// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_25_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_25_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_25_latin1_BITMAP_WIDTH         256
#define STB_FONT_arial_25_latin1_BITMAP_HEIGHT        174
#define STB_FONT_arial_25_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_25_latin1_FIRST_CHAR            32
#define STB_FONT_arial_25_latin1_NUM_CHARS            224

#define STB_FONT_arial_25_latin1_LINE_SPACING          16

static unsigned int stb__arial_25_latin1_pixels[]={
    0x001304c4,0x00266000,0x10044011,0x00330001,0x00000000,0x00000000,
    0x00000000,0x98800000,0x98cc0001,0x00001310,0xbf500130,0x07f717e6,
    0x007fcc00,0xffb703f3,0x01f9817d,0x7fffedc4,0x3ffae00c,0x70ffffff,
    0x7e40dfff,0xbfff9006,0x001df500,0x0001ffd0,0x05f7025c,0x4001ff88,
    0xdfffffda,0xffd1001b,0x01ffdd7e,0x3e03ffb8,0xfa87fd15,0x3fb8bf35,
    0x00bf6000,0x77df509b,0x40b907fd,0xfdceffe8,0xfffe81ff,0x0eefeeef,
    0xd8079bf7,0xfdca801f,0x001fe805,0x00efcfc8,0x7dc07b00,0x001fe402,
    0x559dffd3,0x801bffd9,0x26bf3dfd,0x7cc00fec,0x4bf01fdd,0x304c47f8,
    0x0003fb81,0x0f9809f1,0x1fe20fd8,0x3fa207e2,0x07fe440c,0x23fffff7,
    0x01fdc3fa,0x26005e88,0x017d405f,0x5fab7d40,0x201f8800,0x17e20098,
    0x00bffa80,0xf803ff22,0x0fee2fc7,0xff88ff88,0x1fd45f80,0x001fdc00,
    0x7c17a000,0x6d81cb87,0x7f405fe8,0x3fffff64,0x3fb87f51,0x40013100,
    0x04c405f9,0x00131000,0x00003d40,0x0077cc00,0x3e20df90,0x0fe62fc5,
    0x205f8000,0x5cf202ca,0x82cec9bf,0xa8f202ca,0x009fb02f,0x1ff117d4,
    0x3fe3d980,0x7f51ffff,0x76403fb8,0x401cefff,0xffd905f9,0x320039df,
    0x01cefffe,0x02f76544,0x037cc72a,0x03ba17ec,0x4b267b95,0x45f882fb,
    0x261fcc5f,0xf2fd806f,0x6f99fe8b,0x37ee9f50,0x4c5ffeff,0x749f506f,
    0x3dfd100f,0x7d4df100,0xfff90005,0x70fea3ff,0x3ffa607f,0x02fffdcd,
    0xffd317e6,0x05fffb9b,0x6e6fff4c,0xfd102fff,0x201bffdf,0x00df32fb,
    0x10fdc5fb,0xf79fdffd,0x2fc427c7,0x989f317e,0xf2fd806f,0x3fd1fe8b,
    0x3fee3fb0,0xe87fb30d,0x3e1fd81f,0x3ffbf205,0x3f27e803,0xfff30003,
    0x70fea3ff,0x1bff107f,0x2605ff50,0x037fe25f,0x3e20bfea,0x2ffa80df,
    0xfbf33fd8,0x7ccbee09,0x3a2fd806,0xff51fec6,0x7cc36c3f,0x13e62fc4,
    0x5fb00df3,0x2e3fd17e,0xf737c44f,0xfb8ff10d,0xbf137c44,0x7fdc7f20,
    0x6c3f601e,0x3fa0002f,0x87f51fff,0x04fd83fb,0x7cc0ffd4,0xf5013f65,
    0x404fd83f,0x97e61ffa,0xf706f8db,0x3601be65,0x4fc93e2f,0x07dc7fd8,
    0x88bf0fe6,0x4037cc5f,0xfe8bf2fd,0x3fb8ff11,0x0fe40fee,0x23fb8ff1,
    0x88bf04fa,0x5f901ffe,0x30000bf6,0x0fea3ff9,0x0ff987f7,0xf984fc80,
    0x9001ff35,0x007fcc9f,0x47f727e4,0x32fb803e,0x25fb00df,0x203fe2f9,
    0x20fd46fa,0x6c2fc0fd,0x201be61f,0xfe8552fd,0x0fe87f61,0x17dc0bee,
    0x20fe87f6,0x20ff03fb,0x3fb80ffc,0x200009f9,0xb87f51fc,0x8027dc3f,
    0x75f986f9,0x9be6009f,0xdf3004fb,0x00f88fe4,0x0df32fb8,0x43ee5fb0,
    0x89f505f9,0x05ff30fc,0x4d7f60bf,0x02fd806f,0x34fa87fa,0x701fb8bf,
    0xf34fa87f,0xf902fc8b,0x503fb01b,0x4017ea9f,0x547f201b,0x321fdc3f,
    0x0ff1003f,0x00ff2bf3,0x07f93fc4,0x1fd9fe20,0x4bee00d5,0x2fd806f9,
    0xb81fdcdb,0xbf53f42f,0xb7d417e0,0x2fd806f9,0x2ff07fa0,0x817dc2fb,
    0xf77f81fc,0xd104fa85,0x81fb83df,0x01ff12fc,0xf900ffb8,0x7f70fea3,
    0x3a002fd8,0xfdafcc1f,0x6c7fa002,0x47fa002f,0x0449b2fb,0x0df32fb8,
    0xb9f25fb0,0x4c3fd03f,0x03bea24f,0x239f70bf,0x2fd806f9,0x5f907fa0,
    0x209f70fd,0xeafc80fe,0x2205f887,0x0dd14ffd,0x05fd83f6,0xfc813fe2,
    0x3fb87f51,0xfd0017f4,0x5fd5f983,0xfe8ff400,0x547fa002,0x07fc5f4f,
    0x06f997dc,0x23f72fd8,0x27fa85fa,0x2fb80ff8,0x263742fc,0xf2fd806f,
    0x7cc1fe8b,0x1ffb84fd,0xdf982fdc,0x500df04f,0x201bfdff,0x067f447e,
    0xc803ff66,0xfb87f51f,0xf001fe43,0xf95f981f,0xc87fc007,0x43fe003f,
    0x3ee7aff8,0x3e65f703,0xf32fd806,0xfa87fe27,0x205fd36f,0x222fc4f9,
    0x4037cc5f,0xfe8bf2fd,0xb81ffe81,0x6febdfff,0xe80fff40,0x5ffb1007,
    0x7fcc2fc0,0x1fffecef,0x3fa8fe40,0x13ea1fdc,0x7cc37c40,0x22009f55,
    0x4013ea6f,0x77fd46f8,0x3ee06fda,0x3fa01fe2,0xdffa97e0,0xffeffcfe,
    0xbf17e202,0x07f84f98,0xe8bf0fe8,0x706fb81f,0x1bfff97f,0x3206fb80,
    0x3fea001f,0x9304f980,0x019fffff,0x0fea3f90,0x0ff887f7,0xf984fc80,
    0x9001ff15,0x007fc49f,0x7fcc27e4,0x3ee00bef,0xff003fa2,0x3f6a1fd8,
    0x419df91d,0x3e2fc409,0x7f427cc5,0x8bf3fc00,0x03fa81fe,0x5000c7f7,
    0x427c407f,0x83fb81a8,0x0ce800fc,0xfa8fe400,0x7ec1fdc3,0x40ffcc04,
    0x013f65f9,0x4fd83ff3,0x440ffcc0,0x5f70019f,0xdf501fec,0x8000ee88,
    0x45f82fe8,0x6c1fcc5f,0xf9bea03f,0x7f40ff45,0x0007f700,0x1f9003fa,
    0x7dc0ff88,0x44027c43,0x7e4004fe,0x3fb87f51,0xf501bfb0,0xb17e605f,
    0x5ff501bf,0x2a037f60,0x00d702ff,0x3fea2fc8,0x983fe982,0x3e6002ef,
    0x5f8bf03f,0x7fd41fd4,0x3e3fe982,0xc998ff45,0x00fee04f,0x804fc998,
    0x1cfc84f8,0x0fc83ff5,0x8007f200,0xb87f51fc,0x7f4409cf,0x2ffedcdf,
    0x445fa988,0xfedcdffe,0x3ffa202f,0x02ffedcd,0x74440136,0x6fffdc1f,
    0x2604ffed,0x221acefe,0x202ffdca,0xd897e1fe,0xbfff702f,0x5f89ffdb,
    0xeffd8ff4,0x800fee00,0x7000effd,0xfffe881f,0x01fc43ff,0x002fff4c,
    0x21fd47f2,0xa886fffb,0x01cefffd,0x510bfff9,0x039dfffb,0xdfffb510,
    0x001f8039,0x36e0dffd,0x003dffff,0xffffffd5,0xb8019fff,0x3eebf7ff,
    0x7fedc06f,0x45f83dff,0x017951fe,0x2a000a98,0x16c000bc,0xa81bcb88,
    0x03791005,0x2a215300,0x015554c1,0x554c0044,0x0008801a,0x05000440,
    0x4005e640,0x2a600008,0x001abccb,0x954dae54,0x00440017,0x00000136,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x82a20000,0x0000001c,0x00000000,0x20000000,
    0x00000018,0x26098800,0x19866000,0x4c530000,0x00c43304,0x19800288,
    0x001ff500,0x50027ec0,0x01fbbfff,0x000ffa00,0x50013fe6,0xf90001ff,
    0x07ff400b,0x401ed880,0xf9004ffa,0x2bf5000b,0x9fe005f9,0x1ff300ff,
    0x76fffe40,0x3fa1ff05,0x02decc00,0x2009ff50,0xf30004fb,0xb55d800d,
    0x3ea0005d,0xcff88005,0x27dc003f,0x003be200,0x0077e7e4,0x5dffffd3,
    0x05f9df30,0x50007f60,0x8017e6bf,0x6c03fe7f,0x5c5fc02f,0x21ff01de,
    0xd86400fe,0xfcef9800,0x001f9002,0x20001fb0,0x74000098,0x2fe8000e,
    0xfd8003fd,0x007f2000,0x05fab7d4,0xf7b79ff1,0xe89fe88f,0x05e8801f,
    0x00013100,0x004f9800,0x2a000000,0xfe8805ad,0x00003fd1,0x3b200000,
    0x001cefff,0x00000000,0x00000000,0xad53f200,0x000003fb,0xfffec800,
    0x0df301ce,0x20005fb0,0xfd004ff8,0x13fe2003,0x06f98000,0x1df92fd8,
    0x4c2ff880,0xffdcdffe,0x3fe2002f,0x9ff10004,0xfffff980,0x32ffffff,
    0xffffffff,0x3fe65fff,0xffffffff,0xad47f62f,0x03fd02c8,0x4013fe20,
    0xfdcdffe9,0x06f982ff,0x07fa2fd8,0x401ffee0,0xff7001fe,0x881ca80f,
    0xb00df33c,0x2027f45f,0x6ffc45fd,0x002ffa80,0x2000fff7,0x7cc07ffb,
    0xeeeeeeef,0xddff31ee,0x3ddddddd,0x3bbbbfe6,0x361eeeee,0x3a00b52f,
    0xfff7001f,0x01bff100,0x6f985ff5,0x3fa2fd80,0x2fbfe801,0xd001fe80,
    0x7e405f7f,0xdf36f882,0x7cc5fb00,0x81ff501f,0x7fd404fd,0x2fbfe801,
    0x2fbfe800,0x3001be60,0x6f9800df,0xa8dfb800,0x003fd005,0xb00beffa,
    0x1ffa809f,0x3f601be6,0xf3007fa2,0xfd00df1b,0xf1bf3003,0x4417e40d,
    0xb00df36f,0x886fc85f,0x07fcc2ff,0x26027e40,0x4006f8df,0x206f8df9,
    0x7cc006f9,0x037cc006,0x2efff440,0x9801fe80,0x2606f8df,0x4fc800ff,
    0x3f601be6,0xf9007fa2,0xfd007fa5,0x3a5f9003,0x105f901f,0x201be6df,
    0x44fe82fd,0x04fb84fd,0xfc80df30,0x64003fd2,0x2603fd2f,0x37cc006f,
    0x001be600,0x6ffffe44,0x2007fa00,0x203fd2fc,0xdf3004fb,0x7ec037cc,
    0xff007fa2,0xfd013ee1,0x2e1ff003,0x105f904f,0x201be6df,0x1ff982fd,
    0x0ff20df5,0x3e03fc40,0x4009f70f,0x209f70ff,0x7cc006f9,0x037cc006,
    0x7fffe400,0xf003fd01,0x6413ee1f,0x4ff1003f,0x2fd806f9,0x5fa807fa,
    0xfe803fe2,0xf12fd401,0x105f901f,0x201be6df,0x2df902fd,0x05fb01fe,
    0xfa80ff40,0x2003fe25,0x03fe25fa,0x26667be6,0x3e609999,0x9999999e,
    0x267be609,0x00999999,0x837ec6d4,0x2fd401fe,0x5fb01ff1,0xf98ff400,
    0x3a2fd806,0xb0bf601f,0x00ff407f,0x07fb0bf6,0x2df105f9,0x2fd806f9,
    0x813fbfa0,0x3fa002fe,0xfd85fb01,0x6c2fd803,0xffff983f,0x25ffffff,
    0xfffffff9,0x3fe65fff,0xffffffff,0x3ff2d405,0xfd803fd0,0x7f41fec2,
    0x4c7fa002,0x22fd806f,0x0ff101fe,0x0ff40df5,0xdf50ff10,0xdf307f90,
    0x3f601be6,0x01bfe602,0x7fc007f9,0xfa87f880,0x543fc406,0xccff986f,
    0x23cccccc,0xcccccff9,0x3fe63ccc,0xcccccccc,0x6cb52e43,0x201fe82f,
    0x86fa87f8,0x3fe003fc,0xfb00df30,0xfb80ff45,0xffccccce,0x5c03fd01,
    0xfcccccef,0x541fdc1f,0xb00df36f,0x02fd805f,0xf88027d4,0x999df706,
    0x5c03ff99,0xfcccccef,0x0037cc1f,0xf3001be6,0x23fd000d,0x3a07fe5a,
    0x33bee01f,0x41ffcccc,0xdf1004fa,0x0fe807f8,0x7ff407fa,0x4fffffff,
    0x7f403fd0,0xffffffff,0x3a237d44,0x3a01fe6f,0x017ec00f,0x32003fe2,
    0xffffd04f,0x409fffff,0xfffffffe,0x037cc4ff,0x3001be60,0xbf9000df,
    0xe837d56a,0x3fffa01f,0x44ffffff,0xfc800ff8,0x3e007f44,0x7cc0ff47,
    0xa999999e,0x01fe80ff,0x33333df3,0xff81ff53,0x26fdecbe,0x03fc00fe,
    0x7ec017ec,0x40ffcc04,0x99999ef9,0xf980ffa9,0xa999999e,0x01be60ff,
    0x9800df30,0xfe88006f,0x01ffdede,0x3be603fd,0xfa999999,0x2027ec0f,
    0x1fec1ff9,0x1fe8df50,0x7f403fc8,0xf901fe83,0x443fe807,0x4dd4fffe,
    0x1bea03fd,0x6c00bf60,0x2ffa80df,0xfe807f90,0x7403fc83,0x001be63f,
    0xf9800df3,0xffb10006,0x7f403dff,0xe807f901,0x80dfd83f,0xffa82ffa,
    0x743fe982,0x400ff81f,0x01fe86fa,0x6fa801ff,0xffa80310,0x803fe982,
    0xfd1002fd,0x5ffdb9bf,0x2a007fc0,0x400ff86f,0x01be66fa,0x9800df30,
    0xec80006f,0xf01fe800,0x86fa801f,0xedcdffe8,0x3fee02ff,0x84ffeddf,
    0x02fd41fe,0x3fa0ffc4,0x8805fa81,0x2e0001ff,0xffeddfff,0x005fb004,
    0x77ffed44,0x017ea01c,0x5fa87fe2,0xf31ff880,0xdddddddf,0x3bfe69dd,
    0xeeeeeeee,0xddddff34,0x409ddddd,0x03fd005a,0xff100bf5,0xfffb5103,
    0xfb70039d,0x3a07bfff,0x8017ec1f,0x40ff45fc,0xbf9002fd,0xffdb8000,
    0x36003dff,0x0220002f,0xc8017ec0,0x400bf65f,0xffff35fc,0xbfffffff,
    0x3fffffe6,0xf35fffff,0xffffffff,0x00c40bff,0x2fd81fe8,0x100bf900,
    0x00440001,0x00000ff4,0x00000000,0x00008800,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x88000000,
    0x44002609,0x98000621,0x01980000,0x10019805,0x29800c43,0x80033100,
    0x98800099,0x0310c401,0x33000660,0x01886200,0x310004cc,0x31000003,
    0x80930d40,0x00bf35fa,0x00fec3fa,0xefffdb88,0xfb71001b,0x3ee3bfff,
    0x009ff501,0x007fa1fd,0xf100b597,0x27ec005f,0x2027ec00,0x803fd0fe,
    0xf5004ffa,0x21fd009f,0x17f201fe,0x2203fe80,0x404c8afe,0xbfffb07c,
    0x35fa809d,0x43fa00bf,0xff8801fd,0x2fffdcdf,0x66fff440,0x03fdffec,
    0x807f9df1,0x803fd0fe,0x3e600b0d,0x03fa2005,0xe806f980,0x4c03fd0f,
    0x4c03fcef,0x7403fcef,0xe803fd0f,0x05fa801f,0x803bffb0,0xb8af885e,
    0x000000de,0x9fd10000,0x203ff710,0xff504fe8,0xfe8ff40d,0x01886201,
    0x2004bda8,0x3e6001fb,0x003f6004,0x22018862,0x403fd1fe,0x403fd1fe,
    0x22006218,0x00ee805e,0x017f7ecc,0x20000fe2,0xfffffff9,0x4402ffff,
    0x7fd004ff,0xd80ffb80,0x3ffe604f,0x00000000,0x00000310,0x00000000,
    0x00000000,0x00000000,0x0fe866c0,0x7fcc3ea0,0xf997ec01,0xeeeeeeef,
    0x7fdc01ee,0x006f9807,0x0ff887fb,0x0bfbbd10,0x00b3b722,0x8059db71,
    0x00cdedc9,0x00b3b722,0x019bdb93,0x066f6e4c,0x059db910,0x0cdedc98,
    0x0b3b6e20,0x19bdb930,0x3c881ca8,0x07910395,0x09f77951,0x0dff336c,
    0x0df32fd8,0x3effa000,0x801fdc02,0x827d45fa,0x87fa8ee8,0x5ffefffb,
    0xffdfff50,0x3bbff209,0xffb81fff,0xf905ffef,0x03fffddf,0xfffddff9,
    0xfdfff703,0x3bff20bf,0xfa81fffe,0x904ffeff,0x3fffddff,0xb7c417e4,
    0x46f882fc,0xffffffe9,0x7fcc9f01,0x4cbf604f,0xf980006f,0x7ec06f8d,
    0xc8ff3002,0x261fb02f,0x2ffe60ff,0xf889fd50,0x87fd50bf,0x3f620efa,
    0xa85ffcc4,0x077d44fe,0xefa89fb1,0xf313f620,0x13faa17f,0x7ec41df5,
    0xa85ffc44,0x077d43fe,0x17e49fb1,0x82fcb7c4,0x33fe26f8,0x985ffc88,
    0x3ffbe62f,0x3e65fb01,0x2fc80006,0x0ff403fd,0x7f41ff00,0x7fc1fd81,
    0x3e20bf61,0x2213f20f,0x20bb20ff,0x417ec6f9,0x0bb20ff8,0x05d91be6,
    0x82fd8df3,0x0bb20ff8,0x09f91be6,0x17641ff1,0x05f937cc,0x20bf2df1,
    0x20ff26f8,0x4c7b87f9,0xfb06fbdf,0x0001be65,0x027dc3fe,0x7fc003ff,
    0x3f907fa1,0x03fc3fd0,0x80ff45f9,0xfa8801fd,0x5f903fc6,0x00df5100,
    0x0ff1bea2,0x544017e4,0xd80ff46f,0x6fa8801f,0x5be20bf2,0x26f882fc,
    0x81fb00ff,0xfeafcc5e,0xdf32fd84,0x33333333,0xf12fd401,0x00bf601f,
    0x8bf63fc4,0x44ff02fb,0xf8fee06f,0xffffffff,0xfedba82f,0x81be26ff,
    0xedba83fb,0xb7506fff,0x7c4dfffd,0x2a0fee06,0x46fffedb,0xffffffff,
    0xedba82ff,0x0bf26fff,0x417e5be2,0x40df16f8,0x30fe22fc,0xb07fe6bf,
    0x3fffe65f,0x05ffffff,0x07fb0bf6,0x7cc00fee,0x3faa7e46,0x37ccbf10,
    0x3fe27f70,0xeeeeeeee,0x37fffa22,0x1be66fab,0x3fa23fb8,0x46fabdff,
    0xabdfffe8,0xb81be66f,0x3fffa23f,0x3e26fabd,0xeeeeeeef,0x3fffa22e,
    0x3f26fabd,0x5f96f882,0x1be2df10,0x07ea3fb8,0x237dcbf3,0x99ff32fd,
    0x07999999,0x1bea1fe2,0x6c1837cc,0x7d7fcc4f,0xf893f204,0xff8bf207,
    0x037f6000,0x03fc4df3,0x06fec5f9,0x1bfb1be6,0x1fe26f98,0x37f62fc8,
    0x3fe37cc0,0x037f6000,0x41fe4df3,0x307f96f9,0xf903fcdf,0x2fcc3e45,
    0x32fd93fa,0x7dc000df,0xffccccce,0xf887fd01,0xd80ffa9d,0x3fe605ff,
    0xfe80ff41,0x6640ffa0,0x3ea0ff10,0xfe80ff46,0x3ea0ff10,0x7d41fe26,
    0xfe80ff46,0x3ea0ff10,0xcc81ff46,0x3ea0ff10,0x3ea0fee6,0xdf507f76,
    0x1fe807f4,0x317e613a,0x4cbf63ff,0x3fa0006f,0xffffffff,0xb89fd104,
    0xf502fffe,0x3ff5019f,0xfb81bf70,0x2a077d46,0x2207fc6f,0x06fdc6fe,
    0x81ff1bee,0x07fc6fe8,0xbf71bfa2,0x7fc6fb81,0x2a37f440,0x237d40ef,
    0x37f440ff,0x6fe88df5,0x6fe88df5,0xbf9037ee,0x2fcc17cc,0x32fdb7dc,
    0x3e6000df,0xa999999e,0xffd100ff,0x5fffdb9b,0xbfffdd10,0x405ffdb9,
    0xeffbcffe,0xdbdffd80,0x5f7dc1ff,0xe87fefca,0x0effbcff,0x7e55f7dc,
    0x5f7dc7fe,0xe87fefca,0x0effbcff,0x7e55f7dc,0xdffd87fe,0x7dc1ffdb,
    0x7fefcabe,0x6f65f7fc,0x32fbfe6f,0x7fec6fde,0x2e0fffbc,0xd05f980f,
    0x3e65fb9f,0x07f90006,0x2e203fe8,0xeabdfffd,0x643ba1ef,0x01ceffff,
    0x0dffffb8,0x33fffee0,0xfffeb881,0xff703fb3,0xd7101bff,0x87f67fff,
    0xb3fffeb8,0xffff703f,0xffd7101b,0x2e07f67f,0x881cffff,0xfb3fffeb,
    0xa7fff443,0x3fffa26e,0xfff90dd4,0x306d81bf,0x3bfe60bf,0x000df32f,
    0xdf5003fe,0x1fa80c00,0x00262026,0x22000440,0x00022000,0x00880022,
    0x44000440,0x00022000,0x00880022,0x0c400620,0x08806200,0x7e40bf30,
    0xddff32ff,0x9ddddddd,0x7c402fd4,0x0000001f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xf3000000,0x32ffe80b,0xffffffff,
    0x17ecbfff,0x0005fc80,0x7ffffcc0,0x4fffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x05f98000,0x00017fcc,0x00000000,
    0x77777710,0x03777777,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x000c4000,0x20031062,0x0cc40198,
    0x40198800,0x80262000,0x18031001,0x0c013100,0x22000c40,0x00cc0000,
    0x44330000,0x20003001,0x00000018,0x77ff5400,0x647c800c,0x04fd800f,
    0x4000ffc4,0xfff704fd,0x6c0db00b,0x027c401f,0x0db003fb,0xe80fbfea,
    0xbffb5005,0x3f6e2003,0x5400cfff,0x3e02cffe,0x2603fd0f,0x401cfffc,
    0xbdfffeb9,0xdfeb9800,0x56f88002,0x0bfb79ff,0x806d8bd0,0xbf3006f9,
    0x106f9800,0xb80fea9f,0x1ffea81f,0x754076c0,0x0fdc01ff,0x83fb9df8,
    0xef9800fa,0xe8807fcb,0xfffdceff,0xfbdff901,0x743fe05f,0xadffa81f,
    0xdf700ffd,0x1dfb5137,0x7ef7fc40,0xb7c4003f,0x00fec0ff,0x804f89f1,
    0x3ee000fd,0x003f6001,0x3f9817d4,0x403f77b0,0xf77b01fb,0x981fcc03,
    0x13a1fa2f,0x5f90fe40,0x2067f440,0x7d40ffc8,0x207f622f,0x7fc06219,
    0x7dc2fd42,0xe8076c02,0x007faa2f,0x86f8ef88,0x8be601fc,0x000003f8,
    0xfd000000,0x5402f409,0x007f101f,0x02f403f5,0x707e41f9,0x83fe001f,
    0x17fa03fb,0x4fd89fd0,0x20006f98,0x41fd06f9,0x2b2e62fb,0x9f503b60,
    0x44009f50,0x6f85f9ef,0xcdfdccb8,0x880cdfdc,0x4402cedb,0x4402cedb,
    0x4c02cedc,0x00fc83fb,0x0dd01fa8,0x7e407ea0,0x7d83f200,0x9fb0027c,
    0x7c403fa2,0x21ecc00f,0x21ff01ff,0x23c881ca,0x5f0105fa,0x07f677dc,
    0xf02fc89d,0x2b76e60f,0x5c4faef8,0xffffd83f,0x0fffffff,0x7ff7ffd4,
    0xfdfff504,0x3ffee09f,0x20c45ffe,0x8017d47d,0x00fc81fa,0x5f303f50,
    0x93a2fb80,0x3e2000fb,0x2a04febf,0x1fe0005f,0x05f92fe8,0x03fccdf1,
    0x85f50f98,0x1fb1ae5d,0xff503fa0,0xf5dfbfff,0x7403fc49,0xff883745,
    0x887fd50b,0x7fd50bff,0xd50bff98,0x54e7cc9f,0x8017e24f,0x017cc1fa,
    0x5f883f50,0xfcaef880,0x70009f12,0xfc805fff,0x0bfa0003,0x17e4bfe2,
    0x03fe37c4,0x807d9720,0x403fa0f9,0x4bbe61fd,0x4faeffc8,0x9f101be6,
    0x09f904f8,0x27e41ff1,0x5fb07fc4,0x75c1ff10,0x03b60cff,0x3a21fa80,
    0x20fd4005,0xf93000ed,0x0007dc5d,0x003bffa6,0x640005fb,0x93ffb85f,
    0x2adf105f,0x04eeeffe,0xf8027c7d,0x1fd81fe2,0x3bf20bf6,0x027fc4fa,
    0x81fcc5f3,0x43fb01fe,0x43fb01fe,0x20bf207f,0xeb81fb80,0x221fb000,
    0x5000bddb,0x201d503f,0x9b727c40,0x3abfee03,0xfd826a5f,0x3fe20002,
    0x2fefdabe,0x2df105f9,0x4eeffeea,0x8027c7d0,0xfc81fe2f,0x77c41fa2,
    0x6ffcc4fa,0x3ea0fb80,0xffffff01,0x7fc5ffff,0xffffffff,0x7dc0df12,
    0xa84f8803,0x1fa801ff,0x017f2ff6,0x3fe613e2,0x2e1f9001,0x7cc4fddf,
    0xf19ff11e,0x0027e41f,0x3ffffa60,0x05f92fca,0x06f98df1,0x261ba6c8,
    0x3fc1f30b,0x1be23fb0,0x884faef8,0xfffb0efe,0xffffffff,0x3bbbfe21,
    0xf12eeeee,0xdddddddf,0xb81be65d,0x986e803f,0x7c401fff,0x0fc8b224,
    0x7fcc3740,0x23f8801f,0xfc87f25e,0x27effcc2,0x0dc017ea,0xfb0aba88,
    0x3e20bf23,0x4c02fcc6,0x5e85f50f,0x201fd1ae,0xf81be27e,0x3f204fae,
    0x999df974,0x7c1999df,0x03fe000f,0xf903fc40,0x440fc805,0x7401fade,
    0x20374406,0x577440fb,0x10fc801f,0xff17d49f,0x83fff701,0x7dc00ff8,
    0xc9fa000f,0x646f983f,0x647f003f,0xd10ffdef,0xff01fd89,0x5df107f8,
    0x137c409f,0x3a04f87f,0x7419903f,0x7419903f,0x401fd01f,0xa8ee83f9,
    0x807ee01f,0x3e601fe9,0x1fa8ee83,0x5f31fc40,0x07fb1fcc,0x3f603ffa,
    0x713fe205,0x5cbf303d,0x746fa83f,0x98bea006,0x03ba21cb,0x8bf309f7,
    0xaefa81fd,0x7d43f74f,0x2f98be64,0xf503bea0,0x540efa8d,0x206fdc6f,
    0x17a206fb,0x37f737ee,0x2a03f981,0x17a200ef,0x37f737ee,0xf883f201,
    0xef983ee4,0x077ffe41,0xb3033fa2,0x45f881ff,0x1bea0fe8,0x57ecdfd1,
    0x05f70019,0xff807744,0xf707f621,0x577f441b,0xf97ff34f,0xf507dc1f,
    0xbdffd803,0xffd81ffd,0xe81ffdbd,0x0effbcff,0x32a03f60,0x441dfdcc,
    0x013ea05e,0x332a03f6,0xf101dfdc,0x1b61dd07,0x3fb37ffa,0x4c0ffeae,
    0xffecefff,0x77bfb01f,0x7dff05fd,0x3eedfbd9,0xddefffff,0xacefb83f,
    0x200efdb9,0x4ffcdffb,0xdf99ff90,0x7549f5df,0x23ec1dff,0xfff7007c,
    0x7fdc039f,0x3ee01cff,0x2a00dfff,0x03f5002f,0x3fe201f9,0x7d41ffff,
    0x403f5002,0xfffd307d,0x3ffff205,0x260bb10d,0x0cfffffc,0x37ffae20,
    0x9fffd102,0x556fcdba,0x03ffffdb,0x59dffb73,0xdfff5001,0xeffec807,
    0x804406f8,0x20004408,0x00440008,0x1e400220,0xc8815100,0x2aaaa601,
    0x001e40aa,0x01640151,0x004400aa,0x00131001,0x00c40010,0x00099802,
    0x00880002,0x00000440,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x000000c4,0x00310000,
    0x0c400026,0x00000000,0x13100000,0xe9800000,0x04eeeeee,0x00000000,
    0x00000000,0x3ff6a000,0x3ff6203e,0x64c04eff,0x64002dff,0xffd7303f,
    0x1b6017bf,0xfffecb80,0xfec8804e,0x037cc0bd,0x02fb97ec,0xdfffd900,
    0xffb50039,0x3fea019d,0x6c5fffff,0x03fe603f,0x3ffffee0,0x6fffffff,
    0xffffff98,0x6c000cef,0x417d401f,0x4ffddffa,0xecdfff98,0xffb80dff,
    0x2003ffdd,0xbefb83fc,0x80efda89,0xffd800fb,0x1effdcce,0xff9dfd30,
    0xd806f98d,0x8005f72f,0xfdcdffe9,0x3ff602ff,0xc80fffde,0x1ff1002f,
    0x7c00ff60,0xeeeffeef,0xf985eeee,0xfffeeeef,0x3ff7003f,0x6c17fcc0,
    0xd03fa21f,0x89fd107f,0x3fe20ff8,0xb87f9000,0x2076c02f,0x6fec02f9,
    0xb06fd880,0x263fc87f,0x72fd806f,0x7fc4005f,0x82ffa80d,0x2fe40efa,
    0xf90007ec,0x200df309,0x00df55fb,0x3220df30,0x7fcc01ff,0x5fff501f,
    0x3fb85f98,0x7fa81be2,0x1fe41fdc,0x3ee3fc80,0x419aaa8a,0x9027c0ed,
    0x85fd00bf,0x26f885f9,0x2fd806f9,0x7ec005f7,0x20ffd404,0x0ff883fd,
    0x3e20037c,0x8017f40f,0x00df51ff,0xfb80df30,0x0ff77406,0x0bfbff62,
    0x4bf50bf5,0x066406f9,0x07f90151,0x52f8ff20,0xe8bffddf,0x1ff03644,
    0xfd85d500,0x00df3001,0x26bee5fb,0xff982dec,0x5c4fc800,0x441fd00d,
    0x8037935f,0x01bea5fb,0x0df537dc,0xd00df300,0x367f205f,0x646fe41f,
    0x740ff82f,0x001ffc2f,0x001ff880,0x543e67f9,0x6b8bea0f,0x37cc0fd4,
    0x443fa000,0x00df301a,0x3f7ee5fb,0x2e0dffef,0x0df3004f,0x3ea3fcc0,
    0x04fffffe,0x01fe8ff4,0x37d45fd0,0x4037cc00,0xb4f984fb,0x3f22a83f,
    0xfcdfe982,0xdfffa83f,0x7654001b,0x4ff2003f,0xf883ea5c,0x3f883e62,
    0x40004fb8,0xffffd8ff,0x6c037cc2,0x23bff72f,0x0ff24fe9,0x9003fc40,
    0x9bffb89f,0x2a03ffd9,0x5005fbdf,0x99efa8df,0xf3019999,0x88bf500d,
    0x9007f66e,0x3ffee05f,0x3ffa605f,0xf800cfff,0x32000dff,0x5fd47d3f,
    0x42f86eca,0x103fc85e,0xf8333333,0xffebdfef,0x3601be61,0xf10ff72f,
    0x800bf61f,0xffa801fe,0x7d4164c0,0x3a66620f,0x0099afff,0xfff50bfa,
    0x83ffffff,0xeeeeffee,0x3f637cc1,0xf9007f61,0x9aefd885,0x2e201efd,
    0x401ffffd,0x002ffdaa,0xfa8fa7f9,0x85f03fee,0xb03fd87b,0x44ffffff,
    0x37dc0fff,0x5fb00df3,0x8fec17ee,0x3fa002fe,0x00ffd401,0xff517fc0,
    0xffffffff,0x2a1bea09,0xccccccff,0x77ff740c,0x37cc1eee,0x01fd87f5,
    0x13ee17e4,0xe9801bea,0xdf5000ff,0x364ff200,0x303f21f5,0x5c1f981f,
    0xdddd905f,0x884ff8ff,0x00df31ff,0x40fee5fb,0x007f93fc,0xff9007fc,
    0x8ff20003,0xbfeaaaa8,0xdfd01aaa,0x0dfb9999,0x700df300,0x361be29f,
    0x217e401f,0x21fd01fe,0x03fd8019,0x32003fe0,0x3ea1f33f,0x20d71ba0,
    0x0037cc4f,0xb01ff8ff,0x7403fc5f,0x2e05f70f,0x2009f53f,0x3bf206f8,
    0xfd80a601,0x4007ec01,0xfffffffa,0xf98006ff,0xf93fc806,0xbfd9999b,
    0xf0bf2039,0xfd97e40f,0x532fd401,0x3c997ec0,0x54fe2fd8,0x744fe60f,
    0x1ff0db04,0x3fd1fe00,0x0fe87f60,0x07f73fc0,0x07fc4bf2,0xfd827e40,
    0x417f400e,0x7ffd46f8,0x4fffffff,0xaaaacfd8,0x98006fca,0xb2fe806f,
    0xffffffff,0x0bf205ff,0x47fe03fd,0x1fe404fb,0x1ff105fd,0x87fa1be6,
    0xcb849afa,0x1f700ee8,0x4400ffc8,0x441fe47f,0x501fec7f,0xe82fdcdf,
    0x3013f60f,0x0bfb03ff,0x3f21bf20,0x75555444,0x4c1aaabf,0x01bea07f,
    0xf701be60,0x4ccccc4d,0x9009afe9,0xa85fc85f,0x417fe26f,0x1bee0ffb,
    0x1ff89bf2,0x0bee1fe6,0x2200ee88,0x81ffc82f,0x7c47ffb8,0x2a2fdc1f,
    0x3fe982ff,0xbf707fee,0xf501bfb0,0x00df505f,0xffbcffe8,0x00fd800e,
    0xdf501fec,0x20df3000,0xb001ffc9,0x82fc803f,0xffebbefe,0x6f7ffcc1,
    0xfe82fffd,0x40fffbbe,0x3ffddffc,0x7359df70,0xbd001dfb,0x37bfff20,
    0xb80cfffe,0x0efebcff,0xeddfffb8,0x7f7dc4ff,0x880ffebc,0xfedcdffe,
    0xdddff02f,0x883ddddd,0x00dffffc,0x7cc01fb0,0x3bfea00f,0x0eeeeeee,
    0x7f777fcc,0x2002ffff,0x17e401fd,0x1effffc8,0xffffdb10,0x3ff2203b,
    0xff900dff,0xdb9807df,0x000aceff,0x7f6540f9,0x4c01deff,0x200dfffe,
    0x3dffffdb,0xfffc9fb8,0x3f6a200d,0xf301ceff,0xffffffff,0x000cc03f,
    0x9fb007ec,0xfffffa80,0x4c0fffff,0xefffffff,0x0fec000b,0x3100bf20,
    0x80013000,0x00260019,0x18800040,0x00013100,0x01100031,0x22000300,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xcd980000,
    0x02c88791,0x40000197,0x86218818,0x00f202ca,0x20000000,0x000004c8,
    0x00000028,0x4b76e600,0xd931953c,0xddb88059,0x0000000b,0x00f26000,
    0x3b7e2000,0x2fcc2fff,0x0df30fe8,0xd17fe600,0x7cc7fa1f,0x8809f506,
    0x7fd404ff,0x03deffff,0x3e607f98,0xceffffff,0xf30bd100,0xbfffffff,
    0xfffff885,0x544fffff,0x6fcffeff,0xffdff9f7,0x3bffe60b,0x01be63ff,
    0xc8ff4bf6,0x2007f72f,0x2e7f76fa,0x2498003f,0x05f981c9,0x01be61fd,
    0x93effe20,0x743fd0fe,0x401fd81f,0x7d407ffb,0xffffeeef,0x30264405,
    0xffddddff,0x0bf107ff,0xfddddff3,0x7fc4bfff,0xeeeeeeee,0x5c4bbe63,
    0x1bff76ff,0xff10ff66,0x4c3fe617,0xd2fd806f,0x7dcbf23f,0x2e793003,
    0x0007f73f,0xd05f9800,0x001be61f,0x897ecbf6,0x89f70621,0xbfe806f8,
    0x417ea02f,0x40003fe9,0xffb106f9,0xf985f883,0x44bfea06,0x17ec007f,
    0x86fbb7e4,0x41fe47f8,0x00df33fb,0x647fa5fb,0x0007f72f,0x01fdc262,
    0xcdedc980,0xfe82fcc0,0xddddff30,0x0000179b,0x7f71fe20,0x6f8df980,
    0xfa817ea0,0xf301e405,0x2a6fc80d,0x3e63cffc,0xf8afe406,0x883f4007,
    0x3207f76f,0x2003f61f,0x2fd806f9,0x5cbf23fd,0x406e003f,0xfc8003fb,
    0x21fffeef,0x21fd05f9,0xfffffff9,0x19703fff,0x7ec032e0,0xf9003fa1,
    0x7d407fa5,0x881be605,0x01be605f,0x7ffe4bfa,0x501be65f,0x801fe2df,
    0x5dbe06f8,0x7c5f702f,0x00df3007,0x647fa5fb,0xc887f72f,0x1ca9fc1c,
    0x7bb917f7,0x883bea01,0x417e64fd,0x33df30fe,0x3ffb3333,0x3fa01fd0,
    0x3e69f500,0xf70ff805,0xb817ea09,0x813ea03f,0x4fb806f9,0x1be617e2,
    0x1fe2df90,0x3e06f880,0x3ee03f76,0x2600ff13,0xd2fd806f,0x7dcbf23f,
    0x3e0ffa23,0x37ee7f73,0x80effeff,0x26f982ec,0x21fd05f9,0x27ec06f9,
    0x0fe807f4,0x017ddfe0,0x0ff897ea,0xa999efa8,0xf300dfca,0x037cc03f,
    0x0bf12fd4,0x4ff80df3,0x33333ff1,0x207f8133,0x3205f76f,0x2181fe1f,
    0xaaaaaff9,0xfd2feaaa,0x9fdcbf23,0x4f883fe8,0x33fee7f7,0x4009fb30,
    0x1fe66fa8,0x06f987fc,0x07f437d4,0x3f200fe8,0x2fd807ea,0x7fd41fec,
    0x0fffffff,0x9807ff10,0x26f9806f,0xaef985f8,0xfffcaaaa,0xffffff10,
    0x1fe87fff,0x09f76f98,0x81fe83fa,0xffff35f9,0xffffffff,0x97e47fa5,
    0x03fe8bfb,0x5cfee9f1,0x205fa86f,0x6fffedba,0xff90ffe6,0xf701be61,
    0x3a01fd0d,0x3f7e600f,0x543fc404,0xccefa86f,0x42ffedcc,0xf9803fe8,
    0x226f9806,0xffff985f,0x20dfffff,0xeeeeeff8,0x06fd42ee,0x3feedfd1,
    0x3ea2fdc1,0xf98fec0d,0xaaaaaaaf,0x23fd2fea,0xfd7f72fc,0xfbafcc07,
    0xdf109f73,0x7bfffd10,0x7ffccdf5,0x30fffecd,0x84fe80df,0x01fd00fe,
    0x5c01ffe8,0xfcccccef,0x502fd41f,0x01fec1ff,0xfb806f98,0x3e617e25,
    0x09aaaaae,0xd8007f88,0x6fffccff,0xfd7bfff7,0x2f3ff60d,0x01be65fe,
    0xc8ff4bf6,0xbffff72f,0x3fbafcc0,0x21fe07f7,0x37cc0dfd,0x7fff9bf3,
    0x27be61f9,0xffda9999,0xfd00fe80,0x806fb801,0xfffffffe,0x02fd44ff,
    0x037c4ff6,0xc806f981,0x2617e24f,0x3fc4006f,0xefffb800,0xf97f76f9,
    0x7dc01bff,0x3e60bdff,0xfd2fd806,0x7fdcbf23,0xdf502fea,0x81fdcfee,
    0xa83fc47f,0x0c57e66f,0xffffff30,0x3a05ffff,0x801fd00f,0x77cc03fa,
    0xfa999999,0x7017ea0f,0x4c1be69f,0x201be67f,0x217e22fe,0x7c4006f9,
    0x884c0007,0x00c7f76f,0x3e605f30,0xfd2fd806,0x9fdcbf23,0x7fa80ff9,
    0x40fee7f7,0x440ff87f,0x017e66fe,0x77777fcc,0x3fa00acc,0xe801fd00,
    0x01fe400f,0x05fa8ffa,0x05ff1fec,0x037cc9fb,0x21be1bee,0x7c4006f9,
    0x3e200007,0x20007f76,0x6f984fc9,0x3fd2fd80,0x91fdcbf2,0x2eff70bf,
    0x3e07f73f,0xcabefb87,0x17e67fef,0x00037cc0,0x03fa01fd,0x2013f266,
    0x37d400ff,0x3f220bf5,0x22fbf20f,0x3e60ffc8,0x05ff9306,0x37cc9dff,
    0x001fe200,0x7f76f880,0x437cc000,0x2fd806f9,0x5cbf23fd,0x2e17f43f,
    0x3ee7f77f,0xd710ff03,0x47f67fff,0xdf3005f9,0x807f4000,0xeffd80fe,
    0x402fd400,0xdff51ff8,0x5ffffddd,0xffffff90,0xeeeff985,0x502fffff,
    0x037ccfff,0x0001fe20,0x07f76f88,0x05fff900,0x5fb00df3,0xb97e47fa,
    0x707fcc3f,0x7dcfeeff,0x0880ff03,0x9800d440,0x3fa0006f,0x9501fd00,
    0x05fb0017,0x7fd57f20,0x1cefffff,0x02b32e60,0x3fffffe6,0x40800cee,
    0x7c4006f9,0x95400007,0xa88000a9,0x201be601,0x323fd2fd,0xf907f72f,
    0x3fb9544b,0x01fe07f7,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0x0973ddb9,0x09980662,
    0x00003310,0x00001988,0x00000000,0x8e6cc000,0x0000003c,0x00000000,
    0x00000000,0x00000000,0xfffffa80,0x7ff447ed,0x7fffe446,0x50ffc41e,
    0x0efd80bf,0x05fa93f6,0x100fff50,0x07fe6fff,0x3fe65fb0,0xffffffff,
    0x7f6fc42f,0x027e42ff,0x2fd40ffd,0x7ffe45ff,0x6fffffff,0xf1003bf2,
    0x202fec5f,0x09fb0efa,0x7fccff20,0xceffffff,0xfffffb81,0x1fffffff,
    0xf712ef98,0x3cefd8ff,0x7f5e7ff4,0xf52fcc1f,0x3077ec0b,0x005fa8df,
    0xa805fff5,0x0dff37ff,0xdff32fd8,0xdddddddd,0x0b264983,0x7fc417ea,
    0x7c7f901f,0x3bbbae2f,0x46ffeeee,0x2fec04fe,0x7c40bfe2,0x401bea1f,
    0xddff30ff,0x5fffdddd,0xfeeeeea8,0x80eeeeef,0x47fb83fd,0x86fb80ff,
    0x51fb87fb,0x03bf60bf,0x05fa81fb,0x80bfff50,0xfff37ffd,0xf997ec09,
    0x88000006,0x9fbf507f,0x2ff83fa0,0x30bfe600,0x3fea03ff,0xe80ffa80,
    0x401fe83f,0x81be65fa,0xf9807fc8,0x203fe006,0xd837c7f8,0x01ff883f,
    0x77ec2fd4,0x017ea000,0x103f6fd4,0x3be6ff9f,0x25fb01ff,0x220006f9,
    0xfd02cedc,0x0df3f903,0x02ff8df1,0x3207ff10,0x02ff886f,0x0bf91bf6,
    0x5fb013ee,0x7fc037cc,0x8037cc02,0x5dfe06f8,0x2a0ccffc,0xb83fb00b,
    0xfd8bf50c,0xa819700e,0x9bf5005f,0x3ebee05f,0x0df7bf37,0x037ccbf6,
    0xfefffb80,0xf83fb85f,0x4fa81fb6,0x74400ffc,0x227f405f,0x7f4404fd,
    0x2201df53,0x31fe207f,0x07fb00df,0xf3006f98,0xffdbfc0b,0xf1000fff,
    0x3ea1fd0f,0xe803bf65,0x802fd40f,0xb05f9dfa,0x57e6ff1d,0x32fd84fe,
    0xff3000df,0x313faa17,0xf74f98bf,0x7fc2fc85,0x00efd801,0x6fa8ffcc,
    0xff5ff300,0x702fd803,0x806f989f,0x37cc00ff,0x3e06f880,0x220037c7,
    0x50fe82fe,0x003ff6bf,0x05fa81fd,0x21fabf50,0xf37f8bf8,0xfb07fe6b,
    0x2667be65,0x6c099999,0x40ff882f,0xf997dc7f,0x3fa07f45,0x007fdc00,
    0x03fd6fc8,0x01fffdc0,0x1fe82fd4,0xe98837cc,0x06f9805f,0x3ea07fa0,
    0xd10037c7,0x543fa07f,0x04fffddf,0x17ea07f4,0x2fcafd40,0x9bfc4fdc,
    0xfb1bee5f,0x3ffffe65,0x7c5fffff,0xfb0bf207,0x89fe3ec1,0x200fe86f,
    0x74002ffa,0xe8004fef,0x03fe006f,0xfff30df3,0xdfffffff,0x00df3001,
    0xfd50f7d4,0x3a006f8f,0x543fa04f,0x2ff9dfff,0xbf503fa0,0x7cd7ea00,
    0x37f8b745,0x364fe8bf,0x999ff32f,0x44799999,0x70fee06f,0x3f22fc5f,
    0x0fb07f51,0x4001ffc4,0xa8006ff9,0xf9002fff,0xf982fc85,0xcfffeeef,
    0x01be6002,0xdfddff90,0x7006f8ff,0x50fe809f,0x07fdcbff,0x2fd40fe8,
    0x9fa5fa80,0x26ff13f8,0xd8ffcc5f,0x800df32f,0x0fee06f9,0x50fea9f3,
    0x3207f27f,0x0017fa07,0x44002fd8,0x800ffcff,0x983fc5f9,0x01ffb86f,
    0x2001be60,0x6f8befda,0x1fd8037c,0x6fa87f40,0x1fd05fd8,0xf5005fa8,
    0x0fb97dcb,0x217e6ff1,0x265fb6fb,0x3fc4006f,0x2df05f90,0xeafc41fc,
    0x3f60d907,0x17ec0006,0x7ed3f600,0x2a1fd006,0x20df304f,0xf3000ffb,
    0x3e20000d,0xfe8037c6,0xfa87f400,0xe83ff885,0x802fd40f,0x757e65fa,
    0x2fcdfe26,0x32fdcfe8,0x3fd000df,0x3f603fa0,0x3edd07e8,0xff70d705,
    0x2fd80001,0xf89bee00,0xb3fb803f,0x81be603f,0xf9800efd,0x203b6006,
    0x0037c4fb,0x7d43fa00,0xe83ff505,0x802fd40f,0x7cff45fa,0x2fcdfe23,
    0x32feff98,0xbf7000df,0xf506fb81,0x2bf209f5,0x3fe6003f,0x2fd80001,
    0x983ff300,0xb7c401ff,0x81be606f,0xf9804ff8,0x477f2006,0x37c1ffa8,
    0xfe801980,0x7e40bf50,0xf503fa0f,0x717ea00b,0xbfc41fdf,0x3ff205f9,
    0x000df32f,0x3fef3ffa,0x5fdf100e,0x403fbe60,0x00bfe219,0x4017ec00,
    0xdf903ff8,0x3fbfd801,0xf501be60,0x06f9803f,0x7ffffec0,0xf006f81f,
    0x50fe803f,0x2ff440bf,0xeffa81fd,0x53eeeeee,0x45ff98bf,0x80bf37f8,
    0xdff32ffe,0xdddddddd,0xbffff709,0x00ffe801,0x1ff81bfe,0xdddddff9,
    0x801ddddd,0x5fd802fd,0x2602ff40,0x3e600fff,0x406fd806,0xa88006f9,
    0x0df00abc,0xfd007fe0,0xf3017ea1,0xf503fa7f,0xffffffff,0x3fa17ea9,
    0x5f9bfc42,0xf997fcc0,0xffffffff,0x002205ff,0x7ec06fc8,0x7e47fe04,
    0xffffffff,0x7ec00fff,0x007fdc02,0xfd00bfe6,0x806f980b,0x3e603ff8,
    0x00000006,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x25b91000,0x3bbbb65a,0x322eeeee,0x000aa00c,
    0xaaab9820,0x54aaaaaa,0x50791039,0x64c59db9,0x32600ade,0x2200cded,
    0x7100bddb,0xb88079db,0x64402ced,0x8ca82ced,0x3262ddb9,0x446540be,
    0x32a0cddb,0x1971cda8,0x27901990,0x079101ca,0x00800080,0x4bfffbdb,
    0xffffffff,0x807fe2ff,0xdd95007d,0x004cd717,0xf105f928,0xfeeffc8d,
    0xffeffcef,0xeeffc80f,0xff981fff,0x7cc3ffef,0x80effeff,0x4ffefffa,
    0xffdfff70,0xfffbfb8b,0xffff9bff,0x3fefee2f,0x7f70efff,0x0bf27fff,
    0x4f985ff3,0x8fee0bf3,0x2e17515d,0x0db5000e,0x005dc472,0x06646fa8,
    0xffb00fb0,0x4c5ffffd,0x0bf25000,0x45fa9be2,0x2a1dffe8,0x1077d46f,
    0xbff889fb,0x7ec1ff30,0xf10ff622,0x0ffaa17f,0x3aa17ff3,0x433fee4f,
    0xf50bfffa,0x88e7fdcb,0x39ff74fe,0xf713e615,0x3a2fb89f,0x320fe80f,
    0xfeffffef,0x3fae200e,0x8800004f,0x7d8001ff,0xf7177dc0,0x28004c3f,
    0x4df105f9,0x1ffc80fc,0x0bb23fc8,0x07f91be6,0x443f47f7,0x4427e42c,
    0x20bf60ff,0x0df70ff8,0x5cfd0dfd,0xf76f986f,0x3b63fc0d,0x3ee3f46e,
    0x7f42fcc3,0x00ffdabe,0x019fff93,0x9bb71195,0x007fb001,0xff881f60,
    0x1337f6c0,0x417e4a00,0xfb8806f8,0x100bf306,0x00fd8df5,0x8015dfb0,
    0x43fb01fe,0x5cbf207f,0xd84fc84f,0xf109f71f,0xfd813eed,0x443f33e1,
    0x3237c45f,0xfc87f82f,0x177ff542,0x3ffefee0,0x3ea00eff,0xffff1005,
    0x25ffffff,0x7c7e44fa,0xc9400267,0x986f882f,0xfffffedb,0x86ffffff,
    0x6fffedba,0xfd1003fc,0xff017bff,0xffffffff,0xfb81be25,0x5f907f73,
    0x0fee3fb0,0x203fbb7c,0xf55f33fa,0x3f60bea5,0x13e61fe0,0xcffd93e6,
    0x39ff7001,0xff813fa2,0xdddd1001,0x25ddddff,0x6c7ea3fb,0x4a00130f,
    0x26f882fc,0xbbdeffe8,0xeeeeeeff,0x3fffa25e,0x3e26fabd,0x7ed44007,
    0x3fe22fff,0xeeeeeeee,0x7dc0df32,0x5f907f73,0x0fee3fb0,0x202fbb7c,
    0xf11f95f8,0x3ea03f69,0x7f509f33,0x77ec9f10,0x0df7000b,0x17ea0df3,
    0x5c0fb000,0x7ec7f13f,0x64a00131,0x366f983f,0x02fd41cf,0xf981bfb0,
    0x00303fc6,0x0ff8ffb5,0x640ff100,0xf907f72f,0x3ee3fb05,0x0beedf03,
    0x7e9bafb0,0x65be20bf,0xf90df01f,0x67ffdc45,0x4427dc01,0x005fb06f,
    0x3ea07d80,0x30fe8bd5,0x1fdca001,0x07f8b7d4,0x4f660df9,0x8df507f8,
    0x15f981fe,0xe87fa099,0x7419903f,0x2e1fd01f,0xd82fc83f,0x3e07f71f,
    0xfb805f76,0x3eff24fa,0x1be7f203,0xfc9adfe8,0xdffd500f,0x7c0fee05,
    0x4c07f886,0xf303ec01,0x37c41d9d,0x7d4a0013,0xff37f446,0x83fff981,
    0x103fe1fe,0x0dfa8dfd,0x83fb0fec,0x077d47f8,0x1bf71bea,0x0fee6fb8,
    0x47f60bf2,0x2edf03fb,0x7f7c402f,0x803ffea2,0xf703fef9,0xdfffffff,
    0x7ffecc01,0x6f81fdc3,0x7fc03fc8,0xfd01f601,0x31fec43f,0xeff8a001,
    0x326fdecb,0x9efdabef,0x4febbdfe,0x7e55f7dc,0xcffd87fe,0x7fcc5feb,
    0xd84fecbd,0x1ffdbdff,0xffbcffe8,0x320fee0e,0xf71fd82f,0x17ddbe07,
    0xf107ff40,0x1ffd00df,0x32e23b60,0x71003f91,0xf03fb8df,0xf801ff0d,
    0x5006201f,0xbff97dff,0x44500098,0x4dd4fffe,0x23effeb8,0x83dfffd8,
    0xb3fffeb8,0xbfff703f,0xffff7017,0x7ffdc07d,0x3fee01cf,0x1fdc0dff,
    0x8fec17e4,0x2edf03fb,0x86fc802f,0x5fb803fe,0x00100220,0xf03fb830,
    0xf006f88d,0x3bbbba21,0xd12eeeee,0x05bffd9b,0x220a0013,0x30022001,
    0x00022001,0x04c40022,0x88001100,0x00000000,0x00000000,0x00000000,
    0x6f81fdc0,0x35402fcc,0xfffffff1,0x11225fff,0xaaaab980,0x004aaaaa,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3fb80000,
    0x04fb8df0,0x000001e8,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x03fb8000,0x002fc8df,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xcb80cc88,0x33333221,0x3101cccc,0x99000201,0x3623d301,
    0x01ec5d33,0x06200aa8,0x100080cc,0x08011003,0x80c00880,0x99998818,
    0x31099999,0x33333333,0x20000101,0x44009819,0x02208808,0x42605975,
    0x513f6099,0xffff88df,0x502fffff,0x00b7607f,0xb3740ffc,0xfb87ec1f,
    0x201ff801,0x07fcc1fe,0xe80bfff7,0xfffd302f,0x1dffea87,0x40effe44,
    0xd87a81fd,0xffffffff,0xfffffb6f,0x754dffff,0xf87fc2ef,0x3fe6f99f,
    0x1ff83e60,0x2bf31bee,0x3fff65f9,0x0fb99cff,0x97fc43ff,0x32001ff8,
    0x40fea04f,0x200bfffc,0xa8fe40cc,0xdd2fc43f,0x201ff801,0x5ff31ffa,
    0x03faa7c4,0x37a0dff5,0x37e21f90,0x576c5f98,0x3ffaa6ea,0x8cdea2e1,
    0xcccccccb,0x999976fc,0x22799999,0x0ff8d51f,0x7cdf33ff,0x7c7baa0f,
    0xf317ec1f,0xbdf97e6b,0xffffffec,0xefa83ff0,0x2e003fe8,0x01fd405f,
    0x039fff91,0x37c57ea0,0x09f52fc8,0x2ffea000,0x17d402ff,0x881fcfd8,
    0x2625f510,0x23f89ba0,0x3f77b1fa,0x3fbfbfe2,0x001be005,0xff8ba2dc,
    0x8df33ff0,0x1335f80f,0x22088bd0,0x3bb260e0,0xfdf9000c,0x077d400b,
    0x5400fea0,0x2202effe,0x205fb0ff,0x25fb0ff8,0xeeeeeee8,0xffa82eee,
    0x827f403f,0xa85f8cf9,0x702ffffd,0x3e0fd47f,0xd510fd43,0x6f80039f,
    0x0f8d3000,0xf88fd9fa,0xffec9a65,0x00000002,0x03bfa000,0x6407fcc0,
    0xeeefeeee,0x7fe4c04e,0x3e2df306,0x5cbf600f,0xfffff14f,0x305fffff,
    0xb9803fff,0xfb1fc83f,0x4cd77cc1,0x4c4fc82f,0xf50be21f,0x00fcfb83,
    0xaaa9b7c0,0x22aaaaaa,0x36c5ebde,0x43d27cf9,0x20880aca,0x14eeeee9,
    0x77777777,0x00057777,0x3001ffd1,0x3ff603ff,0x6fffffff,0x037f5c40,
    0x413ea5f9,0x01ff15fa,0xf9ff3000,0x3ec1883f,0x24f99be2,0x88bf21fa,
    0x549f02fd,0xf10fd40f,0xdf001ba7,0x3ffffff6,0x16546fff,0x0e4751d4,
    0x30efa800,0x26bfffff,0xeeeeeeee,0x8004eeee,0x4406fdfc,0x3ea002fe,
    0xfff93003,0xb0fe8019,0x321fd03f,0x00f6c01f,0x3fea7ff3,0x3ea73e61,
    0x9fa17dc4,0x4fedcef8,0x85559fd1,0xa85fddfc,0x00130c1f,0x555532a8,
    0x00555555,0x3a000000,0x4ccccc1f,0x20000000,0x407fb6fa,0x7d4004fe,
    0x77fed403,0x453e6002,0xf997dc6f,0x201ff804,0x07fd43ff,0xf819ffd7,
    0x3263fb87,0x3fee771d,0x64c0ffff,0x003f502d,0x00000000,0x26000000,
    0x0000002f,0x88ffc400,0x04fd81ff,0xf703fa80,0x0cc03bff,0x25f50fc8,
    0x401b64f8,0x40e600cc,0x2a20102a,0x0001a881,0x00000000,0x00000000,
    0x00000000,0xd8000000,0x2e37d43f,0xccccccff,0x207f502c,0xff800cfd,
    0x884c1301,0x000004c1,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7ec1bee0,0x3fffff24,0x5105ffff,0xff000601,0x00000003,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_25_latin1_x[224]={ 0,1,1,0,0,1,0,0,1,1,0,1,1,0,
2,0,0,2,0,0,0,0,0,1,0,0,2,1,1,1,1,0,1,-1,1,1,1,1,1,1,1,2,0,1,
1,1,1,1,1,0,1,1,0,1,0,0,0,0,0,1,0,0,0,-1,0,0,1,0,0,0,0,0,1,1,
-2,1,1,1,1,0,1,0,1,0,0,1,0,0,0,0,0,0,2,0,0,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,1,0,0,-1,
2,0,0,0,0,1,1,0,0,-1,1,0,0,0,2,1,0,2,1,1,0,1,1,1,0,1,-1,-1,-1,-1,
-1,-1,0,1,1,1,1,1,0,1,-1,0,-1,1,1,1,1,1,1,1,0,1,1,1,1,0,1,1,0,0,
0,0,0,0,0,0,0,0,0,0,0,2,-1,0,0,1,0,0,0,0,0,0,1,1,1,1,1,0,1,0,
 };
static signed short stb__arial_25_latin1_y[224]={ 20,3,3,3,2,3,3,3,3,3,3,6,17,13,
17,3,3,3,3,3,3,4,3,4,3,3,8,8,6,8,6,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,23,3,8,3,8,3,8,3,8,3,3,
3,3,3,8,8,8,8,8,8,8,4,8,8,8,8,8,8,3,3,3,10,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,20,8,3,3,6,3,
3,3,3,3,3,9,8,13,3,1,3,6,3,3,3,8,3,10,19,3,3,9,3,3,3,8,-1,-1,-1,0,
0,0,3,3,-1,-1,-1,0,-1,-1,-1,0,3,0,-1,-1,-1,0,0,7,3,-1,-1,-1,0,-1,3,3,3,3,
3,4,3,3,8,8,3,3,3,3,3,3,3,3,3,4,3,3,3,4,3,7,7,3,3,3,3,3,3,3,
 };
static unsigned short stb__arial_25_latin1_w[224]={ 0,4,6,13,12,18,15,4,6,6,8,11,4,7,
3,7,12,7,12,12,12,12,12,11,12,12,3,4,11,11,11,12,21,16,13,15,14,13,12,16,14,3,10,14,
11,16,14,16,13,17,15,13,14,14,15,21,15,15,14,5,7,5,10,14,6,12,11,11,11,12,7,11,10,3,
6,11,3,17,10,12,11,11,7,11,7,10,11,16,12,11,11,7,2,7,13,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,0,3,11,12,12,14,
2,12,7,17,8,10,11,7,17,14,7,12,8,8,5,11,13,3,5,5,8,10,18,18,19,12,16,16,16,16,
16,16,22,15,13,13,13,13,5,5,8,7,16,14,16,16,16,16,16,11,17,14,14,14,14,15,13,12,12,12,
12,12,12,12,19,11,12,12,12,12,5,5,8,7,12,10,12,12,12,12,12,12,12,10,10,10,10,11,11,11,
 };
static unsigned short stb__arial_25_latin1_h[224]={ 0,17,7,18,21,18,18,7,22,22,8,12,7,3,
3,18,18,17,17,18,17,17,18,16,18,18,12,16,12,8,12,17,22,17,17,18,17,17,17,18,17,17,18,17,
17,17,17,18,17,19,17,18,17,18,17,17,17,17,17,22,18,22,10,2,4,13,18,13,18,13,17,17,17,17,
22,17,17,12,12,13,17,17,12,13,17,13,12,12,12,17,12,22,22,22,4,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,0,17,22,18,12,17,
22,22,4,18,9,11,8,3,18,2,7,14,9,10,4,17,22,4,6,9,9,11,18,18,18,17,21,21,21,20,
20,20,17,22,21,21,21,20,21,21,21,20,17,20,22,22,22,21,21,10,18,22,22,22,21,21,17,18,18,18,
18,17,18,18,13,17,18,18,18,18,17,17,17,17,18,16,18,18,18,17,18,10,14,18,18,18,18,22,22,22,
 };
static unsigned short stb__arial_25_latin1_s[224]={ 250,154,200,14,125,125,144,195,37,57,154,
26,207,224,251,248,231,246,152,28,233,165,95,12,1,176,50,24,241,175,38,
21,191,69,86,160,113,105,150,78,199,214,41,40,61,73,90,135,136,47,222,
14,238,108,206,132,190,174,159,94,70,117,110,65,222,99,123,112,244,136,13,
1,242,238,169,222,218,162,180,149,175,163,191,124,128,68,216,199,1,57,14,
213,221,224,237,55,55,55,55,55,55,55,55,55,55,55,55,55,55,55,55,
55,55,55,55,55,55,55,55,55,55,55,55,55,55,55,55,55,250,234,157,
200,228,178,247,44,229,213,121,54,163,224,52,232,187,29,130,101,218,14,80,
218,212,148,139,65,106,87,67,100,147,49,66,202,30,227,193,64,83,97,111,
16,250,196,138,219,216,1,100,123,140,32,164,89,65,1,176,232,181,16,26,
1,135,148,174,1,200,109,79,187,41,28,187,96,34,55,40,49,235,1,122,
54,83,119,161,76,42,213,224,244,189,25,13,1, };
static unsigned short stb__arial_25_latin1_t[224]={ 23,124,159,68,24,68,68,159,1,1,159,
159,159,164,159,46,68,87,87,87,87,87,87,142,87,68,159,142,142,159,159,
124,1,106,106,68,106,124,106,87,106,106,87,124,124,124,124,87,106,46,124,
87,124,87,124,124,124,124,124,1,87,1,159,65,159,142,87,142,68,142,124,
124,106,106,1,106,106,142,142,142,106,106,142,142,106,142,142,142,159,106,159,
1,1,1,159,142,142,142,142,142,142,142,142,142,142,142,142,142,142,142,142,
142,142,142,142,142,142,142,142,142,142,142,142,142,142,142,142,142,23,106,1,
68,142,87,1,1,159,68,159,159,159,164,87,164,159,142,159,159,164,106,1,
159,159,159,159,159,68,68,68,106,24,24,24,24,46,24,87,1,24,24,24,
46,1,24,24,24,87,47,1,1,1,24,24,159,46,24,1,1,24,24,106,
68,46,46,46,106,46,46,142,106,68,68,46,46,124,124,106,106,46,142,46,
68,46,124,46,159,142,46,46,24,68,1,1,1, };
static unsigned short stb__arial_25_latin1_a[224]={ 99,99,127,199,199,318,239,68,
119,119,139,209,99,119,99,99,199,199,199,199,199,199,199,199,
199,199,99,99,209,209,209,199,363,239,239,259,259,239,219,278,
259,99,179,239,199,298,259,278,239,278,259,239,219,259,239,338,
239,239,219,99,99,99,168,199,119,199,199,179,199,199,99,199,
199,80,80,179,80,298,199,199,199,199,119,179,99,199,179,259,
179,179,179,120,93,120,209,269,269,269,269,269,269,269,269,269,
269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,
269,269,269,269,269,269,269,269,99,119,199,199,199,199,93,199,
119,264,133,199,209,119,264,198,143,197,119,119,119,206,192,99,
119,119,131,199,299,299,299,219,239,239,239,239,239,239,358,259,
239,239,239,239,99,99,99,99,259,259,278,278,278,278,278,209,
278,259,259,259,259,239,239,219,199,199,199,199,199,199,318,179,
199,199,199,199,99,99,99,99,199,199,199,199,199,199,199,197,
219,199,199,199,199,179,199,179, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_25_latin1_BITMAP_HEIGHT or STB_FONT_arial_25_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_25_latin1(stb_fontchar font[STB_FONT_arial_25_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_arial_25_latin1_BITMAP_HEIGHT][STB_FONT_arial_25_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_25_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_25_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_25_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_25_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_25_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_25_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_25_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__arial_25_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__arial_25_latin1_s[i] + stb__arial_25_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__arial_25_latin1_t[i] + stb__arial_25_latin1_h[i]) * recip_height;
            font[i].x0 = stb__arial_25_latin1_x[i];
            font[i].y0 = stb__arial_25_latin1_y[i];
            font[i].x1 = stb__arial_25_latin1_x[i] + stb__arial_25_latin1_w[i];
            font[i].y1 = stb__arial_25_latin1_y[i] + stb__arial_25_latin1_h[i];
            font[i].advance_int = (stb__arial_25_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__arial_25_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_25_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_25_latin1_s[i] + stb__arial_25_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_25_latin1_t[i] + stb__arial_25_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_25_latin1_x[i] - 0.5f;
            font[i].y0f = stb__arial_25_latin1_y[i] - 0.5f;
            font[i].x1f = stb__arial_25_latin1_x[i] + stb__arial_25_latin1_w[i] + 0.5f;
            font[i].y1f = stb__arial_25_latin1_y[i] + stb__arial_25_latin1_h[i] + 0.5f;
            font[i].advance = stb__arial_25_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_25_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_25_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_25_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_25_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_25_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_25_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_25_latin1_LINE_SPACING
#endif

