// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_30_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_30_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_30_latin1_BITMAP_WIDTH         256
#define STB_FONT_arial_30_latin1_BITMAP_HEIGHT        238
#define STB_FONT_arial_30_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_30_latin1_FIRST_CHAR            32
#define STB_FONT_arial_30_latin1_NUM_CHARS            224

#define STB_FONT_arial_30_latin1_LINE_SPACING          19

static unsigned int stb__arial_30_latin1_pixels[]={
    0x06aa1aa8,0x500000cc,0x0ee00155,0x00000000,0x75100595,0x33330035,
    0x00008003,0x00000000,0x31000000,0x13333333,0xc8802b26,0x88033001,
    0x225951ca,0xfe809999,0x3e60ffe4,0xf880000f,0x05f3005f,0x4007ff70,
    0xf7005ff9,0x3ffb2607,0xf103ffff,0xe800ffff,0x07ff7004,0x1ffc8000,
    0x3ffea000,0x3ff66000,0xffffffff,0x405fff53,0x0ff9806d,0x2e5fff50,
    0xbffff73f,0x1ffc9fd0,0x00007fcc,0xdd0037e4,0x0013fa00,0x2e003fee,
    0xffffb83f,0x85ffffde,0x006eeff8,0xfc800fe2,0x3e200007,0x3e20003f,
    0xf7006fdf,0xffffffff,0x3b267fff,0x00fe607f,0xff101ff3,0x54fee39d,
    0xaa85ffee,0x3e606aa1,0x7c40000f,0x03f5000f,0x4000df50,0x3fb804fc,
    0x205f7fdc,0x7c45ffc9,0x0fa8000f,0x001fec00,0x0005fc80,0x05fdaff4,
    0x7fffffcc,0x7c413f23,0x101f601f,0x21fea099,0x05fc83fb,0x00ff9800,
    0x000d4400,0x032e00dd,0x70099000,0x07ffc47f,0xf887ffa0,0x06d8000f,
    0x0003c880,0x98000990,0x039910cc,0x7fffffe4,0xfd813f23,0x000fe602,
    0x3fb86fb8,0x80005fc8,0x00220ff9,0x87f70000,0x33100098,0x988004c4,
    0xffc8fee1,0x25ff9802,0x26000ff8,0x54c004f9,0xa980001b,0xa980001b,
    0xfffd001b,0x27e47fff,0xfe805fb0,0x0bf70000,0x2bf907f7,0x3ea00ffa,
    0x3ee3fe67,0x7d40bdff,0x11fea00f,0x04fe81ff,0x3fa3ff50,0x23ff5004,
    0x013fa3fb,0x3fe20ab8,0x7ffed400,0xffc8804f,0x00bdffff,0xfffff910,
    0x220017bf,0xdffffffc,0xfffff00b,0x027e47ff,0x4fc807fb,0xf701ff30,
    0xf907f709,0xfb01ffcb,0x77f7fcc9,0xff85fffd,0xf713f603,0x2009fd0d,
    0x09fd1ffa,0x7dc7fea0,0x0000bfe3,0x7d401ff1,0x0effedff,0x9dfffd30,
    0x805ffffd,0xecefffe9,0x4c02ffff,0xfecefffe,0xffd82fff,0x3f23ffff,
    0x300ff604,0x03fe60ff,0x0fee13f2,0x06fc97f2,0x7fcc3ff1,0x21ffdc4f,
    0x3ff106fc,0x4fe84fc8,0x3a3ff500,0x3ff5004f,0x0ffccfee,0x03fe2000,
    0xfdd1ffcc,0x5fff509f,0x05fff710,0x220bffea,0xf502fffb,0xff7105ff,
    0xffffb85f,0x813f23ff,0x1ff803fc,0xfc80ff98,0xfc83fb84,0x2a07fe65,
    0x837fcc6f,0x3fe60ffa,0xfd86fa81,0x5004fe83,0x013fa3ff,0x3fb8ffd4,
    0x80001ff7,0xbfd00ff8,0x43fe57c4,0x7cc00efe,0x0efe80ff,0x407ffcc0,
    0x7cc00efe,0x7fff40ff,0x813f23ff,0x2fe804fb,0xfd80ff98,0xfc83fb83,
    0x7ec1ff45,0xd017fcc3,0xd83fe85f,0xe82ff83f,0x3ff5004f,0x7d4013fa,
    0x3f25d51f,0xff880007,0x2e1ff880,0x7dc1b88f,0x9ff5001f,0x5001ffb8,
    0x1ffb89ff,0x889ff500,0x323ffffd,0x03fe604f,0xff307fb0,0xb80ff881,
    0x5c5fc83f,0x207fc46f,0x3f600ff9,0x3e237dc4,0x40ffc40f,0xff5004fe,
    0x54013fa3,0x1ff501ff,0x0ff88000,0x036c7f98,0xd8009ff1,0x013fe26f,
    0x7fc4dfb0,0x837ec004,0x3f23feb9,0x00efec04,0x1ff30bf9,0xfb82fecc,
    0x7c45fc83,0x261bee1f,0x22fe407f,0x1bee1ff8,0x3fa03fe6,0x23ff5004,
    0xff5004fe,0x00bfe603,0x701ff100,0x2603f8df,0x7dc002ff,0x000bfe67,
    0x17fccff7,0xb01fee00,0x4027e47f,0xdf701ffc,0x3e61ff30,0x20fee04f,
    0x24fd85fc,0x07f982fe,0x27ec2fe4,0x1ff305fd,0x2a009fd0,0x009fd1ff,
    0xff807fea,0x426e6003,0x6fb80ff8,0xffa807e6,0x8ffd4001,0x54001ffa,
    0x03ff51ff,0x201ffa80,0x013f23fd,0x7dc07fee,0xf30ff986,0x41fdc07f,
    0x37fa85fc,0x0ff301ff,0x7fa83fd8,0xff101ff3,0x2009fd03,0x09fd1ffa,
    0xe807fea0,0x3ff2005f,0xf301ff10,0x3ee03e4f,0x7fc4000f,0x8001ff73,
    0x1ff73ff8,0x03ff8800,0x04fc8ff6,0xf9016fec,0x541ff309,0x07f704fe,
    0x27fe0bf9,0x3ff305fb,0xff817f40,0x3fa05fb9,0x5004fe82,0x013fa3ff,
    0x2ea8ffd4,0x2200fff2,0x03fe25ff,0x224e87fc,0x00ff92ff,0x3fe53fe0,
    0xf94ff800,0x13fe000f,0x13f23fd8,0x7400ff88,0x40ff983f,0x3fb81ff8,
    0x9f905fc8,0x3fe605fd,0x201ff505,0x202fecfc,0x04fe84fd,0x3fa3ff50,
    0x23ff5004,0x3ffe23fb,0x10fff401,0x33fa01ff,0x43fee2f8,0xf88007fb,
    0x000ff72f,0x1fee5ff1,0x80bfe200,0x813f23fd,0x1ff805fb,0xfd80ff98,
    0xfc83fb83,0x0ffff305,0x3067ffcc,0x7fcc07ff,0x42fdc07f,0xff5005fe,
    0x54017fa1,0xa87f70ff,0x3262cfff,0x7fc43fff,0x1fbff500,0xff993fe6,
    0x8ffcc000,0x4c000ff9,0x01ff31ff,0x201ff980,0x813f23fd,0x7fc404fc,
    0xc80ff980,0xc83fb84f,0x13ffa05f,0xdffeff98,0xfe804ffe,0x437cc04f,
    0xff7006fd,0xfb8037ec,0x3ea0fee7,0xffffffff,0x00ff884f,0x3fb3ffee,
    0x002ff86f,0x0bfe3fd4,0xff8ff500,0x03fd4002,0x04fc8ff6,0xdf300ff6,
    0x3203fe60,0xc83fb84f,0x07fee05f,0xffc8ff98,0xff7003ef,0x40ff8803,
    0xdf9007fd,0xfc803fec,0x6440fee6,0x1dffffff,0xb801ff10,0xd04fffff,
    0x5fe800df,0x3a0037f4,0x0037f45f,0x7fb017fa,0x7fb027e4,0xf305fb80,
    0x709f701f,0x40bf907f,0x7fcc06fb,0xf7000260,0x713f200d,0xbfd001ff,
    0x74007fdc,0x200fee5f,0xf8800bfb,0x557d400f,0x017fdc01,0x7dc3ffb8,
    0x7ff7002f,0x7002ffb8,0x3fd807ff,0x3fd813f2,0xf980ffc0,0xb85fb80f,
    0x205fc83f,0x7fcc02fe,0x17f40000,0x260ff880,0x3ea00eff,0x03bfe63f,
    0x3ee3ffa8,0x01dfd803,0x6c00ff88,0x17ff4007,0x741bfea0,0x7fd402ff,
    0x805ffd06,0xfd806ffa,0xfe813f23,0x9817ea03,0x70bf707f,0x20bf907f,
    0xff9807fa,0x1fea0000,0xfa87f700,0xf9311bef,0x7dff50bf,0x17ff2623,
    0x3e6007f7,0x07fc400f,0xf30013e0,0xfc9839ff,0xfff301ff,0xfffc9839,
    0x39fff301,0x01fffc98,0x13f23fd8,0x3fa01ff8,0x541fea00,0xc83fb86f,
    0x3ffb6e5f,0x00ff9803,0x1fff6dc0,0x7dc37400,0xffffffff,0x3fffee06,
    0xb86fffff,0x7dccc03f,0x6ffc400f,0x002f984c,0xeffffe88,0x400effff,
    0xfeffffe8,0x4400efff,0xffeffffe,0xfb000eff,0x2e227e47,0x13ea07fe,
    0x882ffddc,0x7f70bdff,0xb97fb326,0xf3004fff,0xffb8001f,0x5f50004f,
    0xffffd950,0xeca8017f,0x80bfffff,0x3fe603fb,0xff8803ff,0x007b87ff,
    0x7ffff540,0x754002ce,0x02ceffff,0x7ffff540,0x7ec002ce,0xff513f23,
    0x807f407f,0x2e01ffff,0x27f72fff,0x225ffffb,0x2a2001bb,0x1bb88002,
    0x201dc000,0x10000998,0x2ca80133,0x8006ea20,0x302aaaa8,0x04cc0000,
    0x00998000,0x00133000,0x3530d4c0,0x2201cc98,0x1797102c,0x2a397300,
    0x3555532c,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x79753100,0x00000035,0x00abb980,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x05502600,
    0x4c5bfa00,0x7ffe4c00,0x0befffff,0x1fff8800,0xffffd100,0x25ff009f,
    0xc8001ff8,0x200001ff,0x20003ffa,0x8002fff8,0x20004ffa,0x5c005ff8,
    0xffd806ff,0xa8ffcc00,0xff8800ff,0xffe8802f,0xd804fbbe,0x3adfd1ff,
    0xfffb106f,0xffd9559b,0xfe8005ff,0xfd800ffd,0x04ffdbdf,0x1ff897fc,
    0x00bfd000,0x002ff400,0x03ff7fa0,0x003fee00,0x00077e40,0x80bfbff3,
    0x7cc04fe8,0x001ff51f,0x803ffbfb,0xffffcbfb,0xb1ffc401,0x221bfabd,
    0x2200befe,0x9004ffda,0x101bf2df,0x0ffc81ff,0x66447320,0x3fd10000,
    0x0df50000,0xf96fc800,0x9f90001d,0x03ff1000,0x7c5ffc40,0x07fcc03f,
    0x32619910,0x47fe400c,0x12e00efb,0x9f900173,0x7cc6fe80,0x7e4000df,
    0x8e64403f,0x3f202cc8,0x223ff885,0x03310009,0x0002c980,0x20000cb8,
    0x0b321cc8,0x40026400,0x654002c9,0x50033264,0x37530039,0xc8732200,
    0x1ba9802c,0xb0c13200,0x204fe8bf,0x20ffdc00,0x33100098,0x0980ffb8,
    0xfa8027f4,0x0331001f,0x00662000,0x800cc400,0x99999998,0x22199999,
    0x99999999,0x26219999,0x99999999,0x19881999,0x3ffff220,0x8800bdff,
    0xffc88019,0x00bdffff,0x23f50662,0x217ee4fc,0xd53effc9,0x3fa27dcb,
    0x43ff5004,0xe800eff8,0x3ff5004f,0x00bffa00,0x00bffa00,0x00bffa00,
    0x3ffffffa,0x27ffffff,0xfffffffe,0x3a7fffff,0xffffffff,0xfb87ffff,
    0xdfffd307,0x05ffffd9,0x74c07fb8,0xffecefff,0x8ff702ff,0x227f52fa,
    0x7ffd40ff,0x25fcbffe,0x027f46f8,0x7cc1ffa8,0x27f403ff,0x801ffa80,
    0x0005fffa,0x002fffd4,0x017ffea0,0x3ffffffa,0x27ffffff,0xfffffffe,
    0x3a7fffff,0xffffffff,0xfb87ffff,0x82fffa87,0x202fffb8,0x3fea07fb,
    0xfffb882f,0x7dc7fb82,0x13ea1912,0x7ecc7ff3,0xd07f43ff,0x3fea009f,
    0x3ffffa21,0x009fd00d,0x36007fea,0x0000ffcf,0x003ff3f6,0x0ffcfd80,
    0x80027f40,0xfd0004fe,0x7fb80009,0x4c00efe8,0xff700fff,0x20077f40,
    0x7dc0fff9,0xfc81fdc7,0x220ffe20,0x17e41fff,0x3ea009fd,0x913ff31f,
    0x9fd07fff,0x007fea00,0x09fb1ff1,0x363fe200,0xff10004f,0xfe809fb1,
    0x09fd0004,0x0013fa00,0xffb8ff70,0x09ff5001,0x7fdc1fee,0x89ff5001,
    0x827e47fb,0xd037e46e,0x24fa81ff,0xff5004fe,0xff50ff23,0x027f41bf,
    0x5c01ffa8,0x000ff56f,0x03fd5bee,0xff56fb80,0x0004fe80,0x3a0009fd,
    0x7dc0004f,0x0013fe27,0x1fee0dfb,0xb0013fe2,0x647fb8df,0xfe89f04f,
    0x2e1bf203,0x4013fa3f,0x03fd1ffa,0x7f4bffb1,0x03ff5004,0x5ff14fe8,
    0x229fd000,0xfe8002ff,0x7405ff14,0x9fd0004f,0x013fa000,0x7ccff700,
    0x3fdc002f,0xff987fb8,0x23fdc002,0x42fec7fb,0x03fe23f9,0x1fd84fd8,
    0x7d4013fa,0x5c09fb1f,0x009fd2ff,0xf9807fea,0x001bf61f,0x37ec3ff3,
    0xd87fe600,0x013fa06f,0x80027f40,0x5c0004fe,0x007fea7f,0xf703ff50,
    0x003ff50f,0x3ee1ffa8,0x7dc2fec7,0xfd01fea2,0x7f41ff07,0x23ff5004,
    0x3fa03ffa,0x2a009fd4,0x1bf201ff,0x64003ff5,0x00ffd46f,0xffa8df90,
    0x0009fd01,0x740013fa,0x7dc0004f,0x0003fee7,0xff707ff1,0x8001ff70,
    0x1fee3ff8,0x47f50dfd,0x3fe607fb,0x3fa37d41,0x43ff5004,0xfc80dffc,
    0x2a009fd3,0x0ffe01ff,0xff8013fe,0x2004ff83,0x04ff83ff,0xfffffffd,
    0x743fffff,0xffffffff,0x3fa1ffff,0xffffffff,0x7fb81fff,0x7c001ff2,
    0xc87fb84f,0x9ff0007f,0x1bfa3fdc,0x1ff993e6,0xff98ffb0,0xa8027f41,
    0x7ffdc1ff,0x7f43fe23,0x03ff5004,0x3f203fea,0x01ff5007,0x3ea00ff9,
    0xd07fc80f,0xffffffff,0x7f43ffff,0xffffffff,0x3ffa1fff,0xffffffff,
    0x27fb81ff,0xf88007fb,0xb87fb82f,0xff88007f,0xfff1fee2,0x07ff17e0,
    0x7fc4dff7,0x5004fe83,0xffd303ff,0x7f47fd5d,0x01ff5005,0x7fcc17f6,
    0x305fd802,0xbfb005ff,0x3a0bfe60,0x999999df,0x6ff41999,0x99999999,
    0x4ceff419,0x19999999,0x7fccff70,0x0ffcc000,0x7fcc3fdc,0x0ffcc000,
    0x07ff8ff7,0x9ffe41fb,0xb9efffc8,0x0bfd05ff,0xc803fea0,0x7ec1ffff,
    0x20ff7006,0xeeeeeff8,0x4406ffee,0xeeeeeeff,0x7c406ffe,0xeeeeeeef,
    0x04fe86ff,0x0009fd00,0x700013fa,0x002ff8ff,0x7fb83fd4,0xa8005ff0,
    0x3e3fdc7f,0xd87f907f,0xfcbfffff,0x3604ffff,0x0ff7006f,0xd87ffd30,
    0x0df9007f,0x3fffffee,0x01ffffff,0x3fffffee,0x01ffffff,0x3fffffee,
    0x41ffffff,0xfd0004fe,0x13fa0009,0xe8ff7000,0x2ff4006f,0xdfd07fb8,
    0x5c5fe800,0x983ffc7f,0x3fae20ff,0x39dfb11d,0x01ff6198,0xfb0037e4,
    0x007fdc3f,0xdfe82ff4,0x99999999,0x37fa04ff,0x99999999,0x37fa04ff,
    0x99999999,0x027f44ff,0x0004fe80,0xb80009fd,0x017fdc7f,0xf703ffb8,
    0x00bfee0f,0x3ee1ffdc,0xf700ccc7,0xfd10000d,0x4007fdc9,0x8054c5fe,
    0x3bfe64fe,0x20ffea00,0xfd801ff9,0x01ff980f,0xf980ffd8,0x0ffd801f,
    0x740013fa,0x9fd0004f,0x87fb8000,0x7d402ffe,0x81fee06f,0x7d402ffe,
    0x007fb86f,0x0003dfb0,0xff31bfe6,0x1ffd401d,0x2fec17fe,0x446fbfea,
    0xf905ffc9,0x0ffe600d,0x7cc01bf2,0x006fc83f,0x27f47ff3,0x004fe800,
    0x80009fd0,0xfff987fb,0x7ffe4c1c,0x981fee01,0x64c1cfff,0x7fb81fff,
    0xd1006654,0x100139ff,0xf501dff7,0x326237df,0x0ffc85ff,0x7dc1ffc4,
    0xffffffff,0x8013fe06,0x04ff86fe,0x3fe1bfa0,0xe9bfa004,0x999999df,
    0xfd099999,0x3333333b,0x3fa13333,0x9999999d,0x7dc09999,0xffffd107,
    0x01dffffd,0x74407fb8,0xfffeffff,0x8ff700ef,0xea800ffb,0xaabdefff,
    0x03fffeca,0x7fffffdc,0xff106fff,0x1fff95bf,0x3fffb2a0,0xff500bff,
    0x0ffdc003,0x5c003ff5,0x07fea1ff,0xfd1ffb80,0xffffffff,0x3fa7ffff,
    0xffffffff,0xffd3ffff,0xffffffff,0x7fb87fff,0x7ffff540,0xff7002ce,
    0x3fffaa00,0x7dc02cef,0x0007fdc7,0xfffffff7,0x0019ffff,0x3ffffb2a,
    0x3fa600bf,0x000effff,0xfb001331,0x4ff8800d,0xf1001bf6,0x0037ec9f,
    0x7ff53fe2,0xffffffff,0xfffd3fff,0xffffffff,0x3fffa7ff,0xffffffff,
    0x03fdc3ff,0x70001330,0x133000ff,0x003fdc00,0x5e5d4c00,0x4400009a,
    0x5d400099,0x000001bc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xa8831000,0x00000000,
    0x0000c000,0x0c4003cc,0x000002a2,0x00375100,0x0016dc40,0x0395032a,
    0x55100000,0x00d54005,0x01357300,0xff980039,0xfff70004,0x7fc0fb5b,
    0xff00bfe3,0x000bfe27,0x00176f44,0x016ff654,0xdadfffb8,0x73fd400f,
    0x3b2600ff,0x0bdfffff,0x0b633200,0x7ec0fe80,0x22b7ae01,0x3ee004f8,
    0xfff7001f,0x3fae6003,0x323fffff,0x37ec004f,0xdbef8800,0x3fe04fff,
    0xff00bfe3,0x000bfe27,0x400589dc,0xfffffffd,0x7edf7c02,0x7fa805ff,
    0x3ee01fee,0xfffdefff,0x21d001ef,0x21fe0049,0x3fbee07f,0x1001ffff,
    0x3ea007ff,0x5400ffbf,0xfeceffff,0x005fdfff,0x80007fcc,0x006e21c9,
    0x00e64599,0x0e644732,0x0d13b800,0x7deffe40,0x9101ffea,0x9800dc43,
    0x70132a4c,0xf7305dff,0x399003ff,0x17e6005b,0x8bec0df1,0x2e003eda,
    0x7ff1005f,0xffa81bf2,0xdfff702f,0x00395000,0x00066200,0x31000331,
    0x9d100003,0x3fe6005d,0x32ffcf32,0x10cc0013,0x33333333,0xf9833333,
    0x7fd400df,0x03db8806,0x9f50fea0,0x55000000,0x88aa6001,0xeff880aa,
    0x837fdc00,0x4c400198,0x5ffd0009,0x003fdc00,0x00017ff4,0xb8017ff4,
    0x7fb9e67f,0x26003ffe,0xffffd0ff,0xffffffff,0x000ffd8f,0x26007ff9,
    0x70bf2000,0x0062007f,0x06000180,0x3007ff20,0xf707ffff,0x7fec009f,
    0x5fffa801,0x001fee00,0x000bfff5,0x005fffa8,0x023ccdf9,0xf300bfff,
    0x3ffffa1f,0xffffffff,0x2001ffc7,0xfdb105fe,0xfd83bfff,0xffffffff,
    0xf704ffff,0x7007dfff,0x005dfffd,0x05dfffd7,0xff1013fa,0x3f60ffd3,
    0x3ffa801f,0x1ff9fb00,0x001fee00,0x001ff9fb,0x07fe7ec0,0x7987fd40,
    0x01ffffc0,0x27f43fe6,0x00ff9800,0x7d437e40,0xffffeeff,0x3fffff61,
    0xffffffff,0x777ff444,0xd880dfff,0x5ffeefff,0xddfffb10,0x1ff88bff,
    0x7ec7fa20,0x06ff881f,0x88037fc4,0x004fd8ff,0x7c400ff7,0x0004fd8f,
    0x09fb1ff1,0xf319ff10,0x0fffff80,0x7f43fe60,0x0ff50004,0xe81ff700,
    0x3fea20df,0xf88bf305,0x507ff606,0x7ff909ff,0x641ffd41,0x3fea0bff,
    0x4403fe63,0x0bfee2fe,0xfb027fdc,0x5bee001f,0xff7007fa,0xfab7dc00,
    0x2df70007,0xff9007fa,0xcff80fbf,0x3fe605ff,0x20009fd0,0xf98006fc,
    0x403fea2f,0x87f707fc,0x3ff504fa,0xf987fea0,0x41ff503f,0xff503ff9,
    0xfd81fee1,0xb01ffcc3,0x7ff503ff,0xf8a7f400,0x07fb802f,0x7fc53fa0,
    0x14fe8002,0x3ee005ff,0xf81cffff,0x303ffbbf,0x013fa1ff,0x40037ec0,
    0x00cc3ff8,0x0bf20ff5,0x17f605f9,0x7fe49fd0,0x647ff100,0x7ff100ff,
    0x27ec1bf6,0x3e204ff8,0x02ffc46f,0x7ec3ff30,0x007fb806,0x37ec3ff3,
    0xd87fe600,0x3ae2006f,0x3e0cffff,0x301ffb3f,0x013fa1ff,0x4003fe40,
    0xa9802ff9,0x1fd07feb,0x7fd01fd8,0x3f65fd80,0x9999999d,0x277f64fe,
    0xfe999999,0xbf90ff94,0x700bfe20,0x07fe47ff,0xfa8df900,0x03fdc01f,
    0x7fd46fc8,0x51bf2001,0xf98003ff,0x3fe4fffb,0xf30dff13,0x0013fa1f,
    0x54003fd4,0xfed980ff,0x227fffff,0x9999ff99,0x3e0999ff,0xd37dc02f,
    0xffffffff,0x7ff4bfff,0xffffffff,0x5c1ff75f,0x03fe605f,0x3e63ff60,
    0x1ffc002f,0x3ee027fc,0xf07ff007,0x1ffc009f,0x260027fc,0x3e3ff917,
    0x30ffee3f,0x3fffa1ff,0xffffffff,0x007fe21f,0xffb0ff90,0xff537bff,
    0x7fffffec,0x4fffffff,0xdf700bfe,0x66666ffc,0x3e3ccccc,0xccccccdf,
    0x5ff53ccc,0xfb803bea,0xdbff1007,0xffa800bf,0x5c07fc80,0x0ffa807f,
    0xf5007fc8,0x00ff901f,0x4ffe2798,0x07fec3ff,0x3ffa1ff3,0xffffffff,
    0x02ffc1ff,0x5c6ff881,0x7fb81cff,0x3bbbfbb2,0x3eeeefee,0xbfb00ffa,
    0x740027f4,0xdfe8004f,0x7f400ef9,0x3ffee005,0x2fec000f,0x2e02ff98,
    0x05fd807f,0xfb005ff3,0x40bfe60b,0xfd1e62ca,0xff10ffe9,0xfe87fccd,
    0x9999999d,0x1ffc8199,0xff90cf98,0x3205fe83,0x641fc87f,0x017f602f,
    0x02fe49fd,0x05fc82aa,0xfff50554,0x3ffb803f,0x017fec00,0x3bbbfe20,
    0x06ffeeee,0xff101fee,0xfddddddd,0xeff880df,0xffeeeeee,0x3ccbfb06,
    0x41ffcffe,0x1ff33ffb,0x880013fa,0x7fd41eff,0xfe84ffcf,0x81ffd104,
    0x00fec0fe,0x3ea03ff7,0x40bfea2f,0x3fea1ffa,0xe83ff502,0x7fd403ff,
    0x07fb8006,0xfffffb80,0x1fffffff,0xfb80ff70,0xffffffff,0x3ee01fff,
    0xffffffff,0xffb81fff,0x97fd4f30,0x1ffb03ff,0x13fa1ff3,0x9fff5000,
    0x37ffec43,0x7440ffb8,0x1be20fff,0x3bfa01fe,0x6c2ffd41,0x3fe60bff,
    0x20bffd84,0x7f444ff9,0x7ecc1cff,0xfb8000ff,0x9dfe8007,0xf9999999,
    0x80ff704f,0x99999dfe,0x204ff999,0x99999dfe,0x884ff999,0xd5799eff,
    0x881ffcdf,0xd0ff9eff,0xd300009f,0xfffdffff,0xf8819fff,0xbffecdff,
    0x117e61ff,0xffd300bf,0x20bffd9d,0xfedfffe8,0xffe880ff,0x40fffedf,
    0xffffecfe,0x00effffe,0x800ff700,0xfd801ff9,0x207fb80f,0xfd801ff9,
    0x01ff980f,0xfa80ffd8,0xfffefeff,0xfb80ffe1,0x9fd0ffdf,0x76540000,
    0xfa9bdfff,0x7ff543ff,0x49fd0dff,0x027d43fb,0xdffffc88,0xffffc803,
    0x7fe400df,0x7e40dfff,0x3ffffaa3,0x5c0001be,0x37e4007f,0xb83ff980,
    0x01bf207f,0x7e41ffcc,0x07ff3006,0x3fffffaa,0x201ffc0d,0xfd0ffffd,
    0x22000009,0x4413ee01,0x81530019,0x188000a9,0x00331000,0x1c403310,
    0x00001330,0x3e003fdc,0x1bfa004f,0x4ff81fee,0x3e1bfa00,0x1bfa004f,
    0x2015f710,0x7fc403ff,0x33bfd0ff,0x33333333,0x44000013,0x00000000,
    0x00000000,0x00000000,0x01fee000,0x2001ffa8,0x3fdc1ffb,0x2001ffa8,
    0x3fea1ffb,0x07fee001,0x3ff80f30,0xd0fffb80,0xffffffff,0x007fffff,
    0x00000000,0x00000000,0x00000000,0x7dc00000,0x01bf6007,0xfb89ff10,
    0x800dfb07,0x1bf64ff8,0x809ff100,0x01ffc069,0xffd0ffe8,0xffffffff,
    0x00007fff,0x00000000,0x00000000,0x00000000,0x03fdc000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x35510000,0x15544000,0x5442aa20,0x006aa002,
    0x2aa20000,0x55005510,0x55440015,0x00cc4002,0x5442aa20,0x01ab9802,
    0x54001300,0x220000aa,0x2aa002aa,0x00153001,0x19882c98,0x000ffd00,
    0x2600ffe4,0x01ff51ff,0x003fff90,0x3e22b7ae,0x543fe604,0x4ff9807f,
    0x007fec00,0x3aabfd10,0x543fe604,0xfffb00ff,0xb7001bff,0x3005dfff,
    0x5c0009ff,0xff7001ff,0x7ffcc03f,0xfe8801ef,0x1007fb80,0xf10007ff,
    0x3ff3007f,0xf5003fea,0xb801ff7f,0x1fffffef,0x7d43fe60,0x01ff5007,
    0x4004fe80,0x02efffd8,0x7fd43fe6,0xdbdffd80,0x7fec04ff,0x804fffee,
    0xf0000ffb,0x3fe6007f,0xfe880ffb,0xfb00bf71,0x801fee05,0xfb8006f9,
    0x21551005,0x7fc402a8,0x6e80dfb3,0x8807db51,0x005510aa,0x220027e4,
    0xf71000ff,0x55100dff,0x3ee0aa21,0x807fcc1f,0x3f221ffc,0x04fc802f,
    0x1005fb80,0x41bf27ff,0x501be619,0x03fdc09f,0x50002a60,0x20000005,
    0x02aa22a9,0x00000000,0x26000aa0,0xcff8801a,0x00003fe9,0x2fe82fe4,
    0xfd02ff98,0x000aa00b,0x54c002aa,0x8802aa22,0x3e201eec,0x003fdc06,
    0x04c00026,0x0000c400,0x02600013,0x40004c00,0x00000018,0x007fc417,
    0x83fd8030,0x6fb81ff8,0x0c006a60,0x00018800,0x7fcc0031,0x007fa01d,
    0xed880ff7,0x201dffff,0xdffffed8,0x7fffdc01,0x7f6c403e,0x2201dfff,
    0x1dffffed,0x3fffb620,0x7fdc01df,0x7f983eff,0xca81fea0,0x405fdcee,
    0x82efffeb,0x06fc82ff,0xb80009f9,0x802efffe,0x03effffb,0x3effffb8,
    0x701ff100,0x0ff7007f,0x7f77ffd4,0xffa81fff,0x1ffffeef,0xfeeffe88,
    0xffa80dff,0x1ffffeef,0xfeefffa8,0xffa81fff,0x1ffffeef,0xfeeffe88,
    0x1fe60dff,0xfd887fa8,0x2fffffff,0xeefffd88,0x217fc5ff,0x7fd02ff8,
    0x3ff62000,0x105ffeef,0xfffddffd,0xdffd101b,0x441bfffd,0x2617ec09,
    0x0ff7005f,0xf5106ff4,0x41bfd0bf,0xfd85ffa8,0x427fd41f,0x3ea20dfe,
    0x20dfe85f,0xfe85ffa8,0x17fea20d,0xff507ff6,0xf503fcc9,0x447ff90f,
    0xffc86ffd,0xf8ffea0b,0xd037e42f,0x3f20007f,0x0ffea0bf,0xff507ff6,
    0xa83ffb09,0x43be24ff,0x3fa20ffa,0x20ff7000,0xff900ffa,0xf900ffa8,
    0x501ffa8f,0x07fd43ff,0x7fd47fc8,0xfa8ff900,0xa8ff900f,0x3ff501ff,
    0x7fa81fe6,0xfc817fcc,0x40ffe60f,0x85ff0ffa,0x13f603fe,0x40ffe600,
    0x3fea0ffa,0x543ff501,0x3ff501ff,0x1fffffe4,0xfb800bf2,0xfa806607,
    0x3ea01987,0x3a02fec7,0xf500cc4f,0x7d40330f,0x3ea01987,0x3a02fec7,
    0x540ff34f,0x1037e47f,0x07fe43ff,0x5ff3ff88,0xf900efd8,0x3237d40d,
    0x7ff100ff,0x3fa02fec,0xfd017f64,0xa82ca889,0xb835105f,0x5d4c007f,
    0x753007fe,0x03fe8ffd,0x54c02fec,0x53007feb,0x2600ffd7,0x7f47feba,
    0xf9afec03,0xfd1fea07,0x363fe809,0x999999df,0x85ff4fe9,0xfa81effa,
    0xd8bfd01f,0x999999df,0x0ffa4fe9,0x1ff4bfb0,0x88017f60,0x89fb00ef,
    0x76cc07fb,0x07ffffff,0xfffffdb3,0x402ff8ff,0xfed986fb,0x307fffff,
    0xffffffdb,0x3ffb660f,0x7fc7ffff,0xf9b7dc02,0xff1fea07,0x3a5fc807,
    0xffffffff,0x05ff5fff,0xfb07fff5,0x17fdc43d,0x3ffffffa,0x3e5fffff,
    0xf37dc02f,0x06fb805f,0x7e407f60,0xb03fdc4f,0x537bffff,0xffffb0ff,
    0xf8ff537b,0x237dc02f,0x9bdffffd,0xfffd87fa,0x87fa9bdf,0x9bdffffd,
    0x017fc7fa,0x07fcdbee,0x17fc7fa8,0xdff9bf20,0xcccccccc,0x2205ff3c,
    0x7f444ffe,0x84fffdef,0xcccccdff,0x3fe3cccc,0xff37dc02,0x006fb805,
    0x3bee09f7,0xb83fdc4f,0x7fb81cff,0x5c0e7fdc,0x201ff47f,0x33fee5fd,
    0x7dc7fb81,0x47fb81cf,0xfb81cffb,0x3601ff47,0x201ff35f,0x01ff47fb,
    0x04fe93f6,0x36017fc0,0xfffc80ff,0x09fd02ff,0xd807fd00,0xb00ffa5f,
    0x0df300bf,0x713ebbea,0x817fa0ff,0x02ff47fc,0x05fd8ff9,0x0bfd27f4,
    0x17fa3fe4,0x2ff47fc8,0x5fd8ff90,0xff9a7f40,0xfd8ff900,0xf91ffc05,
    0xff0aa80b,0x02ff8805,0xfc8019f3,0xfb055405,0x364fe80b,0x027f405f,
    0x77cc07f4,0x3fdc4f98,0xfd104fe8,0x8827f41f,0x3fee0ffe,0x745ff501,
    0x1ffd104f,0xfe8827f4,0x4413fa0f,0x3fee0ffe,0x225ff501,0x7fe882ff,
    0xfb807fd4,0x40bfea1f,0x25ff1ffa,0x1ffc41b8,0x200dfea8,0xff502ffa,
    0xa80ffdc3,0x07fee2ff,0x32017fd4,0x31fe882f,0x707fb89f,0xffe881ff,
    0x103fee0f,0xfe81fffd,0x22ffd41e,0x7f440ffb,0x03fee0ff,0x5c1fffd1,
    0x7ff440ff,0x20f7f40f,0x7ff45ffa,0x21fff620,0x7fd40efe,0x20bffd84,
    0x4bfe4ff9,0x3fee0ffc,0x201fec01,0x3e60bffd,0x41efe84f,0xefe85ffa,
    0x202ffd41,0xfff305fa,0x7dcfffff,0x9bfff107,0x43ff7ffd,0xfecdfff8,
    0x74c1ffbf,0x5ffeceff,0xecdfff88,0x221ffbff,0xffecdfff,0x3fe21ffb,
    0xfbffecdf,0x77ff4c1f,0xfa85ffec,0xfaffeeff,0xcdffe887,0xe880dffe,
    0xfffedfff,0xffe8bfe0,0x5504ffed,0xe8803ff9,0xfffedfff,0xceffe980,
    0xfd305ffe,0x0bffd9df,0x5100ff88,0x45bf9555,0x3faa07fb,0x9fd0dfff,
    0xdffffea8,0xf9109fd0,0x5407bfff,0xd0dffffe,0xfffea89f,0xa89fd0df,
    0xd0dffffe,0xfff9109f,0x7f5407bf,0x07f89eff,0x7fffff91,0xfffff900,
    0x222ff81b,0x203ffffc,0x2003efff,0x0dfffffc,0x3ffff220,0x7fe4403d,
    0xfd803dff,0x227cc001,0x198807fb,0x00198800,0x31000620,0x03310003,
    0x00033100,0x262000c4,0x01310000,0x00033100,0x04cc00cc,0x00331000,
    0x22000310,0x00fa6001,0x00006a20,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x10000000,0x065c0015,
    0x4c001510,0x055d402c,0x22002640,0x20000aba,0x55001aa8,0x44551003,
    0x0393002a,0x0c019880,0x304cc000,0x75100003,0x03300035,0x440004c8,
    0xf98000ab,0x0bf5001f,0x8800ffcc,0xffd100fe,0x27d403ff,0xfffff900,
    0x3ff60003,0x1fffc800,0xfa87fd40,0x001fb007,0xfda87fa8,0x98001eff,
    0x01ff32ff,0x3fffea00,0x2200dfff,0x81dffffc,0x654001fd,0x2ceffffe,
    0x0fffe440,0x4407fc40,0xb001fffc,0x4efe405f,0x1fd00ffb,0x2f3ff200,
    0xf88006fe,0xbffa802f,0x3fea00ef,0x3e00ff50,0x47fa8006,0xfffdeffb,
    0x97fcc002,0xb8000ff9,0xfeedefff,0xfff881ef,0x541fffde,0xffd1003f,
    0xffb7337b,0x373f201b,0x02fd801f,0x003fb9f9,0x47e809f5,0x03fa83fd,
    0x7c45ff10,0x27e4002f,0xfd9ffc40,0xa88aa205,0x004f9802,0x3fe67fa8,
    0x0007fe42,0x3fe65ff3,0x67fd4000,0x40ffe980,0x3f221efe,0x2017e20f,
    0xfc803ff9,0x3f90980f,0x2604fb80,0xf8803f90,0x2e37c406,0x000fe84f,
    0x5fd81ff5,0x98015400,0x002aa22a,0x017e4000,0x9fd3fd40,0x98013fa0,
    0x01ff32ff,0x5406fc80,0x0ffe62ff,0x0fd0bfe2,0x2003fe88,0x0fe406fc,
    0x6400df10,0x00ff401f,0x8bf517ea,0x3e6003fa,0x001ff41f,0x00000000,
    0x8803f400,0x7fcdfea0,0x400ff701,0x1ff32ff9,0x0ffe0044,0x7ea97fa0,
    0x3f917f60,0xeea9fe40,0x7e40cdee,0xe807f203,0x07f2001f,0xf9803fb8,
    0x1fa27dc6,0x5c3bfe00,0x1fe600ff,0x1fe67fa8,0x1fe67fa8,0xbf107fa8,
    0x77ff6440,0x0df77faa,0x9800ffc4,0x71ff32ff,0x3a09dfff,0x0099805f,
    0x3ea1ff40,0xdfa97e04,0x741ffdcc,0x6407f205,0x0fe4003f,0xf1005f98,
    0x3ee3fd8f,0xdff98003,0x7cc02ffd,0xf99fea07,0xf99fea07,0x541fea07,
    0xfffd103f,0x36ffbffd,0x017fc05f,0xff32ff98,0xdfffdffb,0x00bffc81,
    0x0ffd4000,0x23f9837c,0x227cc2fa,0x207f207c,0xfc8005f9,0x4001fd01,
    0x0ffb8cfd,0xfc8001fe,0xf9801eff,0xf99fea07,0xf99fea07,0x641fea07,
    0x47ffb01f,0xbfb7ffe8,0x3003ff80,0x3ffe65ff,0x113ff225,0x037bfffd,
    0x3ff6e600,0xf701fb03,0x3e217d41,0xfc817d44,0x0007f441,0x17e40fe4,
    0x3fffa200,0x000fee2f,0x01ffff44,0x3ea07f98,0xfa81fe67,0xfa81fe67,
    0x3ea0ff07,0xd7ff880f,0x03fe809f,0x3e65ff30,0x81ff506f,0xffffffd8,
    0x3ffe002d,0x20bee03f,0x4cdfd46d,0x04f81fda,0x82fd8153,0x02a600a9,
    0x06a20bf5,0x3e20bca8,0x50055446,0x03fffdff,0x7d40ff30,0xfa81fe67,
    0xfa81fe67,0xf904f987,0xfebfe40b,0x8027ec04,0x5ff32ff9,0xc981ffc0,
    0x0efffffe,0x7ffef440,0xbd0bf304,0xdfffffa8,0x5400bd01,0x7fffec4f,
    0x1df1000d,0x20013f60,0x3ffea3fb,0x35ffc83f,0x13b21dff,0x3fd40ff3,
    0x3fd40ff3,0x3fd40ff3,0x3fd817dc,0x27edfea0,0x4c013fa0,0x01ff32ff,
    0x544027ec,0x001ffffd,0x3e0dff71,0x5fd47c87,0x7f103fca,0xa83be200,
    0x03fd99df,0x3f203fb0,0x37c4004f,0x5fd57ff1,0x3ee27fc4,0xf989ff5f,
    0xf99fea07,0xf99fea07,0x361fea07,0x405ff00f,0x809fb7f9,0xff3003fe,
    0xf901fe65,0xdff7000b,0x80ffb800,0x50fd41fc,0x5417e45f,0x83fb001f,
    0x017e60ca,0x77dc13ee,0x17e4004f,0x537cc7f5,0xbff901ff,0x0ff981ff,
    0x7fccff50,0x7ccff500,0x88ff500f,0x80bfe06f,0x80bf97f9,0xff3003ff,
    0xf901fe65,0x5400662b,0x3e2000ff,0x443fa83f,0xfd0bea3f,0xf7007c81,
    0x00bf2007,0x3bea0df3,0x3e2004f9,0xff10fec6,0xffd02fec,0x01ff30bf,
    0x0ff99fee,0x7fccff70,0xfa8ff700,0x980ff603,0x440df77f,0x01b911ff,
    0x1fe63ff3,0x1bf29fb0,0x3312ff80,0xf884fe80,0x0bea6e86,0x02fc4bf3,
    0xfc8037cc,0x980fe806,0x004f98ef,0x81ff0bf2,0x01ffb0fe,0x260fffe2,
    0x4ff900ff,0xff900ff9,0xfc807fcc,0xf900fe47,0xf9bfdc0b,0x44ff500f,
    0x0ffa81ff,0x7fc03ff3,0x1003ff33,0x81bf63ff,0x1fd03ff9,0x03d55fb8,
    0x05fd13d9,0xe8801fd0,0x82fc805f,0x09f31fe8,0x3fa1be20,0xffb87fc1,
    0x3ffff503,0xe882ff88,0x20bfe27f,0x3fe27fe8,0x747fe882,0x80ffd407,
    0x40ffa7fe,0x41ffc4fd,0x13fe67fc,0xdff07fdc,0x2e6fc803,0x3ff902ff,
    0x3f60bee0,0x09fd1005,0xe8805f90,0x05fa803f,0xfffffff3,0xb05f900f,
    0x3a3fcc7f,0x3fee21ff,0x7f41ffff,0x1fff620f,0x7ec41ffd,0x107ff47f,
    0x2fc4fffb,0xb31f7ec0,0x17fd4fff,0xffb03bf2,0x4bff7117,0x7d43fff9,
    0x5fffdc3f,0x7ffd5109,0x710f7f44,0x27cc09ff,0x8816fec4,0xfa805fea,
    0x4dffcc05,0x0ff88199,0xf7555510,0x06f8805b,0x7fb13df5,0xfeffff98,
    0x1fff55ff,0x7f77ffd4,0x7fd47faf,0x7faffeef,0x7f77ffd4,0x0fee7faf,
    0x3bbffa20,0x7ec7fdff,0x82ffecef,0xfffffff8,0x3f7fe60e,0x505ffedf,
    0xffffffff,0xfff305ff,0x01dfffbd,0x3fee07f8,0xfffebbdf,0x00ef8803,
    0x7ffffff4,0x4001fd87,0x2fc804f9,0x17ffff20,0x77fffec4,0x7541fd43,
    0x7f89efff,0x9efffea8,0xffea87f8,0x367f89ef,0xfd91000f,0x70ff37ff,
    0x4039ffff,0x0dffffe8,0xfffcbfcc,0x7f64403f,0x201defff,0x3fffffd8,
    0x4403fb00,0x1beffeca,0x2007b200,0x2aaaaaaa,0x44001f4c,0x02f4401a,
    0x98016654,0x26200c01,0x004c4000,0x55002620,0x00022000,0x19880031,
    0x00009800,0x33000131,0x00a98001,0x00000220,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0x00009bb8,0x004c4033,0x22001988,0x220000ab,0x00880009,0x10000880,
    0x5d440001,0x0088001a,0x00377100,0x0006ea60,0x26666666,0x00266001,
    0x03fe84cc,0x20198bfe,0xfffffdb8,0xfe9802ff,0x7f40cfff,0x03ff5004,
    0x7ffff654,0xff9002ce,0xdf305fff,0x02f7ffae,0x3effeb88,0xfd9101ff,
    0x40ff15df,0xfffffec9,0x7fe4403f,0x5c401cef,0x02fffffe,0xfffffc88,
    0xff800bdf,0xffffffff,0x01ff201d,0x1ff4ffea,0x1fe65ff0,0x6f7fff4c,
    0x00dfffed,0xfffbfff7,0x8027f41f,0xfe881ffa,0xfdb99bdf,0x3ffa00df,
    0x4c4fffdf,0xffdefcff,0xfffd105f,0x81ff9ffd,0xffdeffe8,0xfff707fb,
    0xbffffbdf,0x37fffa20,0x3f601fff,0x2fffcbef,0x3bfffa60,0x02ffffec,
    0x7ffffffc,0x80dfffff,0x7f403ff8,0xff80ffa6,0xff30ff32,0xffb1017f,
    0x419ff30b,0x13fa5ffa,0x260ffd40,0xffc803ff,0x222ffc80,0x3fe62ffc,
    0x41ffdc4f,0x3faa3ffd,0x177ec0ff,0xf70fffb1,0xfc9817df,0x0cffd85f,
    0xf701ff91,0x0ffd887f,0x882fffa8,0x3e02fffb,0xfea9884f,0x01ff704f,
    0x3fe87fea,0x3fccbfe0,0x5c00fff4,0x837ec0ff,0x09fd0ffb,0xe887fea0,
    0xfc80883f,0xff05fe86,0xa837fccb,0x03fee0ff,0xff507ff4,0x88fff101,
    0x7f400fff,0x40ffea1f,0x06fd86fd,0xdfd05ff3,0x0fff9801,0xf9009ff0,
    0x413fa05f,0x01ff45fe,0x71fe65ff,0x7fc005ff,0x4403fe24,0x009fd0cc,
    0x3fc87fea,0x21efff64,0x0bfe23fc,0x5ff337e4,0x9f917f40,0xf907fdc0,
    0x323fdc0b,0xff9802ff,0x5403ff25,0x01ffc0ff,0x1ffb8399,0x209ff500,
    0xffd004ff,0xb83ff501,0x01ff40ff,0xb1fe65ff,0x1ba800df,0xfd001bee,
    0x87fea009,0x55f7ec5f,0x3a2f44fd,0x4cbfb04f,0x93f600ff,0x3fe603fe,
    0xfa80ff60,0x70027f47,0x1037ec15,0x04ff87ff,0x0027fc40,0x27fc1bf6,
    0xb02ff980,0x427fc4bf,0x4bfe03fe,0x027f47f9,0x5127e400,0x013fa015,
    0x3f98ffd4,0x87f213f2,0x207fe47c,0x1fe62ff9,0x17fcbf90,0x7fc1ff10,
    0xff1fe602,0x4fe80005,0x3fa27fc0,0x17fcc006,0x7c1fee00,0x0ffe004f,
    0xffc97fcc,0x3e03fe80,0x7c4ff32f,0xfd80002f,0xeffffd8b,0xa8027f40,
    0x741f71ff,0x2fa8100f,0x36b7ff62,0x03fcc4ff,0x02ff97f2,0x2ff83fe2,
    0xff99fe20,0x3fe40001,0xfc89ff50,0x0ffd4007,0x207fea00,0x3fa004ff,
    0x3e3bf204,0x407fd03f,0x54ff32ff,0xe80001ff,0xffdffebf,0x013fa1ff,
    0x46d8ffd4,0x427c006f,0x83fffffc,0x1fec07f9,0x7fcc07fd,0xf980ffa0,
    0x0003fee7,0x3205ff70,0xffb935ff,0x5c039999,0x7c4000ff,0x37feaa3f,
    0xfb02aaaa,0x7f7fc40d,0x4c13fa06,0x5cff32ff,0x3bb600ff,0xfd0eeeee,
    0x3ee217ff,0x4013fa5f,0x44bd1ffa,0x12f4004f,0xfffbfff9,0x201ff987,
    0x817f62fe,0x17f60ffb,0x1ff27fb8,0x3bfe2000,0x57ffee22,0xfffffffa,
    0x01ff202f,0xfff27fc0,0x0dffffff,0xeee89bf6,0xeefffffe,0x203ffa6e,
    0x4ff32ffc,0x3fe01ffa,0xf1ffffff,0x3fee09ff,0x2a009fd1,0x7c4f91ff,
    0xf8fe2006,0x3fae22ef,0x5417fe65,0x07fe60ff,0xfa83ffe2,0x54ffd01f,
    0xa80000ff,0xdffdffff,0xfd5514fc,0x5c01555d,0xff88007f,0x277fe662,
    0xbfd00999,0x7fffffc4,0x27ffffff,0xf710dffe,0x89fe65ff,0x2aaa03ff,
    0xfd1ffcaa,0x4ffe203f,0xff5005fe,0x0fe87ea1,0x47ea2f98,0xff701ffa,
    0x833ffe61,0xffd83ff9,0xffffc89d,0xb3077ec0,0x17fccfff,0xffe98000,
    0xb09fb4ff,0x7fcc00bf,0x0ffcc000,0xff0027fc,0x809fb009,0xffeffefe,
    0x8ff32fef,0x7cc005fe,0xe80dfb1f,0x200dfb4f,0xa8fe27fb,0x83fa20cf,
    0x881bf27c,0xfdff33ff,0x209ffdbf,0xffffffd8,0x7f440ffc,0x7feffddf,
    0x73001ffc,0xd06a6013,0x009fb07f,0x54002ff8,0x009ff07f,0x3600bfe2,
    0x65ff404f,0x2fd9efff,0x06fc8ff3,0xfc8ffcc0,0xfd9ff406,0xe8df9007,
    0x7eeffec6,0xfe97e22f,0xf9afec04,0x3efffc8f,0x8cefdb80,0x3ff207f9,
    0x747fabff,0x3ff2005f,0x40ffc000,0x7f4002ff,0x82ff4006,0xff7004ff,
    0x7ffffc43,0x7fffffff,0x20098ffa,0x2ffd47f9,0x2a3ff300,0x3ff300ff,
    0x3a003fee,0x2a2fdc5f,0x3a21befd,0x8817f62f,0x41ff34ff,0xfa800009,
    0x3ea19807,0x401ffe47,0x0f265ff8,0x6fa87fa8,0x02ffb800,0x3e07ff70,
    0x6ff8804f,0x7f777744,0x26eeeeff,0x3e6003fe,0x805ffd87,0x3fa1ffe9,
    0x261ff904,0x3ea00eff,0x005fd83f,0xffb89fd1,0x265ff700,0x65c000ff,
    0x001bf203,0xfff11fea,0x21ffe803,0x7fd01ff9,0x0001fe88,0xfa805ffd,
    0x013fe06f,0x2003ffb1,0x1ff404fd,0xd10ff300,0x26159dff,0x20dfffdb,
    0x3ee23ffb,0x5f7fd44f,0x0bff9311,0x440b7f62,0xfe885fea,0x32ff540e,
    0xfa8001ff,0x03ff980f,0xfa87fa80,0x3f262cff,0x0dfe83ff,0x3fa22fec,
    0x10abcece,0x9fff3055,0x1fffc983,0x26677fe0,0x3fffcba9,0xd013f600,
    0x3fcc007f,0xfffffd88,0x02efffff,0xfffbfff9,0x3fffee09,0x806fffff,
    0xebbdfffb,0x3e603fff,0xefffdeff,0x0003fe60,0xb75bffd1,0x2a000bff,
    0xffff507f,0x09ffffff,0x3f77ffe6,0x7ffdc0ff,0xffffffff,0xfffd106f,
    0x1dffffdf,0xffffff80,0x03ffffff,0x3a027ec0,0x1fe6003f,0xffffb730,
    0xfd5007bf,0xca809dff,0x0bfffffe,0xffd95100,0x3620037d,0x984fffff,
    0xe98000ff,0x05ffffff,0x881fea00,0xdffffffc,0x7fff4c01,0xbef880be,
    0xfffeb999,0x7ff5405f,0xf002ceff,0xdfffffff,0x3f60007d,0x00055404,
    0x98800ff3,0x01310000,0x00133100,0x80001100,0x0aa20099,0x37975000,
    0x2a880001,0x00133100,0x01001310,0x40009988,0x00000099,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x4cc40000,0x99999999,0x88019999,0xfffd8009,
    0x007fffff,0x99800662,0x80099999,0x33000099,0x00333333,0x33310510,
    0x33333333,0x4ccccc33,0xf8001999,0x0cc0004f,0x80d5d4c0,0x33100098,
    0x55400198,0x01986aa1,0xffffff10,0xffffffff,0x3ff220ff,0xfd00cfff,
    0xffffffff,0x017ff400,0xfffffff8,0xff80ceff,0xffff0004,0x3bffffff,
    0xfe84fb80,0xffffffff,0x3ffe7fff,0xffffffff,0x04ff800c,0xa81fea00,
    0x1efffffe,0xfa802ff4,0x001ff31f,0x27ff27f4,0xfc800ff9,0xffffffff,
    0x87ffffff,0xffdffff8,0x9aff80ff,0x00199999,0x200bfff5,0xffffffff,
    0x7fc0efff,0xffff0004,0xffffffff,0x213f601b,0xfffffffe,0x3e7fffff,
    0xffffffff,0x7400ffff,0xff10003e,0x37ffea0f,0x3a1fffeb,0x3ff5005f,
    0xe8003fe6,0x7ccffe4f,0xaffc400f,0xd0002ff8,0x7fd445df,0x0003fcc5,
    0x00ffcfd8,0xb9983ff8,0x027fc6ff,0x9884ff80,0xfb04ffea,0x0009fd09,
    0x64c413fe,0x000006ff,0x7c43ffec,0x7ff4c0ef,0x2a00bfd0,0x01ff31ff,
    0x3550d540,0x3ee00aa2,0x005ff11f,0x3205ff30,0x01bea0ff,0x363fe200,
    0x03ff804f,0xbff07fd4,0x13355555,0xd1013fe0,0x09fb05ff,0x3e0009fd,
    0x2ffb804f,0x20002620,0xfa87fffb,0x25ff702f,0xff5005fe,0x0003fe63,
    0x5ff80000,0x2000bfe2,0xff100ffb,0x00027e45,0x07fab7dc,0x7c403ff8,
    0x3ffffe3f,0x1cffffff,0xfd8027fc,0xfffff70f,0x80027f4f,0xff8804ff,
    0x000ffa03,0xb0ff5ff3,0xd3ff80ff,0x3fea00bf,0x0001ff31,0x3fee0000,
    0x000bfe21,0xff880aa6,0x664cffa2,0x53fa000b,0x7fc02ff8,0xf17fc403,
    0xffffffff,0x7fc3ffff,0x25ff5004,0x27fffffb,0xff0004fe,0x817fe009,
    0x7f4001ff,0x01307faa,0x0bfd2ff8,0x7cc7fea0,0x82ffd80f,0x0ff987fa,
    0xff117fe0,0x2e000005,0x3f7fe0ff,0x802fffff,0x1bf61ff9,0xfb807ff0,
    0x71027fc7,0x13fe1fff,0x7ec3ff80,0x0004fe84,0xff3009ff,0x003fe607,
    0x0ff54fc8,0x743fee00,0x3ff5005f,0xff903fe6,0x261fea05,0x3ff700ff,
    0x0002ff88,0x7c4dfd00,0xffebbeff,0x237e403f,0x3fe01ffa,0xca99999c,
    0x027fc2ff,0x4ff97fdc,0xfb13fa00,0x0009fd09,0x3f6013fe,0x05fe882f,
    0x7fa9bea0,0x24ffa800,0xaaaaaefe,0x1ffcaaaa,0x7fe41ff3,0x261fea02,
    0x0bfd00ff,0xfffffff1,0x8005ffff,0x3fea1ffc,0x00ffe983,0x13fe0ffe,
    0xfffffff8,0xff81ffff,0xf4ff8804,0x37ec009f,0x3ffa13f6,0xffffffff,
    0x413fe1ff,0x885ffd99,0xf1000ffe,0x003fd43f,0xffd13fea,0xffffffff,
    0x3e63ffff,0x803ff90f,0x0ff987fa,0xf881ffa8,0xffffffff,0x3f2002ff,
    0x7c40103f,0x01ff503f,0x7ffc0ff9,0xffffffff,0x8027fc0e,0x009ff5ff,
    0x13f63fec,0x3ffffffa,0x21ffffff,0xffffffff,0x440effff,0x36000efe,
    0x003fd44f,0xffd0bff5,0xffffffff,0x3e63ffff,0x801ffc8f,0x0ff987fa,
    0xff106fe8,0x33333337,0x3ff20013,0x17fa0004,0xff982fec,0x3339ff02,
    0x5ffd7533,0x7d4027fc,0x4009ff3f,0x427ec6fe,0x99999dfe,0x7fc19999,
    0xffffffff,0x01ffb03e,0x7d437d40,0x0bff1007,0x7d4017fa,0xffbff31f,
    0x21fea00b,0x7fd40ff9,0xfeeeeeee,0xd880002f,0x6c0003ff,0xeeff886f,
    0x6ffeeeee,0xe8807ff0,0x2013fe6f,0x09ff1ffd,0x3f62ffc0,0x0004fe84,
    0x33333bff,0x003ff700,0x7d40ffc4,0x40ff7007,0xff5005fe,0x3ffffe63,
    0x87fa801f,0x7ff40ff9,0xffffffff,0x7440002f,0x004c02ff,0x3fee17f6,
    0xffffffff,0x03ff81ff,0xbff0ffa8,0xd5333333,0x027fcbff,0x7ec3ff88,
    0x0004fe84,0x360009ff,0x3f20405f,0xfeeeeeef,0x3f203eef,0x4017fa04,
    0xfff31ffa,0xa801dfb3,0x20ff987f,0xaaaacff9,0x002ffbaa,0x007ffa20,
    0x3ff80dfb,0x9999dfe8,0x84ff9999,0xff9803ff,0xfffffff2,0x41dfffff,
    0xff7004ff,0xfe84fd83,0x09ff0004,0x9813fa00,0xffff92ff,0xffffffff,
    0xd01fec09,0x3fea00bf,0x3e23ff31,0x43fd404f,0x1bf60ff9,0x0005ff10,
    0x2007bfa2,0xff702ffb,0x801ff981,0x1ffc0ffd,0xff8ffd40,0xefffffff,
    0x804ff82d,0x4fd86ff8,0xf0004fe8,0x3f60009f,0x21ffb00f,0xaaaaaaa9,
    0x201aaffc,0x17fa0098,0xf98ffd40,0x807fee0f,0x0ff987fa,0xf8805ff3,
    0xffb0002f,0x3bfe2001,0x213ff221,0xff3006fc,0x4403ff87,0x013fe7fe,
    0x22027fc0,0xefd82ffd,0x80027f40,0xf50004ff,0x0bff309f,0x0003fd40,
    0x2a00bfd0,0x81ff31ff,0xff500efe,0x3f61ff30,0x9bff8807,0x99999999,
    0x266ffea0,0x20999999,0xffdefff9,0x009ff04f,0x33fe37f4,0xeba99999,
    0x013fe3ff,0x4cceffc0,0x4fffcba9,0x74ffff70,0x999999df,0xff099999,
    0x7fec0009,0x0fffebcf,0x401fea00,0x17fa03cc,0xf98ffd40,0x827fcc0f,
    0x8ff987fa,0xf8803ff9,0xffffffff,0x3ffa2fff,0xffffffff,0x7ffec43f,
    0x3ff503ef,0xf0ffdc00,0xffffffff,0x4ff89fff,0xfffff000,0x9fffffff,
    0xd0fffc80,0xffffffff,0x3e7fffff,0x7dc0004f,0x00dfffff,0xf803fd40,
    0x017fa05f,0xff98ffd4,0xa82ffc80,0xd8ff987f,0xff8800ff,0xffffffff,
    0xffff12ff,0xffffffff,0x2004cc07,0x7c4006fd,0x3ffffe4f,0x80ceefff,
    0xff0004ff,0xbdffffff,0x3a0c0017,0xffffffff,0xff3fffff,0x75100009,
    0x2a000359,0x0bff007f,0xfa802ff4,0x201ff31f,0x3fd40efe,0x00007fcc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00660000,0x51014c00,0x15530157,0x33035510,0x02666001,
    0x04cc1555,0x00266600,0x26613330,0xfa866000,0x01fea00f,0x26666200,
    0x19999999,0x33310662,0x33333333,0x00662133,0x4c413310,0x88662001,
    0x09980009,0x00007fcc,0x7fe41fe6,0x7ffc41ff,0xff0ffd05,0x8bff9007,
    0x1ffc4ff8,0x03fffe00,0xf97ffd40,0xff9800ff,0xfd80ffe0,0x237db304,
    0x7fffec7c,0xffffffff,0x7d43ffb0,0xffffffff,0xff72ffff,0x0ffec009,
    0xf1007ff7,0x007fe4bf,0xf985ff10,0x3a20000f,0xdfffa87f,0x7eefec0d,
    0x7c3ff884,0x2ffe403f,0x1ffc37e4,0x0bfffe00,0xf97ffe40,0xff9805ff,
    0x7c41bf20,0xfeff881f,0x7fec5fff,0xffffffff,0x43ffb0ff,0xfffffffa,
    0x22ffffff,0xfa801ffd,0x01ffd83f,0x3fe637f4,0x21fee003,0x10000ff9,
    0xff70fffd,0x7c47fe40,0x7c7f982f,0x13ff203f,0x3fe03fe2,0x7fffc003,
    0x5ffff005,0x300ffffe,0x0ffcc1ff,0x2fa837d4,0xfd819d93,0x1ffd8005,
    0x0ffe8800,0xf101bfe2,0x1bfe20df,0xfe81ffc8,0x213fa006,0xb8000ff9,
    0xfc87ffff,0xa986aa05,0x7fc15302,0x209ff903,0x07ff01a8,0x0ffdff80,
    0x97fefd40,0x200fffff,0x1ff40ff9,0x80001fec,0xfd8005fd,0xffe8001f,
    0x204ffb81,0x3ea00ffd,0x03ffa84f,0xf3003ff7,0x41ff303f,0x6fff4008,
    0x04fc87fb,0x3ff80000,0x0004ffc8,0xff000ffe,0xfd805fd7,0xf9ff2ffa,
    0x07fcc0bf,0x1ff11bee,0xbfb00c00,0x03ff9000,0x203ffd80,0xffa81ffd,
    0x22ffc803,0x3e205ff8,0x06fc803f,0xffd51ff3,0x27ff01bf,0x3fff67fa,
    0xff502fff,0x7fc7fa80,0x2027fe43,0x07ff07fa,0x5fcbff80,0x3fe3fe20,
    0x7ff77ff2,0xf103fe60,0x4c37dc3f,0xbfffd56f,0x8005fd81,0x2e000ffc,
    0x7fc404ff,0x802ffc46,0xdfd0ffe8,0x806fc801,0xbff303ff,0x1dfffdff,
    0xd9fea0b8,0x02ffffff,0x7fa80ff5,0x7ff91ffc,0x3e0ff500,0x5ffc003f,
    0x9f500ff9,0x4ffe5ff1,0xff980ffd,0x3fa4fd80,0xffbef982,0x361fffff,
    0xffb8005f,0x0dff5000,0xfc8ffee0,0x3fe6000f,0x9801ffbd,0x3fea01ff,
    0x1bfff300,0x5017fea2,0x009f90ff,0x7fa80ff5,0x4ffc9ffc,0x3e0ff500,
    0x9ffc003f,0x13fb02fe,0x44ffe5ff,0x0ff986ff,0x1ff37fa8,0x43bfff30,
    0x17f65ffa,0x401fee00,0x2000eff8,0x2ff98ffd,0xffffb800,0x813fa003,
    0x3fe604fd,0xa80dfb05,0x804fc87f,0x3fd407fa,0x3fff2ffe,0x07fa800f,
    0xff8007ff,0xff10bf93,0x1ffcbfe2,0xff987ff7,0xbf73ff00,0x6417fe60,
    0x3ffff67f,0x45ffffff,0xfe8807fa,0x7fc4001f,0x20005fed,0x5c005ffe,
    0x03ff107f,0xfb817fcc,0x643fd407,0x07fa804f,0x3ffe3fd4,0x806ffcff,
    0x07ff07fa,0xff33ff80,0xff14fa81,0xffb0ffe5,0xc807fcc1,0xf302fecf,
    0xd9fea05f,0xffffffff,0x037d45ff,0x80017fec,0x000ffffb,0x001bffa0,
    0xdf705ff1,0x301ff980,0x3fd401ff,0x7d4027e4,0x3e3fd407,0x9ff72fff,
    0xff07fa80,0x23ff8007,0x88fec2fe,0x887ff2ff,0x03fe66ff,0x303fffcc,
    0x3fe603ff,0x3333dfb0,0xf9813333,0x027fdc06,0x00bff600,0x4ffffc80,
    0x742fec00,0x07fcc03f,0x2a00ff98,0x804fc87f,0x3fd407fa,0xffb0bffe,
    0xf83fd405,0x1ffc003f,0x137c4bf9,0x20ffe5ff,0x1ff33ffb,0x3027ff40,
    0x3fe601ff,0x1000bfb0,0x2ffd40bf,0x03fdc000,0xf97ff300,0x7fd4005f,
    0x3003fe60,0x3fe601ff,0x321fea00,0x07fa804f,0x13fe3fd4,0x5403ffe2,
    0x007ff07f,0x3fe63ff8,0x7fc49f70,0x3f607ff2,0x200ff98f,0x3e601ffb,
    0x21ff300f,0xf88005fd,0x01dff105,0x00ff7000,0x745bfe20,0x3fe000ff,
    0x26017f22,0x1ff300ff,0x7e43fd40,0x407fa804,0x81ffc7fa,0xff505ffa,
    0xf000ffe0,0xfb2fe87f,0xff97fc43,0xf3dff103,0x037dc01f,0x7cc03fe6,
    0x000bfb0f,0x0fff413e,0x07fb8000,0x4c1ffb00,0x3f2005ff,0x2600bfe5,
    0x1ff300ff,0x7e43fd40,0x407fa804,0x01ffc7fa,0xff507ff9,0xf000ffe0,
    0xf8dfc87f,0xff97fc46,0x3f7fee03,0x00bfa00f,0x3e601ff3,0x000bfb0f,
    0x0bff6026,0x07fb8000,0xc82ffb80,0xff3003ff,0x2600ff51,0x1ff300ff,
    0x7e43fd40,0x407fa804,0x01ffc7fa,0xfa83ffd1,0x8007ff07,0x5ffcc3ff,
    0xf97fc43f,0x7ffec03f,0x00ff500f,0x3e601ff3,0x000bfb0f,0x001ffdc0,
    0x001fee00,0x7f40bff3,0x95fd001f,0x3fe6009f,0x401ff300,0x04fc87fa,
    0x7d407fa8,0x2601ffc7,0x1fea0eff,0x4ccce7fc,0x3fe19999,0x40fffe83,
    0x07ff2ff8,0x20ffff88,0x803ffedb,0xff300ff9,0x20017f61,0xdff30cca,
    0x33333333,0xf7001333,0x77f4400f,0x01bfe600,0x007fefd4,0xf300ff98,
    0x43fd401f,0x7fa804fc,0x3fe3fd40,0x25ffc803,0xffff07fa,0xffffffff,
    0x7fdc1ffc,0xff2ff886,0x1fff7007,0x8027ffdc,0xff300ff9,0x20017f61,
    0xfff70ffc,0xffffffff,0xf700bfff,0x0ffec00f,0x4027fdc0,0x2005fff8,
    0xff300ff9,0x643fd401,0x07fa804f,0x0ffe3fd4,0xfa9fff40,0xffffff07,
    0x7cffffff,0x83ff983f,0x07ff2ff8,0xb883ffa0,0x3fe6001b,0x361ff300,
    0xffc8005f,0xffffff70,0xffffffff,0x00ff700b,0xd800ffee,0xffc802ff,
    0x00000002,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80198800,0x19880198,0x26666662,0x33100099,
    0x33333333,0x3f613333,0xffffffff,0x80ff95ff,0x18800098,0x2aaaaa48,
    0xaaaaaaaa,0x8000c403,0x80018018,0x02600018,0x40002600,0x80110001,
    0xf7022001,0x3fff801f,0xffd37ec0,0xffffffff,0x7ffd409d,0xffffffff,
    0xfffb6fff,0xffffffff,0xfb01ff2b,0x3ff22007,0x51fcaeff,0x3ee05000,
    0x4403efff,0x0ceffffd,0x05bfffd5,0x77fffe44,0x7ff6c404,0x36e01dff,
    0xb802efff,0x982efffe,0x9dffd56f,0x06fffecc,0x37ff6df3,0x4c05ff30,
    0x7fc05fff,0x3fffffa4,0xefffffff,0xfffffa80,0xffffffff,0x3333316f,
    0x23ff9333,0x1fec06eb,0x777ffcc0,0x00a4ffff,0xdffd10a0,0x501bfffd,
    0xfffddfff,0xffdfff9d,0x3fffa09f,0xa80efffe,0xfffeefff,0xeeffd81f,
    0xfb104fff,0x8bffddff,0xfeffbef9,0xffff9bff,0x33be66ff,0x27fc7fff,
    0x40ffbf90,0x13fa1ff8,0x00bff910,0x40003ff8,0xd8004ff8,0x77fc403f,
    0x28fff620,0x7fec2800,0x2227fd41,0x7fdc44ff,0xfd510bff,0x541ffb85,
    0x0dfe82ff,0xf917fea2,0x17fe443f,0xf505ffe4,0x67ffcc7f,0x5bfffb30,
    0xff997fdc,0x7ec2a9df,0x3febfa05,0xfe8ff501,0x00ffd004,0x40003ff8,
    0xfb0006fd,0x40ffc807,0x050fffe8,0x0ffd4500,0x3ee1ffa8,0x413ffe06,
    0x13f60ffb,0x3fea276c,0x7ccff900,0x98bfd02f,0x1ff503ff,0x3e617fe6,
    0x267ff06f,0x3fd405ff,0x4fd8ff88,0x4fe8bf90,0x005ff500,0x70001ffc,
    0x360003ff,0x41ff403f,0x052ffafd,0x02fec500,0x019893fa,0x7c403ff6,
    0x007bf22f,0x3fd40330,0x0d4c0df7,0x7c403ff2,0x105ff33f,0x53f609ff,
    0x7c402ff9,0xf55fa81f,0xfd0ffa0d,0x0bfe6009,0x0003ff80,0x36007ff1,
    0xeeffeeee,0x07fe4eee,0x14ffa7f7,0x07fd1400,0xa9805fd8,0x9999effc,
    0x263fe999,0x001befff,0x4ffd7530,0xfd8004fc,0x9999999d,0x03ff34fe,
    0xa7ec0ffe,0xfe801ff9,0xff13fc83,0x741ff881,0x3ff9004f,0x001ffc00,
    0x3e006fd8,0xffffffff,0x1ff35fff,0x29fb2fcc,0x3fe28002,0x4c37dc02,
    0xffffffdb,0xffffffff,0x7ffd45ff,0x2600cfff,0xffffffed,0x2000ffa7,
    0xfffffffe,0xff35ffff,0x6c0bfe01,0x001ff34f,0x43ff0bf9,0x43fd42fe,
    0xffc804fe,0x01ffc005,0x001ffc40,0xbfd55555,0x3e635555,0x6c1dd11f,
    0x4500054f,0x37dc02ff,0x2f7bfff2,0xccccefc9,0x883ccccc,0x2fffffdb,
    0xbdffffd8,0x0ffa7fa9,0x3337fe00,0x3ccccccc,0x3fe01ff3,0x3e69fb02,
    0x47fa800f,0x22fe47f9,0xeffe84fc,0xfffeeeee,0x7fc000ef,0x0ffc8003,
    0x01fec000,0x07f65ff1,0x2000a7fd,0xfb00ffa2,0x40e7fdcb,0x200006fc,
    0x7dc7ffc9,0x27fb81cf,0xfe8004fd,0x07fcc004,0x9fb02ff8,0x22003fe6,
    0x513ee0ff,0xe82fe8ff,0xffffffff,0xf0003eff,0x9ff0007f,0x07fb0000,
    0x42fbcff8,0x00052ff8,0x3a02fec5,0xd817fa4f,0x30d5c07f,0x87fea015,
    0x9ff205fe,0x1bea06fc,0x0aa80bf9,0x3fe01ff3,0x3e69fb02,0x45fd000f,
    0x11ff82fd,0x5bfd01ff,0x09ffb955,0x003ff800,0x9500ffd4,0x403fd809,
    0xfc84fffd,0x4500050f,0xff501ffb,0xfa81ffc5,0x3ff502ff,0xff9827fc,
    0x74413fa1,0x03ff50ff,0x5ff517fa,0x7cc7fea0,0x205ff00f,0x01ff34fd,
    0x7fc53f20,0xdf53fd80,0x7d413fa0,0x3fe0005f,0x037ec003,0x7fb01ff2,
    0x41fff880,0x000a3ffb,0xa83dfd0a,0x077e45ff,0x0bffbfe6,0xffc89fd3,
    0x2e37ec42,0x7ff440ff,0x887bf60f,0xffd82ffb,0x993fe60b,0x05ff00ff,
    0x07fcd3f6,0xdf56fa80,0x27e53ee0,0x3ee04fe8,0x7ff0004f,0x017fc400,
    0x39701ff2,0xbdfffd00,0x0028bffd,0x77ff4c28,0xf885ffec,0x2fffddff,
    0xffdbfff9,0xbfffd10d,0xf883fffd,0xbffecdff,0x3ffa21ff,0x104fffde,
    0xffdbfffd,0x807fcc1f,0x29fb02ff,0x3e000ff9,0xf304fc8f,0x7f407fad,
    0x01ffec04,0x3001ffc0,0x4f5001ff,0x99999999,0x3f209999,0x2ffffebb,
    0x88280028,0x03dffffc,0x37ffffaa,0x7ffff5c0,0xfff9100c,0x3aa01bff,
    0xfd0dffff,0xfffff909,0xffff9005,0x0ff981bf,0x3f605ff0,0x4001ff34,
    0x201fe9fd,0x3a07f8ff,0x7ffc404f,0x01ffc000,0x3200ff70,0x3fffffe5,
    0x25ffffff,0x5004c43b,0x18805000,0x4004c400,0x4cc00198,0x00662000,
    0x40004c40,0x00000198,0x9f700000,0xfcfd80ff,0x2013fa05,0x7c005ffa,
    0x1bf2003f,0xfff8bea0,0xffffffff,0xab80005f,0xaaaaaaaa,0x00004aaa,
    0x00000000,0x00000000,0x00000000,0xff300000,0xfffa80bf,0x4013fa03,
    0x3e003ffd,0x13f6003f,0x00000660,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xf100fffe,0x27f403ff,0x00fff880,0x7c007ff0,
    0x0000003f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2003ff60,0x27f406fe,0x00bff700,0x00000ffe,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x03000000,
    0xff503fcc,0xfffffff8,0x1972ffff,0x80ff7000,0x413f67fb,0x4ff307fc,
    0xff305ff8,0x47660007,0x03620ffc,0x5e980910,0xf327d400,0x0fe8000b,
    0x2a2003fa,0x0397002b,0x880276c0,0x3054401a,0x3fffaadf,0x503fcc0d,
    0xfffff8ff,0x72ffffff,0x44003bff,0x93fa02ff,0x3ffd06fb,0xffa8bf70,
    0x002ff443,0xfc8fff54,0x2e7bf60f,0x4ff9bdfd,0x8801fe60,0x447fa0ff,
    0xf513602e,0xd1037ccb,0x401fffff,0x3e005ff8,0x7ff4c05f,0x1ff983ff,
    0x3ffefbe6,0x3e61ffff,0x801fea07,0x3f665ff8,0xfb003eff,0x887fe60b,
    0x7ffc40ff,0xfd82fe83,0x003ff60f,0x67fffe44,0x7cc1dd70,0xffffffff,
    0x1fe600ef,0x3f23fd80,0x360bff24,0x91fec1ff,0x22ff209f,0x3f203fb8,
    0xbff000ff,0xfa8afe80,0x3fff910f,0x50efffcc,0x03fccbff,0x3a200ff5,
    0xfff9306f,0x7fd4019f,0xfe86fb80,0x22ff7d43,0xff880ff8,0x5005ff55,
    0x017dfffb,0x4df7fd40,0x4c00fffb,0x4df7007f,0x7fec0ffa,0x260bff62,
    0x03ff10ff,0x206f8873,0x0004fdff,0x5fb0ee20,0x987f73f2,0x4ff905ff,
    0x1fea07f9,0x40077f40,0x02dfffeb,0x07fd05ff,0xfafd8bf9,0xf302fd47,
    0x4409ff7f,0x01dfffeb,0xf10df700,0x07f9805f,0xff12ff88,0x36fff607,
    0x9bf202ff,0xca880efb,0xbf706fed,0x99990ff1,0x99999999,0x133fc405,
    0x2ff987f2,0x3fccff50,0xfb00ff50,0xfc98003f,0x2fe40eff,0x3e603fe6,
    0x21febfc7,0x7fe403fd,0x3ffea06f,0x740000bf,0x4c9f902f,0xcffdcccc,
    0x3fa0cccc,0xfb01bf65,0xf8805fff,0xf713fa3f,0x20df9dff,0xf87fb2fe,
    0xffffffff,0xfd305fff,0xf987f205,0x21ff301f,0x1fea07f9,0x0003ff90,
    0x260fff44,0x817f20ff,0x32bf31ff,0x2003fe3f,0x3ee01ffe,0x3e00004f,
    0x5cdf300f,0xffffffff,0x3fa0ffff,0xf1017f65,0x3fa009ff,0xff997fa4,
    0x3ea1be22,0x9991bea6,0x99999999,0x05ff7059,0x1ff30fe4,0x7cc3fe60,
    0x40ff500f,0x30003ffb,0xd01dfff9,0x9017fc7f,0x7d4fee7f,0xf300df36,
    0x7fd409ff,0x40000bef,0x49f902fe,0xffdcccc9,0x260ccccc,0x05ff11ff,
    0x017fffec,0x0ffa9bee,0x0df917e6,0x02fe87fb,0x03bee000,0x7fcc3f90,
    0x261ff300,0x0ff700ff,0x20013fea,0x02dfffea,0x03fd5bee,0x88fedbea,
    0x803fc8ff,0x202ffefe,0x1cfffeb8,0x10df7000,0x7f9805ff,0x7dcdf700,
    0xfb7ffb06,0x47fe205f,0xcfe82ff8,0x260fffdb,0x02fdc0ff,0xdf9013b6,
    0xf9013333,0x9807fcc3,0x01ff30ff,0x3fe61ff2,0x3ff22005,0xf8800cff,
    0x4404fd8f,0x7f47f8ff,0x7e401fea,0x800ffc8f,0x02efffda,0x4df7fd40,
    0x4c00fffc,0x8bfa007f,0x17fec3fd,0x9f905ffb,0xfd982fe4,0x321fc9ef,
    0x01ff885f,0xff9817fe,0xc83fffff,0x403fe61f,0x5ff10ff9,0xf88ffd10,
    0xffb3006f,0xd80017df,0xd800ffbf,0x6fe45fcf,0x97fd406f,0x22005fe8,
    0x00cffffc,0x7fffffcc,0x200effff,0x3e2007f9,0x7e43fe26,0x21ffd82f,
    0x03be26f9,0x7fc40110,0x6c09fb02,0x2aaa604e,0xa981aaaa,0x4c03fe60,
    0x83ffa0ff,0x3a27ffd8,0xff7000ef,0x7d40005b,0xff7006ff,0x4fff987f,
    0xf517fe20,0xeb88007f,0xd89951ff,0xadfdb9ef,0x3e604fe9,0x51fdc007,
    0xd80fa29f,0x3fb0ff44,0x00000000,0x20000000,0xff300ff9,0x777ffd41,
    0x3ee7faff,0xffffffff,0x001976ff,0x00fffe00,0x7c0fffc4,0x3ff601ff,
    0x000ffc80,0x3ff23b50,0x91003220,0x0005e980,0x00000000,0x00000000,
    0x4c000000,0x1ff300ff,0x9efffea8,0x3ffee7f8,0xffffffff,0xf9000006,
    0x3ff4001f,0x3ea07fd8,0x0dff102f,0x03ff2000,0x00000000,0x00000000,
    0x00000000,0x30000000,0x3fe601ff,0x00013100,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x30000000,
    0x0a980377,0x99304b80,0x99999999,0x33326199,0xcccccccc,0x2621310c,
    0xca817301,0xa880a884,0xa98c01bb,0x4355100a,0x40888888,0x545510aa,
    0x2aaaa26e,0xaaaaaaaa,0x33310aaa,0x33333333,0x00003333,0x00000000,
    0x44000000,0x984ffffd,0x201effff,0xffff707d,0xffffffff,0x3ffffee1,
    0x0fffffff,0x87feadfb,0x324fffe9,0xe987d87f,0x21cfffff,0x0bff13d9,
    0x7fc43ff6,0x3e27ffff,0x2e1ff31f,0x3fffea7f,0xffffffff,0xfff51fff,
    0xffffffff,0x0003ffff,0x00000000,0x20000000,0x2febaefc,0x2fdc7fa2,
    0x4c53e426,0xcccccccc,0x9930cccc,0x99999999,0x55bf61ff,0x547b21ff,
    0xff0ff91f,0x7ffff419,0xffeeffff,0xf103fea3,0x7fffc45f,0x47fe27ff,
    0x4dd70ff9,0xaaaaaaa8,0xaaaaaaaa,0x77777710,0x77777777,0x00000017,
    0x00000000,0x8ff10000,0xf30cc6f9,0xceddfe8d,0x000001ff,0x6fd87fc0,
    0x0be23ff5,0x5443d4bb,0x5c433a6f,0x1efffffd,0x0ff227dc,0x06666666,
    0x00aa2155,0x00000000,0x00000000,0x00000000,0xf85f9800,0x83dd9107,
    0xbdfffedb,0x40000001,0x2adf90ff,0xc83f10ff,0xf9311725,0x997100cd,
    0x0aa15405,0x00000000,0x00000000,0x00000000,0x00000000,0x3fa13ea0,
    0x01dff980,0x00009ff5,0xb87fc000,0xdd8ff14f,0x8bea5f30,0x001ffffb,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4c000000,0x4407f86f,
    0x5efcc0ff,0x66664c4f,0xcccccccc,0x50ff8000,0x3e637c7f,0x30666fef,
    0x00000377,0x00000000,0x00000000,0x00000000,0x00000000,0x3fe20000,
    0x0989bea0,0x43fa17ec,0x3ffee1fd,0xffffffff,0x0ff8000f,0xa815c391,
    0x0000001c,0x00000000,0x00000000,0x00000000,0x00000000,0x2e000000,
    0x21ffdcff,0x1ff50ef8,0x93062288,0x99999999,0x50001999,0x00000015,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xffffb800,
    0xfffffc82,0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00cc0000,0x0000b2a2,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_30_latin1_x[224]={ 0,2,1,0,0,1,1,1,1,1,0,1,2,0,
2,0,1,2,0,1,0,1,1,1,1,1,2,2,1,1,1,1,1,-1,1,1,2,2,2,1,2,2,0,1,
1,1,2,1,2,1,2,1,0,2,0,0,0,0,0,1,0,0,0,-1,1,0,1,1,0,0,0,0,1,1,
-2,1,1,1,1,0,1,0,1,0,0,1,0,0,0,0,0,0,2,0,1,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,3,1,0,0,-1,
2,1,0,0,0,1,1,0,0,-1,1,1,0,0,2,2,0,2,1,1,0,1,1,1,0,2,-1,-1,-1,-1,
-1,-1,0,1,2,2,2,2,0,1,-1,0,-1,2,1,1,1,1,1,2,1,2,2,2,2,0,2,2,0,0,
0,0,0,0,0,1,0,0,0,0,0,2,-1,0,0,1,0,0,0,0,0,1,1,1,1,1,1,0,1,0,
 };
static signed short stb__arial_30_latin1_y[224]={ 24,4,4,4,3,4,4,4,4,4,4,8,21,15,
21,4,4,4,4,4,4,5,4,5,4,4,10,10,8,10,8,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,27,4,9,4,9,4,9,4,9,4,4,
4,4,4,9,9,9,9,9,9,9,5,10,10,10,10,10,10,4,4,4,12,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,24,10,4,4,8,4,
4,4,4,4,4,11,10,15,4,1,4,7,4,4,4,10,4,13,23,4,4,11,4,4,4,10,-1,-1,-1,0,
0,0,4,4,-1,-1,-1,0,-1,-1,-1,0,4,0,-1,-1,-1,0,0,8,4,-1,-1,-1,0,-1,4,4,4,4,
4,4,4,4,9,9,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,9,9,4,4,4,4,4,4,4,
 };
static unsigned short stb__arial_30_latin1_w[224]={ 0,4,8,15,14,22,17,3,7,7,10,14,4,9,
4,8,13,9,14,13,14,13,13,13,13,13,4,4,14,14,14,13,26,19,16,18,16,15,14,19,16,4,12,17,
13,20,16,19,15,19,18,16,16,16,18,26,18,18,16,7,8,6,12,17,6,14,13,13,13,14,9,14,13,4,
7,13,4,20,13,14,13,14,9,13,8,13,14,20,14,14,13,9,3,9,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,0,3,13,15,14,16,
3,13,9,20,10,12,14,9,20,17,8,13,9,9,6,12,15,4,7,6,10,13,22,21,23,13,19,19,19,19,
19,19,26,18,15,15,15,15,6,6,9,8,19,16,19,19,19,19,19,12,19,16,16,16,16,18,15,14,14,14,
14,14,14,14,23,13,14,14,14,14,6,6,10,8,14,13,14,14,14,14,14,13,14,13,13,13,13,14,13,14,
 };
static unsigned short stb__arial_30_latin1_h[224]={ 0,20,8,21,24,21,21,8,26,26,9,13,7,4,
3,21,21,20,20,21,20,20,21,19,21,21,14,18,14,9,14,20,26,20,20,21,20,20,20,21,20,20,21,20,
20,20,20,21,20,22,20,21,20,21,20,20,20,20,20,26,21,26,11,3,5,16,21,16,21,16,20,21,20,20,
26,20,20,15,15,16,21,21,15,16,20,15,14,14,14,20,14,26,26,26,5,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,20,26,21,13,20,
26,26,4,21,11,13,9,4,21,3,8,17,11,11,5,20,26,3,7,11,11,13,21,21,21,20,25,25,25,24,
24,24,20,26,25,25,25,24,25,25,25,24,20,24,26,26,26,25,25,13,21,26,26,26,25,25,20,21,21,21,
21,21,21,21,16,21,21,21,21,21,20,20,20,20,21,20,21,21,21,21,21,11,17,21,21,21,21,26,26,26,
 };
static unsigned short stb__arial_30_latin1_s[224]={ 255,174,91,172,89,46,69,252,45,218,50,
144,109,151,248,129,152,15,28,210,182,43,21,64,73,150,124,78,109,61,43,
197,1,57,77,131,110,136,159,1,211,248,166,53,78,92,113,180,152,137,28,
193,47,35,234,1,215,196,179,110,224,248,210,176,137,180,179,195,138,209,25,
101,1,251,226,228,250,224,1,127,87,116,245,166,127,15,58,73,94,130,29,
234,244,208,122,112,112,112,112,112,112,112,112,112,112,112,112,112,112,112,112,
112,112,112,112,112,112,112,112,112,112,112,112,112,112,112,112,112,255,248,118,
164,129,220,87,45,161,52,199,159,76,151,233,194,100,83,237,40,144,237,192,
171,114,247,29,185,23,1,224,168,76,96,116,20,49,69,1,91,136,152,168,
121,184,241,211,40,200,104,132,152,172,221,191,172,233,70,53,28,59,1,94,
150,1,16,46,61,76,157,142,165,179,203,218,135,46,71,35,242,120,145,91,
194,209,188,31,223,97,106,87,101,115,30,16,1, };
static unsigned short stb__arial_30_latin1_t[224]={ 1,168,225,55,55,103,103,28,1,1,225,
210,225,225,49,103,103,168,147,103,147,147,125,189,125,125,210,189,210,225,210,
147,28,147,147,125,147,147,168,125,147,81,103,168,168,168,168,125,147,55,189,
103,189,125,168,189,168,168,168,1,103,1,210,225,225,189,103,189,103,189,168,
125,168,147,1,147,125,189,210,189,125,125,189,189,147,210,210,210,210,168,210,
1,1,1,225,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,
189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,1,28,1,
125,210,125,1,28,225,125,210,210,225,225,103,225,225,189,210,225,225,125,1,
225,225,210,225,210,103,103,81,147,28,28,28,55,55,55,147,1,28,28,28,
55,28,28,28,55,125,55,1,1,1,28,28,210,55,1,1,28,28,55,147,
81,81,81,81,81,81,55,189,81,81,55,55,81,168,168,168,147,81,168,81,
81,81,55,81,210,189,81,103,103,103,1,1,1, };
static unsigned short stb__arial_30_latin1_a[224]={ 119,119,153,239,239,382,287,82,
143,143,167,251,119,143,119,119,239,239,239,239,239,239,239,239,
239,239,119,119,251,251,251,239,436,287,287,310,310,287,262,334,
310,119,215,287,239,358,310,334,287,334,310,287,262,310,287,406,
287,287,262,119,119,119,202,239,143,239,239,215,239,239,119,239,
239,95,95,215,95,358,239,239,239,239,143,215,119,239,215,310,
215,215,215,143,112,143,251,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,119,143,239,239,239,239,112,239,
143,317,159,239,251,143,317,237,172,236,143,143,143,248,231,119,
143,143,157,239,358,358,358,262,287,287,287,287,287,287,430,310,
287,287,287,287,119,119,119,119,310,310,334,334,334,334,334,251,
334,310,310,310,310,287,287,262,239,239,239,239,239,239,382,215,
239,239,239,239,119,119,119,119,239,239,239,239,239,239,239,236,
262,239,239,239,239,215,239,215, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_30_latin1_BITMAP_HEIGHT or STB_FONT_arial_30_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_30_latin1(stb_fontchar font[STB_FONT_arial_30_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_arial_30_latin1_BITMAP_HEIGHT][STB_FONT_arial_30_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_30_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_30_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_30_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_30_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_30_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_30_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_30_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__arial_30_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__arial_30_latin1_s[i] + stb__arial_30_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__arial_30_latin1_t[i] + stb__arial_30_latin1_h[i]) * recip_height;
            font[i].x0 = stb__arial_30_latin1_x[i];
            font[i].y0 = stb__arial_30_latin1_y[i];
            font[i].x1 = stb__arial_30_latin1_x[i] + stb__arial_30_latin1_w[i];
            font[i].y1 = stb__arial_30_latin1_y[i] + stb__arial_30_latin1_h[i];
            font[i].advance_int = (stb__arial_30_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__arial_30_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_30_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_30_latin1_s[i] + stb__arial_30_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_30_latin1_t[i] + stb__arial_30_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_30_latin1_x[i] - 0.5f;
            font[i].y0f = stb__arial_30_latin1_y[i] - 0.5f;
            font[i].x1f = stb__arial_30_latin1_x[i] + stb__arial_30_latin1_w[i] + 0.5f;
            font[i].y1f = stb__arial_30_latin1_y[i] + stb__arial_30_latin1_h[i] + 0.5f;
            font[i].advance = stb__arial_30_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_30_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_30_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_30_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_30_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_30_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_30_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_30_latin1_LINE_SPACING
#endif

