// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_36_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_36_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_36_latin1_BITMAP_WIDTH         256
#define STB_FONT_arial_36_latin1_BITMAP_HEIGHT        322
#define STB_FONT_arial_36_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_36_latin1_FIRST_CHAR            32
#define STB_FONT_arial_36_latin1_NUM_CHARS            224

#define STB_FONT_arial_36_latin1_LINE_SPACING          23

static unsigned int stb__arial_36_latin1_pixels[]={
    0x09981330,0x88000000,0x26000999,0x0000000a,0x00035531,0x01aaa988,
    0x54155000,0x00000002,0x55310000,0x51000335,0x01550035,0x00005550,
    0x0007bbaa,0x7fccbff1,0x0007fe84,0x00dff900,0x64c07fc4,0xfffffffe,
    0xc882ffff,0x02efffff,0x7fffecc0,0xfd00cfff,0x7fc7ffff,0xe8013ee2,
    0x05d8007f,0x3fffaa00,0x1cefffff,0x1bfff300,0xf3017fc0,0x7ffd4fff,
    0x7fc406ff,0x22000fff,0x13fe65ff,0x00001ffa,0x8003ffe2,0xfffc83fd,
    0xffffffff,0x7f442fff,0x3fffffff,0xffffd880,0x3fffffff,0x3fffffe8,
    0x03fd0bfe,0x2001ffa0,0x7dc4006f,0xfeefffff,0x00dfffff,0x02ffffcc,
    0x3fe205ff,0x3ffea7ff,0x7ff406ff,0x22006ff9,0x13fe65ff,0x00001ffa,
    0xa8007ff2,0xffffc86f,0xfecccfff,0x7fec1ccf,0x3fff711d,0x6ffff4c0,
    0xfffdb99a,0x4cfff43f,0xf50bfe09,0x01ffa00d,0x44009f30,0x00adfffe,
    0x05ffff93,0x00ffe988,0x3fea05ff,0x7cccc41c,0x4fff206f,0x00005ffa,
    0x0003ff40,0x800ffe20,0x7fcc2ff8,0x5c7fffff,0x0fff00ff,0xfe813ff2,
    0x3f2200ef,0x81ffa1ff,0x03fe82ff,0x64001988,0xfff3001f,0xffb80019,
    0x2ffa802f,0x3f205ff0,0x20dff007,0x665c4cc8,0x3a000001,0x4400007f,
    0x3fdc0019,0x7fffffe4,0x407fdc7f,0xff104ff8,0x07fff20f,0xfd37fe40,
    0x5c17fc0f,0x2000007f,0xfff3007e,0x7f440003,0x1ffc401f,0xdfb02ff8,
    0x001bfe00,0xe8000000,0x0000007f,0xfb09fd00,0x8fffffff,0xfff00ffb,
    0xff980cc0,0x3fe2003f,0x7c0ffd1f,0x03ff882f,0x05f88000,0x0001dfd0,
    0x401dfd10,0x5ff03ff8,0x7c01bfa0,0x009ff76f,0xdd34ffa8,0x29dd1007,
    0xdfd937fe,0x0fba6037,0xf513ba20,0xfffff03f,0xffb8ffff,0x01bff900,
    0x005ffb80,0xffd1bdc8,0xfd817fc0,0x882f6c06,0x04ffffda,0x9300ffc8,
    0x265c39dd,0x7c407ff3,0x205ff04f,0xdff005fe,0x50013fee,0x03ffc9ff,
    0xffe97fdc,0xfffffffa,0x700fff05,0x07fe85ff,0xfffffffd,0x100ffb8f,
    0x4003dffd,0x00002ffe,0x17fc0ffd,0x3a02ffb8,0xffff987f,0x2604ffff,
    0xffe983ff,0xbff2ffff,0x7fc06fd8,0x3a05ff04,0x2dff005f,0x54004ffb,
    0x0bff24ff,0x7ff4ffd0,0xfea9acff,0x02ffc83f,0x27fc3ff4,0xffffffc8,
    0x007fdc7f,0x009ffff7,0x0003fff1,0xff81ffa0,0x407ff102,0x7ffc47fe,
    0x6ffff9ad,0xff30bfb0,0x9ffd77bf,0x1ffb89ff,0x7fc13fe0,0x200bfd02,
    0x09ff76ff,0x264ffa80,0x3fe205ff,0x20ffffa4,0x7cc1ffd8,0x13fe205f,
    0x3e607ff1,0x47ffffff,0xfd880ffb,0x01efffdf,0x0001ffe6,0x3fe07fe8,
    0xe817fe02,0x8bffa27f,0x41fffcfa,0x7fc42ff8,0xffffb83f,0xf01ffc42,
    0x40bfe0bf,0xdff005ff,0x50013fee,0x0ffe89ff,0x7f43ff70,0x1bfe605f,
    0x7dc03ffa,0x017fd41f,0xfffffff9,0xfe80ffb8,0x9ffff50e,0x00dff301,
    0xf03ff400,0x037f405f,0x27fdcffd,0x13fea7f2,0x7ff90ff5,0x407ffec0,
    0x17fa04fe,0x4ff817fc,0x3eedff00,0x7fd4004f,0xe817fdc4,0x00fff46f,
    0x3fee1ff6,0xf70dfd02,0xfffc803f,0x07fdc7ff,0xfb103fe6,0xffa83dff,
    0x3fa00006,0xd80bfe07,0xd9ffa07f,0x593f40ff,0x7c44fd83,0x3ffd407f,
    0x3f205fc8,0xa82ff80f,0xdff001ff,0x50013fee,0x5ff889ff,0x7f43ff98,
    0x41ffb807,0xff985ff8,0x800ffc83,0x5c7ffdc9,0x03fe40ff,0x441ffff5,
    0x200007ff,0x640007fe,0x4ffd00ff,0x027cc7fe,0x3fea17fc,0x82ffcc03,
    0x3fe204fd,0x2217fc0d,0x3fe006ff,0x8009ff76,0xffd84ffa,0x3a07fe40,
    0x2ffa806f,0x7e40ffd8,0x007fe80f,0x7fdc7fc8,0x100ffe40,0xfff8dffd,
    0xffd00000,0x2ffb8000,0x3fe2ffd0,0x7c017dc5,0x007fe41f,0x7fc0ffea,
    0x27ff4403,0x77ff45ff,0x5dbfe001,0x7d4004ff,0x43ffa84f,0x05fe85ff,
    0xfa84ff98,0xf82ffc3f,0x7fc8006f,0x3ea07fdc,0x7ffc405f,0x0007ff60,
    0x0003ff40,0x7f40ffea,0xfd89ff37,0x207fc400,0xffb807fe,0x801ff981,
    0x4bfe6ff8,0xf8006ff8,0x009ff76f,0xff04ffa8,0x7417fd4d,0x3ffa805f,
    0x7fd4dff0,0x000fff02,0x0ffb8ff9,0x200dffe8,0x3ff22ffb,0x3df98002,
    0xb8000ffd,0x2ffd03ff,0x1be25ff9,0xf883fe60,0x0ffd805f,0x4400ffb8,
    0x4bfe6ffd,0x4003fff8,0x09ff76ff,0x904ffa80,0x41ff63ff,0xffb806fe,
    0x363ff901,0x03ffa07f,0xfb8ff900,0xffff880f,0x541ff502,0xfc8004ff,
    0x000ffd4f,0xfd02ffc8,0xfa9bfe2f,0x21ff8803,0x7c405ff8,0x05fe886f,
    0x3e0aefe8,0x13fee22f,0xff76ff80,0x4ffa8009,0x3fe7ff30,0x900ffd04,
    0x9ffcc0ff,0x3ff604ff,0x23fe4001,0xfd300ffb,0x5fd81bff,0x000fffc4,
    0x3fa3fff1,0xd8073207,0x4ffd01ff,0xd07f27ff,0x217fc1df,0x7fe406ff,
    0x400ffd84,0x2ff82ffa,0xf001ffc8,0x013feedf,0x7409ff50,0xd01ffaef,
    0x7fc407ff,0x7d77f406,0x0fff601f,0xfb8ff900,0x7ffe400f,0x905ff93f,
    0x36001dff,0x81ffa6ff,0x3ffe02ff,0x7e4ffd00,0xff98ff2f,0x3f617fc6,
    0x5fff300f,0xd803ffc8,0x105ff06f,0x3fe007ff,0x8009ff76,0x3ee04ffa,
    0x3fa06fdf,0x5ffb00ff,0x6fdffb80,0x0027fdc0,0x1ff71ff2,0xffffd300,
    0x3fe203df,0x3f6201ef,0x81ffa1ff,0xfff102ff,0xff33ff40,0xffd89f5f,
    0x3ee2fec3,0x7ffd40df,0x0dff912f,0x7fc17fe0,0x2009ff02,0x09ff56ff,
    0x204ffb80,0x203ffff8,0x30affffe,0xf1007ffb,0xf8807fff,0x3fe4005f,
    0xb8003fee,0x4c01ffff,0x9adfffff,0x42ffffca,0x0bfe07fe,0xfd027fcc,
    0x2ffffb8f,0xf50bffd5,0xbfffd81f,0xfffeffda,0x000dfffc,0x0bfe09ff,
    0xff802ff4,0x800bff56,0x7ec03ffc,0x3ffa00ff,0xfffffffd,0x3fff6005,
    0x006fe800,0x3fee3fe4,0x7ff4c000,0x7ff4400e,0xffffffff,0x207fe82f,
    0x5ff502ff,0x7d43ff40,0xefffffff,0x443ff880,0x8efffffe,0x3ffffffb,
    0xf827fc00,0x00bfd02f,0x37fcdbfe,0x00fff600,0xfe80dff5,0x7bffff77,
    0x06ffa800,0x4001ff70,0x07fdc7fc,0x2ffec400,0xffffda80,0x3fa03fff,
    0x640bfe07,0x83ff407f,0x3ffffffb,0x220ffe40,0x7643dfdb,0x4cc41bdf,
    0x3e09ff00,0x00dfd02f,0x0fff9bfe,0x03fff100,0x7402ff98,0x00014c7f,
    0x22005ff3,0x3f2004ff,0x8807fdc7,0x007ff401,0x00273f60,0x2ff81ffa,
    0x7404ff88,0x559f707f,0x077f4003,0x3fa20000,0x7c13fe06,0x00dfd02f,
    0x6ffd9bfe,0x00fff700,0xffd00ffb,0x7fd80000,0x007fdc00,0x7fdc7fc8,
    0x203ffc80,0x7c001ffc,0xffd000cf,0x7e417fc0,0x837fc00f,0xf10001fd,
    0x200001df,0xf100ffe8,0x40bfe07f,0xdff006fd,0x202fffcc,0x4403fffb,
    0x7fe804ff,0x3fe20000,0x03fe8004,0xffb8ff90,0x207ffa80,0x22000ffe,
    0xe801ffdb,0x10bfe07f,0xdff005ff,0x50001be0,0x80007fff,0x2201fffb,
    0x05ff03ff,0x7fc01ff6,0x6ffffe46,0xfffecbac,0x3ffa6106,0x007fe800,
    0x0ffe9840,0x00ffa800,0x7fdc7fc8,0x419fff00,0x0006ffb8,0x3fa017fa,
    0xf70bfe07,0x0bff500d,0x500009f3,0x0039dffd,0x07bffb26,0x3e03ff90,
    0x05ff702f,0xff90dff0,0xffffffff,0x3ffe60bf,0xffd003ff,0x7ffcc000,
    0x360003ff,0x47fc803f,0xff300ffb,0xffffbdff,0x6dd54003,0xffe802ff,
    0x0bfe3fff,0x7f7403ff,0x02fc82ff,0x3ffea000,0xdcccdeff,0x02fffffe,
    0x81ffff62,0xfff102ff,0x7fffd4bd,0xfffb306f,0x405bffff,0x005ffff8,
    0x88001ffa,0x0005ffff,0x7e4037cc,0x5007fdc7,0xdffffffd,0xfffe8003,
    0xfffd005f,0x517fc7ff,0x7ffcc0bf,0x000fd05f,0x3fffee00,0xffffffff,
    0x7fcc00cf,0x0bfe01ff,0x2a7fffb8,0x406fffff,0x009aa998,0x80059b70,
    0x5c0002aa,0x900002cd,0x42a9803d,0xb95002a9,0x5000137b,0x54003799,
    0x3a0aaaaa,0x9803b62e,0x06202cdc,0x2a600000,0x1bccddcb,0x0337a600,
    0xc9805dd0,0x2aaaa26d,0x0000002a,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x001eeea8,
    0x1bdd5000,0x00098000,0x0004c000,0x006f7540,0x00fbb620,0x1776c400,
    0xeeb80000,0x0000001e,0x5c000033,0x220005ee,0x6c002eed,0xf88003ee,
    0x0000ffff,0x002ffe80,0x40005f80,0xf50bdfc9,0xffd00009,0x3fea0005,
    0x3ea00007,0x9800006f,0x000effff,0x0befc880,0x20000df3,0x0001fff8,
    0x50037fd4,0xd0001dff,0x00dff3ff,0x04ffa800,0x3ff6e600,0xff8000bc,
    0x1ffeffff,0x27fd4000,0x0ffee000,0x2ffb8000,0x3fa20000,0x0005ff9f,
    0xefffffe8,0x700003ff,0x200007ff,0xfd002ffc,0xff90001f,0x0013fea7,
    0x0005fe80,0xffffffb1,0x7d4005ff,0x5fffda8e,0x05fe8000,0x00dfb000,
    0x006fd800,0x5cbff600,0x220004ff,0xfffc98ef,0xff00000e,0xfd800009,
    0x02ff9806,0x5c3cc880,0x880000cc,0xfb0000cc,0xfffdfbff,0x072a005f,
    0x10000151,0x40000199,0x400001cc,0x980000cc,0x066643cc,0xa82c9800,
    0x32600001,0xc8800004,0x01e5400c,0x4d54c400,0x26200000,0x2e0009aa,
    0x32bf1eff,0x44000fff,0x00009aa9,0x00000000,0x2aa62000,0x00000009,
    0x00000000,0x00000000,0x98000000,0xffffffed,0xdb30002d,0x5bffffff,
    0x7c1fff00,0x200bffa5,0xfffffed9,0x7fdc02df,0xa7fd4004,0x54004ffb,
    0x76cc04ff,0x2dffffff,0xfffa8000,0x7d400002,0x400002ff,0x2002fffa,
    0xfffffffb,0xffffffff,0x001ffe1f,0xfffffff7,0x001dffff,0x7fffffdc,
    0x00efffff,0x25f8bff1,0x7dc04ffa,0xffffffff,0xff700eff,0x4ffa8009,
    0xa8009ff7,0x3fee04ff,0xffffffff,0x360000ef,0x00005fff,0x002fffec,
    0x17fff600,0xfffffb80,0xffffffff,0x1ffe1fff,0x6fffec40,0xfffda9ab,
    0x7ec401ef,0xda9abdff,0x981effff,0x062fc4ff,0x7bfffb10,0xffffb535,
    0x09ff703d,0xf74ffa80,0xffa8009f,0xdfffd884,0xfffda9ab,0xf88001ef,
    0x0000ffef,0x1ffdff10,0x3fe20000,0xf7000ffe,0x999999df,0x19999999,
    0xfd803ffc,0x7fcc03ff,0x3ff600ff,0x7ffcc03f,0x237fc40f,0x7fec005f,
    0x7ffcc03f,0x027fdc0f,0x7dd3fea0,0x7fd4004f,0x03fffd84,0x007fffcc,
    0x3fe7fee0,0xff700003,0x00007ff3,0x0ffe7fee,0x0027fdc0,0x5403ffc0,
    0xf3000eff,0x3fea0bff,0xfff3000e,0x7c1ffd0b,0x3bfea005,0xbfff3000,
    0x4004ffb8,0x9ff74ffa,0x44ffa800,0x3000effa,0xe800bfff,0x000ffd5f,
    0x3ff57fa0,0xd5fe8000,0x3fee00ff,0x7ff80004,0x002ffe80,0x740fffd4,
    0x7d4002ff,0x7ffe41ff,0x7f400bf3,0x7fd4002f,0x013fee1f,0x3ee9ff50,
    0x7fd4004f,0x0017ff44,0x4007ffea,0x5ff73ff9,0x3ff98000,0x80005ff7,
    0x5ff73ff9,0x009ff700,0xb80fff00,0xf90005ff,0x05ffb89f,0xb09ff900,
    0x01bfdfff,0x000bff70,0xffb93ff2,0xa7fd4004,0x54004ffb,0x17fee4ff,
    0x027fe400,0xff31ffd8,0xffd8000b,0x000bff31,0xff31ffd8,0x09ff700b,
    0x80fff000,0x30001ffd,0x1ffd8fff,0x0fff3000,0x3ffffff6,0x07ff602d,
    0x73ffcc00,0xfa8009ff,0x009ff74f,0x3f64ffa8,0xff30001f,0x8dff100f,
    0x10000ffe,0x0ffe8dff,0x8dff1000,0x7dc00ffe,0xff80004f,0x007ffc07,
    0x21fff880,0x10000fff,0x2e203fff,0x0efffffe,0x0000fff8,0x3ee3fff1,
    0x7fd4004f,0x8009ff74,0x3ffe4ffa,0xfff10000,0x43ffb803,0x70004ffb,
    0x4ffb87ff,0x87ff7000,0x7dc04ffb,0xff80004f,0x01ffe207,0x225ffd00,
    0x740007ff,0xeef802ff,0x3e20ffff,0x7f40007f,0x009ff72f,0xff74ffa8,
    0x4ffa8009,0x8000fff1,0x7f402ffe,0x03ffc40f,0x440ffe80,0xfd0007ff,
    0x07ff881f,0x4cceffdc,0x99999999,0x303ffc09,0xd8000dff,0x0dff33ff,
    0x03ffd800,0x9ffd35f8,0x00037fcc,0x7fdcfff6,0xa7fd4004,0x54004ffb,
    0x0dff34ff,0x03ffd800,0x7ec17fe6,0x7fcc002f,0x005ffb05,0xfb05ff98,
    0x7ffdc05f,0xffffffff,0x7fc2ffff,0x017fea07,0x2a9ff900,0x640005ff,
    0x25f804ff,0x3fea7ff8,0x7fe40005,0x8009ff74,0x9ff74ffa,0x54ffa800,
    0xc8000bff,0x3ff204ff,0x00bff502,0xf502ffc8,0xffc800bf,0x40bff502,
    0xfffffffb,0xffffffff,0xf303ffc2,0xfc8000df,0x00dff33f,0x803ffc80,
    0x98fff45f,0x640006ff,0x09ff73ff,0xf74ffa80,0xffa8009f,0x000dff34,
    0x3e03ffc8,0x07ffc07f,0xf80fff00,0x3fe000ff,0x807ffc07,0xaaaadffb,
    0xaaaaaaaa,0x3e03ffc0,0x7f40007f,0x001ffe2f,0x32a5ffd0,0x3f22fc0e,
    0x001ffe2f,0x3ee5ffd0,0x7fd4004f,0x8009ff74,0x1ffe4ffa,0x05ffd000,
    0x2aabbfea,0x4ffdaaaa,0x55dff500,0xffb55555,0x3bfea009,0xdaaaaaaa,
    0x9ff704ff,0x0fff0000,0x0000ffe8,0xffe87ffe,0x3ffe0000,0x5f87ff91,
    0xffd0fff4,0x7ffc0001,0x8009ff51,0x9ff54ffb,0x24ffb800,0x20000ffe,
    0xffb01fff,0xffffffff,0x3600ffff,0xffffffff,0x007fffff,0xfffffffb,
    0x0fffffff,0x00013fee,0xff901ffe,0x3fe20003,0x000ffe47,0x3e67ff88,
    0xff12fc6f,0x001ffc8f,0x7d4fff10,0x7fe4005f,0x800bff53,0x3ff23ffc,
    0xfff10001,0x3ffffe20,0xffffffff,0x7fc402ff,0xffffffff,0x402fffff,
    0xfffffff8,0xffffffff,0x004ffb82,0x5407ff80,0xfb0006ff,0x06ffa89f,
    0xf89ffb00,0xfc97e2ff,0x037fd45f,0x264ffd80,0x7ec006ff,0x00dff33f,
    0x3ea3ffd8,0xffb0006f,0x00ffee09,0x2e037fdc,0xff7003ff,0x03ffb80d,
    0xf70dff70,0xff00009f,0x2fff880f,0x0fffcc00,0x000bffe2,0xfb83fff3,
    0xeadf8bff,0x7fc40fff,0x7fcc002f,0x007ffc1f,0x3e1fff88,0xff1000ff,
    0x17ffc43f,0x07ffe600,0x88007ff4,0x3fa01fff,0xfff1000f,0x007ff403,
    0x5c1fff88,0xf80004ff,0xfffb807f,0xbffd1001,0x007ffee0,0xb82fff44,
    0xffffffff,0xfff702ff,0x3ffa2003,0x006ffd85,0xffd8fff7,0x0fff7006,
    0x2003fff7,0xf305ffe8,0xffc800df,0x00dff304,0xf304ffc8,0xffc800df,
    0x0027fdc4,0xd803ffc0,0x7d403fff,0x3f600eff,0x7fd403ff,0x3faa00ef,
    0x00dfffff,0x201fffec,0x980efffa,0x7dc05fff,0x7ffcc3ff,0x1fffdc05,
    0x403fffd8,0x900efffa,0xf98007ff,0x07ff907f,0x907ff980,0xf98007ff,
    0x027fdc7f,0x803ffc00,0xacefffd8,0xefffeca9,0x7ffec401,0xfeca9ace,
    0x51001eff,0x6c4003df,0xa9acefff,0x01efffec,0x337ffff2,0x6fffecba,
    0x9bffff90,0xdfffd975,0x77ffec40,0xffeca9ac,0x3ffe01ef,0x3ffe8000,
    0x8000fff8,0xfff83ffe,0x3ffe8000,0x3bbbffee,0xeeeeeeee,0x01ffe4ee,
    0xffffff90,0x01bfffff,0x7ffffe40,0x0dffffff,0x0005f800,0xfffffff9,
    0x001bffff,0xfffffff9,0xc80bffff,0xffffffff,0xf9005fff,0xffffffff,
    0x7d401bff,0xff70005f,0x005ffa8d,0xfa8dff70,0xff70005f,0x7ffffdcd,
    0xffffffff,0x1ffe5fff,0x3fff2200,0x001cffff,0xfffff910,0x400039ff,
    0x3220005f,0xcfffffff,0x7fecc001,0x02dfffff,0xfffffb30,0x88005bff,
    0xfffffffc,0x2ffd801c,0x3fff1000,0x80017fec,0x3f61fff8,0xff10002f,
    0x3fffee3f,0xffffffff,0x3fe5ffff,0x54c40007,0x44000019,0x000019a9,
    0x22000035,0x800019a9,0x009aa998,0x35533100,0x53100001,0x00000033,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xb0000000,0x70000bdd,
    0x00001bdd,0x75400000,0x2a0001ee,0xb0000dee,0x02f6c1dd,0x03ddd300,
    0x2005eec8,0x02f746ed,0xb0188000,0x805ee8dd,0x13ba25ee,0xa8fba600,
    0xddd102ee,0x7fffe400,0xffd80004,0xc8800003,0xf98000be,0x0000ffff,
    0x40007ffd,0x1ffe0ffe,0x04ffd800,0x001ffe88,0x07ff8ffd,0x39dd7100,
    0x3ffc07fc,0x3fe01bfe,0x0017fe26,0xffb93fe6,0x00fff303,0x3fef7fea,
    0x7f440003,0xce800007,0x744004d9,0x006ff9ff,0x0004ff98,0xfff07ff4,
    0x17fe6000,0x005ff980,0x07ff8ffd,0xfffff700,0x3fe0bfdf,0x7c037fc7,
    0x017fe26f,0xfb93fe60,0x0fff303f,0x361fff10,0x4c0001ff,0x200003ff,
    0x8003e269,0x9ff52ffd,0x006fd800,0x6644cb80,0x1df90004,0x01ffa800,
    0x26644cb8,0xb8afe800,0x9901fffe,0xc803cc89,0x00f3223c,0xc98b3220,
    0x0999102c,0x64439950,0xc980003c,0x9e200003,0x33260078,0x800665c3,
    0x00000cc8,0x33200000,0x05950001,0x04d54c40,0x984c8800,0x00000002,
    0x00000000,0x00000000,0xd8000000,0x00004ebe,0x70000000,0xfa8009ff,
    0x0000004f,0x3ffb6600,0x002dffff,0x3fe00000,0xfff50007,0x7ffdc005,
    0xffffffff,0x001fffff,0xfffffff7,0xffffffff,0x7fd4003f,0x5400002f,
    0x20002fff,0xfff707ff,0xdffb0003,0x20027fdc,0xfff74ffa,0xffffffff,
    0xf03fffff,0xfffb80ff,0xffffffff,0x0dff700e,0xf84ff980,0xffb0007f,
    0x7fdc00bf,0xffffffff,0x21ffffff,0xfffb82fc,0xffffffff,0x001fffff,
    0x0017fff6,0x0bfffb00,0xd03ffc00,0xfa800dff,0x13fee0ff,0x2e9ff500,
    0xffffffff,0xffffffff,0xb107ff81,0x5357bfff,0x03dffffb,0x4009fff7,
    0x7ff84ff9,0xfeff8800,0xdff7000f,0x99999999,0x64199999,0xceffb82f,
    0xcccccccc,0x1000cccc,0x001ffdff,0x3fbfe200,0xfff0000f,0x01fffcc0,
    0x5c3fff88,0x7d4004ff,0x99dff74f,0x99999999,0xfff01999,0x00ffff60,
    0xb81ffff3,0x3001ffff,0x0fff09ff,0xff3ff700,0x13fee007,0x20ff6000,
    0x00004ffb,0x7fcffdc0,0xff700003,0x20007ff3,0x7fdc07ff,0x5ffc800f,
    0x4004ffb8,0x9ff74ffa,0x3ffc0000,0x80077fd4,0x7dc5fff9,0x9800efff,
    0x07ff84ff,0xffd5fe80,0x013fee00,0x2e0ff600,0x000004ff,0x07feaff4,
    0x3abfd000,0xfff0007f,0x80bffd00,0xfb80fff9,0x7fd4004f,0x0009ff74,
    0x7f43ffc0,0x7fd4002f,0x3fffee1f,0x4ff9804f,0x4c007ff8,0x05ff73ff,
    0x0009ff70,0xff709fd0,0x4c000009,0x05ff73ff,0x73ff9800,0xff0005ff,
    0x5fff300f,0xb817ff40,0x7d4004ff,0x009ff74f,0x2e3ffc00,0xf90005ff,
    0x7e7fdc9f,0x7fcc01ff,0x4007ff84,0xbff31ffd,0x009ff700,0xf709fd00,
    0x4000009f,0xbff31ffd,0x1ffd8000,0xf000bff3,0x3fee00ff,0x05ffc80f,
    0x50013fee,0x13fee9ff,0x47ff8000,0x30001ffd,0x57fdcfff,0x2600effb,
    0x07ff84ff,0xfd1bfe20,0x4ffb801f,0x85ff8000,0x00004ffb,0xfe8dff10,
    0xff10000f,0x000ffe8d,0xfd003ffc,0x0fff98bf,0x0013fee0,0x3fee9ff5,
    0x3fe00004,0x0007ffc7,0xf71fff88,0x813ffa5f,0x7ff84ff9,0x70ffee00,
    0xffb809ff,0x6ff80004,0x0004ffb8,0xb87ff700,0xf70004ff,0x04ffb87f,
    0x3003ffc0,0x7ff45fff,0x027fdc02,0x7dd3fea0,0x3e00004f,0x01ffe27f,
    0x2e5ffd00,0x5fff32ff,0x3e13fe60,0x3ffa007f,0x203ffc40,0x9999dffb,
    0x99999999,0x7dc37fc0,0x999999df,0x00999999,0x7c40ffe8,0xffd0007f,
    0x007ff881,0x2e003ffc,0x09ff76ff,0x8009ff70,0xbff74ffa,0x33333333,
    0x3e013333,0x01bfe67f,0x2e7ffb00,0x3bfee2ff,0xf84ff980,0xbff3007f,
    0xb80bff60,0xffffffff,0x2fffffff,0x3ee1ffe2,0xffffffff,0x02ffffff,
    0xfd82ffcc,0x7fcc002f,0x005ffb05,0x74003ffc,0x00effcff,0x4004ffb8,
    0xfff74ffa,0xffffffff,0x3e05ffff,0x017fea7f,0x2e9ff900,0x27ff42ff,
    0x7fc27fcc,0x05ff9007,0xfb817fea,0xffffffff,0x22ffffff,0xffb87ff9,
    0xffffffff,0x402fffff,0xff502ffc,0x2ffc800b,0x400bff50,0xf98007ff,
    0x7001ffff,0xfa8009ff,0xfffff74f,0xffffffff,0x9ffe05ff,0x40006ff9,
    0x5ff73ffc,0x4c2fff98,0x07ff84ff,0xff80fff0,0x5bff700f,0x55555555,
    0x7fcc1555,0x56ffdc0f,0xaaaaaaaa,0x7fc00aaa,0x007ffc07,0xff80fff0,
    0x0fff000f,0x13fff200,0x004ffb80,0xffba7fd4,0xaaaaaaad,0xf00aaaaa,
    0x007ff8ff,0xfb97ff40,0x0effb82f,0x3fe13fe6,0xaeffa807,0xfdaaaaaa,
    0x09ff704f,0x0fffa800,0x00027fdc,0x2abbfea0,0xffdaaaaa,0x5dff5004,
    0xfb555555,0x1ffe009f,0x007ff800,0x20027fd4,0x9ff74ffb,0x3ffc0000,
    0x80003ffa,0x5ff71fff,0xf993ffa0,0x807ff84f,0xfffffffd,0x07ffffff,
    0x80009ff7,0x7dc0fffa,0x6c00004f,0xffffffff,0x007fffff,0xfffffffb,
    0x0fffffff,0x8001ffe0,0x7d4007ff,0x7fe4005f,0x0009ff73,0x3f23ffc0,
    0xff10001f,0x9817fdcf,0x9ff32fff,0xf880fff0,0xffffffff,0x82ffffff,
    0x40004ffb,0x7dc0fffa,0x2200004f,0xffffffff,0x2fffffff,0x7ffffc40,
    0xffffffff,0x7ff802ff,0x01ffe000,0x800dff30,0x9ff73ffd,0x3ffc0000,
    0x4001bfea,0x3fee4ffd,0x23fff202,0x7ff84ff9,0x801ffdc0,0xffb86ffb,
    0x7fd40004,0x027fdc0f,0x07ff7000,0x701bfee0,0x3ee007ff,0x07ff806f,
    0x001ffe00,0x44003ffe,0x9ff71fff,0x3ffc0000,0x000bffe2,0x7dc3fff3,
    0x67ff402f,0x7ff84ff9,0x8007ff40,0x7dc1fff8,0x7d40004f,0x27fdc0ff,
    0x1ffd0000,0x07ffe200,0x1000ffe8,0xff803fff,0x1ffe0007,0x01bff600,
    0xff73ffdc,0x7fc00009,0x01fffb87,0xb8bffd10,0x7fcc02ff,0xff84ffcf,
    0x01bfe607,0xfb89ff90,0x5440004f,0x27fdc0aa,0x6ff98000,0x827fe400,
    0x64006ff9,0x3ffc04ff,0x00fff000,0x80bfff30,0x3ee3fffb,0x3e00004f,
    0x7fffb07f,0x0efffa80,0x64017fdc,0xf84fffff,0x0fff207f,0xb8fff300,
    0x000004ff,0x00027fdc,0x4003ffc8,0xff907ff9,0x7ff98007,0x0003ffc0,
    0x32000fff,0xbacdffff,0x5c6fffec,0x200004ff,0xffb107ff,0xd95359df,
    0xf703dfff,0x3ffa005f,0x07ff84ff,0x20003ffe,0x3fee3ffe,0xeeeeeeef,
    0x04eeeeee,0xdddfff70,0xdddddddd,0x0fff89dd,0x83ffe800,0xe8000fff,
    0x1ffe03ff,0x007ff800,0x3fffff20,0x85ffffff,0xeeeefffb,0xeeeeeeee,
    0x407ff84e,0xfffffffc,0x700dffff,0x3e6005ff,0x7ff84fff,0x000bff50,
    0xffb9bfee,0xffffffff,0x05ffffff,0xffffff70,0xffffffff,0x2ffd4bff,
    0x46ffb800,0x70005ffa,0x3ffc0dff,0x00fff000,0xffffd980,0xf702dfff,
    0xffffffff,0xbfffffff,0x9100fff0,0x9fffffff,0x02ffb803,0x213fff20,
    0x5ffb07ff,0x3ffe2000,0xffffff71,0xffffffff,0x3ee00bff,0xffffffff,
    0x5fffffff,0x4000bff6,0x3f61fff8,0xff10002f,0x01ffe03f,0x0007ff80,
    0x13553310,0xfffffb80,0xffffffff,0x7ff85fff,0x0cd4c400,0x005ff700,
    0x0004ffe8,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x98800000,0x00009aaa,
    0x20001333,0x26000aa9,0x2620001a,0x12200aaa,0x2a20aa60,0x88266202,
    0x4cc40019,0x9aa88000,0x19988000,0x33310000,0x00998800,0x00ccc400,
    0x33104cc4,0x3f6a0000,0x1cffffff,0x03ffdc00,0x3ffffa20,0x01ff8803,
    0xffffc980,0x3a21dfff,0x427ec04f,0x3fee07fa,0x4007ff23,0x2006fff9,
    0xcfffffeb,0x3ffe2000,0xffe80003,0x3ffe6003,0x7ff40006,0x22ffb804,
    0x7ff81ffc,0x7ffff440,0x5fffffff,0x01ffec00,0xffd9ffd0,0x005fc807,
    0x7ffffec4,0x8cffffff,0x3ff806fe,0x3ee05fc8,0x007ff23f,0x17ffbfa2,
    0x3fffff20,0x4c006fff,0x540006ff,0x3a2005ff,0x0004ffef,0x2e00bff5,
    0x07ff22ff,0xff981ffe,0xdb9abdff,0x000effff,0x7dc01ffa,0x403fee0f,
    0x22001ff8,0x9abdfffe,0xfffffdb9,0x0ffc400e,0xff7027f4,0x400ffe47,
    0x3ffb9ffd,0x42fbfee0,0x4004ffea,0x20002ffb,0x36000efe,0x03ffb9ff,
    0x000ffe80,0x7fe45ff7,0xf107ff81,0xfa803fff,0x3e2006ff,0x84fe803f,
    0x0bf903ff,0x02fffe80,0x00ffffd4,0x2ff83fd4,0x7dc00000,0x207ff64f,
    0xf980fff8,0x6fc8006f,0x03ff5000,0xfd27fdc0,0x7fd4003f,0xf8000001,
    0x1bffb07f,0x0fffea00,0xf8009880,0x884fe83f,0x3f2000ff,0xff7000ef,
    0x0df7009f,0x00001ff3,0x4c419980,0x04ffa809,0x4c001bfa,0x01310001,
    0x4c419980,0x02620009,0x7fc00000,0x01fff987,0x007ffe40,0x0bfe2000,
    0x13f217f6,0x01fff980,0x1fffff50,0xfa84fd80,0x00000007,0x40bfee00,
    0x00005ff8,0x00000000,0x00000000,0x321ffe00,0xfb0004ff,0x7f6cc07f,
    0x3fe01cef,0x7c44fe82,0x3ff2000f,0x97ff5005,0x7775c9ff,0xeeeeeffe,
    0x302eeffe,0x039dffdb,0x3bffb660,0x05ff701c,0x5c007fee,0x0cdeffec,
    0xeffecb80,0xecb800cd,0x800cdeff,0x1ceffed9,0xdffd9700,0x0fff019b,
    0x20001fff,0xfd886ffb,0x3fffffff,0x7fd07fd0,0x74004fd8,0xff9801ff,
    0x7e4fff33,0xffffffff,0x3fffffff,0x7ffffec4,0x36203fff,0xffffffff,
    0x881ffc83,0xfe9806ff,0xffffffff,0xffffd302,0x205fffff,0xffffffe9,
    0xfb102fff,0x7fffffff,0x7ffff4c0,0x7c2fffff,0x03ffcc7f,0x81fff300,
    0xcaabeffe,0x6fc85fff,0xff30ffcc,0x3ffc4001,0x3e27fc40,0xb99950ff,
    0xf99999ff,0xfe8599bf,0xffcaabef,0x7dffd05f,0x8bfff955,0xffb81ffc,
    0x77ffcc02,0x7ffebaac,0xacefff98,0x987ffeba,0xbaacefff,0xffd07ffe,
    0xfff9557d,0x9dfff30b,0x8fffd755,0x37fd47ff,0x3fff1000,0x4c06ffdc,
    0x7fc42ffe,0x6c4ffcae,0x7fcc004f,0x42ff4406,0xdf701ffe,0x2e01ff30,
    0xfe980dff,0x06ffdc2f,0xf917ff4c,0x06ff883f,0x3a03ffc8,0x1ffe42ff,
    0xfc85ffd0,0x0bffa03f,0xd301bff7,0x3ffc85ff,0xff8bffa0,0x0027fdc7,
    0x7c4bffa0,0x3fe600ff,0xfffffa86,0x003fe60d,0xe80bff50,0x05ffb06f,
    0x1fee13f6,0x3007ffc4,0x7ffc4dff,0xc9bfe600,0x27fcc1ff,0x901bfe20,
    0x37fc49ff,0xf893ff20,0x27fe406f,0x4c01fff1,0x1bfe26ff,0x7fc9ff90,
    0x0027fe47,0x7d4bff60,0x1ffd803f,0xd82ccb88,0x7009884f,0x77ec09ff,
    0x207ff900,0x05fc82ff,0xfb007ff5,0x00ffea3f,0x7fe47ff6,0x007ffc41,
    0xff3006a6,0x4c01a989,0x00d4c4ff,0xffa93fe6,0x21ffd803,0x7fcc01a9,
    0xff71ffe4,0xffe80009,0x7003ff91,0xf30005ff,0x7fff441f,0x82ffd42f,
    0x3f600ffc,0x81ff883f,0x3ff903fe,0x325ff700,0xffb801ff,0xfb03ff92,
    0x980003ff,0x98004ffc,0x98004ffc,0x3ff24ffc,0x02ffb801,0xf27fe4c0,
    0x06ffa8ff,0xd87ffc00,0xffa800ff,0x24fd8004,0xfffdffe8,0x2e1bfe62,
    0x7ff401ff,0xff07fa82,0x003ff605,0x7fed3fea,0x94ffa800,0xffd103ff,
    0xb953007f,0x09fffffd,0x7ff6e54c,0x2a604fff,0xfffffedc,0x2003ff64,
    0x95304ffa,0x9fffffdb,0x3fe63ffc,0x3fe20007,0x4c01ffa7,0x7cc005ff,
    0x447fee0f,0x1ffe26fc,0xff005ff5,0x3f732a3f,0xffdccccf,0xffd2cccc,
    0x757fe600,0xbff3007f,0xfd807ff2,0xfea80dff,0xfdffffff,0xfffea84f,
    0x4ffdffff,0xfffffea8,0x3a4ffdff,0xbff3007f,0xfffffea8,0x3e4ffdff,
    0x00fff87f,0x74bff500,0xff9800ff,0x21ff4004,0x17fc44fe,0x3fe63fff,
    0x27ff9803,0xfffffffc,0xffffffff,0x001ffd3f,0x3ffa9ff3,0x94ff9800,
    0xffa803ff,0x7fffdc5f,0x9ff31bce,0xceffffb8,0xb89ff31b,0x1bceffff,
    0x7ff49ff3,0x24ff9800,0xbceffffb,0x7fc9ff31,0x405ffc87,0x647ffd00,
    0xffa801ff,0x03fea003,0x47fd05ff,0x3ff9dffb,0x549ffb00,0xcccdffcc,
    0xccccefec,0x5003ff92,0x07ff27ff,0x7e4ffea0,0xffe9801f,0x017fff30,
    0xff993fea,0x9ff500bf,0x805fffcc,0x3ff24ffa,0x33ffa801,0x2a017fff,
    0x21ffe4ff,0x3e01fff9,0x83bfee1d,0xfc802ffb,0x0ffa002f,0x9fd03ff1,
    0x04fffff8,0x103fff50,0x07fd01ff,0x64017fdc,0x05ff72ff,0x3f25ff90,
    0x7ff7001f,0xf700fff2,0x01ffe49f,0xffc93fee,0x727fdc03,0xff9005ff,
    0x700fff25,0x83ffc9ff,0xfa80effc,0x1fffadff,0x22037fcc,0xf5000fff,
    0xd05ff10f,0x5fffb89f,0x09ffd100,0x3fe21fea,0x01bfe601,0x3e61fff1,
    0x7ffc406f,0x0283ff90,0x3ff69ff5,0xb27fec01,0xffd803ff,0xb007ff64,
    0x37fcc9ff,0x6c3ffe20,0x7fec01ff,0x7441ffe4,0xfd982fff,0xfb04ffff,
    0x27fec07f,0x3e07fd00,0x442ff82f,0x5c02ffff,0x3f206fff,0x400ff985,
    0x3f603ffd,0x01ffec4f,0x7fe49ffb,0xfb07ff51,0x813ff25f,0x3f25fffc,
    0x3fff204f,0xc813ff25,0x7fec5fff,0xc93ff603,0x3ff204ff,0x881ffe5f,
    0x9acefffe,0x1fffffcb,0x23bfff10,0x005ffe98,0x5fd81fea,0x3f60ffcc,
    0x9aceffff,0x0efffeca,0x3ee13f60,0xdfff8806,0x0bffd311,0x223bfff1,
    0x7e45ffe9,0x15fff11f,0x2a1dff91,0x9510bfff,0x7d4bffff,0xf9510bff,
    0x7fd4bfff,0xff9510bf,0xfff88bff,0xbffd311d,0x10bfffa8,0x4bffff95,
    0x7ec407ff,0xffffffff,0x80cfffff,0xffffffe9,0x7f4005ff,0x277fe603,
    0x77ec4ffb,0xffffffb8,0x804fffff,0x05fc82ff,0xfffffd30,0x74c0bfff,
    0xffffffff,0x261ffc85,0xffffffff,0x77fffec1,0x7fe9efff,0x7f7fffec,
    0x47fe9eff,0xffeffffd,0x987fe9ef,0xfffffffe,0xffffb05f,0xfd3dfffd,
    0x9803ffcf,0xfffffffc,0x3fffe98c,0xfffffc88,0x37dc003d,0x7ffffdc0,
    0x887fea0d,0xffffffec,0x0ff8801c,0x22003fe8,0x3dfffffc,0xffffc880,
    0x3ff903df,0xeffffd98,0xfffff701,0x217fdc7f,0x3ffffffb,0xff70bfee,
    0x7dc7ffff,0xfffc882f,0x7dc03dff,0x2e3fffff,0x00fff2ff,0x20135330,
    0x54403fea,0x0bb60001,0x81ef64c0,0x0cd4c01c,0x540aa200,0x3510000a,
    0x00d44000,0x00133000,0x400026a6,0x300009a9,0x88000135,0x9a98001a,
    0x00000000,0x00000b80,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x01331000,
    0x00066cc0,0x26660000,0x33100000,0x09988003,0x88266200,0x26620019,
    0x026a2000,0x400d5400,0xa88001a8,0x01a8800a,0x80035500,0x00001aa9,
    0x3221dff7,0x3ffe2005,0xf77d5002,0x7edcc001,0xfb800cef,0xfd00007f,
    0x7fcc009f,0x3fee006f,0x2007ff22,0xc806fff9,0x003fffff,0x26007fd4,
    0xfd8003ff,0x03ff9805,0x000ffa80,0x3dffffd3,0x260dff00,0x0effcfff,
    0x009ff900,0x2007916c,0xfffffffc,0x3ffd803f,0x2ffd4000,0xffdfd100,
    0x8bfee009,0x7c401ffc,0x2a04ffef,0x0ffebcff,0x805ff100,0x4003fffa,
    0x7d400efb,0x7c4003ff,0xfff5002f,0x803fffff,0x3fea06ff,0x3e2002ef,
    0x916c006f,0x7fff7007,0x05fffb55,0x8000dfd0,0x36000efe,0x03ffb9ff,
    0x3f22ffb8,0x4ffec01f,0x5fb02ffb,0xfb003ff8,0x7fff4409,0x3fe6003f,
    0x3fffa201,0x27ec003f,0x12fff880,0xff80dff9,0xffffd986,0x3fee000f,
    0x65fd4000,0x6ffd400f,0x807ffa80,0x50003ff8,0x7dc003ff,0x007ffa4f,
    0x9ff90000,0x9800fff4,0xefb801ff,0x3633ea00,0x13fa003f,0x7fb19f50,
    0x0077dc00,0xfe84ffb8,0x71bfe00f,0x9ff13bff,0x0004c400,0xf801cda8,
    0x3ffa00ff,0x00098801,0x98001310,0x004cc419,0x06660000,0xe9801331,
    0xff9803ff,0x7fb04401,0x201bf200,0x400ff608,0x32001ff9,0x1ffc81ff,
    0x3911bfe0,0x0001ffa8,0xf8800000,0x055cc04f,0x00000000,0x00000000,
    0x7dc00000,0x3fe801ef,0x803fd800,0xd8000ff9,0x07fd003f,0xe83ffb80,
    0x437fc07f,0xfe9ccca8,0x4405ed86,0xfd9703ee,0xf5019bdf,0x9300005f,
    0x0039dffd,0x33bffb26,0xffd93001,0x3260039d,0xb01ceffe,0x3ee880bd,
    0x07fd5110,0xd80037e4,0x1ffc403f,0x803fd800,0xf98006fc,0x13fea0ff,
    0xffb8dff0,0x4fffffff,0x3e6037fc,0x7fff4c4f,0x42ffffff,0x40001ffb,
    0xfffffffc,0x7ffe403f,0x403fffff,0xfffffffc,0x7ffe403f,0xf83fffff,
    0x27fcc06f,0xfa83fdc0,0x7fb0000f,0x0005fd80,0xff500ff6,0x3ff60001,
    0x803fff76,0x3fff66ff,0xffffecbd,0xf301bfe1,0x77ffcc9f,0x7ffebaac,
    0x0000ffe4,0x9557fffb,0x3f609fff,0xffcaabff,0x7fffb04f,0x09fff955,
    0x2aaffff6,0x7fc4fffc,0x8a7fcc06,0x43fe40dd,0x20002ff8,0x3fea03fd,
    0x0ff60000,0x0002ff88,0x3fffffe2,0x56ff800e,0xff703dff,0x2037fc7f,
    0x3ff24ff9,0xc8bffa03,0xf50001ff,0xffd101bf,0x80dffa83,0x7d41ffe8,
    0xffe880df,0x406ffd41,0x3fe1ffe8,0xd27fcc06,0x7ff733bf,0x8000bfb0,
    0x5ff103fd,0x03fd8000,0x200017f6,0x005ffffa,0x07ff5bfe,0x7fcbff70,
    0x8a7fcc06,0x7fe406ff,0x000bfee4,0xf3007ff4,0x00ffe8bf,0xffd17fe6,
    0x22ffcc01,0x3e600ffe,0x301bfe5f,0x7ffcc9ff,0xefb86fff,0x1fec0000,
    0x80004fe8,0x1df703fd,0xfffb8000,0x3fe002ff,0xe804ffae,0x301bfe7f,
    0x00d4c9ff,0xffa93fe6,0xaa7fcc03,0xffe804ff,0xd009ff50,0x13fea1ff,
    0x7d43ffa0,0x0ffe804f,0xff980dff,0x82cdb984,0x2a201ff9,0x5c0d5402,
    0x0026606f,0x3fe206aa,0x440aa201,0xfffefffd,0xf7dff000,0x1ff9005f,
    0xff301bfe,0xffc98009,0xb01bfe24,0x0bfee5ff,0x7dc7ff20,0x1ffc802f,
    0xf9005ff7,0x00bfee3f,0x37fc7ff2,0x0013fe60,0x3fa027f4,0x3ff30005,
    0xdffffda8,0x09fd0000,0xfe885fe8,0x6ffe89ef,0x3bfe166c,0xfb801ffc,
    0x980dff2f,0xb95304ff,0x89fffffd,0xff103ffc,0x3ffff21f,0xffffffff,
    0xffff92ff,0xffffffff,0x3fff25ff,0xffffffff,0xfff92fff,0xffffffff,
    0x1bfe5fff,0x0009ff30,0xffd80df9,0x3fe88005,0x7f677fcc,0x6fc8004f,
    0x642ffec0,0x7ffc46ff,0xff8dff34,0xa800ffde,0x80dff3ff,0x7f544ff9,
    0xfdffffff,0x6fffc44f,0x47fff931,0xfffffffd,0x3fffffff,0xfffffffb,
    0x7fffffff,0x3ffffff6,0xffffffff,0xffffffb3,0xffffffff,0xf301bfe7,
    0xff98009f,0x17fff200,0x3617f600,0x007fe45f,0x6401ff30,0x7fc45fff,
    0xbfffa80f,0x77fc3ffb,0xfa800ffd,0x980dff3f,0x3ffee4ff,0xff31bcef,
    0xffffd309,0xfd89ffff,0xaaaaaabf,0xfb1aaaaa,0x5555557f,0x36355555,
    0xaaaaabff,0xb1aaaaaa,0x555557ff,0x23555555,0x7fcc06ff,0x0ffe2004,
    0x05fdffa8,0x4c07fd40,0x003fd409,0x7d407fd1,0x7fd45fdf,0x3fffee05,
    0x677fc0ff,0xffb801ff,0xfa80dff2,0x17fff34f,0xc813fea0,0x82efffff,
    0x90002ffc,0x320005ff,0xf90002ff,0x3fe0005f,0x027fd406,0x7cc0bfb0,
    0x2005fbaf,0x74002ff8,0x17f6004f,0x5fbaff98,0x3601ffe4,0xff84ffff,
    0xd802ffbe,0x80ffd1ff,0x7ff94ffb,0x404ffb80,0x2a009ff8,0x099803ff,
    0x2600ffea,0x00ffea09,0x3ffa8266,0x3fa09980,0x027fdc07,0xf100ffa8,
    0x8017ee7f,0x362004fd,0xff5001ff,0x5cffe201,0x037fdc5f,0x7c0ffff4,
    0x406ff9ef,0x3ffa7ff9,0x6d3ff600,0x7fec01ff,0x0effd404,0x401fff30,
    0xff31fff8,0x7ffc401f,0x401fff31,0xff31fff8,0x7ffc401f,0x6c01ffd1,
    0xff8804ff,0x5c9fd102,0x1df7005f,0x07bfe600,0x8817fc40,0x317ee4fe,
    0x74403fff,0x7fc0efff,0x6c07ffb6,0x13ff22ff,0xfca7ffe4,0x3fff204f,
    0x7fe4c405,0x813ff200,0x7fe46ffd,0x91bff604,0x7fec09ff,0xb027fe46,
    0x27fe4dff,0x804fffc8,0x3fee04fe,0x1cefeccc,0x4007fe60,0x2000dffa,
    0x3fee04fe,0x1cefeccc,0x74417ffa,0x20efffff,0x9fff36ff,0x22fff4c3,
    0xa89cfff9,0xf54ffffd,0x32a217ff,0x3005ffff,0x7fc405ff,0xfda889ef,
    0x7ffc41ff,0xffda889e,0x77ffc41f,0xfffda889,0x4f7ffc41,0x1fffda88,
    0x2273ffe6,0x04ffffda,0x3ee037dc,0xffffffff,0x400ffa02,0x5c004ffa,
    0x7ffdc06f,0x22ffffff,0xa9adfff9,0xffbefffc,0x44dff0ef,0xfffffffe,
    0xfffd80df,0xff8effff,0x3bffff64,0x7fe9efff,0xdffdbb10,0xffffd300,
    0x205fffff,0xffffffe9,0xfd302fff,0xffffffff,0x3fffa605,0x82ffffff,
    0xfffffffd,0x2604ff8e,0xf70001ff,0x006fc80b,0x5555bff7,0x07fe6015,
    0xa82fdc00,0xffffffff,0x4fffea4f,0x7f6446ff,0x5c03efff,0xf0dffffe,
    0xffffb89f,0x0bfee3ff,0x07bfffe2,0xfffffc80,0xffc800cf,0x800cffff,
    0xcffffffc,0xffffc800,0x3ae00cff,0xff0dffff,0x00ffa209,0x2a05fb80,
    0xff8800ff,0x1fffffff,0x0003fe88,0xfd8817ee,0xa82dffff,0x881bfe5f,
    0x5440009a,0x09a98001,0x01333000,0x00d4c400,0x001a9880,0x00035310,
    0x10006a62,0xbd700035,0x02a98000,0x54400bb6,0xaaaaaaaa,0x0005eb80,
    0xa880154c,0x00001801,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x4c400000,0x51000099,0x22099885,
    0x00040019,0x004d54c0,0x00000000,0x00800000,0x2aa66000,0x4c400001,
    0x000009aa,0x26200001,0x000009aa,0x00013531,0x0009ffd0,0x5ff917f2,
    0x2600ffec,0x00bdfffd,0x3ffffaa0,0x5c0001ef,0x269db4ff,0x001befec,
    0x217bfd95,0xffd703ed,0x880017bf,0xffffffeb,0xd98000de,0xdffffffe,
    0x7ee44002,0x44003eff,0xffffffeb,0xed88002e,0x1defffff,0x3e20ffd0,
    0xfe8000ff,0xfb17fe42,0x7ffe403f,0x800effff,0xfffffffc,0x2e0003ff,
    0xf3bfd4ff,0x0bffffff,0x7fffff44,0x444ff8ef,0xfffffffe,0xfff7000e,
    0xffffffff,0x7fdc005f,0xffffffff,0xfe9800ef,0x0effffff,0xeffffb80,
    0x2fffffcc,0xfffff300,0x05ffffff,0x7fcc0ffd,0x07fc4004,0xffd8bff2,
    0x37fff701,0x403fff95,0xb31cfffb,0x20003fff,0xfdfd4ffb,0xffd5359f,
    0x2b7ff607,0x4ffefea9,0x5ce7fff4,0x2200effe,0x9bcefffd,0x5fffeca9,
    0x6fffec40,0xfffda9ab,0x3fe601ef,0xfffc9bdf,0x37ff6205,0xffdb880a,
    0x77ffdc04,0xffeba9ab,0x203ff44f,0x2a000ffa,0x2200006f,0xffb80eff,
    0x03fff105,0x40017fee,0xfffd4ffb,0x83ffb107,0xffb04ffc,0x82ffe49f,
    0x3f204ffb,0xffb804ff,0x3fff602f,0x7fffcc03,0x107ffb00,0x3fa05ffd,
    0x3fea001e,0x00fffe05,0x4c43fff5,0x00099801,0x800013f6,0x3f603ffc,
    0x06ffa80f,0x0003ffe2,0x7ff53fee,0x89bfe605,0x7ffc06ff,0x4407ffa4,
    0xfff507ff,0x37fd4003,0x000effa8,0xf30bfff3,0x2ffd40bf,0x880037e4,
    0x6ff983fe,0x007ff700,0x0ffc0000,0x1fff0000,0x6427fd40,0x676403ff,
    0x4ffb8001,0xfd803ffd,0x700ffe67,0x1bfe29ff,0xff03ffb0,0xffd0007f,
    0x005ffd03,0x6c1fffa8,0x26ec00ff,0x774c3fea,0x981cceee,0x17fdc0ff,
    0x206ff880,0x774405ed,0xed8ff303,0x89f74405,0x6ff805ff,0x0003ffc8,
    0xea7fdc00,0x1ffb807f,0xf9803ff7,0x3600444f,0x37fcc0ff,0x41dfa800,
    0x90005ffb,0x27fc49ff,0x4c5fb000,0xffffffff,0x7dc4fc84,0x8f2e004f,
    0x80dff5ed,0xbf704ff9,0x7cc06ff8,0x009ff54f,0xffb81ffd,0x5c000004,
    0x00dfd4ff,0x3ff25ff5,0x027fc400,0x321bfe20,0x800004ff,0x30001ffd,
    0x17fccfff,0x20ff8800,0x7fd445f9,0x3e63fcc1,0x3a0000ff,0x980dff7f,
    0x87fd04ff,0x7fcc06ff,0xb007ff74,0x6ffa83ff,0x7dc00000,0x300bfd4f,
    0x03ffa9ff,0x88013fe0,0xfff83ffe,0xff800002,0xff10000f,0x447fea3f,
    0x701cdfdb,0xb05f98df,0xe85ff07f,0x8001cfff,0x80dff7fe,0xff884ff9,
    0x26037fc0,0x05ff74ff,0xf883ffb0,0x000000ff,0x2ff53fee,0xfd9ffd40,
    0x04ff800f,0x17fff654,0x0001fff8,0x003ffc40,0x7dcbffa0,0xfffff98f,
    0x43fd83ff,0x03fd05f9,0xffe887fb,0x800bdfff,0x80dff7fe,0x6fa84ff9,
    0x7cc06ff8,0x005ff94f,0x3ba65ff9,0xeeeeefff,0xff700000,0x2e01bfa9,
    0x03ff91ff,0x7404ff88,0xf103ffff,0x300000ff,0xd8000dff,0xf5ff93ff,
    0xfffd99df,0x7cc1fe89,0x6fdb999e,0xfb109f50,0x9fffffff,0x7fdffa03,
    0x427fcc06,0x06ff84fc,0xffca7fcc,0x32ffc801,0xffffffff,0x200001ff,
    0x0ffd4ffb,0x7fdcff90,0x027fcc03,0x33fffbbe,0x4037fcc0,0xeeeeeeec,
    0x017fea6e,0x369ff900,0xfa83ffff,0x303fa1ff,0x9fffffff,0x9817e601,
    0xfffffffc,0xff7fe84f,0x84ff980d,0x06ff82fe,0xffca7fcc,0x12ffc801,
    0x99dffb99,0x20000199,0x7ffd4ffb,0xf137fc40,0x4ffd80df,0x0fffe400,
    0xfb00fff1,0xffffffff,0x00037fcc,0x7fecfff2,0x9bfea03f,0x677cc1fe,
    0x7dc02ffd,0xffb73004,0x7f41dfff,0xf980dff7,0x407fcc4f,0x7fcc06ff,
    0x9005ff74,0xdff103ff,0x7dc00000,0x01fffd4f,0xff90bff6,0x13ffe607,
    0x893fee00,0xffd807ff,0x47ffffff,0x740007ff,0x0dff92ff,0x3f61ffd0,
    0xfd12fcc4,0x001fec05,0x26fffd98,0x80dff7fe,0x2fdc4ff9,0x7cc06ff8,
    0x007ff54f,0x3fe03ffb,0x2e000006,0xffffd4ff,0x0fff6615,0x4473ffe2,
    0x004ffffb,0xfff8ffd0,0x1ffe0001,0x40001ffd,0x9ff71fff,0x2e3ff900,
    0x222fcc6f,0x05ff00ff,0x1fffa800,0x01bfeffd,0x3fd89ff3,0xf980dff0,
    0x007ff34f,0xff301ffb,0x5c000009,0xfbffd4ff,0x0bffffff,0x7fffff4c,
    0x004ffcff,0x7ec3ffb0,0x3fe0003f,0x000ffe47,0x3ee7ff88,0x2ffb803f,
    0x2fcc1ff1,0x3fcc37dc,0xb8003973,0x3effd3ff,0x27fd406f,0x37fc07fe,
    0x7c53fea0,0x06ff804f,0x20007ff7,0x3fee04dc,0x3feeffd3,0xf9003dff,
    0xff33dfff,0x2002a629,0x3fea2ffc,0x1ffe0006,0x2000dff5,0x3fea4ffd,
    0x21ffc804,0x417e63fd,0x327e43fe,0xf9800bff,0x3faffd5f,0x327fdc07,
    0x03ff40ff,0x7ff93fee,0xd82ffcc0,0x3fe0006f,0x74fff206,0x0001447f,
    0xa7fcc151,0xfd803ffb,0x027ffc1f,0x7c47ff80,0x7cc002ff,0x1bfe21ff,
    0xff31ff60,0x7d417e63,0xf81ff50f,0x7fd4007f,0x3ffaffd3,0xc93ff600,
    0x03ffa04f,0x3ee4ffd8,0x0bff202f,0x80007fe6,0xffb00ffe,0x0001ffa5,
    0x4d3fe600,0x7fc406ff,0x03fffa87,0x5c3ffd40,0xd1001fff,0x3ff90bff,
    0x5c2ffc40,0xf98000ef,0x04ffc82f,0x7f47ff60,0x3209ff97,0x0bfa4fff,
    0xf904ffc8,0x77fc49ff,0x985ff980,0x009a9cff,0x5427fe40,0x0ffd0fff,
    0xff300000,0xd01fff49,0x3ff207ff,0x7f4c01df,0xfffb07ff,0xefffa807,
    0x00fff880,0x3f607ffb,0x3fee002f,0x1dfff504,0xd37fec40,0x33ffe6ff,
    0xffffda89,0x4c01ff14,0xda89cfff,0x7e44ffff,0xfff511ef,0xfffff981,
    0xbabdffff,0x7ffc42fd,0x4fffdbcf,0x00001ffa,0xf993fe60,0xfd512dff,
    0xfffc80df,0xfdcabdff,0x100dffff,0x359dfffb,0x3dfffd95,0x85f7fec0,
    0x6404ffd9,0x220aceff,0x403ffeca,0xbceffffa,0x1efffdca,0xfffd9ffa,
    0xff8effff,0xfb00df54,0x1dffffff,0xfffb09ff,0x305fffff,0xffffffff,
    0xbfffffff,0xffffff70,0x07fe89ff,0xff980000,0x7ffffd44,0x800dffff,
    0xfffffffa,0x01efffff,0xffffff90,0x01bfffff,0xffffff90,0x3aa00bff,
    0xffedffff,0xf3001eff,0xffffffff,0x7fe81dff,0x6fffff5c,0x13f69ff0,
    0x7ffff5c0,0x2e09ff0d,0x02efffff,0xca826ffa,0x04fffffe,0x7dfffff5,
    0x0000ffd0,0x109ff300,0x5ffffffb,0xfffb5000,0x0059dfff,0xfffff910,
    0xa80039ff,0x03dffffe,0xffffda80,0x88001cff,0xfffffedc,0x20ffd03d,
    0x0aa801a8,0x000d4400,0x30013510,0x006aa200,0x55004cc4,0x10000005,
    0x9a980355,0x53300000,0x98800003,0x3000019a,0x22000015,0x40000099,
    0x00000a98,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00100001,0x4d54c400,0x00000000,
    0x00000000,0x02aa0000,0x55531000,0xeeed8003,0x2eeeeeee,0x00002200,
    0x00000000,0x3ff20000,0xefffda84,0xffb7000d,0x7100039d,0xdffffffd,
    0x09ff7005,0xfd4ffa80,0x3260000f,0x9db0cefe,0x29ff3000,0xb30003fd,
    0x9fffffff,0xffff8801,0x3fffffff,0x7ffff540,0x3ea0002e,0x800002ff,
    0xfffffff8,0xffffffff,0x3ff27fff,0x7ffffec4,0x36203fff,0xffffffff,
    0xffff7000,0xfffff99d,0x027fdc05,0x7f53fea0,0x7f440007,0xe9ffffff,
    0xff98005f,0x8800df74,0xfffffffd,0x2a03ffff,0xffffffff,0xfd303fff,
    0xbfffffff,0xfffb0001,0xf900000b,0xffffffff,0xffffffff,0x927fe4ff,
    0xfd55bfff,0x3ffa05ff,0x6ffb99bf,0x56ffec40,0x4ffdb880,0x8009ff70,
    0x0ffd4ffa,0xbeffd800,0x5ffffeba,0x14ff9800,0x3a6001ff,0xb99adfff,
    0x703ffffd,0x740003ff,0xfda9aeff,0x7c4006ff,0x0000ffef,0x333ffe20,
    0xccccdffe,0x24cccccc,0xfff34ffc,0x81fff501,0xf980effb,0x07bfa05f,
    0xb85ffa80,0x7d4004ff,0x000ffd4f,0xfc827fe4,0xf98005ff,0x400bfa4f,
    0x2200effe,0xfd81fffc,0x3ff20007,0x07ffd104,0x7fcffdc0,0x3f200003,
    0x00fff24f,0xfb9ffdc0,0x87ffa04f,0x2e01fff8,0x06fc83ff,0x1ff44022,
    0x50013fee,0x01ffa9ff,0x2037fc40,0x98005ffe,0x013f24ff,0x4007fff2,
    0x6fe86ffc,0x03bfe000,0x2006ffb8,0x00ffd5fe,0x87ffe200,0x30003ffc,
    0x07ff65ff,0x3ea3ffb8,0x45ff804f,0x764c0ffa,0x7cc1beff,0x013fee0f,
    0x3fa9ff50,0x5ff50007,0x005ffa80,0x3ea4ff98,0x1fffcc07,0x43fff100,
    0x30004ff8,0xfff009ff,0x5cffe600,0xc80002ff,0x1ffe45ff,0x90ff8800,
    0x7fe407ff,0x200ffee2,0x217ec7fd,0xffcceff9,0xf727e40f,0xffa8009f,
    0x3b22ffd4,0xff902cef,0x05ff8801,0x267bfd95,0x07fe24ff,0x8005ffb8,
    0x3fe61bdc,0x26002622,0xffe802dc,0x31ffd800,0x88000bff,0x7fe41fff,
    0x99fe0003,0xfff106ff,0x400ffe41,0x1ff11ffc,0x7e41ffcc,0xff73fcc5,
    0x4ffa8009,0xffff3ffd,0xffb09fff,0xd117fe00,0x5dffffff,0x03fd89ff,
    0x0000bffa,0xffc9ffb8,0x00004eff,0xf100fff3,0x00ffe8df,0x217fee00,
    0x00003ffc,0x9305fff4,0x2ffb8bff,0xf72ffd80,0x3604fc8d,0xfb97fc0d,
    0x7fd4004f,0x7bffffd4,0xe8bfff73,0x8bfd007f,0xebabeffd,0x7dc4ffff,
    0x03fff105,0x7ffe4000,0xefffffff,0x7fe40001,0x43ffb805,0x20004ffb,
    0xffc81fff,0xfc800003,0x3fffedff,0xf803ffa8,0xe87fb2ff,0x3fd8000f,
    0xa8009ff7,0x7fffd4ff,0x745ffd10,0x5ff800ff,0x7ec13ff2,0x83fcc4ff,
    0x00007ff9,0x4deffff4,0x00ffffba,0x03fff100,0xf881ffd0,0xff70007f,
    0x26fff20b,0x99999999,0x7ffe4001,0xff103fff,0x7ffdc01f,0x3fc43fd3,
    0xf74fa800,0xffa8009f,0x4c0bffd4,0x03ff66ff,0x3e2bff10,0x27ffc06f,
    0x7fcc17fc,0x7fc00006,0x9ffd103f,0x13ffa000,0x6c17fe60,0xfe8002ff,
    0xffff901f,0xffffffff,0xffb1003f,0x09fffddf,0x26037ff2,0x1fd3ffff,
    0x980037cc,0x009ff75f,0xffd4ffa8,0x70ffd803,0xffa805ff,0xb807ff35,
    0x84fc84ff,0x00006ffa,0x3e600d4c,0x7ec000ff,0x5ff9006f,0x0017fea0,
    0x7e40dff5,0xffffffff,0x5401ffff,0xffc82fff,0x7fffc40e,0xfcffcbac,
    0x7c43fd2f,0x29f70007,0x54004ffb,0x00ffd4ff,0x3fe25ff7,0xbafff406,
    0x7fcc01ff,0xf886fa84,0x0000007f,0x400bff60,0x000effd8,0xfff80fff,
    0x0bffa000,0xaaacffc8,0x0aaaaaaa,0x700fff40,0xffd309ff,0xf53fffff,
    0xff13f65f,0x3605cc01,0x009ff73f,0xdfd4ffa8,0x647ff500,0xfff904ff,
    0x1003ff2b,0x1ff109ff,0x0001fff0,0x3fee0000,0xeffe8803,0x5dff5000,
    0xfb555555,0x3fea009f,0xaaaaaaaf,0x00003ffd,0xfd009ff1,0x77ff640d,
    0x2e3ff71c,0x8827ec6f,0xa97fc1ff,0x7dc004ff,0x500bfd4f,0x7ff449ff,
    0xfffebace,0x200ffd5f,0x07fd04ff,0x00003ffb,0x13fea000,0x01dfff30,
    0x7ffffec0,0xffffffff,0xffffd007,0xffffffff,0x2e00007f,0xffc802ff,
    0xffc80801,0x7c41ff10,0x13f621cf,0x2ffd4ff3,0x74fff200,0x3ffa805f,
    0x7ffffec4,0xfb5ff9ef,0x09ff001f,0x3ff217f2,0x3df98002,0x3ee00266,
    0x3ffe602f,0x7ffc4005,0xffffffff,0x5402ffff,0xffffffff,0x03ffffff,
    0x03ff9000,0x0007ff70,0x87fb1bfa,0xffedfffa,0xf327e40f,0xffd800df,
    0xf700dfd3,0x3fb2a03f,0x2e9ff13d,0x7fc401ff,0xf50ff304,0xff90009f,
    0x2017fee9,0xff301ffd,0xff70009f,0x1bfee007,0x5559ffd0,0xffb55555,
    0x3ee00007,0x1ffc803f,0xf9805751,0x20ffcc5f,0x0adfffd8,0x3fe07fd4,
    0xfff1000f,0xb003ffa3,0xf30001ff,0x00bfea9f,0x7fc09ff5,0x00fffc41,
    0x263fff10,0x3e600fff,0x7fff506f,0x03ffa000,0x80fffc40,0xf9006ff9,
    0x2600007f,0xffe805ff,0xf901ffe0,0x01df703f,0x17fcc022,0xb8037fec,
    0x0bffa7ff,0x2e66ff88,0x9ffd400a,0x7ec06ff8,0x213f604f,0xb000effc,
    0x4ffe8dff,0x105ffb10,0x20005fff,0x64006ff9,0x7ffb04ff,0x00fff200,
    0x04ffe800,0xffb17ff2,0x817fea07,0x2e002ffd,0xfff304ff,0x3fffb80b,
    0x6c07fffa,0x17fe62ff,0x360fff88,0xfff503ff,0x4437dc09,0x2201efff,
    0x7cc1fffd,0xfd512dff,0x0fff60bf,0x03ffc800,0x4c3ffcc0,0x3f2007ff,
    0x2600003f,0x3661cfff,0x7fcc0fff,0xfff931cf,0xceffc803,0x3fb2a20a,
    0x7ffe403f,0xfecbacdf,0x7fff46ff,0xbffd30af,0xb105fff0,0x9ffd0bff,
    0x3fffee23,0x203fe204,0xadfffff9,0x2ffffca9,0xffffff70,0x3ea09fff,
    0xeeeeeeff,0x7c0eeeee,0xfe8000ff,0x01ffec3f,0xddddff90,0xdddddddd,
    0xffffa805,0x01efffff,0xfffffff7,0x3aa003ff,0xffedffff,0xf9001eff,
    0xffffffff,0x9bfd0bff,0xbfffffff,0xbffff501,0x20bfffd9,0xfffffff8,
    0x7404ffaf,0xfffd102f,0xffffffff,0xfffd8805,0x3f603eff,0xffffffff,
    0x2a1fffff,0xf70005ff,0x07ffccdf,0xfffff900,0xffffffff,0xffb1007f,
    0x3009ffff,0x19fffffd,0xfffb5000,0x00039fff,0xffffffb3,0x57fa05bf,
    0x03fffffb,0x7fffffdc,0x75c405ff,0x9ff1efff,0x5404fc80,0xfffffffd,
    0x01a98003,0xfffffff0,0xffffffff,0x0017fec3,0xfb1fff88,0xffc8009f,
    0xffffffff,0x4003ffff,0x880009a8,0x200001a9,0x00000998,0x01355331,
    0x0002a200,0x0037bb95,0x20001510,0x266002a8,0x0000009a,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x1f74c000,
    0x10277440,0x00003553,0x00000000,0x00000000,0x000c4000,0x03dd5000,
    0xec806ec8,0x0000002e,0x200ffdc0,0xfffffffb,0x801deeff,0x3a002ffd,
    0x01ffe3ff,0x3620bfee,0x0cffffff,0xffffffb8,0x01deefff,0x7fffffdc,
    0xffffffff,0xffff51ff,0xffffffff,0x3fee3fff,0xffffffff,0x8002ceff,
    0x13fea7fa,0x2e9ff500,0x3fec02ff,0x201ffec0,0x800007fe,0x5c01fff8,
    0xffffffff,0x01dfffff,0x5401ffe2,0x17fe46ff,0x3ea1ffa0,0xffffffff,
    0x7fffdc2f,0xffffffff,0xfff701df,0xffffffff,0x2a3fffff,0xffffffff,
    0x1fffffff,0xfffffff7,0xffffffff,0x3ffcc007,0xa8009ff5,0x05ff74ff,
    0xfd807fd8,0x03ff403f,0x7fff4000,0x677fdc01,0xffeecccc,0x3f202fff,
    0x2ffe803f,0xf102ffcc,0xdfff989f,0xfffeb88a,0x333bfee0,0xfffedccc,
    0xeffb82ff,0xcccccccc,0xf50ccccc,0x999999df,0x21999999,0xaaaadffb,
    0xfffccaaa,0xffe8805f,0x0013fea7,0x3fee9ff5,0x403fec02,0x7f402cca,
    0x7e400007,0x7dc01fff,0xffea803f,0x1fff100f,0xe837fdc0,0x3ff700ff,
    0x3604ffe8,0x0ffee5ff,0x03fffea0,0x80009ff7,0x20005ffa,0x32004ffb,
    0x3aa01fff,0x3fea7fff,0xa7fd4004,0x7ec02ffb,0x7f400007,0x3e600007,
    0x5c01ffef,0x3f6003ff,0x13fee05f,0xf701fff8,0x11bfa05f,0xff980dff,
    0x400ffee7,0x7dc5fff9,0x7d40004f,0x3ee0005f,0x7ff4004f,0xffffc883,
    0x013fea7f,0x3ee9ff50,0x03fec02f,0x01ffa000,0x66ff4400,0x7fdc01ff,
    0x3ffe2003,0x207ffa02,0x3e204ffb,0x43ff985f,0xfe804ffa,0x007ff71f,
    0xf717ff44,0xfa80009f,0x3ee0005f,0x7fdc004f,0x5ffffcc5,0x13fea7fe,
    0x2e9ff500,0x3fec02ff,0x2017fd40,0xb00007fe,0x03ff91ff,0x4003ffb8,
    0x3ea05ffb,0x07ffc45f,0xf903ff60,0x01aa881f,0xff70ffd8,0x5ffb8007,
    0x00013fee,0x4000bff5,0x4c004ffb,0x77fdc6ff,0x7fd4ffd1,0xa7fd4004,
    0x7ec02ffb,0x01ffb807,0xdd703ff4,0x4bfea01b,0x7dc01ffc,0x7fc4003f,
    0x917fec06,0xff5007ff,0x0005ff87,0x3fee6ff8,0x37fc4003,0x80009ff7,
    0x20005ffa,0x5c004ffb,0x2175c5ff,0x13fea7fe,0x2e9ff500,0x3ff402ff,
    0x2007fec0,0xdff707fe,0xc93fe201,0x7fdc01ff,0x0fff8003,0x7c5bfe60,
    0x9bfe006f,0x40002ffa,0x3fee4ffd,0x0ffe8003,0x80009ff7,0x20005ffa,
    0x22004ffb,0xe8043ffe,0x013fea7f,0x3ee9ff50,0x03ff402f,0x3a01bfe2,
    0x0effb87f,0xff91bf60,0x03ffb803,0x401ffe80,0x2ffcaffc,0x6c7ff200,
    0x7ec0007f,0x0ffee0ef,0x5c7ff600,0x99999dff,0x09999999,0x26677fea,
    0x09999999,0x4c027fdc,0x2006fffa,0x3bfea7fe,0xcccccccc,0x74ffdccc,
    0x7fe805ff,0x00bffa20,0xdff71ffa,0x20ffdc01,0xd9901ffc,0x99999dff,
    0x017fec07,0x1bffbfe2,0x3e7ff300,0x3f60004f,0x1ffdc0ef,0xb97fe400,
    0xffffffff,0x2fffffff,0x3fffffea,0x3fffffff,0x7777ffdc,0xfffffeee,
    0x3fa001ef,0x3ffffea7,0xffffffff,0xff74ffff,0x107ff809,0x3a00bffd,
    0x03bfee7f,0xfc83ff98,0xfffff01f,0x0dffffff,0x3ba1ffe4,0xfffffeee,
    0x404eeeee,0x01ffaefe,0x01dffb00,0x90007ff7,0x3ffee7ff,0xffffffff,
    0x3ea2ffff,0xffffffff,0x7dc3ffff,0xffffffff,0x004fffff,0x3fea7fe8,
    0xffffffff,0x4fffffff,0x7d40dff7,0x5ffe887f,0x7ddffa00,0x37f400ef,
    0x9901ffc8,0x9999dffd,0x1ffec079,0x3ffffffe,0xffffffff,0x7effdc06,
    0xdff70006,0x00ffee01,0x7dcbff60,0xaaaaaadf,0x20aaaaaa,0xcccceffa,
    0x42cccccc,0xeeeefffb,0x001efffe,0xffa9ffa0,0x9999999d,0x4ffb9999,
    0xf107fff7,0xffe88fff,0x57ff4005,0x7e400fff,0x03ff900f,0x8003ffb8,
    0x55542ffe,0xacffdaaa,0x4402aaaa,0x8003ffff,0x2e00fff8,0xfe8003ff,
    0x009ff71f,0x005ffa80,0x4413fee0,0x0001effd,0x27fd4ffd,0x5d3fea00,
    0xc9adffff,0x7e47fffe,0xffe8005f,0x2604ffff,0x99999cff,0x099affc9,
    0x8003ffb8,0xf7001fff,0x7ec0005f,0xf98000ff,0x1ffdc04f,0xb87ffc00,
    0x540004ff,0x2e0005ff,0x7fec04ff,0x7fe8000e,0x50013fea,0x37fee9ff,
    0xceffffff,0x0077fc7f,0x7f7fff40,0xfff901ff,0xffffffff,0xf705ffff,
    0xff88007f,0xaaaaaa87,0xaaaacffd,0x6ffa802a,0x05ff5000,0x4003ffb8,
    0x3fee7ff8,0x7fd40004,0x3fee0005,0x06ffe804,0x3ea7fe80,0x7fd4004f,
    0xff55ff74,0x4ff71dff,0x08804ff9,0x7d477ff4,0xfffc80ef,0xffffffff,
    0xfb82ffff,0x7fe4003f,0xffffff85,0xffffffff,0x2ff9806f,0x03ff9000,
    0x4003ffb8,0x3fee5ffc,0x7fd40004,0x3fee0005,0x4fff9804,0xf53ff400,
    0xffa8009f,0x54c5ff74,0x01ffdc00,0x7fe8ffec,0x54c27fec,0xaaaaaaaa,
    0x80aabffd,0x26003ffb,0xeee82fff,0xeeffeeee,0xd804eeee,0x2a60007f,
    0x1ffdc00a,0x43fff300,0x40004ffb,0x20005ffa,0xf7004ffb,0x7f4005ff,
    0x0013fea7,0x3fee9ff5,0x6ff98002,0x3fa7ff80,0x00fffc47,0x401ffc80,
    0x36003ffb,0x7dc006ff,0xff10002f,0x20000009,0x3a003ffb,0x27fdc5ff,
    0x17fea000,0x04ffb800,0x003bffa0,0x9ff53ff4,0x74ffa800,0xf10005ff,
    0x7fe405ff,0x3ea1ffa5,0xfc8000ef,0x1ffdc01f,0x3fffea20,0x17fdc001,
    0x3ffa6100,0x26620000,0x01ffdc00,0x07fffea2,0x80009ff7,0x20005ffa,
    0x26004ffb,0xfd004fff,0x0027fd4f,0x7fdd3fea,0xfff70002,0x7ffe4c17,
    0x7ec1ffa0,0xffc8004f,0x777fdc01,0xfffeeeee,0xb8002fff,0xff3002ff,
    0x80007fff,0x7dc03ffd,0xeeeeeeef,0x81ffffff,0xeeeefffb,0xeeeeeeee,
    0x00bff54e,0x0027fdc0,0x2007fff2,0x13fea7fe,0x2e9ff500,0x3a0002ff,
    0xffedffff,0x83ff42ff,0x4001fff8,0x7dc01ffc,0xffffffff,0x001cffff,
    0x2005ff70,0x005ffff8,0x403ffd80,0xfffffffb,0x1dffffff,0xffffff70,
    0xffffffff,0x17feabff,0x04ffb800,0x806ffe80,0x13fea7fe,0x2e9ff500,
    0x5c0002ff,0xefffffff,0x2e07fe82,0x32000eff,0x7fdc01ff,0xefffffff,
    0x5c0000ce,0x36e002ff,0xfb00002c,0xfffb807f,0xdeffffff,0x7ffdc01c,
    0xffffffff,0xf55fffff,0x7dc000bf,0xff98004f,0x53ff403f,0xfa8009ff,
    0x0015534f,0x79b95100,0x203ff405,0x00004ffe,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x4c400000,0x0000ccc1,0x360de4c0,0x06aa6005,0x99988000,0x00000000,
    0x00002666,0x000ccc00,0x00000000,0x360de4c0,0x2e001005,0xc80003ff,
    0x3f6002ff,0x83ffa2ff,0x00ffd7ff,0xeffffc80,0xfc805fdc,0x3ff27fff,
    0x9ffd0002,0x00ffffc8,0x42fffe80,0xff71fff9,0x4ff9800d,0xb85fffa8,
    0xffffffff,0x900befff,0xffffffff,0x700179df,0xfb9dffff,0x983ea80b,
    0x3ffb9fff,0x2ffc8000,0x85fffb00,0x5ffe0ffe,0x7c0007fe,0xffffebbf,
    0x7fffdc02,0x00bff25f,0x907ffc40,0x8007ffff,0x6c2ffff9,0x3ffee3ff,
    0x13fe6004,0x87ffdff3,0xfffffffb,0x5fffffff,0xffffffc8,0x1fffffff,
    0x7f5dff40,0x3ea02fff,0x9fff983f,0x80003ffb,0xfd802ffc,0x0ffe82ff,
    0x03ff5ffe,0xc989d300,0xcfff800c,0x0bff2099,0x24ff9800,0x006ffffc,
    0x317fffe4,0xfffb89ff,0x9ff3001f,0x7e47ff44,0x33bfee1f,0xfedccccc,
    0x7fe44fff,0xedcccccd,0xd102ffff,0x401cc989,0xff983ffa,0x003ffb9f,
    0x402ffc80,0x0002fffd,0x00003ff4,0x1ffe2000,0x0002ffc8,0xffc87fd4,
    0x3a000fff,0x3f62ffff,0xeffffb86,0x24ff9800,0xffd13ffd,0x200ffee1,
    0x322fffd8,0x7ec402ff,0x2000007f,0xff983ffa,0xaadffb9f,0x0099aaaa,
    0xfb017fe4,0xd00003ff,0x000000ff,0x205ff880,0x80002ffc,0xf9ff9099,
    0x3fe6007f,0x02662ffd,0x13ffffee,0x9993fe60,0xfb84cc41,0x3ff6003f,
    0x400bff24,0x00001ffe,0xf307ff50,0xffff73ff,0xffffffff,0x5ff9017d,
    0x007fff60,0x003ff400,0x77ff65c0,0x3fe600cd,0x00bff204,0x2bff2000,
    0xdf9006ff,0x2e005ff7,0x01fffcff,0x80027fcc,0x2a003ffb,0x0bff26ff,
    0x301ffdc0,0x039dffdb,0x3bbffbaa,0x73fff31e,0xffffffff,0x1dffffff,
    0xfd82ffc8,0x76c001ff,0xb917fe85,0x26017bff,0xfffffffe,0x7f7642ff,
    0x7e45eeff,0x76c0002f,0x3f2bff25,0xbbff800f,0x217b62ff,0xeffbaffb,
    0x413fe600,0x7ff705ed,0x93ffc400,0x3ee005ff,0xfffd883f,0xb83fffff,
    0x1fffffff,0xff71fff1,0x5555555b,0xc8dfffb7,0x7ffec2ff,0x87fe8001,
    0xfffe9ffe,0x7cc0efff,0xebaaceff,0x7ffec7ff,0x7e46ffff,0x7f40002f,
    0x3e6bff27,0x47fcc03f,0x1ffa2ffb,0x7ff4bfee,0x413fe604,0x7ff707fe,
    0x93ffcc00,0x3f6005ff,0xbeffe80f,0x45fffcaa,0xaadffca8,0x3ee3ffe0,
    0xfff5003f,0xfb17fe47,0x3a0003ff,0xffffe87f,0x6fffdbce,0xfd01ffe4,
    0x7fdd4c5f,0x7fe42aad,0x3ff40002,0x1bfe5ff9,0x3feebf90,0x3ee1ffa2,
    0x05fff32f,0x7f413fe6,0x007ff707,0xff92ffd4,0x0dff5005,0xd301bff7,
    0x7ff505ff,0x7fddffe0,0x97ff2003,0xfffb2ffc,0x3ff40007,0x4427fff4,
    0xdff11ffe,0x984ffc80,0x3ff204ff,0x3ff40002,0x3ff25ff9,0x7dcffe00,
    0x2e1ffa2f,0x3bfee2ff,0xd04ff980,0x0ffee0ff,0x91fffc40,0x555559ff,
    0x81bffb97,0x2600fff8,0x3ffa86ff,0x3feefff0,0x9bfea003,0xfffdbffc,
    0xfd0001ff,0x40bffd0f,0x06a62ffa,0xf309ff30,0x17fe409f,0xc9ffa000,
    0x07ff32ff,0x7fdc3fea,0x3ee1ffa2,0x427ff42f,0xffd04ff9,0x440ffee0,
    0x46fffca9,0xfffffffc,0x505fffff,0xffb007ff,0xd03ffa83,0x00ffeeff,
    0x3f27ff88,0xffdeffff,0x7fe8000e,0x2602ffe8,0x64c004ff,0x4ff984ff,
    0x000bff20,0x7fe4ffd0,0x7e41bfa2,0xfe8bfee5,0x4c2ffb87,0x7fcc2fff,
    0x2e0ffd04,0xffffffff,0x1fffffff,0x7fffffe4,0x4fffffff,0xb801ffc8,
    0x1ffd42ff,0x7ff76fd8,0x937fcc00,0xd11dffff,0xfd000bff,0x401ffd0f,
    0x95305ff8,0x9fffffdb,0x6409ff30,0x740002ff,0xc8bff27f,0x22ff80ff,
    0x1ffa2ffb,0x3ee0bfee,0x13fe60ef,0xffb83ff4,0xffffffff,0xfc80cfff,
    0xaaaaaacf,0x21efffcc,0xfa800ffd,0x81ffd44f,0x07ff76fd,0xf92ffe40,
    0x7fcc1dff,0x3ff4002f,0x3e203ff4,0x7fff545f,0x4ffdffff,0x3204ff98,
    0x740002ff,0x98bff27f,0x07fd43ff,0x3ff45ff7,0xfe817fdc,0x413fe64f,
    0xdff707fe,0x57999999,0x17fe4013,0xd37fec40,0x3fe600ff,0xc81ffd45,
    0x007ff75f,0xfc8bffee,0xfffc80ef,0x21ffa000,0x7fc407fe,0x3bfffee5,
    0x09ff31bc,0x7e409ff3,0x7f40002f,0xfd0bff27,0x7dc5fd8d,0x2e1ffa2f,
    0xfff302ff,0x7413fe65,0x07ff707f,0x05ff9000,0xfe87ffc0,0x4ff9800f,
    0xfc81ffd4,0x555bff74,0xffd97555,0x02ffc8bf,0xe801bffa,0x407fe87f,
    0xfff35ff8,0x13fea017,0xfc813fe6,0x7f40002f,0xf90bff27,0x2e17fc1f,
    0x21ffa2ff,0x3f202ffb,0x04ff98ff,0x3fee0ffd,0xffc80003,0x4fff2002,
    0xfa801ffc,0x81ffd43f,0xffff74fb,0xffffffff,0xffc81bff,0x13ffe602,
    0x7f43ff40,0xcaffc407,0x7fdc03ff,0x204ff984,0x40002ffc,0x0bff27fe,
    0x1fea7ff3,0x7fe8bfee,0x7402ffb8,0x04ff9cff,0x3fee0ffd,0xffc80003,
    0x57fee002,0xfc802ffb,0x81ffd42f,0xffff73fb,0xffffffff,0x0bff203b,
    0x005fff70,0x0ffd0ffd,0xffb5ff88,0x84ffd803,0x3f204ff9,0x7f40002f,
    0x3a0bff27,0xf709fb6f,0x5c3ff45f,0x7fcc02ff,0xfd04ffcf,0x00ffee0f,
    0x00bff200,0xff33ffc8,0x0fff880d,0x9881ffd4,0x555bff70,0x32003555,
    0xffd802ff,0x43ff400f,0x7fc407fe,0x6409ff95,0xff985fff,0x00bff204,
    0x7e4ffd00,0xf9ffc82f,0x22ffb82f,0x2ffb87fe,0xfffffc80,0x2e0ffd04,
    0xc80003ff,0xff1002ff,0x01ffec3f,0xff309ffb,0x0ffee009,0x0bff2000,
    0x017ffe20,0x0ffd0ffd,0xff55ff88,0x3f2a217f,0xff985fff,0x00bff204,
    0x7e4ffd00,0xfeff982f,0x745ff707,0x02ffb87f,0x09ffffd0,0x7fdc1ffa,
    0xffc80003,0x6ffe9802,0x88efffc4,0xf305ffe9,0x4cc357ff,0x0007ff71,
    0x2005ff90,0x3a03fffa,0x407fe87f,0x3ff65ff8,0x9efffeff,0x4ff987fe,
    0x3bbbff20,0xeeeeeeee,0x3f27fe84,0x9fffd02f,0xfe8bfee0,0x002ffb87,
    0x209ffff3,0x7ff707fe,0xdff90000,0xfddddddd,0xd303ffff,0xffffffff,
    0xffffe80b,0xf71fff13,0xf900007f,0x7fe4005f,0xd0ffd01f,0x5ff880ff,
    0x7fffffdc,0xf30bfee3,0x7ffe409f,0xffffffff,0x27fe85ff,0xff702ffc,
    0x8bfee03f,0x2ffb87fe,0x13fff200,0xffb83ff4,0xffc80003,0xffffffff,
    0x2202efff,0x3dfffffc,0x4fffd880,0xff71fff1,0xff900007,0x7ff44005,
    0xe87fe80f,0x2ffc407f,0x40009a98,0x3f204ff9,0xffffffff,0xfe85ffff,
    0x4c0bff27,0x3fee07ff,0x3ee1ffa2,0x7ff4002f,0x2e0ffd04,0xc80003ff,
    0xffffffff,0x4002ceef,0x260001a8,0x003ffe20,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xa82b6a00,0x3bbbaa2e,
    0xeeeeeeee,0x1ddd12ee,0x26666666,0x99999999,0x00aa9801,0x00298000,
    0x07774400,0xffffffff,0xffffffff,0x007ffee7,0xf51bff60,0x7c4003ff,
    0x13fee1ff,0x00fffec0,0xff337fc4,0xffffffff,0xffffffff,0x80027fe4,
    0xff887ff8,0x1febdfff,0x3fffffee,0xffffffff,0x361fff13,0xaaaaaaaa,
    0x0caaaaaa,0x0007fdc0,0x33bffb6a,0x9701fe88,0x019bdffd,0x7fc1fff1,
    0xffffffff,0x23ffffff,0x54006ffe,0xffd80fff,0x0fffa006,0x3e00dff3,
    0xfa803fff,0x3fffe64f,0xffffffff,0x267fffff,0xf70007ff,0xb5df509f,
    0xfb8dffff,0xffffffff,0xf12fffff,0x8000e1ff,0x07fdc00a,0xffffd880,
    0x84feffff,0xffffffe9,0x7fc42fff,0x3333320f,0xdccccccc,0x3fe63fff,
    0xfff1003f,0x13ffa207,0x7c17ff20,0x7fcc00ff,0xffc806ff,0x33333222,
    0xccdffecc,0x7f44cccc,0xffe8002f,0x2a21ec81,0x7dc0002d,0x3933224f,
    0x7002a000,0x3fa001ff,0xffebabef,0xefff987f,0x7ffebaac,0x0000ccc8,
    0x3ee17ffa,0xffc800ff,0x17ffcc05,0x201dff50,0x7e402ffc,0x7400ffcf,
    0x3f2000ff,0x3fee002f,0x37fcc005,0x4c000000,0x007005ff,0x3ee00540,
    0xdffc800f,0x42fffb80,0x3fa03ffc,0xd800002f,0xffd00eff,0x0fff980b,
    0x80fffc80,0x2a01fff8,0x6ff404ff,0x3e202ffa,0x7fe4006f,0x3ffe2002,
    0x0fff2000,0x3a000000,0x007000ff,0x3ee00540,0x7ffcc00f,0x6fffe880,
    0xf901bfe2,0xc800009f,0x3e601fff,0x3ffa02ff,0x17ffa002,0xf100fffa,
    0x9ffc40df,0x3fea04ff,0x17fe4003,0x00bff600,0x76c0fff8,0x9bffb713,
    0x5ff90001,0x50001c00,0x00ffb801,0xfd81ffdc,0x2a61ffdc,0x027fcc01,
    0x5fff5000,0x01fff700,0x8800bff9,0x3ff23fff,0x40ffd005,0x0ffb1ffa,
    0x2000ffe4,0x54002ffc,0xff3005ff,0xfd19fd09,0x03dfffff,0x0037fcc0,
    0xb0a8000e,0xffffffff,0x27ffffff,0x5fb81ffc,0x98005ff7,0x00004ffc,
    0x4009fff3,0x7fcc5ffe,0xffb8000f,0x00fff98f,0x3203ff90,0x407fee7f,
    0xfc8007fe,0xffe8002f,0x81ffd800,0xadfffefe,0x2006fffc,0x1c001ffe,
    0x3f615000,0xffffffff,0xfb3fffff,0x50ff981f,0x32a607ff,0x4fffffed,
    0xffe88000,0x7ffcc005,0x000bffa2,0xffedffd8,0x0ffea001,0x7ff327fc,
    0x000bff10,0x90005ff9,0xff8807ff,0x17fffd06,0x802fff88,0x38005ffb,
    0x65c2a000,0xdffecccc,0xfd1ccccc,0x261ff88f,0x7ff544ff,0xffdfffff,
    0xffd80004,0xffb8000e,0x0009ff76,0x4fffff88,0x42ffc400,0x2ffc2ff9,
    0x4001ffd4,0x88002ffc,0x7fd406ff,0x409ffd03,0xfe804ffb,0x0038002f,
    0xff7002a0,0x20ffe801,0x1ffd43fe,0x79dffff7,0x0013fe63,0x003fff90,
    0x7fe7ff40,0xfa80000e,0xfd0006ff,0xd81ff70f,0x07fe40ff,0x017fe400,
    0x201ffd80,0xffd00ffd,0x027fcc03,0x4001bfe6,0x002a0003,0xfd801ff7,
    0xf70bf92f,0x2fffe65f,0x009ff500,0x017ffd40,0x3fffe600,0xf500001f,
    0x90001fff,0x86fd81ff,0x37f42ffa,0x02ffc800,0x209ff500,0x3fa05ff8,
    0x17fe200f,0x0007ff90,0x00a8000e,0x2e007fdc,0x80efabff,0x7ff91ffc,
    0x004ffb80,0x009fff30,0x13fff200,0x7ffc4000,0xf98005ff,0x20ffe22f,
    0x3fe24ff8,0x5ff90004,0x837fc000,0x3fa02ffb,0x02ffc407,0x26003ffe,
    0xa8000e19,0x007fdc00,0x07ffbfea,0xffd9ffe2,0x227fec01,0x3fa20199,
    0x7c00005f,0x3600007f,0x03fffcff,0x3ea4ff80,0x54dfd01f,0xf90002ff,
    0x7e40005f,0x407fe81f,0x7fc407fe,0x013fea05,0x01c3ffe2,0xfb801500,
    0xfffe800f,0x647ffb03,0x3ff204ff,0x03ffe25f,0x00077fec,0x001ffe00,
    0xfbb7fdc0,0x7ec001ff,0xfc81ff26,0x0003ff27,0x00017fe4,0xff989ff3,
    0x203ff404,0x3f605ff8,0xfff8801f,0x05400070,0x2003fee0,0x88adfff9,
    0x7d45ffea,0xf9510bff,0x7fc4bfff,0x1fffc80f,0x7ff80000,0xfff98000,
    0x001bff61,0x17fa1ff7,0xbfd1ffa8,0x17fe4000,0x91ffa000,0x7fe801ff,
    0x882ffc40,0xff1006ff,0xa8000e1f,0x7dc00000,0xffffffff,0xfffd80ef,
    0xe9efffef,0x03ffe27f,0x0005fff5,0x001ffe00,0x887ffd10,0x26004fff,
    0x03ff9aff,0x03ff9ffc,0x00bff200,0x7c5ff700,0x07fe805f,0xfa82ffc4,
    0x73e4004f,0xcb854000,0xcccccccc,0xf31ccccc,0xffffb73f,0xfffb807f,
    0x3fee3fff,0x3fff9802,0x3fe00000,0x7fec0007,0x05fff505,0x7fddffc0,
    0x7cefec00,0x3f20001f,0x7c40002f,0x005ff55f,0xff880ffd,0x005ff905,
    0x8000e5e8,0xfffffb0a,0xffffffff,0x260be67f,0x4d4c0009,0x7f440000,
    0x4000005f,0x2e0007ff,0x3f200fff,0xbfb000ff,0xdf700dfb,0xc8000ff7,
    0xd80002ff,0x200ffb7f,0x7fc407fe,0x003ffd05,0x00071fd4,0xffffd854,
    0xffffffff,0x000003ff,0xffb00000,0xf000000b,0x3e6000ff,0x7f4402ff,
    0xfff7005f,0xdff3009f,0xfc8000bf,0xf980002f,0xd004ffaf,0x5ff880ff,
    0x2001fff0,0x6666c5f8,0xcccccccc,0x0000dccc,0x00000000,0xdfff5000,
    0xdddddddd,0x00bddddd,0x44003ffc,0xf3004ffe,0xff1007ff,0x3fe005ff,
    0x640002ff,0xd00002ff,0x2003ffff,0x7fc407fe,0x006ff885,0x0000000c,
    0x00000000,0xff500000,0xffffffff,0xdfffffff,0x003ffc00,0x20037fec,
    0xe801fffc,0x3f6007ff,0x640000ff,0x700002ff,0x7400dfff,0x2ffc407f,
    0x0002ffc4,0x00000000,0x00000000,0xffff5000,0xffffffff,0x00dfffff,
    0x2e003ffc,0xe8001fff,0xffc806ff,0x1bfea005,0x0bff2000,0x7ffc4000,
    0x00000002,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x405ed800,0x1dd93ee8,
    0x900776c0,0x1776c4bd,0x641ddb10,0xeeeeeeee,0x0005eeee,0x802eea80,
    0xb7103ee9,0x9859bffd,0x00ceffec,0x9dffb730,0xfffb7001,0xd930039d,
    0x20039dff,0x1ceffed9,0x36e27db0,0x76c0cdff,0x6c5bfd73,0x9dfb713e,
    0xdffeb885,0x26037fc1,0x05ff74ff,0x440bffe2,0x7ffdc4ff,0xd87ffb00,
    0xffffffff,0x0006ffff,0xdff13dc4,0x303ff900,0xfffffffd,0xffff71bf,
    0xc805ffff,0xffffffff,0xffffd103,0x6407ffff,0xffffffff,0x3fff6203,
    0xe83fffff,0xffffe8cf,0x33fa1eff,0x3a6ffffa,0xfffff9cf,0xffff32ff,
    0x37fc7fff,0x7cd3fe60,0x9fff504f,0x360bfea0,0x5ffb84ff,0xccccccb8,
    0x04fffccc,0x8fffb300,0x7fc00ffd,0xacfff986,0xfffffba9,0xffebabef,
    0x7fff700f,0x05fffb55,0xb757bffd,0xffb07fff,0xfff9557f,0x2fbffa09,
    0x45fffcaa,0xadfffefe,0x3fa6fffc,0x23fffffd,0xbbeffefe,0xfffaffff,
    0xf0fffebc,0x4ff980df,0x7fe41bfe,0x20ff906f,0x3e62fff8,0xf90000ff,
    0xfd5000bf,0xffa8dfff,0x20ffea03,0xff101ffd,0x3fa60bff,0x80dffa86,
    0x7fcc7ffa,0xa8dff505,0xfe880dff,0x06ffdc1f,0xfd17ff4c,0xff8817ff,
    0x17fffd2f,0x3fffe826,0x82ffffc8,0x0dff3ffd,0x3f24ff98,0xffeff80f,
    0x2a05ff80,0x5ffd0eff,0x3bfee000,0xfff91000,0x3fe03bff,0x303ff606,
    0xffd809ff,0x0ffe600f,0x7f401fff,0x807fee1f,0x3ffa0ded,0x897fe600,
    0x3e600fff,0x813ffa6f,0xbffd4ffb,0x505ffe80,0x3e607fff,0x980dff4f,
    0x0ffea4ff,0x85ff5ff3,0x7e402ff9,0x004ffccf,0x001fff50,0x7dffffb5,
    0x81ffc801,0xa9885ff8,0x027fe400,0x9ff12ff4,0x2a0ab980,0x7d4005ff,
    0x0ffe804f,0xfb007ff5,0x807ffa3f,0x5ffd4ff9,0x102ffe80,0x3e201fff,
    0x980dff5f,0x22ffc4ff,0xc8bff7fb,0xffe800ff,0xf30006ff,0x75c403ff,
    0x002dffff,0x3ea13fe6,0xb510002f,0xffb005ff,0x80017fd4,0x02cffff8,
    0xc802ffb8,0x03ff91ff,0x3fa5ff70,0x57fe200f,0x7f400ffe,0x01ffe01f,
    0x01bfebff,0x7fd89ff3,0x47fcafec,0xff3005fe,0xf10001ff,0x7fcc05ff,
    0x0000cfff,0x0ffb0ffd,0x3ff72a60,0xffffffff,0xffffffff,0x0003ff70,
    0x7fffffd4,0xfffc80bd,0xffffffff,0x1ffb2fff,0x3a9ff500,0xaffc407f,
    0xffe807fe,0xf01bfe00,0x301bfebf,0x1ffa89ff,0x87fd4bfe,0x3a003ff8,
    0xe88006ff,0x7fcc03ff,0xfb80003f,0x013fe22f,0xffffffd5,0xffffffdd,
    0xffffffff,0x0007ff25,0xfffffb30,0xfffd89ff,0xffffffff,0x0ffd3fff,
    0x7f57fe60,0xeaffc407,0x07fe807f,0x3fe037fc,0xf980dff5,0x99ffc44f,
    0x27ff10ff,0xf7000ffb,0xd8009fff,0xff9805ff,0x20002dff,0x3fee5ff8,
    0x3fffee01,0x9ff70acd,0x55555555,0x3ff21555,0xb7100001,0x21dfffff,
    0xaaaabffd,0x1aaaaaaa,0xf3001ffd,0x101ffa9f,0x01ffabff,0xdff01ffa,
    0xdff5ff80,0xe84ffa80,0xfe8df96f,0x2600dfb5,0x01ffeeff,0x400dffb0,
    0xbeffffc9,0x0ffd8000,0x7fcc0dfd,0x5ff900af,0x0bfee000,0x7e4c0000,
    0x05ff92ff,0x007ff200,0x3ff4ffea,0x7f57fe20,0x407fe807,0xaffc06ff,
    0x7fdc07fe,0xfe8ffb84,0x7fc7fe44,0x35ffd003,0xfc801dff,0xb88000ef,
    0x01cfffff,0x3e6bfea0,0x13ff203f,0x5009ffb0,0x01ffd435,0x05313fe6,
    0xff55ffb8,0x5c133007,0xffc802ff,0xf880ffd2,0xd00ffd5f,0x06ff80ff,
    0x0ffeaffc,0x2613ff60,0x542ffbff,0x801ffcff,0x3ff24ffc,0x03ffea05,
    0x3ff6a000,0xff002eff,0x7401ff7b,0x3fe200ff,0x3ffcc06f,0xfd80dff1,
    0x807ffa2f,0xfff35ff8,0x8fffc401,0x7c406ff9,0x80ffd0ff,0x0ffd5ff8,
    0xff80ffd0,0xfcaffc06,0x9fff904f,0x03ffbfa0,0x00dffff1,0xfe81fff3,
    0x1fffa82f,0x7e4c0000,0x6404ffff,0x6c05feff,0xffd103ff,0x7ff409ff,
    0x881ffe43,0x3fee0fff,0xc8fff205,0x3ff604ff,0xb01ffec6,0x03ff49ff,
    0x3ff57fe2,0x3e03ff40,0x9affc06f,0xda89cfff,0xf904ffff,0x3ffa0dff,
    0x7ff4404f,0x20fff982,0xaaadfff8,0x0aaaaaaa,0x7ffdc400,0x7fffcc07,
    0x5fffdc02,0xd7ffd710,0xd7115bff,0xff881dff,0xfff931df,0xbdfff887,
    0x0fffca88,0x227bffe2,0x41fffda8,0x311dfff8,0x7fe8bffd,0xfeaffc40,
    0x407fe807,0x2ffc06ff,0xfffffffb,0x2609ff1d,0xff904fff,0x4ffc803f,
    0xfa97ff20,0xffffffff,0x002fffff,0x3a01f6a0,0xffb007ff,0x1dffffff,
    0x3fffff62,0xd300efff,0xffffffff,0x3fffe609,0x81efffff,0xffffffe9,
    0xfd302fff,0xbfffffff,0xf880ffd0,0xd00ffd5f,0x06ff80ff,0x3fae2ffc,
    0x9ff0dfff,0x9817ffc0,0x7fd407ff,0x9fff400f,0xfffffffa,0x2fffffff,
    0xb8018000,0x3ee004ff,0x903effff,0x07fffffd,0x3fffff20,0x7fe4c02e,
    0x400dffff,0xcffffffc,0x7ffe4400,0xffd03dff,0xfd5ff880,0x80ffd00f,
    0x2ffc06ff,0x00001a88,0x00000000,0x00000000,0x4c000000,0x2662001a,
    0x13510000,0x01533000,0x00353100,0x00006a20,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x540017fe,0x0005540a,0x54c1a980,0x02a98002,0x004d5440,0x4c004d44,
    0x351000aa,0x002eec80,0x54004d44,0x2666600a,0x99999999,0x4cccc199,
    0x99999999,0x33000199,0x36004c83,0x0002fa62,0x002ffc00,0x3fee37e4,
    0xd5007e60,0xf10ffcc1,0xfff8005f,0xfffda800,0xffd703ff,0x3fa209ff,
    0x7cc04fff,0x1ffec03f,0xfffffc80,0x980ff403,0xffffffff,0x27ffffff,
    0xfffffff9,0x7fffffff,0x7fcd7fee,0x2e1fff17,0xefda8cff,0x32ffd89c,
    0x00019fff,0x4005ff80,0x3fe22ff9,0x407ffe63,0x37e46ffa,0x5c003fee,
    0x7c403fff,0x87fdbbdf,0xffecdffa,0x76fffc43,0xfff505ff,0x03ffd807,
    0xfebcffa8,0x403fa00f,0xfffffff9,0x7fffffff,0x3fffffe6,0xffffffff,
    0x7cd7fee7,0x21fff17f,0xffffffe8,0x25ffffff,0x2dfffff8,0x0bff0000,
    0x3a2ff440,0x1fffc86f,0x2217ffd4,0x02ff44ff,0x407fffe8,0x42fe85fc,
    0x237e44fe,0x3fea1efc,0x3ffffa22,0x00555403,0x8ffe17ec,0x322fb2db,
    0x2aaaaa26,0xdaaaaaaa,0x2aaaa27f,0xaaaaaaaa,0x57fee2aa,0xfff17ff9,
    0x7ffff441,0x05ffffdd,0x7dffffb5,0x2ffc0001,0x5c3ff900,0xfff901ff,
    0x40bffea3,0x3fea2ffb,0x7d7fd403,0x6c04402f,0x7dc0c44f,0x7f41ffc6,
    0x3f633ea5,0x98000003,0x3bff61ff,0x00fffdfe,0x001ff200,0x4d7fee00,
    0x743e47ff,0x3f220bff,0x7fe4404f,0x8001cfff,0xff5005ff,0x202ffcc9,
    0xfffcfffc,0xd07ff402,0xb7ec01ff,0xdba806fd,0x8804fffe,0x07fe23fe,
    0x36089bee,0x9999973f,0x99999999,0x3ffa6039,0x7ffedcc3,0x0000acef,
    0x00001ff2,0x7fc53fea,0x3fe22f45,0x801ffa04,0x2effffea,0x66666644,
    0xccccceff,0xe83ffe24,0xffc800ff,0xfa802fff,0x41bfe65f,0x3ff53ff9,
    0x3ffffa60,0x74404fee,0x03fe60ef,0x3fd81fea,0xfffffffb,0x7fffffff,
    0x807bfee0,0x0000effc,0x0000ff90,0x7fc5ff30,0xff50fea4,0x00ffdc03,
    0x3ffff260,0x3ffffe67,0xffffffff,0xb8fff67f,0x3f6004ff,0x3fa004ff,
    0x20fff62f,0x82ff47fc,0x3f60beff,0x03bfea04,0xdf905ff1,0xffd9fec0,
    0xffffffff,0x1103ffff,0xdf707fd5,0x20000df7,0x4cccc7fc,0x99999999,
    0xd0ffc199,0x3617e27f,0x1ffc406f,0x7ffd8800,0x3fffffe6,0xffffffff,
    0xf89bfea7,0xfff5006f,0xff1003ff,0x03ffe21d,0xffb89ff1,0x740ffcc0,
    0x09ff704f,0x2ff427fc,0x00007fb0,0xf51fee00,0x0017fa3f,0xff99ff20,
    0xffffffff,0x7f47ffff,0x70187f20,0x7fd401ff,0xffea8001,0x0bff007f,
    0xfb8bff20,0x7ffd403f,0x6c01fffd,0x0bff21ff,0xff107fee,0x6c45ff09,
    0x2ffc85ff,0xf7177e40,0x01fec05f,0xb1002662,0x4c7fc81b,0x000fe64e,
    0xff99ff20,0xffffffff,0x0007ffff,0xd027fc40,0x7e4400ff,0x000cffff,
    0x7f400bff,0xa807fec6,0xfff92fff,0x893fe603,0x0dff05ff,0xff903ff6,
    0x8bfdffbd,0xaaaacffc,0x3bffe20a,0x7ec05fff,0x01ffec03,0x7dcceff4,
    0x0008103f,0x54455300,0xaaaaaaaa,0x002aaaaa,0x82ffe800,0xda805ffb,
    0x002effff,0x26005ff8,0x13fe23ff,0xf90bffea,0x8dfd03ff,0xffa80ffd,
    0x887ff302,0xf89effeb,0xfffff30f,0xd881ffff,0xd803ffff,0x1ffec03f,
    0x7ffffcc0,0x0000006f,0x00000000,0xfffe8800,0x5ffffcbe,0xffffd710,
    0x7fc0003b,0x07fdc005,0x7fcc3ff7,0x8fff902f,0x3fe61ffa,0xe80ffd02,
    0x3002206f,0x55555555,0x00662015,0x7ec01aa8,0x36e6003f,0x0000002c,
    0x00000000,0xfffe8800,0xffffffff,0x3fff224f,0x80000cff,0xfe8005ff,
    0x3ee2fec4,0xf10fe402,0x204fe87f,0x0cc40099,0x00000000,0x00000000,
    0x00000000,0x00000000,0x9dffc800,0xe9bdffeb,0xdfff32ff,0xff800005,
    0x0ee88005,0x00307b62,0xe98bd506,0x00000005,0x00000000,0x00000000,
    0x00000000,0x00000000,0x10221760,0x00efcc9d,0x00998000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x02000000,
    0x00000011,0x200a2000,0xbd9500aa,0x44188039,0x06662199,0x826604cc,
    0x86660fff,0xeeeeeeed,0x99999954,0x99999999,0x32a19999,0xcccccccc,
    0xcccccccc,0x0000000c,0x00000000,0x00000000,0x00000000,0xcfffd980,
    0xd881ff00,0xcfffffff,0xfb0bea21,0x1fff44bf,0xbff137fc,0xfff07ffc,
    0x3fffffe1,0xffff75ff,0xffffffff,0x23ffffff,0xfffffffb,0xffffffff,
    0x00001fff,0x00000000,0x00000000,0x00000000,0xacff8000,0x2ffa85fd,
    0x7fffffe4,0xffeeffff,0x03bfe62f,0xdff0fff3,0xfff2ffc4,0xff87ffc1,
    0x35ffffff,0x55555555,0x55555555,0x2aaa2155,0xaaaaaaaa,0x0aaaaaaa,
    0x00000000,0x00000000,0x00000000,0x40000000,0x207dc1fa,0x3f26fec9,
    0xffeca8ac,0x21ffffff,0xff501ffc,0x3e26ff87,0xff06665f,0x2222221f,
    0x00000088,0x00000000,0x00000000,0x00000000,0x00000000,0x1ba00000,
    0x7fcc13e2,0x7e4c0592,0x3e20dfff,0x037dc02f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x8fe61f60,0x00ffecaa,
    0x33100880,0x00006600,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x50000000,0xf30fc85f,0x0007ffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x27f5f7f4,
    0x00159971,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2efeb880,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x04000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__arial_36_latin1_x[224]={ 0,2,1,0,1,1,1,1,1,1,1,1,2,1,
2,0,1,3,0,1,0,1,1,1,1,1,2,2,1,1,1,1,1,-1,2,1,2,2,2,1,2,3,0,2,
2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,2,0,0,0,-1,1,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,0,0,2,0,0,0,0,0,0,2,0,1,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,3,1,0,1,-1,
2,1,0,0,0,2,1,1,0,-1,2,1,0,0,3,2,0,2,1,1,0,2,1,1,0,2,-1,-1,-1,-1,
-1,-1,0,1,2,2,2,2,0,2,-1,0,-1,2,1,1,1,1,1,2,1,2,2,2,2,0,2,2,1,1,
1,1,1,1,1,1,1,1,1,1,0,2,-1,0,1,2,1,1,1,1,1,1,2,2,2,2,2,0,2,0,
 };
static signed short stb__arial_36_latin1_y[224]={ 29,5,5,5,3,5,5,5,5,5,5,10,25,19,
25,5,5,5,5,5,5,6,5,6,5,5,12,12,9,12,9,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,33,5,11,5,11,5,11,5,11,5,5,
5,5,5,11,11,11,11,11,11,11,6,12,12,12,12,12,12,5,5,5,15,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,29,12,5,5,9,5,
5,5,5,5,5,13,12,19,5,2,5,9,5,5,5,12,5,16,28,5,5,13,5,5,5,12,0,0,0,0,
1,0,5,5,0,0,0,1,0,0,0,1,5,0,0,0,0,0,1,10,5,0,0,0,1,0,5,5,5,5,
5,6,5,5,11,11,5,5,5,5,5,5,5,5,5,6,5,5,5,6,5,11,11,5,5,5,5,5,5,5,
 };
static unsigned short stb__arial_36_latin1_w[224]={ 0,5,9,18,16,26,20,4,9,9,11,17,5,9,
5,9,16,10,17,16,17,16,16,16,16,16,5,5,17,17,17,16,31,23,18,21,20,18,17,23,19,4,14,20,
15,23,19,23,19,23,21,19,20,19,22,31,22,22,19,7,9,7,15,20,7,16,15,15,15,16,11,15,14,3,
7,14,3,23,14,16,15,15,10,15,9,14,16,24,16,16,16,11,4,10,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,5,16,18,16,19,
4,16,10,24,12,14,17,9,24,20,9,16,11,11,7,15,18,5,8,7,12,14,26,26,27,16,23,23,23,23,
23,23,31,21,18,18,18,18,7,7,11,9,23,19,23,23,23,23,23,15,23,19,19,19,19,22,19,17,16,16,
16,16,16,16,27,15,16,16,16,16,7,7,11,9,16,14,16,16,16,16,16,16,16,14,14,14,14,16,15,16,
 };
static unsigned short stb__arial_36_latin1_h[224]={ 0,24,10,25,30,25,25,10,31,31,11,16,9,4,
4,25,25,24,24,25,24,24,25,23,25,25,17,22,17,11,17,24,31,24,24,25,24,24,24,25,24,24,25,24,
24,24,24,25,24,26,24,25,24,25,24,24,24,24,24,31,25,31,14,3,6,19,25,19,25,19,24,25,24,24,
31,24,24,18,18,19,25,25,18,19,24,18,17,17,17,24,17,31,31,31,6,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,24,31,25,17,24,
31,31,5,25,13,15,11,4,25,3,10,20,13,13,6,24,31,4,8,13,13,15,25,25,25,24,29,29,29,29,
28,29,24,31,29,29,29,28,29,29,29,28,24,29,30,30,30,30,29,15,25,30,30,30,29,29,24,25,25,25,
25,24,25,25,19,25,25,25,25,25,24,24,24,24,25,23,25,25,25,24,25,13,20,25,25,25,25,31,31,31,
 };
static unsigned short stb__arial_36_latin1_s[224]={ 255,250,239,93,49,42,231,251,51,132,191,
36,249,130,124,16,41,177,177,124,1,160,189,158,1,18,250,175,219,221,18,
80,167,195,204,138,97,118,137,141,188,249,77,21,96,120,152,165,184,1,155,
231,99,60,120,67,44,21,1,119,128,227,100,140,99,233,80,29,112,61,84,
96,52,251,142,241,252,121,95,78,92,108,110,45,240,145,237,160,185,63,202,
215,210,199,73,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,
181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,255,247,150,
58,1,43,127,80,107,35,116,54,203,130,206,161,54,199,129,179,91,208,61,
118,64,154,141,85,204,177,149,224,20,202,154,178,204,44,219,97,226,123,1,
228,142,245,68,194,19,174,130,25,1,66,150,69,69,110,90,235,103,80,1,
146,164,181,198,67,232,33,1,50,66,83,100,117,112,144,172,42,1,143,25,
215,129,223,112,162,216,1,18,134,26,34,18,1, };
static unsigned short stb__arial_36_latin1_t[224]={ 1,224,294,94,33,94,121,172,1,1,294,
294,294,310,310,147,147,199,173,147,199,173,147,249,173,173,249,249,274,294,294,
199,1,173,224,173,199,199,199,147,199,94,147,224,224,224,224,147,224,94,199,
147,249,173,249,249,249,249,249,1,173,1,294,310,310,249,173,274,173,274,224,
173,224,147,1,199,121,274,274,274,147,147,274,274,224,274,274,274,274,199,274,
1,1,1,310,249,249,249,249,249,249,249,249,249,249,249,249,249,249,249,249,
249,249,249,249,249,249,249,249,249,249,249,249,249,249,249,249,249,1,64,1,
147,294,199,1,1,310,173,294,294,294,310,147,310,310,249,294,294,310,199,1,
310,310,294,294,294,121,121,121,199,64,33,33,33,64,64,173,1,33,64,64,
64,64,33,64,64,199,64,33,33,33,33,64,294,94,33,33,1,64,64,224,
94,94,94,94,224,94,121,274,121,121,121,121,121,224,224,224,224,121,249,94,
94,94,224,94,294,249,147,121,121,147,1,1,1, };
static unsigned short stb__arial_36_latin1_a[224]={ 143,143,183,287,287,458,344,98,
172,172,201,301,143,172,143,143,287,287,287,287,287,287,287,287,
287,287,143,143,301,301,301,287,523,344,344,372,372,344,315,401,
372,143,258,344,287,429,372,401,344,401,372,344,315,372,344,487,
344,344,315,143,143,143,242,287,172,287,287,258,287,287,143,287,
287,115,115,258,115,429,287,287,287,287,172,258,143,287,258,372,
258,258,258,172,134,172,301,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,143,172,287,287,287,287,134,287,
172,380,191,287,301,172,380,285,206,283,172,172,172,297,277,143,
172,172,188,287,430,430,430,315,344,344,344,344,344,344,516,372,
344,344,344,344,143,143,143,143,372,372,401,401,401,401,401,301,
401,372,372,372,372,344,344,315,287,287,287,287,287,287,458,258,
287,287,287,287,143,143,143,143,287,287,287,287,287,287,287,283,
315,287,287,287,287,258,287,258, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_36_latin1_BITMAP_HEIGHT or STB_FONT_arial_36_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_36_latin1(stb_fontchar font[STB_FONT_arial_36_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_arial_36_latin1_BITMAP_HEIGHT][STB_FONT_arial_36_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_36_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_36_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_36_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_36_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_36_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_36_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_36_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__arial_36_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__arial_36_latin1_s[i] + stb__arial_36_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__arial_36_latin1_t[i] + stb__arial_36_latin1_h[i]) * recip_height;
            font[i].x0 = stb__arial_36_latin1_x[i];
            font[i].y0 = stb__arial_36_latin1_y[i];
            font[i].x1 = stb__arial_36_latin1_x[i] + stb__arial_36_latin1_w[i];
            font[i].y1 = stb__arial_36_latin1_y[i] + stb__arial_36_latin1_h[i];
            font[i].advance_int = (stb__arial_36_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__arial_36_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_36_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_36_latin1_s[i] + stb__arial_36_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_36_latin1_t[i] + stb__arial_36_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_36_latin1_x[i] - 0.5f;
            font[i].y0f = stb__arial_36_latin1_y[i] - 0.5f;
            font[i].x1f = stb__arial_36_latin1_x[i] + stb__arial_36_latin1_w[i] + 0.5f;
            font[i].y1f = stb__arial_36_latin1_y[i] + stb__arial_36_latin1_h[i] + 0.5f;
            font[i].advance = stb__arial_36_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_36_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_36_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_36_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_36_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_36_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_36_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_36_latin1_LINE_SPACING
#endif

