// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_37_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_37_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_37_latin1_BITMAP_WIDTH         256
#define STB_FONT_arial_37_latin1_BITMAP_HEIGHT        342
#define STB_FONT_arial_37_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_37_latin1_FIRST_CHAR            32
#define STB_FONT_arial_37_latin1_NUM_CHARS            224

#define STB_FONT_arial_37_latin1_LINE_SPACING          24

static unsigned int stb__arial_37_latin1_pixels[]={
    0x800004c0,0x00000000,0x26000800,0x0004cc01,0x99820000,0xdddddd30,
    0x1f777764,0x02eee980,0x54c0dd90,0xeeeeeedc,0x1dd95eee,0x17ba0000,
    0x20000ddd,0x2e002ccc,0x3fc804cc,0xfedca800,0x00adefff,0xffd93000,
    0xf9807bdf,0x1fe403ef,0x36609ff0,0x001defff,0xff8fffdc,0xffffff54,
    0x27ffffec,0x005ffd80,0x3f621ffa,0xffffffff,0xffd6ffff,0x3fe00001,
    0x0003ffc7,0x00077fdc,0x4c05fff1,0x3ae2006f,0xffffffff,0x000dffff,
    0xfffffd30,0x207fffff,0x205ffff9,0x9ff00ff8,0xffffff70,0x3f2009ff,
    0x29ff1fff,0x27ffeee9,0x03eeeffd,0x000eff88,0xfff31ffa,0xffffffff,
    0x3fadffff,0xff00000f,0x0007ff8f,0x8001ffe8,0x3fa06ffa,0xffff5002,
    0x9553579d,0x007ffffd,0xdeffffb8,0x4ffffecc,0x0fffdb88,0x7fc17ee0,
    0x5efffd44,0x402fffdb,0xf0bdfff8,0xd9ffa09f,0x7e4000ff,0x265c000f,
    0x3ffffffa,0xd13fe21f,0x200001ff,0x015542aa,0x00bfea00,0xc81ffb80,
    0xfff7006f,0x3f22003b,0xff7005ff,0x3f2203bf,0x3fea03ff,0x7c1ffc03,
    0x417ff44f,0x7dc07ffb,0xd04ff82f,0x007fecff,0x0000b320,0x7fffffdc,
    0x13fe21ff,0x00001ffd,0x32000000,0xec80004e,0x4017fc44,0x0001effc,
    0x9809ffd1,0xf9004fff,0x27fc01ff,0x3fe1fee0,0xf8837fc4,0x3ff201ff,
    0xfd04ff80,0x0007fecf,0x3f600000,0x1fffffff,0xffd13fe2,0x00000001,
    0x00000000,0x5c03fe40,0x80000dff,0x3fa02ffd,0x7ff4004f,0x1017fe04,
    0x44ff85ff,0x336e07ff,0x7c1ff601,0x6cffd04f,0x099880ff,0x44033100,
    0x3ffffa19,0x3e21ffff,0x887ff44f,0x4c400ab9,0x03310009,0x3ffb6e60,
    0x6c000cef,0x13fe20ee,0x980bff10,0x1ffd001b,0x001fff30,0x3e07ffa8,
    0x46fe805f,0x1ffec4ff,0x41ff6000,0x4ffd04ff,0xff980ffd,0x40ffd006,
    0x3fffa7fe,0x221fffff,0x47ff44ff,0x3dfffffb,0x200dff30,0x7e4407fe,
    0xffffffff,0xffd000df,0x200ffdc3,0xec880ffd,0xff52ffff,0x641ffc49,
    0x350004ff,0xb805ff80,0x313fe2ff,0x40009fff,0x09ff07fd,0x0ffd9ffa,
    0x9803ffd0,0x9ffa04ff,0xfffffffd,0xd13fe21f,0xfdfffbff,0x3fa05fff,
    0x27fcc01f,0xdffffd30,0xffffffb9,0x43ffd003,0x7fd407fe,0xfffff981,
    0x2ffbafff,0x7ffc37e4,0x3e000003,0x4ff8806f,0x3fee13fe,0xfd8000ef,
    0x3a09ff07,0x403ff67f,0x7e404ffb,0xb9ffa01f,0xffffffff,0xfd13fe21,
    0xffa85fff,0x04ffb81f,0xfa80ffe4,0xf9302fff,0xfe803fff,0xb017fe1f,
    0x9fff30bf,0x3fbff6a1,0x10ffcc0f,0x00003fff,0xe8037f40,0xb113fe6f,
    0x007fffff,0x9ff07fd8,0xffd9ffa0,0x80fff100,0x3ff406ff,0xfffffff1,
    0x227fc43f,0xf301fffe,0x7ff881df,0xf8837fc0,0xf9800dff,0x3fa00eff,
    0x409ff11f,0x7f442ff8,0xffff903f,0xff88bfe0,0x2000000f,0xffb006fe,
    0xbff527fc,0x03dfffd5,0x7fc1bfa0,0x7ecffd04,0x0bff600f,0x3a01ffd4,
    0x7fffd47f,0x3fe21fff,0x202fff44,0xffd82ffc,0x207ff502,0x54006ffc,
    0x3fa04fff,0x407ff51f,0x4ffc87fb,0x417ffe20,0x1ffe63fe,0xff900000,
    0x7c3ff200,0xf917fe4f,0xff009fff,0x7413fe09,0x803ff67f,0xffb05ffa,
    0x987fe801,0x21fffffe,0x7ff44ff8,0x427fcc01,0xffb05ffa,0x03fff301,
    0x01fff700,0x7fdc7ffa,0x3e13f602,0x7ff400ff,0x7cc9fd03,0x4000007f,
    0xfb803ffa,0x3e65992f,0xfffe981f,0x407fee06,0x4ffd04ff,0x7fc00ffd,
    0x02ffc40f,0xb7303ff4,0x27fc43ff,0x3e201ffa,0x81fff05f,0xff905ff8,
    0x7ff4000b,0x323ffd03,0x0ffa01ff,0xfb009ff3,0xf0ffe03f,0x000001ff,
    0x200bffd8,0xff903ffa,0x45fffc80,0x3e06ffa8,0x6cffd04f,0x7fe400ff,
    0x4017fdc2,0xffb807fe,0xfd13fe21,0x41ffe00f,0x7fdc2ffc,0x005ffb02,
    0xe837fe40,0x01ffd1ff,0x3fee17fc,0x80ffe802,0x7ff41ff9,0xc8000001,
    0xff300fff,0x00bfee09,0x3e25fff5,0x3fe00dff,0x7ecffd04,0x2ffcc00f,
    0x3a003ffa,0x1ffb807f,0xdfd13fe2,0x4c1ffa00,0x07ff45ff,0x0001fff8,
    0x7f41ffee,0x440fff1f,0x0ffec1ff,0xfb837fc0,0x01ffe40f,0x7f400080,
    0x0bff300f,0x7003bfe6,0x1bfe29ff,0x7f413fe0,0x2003ff67,0x9ff10ffe,
    0x201ffa00,0x3fe21ffb,0xf803ff44,0x43ffa06f,0xff104ff8,0x7cc0001f,
    0x1ffe80ff,0x3e201ffd,0x403ffc1f,0xdfb04ff9,0x0009ff70,0xe880bbfa,
    0xff500fff,0x17ffe40b,0x3e2dff10,0x27fc05ff,0x3ff67fe8,0x73ffb800,
    0x3fa003ff,0x21ffb807,0x3ff44ff8,0x7027fc40,0x07fee7ff,0x0003ffcc,
    0x3a07ffe2,0x03ffb1ff,0xffd0bfe2,0x507ff900,0xdff305ff,0x1fff1000,
    0x200fff40,0x7f404ffb,0x7ff00dff,0xf00eff98,0xd9ffa09f,0xff8800ff,
    0x7400dfd5,0x1ffb807f,0xffd13fe2,0x03ffa803,0x37f57fe2,0x000dff50,
    0xfd03fff0,0x80fff63f,0x07fe43ff,0x983fff30,0x3ffe05ff,0x2ffe4003,
    0x9007ff30,0x10fb67ff,0xb85ffffb,0x2ffa80ff,0x3fa09ff0,0x4003ff67,
    0x04ff9ffd,0x2e01ffa0,0x13fe21ff,0xfe80bffd,0x4ffec01f,0x3fe204ff,
    0x7fc40007,0x91ffe80f,0x27f409ff,0xfe80ffee,0x07ff447f,0x003fff50,
    0xc80bffea,0x5ffb007f,0x7fd413fe,0x4ffb8dff,0x7fc17fe0,0x7ecffd04,
    0xdff5000f,0x7f4003ff,0x21ffb807,0x7ff44ff8,0x0bff702f,0x3ffdff50,
    0x000fff80,0x741ffe60,0x0bff51ff,0x3fe637e4,0x7fff442f,0x00fffa67,
    0x802ffffa,0x7405fffb,0x1fff006f,0xfd8813fe,0x402effff,0x09ff06fe,
    0x0ffd9ffa,0x1bfffe00,0x700ffd00,0x27fc43ff,0x473ffffa,0x2006ffc9,
    0xd806ffff,0x2a0001ff,0x3ffd06ff,0xff5037fc,0xaefffb83,0xefffdffc,
    0x1003fffe,0x57dffffd,0x0bfffd95,0xf100dfd0,0x4027fcdf,0x804fffea,
    0x09ff06fd,0x0ffd9ffa,0x0ffff200,0x700ffd00,0x27fc43ff,0x3fff3ffa,
    0x000fffff,0x200ffff2,0x20003ffb,0xffd04ffd,0x3e03fec3,0xffffc85f,
    0xfffff2ff,0xd88003ff,0xffffffff,0xf800dfff,0x4ff9806f,0x644013fe,
    0x7ec03fff,0x3a09ff07,0x003ff67f,0x000fff98,0x7dc03ff4,0xd13fe21f,
    0xffff51ff,0xf980017d,0xff9800ff,0xff98000f,0x43ffd01f,0x3ee02ffb,
    0xcefca82f,0x2f7ff661,0x200554c0,0xffffffc9,0x3fe001df,0x21ffb805,
    0x7dc004ff,0x1ff601ff,0x7fe827fc,0x88003ff6,0xfe8004ff,0x21ffb807,
    0x7ff44ff8,0x80002a20,0x3a004ff8,0xfe8004ff,0x07ffa06f,0xffd80dfd,
    0xf9800001,0x77dc005f,0xbff00009,0xff8bff00,0x3f200984,0x41ff603f,
    0x4ffd04ff,0x2e000ffd,0xfe8001ff,0x21ffb807,0x7ff44ff8,0x7dc00000,
    0x3fe6001f,0x3ff2003f,0x07ffa01f,0x74403ff5,0x200001ef,0x4000eff9,
    0x20001dfc,0x7fd405ff,0xff727fc1,0x02ffcc09,0x13fe0ffb,0x1ffb3ff4,
    0x0037f400,0xfb807ff8,0xd13fe21f,0x800001ff,0xfc8006fe,0x3a200dff,
    0x7f403fff,0x405fe81f,0x000cfff9,0x03fff220,0x13ff2e00,0x013fe200,
    0x49ff09fd,0xf700fff9,0x07fe409f,0x7fe827fc,0x22003ff6,0x88002ffd,
    0xffb806ff,0xfd13fe21,0x2200001f,0x90002ffd,0x559bffff,0x09ffffb9,
    0xf303ffd0,0xffea803f,0x326001cf,0x0001efff,0x20007fdc,0x3ea03ffa,
    0x744ff80f,0x7fc40cff,0x0ffee01f,0x7774d3fe,0x3bff67ff,0x3fbe63ee,
    0x66c006ff,0xfb804fff,0xd13fe21f,0x4c0001ff,0x006fffef,0x7ffffd40,
    0x2fffffff,0x203ffd00,0xff5004fc,0x5799dfff,0xdffffb99,0x2a620005,
    0x91006ffb,0x7401fffd,0x989ff03f,0xfecdffff,0x7fc405ff,0x29ff0cef,
    0x27fffffa,0x24fffffd,0x00effff8,0x3bfffe60,0x21ffb800,0x7ff44ff8,
    0x3fe20000,0x80000eff,0xfffffeb8,0x7f4002ef,0x01ff101f,0x7ffffdc0,
    0xffffffff,0x7e40004f,0x3001ffff,0x4c09ffff,0x213fe06f,0xfffffffa,
    0xfff7004f,0x64d3fe3f,0x32e4cccc,0x76c2cccc,0x74c000be,0x93000cef,
    0x21664419,0xd80004cb,0x00000bee,0x009aa988,0x27dc0000,0x6e5d4c00,
    0x01bdeefe,0x9bdb5000,0x6f7cc001,0xf017ec02,0x7f6dc09f,0x6cc002bd,
    0x009ff1fe,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x70002e60,0x00000799,0x0002ccc8,0x00059990,0x000f32e0,
    0x00599900,0x4c155300,0x320000aa,0x000003cc,0x00039991,0x00e66440,
    0x303ccb80,0x26603999,0x2fc80001,0x0fffcc00,0xffb80000,0xfc80000e,
    0x80001fff,0x0001fff9,0x03ffff90,0x22ffc800,0x20002ffc,0x0000fffa,
    0x005ffc80,0x7ffff400,0x7ffc4000,0xffffe882,0x00fffc40,0x0003fa00,
    0x00013fee,0x000fffc0,0x7f67fdc0,0xfb80000f,0xfb80004f,0x000ffecf,
    0xfc8bff20,0x7dc0002f,0x4400004f,0x00000eff,0x3bfefff2,0x0fff2000,
    0x37fdffec,0x0007ffe2,0x20005f88,0x00000ffc,0x00017fd4,0x7cc77fcc,
    0xf900006f,0x7cc0001f,0x00dff36f,0xd70f75c0,0xfb00005d,0x6400001f,
    0x200001ff,0xbff55ffa,0x417fe200,0x9ff75ffb,0x000fffc4,0x80007f50,
    0x400003ed,0xb00004ed,0x1f75c3dd,0x03ed8000,0xb87bb600,0x000003ee,
    0x2ed80000,0x0bb60000,0xeed88000,0x200bbb20,0xed880dea,0x987bb60d,
    0x7ec00019,0x00000001,0x00000000,0x00000000,0x80000000,0xefffedb9,
    0x0000000c,0x00000000,0x00000000,0x51000000,0x3000ff79,0x9dfffdb7,
    0x09dd5001,0x003ddb00,0xdfffdb73,0x9dd50019,0x23ddb000,0xd8004eea,
    0x3f2201ee,0xffffffff,0x3ba600df,0xeeeeeeee,0x04eeeeee,0x003eed80,
    0x07ddb000,0x801ddb00,0x13100eed,0x3fffae00,0x91002fff,0xffffffff,
    0x7d401bff,0xffe8005f,0x3fff2201,0xdfffffff,0x017fea00,0x7d47ffa0,
    0xffe8005f,0xffffd301,0xfffffb9d,0x3ffea03f,0xffffffff,0x005fffff,
    0x0037ffd4,0x37ffd400,0x00fff400,0x7dc07ffa,0xffffb803,0x404ffffe,
    0xceffffe9,0x1ffffffd,0x000bff50,0x3a603ffd,0xfdceffff,0x501fffff,
    0xfd000bff,0x017fea3f,0x2a07ffa0,0x9302ffff,0xf503ffff,0xffffffff,
    0xbfffffff,0xffffd800,0x7ec00002,0x74002fff,0x7ff401ff,0xa809f701,
    0xffd0aeff,0x3fea07ff,0xff9302ff,0xbff503ff,0x03ffd000,0x205ffff5,
    0x81ffffc9,0xe8005ffa,0x0bff51ff,0x883ffd00,0x9800dfff,0x7d40efff,
    0x8000005f,0x05ffcff8,0x33fe2000,0x7f4005ff,0x0fff401f,0x3e604fc8,
    0x2b7e21ff,0xfff886ff,0xfff9800d,0x02ffd40e,0x220fff40,0x9800dfff,
    0x7d40efff,0xffe8005f,0x000bff51,0xffc83ffd,0x7ffd4006,0x002ffd44,
    0x4ffdc000,0x00000ffd,0x1ffb3ff7,0x00fff400,0x7e407ffa,0x70ffee05,
    0x907ffa7f,0xfa800dff,0x2ffd44ff,0x20fff400,0x54006ffc,0x7fd44fff,
    0x1ffe8005,0xd000bff5,0x7ffcc3ff,0xfffb8001,0x0017fea0,0x55bfa000,
    0xd00003ff,0x00ffeadf,0x7401ffe8,0x0bfb01ff,0x3f607fec,0xfff30310,
    0xfff70003,0x002ffd41,0xff30fff4,0xff70003f,0x02ffd41f,0xfa8fff40,
    0xffe8005f,0x0017ff21,0x3ea3ffe8,0x4000005f,0xfff14ff9,0x9ff30000,
    0xe801ffe2,0x7ff401ff,0x740dfb01,0xc806f87f,0x3a0005ff,0x17fea3ff,
    0xc87ffa00,0x3a0005ff,0x17fea3ff,0x547ffa00,0xfe8005ff,0x00bff61f,
    0x2a6ffc80,0x000005ff,0xffb17fec,0xffd80005,0x400bff62,0x7f401ffe,
    0x20ffd01f,0x27d46ff8,0x0017fec0,0x7d4dff90,0xffe8005f,0x000bff61,
    0x3ea6ffc8,0xffe8005f,0x000bff51,0x7ffc3ffd,0x3fee0001,0x0017fea7,
    0x47ff8800,0x20005ffa,0x7fd47ff8,0x03ffd005,0xfd01ffe8,0x917fe60f,
    0x3fff005f,0x3ffdc000,0xd000bff5,0x0fffc3ff,0x4fff7000,0xe8005ffa,
    0x0bff51ff,0x223ffd00,0x20000fff,0xff50fff9,0x5c00000b,0x0fff84ff,
    0x09ff7000,0xfd001fff,0x1ffe803f,0x3e20fff0,0x4403f46f,0x20000fff,
    0xff50fff9,0x3ffd000b,0x0003ffe2,0xf50fff98,0xffd000bf,0x0017fea3,
    0x7fcc7ffa,0x7fc40007,0x99dff51f,0x99999999,0x3fa00799,0x04ffc81f,
    0x903ffd00,0xffd009ff,0x01ffe803,0x3fe01fff,0x82617e27,0x40007ff9,
    0xff51fff8,0x3ffd000b,0x0001ffe6,0x3ea3fff1,0xffe8005f,0x000bff51,
    0x3fea3ffd,0xfff80006,0xffffff51,0xffffffff,0xdff300df,0x001ffe60,
    0x7cc1bfe6,0x1ffe807f,0x440fff40,0xffd01fff,0xff70fee1,0x001bfea9,
    0x7d47ffe0,0xffe8005f,0x000dff51,0x3ea3fff0,0xffe8005f,0x000bff51,
    0x3fe23ffd,0x7fc40007,0xfffff50f,0xffffffff,0xff900dff,0x017ff407,
    0xe80fff20,0x7ff402ff,0x40fff401,0xf701fff8,0xff03f69f,0x01ffe23f,
    0x21fff100,0xe8005ffa,0x0fff11ff,0x0fff8800,0xd000bff5,0x17fea3ff,
    0xf87ffa00,0x260000ff,0x3bfea7ff,0x99999999,0xf8009999,0x3fee00ff,
    0x07ffc005,0xe80bff70,0x7ff401ff,0x02fff981,0x8df5fff1,0x7ffc6ffb,
    0x3fe60000,0x0017fea7,0xfff87ffe,0x3fe60000,0x0017fea7,0x7fd47ffe,
    0x1fff8005,0x80007ff6,0x3fea6ffa,0xfa800005,0xeeeeeeff,0x000fffee,
    0xddddfff5,0x1fffdddd,0x200fff40,0xff981ffe,0x3ffe602f,0x3fffb54f,
    0x0001ffd8,0xff99bfea,0x0fff8006,0x80007ff6,0x3fe66ffa,0x0fff8006,
    0xf000dff3,0x1ffdc1ff,0x49ffb000,0x00005ffa,0xffffffd8,0xffffffff,
    0xffffb004,0xffffffff,0x7ff409ff,0x40fff401,0x4c02fff9,0xffffffff,
    0x03ffb82f,0x993ff600,0x7c4006ff,0x0ffee0ff,0x24ffd800,0x44006ff9,
    0xdff30fff,0x0fff8800,0x0003ffe6,0xfa87ffe6,0x4400005f,0xeeeeefff,
    0x7ffeeeee,0xeefff880,0xeeeeeeee,0x3ffa07ff,0x40fff401,0x9802fff9,
    0x0dffffff,0x001fff30,0x443fff30,0x26000fff,0x7ffcc7ff,0xfff98000,
    0x003ffe21,0x3e27ff98,0x3e6000ff,0x04ffe87f,0x546ffe80,0x400005ff,
    0x3e004ffb,0x7fdc02ff,0x0bffe004,0x3a00fff4,0xfff981ff,0xaadf9802,
    0x4ffe8009,0x86ffe800,0x32002ffe,0x4ffe85ff,0x86ffe800,0x32002ffe,
    0x17ff45ff,0x30bff900,0x64007fff,0x7fd41fff,0x7f400005,0x3ff2001f,
    0x00fff406,0x3a0dff90,0x7ff401ff,0x01ccc881,0x98002fc8,0x32003fff,
    0xffc81fff,0xfff8801f,0x03fff983,0x207fff20,0x8801fffc,0x7fe43fff,
    0xfff8801f,0x1bfff903,0x1ffff440,0x0002ffd4,0x800dff30,0xf301fff8,
    0xff8800df,0x01ffe81f,0x0000fff4,0x90000fe8,0x4401bfff,0xf103fffe,
    0x75403dff,0x3ff206ff,0x3fa200df,0xfff103ff,0x7ff5403d,0x1efff886,
    0x01bffaa0,0x59bffff9,0x9ffffb95,0x0017fea0,0x003ffc80,0xf904ffd8,
    0xffb0007f,0x803ffd09,0x88881ffe,0x44088888,0x7e40006f,0xcaacdfff,
    0x404ffffd,0xbdfffffb,0x2ffffecb,0x6ffffe40,0xfffdcaac,0x7ffdc04f,
    0xfecbbdff,0xff702fff,0xd977bfff,0x5005ffff,0xffffffff,0x5405ffff,
    0xeeeeefff,0xeeeeeeee,0x00fffc1e,0xf83ffd40,0xfa8001ff,0x01ffe87f,
    0x7fc0fff4,0x47ffffff,0xa80003fb,0xffffffff,0x7002ffff,0xffffffff,
    0x2003ffff,0xfffffffa,0x002fffff,0xfffffff7,0x803fffff,0xfffffffb,
    0x001fffff,0x3ffffae2,0xfa802eff,0xffffffff,0xffffffff,0x001bfea1,
    0x7d43fff8,0x3fe0006f,0x00fff43f,0x3fe07ffa,0x47ffffff,0x100001fd,
    0xffffffd7,0xf930005d,0x7dffffff,0xfeb88001,0x02efffff,0xffffc980,
    0x000befff,0xffffff93,0x400017df,0x0009aa98,0x3fffffea,0xffffffff,
    0x3ff61fff,0x3ff20003,0x001ffec6,0xfe8dff90,0x0fff401f,0x77777774,
    0x0001cc6e,0x09aa9880,0x55330000,0x22000013,0x00009aa9,0x01355330,
    0x9aa99800,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0554c000,0x10001553,0x1f5417b7,
    0xaa855500,0x15550002,0x00005554,0x3b216e4c,0x2a155401,0xccc8002a,
    0x332a0003,0xc980000c,0x800001cc,0x076c2cd9,0x000b9000,0x002ccc80,
    0x7e45ff90,0x7fcc002f,0x1ffcefff,0x44dff100,0xfd0007ff,0x00fff41f,
    0x3fffee00,0xf807fcdf,0x03ffa0ff,0x00fffa80,0xbffff100,0x3ff60000,
    0x7e400005,0x6fcdffff,0x5fd51000,0xff700001,0x3f20001d,0x00bff22f,
    0xffb5bf90,0x7c400fff,0x01ffe26f,0xfd07ff40,0xfe80003f,0x4ffffebb,
    0x3a0fff80,0x3f6000ff,0x3fa0002f,0x0004ffbf,0x000ffe88,0x3aeffe00,
    0x4003ffff,0xffffffe9,0x3fa0001e,0x3ae0001f,0x00bbae1e,0x6d441db0,
    0x2f744002,0x2000bdd1,0x3bb20eed,0x17a20000,0x36003b71,0x03bb60ee,
    0x0027fcc0,0x3f27ffb0,0xf880002f,0xd300004f,0x001cc989,0x7fffffd4,
    0x8002ffff,0x00003ffa,0x00000000,0x00000000,0x00000000,0x90000000,
    0x74c0009d,0x037b625e,0x037aa000,0x00000000,0x367bffe6,0x01fffe9f,
    0x20027640,0xd8004eea,0x0bdd51ee,0x261dd900,0xeeeeeeee,0xeeeeeeee,
    0x3eed8004,0xddb00000,0x776c0007,0x00000000,0x00000000,0xdb730000,
    0x0019dfff,0x27d8fff6,0x00005ffd,0x00bff500,0x3ee3ffd0,0x7f4003ff,
    0xfffff51f,0xffffffff,0xa800bfff,0x00006fff,0x006fffa8,0x4c07ffa0,
    0xeeeeeeee,0xeeeeeeee,0x3bbbba64,0xeeeeeeee,0xd8004eee,0x880003ee,
    0xfffffffc,0x7c00dfff,0xf99f60ff,0x037bb27f,0xa9f76c00,0xfe8005ff,
    0x3ffff71f,0xa8fff400,0xffffffff,0xffffffff,0x7ffec005,0x6c00002f,
    0x0002ffff,0x3ea03ffd,0xffffffff,0x5fffffff,0x3fffffea,0xffffffff,
    0x7d4005ff,0x4c0006ff,0xdceffffe,0x01ffffff,0x47d8bff3,0xfff10bcd,
    0xdff9000b,0x0017fea1,0x7fdc7ffa,0x3fa006ff,0x00bff51f,0x9ff10000,
    0x40000bff,0x05ffcff8,0x203ffd00,0xfffffffa,0xffffffff,0x3fffea5f,
    0xffffffff,0x4005ffff,0x002ffffd,0x05ffff50,0x07ffff26,0x0fb17fe6,
    0x00bffee0,0x2a1fff98,0xfe8005ff,0xfffff71f,0x47ffa007,0x00005ffa,
    0xfd9ffb80,0xf700000f,0x001ffb3f,0x2a03ffd0,0xa80005ff,0x000005ff,
    0x5ffcff88,0xdfff8800,0xefff9800,0x360fff80,0x3fff6007,0x89ffd000,
    0xe8005ffa,0xfdff71ff,0xffd003ff,0x0017fea3,0x55bfa000,0xd00003ff,
    0x00ffeadf,0x5407ffa0,0xa80005ff,0x000005ff,0xffd9ffb8,0x37fe4000,
    0x13ffea00,0x3ec33ff6,0x09fff100,0xf50dff90,0xffd000bf,0x3f6ffee3,
    0x1ffe806f,0x0000bff5,0xf14ff980,0xf30000ff,0x01ffe29f,0x5407ffa0,
    0xa80005ff,0x000005ff,0x7ff56fe8,0x0fffcc00,0x07ffdc00,0x36ffffe6,
    0x7ffdc007,0x07ffe601,0x20017fea,0x7ff71ffe,0xe809fff1,0x0bff51ff,
    0xffd80000,0x000bff62,0x7ec5ffb0,0x7ff4002f,0x00bff501,0x00bff500,
    0x4ff98000,0x6400fff1,0x3a0005ff,0xfffa83ff,0x2001bfff,0x3fa06ffd,
    0x0bff504f,0x2e3ffd00,0x3fff53ff,0xfa8fff40,0x2000005f,0x7fd47ff8,
    0x3fe20005,0x002ffd47,0x7d407ffa,0xfa80005f,0x4000005f,0x3ff62ffd,
    0x05ffb002,0x837fe400,0xffffffd9,0xfff8802e,0x206ffb84,0xe8005ffa,
    0x47ff71ff,0x3fa06ffd,0x00bff51f,0x27fdc000,0x80007ffc,0xfff84ffb,
    0x07ffa000,0x0002ffd4,0x0002ffd4,0xa8fff100,0xfff005ff,0x7fdc0003,
    0x7ffdc407,0x5c00dfff,0x3fe61fff,0x17fea01f,0x5c7ffa00,0x3ffe23ff,
    0x2a3ffd04,0xccccceff,0x3ccccccc,0x903ffd00,0x3a0009ff,0x4ffc81ff,
    0x407ffa00,0x80005ffa,0x00005ffa,0x3e13fee0,0x7fc400ff,0x3e60000f,
    0xafd800ff,0xd804fffe,0x0fff66ff,0x000bff50,0x3fee3ffd,0x40fffd43,
    0xfff51ffe,0xffffffff,0x300dffff,0x3fe60dff,0x6ff98007,0x400fff30,
    0xff501ffe,0x9999999d,0xa8799999,0xccccceff,0x3ccccccc,0x903ffd00,
    0xff9809ff,0x7fc40007,0x2e7d801f,0x7c401fff,0x05ffaaff,0x8005ffa8,
    0x7ff71ffe,0xfd0dffb0,0x3fffea3f,0xffffffff,0xfc806fff,0x0bffa03f,
    0x407ff900,0xfd002ffe,0x3ffea03f,0xffffffff,0x7d46ffff,0xffffffff,
    0x06ffffff,0xf306ff98,0x6ffa80ff,0x1fff8000,0x7fec7d80,0xffffb803,
    0xffa800ff,0x1ffe8005,0xff107ff7,0x51ffe89f,0x33333dff,0x13333333,
    0x401fff00,0x7c005ffb,0x3fee00ff,0x03ffd005,0x3fffffea,0xffffffff,
    0x7fffd46f,0xffffffff,0xfc806fff,0x0bffa03f,0x0007ff88,0x4007ffc4,
    0x02ffd47d,0x02ffffd8,0x000bff50,0x3fee3fff,0x43fff503,0xbff51ffe,
    0xff500000,0xdddddddf,0x2001fffd,0xeeeefffa,0x0fffeeee,0x501ffe80,
    0x33333dff,0x13333333,0x999effa8,0x99999999,0x0fff8009,0xf017fee0,
    0x4c0001ff,0x0bfae7ff,0x06ff98fb,0x00bfff10,0x40037fcc,0x7ff70fff,
    0xfd37fec0,0x017fea3f,0x3fff6000,0xffffffff,0xfb004fff,0xffffffff,
    0x009fffff,0x3ea03ffd,0xfa80005f,0xa800005f,0xeeeeefff,0x00fffeee,
    0x80007ff6,0x3fee6ffa,0x3fee3ec4,0x0bff6004,0x006ff980,0xfb87ffc4,
    0x3ffe203f,0x3ea3ffd4,0x4400005f,0xeeeeefff,0x7ffeeeee,0xeefff880,
    0xeeeeeeee,0xffe807ff,0x00bff501,0x00bff500,0xffffb000,0xffffffff,
    0x7fdc09ff,0x3ff60003,0xfb1ffe64,0x2003ffe8,0x22002ffd,0x26000fff,
    0x0ffee7ff,0xfd3fff50,0x017fea3f,0x09ff7000,0x2017ffc0,0x3e004ffb,
    0x7ff402ff,0x00bff501,0x00bff500,0xefff8800,0xeeeeeeee,0x3e607ffe,
    0xf98000ff,0x1fff41ff,0x07ffd4fb,0x005ffb00,0x2002ffe8,0x3fee5ffc,
    0xeeffd803,0x0bff51ff,0x1ffe8000,0x01bff200,0x64003ffd,0x7ff406ff,
    0x00bff501,0x00bff500,0x04ffb800,0xe80bffe0,0xfe8004ff,0xcfffa86f,
    0xfffd9fd9,0x17fec003,0x07fff200,0xb8fffe20,0xff8803ff,0xff51ffff,
    0x7cc0000b,0x7fc4006f,0x0dff301f,0x01fff880,0x7d407ffa,0xfa80005f,
    0x7400005f,0x3f2001ff,0x3ffe606f,0x3fff2003,0xfffff501,0x009fffff,
    0x8005ffb0,0x201efff8,0x7dc6ffea,0xfff5003f,0x17fea3ff,0x3ffc8000,
    0x04ffd800,0xb0007ff9,0x7ff409ff,0x00bff501,0x00bff500,0x037fcc00,
    0x807ffe20,0x200dfffc,0x403fffe8,0xffffffda,0xffb0002e,0xfff70005,
    0xfd977bff,0xffb85fff,0x3fff6003,0xddfff51f,0xdddddddd,0xff83dddd,
    0xffa8001f,0x003fff07,0x740fff50,0xbff501ff,0xbff50000,0x7fe40000,
    0x4ffd8003,0x6ffffe40,0xfffdcaac,0x7f4c004f,0x7ec0000a,0xff70002f,
    0xffffffff,0x7ff703ff,0x7fffc400,0xffffff51,0xffffffff,0x7fd43fff,
    0x3ffe0006,0x0037fd43,0x3a07fff0,0xfff501ff,0xdddddddd,0x23dddddd,
    0xeeeefffa,0xeeeeeeee,0x0fffc1ee,0x03ffd400,0x7fffffd4,0x02ffffff,
    0x0000fb00,0x8000bff6,0xffffffc9,0xff700bef,0xfffa8007,0xffffff51,
    0xffffffff,0x7fec3fff,0x3ff20003,0x001ffec6,0x3a0dff90,0xfff501ff,
    0xffffffff,0x23ffffff,0xfffffffa,0xffffffff,0x1bfea1ff,0x03fff800,
    0xffffeb88,0x40002eff,0xfb00007d,0x2600005f,0x00009aa9,0x00000000,
    0x00000000,0x00000000,0x7fffffd4,0xffffffff,0xfff51fff,0xffffffff,
    0x43ffffff,0x20003ffd,0x44006ffc,0x00009aa9,0x20000530,0x00002ffd,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0x000003d9,0x00000004,0x00000000,0x09980000,0x00000000,0x00980000,
    0x19800000,0x80005300,0x01310198,0x3ae00000,0x200006db,0xeffffed9,
    0xb730000b,0x0159dffd,0x3ffb2e20,0x5c40002e,0xacdfffed,0x000ffa00,
    0xdfffd930,0x64c0007b,0x0cdefffe,0x2e00ff44,0x00cefffe,0x7403fcc0,
    0x70001fee,0x80ffe0ff,0x01fffec9,0x00ba1f80,0xffffd500,0x09ffffff,
    0xfffffc80,0x402fffff,0xfffffff8,0x644000ef,0xffffffff,0xbf702fff,
    0x3ffa6000,0xffffffff,0x3ffa6003,0xffffffff,0x4c0dfd13,0xfffffffe,
    0x17f2003f,0x0025cb70,0xff885fc8,0xfffff101,0x0f88001f,0xfb8000f6,
    0xfdceffff,0x400effff,0xdeefffd8,0x03ffffed,0xb59fffd1,0x4c00bfff,
    0xcdfffffe,0x0dfffffd,0x20007fcc,0xcdeffffb,0x04ffffec,0xefffffa8,
    0xeffffecc,0xff100efe,0xfff95bff,0x0ffa005f,0x0034c7b0,0xffa83fe8,
    0x9bfffb00,0x27720009,0xf90000fa,0x95103dff,0x6c01ffff,0xf9102eff,
    0x7ffd07ff,0x001fff10,0x017ffff3,0x217fff22,0x3ee002ff,0xf9101dff,
    0x7fdc07ff,0x3ff202ff,0x3fa00fff,0xfffb80df,0x00ffc400,0x002643aa,
    0x7e417fc4,0x007ffe06,0x13ffe600,0x27ffcc00,0x05fffa80,0x2e007ffe,
    0x37fc46ff,0xd005ff90,0x2a003dff,0x27ec1fff,0x04fff980,0x301fff90,
    0x1001bfff,0x7c40dfff,0x3ffa01ff,0x8037d402,0x8000effd,0x4fd80ff9,
    0x0001ffe0,0x0037ffd4,0x4004ffe8,0xfa83fffb,0x3ffa005f,0xc813fea0,
    0x7fe401ff,0x7fdc000f,0xe8037dc4,0x7f4004ff,0x05ffe84f,0x0ffffee0,
    0x2e037fd4,0x27ec05ff,0x40003100,0x07ff07fb,0x00017fe2,0x017fffec,
    0x003ffea0,0x2e1fff20,0x3ee004ff,0x80ffea3f,0xfff807fe,0xfff88002,
    0x3003fe20,0xa8001fff,0x7ffcc7ff,0xfbff5001,0x0fff20ff,0xff0026a0,
    0x59531005,0x4ccc4013,0x9999efd9,0x3119bffa,0x0333dff3,0x3f3fe200,
    0x7fec005f,0x3ffe0003,0x003ffcc1,0x05ff7031,0xf500ffee,0x5d4000df,
    0x6403fe80,0x350004ff,0x2009ff90,0x7fff3ff9,0x0009ff70,0x9803fe60,
    0xfffffffe,0xffffc80d,0xffffffff,0xffb7ffff,0x01ffffff,0xfb3ff700,
    0x3fe2001f,0x3fa0000f,0x0cfff84f,0x0bfee000,0x7ec03ff4,0x9000004f,
    0x3fff80bf,0x7ffc0000,0x24ff9801,0xffa85ffc,0xdf700005,0x7ffffe40,
    0x40fffffe,0xfffffffc,0xffffffff,0xfffffb7f,0xd0001fff,0x00ffeadf,
    0x0003ffcc,0x3f21bff2,0x000bdfff,0x7dc17fdc,0x3fff803f,0xff500000,
    0x00fffc40,0x1fff1000,0x545fe880,0x7ff886ff,0x07fd0000,0x506fffea,
    0x99889ffd,0x9999ffb9,0x4199dfe9,0x40005ff8,0xfff14ff9,0x01bfea00,
    0x20fff700,0xeffffffb,0x7fdc00ac,0xf007fe82,0x000003ff,0xff880ffc,
    0x2600000f,0x7f4407ff,0xd07ff986,0x880003ff,0x7ffb01ff,0x203ffdc0,
    0x07ff07fb,0x0002ffc4,0xffd8bff6,0x05ffb802,0x03ffcc00,0xffffffd5,
    0x3ee05bff,0x00fff82f,0x0007ffc4,0x209fb000,0x00007ff9,0x36037fd4,
    0xfff880ef,0xffffff30,0x4007ffff,0xdfd107fa,0x407ff880,0x1ff885fd,
    0x0017fe20,0x7d47ff88,0x5ffb805f,0x3ffcc000,0x7fff5cc0,0xfb83ffff,
    0x05ffd82f,0x5403ffcc,0xffffffff,0x306fb85f,0x80000fff,0x3f606ffa,
    0x1fff100f,0x3fffffe6,0x2003ffff,0xd00005fc,0x83fe80ff,0x7fc407fa,
    0x3fee0005,0x400fff84,0x40006ffb,0x44006ffa,0xdffffeca,0x2a0bfee0,
    0xf100efff,0xffa801ff,0x5fffffff,0xff00ff98,0x4c00001f,0x3ff906ff,
    0x513ffcc0,0x555fff75,0x17f40035,0xfdb98800,0x5ff100ff,0xf880df90,
    0x3fa0005f,0x04ffc81f,0x0003ffd4,0x00017fee,0x5c7fffd3,0xfff502ff,
    0x07ffe05f,0xdddddd30,0x3fe0bffd,0x003ffd02,0x43ffc400,0x7d402ffb,
    0x03ffe07f,0x007fcc00,0x7fff65c4,0x300fffff,0x09fd01ff,0x0005ff88,
    0x3e60dff3,0x7ffcc07f,0x3ff20000,0xff900003,0x3017fdcd,0xfd09fffd,
    0x7d40007f,0x20bf905f,0x10003ffc,0xfa83ffe0,0x6ffb802f,0x8001ffa0,
    0xffc806fb,0xecefffff,0x3bbae0ff,0xfeeeeeff,0x445eeeef,0xf90005ff,
    0x17ff407f,0x000bffa0,0x3662ffe8,0xfff8003e,0xb005ff70,0xffb85fff,
    0x3fea0005,0x2e0ff505,0xfd0004ff,0x99fff45d,0xffb003ff,0x01bfe207,
    0x6404fd80,0x09bdefff,0xffc83ffa,0xffffffff,0x47ffffff,0xf0005ff8,
    0x7fdc01ff,0x037fdc05,0x3ffee026,0x001bfe20,0x7fdc7ff6,0x8bff7002,
    0x0001fff8,0x3e20bff5,0x06ff981f,0x20fff880,0x4ff9fffa,0x01fff500,
    0x80013fee,0x3fe601ff,0x07ffc02f,0x99bff995,0x999ffb99,0x05ff8899,
    0xeefffa80,0xffeeeeee,0x3ffe200f,0x4433f603,0xffe83fff,0x73ffc001,
    0x7fc005ff,0x006ffd87,0x740bff50,0x07fff03f,0xe85ffc80,0x2005ffff,
    0x3f605ffe,0xff30000e,0x404ffc80,0xf880fff8,0x806fc81f,0xd8005ff8,
    0xffffffff,0x04ffffff,0xf817ffdc,0x6ffdcfff,0x001dff90,0xffb97fea,
    0xffe805c2,0x06fffc40,0x0bffd300,0xffa837dc,0xfff5001f,0x0dfff305,
    0x807ffe40,0x20001ff9,0x7fec05fc,0x07ffdc02,0x7f407fd4,0x05ff8804,
    0x777ffc40,0xeeeeeeee,0xffd807ff,0xfffd704f,0x3fe601ff,0x7fe402ff,
    0x4cbfee2f,0x6ffa85ff,0x17dfff50,0x7fffe4c0,0x403fe604,0x200bfffe,
    0x3e05fffb,0x2600cfff,0xf502fffe,0x803553bf,0x3201ff40,0x3fea05ff,
    0x06fb80ff,0xff1005ff,0x4ffb800b,0x00bffe00,0x7bdfffb1,0xffffd955,
    0x7ffcc01b,0xfdcacdff,0x7fdc3fff,0x2277ff62,0x2e03fffb,0xbdffffff,
    0xffffffdc,0x102ff802,0x57dffffd,0x0bfffd95,0x7fffffec,0xffecaabd,
    0xfff503ff,0x9dffffff,0x7c4dfb57,0x7ffd400f,0xfff9511c,0x0bfb03ff,
    0xf1003ff3,0xffe800bf,0x1bff2001,0x7ffffdc0,0xffffffff,0x3fa203ff,
    0xffffffff,0x2ffb82ff,0x3fffffa2,0xfe9805ff,0xffffffff,0x36004fff,
    0x3ff6204f,0xffffffff,0x3ff900df,0xfffffff5,0x403fffff,0xfffffff9,
    0xffffffff,0x200df50f,0xfffffffc,0x83ffbbff,0x07fa83ff,0x400bff10,
    0x44006ff9,0x71001fff,0xbfffffff,0x07bffee5,0xffffedb8,0xff701cef,
    0xfffeb885,0x7e4c003f,0xcdffffff,0x037d4000,0x7ffffe4c,0x3ea01dff,
    0x7fff5c1f,0xd002dfff,0x75cc139f,0xb1dfffff,0x7fdc009f,0xf10cffff,
    0x81ff88df,0xff1006fc,0x1ffe400b,0x027fec00,0x80d54c40,0x2001ffc8,
    0x400001a9,0x880001a8,0x400009a9,0x4cc002a8,0x0b20009a,0x00135530,
    0xaa880098,0x00055409,0x2000554c,0x1a980aa8,0x7fc00000,0xffa8001f,
    0x98000007,0x00000004,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7fd40000,0x3ffe0006,0x00000003,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x03ffd800,0x01bff200,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00099800,0x04cc0000,
    0x00000000,0x00000000,0x00006620,0x00133000,0x2a000000,0x0fba63ee,
    0x06f75400,0x002eee88,0x9dfffdb5,0xffd50003,0x3fea003b,0x017f2000,
    0x00077dc0,0x3fffb6e6,0x2a0000ce,0x000deffe,0x2000bf90,0x6dcc04fe,
    0xb8001def,0xda8000ef,0x01cefffe,0x2a4ffa80,0xff0004ff,0x7ffc407f,
    0x3fff2203,0xefffffff,0xffff9002,0x7fd007ff,0x02ffe400,0x000ffcc0,
    0xffffff91,0x001bffff,0x7ffffec4,0x7e4002ff,0x6fc8005f,0x7f7ffc40,
    0x3e6000ff,0x3f22001f,0xffffffff,0x3ea002ef,0x013fea4f,0x1013fee0,
    0x3a607fff,0x730aceff,0x9809fffb,0xffd88dff,0x401fea00,0x005fffea,
    0x30027f44,0xb9dffffd,0x03ffffff,0x2efbff60,0xa800fffe,0x4005fffe,
    0x7ec01ffa,0x4013fe25,0x26004fe8,0x30aceffe,0x009fffb7,0xaa886aa2,
    0x06fe8001,0xa83fff88,0xf5000dff,0x1bf201df,0x3fe813fa,0xfdcff980,
    0x037e4005,0x05ffff50,0x07ffff26,0xfb0fff30,0xcff9807f,0x3e2005fd,
    0x40a9803f,0xdfb005fe,0x06ffd400,0x00effa80,0xc8800000,0xfff8800c,
    0x001ffcc3,0xfe82ff44,0xf506fc84,0x6432600f,0x3fea005f,0xbfff1000,
    0xdfff3001,0x427fdc01,0x64c05ffa,0x6c00bf90,0xf930005f,0x1ff5003f,
    0x00ffe600,0x0017fa20,0x20000000,0x3a23fff8,0xbdba884f,0xf83ff880,
    0xd07fb83f,0x3f20007f,0x07ff1005,0x0037fe40,0xb813ffea,0x4ffa83ff,
    0x802fe400,0x98000ffb,0xf8800fff,0x9fd1003f,0x00cccccc,0x26007ff1,
    0x30000aba,0xf8801575,0x21bee2ff,0xeffffffb,0x7fc3fd40,0xfb87fb83,
    0x17f20006,0x3002fec0,0x70003fff,0x3e601fff,0x01ffc86f,0x4c02fe40,
    0x930002ff,0xfd805dfd,0x89bee005,0xffffffff,0x6407fa82,0x1effffff,
    0xfffff900,0x7ffc03df,0xff507fa2,0x0dfb5137,0x84fe85fd,0x02ff86fc,
    0x2017f200,0x32000ffb,0x3a0005ff,0x3ffa03ff,0x001bfee4,0x3fa017f2,
    0xff700004,0x0007fdc0,0x57fc43fd,0x82ffdcba,0xffe982fe,0x3ffffeff,
    0x3ffffa60,0xf03ffffe,0x31fea3ff,0x0ff603ff,0x85fd8df7,0x037dc5fe,
    0x3017f200,0xfd8005ff,0x3f20002f,0x3ffe606f,0x001effdb,0x7e405fc8,
    0x98188006,0x2ff982ff,0xf11fea00,0x2e17f20f,0x1dffe86f,0x407ffee2,
    0x2e21dffe,0xffe81fff,0x4fb8bf91,0xff302a20,0xf517fd41,0x002ff83f,
    0x3a02fe40,0xfff8004f,0x3fee0001,0x7fffe407,0xf90000df,0x00ffcc0b,
    0xf90bfe20,0x009fd01f,0x3fc45fc8,0xff986fa8,0x9817fee0,0x5ffb86ff,
    0x3a1bfe60,0xd87fb0ff,0x3ff0001f,0xffeeffe8,0x00037dc5,0xdf902fe4,
    0x1fff1000,0x7ffcc000,0x3fffe600,0x2fe40004,0x0003ff88,0xffd7bff9,
    0x000df909,0x07f887fb,0x47fe07fb,0x6c00fff8,0x3ffe22ff,0x217fec00,
    0x83fd0ffd,0xfb0000ff,0x9ffffb05,0x0002ff88,0xff505fc8,0xfff30003,
    0xfff88000,0xffffd881,0x320000ef,0x00bfb05f,0xffffec80,0x00ffd40d,
    0x3e20ff40,0xfffdcccf,0x3ea5fb00,0x4ffb804f,0x2e013fea,0xd3fec4ff,
    0x000ff81f,0x2a205f90,0x986fb80a,0x98800acb,0x403ff880,0x37fd41cb,
    0x0fffc000,0x3effffa6,0x220005ff,0x80ffb809,0x8802bcb8,0x3ff880aa,
    0x3fa0e5c0,0x7ffffc40,0x97e402ef,0x9999cffb,0x5ffa9999,0x26673fee,
    0xffa99999,0x7fb3fe45,0xf0001ff8,0xff10003f,0xfffffd85,0x17f60002,
    0xf887ff70,0x7c40007f,0x3ffe20ff,0x47fff70d,0x10002dfb,0xfff985ff,
    0x40006fff,0x7fdc05fd,0x3e21fec3,0x01efca9f,0xfffc8ffc,0xffffffff,
    0x3ff26fff,0xffffffff,0x7dc6ffff,0x7fb17f26,0x3e61f440,0x6fc8000f,
    0x7fdeffe4,0xffb8001f,0x0fffea00,0x80003ffe,0x7fec7ff9,0xd1fffc85,
    0x3a0003ff,0xabefe85f,0x70002ffd,0x7fd401ff,0x222fe43f,0x8077d47f,
    0xfffb0ff9,0xffffffff,0x7fecffff,0xffffffff,0x7dc7ffff,0xdf51fea6,
    0x3ee27ec0,0x2ff88006,0xdfb0ffe2,0x02ff8800,0x20ffffe6,0x20001ffd,
    0x3fe66ffa,0x5fffd00f,0x32000dff,0x07fd40ef,0x26001bfa,0x3fe602ff,
    0x23fd43ff,0x05fc87f8,0x5ffe4df7,0x99999999,0x3ff21999,0x9999999b,
    0x7d419999,0x3f60ffc5,0x03bf260e,0xf90007fb,0xfa87fb8d,0x13fa000f,
    0x3fedfe88,0x0003ffb8,0xffa93ff6,0x3fffe206,0xf98003ff,0x27ec001f,
    0x1027f400,0xf07fd9ff,0x443fc43f,0x23fd83ff,0x20003ffb,0x40003ffb,
    0x227e45fa,0xffefffe8,0x007fcc2f,0xf907fe20,0x003ff30d,0xbfd01bf2,
    0x3fe60ffa,0xff98000f,0x013fee1f,0x01fffff3,0x004fe880,0x2000ffd4,
    0xaff406fc,0x24fc83fe,0x1ff507f8,0xff507fcc,0x4357100b,0xb8805ffa,
    0x7c40981a,0xdffdb82f,0x004fe80a,0x6fd85fc8,0x9802ff88,0x3bf601ff,
    0x3fa07fd0,0xffe8004f,0x403ffd46,0x8005fffa,0x7dc006fd,0x7fcc005f,
    0x743bf601,0x12ff883f,0xd1f6c0dd,0x1fff889f,0xf127fec0,0xffd803ff,
    0x0bfea004,0x01bf6200,0x3207fe20,0x01ff986f,0xf901ff44,0x981ff41f,
    0x32003fff,0x7fcc1fff,0x7ffec02f,0x3fea003f,0x13ff6000,0x407ff100,
    0x0ffa0ffc,0x40017fd4,0xff706fd8,0x3ffea01d,0x8077fdc1,0x5541fffa,
    0x04ffc80a,0x003ffa60,0x7dc17f60,0x400ffa87,0x77fc06fd,0x0eeffeee,
    0x00dfffc8,0x40ffffa2,0xfb00effd,0x009fffff,0x22007ff1,0xd8002ffe,
    0x777fc06f,0x80eeffee,0x26004ffc,0x3fa00ffe,0xff950aff,0x3fffa09f,
    0x9fff950a,0x2a05fff0,0x221bdfff,0x00dffeca,0x301ff980,0x06fc85ff,
    0x3e007fd4,0xffffffff,0xffff900f,0xffb9559b,0x7fc409ff,0xffca9bff,
    0x4fffebff,0x8802fec0,0xa8001efe,0x7ffc00ff,0x0fffffff,0x37bfff50,
    0x6fff6544,0x7ffec400,0x05ffffff,0x3fffff62,0xff05ffff,0x7ff4c05f,
    0xffffefff,0x3f60003f,0x4e7fec05,0x3e202ffd,0x3fa0002f,0xffffa803,
    0xffffffff,0xfffe9802,0x10efffff,0x2e01fffb,0xfe8800ff,0x02aaaabf,
    0x00017fc4,0xfd3007fd,0xfffdffff,0xeb8007ff,0x02efffff,0xfffffd70,
    0x17ffc05d,0x7fffe4c0,0x40002eff,0x74401ff9,0x404fffff,0x740005fe,
    0xfd71003f,0x05dfffff,0xfffff900,0x407f609d,0xf9001ff9,0xffffffff,
    0x0005fe80,0x93001ff4,0x5dffffff,0x13530000,0x04d4c000,0x4cc00000,
    0x3b200000,0x33b6e004,0x0077dc01,0x00072e00,0x0026aa62,0x0026a200,
    0x004fe806,0x33333332,0x3bee04cc,0x0e5c0000,0x00133000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x77640000,0x26620005,0x7775c000,0x5d440000,
    0x7dd5000a,0x8001f754,0x7000deeb,0x001709dd,0x002a6066,0x000fbb62,
    0x8007775c,0x4c400998,0x37726009,0xeec8001b,0x30310005,0x7ddb1035,
    0x4ffffb80,0x0dff7000,0x007ffd00,0xffffd910,0xffa803bf,0x0013fea4,
    0x20017ffc,0xffb9effb,0x77fecc03,0x001fe89c,0x4000fff5,0xf5004ffe,
    0x3ffa807f,0xfffffd88,0xff7000ef,0x6c4009ff,0xfe89cfff,0x01fff501,
    0x3fef7fe6,0x6ffb8003,0x0fff8800,0x3fffe600,0x01ffffff,0xffa93fea,
    0x4ffb8004,0xffff3000,0xffd8017f,0x06fffffe,0x001ffe40,0x800fff88,
    0x7d403ffa,0x7fff443f,0x00efffdd,0x7fdeffcc,0xfdff9003,0xb80dffff,
    0xfff884ff,0x8003ffd0,0x30006ffb,0x3e2007ff,0x3f261dff,0x355100ff,
    0x4000d544,0x930006fe,0x2001ffff,0xbff930ff,0x0ffb0003,0x01ffcc00,
    0x2a01ffd4,0x2ffec3ff,0xf1037fe4,0x07ffa1ff,0x7e4c3fe0,0xffd801df,
    0x91166540,0x99880079,0x0f2a0000,0xd027fe40,0x000007ff,0x000664c0,
    0x3efbff66,0x2013005f,0x33220000,0x0f2a0001,0x500ffea0,0x37fcc7ff,
    0x2a05ff90,0x0f3262cc,0x00040660,0x00000732,0x00000000,0x2600fff8,
    0x000006ff,0xbf300000,0x0017fdc5,0x00000000,0x3fea0000,0xb1ffd403,
    0x7fc405ff,0x00000005,0x54c00000,0x2a0000ab,0x7530001a,0x4ff88015,
    0x98800980,0x40009aca,0x009aca98,0x3bf60860,0x59531000,0xa9880013,
    0x440009ac,0x5400abb9,0x7fd403ff,0xd003ffe3,0x54c403ff,0x440009ac,
    0x2000abb9,0xfff90198,0x8003dfff,0x64004ff9,0x1effffff,0x0007ff50,
    0xfffffd30,0xe9801bff,0xdfffffff,0xfffdb800,0x4c04ffce,0xfffffffe,
    0x7ff4c00d,0x00dfffff,0x7ffffe44,0x7ff501ef,0xf13ffa80,0x5ff700bf,
    0xfffffd30,0xc8801bff,0x1effffff,0x260ffd80,0xffeffffe,0x3e6003ff,
    0xffd3003f,0x7ffffdff,0x0005ff70,0xefffffc8,0x900fffff,0xffdfffff,
    0x36201fff,0xffffffff,0xfff901ff,0xfffffdff,0x3ffff201,0x0fffffef,
    0xffffff50,0xf507ffff,0x3ffa807f,0xf5009ff5,0xffffc89f,0x0fffffef,
    0xffffff50,0xd807ffff,0x37ffa0ff,0x07ffee21,0x8017fdc0,0x2e21dffe,
    0x7fe41fff,0x3fea0002,0x7ff541bf,0x1bfffa84,0xe827ff54,0xea88aeff,
    0xffa86fff,0x7ff541bf,0x1bfffa84,0x4427ff54,0x2e21dfff,0x7fd42fff,
    0xb9ffdc03,0xffa804ff,0x06fffea5,0xf109ffd5,0x7dc43bff,0x3ff602ff,
    0x4c0bff70,0xff8806ff,0x5ffb800f,0xf91bfe60,0x7ec0005f,0x1ffee03f,
    0xfb80fff6,0x0dffb87f,0xfb0fff90,0x3ffdc07f,0xf701ffec,0x09ffb0ff,
    0xf507ffd4,0x3ffb807f,0xf3007ff7,0x01ffecbf,0xffb0fff7,0x07ffd409,
    0xff88ffd8,0x17fec00f,0x009ffd10,0xd801fff1,0x0ffea2ff,0xdfd10220,
    0x447ff880,0x7fc406fe,0x007ffc47,0xfe887ffa,0x23ffc406,0x7c406fe8,
    0x03ffcc7f,0xff527fec,0x93ffb809,0xff3007ff,0x101bfa2b,0x7ff98fff,
    0xb04ffd80,0x09ff51ff,0x2209ff70,0xa800effe,0xffb804ff,0x2017fe64,
    0xd0000ffe,0xfe8000ff,0x4027fd47,0x20003ffa,0x740007fe,0x01ffd47f,
    0xff52ffcc,0x93ffd80b,0xff1005ff,0x1ffa000d,0xf3007ff5,0x23ff60bf,
    0x9999cffb,0x5ffa9999,0x00effe88,0x3339ff70,0xff533333,0x007ffc4b,
    0x4400dff1,0x00fffdb9,0x3ff6e620,0x00bfee0f,0x88013fe6,0x00fffdb9,
    0x3ff6e620,0x00bff20f,0xfff53ffc,0x4fffe201,0xf9803ffb,0xb731005f,
    0x7fe41fff,0x20fff002,0xfffc8ffd,0xffffffff,0xffe86fff,0x3ff2000e,
    0xffffffff,0x7dc6ffff,0x0fff605f,0x7fff65c4,0x100fffff,0xfffffd97,
    0x7fe41fff,0x20dff001,0xffffecb8,0x7100ffff,0xffffffd9,0x0ffec1ff,
    0xf50ffe80,0x3ff60bff,0x007ff53f,0x9710bff3,0xfffffffd,0x00ffec1f,
    0xfd80ffe8,0xfffffd8f,0xffffffff,0x077fe47f,0x3ffff600,0xffffffff,
    0xeffe87ff,0x5ffeb88a,0xffffff90,0x01ffd9df,0xfffffff9,0x6c1ffd9d,
    0xfff001ff,0xffffff90,0x01ffd9df,0xfffffff9,0x741ffd9d,0xffd000ff,
    0x3bfffea1,0xffffebab,0x5009ff33,0xfffc89ff,0xfeceffff,0x003ffa0f,
    0x7ec07ff4,0x99bffc8f,0x99999999,0x007ffc19,0x4cdffe40,0x99999999,
    0xfffe8819,0x80efffff,0x9bdefffc,0xf903ffa0,0x4137bdff,0x3ff60ffe,
    0xc8fff001,0x09bdefff,0xff903ffa,0x74137bdf,0x07ff60ff,0xfa87ffc0,
    0xffffffdf,0xff33ffbf,0x47ff7009,0x9bdefffc,0xfd83ffa0,0x1fff001f,
    0xff71ffb0,0x7fcc0007,0xffb83005,0x3ee00003,0x303fffff,0xff805fff,
    0x0bffe60f,0x7e41fff0,0x5ff9802f,0xf00bffe6,0x7ffcc1ff,0x907ffc02,
    0x3fe005ff,0x3e6ffea7,0xff8aefff,0x900dff13,0x3ffe65ff,0x907ffc02,
    0x3fe005ff,0xf51ffb07,0x357100bf,0x54027fd4,0x0bff55ff,0xd0035710,
    0xffc8017f,0x07ffc404,0xf8809ff9,0x13fee0ff,0xfc93fea0,0x7ffc404f,
    0x1013ff20,0x7fdc1fff,0x26ff9804,0x02a23ffa,0xf003ffa0,0x13ff21ff,
    0x5c1fff10,0xff9804ff,0xf11ffb06,0xffd803ff,0x003ffe64,0x3fe27ff9,
    0x27fec01f,0x00bbfe20,0xfb805ffb,0x0bff60ff,0x441fff70,0x7f400fff,
    0x00bff62f,0x7ec1fff7,0x7ffdc02f,0x003ffe60,0x7fd47ffd,0x7ff50003,
    0xfb2ffd40,0xfffb805f,0x003ffe60,0x3f607ffd,0x01dff70f,0xff07ffea,
    0x7ffc407f,0x403bfee0,0x4401fffa,0x3203ffb9,0x3fea05ff,0x17ff20ff,
    0x40ffffa8,0x3f205ffc,0x02ffe45f,0x641ffff5,0x3fea05ff,0x2ffe40ff,
    0x541fff70,0x3a0003ff,0xffe881ff,0xa817ff21,0x7e40ffff,0x3ffee05f,
    0x741ffb00,0xf950afff,0xfff709ff,0x09ffd505,0x2a15fffd,0x4004fffc,
    0x3fea05ff,0xff9511cf,0x7fd43fff,0xff9511cf,0xfe883fff,0xffb309ef,
    0xcfffa81f,0xffff9511,0x67ffd43f,0xffff9511,0xefff883f,0xfffd988a,
    0x001ffd40,0x115fff70,0xfa8bffd5,0xf9511cff,0xf883ffff,0xd988aeff,
    0x3f600fff,0x3fff620f,0x05ffffff,0x3337fff6,0xb106ffff,0xffffffff,
    0xfb9900bf,0xffc803ff,0xbfffffff,0x7fe43ffb,0xbfffffff,0xfd883ffb,
    0xefffffff,0xfffff901,0xff77ffff,0xfffffc87,0xffbbffff,0xffffe983,
    0xa81fffff,0x640003ff,0xffffffff,0xfffff906,0xff77ffff,0xffffd307,
    0x803fffff,0xfeb80ffd,0x802effff,0xfffffffc,0x7f5c00df,0x002effff,
    0x009fffff,0x3fffffee,0x70dff10c,0x19ffffff,0xec81bfe2,0x00cfffff,
    0x7fffffdc,0x70dff10c,0x19ffffff,0xfb81bfe2,0x00bdffff,0x00007ff5,
    0x7fffffd5,0xfffffb80,0x0dff10cf,0x6fffffdc,0x0ffd800b,0x0004d4c0,
    0x337bb6e2,0x09a98001,0x05555400,0x00554c00,0x00155300,0x0002a600,
    0x80002aa6,0x80000aa9,0x99300198,0x4c400003,0x554c001a,0x19880000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x6e540000,0x026200ac,0x54001573,0xaaaaaaaa,
    0x04cc42aa,0x44019880,0x901bddca,0xa80000dd,0x2002cddc,0x002cdca8,
    0x006f7540,0x0017bb20,0xea9bb600,0xeed8004e,0x1055cc01,0x3bb20033,
    0xff500005,0x01dfffff,0x3ffeedfd,0xff803dff,0xffffffff,0x037fcc7f,
    0x3ee07fe8,0x0dffffff,0x80003ff4,0xffffffe9,0x7ff4c02f,0x001dffff,
    0x4003ffe8,0x005ffffb,0xf53ff400,0xffd000bf,0xffffb303,0x03ff71bf,
    0x001fff88,0x3ffee097,0x0efffedf,0x7ffe77f4,0x202ffffe,0xfffffff8,
    0xfe87ffff,0x27fcc01f,0xfdffffc8,0x3ff46fff,0x7ffcc000,0x3ffffdef,
    0xbbffff70,0x4003fffd,0x4c004ffa,0x03ffbdff,0xa9ffa000,0xfe8005ff,
    0x7fffcc1f,0xffcefffe,0x01ffe401,0x7cc27f44,0x3f260bff,0x7ffff46f,
    0x80fffd42,0xaaaadffa,0xfb82aaaa,0x0ffe404f,0x2a0fffdc,0x1ffa4ffe,
    0x37ffa000,0x03ffee21,0xf509fff3,0x3fa001ff,0x7ffc4006,0x0003ffb0,
    0xffa9ffa0,0x1ffe8005,0x9833ffa2,0x201ffffe,0xf3005ff8,0x09ffb09f,
    0xffd0fffc,0x3bfe603f,0x001ffb80,0xf80fff10,0x03fff06f,0x7fe9ffe6,
    0x3ffd4000,0xfe89ffb0,0x13fea04f,0x00033220,0x66445995,0xffd00003,
    0x4002ffd4,0x3ff61ffe,0x3fffd103,0x300264c0,0x3fff09ff,0xfd1ffe40,
    0x2ffc80bf,0x0000ffd8,0x7d40bff6,0x03ffa83f,0x7fe8ffec,0x27fdc000,
    0x7c4dff50,0x7fec00ff,0x00000000,0xffd00000,0x4002ffd4,0xdff11ffe,
    0x01fffa80,0x27fcc000,0xf30132e2,0x00fff49f,0x3fa13fe6,0x7fd40006,
    0xd01ffb05,0x133100df,0x15731ffa,0x405ff900,0x3fea6ff8,0x02ffb804,
    0x002aee62,0x02aee620,0xd04dcc00,0x02ffd4ff,0xfa8fff40,0x1ffe802f,
    0x33100331,0x4effd4c4,0x7fdc0009,0x2201ffa2,0x2ffc45ff,0x07ffc000,
    0x3e217fe2,0xffd0004f,0x3fffffea,0x817fea02,0x3fee4ffb,0x84ffa803,
    0xffffffc8,0xffc8801e,0x801effff,0x4fffffd9,0x2ffd4ffd,0xc8fff400,
    0xffd801ff,0xfd00ffd1,0x7ffffd4f,0x3a2003ff,0x01ffa0ff,0x3fe63ffc,
    0x01599753,0xf70bff20,0x05ff305f,0xcffe8033,0xffffefff,0x01fff104,
    0xffc8bffa,0x45ffa802,0xfffffffa,0x3ea03fff,0xffffffff,0x3ffe603f,
    0xfedfffef,0x0017fea7,0x7fec7ffa,0xd1ffc800,0x4ffd00ff,0xfffffffa,
    0xffeb9803,0xe8037f43,0x767fdc7f,0x03ffffff,0x7f45ff98,0x51ffa80f,
    0x03dffffb,0x417ffffd,0xf702fffb,0xfd7139ff,0x04ffa8bf,0x3e26ffb8,
    0x3ee21dff,0xfff882ff,0x3ffee21d,0x0bffe882,0xa9ffffea,0xfe8005ff,
    0x001ffd1f,0x1ffa3ff7,0x3e61ffa0,0xffd7004f,0x0ffd05ff,0xff91bfe0,
    0xffffffff,0xffe801df,0x2e09ff10,0xffffb9ff,0x7f43ffff,0xdff301ff,
    0x7ffff4c0,0xff982fff,0x26ffd806,0x3ea04ffd,0x27fec0ff,0xd81fff50,
    0xfff103ff,0x002ffd4f,0xffd8fff4,0xd1ffc801,0x0ffd00ff,0x36009ff3,
    0x40beffff,0xff8807fe,0x0dffff44,0x809fff71,0x3ff73ffb,0x3ff7ff20,
    0xfffea9ac,0xb017ffa1,0x3f6605ff,0x00efffff,0x7cc05fff,0x0fff37ff,
    0x7cc9ffb0,0x4ffd807f,0xf701bfe2,0x02ffd4ff,0xfc8fff40,0x1ffd802f,
    0xffd00ffd,0x2009ff30,0xefffdbcc,0x5007ffa0,0x2ffe87ff,0x807ffe60,
    0x0dfd5ff8,0x80ffffec,0x3ffa6ffc,0x427fcc01,0xcbbdfffc,0xffa83fff,
    0xffffa83f,0x3007ff56,0x1ffd4bff,0xf52ffcc0,0x7ff8807f,0x20017fea,
    0x9ff71ffe,0xd1fff880,0x0ffd00ff,0x20009ff3,0x3fa6ffd8,0x0fff405f,
    0x4ffc8008,0x7fcffec0,0x0bfff604,0x3fa5ffd0,0x46ff8807,0xd881effb,
    0xfffd85ff,0xfaffeddf,0x005ff96f,0x2ffc9ffe,0x7dcfff00,0x27fe802f,
    0xe8005ffa,0x03ffe1ff,0xfd1fffc8,0x30ffd00f,0x440009ff,0xfffd0ffe,
    0x017fee05,0x80dff300,0x01ffeffa,0x2a01bff2,0x00ffd4ff,0x3ffd1ffe,
    0xc80ffe80,0x2fffffff,0x07ff6bff,0xfd87ff40,0x1ffd001f,0x36007ff6,
    0x017fea7f,0xfb87ffe0,0xfffb80ef,0xd00ffd1f,0x09ff30ff,0xd3ffb800,
    0x2639ffff,0x80006ffc,0xff807ff8,0x7fdc06ff,0xd5ff9805,0x9ffe00df,
    0xfa804ff8,0xbdb9303f,0x757fe215,0xffd000ff,0x4003ffa1,0x1ffd0ffe,
    0x7ccff900,0xfff8006f,0x5effff40,0x1fffffec,0xffd00ffd,0x0009ff30,
    0xffd5ff98,0xfffffff9,0x3e00001f,0xfffc807f,0x027fd403,0x7feb7fc4,
    0x7dcdff00,0x5ff8803f,0x27ff3000,0xff001ffd,0x007ff61f,0xffc87ffc,
    0x267fd801,0x7c4006ff,0xfffc80ff,0xffdaffff,0xff00ffd0,0x889ff30f,
    0xff9801ca,0xfd51ffd6,0x22017dff,0xff8801aa,0x0fff9806,0x4037fcc0,
    0x0ffd4ff9,0x7e4bff10,0x0dff002f,0x647ff200,0xfff002ff,0xf8017fe4,
    0x00bfee7f,0xfff89ffa,0x1ffe6000,0x0cdfeca8,0x1ffa1ffb,0xf30fff10,
    0x04ffa89f,0xffd4ffa8,0x54005441,0xffa805ff,0x04ff8805,0xa807ff88,
    0x03ffd2ff,0x3ea4ffa8,0x5ff9804f,0x3fe01332,0x009ff70f,0x7fdcdff3,
    0x26ff9804,0xff804ff9,0x0017ff47,0x4000bff9,0x03ffa7fe,0xf987ff98,
    0x07ffc44f,0x7f4bffa0,0xff10000f,0x2ffe801f,0x001ffb80,0xfe807ff7,
    0x809ffd0f,0x3fe61ffe,0x23ffc806,0x3ea01ffe,0x03ffe64f,0x7cc7ffd0,
    0x7ff400ff,0x7007ffc3,0xfffc8fff,0x3fff8801,0xf10026e2,0x00ffecdf,
    0xff30fff7,0x40bffb09,0x3ffa6ffc,0x3ffa0000,0x017ff205,0xf10037f4,
    0x3fee05ff,0x40bfffa6,0xffd85ffb,0x83ffe605,0xff304ffc,0x05ffc81f,
    0xf903ffee,0x7ffdc0bf,0x882ffe40,0x7fc47fff,0x3faa01ef,0x037fc46f,
    0xffc93ff2,0x0ffff506,0xff10bff3,0xfb3117df,0x07ff43ff,0xdfff1000,
    0xfffb3117,0x2ffd8803,0x5fffdc00,0x41dff931,0x31bffffe,0xf101fffb,
    0x32615dff,0x7fc42fff,0xfff732df,0x5dfff107,0x1fffb311,0x15dfff10,
    0x01fffb31,0x2227bff6,0xb87ffffb,0xbbdfffff,0x82ffffec,0xff502fff,
    0x6fffc43f,0xfeffca9b,0xccfff887,0x3ffffe62,0x742fffff,0x540000ff,
    0xffffffff,0xfdf300ef,0x2e000dff,0xffffffff,0x7d77f40f,0x1effffff,
    0x3ffffa60,0x503fffff,0xffffffff,0x7ff4c07f,0x1fffffff,0x3ffffa60,
    0x401fffff,0xfffffffe,0xff707fdc,0xffffffff,0x3fea03ff,0xfffdbdff,
    0xffffb81f,0x7fcaffff,0x8bffffb0,0xffffffc8,0x00ffe80c,0xfffc8800,
    0x7c404eff,0x0000efff,0x3bffff66,0xd56fe81c,0x001bffff,0x3ffffff2,
    0x7fecc00d,0x7001dfff,0x17bfffff,0x3fffee00,0xb8800bdf,0xf93ffffd,
    0x7ffe4c0f,0x00beffff,0x7fffffdc,0x3aa01fff,0xf91dffff,0x3fff620f,
    0x002aa606,0x00000997,0x6c001353,0x00000bee,0x440002a6,0x2620001a,
    0xa988001a,0x33100009,0x01988000,0x00054400,0x026aa660,0xbfdb7100,
    0x26200137,0x00440001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x8fba6000,0x4c003ee9,
    0x2066209b,0x3baa3eea,0x04eed803,0x17ba2000,0x0005eed8,0x8007ddb0,
    0xeeeeeeea,0x000abccd,0x4c1f76c4,0xeeeeeeee,0x4eeeeeee,0x77641ddb,
    0x66ee5400,0xed80001b,0xdb0eed83,0x9807764d,0x03deffed,0x3ea4ffa8,
    0xffd9804f,0x0ff94fff,0x7fd49ff7,0x1fff9804,0xfff10000,0x13ffff20,
    0xdfff5000,0xffffb800,0xffffffff,0xffb000cf,0xfff985ff,0xffffffff,
    0xffd5ffff,0xa80fff41,0xffffffff,0xff90000c,0x3a3ffd09,0x103ff67f,
    0xfffffffb,0x7fd403df,0x3013fea4,0xfffdffff,0xff70ff9b,0x8027fd49,
    0x00005ffa,0xff50fff1,0x0005ff7b,0x017fffec,0xffffff70,0xffffffff,
    0xbffc807f,0x3fe61ffd,0xffffffff,0xfd5fffff,0x40fff41f,0xecdefffb,
    0x98006fff,0xffe84fff,0x7fecffd1,0x5f7ffec0,0x01fffeba,0x55443551,
    0x0fffa201,0x10fffff3,0x0d544355,0x001ff900,0x88fff100,0x3ffd0fff,
    0xf9ff1000,0x7fdc00bf,0xff733305,0x3fea03ff,0x261dff16,0x2a0006ff,
    0x02aaa0aa,0xd307fff3,0x7c4009ff,0xffe84fff,0x265cffd1,0x6c07ffee,
    0x00000eff,0xf103ffe8,0x00000fff,0x0000b2e0,0x9951ffe2,0x001e64c5,
    0x7fecffdc,0x0bff7000,0x41bff620,0x332a1ccb,0x000dff32,0x2ffe8000,
    0x007ffe60,0x427fffec,0x0ffd1ffe,0x4405fff0,0x00002fff,0x2e037fc4,
    0x000007ff,0xf8800000,0x0000007f,0x0ffeadfd,0x002ffdc0,0x0009ffd1,
    0x0006ff98,0x037fc000,0x54017ff4,0xe84ffcff,0x80ffd1ff,0xfd806ff9,
    0x2ee6204f,0x1ffcc00a,0x3313ffc0,0x4c433100,0x00198801,0x3317ff88,
    0x20033100,0xfff14ff9,0x017fee00,0x401fff30,0xdff30198,0x06620000,
    0xb805ff98,0x7fc404ff,0xfe84ff9c,0x4c4ffd1f,0x2013faa1,0xfc885ffa,
    0x01efffff,0xfd005ff7,0x7403ff4f,0x201ffa7f,0xf88007fe,0xd00ffd7f,
    0x3ff600ff,0x200bff62,0xe8005ffb,0x3ff602ff,0x006ff980,0x401ffb00,
    0xffc80199,0xf9b7f403,0xd1ffe84f,0x007fecff,0x543ffb80,0xffffffff,
    0x1ffd83ff,0x3fa7fd80,0x3a7fe807,0x07fe807f,0xfd7ff880,0x00ffd00f,
    0xffa8fff1,0x05ffb805,0x204ffb80,0xff980ffd,0xffb00006,0xff100001,
    0x8ffdc03f,0xffe84ff9,0x7fecffd1,0xffe88000,0x877ffe21,0x6c2fffb8,
    0x7fc800ff,0x3fa01ffa,0x3a01ffa7,0xff88007f,0xfd00ffd7,0x09ff700f,
    0xfb801fff,0xff98005f,0x203ff605,0x00006ff9,0x00001ffb,0x2601fff5,
    0x13fe64ff,0x3ff47ffa,0xb0001ffb,0x4ffd8bff,0xc83ffea0,0x7fd801ff,
    0x3fa01ffa,0x3a01ffa7,0xff88007f,0xfd00ffd7,0x03ffd00f,0xfb809ff9,
    0xff98005f,0x203ff606,0xccccfff9,0x04cccccc,0x00003ff6,0x7407ffd1,
    0x427fcc6f,0x4ffd1ffe,0x6c000ffd,0x3fe60fff,0x24ffd807,0xfd802ffb,
    0x3a01ffa7,0x201ffa7f,0xf88007fe,0xd00ffd7f,0x6ff980ff,0xb80fff30,
    0xf88005ff,0x03ff607f,0x3fffffe6,0x7fffffff,0x0003ff60,0x640bffd0,
    0x27fcc1ff,0x7fe8fff4,0xd8003ff6,0x7fd40fff,0x25ff9803,0xff804ffa,
    0x3a01ffa7,0x201ffa7f,0xf88007fe,0xd00ffd7f,0x3ffc80ff,0xb80bffa0,
    0xf88005ff,0x1ffb00ff,0xffffff30,0xffffffff,0x0007fec0,0x201fffb0,
    0xff983ffa,0xfd1ffe84,0x8007fecf,0xfc80effd,0x4fff002f,0x2e00fff8,
    0x01ffa7ff,0x07fe9ffa,0x88007fe8,0x00ffd7ff,0xfff80ffd,0x817fee00,
    0x98005ffb,0x3ff607ff,0x99eff980,0x99999999,0x003ff601,0x03fffa20,
    0xf982ffc4,0xd1ffe84f,0x007fecff,0xd807ffd4,0xffd001ff,0x882ffdc1,
    0x1ffa7fff,0x7fe9ffa0,0x8007fe80,0x0ffd7ff8,0x7d40ffd0,0xeeeeeeff,
    0x700fffee,0xf5000bff,0x07fec0df,0x00037fcc,0x4000ffd8,0x200effe9,
    0xff300ffd,0x3a3ffd09,0x003ff67f,0xfe807ffa,0x1ffd000f,0x88aeffe8,
    0x3a7ffffa,0x27fe807f,0x7fe807fe,0xd7ff8800,0x0ffd00ff,0x7fffffec,
    0xffffffff,0x00bff704,0x6c0bff90,0x6ff980ff,0x1ffb0000,0x77ffcc00,
    0x2b7fea00,0xffcaaaaa,0x3ffd2aad,0x0ffd9ffa,0x202ffc40,0xff001ffd,
    0xfffd881f,0x7fedffff,0x3fe01ffa,0x3e01ffa7,0xff88007f,0xff00ffd7,
    0x3bffe20f,0xeeeeeeee,0xff707ffe,0x9ffb000b,0x4c07fec0,0xb00006ff,
    0x3e6001ff,0xffc805ff,0xffffffff,0xfd6fffff,0xfd9ffa3f,0x27fcc00f,
    0x400bff20,0x3fee07ff,0x4ffd3fff,0x7fc407fe,0xf101ffa7,0x206fd8ff,
    0x0ffd6ff9,0xf707ff88,0x7ffc009f,0x005ffb82,0xb00fffcc,0xdff301ff,
    0x3ff60000,0x4fffa800,0xfffff900,0xffffffff,0x47ffadff,0x03ff67fe,
    0xb807ff50,0xff9804ff,0x740a8806,0x803ffa7f,0x3ffa7ff9,0xd1ffe600,
    0xb7fd40ff,0x3e600ffe,0x03ffd07f,0x5c37fe40,0x7f4005ff,0x07fec05f,
    0x00037fcc,0x5400ffd8,0x26003fff,0xaaaaaaaa,0x2aadffca,0x9ffa3ffd,
    0x4c400ffd,0x7ffcc009,0x01fff400,0x7ecffd00,0x9ffee01f,0x3ee01ffd,
    0x80ffec7f,0x3ffb5ffb,0x4c3ffdc0,0x7c4006ff,0x2ffdc1ff,0x03fff700,
    0xf980ffd8,0xfb00006f,0x7ffc401f,0xf3000003,0x23ffd09f,0x03ff67fe,
    0xbff90000,0x007ffdc0,0x7e4ffd00,0xffff506f,0xfa837fe4,0x6ffe47ff,
    0xc97ffcc0,0xfff506ff,0x007ff90f,0xfb89ffb0,0x7f54405f,0xffd804ff,
    0x006ff980,0x401ffb00,0x00004ffd,0x3a13fe60,0x6cffd1ff,0x554c00ff,
    0xefff8802,0xfffd988a,0x3ff40000,0x537bfff1,0x44ffdff9,0xca9bdfff,
    0x7c47feff,0xffdbdfff,0x37ffe26f,0xfeffca9b,0x001fff87,0x7dc7ffa8,
    0xeeeeeeff,0x04ffffff,0xf301ffb0,0x360000df,0xfff500ff,0xdddddddd,
    0x98007ddd,0x1ffe84ff,0x07fecffd,0x4017fee0,0xffffffe9,0x80001fff,
    0x7ffdc7fe,0xfcafffff,0x7ffffdc7,0x87fcafff,0xfffffffb,0x7ffdc0ef,
    0xfcafffff,0x0037fd47,0x7dc7fff0,0xffffffff,0x003fffff,0x3e603ff6,
    0xfb00006f,0x3fff601f,0xffffffff,0x4c004fff,0x1ffe84ff,0x07fecffd,
    0x0017fee0,0x7bfffff7,0x3fa00001,0xffffea87,0xd50ff91d,0x323bffff,
    0xfffd307f,0x3aa019df,0xf91dffff,0x003ffd8f,0xfb9bff20,0xffffffff,
    0xd8002cde,0x6ff980ff,0x1ffb0000,0x3fffffa0,0xffffffff,0x7fcc004f,
    0xfd1ffe84,0x2007fecf,0x10005ffb,0x20000033,0x066204cb,0x000cc400,
    0x40015310,0x00000198,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0x26001eed,0x1dd90eee,0x202a0000,0x0077642a,
    0x55555440,0xaaaaaaaa,0x71ec802a,0x6c4007dd,0xeed81dee,0x000fbae3,
    0x7777775c,0x401abdee,0x001eeeea,0x50eeee98,0xd9000bdd,0xdd90001d,
    0xdddddddd,0xdddddddd,0x4cc1998b,0x801bfea1,0x3ff64ffd,0x7fdc0000,
    0x45fb8bdf,0xb8000ffe,0xffffffff,0x06ffffff,0xffc97fe4,0xfffd1004,
    0x41dff505,0x90004ffc,0xffffffff,0x203fffff,0x004ffffb,0x70ffffb8,
    0xe8007fff,0x7c4001ff,0xffffffff,0xffffffff,0x0fffc6ff,0x7fec3fff,
    0x0fffa802,0x80003ff6,0xffffeff8,0x07ff42ff,0x7fffdc00,0xffffffff,
    0x3fea06ff,0x009ff92f,0x205fffd1,0x7fe41ffe,0xfff90004,0xffffffff,
    0xff705fff,0xfd000dff,0x3fee1fff,0x3fa001ff,0x7fe4001f,0xffffffff,
    0xffffffff,0xf0fffc6f,0x3ffcc3ff,0x361fff40,0x2e0000ff,0x9ffb714f,
    0x000ffe81,0xaaaaaa88,0xfffbaaaa,0x5ffff502,0xd1013ff2,0x3ea03fff,
    0x04ffc82f,0x109ff900,0x3fffd533,0x1fffffb8,0x3fffe600,0xdffff70f,
    0x00fff400,0x263fff10,0x7c0007ff,0x07ffe1ff,0x7d407ff9,0x00ffd86f,
    0x02026200,0x0000ffe8,0x427fe400,0x2fffffd8,0x74409ff9,0x32e01fff,
    0x009ff903,0x4013ff20,0x7fdc4ffd,0x32004ffd,0xf70fffff,0x2007ffff,
    0x32001ffe,0x1ffe65ff,0x98333000,0x0fff8819,0xfb05ffd0,0x0000001f,
    0x0001ffd0,0x42ffcc00,0xffeffffb,0x2209ff92,0x0001fffe,0x80027fe4,
    0xf3004ffc,0xfbffb8df,0x33fa006f,0xdff70fff,0xfd003fff,0x3fe2003f,
    0x01ffe61f,0x7dc00000,0x06ffb84f,0x4cc01ffb,0x51026209,0x3ffa0157,
    0x0006ea60,0xf503ffa0,0x5ff91dff,0x3a213ff2,0x98801fff,0x009ff901,
    0x8013ff20,0x3fee0fff,0x9801ffcb,0x70fff9ff,0x0dffb7ff,0x2003ffd0,
    0x7fcc6ffc,0x00000007,0xff887ffa,0x01ffb01f,0xfe83bff2,0xffffff35,
    0x98ffe81b,0x05ffffff,0x507ff900,0x97fe47ff,0x7f444ffc,0xffb001ff,
    0x009ff901,0x4013ff20,0x7fdc6ff8,0xc804ff9b,0x2e1fff6f,0x4fff8bff,
    0x400fff40,0x7cc2fff8,0x0000007f,0xfc97fea0,0x03ff604f,0xfd03bff2,
    0xffffff5b,0x7ff41dff,0xfffffffc,0x7fcc005f,0xfc817506,0x449ff92f,
    0x2000effe,0xffc80ffd,0x9ff90004,0x713fee00,0x01bfe7ff,0x87ffcffe,
    0xfff53ffb,0x00fff403,0x7cc37fdc,0x0000007f,0x7c4fff40,0x3ff600ff,
    0x4077fe40,0x12dffffe,0x7f47fff7,0xf931cfff,0x7f4009ff,0x7fe4002f,
    0x3a29ff92,0x6c000eff,0x4ffc80ff,0x09ff9000,0xb81dff90,0x03ff93ff,
    0xfff8ffcc,0x7ec7ff70,0x07ffa06f,0x260bffe0,0x000007ff,0x66ffcc00,
    0x7fec03ff,0x403bff20,0xf701fffe,0x17fff4df,0x5005ffa8,0xf9000dff,
    0x233ff25f,0x000ffffe,0x7e407fec,0xff90004f,0xfddddddd,0xf701bfff,
    0x813fe67f,0x43ffe6fc,0x3fe23ffb,0x03ffd04f,0xf306ffb8,0x999999ff,
    0x00099999,0xfd333330,0x3333ffff,0xf90ffd83,0x7ff401df,0xfd3ffc04,
    0x06ff809f,0x0007ffb0,0x3ff25ff9,0x5fffffec,0x407fec00,0x90004ffc,
    0xffffffff,0x203fffff,0x1bfa3ffb,0x3ffe3ff8,0xfa87ff70,0x1ffe81ff,
    0x9817ff40,0xffffffff,0x007fffff,0xffffff80,0xffffffff,0x23ff61ff,
    0x7400effc,0x7ff402ff,0xe805ffd0,0xfff8807f,0x2ffc8000,0x3dfffff9,
    0x6c007fff,0x4ffc80ff,0xffff9000,0xffffffff,0x7ff707ff,0x7cc0ffe4,
    0x5c3ffe0f,0x6ffd83ff,0x2a01ffe8,0x3fe606ff,0xffffffff,0x80007fff,
    0xffffffff,0xffffffff,0x3ff3ff61,0x1ffe803f,0xfe87fec0,0x07fec01f,
    0x0013fee0,0xffc97fe4,0xfff70eff,0x03ff6003,0x40013ff2,0x53104ffc,
    0x5c1dfff7,0x13fe63ff,0x1fff1bf2,0x3e20ffee,0x0fff44ff,0x4c05ffd0,
    0x99999fff,0x00199999,0x99999980,0x9999dffa,0x7fffec19,0x7f400fff,
    0x87fec00f,0x7ec00ffe,0x0fff400f,0x92ffc800,0xfd81dfff,0xffd800ff,
    0x004ffc80,0x2009ff90,0x3ee3ffe9,0x7c37f43f,0xb87ffc3f,0xfff503ff,
    0xa80fff43,0xcccccfff,0x007ffdcc,0x55055540,0x9ff30015,0x3bfff600,
    0x7f405ffd,0x87fec00f,0x7ec00ffe,0x1bfe600f,0x92ffc800,0xff101dff,
    0x1ffb00bf,0x0009ff90,0xa8013ff2,0x0ffee5ff,0x7fd43ff9,0xfb87ffc0,
    0x9bff603f,0xffd01ffe,0xffffffff,0x8000ffff,0x3ffe1fff,0x33333321,
    0xcccceffd,0x57ff60cc,0x3a02fff8,0x7fec00ff,0xd801ffd0,0x3ff600ff,
    0x3ff20002,0x5409ff92,0x7ec03fff,0x04ffc80f,0x009ff900,0xfb87ffc4,
    0xb27fcc3f,0x21fff0bf,0x3e203ffb,0x03ffd4ff,0xfffffff5,0xffffffff,
    0x1fff8000,0xfff87ffe,0xffffffff,0x361fffff,0x3ffea0ff,0x801ffd00,
    0x1ffd0ffd,0x100ffd80,0xc8000fff,0x09ff92ff,0x201fffd8,0xffc80ffd,
    0x9ff90004,0x71fff800,0x2dfd07ff,0xfff82ff8,0xa807ff70,0x1ffe9fff,
    0x999bffe8,0xffa99999,0x7ffc0007,0xed87ffe1,0xfffeeeee,0x21eeeeee,
    0x7fec0ffd,0x801ffd05,0x1ffd0ffd,0x300ffd80,0xc8000dff,0x09ff92ff,
    0x00effe88,0xff901ffb,0x3ff20009,0x9ffe6004,0xffc83ffb,0xff80ffa9,
    0x007ff70f,0x3ffddffb,0x3007ff98,0x70000fff,0x7cc0001f,0x1ffb004f,
    0xe82fff88,0x7fec00ff,0xd801ffd0,0x9ff700ff,0x2ffc8000,0xf3009ff9,
    0x3ff609ff,0x004ffc80,0x4009ff90,0x3fee5ffd,0xfdcff983,0x2e1fff05,
    0xff8803ff,0x7ec1ffff,0xfff3003f,0x54fb0000,0xff3000aa,0x03ff6009,
    0xfd03ffea,0x0ffd801f,0xfd801ffd,0x07ffb00f,0x92ffc800,0x3f2009ff,
    0x0ffd82ff,0x0004ffc8,0xb3009ff9,0x7fdc5fff,0x5ffdfd03,0x7dc3ffe0,
    0xfff5003f,0x7ffcc3ff,0x0fff3000,0x3e5f9800,0xff3001ff,0x03ff6009,
    0x3fa2ffec,0x87fec00f,0x7ec00ffe,0x03ffd00f,0x92ffc800,0x7f4009ff,
    0x07fec0ff,0x77777fe4,0xeeeeeeee,0xddddff91,0xffffdddd,0x03ffb89f,
    0x201ffff9,0x7ff70fff,0x7fffec00,0x8013ff61,0xeeeefff9,0xeeeeeeee,
    0x7fc1df11,0x9ff3001f,0x403ff600,0x3fa2fff8,0x87fec00f,0x7ec00ffe,
    0x01fff00f,0x92ffc800,0x7cc009ff,0x07fec6ff,0x7fffffe4,0xffffffff,
    0xffffff91,0xffffffff,0x207ff709,0x3e05fff9,0x07ff70ff,0x8ffffc40,
    0x2000fff9,0xfffffff9,0xffffffff,0x07ffe0a1,0x8027fcc0,0x3ee00ffd,
    0x01ffd0ff,0xffd0ffd8,0x00ffd801,0x90000fff,0x13ff25ff,0x49fff700,
    0xffc80ffd,0xffffffff,0xff91ffff,0xdfffffff,0x3ee017bd,0x0bffa03f,
    0xff70fff8,0xfffa8007,0x8009ffb1,0xfffffff9,0xffffffff,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3bbaa000,0xccdeeeee,0x3bba602c,0xeeeeeeee,0x504eeeee,
    0xbddddddd,0x30015799,0xdb0009dd,0xeeeed83d,0xeeeeeeee,0x3bb26eee,
    0xddb0000d,0x007775c7,0xea97baa0,0xddd3003e,0x53ba6007,0x20003eec,
    0xddd54eea,0x9ddddddd,0xea801599,0x5c00004e,0xffffffff,0x0cffffff,
    0x7fffffd4,0xffffffff,0xfff705ff,0xffffffff,0x7d4019ff,0xffe8005f,
    0x7fffffc1,0xffffffff,0x3ffe27ff,0xeffc8005,0x002fff40,0x7cc5fff1,
    0xfff7006f,0x4fff200f,0x20007ffa,0xfff52ffe,0xffffffff,0x5c09ffff,
    0x400005ff,0xfffffffb,0xffffffff,0x7ffffd45,0xffffffff,0xff705fff,
    0xffffffff,0x207fffff,0xe8005ffa,0x7fffc1ff,0xffffffff,0x7dc7ffff,
    0x3e6002ff,0xfff981ff,0x09ffd003,0xfd001fff,0xfd003fff,0x017ffc3f,
    0xf53ffc40,0xffffffff,0xbfffffff,0x0017fee0,0x40bff700,0x4fffe999,
    0x00017fea,0x260bff70,0x1ffffba9,0x8005ffa8,0x40001ffe,0xfd85fff8,
    0xffd000ff,0x0fffdc09,0x6c1bff20,0x7fc402ff,0xff803ffe,0x002ffe47,
    0xff527fe4,0x3ff6600b,0x05ffb84f,0x2ffdc000,0x54fff900,0x400005ff,
    0xb1005ffb,0xbff50dff,0x03ffd000,0x37ff4400,0x804fff88,0xfd806ffc,
    0x3ffea06f,0x809ff700,0x05ffaffa,0x3e62ffcc,0x7f4000ff,0x017fea0f,
    0xf70fffb0,0xb80000bf,0x3e2005ff,0x0bff51ff,0x5ffb8000,0x227ff400,
    0xe8005ffa,0x360001ff,0x3ee00fff,0x3fe601ff,0xfff8801f,0x02fff884,
    0xf901bfe6,0xf701ff6f,0x05ffd07f,0x2a2ffcc0,0x7cc005ff,0x7ffdc1ff,
    0xeeeeeeee,0xffb800bd,0x9fff4005,0x00005ffa,0x2002ffdc,0x3ea0fffa,
    0xffe8005f,0xfff90001,0x0dffb003,0x50027ff4,0xffe85fff,0x407ff804,
    0x05ff75fe,0x7dc07fec,0x3ff2005f,0x002ffd42,0x3ee1fff4,0xffffffff,
    0x00dfffff,0x90017fee,0x17fea9ff,0xbff70000,0x45ffb000,0xe8005ffa,
    0xfb8001ff,0xff1003ff,0x0dff709f,0x21fff900,0xfb006ffc,0x4ffe603f,
    0x3fe04ff9,0x01fff106,0xf50fff10,0xffd000bf,0xfffffb85,0xffffffff,
    0x3fee06ff,0x97fec005,0x00005ffa,0x4002ffdc,0x3fea4ffc,0x1ffe8005,
    0x27ffcc00,0x87ffee00,0x8001fff9,0xff9cffe8,0x7ff5000f,0xff87fee0,
    0x409ff306,0xfa803ffd,0x05ffa84f,0x20fffc40,0xd8805ffb,0xff705fff,
    0x7ffcc00b,0x000bff51,0x005ffb80,0x3ea5ffa8,0xffe8005f,0x3ffe2001,
    0xdffb0006,0x0001ffec,0x5ffffff3,0x82ffc400,0x07fe47fd,0xf3017fdc,
    0x3ffb00df,0x400bff50,0xfb86ffe9,0x3fee005f,0x05ffb80f,0x54dffd30,
    0xccccceff,0x3ccccccc,0x0017fee0,0xffa9bfe6,0xffffffff,0xffffffff,
    0x3fffa001,0xfff10000,0x000bff55,0x09ffff70,0x3e0ffd00,0x41ffd44f,
    0x7f400ffd,0x1bfe200f,0x4cceffd4,0xfcba9999,0xffb81fff,0x17ffc005,
    0x55577fdc,0xffdcbaaa,0x3ffea1ff,0xffffffff,0xff86ffff,0xffffffff,
    0xfff101ff,0x7fffffd4,0xffffffff,0x9001ffff,0x80003fff,0x0ffffffb,
    0xfffd0000,0x3ff90001,0x7c42ff98,0x806ff85f,0x3ee03ffb,0xffff503f,
    0xffffffff,0x2e03dfff,0x7ec005ff,0xffffb83f,0xffffffff,0x7fd42fff,
    0xffffffff,0xf86fffff,0xffffffff,0xff101fff,0x3bffea1f,0xeeeeeeee,
    0x01fffeee,0x003fffb8,0x5ffffb00,0x3fea0000,0xfa8004ff,0x407fe42f,
    0x1ffcc7fe,0xd037fc40,0x3fea01ff,0xffffffff,0x200bdfff,0x64005ffb,
    0xfffb84ff,0xffffffff,0xdff504ef,0x33333333,0x33013333,0x3333bff7,
    0x3ffcc033,0xd000bff5,0xff9803ff,0x2200004f,0x00005fff,0x5ffffff1,
    0x44ff8800,0x3ff906fe,0xd800ffdc,0x4ff981ff,0x2abbfea0,0x3fffdcba,
    0x00bff700,0xfb82ffe8,0xaaaaaaef,0x5ffa8009,0x7fdc0000,0x7ffa8005,
    0x20017fea,0x3e201ffe,0x800005ff,0x00002ffd,0xfff99ffb,0x26fe8001,
    0xff303ff8,0x5003fec7,0x3ff909ff,0x302ffd40,0xf700bfff,0x7fd400bf,
    0x05ffb81f,0x05ffa800,0x2ffdc000,0x537fe400,0xfd000bff,0x77ff403f,
    0xfd800000,0xfb80002f,0x5ffe88ff,0xa87fe400,0x93fe01ff,0x7fc005ff,
    0x5406ff87,0x7fcc05ff,0x2ffdc05f,0x05fffa80,0x0000bff7,0x0000bff5,
    0x8005ffb8,0x3fea3ffd,0x1ffe8005,0x003fff90,0x0bff6000,0x5fff3000,
    0x001fffcc,0x1ff65ff5,0x3fe6dfb0,0x17fe4003,0xfa807ff5,0xfffa805f,
    0x33bfee03,0xfedccccc,0xf700ffff,0xf50000bf,0xb80000bf,0x7cc005ff,
    0x17fea1ff,0x207ffa00,0x0002fffa,0x00bff600,0x84ffe880,0x1001fffc,
    0x017fe9ff,0x1ff51ff7,0x25ff9800,0x7d400ffd,0xfff9005f,0x3fffee03,
    0xffffffff,0x3ee01eff,0xfa80005f,0x5c00005f,0x7f4005ff,0x02ffd46f,
    0x260fff40,0x00004fff,0x0017fec0,0x740dffb0,0x3f6006ff,0x4c02ff9d,
    0x006fcaff,0x3fe2ffd0,0x05ffa805,0x01dffd10,0xfffffff7,0x05bdffff,
    0x000bff70,0x000bff50,0x005ffb80,0xf50bffee,0xffd000bf,0x02fff443,
    0x7fec0000,0xfff70002,0x27ffcc01,0xffbffb80,0xfebff800,0x5ff70004,
    0xf5005ff5,0x7fcc00bf,0x9dffb84f,0x00099999,0x0005ffb8,0x0005ffa8,
    0x202ffdc0,0x85fffe98,0xe8005ffa,0x1bff61ff,0x7ec00000,0xff98002f,
    0xfffb803f,0xfeff9802,0xffdf9006,0x3fe20005,0xf5006fdc,0xffd800bf,
    0x02ffdc1f,0x17fee000,0x3ffea000,0xeeeeeeee,0x81eeeeee,0xeeeefffb,
    0xffffffee,0x00bff505,0x3ea3ffd0,0xeeeeeeff,0xeeeeeeee,0x3ff6002e,
    0x7ff44002,0x3fff6005,0x4ffff800,0x1ffff500,0x7ffe4000,0xbff5003f,
    0x6fff8800,0x0002ffdc,0x0017fee0,0x3ffffea0,0xffffffff,0xfb81ffff,
    0xffffffff,0x202effff,0xe8005ffa,0xffff51ff,0xffffffff,0x05ffffff,
    0x0017fec0,0x8003fff6,0xd805fff8,0xf1002fff,0x98000dff,0x5000ffff,
    0xf5000bff,0x2ffdc7ff,0x3fee0000,0xffa80005,0xffffffff,0x1fffffff,
    0xffffffb8,0x01deefff,0x8005ffa8,0xfff51ffe,0xffffffff,0x5fffffff,
    0x017fec00,0x003fff50,0x807fff50,0x74007ffb,0xe80003ff,0x3ea005ff,
    0xffb0005f,0x017fee1f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x77774400,0xeeeeeeee,
    0x03eeeeee,0x5555c000,0xaaaaaaaa,0x4c02aaaa,0xa88002ee,0x2a6009bb,
    0x988001ac,0x80009aca,0x2000aba8,0x2009bba9,0x19880198,0x00aba980,
    0x0abb9880,0x2a204c40,0x413100ab,0x04cc41b9,0xf3019880,0xffffffff,
    0xffffffff,0x5dcc409f,0x038fe20a,0x3e601c00,0x3fea003f,0x24efffff,
    0xeffffffa,0xfffe9802,0x400dffff,0xfffffec8,0x3ffaa01d,0xe81effff,
    0x07fe807f,0x3ffffff2,0xffc8801e,0xd01effff,0x3fffe6bf,0xaff40dff,
    0xf51ffffd,0xdff100bf,0x3ffffe60,0xffffffff,0x884fffff,0xdffffffd,
    0x000e4fea,0x3ff98070,0xfffff900,0xf99ffffd,0xffffdfff,0x7fffe405,
    0x0fffffef,0xffffff30,0xf503ffff,0xffffffff,0x807fe85f,0xffe987fe,
    0x3ffffeff,0x3ffffea0,0xe83fffff,0xfffffadf,0x3fa0efff,0x0fffffbd,
    0xf5003ffe,0x3ea0007f,0x7fd4005f,0xffffffff,0x20001c5f,0x01ffcc03,
    0x5c177fd4,0x21efffff,0xa80fffc9,0x7541bfff,0xfff884ff,0x3fff261d,
    0x305fffc0,0x7fe8fff9,0xfe87fe80,0x3fee21df,0xdfff881f,0x0bffee21,
    0x25bffffd,0x3a3fffb8,0x5dbdffff,0x3601ffe4,0xf50000ff,0x7fc400bf,
    0x3ff6a1df,0x20001c3f,0x01ffcc03,0xf9007ff4,0x7fc40dff,0x203ffd86,
    0xffc87ffb,0x98fffa04,0x3ffa04ff,0x3a01ffa2,0x02ffdc7f,0xffb0dff3,
    0x07ffd409,0x2e03fffd,0x3fffa6ff,0x037fcc01,0x4000bff1,0x36005ffa,
    0xfff304ff,0x20001c1f,0x01ffcc03,0xf5013fe6,0xffb803ff,0x101bfa22,
    0x1fff0fff,0xf537fcc0,0x0564c07f,0xffd00ffd,0x2007ffc4,0x3fe62ffd,
    0x24ffd807,0x7fc04ffe,0x4013ffa7,0xff700ffe,0x7fd40005,0x0fff3005,
    0x93ffbfa2,0xa99c0003,0xdffcaaaa,0x082aaaaa,0x403ffcc0,0x20004ff8,
    0x27fc47fe,0x3fe604c0,0x3ff4002f,0xff53ff40,0x49ff7009,0xf9803ffa,
    0x00bffa5f,0x3ffa1ffd,0x07ff7002,0x50001ffa,0x3ee00bff,0xf3bfb03f,
    0x20001cbf,0xffffffb3,0xffffffff,0x3b2a200d,0x99999eff,0x05ff9999,
    0x3ff6e620,0x00ffea0f,0xcffffe80,0x03ff400a,0x9ff73ff4,0x33333333,
    0x7fe4bff5,0x74fff002,0x7fec01ff,0x2003ffd0,0xff986ff8,0x7fd40004,
    0x05ff9005,0x9bfe1df7,0xfd9c0003,0xffffffff,0x886fffff,0xfffffeca,
    0xffffffff,0x07ffffff,0xffffd971,0x7dc1ffff,0x3a20002f,0xbeffffff,
    0xe807fe80,0x3ffff27f,0xffffffff,0x07ff66ff,0xfe87ff40,0x87fec00f,
    0x36000ffe,0x0ffe41ff,0x17fea000,0x260ffec0,0x39ffa1ff,0x9989c000,
    0x9cffa999,0x7dc09999,0xcdffffff,0xffffffff,0x0fffffff,0x7fffffe4,
    0x20ffecef,0x80002ffc,0xffffffeb,0x403ff42f,0x3fff67fe,0xffffffff,
    0x3ffa7fff,0x21ffd000,0x7ec00ffe,0x800ffd0f,0x37fc4ffa,0x2ffd4000,
    0x220ffe80,0x87ff42fe,0x201c0003,0xfc803ff9,0x261acfff,0x99999dff,
    0x41999999,0x9bdefffc,0xfc83ffa0,0x2200002f,0x3fffffdb,0x3fe01ffa,
    0x266fff27,0x99999999,0x007ff619,0xffe87ffc,0xe87fec00,0x7ff8007f,
    0x0000ffea,0x6c017fea,0x213f61ff,0x0000e7ff,0x03ff9807,0x300fffcc,
    0x4c000dff,0x7fc02fff,0x00ffea0f,0x3aa00022,0x01ffa6ff,0x7fdcfff1,
    0x3ff20003,0x74fff002,0x7fec00ff,0x9000ffd0,0x03ff63ff,0x17fea000,
    0xfb9ffe40,0x01cdff06,0xff300e00,0x04ffc807,0x4403ffd4,0x13ff22ac,
    0x4c1fff10,0xffe805ff,0xf8807530,0x01ffd0ff,0xff53ffcc,0x4357100b,
    0xf9804ffb,0x003ffa6f,0x1ffa1ffb,0x7d3fe200,0xf500005f,0x3fee00bf,
    0xf980ff9d,0x70000e5f,0x403ff980,0x7f401ffe,0x7fe402ff,0x700bff65,
    0x7fc41fff,0x9bfe200f,0x7f403ffd,0x403ffb0f,0x3fe27ffb,0x27fec01f,
    0xe801fff3,0x03ffa3ff,0x3fa1ffb0,0x5ffd0007,0x200005ff,0xf3005ffa,
    0x3a05ffff,0x0000e3ff,0x03ff9807,0xfb02ffec,0x2603ffff,0x3ff21fff,
    0x3fffea05,0xb02ffdc0,0x37fdc7ff,0x7e4dff50,0xffff506f,0x500effb8,
    0xffc83fff,0x83ffee05,0x7ec00ffe,0x000ffd0f,0x01ffbfee,0x05ffa800,
    0x413fff60,0x001c6ffb,0x5dd300e0,0x1bfffa80,0xf99ffb71,0xf95137ff,
    0xfffa89ff,0xfff9511c,0xdffd03ff,0xbffd7115,0x9beffe88,0x23fffca8,
    0xa9bdfff8,0xe87feffc,0xf950afff,0xfff109ff,0xffb3115d,0x00ffe81f,
    0x7fe87fec,0xffff1000,0x7d400009,0x3fe2005f,0xfd989bef,0x0001c1ff,
    0xfb00000e,0xffffffff,0x7ffffd45,0xf904ffff,0xffffffff,0xd107ff77,
    0xffffffff,0xffff301d,0x07ffffff,0xfffffff7,0xb10ff95f,0xffffffff,
    0x7ff4c0bf,0x1fffffff,0x6c00ffe8,0x00ffd0ff,0x00fffec0,0x0bff5000,
    0x7ffffd40,0x82ffffff,0xec9c0003,0xeeeeeeee,0x5c5eeeee,0x0cefffff,
    0xfffffd98,0x7ffdc02e,0xff10cfff,0x7fffdc0d,0x7e4403ff,0x01dfffff,
    0x37ffffaa,0x75c0ff91,0x02efffff,0xbfffff70,0x03ffa017,0x3fa1ffb0,
    0x3fe60007,0x7d400006,0x5ff3005f,0x9ffffff7,0x70000e01,0x3ffffff6,
    0xffffffff,0x00135306,0x20004d44,0x80000aa9,0x98000a98,0x4c4000a9,
    0x9a980001,0x03310000,0x00000000,0x20000000,0xd3005ffa,0x801aa987,
    0xfd9c0003,0xffffffff,0x006fffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xff500000,0x0000400b,0x6666666c,0xcccccccc,
    0x0000004c,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3ea00000,0x0000005f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00017fea,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x05ffa800,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x44098800,0x2ea200bb,0x4019880a,
    0x4cc00998,0x10026660,0x99988133,0x99999999,0x98000099,0x28800622,
    0x00000144,0x0380132a,0x7f440170,0xdf72fec3,0x000ffcc1,0x80004cc4,
    0x00000198,0xfffaaff4,0x3fa62fff,0x7ec3ffff,0x13ff601f,0x3f63ffa8,
    0x3ffe205f,0x7ffffec2,0xffffffff,0x3fae0002,0x5443fd13,0x88bfa20b,
    0x00000cff,0xf9007fd8,0x00efb80b,0x1ffa8df9,0x1bf227f4,0x017ff200,
    0x8007fec0,0x403effea,0xffffadfe,0xff98ffff,0x23ffffff,0x3fe04ffa,
    0x83ff206f,0xfb03fff8,0xffffb09f,0xffffffff,0xfc88003f,0xfff73fff,
    0x7dffffb7,0x7fc4bffd,0x00002dff,0x3e201ff6,0xfff705ff,0x445ff505,
    0x2ffa84ff,0x90013fe2,0xf1000bff,0xffb009ff,0x740bffff,0xb89bffff,
    0x2dffeffe,0x7c4fffb3,0xffff306f,0x2a1bfe01,0x7fdc0fff,0x33333106,
    0xbffb3333,0x7ffed400,0x3fee0cff,0xffffffff,0xffeb85ff,0x0000beff,
    0xf8803fec,0x7ffdc5ff,0x6c5ff882,0x1ffb00ff,0x90017fdc,0xf9000bff,
    0x7d401fff,0x2ffd99df,0x105fffd0,0x3a05ffff,0x03ff61ff,0x20bfffee,
    0xffb03ff9,0x00fffccb,0x00dff900,0xdffffd71,0x6fffec05,0x07fffc9a,
    0x7ffffecc,0xffb0001c,0xafffc400,0xfb02fffb,0x01ffdc3f,0xffe8bff3,
    0xf0000000,0x7407ffbf,0xd07fd84f,0x7ffc09ff,0xb8bff205,0xfdfd82ff,
    0x01ffb84f,0x3fa5ffd1,0x3ee0003f,0x3f2600ef,0x801cffff,0xfe880ffe,
    0xffb8800f,0x4002dfff,0x7c4007fd,0x02fffeff,0x7fc49ff7,0x22ffc806,
    0x00005ffa,0xfd9ffb80,0x2e07fe07,0x2ffe80ff,0xb80fff60,0x13fe23ff,
    0x21bf6bfe,0x7fcc06fe,0x0005ffcf,0x5403ffea,0x0beffffe,0x409ff100,
    0x54003ffa,0x0bfffffd,0x8007fd80,0x02fffff8,0x7ec1fff1,0xfff8802f,
    0xfd8fff60,0xffffffff,0xd06fffff,0x20bfe6df,0xff880ff9,0x201ffe81,
    0x3ee02ffc,0x2a3ff43f,0x20ffb8ff,0xfc804ff8,0x0000efff,0x2203fff3,
    0x001dffff,0x7c01ffb8,0xf910005f,0x3fe27fff,0xffffffff,0x203fffff,
    0x3206fffc,0x1bfe64ff,0x2a4ffc80,0x3fff67ff,0xffffffff,0xffa86fff,
    0x3e61bfa2,0x81ff881f,0x3f200ffe,0x0ffee01f,0xb7e43ff9,0x3fea2ff9,
    0x3fffd001,0x3ffe2000,0x33ffe203,0x0ff90000,0x8000dfd0,0xff13fffb,
    0xffffffff,0x207fffff,0x05fffffb,0x7ec1fff1,0xfff8802f,0xcb8bff60,
    0xcccccccc,0xd83ccccc,0x40ffdc7f,0x0ff983ff,0x3200ffe8,0x3fee01ff,
    0xfd1ffcc3,0xffb27fc9,0x17ffec00,0x27ff4400,0x3ffffa20,0x7fd4001d,
    0x013fe603,0x3ffff220,0x9999912f,0x9999ffd9,0xfff70399,0x2a0bfff7,
    0x1bfe24ff,0xfa8bff20,0x2000005f,0x7fc44ff9,0xfc86fe85,0x401ffd06,
    0x3ee01ffc,0xf15ff83f,0xff3fec5f,0x3ffee009,0x7f4000ff,0x3f6a005f,
    0x000befff,0x7fe40dff,0x3ff6a002,0xb000beff,0x7fdc00ff,0x0bfff12f,
    0xffa87ff6,0xd17fe603,0x2a6001df,0x3ff9001a,0xfa81ff90,0x2ffdaadf,
    0x6401ffd0,0x3fee01ff,0xff57fc83,0x7d4ffdc1,0xfff9802f,0x36005ffc,
    0x930006ff,0x039fffff,0x221cffd8,0xb8807ffb,0x02dffffe,0x7007fd80,
    0xff885fff,0x45ff885f,0xffb00ffd,0x000ffdc1,0xf100bff9,0x13fe60df,
    0x3ffffff2,0x803ffa04,0x3ee01ffc,0xcaffa83f,0x65ffcc6f,0x5ffd007f,
    0x3200fffa,0x40000fff,0xeffffeb8,0xffffe882,0x1fffffdd,0xfffff930,
    0x7ec00039,0x2fff8807,0x505fff10,0x27fc45ff,0xff117fd4,0x5ffc8009,
    0x202ffb80,0xfda80ffe,0x7ff402df,0x807ff200,0xff883ffb,0xdff84fec,
    0xffc805fe,0x803ffe65,0x0001fffb,0x7fffed40,0xffffd12f,0xffffffff,
    0x7fff445f,0x80000bef,0x5f3007fd,0x3204f880,0x20ffd46f,0x037e44fe,
    0x402775c0,0x775405ed,0xffd00002,0x00ffe401,0x3f607ff7,0xffc82fff,
    0x7fcc02ff,0x837fe40f,0x0001fffa,0x3fff2600,0x326bff73,0xffb8adff,
    0x0b7ffe25,0x0ffb0000,0x80080040,0x527642ed,0x01ee88bd,0x00000000,
    0x7ff40000,0x807ff200,0xff703ffb,0xfff501ff,0x7ff4401f,0x987ffd03,
    0xcbaadfff,0x03cccccc,0xc8fae200,0x883ae005,0x000001cf,0x00000ffb,
    0x00000000,0x00000000,0x3fa00000,0x07ff200f,0xf103ffb8,0x3fe20dff,
    0x2ffe405f,0x543fff30,0xffffffff,0x06ffffff,0x00001000,0x80000010,
    0x00000198,0x00000000,0x00000000,0xffd00000,0x00ffe401,0x7f407ff7,
    0x0fffa04f,0x400fffa8,0x3fea6ffc,0xffffffff,0x0006ffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x77edcc00,0x22fe401d,0x42defdb8,0xccccccc8,0xcccccccc,0x22013101,
    0xcccccccc,0x1ccccccc,0x54eea800,0x3bba29dd,0x2602aaa0,0x0004c00a,
    0x263ddd50,0x6ee83eee,0x2aaa3774,0x77777730,0x77777777,0x2a657777,
    0xaaaaaaaa,0xaaaaaaaa,0x0000002a,0xdffffc88,0xfefff881,0xbff900ff,
    0x7fffffc4,0x3fffe23f,0xffffffff,0x7fb03fff,0x3ffffe20,0xffffffff,
    0x7ff5c3ff,0xf75ffb84,0x87ffe2df,0x1ff81fff,0xdffffd88,0xffd1a202,
    0xf86ffb87,0x3e3ffc7f,0xffff71ff,0xffffffff,0x2bffffff,0xfffffffb,
    0xffffffff,0x00005fff,0xefffd800,0x2fec1fff,0xfea89ff1,0x43bf25ff,
    0xff10ffd8,0xffffffff,0x207fffff,0xfff102fd,0xffffffff,0x7ec7ffff,
    0x7dc6ffdf,0x22dff75f,0x3ffe1fff,0x2617fcc1,0xffffffff,0x7fc98acf,
    0x7e417fea,0x3e3ffc2f,0x98fffc7f,0xcccccccc,0xcccccccc,0x999953cc,
    0x99999999,0x07999999,0xfa800000,0x317fa21f,0x265fe815,0x915fdcff,
    0x01ff9859,0x4cffe600,0x01c47f22,0x86fdc000,0x3fee4fc8,0x3e2dff75,
    0x07ffe1ff,0x321ffd93,0xffffefff,0x7fffffff,0xfd803bfa,0x2ee1ddc6,
    0x000fffc3,0x00000000,0x98000000,0x406fb83c,0x3261ffc9,0xf700bf90,
    0xff98000f,0x7f99ff93,0x00005ff9,0x37c40fd8,0x3feabff7,0xf703ffe5,
    0x653fe201,0x7ff64c2f,0x912fffff,0x0cc88039,0x00000000,0x00000000,
    0x4c000000,0x2607fdba,0x7e400fff,0x027fcc05,0x64ffe600,0xffffffff,
    0x7400003f,0x7fd4fd07,0x7f49ff33,0x54cc7d87,0x80172ffd,0x00cdfec9,
    0x00000000,0x00000000,0x00000000,0xfffffd50,0x7f64c0ff,0x817f202e,
    0x80005ffb,0x7dcc3ff9,0x00000aff,0x6f883fb0,0x7fc4bfe2,0xbf31bf63,
    0x2fffffc4,0x00000000,0x00000000,0x00000000,0xf9000000,0xff757bff,
    0xc81fee00,0x09ffb05f,0x0ffe6000,0x109fdfd1,0x55555555,0x35555555,
    0x7eccbbea,0x3fd0ffc3,0x1df127dc,0x01677644,0x00000000,0x00000000,
    0x00000000,0xff100000,0x447fb819,0x902ff981,0x2ffd88bf,0x3fe60000,
    0x7fc6fec3,0x7ffffc43,0xffffffff,0x3fff23ff,0x5c4b84ff,0x0507260c,
    0x00000000,0x00000000,0x00000000,0x00000000,0xff883ff1,0xf90bfe27,
    0x897f201f,0x00001efe,0xff51ffcc,0xf887fea1,0xffffffff,0x43ffffff,
    0x0002deca,0x00000000,0x00000000,0x00000000,0x00000000,0x4efec000,
    0x647ffea8,0x4ffebdff,0xffe97f20,0x02eeeeee,0x2e04cc00,0x4ccc0ec3,
    0x99999999,0x00009999,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7d400000,0xffbfffff,0x7ffff640,0x557f200d,0xffffffff,0x0000003f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x88000000,
    0x3970cdeb,0x2002aa20,0x33331098,0x00133333,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_37_latin1_x[224]={ 0,2,1,0,1,1,1,1,2,2,1,1,2,1,
3,0,1,3,0,1,0,1,1,1,1,1,2,2,1,1,1,1,1,-1,2,1,2,2,2,1,2,3,0,2,
2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,2,0,0,0,-1,1,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,0,3,0,1,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,3,1,0,1,-1,
3,1,0,0,0,2,1,1,0,-1,2,1,0,0,3,2,0,2,1,1,0,2,1,1,0,2,-1,-1,-1,-1,
-1,-1,0,1,2,2,2,2,0,2,-1,0,-1,2,1,1,1,1,1,2,1,2,2,2,2,0,2,2,1,1,
1,1,1,1,1,1,1,1,1,1,0,3,-1,0,1,2,1,1,1,1,1,1,2,2,2,2,2,0,2,0,
 };
static signed short stb__arial_37_latin1_y[224]={ 29,5,5,4,3,4,4,5,4,4,4,9,25,18,
25,4,5,5,5,5,5,5,5,5,5,5,11,11,9,12,9,4,4,5,5,4,5,5,5,4,5,5,5,5,
5,5,5,4,5,4,5,4,5,5,5,5,5,5,5,5,4,5,4,33,5,11,5,11,5,11,4,11,5,5,
5,5,5,11,11,11,11,11,11,11,5,11,11,11,11,11,11,4,4,4,14,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,29,11,5,4,9,5,
4,4,5,4,4,13,12,18,4,1,4,9,5,5,5,11,5,15,28,5,4,13,4,4,4,11,-1,-1,-1,0,
0,0,5,4,-1,-1,-1,0,-1,-1,-1,0,5,0,-1,-1,-1,0,0,10,4,-1,-1,-1,0,-1,5,4,5,5,
5,5,5,4,11,11,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,10,10,5,5,5,5,5,5,5,
 };
static unsigned short stb__arial_37_latin1_w[224]={ 0,5,10,18,16,27,21,4,8,8,11,17,5,9,
4,10,16,10,17,16,17,17,16,16,16,16,5,5,17,17,17,16,32,24,19,22,21,19,17,23,20,4,14,21,
16,24,20,24,19,24,22,20,20,20,22,31,22,22,20,7,10,8,15,20,7,17,16,16,16,17,11,16,15,4,
8,15,4,24,15,17,16,16,10,15,9,15,17,24,17,17,16,11,3,11,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,5,16,18,17,20,
3,16,11,25,12,15,17,9,25,20,10,16,11,11,7,15,18,5,8,7,12,15,27,27,28,16,24,24,24,24,
24,24,32,22,19,19,19,19,7,7,11,10,24,20,24,24,24,24,24,15,24,20,20,20,20,22,19,18,17,17,
17,17,17,17,28,16,17,17,17,17,7,7,11,10,17,15,17,17,17,17,17,16,17,15,15,15,15,17,16,17,
 };
static unsigned short stb__arial_37_latin1_h[224]={ 0,24,9,26,30,26,26,9,32,32,11,17,9,4,
4,26,25,24,24,25,24,25,25,24,25,25,18,23,17,11,17,25,32,24,24,26,24,24,24,26,24,24,25,24,
24,24,24,26,24,27,24,26,24,25,24,24,24,24,24,31,26,31,14,3,5,19,25,19,25,19,25,25,24,24,
31,24,24,18,18,19,25,25,18,19,25,19,18,18,18,25,18,32,32,32,6,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,25,31,26,17,24,
32,32,4,26,13,15,11,4,26,3,10,20,13,13,5,25,31,4,8,13,14,15,26,26,26,25,30,30,30,29,
29,29,24,32,30,30,30,29,30,30,30,29,24,29,31,31,31,30,30,15,26,31,31,31,30,30,24,26,25,25,
25,25,25,26,19,25,25,25,25,25,24,24,24,24,25,24,25,25,25,25,25,14,21,25,25,25,25,31,31,31,
 };
static unsigned short stb__arial_37_latin1_s[224]={ 255,249,110,222,91,27,108,105,1,78,64,
140,121,246,250,193,195,87,204,1,222,35,71,70,105,122,250,244,86,76,122,
1,10,116,145,126,141,21,175,91,66,240,85,98,128,165,190,83,1,26,209,
51,1,192,186,154,131,108,87,133,115,124,223,188,162,104,88,122,175,171,241,
213,54,250,159,22,245,1,207,189,18,36,223,139,246,155,234,26,51,53,69,
108,120,66,136,40,40,40,40,40,40,40,40,40,40,40,40,40,40,40,40,
40,40,40,40,40,40,40,40,40,40,40,40,40,40,40,40,40,255,246,1,
174,104,1,87,91,170,1,1,174,46,246,187,209,94,58,34,14,154,179,168,
182,127,26,239,190,55,130,158,19,41,176,201,218,193,1,211,43,156,1,21,
173,247,226,234,243,41,152,18,222,64,66,131,158,149,89,43,110,131,108,232,
72,143,89,212,125,71,204,75,54,36,231,1,213,248,120,163,193,107,38,161,
139,157,230,18,206,22,69,230,100,53,141,187,204, };
static unsigned short stb__arial_37_latin1_t[224]={ 1,127,326,97,66,127,127,326,1,1,326,
307,326,60,251,97,154,232,206,180,206,180,180,232,180,180,232,232,307,326,307,
206,1,206,232,97,206,257,206,97,257,206,206,232,232,232,232,127,257,97,257,
97,282,180,257,257,257,257,257,1,97,1,307,326,326,282,180,282,180,282,97,
180,232,206,1,232,206,307,282,282,180,206,282,282,180,282,282,307,307,180,307,
1,1,1,326,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,1,34,34,
97,307,232,1,1,326,127,326,307,326,60,127,326,326,282,326,326,326,154,1,
326,326,326,307,307,127,127,127,154,66,34,34,65,65,97,232,1,34,66,66,
65,1,34,34,65,257,65,34,1,34,66,34,307,97,34,34,34,65,66,257,
97,154,154,154,154,154,97,282,154,154,127,154,127,154,232,206,206,154,232,154,
180,180,154,206,307,282,206,180,206,206,1,1,1, };
static unsigned short stb__arial_37_latin1_a[224]={ 147,147,188,295,295,471,353,101,
176,176,206,309,147,176,147,147,295,295,295,295,295,295,295,295,
295,295,147,147,309,309,309,295,538,353,353,383,383,353,324,412,
383,147,265,353,295,441,383,412,353,412,383,353,324,383,353,500,
353,353,324,147,147,147,249,295,176,295,295,265,295,295,147,295,
295,118,118,265,118,441,295,295,295,295,176,265,147,295,265,383,
265,265,265,177,138,177,309,397,397,397,397,397,397,397,397,397,
397,397,397,397,397,397,397,397,397,397,397,397,397,397,397,397,
397,397,397,397,397,397,397,397,147,176,295,295,295,295,138,295,
176,390,196,295,309,176,390,293,212,291,176,176,176,305,285,147,
176,176,194,295,442,442,442,324,353,353,353,353,353,353,530,383,
353,353,353,353,147,147,147,147,383,383,412,412,412,412,412,309,
412,383,383,383,383,353,353,324,295,295,295,295,295,295,471,265,
295,295,295,295,147,147,147,147,295,295,295,295,295,295,295,291,
324,295,295,295,295,265,295,265, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_37_latin1_BITMAP_HEIGHT or STB_FONT_arial_37_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_37_latin1(stb_fontchar font[STB_FONT_arial_37_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_arial_37_latin1_BITMAP_HEIGHT][STB_FONT_arial_37_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_37_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_37_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_37_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_37_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_37_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_37_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_37_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__arial_37_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__arial_37_latin1_s[i] + stb__arial_37_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__arial_37_latin1_t[i] + stb__arial_37_latin1_h[i]) * recip_height;
            font[i].x0 = stb__arial_37_latin1_x[i];
            font[i].y0 = stb__arial_37_latin1_y[i];
            font[i].x1 = stb__arial_37_latin1_x[i] + stb__arial_37_latin1_w[i];
            font[i].y1 = stb__arial_37_latin1_y[i] + stb__arial_37_latin1_h[i];
            font[i].advance_int = (stb__arial_37_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__arial_37_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_37_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_37_latin1_s[i] + stb__arial_37_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_37_latin1_t[i] + stb__arial_37_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_37_latin1_x[i] - 0.5f;
            font[i].y0f = stb__arial_37_latin1_y[i] - 0.5f;
            font[i].x1f = stb__arial_37_latin1_x[i] + stb__arial_37_latin1_w[i] + 0.5f;
            font[i].y1f = stb__arial_37_latin1_y[i] + stb__arial_37_latin1_h[i] + 0.5f;
            font[i].advance = stb__arial_37_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_37_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_37_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_37_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_37_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_37_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_37_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_37_latin1_LINE_SPACING
#endif

