// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_38_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_38_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_38_latin1_BITMAP_WIDTH         256
#define STB_FONT_arial_38_latin1_BITMAP_HEIGHT        352
#define STB_FONT_arial_38_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_38_latin1_FIRST_CHAR            32
#define STB_FONT_arial_38_latin1_NUM_CHARS            224

#define STB_FONT_arial_38_latin1_LINE_SPACING          25

static unsigned int stb__arial_38_latin1_pixels[]={
    0x55415550,0x0bd3000a,0x902aaa80,0x04ed805d,0xa81f65c4,0x399d10aa,
    0x9bb73000,0x44000015,0xaccedcaa,0x34ed8001,0x00555555,0x0554c060,
    0x2a600000,0x5544002a,0x5400aaaa,0x530002aa,0x1fff0155,0xe8017fec,
    0x3fe6002f,0x01ff302f,0xff302ff4,0x3ff609ff,0x07ffff31,0x3ffff620,
    0x40003fff,0xffffffea,0x00beffff,0x3ff6bfd0,0x88006fff,0x01ffd86f,
    0x3fe60000,0x3ea003ff,0x401fffff,0x8002fff9,0xfff05ffe,0x4017fec1,
    0x7ec006fb,0x027e404f,0x7ff40bfd,0x3ffb03ff,0x03ffffa2,0x3bffffa0,
    0x8003ffff,0xeffffffb,0xffffeecd,0xb5fe803f,0x00dfffff,0xffb09f50,
    0x22000003,0x02ffdffe,0xffffff50,0x0dff5003,0x206ffa80,0x3ff60fff,
    0x00ffc402,0x100bff30,0x17fa05ff,0x200f7fcc,0x7e441ffd,0x77fe403f,
    0x03fff221,0xbefffd80,0x7ffed400,0x6d7fa00d,0x00099bff,0xffd81fc8,
    0xfb000001,0x01fff17f,0xffd33310,0x0bff2003,0x000ffe80,0x02fec000,
    0x4003bf60,0x0bfd06fc,0x2200bfee,0x0bff1019,0xff01ffe8,0xffd1007f,
    0xfd10003d,0x57fa01ff,0x40001ffd,0x03ffb07f,0xbff70000,0x00077fd4,
    0xd8007ff6,0x5ff5006f,0xf9800000,0x04cc002f,0xd05ff100,0x07fee0bf,
    0x037f4000,0xffb81ffe,0x27ff4405,0x2ffdc000,0x3ffb5fe8,0x82fcc000,
    0x00001ffd,0x4cc09998,0x7fec0009,0x800cc001,0x00000098,0x00007fd8,
    0x3a1bfa00,0x01ff905f,0x01bfa000,0x26203ffd,0x03ffc801,0x13ff2000,
    0x0ffed7fa,0x205f7000,0x00001ffd,0x79b97310,0x3ff60005,0x00055511,
    0x55545551,0x400f3260,0x3fe22cc9,0x00799304,0x3ee0b326,0xc82ff41f,
    0xccb800ff,0xb80ffd00,0x20001eff,0x32604ff9,0x332a1bee,0xfd03ff60,
    0x4007ff6b,0x1ffffdb9,0x36e3ffb0,0x88002cef,0xfffffffe,0x36000bff,
    0x0dff51ff,0x74dff500,0x07ffc2ff,0xf90ffec0,0x07ffc05f,0x4c0ffec0,
    0x82ff45ff,0xfd800ffc,0x00ffd01f,0x0005fffb,0x7f541bfa,0xfd1fffff,
    0x21ffc41f,0x03ffb5fe,0xfffffe88,0xffd82fff,0xffffffda,0xfff7002f,
    0xffffffff,0x3f6003ff,0x00dff51f,0x7f4dff50,0x01ffe42f,0xffd1bfe2,
    0x403ffc80,0x3fa06ff8,0xfc82ff47,0x1ffd800f,0xf100ffb0,0x4001bfff,
    0xffa81ffb,0xafffdcef,0x46fd86ff,0x03ffb5fe,0x5effffc4,0x6c3ffffd,
    0xbacfffff,0x2200fffd,0x0abffffd,0x5ffffd95,0x2a3ffb00,0xfa8006ff,
    0x30bffa6f,0xffa80dff,0x2602ffc3,0x7fd406ff,0xe83ff203,0x01ffb05f,
    0x3603ffb0,0x7ffd407f,0xd003ffff,0x7fff30bf,0x5ffffc88,0x3fa0ffa8,
    0x6c03ffb5,0x7efec6ff,0x77ffec7f,0x00effb81,0x8019fff9,0x401ffff9,
    0xdff51ffd,0x4dff5000,0xffe82ffe,0x883ff601,0xffe804ff,0x803ff601,
    0x17fa1ffb,0xfd803fec,0x01ff901f,0x7fd53ff2,0x3e200eff,0x03ffe82f,
    0x220ffffa,0x6d7fa1ff,0xfff301ff,0x5ffd7f81,0x900fffec,0xfff309ff,
    0x7ffcc005,0xa8ffec06,0xfa8006ff,0x20bffa6f,0xff104ffb,0x804ff98d,
    0xff104ffb,0x23ffa80d,0x5ff885fe,0x203ffb00,0x9ff02ffb,0x3ffffd88,
    0xff70ff70,0x1fffa80d,0xaff45ff0,0xff701ffd,0xbd54f987,0x202ffec7,
    0xffd86ff8,0xfffa8005,0x547ff603,0xfa8006ff,0x20bffa6f,0xff707ff8,
    0x803ffb85,0xff707ff8,0x24ff9805,0x2ffc81aa,0x203ffb00,0xffa86ff8,
    0x7ffff501,0xffb0bfb0,0x0fff9805,0x3fa2ff88,0x3603ffb5,0x017e41ff,
    0x3a007ff6,0x07ffd47f,0x06ffc800,0x7fd47ff6,0x6ffa8006,0x7ec0bffa,
    0x40ffe82f,0xfb002ffc,0x01ffd05f,0x5405ff88,0x36006ffd,0x3fe601ff,
    0x03ff90be,0x217ffec4,0x06ff84fe,0xf306ff98,0xfdaff43f,0x81ffd01f,
    0x7fec00fe,0x21ffd800,0x20004ffc,0xfb01fff9,0x01bfea3f,0xfe9bfea0,
    0x89ff502f,0xffe85ff9,0x89ff5001,0xff005ff9,0x04fff80f,0x200ffec0,
    0xff52fff9,0x8dffb009,0x27fcc3ff,0xb827fd40,0xfdaff47f,0x88fff01f,
    0x07fd806f,0x7ec5ff90,0x7fc0003f,0x23ffb03f,0xa8006ffa,0x0bffa6ff,
    0x7fe47ff8,0x000ffe82,0x5ff91ffe,0xf01ffe00,0xfd8001ff,0x2ffd801f,
    0x8805fff1,0x0bfe0fff,0xf7007ff7,0xd1bf607f,0x207ff6bf,0x1fdc6ff8,
    0xb803fec0,0x0bffe3ff,0x0bffd000,0x7fd47ff6,0x6ffa8006,0xfc80bffa,
    0x741ffe2f,0x3f2002ff,0x401ffe2f,0x7ec07ff8,0x3f6001ff,0x3ffa601f,
    0x33ffee1e,0x447ff200,0x0ffec2ff,0xf80ffec0,0xfdaff44f,0x47ff881f,
    0xffd801fd,0x11ffc800,0x80003fff,0xffb05ffc,0x001bfea3,0xffe9bfea,
    0x4d7fe602,0x7ffb04ff,0x9affcc00,0xff5004ff,0x3ffd100d,0x807ff600,
    0xff901ffe,0x1bf605ff,0x2ffc87ff,0xd83ffcc0,0xdaff40ff,0x1fff01ff,
    0xb0d543fc,0xffb003ff,0x001ffe61,0x6c1bfee0,0x0dff51ff,0x74dff500,
    0xbff402ff,0xff901ffc,0x97fe8009,0x3ee003ff,0x2617fa5f,0xffb004ff,
    0x013fe603,0x41bffff7,0x27fc3ff9,0xfb00ffea,0x07ff90bf,0x07ff6bfd,
    0x4fa97ff4,0xffb3ffcc,0x26ff8805,0x80007ff9,0xffb06ffb,0x001bfea3,
    0xffe9bfea,0x757fdc02,0x17fee06f,0xfd5ff700,0x27fe400d,0x1ffa0bfd,
    0xc80ffec0,0xfe8800ff,0xeffaafff,0x3e62ff40,0x3ffee06f,0xe837fd44,
    0x203ffb5f,0x85f96ffa,0x3ff64ffd,0x327fdc06,0x80001fff,0xffb05ffc,
    0x001bfea3,0xffe9bfea,0x7f7fc402,0x1ffe603f,0xffdff100,0x17fec007,
    0x1ff60bfd,0xd80ffec0,0x7fdc007f,0xf903ffff,0x0cffe81f,0x8a7fffe4,
    0xfd01fffb,0x4407ff6b,0x20febfff,0x3f61fff9,0xfff304ff,0x00fffc41,
    0x413ff600,0xfff31ffd,0x4bff7000,0xfd802ffe,0x7fc00fff,0x7fec000f,
    0x3fe000ff,0x6417fa0f,0xffd800ff,0x000ffb01,0x01dfffb1,0xff10ffe6,
    0xbdfd99ff,0xdfffdfff,0xfdaff403,0x3ffe201f,0x7fffb36f,0xadffffd8,
    0x81fffb98,0x40003ffe,0xffb03ffe,0x001ffe63,0xffe97ff2,0x5fffa802,
    0x001ffc80,0x002fffd4,0x5fe8bff1,0xb001ff90,0x1ffa03ff,0xefffb800,
    0xf30dfd00,0x51bfffff,0x1bffffff,0xffb5fe80,0xfffe8803,0xd85fffff,
    0xfffffcff,0xff902fff,0x7fcc000b,0x23ffb00f,0xc8007ff8,0x0bffa4ff,
    0x4017ffc0,0xf8003ffa,0x3ea002ff,0xc82ff43f,0xffd801ff,0x000ffd01,
    0x504fff98,0xfd7307ff,0xcefec85b,0xfd0aaa82,0x2007ff6b,0xeffffff8,
    0xd33ffb02,0x4039dfff,0x0002fff9,0x7ec0bffd,0x007ffe1f,0x7f47ffd0,
    0x0dfd002f,0x4003ff40,0x7f4006fe,0xc82ff40f,0xffd801ff,0x100ffd01,
    0x037fcc01,0x00005ff9,0xfe93fee0,0x1003ffb5,0x801553ff,0x06a21ffd,
    0x006ffd80,0x202fffa8,0x3ff61ffd,0x3ffe6004,0x200bffa1,0x26003ffa,
    0x3ea003ff,0x3fe6003f,0xf905fe82,0x1ffd003f,0xfa81bfa0,0x07ff405f,
    0x0005ffd0,0x745ffb80,0x003ffb5f,0xfd8009f5,0x7c40001f,0xf5000dff,
    0xffd80bff,0x00fffee1,0x3fa3ffec,0x0ffd802f,0x0037ec00,0x6c001ffb,
    0x20bfd06f,0xfe801ffb,0x40dff00f,0xf101fff9,0xfff880ff,0x6c40000d,
    0xaff40eff,0xfd801ffd,0x0ffec002,0x7ffd4000,0x7ffe402f,0x0ffec00f,
    0x015fffd1,0xd0bfff62,0xffb805ff,0x2ff88005,0x005ffb80,0x7f407fe6,
    0x809ff505,0xff307ff8,0x05ffe809,0xd300bff9,0x80039fff,0x80dfffc9,
    0x03ffb5fe,0xfb000ff0,0x2a00003f,0xabdeffff,0x0effffdc,0x541ffd80,
    0xccefffff,0x85ffffed,0x77442ffe,0x0000ffff,0xfdd10df9,0x6c001fff,
    0x817fa05f,0x321cdfff,0x2e25fffb,0x4c02fffd,0xfcbdffff,0x2a001fff,
    0xbcdffffe,0xffccbaaa,0x3fa02eff,0xbdddffb5,0xb000bf30,0x400003ff,
    0xffffffe9,0x205fffff,0x1fffeee9,0xffffff98,0x04ffffff,0xfff05ffd,
    0x440005ff,0xffff81ff,0x3fe2002f,0xb817fa00,0xff34ffff,0x7fcc3fff,
    0xff5006ff,0x3fffffff,0x3ffee000,0xffffffff,0xe803ffff,0xfffffb5f,
    0x0007f90d,0x00003ffb,0xfffffb50,0xfa8039ff,0x101fffff,0xffffffd7,
    0x7ff4039f,0x02dffe82,0xe85fa800,0x64002dff,0x02ff404f,0x7d53ffea,
    0x7fcc1eff,0x322000cf,0x00cdfffe,0x6e54c400,0xcefffffe,0x2bfd000a,
    0x85eeeeec,0xec8000c9,0x4000000e,0x20009aa9,0x1eeeeee9,0x19aa9880,
    0x00000000,0x00000cc0,0x04c400c4,0x40081100,0x01000009,0x04400000,
    0x00262000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xaaaa9880,0x00aaaaaa,0x00555300,0x02aa9800,0x01554c00,0x02aaa800,
    0x99510000,0x0000359b,0x00055550,0x005554c0,0x00155540,0x00d55400,
    0x2aaa2000,0x3a600001,0xffffffff,0x002fffff,0x0009fff0,0x01fffc40,
    0x7ffff300,0xfff30000,0x6d400007,0xffffffff,0xf300002e,0x400005ff,
    0x50005ffe,0x00005fff,0x00ffffdc,0x1bff6000,0x7ffec000,0xffffffff,
    0x8002ffff,0x00005ffb,0x0002ffdc,0x3ffbfff1,0xdff50000,0x3ff60000,
    0xffffffff,0xd80005ff,0x200004ff,0x40006ffa,0x00006ffb,0x1ffddff3,
    0x7f440000,0x7e40002f,0xcdffffff,0x1ccfffcc,0x00fff800,0x077fc000,
    0x17ffb000,0x00001fff,0x40005ff9,0x1aefffe8,0x13fffaa6,0x05ff9800,
    0x07ff4000,0x0ffe4000,0x3ffa2000,0x0006ff99,0x0037fc40,0xffffff30,
    0x07fe87ff,0x007fee00,0x03ff7000,0x52ffdc00,0x20000dff,0x360006fd,
    0xfc802fff,0xfb0003ff,0x5400001d,0x200002ff,0x6c0005fe,0x17ff24ff,
    0x5ff30000,0x3fff2000,0x743fffff,0x2620007f,0x98800000,0x4ccc0000,
    0x0004ccc0,0x70001980,0x64003fff,0x330007ff,0x98800001,0x4c400000,
    0x0ccc0001,0x00000ccc,0xd80004c4,0xffffffff,0x4003ff43,0x2bcdcb98,
    0x00555100,0x2a255510,0xaa88002a,0xb9731002,0xff800579,0x7fc4003f,
    0xaa98002f,0x55544002,0xaaaaaaaa,0x10aaaaaa,0x55555555,0x55555555,
    0xaa980015,0x53000002,0x7fc00055,0x3fffffff,0xd1003ff4,0xffffffff,
    0x7fd4017f,0x6ffa8006,0x5000dff5,0xfe880dff,0xffffffff,0x7ffd400b,
    0x1cec8000,0x0ffff800,0x3fffe600,0xffffffff,0xf31fffff,0xffffffff,
    0xffffffff,0xffff8003,0xff800000,0xfd0000ff,0x7fffffff,0xf7007fe8,
    0xffffffff,0x2a03ffff,0xfa8006ff,0x00dff56f,0x5c0dff50,0xffffffff,
    0x201fffff,0x00005ffd,0xffffa800,0x3ffe6003,0xffffffff,0x31ffffff,
    0xffffffff,0xffffffff,0x7fd4003f,0x400003ff,0x003ffffa,0xffffff90,
    0x07fe87ff,0x5ffffec4,0xfffd950a,0x0dff505f,0x2adff500,0xfa8006ff,
    0xfffd886f,0xfd950abf,0x3fe05fff,0x0000003f,0x06ffefd8,0x333ffe60,
    0xcccccccc,0xff30cccc,0x9999999f,0x19999999,0x7ff7ec00,0x7ec00006,
    0x50006ffe,0xffffffff,0x6407fe87,0x4c00cfff,0x7d41ffff,0xffa8006f,
    0x000dff56,0xff90dff5,0xff98019f,0x7ffc41ff,0x40000002,0x2ffccff8,
    0x00dff300,0x00dff300,0x9ff10000,0x00005ff9,0x3ff33fe2,0xfffb0002,
    0xfe87ffff,0x0bffe607,0x46fff980,0xa8006ffa,0x0dff56ff,0x98dff500,
    0x26002fff,0x7fc46fff,0x0000001f,0x7fcd7fdc,0x0dff3005,0x0dff3000,
    0xff700000,0x000bff35,0x3e6bfee0,0xfd10005f,0xe87fffff,0x17ff607f,
    0x8fffea00,0xa8006ffa,0x0dff56ff,0xd8dff500,0xfa8005ff,0x1ffe63ff,
    0x3a000000,0x003ffa7f,0x0001bfe6,0x0001bfe6,0xfe9ffa00,0xfe80000f,
    0x0003ffa7,0x3fffffb8,0xffa83ff4,0xff90000f,0x0037fd4d,0xffab7fd4,
    0x6ffa8006,0x0003ffea,0xff137fe4,0x0000001f,0xff92ffcc,0x0dff3007,
    0x0dff3000,0xff980000,0x000fff25,0x7e4bff30,0xb880003f,0x83ff43ff,
    0x20004ffc,0xff51fff9,0xdff5000d,0x2001bfea,0x3ff26ffa,0x3fe60004,
    0x00bffe1f,0xffd80000,0x201ffe62,0x80006ff9,0x00006ff9,0xf317fec0,
    0xfd8000ff,0x01ffe62f,0x21ffcc00,0x7ffb07fe,0x3fff8000,0x5000dff5,
    0x1bfeadff,0xd9bfea00,0x7c0003ff,0x0fff63ff,0x7c400000,0x17ff40ff,
    0x001bfe60,0x001bfe60,0x0fff8800,0x80017ff4,0x7f40fff8,0xf980002f,
    0xf83ff43f,0x740002ff,0x0dff55ff,0x2adff500,0xfa8006ff,0x00bffe6f,
    0x64bffd00,0x2a0004ff,0x09ff7000,0xf980bff7,0xf980006f,0x2000006f,
    0xffb84ffb,0x9ff70005,0x000bff70,0xfe87ff30,0x01fff887,0xaaffe400,
    0xfa8006ff,0x00dff56f,0x3e2dff50,0x640001ff,0x1bfea5ff,0x077fd400,
    0x2207ffa0,0x3e600fff,0xffffffff,0x2fffffff,0x3fffffe6,0xffffffff,
    0xffe802ff,0x00fff881,0x881ffe80,0x40000fff,0x3ff43ff9,0x0003ffcc,
    0xffab7fdc,0x6ffa8006,0x5000dff5,0x1ffe6dff,0x9bfee000,0x8000fff8,
    0x7cc05ffd,0x13ff606f,0xffffff98,0xffffffff,0x3ffe62ff,0xffffffff,
    0x402fffff,0x3f606ff9,0x7fcc004f,0x013ff606,0xe87ff300,0x07ff987f,
    0x56ffb800,0xf5000dff,0x01bfeadf,0x7cdbfea0,0xfb80007f,0x02fff46f,
    0x00bffe60,0x7d407ff9,0x3ffe607f,0xeeeeeeee,0x261eeeee,0xeeeeefff,
    0xeeeeeeee,0x01ffe401,0xc800fff5,0x3fea03ff,0x7fcc0007,0x7cc3ff43,
    0x640000ff,0x0dff55ff,0x2adff500,0xfa8006ff,0x01fff36f,0x45ffc800,
    0x1004fff9,0xff00dfff,0x2fff801f,0x000dff30,0x000dff30,0x003ffe00,
    0x7c005fff,0x7ffc00ff,0x3fe60002,0x7c43ff43,0x6c0001ff,0x0fff34ff,
    0x26bff700,0xfb8007ff,0x03fff15f,0x84ffd800,0x201dfffc,0x401fffea,
    0xfffffffa,0x5fffffff,0x000dff30,0x000dff30,0xfffff500,0xffffffff,
    0x3fea00bf,0xffffffff,0x0005ffff,0xffd0ffe6,0x000fffa0,0x3e67ffd0,
    0xffc8007f,0x000fff35,0x7ff4bff9,0x7ff40003,0xfffffb03,0xfffd957b,
    0xfffb005f,0xffffffff,0xf303ffff,0xf30000df,0xb00000df,0xffffffff,
    0x3fffffff,0xfffffb00,0xffffffff,0x260003ff,0x83ff43ff,0x20005ffc,
    0xff10fff9,0x9ff9000f,0x2001ffe2,0x3ff24ffc,0x3fe60005,0x3fff200f,
    0xffffffff,0xfff8802e,0xcccccccc,0x984ffecc,0x980006ff,0x400006ff,
    0xccccfff8,0xfecccccc,0x7ffc404f,0xcccccccc,0x004ffecc,0xfe87ff30,
    0x05fff307,0xf17ffa00,0xfe8003ff,0x007ffe3f,0x7cc7ffd0,0xfd0002ff,
    0xff9100bf,0x07ffffff,0x002ffdc0,0xff30fff7,0xff30000d,0xfb80000d,
    0x3fee005f,0x02ffdc07,0x000fff70,0xffd0ffe6,0x0037fec0,0x3617ffd4,
    0x3e6004ff,0x13ff61ff,0x41fff980,0xa8006ffd,0x4c002fff,0xd0001aff,
    0x7c4005ff,0x37fcc2ff,0x37fcc000,0x3ffa0000,0x3ffe2002,0x00bffa02,
    0x002fff88,0x7f43ff98,0x37ffe207,0xbfff5000,0x007fff70,0xff71fff6,
    0x3ff6007f,0x0dfff887,0x0bfff500,0x005ff500,0x001ffe60,0xff31bff2,
    0xff30000d,0x7cc0000d,0xffc8007f,0x00fff306,0x000dff90,0x7fe87ff3,
    0x17fffd40,0x03ffff20,0x02bfffa2,0x217ffec4,0x00afffe8,0x205fffb1,
    0x402ffffa,0x000ffffc,0x00effda8,0x0027fe40,0xf30fffcc,0xf30000df,
    0x640000df,0xf98004ff,0x4ffc81ff,0x1fff9800,0x21ffcc00,0xffa807fe,
    0xdcabdeff,0x200effff,0xcefffffa,0x5ffffedc,0xdfffff50,0xffffdb99,
    0xffffa80b,0xffdcabde,0x40000eff,0x7c003ff9,0xfd0001ff,0x77ffcc9f,
    0xeeeeeeee,0xf35eeeee,0xddddddff,0xdddddddd,0x001fff8b,0xff09ffd0,
    0x3fa0003f,0x7fcc004f,0x9803ff43,0xfffffffe,0x3005ffff,0xffffffff,
    0x9809ffff,0xffffffff,0x3004ffff,0xfffffffd,0x000bffff,0x3ff6a222,
    0x1bfea002,0x27ffb800,0xfffffff9,0xffffffff,0xffff36ff,0xffffffff,
    0x54dfffff,0x2e0006ff,0x37fd47ff,0x0fff7000,0x743ff980,0x7ed4007f,
    0x1cffffff,0x7ff5c400,0x01cfffff,0xffffd710,0x00039fff,0xffffffb5,
    0x5400039f,0x005fffff,0x00027fec,0x3e67fff1,0xffffffff,0xffffffff,
    0xffffff36,0xffffffff,0x7fecdfff,0x3fe20004,0x013ff63f,0x03fff880,
    0xd90bba60,0x554c000b,0x31000009,0x80003355,0x0019aa98,0x026aa600,
    0x7ff54000,0x000000be,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x01555400,0x0006aaa2,0x88000195,0x40000aaa,0x04cc0998,
    0x40ba8000,0x200003c9,0x20002aa9,0x04cc0998,0x31066600,0x55000013,
    0x2ea00000,0x2601e4c1,0x004cc419,0x7fcc0008,0x3fff602f,0x07f2000f,
    0xdfffb000,0x7fd40001,0x001bfe65,0x7dffff30,0x00007fb5,0x0013ffe2,
    0x3e64ffb8,0x7ffc006f,0x000bff60,0x00eeef98,0xfffd3000,0x807fb59d,
    0x3ff60fff,0x0eff5402,0x20dff700,0x06ffdffb,0x77fffed4,0x7fdc000c,
    0x20005ffd,0x3fe65ffa,0x77ec0006,0x0ffffffd,0xbff70000,0x4ffb8000,
    0xf001bfe6,0x17fec1ff,0x26499000,0xdefc8000,0x00ffffff,0xffb07ffc,
    0x6457c405,0x17fe4005,0x3ee3bfe6,0xfffe884f,0x02ffffff,0xf71dff30,
    0x3ea0009f,0x01bfe65f,0x2a21ff00,0x00001dfd,0x00003bfe,0x7fcc9ff7,
    0x07ffc006,0x40005ffb,0x0001aa2e,0xfda88ffc,0x0fff802d,0x5b80bff6,
    0x3f60007c,0xe8bffa26,0x7ffec3ff,0xffffcfde,0x0fffc401,0x10005ffd,
    0x00998133,0x0000cc00,0x01ffb800,0x40998800,0x4cc00099,0x0004cc41,
    0x001ecb90,0x80001980,0x04cc4199,0x007c4d50,0x99886620,0xf70ccc41,
    0x227ee5df,0x4c407ffd,0x004cc409,0xcdcb9880,0x3100002b,0x00579b97,
    0x0004c400,0x40015544,0x55512aa8,0x55555555,0x01555555,0x07fffc40,
    0x554c0000,0x2aaa0002,0x3af7e000,0x05554004,0x3a015550,0x447ee2ff,
    0x2aa21fff,0xaaaaaaaa,0x0aaaaaaa,0x7ffff440,0x00bfffff,0xffffe880,
    0x00bfffff,0x8000aaaa,0xff50aaa8,0xdff5000d,0x3fffffe6,0xffffffff,
    0x7c001fff,0x00000fff,0x000ffff8,0x4005ffd0,0xe8002db8,0x3ffa02ff,
    0x5c1fff02,0x98fff61f,0xffffffff,0xffffffff,0x3ffee01f,0xffffffff,
    0x3ee001ff,0xffffffff,0xf501ffff,0x3a0009ff,0x1bfea6ff,0x4dbfea00,
    0xffffffff,0xffffffff,0x3fea001f,0x400003ff,0x003ffffa,0x0005ffd0,
    0x17ff4000,0xf305ffd0,0x221fb8df,0xfffff981,0xffffffff,0xd881ffff,
    0x50abffff,0x05ffffd9,0xbffffd88,0xfffd950a,0x3fff205f,0x7ffdc001,
    0x001bfea0,0x7fcdbfea,0xcccccccf,0x0ccccccc,0x3ffbf600,0x7ec00006,
    0xd0006ffe,0xb73005ff,0x0059dffd,0xfe80bffa,0x0fff882f,0x3e6007ee,
    0xccccccff,0xcccccccc,0x0cfffc80,0x0ffffcc0,0x019fff90,0x81ffff98,
    0x2006fff8,0x7d43fff9,0xffa8006f,0x000dff36,0x99ff1000,0x200005ff,
    0x2ffccff8,0x02ffe800,0x7fffffe4,0x7400dfff,0x3ffa02ff,0x5c5ffd02,
    0x6ff9801f,0x3fe60000,0x3fe6002f,0x5fff306f,0x37ffcc00,0x003fffa8,
    0xff50bffd,0xdff5000d,0x0001bfe6,0x26bfee00,0x700005ff,0x0bff35ff,
    0x405ffd00,0xcbcefffe,0x7405fffe,0x3ffa02ff,0x27fff902,0xff9801fb,
    0x3f600006,0xffa8005f,0x05ffd83f,0x03fffa80,0xb801fffb,0xffa80fff,
    0x6ffa8006,0x0000dff3,0x7f4ffd00,0xfe80000f,0x0003ffa7,0x3ea05ffd,
    0xfff700ef,0x017ff403,0x7ec05ffd,0x801fdeff,0x00006ff9,0x0001fff5,
    0xff51bff2,0x3f20001f,0xdfff106f,0x817ffc40,0xa8006ffa,0x0dff36ff,
    0xff980000,0x000fff25,0x7e4bff30,0x7ff4003f,0x805ffd02,0x3fa02fff,
    0x0bffa02f,0xffffffb0,0x37fcc05b,0x4ffc8000,0x3ffe6000,0x0013ff21,
    0x501fff98,0x3fa07fff,0x1bfea05f,0x4dbfea00,0x000006ff,0xff317fec,
    0xffd8000f,0x001ffe62,0x32e05ffd,0x03ffc805,0xfe80bffa,0xffda802f,
    0x981effff,0xb00006ff,0xf80007ff,0x0fff63ff,0x07fff000,0x2e07ffec,
    0x3ea00fff,0xffa8006f,0x000dff36,0x07ffc400,0x4000bffa,0x7f40fff8,
    0x3ffa002f,0xffc80002,0x80bffa03,0x22002ffe,0x3ffffffd,0x00037fcc,
    0x0002fff8,0xfff2fff4,0xffe80005,0x97ffe205,0x5402fff8,0xfa8006ff,
    0x00dff36f,0x27fdc000,0x8002ffdc,0xffb84ffb,0x0bffa005,0xffb75300,
    0x7ff407ff,0x00bffa02,0xffd53f70,0x037fcc3f,0x0fffc400,0x57ff2000,
    0x0001fff8,0x2a02ffe4,0x9ffb2fff,0x00dff500,0x3e6dff50,0xffffffff,
    0x2fffffff,0x881ffe80,0xe8000fff,0xfff881ff,0x05ffd000,0xffffed98,
    0x203fffff,0x3fa02ffe,0x0fdc002f,0x7fccdffb,0xffffffff,0x22ffffff,
    0x80007ff9,0xfff36ffb,0xdff70000,0xf5dffb00,0x3fea00df,0x6ffa8006,
    0xfffffff3,0xffffffff,0x6ff9805f,0x0013ff60,0x7ec0dff3,0x5ffd004f,
    0x7ffffec0,0x3ffcbdff,0xe80bffa0,0x7dc002ff,0xf99ffe61,0xffffffff,
    0x2fffffff,0x0001ffe6,0x7fcdbfee,0xffb80007,0xffff8806,0xff5001ff,
    0xdff5000d,0x3bbbffe6,0xeeeeeeee,0x7fe401ee,0x01ffea03,0x5407ff90,
    0xffd007ff,0x37fff605,0x1ffdc09b,0x7405ffd0,0x702602ff,0x31fff83f,
    0xdddddfff,0xdddddddd,0x007ffcc3,0x4d7ff200,0x40000fff,0xf5005ffc,
    0x54009fff,0xfa8006ff,0x00dff36f,0x03ffe000,0x4005fff0,0x7fc00fff,
    0x2ffe802f,0x401fffa8,0x3fa03ffd,0x0bffa02f,0x3f70fff2,0xff31ffe8,
    0xff10000d,0xfd80003f,0x03fff14f,0x04ffd800,0x001bff60,0x7000fff3,
    0x1bfe6bff,0x3fea0000,0xffffffff,0x5005ffff,0xffffffff,0x0bffffff,
    0xf705ffd0,0x7ffd009f,0xd017ff40,0xdff505ff,0x3fe21fb8,0x00dff30f,
    0x00fffa00,0x747ffd00,0x740003ff,0x3ee003ff,0x7fcc005f,0x5ffc8007,
    0x0000dff3,0xffffffb0,0xffffffff,0xfffb003f,0xffffffff,0xe803ffff,
    0x3ffd82ff,0x027ffcc0,0x7f405ffd,0x1fff882f,0x6ffb87ee,0x0001bfe6,
    0x0002ffe4,0x7e41fff3,0x3e60005f,0x3ee000ff,0x7fc4005f,0x4ffc8007,
    0x0000dff3,0xcccfff88,0xeccccccc,0x7fc404ff,0xcccccccf,0x04ffeccc,
    0x7e417ff4,0x3ffe607f,0x0bffa04f,0xfd02ffe8,0xe98fdcbf,0x1bfe63ff,
    0x7ffcc000,0xbffd0002,0x002fff98,0x800bffd0,0xf8005ffb,0x7f4001ff,
    0x00dff33f,0x05ffb800,0x701ffee0,0x7dc00bff,0x17ff407f,0x456fffcc,
    0xfffffba8,0x80bffa04,0xff302ffe,0xf95f95df,0x6ff98dff,0x3ff60000,
    0xfffa8006,0x006ffd82,0x002fffa8,0x4002ffdc,0x26004ffd,0xdff31fff,
    0xffe80000,0x3ffe2002,0x00bffa02,0x202fff88,0xff902ffe,0x9fffffff,
    0x7f40dff1,0x0bffa02f,0xffffff98,0x4c0effff,0x200006ff,0x000dfff8,
    0x220bfff5,0x5000dfff,0x7000bfff,0xf7000bff,0x3f6007ff,0x01bfe67f,
    0x07ff9800,0x306ffc80,0xf9000fff,0x17ff40df,0xfffffd50,0x80ffec3b,
    0x3fa02ffe,0x7fecc02f,0x303fffff,0x80000dff,0x402ffffa,0x200ffffc,
    0x402ffffa,0x000ffffc,0x8005ffb8,0x00afffe8,0x4c5fffb1,0x200006ff,
    0x98004ffc,0xffc81fff,0xfff98004,0x005ffd01,0x40003531,0x3fa02ffe,
    0x3f66002f,0x37fcc01b,0x7fd40000,0xdcabdeff,0x800effff,0xbdeffffa,
    0xeffffdca,0xbff70000,0x3ffea000,0xfedcceff,0x7fcc5fff,0xeeeeeeef,
    0x5eeeeeee,0x8000fffc,0xfff84ffe,0x9ffd0001,0x000bffa0,0x2ffe8000,
    0x000bffa0,0xff3003f7,0xdddddddf,0xbddddddd,0x7ffff4c0,0x5fffffff,
    0x7fff4c00,0xffffffff,0x7fdc0005,0x3fe60005,0xffffffff,0xfff984ff,
    0xffffffff,0x26ffffff,0x20006ffa,0x7fd47ffb,0x3fee0006,0x005ffd07,
    0x7ff40000,0x00bffa02,0xf3003f70,0xffffffff,0xffffffff,0xfffb500d,
    0x0039ffff,0x7fffed40,0x0001cfff,0x0005ffb8,0x7ffff5c4,0xf301cfff,
    0xffffffff,0xffffffff,0x0027fecd,0x6c7fff10,0x220004ff,0xffe83fff,
    0x20000002,0x3fa02ffe,0x0654002f,0x7ffffcc0,0xffffffff,0x4006ffff,
    0x00009aa9,0x009aa980,0x2ffdc000,0x55310000,0x00000033,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x26000000,0x000cc82b,0x33104cc4,
    0x97300001,0x000379bb,0x00000000,0x66dcc000,0x5550001b,0x2a200003,
    0x54c001aa,0x0000002a,0xaa855510,0x00000002,0x3f6003db,0x6fbadfff,
    0x22ffd800,0x20004ffb,0xffffffea,0x88003eff,0x322cefda,0x9951002c,
    0x3e20359b,0xfffff702,0xc8001bff,0x80000fff,0x2000fffc,0x004ffff8,
    0xf70e7ed4,0x26ff980b,0x26007ff8,0x002defeb,0x4c007fcc,0xffffedff,
    0xffd8003f,0x0013fee2,0x3fffff62,0xefffffff,0xffff9000,0x9ff19fff,
    0xffffda80,0x222fffff,0xfffb86fe,0x05ffffef,0x004ffd80,0x00fffc40,
    0x3ff7ffa0,0xffff5003,0x805ffbff,0x3fe26ff9,0xffffb807,0x000effff,
    0x3f200df9,0x02fbf263,0xb8bff600,0x744004ff,0x889befff,0x1fffffda,
    0x5efffdc0,0x4ffeffdc,0x3fffff20,0xefffffff,0x7dc0efea,0x3fea0bef,
    0x7f44002f,0x3ee0000f,0x7fe4003f,0xb003ffd4,0xffff939f,0x6ff9801d,
    0xf901ffe2,0xffb79dff,0x7fd001df,0x00026200,0x88266200,0x7f400099,
    0xffa803ff,0xfff300ff,0x9ffff505,0x7dfffd10,0x3ff6a615,0xff80ffff,
    0x09ff702f,0x007ff100,0x2002ffc0,0xff30effa,0x40ee801f,0x000002ca,
    0x107fff30,0xf8809ffd,0x02aa881f,0x002aa880,0x8001554c,0x2001fffc,
    0xff05fffa,0x7ffd405f,0x04fffd84,0x83fffea8,0x3e206ff9,0x1310005f,
    0x000cc000,0x26204cc4,0x00000009,0x9ffb0000,0x203ffd40,0xfff507fa,
    0x5ffa8007,0x07fffc00,0x13ffe200,0x0bfff200,0xfd00dff3,0x2fffb89f,
    0x1bfff200,0xfa817fea,0x0000003f,0x00000000,0x00000000,0x400fff80,
    0x3f600ded,0x1ffff505,0x02ffd400,0x07ffff50,0x00fffb80,0xa8bffb00,
    0xffb803ff,0x0027ffc4,0x85fffff7,0x3fa04ffa,0xdb73000f,0x20059dff,
    0xceffedb9,0xfdb73002,0x260059df,0x2ceffedb,0xffdb7300,0x3fe2059d,
    0x3fe00005,0xbffff502,0x02ffd400,0x0dffdfb0,0x003ffe80,0xc83ffea0,
    0xffa802ff,0x003ffea4,0x7fe5ffd4,0xa81ffdc6,0xff9004ff,0xbfffffff,
    0x7fffe401,0x00dfffff,0x3ffffff2,0x3200dfff,0xffffffff,0x3ff200df,
    0xdfffffff,0x0027fd40,0x500ff980,0x007fffff,0x44017fea,0x02ffccff,
    0x003fff10,0xb17ffcc0,0xff3003ff,0x8027fec9,0xfff34ff9,0xe81ffdc3,
    0xffe800ff,0xffecbcef,0xdfffd05f,0xbfffd979,0x33bfffa0,0x05fffecb,
    0x979dfffd,0x3a0bfffd,0xecbcefff,0x7fdc5fff,0xdf700003,0x7ffffd40,
    0x5ffa800f,0xf35ff700,0x3fe600bf,0x7fc0000f,0x007ffa3f,0xfff93fe6,
    0x45ff8802,0x3fee2ffe,0x804ffa83,0xf700effa,0xeffa83ff,0x83fff700,
    0xf700effa,0xeffa83ff,0x83fff700,0xf700effa,0x1ffe43ff,0x04fd8000,
    0x3ffb7fea,0x05ffa805,0x7ff4ffd0,0x07ffa800,0x24ffe800,0xfa802ffd,
    0x03fff14f,0xfd86fe88,0x20ffee3f,0xfe802ffd,0x17ffc02f,0xff00bffa,
    0x02ffe85f,0x3fa17ffc,0x17ffc02f,0xff00bffa,0x01ffdc5f,0x017fc400,
    0xfff39ff5,0x05ffa807,0x3f25ff98,0x6ffb803f,0x5ffc8000,0x2e00fff2,
    0x1fff34ff,0x4077f440,0x3fee4ffc,0x803ffd83,0xffc805cb,0x6402e5c3,
    0x02e5c3ff,0x32e1ffe4,0x43ffc805,0xffc805cb,0x2013fea3,0x7fa809a8,
    0xfca7fd40,0x3fea00ff,0x22ffd805,0xfb807ff9,0xfd80006f,0x01bfea4f,
    0x7fd53ffa,0x807fec07,0x3fee6ffb,0x02fffa83,0x0fff2000,0x03ffc800,
    0x00fff200,0x003ffc80,0xf98fff20,0x3ffb806f,0x7d405fc8,0x817ffa4f,
    0x7c405ffa,0x17ff40ff,0x001ffea0,0xfd0fffa0,0x7ffcc05f,0x640fff54,
    0x3fee01ff,0x6c0ffee5,0x4000dfff,0xffffdba9,0xfb753003,0x26007fff,
    0x3ffffdba,0xffb75300,0x2a6007ff,0x43ffffdb,0x7f402ffe,0x403fe81f,
    0x3fe64ffa,0x0bff503f,0xfb84ffb8,0x7ffcc05f,0x7ffc0000,0x417ffd41,
    0xf34ffffa,0x0bff20ff,0x7dcbffb0,0x3fff603f,0x3fb6601e,0xffffffff,
    0xfffdb303,0x07ffffff,0x3ffffb66,0x303fffff,0xffffffdb,0x36607fff,
    0xfffffffe,0x77fd43ff,0x10dff700,0xffa803ff,0x407ffe44,0x7f405ffa,
    0x0fff881f,0x007ffe20,0x80fff880,0xeccefffd,0xf14fffff,0x2ffb81ff,
    0x2e4ffe80,0x7fdc03ff,0xfffd82ff,0xfcbdffff,0xffffd83f,0xffcbdfff,
    0xfffffd83,0x3ffcbdff,0xffffffd8,0x83ffcbdf,0xfffffffd,0xd83ffcbd,
    0xeb89bfff,0x6fb80fff,0xe84ffa80,0x5ffa86ff,0xd81bfe60,0x7fec04ff,
    0x3fea0004,0x3fffee07,0x4ffacfff,0xffa8bffe,0x45fff003,0xe9803ffb,
    0x7ffec6ff,0x7fdc09bd,0x5efffec3,0x21ffdc09,0x09bdfffd,0x3f61ffdc,
    0x5c09bdff,0x7ffec3ff,0x7fdc09bd,0xffffd883,0xb02fffff,0x9ff5009f,
    0xa87fff30,0x3ff205ff,0x01ffea03,0x4403fff5,0x04fff883,0x8e77edcc,
    0x3ff23ffa,0x2009ff35,0x3ee0fffa,0xffd1003f,0x007ffea3,0x7fd47ffb,
    0x1ffec01f,0xd803fff5,0x3ffea3ff,0x51ffec01,0xfd803fff,0x3ffaa03f,
    0x3e00dfff,0x4ffa802f,0x541fff90,0x3ffe05ff,0x017ffc00,0xfa817ffa,
    0x03bff63f,0x47ff7000,0x5ffafff8,0x717ffa00,0x7dc007ff,0x009ff74f,
    0x7fdc7ffd,0x23ffe804,0xfe804ffb,0x013fee3f,0xffb8fffa,0x03ffe804,
    0x9801dfc8,0xffa800ff,0xa9bffa04,0xfff505ff,0xffffffff,0xf980bfff,
    0xfff904ff,0x105fff9f,0xff900135,0x6ffffc85,0x07ffee00,0x02b87ff7,
    0x3ff69ff7,0x27ffcc03,0xf9807ffb,0x0fff64ff,0x6c9fff30,0x7fcc03ff,
    0x00fff64f,0xf009fff3,0xfc8017df,0x09ff5006,0xfa9fffcc,0xffffb05f,
    0xffffffff,0xfc803fff,0xfc881eff,0xf104ffff,0xfff980df,0x07fffc40,
    0x84fffa80,0xfff13ffb,0x325fff03,0x3fe607ff,0x1fff24ff,0x24ffff98,
    0x3e607ffc,0x3ff24fff,0x3fffe607,0x981fff24,0x9804ffff,0x7f405ffb,
    0x09ff5003,0xfa8fffc8,0xcfff885f,0xcccccccc,0xc804ffec,0xabceffff,
    0x3fffffec,0x440fffe0,0xffd05ffe,0x7ec403df,0x7ff706ff,0x54577fdc,
    0x3fe66ffe,0xfba88adf,0x3e64ffff,0xba88adff,0x264fffff,0xa88adfff,
    0x24fffffb,0x88adfff9,0x4fffffba,0x22b7ffe6,0xfffffba8,0x03ff6004,
    0xa800ffc4,0xffe804ff,0xfb85ffae,0x3fee005f,0xffff5007,0xffffffff,
    0xf703dfff,0xfb759dff,0x3ff60bff,0xabceffff,0x0effffdc,0xfc87ff70,
    0x1fffffff,0x7fffffe4,0x6ff8cfff,0x7fffffe4,0x6ff8cfff,0x7fffffe4,
    0x6ff8cfff,0x7fffffe4,0x6ff8cfff,0x7fffffe4,0x6ff8cfff,0x3ff72aa0,
    0x801fea04,0xf9804ffa,0xe85ffeff,0x3e2002ff,0x3aa002ff,0xbeffffff,
    0x85fffd88,0xfffffffc,0x3ff905ff,0xffffffd3,0x809fffff,0xfdb83ffb,
    0xd500dfff,0x43bfffff,0x7f541ffd,0x361dffff,0x7ff541ff,0x3f61dfff,
    0x7fff541f,0x3ff61dff,0x7ffff541,0x07ff61df,0x07fffff4,0x5400bfb0,
    0xff9004ff,0xff98bfff,0x6ffc8007,0x9aa98800,0x20dfd500,0xbdfffec9,
    0xa85ff501,0xfffffffe,0x2200000c,0x5310009a,0x54c40003,0x2a620001,
    0x2a620001,0x2a620001,0x332e0001,0x01aa802c,0x8013fea0,0x645ffffe,
    0xf98004ff,0x000001ff,0x001002b8,0x2a6201dc,0x00000009,0x00000000,
    0x00000000,0x00000000,0x20000000,0x26004ffa,0x7fc5ffff,0xffd0001f,
    0x00000009,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7d400000,0x7fe4004f,0x01bfea5f,0x007ffb80,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x013fea00,0xfd97ffa0,
    0x3e20004f,0x000003ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0x0000aaa9,0x00355510,
    0x4002aa98,0x15542aa8,0x102aa980,0x01555300,0x2aaa2000,0xbdcb8801,
    0x013ae000,0x2a200000,0x0015542a,0x80033322,0x000acca8,0x55009d90,
    0xff100055,0x2e00009f,0x22000fff,0x2005ffff,0x3fe26ff9,0xbffb1007,
    0x74402fdc,0x700004ff,0xe8801fff,0x802fffff,0x54001ff8,0x17ea1cfd,
    0xff8dff30,0x7ffcc007,0xffffb000,0xfa8001ff,0xfffa801f,0xfff98002,
    0xfff80000,0x6ffec001,0xff3003ff,0x003ffc4d,0x3fffbff2,0x1fff3004,
    0x5fff0000,0xf79ffd00,0x5fc803ff,0x7fffd400,0x402ffdff,0x3ffc6ff9,
    0x03ffe600,0x2e6ffee0,0x3e2004ff,0x3fee003f,0x9ff50005,0x3ffb8000,
    0xea7fe400,0xff9801ff,0x001ffe26,0x019fffd1,0x004ffa80,0x401ffdc0,
    0x2ff41ffa,0x8003ff10,0xfffc9cfd,0x7fcc00ff,0x2003ffc6,0xc800eee8,
    0x003fe42e,0xfb000bfd,0x3f20003f,0x3fa0000f,0x77fd4005,0x001fff30,
    0x7e4c0000,0x0005ffff,0x40001ff9,0xdfb005fe,0x3601ff70,0x0ed8005f,
    0x0000164c,0x80000000,0xff7005fe,0x17fa0001,0x00099800,0x22000660,
    0x04cc4099,0xf9800000,0x05ff93ef,0x00026600,0x3fa00198,0x981ffa85,
    0x000001ff,0x00000000,0xdffd8000,0x02ff9800,0x00066200,0x00000000,
    0x00000000,0xffd82d80,0x00000000,0x309ff000,0x0bfb05ff,0x00000000,
    0x13320000,0x0fffe600,0x0013fa20,0x765c0000,0x5c003cef,0x003cefec,
    0x1e77f65c,0x3bfb2e00,0x654c003c,0x804ff9ac,0x3cefedb8,0x3fb6e200,
    0x27f403ce,0x3e60ffcc,0x2e20001f,0x003cefed,0x33bfb6e2,0x0fff0003,
    0xffb53100,0x8037e401,0x65400ccb,0xfffe981c,0x400effff,0xffffffe9,
    0x7f4c00ef,0x0effffff,0x7ffff4c0,0x4400efff,0xfffffffe,0x3fee01ff,
    0x1effffff,0x7ffffdc0,0xfb01efff,0xd81ff50b,0x3ee0005f,0xefffffff,
    0x7fffdc01,0x001effff,0x00017fe2,0x3ea07ff1,0x1ffd001f,0x543ffb80,
    0xecbcefff,0xff501fff,0xffd979df,0x3ffea03f,0xfffecbce,0x9dfff501,
    0x03fffd97,0x37bfffea,0x706fffff,0xd979dfff,0x3ee05fff,0xfecbceff,
    0x0ffc82ff,0x3fe637ec,0xfff70000,0xfffd979d,0x3bffee05,0x2fffecbc,
    0x009ff500,0xff881991,0x003ff884,0xf7003ffa,0x1fffc47f,0xf886ffc8,
    0xdff903ff,0x207fff10,0xff886ffc,0x0dff903f,0xd30bfff1,0xff985fff,
    0x1fffb03f,0xb03fff98,0xff881fff,0x42ffc89e,0xf30004fe,0x3ff607ff,
    0x1fffcc0f,0x400fffd8,0xd002ffe8,0x3ff621bf,0x4005fd80,0x7dc00ffe,
    0x013ff23f,0xffc87ff9,0x21ffe404,0x7e404ffc,0x027fe43f,0xff90fff2,
    0x1fffc409,0xfb00fffa,0x03ffe89f,0x7dc27fec,0x545fffff,0xfd0000ff,
    0x4ffd807f,0x3601fff4,0x3fa204ff,0x3fe6005f,0xb84fffef,0x7f4000ff,
    0x9ffdc00f,0xfa807ff8,0x01ffe27f,0xff89ffea,0x27ffa807,0xfa807ff8,
    0x03ffe27f,0x7ccbff50,0xfff8806f,0x100dff30,0xfb301fff,0x09fd07df,
    0x01bfe600,0x7cc3ffe2,0xfff8806f,0x0effe880,0x7fff5400,0x02ff983e,
    0x400ffe80,0xbff53ffb,0x543ffe00,0xfff005ff,0x4017fea1,0xbff50fff,
    0x543ffe00,0xfff004ff,0xd801ffdc,0x07ff71ff,0x0007ff60,0x36a07fd4,
    0xffb80cee,0x23ffb003,0xfb003ffb,0xeffe883f,0x20040000,0x7fcc05fe,
    0x7003ffa0,0x3bfee7ff,0xcccccccc,0xff71ffec,0x9999999d,0x2e3ffd99,
    0xccccceff,0x1ffecccc,0x9999dff7,0xffd99999,0x400ffee3,0x5ff90ffd,
    0x64bff200,0xff9002ff,0x13fa0005,0x5ffffff7,0x9002ffc8,0x0bff25ff,
    0x3a17fe40,0x00000eff,0x10077e40,0x7ff41fff,0xc9ffdc00,0xffffffff,
    0x2fffffff,0xfffffff9,0xffffffff,0x3fffff25,0xffffffff,0xffff92ff,
    0xffffffff,0x3ff25fff,0x25ff9002,0xf7001ffd,0x007ff69f,0x40027fdc,
    0x3fe60ffa,0x20ffeaae,0xf7001ffd,0x007ff69f,0xff927fdc,0x8000001f,
    0x3a201ffa,0x3ffa0fff,0xd9ffdc00,0xffffffff,0x3fffffff,0xfffffffb,
    0xffffffff,0x3fffff67,0xffffffff,0xffffb3ff,0xffffffff,0x3ff67fff,
    0x27ff9001,0xf7001ffe,0x007ffa9f,0x40027fdc,0x437ec4fe,0x07ffa4ff,
    0xfea7fdc0,0x9ff7001f,0x0000fff4,0x013fe200,0x741ffffd,0x7fdc00ff,
    0x0007ff93,0x0001ffe4,0x40007ff9,0x20003ffc,0xfb002ffc,0x00bff65f,
    0xffd9ffe4,0x07ff9002,0x7c0ffa80,0x366fc83f,0xff9002ff,0x400bff67,
    0xdff13ffc,0x40002200,0x7fec06fd,0x3ffa0ffa,0xb9ffe400,0x2e0004ff,
    0x2e0004ff,0x2e0004ff,0x2e0004ff,0xffd003ff,0x400ffee3,0x7ff73ffd,
    0x00fff600,0xff889fd0,0x3ee7fb82,0x7ffb003f,0x6c00ffee,0x0bff53ff,
    0x8007ffe0,0x3ee00ffb,0x3a0ff99f,0x7fec00ff,0x200dff33,0xdff30acb,
    0x4c2b2e00,0x597006ff,0x401bfe61,0xbff50acb,0x21fff100,0xff005ffa,
    0x017fea3f,0x7000fffc,0x2ff981ff,0xff50ffb8,0x47ffe00b,0xff005ffa,
    0x01ffe23f,0x9801ffe6,0x3fea03ff,0x7ec1ff32,0x1fff401f,0xfb805fff,
    0x0bffe0ff,0x7c1fff70,0x7fdc02ff,0x00bffe0f,0x3e21fff7,0x7fe401ff,
    0x007ffe25,0x7fc4dff7,0x37fdc01f,0x220ffe00,0x27fb82ff,0x5c01fff8,
    0x3ffe26ff,0x237fdc01,0x7ec03fff,0x17fa004f,0x3e63ff98,0x80fff60f,
    0x3ea3fff9,0xfff101ff,0x01fffa89,0xfa89fff1,0xfff101ff,0x01fffa89,
    0xfc89fff1,0xfff500ef,0x00effb81,0xfb85fff3,0xfff300ef,0x07fdc005,
    0x6fc83ff8,0x98077fdc,0x7fdc2fff,0x5fff300e,0x882fffb8,0x9001fffc,
    0x7fe401ff,0x5effeeee,0xf101fff7,0xffe87fff,0xffca89cf,0xfffe80ef,
    0xfffca89c,0xcfffe80e,0xefffca89,0x9cfffe80,0x0efffca8,0x8dfffec4,
    0xd03fffc9,0x93137fff,0x3fa07fff,0xfc989bff,0x3e2003ff,0x11bf603f,
    0xfffd09ff,0xfff93137,0x2ffffa07,0x3fffc989,0x77bfffb0,0x007ffffb,
    0xf900bfe6,0xffffffff,0x2fbffe2d,0xffeffca9,0x7fffec43,0x00ffffff,
    0xffffffb1,0x2201ffff,0xfffffffd,0xfb100fff,0xffffffff,0x7ffec01f,
    0x03ffffff,0x3fffff62,0x2203ffff,0xfffffffd,0x7dc003ff,0x577fcc07,
    0xd880fffb,0xffffffff,0x3ff6203f,0x3fffffff,0x3ffff220,0x003fffff,
    0x40009fd1,0x7fdc0ff9,0x9cffffff,0xffd503ff,0x2007ffff,0xffffffea,
    0xfffd5003,0x2a007fff,0x3ffffffe,0xffffd700,0x3ae003bf,0x02ceffff,
    0xdffffd70,0xff880059,0xffffb803,0x7f5c01ff,0x002cefff,0x9dffffd7,
    0x3fb66005,0x2000ceff,0x4c0006fd,0xffe980ff,0x7ff33eff,0x00135300,
    0x0004d4c0,0x00013530,0x00004d4c,0x98000353,0x54c0000a,0x17aa0000,
    0x0cdec980,0x00054c00,0x00002a60,0x7fd40002,0x66440001,0x00054c00,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x22000791,0x3c8802ee,0x013b2000,0x0059b950,
    0x503dd300,0x0aaa20bd,0x54c00555,0x5440000a,0x553000aa,0x2aa60005,
    0x2aa60002,0x00000000,0x2a200000,0x7fcc001a,0x0bfd0006,0x000dff30,
    0x4c007fea,0x1efffffe,0x03fea000,0x7fd41bf6,0x201ffe25,0xdfffffea,
    0x6ffd8000,0x9ffff100,0xffff8800,0x7ffdc005,0x22004eff,0x911cefdb,
    0xffffb039,0x5fffffff,0xfffffc80,0xfffb803f,0x0ffb8006,0x037ffdc0,
    0x801ffc40,0xffeffff9,0xf90000ff,0x5413fa0d,0x1ffe25ff,0xffffff70,
    0x4c001dff,0xfd000fff,0x4005ffbf,0x03ffdffd,0xfffffe88,0x6400efff,
    0xbfffffff,0xfff83ff9,0xffffffff,0xfffd102f,0x01dfffff,0x0dfdffd1,
    0x202ff980,0x06feffe8,0x2005fe80,0xfb10bffe,0x3fa000bf,0x502ff884,
    0x3ffc4bff,0x137fff50,0x001dffb5,0x6400bff6,0x03ffd4ff,0x3fa9ff90,
    0x7ffec01f,0xeffeb89c,0x79fff500,0x7ffbffb7,0xeeefff88,0x82eeeeee,
    0x98bdfff8,0xf985fffd,0x4006fb8c,0x67cc04fe,0x5c006fb8,0xff3000ff,
    0x00fff30f,0x3e60ffe0,0xf000001f,0x3ff605ff,0x03ff8804,0x7ccdff50,
    0x3fea00ff,0x01fff30f,0x7403ffee,0xfff983ff,0x3ffffa81,0x00027fd4,
    0x3e20bff9,0xf70441ff,0x077e400d,0x06fb8220,0x800bfe60,0xffd04ffa,
    0x1ff98001,0x00007fb8,0xf80bff70,0x0198807f,0x31026620,0x04cc4013,
    0x7f402662,0x17fee04f,0xfb80bffa,0x17fdc3ff,0x0fff8800,0x7013ff20,
    0x3fea00df,0x06fb8001,0x30013fa0,0xdff10dff,0x01ff5000,0x00000bfb,
    0xf900bffa,0x0000005f,0x10000000,0xff801fff,0x01bfe20f,0xffb0fffe,
    0x3ff20001,0x01ef4c02,0x3e201bee,0xdf70003f,0x001bf200,0x3ee1fffc,
    0x6665403f,0xccccffec,0x71cceffc,0xcca80199,0x5003ffe1,0x0665cbff,
    0x65c732a0,0x0e65400c,0xcefedb88,0xf8019803,0x027fd47f,0x3fa1ffe4,
    0x1bfe0007,0x0df70000,0x4000dfb0,0xffa806fb,0xfff70001,0x003ffee3,
    0xfffffff9,0xffffffff,0x03ffa7ff,0x3e67ff70,0x7ff8806f,0xf7003ffa,
    0x003ffa7f,0xff707ff7,0x3dffffff,0x5ff98000,0x5c01ffdc,0x17fe23ff,
    0x027fc400,0x01bee000,0x40001ff7,0x7fc406fb,0x7ff40003,0x800effef,
    0xeffeeeeb,0xeffeeeee,0x01ffd2ee,0xff53ffb8,0x43ffe00b,0x7dc00ffe,
    0x801ffd3f,0x7fdc3ffb,0xffecbcef,0xff10002f,0x02ffd85f,0x3e63ffa8,
    0xeffed9cf,0x47ff301c,0x002bdca8,0xff3037dc,0x6fb80005,0x0002fec0,
    0x2fffffc4,0x03ff3000,0x3ffa0ff7,0xb9ffdc00,0xfff005ff,0x7003ffa1,
    0x03ffa7ff,0x7cc7ff70,0xfffb03ff,0xfd731001,0x5ffb07ff,0x5c7ff300,
    0xfffffeff,0xffa83fff,0xffffff92,0x1bee001d,0x80005fe8,0x3fee06fb,
    0xffb80000,0x5c0006ff,0x20bfb07f,0x7dc00ffe,0x009ff73f,0x7ff47ffa,
    0xe9ffdc00,0x7fdc00ff,0xb00fffa3,0xff5009ff,0x3f203fff,0x3ffa802f,
    0x37fffff2,0x44ffffdc,0xfffdaffb,0x01fffffe,0xdf905ea8,0xbd500001,
    0x000bfe60,0xfffffd30,0x7e40007f,0x3a09ff06,0x7fdc00ff,0x2007ff73,
    0x1ffd1ffe,0xfd3ffb80,0x3ffb801f,0xf100dff3,0xffb801ff,0xfb83efff,
    0x3ffb803f,0x2207fffa,0x3f21fffd,0x7542ffef,0x540006ff,0x765441ff,
    0x740003ee,0x07fcc05f,0x6cf7ffd4,0x00541fff,0x7fc427f4,0x801ffd02,
    0x7ff73ffb,0x747ffa00,0x7fdc00ff,0xb801ffd3,0x07ff73ff,0x3007ff60,
    0xbfff9533,0xd806ff98,0x077723ff,0x7e4dffb0,0xfd100fff,0x3e20007f,
    0xffffe84f,0xf90005ff,0x7ffc401d,0x127ffcc0,0x3e21fffd,0x0ffe00ff,
    0x7f403fea,0x9ffdc00f,0xfd004ffb,0x003ffa3f,0x3ffa7ff7,0xc9ffdc00,
    0xff9002ff,0xfff30005,0x202ffe87,0x0003fff8,0x3f21fff1,0x7fd402ff,
    0x0dfb0007,0xf9315ff7,0xffa8003f,0x3fffa201,0x4c2fff40,0xbff76fff,
    0xaffa9988,0x9ffc9999,0x1ffd0999,0xf53ffb80,0x3ffe009f,0xb801ffd0,
    0x01ffd3ff,0xffb3ffb8,0x13fee003,0x23ffdc00,0xd880effa,0x20003fff,
    0xfff72ffe,0x003ffe00,0xdb01ff70,0x004ff887,0xfb013fe2,0x7fcc1fff,
    0x9fff501f,0xffc85ffd,0xffffffff,0x3fffffff,0xfb801ffd,0x00bff33f,
    0x7ff43ffe,0xe9ffdc00,0x7fdc00ff,0x2003ffd3,0x20004ffb,0x7fec0fff,
    0xffea89bf,0x360003ff,0x0dff53ff,0x8007ffa0,0x4c003ff8,0x3f6001ff,
    0x7d7fe406,0x01bfea0f,0x0dfffff7,0xfffffff9,0xffffffff,0x03ffa7ff,
    0x3e27ff90,0x7ff8805f,0xf9003ffa,0x003ffa7f,0x3ff67ff9,0x07ff9002,
    0x417ff400,0xfffffffd,0x0003ffce,0x7fccfff6,0x03ffb006,0x2002ff40,
    0x2e007fd8,0x3fee00ff,0x3ee0ff99,0xfffd806f,0xffaa983f,0xffbaaaad,
    0xfd1aaaac,0x3ffd801f,0x3ea01ffe,0x003ffa5f,0x3ffa7ffb,0xb9ffec00,
    0xffb003ff,0x400f7267,0xfd701ffe,0xff71bfff,0x400b2e67,0xfff31ffe,
    0x801ffa00,0x26000ffc,0xf1001ffe,0x97fd407f,0x3fea0ff9,0x7ff4401f,
    0x0bfe201f,0xfd803fea,0x1fff401f,0xfc805ffb,0x007ff63f,0x3ff67ffd,
    0xa9fff401,0xfff005ff,0x201bfea3,0xa8807ff8,0xfa9ffdc1,0xfff8806f,
    0x2007ffa0,0xff3006ff,0x77fd4005,0x817fa001,0x3fe63ff9,0x013ffe20,
    0x03fffff7,0x3f207fe6,0x01ffec07,0x7cc7fff3,0x07ffc05f,0x7cc07ffb,
    0x07ffb3ff,0xf89fffcc,0x7fdc01ff,0x200fffc6,0x20006ffc,0xfff13ffb,
    0x45ffc803,0x7dc05ffa,0x4fe8804f,0x037fee00,0x200ffc80,0xfeeeeffc,
    0x3fff25ef,0xfffff701,0x0ff703ff,0xff7017f6,0xffff101f,0xb02ffe87,
    0xfffb89ff,0x3ffff880,0xf101fff7,0x7fdc7fff,0x5fff300e,0x500effc8,
    0x40003fff,0x3ff63ffb,0x1fff500e,0x2609ffd0,0xfd801fff,0x13fee006,
    0x805ff300,0xfffffffc,0x3ffe26ff,0xffecaacf,0x1ffffbcf,0x3ff837e4,
    0x5f7ffc40,0xffeffca9,0x4e7ffd43,0x40fffda8,0xa9befff8,0x13ffeffc,
    0x9537dfff,0xe87ffdff,0xc989bfff,0xfe883fff,0xfc989cff,0x5c0004ff,
    0x3ffa23ff,0xffc98adf,0xbfff503f,0x5fff7315,0x003ff500,0x2aab7ff2,
    0x9fd102aa,0x07fcc000,0x7ffffec4,0x3ea2ffff,0x427f44ff,0xfb802ff8,
    0xcfffffff,0xffa83ff9,0x1fffffff,0xffffff70,0x47ff39ff,0xfffffffb,
    0x443ff9cf,0xfffffffd,0x3fa603ff,0xffffffff,0xffb80004,0x7ffff4c3,
    0x402fffff,0xfffffffa,0xff8803ff,0xffff1003,0x20bfffff,0x4c0006fd,
    0x3fae00ff,0x981defff,0x417fc45f,0xd3000ffa,0x267dffff,0xffd303ff,
    0x98019fff,0x33effffe,0xffe987ff,0x7ff33eff,0x3ffffae0,0xff7002ce,
    0x003dffff,0x40ffee00,0xdffffffb,0xfffb1001,0x36005bff,0x3326005f,
    0x3ccccccc,0x0001ffa8,0x44006644,0x409800a9,0x2a980aa8,0x00153000,
    0x0009a980,0x30000a98,0xa9800015,0x2aa20000,0xea800001,0x054c402e,
    0x006a2000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3372ea00,0x000000ab,0x13551000,
    0x00aa2000,0xcdcba800,0x000000ab,0x54001555,0x00abcdcb,0xdcb98800,
    0x100002bc,0x0359b995,0x6e5cc400,0x2a0000ab,0x2a02bddc,0x400000aa,
    0xffffffc8,0xb801cfff,0x33bb6e4c,0x3ffea002,0x7001efff,0x17bfffff,
    0xfffc8800,0x1cffffff,0x7ff40000,0x7ffe4c02,0x2fffffff,0xfffe8800,
    0x0bffffff,0xfffda800,0x02efffff,0x3ffffa20,0x002fffff,0x3fffffee,
    0x1ffd82ef,0x3fee0000,0xfebaceff,0x7ec04fff,0xffffffb7,0xfffd805f,
    0x03ffffff,0x3fffffa2,0x7001ffff,0x759dffff,0x009ffffd,0x017ff400,
    0xfffffff7,0x1bffffff,0x3fffee00,0xffffffff,0x3ff6001f,0xffffffff,
    0xff9805ff,0xffffffff,0xffc803ff,0xffffeeff,0x000ffec2,0x56ffec40,
    0xdff95100,0x3f7ff601,0xfffdbacf,0x5bfff700,0x03fffd71,0x226ffffa,
    0x201fffc9,0x00adffd8,0x01dff951,0x05ffd000,0x2f3ffff2,0xffdb9889,
    0x3f6200ef,0x950abfff,0x805ffffd,0x1aefffe8,0x13fffaa6,0x9befffa8,
    0xfffea989,0x33ffea05,0x87fff661,0x80001ffd,0x4c002ffd,0xfffb06fe,
    0x1dff703d,0x902fff88,0xfff70dff,0x817fea03,0x4c002ffd,0xe80006fe,
    0xfffb82ff,0xfffb800e,0x33fff204,0x7fffcc00,0x0bfff601,0x40ffff20,
    0xfb804ffd,0x9fff01ff,0xfb2fff40,0xfb80003f,0xfd10000f,0x03fffb0b,
    0x3ea27fe4,0x3ffe606f,0x201fffc0,0xffb82ffd,0xfe880600,0x7ff40005,
    0x027ffc42,0x203ffe60,0x2002fff9,0xf706fff9,0x7e4003ff,0x06ff887f,
    0x260fff20,0x3ea00fff,0x007ff67f,0x362ff980,0x0bcdeeee,0x7ec2ff88,
    0x37fc405f,0xfd00fff2,0x037fcc5f,0x3e627fcc,0xfffdb82f,0x17fc40bd,
    0x85ffd000,0xb0006ffd,0xbffb07ff,0x7fff5000,0x8007fff0,0x7d42fff8,
    0x3fe6004f,0x805ffa86,0x3ffb0cee,0x227e4000,0xfffffffe,0x6c6fb82f,
    0x7fe801ff,0x3a02ffdc,0x17fea1ff,0xf91bfe20,0xd9dff909,0x0df70dff,
    0x117ff400,0x20003fff,0x7fd43ef9,0xff90000f,0x00fffa8d,0x541cec80,
    0x66c006ff,0x005ffb84,0x36e3ffb0,0xf100bdff,0x221fe81f,0xff80ffd9,
    0x2003ff61,0x3fe21ffd,0x8fff300f,0xff003ffb,0x903fe21f,0x4fe883df,
    0xd0001ff8,0x3ffdc5ff,0x7e402000,0x3e60004f,0x17ff61ff,0x3fe20000,
    0xf700002f,0x3f6000df,0xfffffd9f,0x85fb81ff,0x05ff01fe,0x03fec9f9,
    0x7f42ffc8,0x7fec40cf,0x8027fdc4,0x8bf71fff,0xdf101ff9,0x0004fc81,
    0x7fec5ffd,0xfb000005,0xff80007f,0x00fffe3f,0x7fff4000,0x7cc0000c,
    0xffb0007f,0xfd97bfff,0x82fc87ff,0x1ff881fe,0x1ff66f98,0x221ffdc0,
    0xfdbdfffd,0x5ff984ff,0x91fff880,0x005fb85f,0x2000df30,0x3ffe2ffe,
    0xff000004,0xfe80005f,0x05fff15f,0x3fa60000,0x00acefff,0x001fff80,
    0x81ffffd8,0x3f60fffc,0x64c1fe81,0x6cff106f,0xffc800ff,0xfffff701,
    0x3fe205ff,0x7ffe400f,0x3fc83fb2,0x00ff1000,0xff8bffa0,0x8800002f,
    0x40001fff,0xfff15ffc,0x44000003,0xfffffffe,0x2aa201ce,0xaaaadffe,
    0x0fffec02,0x7f47ffb0,0xfeeefe80,0x9fe01eff,0xfd801ffd,0xffffc80f,
    0xb02effff,0x7fcc0bff,0xe81fd2ff,0x1fe0002f,0x897ff400,0xaa801fff,
    0xaaaaaaaa,0x000fff30,0x3e6dff70,0x0000007f,0xffffffd7,0xff303dff,
    0xffffffff,0x05ffd80d,0x5fd3ffcc,0xffffffd0,0x367f8803,0x7fc402ff,
    0x5ffff446,0x4fffc989,0x21efff88,0x2ffeffb8,0x02fe85fd,0x000ff100,
    0x7fc4bffa,0xffff801f,0x32ffffff,0x70000fff,0x3ffe2dff,0x20000000,
    0xfffffdb8,0x7ffcc3ff,0x6fffffff,0x400ffec0,0x09fb0ffe,0x17f663fd,
    0x7fecdf50,0x227fdc06,0xf300effc,0xfff705ff,0x95ffffff,0xb13f63ff,
    0xf500807f,0x3ffa000d,0x2007ffe2,0xffffffff,0x1fff32ff,0x5ffc8000,
    0x0000bffe,0xfeb98000,0x3fe04fff,0x7fec001f,0x91ffd800,0xd83fd0df,
    0xd97f604f,0xff304fff,0x07ffc41f,0x4c13fea0,0x2ffffffe,0x1bf23ffb,
    0x2fe80bf7,0xe8002fec,0x0bffa2ff,0x2aaaaaa0,0xff12ffea,0xfd80003f,
    0x00fff64f,0x54000000,0xfd00fffe,0x7fd8005f,0x267ff900,0x20ff40ff,
    0x7ff02ff8,0x56ffffec,0x41fffb98,0xff005ffa,0x1bdba80f,0xff987ff4,
    0x5c0bfe20,0x01ffc1ff,0x362ffe80,0x740004ff,0x0fffa2ff,0x47ffd000,
    0x20004ffc,0x2200000a,0xffd03ffe,0x07fd8001,0x7f47ff90,0x7dc0ff42,
    0xb07fcc0f,0xfffff9ff,0xff905fff,0x07ff6007,0x747ff800,0x8dffdc2f,
    0x7cc4ffca,0x7401880f,0x1ffea2ff,0x45ffd000,0x20005ffc,0x3ea0fff9,
    0xff50006f,0x017fe61d,0x2217fee0,0xfd8007ff,0x1ffd800f,0x03fd1bee,
    0x89fb13fa,0xffe99ffd,0xff701cef,0x0bff6009,0x22ffcc00,0xfffb86fb,
    0xfd84ffff,0x7c07ff84,0x3ffe21ff,0x3ffa0003,0x00bffe62,0x222fff40,
    0xd8000fff,0x3ffe25ff,0x2ffcc000,0x40027fd4,0xfe800ffd,0xdb27f40f,
    0x5c3baa03,0x0ffec0ff,0xff500351,0x83ffa00d,0xffc805ed,0xc884fe83,
    0xfb81cefd,0x00ffe80f,0xfc83fff1,0xfd0001ff,0x06ffd85f,0x82fffa80,
    0x4c005ffe,0x7fec2fff,0x1ffe4002,0x40007fe4,0x7c402ffd,0x04ff987f,
    0xb05ff700,0x220003ff,0x7cc00fff,0x017ff47f,0xf301fff1,0x3ee0009f,
    0x05ffb02f,0x7f41ffe6,0x322001ef,0x7fc42fff,0xff5000df,0x3ffe60bf,
    0xdfff1004,0x005fff70,0xf503ffa2,0x3f60005f,0x27fe406f,0x000effa8,
    0x3609ffb1,0x320001ff,0xfd100eff,0x06ffb87f,0x5407ffd1,0xb1000eff,
    0x7fdc09ff,0x2fff441e,0xacffff98,0xffff7100,0xffff503f,0xffffc805,
    0x37fff200,0x3fffaa01,0xcffff881,0x1bffea00,0x5575bff5,0xfffb0c03,
    0x03ffea09,0xacefff98,0x3fffae60,0x007ff602,0x37dffd00,0x0bfff731,
    0x317dffd1,0x300bffd7,0x4159dfff,0x02fffeb9,0xdbeffff8,0x2601ffff,
    0xcefffffe,0xffffffdc,0x3ffea00d,0xfdcabdef,0xd800efff,0xabdfffff,
    0x02ffffec,0x3bffffa2,0xffffdcbd,0x3fffea0e,0xcdffffff,0xffb1ffcb,
    0xf7315bff,0xfb1007ff,0xfffdffff,0xfd801bff,0x74c0001f,0xffffffff,
    0xfff300df,0x0bffffff,0x7fffec40,0xdfffffef,0xffff5000,0x003fffff,
    0xffffffb1,0x3dffffff,0x3fffa600,0xffffffff,0x7ffe4005,0xffffffff,
    0xfffb002e,0xffffffff,0xfffff10b,0xffffffff,0x3ff69fff,0xfffffff9,
    0x75c4003f,0x1cffffff,0x003ffb00,0x3fffee00,0xd8802eff,0x02efffff,
    0xfffd7100,0x00039fff,0xbfffffd1,0xfeb88003,0x2cefffff,0xfffb5000,
    0x0039ffff,0x3ffff220,0x8003ffff,0xffffffdb,0x33f603de,0x3ff6e209,
    0xffb3efff,0x3bffffa6,0x19980001,0x01dd9000,0x9a988000,0x9a988000,
    0x4cc00000,0x26200001,0x3100000a,0x00000355,0x00013553,0x01aa9880,
    0x35531000,0x40026001,0x31000aa9,0x00000003,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40176c00,
    0x88002aa8,0x079932aa,0x000b3260,0x4000554c,0xaaaaaaa8,0xaaaaaaaa,
    0x2a21aaaa,0x8800002a,0xaaaaaaaa,0x6640019a,0x554c001c,0xcba80002,
    0x2a201acd,0xaaaaaaaa,0xaaaaaaaa,0x55555510,0x55555555,0x2aaa2155,
    0xa9855541,0x2017f20a,0xa8006ffa,0x03ffe6ff,0x0007ff60,0x4001ffdc,
    0xfffffffc,0xffffffff,0x3ea5ffff,0xa800006f,0xffffffff,0x802effff,
    0x7c002fff,0x30000fff,0xfffffffd,0xffff301b,0xffffffff,0x263fffff,
    0xffffffff,0xffffffff,0xe83fff21,0x43ffb2ff,0xffa807fa,0x6ffa8006,
    0xf100fff2,0x7dc000df,0x7fc4003f,0xffffffff,0xffffffff,0x1bfea5ff,
    0x3fea0000,0xffffffff,0x203fffff,0x2a002fff,0x8003ffff,0xedfffffa,
    0x7cc2ffff,0xffffffff,0xffffffff,0xffffff31,0xffffffff,0x3ffd83ff,
    0x7fecbffa,0x500bfe21,0xf5000dff,0x037fccdf,0x8000ffea,0x64003ffb,
    0xffecceff,0xcccccccd,0x3ea2cccc,0xa800006f,0xcccccfff,0xffffedcc,
    0x005ddd03,0x037ff7ec,0x2bbffe20,0x83fffa60,0xccccfff9,0xcccccccc,
    0x9fff30cc,0x99999999,0xe8819999,0x6cbffa7f,0x027f41ff,0x2001bfea,
    0x7ff46ffa,0x003ff601,0x003ffb80,0xfd8bffe2,0x3ea0003f,0xa800006f,
    0xfd5006ff,0x200001ff,0x2ffccff8,0x01bff600,0x7fccbffd,0xff980006,
    0x3e600007,0x005ffd3f,0xffa80df7,0x6ffa8006,0xf8827fdc,0x7dc0006f,
    0x3ff2003f,0x001ffec6,0x555dff50,0x01335555,0x0037fd40,0x00017ff6,
    0x7fcd7fdc,0x07ffe005,0x7ccdff30,0xf980006f,0x4400007f,0x005ffd09,
    0x7d401ff3,0xffa8006f,0xb83ffc46,0x5c0002ff,0xff1003ff,0x03ffd85f,
    0x3fffea00,0xffffffff,0xffa802df,0x7ffcc006,0xd0016443,0x007ff4ff,
    0xf8037fcc,0x0dff30ff,0x0fff3000,0xffe80000,0x405ff002,0xa8006ffa,
    0x2ffd86ff,0x4400ffe8,0xf71cefda,0x3fee007f,0x003ffd86,0x3ffffea0,
    0xffffffff,0x3ea00eff,0xffc8006f,0x9802fd46,0x0fff25ff,0x400aea20,
    0x1bfe67ff,0x1ffe6000,0x0cca8000,0x332e5ffd,0x2a05fd80,0xfa8006ff,
    0x44ffa86f,0x7e405ff9,0xbbffffff,0xff8803ff,0x03ffd82f,0x2bbfea00,
    0xccaaaaaa,0x2a05ffff,0xf88006ff,0x802fd47f,0x3fe62ffd,0xf9800007,
    0x01bfe65f,0x01ffe600,0xd1ffd800,0x07ff65ff,0xffa81fea,0x6ffa8006,
    0xffc8fff0,0x37ffea02,0xffeffecb,0x06ffb803,0x40007ffb,0xb1006ffa,
    0x3ea07fff,0xfff0006f,0x44037dc3,0x7ff40fff,0x3a200002,0x1bfe63ff,
    0x1ffe6000,0x1ffd8000,0x3ff65ffd,0x501ff881,0xf5000dff,0x8bff20df,
    0x3fe607ff,0xffffb81f,0x03fff803,0x40007ffb,0x6c006ffa,0xdff505ff,
    0x8bffa000,0xffb807fb,0x005ffb84,0x83bffa00,0x80006ff9,0x00007ff9,
    0x7ff47ff6,0x3a03ffb2,0x0dff503f,0x20dff500,0x9ff35ff9,0x7017ff40,
    0xfb807fff,0x3fff607f,0xffffffff,0x37fd46ff,0x31ffee00,0x333dff73,
    0x7ec01333,0x201ff23f,0xff881ffe,0xfd80000f,0x7ffcc1ff,0xffffffff,
    0x262fffff,0xffffffff,0x03ffffff,0x7ff47ff6,0x3203ffb2,0x0dff506f,
    0x40dff500,0x03ff97fe,0x3e01bfe2,0x7ff403ff,0x3ffff603,0xffffffff,
    0x037fd46f,0xf83ffe60,0xffffffff,0x3f204fff,0x301ff25f,0x7fec0dff,
    0x3f620004,0xfff981ff,0xffffffff,0x262fffff,0xffffffff,0x03ffffff,
    0x7ff47ff6,0x2603ffb2,0x6ffa80ff,0x06ffa800,0x1bfabfee,0xc803ffa8,
    0x3fea03ff,0x777fec07,0xeeeeeeee,0x037fd44e,0xff1ffe60,0xffffffff,
    0x7fec09ff,0xc803ff65,0x3fea03ff,0x3ff60007,0xdfff301f,0xdddddddd,
    0x7cc3dddd,0xffffffff,0x203fffff,0x5ffd1ffd,0xff807ff6,0x006ffa82,
    0x2206ffa8,0x203ffeff,0xfb802ffb,0x0fffa03f,0x0007ffb0,0x20037fd4,
    0xff506ffb,0x3ffa000d,0xf807ff64,0x7ffc00ff,0xfffa8002,0x01bfe601,
    0x01ffe600,0xd1ffd800,0x07ff65ff,0xff984fd8,0x5ffb8007,0x07fffec0,
    0x5005ffb0,0x3fea07ff,0xeeeeeeef,0x0003fffe,0x8801bfea,0xff504fff,
    0x3ffe000d,0x5407ffa3,0xffffffff,0x05ffffff,0x402ffd80,0x80006ff9,
    0x00007ff9,0x7ff47ff6,0x5c03ffb2,0x07ff987f,0x405ffc80,0x6c05fffa,
    0xff9801ff,0xfffffd03,0xffffffff,0x7d40007f,0xfff7006f,0x1bfea01f,
    0x8bffe200,0xffb02fff,0xffffffff,0x003fffff,0xf9807fe8,0xf980006f,
    0x3600007f,0x25ffd1ff,0x3e601ffd,0x03ffc41f,0x4027fe40,0x7e402fff,
    0x3ffa802f,0xffffffa8,0xffffffff,0x3ea0003f,0xeeeeeeff,0x3ffffffe,
    0x001bfea0,0xff83ffea,0xcfff882f,0xcccccccc,0x4004ffec,0xff9806ff,
    0xff980006,0x3f600007,0x365ffd1f,0x1ff401ff,0x2000fffc,0xfe803ffe,
    0x03ffa806,0xfe83ffb8,0x7ffb004f,0x7ffd4000,0xffffffff,0x5402efff,
    0xfe8006ff,0x41fffc5f,0x2e005ffb,0x3e2007ff,0x6ff9805f,0x7ff98000,
    0x3ff60000,0x3f65ffd1,0x42fe401f,0x26004ffd,0x7d401fff,0x5ff8803f,
    0x4c3ffd80,0xfb000fff,0x7d40007f,0xffffffff,0x5003cdef,0xfb800dff,
    0x3ffe22ff,0x002ffe83,0x000bffe2,0x037fcc00,0x03ffcc00,0x23ffb000,
    0x3ffb2ffe,0xfb87fa80,0xffb003ff,0x01ffb00f,0x9807ffe0,0x7fec3fff,
    0x0fff6004,0x06ffa800,0x6ffa8000,0x17ffe600,0xf989fff1,0xffc8007f,
    0xf3000006,0xf30000df,0x6c0000ff,0x25ffd1ff,0x7c401ffd,0x7fff442f,
    0xfffb100a,0x05ffb805,0x203bfee0,0x263fffd8,0x36000fff,0x2a0003ff,
    0x800006ff,0x4cc06ffa,0x441ffffd,0x7fe44fff,0xfff98004,0x02aa8801,
    0x0006ff98,0x0007ff98,0x7f47ff60,0x003ffb2f,0xfff509fd,0xfdb99dff,
    0xdd10bfff,0x8001ffff,0xa88bfffc,0x363ffffe,0x7ec005ff,0xeeeeeeef,
    0x50eeeeee,0x00000dff,0xddddfff5,0xfffffffd,0x9fff103f,0x0001fff8,
    0xf5009ffd,0xfff300ff,0xdddddddd,0x2bdddddd,0x00007ff9,0x7ff47ff6,
    0x7003ffb2,0x3ffe60df,0xffffffff,0x3fffe04f,0xffb0002f,0xf5dfffff,
    0x07ffe67f,0xfffffb00,0xffffffff,0x1bfea1ff,0x3fea0000,0xffffffff,
    0x100cffff,0x7fd49fff,0x3fee0006,0x07ffa807,0xffffff98,0xffffffff,
    0xfff36fff,0x7fec0000,0x3f65ffd1,0x0ff9801f,0xffffd710,0xe8039fff,
    0x40002dff,0x8dffffdb,0xbffb3ffa,0xffffb000,0xffffffff,0x3fea1fff,
    0xfa800006,0xffffffff,0x4400beef,0x3ff63eee,0x3fe20004,0x3ffd403f,
    0x7ffffcc0,0xffffffff,0xff36ffff,0x7ec0000f,0x365ffd1f,0x155001ff,
    0x33553100,0x00000000,0x0000006a,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x55554400,0x9aaaaaaa,
    0x59930009,0x2a679900,0xaaaaaaaa,0xa9800001,0x002aaa02,0x2a635550,
    0x5544001a,0x2aaaa22a,0x019aaaaa,0x0002aa60,0x2a62aaa8,0xaa80000a,
    0x36e6001a,0x035531cd,0x000e2000,0x1aaa86a2,0xfffffff5,0xdfffffff,
    0x04ffa809,0xfff76ff8,0xffffffff,0x880003bd,0x3ff207ff,0x3ffe6005,
    0x400bff72,0x2a2fffe8,0xffffffff,0x402effff,0x10001ffd,0x7fec7fff,
    0x7fdc0001,0xffc801ff,0xbff73fff,0x0bf50000,0x3e4fe880,0xffff54ff,
    0xffffffff,0x540bffff,0x6ff804ff,0xfffffff7,0x5fffffff,0x3ffec000,
    0x003fff10,0xffb97ff6,0xfffd1005,0xfffffa83,0xffffffff,0x3ffb03ff,
    0x17ff2000,0x40003ffb,0x0ffeeff9,0x3ffffee0,0x00bff71f,0x005ff980,
    0xfff27ff4,0x2abffea9,0xcaaaaaaa,0xa80efffe,0x6ff804ff,0x9999dff7,
    0xffffb999,0xfff70007,0x06ffb80f,0x2e1fff98,0xfe8805ff,0xfffa81ff,
    0xcccccccc,0xd83ffffe,0xf88001ff,0x0ffec0ef,0x9ffe8800,0x3fa06ff9,
    0x5ffb81df,0x2ffcc000,0x49fff900,0xdff54fff,0x2fffb800,0xf804ffa8,
    0x00bff76f,0x800fffb1,0x807ffff8,0x7f402ffe,0x02ffdc4f,0x407fffa2,
    0xd3006ffa,0xffd81fff,0x0ffb8001,0x0001ffd8,0x7fe49ffb,0x203fff05,
    0x40005ffb,0xe8805ff9,0x3fe4ffff,0x00dff54f,0xf509ffb0,0x2dff009f,
    0x3e005ffb,0x3fa001ff,0xf9807ffe,0xfff500ff,0x205ffb81,0x201fffe8,
    0x74006ffa,0x0ffec5ff,0xd804c400,0x330001ff,0x3e033303,0x17fee07f,
    0x0bff3000,0xffffffb8,0x7d53ffe4,0xffa8006f,0x804ffa86,0x0bff76ff,
    0x8027fec0,0x07ff9ffc,0x3a07ffb0,0x5ffb83ff,0x03fffd10,0x4006ffa8,
    0x3f63fff8,0xd800001f,0x000001ff,0x2e07ff80,0x930005ff,0x4799dffb,
    0xfbdfffe8,0x553ffe4f,0xf98006ff,0x27fd40ff,0xffbb7fc0,0x0fff2005,
    0x7fd3fe60,0x1fff1007,0xf706ffa8,0xdffd10bf,0x0dff5001,0x6cdff900,
    0x333201ff,0x360332a3,0xdfd931ff,0x19950059,0x3fff32a0,0x3fee1ccc,
    0xfff50005,0x7ccbffff,0x49ff53ff,0xdff53fff,0x0fff7000,0xff009ff5,
    0x8017feed,0x74401ffe,0x801ffe6f,0x7ff45ffc,0x88bff702,0x5000effe,
    0xf1000dff,0x80ffecff,0x3f60effd,0xc9ffd81f,0x4fffffff,0xc80ffec0,
    0xffffffff,0x0017fee2,0x677fee4c,0xa833e63c,0x4fffa4ff,0x44006ffa,
    0xffa85ffe,0xbb7fc404,0xff5005ff,0x43ff900f,0x3e2007ff,0x0dff71ff,
    0xfd12ffdc,0x7d4001df,0xffd0006f,0x3607ff63,0x7fec0eff,0xffeffd81,
    0x4ffffdcf,0x5407ff60,0xcccfffcc,0x0017fee1,0x220bff30,0x3a4ffa80,
    0x0dff52ff,0x0ffff4c0,0x2202ffd4,0x3bff76ff,0xb5333333,0xfa801dff,
    0x003ffc3f,0x7ffd7fee,0x457fee01,0x4000fffe,0xb0006ffa,0x07ff65ff,
    0xfb01dffb,0xffffb03f,0x0fffc883,0xf003ffb0,0x2ffdc0ff,0x17fe6000,
    0x6c9ff500,0x9fff52ff,0xdb999999,0x207fffff,0x7c405ffa,0xfffff76f,
    0xffffffff,0x5ff8801d,0xe8007ff8,0x404ffdff,0xffe8dffb,0x7d4005ff,
    0xff90006f,0xfd87ff67,0x3ffb00ef,0x403fffb0,0xffb01ffe,0x40fff003,
    0x40005ffb,0x54005ff9,0x47ff64ff,0xfffffffa,0xffffffff,0x1ffea02f,
    0x3eedff50,0xffffffff,0x400effff,0x7ff80ffd,0x76666640,0xccdfffff,
    0x3bfee3cc,0x2fffeffe,0x01bfea00,0xfdaffe40,0x01dffb1f,0x7ec0ffec,
    0x17fdc04f,0xf801ffd8,0x17fee07f,0x0bff3000,0x324ffa80,0xffff51ff,
    0xffffffff,0xfa80159d,0x3ff602ff,0xdddfff76,0xffffdddd,0x0bfee07f,
    0x3fe03ffc,0xffffffff,0x25ffffff,0x8dfffffb,0x5000fffd,0x36000dff,
    0xb3ffb4ff,0xfd801dff,0x03ffd81f,0xfd81ffd4,0x07ff801f,0x00017fee,
    0xa800bff3,0x43ff24ff,0x9999effa,0x02effda9,0x01ffff50,0x3eedfff9,
    0xffc8805f,0x02ffcc5f,0xfff80fff,0xffffffff,0x2e5fffff,0x3e25ffff,
    0xff5006ff,0x3ffa000d,0xfffdffb3,0x03ffb00d,0xfa805ffb,0x03ffb04f,
    0x7dc0fff0,0x7cc0005f,0x7fd4005f,0x7d43fee4,0x7ffe406f,0xffffa803,
    0xfffebadf,0x00bff76f,0xfd07ffd4,0x03ffc01f,0x200dff00,0xfa85fffb,
    0xffa804ff,0x5fff0006,0x3ffffff6,0x0ffec03f,0x2a00ffec,0x3ffb04ff,
    0x5c0fff00,0x4c0005ff,0x7d4005ff,0xfa9fea4f,0xfffc806f,0x76ffd402,
    0xdcffffff,0x00bff76f,0xff72ffe8,0x9999999d,0x01999fff,0xb8037fc0,
    0x3ff206ff,0x37fd402f,0x8fffc400,0xffadfffd,0x07ff601f,0xf5007ff6,
    0x07ff609f,0xfb81ffe0,0x7cc0005f,0x7fd4005f,0xffa9fea4,0x3fffd006,
    0x7467fd40,0xdfb4ffff,0x90017fee,0x3fff2bff,0xffffffff,0x6c1fffff,
    0xffeeeeee,0x4eeeeeef,0xfd017fee,0x7fd401ff,0xfffa8006,0x7e4bffb0,
    0x07ff606f,0xf5007ff6,0x07ff609f,0xfb81ffe0,0x7cc0005f,0x7fd4005f,
    0xffa9be64,0xdfff1006,0x893fea01,0x2ffdc01a,0x657ff200,0xffffffff,
    0xffffffff,0x7fffffc1,0xffffffff,0x17fee5ff,0x40bfff30,0xe8006ffa,
    0x87ff65ff,0xfb03fff8,0x03ffb03f,0xfb04ffa8,0x0fff003f,0x0002ffdc,
    0x50017fe6,0x537cc9ff,0x7dc00dff,0x9ff504ff,0x0bff7000,0x313ffe80,
    0x33333333,0x0333fff3,0xf9999999,0x999999ff,0x402ffdc7,0xf503fffb,
    0xffb800df,0x507ff61f,0xffb03fff,0x803ffb03,0xffb04ffa,0x40fff003,
    0x40005ffb,0x54006ff8,0x7fd404ff,0x7ffec006,0x004ffa81,0x2005ffb8,
    0x8001fffa,0x3e0007ff,0xbff7006f,0x07fff600,0x9801bfea,0x7fec5fff,
    0xd86ffd81,0x1ffd81ff,0xd827fd40,0x7ff801ff,0x0017fee0,0x800dff10,
    0x7d404ffa,0x7fc4006f,0x04ffa86f,0x805ffb80,0x006fffb8,0x4000fff0,
    0xff7006ff,0x3ffe200b,0x037fd40e,0x3ffff666,0x440ffec0,0x7fec3fff,
    0x401ffd81,0xffb04ffa,0x40fff003,0x80005ffb,0x803cefff,0x2aaa4ffa,
    0x000dff51,0xfa87fff7,0xffb8004f,0xfeeeeeef,0x00ffffff,0x000fff00,
    0xfb8037fc,0x3fea005f,0x77ffd45f,0xffffeeee,0xfd80ffff,0x3fff701f,
    0x7ec0ffec,0x27fd401f,0xf801ffd8,0x3ffee07f,0xeeeeeeee,0xffd84eee,
    0xffa807ff,0x7d4fffe4,0xffd0006f,0x027fd41f,0x7ffffdc0,0xffffffff,
    0x3e0001df,0x3fe0007f,0x0bff7006,0x23fffd80,0xfffffffa,0xcfffffff,
    0x403ffb00,0x3ff66ffd,0x401ffd81,0xffb04ffa,0x40fff003,0xfffffffb,
    0x5fffffff,0x01ffff90,0x3fe4ffa8,0x00dff53f,0x997ffe60,0xfb8003ee,
    0xffffffff,0x0001cdef,0x20007ff8,0xff7006ff,0xffe8800b,0xfffff51f,
    0x79ddffff,0x01ffd801,0x7ecfffe2,0x01ffd81f,0xfd827fd4,0x07ff801f,
    0x3fffffee,0xffffffff,0xa800c405,0x0fffe4ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x30000000,
    0x00015555,0x5446aaa6,0xaa88002a,0x00055512,0x2aa25551,0xaaaaaaaa,
    0x55540099,0x0002aa60,0x26a62000,0x55555000,0x55555555,0x2aa35555,
    0x2a20002a,0x2aaa60aa,0x1aaa8000,0xa8006aa6,0x2a6002aa,0x5c00001a,
    0x0004ffff,0x3eabfffd,0x7d4003ff,0x00fff35f,0x3eadff50,0xffffffff,
    0xd02dffff,0x1ffe43ff,0xd05efdc4,0xfffb803f,0x7403ffff,0xffffffff,
    0xffffffff,0x009fff53,0xf11bffa0,0xfa800bff,0x1bfea1ff,0x01ffff80,
    0x3ea7ffb0,0xffffffff,0x72ffffff,0x000fffff,0x2abffff3,0x2000ffff,
    0xfff35ffa,0x2dff5000,0xfffffffa,0xffffffff,0x321ffe86,0xfffe83ff,
    0x206fdeff,0xffffffe8,0xfd00efff,0xffffffff,0x7fffffff,0x000fffe4,
    0x2a03ffee,0xf1002fff,0xfff887ff,0xffffa800,0x23fff004,0xfffffffa,
    0xffffffff,0x5fffff72,0xffffb800,0x0bffff55,0xf9affd40,0xffa8007f,
    0x999fff56,0xffb99999,0x1ffe8bff,0xff30fff2,0x7ffffb55,0x8d7fff40,
    0x705fffb9,0x99999999,0xfffd9999,0x037ffc47,0x407fff30,0xe800fffd,
    0x5ffd05ff,0xdffff900,0x4cfff300,0xeeeeeeee,0x1fffeeee,0x09ffdff7,
    0x5ffffe80,0x07fffff5,0x7cd7fea0,0xffa8007f,0x200dff56,0x003fffd8,
    0x2e21f540,0x3bfee00b,0x05fff300,0xbfff3000,0x007fff50,0xf1017ffa,
    0xffc80bff,0x09ff900e,0x1ffbdfd0,0x004ffb80,0xfb8bffa0,0x2007ffcf,
    0x55ffdff9,0x01ffffff,0x3e6bff50,0xffa8007f,0x800dff56,0x00005ffe,
    0x0fff4000,0x0017ff60,0x01dffd10,0x7003fff6,0xf3001fff,0x3fea07ff,
    0x1bfe601f,0xff79ff10,0x02ffd805,0xb89ff900,0x02ffccff,0xbff5ff90,
    0x3ffb7fea,0x35ffa805,0xf5000fff,0x01bfeadf,0x000fff70,0x7fc40000,
    0x07ff9806,0x07fff400,0x40dfff10,0x2002fff8,0x7c41fffc,0x7ff803ff,
    0x7c57fdc0,0x07ffc05f,0x437fcc00,0x4ff9cffb,0xff59fd00,0x3e73feab,
    0x7fd403ff,0x000fff35,0x3feadff5,0x7ffcc006,0xb80cca80,0x3bfb2a4c,
    0x09db302c,0x8001ffe0,0xa802fffd,0xffd03fff,0xdffd000b,0xb005ffe8,
    0x3fec03ff,0x7fc40ffd,0x3ffd0006,0x3fe9ff70,0xa9ff9807,0x29ff55ff,
    0x2a00fffc,0x0fff35ff,0x2adff500,0x7cc006ff,0x1ffd80ff,0xfff97fd8,
    0x000bffff,0x000dff30,0x800fffee,0x7dc0fffd,0xf98000ff,0x1dff94ff,
    0x80ffee00,0x07ff25ff,0x40027fdc,0xff704ffc,0x9007ff29,0x557feaff,
    0x17ffa4ff,0xff35ffa8,0xdff5000f,0x5001bfea,0x3ff60dff,0xffcffd81,
    0x4ffffddf,0x27fe4000,0x2fffcc00,0x97ffe200,0x0002fff8,0x3fefffee,
    0x3fe6001f,0x547ff305,0x3ffb03ff,0x0fff9800,0x3e69ff70,0xaa7fc04f,
    0x49ff55ff,0xf503fff9,0x2bffe6bf,0xaaaaaaaa,0x56ffcaaa,0x7c400dff,
    0x3ffb05ff,0x17dfffb0,0x000fffc8,0x003fff30,0x006fff88,0x365fff50,
    0xd80004ff,0x003fffff,0xff907ff8,0xe837fc43,0xffe8007f,0xf93fee03,
    0x47fe607f,0x9ff55ffa,0xa80fffc8,0xffff35ff,0xffffffff,0x2dffffff,
    0xd5006ffa,0x3f601fff,0x1fffd81f,0x000bffa0,0x0013ffa2,0x0003fffa,
    0xffaeffd8,0xff100006,0x36000bff,0x86fe81ff,0x7fc40ffe,0x7ffcc005,
    0xc93fee00,0x4df901ff,0x9ff55ffa,0xf50dffd0,0x3fffe6bf,0xffffffff,
    0x56ffffff,0xdddddfff,0xffffffdd,0x40ffec07,0x7e404ffd,0xffe8003f,
    0xfffd8006,0x7fc40001,0x0001ffff,0x00ffff20,0x221ffdc0,0x2ffb84ff,
    0x2001ffd4,0x7dc04ffc,0x413fe64f,0x57fea4ff,0xff984ffa,0x9affd43f,
    0xcccccfff,0xdccccccc,0xffff56ff,0xffffffff,0xfd805dff,0x03ffd81f,
    0x1001ffdc,0x8003fffd,0x0003fffb,0x09ffff50,0x7ffcc000,0xf98001ff,
    0x417fd44f,0x7fe44ff9,0x3ffe2001,0x227fdc01,0x1ff987fe,0x7fd57fea,
    0x41fff904,0xfff35ffa,0x2dff5000,0xfffffffa,0x03deffff,0xfb03ffb0,
    0x4ffa805f,0x3fffd100,0x5fff9800,0x7fec0000,0x3e200006,0x006fffff,
    0xffc8dff0,0xfe8dff00,0x37fdc007,0x3227fdc0,0x237e41ff,0x9ff55ffa,
    0xf537ff40,0x01ffe6bf,0x7d5bfea0,0x199999ef,0x07ff6000,0xf5007ff6,
    0xfff3009f,0xff88003d,0xb800006f,0x200005ff,0xfff9dffd,0x0ffc8004,
    0xffd81bfe,0x8009ff10,0xfb802ffe,0x227fcc4f,0xaffd43ff,0x3e604ffa,
    0x2bff53ff,0xa8007ff9,0x0dff56ff,0x3ffb0000,0xa803ffb0,0x7fcc04ff,
    0xfe8000ef,0x800000ff,0x00005ffb,0x3ee1fff7,0x7d4002ff,0x407ff32f,
    0x5ff52ffb,0x03ffcc00,0xfe84ffb8,0xf503fea7,0x013feabf,0xff51fff9,
    0x001ffe6b,0x7fd5bfea,0xfd800006,0x01ffd81f,0xf5027fd4,0x90001bff,
    0x00003fff,0x0017fee0,0xb0bffe60,0x44001fff,0x03ff74ff,0xffc9ffc4,
    0x13ff2000,0x6427fdc0,0x50dfb2ff,0x13feabff,0x3ebbffa0,0x00fff35f,
    0x3eadff50,0xd800006f,0x1ffd81ff,0xa827fd40,0x70004fff,0x00007fff,
    0x002ffdc0,0x217ffa20,0x4005fff8,0x00ffb6fe,0x01bfabfd,0x2003fff0,
    0xff984ffb,0xff507ff4,0x2013feab,0x5ffefff9,0x5000fff3,0x1bfeadff,
    0x3ff60000,0x401ffd81,0xffb84ffa,0xff30003f,0x8000009f,0x40005ffb,
    0xf500effd,0x7e4007ff,0xc805ff8f,0x004ff8ff,0xb801ffe2,0x5ffd04ff,
    0xbff501ff,0x64013fea,0xf35fffff,0xff5000ff,0x001bfead,0x207ff600,
    0x7d401ffd,0x1fffc44f,0x5fff8800,0xfb800000,0x3ee0005f,0x7fec01ff,
    0x7ff5001f,0xff5005ff,0x54003ff7,0x3ee006ff,0xfdff904f,0x557fea0b,
    0x3fa004ff,0xfff35fff,0x2dff5000,0x00006ffa,0xfd81ffd8,0x27fd401f,
    0x80013ff6,0x0000effe,0x05ffb800,0x07fff300,0x00dffd10,0x03ffbfe2,
    0x1ffbfe20,0x00bff900,0xf9827fdc,0xff503fff,0x8013feab,0xf35ffff9,
    0xff5000ff,0x001bfead,0x207ff600,0x7d401ffd,0x3bffea4f,0xeeeeeeee,
    0xfff50eee,0xdddddddd,0xbddddddd,0x02ffdc00,0x037ff440,0x009fff30,
    0x801bfffa,0x4005fffe,0x2e003ffd,0x3ffa04ff,0x2bff500f,0x64004ffa,
    0xfff35fff,0x2dff5000,0x00006ffa,0xfd81ffd8,0x27fd401f,0xfffffffb,
    0xffffffff,0x3ffffea1,0xffffffff,0x007fffff,0x20017fee,0x4000fffd,
    0xc802fffc,0x2e004fff,0x74003fff,0x3ee002ff,0x17fee04f,0xff55ffa8,
    0xbffd0009,0x2001ffe6,0xdff56ffa,0xffb00000,0x803ffb03,0x3ffa4ffa,
    0xffffffff,0xf50fffff,0xffffffff,0xffffffff,0x7fdc00ff,0x7ffd4005,
    0xfffd0002,0x1fff9801,0x07ffe600,0x001fff00,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80003555,0x55510aaa,0x55555555,0x55555555,0x99905554,0x26666623,
    0x99999999,0x35500199,0x0cc00000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3ffdc000,0x1fff1000,0x3fffffe6,0xffffffff,0xfd0fffff,
    0xc97ffc1f,0x99999999,0xa9999999,0x005ff801,0xdefedb88,0x2a03ff12,
    0x1acefedc,0x6f7fee4c,0xfdb73001,0x4c0059df,0x802defeb,0x3ceffec9,
    0x3bfb2e00,0x36e2003c,0x2e03cefe,0x3bfb2a4c,0xb13cb82c,0xfff117bf,
    0x3fee0003,0x3ffffe65,0xffffffff,0xd0ffffff,0x97ffc1ff,0x00cc0003,
    0x2a002ffc,0xffffffff,0xfd885fef,0xffffffff,0xffffff73,0xffc809ff,
    0xdfffffff,0x3fffee00,0xb00effff,0xffffffff,0x7ff4c01d,0x00efffff,
    0x7fffffdc,0x7fd81eff,0xfffffff9,0xffd6fd8b,0x13ff69ff,0x10fff400,
    0xb9999999,0x99999fff,0x07ff4999,0x000e5ddb,0xbff00330,0x77ffe400,
    0x6ffffebc,0xcdfffe88,0xfefffecb,0xffdbbdff,0xdfffd02f,0xbfffd979,
    0x33bfff20,0x40efffdb,0xdbcefffc,0xfa80ffff,0xfecbceff,0xfff701ff,
    0xfffd979d,0xffcffd85,0x4ffffddf,0x3fff7bf6,0x0fff51ff,0x00dff300,
    0x2007ff88,0x01c00ffe,0x3e006600,0xfff3005f,0x1fffb307,0x3205ffb8,
    0x880effff,0x7fd40ffe,0x3fff700e,0x883fff98,0x3fe24ffe,0x3ffe880f,
    0xc81fffc4,0xfff986ff,0x41fffb03,0x40befffd,0xffb0fffc,0xf87515df,
    0x7e4002ff,0x7fc4003f,0x03ffa007,0x19800070,0xd005ff80,0x3fe207ff,
    0x03ffc5ff,0x803fffe2,0x7ff46ff8,0x217ffc02,0x3ea04ffd,0x813fea7f,
    0x7fe46ffa,0x21ffe404,0x7ec03ffe,0x07fff64f,0xffb2ffe8,0x5ffc803f,
    0x007ffc00,0x801ffe20,0x01c00ffe,0x3e006600,0x7ff9805f,0x3fff3fa0,
    0xf007b910,0xff9007ff,0x6402e5c3,0x07ffc3ff,0x7d437b60,0x2204c05f,
    0xffa807ff,0x201bfe67,0xffb0fff8,0xb3ffc809,0xff300bff,0x3fea001f,
    0x7ff88005,0x003ffa00,0x91980007,0xffdddddd,0x3ddddddf,0x7e413fee,
    0x0003ffb6,0x2a007ffa,0xf90002ff,0x02ffc47f,0x1dfff880,0x017fea00,
    0xffb87ffc,0x23ffb003,0x7dc03ffd,0x007ffb3f,0x6c00bffa,0xf88002ff,
    0x3ffa007f,0x20001c00,0xfffffb19,0xffffffff,0x0bff25ff,0x7fdc3fea,
    0xfeca9803,0xcccccfff,0x4ffdcccc,0xffdba980,0x13fea3ff,0xffffc800,
    0x3ee00bdf,0xccccccef,0x91ffeccc,0x3f2005ff,0x805ffb2f,0x5ffb4ffa,
    0x017fee00,0x4001ffe2,0x3a007ff8,0x001c00ff,0x7ffec660,0xffffffff,
    0xffb2ffff,0x2e1ff983,0xfec984ff,0xffffffff,0xffffffff,0xd985ffff,
    0xfffffffe,0x0ffee3ff,0xffff9000,0xf907dfff,0xffffffff,0x25ffffff,
    0xf7001ffd,0x007ff69f,0x3ff69ff5,0x1fff1001,0x004ffb80,0x400fff10,
    0x01c00ffe,0x3e006600,0x1ffe805f,0xff70ffa2,0xfffffc89,0xfffeacef,
    0xffffffff,0x7fec6fff,0xcbdfffff,0x0fff23ff,0x3ff26000,0x20efffff,
    0xfffffffd,0xffffffff,0x2003ffd3,0x3ffb4ffb,0xfb4ffa80,0x7fe4003f,
    0x007ff403,0x007ff880,0x07003ffa,0xf8019800,0x3ffd805f,0x3ff217f6,
    0x2fbfff63,0x000ffe81,0x2f7fff60,0x71ffdc09,0x800007ff,0x7ffffdb9,
    0x8000fff2,0xf9002ffd,0x007ff67f,0x3ff69ff5,0x1bfe6001,0x0005ff98,
    0xe801ffe2,0x001c00ff,0x3fe00660,0x75ffb805,0x3ffb01df,0xd007ffe6,
    0x2a0003ff,0x7ec01fff,0x013fea3f,0x700026a2,0x3fee5fff,0x3fee0004,
    0x27ffb003,0x7d401ffd,0x003ffb4f,0xf901ffe8,0x7c40005f,0x3ffa007f,
    0x20001c00,0x05ff8019,0xff9effa8,0x321ffd01,0xfff804ff,0x71cdb802,
    0xffd009ff,0x4037fcc7,0x19753ffb,0xf34ffd80,0x2b2e00df,0x200bff50,
    0x3ffb1fff,0xfb4ffa80,0xffb8003f,0x000fff04,0x2007ff88,0x2aaa0ffe,
    0x19800070,0x8805ff80,0x703fffff,0x1fff4dff,0x017fff20,0x3f65fff1,
    0x7ffcc03f,0x2017ff44,0x9ffb1ffe,0x3e3ffc80,0x7fdc02ff,0x03fff10f,
    0x3f66ffb8,0xa7fd401f,0x44001ffd,0x4ffa86ff,0x3ffc4000,0x7c1ffd00,
    0x800072ff,0x05ff8019,0x20bfff90,0x3f21fff9,0x3ffee06f,0x3ff605ff,
    0x981fff26,0x7d44ffff,0xdff700ef,0x8807ffd4,0x3fea0fff,0x9fff101f,
    0x300effb8,0x7fec5fff,0xda7fd401,0xfd8001ff,0x00ffec1f,0x01ffe200,
    0x3fe0ffe8,0x9800072f,0x003cc801,0x15bffff1,0x989fff93,0xb712dfff,
    0xdffd5bff,0xfffd7137,0x56fffcc3,0xffffba88,0xbfffd84f,0x0fffeb89,
    0x456ffff4,0xe86ffeca,0xca89cfff,0xfe80efff,0xfc989bff,0x0ffec3ff,
    0x7ed3fea0,0xffa8001f,0x001bfe24,0x801ffe20,0x3ffe0ffe,0x19800072,
    0xffa80000,0xffffffff,0xffff905f,0x447fffff,0xfffffffe,0xfffc82ff,
    0x8cffffff,0xffd886ff,0x2fffffff,0xffffff88,0xb105ffff,0xffffffff,
    0x3f6201ff,0xffffffff,0x401ffd83,0x3ffb4ffa,0xb9ffe000,0x880003ff,
    0x3fa007ff,0x0397d40f,0xeec8cc00,0xeeeeeeee,0xf11eeeee,0xffffd55f,
    0xffa803df,0x901defff,0x19fffffd,0x7ffff540,0x07ff61df,0x7fffff54,
    0x3fee200d,0x803effff,0xffffffea,0xfffd7003,0x3f6059df,0xa7fd401f,
    0x90001ffd,0x03ffa5ff,0x1ffe2000,0x640ffe80,0x9800070f,0xffffffb1,
    0xffffffff,0x3113a65f,0x53100035,0x0d4c4001,0x006a6200,0x000d4c00,
    0x0000d4cc,0x40001353,0x000000a9,0xff100000,0x0009ff19,0x801ffe20,
    0x9ba20ffe,0xd8cc0003,0xffffffff,0x2fffffff,0x00000002,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfbffe800,0xf100001f,0x7ff400ff,
    0xccc87fa0,0xcccccccc,0x01dccccc,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7d400000,0x00006fff,0xe801ffe2,0x0002e0ff,
    0xaaaa9800,0xaaaaaaaa,0x0aaaaaaa,0x11111111,0x11111111,0x00001111,
    0x00000000,0x00000000,0x00000000,0x00000000,0x000ffffe,0x007ff880,
    0x00003ffa,0xffffb800,0xffffffff,0x1fffffff,0xfffffff7,0xffffffff,
    0x0003ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x001fff90,
    0x03ffc400,0x0001ffd0,0x6eed4000,0xdddddddd,0xdddddddd,0xffffff71,
    0xffffffff,0x003fffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xcb800000,0x8e65400c,0x32600ccb,0x0665403c,
    0xca805999,0x6666544c,0xcccccccc,0x9800003c,0x995002cc,0x00000003,
    0x00733200,0x55300400,0x00081550,0x2aa0aa60,0xb8aaa600,0x37fb2a3c,
    0x77edc40b,0x00ffe82d,0xffc9ffdc,0x03ffee03,0x7fdc7ff8,0x7fff101f,
    0xffffffc8,0x5fffffff,0x805ff700,0xfd007ff8,0x1002dc1f,0x0067c45d,
    0x007fff00,0xf107c980,0x446fc87f,0x20ec803e,0x37ec2ff9,0x7ecdff70,
    0xffffff96,0x3fffe61f,0x7ff45fff,0x99ffdc00,0x3ffa05ff,0x09ff302f,
    0x3f60dffb,0xeeeeb85f,0xffdeeeee,0x5ff7003f,0x805ffb00,0x3fee6ff9,
    0x17bfd735,0x3e23ffd1,0xf8001dff,0xb50003ff,0x1bf60fff,0x7f445ff5,
    0x17ff203f,0x7fc41ff9,0x6cdff703,0xfceffdff,0xfff9dfff,0x22ffffdd,
    0x7dc00ffe,0x441ffe3f,0xf704ffff,0x7fff105f,0x000effb8,0x8017ff60,
    0xfa802ffb,0x17fe405f,0xffffffd1,0xbfffffff,0x77ffffc4,0x0bbb6003,
    0xfffeb880,0x22ffb86f,0xffc86ff8,0x2fffc83f,0x3f22ffc4,0x26ffb81f,
    0x540ffffd,0x40cfffff,0x3ffa6ffd,0x91ffdc00,0xdff505ff,0x81ffa0df,
    0xff30fffa,0x7ec0003f,0x7fdc006f,0x01fff002,0x3a207ffc,0xffdfffff,
    0xfd505fff,0x0019ffff,0xfffc9800,0xff882dff,0xc80ffec5,0x3ff23fff,
    0x47ff702f,0xffb86ff8,0x407fff66,0xf103fffd,0x007ff4ff,0xffa8ffee,
    0xffcefc84,0x202ffc40,0x7ffd5ffc,0x7ffdc000,0x17fdc000,0x502ffc80,
    0x3ff209ff,0x3ffee22e,0x7ffe4c02,0x40002dff,0xcfffffea,0xa87ffa00,
    0x7fe404ff,0x02fffcbf,0xff507ff4,0x365ffa89,0x3fee05ff,0xe87ffc07,
    0x7fdc00ff,0x7f437fc3,0x7d42ffac,0x7ff4402f,0x20005ffe,0x8001fffa,
    0xf3002ffb,0x07ff60bf,0xfa807ff4,0xfd71004f,0x0017dfff,0x3fffff22,
    0x4ffc802e,0x2003ffe2,0x2ffffffc,0x746ff980,0x93fe62ff,0x3ea03ffd,
    0x87ff406f,0x7dc00ffe,0x107fec3f,0x89ff15ff,0xf9800ffd,0x0000ffff,
    0xa805fff3,0xffdaaaaa,0x82aaaaac,0x7fc40ffe,0x809ff306,0xd98007fe,
    0x404fffff,0x1cfffffd,0x41fff300,0x32003ffd,0x2002ffff,0x3fe63ffd,
    0xfd8bfe0f,0x17fe602f,0x3fa1ffd0,0x1ffdc00f,0xffa8bfee,0x5ff8dfd0,
    0x0bfff200,0x1fffcc00,0x3ffffe20,0xffffffff,0x3ffb87ff,0xfb81ffd4,
    0x0ffdc01f,0xffeb8800,0x3bffe207,0x7fdc000b,0x007ffe26,0x03ffffc8,
    0xf89bfee0,0xd87fa2ff,0x3fe601ff,0xe87ff405,0x7fdc00ff,0xfb2ffc43,
    0xf987fe4d,0x3ff6003f,0xfe88005f,0xfff8804f,0xffffffff,0xf887ffff,
    0x807fec6f,0x7e401ffb,0xf910001f,0x7fc40fff,0xe8000bef,0x1bfea2ff,
    0x7ffffe40,0xfff8803f,0x3113ff20,0x2601ffd8,0x7ff405ff,0xc801ffd0,
    0x27fe83ff,0x4bfea4ff,0xf7000ffc,0x8007ffff,0x2a005ffe,0xffdaaaaa,
    0x02aaaaac,0x3fe23ffb,0x017fe205,0xb5000fff,0x809fffff,0x1cfffffc,
    0xb1bfe600,0xffc805ff,0x03fffcaf,0xff11ffe4,0x3ffb001d,0x202ffcc0,
    0x1ffd0ffe,0xb83ffd80,0x42ff99ff,0x00dfd5ff,0x3febffe2,0xdffb001f,
    0xff700001,0x3ffa8005,0xfe805ff7,0x09ff500f,0x3fffae20,0x2e2002ef,
    0x02effffe,0x7c47ff70,0x3fff206f,0x40ffff22,0x7fec5ff8,0xfb166641,
    0x2ffcc03f,0x7ec3ffa0,0x1fff401f,0x7fddffcc,0x7fcffec0,0x27ffd003,
    0xfc806ffb,0x700000ff,0xff0005ff,0x9003ffad,0x32617fff,0x64c02fff,
    0x01dfffff,0x7ffed400,0x7ec00cff,0x20ffea0f,0xfc82fffc,0x0ffd83ff,
    0x3fa13fe6,0x807ff63f,0x7f405ff9,0x407ffb0f,0xfd03fff9,0xff70dfbd,
    0xf9001ffb,0x04ffe8df,0x0007ffee,0x002ffb80,0x4ffaffc8,0x7ffffcc0,
    0xefffffef,0xffffea80,0x400000cf,0xdfffffc9,0xc89ff102,0x3ffa20ff,
    0x517ff202,0x06fe85ff,0x7fec7ffd,0x017fe601,0x3fee1ffd,0xffff880f,
    0x9ffff903,0x0dffff30,0x983fff30,0xffa81fff,0x5c00002f,0xf98002ff,
    0x2601ffff,0xffffefff,0x0effefff,0x5dfffff1,0x00d55400,0xffffd710,
    0x887fea0d,0x017445fe,0x22ff42e4,0xbb901ffa,0x300ffec5,0xffe80bff,
    0x37dfff10,0x7ffdff95,0x0bfffea0,0x2027fffc,0xf903ffe8,0x7ffcc1df,
    0xccccccad,0xb800cccc,0xfd0002ff,0xffa80dff,0x259db515,0xff11ffe8,
    0xff0003bf,0x36a0007f,0x13b207ff,0x00001dd3,0x3b606f54,0x1ffd8003,
    0xd017fe60,0x7ffdc1ff,0xf9cfffff,0x3fffe03f,0x03fffb00,0x7406ffc8,
    0x3ffea4ff,0xffffffff,0xb801ffff,0xf70002ff,0x0b7007ff,0x9f10f440,
    0x7ffc0001,0x3e440003,0x00000000,0x7ec00000,0x17fe601f,0xe981ffd0,
    0xf33effff,0x37fec07f,0xa80fff70,0x7cc01fff,0xffff52ff,0xffffffff,
    0x00003fff,0x03ffe200,0x00000000,0x007fff00,0x00000200,0x00000000,
    0x9807ff60,0x7ff405ff,0x0002a600,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x8001bba6,
    0x22001eea,0x2200acca,0x400bcdcc,0x4400bcb9,0xbdcb883c,0x33333301,
    0x33333333,0x013ae033,0x33333333,0x33333333,0x882cdb88,0x86aaa2aa,
    0x1a980aaa,0x03797510,0xbbb88310,0x00035551,0x00000000,0x003ffd40,
    0x200bffb0,0x0ffffffd,0xffffffa8,0xffffc81f,0xdff303ff,0xfffffe98,
    0x7ffffc43,0xffffffff,0x09f907ff,0x7fffffc4,0xffffffff,0x3fffea7f,
    0xf3ffdc5f,0x17ffc7ff,0x7fd417f4,0x80beffff,0x7ffdc2e9,0x0007ffd0,
    0x00000000,0x003ffd40,0x00ffff98,0x7dcdffdc,0x56ffc44f,0x7d46ffb9,
    0x0ffebacf,0xf137ffdc,0x7fff9bff,0x7fffffc4,0xffffffff,0x087f707f,
    0x3fffffe2,0xffffffff,0x519ff17f,0x3ffdc9fb,0x7ffc7fff,0x705ffc42,
    0xffffffff,0xffd77bff,0xd0fffc45,0x000007ff,0x40000000,0x90004cc9,
    0xc809ffff,0x2e3fe42e,0x20ffa86f,0x9ffcc5fe,0x26feffe8,0x3f620ffc,
    0x3333320f,0xcccccccc,0x519f54cc,0xc87d717f,0xcccccccc,0x97ffcccc,
    0x70ff887f,0x1fffcfff,0xec985fff,0x9bff72ff,0xfffffffb,0x7dc5ffff,
    0x01fff43f,0x00000000,0x10000000,0x01ffb9ff,0x020bfd00,0x81107fea,
    0x19f32ff8,0x41ffcdf7,0x00002ffa,0x77f7ffec,0x80006fff,0x901fd7fe,
    0xe9ffea3f,0x017d43ff,0x203aebfd,0xfffffeb9,0x002ff43f,0x00000000,
    0x55554c00,0xaaaaaaaa,0xff700aaa,0x4007ff33,0x7300dffd,0x03ffffdb,
    0x8221ff90,0x05ff16fb,0x00007ff1,0xfffedb98,0x80001bdf,0xb03fb7fe,
    0xd9bfe63f,0x307e42ff,0x069ff731,0x05666540,0x000000cc,0x80000000,
    0xfffffffd,0xffffffff,0x7f4dff02,0x7fff3006,0xfffffd10,0xfc803ffd,
    0x4dbee03f,0x09fd01ff,0x7fcc0000,0x7400002f,0xf889f77f,0xfc93fe27,
    0xf89ba20f,0x000fffff,0x00000000,0x00000000,0xffffffd8,0xffffffff,
    0x22ffb82f,0x98802ffb,0x3fa0ffda,0x3ff30acf,0x00fffa20,0x0ffe2df7,
    0x00001ffc,0x2ffaff98,0x9ffa0000,0x2ffcbefe,0x8ff51ffc,0x3ffa21fe,
    0x2eee20ce,0x2ea1ddc1,0x5555530b,0x00001555,0x40000000,0xaaaaaaa9,
    0xaaaaaaaa,0x7c47fe80,0x7fc4005f,0xf507ff13,0x3fff303f,0x7fcdf700,
    0xd12ff885,0xdddddddd,0x4bdddddd,0x3ff94ff8,0x9ffa0000,0x83ffffd8,
    0x71be62fd,0x3ff60001,0xfb07ffc6,0x3ffffa3f,0x0001ffff,0x00000000,
    0x3e600000,0x41ffc84f,0x7fc40cc8,0xff10ffe4,0x0eff983f,0x7e4df700,
    0x43ff621f,0xfffffff8,0xffffffff,0xfe83fa67,0xffd00002,0x22015530,
    0x00000981,0xfff17ff4,0xfe8ffec1,0x1fffffff,0x00000000,0xee980000,
    0x07ff6006,0x3fa17fe6,0x41ffb10d,0xffdbdffc,0x3bfea2ff,0x70099999,
    0x77ffc4df,0x3e23fffc,0xffffffff,0x47ffffff,0x00004c18,0x0000ffd0,
    0xf1000000,0xb07ff4df,0x333323ff,0x000ccccc,0x00000000,0x07ffa800,
    0x740bff10,0x7ffcc0ff,0x7444fffe,0xfd9effff,0xffffff14,0x3ee0bfff,
    0x7ffff4c6,0x0000003f,0x00000000,0x00000000,0x0002ff98,0x00000000,
    0x20000000,0xf9007ffa,0x1ffd405f,0x1f7fff54,0x54c37710,0xdddddd52,
    0x3aa09ddd,0x03799505,0x00000000,0x00000000,0x44000000,0x00000009,
    0x00000000,0x3ba60000,0x00999006,0x00080799,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_38_latin1_x[224]={ 0,2,1,0,1,1,1,1,2,2,1,1,2,1,
3,0,1,3,0,1,0,1,1,1,1,1,3,2,1,1,1,1,1,-1,2,1,2,2,2,1,2,3,0,2,
2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,2,0,0,0,-1,1,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,0,3,0,1,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,3,1,0,1,-1,
3,1,1,0,0,2,1,1,0,-1,2,1,0,0,3,2,0,3,1,1,0,2,1,1,0,2,-1,-1,-1,-1,
-1,-1,0,1,2,2,2,2,0,2,-1,0,-1,2,1,1,1,1,1,2,1,2,2,2,2,0,2,2,1,1,
1,1,1,1,1,1,1,1,1,1,0,3,-1,0,1,2,1,1,1,1,1,1,2,2,2,2,2,0,2,0,
 };
static signed short stb__arial_38_latin1_y[224]={ 30,5,5,5,3,5,5,5,5,5,5,9,26,19,
26,5,5,5,5,5,5,5,5,5,5,5,12,12,9,12,9,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,34,5,11,5,11,5,11,5,11,5,5,
5,5,5,11,11,11,11,11,11,11,6,12,12,12,12,12,12,5,5,5,15,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,30,12,5,5,9,5,
5,5,5,5,5,13,12,19,5,1,5,9,5,5,5,12,5,16,29,5,5,13,5,5,5,12,-1,-1,-1,0,
0,0,5,5,-1,-1,-1,0,-1,-1,-1,0,5,0,-1,-1,-1,0,0,10,4,-1,-1,-1,0,-1,5,5,5,5,
5,5,5,4,11,11,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,11,11,5,5,5,5,5,5,5,
 };
static unsigned short stb__arial_38_latin1_w[224]={ 0,5,10,19,17,28,21,4,9,9,12,17,5,10,
4,10,17,10,18,17,18,17,17,17,17,17,4,5,17,17,17,17,33,24,19,23,21,19,18,24,20,4,15,21,
16,24,20,24,20,25,23,20,21,20,23,32,23,23,20,7,10,8,16,21,7,17,16,16,16,17,11,16,15,4,
8,15,4,25,15,17,16,16,10,15,10,15,17,25,17,17,17,11,3,11,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,0,5,17,18,17,20,
3,17,10,26,12,15,17,10,26,21,10,17,11,11,7,15,19,4,8,7,12,15,27,27,28,17,24,24,24,24,
24,24,33,23,19,19,19,19,8,7,11,10,24,20,24,24,24,24,24,16,25,20,20,20,20,23,20,18,17,17,
17,17,17,17,28,16,17,17,17,17,7,7,12,10,17,15,17,17,17,17,17,17,17,15,15,15,15,17,16,17,
 };
static unsigned short stb__arial_38_latin1_h[224]={ 0,25,10,26,31,26,26,10,33,33,11,18,9,4,
4,26,26,25,25,26,25,26,26,25,26,26,18,23,18,12,18,25,33,25,25,26,25,25,25,26,25,25,26,25,
25,25,25,26,25,27,25,26,25,26,25,25,25,25,25,32,26,32,14,3,6,20,26,20,26,20,25,27,25,25,
33,25,25,19,19,20,26,26,19,20,25,19,18,18,18,26,18,33,33,33,6,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,0,25,32,26,18,25,
33,33,4,26,13,16,11,4,26,3,10,21,13,14,6,25,32,4,8,13,13,16,26,26,26,26,31,31,31,30,
30,30,25,32,31,31,31,30,31,31,31,30,25,30,32,32,32,31,31,16,27,32,32,32,31,31,25,26,26,26,
26,26,26,27,20,26,26,26,26,26,25,25,25,25,26,25,26,26,26,26,26,14,21,26,26,26,26,33,32,33,
 };
static unsigned short stb__arial_38_latin1_s[224]={ 248,249,196,79,22,127,57,249,19,47,154,
105,207,241,249,242,115,238,116,183,61,218,236,237,45,63,177,52,182,136,159,
179,112,154,41,174,123,197,217,124,47,244,108,101,210,1,26,149,68,47,1,
198,25,12,1,204,180,156,135,150,1,218,61,77,222,142,238,160,51,193,198,
73,169,249,73,145,47,1,229,211,28,201,245,177,227,27,123,43,69,33,87,
61,146,82,222,58,58,58,58,58,58,58,58,58,58,58,58,58,58,58,58,
58,58,58,58,58,58,58,58,58,58,58,58,58,58,58,58,58,248,148,158,
219,141,80,57,94,230,81,90,200,167,241,1,99,185,77,103,78,241,25,1,
249,213,115,123,233,29,1,210,192,227,137,202,200,22,175,68,113,182,162,40,
155,1,248,10,225,123,1,88,21,193,85,60,216,90,227,46,67,134,110,102,
116,135,153,171,189,207,236,113,225,1,19,37,55,236,161,185,89,73,100,91,
109,165,156,174,43,95,239,133,149,99,29,176,1, };
static unsigned short stb__arial_38_latin1_t[224]={ 33,239,336,158,68,131,158,317,1,1,336,
317,336,343,336,100,158,239,265,158,239,158,158,265,185,185,317,291,317,336,317,
212,1,212,239,185,239,212,212,185,265,212,185,239,239,265,265,185,265,100,239,
185,291,212,291,265,265,265,265,1,212,1,336,313,343,291,185,291,212,291,239,
100,239,212,1,239,291,317,291,291,185,158,291,291,239,317,317,317,317,212,317,
1,1,1,336,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,
291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,33,212,1,
185,317,239,1,1,343,185,336,317,336,343,185,313,336,291,336,336,336,239,35,
328,336,336,336,317,158,158,131,131,35,35,35,68,100,68,212,35,35,35,68,
68,68,1,68,68,212,100,35,35,1,68,68,317,100,1,35,35,68,68,212,
100,100,100,100,100,100,68,291,100,131,131,131,131,212,239,239,265,131,265,131,
131,158,131,131,336,291,131,158,158,158,1,1,1, };
static unsigned short stb__arial_38_latin1_a[224]={ 151,151,193,303,303,484,363,104,
181,181,212,318,151,181,151,151,303,303,303,303,303,303,303,303,
303,303,151,151,318,318,318,303,552,363,363,393,393,363,332,423,
393,151,272,363,303,453,393,423,363,423,393,363,332,393,363,514,
363,363,332,151,151,151,255,303,181,303,303,272,303,303,151,303,
303,121,121,272,121,453,303,303,303,303,181,272,151,303,272,393,
272,272,272,182,141,182,318,408,408,408,408,408,408,408,408,408,
408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,
408,408,408,408,408,408,408,408,151,181,303,303,303,303,141,303,
181,401,201,303,318,181,401,301,218,299,181,181,181,314,292,151,
181,181,199,303,454,454,454,332,363,363,363,363,363,363,544,393,
363,363,363,363,151,151,151,151,393,393,423,423,423,423,423,318,
423,393,393,393,393,363,363,332,303,303,303,303,303,303,484,272,
303,303,303,303,151,151,151,151,303,303,303,303,303,303,303,299,
332,303,303,303,303,272,303,272, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_38_latin1_BITMAP_HEIGHT or STB_FONT_arial_38_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_38_latin1(stb_fontchar font[STB_FONT_arial_38_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_arial_38_latin1_BITMAP_HEIGHT][STB_FONT_arial_38_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_38_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_38_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_38_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_38_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_38_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_38_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_38_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__arial_38_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__arial_38_latin1_s[i] + stb__arial_38_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__arial_38_latin1_t[i] + stb__arial_38_latin1_h[i]) * recip_height;
            font[i].x0 = stb__arial_38_latin1_x[i];
            font[i].y0 = stb__arial_38_latin1_y[i];
            font[i].x1 = stb__arial_38_latin1_x[i] + stb__arial_38_latin1_w[i];
            font[i].y1 = stb__arial_38_latin1_y[i] + stb__arial_38_latin1_h[i];
            font[i].advance_int = (stb__arial_38_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__arial_38_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_38_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_38_latin1_s[i] + stb__arial_38_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_38_latin1_t[i] + stb__arial_38_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_38_latin1_x[i] - 0.5f;
            font[i].y0f = stb__arial_38_latin1_y[i] - 0.5f;
            font[i].x1f = stb__arial_38_latin1_x[i] + stb__arial_38_latin1_w[i] + 0.5f;
            font[i].y1f = stb__arial_38_latin1_y[i] + stb__arial_38_latin1_h[i] + 0.5f;
            font[i].advance = stb__arial_38_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_38_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_38_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_38_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_38_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_38_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_38_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_38_latin1_LINE_SPACING
#endif

