// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_24_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_24_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_24_latin1_BITMAP_WIDTH         256
#define STB_FONT_arial_bold_24_latin1_BITMAP_HEIGHT        172
#define STB_FONT_arial_bold_24_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_bold_24_latin1_FIRST_CHAR            32
#define STB_FONT_arial_bold_24_latin1_NUM_CHARS            224

#define STB_FONT_arial_bold_24_latin1_LINE_SPACING          16

static unsigned int stb__arial_bold_24_latin1_pixels[]={
    0x83992654,0x20000aa9,0x3c883cc9,0x55555300,0x23970555,0x55510cc8,
    0x006f2a35,0x0001aa98,0x26002aa8,0xaa8800ab,0x98664402,0x5101aaaa,
    0xa9803597,0x0797100a,0x02b32aa0,0x4c002000,0x2aaa00aa,0xf90d54c0,
    0x3ee1ffcf,0x3f60002f,0x403fd00f,0xffffffea,0x87fc46ff,0xfff70ff8,
    0x0fffeebf,0x003ff440,0x200bfee0,0x0dfffffa,0x100ffe40,0x3fff21ff,
    0xffffb84f,0xff700dff,0x0bfff305,0x7ffffe44,0x0001dfff,0xfff9809b,
    0xd13fe605,0xd2f5c1df,0x02ffb85d,0x403ff100,0xfff306fb,0xdfffffff,
    0x3fe25fd8,0x2bffff70,0x000ffffb,0x40007fd1,0xffd003fe,0xb009ffdb,
    0x87fc40bf,0x224ffffc,0xfffffffe,0x2ffb80ff,0x505fffd8,0x7557bfff,
    0x8005ffd9,0x67f402f8,0x3fea03ff,0x0001ff30,0x80017fdc,0x7fc401a9,
    0xfffffd82,0x262dfead,0x43fe21ff,0xff902ffb,0x02ec4003,0x5003e980,
    0x07ff49ff,0xf8807640,0x927fc40f,0xf713bfff,0x155309ff,0x7dc0dff0,
    0x7fd400bf,0x501ea002,0x8037a69d,0x443d92ea,0x21331019,0x03512ffb,
    0x4cc40662,0x7f437f40,0x9fd4ffff,0x7fc47fd8,0x2a05ff70,0xb98801ff,
    0x220009bc,0x2009bcb9,0x0110effa,0x2a203551,0x881ff12a,0x3fff14ff,
    0x881fff50,0x04ff8099,0x0a889ff3,0x03ff1331,0x442ed4c4,0x555101aa,
    0x5531aa98,0x320fff23,0x97ff72ff,0xfc83dfff,0x42ffc83f,0x7ff41ffb,
    0x89fd4fff,0x87fc44ff,0xff502ffb,0xffffc805,0xfc802fff,0x02ffffff,
    0xb80bfffa,0xbff304ff,0xff103fe2,0xb813fee9,0x82ffb809,0x49fd04ff,
    0xfebfffea,0x3f207f57,0x7dc2ffff,0x8bff304f,0x9ff74ffb,0x3fe1bfe6,
    0x3ffffee7,0x3e60ffff,0x987ff86f,0x7ffdc2ff,0x449fd4ff,0x87fc42ff,
    0xff502ffb,0x3fffa205,0x05ffffff,0xffffffd1,0xfb10bfff,0xf7019fff,
    0x57fe609f,0x7fc40ff8,0x0005ffb4,0xff10bfee,0x7d4bf509,0x5ffffcff,
    0x3fffa1be,0x3ee2ffff,0x8bff304f,0x9ff74ffb,0xff507ff4,0x45fffdc9,
    0x7f45ffd8,0x213fea0f,0x7fc44ff8,0x49fd4fff,0x7fc41ffa,0x2605ff70,
    0xfffb03ff,0x3fff2637,0x1bfffd82,0xd85fff93,0x1ffffdff,0xf9827fdc,
    0x881ff15f,0x03ffd4ff,0x30bfee00,0x25fb07ff,0x7ffc5ff9,0xffb83f63,
    0x26ffec9e,0xff304ffb,0xf74ffb8b,0x91ffdc9f,0x37fdc3ff,0xff71ffe2,
    0xf80ffe47,0xfffc885f,0x7fdc9fd4,0xfb87fc40,0x03ffa02f,0x2e03fff3,
    0x3fe60fff,0x1fff701f,0x7fd4bfe2,0x13fee1ff,0xcc8affcc,0xffa7fc40,
    0xff70001f,0xf81ffd85,0xd81ffb0f,0xe87f21ff,0x3777d2ff,0xf9827fdc,
    0xba7fdc5f,0x9bfe24ff,0x27fdc6ff,0xff10fffc,0xfd037fcd,0xfd4fe80d,
    0x7c43fec9,0x405ff70f,0x3ee4fffa,0x17ff405f,0xfe80bff7,0x447ff32f,
    0x3fee6ffe,0x00bff304,0x3ffa9ff1,0x5ff70002,0x2217ffe6,0x909ff16f,
    0xf07f41ff,0x203f11ff,0xff304ffb,0xf74ffb8b,0x98ffd89f,0x1ffdc3ff,
    0x3f60ffec,0x203ff98f,0xa7f407fe,0x21ffa4fe,0x5ff70ff8,0x364ffd80,
    0x7fe402ff,0x900bff64,0x17ffc9ff,0x3ee1ffb1,0x0bff304f,0x3f29ff10,
    0x5c06e03f,0x1fff52ff,0x3fe6bf30,0x3e26fe83,0x06bbffc7,0x7cc13fee,
    0xba7fdc5f,0x5ffd44ff,0x7fdc0ffc,0x540fff84,0x00ffcbff,0x9fd01bfa,
    0x87fd93fa,0x5ff70ff8,0xd1fffdc0,0xffb803ff,0x7007ffa5,0x7ffecbff,
    0xffb9fee4,0x00bff304,0x3fee9ff1,0x83fff306,0xfff32ffb,0x3ea9f30b,
    0x727fc42f,0xd9ffe89f,0x4ffb8114,0xfb8bff30,0xf09ff74f,0xf70dffdf,
    0x07ff98df,0x80dffdff,0xa7f405fe,0x03fee4fe,0x3fee1ff1,0xf03bfe02,
    0xffa801ff,0x5003ffe6,0xfffd8dff,0x3ee5fe9e,0x2bff304f,0x7fc40ee8,
    0x819fff14,0xffb86ffd,0x7c0ffec2,0xfc89ff17,0xc81ff53f,0xffd1fcff,
    0x4c13fee1,0xa7fdc5ff,0xffc84ffb,0xfffb82ff,0x04ffeaae,0x805ffff9,
    0xa7f404ff,0x07fea4fe,0x3fee1ff1,0xd07ff302,0xffb803ff,0x7007ffa4,
    0xfff909ff,0x7fd41dff,0x22bff504,0x27fc40ff,0xf99ffff5,0xff705fff,
    0xd83ff985,0x2a3dfb1f,0x2ffbbfff,0xc9ffffa8,0x13fea4ff,0x3ee2ffd4,
    0x309ff74f,0xf701ffff,0xffffffdf,0x3fffe601,0x00bfe600,0x993fa9fd,
    0x87fc42ff,0xff302ffb,0x807ffb05,0x3ff63ffc,0x81ffe403,0x543fffe9,
    0xbff505ff,0xff103fe2,0xfffffb89,0xff704fff,0xb84ff885,0xfffff53f,
    0x03ffffff,0x7fffffe4,0x417fea0f,0x7fdc5ffa,0x3a09ff74,0x5ff705ff,
    0x801bfff7,0x7d405ffe,0xea7f400f,0x2227fc4f,0x05ff70ff,0x3f20bfea,
    0x3ffe206f,0x881bff22,0x7e402fff,0x1bfe61ff,0xff8affdc,0x4c27fc40,
    0x02effffd,0xff10bfee,0x223df309,0xdfd89ceb,0xf701310b,0xf9839dff,
    0x8bff706f,0x9ff74ffb,0x5c0bffa0,0x400262ff,0x7ec02ffe,0xfd4fe804,
    0x7c46fb89,0x205ff70f,0xff881ffa,0x6ffd884f,0x4427ffc4,0x654c6ffd,
    0xf88fff20,0x3ffe82ff,0xff881ff1,0x00fbf204,0x3fe0bff2,0x005ff904,
    0xf982ffa8,0x3ffe2009,0x5c3ffe82,0x09ff74ff,0x7dc0fff7,0xffb8002f,
    0x800ff807,0x889fd4fe,0x43fe20ff,0xfd882ffb,0xdfff701f,0x3ffff959,
    0x59dfff70,0xa83ffff9,0x07ff24ff,0xd97bfffb,0x3fe21fff,0x5027fc40,
    0x26203fb3,0xeff81ffe,0x017ffd00,0x3209ff90,0xbfffb005,0x81fffd97,
    0x9ff74ffb,0x0fffffa2,0x1002ffb8,0x807ffffd,0x9fd005fa,0x93f213fa,
    0xfff70ff8,0x3fffeebf,0x3fffee00,0x202fffff,0xfffffffb,0xfffd02ff,
    0xff30dffd,0x7fffffff,0xffc87fc4,0x2fc804ff,0x01ffff90,0x320bfffb,
    0xcacdffff,0x203fffed,0xfff3003e,0x07ffffff,0x3fee9ff7,0x017fffe4,
    0x7c005ff7,0xfe805fff,0x3a9fd001,0x227f884f,0xffff70ff,0x00bffeeb,
    0x3bffff66,0xffd9800c,0x2600ceff,0x01fffffd,0xdffffdb1,0xf90ff885,
    0xff109fff,0x7ff40bff,0xbffd303f,0x7fffe4c0,0x00cfffff,0xd88003e2,
    0x02effffe,0x3fee9ff7,0x2006aea4,0x2a000998,0x3c8801ab,0x4c426200,
    0x32239500,0x3555510c,0x20002aea,0x22000098,0x2ba80009,0x91004c00,
    0x2aaaa619,0x30035301,0x75500157,0x2aeaa600,0x0002001a,0x00000130,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x10005554,0x2a000355,0x1dd3002a,0xeb8013b2,
    0xa8809b1c,0x0555001a,0x2000ae00,0x22000aaa,0xa98002aa,0x2a20001a,
    0x29d9001a,0x54400ee9,0x7d91001a,0x6ea83f31,0x02a00fb6,0xf9806620,
    0x7fec005f,0x7fdc001f,0x23ff3002,0xff3005fd,0xe805ffff,0x7d400fff,
    0x7cc004ff,0x3fe2001e,0x1ffc8005,0x007fe800,0x4003ff60,0x03ff35fe,
    0x800fffe8,0x87fffffc,0x013fe7fb,0xfe801fbf,0x00bf900f,0x06fcefa8,
    0x3001ff40,0x013b21dd,0x03da8ad4,0x02fef7dc,0x03ff7ff1,0xbffffd50,
    0x00bf9003,0x4002fe40,0x98003fe8,0x3b2001ff,0x6401dd34,0xd805fddf,
    0xd5039733,0xb501f6cd,0x1ffd00f2,0x8800bb10,0x007d91ed,0x22000fa6,
    0x0009bcb9,0x026f2e62,0x2ed87744,0x17aa7d90,0x3fffffe0,0x00dd805f,
    0x00076400,0x5c002ec4,0x1aa8801e,0xe8855510,0x882ed88d,0x0aaa01aa,
    0xf1003553,0xeec805d9,0x5101aa88,0x65cc4055,0x5551009b,0x55555555,
    0x7ffffe40,0xffc802ff,0x202fffff,0x55001aa9,0x3ff50015,0x803ffb9d,
    0x50000aaa,0xaa880155,0xaaaaaaaa,0x100d5542,0x3fee1555,0x22bff304,
    0xaaaaaaaa,0x3ffea2aa,0x5c5ff880,0xffa804ff,0xf709804f,0x17fe609f,
    0x7fffffe4,0xffffb82f,0x87ffffff,0xffffffe8,0xfd105fff,0xffffffff,
    0x013fee0b,0x2013ffea,0x3519d6fd,0x27ffd401,0x27ffd400,0x3ffffee0,
    0x5c7fffff,0xffb00fff,0x9827fdcb,0xffff75ff,0x4fffffff,0xf885fffa,
    0x027fdc5f,0x203fffec,0x09ff73f9,0xfd117fe6,0xffffffff,0xfffffb8b,
    0xd87fffff,0xf931bfff,0xfffb05ff,0x3fff2637,0x804ffb82,0xc807fffd,
    0x2004e8ff,0x8007fffd,0x5c07fffd,0xffffffff,0x5ffe87ff,0x2e0fffa8,
    0xbff304ff,0x3fffffee,0x3ea7ffff,0x7fc42fff,0x2027fdc5,0x02fffff8,
    0x27fdd3ea,0x7ec5ff98,0xff931bff,0x4effdc5f,0x41999999,0xf701fff9,
    0x7ffcc1ff,0x81fff701,0x7c404ffb,0x4c02ffff,0x1005ffff,0x005fffff,
    0x17ffffc4,0x333bff70,0xf3033333,0x3ffe83ff,0xf9827fdc,0x33bff75f,
    0x54333333,0x220effff,0x27fdc5ff,0x3ff7fee0,0x7dd7ee06,0x4bff304f,
    0xf701fff9,0x13fee1ff,0x80bff700,0x3fee2ffe,0x217ff405,0x7dc04ffb,
    0xd806ffdf,0x403effff,0x06ffdffb,0x3ff7fee0,0x013fee06,0xf737fe40,
    0x09ff70df,0x7fdd7fe6,0x3ffea004,0x17fe24ff,0xfe809ff7,0x701ffe8f,
    0x413feedf,0x3fee5ff9,0xb97ff405,0x7ec004ff,0x27fe402f,0xfc805ffb,
    0x027fdc4f,0x3ffa3ffa,0xfffea801,0x23ffa06f,0xfd001ffe,0x203ffd1f,
    0x20004ffb,0xfff8bffe,0x304ffb81,0x13feebff,0xffdffa80,0xb8bff11f,
    0x3fe604ff,0x3209ff75,0x209ff76f,0x3ff65ff9,0xba7fe402,0xaaaaaeff,
    0x0fff40aa,0xfe97fee0,0x2ffdc01f,0xf9813fee,0x009ff75f,0x417ffff4,
    0x9ff75ff9,0x2ebff300,0xdff704ff,0x15555555,0x7efffd40,0x09ff704f,
    0x7fdd7fe6,0xaaaaaaae,0x3f2ffea0,0xb8bff16f,0x3ff204ff,0x360fff12,
    0x209ff77f,0x3ffa5ff9,0xbaffdc01,0xffffffff,0x07ffc2ff,0xff9bfea0,
    0x37fd400f,0xfc813fee,0x00fff12f,0x42ffce74,0xfff12ffc,0x225ff900,
    0xfff707ff,0x5fffffff,0xfffffd80,0x209ff700,0xfff75ff9,0x5fffffff,
    0xffe9ffd4,0x7dc5ff8a,0x1fff104f,0x7f417ff4,0x304ffb8f,0x07ffcbff,
    0x7ddbfea0,0xffffffff,0x00fff42f,0xffe93fee,0x227fdc01,0xff104ffb,
    0x417ff41f,0x369d2ba8,0x07ffc46f,0x7c405ffd,0x0bffa0ff,0x3fffffee,
    0x4402ffff,0x2a02ffff,0xbff504ff,0x3fffffee,0x3ea2ffff,0xf1fff53f,
    0x04ffb8bf,0xffb8bff7,0xfa9fff86,0x4bff504f,0x7dc01ffe,0x33bff74f,
    0xd8133333,0x7fe403ff,0x900fff63,0x4ffb87ff,0xfb8bff70,0x3affd06f,
    0xffb89fd4,0x7037fdc5,0x6ffb8bff,0x999dffb8,0xb8009999,0x7fd406ff,
    0x2ebff505,0x99999dff,0x8ffea099,0x45ffdffd,0xffd04ffb,0xffffffff,
    0xfa9fff83,0x4bff505f,0x7e403ffd,0x009ff73f,0x2206ffc8,0x3ff22fff,
    0x0bffe206,0x3fa09ff7,0xffffffff,0xedffb81f,0x7f41ffcd,0xffffffff,
    0xffffd01f,0x83ffffff,0x80004ffb,0x7cc05ffa,0x2bff706f,0x2a004ffb,
    0x3ffe23ff,0x27fdc5ff,0x7fffffcc,0x7c4fffff,0x06ff99ff,0x7fe4bff7,
    0x4bffe206,0x44004ffb,0xfd884fff,0x27ffc46f,0x5c37fec4,0xfff984ff,
    0xffffffff,0xffffff04,0xffff98bf,0x4fffffff,0xffffff98,0x5c4fffff,
    0xa80004ff,0x7fc405ff,0x73ffe82f,0x7d4009ff,0x7fffdc3f,0x6427fdc5,
    0xcccccdff,0x7ffc7ffd,0xe82fff89,0x3ffe23ff,0x26ffd884,0xb8004ffb,
    0xfcacefff,0xffb81fff,0xfffcacef,0x84ffb81f,0xccccdffc,0x7107ffdc,
    0xf903bfff,0xb99999bf,0xbff90fff,0xffb99999,0x004ffb8f,0x805ffa80,
    0xecbdfffd,0x9ff70fff,0x41ffd400,0x7dc5fffe,0x01fff84f,0x1998bffa,
    0x32f7fff6,0x7dc0fffe,0xffcaceff,0x3bfee1ff,0xcccccccc,0xfffffb80,
    0x2e02ffff,0xffffffff,0x09ff702f,0x7f403fff,0xf02f402f,0x7ff403ff,
    0xd00fffc2,0x77fdc5ff,0xcccccccc,0x02ffd400,0x7fffffcc,0x3fee3fff,
    0xccccccce,0x307ff50c,0xffb8bfff,0x2037fd44,0x7cc06ffb,0xffffffff,
    0xfffff703,0xfb85ffff,0xffffffff,0xffb301ff,0x30019dff,0x19dffffb,
    0x2a27fdc0,0x7fdc06ff,0xfa827406,0x37fdc06f,0xfb80dff5,0x3fffee6f,
    0x1fffffff,0x802ffd40,0xeffffed8,0x7ffffdc2,0x51ffffff,0x3ff207ff,
    0x3627fdc5,0x7fc403ff,0x7f6c401f,0x4c02efff,0x0ceffffd,0xffffffb8,
    0x801fffff,0x22000098,0x9ff70009,0x4403ffd8,0x02201fff,0x2201ffec,
    0x7ffb1fff,0x71fff880,0xffffffff,0xfa803fff,0x0130005f,0x7fffffdc,
    0x001fffff,0x00000000,0x80004c00,0x00000098,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2ed80000,0x6cc00dd5,0x9807b8ad,0x009d91ee,0x00000000,0x01379751,
    0x002f2e60,0x1000332e,0x99500799,0x03506005,0x02cc932a,0x26001332,
    0xcca803cc,0xc89e5401,0x8aaa201c,0x00a98800,0x1fee7ff0,0xfffffe80,
    0xb1ff9805,0x5dd500bf,0x5e5d4400,0xff901742,0x407fffff,0x2ffffff8,
    0x001ffcc0,0xf1007ff2,0x7c401fff,0x702fbcff,0x501ffcff,0xfd8007ff,
    0x7ffcc00f,0x45bf200f,0x7fdc02ff,0x7fe406ec,0x76c02dff,0x2200dd52,
    0x0019931e,0x13b23dd3,0x401aa7a0,0xfffffffc,0xfe885fdb,0xffffffff,
    0xfddffd05,0x0ff500df,0x400ffc40,0x206fcbfe,0x0fffdbfb,0x1774dd50,
    0x8801bea0,0x7f4401ff,0x3ae05fca,0x9005dd15,0xffe80dff,0x801fffff,
    0x50000aaa,0xaa880155,0xaaaaaaaa,0x01aefa02,0xffffffd1,0x901dffff,
    0x32637fff,0x7fcc3fff,0x2007ffa5,0x351000a9,0x55455100,0x00c43300,
    0x02a60000,0x4c00d440,0x0002aa2a,0xff7dd300,0x47bfee05,0x7d406ffa,
    0xfa8004ff,0x7fdc04ff,0xffffffff,0x00776607,0x5117fff9,0xf307fffb,
    0x3fee03ff,0xe8ffea0f,0x0998807f,0x00133100,0x44002662,0x33100099,
    0x026a2001,0x8004d440,0x510009a8,0x21310013,0xffe80ffc,0x3600ddc2,
    0xd8007fff,0x7dc07fff,0xffffffff,0x0266207f,0xb81fff98,0xffc87fff,
    0x717ff405,0x17fe67ff,0xfffffea8,0xffffd502,0x3ffaa05f,0xfd502fff,
    0x2a05ffff,0x02fffffe,0x09ffffb1,0x27fffec4,0x9ffffb10,0x7fffec40,
    0x6fff5404,0x0fff85ff,0xffff8800,0x3fe2002f,0x3ee02fff,0x999999df,
    0xfffea819,0x4ffc82ff,0x2ffeffa8,0x32017fec,0x4bfee4ff,0xff101ffc,
    0x81ffffff,0xfffffff8,0x7fffc40f,0x7c40ffff,0x0fffffff,0x7fffffc4,
    0x7ffc40ff,0xf886ffff,0x86ffffff,0xfffffff8,0xfffff886,0xfff906ff,
    0x445fffff,0xf70007ff,0x400dffbf,0x06ffdffb,0x10013fee,0xffffffff,
    0x4c2ffe81,0x44ffcaff,0x7dc01fff,0x7cbfee5f,0x3ff900ff,0x3f217fec,
    0x90bff61f,0x17fec3ff,0xffd87ff2,0xfb0ffe42,0x8cffc85f,0x7e42ffd8,
    0x2ffd88cf,0x6c467fe4,0x67fe42ff,0x4c2ffd88,0xffc9cfff,0x20fffc5f,
    0x47ff4008,0xfd001ffe,0x203ffd1f,0x64004ffb,0x0bff61ff,0x7fc43fff,
    0xff8bff73,0x2ffd400f,0x3ffa5ff7,0x3fee0405,0x3ffb8103,0x03ffb810,
    0x103ffb81,0x7fc3ffb8,0xf17fe20f,0x2ffc41ff,0xff883ffe,0xf107ffc5,
    0x43ffd8bf,0x7ff46ffa,0x4c07ff43,0x09ff75ff,0x3eebff30,0x5dff704f,
    0x01555555,0xf87ff702,0x49fd10ff,0x7ff45ffa,0x727fdc01,0x3ffe65ff,
    0x3ff6e205,0xfb7104ff,0x2e209fff,0x104ffffd,0x09ffffb7,0x3ffff6e2,
    0x333ffe24,0x3e26ffcc,0xffccccff,0x333ffe26,0x3e26ffcc,0xffccccff,
    0x220fffc6,0x3fea0fff,0x04ffc9cf,0x3fe25ff9,0x12ffc807,0x3fee0fff,
    0xffffffff,0xfffb7102,0x8affe89f,0x27fdc5fe,0xd810bff6,0x8bfee3ff,
    0x6c43fffa,0x4ffeffff,0x77fffec4,0x7fec44ff,0x444ffeff,0xffeffffd,
    0x7fffec44,0x3fe64ffe,0x7fffffff,0x3fffffe6,0x3fe67fff,0x7fffffff,
    0x3fffffe6,0x3fe27fff,0xd83ffd07,0x0fffffff,0x3a0fff88,0x3fe202ff,
    0x20bffa0f,0xfffffffb,0x7ec42fff,0x44ffefff,0x85fdbffd,0x7fe43ffc,
    0x7fc4ef46,0x50bfee2f,0x7ff41fff,0xe89ff51c,0x9ff51cff,0xf51cffe8,
    0x1cffe89f,0xffe89ff5,0xf89ff51c,0x999999ef,0x4ccf7fc1,0x77fc1999,
    0x41999999,0x99999eff,0x40fffc19,0xffb80fff,0xff701cef,0x206ffb8b,
    0x7fdc5ffb,0x99dffb86,0x74099999,0x9ff51cff,0x0effffb8,0x2217ffc4,
    0xffd13fff,0xffb8dffd,0xf11ffd82,0x24ffb8df,0x7fdc6ff8,0xf71bfe24,
    0x237fc49f,0x3fe24ffb,0x3627fdc6,0x026e20ff,0x4dc41ffb,0x7107fec0,
    0x20ffd813,0x7fec09b8,0x303ffd43,0x7f4017fd,0xffffffff,0xffffd01f,
    0x83ffffff,0x22004ffb,0x27fdc6ff,0x203fffe2,0xff706ffd,0xfffd77bf,
    0x72ffb83f,0xff8ffd39,0x89fff30f,0xfff30fff,0xf30fff89,0x0fff89ff,
    0xff89fff3,0x89fff30f,0xfc89dffb,0x4effdc3f,0x7dc3ffc8,0x3ffc89df,
    0x644effdc,0x7ffcc3ff,0x02fffc9c,0x4c17ee66,0xffffffff,0xff984fff,
    0xffffffff,0x027fdc4f,0x7cc3ffe0,0xfffd84ff,0xfffebacf,0x3fffee01,
    0x0cffffff,0x3feebfee,0x7fe44fff,0x45ffffff,0xfffffffc,0x7fffe45f,
    0x7e45ffff,0x5fffffff,0x7fffffe4,0x7ff445ff,0xe885ffff,0x85ffffff,
    0xffffffe8,0xffffe885,0xfff905ff,0x200bffff,0xbff906f9,0xffb99999,
    0x99bff90f,0x8fffb999,0x64004ffb,0xffffffff,0x7ffffd45,0x02ffffff,
    0xeffffd98,0xf71ffffc,0x2fbfee5f,0x6fff6440,0x3220ffe8,0xffe8dffe,
    0x37ffb220,0x3220ffe8,0xffe8dffe,0x37ffb220,0x6440ffe8,0x100cefff,
    0x019dfff9,0x33bfff22,0xdfff9100,0x7ff54019,0x7fe403ff,0x3fff01ef,
    0x3e17ff40,0x3ffa01ff,0x333bfee2,0x20cccccc,0xe8dffec8,0x35ff10ff,
    0x19dffffb,0x44131000,0x001006fd,0x00060006,0x00060006,0x00440006,
    0x11000220,0x40008800,0x55100098,0x037fd401,0xffa9bfee,0x737fdc06,
    0xffffffff,0x00603fff,0x004c41cc,0x00330000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfd800000,0x7ffc403f,0x8807ffb1,0xfff71fff,
    0xffffffff,0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x4ca8e640,0x9930cc80,0x40079930,
    0x1b980199,0x2a00e440,0x0032600c,0x064c0195,0x001bb880,0x4c039950,
    0x644003cc,0x4c996643,0x44066640,0x64198819,0xcca8000c,0x01999002,
    0x65401750,0xf73ff801,0x90ff980f,0x03ff20df,0x3a03ffc0,0x3f205fff,
    0x807fea00,0x0ffd405e,0xfd100bd0,0x4003dfff,0xfc805ff8,0x17ee000f,
    0x81fee7ff,0xfe85fffc,0xb0ffe40f,0xbff0005f,0x17ffee00,0x85fffe88,
    0xee800ff8,0xfa80dd52,0xfd813f67,0x40fff004,0x303fd4e9,0x7fff405f,
    0x7403f701,0x3f701fff,0xd7bff900,0x2fdc00bf,0x4009fb00,0xa976c3fd,
    0xd3ff306e,0x40ffe85f,0x13ee1ffc,0x001df500,0x07fd3ff3,0x0bfe33ee,
    0x000009f7,0x0ffe5fc8,0x3b600550,0x06fc8806,0xfdad80db,0x6c04f881,
    0x4f881fda,0x7d4dff00,0x0155001f,0x3e002a80,0x5540001f,0xffe85531,
    0xf30ffe40,0x00a9800d,0x0aa23530,0x24fd97ec,0x44000ff8,0x3b32e01a,
    0x2dffccef,0x99881331,0x30033100,0x1fa81bfd,0xf903fb00,0x207f6001,
    0xfff000fc,0x4407ff23,0x04cc4099,0x26003510,0x1026627f,0x02662133,
    0x3ffa1331,0x3e0ffe40,0x06a2000f,0xf8035100,0x7dcbf91f,0x3ffae004,
    0xfffe84ff,0x5fffffff,0xffa85ff7,0x100ffb04,0x00bd13ee,0x0fe20fec,
    0x7c41fd80,0x3bff2003,0x3ee06ffb,0x427fd42f,0x04ffffeb,0x5ff72fdc,
    0xff74ffa8,0xfd4ffa85,0x41ffc81f,0xfeb802fe,0x75c04fff,0xff04ffff,
    0x7fc53fa5,0xffff7000,0xeec8dfff,0xefffeeff,0xfa85ff74,0x40dfd04f,
    0x23fc8cfa,0x3f6001fb,0x360036c1,0x40036c1f,0x00dffffe,0xff50bfee,
    0xfffffb89,0x8ff606ff,0x7fd42ffb,0xfa85ff74,0xd81ffd4f,0x027e41ff,
    0x3fffffee,0xffff706f,0xbfb0dfff,0x13ee5ff5,0x45fffd40,0xfb83ffea,
    0xff713f67,0xd84ffa85,0x7fec04ff,0x0013e26f,0x017cc3fb,0x2f987f60,
    0x7fff4c00,0x42ffb806,0x3fea4ffa,0x3ffea8bf,0x7fdc3ff0,0xfba7fd42,
    0xea7fd42f,0x0fff41ff,0xffa81bea,0x3ffea8bf,0x545fffd4,0x7ec43ffe,
    0x01ff14ff,0xf30fff60,0x7cbf90ff,0x217fdc2f,0x7fec4ffa,0xc8151005,
    0xa816440f,0x1531ba0a,0x0dd05540,0xfff50591,0x20265fff,0x7fd42ffb,
    0xf30fff64,0xb8ff10ff,0xa7fd42ff,0x7fd42ffb,0x7c45ffd4,0x07fc41ff,
    0x7cc3ffd8,0x21ffec7f,0x85107ff9,0x406a24fb,0xfff80fff,0x339fd311,
    0x3ee135ff,0xd27fd42f,0x40001dff,0x04fe83f8,0x3fa23f50,0x3f5005ff,
    0xff989fd0,0xe8fffcaf,0x217fdc6f,0x3ffe4ffa,0x541fff80,0x217fdc6f,
    0x5ff74ffa,0xffd4ffa8,0x3fffb37f,0x3fe05fd0,0x21fff80f,0xfff80fff,
    0x90ff8801,0x7c41bfff,0x23ffb07f,0xfffffffe,0x7ff75fff,0xff74ffa8,
    0x6d80001d,0xd004ffd8,0x7ec5fdcb,0xfc85e801,0xb17fe44f,0xb89fffff,
    0xa7fd43ff,0xffb07ff8,0x7dc4fc83,0xba7fd43f,0xa7fd43ff,0xfffffffe,
    0x84fc81ff,0xffb07ff8,0x6c1ffe23,0x4fb801ff,0x8bfb3ff1,0xfff81ffe,
    0xffffffd0,0x3eebffff,0xea7fd43f,0x019980ff,0x67dc2f98,0x40fb804f,
    0xf7007fa1,0x44fcfb81,0x7ff447ff,0x1ffdc1ff,0xffe93fea,0x740fff81,
    0x21ffdc2f,0x7ff74ffa,0xffd4ffa8,0x3ff7dff5,0x3fa0df50,0x20fff81f,
    0xfff81ffe,0xa87fc400,0xfc8ff55f,0x13ffcc3f,0x9fd33df9,0x0ffea133,
    0x3ffa9ff9,0x4037fc40,0x7cdfcc6e,0x8827c404,0x27c404fe,0xb13e6fe6,
    0xfff983ff,0x21ffd40f,0x3ff24ffc,0x223ffcc3,0x1ffd40ff,0x7fd53ff2,
    0xfea7fe43,0x3e20030f,0x987ff907,0x1ffe47ff,0x2e01ffe6,0x7cd3f24f,
    0x4e7ffd47,0x7e42fffc,0x3e60bfe5,0xfffb89ff,0x221bff94,0x7d404ffd,
    0x77ee7fc1,0x2203f202,0x0fc804fe,0x177ee7fc,0xf737dff5,0x4c3dffff,
    0xffb89fff,0x33ffea4f,0x542fffc9,0x9fff986f,0xf34fffb8,0xfff713ff,
    0x0003ffa9,0x3fea07fa,0x2fffc9cf,0x64e7ffd4,0x7c402fff,0x7d57f20f,
    0xfffffa87,0x13fe85ff,0x3ffa03ff,0x24ffdfff,0xfffffffe,0x7c2f400d,
    0x305fffff,0x39fd107f,0x20fe6013,0x45ffffff,0xfffffffe,0x7f46fffe,
    0x4ffdffff,0x7fffffd4,0xd04fc85f,0xffbfffff,0x7fffff49,0x1ffd4ffd,
    0x207f9000,0xfffffffa,0xfffff505,0x9f900bff,0x5fd9ffa8,0x5dfffb50,
    0x3fd4bfe0,0x17fffd10,0x7fe449ff,0xfb804fff,0xb027cc00,0x3ffff20d,
    0x300db02f,0x3fff209f,0x81fb13ff,0xf8bfffe8,0xfffda84f,0x205fd02e,
    0xf8bfffe8,0x3fffa24f,0xffd4ff8b,0x0bf50001,0x177ffed4,0x3bfff6a0,
    0x80ff8802,0x801efffd,0x310cc009,0x40011001,0x32001a98,0x101a8802,
    0x2aaaa039,0x01c880aa,0x4c401a88,0x00440100,0x0cc00980,0x11000440,
    0x00019880,0x004c0026,0x930004c0,0x0015c407,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x15104400,0x800aa880,0x51000aa8,0x19884cc1,0x266006a2,0x80099999,
    0x8001bca8,0x033100a9,0x54c02662,0x32a2001a,0x0d4c001b,0x1acba880,
    0x01553000,0x006ee600,0x4002aaa0,0x95301aa8,0x3ee00359,0x6c07dbef,
    0xd303ffff,0x4409ffff,0xff8efffd,0xffb3ff75,0x3fe603df,0x204fffff,
    0xffffffd9,0x7ffd400d,0x1ffe41df,0x3a617fe4,0x200dffff,0xffffffd9,
    0x3ffa600d,0x3fee02ff,0x200dffff,0x017fe44a,0x3ffffa20,0x3ffa003e,
    0x8bff1001,0xffffffd8,0x75ef400d,0x3ff605ff,0x7c43ffff,0x03ffffff,
    0xfdfffffd,0x3fbfeebf,0xb80fffff,0x4fffffff,0x4c37df30,0xff700efb,
    0xf98dffff,0xe87ff86f,0x04ffffff,0x5cc37df3,0xfff980ef,0x7443ffff,
    0xffffffff,0x227f440f,0x74002ffc,0x0fffefff,0x003ffd00,0xffd17fe2,
    0x1dffffff,0x40310540,0xff98eff9,0x5467fe47,0xeffb86ff,0x2ebfff52,
    0xfd98cfff,0xccffc85f,0xef982ccc,0x103ba200,0xff915fff,0x2a0ffe85,
    0x67fcc4ff,0x4c0ffe88,0x3be200ef,0x5c5fff40,0x7ffe47ff,0x4fffb89d,
    0x3f227fd4,0x3fea002f,0x4013fee5,0xf1001ffe,0x8f7fd4bf,0x803fffa8,
    0x7fe401a8,0xec8bff22,0x360ffec7,0xaffe43ff,0x7fc46ffb,0x1006fe87,
    0xdddd91df,0xf71ba21b,0x2166447f,0x3ff23ffb,0xf507fe41,0x8877c45f,
    0xdf11dffd,0x3f637fc4,0x03fff13f,0x2e21fff5,0xff909dff,0xfc806a25,
    0x801e6c1f,0x15101ffe,0xffc97fe2,0x205ffc82,0x04ffffeb,0x7fd41ffb,
    0xf87ff804,0xaffcc1ff,0xffe84ffb,0x009affc1,0x657ec7ea,0xd87ea6fc,
    0xff1001ff,0x7dc37fcd,0xa87ff22f,0xf79fd11f,0xff98fd4d,0xfba7fdc4,
    0xc826e04f,0xf94fffff,0x3dfffb5f,0x0003ff70,0x7441ffe8,0x5ffaefff,
    0x0607bfee,0xffffff70,0x98ffd0df,0x3fae05ff,0x887ff83f,0x07ff75ff,
    0x7fcc3ffb,0xc81effff,0x21fb1f67,0x27ffa3f8,0x3f603efd,0x883ff98f,
    0x5ffcbefe,0x545f93e4,0x3e67f11d,0xdaffdc5f,0x7e4002ff,0xff94ffff,
    0x3fffffff,0x0003ffa8,0xff10fff4,0xbfffffff,0x677fffc4,0xbfffa801,
    0x7c3ffea8,0x82ffcc7f,0xfd03fff9,0x75ffa83f,0x1fff0bff,0x7fffffd4,
    0xfb2f40ff,0x5e8df533,0x3ffffffe,0x97ff506f,0x3fa201ff,0x25e85fff,
    0xf2f400fe,0xd6ffd8ff,0xb88003ff,0xff909dff,0x97ff667f,0x6eefffed,
    0x21ffe800,0xff51effc,0xffffa8bf,0xfb00cfff,0x47ff987f,0x37fcc7ff,
    0x82ffffa8,0x7fec3ffd,0xf98fff75,0x4effdc7f,0x27c5ffd9,0x819ffffb,
    0x2ffffe6c,0xff03ffda,0x7dc0dffd,0x7c2fffff,0x9b601be4,0xffdbeffc,
    0x003fff6f,0xfc89ff50,0xd3ffcc6f,0x0fffffff,0x743ffd00,0x2ffe42ff,
    0x7ffffecc,0x0fff80ef,0x3fe1fff8,0x202ffcc7,0x7d42ffd8,0xfffc9bff,
    0x53bfff75,0x10209ffd,0xb36c1fff,0x9d0bf73f,0xff127ffc,0x3ffff20f,
    0x319ff702,0xd2ec5ffb,0x13a0c41f,0xffdffffb,0x000bffad,0xff913fea,
    0x2a1fff07,0x02abffea,0x3e1ffe80,0x2ffd40ff,0x3fffb2a0,0xd83ffc45,
    0x31ffa1ff,0xff3009ff,0xfffffb0b,0x3feebfff,0x0ffffffe,0xb87ffa00,
    0x1fe4fb0f,0x17ff45f1,0x3e603ffa,0xffd00fff,0x9ee5ff98,0x44bf23fc,
    0x9bddb82f,0x07ff95ff,0x27fd40dc,0x3f60bff2,0x007fec1f,0x221ffd00,
    0x5ff987ff,0x7ffa804c,0xff81ffe8,0xa83ffa0f,0x106664ff,0x3ff20fff,
    0xf75ff9cf,0x1bfff75f,0x3ffa0620,0x23ecbe60,0x6c1f70ff,0x07ff42ff,
    0x3e05ffe8,0x267ff86f,0x3fbbfa2f,0x2a003ee4,0x0dff74ff,0xfa87ffe6,
    0x427fe44f,0x37fc0fff,0x3e17f5c0,0x03ffe0ff,0x3fe2bff7,0x83fff00f,
    0x7fcc3ffc,0xf91ffe47,0x507ff45f,0x22180dff,0x45ff75ff,0x87ffa009,
    0x9fe85ff8,0x7d56544a,0xf12ffdc5,0x17ff40ff,0x7cc1fff0,0x930ff46f,
    0x2e2fd45b,0x88ffec5d,0x7ec0cfff,0x227fcc6f,0x7fcc6ffc,0x400ffec7,
    0x3fe64ffb,0x3617ff47,0x13ffa5ff,0x3ea1ffea,0xfffc9cff,0x5577fc42,
    0x6ffd46ff,0x003fffba,0x7fdd7fe2,0x3bfe6002,0x883ffeaa,0x17ea01fe,
    0x3673ffe2,0xfff704ff,0xa9dffd80,0x7f443ffe,0x2e17ea01,0x6ffd9cff,
    0x667fffd4,0x7cc2ffff,0xfff919ef,0x49ffd55d,0xcdfefffc,0x3ffe64db,
    0x545ffebd,0xffc9cfff,0x3bffea5f,0x05fffdbb,0xfffffff5,0x3ffff20b,
    0xfffe82ff,0x44005fff,0x05ff75ff,0xfffffd80,0xdfd100df,0x0bfd9539,
    0x7fffffdc,0x3fffa20f,0x7ff4403f,0xd106ffff,0xfd9559df,0x7ffffc0b,
    0xfffb81ff,0x884fffff,0xff95ffff,0x1ffffffb,0x7fffffdc,0x3f60ffff,
    0x80efffff,0xfdfffffe,0x7fffec5f,0x200effff,0x02efffda,0x817fffdc,
    0x03fffdb8,0xf75ff880,0xdb88005f,0xb8804fff,0x03dffffd,0x0dfffea8,
    0x005ffff8,0x19fffd71,0x7ffedc40,0x7ecc03df,0x36600dff,0x202effff,
    0xff95fffb,0x81bfff71,0xfecbbef8,0x7fe42fff,0x3f200cef,0x50bff4ff,
    0x09dffffd,0x44000980,0x00022000,0x26621330,0x00220000,0x10001980,
    0x01aba803,0x20003100,0x00300019,0x09800310,0x80200980,0x0004c009,
    0x00cc0006,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2a203551,0x32e6202a,0x2a60009b,
    0x51001acc,0x99704cc1,0x01555001,0x510b32a0,0xcc980035,0x2602aaa3,
    0x555511aa,0x20555555,0x4401aba8,0x19aaaaaa,0x5400ccc0,0x30d54c1a,
    0x33333333,0x54c6aa23,0x24c9800a,0x235512cc,0x55001aa8,0x9827fdc5,
    0xfff905ff,0xa805ffff,0xdfffffff,0xdfffd100,0x7fccbff1,0x27ffd404,
    0x0ffffc40,0xd8009ff7,0x13ff20ef,0x7fd4bffa,0xffffffff,0x3ffff620,
    0xfff701ef,0x03dfffff,0xff901ffe,0xf14ffb87,0xffffffff,0x7e4ffeef,
    0x27fb802f,0x27ff73ff,0xff003ffb,0x413fee1f,0x7f445ff9,0xffffffff,
    0xfffff505,0x881dffff,0xfeffffff,0x007fcc5f,0xd00ffffb,0x7dcdf77f,
    0x3fe6004f,0x307ffc40,0x7ffd4dff,0x0fffffff,0x3ffbfffa,0xfffb81ff,
    0x3fffffff,0x3e607ff8,0xa7fdc3ff,0xfffffff8,0x27ff77ff,0xea802ffc,
    0x7fdcbb66,0x2007ff73,0x9ff70fff,0xfb17fe60,0x3f2637ff,0x7ffdc2ff,
    0x9fff931c,0xf51effc8,0x01530bff,0x0bffffe2,0x42aa2a88,0xaaaaeffb,
    0x901a980a,0x17fec9ff,0x3333bff5,0x77fdc333,0x2e1bfee0,0xeaa99dff,
    0x2f6c0fff,0xb87fffd0,0x333324ff,0xf74ffecc,0x00bff27f,0xb8d54400,
    0xfff003ff,0x4c13fee1,0x3ffe65ff,0x21fff701,0xf702fff8,0x42ffe8ff,
    0x4cc45ffc,0xffbff700,0x8133100d,0xfffffffb,0x04cc42ff,0x7cc7ffc4,
    0x02ffd46f,0xfe81ffd8,0xb04ffb87,0xfc800bff,0x7fdc3fff,0x2e6fe804,
    0x85ff93ff,0x4cc40999,0xfb84cc40,0x3e03313f,0x09ff70ff,0xffb97fe6,
    0xa97ff405,0x40d405ff,0x7fd40fff,0xe81ffdc5,0x01ffe8ff,0x3ee1ffdc,
    0xffffffff,0x40ffee3f,0x2ffdbffc,0x1002ffd4,0x2e1ffe03,0xfff104ff,
    0x7effcc00,0x027fdc3f,0xffb87fee,0x7ec5ff93,0x43ffb86f,0x7ff73ffb,
    0xf85ffff7,0x413fee7f,0x3ff65ff9,0xba7fe402,0xff0003ff,0xb8bff30f,
    0x5ff983ff,0xfb809ff7,0x4effdc3f,0x26ffd999,0xff103ffb,0xff50dffd,
    0x0333333b,0x5c27fec0,0x3ffe04ff,0x9dfe8800,0x27fdc3ff,0xfb87ff10,
    0x325ff93f,0xffb80eff,0xfb9ffdc3,0xffffffff,0xffb9bfa0,0x74bff304,
    0x7fdc01ff,0x3305ffb5,0x7f413333,0x22ffdc1f,0xffc83ffb,0xb80fff12,
    0x27fdc3ff,0xfb87ffc4,0x7ff7543f,0x51eeffff,0xffffffff,0xdffb001f,
    0xceffdc81,0x00fff44c,0x7fcc7fe4,0x9027fdc3,0x3ffb81ff,0xdff75ff9,
    0x70ffee01,0x3ffee7ff,0xfd8fff62,0x4c13fee6,0x03ffe5ff,0x3fadff50,
    0x7fffcc1f,0x0ffee2ff,0xffb8bffd,0xd07ffc43,0x7fdc05ff,0xf827fdc3,
    0x87ff71ff,0xfffffffb,0xfff52fff,0x01ffffff,0xf80effd8,0x47ffffff,
    0x7d402ffd,0xb87ff32f,0x9ff104ff,0x3f27ff70,0x200fffdf,0x7fdc3ffb,
    0xfa8bff73,0xfa97f24f,0x4bff504f,0x7dc01ffe,0x985ffb4f,0x22ffffff,
    0xffbdfff9,0x1ffdc5ff,0xff717fee,0x21ffdc0d,0xff984ffb,0x987ff70f,
    0xcdffeccc,0x5dff51cc,0xa8055555,0x3ee606ff,0x7f4199df,0x7c5ffe1f,
    0x70ffe65f,0x3ff209ff,0xf93ffb81,0x401fffff,0x7fdc3ffb,0xfa89ff73,
    0xfa93f24f,0x4bff505f,0x7e403ffd,0x889ff73f,0x42ffeaaa,0xfcfffffc,
    0x21ffdc5f,0xfffffffe,0xff701fff,0xcceffb87,0x2e6fffcc,0x4ccc43ff,
    0x0999bffc,0x2000bff5,0x7dc00ffc,0x83ffe04f,0x9bff77ff,0x239dffb9,
    0xdfd04ffb,0x7e4ffee0,0x204fffff,0x7fdc3ffb,0xf987ff73,0xf98fee4f,
    0x4bff706f,0x3e206ffc,0x1fff32ff,0x5c17fec0,0x4ff9adfd,0xff31ffdc,
    0xffffffff,0x0ffee09f,0xfffffff7,0x7fdc1fff,0x7ffffdc3,0xf52fffff,
    0x3f6000bf,0x04ffb807,0x7ff8fff3,0xfffffff9,0x3fee7fff,0x703ff884,
    0x3fff27ff,0xf700ffea,0x73ffb87f,0x4ff987ff,0xfff88fea,0x223ffe82,
    0xfd884fff,0x06fff46f,0x1117ff4c,0xf713fe60,0x66ffe47f,0x7ffdcccc,
    0xfb87ff70,0xceffffff,0x2e1ffdc0,0xffffffff,0x0bff52ff,0xff700000,
    0x07ffd109,0x3ffff2db,0x73ffffff,0x5ff309ff,0x7e4ffee0,0x20bff53f,
    0x7fdc3ffb,0xf987ff73,0xfffd804f,0x0fffecbd,0x5677ffdc,0x441ffffc,
    0xdcacfffe,0x3ee2ffff,0x21ffe45f,0x3ffe3ffb,0x20bffa01,0x7fdc3ffb,
    0xffb8009d,0x7e4ccc43,0xf50999bf,0x3f6000bf,0x77fdc00f,0x6fffeccc,
    0x7cc03f98,0x427fdc3f,0xff700ffb,0xfe8bff27,0x43ffb81f,0x7ff73ffb,
    0x3fe4ff98,0x7ffffcc7,0xf703ffff,0xffffffff,0x3fffe205,0x42ffffff,
    0xffeffff8,0x9ffdc0ff,0x7dc06ffa,0x43ffb86f,0x2e004ffb,0x7fe403ff,
    0x00bff502,0x7003ff60,0xffffffff,0x00bf03df,0xffb87ff3,0x2e07fd84,
    0x45ff93ff,0xffb86ff9,0xfb9ffdc3,0xf27fcc3f,0xffdb10ff,0xd9805dff,
    0x00ceffff,0x7fffedc4,0xfff700bd,0xf703dfff,0x00fff67f,0xfb83fff1,
    0x027fdc3f,0xc807ff70,0xbff502ff,0x03ff6000,0xffffff70,0x800c07bd,
    0x7fdc3ff9,0x2e06fe84,0x85ff93ff,0x7fdc3ffd,0xfb9ffdc3,0xf27fcc3f,
    0x001300ff,0x80002620,0x2aa20008,0x000001ab,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x15500000,
    0x22379730,0x555101aa,0x2aaaa005,0xaaaaaaaa,0x013310aa,0x2aaaaa20,
    0x553009aa,0x55510155,0x806aa215,0x555512aa,0x54403355,0x01aaaaaa,
    0x882a2088,0xaaaaaaaa,0x555542aa,0x0aaaaaaa,0xa8806aaa,0x155510aa,
    0xaa86aaa0,0x02aa980a,0x54c01555,0x0fff2001,0x2a9ffff5,0xfffb05ff,
    0xffff1005,0xffffffff,0x17fea1ff,0x7ffffd40,0x5c0effff,0xfb82ffff,
    0xfff52fff,0x2ebff101,0xffffffff,0xffffb81e,0x701effff,0xb8fb7dff,
    0xffffffff,0x7fff47ff,0x2fffffff,0x6c03ffee,0x27ff45ff,0xfb0fffcc,
    0x3fffd07f,0xfb30fff0,0xa803dfff,0x7ff43fff,0x0bff52de,0x2005fffb,
    0xfffffffc,0x0fffffff,0x2a00bff5,0xffffffff,0x3fee0eff,0xfffd84ff,
    0x0bfff52f,0x3feebff1,0xffffffff,0x7ffffdc3,0xe82fffff,0x5c4ffecd,
    0xffffffff,0x7fff47ff,0x2fffffff,0x7d42fff4,0x7ffcc0ff,0x2e27ff41,
    0x7ffc44ff,0x237fcc3f,0xfffffff9,0xfffc880f,0x543ffc3f,0x7ffe45ff,
    0x1fff1002,0x33339ff7,0x2ffd4333,0x99dffa80,0x22ffea99,0xf86ffffb,
    0xff52ffff,0x5ff885ff,0x7533bff7,0x7dc1fffd,0xfeb999df,0x0620a85f,
    0x26677fee,0x4c419999,0xfff99999,0x0fffcc0e,0x7e40fffa,0x03bfee6f,
    0xffa8dff3,0x27fdc5ff,0x36633ff6,0x7ffc44ff,0xff313fff,0x2ffd433d,
    0x4005fff9,0x7ff74ffb,0x017fea00,0xfb827fd4,0x3fbfee4f,0x3fbfe61f,
    0xdffff52f,0xfbaffc41,0x4bffb04f,0xff884ffb,0x4c43310f,0x027fdc09,
    0x1fffd800,0x7dcdff90,0x3ffe206f,0xf02fff8b,0x7ffe41ff,0x217fec7f,
    0x3fe60fff,0x7ddffcc5,0xfffffb3f,0xfbaffd4f,0x7fc003ff,0x007ff70f,
    0x54017fea,0x5ff704ff,0x1ffe7fdc,0x25ff9ff7,0x24fffffa,0x9ff75ff8,
    0xfb9ffe20,0x23fff04f,0xfffc9ffb,0x013fee3f,0x0bffee00,0xff17ffd0,
    0xfffa803f,0x3f605ffe,0x3f3bfa1f,0x303ffa1f,0x45ff9853,0x27ff70c9,
    0x27fffffd,0xfffadffa,0x2ffdc004,0x5555bff7,0x2ffd4355,0x99dffa80,
    0x20effba9,0x25ffaffb,0x52ffbefe,0x23fffbff,0x9ff75ff8,0xfb87ffc0,
    0x0fff984f,0xffffdff7,0x3bfee3ff,0x0aaaaaaa,0x027ffd40,0x7fefffd4,
    0xffffb004,0x9ffdc01f,0x3ff9cff8,0x6400dff1,0x7fdc03ff,0x33dff313,
    0x7fff7fd4,0x7ff4006f,0x3ffffee1,0x3ea4ffff,0xfff5005f,0x1dffffff,
    0x7fdaffb8,0x5ff79ff1,0x3ff2ffea,0x3eebff16,0x47ffa04f,0xcbaaeffb,
    0x3fee6fff,0x5cfffa2f,0xffffffff,0x3fe202ff,0x3ff6005f,0xf1000fff,
    0xfa805fff,0x3e5ff55f,0x009ff55f,0x7003ffe6,0x37fc47ff,0x7fffffd4,
    0xff5004ff,0xfffffb8b,0x3ea4ffff,0xfff5005f,0x7fffffff,0xffbaffb8,
    0xffbaffa9,0x3fa7ff52,0xf75ff8af,0x97ff409f,0xfffffffb,0x3fee1fff,
    0xfba7fd45,0xffffffff,0xdffd102f,0x7ffc4001,0x3fe2002f,0x7fc401ff,
    0x3f61ffb7,0x3005ff97,0xf7007fff,0x437fc47f,0xfabffffa,0xffe801ff,
    0xcffdaaac,0x20999999,0xf5005ffa,0xd75533bf,0x57fdcbff,0x8ffcbff9,
    0x7ff52ffb,0x3fe3ffea,0x7409ff75,0xffff71ff,0xb83bffff,0xa7fd44ff,
    0x9999dffb,0xffb00999,0xff70003f,0xfffd800d,0x7ff400ef,0x3fee6ff8,
    0x4c00ffd9,0xf7004fff,0x437fc47f,0x3f63fffa,0x7ffcc06f,0x3fffffff,
    0x00bff500,0x7c413fea,0x25ff70ff,0xf76fedff,0xd8ffea5f,0xf75ffdff,
    0x87ffc09f,0x0199dffb,0x3e61ffdc,0x009ff74f,0x005fff70,0x8017fea0,
    0x4ffffffa,0x7fe7fe40,0x3feffe64,0x27ffcc06,0x447ff700,0x5ffa86ff,
    0xb01fffcc,0xffffffff,0x3ea007ff,0x9ff5005f,0xfb97ff40,0x9ffffb2f,
    0x7fd4bfee,0x3ffffe23,0x2609ff75,0x13fee7ff,0x4c3ffb80,0x09ff74ff,
    0x03fffa80,0x017fea00,0x7d67ffc4,0x3fea01ff,0x7ffc2fff,0x3fe604ff,
    0x7fdc004f,0x2a1bfe23,0xfffc85ff,0xaafff981,0x03ffdaaa,0x200bff50,
    0xff104ffa,0x5cbfee3f,0xff72ffff,0xf70ffea5,0x3feebfff,0x23ffe884,
    0x2e004ffb,0xa7fcc3ff,0x26004ffb,0x40005fff,0xfb005ffa,0x3bff61df,
    0xfffff100,0x05ffffb0,0x0013ffe2,0xff88ffee,0x885ffa86,0xffd86fff,
    0x99dff904,0x2a399999,0xccccceff,0x9dff51cc,0xdfff9999,0xff997fdc,
    0x25ff70ff,0xffe83ffa,0x99dff75f,0xb8dfffb9,0x3ee004ff,0xba7fcc3f,
    0xccccceff,0xfffb0ccc,0x99999999,0x05ffa805,0x222fffa8,0x3fa04fff,
    0xfffb85ff,0xdfff900f,0xb80bdddd,0x1bfe23ff,0x7dc17fea,0x3ffe23ff,
    0xfffff900,0x2a7fffff,0xffffffff,0xffff53ff,0x3fffffff,0xfff17fdc,
    0xfa97fdcd,0x5fff983f,0xfffffff7,0xffb83dff,0x0ffee004,0x3fee9ff3,
    0xffffffff,0xfffffb1f,0x0bffffff,0x4405ffa8,0xffa85fff,0x7fff901f,
    0x40ffff30,0xffffffff,0x1ffdc06f,0xff50dff1,0x87fff40b,0x3f205ffc,
    0xffffffff,0xfffff53f,0x2a7fffff,0xffffffff,0x17fdc1ce,0x7fdc9ffb,
    0x3207ff52,0xffff75ff,0x2e07bdff,0x3ee004ff,0xba7fcc3f,0xffffffff,
    0xfffb1fff,0xffffffff,0x05ffa80b,0xd807ffe4,0xfff706ff,0x417ffe03,
    0xfffffff9,0x000006ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x02aaa000,0x2a615550,0xaaaaaaaa,
    0x035511aa,0x5544aaa2,0x01aaaaaa,0x4402aa20,0xaaaaaaaa,0x82a600aa,
    0x02662029,0x8004cc40,0x51000a98,0x0d440013,0x98813310,0x30080009,
    0x0d4c1355,0x98800060,0x4433101a,0xfd81980a,0x9ffe604f,0xfffffffb,
    0xff54ffff,0x55bfe609,0xffffffff,0xffb801ff,0x41400501,0xfceffffa,
    0x00bff206,0x5fffffd5,0x6ffffe40,0xffffb102,0xfffeb809,0x42ffb84f,
    0x91004ffa,0xfffe987f,0xffffdbff,0x8005bf04,0x0dfffffc,0x3ffa3ff2,
    0x7ffff55f,0xf903ffd4,0x7fffdc9f,0x4fffffff,0x3e609ff5,0xfffff56f,
    0x05ffffff,0x0501ffb8,0x3fff2140,0x201fffff,0x3e202ffc,0x0fffffff,
    0xffffffe8,0x7fffc41f,0xff706fff,0xb8dfffff,0x27fd42ff,0x0ffff660,
    0xfffffffd,0x09ffffff,0x8017dfff,0xfffefffa,0x3ffbff25,0xffffefff,
    0x0bffe1ff,0x3310fff4,0x333fff33,0x413fea13,0xbff56ff9,0xffd53333,
    0x01ffb80b,0xff314005,0x13ffe25d,0x3201eeb8,0x0bff61ff,0x3ea3dff7,
    0x467fe46f,0x7d42ffd8,0xffea8bff,0xf50bfee3,0x3ffaa09f,0x3fea2fff,
    0xc8ffff23,0x7ffec2ff,0xdfd00cff,0xff91dfc8,0x3bffea3f,0x323ffd88,
    0x6ff985ff,0x500fff80,0x3fe609ff,0x2609ff56,0x5554c7ff,0x0aaabffc,
    0xffb14005,0x07fffe45,0x7dc08000,0x217ff43f,0x07ffc1bb,0xffd8bff1,
    0xf73ffcc3,0x24ffa85f,0xdfffffb8,0xfff50202,0xd7109ff0,0xf83bffff,
    0x3f201cff,0x50fffc3f,0x3ffcc9ff,0x7c027fe4,0x9ff500ff,0x7d5bfe60,
    0x8fff104f,0xfffffffb,0x40051fff,0x7dc3ffe2,0xff71ffdb,0xffffffff,
    0xfffb7103,0x00fff89f,0xcccfff88,0x7ffc6ffc,0xf71fff80,0x24ffa85f,
    0x00beffff,0xfffecb88,0x5ffccccf,0x7fffecc0,0x3fffff23,0x217fe43d,
    0x3fe60fff,0x3a17ff45,0xfff801ff,0x55dff500,0x2dff7555,0xff904ffa,
    0xfffffb89,0x051fffff,0x2adff140,0x2e5ff94f,0xffffffff,0x3ff621ff,
    0x224ffeff,0xff3007ff,0xffffffff,0xfd83ffc4,0xa87ff71f,0x37ffe4ff,
    0xfffd8800,0xffffffef,0xf5007fff,0xfffc87ff,0xff90efff,0x7cc7ff83,
    0x32ffe45f,0x3fe00dff,0xffff500f,0xdfffffff,0x3bbbffea,0x441fffff,
    0x9affb999,0x22800a19,0x3a5f9ffe,0xdddd51ff,0x43dddddd,0xff51cffe,
    0x441fff89,0x999eff80,0x7ff41999,0xf70fff81,0x24ffa87f,0x02dffffe,
    0x7cc77ff2,0xaaaaaaef,0x3ffae202,0xeca882ff,0x3ff93fff,0x7fcc7ff8,
    0xc87ffcc5,0xfff003ff,0x3fffea01,0x6fffffff,0xfffffff5,0xf70019ff,
    0x2800a03f,0xf89bfff6,0x7c40007f,0x227fdc6f,0x7ff43ffe,0xb883ff60,
    0x21ffe409,0x3fea7ff9,0x2a27fe43,0x0beffffd,0x3fea3ffc,0x2026e20f,
    0xcfffffd9,0xf50aea20,0xf07ff2bf,0x85ff98ff,0x1ffd2ffe,0x403ffe00,
    0x9999dffa,0xff56ffa9,0x07fffb9d,0x280ffdc0,0xfff98a00,0x03ffea8b,
    0xff807bae,0x89fff30f,0xfc9cfffa,0x4effdc4f,0x7d43ffc8,0xfffc9cff,
    0x227ffe62,0x9304fffb,0x747fffff,0xfffd11ff,0x87ffb13b,0x02effffe,
    0x7dc3fff1,0xf83ff93f,0x42ffcc7f,0x5ff9dffb,0x403ffe00,0xff304ffa,
    0xf993fead,0xff7004ff,0x42800a03,0xfffffffe,0x017fe405,0xfffffff9,
    0xffffb0bf,0xfe881fff,0x505fffff,0xbfffffff,0xbfffffd0,0xfb8809ff,
    0x3ffee3ff,0xfffffffe,0xfff85fff,0xfffa801d,0x3f26ffff,0x263ffc1f,
    0xfff885ff,0x3e002ffc,0x9ff500ff,0x7d5bfe60,0x1fffd44f,0x0500cc40,
    0xfb7f9140,0xf9007dff,0x7f64405f,0x80ffe8df,0x01cefffb,0x19dfff91,
    0x77ffed40,0x7fffd102,0x54009ff1,0x7fff5c3e,0xefffc88c,0x000cf80c,
    0x6ffff654,0xff07ff21,0xb05ff98f,0x001fffff,0xfa807ffc,0x2dff304f,
    0xffc84ffa,0x7777540f,0x51eeeeee,0x98531400,0x0c000000,0x40008800,
    0x00980008,0x40000110,0x04401100,0x22000020,0x40000001,0x005ffffa,
    0xfa807ffc,0x2dff304f,0xfe884ffa,0x7fffdc6f,0x51ffffff,0x55555555,
    0x00000555,0x00000000,0x00000000,0x00000000,0x00000000,0x22000000,
    0x4002ffff,0xff500fff,0x55bfe609,0xfff504ff,0x7ffffdc7,0x001fffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7fec0000,
    0x0fff8007,0x2609ff50,0x09ff56ff,0x0007ffe4,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x4c400000,
    0x31026621,0x33013303,0x4cccccc1,0x40662199,0x23310998,0x026620a8,
    0x80002666,0x3fe20198,0x2a635504,0xa98d4c01,0x4c1c0621,0x99999999,
    0x40599009,0x99999999,0x2eea2099,0x73032a02,0x4406e603,0x2025c02b,
    0x22aa80ba,0x25550aaa,0xfffc9ffb,0x983ff63f,0x9ffd47ff,0xfffffff9,
    0x20fff27f,0x3ff92ffc,0x3fe67ffd,0x51bfee1f,0x0f44662b,0x7fc40ffd,
    0xf51df504,0x23fe601f,0x5ff11ff8,0x3fe24fd8,0xffffffff,0x107ffa84,
    0xffffffff,0x7ffec9ff,0x20ffa85f,0x3a0ffffe,0x7fe45fff,0x20db03ff,
    0x7c3fffe8,0x25ffd0ff,0xfdff77ff,0x2a3fffff,0x3ffee2ff,0x7cc3ff21,
    0x7fffffff,0x3fe1bfe6,0x3ffbff27,0x45bfee0f,0x3fe61fff,0xffeffffe,
    0x7c40ffd0,0x6d3fa04f,0x3a9fd05f,0x4bffee5f,0xff10effd,0xffffffff,
    0x07fffd09,0xfffffff1,0x37229fff,0x7ff47f98,0x3eebf50f,0x47fa9d33,
    0x26fbaff8,0x3c9dd9d9,0x83f66bf2,0x5ffd0fff,0x7ffddffe,0x7c4fffa2,
    0x8ffff65f,0x266a26ff,0x743fffa9,0x93fea0ff,0x83acfffc,0x3ffecffe,
    0xffffffd8,0x81bb64ff,0x3e604ff8,0x643ff9af,0x40ffb8ff,0xeffdfffc,
    0x55555540,0x7d41aaaa,0x55506fff,0x9ff55555,0x20ffdb98,0xd840fdad,
    0x737e442f,0xfb8ff4bf,0x3e5fffff,0xfff8fe65,0x3fe5ffb0,0xfa8bff77,
    0xff9ff64f,0x07ff35ff,0x5427ffc4,0x87ff63ff,0x7c405ffc,0xf305ffff,
    0x1ffd75df,0xfffff880,0x6c4fffff,0x50ffc8ff,0x09ff37ff,0x03bffff2,
    0xaefd8000,0xff8002ff,0xffbffd14,0xfb01fb01,0x21bfd30d,0x88ff63fc,
    0x3ec1cffb,0x93fec3f7,0x5dbfa1ff,0x27fd44ff,0x9ff33ff7,0x407feeff,
    0x3e05ffe8,0xc8dff16f,0xffa803ff,0x1ff900ff,0x2201ffcc,0xffffffff,
    0x67fcc4ff,0x1ffd5ff9,0x7f401ffb,0x999903ff,0x45999999,0x0dff3ff9,
    0x3ee9ff00,0xfb01ff35,0x080dfd81,0xf97ea9f7,0x3fbbe20f,0x37f7fd41,
    0x27fa97f2,0x87ff75fc,0x3fe24ff9,0x9ff9ffbc,0x3ffa06fe,0x5cffe406,
    0x17fe43ff,0x037ffc40,0x07ff0ff9,0xffeeee88,0x7ec3eeef,0xf31ffc8f,
    0x209ff17f,0x42fffffd,0xfffffff8,0x3ff64fff,0x8003ff90,0xd7df54ff,
    0x41fb01ff,0xf5099dfe,0x7fc7f919,0x4fec5fed,0xbfda85f9,0x20808080,
    0x7fcc3ffb,0xafef7f44,0xb04ffcfe,0xf9801dff,0x640ffdcf,0xffd802ff,
    0x3ff704ff,0x20017fd4,0x3e604ff8,0x643ff8af,0x41ffb8ff,0xfffceffd,
    0x3ffffe21,0xf34fffff,0x02ffc4bf,0xffd93fe0,0x0fd81fdc,0x49fffff5,
    0x6cc6fffd,0x0a280cff,0xf7000000,0x44ff987f,0xf92ffffb,0xff903fff,
    0x3ffa001f,0x2ffc84ff,0x7ff7fd40,0xdfff981f,0x4000fffd,0x3fa04ff8,
    0x3fa0bfb4,0x7fe4bfb4,0x01fff90e,0x20f75c00,0x80000eec,0x26155000,
    0x441aaaaa,0x0000200a,0xfb800000,0x227fcc3f,0xf50ffff9,0xfff50fff,
    0x0199999b,0x903ffff5,0x7fc405ff,0x20effb9f,0xffffffe8,0x81ffa5ff,
    0xdf504ff8,0x2601ff51,0x11ff89ff,0x03fc81dd,0x00000000,0x00000000,
    0x00000000,0x0ffee000,0xffd09ff3,0x427ffc4d,0xfffffffc,0xdfff01ff,
    0xd80bff20,0x93ffa4ff,0xdffdcfe8,0x0ffd0efd,0x9881f744,0x98801310,
    0x80441310,0xb317fdc1,0x3775019d,0x82664460,0x22221ccb,0x54ffea08,
    0x266663ff,0x19999999,0x1264cb32,0x99999999,0x00009999,0xff30ffee,
    0xe89ff909,0xfffc82ff,0x01ffffff,0x3f207ff9,0x8dff702f,0x0e22fff9,
    0x01ffa0c8,0x00000000,0x317fdc00,0x7ec4df73,0xdaacffff,0xf107fee6,
    0x7fffcc9f,0x2a7ff53f,0xffff13ff,0xffffffff,0x27fa9ffc,0xfffffff8,
    0x0007ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x7fdc0000,
    0x3e66f982,0xffffffff,0x2e2fe46f,0x7fffcc5f,0x2a7ff53f,0xbbbb13ff,
    0xbbbbbbbb,0x46ea9f74,0x99999999,0x00001999,0x00000000,0x00000000,
    0x00000000,0x00000000,0x91f98000,0x74c5dfff,0xffffca8a,0x1d43a82f,
    0x1777774c,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x5136c000,0x5cc01015,0x0000000a,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x007f2000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x01100000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__arial_bold_24_latin1_x[224]={ 0,1,1,0,0,0,0,0,1,0,0,0,1,0,
1,-1,0,1,0,0,0,0,0,0,0,0,2,1,0,0,0,1,0,0,1,1,1,1,1,1,1,1,0,1,
1,1,1,0,1,0,1,0,0,1,-1,0,0,-1,0,1,-1,0,1,-1,0,0,1,0,0,0,0,0,1,1,
-1,1,1,1,1,0,1,0,1,0,0,1,0,0,0,0,0,0,1,0,0,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,0,0,0,0,
1,0,0,-1,0,1,0,0,-1,-1,0,0,0,0,1,1,-1,1,0,0,0,1,0,0,0,1,0,0,0,0,
0,0,-1,1,1,1,1,1,-1,1,-1,-1,-1,1,0,0,0,0,0,1,0,1,1,1,1,-1,1,1,0,0,
0,0,0,0,0,0,0,0,0,0,-1,1,-1,-1,0,1,0,0,0,0,0,0,0,1,1,1,1,0,1,0,
 };
static signed short stb__arial_bold_24_latin1_y[224]={ 19,3,3,3,2,3,3,3,3,3,3,6,16,11,
16,3,3,3,3,3,3,3,3,3,3,3,7,7,5,7,5,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,21,3,7,3,7,3,7,3,7,3,3,
3,3,3,7,7,7,7,7,7,7,3,7,7,7,7,7,7,3,3,3,9,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,19,7,3,3,5,3,
3,3,3,3,3,8,7,11,3,0,3,4,3,3,3,7,3,10,19,3,3,8,3,3,3,7,-1,-1,-1,0,
0,0,3,3,-1,-1,-1,0,-1,-1,-1,0,3,0,-1,-1,-1,0,0,6,2,-1,-1,-1,0,-1,3,3,3,3,
3,3,3,2,7,7,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,5,7,3,3,3,3,3,3,3,
 };
static unsigned short stb__arial_bold_24_latin1_w[224]={ 0,5,9,12,11,19,16,5,6,7,8,12,4,7,
4,7,11,8,11,12,12,12,12,11,11,11,4,4,12,12,12,12,21,16,14,14,14,13,12,15,13,4,11,15,
12,16,13,16,13,17,15,14,13,13,16,21,15,16,13,6,7,6,11,14,6,12,12,12,12,12,8,12,11,4,
6,11,4,17,11,13,12,12,8,11,7,11,12,17,12,12,11,8,4,8,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,0,4,12,12,12,12,
4,12,8,17,8,10,12,7,17,14,8,12,7,7,6,11,13,4,7,6,8,10,18,18,18,12,16,16,16,16,
16,16,22,14,13,13,13,13,6,5,8,8,16,13,16,16,16,16,16,11,17,13,13,13,13,16,13,12,12,12,
12,12,12,12,19,12,12,12,12,12,6,6,8,8,13,11,13,13,13,13,13,12,13,11,11,11,11,12,12,12,
 };
static unsigned short stb__arial_bold_24_latin1_h[224]={ 0,16,7,17,20,17,17,7,21,21,8,11,7,4,
3,17,17,16,16,17,16,17,17,16,17,17,12,16,13,9,13,16,21,16,16,17,16,16,16,17,16,16,17,16,
16,16,16,17,16,18,16,17,16,17,16,16,16,16,16,21,17,21,9,3,4,13,17,13,17,13,16,17,16,16,
21,16,16,12,12,13,17,17,12,13,17,13,12,12,12,17,12,21,21,21,5,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,0,17,21,17,12,16,
21,21,3,17,9,11,9,4,17,3,8,15,9,9,4,17,21,3,5,9,9,11,17,17,17,17,20,20,20,19,
19,19,16,21,20,20,20,19,20,20,20,19,16,19,21,21,21,20,20,11,18,21,21,21,20,20,16,17,17,17,
17,17,17,18,13,17,17,17,17,17,16,16,16,16,17,16,17,17,17,17,17,13,13,17,17,17,17,21,21,21,
 };
static unsigned short stb__arial_bold_24_latin1_s[224]={ 243,249,246,63,106,29,158,240,62,40,222,
96,143,183,196,201,15,1,241,27,176,66,97,194,123,153,91,171,180,143,213,
141,194,68,71,165,117,158,128,32,32,189,214,19,58,86,103,15,132,80,46,
239,18,1,1,219,203,186,172,74,245,156,156,225,169,115,188,128,226,141,10,
48,237,232,178,211,206,238,1,154,53,40,56,226,180,168,43,13,65,110,31,
185,69,81,156,75,75,75,75,75,75,75,75,75,75,75,75,75,75,75,75,
75,75,75,75,75,75,75,75,75,75,75,75,75,75,75,75,75,243,251,216,
201,78,115,151,124,216,135,181,120,168,183,79,201,231,62,197,205,176,233,48,
191,148,190,213,109,139,120,101,88,135,118,89,18,1,234,35,163,152,32,197,
35,243,250,80,225,154,211,90,107,15,63,46,131,62,137,1,229,183,166,94,
98,111,124,137,150,163,49,193,242,176,189,202,215,61,108,85,223,228,146,187,
1,15,1,49,102,88,76,175,221,209,27,14,1, };
static unsigned short stb__arial_bold_24_latin1_t[224]={ 22,101,153,64,23,65,64,153,1,1,153,
153,163,163,163,64,83,119,119,83,101,83,83,101,83,83,153,101,136,153,136,
101,1,101,119,83,119,119,101,101,136,101,83,119,119,119,119,101,119,45,136,
83,136,101,136,119,119,119,119,1,64,1,153,163,163,136,83,136,83,136,119,
101,101,101,1,101,101,136,153,136,83,83,153,136,83,136,153,153,153,83,153,
1,1,1,163,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,
136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,22,23,1,
83,153,101,1,1,163,83,153,153,153,163,83,163,153,136,153,153,163,64,1,
163,163,153,153,153,64,64,64,64,23,23,23,45,45,23,119,1,23,23,23,
45,1,1,23,23,101,23,1,1,23,23,23,153,45,1,23,1,23,23,101,
45,45,45,45,45,45,45,136,45,45,45,45,45,101,101,101,101,45,119,64,
65,65,83,64,136,136,64,64,64,64,1,1,1, };
static unsigned short stb__arial_bold_24_latin1_a[224]={ 95,114,163,191,191,306,248,82,
114,114,134,201,95,114,95,95,191,191,191,191,191,191,191,191,
191,191,114,114,201,201,201,210,335,248,248,248,248,229,210,267,
248,95,191,248,210,286,248,267,229,267,248,229,210,248,229,324,
229,229,210,114,95,114,201,191,114,191,210,191,210,191,114,210,
210,95,95,191,95,306,210,210,210,210,134,191,114,210,191,267,
191,191,172,134,96,134,201,258,258,258,258,258,258,258,258,258,
258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,
258,258,258,258,258,258,258,258,95,114,191,191,191,191,96,191,
114,253,127,191,201,114,253,190,137,189,114,114,114,198,191,95,
114,114,126,191,287,287,287,210,248,248,248,248,248,248,344,248,
229,229,229,229,95,95,95,95,248,248,267,267,267,267,267,201,
267,248,248,248,248,229,229,210,191,191,191,191,191,191,306,191,
191,191,191,191,95,95,95,95,210,210,210,210,210,210,210,189,
210,210,210,210,210,191,210,191, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_24_latin1_BITMAP_HEIGHT or STB_FONT_arial_bold_24_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_24_latin1(stb_fontchar font[STB_FONT_arial_bold_24_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_24_latin1_BITMAP_HEIGHT][STB_FONT_arial_bold_24_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_24_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_24_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_24_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_24_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_24_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_24_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_24_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_24_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_24_latin1_s[i] + stb__arial_bold_24_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_24_latin1_t[i] + stb__arial_bold_24_latin1_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_24_latin1_x[i];
            font[i].y0 = stb__arial_bold_24_latin1_y[i];
            font[i].x1 = stb__arial_bold_24_latin1_x[i] + stb__arial_bold_24_latin1_w[i];
            font[i].y1 = stb__arial_bold_24_latin1_y[i] + stb__arial_bold_24_latin1_h[i];
            font[i].advance_int = (stb__arial_bold_24_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_24_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_24_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_24_latin1_s[i] + stb__arial_bold_24_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_24_latin1_t[i] + stb__arial_bold_24_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_24_latin1_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_24_latin1_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_24_latin1_x[i] + stb__arial_bold_24_latin1_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_24_latin1_y[i] + stb__arial_bold_24_latin1_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_24_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_24_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_24_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_24_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_24_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_24_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_24_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_24_latin1_LINE_SPACING
#endif

