// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_25_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_25_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_25_latin1_BITMAP_WIDTH         256
#define STB_FONT_arial_bold_25_latin1_BITMAP_HEIGHT        186
#define STB_FONT_arial_bold_25_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_bold_25_latin1_FIRST_CHAR            32
#define STB_FONT_arial_bold_25_latin1_NUM_CHARS            224

#define STB_FONT_arial_bold_25_latin1_LINE_SPACING          16

static unsigned int stb__arial_bold_25_latin1_pixels[]={
    0x01310cc4,0x99980000,0x1004c400,0x40009801,0x00000098,0x0ccc4000,
    0x4c400000,0x33100009,0x00026600,0x00013310,0x40000998,0x884cc198,
    0x04ccc019,0x7ec3fee0,0x004ffb86,0x2017fe60,0x7f5c43fd,0x1ff80bef,
    0x7fffec40,0x3ae200cf,0xffffffff,0x0fffff52,0x9003ffd0,0x100dffff,
    0x30001dff,0xff007fff,0x809ff705,0x44002ffe,0xdfffffeb,0x3ff2001b,
    0x7dcbfe0f,0x9ff702ef,0xfb0ffb80,0x009ff70d,0x4c037ec0,0x7ffe40ff,
    0x5fc85fff,0x3ffffea0,0xfd01ffff,0xffffffff,0x3fffea5f,0x05fe8807,
    0x06ffffc8,0x8001ffb8,0x01ffdfe8,0x7fdc17fc,0x00bfe604,0xddffff70,
    0x007ffffd,0x7c1ffff7,0x1ffff72f,0x9803fee0,0x2e0aaa2a,0xf30004ff,
    0x8bfd001d,0xfd99eff8,0x40ffcc1f,0xeccffff9,0xffb86fff,0xffeeffff,
    0x55bff51e,0x003fa200,0x00dff753,0x320003ff,0xf80df95f,0x03eea82f,
    0xd8800ff6,0xf7101cff,0xcffd809f,0xda997fc2,0x13f202ff,0x4ffb8000,
    0xfa800000,0x337fd42f,0x0bfd0379,0xf981bffb,0x7fff43ff,0x41ff77ff,
    0x44003ffa,0x37fc0009,0x00004c40,0x7fc00262,0x40000002,0xb1001efd,
    0x83ff409f,0x1ffd42ff,0x82ccb800,0x3fee4cc8,0xb817bb94,0x4cc882cc,
    0x7fc43fec,0x3ff7004f,0xc807ffd4,0x7fffc3df,0x41ff77ff,0xd8803ffa,
    0x02effffe,0xdb106ff8,0x005dffff,0x3ffffb62,0x20bfe02e,0xdff52cc9,
    0x2e17ff40,0x376e60ef,0xff8acc8a,0x3e0dfd01,0x827fcc2f,0xffa85ffb,
    0x2e5ffb85,0xffffedff,0x217fea1e,0x27fc5ffb,0x01efffb8,0xff71ffcc,
    0x3ff2000b,0x1ff77fff,0x2a01ffd4,0xffffffff,0x1bfe00df,0x3fffffea,
    0x2a00dfff,0xffffffff,0x82ff80df,0xdff54ffb,0xf117ff40,0x7fffdc3f,
    0x7f53ffdf,0x7fc1bfe0,0xb827fcc2,0xfff885ff,0xf70ffec0,0xfff9bfff,
    0x207ffc4d,0x3fe21ffd,0xfffff983,0x97fe204f,0x30003ffd,0x2effffff,
    0x0ffea0ff,0xbdffff98,0x205fffec,0x7ffcc6ff,0xfffecbdf,0xbffff305,
    0x0bfffd97,0x9ff705ff,0xfe81bfea,0xfb93ee2f,0xfffeaadf,0x3fe0bf11,
    0xf885ff05,0x0bff705f,0xff88fff2,0x117ffdc7,0x7fe45fff,0xf51ffe23,
    0xd3dff05f,0x3e01dfff,0x00fffa6f,0x7ffffe80,0x7fd41ff7,0x1dffd103,
    0x205fff70,0x3ffa26ff,0x2fffb80e,0x4077ff44,0x7fc2fffb,0xf54ffb82,
    0x17ff40df,0x1bfe25fd,0x3f41fff5,0xff827fcc,0xf706ff82,0x97fe60bf,
    0x7fdc4ffb,0x264ffd87,0x13fee5ff,0xff883ff7,0x41bfff23,0x0fffa7fe,
    0xfffb7000,0xffa83fee,0x01fff503,0xff837fec,0x803ffea6,0x7fd46ffd,
    0x1bff600f,0x9ff70155,0xfe81bfea,0x7e47fe2f,0x237fc41f,0xffd310fe,
    0x320bfe05,0x7fdc1cff,0x6c3ffa05,0x2ffdc1ff,0x3fa2ffdc,0xd83ffb0f,
    0x2ffcc1ff,0x360bffea,0x09ffb1ff,0x5dff6000,0x0ffea0ff,0x2602ffe4,
    0x6ff80fff,0xf3017ff2,0x2ffe41ff,0x003ffe60,0xffaa7fdc,0x44bffa06,
    0x221bfe7f,0xa9fe24ff,0x3fe04fff,0x47ffe882,0x3ee05ffb,0xb86ff8bf,
    0x5ffa85ff,0x7fc5ffdc,0xf80ffd86,0x27fd45ff,0xffc8ffe4,0x002b6605,
    0x83feeffb,0xffb03ffa,0x03fff007,0x1ffecdff,0xfb0fffc0,0x3fff007f,
    0x553fee00,0x3ffa06ff,0x3fe2bf32,0x2a3ffa85,0x07ffea5f,0xff902ff8,
    0x205ffb8f,0x3ffadff8,0xfc86ffb8,0x56ffc44f,0x1ffc83ff,0x11efffb8,
    0x1ffb07ff,0x7403ffea,0xbfec06ff,0x3fea0ffb,0x005ffd03,0xdff05ffd,
    0x74017ff4,0x0bffa2ff,0x400bffa0,0xdff54ffb,0xf897ff40,0xfb0bff16,
    0x98bfa23f,0xff00fffd,0x89fff705,0x7ec05ffb,0xfb80ffef,0x1fff41ff,
    0x07ff7fec,0xfc80ffdc,0x0ffdcfff,0x7ff47fd8,0x17ffdc0d,0x7fddff60,
    0x7c0ffea0,0xffe802ff,0x3fe6ff83,0x3ffe802f,0x3a00bffe,0x20bfe3ff,
    0xdff54ffb,0xfd17ff40,0xff11ffe1,0xfb837ecf,0xf05ff03f,0xbff701ff,
    0x5ffffa80,0x59ffff70,0xf501fffb,0x3e60bfff,0x3ffea02f,0xbff01fff,
    0xccffff98,0xd806fffe,0x541ff77f,0x7ffd03ff,0xf03fff00,0x01fff4df,
    0xffd0fffc,0x43fff007,0x4ffb82ff,0x7f40dff5,0x7ecbf22f,0xfffe98bf,
    0xf100efda,0x10bfe0bf,0x3fee0bff,0x7fffc405,0xffdff702,0x2207ffff,
    0xf102ffff,0xffd8809f,0x4ff880ef,0xffffffa8,0xfd800fff,0x7d41ff77,
    0x0bff903f,0xf80fff98,0x017ff26f,0x7e41fff3,0x7ffcc05f,0x3ee0bfe0,
    0x40dff34f,0x53ea2fff,0xfffffff9,0x400effff,0x85ff06ff,0xff704ff9,
    0x0fff900b,0x7fce7fdc,0x7fe402ff,0x8037f407,0xfa84fffa,0xfffb101f,
    0x360019ff,0x541ff77f,0xfff703ff,0x837fec03,0x3ffee6ff,0x71bff601,
    0x7ec03fff,0x5c17fc6f,0x1fff14ff,0xf887ffe0,0x5cb7aa2f,0x02622cee,
    0x17fc1bfe,0x7dc13fe6,0x4ffc805f,0x0893fee0,0x809ff900,0x5d4c0ffb,
    0x321bfe61,0xcfea806f,0xbbfec000,0x0ffea0ff,0xc81effe8,0xdff02fff,
    0xc81effe8,0xffe82fff,0x2fffc81e,0x7fdc17fc,0x90bfff13,0xffc81fff,
    0x1ffb8003,0x5ff06fe8,0xf703ff98,0xfff980bf,0x013fee01,0x007ffe60,
    0xdff50bfe,0x7f42ffcc,0x5fcaa802,0xfbbfec00,0x80ffea0f,0xccdffff9,
    0x3e05fffe,0x7fffcc6f,0x5fffeccd,0x9bffff30,0xf0bfffd9,0x7ff4c45f,
    0x33ffff23,0xb04fffec,0xd10019ff,0x3ffa07ff,0x7e42ff80,0x0bff703f,
    0x017fffba,0x74009ff7,0x7005fffe,0xbfffb0bf,0x6f983fff,0x0037cc00,
    0x07fddff6,0x20fffff5,0xfffffffa,0x7fe40dff,0xfffa86ff,0x0dffffff,
    0x3ffffea0,0xf80dffff,0x3ffff22f,0x3ffffa22,0x200effff,0xacdefffc,
    0x2fffedca,0x83ffff20,0xffff72ff,0x417fee03,0x401fffff,0x3e004ffb,
    0x2001ffff,0x7ff4c0ff,0x3fd85fff,0x2ffeed80,0xfbbfec00,0x3fffea0f,
    0x3ffb2207,0xff902eff,0x3b220dff,0x002effff,0xdffffd91,0xfd17fc05,
    0x3fb20bff,0x3004ffff,0xfffffffb,0x88019fff,0x3fe0ffff,0x40bfff72,
    0x99705ffb,0x35530017,0x05e65c00,0x440fae00,0x5e881ccb,0x00377500,
    0x154caa60,0x01333326,0xcca80098,0x013003cc,0x20013000,0x0b32e1ee,
    0x20000cc0,0x2accccba,0x06e5c400,0x0b32a3dd,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x09988000,0x00066600,0x10006660,0x00326177,0x31002cc0,0x26200013,
    0x4cc40009,0x13310001,0x00026600,0x02660053,0x00006660,0x03326599,
    0x2cc932a0,0x44033310,0x000721cb,0x2001dffb,0x20003ffc,0x74005ffa,
    0x007fefff,0xfd801b20,0xfe88002f,0xffe8005f,0x77fc4001,0x1fffb800,
    0x3201f600,0x7e400fff,0xff10003f,0x2007fea7,0x417fe7fc,0x3f203ffc,
    0x001fefff,0x017fbbee,0x20007fd8,0x7cc005fe,0x002ffcaa,0x7cc00fa0,
    0xdf90003f,0xe88007ff,0x7fdc005f,0xfdff9800,0x7ff5400e,0xdffa80cf,
    0x07fc806f,0x2a7ff100,0x7fc801ff,0x3fe217fe,0x75ce7403,0x3fe6004f,
    0x2002ff89,0xfa8002fd,0x04c40006,0x007e6000,0xa8001fec,0x01ff98ff,
    0x0007f440,0x3fa003ff,0x7ec09fd4,0x446fffff,0x03fe8aff,0x40003fd8,
    0x00000098,0x000027e4,0x00000000,0xd8800000,0x02effffe,0x0feedb88,
    0x00000000,0x00000000,0x3fe20000,0x03ffefdd,0x10000000,0x5dffffdb,
    0xe81bfea0,0x3e0002ff,0xffa806ff,0x54bffa06,0x3ffa06ff,0x403fff62,
    0xfa84fff8,0xffffffff,0xfffd300d,0xff005fff,0x7fc000df,0xfffa806f,
    0xffffffff,0xffffff53,0x2a7fffff,0xffffffff,0x3fee3fff,0x83ee8fc8,
    0xff005ffb,0xffa800df,0xdfffffff,0xd037fd40,0x17fee5ff,0x07fffea0,
    0x740dff50,0x0dff52ff,0xff117ff4,0x3fff209f,0x6ffffcc0,0x85fffecb,
    0xffdffff8,0x3fea00ff,0xfa8001ff,0x7d401fff,0xffffffff,0xffff53ff,
    0x7fffffff,0x3fffffea,0x363fffff,0xb807c8ff,0xffa805ff,0xff3001ff,
    0xffd97bff,0x06ffa8bf,0x7fdcbffa,0xffffd805,0x037fd404,0x3fea5ffd,
    0x70bffa06,0xff983fff,0x77ff442f,0x42fffb80,0xfbf55ffc,0x7ffec07f,
    0xffd8004f,0x7fd404ff,0xcccccccf,0x99fff51c,0x23999999,0xccccfffa,
    0x3ea1cccc,0xfb807ddf,0xfffd805f,0xffe8804f,0x2fffb80e,0xfe81bfea,
    0x80bff72f,0x0ffffff8,0xe81bfea0,0x0dff52ff,0x7f417ff4,0x42fff46f,
    0x3600fffa,0x9fff46ff,0x7c4018dd,0x000fffff,0x3fffffe2,0x01bfea00,
    0x2006ffa8,0xf8006ffa,0x5c02ffff,0x7fc405ff,0x5400ffff,0x3f600fff,
    0x81bfea6f,0xbff72ffe,0xfecffb80,0x1bfea03f,0xff52ffe8,0x417ff40d,
    0xff52fff9,0x0bff901f,0x3e0fff98,0x2005f1ff,0x3ffecffb,0x3b3fee00,
    0x3fea03ff,0x1bfea006,0x006ffa80,0xfffffea8,0x80bff703,0x3ffecffb,
    0x202ffe40,0xff50fff9,0xb97ff40d,0x7ff405ff,0x2a06ffa9,0x3ffa06ff,
    0x740dff52,0xfff702ff,0x3607fff1,0xfff803ff,0x3ea3ffe1,0x53ffd000,
    0x7f400dff,0x206ffa9f,0x2a006ffa,0x3ea006ff,0x3f20006f,0xfb83ffff,
    0x4fff405f,0x7ec06ffa,0x1fff803f,0x7f40dff5,0x40bff72f,0xfff16ff9,
    0x81bfea03,0xdff52ffe,0xd017ff40,0x40dfffff,0xfe802ffe,0x327ff62f,
    0x3e601516,0x03fff16f,0x3e2dff30,0xfff501ff,0xbddddddd,0x7777ffd4,
    0x3ea5eeee,0xeeeeeeff,0x7f7e405e,0x05ffb86f,0x7fc5bfe6,0x0bffa01f,
    0x7d4bffa0,0x4bffa06f,0x3f205ffb,0x413ff63f,0x3fa06ffa,0x40dff52f,
    0x3e602ffe,0x3e01ffff,0xffe802ff,0x4fb3fee3,0xffc84ffc,0x2013ff63,
    0x3ff63ffc,0xfffff504,0x54dfffff,0xffffffff,0x3ffea6ff,0x6fffffff,
    0x1ffcbe40,0xf902ffdc,0x027fec7f,0xfd005fff,0x81bfea7f,0xbff72ffe,
    0xa83ffe20,0xffa80fff,0x54bffa06,0x3ffa06ff,0x27ffe402,0x200fffa0,
    0x3fe61fff,0x0fffbbff,0xf507ffc4,0x7fc401ff,0x03ffea0f,0x3fffffea,
    0x3ea6ffff,0xffffffff,0x3fffea6f,0x26ffffff,0x2af94cc8,0x2ffdc2ff,
    0x2a0fff88,0xffd00fff,0x23fff007,0x3fa06ffa,0x20bff72f,0xaaaafffb,
    0xffa83fff,0x54bffa06,0x3ffa06ff,0x07ffc402,0x3017ff20,0xffa81fff,
    0xb83fffff,0xfaaaafff,0x3fee03ff,0xfffaaaaf,0x006ffa83,0xa801bfea,
    0x7ec006ff,0x0ff77c9f,0x3ee0bff7,0xffaaaaff,0x0bff903f,0xf30fff98,
    0x97ffc0df,0xffd05ffb,0xffffffff,0x40dff30d,0xdff32fff,0x2017ffc0,
    0xfb807ff8,0x3ff601ff,0xbffff506,0x3ffffa05,0x06ffffff,0x3ffffffa,
    0xfa86ffff,0x3fea006f,0x1bfea006,0xfdfff500,0xff709ff7,0x3ffffa0b,
    0x06ffffff,0x6c03fff7,0x3ffe26ff,0x2e3fff00,0xfff985ff,0xffffffff,
    0x07ffc41f,0xff11fff8,0x07ffe01f,0x200fff10,0xfc81effe,0x35f102ff,
    0xfffff980,0x1fffffff,0xffffff98,0x41ffffff,0x2a006ffa,0x3ea006ff,
    0xffe8006f,0xb81fffff,0xfff985ff,0xffffffff,0x3dffd01f,0x445fff90,
    0xffc85fff,0x90bff70f,0x55555bff,0xf889ffd5,0xfffc85ff,0x90bfff10,
    0xf8801fff,0xfff3007f,0xfffd99bf,0xc803dc0b,0xaaaaadff,0xfc84ffea,
    0xaaaaaadf,0x7fd44ffe,0x1bfea006,0x006ffa80,0x1bfffd50,0x3217fee0,
    0xaaaaadff,0xf304ffea,0xfd99bfff,0xfff90bff,0x9fffd99f,0x7fc2ffdc,
    0x3ffea02f,0x67fffe40,0x644fffec,0xfeccffff,0xff8804ff,0x3ffea007,
    0x0dffffff,0x7fc01760,0x3ffea02f,0x5017ffc0,0x7fd41fff,0xcccccccf,
    0x99fff53c,0x27999999,0xccccfffa,0x3603cccc,0x85ffb807,0x3ea02fff,
    0xfff500ff,0x1bffffff,0xfffffd10,0x7dc1dfff,0x03ffd45f,0x3a21fffc,
    0xffffffff,0x7fff440e,0x00efffff,0x4007ff88,0xeffffec8,0xa802f802,
    0xfff807ff,0x201ffea3,0x3fea3fff,0xffffffff,0xfffff56f,0x2dffffff,
    0xfffffffa,0x3206ffff,0x45ffb807,0xff807ffa,0x3fb2203f,0xc802efff,
    0x84fffffe,0x7fec5ffb,0x06ffc804,0x9fffffd9,0xffffec80,0x3fe2004f,
    0x004c0007,0x3f600260,0x6ffc804f,0x32013ff6,0x3ffea6ff,0xffffffff,
    0xffffff56,0x2adfffff,0xffffffff,0x06206fff,0xfb17fee0,0xdff9009f,
    0x00004c00,0x5ffb8033,0x4c000000,0x00330001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0x07970cc9,0x65400010,0xcc880ee2,0xb8019931,0x000b323c,
    0x400004c4,0x40388198,0x31000998,0x21988013,0x1db80098,0x00199880,
    0x20002666,0x26200998,0x26002660,0x13310009,0x3ee0cc00,0xb80dfb0f,
    0x7d4002ff,0x203fefff,0x3ff73ff8,0xff16fe80,0x7f644007,0x2002efff,
    0xeffffed8,0x3e207fd2,0xff8806ff,0x87fdc05f,0x5edc05fe,0x1ffd800f,
    0x009ff500,0x200eff88,0x07ff35fe,0x801fffd8,0x9800fffe,0xd87fdc7f,
    0x2a7e206f,0x5cf64006,0x3e200dfd,0x803ff73f,0x07ff16fe,0x3ffffea0,
    0x400dffff,0xfffffffa,0xb00effff,0xe809fdbf,0x2e03ffdf,0x80bfd0ff,
    0x3a003d2d,0x3fee005f,0x03bf2000,0x3fe6bfd0,0x3f7fea03,0x7ef7dc06,
    0x006fb806,0x01aebe00,0x00000000,0x7fcc0000,0xffecbdff,0x3ffe605f,
    0xffffdbdf,0x31df700f,0x5bee03ff,0x55301ff9,0x3ea01554,0x3fa2006e,
    0x013f2001,0x54007fc4,0x2015511a,0x09fd2ff8,0x3fa27fe6,0xb827ec03,
    0xfff005ff,0x1fff500d,0x7d4bff20,0xffffffff,0x7ffc03ff,0x3bffa006,
    0x02fffb80,0xd881dffd,0x00002fff,0x40000000,0x00000028,0x00000000,
    0x00000000,0x7fdc0bfe,0xffffa805,0x2fffd401,0xff52ffc8,0xffffffff,
    0x7ffd407f,0xfffb801f,0x21bff600,0xfb80fffb,0x2e606fff,0xcc981cdd,
    0x9104cc82,0xb98039bb,0x4c00bced,0x4c01cddb,0x200bcedb,0x00bcedb9,
    0x00e6edcc,0x02f3b6e6,0x01cddc88,0xfb807fcc,0xfffd805f,0x7ffd404f,
    0x52ffc82f,0x99999fff,0x7ec03999,0xfc804fff,0x7ffcc05f,0x5427fe40,
    0x80fffcff,0x4ffffffd,0x7fc27fdc,0x7fffd40f,0xfff904ff,0x3603ffff,
    0x04ffffff,0xfffffff9,0xfffff903,0x3ff603ff,0xf904ffff,0x03ffffff,
    0x9ffffff5,0xf7037dc0,0xfff880bf,0x3ea00fff,0xffc86fff,0x000dff52,
    0x7fffffc4,0x01ffec00,0x3fa0fffc,0x45ffcc3f,0x7fec1fff,0x24fffeef,
    0xfff84ffb,0x33bffe60,0x7fcc3fff,0x85ffeccf,0xffeefffd,0x67ffcc4f,
    0x7cc5ffec,0x5ffeccff,0xfeefffd8,0x7ffcc4ff,0x4c5ffecc,0xfffcefff,
    0x5c09fb03,0x7fdc05ff,0x2a03ffec,0x644fffff,0x0dff52ff,0x767fdc00,
    0x7ffc03ff,0x42ffe802,0x3fe22fff,0xfb8bffe4,0x3ffea1ef,0xff09ff71,
    0x11ffec1f,0x1eda8dff,0xff71bfe6,0x0fffd43d,0x7fcc3db5,0xf30f6d46,
    0x1effb8df,0xda87ffea,0xb1bfe61e,0x37fc47ff,0x3ee02ff8,0x4fff405f,
    0x3ea06ffa,0x320fffff,0x0dff52ff,0x54fff400,0x7ffc06ff,0x42ffe802,
    0xbfd12fff,0x3f63ffe8,0x74ffe84f,0x1fff09ff,0x3f607ffc,0x7fdc401f,
    0x7427fec7,0x7dc404ff,0xffb8807f,0x7427fec7,0x7dc404ff,0x207ffc7f,
    0x7fc41ffd,0x817fee00,0xfff16ff9,0x373fea03,0x4bff25ff,0xeeeefffa,
    0xff305eee,0x807ffe2d,0xff803ffe,0xe9fff41f,0x21fff85f,0xffb81fff,
    0xff09ff75,0x3bffe21f,0x42ffeeee,0xfffffda8,0x5c0fffc7,0x7ed445ff,
    0xa887ffff,0x47fffffd,0xffb81fff,0x7ffed445,0x3ffe27ff,0x2ffeeeee,
    0x3ee037d4,0x8fff205f,0xff504ffd,0x325fff19,0xffff52ff,0x0dffffff,
    0xffd8fff2,0x113ff204,0x207ffcc1,0x0efddffd,0xff07ffcc,0x2dff501f,
    0xfff84ffb,0xffffff30,0x7447ffff,0x7ffbefff,0x7d407ffc,0x3fffa26f,
    0x7447ffbe,0x7ffbefff,0x7d407ffc,0x3fffa26f,0x3e67ffbe,0xffffffff,
    0x2027e43f,0xff105ffb,0x07ffd41f,0xffba7fd4,0xf52ffc8f,0xffffffff,
    0x1fff10df,0xb807ffd4,0x33f20fff,0xfa86ffd8,0xfd80efff,0x41ffec6f,
    0x9ff74ffd,0x3e21fff0,0x3ffa007f,0xfb1ffe0c,0x49ffb07f,0x3fe0cffe,
    0xf067ff47,0x83ffd8ff,0x3ffa4ffd,0xf89ffe0c,0x17f4007f,0x5c17fee0,
    0xfaaaafff,0x4ffa83ff,0x3ff33ffa,0x000dff52,0x5555fff7,0x7f407fff,
    0xffff90ef,0x3ffa05ff,0x2fffb82f,0x7fc2ffe4,0xa8bff52f,0x3ffe0fff,
    0xf8855dc2,0x23ffc47f,0xfff85ffc,0xf88fff12,0x11ffe27f,0x5ffc8fff,
    0xff12fff8,0x7c7ff88f,0x055dc2ff,0xfb801ff1,0xffffd05f,0x0dffffff,
    0x7fcc9ff5,0xff52ffef,0xfffd000d,0xdfffffff,0x67fffcc0,0x05ffffdb,
    0x2f7ffff2,0x985fffdb,0xffbaefff,0x2fffe26f,0x20ffffa8,0xfb8aeffb,
    0x997ff46f,0x7fcc7ffd,0x6fffbaef,0xfd997ff4,0x997ff47f,0x7fcc7ffd,
    0x6fffbaef,0xfd997ff4,0x577fdc7f,0x7d46ffb8,0x85ffb807,0xfffffff9,
    0x541fffff,0x7ffe44ff,0x0dff52ff,0xfffff980,0x1fffffff,0x3ffffea0,
    0x83ffffff,0xfffffffa,0x300dffff,0xdfffffff,0xfffffe83,0x3620ffee,
    0x0fffffff,0x7fffffdc,0x7fcc0fff,0x41efffff,0xfffffffb,0x3ffee0ff,
    0x40ffffff,0xfffffff9,0x7fffdc1e,0x220fffff,0xfffffffd,0x5c02fe40,
    0xdffc85ff,0xfeaaaaaa,0x227fd44f,0x52fffff8,0xfc800dff,0xaaaaaadf,
    0x64404ffe,0xfddffffe,0x2ffe26ff,0xefffffc8,0xfffd9802,0xffd880cf,
    0x80ffd8df,0x81dffffc,0xb9effeb8,0xffd983ff,0xeb880cff,0x3ffb9eff,
    0x27bffae2,0xfd983ffb,0xb880cfff,0xffb9effe,0xdffffc83,0xb803fe81,
    0x2fff85ff,0xa83ffea0,0xfffb84ff,0x99fff52f,0x47999999,0x3ea02fff,
    0x026000ff,0x83987ff5,0x22000098,0x40006000,0x00220018,0x11000440,
    0x00008800,0x00440011,0x26600c40,0x45ffb800,0xff807ffa,0x413fea3f,
    0xff52fffe,0xffffffff,0x01ffeadf,0x0000fffe,0x00000014,0x00000000,
    0x00000000,0x00000000,0x00000000,0x8bff7000,0xfc804ffd,0x413fea6f,
    0xff52fff9,0xffffffff,0x013ff6df,0x0001bff2,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x26219880,
    0x00333100,0x00033310,0x0004c400,0x804cc131,0x33000199,0x0ccc0013,
    0x00c40020,0x01100262,0x04400988,0x01980180,0x20000cc0,0x00000098,
    0x3fea0033,0x7f40dfb1,0x7fe4001f,0x9bffd803,0xfffd701d,0x27ff005d,
    0xff702ff8,0x5ff98007,0x40ffee00,0x7404ffea,0x3017ec05,0x02fd807f,
    0xfd700fe6,0x01bea07d,0x0e7fffdc,0xffffd880,0x7f5c00cf,0x05fd01df,
    0x3f63ff50,0x017fa206,0x2004ff88,0xb80bfffb,0x0fffffff,0x7d47fe20,
    0x01ff200f,0xf800dfb0,0xd7df104f,0x407ee03f,0x3602ffea,0x0bffaa07,
    0x7fdc07d8,0x2fe83ffb,0xfffff980,0x7fd400ff,0x1fffffff,0xffffffb0,
    0x1009f907,0x00aa6155,0x2e001fd1,0x3faa004f,0xfff882ff,0x203ffe9a,
    0x0ff70ffa,0x26007fb0,0x3ee000ef,0x36266205,0x204f882f,0xf502feef,
    0x17f77c05,0x7f402fa8,0x6fa8df94,0x265ffb00,0x3fe603ff,0xfffeccff,
    0xecfffb86,0x37d40fff,0x00000000,0xc9744000,0x2ffcc0ff,0x7e409ff7,
    0x00017f66,0x40000000,0x1f906ff8,0xd02fc8c0,0x05f9180d,0x4ffe01ba,
    0x017f47fb,0x3fe1ffe8,0x037ff605,0xff87fff3,0x113ff61f,0xb73001ff,
    0xcc98179d,0x3264cc82,0x204cc82c,0x46feabb9,0x3ff64ffa,0x7ffffec1,
    0x80ffffff,0x401cddc8,0x801cddc8,0x201cddb9,0x7c44fda8,0x705f9003,
    0x0bf2003f,0x3fe007ee,0x37d4ff73,0x32bff900,0xfff503ff,0x88f7f201,
    0x3ffd47ff,0x3f2017f4,0x21ffffff,0xfff84ffb,0xff09ff70,0xfffd881f,
    0x3ee3ffff,0xb0dff34f,0xffffffff,0xffa81fff,0xf504ffff,0x409fffff,
    0x4ffffffd,0x46f9954c,0x0bf2007d,0x7e400bf1,0xe802fc42,0x7f4df94f,
    0x3ffe2002,0xf700effe,0xff3000bf,0x40fff88b,0x3fe604fc,0x25ffeccf,
    0xfff84ffb,0xff09ff70,0xffffd81f,0x3ee7ffff,0x507ff74f,0xf957ff75,
    0x7fcc157f,0x43fffcef,0xffcefff9,0xefffd83f,0x3e24fffe,0x3e63fdbe,
    0x90bf2002,0x17e4001f,0x7d4003f2,0xdf53ffdf,0xffff9000,0x03ffd80b,
    0x4c7ff880,0x37d41fff,0x7cc3db50,0x213fee6f,0x9ff70fff,0x7dc1fff0,
    0xfff912ff,0x7ed3fee3,0xb9fea05f,0x47ffb07f,0x7fec6ff8,0xf71bfe23,
    0x7ffd43df,0x833bfaa1,0x17e4006e,0xfc8009f1,0x50013e22,0x17f45bfb,
    0x3fffea00,0x1fff401f,0x22ffe800,0x7c42fffd,0x3ee2000f,0x213fee7f,
    0x9ff70fff,0x7ec1fff0,0x73fff84f,0x3ffee9ff,0x7ecdf903,0xd81fff05,
    0x03ffe1ff,0x7fec3ffb,0x084ffe84,0x1ec81fa8,0x6d41fb00,0x03f6002c,
    0x540807b2,0x40b6e26f,0xeffefffc,0x3fa0ac88,0xff50003f,0x5fffffdf,
    0x54405ff0,0x27fffffd,0xfff84ffb,0xff09ff70,0x417ffc1f,0x9ff75ffc,
    0x5517ffe4,0xbff55dfd,0x3ffe2155,0x2ffeeeee,0xddddfff1,0x7ffc5ffd,
    0x005ffb81,0x03ff70bf,0x77ec7f30,0x3f9804fe,0x2001ffb8,0xffff52fe,
    0x4fffd41d,0xffcdfff8,0x0013ff63,0xedffffb8,0x04fd81ff,0xf7dfffd1,
    0x427fdcff,0x9ff70fff,0x7fc1fff0,0x75ffb81f,0xfffd89ff,0xffffffb1,
    0x261fffff,0xffffffff,0xffff33ff,0x47ffffff,0xffa80fff,0x540fb806,
    0x6e801fff,0x03fc5ba2,0x7ffcc374,0x74df5001,0x323ff8cf,0x3ffe63ff,
    0x3ff20fff,0x402b6605,0x1fff2ca8,0x3fa0df70,0xb9ffe0cf,0x0fff84ff,
    0xfff09ff7,0x6c1fff41,0x09ff74ff,0x3ff69ffb,0xffffffff,0x00fff10f,
    0xd801ffe2,0x4ffd83ff,0x3e227c40,0x7d401fdd,0x501bea02,0xfddf885f,
    0x225fd001,0x7cbfb2ff,0x7ffdc1ff,0x07ffd45f,0x1006ffe8,0x1fe60fff,
    0xff11ffe2,0x2a2ffd4f,0xbff50fff,0x320fffa8,0x7ffc45ff,0xf309ff72,
    0xf73fd4df,0x217ffc0f,0x3ffe0abb,0xf9055dc2,0x05fff0bf,0x3ba20fc8,
    0x37401fc8,0xe803ff70,0x7e477446,0x226fa801,0x64df91ff,0xfffe83ff,
    0x40dffe84,0x7642fffb,0x813fee1f,0x2ffe81ff,0x7c4fffb3,0xfffa8bff,
    0x17fff10f,0x441ffff5,0xffbaefff,0x553fee6f,0x323ffc9e,0xb817f66f,
    0xffb8aeff,0x4577fdc6,0x7fcc6ffb,0x6fffbaef,0x3f21fcc0,0x702effee,
    0x07ff203f,0xefc83f70,0x7402effe,0x6cbfe22f,0x33ffe65f,0xfffffeba,
    0x3fffe60d,0x86fffecc,0xffcaeffa,0x20ff600f,0xfffffffb,0x3fffa0ff,
    0x20ffeeff,0xeefffffe,0x7ffd40ff,0x2e1fffff,0xffff9cff,0xe93fa0ff,
    0x3ff6203f,0x440fffff,0xfffffffd,0xfffff980,0x36c01eff,0x77ff775c,
    0xf905f882,0x3e20335f,0xffeeeb85,0x21bea02e,0x43ff9dfe,0xfffffffd,
    0x543fffdf,0xffffffff,0xffffd00f,0x5fb807ff,0x9effeb88,0x3f623ffb,
    0x0ffd8dff,0x237fff62,0xfe980ffd,0x7dc0cfff,0x3bffd34f,0x5ff13ff8,
    0xbffff900,0x7fffe403,0x3ff6601d,0x7d400cff,0x901fc802,0xffff301f,
    0x01f901ff,0xfe803f90,0x5fffe982,0xbfffff70,0x6c413ea1,0x00cfffff,
    0x0bbfff26,0x1101fe60,0x18001800,0x00026000,0x20998044,0x00c40019,
    0x22000620,0x400ee000,0x205900a9,0x02aaaaa8,0x02a60059,0x5d404c88,
    0x10098800,0x00026200,0x03300026,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0x00266098,
    0x31000062,0x00000000,0x98800000,0x00000000,0x0000c400,0x000004c4,
    0x00000000,0x00002620,0xddddd100,0xfe800ddd,0x5407ff15,0x002cfffe,
    0x7bfffd95,0xdffb3001,0xeffeb805,0xffe8000c,0xffffe981,0x3f6e00cf,
    0x7e4002ef,0x3fb2a04f,0x9000bdff,0x19fffffb,0x17dfd700,0x3a06ffa8,
    0x07ff72ff,0x3ffb6200,0xb9802eff,0xf300cefe,0x4fffffff,0xbfd05ffb,
    0x7dc0ffe2,0x01ffffff,0x655effe4,0x3ea01ffe,0x904fffff,0x1dffffff,
    0x41ffe800,0xfffffffb,0xfffc80ff,0x32004fff,0xbff904ff,0x03ffd957,
    0xffffffd8,0xfd101fff,0x541fffff,0x3ffa06ff,0x0007ff72,0xfffffff5,
    0x3f601bff,0x81ffffff,0xfffffffb,0x5417fee7,0x2206aa2a,0xffc9bfff,
    0x9813f205,0xbffd01fe,0xf881fff9,0x4ffebcff,0x10fff400,0xfb79dfff,
    0xfffa8dff,0x000fffcc,0x9f909ff9,0x440ff4c0,0xeccdfffd,0xfd80ffff,
    0x24ffdcff,0x3fa06ffa,0x007ff72f,0xbdffff98,0xb85fffec,0xfffcdfff,
    0x400ffc86,0x00005ffb,0xffe89ff5,0x2a24fc81,0x507fa21c,0x27fdcbff,
    0xff98ffee,0x0fff4006,0xff70bff5,0x917fec1f,0x3f2007ff,0x54e7e44f,
    0x3fa21aaa,0x40f7fec1,0x7cc3fffb,0x43ffa0ef,0x3fa06ffa,0x007ff72f,
    0x4077ff44,0x7ec2fffb,0x03ffe23f,0xff700ffd,0xc82cc98b,0x217fdc4c,
    0x549f1019,0xf10effff,0x222ffd8b,0x17fe47ff,0x3260bff1,0x43ffd3de,
    0x99905ffb,0x3ee1d4c1,0x9ff9004f,0xfffba7c4,0x4bf10eff,0x3601fff8,
    0x1ffe42ce,0x0dff5022,0xffb97ff4,0x80cddb8b,0x3600fffa,0x07f6c6ff,
    0xdff07ffa,0xff705995,0xf84ffb8b,0x13fea0ff,0xdf31fa80,0x47d93ee5,
    0x7ffc1ffd,0xfb97fe60,0xffffb83f,0x2a1ffedf,0x000aefff,0x005ffd10,
    0x1fa93ff2,0x8ff263f7,0x017fea7c,0x98affd80,0x06ffa809,0x7fdcbffa,
    0x1effffed,0x2602ffe4,0xf8800fff,0x3ffe60ff,0x2e0effff,0x27fdc5ff,
    0xfa887ffc,0x200999ef,0x150fee7c,0x3ffd0fd4,0x7dc0ffe8,0x885fffff,
    0xffecffff,0x7ffec1ff,0xb000beff,0x64007fff,0xfb9f64ff,0x1fa8fea1,
    0x40009ff9,0xffffbffe,0xd037fd43,0x3ffee5ff,0x46fffddf,0xff803ffd,
    0x6ffb801f,0x7f7fffd4,0x17fee5ff,0xfff09ff7,0x3fffffa1,0xd97e02ff,
    0xf1fc401f,0x1ffe81ff,0x0fffffd8,0x320effc8,0x7ec41fff,0x05ffffff,
    0x4005fff8,0xb97e4ffc,0x20ffccdf,0x07ffd3f8,0x89999997,0xffffffff,
    0x81bfea3f,0xfff72ffe,0xd17ffc45,0xffd005ff,0x1fffa805,0xf98676d4,
    0x8bff72ff,0xfff84ffb,0xffffffd0,0xfb27c05f,0x3e3f8803,0x0fff40ff,
    0x3ffbfff6,0x21fff41f,0x9501fff9,0x0bffffff,0x17ffee44,0x3e4ffc80,
    0x37ffbee5,0xffe9fc40,0xfffffe83,0xa97fffc7,0xdff50fff,0xfb97ff40,
    0x24ffd87f,0xfe802fff,0x3ffea03f,0xa7fec004,0x7fdc5ffb,0x310fff84,
    0x01337ff9,0xc87f93ec,0xfff87ea2,0xf90fff41,0x237fcc9f,0xfff80fff,
    0xffeb9801,0x6ff9802f,0x6c9ff900,0x3f627ee7,0xffc8fd42,0xfffffe84,
    0x362fff47,0x0dff52ff,0xffb97ff4,0x3a5ffb84,0xfff803ff,0x0bfff501,
    0x2ebff700,0x27fdc5ff,0x3f607ffc,0x23f7001f,0x49f71ef9,0x20fff47c,
    0x3ffa0fff,0xff0fff40,0x43ffd01f,0x3ff603a9,0x83ffd004,0x727fe409,
    0x7c47ee3f,0xffa9f20f,0xffa99886,0x2e1fff47,0x0dff34ff,0xffb97ffc,
    0x325ffa84,0x7fcc05ff,0x5fffa80f,0x3f20a660,0xb8bff73f,0x0fff84ff,
    0xf10037fc,0x7ffffdc9,0xffd8bf10,0xff1ffe22,0x22ffd81f,0x7fc42ffe,
    0x40fffe1f,0x12aa5ffb,0x7fdcbffa,0xf11ffec4,0x4fb87ee9,0x7ffc4bf1,
    0xb1ffe602,0x3ffb89ff,0x3e01fff1,0x0dff71ff,0x7fdc9ff9,0x1bff601f,
    0xb013ffe6,0x0ffe87ff,0xffa8bff7,0xb07ffd45,0xfd8003ff,0xe88b2e64,
    0x52ffdc1f,0x2ffe8bff,0xffb0fffc,0x21fffa89,0xff80effd,0x887ffe3f,
    0xdff51fff,0x7ec2fff8,0x46640c9c,0x7ffec1fe,0x47ffd881,0x7fec7ffa,
    0x90bfff12,0x3fee1fff,0x21fffc0f,0xfc81effe,0x7ffc42ff,0xbfff8805,
    0x3ee6ffd9,0x5fffc45f,0x90ffffa8,0x9bffffff,0x13f601fb,0xf881fe88,
    0x1ffeabff,0x6d5fffe4,0x7ffcc6ff,0x1ffffc9e,0x2f7fffe6,0x321ffffd,
    0xffebbeff,0x33fffe26,0xfd80fffe,0x407fa204,0xdccdfffd,0xfe87ffff,
    0x0fffcaef,0x333ffff2,0x3ee4fffe,0xffeacfff,0x7fffcc0f,0x5fffeccd,
    0xeeefffc8,0x7fe41eee,0x2e1fffff,0xfffe85ff,0x70ffeeff,0xffffffff,
    0x7fec09ff,0x1ffecabd,0x3ffffee0,0xffffd05f,0xffb03fff,0x3ffbffff,
    0xffffffb8,0xffe82fff,0x640fffff,0x1fffffff,0x26f7ff60,0x7401ffeb,
    0xffffffff,0xfffa80df,0x7442ffff,0xffffffff,0x3f7fee0e,0x502fffff,
    0xffffffff,0xfffd01bf,0x05ffffff,0x81bffff7,0xfd885ffb,0x0ffd8dff,
    0xfd957df1,0xca80bfff,0x01beffff,0x04ffffa8,0x3bfff6a2,0x3bffee01,
    0xe981ffc8,0x01dfffff,0x1bffff91,0x37fffee0,0xfffca802,0x95001bef,
    0x039dfffd,0x1efffe98,0x3ffffb20,0xaaffb84f,0x4402fffe,0x2effffec,
    0xffffff30,0x4405ffff,0x017fee01,0x18802003,0x000a8800,0x98800310,
    0x00026000,0x260004cc,0x00062001,0x40000a88,0x02600018,0x20003300,
    0x01300008,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xbd700000,0xccb8d915,0x001e64c0,0x44099880,0x65c26219,0x04cc882c,
    0x00000000,0x0001ccb8,0xff505000,0x3bffffff,0xffffffa8,0xff54ffff,
    0x4c27fec9,0xfd800fff,0xffffffff,0xfa87ffff,0xdeffffff,0x3ffc4000,
    0xf31bfe20,0xd89fffff,0xaffd41ff,0xe8006ffa,0x3fee0fff,0x3feadfd0,
    0x805ffb85,0xfa806fff,0xefffffff,0x2ffd800c,0xffffff50,0xea801bdf,
    0xfffffa86,0x2a3fffff,0xffffffff,0x49ff54ff,0x7ec0fff9,0xfff8804f,
    0xffffffff,0xffa87fff,0xffffffff,0x1fff6003,0x5a8dffd0,0xfd819b51,
    0xaaffd41f,0x7dc006ff,0x3fee6fde,0x3fe2dfd0,0x00ffec0f,0x007fffea,
    0xfffffff5,0xd803ffff,0xfff502ff,0x7fffffff,0x2a1bfe60,0xfeedcfff,
    0xfff50fff,0x59999999,0xffb13fea,0x007ffcc7,0x7fdeffe4,0xcccccccf,
    0xdcfffa84,0x03ffffee,0x107fffa8,0x000dfffb,0x3ea0ffec,0x00dff55f,
    0x7f44ffcc,0x15545533,0x7fc47ff9,0xffffd807,0x67ffd404,0x6fffdccc,
    0xa80554c0,0xfeedcfff,0xff982fff,0x986ffa86,0xdff53fff,0x313fea00,
    0x3ff61fff,0x8fff8804,0xa8007ff8,0xffd886ff,0x3ffe200f,0xffffb87f,
    0xcedb986f,0x20ffec0b,0xfff55ffa,0x03bfffff,0x7fcc0000,0x1013fee5,
    0x01ffffff,0xf9837fd4,0x2aa600ff,0x10dff500,0x6d41fffb,0x3ea4cfff,
    0x2bff906f,0xf5006ffa,0x17ffb09f,0xf9001fff,0x01ffe2bf,0x441bfea0,
    0x3f603fff,0x7fcc7fff,0x7e46ffdf,0x21ffffff,0x7fd41ffd,0xffffff55,
    0x9307ffff,0x0b326059,0xffd87ff4,0x767fdc01,0x3fea03ff,0x803ffe06,
    0xff501ffc,0x8fffe20d,0x27fffffc,0xff906ffa,0x401bfeab,0xff984ffa,
    0x8804ffce,0xfff11fff,0x0dff5000,0xfa82ffe4,0x7cc7ffaf,0x266ff98d,
    0xffeccfff,0xf507ff65,0x3bffeabf,0x0ffffeee,0xfa827fd4,0x17ff704f,
    0xffd00dff,0x540dff53,0xdff506ff,0x500ffe80,0x7fe40dff,0x3bfffae4,
    0x261bfea5,0xfff54fff,0x45999999,0x26624ffa,0x9afffffe,0x897fee00,
    0xeeeeefff,0x6ffa81ee,0x221bfee0,0x88fff5ff,0xda9bfe62,0xd9bfe61e,
    0xaffdc2ff,0xfe886ffa,0x827fd43f,0xff104ffa,0x9807ff5b,0x3fff16ff,
    0x333ffea0,0x01fffdcc,0xfa81bff6,0x1bfee06f,0xff50dff3,0xffffdddf,
    0x3fffea3f,0x2a4fffff,0x3ffee4ff,0x5fffffff,0xf88bffa0,0xffffffff,
    0x7ffffc2f,0x3fea1fff,0xff0ffd87,0x06ff980f,0xfb3ffdc4,0x55ffd8bf,
    0x3ff20dff,0xa827fd45,0x3ff604ff,0x7e400ffe,0x413ff63f,0xfffffffa,
    0xfb102fff,0x7fd401df,0x31ffea06,0xfff50dff,0x5fffffff,0x7fffffd4,
    0x3fea4fff,0x3ffffee4,0x505fffff,0xfff88dff,0x2fffffff,0x7ffffffc,
    0x71ffea1f,0x03ffc5ff,0xb511bfe6,0x6cffffff,0xffc9dfff,0x20dff55f,
    0x7fd45ffc,0x409ff504,0x405ffffa,0x3ea0fff8,0xfffa80ff,0xffffffff,
    0x00effe83,0xf5037fd4,0x86ff98ff,0xeffffffa,0x77fd41ce,0x20999999,
    0x26624ffa,0x999dffb9,0x99dffd00,0x000fff99,0x7d40dff5,0xf17fe26f,
    0x6ff980ff,0x2fbfffa2,0x3fff67ff,0x55ffffff,0xfff30dff,0x504ffa89,
    0x7fc409ff,0x7fdc02ff,0xfffaaaaf,0x886ffa83,0x3ee3fffa,0xffa800ef,
    0x31bfee06,0xdff50dff,0x037fd400,0x2a24ffa8,0xaaeffcaa,0xffffa82a,
    0x07ffffff,0x206ffa80,0x3ff25ffb,0xffffffff,0x74dff307,0x9ffe0cff,
    0xaffeaffd,0xdfff55ff,0x3ffffddd,0xf504ffa8,0x7ffc809f,0xfffffe80,
    0xa86fffff,0x3fee06ff,0x2207ff65,0x0dff509a,0x3e62ffe4,0x06ffa86f,
    0x401bfea0,0x3fee4ffa,0xffffffff,0xfffffe85,0x007fffff,0x3a06ffa8,
    0x3fff23ff,0x7fffffff,0x3e2dff30,0xb3ffc47f,0xfa8063ff,0xffffffff,
    0x04ffa82f,0xfc809ff5,0x7ffcc04f,0xffffffff,0x037fd41f,0x7fecfff5,
    0xf52ffd81,0x1fff40df,0x3ea1bfe6,0x3fea006f,0x49ff5006,0xfffffffb,
    0x7fcc5fff,0xfa99999f,0xffa8007f,0x41fffb06,0xfeeeeeeb,0xff305eff,
    0xd997ff4d,0x07ff67ff,0x3ffffea0,0xf501ceef,0x13fea09f,0x401fff98,
    0xaaaadffc,0x544ffeaa,0xffb106ff,0x5077fdcb,0x3fea1fff,0x81dff906,
    0x2a3afff8,0x3ea006ff,0x9ff5006f,0x2027fd40,0xff105ffd,0x9999999f,
    0xcfffa819,0x2ffffedc,0x301ffe00,0x7ffdcdff,0xb0ffffff,0xff5003ff,
    0x9ff5000d,0x3a13fea0,0xf805fffe,0x3fea02ff,0x33ffea0f,0xffffeecc,
    0x7f7fff43,0x3fea3fff,0xfffedccf,0xfffff02f,0x50037fd4,0x3ea00dff,
    0x13fea04f,0x101fff98,0xffffffff,0xffa83fff,0xffffffff,0x03ffc004,
    0xeb89bfe6,0x3ffb9eff,0xf5003ffb,0xff5000df,0x213fea09,0x401fffff,
    0xff807ffa,0x3fffea3f,0x5fffffff,0xfffffd88,0x7fffd42f,0x04ffffff,
    0x543fffea,0x3ea006ff,0x9ff5006f,0x9027fd40,0x7fc40dff,0xffffffff,
    0x7fffd41f,0x000ceeff,0x7cc07ff8,0xa801106f,0xffa800aa,0x4ffa8006,
    0x9709ff50,0xffb00179,0x4dff9009,0xfffffffa,0x54402dff,0xfff501bb,
    0x019ddfff,0x00000260,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x6e440000,0x2619953d,
    0xbddb89cc,0x5676dc00,0x00000000,0x0000e65c,0x27bd9300,0x13100cca,
    0x99801100,0x26000001,0x00000019,0x00000000,0x9ced8800,0xee9803e8,
    0x7ffd4005,0x71ffcdff,0xffffd7ff,0xfffd303d,0x7fd43fff,0x5cfff606,
    0xffb004ff,0x7d53fea5,0x7fd4004f,0x1ffddfff,0x43fffec4,0x0cffffd9,
    0x3ea3ffb8,0xfffd106f,0x2a4ffb83,0xffffffff,0xfff53fff,0x3fffe09f,
    0x403ffea7,0xfff12ffc,0x03fff209,0x3ffffff2,0xf997ffc1,0x3fe2007f,
    0xffffedff,0xbdffff71,0xff88dfff,0x26ffecff,0x3f606ffa,0x009ff73f,
    0x7fd4bff6,0x4009ff54,0xfecffff8,0x7fec1fff,0x7ffd46ff,0xc82fffff,
    0x21bfea7f,0xe82fffe8,0x7fffd44f,0x3fffffff,0x10dffff5,0x7d4fffff,
    0x5ff905ff,0x260fffdc,0x27b02fff,0xfff83db9,0x400fff32,0x3ee0effc,
    0x7fff71ff,0xf917ffcc,0x97fec1bf,0x3f606ffa,0x009ff73f,0x77542aa6,
    0x4009ff53,0x7fe45ffc,0x45fff41f,0x2b7ffe60,0xc80fffca,0xd0dff53f,
    0xbf505fff,0x999fff50,0x2a399999,0x5c0fffff,0x3ea7ffff,0xffc82fff,
    0x3a37ff42,0xf00005ff,0x1ffe65ff,0x444ffd80,0xfff71fff,0x7f49ffb0,
    0x3ea0c43f,0x4fff606f,0x2a004ffb,0x027fd401,0xf987ffd0,0x07ffc1ff,
    0x7ec2ffe4,0x6ffa803f,0x0017ffec,0x50037fd4,0xd85fffff,0x3ea7ffff,
    0xffc86fff,0xb9fffcc2,0x5cc00fff,0xfff81cdd,0x400fff32,0xffe82fff,
    0xf70bff71,0x00fffcbf,0xfb037fd4,0x893fee7f,0x97e22ccc,0x9ff52cc9,
    0x3e073b6e,0x1fff81ff,0x399fff97,0x7dc0765c,0xa9664c4f,0x3fff66ff,
    0x50b32603,0x7d400dff,0x7fc4ffdf,0x3fea7ffd,0x7fe44fff,0xf9fffc82,
    0x7fec03ff,0x7f44ffff,0x00fff31f,0x7f40fffc,0x50bff71f,0x0fffcbff,
    0xb037fd40,0x93fee7ff,0x3e60effd,0x7d53fea6,0xfffffddf,0x740fffc1,
    0xffffb1ff,0x7ec005ff,0xaa7fd42f,0x7fff96ff,0x544ffa80,0x3ea006ff,
    0x3e66fecf,0x3ea7ffbf,0x320fffff,0xfffd02ff,0xffd80dff,0x24fffeef,
    0xfff30ffe,0x21fff400,0xff71fff8,0x749ff90f,0x505443ff,0xdddddfff,
    0x3ee7fffd,0x81dffb4f,0x53fea7fa,0xfcdffffa,0x1ffec6ff,0x7647ffe6,
    0x801eefff,0xfa86ffd8,0xf7dff54f,0xff500fff,0xeefffa89,0x2a5eeeee,
    0x70ffccff,0x54fff3ff,0x25ffdcff,0xff302ffc,0x7dc03fff,0x3ffea1ef,
    0x7fccffb1,0x17ff2007,0x3ee3fff5,0x1fff41ff,0xffc89ffb,0xffffff54,
    0x27ffffff,0xeffccffb,0x3ea7fb80,0x45fff54f,0x7fd47ff9,0x20fffe45,
    0x7f4007ff,0x4ffa80ef,0xfffffff5,0x4ffa809f,0x7fffffd4,0x3ea6ffff,
    0xfb2ffacf,0xffa9ffef,0xf92fff8c,0x7ffec05f,0x427fec04,0x4ff94ffe,
    0x26007ff9,0xffc9dfff,0xffff71ff,0x41fffb57,0xfbadfff9,0xffff50ff,
    0xffffffff,0x3ffbfee7,0x21ff901f,0xdff54ffa,0x7c41fff0,0xfffecfff,
    0x003ffc1f,0x2a01dffb,0xffff54ff,0x403fffbf,0x7fd44ffa,0xffffffff,
    0x3e33fea6,0x3febff4f,0x7dd3fea7,0x02ffc8ff,0x80dffff1,0xffb81fff,
    0x7fccdf75,0x7ffe4007,0x71ffffff,0xfffffdff,0xffff907f,0x7fd47fff,
    0x5cfff606,0x03ffffff,0x3fea3ff9,0xff0bff54,0xffffb81f,0x7c1ffedf,
    0xdff3007f,0xaa7fd401,0xffd3ffff,0x227fd40d,0x2a006ffa,0xf3ffd4ff,
    0xfa9ffe7f,0x333ffa4f,0xfffb02ff,0x7ffc09ff,0xf56ffa80,0x003ffccb,
    0x74f7ffdc,0x39ff71ff,0x5405ffff,0x542dfffe,0x3ff606ff,0xffffff73,
    0x25ffb01f,0x9ff54ffa,0xb501ffd0,0x03ffa7df,0x3ee00fff,0xa7fd402f,
    0x3e64fffa,0x9ff503ff,0x2006ffa8,0xbff94ffa,0xa9ffe3ff,0x3ffe64ff,
    0xffa82ffe,0xb01fffef,0x9ffb07ff,0x7ff997ea,0xfe826000,0x449ff71f,
    0x39fb1000,0x6c0dff50,0x5fff73ff,0xffd09ff9,0x7d53fea5,0x20ffe84f,
    0x21ffa008,0xdd7007ff,0x54ffa803,0xfffb0fff,0xa89ff503,0x3ea006ff,
    0xfffff54f,0x9ff53ffc,0x2fffffc8,0xfeafffc4,0x0bff906f,0x8fa25fff,
    0x00007ff9,0x7fdc7ffa,0xf7510004,0x06ffa81f,0x7fdcfff6,0xe83fff14,
    0x29ff53ff,0xffe84ffa,0xf317fee0,0x00fff0ff,0x29ff5000,0xff886ffa,
    0x44ffa86f,0x2a006ffa,0xffff14ff,0xff53ffcb,0xfffff889,0x987ffec2,
    0xff984fff,0x6fffbaef,0x667ffcc0,0x004ccccc,0x7fdc7ffa,0x1fe80004,
    0xfb037fd4,0xb93fee7f,0x9fff45ff,0x9ff54ffa,0x7c41ffd0,0xfffedeff,
    0x9007ff83,0xffa807ff,0x320dff54,0x7fd43fff,0x667ffd44,0x53cccccc,
    0x7fff49ff,0xffa9ffe3,0x2ffffb84,0xf90fffea,0xfff303ff,0x743dffff,
    0xffff31ff,0x0fffffff,0xfb8fff40,0xeea8004f,0x6ffa84ff,0x7dcfff60,
    0xd17ff44f,0x53fea7ff,0xffe84ffa,0x7ffffdc0,0x0fff05ff,0x500fff20,
    0x1bfea9ff,0x2a0fffe8,0x7ffd44ff,0xffffffff,0x7e49ff56,0xa9ffe1ff,
    0xfffd04ff,0x21bffe25,0xb306ffe8,0xe819ffff,0xffff31ff,0x0fffffff,
    0xa9855540,0xcb98001a,0x0dff500a,0xffb9ffec,0x5537fd44,0x553fea15,
    0x0ffe84ff,0x1bcccb88,0x6401ffe0,0x7fd403ff,0x540dff54,0x3fea5fff,
    0x7ffffd44,0x56ffffff,0x3ffd49ff,0x4ffa9ffe,0x325fff30,0xff501fff,
    0x2008807f,0x00001ffe,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xddddddd0,0x665c5ddd,0xed880000,0x0003f89c,0x55555730,
    0x91095555,0xc98039bb,0xbb70cdee,0xedb98059,0x76dc00bc,0xdb7100ac,
    0xccb817bd,0x2a0fffa0,0xff985fff,0x7fffff47,0x6c6fffff,0xff100fff,
    0x027ff49f,0x7fd57ff6,0xdfffffff,0xfffff701,0x3fffffff,0x7ffffffc,
    0x3ffa3fff,0x807ff300,0x1ffffffc,0x45ef6540,0x200132f9,0x7ffffd42,
    0xffff504f,0xffffffff,0x3fff20bf,0xe981ffff,0x81ffffff,0x5fffffff,
    0xff90fff4,0x0ffff90b,0xffe8bff7,0xffffffff,0x827ffc46,0x3ee0fffc,
    0x97ffc07f,0xfffffffa,0xfb83ffff,0xffffffff,0x3ffe1fff,0x2fffffff,
    0x7cc03ffa,0xb99ec03f,0x3ff6202d,0x30ffffff,0xff98a001,0x43fffcef,
    0xfecdfff8,0xffecdfff,0x667ffcc4,0x7fc45ffe,0x46ffecff,0xfebacffb,
    0xa87ffa3f,0xffff87ff,0x21ffec1f,0xdccccccb,0xffb86fff,0x17ffcc1f,
    0x540bffe2,0x3ffea7ff,0xfffedccc,0x6666540f,0xccccdffe,0x45ffa800,
    0xff300aaa,0xfd000007,0xbfffbbff,0x3628004c,0x1bfe23ff,0x7fc45d93,
    0x50ffec5f,0x37fcc3db,0xfd837ff2,0x911ffa2f,0x10555437,0x7fcc1fff,
    0x7ff43fff,0xfffd1001,0xd1bffa01,0x3ff60bff,0x549ff905,0xfff106ff,
    0x07ffb007,0x003bfa00,0x4c0ffe60,0x39db71cc,0x6c1dff70,0x00131fff,
    0x6c0fff8a,0x7d4401ff,0x17fd42ff,0xd1ffee20,0xe81887ff,0x000acfff,
    0x3ee2ffe8,0x3e25ffdf,0x3ff6007f,0x3ffe601f,0x201fff52,0xff80fffa,
    0x81bfea1f,0xfd804ffd,0xffa8003f,0xffff7001,0x2bffffff,0xfffdbffa,
    0x1ffec2ff,0x269ffdf9,0x3fe25000,0xffeeeeef,0xfffeda82,0xfeeeeeff,
    0x7fed443f,0x7ffc7fff,0xffff5001,0x64005dff,0x27ff64ff,0x17fea7ff,
    0x01fffe40,0x7fc7ffdc,0x3ffe203f,0x2a3ffd42,0x3ffa06ff,0x03ffd802,
    0x2004ff80,0xfffffffb,0xfff55fff,0x8dfff9bf,0x39f71fff,0x40026dff,
    0xffffff32,0x7447ffff,0xfffcefff,0x5fffffff,0x2fbfffa2,0x0fffc7ff,
    0xffffd500,0x3ea009ff,0x7edffe5f,0x007ff91f,0x4009fff5,0x06fffffe,
    0x7e45ffd8,0x4f7fd44f,0x7ffda999,0x007ffb00,0x2001ffb8,0xfffffffb,
    0xfff55fff,0x3e3ffcc5,0x3e6bf57f,0x4a00136f,0x36007ff8,0x3ffe0dff,
    0x0999999b,0xff833ffa,0x221fff47,0x3f6a200a,0xff1007ff,0x7dd3fe6f,
    0x803ffb3f,0x4006fff9,0x01fffff9,0x3e0fffa8,0x7ffd41ff,0xffffffff,
    0x07ffb003,0x0037fc40,0x540ffe60,0x0fff86ff,0xb9befffa,0x200135ff,
    0x770bffe2,0x107ffc15,0xaca89fff,0xf88fff10,0x227fec7f,0x99714ffc,
    0x2003ffd0,0x2ffb9fff,0x1ffebff3,0x01fffd10,0x09fff900,0xfa97ffc0,
    0xffffa86f,0x003fffff,0x9001ffec,0x7ff407ff,0x207ff300,0xfff85ffa,
    0x83bfff20,0x00133ffe,0x8aeffb8a,0x7fec6ffb,0x7ffffb13,0x743fff51,
    0xfffb32ff,0xbadfff98,0x3ffa0fff,0x0fffa88b,0xffb03ffd,0x7fc1ffb5,
    0x7406ff9f,0x10001fff,0x64001fff,0x07ff95ff,0xfb55fff5,0xfd8003ff,
    0x3ff6003f,0x403ffa00,0xff503ff9,0x441ffd0b,0xfea9dfff,0x1400266f,
    0xffffffb1,0xffffa81f,0xffffefff,0x7fdc3fff,0x0fffffff,0x7fffffe4,
    0x7fffcc3f,0x3fa3ffff,0xfdffb81f,0x7e7fec6f,0x3fff204f,0x3fe20002,
    0x7ffcc007,0xfa80fff8,0x17ffe46f,0x007ffb00,0x3fa02ffc,0x07ff300f,
    0x3fa13fea,0x7ffff40f,0x0261ffff,0x7ffe4140,0xffd701df,0x3ffaa3bf,
    0xfeb883df,0x83ffb9ef,0x02dfffea,0x5dfffd93,0xf981ffe8,0x7dc4ffff,
    0xf702ffff,0x880009ff,0xfe8007ff,0xf505ffdf,0x1fffd0df,0x00fff600,
    0x5c027fc4,0xa804cc07,0x0ffe84ff,0x3ffb2ff2,0x8004c0cf,0x88006202,
    0x88006200,0x00188000,0xf00004c4,0xf885ffff,0xf980ffff,0x880005ff,
    0xfb8007ff,0xf503ffff,0xbfff30df,0x00fff600,0x22017fd4,0x3bbbaa5e,
    0x54eeeeee,0x1ffd09ff,0x980221c4,0xaaaaaaab,0x000004aa,0x00000000,
    0x20000000,0xe80ffffd,0xffb06fff,0x999999bf,0xff880199,0xfff98007,
    0xdff500ff,0x00fffee0,0x6400fff6,0x077c01ff,0xfffffff7,0x3feabfff,
    0x000ffe84,0x00000000,0x00000000,0x00000000,0x20dfff70,0xfb04fffc,
    0xffffffff,0xf8803fff,0xffd0007f,0x37fd40bf,0x801fffd0,0xfb003ffd,
    0xfb81801f,0xffffffff,0xd09ff55f,0x000001ff,0x00000000,0x00000000,
    0x26000000,0xff504fff,0x3fff605f,0xffffffff,0x3ffc401f,0x2fffb800,
    0x881bfea0,0x7ec05fff,0x0000003f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3320b326,0x00000b64,0xddb9816a,
    0x3eea801c,0xb7119950,0x16764c7b,0x6640732e,0x970332e4,0x30cca819,
    0x33b6e399,0x66666441,0x0001cccc,0x5bb53995,0x97033326,0x03cb8059,
    0x64062028,0x75cbd54e,0x0801bd34,0x20009880,0xfff84ffb,0x0017dff0,
    0x83ff5c40,0x4ffffffd,0xc827fd40,0xfffffbff,0x3fffffac,0x3ea17fee,
    0xf0bff25f,0x27ff87ff,0xfffdbffa,0x3ffe62ff,0x22ffffff,0x727440eb,
    0x4bfff7ff,0x3fee5ffe,0x037f400f,0x3376eff6,0x7fd41ffa,0x3e23ff89,
    0x2a0bfd2f,0xff00dffe,0x29ff701f,0xfff84ffb,0x19fffff0,0x7ffe4400,
    0xefffd87f,0x2a04fffe,0xfff904ff,0xdffffb9d,0x221fffd9,0x7fec0fff,
    0xf993fe62,0x97fe65ff,0xfcdffffa,0x3ffe66ff,0x71ffffef,0x3fa21dff,
    0xfffff73f,0x57ffcc5f,0xe802fff8,0x3ffe606f,0x3fffffff,0x37ed3fe2,
    0x7fcc7fe4,0x7edffc42,0x84fffb84,0x9ff74ffb,0x3261fff0,0x02dfffff,
    0x3fffff6a,0x0f7fdc2d,0x2203fff5,0xfff90099,0xd07fff41,0x1ffe43ff,
    0xfff0fff1,0xf73fffdc,0x17ffd45f,0xf980fff3,0x3ffe24ff,0x70fffe8e,
    0x2e067fff,0x04ffefff,0xfa80dfd0,0x4fffffff,0x7fdc7fec,0xfb5ff882,
    0xf995c41f,0x0ffffe86,0xffba7fdc,0x440fff84,0x3effffeb,0x3bffffae,
    0x09ffb00b,0x2aa29ffd,0xaaaaaaaa,0xfd89ff91,0x317fec4f,0x1ffdcdff,
    0xffe8ffe4,0x41ffd1ff,0xfff86ffa,0x0bfff300,0xfffffff1,0x4037fdc1,
    0x00effffd,0x5fff5555,0xdffa8555,0x7dcbff70,0x205ff9bf,0x5ff8bffb,
    0xfa87fd10,0xf883ffcf,0xff09ff73,0x7fe4c01f,0x33fffe7f,0x81fff801,
    0xfff75ffb,0xbfffffff,0xff90fff2,0x743ffc89,0x01ffd1ff,0x7ff17ff3,
    0x8bff17ff,0xfff85ffa,0x06ffe880,0x03ffffe2,0xf1009ff7,0x7fc03fff,
    0xffffffff,0xd07ff20f,0x54ffecff,0x3fe204ff,0xf981ffd6,0xfd7fe84f,
    0x3ee3f90f,0x00fff84f,0xf9fffae2,0xf800beff,0x6ffa80ff,0xfffffff7,
    0x3ff2bfff,0x321ffe43,0x67fdc3ff,0x3fe05ff9,0xdfd9ffae,0x7fd43ffa,
    0x440ffe85,0x2200effe,0x5c0efffe,0xff8804ff,0x3ffe02ff,0xffffffff,
    0xfb03ff20,0xfdb7fc4f,0x53ffb00f,0x3ff987ff,0xff74ffa8,0xff71fdc5,
    0x301fff09,0x49fffff9,0x2dfffffc,0x360fff60,0x999934ff,0x27999999,
    0x7fe43ffc,0x7c1ffe43,0x202ffcef,0xf77fcffd,0xfa81ffbf,0x40ffe84f,
    0x2200fffd,0x0efffffe,0x36013fee,0x900fffff,0x99fff999,0x67fd4199,
    0xfa8bff50,0x984ff8af,0x88bff3ff,0x3a3cceff,0x4dff10ff,0x22ffd418,
    0xd710fffa,0x017fffff,0xdffffd71,0x85ffc817,0x20002fff,0x7fe43ffc,
    0x641ffe43,0x5407ffff,0xff35ffff,0x9ff50dff,0x7e41ffd0,0x3fa201ff,
    0x0efffaff,0xfa807ff7,0x005ffeff,0xff980dfd,0x84fffeff,0x83ff56fd,
    0x81ff75fe,0x36fffffb,0x2ffd8bff,0x22fffe20,0xff0ffffa,0x4005dfff,
    0x47ffffda,0xfbaefff9,0x3fea06ff,0xc87ff904,0x1ffe43ff,0x027fffcc,
    0xf8bfffe2,0xffa83fff,0xf70ffe84,0x99999dff,0x4c3ffee7,0x7ff74fff,
    0x4d7ffc40,0xfe803fff,0x3fffe206,0x43ffffff,0x4bfb3ff8,0x2ff88ffa,
    0x41aa9800,0x7f401aa8,0xffeeffff,0x003bfff0,0x43ffe4c0,0xfffffff9,
    0x13fea01e,0x3f21ffe4,0x81ffe43f,0xd800fffe,0x3ff60fff,0x84ffa80f,
    0xfff90ffe,0x4bffffff,0x72fcc0fd,0x7fec07ff,0x003ffee5,0xcfd80dfd,
    0x1ffadeeb,0x88660988,0x00033109,0xfd880000,0x0ffd8dff,0x4000019d,
    0xffb307b8,0xfa8019ff,0x87ff904f,0x7fe43ffc,0x00bff703,0xff71bfea,
    0x213fea0d,0xfff90ffe,0x8bffffff,0x3ffb8100,0xe81fff70,0x1e5c06ff,
    0x005301c0,0x00000000,0x00018000,0x88000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xdddddd00,0x741ddddd,0xeeeeeeee,0x000000ee,0x0e76c400,0x4cc46662,
    0x55555441,0x1aa88221,0x42662133,0xbbbbbbb8,0xf11bbbbb,0xffffffff,
    0x00007fff,0x00000000,0x4c400000,0x01880080,0x00620044,0xfffff804,
    0x20ffffff,0xffffffff,0x7ffb0fff,0x7ffcfffa,0x2b7fb221,0xf7530dc0,
    0xb0ffec1f,0x7ffcc3ff,0x29ff55ff,0x29ff4ffa,0xfff12ff9,0xffffffff,
    0x3fffe27f,0xffffffff,0x00000003,0x00000000,0xea8bfa00,0xfffa84ff,
    0x6ffecc5f,0x5c01fb01,0x7ffc2efe,0xffffffff,0x3fffffe0,0xfb0fffff,
    0x7cfffa7f,0xffff11ff,0x3fd9bfff,0x7fcc3fa0,0x3e65fe82,0xff55ffff,
    0x7fd3fea9,0x2a25ff34,0xaaaaaaaa,0x22221aaa,0x88888888,0x00000000,
    0x00000000,0x25ffd500,0x21febef8,0x1ffbcff8,0x43ffbbfa,0x50a2f928,
    0x003ff9df,0x1ff90000,0x7ff4fff6,0x3e63fff3,0xffffffef,0xffdd71ff,
    0xe8817ec9,0xbbbbb10f,0x6cd3fea7,0x2a23553d,0x0000000a,0x00000000,
    0x00000000,0x4bfbbe00,0x42fd8998,0x265ff318,0x7dcbfa6f,0x6c7fcfde,
    0x0009f30f,0x21ff9000,0x5ff92ffc,0x06cc7ffa,0x45ffff93,0x00002bb9,
    0x00000000,0x00000000,0x00000000,0x30000000,0xdff10bf2,0x5ffffb50,
    0x35fc93f2,0x89bfffd9,0xee97e26e,0xeeeeeeee,0x3ff2000e,0x3ee3ff50,
    0x400ff90f,0x00000009,0x00000000,0x00000000,0x00000000,0x40000000,
    0x7ed442fc,0x3a6ffe64,0x7e4bf72f,0x4077fdc4,0x22fc9cfb,0xffffffff,
    0x32000fff,0x219910ff,0x0132a4c9,0x00000000,0x00000000,0x00000000,
    0x00000000,0x90000000,0x7ccaa65f,0x7fc5bee6,0xfd13ff12,0x2fd6fd43,
    0x237fff44,0xffffffff,0x2e000fff,0x000000ee,0x00000000,0x00000000,
    0x00000000,0x00000000,0x90000000,0x36fbe25f,0x3fbfe63f,0x3fff63ff,
    0xdd8fdc6f,0x00039300,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3faa2fc8,0x4eed40ce,0x16ecc2c9,0x00000208,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00002000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_bold_25_latin1_x[224]={ 0,2,1,0,0,0,0,1,1,0,0,0,1,0,
1,-1,0,1,0,0,0,0,0,0,0,0,2,1,1,0,1,1,0,0,1,1,1,1,1,1,1,1,0,1,
1,1,1,0,1,0,1,0,0,1,-1,0,0,-1,0,1,-1,0,1,-1,0,0,1,0,0,0,0,0,1,1,
-2,1,1,1,1,0,1,0,1,0,0,1,0,0,0,0,0,0,1,0,0,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,0,0,0,0,
1,0,0,-1,0,1,0,0,-1,-1,0,0,0,0,2,1,-1,1,0,0,0,1,1,1,0,1,0,0,0,0,
0,0,-1,1,1,1,1,1,-1,1,-1,-1,-1,1,0,0,0,0,0,1,0,1,1,1,1,-1,1,1,0,0,
0,0,0,0,0,0,0,0,0,0,-1,1,-1,-1,0,1,0,0,0,0,0,0,0,1,1,1,1,0,1,0,
 };
static signed short stb__arial_bold_25_latin1_y[224]={ 20,3,3,3,2,3,3,3,3,3,3,6,16,12,
16,3,3,3,3,3,3,4,3,4,3,3,8,8,6,8,6,3,3,3,3,3,3,3,3,3,3,3,3,3,
4,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,22,3,8,3,8,3,8,3,8,3,3,
3,3,3,8,8,8,8,8,8,8,4,8,8,8,8,8,8,3,3,3,9,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,20,8,4,3,6,3,
3,3,3,3,3,9,8,12,3,1,3,4,3,3,3,8,3,10,20,3,3,9,3,3,3,8,-1,-1,-1,0,
0,0,3,3,-1,-1,-1,0,-1,-1,-1,0,3,0,-1,-1,-1,0,0,6,3,-1,-1,-1,0,-1,3,3,3,3,
3,4,3,3,8,8,3,3,3,3,3,3,3,3,3,4,3,3,3,4,3,6,7,3,3,3,3,3,3,3,
 };
static unsigned short stb__arial_bold_25_latin1_w[224]={ 0,4,9,13,12,19,16,4,6,7,9,13,4,7,
4,8,12,8,12,12,12,12,12,12,12,12,4,5,12,13,12,12,22,17,15,15,15,13,12,16,14,4,11,16,
12,17,14,17,13,18,16,14,14,14,16,22,15,16,14,7,8,6,11,14,6,12,12,12,13,12,9,13,12,4,
7,12,4,18,12,13,12,13,8,12,8,12,13,18,13,13,11,9,4,8,13,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,0,4,12,13,12,13,
4,12,8,18,8,11,13,7,18,14,8,12,7,8,5,11,14,4,7,6,8,11,18,18,19,12,17,17,17,17,
17,17,23,15,13,13,13,13,6,6,8,8,17,14,17,17,17,17,17,11,17,14,14,14,14,16,13,12,12,12,
12,12,12,12,19,12,12,12,12,12,6,6,8,8,13,12,13,13,13,13,13,12,13,12,12,12,12,13,12,13,
 };
static unsigned short stb__arial_bold_25_latin1_h[224]={ 0,17,7,18,21,18,18,7,22,22,9,12,8,4,
4,18,18,17,17,18,17,17,18,16,18,18,12,16,13,8,13,17,22,17,17,18,17,17,17,18,17,17,18,17,
16,17,17,18,17,19,17,18,17,18,17,17,17,17,17,22,18,22,10,3,4,13,18,13,18,13,17,17,17,17,
22,17,17,12,12,13,17,17,12,13,17,13,12,12,12,17,12,22,22,22,6,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,0,17,21,18,12,17,
22,22,4,18,9,11,8,4,18,3,8,16,10,10,4,17,22,4,5,10,9,11,18,18,18,17,21,21,21,20,
20,20,17,22,21,21,21,20,21,21,21,20,17,20,22,22,22,21,21,12,18,22,22,22,21,21,17,18,18,18,
18,17,18,18,13,17,18,18,18,18,17,17,17,17,18,16,18,18,18,17,18,12,14,18,18,18,18,22,22,22,
 };
static unsigned short stb__arial_bold_25_latin1_s[224]={ 252,237,82,67,157,179,199,92,42,62,35,
179,250,132,140,245,47,70,222,102,57,235,163,105,60,232,249,118,27,54,14,
116,198,150,168,216,197,160,236,146,41,248,115,136,242,174,192,204,222,75,73,
87,90,176,56,1,207,39,24,101,245,127,238,159,125,210,191,223,73,177,106,
92,79,74,175,56,249,67,119,40,15,1,156,236,213,1,86,100,165,136,132,
221,231,236,97,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,
164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,252,69,66,
14,193,1,170,49,150,28,17,206,68,132,127,174,45,124,230,8,119,92,86,
145,111,1,26,218,160,141,121,184,179,79,97,237,57,10,15,70,115,129,143,
43,245,230,170,1,39,28,109,134,152,48,197,144,94,16,183,1,215,31,104,
54,179,192,219,79,1,152,190,28,81,94,232,139,129,153,118,127,40,137,165,
107,112,223,205,54,150,14,27,126,1,28,15,1, };
static unsigned short stb__arial_bold_25_latin1_t[224]={ 1,124,173,68,24,68,68,173,1,1,174,
160,160,173,173,47,87,106,87,87,106,87,87,142,87,68,142,142,160,173,160,
124,1,106,106,68,106,124,105,87,124,87,87,124,124,124,124,87,105,47,142,
87,142,87,142,142,124,142,142,1,68,1,160,173,173,142,87,142,87,142,124,
124,124,124,1,124,105,160,160,160,124,124,160,142,106,160,160,160,160,106,160,
1,1,1,173,142,142,142,142,142,142,142,142,142,142,142,142,142,142,142,142,
142,142,142,142,142,142,142,142,142,142,142,142,142,142,142,142,142,1,124,24,
87,160,106,1,1,173,87,174,160,173,173,87,173,174,142,160,174,173,106,1,
173,173,174,174,160,68,68,68,106,24,24,24,24,47,47,106,1,24,24,24,
47,1,24,24,47,106,47,1,1,1,24,24,160,47,24,1,24,24,24,106,
68,47,47,47,106,68,47,142,124,68,68,47,47,124,124,106,106,68,142,47,
68,47,124,47,160,142,68,68,47,87,1,1,1, };
static unsigned short stb__arial_bold_25_latin1_a[224]={ 99,119,170,199,199,318,259,85,
119,119,139,209,99,119,99,99,199,199,199,199,199,199,199,199,
199,199,119,119,209,209,209,219,349,259,259,259,259,239,219,278,
259,99,199,259,219,298,259,278,239,278,259,239,219,259,239,338,
239,239,219,119,99,119,209,199,119,199,219,199,219,199,119,219,
219,99,99,199,99,318,219,219,219,219,139,199,119,219,199,278,
199,199,179,139,100,139,209,269,269,269,269,269,269,269,269,269,
269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,
269,269,269,269,269,269,269,269,99,119,199,199,199,199,100,199,
119,264,133,199,209,119,264,198,143,197,119,119,119,206,199,99,
119,119,131,199,299,299,299,219,259,259,259,259,259,259,358,259,
239,239,239,239,99,99,99,99,259,259,278,278,278,278,278,209,
278,259,259,259,259,239,239,219,199,199,199,199,199,199,318,199,
199,199,199,199,99,99,99,99,219,219,219,219,219,219,219,197,
219,219,219,219,219,199,219,199, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_25_latin1_BITMAP_HEIGHT or STB_FONT_arial_bold_25_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_25_latin1(stb_fontchar font[STB_FONT_arial_bold_25_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_25_latin1_BITMAP_HEIGHT][STB_FONT_arial_bold_25_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_25_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_25_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_25_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_25_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_25_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_25_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_25_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_25_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_25_latin1_s[i] + stb__arial_bold_25_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_25_latin1_t[i] + stb__arial_bold_25_latin1_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_25_latin1_x[i];
            font[i].y0 = stb__arial_bold_25_latin1_y[i];
            font[i].x1 = stb__arial_bold_25_latin1_x[i] + stb__arial_bold_25_latin1_w[i];
            font[i].y1 = stb__arial_bold_25_latin1_y[i] + stb__arial_bold_25_latin1_h[i];
            font[i].advance_int = (stb__arial_bold_25_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_25_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_25_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_25_latin1_s[i] + stb__arial_bold_25_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_25_latin1_t[i] + stb__arial_bold_25_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_25_latin1_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_25_latin1_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_25_latin1_x[i] + stb__arial_bold_25_latin1_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_25_latin1_y[i] + stb__arial_bold_25_latin1_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_25_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_25_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_25_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_25_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_25_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_25_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_25_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_25_latin1_LINE_SPACING
#endif

