// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_27_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_27_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_27_latin1_BITMAP_WIDTH         256
#define STB_FONT_arial_bold_27_latin1_BITMAP_HEIGHT        208
#define STB_FONT_arial_bold_27_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_bold_27_latin1_FIRST_CHAR            32
#define STB_FONT_arial_bold_27_latin1_NUM_CHARS            224

#define STB_FONT_arial_bold_27_latin1_LINE_SPACING          18

static unsigned int stb__arial_bold_27_latin1_pixels[]={
    0xcc896644,0x40019902,0xc8804cca,0x3597500c,0x2620b320,0x2ea20019,
    0x440001bc,0x055933ca,0x33331664,0x776c4013,0x0c418003,0x13333310,
    0x19886620,0x02775c00,0x005eea80,0x40bbb620,0x30001998,0x13fe69ff,
    0xfd0027ec,0x0df9003f,0xbfffffd1,0xfa85ff81,0x7f5c407f,0xceffffff,
    0x3fff2001,0x01dfff75,0x3ffe6bff,0x3ff604ff,0xff3001ff,0x640fb59f,
    0xb02fffff,0x07ff21ff,0x003ffd00,0x000fff20,0xf5027fdc,0x3e6000ff,
    0x209ff34f,0xfa800ffa,0x2ff8802f,0xffffffb8,0x542ffc4f,0x3fea07ff,
    0xfeccdeff,0xf9803fff,0xfff75fff,0x26bff09f,0x504fffff,0x00dfd5ff,
    0x3ffffbf2,0x3ffff205,0x21ffb02f,0x44001ffc,0x360005fe,0xbfd0006f,
    0x007ffa80,0x09982660,0x3a013fa0,0x0ff9002f,0x7fccbffe,0x2617fe0f,
    0xdff905ee,0x4ffe9805,0x8577fe40,0xf86ffca8,0x55fff35f,0x227db103,
    0x23d802ed,0x26200bca,0xd902ffe9,0x003bae1d,0x0003b620,0x4c001ed8,
    0x7ffa804e,0xc8000000,0x200000ff,0xff984ff8,0xf86f2e1f,0xffb8005f,
    0x17fdc003,0x2205ff90,0x35ff86ff,0x06660dff,0x98013330,0x3a001aca,
    0x654c02ff,0x9530001a,0x03330035,0x26609998,0xa84ccc01,0x65c007ff,
    0x0999303c,0x665c9ff3,0xc8999303,0xdfff02ff,0x985ff801,0x17fcc4cc,
    0x554736e6,0x7ec0df92,0x21ffe02f,0x0dff35ff,0x7c03fff3,0xffd883ff,
    0x804fffff,0xfd882ffe,0x04ffffff,0xfffffd88,0xfff304ff,0x99fffc03,
    0x3fe01fff,0x26fff53f,0xff702cdc,0x413ff60f,0x1ffee7ff,0x3f627fec,
    0x3fffea07,0x2a17fe03,0x22ff47ff,0xfcfffffd,0x201fd16f,0x3fe02ffd,
    0xff35ff87,0x03fff30d,0x3ea1fffc,0xffffffff,0x3ffa01ef,0x7ffffd42,
    0x01efffff,0xfffffff5,0xf983dfff,0x3ffe01ff,0x403fff33,0xfff53fff,
    0x1bfffff7,0x442fff88,0xffd01fff,0x10bffe21,0x7ff83fff,0x3fffff60,
    0xa85ff80e,0x83fe67ff,0xffcbeffd,0x40bf24ff,0x3fe01ffd,0xf9affc0f,
    0x1fff986f,0xf88fffe0,0xecacefff,0x3fa06fff,0x3fffe22f,0xfffecace,
    0xeffff886,0x6fffecac,0xf00fffcc,0x3ffe67ff,0x54fffe01,0xffefffff,
    0x5ffd85ff,0xfb03ffd4,0x22ffec3f,0x7fc47ffa,0xfd9ffb06,0x5ff85fff,
    0x3f27ffa8,0xf717fee5,0x827dc7ff,0x3fa00fff,0xf9affc1f,0x1fff986f,
    0xfd8fffe0,0xfff903ff,0xd8bffa09,0xff903fff,0x3fffd89f,0x4c9fff90,
    0x3fe01fff,0x03fff33f,0xffa9fffc,0xfff911ef,0x6c7ffa83,0x3ff204ff,
    0xfb1ffea3,0x05ffa89f,0x7ffe4dff,0x2a13b62f,0xf8ffe7ff,0x7ffc40ff,
    0x3ea1bea1,0x2ffdc07f,0x37fcd7fe,0xf00fffcc,0x3ffe67ff,0x07ffec04,
    0xff997ff4,0x7ffec04f,0x809fff30,0xff30fffd,0x9fffc03f,0x3e01fff9,
    0x7fff53ff,0xff09ffd0,0x00fffc5f,0xfff89ff7,0xf707ffe2,0x8dff309f,
    0x800ffffa,0x4bfe7ffa,0xfff04ffb,0x3fa65fb8,0x7fc403ff,0x26bff3ff,
    0xfff986ff,0x54fffe01,0x7cc00fff,0x2ffe82ff,0x9801fff5,0xfff52fff,
    0x2fff9801,0x7c03fff3,0x3fff33ff,0xfa9fffc0,0x5ffc81ff,0xff55ffc8,
    0x45ffa80d,0xdff55ffc,0x3e07ffb0,0x7ffcc3ff,0x17ffa802,0x0fff21ff,
    0x7fb1bfe6,0x801fffcc,0xbff4fff9,0x3e61bfe6,0x3ffe01ff,0x200dff93,
    0xffe83fff,0x200dff92,0xdff93fff,0x4cfffe00,0x3fe01fff,0x03fff33f,
    0xffa9fffc,0x10dff907,0x0fff6fff,0xf889ff50,0x907ffb7f,0x3ff607ff,
    0x01ffd44f,0x7f9bffd4,0x3ee07ff6,0x987fe24f,0xd800efff,0x2bff4fff,
    0xff986ff9,0x4fffe01f,0xfd005ffd,0x25ffd0bf,0xfd005ffd,0x017ff6bf,
    0xff9afff4,0x4fffe01f,0x3e01fff9,0x1fff53ff,0x3a0bffb0,0x00fffaff,
    0x7f41ffdc,0xb80fffaf,0xfff304ff,0x47fee3df,0x7ffa8099,0x3ff61ff1,
    0x362ffe82,0x5ffea85f,0x857ffd40,0x0dff35ff,0x7c03fff3,0x0bffd3ff,
    0x3a17ffa0,0x0bffd2ff,0x7f57ffa0,0xbffd005f,0xf807ffe6,0x3fff33ff,
    0xfa9fffc0,0x4fff82ff,0xbfffff70,0x705ff900,0x20bfffff,0x3a604ff9,
    0x6ffcffff,0x3fea17fe,0x7fe4bfe7,0xc8fffd44,0xfff301ff,0x7c2ffd80,
    0x30dff35f,0x7fc03fff,0x00bffb3f,0x3fa13ffe,0x00bffb2f,0x7fed3ffe,
    0x29fff005,0x3e01fff9,0x3fff33ff,0xfa9fffc0,0x7ffcc5ff,0xfffff102,
    0x03ffb005,0x05fffff1,0x32017fe2,0x20efffff,0x7ffa85ff,0x7ffcd7fa,
    0xcffffb9c,0x7f402ffe,0x03ffa00f,0x1bfe6bff,0xf807ffe6,0x0fff93ff,
    0x3a0fffe0,0x0fff92ff,0x7e4fffe0,0x7fff007f,0xf807ffe6,0x3fff33ff,
    0xfa9fffc0,0xffcbdfff,0x7ffec06f,0x01ffd007,0xf01ffff6,0x3faa00ff,
    0x42ffc6ff,0x9fee7ffa,0xfefffffc,0x801fffff,0x3fe01ffd,0xff35ff87,
    0x03fff10d,0x7dcfffe2,0x7fd401ff,0x72ffe82f,0xfa803fff,0x3fff72ff,
    0x12fffa80,0x3e203fff,0x3fff13ff,0x54fffe20,0xffffefff,0x7fcc01ff,
    0x5ff8804f,0x013ffe60,0x22003ffb,0x3fe3fffd,0x227ffa85,0x3bf6a3ff,
    0x4179dd74,0x2ffd8099,0x3fe1ffe0,0x3e0dff35,0xfff305ff,0x01bffe25,
    0xfd01fffd,0x1bffe25f,0x221fffd0,0x7f406fff,0x17ffe0ff,0xff17ffcc,
    0x3ffe60bf,0x3f2fff52,0xf9801eff,0xffa801ff,0x07ffe601,0x5107ff30,
    0x25ffd875,0x7ffa85ff,0x80017fd4,0xfc80efe8,0x21ffe02f,0x0dff35ff,
    0xd10bfffa,0x7fe41fff,0x7ff4c0ef,0x45ffd02f,0x4c0efffc,0x7e42fffe,
    0x7f4c0eff,0x7fff42ff,0x07fff442,0xe885fffd,0xfff50fff,0x3f600098,
    0x0bfb006f,0xb006ffd8,0x1fff30bf,0xbff2ffe4,0xf90dff90,0x7dc001bf,
    0x9ff901ff,0x3e1bfe60,0x20dff35f,0xedfffffa,0xfe84ffff,0xffedefff,
    0x3ffa06ff,0x77ffff42,0x06ffffed,0xdbdffffd,0xf50dffff,0xffdbffff,
    0xfffa89ff,0xffffedff,0x001ffea4,0x0fffff32,0x320bfe20,0x003ffffc,
    0xffb01ff3,0x47fff99f,0x3fff25ff,0xdfff905f,0x9753157b,0x5c03fffd,
    0xfd54efff,0x2bff0bff,0x43eefff9,0xfffffffc,0xfd880eff,0xffffffff,
    0xfffeeb84,0x7fffec42,0x204fffff,0xffffffd8,0x3f204fff,0xffffffff,
    0xffffc80e,0x20efffff,0xe8007ffa,0x7006ffff,0x3fffa0df,0x27f4006f,
    0x7fffffcc,0xfd2ffc6f,0x74c03fff,0xffffffff,0x800cffff,0xff75ffff,
    0x2bff05ff,0x84fffff9,0xefffffe9,0xfffea803,0xff901dff,0x3aa05fff,
    0x01dfffff,0xfffffd50,0xffd3003b,0x9807dfff,0x3efffffe,0x8007ffa8,
    0x000cfffd,0x3ff605fd,0x7d4000cf,0xdffdb107,0x7f4bff07,0xb71002df,
    0x5bdffffd,0x7fec4001,0x203bff75,0xdddd35ff,0x0198807d,0x20026200,
    0x01eeeeeb,0x40000988,0x22000098,0x33100019,0x005ee980,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x001bdd50,0x03597310,0x13304cc0,
    0x1eee9800,0x98800000,0x99999999,0x013bb200,0x44003910,0x01331099,
    0x01bdd300,0x220f774c,0x80266219,0x10004408,0x20000981,0x64004eec,
    0x440004ee,0x2005ffff,0xffffffd8,0xa7fcc01e,0x6c004ff9,0xd80002ff,
    0xffff9105,0x05ffffff,0x00bfffee,0x7000dfb8,0x0ffea5ff,0x00bff600,
    0xfb8dfffd,0x205ff71f,0x4fabdffc,0xadffe880,0xf10001fb,0xe88001df,
    0x3a0000ff,0x803ffaef,0xffffffe9,0x3e603fff,0x009ff34f,0x0001ffc4,
    0xfffd04f8,0xffffffff,0xf97ff105,0xffeb801f,0x7dc00cff,0x007ff52f,
    0x6402ff98,0x2e4ff9ff,0x05ff71ff,0xffffddf1,0xffdf5005,0x64000fff,
    0xd10000ef,0x3aa0009f,0x401bd70e,0xbbdffff8,0x300ffffe,0x0fba27dd,
    0x0003eb80,0xff703f30,0xffddffff,0x4bd903df,0x3ff204ed,0x406fffff,
    0x5dd51eea,0x403eb800,0x3dd52ee9,0x77547baa,0x9710e982,0xb996e005,
    0x3760001c,0x2ec40001,0x2b2a6000,0x2fffc801,0x4c4fffa8,0x04ccc019,
    0x006b2a60,0x3f60f900,0xfd3fffff,0x3333330f,0x41333333,0xfdfbeff8,
    0x998802ff,0x33330009,0x33333333,0x20199881,0x33301998,0x004cc401,
    0x40026662,0x99801998,0x4ccccc19,0x09999999,0x7fffec40,0xff104fff,
    0x277ec09f,0x7c03fff3,0xffd883ff,0x004fffff,0x20bfdb93,0x3fffffff,
    0xfff98ffd,0xffffffff,0x26ffea4f,0x803eebbf,0x9805fffc,0xffffffff,
    0x7d44ffff,0xfff500ff,0x05fff981,0xf900fff6,0x3ee00bff,0x3fea03ff,
    0x3fffe64f,0xffffffff,0x3fffea04,0x1effffff,0x1007ffd4,0x03fff301,
    0x3ea1fffc,0xffffffff,0xffb101ef,0xe81bffff,0xd3ffffff,0xffff98ff,
    0xffffffff,0x3e6bff24,0xffff8003,0x7ffcc00f,0xffffffff,0x07ffd44f,
    0x4c0fffa8,0xfb01ffff,0xffff807f,0xfffd000f,0x83fffa01,0xfffffff9,
    0x104fffff,0x959dffff,0xfb8dfffd,0xff30007f,0x1fffc03f,0x59dffff1,
    0x20dfffd9,0xfffffffd,0x7fffe45f,0x98ffd3ff,0xccccdfff,0x3e62cccc,
    0x4003faef,0x04fffffa,0x666fffcc,0x42cccccc,0xf500fffa,0xfff981ff,
    0x07ffb06f,0x27ffffd4,0x85fff980,0x7cc2fffb,0xcccccdff,0xffb02ccc,
    0x3fff207f,0x001bff64,0xf00fffcc,0x7ffec7ff,0x89fff903,0xee8bfffa,
    0x3fe21fff,0xffd3ffff,0x001fff98,0x04fffff8,0x7ffffec0,0x0fffcc07,
    0x07ffd400,0x4c0fffa8,0xd83fffff,0x3ff603ff,0x32007fff,0x3fe21fff,
    0x1fff985f,0x9fff3000,0xd0fffd80,0x26000bff,0x3fe01fff,0x09fff33f,
    0x360fffd8,0x997f16ff,0xfffe9815,0xf98ffd3f,0xfb8001ff,0x803effff,
    0xfffafff8,0x07ffe602,0x03ffea00,0x2607ffd4,0x40ffffff,0xff103ffd,
    0x005fff5f,0xfc9bffe2,0xfff980ff,0xfff50001,0x2fff9801,0x2000dffb,
    0x3e01fff9,0x1fff53ff,0x22fff980,0x01f54ffe,0x74fff220,0x0fffcc7f,
    0xfffd8800,0x3ee00eff,0x40bffd6f,0x8001fff9,0xf500fffa,0xfff981ff,
    0x7fec5fff,0x3adff703,0x3ea005ff,0x3fff9bff,0x003fff30,0x401bff20,
    0xfff73fff,0xff980880,0x4fffe01f,0xff006ffc,0xd9fffc7f,0x9ffd4006,
    0x7ffcc7fe,0xcccccccd,0x7fffd404,0x4fffa04f,0xf300fffa,0x99999bff,
    0xfff50999,0x03ffea01,0xfff7fff3,0xe81ffec5,0x1fff53ff,0x77ffec00,
    0x3fe606ff,0xccccccdf,0x0bffb04c,0x7d57ffa0,0x3bf201ff,0x807ffe63,
    0xbffb3fff,0xe97ffa00,0x8009f3ff,0x8ffd3ffa,0xfffffff9,0x4c07ffff,
    0x306ffcbf,0x3fe21fff,0xffff304f,0xffffffff,0x201fff50,0x7cc0fffa,
    0x6cdffd7f,0xfff983ff,0x009fff10,0x7fffffc4,0x3fffe601,0x7fffffff,
    0x200bffd0,0xfff15ffe,0x9bffe20b,0x3e01fff9,0x0bffd3ff,0xfc97ffa0,
    0x7971f9cf,0xe9ffd403,0x7fffcc7f,0x7fffffff,0x7ecfe610,0x46ffc81f,
    0xff307ffd,0xffffffff,0x1fff50ff,0x303ffea0,0x3ffe6fff,0xf907ffb4,
    0x07ffd8df,0x27fffdc0,0x3ffffe60,0x07ffffff,0x3e00bffb,0x3ffee4ff,
    0x1fffecc4,0x7c03fff3,0x0bffb3ff,0xfa93ffe0,0xfff17dff,0xe9ffd407,
    0x5fffcc7f,0x2aaaaaaa,0x9fccfff4,0x7fc41ffc,0x17ffd43f,0x555fffcc,
    0xa82aaaaa,0xff500fff,0x27ff981f,0xffd8fffc,0x21fffc43,0x4002fffa,
    0xf9807ffe,0xaaaaabff,0xfff902aa,0xd0fffe00,0xffdbffff,0xfff98dff,
    0x64fffe01,0xfff007ff,0x77fffc47,0x200fffeb,0x8ffd3ffa,0x4001fff9,
    0xf3f9dffc,0xfffa81ff,0xfffeeeee,0x01fff985,0x00fffa80,0xf981fff5,
    0x37ffe27f,0x7fd43ffd,0xffeeeeef,0x7fec005f,0x1fff9805,0x3fff7000,
    0x42fffa80,0xffffffd8,0x7fc40eff,0x7fff101f,0x5007ffee,0xfe885fff,
    0x02ffffff,0x7fe9ffd4,0x000fffcc,0x37fbffe2,0xffe84fff,0xffffffff,
    0x7ffcc0ff,0xfffa8001,0x81fff500,0x7fd47ff9,0x7f43ffff,0xffffffff,
    0x36000fff,0xff9805ff,0xff10001f,0xfffe80df,0xffffd700,0x2fffc07f,
    0xf12fff98,0xffe80dff,0xfffe880f,0xffa802ef,0xff98ffd3,0xffc8001f,
    0x40efffff,0xfffffff9,0x44ffffff,0x8001fff9,0xf500fffa,0x7ff981ff,
    0x3fffffd8,0x3fffffe6,0x4fffffff,0x017ff600,0x0007ffe6,0x40efffc8,
    0x402fffe9,0xe803efc8,0x7f442fff,0x3fff20ff,0x7fff4c0e,0x02677a02,
    0xfd3ffa80,0x01fff98f,0xdfffb300,0x01fff207,0xff98fffb,0xffa8001f,
    0x1fff500f,0xf887ff98,0x3f23ffff,0x3ffec07f,0x00bffb00,0x0003fff3,
    0xdeffffe8,0x806ffffe,0x403febb8,0xedfffffa,0xfe84ffff,0xffedefff,
    0x0fe206ff,0xe9ffd400,0x7fffcc7f,0xffffffff,0xf00fe606,0xffa809ff,
    0x3fffe62f,0xffffffff,0x807ffd46,0x7cc0fffa,0xffff907f,0x2027ffc7,
    0xb002fffa,0xff300bff,0xffffffff,0x7ec40dff,0xffffffff,0x05fb8004,
    0xffffffc8,0xd880efff,0xffffffff,0x007d404f,0xfd3ffa80,0xfffff98f,
    0x6fffffff,0xfa80fe60,0xfff801ff,0x3ffffe65,0x6fffffff,0xa807ffd4,
    0x7fcc0fff,0x4ffffa07,0xf801fffa,0xffb005ff,0xffff300b,0xffffffff,
    0xfffd500d,0x2a003bff,0x002ffdcc,0xdfffffd3,0xfffd5007,0xdb003bff,
    0x9ffd4000,0x7ffcc7fe,0xffffffff,0x806a206f,0xf9006ffd,0x3ffe61ff,
    0xffffffff,0x07ffd46f,0x4c0fffa8,0x3fea07ff,0x00dffb3f,0x2003fff2,
    0xf9805ffd,0xffffffff,0x44006fff,0xfea80009,0x310001bd,0x04c40003,
    0x8000ae00,0x0bd92ee9,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0x0001eee8,0x8002eed8,0x2000deea,
    0x26204eec,0x74c06621,0x2c9800de,0x88000000,0x0009aca9,0x5cc00000,
    0x65c000ab,0x1e65403c,0x0ccc9800,0x001ccc80,0xb8008811,0xfffd002c,
    0x7dc0001d,0x3f20004f,0x3fa2003f,0x6cffd01f,0x2ffd80ff,0x02fcfa80,
    0x003df900,0xffffffb1,0x7310009f,0x0f441559,0x7fffffdc,0x1dff1002,
    0x01ffe880,0x802ffe80,0x400ffffb,0x4f9bdffc,0xc803ff80,0x005ff9ff,
    0x00017fa0,0xd1001bf6,0xd9ffa09f,0x1ffc40ff,0x00b74c80,0x80b93f30,
    0xfffffffa,0x8801efff,0xfffffffd,0x7d46fe9c,0x06ffffff,0x2001ff90,
    0x4c005fe8,0xff9803ff,0x3e205feb,0x02ffffef,0x2200ffcc,0x03dd32ee,
    0x000bd300,0x2000f640,0x6ec80dd8,0x7d703bb2,0x1f5f5400,0x06ab5400,
    0x33bfffe2,0x0ffffeca,0x3ffffea0,0xffffffff,0x4c67ffc0,0x7c402fff,
    0x7fc4001f,0x013f6001,0x2ee9a76c,0x36e23d30,0x007fb802,0x00026662,
    0x00099988,0x00266620,0x4cc19988,0x99999999,0x03331099,0x017fff20,
    0xb01ff7c0,0x3f207fff,0xfff104ff,0xfffb79df,0xfff885ff,0x000fffa0,
    0x00000000,0x00000000,0xf9002fec,0x64000bff,0x20005fff,0x2005fffc,
    0xff30fffa,0xffffffff,0x3ffea9ff,0xfffff800,0x40150000,0x6c04fff9,
    0xffd80fff,0xfffe883f,0xf13ffcc4,0x4cc981ff,0x7104cc88,0x880579db,
    0x402bcedb,0x02bcedb8,0x15e76dc4,0xf001ffc0,0x0001ffff,0x003ffffe,
    0x07ffffc0,0x30fffa80,0xffffffff,0x3ea9ffff,0x7fd400ff,0x22004fff,
    0xb82bcedb,0x7cc00fff,0x7ffcc2ff,0xfffff704,0xf93ffd41,0x0fff50bf,
    0xff50fff3,0x01bfffff,0xfffffff5,0xffff501b,0xf501bfff,0x1bffffff,
    0x4007fe60,0x04fffffa,0xfffffa80,0xfffa8004,0xff5004ff,0x37ffe61f,
    0xcccccccc,0x801fff52,0x07fffffd,0xffffff50,0x37fe41bf,0x5c3fff80,
    0xffa80fff,0x3ea2fffd,0x207ffe7f,0xff987ffa,0x77fff447,0x7444ffff,
    0xffffefff,0x77fff444,0x7444ffff,0xffffefff,0x400ff704,0x07fffffd,
    0xfffffd80,0xfffd8007,0xff5007ff,0x07ffe61f,0x00fffa80,0x3febffe2,
    0x7ff4402f,0x24ffffef,0xfd005ffe,0x86ffd8bf,0xfff8cffa,0x7cdffea4,
    0x7ffa81ff,0x7dc7ff98,0x237fec5f,0x7fec5ffb,0x362ffdc6,0x2ffdc6ff,
    0x7ec1bff6,0x5fff1005,0x44005fff,0x2fffafff,0x2bffe200,0xfa802fff,
    0x3fff30ff,0x07ffd400,0x3fadff70,0x2ffdc05f,0xffe9bff6,0x8bffd005,
    0x7fcc5ffe,0xfa97ffe5,0x1dfff17f,0xf987ffa8,0xfb81107f,0xfb81106f,
    0xfb81106f,0xfb81106f,0x009ff06f,0x7ff5bfee,0x5bfee005,0x2e005ffe,
    0x0bffd6ff,0x261fff50,0x2a001fff,0x3fa00fff,0x01fff53f,0x6ffb8110,
    0x7c017ff6,0x2fff44ff,0xffe8dff1,0xfb9ffea5,0x3fea0eff,0x207ff987,
    0x6fffeca8,0x3ffb2a20,0x3b2a206f,0x2a206fff,0x886fffec,0xffd002ff,
    0x003ffea7,0xffa9fff4,0x7ffd000f,0x5003ffea,0x3fe61fff,0xccccccdf,
    0x03ffea4c,0xf887ffcc,0x951004ff,0x7e4dfffd,0x7fff006f,0xfd16ffe8,
    0x24fff81d,0x7fe47ffa,0x21ffea5f,0xfea87ff9,0x86ffffff,0xffffffea,
    0xfffea86f,0xea86ffff,0x6fffffff,0x9800ffa8,0xfff10fff,0x1fff3009,
    0x2013ffe2,0xff10fff9,0xfffa809f,0xffffff30,0x54ffffff,0xff900fff,
    0x407ffd8d,0xffffffea,0x07ffee6f,0x17ffd459,0x3fa3fff2,0x23fff80f,
    0xffc87ffa,0x30fff52f,0xfffa8fff,0x46ffa9be,0xa9befffa,0x7ffd46ff,
    0x46ffa9be,0xa9befffa,0x06fc86ff,0xfd8dff90,0x6ffc807f,0x6403ffec,
    0x3ffec6ff,0x4c3ffea0,0xffffffff,0x3fea7fff,0x3fff880f,0xa817ffd4,
    0xfa9befff,0x97ffe26f,0xffeaeff8,0x77ffdc0f,0xfffa81ff,0x6c1ffea2,
    0x0fff35ff,0xffe8fff5,0x3a37fd44,0x37fd44ff,0xff513ffa,0x544ffe8d,
    0x04fe86ff,0x543fff88,0x3e202fff,0x7ffd43ff,0x0fffe202,0x5405fff5,
    0xfff30fff,0x55555557,0x407ffd45,0xeeeefffa,0xfd05fffe,0x46ffa89f,
    0xb88dfffc,0x83ffffff,0x01fffff8,0x7d41fffd,0x5ffb847f,0xfd83fff1,
    0x217ffc7f,0x7ffc6ffc,0x3e37fe42,0x37fe42ff,0xff90bffe,0x802ff88d,
    0xeeeefffa,0x2a05fffe,0xeeeeefff,0x3ea05fff,0xfeeeeeff,0x3fea05ff,
    0x03fff30f,0x407ffd40,0xfffffffe,0xf80fffff,0x37fe42ff,0x66fffff4,
    0x206ffffe,0x441efffc,0x7d42fffd,0xfd7dd37f,0x577ffc5f,0x6c7fffda,
    0xffc99eff,0x4f7fec7f,0x6c7fffc9,0xffc99eff,0x4f7fec7f,0x547fffc9,
    0xffe800ff,0xffffffff,0xfffd00ff,0xffffffff,0x3fffa01f,0xffffffff,
    0x1fff500f,0x8007ffe6,0x7cc0fffa,0xffffffff,0xfd84ffff,0xfffc99ef,
    0xffffd887,0xdfffffff,0xfffffb81,0x6ffffdce,0xff97ffa8,0xffc8ffff,
    0x7ffbffff,0x7fffffd4,0x3ea0fffe,0xffefffff,0x3fffea0f,0x20fffeff,
    0xeffffffa,0x1bf20fff,0x3ffffe60,0xffffffff,0xfffff984,0xffffffff,
    0xfffff984,0xffffffff,0x21fff504,0x2001fff9,0x7e40fffa,0x3ffec07f,
    0x7fffffd4,0xd500fffe,0xfbbdffff,0x7fd43fff,0xffffffff,0xfff504ff,
    0x40e7ffe4,0xff2efffc,0x9fffb50f,0xfb50fffa,0x0fffa9ff,0x3a9fffb5,
    0x7fed43ff,0x747ffd4f,0x7ffc804f,0x643ffec0,0x7fec07ff,0x407ffc87,
    0xff507ffd,0x07ffe61f,0x40fffa80,0x7d404fff,0xffda82ff,0x007ffd4f,
    0x6ffa8131,0x7f557fe2,0x001dffff,0x00440060,0x44000c40,0x00188001,
    0x13300188,0x809fff00,0x7fc2fffa,0x7ffd404f,0x2027ffc2,0xfa82fffa,
    0xffff30ff,0xffffffff,0xa83ffead,0xff801fff,0x0006205f,0x4c1b8800,
    0x00013305,0x00000000,0x00000000,0x50000000,0xff003fff,0x0fffd4bf,
    0xf52fffc0,0xfff003ff,0x21fff50b,0xfffffff9,0xf56fffff,0x37fec1ff,
    0x00fffc80,0x00000000,0x00000000,0x00000000,0x00000000,0xdffb0000,
    0x43fff200,0xf9006ffd,0x1bff61ff,0x207ffe40,0xff30fffa,0xffffffff,
    0x3ffeadff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x25991000,0x33202cc8,0x332e002c,0x00571003,
    0x32200399,0x993001cc,0x1cc98019,0xca805991,0x54073264,0x019950cc,
    0x80098110,0x1000ccc8,0x50004133,0x15440999,0x2200ca80,0x404b803c,
    0x04b803c8,0x7fc53fe6,0x01bfe605,0x400ffe88,0x503ffffc,0x7fe400ff,
    0xfffd006f,0x33ffa80b,0x7fd809ff,0x7e407fee,0x403ff90f,0xfbacffd8,
    0x5fffe802,0x97ffd300,0x3ffa001f,0x5ffff701,0xb1037c40,0x04f980df,
    0xf301bf62,0x8a7fcc09,0x7fd405ff,0x13fe2002,0xffcbffb8,0x5003fe81,
    0x809ff7ff,0x02ffbffc,0x7fccffea,0xf92ff404,0xc87fe40f,0x3bea01ff,
    0x400fffff,0x03ffbffc,0x03dffd10,0x440bfea0,0x206fbaff,0xfff701fc,
    0x700fe80d,0xfe80dfff,0x3304cc00,0x00df7001,0xfb00ff98,0xf50ffe6d,
    0xa9f6c00f,0x5dd301ee,0x998817ae,0xf8802660,0x881bfa3f,0x70066219,
    0x200e64cb,0x1bd72ee8,0xffefd980,0x807fd001,0x106fb898,0x7ef740bf,
    0xe80fea06,0x3ea06fde,0x00000003,0x2ff40000,0x03fe89ff,0x00000000,
    0x2ff98000,0x00009ff1,0x00000000,0xdff119d0,0x3fa00000,0x401fb01f,
    0x37c0df51,0xf037d460,0x3b6e200d,0x4cc982bc,0x2a04cc88,0xfe80bcec,
    0x7fb93fe5,0xbceca800,0x884cc980,0x3b2a04cc,0xfffd80bc,0xffffffff,
    0x9d95100f,0xd9510017,0x95100179,0x5100179d,0x809ff557,0x400bceca,
    0x7cc0ffcb,0x20df5004,0xdf5002fb,0x2a00bee0,0xdfffffff,0x261ffea0,
    0xffe887ff,0x7ec1efff,0x7f47ff36,0x3ffa2003,0x7d41efff,0x87ff987f,
    0xefffffe8,0x7ffffec1,0x0fffffff,0xffffffa8,0x3ffea02f,0x2a02ffff,
    0x2fffffff,0x3ffffea0,0xfe882fff,0x441effff,0xfd0ffa19,0x21bea001,
    0x3ea005f8,0x8805f886,0xfffefffe,0x21ffea4f,0xffe87ff9,0x20ffffef,
    0x0ffdcffa,0xfe800ff7,0x0ffffeff,0x3e61ffea,0xefffe87f,0x32e0ffff,
    0xfecceffc,0x7fd40ccf,0x2fffffff,0xffffffa8,0xffa82fff,0x2fffffff,
    0xffffffb8,0xffe86fff,0x20ffffef,0x0ffa9ff8,0xfa800fea,0x2001fc86,
    0x01fc86fa,0x7ec5ffb8,0x21ffea6f,0x7fdc7ff9,0x89ffb11f,0x3a2efffc,
    0x3fee003f,0x49ffb11f,0xff987ffa,0x88fffdc7,0xff884ffd,0x7cc1bfa3,
    0xffd52dff,0x6fffcc1f,0x41fffd52,0xd52dfff9,0x7fc41fff,0xfffc9bff,
    0x47ffee0f,0x7e44ffd8,0x03744fff,0x9f31bea0,0x4c6fa800,0x2044004f,
    0x3fea6ffb,0x747ff987,0x7ffcc4ff,0x3fdc1a80,0x7ff402a2,0xa87ffcc4,
    0x7ff987ff,0x3e627ff4,0x97fd40ff,0xff704ff8,0x3fff981f,0xf303ffee,
    0x7ffdc7ff,0x91fffcc0,0xffa81fff,0x313ffa2f,0xaa881fff,0x54417dc0,
    0x7ec2a881,0x551014c0,0x1a880fd8,0xfffd9510,0x4c3ffd4d,0x67ffc7ff,
    0x1fffaaaa,0x3227fd00,0x7fc0cfff,0xffaaaacf,0x30fff51f,0xcfff8fff,
    0x1fffaaaa,0xff987fdc,0x20bffb02,0x3ff65ffe,0x6cbffd05,0xbffd05ff,
    0xff837fec,0x2b3ffe4f,0x01fffaaa,0xfd10bf10,0xa8fea009,0x5004fffe,
    0x89fd107f,0xffffffea,0x21ffea6f,0x3fe27ff9,0xffffffff,0x27fb802f,
    0x25ffbffd,0xfffffff8,0xff52ffff,0x44fff30f,0xffffffff,0xfffb2fff,
    0xffffffff,0x81fffc1f,0x3ffe6ffc,0x7cdff903,0xdff903ff,0xfd81fffc,
    0xfffff16f,0x05ffffff,0x3f607f20,0xf8dd004f,0x801ffabf,0x49ffb06e,
    0xa9befffa,0x1ffea6ff,0xff89ffe6,0xccccccdf,0x13fe801c,0x43fee9ff,
    0xcccdfff8,0xff51cccc,0x44fff30f,0xccccdfff,0xfffb1ccc,0xffffffff,
    0x827ff41f,0x3ffa5ffd,0x74bffb04,0xbffb04ff,0xfd827ff4,0x9bfff15f,
    0x03999999,0xdf909f30,0x45f7009f,0x00ffa4b8,0xfdf905f7,0x2a27ff49,
    0x1ffe66ff,0xfff1ffea,0x7fb80007,0x7fd4bfe6,0x400fffe1,0xffa87ff9,
    0x801fffc7,0xfccdffdb,0x320cccef,0x9fff06ff,0xff837fe4,0x41bff24f,
    0x3ff64fff,0x23fff887,0x80003fff,0x5e7d40fd,0x037c404f,0xf8803fee,
    0x4fbcfa86,0xff90bffe,0x20fffc4d,0x7fec7ffd,0x4026f4c5,0x4bfe63ff,
    0x3ff61ffa,0xf126f4c5,0x7ffd83ff,0x3a62ffec,0xf17fd44d,0x7ffd409f,
    0x50fffdc2,0xffb85fff,0x0bffea1f,0x7dc3fff7,0x7ffdc2ff,0xd317ff61,
    0x87f5009b,0x809f76f9,0x3ff201fc,0x260fe402,0x7ec9f76f,0xfffc99ef,
    0x5577ffc7,0x7cc7fffd,0xffeaadff,0x223fdc04,0x41ff73ff,0xeaadfff9,
    0x77ffc4ff,0x47fffdaa,0xeaadfff9,0x87fdc4ff,0x3a202ff9,0xffebefff,
    0x7fff444f,0x44fffebe,0xebefffe8,0xffe84fff,0x4fffebef,0x556fffcc,
    0x7e804ffe,0xffffffd8,0x6c0bf106,0x2fc401ff,0x7fffffec,0xffffff56,
    0x7e41fffd,0xffbfffff,0xfffffb87,0x3ff806ff,0x6feaefe8,0xffffffb8,
    0xffffc86f,0xb87ffbff,0x6fffffff,0x3fee7fd8,0x7fff4401,0x880dffff,
    0xfffffffe,0xfffe880d,0x980dffff,0xfffffffe,0xffffb80e,0xfb806fff,
    0xfeeeec82,0x201fb05f,0x01aabffd,0xddd901fb,0x7ed4bffd,0x87ffd4ff,
    0xff2efffc,0x3fffaa0f,0x3fdc00be,0x1efffe98,0x7dfffd50,0x3bfff201,
    0x3aa0fff2,0xf80befff,0x401ff25f,0x3efffec8,0x7fff6440,0x7f64403e,
    0xfc803eff,0x5403ffff,0x00befffe,0xfb8037c4,0x2609f304,0x83ffffff,
    0x9f7004f9,0x22000620,0x00260000,0x64c02cb8,0x80026002,0x02600008,
    0x04c41330,0x0004c400,0x440004c4,0x09880009,0x20009800,0x351001c9,
    0x54c032e0,0xb81aaaaa,0x0351000c,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0x000abba8,
    0x6654332a,0x01666401,0x00799700,0x51000351,0x88003577,0x6401acb9,
    0x06a2001c,0x35775300,0x4c0f32e0,0x000004cc,0x8000ddcc,0xca980029,
    0x9a98001a,0x13330000,0xffffffa8,0x23ff9002,0x7cc02ffb,0xff10007f,
    0x7ff4c01f,0xffc802ff,0x02efffff,0x7ffffec4,0x09fb01ef,0x7fffff70,
    0xfffff980,0x7fdc1eff,0xf09ffb07,0xffffffff,0xffffda80,0xfc802dff,
    0x2201cfff,0xfffffffd,0xffffb804,0x7fc000cf,0x77fffc3f,0xff9007ff,
    0x200bfee3,0xc8002ffa,0x3fe601ff,0x303fffff,0xfffffffd,0x3a607fff,
    0xffffffff,0x406fb83f,0xfffffffc,0xfffff503,0x443fffff,0x7fc42fff,
    0x7fffc41f,0x2e07ffff,0xdb99bdff,0xffb102ff,0x2a0fffff,0xffffffff,
    0xff901eff,0x00dfffff,0x3ee3fff8,0x00ffee5f,0x09988662,0x800df500,
    0x7ec01ff8,0x0fffdbef,0x677fff44,0x1ffffeca,0x5effffc4,0x40ffffeb,
    0xff300ff9,0x0fffb7bf,0x2eb3bffe,0x7ec6fffd,0x43ffd45f,0xfffffff9,
    0x01df707f,0x7e417f44,0x3ffebdff,0x677fffc4,0x86fffeca,0xfcadfff9,
    0x3fe003ff,0x997ff23f,0x000005ff,0x20000000,0x3fa0fff9,0x27ffe43f,
    0x645fffb8,0xffa82fff,0x902ff84f,0x2fff8bff,0x6c07ffcc,0x3fea0fff,
    0x5c27fec7,0x3ee004ff,0x0aaaaa8e,0xff88bfa2,0x83ffe62f,0xf903fffd,
    0x6ffb89ff,0xf0027fe4,0x7ffdc7ff,0x4c07ffd1,0x4cc884cc,0x2f3b2a20,
    0xceca8800,0x45ffc80b,0x7ffc6ffb,0x1277ec05,0x7ec09fff,0x104fe84e,
    0x3ffe8395,0x4c07ffd4,0x7ffc1cee,0x3207ffe2,0xdf1002ff,0xffffff11,
    0xff73744b,0xff98130d,0x7ffec04f,0xf513fee0,0x7ffc009f,0x7f77ff43,
    0x3fea00ef,0x507ff987,0x5fffffff,0x7ffffd40,0x27fe42ff,0xff89ffea,
    0xff50001f,0x9004401f,0xff9800df,0x77ffcc0f,0x3ff2000a,0x3a0dff55,
    0x00abaaff,0x27be27f5,0x3f22fe99,0x00cbff90,0x9801fff5,0x3fe62fff,
    0x0017fec7,0xff987fff,0x5400dfff,0x7ff987ff,0xffffffa8,0xffa82fff,
    0x2fffffff,0xff30fff6,0x003ffd4f,0x000fff70,0x9800ffa8,0xfd03fffd,
    0x017dffff,0xffb7ff88,0x3ffffe07,0x1fc83fff,0x23fb8bf1,0x99ffb3f9,
    0xfc81bfff,0x7fff006f,0xfecfffc8,0x7ffc005f,0x37fffe43,0x987ffa80,
    0x7ffcc7ff,0x1fffd52d,0xa96fffcc,0xffd0fffe,0x90fff987,0x26660dff,
    0xffb09999,0xff88000d,0x3fffc802,0x3ffffa20,0x3a02efff,0x80fffaff,
    0xfffffff9,0xf13f43ff,0x81fd533d,0xfffffd5f,0x7ec3ffff,0xbffd005f,
    0xbfffff70,0x27fff000,0xffffffe8,0x3fea0113,0x5c7ff987,0x7fcc0fff,
    0x03ffee3f,0x3fe7fff3,0x8fffcc3f,0xff886ffd,0xfd2fffff,0xfd0000bf,
    0xffffb009,0xffffb807,0xf703ffff,0x2a0bffff,0xfea9cfff,0xf897e0ff,
    0xe82effff,0x77dffff6,0x7ff4bffd,0x8bffd005,0xffffffe9,0x9fffc003,
    0xffeaffff,0x543ffb9f,0x7ff987ff,0xfe82ffec,0x417ff65f,0x7ffd5ffe,
    0xf90fff98,0xffff10df,0x3ff65fff,0x6fc80006,0x9ffd5080,0xfffd7300,
    0xfff103ff,0x04c405ff,0x7e8bffe6,0x17f6bbe2,0x7fff53e2,0x6c7ffe61,
    0xfff005ff,0x4e7ffcc9,0x2004ffeb,0xfffabfff,0xfddfff10,0x87ffa87f,
    0x7ffc7ff9,0x7cdff903,0xdff903ff,0xff30fffa,0x443ffd4f,0x2fffdccc,
    0x0880fff7,0x0007fd40,0x8800fff5,0xfb04fffc,0x7c000fff,0x447ee4ff,
    0xf513f65f,0x3e1fff65,0x0fff92ff,0xfc8fffe0,0x03ffd44f,0xff97fff0,
    0xfffffa8b,0x43ffd40f,0x7ff47ff9,0x74bffb04,0xbffb04ff,0xff513ff6,
    0x01fffc4f,0x7d4bffe2,0x3bf201ff,0x003ff103,0xdb0fffc4,0x37fec07d,
    0x004fff98,0xf993ff60,0x7fc4bf13,0x7fe43f21,0xf73ffd86,0xffa803ff,
    0x20bffa2f,0x79731fff,0xffd5fff0,0x9ffff709,0xf50fff30,0x06ffc8ff,
    0x7fe49fff,0x329fff06,0x37fdc5ff,0x9803fffa,0xfff12fff,0x1bffe20b,
    0x77643fe8,0xd0fffcc2,0x7ff40fff,0x03fff305,0x7fc1ee54,0x7c4ffc1f,
    0x6f9afe45,0xff03ffee,0x1bffe25f,0x7c1fffd0,0x7ffc43ff,0xf88fff71,
    0x87ffb9ff,0x40effffa,0x7ec1fff8,0x17ffd47f,0xfa87ffee,0x7ffdc2ff,
    0x743fff31,0x7ffcc3ff,0xffffb81e,0x313ffee2,0x6407fffb,0x22ffec5f,
    0x3ee0fffc,0x3ee20cff,0xdffb03ff,0x547ffc80,0x9ffa87ff,0xff999809,
    0x98fffe21,0x3ff21fff,0x7ff4c0ef,0x237fec2f,0xff50fffb,0x47ffdc7f,
    0xdbcffff8,0x3fffffff,0x6d577ffc,0x7f447fff,0xfffebeff,0x77fff444,
    0x744fffeb,0x7ffdbeff,0xbfffff50,0x3ffffffd,0xedffffe8,0x5406ffff,
    0x77ffd47f,0x444fffec,0xfdeffffe,0x3320ffff,0x4c03ffff,0xffdbefff,
    0x03ff504f,0x7e40ffd4,0x5fffceff,0xdeffffe8,0xa86ffffe,0xffdbefff,
    0x3fffe25f,0x2e5ffffe,0xffffffff,0x644fffde,0xfbffffff,0xfffe887f,
    0x880dffff,0xfffffffe,0x7fffcc0d,0x3ea03fff,0xffffffff,0xffd880df,
    0x0effffff,0x320ffc40,0x6fffffff,0xffffff30,0xfe83ffff,0xf7006fff,
    0x1bffffff,0x5efffd40,0x101fffdb,0xfffffffd,0xffffb101,0x409fffff,
    0xfffffffc,0x7fffd40e,0x74c0efff,0x2a3fffff,0xdfff905f,0x6441ffe5,
    0x403efffe,0x3efffec8,0x3ffffa20,0xffdb9802,0xb801ceff,0x03fffffe,
    0x3ea0ffe0,0x4403ffff,0xdefffffc,0x0cfffd80,0x3fffaa00,0xfb73004f,
    0x0017bfff,0x01bffff9,0xfffffea8,0xffea801d,0xfd500cff,0x98019dff,
    0x88011009,0x02620000,0x00026200,0x0c400013,0x00266000,0x98802620,
    0x01988000,0x26200000,0x00d40000,0x20003100,0x31000098,0x004c4003,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0006ee60,0x9700054c,0x0332e37b,0x4c433300,
    0x0ccc0009,0x98026660,0x99800abb,0x80199999,0x33100998,0x2f76e603,
    0x20599900,0x26002ccc,0x99999999,0x00999999,0x0004ccc4,0x300d554c,
    0x99500033,0x3ff6a007,0x802dffff,0x01effffb,0x3fffffa2,0x2001ffea,
    0xff51fff8,0x7ffcc00d,0x20fffe01,0x3ffffffa,0x3ffffe60,0x901effff,
    0xffb01fff,0xffffc88d,0x6ff986ff,0x2005ffa8,0xfffffffa,0xffffffff,
    0x2fffe404,0xffffd300,0xfff983df,0x2ffe4001,0x4deffdc0,0x202ffeb9,
    0xfffffffd,0xdffffd02,0x003fffff,0xfa8fffc4,0x3fe6006f,0x0fffe01f,
    0xfffffff7,0x3ffe607f,0xffffffff,0x43fff885,0x7ec2fff8,0x4fffefff,
    0x7f42ffa8,0x3ff6000e,0xffffffff,0x404fffff,0x800fffff,0xfffffffa,
    0x3ffe62ff,0x2ffe4001,0x8803bee0,0xfffb82fe,0x40ffffcd,0xf50bfffa,
    0x44003fff,0xdff51fff,0x0fffcc00,0xff87fff0,0x7ffd99df,0x99bfff30,
    0x09ffffd9,0xffc8fff9,0x85fffcc6,0xfa81fffa,0x8003be66,0xffcbfff9,
    0xcccccccf,0x3ffea02c,0x7fc404ff,0xffda8aef,0x03fff30f,0x204eeb80,
    0x2ee60efb,0xfd0bfa21,0x1fffc47f,0x3f21fff6,0x3e2001ff,0x0dff51ff,
    0x00fffcc0,0x7fcc7fff,0x40fffcc7,0xe981fff9,0x7fc40fff,0x85fff12f,
    0xacc87ffc,0x6c000000,0x1fff55ff,0x7ffec000,0x7fdc07ff,0x33fff80f,
    0xffffffff,0x220001bf,0x3fff60ef,0xff1be25f,0x46ffd83f,0xffa84ffe,
    0x37b9701f,0x3ea3fff1,0x059d936f,0x7c03fff3,0x17fea3ff,0x7fcc026a,
    0x9fff101f,0x3f2dff90,0x04ffe86f,0x91266440,0x3fe20099,0x01fff52f,
    0x2bffe200,0x36a02fff,0x29ff903e,0xfffffff9,0x7e82ffff,0xdfd8fea0,
    0x3f23fd99,0xb81fff30,0x1fffc7ff,0x220fffc4,0xfbfffffe,0x7dff51ff,
    0x41bfffff,0x3e01fff9,0x1bfe63ff,0x07ffe600,0xf886ffd8,0x83fffaff,
    0x4c003fff,0x1ffe67ff,0xf537fe40,0x2e0001ff,0x0bffd6ff,0x32fff800,
    0xffdddfff,0xff81ffff,0x3e21f900,0xfa8b220f,0xc83fff13,0x3ffa0fff,
    0x41fffa84,0xffeffffe,0xfff51fff,0xbffffdff,0xf00fffcc,0x7ffc47ff,
    0x7ffcc000,0x41fff201,0x06fffffc,0x98007ffd,0x1ffe67ff,0xa8fffe20,
    0xcccccfff,0x3ffa04cc,0x001fff53,0x21fffd10,0xfb81fff9,0x07fe23ff,
    0x00df3374,0x43ffe97e,0x3f61fffe,0x1fffc86f,0x542fffea,0xff51ffff,
    0x3ff223df,0x03fff31f,0xffe9fffc,0x407fffff,0xeeefffee,0xa87ffdc5,
    0xfffffeee,0x3ff64eef,0x4c1bcb84,0x1ffe67ff,0xf51fff20,0xffffffff,
    0x3ffe60ff,0x009fff10,0x21fffe88,0xfd01fff9,0x817fc4bf,0x4013ee5f,
    0x33ffea6e,0x21ffffea,0x3ea3fffb,0x3ff61fff,0x51fffb87,0xfff07fff,
    0x807ffe67,0xfffd3fff,0xf80fffff,0x7fffffff,0xfa8fffd4,0xffffffff,
    0x3ffee5ff,0x30fffe21,0x3ffccfff,0x50fffe20,0xffffffff,0x3ff20fff,
    0x003ffec6,0x983fffd1,0xffb01fff,0xe81ffccf,0x1021bea7,0xffffd89f,
    0x221fffff,0xffefffff,0x3ffa1fff,0x51fff984,0xffb01fff,0x807ffe69,
    0xfb973fff,0xa80999ff,0x2aabfffb,0xea87ffd4,0xeefffeee,0x3ffe24ee,
    0x0fffebdf,0xff33ffcc,0x0fffb80f,0x555fffd4,0xf882aaaa,0x7ffd43ff,
    0x3fff9002,0x203fff30,0x3fea5fff,0x3e23f704,0xfa97e60f,0x9dffeb82,
    0x7fcc0fff,0xfffbffff,0x220fffe1,0xfff51fff,0x7cd7ff20,0x3ffe01ff,
    0x0037fd43,0xb807ffe6,0x7ffc07ff,0x7fffd401,0xf982ffff,0x01ffe67f,
    0xfffffffd,0x8001ffff,0xeeeefffa,0xd005fffe,0x3fe603ff,0xfea999af,
    0x13fee3ff,0x5df91fcc,0x07e43fd7,0x83ffd410,0xf89deec8,0x13ffa0ff,
    0x7d47ffe6,0x5ffd80ff,0x2203fff1,0x7fe43fff,0x7ffcc004,0xa9bff601,
    0xefffeeee,0xfd884eee,0xf302efff,0x03ffccff,0xfffffff5,0x001fffff,
    0xffffffe8,0x00ffffff,0xf303ffc4,0xffffffff,0x7fe41dff,0xfc87fe05,
    0x1be63fff,0xdff90266,0x3ffc4008,0x3ee17ff6,0x3fff51ff,0x7fc9fff0,
    0x5fff305f,0x0007ffc4,0x4c07ffe6,0x3fea4fff,0xffffffff,0x33fee05f,
    0x99ffe600,0x3ffa07ff,0xffffffff,0x3e6000ff,0xffffffff,0x4404ffff,
    0x3fe603cc,0xffffffff,0x037fe40e,0x0d443ff5,0xff907fe6,0x217ffc49,
    0x7d41effb,0x07ffe46f,0x7d47fffa,0x7ffd45ff,0x10bfffa2,0x3a21fffd,
    0x01819bff,0xa883fff3,0x3aa0efff,0xeefffeee,0x36ee04ee,0x9ffe605f,
    0xff507ff9,0x3ffea05f,0x1fff2000,0x500fffb0,0x3fe60155,0x2ccceeef,
    0xa80dffb0,0x3fea01ff,0xcdfff881,0xff986fff,0xfffdbcff,0x5f7ffc44,
    0x51fffffb,0xfb7bffff,0xfffa8dff,0xffffedff,0x3fffff64,0x80ffeeff,
    0xfffffff9,0x802fffff,0x98001fff,0x9ffe607f,0xffd07ff9,0x7fffd40d,
    0x7fffffff,0xf5013ffe,0x7fc405ff,0x3fff300f,0x06ffd800,0xbbdfffa8,
    0x3201fffd,0x1fffffff,0xffffff90,0x3fea0dff,0xffedffff,0xffdbff51,
    0xf903ffff,0xffffffff,0x7fffd41d,0x4fffffff,0xffffff98,0x003fffff,
    0x91003fff,0x4c09fd99,0x1ffe67ff,0xa80fffe6,0xffffffff,0xfff57fff,
    0x0bfff003,0x9807ffc4,0x6c001fff,0xb73006ff,0x017bffff,0xdfffeb88,
    0x7ffed400,0x7f4c03ef,0x23ffd4ff,0xfffb4ffa,0x7ff4c03d,0xdd03efff,
    0xfffdb759,0xffff309f,0x017bdfff,0x400fffc0,0x401beee9,0x3fe67ff9,
    0x00fffd87,0x3fffffea,0xfb7fffff,0x3ff200df,0x1fff100f,0x007ffe60,
    0x000bdd90,0x1880006a,0x44000000,0x004c0001,0x02006620,0x00000330,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x26666000,0x99999999,0x33303700,0x33333333,0x2a0b32a1,0xbdca82cc,
    0x32619971,0x059b733c,0x33100666,0x26066621,0x19980ccc,0xa8006662,
    0x439930cc,0x00ccc199,0x80355000,0x2660abb9,0x04ccc401,0x9986aa20,
    0x54c00009,0xfffff809,0x32ffffff,0xffffffff,0xea89ffff,0x7fffcc1f,
    0x4fffffff,0xff909ffb,0x7fffec4b,0xf51ffeaf,0xfffff5bf,0x0fffcc1b,
    0x3ea9ffd0,0x7fff40ff,0xf53ffcc5,0x7fe400ff,0x3e65ff71,0x01ffe67f,
    0x82ffe400,0x14ffffe8,0x3ea03fff,0x7f401fff,0x05fff13f,0x3fffee00,
    0x3fffe0df,0x2fffffff,0xfffffff3,0x449fffff,0x7fcc1fff,0xffffffff,
    0x909ffb4f,0x7ffecbff,0x1fffffef,0xfffffff5,0x7fccbfff,0x53ffa01f,
    0x3f20fffa,0x3e62ffbf,0x01ffea7f,0xff71ffc8,0xf99ffe65,0xfa80007f,
    0xfff905ff,0x3ffe27ff,0x2ffff981,0x89fffe40,0xd8002fff,0xffffffff,
    0xfffffff0,0x3e63ffff,0xcccccdff,0x3fe22ccc,0x6fffcc1f,0x2ccccccc,
    0xff909ffb,0x433ffe6b,0xf51fffea,0x3f625dff,0x3fff31ff,0xfaa7ff40,
    0x25dd30ff,0xfff30deb,0x1003ffd4,0x984cc433,0x1ffe66ee,0xfffd1000,
    0x437ff60b,0x983fff10,0x5c02ffff,0xff13ffff,0xffa8005f,0x5fffdbef,
    0x263ffd80,0x2a001fff,0x31cdfffc,0x36003fff,0x5ffc84ff,0xfb81fff9,
    0x7fff51ff,0xf34fff88,0x7ff403ff,0x001fff54,0x3ea7ff98,0x0000007f,
    0x0001ffe6,0x20bffff9,0xff883ffe,0x3fffe61f,0x3fffaa02,0x5fff13ff,
    0x46ffd800,0x7cc07ffb,0x0fffcc6f,0xfffff900,0x07ffe67f,0x6427fec0,
    0x0dffb5ff,0x3ea3fff3,0x5ffe81ff,0x7403fff3,0x1fff54ff,0xf984cc88,
    0x31ffea7f,0x99105999,0x4c999109,0x7bb717ff,0xffffa801,0x7ffe545f,
    0x3ffe23cd,0x05fffd11,0x7ff7ffc4,0x05fff13f,0x4c3fed80,0x3fa00fff,
    0x0fffcc0f,0xfffff900,0x07ffe67f,0x6427fec0,0x07ffd5ff,0x7fd47ffe,
    0x26dff907,0x3fa01fff,0x81fff54f,0xff987ff9,0xf89ffea7,0xff980eff,
    0x267ff987,0xffffafff,0xdff100ef,0xffd8bff7,0x3e26ffff,0xfffe89ff,
    0xe9ffc403,0x5fff13ff,0x7fd40000,0x20ffea07,0xcccdfff9,0x2624cccc,
    0xf309afff,0x333335ff,0x42ffec13,0x9ffd5ffd,0x2a3fff30,0xffc80fff,
    0x559fff35,0x9fff5555,0xf303ffea,0x4fff30ff,0xffd17ffa,0x1ffe601d,
    0xff99ffe6,0xfffeefff,0xf75ffb04,0xffffd8bf,0x3ffe26ff,0x805fffea,
    0x4fffa0c8,0x0002fff8,0xe81bff60,0xffff307f,0xffffffff,0x4c1fff88,
    0xffffffff,0x1bff63ff,0x7fe57ffa,0x51fffb86,0xffb07fff,0x3ffffe69,
    0xffffffff,0x981fff54,0x7ff987ff,0x7ff5ffea,0x1ffe600f,0xff99ffe6,
    0x1fff20ef,0x7fdd3fea,0x107ffd05,0xffffffff,0xffd0003f,0x00bffe27,
    0x0fffdc00,0xf304ffb8,0xffffffff,0xfff88fff,0x7ffffcc1,0x363fffff,
    0x3fe61fff,0x43fff75f,0xf51fffe8,0xfff98bff,0xffffff32,0x9fffffff,
    0xf303ffea,0x4fff30ff,0xfffdfffa,0x43ffcc01,0x3fe67ff9,0x23ffcc2f,
    0xff70eff8,0x20fffa0b,0xfffffff8,0xfe8006ff,0x05fff13f,0xbfff7000,
    0x407ffe20,0xaaabfff9,0x7c42aaaa,0x7ffcc1ff,0x1ccccccd,0x333ffff6,
    0x3fa5ffff,0xffffbcff,0xfffff51f,0x4cdfffb7,0xaaaacfff,0xf54fffaa,
    0x7ff981ff,0x3ea7ff98,0x806fffff,0xff987ff9,0x307ffe67,0x7fec1fff,
    0x7417fee1,0xfff883ff,0x3fffbbff,0x89fff400,0x40002fff,0x500efffb,
    0x7fcc0dff,0x7fc4001f,0x0fffcc1f,0xffeffd80,0x2a5ffeff,0xfeffffff,
    0xdfff51ff,0x43ffffff,0x3a01fff9,0x1fff54ff,0xf987ff98,0x3fffea7f,
    0x7cc03fff,0x27ff987f,0x7c40fff9,0x5dff50ff,0x55dffb55,0xf883ffe8,
    0x3ffa3fff,0x3ffa001f,0x005fff13,0x077ffdc0,0x4c07ff70,0x44001fff,
    0x7fcc1fff,0x9ffb001f,0xbff5bff9,0x8cffff98,0xfff51fff,0x307bfff2,
    0x7f403fff,0x81fff54f,0xff987ff9,0x37fffea7,0x3e600fff,0x27ff987f,
    0xff887ff9,0xfffff90f,0x8dffffff,0xff883ffe,0x37ffd44f,0x227ffd00,
    0x70002fff,0xd801bfff,0x3fe601ff,0x7fc4001f,0x0fffcc1f,0x314ffd80,
    0x3fe0c400,0x98fff51f,0x03fff300,0xffaa7ff4,0x43ffcc0f,0x3fea7ff9,
    0x409ffd2f,0xff987ff9,0x221ffe67,0xfff90fff,0xffffffff,0x883ffe8d,
    0xffd81fff,0x7ffd003f,0x000bffe2,0x4017ffea,0x7fcc07ff,0xfff8001f,
    0x3fff32bd,0x013ff600,0x51fff800,0x7cc00fff,0x3ffa01ff,0x981fff54,
    0x7ff987ff,0xffa9ffea,0x0fff301f,0x7fccfff3,0x50fff887,0xfb999999,
    0xffe879df,0x81fff883,0x800ffff9,0xfff13ffe,0xfff88005,0x6ff8800e,
    0x7ffffcc0,0x6fffffff,0x9a7fffec,0xfb001fff,0x7c00009f,0x0fff51ff,
    0x00fffcc0,0x3fea9ffd,0x43ffcc0f,0x3fea7ff9,0x982ffec7,0x7ff987ff,
    0x3e21ffe6,0xffb800ff,0x107ffd05,0x3f203fff,0xffe805ff,0xffffff13,
    0xb8ffffff,0xffffffff,0x17fea1ff,0xffffff30,0x8dffffff,0xf34fffe9,
    0x3f6003ff,0x3e00004f,0x0fff51ff,0x00fffcc0,0x3fea9ffd,0x43ffcc0f,
    0x3fea7ff9,0x417ffcc7,0xff987ff9,0x221ffe67,0xfb800fff,0x07ffd05f,
    0x2203fff1,0x7402ffff,0xffff13ff,0xffffffff,0xffffffe8,0x3ee1ffff,
    0x7ffcc04f,0xffffffff,0xf983106f,0xdd9001ff,0x77400007,0x00bdd31e,
    0xd00fffcc,0x3ffea9ff,0x4c3ffcc0,0x1ffea7ff,0x3e61bff2,0x27ff987f,
    0xff887ff9,0x5ffb800f,0xf107ffd0,0x7fdc03ff,0x3ffa00ff,0xffffff13,
    0x4cffffff,0xffffffff,0x00001fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4cccc000,0x26666201,
    0x88026660,0x26666099,0x40099999,0x99999999,0x02602001,0x26666666,
    0x20998801,0x99999998,0x4c419999,0x19998019,0x88026662,0x26620999,
    0x01333100,0x99982662,0x01998800,0x33013322,0x13333333,0x99999880,
    0x19999999,0xff98b32a,0xfff00fff,0x3ffe65ff,0x4cfff605,0xffffffff,
    0xff982eff,0xffffffff,0x33ff6202,0x7fcc1fba,0xefffffff,0x6cbffd02,
    0xffffffff,0x7fdc7fff,0x3ffea03f,0x407fff44,0x360fffe8,0xfffb06ff,
    0xd93ffa0b,0x7f400fff,0x1ffe606f,0xffffff98,0x703fffff,0xffffffff,
    0x363fffff,0x3ffe64ff,0xfff982ff,0xffff32ff,0x4cfff603,0xffffffff,
    0x7cc2ffff,0xffffffff,0xfdf505ff,0xff30ffff,0xffffffff,0x4bffd0bf,
    0xfffffffd,0xfe87ffff,0xfffd00ff,0x85fff981,0x7dc2fffc,0xfffff07f,
    0x545fff10,0x3e602fff,0x3fe603ff,0x3fffe607,0xffffffff,0xfffffb85,
    0xffffffff,0x7cc9ffb1,0xfb84ffff,0xff32ffff,0x3ff60dff,0x99bfff33,
    0x8ffffb99,0xdccdfff9,0xb81ffffe,0x26073265,0xecccdfff,0x7f43ffff,
    0x33332a5f,0x6ffffccc,0xb85fff98,0xff902fff,0x2fffcc5f,0x260fffcc,
    0x541fffff,0x7ffc0fff,0x03ffee05,0x2606ee98,0xccccdfff,0x4c2ffffd,
    0xfffdcccc,0xd90ccccc,0x7fffcc7d,0xffffe87f,0xfffff32f,0x267ffb07,
    0xff501fff,0x0fffcc3f,0x0027ffd4,0x40fffcc0,0x3a0fffe9,0xff5005ff,
    0x3ff201ff,0x17ffe21f,0xd0ffff88,0x3fe01fff,0x7fffe43f,0x437fe43f,
    0xfd00fffc,0x260000bf,0xff301fff,0xfff5009f,0xfff30001,0x7fc43ffb,
    0xff32ffee,0xfd81ffff,0x03fff33f,0xf987ffe2,0xdffb01ff,0xdb89e644,
    0x7ffcc0bd,0x49fff301,0xf9805ffd,0x3e201fff,0x3fff26ff,0x67ffd400,
    0x3603fffa,0x6fff45ff,0x27fec5ff,0x4417ffcc,0xff802fff,0x07ffe607,
    0xa806ffd8,0x98000fff,0x23ffbfff,0x2ffecffa,0xbffffff3,0xff33ffd8,
    0x1ffea03f,0x3603fff3,0x37fe66ff,0x1efffff9,0xd807ffe6,0x13ff26ff,
    0x07fffd10,0xf37fff50,0x3f6007ff,0x406fffff,0x3fe26ffc,0x7fc7ff9f,
    0x0bfff02f,0xf300fff7,0x7ffcc0df,0x013ffa01,0x0003ffea,0x3fe7ffe6,
    0x3fabff25,0xf7fff32f,0x9ffec5ff,0xaaacfff9,0x4c3fffca,0xff981fff,
    0x3fffe65f,0x25ffffef,0x3201fff9,0x0fff27ff,0x009fffb0,0x7ff7ffec,
    0x3ffe2006,0x7d401fff,0x2bff50ff,0xfff31ffe,0x03fff201,0xfb009ffd,
    0x7ffcc09f,0x1fffc881,0x00fffa80,0xff7ff980,0x7f47ff4f,0x3afff32f,
    0x4fff66ff,0xfffffff9,0xf982ffff,0xfdcbabff,0x3fe63fff,0x9fff60ef,
    0x2e01fff9,0x5ff70fff,0x02fffe40,0x3ffffe20,0x7fd4001f,0xff8804ff,
    0x327ff92f,0x0dff73ff,0xf11fffcc,0xffd805ff,0x3ffe601f,0xffffffff,
    0xfff5006f,0xfff30001,0x3fe27ff6,0x3e65ffd6,0x29fff37f,0xfff33ffd,
    0xffffffff,0xffff983d,0x5fffffff,0x2617ffcc,0x3ffe67ff,0x47ffea01,
    0xff502ffa,0xf70001df,0x50009fff,0x2007ffff,0x3ffd3ffe,0x7fe57fea,
    0x72fff405,0x7f440fff,0x7fcc01ff,0xffffffff,0xff5000cf,0x0d54c01f,
    0x3feefff3,0xffd4ffab,0xfc9ffe65,0x33ffd8ff,0x75559fff,0x4c5fffd9,
    0xffffffff,0xfff984ff,0x987ffcc0,0x3ee01fff,0x03ff30ff,0x003ffff3,
    0x003fff40,0x7fffffc4,0x8dffc800,0x5ffe27ff,0x7dc03ffe,0x09ffd0ff,
    0x4017fff4,0xffeefff9,0xfa8005ff,0x3ff600ff,0x7cdffe64,0xfd2ffcdf,
    0x89ffe65f,0x3ffddfff,0x7403fff3,0x3ffe65ff,0x009aaaab,0xf881fff3,
    0x3fff30ff,0xf13ffe40,0xfffe881f,0x7fec0002,0xfffd8005,0xfa805fff,
    0x745ffbff,0x01fffaff,0x7c5fffc4,0xfff501ff,0x3ffe6003,0x037ffee1,
    0x00fffa80,0xff993ff6,0x3ffbffe7,0x3e65ffd0,0x7fffd47f,0x3fff33ff,
    0x987ffdc0,0x4c001fff,0xfff887ff,0x403fff30,0x43fc6ffd,0x0004fffd,
    0x4005ffd8,0xffcdfffa,0x7ffc402f,0x7fe43ffe,0xfd007ffe,0x40dff7df,
    0x35304ffd,0x907ffe61,0x5400bfff,0x3f600fff,0xd9ffe63f,0x3fa6ffff,
    0xb0fff32f,0x267fffff,0x3f201fff,0x3fff30ff,0x87ff9800,0xff30fff8,
    0x3ffe603f,0x3ff22643,0xfb00005f,0x7fc400bf,0xffff88ff,0x7ffff400,
    0x7fffd41f,0xfff7005f,0x7ec07ffd,0x25ffd04f,0xfe81fff9,0xff5002ff,
    0x23f9801f,0x3fee7ff9,0x4bffa4ff,0xff887ff9,0xfff33fff,0x9bffea03,
    0x4001fff9,0xff887ff9,0x03fff30f,0xa98dffd5,0x1dfff51a,0x3ff60000,
    0x3fff6005,0x017ffea3,0x10fffffb,0x007fffff,0x3fffffe2,0x07ffee00,
    0x3e61fff7,0xfff981ff,0xfffa800f,0xf30fe400,0x7fffccff,0x7ccbffa2,
    0xffff907f,0x3ffffe67,0xffffffff,0x007ffe63,0xf10fff30,0x3ffe61ff,
    0xffffffff,0xda7fec2f,0xffffffff,0x801fffff,0xf5005ffd,0xfffb0bff,
    0x7fffdc05,0x3ffffd05,0x7fffec00,0xefffe806,0x264ffffc,0xff701fff,
    0xfff500bf,0x2627ec01,0x7fffc7ff,0x7ccbffa0,0x3fffa07f,0xffffff33,
    0x8bffffff,0x4001fff9,0xff887ff9,0xfffff30f,0x07ffffff,0x3ff69ffb,
    0xffffffff,0xfd801fff,0xfff8805f,0xffff880f,0x5ffff300,0x01fffee0,
    0x07ffff50,0xfffffd10,0xfff987ff,0x0bfffa01,0x401fff50,0x47ff982b,
    0x7ff46ffd,0x540fff32,0xfff33fff,0xbdffffff,0x03fff305,0x887ff980,
    0xfff30fff,0x17bdffff,0x7ed3ff60,0xffffffff,0xd801ffff,0xffc805ff,
    0x3ffee03f,0x03fffe05,0x002fffcc,0x0007fffc,0x037bfd95,0x4c03fff3,
    0x2a00ffff,0x00000fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0x26660198,0x99999999,
    0x00000001,0xdb710000,0xdb980579,0xeca800bd,0xca8800bc,0xcc980bce,
    0x884cc884,0x2e2ceecb,0xca801bdd,0xca81cded,0x439b952c,0x6442cdb8,
    0x17bb713c,0x203ddd00,0x6442ccc9,0x333222cc,0x0ccccccc,0x7f405995,
    0x3333700f,0x15333333,0x440002f6,0x3f31bdcb,0x2a35c400,0xdfffffff,
    0x7fffe440,0xffd106ff,0x5403dfff,0x2fffffff,0x7cc3ffd4,0x7fffc47f,
    0xffffefff,0xffb00eff,0xb87fffff,0xffffccff,0xfffff9af,0x3e77fe65,
    0x401effff,0x3fa01fff,0x3fff60ff,0x3ffffe20,0xf91fffff,0x07ff40bf,
    0x74260028,0x2e001cff,0xffffffff,0xffc8801f,0x3bfffa27,0x7ec4ffff,
    0x4fffefff,0xffefffe8,0xfffa80ff,0x22ffffff,0xff987ffa,0x7f7ffec7,
    0xfeffffff,0xfff986ff,0x20fffecd,0xfefffffb,0xffefffff,0xffff33ff,
    0x0bffffdf,0x2601fff8,0xfff75fff,0xfffff885,0xf91fffff,0x07ff40bf,
    0x74260028,0x402dffff,0xffeffffb,0x7ed404ff,0x3fee7fff,0xf337fec5,
    0x3fea17ff,0x47ffee1f,0x7cc4ffd8,0xffd52dff,0x21ffea1f,0x3fea7ff9,
    0x237ffe46,0x7fec4ffd,0xf716fe41,0x7ffd4bff,0x2bffd11f,0x360efff9,
    0x555407ff,0x5fffdc00,0x33304fff,0x49fffb33,0x3fa04eeb,0x4c00500f,
    0xfffffb50,0xfff8817d,0x1ffff10c,0xfffffd70,0xfb81105d,0x21fff26f,
    0x3ffa0acc,0x707ffcc4,0xff981fff,0x30fff53f,0xa8110fff,0x7fc42fff,
    0x0577ff47,0xf03ffee0,0x6ffc8bff,0xf985fff3,0x6c00007f,0x00efffff,
    0x00bfff50,0xfffdddd5,0x00a7dddd,0x7fdc4098,0xf90cffff,0xffffd8ff,
    0xfffff913,0xca88039f,0x3fa6fffe,0x3ffe004f,0xfffaaaac,0x7417ff61,
    0x0fff55ff,0x2a20fff3,0xabffffec,0x20fffaaa,0xcefffffc,0xf87ffb81,
    0xb7fdc3ff,0x7cc0fff9,0xffff50ff,0x9fffffff,0x3fffff10,0x1bffea00,
    0x7ffffd40,0x54ffffff,0xb5004c00,0x3f6fffff,0x3f37ee5f,0xbffffd5f,
    0xfffd5005,0x7fcdffff,0xfff1003f,0xffffffff,0xc81fffc5,0x0fff56ff,
    0xfd98fff3,0xffffffff,0x1fffffff,0x7fffffec,0x1bfee0df,0xff50fffe,
    0x103ffe6d,0x3fea1fff,0xffffffff,0xbfff704f,0x3bffe600,0xffff5000,
    0x9fffffff,0x8009800a,0xffd7fff9,0x7fd5bea5,0x005fffd6,0x26fbffea,
    0x3ffa6ffa,0xbfff1003,0x39999999,0xfd827ff4,0x30fff55f,0x7ffccfff,
    0xefffaacf,0x1eeeeeee,0xfffffc98,0x217fee4f,0x7fd42fff,0xf10fff36,
    0x3ffea1ff,0xffffffff,0xfffff884,0x7fffc402,0x2aaa2001,0xaaabfffa,
    0x004c0051,0x2fffffd5,0x0ef9bffe,0x3ffadff7,0x3a00beff,0x37fd44ff,
    0x79709ffb,0x001fffc3,0x3fe0dff9,0x50fff34f,0x2ffecfff,0x000bffea,
    0x4fffd710,0xfff85ffb,0xf9b7fd42,0x0fff887f,0x3ff60000,0xd100ffff,
    0x00003fff,0x00a01ffd,0x7fe4c098,0xf90bffff,0x7f41ffbf,0xfffd714f,
    0xfff03bff,0x2e6ffc85,0x3fe21fff,0x317ff63f,0xfffa89bd,0x88fffdc2,
    0x7fec1fff,0xf90fffa7,0x3dea8bff,0xf107fb62,0x17fee1ff,0xff50bffe,
    0x221ffe6d,0x2aa00fff,0x7ffd400a,0xfb05fffb,0xaa9805ff,0x403ffa01,
    0x75426002,0x82efffff,0x261ffffa,0xfda82fff,0x363effff,0xffc99eff,
    0x3fffe27f,0x20fffebd,0xeaadfff9,0x7ff444ff,0x4fffebef,0x6d577ffc,
    0x3ff27fff,0xffffb89e,0x3fffbadf,0x54d77fec,0x3fee6ffd,0x542fff85,
    0x0fff36ff,0x7c01fff1,0x3fe201ff,0x87fff75f,0xffeffffb,0xbff94fff,
    0x2807ff40,0x7ff42600,0x7f401dff,0xfffdacff,0x7ffe4c05,0x3fffea7f,
    0x20fffeff,0xfffffffa,0xffffb82f,0xfd106fff,0x1bffffff,0xffffffc8,
    0x3fe27ffb,0xfdefffff,0x85ffffff,0xfffffff8,0x17fee1ff,0xff50bffe,
    0x221ffe6d,0x3fe00fff,0x3fff601f,0xc83fffa0,0xffffffff,0x0bff94ff,
    0x0280776c,0x67ff4260,0xffffb000,0x001dffff,0xb51ffee2,0x3ffa9fff,
    0x7fffec43,0x3ffaa02e,0x32200bef,0x203efffe,0xff2efffc,0xefffda8f,
    0x3bfffaa3,0xfffb300b,0xffb83bff,0x542fff85,0x0fff36ff,0x7401fff1,
    0xfff701ee,0x26fff985,0xfffffffc,0xbff94fff,0x26666662,0x05099999,
    0x003d84c0,0x7fedefdc,0x2a0003ef,0x20003106,0x04c00099,0x0004c400,
    0x80300011,0x4cc00098,0x00000001,0x00000000,0x54000000,0xffffffff,
    0x40054fff,0x12200009,0x00000026,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7d400000,0xffffffff,0x555594ff,0x19555555,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffffffa8,0x004fffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x981665c0,0x020084cc,0x2f6e5993,0xc8839971,0x02cca84c,0x07005993,
    0xc932a0a8,0x0cc9802c,0x664c0795,0x0d654402,0x5cc02a88,0x2a0f2200,
    0x6666640a,0x24cccccc,0xcccccccc,0x59304ccc,0xb8855510,0x31099981,
    0x82666233,0x4442cec8,0x20fff700,0x0fd45ffc,0xbff517cc,0x3f27fffb,
    0x0fffd44f,0x7dc0fff6,0x56fe404f,0x0efbbdec,0x3fee9ff1,0xf9b7f401,
    0x1bff603f,0x3fffffb8,0x217fffdc,0x41dfffea,0x3fee6fd8,0x3fffe4ff,
    0xffffffff,0xfffffff0,0x501fffff,0x4fff507f,0x3a1efffc,0x2dff94ff,
    0x2e21fffa,0xfff32feb,0x20bffe20,0x3fea2fff,0x4bffe61f,0xfffffffa,
    0xfd8dff30,0x3ffe23ff,0x409ff700,0xfffffff9,0x3f23ffff,0x640dfd1f,
    0x06fe89ff,0x40bfffe2,0x26fdacfe,0x26fbaff8,0x6ffceff8,0x7c5bffee,
    0xff1ffaaf,0xffffffff,0x3fffe1ff,0xffffffff,0x25f31910,0x26fff51a,
    0x3a6fcbef,0x2dff94ff,0xf701fffa,0xc81ffe6b,0x3ffd45ff,0x267fffe6,
    0xff51ffff,0xff8735ff,0x9bfffe0f,0x3ee06ffa,0x7ffd404f,0x44ffffff,
    0xffa8eff8,0xf95ff984,0x7ffe405f,0x7e4c206f,0x37dc4c47,0x3fea1ff7,
    0x22dfbdf1,0x554bfa2a,0xaaaaaaaa,0x2aaaaa2a,0x0fffaaaa,0xffbfbff5,
    0x7edbfea9,0x7ff47f61,0x3eadff94,0xfb7951ff,0x81ffe63f,0x3f60fff9,
    0xffff984f,0x3ea1ffff,0x3ff202ff,0x4fffff33,0x3ee03ffc,0x7ffc404f,
    0x83ffea8b,0x3ffd4ffb,0x7d47ff44,0x3bfe205f,0xfd981ffd,0xffd07fff,
    0xff137e43,0xc837d465,0x000000ef,0xd730fff8,0xe85bdfff,0x97e41fd6,
    0xbff73ffd,0x7543ffe2,0x26621bdf,0x89fff401,0xff300fff,0xfa83ffff,
    0x3fea00ff,0x3ffbff75,0xfff83ffe,0xffffffff,0x513fee0f,0x3ffa0bff,
    0x3f26ff9a,0x01fff8cf,0x3feafff2,0x5deffcc5,0x1ff9707f,0x2ff99ff2,
    0x3f6237d4,0x2aaaaa1f,0x02aaaaaa,0x2607ffc0,0x4f982fff,0x4ff51bf7,
    0x9ff32ffb,0x00003ffc,0xff76ffb8,0xffffa80b,0x807ffa83,0xf3ffb7ff,
    0xf8dff39f,0xffffffff,0x3fee0fff,0xf886ff82,0x25ffa8ff,0x7ffb6ffa,
    0x7c3ffe20,0xd9fee1ff,0xfe86627f,0x3ee3ff53,0xd137d41f,0xffff81df,
    0xffffffff,0x83ffe000,0x21ffaff9,0x3ffe0efa,0x47baa3ff,0x13b62ee8,
    0x4c0b372a,0xd1fff101,0x7fcc05ff,0x7d41ffff,0xaffd807f,0xf7dfd5ff,
    0xfffff87f,0x0fffffff,0xff517fea,0xf15ff90b,0xaffc81ff,0xfb80fff8,
    0x993ff24f,0x27ffddff,0x0ffa9ff8,0x17ffbffa,0xbffe9bea,0xfffff0aa,
    0x1fffffff,0x707ffc00,0x4893ee9f,0x00039b50,0xfffffb00,0x03f9359f,
    0x3ffe7fe4,0xffffff30,0x3ffd43ff,0x7ff7fd40,0x3ffdff93,0x404ffb80,
    0xfbadfff8,0xaffcc3ff,0xfe882ffc,0xff09ff56,0x07ffc43f,0x1ff5bff9,
    0x227fffe4,0x80befeb8,0xffff56fa,0x333327ff,0x4ccccccc,0x54266400,
    0x000000a0,0x7fffc400,0xffffffff,0x3fffe601,0xffff304f,0x23ffff33,
    0xf8806ffa,0xff51ffff,0xff700dff,0xffffa809,0x6c5fffff,0x04ff88ff,
    0x7fe4ffe6,0x3217baa0,0x880082ee,0x200400aa,0x555532a8,0x00000155,
    0x00000000,0x33e20000,0xfffffcaa,0x7ff400ef,0xfff300ff,0xa97ffcc3,
    0xffb006ff,0x7fffc4ff,0x04ffb804,0x3fffffe2,0xf54fffff,0x003bf65f,
    0xbfd11ff9,0x00000000,0x00000000,0x00000000,0x80000000,0x59b93028,
    0x17ffee00,0x5f303d30,0xb8037fd4,0x7ff45fff,0x4ffb801f,0x65c67dc0,
    0x310ef99c,0x98004cc1,0x00033109,0x00000000,0x00000000,0x00000000,
    0x00000000,0x05fff100,0x6ffa8000,0x87fff100,0x93007ffc,0x98030059,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x22199910,0x3ffe22aa,0x47991fff,0x399914cb,
    0x55555544,0x1aaaaaaa,0x77777771,0x03777777,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7e400000,0x89ffe63f,0xf1ffffff,
    0xf73ff4df,0x7fffc4bf,0xffffffff,0xfffff13f,0xffffffff,0x00000007,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0x7fcc4ff8,
    0x3ffffe27,0x7f4dff1f,0xe887fdc7,0xeeeeeeee,0x9912eeee,0x99999999,
    0x00005999,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2617ee00,0x2aaa27ff,0x43330aaa,0x03fc8199,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_bold_27_latin1_x[224]={ 0,2,1,0,0,1,1,1,1,0,0,1,1,0,
1,-1,1,1,0,0,0,1,1,1,0,0,2,2,1,1,1,1,0,0,1,1,1,1,1,1,1,1,0,1,
1,1,1,1,1,1,1,0,0,1,-1,0,0,-1,0,1,-1,0,1,-1,0,0,1,1,0,0,0,0,1,1,
-2,1,1,1,1,0,1,1,1,0,0,1,0,0,0,0,0,0,2,0,0,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,2,0,0,0,0,
2,0,0,-1,0,1,1,0,-1,-1,1,0,0,0,2,1,-1,1,0,1,0,1,1,1,0,1,0,0,0,0,
0,0,-2,1,1,1,1,1,-1,1,-1,-1,-1,1,1,1,1,1,1,1,0,1,1,1,1,-1,1,1,0,0,
0,0,0,0,1,1,0,0,0,0,-1,1,-1,-1,0,1,0,0,0,0,0,0,1,1,1,1,1,0,1,0,
 };
static signed short stb__arial_bold_27_latin1_y[224]={ 21,3,3,3,2,3,3,3,3,3,3,6,17,13,
17,3,3,3,3,3,3,3,3,3,3,3,8,8,5,8,5,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,23,3,8,3,8,3,8,3,8,3,3,
3,3,3,8,8,8,8,8,8,8,4,8,8,8,8,8,8,3,3,3,10,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,21,8,3,3,6,3,
3,3,3,3,3,9,8,13,3,0,3,4,3,3,3,8,3,10,21,3,3,9,3,3,3,8,-1,-1,-1,-1,
-1,0,3,3,-1,-1,-1,-1,-1,-1,-1,-1,3,-1,-1,-1,-1,-1,-1,6,2,-1,-1,-1,-1,-1,3,3,3,3,
3,3,3,2,8,8,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,6,7,3,3,3,3,3,3,3,
 };
static unsigned short stb__arial_bold_27_latin1_w[224]={ 0,4,10,14,13,20,17,4,7,7,9,13,4,8,
5,8,12,9,13,13,13,12,12,12,13,13,4,4,12,13,12,13,24,18,16,16,16,14,13,17,15,5,12,17,
14,18,15,17,15,18,17,15,15,15,18,23,17,18,15,7,8,7,12,15,6,13,13,12,14,13,9,14,13,5,
7,13,5,19,13,14,13,13,9,13,8,13,14,19,14,14,12,9,3,9,14,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,0,4,13,14,13,14,
3,13,8,19,9,12,13,8,19,15,8,13,8,8,6,12,15,5,7,5,9,12,19,19,20,13,18,18,18,18,
18,18,25,16,14,14,14,14,7,6,9,9,18,15,17,17,17,17,17,12,19,15,15,15,15,18,15,13,13,13,
13,13,13,13,20,12,13,13,13,13,7,6,9,9,14,13,14,14,14,14,14,13,13,13,13,13,13,14,13,14,
 };
static unsigned short stb__arial_bold_27_latin1_h[224]={ 0,18,7,19,22,19,19,7,24,24,9,13,8,4,
4,19,19,18,18,19,18,19,19,18,19,19,13,17,15,9,15,18,24,18,18,19,18,18,18,19,18,18,19,18,
18,18,18,19,18,20,18,19,18,19,18,18,18,18,18,23,19,23,10,3,4,14,19,14,19,14,18,19,18,18,
24,18,18,13,13,14,18,18,13,14,18,14,13,13,13,19,13,24,24,24,5,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,0,18,23,19,13,18,
24,24,4,19,10,12,9,4,19,3,8,17,10,10,4,18,23,5,5,10,10,12,19,19,19,18,22,22,22,22,
22,21,18,23,22,22,22,22,22,22,22,22,18,22,23,23,23,23,23,13,20,23,23,23,23,22,18,19,19,19,
19,19,19,20,14,18,19,19,19,19,18,18,18,18,19,18,19,19,19,19,19,13,15,19,19,19,19,24,23,24,
 };
static unsigned short stb__arial_bold_27_latin1_s[224]={ 254,100,227,106,115,43,1,222,39,16,198,
59,208,100,94,244,63,217,242,120,175,165,198,1,229,21,250,249,56,170,29,
217,73,198,36,94,83,14,38,76,93,109,243,199,227,1,20,211,53,121,215,
134,233,79,182,158,140,121,105,122,111,164,113,125,118,69,65,83,50,96,189,
35,161,155,65,131,125,174,194,110,79,65,29,160,29,125,1,39,222,150,237,
98,118,108,238,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,254,247,70,
95,73,129,61,47,109,1,126,100,184,100,178,141,213,1,161,136,87,52,84,
246,238,155,145,87,236,216,195,201,39,20,1,199,129,88,172,19,237,148,100,
66,58,81,163,173,110,183,190,52,1,146,172,16,140,208,224,130,36,218,231,
160,188,202,216,230,1,107,139,144,29,181,64,92,157,165,115,145,166,69,33,
48,151,136,121,208,42,15,174,78,19,24,240,1, };
static unsigned short stb__arial_bold_27_latin1_t[224]={ 1,152,189,73,26,73,93,189,1,1,189,
189,189,202,202,50,93,133,133,93,133,93,93,133,93,113,171,152,171,189,171,
113,1,113,152,93,152,133,133,93,133,133,93,133,133,152,152,93,152,50,152,
93,152,113,152,152,152,152,152,1,93,1,189,202,202,171,113,171,113,171,133,
113,133,133,1,133,133,171,171,171,133,133,189,171,133,171,189,189,171,93,171,
1,1,1,195,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,
171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,1,113,26,
113,189,113,1,1,202,113,189,189,189,202,93,202,189,171,189,189,202,133,26,
189,189,189,189,189,73,73,73,152,50,50,50,26,26,50,113,26,26,26,26,
50,50,50,26,26,113,26,1,26,26,1,1,189,50,1,1,1,26,26,113,
50,50,50,50,50,73,50,171,113,73,73,73,73,113,113,133,133,73,152,93,
93,73,73,73,171,171,73,50,73,93,1,1,1, };
static unsigned short stb__arial_bold_27_latin1_a[224]={ 107,129,183,215,215,344,279,92,
129,129,150,226,107,129,107,107,215,215,215,215,215,215,215,215,
215,215,129,129,226,226,226,236,377,279,279,279,279,258,236,301,
279,107,215,279,236,322,279,301,258,301,279,258,236,279,258,365,
258,258,236,129,107,129,226,215,129,215,236,215,236,215,129,236,
236,107,107,215,107,344,236,236,236,236,150,215,129,236,215,301,
215,215,193,150,108,150,226,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,107,129,215,215,215,215,108,215,
129,285,143,215,226,129,285,214,155,212,129,129,129,223,215,107,
129,129,141,215,322,322,322,236,279,279,279,279,279,279,387,279,
258,258,258,258,107,107,107,107,279,279,301,301,301,301,301,226,
301,279,279,279,279,258,258,236,215,215,215,215,215,215,344,215,
215,215,215,215,107,107,107,107,236,236,236,236,236,236,236,212,
236,236,236,236,236,215,236,215, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_27_latin1_BITMAP_HEIGHT or STB_FONT_arial_bold_27_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_27_latin1(stb_fontchar font[STB_FONT_arial_bold_27_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_27_latin1_BITMAP_HEIGHT][STB_FONT_arial_bold_27_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_27_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_27_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_27_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_27_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_27_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_27_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_27_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_27_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_27_latin1_s[i] + stb__arial_bold_27_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_27_latin1_t[i] + stb__arial_bold_27_latin1_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_27_latin1_x[i];
            font[i].y0 = stb__arial_bold_27_latin1_y[i];
            font[i].x1 = stb__arial_bold_27_latin1_x[i] + stb__arial_bold_27_latin1_w[i];
            font[i].y1 = stb__arial_bold_27_latin1_y[i] + stb__arial_bold_27_latin1_h[i];
            font[i].advance_int = (stb__arial_bold_27_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_27_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_27_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_27_latin1_s[i] + stb__arial_bold_27_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_27_latin1_t[i] + stb__arial_bold_27_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_27_latin1_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_27_latin1_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_27_latin1_x[i] + stb__arial_bold_27_latin1_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_27_latin1_y[i] + stb__arial_bold_27_latin1_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_27_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_27_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_27_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_27_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_27_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_27_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_27_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_27_latin1_LINE_SPACING
#endif

