// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_34_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_34_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_34_latin1_BITMAP_WIDTH         256
#define STB_FONT_arial_bold_34_latin1_BITMAP_HEIGHT        306
#define STB_FONT_arial_bold_34_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_bold_34_latin1_FIRST_CHAR            32
#define STB_FONT_arial_bold_34_latin1_NUM_CHARS            224

#define STB_FONT_arial_bold_34_latin1_LINE_SPACING          22

static unsigned int stb__arial_bold_34_latin1_pixels[]={
    0x4cc19988,0x00133009,0x004ccc40,0x20000080,0x46662000,0x26620018,
    0x10062001,0x22000033,0x22000000,0x00002aaa,0x801aaaa8,0x3eeeeeec,
    0x01555510,0x47bbb600,0x5eeeeeea,0x7c4fff90,0x1ffb02ff,0xffff1000,
    0x3ff66005,0x54002dff,0x2defffdc,0x7d5ffea0,0x3ea01dff,0x7ff5407f,
    0x01bfe207,0x3ffbae20,0x000befff,0x3ffffd00,0x7fcc0000,0xffe800ef,
    0x3204ffff,0xd0004fff,0x3fee3fff,0xf907ffff,0x17ffc4ff,0x8005ffa8,
    0x7002fffb,0xffffffff,0xfffb100d,0x1bffffff,0x3eafff50,0xf503ffff,
    0x7ffec0ff,0x0fff207f,0xffffea80,0xffffffff,0x3ee0001e,0x000fffff,
    0x01fff900,0x3fffffa0,0x7ffec04f,0xfffe8000,0xffffff71,0x89fff20f,
    0x3fa02fff,0x7ffc001f,0xffff3003,0x0bffffff,0x7fffffcc,0x2fffffff,
    0xffabffd4,0xfa80ffff,0xffff307f,0x3ffe20ff,0xfffd8800,0xfeccdeff,
    0x003fffff,0xfd8fff98,0xf880005f,0x3fa001ff,0x801aabff,0xe8003ffd,
    0x55511fff,0x2a60ffff,0x02aaa22a,0x2005ffb8,0x32004ffa,0xfb89efff,
    0xff881fff,0xffcdffff,0x2a0fffff,0xff9717ff,0xfff505ff,0x33bfff20,
    0x009ff902,0x05bffff3,0x0bfffd50,0x897ff440,0x40002ffe,0x74001ffc,
    0xe8000fff,0x2000007f,0x00007fff,0x007ffe20,0x3a000cc4,0x7fec3fff,
    0xffffd83f,0xffffd984,0x2e1ffea4,0xffa82fff,0x03fffb07,0x200fffc4,
    0x000dfff9,0x003fffb8,0x80000020,0xfffe8000,0x00000000,0x00ffff00,
    0x5ffe8000,0x7ec00000,0x300c46ff,0x4407ffff,0xf50fffff,0x7fff50ff,
    0x3a0fff50,0x7fec07ff,0x27ff4407,0x3ffe6000,0xfdb75001,0x00037bdf,
    0x3bffb6ea,0x7ff401bd,0x3eeec80f,0x03eeec80,0x3e03dddb,0x3bbae7ff,
    0x0f776c04,0xd70fffdc,0xeed809dd,0x7fffd41e,0xfffd000d,0x79df700d,
    0x7cc3ffd4,0x7ffa84ff,0x440fffd0,0x7ec04fff,0xefec984f,0x73eee98c,
    0xfe8809ff,0xffffffff,0x3fa2003f,0xffffffff,0x3fffa03f,0x04fffe80,
    0xd04fffe8,0x3fe03fff,0x3fffe67f,0x0ffff300,0xf98fffe6,0xff300fff,
    0x3fff60ff,0xfff803ff,0x2a01002f,0xfff987ff,0xd07ffa84,0x7fd40fff,
    0x1bfe602f,0x3ffffff2,0x363fffce,0xfff500ff,0xffffffff,0xfa803dff,
    0xffffffff,0xe81effff,0xffe80fff,0xfffe804f,0x03fffd04,0xffd1fffe,
    0x3fff205f,0x89fff104,0xf902fffe,0xffd109ff,0x201bffff,0x001ffff8,
    0x4c3ffd40,0xffa84fff,0x40dffd07,0x3601fffc,0x7ffe41ff,0xfffffedf,
    0x20bfea1f,0xeffffff9,0xfffffedd,0x3fffe606,0xffeddeff,0xffe86fff,
    0x4fffe80f,0x04fffe80,0x3e03fffd,0x7ffe47ff,0x03ffff05,0x3f237ffc,
    0xffff05ff,0xffffe883,0x982fffff,0x0000ffff,0x7c43ffd4,0x7ffa85ff,
    0x740dfff0,0xff100fff,0x0dfffb8b,0x83ffffea,0xffe83ff9,0xfe980dff,
    0xffd04fff,0xfd301bff,0xffe89fff,0x4fffe80f,0x04fffe80,0x3e03fffd,
    0x7ffc47ff,0x37ffcc0f,0xf11fffa0,0xff981fff,0xafffc86f,0x4fffffe9,
    0x003fffd4,0xf83ffd40,0x7fd40fff,0x04fff987,0x5c0ffff1,0x3ffe23ff,
    0x0dfffd07,0xfffb89ff,0xfffd804f,0x7fffdc0f,0xffffd804,0x203fffa0,
    0xe804fffe,0xffd04fff,0x1fffe03f,0xf90bfffa,0xffd807ff,0x17fff40f,
    0x3a0ffff2,0x3ff625ff,0x3fee3fff,0xc980007f,0x9fff904c,0x7447ffa8,
    0xff102fff,0x07fec0df,0x2e05fff9,0x5ff84fff,0x803ffffc,0x7c5ffff8,
    0xf1007fff,0x7ff4bfff,0x4fffe80f,0x04fffe80,0x3e03fffd,0xfffa87ff,
    0x007fffc5,0xf50bfff2,0xffff8bff,0xb86fff80,0xf51fffff,0x00001fff,
    0xfffff100,0xfd9ffea9,0x3e606fff,0x1bfa05ff,0x7dc0dfff,0x27fcc3ff,
    0x007ffff3,0xf337ffe4,0x64007fff,0x3ffa6fff,0x4fffe80f,0x04fffe80,
    0x3e03fffd,0xfff887ff,0x0bfff30f,0x887fff70,0xff30ffff,0x3fffa0bf,
    0x3ffff982,0x003ffff3,0x3fe60000,0x2fff56ff,0x00effff8,0xf813ffea,
    0x17ffe25f,0x5c1fffc8,0x3ffee2ff,0x3fea000f,0x3fffee7f,0x3ffea000,
    0x203fffa7,0xe804fffe,0xffd04fff,0x1fffe03f,0xfc97ffe4,0xffb802ff,
    0x2fffc83f,0x2e05fff9,0xf982ffff,0xffff15ff,0x0073a005,0xb7fff440,
    0xfff17ffa,0xfffa809f,0xfa93fe04,0x3ff603ff,0x2e1ffd87,0x4c007fff,
    0xff71ffff,0xff9800ff,0x1fffd1ff,0x009fffd0,0x3a09fffd,0xfff01fff,
    0x57ffe60f,0xf7007ffe,0xfff305ff,0x981fffab,0x40dfffff,0x3ffe5ffe,
    0xfffa806f,0x3fe2001f,0xfff56fff,0x17ffffe2,0x205fff88,0x3ffee4ff,
    0x8dfff102,0x7fe46ff9,0x7fc4007f,0xffff92ff,0xffff8800,0xd01fffd2,
    0xfd009fff,0x3ffa09ff,0x0ffff01f,0x7fd7fff4,0xfff9004f,0x2bfffa01,
    0x7dc04fff,0xf12fffff,0x7ffdc5ff,0x7fff401f,0x640aaa26,0x3ea1efff,
    0x3ffea27f,0x17ffe01f,0x3fea5fe8,0x9fff904f,0x3217ff44,0x44006fff,
    0xff92ffff,0xff8800df,0x1fffd2ff,0x009fffd0,0x3a09fffd,0xfff01fff,
    0x77ffdc0f,0xf9001fff,0x7ffdc0ff,0xb801fffe,0xecffffff,0x7ff40eff,
    0xffd982ff,0x1ffea3ff,0x2a07fff4,0xfffb87ff,0x81bffa04,0x3ffe67fd,
    0x2ffff886,0x3ee17ff6,0x7cc007ff,0xfff71fff,0xfff9800f,0x01fffd1f,
    0xd009fffb,0x3fa07fff,0xffff01ff,0x7ffffc40,0x3ffa007f,0x3fffe206,
    0x3a6007ff,0xffffffff,0xfffff980,0xffffebcd,0x1ffea0ff,0x7d42fffc,
    0x0bfff07f,0xf903ffec,0x1ffffc3f,0x57ffffd1,0xf501dffb,0x54001fff,
    0xff50ffff,0x7d4001ff,0xfffd0fff,0x09fffb01,0x207fffd0,0xff01fffe,
    0xfffd80ff,0x3fe004ff,0x7ffec05f,0xfc8004ff,0x202fffff,0xfffffffc,
    0x41ffffff,0xff887ffa,0x07ffa84f,0x7dc0dfff,0x9ff300ff,0x77ffffd4,
    0xffffffff,0xff100dff,0x7e4005ff,0x3ffe27ff,0x3ff2002f,0x03fffa7f,
    0x2013fff6,0xfd03fffe,0x3ffe03ff,0x7fffd407,0xfff1001f,0xffffa809,
    0xfd30001f,0x4c01dfff,0xfffffffe,0xffa81fff,0x84fff987,0xffd07ffa,
    0x17ffd40f,0x7e41ffd0,0xfdefffff,0x805fffff,0x1006ffff,0xff8bffff,
    0xff1006ff,0x7fff4bff,0x05fffc80,0xd02ffff8,0x3fe03fff,0x7ffc407f,
    0x3fea006f,0x7ffc401f,0xfc80006f,0x64404fff,0x3ffffffe,0x261ffea0,
    0xffa84fff,0x40fffd07,0x2e04fff8,0x7f6cc6ff,0x2b3bb23d,0xf904cc40,
    0xfb007fff,0xffc85fff,0xffd803ff,0x3fffa2ff,0x1ffffb80,0x07fffea0,
    0xf80ffffc,0xfff807ff,0x3ff6003f,0x7ffff006,0x20aa6200,0x1005fffc,
    0x50039fd9,0xfff30fff,0x20fff507,0x7e407ffe,0x2fff406f,0xfff90000,
    0x7ffff441,0xffffb104,0xffffd10b,0x3fff6209,0x07fff45f,0x077fffcc,
    0x07ffff44,0x80ffffc4,0x7dc07fff,0x3e000fff,0xffb803ff,0xff8800ff,
    0x7ffcc1ff,0xffdd7006,0x7ffa803f,0xa83fffa8,0xfffb07ff,0x07ffc401,
    0x03bfff10,0x7fff4c00,0xfffffa82,0xfffdbbce,0xff500fff,0xb779dfff,
    0x81ffffff,0x0999fffe,0x3bfffffa,0xfffffdbb,0x7fff5d44,0xff33310f,
    0x3fee20ff,0x3e6005ff,0x3ee200ff,0x3a005fff,0xfb11efff,0xf1000bff,
    0x7ffa80bf,0x5fffd531,0x320fff50,0x901adfff,0xffa807ff,0x26001cff,
    0x203ffffb,0xfffffffc,0x2fffffff,0x7ffffe40,0xffffffff,0xffffe82f,
    0x3ffe64ff,0xffffffff,0x7ff40fff,0x3fee6fff,0x7ec7ffff,0x01ffffff,
    0x6c0fff60,0x1fffffff,0x3fffea00,0x2fffffef,0x05ff8800,0xffabffd4,
    0xfa80ffff,0xffff507f,0x1bfe20ff,0x3ffff620,0xdcaabcdf,0x1ffffffe,
    0xffffe980,0x0dffffff,0xffffd300,0x1bffffff,0x3fffffa0,0x7fff4c4f,
    0xefffffff,0x7ffffc41,0x3fffee1f,0x7ffe47ff,0x22004fff,0x3ff207ff,
    0x8004ffff,0xfffffffb,0xce8804ff,0x401fffdc,0xfff57ffa,0x3fea09ff,
    0x3ffffa07,0x007ff607,0x7fffffdc,0xffffffff,0x5c000cff,0xdffffffe,
    0xffd70003,0x807bffff,0x4ffffffe,0xfffffc88,0xff304eff,0xffb87dff,
    0x7dc7ffff,0x4003ffff,0x3ee02ffc,0x0003ffff,0x3fffffa6,0xfff1002e,
    0xf5005dff,0x3fffeaff,0x81ffea03,0x207fffd8,0x4c005ff9,0xffffffec,
    0x0002dfff,0x00013310,0x00099880,0x26666662,0x0554cc00,0x100aa880,
    0x83333333,0x0001aa98,0xa9880555,0x2200001a,0x100009a9,0xaa880013,
    0x80135512,0x98802aa8,0x0155402a,0x26aa6600,0x00000009,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x65c00000,0x55440001,0x2a60002a,0x880002aa,0x2a00aaaa,0x55301aaa,
    0x2aa20055,0x76c000aa,0x400001ee,0x80002aaa,0x0001aaaa,0xcc801b88,
    0x00f32a1c,0x01555510,0x2aaa0000,0x3f60001a,0x7fec0002,0xd10002ff,
    0x80003fff,0x4c04fffc,0xffd07fff,0x7fe4005f,0x7ffc004f,0x2e00001f,
    0x0004ffff,0x003bffe6,0x2013ea00,0x3ff23fff,0xfffc8006,0xf8800004,
    0x44000fff,0x03dfffec,0xfffffb80,0xff10000f,0x7c40009f,0xff5005ff,
    0x3fff987f,0x0fffd800,0x07fffe00,0x7ffcc000,0xb0001fff,0x00001fff,
    0x3fe007f2,0x01bff23f,0x007ffe40,0x3fff2000,0x7ffd4001,0x00efffff,
    0xfb3fff30,0x7cc000bf,0xf70000ff,0xffa800bf,0x0027fec6,0x4007ffb0,
    0x0001ffff,0xfbaffe88,0x7c4000ef,0x200001ff,0x7fff007f,0x00037fe4,
    0x00007ffb,0x000fffc4,0x3fffffe6,0xd004ffff,0x3ffa27ff,0x3fe60003,
    0x0dff0004,0x4cbfee00,0xe80004ff,0x3ffe007f,0xfd80001f,0x017ff65f,
    0x0003ff90,0x0002fcc0,0xffb00000,0x7fdc0000,0xfffe8002,0xffffcfed,
    0x00000000,0x00000000,0x20000000,0xffff8000,0x00000001,0x10000000,
    0x3b205f91,0xeec803ee,0x0000003e,0x7c400000,0xf35fb5ff,0x75c009ff,
    0xd9001eee,0xdddddddd,0x23dddddd,0xeeeeeeec,0xeeeeeeee,0x22eeed81,
    0x2002eeed,0xdeffedba,0x7fffc01b,0x07bffd91,0x200fbbb2,0xdd93eeec,
    0xddd9007d,0x3ffb6a07,0xfffd02ff,0x9fffd009,0x3bbbae00,0xdd700001,
    0x3e6003dd,0x2e5fb3ff,0x3fe0019a,0xfb004fff,0xffffffff,0x25ffffff,
    0xfffffffd,0xffffffff,0x23fffe82,0x8803fffe,0xfffffffe,0x3fe03fff,
    0xffffeaff,0x7ff40dff,0xfffe804f,0x009fffd4,0xd889fffd,0xffffffff,
    0x04fffe84,0x004fffe8,0x009fffff,0x3ffffe00,0x9fff3004,0xa8000bf6,
    0x00ffffff,0xffffffd8,0xffffffff,0xfffffb2f,0xffffffff,0xfffd05ff,
    0x01ffff47,0x3fffffea,0xefffffff,0xffffff81,0x6fffffff,0x4027fff4,
    0xffd4fffe,0xfffd009f,0xfffffe89,0x745fffff,0xfe804fff,0xffa804ff,
    0x0000ffff,0x7fffffd4,0xffff8800,0x20002fd9,0x3ffffffd,0xfffffd80,
    0xffffffff,0xffffb2ff,0xffffffff,0xffd05fff,0x1ffff47f,0xffffff30,
    0xffffdbbd,0xfffff0df,0xfffd739f,0x27fff45f,0xea7fff40,0xfe804fff,
    0x3fff24ff,0xffffeadf,0x13fffa1f,0x013fffa0,0x3ffffff6,0x7fec0003,
    0xd003ffff,0x05ffffff,0x3fffe200,0xfd806fff,0xfb0004ff,0xd00009ff,
    0x7ff47fff,0x3fffa03f,0xffe980df,0x7fffc4ff,0x6fffd80f,0x2013fffa,
    0xffd4fffe,0xfffd009f,0x4bfffe29,0x5fffdef8,0x2013fffa,0x4404fffe,
    0x6fffffff,0x3ffe2000,0x3006ffff,0x9fffffff,0xfffc8003,0x401ffffe,
    0x0004fffd,0x0009fffb,0x747fffd0,0xff703fff,0xffb009ff,0x7fffc1ff,
    0x1ffff304,0x2013fffa,0xffd4fffe,0xfffd009f,0xa9bffea9,0x740ab9cf,
    0xfe804fff,0x7fe404ff,0x01ffffef,0xfdfff900,0x2e003fff,0xffffffff,
    0xffff000d,0x809fffb5,0x0004fffd,0x0009fffb,0x747fffd0,0xfff03fff,
    0x3fe200ff,0x3fffe5ff,0x47fffe02,0xe804fffe,0xfffd4fff,0x9fffd009,
    0xfc93ffee,0x27fff401,0x027fff40,0x3f6bfffe,0xff0004ff,0x9fffb5ff,
    0x7fff4c00,0x401fffff,0xff57fffa,0x7fec01ff,0xffb0004f,0xfd00009f,
    0x7fff47ff,0x3ffff983,0x9bfff200,0x3a01ffff,0xfffd2fff,0x9fffd009,
    0x2013fffa,0xff94fffe,0x7403fc9f,0xfe804fff,0x3fea04ff,0x1ffff57f,
    0x7fffa800,0x001ffff5,0xfffffe98,0x7ffec06f,0x07ffff14,0x4cefffec,
    0x99999999,0x277fff60,0x99999999,0x7fffd009,0x5c1ffff4,0x2000ffff,
    0x3fe7fffa,0x3ffa01ff,0x09fffd2f,0x3a9fffd0,0xfe804fff,0x9fff94ff,
    0x3fa017e6,0xffe804ff,0x3fff604f,0x07ffff14,0x14fffd80,0x0007ffff,
    0xffffd9fb,0x3fffe203,0x81bfff61,0xfffffffd,0x4fffffff,0x3ffffff6,
    0xffffffff,0x47fffd04,0xfb83fffe,0x7cc007ff,0xffff1fff,0x8ffffc05,
    0xe804fffe,0xfffd4fff,0x9fffd009,0x7e57ffea,0x4fffe802,0x04fffe80,
    0x6c3ffff1,0x22006fff,0x3f61ffff,0xfd8006ff,0x205fff92,0x7cc6fffb,
    0xffb01fff,0xffffffff,0x7ec9ffff,0xffffffff,0xd04fffff,0x7ff47fff,
    0x7fffc83f,0x7fffc400,0x209ffff2,0xfd0ffff8,0xffd009ff,0x13fffa9f,
    0x4d3fffa0,0x21fd6fff,0x3fa3cef9,0xffe804ff,0xdfff704f,0x01ffff98,
    0x98dfff70,0x3301ffff,0xf997ec75,0xfffd03ff,0x09ffff07,0x3ffffff6,
    0xffffffff,0x3fffff64,0xffffffff,0x7fffd04f,0x641ffff4,0x44006fff,
    0xfff2ffff,0xfff901ff,0x027fff4f,0xfea7fff4,0xffe804ff,0x33fffe4f,
    0x9bfff66f,0xe804fffd,0xffd03fff,0x9ffff07f,0x0ffffa00,0x6c13fffe,
    0x25fb2fff,0xf982fff9,0xffc80fff,0xfffd80ff,0xaaaaaaad,0x3ff61aaa,
    0xaaaaaadf,0xfd01aaaa,0x7fff47ff,0x07fffb83,0x8ffffcc0,0x32ffffff,
    0x6c7ffffb,0xfe804fff,0x9fffb3ff,0x47fffd00,0x9bfffffd,0x363ffffc,
    0xfe804fff,0xfff983ff,0xffffc80f,0x7fffcc00,0x0ffffc80,0xfb6fffb8,
    0x207fff25,0xcccffffc,0x3ffffdcc,0x004fffd8,0x009fffb0,0x47fffd00,
    0xfa83fffe,0x2a000fff,0xfff0ffff,0xffffffff,0xfffd8dff,0x3fffe804,
    0xd009fffb,0x7fc47fff,0xffffffff,0x27ffec6f,0x41ffff40,0xcccffffc,
    0x3ffffdcc,0x67fffe40,0xfffdcccc,0xffff883f,0xfffcbfee,0xffffff06,
    0xffffffff,0x9fffb0df,0x3fff6000,0xffe80004,0x0ffffa3f,0x00bfffe2,
    0x3e7fffc8,0xffffbfff,0x7ec1efff,0xffe804ff,0x09fffb3f,0xa87fffd0,
    0xffffffff,0x7ffe40ef,0x2ffff805,0xfffffff8,0xffffffff,0x7ffffc06,
    0xffffffff,0xfff706ff,0xffffffff,0xfffff503,0xffffffff,0xffd83fff,
    0xffb0004f,0xfd00009f,0x7fff47ff,0x0dffff03,0x97fffe20,0xfd89ffff,
    0xfc80cfff,0xfff805ff,0x0bfff92f,0x105ffff0,0x7ffffffd,0x3ffff701,
    0x0ffffd40,0x3fffffea,0xffffffff,0xfff501ff,0xffffffff,0x203fffff,
    0xfffffffd,0xfffb02ff,0xffffffff,0xd89fffff,0xb0004fff,0x00009fff,
    0x7f47fffd,0xfff903ff,0xfffb007f,0x0ffffc5f,0xffb80331,0x3fea01ff,
    0xffff71ff,0x7fffd403,0x1355fb01,0xeffff980,0xffffe880,0x7ffffec0,
    0xffffffff,0xffb04fff,0xffffffff,0x09ffffff,0x7fffff54,0xffff100c,
    0xffff9003,0x027ffec1,0x04fffd80,0x3fffe800,0x440ffffa,0x104ffffe,
    0xf8bffffb,0x98001fff,0x880effff,0xf30ffffe,0xd101dfff,0x3e01ffff,
    0xfffe8007,0xffdbbeff,0x7fc44fff,0xffc801ff,0x7ffc40ff,0xfffc801f,
    0x1ff4400f,0x03fffe40,0x23ffff98,0xcccefffd,0xcccccccc,0x99dfffb3,
    0x99999999,0x7fffd079,0x501ffff4,0x79dfffff,0xffffffb7,0x01ffff81,
    0xfffffd00,0xffffb77d,0xffffe89f,0xfffdbbef,0x09f304ff,0xfffff300,
    0xffffffff,0x7fffc81f,0x7ffff300,0x007fffc8,0x007ffff3,0xfff005fb,
    0x7ff4009f,0x3ffff66f,0xffffffff,0xfffb5fff,0xffffffff,0xfd0bffff,
    0x7fff47ff,0x7fffe403,0xffffffff,0xffff82ff,0xfff30001,0xffffffff,
    0xff981fff,0xffffffff,0xf900ffff,0x3fa60005,0xffffffff,0xffff81ef,
    0x3fffa004,0x027fffc6,0x00dfffd0,0xffa805fb,0x3ee001ff,0xfffb1fff,
    0xffffffff,0x3f6bffff,0xffffffff,0x85ffffff,0x3fa3fffe,0xfe9803ff,
    0xffffffff,0xffff00df,0x7f4c0003,0xffffffff,0xffd301ef,0xffffffff,
    0x003f403d,0x3ffff220,0xf504efff,0x5c003fff,0xff51ffff,0x7dc003ff,
    0x00001fff,0x800dfffb,0xfb4ffff8,0xffffffff,0x2bffffff,0xfffffffd,
    0xffffffff,0x23fffe85,0x2003fffe,0xffffffeb,0x7fffc03d,0x7e440001,
    0x4effffff,0xffffc880,0x4404efff,0x2600005d,0xfd800aa9,0x7c4006ff,
    0xfffb4fff,0xfff8800d,0x0000004f,0x00000000,0x00000000,0x09988000,
    0x00000000,0x00015533,0x000554cc,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x33260000,0x00b3320c,
    0x801aaa98,0xeeeeedb8,0x004eeeee,0x0015554c,0x5417b710,0x5550003e,
    0x336a0005,0xcca82ec1,0x00733223,0x74c17b71,0xccc88003,0x800b32e0,
    0x33263ccb,0x0000000c,0x02666200,0x43fff500,0xf1004fff,0x6401dfff,
    0xffffffff,0x005fffff,0x007fffe2,0xdfffff80,0xb8002fec,0x4004ffff,
    0xdceffffc,0x4dff905f,0x7c02fff9,0xfecdffff,0xfff98002,0x8013ffa1,
    0x3fea6ffd,0xfc88001f,0xf880002e,0x54001fff,0x3ffe1fff,0xffffd004,
    0x3fff20bf,0xffffffff,0x2e005fff,0x20001fff,0xffffeff9,0x7cc000ff,
    0x002fffff,0x3fffbbfa,0xdff903ff,0x3017ffcc,0xfffffdff,0xff30001f,
    0x027ff43f,0x7d4dffb0,0xfc8001ff,0x40000fdc,0x8002fffb,0x3fe1fffa,
    0xdffc804f,0x7d42fff8,0xffffffff,0x05ffffff,0x000bffe0,0x764c7f90,
    0xffe8001d,0x800fffbb,0x3bae26f8,0x99bff203,0x3ee02fff,0x0077b263,
    0xd0fffcc0,0x7ec009ff,0x07ffea6f,0x03f93e00,0x01fffc00,0x30001000,
    0x3fe61fff,0x3ffff20f,0xff53ffff,0x7fd4001f,0x01000002,0x25ffc800,
    0x00005ffc,0x00000000,0x00000000,0xe8000000,0x40005f35,0x40003ffb,
    0xdeffedba,0xe800001b,0xffffffff,0x001fff53,0xba800000,0x1bdeffed,
    0xd9000000,0xdd5009dd,0x5dddb05d,0xdddd7000,0x3ae00003,0xd9001eee,
    0xdddddddd,0x03dddddd,0x07ffff20,0x00198800,0x3ffffa20,0x03ffffff,
    0x205dddb0,0xffffffff,0x81fff53f,0x001eeeec,0x201bdddb,0xffffffe8,
    0x3203ffff,0xeeeeeeee,0x1eeeeeee,0x805ffffb,0xfe83fffb,0xff8003ff,
    0x00004fff,0x009fffff,0x3ffffff6,0xffffffff,0xffff002f,0x0000009f,
    0x7ffffd40,0xffffffff,0x7fff401e,0xfffffd03,0x3fea7fff,0x7fffcc0f,
    0xffffb806,0xfffff503,0xffffffff,0xffffb03d,0xffffffff,0x3ff65fff,
    0x7fdc06ff,0x3fffe83f,0x7fffd400,0x540000ff,0x00ffffff,0xffffffd8,
    0xffffffff,0xfffa802f,0xed800fff,0xddd901ee,0x3fffe605,0xffeddeff,
    0x7f406fff,0xfffb03ff,0x2a7fffff,0xffc80fff,0x3fe203ff,0xfff306ff,
    0xfdbbdfff,0xfb0dffff,0xffffffff,0x25ffffff,0x03fffffd,0x3a0fffee,
    0x6c003fff,0x03ffffff,0x7fffec00,0xffd803ff,0xffffffff,0x802fffff,
    0x3ffffffd,0x01fffe80,0x3a07fffb,0x980dffff,0x204ffffe,0xf303fffe,
    0x7fffffff,0x2203ffea,0x900ffffe,0x3a03ffff,0x980dffff,0x6c4ffffe,
    0xffffffff,0x2fffffff,0x1ffffffb,0x20fffee0,0x2003fffe,0xfffffff8,
    0x3fe20006,0x806fffff,0x0004fffd,0x7ffffc40,0xffe806ff,0x7fffb01f,
    0x09ffff70,0x01ffffb0,0xb80ffffa,0x3fffffff,0x2a01fff5,0xf984ffff,
    0xff704fff,0xffb009ff,0x7ffec1ff,0xfffb0004,0x3ee0bfff,0xfffe83ff,
    0x3fff2003,0x001ffffe,0xffdfff90,0xffd803ff,0x6400004f,0xffffefff,
    0x0ffff401,0xf83fffd8,0xf1007fff,0x3fa0bfff,0x7f5403ff,0xff53ffff,
    0x7ffec01f,0x7ffff41f,0x0fffff00,0x97fffe20,0x0004fffd,0xfffffffb,
    0x07fff705,0x4007fffd,0xffdaffff,0xfff0004f,0x09fffb5f,0x004fffd8,
    0x57fffc00,0x7404fffd,0xffb01fff,0xffff987f,0x3fff2003,0x07fffd06,
    0x4fffee20,0x2200fffa,0x3ea6ffff,0xff302fff,0x7e4007ff,0x3fff66ff,
    0xfffb0004,0xb81dffff,0xffe83fff,0xfff5003f,0x03fffeaf,0x2ffff500,
    0x200ffffa,0x0004fffd,0x55fffea0,0x3a00ffff,0xffb01fff,0xffffb87f,
    0x3ffea000,0x07fffd07,0xa9fffc40,0x7dc00fff,0xfffd2fff,0x7fffdc0b,
    0x3ffea000,0x013fff67,0x7e7ffec0,0x7fdc4fff,0x3fffe83f,0x29fffb00,
    0x003ffff8,0xf8a7ffec,0x3f603fff,0x99999dff,0x40099999,0xff14fffd,
    0x7ff407ff,0x7fffb01f,0x007fffb8,0x40ffffcc,0x2003fffe,0xff53fff8,
    0xfffd001f,0x01ffff9f,0x003fffdc,0x6c7fffe6,0x9999dfff,0x20999999,
    0xffcafffd,0x3ffee1ff,0x03fffe83,0x21ffff88,0x2006fffd,0x361ffff8,
    0x3f606fff,0xffffffff,0x204fffff,0x361ffff8,0x3fa06fff,0xfffb01ff,
    0x07fffc87,0x17fffc40,0x001ffff4,0x3ea7fff1,0xff9800ff,0x03ffffff,
    0x003fffe4,0x6cbfffe2,0xffffffff,0x24ffffff,0xff8afffd,0x3ffee6ff,
    0x03fffe83,0x4c6fffb8,0x7001ffff,0xff98dfff,0xfffb01ff,0xffffffff,
    0x7dc09fff,0x7ffcc6ff,0x3fffd01f,0x90ffff60,0x8800dfff,0xfe82ffff,
    0x3e2003ff,0x1fff53ff,0x3ffff200,0xffc806ff,0x7fc4006f,0xffffb2ff,
    0xffffffff,0x7ffec9ff,0x25ffff52,0xfe83fffb,0xffe803ff,0x4ffff83f,
    0x07fffd00,0x3609ffff,0xffffffff,0x04ffffff,0x3e0ffffa,0xffd04fff,
    0x3fffa03f,0x03fffdc3,0x07fffe60,0x800ffffa,0xff53fff8,0x7ff4001f,
    0xfb801fff,0x7cc007ff,0xfffb1fff,0xffffffff,0x7fec9fff,0x3ffff62f,
    0xe83fffb8,0x7cc03fff,0xffc80fff,0x7fcc00ff,0xfffc80ff,0xdfffd80f,
    0xaaaaaaaa,0xfff301aa,0xffff901f,0x05fffd01,0xf50ffffe,0x54001fff,
    0xfe80ffff,0x3e2003ff,0x1fff53ff,0x7fffcc00,0xffff5004,0x7ffd4001,
    0x5bfffb0f,0x55555555,0x17ffec35,0xf79ffff1,0xfffd07ff,0xffffc807,
    0xffdccccc,0x7fe403ff,0xdcccccff,0xfd83ffff,0xc80004ff,0xccccffff,
    0x83ffffdc,0xfa83fffd,0x7fc43fff,0x3f2002ff,0xfffd07ff,0x7ffc4007,
    0x001fff53,0x002ffff8,0x005ffff1,0xfb3fffe4,0x360009ff,0x7fdc2fff,
    0x83fffdff,0x7c03fffe,0xffffffff,0x06ffffff,0x7ffffffc,0xffffffff,
    0x04fffd86,0xfffff800,0xffffffff,0xfffb86ff,0x3fffea1f,0x6ffff83f,
    0xbffff100,0x00ffffa0,0xf53fff88,0xff8001ff,0x3fe002ff,0xff1006ff,
    0x7ffecbff,0xfffb0004,0xfffffd05,0xfffd07ff,0x7fffd407,0xffffffff,
    0xf501ffff,0xffffffff,0x3fffffff,0x004fffd8,0x7ffffd40,0xffffffff,
    0x7fd41fff,0xffffffff,0xffc83fff,0xffd803ff,0xfffd02ff,0x7ffc4007,
    0x001fff53,0x002ffff8,0x00fffff2,0xd8bffff6,0xb0004fff,0xff305fff,
    0xd07fffff,0x7ec07fff,0xffffffff,0x4fffffff,0xffffffb0,0xffffffff,
    0xfffd89ff,0x7fec0004,0xffffffff,0x84ffffff,0xfffffffc,0x883fffac,
    0x104ffffe,0x40bffffb,0x2003fffe,0xff53fff8,0xfff8001f,0x3fa2002f,
    0xfb104fff,0xffd8bfff,0xffb0004f,0x3fff605f,0xffe83fff,0xffff103f,
    0xffff9003,0x1ffff881,0x0ffffc80,0x0013fff6,0x01ffff88,0x80ffffc8,
    0x52efffec,0x3ea07fff,0xbbceffff,0x0ffffffd,0x00ffffa0,0xf53fff88,
    0xff8001ff,0x7d4002ff,0xbbceffff,0x0ffffffd,0x0027ffec,0x102fffd8,
    0x07ffffff,0x3207fffd,0xf3007fff,0xffc87fff,0xfff3007f,0x77ffec7f,
    0xcccccccc,0x3ff23ccc,0xfff3007f,0x004c407f,0xfffff900,0xffffffff,
    0xfffe805f,0x3ffe2003,0x001fff53,0x002ffff8,0xffffffc8,0xffffffff,
    0xcefffd82,0xcccccccc,0x5fffb3cc,0x7ffffdc0,0x03fffe83,0x4009ffff,
    0x7fc6fffe,0x3fa004ff,0x3fff66ff,0xffffffff,0x3fe5ffff,0x3fa004ff,
    0x000006ff,0xfffffe98,0x00dfffff,0x003fffe8,0x7d4fffe2,0x7fc000ff,
    0xd30002ff,0xffffffff,0x3f601bff,0xffffffff,0xb5ffffff,0xfe805fff,
    0xffe83fff,0xffffa83f,0x3ffee001,0x3ffff51f,0x7fffdc00,0xffffffb1,
    0xffffffff,0x3fffeabf,0x3ffee001,0x0000001f,0xffffffd7,0x7ff4007b,
    0x3fe2003f,0x01fff53f,0x02ffff80,0x7fff5c00,0x6c03dfff,0xffffffff,
    0x5fffffff,0x9805fffb,0xfe83ffff,0xfffd83ff,0x7ffc4006,0x0dfffb4f,
    0x4ffff880,0xfffffffb,0xffffffff,0x01bfff6b,0x09ffff10,0x31000000,
    0x3fa00013,0x3e2003ff,0x1fff53ff,0x2ffff800,0x26620000,0x3fff6000,
    0xffffffff,0x0005ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x26600000,0x4cc00099,0x01000099,
    0x80009980,0x00009998,0x10013331,0x09998333,0x00199880,0x80013310,
    0x08000000,0x22001b80,0x4c400999,0x004ccc19,0x2620ccc4,0x26666009,
    0xfffb8000,0x7ffec006,0x3ffaa004,0x3ffb803e,0x7fffc400,0xfff88005,
    0xfffb805f,0x807fff10,0x005ffff8,0x5402ffe8,0xcdefffdc,0x6e540001,
    0x20ceffff,0xf8801ffa,0x7e402fff,0x0bffe67f,0xfd1bfee0,0x7ffe409f,
    0xfff90005,0xfffd8003,0xffffb800,0x3fe205ff,0xfffd8007,0x7ec003ff,
    0x5c03ffff,0xfff10fff,0xffffd807,0x7ffc002f,0xffffb100,0x09ffffff,
    0xffffb100,0x59ffffff,0xf7005fff,0xff9005ff,0x017ffccf,0xff127fe4,
    0xfffd805f,0xbff90000,0x3ffe8800,0x55fffc40,0xff702fff,0xeffb8007,
    0x7000fffa,0x1fff5dff,0x887ffdc0,0x3ee03fff,0x00fffaef,0x2a0dff30,
    0xffffffff,0x01efffff,0xffffff50,0xffffffff,0x3fa007ff,0xfff9003f,
    0x4017ffcc,0x3fe63ffe,0x4ffd800f,0x07ff6000,0x80ffd100,0x3ff26ffa,
    0x007ff884,0xfb8fffc4,0xfff8806f,0x4c0dff91,0x0d5542aa,0xf90fff98,
    0x3fee00bf,0xfffff984,0xffffddef,0x7cc00fff,0xdcefffff,0x4ffffffe,
    0x009ff500,0x5511554c,0x3fff0015,0x8803ffdc,0x20000ffe,0x98800099,
    0x727fdc01,0x7ff90bff,0x40998800,0x99880199,0x0000ccc0,0x98133100,
    0x5ffb0019,0x1bffffd0,0x9ffffd30,0xdffffe80,0xffffd980,0x00331004,
    0x3e600000,0x17ff20ff,0x00099880,0x00000020,0xffa93ff2,0x003ffc46,
    0x10000080,0x00008000,0x1fff0000,0x04ffffb8,0x01ffffd8,0x809ffff7,
    0x00fffffe,0x02000020,0x3f2aaa60,0xffeaaaff,0x001001ad,0xfffffb50,
    0x3dddb05b,0x64bbbb20,0x1bfee4ff,0x20007ff9,0x3dfffdb9,0x3ffb2200,
    0xfda802de,0xd82dffff,0xdd901eee,0x1bfe605d,0x401ffffe,0xf05ffff9,
    0xfd80dfff,0x204fffff,0x2deffec8,0xdffd9100,0x3fff605b,0xffffffff,
    0x7304ffff,0x007bfffb,0xfffffffb,0xfffe89ff,0x27fffb01,0x3ff25ffb,
    0x001ffe25,0x7fffffdc,0x74c01eff,0xdfffffff,0xfffffb00,0xfe89ffff,
    0xfffb01ff,0x113fee07,0x4007ffff,0xf886fffd,0x3f202fff,0x07fffdef,
    0xffffffd3,0x7f4c01bf,0x0dffffff,0x7fffffec,0xffffffff,0xffffb84f,
    0x901effff,0xffffffff,0x7ff47fff,0x7fffb01f,0x3e6bffe2,0x0fff22ff,
    0x3fffea00,0x2fffffff,0xffffff30,0xf90dffff,0xffffffff,0x7fff47ff,
    0x07fffb01,0xff30bff6,0x7d4001ff,0xfff987ff,0x3fff900f,0x981ffff7,
    0xffffffff,0xfff306ff,0xdfffffff,0xffffffd8,0xffffffff,0x7fffd44f,
    0x2fffffff,0x4dffffc4,0x25fffea8,0xfb01fffe,0x7ffe47ff,0x3fe26fff,
    0xfffa8007,0xfffdacff,0xfffd80ff,0xffffb8be,0x2ffffe22,0x5fffea89,
    0x6c07fffa,0xfff03fff,0x07fffa81,0x07fffcc0,0x5c1fffee,0xfff51fff,
    0xefffd83f,0x2ffffb8b,0x8befffd8,0x302ffffb,0x7fe41fff,0xfffff505,
    0xfffffb59,0x4276dc41,0x3fa6fffa,0xfffb01ff,0xdffffc87,0x000fff20,
    0x3037fffa,0xfa8bfffd,0x7fcc0fff,0x13b6e26f,0xfe9bffea,0xfffb01ff,
    0x90fff307,0x8800ffff,0x7e42ffff,0xfffa87ff,0x8bfffe62,0x4c0ffffa,
    0x7fd46fff,0x7ffcc0ff,0xe8dff706,0xfffd03ff,0xfffe981b,0x7ffcc005,
    0x407fffa7,0x3303fffd,0x447ff881,0xff882bca,0xfff500ff,0x05fffc8f,
    0x4003fffd,0x3fa7fff9,0xfffb01ff,0x90bff707,0x8800dfff,0x7e42ffff,
    0x7ffcc6ff,0x17fffc43,0x3a0bfff9,0x3ff21fff,0x3fffd05f,0xff89ff90,
    0xffff882f,0x0ffff500,0xfffeca88,0x07fffa7f,0x001fffec,0xffa8fff2,
    0x3ea0efff,0x7ffc05ff,0x2ffff61f,0xffc99999,0x3b2a202f,0x3fa7ffff,
    0xfffb01ff,0x707ffb07,0x9800ffff,0x7dc1ffff,0xfff10fff,0x3ffff309,
    0x4cdfffec,0x2fffc999,0x266ffff6,0x2fffc999,0x3e63ffe8,0xfffa80ff,
    0x0ffffc05,0x3ffffb26,0x3fa7ffff,0xfffb01ff,0x3ffc4007,0xfffdfff1,
    0x027ffecb,0xff8bfffa,0xffffffff,0x64c3ffff,0xfffffffe,0x07fffa7f,
    0x741fffec,0xfffa81ff,0x3fea000f,0xffffa87f,0x505ffe89,0x7fc1ffff,
    0xffffffff,0x3fe3ffff,0xffffffff,0x9973ffff,0xfb99bfff,0x365999ff,
    0x7f404fff,0x3ffea2ff,0xfffcdfff,0x407fffa7,0x2003fffd,0x3ff23ffc,
    0x323fff15,0x7f403fff,0x3fffe2ff,0xffffffff,0x3ffea4ff,0xfffcdfff,
    0x407fffa7,0x7c43fffd,0xffff107f,0x3ff20605,0xffff986f,0x3205ffeb,
    0x7ffc7fff,0xffffffff,0x3ffe4fff,0xffffffff,0xfffb4fff,0xffffffff,
    0x3f29ffff,0x7ff403ff,0x9ffff32f,0xd3fffc45,0x3fa03fff,0xff1003ff,
    0x3a2ffd8f,0xbfff52ff,0x21ffff80,0xaaacfffe,0x31aaaaaa,0x4459ffff,
    0x3ffa7fff,0x7fffd01f,0x3e05ffa8,0xdfa86fff,0x0bffff10,0x3ffffffe,
    0xffff100e,0xacfffe8b,0xaaaaaaaa,0x2b3fffa1,0xaaaaaaaa,0xffffffb1,
    0xffffffff,0x17ffea9f,0x323ffff0,0xff985fff,0x0bfffa7f,0x801ffffc,
    0x7ff43ffc,0x7ccfff62,0x3fe606ff,0x3fff60ff,0x7ffe4004,0x27fff985,
    0xff02fffe,0x3ffc87ff,0x0bffff20,0xffb9fffd,0x3fee05ff,0x3200efff,
    0x7ec2ffff,0xfd8004ff,0x65c004ff,0xfccceffe,0x32cccdff,0x7cc0dfff,
    0xfffd0fff,0x4ffff705,0xfa83fffd,0xf8803fff,0x21fff87f,0x3ffe4ffd,
    0xfffd883f,0x43fffdc5,0xfd0bcef8,0xfff705ff,0x41fffecf,0x743ffffa,
    0x3fe201ff,0x3faa3fff,0x05ffffff,0x0fffffe2,0x85ffffc8,0xf887fffb,
    0x3fee0bce,0xbcef887f,0xf31fff40,0x7ffc01ff,0xfffd883f,0x31bfff65,
    0x7dcfffff,0x3fea1fff,0xfc803fff,0x22ffe83f,0x3ff23ffd,0xffc8beff,
    0x7fc41fff,0x3ff21dff,0xdfffb0ff,0x27ffff98,0x2a1ffffb,0x223fffff,
    0xffa807ff,0xfaabdfff,0x01ffffff,0x6fffffec,0xfffeba9a,0xfff880ff,
    0x3fff21df,0x3fffe20f,0x3ffff21d,0xa87ffe20,0x7fe406ff,0xffc8beff,
    0x3fee1fff,0xfffedfff,0xfff50fff,0xffffffff,0xff8807ff,0x7c9ff907,
    0x7ffec1ff,0xffffffff,0xfffff703,0x47fffffd,0xedfffffb,0x50ffffff,
    0xffffffff,0x547fffff,0xff9005ff,0xffffffff,0x405fffff,0xfffffffa,
    0xffffffff,0x3ffee02f,0xfffffeff,0xfffffb83,0x43fffffe,0x3f20fff9,
    0xfffd805f,0xffffffff,0xfffffe83,0x2fffddff,0x3ffffff2,0x03fffacf,
    0xf981ffe4,0x06ffedff,0xfffffff9,0xffb807ff,0x4fffffff,0xffffffe8,
    0x22fffddf,0xfffffffc,0x323fffac,0x3a6003ff,0xffffffff,0x2effffff,
    0x7fefffcc,0xffffffff,0xffb800df,0x4fffffff,0x3ffffee0,0xfb84ffff,
    0x01fff46f,0xffffffc8,0xf9103fff,0x3ea7ffff,0x7ff645ff,0x7fff52ef,
    0x203ffc40,0x1ffffffb,0x3fffb6a0,0xfb3000df,0x205dffff,0x3fffffc8,
    0xec8bfff5,0xff52efff,0x00fff47f,0x7ffff5c0,0xfffebdef,0x53ff60ff,
    0xffffffb8,0x6cc003df,0x02efffff,0xfffffd98,0x89ffb02e,0x2a001fff,
    0x0dffffed,0x000a9880,0x40001310,0xc9803eeb,0x22000cde,0x5440000a,
    0x15310009,0x00262000,0x80002aa8,0xffc80998,0x2605d83f,0x1000009a,
    0x22000135,0x5554009a,0x00055541,0x00000a88,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3f660000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x88266200,0x98800199,0x99880199,0x00066620,
    0xdb880001,0x80000003,0x00009999,0x000cccc4,0x00000000,0x00000000,
    0x00020000,0x004ccc40,0xfa9bff60,0x7fc001ff,0xffd802ff,0x803ffea5,
    0xcfffeca8,0x7f7ec000,0x3fb6a005,0xf9002dff,0xe8000bff,0x32603fff,
    0x3e001cee,0x5ff5002f,0x003fea00,0x5400bfea,0x6cc000ff,0x002dffff,
    0x01bfffa0,0x7d4dffb0,0x3ee001ff,0xffb003ff,0x007ffd4b,0xfffffffd,
    0x4be6005f,0x7ec400fa,0x6fffffff,0x01fffb00,0x13ffea00,0xffffffa8,
    0x005fb800,0x2005fff5,0xffa803fe,0x07fd002f,0xfffffb80,0xc8005fff,
    0x004fffff,0xffa9bff6,0x3ffa001f,0x97ff6003,0xfb00fffa,0xffffffff,
    0x25f3001f,0x7ff401fa,0xffffffff,0x09ffb005,0x013ff600,0xbff53dfd,
    0x401ff880,0x02ffffe9,0x74c06fb8,0xb802ffff,0x7fd4006f,0xffffefff,
    0x3ffe6003,0x3001fffa,0x55544555,0x09ff5000,0x222aaa80,0xffa80aaa,
    0xfffb9bff,0xfbfd002f,0xffffb80b,0xffffcaad,0x0ffe8802,0x02ffcc00,
    0x5ff88d4c,0x64027e40,0x402ffeff,0x7e402ff8,0x4402ffef,0x7ec002ff,
    0x3ffe64ff,0x5fff1006,0x0003bfea,0x06620000,0xf9000000,0xfffd89ff,
    0x19d91003,0x17fffc40,0x802fffec,0x44000998,0xffd80019,0x03fe601f,
    0x3fee2f20,0x402fe402,0x02ffb8bc,0x74002fe4,0x7fe41fff,0x1998800f,
    0x00004ccc,0x00010000,0x7ff40020,0x0ffff42f,0x3ea00200,0x157306ff,
    0x40000800,0x7ffc4000,0x00ff601e,0x880bfee0,0x7dc001ff,0x07fe202f,
    0x97fff600,0x0007fff8,0xdddb0002,0x0bbbb203,0x6fffedcc,0x3f6e6003,
    0x3fa03dff,0x3ffe61ff,0xfffda807,0xffb82dff,0xc880005f,0x802deffe,
    0xdfffffda,0x7f54c402,0x007fa80f,0x6c05ff70,0xffb8004f,0x0013f602,
    0xd8ffffdc,0x2a004fff,0x2dfffffd,0x80ffff40,0xfb83fffd,0xefffffff,
    0x7fffdc01,0xe81effff,0x3ff61fff,0x7ffec04f,0x44ffffff,0x0004fffc,
    0x7fffff4c,0xffb00dff,0x9fffffff,0x7fdc1330,0x0002fe82,0x3e605ff7,
    0xffb8000f,0x001ff302,0x77ffff40,0xb001ffff,0xffffffff,0x7fff409f,
    0x87fffb01,0xfffffffa,0xf502ffff,0xffffffff,0xffff85ff,0x01ffff11,
    0x7fffffe4,0x363fffff,0x20004fff,0xfffffff9,0xffc86fff,0xffffffff,
    0xd97fe23f,0x037dc0ff,0x205ff700,0xf70003fe,0x00ffa05f,0xfffff300,
    0x32003fff,0xffffffff,0xffd03fff,0x3fff603f,0x3ffffea3,0xfffffdac,
    0x7ffffd40,0xfffffdac,0x5c7fffe0,0x3e206fff,0xea89bfff,0x3fee5fff,
    0x3f60005f,0xffb8beff,0x3ffe22ff,0xffea89bf,0x7f7fe45f,0x0ffc44ff,
    0x05ff7000,0x5c000df5,0x06fa82ff,0xfffe8800,0xf1000dff,0xd5137fff,
    0x3fa0bfff,0xfffb01ff,0x06ffff47,0xd17fffa6,0xe981bfff,0x3ffe5fff,
    0x1ffff91f,0x213b6e20,0x3ea6fffa,0x9df306ff,0x0ffffa87,0x7137ffcc,
    0xfff509db,0xeffec88d,0x002fe40b,0x3a0bfee0,0x3ee0002f,0x002fe82f,
    0x7ffff4c0,0x2e2004ff,0xfffa84ed,0x03fffd06,0x7c4ffff6,0xff500fff,
    0x7fffc4ff,0x4ffff500,0xff31ffff,0x20001dff,0x3e67fff9,0xffc82fff,
    0x2fffe46f,0x001fffe8,0x981fffe6,0x203ff101,0x26201cc8,0x5437dc09,
    0x4cc401cb,0x91037dc0,0x3ffee039,0x22ffffff,0x3e60000a,0xfffd07ff,
    0x4ffff603,0x7c05fffa,0xfff51fff,0x1ffff80b,0x7e43ffff,0x8800efff,
    0x7ffffeca,0x4effffe4,0x43ffffb9,0x999bfffd,0x02fffc99,0x3fffb2a2,
    0x9fb0007f,0x001ffec0,0x3fa0ffc4,0x4003ffff,0x3f601ff8,0xffffb83f,
    0x8fffff9e,0x8804fff9,0x7ffffeca,0x203fffd0,0xffb3fffd,0xfffe809f,
    0x809fffb2,0xfff2fffe,0xffffd83f,0xfffd9305,0x88ffffff,0xffffffff,
    0xfff86fff,0xffffffff,0x764c3fff,0xffffffff,0x0ff98007,0x007fff90,
    0xffb8bf90,0x000ffecd,0xffb817f2,0x4fffe83f,0x33bfffea,0xd9304fff,
    0xffffffff,0x07fffa0f,0xfc9fffec,0x7ff403ff,0x07fff92f,0xff2fffe8,
    0xfffb03ff,0xffffa87f,0x7fffcdff,0xfffffe98,0xff80ffff,0xffffffff,
    0x3ea4ffff,0xfcdfffff,0xfe8007ff,0x7ffff503,0x40ff9800,0x0ffea7fe,
    0xa807fcc0,0x7c43ffff,0x7fdc0fff,0x81ffffff,0xdffffffa,0xfd07fffc,
    0x3ffa03ff,0x0bfff53f,0xf51ffff8,0xfff80bff,0x03ffff1f,0x4c3ffff6,
    0x222cffff,0xf9107fff,0x017fffff,0x2ab3fffa,0x1aaaaaaa,0x459ffff3,
    0x4007fff8,0x7ff306fa,0xfd8007ff,0x7fdc1104,0x209fb002,0x43ffbff9,
    0xfb05fffb,0x30dfffff,0x4459ffff,0xffd07fff,0x3fffe05f,0x40dfff33,
    0xf30ffff9,0x7fcc0dff,0x3ffff0ff,0x4bfffe20,0xf985fffc,0x7ecc07ff,
    0x7fec00be,0x7fe4004f,0x7fff985f,0x4417f400,0x03ff8cfe,0x2003fea0,
    0xa800effa,0xcfe880ff,0x7fe43ff8,0x3fffa06f,0xfffc81ff,0x07fff985,
    0xf507fffb,0x7ffc7fff,0xfffd883f,0x41ffffc5,0x3e5fffd8,0x3f601fff,
    0x5fffd3ff,0x80ffff70,0x00fffeed,0x221fffee,0xffd0bcef,0xffff705f,
    0xd837dc00,0x007ff15f,0x7e401ff4,0x7fd001ff,0x7fc57f60,0x0ffffd43,
    0xdfffffc8,0x417fff40,0xf707fffb,0x7fd43fff,0x3ff23fff,0xffc8beff,
    0x7fe41fff,0xffc8beff,0x3ffe1fff,0xf31d911f,0x3ff63fff,0x7fffcc6f,
    0x13fea007,0x1dffff88,0x6c3ffff2,0x7fcc6fff,0xff1007ff,0xdddff703,
    0xb801ddff,0xeffd806f,0x20df7001,0xffeeeffb,0xffff10ee,0xffd5337d,
    0x43dfffff,0x7cc6fffd,0xff507fff,0xffffffff,0xffd87fff,0xffffffff,
    0xffffb03f,0x7fffffff,0xf99ffff8,0x6fffffff,0x37ffffee,0x0ffffffe,
    0x807ff300,0xfefffffb,0x3ee3ffff,0xffedffff,0xc800ffff,0xffff705f,
    0x401fffff,0x7ec02ff8,0xff1000df,0x3fffee05,0x2e0fffff,0xffffffff,
    0xffffffff,0xffff71ff,0xfffffdbf,0x3fff201f,0xffacffff,0xffffc83f,
    0x403fffff,0xfffffffc,0xffff83ff,0xffffff91,0xffffe83f,0xfffddfff,
    0xfeccd982,0xffb800ff,0x4fffffff,0xffffffe8,0x02fffddf,0xa9807fcc,
    0x2dffbaaa,0x3202fe40,0x3eeeefff,0xa9817f20,0x2dffbaaa,0xffffffb8,
    0xfe9cffff,0x7fff44ff,0xffddffff,0x3ffb202f,0x7fff52ef,0x3fffb6a0,
    0xdb5000df,0x201bffff,0x3ae1ffff,0xc881efff,0xf53fffff,0xfff30bff,
    0x4c003bff,0x2efffffd,0xfffff910,0x017ffea7,0xf88009fb,0x0ffc403f,
    0x3fffffe0,0x3ff104ff,0x03ff8800,0x3fffff62,0x42fdc1df,0x3fffffc8,
    0x100bfff5,0x51000013,0x0a880001,0x01510000,0x00015310,0x400004cc,
    0x310009a8,0x74c00015,0x6644000d,0x20275c01,0xccccccc8,0x009d702c,
    0x20039910,0x04c00a98,0x00015310,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000040,
    0x0000ccc0,0x01000002,0x00000000,0x00000310,0x00000188,0x00040000,
    0x00004400,0x0179db73,0x2f3b6ea0,0x07bbb600,0x7fffee4c,0xfd9000ce,
    0x3bba27bf,0x0003ffa3,0x3bfffd95,0xfedba800,0x2001bdef,0x33dffec8,
    0x71007ddd,0x5bfffffd,0xfeb88000,0x802dffff,0xfb715eed,0xca8007bf,
    0x02defffd,0xfffec980,0xf7003def,0x03ffffff,0x7fffff44,0xffff02ff,
    0xfffff703,0x409fffff,0xffffffe9,0x324fff9d,0x3f2002ff,0x4fffffff,
    0xffffe880,0x03ffffff,0xffffff98,0x04fff9cf,0x7fffffe4,0x001effff,
    0xffffffc8,0x201effff,0xffe8ffff,0x400dffff,0xffffffd8,0x8800dfff,
    0xfffffffd,0x3203ffff,0xffffffff,0xfffe881f,0x82ffffff,0x7ec1ffff,
    0xffffffff,0xff884fff,0xefffffff,0x3fea4fff,0xffffb004,0x05ffffff,
    0x7fffffd4,0xefffffff,0xfffff101,0xfffdffff,0x3fffa609,0xfeca89bd,
    0xfd3003ff,0x95137bff,0x3e07fffd,0xffffefff,0x2606ffff,0xffffffff,
    0x202fffff,0xffffffe9,0x3fffffff,0xdeffff88,0xfc85ffff,0xfffddfff,
    0x7fffc0ff,0x3ffffea1,0xfffffdce,0x7fffe42f,0xffffdabe,0x01bfe24f,
    0x273fffea,0x307fffeb,0xbdffffff,0xdfffffdb,0x37ffff60,0xfffffd99,
    0x03fff884,0x404ffe88,0x8803fff8,0xfff84ffe,0xffb9dfff,0xff882fff,
    0xffcdffff,0x880fffff,0xdffffffe,0xfffffffd,0x12fffdc2,0xff83ffff,
    0x3ffe21ff,0x0555542f,0x501bfff9,0x7c4bffff,0xffa84fff,0x07ffc4ff,
    0x10ffff20,0xfd03ffff,0xd301bfff,0xf989ffff,0xffa82fff,0x2ffe84ff,
    0x0bffa200,0x0102ffe8,0xff85ffd1,0x7ec41fff,0xfffd86ff,0xfffd984f,
    0xffffd84f,0xfffd981e,0x0ffffc6f,0xfa97fff2,0xfffd85ff,0x3fffe004,
    0x9ffff601,0xb00ffff9,0xffd89fff,0x07fffc02,0x2e16f7ec,0xd804ffff,
    0x3ea0ffff,0x3ffa06ff,0xd97fe44f,0x0bdeeeee,0x3203ffa2,0x7f6d42ff,
    0x3ffa21be,0x413fffe0,0x260ffff9,0x2203ffff,0x260fffff,0xe805ffff,
    0xff31ffff,0xffff30ff,0xffb01510,0xf85ff05f,0x32603fff,0x3ffee2cc,
    0x13ffee06,0xff809ff7,0xff80107f,0xff1007ff,0x7ffdcbff,0x93fff204,
    0x3ffa3ff8,0x20ffffff,0x7fc43fe8,0x7ffffd43,0x8ffa20ff,0x3e02ffff,
    0x3ffa1fff,0xcefb806f,0x07fffec3,0x85e77cc0,0xf886fffa,0x3e6007ff,
    0x7fc40fff,0x67fffec3,0x7ffe4001,0x13ffea05,0xfe80dff3,0x7cc000ff,
    0x32003fff,0x3ff26fff,0x3ffee04f,0xfe83fee4,0x89ff7314,0x07fdc6fc,
    0x3ea5dff5,0xff37e45f,0x7ff403ff,0x0bfffe2f,0xfff88040,0xfb80003f,
    0xffff05ff,0xfffca801,0x44ff984f,0xfffffffb,0x7fe400ad,0x3ffee04f,
    0x200fff84,0x4002fffc,0x000ffffb,0xfd9fffea,0x3fee04ff,0xfd1bf64f,
    0xf98dfb09,0xfb1bf61f,0x541bd50d,0x3ffff1ff,0x897fff40,0x0001ffff,
    0x00ffffcc,0x2fffdc00,0x201ffff8,0x03fffff8,0xffb09ff5,0xdfffffff,
    0xbfff5017,0x427ffdc0,0xecb82ffd,0xccccefff,0x1fffee01,0x3ffff300,
    0xc817fff2,0x13fa4fff,0x3ff889fd,0x0ffa2ff8,0xff8007ff,0x405ffff2,
    0xff31ffff,0xa80001ff,0x0000ffff,0xf05fffc8,0x7cc05fff,0xf700efff,
    0xfff910bf,0xdfffffff,0x07fff981,0x2e13fffa,0xfffe84ff,0x2fffffff,
    0x01ffff20,0x25ffff10,0x880ffffb,0x3fe4ffff,0x6e677f42,0x3fd80fff,
    0x2ff887fe,0xff9fec00,0xfff104ff,0x1fffea1f,0x3ffee000,0x33332a07,
    0xffb3cccc,0x3fffe09f,0x3fffea02,0x6ffc83ff,0x3ffff660,0x21ffffff,
    0xa82ffff8,0xf984ffff,0xffffe86f,0x02ffffff,0x001bfff2,0x225ffff1,
    0x220cffff,0xf14ffffd,0xffffe83f,0x9fb00cff,0xff987fe2,0xfa7ec002,
    0xfc80ffff,0x3ffee7ff,0xffb80007,0x3fff207f,0xf96fffff,0x3ffe0bff,
    0xfea8201f,0x3ffe44ff,0xfffeca80,0x7fe47fff,0xffd99cff,0xfff04fff,
    0xffffdd90,0x5c03dddd,0x4c007fff,0x3f21ffff,0xffccffff,0x3fe4ffff,
    0x7ed67f43,0xf8ffe03f,0x00bfe23f,0x3ffe7ff0,0xfd98cfff,0x3fea3fff,
    0x4c0000ff,0xf900ffff,0xdfffffff,0x7c17ffee,0x26001fff,0x7fec7fff,
    0xffb88007,0x3fe21fff,0xffffffff,0xffb04fff,0x17ffec03,0x1ffff500,
    0x7fffd400,0x3ffffa20,0xfffeffff,0x9fd17fa4,0x7cc17fdc,0xff17fa2f,
    0x4c19f50b,0xfffff2ff,0xffffffff,0x1ffff98d,0xffff8000,0xfffff901,
    0x3feedfff,0x1ffff05f,0x1fffe800,0x4c43fffa,0x7fc401aa,0x7ffd43ff,
    0xffceffff,0x07ff704f,0x000ffff4,0x005ffff1,0x443fffe4,0xaffffffe,
    0x3f24fffb,0x3fa27f47,0x907fdc0f,0x23ffb8ff,0x7fdc6fe8,0xff7ffff0,
    0x83dfffff,0x002ffff8,0xfffb039d,0x7ffe4009,0x10dfff56,0x8060ffff,
    0x3fe3fffd,0xdfffb1ff,0x0bfffb00,0x29ffffd3,0xf304fffb,0x3ffe20bf,
    0xffff8007,0xffff1006,0x3bf6e20b,0x49fff71c,0x13fa1ff8,0x4fd89ff3,
    0x3fa0ffc4,0x41fffdef,0x3fffe4fd,0xcffffd89,0x0dffff00,0x43ffff50,
    0x000ffffc,0x3e6dfff9,0x7fd40fff,0x0ffff26f,0xf8bfffe2,0xfff72fff,
    0x7ffc405f,0x7066204f,0x7fc09fff,0x05fff907,0x7ffff900,0x5ffffb00,
    0x3fff2000,0xfe87fec3,0xf91ffd84,0x41ffb03f,0x2effffd8,0xfff0ffe4,
    0x400cc43f,0x401ffffb,0x7d46fffe,0xf9004fff,0x7fff4dff,0x71ffff43,
    0xff50ffff,0x3ffe23ff,0xdffff32f,0x3ffff201,0xfffb8001,0x907ffa04,
    0x40269fff,0xffffe880,0xffffb104,0x1bcde98b,0x885fffb0,0x80988fff,
    0x4ffc8998,0x881fff10,0x4ffc80aa,0x000ffffc,0x05ffffd0,0x07ffffb3,
    0x01bffffd,0x9bffff66,0xc9affffa,0x3e20ffff,0xfc9aefff,0x3fe26fff,
    0x3fff62ff,0xffdbbeff,0x70007fff,0x7e409fff,0x3fffee3f,0xcbcefffe,
    0xfffa80fe,0xfdbbceff,0xf80fffff,0x2e20ffff,0xfa80ffff,0xff9000ff,
    0x0fffa80d,0xf0dff900,0x40003fff,0xcdfffff9,0xffffffeb,0xfffff880,
    0xffecbbdf,0x7fc6ffff,0xffffffff,0xfffffb84,0x20ffffff,0x222ffff8,
    0xfffffffe,0x02ffffff,0x09fff700,0xff72ffd4,0xffffffff,0x3209ffff,
    0xffffffff,0x02ffffff,0xddfffffb,0x409fffff,0x40bdfffb,0x00effeb9,
    0x0bdfffb8,0x077ff64c,0x000ffffc,0x3fffff20,0xffffffff,0x3fffea01,
    0xffffffff,0x74c1dfff,0xdfffffff,0xfffffb00,0xf883ffff,0x7f4c2fff,
    0xffffffff,0x2e0001ff,0x3e204fff,0x3fffe27f,0xffffffff,0xfd300fff,
    0xffffffff,0x7f4401bf,0xffffffff,0x7f4c00ef,0xfffdefff,0x74c004ff,
    0xffeeffff,0x3fe04fff,0x980001ff,0xfffffffe,0xe8801fff,0xffffffff,
    0x2202efff,0x03fffffd,0xfffffea8,0xffff880c,0xffffd502,0x00019dff,
    0x404fffb8,0x37f21ffe,0xffecb98a,0x5c00cfff,0xdffffffe,0xfff71003,
    0x007fffff,0xfffffea8,0x20001cff,0xffffffea,0x7ffc01cf,0x9100001f,
    0x7ffffffd,0xfffb5000,0x0059dfff,0x88000a98,0x000000a9,0x00001553,
    0x0aa98000,0x06a60022,0x004cc400,0x26aa6200,0x55440000,0x400001ab,
    0x001abaa8,0x98000000,0x3000009a,0x00000353,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x4c000000,0xdd104eee,0x76e540dd,0x32a001cd,0x4c002bde,0x7003dedb,
    0x202c9859,0xaaaaaaaa,0x001002aa,0x400f7764,0x00009999,0x09999800,
    0x31019988,0x00ccc413,0x1cc9ddd7,0xeeb80400,0x7776c04e,0x001dddb1,
    0x20bfff50,0xe987fff9,0xcfffffff,0x3fffa600,0x4400dfff,0xfffffffd,
    0x3ffffe01,0xf102febd,0xffffffff,0x04d880ff,0x00bfffa0,0x1013fff6,
    0x17bdfdb9,0x0efffa80,0x42ffffc4,0x3fea6ffd,0x3ffee01f,0xa800ffdd,
    0x265efffd,0xf300ffff,0x7fffcfff,0xfffa8000,0x8ffff305,0xfffffff8,
    0xff305fff,0xdfffffff,0x3fffa603,0x80ffffff,0xffffeff9,0xfff500ff,
    0xffffffff,0x0027fe40,0x2005fffd,0xf700fffd,0xffffffff,0x07fff407,
    0x17ffffec,0xffa9bff6,0x7ffcc01f,0xffa800cf,0x7f46ffff,0xfff902ff,
    0x007fffc9,0x82fffd40,0x7ec7fff9,0xffebdfff,0xfffe82ff,0x5fffffdf,
    0xbdffffd0,0xf90bffff,0x0bbf6a27,0xffffffc8,0xf907ffff,0x7f4009ff,
    0xfd1002ff,0xffff909f,0x9fffffff,0x703fff30,0x1fff5dff,0xff537fec,
    0x7ff5403f,0xfff006ff,0xfc89ffff,0xffff05ff,0x007fffc3,0x82fffd40,
    0x7fc7fff9,0x7ffe42ff,0x0f7ffdc4,0x983ffff7,0x3e62efff,0x00000fff,
    0x555fffec,0xf902aaaa,0x554009ff,0x3a2000aa,0x7fffdc7f,0xfffeb9be,
    0x40ffec2f,0xff90fff9,0x511554cb,0x3bfa0155,0x405fffaa,0x98bffff8,
    0x07fffc40,0xff1bffe6,0xf50001ff,0x3fe60bff,0x1fffe27f,0xfb17ffe6,
    0xfffd09ff,0x83fffd8b,0x0801ceee,0x01fffe00,0x027ffe40,0x00133310,
    0x7ffc1988,0xdfff904f,0x33100998,0x00019981,0xfff90ae0,0x3fffcc07,
    0x217fff40,0x7fc3fffc,0x540040ff,0xff305fff,0x86fff8ff,0x7f44fff9,
    0xfffc82ff,0x03fffe27,0x7ffed400,0xff102dff,0xfea800bf,0x02eeefff,
    0x0017ffdc,0x07fffcc0,0x007fff88,0x40000000,0xff9cdcb8,0xfff500ff,
    0xbfff500d,0x7c0ffff8,0xfec88fff,0xfff503df,0x1fffe60d,0xfc83fffb,
    0x7fffc2ff,0x0ffff980,0x008dfff3,0xffffffb0,0xff309fff,0x0157519f,
    0x7fffffdc,0x7fe402ff,0x3bb2001f,0x07b9711e,0x320ffff8,0x3b201eee,
    0x776401ee,0x7ffdc01e,0x5fffffff,0x7ffff75c,0xfff105ee,0x17ffe61f,
    0x3fabfffe,0x40dfffff,0xf306fffa,0xfff98fff,0x6fffdbcf,0xa82fffe8,
    0xff51ffff,0xbfffb1bf,0x3ffff203,0x3fffffff,0x7fffffdc,0xff704fff,
    0x05ffffff,0x003fff44,0x000bfffa,0xfd1bffea,0x7ff405ff,0x7fff402f,
    0x3ffff202,0xffffffff,0x3fffff21,0x3f207fff,0x5fff92ff,0xfffffff0,
    0x8dffffff,0xf306fffa,0xffd30fff,0x20bfffff,0xfc84fffd,0xfff72fff,
    0xffffffdd,0xbffff887,0x5fffea89,0x7fffffe4,0x540effff,0xccefffec,
    0xdfffd101,0x2fffe800,0x7fffcc00,0x017fff43,0xe805fffd,0xff302fff,
    0xfff9dfff,0x7fe47fff,0x07ffffff,0x7f57ffe6,0xfffff07f,0xffff739f,
    0x7fffd45f,0x07fffb80,0xfffffff7,0x3bffee03,0x3ffffe20,0xffffff93,
    0x45ffffff,0xfa84edb8,0x7fff46ff,0xfffffeff,0x09fff905,0x1ffffe88,
    0x17fff400,0xdffff500,0x405fffd0,0x7402fffe,0xffd02fff,0x7fe445df,
    0x3f72a4ff,0x404ccfff,0xfffafffe,0x1fffff04,0x54dfffb0,0x7443ffff,
    0xffc87fff,0x3fffffff,0x99ffffd0,0x27ffffff,0x8cfffffd,0x00ffffd9,
    0xf1fffe60,0x7e4c5fff,0xffc82fff,0x3ffa204f,0xfe8001ff,0xff5002ff,
    0xffd01dff,0x7fff405f,0x17fff402,0x80ffffcc,0xfa86fffc,0x3ee006ff,
    0x01fffeff,0x2607ffff,0xff50ffff,0xfb315fff,0xffd8ffff,0xfffb8bef,
    0xffff984f,0xffffffff,0x09ffff92,0x4405fffb,0x7ffffeca,0xfff00988,
    0x9fff909f,0x3ffffa20,0xfffd0002,0xffff3005,0x3fffa01d,0x0bfffa02,
    0x705fffd0,0x7c40dfff,0x7fd40fff,0x3fe2006f,0x3e07ffff,0x3fe01fff,
    0xffff51ff,0xffffffff,0x3fffc4ff,0x883fffcc,0xeafffffe,0xfff71fff,
    0x9fff505f,0xffffec98,0x8007ffff,0xfc86fffc,0xfffb04ff,0x7f40003f,
    0xfff802ff,0x7fff405f,0x0bfffa02,0x905fffd0,0xff809fff,0x7ffd42ff,
    0x7ffec006,0x3ffe04ff,0x3fffe01f,0xfddfff52,0xfffddfff,0xe827ffd4,
    0x2e601fff,0x1ffff0ac,0x4c1fffea,0x3fea5fff,0xffcdffff,0xffa8007f,
    0x4fffc87f,0x01ffff88,0x17fff400,0x03bffe60,0x405fffd0,0x7402fffe,
    0xffd82fff,0x7fffc04f,0x037ffd42,0x3ffffea0,0x07fffe01,0xf52fffe8,
    0xdfff1bff,0x7e4fffd1,0xfff903ff,0xfff88007,0x07fffe67,0x7cd7ffea,
    0x3e22cfff,0xfa8007ff,0xfffc86ff,0x05fffa84,0xfe80d5dc,0x7fdc02ff,
    0xfffe802f,0x0bfffa02,0x705fffd0,0xff80bfff,0x7ffd41ff,0x7ffc4006,
    0x7fffc06f,0x47fffe01,0x0665fffa,0x417fff20,0x4cc2fffe,0x6fffb81a,
    0x20ffffe2,0xff94fffc,0xffff30bf,0xb82ff6d4,0xffc85fff,0x5fffa84f,
    0x41fffe60,0x6402fffe,0xfe801fff,0x3ffa02ff,0x7fff402f,0x0ffffa82,
    0x50ffff50,0xf000dfff,0xff807fff,0xfff304ff,0x17ffea1f,0x1fffea00,
    0xb87fffe6,0xffe86fff,0x37ffe42f,0xfe97fff4,0xfffb82ff,0x07fffea7,
    0x320ffffa,0xff884fff,0xfffd01ff,0x0bfffa09,0x00155530,0x7405fffd,
    0x7f402fff,0xfff882ff,0xfffe884f,0x06fffa85,0x07fffdc0,0x03ffffe0,
    0xfa9bfff2,0xf88005ff,0xea8aefff,0x7fc46fff,0xffea9cff,0xffff986f,
    0xffffd9ae,0x98dfffb0,0x7fc7ffff,0xfea8aeff,0xfff906ff,0x7ff4133d,
    0xfda88bef,0xffd01fff,0x9998805f,0x2fffe800,0x00bfffa0,0x2e05fffd,
    0xc8aeffff,0xa80fffff,0x71006fff,0xf00bffff,0x263dffff,0x2a2ffffd,
    0x70005fff,0xffffffff,0xffb03fff,0xffffffff,0x3ffff605,0x22ffffff,
    0xedfffffb,0x20ffffff,0xfffffffa,0xf502ffff,0x447fffff,0xffffffff,
    0x3a03ffff,0x7e402fff,0xffe803ff,0x3fffa02f,0x17fff402,0xffffffd0,
    0x207fffff,0x6c06fffa,0x1fffffff,0xffffff80,0x6fffffff,0x002fffd4,
    0xffffff90,0x3a207fff,0xffffffff,0x7fffe402,0xfe84ffff,0xddffffff,
    0x7fdc2fff,0x1fffffff,0x3ffffe20,0x7fff4c4f,0x02ffffff,0x2017fff4,
    0xe803fffc,0x3fa02fff,0x7ff402ff,0x3ff6202f,0x3fffffff,0x01bffea0,
    0x9ffffff9,0x27bffe00,0xefffffff,0x02fffd40,0x3fffaa00,0x64401eff,
    0x00dfffff,0xdffffd70,0x3fff2203,0xbfff53ff,0xfffffd30,0xfff3003b,
    0x3faa09ff,0x801cefff,0x6402fffe,0xfe803fff,0x3ffa02ff,0x7fff402f,
    0xfffea802,0x7d400dff,0x7fdc06ff,0x3e003fff,0xfffb16ff,0x0000009f,
    0x8001a988,0x20001a98,0x31000998,0xa9800015,0x01530000,0x74000c40,
    0x7e402fff,0xffe803ff,0x3fffa02f,0x17fff402,0x8002a600,0x4406fffa,
    0x00001aa9,0x00000198,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xddd90000,0x7ddd9007,0x2eeed800,
    0xca859710,0x77540001,0xddddd93e,0xdddddddd,0x3bbb23dd,0x9f776c04,
    0x0003eeec,0xddddddd9,0x0003599d,0x01eeeeb8,0xdddddd90,0x0399bddd,
    0xec97776c,0x1dddb1ee,0xdd300000,0x3ddd905d,0x8007bbb2,0xe804fffe,
    0x7c004fff,0xff883fff,0x0ffbcfff,0x7ffdc000,0xffffffb4,0xffffffff,
    0x3fffea5f,0x1ffff501,0x0013fff6,0x7fffffec,0x0dffffff,0xfffff000,
    0x3fff6009,0xffffffff,0xffe81eff,0x25fffd3f,0x0001ffff,0x83fffe80,
    0xffd2fffe,0x7ff4005f,0xfffe804f,0x7fffc004,0xffeffb83,0x80006fff,
    0xffb4fffb,0xffffffff,0x745fffff,0xffd04fff,0x27ffec9f,0xffffd800,
    0xffffffff,0x7d4002ff,0x800fffff,0xfffffffd,0xffffffff,0xe9ffff41,
    0xffff2fff,0xfc800003,0xffe83fff,0x05fffd2f,0x027fff40,0x0027fff4,
    0x360ffffe,0x3bfd711f,0xfff70000,0x3fffff69,0xffffffff,0x3ffea2ff,
    0x7fffd40f,0x013fff60,0x7ffffec0,0xffffffff,0x3f6000ff,0x803fffff,
    0xeeeffffd,0xfffffeee,0xe9ffff46,0xffff2fff,0x7cc00003,0xfe83ffff,
    0x5fffd2ff,0x27fff400,0x027fff40,0x00ffffe0,0xfb800000,0x9fffb4ff,
    0xfffe8000,0x227fff44,0xcccefffd,0xfb01bccc,0x3f6609ff,0xf1005fff,
    0x0dffffff,0x409fffb0,0x20ffffd9,0xffd3fffe,0x07fffe5f,0xfffe8000,
    0x3fa003ff,0x3fa002ff,0xffe804ff,0x7ffc004f,0x0001003f,0x29fff700,
    0x0004fffd,0xa87fffd4,0x7ec0ffff,0xffffffff,0x7ec0dfff,0x7fe404ff,
    0xffc802ff,0x01ffffef,0x2027ffec,0x3a2ffff8,0xfffd3fff,0x007fffe5,
    0x7fffe400,0x3fa003ff,0xfd0082ff,0xffd009ff,0xfff8009f,0xffb7303f,
    0x322007bf,0xff73dffe,0x13fff69f,0x3fffa000,0xb09fffd3,0xffffffff,
    0x43dfffff,0xe804fffd,0xff805fff,0x4fffdaff,0x027ffec0,0xfd07fffc,
    0x3fffa7ff,0x983ffff2,0x4c04eeee,0x3fffefff,0xfd1eeec8,0x3ff6e5ff,
    0x3fffa0ce,0x4fffe804,0x1ffffc00,0x7fffffdc,0x3e601eff,0xcdffffff,
    0xfffb4fff,0xff500009,0x1ffff3df,0xffffffb0,0xffffffff,0x027ffecf,
    0x203fffdc,0xff57fffa,0x7fec01ff,0x7ffd404f,0xe9ffff46,0xffff2fff,
    0x77fff443,0x37ffa200,0xfe83fffb,0x5fffd2ff,0xfffffffb,0x013fffa3,
    0x0013fffa,0xfa87ffff,0xffffffff,0xfff882ff,0xffffffff,0xbfffb4ff,
    0x33333333,0x7ff40133,0xb04fffef,0xd3109fff,0x3f67ffff,0xffa804ff,
    0x7ffec07f,0x07ffff14,0x4cefffec,0xfffb9999,0x9ffff43f,0xfff2fffe,
    0x3fffa23f,0x7ffe400f,0xe83fffb8,0xfffd2fff,0xffffffff,0x13fffadf,
    0x013fffa0,0x547ffff0,0xdacfffff,0x6c0fffff,0xd99dffff,0xfb4fffff,
    0xffffffff,0x449fffff,0xffffdaaa,0x22aabfff,0x2204fffd,0xffb5ffff,
    0xfff3009f,0x3ffe203f,0x1bfff61f,0xffffffd8,0xffffffff,0xd3fffe82,
    0x3ffe5fff,0x3ffffb1f,0x73fffa80,0xffd07fff,0x3ffffa5f,0xfffd98ae,
    0x04fffe9f,0x004fffe8,0xfd1ffffc,0xfe981bff,0x3ffe65ff,0xffffa82f,
    0xffffffb4,0xffffffff,0x7ffffcc9,0xffffffff,0x13fff67f,0x36dfffb0,
    0xf8804fff,0xff702fff,0xffff98df,0xfffffb01,0xffffffff,0x4ffffa0b,
    0xfff2fffe,0x3ffff93f,0x25fff880,0xfe83fffb,0xffffd2ff,0xd5fffd03,
    0xfd009fff,0xff8009ff,0xffff13ff,0x9fffea01,0x3a06fffa,0xfffb4fff,
    0xffffffff,0x7fcc9fff,0xffffffff,0x3f67ffff,0x7fec04ff,0x09fffb6f,
    0x05ffff10,0x3e0ffffa,0xffb04fff,0xffffffff,0xe83dffff,0xfffd3fff,
    0x3f7fffe5,0xfd802fff,0x3ffee0ff,0xd2fffe83,0x3f609fff,0x4fffdbff,
    0x03fffe80,0xa9ffffc0,0x7fc05fff,0x9fff71ff,0xda7ffe40,0xaaaadfff,
    0x21aaaaaa,0xffeeeee9,0x6eeeeeff,0x8813fff6,0xffb4ffff,0xfff3009f,
    0xffff303f,0x1ffff901,0x99dfffb0,0xfffb9999,0x7fff45ff,0x3e5fffd3,
    0xffffffff,0x1fffd400,0x3a0fffee,0xfffd2fff,0x2ffff207,0xe804fffd,
    0x7c003fff,0xfffb3fff,0x2fffe809,0x6407fff9,0xfffb4fff,0xfd800009,
    0x7fec03ff,0xfffd104f,0x13fff65f,0x03fffea0,0x333ffff2,0xffffdccc,
    0x04fffd83,0xd2ffff44,0x3ffa7fff,0xffffff2f,0x7c40bfff,0xfffb85ff,
    0xd2fffe83,0x3f205fff,0x4fffdbff,0x03fffe80,0x4bfffe01,0x7403fffc,
    0xfffb2fff,0xa7ffdc09,0x0004fffd,0xfd555551,0x555559ff,0x777fffec,
    0xfffffeee,0x09fffb0f,0x20ffff70,0xffffffff,0x6fffffff,0x804fffd8,
    0xfd0ffffa,0x3fffa7ff,0xfffffff2,0x3ee03fff,0xffffffff,0xd1ffffff,
    0x3ffa5fff,0x7fff902f,0xf00bfff9,0x3faa5fff,0x3ffff06f,0xf017ffea,
    0x3fee3fff,0x3fff204f,0x009fffb4,0x3ffffe60,0xffffffff,0x3ffff67f,
    0xffffffff,0x3fff61ff,0x6fffd804,0xffffffa8,0xffffffff,0x7ffec1ff,
    0xffff8804,0x3a7fffd2,0xffff2fff,0x0dfff79f,0x3fffffee,0xffffffff,
    0x25fffd1f,0xf902fffe,0xffff77ff,0x7fffd403,0x10ffff31,0x3e61ffff,
    0x3fe606ff,0xdfff50ff,0xda7fff40,0x30004fff,0xffffffff,0x4fffffff,
    0xfffffffd,0x42efffff,0x4c04fffd,0xfd83ffff,0xffffffff,0x4fffffff,
    0x4027ffec,0xfd1ffffa,0x3fffa7ff,0x749ffff2,0xffb83fff,0xffffffff,
    0xfd1fffff,0x3fffa5ff,0x37fff902,0x101dffff,0x221ffffd,0x7dc3ffff,
    0x7fffc7ff,0x5fffd883,0x20bfffe6,0xfb4ffffa,0x260009ff,0xffffffff,
    0x27ffffff,0xeeeffffd,0xfb02ceee,0x7f5409ff,0xfff886ff,0xfffc801f,
    0x13fff60f,0x4ffffd30,0xffd3fffe,0x87fffe5f,0x4c0ffffa,0xcccccccc,
    0x0ccefffe,0x3fa5fffd,0xfff902ff,0x3fffffa7,0xffffdbbe,0x7ffff44f,
    0x5ffffebe,0x5f7fffe4,0x1fffffc8,0x457fffec,0x4fffffc8,0x999dfffb,
    0x99999999,0x3fffd807,0x027ffec0,0xcefffd80,0xfffeedcc,0xfffc81ff,
    0xffff3007,0x677ffec7,0xffedcccc,0x3ffa5fff,0x25fffd3f,0x7f41ffff,
    0xfb8004ff,0xfffe83ff,0x205fffd2,0xff33fffc,0xffffffff,0xfa81ffff,
    0xffffffff,0xfffd80ef,0xffffffff,0xfffff983,0xffffffff,0xffffffb4,
    0xffffffff,0xfffd80bf,0x27ffec03,0xffffd800,0xffffffff,0xffff04ff,
    0x7fff4009,0x3fffff66,0xffffffff,0x3ffa0eff,0x25fffd3f,0x7cc1ffff,
    0x5c000fff,0xffe83fff,0x05fffd2f,0xe98ffff2,0xffffffff,0xffb01eff,
    0x3fffffff,0x7ffffe40,0x2a03ffff,0xdfffffff,0xffb4fff9,0xffffffff,
    0x80bfffff,0x6c03fffd,0xb0004fff,0xffffffff,0x205dffff,0x001ffffa,
    0x6c7fffee,0xffffffff,0x1fffffff,0xfe9ffff4,0x3ffff2ff,0x00bfffb0,
    0xe83fffb8,0xfffd2fff,0x0ffff205,0xffffff91,0xff5009df,0x003bffff,
    0xbffffdb5,0xfffd3001,0x53ffe69f,0xfffffffd,0xffffffff,0x1fffec05,
    0x013fff60,0x7ffffec0,0x03ceefff,0x0037ffec,0x6d3fffe2,0xffffffff,
    0xd02cefff,0x3ffa7fff,0x03ffff2f,0x005ffff1,0x741fffdc,0xfffd2fff,
    0x0ffff205,0x000aa998,0x00135310,0x40002a20,0x00000198,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xedca8000,0xddd901cd,0x7ddd9007,0x200fbbb2,0x90deeeec,0xdddddddd,
    0x21dddddd,0x8003ccca,0xaaaaaaa9,0xb1aaaaaa,0x809ddddd,0x0eeeeeea,
    0x5009ddd9,0xec805ddd,0xddddd95e,0x059bdddd,0xca859710,0x3bbbb201,
    0x1bceeeee,0x0f7774c0,0xddddddd3,0xdddddddd,0x03777447,0x7fffff4c,
    0x7fec0dff,0xfffd804f,0x809fffb4,0x21fffffc,0xfffffffd,0x0fffffff,
    0x000bfff9,0xfffffffb,0x29ffffff,0x0ffffffe,0x3fffff60,0x5ffffb1f,
    0x03fffb80,0x7edfffee,0xffffffff,0xf100dfff,0xff79ffff,0x7fffec01,
    0xffffffff,0xffff300d,0x7ffffd43,0xffffffff,0x3ffe24ff,0x7fffc407,
    0x0effffff,0x2013fff6,0xffb4fffd,0x7ffdc09f,0x7ffec1ff,0xffffffff,
    0xfff90fff,0xfffb000b,0xffffffff,0x3fffa9ff,0x3fe02fff,0xfb1fffff,
    0xfb80dfff,0xfff303ff,0x3ffff6ff,0xffffffff,0xeffb82ff,0x406fffff,
    0xfffffffd,0x2fffffff,0x21ffff98,0xfffffffa,0xffffffff,0x01fffe24,
    0xfbdffffd,0x7ecbffff,0xffd804ff,0x09fffb4f,0x0bffffee,0x3ffffff6,
    0xffffffff,0x00bfff90,0xffffffb0,0x7fffffff,0x3ffffffa,0xfffff304,
    0x3fff63ff,0x3fee03ff,0xfffe883f,0xfffffb7f,0xffffffff,0x11fd81ff,
    0xd803bfd7,0xffffffff,0x1fffffff,0x50ffffcc,0xffffffff,0x7fffffff,
    0x303fffc4,0xfc85ffff,0xfffb0fff,0x9fffb009,0x2a13fff6,0xb02fffff,
    0x90009fff,0x3000bfff,0x55555555,0x7f4bfff9,0x706fffff,0x3fffffff,
    0x3ffffff6,0x87fff700,0x7ffffffb,0x2a09fffb,0x003ffffe,0x4fffd800,
    0xbffffb30,0x01ffff98,0x6ffffd80,0x2e02aaa8,0xff886fff,0x9fffb1ff,
    0x29fffb00,0x7cc4fffd,0x3602ffff,0xc8004fff,0x00005fff,0x741dffd0,
    0x0fffefff,0xffefffd8,0xfffffb1f,0x3ffee0bf,0xffffff33,0x3fff6fff,
    0x3fffe204,0x6c002005,0x7e404fff,0x3fe62fff,0x7dc001ff,0x0000ffff,
    0x7413bb6a,0xfffb2fff,0x9fffb009,0xf993fff6,0x6c02ffff,0xc8004fff,
    0x00005fff,0x741fffc8,0x2fffcfff,0xffedfff8,0xfffffb1f,0xfff705ff,
    0x33ffff27,0xfffb7fff,0x6fffe809,0x7edcdddb,0x3f600def,0xfff804ff,
    0x3fffe26f,0x3ffea000,0x000001ff,0xb0ffff88,0xfb009fff,0x3fff69ff,
    0x7fffff14,0x09fffb00,0x0bfff900,0xfff98000,0xfafffe84,0x7ffcc4ff,
    0xfb1fffeb,0x1dffffff,0xf93fffb8,0xffff319f,0xb013fff6,0x3ffabfff,
    0xfffffd8f,0xfffb01ff,0xffff7009,0x2007fff8,0x02fffff8,0xff700000,
    0x6fffecff,0x99999999,0xffb4fffe,0xffffd19f,0x3fff6009,0xfffc8004,
    0x7f400005,0xfffe80ff,0x7dc6ffe9,0x1fffe9ff,0xfff9fffb,0x3fffb89f,
    0x7ffcc3b9,0x409fffb7,0xfd4ffff8,0xfffffdff,0x3f60dfff,0xffa804ff,
    0x1fffe0ff,0x7ffff440,0x10000004,0x7ec9ffff,0xffffffff,0x4fffffff,
    0xffdbfffb,0x3600bfff,0xffffffff,0x7e45ffff,0x200005ff,0xfd04fffa,
    0x1fff93ff,0xffebfff4,0x95fffb1f,0x7dc3ffff,0xff3013ff,0x13fff6ff,
    0x3ffffea2,0x7dffffd2,0x3ffffb31,0x6ffff4cc,0xff981999,0x1bffa1ff,
    0x2ffffec0,0xe8800000,0x7fec6fff,0xffffffff,0xb4ffffff,0xffffffff,
    0xfb007fff,0xffffffff,0xffc8bfff,0x3a00005f,0xffd00fff,0x27fff53f,
    0xffd5fff8,0x2bfff63f,0x2e6ffff8,0x3e603fff,0xffffb7ff,0xffffffff,
    0x3ffa1dff,0x7ffc41ff,0x3ffffe2f,0x41ffffff,0x362ffff8,0xffb805ff,
    0x00000eff,0xffffe880,0x7ffffec2,0xffffffff,0xfffb4fff,0xffffffff,
    0xfffd801f,0xffffffff,0x2fffe45f,0xfff98000,0x27fffa05,0xff55fff8,
    0x47fffa7f,0xff52fffd,0x3ffee5ff,0x5fffe603,0xfffffffd,0x0fffffff,
    0x6c13fffa,0x3ffe3fff,0xffffffff,0x17fffc41,0xfa809ff9,0x3001ffff,
    0xe8800333,0xfd83ffff,0xaaaaadff,0x4fffeaaa,0x7ffffffb,0x80bffff5,
    0xeeeffffd,0x644eeeee,0x00005fff,0x7405fffb,0xfffd1fff,0x7f47fff2,
    0x5fffb1ff,0x5c7fffec,0x3e603fff,0xffffb7ff,0xffffffff,0x3fffe83d,
    0x547fffb0,0xaadfffea,0x7ffc40aa,0x813ff21f,0x02fffff9,0x00ffff10,
    0x27ffff44,0x804fffd8,0xffb4fffd,0x7fec9fff,0x3ff602ff,0xffc8004f,
    0xf880005f,0x7ff407ff,0xd3fff91f,0x7fff4fff,0x445fffb1,0xffbcffff,
    0x3ffe603f,0xddffffb7,0x20399ddd,0xf902fffe,0xfffb07ff,0xffff3009,
    0x881ffdc1,0x004ffffe,0x401fffe2,0x03ffffe8,0x2013fff6,0xffb4fffd,
    0xfff989ff,0xfffb00ff,0xfff90009,0xff50000b,0xfffe809f,0xff9fff51,
    0x8ffff4bf,0x7dc2fffd,0x3fffdfff,0x6dfffe60,0xd0004fff,0x3f205fff,
    0xfffd83ff,0x7fffa804,0xfd817fd4,0x44005fff,0xe8807fff,0x6c03ffff,
    0xfd804fff,0xbfffb4ff,0x17ffff20,0x0027ffec,0x002fffe4,0x00fffec0,
    0x7c47fffa,0x23ffffff,0xffb1fffe,0xffffd05f,0x7cc07fff,0x9fffb7ff,
    0x3fffa000,0x07fff902,0xb009fffb,0xff98dfff,0xeffffc81,0x7ffc4000,
    0xffffd807,0x4fffd802,0xb4fffd80,0x3e209fff,0xfd82ffff,0xfc8004ff,
    0xf80005ff,0xffe807ff,0x3ffffa1f,0x3fffa1ff,0x305fffb1,0x7fffffff,
    0xdbfffcc0,0xd0004fff,0x3f205fff,0xfffd83ff,0x7fffcc04,0x2a055443,
    0x000fffff,0xf701be60,0x36009fff,0xfd804fff,0x9fffb4ff,0x77fffdc0,
    0x027ffec0,0x02fffe40,0x1bffe600,0xc87fffa0,0x747fffff,0xfffb1fff,
    0x3ffff605,0x3fe603ff,0x09fffb7f,0x0bfffa00,0x6c1fffe4,0x3ea04fff,
    0x99986fff,0x3ffffe61,0x2fdc0002,0xdfffff10,0x5ddddddd,0x2013fff6,
    0xffb4fffd,0xfffe809f,0x27ffec4f,0x77ffe400,0xcccccccc,0xfffa82cc,
    0x1fffe805,0x17ffffea,0x3f63fffd,0xfff102ff,0x7cc07fff,0x9fffb7ff,
    0x3fffa000,0x07fff902,0x999dfffb,0xffffffdb,0x0ffff883,0x99dffff9,
    0x99999999,0x01ffb899,0x3fffffea,0x2fffffff,0xb009fffb,0x3ff69fff,
    0x7ffcc04f,0x3fff61ff,0xfffc8004,0xffffffff,0xffb84fff,0xfffe804f,
    0x3ffffe21,0xd8ffff43,0x3ee02fff,0x2603ffff,0xfffb7fff,0x3ffa0009,
    0x7fff902f,0xffffffb0,0xffffffff,0x1ffff109,0x3ffffff2,0xffffffff,
    0x0ffe67ff,0xffffffb0,0x5fffffff,0x2013fff6,0xffb4fffd,0xfffb009f,
    0x27ffecdf,0x7fffe400,0xffffffff,0xfffc84ff,0x1fffe803,0x20fffff4,
    0xffb1fffe,0xfffe805f,0x3ffe603f,0x009fffb7,0x40bfffa0,0xfd83fffc,
    0xffffffff,0xf102efff,0x3ff21fff,0xffffffff,0x47ffffff,0x7ffc400c,
    0xffffffff,0xfffb2fff,0x9fffb009,0x2013fff6,0xb4fffff8,0x90009fff,
    0xffffffff,0x09ffffff,0xd005fffb,0xffc83fff,0x1fffe87f,0x9805fffb,
    0x2603ffff,0xfffb7fff,0x3ffa0009,0x7fff902f,0xffffffb0,0x8079ddff,
    0xf90ffff8,0xffffffff,0xffffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xeeeec800,
    0xbdddb001,0x37bbb621,0x77776400,0x80fbbb21,0x00eeeee8,0x764fbbb2,
    0xeeeeeeee,0x6c00acce,0x2a005eee,0x4000eeee,0xeeeeeee9,0xeeeeeeee,
    0xdd33eeee,0xdddddddd,0x0bdddddd,0x000ccca8,0x00800000,0x00008005,
    0x7fffcc00,0xffffb806,0x27fffdc3,0x8bffff30,0x2e06fffc,0x202fffff,
    0xffb2ffff,0xffffffff,0x6405ffff,0xd000ffff,0xb000dfff,0xffffffff,
    0xffffffff,0x3fea9fff,0xffffffff,0x07ffffff,0x300fffe4,0x55555559,
    0x0b555555,0x77fff644,0x100efa8c,0x05bdffd9,0x7f557bb6,0xfff900be,
    0x7ffc407f,0xffffd06f,0x3ffffa03,0x07fffd40,0x4fffffd8,0x21ffff30,
    0xfffffffd,0xffffffff,0x7ffff304,0x7ffff100,0xffff8800,0xffffffff,
    0xffffffff,0xffffff54,0xffffffff,0xffc80fff,0x0006601f,0xffffb81c,
    0x4fffffff,0xfffffd30,0xfff81bff,0x06ffff9e,0x03ffffa2,0x80ffffe4,
    0xb86ffff9,0xf883ffff,0xfff01fff,0x3ee0dfff,0x3fff66ff,0xffffffff,
    0xd01fffff,0xf700dfff,0xc8001fff,0xffecefff,0xffffffff,0xff54ffff,
    0xffffffff,0x0fffffff,0x201fffc8,0x90700019,0xffffffff,0x3e60dfff,
    0xffffffff,0x7ffffc6f,0x5404ffff,0xf984ffff,0x7dc04fff,0x3fe23fff,
    0x3ffa06ff,0xffff983f,0xffc80fff,0x13fff64f,0x3ffffc88,0x03ffff70,
    0x005fffe8,0xc8ffffc4,0x00005fff,0x001ffff4,0x201fffc8,0x98700019,
    0xb8bfffff,0xd80ffffe,0xfb8befff,0x3ffe2fff,0x01fddfff,0x41ffffd8,
    0x800ffffe,0xfb0ffffe,0x7e403fff,0xfffb85ff,0xfe82ffff,0x3fff62ff,
    0x6fffe804,0x09ffff10,0x017fffc4,0xc9bfff20,0x00005fff,0x001ffff4,
    0x201fffc8,0xe8700019,0xffe84fff,0x7ffd45ff,0x37ffcc0f,0x043fffff,
    0x6ffff880,0x00bfffea,0x56ffffcc,0x5404ffff,0xffd87fff,0x444fffcf,
    0x3f60ffff,0xffc804ff,0x3fff607f,0x1fffee06,0x5ffff100,0x002fffe4,
    0x0ffffa00,0xdddddd30,0xdddddfff,0x1c00066b,0xfb0dfff3,0x641fffff,
    0xffd05fff,0x17fffe3f,0xffffb800,0x00bfffd2,0xffffffc8,0xff8806ff,
    0x7fffc0ff,0x7d46fff8,0x7ffec7ff,0x6fffd804,0x07fffea0,0x0027ffec,
    0xf91bffee,0x80000bff,0x4c03fffe,0xffffffff,0x37ffffff,0xfa8e0003,
    0x4ffe44ff,0x3f61fffe,0x99999bff,0xfff2fffc,0xfe80007f,0xffffcfff,
    0xfffe8000,0xf001ffff,0x7fcc5fff,0x41fffd4f,0x7ec5fffb,0x7fd404ff,
    0x3fe204ff,0xfff884ff,0x7ffc002f,0x77ffe43f,0x99999999,0xfffd0009,
    0xffff9807,0xffffffff,0x000337ff,0x23fffc8e,0xfffb2ffb,0x7fffffc7,
    0xffffffff,0x003ffff3,0xfffff980,0x50003fff,0x09ffffff,0x927ffec0,
    0x3ff25fff,0x0ffff62f,0x999dfffb,0xffffd999,0xfffd801f,0x07fffa86,
    0x07fffd40,0x3ffffff2,0x5fffffff,0x07fffd00,0xffffff98,0xffffffff,
    0x8e000337,0xff53fffc,0xf1fffe47,0xffffffff,0x3e9fffff,0x80001fff,
    0x6ffffffc,0x7ffec000,0x3ee000ff,0x3fffa6ff,0x7c9fff50,0x7fec1fff,
    0xffffffff,0x802fffff,0x6c1ffffa,0x74004fff,0xffc84fff,0xffffffff,
    0xfd005fff,0x320007ff,0x06601fff,0xfff71c00,0xfd89ff39,0x3fffa2ff,
    0xaaaaaaac,0x3ffff1aa,0x3ffa0000,0x20001fff,0x1ffffff8,0x5fffe600,
    0x3e26fff8,0xffff36ff,0xffffffb0,0xbfffffff,0x7fffc003,0x07fffe24,
    0x0ffffa80,0xffffffc8,0x5fffffff,0x07fffd00,0x07fff200,0x47000198,
    0x5feefff9,0x360ffff8,0x7c004fff,0x00001fff,0x009ffff3,0xfffffd80,
    0x7ffc006f,0x44fffa9f,0xffa8fffe,0xffffd85f,0x5fffffff,0xffff9000,
    0x0037ffd4,0x6417fffa,0xaaaaefff,0x001aaaaa,0x0007fffd,0x9807fff2,
    0xff870001,0x7dc0efff,0x7ffdc6ff,0x0bcef887,0x0001ffff,0x017fffc0,
    0xfffff500,0x6c009fff,0xfffcbfff,0x657ffdc2,0xffd83fff,0x3fff624f,
    0xff98005f,0x7fffb1ff,0x7fffcc00,0xffffffff,0x400005ff,0x0003fffe,
    0x4c03fff9,0xfb870001,0xfd50cfff,0xff883fff,0x3ff21dff,0x1ffff0ff,
    0x7ffc0000,0xff10002f,0xffffdfff,0x3ffee003,0x4c0fffec,0xfffecfff,
    0x84fffd81,0x006ffffc,0xf8cfffe8,0x36000fff,0xffffffff,0x05ffffff,
    0x7fff4000,0xfff90003,0x8000cc03,0xffffff83,0x04ffffff,0xfdfffff7,
    0x7fc7ffff,0x200000ff,0x0002ffff,0xf37ffffb,0x2600dfff,0x6fffffff,
    0xfffffff0,0x13fff60f,0x027ffff4,0x2bffff20,0x26006fff,0xffffffff,
    0x5fffffff,0x7ff40000,0xdd70003f,0x000cc03d,0x7fffdc38,0x3fffffff,
    0x7ffffdc0,0x7fc4ffff,0x200000ff,0x8002ffff,0x326ffffa,0x8804ffff,
    0x3fffffff,0xffffffb0,0x13fff60b,0x17ffffc4,0xfffff300,0x64007fff,
    0xeeeeffff,0x5ffffeee,0x7ff40000,0x8000003f,0x4c700019,0xffeb9bff,
    0xb3001dff,0x05dfffff,0x0001ffff,0x017fffc0,0x3ffffe20,0x0fffff41,
    0x7fffff40,0xffff701f,0x3ff609ff,0x3ffee04f,0x3fa000ef,0x00ffffff,
    0x07ffff10,0x005fffc8,0x1ffff400,0x3ffffe60,0xffffffff,0x2000337f,
    0x04c425c3,0x026a2000,0x7c000000,0x6c002fff,0xf983ffff,0xfc806fff,
    0x2607ffff,0x02ffffff,0xd809fffb,0x2004ffff,0x5ffffffb,0x3ffff200,
    0x77ffe400,0xcccccccc,0xffe804cc,0x7ffcc03f,0xffffffff,0x00337fff,
    0x000000e0,0x00000000,0x00bfffe0,0x06ffffa8,0x013ffff2,0x0bfffff5,
    0x0ffffff8,0x809fffb0,0x01fffff8,0xffffff10,0x3ffe2005,0xfffc805f,
    0xffffffff,0xfe807fff,0x7fcc03ff,0xffffffff,0x5937ffff,0x55555555,
    0x000b5555,0x00000000,0xffff0000,0x3ffe2005,0x3fe201ff,0x3e201fff,
    0x6c03ffff,0x3606ffff,0xfb804fff,0x36006fff,0x2007ffff,0x801ffffb,
    0xfffffffc,0x7fffffff,0x03fffe80,0x7fffffcc,0xffffffff,0x00000007,
    0x00000000,0xffff0000,0x3fff2005,0xfffa804f,0x7fff406f,0x7ffdc01f,
    0x3fff604f,0xffffb004,0x3ffea007,0x3ffe005f,0xfff9006f,0xffffffff,
    0xfd00ffff,0x000007ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0x00000000,0x04000088,0x00000000,0x90000200,0x76c05ddd,
    0xddd901ee,0x00004005,0x3a600800,0xddb04eee,0x0f7764bd,0xb82f7744,
    0x3bba2eee,0x0002ee0e,0x7fffed40,0xeda802df,0x8802dfff,0xceffffec,
    0x7ff64c00,0xfd912dff,0x000037bf,0xdb98164c,0x8003dfff,0x3a03fffd,
    0xffb01fff,0x53bba27f,0x41dffec8,0xd83dffdb,0x3ff6e6ee,0xfffc80de,
    0x7fffe42f,0x20fffee1,0xe81ffffb,0x3ffe1fff,0x073ff20f,0xffffd800,
    0x104fffff,0xfffffffb,0x7ffcc0df,0x2fffffff,0xffffff70,0xffffdfff,
    0x0009ffff,0xb82ffea8,0xffffffff,0x3ff6001e,0x3fffa03f,0x27fffb01,
    0xff9dfff8,0xd89fffff,0x44ffffff,0xffd8fffe,0x441fffff,0xf30efffe,
    0xff887fff,0xffffd86f,0x23fffc43,0x3f20ffff,0x4002efff,0xfffffffc,
    0xfe83ffff,0xffffffff,0xffff885f,0xffffffff,0x7ffffd41,0xffffffff,
    0x3fffffff,0x7ffdc400,0x7ffd42ff,0xffffffff,0x7fffb002,0x80ffff40,
    0xff13fffd,0xffffffff,0xffffdfff,0x7f47ffff,0xfffffeff,0xff986fff,
    0xbfffd4ff,0xf03fffa0,0xfa8bffff,0x7fffc4ff,0x3fffff20,0x7c400bff,
    0xea89bfff,0x7fdc5fff,0xffcaadff,0x7ffdc2ff,0x3fffa60c,0x4effff44,
    0xfffffea8,0xfffea89d,0xfffc9802,0x3ea2ffff,0xfdacffff,0x9800ffff,
    0x3fa00aaa,0xfffb01ff,0x3ffffe27,0xffffb89d,0xfffb8bff,0x3ffffa5f,
    0xfffd98be,0xffffb81f,0x700ffffd,0x7fcc5fff,0x7fec7fff,0x0555541f,
    0xffffff91,0x2e2039ff,0xfffa84ed,0x0bfffe26,0xf917fff6,0x379305ff,
    0x43765c41,0x986ffff9,0x36a06fff,0xefffffff,0x37fffa0b,0x2ffff4c0,
    0x3ffa0000,0x7fffb01f,0x217fffe2,0x542ffffe,0x3ffa6fff,0x7ffc41ff,
    0xffffd02f,0x7cc05fff,0x3ffee5ff,0x3ffe1fff,0x3f6a0007,0x2dffffff,
    0x7fff9800,0x4c1bffea,0xfffb80ab,0x00000adf,0x207ffff1,0x2e20fffd,
    0xfffffffe,0xffff881d,0x4ffff500,0xeeeeeee9,0x5eeeeeee,0x3603fffd,
    0xfff13fff,0xdfff905f,0x74ffff10,0xffb04fff,0x3ffe207f,0xfe804fff,
    0x3f7ff67f,0x9fff33ff,0xff710000,0x03dfffff,0x7fff6544,0x17ffee7f,
    0x7fffcc00,0x001cefff,0x3fffb2a2,0x99999aff,0xff52fffc,0x17dfffff,
    0x02fffd40,0x7cc7fffe,0xffffffff,0xfd7fffff,0x3ff603ff,0x3ffff13f,
    0x10bfff90,0x3fa1ffff,0xfffb03ff,0x7fffd407,0xfffc800f,0xffb5fff1,
    0x00bfff2b,0xfffb5000,0xfec985ff,0x7fffffff,0x0013fff2,0xffffffb8,
    0x9102efff,0xffffffff,0xffffffff,0x3f27ffff,0x001cffff,0xe809fffb,
    0xfff32fff,0xffffffff,0x3ffaffff,0x7fffb01f,0x203fffe2,0xf885fffc,
    0xfffd0fff,0x0ffff205,0x2fffffc8,0x9bfff980,0x7ffb8fff,0x0000fffd,
    0x3ffff660,0x3ffffea2,0x27fffcdf,0x0004fffd,0x7fffff54,0x7d43ffff,
    0xfcefffff,0xffffffff,0xf93fffff,0x40039fff,0x7403fffc,0xfff32fff,
    0xffffffff,0x3ffaffff,0x7fffd01f,0x641fffe2,0xff884fff,0x5fffd0ff,
    0x40ffff20,0xfffffff9,0xbefff800,0x5fff16ff,0x0000bfff,0x7ffff5c4,
    0xffff32ff,0x3fffc459,0x000bfff7,0x3fff6e60,0xff10ffff,0x7fc15dff,
    0xaaaaacff,0xff91aaaa,0x005dffff,0xf80bfff5,0x26661fff,0x99999999,
    0xfffd1999,0x4ffffe05,0xf907fff8,0xfff109ff,0x0bfffa1f,0x441fffe4,
    0xfffffffe,0xefffc805,0x3bffa4ff,0x80002fff,0xffffffc9,0x3fff22ef,
    0x27fff985,0xf306fffa,0xc980079d,0xff52ffff,0xffff10bf,0xffb88009,
    0x1cffffff,0x40dfff30,0x000ffff9,0x0ffff600,0x44ffffea,0xff907fff,
    0xffff109f,0x40bfffa1,0xfc83fffc,0xffffbfff,0x7fffd403,0x3fff22ff,
    0x33300fff,0xfffd7103,0xd03bffff,0xff705fff,0x7fffccff,0x26fffc82,
    0xd01ffec8,0x3ff25fff,0xffff984f,0x0bcef887,0xfffffea8,0xfff82eff,
    0xfffd883f,0x3fffd805,0x87fffee0,0x13fffffa,0x3f20ffff,0xfff884ff,
    0x05fffd0f,0xf50ffff2,0x3ff65fff,0x7ffc00ff,0x3fea0fff,0x3fe05fff,
    0x3ffee0ff,0x00cfffff,0xf31bfff6,0xffc8ffff,0xffb99dff,0x7fff43ff,
    0x7fffcc0e,0x41ffff70,0xcfffffe8,0x0ffffb11,0xfffffc98,0x3ff21fff,
    0xffc8beff,0xfd801fff,0x3fea03ff,0xffffffff,0xfff13fff,0x13fff20f,
    0x743fffe2,0xff902fff,0x7fffc47f,0x1bfffe25,0x8dffffb0,0x03fffff8,
    0xfc83fffe,0x003effff,0xdbfffff7,0x41ffffff,0xfffffff8,0xfa86ffff,
    0xffdeffff,0x3fe64fff,0xfffedfff,0xfeffffff,0x1003ffff,0x5ffffff9,
    0xffffffd8,0x003fffff,0xc807fffb,0xcfffffff,0xff13fffa,0x3fff20ff,
    0x0ffff884,0x3205fffd,0x3ff63fff,0x7ffdc0ff,0x3ffea04f,0xffffe84f,
    0x83fffe00,0x002dfffc,0xffffffe8,0x42fffddf,0xffffffe9,0xff500fff,
    0xffffffff,0xfffff90d,0xff95dfff,0x9fffffff,0x3ffaa000,0xffffc82f,
    0x003fffff,0x200ffff6,0x52efffec,0x3fe27fff,0x9fff907f,0x21ffff10,
    0xf902fffe,0x3ffee7ff,0xffffd02f,0x3fffe203,0x06fffc82,0xf907fffc,
    0x64400039,0xf53fffff,0xff910bff,0x8017ffff,0xffffffc9,0x3ffee02e,
    0x7f4c3eff,0x002effff,0x502fd980,0x1bffffdb,0x09998800,0x40026200,
    0xf907fff8,0xfff109ff,0x0bfffa1f,0x001fffe4,0x00000000,0x00004c00,
    0x00015310,0x00009988,0x40013533,0x353001a9,0x11000001,0x00015100,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xd7000000,
    0xeed807dd,0x3bbbb62e,0xeeeeeeee,0x01555400,0x40300188,0x036200d8,
    0x64433320,0x9933224c,0x000003cc,0x00000200,0x00013310,0x00cc4001,
    0xfffffffb,0x7fffffff,0xffffb000,0xffffffff,0x0ccc47ff,0x4c0ffff5,
    0x3fa0ffff,0xffffffff,0x7fc00fff,0x23fd005f,0x13ea1a98,0x2203bfe2,
    0x7fe405ff,0xfb13ffa5,0x01fffc9f,0x80b3ff6a,0x7ec42ffa,0xd9301dff,
    0x3fe0039d,0xffb5006f,0x7fb809df,0x3fffff60,0xffffffff,0x77ff543f,
    0x7ffffec2,0xffffffff,0x87fffa3f,0xf902fffe,0xfffe89ff,0xffffffff,
    0x2fffc00f,0x7efffec0,0xfffdffff,0x3bfffe24,0x17fffa20,0xfb8fffd4,
    0x7ffcc0ff,0x201fff51,0x4ffffffa,0x262fffa8,0x2fffffff,0x7fffffd4,
    0x7fffdc00,0x7fffcc02,0x3ee04fff,0x3ffff607,0xffffffff,0x3ffee3ff,
    0x3ff63fff,0xffffffff,0x3fa3ffff,0x3ffee1ff,0x83ffff05,0xeccccccb,
    0xf806ffff,0x7f4405ff,0xffffffff,0x7e44ffff,0xfe88efff,0xff882fff,
    0x07fff34f,0x7f43bff6,0x33dfd05f,0x3fa61ffd,0x3ffa2fff,0x20fffece,
    0x5ffa9efe,0x37ffff40,0x2e6fff60,0xfa96c7ff,0xeeec8aa6,0xeeeeeeee,
    0xfff33fff,0x323ffd77,0xeeeeeeee,0x22eeeeee,0x3e21fffe,0x7fd40fff,
    0x3fe6006f,0xff800eff,0xffe8805f,0xffffffff,0xffff904f,0x05ffffdd,
    0x7f43fff6,0x3ffe206f,0x887fff34,0x47fee3dc,0x52ffeffc,0x2fff8fff,
    0x2ffc46a6,0xffffff50,0x3e218803,0x33bfe27f,0x005ffcdf,0x2e7fff50,
    0x0ffe21ff,0xfffd0000,0x43fffd81,0x3003fffd,0x001fffff,0x64017ffe,
    0xfc9cffff,0x3f202fff,0x2fffffff,0x327fff70,0x7dc01fff,0x1fffb2ff,
    0x90ffe880,0x2e5ff717,0x1ffec5ff,0x201fffd8,0x5fffeffe,0x7ff65440,
    0x3fffea7f,0x00ffffff,0x93fffa80,0x00bfd0df,0x2a1fe000,0x3fe26fff,
    0xff8800ff,0xeec81fff,0xeffffeee,0x7fc2eeee,0x7ffcc0ff,0x7fffe405,
    0xfff102ff,0x017ffead,0x223fffe2,0x3a606fff,0x5ff703ff,0xff913ff2,
    0x3dfff109,0x36fffea0,0xff500fff,0x30fffdff,0x035dfff7,0x9fffd400,
    0x3fe20ffb,0x55555534,0x55555555,0xfd07fa83,0x3ffee3ff,0xfffe8804,
    0xffffb02f,0xffffffff,0x7ffc47ff,0x80dffd05,0x0efffff8,0x2ebfff30,
    0xfb004fff,0x3fffa5ff,0x04fffa80,0x7fdcbfee,0x441ffec5,0xe80ffea9,
    0xfff98fff,0x1bfff884,0x3ff20fff,0x540001ff,0xdff33fff,0x363ffd55,
    0xffffffff,0x23ffffff,0xff702ffa,0x07fffa9f,0x0fffff60,0xffffffd8,
    0xffffffff,0x40fffe23,0x3e207ffd,0x0effffff,0x365fff90,0x7cc00fff,
    0x7fff74ff,0x805fff70,0xfff32ffb,0x98bffe21,0x30bfee09,0x7ff49fff,
    0x52ffd40f,0xffc81fff,0x0000efea,0xfc8fffea,0x364fffff,0xffffffff,
    0x13ffffff,0x7fc409ff,0x06fff8ef,0x04ffffc8,0x7fffffec,0xffffffff,
    0x443fffc3,0xfd106fff,0xdfffffff,0x45bffa01,0x7f405fff,0x5fff88ef,
    0x99afffb8,0x22ffb809,0xfffcfffe,0xfd97fe26,0x0fffec0f,0xf887fff7,
    0xfffebbff,0x7cd7fea0,0x3ea0005f,0x7ffdc3ff,0x7fffec3f,0xffffffff,
    0x2006e3ff,0xfffdfffd,0x7fffdc03,0x99998805,0x999efff9,0x7ffec099,
    0x7fffb31c,0x5ffffd10,0x01dffff9,0x3ea7fff3,0xfff501ff,0x203fff23,
    0xffffffff,0x262ffb82,0x1fffffff,0x7fff7fe4,0x237ffcc4,0xfd87fff8,
    0x0ffeffff,0x009907d4,0x01aaa880,0x2aaa6033,0xaaaaaaaa,0xa8001aaa,
    0x0fffffff,0x17fffea0,0x0bfff000,0x3ffffee0,0x42ffffff,0x22ffffe8,
    0x905ffffc,0x3ff61fff,0x14fff886,0xff505fff,0x05ffffff,0xec885ff7,
    0xec880cef,0x7ec0beff,0xfffd83ff,0x4ef6d443,0x00001cc9,0x00000000,
    0x7f400000,0x2605ffff,0xccdfffff,0x402ccccc,0xfa805fff,0xffffffff,
    0x7e41ffff,0xfffc82ff,0x453ffa02,0x7fe42fff,0x4417ff66,0x99999999,
    0x00099880,0x3a203300,0xee980eee,0x0000005e,0x00000000,0xb8000000,
    0x201fffff,0xfffffffb,0x04ffffff,0x7c02fffc,0xffffffff,0xc86fffff,
    0x00bf202f,0x3ea1fff3,0x47ffe26f,0x0000fff9,0x00000000,0x00000000,
    0x00000000,0x00000000,0x1bfffe20,0xffffff70,0x9fffffff,0x805fff80,
    0xdcb8cff9,0x00efd8ac,0x00003003,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x201fffec,0xfffffffb,0x04ffffff,0x98027774,
    0x00019004,0x1dddd300,0x75d7bbae,0x66e4c5ee,0x3795300a,0x11110500,
    0xcb808888,0x133311cc,0x7ffffffc,0x4411110f,0x33322088,0xcccccccc,
    0x264ccccc,0xeeeeeeee,0xeeeeeeee,0x00000006,0x00000000,0x00000000,
    0xfa800000,0xfff91fff,0xb1bfff2d,0xf90dffdd,0x839fffff,0x7ffdc5d8,
    0x227ffec6,0xffb2fffd,0x7ffffc5f,0x9ffd0fff,0xff33ffdc,0xffffffff,
    0x4fffffff,0xfffffff9,0xffffffff,0x0000007f,0x00000000,0x00000000,
    0xa8000000,0xff91ffff,0x1bfff2df,0x3fa2ffb8,0xffffffff,0x745ffdce,
    0xffd80eff,0x4bfff60f,0x3fe2fffd,0xd0ffffff,0x3ffdc9ff,0xfffffff3,
    0xffffffff,0x7fffccff,0xffffffff,0x0007ffff,0x00000000,0x00000000,
    0x00000000,0x1ffffa80,0x3f2dfff9,0x3fea06ff,0x3fffffe2,0xffffffff,
    0x03ffea5f,0xfb1fff44,0x3fff65ff,0x3fffffe2,0x49ffd0ff,0x00007ffb,
    0x00000000,0x00000000,0x00000000,0x00000000,0xffff9800,0x2edfff70,
    0x99b36fff,0xcff8dffd,0xffffecaa,0x3fa2ffff,0x37f4401f,0x3f617775,
    0x266662ff,0x2aaa1999,0x000aaa61,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7ffc0000,0x553ffea7,0xfff54fff,0x00e819ff,0x3bfffd71,
    0x31000998,0x00000013,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x225ffe80,0xfff13fff,0x0004c447,0x00000440,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7fc4ffc8,
    0x00bffe2f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__arial_bold_34_latin1_x[224]={ 0,2,1,0,1,1,1,1,1,0,0,1,1,0,
2,-1,1,2,0,1,0,1,1,1,1,0,2,2,1,1,1,1,0,0,2,1,2,2,2,1,2,2,0,2,
2,2,2,1,2,1,2,1,0,2,-1,0,0,-1,0,2,-1,0,1,-1,0,1,2,1,1,0,0,1,2,2,
-2,2,2,1,2,1,2,1,2,0,0,2,0,0,0,0,0,0,2,0,0,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,2,1,0,0,0,
2,0,0,-1,0,1,1,0,-1,-1,1,0,0,0,2,1,-1,2,0,1,0,1,1,1,0,1,0,0,0,0,
0,0,-2,1,2,2,2,2,-1,1,-1,-1,-1,2,1,1,1,1,1,1,0,2,2,2,2,-1,2,2,1,1,
1,1,1,1,1,1,0,0,0,0,-1,1,-1,-1,1,2,1,1,1,1,1,0,1,2,2,2,2,0,2,0,
 };
static signed short stb__arial_bold_34_latin1_y[224]={ 27,5,5,4,3,4,4,5,4,4,4,8,22,17,
22,4,5,5,5,5,5,5,5,5,5,5,11,11,7,11,7,4,4,5,5,4,5,5,5,4,5,5,5,5,
5,5,5,4,5,4,5,4,5,5,5,5,5,5,5,5,4,5,4,30,4,10,5,10,5,10,4,10,5,5,
5,5,5,10,10,10,10,10,10,10,5,11,11,11,11,11,11,4,4,4,13,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,27,11,5,4,8,5,
4,4,4,4,4,12,11,17,4,1,4,6,4,4,4,11,5,14,27,4,4,12,4,4,4,11,-1,-1,-1,0,
0,0,5,4,-1,-1,-1,0,-1,-1,-1,0,5,0,-1,-1,-1,0,0,9,4,-1,-1,-1,0,-1,5,4,4,4,
4,5,4,4,10,10,4,4,4,4,4,4,4,4,5,5,4,4,4,5,4,8,10,4,4,4,4,4,5,4,
 };
static unsigned short stb__arial_bold_34_latin1_w[224]={ 0,6,12,17,15,25,21,5,9,9,12,16,6,10,
5,10,15,10,16,15,17,16,15,15,15,16,6,6,16,16,16,17,30,22,19,20,19,17,16,21,18,5,15,20,
16,22,18,22,17,23,20,18,18,18,22,29,21,22,19,8,10,8,16,19,8,15,16,16,16,16,12,16,15,5,
9,15,5,25,15,17,16,16,11,16,10,15,17,24,17,17,15,12,4,11,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,6,16,17,17,17,
4,16,11,24,11,15,16,10,24,19,10,16,10,10,8,16,18,5,9,7,11,15,25,24,26,17,22,22,22,22,
22,22,31,20,17,17,17,17,8,8,11,11,22,18,22,22,22,22,22,16,23,18,18,18,18,22,17,16,15,15,
15,15,15,15,25,16,16,16,16,16,8,8,11,11,17,15,17,17,17,17,17,16,17,15,15,15,15,17,16,17,
 };
static unsigned short stb__arial_bold_34_latin1_h[224]={ 0,22,8,24,28,24,24,8,30,30,12,16,10,5,
5,24,23,22,22,23,22,23,23,22,23,23,16,21,18,11,18,23,30,22,22,24,22,22,22,24,22,22,23,22,
22,22,22,24,22,26,22,24,22,23,22,22,22,22,22,29,24,29,13,4,6,18,23,18,23,18,23,24,22,22,
29,22,22,17,17,18,24,24,17,18,23,17,16,16,16,23,16,30,30,30,7,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,0,23,28,24,16,22,
30,30,5,24,12,14,11,5,24,3,11,21,13,13,6,23,28,5,7,13,13,14,24,24,24,23,28,28,28,27,
27,27,22,30,28,28,28,27,28,28,28,27,22,27,29,29,29,28,28,15,25,29,29,29,28,28,22,24,24,24,
24,23,24,24,18,24,24,24,24,24,23,23,23,23,23,22,24,24,24,23,24,17,19,24,24,24,24,30,29,30,
 };
static unsigned short stb__arial_bold_34_latin1_s[224]={ 254,218,87,83,161,151,214,100,120,19,190,
35,248,164,158,244,216,150,1,232,216,83,51,92,18,34,247,245,94,231,1,
138,130,145,168,173,125,71,58,194,18,188,20,37,75,108,131,66,161,1,76,
1,152,1,97,46,24,1,225,207,37,245,161,187,143,18,238,34,54,224,207,
89,240,234,235,200,194,162,188,111,156,20,241,51,100,146,1,222,204,220,19,
107,102,90,116,188,188,188,188,188,188,188,188,188,188,188,188,188,188,188,188,
188,188,188,188,188,188,188,188,188,188,188,188,188,188,188,188,188,254,248,79,
48,52,89,85,47,175,131,178,87,203,164,106,207,220,171,119,150,134,1,36,
152,106,130,138,103,188,163,136,111,115,138,177,150,173,214,120,64,200,218,101,
196,236,245,24,138,195,119,1,184,161,78,1,70,25,216,60,41,96,55,107,
53,119,120,236,67,212,70,68,86,103,49,195,66,129,156,165,177,189,179,101,
17,177,36,35,129,206,135,237,228,1,29,24,1, };
static unsigned short stb__arial_bold_34_latin1_t[224]={ 1,216,296,91,31,90,118,296,1,1,281,
281,281,296,296,90,143,216,216,143,192,168,168,216,168,168,262,216,262,281,262,
168,1,192,192,143,192,192,216,143,216,192,192,216,216,216,216,143,216,91,239,
143,239,192,239,239,239,239,216,1,143,1,281,296,296,262,168,262,192,239,168,
143,192,192,1,192,192,262,262,262,143,143,239,262,168,262,281,262,262,168,281,
1,1,1,296,239,239,239,239,239,239,239,239,239,239,239,239,239,239,239,239,
239,239,239,239,239,239,239,239,239,239,239,239,239,239,239,239,239,1,143,32,
143,281,192,1,1,296,143,281,281,281,296,143,296,281,239,281,281,296,168,62,
296,296,281,281,281,118,118,118,168,32,32,31,62,62,62,239,1,31,31,62,
62,31,31,62,62,216,62,32,1,1,62,62,281,91,1,32,32,32,62,192,
118,90,118,118,168,90,118,262,118,118,91,90,91,168,168,168,168,168,216,91,
118,90,192,118,262,239,90,62,90,118,1,32,1, };
static unsigned short stb__arial_bold_34_latin1_a[224]={ 135,162,231,271,271,433,352,116,
162,162,189,284,135,162,135,135,271,271,271,271,271,271,271,271,
271,271,162,162,284,284,284,297,475,352,352,352,352,325,297,379,
352,135,271,352,297,406,352,379,325,379,352,325,297,352,325,460,
325,325,297,162,135,162,284,271,162,271,297,271,297,271,162,297,
297,135,135,271,135,433,297,297,297,297,189,271,162,297,271,379,
271,271,243,189,136,189,284,365,365,365,365,365,365,365,365,365,
365,365,365,365,365,365,365,365,365,365,365,365,365,365,365,365,
365,365,365,365,365,365,365,365,135,162,271,271,271,271,136,271,
162,359,180,271,284,162,359,269,195,267,162,162,162,281,271,135,
162,162,178,271,406,406,406,297,352,352,352,352,352,352,487,352,
325,325,325,325,135,135,135,135,352,352,379,379,379,379,379,284,
379,352,352,352,352,325,325,297,271,271,271,271,271,271,433,271,
271,271,271,271,135,135,135,135,297,297,297,297,297,297,297,267,
297,297,297,297,297,271,297,271, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_34_latin1_BITMAP_HEIGHT or STB_FONT_arial_bold_34_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_34_latin1(stb_fontchar font[STB_FONT_arial_bold_34_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_34_latin1_BITMAP_HEIGHT][STB_FONT_arial_bold_34_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_34_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_34_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_34_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_34_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_34_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_34_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_34_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_34_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_34_latin1_s[i] + stb__arial_bold_34_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_34_latin1_t[i] + stb__arial_bold_34_latin1_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_34_latin1_x[i];
            font[i].y0 = stb__arial_bold_34_latin1_y[i];
            font[i].x1 = stb__arial_bold_34_latin1_x[i] + stb__arial_bold_34_latin1_w[i];
            font[i].y1 = stb__arial_bold_34_latin1_y[i] + stb__arial_bold_34_latin1_h[i];
            font[i].advance_int = (stb__arial_bold_34_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_34_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_34_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_34_latin1_s[i] + stb__arial_bold_34_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_34_latin1_t[i] + stb__arial_bold_34_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_34_latin1_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_34_latin1_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_34_latin1_x[i] + stb__arial_bold_34_latin1_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_34_latin1_y[i] + stb__arial_bold_34_latin1_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_34_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_34_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_34_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_34_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_34_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_34_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_34_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_34_latin1_LINE_SPACING
#endif

