// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_35_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_35_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_35_latin1_BITMAP_WIDTH         256
#define STB_FONT_arial_bold_35_latin1_BITMAP_HEIGHT        324
#define STB_FONT_arial_bold_35_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_bold_35_latin1_FIRST_CHAR            32
#define STB_FONT_arial_bold_35_latin1_NUM_CHARS            224

#define STB_FONT_arial_bold_35_latin1_LINE_SPACING          23

static unsigned int stb__arial_bold_35_latin1_pixels[]={
    0x360eeea8,0xaaaa84ee,0xeb800000,0x3b2005ee,0x2666601e,0x03bb2000,
    0xbcedc980,0x99880001,0x55550019,0x10005555,0x99bdb975,0xeee98005,
    0x1edcb800,0x2aaaaa20,0x0aaaaaaa,0x03333100,0xaaaaaa88,0x1555500a,
    0x743fff70,0xfffe85ff,0x7c400002,0xf3000fff,0xfffc80df,0x13fee006,
    0x3ffff620,0x0000cfff,0x4013fff6,0x6ffffffd,0x3fff6a00,0xffffffff,
    0xfff9801c,0x3fffa600,0xfffd982f,0xffffffff,0xffd001ff,0xfffa809f,
    0xfd01ffff,0xfff707ff,0x742fff43,0x00002fff,0x000fffdc,0xfb007ffb,
    0x7fc003ff,0x7fff400f,0x05ffffff,0x0bfff300,0x7ffffec0,0xffe9806f,
    0xffffffff,0x404fffff,0x3a00fff9,0x4c2fffff,0xffffffff,0x1fffffff,
    0x05fff980,0xffffffa8,0x7fffd01f,0x6c1ddd50,0xfffe84ee,0x7fc00002,
    0x3fe6001f,0xbffb000f,0x027fe400,0xd9bffff7,0x0007ffff,0xd800bffb,
    0x06ffffff,0x5f7fffdc,0xf953109a,0x2601dfff,0xff500fff,0x7c43ffff,
    0xffffffff,0x1fffffff,0x005ffd80,0xfffffff5,0x0ffffa03,0xfffd0000,
    0x75400005,0x7fec002e,0x0fff4004,0x00fff980,0xfc8bfffb,0x7c4006ff,
    0x7ec000ef,0xffb002ff,0xfc8003bf,0xfff306ff,0x17fff201,0x7fffffdc,
    0xfffcceff,0x7fcc00ce,0x3ffa0006,0x3999701f,0xffe80000,0x0000002f,
    0x02fff980,0x0004cc40,0x3f609ffd,0x5e6cc5ff,0x04cc4002,0x17ffec00,
    0x01fffdc0,0x0bffd100,0x3201fff3,0xffb02fff,0x2bffffff,0x1003fff8,
    0x74000133,0x44001fff,0x4c400999,0x5fffd099,0x88055dcc,0x4c400999,
    0x3fff4099,0x4015554c,0xfc82aaa8,0xfffb80ff,0x5100003f,0x01359bb7,
    0x805fffb0,0x7302fff9,0x44ccc437,0x7cc1fff8,0xfffb00ff,0x3ffffe03,
    0xff15ffff,0x2aaa987f,0x02aaa880,0x4407fffa,0xfff70999,0x4fffd80f,
    0xfd35fffd,0xf707ffff,0xffd80fff,0x17ffe24f,0x2017fff6,0x4c0ffffa,
    0xfe884fff,0x0000dfff,0xfffffff5,0xfd807fff,0x7ff402ff,0xfffffc83,
    0x51fffd8e,0xfff989ff,0x03fffb00,0x3ffffffe,0x7fff15ff,0x805fffd8,
    0xd00ffffa,0x3fa03fff,0xffff13ff,0x3fffe205,0xffbfffd1,0x8bffffff,
    0x102ffff8,0x7d43ffff,0xfffd83ff,0xffffa805,0x705fff80,0x05ffffff,
    0xfffffc80,0xefffffff,0x05fffb00,0x7ec2ffd4,0xfeffffff,0x3ffa0fff,
    0x403ffe60,0xfb00fffd,0xbfffffff,0xfb0fffe2,0xff500bff,0x3ffa01ff,
    0x7fffd01f,0xa82fffec,0x3ffa6fff,0xffeeffff,0x7fec3fff,0xdfff505f,
    0xd82fffd8,0xfa805fff,0xfff80fff,0xfffff987,0xd800dfff,0xffffffff,
    0x1fffffff,0x202fffd8,0x7fec0ffd,0xfffd9bff,0x17fe46ff,0x3a01fff3,
    0xff700fff,0x2bffffff,0x7ec3fff8,0xffa805ff,0xfffd00ff,0x8ffffa03,
    0xfb07fffa,0x7fff47ff,0x3ffaa2ef,0x3ffea0ff,0x87fffb07,0xfd81ffff,
    0xffa805ff,0xfffe80ff,0x3bfffe60,0x02ffffff,0x37ffffee,0xfffb989a,
    0xfffd86ff,0xb8dff102,0xffb85fff,0x1ffd44ff,0x3e01fff3,0x7ff407ff,
    0xf15fffff,0xfffd87ff,0xffffa805,0x03fffd00,0xff0ffffa,0xfff885ff,
    0x3ffffa0f,0x3ffff880,0x2217fffc,0x7fc0ffff,0xfffd80ff,0xffffa805,
    0x21fffd80,0xff71fffc,0xf105ffff,0x4407ffff,0x6c3ffffd,0xff702fff,
    0x80ffff87,0x4c2ffff9,0x3ffe63ff,0x06fffa80,0x7fffff4c,0x87fff15f,
    0xa805fffd,0xfd00ffff,0x3ffa03ff,0x2fffe43f,0xfd1bffea,0x7fec09ff,
    0x2fffe44f,0xf11bffea,0x3ff60fff,0xfffa805f,0x3fffc80f,0xfd31bffa,
    0xfd83ffff,0xff003fff,0x7fec1fff,0x41ffb02f,0x3e04fffb,0x7fcc1fff,
    0x7d40ccc3,0xd7003fff,0x3e2bffff,0x7ffec3ff,0xffffa805,0x03fffd00,
    0xf30ffffa,0xfffd8fff,0x01ffff43,0xf98bfff9,0x7ffec7ff,0x83fffcc3,
    0xa805fffd,0xfb80ffff,0x3fffe4ff,0x7fffec40,0x037fffc6,0x47ffff70,
    0xfd02fffd,0x00fffe8f,0x3ee1fffe,0xfff8802f,0xff0006ff,0x0fffe2bf,
    0x500bfffb,0x3a01ffff,0xffd01fff,0x5fffd07f,0xd03fffe2,0x7dc05fff,
    0xfffe86ff,0x81ffff12,0xfb06fffa,0xff500bff,0xfff501ff,0x82fffecb,
    0xf30ffffc,0xf8007fff,0x3ff64fff,0xf8dff02f,0x3fe207ff,0x01ffd86f,
    0x0dffff88,0x2bfff000,0x7ec3fff8,0xffa805ff,0xfffd00ff,0x0ffffa03,
    0x7d57ffee,0xfffe85ff,0x1bffee03,0x7d57ffee,0xfff985ff,0x0bfffb05,
    0x01ffff50,0x7dcbfff5,0xfd80dfff,0xffff71ff,0xfffe8005,0x40bfff65,
    0x3ffe25ff,0x13ffea06,0x7c401ffe,0x0001efff,0x3fe2bfff,0x2fffec3f,
    0x07fffd40,0xd01fffe8,0xff107fff,0x0bfff6ff,0xc813fffa,0xff885fff,
    0x05fffb7f,0x360dfff1,0xfa805fff,0xffa80fff,0x3fffe23f,0x7ffdc2ff,
    0x03ffff70,0x26fffd80,0xff02fffd,0x02fffccd,0xfc85fff9,0xffd1004f,
    0xf0001fff,0x3ffe2bff,0x02fffec3,0x807fffd4,0xfd01fffe,0x3ff607ff,
    0xd07fffaf,0x7f40dfff,0xfffb04ff,0x7c0ffff5,0xfffb07ff,0xffff500b,
    0x85fff701,0xdffffff9,0x7e4dffd0,0x64000fff,0x3ff67fff,0x44ffd02f,
    0xff107fff,0x7ffd41ff,0x4c266440,0x8004fffe,0xfff15fff,0x05fffd87,
    0x00ffffa8,0x3a03fffd,0xff503fff,0x209fffff,0xa83ffffe,0xf502ffff,
    0x09ffffff,0xfd83ffec,0xffa805ff,0xfffb80ff,0xfffff981,0x22fffdef,
    0x000ffffb,0xfb3fffe4,0x1ff605ff,0xf903ffff,0x7ffccfff,0x80fff983,
    0x8006fffa,0xfff15fff,0x05fffd87,0x00ffffa8,0x3a03fffd,0x3fe03fff,
    0xd01fffff,0x337fffff,0x80dffffb,0x1fffffff,0x203fff20,0xa805fffd,
    0xfd80ffff,0xffb100ff,0x85ffffff,0x001ffffa,0xfb37ffec,0x3ff205ff,
    0x477fff62,0x9fffffc8,0xf304fffc,0x3ffa01ff,0x5fff8007,0xfd87fff1,
    0xffa805ff,0xfffd00ff,0x0ffffa03,0x6fffffc8,0x3fffffa0,0xffffffff,
    0x7fffe402,0x7ffdc06f,0x06fffd81,0x80ffffa8,0xfa807ffe,0x985fffff,
    0x4002ffff,0x3f65ffff,0xdff102ff,0x77ffffc4,0xffffffff,0x3e603fff,
    0xfffd00ff,0x5fff8001,0xfd87fff1,0xffa806ff,0xfffd00ff,0x0ffffa03,
    0x3fffff98,0x3affffa0,0x3fffffff,0xfffff980,0x27ffcc03,0x4037ffe4,
    0xf887fffb,0xfb1005ff,0xf885ffff,0x26004fff,0x3f63ffff,0x3ffa02ff,
    0x3ffffea1,0xfffffbff,0x7fcc02ff,0x1fffb00f,0x15fff800,0xffc87fff,
    0xfffb806f,0x07fffa07,0x201ffff4,0x200ffffe,0xff92fffe,0x74003dff,
    0xf800ffff,0xfffb86ff,0x7fffc807,0x002fffa8,0x43ffffd4,0x001fffff,
    0x6c5ffffb,0x3ea02fff,0x3fb220ef,0x7bfb50ce,0x26199813,0xffb00fff,
    0xfff8003f,0xb87fff15,0xfc807fff,0x3ffa07ff,0x7fffd01f,0x05fffe80,
    0x2617fff4,0xffe80009,0xfff7005f,0x4ffffa81,0x1bfffe20,0x4c03fff2,
    0xffff9829,0x2ffffd41,0x37fffd40,0xb00bfff6,0x80000dff,0x3fe66ffc,
    0x3fffb00f,0x15fff800,0xffa87fff,0x3fe204ff,0x3ffa06ff,0x5fffd01f,
    0x17fffd40,0x00bfffa0,0x7fffd400,0x5fff1002,0x2fffff88,0x3ffffc88,
    0xf885ffe8,0xfff82fff,0xffffe82f,0xffff701e,0x2fffd83f,0x0f7ff440,
    0x3ff62000,0x03ffe61f,0x0017ffe4,0x7fc57ffe,0x7fffc43f,0xfffc882f,
    0x3fffa03f,0x05ffff01,0x01ffffaa,0x000bfffa,0x1ffffaa0,0x909ff900,
    0x9bffffff,0x1ffffffd,0xb01fff88,0x7d43dfff,0xff980fff,0xdcceffff,
    0x84ffffff,0x9802fffd,0x001dffff,0x17fffdc4,0x5c03ffe6,0x0019efff,
    0x3fe2bfff,0xffffc83f,0xfffecdff,0x3fa00fff,0x3f6ea1ff,0x3fb61fff,
    0x803fffff,0x0002fffe,0xffffffdb,0x7ff88007,0xffffff88,0xffffffff,
    0x205ffc84,0xeefffffa,0x2a06ffff,0xffffffff,0x0dffffff,0xffffffd8,
    0x3fff6206,0x99aabdff,0xffffecaa,0x0fff981e,0xffffff50,0x2bfff005,
    0xf883fff8,0xffffffff,0x544fffff,0x1fffffff,0x3ffffffa,0x3fffff20,
    0xffe800ef,0xff90002f,0x001dffff,0xd107ff90,0xffffffff,0x3fe07fff,
    0x7ffdc01f,0x0fffffff,0x7fffec40,0x3fffffff,0x3fffff60,0xfffb806f,
    0xffffffff,0x0cffffff,0x401fff30,0x02fffffe,0xff15fff8,0x3ffa207f,
    0xffffffff,0xffffa83f,0xfff11fff,0xffb89fff,0xd000dfff,0x20005fff,
    0x0dfffffb,0x0dff1000,0x7fffff5c,0xff701def,0x3ffaa009,0x000dffff,
    0x3fffff6a,0x7ec00cef,0x006fffff,0x3fffff2a,0xaeffffff,0x07ffcc00,
    0x5ffffb10,0x22bfff00,0x75c03fff,0xdeffffff,0xfffff501,0x3ffe63ff,
    0xcca885ff,0x4cc4001a,0x95100009,0x70000359,0xa9880199,0x1997001a,
    0xabca9800,0x54c40000,0x55554000,0x30002aaa,0x35599553,0x26644001,
    0x01cba980,0x26609998,0x55310009,0x2aaa2003,0x7510aaaa,0x00000159,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x26200000,0x40000099,0x179bd300,0x33330000,0x0eee9800,
    0x00999980,0x6dd44000,0x80001acd,0x00001999,0x0004cccc,0x80033331,
    0x31009999,0x33101333,0x4c400013,0x55300199,0x401aaa85,0x006ffff8,
    0x2607f400,0x002fffff,0x13fffea0,0x00fff980,0x006fffc8,0xffffd300,
    0x001bffff,0x13fffea0,0x7ffcc000,0x3fa2001f,0x3ea002ff,0xffc80fff,
    0xffffd05f,0x3ff60001,0xfffb004f,0x2027ffc4,0x03fffffe,0x30df3000,
    0x00ffffff,0x3ffffe20,0xfff3001f,0x3fff2001,0x7fdc0002,0xffffffff,
    0x7c4003ff,0x001fffff,0x02fffc80,0x06fff880,0x21fffdc0,0xc80efff8,
    0x005fffff,0x005fff98,0xff89fff6,0x3bff204f,0x0001fffa,0xff983fb8,
    0x8003ffff,0xeffccffe,0x0fff9800,0x017ff600,0xfffffd80,0xffffffff,
    0x3ff6002f,0x000effcc,0x00bffe20,0x02fff980,0x2e37fe40,0xffa80eff,
    0x003fffaf,0x20037fec,0x3fe27ffd,0x3fff304f,0x0001bff2,0xff9007fa,
    0xffb8009f,0x2013ffa6,0x4000fff9,0xa8001ffd,0x8acfffff,0xffffffca,
    0x0effb800,0x4000bffb,0x80003ffc,0xc8006ff9,0x03ffe2ff,0x7d4bffe2,
    0xff1000ff,0x9988001d,0x8804ccc1,0x04ccc099,0x00ff1000,0x8009fff3,
    0x26620999,0x0fff9801,0x00099800,0x01efffe8,0x00fffffa,0x99882666,
    0x06620001,0x01988000,0x4cc13300,0x88333100,0x33100099,0xaaa80001,
    0x2aaa981a,0x02aaa880,0x27ee5d44,0x02fffc40,0x66edd440,0xff98009a,
    0xdba8800f,0x70009acd,0xa805ffff,0x2005ffff,0x001aaaa8,0x2aaaaaa6,
    0xaaaaaaaa,0x2aaaa62a,0xaaaaaaaa,0x55502aaa,0x0d555435,0x00355550,
    0x03555510,0x13fffa00,0x2017fff6,0x880ffffa,0xfffffffd,0x37ffc402,
    0xfffff500,0x807fffff,0x2a00fff9,0xffffffff,0xffe803ff,0x1599006f,
    0xffffc800,0x3fff6006,0xffffffff,0x3f66ffff,0xffffffff,0x06ffffff,
    0x7f49fffd,0x3ffa04ff,0xffc8004f,0xfd0006ff,0xfffb09ff,0xffff500b,
    0xfffffa81,0x204fffff,0x9006fff8,0xffffffff,0x201dffff,0xf900fff9,
    0xffffffff,0x7c01dfff,0x00003fff,0xffffff80,0xffffb001,0xffffffff,
    0x7fecdfff,0xffffffff,0xd06fffff,0x7ff49fff,0x3fffa04f,0xffff8004,
    0xfe8001ff,0xfffd84ff,0xffffa805,0x3ffffe20,0x2fffffef,0x201bffe0,
    0xfffffffd,0xffffffff,0x80fff981,0xfffffffd,0xffffffff,0x2ffff881,
    0x7d400000,0x005fffff,0xfffffffb,0xffffffff,0x7ffffecd,0xffffffff,
    0xfffd06ff,0x027fff49,0x8009fffd,0x5ffffffa,0x4fffe800,0x805fffd8,
    0x360ffffa,0xfc8bffff,0x3e06ffff,0x7fdc07ff,0x989adfff,0x86fffffb,
    0x7dc0fff9,0x89adffff,0x6fffffb9,0x01ffff98,0x7fec0000,0x800fffff,
    0xaaaefffd,0xaaaaaaaa,0x2bbfff62,0xaaaaaaaa,0xfffd02aa,0x027fff49,
    0x8009fffd,0xfffffffd,0x7fff4000,0x05fffd84,0x30ffffa8,0x7f45ffff,
    0xb00deff9,0x3e207fff,0x2203ffff,0x4c3ffffd,0x3fe20fff,0x36203fff,
    0x7d43ffff,0x00000fff,0x3ffffe20,0xfd803fff,0x360006ff,0x00006fff,
    0x7f49fffd,0x3ffa04ff,0x3fe2004f,0x03ffffff,0x427fff40,0xa805fffd,
    0xff50ffff,0x09b7ccff,0xaffffa80,0x1ffffec0,0x0fffff80,0xfd83ffe6,
    0xff003fff,0x7fdc1fff,0x000001ff,0x3f3bfff2,0xffd806ff,0x3f60006f,
    0xd00006ff,0x7ff49fff,0x3fffa04f,0x3fff2004,0x006fffce,0x6c27fff4,
    0xfa805fff,0xfff70fff,0x4001fdcd,0x20fffffe,0x2006ffff,0x263ffffb,
    0x3ffe0fff,0x3fee006f,0x3ffe63ff,0x2000002f,0xff9bfffe,0x7fec01ff,
    0x3f60006f,0xd00006ff,0x7ff49fff,0x3fffa04f,0x3fffa004,0x01ffff9b,
    0x213fffa0,0xa805fffd,0xff90ffff,0x000ff4bf,0x30ffffd8,0x8007ffff,
    0x3e64ffff,0xffff30ff,0xffff8007,0x0ffffe24,0x3ea00040,0xfffd0fff,
    0x6fffd80b,0x3fff6000,0xffd00006,0x27fff49f,0x009fffd0,0x743fffea,
    0x3a005fff,0xffd84fff,0xfffa805f,0x2bfff90f,0xd10006f8,0x3ee1ffff,
    0x74002fff,0x3fe65fff,0x5ffff70f,0x5fffe800,0x8027fffc,0xfd802cfc,
    0x3ffee5ff,0x3fff600f,0xcccccccf,0x7fec4ccc,0xccccccff,0x3a04cccc,
    0x3ffa4fff,0x3fffa04f,0xbfffb004,0x007fffdc,0xd84fffe8,0xfa805fff,
    0xfff50fff,0x00093ead,0x43bffffe,0x001ffffb,0xf337ffec,0x3ffee1ff,
    0x7fec001f,0x7ffff46f,0x6ffff800,0x8bfffe20,0x203ffff8,0xfffffffd,
    0x7fffffff,0x7fffffec,0xffffffff,0x93fffa07,0x3a04fffe,0xf8804fff,
    0x3fe22fff,0xffd003ff,0xbfffb09f,0x1ffff500,0x363fffe2,0x0b7bfa2f,
    0x2077ffdc,0x000ffffc,0xf33fffe4,0x3fff21ff,0x7fe4000f,0x7fffd47f,
    0x7fffe404,0x1fffee03,0xd81bfffa,0xffffffff,0x47ffffff,0xfffffffd,
    0x7fffffff,0xe93fffa0,0x3fa04fff,0xffb804ff,0x6fffe87f,0x09fffd00,
    0x500bfffb,0x7f41ffff,0x3ea7fdff,0xffb01fff,0xffff705f,0xfffc8001,
    0x5c3ffe67,0x4000ffff,0xfd87fffc,0xfc884fff,0x3a00ffff,0xffb84fff,
    0xfffb01ff,0xffffffff,0xffd8ffff,0xffffffff,0x3a07ffff,0x3ffa4fff,
    0x3fffa04f,0x4fffe804,0x01ffffb8,0xd84fffe8,0xfa805fff,0x3ff20fff,
    0xffb9efff,0x3ffe06ff,0x3ffff507,0x6fffd800,0x7d43ffe6,0x6c001fff,
    0xff886fff,0xfecdffff,0x203fffff,0x881ffff9,0xfb05ffff,0x33333dff,
    0xd8333333,0x9999efff,0x01999999,0xfe93fffa,0x3ffa04ff,0x7ffcc04f,
    0xffff881f,0x4fffe805,0x806fffd8,0x220ffffa,0xfffffffe,0x3e01ffff,
    0xfff306ff,0xfff8005f,0x43ffe65f,0x002ffff9,0xa82ffffc,0xffffffff,
    0x404fffff,0xeeeffffc,0xfffffeee,0x06fffd80,0x1bfff600,0x7fff4000,
    0x813fffa4,0x6404fffe,0xeeeeffff,0x0fffffee,0x427fff40,0xb806fffc,
    0xff987fff,0xffffffff,0x1bffe202,0x027fffc4,0x47ffff30,0xff10fff9,
    0x7cc009ff,0x3a203fff,0xffffffff,0xfff804ff,0xffffffff,0xd83fffff,
    0x20006fff,0x0006fffd,0x749fffd0,0x3fa04fff,0x7ffc04ff,0xffffffff,
    0x403fffff,0xfb84fffe,0xffc807ff,0xfffb107f,0x8801bfff,0x3fe05fff,
    0xfb001fff,0x7fcc5fff,0x3ffffe0f,0xffffb001,0xfffb7005,0x5003bfff,
    0xffffffff,0xffffffff,0x0dfffb0d,0x37ffec00,0xfffe8000,0x813fffa4,
    0x2a04fffe,0xffffffff,0xffffffff,0x27fff406,0x027fffd4,0x40dffff1,
    0x001aacfb,0xa817ffe2,0xa805ffff,0x7cc6ffff,0x3ffea0ff,0xfffa805f,
    0x7f5c006f,0x7fec002d,0xffffffff,0x1fffffff,0x0037ffec,0x00dfffb0,
    0x93fffa00,0x3a04fffe,0x3f604fff,0xffffffff,0xffffffff,0x13fffa01,
    0x0bffffe2,0x0fffff22,0x50000fe8,0xfe80bfff,0xf701efff,0xf983ffff,
    0x7fff40ff,0xfff701ef,0x7cc003ff,0x1005fffe,0x1007ffff,0xfd8bffff,
    0x360006ff,0x00006fff,0x7f49fffd,0x3ffa04ff,0xffff104f,0xffff1007,
    0x27fff40b,0xffffffc8,0xfffffecd,0x00df100f,0x9fffb330,0xfffff980,
    0xfffdccef,0xff984fff,0x7fffcc0f,0xffdcceff,0x0004ffff,0x64007fec,
    0xb000ffff,0x7ec1ffff,0xeeeeefff,0x1eeeeeee,0xdddffffb,0xdddddddd,
    0x9fffd03d,0xd027fff4,0x3f209fff,0xfb000fff,0x3fa01fff,0xfff104ff,
    0xffffffff,0x7dc09fff,0x7ffcc004,0xfa802fff,0xffffffff,0x80dfffff,
    0xfa80fff9,0xffffffff,0x00dfffff,0x00ffec00,0x002ffffc,0x6c7ffff5,
    0xffffffff,0xffffffff,0xffffffb2,0xffffffff,0xfffd05ff,0x027fff49,
    0x3e09fffd,0x2a005fff,0xfd03ffff,0x7f4409ff,0xffffffff,0x0fec03ff,
    0x3fffe600,0x3f62006f,0xffffffff,0x3fe603ff,0xfffb100f,0xffffffff,
    0x97970007,0xf500bffd,0xf8005fff,0x3ff66fff,0xffffffff,0xb2ffffff,
    0xffffffff,0xffffffff,0x49fffd05,0x3a04fffe,0xffa84fff,0x7fc002ff,
    0xfffd06ff,0xfffd7009,0x003bdfff,0xff3000fb,0x50003bff,0xdffffffb,
    0xfff98019,0x7ffed400,0x000cefff,0x9fffffd0,0xffffb001,0xffff9000,
    0x3fffff63,0xffffffff,0xfffb2fff,0xffffffff,0xd05fffff,0x7ff49fff,
    0x3fffa04f,0x07fffd84,0x1ffffc80,0x54c40000,0x0000001a,0x0006af22,
    0x00054c40,0x10013322,0x20000153,0x0009aa98,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x004cccc0,0x13331000,
    0x82b88000,0x5510004c,0x01554c35,0x00013100,0x04cccc40,0x88aaaa00,
    0x5c000aaa,0x000e540b,0x065c15c4,0xa8555300,0x554001aa,0x00aaa61a,
    0x40003500,0x0006fffc,0x0dffff10,0x7fffe400,0x0006fbac,0x7e47fff1,
    0xf70000ff,0x7e40000b,0xfe8005ff,0x0bffea5f,0x6ffffcc0,0x4001feab,
    0xbacffffc,0x7fe4006f,0x017ffe0f,0x323fff88,0xa8000fff,0x20005fff,
    0x0002fffc,0x3fffffe8,0xfffff000,0x0009ffff,0xfc8fffe2,0x5cc000ff,
    0x0001befe,0x0037ffc4,0x3ea5ffe8,0xff9002ff,0x0fffffff,0xffffff00,
    0xc8009fff,0x3ffe0fff,0x3ffe2005,0x003fff23,0x0bee7ba0,0x05ffd800,
    0x577fe400,0x54001fff,0xffeb98ef,0xff10001d,0x07ffe47f,0xfffff900,
    0x20001bff,0x0000effc,0x7fd4bffd,0x13fd002f,0x007fffb5,0xeb98ef98,
    0x64001eff,0x3ffe0fff,0x3ffe2005,0x003fff23,0x027c7f10,0x007ff600,
    0xc8fffcc0,0x544006ff,0x80000881,0x26620999,0x3fffa001,0x06ffffff,
    0x00eff880,0x88266200,0x55000999,0x22000310,0x0000881a,0x99983331,
    0x04ccc000,0x20003331,0x001fc9ee,0x00009980,0x99981331,0xdba88000,
    0x00009acd,0x566edd44,0xfff70009,0xffffffdf,0x09988005,0x15554c00,
    0x31555440,0x2a005555,0x2a2002aa,0x26001aaa,0xaaaaaaaa,0x2aaaaaaa,
    0x2aaaa200,0x7fd40001,0x2a20005f,0x26001aaa,0xaaaaaaaa,0x2aaaaaaa,
    0x7ffffd40,0x003fffff,0xffffffa8,0xf803ffff,0x9dfbafff,0xaaa86fff,
    0x551000aa,0x3fff6555,0xffffa805,0x03ffff90,0x00ffff88,0x0dffff90,
    0x7ffffec0,0xffffffff,0x3f2006ff,0x00006fff,0xfc800015,0x36006fff,
    0xffffffff,0x6fffffff,0x3fffff20,0xefffffff,0xffff9000,0xffffffff,
    0x3ffe201d,0x3bf6bf75,0x7fffdc0d,0xffffd006,0x017fff65,0x643fffea,
    0x4406ffff,0xf000ffff,0x003fffff,0x3ffffff6,0xffffffff,0x3ffe006f,
    0x30001fff,0x00579975,0x3fffffe0,0xffffb001,0xffffffff,0x3f60dfff,
    0xffffffff,0x01ffffff,0x7fffffec,0xffffffff,0x4fff981f,0x7f400bf7,
    0x7d402fff,0x3ff65fff,0xfffa805f,0xfffff90f,0x7fffc407,0xffffa800,
    0xffb005ff,0xffffffff,0x00dfffff,0x3fffffea,0x7fecc005,0x02ffffff,
    0x3ffffea0,0xfffb005f,0xffffffff,0xf70dffff,0x135bffff,0xdfffff73,
    0x7ffffdc0,0xffb989ad,0xff886fff,0x400bf76f,0x00fffff9,0x41fffff1,
    0xa805fffd,0xff90ffff,0x2201ffff,0xd800ffff,0x0fffffff,0xaefffd80,
    0xaaaaaaaa,0xffb002aa,0x001fffff,0x3fffffe2,0x003fffff,0xfffffffb,
    0xdfffb001,0x55555555,0xff885555,0x36203fff,0xf883ffff,0x2203ffff,
    0xf83ffffd,0x05fcefff,0x27fffe40,0x43ffffc8,0xa805fffd,0xff90ffff,
    0x220bffff,0x4400ffff,0xffffffff,0x6fffd803,0xff880000,0x03ffffff,
    0xbdffffb0,0x00ffffff,0xfffffff1,0xfffb007f,0xffd8000d,0xfff003ff,
    0xfffd81ff,0xffff003f,0xffffc81f,0x74000dff,0x7c40ffff,0xffd86fff,
    0xfffa805f,0xfffff90f,0xfff105ff,0xfffc801f,0x806fffce,0x0006fffd,
    0xcefffc80,0xf9806fff,0x7fd41fff,0x7fe401ff,0x06fffcef,0x006fffd8,
    0x037fffc0,0x87ffff70,0x2006ffff,0x443ffffb,0xffffffff,0xfff3001d,
    0xffffd8bf,0x05fffd81,0x90ffffa8,0xdfffffff,0x01ffff10,0xf9bfffe8,
    0x7ec01fff,0x800006ff,0xff9bfffe,0xba9801ff,0x05ffff03,0xf9bfffe8,
    0x7ec01fff,0x260006ff,0x4003ffff,0x3e64ffff,0x7c003fff,0xfe884fff,
    0x5fffffff,0x5ffffb00,0x413fffea,0xa805fffd,0xff90ffff,0x89ffffdf,
    0x200ffff8,0xfd0ffffa,0xffd80bff,0x5400006f,0xffd0ffff,0xa88000bf,
    0x2a02ffff,0xffd0ffff,0xfffd80bf,0x3fee0006,0x7f4002ff,0x3ffee5ff,
    0x7ff4002f,0x3ffae05f,0x806fffff,0xe8effff8,0x3f606fff,0xffa805ff,
    0x7fff90ff,0x443ffffb,0x3600ffff,0x3fee5fff,0x3ff600ff,0xccccccff,
    0xd804cccc,0x3fee5fff,0x2a2000ff,0xffffffec,0x97fff602,0x200ffffb,
    0xcccffffd,0x4ccccccc,0x00ffffdc,0xb9bfff60,0x4001ffff,0xc806fffd,
    0x2fffffff,0xeffffa80,0x3601ffff,0xfa805fff,0xfff90fff,0x4bffff17,
    0x100ffff8,0x7c45ffff,0x3f603fff,0xffffffff,0x407fffff,0x222ffff8,
    0xa803ffff,0xfffffffe,0xff102fff,0x7ffc45ff,0x3fff603f,0xffffffff,
    0x7fe47fff,0x7e4000ff,0x3fff27ff,0x7fe4000f,0xadfb807f,0xb005ffff,
    0x9fffffff,0x05fffd80,0x90ffffa8,0x3fee7fff,0xffff12ff,0x1fffee01,
    0xd81bfffa,0xffffffff,0x07ffffff,0x743fffdc,0x7dc06fff,0xeaceffff,
    0xff702fff,0xdfffd0ff,0x7ffffec0,0xffffffff,0x7fffdc7f,0x7ffe4000,
    0x03fffee7,0x0ffff900,0x3fe2bf70,0xfff1006f,0xd801ffff,0xfa805fff,
    0xfff90fff,0x47ffff47,0xd00ffff8,0xff709fff,0x3ff603ff,0xffffffff,
    0x7407ffff,0xffb84fff,0xfff501ff,0xfffe839f,0x09fffd02,0x203ffff7,
    0xfffffffd,0x7fffffff,0x00ffffd4,0xa9bfff60,0x4001ffff,0x2aa6fffd,
    0x74bf70cc,0x3ee007ff,0xd802ffff,0xfa805fff,0xfff90fff,0x67fffd47,
    0x980ffff8,0xf881ffff,0xffb05fff,0x333333df,0x4c033333,0xf881ffff,
    0xff905fff,0x3fffa0bf,0x1ffff982,0x05ffff88,0x333dfffb,0x33333333,
    0x02ffff98,0x32ffffc0,0x8005ffff,0x3f65ffff,0x7cbf74ff,0x7f4006ff,
    0xffb006ff,0xfff500df,0x0ffff21f,0xff3ffffb,0xfff901ff,0xfddddddf,
    0xfb01ffff,0x20000dff,0xeeeffffc,0xfffffeee,0x84fffe80,0xc83ffff9,
    0xeeeeffff,0x0fffffee,0x006fffd8,0x13fffe20,0x3ffff980,0x013fffe2,
    0x23ffff98,0xfb9ffffa,0x009fff55,0x004fffe8,0x700dfff9,0x7fe4ffff,
    0x7fffc43f,0xf80ffffe,0xffffffff,0x3fffffff,0x006fffd8,0xffffff00,
    0xffffffff,0xfffb07ff,0x7fff4c1f,0xfffff83f,0xffffffff,0xffd83fff,
    0x7fc0006f,0xfb001fff,0xfff85fff,0xffb001ff,0x7ffc45ff,0xffcdfdff,
    0x7f4001ff,0xff7004ff,0xfff900ff,0x41fffe4f,0xfffffffb,0x7fffd40f,
    0xffffffff,0xfd86ffff,0xa80006ff,0xffffffff,0xffffffff,0xfffffb86,
    0xffffffed,0x7ffffd44,0xffffffff,0xffd86fff,0x7d40006f,0xfa805fff,
    0xffa86fff,0xffa805ff,0xfffa86ff,0xffffffff,0xfffe8004,0xffff5004,
    0x7fffc409,0x40ffff26,0xfffffffe,0x7ffffec0,0xffffffff,0x7ec1ffff,
    0xd80006ff,0xffffffff,0xffffffff,0xffffd81f,0xfffcefff,0x7ffffec6,
    0xffffffff,0x7ec1ffff,0xe80006ff,0x701effff,0x203fffff,0x01effffe,
    0x03fffff7,0x3ffffff2,0xd0004fff,0x22009fff,0x882fffff,0x323ffffc,
    0xff303fff,0x441fffff,0x8803ffff,0x7ec5ffff,0x440006ff,0x8803ffff,
    0xf905ffff,0x3e29ffff,0xfff10fff,0xfff1007f,0x6fffd8bf,0xfff98000,
    0xfdccefff,0x204fffff,0xeffffff9,0xfffffdcc,0x7ff4c04f,0x0002dfff,
    0x8013fffa,0xdffffffc,0xffffffec,0x80ffff20,0x0ffffffc,0x003ffff2,
    0xb07fffec,0xddddffff,0xdddddddd,0x07fffe43,0x0ffffd80,0xc8002a60,
    0xb000ffff,0x7ec1ffff,0xeeeeefff,0x1eeeeeee,0xffffffa8,0xffffffff,
    0x7ffd400d,0xffffffff,0x1000dfff,0x20000bf9,0x2004fffe,0xfffffff8,
    0x4fffffff,0x101fffe4,0x41ffffff,0x2005ffff,0x363ffffa,0xffffffff,
    0xffffffff,0x017fffe2,0x03ffffa8,0x7fffc000,0x3ffea005,0x3ffff63f,
    0xffffffff,0xb102ffff,0xffffffff,0x44007fff,0xfffffffd,0x8003ffff,
    0xd00005fb,0x88009fff,0xfffffffe,0xfc83ffff,0x7fd403ff,0xfff50fff,
    0xfff8005f,0x3ffff66f,0xffffffff,0xff52ffff,0xff8005ff,0x200006ff,
    0x002ffffa,0xfb37fffc,0xffffffff,0x5fffffff,0xffffda80,0x0000ceff,
    0xffffffb5,0x2e00019d,0xfd00005f,0x2e0009ff,0xeffffffe,0x7fff901d,
    0x1ffffb00,0x001ffff6,0x6c7ffff2,0xffffffff,0xffffffff,0x00ffffb2,
    0x03ffff90,0x3fff6000,0xfffc8007,0xfffffb1f,0xffffffff,0x44005fff,
    0x800000a9,0x00000a98,0x20000131,0x0004fffe,0x000d54c4,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0b726000,0xdba88000,
    0x00009acd,0x98030000,0x4003cddb,0x0005eeeb,0x00deeea8,0x01bddd50,
    0x02a80980,0xec87bba6,0xddd3005e,0x00777541,0x00ab2ea2,0x004eeec8,
    0x0bddd700,0x4004ccc4,0x002feff9,0x7ffff4c0,0x003fffff,0x676dd440,
    0x41fdc0ab,0xfffffffb,0x3ff6002f,0x7f40002f,0xff1001ff,0x2e009fff,
    0xfa8adfff,0x87ffea06,0xf5006ffe,0x06ffc8ff,0x3fffff62,0xfe8803ff,
    0x440001ff,0x3a01ffff,0x7c803fff,0xfb8001ba,0xffffffff,0x4001efff,
    0xffffffe9,0xffa8bfff,0x3fffe61f,0x01ffffff,0x00dffd10,0x017ffd40,
    0xfffbffd0,0xffff8805,0x204fffff,0x3fa1fffa,0xdff9006f,0xf505ffe8,
    0xffffffff,0xffd1009f,0xffb8000b,0x7fff401f,0x1b66d803,0x7ffff400,
    0xffffffff,0xf7001fff,0xffffffff,0x7fffffff,0x67ffffc4,0x005ffffe,
    0x000bffa2,0x9001fff4,0x3ffeedff,0x2ebbea00,0x201ffffd,0x3b21eee9,
    0x9ffd005e,0xf883fff8,0xffefffff,0xf8803fff,0x3e0000ff,0xffe802ff,
    0xddfa803f,0xffb8004f,0x989adfff,0x06fffffb,0xffffffe8,0xffffffff,
    0x7ffdc4ff,0x1ffff20f,0x009db100,0x4007dd30,0x3b21eee8,0x1072a03e,
    0x00000055,0x7cc5fff0,0xfffc81ff,0xfffb10bf,0x0fba600d,0x01775400,
    0x803fffe8,0x006ffffc,0x1fffffc4,0x7ffffd10,0x7ffffdc0,0xffb989ad,
    0x7ec0ffff,0x7ffd44ff,0x00000006,0x00000000,0x00000000,0xfa87ffe6,
    0x7ffc40ff,0xdeff982f,0x00000000,0x7fc00000,0x2001ffff,0x803ffffc,
    0x80fffff8,0x02fffff8,0x0fffffe2,0xfd87fffb,0x753003ff,0x4c005799,
    0x002bccba,0x0af32ea6,0xbccba980,0x32ea6002,0x3bb202bc,0xeeefffee,
    0x2a6efffe,0x02607fff,0x01aca980,0x03595300,0x2a006aa0,0x05ffffff,
    0x01bfffe0,0x83ffffb8,0x403ffffc,0x47fffffe,0x3e23fffe,0x6cc01fff,
    0xffffffff,0x3fff6602,0x202fffff,0xffffffd9,0x3f6602ff,0x2fffffff,
    0x3ffff660,0xfd82ffff,0xffffffff,0x27ffffff,0x0006fffb,0xffffffa8,
    0xfff5002f,0xf805ffff,0xfffd804f,0x8800ffff,0x4003ffff,0xff84ffff,
    0x7fec06ff,0x3a3fffff,0x3ff22fff,0x7ffc405f,0xffffffff,0xfffff883,
    0x83ffffff,0xfffffff8,0xf883ffff,0xffffffff,0xfff883ff,0xffffffff,
    0x7ffffec3,0xffffffff,0x3fff27ff,0x7fe40005,0x5fffffff,0x7ffffe40,
    0xf105ffff,0xfff880bf,0x803fffff,0x002ffff9,0x222ffff4,0x3203ffff,
    0xffff9fff,0xf8bfffa4,0x7ec01fff,0xfffdefff,0xfffd87ff,0xfffffdef,
    0xeffffd87,0x87fffffd,0xfdeffffd,0xfd87ffff,0xfffdefff,0x6665c7ff,
    0xfdccdfff,0x3f24cdff,0x2a0006ff,0xffefffff,0xff503fff,0xffffdfff,
    0x0bff107f,0xfcefffc8,0xffb806ff,0x7ec001ff,0x7ffcc6ff,0x3fff701f,
    0xfe97fffe,0xffff32ff,0x7fffcc03,0x0ffffd41,0xa83ffff3,0x3e61ffff,
    0x7fd41fff,0x3ffe61ff,0x7fffd41f,0x07fffe61,0x203ffff5,0x3ea1fff9,
    0xfffb80ff,0xffd00206,0x3fee23bf,0xfffe80ff,0xffff711d,0x406ff981,
    0xff9bfffe,0x7fe401ff,0x7e4000ff,0x7ffdc7ff,0x2fffa80f,0xfe9bfff6,
    0xffff32ff,0x03ba980b,0xa985ffff,0x5ffff03b,0xff03ba98,0x3ba985ff,
    0x985ffff0,0xffff03ba,0x91ffee05,0x3fea0dff,0xbdfd00ff,0x07fffdc5,
    0x2e1fffec,0xfd80ffff,0x3ffd43ff,0x21ffff50,0x5c05fffe,0x4000ffff,
    0x7e47fffc,0xfffa87ff,0xd3fffe43,0x7ff45fff,0x510005ff,0x4005ffff,
    0x02ffffa8,0x3fffea20,0x3fea2002,0x2a2002ff,0xf902ffff,0x04ffe8df,
    0x509ffff1,0x7e43ffff,0xfff705ff,0x05fffc8b,0xfb8bfff7,0xfffb00ff,
    0x07fffdcb,0x03ffff50,0x46fffd80,0x260ffffb,0xffc84fff,0x8bfffa7f,
    0x04fffff8,0xfffeca88,0x2a202fff,0xffffffec,0x3fb2a202,0x202fffff,
    0xffffeca8,0x32a202ff,0x2ffffffe,0xff89ffd0,0x3ffee03f,0xfffb9bff,
    0x77ffec6f,0xffdccccc,0x77ffec6f,0xffdccccc,0x07ffe46f,0x117fffc4,
    0x4c07ffff,0x4002ffff,0x7d44ffff,0xfff11fff,0x9bfff60b,0x7cc2fffe,
    0xd502ffff,0xffffffff,0xffd505ff,0xffffffff,0xffffd505,0x05ffffff,
    0xffffffd5,0xd505ffff,0xffffffff,0x7ffec5ff,0xffffffff,0xfe87ffff,
    0xffffffff,0x7fffc1ff,0xffffffff,0x7fffc7ff,0xffffffff,0x7ffe47ff,
    0x87fffb81,0x2206fffe,0x1504ffff,0x43ffff98,0xe8bffff9,0x3ffa05ff,
    0x0bfffa5f,0x07ffffe6,0x9dfffff7,0xb85fffd5,0xacefffff,0x7dc2fffe,
    0xeaceffff,0x7fdc2fff,0xfeacefff,0x7ffdc2ff,0xffeaceff,0x3ffff62f,
    0xffffffff,0xfe987fff,0xffffffff,0xffffff82,0xffffffff,0x3ffffe0f,
    0xffffffff,0x3fff60ff,0x84fffe82,0x201ffffb,0x440ffffe,0xfffb0cff,
    0xffff885f,0x100effed,0x7f47ffff,0xfff302ff,0x7fffd49f,0x17fff41c,
    0x839ffff5,0x3ea2fffe,0x7f41cfff,0x3ffea2ff,0x7fff41cf,0x33fffea2,
    0xb17fff41,0xffffffff,0xffffffff,0x7ffff5c0,0xfffd01df,0x33333339,
    0xfffe8333,0x9999999c,0x7fff4199,0x0ffffcc3,0x02ffffc4,0xc8bffff5,
    0xfffcffff,0xffffd06f,0x7e401dff,0x3ffa2fff,0x3fff202f,0x417fff26,
    0x3f22fffe,0xfffd05ff,0x82fffe45,0x3f22fffe,0xfffd05ff,0x82fffe45,
    0x2a62fffe,0xeaaaeffe,0x02aaadff,0x006ff644,0x041bfff6,0x41bfff60,
    0x27fffc00,0x3bbffff2,0xffffeeee,0x3fffa00f,0xfff910df,0x205fffff,
    0x1ffffffa,0x1bfffe60,0x2085fffd,0x3fa7fffa,0xfff984ff,0x13fffa3f,
    0xe8ffffe6,0xff984fff,0x3fffa3ff,0x3ffff984,0x2613fffa,0xfe83ffff,
    0x01fffc4f,0x3fffbee0,0x3fffea02,0x43defd81,0xd81ffffa,0x7ffc3def,
    0x7ffffc4f,0xffffffff,0x3e603fff,0xbbdfffff,0x5ffffffd,0x6fffff40,
    0xfffff500,0x12fffe83,0xfffb35f9,0x07fffecb,0x47ffffd3,0x260ffffd,
    0x363ffffe,0x3a60ffff,0x3f63ffff,0x3fa60fff,0x3ff63fff,0x3ffa60ff,
    0x7ffc43ff,0x007ffe62,0x406ff880,0x70befffe,0xfd07ffff,0x3ee17dff,
    0x7ffc3fff,0x3fffea4f,0xffffffff,0x5c06ffff,0xffffffff,0xdfffffff,
    0x3ffff201,0xfdcaacff,0xfe84ffff,0xffff8aff,0x2e2fffff,0xfedfffff,
    0x2e4fffff,0xfedfffff,0x2e4fffff,0xfedfffff,0x2e4fffff,0xfedfffff,
    0x2e4fffff,0xfedfffff,0x4c4fffff,0x3fea1fff,0x6ff80007,0x7ffffd40,
    0x06ffffff,0xfffffff5,0xff0dffff,0x7ffec9ff,0xffffffff,0x01ffffff,
    0x7ffffec4,0xffffffff,0x7fd41dff,0xffffffff,0x0dffffff,0xf52fffe8,
    0x0bffffff,0xfffffffb,0xd8dfff9d,0xefffffff,0x7ec6fffc,0xceffffff,
    0x7fec6fff,0xfcefffff,0x7ffec6ff,0xffceffff,0x23ffdc6f,0x22006ffc,
    0x3ffecbcc,0xfffffa80,0x200effff,0xfffffffa,0xfff80eff,0x7ffff14f,
    0xbffff100,0x3ffb6a00,0xffccdfff,0x3fe65fff,0xfffffedf,0x03ffffff,
    0xda8bfffa,0x3203ffff,0xf14fffff,0xffc81fff,0xfff14fff,0xffffc81f,
    0x1ffff14f,0x4fffffc8,0xc81ffff1,0xf14fffff,0x7fe41fff,0x0027fec5,
    0x7ffffff1,0x7ffec400,0x8800bfff,0xbffffffd,0x29ffff00,0x000ffffc,
    0x001ffffb,0xe980a988,0x3ff61fff,0x3ffffaa5,0x0000ceff,0x26001a88,
    0x2a60000a,0x02a60000,0x000a9800,0x50002a60,0x1aaa8355,0x4d54cc00,
    0x26620000,0x26620001,0x09999801,0x400bffff,0x003ffffa,0xb0bd7000,
    0x00d4c40b,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x54000000,0x4002ffff,0x0006ffff,0x00000400,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0x8007fffd,0x001ffffc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x002f775c,0x76c1ddd7,0xaaa9804e,
    0xdd900042,0x75c0009d,0x5c000dee,0x10005eee,0x70055013,0x77744ddd,
    0x4ccc4003,0x06ee2000,0x001bd300,0x5c007db1,0x7db1004e,0x00275c00,
    0xf301f75c,0x2007ffff,0x3fe0fffc,0xfffb005f,0x5005fb39,0x007fffff,
    0x03ffff10,0xfffff980,0x7ffe4004,0x805fb8ac,0x3fe27ffc,0x7fe4004f,
    0xffe8804f,0xfd001fff,0x13ff6009,0x800ffc40,0xf1004ffd,0xffd0003f,
    0x37ffe205,0xfc801fff,0x17ffe0ff,0xfffffb80,0x7ffc400c,0x4001fffd,
    0x4001fffb,0xfffdffe8,0xffff1001,0x007fffff,0x7fc4fff9,0x7fe4004f,
    0xdffc804f,0xfa805ffc,0x7ff5400f,0x0bfb004f,0x09fffd50,0x40017f60,
    0xffb00fff,0x201bff2b,0x3b60eeeb,0x3fa6004e,0xffb005ff,0x001bff2b,
    0xb0005ffd,0x1bff2bff,0x75d6fdc0,0xb800efff,0x3bba26ee,0x7ffe4003,
    0x3a5ed804,0x1ff400ff,0x3fffff20,0x00ff9804,0x27ffffe4,0x0007fcc0,
    0xe983ffcc,0x0bbb60de,0xea800000,0x04fffdff,0xdb06f754,0x3ba6005d,
    0xdee98002,0x200fbb60,0x015441ca,0x64000000,0x54004fff,0x7dc05ffb,
    0xfbcfc806,0x04fe804f,0x4ffbcfc8,0x0004fe80,0x0000bff7,0x64000000,
    0x0ffff63f,0x00000000,0x00000000,0x00000000,0xffe80000,0x0bfe200f,
    0x27fd4260,0x2003fea0,0x809ff509,0xb0000ffa,0x953007ff,0x2a600035,
    0x884001ac,0x1ffff889,0x8804ccc4,0x54401999,0x100009bc,0x00013795,
    0x0026f2a2,0x04de5440,0x1aaa8800,0x3ffba200,0x00bf900e,0xf809ff50,
    0xffa8003f,0x001ffc04,0x5403fff0,0x2fffffff,0xfffff500,0x3ae005ff,
    0xfffdefff,0x81ffff46,0xd907fffa,0x19ffffff,0x3fffb200,0x9000cfff,
    0x9ffffffd,0x3ffb2001,0x000cffff,0x002fffd4,0xf983ffb8,0xffa8001f,
    0x001bee04,0xf7027fd4,0x7fcc000d,0x3ffff207,0x405fffff,0xfffffffc,
    0x3f6205ff,0xffffffff,0x3fffa2ff,0x0ffff503,0xfffffffb,0xfd803dff,
    0xffffffff,0x7ffec01e,0x1effffff,0x7ffffec0,0x001effff,0x100fffee,
    0x2ffcc799,0xa80027ec,0x5ff104ff,0x13fea000,0x00017fc4,0x3ea0bff7,
    0xfffeffff,0xfff503ff,0xfffffdff,0x3ffff607,0xffffffff,0x40ffffa5,
    0x7ec7fffa,0xffffffff,0xffb00fff,0xffffffff,0x3ff601ff,0xffffffff,
    0xfffb00ff,0xffffffff,0xffd1001f,0x5ffd003f,0xf983ffb3,0xff50000f,
    0x0017f209,0xf904ffa8,0xffd8000b,0x3bfffd03,0x03fffee2,0x4477fffa,
    0x5c0ffffb,0xc9cfffff,0x3a7fffff,0xff503fff,0x7fffe4ff,0xffffb32e,
    0xdffff90b,0x3ffff665,0xeffffc85,0xbffffb32,0x5dffff90,0x17ffff66,
    0x1ffffd10,0xfffff500,0x007fd0bf,0x4c27fd40,0x2a0001ff,0x1ff984ff,
    0x0fffc000,0x407fffdc,0x7dc3fffd,0xffd80fff,0x3fffe23f,0x7ffec40e,
    0x07fffd1f,0xff9fffea,0xfff504ff,0x4ffff85f,0x85ffff50,0xf504ffff,
    0xfff85fff,0xffff504f,0x3fffa205,0x3ae6002f,0x07fa81cf,0x41f74c00,
    0x4c0004fd,0x04fd83ee,0x83ffcc00,0xf705fffc,0xfffc8bff,0x4bfff705,
    0x101ffff9,0x3fa7ffff,0xfff503ff,0x03fffe6f,0x264fffe8,0x3a00ffff,
    0x3fe64fff,0x3ffa00ff,0x3fffe64f,0x13fffa00,0x0bffffa2,0x17fc0000,
    0x0001ff90,0xeda81ff5,0xf50002de,0x07fdc01f,0xfb05ffb8,0x99999dff,
    0xfd8dfffb,0xccccceff,0x3ee6fffd,0x7fec07ff,0x07fffd5f,0x7ddfffea,
    0x7fe406ff,0x1bffee5f,0x5cbfff90,0x7e406fff,0x3ffee5ff,0x2fffe406,
    0x0fffffa2,0x37dc0000,0x001fff50,0xffc87fd0,0x8002ffff,0x3fea03fe,
    0x07ffb00f,0x3ffffffe,0x7fffffff,0x7ffffffc,0x7fffffff,0x901bfff2,
    0x3ffadfff,0xffff503f,0x7017fff6,0x7fecffff,0x7ffdc05f,0x017fff67,
    0x7ecffff7,0x7fdc05ff,0x7fffe47f,0xf1000002,0x3ffe603f,0x37dc000f,
    0x3eebbfe2,0x37dc006f,0x01ffff30,0x7fc07ffa,0xffffffff,0x3e0fffff,
    0xffffffff,0x90ffffff,0xfb80dfff,0x7fffd6ff,0x65fffea0,0x7dc05fff,
    0x3fff26ff,0x37ffdc05,0xb80bfff9,0x3ff26fff,0x7ffdc05f,0x0bfffe26,
    0x5fc80000,0x1ffffd10,0x217fc400,0x3ff22fea,0x05ff1001,0x03ffffa2,
    0x7403ffe2,0x9999cfff,0x74199999,0x9999cfff,0x2e199999,0x7ec07fff,
    0x7fffd4ff,0x55fffee0,0x7e406fff,0x3ffea5ff,0x2fffe406,0xc80dfff5,
    0x3fea5fff,0x7ffe406f,0x01bffea5,0x40013593,0xdfb00ff9,0x64001ff9,
    0xfff1006f,0x81bf2001,0x80ffcefd,0x3f606ffa,0xd80106ff,0x40106fff,
    0x101ffff9,0x3f67ffff,0xfff904ff,0x07fffe2f,0x223fffe8,0x3a01ffff,
    0x3fe23fff,0x3ffa01ff,0x3fffe23f,0x8ffffa01,0x7406fffa,0x36003fff,
    0x91ff904f,0x3e2001ff,0xffe8801f,0x03ff1004,0x3fee3ff2,0x204ffc80,
    0xd81ffffa,0x7fd43def,0xdefd81ff,0x077fffc3,0xc8ffffe4,0xff885fff,
    0x3fffa7ff,0xffffc80d,0x06ffff41,0x20ffffe4,0xc80dfffe,0x7f41ffff,
    0xffc80dff,0x3ffe21ff,0xffff502f,0x03fea001,0x7fe47fea,0x00bfb000,
    0x400bfff3,0x3ff505fd,0x3fa03fee,0x7fff402f,0xffff70be,0x7dfffd07,
    0x0ffffee1,0x39fffff5,0x49fffff9,0x50bffffb,0x5cfffffd,0xb9cfffff,
    0xb84fffff,0xb9cfffff,0xb84fffff,0xb9cfffff,0xb84fffff,0xb9cfffff,
    0xd84fffff,0x730bffff,0x400bffff,0xdfff03fe,0x809dffdd,0x7d400ff9,
    0x3e6004ff,0xddfff00f,0x7c49dffd,0x7fd400ff,0xffffffff,0xffff506f,
    0xdfffffff,0x3fffff60,0x46ffffff,0xfffffff9,0x47fffeff,0xfffffffb,
    0x2e06ffff,0xffffffff,0x3ee06fff,0xffffffff,0x3fee06ff,0xffffffff,
    0xffff106f,0xffffffff,0x1bee001d,0xfffffff8,0x27f406ff,0x00bffea0,
    0x7fc09fd0,0x6fffffff,0x5401bfea,0xffffffff,0x3fea00ef,0xefffffff,
    0x3ffff200,0x80dfffff,0xfffffffb,0xb87fff8d,0xffffffff,0x7fdc00df,
    0xdfffffff,0x7fffdc00,0x00dfffff,0x7fffffdc,0x2600dfff,0xfffffffe,
    0xf1000dff,0x5555405f,0x202bffda,0x3e200ffa,0x1eeeefff,0xa803fea0,
    0xbffdaaaa,0x8013ff22,0xffffffd8,0xffd8800b,0x800bffff,0xefffffe9,
    0x7fff5c02,0x41fffe4e,0xeffffeca,0x3fb2a002,0x2002efff,0xeffffeca,
    0x3fb2a002,0x2002efff,0xeffffffb,0x037e4004,0x2007fe40,0x7fdc03fe,
    0x02ffffff,0x2e000ffa,0x17ff40ff,0x01998800,0x00666200,0x8001a980,
    0x880000a8,0xa880001a,0x1a880001,0x01a88000,0x00d4c400,0x001ed880,
    0x2a00cca8,0xcccb805e,0x501ccccc,0x32a000bd,0x0055540c,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x4007372e,0x98000eed,0x000bcecc,0x009ddd90,0x05eeec80,
    0xee83bbae,0x7776403e,0x0cccc005,0x40133310,0x2200ab98,0x55dc4199,
    0x36ea2000,0x88002bce,0x20000aba,0x1acddba8,0x6e5c4000,0x8000bcee,
    0x4fffffe8,0x002ffd40,0x3fffff62,0xe88004ff,0x10001fff,0x6401ffff,
    0x3ffe0fff,0x7fff4404,0xffff3001,0x41ffff40,0xefffffd8,0x98fffe80,
    0x03fffffe,0x7fffff44,0xa803ffff,0x0efffffe,0x3fffa600,0x00dfffff,
    0x7fffe440,0x01dfffff,0x3f7fff60,0x3ffa02ff,0x7fff4001,0x04ffffff,
    0x04fff880,0x03fff900,0x3e0fffc8,0xfe8804ff,0xfff3005f,0x1ffff40f,
    0x3fffffa6,0x7ff42fff,0xffffffaf,0xfff305ff,0xffffffff,0x7ffdc0bf,
    0x02ffffff,0xffffffb8,0x03ffffff,0xbfffff50,0x7ffffd97,0x21fff300,
    0xff506ffc,0xfffb800b,0xffffb9cf,0xfff98001,0x7ffc4000,0x0eeeb801,
    0x4400fbba,0xf9801fff,0x3ffa07ff,0x7ffff43f,0x747fffff,0xffffffff,
    0x443fffff,0xffffffff,0x84ffffff,0xfffffffa,0x3600ffff,0xffffffff,
    0x02ffffff,0x80df7fe4,0x405ffeb8,0x3fe66ffa,0x003ffd07,0x5c4fffd8,
    0x30003fff,0xea8005dd,0x0000002e,0x200fba60,0x3a07fff9,0x3fe63fff,
    0xfffa8bff,0x3ffffa3f,0xfffb88bf,0x3ffee0ff,0xfca88acf,0x7ec0ffff,
    0xffb8aeff,0xfff505ff,0xf95159ff,0x201fffff,0x2000dffb,0x3ee04ffb,
    0x03ffe65f,0xb000bff5,0xffa89fff,0x0000004f,0x00000000,0x3fe60000,
    0x3fffa07f,0x717fff63,0x7ff4dfff,0xfff880ff,0x13fff63f,0x22ffffc8,
    0x640ffff8,0xffd06fff,0x7ff403df,0x4ff983ff,0x15555553,0x3205ff70,
    0x3ffe65ff,0x000fff41,0x88ffffdc,0x4401fffe,0x33100999,0x02666233,
    0x988cccc4,0x33310099,0x9bca8803,0x3fffcc00,0x227fffd0,0x7c41ffff,
    0xfffd1fff,0x27ffec0b,0x4407ffff,0x2e24ffff,0xfffa85ed,0x2ffffb87,
    0x2ffffd40,0xfffb37ec,0xd81dffff,0x4dff706f,0x3ea0fff9,0xff10005f,
    0xfffb1dff,0x7fffd00f,0x75fffea0,0xff503fff,0x0ffffaff,0xc83fffd4,
    0xcffffffe,0x0ffff300,0xf99ffff4,0xffe80fff,0x07fffd3f,0xfd2fffdc,
    0x0c403dff,0xbfff9000,0x00dfffd0,0x3e602b32,0x333ff62f,0x7c46ffec,
    0x27ffa82f,0x7ff47ffb,0x3fee0001,0x1fffffff,0x03fffe80,0x3faffff5,
    0xfff503ff,0x40ffffaf,0xfd87fffa,0xffffffff,0x7fff981e,0x54ffffa0,
    0xffb07fff,0x0bfffa7f,0x326fffb8,0x0bdfffff,0x3fe60000,0xffff82ff,
    0xff900003,0x7e437ec1,0xe82ff40f,0x3fffceff,0x00017fea,0x3ffffffa,
    0xfffd001e,0x5fffea07,0xf503fffe,0x3fffafff,0x8ffff503,0xfffffffd,
    0x4c0fffff,0x3fe07fff,0xdfff73ff,0x753fff60,0x3ee03fff,0x3ffe26ff,
    0x2cefffff,0xffff9000,0xffff107f,0x3fa00005,0x7d437ec6,0xa83fe41f,
    0x46ffffff,0x40001ffe,0xefffffe9,0x3fffa000,0x2ffff503,0xf503fffe,
    0x3fffafff,0x4ffff503,0x32effffc,0x98bffffb,0xff00ffff,0x3ffee7ff,
    0x2bfff906,0x3204fffe,0x7fd45fff,0xffffffff,0x3fe000cf,0xff302fff,
    0x200003ff,0x237ec4ff,0xffa86fe8,0x7dfdb100,0x0005ffa8,0x7fffffdc,
    0x3fa001ff,0xfff503ff,0x40ffffaf,0xffd7fffa,0x3ffea07f,0x413fffe7,
    0x262ffffa,0xf882ffff,0xfff93fff,0x5bfff20d,0x3a06fffe,0xfe984fff,
    0xffffffff,0xff8800ef,0xfa80cfff,0x80000fff,0x7fec1ff8,0x82ffffff,
    0x20001ff8,0x3b221ffe,0x3ff203df,0xefffffff,0xfd015950,0x3fea07ff,
    0x07fffd7f,0x7f5fffea,0xfff503ff,0x03fffe6f,0x264fffe8,0xfd85ffff,
    0xfff93fff,0x5bfff20d,0xa83ffffe,0x2a02ffff,0xfffffffc,0x6c400eff,
    0x43fffffc,0x001ffffb,0xfd85ff00,0x203fffff,0x50001ff8,0x7ff44bff,
    0x7dc0efff,0xffc8dfff,0x5fffd5ff,0x503fffe8,0x3ffaffff,0xffff503f,
    0x540ffffa,0xfff77fff,0x5fffc80d,0x33ffffe6,0xfffffc99,0x20dfff73,
    0xffd5fffc,0xfb35dfff,0x4c00dfff,0xffffffeb,0x7ffd4004,0x3fffe60f,
    0x9ff00002,0xffd56fd8,0x003fea03,0xfb0fff40,0x89fff9df,0x7f44fffe,
    0xffffcfff,0x81ffff40,0xffd7fffa,0x3ffea07f,0x207fffd7,0xffb7fffa,
    0xfffb80bf,0x3ffffe67,0xffffffff,0x0dfff73f,0x7f53fff6,0xffffffff,
    0x0002ffff,0x0dffff91,0x47fffd00,0x003ffff8,0x6c6fd801,0x03ffa26f,
    0x54001ff6,0x3ffe25ff,0x7c4fff50,0x7fc40fff,0x85ffffff,0xf503fffe,
    0x3fffafff,0x2ffff503,0xf503fffe,0x3fff2fff,0x37ffdc05,0xffbffff3,
    0x7fffbfff,0x6c1fffea,0xfffd3fff,0xffffffd7,0x3ccaa87f,0x0ffffb80,
    0x37ffdc00,0x4013fffe,0xffb82cfc,0xff51bf60,0x0009ff09,0xffa87ffa,
    0x5c7ffe27,0xff306fff,0xd03fffff,0x3ee07fff,0x7fffd7ff,0x75fffee0,
    0xff703fff,0x1bffeaff,0x4cbfff90,0xffe8ffff,0x33fffbaf,0xfd01ffff,
    0x3fffa7ff,0x3dffff92,0x00dfff90,0x443ffff3,0xfff700a9,0x0ffffe8f,
    0x46ffff80,0x1bf63ff8,0xff983ffa,0x5ffa8001,0xff137fdc,0x3fffee5f,
    0xfffff500,0x13fff60b,0xfdbfffe4,0xfff904ff,0x413fff6f,0xff17fffc,
    0x7ff403ff,0x9fffe63f,0x7fc400a8,0x7ffc41ff,0x85fffd1f,0x3fea0099,
    0x7fec02ff,0xbfffb0ff,0x51bfffa0,0xc809ffff,0xfc83ffff,0xf50dfb2f,
    0x017fe6bf,0x2e0fff40,0x3ffe26ff,0x07ffff52,0x3fffffee,0x85fffc83,
    0xf97ffff8,0xfff10bff,0x17fff2ff,0xe9ffffe2,0xfc80dfff,0x3fe61fff,
    0xffb0007f,0x6fffc8bf,0x000bfffa,0x0bffffe2,0x52ffffcc,0xf883ffff,
    0xffd84fff,0xffc884ff,0xfe880fff,0x330098af,0x001fff33,0xf50bff50,
    0x0fffc4ff,0x35bffffd,0xffffffd7,0x7fdc1bff,0xffd50bff,0x3ffeefff,
    0xfffd50bf,0x3fffeeff,0xffffd50b,0x7ffffdcf,0xfffffb9c,0x03fffcc4,
    0xcffff980,0x22ffffb9,0x0002fffe,0xbffffff9,0xfffffb97,0x7ffffc47,
    0xfffffc9c,0xfffff881,0xffffecdf,0x3fe603ff,0xfff3002f,0x3ffa0005,
    0x51fff881,0xfffa8fff,0xffffffff,0x6fffffff,0x3fffffe6,0x7fffefff,
    0xfffffff3,0x2ffffdff,0xfffffff9,0x47fffeff,0xfffffffb,0xf986ffff,
    0x3a0007ff,0xffffffff,0x17fff47f,0xffffd000,0xffffffff,0xffff50bf,
    0x7fffffff,0x7ffffd40,0xffffffff,0xefffa804,0x7fedcc1b,0xff50002f,
    0x6fffec0b,0xffa84fff,0xffffffff,0x0ffffb9e,0x7fffffdc,0x27fff8df,
    0xfffffffb,0x2e7fff8d,0xdfffffff,0xfb87fff8,0xffffffff,0x7fff980d,
    0x3ffa2000,0x41efffff,0x0002fffe,0x3fffff62,0x04ffffff,0x3fffffee,
    0xe8804fff,0xffffffff,0x3a2004ff,0xffefffff,0x0001efff,0xe8807ffa,
    0x00efffff,0xffffff91,0x02fe987d,0x49dfffd7,0x7f5c7fff,0x3ffe4eff,
    0x77fff5c7,0x541fffe4,0x2effffec,0x01fffe60,0x3ffff200,0xfffe80df,
    0xfea80002,0x2defffff,0xffffe980,0x6dc001ef,0x1dffffff,0xfffb5000,
    0x005bffff,0x004ee980,0x4007bdb7,0x02801a98,0x10000a88,0x2a200015,
    0x1a880000,0x00666600,0x401a8800,0x00009998,0x000d4c40,0x00006a60,
    0x00004d44,0x13595310,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x26662000,0x09999999,
    0x01ab9880,0x10026662,0x22001333,0x0bceedcb,0x2aea6000,0x2aaaa009,
    0x54400000,0x009acddb,0x0001ddb0,0x20003753,0x00bcddb9,0x15554c00,
    0x02aaa800,0x310565cc,0x15554c33,0x81555440,0xffffffff,0x3a603fff,
    0x81dfffff,0x6c07fffb,0x64404fff,0xffffffff,0x3ea001df,0x03ffffff,
    0x0005ffff,0x3ffffea0,0x803fffff,0x2e002ffd,0x04ffffff,0xfffffd30,
    0x640007ff,0x88006fff,0xe980ffff,0xfb3fffff,0x3fff61ff,0xffffa805,
    0x7ffffc40,0x03ffffff,0xfffffff7,0xfff883ff,0xffff102f,0x7fffd403,
    0xffffdbdf,0xfffd803f,0x85ffffff,0x0002ffff,0xffffffc8,0x0effffff,
    0x4013fee0,0xfffffffd,0x3fe600ef,0xffffffff,0xfff90003,0xfff1000d,
    0xffffb81f,0xffdbffff,0x0bfffb0f,0x81ffff50,0xfffffffa,0xfb83ffff,
    0xffffffff,0x7ffec0ef,0x0dfff505,0x80df7fe4,0x205ffeb8,0xfffffffa,
    0x7fc3ffff,0x6c0002ff,0xffffffff,0x1fffffff,0x900dff30,0xffffffff,
    0x3fe20dff,0xfffeefff,0xfc8001ff,0xf88006ff,0x3fe20fff,0xfffeffff,
    0xffb0ffff,0xfff500bf,0xffffc81f,0x3fffffff,0x8afffff8,0x542ffffb,
    0xffb07fff,0x37fee07f,0x13ff2000,0x98f7fff4,0x7fc7fffd,0x2e0002ff,
    0x9adfffff,0xfffffb98,0x803ffe06,0xa9dffff9,0xb82ffffe,0x3e61efff,
    0xc8004fff,0x88006fff,0x3f60ffff,0xfb31cfff,0x3f61ffff,0xffa805ff,
    0x7ffec0ff,0x7ffdc001,0x85fffd86,0x7c42ffff,0xff980fff,0x80bca884,
    0xfff82ffb,0x7fffc41f,0x00bfffe0,0x7ffffc40,0x3fff6203,0x05ffb03f,
    0x6c2fffe4,0xffd86fff,0x6fffc83f,0x6fffc800,0xffff8800,0x09ffff10,
    0x6c3ffff6,0xfa805fff,0x7ffc0fff,0x7ff4000f,0x09aa983f,0x545fffc8,
    0xdfb06fff,0xdfffff90,0x7c46fd81,0xfffd07ff,0x317fffc3,0x7ec01577,
    0xff003fff,0xff701fff,0x17ffec09,0x217fffd4,0xc881ffff,0xfc8001ab,
    0x773106ff,0x3fffe215,0x01ffff30,0x6c3fffe6,0xfa805fff,0x3fe20fff,
    0x7fc4006f,0xf30000ff,0xfffd8fff,0x642ff983,0x5ffdcfff,0x3fa17fc4,
    0x7ffc41ff,0x4d7fffc7,0x03fffffe,0x400dffff,0x983ffffb,0x3ffa06ff,
    0xffff881f,0x00ffff43,0xfffc8000,0xfffffa86,0x0ffff8af,0x440ffff7,
    0xffb0ffff,0xfff500bf,0x77ffcc1f,0x302cefdb,0x2e62ffff,0xfffd001a,
    0x03fffe25,0xffa83ff2,0xd0ffea0c,0xdfffb8bf,0x89fff910,0xfffdffff,
    0x4c5fffff,0x4003ffff,0xff04ffff,0x3fffe01f,0x89ffff01,0x0003fffd,
    0x8dfff900,0xfffffffc,0x90ffffdf,0xff80dfff,0xbfffb0ff,0x1ffff500,
    0x7fffffdc,0xfa84ffff,0xfffe9eff,0x7fdc00ef,0x0bfff55f,0x0df91bfa,
    0x0ff902ae,0xffdffffb,0xfff81dff,0xfffeffff,0x3fee3fff,0x7f4002ff,
    0x5ffd05ff,0x20bfff60,0x5c5ffff8,0x00005fff,0x4cdfff90,0xfeffffff,
    0x70ffffff,0x7c40dfff,0xfffb0fff,0xffff500b,0x7ffffe41,0x45ffffff,
    0xfffffffb,0x202fffff,0xffb7fff8,0xd0ffe05f,0xffa8009f,0xfffffb80,
    0xffff04ff,0x7ff545df,0xffff70ff,0xfffd8003,0x209ff906,0xfb85fffc,
    0xfdd96fff,0x7ddddfff,0xfff90000,0x5fffff4d,0xfffffb30,0x81fffea1,
    0xfb0ffff9,0xff500bff,0x7fff41ff,0xffffdbdf,0x3ffff22f,0xffffeeff,
    0x3fff600f,0xf107fffa,0x027fc43f,0x3207fe20,0xefffffff,0x0fffff80,
    0x93ffff98,0x8001ffff,0xf507fffc,0x3ffe60df,0xfffd50bf,0x3ffff6ff,
    0x04ffffff,0x6fffc800,0x205ffff3,0xf30ffffe,0x3ee01fff,0xfffb0fff,
    0xffff500b,0x20f7f641,0x327fffe9,0x262fffff,0x2a04fffe,0x4fffffff,
    0xff88bfe0,0x0ffc4004,0xfdffffd1,0xff85ffff,0x3ff604ff,0x1ffff74f,
    0x7fffc800,0x201fff10,0xfefffffc,0xfb6fffff,0xffffffff,0xf900009f,
    0x3ffeadff,0x3fffee07,0x217fffe0,0xb0fffff8,0xf500bfff,0xc8001fff,
    0xff70ffff,0xfff50bff,0xfffff80f,0x13fe01ff,0x20260bff,0x3ffa0ffb,
    0xfff911df,0x1ffffc1f,0x2abfff90,0x4001ffff,0x3a06fffd,0xffd101ff,
    0xffdfffff,0x3fb32ebf,0x02ccceff,0x6fffc800,0x4c0dfff7,0x3ee0ffff,
    0xfc8aefff,0xfb0fffff,0xff500bff,0xf98001ff,0xfff51fff,0x3fffe07f,
    0x3ffff200,0x237ec06f,0x7fc40ffd,0xff13fec3,0xfffd01ff,0x017fffc7,
    0x3e6dfff7,0x7c002fff,0x3f205fff,0x7ffdc03f,0x4fffcaff,0x004fffc8,
    0x6fffc800,0x440bfff9,0x7f40ffff,0xffffffff,0xffb0ffff,0xfff500df,
    0xfff0001f,0x3fffea5f,0x03ffff01,0x1fffffcc,0xf983fee0,0x3ffb11ef,
    0x3fea4ff8,0xbfff705f,0x7017fffc,0x3fe2dfff,0x3e6004ff,0x3ea03fff,
    0x4353005f,0xfe84fffd,0x998002ff,0x2dfff902,0x2605fffc,0x7cc0ffff,
    0xafffffff,0xff90ffff,0xfff700df,0xff80220f,0xffff32ff,0x03fffe07,
    0x01ffffd0,0x7e43ff88,0x43fffeff,0x3ff21ffa,0xffff504f,0x901ffffc,
    0x7ffcbfff,0xffb001ff,0x7fc405ff,0x3ffa0007,0x7fffc43f,0x3ffea000,
    0x2bfffb07,0x2a06fffb,0xd880ffff,0xf88dffff,0xfff70fff,0xffff900f,
    0x983fff54,0x3fe0ffff,0xfff885ff,0x5fffe807,0xa85ff900,0x4c3effff,
    0x7ffdc5ff,0x4dfff907,0x3a06ffff,0x3fea4fff,0xffa805ff,0xffe806ff,
    0x41dd5441,0x6c1ffff9,0x4c002fff,0xfe81ffff,0xffff54ff,0x3ffff201,
    0x3e20cc00,0xfff50fff,0x7ffc409f,0x3fffe66f,0x46fffd83,0x5c0ffffb,
    0x7d406fff,0xd1002fff,0x015105ff,0xfa81fff3,0xfff81fff,0x3ffffe4f,
    0x2ffffa82,0x0f7ffff4,0x1fffffb8,0x543ffc80,0x7e40ffff,0x7ffe45ff,
    0x41101a8d,0x544ffff8,0xff13ffff,0xfff109ff,0xf10001ff,0x3fe21fff,
    0xfc882fff,0x7ff43fff,0xffea9cff,0x7ffc42ff,0xfffd9cff,0x3ffaa02f,
    0x7fcc007f,0xfff3002f,0xfffff105,0xffffd519,0x7fffffc5,0xffffd98b,
    0xfffff986,0xfffdccef,0xf5004fff,0xffff88bf,0xffffeaad,0x3fffff21,
    0xecceffff,0x7ffff44f,0xfffffecd,0x33ffff20,0xfffffc89,0xff88000f,
    0x3fff20ff,0xffecdfff,0x7cc0ffff,0xffffffff,0xfff905ff,0xbfffffff,
    0xfffffdb0,0xff50007f,0xeb9859df,0x3ea02fff,0xffffffff,0x7fffc4ff,
    0xfffffffe,0xfff501ff,0xffffffff,0x2001bfff,0xffc87ff8,0xffffffff,
    0x7ffffdc5,0xffffffff,0x3ffe60ff,0xffffffff,0x7ffffc41,0xffffffff,
    0xff88000f,0x3ffe20ff,0xffffffff,0xff504fff,0x9fffffff,0xfffffb80,
    0xfc80efff,0x00efffff,0xffffd100,0xdfffffdf,0xffff7003,0x81bfffff,
    0xffe8ffff,0x403fffff,0xffffffd8,0x003fffff,0xfe81fff8,0x4fffffff,
    0xfffffff0,0xffffffff,0xfffffc89,0xf303ffff,0x3fffffff,0x0001fffd,
    0x881ffff1,0xfffffffe,0x4403ffff,0x2efffffd,0xffffd500,0x7ffdc07f,
    0x80000dff,0xffffffda,0x6cc002df,0x02ffffff,0x7fecffff,0x2a001eff,
    0xeffffffd,0xffb0000c,0xffff9107,0x77e405df,0xffeca98b,0xe982efff,
    0x02efffff,0x6ffffec4,0x001fffd0,0x01ffff10,0x3fffffae,0x4c001def,
    0x54c0001a,0xacca8800,0x98800001,0x00009aca,0x00009a98,0x200004cc,
    0x00000a98,0xa9803553,0x10011001,0x53100135,0x03300013,0x4ccc0000,
    0x1aa98801,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0ddcc400,0x44006662,0x1bcdedcb,
    0x03eeed80,0x880fbbb2,0x2202eeee,0x201abcba,0x0002aaa9,0x300aaaaa,
    0x70005555,0x55530799,0x55555555,0x99855555,0x55553019,0x03555555,
    0x9aba9800,0x33333100,0x33333333,0x015554c3,0xa8555544,0x7fd41aaa,
    0xffd2ffff,0x7fec401f,0xefffffff,0x3fffe602,0xfffffb80,0x09fff902,
    0x3fffff22,0xffd81eff,0x3ee0006f,0x3fa00fff,0x7d4006ff,0xfffd86ff,
    0xffffffff,0x7fc6ffff,0xfffd81ff,0xffffffff,0x7f54004f,0x40cfffff,
    0xfffffffc,0x27ffffff,0x9806fffd,0xffd1ffff,0x7fffe49f,0xffebffff,
    0xffff700f,0xffffffff,0x7ffcc09f,0x7efffcc3,0x7ffc40ff,0xfffff305,
    0x89ffffff,0x0006fffd,0x413fffe2,0x001ffffa,0x21bfffe2,0xfffffffd,
    0xffffffff,0x40ffffc6,0xfffffffd,0x2effffff,0xfffffd80,0x320fffff,
    0xffffffff,0x367fffff,0xf9806fff,0xfffd1fff,0x3ffffe69,0xffffffef,
    0xffffb80f,0xffffffff,0x3ea04fff,0xda7ff47f,0x2ffdc5ff,0xffffff88,
    0x3fffffed,0x001bfff6,0x01ffff90,0x800dfffd,0xd86ffffd,0xffffffff,
    0x6fffffff,0x6c0ffffc,0xffffffff,0x3fffffff,0x3ffffee0,0x26ffffff,
    0xfffffffc,0x27ffffff,0x9806fffd,0xffd1ffff,0x3ffffa9f,0xffffb30b,
    0xffff981f,0xeca89bef,0x201fffff,0xbdd72eea,0xdb0f76c4,0x3fff601b,
    0x3ff220af,0xdfffb0ff,0x00333333,0x513fffe2,0x4005ffff,0x86fffffa,
    0xaaaefffd,0xaaaaaaaa,0x40ffffc2,0xaaaefffd,0xfffffcba,0xdffff00f,
    0xffffb517,0x3bbbbae5,0xffffeeee,0x01bfff64,0x747fffe6,0xfff9cfff,
    0xffffd02f,0x3fffff81,0x27fffec0,0x80000000,0xf104ffff,0x3ff65fff,
    0xffffffff,0x7fe403ff,0x3fff60ff,0x3ffe2006,0xffd86fff,0x8000006f,
    0x2205fffd,0x984ffffc,0xff81ffff,0x3ea004ff,0x7ffec5ff,0xffff9806,
    0xf59fffd1,0x7fd40fff,0x3ffea0ff,0xfff8804f,0x1333106f,0x20133310,
    0x7cc09998,0x3f200fff,0xffffb4ff,0xffffffff,0x3fe201bf,0xffff33ff,
    0x7ffec005,0xffd86fff,0x8000006f,0xe805fffd,0x7dc0ffff,0xfff906ff,
    0x3ffa200b,0x37ffec0f,0x8ffffcc0,0xffbcfffe,0x3ffe606f,0x3ffff60f,
    0x01375000,0x6c1fffec,0xffb03fff,0x0066207f,0x3f67fffb,0xffffffff,
    0x01ffffff,0x3f6ffff9,0x3ee006ff,0x86fffdff,0x0006fffd,0x5fffd800,
    0x3ffff980,0xc81554c4,0xf9005fff,0xfffb05ff,0xffff300d,0x333fffa3,
    0x3e205fff,0xfff10fff,0xb000009f,0xffb07fff,0x3fff607f,0x3fe60003,
    0xffffb1ff,0xffd99999,0x3e20bfff,0xffffafff,0xbfff1002,0xfb0dfff3,
    0x00000dff,0x00bfffb0,0x0013fffe,0x401ffffc,0xfb05fffa,0xff300dff,
    0x3fffa3ff,0x205fffcc,0xf30ffff9,0x00007fff,0xb07fffb0,0x3f607fff,
    0xf50003ff,0x7fecdfff,0x3ffe606f,0xfff900ff,0x400dffff,0xff98fffd,
    0xffffd86f,0xcccccccc,0xfb0004cc,0x3fa00bff,0xfa8005ff,0xfe801fff,
    0xfffb00ff,0x9999999f,0x23ffffb9,0xffbcfffe,0x3ffea06f,0x3ffff50f,
    0xffb00000,0x7fffb07f,0x00ffff60,0x3ffffee0,0x01bfff60,0x223ffff9,
    0xffffeeee,0x2eeeefff,0x267fff70,0xffd86fff,0xffffffff,0x4007ffff,
    0xcffffecc,0xffd82ccc,0x7fc4006f,0xffa805ff,0x3fff605f,0xffffffff,
    0xd1ffffff,0xfff59fff,0x3fff603f,0x3ffff70f,0x3ffffe60,0xfd83ffff,
    0xfffd83ff,0x07fffb03,0xeffffa80,0x037ffec0,0x4cbfffe6,0xffffffff,
    0x3fffffff,0x265fff88,0xffd86fff,0xffffffff,0x4007ffff,0xffffffff,
    0xffc84fff,0x3fa2007f,0xfe800fff,0x3ff602ff,0xffffffff,0x1fffffff,
    0x3fe9fffd,0x3f221eff,0xff50ffff,0x3fe603ff,0x3fffffff,0xd83fffd8,
    0xffb03fff,0x7fcc007f,0xffd80eff,0x7ffdc06f,0xfffff31f,0xffffffff,
    0xfffd07ff,0x437ffcc1,0xfffffffd,0x7fffffff,0x7fc19998,0xffffffff,
    0x7fffc84f,0xffffd100,0xffff3007,0xfffffd80,0xffffffff,0xffd1ffff,
    0x3ffff29f,0xfffffcdf,0xffff10ff,0x3fffe605,0xd83fffff,0xffd83fff,
    0x7fffb03f,0x77fff400,0x0dfffb00,0x10ffffe8,0xffd99999,0x399999df,
    0x4c3fffb8,0xffd86fff,0x999999ef,0xff819999,0x3f6661ff,0x09999eff,
    0x806fffd8,0x04ffffe8,0x809fffb0,0x999efffd,0xffb99999,0x9fffd1ff,
    0x3fffffa2,0xffffdfff,0x40ffffa0,0xffeeeee9,0xfffd83ff,0x03fffd83,
    0x2007fffb,0x200ffff8,0x9886fffd,0x806ffffe,0x9805fffb,0x9999efff,
    0x099ffffa,0x000dfffb,0xd81ffff8,0xfb005fff,0xfe880bff,0x3e004fff,
    0x7ec00fff,0xff9806ff,0x9fffd1ff,0xffffffd8,0x20ffff8c,0x2006fffc,
    0xd83ffff8,0xffd83fff,0x7fffb03f,0x17ffe600,0xffffffb0,0xffffffff,
    0x6666445f,0xccefffec,0x3fea1ccc,0xffffffff,0xfb5fffff,0xf8000dff,
    0xffd81fff,0xffff005f,0x7fff4407,0x3fea004f,0xfffd805f,0xffff9806,
    0x509fffd1,0x3e259dd9,0x3fee0fff,0xff1002ff,0xfffb07ff,0x07fffb07,
    0x400ffff6,0x6c04fffa,0xffffffff,0x44ffffff,0xfffffff9,0xffffffff,
    0x3ffffea3,0xffffffff,0xdfffb5ff,0xffff8000,0x05fffd80,0x02ffffa8,
    0x07ffffd1,0x02fffc80,0x806fffd8,0xfd1ffff9,0xf98009ff,0x7ffcc7ff,
    0xff9800ef,0xfffd83ff,0x03fffd83,0x2007fffb,0x6c009998,0xffffffff,
    0x983fffff,0xffffffff,0x3fffffff,0x3fffffea,0xffffffff,0x0dfffb5f,
    0x20ff1000,0x4405fffd,0xb00ffffe,0x0007ffff,0xb003fffd,0xf300dfff,
    0x3ffa3fff,0x2bcde8cf,0x90dfff50,0x205fffff,0x3fffffc8,0xd83fffd8,
    0xffb03fff,0x2662007f,0x7ffec009,0xcceeeeef,0x3bbba202,0xeeffffee,
    0x2aa22eee,0xfbaaaaaa,0xfb1aafff,0x50000dff,0x3fff60ff,0x3fffe605,
    0xffff902f,0xfff1000b,0xfffb001f,0xffff300d,0x7d3fffa3,0x7441ffff,
    0xfe884fff,0xccdeffff,0xfffffffe,0x83fffd83,0xfb03fffd,0x3ea007ff,
    0x7fec06ff,0xb800006f,0x00005fff,0xfb0dfff3,0xdddddfff,0x3ddddddd,
    0xfd81ffd4,0xfeeeefff,0x05ffffff,0x3ffffffe,0x86ffffff,0xb007fff9,
    0xf300dfff,0x3ffa3fff,0xfffffb4f,0xffffffbd,0x3fffa201,0xffffffff,
    0xfb03ffff,0xfffb07ff,0x0ffff607,0x037ffd40,0x001bfff6,0x17ffee00,
    0x7ffcc000,0xfffffd86,0xffffffff,0xbff32fff,0x7ffffec0,0xffffffff,
    0xfff500ff,0xffffffff,0xfff50dff,0x3fff600d,0xffff9806,0x229fffd1,
    0xfffffffe,0xd803ffff,0xffffffff,0x200cffff,0xfd83fffd,0xfffb03ff,
    0x3ffea007,0x37ffec06,0x7fdc0000,0xf300005f,0xfffb0dff,0xffffffff,
    0x6c5fffff,0x7fffec02,0xffffffff,0x3ff600cf,0xffffffff,0xffb86fff,
    0xfffb005f,0xffff300d,0x893fffa3,0xfffffffc,0x326002ef,0xdeffffff,
    0xfffd801b,0x03fffd83,0x2007fffb,0x6c06fffa,0x00006fff,0x005fffb8,
    0x0dfff300,0xfffffffb,0xffffffff,0xffd8005f,0xefffffff,0x7fc400cc,
    0xffffffff,0xfc86ffff,0xffb004ff,0xfff300df,0x13fffa3f,0x2af2ea62,
    0x54c40001,0x00000009,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x55554000,0x54000001,0xaaaaaaaa,
    0xaaaaaaaa,0x2ea00aaa,0x5530acdd,0x55555555,0x54400013,0x26001aaa,
    0xa8802aaa,0x2a62aaaa,0xaaaaaaaa,0x4c40099a,0x55000199,0x50055555,
    0x26555555,0x55002aaa,0x2aaa6055,0x00155551,0x744bdd90,0x355532ee,
    0x000ffff6,0xffff9800,0xffffffff,0xffffffff,0xfffffd02,0x3ffff63f,
    0xffffffff,0xffc8000d,0x3f2006ff,0xffd806ff,0x3ff61fff,0xffffffff,
    0xf901dfff,0x36000fff,0x01ffffff,0x3fffffe2,0x03ffff96,0x80ffff88,
    0xffd3fffd,0xffb0005f,0xd9fffc4f,0xfffb3fff,0x6c000007,0xffffffff,
    0xffffffff,0xfd82ffff,0x367fffff,0xffffffff,0x02ffffff,0x7fffffc0,
    0xdfff9001,0xfffffd80,0x7ffffec1,0xffffffff,0xfffc81ff,0xfffb0007,
    0x7d407fff,0xf96fffff,0xf880dfff,0xffd80fff,0x05fffd3f,0x44fffb00,
    0xfffb3fff,0x00ffff67,0x7ffcc000,0xffffffff,0xffffffff,0xffff82ff,
    0x3ff64ccf,0xffffffff,0x002fffff,0xbffffff5,0x1bfff200,0x1fffffc8,
    0xffffffd8,0xffffffff,0x7ffe40ff,0xfffb0007,0x7e40bfff,0xf96fffff,
    0x4407ffff,0xfd80ffff,0x5fffd3ff,0x4bdd9000,0xffb2eee8,0x0ffff67f,
    0x7fe40000,0x9ffff16f,0x55555555,0xfff88155,0xdfffb02f,0xffb55555,
    0x3600dfff,0x0fffffff,0x06fffc80,0x05fffff9,0x2abbfff6,0xfffbaaaa,
    0x7ffe43ff,0xfffb0007,0x7fc0ffff,0xf96fffff,0x201fffff,0xd80ffff8,
    0xfffd3fff,0x70000005,0x3ff65999,0x8800003f,0xff12ffff,0x4c0003ff,
    0xfb00ffff,0x7fcc0dff,0x7c401fff,0x3fffffff,0x86fffc80,0x02fffffb,
    0x201bfff6,0x7e45fffe,0xfb0007ff,0x03ffffff,0xfffffff1,0x3fffff2d,
    0xffff105f,0x27fffb01,0x0002fffe,0x3ff60000,0x06b2a23f,0x37ffe400,
    0x003ffff1,0xffff5310,0xfffd8333,0x7fffe406,0x77ffe402,0xc806fffc,
    0x7fd46fff,0x7ec02fff,0xffc806ff,0x3fffe46f,0xdfffd800,0xffb84fff,
    0xf96fffdf,0x05ffffff,0xb01ffff1,0x3ffa7fff,0x9999882f,0x01333100,
    0x3f613331,0xfffd8bff,0x22000dff,0x3e23ffff,0xc8001fff,0xffffffff,
    0x1bfff61f,0x05ffff30,0xf9bfffe8,0x7e401fff,0x3ffea6ff,0xffd803ff,
    0xfffc806f,0x03fffe44,0xfbfffd80,0xfffd86ff,0xff96fffb,0x10dfffff,
    0xfb01ffff,0x3fffa7ff,0x77fffcc2,0x07fffb00,0x3f67fffb,0xffffedff,
    0x7000efff,0x7c41ffff,0xc8001fff,0xffffffff,0x1bfff61f,0x03ffff70,
    0xe87fffd4,0x7e405fff,0xffff36ff,0x3ff6007f,0x7ffcc06f,0x3fffe41f,
    0xafffd800,0x7fc0fffd,0x96fffaef,0xffffdfff,0x0ffff889,0xfd3fffd8,
    0x7ffc45ff,0x3ff600ff,0x3fffd83f,0xdffffffb,0x07fffffb,0x113fffe0,
    0x999bffff,0x45999999,0xfffffffc,0x3fff61ff,0x3fffa206,0x2fffec07,
    0x401ffff7,0xff9efffc,0x36006fff,0xccccffff,0x4ffffdcc,0x007fffc8,
    0xf75fffb0,0x7ffcc5ff,0xf96fffac,0xffffb7ff,0x07fffc43,0xfe9fffec,
    0xfffd12ff,0xfffd803f,0xb3fffd83,0x441dffff,0xb806ffff,0x7c40ffff,
    0xffffffff,0x223fffff,0x99ffffa9,0x4f7ffec1,0xfffcaa99,0x3fe206ff,
    0x3ffe22ff,0x3fff203f,0xffffffff,0xffffb002,0xffffffff,0x3ff207ff,
    0xffb0007f,0x49fff35f,0xffaafffb,0x17fff96f,0x7c4bffff,0xffd80fff,
    0x25fffd3f,0x801ffffe,0xfd83fffd,0xffffb3ff,0x0dfff701,0x10bfffd0,
    0xffffffff,0x07ffffff,0x6c0ffff3,0xffffffff,0x1fffffff,0x21fffee0,
    0x3206fffe,0xffffffff,0xd800ffff,0xffffffff,0x03ffffff,0x000ffff9,
    0x7fcbfff6,0x23fff66f,0xff96fffa,0x3fffee7f,0x01ffff12,0x3fa7fffb,
    0xffffdaff,0x7fffb001,0x367fffb0,0xff506fff,0xfffa80ff,0xffff881f,
    0xffffffff,0xfff983ff,0x3ffff607,0xffffffff,0x7ff402ff,0xffffb84f,
    0xfffff901,0xbffffbff,0xfffffb00,0xffffffff,0xffc83dff,0xffb0007f,
    0x43fff65f,0xfff56fff,0xe8ffff2d,0xff88ffff,0xfffd80ff,0xffdfffd3,
    0x7ec005ff,0xfffd83ff,0x20bfffb3,0x7407fff9,0x9999efff,0x9bffffa9,
    0x99999999,0x07fff980,0x3ffffff6,0x1dffffff,0x0ffffcc0,0x82ffffc4,
    0x3ffffffc,0x805ffffd,0x999efffd,0xfffca999,0x3fff20ff,0xfffb0007,
    0x26bffee5,0xfff54fff,0xa8ffff2d,0xff8cffff,0xfffd80ff,0xffffffd3,
    0x7ec009ff,0xfffd83ff,0x209fffb3,0x2607fff9,0xffffffff,0x1fffffff,
    0x3ffe6000,0x3ffff607,0x0aaacccc,0xdffff900,0xfffddddd,0xfff901ff,
    0x7ffcc9ff,0x3ff600ff,0xfff9806f,0x1ffff22f,0x97ffec00,0xffbcfff9,
    0x2dfff52f,0x7ec3fffc,0xffff9fff,0xd3fffd80,0xffffffff,0x3ff6003f,
    0x3fffd83f,0x2607fffb,0x3f607fff,0xffffffff,0x01ffffff,0x1fffe600,
    0x006fffd8,0xffffff00,0xffffffff,0xfff907ff,0xffffb09f,0x37ffec0b,
    0x25fffe80,0x0007fffc,0x7fc5fffb,0x50fffeff,0x3ff2dfff,0x7fffc43f,
    0xd80ffffe,0xfffd3fff,0x0bffffff,0x20ffff60,0xffb3fffd,0x3ffe607f,
    0xfffff307,0xffffffff,0x40003fff,0x3607fff9,0x80006fff,0xfffffffa,
    0xffffffff,0x6fffc86f,0x5fffff10,0x01bfff60,0xf93fffec,0x36000fff,
    0x3ff62fff,0x3ea6ffff,0x7fff96ff,0xffffff70,0xfffb01ff,0x33ffffa7,
    0x802ffff8,0xfd83fffd,0x7fffb3ff,0x41fffe60,0xeeeffffd,0xfffeeeee,
    0x3e60001f,0x3ff607ff,0xfd80006f,0xffffffff,0xffffffff,0x037ffe41,
    0x01dffff7,0x200dfffb,0x3f26ffff,0xfb0007ff,0x7ffdc5ff,0x3fea4fff,
    0x07fff96f,0x3ffffffa,0x3fffd80f,0x7e4bfffd,0xffd806ff,0x3fffd83f,
    0x2607fffb,0xff887fff,0x7fcc04ff,0x260001ff,0x3f607fff,0x440006ff,
    0x8803ffff,0x7e45ffff,0x7ff406ff,0xfffd84ff,0x7ffec406,0x1ffff24f,
    0x17ffec00,0x5ffffff3,0xfcb7ffd4,0xfff303ff,0xfb01ffff,0x3fffa7ff,
    0x0ffffe22,0xb07fffb0,0x3ff67fff,0xffff303f,0x03ffff90,0xeeffff98,
    0xeeeeeeee,0x3fffcc4e,0x00dfffb0,0x0ffffc80,0x1ffffb00,0x2037ffe4,
    0x41fffffa,0xeeeffffd,0xffffeeee,0x3fff21ff,0xeeeeeeef,0xffb0eeee,
    0xfffff85f,0x5bffea0f,0x3203fffc,0x80ffffff,0xffd3fffd,0xffffb85f,
    0x0ffff600,0x7ecffff6,0xfff303ff,0x5ffff88f,0xfffff980,0xffffffff,
    0x7ffcc6ff,0x1bfff607,0xbffff000,0x7fffd400,0x01bfff23,0xb1bffff6,
    0xffffffff,0xffffffff,0xfffffc87,0xffffffff,0x5fffb0ff,0x46ffffd8,
    0xff96fffa,0x7ffc407f,0xffd80fff,0x05fffd3f,0x6c09fffd,0xffd83fff,
    0x07fffb3f,0xf91fffe6,0xf3005fff,0xffffffff,0x8dffffff,0x3607fff9,
    0x20006fff,0x002ffffa,0xf937fffc,0xff300dff,0x7fec9fff,0xffffffff,
    0xc84fffff,0xffffffff,0x0fffffff,0xfb85fffb,0x7fd44fff,0x07fff96f,
    0x0fffffa8,0xfd3fffd8,0xfff505ff,0x3fff603f,0xb3fffd83,0x3e607fff,
    0x3ffe27ff,0xfff3006f,0xffffffff,0xf98dffff,0x3ff607ff,0x3f60006f,
    0xfc8007ff,0xfff91fff,0x3fff200d,0xffffb1ff,0xdfffffff,0x3ff2017b,
    0xffffffff,0xfb0fffff,0xfff985ff,0xb7ffd42f,0xd803fffc,0xfd80ffff,
    0x5fffd3ff,0x41bfffa0,0xfd83fffd,0x000003ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0xaaaaaaa9,0x100009aa,0x20055013,0x55551049,0x55555441,0xaaaaaaaa,
    0x555542aa,0x5551000a,0x15555455,0x15555440,0xa8055555,0x5401aaaa,
    0x2aaa1aaa,0x5554002a,0x5555532a,0x55555555,0x2aaaa235,0xaaaaaaaa,
    0x401aaaaa,0x5531ccc9,0x55555555,0x33300135,0x7fffec13,0xffffffff,
    0x3fff2004,0x405fb8ac,0xff105fc8,0x7ffd47ff,0xffffffff,0x2e0fffff,
    0xd006ffff,0x7ec5ffff,0x7e404fff,0x3ff24fff,0x7fffc07f,0x3ffe606f,
    0x3ffff62f,0xffff3001,0x3fffff67,0xffffffff,0xfffff54f,0xffffffff,
    0xe807ffff,0xfffb2fff,0xffffffff,0x7fc07fff,0x3fff62ff,0xffffffff,
    0x7c402eff,0xffffffff,0x17ffea02,0x51ffffc4,0xffffffff,0xffffffff,
    0x2ffffe81,0x2ffffd40,0x07ffffe2,0x237fffcc,0x300ffffb,0x01ffffff,
    0xa83fffea,0x9003ffff,0x3f61ffff,0xffffffff,0xf54fffff,0xffffffff,
    0xffffffff,0x7fffe407,0xffffffb2,0xffffffff,0x3fffe09f,0x3fffff62,
    0xffffffff,0x37ee03ff,0x0efffeba,0x417fff20,0x2a3ffff8,0xffffffff,
    0xffffffff,0x7ffffcc0,0xfffff100,0xdffff501,0x07ffffa0,0x205ffff3,
    0x2ffffffb,0xf0dfff90,0x3a00dfff,0x3ff66fff,0xffffffff,0xff54ffff,
    0xffffffff,0x7fffffff,0x3ffffea0,0xffffffb2,0xffffffff,0xffff09ff,
    0x577ffec5,0xfffcbaaa,0x39500fff,0xfc802a88,0xfff105ff,0x5555447f,
    0xffbaaaaa,0xff905fff,0x3ff209ff,0x3ff603ff,0x7ffdc3ff,0x9ffff04f,
    0x3fffffa0,0x9fffd04f,0x03ffff90,0x23ffff98,0xaaaefffd,0x1aaaaaaa,
    0xd5555551,0x5555dfff,0xfff90355,0x3ff65fff,0xaaaaaaef,0x87ffffeb,
    0x3f62ffff,0x3f2205ff,0x00004fff,0xefffc988,0x3ffe2099,0xffd8003f,
    0x3fa00eff,0x7fc40fff,0x7fc406ff,0xfff10fff,0x3ff601ff,0xffff886f,
    0xff886fff,0xfff982ff,0x7ffdc04f,0x1bfff60f,0xfff90000,0x3ffea00d,
    0xfb2fffff,0xff900dff,0x7ec003ff,0xffe805ff,0x066621ff,0x2e035951,
    0xffffffff,0x0bfffe25,0xfffff900,0xffff9801,0x0ffffec5,0xaffffdc0,
    0x202ffffd,0xfa87fffb,0x0ffffeff,0x807fffcc,0x7406fffe,0x7fec5fff,
    0x6400006f,0xfb806fff,0xffffffff,0x00dfffb2,0x007ffff3,0x402fffec,
    0x363ffff9,0xffd89fff,0x7dc0efff,0x5fffffff,0x000ffffc,0x05fffff5,
    0x4bffff60,0x004ffffa,0x3f3ffffa,0x7cc05fff,0x7fe41fff,0x42fffebf,
    0x2e06fffb,0xf301ffff,0xffd85fff,0x6400006f,0xfb806fff,0xffff9eff,
    0x00dfffb2,0x007ffff1,0x802fffec,0x3f64ffff,0xffffeaff,0x3ee0ffff,
    0x5fffffff,0x800ffffc,0x03fffff9,0x3bfffe20,0x006fffe8,0x7fffffc4,
    0xff800fff,0x7fff43ff,0x6c4fffc9,0x3e204fff,0xff704fff,0xfffd81ff,
    0x7e400006,0xffb806ff,0x6cbfffe4,0xfa806fff,0x36002fff,0xfd005fff,
    0x7ffecbff,0xfffeefff,0x3f2623ff,0x74099eff,0xe8800fff,0x8005ffff,
    0xffeffffa,0xfb8001ff,0x03ffffff,0x449fffd0,0xfff57fff,0x02ffff8d,
    0xe83ffff4,0xffd85fff,0xaaaaaaef,0xf9000aaa,0x19700dff,0xfb2ffff8,
    0x7d440dff,0x2000ffff,0xb005fffd,0x7fecdfff,0x3fe20eff,0xfffc86ff,
    0x01fff605,0x037fffec,0xfffffb00,0x740009ff,0x005fffff,0xfa9bfff2,
    0x3fffe5ff,0x01ffff10,0x41ffffb8,0xd82ffff8,0xffffffff,0x001fffff,
    0x000dfff9,0xfd97fffc,0xffffffff,0x3fffffff,0x2fffec00,0x27fffc80,
    0xb80ffffd,0xffc86fff,0x1fff205f,0x3fffff20,0x3fe20000,0x000fffff,
    0x3ffffee0,0x3ffea002,0x45fff90f,0xff52fffd,0xfff100ff,0x7fffb89f,
    0xffffffb0,0x3fffffff,0x1bfff200,0x2ffff800,0xfffffffb,0xffffffff,
    0xfffb0007,0x3fff600b,0x417fff67,0xfc87fffa,0x3fee05ff,0x7fffdc06,
    0xfb80001f,0x0002ffff,0x3fffffe2,0x3ffe2006,0x41fffd1f,0xff94fffb,
    0x3ff600bf,0x27fff47f,0xffffffd8,0x1fffffff,0x0dfff900,0x97fffc00,
    0xfffffffd,0x1cefffff,0xd8266660,0xfb005fff,0x7ffecdff,0x0ffff304,
    0x5c0bfff9,0x3fe605ff,0x00003fff,0x001bfffa,0xffffffb0,0x7ff4007f,
    0x46fff8bf,0xffb6fff9,0x3fea007f,0xffff11ff,0x3bfff603,0xaaaaaaaa,
    0xfff9000a,0x7ffc000d,0x9ffffb2f,0x3fffffdb,0x45ffff00,0xd005fffd,
    0x7fecbfff,0xffff304f,0x40bfff90,0xff104ffa,0x00009fff,0x004fffe8,
    0x3ffffea0,0x9001ffff,0xfff7bfff,0xf1ffff09,0x22003fff,0xff74ffff,
    0x7ffec0df,0x7e400006,0x3e0006ff,0xfffb2fff,0xffffe98d,0x17fffc03,
    0x200bfffb,0x3f64ffff,0xfff303ff,0x0bfff90f,0xfe827fcc,0x00006fff,
    0x004fffe8,0x9fffff10,0x200dffff,0xffdffffa,0xbfffd82f,0x6c007fff,
    0xfffd7fff,0x37ffec07,0x3ff20000,0x3fe0006f,0xdfffb2ff,0x7fffff10,
    0xb17fffc0,0xf500bfff,0x7fec5fff,0xffff303f,0x40bfff70,0xffc83ff8,
    0x00000eff,0x004fffe8,0x29ffffb0,0x803ffffd,0xfffffff8,0xffffb80f,
    0x54005fff,0xfffbffff,0x3fff600f,0x7e400006,0x3e0006ff,0xfffb2fff,
    0x3fffea0d,0x5ffff01f,0x402fffec,0x7ec6fffe,0xfff303ff,0x0bfff70f,
    0x7fdc0998,0x00001fff,0x009fffd0,0x1dffff50,0x07ffffe2,0x3fffffe0,
    0xffff306f,0xf0007fff,0xdfffffff,0x06fffd80,0x7ffe4000,0x3ffe0006,
    0x0dfffb2f,0x077fffe4,0x17fff600,0x2ffffe98,0x981fffec,0xffb87fff,
    0x4cc2aaff,0x3fffe619,0x2000002f,0x4004fffe,0x42fffff8,0x806ffffb,
    0x4ffffffd,0x3fffffe0,0xffc8001f,0x403fffff,0x0006fffd,0x037ffe40,
    0x25ffff00,0x2206fffd,0x984ffffe,0x3ff60999,0xfeeeeeff,0xd85fffff,
    0xff303fff,0xffff50ff,0xffff8bff,0xdfffff91,0xdddddddd,0x74007ddd,
    0x6c004fff,0xfd05ffff,0xfb807fff,0x202fffff,0x07fffffd,0xfffff300,
    0xffd801ff,0x6400006f,0x20006fff,0xffb2ffff,0xfff980df,0x7ffec1ff,
    0x3fffff63,0xffffffff,0xfffd80ff,0x0ffff303,0x1bfffffe,0x3f23ffff,
    0xffffffff,0xffffffff,0x3fffa004,0x3ffea004,0xfff300ff,0x7fcc03ff,
    0x2a00ffff,0x005fffff,0x3fffffa0,0x6fffd805,0x7fe40000,0x3fe0006f,
    0xdfffb2ff,0xdffff900,0x363fffd8,0xffffffff,0x00cfffff,0x2607fffb,
    0xfd307fff,0xfff8dfff,0xfffff91f,0xffffffff,0x4009ffff,0x1004fffe,
    0x805fffff,0x406ffffc,0x405fffff,0x03fffff8,0x3ffff200,0xfffd802f,
    0x7e400006,0x3e0006ff,0xfffb2fff,0xfffd100d,0x1fffec7f,0xfffffffb,
    0x80199dff,0xf303fffd,0x1a880fff,0x323ffff0,0xffffffff,0xffffffff,
    0x3ffa004f,0xfff9004f,0x3ffa00bf,0x3ff603ff,0xffe803ff,0x260001ff,
    0x800fffff,0x0006fffd,0x037ffe40,0x25ffff00,0x3006fffd,0x361fffff,
    0x00003fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x26200000,0x00000099,0x66666640,0xcccccccc,
    0x5554c02c,0xccaa8001,0x0aca982a,0x665d4c00,0x5d44002b,0xa98002ac,
    0x510001ac,0x98801379,0x33310099,0x32880003,0x53000001,0x26015799,
    0x02ae6199,0x13ffea00,0x55e54c00,0x028836e0,0xff900e00,0x7fe400bf,
    0xabffffff,0x4efffffe,0x7fffecc0,0x4402ffff,0xfffffffd,0xffffa803,
    0xd9002fff,0x19ffffff,0x40ffffa0,0x0007fffa,0x37eedf91,0xfea80001,
    0x1dffffff,0xffcbfffc,0x7d4002ff,0x7dc004ff,0xbdffffff,0x000a23ff,
    0x7ffe4038,0xffffb005,0xffffffff,0x9fffffff,0x3ffffe20,0x03ffffff,
    0xfffffff5,0x7e409fff,0xffffffff,0x7fffec05,0x81efffff,0xf503fffe,
    0xd9800fff,0xfff76fff,0x3ee0005d,0xffffffff,0x3fffe1ff,0x00fffffb,
    0x027ffd40,0xfffffd88,0x45ffffff,0x00e00028,0x700bfff9,0xfdbfffff,
    0xbfffffff,0xb09ffffd,0xffbdffff,0xff10ffff,0xfffdffff,0xfff507ff,
    0xfffffdff,0x3ffff607,0xffffffff,0x81ffff40,0x5007fffa,0x2dfffffd,
    0xbffffffb,0xffff3000,0xffffb99d,0x7fffffcd,0xa8005fff,0xfd004fff,
    0xfffbffff,0x02885fff,0xff900e00,0xffff00bf,0xfffff989,0x17fffcc6,
    0xa83ffff3,0x7e41ffff,0xfb10bfff,0xfffd0dff,0x3ffee23b,0x7fffe40f,
    0xffffb32e,0x03fffe8b,0x440ffff5,0xfffffffc,0xfffff75f,0xb8039fff,
    0xffa83fff,0xfffff0ef,0x0005b57d,0x7009fff5,0xfa87ffff,0x01446fff,
    0x00000700,0x3fa09731,0xffa80fff,0x81dd4c5f,0x3e22ffff,0xff982fff,
    0x3ffee0de,0x3fffd80f,0xa827fffc,0x3fa2ffff,0xfff503ff,0xffffb30f,
    0x8839ffff,0xffffffeb,0xfff902df,0xff03501b,0x98003fff,0xfffb9999,
    0x1099999c,0xfb07ffff,0x1445ffff,0x00007000,0xffea8800,0x1fffe06f,
    0xffffa880,0x81fffea2,0xbfff9009,0x997ffee0,0x3a00ffff,0x3ffa4fff,
    0xffff503f,0x7fffff54,0x9800aeff,0xfffffffd,0x3ffea0be,0x7c01bdff,
    0x4c005fff,0xffffffff,0x3fffffff,0xf90ffff3,0x44bfffdf,0x7cce0002,
    0xffffffff,0x02ffffff,0xffffd951,0x99999dff,0x201ffff9,0xffffeca8,
    0x3ffee2ff,0xfffb0006,0xfb99999d,0x7ffdcdff,0x2fffe406,0x2a07fffd,
    0xfff77fff,0x0019ffff,0x3fffae20,0x3fe26fff,0xdfffffff,0x04ffff82,
    0x7ffffcc0,0xffffffff,0xbfff73ff,0xffbaffb8,0x8000a26f,0xffffff33,
    0xffffffff,0xfffd985f,0xffffffff,0xffffffff,0x7ff541ff,0xffffffff,
    0x017fff22,0x7fffffc0,0xffffffff,0x017fff67,0x7f4ffff7,0xfff503ff,
    0x37fffeef,0x64c00002,0x7cc6ffff,0xffffffff,0x3fffe1ef,0x7ffcc003,
    0xffffffff,0xff93ffff,0x99ffd49f,0x00a27fff,0xffff3380,0xffffffff,
    0x7fd45fff,0xfdbdffff,0xffffffff,0x2e2fffff,0xacefffff,0x3f22fffe,
    0xff0006ff,0xffffffff,0x321fffff,0x7dc05fff,0x3fffa6ff,0x2ffff503,
    0x0cfffffb,0xfd510000,0xf910dfff,0xffffffff,0x0bfffe1f,0xddddd300,
    0xddddfffd,0x3ffee5dd,0x7cc9ff35,0x000a27ff,0xfffff338,0xffffffff,
    0x3ffe25ff,0x7ffec1ef,0x9999999e,0xfff50999,0xfffe839f,0x81bffee2,
    0x33fffa00,0x99999999,0x1bffea19,0x74bfff90,0xff703fff,0x3fffeeff,
    0x0002dfff,0xffffff93,0xfdb980bf,0xff4fffff,0x200005ff,0x5404fffa,
    0x5ff8efff,0x5137ffd4,0x0001c000,0x41bffea0,0x100ffffd,0x417fff20,
    0x3ea2fffe,0xdfd00fff,0x37ffec5b,0x3ffe2008,0x3fffa01f,0x413fff63,
    0x3267fffc,0xffffffff,0x7f5c401c,0x2dffffff,0x7ff54060,0x05ffff6f,
    0x3ffea000,0x7fffcc04,0x7fec0efe,0x8000a24f,0x04ccc403,0x217fff20,
    0x83fffff8,0x3fa4dffb,0xfff984ff,0x3fffe23f,0x1ffffa84,0x207fffea,
    0x7f43defd,0xffc80dff,0x3fff21ff,0x7ffff885,0xfffffb88,0x64c2efff,
    0xffffffff,0xffed881c,0x2bfff703,0x0002ffff,0x009fff50,0x81fffffd,
    0x221ffff9,0x900e0002,0xfb80bfff,0x3f621fff,0x88bfffff,0x365ffffa,
    0x3a60ffff,0x7dc3ffff,0xfb9bffff,0xffe86fff,0xfff70bef,0xffffb87f,
    0xffffb9cf,0x7fffdc4f,0xffffd50b,0xfffea80f,0xff76ffff,0x17ffffff,
    0x2ffffd80,0xf9ffff4c,0x00002fff,0x3009fff5,0x225bffff,0x444ffffb,
    0x900e0002,0xf980bfff,0xffeeffff,0xffffffff,0x20ffffff,0xedfffffb,
    0x84ffffff,0xfffffffe,0xfa81ffff,0xffffffff,0xfff706ff,0xffffffff,
    0xfffff30d,0xfffdffff,0x3ff6600f,0xfff76fff,0x4c005dff,0xfeffffff,
    0xff0fffff,0x200005ff,0xd004fffa,0xffffffff,0x2881ffff,0xf900e000,
    0xff900bff,0x7fffffff,0xffffffd5,0xffb03fff,0xf9dfffff,0xffd30dff,
    0x5fffffff,0x7ffffd40,0x200effff,0xfffffffb,0xff700dff,0xf1bfffff,
    0xc8800fff,0xfff76fff,0x3e60003b,0xffffffff,0x3fffe1ff,0x99300002,
    0xfff70059,0xffffffff,0x0005101b,0x3fff201c,0xffff5005,0xffc819df,
    0x200cffff,0x14fffffc,0x2e01ffff,0x1dfffffe,0xffffd880,0xca800bff,
    0x02effffe,0x4efffeb8,0x8001fffe,0x019f76eb,0xfff91000,0xf819ffff,
    0x00002fff,0x59ff3000,0x5dfffffb,0x70001440,0x00999880,0x4004d4c0,
    0x4c001a98,0x9880000a,0x2620001a,0x2a200019,0x01510001,0x02300000,
    0xa9880000,0x20000009,0xfffffff9,0xffffffff,0x353116e3,0x8000a200,
    0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffff9800,0xffffffff,0x00003fff,0xaaaaac88,0xaaaaaaaa,0x0000003a,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfff98000,
    0xffffffff,0x0003ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfffffff3,0xffffffff,0x00000007,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x13330000,0x5101bb98,0x33310159,0x101aca88,
    0x26201333,0x33330099,0x99999988,0x20999999,0x44009998,0x26621999,
    0x33310099,0x00000013,0x8007fff4,0x00001801,0x5c400000,0x3bae001b,
    0x2aaa600e,0xaaaaaaaa,0x7ffc2aaa,0xffffff56,0x7ffffe41,0x44fffec5,
    0x0efffffd,0xf81fffe4,0xff883fff,0x3fffa0ff,0xffffffff,0x1fffee3f,
    0x44bfff90,0xe80fffff,0x5a80ffff,0x3a009700,0xfb800fff,0xf117e603,
    0x3ffe25ff,0x5fff1002,0xe88bffe2,0x401fffff,0x203ffff8,0xfffffffd,
    0x7fffffff,0x7fdf7ffc,0xd9ffffff,0x5fffffff,0x3fabfff6,0x0fffffff,
    0x261bffea,0xfa85ffff,0x7fff45ff,0xffffffff,0x3fffe23f,0x0bfffe02,
    0xc8bffff5,0xf982ffff,0xceeeb8df,0xe804ffb9,0x7dc00fff,0xfff983ff,
    0xb87ffdc5,0xfd800fff,0x917ff65f,0x0bff9bff,0x07ffffc8,0x3ffffff6,
    0xffffffff,0x7fffffc7,0xffffffdf,0xffffeeff,0xfffffb2f,0xfffffddf,
    0x40ffff87,0xc87ffffb,0x7ff43fff,0xffffffff,0x7ffec3ff,0x0ffff505,
    0x4cbffff2,0xf884ffff,0xffffffff,0x02ffffff,0x1007fff4,0x4c7fffff,
    0x741fffff,0x17ffa5ff,0x2e3fff70,0x2f6c1fff,0x3e201ffd,0xb02fffff,
    0xffffffff,0x8fffffff,0x743fffff,0x262fffff,0xffb3ffff,0x7fc41dff,
    0x7ffec6ff,0x7fffff42,0x207fffc1,0xc999aaaa,0x540effff,0xfd80ffff,
    0x3ffa04ff,0xefffe8ff,0xfffff500,0xffffffff,0x1fffd009,0xfffff980,
    0x2fffff9b,0xf52fffa8,0x3fe205ff,0x09fff34f,0x205ffba8,0x6ffffffb,
    0x99999950,0x99999999,0x85ffff89,0xc84ffffa,0xfffb4fff,0xdfff701f,
    0x224fffa8,0x23ffffff,0x2006fff9,0x00fffffa,0xf885fffd,0x3e600fff,
    0xffffffff,0x7fffdc01,0x5fffffef,0x01fffd00,0xffffff30,0x7405ffff,
    0xfffd0fff,0x21fffd01,0x7400fffe,0x3fe00fff,0x02fffcef,0x7ffc0000,
    0xffff983f,0xb5fffb82,0x3ea0bfff,0x7ffc47ff,0x3ffffea7,0x0fffee5f,
    0x7ffffcc0,0x17ffee01,0x700bfff7,0x7fffffff,0x3bfff900,0xb1ffff22,
    0xffffffff,0x0fffffff,0xfffffff3,0xfff9805f,0xc8bfff35,0xfff93fff,
    0xffee8807,0xbfffb80e,0x0005fff9,0x17fffc00,0x40ffffcc,0xffb6fffb,
    0x3ffe609f,0x91fffd87,0x4fff9fff,0x8801fffe,0x402fffff,0x3a0ffff8,
    0xfb002fff,0x200dffff,0xfe80ffff,0x3fff61ff,0xffffffff,0xff307fff,
    0x2005ffff,0xffb3fffd,0x5bffe67f,0x4006fff9,0xffe83ffb,0x83fffd0f,
    0xccccccca,0x4ccccccc,0x4c0ffffc,0xfb80ffff,0x9fffb6ff,0x21fffe60,
    0xffd3fffb,0xf13fff3b,0xfd100dff,0x36007fff,0xfff33fff,0x7ffc400f,
    0xff8801ff,0x5fff505f,0x7fffffec,0xffffffff,0xfffff307,0x3ff6007f,
    0x27fffb3f,0xf88ffff8,0xcc880fff,0xf517fe63,0x7ffd4bff,0x7ffffec5,
    0xffffffff,0x0ffffc7f,0xb83fffcc,0xfffb6fff,0x1fffe607,0x3e37ffe2,
    0x57fff3ff,0xfd009fff,0x54009fff,0xfff96fff,0x7ffe4009,0xfff006ff,
    0x8bffee0d,0xfffffffd,0x7fffffff,0xffffff98,0x7fcc03ff,0x8bfff35f,
    0xff54fffa,0x2bffa09f,0x7f41ffd9,0x7fffc2ff,0x3fffff60,0xffffffff,
    0x0ffffc7f,0xb83fffcc,0xfffb6fff,0x1fffe607,0x7fdffff4,0xfbbffb0f,
    0xffd803ff,0xfe8005ff,0x0ffff9ff,0xfffff300,0xffd007ff,0x3fffd03f,
    0x01fffd00,0xffffff30,0x7407ffff,0xfffd0fff,0x23fffb01,0xfa81fffd,
    0x545fffff,0xffc86fff,0x3ffff64f,0xffffffff,0x7fffc7ff,0x07fff981,
    0x3f6dfff7,0xfff303ff,0x3fffee0f,0x3ffee6ff,0x7e407fff,0x70005fff,
    0xbfffbfff,0x3fffa200,0x401fffff,0xa8bffffb,0xd006fffe,0xf9801fff,
    0xff9affff,0xffa83fff,0x05fff52f,0x7c57ffe2,0xfd7305ff,0x7fffb039,
    0x21ffff30,0xaaaaaaa9,0x2aaaaaaa,0x4c0ffffc,0xff707fff,0x0ffff6df,
    0x883fffcc,0x24ffffff,0x4ffffff9,0x3bfffee0,0xfff10000,0x2005ffff,
    0xffaffffc,0x7fe406ff,0xffffffff,0xffe800ef,0x3ffe200f,0x3ffe62ff,
    0x2fff42ff,0xfa80bffd,0x3fff51ff,0x55554000,0x01555500,0xffff0000,
    0x0ffff303,0x7edbffee,0xfff303ff,0x7ffff40f,0x7ffffc2f,0xffff301f,
    0xddddddbf,0xfffd80dd,0xff5007ff,0x3ffee7ff,0xffff704f,0xffffffff,
    0xffe801df,0x7ffd400f,0x44fff982,0xff70fffb,0xdff9001d,0x00037fe4,
    0x00000000,0x981ffff8,0xff707fff,0x0ffff6df,0x903fffcc,0xd81fffff,
    0x2e07ffff,0xffffffff,0x407fffff,0x04fffffa,0x46ffff88,0xe82ffffd,
    0xffffffff,0x02ffffff,0x4007fff4,0x13e602fa,0x3e23fff1,0xfd1001ff,
    0x0bffa25f,0x00000000,0x3fffe000,0x07fff981,0x3f6dfff7,0xfff303ff,
    0x7fffcc0f,0x4ffffa86,0x3ffffee0,0xffffffff,0xffffe807,0xffffd801,
    0x7ffffc41,0xb9a7f440,0x05ff32cc,0x001ddd90,0x00002002,0x00000000,
    0x00000000,0x303ffff0,0x3ee0ffff,0x7fffb6ff,0x01fffe60,0xf109ffff,
    0x7dc05fff,0xffffffff,0xb807ffff,0xfb806fff,0xff704fff,0x00710bff,
    0x000000a6,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x4c088800,0x09999999,0xb1777744,0xcc887ddd,
    0xcccccccc,0x2ccccccc,0x774c9ddb,0x7777711e,0x77777777,0x00037777,
    0x5554c000,0xaaaaaaaa,0xdb982aaa,0x3b6201bc,0x01ccca83,0x402f372a,
    0xd5009998,0x9bb7003d,0x15555101,0x4c2aaaa2,0x00002aaa,0x82b77260,
    0x3fe3fffd,0x42ffffff,0x7c44fffc,0x3fe60fff,0xffffffff,0x3fffffff,
    0x7fccbffd,0xfffff32f,0xffffffff,0x0007ffff,0x7ffec000,0xffffffff,
    0x7ff47fff,0xfb04ffff,0x7fffc49f,0x7fec44ff,0xfe81efff,0x1ff503ff,
    0x7ffff440,0x7fffcc2f,0x23ffff52,0x220ffffc,0x00bdefdc,0xffddb06e,
    0x8ffff61f,0xffffffff,0x413ffe22,0x3e63fff9,0xffffffff,0xffffffff,
    0x7ccbffd3,0xffff32ff,0xffffffff,0x007fffff,0x7fec0000,0xffffffff,
    0x3ee7ffff,0x0fffecef,0xc93fffaa,0x0fffcdff,0x3ffffff2,0x7fff40ff,
    0x20ff9863,0x7f7fff41,0x3ffe61ff,0x3ffff52f,0x4c3ffff2,0xfffffffe,
    0x807f662d,0xfffb4ffa,0x7fffffc7,0x17fee2ff,0x998dff30,0x99999999,
    0x09999999,0x774c9ddb,0x3333312e,0x33333333,0x00013333,0x7ffec000,
    0xffffffff,0x372a7fff,0x7e47ffa0,0xff14ffff,0xf8a7fd4d,0x9fff33ff,
    0x3e3fffe8,0xfd77f9be,0xff327fd4,0x97fffccb,0xf91ffffa,0x3ffe1fff,
    0xffffffff,0x201fffff,0xfffb5ff9,0x7fffffc7,0x013722ff,0x0000eed4,
    0x00000000,0x00000000,0x99999995,0xffff9999,0x3fff2a20,0x9ff79f92,
    0x4ffee098,0x7fe47ffa,0xa97fff45,0xffffffff,0x81ff91ff,0x3ffe67fd,
    0x3ffff52f,0xff9fffee,0xffffffff,0x31ffffff,0x1fffb779,0x00026666,
    0x00000000,0x00000000,0x00000000,0x8ffff000,0xffffffeb,0x13fea132,
    0xf70fffa8,0x07ffa8bf,0x3f6e23fd,0x0cdfffff,0x7fc81ff9,0x447fffe2,
    0xff50ffff,0x88577cdf,0xffffffeb,0x3fffea3f,0x000002ef,0x00000000,
    0x00000000,0x00000000,0xd9fffe00,0xffebdfff,0x704ffa82,0x7fdc5fff,
    0x4c3ffd45,0xfff880ff,0x23ffa80e,0x7ff45ff8,0xf13fffc7,0x26024bff,
    0x441cefec,0x00009aa9,0x00000000,0x00000000,0x00000000,0xfff80000,
    0x7c1fff37,0x4ffa82ff,0x541fffd8,0x2ffe47ff,0x3a213fa6,0xfd05ffef,
    0x85fffbdf,0x7fec6ffd,0x0027ffc5,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffff0000,0xffa9bfea,0x44ffa82f,0xf880effd,0x7fff53ff,
    0x7440eff8,0x84ffa9ff,0x4ffffff9,0x6543cca8,0x00e65c2c,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfff00000,0x7f77ffcf,0xffa82fff,
    0x337fff64,0x3fff22cc,0x3c86ffff,0x7f49fd10,0xdeec880d,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfff00000,0x7ffffdcf,
    0xffa83ffc,0xffffff14,0xfffc89ff,0x90001eff,0x000014c1,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x41999800,0x5550aca8,
    0x3aa7dd30,0x3eeeeeee,0x002bcb98,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_bold_35_latin1_x[224]={ 0,2,1,0,1,1,1,1,1,1,0,1,1,0,
2,-1,1,2,0,1,0,1,1,1,1,0,3,2,1,1,1,1,0,0,2,1,2,2,2,1,2,2,0,2,
2,2,2,1,2,1,2,1,0,2,-1,0,0,-1,0,2,-1,0,1,-1,0,1,2,1,1,0,0,1,2,2,
-2,2,2,1,2,1,2,1,2,0,0,2,0,0,0,0,0,0,2,0,1,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,2,1,0,0,0,
2,0,0,-1,0,1,1,0,-1,-1,1,0,0,0,2,1,-1,2,0,1,0,1,1,1,0,1,0,0,0,0,
0,0,-2,1,2,2,2,2,-1,1,-1,-1,-1,2,1,1,1,1,1,1,0,2,2,2,2,-1,2,2,1,1,
1,1,1,1,1,1,0,0,0,0,-1,1,-1,-1,1,2,1,1,1,1,1,0,1,2,2,2,2,0,2,0,
 };
static signed short stb__arial_bold_35_latin1_y[224]={ 28,5,5,5,3,5,5,5,5,5,5,9,23,17,
23,5,5,5,5,5,5,5,5,5,5,5,11,11,8,11,8,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,31,5,11,5,11,5,11,5,11,5,5,
5,5,5,11,11,11,11,11,11,11,6,11,11,11,11,11,11,5,5,5,13,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,28,11,5,5,8,5,
5,5,5,5,5,12,11,17,5,1,5,6,5,5,5,11,5,14,28,5,5,12,5,5,5,11,-1,-1,-1,0,
0,1,5,5,-1,-1,-1,0,-1,-1,-1,0,5,0,-1,-1,-1,0,0,9,4,-1,-1,-1,0,-1,5,5,5,5,
5,5,5,4,11,11,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,8,10,5,5,5,5,5,5,5,
 };
static unsigned short stb__arial_bold_35_latin1_w[224]={ 0,6,13,18,16,26,22,6,9,8,12,16,6,10,
5,10,15,11,16,16,17,16,16,16,16,16,5,6,16,16,16,17,31,23,20,21,20,18,16,22,19,5,15,21,
17,22,19,23,18,23,21,19,19,19,22,30,21,22,19,8,10,9,16,19,8,16,16,16,17,17,12,17,16,5,
9,16,5,25,16,18,16,17,11,16,11,15,18,25,18,17,16,12,5,12,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,6,16,17,17,18,
5,17,11,25,11,15,16,10,25,19,11,17,10,10,8,16,19,5,9,7,12,15,25,25,26,17,23,23,23,23,
23,23,32,21,18,18,18,18,8,8,11,11,23,19,23,23,23,23,23,16,24,19,19,19,19,22,18,17,16,16,
16,16,16,16,26,16,17,17,17,17,8,8,11,11,17,16,18,18,18,18,18,17,18,15,15,15,15,17,16,17,
 };
static unsigned short stb__arial_bold_35_latin1_h[224]={ 0,23,9,24,29,24,24,9,30,30,11,16,11,6,
5,24,24,23,23,24,23,24,24,23,24,24,17,23,18,12,18,23,30,23,23,24,23,23,23,24,23,23,24,23,
23,23,23,24,23,26,23,24,23,24,23,23,23,23,23,30,24,30,13,4,5,18,24,18,24,18,23,24,23,23,
30,23,23,17,17,18,24,24,17,18,23,18,17,17,17,24,17,30,30,30,8,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,0,24,30,24,17,23,
30,30,4,24,12,15,12,6,24,4,10,22,12,13,5,24,30,6,7,12,12,15,24,24,24,24,29,29,29,28,
28,27,23,30,29,29,29,28,29,29,29,28,23,28,30,30,30,29,29,16,26,30,30,30,29,29,23,24,24,24,
24,24,24,25,18,24,24,24,24,24,23,23,23,23,24,23,24,24,24,24,24,18,20,24,24,24,24,30,30,30,
 };
static unsigned short stb__arial_bold_35_latin1_s[224]={ 255,51,94,177,92,1,28,108,54,84,69,
143,62,149,248,244,135,214,196,188,128,1,18,213,79,148,248,165,188,237,205,
72,144,124,170,205,1,146,177,19,230,250,183,148,191,209,232,113,105,25,226,
168,194,235,154,123,101,78,58,135,137,235,220,178,169,101,96,118,199,135,92,
1,42,36,245,7,1,1,27,153,151,217,239,222,39,172,87,44,106,35,70,
182,75,38,115,38,38,38,38,38,38,38,38,38,38,38,38,38,38,38,38,
38,38,38,38,38,38,38,38,38,38,38,38,38,38,38,38,38,255,249,21,
165,125,109,176,93,198,53,18,193,1,149,227,210,82,1,38,209,160,118,195,
143,133,30,49,177,218,192,165,147,1,219,127,172,215,1,59,105,170,151,25,
196,189,198,207,243,172,152,81,111,51,44,68,160,49,64,215,1,132,109,90,
74,92,109,126,143,160,239,74,196,213,231,1,19,42,63,51,24,37,22,99,
71,90,109,128,56,19,51,67,55,83,36,19,1, };
static unsigned short stb__arial_bold_35_latin1_t[224]={ 1,245,310,93,63,146,146,310,1,1,310,
292,310,309,263,121,146,245,196,146,196,171,171,196,171,171,245,196,269,292,269,
196,1,220,220,146,245,196,245,196,196,196,171,220,220,220,220,171,220,93,245,
146,245,171,245,245,245,245,245,1,171,1,292,309,309,269,171,269,171,269,220,
196,220,221,1,221,221,292,292,269,146,171,269,269,245,269,292,292,292,171,292,
1,32,32,310,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,
269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,1,93,32,
171,292,196,1,1,309,171,310,292,310,309,146,309,310,269,310,292,309,146,1,
309,310,310,310,292,121,121,121,121,63,32,32,63,63,93,220,32,32,32,63,
63,32,32,32,32,196,63,32,1,32,63,63,292,93,1,1,32,63,63,196,
93,93,93,93,93,93,63,269,93,93,93,121,121,196,196,196,221,121,245,146,
121,121,121,121,269,269,146,146,121,146,1,1,1, };
static unsigned short stb__arial_bold_35_latin1_a[224]={ 139,167,238,279,279,446,362,119,
167,167,195,293,139,167,139,139,279,279,279,279,279,279,279,279,
279,279,167,167,293,293,293,306,489,362,362,362,362,334,306,390,
362,139,279,362,306,418,362,390,334,390,362,334,306,362,334,473,
334,334,306,167,139,167,293,279,167,279,306,279,306,279,167,306,
306,139,139,279,139,446,306,306,306,306,195,279,167,306,279,390,
279,279,251,195,140,195,293,376,376,376,376,376,376,376,376,376,
376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,
376,376,376,376,376,376,376,376,139,167,279,279,279,279,140,279,
167,369,186,279,293,167,369,277,200,275,167,167,167,289,279,139,
167,167,183,279,418,418,418,306,362,362,362,362,362,362,501,362,
334,334,334,334,139,139,139,139,362,362,390,390,390,390,390,293,
390,362,362,362,362,334,334,306,279,279,279,279,279,279,446,279,
279,279,279,279,139,139,139,139,306,306,306,306,306,306,306,275,
306,306,306,306,306,279,306,279, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_35_latin1_BITMAP_HEIGHT or STB_FONT_arial_bold_35_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_35_latin1(stb_fontchar font[STB_FONT_arial_bold_35_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_35_latin1_BITMAP_HEIGHT][STB_FONT_arial_bold_35_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_35_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_35_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_35_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_35_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_35_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_35_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_35_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_35_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_35_latin1_s[i] + stb__arial_bold_35_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_35_latin1_t[i] + stb__arial_bold_35_latin1_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_35_latin1_x[i];
            font[i].y0 = stb__arial_bold_35_latin1_y[i];
            font[i].x1 = stb__arial_bold_35_latin1_x[i] + stb__arial_bold_35_latin1_w[i];
            font[i].y1 = stb__arial_bold_35_latin1_y[i] + stb__arial_bold_35_latin1_h[i];
            font[i].advance_int = (stb__arial_bold_35_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_35_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_35_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_35_latin1_s[i] + stb__arial_bold_35_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_35_latin1_t[i] + stb__arial_bold_35_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_35_latin1_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_35_latin1_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_35_latin1_x[i] + stb__arial_bold_35_latin1_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_35_latin1_y[i] + stb__arial_bold_35_latin1_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_35_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_35_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_35_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_35_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_35_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_35_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_35_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_35_latin1_LINE_SPACING
#endif

