// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_36_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_36_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_36_latin1_BITMAP_WIDTH         256
#define STB_FONT_arial_bold_36_latin1_BITMAP_HEIGHT        340
#define STB_FONT_arial_bold_36_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_bold_36_latin1_FIRST_CHAR            32
#define STB_FONT_arial_bold_36_latin1_NUM_CHARS            224

#define STB_FONT_arial_bold_36_latin1_LINE_SPACING          23

static unsigned int stb__arial_bold_36_latin1_pixels[]={
    0x260aaa88,0x00000aaa,0x2aaa2000,0x0155501a,0x00000000,0x00000000,
    0x2aa20000,0x2a600009,0x000001aa,0x00000000,0x15551000,0x7fd40000,
    0x03fff22f,0x0013fffa,0x2fffec00,0x0007ff70,0x003ffff6,0x3ffff700,
    0x7ffecc00,0xffffffff,0xfffffb5f,0xfda801ff,0x0cffffff,0xffffd500,
    0x3fea07ff,0x803fffff,0x000ffffb,0xffff5000,0x3fff3005,0x013fff60,
    0xfc8bffea,0xfffe80ff,0xf8800004,0x3e200eff,0x7dc000ff,0x0005ffff,
    0x0017fff4,0xfffffffb,0xbfffffff,0x3ffffff6,0x3fff200f,0xffffffff,
    0x7fffdc02,0xa85fffff,0x3fffffff,0x09fff900,0x3ffa0000,0xfff3002f,
    0x13fff603,0xc8bffea0,0xffe80fff,0xc800004f,0xfd800eff,0x3fe2004f,
    0x003fffcf,0x005fff50,0x7fffffe4,0xffffffff,0xfffffb5f,0xffd301ff,
    0xffffffff,0x3e607fff,0xffffffff,0x7ffd44ff,0x2003ffff,0x0000fffd,
    0x01fffcc0,0x203fff30,0x8804fffd,0x2aa60aaa,0x4fffe80a,0x7fc40000,
    0xfff5000f,0x57ffa001,0x8001fffb,0x2a003ffe,0xffffffff,0xffffffff,
    0x55bfffb5,0x3ffffa05,0xffffdcef,0xffb81fff,0xfff912ff,0x7555441f,
    0x6c003fff,0x400003ff,0x4c003ffd,0xffb01fff,0x0000009f,0x0009fffd,
    0x00099880,0x4c027ffc,0x332e0ccc,0x1e644003,0x3ffff200,0x3f67ffff,
    0x1fffec7f,0x3bfffee0,0xffffea81,0x46fffd86,0x201ffff8,0x8003fffd,
    0x200003cc,0x98003cc8,0x00001fff,0x3ffa0000,0x0000004f,0x03fff200,
    0x00000000,0x3ffffa00,0x3f67ffff,0x1fffec7f,0x0dffff10,0x1fffff98,
    0x20ffffe4,0xfffb0018,0x4d4c4007,0x4c400000,0x3e60009a,0x5c0001ff,
    0x74c05eee,0xfffd1eee,0x33bfb669,0x0bddd701,0x41eeee98,0x7ec4fffa,
    0xfff007ff,0x1ffff6bf,0xf2ffffc0,0xffffffff,0x363ffecf,0x3f203fff,
    0xfc802fff,0x7fcc1bdf,0xb0002fff,0xdb807fff,0xeffffffe,0xfdb70002,
    0x05dfffff,0x901fff98,0x3ea07ddd,0x3f202fff,0x3fffa7ff,0xffffffac,
    0xffffa83f,0x1ffff202,0x3f637ffc,0xfff007ff,0x1ffff6bf,0xd2ffffc0,
    0xffffffff,0x363ffecf,0x3fa03fff,0x031006ff,0x9fffff90,0xfffd8001,
    0xffffb103,0xbfffffff,0x3ff62001,0xffffffff,0xfff300df,0x13fff603,
    0x204ffff8,0x3fa4fffe,0xffffffff,0xff84ffff,0x3ffa04ff,0x8fffd04f,
    0xf007fffd,0x3ff6bfff,0xffff007f,0x7ffffecb,0x3ff67fff,0x01fffec7,
    0x0009ffff,0xfffffb80,0x3f6002ff,0xfffa83ff,0xffffffff,0x5402ffff,
    0xffffffff,0x2fffffff,0xb01fff98,0x7e409fff,0xfff307ff,0x7ffff43f,
    0xfffcacff,0x7ffe41ff,0x3ffff307,0xd87fff60,0xff007fff,0x3fff6bff,
    0xbffff007,0x7fffffcc,0x1fff67ff,0x2207fffb,0x0003ffff,0x3ffffee0,
    0x800dffff,0x7c43fffd,0xcdffffff,0xffffffed,0xfffff101,0xffdb9bff,
    0xf983ffff,0xfffb01ff,0x7fffcc09,0x46fffb82,0x40dffffe,0x4c5ffff9,
    0xfb82ffff,0x3ff206ff,0x1ffff62f,0xdaffffc0,0xff007fff,0xfffd8bff,
    0x3f67ffff,0x1fffec7f,0x02ffff98,0xdfff5000,0xdffffff5,0x3fffd803,
    0x17ffffec,0x5ffffe98,0x5fffffb0,0x3ffffa60,0x80fffcc5,0x7404fffd,
    0xffe84fff,0x7ffff43f,0x0ffff900,0xfd09fffd,0x7fe407ff,0x1ffff64f,
    0xdaffffc0,0xff007fff,0xfff90bff,0x7fecffff,0x81fffec7,0x002ffffa,
    0x23fff900,0xefffffd8,0x8ffff600,0x00effffa,0x17ffff44,0x03bfffea,
    0x5ffffd10,0xd80fffcc,0x7dc04fff,0x7ffcc7ff,0x2ffff40f,0x83ffff30,
    0x7cc7fffb,0x3ee00fff,0x3fff65ff,0xbffff007,0x401ffff6,0x7305ffff,
    0x7ecffffb,0x1fffec7f,0x03ffffa8,0x0fffd000,0x0dfffff7,0xfb1fffec,
    0x26005fff,0x7ec7ffff,0xf3002fff,0xb000ffff,0xf8809fff,0x3fee2fff,
    0x4fffe85f,0x0bfffe20,0x5c5ffff1,0x7d405fff,0x3fff66ff,0xbffff007,
    0x401ffff6,0xe805ffff,0x1fff67ff,0x2607fffb,0x0003ffff,0x305ffff0,
    0x205ffffd,0xff13fffd,0xfd800dff,0xfff10fff,0xffd800df,0x7ec000ff,
    0xffd804ff,0x0bfffa4f,0xf013fffa,0xffb07fff,0x17fff49f,0xd9fffe60,
    0xff007fff,0x3fff6bff,0xbffff007,0x6cfffd00,0x7ffec7ff,0x13fffe03,
    0x3ff20280,0xffe881ff,0x7fffb04f,0x013fffea,0x23ffff50,0x004ffffa,
    0x00ffffd4,0x013fff60,0x7cdfffea,0xfffd07ff,0x7fffc40b,0x37fffa82,
    0xf300ffff,0x7ffecdff,0xbffff007,0x401ffff6,0xe805ffff,0x1fff67ff,
    0x7407fffb,0xf3006fff,0x7fd415bf,0xff982fff,0x7fffb05f,0x00ffffea,
    0x27ffff30,0x003ffffa,0x01ffffcc,0x013fff60,0x7dd7fffc,0xfffd04ff,
    0x7fffcc0d,0x75ffff01,0xf3009fff,0x7ffecbff,0xbffff007,0x401ffff6,
    0xe805ffff,0x1fff67ff,0x6c07fffb,0xc802ffff,0x7f42ffff,0x260dffff,
    0xffb03fff,0x3fffee7f,0x7ffc4002,0x5ffff74f,0xffff8800,0x7ffec004,
    0x9fff9004,0x3a03fffd,0xf700ffff,0x3f201fff,0x1fffecff,0x24fffa80,
    0xf007fffd,0x3ff6bfff,0xffff007f,0x4fffd00b,0x7fec7ffd,0x3ffe203f,
    0x3fe600ef,0xffe887ff,0xffb2ffff,0x3fff603f,0x03ffff93,0x5ffff880,
    0x003ffff9,0x15ffff88,0x3f601999,0xff1004ff,0x40dfffff,0x885ffffe,
    0x2206ffff,0x6fffffff,0x47fff700,0xf007fffd,0x3ff6bfff,0xffff007f,
    0x4fffd00b,0x7fec7ffd,0x7ffe403f,0x7fdc41ef,0xfb103fff,0xffdfffff,
    0x7ffec09f,0x05ffff73,0x4ffff880,0x005ffff7,0x34ffff88,0x3f603fff,
    0x3fa004ff,0x204fffff,0xadfffffe,0x1fffffc9,0x7fffff40,0xfff9004f,
    0x03fffe45,0xf94ffff8,0x3fe00fff,0xffe804ff,0xfb1fff67,0xffd007ff,
    0xffbbdfff,0x801dffff,0xfffffffb,0x7ffec05f,0x07ffff33,0x3ffff980,
    0x007ffff3,0x33ffff98,0x3f603fff,0x3ee004ff,0x201fffff,0xfffffffe,
    0x05ffffff,0xffffffb8,0x1fffb001,0x803fffe4,0xff94ffff,0x3ffe00ff,
    0x7ffe804f,0xffb1fff6,0xffd3007f,0xffffffff,0x26001fff,0x0ffffffe,
    0x89fffec0,0x4004ffff,0xf12ffffa,0xa8009fff,0xff32ffff,0x3fff603f,
    0x3ffe2004,0x7ff406ff,0xfffffccf,0xf8800dff,0x2006ffff,0x7fe47fff,
    0xffff007f,0x01ffff29,0x4027fffc,0x3ff67ffe,0x01fffec7,0xfffffd88,
    0x01efffff,0xfffffb80,0x1fffec06,0x800fffff,0x3e0ffffe,0x74007fff,
    0xff30ffff,0x3fff603f,0x7ffec004,0x7fff403f,0x7fffff74,0xffffd800,
    0x9fff3003,0x01ffffb8,0xb9ffffc4,0x4401ffff,0xe803ffff,0x1fff67ff,
    0x8007fffb,0xffffffda,0x74c0002e,0x3602ffff,0x3ffa3fff,0xff5003ff,
    0xfffe8fff,0xfff5003f,0x0fffccff,0x004fffd8,0x007fffe4,0x5113fffa,
    0x3ff20001,0xff7000ff,0xffffa83f,0x7fffec06,0x0dffff52,0x02ffffd8,
    0x3f67ffe8,0x1fffec7f,0xbffda800,0x054c4000,0x813fffe2,0x3e63fffd,
    0x4401ffff,0x4c2ffffe,0x401fffff,0x22ffffe8,0xfd01fff9,0x7c4009ff,
    0xfe805fff,0x200004ff,0x005ffff8,0x3e21bff6,0x440cffff,0x10fffffb,
    0x819fffff,0x0fffffb8,0x367ffe80,0x7ffec7ff,0xffff0003,0xff1001ff,
    0xfff909ff,0x1fffec0b,0x0ffffff2,0x2fffffd4,0x3fffffc8,0xbfffff50,
    0xd01fff98,0x26009fff,0x802ffffd,0x0004fffe,0x5ffffb30,0x0fffe200,
    0x7fffffdc,0xfffffece,0x7fffdc4f,0xfffeceff,0xfd004fff,0x23ffecff,
    0x0003fffd,0xb004ffb8,0x7c43ffff,0x3f604fff,0x7ffc43ff,0xfdceffff,
    0x01ffffff,0xfffffff1,0xfffffb9d,0xfff983ff,0x3fff6a61,0x3fbb203f,
    0xd006ffff,0x40009fff,0xfffffeec,0x1ffee006,0xffffffd0,0xffffffff,
    0xfffffd01,0xffffffff,0x3ffa001f,0xfb1fff67,0x01ffffff,0x00bff300,
    0x3bffffea,0x22fffffd,0xfffffffa,0xffffe983,0xffffffff,0x7f4c02ff,
    0xffffffff,0x982fffff,0x3ffa1fff,0x2e01ffff,0x1fffffff,0x09fffd00,
    0x7fffdc00,0x3a001fff,0x7ec402ff,0xffffffff,0xfb100dff,0xffffffff,
    0x74001bff,0x1fff67ff,0xfffffffb,0xcaaaa801,0x2e001fff,0xffffffff,
    0x7ffd44ff,0x3203ffff,0xffffffff,0x2000dfff,0xfffffffc,0x300dffff,
    0x3fe23fff,0x5c05ffff,0x02ffffff,0x013fffa0,0xfffffb80,0x3fea002f,
    0x3ffaa006,0x03efffff,0xfffffd50,0xd0007dff,0x3ffecfff,0x3ffffff6,
    0x7ffe400f,0xb8003fff,0xffffffff,0xfffffa83,0x76cc03ff,0x2defffff,
    0xffdb3000,0x805bdfff,0xff31fff9,0x9801ffff,0x000bcddc,0x000d5554,
    0x179bb930,0x01eec800,0x09aa9880,0x2aa62000,0x55400009,0x30aaa62a,
    0x05555555,0x15799530,0xddca8000,0x555100bc,0x80015555,0x000009a9,
    0x20009a98,0xb711eee8,0x0000157b,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2aa60000,
    0x22155511,0x000009aa,0x35553310,0x2a600001,0x0000001a,0x99833310,
    0x03300009,0x00000351,0x00000000,0x00000000,0x03eeec80,0x007fffe4,
    0x3fffee00,0x263fff35,0x000dffff,0xffffc980,0x0befffff,0x07ffa000,
    0x37fff440,0x8fffb000,0x4c006fff,0xd89beffe,0x3f20004f,0x00000fff,
    0x0bfffea0,0x7ff44000,0xff50006f,0x3fff63ff,0x3fffd804,0x3fff2000,
    0x3fff35ff,0x1bffffe6,0xfffea800,0xffffffff,0x4000dfff,0x36006ffa,
    0x003fffff,0xff8fffb0,0x7fec006f,0x2fffffff,0x7ffe4000,0x3a000004,
    0x00002fff,0x0ffffff6,0x8bfffa00,0xb004fffd,0x22000fff,0x35ffffff,
    0x3fe63fff,0x8003ffff,0xdefffffc,0xfffecbbc,0x3a001eff,0xff5003ff,
    0x003fff9f,0xff8fffb0,0x5ffc006f,0x06ffffdb,0x1fffb000,0xff300000,
    0x5400007f,0x1fffcfff,0x0bffea00,0x4009fffb,0xa8002ffe,0x31abffff,
    0x2ea23fff,0x2005fffe,0x0befffe8,0xffffc880,0x0fffa801,0xb3fff880,
    0x95000dff,0x03ccc899,0x32a0f220,0x7ec00001,0xd800003f,0x200003ff,
    0xffb3fff8,0x1fff400d,0x001f7764,0x70007991,0xff309fff,0xdfff303f,
    0x3fffa200,0xffd30002,0x5ffe801f,0xc8799500,0x000001cc,0x9a988000,
    0x99000000,0xc8800007,0x5400003c,0x0e6643cc,0x001e6440,0x64000000,
    0xff983fff,0x7fff881f,0x03dffb00,0x0dffd000,0x0017ffdc,0x0004d4c4,
    0x200ffffb,0x5c05ffff,0xffffffed,0x0000002e,0x00000000,0x00000000,
    0x7fec3cb8,0xffff007f,0x0ffff20b,0x7c07ffe6,0xffb807ff,0xefeb980f,
    0x14ccc88c,0x3fa03fff,0xdb7000ff,0x5dffffff,0x07fffd80,0x20bffff0,
    0xffffffd8,0x00dfffff,0xfffff300,0x7cc00001,0x0000ffff,0x3ffffe60,
    0x7ffec000,0x7ec6fe86,0xfff007ff,0x3fff20bf,0x01fff983,0xf880ffff,
    0xfffd82ff,0xfffaefff,0x2213fea6,0xd8805fff,0xffffffff,0xfb00dfff,
    0x3fe00fff,0xfffa85ff,0xffffffff,0x8002ffff,0x03fffffc,0x3fff2000,
    0x200003ff,0x03fffffc,0x437ffec0,0x7ffec6ff,0xbffff007,0x20bfff20,
    0xff01fff9,0x7fdc01ff,0x7fffec45,0xfffffffe,0x7dc3ffc4,0x7fd404ff,
    0xffffffff,0xd82fffff,0xff007fff,0xfff88bff,0xedcdffff,0x01ffffff,
    0x7fffffc0,0x3fe00006,0x0006ffff,0x3fffffe0,0x7ffec006,0x363ffc46,
    0xff007fff,0x3ff60bff,0x1fff981f,0x401fffd0,0x7ff40ffe,0xfff912df,
    0x1ffd85ff,0x101fffec,0xbfffffff,0xfffffdb9,0x7fffd83f,0x8bffff00,
    0x02fffffd,0x0bffffd3,0x7ffffd40,0xa80002ff,0x2fffffff,0xfffa8000,
    0x2002ffff,0x7c46fffd,0x3fff60ff,0xbffff007,0x203fffe0,0xfd01fff9,
    0x3fe605ff,0x837ffdc6,0x641fffff,0x7fffc2ff,0x3ffff602,0xfffd302f,
    0x7fffd8bf,0x4bffff00,0x00effffa,0x17ffff44,0xfffffd80,0xd80005ff,
    0x5fffffff,0xfffd8000,0x2005ffff,0x7cc6fffd,0x3fff61ff,0xbffff007,
    0x20ffff50,0xf701fff9,0x3ff20dff,0x80ffff43,0xfa87fffc,0x0ffffc2f,
    0x0effffa8,0x7ffff440,0x01ffff62,0xfb2ffffc,0x26005fff,0x8807ffff,
    0xfffeffff,0x3e20000f,0xffffefff,0x3fe20000,0x0ffffeff,0x8dfffb00,
    0x3f61fffa,0xfff007ff,0x7ffe54bf,0x3fff303f,0x3bfffe20,0xa83ff60b,
    0x3ea05fff,0x2ffc85ff,0x403fffe2,0x002ffffd,0x6cfffff3,0xff007fff,
    0x3ffe2bff,0x7fec006f,0x7fdc00ff,0x3ffff9ff,0x3ffee000,0x03ffff9f,
    0x3fffee00,0x003ffff9,0xfb8dfffb,0x3fff62ff,0xbffff007,0x077ffffc,
    0x201fff98,0x23fffffb,0x7ffec7fe,0x13ffee02,0xff983ffa,0xffff107f,
    0xfffd800d,0x0ffffb0f,0x557fffe0,0x4004ffff,0x401ffffa,0xffb4fffe,
    0x7f4000df,0xdfffb4ff,0x7fff4000,0x00dfffb4,0xf91bfff6,0x7ffec7ff,
    0xbffff007,0x2037fffc,0x5c01fff9,0x3fe3ffff,0x00ffff47,0xff05fffb,
    0x07fff98f,0x009ffff5,0xb1ffffa8,0x3e00ffff,0xfff55fff,0xff98007f,
    0x3fea03ff,0xffff51ff,0xfff50005,0x3fffea3f,0xfffa8002,0x5ffff51f,
    0x8dfffb00,0x3f64fffc,0xfff007ff,0x7ffffcbf,0x07ffe603,0x3ffffe98,
    0xffff1bfe,0x07fff401,0xff11bfea,0x3ffea0ff,0x7fcc003f,0xffffb3ff,
    0x57fffe00,0x002ffffb,0x027fffc4,0x7c4dfffb,0xd8005fff,0x3fe26fff,
    0xfd8005ff,0x3ffe26ff,0xfffd805f,0xb2fffec6,0x3e00ffff,0x3ff65fff,
    0xff302fff,0x7fff403f,0x89ffa1df,0x3e607fff,0x7ff447ff,0x707fff81,
    0x8005ffff,0xfb4ffff8,0x3fe00fff,0xffff95ff,0xfff88003,0xffff105f,
    0x0ffffd87,0x3fffe200,0x07fffec3,0x7ffff100,0x00ffffd8,0x3a37ffec,
    0x3ff65fff,0xffff007f,0x0dfffb0b,0x5c07ffe6,0xfd81ffff,0x80ffffc7,
    0x7ec5fffd,0x1fffd05f,0x03ffff90,0x5ffff880,0x200ffffb,0xff75ffff,
    0xf88005ff,0xff704fff,0xfff981ff,0x3fee003f,0x7ffcc0ff,0x3fee003f,
    0x7ffcc0ff,0x7ffec03f,0xb37fffc6,0x3e00ffff,0xff885fff,0xfff980ff,
    0x07fff901,0xffd87ff2,0xffff984f,0x407fff24,0xfb81fffd,0x44002fff,
    0xff94ffff,0x3ffe00ff,0x7ffff34f,0xffff9800,0x0bfffd03,0x801bfffe,
    0xff05fffe,0x7f400dff,0xffff05ff,0x6fffd80d,0xf937fffc,0x3fe00fff,
    0xfffb04ff,0x03fff303,0x5c07fffa,0x3ffee3ff,0xffff513f,0x5fffd5bf,
    0x417ffdc0,0x003ffff9,0xc9ffffcc,0xff007fff,0x3ffe29ff,0x7fd4004f,
    0xfff982ff,0xd99999cf,0x9802ffff,0x999cffff,0x2ffffd99,0xcffff980,
    0xffd99999,0x3ff602ff,0x37fffc6f,0x200ffff9,0xf904ffff,0xfff305ff,
    0x03fffe03,0x3fa3ffc4,0xffffffff,0xffffffff,0x1fffd401,0x027fffc4,
    0x4bfffea0,0xf007fffc,0x7ffc9fff,0x7ff4007f,0xfffc80ff,0xffffffff,
    0xc805ffff,0xffffffff,0x5fffffff,0xfffffc80,0xffffffff,0x3ff605ff,
    0x37fffc6f,0x200ffff9,0xf904ffff,0xfff305ff,0x01fffe03,0x7f447ffb,
    0xfcdfffff,0x00efffff,0xf05fff98,0xe800ffff,0xff70ffff,0xff8803ff,
    0x3fffa3ff,0xfff5003f,0x3fffe0ff,0xffffffff,0x400fffff,0xffffffff,
    0xffffffff,0x7fffc00f,0xffffffff,0xb00fffff,0xfff8dfff,0x3fffee6f,
    0x7fffc401,0x07fff903,0x3e03fff3,0x7fd407ff,0x6f7edc1f,0x06f7bb22,
    0x3ffa0666,0x7ffffd07,0x3fffea00,0x1bfffea7,0x45ffffb0,0x01fffff9,
    0x17ffff44,0x7fffffd4,0xffffffff,0x3ea03fff,0xffffffff,0xffffffff,
    0x3fffea03,0xffffffff,0xb03fffff,0xaaa8dfff,0x3fffea2a,0x7fffec06,
    0x07fff702,0xf103fff3,0xffb00fff,0x4400001f,0xffb85ffe,0xffff981f,
    0x7ff4401f,0x3ffe22ff,0x7dc40cff,0x7e40ffff,0xf503ffff,0x360bffff,
    0xeeeeffff,0xfffeeeee,0x3fff606f,0xeeeeeeef,0x06ffffee,0x3bbffff6,
    0xfeeeeeee,0xffb06fff,0x7fc400df,0x5c40cfff,0x700fffff,0xff309fff,
    0xffff303f,0x5fffd100,0xffd10000,0x0fffe01f,0x1fffffe4,0x5fffffa8,
    0xffffffb8,0xfffffece,0xffff884f,0xffdcefff,0x881fffff,0x9004ffff,
    0xf105ffff,0x32009fff,0xf882ffff,0xf9004fff,0xffb05fff,0x1aaa98df,
    0x7fffffdc,0xfffffece,0x3ffea04f,0x3ffe609f,0x37ffecc1,0xdffff980,
    0xffc88001,0x3fee02ff,0xfffff106,0xfffb9dff,0x3a03ffff,0xffffffff,
    0x00ffffff,0xffffffd3,0xffffffff,0x3ffff205,0xffff3001,0x3ffff90b,
    0x3fffe600,0x1ffffc85,0xbffff300,0xc8dfffb0,0xffe85fff,0xffffffff,
    0x2600ffff,0x35ffffff,0x3fe63fff,0x2004ffff,0xdfffffd8,0xa99999ab,
    0x1effffec,0x301fff80,0xfffffffd,0x5fffffff,0x7fffec40,0xdfffffff,
    0xffffc800,0xdfffffff,0x1bfffe00,0x1ffffd00,0x006ffff8,0x207ffff4,
    0x4006ffff,0x6c0ffffe,0x7fe46fff,0xfffd885f,0xffffffff,0xfffd800d,
    0x3fff35ff,0x3fffffe6,0xfffb8000,0xffffffff,0x4fffffff,0x013fee00,
    0xfffffff9,0x001bffff,0x3fffffaa,0x4c003eff,0xefffffed,0x7ffd402d,
    0x7fdc003f,0x3ffea3ff,0x7fdc003f,0x3ffea3ff,0x7fdc003f,0x7ffec3ff,
    0x02fffe46,0xffffffd5,0x6c4007df,0xff35ffff,0x3fffe63f,0x2a20002f,
    0xfffffffd,0x0befffff,0x07ffc400,0x3fffb660,0x0002deff,0x00135531,
    0x004d4c00,0x01ffffb0,0x7ffff880,0x003ffff6,0x4fffff10,0x000ffffd,
    0x23ffffc4,0x7e46fffd,0xa98805ff,0x5400009a,0xddd14dcc,0x02f37a63,
    0x97550000,0x015599db,0x02eeb800,0x0004d4c0,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00001da8,
    0x80000000,0x4ccc0999,0x00000000,0x20000000,0x998807f9,0x2004ccc1,
    0x4ccc0999,0x81980000,0x4c4001a8,0x06662099,0x40555100,0x004fffe8,
    0x002fd800,0x005fffe8,0x00ffffd8,0x4cdfff00,0x36004fff,0x0000ffff,
    0x005ffff3,0x003ffff2,0xd803ff71,0x3ffe0fff,0x337ffc06,0x40009fff,
    0x89beffe9,0x7d4003fd,0x3fff22ff,0x17ff2000,0x01ffff10,0x007f8000,
    0x00efff98,0x7ffffdc0,0xdfff0005,0x8027ffcc,0x05fffffb,0x07fffb00,
    0x03fffd80,0xffffffb3,0x83fff609,0x7fc06fff,0x13ffe66f,0xffffd800,
    0x002fffff,0xf917ffd4,0x7f4001ff,0xfff9803f,0x3ea00004,0xeffd8005,
    0x7ffcc000,0x8003fffc,0x3fe66fff,0xfff8804f,0x4003fffc,0x0003fff9,
    0xff50fffb,0xdfffffff,0x20fffd81,0x7fc06fff,0x13ffe66f,0xdbbff800,
    0x8006ffff,0x3f22fffa,0x3fe000ff,0xfff3001f,0x3f200001,0x7ffcc003,
    0x5ffe8000,0x8001fff7,0x33223ccc,0x5ffe802c,0x4003fff7,0x40004ffd,
    0x3fe23ffd,0xffffffff,0x2266545f,0x66403ccc,0x0b33223c,0x541e4400,
    0x9930001c,0x06665439,0x007ff980,0x0000e64c,0x54000ff8,0xc98001cc,
    0x0b32e0cc,0x09a98800,0x83332600,0x32003ccb,0xc880003c,0x3bfff63c,
    0xffffbffb,0x00000002,0x00000000,0xb8000000,0x000005ff,0x3fff7220,
    0x000000ff,0x70000000,0xffffffdb,0x0000005d,0x20000000,0x7f98ffff,
    0x3609fff9,0x98006fff,0x000fffff,0x3fffe600,0x3ff2000f,0xffffffff,
    0x03ffffff,0xff90fff6,0xffffffff,0x07ffffff,0xfffffff7,0xfff905ff,
    0xffffffff,0x327fffff,0xffffffff,0xffffffff,0xffffb103,0xbfffffff,
    0xdfffb001,0x17ffff60,0x7ffffc40,0x16fffd80,0x5fe6bfff,0xfb009ac8,
    0xf9000dff,0x0007ffff,0x7ffffe40,0x3fff2003,0xffffffff,0x203fffff,
    0x7fe42fff,0xffffffff,0x43ffffff,0xfffffffc,0x7e43ffff,0xffffffff,
    0x3fffffff,0xfffffff9,0xffffffff,0xffff507f,0xffffffff,0xfd805fff,
    0xfff106ff,0xffb005ff,0x3ff607ff,0x2dfff16f,0x7ec007f9,0xff8006ff,
    0x0006ffff,0x3fffffe0,0x3fff2006,0xffffffff,0x303fffff,0xffc81fff,
    0xffffffff,0x23ffffff,0xcefffff9,0x647fffff,0xffffffff,0xffffffff,
    0xffffff93,0xffffffff,0xfff887ff,0xedcdffff,0x01ffffff,0xa81bfff6,
    0x5406ffff,0x3606ffff,0x3ffe6fff,0x4007f9af,0x4006fffd,0xfffffffa,
    0xffa80002,0x002fffff,0xdddffff9,0xdddddddd,0x1bfee05d,0x3bbffff2,
    0xeeeeeeee,0x3fffa2ee,0xfffbf71e,0x7fffe47f,0xeeeeeeee,0xff92eeee,
    0xddddddff,0x85dddddd,0x02fffffd,0x0bffffd3,0x2037ffec,0x203ffffd,
    0x201ffffe,0x3fa6fffd,0x007fefff,0x0037ffec,0x3ffffff6,0xfd80005f,
    0x05ffffff,0x00ffff90,0x427fec00,0x0007fffc,0xd8bfffe6,0x21bcedaf,
    0x0007fffc,0x001ffff2,0x1dffff50,0xffffe880,0x0dfffb02,0x0fffff88,
    0x04ffffb8,0xf337ffec,0x17ffffff,0x1bfff600,0xeffff880,0x0000ffff,
    0x3fbfffe2,0xfc800fff,0x200007ff,0xffc82fff,0x3ea0007f,0x403fc7ff,
    0x0007fffc,0x001ffff2,0x05ffffb0,0x1ffffe60,0x4037ffec,0x445ffffb,
    0x400fffff,0x7e46fffd,0xefffffff,0x37ffec01,0x3ffff700,0x0007ffff,
    0x7cffffdc,0xfc803fff,0x300007ff,0xff901fff,0x7dc000ff,0x017ea7ff,
    0x001ffff2,0x007fffc8,0x1bfffe20,0x1ffffb00,0x00dfffb0,0xc87ffffa,
    0xd802ffff,0xffb86fff,0x3fffffff,0x01bfff60,0xfb4fffe8,0x74000dff,
    0xfffb4fff,0xffff900d,0x3fee0000,0x0ffff906,0x37ffe400,0xff9007f9,
    0x7e4000ff,0x2a0007ff,0x4004ffff,0xd81ffffa,0xf3006fff,0x3fe6dfff,
    0xffb005ff,0x3fae20df,0x03ffffff,0x200dfffb,0xf51ffffa,0x50005fff,
    0x3ea3ffff,0x7e402fff,0x900007ff,0x3ff209ff,0x3ee0007f,0x003fe7ff,
    0x001ffff2,0x007fffc8,0x0ffffea0,0x7ffff300,0x00dfffb0,0x75ffffe4,
    0xb000ffff,0xf980dfff,0x07ffffff,0x200dfffb,0x3e26fffd,0xd8005fff,
    0x3fe26fff,0x7fe405ff,0xffffffff,0xd04fffff,0x3ff205ff,0xffffffff,
    0x264fffff,0x6f98ffff,0x3ff20262,0xffffffff,0x324fffff,0xffffffff,
    0x4fffffff,0x00bfffee,0x09ffff10,0x400dfffb,0xfffffff8,0x3f6003ff,
    0xbfcc06ff,0xd81ffffc,0xf8806fff,0x7fec3fff,0x3e2000ff,0x7fec3fff,
    0x3ff200ff,0xffffffff,0x884fffff,0xff900fff,0xffffffff,0xf89fffff,
    0x23fbafff,0x3f25fffc,0xffffffff,0x24ffffff,0xfffffffc,0xffffffff,
    0x07ffff24,0xbffff100,0x00dfffb0,0xffffffa8,0x7fec006f,0xb3fcc06f,
    0xffb05fff,0xfff700df,0xffff981f,0x3ffee003,0x7fffcc0f,0x3ffff203,
    0xffffffff,0xffa84fff,0x3ffff207,0xffffffff,0x7fec4fff,0xff11feef,
    0x7ffe49ff,0xffffffff,0x3f24ffff,0xffffffff,0x24ffffff,0x002ffffb,
    0x427fffc4,0x8006fffd,0x1ffffffd,0xb7ffec00,0xff32edcb,0x6c17ffdc,
    0xfe806fff,0xffff05ff,0x7fff400d,0x0dffff05,0x777fffe4,0xeeeeeeee,
    0x05ffc83e,0x3bbffff2,0xeeeeeeee,0x7fffdc3e,0xfffeb9ff,0x3ffff21f,
    0xeeeeeeee,0x3ff23eee,0xeeeeeeff,0x263eeeee,0x4003ffff,0xd83ffff9,
    0x88006fff,0x004fffff,0xf96fffd8,0xc9fe6dff,0xffd81fff,0x7ffcc06f,
    0xd99999cf,0x9802ffff,0x999cffff,0x2ffffd99,0x00ffff90,0x407ffd00,
    0x0007fffc,0xffffffe8,0x644fffff,0x20007fff,0x0007fffc,0x013fffe2,
    0x05ffff50,0x000dfffb,0x003ffff2,0x55bfff60,0x7f9bffff,0xb01ffff1,
    0xfc80dfff,0xffffffff,0x05ffffff,0xffffffc8,0xffffffff,0xffff905f,
    0xfff88000,0x1ffff201,0x3ffa2000,0x5fffffff,0x007fffc8,0x01ffff20,
    0x0fffff00,0x0ffffe80,0x006fffd8,0x00ffff90,0xe9bfff60,0xbffdffff,
    0xfb04ffff,0xfff80dff,0xffffffff,0x00ffffff,0x7ffffffc,0xffffffff,
    0xfffc80ff,0x7fd40007,0x3fffe407,0xfff90000,0x3205dfff,0x20007fff,
    0x0007fffc,0x01fffff4,0x07ffffa8,0x000dfffb,0x001ffff2,0xf337ffec,
    0xffffffff,0x3f601fff,0x3fea06ff,0xffffffff,0x3fffffff,0x3ffffea0,
    0xffffffff,0xfc83ffff,0x640007ff,0x7fe405ff,0x2a00007f,0x4009aadf,
    0x0007fffc,0x001ffff2,0x3fffff30,0xffffe880,0x0dfffb02,0x1ffff200,
    0x37ffec00,0x3fffffee,0x3600efff,0x3f606fff,0xeeeeefff,0xffffeeee,
    0x3ffff606,0xeeeeeeee,0xc86ffffe,0x40007fff,0x7e403ffe,0x200007ff,
    0x7e4002fd,0x320007ff,0x80007fff,0x03fffffc,0x0bfffff5,0x0037ffec,
    0x007fffc8,0x30dfffb0,0x7dfffffb,0x0dfffb00,0x013fffe2,0x417fffe4,
    0x004ffff8,0xc85ffff9,0x40007fff,0x7e400aaa,0x200007ff,0x7e4000ff,
    0x320007ff,0x80007fff,0xfffffff8,0xfffffdce,0x3ff601ff,0xff90006f,
    0x3f6000ff,0x7fdc06ff,0x3fff6000,0x3ffff906,0x3fffe600,0x1ffffc85,
    0xbffff300,0xeeffffc8,0xeeeeeeee,0xf90005ee,0xdddddfff,0xbddddddd,
    0x9000bf30,0xddddffff,0xdddddddd,0x3bffff2b,0xeeeeeeee,0xfe985eee,
    0xffffffff,0x402fffff,0x0006fffd,0x000ffff9,0x301bfff6,0xffd800ff,
    0xdffff06f,0xffffe800,0x037fffc0,0x83ffffa0,0xfffffffc,0xffffffff,
    0xff90006f,0xffffffff,0x0dffffff,0xf90007f9,0xffffffff,0xdfffffff,
    0x3ffffff2,0xffffffff,0x3ff206ff,0xffffffff,0xffd800df,0xff90006f,
    0x3f6000ff,0x3fcc06ff,0x1bfff600,0x00ffffea,0x47ffff70,0x003ffffa,
    0x91ffffdc,0xffffffff,0xffffffff,0x3ff2000d,0xffffffff,0x86ffffff,
    0xfc8000fe,0xffffffff,0x6fffffff,0xfffffff9,0xffffffff,0xfed980df,
    0x02deffff,0x01bfff60,0x03fffe40,0x06fffd80,0x7ec00198,0xfffd86ff,
    0x7fc4000f,0x3fff67ff,0x7fc4000f,0x3fff27ff,0xffffffff,0x006fffff,
    0xffffff90,0xffffffff,0x00060dff,0x7fffffe4,0xffffffff,0xffff96ff,
    0xffffffff,0x800dffff,0xb00009a9,0x2000dfff,0x0007fffc,0x000dfffb,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2a809880,
    0x00e4c000,0xaa988000,0x00000000,0x80000000,0x4002aaa8,0x10009a98,
    0x88000555,0x0001aaaa,0x55440000,0x554c01aa,0x54c000aa,0x0aaaa0aa,
    0x67ffe400,0x4000ff72,0x0004fffe,0xfffffb50,0x00007dff,0x900d54c4,
    0x9ff9100b,0xfffb0001,0x3fee009f,0xfc803fff,0x7e40003f,0xd3000eff,
    0x13227fff,0x17fff600,0x0ffffa20,0x43fff700,0xa8007ffd,0xffffffff,
    0x7f30005f,0x40001fb1,0xffffffd8,0x00efffff,0xffffb500,0x7dc5dfff,
    0x6efdc05f,0x7fdc003f,0x5c02ffff,0x3fffffff,0x003ffe20,0x0efff880,
    0x7ffec400,0x44005ffe,0x1000efff,0xb800dfff,0x3ff61fff,0xadfc8007,
    0x01ffffec,0x3e61f900,0xfff50002,0xffffffff,0x4007ffff,0xffffffd8,
    0xfcefffff,0xb2f403ff,0x7ffcc00d,0x100fffca,0xffb19fff,0x0fff201f,
    0x1fff7000,0x7ffec000,0xffc8001f,0x7fcc000e,0x3fee002f,0x01fff61f,
    0x773032e0,0x67cc0001,0x88000fd9,0xdfffffff,0xfffffedc,0xfffa801f,
    0xffffffff,0x04ffffff,0x801ba6e8,0x3ffa4ffe,0x21fff505,0xf881fff8,
    0x7c0000ff,0xb30001ff,0x009fffff,0x000fff88,0x400dff30,0x2aa0aaa9,
    0x0000002a,0xffff9800,0xffc8000f,0xfd302fff,0xf880dfff,0xcdefffff,
    0xffffffec,0xfddf7005,0x06662005,0x3ee03331,0x417ffc7f,0x80003ffc,
    0xf9000099,0x7fffb19f,0x004cc400,0x00066200,0x7fe40000,0xffc801ff,
    0xfff9005f,0xf98007ff,0x4400efff,0x202ffffe,0x02fffffc,0x0dffffd3,
    0x0016ed40,0xdff90000,0x7c43fff8,0x000000ff,0x220c9800,0x0002ffff,
    0x00000000,0xfffc8000,0xfffc806f,0xfffff005,0xffe800df,0xff3002ff,
    0x3fe60fff,0x3a200eff,0x002fffff,0xfb730000,0x7dc059df,0x21fffc6f,
    0x40003ffc,0x2ceffdb9,0x5665cc00,0xec86fffa,0x3bba03ee,0xffec882e,
    0x3000ceff,0x059dffb7,0x3fffff20,0x2fffe403,0x7ffffd40,0x3fe002ff,
    0x7ec006ff,0xffe80fff,0x7ff402ff,0x2206ffff,0xceffffec,0x7fff4400,
    0x80dfffff,0x3fe27ffa,0x03ffe22f,0x7fff4400,0x00dfffff,0x7ffffec4,
    0x6c3ffffe,0x3fe04fff,0x7ffdc2ff,0x1fffffff,0x3ffffa20,0x400dffff,
    0x0ffffffc,0x017fff20,0x3ffffff6,0xfff1005f,0xffa8009f,0xffff81ff,
    0x77ffec06,0xfb81ffff,0xffffffff,0xfffd101f,0xffffffff,0x73fff883,
    0x7fe41fff,0xffd10003,0xffffffff,0x3ffe603f,0xffffffff,0x3fff60ff,
    0x8bfffe04,0xfffffffa,0x881fffff,0xfffffffe,0x3201ffff,0x05ffffff,
    0x1017fff2,0xfffdffff,0xfff3001f,0xff98007f,0x7ffc43ff,0x3fff203f,
    0x42ffffb9,0xfffffffa,0x441fffff,0xcceffffe,0xc86ffffe,0x4fffffff,
    0x0003ffe2,0x3bffffa2,0x6ffffecc,0xdfffffd0,0x5fffffff,0xf027ffec,
    0x7ff45fff,0xffdbabef,0x7ff444ff,0xffecceff,0x3ff206ff,0x902fffff,
    0xfb80bfff,0xffff9fff,0xffffb803,0x7ffc4002,0x7fffd44f,0x25fff702,
    0x743ffffa,0xdbabefff,0x7ec4ffff,0xffc83fff,0x7fec43ff,0x3f20dfff,
    0xffb0004f,0xfff907ff,0xffffc87f,0x3fffa62e,0x13fff64f,0xd12ffff8,
    0xffd03fff,0xffffd8bf,0x3ffffc83,0xffffff90,0x3fff20df,0xa7fff405,
    0xb806fffd,0x4001ffff,0x5c5ffff8,0xfa81ffff,0x3ffe63ff,0x3fffa24f,
    0x45fffe81,0x3a04ffff,0x97507fff,0x0fff8859,0x7ffc0188,0x3fffa04f,
    0x1bfffe27,0xb37fffc4,0x7fc09fff,0x701982ff,0xfff8dfff,0x3fffa04f,
    0xfffff907,0xff907fff,0x7ffd40bf,0x5ffff51f,0x2ffffb80,0x7fffc400,
    0x0ffffe44,0xf113ffea,0x0660bfff,0xf337ffdc,0x7d401fff,0xd8000fff,
    0x7ffe44ff,0xffff984f,0x3fffea00,0x03ffff30,0xfb3fffdc,0x7ffc09ff,
    0xec98802f,0x3fe66fff,0x3fea00ff,0xfffc80ff,0x40ffffed,0x3605fffc,
    0x3fe26fff,0x7fcc05ff,0x7cc003ff,0x7fdc3fff,0x3ffe62ff,0x4ffff885,
    0xffd93100,0x3fffdcdf,0x0bfffe20,0x41fff100,0x6ffffffd,0x203fffdc,
    0xf72ffff8,0x7cc01fff,0xfffb1fff,0x17fffc09,0xffffec98,0x3fee6fff,
    0x7ffc407f,0xdfffc82f,0x645ffffa,0xff105fff,0xfffd87ff,0x3ffe200f,
    0x7fdc004f,0x7ffd41ff,0x0bfff13f,0x80ffffe6,0xfffffec9,0x3fff26ff,
    0x3ffff806,0x527fec00,0xfff77fff,0x037ffe47,0xfc9ffffc,0x7fc407ff,
    0x9fffb2ff,0x217fffc0,0xfffffffc,0x3f26ffff,0xfff806ff,0x5fffc83f,
    0x645ffffb,0xff705fff,0xfff981ff,0x7fffc03f,0xffd07506,0xfff981ff,
    0x0effe8df,0x05ffff50,0xfffffff9,0x7dcdffff,0x7fc407ff,0x3e6002ff,
    0x97ff60ff,0x3fee6ffc,0x7ffc407f,0x0ffff72f,0xb1ffff98,0x7fc09fff,
    0x3fff62ff,0xffb9bdff,0x1fffee6f,0x05ffff10,0x3e2bfff9,0xff90efff,
    0x3fffa0bf,0x0dffff05,0x82ffffe8,0xfff53ffe,0xffff10ff,0x401dffdd,
    0x6c0ffffd,0x9bdfffff,0x3e66fffb,0x7fcc07ff,0x3f6001ff,0x71fff44f,
    0x7ffccfff,0x7fffcc07,0x01ffff51,0xd87fffd4,0xff105fff,0x3ffea5ff,
    0x7ffdc0bf,0x01fffe66,0x903ffff3,0x7fdcbfff,0xbfff94ff,0x39ffff30,
    0xfffb3333,0x7ffcc05f,0x3ffea0ef,0x3ffffeef,0xffffffb0,0x7ffcc03f,
    0x7fffd47f,0x37ffdc0b,0xc80ffffe,0x26007fff,0x7ffc0fff,0xf83ffea2,
    0x3f203fff,0x3ffe67ff,0x3fff603f,0x417fff67,0xf92ffff9,0x3ff20dff,
    0x1ffffc6f,0x20ffff90,0x7f45fffc,0xfffc9fff,0xfffffc85,0xffffffff,
    0x7fe405ff,0x3f662fff,0x06ffffff,0x3fffffe6,0x7ffff401,0x837ffe42,
    0x7f46fffc,0xffa81fff,0x3f6004ff,0x23fff84f,0x7ff47ffa,0xfffa81ff,
    0x7ffff44f,0x4ffffa81,0x203fffee,0xfb2ffffe,0xffd10bff,0xffffe8df,
    0x4ffffa81,0x98bfff90,0xffceffff,0xfffff85f,0xffffffff,0x2200ffff,
    0xceffffff,0xffffffcb,0x7ffec01f,0xffd301ef,0xfffb0bff,0xdfffd10b,
    0xbfffffa8,0xeffffcaa,0x1fff3000,0x7dc7ffd0,0x7fffd47f,0xfffcaabf,
    0x7ffcc0ef,0xffcaaeff,0x3fea0eff,0xffb51dff,0x3ff25fff,0x3ff662ff,
    0x7ffd47ff,0xffcaabff,0xff900eff,0xffff90bf,0xfa8bffff,0xffffffff,
    0xffffffff,0x7fff4c03,0xffffffff,0x200cffff,0xdffffffb,0xffffdcac,
    0xfffc81ff,0x3fff662f,0xffffa87f,0xffffffff,0x13ff6002,0xffd37fe4,
    0xfffff50b,0x5fffffff,0x3fffff20,0x2fffffff,0x7fffffc4,0xfffeffff,
    0xffffff52,0xfffffffd,0xffffff50,0x05ffffff,0x442fffe4,0xffffffff,
    0x77fffec5,0xeeeeeeee,0x8806ffff,0xfffffffc,0xffffffff,0x7ffd40cf,
    0xffffffff,0x02ffffff,0xdffffff5,0x0fffffff,0x3fffffea,0x2001efff,
    0xf300fff9,0x3fffddff,0x3ffffea0,0x401effff,0xfffffffb,0xff502eff,
    0xb3ffffff,0x7fec5fff,0xfbffffff,0xffa81fff,0xefffffff,0x2fffe401,
    0xffffffa8,0x3fffe25f,0xffff9004,0x3fb66005,0xebceffff,0x262fffff,
    0xfffddfff,0xffffffff,0x7ffec00d,0xffbfffff,0xfd9301ff,0x0009dfff,
    0xfb809ffb,0x404fffff,0xeffffec9,0x3ff62004,0x400cffff,0x0dffffea,
    0xfb85fffb,0xfb0dffff,0x3b2609ff,0x004effff,0x6c0bfff9,0x25ffffff,
    0x001ffffc,0x00bffff3,0x7e406a60,0x2ffec6ff,0xffffffb3,0x7dc005bd,
    0xfb0dffff,0x266009ff,0xddd10000,0xbdd93001,0x01330005,0x009a8800,
    0x0001a880,0x800006a6,0x7e400099,0x3fe605ff,0x3fe5ffff,0x7f4006ff,
    0x00000fff,0xd905fb30,0x026a6201,0x00353000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfffc8000,0x7fffe405,0x7ffff55f,0xffffb800,
    0x04000003,0x00000010,0x00000000,0x00000000,0x00000000,0x00000000,
    0x90000000,0xfd00bfff,0x3ff6bfff,0x7c4000ff,0x00007fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x402fffe4,
    0x005ffffa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x1aaaa880,0x15555100,
    0x43555100,0x5000aaa9,0x1aaa8355,0x00555550,0x026aa620,0x20aaa880,
    0x51002aa9,0x00000555,0x05555500,0x55551000,0x55553003,0x000c4000,
    0x44002a98,0x70002aaa,0x2001dfff,0x805ffffd,0x3ee3fff9,0xff8801ff,
    0x0fffe62f,0x017fffcc,0xfffff910,0xff7003df,0x07ffec5f,0x27ffff40,
    0xfffb9100,0xff30019d,0xc80005ff,0xf1005fff,0xb8005fff,0x000cfffd,
    0xe8005ff1,0x8004ffff,0x5000ffff,0x05ffffff,0x2e3fff98,0xfa801fff,
    0x3ffea0ff,0x17ffe601,0xfffffe80,0x5c02ffff,0x3ff62fff,0x7ffe400f,
    0xfb801fff,0xffffffff,0x5fff9803,0x3ffe2000,0x3fe6000e,0x3fea006f,
    0x9005ffff,0xffc800df,0x2001ffff,0x1001fffb,0xfff77fff,0x1fffcc01,
    0x9003fff7,0x7ffc8fff,0x01fffa80,0xffffffc8,0x200fffff,0x3f62fffb,
    0x3fe600ff,0x00effd9f,0x3ffffff2,0x803fffff,0x0001fffa,0x0001dff9,
    0x2005fff3,0x3ffb0ffe,0x001ff980,0x3f67ffe6,0xffd000ef,0x2fff4003,
    0x5440dffb,0x2aaa61aa,0x45ffd800,0xf5006ffd,0xfff980bf,0xfffd88cf,
    0x2aaa201f,0x880aaa60,0xffd14ffe,0x3fffe609,0xffffdbef,0x5ffa800f,
    0x0fff8800,0x17fea000,0xffb0cc40,0x005fd803,0x7453ffa2,0x133004ff,
    0x98199800,0x00000019,0xfff0fffe,0x00cc4009,0xf11bffee,0x00005fff,
    0x44199880,0xfffd0199,0xffff983d,0x00331003,0x00013310,0x90003310,
    0xfa809fff,0x2662000f,0x000ccc41,0x00000000,0x75553000,0xf7559fff,
    0x000359ff,0x22fffec0,0x000ffff9,0x20000000,0xb02ffff8,0x0000379d,
    0x00000000,0x3fffe800,0x00027f40,0x7f644000,0x400cefff,0xeffffec8,
    0x7f64400c,0xd80cefff,0xffffffff,0xffffffff,0x407ddd93,0xffb2eeee,
    0x6fffc89f,0xbffd9500,0x3b2a0019,0xf500cdff,0x00001fff,0x19bffd95,
    0x3ffb2a00,0x2e6000cd,0x002ceffd,0x413ff66a,0xd9000ffb,0x777407dd,
    0x3fffee2e,0x01ffffff,0xfffffff7,0x3ee03fff,0xffffffff,0x7fffec1f,
    0xffffffff,0xffb3ffff,0x7fffc09f,0x449fffb2,0xd803ffff,0xffffffff,
    0x7fffec02,0xfb82ffff,0xd80007ff,0xffffffff,0x7fffec02,0x4402ffff,
    0xfffffffe,0x882200df,0x3ff887ff,0x13fff600,0xf52ffff8,0xffffffff,
    0xffa83fff,0xffffffff,0x7ffd41ff,0xffffffff,0x3ffff61f,0xffffffff,
    0xffb3ffff,0x7fffc09f,0x5c9fffd2,0xfe806fff,0xffffffff,0xffffd04f,
    0x89ffffff,0x0006fffc,0x7ffffff4,0xfd04ffff,0xffffffff,0x3ffa209f,
    0xffffffff,0x337fc41f,0x0df90dff,0x04fffd80,0x7f4bfffe,0xfdbabeff,
    0x7ff44fff,0xffdbabef,0x7fff44ff,0xfffdbabe,0x3e66624f,0xff999cff,
    0xffb099cf,0x7fffc09f,0x749fffd2,0x7dc04fff,0xffbbffff,0x7fdc0fff,
    0xfffbbfff,0x3ffee0ff,0x3fee0007,0xfffbbfff,0x7ffdc0ff,0xffffbbff,
    0x7fff440f,0xfffeccef,0xcdffc86f,0x7fc42fff,0x7ffec002,0x2bfffe04,
    0xe81fffe8,0x3fa25fff,0xfffe81ff,0x07fffa25,0x4c17fffa,0x3fe22fff,
    0x4fffd82f,0x74bfffe0,0xfff14fff,0x7ffc40bf,0x4fffd84f,0x213fffe2,
    0x3ea4fffd,0x13100fff,0x09ffff10,0x7c49fffb,0xffd84fff,0x7fffec4f,
    0x3ffffc83,0x7fffff44,0x8005fd85,0x3e04fffd,0x80cc2fff,0x3306fffb,
    0x41bffee0,0xdfff7019,0xa83ffea0,0xffd80fff,0x3fffe04f,0x749fffd2,
    0xf703ffff,0xff501fff,0x3ffee1ff,0xffffa80f,0x05ffff30,0xfb97fff2,
    0xffa80fff,0xffff70ff,0x1ffff501,0xd027fffc,0x2e60ffff,0x1ff981cd,
    0xffb02620,0x7fffc09f,0x7f64c402,0x931006ff,0x200dfffd,0x6fffec98,
    0xfc8fff90,0x9fffb07f,0xe97fffc0,0x3fea4fff,0xffc83fff,0x3fffe06f,
    0x40dfff91,0x3fe1ffff,0x7fc40eff,0x3fff24ff,0x47fffe06,0x3e06fffc,
    0xfff31fff,0x7ffd401f,0x9fd0000f,0x3637fcc0,0x3fe04fff,0xfec982ff,
    0x06ffffff,0x3ffffb26,0x32606fff,0xfffffffe,0x3ffa6626,0xeffe999e,
    0xfffb0999,0x97fffc09,0x7e44fffe,0x7ec1ffff,0xeeeeefff,0xfb2ffffe,
    0xdddddfff,0x545ffffd,0xb9beffff,0x361ffffe,0xeeeeffff,0xb2ffffee,
    0xddddffff,0x25ffffdd,0x4407fffb,0x8002ffff,0xfd100ffa,0x4fffd8df,
    0xc8bfffe0,0xffffffff,0xffc86fff,0xffffffff,0xffffc86f,0x6fffffff,
    0x3ffffff6,0xffffffff,0x9fffb3ff,0xe97fffc0,0xffd84fff,0x3ffe0fff,
    0xffffffff,0xfff3ffff,0xffffffff,0xfe87ffff,0xffffffff,0x7fffc4ff,
    0xffffffff,0xffff3fff,0xffffffff,0x3ff27fff,0xffff806f,0x03fe8003,
    0xfb1bfff6,0x7ffc09ff,0xfffffb2f,0xdfff737b,0xdfffffd8,0x46fffb9b,
    0xbdfffffd,0x366fffb9,0xffffffff,0xffffffff,0x409fffb3,0xffd2ffff,
    0x3fff609f,0x3ffffa6f,0xffffffff,0xffffd4ff,0xffffffff,0xffd889ff,
    0x5fffffff,0xffffffe8,0xffffffff,0xffffffd4,0xffffffff,0x01fffee9,
    0x005ffff1,0x3f207fb8,0x7fec6fff,0x3fffe04f,0x0bffffaa,0xf537ffdc,
    0xfb817fff,0x3ffea6ff,0x7ffdc0bf,0x3fffff66,0xffffffff,0xfffb3fff,
    0x3fffe20b,0x409fffd2,0xfb0ffffd,0xfb000bff,0x50000bff,0x5dfffffd,
    0x017fff60,0x017fff60,0x01fffe60,0x003ffff3,0xfb817fc4,0x7ec6ff9f,
    0xfff105ff,0x0dfff95f,0xfc9bfff2,0xfff906ff,0x837ffe4d,0x2626fffc,
    0xd999fffd,0x09999fff,0x260bfffb,0xffd2ffff,0x7ffc409f,0x1ffff92f,
    0x7ffe4060,0xb800300f,0x7e402dfe,0x20300fff,0x300ffffc,0x01ffffc0,
    0x800ffff9,0x7ff306fc,0xfffb1bfe,0x3fffe60b,0x885fffda,0x3f66fffe,
    0xffe885ff,0x17fff66f,0x21bfffa2,0x7fec5ffe,0x3fffee05,0x2ffffe80,
    0x4089fffd,0xff33ffff,0xdff707ff,0x3fffe61b,0x0deffb83,0x3fffbea0,
    0x3fffe605,0x0deffb83,0x707ffff3,0x7f41bdff,0xffa81fff,0x3e6004ff,
    0x24ff881f,0x7ffdc6ff,0xffffe80f,0x22ffffca,0x27ffffd9,0x262ffffc,
    0x327ffffd,0x3662ffff,0xff87ffff,0x027ffc3f,0x23bffff5,0x2fffffda,
    0x7e49fffd,0x1ffffc9d,0x473ffffa,0x746ffffa,0xf51cffff,0x2080dfff,
    0x3a01ffe8,0xf51cffff,0xffe8dfff,0xfff51cff,0xffffa8df,0xfffcaabf,
    0x3f6000ef,0xfffff905,0x3ea9ffff,0xfb51dfff,0xff55ffff,0xfffdffff,
    0x7fd4ffff,0xfffeffff,0x3fea7fff,0xfffeffff,0x7fcc7fff,0x0bffe22f,
    0xffffff88,0xfffeffff,0x3a9fffd2,0xffffffff,0x7ffffcc6,0x1fffffff,
    0x7fffffcc,0x01ffffff,0x3017fe40,0xffffffff,0xf983ffff,0xffffffff,
    0xffa81fff,0xffffffff,0x3e6002ff,0xffff900f,0x229fffff,0xffffffff,
    0xb2fffeff,0xffffffff,0x6c3ffff7,0xffffffff,0x361ffffb,0xffffffff,
    0x2a1ffffb,0x3fea0fff,0x7ffd400f,0xfd9fffff,0x9fffd2ff,0x3fffffa2,
    0xffe981ff,0x2fffffff,0xfffffd30,0xb805ffff,0x06ffdbaa,0xfffffe98,
    0xd302ffff,0xffffffff,0x7ffd405f,0x1effffff,0x3027f400,0xdff55555,
    0x7fffd435,0xffd9ffff,0x3fffee2f,0x9fffb0df,0xdfffffb8,0xb89fffb0,
    0xb0dfffff,0x7fe49fff,0x803ffe47,0x0dffffea,0x3fa5fffb,0x3ff624ff,
    0x32200dff,0x1cfffffe,0x7fff6440,0xff801cff,0x001effff,0xfffffd91,
    0xfec88039,0x801cffff,0xeffffec9,0x0ffa8004,0x506ff800,0x21bffffd,
    0xa982fffd,0x06a60001,0x001a9800,0x2a615554,0x0d44002a,0x04cc0000,
    0x026a6200,0x026a6200,0x1accaa80,0x26a62000,0x9a988000,0x02660000,
    0x003ed800,0xa8807990,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0154c000,0x98002aa0,
    0x0554002a,0x1aa99800,0x00020000,0x54c15551,0x0000002a,0x00000000,
    0x04000000,0x554c4000,0x00000001,0xbff30000,0x007fdc00,0x2005ff98,
    0x4c000ffb,0x3ffffffe,0xffdb3000,0xffb8019d,0x03fff62f,0x0007fffd,
    0x3fff6000,0x9dfdb504,0x64fbbaa1,0xfd931eee,0x36e0039d,0x000cefff,
    0xffffffb5,0x36a005df,0xdd51cefe,0xffa8007d,0x3ffee1ff,0x07ff1005,
    0x017ffee0,0x2001ffc4,0xfffffffa,0x7dc005ff,0x1effffff,0xd8bffee0,
    0x7ff40fff,0x0000003f,0xd889fffb,0x9fffffff,0xffd4fffb,0xfffff53f,
    0x7f4407ff,0x2fffffff,0x7ffffdc0,0x0dffffff,0x3fffff20,0x4fffaaff,
    0x7fffd400,0x5ffffe99,0x300df900,0x00bffffd,0xf1001bf2,0xffdbffff,
    0x3ee007ff,0xffffffff,0x5fff701f,0x3a07ffec,0x00003fff,0x89fffb00,
    0xfffffffe,0xd4fffdff,0xffffbfff,0x109fffff,0xfffffffd,0x3f603fff,
    0xffffffff,0xfb05ffff,0xffffffff,0x8009fffb,0xfc9ffffa,0x8805ffdf,
    0xffc802ff,0xf8805ffd,0x7fdc002f,0x3ffea0ff,0xfffff006,0x09ffffb9,
    0xa982aaa2,0x3fffe82a,0xfb000000,0x7ffd49ff,0xfffdadff,0xfffd4fff,
    0xfff7bfff,0xffc83fff,0xfffeceff,0xffff986f,0xfffdbcef,0x7fcc3fff,
    0xffdbffff,0x4004ffff,0xcb9ffffa,0xd805ff88,0x1197005f,0xbfb00bff,
    0xbfff9000,0x500fffd0,0x7dc1ffff,0x00000fff,0x001ffff4,0xfffd8000,
    0x07bfffa4,0x29ffffd3,0x41effffe,0x745ffffb,0x7fdc4fff,0x7ffe41ff,
    0xffff900f,0x2ffffe8d,0x27ffff4c,0x3fffea00,0x202ffc41,0x88001ff9,
    0x7fcc05ff,0xfffb8001,0x1bffe60f,0x213fffa0,0x0003ffff,0x01ffff40,
    0xffd80000,0x5ffff34f,0x53fffea0,0x901ffffe,0x7fccffff,0x7ffc40ff,
    0x27fff42f,0x4fffff10,0x304ffff8,0x8009ffff,0x441ffffa,0x2ff405ff,
    0x05ff8800,0x98002ff4,0xfd15ffff,0xff8809ff,0xfffc82ff,0x80fbbb26,
    0xffd2eeee,0x3bfb267f,0xffb7001c,0x3fff619d,0x80ffff54,0xffd4ffff,
    0x7ffcc0df,0x44154c1f,0x7f41ffff,0x665c06ff,0xffff30cc,0x27fff403,
    0x3fffea00,0x502ffc41,0x220001ff,0x3fea05ff,0x3ff60000,0xffffecff,
    0x7fffcc01,0x26fffb80,0x3e04fffd,0xfffd2fff,0xffffff77,0x7fec407f,
    0xfdafffff,0xffff74ff,0xd4fffe80,0x7c409fff,0x32002fff,0xffd87fff,
    0xb8001dff,0x3600ffff,0x54004fff,0x7c41ffff,0x00ffa05f,0x205ff880,
    0x440003fe,0xffffffff,0xfffa802f,0x7fffa80f,0xf813fff6,0xfffd2fff,
    0xffffffff,0x3ffa09ff,0xffffffff,0xfff94fff,0x4fffd80d,0xf809fffd,
    0xca803fff,0xfa84ffff,0xadffffff,0x7fffb800,0x027ffe40,0x07fffea0,
    0x3ee0bff1,0x3e20000f,0x01ff705f,0xffff7000,0x2a003dff,0xff507fff,
    0x3fff61ff,0x4bfffe04,0xcffffffe,0x1fffffca,0x6fffffd4,0xfffffeba,
    0x80ffff94,0xffd4fffe,0x7ffc40bf,0x7ffec02f,0x3ff603ff,0xefffffff,
    0xffff500b,0x04fffd80,0x0ffffd40,0x3e217fe2,0x7c40002f,0x02ff885f,
    0xffffb800,0x2e000fff,0xff507fff,0x3fff63ff,0x4bfffe04,0x40dffffe,
    0x7c5ffff9,0x7441efff,0xff74ffff,0x7ffc01ff,0x0dfffd4f,0x00ffffcc,
    0x00fffffa,0xffffffd1,0x309fffff,0x7401ffff,0x54004fff,0x6441ffff,
    0x106fc83c,0x79910013,0x9880df90,0x3ffff600,0x2006ffff,0xf307fffc,
    0x3ff63fff,0x3fffe04f,0x01ffffd2,0xf99ffff6,0xff502fff,0x3ffe69ff,
    0xffff703f,0x03ffffa9,0x007fffdc,0x33fffffe,0x7fffdc00,0x5fffffff,
    0x817fffc4,0x004ffff9,0x00ffffd4,0xea83ff30,0x0003ffff,0x7cc03ff3,
    0xfffe886f,0x4ffffeef,0xfc857bf1,0xfff507ff,0x13fff63f,0xfd2ffff8,
    0x7fd40bff,0xffff50ff,0x24ffff80,0x10bffffe,0x29fffff7,0x885ffffe,
    0xb806ffff,0x1fffffba,0xffffc980,0x745fffff,0xfd80efff,0x54004fff,
    0x2001ffff,0x7ffcc5fd,0x8001ffff,0x3fa205fd,0xffffb86f,0x5fffff34,
    0xfb8dfff7,0xfff507ff,0x13fff61f,0xfd2ffff8,0x7fcc09ff,0xffff71ff,
    0x24fffe80,0xdffffffb,0x4fffffff,0x5bfffffd,0x3fffff93,0x9fffd000,
    0xffdb8800,0x3ea1ffff,0xea9cffff,0x004fffff,0x00ffffd4,0x7ec1ffa8,
    0x05ffa8af,0xb00ffd40,0xffd0dfff,0xffffa89f,0x543fffef,0xff507fff,
    0x27ffecff,0x3a5ffff0,0x3e203fff,0xfff92fff,0x4fffe80d,0x7fffffec,
    0x4fffeeff,0xfffffffd,0x0bffffff,0x1fffee00,0xfffd8800,0x7ffff43f,
    0xffffffff,0x7fd4004f,0x9fd001ff,0x7ff8bb90,0x9027f400,0xf88dffff,
    0xffb81fff,0x41ffffff,0xb80ffff9,0x3ff67fff,0x3fffe04f,0x409fffd2,
    0xf71ffff8,0xffe80fff,0xffffc84f,0xfffd8dff,0xf99fffd4,0x1bffffff,
    0x3ffe2000,0x0bdb972f,0x117fffe0,0xfffffffd,0x229fffb9,0xff504ba9,
    0xff7003ff,0x17fee001,0x500ffb80,0xb8dff3ff,0x3f607fff,0x985fffff,
    0xfc81ffff,0x3fff66ff,0x5ffff105,0x9817fffa,0xff50ffff,0xffff80ff,
    0x7bfd9504,0xfea7ffec,0xffff74ff,0x2ea6207f,0x7ffff302,0x003ffff2,
    0x641bfffa,0xfb2effff,0x3ffea9ff,0xffffb80f,0x01ffc401,0x000fffb8,
    0x3e607ff1,0xfb8dff3f,0xfd102fff,0x3e05ffff,0xffe83fff,0x17fff64f,
    0xe97fffcc,0xf900ffff,0x7ffccfff,0xffff302f,0x3ffa0009,0x89fffd3f,
    0x7fe400a8,0xffff707f,0x13fffe63,0x09ffff50,0x7fec0a98,0x5ffff34f,
    0x01ffff90,0xfb006fc8,0x7e4005ff,0x7c9ff106,0x7fffcc6f,0xfffff505,
    0xfff905ff,0x7fffd41f,0x03fffee1,0x74bffffa,0xf885ffff,0x3fe25fff,
    0x7f440eff,0x9bd14fff,0x7fffc057,0x009fffd2,0x0ffffea0,0x41ffffd1,
    0x81cfffff,0x01ffffe8,0x29fffb00,0x20effff8,0x406ffff9,0x74402ff8,
    0x22001eff,0xfff902ff,0x49ffffff,0xaceffffe,0xffffffdb,0x7fc44fff,
    0xfffbadff,0x7fffd45f,0xffffb51d,0x3ffffa5f,0xfffc9adf,0x7ffdc1ff,
    0xfffc9aef,0x3ffe4fff,0xfffc82ff,0x09fffd0f,0x7ffffc00,0xfffffcad,
    0x7ffffdc3,0xfffdccef,0x360007ff,0x3ff64fff,0xfffeceff,0x37ec02ff,
    0x03bffa20,0x640dfb00,0xffffffff,0x3fffe64f,0xffffffff,0x3fffffff,
    0x7fffffec,0x7c42ffff,0xffffffff,0xfd2fffef,0xfffffdff,0x3a0bffff,
    0xffffffff,0x364fffef,0xecefffff,0x3a4fffff,0x20004fff,0xfffffff9,
    0xfb06ffff,0xffffffff,0x003fffff,0x327ffec0,0xffffffff,0xf9809fff,
    0x7ffec01f,0x4c06eeee,0x2aa601ff,0x1afffaaa,0x7fffff4c,0xd8bfffff,
    0xffb05fff,0x07ffffff,0x3fffffea,0x2fffd9ff,0xff93fffd,0x01bfffff,
    0x3fffffa6,0x4fffbbff,0x3fffffa2,0x0fffffff,0x0013fffa,0xffffff50,
    0x2201bfff,0xfffffffd,0x000effff,0x227ffec0,0xfffffffb,0x5fe806ff,
    0x7ffffc40,0x7f407fff,0x0dff0005,0xffffffc8,0x077dc0cf,0xdffffd70,
    0xfffea803,0x5fffb0df,0x75c7fffa,0x9003ffff,0x2e5dffff,0x7ec44fff,
    0xffffffff,0x27fff40d,0x7fec4000,0x3002ffff,0xfffffffb,0x3600009b,
    0xfe984fff,0x00cfffff,0x2600774c,0xcccccccc,0x003ba604,0x8801e640,
    0x0cc009a9,0x0009a880,0x00000d44,0x26000151,0x9510000a,0x203599d9,
    0x0001aaaa,0x0004d4c0,0x00135310,0x35555000,0x0019a980,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x06aeea60,0x00008000,0x00400000,0x2eea6000,0x0100001a,
    0x026a6000,0x26a62000,0x54c00000,0x000019aa,0x40026aa2,0x00000aaa,
    0x09998000,0xffffc980,0x000befff,0xceffedb8,0x07fffd80,0x20bffff0,
    0x1dffffeb,0xfffc9800,0x00beffff,0x6ffff640,0x7ff5c003,0x4002efff,
    0xfffffedb,0xb30002ef,0xffffffff,0xfb50003b,0x19ffffff,0xb01fff40,
    0x5401ffff,0x5403ffff,0x7e404fff,0xffffffff,0xb1003fff,0xffffffff,
    0x07fffd83,0x98bffff0,0xfffffffe,0x3ff2005f,0xffffffff,0xfe9803ff,
    0x0dffffff,0xfffffc80,0x8804ffff,0xfffffffd,0x000dffff,0x3ffffff2,
    0x05ffffff,0x3fffff20,0x02ffffff,0x7cc0bff9,0x3fa04fff,0x7fc407ff,
    0xffd104ff,0x6dcc37bf,0x2200dfff,0xfffffffe,0x3ff60fff,0xffff007f,
    0x7ffffc4b,0x04ffffff,0x5effff44,0x3fff6e61,0xffff300d,0x1dffffff,
    0x7ffffec0,0x02ffffff,0x3fffffea,0xffffffff,0x7ff4402f,0xffffffff,
    0x4c05ffff,0xfffffffe,0x83ffffff,0x7ec06ffa,0xff980fff,0x7ff403ff,
    0xfff884ff,0x1bff2003,0xcfffffd8,0x365ffffe,0xff007fff,0x7ffe4bff,
    0xffffcbef,0x7fff101f,0x1bff6200,0x6f7ffff4,0x304fffff,0x735bffff,
    0x220fffff,0xdfffffff,0xfffffedc,0x3fffa01f,0xffdcefff,0x204fffff,
    0xcefffffe,0xfffffffd,0x007ffc41,0xb07ffff3,0x6c40ffff,0xd84fffff,
    0xfa8001ff,0xffff884f,0x9ffff20c,0xf007fffd,0x7ff4bfff,0x3ffff84f,
    0x0403ffb0,0x7d44ffb8,0x3f622fff,0xffb80fff,0xffffb86f,0xfffffd81,
    0xffffd302,0x3ffff20b,0xfffb303f,0xfff701ff,0xffd503df,0x5ffd0dff,
    0x47fffd80,0x503ffff9,0x9fffffff,0xdd52ffb8,0x817bdddd,0x7fe41ffc,
    0xceef886f,0x00ffffb0,0xff97fffe,0xfffc81ff,0x442ffb84,0x40bdffdb,
    0x3ff21ffc,0xffff985f,0x83fffe83,0x541deff8,0x400effff,0x42ffffe8,
    0x01fffff8,0x1fffff44,0x01bfffe2,0x83fffff3,0x7cc04ffc,0x3ff63fff,
    0xfffe987f,0x7c4fffff,0x3fffee5f,0x740effff,0x1ffffc5f,0x1ffff600,
    0xd2ffffc0,0xff903fff,0xd0bfd07f,0x0dffffff,0x7ffecbfd,0x0dffff03,
    0x0205fffd,0x05ffffb0,0x1ffffe60,0x007ffff7,0x90737fe6,0x9005ffff,
    0xfa837bff,0xfffd806f,0x07ffff36,0xfddffff7,0x17fd49ff,0xb5333ff7,
    0x0ffb87ff,0x003ffff1,0x007fffd8,0x7e4bffff,0xfffe84ff,0x360ffd41,
    0xffc9adff,0xff87fdc3,0xfff902ff,0x07fffb0f,0xdffff100,0xffffd800,
    0x03ffffa0,0x7ff40080,0x8031006f,0x4c00fff8,0xffcaffff,0x9fff707f,
    0xfd93fff6,0x221fee0f,0x9ffcc5ff,0xc98ffff9,0xffb03dee,0x3ffe00ff,
    0x3fffe65f,0x6fffda9c,0x7fd47fd8,0x260efd83,0x7fffd3ff,0x03ffff20,
    0x000bfff7,0x009ffff5,0x11ffffa8,0x000bffff,0x04ffff80,0x17ff4000,
    0x7efffec0,0xdf703fff,0xd27ffec5,0x887fb8df,0x55ff84ff,0xfff7ffff,
    0xfd81bfff,0xfff007ff,0xffff98bf,0x80dfffff,0x03fe45fe,0x7ed7fe01,
    0xffff04ff,0x3fee623f,0x019999ff,0x01ffffd4,0x4ffffe60,0x004ffff9,
    0x3fffe200,0x7e400003,0xf733304f,0x3fffffff,0x6c0cc333,0x0ffe4fff,
    0xd5557ff7,0x2df901ff,0xfffffffb,0x20ffffff,0xf007fffd,0xff10bfff,
    0x40dfffff,0x037ec3ff,0xffbb7ec0,0x7ffcc0ff,0xffffb1ff,0x0fffffff,
    0x02ffffb8,0xa7fffc40,0x203ffffa,0xaaaaaaaa,0x3fffe62a,0x7d400002,
    0xffff986f,0xffffffff,0xfd807fff,0x85ff14ff,0xfffffffb,0x32ff702e,
    0xadffffff,0x364ffffe,0xff007fff,0xffe88bff,0x85ffffff,0x2ffc1ff8,
    0xf8bfdc00,0xfb8bffff,0xfb2fffff,0xffffffff,0xfffc80ff,0x7fc4001f,
    0xffff55ff,0x7ffffc05,0xf50fffff,0x00005fff,0x4c0fff88,0xffffffff,
    0x7fffffff,0x24fffd80,0x77fdc3ff,0x3200efff,0xfffff96f,0x1ffffb83,
    0x200ffffb,0x3e65ffff,0xffdcffff,0x1ffc0eff,0x32001bfa,0x3fffea6f,
    0xffffffff,0xfffffb2f,0x80ffffff,0x002ffffb,0xaa7fffc4,0x3e03ffff,
    0xffffffff,0x7ffff50f,0xfff00000,0xfffff983,0xffffffff,0xffd807ff,
    0xf717fa4f,0xd037fd4f,0x3fffeebf,0x25fffd06,0xf007fffc,0x7ff49fff,
    0x3ffa20cf,0x362ff44f,0xf017307f,0xffffb8bf,0xffffdfff,0xfff93311,
    0x9803333d,0x4003ffff,0xf33ffff9,0x7fc09fff,0xffffffff,0x07ffff30,
    0x7ffb0000,0xcaaaaa88,0xaaabffff,0xfffd802a,0xff71ff64,0xf884ffb8,
    0x7ffff54f,0x653fff60,0xff007fff,0x3ffe29ff,0x7fffb80f,0x3fee3fec,
    0x260ffe83,0xffd984ff,0xffff9aef,0x05fffc80,0x27fffc40,0x3fffea00,
    0x0bffff12,0x7f666664,0x3ffe0fff,0x400a004f,0xf5005ffb,0x6c000fff,
    0x3fea4fff,0x3fa1fee1,0x987fd40f,0xf902ffff,0x3fff2bff,0x9ffff007,
    0x441bffee,0x3ea1ffff,0x467ff41f,0x7dc3ffc9,0x3ea0400f,0xfffd07ff,
    0xffff0007,0xfffe800f,0x3ffffa0f,0x3fff2000,0x1bfffa0f,0x056ffcc0,
    0x7447ff98,0xfffeeeee,0x05eeeeef,0x7c4fffd8,0x2a1fee4f,0x12fec5ff,
    0x320bffff,0xfff74fff,0xfff8803f,0x0dfff93f,0x3e17fffc,0x7fffcc4f,
    0x5fe86fff,0x6fffc800,0x01ffff88,0x3ffffe80,0xfffff500,0x05ffffb8,
    0x83ffff20,0x802ffffd,0x202ffffc,0x3fe61fff,0xffffffff,0x807fffff,
    0x7dc4fffd,0x3a0ff72f,0x85ff72ff,0xfd07fffe,0x3ffea7ff,0x7ffec06f,
    0x1ffff72f,0x83ffff50,0x7e442ffb,0x7e40beff,0x1732a62f,0x6c27fffc,
    0x30003fff,0x803fffff,0x42ffffe8,0x02fffff8,0x0ffffd88,0x03bfffe2,
    0x07ffff98,0xff31ffec,0xffffffff,0x00ffffff,0xfb09fffb,0xff50003f,
    0x7ffff509,0x11ffff98,0x819fffff,0x0fffffb8,0xb07ffff3,0xfb01ffff,
    0x5c02203f,0x7ffcc4ff,0x7fffdc1f,0x4f7ffec0,0x902880aa,0x207fffff,
    0x05fffffa,0x09fffff7,0x3ffffee2,0x7fffe40f,0x7ffdc41e,0x7fdc03ff,
    0x3bbbba25,0xeeeffffe,0xffd805ee,0x3fff884f,0x81bff200,0xdaeffffe,
    0x7dc5ffff,0xecefffff,0x44ffffff,0xaadfffff,0x105ffffe,0x64007fff,
    0xffff06ff,0xffffd57d,0xfffffc89,0xecefffff,0xfff880ff,0xfdceffff,
    0x01ffffff,0x3ffffff6,0xffffedde,0xfe80ffff,0xfddeffff,0x00efffff,
    0x5403ffcc,0x20007fff,0xd304fffd,0x4c17bfff,0x00dfffdb,0x3fffffee,
    0xe80fffff,0xffffffff,0x40ffffff,0xfffffff9,0x200fffff,0x0bdfffe9,
    0x37fff6e6,0xfffff700,0x81ffffff,0xfffffffa,0xffffffff,0xffffd304,
    0xffffffff,0xfd8805ff,0xffffffff,0x1dffffff,0xfffffd30,0xffffffff,
    0x07ffe001,0x00ffff50,0x027ffec0,0x3bfffff6,0x03ffffff,0xffffff50,
    0x36205fff,0xffffffff,0xf500dfff,0xffffffff,0x3ff6003f,0xffffefff,
    0xffd803ff,0x0effffff,0xfffffff0,0xffffffff,0x7ffe401f,0xffffffff,
    0x3fee000d,0xffffffff,0xd8802eff,0xffffffff,0x36001eff,0x7fd403ff,
    0x3f60007f,0xfc9804ff,0xbfffffff,0x7fecc000,0xa800dfff,0xfffffffe,
    0xffc8803e,0x000cffff,0x7ffffe4c,0x2000bfff,0x4efffffb,0x445f7dc0,
    0xffffedb9,0x76cc00cf,0x2defffff,0xffd71000,0x059bffff,0xffffb500,
    0x70005dff,0xffa80bff,0x3f60007f,0x262004ff,0x0001abba,0x20003530,
    0x0009aa98,0x0002aa60,0x2aeea620,0x4d4c0001,0x10011000,0x4c000353,
    0x4000009a,0x0000aa98,0x000d4c40,0x000aaa20,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x88000000,0x80000000,0x500eeee9,0x2aa6bddd,0x00155542,0xddd70000,
    0xeeee980b,0x00000001,0x00000000,0x80000000,0x0006eeea,0xddd90000,
    0xbddddddd,0xfffeb800,0xfff902ef,0xff98000f,0xfff700ff,0xff1fff6f,
    0x3fe600df,0x2a000fff,0x3202ffff,0x3ff27fff,0xffffffff,0xc800beff,
    0xffffffff,0x6403dfff,0xffffffff,0x6403dfff,0xffffffff,0xffffffff,
    0x3fffd403,0x7ffffe40,0xffffffff,0xffff80ff,0x7fffffff,0xffffd300,
    0xc81dffff,0x40007fff,0x700ffff9,0x3ff6ffff,0x8037ffc7,0x03fffffc,
    0x027fffc0,0x7e49fffd,0xffffffff,0x02ffffff,0x7fffffe4,0xefffffff,
    0xfffff901,0xffffffff,0x3fff203d,0xffffffff,0x403fffff,0xc807fffa,
    0xffffffff,0x0fffffff,0x7fffffc4,0x807fffff,0xfffffff8,0x7e46ffff,
    0x4c0007ff,0xf700ffff,0x1fff6fff,0x3e00dfff,0x006fffff,0x983fffe4,
    0x3f21ffff,0xffffffff,0x2fffffff,0x3fffff20,0xffffffff,0xfffc84ff,
    0xffffffff,0xfc84ffff,0xffffffff,0x3fffffff,0x03fffd40,0x7fffffe4,
    0xffffffff,0x7fffd40f,0x7fffffff,0xfffffd80,0x4fffffdd,0x001ffff2,
    0x01ffff30,0x54dfffee,0x0155542a,0x7fffffd4,0x3fe6002f,0xfffb82ff,
    0x77fffe46,0xffeeeeee,0x3f207fff,0xeeeeefff,0x1fffffff,0x777fffe4,
    0xfffffeee,0x7ffe41ff,0xeeeeeeef,0x402eeeee,0xc806eeea,0xeeeeffff,
    0x0eeeeeee,0x556fffe4,0x402aaaaa,0x445ffff8,0x3f27fffe,0xcdeeefff,
    0x3e601bcc,0xff700fff,0xb00000ff,0xbfffffff,0x4fffe800,0x643fffe8,
    0x74c07fff,0xf901ffff,0x7f540fff,0x7fe46fff,0x3ffaa07f,0x7ffe46ff,
    0x00000007,0x00ffff90,0x02fffd80,0x7fffd400,0x0ffffb81,0xfffffff9,
    0x09ffffff,0x403fffe6,0x0007fffb,0x77fffc40,0x2000ffff,0x7cc7fffb,
    0x7fe40fff,0xfff9807f,0xffff903f,0x7ffffb00,0x403fffe4,0x323ffffd,
    0x00007fff,0x900dddd0,0x8000ffff,0x0001ffff,0x983ff754,0xff91ffff,
    0xffffffff,0x983dffff,0xf700ffff,0xddd90fff,0x7ffdc009,0x03ffff9f,
    0x8bfffe20,0xfc85fffb,0xff8807ff,0xfff902ff,0xffff100f,0x03fffe4f,
    0x93ffffc4,0x0000ffff,0x00ffff10,0x000ffff9,0xa8bfffc4,0x7000000a,
    0x3f21ffff,0xffffffff,0x47ffffff,0x700ffff9,0xffb0ffff,0x7ff400bf,
    0x0dfffb4f,0x24fffd80,0xfc82fffe,0xffa807ff,0x3fff207f,0xffff9007,
    0x01ffff21,0xc87fffe4,0x00007fff,0x806fff98,0x0007fffc,0x3fbfffe6,
    0x0001efff,0x937ffec0,0x3333ffff,0xfffff953,0x0ffffcc7,0xd87fffc8,
    0xf5005fff,0x3fea3fff,0x3ea002ff,0xffff37ff,0x01ffff20,0x40bfffd5,
    0x7007fffc,0x3f23ffff,0xff7007ff,0x3fff23ff,0x74400007,0xfc804fff,
    0x2e0007ff,0xffffffff,0x00004fff,0x649ffff3,0x7dc07fff,0x3fe65fff,
    0xfff901ff,0x0bfffb0f,0x89bfff60,0x4005ffff,0xffbaffff,0xffff904f,
    0xffffdddd,0xfc80bfff,0xff5007ff,0x3fff25ff,0xffff5007,0x3fffff25,
    0xffffffff,0x3fa204ff,0xfc801fff,0xeeeeefff,0xfc83eeee,0xffffffff,
    0x40002fff,0x646ffff8,0xff807fff,0x3ffe66ff,0xffffd04f,0x00bfffb0,
    0xd87ffff1,0x2000ffff,0xffecfffc,0xffff901f,0xffffffff,0x7ffc09ff,
    0xffffffff,0x3ffff987,0x200ffff9,0xf93ffff9,0xffffffff,0x09ffffff,
    0x0fffffa2,0x7ffffe40,0xffffffff,0xbffffe84,0xfffffda9,0xfff30000,
    0xfffc85ff,0x7fffe807,0x03bfffe6,0xb0fffff7,0xf700bfff,0xff981fff,
    0x3e2003ff,0x06ffffff,0x3ffffff2,0xffffffff,0xfffff03f,0x0fffffff,
    0x329ffff1,0xf1007fff,0x3ff29fff,0xffffffff,0x884fffff,0x003ffffe,
    0x3ffffff2,0x4fffffff,0xa80dcba8,0x8003ffff,0x84fffff9,0x4407fffc,
    0x3e65ffff,0xc9aeffff,0xd87fffff,0xfe805fff,0xffff05ff,0xfffe800d,
    0x3f204fff,0xffffffff,0xefffffff,0x7fffffc1,0x987fffff,0xff94ffff,
    0x3fe600ff,0xffff93ff,0xdddddddd,0xfe887ddd,0x64004fff,0xffffffff,
    0x004fffff,0x013fffa0,0xbfffff30,0x01ffff20,0x4c9ffff9,0xffffffff,
    0x87ffffff,0x4c05fffd,0x999cffff,0x2ffffd99,0x3fffee00,0x3ff201ff,
    0x7fecc07f,0xfff905ff,0x3ffe600f,0x0ffff92f,0x4bfffea0,0x0007fffc,
    0x01ffffe4,0x4ffffe40,0x99999999,0x3ff60000,0x3fe6006f,0x3f205fff,
    0x99999fff,0x2fffffea,0x3f3fffe6,0xfffcffff,0x05fffd87,0x7fffffe4,
    0xffffffff,0x3fe2005f,0x7e406fff,0xff9007ff,0xfff901ff,0x3ffea00f,
    0x0ffff91f,0x47fffee0,0x0007fffc,0x00ffffe2,0x03fffe40,0x7fe40000,
    0xfff3006f,0xffc809ff,0xffffffff,0x4c5fffff,0xffc8ffff,0x87fff9cf,
    0x7c05fffd,0xffffffff,0xffffffff,0x3fff6000,0x7ffe403f,0xffff3007,
    0x0ffff905,0x43ffff20,0x9007fffc,0x3f21ffff,0x260007ff,0x6400ffff,
    0x3fff21ab,0x14cc0007,0x00bfffb0,0x09fffff1,0xffffff90,0xffffffff,
    0x1ffff30d,0xfd8002a2,0x3fea05ff,0xffffffff,0x3fffffff,0x3ffff200,
    0x3fffe400,0x4ffff980,0x007fffc8,0x7e4fffff,0xff8807ff,0x3fff27ff,
    0x3fe60007,0x3fee00ff,0x1ffff27f,0x7fffdc00,0x09fffd01,0x09ffffd0,
    0x3fffff20,0xffffffff,0xffff980c,0x3ff60000,0x3fff605f,0xeeeeeeef,
    0x06ffffee,0x0bffff10,0x00ffff90,0x20bffff2,0xd807fffc,0x3f23ffff,
    0xffc807ff,0x3fff22ff,0x3fe20007,0xfff103ff,0x3fffe49f,0xffff8800,
    0x1ffffb85,0x77fffe40,0x19999999,0x333ffff2,0x00abcccc,0x003fffe6,
    0x05fffd80,0x009ffff1,0x00bffff2,0x05ffffb3,0x80ffff90,0x0fffffc8,
    0x107fffc8,0x8dffffb3,0x2607fffc,0x645ffffd,0x40007fff,0x20bffffd,
    0x21ffffda,0x0007fffc,0x2b7ffffa,0x05ffffea,0xfffffff8,0x1fffffff,
    0x000ffff9,0x00ffff98,0x17fff600,0x00ffffe4,0x85ffff98,0xfffffeec,
    0xffff9006,0xfffddddd,0x20bfffff,0xeeeffffc,0xfffffffe,0x7fffe41f,
    0xffffeeee,0x7e41ffff,0xeeeeefff,0x5eeeeeee,0x3fffffe2,0x4ffffffe,
    0x003fffe4,0xffffff10,0x01dfffff,0xffffffa8,0xffffffff,0x00ffff91,
    0x0ffff980,0x3fff6000,0x0dffff05,0x0ffffe80,0x7fffffdc,0xfff9001f,
    0xffffffff,0x01dfffff,0x3ffffff2,0xffffffff,0xffffc84f,0xffffffff,
    0xffc83fff,0xffffffff,0x46ffffff,0xfffffff9,0xfc83ffff,0x4c0007ff,
    0xffffffff,0xffd800ef,0xffffffff,0xff91ffff,0xf98000ff,0x20000fff,
    0xfa85fffd,0x5c003fff,0x7dc3ffff,0x002fffff,0x3ffffff2,0xffffffff,
    0x3ff201ef,0xffffffff,0xf901efff,0xffffffff,0x203bffff,0xfffffffc,
    0xffffffff,0xfffc886f,0x902effff,0x0000ffff,0xdfffff91,0x7fffc009,
    0xffffffff,0xfff91fff,0xaa88000f,0x7ec0002a,0xfffd85ff,0x7fc4000f,
    0x6ee4c7ff,0x7e4000bc,0xffffffff,0x801cefff,0xfffffffc,0x402cdeff,
    0xfffffffc,0x402cdeff,0xfffffffc,0xffffffff,0x32a6206f,0x7fe4009b,
    0x4c00007f,0x0000009a,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0x44009998,0x3f60adfc,
    0x00000002,0x00019880,0x55500000,0x00000035,0x00000000,0x04d54400,
    0x4c000000,0x55402aaa,0x002802aa,0x005dddb0,0x402fffe8,0xddfffffe,
    0x7ffe41ff,0xbfffd007,0x441bfff6,0xdffffffd,0x2bfffb00,0x0004fffe,
    0x6c1ffff7,0xfffb5fff,0xe800000b,0xffffffff,0xffffffff,0xf501ffff,
    0x329fffff,0xe8807fff,0x981fffff,0x301fffff,0x4c03ffff,0xffff107d,
    0x01ffffc9,0x05ffff70,0x7ff6ffc4,0xffc86fff,0xfffd007f,0x21bfff6b,
    0xfffffffc,0xffd84fff,0x09fffd5f,0x1fffdc00,0x3f6bfffb,0x000005ff,
    0x3fffffea,0xffffffff,0x1fffffff,0xffffffa8,0x0ffff92f,0xfffffe88,
    0xfffffd01,0x5fffb01d,0x41fff220,0x3e4ffff8,0xf3003fff,0x5405ffff,
    0x33f6e25f,0x07fffc80,0x36bfffd0,0x7fe46fff,0xffffffff,0x7ffec4ff,
    0x009fffd5,0x366ffc80,0xfffb5fff,0x6c00000b,0xffffffff,0xffffffff,
    0xe81fffff,0x1fffffff,0xe80ffff9,0x901fffff,0x9ffd1dff,0x202fff98,
    0xf107fffb,0x7ffc9fff,0xfffd003f,0x000005ff,0x401ffff2,0xffb5fffe,
    0x7fffd4df,0xffeb99cf,0x3fff62ff,0x009fffd5,0x365ffb00,0xfffb5fff,
    0x2600000b,0xfeacffff,0xeeeeefff,0x81eeeeee,0x410dffff,0x3607fffc,
    0x302fffff,0x3fe63fff,0x00fff22f,0x220ffff7,0x3b64ffff,0xffc802ee,
    0x0002ffff,0x0ffff900,0x6d7fffa0,0x3ffa6fff,0xfffd00ff,0xeafffecd,
    0x00004fff,0xffd80133,0xb000005f,0x7fecdfff,0x7c40006f,0xff902fff,
    0x3fff60ff,0x266202ff,0x3304cc40,0xffff7003,0x13fffe20,0xffff9800,
    0x64402fff,0x0ceffffe,0x007fffc8,0x3f6bfffd,0xffff16ff,0x3fffd407,
    0x3fabfffb,0x000004ff,0x02fffec0,0x7ffc4000,0x1bfff63f,0xffff1000,
    0x1ffff203,0x0bfffff2,0x54000000,0xeeffffee,0x13fffe25,0xffffe800,
    0x3ee02fff,0xffffffff,0x3fffe41f,0xb5fffe80,0x3322dfff,0x7ffcc06e,
    0x2bfffb0f,0xea84fffe,0xdd905eee,0x53bbb29d,0xb915fffd,0x90007bff,
    0x7ec1ffff,0xd70006ff,0xdddffffd,0x23fffe47,0x02fffffb,0x82777640,
    0xfb84eeec,0x7fffffff,0x0027fffc,0xffafffc8,0xfff502ff,0xffffffff,
    0x3fffe43f,0xb5fffe80,0x2000dfff,0x3f66fffb,0x9fffd5ff,0x0effffa8,
    0x36bfffb0,0xfffb5fff,0xfffffd3b,0x3e2001bf,0x7fec4fff,0xff90006f,
    0x9fffffff,0xf73fffe4,0x0007ffff,0x360bfffb,0xffb85fff,0x47ffffff,
    0x8003fffe,0xfff5fff9,0x3fffa05f,0xfffdbabe,0x1ffff24f,0xdaffff40,
    0xa8006fff,0x3f64ffff,0x9fffd5ff,0x0fffffcc,0x36bfffb0,0xfffb5fff,
    0xfffffffd,0x3f2009ff,0x7fec0fff,0xff90006f,0x9fffffff,0xfabfffe4,
    0x0003ffff,0x360bfffb,0xeea85fff,0x45eeffff,0x8002fffd,0xfff0fffe,
    0xfffd105f,0x4bfffd03,0xfffffffc,0xffffffff,0xdfffb5ff,0xffffb800,
    0x57fff60f,0xff14fffe,0xfd803fff,0xbfffb5ff,0x3bfffff6,0xfffffcab,
    0x7fffc400,0xfffffd85,0xffffffff,0x3ffbae2f,0x323eeeff,0xfffaffff,
    0xb0002fff,0x3f60bfff,0x3fee05ff,0x3fff607f,0x7ffe4001,0x00bfffe2,
    0x3ffee033,0x3fffff26,0xffffffff,0xffb5ffff,0x7fdc00df,0x7fec1fff,
    0x19fffd5f,0x003ffffd,0x3f6bfffb,0xffffb5ff,0x5ffff70d,0x1ffffb80,
    0xffffffd8,0xffffffff,0x1ffff882,0xffffff90,0x01ffffff,0x0bfffb00,
    0xb817fff6,0x3f207fff,0x3e6001ff,0x7fffc5ff,0x764c4002,0x3ff26fff,
    0xffffffff,0x5fffffff,0x200dfffb,0x81fffffa,0xffd5fffd,0x5ffffb9f,
    0x57fff600,0xffb5fffd,0x3ffe01ff,0x7fffc02f,0xfffffb06,0xffffffff,
    0xffff105f,0x3ffff203,0xffffffff,0xfffd8005,0x0bfffb05,0x703fffdc,
    0x55541fff,0x3fffa20a,0x017fffc0,0x7ffff64c,0x3ff26fff,0xffffffff,
    0x5fffffff,0x300dfffb,0x201dffff,0xffd5fffd,0x09ffffff,0xdafffec0,
    0xfffb5fff,0x1ffffc0f,0x05ffff50,0x3bbffff6,0xeeeeeeee,0x1ffff881,
    0xffffff90,0x5ffffd7f,0x5fffd800,0x40bfffb0,0x2a07fffb,0x7fffc7ff,
    0x20bfff23,0x3202ffff,0xffffffff,0x3ff26fff,0xfffd007f,0x01bfff6b,
    0x803bfff6,0xffd5fffd,0x1fffffff,0x57fff600,0xffb5fffd,0x7fffc0df,
    0x3ffffa03,0xfeaaaaaa,0x440006ff,0xf901ffff,0x2a7fffff,0x000fffff,
    0x6c17fff6,0x3ee05fff,0x3fe607ff,0x99ffffc6,0xccccffff,0xccdffffc,
    0x3fffff60,0x6fffb9bd,0x401ffff2,0xffb5fffe,0xfffd00df,0x5fffd803,
    0xfffffffd,0x3f600bff,0xbfffb5ff,0xe817fff6,0xff503fff,0xffffffff,
    0x00dfffff,0x1ffff880,0x9fffff90,0x04ffffe8,0x417fff60,0x2e05fffd,
    0x3e607fff,0x9ffffc6f,0xfffffffa,0xffffffff,0x7ffff50f,0x26fffb81,
    0xd007fffc,0x3ff6bfff,0x7ffc406f,0x5fffd807,0xfdfffffd,0xfb003fff,
    0x3fff6bff,0x40bfffb5,0xfd03fffe,0xffffffff,0x0dffffff,0xffff8800,
    0x9ffff901,0x5fffff30,0x17fff600,0x702fffec,0x7c40ffff,0x97fffc5f,
    0xfffffffa,0xffffffff,0x0dfff90f,0xfc9bfff2,0xffd007ff,0x1bfff6bf,
    0x00dfff30,0x3fabfffb,0xfffb4fff,0xbfffb00d,0x7ed7fff6,0x3ffa05ff,
    0xffff983f,0xffffffff,0x0006ffff,0x80ffffc4,0x3207fffc,0x800effff,
    0xfb05fffd,0x7fdc0bff,0x827fc07f,0xffff51ff,0xffffffff,0x3f61ffff,
    0xffe885ff,0x1ffff26f,0xdaffff40,0x00006fff,0xfd5fffd8,0x7ffccbff,
    0x7ffec02f,0x36bfffb5,0x3fa05fff,0xfffd83ff,0xcccccccf,0x006ffffc,
    0x0ffffc40,0x207fffc8,0x04fffff8,0xb05fffd8,0x7dc0bfff,0x260007ff,
    0x555510ff,0xfff55555,0x3f21559f,0x3f662fff,0x3ff27fff,0xfffd007f,
    0x01bfff6b,0x80155551,0xffd5fffd,0xffffd89f,0x57fff600,0xffb5fffd,
    0x7fff40bf,0x2ffffcc3,0x037fff40,0x3fffe200,0x0ffff901,0x1fffffb8,
    0x82fffec0,0x2a05fffd,0x44acffff,0x3a61aaaa,0xfff8004f,0xffffa82f,
    0xfffffeff,0x1ffff27f,0xdaffff40,0x7cc06fff,0x7ec01fff,0x9fffd5ff,
    0x04ffff88,0x7ed7fff6,0xbfffb5ff,0x21ffff40,0x802ffffc,0xeeeffffe,
    0xeeeeeeee,0x0ffffc43,0x807fffc8,0x406ffffe,0xfb05fffd,0x7fcc0bff,
    0x3a0fffff,0xdff13fff,0xffff0001,0x3ffff605,0xfffbffff,0x0ffff91f,
    0x6d7fffa0,0x7cc06fff,0x7ec01fff,0x9fffd5ff,0x01ffff90,0x7ed7fff6,
    0xbfffb5ff,0x11ffff40,0x200dffff,0xfffffffe,0xffffffff,0x0ffffc44,
    0x807fffc8,0x04fffffa,0x6c17fff6,0x7f405fff,0x3a1fffff,0x01363fff,
    0x02ffff80,0x37ffffee,0x329fffb0,0xfd007fff,0x3fff6bff,0x7fffcc06,
    0xafffec01,0xf884fffe,0xffb05fff,0x57fff6bf,0x3a05fffd,0x3ff23fff,
    0xffd003ff,0xffffffff,0x889fffff,0xf901ffff,0x3f600fff,0xfb01ffff,
    0x3ff60bff,0x7ff4405f,0x3ffa1eff,0x3e00003f,0xa9802fff,0x3fff2001,
    0xbfffd007,0x301bfff6,0xd803ffff,0xfffd5fff,0x3fffee09,0xb5fffd81,
    0x3ff6bfff,0x3fffa05f,0x1fffff13,0x3ffffa00,0xffffffff,0x7fc44fff,
    0xfff901ff,0x3ffe200f,0xfffb06ff,0x17fff60b,0xfe80d440,0x000003ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x37f22000,0x0000ff42,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3ffff600,0x7fe402ff,
    0xff94ffff,0xff9003ff,0x7fffecbf,0xffff1005,0x3ffff21f,0xefffffff,
    0x3fffa004,0x00ffddff,0x807ffffd,0x42fffff8,0xfffffff9,0xffffffff,
    0x7ffff44f,0x3fff2001,0xfffff91f,0xdfffffff,0xfff98059,0xffffffff,
    0x27ffffff,0x6407fffd,0x201fffff,0xd81ffffa,0x04ffffff,0x7ffffff4,
    0x0dffff94,0x44bfff90,0x802fffff,0x323ffffd,0xffffffff,0x01efffff,
    0x7ff6ffcc,0x3e606fff,0x3200ffff,0xf985ffff,0xffffffff,0x4fffffff,
    0x027fffdc,0x64dffff0,0xffffffff,0x4fffffff,0x3ffffe60,0xffffffff,
    0x3ee7ffff,0x3fa01fff,0x3203ffff,0xffb07fff,0x440fffff,0x4fffffff,
    0x07fffff9,0x545fffc8,0x5406ffff,0x7e46ffff,0xffffffff,0x03ffffff,
    0xfeb893ee,0x7ffe400c,0xffff305f,0xffff301f,0xffffffff,0xf889ffff,
    0xf5006fff,0x7fe47fff,0xffffffff,0x0dffffff,0xffffff98,0xffffffff,
    0x3fe67fff,0xfff102ff,0x7f40bfff,0xfffb05ff,0x2a03ffff,0x4fffffff,
    0x1ffffff9,0x42fffe40,0x203ffffd,0x641ffffe,0xeeeeffff,0xfffffffe,
    0xe8000000,0xfe82ffff,0xdd303fff,0xdddddddd,0x07ffffff,0x003ffffb,
    0x641ffff9,0xeeeeffff,0xfffffeee,0xeeee982f,0xeffffeee,0x7c6eeeee,
    0xff504fff,0x220fffff,0xfb03ffff,0x07ffffff,0x3ffffff2,0xfffff94f,
    0x7ffe40bf,0xfffff885,0x4ffffb80,0x207fffc8,0x04fffffb,0xffa80000,
    0x3fee0fff,0x880006ff,0x506fffff,0xf009ffff,0xffc8dfff,0x7fec407f,
    0x7dc005ff,0xfd000fff,0x3ff20dff,0x981fffff,0xfb01ffff,0x0bfffdff,
    0x3ffbfffa,0xfffff94f,0x3ff205ff,0xffff705f,0xfffff88b,0x07fffc80,
    0x037fffd4,0x33bff6e6,0x3fff2002,0xfffff14f,0xffd00003,0x7fc01dff,
    0x7fcc07ff,0x7ffe43ff,0xfffff007,0xffffb800,0xffff9000,0xfffffd01,
    0xfff707ff,0x67ffec0f,0xff887fff,0x94fffdef,0xdfffffff,0x817fff20,
    0x321ffffe,0xf902ffff,0xfff00fff,0x3ffa20ff,0x0dffffff,0xfffff880,
    0x03ffffc9,0xffffd800,0x7ffe401f,0x3fff201f,0x3fffe40f,0x0ffffc80,
    0x3fffee00,0xffff5000,0xcffff883,0xffd85fff,0x3fff606f,0x541fffdc,
    0xfffdcfff,0xffffff94,0xfff907ff,0x7fffcc0b,0x0bffff36,0x403fffe4,
    0xe886fffe,0xffffffff,0xfa801fff,0xffffefff,0xffb80006,0xfa802fff,
    0x3fe04fff,0xfffc85ff,0xffffb007,0xffffb800,0xffff1000,0x9dfffa87,
    0xfff87fff,0x3fff604f,0x643fffbc,0xfffdafff,0xfdbfff94,0xffc81fff,
    0x7ffe405f,0x0ffffebf,0x01ffff20,0x88bffff3,0xcceffffe,0x006ffffe,
    0xfffffffb,0xf980003f,0x2004ffff,0xf307ffff,0xff905fff,0xfff300ff,
    0xffb800df,0x3fa000ff,0x7ffec5ff,0x443ffff3,0x3602ffff,0xfff9cfff,
    0x6c7fff45,0xfff94fff,0x8bffff5b,0x4405fffc,0xffffffff,0x7ffe403f,
    0x3fffa607,0x7fffec3f,0x3ffffc83,0xfffff880,0x440004ff,0x005fffff,
    0x40ffffe4,0xc80ffffc,0xaaaaffff,0xffffcaaa,0x7fdc002f,0x3f2000ff,
    0x7fffc7ff,0x547fffb1,0x3600ffff,0xffff4fff,0xfdb7ffc4,0xbfff94ff,
    0xc8bffff6,0xfa805fff,0x06ffffff,0xccffffc8,0xffffedcc,0x7fffc1ff,
    0x1ffffa04,0x7ffffdc0,0x7f40000e,0x4000efff,0xf84ffff9,0xff905fff,
    0xffffffff,0x0bffffff,0x1ffff700,0x7fffd400,0x5cffff30,0x3ff25fff,
    0x7ffec06f,0x2a3fffb4,0xfffb4fff,0x457fff29,0xf90effff,0x3f600bff,
    0x801fffff,0xfffffffc,0xffffffff,0x07fffcc3,0x01ffff50,0xdfffff70,
    0xfffd8000,0xfd0001ff,0xfff98fff,0xffff902f,0xffffffff,0x20007fff,
    0x000ffffb,0x5cbfffe2,0x3fe65fff,0x13fffa7f,0x2e9fffb0,0xfff94fff,
    0x653fff65,0x3fee5fff,0xbfff94ff,0x3fffe200,0xfff9004f,0xffffffff,
    0xff709fff,0xfff880ff,0x7ffc402f,0x0003ffff,0x05fffff7,0x7fffdc00,
    0x81ffff22,0xfffffffc,0x0bdfffff,0x3ffee000,0x7ffc000f,0x87fffb4f,
    0xff89ffff,0x7fec02ff,0x2dfff34f,0xffb0ffff,0x17fff29f,0xf93ffffd,
    0x7e400bff,0xf9000fff,0xffffffff,0x3203bfff,0xff806fff,0x7fec03ff,
    0x00ffffff,0x7ffffd40,0x7fc40003,0x3fffa4ff,0x3ffff204,0xffffdcaa,
    0x7dc0000e,0x6c000fff,0xffff5fff,0x9bfffd83,0x6c00ffff,0x3ffe4fff,
    0x366fff9f,0xfff94fff,0xeffff98b,0x2005fffc,0x2007fffc,0x999ffffc,
    0xfb800999,0x7fc407ff,0x3fea02ff,0x5fffffff,0x3fffe200,0xfd00005f,
    0x3ffe6fff,0x3fff201f,0xfffffb87,0x3fee0002,0x7dc000ff,0x7fff9fff,
    0xfbdfffb8,0xffd806ff,0x3bfff64f,0x3ff64fff,0x0bfff94f,0xfffffff9,
    0x7fe400bf,0x3ff2007f,0x7cc0007f,0x7fcc07ff,0xfff101ff,0xffffd7ff,
    0xfffd1007,0x5c0000df,0xffcaffff,0x7ffe406f,0xfffff907,0x3fee0003,
    0x7cc000ff,0x4fffdfff,0xfdffff88,0xffd804ff,0x3fffee4f,0x3ff62fff,
    0x0bfff94f,0xfffffff1,0x7fe400bf,0x3ff2007f,0xff80007f,0x3ff203ff,
    0x3fff607f,0xfffff55f,0xffffd801,0x2200000f,0xffedffff,0x7ffe403f,
    0x3ffffa07,0xfff70006,0xfff0001f,0x205fffff,0xfffffffe,0x4fffd802,
    0x3fffffe6,0x53fff60f,0xf505fffc,0x0bffffff,0x03fffe40,0x00ffff90,
    0x3ffffd00,0x09ffff50,0x83ffffea,0x205ffffd,0x01fffffb,0xfffd8000,
    0x401fffff,0x2207fffc,0x004fffff,0x00ffffb8,0xfffffd80,0xfff900ff,
    0xb001ffff,0xfff89fff,0x7fec6fff,0x0bfff94f,0x7fffffec,0x3fff2005,
    0x3fff2007,0xffa80007,0xfcaabfff,0xf880efff,0x7c43ffff,0xfa83ffff,
    0x0003ffff,0xfffff500,0xff900dff,0xfffb80ff,0x7dc001ff,0xb8000fff,
    0x06ffffff,0x3fffffea,0x9fffb007,0x4fffffd8,0xfca7ffec,0x3fe605ff,
    0x2005ffff,0x2007fffc,0x0007fffc,0xffffff50,0x05ffffff,0x41bffff6,
    0x40fffffa,0xeefffffc,0xeeeeeeee,0xf8800eee,0x03ffffff,0x807fffc8,
    0x006ffffe,0x007fffdc,0x7ffffcc0,0x3ffe204f,0xfb005fff,0xfffb89ff,
    0x7ffec2ff,0x80bfff94,0x05fffffc,0x01ffff20,0x007fffc8,0x3fffea00,
    0x01efffff,0x03fffff5,0x22ffffec,0xfffffffc,0xffffffff,0xfb000fff,
    0x001fffff,0x100ffff9,0x007fffff,0x007fffdc,0x7ffffc40,0x7fff402f,
    0xffb003ff,0xffff989f,0xa7ffec0f,0xe805fffc,0x2005ffff,0x2007fffc,
    0x0007fffc,0x7fff64c0,0x3fe204ef,0x7c404fff,0x3f23ffff,0xffffffff,
    0xffffffff,0xfff5000f,0x3f200bff,0xff7007ff,0x2e001fff,0x0000ffff,
    0x01fffffd,0x1fffffc8,0x09fffb00,0xfb0dffff,0x3fff29ff,0xffffa805,
    0x3fff2005,0x3fff2007,0x4c000007,0xfffc8009,0xfff7006f,0x3fff21ff,
    0xffffffff,0x0fffffff,0x3ffffe00,0xffff9002,0x7fffec00,0xffff7005,
    0x3ff20001,0xffa806ff,0x000007ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xeea80000,0xeb8000ee,
    0xeeeeeeee,0x882eeeee,0x0ff42dfc,0x05eee880,0x4ccccccc,0x99999999,
    0x00500001,0x00000000,0x00000000,0x00000000,0x00000000,0x7ffdc000,
    0xffc8000f,0xffffffff,0xfe83ffff,0xffddffff,0xdfff1000,0xaaaaad80,
    0xaaaaaaaa,0x3b2a00ca,0xbf72deff,0x3ffb2a01,0x03b700cd,0x7f644000,
    0x800cefff,0xcefffdc8,0xffdb5000,0x2a005bdf,0x0cefffed,0x37bffd91,
    0x3d500000,0x3223bbb6,0x3fee2dff,0xfc8000ff,0xffffffff,0x4c3fffff,
    0xffffedff,0x3fe2006f,0x0001c06f,0xfffb1015,0xffdfffff,0x3ffff60b,
    0xfb82ffff,0x5c0002ef,0xffffffff,0x3fee01ff,0x3fffffff,0x3ffffa20,
    0x00efffff,0xfffffff1,0xffffbfff,0x000dffff,0x23fff710,0xffd9fffe,
    0x3ffee5ff,0xffc8000f,0xffffffff,0x7dc2ffff,0x02ffae24,0x06fff880,
    0x8150001c,0xfffffff9,0xd06fffff,0xffffffff,0xfffb89ff,0x54000bff,
    0xffffffff,0xfc81ffff,0xffffffff,0xfffb03ff,0xffffffff,0xfffff10d,
    0xffffffff,0xffffffff,0x3f26000b,0xffd1ffff,0x5fffffdf,0x007fffdc,
    0x555554c0,0xfffeaaaa,0x10000004,0x0380dfff,0xfe882a00,0xfebacfff,
    0xffb87fff,0xfffbbfff,0x3ffee0ff,0x001cffff,0x757dfffd,0x989ffffb,
    0xdbefffff,0x4c0fffff,0xa89bffff,0x642ffffd,0xdbadffff,0xbeffffff,
    0x04ffffca,0x3ffff6a0,0xfffd1fff,0xb8ffffff,0x0000ffff,0x0bfff500,
    0x7c400000,0x001c06ff,0x7ffe4150,0x7fff441f,0x3fffe23f,0x24fffd84,
    0xffffffd9,0x3a202dff,0xffe81fff,0x77fff45f,0x1ffffcc1,0x6c13ffee,
    0x7fec1cdf,0xffffd83f,0x7fffcc0f,0x3ffae201,0x0cffffff,0x23dffffd,
    0x7fffdc29,0xf8800000,0x77640fff,0xbffb711e,0xddddd107,0xdddffffd,
    0x8000ebdd,0x7ffff10a,0xffffffb0,0x407fffdc,0x440ffffa,0xffffffeb,
    0x06600bef,0xf137ffdc,0x3b605fff,0x7ffdc1bc,0x310000bf,0x0ffffea0,
    0x441fffe4,0xfffffffc,0xfffe82df,0x7ffdc02f,0xd800000f,0xffd83fff,
    0xfffff9af,0x3fe60eff,0xffffffff,0x076fffff,0xff985400,0xfbffc87f,
    0xfff91fff,0x0ffffc0d,0xfffff930,0x10019fff,0x4dfffd93,0x000ffffa,
    0xffffff30,0x9800059d,0x01ffffeb,0x6ccdfff5,0xffffffff,0x3fffa00b,
    0xffffb806,0x7d400000,0xfffb06ff,0xfffffffb,0x7ffccbff,0xffffffff,
    0x0076ffff,0xfffb8540,0xff9ffdc6,0xffffb2ff,0xffdddddd,0x3aa005ff,
    0x02ffffff,0xfffffd93,0x7ffdcdff,0x7ff40007,0xdfffffff,0xffeca802,
    0xeeffffff,0xfffeeeee,0x3ffffee7,0xffd002df,0xfff700bf,0xe800001f,
    0xffb02fff,0xf957dfff,0x3e61ffff,0xffffffff,0x76ffffff,0xfc854000,
    0x93fea5ff,0xfff4fffe,0xffffffff,0x8007ffff,0x42ffffe9,0xfffffffc,
    0x3f26ffff,0x440006ff,0xfffffffe,0xfb80dfff,0xffffffff,0xffffffff,
    0x2e7fffff,0x000effff,0x4027fff4,0x000ffffb,0x1fffe600,0x86ffffd8,
    0x512ffffb,0xfff75555,0x2555555d,0x5c2a0003,0xbff36fff,0xfd3fffe8,
    0xffffffff,0x009fffff,0x3fffff26,0x3ffff62f,0xfffb9bdf,0x01fffee6,
    0x7ffecc00,0x45ffffff,0xcefffffb,0xffffffaa,0xffffffff,0xfffff70f,
    0x3fa0019f,0xffb804ff,0x200000ff,0x3604fffd,0xf880ffff,0x7c402fff,
    0x001c06ff,0x3ffea150,0x7c0eff9f,0xfffb1fff,0x2a20000b,0xfffffffe,
    0x7ffff51e,0x26fffb81,0x100ffffa,0xdb980013,0x10ffffff,0xa83bffff,
    0x8001ffff,0xfffffff9,0x7ff402df,0xfffb804f,0xf300000f,0x7ec01fff,
    0x3ffe06ff,0x7ffc403f,0x50001c06,0x3ffffe21,0x7ffd40ff,0x1ffff90f,
    0x3f260060,0xdfffffff,0x837ffe41,0x3e66fffc,0xff902fff,0x202a60bf,
    0x51ffffc8,0x3ee0ffff,0x01104fff,0xfffffea8,0xfe81cfff,0xffb803ff,
    0x900000ff,0xfd80bfff,0x3ffe05ff,0x7ffc403f,0x50001c06,0x7ffffec1,
    0x2ffff441,0x707ffff3,0x2e21bdff,0xfffffffe,0xfffb00cf,0xdfffd10b,
    0x40effff8,0x224ffff8,0xf305fffe,0x3ff23fff,0xffffd07f,0x0fbffa0f,
    0xfffffc98,0x3fa2dfff,0xffb803ff,0xf00000ff,0xfd805fff,0x3ffa05ff,
    0x7ffc403f,0x50001c06,0x7ffffc41,0xffffa89b,0x7ffff40f,0xdffff51c,
    0x7fffffdc,0x7e400bef,0x3f662fff,0x7fd47fff,0xfeb9beff,0x7fec1fff,
    0x3f660bff,0x3ffea7ff,0x3fff223f,0xd98aefff,0x8802ffff,0xfffffffc,
    0x07fffd1f,0x01ffff70,0xffff3000,0x0bfffb00,0x201ffff4,0x1c06fff8,
    0xfd815000,0xffffffff,0xff982fff,0xffffffff,0x3ffee1ff,0x2a002dff,
    0xfeffffff,0xe87fffff,0xffffffff,0xff884fff,0xfffeffff,0x3fe22fff,
    0xfffeffff,0xffffffff,0x005fffff,0xfffffea8,0x007fffd1,0x001ffff7,
    0x09fff700,0x40bfffb0,0x4403fffe,0x01c02aaa,0x7fd41500,0xffffffff,
    0x3fa602ef,0xffffffff,0x0e7ffdc2,0xffffd800,0xfffbffff,0x7ffec41f,
    0x05ffffff,0x3fffffe6,0xb84fffff,0xffffffff,0xffffd9df,0x00efffff,
    0x3fff6600,0x007fffd1,0x001ffff7,0x07fffb00,0x40bfffb0,0x2663fffe,
    0x99999999,0x07099999,0xff885400,0xfffffc9d,0xec8800ce,0x81cfffff,
    0x80000bfb,0x0dfffffb,0x2a09fffb,0x2efffffe,0xffffb880,0x2a01dfff,
    0x1dfffffe,0x7fffff54,0x2200003e,0x7fffd1fc,0x1ffff700,0xffff0000,
    0xbfffb005,0x99ffff40,0xffffffff,0x6fffffff,0x70540007,0x0013530d,
    0x004d4c40,0x26000001,0x5300001a,0x26200013,0x4c40019a,0x13530009,
    0x04400000,0xffff7000,0xdddddddd,0xff109ddd,0xffb003ff,0x7fff40bf,
    0xffffff33,0xffffffff,0xa8000edf,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7fffdc00,0xffffffff,0xff985fff,0xffd800ff,
    0x3fffa05f,0xffffff33,0xffffffff,0x333336df,0xcccccccc,0x00000dcc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7dc00000,0xffffffff,
    0x85ffffff,0xb007fffa,0x7f40bfff,0xffff33ff,0xffffffff,0x0000dfff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3fffee00,
    0xffffffff,0xffb85fff,0xfffb006f,0x1ffff40b,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xc80dddd3,0x3ba03eee,0x000002ee,0xd3000000,0xd301bddd,
    0xeed8bddd,0xeeeeeeee,0x3bbb25ee,0x77774405,0x76400002,0xddd702ee,
    0x17bbaa09,0x002aaa60,0x0507ddd9,0x55440140,0x3f6e6000,0xa8002cef,
    0x7ec07fff,0x3ffe04ff,0xa9bbba2f,0x540bdfed,0x640bdffd,0xfb711eee,
    0x3ff607bf,0xfffe84ff,0x7ffff41f,0xffffffff,0x07fffea7,0x40ffffb8,
    0x42d401d8,0xfd05fffb,0x3ff20fff,0xfffc804f,0x27fff402,0x0aa98ff6,
    0x7f5c13f2,0x2203ffff,0xfffffffe,0x3ea000df,0x7fec07ff,0x3fffe04f,
    0x323fffe2,0x0effffff,0xdffffffb,0x4d7ffec1,0xefffffff,0x7ffff440,
    0x0fffff21,0x3ffffffa,0x47ffffff,0x3a04fffe,0x7f444fff,0x8bff501f,
    0x440ffff8,0xf81fffff,0xfc802fff,0x7ff402ff,0x37fff64f,0xfdefffff,
    0x7ffcc3ff,0x881fffff,0xfffffffe,0x5001ffff,0xfd80ffff,0x3ffe04ff,
    0x37fffe2f,0xffffffff,0xffffffee,0x3fff65ff,0xfffffffd,0xfff985ff,
    0xbffff36f,0x3fffffa0,0x6fffffef,0x983fffdc,0x3a21ffff,0x7d41ffff,
    0x7ff44fff,0x7fffd42f,0x3fffcc3f,0x02fffc80,0xe8a7fff4,0xffffffff,
    0x44ffffff,0xfe88bffc,0x7fff443f,0xfffeccef,0x9993006f,0x4fffd809,
    0xf8bfffe0,0xbadfffff,0xdffffffe,0x0fffffca,0x7dfffffb,0x1fffff95,
    0xd9ffff90,0x0001ffff,0x81dffff7,0xc82ffff8,0xffc86fff,0xfff51fff,
    0xfffb85ff,0x7ffffe44,0x02fffdc5,0x402fffc8,0x3a23eeec,0xffffffff,
    0x8604ffff,0x7ec4ffd8,0xffc83fff,0x800003ff,0x3e04fffd,0x3ffe2fff,
    0x7ffd43ff,0x7ffcc4ff,0xdffffb1f,0x05ffff70,0x3ffffffa,0xfa8002ff,
    0xfb01ffff,0xffff0bff,0x3ffff207,0x2fffffbf,0x746fff98,0x747fffff,
    0xf9002fff,0xa80005ff,0xfcbfffff,0x5100ffff,0x89ffffd9,0x3a04ffff,
    0x2aa27fff,0xaaaaaaaa,0xfb2aaaaa,0x7ffc09ff,0x17fffe2f,0xf837fffc,
    0xfffb3fff,0xffff101f,0x3fffe205,0xa8004fff,0x202fffff,0x2a0ffffa,
    0x3200ffff,0xffffffff,0x3fffa02f,0xffdfff11,0x3fffe23f,0x555554c0,
    0xaaacfffd,0xffb000aa,0xfffd889f,0xfffff983,0x3fe64fff,0x3fea00ff,
    0xffff30ff,0xffffffff,0x3ff6dfff,0x3fffe04f,0x40ffffe2,0xfd05ffff,
    0x3fff67ff,0x0ffffe06,0xefffffb8,0x7ffcc000,0xffe803ff,0x13fff63f,
    0x3fffff20,0x7fe402ff,0xf5fff53f,0x3ffea7ff,0xfffffc85,0xffffffff,
    0xfff003ff,0xbfff501f,0x915bfff0,0x7ffdc9ff,0x7fffc407,0xffffff32,
    0xffffffff,0x13fff6df,0x3e2ffff8,0xfff03fff,0x3fffa09f,0x40bfffb4,
    0x7c03ffff,0x4005ffff,0x04fffff8,0x22dfff70,0xb001ffff,0x007fffff,
    0x3f2bfff3,0x32bffd7f,0xffc83fff,0xffffffff,0x003fffff,0x7fc0dfff,
    0x23ffcc6f,0x3ff24ffe,0xffff806f,0xffffff33,0xffffffff,0x13fff6df,
    0x3e2ffff8,0xffd02fff,0x3fffa09f,0x40bfffb4,0x3203fffe,0x02ffffff,
    0xbffffd10,0x7fffc400,0x006fffa8,0xfffffff5,0x1ffff003,0x3ff2bfff,
    0x80ffff8f,0xfffffffc,0xffffffff,0x1ffff003,0x88bfff30,0xffc8afff,
    0x1fffee5f,0x25ffff10,0xccccccc8,0xcccccccc,0x20bfffb3,0x3e2ffff8,
    0xffd02fff,0x3fffa07f,0x40bfffb4,0xf303fffe,0x1fffffff,0xdffffb00,
    0x7fffb000,0x5007fffb,0xffffffff,0xfffc803f,0xff53fffb,0x20dfff7f,
    0xfeccccca,0xcccccdff,0x9fffb001,0xb09fffb0,0xffffffff,0x03fffccb,
    0x007fffe6,0xbfffb000,0x8bfffe60,0xfd02ffff,0x3ffa07ff,0x0bfffb4f,
    0xe81ffff4,0xffffffff,0x7fffe405,0xffa8000e,0x00ffffef,0x6fffffd4,
    0x201fffff,0xfffffffa,0xffffff11,0xffc8007f,0x7d40002f,0xffbbefff,
    0xfd980fff,0x47ff9dff,0x3203ffff,0xa8807fff,0x7fdc02aa,0xfffe80ff,
    0x0bfffe2f,0xe81ffff4,0xfffb4fff,0x1ffff40b,0x6d7fffe4,0xf703ffff,
    0x0001dfff,0x7ffffff4,0x7fffd405,0xfffff92f,0x7ffffc03,0x7fffec7f,
    0x7e4000ff,0x555402ff,0x7fffe41a,0xffffffff,0x74004c03,0xfa81ffff,
    0xfa804fff,0x7fd407ff,0xffb51dff,0x7ffc5fff,0x7fffd02f,0x6d3fffa0,
    0x3fa05fff,0x7ffd43ff,0xfffff15f,0xfffffa81,0xeeeeeeee,0x3ffee02e,
    0x7fc01fff,0x7fe42fff,0x3ff605ff,0x7fdc5fff,0xc8006fff,0x7f402fff,
    0x3fff24ff,0xffffffff,0x80003fff,0xabfffffa,0x0effffca,0x07fffa80,
    0x7fffffc4,0xfffeffff,0x40bfffe2,0xfd03fffe,0x3fff69ff,0x8ffffa05,
    0x20fffff8,0x5c6ffffb,0xffffffff,0x03ffffff,0x1bffffe2,0x40bffe60,
    0x2a00effc,0x4c2fffff,0x003fffff,0x402fffc8,0x3f64fffe,0xfffffeff,
    0x004fffef,0xfffff500,0x5fffffff,0x1fffea00,0x3ffffea0,0xfffd9fff,
    0x40bfffe2,0xfd03fffe,0x3fff69ff,0x8ffffa05,0xd82ffffd,0x3ee3ffff,
    0xffffffff,0x403fffff,0x003ffffd,0x0ec805f3,0x7ffffc40,0x1fffff80,
    0x2fffc800,0x227fff40,0x557514fd,0x00002fec,0x3fffffea,0x2001efff,
    0x5007fffa,0x21bffffd,0x3fe2fffd,0xfffd02ff,0x53fffa07,0x3a05fffd,
    0xfff73fff,0x3ffe20bf,0xffff71ff,0xffffffff,0xffa807ff,0x002000ff,
    0xfffd8004,0x0dfffb06,0x07332a00,0x709fffd0,0x00001c00,0xffffec98,
    0x0000004e,0x7c001a88,0xffd02fff,0x3fffa07f,0x40bfffb4,0x0003fffe,
    0x00000000,0x00000000,0x00000000,0x00000000,0x33000000,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2a200000,0x06aaa0aa,0x4c555300,0xaa8802aa,
    0x0062000a,0x55302a98,0x13531001,0xeeeeeeb8,0xeeeeeeee,0xddddd72e,
    0xdddddddd,0x2aa205dd,0x06aaaa00,0x00006a62,0x376e6000,0x06aa200a,
    0x57777040,0x315dddc0,0x33325777,0x802ccccc,0x3ff25ffd,0xfff3000e,
    0x013ffe25,0x2013fff6,0x00cfffdb,0xfd517fe6,0x3201bfff,0x323fffff,
    0xffffffff,0x3fffffff,0xfffffff9,0xffffffff,0x80bfe607,0x7dc4fffd,
    0x7cc1efff,0xfff14fff,0x3ffff29f,0x7ffffec1,0x7ffff542,0x54b900be,
    0xf980ffff,0x3ff21fff,0xffffff5f,0xff300bff,0x13ffe27f,0xfb37ff40,
    0xff9801ff,0x3ea00fff,0x705fffff,0x7fd4bfff,0x40ffffff,0xfffffffa,
    0xffffff90,0xffffffff,0x3ffff27f,0xffffffff,0xff103fff,0x27ffec05,
    0xfffffff7,0xa7fffcc3,0xf94ffff8,0x26083fff,0x3ffee6ff,0xbdffffff,
    0x7dc5feba,0xfffd83ff,0xfafffe41,0x5fffffff,0x21fff900,0x6402fffb,
    0xfff51fff,0xffff9005,0x87ff409f,0x3fe61ffd,0x3ffa5fff,0x44fffcbe,
    0x9ff51ffe,0x3ffffff2,0xffffffff,0xfffff93f,0xffffffff,0xf866c7ff,
    0x7ec1b51f,0x7fff14ff,0x7ccdff93,0xfff14fff,0x3ffff29f,0xff3ffc01,
    0xffffffff,0x0bffffff,0xff98dff9,0x5fffc82f,0xffffffff,0x3ffe200b,
    0x403fffa6,0xff14fff9,0xfff100df,0x2201ffff,0xc87ff619,0xf35ffdff,
    0x3ffdc3ff,0x7fcc7991,0x33333316,0x33333333,0x26666213,0xc9999999,
    0xfff13fff,0x7ffd7ff9,0xfb9fffec,0x987fe42f,0xff14ffff,0x3ffee9ff,
    0xd955711f,0x77ffc7ff,0xffffffed,0xf904ffff,0x81ffe45f,0xddd5fffc,
    0x009ddddd,0xfa9fffdc,0xffe885ff,0x03fffb0f,0xffdfff90,0xfff9007f,
    0xff98bb89,0xfa8fff75,0x7fec00ff,0x00000004,0xfa9fffe4,0xffffffff,
    0xf93fd85f,0x12ffa81f,0x7fc7ffff,0xffff54ff,0x3ffffea1,0x2206fc4f,
    0xffffffeb,0x3304cc04,0x00000003,0x3a3ffff0,0x7fec2fff,0x0bfff73f,
    0xf3ffff10,0xffd00dff,0xaffcc07f,0x7fc45ffb,0x3bff601f,0x00000000,
    0x261fffe4,0x0abfffeb,0xff71ff88,0x3a1ffc85,0x3ffa1fff,0x4ffff32f,
    0x80abcba8,0xaddc9802,0x00000000,0xffb80000,0x1ffff36f,0x7c5fffe6,
    0xfb801fff,0x5fffb4ff,0x4ffd9a80,0x3eebff30,0x07ffcc7f,0x90f7ff44,
    0xffffffff,0x7fffffff,0x3fff2000,0x3ffffa83,0x7ccdfb10,0x7ffb8aef,
    0xf907ffec,0x37ffc3ff,0x00000000,0x00000000,0xa7ffe400,0x7f45fffb,
    0x7fffb2ff,0x21ffff00,0x1106fffa,0xf983ffc4,0x43fff35f,0xff987ffb,
    0x7ffe40ef,0xffffffff,0x0003ffff,0xfa87fff9,0xf83ffcdf,0x7ffe41ff,
    0x7dc2ffff,0x23ffdc7f,0x2eea4ffe,0xb88dddc2,0xbbbbbbbb,0xbbbbbbbb,
    0x26666623,0x99999999,0x00019999,0x2dfff300,0x4c0ffff8,0xfff16fff,
    0x7ffdc01f,0x10ffffc5,0x37fccdff,0x3fa5ff98,0x4fffcbff,0xc827ffcc,
    0xffffffff,0x3fffffff,0x7fff9000,0x7c47ffcc,0x806e41ff,0x82fffffc,
    0x4cc40998,0xfd04cc41,0xa7ffc4df,0xfffffff9,0xffffffff,0x3ffe67ff,
    0xffffffff,0x07ffffff,0xfffb0000,0x40bfff23,0xff53fffb,0x7fff409f,
    0x22fffe42,0xfffcdffc,0x4cbff302,0xefffffff,0x7fffff40,0xffff97ff,
    0xffffffff,0x20007fff,0x7dc3fffc,0x4000fea3,0x0000aca8,0x4dffd000,
    0xff34fff8,0xffffffff,0xffffffff,0x7fffffcc,0xffffffff,0x00007fff,
    0xf33fffa8,0xffe80bff,0x03fff90f,0xf10ffff5,0x7f443fff,0x2605ffff,
    0x7ff4c5ff,0x7fcc0dff,0x17ffffff,0x33333333,0x13333333,0x40c00000,
    0x00000001,0x6ffe8000,0x5453ffe2,0xaaaaaaaa,0xaaaaaaaa,0x33333222,
    0xcccccccc,0x0004cccc,0x366ffe80,0x7c400eff,0xbffd14ff,0x209fffd0,
    0xb984fffd,0x664401cd,0x20133103,0xccccccc9,0x0000004c,0x00000000,
    0x00000000,0x55506aa6,0x00000003,0x00000000,0x3ea1fff7,0xff7001ff,
    0x0bffe61f,0x22013333,0x00001999,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xb0000000,0x1f76c5dd,0xb8fbb600,0x000004ee,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_bold_36_latin1_x[224]={ 0,2,1,0,1,1,1,1,1,1,0,1,1,1,
2,-1,1,2,0,1,0,1,1,1,1,1,3,2,1,1,1,1,0,0,2,1,2,2,2,1,2,2,0,2,
2,2,2,1,2,1,2,1,0,2,-1,0,0,-1,0,2,-1,0,1,-1,0,1,2,1,1,1,0,1,2,2,
-2,2,2,1,2,1,2,1,2,0,0,2,0,0,0,0,0,0,2,0,1,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,3,1,0,0,0,
2,0,0,-1,0,1,1,1,-1,-1,1,0,0,0,2,1,-1,2,0,1,0,1,1,1,0,1,0,0,0,0,
0,0,-2,1,2,2,2,2,-1,1,-1,-1,-1,2,1,1,1,1,1,1,0,2,2,2,2,-1,2,2,1,1,
1,1,1,1,1,1,1,1,1,1,-1,1,-1,-1,1,2,1,1,1,1,1,0,1,2,2,2,2,0,2,0,
 };
static signed short stb__arial_bold_36_latin1_y[224]={ 29,5,5,5,4,5,5,5,5,5,5,9,24,18,
24,5,5,5,5,5,5,6,5,6,5,5,12,12,8,12,8,5,5,5,5,5,5,5,5,5,5,5,5,5,
6,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,32,5,11,5,11,5,11,5,11,5,5,
5,5,5,11,11,11,11,11,11,11,6,12,12,12,12,12,12,5,5,5,14,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,29,12,6,5,9,5,
5,5,5,5,5,13,12,18,5,1,5,7,5,5,5,12,5,15,29,5,5,13,5,5,5,12,-1,-1,-1,0,
0,1,5,5,-1,-1,-1,0,-1,-1,-1,0,5,0,-1,-1,-1,0,0,9,4,-1,-1,-1,0,-1,5,5,5,5,
5,6,5,4,11,11,5,5,5,5,5,5,5,5,5,6,5,5,5,6,5,9,11,5,5,5,5,5,5,5,
 };
static unsigned short stb__arial_bold_36_latin1_w[224]={ 0,6,13,18,16,27,22,6,9,9,12,17,6,9,
5,10,16,11,17,16,18,16,16,16,16,16,5,6,17,17,17,18,32,24,20,21,20,18,17,23,19,5,16,22,
17,23,19,23,19,24,22,19,20,19,23,31,22,23,20,9,10,9,16,20,8,16,17,17,17,16,12,17,16,5,
9,16,5,26,16,18,17,17,11,17,11,16,18,26,18,18,16,12,5,12,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,5,17,18,18,18,
5,17,11,25,12,16,17,9,25,20,11,17,10,11,9,16,19,5,10,7,12,16,26,26,27,18,24,24,24,24,
24,24,33,21,18,18,18,18,8,8,11,11,23,19,23,23,23,23,23,17,25,19,19,19,19,23,19,17,16,16,
16,16,16,16,27,17,16,16,16,16,8,9,11,11,18,16,18,18,18,18,18,17,18,16,16,16,16,18,17,18,
 };
static unsigned short stb__arial_bold_36_latin1_h[224]={ 0,24,10,25,29,25,25,10,31,31,12,17,11,5,
5,25,25,24,24,25,24,24,25,23,25,25,17,23,19,12,19,24,31,24,24,25,24,24,24,25,24,24,25,24,
23,24,24,25,24,27,24,25,24,25,24,24,24,24,24,31,25,31,14,4,6,19,25,19,25,19,24,25,24,24,
31,24,24,18,18,19,25,25,18,19,24,18,17,17,17,24,17,31,31,31,7,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,24,30,25,17,24,
31,31,5,25,13,15,12,5,25,4,11,22,13,13,6,24,31,5,7,13,13,15,25,25,25,24,30,30,30,29,
29,28,24,31,30,30,30,29,30,30,30,29,24,29,31,31,31,30,30,17,27,31,31,31,30,30,24,25,25,25,
25,24,25,26,19,25,25,25,25,25,24,24,24,24,25,23,25,25,25,24,25,18,20,25,25,25,25,31,31,31,
 };
static unsigned short stb__arial_bold_36_latin1_s[224]={ 251,241,164,52,145,133,55,178,86,57,132,
199,145,239,248,243,78,243,1,184,1,234,27,19,64,107,217,248,224,96,125,
63,53,68,112,191,157,178,216,167,37,57,239,184,1,1,25,143,69,46,176,
201,199,44,152,220,108,45,131,127,213,177,35,197,214,143,112,160,130,108,171,
148,120,114,241,88,82,55,82,1,166,221,242,178,229,38,135,172,99,93,118,
21,34,40,196,71,71,71,71,71,71,71,71,71,71,71,71,71,71,71,71,
71,71,71,71,71,71,71,71,71,71,71,71,71,71,71,71,71,251,248,20,
124,223,224,235,159,185,81,242,18,114,239,1,218,152,53,85,52,223,39,107,
233,185,64,72,1,28,1,211,197,164,189,214,199,174,21,137,137,1,38,57,
224,136,239,100,162,133,1,187,211,96,140,76,154,71,1,87,67,120,112,19,
88,216,1,18,20,35,97,196,140,158,175,123,106,105,219,207,56,180,36,192,
161,114,89,233,20,89,71,199,239,95,38,20,1, };
static unsigned short stb__arial_bold_36_latin1_t[224]={ 1,229,323,126,65,96,152,323,33,1,323,
303,323,323,58,65,152,178,204,152,229,204,178,279,178,178,303,229,279,323,279,
229,33,204,204,178,204,204,204,178,229,229,152,229,279,254,254,178,254,96,254,
152,254,178,254,254,254,254,254,1,178,1,323,331,323,279,152,279,152,279,229,
152,229,229,1,229,229,303,303,303,152,152,279,279,229,303,303,303,303,204,303,
33,33,33,323,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,
279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,1,33,65,
178,303,178,1,1,331,178,303,323,323,323,178,331,323,279,323,323,323,204,1,
323,323,323,323,323,152,152,126,204,33,33,33,65,65,96,229,1,65,65,65,
65,65,33,65,65,204,96,1,1,33,33,65,303,96,33,1,1,33,65,204,
126,96,126,126,229,126,96,279,126,126,126,126,126,229,229,229,204,96,279,126,
96,96,254,96,303,279,126,96,126,152,1,1,1, };
static unsigned short stb__arial_bold_36_latin1_a[224]={ 143,172,244,287,287,458,372,123,
172,172,201,301,143,172,143,143,287,287,287,287,287,287,287,287,
287,287,172,172,301,301,301,315,503,372,372,372,372,344,315,401,
372,143,287,372,315,429,372,401,344,401,372,344,315,372,344,487,
344,344,315,172,143,172,301,287,172,287,315,287,315,287,172,315,
315,143,143,287,143,458,315,315,315,315,201,287,172,315,287,401,
287,287,258,201,144,201,301,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,143,172,287,287,287,287,144,287,
172,380,191,287,301,172,380,285,206,283,172,172,172,297,287,143,
172,172,188,287,430,430,430,315,372,372,372,372,372,372,516,372,
344,344,344,344,143,143,143,143,372,372,401,401,401,401,401,301,
401,372,372,372,372,344,344,315,287,287,287,287,287,287,458,287,
287,287,287,287,143,143,143,143,315,315,315,315,315,315,315,283,
315,315,315,315,315,287,315,287, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_36_latin1_BITMAP_HEIGHT or STB_FONT_arial_bold_36_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_36_latin1(stb_fontchar font[STB_FONT_arial_bold_36_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_36_latin1_BITMAP_HEIGHT][STB_FONT_arial_bold_36_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_36_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_36_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_36_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_36_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_36_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_36_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_36_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_36_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_36_latin1_s[i] + stb__arial_bold_36_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_36_latin1_t[i] + stb__arial_bold_36_latin1_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_36_latin1_x[i];
            font[i].y0 = stb__arial_bold_36_latin1_y[i];
            font[i].x1 = stb__arial_bold_36_latin1_x[i] + stb__arial_bold_36_latin1_w[i];
            font[i].y1 = stb__arial_bold_36_latin1_y[i] + stb__arial_bold_36_latin1_h[i];
            font[i].advance_int = (stb__arial_bold_36_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_36_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_36_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_36_latin1_s[i] + stb__arial_bold_36_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_36_latin1_t[i] + stb__arial_bold_36_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_36_latin1_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_36_latin1_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_36_latin1_x[i] + stb__arial_bold_36_latin1_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_36_latin1_y[i] + stb__arial_bold_36_latin1_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_36_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_36_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_36_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_36_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_36_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_36_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_36_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_36_latin1_LINE_SPACING
#endif

