// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_26_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_26_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_26_latin1_BITMAP_WIDTH         256
#define STB_FONT_consolas_26_latin1_BITMAP_HEIGHT        198
#define STB_FONT_consolas_26_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_consolas_26_latin1_FIRST_CHAR            32
#define STB_FONT_consolas_26_latin1_NUM_CHARS            224

#define STB_FONT_consolas_26_latin1_LINE_SPACING          17

static unsigned int stb__consolas_26_latin1_pixels[]={
    0x003b61db,0x55555440,0x35555532,0x2a0a9880,0x83200019,0x0000000c,
    0x426c43d5,0x700001ff,0x000007ff,0x00000000,0x3f600006,0x00000000,
    0x1fd00000,0xfd1003fa,0x7ffffd47,0x9fffff96,0x4bfff220,0x001efff8,
    0x0efbafe4,0x37ff6600,0x2e6ff803,0x00ffc1ff,0x00ffdc00,0x0005ffb8,
    0x6403bfa2,0x7d4002ff,0x800763ff,0x88bf207f,0x3a2000ef,0xffb800ef,
    0xfd0fe805,0x27ffa801,0x96fbaaa8,0x203555bf,0x2a0bdffc,0x2e006ffd,
    0x0bfd11ff,0x3af3bf20,0x8bf200df,0x01ff86f9,0x006fdc00,0x03fabf98,
    0x804fe880,0xf3002ffa,0x3ffffd7b,0xfd037c00,0x800ffd49,0xf9004fe8,
    0x7401df9b,0x8801fd0f,0x5be605ff,0xff8803fc,0x017fc401,0x3e61ffcc,
    0x42fe404f,0x200005fb,0x4c0001ff,0xe87d4001,0x02cb8004,0x40033220,
    0x000e6dc2,0x064c0bf1,0x2cb800ee,0x65479300,0x7f43fa03,0x4c028800,
    0x3007f96f,0x13f600ff,0x7dc17fa0,0x40bf501f,0xf00000fd,0x0000003f,
    0x05fbdf10,0x00000000,0x6dcc0000,0x00000bef,0x80000000,0x001fd0fe,
    0x7e5be600,0x005fa803,0xffb809f7,0x741bf600,0xb0fea00f,0x8f74405d,
    0x5bfb71ff,0x74405db0,0x0b72601e,0xc980b2a0,0x59b97104,0x3372e200,
    0x7ffec402,0x97103fff,0x2e20059b,0x71002cdc,0xfe8059b9,0x77641fd0,
    0x203eeeee,0x007f96f9,0x3ea00bf5,0x2017fc04,0x27d41ff8,0x1bf22fc0,
    0x27fe6fb8,0x43fffffe,0x1bee06fc,0x90079930,0x43fd409f,0xeffffffa,
    0x3fffea00,0xfe880eff,0x82bbfdbe,0xeffffffa,0x3fffea00,0x3ea00eff,
    0x00efffff,0xe83fa1fd,0x4fffffff,0x1fe5be60,0xa802fd40,0x03fe604f,
    0x1fb13fa0,0x6ea5e6d4,0xfe80ffcc,0x44ffffe3,0x3fe60ffc,0xd807fd01,
    0x7e400fff,0xf71fea04,0xdff7359f,0x359ff701,0xfc81dff7,0x2e01fb0e,
    0xffb9acff,0xacffb80e,0xb80effb9,0xffb9acff,0xfd0fe80e,0x409f9001,
    0x007f96f9,0x3ea009f5,0x401bf205,0xfb2fc7fc,0x21f6bfff,0x0ff984fe,
    0x3fa07ffe,0x7cc27f43,0x3ffe200f,0x027e402f,0x84ff8ff5,0x4ff83ff9,
    0x7fc3ff98,0x4ff81fa2,0xff83ff98,0xf83ff984,0x83ff984f,0x001fd0fe,
    0xb7cc09f9,0x2fc803fc,0x740df100,0x1ff5004f,0xbafd4fe6,0xff70fb4f,
    0x2ff8bf70,0x7fb8bf70,0x7d405fb8,0x7e405fcd,0xfb9fea04,0xf71bee06,
    0xf337dc0d,0xdf706f8f,0x3ee37dc0,0xf71bee06,0x5c37dc0d,0x9001fd0c,
    0xcb7cc09f,0xdf73303f,0x56fec001,0x8801ffc1,0x365f71ff,0x3f65f91f,
    0x3a17fc40,0xa80ffc2f,0x217fc46f,0x5fec02fe,0x3f200ff9,0xfe9fea04,
    0xe87fe203,0x47fe203f,0x417e27fa,0x3fe203fe,0xf880ffa1,0x880ffa1f,
    0x07f401ff,0xf3027e40,0x7fc0ff2d,0xff50003f,0x007fe23f,0x11f92ff8,
    0x7d8fecdf,0x3fccbfb0,0x6fa80ffc,0x1fe65fd8,0x3fe1ff10,0xa813f202,
    0xf007fe7f,0x200ffc5f,0x21ff32ff,0x03ff04f9,0x07fe2ff8,0x0ffc5ff0,
    0xfd00bfe0,0x409f9001,0x207f96f9,0x4004ffdc,0xf10cdfea,0x9ff4001f,
    0x3a5f98fd,0x3e60fb0f,0xff09f90f,0x2617ee03,0x809f90ff,0x817f26fa,
    0x5fea04fc,0x7f400ff8,0xe801ff13,0x2a5ff13f,0x00ff883f,0x0ff89ff4,
    0xff89ff40,0x201ff400,0x4fc800fe,0x1fe5be60,0x8007fa20,0x05ff00ff,
    0x57d97fc0,0x0dd3fc9f,0x81ff9ff4,0x09f901ff,0x00ffcffa,0x0ffa8ff6,
    0x7d409f90,0xd801ff37,0x801ff33f,0x237fa3fd,0x0ff982fb,0xff99fec0,
    0xf99fec00,0x01fec00f,0x3f2003fa,0x7e5be604,0x003fb803,0x27fc0bf3,
    0xfd1ff980,0x8b7c53ea,0x2bbee04f,0x103ff06f,0x3bee03ff,0x7fc406fa,
    0xfc817fc1,0x7cdfea04,0x99ff400f,0x1ff400ff,0x33fbdff5,0x003fe655,
    0x03fe67fd,0x3fe67fd0,0x2a1ff400,0x9001fd0a,0xcb7cc09f,0x05fa803f,
    0x7f40bf50,0x6cff7005,0x5bf2bf37,0x3fe201fb,0x83ff03fe,0x3e205fd8,
    0x7d403fef,0xf905fd86,0xf8bfd409,0x897f401f,0x17f401ff,0x3fffffea,
    0x803ff13f,0x03ff12fe,0x3ff12fe8,0x7f42fe80,0xf9001fd0,0xfcb7cc09,
    0x005fa803,0x3fdc09f5,0x3f65fd80,0x7fbf9ff0,0xfffb00df,0x33bffe01,
    0x6c00effd,0x7ec00fff,0xf907fa84,0xff37d409,0xf0ffc405,0x0ffc405f,
    0x566ffdc4,0xf880bfe0,0x880bfe1f,0x80bfe1ff,0x87f41ff8,0x4fc800fe,
    0x1fe5be60,0xa802fd40,0x07fe204f,0x0fc8bfa0,0xdff37ff7,0x09ff5001,
    0x77fffffc,0x09ff5003,0xcccdff88,0xfb82ffcc,0xfe97f205,0xfd1fea05,
    0x203fd40b,0x817fa06f,0x02ff47fa,0x05fe8ff5,0x43fa1fea,0x4fc800fe,
    0x1fe5be60,0xa802fd40,0x02fec04f,0x05f71bea,0x3fea0008,0x0627fe00,
    0x003fea00,0xfffffff5,0xff50bfff,0xff51ffc0,0xf50ffa01,0x80ffa01f,
    0x3fea05f8,0xfa87fd00,0xa87fd00f,0x07fd00ff,0x003fa1fd,0x6f980ff6,
    0xbf5007f9,0x3013ea00,0x3fe207ff,0x0002fcc2,0xff80bfd0,0x17fa0001,
    0x2aab7f60,0xf07fcaaa,0x81ff709f,0x3f621eff,0x443dff07,0x1fd407fd,
    0xd887bfe0,0x43dff07f,0xdff07fd8,0xe83fec43,0x8801fd0f,0x5be602ff,
    0xff9803fc,0x804fd800,0x6fe81ffc,0x80001fd0,0x7c00efd8,0xfd88001f,
    0x01ff800e,0x3ea0bfe2,0x2ffeddff,0xfeeffe98,0xffd301ef,0x803dffdd,
    0x7f4c02fb,0x01effeef,0xffddffd3,0x3ffa603d,0xd01effee,0x0443fa1f,
    0xf3007fdc,0x2200ff2d,0x7fc403ff,0xc8dfd002,0x1df500ff,0x7ee4c020,
    0x1ff801ff,0xfffb9300,0x00ff5003,0x3f6609fb,0x2201dfff,0x00dffffd,
    0x6ffffec4,0x801fc800,0x0dffffd8,0x7fffec40,0x7fec400d,0x3fa00dff,
    0x37ea1fd0,0x4c2fffcc,0xf96fdccc,0x2e05999b,0x3b21cfff,0x3a2006ff,
    0x803ff34f,0xebaacefc,0x1bfff305,0x4007fe00,0x000dfff9,0xff7009fb,
    0x10001100,0x00220001,0x11000310,0x00022000,0x0fe80044,0x3ffe61fd,
    0xffa81eff,0xfff96fff,0x7fdc09ff,0x19fff12f,0xf33f8800,0x3ffae005,
    0x06602dff,0x30006600,0x00000003,0x00000000,0x00000000,0x00000000,
    0x1fd0fe80,0x22009998,0x31099999,0x10013333,0x00004c13,0x31000102,
    0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,0x743fa000,
    0x0000000f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0x00006218,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x000000a9,0x6e5c4000,0x1fb8002c,0x00600000,0x00000000,
    0x00000000,0x00000000,0x20000000,0x03ff9801,0x1df117e4,0x800fd800,
    0xfc805ffb,0x3fea002f,0x000effff,0x3ae003f2,0xf500efff,0x200ec7ff,
    0x03be22fc,0x002ffdc0,0x20005ff9,0xfc80efe8,0xe880002f,0xff7000ef,
    0x222fc80b,0xfff500ef,0x5ff10ec7,0x3ea4fe80,0x037c001f,0x077e6fe4,
    0x200bfea0,0xfb9adffa,0x75cc00ef,0xfe880abf,0x980feeef,0xffffebdf,
    0xf527f401,0x9bf9003f,0x3ea001df,0x7f44002f,0x017fd404,0x009fd100,
    0x077e6fe4,0x3fea4fe8,0xfebdf981,0x3fe21fff,0x2e064c02,0x6f65c403,
    0x51e4c03f,0x19910079,0xf984ff80,0xffff503f,0xbf909fff,0x36e14001,
    0x40c9801c,0x23c9803b,0x322003ca,0x0b2e000c,0x00066440,0x26002cb8,
    0x4c0f2a3c,0x8501dc0c,0x7fc41cdb,0xf5000002,0x00dfffff,0x2e000000,
    0x21fee06f,0xbefbeffb,0x002fe83c,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7fc40000,0x4c059502,0x567fdc4c,0xca84fff9,0xca932602,
    0xfe932602,0x887fe603,0x809f32ff,0x930005fd,0x99300079,0x79930007,
    0x33332600,0x64c4cccc,0x4ccccccc,0x700f3260,0x19930079,0xcccccc98,
    0x6665c4cc,0x4c4ccccc,0x279102cc,0x9f902ff8,0x3fe3fd40,0x0fff7e64,
    0x3fd409f9,0x3fd409f9,0x2ff803ff,0x03fa9fea,0x000f7fcc,0x0003fff6,
    0x8001fffb,0xb800fffd,0xffffffff,0x7ffffdc7,0x3f607fff,0x3fea00ff,
    0x5c2ff402,0xffffffff,0x7fffff47,0x3ee0ffff,0x7cbf306f,0x409f901f,
    0x71bee7fa,0xfc8df95f,0xfc9fea04,0x7c5fea04,0x51ff400f,0x00bee3ff,
    0x019ffffb,0x05ffff10,0x17fffc40,0x5ffff100,0x555df700,0xefb85555,
    0x02aaaaaa,0x805ffff1,0x3fea06fe,0xaaaefb80,0x55542aaa,0x42aacffa,
    0xf982fffb,0x7e407fe5,0xfe9fea04,0x47f8bec3,0x9fea04fc,0x5fea04fc,
    0x7ec00ff9,0x32bbfe24,0x237f201f,0x5401effc,0x2005fcdf,0x005fcdfa,
    0x017f37ea,0xfb801bee,0xcdfa8006,0x17fcc05f,0xdf703fe8,0x00ffc000,
    0xf30dfdf7,0xfc80ffcb,0xff9fea04,0x1ff97e21,0x7fa813f2,0x7fa813f2,
    0xfe801ff3,0x7ffffcc3,0xe983fe00,0x2ff602ff,0xfb000ff9,0x2001ff37,
    0x00ff9bfd,0xf70037dc,0x37fb000d,0x6fd801ff,0xf700ffb8,0x0ffc000d,
    0x85fd9f70,0x407fe5f9,0x5fea04fc,0x8fea0ff8,0x813f22fe,0x813f27fa,
    0x03ff17fa,0xfc882fe8,0x7c40cfff,0x101ffb07,0x00bfe1ff,0x17fc3fe2,
    0xff87fc40,0x0037dc02,0xf8800df7,0x8805ff0f,0x017fc3ff,0x7c000df7,
    0x2f3ee01f,0xff2fcc6f,0xa813f203,0x6c1ff37f,0xfc8ff60f,0xfc9fea04,
    0xff9fea04,0x807fe202,0x41fffff8,0x05fd02ff,0x02fe4df5,0x0bf937d4,
    0x2fe4df50,0xb801bee0,0x37d4006f,0xff900bf9,0xf701bee1,0x0ffc000d,
    0x3ff19f70,0x01ff2fcc,0x7fa813f2,0x237c1ff1,0x813f23fe,0x813f27fa,
    0x817fa7fa,0x6fc407fa,0x3ee0ffea,0xd83fc82f,0x003fea3f,0x07fd47fb,
    0xffa8ff60,0x333fee00,0x7dc2cccc,0x2ccccccf,0x3fea3fd8,0x45ffc400,
    0x7fdc01ff,0x02cccccc,0x9f700ffc,0x25f997f2,0x09f900fe,0x23ff3fd4,
    0x917fc4f9,0x93fd409f,0x53fd409f,0x0ffa01ff,0x3fa27f30,0x3a27fec3,
    0x20ffc42f,0x3fe202ff,0xf1017fc1,0x202ff83f,0xfffffffb,0x7fffdc5f,
    0x7c45ffff,0x4017fc1f,0x805fcffb,0xfffffffb,0x00ffc05f,0x47fe29f7,
    0xc80625f9,0xe9fea04f,0x7c43f92f,0xa813f20f,0xa813f27f,0x10f7fc7f,
    0xfa801ffb,0x3ee17f62,0xa86fcaef,0x205fd86f,0x05fd86fa,0x17f61bea,
    0xaaaaefb8,0x577dc1aa,0x541aaaaa,0x005fd86f,0x7003fffd,0x555555df,
    0x201ff803,0x4d7f24fb,0x13f2005f,0x57f27fa8,0x323fdc7e,0xc9fea04f,
    0x31fea04f,0xfffdffff,0x223f7003,0xffb103ff,0x09fb01df,0x27ec0ff5,
    0x9fb03fd4,0x7dc0ff50,0x01bee006,0x7fa84fd8,0x009ff500,0xf8001bee,
    0x993ee01f,0xf15f98ff,0x813f205f,0x2bfee6fa,0x321ff44f,0xc9bea04f,
    0x21bea04f,0x0cffffc9,0x27f23550,0x5400ffda,0xdff885ff,0x2ffccccc,
    0xcccdff88,0xf882ffcc,0xfcccccdf,0x00df702f,0xf88037dc,0xfcccccdf,
    0x03ff002f,0x8001bee0,0x13ee01ff,0x2ebf39fb,0x0bf705ff,0x3ff62fe4,
    0x70ffb12f,0x72fe40bf,0x02fe40bf,0xff9007fe,0x3fffffff,0x507fe600,
    0xffffffff,0xfff50bff,0xbfffffff,0xffffff50,0x2e0bffff,0x1bee006f,
    0x7ffffd40,0x005fffff,0x3ee003ff,0x07fe0006,0x7fcc4fb8,0x05ff35fa,
    0x3ff81fea,0x7f77ff44,0x07fa81ef,0x07fa8ffe,0xbfb00ffe,0x7ff64c10,
    0x44003def,0x56fec0ff,0x7fcaaaaa,0xaaaadfd8,0xfd87fcaa,0xcaaaaaad,
    0x00df707f,0xfd8037dc,0xcaaaaaad,0x03ff007f,0x8001bee0,0x13ee01ff,
    0x0897f7fa,0x7dc27fc0,0xffff980f,0x13fe00df,0x9ff03fee,0x9801ff70,
    0x05ebbeff,0x81300bf1,0x1ff86fd9,0xff0bfe20,0x217fc403,0x3fe201ff,
    0x2006fb82,0x3ff006fb,0x4017fc40,0xdf7001ff,0x00ffc000,0xfff509f7,
    0xfffa800b,0x502ffedd,0x2a00137f,0xffeddfff,0xddfffa82,0xf7002ffe,
    0x301bffff,0xfffb009f,0xfa81ffff,0x2a4fd807,0x24fd807f,0x4fd807fa,
    0xffffffb8,0x7ffdc7ff,0xf57fffff,0x009fb00f,0x3ee003ff,0x7fffffff,
    0x7ffffff4,0x13ee0fff,0x4002fff4,0x1dffffd9,0x20003f60,0x1dffffd9,
    0x3ffff660,0x5d44001d,0x00fea01b,0x2f7bfbae,0xb804fd80,0x2013f67f,
    0x013f67fb,0x3fee1fee,0x47ffffff,0xfffffffb,0x7009fb7f,0x03ff00ff,
    0x3ffffee0,0x7ff47fff,0x0fffffff,0x7fd413ee,0x00440005,0x880005d8,
    0x00088000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x07fc0000,0x00bf6000,0x3ffb7220,
    0xb95104ff,0x0000059b,0x10f54000,0xffb8009b,0x43bdb303,0x05ff980b,
    0x3107fe40,0x103ff980,0x000003db,0x00000000,0x77f44000,0x013ea000,
    0x3ea09ff7,0x7ffe4005,0xb84feeef,0x4fffffff,0x2037ff62,0xffd505fa,
    0x37fc019f,0x2e003ff7,0xdff101ff,0x207fbbff,0x74005fd8,0x203ffdef,
    0xb83feff9,0xfd1005ff,0x3fee001d,0x222fc805,0x2ffc80ef,0x09fd1000,
    0x4c03fd00,0xfd04facf,0x3fff2001,0xc89f92ff,0xdba9bdff,0x17f73fa4,
    0xffb01ff1,0x201fffdd,0x01be62fc,0x36006fdc,0x009ffd30,0xfd900bf7,
    0x2039dfff,0x3fd88ef9,0x44027fcc,0x3f2004fe,0x3a00efcd,0x407fea4f,
    0xb8002ffa,0x6f98002c,0x20d93dc0,0xff9804fb,0x9f92ffff,0x2101ffd4,
    0xc83fa4fa,0x20efb83f,0x00004fe8,0x00000660,0x7c009880,0x401ffcdf,
    0x440cc098,0x00597002,0x07951e4c,0x00ee064c,0x00001991,0x2017ec00,
    0x104e9bfa,0xfff700ff,0x93f25fff,0x5f7004fe,0x05f98fe4,0x0bf705fd,
    0x00000000,0x81000000,0x00000efc,0x00000000,0x00000000,0x3333332e,
    0x7f8804cc,0x01bff900,0x3f2017ec,0xf92fffff,0x4003fea9,0x743f63fa,
    0xb01ff00f,0x7f64c09f,0xfec9803d,0x7f65403d,0x64c00cef,0x5cc03dfe,
    0x4c04ffed,0xd903dfec,0x03cc9801,0x99999970,0x99930999,0xb8999999,
    0xcccccccc,0xfffffe84,0x5c00ffff,0x4004004f,0x7fd406f9,0x9f92ffff,
    0xf9801bee,0x7f96faae,0xf903fe20,0x3ffea01f,0xf501effe,0x03dffdff,
    0xfffffff3,0x3ffea03f,0xfa81effe,0x00ffffff,0xdffdfff5,0x6c00fe83,
    0xfe800fff,0xffffffff,0x7ffffdc0,0x7ff47fff,0x0fffffff,0x67fd5554,
    0x0ff802aa,0x77ff6540,0x807fa00c,0x2ffffff9,0x017f29f9,0x33dfff70,
    0x07fc40df,0x3e601dfb,0x21bf622f,0x3f622ff9,0x5109c986,0x5ff30dfd,
    0x3ea37ec4,0x0bfb10bf,0x7ec45ff3,0xf100ff46,0x55005fff,0x5559ff55,
    0x5555df70,0xaaaa8555,0x802aacff,0x3ea001ff,0x7fffcc05,0xf501ffff,
    0xffffc80b,0x3f69f92f,0x0aa98004,0x7fc403fd,0x6c01df70,0xd85ff03f,
    0x005ff03f,0x1fec3fd4,0x0ffa2ff8,0x7fb03fea,0x1fe8bfe0,0x17f37ea0,
    0x7007fe00,0x7fc000df,0x00ffc001,0xc9803fb0,0x0dfd5109,0x3ee007fc,
    0x29f92fff,0xb80004fd,0x87fc404f,0x1fe204fd,0x1fe24fc8,0x7c004fc8,
    0xc81fe21f,0x740ff54f,0xc81fe22f,0xd807fe4f,0x000ff9bf,0x3ee00ffc,
    0x07fe0006,0x2003ff00,0x540006f9,0x00ff207f,0x7e472ea2,0x8000bf94,
    0xff8806f9,0x2a01df70,0xaaaaaaff,0x2bfea5fd,0x5fdaaaaa,0xf5555310,
    0x557fd43f,0x75fdaaaa,0x527ec0bf,0x555555ff,0x80ffcbfb,0x05ff0ff8,
    0x5c01ff80,0x3fe0006f,0x00ffc001,0x80003fc8,0x0df101ff,0xfba7e400,
    0x8ff40006,0x0ff881a9,0xf703dff1,0xffffffff,0x7fffdcbf,0x85ffffff,
    0xfffffffc,0x3fffee1f,0x95ffffff,0x72fe409f,0xffffffff,0x817fcbff,
    0x017f26fa,0xfb803ff0,0x07fe0006,0x1003ff00,0x4c4001ff,0x01ffaaaa,
    0x64000bf6,0x005ff34f,0x7fed3ee0,0x307fc45f,0xefa85ffd,0xaaaaaaaa,
    0x2aabbea1,0x641aaaaa,0xf9999bff,0x2abbea1f,0x91aaaaaa,0x52fe409f,
    0x555555df,0x817fc355,0x03fea3fd,0x5c01ff80,0xccccccff,0x000ffc02,
    0x3ee007fe,0x3fff2004,0x201fffff,0xf90005fa,0x00077f49,0x4e7ddbe2,
    0x03fe23fd,0x7cc3ffb1,0x03fcc007,0x7c0bfe20,0x801fe61f,0x8ff605fb,
    0x7fc007f9,0x7c1ff882,0x07fe002f,0xffffff70,0x1ff80bff,0x400ffc00,
    0xff9001fe,0x3ff33337,0x8001fe80,0x3bfea4fc,0x1fd82a81,0xf12fccfd,
    0x897f601f,0x3e2002ff,0x1fe6002f,0xff10ffcc,0x03fea005,0xff887fe2,
    0x20bfe002,0x05fd86fa,0xf7007fe0,0x3555555d,0x4001ff80,0x2fd401ff,
    0xf02ff880,0x04fb803f,0x7d44fc80,0x4fffefff,0x44ff27dc,0x403fe25f,
    0x0ffe47fa,0x003ff900,0xff70bfe2,0x01ffc83f,0x6c41dfd0,0x01ffc86f,
    0xfd83ff88,0x2007fa84,0x37dc01ff,0x003ff000,0x7ec01ff8,0x20ff3002,
    0x7c401ff9,0x1ff4000f,0x77fffe4c,0xe83fe21c,0x7c49f30f,0x88bf900f,
    0xedcdeffe,0x77ff440f,0x6c0fedcd,0xedffddff,0x77ff441f,0x260fedcd,
    0xfffddfff,0xdeffe880,0xff10fedc,0xccdff887,0x002ffccc,0x6fb803ff,
    0x007fe000,0x7c403ff0,0x0bfe2007,0x9003fff7,0x7fc4007f,0xd813f202,
    0x75f7dc2f,0x643fe21f,0x701ffedd,0x0bfffffd,0x7fffff5c,0xefffd885,
    0x3ae03fb3,0x885fffff,0x00cffffd,0x7fffff5c,0xf50ffe25,0xffffffff,
    0x07fe00bf,0x4000df70,0x7fc001ff,0x000ff201,0xbffbbffb,0xdf3003fd,
    0x3aa15d70,0x80ff406f,0xfff905fa,0xfb0ff885,0x26003bff,0x04cc0009,
    0x20000980,0x01100099,0x4c026600,0x556fec09,0x07fcaaaa,0xfb803ff0,
    0x07fe0006,0x7c03ff00,0x7ec4000f,0x03fb3eff,0xffb07fa0,0x403dffff,
    0x080006f8,0x00004c00,0x00000000,0x00000000,0x07fe0000,0xf802ff88,
    0x037dc01f,0xe803ff00,0xffffffff,0x0009d30f,0x54000098,0xdfeca83e,
    0x003e9803,0x00000000,0x00000000,0x00000000,0x7fa80000,0xfe84fd80,
    0xffffffff,0x7ffffdc0,0x7ff47fff,0x0fffffff,0x7ffffff4,0x00000fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xb804fd80,
    0xffffe87f,0x5c0fffff,0xffffffff,0x7fffff47,0x0000ffff,0x000f7440,
    0x002ffcc0,0x00000000,0xca880000,0xff98001a,0x3bdb3003,0xfdb5005c,
    0x3e3ddddd,0x5cdb001f,0x0f6c2dfd,0x00007744,0x00000000,0x87aa0000,
    0x7fdc04d8,0x005fd105,0x3600bfb1,0xbf500dff,0x500ffc88,0x0ffc88bf,
    0x3ee0bf50,0x2003ffff,0x403feff9,0xddffeff8,0xdbffb03f,0x3e3fffff,
    0xb1ff001f,0x7c7fffff,0x00ff881f,0x0000bff3,0x5c007ff7,0xff9803ff,
    0x2e6ff803,0x3fea01ff,0x00dff703,0x55402fdc,0x0ff884fd,0x203fffea,
    0x3fea0ff8,0x0ff880ff,0xfcacff98,0x8ef9802f,0x86c03fd8,0xf704ffe9,
    0x21ffc41d,0xdff001ff,0x43ff227f,0x0ff881ff,0x0017f620,0x2001ffb8,
    0xf9801ffb,0x7e403fef,0x2601be62,0x013fea01,0x98801310,0x43fc84fc,
    0xc80fe9d9,0x7f4ecc3f,0xf903fc80,0x8804fd89,0x0000cc09,0x7dc17f40,
    0xf800ffc6,0xf3fe81ff,0x01ff103f,0x7000bf70,0x7dc001bf,0x8ef9800d,
    0x00003fd8,0x0014c000,0x3fff7000,0x7f405f98,0x3a02fcc0,0xb02fcc0f,
    0x004fc87f,0xf8000000,0x7c6fa81f,0x05ff001f,0x40ffd7ee,0x31000ff8,
    0x00198001,0x26200198,0x00000cc0,0x80000db0,0x00cdfec9,0xfe8ff751,
    0x3a07f400,0x207f400f,0x13f200fe,0x326007fd,0x9800cdfe,0xd00cdfec,
    0xf8bf707f,0x85bfb71f,0x2df501ff,0x0ff881ff,0x00000000,0x40000000,
    0x0ceffeca,0x77547e80,0xfc803eee,0x81ffffff,0x3f21ff50,0x320fe803,
    0x20fe803f,0x7fd403fc,0x3200df90,0x1fffffff,0x3fffff20,0x1ffb81ff,
    0x3ff0bfea,0x47fffffd,0x2df501ff,0x0ff881ff,0x3bffb2a0,0x3fb2a00c,
    0x64c00cef,0x5400cdfe,0x00ceffec,0xfffffff3,0x20ff803f,0x04fffffa,
    0xfd317fdc,0x3fffe81f,0x3fa00df3,0x3a00df30,0x200df30f,0x00efeefe,
    0x3a62ffb8,0x2ffb80ff,0xf303ffa6,0x07ffffff,0x3227ffff,0x203ff0ff,
    0x103ff5fb,0x3fe601ff,0x81ffffff,0xfffffff9,0xffff901f,0x3e603fff,
    0x1fffffff,0xd5109c98,0x3ff260df,0x8813f200,0x89fd01ff,0x07fa0aaa,
    0x03fd0c40,0x01fe8620,0x007fff50,0x7f407fe2,0xe80ffc44,0x7657f44f,
    0x3fff01cd,0x07fe7fd0,0x81ffa7e4,0x39300ff8,0x21bfaa21,0xfd5109c9,
    0x4c5ff70d,0x9c980ffe,0x00dfd510,0x7f4c7fa8,0x3f200fff,0xb817ee04,
    0x04fb806f,0x0009f700,0x7d4013ee,0x13223fff,0x6fb817ee,0xdf702fdc,
    0x3e0037c4,0x3ebf702f,0xf2ff881f,0x01ffb07f,0x800ff500,0x0ffc47fa,
    0x54004fe8,0x1ff8007f,0x640037fa,0x813f204f,0x37cc07f9,0x006f9800,
    0x2600df30,0x51ffcaff,0x409f90df,0x027e47f9,0x67fccff3,0x3fe01999,
    0x3fedf501,0xff2fec41,0x17ffe41d,0x001ff800,0x0bf70ffc,0x7c0037dc,
    0x5553101f,0x3fe63ff5,0x813f2000,0x3fe203fd,0x4c47fa00,0x31fe8009,
    0x47fa0035,0x3fe80998,0x17ee3ffa,0xff880ff6,0xf880ff60,0x3ffff60f,
    0x7fc3efff,0x3fedf501,0x0effdcef,0x3ff7fffe,0x2203ffcc,0x1ffaaaa9,
    0xf5555310,0x3027e43f,0x554c40ff,0xfc81ffaa,0x1fffffff,0xfc800ff5,
    0x980ff604,0xe93ee07f,0xa7dc03ff,0x5c06fffc,0x10fffa4f,0x77fc41ff,
    0x03fd84fd,0x07fb1fe6,0x3bee3fcc,0x4fffeedc,0xafdc07fe,0x3effffff,
    0x3fffcff8,0x3f209fd1,0x1fffffff,0xffffffc8,0x80ff61ff,0xffc80ff8,
    0x41ffffff,0x9999bffc,0x03ff31ff,0xf9027e40,0x8837d409,0x0ff7ee6f,
    0x26ea6f88,0x4df102fd,0x7cc3fdfb,0x7fffcc0f,0x2a04fc81,0x5027e46f,
    0x807fd4df,0x407fe7fc,0x313ff4fc,0x2030ff80,0x337ff900,0xfc83ff33,
    0xff9999bf,0xf980ff61,0x99bffc87,0x3e21ff99,0x743ff02f,0x13f2005f,
    0xfd00ffa8,0x7cc7f607,0x3f603fad,0x3605f901,0x7f5bf31f,0xfb81ff88,
    0x01ff506f,0x1ff50ffa,0x4fc8ffa0,0x7fc3fe60,0xff1ff881,0x007fe003,
    0x7c0bfe20,0x40bfe21f,0x813f21ff,0x17fc46fa,0x1fe61ff8,0xff50ffcc,
    0x09f9003b,0x7e40dfe8,0x3a4fb80f,0xf703fa8f,0x5c1bee09,0x3ea3fa4f,
    0x260efe83,0xfd01fffd,0x80ffc81b,0x7fe40dfe,0x6403ff60,0xb107fe6f,
    0x800ffcbf,0xf98001ff,0x4c3ff307,0x43ff307f,0x7fd00ffa,0xff307f98,
    0x2e17fc43,0x7fd41fff,0x9f902eff,0xddfff980,0xff882fff,0xffffff30,
    0xd80ff889,0x21ff105f,0x4ffffff9,0x7f77ffcc,0x980ffeff,0xfffddfff,
    0xbbfff302,0xffa85fff,0xffecbbde,0x373bffe1,0x07fe0eff,0x4000ffc0,
    0x7fdc2ff8,0x70bfe21f,0xdfe83fff,0x2207fe40,0x7ffdc2ff,0x7eeffec1,
    0xb881fedf,0xddd92ffe,0x05dddfff,0x1bffffb1,0xcc88bf60,0x7ec2efdc,
    0x2ccffd82,0x999117ec,0xfb105dfb,0xff119dff,0x3fff620d,0x7ec400df,
    0xb500dfff,0x19ffffff,0xeffffda8,0xf001ff83,0x3f60003f,0xfedffddf,
    0x7eeffec1,0x7cc1fedf,0x2fffddff,0xffbbffb0,0xfd883fdb,0x03fb3eff,
    0x3fffa130,0x02ffffff,0x17ea0044,0x5fa87f50,0x4bffffd0,0x1fd405fa,
    0x44000040,0x00110000,0x0004ccc4,0x20019801,0x36200019,0x3fb3efff,
    0x3efffd88,0xffb103fb,0x6c401bff,0x3fb3efff,0x000004c0,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00260000,0x44000260,
    0x00098000,0x5bdd1000,0x6c43d500,0x03ff0004,0xd99ddb71,0x6c43d503,
    0x22000004,0x302cddca,0x20179db9,0x33262ee8,0x00cccccc,0x0037b971,
    0x1003ff98,0x50059b97,0x0026c43d,0x00000000,0x2a000000,0xeffff882,
    0xfb9bfe02,0x1ff8001f,0x7fffffd4,0x26ff81ff,0xd5001ffb,0xf703dfff,
    0x89ffffff,0xfffffffd,0x2e7ffd82,0xffffffff,0xfffffb80,0xff9800df,
    0x7fd403fe,0x200effff,0x07fee6ff,0x3603ff98,0x07ba202e,0x4c1ffdc0,
    0xf80005ff,0xffd53106,0xf98bf205,0x43ff0006,0x3e60bffa,0x262fc81f,
    0xfffb006f,0xffc85fdd,0x24dba9bd,0xea88bffc,0x3ffec0ff,0xf7555553,
    0x21dfd81f,0x2600efc9,0x03fd88ef,0xf7359ff7,0x8bf201df,0x3fe606f9,
    0x0df903fe,0xfb8037dc,0x17f6201f,0x003fa800,0x00001ffb,0xfe87fe00,
    0x0003ff03,0x015ff500,0x4101ffd4,0x1ff983ff,0x440176c4,0x817ea0ff,
    0x026205fb,0x213fe033,0x00003ff9,0x3f623be6,0xd01ff983,0x1bf7007f,
    0x4017ee00,0x01fffeca,0x0000ffe0,0xf98ffc00,0x0007fe07,0x201bf200,
    0x3fe004fe,0x0003ff01,0x3fa0ff88,0x7f42aea0,0xdf700001,0x00037dc0,
    0x01981310,0x1ff309fd,0x10003300,0xfffd8013,0xb000effe,0x3fb2609f,
    0x6dc400cd,0xf51ffdee,0x360ffc0b,0x403db01e,0x7fd403fe,0x213f6000,
    0x880007fa,0x229f50ff,0x9f55fffe,0x7ddddd50,0xf101ff40,0xeeeea83f,
    0xb800003e,0x005fb87f,0xfc800000,0x1dfdf51e,0xf909fb00,0x03ffffff,
    0x3fffffea,0x40bf71ff,0x80ffc1ff,0x0bfa01ff,0xa800df70,0x7ff50dff,
    0x1ff10000,0x4efe4bee,0x3ea1be28,0x3e04ffff,0x217fc01f,0x04fffffa,
    0x0f6c07b6,0x5fd0bfe2,0x76c07b60,0xed80f6c1,0x7ec1ff11,0x7cc03fe9,
    0x317fdc2f,0xff981ffd,0x647fea0b,0xf07fe05f,0x807fe03f,0x2fe402fe,
    0x77ffd400,0x100002ff,0x7c7f21ff,0x900fd00f,0x03fe209f,0xfc807fd0,
    0x7c07fe04,0x265fd81f,0x407fe07f,0x80ffc1ff,0x44bf71ff,0xdb0bf76f,
    0xff88bffd,0xfe89fd01,0x3ee3ff03,0xf83ff305,0x6c3ff01f,0xeeeffeee,
    0x013f65ee,0x6ffffd40,0xff100000,0x1be23f61,0x7e400fd8,0x801ff304,
    0x27e403fd,0x3fe03ff0,0xf90ff981,0xf80ffc09,0xf80ffc1f,0x7d47f91f,
    0xffd0df33,0x40bf7039,0x81fe66fb,0x81ff31ff,0x7fc1ffe8,0x7fc3ff01,
    0xffffffff,0x0013f67f,0x3ff77fea,0x02ff981e,0x1fb0ff88,0x03f40ff1,
    0xff9827e4,0x201ff400,0x07fe04fc,0x3fe80ffc,0x0ffc03ff,0x0ffc1ff8,
    0x45fb1ff8,0x81ff10fd,0x13f201fe,0x17ea7f98,0x93fa1ff8,0x7c1fffe9,
    0x403ff01f,0x2fe402fe,0x98bfee00,0x7fe40fff,0x90ff8807,0x7c07fe3f,
    0x104fc806,0x2fe803ff,0xff027e40,0x5c07fe03,0x7c06faef,0xf83ff01f,
    0x323ff01f,0x7c4df13f,0x3601fe87,0x43fe203f,0x87fe05fb,0x9ffdeffa,
    0x80ffc1ff,0x0bfa01ff,0xf800df70,0x43ff882f,0x4401fffa,0x2e7f70ff,
    0xbf15deff,0x7c09f900,0x07fe202f,0x7fc09f90,0x2203ff01,0x7c03feff,
    0xf83ff01f,0x2e3ff01f,0x7d47f54f,0x3600fd86,0xb9fe603f,0x707fe05f,
    0x3fe3bfff,0xff80ffc1,0x500bfa01,0x3e6005ff,0x3617f607,0x3fd401ff,
    0x6ff54df1,0xf9007f93,0x502ff409,0x09f900ff,0x1ff80ffc,0x003fff60,
    0x07fe03ff,0x47fe03ff,0x20fd8ff9,0x401884fd,0x9bea04fc,0x3ff307fb,
    0xf07fe020,0x807fe03f,0xefe802fe,0x207fa800,0x07fb84fd,0x17e46fc8,
    0x3200df10,0x03fea04f,0x7e401ff4,0x7c07fe04,0x13fea01f,0x7fc07fe0,
    0xff80ffc1,0xb9bf7fa1,0xf50000ff,0x98ffa01f,0x7ff440ff,0xd07fe001,
    0x03ff907f,0x7cc017f4,0xf12a81ef,0x85ff509f,0x50b24fe8,0x3ff887ff,
    0x9002fe98,0x1eff809f,0x6401ff62,0x407fe04f,0x3fea01ff,0xf01ff800,
    0xf01ff83f,0x77ff443f,0xe882ffed,0x06ff402f,0xbfd03ff2,0x07fffa61,
    0x7ec1ff80,0x07fff20e,0xf5002fe8,0x9fffdfff,0x76efffdc,0x3fb2a4ff,
    0x7ff7fec6,0x9dfd306f,0x4005ffb7,0x7f4c04fc,0x01effeef,0x7f409f90,
    0x201ffc83,0x7fd005fe,0xfe83ff90,0x441ffc83,0x00dffffe,0xf980bff5,
    0x2fffddff,0xffefffa8,0x3e001fe9,0x6fffcc1f,0x201fdcfe,0x362002fe,
    0x41cefffe,0x2effffea,0x6cc1fff4,0x4404efff,0x01deffec,0x7fff7764,
    0xfd882eee,0x3200dfff,0xeefffeee,0xc83bf62e,0xfd881fff,0x1dfb000e,
    0x360fffe4,0x3fff20ef,0x004f7c41,0x4401ffc4,0x00dffffd,0x7477ffea,
    0x07fe001f,0x6cffffea,0x00bfa01f,0x06600180,0x01300098,0x74001100,
    0xffffffff,0x8004402f,0xfffffffe,0x3ffe62ff,0x31fdcfed,0x003fffb9,
    0x7f6fffcc,0x7fcc1fdc,0x1fdcfedf,0x22001fd4,0x00088000,0x19800004,
    0x74000c40,0x0000002f,0x00000000,0x00000000,0xf5000000,0x47f67fff,
    0x000dfff9,0xb3ffffa8,0xffff503f,0x1d707f67,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x06600620,0x000c4000,
    0x000000c4,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xb8800000,0x801cdeec,0x3262cba9,0x1ccccccc,
    0x2f3bb2e2,0x2602ca80,0x02ffcc4c,0x81ffdc00,0x02e1ded9,0x0166e544,
    0x59db9510,0xb00ee601,0x7fd4007f,0x3ff04fff,0x6765c000,0x6666440b,
    0xb93001ab,0x33227bdd,0xcc8e6401,0x47ff3000,0xfffffffc,0xffff7104,
    0x7fffdcbf,0x3ee3ffff,0x43ffffff,0x1fea04fc,0x80017f62,0xff101ffb,
    0x07fbbffd,0x9ffffff3,0xfffff700,0x13f20bff,0x54007fb0,0xf04ffeee,
    0xfd30003f,0x4c3fffff,0xefffffff,0x3ffff201,0x81bf27ff,0x03ff0ffa,
    0x7e4ffe60,0x2b999acf,0xaccffe88,0x2ab7ee1a,0x2ea1aaaa,0x1ffdb999,
    0x7fa813f2,0x20017ee0,0x86c00dfb,0xf984ffe9,0x4ffa89cf,0x37bffd10,
    0x3f20bb55,0x001fec04,0x3fe09f90,0x1dfe8001,0x7fcc3f93,0x3ffecaaa,
    0x260bffc8,0x220ffe24,0x26bfe2ff,0x45ffc400,0x7f4003ff,0x027dc00d,
    0xc8ffe200,0x01fea04f,0x19800131,0x9fb00000,0xf901ff30,0xfc80405f,
    0x001fec04,0x3fe09f90,0x037dc001,0xff907f98,0x8017fcc1,0x37dc0ffb,
    0x3bfffffe,0x557fc40c,0x3ea000ff,0x009f7006,0x7e49fb00,0x001fea04,
    0x00000000,0x3f601ff1,0x8017fc44,0xefffeee8,0x7fb1eeee,0x827e4000,
    0x7e4001ff,0x40ff3004,0x017f24fe,0x7fc49fd0,0x77777fc1,0x57fc2fff,
    0x3a002ff9,0x09f7002f,0x643fd000,0x51fea04f,0x807ddddd,0x03eeeeea,
    0xdfec8b6c,0xfa82fdc2,0x0037e46f,0xfffffff3,0x3f63ffff,0x204ed883,
    0x13ff04fc,0x3605bfd9,0x0ff3003f,0x07fb3fdc,0xfb0ff980,0xd883ff09,
    0x747fe1ff,0x1ff002ff,0x04fb804c,0x3237d400,0x51fea04f,0x809fffff,
    0x04fffffa,0x7fff4ffc,0x213f22ff,0x7ec7fffc,0x6cccc003,0x219999cf,
    0x77f443fd,0x7c13f200,0xfffffeaf,0x3003fd82,0x87fcc0ff,0xfd8002ff,
    0xff80ff9d,0x4c09fd01,0x300befff,0xffffd7df,0xeffffb89,0x36eaa02d,
    0x027e40df,0x4fc80ff5,0x2027e400,0xfb32ffff,0xfd11fecd,0x2ff8ff7f,
    0x804cccc4,0x1fec04fc,0xc801dfd1,0x5ffff04f,0xe989bf66,0x419999cf,
    0x43ccffdc,0x05fd1ff8,0x5fdff100,0x7e407fe0,0x7ffe4405,0x7ffd40cf,
    0x26ffdcdf,0xffffeeea,0xffffe80e,0x5027e41c,0x04fc80ff,0x3e027e40,
    0x87fcc1ff,0x1dff52fe,0x3fe21ff1,0x37fffec1,0x7ec04fc8,0x001dfd13,
    0x3ffe09f9,0xfe87fcc1,0x7fffffff,0x37fffffc,0x04fd97fc,0x40dff700,
    0x4df901ff,0xffb882fd,0x0bfea1ff,0x4c40ffe6,0xaaa85ffb,0x3f22ffeb,
    0x901fea04,0x4fc8009f,0xff817fc0,0x9ff95fb1,0xff887fc4,0x37ee65c1,
    0x7ec04fc8,0x2005fe8b,0x05ff04fc,0x7fe5c7fe,0x544ccccd,0x442aaffb,
    0x01ff71ff,0x3fe66620,0x0ffc199b,0x03fe4ff8,0x2a1fff50,0x01bf206f,
    0x2e003fea,0x409f90ff,0x27e407fa,0xf013f200,0x6c7fe03f,0x7cc2ffff,
    0xf5017fc7,0xb013f20d,0x800bfd9f,0x03ff04fc,0x07fb07fe,0xf981fe60,
    0x01dff11f,0xfffffe85,0x3fe1ffff,0xf11ffa81,0x4bfe200d,0x1fea07f9,
    0x4007fe20,0x409f92ff,0x27e406fa,0xf013f200,0x647fe03f,0x6fa80eff,
    0xdf501ff4,0xfb013f20,0xc8007ffb,0x203ff04f,0x01fec1ff,0x3ea07f98,
    0x777ffcc7,0x555547fe,0x20aaacff,0xfeb99aff,0x800f664f,0x01ff14fd,
    0x3e201bea,0x25fd000f,0x17f205fb,0xc8009f90,0x80ffc04f,0x40ff71ff,
    0x03fe44fc,0x13f20df5,0x7ff57fb0,0xf827e400,0xd83ff01f,0x0ff3003f,
    0x7e4c2ff4,0x7c04ffff,0x3fffe01f,0x0003ffff,0x0ffa2fe8,0x7dc027e4,
    0x21ff3007,0x0ffe07fa,0xc8009f90,0x80ffc04f,0x05ff11ff,0xff883ff1,
    0x2e0df503,0xb9fec06f,0x9f9002ff,0x7fc07fe0,0x9801fec1,0x03ff707f,
    0xcb8067e4,0xcccdffcc,0x337bbfe0,0x1019800a,0x7fdc1ff9,0x200ffd41,
    0xe9802ffb,0x5c27fc4f,0x27e400ff,0xf013f200,0xc87fe03f,0x1bfa20ef,
    0x2a06ffdc,0x05ff506f,0x3ff91fec,0x3e09f900,0xd83ff01f,0x4ff3003f,
    0x404ffd98,0x3ffa01fe,0x1fffffff,0x640007fe,0xffeeeeff,0xcdffe82f,
    0x3bb63ffe,0x743fffed,0x5ffeedee,0xeddfffa8,0x4fc802ff,0x2027e400,
    0x43ff01ff,0xffddffd8,0x3fff200e,0x206ffeef,0x1fedfffe,0x1ffd87fb,
    0xff827e40,0x3b23ff01,0xeeeeeeff,0x3fffe63e,0x4403ffff,0x4ccc407f,
    0x7c199aff,0xfd70001f,0x039fffff,0x0effffe4,0x33fffff6,0xfffffe80,
    0x3ff6601d,0xdd901dff,0x5dddfffd,0xfffeeec8,0x0ffc2eee,0xffc81ff8,
    0xd9800cef,0x02dfffff,0x3fffff22,0xffd07fb1,0x7ff77641,0x3ff2eeef,
    0x7ff47fe0,0xffffffff,0x3bfffe64,0x3e9800bd,0xf00ffc00,0x3300003f,
    0x80310003,0x33300198,0x00110001,0xfffffffd,0xfffe85ff,0x42ffffff,
    0x03ff01ff,0x31000044,0x81310001,0xefe883fd,0xffffffd0,0x07fe5fff,
    0x00000ffc,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x99999700,
    0x33332e59,0x0ccccccc,0x35799995,0x004ca800,0x9500f326,0x99999999,
    0x33332e59,0x0ccccccc,0xa83cca80,0x5cf2602c,0xcccccccc,0x2f333324,
    0x20ca801a,0x00cc81c9,0x36e60797,0x03cb81cd,0x9930cc98,0x29999999,
    0xccccccc9,0x5dd12ccc,0x3d1016c4,0xfffff300,0x3337a9ff,0xfccccccc,
    0xffffff90,0xfea803df,0x3ff6007f,0x3ffee00f,0x5fffffff,0xfffffffd,
    0x8803ffff,0x4fc85fff,0x7ff5bea0,0x0fffffff,0xffffffff,0x70fe401b,
    0x703ff05f,0xfff901ff,0xffa87fff,0xf52ff402,0xffffffff,0x3fffffea,
    0xffb5ffff,0xc807fe4f,0xfefc806f,0x23d0999c,0x7e43e018,0xfffcaaad,
    0xffffe982,0xffff1007,0x55554c05,0x54feaaaa,0x59ff5555,0xfd801555,
    0x04fc85ff,0x55555bea,0x3e2aacff,0xffcaaacf,0xfc83f605,0x7d41ff81,
    0x12efc81f,0x6fe85ff5,0xfa83fea0,0x2aaaaaaf,0x55555551,0x3ff67ff7,
    0x66567f47,0x4401ffaa,0x3d03fcef,0x1f077ff2,0x3f2213f2,0x2bbfe20f,
    0xbf5007fb,0x44000bf9,0x07fe01ff,0xbf7df500,0x7d409f90,0x3e03ff06,
    0x00ffa81f,0xf80fd8fd,0x20bfe21f,0x6fa80ff9,0xfe817fcc,0x00037d43,
    0x5db137ec,0xffffff88,0xbfb802ff,0x443d03fc,0x643e2fd9,0x913fa04f,
    0xd803fdc7,0x000ff9bf,0xff80bf90,0x27fe2001,0x04fc85fb,0x0ffc1bea,
    0xff881ff8,0x2bfeaaa1,0x21abfeaa,0x413fa1ff,0x07fe05fb,0x1ff70dfb,
    0x40006fa8,0x36000ffa,0x1ffebbff,0x3fc8fe80,0xf9f603d0,0x7dc09f90,
    0x403fdc07,0x05ff0ff8,0x803ff100,0x3f2001ff,0x9f90bf74,0xff837d40,
    0xf303ff01,0xfffffe8f,0x25ffffff,0x40bf91ff,0x0bf604fd,0x2ff87ff1,
    0x20006fa8,0x26003ff8,0x027f41ff,0x81fe57e6,0x3e1f701e,0x7cc09f90,
    0x01fee00f,0x05fc9bea,0xf805fb80,0x4df3001f,0x04fc85fb,0x0ffc1bea,
    0x5fd81ff8,0x4cefd4c4,0x3e099ef9,0x200efb9f,0x0ff605fc,0x37dc3ff2,
    0x20006fa8,0x7dc006fd,0x6406fc86,0x555bf92f,0x9ba207a1,0x4409f90f,
    0x1fee01ff,0xffa8ff60,0x07fe2000,0x74007fe0,0x3217ee1f,0xccccccef,
    0x03ff06fd,0x3b2eb3fe,0x893e603f,0xff7ff05f,0x00ffa801,0x7ff109f9,
    0x3ea03ff1,0x0999999f,0x0007fea0,0x0df50bf9,0xfff93fc4,0xec87a5ff,
    0x7e43e1ef,0x7017fc04,0x1ff880ff,0xf70017fc,0x007fe00d,0x0bf713f2,
    0xfffffff9,0x3fe0dfff,0xffffff01,0x1fd407ff,0x3ffe09f3,0x5dfd005f,
    0x09ffd733,0x817f3fee,0xfffffffa,0x07ff104f,0xf70df700,0xf927dc0b,
    0x87a1555b,0xf90f81ed,0x00ffc409,0x6fa80ff7,0xf1005fd8,0x07fe005f,
    0xfb81ff30,0xaaaefc85,0xf06fcaaa,0x2b3fe03f,0x706ffdba,0xf81fd45f,
    0x9802ffbf,0xeffffffe,0x3fffa03f,0x333fea01,0xfb02cccc,0x540cb80d,
    0x027ec0ff,0x81fe43fd,0x87c1321e,0x3fe604fc,0xb01fee01,0x00ff509f,
    0xff801bee,0x5c17f401,0x204fc85f,0x03ff06fa,0x3fe607fe,0x59fb5513,
    0xf855bf95,0x001ffb9f,0x3f657975,0x013fea02,0xfa800df5,0x1bff201f,
    0x3f22bbfe,0x55ff300f,0x87a07fb5,0x3f21f019,0x701fea04,0x6ffc40ff,
    0x2ffccccc,0x2002ff80,0x3fea01ff,0xffdccccc,0x409f92cc,0x03ff06fa,
    0xafe407fe,0xfffffffb,0x7fc7ffff,0x0001dfb1,0x3fe00ffc,0x0037d401,
    0xfd807ff1,0x7fff447f,0xfb01ffff,0x07ffffff,0x1f01987a,0x5fe813f2,
    0xf503fdc0,0xffffffff,0x06fb80bf,0xf700ffc0,0xffffffff,0x13f29fff,
    0x3ff06fa8,0x7e407fe0,0x57fd5515,0xf8557fd5,0x00bfd11f,0x3e017ea0,
    0x037d401f,0xf500dfb0,0xdcdfd89f,0x440ffcce,0xfdaaaaff,0x83fc3d03,
    0x3209f90f,0x3fdc01ff,0x5555bfb0,0xf80ff955,0x0ffc002f,0x55555510,
    0x2355dfb5,0x1bea04fc,0x1ff80ffc,0x7e84ff88,0x1ff807ec,0x3000ffe6,
    0x3ff003ff,0x5006fa80,0x022003ff,0x3fa01ff7,0x7e427dc5,0x81dc3d03,
    0x4c49f90f,0xfb803ffe,0x8807fe07,0x0df702ff,0x0003ff00,0x27e42fdc,
    0x3fe0df50,0x5443ff01,0x46f80ffd,0x707fe07e,0xc98803ff,0x3ff004ff,
    0x8806fa80,0x99999cff,0x1f540099,0x1fe87f30,0x4eeeefc8,0x3333335d,
    0x3f21f333,0x2fffffff,0xffffffb0,0x1fea9fff,0x7fc13f60,0x01ff8003,
    0x3217ee00,0x75bea04f,0xffffffff,0xffffff0f,0x1be03fff,0x40ffc0ff,
    0x7fec0ffd,0x2002efff,0x37d401ff,0x7ffffdc0,0x006fffff,0x20df5000,
    0xd5fffffc,0xffffffff,0x3ff21fff,0x200adeff,0xfffffffd,0x009fb4ff,
    0x0ff70ff7,0x0007fe00,0x4fc85fb8,0x7ff5bea0,0x0fffffff,0x7bdfffff,
    0x1be2fc40,0xfe881ff8,0x1e6f7ec6,0x200ffc00,0xffc806fa,0xffffffff,
    0x00000006,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20599300,0x059913c8,0x3c98e644,0x5972c880,
    0x26199100,0xcccccccc,0x0cddba84,0xabccccc8,0x70019900,0x01579999,
    0xcc806654,0x55400003,0xc9800000,0x0000cdfe,0x96ff6d40,0x5400ceeb,
    0xffd95003,0x01ed819d,0x1bfee3db,0x1ff92fcc,0x5fa9bf60,0xff94fa80,
    0x7dcdf700,0x7fffffff,0x3fffff62,0x7ffffc3f,0x7fc0cfff,0xffffe801,
    0xff903fff,0xb8dff307,0x07fa0004,0x7e42d400,0x01ffffff,0x7f401ff8,
    0xfffdffff,0x13fea06f,0xffffff30,0x80ffc3ff,0x5fff71ff,0x7fc4bf30,
    0x261ff984,0x34fa806f,0x3fe803ff,0x2aaabbee,0x2b7fa2aa,0x3e1ffd99,
    0xffeb99af,0x7400ffc5,0xffecaacf,0xc86ffc82,0x37fe27ff,0x01fe8000,
    0x2e2ffc80,0x3ffa62ff,0x200ffc00,0xe9bfee0b,0x0bff701f,0xd5109c98,
    0xf80ffcdf,0x0dfdf71f,0x1ffa8bf3,0x1be627f4,0x4fe8fee0,0xfb87fe20,
    0x3a071006,0x2a07fe4f,0x007fe3ff,0x1bfa0bfa,0xf887f7f6,0x77f447fd,
    0x00ff4000,0xf88bff60,0x809fd01f,0x7c4001ff,0xc813ee2f,0x3ea0000d,
    0x7fc07fe7,0x85fd9f71,0x26fd85f9,0x3fc40efb,0xdf91fdc0,0x3ee37dc0,
    0x6fc80006,0x2ff407fe,0x5fd003ff,0x5fb0ff70,0x3fd7d49f,0x2001ffd8,
    0xfd1001fe,0x205fb81d,0x0ffc06fb,0xf50ff400,0xf000000b,0x7c07fe3f,
    0xdf79f71f,0xff885f98,0xf882ff8a,0x262fc807,0x87fb01ff,0xb80006fb,
    0x5c07fe6f,0x2007fe6f,0x87fa82fe,0x5f66f8fe,0x7ff900fe,0xff999950,
    0xf309999b,0x09f901bf,0x3fe03fcc,0xeaa98801,0x05fcaabf,0x2aa62000,
    0x3ff1ffaa,0x67dc7fe0,0x17e61ff8,0x02feffdc,0x320fe8ff,0x441ff42f,
    0x037dc0ff,0xff2fe400,0xff97f203,0xd82fe801,0x3f97e85f,0x803fa9f1,
    0x7fe44ffa,0xffffffff,0xb027fd47,0x87fc407f,0xeffeeeed,0x3ea0eeee,
    0xffffffff,0xddddb5ff,0x1ddddddd,0xffffffc8,0x203ff1ff,0x329f71ff,
    0xe817e65f,0x3fe00fff,0x7e45ff10,0x7d437e41,0xcccffb86,0xf8802ccc,
    0x2207fe1f,0x007fe3fe,0x36a66ffa,0xf37e80ff,0x03fa3f79,0x261bff30,
    0xabffaaaa,0x0bfee2aa,0x7cc07fb0,0x3fffffe7,0x11ffffff,0x5fd339ff,
    0x3fe13333,0xffffffff,0x2fff21ff,0xf1ff9999,0x5c7fe03f,0x263ff14f,
    0x13fea05f,0x3fee1fd0,0xff307f65,0xfb83fd81,0x5fffffff,0x7fc5fd80,
    0xf1bfae61,0xfffd003f,0x3e01bfff,0xfe9bbfa7,0x077f4401,0x7ec03fd0,
    0x027e401f,0x1ff80df5,0x5fd17ee0,0xff100000,0x7fc7fe05,0x3ee3ff01,
    0x2fcd7f24,0x401fffd0,0x1fdfb0fe,0x8ffa03f6,0xefb80ff8,0x01aaaaaa,
    0x3fe07fe4,0x0effffee,0x7f400ffc,0x201efdcd,0xd8fff27f,0x37fa601f,
    0x200ff400,0x3ea03ffb,0x807fd00f,0x0ff201ff,0x000007fd,0x3fe60ff3,
    0xff907fd1,0xff993ee3,0xdf705f98,0x4fec0bfb,0xfd3fccf8,0x7d4df901,
    0x000df706,0x3fe07ff2,0xf02defff,0x45fd003f,0x4ff00ffb,0x0bf60ff9,
    0xe8027fd4,0x4ffa801f,0xf9037fa0,0x01ff801f,0xeffd97ea,0x8032e001,
    0x7fdc2ff8,0x641dfb1f,0x89f71fff,0x985f9cfd,0x03ff9aff,0xf35f55f9,
    0x7fcc1fad,0x3ee07fb0,0x1ffc8006,0x7c003ff0,0x42fe801f,0x47f884fd,
    0x5c17ec3b,0x3fa003ff,0x1bff3001,0xfbbfff30,0x3ff005ff,0xafedff80,
    0x02ecdffe,0xfd809ff5,0xfedffddf,0xfdbfff31,0x13ee3fb9,0xd0bf5ff3,
    0x407fe4bf,0x3fa7dafc,0x2ffe07f8,0xdf700ff8,0x01ffc800,0xff8007fe,
    0x4c2fe801,0x037c40ff,0x3ff617ec,0x000c4001,0x2203bfa2,0x00dffffd,
    0xea803ff0,0xfffb12ef,0x13fee03f,0x7dfffb10,0xfffa87f6,0x3ee3fb3f,
    0x45fdfe84,0x3fa20ffb,0x25fbfb85,0x3206fbfb,0x2e06fadf,0x3ff2006f,
    0x000ffc01,0x5fd003ff,0x6f989fd0,0xfd13fc80,0x0000001d,0x2201ffd8,
    0x00198000,0xb8009802,0x0026000c,0x27dc0188,0xf12fffd4,0x85ff509f,
    0x3e62fefb,0x3fe606fe,0x1bee03fd,0x4cd7fe40,0x3ff09999,0x400ffc00,
    0x0ffa82fe,0x3f201be6,0x26003723,0xeeeeeeee,0x1d9003ee,0x00000000,
    0x00000000,0x4fb80000,0x7ecbffd0,0xa83ff606,0x7ff40fff,0x07fffc05,
    0xffffff70,0x3ffe2fff,0x5fffffff,0x7fc003ff,0x3fffffff,0x93fa05fd,
    0x3fc806f9,0xffff3000,0x09ffffff,0x00000000,0x00000000,0xb8000000,
    0x2bff504f,0x3e602ffa,0x217fea4f,0x7e405ffb,0x7ffdc06f,0xf17fffff,
    0xffffffff,0x8007febf,0xffffffff,0x2e05fd3f,0x00df50ff,0x000009f9,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x37bb7260,
    0x77ff64c3,0xbfd9300d,0x3b22db07,0xbb9502df,0xeeeec819,0x0005eeee,
    0xd700eeb8,0x200faa1b,0x80bb64e9,0x27d50ee8,0x6c0deeb8,0x3ae19f74,
    0x39b9500c,0x00180000,0x00000000,0x03ec0010,0x7ffe4062,0x3fee7fff,
    0xa81fffef,0x1effefff,0x3fffa7fe,0x77fcc2ff,0x3ff60fff,0x07ffffff,
    0x207dffb5,0xff985fe8,0x2e017ea2,0xb81bf24f,0x3a73ee6f,0x3a0fffff,
    0xfbbfffae,0x7ff444ff,0x06d42fff,0xfff30791,0x07a605bf,0x900ea879,
    0x413faa09,0x402effec,0x17fea07c,0xa4c17ff9,0x40982ff9,0x3f622ff9,
    0x4cbfffe6,0x360c46fd,0x2666623f,0xfd83ff99,0x80efb9ac,0x27f43ff9,
    0x3f201be6,0x7403fe63,0x3bfbee3f,0x7f49fd31,0x3e7fdf3f,0x5c46fe46,
    0x893f20ff,0x66f4c0ff,0x45fd07fe,0x077f46fa,0xfea83ff2,0xeffb84ff,
    0xc92a1fff,0xfffe92e6,0xb805ff30,0x0ff6005f,0x1fff97fc,0x71007fcc,
    0x0bfb009f,0x137993f7,0x43fee0dd,0x47f886fc,0x3a17ec4b,0x20ff983f,
    0x7dc0effb,0x6fe9bfa6,0x40ff83fa,0x717f42ff,0x85ff00bf,0x07fe25fb,
    0x3f21dfd1,0x7ee7f40f,0x1ffc4504,0xb1d73df9,0x87ffecdf,0xffa805fc,
    0x207f8801,0x205ff4fc,0x7fedc1ff,0x77e404ff,0xccf97c40,0xfb03f88f,
    0x3e01ff3d,0xfe87fe0f,0x7e437dc1,0x5407fdc5,0xfe8bfa7f,0x3fc43fa1,
    0x3fe61fe4,0xf980ffa0,0xd83fe20f,0x9dfd103f,0x321301ff,0x87fd004f,
    0x2effefd9,0x7fb176c4,0x2f7ffa00,0x555ff500,0x3ebfb555,0x543ff01f,
    0x04fb99df,0x9ea07fea,0x41765f2f,0x202ffff8,0x49ff51fd,0x0ffc40ff,
    0x0bf70bfe,0x741fd0cc,0x7c43fa0f,0x5c17ec0f,0xf03fe65f,0x3fd83fff,
    0xfd1017ea,0x9f9001ff,0x203ff500,0x7c005ffb,0xff91002f,0xffb83bff,
    0xffffffff,0x3fe03ff5,0x4fb87f61,0x3207ff10,0x6c93bbe6,0x9017fea0,
    0xf9fbf25f,0x7d49fb07,0x2005fb86,0xe83fa0fe,0xf88ffa0f,0x226fa80f,
    0x7f6e41ff,0xfc8bfa2f,0x0effc804,0x5c04fc80,0xefea83ff,0xee983fee,
    0x88005fd2,0x2a2fffdb,0xaaaaaaef,0x203ff1aa,0x2f7f21ff,0x9fd04ffd,
    0x9b7f3dc0,0xfffd02e4,0xdf9fdc03,0x506f8afc,0x5c1fecff,0x83fa005f,
    0xa83fa0fe,0x83ffceff,0x13f61ff8,0x77ccdf90,0xfc80bfa0,0x6400efef,
    0x0bff204f,0x65ae37f6,0xdbfff46f,0x3620004f,0x801fe67f,0x43ff01ff,
    0x4f9dffd8,0x7cc06fc8,0x3a3f35f1,0xdf9df904,0x3e73ea01,0x04f9df9a,
    0x03fe2bfe,0xfe8017ee,0x0fe83fa0,0x8177ffd4,0x01bea3fd,0x49f91bf6,
    0xffc80ff9,0x200efe88,0xefe884fc,0x33647301,0xf77fff87,0x7cc0001f,
    0x005ff10f,0x0ffc07fe,0x07fd4004,0x9b2faf40,0x3ff501f7,0x6fcc17fa,
    0x7f7fd0fc,0x2fdefe40,0x3a005fb8,0xfe83fa0f,0x7dc01100,0x32a17f46,
    0x442ffecc,0x917ee1ff,0x77f441ff,0x3fffbae0,0xffffd0ee,0x1f203fff,
    0x3e27ff70,0x401280ef,0x0ffe47fc,0xff80ffc0,0x26666661,0x05ff3099,
    0xc8837e20,0x23ff982f,0xef883ff9,0x0bfbf25f,0x02feff88,0x7f400bf7,
    0x0fe83fa0,0x26666666,0xe983ee09,0xeffffb85,0xde87f502,0x3a203ee0,
    0x7ffffe45,0xffffd0ff,0x1b203fff,0xfff50220,0x3f6ffddd,0x2fffdcde,
    0x66f7ff44,0x03ff0fed,0x7ffc47fe,0xfd3fffff,0xdddddddf,0xfeffd883,
    0x85fe881e,0xfff82ffb,0x007ffe62,0x7dc0fffb,0xe83fa005,0x7c43fa0f,
    0x3fffffff,0x004c4000,0x08020008,0x00000000,0xffec8800,0xffff94ff,
    0x75c03bff,0x3e5fffff,0x543ff01f,0x0aaaaaaa,0xfffffffd,0x2aa205ff,
    0x403ff601,0x7fec0ffd,0x2007ff40,0x3ee04ffa,0xe83fa005,0xaa83fa0f,
    0x00aaaaaa,0x00000000,0x00000000,0x06000000,0x80019988,0x00000099,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80000000,0x200000cc,0x21bf67fc,0x2a205fe9,
    0x1da8002b,0xeeea9362,0x1eeeeeee,0x13333330,0xc8bfee00,0xcccccccc,
    0xf90ccccc,0x00dfffff,0x00000000,0x00000000,0x50000000,0xffb103ff,
    0x4ffb807d,0xffffff30,0x3f29ffff,0x6c41bf67,0xfffe885f,0x7c175c0e,
    0x5c7fee5f,0xffffffff,0xfff881ff,0xfb803fff,0x7ffffc1f,0xffffffff,
    0xfffff91f,0x000000ff,0x00000000,0x00000000,0x8dffb000,0x5ffddff9,
    0x03fddf10,0xddddddd3,0x9bf27ddd,0x2fdc06fc,0x3bfafbf2,0x3f207f60,
    0x1111ba22,0x3fd11111,0x77777710,0x80dfb803,0x99999999,0x22199999,
    0x00888888,0x00000000,0x00000000,0x80000000,0x3fa0fffb,0x3207fa22,
    0x0006f99f,0x2fe4df70,0x83fe0440,0x07fcbffd,0x1fe80000,0x00440000,
    0x00000000,0x00000000,0x00000000,0x20000000,0x21be27fe,0x92fc43fc,
    0xf700007f,0x4002fdcd,0xfffd86f8,0x8000002f,0x000001fe,0x00000000,
    0x00000000,0x00000000,0x00000000,0x1be66fd8,0x41fb0ff2,0x33220ff8,
    0xcccccccc,0x2fdcbf52,0x5e4c0000,0x90000001,0x0000003d,0x00000000,
    0x00000000,0x00000000,0x80000000,0x3fe22ff8,0x9f30ff40,0x7fcc9f70,
    0xffffffff,0x00000004,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x32a00000,0xaefc85ff,0x07f45feb,0x26661fe8,0x09999999,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3ffe0000,0xffffb102,0x30164c1b,0x00000079,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x51000980,0x00000015,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_26_latin1_x[224]={ 0,5,3,0,1,0,0,5,3,3,2,1,3,3,
4,1,1,1,1,2,0,2,1,1,1,1,5,3,1,1,2,3,0,0,2,1,1,2,2,0,1,2,2,1,
2,0,1,0,2,0,2,1,1,1,0,0,0,0,1,4,2,3,1,0,0,1,2,2,1,1,0,1,2,2,
1,2,2,1,2,1,2,1,2,2,0,2,0,0,0,0,2,2,6,2,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,5,1,1,1,0,
6,1,0,0,2,1,1,3,1,0,2,1,3,3,0,2,1,5,5,2,2,1,0,0,0,2,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,2,1,0,0,
0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,2,0,
 };
static signed short stb__consolas_26_latin1_y[224]={ 19,1,1,2,0,0,1,1,0,0,1,5,14,11,
15,1,2,2,2,2,2,2,2,2,2,2,6,6,4,8,4,1,0,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,1,0,2,22,1,6,1,6,1,6,0,6,1,0,
0,1,1,6,6,6,6,6,6,6,2,6,6,6,6,6,6,0,-2,0,9,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,19,6,0,2,2,2,
-2,0,1,2,2,6,11,11,0,1,0,3,0,0,1,6,1,9,19,0,2,6,0,0,0,6,-3,-3,-3,-3,
-3,-4,2,2,-3,-3,-3,-3,-3,-3,-3,-3,2,-3,-3,-3,-3,-3,-3,6,-1,-3,-3,-3,-3,-3,2,0,1,1,
1,1,1,-1,6,6,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,5,3,1,1,1,1,1,1,1,
 };
static unsigned short stb__consolas_26_latin1_w[224]={ 0,4,9,14,12,15,15,4,8,8,11,13,7,8,
6,12,13,12,12,11,14,11,12,12,12,12,5,7,11,12,11,9,15,15,11,12,13,10,10,13,12,11,10,13,
11,14,12,14,11,15,12,12,13,12,15,14,14,15,12,7,11,7,12,15,9,12,11,10,12,12,14,13,11,11,
11,12,11,13,11,13,11,12,12,11,13,11,14,14,14,14,11,10,3,11,14,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,0,4,11,12,13,14,
3,12,12,15,10,12,12,8,12,11,10,12,9,8,13,12,12,5,4,10,10,12,15,15,15,9,15,15,15,15,
15,15,15,12,12,12,12,12,13,13,13,13,14,13,14,14,14,14,14,12,14,13,13,13,13,15,11,12,13,13,
13,13,13,13,14,10,13,13,13,13,13,13,13,13,12,13,14,14,14,14,14,13,13,13,13,13,13,14,11,14,
 };
static unsigned short stb__consolas_26_latin1_h[224]={ 0,19,7,17,22,20,19,7,25,25,11,14,10,3,
5,21,18,17,17,18,17,18,18,17,18,17,14,18,16,8,16,19,25,17,17,18,17,17,17,18,17,17,18,17,
17,17,17,18,17,22,17,18,17,18,17,17,17,17,17,25,21,25,9,3,6,14,19,14,19,14,19,19,18,19,
25,18,18,13,13,14,19,19,13,14,18,14,13,13,13,19,13,25,27,25,6,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,19,23,17,17,17,
27,22,6,18,13,12,6,3,13,6,10,16,11,12,6,19,21,5,4,11,13,12,19,19,19,19,22,22,22,22,
22,23,17,21,22,22,22,22,22,22,22,22,17,22,23,23,23,23,23,12,23,23,23,23,23,22,17,20,19,19,
19,19,19,21,14,17,19,19,19,19,18,18,18,18,19,18,19,19,19,19,19,14,19,19,19,19,19,24,24,24,
 };
static unsigned short stb__consolas_26_latin1_s[224]={ 253,247,46,167,74,137,157,251,60,69,237,
187,1,149,249,72,106,59,71,39,115,27,14,88,165,196,249,178,161,33,136,
72,78,72,155,152,45,60,225,120,130,143,186,182,96,121,1,227,84,58,108,
1,101,51,44,29,14,209,236,29,99,21,20,133,56,230,217,1,97,24,137,
203,173,82,9,148,161,143,37,173,229,110,130,12,134,243,115,100,85,15,60,
37,5,48,66,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,
31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,253,249,196,
185,1,224,1,87,81,197,49,190,94,149,72,107,9,148,227,181,119,241,111,
249,251,216,157,168,141,125,109,72,174,1,132,100,116,136,15,124,148,161,206,
31,44,58,17,219,198,233,166,223,238,181,208,203,15,44,152,30,1,190,239,
153,1,15,44,194,58,85,201,213,208,180,235,166,64,78,213,242,222,92,94,
29,173,188,82,216,58,44,30,1,123,121,109,94, };
static unsigned short stb__consolas_26_latin1_t[224]={ 1,29,186,135,29,52,74,116,1,1,171,
153,186,186,177,52,116,135,153,116,135,116,116,135,94,135,135,94,153,186,153,
94,1,135,135,94,135,153,135,116,135,135,94,135,153,153,153,94,153,29,153,
116,135,116,153,153,153,135,135,1,52,1,186,186,186,153,74,171,94,171,94,
74,116,74,1,116,116,171,171,153,74,94,171,171,116,153,171,171,171,96,171,
1,1,1,186,135,135,135,135,135,135,135,135,135,135,135,135,135,135,135,135,
135,135,135,135,135,135,135,135,135,135,135,135,135,135,135,135,135,1,52,1,
116,135,116,1,29,186,94,171,171,186,186,171,186,186,153,171,171,186,74,52,
171,124,171,171,171,74,74,74,74,29,53,29,29,29,1,135,52,29,29,29,
53,53,52,53,29,116,29,1,1,1,1,1,171,29,29,1,29,29,29,116,
52,76,76,76,52,75,52,153,116,52,52,52,52,116,116,94,94,52,116,74,
76,74,74,94,153,95,96,96,96,94,1,1,1, };
static unsigned short stb__consolas_26_latin1_a[224]={ 229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_26_latin1_BITMAP_HEIGHT or STB_FONT_consolas_26_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_26_latin1(stb_fontchar font[STB_FONT_consolas_26_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_26_latin1_BITMAP_HEIGHT][STB_FONT_consolas_26_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_26_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_26_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_26_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_26_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_26_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_26_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_26_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_26_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_26_latin1_s[i] + stb__consolas_26_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_26_latin1_t[i] + stb__consolas_26_latin1_h[i]) * recip_height;
            font[i].x0 = stb__consolas_26_latin1_x[i];
            font[i].y0 = stb__consolas_26_latin1_y[i];
            font[i].x1 = stb__consolas_26_latin1_x[i] + stb__consolas_26_latin1_w[i];
            font[i].y1 = stb__consolas_26_latin1_y[i] + stb__consolas_26_latin1_h[i];
            font[i].advance_int = (stb__consolas_26_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_26_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_26_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_26_latin1_s[i] + stb__consolas_26_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_26_latin1_t[i] + stb__consolas_26_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_26_latin1_x[i] - 0.5f;
            font[i].y0f = stb__consolas_26_latin1_y[i] - 0.5f;
            font[i].x1f = stb__consolas_26_latin1_x[i] + stb__consolas_26_latin1_w[i] + 0.5f;
            font[i].y1f = stb__consolas_26_latin1_y[i] + stb__consolas_26_latin1_h[i] + 0.5f;
            font[i].advance = stb__consolas_26_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_26_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_26_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_26_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_26_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_26_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_26_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_26_latin1_LINE_SPACING
#endif

