// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_28_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_28_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_28_latin1_BITMAP_WIDTH         256
#define STB_FONT_consolas_28_latin1_BITMAP_HEIGHT        220
#define STB_FONT_consolas_28_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_consolas_28_latin1_FIRST_CHAR            32
#define STB_FONT_consolas_28_latin1_NUM_CHARS            224

#define STB_FONT_consolas_28_latin1_LINE_SPACING          18

static unsigned int stb__consolas_28_latin1_pixels[]={
    0x00aa2551,0x1aa80081,0x77777400,0x0055003e,0x4003db93,0x66ec2aa9,
    0xeeee9802,0xaa8802ee,0x00402000,0x2a002a80,0x066dc002,0x5554c400,
    0x20000001,0x01aaaa98,0xa82aa800,0x540df56f,0xfd01762f,0xffff8009,
    0xffb804ff,0x3ffff204,0x1dff3001,0x00efffe8,0x3fffffe6,0x3fffa603,
    0x77dc00ef,0x3001bf20,0x03fc00df,0x01fdbf90,0x3ffff220,0x7f64407f,
    0xd9800cdf,0x4fffffff,0xdfffb710,0x207fec39,0x20df56fa,0xbff13ff9,
    0x20027f40,0x04fd9999,0xf506ffd8,0x260037bf,0xf93104ff,0x4ffcc0bf,
    0xff900999,0x01dfb537,0xffd0ffec,0x027d4001,0x3e006f88,0x3a005f34,
    0x05cbbcff,0x3fffffea,0x3ff600ef,0x4feccfff,0xffffffa8,0x21ff64ff,
    0x30df56fa,0x4ffb8bff,0x80009fd0,0xffa804fc,0x800dfb03,0xf7002ff9,
    0x01fe601f,0x7dc077dc,0xd3136606,0x03fb8007,0x33ffb2a2,0x546f401b,
    0x0ffb801f,0x2bbfe600,0x80fffb98,0x27fffffc,0x77fdc4fd,0x24da989b,
    0x56fa87fd,0x01ffd0df,0x9fd03ffb,0x04fc8000,0x1ff40110,0x7c400000,
    0x00ff301f,0x7ec01ff3,0x90000000,0x3ffee05f,0x403fffff,0x9005fffa,
    0x6fe800df,0xf887ff50,0x367fffff,0x037fe24f,0x7d43fec0,0xffb8df56,
    0xd0dff102,0xfc80009f,0x3ff00004,0x3e000000,0x00ff302f,0x4fa805fb,
    0x2e600000,0x2a0beffd,0xabfdbeff,0x01a8802c,0x4007fee0,0x3f601ffa,
    0x7ffffd46,0xfd93f67f,0x1ff2000f,0x137d5bea,0xff9809ff,0xec99ff43,
    0x4fc801ce,0x3bbbbbae,0x03ff02ee,0x3a60276c,0x205fd01e,0x37c407f9,
    0x3b637c40,0x40f74c04,0xfffffffc,0x1fd97fe2,0x0fbba200,0x01fff440,
    0x3ea037ec,0x3fffee1f,0x453f67ff,0x7e4003ff,0xdf56fa87,0xfc8037e4,
    0x7fd5ff47,0x6401ffff,0x3ffff24f,0xff03ffff,0x007fe403,0x17f40df9,
    0x7e407f98,0x4aaf2e23,0x007fe47f,0xbffb0df9,0x26595ff5,0x003fa2ff,
    0x006fffa8,0x03dffff7,0x3e201ff4,0x3fffea2f,0x553f67ff,0x7e4000ff,
    0xdf56fa87,0xf98027f4,0x3bfbfa1f,0x407fea9a,0x266624fc,0xf03ff999,
    0x1ffcc03f,0x7f409ff0,0xf80ff302,0xffffd30f,0x7ff31fa9,0x3ea27fc0,
    0xf30df13f,0x2003fc7f,0x400ffefd,0xfffbaffa,0xf007ff04,0x7fffc47f,
    0x5d3f67ff,0x6fc8007f,0x2df56fa8,0xf1003ff9,0x077ff49f,0xfc80bfe6,
    0x107ff004,0x0dfd00ff,0xfc803fea,0x440ff303,0x3a6ffa6f,0xfe81fd2f,
    0xe81ff506,0x7c17e65f,0x006f8aff,0x0ffebfe2,0x7ec49fd0,0x0bfe20ef,
    0xff913fe0,0xa7ecffff,0xfc8006fc,0xdf56fa86,0xe8007fee,0x403bfa7f,
    0x13f204fe,0x3221ffc0,0x1ffa805f,0x7d406fd8,0x207f981f,0x74df54fa,
    0xfa81fb1f,0xf86fd81f,0x4c13ea2f,0x005fefff,0x037edfea,0x3fea07fe,
    0x200bfe65,0xfffd84fe,0x7ed3f67f,0x86fb8006,0x327936fa,0x3fe4007f,
    0x2fe409fd,0x3e009f90,0x19ffd93f,0xf113fe00,0xffd5005f,0xc81fe61d,
    0x7fc7f92f,0x9ff01fb0,0x7cc2ff88,0x980fee1f,0x00cffffe,0x1ff54fd8,
    0xfa827fc0,0x007ff11f,0x3b6607ff,0x7e53f67f,0x86fb8007,0x0dfb06fa,
    0xfd0ffb80,0x9037e409,0x4ffe009f,0x2002effd,0x07fd47fc,0x87ffe440,
    0x47f207f9,0x74ff11fe,0xfa8ff907,0x917fcc0f,0xffd5005f,0x7fc407ff,
    0x6407ff12,0x47ff01ff,0x7fc403ff,0xa7ec1002,0x5c000ffb,0xd06fa86f,
    0xff98009f,0x7e409fd1,0x4013f206,0x3faa63ff,0x45ff3004,0xff9804fd,
    0x81fe609b,0x261ff1fd,0x7cc1fa6f,0x2213f62f,0x007fa4ff,0x27ffefe4,
    0x37ec7fa8,0xd05ffd10,0x202ff47f,0xd8001ffa,0x005ff54f,0x6fa85fb8,
    0x9800bfd0,0x409fd1ff,0x13f204fd,0x7cc1ffc0,0x457fa007,0x4fb801ff,
    0x7f40ff30,0x53ee7f88,0x57fa06f8,0xdff01ff8,0xfd8007fc,0xfb05ffb1,
    0x200ffb8b,0xf50dffe8,0x007fe41f,0x36000dfb,0x001bfe4f,0x0df509d5,
    0xf7001ff6,0xe813fa1f,0x013f203f,0x1ff81ffc,0xf71ff700,0x40bf600d,
    0x23fa07f9,0x4d3f27f8,0x23fee03f,0x3fee06fb,0x3a007f8d,0x3e13fe0f,
    0x01ffc42f,0x7fe7ffe4,0xa827fcc3,0xfb0002ff,0x0027fe49,0xf906fa80,
    0x3fec001f,0x3fea09fd,0x4013f200,0x03ff03ff,0x3faffe20,0x205fd003,
    0x43f607f9,0xb4ff88fe,0x5ffc403f,0x3fa203fe,0x2ebaefef,0x89ff1fe0,
    0x6fe80ffa,0x7fffb300,0x4473ff60,0x20006ffb,0x3ffa24fd,0x8793109d,
    0xd56fa80a,0x800bfea9,0x037fa5ff,0xfc807ff5,0x207ff004,0x3f2001ff,
    0xfd000ffe,0xc81fe605,0xdbddf91f,0xf900bfbf,0xd8801ffd,0x2fffffff,
    0x7fd4df10,0xfb82fec2,0x3fee000f,0x3ffff605,0x0000dfff,0xffd113fa,
    0x49ffffff,0xb7d40ffe,0x09ff16fa,0xfe8bfe20,0x4fffeeff,0xf004fc80,
    0x007fe07f,0x005fff98,0x3fcc0bfa,0x3f625f90,0x005ffa8d,0x400bfff3,
    0x20abefd8,0xadfa9aca,0x7fc0effd,0xffffffff,0x7fdc003f,0x3fffae00,
    0x7c40003e,0xfffd502f,0x3fe239bf,0xfab7d42f,0x5401bf66,0x3fffa0ff,
    0x9002dfff,0x0ffe009f,0x3a000ffc,0x3fa001ff,0x5c0ff302,0xe800003f,
    0x7e4001ff,0xfffff702,0xa81dffff,0xffffffff,0x5c005fff,0x0df9007f,
    0x3ff50080,0xb00ffc40,0x56fa81ff,0x017fd4df,0x9fd13fa2,0x3f200026,
    0x02ff8804,0xfe8005ff,0x817f4006,0x1be207f9,0x1bfa0000,0x4c07f600,
    0xcefffedc,0x333dfb01,0x1ff93333,0x7fcc4098,0x03ff3005,0x5c42fe60,
    0x37d405fe,0xb7d404c0,0x07fec6fa,0xfe81ff90,0x27e40004,0xe80ffd40,
    0x3fee004f,0x07fe2002,0x3f603fcc,0x3ee00001,0x0fe8002f,0xf003fb00,
    0x2ff9807f,0x7ff77fe4,0x3fa000ef,0xc85c99cf,0xffffffff,0x0027e400,
    0x1beadf50,0x3ea0dff1,0x004fe83f,0x6c027e40,0x01ff606f,0x20027fcc,
    0xff300ffb,0x000efa80,0x004ff980,0x7f400ff0,0x007fd400,0x3fee2ff4,
    0x000befff,0x7fffffcc,0xfffda80f,0x1fe800ce,0x55bea000,0x44ffb86f,
    0x9fd05ff8,0xdaaaa800,0x9559d34f,0x7cc05fff,0x7510acff,0x2a00dffb,
    0x2604ffeb,0x40aaaaff,0xb330aefd,0x3f6ea209,0xdf10006f,0x6c03fc00,
    0x1ff9006f,0x00003310,0x017bdb71,0x00000010,0x37d5bea0,0x3fa1ffc8,
    0x009fd00e,0x4ffffff8,0xfffffff3,0xffff5005,0x33fffe23,0xbfffd000,
    0x7fffcc01,0xfffc83ff,0xf103ffff,0x00019fff,0x198006a2,0x00000000,
    0x00000000,0xa8000000,0x6c0df56f,0x401df34f,0x664002cb,0x2e62cccc,
    0x2000acdc,0x9910cba8,0xacb80037,0xcccc8801,0x995101cc,0xbcc88057,
    0x00000001,0x2aaaaa00,0xaaaaaaaa,0x999930aa,0x00007999,0x00000000,
    0xfab7d400,0x006a1c06,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffff8000,0xffffffff,0xfff52fff,0x000bffff,0x00000000,0xab7d4000,
    0x0000006f,0x00000000,0x00000000,0x00000000,0x00000000,0x66666400,
    0xcccccccc,0x999931cc,0x00007999,0x00000000,0xc99e4c00,0x00000003,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xa8000000,0x100002cc,0x64401999,0x2e016442,
    0x2201c2dd,0x0016442c,0x65401d90,0xc880002c,0xccb800cc,0x0665c000,
    0x6442c880,0x70b76e02,0x70b76e00,0x0ccc8800,0x0ccc8800,0x00332e00,
    0x000bff20,0x801dfd10,0x3ff60ffc,0xdffff900,0x7e405fb7,0x003ff60f,
    0x3201be20,0x220002ff,0xfd800efe,0xfb001fff,0xf9003fff,0x407fec1f,
    0xdbeffffc,0x7ffe402f,0x002fdbef,0x0001dfd1,0x4001dfd1,0x001ffffd,
    0x0002ffa8,0x2a009fd1,0xd037dc6f,0x13fff629,0x6fb8df50,0x009f5000,
    0x2000bfea,0xfb004fe8,0x803ff71b,0x1ffb8dfd,0x3ee37d40,0x3f629d06,
    0x14e804ff,0x2009fffb,0x10004fe8,0xfd8009fd,0x001ffb8d,0x10001988,
    0x10080013,0x00151000,0xc8800402,0x002ffffe,0x22000662,0x83310009,
    0x06620098,0x20100131,0x00544000,0x40015100,0x22000098,0x0cc40009,
    0x00000262,0x00000000,0x00000000,0x3ffffea0,0x00001eff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x32200000,0x800cdffe,0x0cdffec8,
    0xea80bd50,0xbffd9105,0xfd910019,0x7d4019bf,0xfffa8aef,0x202f540f,
    0x017aa5ea,0x02f54bd5,0x764417aa,0x2600cdff,0xeeeeeeee,0x3bba205e,
    0x05ee9803,0xee8813aa,0x0776403e,0x100775c0,0xa8007ddd,0xefffffff,
    0x3fffea00,0xfb80efff,0x5437dc07,0xefffffff,0x3fffea00,0xfd00efff,
    0x3ffdfc8d,0x3ee03fdc,0xf701fee6,0x2e03fdcd,0xffffa86f,0xf300efff,
    0xffffffff,0x37ffd40d,0x817ffd40,0x3fea05fb,0x2ffcc06f,0x5013fe20,
    0x5400dfff,0xfb98aeff,0xeffa80ff,0x0fffb98a,0x3ee03fdc,0x4577fd46,
    0xa80fffb9,0xfb98aeff,0x0ffd40ff,0x71bfa3fa,0x26fb80ff,0x37dc07fb,
    0x6fb80ff7,0x4c577fd4,0xf980fffb,0x999999af,0x3ffbf600,0x37ffd400,
    0x3f605fb8,0x7e400ffe,0x03ff201f,0x01ffdfb0,0x7d41bfa0,0x506fe83f,
    0x07fb87ff,0x1bfa37dc,0x7f41ffd4,0xd87ff506,0xfaafcc6f,0x2e03fdc7,
    0x701fee6f,0x203fdcdf,0x837f46fb,0xff983ffa,0xaff88000,0x7fd403ff,
    0x05fb82ff,0x07ff5ff1,0xf105ff88,0xaff8807f,0xffa803ff,0xf51bf601,
    0x237ec03f,0x37dc07fb,0x7ec03ff5,0xb00ffd46,0x5c4fe8df,0x5c3ff13f,
    0x737dc07f,0x26fb80ff,0x37dc07fb,0x7ec03ff5,0x000ff986,0x0dfb7fa8,
    0x86fcefa8,0x2ff505fb,0xffb806fd,0xa806fd81,0xb00dfb7f,0x1ffa80df,
    0xff501bf6,0x2e03fdc3,0x501bf66f,0x037ec3ff,0x3ff87fea,0x2ff887ec,
    0xdf701fee,0x3ee03fdc,0xf701fee6,0x2a037ecd,0x07fcc1ff,0xfaa7ec00,
    0x23bea00f,0x82fdc1ff,0x01ff54fd,0xff98dff0,0xf54fd802,0x04fe801f,
    0x9fd17fc4,0x2e2ff880,0xd37dc07f,0x2ff8809f,0xff1013fa,0xf88bfe25,
    0xff71ffc6,0x3ee6fb80,0xf737dc07,0x3a6fb80f,0x17fc404f,0x10003fe6,
    0x0ffe25ff,0x8bfb6fa8,0x2ff885fb,0xf5007ff1,0x4037ec5f,0x7ff12ff8,
    0xf803ff80,0x200ffe3f,0x01fee3ff,0x01ffcdf7,0x07ff1ffc,0x3fe27ff0,
    0x7ff13ea2,0x3ee03fdc,0xf701fee6,0x2e03fdcd,0x200ffe6f,0x57fcc3ff,
    0x80999999,0x037ec7fa,0x87fe6df5,0x47fa85fb,0xdfd006fd,0x2a007fe6,
    0x1037ec7f,0x9ff005ff,0x3e00bfe2,0x701fee4f,0x00bfe2df,0x17fc53fe,
    0x7ff27fc0,0x8bfe0fec,0x37dc07fb,0x6fb80ff7,0xdf701fee,0x3e00bfe2,
    0x7fffcc4f,0xd84fffff,0x807fdc5f,0xb97fa6fa,0x5c5fd85f,0xff9800ff,
    0xfb005fda,0x100ffb8b,0x9ff005ff,0x3e00bfe2,0x701fee4f,0x00bfe2df,
    0x17fc53fe,0x9fd27fc0,0x87fe23fc,0x37dc07fb,0x6fb80ff7,0xdf701fee,
    0x3e00bfe2,0x777fcc4f,0xf83eeeee,0x81ffc42f,0x43fea6fa,0x42ff85fb,
    0xfb003ff8,0x3e001fff,0x81ffc42f,0xff802ff8,0xf005ff12,0x203fdc5f,
    0x05ff16fb,0x3fe25ff0,0x362ff802,0xfa8bf35f,0x701fee0f,0x203fdcdf,
    0x01fee6fb,0x0bfe2df7,0xff30bfe0,0x07fd4001,0x6fa837f4,0x45fba7f4,
    0x6fe80ffa,0x09fff100,0x3a03fea0,0x00ffe06f,0x1ffc3ff1,0xfb87fe20,
    0xff37dc07,0x21ff8807,0x7fc403ff,0x3f23fee1,0x3ee37ec2,0xf737dc07,
    0x2e6fb80f,0xf37dc07f,0x1ff8807f,0xb0007fcc,0x03fee0bf,0x1ff71bea,
    0x05fd8bf7,0x32001ff7,0xbfb000ff,0x7403fee0,0x07fd405f,0xffa80bfd,
    0xf901fee0,0x2a02ff4d,0x017fa0ff,0x7fcc1ff5,0x3fea0fec,0x3203fdc2,
    0x901fee6f,0x203fdcdf,0x017fa6fc,0xff981ff5,0x3fffe000,0x3fffffff,
    0xbff86fa8,0x7fffc5fb,0x3fffffff,0x400ff700,0xffffffff,0xff903fff,
    0x3237ec01,0x1bf600ff,0x7fc01ff5,0xd803ff24,0x007fe46f,0xfffb0dfb,
    0x217fea2b,0x3fe00ffa,0xf803fea4,0x803fea4f,0x03ff24ff,0xff986fd8,
    0xffff5000,0xbfffffff,0xdf70df50,0x7ffd4bf7,0xffffffff,0x00ff7005,
    0x3fffffea,0x105fffff,0x3fea09ff,0xa827fc42,0x1ffc42ff,0x3e22ff98,
    0x85ff504f,0xff504ff8,0xdfffd105,0xf101bfff,0x8bfe607f,0xff303ff8,
    0x981ffc45,0x13fe22ff,0x7cc17fd4,0x3dfb000f,0xf9333333,0x886fa81f,
    0x3f65feff,0x9999999e,0xfb800ffc,0x33dfb007,0xff933333,0x433ff601,
    0xfb06ffa8,0x3fea219f,0x885ffb06,0xcffd86fe,0x20dff510,0xf510cffd,
    0xfffe80df,0x7fec03ef,0x6c37f442,0x37f442ff,0x3a217fec,0x0cffd86f,
    0x260dff51,0x7ff000ff,0x542ff980,0xbfff906f,0x3e601ffc,0x07fb802f,
    0xf9807ff0,0x3fff602f,0x200dffff,0xfffffffd,0xfffd100d,0x203ffffd,
    0xfffffffd,0x3fff600d,0x200dffff,0x20019ef8,0xffefffe8,0xffe881ff,
    0x81ffffef,0xffefffe8,0xfffb01ff,0x201bffff,0xfffffff9,0x01ff56ff,
    0x6fa8bfd0,0x2abfff10,0x5fe800ff,0xa807fb80,0x5fe800ff,0x77fff5c0,
    0xfffd7003,0x3ff2007d,0x5c00cfff,0x003efffe,0x07dfffd7,0x40009f50,
    0x0cfffffc,0x7ffffe40,0x7ffe400c,0x75c00cff,0x4c03efff,0xffffffff,
    0x200dfb6f,0x1bea0ffc,0xdfb5ffc8,0x003ff200,0xdfb00ff7,0x003ff200,
    0x0060000c,0x00009880,0x00180003,0x40000fec,0x98800098,0x00988000,
    0x00000300,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xc8800000,
    0x00016442,0x332a02aa,0x59950002,0x0001a980,0x00333220,0xca801997,
    0xc880002c,0xccb800cc,0x442c8800,0x0573002c,0x08001980,0x15440010,
    0x0aaa6000,0x4000aaa6,0x3ff60ffc,0x0df50000,0x80017fe4,0x3ee02ffc,
    0xfd100006,0xfffd801d,0x17fe401f,0x1dfd1000,0x3ffffb00,0x360ffc80,
    0x7fdc00ff,0xfff9806f,0x2e03d32e,0x01bf20ef,0x000fffe2,0xb8077fcc,
    0xfa8004ff,0x00037dc6,0xffa807fd,0x5ff50002,0x0007fe20,0xb009fd10,
    0x03ff71bf,0x8002ffa8,0xfb004fe8,0x403ff71b,0x037dc6fa,0x01fcd3e2,
    0xfffb9ff1,0x3ff603ff,0x8803ffa1,0x003ffcff,0x4c027fcc,0x008004ff,
    0x7fcc0001,0x00198800,0xfc806620,0x04c40004,0x2620cc40,0x00198800,
    0x31000988,0x04009883,0x22f88008,0xb50d404f,0x26cc03bf,0xff880fa6,
    0x2007fd12,0x22002ff9,0x000004fd,0x004fc800,0x4c000000,0x000000ff,
    0x00000000,0x00000000,0x97dd0000,0x0000003f,0x00000000,0x20000000,
    0x0003eee8,0x22007fe2,0xd3003eee,0xdddddddd,0x2003fd8b,0xeeeeeee9,
    0x7774c5ee,0x45eeeeee,0xeeeeeeeb,0xeeeb86ee,0x86eeeeee,0xeeeeeeeb,
    0xeeeb86ee,0x06eeeeee,0x001fff4c,0x00000000,0x00000000,0xdfff5000,
    0x02fdc000,0x006fffa8,0xfffffff3,0x06fa8dff,0x3ffffe60,0x7cc6ffff,
    0xffffffff,0x7ffffe46,0xfc87ffff,0xffffffff,0xfffffc87,0xfc87ffff,
    0xffffffff,0xb9800007,0x003eefed,0x005bddb7,0x00b7bb6e,0x016f76dc,
    0x02deedb8,0x03ffbf60,0x8017f400,0x800ffefd,0x9999aff9,0x02ff8099,
    0x3335ff30,0xff981333,0x0999999a,0x7fe4ccc4,0x99881999,0x1999ffc9,
    0xffc99988,0x99881999,0x1999ffc9,0xddfdb730,0xfffff807,0xd100efff,
    0x1bffffff,0x3ffffa20,0xfd100dff,0x01bfffff,0x3fffffa2,0x7fc400df,
    0xa8003ffa,0x5ff1006f,0xff3007ff,0x05fb8001,0x4001ff30,0x20000ff9,
    0xfb8007fb,0x07fb8007,0xf007fb80,0xdfffffff,0x22673a01,0xfd04ffca,
    0x13fea23d,0xfa88f7f4,0x23dfd04f,0xfd04ffa8,0x13fea23d,0x1bf6ff50,
    0x400ff600,0x00dfb7fa,0x88001ff3,0xff9800ff,0x03fe6000,0x007fb800,
    0xb8007fb8,0x7fb8007f,0x51339d00,0xb0009ff9,0x20df70ff,0x37dc1ffa,
    0x7dc1ffa8,0xb83ff506,0x03ff506f,0x0ffaa7ec,0x003fe200,0x0ffaa7ec,
    0x0007fcc0,0x7cc027ec,0x3fe6000f,0x1fee0000,0x001fee00,0x2e001fee,
    0xfd80007f,0x0ffa8007,0x7fd01ffc,0x3fa03ff8,0xfd01ffc3,0x3a03ff87,
    0x25ff103f,0x32003ff8,0x5ff1004f,0xf300ffe2,0xff30001f,0x001ff300,
    0x00007fcc,0xf7000ff7,0x0ff7000f,0x000ff700,0x8001ff50,0x3fe20ff9,
    0xf893f601,0x893f601f,0x93f601ff,0x3f601ff8,0xfd8ff504,0x007fe006,
    0x1bf63fd4,0x3335ff30,0x7f401333,0x4d7fcc02,0x4c099999,0x99999aff,
    0x03fdc009,0x4003fdc0,0xfb8007fb,0xff980007,0xffffb500,0x7fcc1fff,
    0xffffffff,0x3fffe65f,0x5fffffff,0x3fffffe6,0x265fffff,0xffffffff,
    0xbfb05fff,0xa800ffb8,0x17f6006f,0x7cc01ff7,0xffffffff,0x301bea04,
    0xffffffff,0xffff989f,0x404fffff,0xfb8007fb,0x07fb8007,0x2007fb80,
    0xffffffda,0x77ff440f,0x20ffeeee,0xfffffffa,0x3ea5ffff,0xffffffff,
    0x3ffea5ff,0xffffffff,0x3ffffea5,0x05ffffff,0x3ff885ff,0x2002fe80,
    0x1ffc42ff,0xddddff30,0xff807ddd,0x3bbfe601,0x4c3eeeee,0xeeeeeeff,
    0x03fdc03e,0x4003fdc0,0xfb8007fb,0xeffe8807,0x40ffeeee,0xff981ffd,
    0x0003fe60,0x98001ff3,0x7cc000ff,0xff50000f,0x980dfd01,0x3fea007f,
    0x2606fe80,0x320000ff,0x03fe605f,0x000ff980,0x2001fee0,0xfb8007fb,
    0x07fb8007,0xf981ffd8,0x981ffc0f,0x0bfe20ff,0x005ff100,0x4002ff88,
    0xb0002ff8,0x03fee0bf,0x36004fd8,0x01ff705f,0x80003fe6,0xff300ff8,
    0x07fcc001,0x00ff7000,0x7000ff70,0xff7000ff,0x2607ff00,0x0bfe20ff,
    0x3fa07fe4,0x06fe8006,0x8006fe80,0xff0006fe,0xffffffff,0x03fe207f,
    0xffffff80,0x303fffff,0xd80001ff,0x01ff303f,0x0007fcc0,0x7000ff70,
    0xff7000ff,0x80ff7000,0xff902ff8,0x74c5ff81,0x7fcc0fff,0xff30100d,
    0x3e60201b,0xf30100df,0x2a0201bf,0xffffffff,0xbf705fff,0x7fffd400,
    0x5fffffff,0x0001ff30,0xff306fa8,0x07fcc001,0x00ff7000,0x7000ff70,
    0xff7000ff,0xe98bff00,0x7fdc0fff,0xffbfffee,0xeefffc80,0xff907fee,
    0x0ffddddf,0x3bbbfff2,0xfff907fe,0xb0ffdddd,0x333333df,0xff01ff93,
    0x4f7ec005,0xfc999999,0x00ff980f,0x982fe800,0x3e6000ff,0x3ee0000f,
    0x07fb8007,0x8007fb80,0xffb807fb,0xffbfffee,0xdffffb80,0x36601ff1,
    0x05ffffff,0x3fffff66,0x3ff6605f,0x2605ffff,0x5ffffffd,0x7cc03ff8,
    0x0037d42f,0xff300ffe,0x001ff305,0xf30bf700,0x7fcc001f,0x1fee0000,
    0x001fee00,0x2e001fee,0xfff7007f,0x803fe3bf,0x4c400018,0x4cc40009,
    0x04cc4000,0x40266200,0xfe800ffa,0x5001fec5,0xbfd001ff,0xffffff30,
    0x2200dfff,0x7ffcc1ff,0x46ffffff,0xfffffff9,0x7ffe46ff,0x87ffffff,
    0xfffffffc,0xfffc87ff,0x87ffffff,0xfffffffc,0x00c407ff,0x00000000,
    0x00000000,0x037ec000,0xff30ffc8,0x037ec001,0x7cc0ffc8,0xffffffff,
    0x313f2006,0xffffffff,0xffff98df,0x646fffff,0xffffffff,0xffffc87f,
    0xc87fffff,0xffffffff,0xffffc87f,0x007fffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0x04cc02a8,0x00155300,0x30555300,0xa9800555,0x6fd4002a,0x20010080,
    0x55440100,0x080aa201,0x15440010,0x00154400,0x2a60aa20,0xa988002a,
    0x0035501a,0x02aa9800,0xd01fffc4,0x88017dff,0x037516ff,0x8077fcc0,
    0x5c004ffb,0x3fe004ff,0x9077dc3f,0x0efb80df,0x3fe61bf2,0x09fb05ff,
    0x6fc83bee,0x03fff880,0x00fffe20,0xb80ff980,0xf91004ff,0xe83dffff,
    0x2600004f,0x3e200eff,0xfb03ffcf,0xb805ffff,0x02ffffff,0x3009ff30,
    0xf98009ff,0x5ffd004f,0x3fa1ffd8,0x87ff600f,0x5ff40ffe,0x37d42fea,
    0x7f43ffb0,0x33fe200f,0xff8803ff,0x30003ffc,0x3fe601ff,0xbcffd804,
    0x3fa0fffd,0xff300004,0x12ff8809,0xfeb807fd,0xffffc82f,0x9800bcff,
    0x362002ff,0x7ec4004f,0x983c8804,0x201f4c4d,0x21f4c4d9,0x897ee5f9,
    0x136601fe,0x7fc407d3,0x4407fd12,0x07fd12ff,0x401ff300,0x3ea04fd8,
    0xd1ffc41f,0xf300009f,0x0000005f,0x3f61ffa2,0x000ffdbd,0x00000000,
    0x00000000,0x98fee000,0x0013f25f,0x00000000,0x0ff98000,0x04fd8000,
    0x027f49fb,0x00000000,0x085ff500,0x0002ffc4,0x00000000,0x0000aa20,
    0x97ea0000,0x01df35fa,0x00000000,0x7cc00000,0xfe80000f,0x3a3ff883,
    0x0000004f,0x7bddb710,0x81ffc400,0x02fffeca,0x3ba207d9,0xe881f640,
    0xddb7100e,0x82fd407b,0x03deedb8,0xee881f64,0xfd15ff10,0x2600bfa5,
    0x03eefedb,0x77440fb2,0xefedb980,0xedca803e,0xb980ffde,0xf83eefed,
    0x077f442f,0x3bb267fd,0x3b6e601c,0x7d403eef,0x0effffff,0xe887ff00,
    0x06ffffff,0x3fe209fd,0xf8827f41,0xffffa81f,0xfa80efff,0xfffffa86,
    0x9fd00eff,0xfb87fe20,0x0bf95fff,0x3fffffe0,0x4fe80eff,0xff03ff10,
    0x1dffffff,0xfffffb10,0xfff01fff,0x41dfffff,0x3bfe62ff,0x7fd5ff40,
    0xff01ffff,0x1dffffff,0x315bff30,0xf500dff7,0x5f7fc43f,0xe83ffa99,
    0x83ff104f,0x3ff104fe,0x98adff98,0x6fa86ffb,0x4c56ffcc,0x9fd06ffb,
    0x9307fe20,0x003fe659,0x6544ce74,0x04fe84ff,0x39d03ff1,0x09ff9513,
    0x93115dfd,0x339d01ff,0x7c9ff951,0x7417fa2f,0xea9aefef,0x1339d07f,
    0xfd09ff95,0x30bfea0b,0xc8bffb75,0x86fd80ef,0x3ff104fe,0xff104fe8,
    0xf505fe83,0x746fb85f,0x05ff505f,0x3fe209fd,0x002fe801,0xfd0ffb00,
    0x007fe209,0xefb8ffb0,0x000ff980,0x25ff3fec,0xffd01ff8,0x02ff981d,
    0x3e63fec0,0x717f601f,0x4419ffff,0x3ff302ff,0xff104fe8,0xf104fe83,
    0x00ffcc3f,0x26fb8bfb,0x3f601ff9,0xf104fe85,0x05fb803f,0x03fea000,
    0x3fe209fd,0x07fd4001,0x3fe605ff,0x87fd4000,0x05ff12ff,0x7f403bfa,
    0x07fd4004,0x6fb80df7,0x5404f7dc,0x21ffc07f,0x3ff104fe,0xff104fe8,
    0x2e037dc3,0xf73fdc6f,0xe86fb80d,0x03ff104f,0x00007fcc,0xfe81ff30,
    0x003ff104,0xff30ff98,0x003fe601,0x3fe1ff30,0x3a0bffa2,0x017f204f,
    0x7e41ff30,0x2a3fd405,0x01bee05f,0x04fe89fd,0x4fe83ff1,0x7e43ff10,
    0x2e3fd405,0x5017f27f,0x209fd0ff,0x3fa01ff8,0x803bfd73,0xffffffda,
    0x8827f40f,0xffb501ff,0x2a1fffff,0x03fe607f,0x7ffffed4,0x445ff0ff,
    0x27f44ffe,0x36a0df90,0x0fffffff,0xff5017f6,0x3f205fa8,0x3a2fec06,
    0x83ff104f,0x3ff104fe,0x3ea02fec,0xbfb3fdc7,0xfe87fa80,0x203ff104,
    0xfdff95fb,0xdffd101f,0x81ffdddd,0x3ff104fe,0xeeeffe88,0xff70ffee,
    0x2207fcc0,0xeeeeeffe,0x885ff0ff,0x13fa5ffd,0x7f446fc8,0xffeeeeef,
    0xf701bf20,0x2e04e98d,0x227f407f,0x3ff104fe,0xff104fe8,0x2e037e43,
    0xf93fe46f,0xe86fb80d,0x03ff104f,0x1ff11ff1,0x3ff613f2,0x740ff981,
    0x83ff104f,0xff981ffd,0x7cc0ff50,0x40ffec0f,0x05ff0ff9,0x27f4fff2,
    0xffd89fb0,0x2a0ff981,0x17f600ff,0x803fea00,0x82fec3ff,0x2fec1ffa,
    0x3ea1ffa8,0x917f600f,0x007fd4ff,0x0bfb0bfb,0x3f607fea,0x37cc9f53,
    0xff981ffc,0xfa82fec0,0x981ffc1f,0x01ff30ff,0x7ff03ff6,0x7fc3fe60,
    0x7f5bf602,0xff0ffa04,0x883fe607,0x5ff103ff,0x7fc40150,0xc81ff704,
    0x1fff887f,0x7fc43fe4,0x40ffe21f,0x7fe42ff8,0x2207ff10,0x87fc82ff,
    0x7d41fff8,0x6f893ea6,0xfc817fc4,0x443fe40f,0x3fe21fff,0x221ff902,
    0xfffc83ff,0x640bfe20,0x405ff0ff,0x209fd6fb,0x3fe20ffa,0xc81ff902,
    0x37f4c3ff,0xf9007fec,0x84ffa87f,0x3fe63ffb,0x1ffdc1ff,0xc83ffff3,
    0x37f4c3ff,0xff907fe4,0x706fe987,0x7ffcc7ff,0x987fe21f,0x3e13ea6f,
    0x7fff4c5f,0xf31ffdc0,0x5ff83fff,0xb07fff4c,0x3bf227ff,0x22ffc0ff,
    0xff0fffe9,0x757fa205,0x1ffd40df,0x3fa62ffc,0x7ff440ff,0x40efffef,
    0x2202fff8,0xfffefffd,0x3bfffe05,0xf81ffaff,0xfaffefff,0x7fff441f,
    0xc80efffe,0x3ffa20ff,0x00efffef,0x3ffbfffe,0x0ff61ffa,0x03ff3bfa,
    0x3ffbbfee,0xff80ffbf,0xffaffeff,0x7f77fdc1,0x260ffbff,0x8dffefff,
    0x77fdc0ff,0x0ffbfffe,0x3bbea5ff,0xfffd0fff,0x209fffdd,0xfffeeffb,
    0xfd700ffb,0x7ec09dff,0xffeb800f,0x7f4403ff,0x03ff1eff,0x23dfffd1,
    0xffd701ff,0x665409df,0xefffeb80,0xfffe8804,0x3ea3ff1e,0x3dffd106,
    0x6ffffdc0,0xfd101ff1,0x07fe3dff,0x477fffee,0x7ff4c0ff,0x2e03fe4e,
    0xff1dffff,0x7fd4bfe1,0x3b260cff,0x402dffff,0xf1dffffb,0x0013001f,
    0x13100026,0x00098800,0x20000988,0x4c000009,0x00988000,0x40011000,
    0x13100018,0x00031000,0x06200011,0x1000c400,0x00310001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4c01554c,0xdd930001,
    0x2aa6005b,0x01aa8002,0x03300aa2,0x22000000,0x3000002a,0x2a880375,
    0x3b22fd40,0x000dd303,0x00005553,0x00000000,0x8000dfb8,0x2600eff9,
    0x3d32efff,0x7ffffdc0,0x9ff7004f,0x0fffaa00,0xff304fd8,0x407a65df,
    0x03dffec8,0x00fffe20,0x33bfff6a,0x05fffd81,0xfff013f6,0xfa827f45,
    0x77fcc007,0x3ff6e200,0xd9301cef,0x98007bdf,0x1cffffdc,0x0027ffcc,
    0xf1013fe6,0xfffffb9f,0x277fe203,0x3001ffd9,0xffb809ff,0x0df503fe,
    0x3ff73fe2,0xfe981fff,0x805fffff,0x03ffcff8,0x3ffffff6,0x7d4c42ff,
    0x806fa80f,0x13fa1ffe,0xf3003fd4,0xfffa809f,0xb84fffff,0xeffeefff,
    0xffffb800,0x7d45ffff,0x3e6005ff,0x5435002f,0x3ee01dfd,0x001ffc47,
    0x64409fb1,0xfe883fc8,0xfda86a01,0x1eff881d,0x4409ff71,0x07fd12ff,
    0x2a217ff7,0x7e4c47fe,0x801fe886,0x827f42c8,0xff3007fa,0xbeffb805,
    0x6c4da989,0x7fec41ff,0x2fbff600,0xd85da989,0x000001ff,0x1bf20000,
    0x00000ffa,0x9f907f90,0xdf900000,0x001ff701,0xa837f400,0x3ffea1ff,
    0x0027e40c,0x7d413fa0,0x7c400007,0xdf3000df,0xa82fe401,0x030004ff,
    0x00000000,0xff88ff70,0x64000001,0x0077cc3f,0x017fc000,0x400007ff,
    0x3ff103fe,0x31ffd4c4,0x2a2001df,0xfa827f41,0x7ec00007,0x8bfa000f,
    0x3ff09aa8,0x0005ff88,0xddb71000,0x36e2007b,0x7cc03dee,0x00bfd13f,
    0x3dddddd1,0xfe87f900,0xda8f6402,0x7fd40def,0x10bff500,0x03dddddd,
    0x6fb837e4,0x7f49fd10,0xd17ea002,0x41fea09f,0x1eeeeee8,0x4007ff10,
    0x3ffea6f9,0xfb89f73f,0x8000001f,0xfffffffa,0x3ffea00e,0x200effff,
    0x0effbffd,0xfffff980,0x23fc801f,0xafe805fc,0x1ffffffc,0x7fe41bee,
    0xffff986f,0x3fe601ff,0xd13fee0d,0x3f21ffff,0x22fd4005,0x0ff504fe,
    0x3fffffe6,0x001ff501,0xcff99fdc,0xc8df12a9,0x8000006f,0xb98adff9,
    0xbff306ff,0x0dff7315,0x027fffc4,0x3fe66660,0xf31a9801,0xfdfd001f,
    0x4bff713d,0x7ff4c5fc,0x333307fd,0xffa803ff,0xb83ffdcf,0x03fe63cc,
    0xfe8df700,0x4c0ff504,0x701ff999,0x2fc800ff,0x23fc09f9,0x000004fe,
    0xff505fe8,0x2a0bfd05,0xfffb02ff,0x1002a88b,0xfd0003ff,0x17ffa005,
    0x24fd9ff2,0xff99effa,0x00ffc400,0x17ffff4c,0x400bfa00,0x746fffd8,
    0x00ff705f,0x7e407fe2,0xe8fec006,0xf83fa02f,0x7fffcc3f,0x200a886f,
    0x3f601ff9,0xb00ffcc5,0xfbffb0bf,0x8037dc9f,0x5c001ff8,0x1bfa005f,
    0x4fd87fd4,0x3e61bffb,0x0ffc400f,0x7ffffdc0,0x0bf7003f,0x3bbffe60,
    0x7cc3ff45,0xff8800ff,0x800dfb01,0x403fd1fd,0x30ffe0fe,0xf0dfffff,
    0x1bee03ff,0x6fb8df70,0x3ee37dc0,0x325ffb0f,0x3ff1006f,0x007fcc00,
    0x3e209fd0,0xffddf91f,0x8807fa87,0x3f6201ff,0x09ffd53f,0xd000ff98,
    0x7ff401df,0x0bfffea3,0x6407fe20,0x97e4007f,0xf1fe03fd,0x46fc809f,
    0xf905fff9,0x647fa80b,0x23fd405f,0x3ffa23ff,0xf1005fe9,0x1ff4003f,
    0x3fa05ddb,0x2e3ff104,0xfb81efff,0x01ff8807,0xfd107ff2,0xb1ff403f,
    0x07ff05dd,0xfeffffe8,0x404ffd9f,0xff701ff8,0xb9fdc001,0xf11a8bff,
    0x6405fd8d,0x07ffe86f,0x7fa80bfb,0x3ea02fec,0xf307fe27,0x2005ffdf,
    0xf7001ff8,0x81fffdcb,0x3ff104fe,0xfc817fea,0x01ff8806,0x7fc40ffe,
    0x7dcbf704,0x17fc43ff,0x3fff3fa0,0x80bfd30e,0xff501ff8,0xb37d4005,
    0x3ea7ffff,0x3203fe45,0x06ff986f,0x6fb80df9,0x3ee037e4,0x2a0bfe26,
    0x1000ffff,0xff1003ff,0x0ff3be21,0xff8827f4,0x7c05ff31,0x1ff8803f,
    0x7403ff30,0x10ff885f,0xf887f9df,0x89ff404f,0xf8801100,0x0dff101f,
    0x2ea1fe80,0xa83fd0ac,0x1bf203ff,0xffa82ffc,0xf517f600,0x22fec01f,
    0xbff904ff,0x00ffc400,0x93fb1fec,0x413fa07f,0x17f61ff8,0x44007fdc,
    0x5ff301ff,0x7ec1ffc0,0x0ff27f63,0xfe803ff6,0xff100003,0x01ffdc03,
    0x5c01df50,0x03ffb05f,0x3fea1bf2,0x207ff101,0x7fc42ff8,0xc85ff103,
    0x3ff263ff,0xff1002ff,0x2e6fa803,0x80cfd9df,0x3ff104fe,0x3ea27fcc,
    0x3ff1004f,0x2217ffc0,0x37d41ffd,0x19fb3bf7,0xd02eff98,0x2200009f,
    0x7ffc01ff,0x8793109d,0xffb80efe,0x37fff301,0xf9316fc8,0x3ffc809f,
    0xfc837f4c,0x437f4c3f,0xffefffe8,0x801ffeef,0x3e201ff8,0x3ffff21f,
    0x04fe85ff,0xffb83ff1,0x004fffef,0xf9807fe2,0xfffeefff,0xf90ffc43,
    0x50bfffff,0x219bdfff,0x100004fe,0xfd8803ff,0x4fffffff,0xfdceffd8,
    0x7f4c01ef,0x6fffffff,0x1007fff9,0xfffdfffd,0x3ffa201d,0x00efffef,
    0x4bbffff2,0x7e40eff9,0xffffffff,0x950ff62f,0xd05dfd99,0x07fe209f,
    0x0fbfffaa,0xffffff90,0xc885ffff,0x81dfffff,0x666543fd,0xfb102efe,
    0x13fa3fff,0x7fffe400,0x02ffffff,0x7bffffd7,0x3fff6e03,0x3b2000ce,
    0x51dfffff,0xeb800157,0x7004efff,0x009dfffd,0xffc80008,0xffffffff,
    0xf900df52,0x4413fa07,0x000c01ff,0xfffffff9,0x4c405fff,0x201bea00,
    0xba8803fc,0x0005970c,0x3ffffff2,0x8802ffff,0x00008000,0x00001330,
    0x300004c0,0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x50100800,0x00400035,
    0xa8806aa0,0x260276c2,0x035101ee,0x00000200,0xcdedca80,0x791000eb,
    0x3b263d90,0x555441ce,0x00000aaa,0xaaa98800,0xefec8809,0x531eeeee,
    0x32a00005,0x6fdc3eed,0xc83bee00,0x0027f46f,0xbdfffd91,0x0fffaa03,
    0x7fe44fd8,0xe81bf200,0xed9801ff,0x201dffff,0x0cdffec8,0x3ffff620,
    0x5000ffff,0xf55fd09f,0x4c3fffff,0x01ffffff,0x0001fb10,0x7fffffd4,
    0x7f7ffdc2,0xf71fffff,0xffb8000d,0x3e64ffff,0x3ff604ff,0xfe83ffa1,
    0x3ffe6004,0x5c3fffff,0xf503feff,0x407ff30d,0xfff104ff,0xffffc807,
    0xf503ffff,0x1dffffff,0x115dff10,0x2001ff93,0xfefe81fd,0x27fea9ae,
    0x1ffcccc8,0x001ff300,0x337ffee0,0x13fe61ec,0x7dc35ff9,0x3ff60006,
    0x2a099abe,0x36605fff,0x3fa1f4c4,0x886e2004,0x3220ffeb,0xfe883fc8,
    0x2a0dfd01,0x3ff600ff,0x2b7fee00,0x3ea06a60,0xffb98aef,0x4077dc0f,
    0xdc880ff9,0xffd07ffe,0x02ff981d,0x26003ff1,0xf88000ff,0x37e400df,
    0x37dc4fe8,0x02ffc800,0x0003ffb0,0x00027f40,0xf902ffa8,0x5409f907,
    0x06fd81ff,0x37fc0098,0xa837f400,0x0ffe23ff,0x3ea07fcc,0x85ffffff,
    0x9fd00efe,0x4007fe20,0x98000ff9,0x4fd802ff,0x6fb8df90,0x02ff8800,
    0x400000c0,0x200004fe,0x87f903ff,0x7fc00ef9,0x0017fc44,0x0017fc40,
    0xfd807fea,0x4c03fe66,0x37fe60ff,0xe8bfffb1,0x417f204f,0xdd101ff8,
    0xddddffdd,0x3fd403dd,0xf904fe80,0x8006fb8b,0x800005fc,0x1eeeeee8,
    0x3f6a7fd0,0x3e2000de,0xe87f901f,0x47fc802f,0x77440ffa,0xf101eeee,
    0x6fd8009f,0xfa8ffd40,0xe83fe607,0x3ebbe24f,0xc813fa2f,0x03ff106f,
    0x3fffffe2,0x01ffffff,0x7dc01fee,0x21ffc40f,0x9dd306fb,0x00003fe8,
    0xffffff98,0xff97fd01,0x2003ffff,0x8ff206fb,0xff3005fc,0x7cc27ec5,
    0x201fffff,0x3a003ffe,0x97fc404f,0x3fe607fb,0x7d41ff50,0x27f49fb4,
    0x3e20df90,0x2e66601f,0x199999ff,0x8803fdc0,0xffbabfff,0xf986fb86,
    0x27fe20ef,0x01defedb,0x3e666600,0xdfdfd01f,0x10bff715,0x01dfb533,
    0x0ff98d4c,0x7c57fa00,0xf333301f,0x7ffcc03f,0x03ff802e,0x0ff53ff8,
    0x6fb87fcc,0x25fb8fec,0x13f604fe,0x9800ffc4,0xeed800ff,0xeeeeffee,
    0x7fffcc5e,0xfb80cfff,0x2077fcc6,0xfffffff9,0x80003fff,0xffd01ff8,
    0xc87fc81b,0x001fffff,0x2e0017f4,0x006fb8ff,0xe8803ff1,0x880cffff,
    0x4ff802ff,0x3f601ff3,0x7c4bf90f,0x4fe9fea6,0x7c40ffa0,0x1ff3001f,
    0xfffffd00,0x8fffffff,0x0aaa8afe,0xff99bee0,0xbeff980e,0x007ff660,
    0x203ff100,0xffa80efe,0x7ff775c0,0x5fb800df,0xebff8800,0x3ff1003f,
    0x3fff6a00,0x017fc43f,0x3ff8a7fc,0xf90fffc8,0xff327d4b,0xffa827f4,
    0x003ff100,0x22003fe6,0x99ffc999,0x3fe21999,0x8b7dc001,0xff300eff,
    0xd72ffc01,0x3fe2001b,0x2209fd01,0x7dc401ff,0x07fcc05f,0xffefc800,
    0x03ff1000,0x4fffc880,0x3e00bfe2,0x447ff62f,0xf70ffefc,0xdf50fecd,
    0x3ea06ff4,0x07fe203f,0x0007fcc0,0xff803fdc,0x019aaabe,0x1dff1df7,
    0x900ffc40,0x13ffe6df,0xe80ffc40,0x03ff104f,0xe807fea0,0x05dfd73f,
    0x00bfff30,0x8000ffc4,0x3fe1ffe8,0x30ffc403,0x3bffdfff,0x45fe61ff,
    0xfd2fe47f,0xbfffddff,0x001ff880,0x70001ff3,0x3fee00ff,0x3fffffff,
    0x03ff77dc,0xf7017fc4,0x017ffeaf,0xfe80ffc4,0x003ff104,0x7dc0bfe2,
    0x3ffbdf15,0x003ffd00,0x0000ffc4,0x2ff47ff1,0xd303fea0,0x3fe69dff,
    0x93eb3fe0,0x3ffa2ff8,0x802dffff,0xf3001ff8,0xff70001f,0x333fea00,
    0x24fffeed,0x04ffaefb,0x3f203ff8,0x4007ff65,0x9fd01ff8,0x4007fe20,
    0xff881ff9,0x803fd860,0x7c4006fe,0x7fc0001f,0xd803ff23,0xf302206f,
    0x7f7fe41f,0xfe8dfd11,0xf8800134,0x1ff3001f,0x00ff7000,0x3a205ff3,
    0x7ddbee7f,0x837e403f,0x004c3ff8,0x3a03ff10,0x03ff104f,0x7ec1ff20,
    0x803fd103,0x44002ffb,0x260001ff,0x13fe22ff,0x20017fd4,0x7fe40ff9,
    0x41effeef,0x220004fe,0xff1001ff,0x0ff70007,0xfa80df70,0x7e4df70f,
    0x17fe202f,0x0001dfb1,0xfd01ff88,0x007fe209,0xf505ff91,0x013fa20d,
    0x10009ff3,0x06e603ff,0x36077f54,0xff510cff,0x1ff3000d,0x9dffff90,
    0x80013fa0,0x3e001ff8,0x2e0042ef,0x1ffc807f,0x6fb9ff60,0xf7017fec,
    0x3fffddff,0x22002a20,0x09fd01ff,0x77ec7fe2,0x83ffffee,0xffa81ff8,
    0xffdba883,0x3ff10006,0x3ffffee0,0xb00fffff,0xbfffffff,0x1ff30001,
    0x80135fb0,0x220004fe,0x3ea001ff,0x01ffefff,0x3ea01fee,0xdb99abef,
    0x11bee2ff,0x74c03ffd,0x100cffff,0xffc81fff,0xffffffff,0x3e209fd2,
    0xfffffb1f,0x0ff6019d,0x93bbffe6,0x00cffff8,0xffffff90,0x3aa5ffff,
    0xbeffffff,0x7fff5c00,0x3e60003e,0x0037c40f,0x7e4009fd,0xffffffff,
    0x7ff5402f,0x3ee01fff,0xffff7007,0xb85dffff,0x1ffe886f,0xfa800980,
    0x7ffe44ff,0x2fffffff,0x3fe209fd,0x20026621,0xfff306fa,0x5e644bff,
    0x7ffe4001,0x2fffffff,0x00009988,0x64400006,0x0027d40c,0x7e400597,
    0xffffffff,0x0262002f,0x8801fee0,0x02bcdcca,0x3fe60df7,0xf100000f,
    0x00000bff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3aa00000,0x542f5405,0x4c0005ff,0xeeeeeeee,0xe980001e,
    0x5eeeeeee,0x5ea80bd5,0x3b2a0000,0x07d92cee,0x3bbaa000,0x0043eeee,
    0x77774404,0x76c02bde,0xc9774404,0xeeeeeeee,0xd100eeee,0x74c1ec89,
    0x329d5005,0x1dd5005e,0xdf701fee,0xb307ff30,0xf303bfff,0xffffffff,
    0xeffeb805,0x3fffe60c,0xff77ffff,0x6dc6fb80,0x2601dffe,0x6ffffffe,
    0x200009fd,0xfffffffe,0xf980bb34,0x7ffffc43,0xf701efff,0xb37ec05f,
    0x5555555b,0x2a01f755,0x260ff44f,0x2bf7007f,0xfd801ffb,0xf701fee6,
    0xc81ff70d,0x4fffefff,0x4cccffcc,0xfd100999,0x45ffffff,0xfc999999,
    0xfb80ff77,0xfffffb16,0xfff307ff,0x3ab73337,0x000199df,0x203ffdf3,
    0x3fa02ffb,0x4cdffc46,0xd03fffba,0x87fe60df,0x2203513d,0xe89f500f,
    0x803fcc0f,0x07ff14fb,0x3fdc7ff0,0x6d45bee0,0x1ffdc3ff,0x7f98bff2,
    0x45ffb000,0xfb800eb8,0xfb80ff77,0x2615df96,0x77f40ffe,0x7ffff400,
    0x9000bfff,0x6c03ff5f,0xcaccb9ff,0x17fc40ff,0x4c07fec4,0x45fe83ff,
    0x19fff33d,0x3fb807c4,0x07fc43fc,0xdfd27e40,0x2e1ffa80,0xdb7dc07f,
    0x7fc42eff,0x7ccdf903,0x2ff98007,0xbbfdc000,0x937dc07f,0x547ff301,
    0xffe802ff,0x1ffffeee,0x1ffbfc40,0x3ffffa20,0xf882ffff,0x09ff102f,
    0xffa83ff2,0x3ee61ec0,0x54c1f10e,0xfbaacfda,0x1ff12aaf,0x7dc7f900,
    0x71bf200f,0x76fb80ff,0x81fea037,0x0ff31ff9,0x000ff500,0x1feeff70,
    0x3a00df70,0x401fee5f,0xfffa84fe,0x7fd3ee00,0x5effdc01,0xff107ffd,
    0x883fe405,0x20ffe4ff,0x229f303d,0x3ffff60f,0xffffffff,0x36007fe6,
    0x80ffe23f,0x03fdc3ff,0x7dc01bee,0xf997fc06,0x06fb8007,0xf77fb800,
    0x006fb80f,0x02fecbfb,0xff304fe8,0xff8ff407,0x2a2ff401,0x2ff883ff,
    0x5c03fee0,0xb06fb8ff,0x0f8b7407,0x2affaaa6,0x22aadfca,0xb0fa61ff,
    0x306fe85f,0xaffb81ff,0xfdaaaaaa,0xf7015556,0xf33fe80f,0x80599ddf,
    0xb80006fc,0xb80ff77f,0x49fd006f,0x9fd005fe,0xf982ff40,0x2666bfe6,
    0x3e07fe60,0x5ffccc4f,0x0ffd4099,0x03ffbfd0,0x8afc40f6,0xfa8ff00f,
    0x7e43fd04,0x3ee0fec7,0xb86fc80f,0xffffffff,0x3ffd6fff,0x7403ff50,
    0xfffff34f,0x3f205fff,0x7fb80006,0x6fb80ff7,0x361ff980,0x09fd006f,
    0x3fd837ec,0x8ffffffe,0x8dfb07fa,0x2fffffff,0xf3017fcc,0x11ec0bff,
    0x3e23fd99,0x3fb8ff00,0x7ff45fd0,0xff107fa2,0xf707fd07,0xdddddddf,
    0x03ff6dfd,0x3260f7f4,0x2a6664ff,0x322fffdc,0xeeeeffee,0x5fee004e,
    0x37dc07fb,0x3f237f40,0x04fe800f,0x3fe217fa,0x3bbbbfe0,0x3203fea2,
    0x77ff745f,0x17fcc2ee,0xd803ff60,0x88337e63,0x646f880f,0x265fb02f,
    0x03fa4fff,0x1ff317fa,0xfb80ff70,0x2a01ffb6,0xfffeffff,0xfe8803ff,
    0x3fffff66,0x2006ffff,0x80ff77fb,0x7fec06fb,0x4027fcc0,0x7ff104fe,
    0x1ff8bf70,0x3a0bfe60,0x02ff884f,0xdd907fea,0xddddffdd,0x01f31ec1,
    0x8bf301f1,0x27f901fd,0x3fe7fbfc,0x2e0ffb80,0x80ff706f,0x80ff96fb,
    0xadffffd8,0xff5002fe,0x0006fc81,0x0ff77fb8,0x3f206fb8,0x19ffb02f,
    0x309fd398,0x0bfa0dfd,0x7fc403ff,0x440ffd45,0x3fee02ff,0x7ffffec0,
    0x360fffff,0x3e203e63,0xdffddd50,0x1dddffdd,0xfd7e9fe4,0x7fc41fe5,
    0x7dc0ffa2,0xfcb7dc07,0x3fe02007,0x83ff3001,0xb80006fc,0xc80ff77f,
    0x05ff906f,0x77fffec4,0x99dfd6ff,0x503fffd9,0xffddddff,0xcfffc803,
    0xff106ffd,0x4037ec05,0x01ec07fb,0xfff50f88,0xffffffff,0x4e7dc1ff,
    0x1febf75f,0x1ff35fe8,0xf701fee0,0x8001feed,0x3ee007f9,0x0006fc87,
    0x1ff56fd8,0x7e427fc0,0xffd7002f,0x3ffa7dff,0x00cfffff,0xfffffffb,
    0x7ff4403f,0x82ffffff,0xff302ff8,0x80ff7009,0x22076a3d,0x7c3fc80f,
    0x3ef7ee07,0x0ff3ff12,0x37dc7fdc,0xfb80ff70,0x3fa00006,0x0bfd1003,
    0x88000df9,0x07ff14ff,0xff90bfe6,0x1ff88005,0x1accefe8,0x4ccffc40,
    0x3601ff99,0xc9cca9ef,0x17fc40ff,0x6407ff4c,0xeeffeeee,0xfc8f60ee,
    0xfc80f883,0xfa81be22,0x33fa0fed,0x2bfe206f,0x1fee03fe,0x0000df70,
    0x5008dfb1,0xdf901ffd,0x54276e00,0x3ff61ffd,0x3237f442,0xfa8002ff,
    0x8009fd06,0x03ff05fb,0xfe807fee,0x4cdffc46,0xb02fffca,0xffffffff,
    0x711ec1ff,0xfb01f101,0xf502fcc3,0xfefb8bff,0x7ff7f406,0x701fee00,
    0x531000df,0xfc83fff9,0x1efffeee,0x2e00df90,0x3fffffff,0x7f7fff44,
    0x3ff21fff,0x9999999b,0x3a09f900,0x17fc004f,0x6ffffff8,0x2e9809b1,
    0x7fffffc4,0x2e001eff,0x4ce6c07f,0x99999999,0x2a0fe80f,0x3ffe605f,
    0x02fffc42,0x701bffee,0x06fb80ff,0x3ffffee0,0xfffc80cf,0xffb03eff,
    0xffffffff,0x3fff629f,0x3ff201df,0x7fc0cfff,0xffffffff,0x203fd05f,
    0x3ea004fe,0x3ffffe07,0xf100006f,0x039ddfff,0xd80ff700,0xffffffff,
    0xff80ffff,0xf9813ee0,0x4ffd80ff,0x01fffc40,0xf7000000,0x880379df,
    0xffd80099,0xffffffff,0x4000884f,0x3ffe0098,0xffffffff,0x00000005,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x75400000,0xdddd704f,0x00dddddd,0x320fbb62,0xeeb800ee,0xdddddd50,
    0x267ddddd,0xeeeeeeee,0x2607db5e,0x00fb23ee,0x7777774c,0xd33eeeee,
    0xb27540bd,0x1eea80bd,0x3bbbbba2,0xddd95eee,0xdddddddd,0x3bbbaa1d,
    0x75402bce,0x4bdd303e,0xcdeeeeec,0x7ddd1001,0x03775300,0x827fff54,
    0xfffffffc,0xff9007ff,0x0bff309f,0x3ea4ff88,0xffffffff,0xffff34ff,
    0x3adfffff,0x46fe884f,0xff3004fe,0xffffffff,0x0bffea9f,0x7ff52fdc,
    0xf317fe20,0xffffffff,0x3fffffad,0x1fffffff,0xfffffff7,0x3fee03df,
    0x74fff906,0xffffffff,0x7ffd400d,0xfffff806,0x3fffa62f,0x333104ff,
    0x03333ff9,0x09fdff30,0xfc807ff2,0x2aaaa20f,0x4ffaaaaa,0x33335ff3,
    0x213fa133,0x27f40efd,0xaaaaa880,0x52ffdaaa,0x3ee0dfff,0x6407fec5,
    0x57fcc0ff,0x10999999,0x3ff93333,0x7fdc3333,0xfffca999,0x81fffc82,
    0x37fa7fff,0x6ffec999,0x07ff7ec0,0x3faeaf60,0x3e33ffe6,0x0ff7004f,
    0x9fd7fd00,0x4417fe20,0xfa8003ff,0x001ff30f,0x1ffb89fd,0x00004fe8,
    0x7fd4bff1,0x45fb82ff,0x7fcc4ff8,0x001ff983,0xfb80ff70,0x81ffd107,
    0x7d44fdfc,0x413fa7fc,0xff103ffc,0x98007ff5,0x7c1970ff,0x0ff7004f,
    0x9fd6fc80,0x6c0ffdc0,0x9fd0006f,0x74007fcc,0x40bfea4f,0xb00004fe,
    0x677d41ff,0xb85fb86f,0x41bfa1ff,0x70001ff9,0x07fb80ff,0x5f913fe6,
    0x7f9fd8ff,0x7fc413fa,0x3f6ff504,0x17f62006,0x2e009ff0,0x3fe6007f,
    0xff809fd1,0x0017fcc6,0xff307fcc,0x229fd001,0x13fa03ff,0x0bfea000,
    0x83ff1df5,0x2dfd05fb,0xff301ffb,0x1fee0003,0xfd80ff70,0x97ecfec7,
    0x3a1ff6f8,0x41bf604f,0x01ff54fd,0x00efffc8,0xfb8027fc,0xe8ffa007,
    0x17fd404f,0x36000dfb,0x007fcc5f,0x05fea7f4,0x200027f4,0x6fa85ff8,
    0x05fb8bfb,0x09ff9ff3,0x8000ffcc,0x3fdc07fb,0xfd83fee0,0x27f75fa9,
    0x409fd0ff,0x2ff885fd,0xeb807ff1,0x3e00effe,0x0ff7004f,0x9fd1bee0,
    0x3e6dfd00,0xff98001f,0x4cd7fcc1,0x9fd09999,0x9fd00df9,0x0ffd8000,
    0x3ff36fa8,0xff902fdc,0x1ff980df,0x80ff7000,0x7fd407fb,0x47fc7fa1,
    0x3a1ff0fe,0x07ff104f,0x06fd8ff5,0xf813fe20,0x0ff7004f,0xfe83ff10,
    0xdaff9804,0xbfb0005f,0xffffff30,0x3bfa9fff,0x4fe800ff,0x0bfea000,
    0x4bfd37d4,0x3fe205fb,0x7ffcc02f,0x03ffffff,0xff701fee,0x3a2ff980,
    0x4bf9f91f,0x309fd1ff,0xbfb01ffb,0x2000ffb8,0x13fe05fe,0x6c03fdc0,
    0x004fe84f,0x001ffffb,0xf303ff30,0xdddddddf,0x13ff7fa7,0x40013fa0,
    0x3ea05ff8,0x7dc3fea6,0x13ffe605,0xffffff30,0x7dc07fff,0x203fdc07,
    0x47fa2ff9,0x3fe2fff9,0xfb55bfd1,0x3fe05fff,0x441ffc42,0x2ffdbaaa,
    0x5c013fe0,0x837d407f,0xff1004fe,0x3f60009f,0x001ff305,0x05ff79fd,
    0xb0004fe8,0x37d401ff,0x02fdd3fa,0x403ffffd,0x70001ff9,0x07fb80ff,
    0x3ff0ffd4,0x4bfa3ffc,0xfffffffe,0x01ff500d,0xfff30dfd,0xff807fff,
    0x40ff7004,0x9fd01ff8,0x007fe400,0x980ffcc0,0x4fe800ff,0x7f403ffb,
    0x2ffa8004,0x3ee37d40,0xf705fb8f,0x4c0dfd3f,0xf70001ff,0x407fb80f,
    0x83fe0ffb,0xe97f44fc,0x00abccef,0xffb82fec,0x55e65c40,0x004ff800,
    0x7fd40ff7,0xffffffff,0x7dc04fff,0x0dfb0007,0x74007fcc,0x01dfd14f,
    0xf10013fa,0x0df500bf,0x10bf77ff,0x0ffea9ff,0x8000ffcc,0x3fdc07fb,
    0x1ff1bf60,0x4bfa04c4,0xff8004fe,0xffffffff,0x3e00003f,0x0ff7004f,
    0x7fffffd4,0x4fffffff,0x4003fdc0,0x3e602ff9,0x24fe800f,0x9fd05ff9,
    0x00ffc800,0xefb86fa8,0x0ffe85fb,0x3e603ff6,0xff70001f,0x2a07fb80,
    0x03fe23ff,0x27f4ffa0,0x3fffea00,0x5fffffff,0x7c007f98,0x0ff7004f,
    0x004fe800,0x36001fee,0x07fcc06f,0x3ea27f40,0x004fe83f,0x5400bfea,
    0xfeff886f,0x2217fdc5,0x1ff985ff,0x80ff7000,0xdfd307fb,0xd800ff88,
    0x8009fd3f,0x99999efd,0x5c0ffc99,0x2666205f,0x0999dff9,0x8000ff70,
    0x3ee004fe,0x17fcc007,0x2003fe60,0x2ffc84fe,0xe88027f4,0x999999ef,
    0x20df5099,0x3e25fffc,0x87ff706f,0x70001ff9,0x9ffb80ff,0x1fffca99,
    0x6c007fcc,0x8009fd3f,0x7fcc03ff,0xf901fe42,0xffffffff,0x3ffff29f,
    0x007fffff,0xf70027f4,0x06fd800f,0xffffff98,0x09fd6fff,0xffe83ffa,
    0x3fffffff,0xfffffff7,0x3eadffff,0x4bfff106,0x3fa01ffd,0x007fe60f,
    0x2e03fdc0,0xffffffff,0x007f980e,0x013fa9fb,0xe800ffa8,0x900ff45f,
    0xffffffff,0x3fff29ff,0x07ffffff,0x70027f40,0x7fcc00ff,0xffff9802,
    0xfd6fffff,0xe9bfe209,0xffffffff,0xfffff73f,0x2dffffff,0x3ff206fa,
    0xa809ff55,0x07fe65ff,0x203fdc00,0xceeffffb,0x401fe601,0x009fd4fd,
    0xfc8037ec,0x0000000f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xeeeb8000,0xd900cdee,0x059bdddd,
    0x0000f260,0xb7100000,0x2e007bdd,0xec82deed,0x701dd103,0x019dffdb,
    0x7ddfdb73,0x9ddd9500,0x32200005,0x4c000001,0xd914efec,0xb640007d,
    0x7d912ee9,0x6405dd70,0xffc800de,0x84ffffff,0xfffffffe,0x37dc00ef,
    0xd3132000,0xfffa8003,0x100effff,0xbffffffd,0xf8827f41,0x3fffe61f,
    0xff80ffff,0x0effffff,0xfffffe98,0x3fffb26f,0x1fff801d,0x4037dc00,
    0xedfffffe,0xeb85ffff,0x4fec1dff,0xffd8ffff,0x80ffe84f,0x77e42ffa,
    0x2667bf20,0x7f42ffec,0xffda999d,0x0037dc05,0x3a1ffd88,0xff3002ff,
    0xdff7315b,0x5447bfa0,0x413fa4ff,0x37fa1ff8,0x3a02a621,0xffca899c,
    0x4dfffcc4,0x37be5b99,0x2200fffd,0x5c002fff,0x50ac806f,0xff31bfff,
    0x7ff7fec3,0x23b7f62f,0x6f9afcfc,0x7c45ff88,0x2fffd44f,0xbff10bf9,
    0xff904fe8,0x8006fb80,0x6c41ffe9,0x5fe803ff,0xfb85ff50,0x3a3ff506,
    0x23ff104f,0x00000ff9,0x1dfd1ff6,0x05ff0100,0xb8005fb8,0xff90006f,
    0xffaa7e41,0x7ecdfb10,0x7c9ff71f,0x6c7ff507,0x6fffb86f,0x3fec17f2,
    0x7fd413fa,0x001bee00,0x6401dff5,0x3fe604ff,0xff17f601,0xfe9ff407,
    0x263ff104,0x200002ff,0x5ff50ffa,0x7fb31000,0x7dc00000,0x8df70006,
    0x987fb5fb,0x54bfb0ff,0x403fe0ff,0x1ffa8ffd,0x323fff88,0xe8df905f,
    0x4cff504f,0xaefdaaaa,0xff702aaa,0x37fea00b,0x5c06fb80,0x807fe26f,
    0x209fd4fd,0x3ffa1ff8,0xf980001c,0x400ff70f,0x3fffffd9,0x3ee00000,
    0x8bf50006,0xf03fd6fa,0xfa8bf65f,0xe8807fc5,0x2203ffef,0xe82fe42b,
    0xe827f45f,0x3ffff25f,0x7fffffff,0x4003ffc8,0x7e40eff9,0xf33fd405,
    0xffffffff,0x413fabff,0x3fa61ff8,0x5400beff,0xfffffffd,0x7c00bfb0,
    0x23feaabf,0xaaaaaaaa,0x550aaaaa,0x55ffb555,0xfeb81555,0xffffffff,
    0xff07fd6f,0x5fa8bf63,0xff3007fc,0x3f2000bf,0x207fecc5,0xeb999dfe,
    0x3332a0df,0xccccffdc,0x00bff624,0xb0fff440,0x27fa80bf,0xfffffffa,
    0x9fd5ffff,0x2e07fe20,0x884ffffe,0xeeeeeffe,0x00bfb0ff,0x47fb17ee,
    0xfffffffe,0xfd1fffff,0xffffffff,0x7fec3fff,0xeeeffeee,0x98bfb4ee,
    0xfa8bf67f,0xf1007fc5,0x813007ff,0xfffffffc,0xffffe81f,0xb800dfff,
    0x17ff406f,0x3ffe2000,0xfb80df91,0x8003fe66,0x3ff104fe,0x27ffdc40,
    0x3e607ff6,0x200df90f,0xffd99efa,0x333332e3,0x0ccccccc,0xffb99997,
    0x26199999,0x01bea2ff,0xff75bff3,0xbf517ec7,0x3f600ff8,0xfd101fff,
    0x7fffe43f,0x3ffa04ff,0x2ffffeee,0x22037dc0,0x10002ffe,0x7fd45ffb,
    0xf897f600,0x17f6002f,0xd800ffd4,0x981ffc7f,0x01ff70ff,0x33bfffe0,
    0x2000003f,0x37dc06fb,0x3ee01fea,0x7ec4ffff,0x1ff17ea2,0x3f67ff20,
    0x5fffc80e,0x7fdc57f2,0xd309fd03,0x37dc03ff,0x003ffd80,0x220fff44,
    0x5ff103ff,0x32006fe8,0x1fff887f,0x7c4ff700,0x21ff902f,0x2a004ff9,
    0x0003512b,0x2037dc00,0x0ffe45fb,0x40565440,0xf17ea2fd,0x27ff501f,
    0xffc85ff8,0xf717f25f,0x209fd01f,0x3ee05ff8,0x13ff2006,0x8077fcc0,
    0x7f4c3ffc,0x00dff986,0xf31ffdc1,0x40663fff,0x2ffc5ff9,0xc83fffa6,
    0x01cc0cff,0x004ea800,0x7cc06fb8,0x217ffee7,0x22fd8000,0x207fc5fa,
    0x7fd45ff8,0x90fff444,0xd0bfd0bf,0x037ec09f,0xfa800df7,0x3fee00df,
    0x7fff4405,0x900efffe,0xfddddfff,0xfeffff8f,0xff71ffaf,0x3ffffddd,
    0xffeeffb8,0x3620ffbf,0x6ffeffff,0xdddddddb,0x3ffe203d,0x037dc002,
    0x4eff7ffc,0xb2feefff,0xdddddddd,0x5fa8bf63,0x3ffa07fc,0x182ffc80,
    0xffb85fc8,0xff027f41,0x2600000b,0xffc81eff,0x3ffae004,0xfd9804ef,
    0x445fffff,0xff1efffe,0x3ffffaa3,0xff700cff,0x03fe3bff,0x3bffffaa,
    0xfffffff3,0x7ffc05ff,0x037dc001,0xd527fecc,0x3fe3ffff,0x2fffffff,
    0x22fd45fb,0x0bff20ff,0x4007ff44,0x89ff05fc,0x7ff504fe,0x74400000,
    0x0bff61ff,0x00009800,0x98801331,0x13331000,0x0000c400,0x33333031,
    0x4c013333,0x0988002c,0x09880200,0x4ccccccc,0x00000099,0x2fe40000,
    0x3fa0ffb8,0x9bff2a24,0xfffffff8,0x1004ffff,0x001fa8bb,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xc8000000,0x49ff105f,
    0xfffffffe,0x3ffe20ef,0xffffffff,0x00000004,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x32000000,0x43ff205f,0xcefffffe,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3bbbbae0,0x76c5eeee,0xa8f74c04,0x0bd5005e,
    0x0000554c,0x40035100,0xa882c82d,0x0aa800ab,0x0ecc1c88,0x800554c0,
    0x2aa605eb,0x04c0aaa1,0xddddd100,0x87dddddd,0x01002aa8,0xda8f6402,
    0x2f4c0def,0xc819dd93,0xffffffff,0x007fe46f,0x03fd4df9,0xffb85fc8,
    0x7440dfff,0xf980f601,0x41ff7004,0xffb10efb,0x3ee05fff,0x46fc81ff,
    0x3fa606fc,0x2200dfff,0xff502fff,0xf71bfe27,0x37503dff,0x3fffffe2,
    0xb83fffff,0x37d404ff,0x2bfa1bee,0x1ffffffc,0x7ffddfe6,0x26620eff,
    0x4ffa9999,0xff017fcc,0x4007fc47,0x85fec4fd,0x3f61fea8,0x00ffd81f,
    0xff1007f1,0xf10ffcc5,0x41fff99d,0x01fffffb,0x1ffc49fd,0x7dd6ffc4,
    0x3eff605f,0x23ffa80f,0x3ffea5ff,0x17f41fff,0x33333333,0x3e601333,
    0x87ff604f,0x77f40ffe,0x5ffb89ef,0x27bf3fe6,0x8803ffc9,0x0bfd05fe,
    0x3ff03fea,0x8ffa0d44,0x9ceeb9fb,0x3ffa26e8,0xf987ff61,0x13627f12,
    0x09fd17f6,0x2e2ff983,0x301ff9df,0x07fd43ff,0x3ff113f6,0x13f2bf30,
    0x5ff8bfe6,0x7ff453f6,0x0003ff32,0x209fb100,0x41f4c4e9,0x7fc85ffe,
    0x3613ffe6,0x0ffd806f,0xfb01ff70,0x7dc5fd0b,0x4f88ffc6,0x3e6db5d9,
    0x327ffa23,0x6ffd41ff,0x45ffaaf8,0x1bf20ffa,0x3117fcc0,0xfb807fe2,
    0x3fe2fec6,0xfe82fe81,0xf983ff11,0xff93fe2f,0x7ffffec1,0x44444445,
    0x00008888,0x0dfd0000,0x7fcc3fea,0xb80ff905,0x3fe201ff,0x6c17fc43,
    0xf83ff63f,0x5b23f30f,0xe88bd0fa,0x2e01ffff,0x81dfefff,0x07fe24fe,
    0xf1037ec0,0x23fe803f,0x03fe1ff8,0x89f50bfa,0x0ffc46fb,0x405dc9fd,
    0x220dfffc,0xffffffff,0x00003fff,0x104fe800,0x03fe63ff,0xff30264c,
    0xb8df9007,0x229f907f,0x4ff13fff,0x7dbf90fb,0x7ffc436c,0x3ffe8803,
    0xfc83bee0,0x0fff4405,0x5403ff10,0xd1bf20ff,0x41ff985f,0x22fe80ff,
    0x0ffa1ff8,0xf8809880,0xffffffff,0x000003ff,0xf104fe80,0x003fe63f,
    0x802ffc40,0x13fa1ff9,0xfcfaafdc,0x87d4df36,0x1761fbec,0x407ffff6,
    0xdfefefc8,0x7449fd01,0x3ffd303f,0x101ff880,0x0ffcc5ff,0x3ae6ffee,
    0x9827dc5f,0x000000ff,0x00000000,0x04fe8000,0x3fe63ff1,0x1dfb0000,
    0xf9a7f400,0x36df500f,0x5fa9fe8f,0x6db64be6,0xd5ffb13e,0xcffb83ff,
    0x85ffaaf8,0x3fe61ff9,0x006ffdc0,0xfd80ffc4,0xfc827f45,0x220dffff,
    0x0fb200dd,0x2aa20000,0x2eeeee21,0x00bbbbbb,0x17777777,0x09fd0000,
    0x7fcc7fe2,0x1ffc8000,0xfcbfdc00,0x3e3fe205,0x89f79f76,0x27e6d96e,
    0x47ff21fb,0x3a61ffe8,0x13627f11,0x9bf237dc,0xeeeefffb,0x3ff33266,
    0x83fee4cd,0x65cc06fb,0x0000002b,0x0eff9800,0x3fffffea,0xd01fffff,
    0x03ffffff,0x209fd000,0x1ff31ff8,0x02ffa800,0xffaff880,0x9fdffc02,
    0x443fcef8,0x3f6a2adf,0xd107ff24,0x0fe201ff,0x1f40ce80,0xfffffff9,
    0x7ffffd4f,0x50ba67ff,0x0000003d,0xf9800000,0xcccc984f,0x1ffccccc,
    0x33333330,0x9fd00001,0x7cc7fe20,0x3fe2000f,0x3bf60004,0xfefe807f,
    0x207fbfa0,0xfecbcfe9,0xe880f4c4,0x0013e603,0x2aaaa600,0x2aa22aaa,
    0x002aaaaa,0x00000000,0x5ff30000,0x01ff8000,0xfd000000,0x4c7fe209,
    0x3f6000ff,0xffffffff,0x3ffea01f,0x46ffd804,0x9100fffb,0x00039dfb,
    0x00004c00,0x00000000,0x00000000,0x00000000,0x0000ffc0,0x04fe8000,
    0x3fe63ff1,0x3fff6000,0x1fffffff,0x400fff40,0x7fc43ffc,0x00000007,
    0x00000000,0x00000000,0x00000000,0xf0000000,0x0000003f,0x7c413fa0,
    0x001ff31f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00003320,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__consolas_28_latin1_x[224]={ 0,5,3,0,1,0,0,6,4,3,2,1,3,3,
5,1,1,1,2,2,0,2,1,1,1,1,5,3,1,1,2,4,0,0,2,1,1,2,2,0,1,2,2,2,
3,0,1,0,2,0,2,1,1,1,0,0,0,0,1,4,2,3,1,0,0,1,2,2,1,1,0,1,2,2,
1,2,2,1,2,1,2,1,2,2,0,2,0,0,0,0,2,2,6,3,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,5,1,1,1,0,
6,1,0,0,3,1,1,3,1,0,2,1,3,3,0,2,1,5,5,3,3,2,0,0,0,2,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,2,2,0,0,
0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,2,0,
 };
static signed short stb__consolas_28_latin1_y[224]={ 20,0,0,2,-1,0,1,0,-1,-1,0,5,15,11,
15,0,1,2,1,1,2,2,2,2,1,1,6,6,4,9,4,0,0,2,2,1,2,2,2,1,2,2,2,2,
2,2,2,1,2,1,2,1,2,2,2,2,2,2,2,0,0,0,2,23,0,6,0,6,0,6,0,6,0,0,
0,0,0,6,6,6,6,6,6,6,1,6,6,6,6,6,6,0,-3,0,9,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,20,6,-1,1,2,2,
-3,0,0,1,1,7,11,11,0,1,0,3,0,0,0,6,0,9,20,0,1,7,0,0,0,6,-3,-3,-3,-3,
-3,-4,2,1,-3,-3,-3,-3,-3,-3,-3,-3,2,-3,-3,-3,-3,-3,-3,6,-1,-3,-3,-3,-3,-3,2,0,0,0,
0,0,0,-1,6,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,3,0,0,0,0,0,0,0,
 };
static unsigned short stb__consolas_28_latin1_w[224]={ 0,5,9,15,13,16,16,4,8,9,12,14,7,9,
5,13,14,13,12,12,15,12,13,13,13,13,5,8,12,13,12,9,16,16,12,13,14,11,11,14,13,12,10,13,
11,15,13,15,12,16,13,13,14,13,16,15,16,16,13,8,12,8,13,16,10,13,12,11,13,13,15,14,12,12,
11,13,12,14,12,14,12,13,13,12,14,12,15,15,15,15,12,11,3,11,15,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,0,5,12,13,14,15,
3,13,13,16,10,13,13,9,13,12,11,13,10,9,14,13,13,5,5,10,10,12,16,16,16,10,16,16,16,16,
16,16,16,13,13,13,13,13,14,14,14,14,15,14,15,15,15,15,15,12,15,14,14,14,14,16,12,12,14,14,
14,14,14,14,15,11,14,14,14,14,14,14,14,14,13,14,15,15,15,15,15,14,14,14,14,14,14,15,12,15,
 };
static unsigned short stb__consolas_28_latin1_h[224]={ 0,21,8,18,25,21,20,8,27,27,13,15,10,3,
6,23,20,18,19,20,18,19,19,18,20,19,15,19,17,7,17,21,26,18,18,20,18,18,18,20,18,18,19,18,
18,18,18,20,18,24,18,20,18,19,18,18,18,18,18,26,23,26,9,3,7,15,21,15,21,15,20,20,20,20,
26,20,20,14,14,15,20,20,14,15,20,15,14,14,14,20,14,26,29,26,7,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,0,20,25,19,18,18,
29,24,7,20,15,12,7,3,13,6,10,17,12,12,7,20,24,6,5,12,15,12,20,20,20,20,23,23,23,23,
23,24,18,24,23,23,23,23,23,23,23,23,18,23,24,24,24,24,24,13,24,24,24,24,24,23,18,21,21,21,
21,21,21,22,15,19,21,21,21,21,20,20,20,20,21,20,21,21,21,21,21,15,20,21,21,21,21,26,26,26,
 };
static unsigned short stb__consolas_28_latin1_s[224]={ 253,247,188,184,157,32,33,247,9,18,100,
175,247,188,248,18,97,1,67,29,28,15,233,61,127,1,247,244,42,214,55,
180,111,229,15,198,185,75,158,229,233,15,42,87,101,200,127,102,216,202,1,
88,170,53,216,200,141,44,113,102,63,41,174,171,228,123,136,137,94,83,188,
204,16,75,50,219,160,217,1,68,147,118,14,110,173,97,41,57,232,59,28,
62,1,90,198,169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,
169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,253,250,144,
28,122,153,5,188,239,212,149,113,213,188,73,227,162,28,127,246,198,169,219,
248,246,138,206,149,65,42,141,158,32,203,237,171,1,171,105,233,49,76,90,
157,104,119,134,149,137,188,1,17,141,48,64,87,80,96,111,126,33,220,92,
123,108,149,79,179,49,164,190,80,239,224,209,194,50,183,112,1,190,82,234,
1,164,17,1,160,132,219,204,64,17,74,28,128, };
static unsigned short stb__consolas_28_latin1_t[224]={ 1,1,202,145,1,80,102,151,1,1,202,
184,140,26,191,56,102,165,145,124,165,145,124,165,102,145,124,102,184,202,184,
79,1,165,184,102,165,165,165,102,144,165,145,165,165,165,165,124,165,1,184,
124,165,145,145,145,165,165,165,1,56,1,202,26,202,184,80,184,80,184,124,
124,124,124,1,124,124,184,203,184,124,124,203,184,124,184,202,202,184,124,202,
1,1,1,202,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,
145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,1,79,1,
145,145,145,1,1,202,102,184,202,210,26,202,210,202,184,202,165,210,102,1,
184,178,202,184,202,102,124,102,102,56,31,31,31,56,1,145,1,56,56,56,
31,56,56,56,56,145,31,31,31,31,31,31,202,31,31,31,31,31,31,145,
80,80,80,80,56,80,56,184,145,56,56,56,56,102,102,102,124,79,102,79,
102,79,102,80,184,124,79,79,80,80,1,1,1, };
static unsigned short stb__consolas_28_latin1_a[224]={ 246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_28_latin1_BITMAP_HEIGHT or STB_FONT_consolas_28_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_28_latin1(stb_fontchar font[STB_FONT_consolas_28_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_28_latin1_BITMAP_HEIGHT][STB_FONT_consolas_28_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_28_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_28_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_28_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_28_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_28_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_28_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_28_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_28_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_28_latin1_s[i] + stb__consolas_28_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_28_latin1_t[i] + stb__consolas_28_latin1_h[i]) * recip_height;
            font[i].x0 = stb__consolas_28_latin1_x[i];
            font[i].y0 = stb__consolas_28_latin1_y[i];
            font[i].x1 = stb__consolas_28_latin1_x[i] + stb__consolas_28_latin1_w[i];
            font[i].y1 = stb__consolas_28_latin1_y[i] + stb__consolas_28_latin1_h[i];
            font[i].advance_int = (stb__consolas_28_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_28_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_28_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_28_latin1_s[i] + stb__consolas_28_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_28_latin1_t[i] + stb__consolas_28_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_28_latin1_x[i] - 0.5f;
            font[i].y0f = stb__consolas_28_latin1_y[i] - 0.5f;
            font[i].x1f = stb__consolas_28_latin1_x[i] + stb__consolas_28_latin1_w[i] + 0.5f;
            font[i].y1f = stb__consolas_28_latin1_y[i] + stb__consolas_28_latin1_h[i] + 0.5f;
            font[i].advance = stb__consolas_28_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_28_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_28_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_28_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_28_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_28_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_28_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_28_latin1_LINE_SPACING
#endif

