// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_36_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_36_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_36_latin1_BITMAP_WIDTH         256
#define STB_FONT_consolas_36_latin1_BITMAP_HEIGHT        351
#define STB_FONT_consolas_36_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_36_latin1_FIRST_CHAR            32
#define STB_FONT_consolas_36_latin1_NUM_CHARS            224

#define STB_FONT_consolas_36_latin1_LINE_SPACING          24

static unsigned int stb__consolas_36_latin1_pixels[]={
    0x3baa3dd5,0x00000001,0xaaaaa800,0x55551aaa,0x00035555,0x00cd5400,
    0x1554c000,0x6f76c400,0x002f7440,0x93019700,0x0cc40007,0x000cc400,
    0x00037730,0x20666600,0x2ffbdeee,0xd3005ff7,0x0000e981,0x7fc5ff70,
    0xf5ffffff,0xbfffffff,0x37fb2a00,0x3fffe02b,0xfb80002e,0x44005fff,
    0xf880effe,0xf900006f,0x2fff88df,0x00ff9000,0x2000dfb0,0x003ffffc,
    0x3fffa200,0xfbefff82,0x805ff72f,0x3fe26ff8,0x7cc0000e,0xffff0fff,
    0x3febffff,0x05ffffff,0x7fffff44,0xffff05ff,0x740009ff,0x005fffff,
    0x8813ffa2,0xb00006ff,0xfff98fff,0x0dfb0004,0x000bfd00,0x1ff75df5,
    0xffd10000,0x37ffe01d,0x5ff72ffb,0x21fff440,0x40006ffd,0x201ffffb,
    0x0fff5ff9,0x59fff500,0x40bffb73,0x001fffc9,0x01bfffa8,0x017ff440,
    0x0001bfe2,0x7ec27fd4,0x9fd0001f,0x009ff000,0x17e47f90,0x27fec000,
    0x3ef7ffa0,0x405ff72f,0xffd04ffe,0x7fc4000b,0x3fe600ff,0x9800fff5,
    0xff700eff,0x04ffc809,0x002ffe80,0x10015530,0x40000dff,0x00026008,
    0xb9803ff8,0x2cdeffec,0x7ec9f700,0x66540001,0xbcffe802,0x05ff72ff,
    0xe8817ff2,0x260003ff,0x7fcc00cd,0x4400fff5,0x7e400efe,0x037fc407,
    0x00037fc0,0x0dff1000,0x00000000,0x880bfe20,0xfffffffd,0xff1007ff,
    0x0000dfdd,0x79ffb000,0x0bfee5ff,0x3003ffe6,0x00001fff,0x3ebff300,
    0x3ff6007f,0x02ff8801,0x22003ffc,0x000005ff,0x001bfe20,0x20000000,
    0xf303ffc8,0xdffdffff,0x74c00fff,0x00000dff,0xbbffd800,0x05ff72ff,
    0x32005ffd,0x000005ff,0xfff5ff98,0x00ffe200,0x7f405fd8,0x27fcc007,
    0x800f32a0,0xdff11ccc,0x0def6dc4,0x2003cca8,0xfb301ccc,0x4bffffff,
    0xb8adffe8,0x0000627f,0x03ffc400,0x3f26ff98,0xf72ffbbf,0x06ffa85f,
    0x20bffe20,0xcccccccc,0x7cc03ccc,0x200fff5f,0x7dc007fc,0x01ffa00f,
    0xa809ff30,0xf9800fff,0x2dff10ff,0xfffffff9,0x00fffa82,0xb80fff98,
    0xffffffff,0x83ffee7f,0x2a0007fc,0x1001ffff,0x3e600fff,0x2e2aa66f,
    0x85ff72ff,0x5c001fff,0xffff85ff,0x5fffffff,0xffaffcc0,0x04ff8807,
    0x0ff98411,0x3001ffa0,0xfff009ff,0x4bff9007,0xfffadff8,0x81ffffee,
    0xfc803fff,0xdfffd85f,0x27daefdb,0x37ec4ffd,0xffffb000,0x1ffe2009,
    0x7037fcc0,0x8bfee5ff,0x88006ff9,0x776c0fff,0xffeeeeee,0xfaffcc05,
    0x1ffb807f,0xbff7ffdc,0x3fa01ff8,0x27fcc007,0x4037fe40,0x3fe22fff,
    0x3a20dfff,0x6ffc85ff,0x542fff80,0x97fa3fff,0xfd13ff60,0x7ffc0009,
    0xff1006ff,0x9bfe600f,0x2ffbdff9,0x7fe45ff7,0x7ffb0003,0x05ffa800,
    0x7ffaffcc,0x7ec6fd80,0xf16fffff,0x07fec05f,0x007ff300,0x4c03fff3,
    0x7ffc47ff,0x3fff104f,0x201fff98,0xffe87ff9,0xfc827fc4,0x00ffe0ff,
    0x7fe7fd40,0x7ff8801f,0x5cdff300,0x72ffbaff,0x07ffc5ff,0x06ffb800,
    0x202ffd40,0x0fff5ff9,0x7fd49fd0,0x3e5ffa8c,0x07fee02f,0x001ffa80,
    0x7e409ffd,0x27ffc44f,0x3a0fff60,0x3ff204ff,0x223ffcc4,0xfff303ff,
    0x005ff15f,0x3f2bff60,0x7ff8804f,0x6cdff300,0x72ffb8ff,0x1bfe65ff,
    0x07ff8800,0x202ffd40,0x0fff5ff9,0x3fa2ff88,0xff8ffe66,0x017fe603,
    0x2a007fe8,0x3ffe07ff,0x4037fc41,0xffa84ffb,0x707ffe07,0x2ff989ff,
    0x3ffffee0,0xff0001ff,0x201bfeaf,0xf3007ff8,0xfbb7fcdf,0x2a15532f,
    0x7c0005ff,0x3ea000ff,0xaffcc05f,0x7fd407ff,0x7d47ff30,0xb00ffe2f,
    0x54559dff,0x003fffca,0x7d417ffc,0x06ff886f,0xff05ffa8,0x0dff505f,
    0xffa87ff9,0x7fffdc01,0x54000cff,0x07ffe5ff,0x200fff10,0x9ff16ff9,
    0xfb80bfee,0x7f40004f,0x3fea001f,0xfaffcc05,0x73fdc07f,0x0ffdc3ff,
    0xfb3005ff,0x3ffe2fff,0xfc8000cf,0x83ffd85f,0xf9806ff8,0x0bff906f,
    0xffb07ffb,0x800ffb87,0xffffffc8,0x5ff9000d,0x2201ffec,0xff3007ff,
    0xffb84ccd,0x00fff202,0x005ffb00,0x2602ffd4,0x80fff5ff,0x91ff66fc,
    0x0bfe21ff,0x5ffffaa0,0x02effff8,0x20fff980,0xf880fff8,0x5ff9806f,
    0x441fff30,0xffc80fff,0x4003fe45,0x3ffffffe,0x2a0fff80,0x7fc406ff,
    0x0dff3007,0xfb017fdc,0xfc80007f,0x3fea003f,0xfaffcc05,0xd37e407f,
    0x227fe8df,0x7ff401ff,0x2a66199c,0xe8005ffe,0x17fea3ff,0x54037fc4,
    0x3ffa04ff,0x5c17fea3,0x037ec6ff,0x7fe77f40,0x3fea02ff,0x00fffc45,
    0x2600fff1,0x3fee06ff,0x00fff202,0x005ffb00,0x2602ffd4,0x80fff5ff,
    0xf17fe5fd,0x007fccbf,0x74007ff3,0x7d4000ff,0x40bff66f,0xfc806ff8,
    0x9bfea03f,0xff502ffd,0x002ff41f,0xffe8a7fc,0x07ff900f,0x7c407ffd,
    0xdff3007f,0x7017fdc0,0xe80009ff,0x3ea002ff,0xaffcc05f,0x2fec07ff,
    0x27fc4bff,0xffb80df7,0x0bfea000,0x227ffe00,0x3fe207ff,0x02ffe806,
    0x7fc4fffc,0x86fffc07,0x7c4004ff,0x0bffe23f,0x7dc07ffc,0x1ffe206f,
    0x7037fcc0,0x7fd405ff,0x7ff40005,0x17fea001,0x3febff30,0xff2fec07,
    0xfb27fd4d,0x007fd809,0x40027fcc,0x4ffbcffc,0x501bfe20,0xff900dff,
    0xb809ff79,0x2ffaefff,0x5ff300e2,0xfa84ffd8,0x1fff106f,0x401ffe20,
    0x3ee06ff9,0x2615532f,0x7c0006ff,0x3ea000ff,0xaffcc05f,0x37e407ff,
    0xa7ff4dfd,0x7f402ff8,0x2ffcc007,0x777fcc00,0x3fe200ff,0x07ffa606,
    0x3fbbfe60,0xfffd800f,0x7feddfff,0x3a0ffd40,0x3ffc83ff,0x440fffa0,
    0xff3007ff,0xb97fdc0d,0x1fff12ff,0x1bfe6000,0x80bff500,0x0fff5ff9,
    0x3ff26fc8,0xebffdfdc,0x07fe806f,0x002ffcc0,0x06ffffe8,0x55f7ffc4,
    0x04fffda9,0x1bffffa0,0xfffffc80,0x5c07ffff,0x0fffd47f,0xf700fffc,
    0x07ffc0df,0x7037fcc0,0x8bfee5ff,0x90003ffd,0xfa8007ff,0xaffcc05f,
    0x3fdc07ff,0x3e9ffff3,0xe800ffff,0x7fcc007f,0xfff70005,0xfff8805f,
    0xffffffff,0x7ffdc003,0x75c4002f,0x21acdfff,0xf53fe41c,0xfff50dff,
    0xdddddddd,0x3fe01fff,0x4ffa800f,0x7dcbfee0,0x01bfea2f,0x0007ffc0,
    0xf3017fea,0x501ffebf,0x23dda8ff,0xd000bdc9,0xff9800ff,0xfff10005,
    0xffff100d,0x019dffff,0x0dfff100,0x2037ec00,0xfffeffff,0x80effffe,
    0xfffffffc,0x3fffffff,0x9005ffd0,0x7fdc07ff,0x7c45ff72,0x7d4001ff,
    0xffa8006f,0xfaffcc05,0x17fcc07f,0xffd00000,0x05ff9800,0x05fff100,
    0x262dff10,0xff880000,0x3fa0002f,0x7ffffc05,0xcfffffff,0xffffff00,
    0xffffffff,0x17ff20df,0x403fff10,0x5ff72ffb,0x4005ffc8,0xa8002ffe,
    0x7fcc04ff,0xff00fff5,0x7400000b,0x7fcc007f,0xdff90005,0x01bfe200,
    0x1bff2000,0x809ff000,0xffffedba,0x3ea00bce,0xfff3006f,0x07fff301,
    0x7017ff62,0x0bfee5ff,0x2005fff1,0x70005ffb,0xff9807ff,0xf900fff5,
    0x2000001f,0x7c4007ff,0xff98005f,0xdff1002f,0xff980000,0x3e20002f,
    0x7fc4003f,0x13ff2002,0x903ffe80,0x9557bfff,0xb801fffd,0x05ff72ff,
    0xf100dff7,0x3a0001ff,0x7fcc02ff,0xf300fff5,0x1000007f,0xff000dff,
    0xfff9800f,0x1bfe2004,0xfff98000,0x7fcc0004,0x0ffcc002,0x003fff00,
    0xd882ffe4,0xffffffff,0xffb801ef,0x3a05ff72,0x7fec04ff,0xffc80304,
    0xf5ff9806,0x3ffa00ff,0x36000803,0xfe8004ff,0x36eae04f,0x44006fff,
    0x2e0006ff,0x06fffdba,0x01ffa800,0x8007fdc0,0x4c006ffa,0x36a00fff,
    0x04efffff,0x7dcbfee0,0x7fff302f,0xd817ff20,0xfda99ace,0x4cccc1ff,
    0xfff5ffa9,0x88133333,0x5441cffe,0x3aea606d,0x98000fff,0x209adfff,
    0x0dffffff,0x037fc400,0xffffff00,0xf700001b,0x0ff9000f,0x0027fe40,
    0x8801fffc,0xff700019,0x980bfee5,0x7fdc2fff,0x3fff600e,0x83ffffff,
    0xffffffff,0xfffffff5,0xfffd10bf,0x0dffffdf,0x17fffffc,0xffff9000,
    0x77fffcbf,0xdff10002,0x7fffc000,0x2600002e,0x0988002a,0x00000000,
    0x7dc00000,0x805ff72f,0x3fe67ffa,0x7ff5400e,0xf00dffff,0xbfffffff,
    0x3ffffffe,0xffb9105f,0x4017dfff,0x000defff,0x5fffd980,0x400006a6,
    0x26000099,0x0000001a,0x00000000,0x00000000,0x7dcbfee0,0x41fb802f,
    0x262001fb,0x999800aa,0x33099999,0x01333333,0x98006660,0x44000001,
    0x00000009,0x00000000,0x00000000,0x00000000,0x2ffb8000,0x02005ff7,
    0x00000004,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x72ffb800,0x000005ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4cc42662,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0x00000018,0x00035100,0x000cccc4,
    0x0cccc000,0x004cc400,0x00040100,0x20000802,0x22000998,0x00001999,
    0x3001f6c0,0xdddddb95,0x3333105d,0xfb700000,0x0019bfff,0xeffedc98,
    0x7fec401d,0x401ec2ef,0x0004fffb,0x5fffd100,0xefffa800,0x17fd4000,
    0x2a007fe4,0x0ffc82ff,0x77ffd400,0x3ffee000,0xf1000004,0xffd5005f,
    0xffffffff,0x13ffee07,0x7fec4000,0x1effffff,0xffffc880,0x7403ffff,
    0xcdffffff,0xe9800efe,0x400004ff,0x000effe8,0x7fffffd4,0x1bff6001,
    0xfb013ffe,0x09fff0df,0x7ffffd40,0x3fa6001f,0xb800004f,0x7ff400ff,
    0xecceffff,0x3fa603ff,0x74c0004f,0xfeccefff,0x7ec01fff,0xeccacdff,
    0x4c7be203,0x01fffffe,0x013ff620,0x04ffd800,0x98dffb80,0xf7001fff,
    0x05ffd0bf,0xfe85ffb8,0xbff7002f,0x003fff31,0x0027fec4,0x2fec4c40,
    0x3fffff20,0x0ffee3ff,0x009ffb10,0x40fffec0,0x2a07fff9,0x20000fff,
    0x0bdca808,0x03997000,0x05995000,0x88799300,0x75000ccc,0x5400ae20,
    0x20057103,0x66443cc9,0x665c000c,0xffdb8001,0x2a03ffff,0xffffffff,
    0x400ffee3,0x98001ccb,0x3e601fff,0x7ff902ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfffd8800,0x01ffffff,0xfffffffb,
    0x01ffdc7f,0xffe80000,0x06ffc803,0x00009ff9,0x40000310,0x22000018,
    0x06200001,0x00000000,0x000000c4,0x98000000,0xebbefffe,0xfe82ffff,
    0x3fffffff,0x0000ffee,0x03ffe600,0x207ffe60,0x0001fffb,0xdffffdb8,
    0x7edc000c,0x000cdfff,0x6ffffedc,0x7edc000c,0x200cdfff,0xf3007ff8,
    0xffdb80df,0x2200cdff,0xff3007ff,0x803ffc4d,0x7fec6ff9,0x7ffffc0e,
    0xffffff86,0x3fee3fff,0xffffa803,0x17fea001,0x882ffe80,0x0003fffe,
    0xffffffb1,0xb1003dff,0xffffffff,0xffb1003d,0x3dffffff,0xffffb100,
    0x203dffff,0xf3007ff8,0x3ff620df,0x1effffff,0x200fff10,0x3fe26ff9,
    0x4dff3007,0x7cc1fffa,0x7c3fffbf,0xffffffff,0x200ffee3,0x004ffffd,
    0xd800fff2,0xffe883ff,0x26001eff,0xecbefffe,0x2601ffff,0xecbefffe,
    0x2601ffff,0xecbefffe,0x2601ffff,0xecbefffe,0xf881ffff,0xdff3007f,
    0x7dfffd30,0x03ffffd9,0x2600fff1,0x1ffe26ff,0xfd37fcc0,0x36ff907f,
    0x7ffec6ff,0x2e3fffff,0xfff803ff,0x3f6006ff,0x3ff2003f,0x7f7ffc44,
    0xd800cfff,0xff980eff,0x3bff607f,0x07fff980,0x2603bff6,0x3f607fff,
    0xfff980ef,0x007ff887,0xffb0dff3,0xffff301d,0x200fff10,0x3fe26ff9,
    0x2dff3007,0xfe80fff9,0x5c1fff35,0xffffffff,0x500ffee3,0x03fff9ff,
    0x800bffa0,0x7fec5ffb,0x3dfffd34,0x00fffd40,0xf505fff3,0x7fcc03ff,
    0x1fffa82f,0x20bffe60,0x2601fffa,0x7fc42fff,0x8dff3007,0x2601fffa,
    0x7fc42fff,0x4dff3007,0xf3007ff8,0x217feadf,0x3ffa2ff8,0x7fffff42,
    0x0ffee3ff,0xff95ffb0,0x07ffe009,0x265ffb80,0xfffb86ff,0x07ffd02f,
    0xfd0dff90,0xdff9007f,0x9007ffd0,0x7ffd0dff,0x88dff900,0xff3007ff,
    0x803ffe8d,0x7fc46ffc,0x4dff3007,0xf3007ff8,0x20fff2df,0x3ff60ffb,
    0x7ffffcc4,0x0ffee3ff,0x3feafff0,0x05fff006,0xf52ffdc0,0x3ffa207f,
    0x07ffcc1f,0x30fffcc0,0xf3001fff,0x7ffcc3ff,0x1fff9800,0x2003ffe6,
    0x3e21fff9,0xdff3007f,0x4007ffcc,0x3e21fff9,0xdff3007f,0x9803ffc4,
    0x07ffb6ff,0x4ffc8dfb,0xfffffc88,0xa80ffee3,0x07ffe5ff,0x800bffa0,
    0x3fee4ffc,0x1bffa204,0x7400bff5,0x17fea2ff,0x2a2ffe80,0x3fa005ff,
    0x017fea2f,0x3e22ffe8,0xdff3007f,0xd002ffd4,0x3ffc45ff,0x226ff980,
    0xff3007ff,0x3e0bffad,0x02ffe43f,0x5c7db951,0x3ff203ff,0x200fff62,
    0x36003ffd,0x1ffe63ff,0x641fff10,0x3f6003ff,0x00fff23f,0x3f23ffd8,
    0x3ff6003f,0x800fff23,0x3fe23ffd,0x4dff3007,0x36003ffc,0x1ffe23ff,
    0xf137fcc0,0x3fe600ff,0xfa83fff6,0x02ffdc1f,0x407ff700,0x3fea0fff,
    0x05ffc806,0xfd0bffa0,0x2ffd80bf,0xc800fff6,0x0fff64ff,0x364ffc80,
    0x3f2003ff,0x00fff64f,0x3e24ffc8,0xdff3007f,0x9001ffec,0x3ffc49ff,
    0x226ff980,0xff3007ff,0xf90bffed,0x009ff70d,0xa81ffdc0,0x7ffc45ff,
    0x03ffdc01,0x4c0fff98,0xf900dfff,0x017ff45f,0x7f4bff70,0x3fee002f,
    0x800bffa5,0x3ffa5ffb,0x97fee002,0xf3007ff8,0x017ff4df,0x7c4bff70,
    0xdff3007f,0x9803ffc4,0x87ffd6ff,0x3ffc84ff,0x0ffee000,0x7f41ffe4,
    0x7ffc403f,0x04ffc802,0x887ffff5,0x3ffe0fff,0x97fee001,0x2e001fff,
    0x07ffe5ff,0x3e5ffb80,0x3ee001ff,0x01ffe25f,0xfff37fcc,0x2ffdc003,
    0x2600fff1,0x1ffe26ff,0xfdb7fcc0,0x20bfe64f,0x20002ffd,0xfff03ffb,
    0x00dff701,0x5401dffb,0x3a600fff,0xffb1efff,0x002ffe89,0xffe93fee,
    0x93fee002,0x2e002ffe,0x0bffa4ff,0x224ffb80,0xff3007ff,0x0017ff4d,
    0x7fc49ff7,0x4dff3007,0xf3007ff8,0xb93ff2df,0x03ffd07f,0x41ffdc00,
    0xff106ffa,0xfff9801f,0x5fff980e,0xdffff900,0x5ffb0dff,0xb1ffe400,
    0x7e4005ff,0x00bff63f,0x3f63ffc8,0x3ff2002f,0x401ffe23,0x3ff66ff9,
    0x8fff2002,0xf3007ff8,0x03ffc4df,0xff56ff98,0x7cc2ff4f,0x2e0000ff,
    0x3ffc83ff,0x200fffa0,0xcbdffffb,0x4005fffe,0x05ffffd9,0x6c007ffb,
    0x0fff62ff,0x362ffd80,0x3f6003ff,0x00fff62f,0x3e22ffd8,0xdff3007f,
    0xb001ffec,0x3ffc45ff,0x226ff980,0xff3007ff,0x22fffe2d,0x4ffc82ff,
    0x1ffdc000,0xf700fffc,0x3fee00df,0x5fffffff,0x3ffea000,0x00bff906,
    0xff90fff4,0x0fff400b,0x7400bff9,0x17ff21ff,0x7c1ffe80,0xff9800ff,
    0x8017ff26,0x7ffc1ffe,0x46ff9800,0xf9800fff,0x2ffff66f,0x7ffd40ff,
    0x7fe40000,0x777ffd42,0xffeeeeee,0xff93000f,0x0005bfff,0x705fff30,
    0x3e600fff,0x1ffee0ff,0x707ffcc0,0x3e600fff,0x1ffee0ff,0x207ffcc0,
    0xfa800fff,0x01ffee4f,0x3e07ffcc,0xffa800ff,0x4007ffc4,0x3fe64ffa,
    0x7fcc6fff,0xfe80004f,0x7fffe41f,0xffffffff,0xfd8003ff,0x6400002f,
    0xfff884ff,0x44ffc802,0xc802fff8,0x7ffc44ff,0x44ffc802,0xc802fff8,
    0x2ffe84ff,0x223ffc80,0xfc802fff,0x02ffe84f,0x7f43ffc8,0x3ffc802f,
    0x577fffe4,0x00efffec,0x1ffe6004,0x3ffffffe,0xffffffff,0x5ffb8006,
    0x7ff40000,0x01dff903,0x6407ffcc,0x3e600eff,0xeffc80ff,0x03ffe600,
    0x9803bff2,0xffc80fff,0x0fffc405,0x9803bff2,0xffc80fff,0x0fffc405,
    0xf1017ff2,0xfff703ff,0x09ffffff,0xd301bf10,0x6ffa87ff,0x01fff300,
    0x82fff980,0x3ee00418,0xfff100ff,0x9fff301d,0x03bffe20,0x4413ffe6,
    0xf980efff,0xfff104ff,0x9fff301d,0x40fffe60,0xf885ffd8,0xff980eff,
    0x7fff304f,0x217ff620,0xb103fff9,0x7fec0bff,0x002dffff,0xb99dfffb,
    0xff90dfff,0x1fff4009,0x77ffec00,0x3e0ffcac,0xffdbbcde,0x7fdc04ff,
    0xffecbdff,0x3fee00ef,0xffecbdff,0x3fee00ef,0xffecbdff,0x3fee00ef,
    0xffecbdff,0x3ff200ef,0xfecaabdf,0xfff700ff,0xfffd97bf,0x7ffe401d,
    0xffecaabd,0xbfff900f,0xfffd9557,0x54e7fc01,0xffe98000,0x0dffffff,
    0x2001fff8,0x88005ffc,0xfffffffe,0x3ffffe3f,0x003fffff,0xfffffff5,
    0x3ea009ff,0xffffffff,0xffff5004,0x009fffff,0x3fffffea,0xd8804fff,
    0xffffffff,0x7fd401ef,0x4fffffff,0xffffd880,0x01efffff,0x3fffff62,
    0x201effff,0x00001ff9,0x5bdffd95,0x001bfea0,0x0001fff3,0x3bffffee,
    0x7ffff641,0x4c000bef,0x2dffffec,0x7ff64c00,0x4c002dff,0x2dffffec,
    0x7ff64c00,0x54002dff,0x4efffffd,0x3ffb2600,0x54002dff,0x4efffffd,
    0x3fff6a00,0xfb804eff,0x00000007,0x40027fe4,0x40003fff,0x00000198,
    0x00026200,0x00004c40,0x00000988,0x20000131,0x88000198,0x31000009,
    0x33100003,0x004ec800,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x08020000,
    0x01310000,0x00333310,0x0cccc000,0x19998000,0x000d4400,0x00040100,
    0x880cccc0,0x00001999,0x80002662,0x20000998,0x40000998,0x200001a8,
    0xffc82ffa,0x7ee4c000,0x00bdffff,0x0009fff7,0x2fffe880,0x7ff44000,
    0xffb1002f,0x003d85df,0xff905ff5,0xffd10001,0x7ffdc05f,0xffa80004,
    0xfa8000ef,0xa8000eff,0x8000efff,0x42efffd8,0x7fec003d,0x004fff86,
    0x3ffffff2,0x2603ffff,0x00004ffe,0x001dffd1,0x0effe880,0x3ffffa00,
    0x0efecdff,0xf86ffd80,0x744004ff,0xe9800eff,0x2a0004ff,0x01ffffff,
    0x3ffffea0,0x3fea001f,0x4001ffff,0xdffffffe,0x2000efec,0xffe85ffb,
    0xfffe8802,0xffedccef,0x27fec403,0x27fec000,0x4ffd8000,0x98f7c400,
    0x01fffffe,0xfd0bff70,0xffd8005f,0x7fec4004,0xdffb8004,0x801fff98,
    0xff98dffb,0xdffb801f,0x001fff98,0x3fa63df1,0x8001ffff,0x0057103a,
    0x8813fffa,0x3997002b,0x16654000,0x2cca8000,0x95011000,0x3a80017b,
    0xa8005710,0x2e0002cc,0x326001cc,0x0666443c,0xc8879930,0x332600cc,
    0x00666443,0xbdca8088,0x00000000,0x0017ffd4,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3ffe8000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3fffea00,0x1fff7001,0xfffb8000,0xffffffff,0xfffa804f,
    0xfffd801f,0x3ffe2000,0xffffa803,0x7ffdc001,0xffffffff,0xfffff84f,
    0xffffffff,0xffffff85,0x5fffffff,0xfffffff8,0x85ffffff,0xfffffffb,
    0x804fffff,0x001ffffa,0x300bfffa,0xfb000bff,0x36009fff,0xb80003ff,
    0xffffffff,0xd804ffff,0x8804ffff,0x32004fff,0xffb006ff,0xfb8009ff,
    0xffffffff,0xfff84fff,0xffffffff,0xffff85ff,0xffffffff,0xfffff85f,
    0xffffffff,0xfffffb85,0x4fffffff,0x4ffffd80,0x1bfffa00,0x000bff30,
    0x00dfffff,0x0000bffa,0x3333bfee,0x02cccccc,0x06fffff8,0x001fff90,
    0x2005fff1,0x006fffff,0x66677fdc,0x82cccccc,0xffeccccc,0xc83ccccd,
    0xdffecccc,0xcc83cccc,0xcdffeccc,0xffb83ccc,0xccccccce,0xfff802cc,
    0x3fa006ff,0x3e601fff,0x7fd4005f,0xf801fffc,0xb80001ff,0x500004ff,
    0x03fff9ff,0x009fff10,0x2a00dff9,0x01fffcff,0x0013fee0,0x007ff900,
    0x001ffe40,0x2007ff90,0x00004ffb,0x3fff9ff5,0x3ffffa00,0x017fe605,
    0xff95ffb0,0x0fff8809,0x4ffb8000,0x5ffb0000,0x2e009ff9,0x3e201fff,
    0xffb001ff,0x4009ff95,0x00004ffb,0x0001ffe4,0x40007ff9,0xf7003ffc,
    0x3600009f,0x04ffcaff,0x3ffdffd0,0x0017fe60,0x1bfeafff,0x000fff50,
    0x0013fee0,0xffabffc0,0x17ffa006,0x2005ffd8,0x0dff57ff,0x0027fdc0,
    0x00fff200,0x003ffc80,0x400fff20,0x00004ffb,0x1bfeafff,0x7fd7ff40,
    0x00bff305,0xfff2ffd4,0x03ffcc03,0x04ffb800,0x25ffa800,0xf5001fff,
    0xfff303ff,0x97fea001,0xf7001fff,0xc800009f,0x320003ff,0x320003ff,
    0xff7003ff,0xff500009,0x400fffcb,0x01fff7fe,0x6400bff3,0x0fff62ff,
    0x000fff98,0x004ffb80,0x362ffc80,0x3f6003ff,0x04ffd86f,0xfd8bff20,
    0x9ff7003f,0xffc80000,0x3ff20003,0x3ff20003,0x09ff7003,0x45ff9000,
    0xfe803ffd,0xf309ff97,0x7ffc00bf,0x881bfea0,0x80001fff,0x80004ffb,
    0x3fea0fff,0x3ffe6006,0x003ffe62,0x3ea0fff8,0x9ff7006f,0xffc80000,
    0x3ff20003,0x3ff20003,0x09ff7003,0x41fff000,0xfe806ffa,0x981fff17,
    0xff5005ff,0x01fff88b,0x0000fffe,0x26677fee,0x20199999,0x7fc45ffa,
    0x3ff6001f,0x800fff66,0x7fc45ffa,0xdffb801f,0x99999999,0x0fff2001,
    0x03ffc800,0x00fff200,0x4cceffdc,0x20199999,0x7fc45ffa,0x93ff401f,
    0x5ff989ff,0xd07ff900,0x7fec07ff,0xffb80006,0xffffffff,0x7ff901ff,
    0x4007ffd0,0xff9afff8,0x1ffe4006,0x5c01fff4,0xffffffff,0x9001ffff,
    0x640007ff,0x320003ff,0xff7003ff,0xffffffff,0x3ff203ff,0x403ffe83,
    0x3ffe67fe,0x4017fe60,0xffb80fff,0x0bffe606,0xffff7000,0xffffffff,
    0x203ffe03,0x5c006ffb,0x02ffeeff,0x5c07ffc0,0xffb806ff,0xffffffff,
    0xff9001ff,0x7fe40007,0x3ff20003,0xffff7003,0xffffffff,0x203ffe03,
    0x7f406ffb,0xf31ffec7,0xdff500bf,0x803ffe20,0x0001effe,0x2aab7fee,
    0x80aaaaaa,0xff106ffa,0x7fc4001f,0x54005fff,0xfff106ff,0xadffb801,
    0xaaaaaaaa,0x07ff9000,0x01ffe400,0x007ff900,0x2aab7fee,0x80aaaaaa,
    0xff106ffa,0x23ff401f,0x3fe67ff9,0x03ffc805,0xfa80fffa,0x2e203fff,
    0x004ffb82,0xe80fff20,0x7d4003ff,0x64001fff,0x3ffa03ff,0x027fdc03,
    0x0fff2000,0x03ffc800,0x00fff200,0x00027fdc,0x7f407ff9,0x21ffa03f,
    0xbff33ffe,0x403fff00,0x7d406ffb,0xdcceffff,0xffb83ffe,0x3ffe0004,
    0x01bfee01,0x0013ffa0,0xfb807ffe,0x27fdc06f,0x3ff20000,0x3ff20003,
    0x3ff20003,0x09ff7003,0x00fffc00,0x7f40dff7,0xf36ffa87,0xfffa80bf,
    0xeeeeeeee,0x7d400fff,0xffffffff,0x4ffb83ff,0xdfff5000,0xfddddddd,
    0xfc8001ff,0x7fd4003f,0xeeeeeeef,0x2e00fffe,0x400004ff,0x20003ffc,
    0x20003ffc,0xf7003ffc,0x3ea0009f,0xeeeeeeff,0xd00fffee,0x2bffa0ff,
    0x7e405ff9,0xffffffff,0x803fffff,0xfffffea8,0xffb80abd,0xfff90004,
    0xffffffff,0xc8007fff,0x7e4003ff,0xffffffff,0x203fffff,0x00004ffb,
    0x0001ffe4,0x40007ff9,0xf7003ffc,0x3f20009f,0xffffffff,0xd03fffff,
    0x37fea0ff,0x7fc05ff9,0xffffffff,0x006fffff,0x4003bfe2,0xf0004ffb,
    0xffffffff,0x0dffffff,0x003ffc80,0x7ffffffc,0xffffffff,0x013fee06,
    0x07ff9000,0x01ffe400,0x007ff900,0x40013fee,0xffffffff,0x6fffffff,
    0x7fc0ffd0,0x2a05ffaf,0xff3006ff,0x3fea001f,0x13fee003,0x01bfea00,
    0x0007ffcc,0x54007ff9,0xff3006ff,0x13fee01f,0x7ff90000,0x1ffe4000,
    0x07ff9000,0x0013fee0,0x4c01bfea,0x7fe80fff,0x3ffbfee0,0x013ff205,
    0x9003ffe8,0x7dc003ff,0xffc8004f,0x0fffa004,0x003ffc80,0xe8013ff2,
    0x9ff703ff,0xffc80000,0x3ff20003,0x3ff20003,0x09ff7003,0x009ff900,
    0x7f41fff4,0x3fffe207,0x07ffe05f,0x005ffc80,0xfb800ffd,0xccccccef,
    0x3ffe2ccc,0x17ff2001,0x003ffc80,0xc8007ffe,0xdff705ff,0x99999999,
    0x99999059,0x9999bffd,0xd9999907,0x79999bff,0xfd999990,0x079999bf,
    0x9999dff7,0x7c599999,0x3f2001ff,0x407fe85f,0x505ffffc,0xf9800dff,
    0x4ff800ff,0x7fffdc00,0xffffffff,0x800dff54,0x9000fff9,0x3ea007ff,
    0x7fcc006f,0xffffb80f,0xffffffff,0xffffff84,0x5fffffff,0xfffffff8,
    0x85ffffff,0xffffffff,0xb85fffff,0xffffffff,0xff54ffff,0xfff9800d,
    0x2203ff40,0xf905ffff,0xfff0009f,0x00133007,0xffffffb8,0x94ffffff,
    0xff0009ff,0x3ff2007f,0x09ff9003,0x707fff00,0xffffffff,0xff09ffff,
    0xffffffff,0xfff0bfff,0xffffffff,0xffff0bff,0xffffffff,0xffff70bf,
    0xffffffff,0x0013ff29,0xffd0fffe,0x0bfff900,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00008020,0x00019998,0x2f6c9dd1,0x9a880000,0x00000000,0x774c0000,
    0xdd30005e,0x970000bd,0x30079301,0x013059d9,0x001f7640,0x0f26032e,
    0xbddb1000,0x417fd401,0x88000ffc,0x0002fffe,0x7fe45ff7,0x7dc00001,
    0x64402fff,0xec804efe,0xffd9300e,0x3a6003bd,0xd30005ff,0x64000bff,
    0x7ffc46ff,0x3fffea02,0x01df51ef,0x07ffffb0,0xf11bff20,0x220005ff,
    0x6c00effe,0x4fff86ff,0x77ff4400,0x1ffa0000,0x0000bff3,0x7fe67fd4,
    0xffffd100,0x27fd40df,0x7ffffec4,0xb1005fff,0x22000bff,0xb0005ffd,
    0xfff98fff,0xd9dff304,0x0bffffff,0xffb9ffb0,0x8fffb007,0x8004fff9,
    0x7004ffe8,0x5ffd0bff,0x04ffd800,0x427fd400,0x00000ffd,0x81fe45fb,
    0xffd9bffc,0xb06ff883,0xfd979fff,0x7dc009ff,0x3ee0005f,0xffa8005f,
    0x201ffd84,0x7fffdc4c,0x23ffd805,0x7d403ffd,0x01ffd84f,0x017ff440,
    0x15c40ea0,0x00b32a00,0x203ff600,0x00003ffa,0x427d43fd,0x37fc4ff8,
    0x7dc0ffe4,0x7ffb80ef,0x00d54c00,0x00355300,0x004c0110,0x800a9880,
    0xaaa81aa8,0x13004400,0x01553000,0x00000000,0xbff10000,0x0003ff40,
    0xfe88dfc8,0x6c1ff982,0x827fcc7f,0xff101fff,0x0000003f,0x00000000,
    0x00000000,0x00000000,0x00000000,0xf9000000,0x17fdc05f,0x7ff44000,
    0x5ff305ff,0x77f47fc8,0x406ff880,0x00001ffe,0x00000000,0x00000000,
    0x00000000,0x3fe00000,0xffffffff,0xffb85fff,0xffffffff,0x3fe004ff,
    0x037fc406,0x3dec8800,0xfb0ffe20,0x9817fe4d,0x3fe605ff,0x76e54407,
    0x2001ceef,0x1bdeeca8,0xfdb95100,0x510039dd,0x39ddfdb9,0xfdb95100,
    0x440039dd,0x01bdeeca,0x6f765440,0xffff801b,0xffffffff,0xffffb85f,
    0xffffffff,0x07ff5004,0x0003ffb0,0x3dff0000,0x7fcd3fe6,0x413fea04,
    0x2203fff9,0xffffffff,0x7cc00eff,0x4fffffff,0x7ffffc40,0x00efffff,
    0xfffffff1,0x2201dfff,0xffffffff,0x7cc00eff,0x4fffffff,0xfffff300,
    0xcc809fff,0xcdffeccc,0xffb83ccc,0xccccccce,0xffd002cc,0x09ff3001,
    0x3b72a200,0xf701ceef,0x21fffdff,0x3ea00ffe,0x4fffb84f,0x777ffc40,
    0x06fffedc,0x3337ffee,0x2206fffd,0xedceefff,0xff106fff,0xffdb9ddf,
    0x3ffe20df,0xfffedcee,0x37ffee06,0x06fffdcc,0x666fffdc,0x4006fffd,
    0xf7003ffc,0x4c00009f,0x3fa004ff,0x7fc4000f,0xffffffff,0xffffb80e,
    0x805ff70e,0x7fdc4ffa,0x0ad8802f,0x307fff70,0xff305fff,0x02b6207f,
    0x441fffdc,0xfff700ad,0x2015b107,0xf983fffb,0xfff982ff,0x05fff303,
    0x4007fff3,0xf7003ffc,0x6c00009f,0x3ea001ff,0x7fc4003f,0xffedceef,
    0x4153106f,0xfa805ff9,0x00fffc4f,0x13ffa000,0xf980bff6,0x3a0000ff,
    0x3a0004ff,0x3a0004ff,0x2ffd84ff,0x203ffe60,0x3e602ffd,0xff9000ff,
    0x13fee007,0x37fc4000,0x0037fc00,0x7dc02b62,0x3fa003ff,0x4ffa800f,
    0x0001bfe6,0xf31bfea0,0x3ffd00df,0x37fd4000,0x0dff5000,0x237fd400,
    0xfe806ff9,0x037fcc1f,0xc800fff4,0xff7003ff,0x3ee00009,0xffc8002f,
    0xfe800002,0x5ff7004f,0x993fea00,0x800007ff,0x7fdc6ff8,0x03ffc803,
    0x01bfe200,0x006ff880,0xf71bfe20,0x7ff9007f,0xc803ffb8,0xff9003ff,
    0x13fee007,0x03ff4000,0x005ff880,0x06ffa800,0x2005ff88,0x7ffc4ffa,
    0x2a660004,0x6c6ffbaa,0x99999bff,0x04ffc999,0xf7555330,0x2a6600df,
    0x006ffbaa,0xff755533,0x99bffd8d,0xfc999999,0x4dffec4f,0xc9999999,
    0xff9004ff,0x13fee007,0x0ffea000,0x00ffd800,0x37fc4000,0x2607fec0,
    0xb89ff500,0x5000dfff,0xfffffffd,0xfffe8dff,0xffffffff,0x3aa05fff,
    0xffffffff,0x3ffaa06f,0x6fffffff,0x3ffffaa0,0x746fffff,0xffffffff,
    0x45ffffff,0xfffffffe,0x5fffffff,0x007ff900,0x26677fee,0x40199999,
    0x20000ffd,0x20004ffa,0xffbaaa99,0x89ffdc06,0x541efffd,0xfffc84ff,
    0x3ffa201e,0xffffffff,0x7ffff46f,0xffffffff,0xffe885ff,0xffffffff,
    0xfffe886f,0xffffffff,0xffffe886,0x6fffffff,0x7ffffff4,0xffffffff,
    0x7fffff45,0xffffffff,0x7ff9005f,0x3fffee00,0xffffffff,0x00bff301,
    0x800ffd00,0xffffffea,0x3e206fff,0xfffff16f,0x27fd41ff,0x01ffffb8,
    0x1015dffb,0xbffd8dff,0x99999999,0xffd80999,0x6ff880ae,0x80aeffd8,
    0xffd86ff8,0x6ff880ae,0x4ccdffec,0x99999999,0x4cdffec0,0x99999999,
    0x7ff90009,0x3fffee00,0xffffffff,0x003ff901,0x005ff700,0xffffffd1,
    0x40dfffff,0x3ffb1ffd,0xffa97fee,0x3fffe604,0x007ffcc0,0xffc8dff1,
    0x7fcc0003,0x1bfe200f,0x4401fff3,0x7ffcc6ff,0x91bfe200,0xc80007ff,
    0x000003ff,0x2e007ff9,0xaaaaadff,0xf880aaaa,0xf100006f,0xdffb00df,
    0x0dff1015,0x4ff8ffea,0x9ff53ff4,0x44fff880,0x7c405ffb,0x027fdc6f,
    0x017fee00,0xffb8dff1,0x237fc405,0x7c405ffb,0x027fdc6f,0x013fee00,
    0x1ffe4000,0x004ffb80,0x000ffee0,0x201ffc80,0x2200fff9,0x6ff886ff,
    0xff70bfe2,0x2013fea1,0x7fe46ffb,0x1bff6204,0x0003fff3,0xb1027fe4,
    0x4ffc8dff,0x91bff620,0x7ec409ff,0x0fffcc6f,0x3fff3000,0xff900000,
    0x13fee007,0x00ffe800,0x17fe6000,0x4405ffb8,0x1ffd86ff,0xff70bfe6,
    0x4c027fd4,0x37fdc6ff,0x86fffe98,0x0001effd,0x3a60dff7,0x7fdc6fff,
    0xdfffd306,0xd306ffb8,0xffb0dfff,0x7ec0003d,0x400001ef,0xf7003ffc,
    0x3e60009f,0xe800004f,0x9ff900ff,0x237fec40,0x7fc44ffa,0xff537ec4,
    0x8bff9009,0xb9aefff9,0x86fffffd,0xabdffff8,0x985dba99,0xdb9aefff,
    0x4c6fffff,0xdb9aefff,0x4c6fffff,0xdb9aefff,0x886fffff,0x9abdffff,
    0xf105dba9,0x3357bfff,0x6400bb75,0xff7003ff,0x3ff60009,0xfa800001,
    0x0dff703f,0x89bfffa6,0x5ffd06fe,0xffa8ffea,0x36eaae64,0xffc81fff,
    0x8dffffff,0xffd306fe,0xffffffff,0x3ffff20b,0xfe8dffff,0xfffffc86,
    0x6fe8dfff,0xffffffc8,0x06fe8dff,0xffffffd3,0x4c0bffff,0xfffffffe,
    0x32005fff,0xff7003ff,0xbff10009,0x7fc00000,0x5dfff307,0xfffffb73,
    0x980ffe4d,0x46ffffff,0x3fea4ffa,0x203fffff,0x2effffea,0xfd701bfa,
    0x7bffffff,0x7ffff540,0x541bfa2e,0x22effffe,0xffd506fe,0x37f45dff,
    0x3ffffae0,0xb803dfff,0xfffffffe,0x3ff2003d,0x09ff7003,0x005ff900,
    0x17fdc000,0xffffffc8,0x36fe8dff,0xfe9809ff,0x7fd40cff,0x3bfffea4,
    0x0331000d,0x4ccc4000,0x00cc4001,0x00066200,0x00003310,0x000cccc4,
    0x00333310,0x400fff20,0xf8004ffb,0x4000006f,0x3aa05ff8,0x3a2effff,
    0x0620006f,0x000cc400,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3fb33332,0x83ccccdf,0xcccceffb,0xf52ccccc,0x0000007f,0x98803ffb,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x7fc00000,
    0xffffffff,0xffb85fff,0xffffffff,0x01dd94ff,0xdd300000,0x00000007,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3ffffffe,
    0x85ffffff,0xfffffffb,0x004fffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x88000000,
    0x9000deed,0x000007dd,0x33b26000,0x97000982,0x50079301,0x999bffd9,
    0x3ba23999,0x6cc00005,0x0000003e,0x003eed88,0x30000000,0x3a600013,
    0xdb0005ee,0x7440009d,0xfb000eff,0x2a007fff,0xec800fff,0xffff500e,
    0x03bea3df,0xf88dff90,0xffb102ff,0xffffffff,0x1bfe25ff,0xfffd0000,
    0xbeffe983,0x00eec800,0x2a2bffee,0x3fea07dc,0x0eec800f,0xfffffd30,
    0xffd30005,0x9fff000b,0x3ffa2000,0x33ff6004,0x3aa03ffd,0x5400ffff,
    0xdff304ff,0xffffffd9,0x8fffb00b,0xfd04fff9,0xffd759ff,0x3e23dddf,
    0x7c00006f,0x7fcc3fff,0x7d403fff,0x7fec404f,0xa87fffff,0x400ffffe,
    0xff704ffa,0x09ffffff,0x0bffb100,0x004fff80,0x002ffe88,0xffd8fff6,
    0xfffffa83,0x1bfe200f,0xfffb8990,0x9ff5005f,0xf903ffb0,0xdff901df,
    0x000dff10,0x80fffd80,0x440dff30,0x3fae06ff,0xdfffffff,0x7ffffd43,
    0x1bfe200f,0x5d6fffc4,0x0001fffe,0x7400bff7,0xa98004ff,0x2aa2000a,
    0xe80aaa81,0x200ffc8c,0x10001ffc,0x08800153,0x7ffc0260,0x107ffa01,
    0x00000dff,0xff980397,0x807ff205,0xfffffffd,0x7e467405,0x07ff200f,
    0x7ec27fe4,0x2a60004f,0x9ffd001a,0x00000000,0x1ff90400,0x0013fe60,
    0x00000000,0xfc80fff1,0x037fc43f,0x7f400000,0xff300eff,0x51bdc809,
    0x90403fff,0x3fe601ff,0x207ffa04,0x00006ffa,0x027ff400,0x00000000,
    0xd00ffc80,0x000001df,0xf9800000,0x1ffe406f,0x0001bfe2,0x3fffa000,
    0x0efe80ef,0x0dffb000,0x7403ff20,0x3ffe00ef,0x005ff981,0x7ff40000,
    0xedca8803,0x2001ceef,0x1bdeeca8,0x901ff900,0xb98005ff,0x801bdeec,
    0xcc803cc8,0x803ffe24,0x7fc41ffe,0x2f7b6e26,0x0ffe2001,0xc85ffb10,
    0x262002ff,0x04fffedb,0xfc80ffc8,0x17ff402f,0x4001ffe4,0x1bdeecb9,
    0x201fff40,0xfffffff8,0x4c00efff,0xffffffff,0x40ffc804,0x5c004ff9,
    0xffffffff,0x1bfe200c,0xffb1ffe0,0x21ffea09,0xfff36ff8,0x2005ffff,
    0xfc803ff8,0x013fe63f,0xffffff98,0x7e400fff,0x027fcc0f,0x3e62ffe4,
    0x7dc000ff,0xcfffffff,0x807ffb00,0xdceefff8,0x2e06fffe,0xfdccdfff,
    0x7fe406ff,0x8007ff40,0xddffffe8,0x100effff,0xfff00dff,0x99dfff98,
    0x882fffc9,0xefffadff,0x801ffffe,0xeea84ff9,0x3fa0fffe,0xfff7000f,
    0xbfffdddf,0x740ffc80,0xff9800ff,0x07fff72f,0x7ffff440,0x0effffdd,
    0x4403ffd8,0xfff700ad,0x05fff307,0x6407fff3,0x0bfee0ff,0x81fffc80,
    0xf104fffa,0x8fff00df,0xfffffff9,0xff103fff,0x7441bfff,0xff9805ff,
    0xeffffb84,0x400bfee1,0x440bfffa,0x3f201fff,0x00bfee0f,0xffefffc8,
    0x7fe4003f,0x4fffa81f,0x0003ffd8,0xfb09ffd0,0x7ffcc05f,0x7cc33100,
    0x3fe6005f,0x3ffe600f,0x806ff881,0x5f7f47ff,0x00deffff,0x413fffe2,
    0x5101fff8,0x55109ff9,0x05ff9835,0xd80bffa0,0x866204ff,0x44005ff9,
    0x01efffff,0x007ffcc0,0xfd83fff3,0xf500002f,0x06ff98df,0x2001ffe8,
    0x36000ffe,0xffd803ff,0x806ff884,0x0ffea7ff,0x7ffc4003,0x21ffec04,
    0x4fffffd8,0x00ffe800,0x980bff50,0x7f4007ff,0x7fdc000f,0xfb0006ff,
    0x9ffb007f,0x0002ffd8,0xfb8dff10,0x3ffc803f,0x005ff700,0xa800fff8,
    0x6ff886ff,0x3f27ff80,0x3e20002f,0x4ffb806f,0x3bffffe2,0x7fdc003e,
    0x0bff6002,0x4007ffa0,0x64002ffb,0x44ffffff,0xfff07ff8,0x8dff5001,
    0x98002ffc,0x6ffbaaa9,0x4ccdffec,0xffc99999,0x05ff8804,0x803ffc40,
    0xff887ff8,0x327ff806,0x0009beff,0x54037fc4,0x3bff65ff,0x3fe20001,
    0x07ff4005,0x401ffec0,0x64005ff8,0xfffc9fff,0x221bfe62,0xff1007ff,
    0x002ffc8f,0xffffffd5,0xffe8dfff,0xffffffff,0xd805ffff,0x806620ff,
    0x3e006ff9,0x37fc40ff,0xff33ffc0,0xffffffff,0xdff1039d,0x22dff300,
    0x40001fff,0x7c000ffd,0x9ff9007f,0x001ffb00,0xfd0fffc4,0x17fee3ff,
    0xf801bfe6,0x0bff20ff,0xfffffd10,0x8dffffff,0xfffffffe,0x5fffffff,
    0xd89ffdc0,0xfa82efff,0x3ffe005f,0x4037fc40,0x7ffd47ff,0xffffffff,
    0x037fc45f,0xff9affcc,0x7fdc0007,0x0bfffe23,0x2e00fff3,0x7fdc04ff,
    0x0bfffe23,0xff889ff9,0x84ffc8ef,0x3e005ffa,0x07ff20ff,0x015dffb0,
    0xffd8dff1,0x9999999b,0x22009999,0x3fff26ff,0x7fcc1fff,0x0fff1006,
    0xff00dff1,0xcceffd8f,0xfffffdcc,0x201bfe24,0xfff54ffa,0x37fc4000,
    0x10bffff6,0x3f200fff,0x1bfe204f,0xd85ffffb,0xfff981ff,0xf982ffdd,
    0xfff1006f,0x2601ffc8,0x3e200fff,0x01ffe46f,0x43ffb000,0x87ff50d8,
    0xf3007ff8,0x0dff10bf,0x7fe4fff0,0x3ffec405,0xf900dff1,0x07ffe67f,
    0x50ffec00,0xf05ff9ff,0xffb001ff,0x50ffec07,0xf85ff9ff,0xfff701ff,
    0xff101fff,0x17fe600f,0xffb80331,0x237fc405,0x00004ffb,0xf9807ff5,
    0x02fff84f,0xf884ffc8,0x3fee00ff,0x2003ffe7,0xff11fff9,0x25ffd00d,
    0x8003fff8,0x3fe23ffa,0xfe82ffac,0x1fff803f,0x7c47ff50,0x742ffacf,
    0x3ff202ff,0x3ffe04ff,0x04ffc802,0x409ff900,0x7cc6ffd8,0x440001ff,
    0xffd806ff,0x406ffc81,0xff01fff8,0x3ffea05f,0x200fff37,0xff10fff8,
    0x46ffa80d,0x2002fffb,0x7fe46ff8,0xfc82ffa8,0x37fdc06f,0x7e46ff88,
    0x6c2ffa8f,0x7ff405ff,0x1bff202f,0x303fff10,0x06ffb801,0xb0dfffd3,
    0x40003dff,0x36201ffd,0xfff103ff,0x13ffa209,0xfa84ffe8,0xfff17fff,
    0x4dffb003,0x3a606ff8,0xfffe81ff,0x1ffd801c,0x7fd4bfe6,0x05fff882,
    0x3605fff3,0x4bfe61ff,0x7fdc2ffa,0xffff503f,0x3ffe201d,0x09ffd104,
    0x7cc07ffd,0xfdb9aeff,0xf886ffff,0x99abdfff,0xffa85dba,0x0bffa604,
    0x57dfff70,0x01ffff95,0x55ffffd4,0x27fedffd,0x89acfffe,0x1fffeb98,
    0x2afbffe2,0x04fffda9,0xbdffffd1,0x44ffa839,0xfffffffc,0xefffb87f,
    0x5fffcbab,0xfc89ff50,0x7fffffff,0x55efffec,0xffffffec,0x3bffee05,
    0xffffcaab,0x03fffd40,0x3ffffff2,0x06fe8dff,0xffffffd3,0xe88bffff,
    0x3ffea06f,0x3ee0199a,0xffffffff,0xfffe800d,0xffd5ffff,0x7fffffc4,
    0x1fffffff,0x7fffffc4,0x803fffff,0x3ffffffc,0x3f21bfa2,0x7fffffff,
    0xffffff70,0x3a20bfff,0xffffc86f,0x7447ffff,0xffffffff,0x04fffbbf,
    0x3fffffee,0xfa80dfff,0xfea807ff,0x3fa2efff,0x7fff5c06,0x643dffff,
    0x3ff601ff,0x4c07ffff,0x3efffffd,0x7fffe400,0x711ff63e,0xfffffffd,
    0x7edc407d,0x00ceffff,0x3fff6e20,0x4007ff23,0x6cc02ffa,0x02efffff,
    0x54007ff2,0x3fae02ff,0x320cefff,0x36602fff,0x03efffff,0x1001fff4,
    0x44000033,0xff301999,0xffffd809,0x262007ff,0x19980000,0x35331000,
    0x004c0003,0x7cc26000,0x3fea004f,0x00662002,0xa8013fe6,0x031002ff,
    0x01310000,0x00000980,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0x000deed8,0x22000000,
    0xcceb80aa,0x03cc8802,0x0001e644,0x66457ba2,0x2f7b6e22,0x3eec8001,
    0xd9731000,0x30b957bd,0x0000bddd,0x2a01f764,0xb10001ee,0x00001bdd,
    0x00066620,0x0effe880,0x3fb26000,0x8001deff,0xffc80ffb,0xf100cfff,
    0x5ff980df,0xb7fc4000,0xfff34ff8,0x4005ffff,0x003ffffd,0x7fffff4c,
    0xd306ffff,0xb0000bff,0x2207ffff,0x4000ffff,0x400effe8,0xd9802ffb,
    0xcfffffff,0xffd10000,0xffc80009,0x03ffffff,0xf905fd80,0x05ffffff,
    0xf980dff1,0x7c40005f,0xf59ff16f,0xffffddff,0xb9ffb003,0x3ee007ff,
    0xffecefff,0x3f6206ff,0x3f60005f,0xa83ffdcf,0x2001ffff,0x9804ffe8,
    0x5c00ffff,0xffffffff,0x744003ff,0x640002ff,0xecccefff,0x7fc4003e,
    0x7fe4c403,0x37fc42ff,0x0017fe60,0x3e2dff10,0x220dffff,0x7ec05ffe,
    0x00fff63f,0x2a07fff5,0xffb806ff,0x3ffd8005,0xff10fff6,0x7f4400df,
    0xfff7002f,0xcdfb803f,0xffffecaa,0x02aa6001,0x7fff3000,0x3b6e6000,
    0x2000ffef,0x220fffe8,0x7fcc06ff,0x7fc40005,0x09ffff16,0x4407ffe2,
    0x0aaa81aa,0x880bffa0,0x553006ff,0x0d544003,0x32205554,0x2aa6000c,
    0x3ffe6000,0x74400806,0x000005ff,0x00bff700,0x3fffff20,0x2000dfff,
    0x3e24fff8,0x2ffcc06f,0x5bfe2000,0x6c04fff8,0x000003ff,0xf101bfea,
    0x000000df,0x00000000,0x00cd9800,0x0fff5000,0x36000000,0x744002ff,
    0xffdcefff,0x2e000fff,0x1bfe27ff,0x000bff30,0xff16ff88,0x09ff700d,
    0x7fe40000,0x037fc402,0x00000000,0x00000000,0x7fc40000,0x765cc00f,
    0xd0001bde,0xfd8003ff,0x3ffee0ef,0x3e6005ff,0x0dff10ff,0x5005ff98,
    0xff9bdd97,0x201bfe2d,0x5cc05ffa,0x401bdeec,0x7c401ffe,0x01e6446f,
    0x33222664,0x2e4cc803,0x3cc881ff,0x0004cc80,0x37fc4000,0x3ffffee0,
    0x4000cfff,0x26000ffe,0x6ff40eff,0x1001fffa,0x3fe21fff,0x02ffcc06,
    0x3fffffa6,0xff16ffff,0x0dff300d,0x7fffffdc,0xfff00cff,0x46ff8801,
    0xff806ff8,0x4037fc47,0x07fee7ff,0x3e01bfe2,0x9999937f,0x20000799,
    0xfd103ffa,0xfffbbfff,0x7f4001df,0x3ff6000f,0xfc97fc43,0xfff5004f,
    0x26037fc4,0x3fee05ff,0xfffedeff,0x00dff16f,0xfd10bff3,0xfffbbfff,
    0x1fff01df,0x446ff880,0x7ff806ff,0x7c037fc4,0x20bfee7f,0xff806ff8,
    0xffffff57,0xf10000df,0x3ff203ff,0x4fffa81f,0x003ffa00,0x7dc0fff8,
    0x00fff50f,0x7c4bffd1,0x2ffcc06f,0x503fff98,0x1bfe2dff,0x3213fea0,
    0xffa81fff,0x00fff84f,0x3e237fc4,0x47ff806f,0xff806ff8,0x220bfee7,
    0x7ff806ff,0xffddddd5,0x2e62000d,0xff301eff,0x7ffcc01f,0x7ffffe41,
    0xffffffff,0x1bfe27ff,0x7ff897fa,0xfffcbaa8,0x01bfe20f,0x3fa0bff3,
    0x5bfe202f,0xfb806ff8,0x07ffcc3f,0xe83fff30,0x7fcc01ff,0x4037fc46,
    0x37fc47ff,0xff73ffc0,0x00dff105,0x7fc40fff,0x3ffe6006,0x3600efff,
    0xffd803ff,0x7ffffe44,0xffffffff,0x17fe67ff,0xfff85ff1,0x7fffffc0,
    0x07ffc42e,0xf50bff90,0x6ff880df,0xfd00dff1,0x03ffd83f,0x7ec4ffd8,
    0x3ffa202f,0x4037fc46,0x37fc47ff,0xff93ffc0,0x00dff105,0x7fc40fff,
    0x3ffe6006,0xf02effff,0xff5001ff,0xaaaaa98d,0xaaaabfff,0x17fea2aa,
    0xfff81ff7,0x1e77ff40,0x502fff88,0xff90dfff,0x16ff8805,0xffa80dff,
    0x800fff86,0x7fe46ffa,0x1bfffa05,0xff00dff1,0x806ff88f,0x0fff27ff,
    0x3e01bfe2,0x1bfe207f,0xccaaa880,0x7c44ffff,0xfff1007f,0x003ffa00,
    0x3fa37fcc,0xfe87ff85,0x5fff8807,0x87ffffa8,0x7c401ffd,0x40dff16f,
    0x7c41fff9,0xfff1007f,0x442fff88,0x446ffffd,0x7ff806ff,0x7c037fc4,
    0x20fff27f,0xff806ff8,0x01bfe207,0x1fffdc00,0x7c00dff3,0xffe800ff,
    0x4fff1000,0x7fc43ff8,0x8807fe86,0xdabfffff,0x2dffdcff,0xf1003ffa,
    0x3bffe2df,0xfffcb9ab,0x006ff984,0xffb03ffe,0x3fff959f,0x6ff88dff,
    0x7c47ff80,0x27ff806f,0xff883ffc,0x207ff806,0x00006ff8,0xffa9ffee,
    0x03ffe005,0x8003ffa0,0x1ff71fff,0xfe84ffb8,0xffff8807,0xf55fffff,
    0x07ffcfff,0x7c5bfe20,0xffffffff,0xbff503ff,0x207ffc00,0xffffffe8,
    0x446ff89f,0x7ff806ff,0x7c037fc4,0x20fff27f,0xff806ff8,0x01bfe207,
    0x0fff8800,0x2200dff3,0xffd007ff,0xb7fe4001,0x1ffe85fe,0xf8807fd8,
    0x2efffcdf,0xfff3ffdc,0x16ff8801,0xffffffff,0x7fcc019d,0x0fff1006,
    0x33bfff62,0xf88dff11,0x47ff806f,0xff806ff8,0x2213ff67,0x7ff806ff,
    0x001bfe20,0x221fff00,0xff3007ff,0x03ffa00b,0xfcfff980,0x17ff623f,
    0x7c4004c4,0x1100665f,0x2600fff4,0x2dff16ff,0x3e200098,0xbff3007f,
    0xff101100,0x806ff88d,0x37fc47ff,0xffb3ffc0,0x00dff109,0x7fc40fff,
    0x3e200006,0x017ffc7f,0xe8027fe4,0x7cc000ff,0xecaaffff,0x80000fff,
    0x40006ff8,0x3a202ffd,0x0dff16ff,0x02fff800,0x0004ffc8,0xff11bfe2,
    0x3ffdc01f,0xb803ffe2,0x13ff67ff,0xb803ffe2,0x3fe207ff,0x3f200006,
    0x037fe45f,0x4007ffe2,0x98000ffe,0xffffffff,0x026200ef,0x001bfe20,
    0x740bff70,0xdff16fff,0x6ffc8000,0x00fffc40,0xf0dff100,0x3fea05ff,
    0x02fff87f,0x7ecffff5,0x05fff04f,0x881fffea,0x880006ff,0x7c41fffb,
    0xffd104ff,0x07ff4009,0xffff9800,0x7c403eff,0x7fc401ff,0x7fc40006,
    0x7ffec42f,0x00dff16f,0x04fff880,0x0009ffd1,0xfe86ff88,0xffffa84f,
    0xa84ffe87,0x3f67ffff,0x09ffd05f,0x40fffff5,0x64406ff8,0xfcbaaaac,
    0xff702fff,0xff9557df,0x7f4001ff,0xff70000f,0x7e400333,0x7fc405ff,
    0xffd80006,0x9fffcacf,0x0dff16ff,0xdfff7000,0xffff9557,0xff880001,
    0xbffffa86,0x7fedffda,0xabffffa8,0x27fedffd,0xff505ffe,0xbffb57ff,
    0x7fc40ffd,0x7fffc406,0x2effffff,0x7ffffdc0,0x000dffff,0x80007ff4,
    0xf90005fd,0xff880bff,0xfe880006,0xd1ffffff,0x01bfe2df,0x7fffdc00,
    0x00dfffff,0x06ff8800,0xfffffffd,0x7f41ffab,0xd5ffffff,0x02fff4ff,
    0xfffffffd,0x6665ffab,0xccfffccc,0xfff10ccc,0x05bfffff,0x7fffecc0,
    0xfd0003ef,0xff10001f,0x3fe20005,0x37fc401f,0xfffb0000,0x8b7f439d,
    0x200006ff,0xefffffd9,0x3e200003,0x3fff206f,0x81ff63ef,0x23effffc,
    0x17ffa7fd,0x7dffff90,0xffffbfec,0xffffffff,0x4cccc0ff,0x13100001,
    0x1ffd0000,0x01dd5000,0x8004c400,0x80000099,0x02660008,0x04c40000,
    0x13300000,0x00033300,0x31001998,0x06660013,0x3fffffe0,0xffffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x66540000,0x07332003,0x3c980cb8,0x00031000,
    0x000bddd3,0x40066600,0x10002eeb,0x8001bddb,0x88000008,0x03100009,
    0x16764c00,0x0998004c,0x002f7440,0x01f76400,0x800fffa8,0xf900fff9,
    0x2fff88df,0xffffb500,0x7f4c007b,0xca80005f,0xbefffffe,0x1ffffa80,
    0x77ff4400,0xffdb8800,0x8000bdef,0xfffffdc9,0x3f6e00bd,0x000cdfff,
    0x3dfffff5,0x32203bea,0x1dffffff,0x0006ff88,0x1ffffec0,0x803fff80,
    0x3f605ffc,0x27ffcc7f,0x7ffffe40,0x22005fff,0x10005ffd,0xfffffffb,
    0xffb09fff,0x744007ff,0xfd3004ff,0xdfffffff,0x7ffe4001,0x3fffffff,
    0xfffffd88,0x4c01efff,0xfffeceff,0xffb85fff,0xffffffff,0x0037fc44,
    0xfb9ffb00,0xdff9007f,0x405fff00,0xffd84ffa,0x6fffec01,0x06fffdbb,
    0x002ffdc0,0x3bffffea,0x84ffedcc,0x002ffffc,0x2005ffd1,0x98acfffb,
    0x401fffdb,0xceffffe8,0x4c3ffedc,0xecbefffe,0x6401ffff,0x2ffffdc4,
    0x5677ffd4,0x23fffeca,0x00006ff8,0x7fec7ffb,0x0fffcc03,0x100fff30,
    0x2e004c01,0xff981fff,0x554c003f,0xffff3001,0x4425c407,0x26006ffe,
    0xff5000aa,0x7ffd403d,0x13fffa00,0x7fec2b88,0x7fff980e,0x01531000,
    0xfe813ffe,0x01bfe26f,0x206aa200,0x7f400aaa,0x13ff204f,0x7fc00000,
    0x1bfea01f,0x3f600000,0x440001ef,0x8000002a,0xf9800efe,0x5fff505f,
    0x3fff5000,0x017ffcc0,0x7ffcc000,0x43ffea00,0x00006ff8,0x7fd40000,
    0x007ffe07,0x3fea0000,0x02ffe805,0x3fea0000,0x0000000f,0x3fea0000,
    0x7e419882,0x03ffe81f,0x007ffd00,0x0000dff9,0xf00bff50,0x1bfe21ff,
    0x00000000,0x3ea0bffe,0x32e6006f,0x7401bdee,0xffe802ff,0x99999305,
    0xffd00799,0x40000009,0xccccccc9,0x4c6fe803,0xf12fffff,0x0fffb8bf,
    0x0fff9800,0x41fff980,0x3b262cc8,0x7fc40cef,0x97fea00f,0x3b266ff8,
    0x32600cef,0x03cccccc,0xd85ffc80,0xff7003ff,0x19ffffff,0xd301ffe0,
    0x3ea0bfff,0x06ffffff,0x0007ffc4,0xfff50000,0x980dffff,0x3ffea2ff,
    0x1ff23fff,0x20007ffb,0x3a005ffa,0xa7fc42ff,0xfffffffb,0xd02ffec2,
    0xb7fc45ff,0xfffffffb,0xfffff502,0xf3000dff,0x7ffc41ff,0x7fff4400,
    0xeffffddf,0x7037fc40,0x20dfffff,0xffeeeeea,0x037fd406,0x3aa00000,
    0x06ffeeee,0xff88ffd4,0x7d4310bf,0x00bffa0f,0x001ffe40,0xff887ffb,
    0xffdfffcc,0x3fea0fff,0x3ffa61ef,0x337fe20e,0xfffedfff,0xeeeea80f,
    0xd0006ffe,0x2ffd47ff,0x40fffe40,0x7cc4fffa,0xfffd886f,0x22007ffc,
    0x7fdc06ff,0x00000005,0x5c06ff88,0x07ff50ff,0x3fe1ff98,0xffb0001f,
    0x27fe4007,0x13ffffe2,0xfa87fff5,0xfffcdfff,0x7fffc40d,0x3ffea0cf,
    0x0dff1003,0xd9bfea00,0x7fcc02ff,0x3ffe600f,0xd317fea1,0x3ffa5fff,
    0x0dff1000,0xdb04ffc8,0x009ddddd,0x06ff8800,0x3ff93fe4,0xf12ff880,
    0x3a0001ff,0x3ee002ff,0x7fffc45f,0x10bff903,0x7ffffffd,0x0ffffe20,
    0x8802ffe4,0x3e0006ff,0x07ff89ff,0xd803ffd8,0x93fea4ff,0x3a0efffb,
    0xff1001ff,0x03ffd80d,0xbfffffff,0x8002f260,0x7ec06ff8,0x7c01ff66,
    0x00fff53f,0x000fffc0,0xff88bff7,0x1bfea03f,0x7fffffdc,0x4fff880d,
    0x401bfea0,0x20006ff8,0x4ffbcffc,0x800fff80,0x3fea6ffa,0x84fffd8c,
    0xf1000fff,0x3ffd80df,0xffddddb0,0x0dfff30b,0x2037fc40,0x03ff27fc,
    0x3e67ff10,0x3fa0007f,0x3fee002f,0x2037fc44,0xffd87ff8,0x1fffffdf,
    0x22037fc4,0xff1007ff,0x7fcc000d,0x4400ffee,0xff1007ff,0x7f77fccf,
    0x0fff02ff,0x2037fc40,0xf3004ffc,0xffff90bf,0x1bfe2007,0x7fdcff70,
    0x88ffcc03,0xb0000fff,0x7e4005ff,0x037fc43f,0xffd33ffc,0x3ffee23d,
    0x01bfe22f,0x7c401ffe,0x7f40006f,0xf9806fff,0x3ffe006f,0xdfffff10,
    0x01ffe201,0x5c06ff88,0xff3005ff,0xbffff50b,0x01bfe200,0x3fe63ff5,
    0xffa8662e,0x0007ffe0,0xb001ffec,0x6ff885ff,0x3fa7ff80,0xdfff305f,
    0x7c037fc4,0xdff1007f,0xfffb8000,0x5ffa802f,0xf83ffe00,0x7cc04fff,
    0x3fe2006f,0x037fd406,0xfd05ff98,0x3e200dff,0x17fcc06f,0x7ffffffb,
    0x3ffa3fe4,0xbff90003,0x20fff400,0xff806ff8,0x980dff37,0xdff12fff,
    0x200fff00,0x40006ff8,0x3006fff8,0x3e200dff,0x01fff47f,0x10027fe4,
    0xff880dff,0x5ff9802f,0x00bfff30,0x3e01bfe2,0x7fffe46f,0xd8bff13f,
    0xf70006ff,0x3fe600ff,0x037fc40f,0x3ffbbffc,0xf14ffd80,0x0fff00df,
    0x001bfe20,0x005fff10,0x4c01ffe2,0x27fe45ff,0x000fff40,0xfb00dff1,
    0xbff300df,0x801fffc0,0xfb806ff8,0x20d4c42f,0x7fd41ffb,0xff88002f,
    0x4ffc802f,0xf806ff88,0x007ffd7f,0x3fe29ff9,0x007ff806,0x8000dff1,
    0x7c006ffc,0xffc802ff,0x00fffc44,0x8800dff5,0xff8806ff,0x2ffcc04f,
    0x001fff98,0x3a00dff1,0xff8800ef,0x03dffb05,0x01dff900,0x4407ffcc,
    0x7ff806ff,0xfd009ffb,0x01bfe25f,0x7c401ffe,0x3e60006f,0x7e4002ff,
    0x7ffc406f,0x80effc81,0x4002fffa,0xf9006ff8,0x3e601bff,0x4ffe885f,
    0x01bfe200,0x300f7fdc,0x3e601fff,0x2e203fff,0x03bffe22,0x4413ffe6,
    0x7ff806ff,0x5c05fff7,0xdff10fff,0x200fff00,0x30006ff8,0x10009fff,
    0x3a209fff,0xfff104ff,0xfffb759f,0xdff10009,0x3fff6200,0xfecbbdef,
    0xfffb735f,0x6ff8800d,0x33ffee00,0xfffca88a,0x7fffdc02,0xffedccef,
    0x6ffffdc3,0x0efffecb,0xf00dff10,0x3fffa2ff,0xffebaabd,0x01bfe23f,
    0x7c401ffe,0xb757006f,0x4000dfff,0xaabefffb,0x200ffffc,0xffffffe8,
    0xccc803ff,0xccfffccc,0xff700ccc,0xffffffff,0x3ffff2bf,0x66666403,
    0xccccfffc,0xffff500c,0x01dfffff,0x3ffffa60,0x83ffffff,0xfffffffa,
    0x7fc404ff,0x227ff806,0xfffffffe,0x7fc44fff,0xc87ff806,0xfffccccc,
    0x7c0ccccc,0x00dfffff,0x7fffdc00,0x00dfffff,0xefffec88,0xffff002d,
    0xffffffff,0x764401ff,0xbdffffff,0x00179d90,0xffffffff,0x01ffffff,
    0x7fffedc4,0xdb70003d,0x157bffff,0x3fffb260,0xff8802df,0xa87ff806,
    0xcffffffe,0x806ff880,0xffff87ff,0xffffffff,0x7fffc0ff,0x2600002e,
    0x3efffffd,0x00131000,0xfffffff0,0x1fffffff,0x004cc400,0xfffff000,
    0xffffffff,0x004c001f,0x00262000,0x20004c40,0xff806ff8,0x004ccc07,
    0x3e01bfe2,0xfffff87f,0xffffffff,0x000d4c0f,0x004c4000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0x3bbaa000,0x0005eeee,0x2000ccc4,0x83c980cb,
    0x10001eec,0x3e600fff,0x0262006f,0xffffffb8,0xf72fffff,0xffffffff,
    0x04c00dff,0x20000000,0xaceeedba,0x00098800,0x7ff6e540,0x3fffee1f,
    0xffffffff,0x003fb204,0x7fffffd4,0xfeb8006f,0x05ffffff,0x3e237fe4,
    0x0ffec2ff,0x07ff8800,0x880dff30,0x2dffffec,0x7fffffdc,0xf72fffff,
    0xffffffff,0x76540dff,0x000dffff,0x0017ffdc,0xffffffd3,0x3b2207ff,
    0x001dffff,0x3fffffae,0x3ffee1ff,0xffffffff,0x03ffe04f,0x666664c0,
    0x3ea006ff,0xffffffff,0x3ffec07f,0xfb13ffe6,0x3e20003f,0xdff3007f,
    0x7ffffd40,0xd50dffff,0xfddddddd,0x37fee5ff,0xcccccccc,0xfffff903,
    0x5007ffff,0x005ffffd,0x3bffffee,0xfa83fffe,0xffffffff,0x7fff4403,
    0x20ccdeff,0xcccceffb,0x202ccccc,0x20000fff,0xf5006ff8,0x97599fff,
    0xffa80fd9,0x6c1ffd84,0xf10001ff,0x3fe600ff,0x7dfff106,0x03fff755,
    0xfb97fec0,0xfe88002f,0xffcbceff,0xffd501ff,0x3005ffff,0x7103dfff,
    0xadfffa85,0x03fffca9,0x019fffd1,0x0009ff70,0x0001fff0,0x44037fc4,
    0x00804fff,0x20260088,0x10001ffd,0x3e600fff,0x0bffb06f,0x3f600164,
    0x005ff72f,0x2203bf60,0x7f4c6ffe,0x2fffcfff,0x005ffe80,0xa817ffc4,
    0xffd80fff,0x3fee000d,0xfff80004,0x3fe20000,0x06ffb806,0xd8000000,
    0xf10001ff,0x3fe600ff,0x00fff886,0x97fec000,0x20002ffb,0x07ffd403,
    0x3e3bfff3,0x7fdc02ff,0x7fe4000f,0x227fe404,0x4000eff9,0x5c004ffb,
    0xcfffcccc,0x04cccccc,0x64037fc4,0x000004ff,0x01ffd800,0x00fff100,
    0x3e61bfe6,0xd800005f,0x05ff72ff,0xfff80000,0x3fe0f742,0x1ffec02f,
    0x00fff400,0xffb1ffe6,0x9ff70003,0xffffe800,0xffffffff,0x7fc407ff,
    0x05ffc806,0xcccc9800,0x7ec03ccc,0x3332201f,0x401ffe23,0xffb86ff9,
    0xfd800004,0x005ff72f,0x3ffe8000,0x02fff804,0x2000fff4,0xe800fff8,
    0x0dff10ff,0x013fee00,0xffffffd0,0xffffffff,0x06ff880f,0x001fffb8,
    0x7ffffd40,0x7fec06ff,0x1dffd101,0x9803ffc4,0x4ffc86ff,0xffd80000,
    0x0005ff72,0x02ffe800,0x4405fff0,0x4c000fff,0xffd007ff,0x2213fe63,
    0x027fdc00,0x007ffc00,0x00dff100,0x007ffff1,0x77777540,0x7fec06ff,
    0x0effe881,0x9803ffc4,0x4ffc86ff,0xffd80000,0xddddff72,0x10000399,
    0x3e001fff,0x3fe202ff,0x1fff0007,0x2e5ffb00,0xffec9aff,0xffb82def,
    0x9999999d,0x07ffc019,0x0dff1000,0x3bfffea0,0xf880000b,0x0ffec06f,
    0x203bffa2,0xf3007ff8,0x09ff90df,0x5ffb0000,0x3fffffee,0x0002efff,
    0xf801bfee,0x3fe202ff,0xffe8000f,0x93ffc803,0xfffffdff,0x5c1bffff,
    0xffffffff,0x3e01ffff,0x220000ff,0x3ea006ff,0x01cfffff,0x01bfe200,
    0x7f443ffb,0xfff100ef,0x4dbfe600,0xcceffecc,0x000ccccc,0xdd52ffd8,
    0xfffffddd,0xff10005f,0x7ffc005f,0x00fffc02,0x00fffdc0,0x3f67ffd5,
    0xbaacefff,0x3ee4fffd,0xffffffff,0x3fe01fff,0x3e20000f,0x7e44006f,
    0x00dfffff,0x406ff880,0xffd11ffd,0x3ffc401d,0xf56ff980,0xffffffff,
    0x0003ffff,0x71005ffb,0x8003fffd,0x7c005ffe,0x7ff402ff,0xfffd0004,
    0xffd95579,0x3bff65ff,0x47ffee01,0xaaaadffb,0x200aaaaa,0x20000fff,
    0x10006ff8,0x5fffffd7,0x06ff8800,0xffd8ffec,0x3ffc400e,0xd36ff980,
    0xddddfffd,0x0001dddd,0x44005ffb,0x36004ffe,0x7c000eff,0x7fd402ff,
    0xfe98001f,0xffffffff,0x5ffb1fff,0x2e9ffb00,0xf80004ff,0x220000ff,
    0x980006ff,0x001ffffd,0xfb01bfe2,0x01dffb3f,0x200fff10,0xffc86ff9,
    0xfd800004,0x7fdc002f,0x3fff9006,0x05fff000,0x405dfff0,0xfffd7018,
    0x1ff917df,0x2a00fff6,0x09ff76ff,0x01fff000,0x037fc400,0xffff5000,
    0x037fc400,0x3fffbff6,0x03ffe001,0x321bfe60,0x800004ff,0x4c002ffd,
    0x7e400fff,0xff0001ff,0xfff3005f,0xfb9559df,0xfd011007,0x401ffe4f,
    0x9ff77ff9,0x1fff0000,0x37fc4000,0x3fe60000,0xdff1001f,0xfeaffd80,
    0x3ffe006f,0x84ffa800,0x00004ffc,0x4002ffe8,0x7e407ff9,0x3e0001ff,
    0xff3002ff,0xffffffff,0x3fe20007,0x2013fee6,0x9ff76ff9,0x1fff0000,
    0x37fc4000,0x7ff40000,0x0dff1003,0xfe89ffd8,0x5ffd005f,0x907ff900,
    0x000009ff,0xb8001fff,0x3ff205ff,0x7fc0001f,0x3ae2002f,0x1cefffff,
    0x47ff7000,0xfb807ffa,0x009ff74f,0x005ffd00,0x0037fc40,0x017ff400,
    0x6c06ff88,0xbfff31ff,0x80bff900,0xfc81fff8,0x5400004f,0x7c4007ff,
    0xfff903ff,0xfff00003,0xdff10005,0xf9800013,0x02ffe86f,0xffb9fff4,
    0xffd80004,0x3fe20004,0x7c400006,0xff1000ff,0x21ffd80d,0x4c04fffa,
    0xfb103fff,0x13ff20bf,0x3a207b00,0x3a6004ff,0xfff905ff,0x3fe00003,
    0xffa8002f,0xfe980003,0x0effb81f,0x7dcdff90,0xfc80004f,0xf10000ff,
    0x001500df,0x400dffd3,0x7ec06ff8,0x1fffdc1f,0x2f7fff20,0x0fffecaa,
    0x8009ff90,0xfdcceffd,0x2b320fff,0xfffdcaaa,0x1fffc80e,0x3ffe0000,
    0x1ffc8002,0x3ff66000,0x3fffe05f,0xfffea9ab,0x333bfee1,0x2ccccccc,
    0x3bfffe20,0x4405caab,0xeff806ff,0xfdcbaccc,0x22000fff,0x7fec06ff,
    0x03fffc81,0x3fffff62,0x4c1effff,0xcceffecc,0x2ccccccc,0xfffffffb,
    0xfffe83df,0x0cffffff,0xffffffa8,0xffffffff,0x3bbbbb65,0xeeeeefff,
    0x803ff402,0xffffedcb,0x7f4403ff,0xefffffff,0x7ffffdc1,0x4fffffff,
    0x7ffffdc0,0x33327fff,0xccfffccc,0x3ffe0ccc,0xffffffff,0x333201ef,
    0xccfffccc,0x3ffb0ccc,0x00bfff60,0xdfffffb5,0x3fffea09,0xffffffff,
    0xfd913fff,0x3a07dfff,0xceffffff,0x3fffea00,0xffffffff,0x3fffa5ff,
    0xffffffff,0x27fc03ff,0xfffffe80,0x32000cff,0x04effffe,0xfffffff7,
    0x009fffff,0xffffffb3,0x7fffffcd,0xffffffff,0x3ffffb20,0x802dffff,
    0xffffffff,0xb0ffffff,0x7fec03ff,0x0331002f,0xffffff50,0xffffffff,
    0x0033107f,0x8006a666,0xfffffffa,0x5fffffff,0x3ffffffa,0x3fffffff,
    0xe8004cc0,0x01abceff,0x0000cc00,0x99880000,0xffffff81,0xffffffff,
    0x13533100,0xfffff800,0xffffffff,0x403ffb0f,0x001fffe8,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x30000000,
    0x00000dff,0x7fffffe4,0xffc86fff,0x1bcdefff,0x006ffd80,0x7fdd3ff6,
    0xffffffff,0x01ffffff,0x83fffec0,0xffffffff,0x4fffffff,0x7ec2ff40,
    0xfffa8006,0xfff9801f,0x1ceeffff,0xffffff10,0xa80359bd,0xffffffff,
    0x3fe4ffff,0x6ff9800f,0xff30bbae,0x7c00000d,0xffffffff,0xffffc86f,
    0x0dffffff,0x00bffe20,0x7dc3ffea,0xcccccccc,0x1fdccccc,0x3fffea00,
    0xffffff07,0xffffffff,0x84ff809f,0xfd8005fe,0xf9804fff,0xffffffff,
    0x7fc41eff,0xffffffff,0xfff500df,0xffffffff,0x007ffc9f,0xffab7fcc,
    0x1bfe61ff,0x7fd40000,0xccccdfff,0xcceffc83,0x3fffffed,0x201bff20,
    0x03ee3ffe,0x4007ea00,0x07fffff8,0xdddddddb,0x9ffddddd,0xff83ff80,
    0xffff8004,0xfff9806f,0xfffedccc,0x3ffe20ef,0xffffeccc,0xfffa82ff,
    0xcccccccc,0x003ffe2c,0x7fedbfe6,0x3ffe63ff,0x009abccc,0x3f7bfa00,
    0x9ff9000f,0x0bfffea0,0x701fff44,0x20fb8dff,0xf500abcd,0x33ff2003,
    0xd00007ff,0x7fc403ff,0x001ffc42,0x3fff3fea,0x037fcc01,0x7c49fff7,
    0x3ffee07f,0x02ffd41f,0x4007ffc0,0xfff96ff9,0x7fffcc5f,0x1dffffff,
    0x6dffcc00,0xff9000ff,0x37fec409,0x101fff50,0x0fb83fff,0x20fffffa,
    0xffa801fa,0x0007ff9e,0x4c06ffa8,0x17fc42ff,0x32bff600,0x7fcc04ff,
    0x137fe406,0xfd880fff,0x02ffd46f,0x4007ffc0,0xffd16ff9,0xfffff98d,
    0x3fffffff,0x363ff200,0xff9000ff,0x2fff8809,0x3213ff60,0x40fb84ff,
    0x545ffc98,0x9ffe801f,0x80007ff8,0x4cc42ffe,0x999affb9,0x0199bffa,
    0xdff57ff8,0x406ff980,0x3fe27ff9,0x2fff8807,0x20017fea,0xf9800fff,
    0x260aa26f,0x7dcc46ff,0xff002fff,0x4003ff6b,0xfc804ffc,0x3ffe606f,
    0x203ffe21,0x3fa200fb,0xf9007ea3,0x01ffe27f,0x50dff500,0xffffffff,
    0xffffffff,0x25ffa80f,0x3e601fff,0x2ffd406f,0x3200fff1,0x17fea6ff,
    0x003ffe00,0x4c01bfe6,0x7fec06ff,0x97fdc00f,0xf9000ffd,0xfff3009f,
    0x365ffc80,0x01f703ff,0x07ea6fa8,0x3e26ff98,0x7f40007f,0xffffa82f,
    0xffffffff,0x6407ffff,0x0fff62ff,0x5c06ff98,0x1ffe23ff,0xf53ffcc0,
    0xfff000bf,0x0dff3001,0x101bfe60,0xfe805fff,0x4003ff67,0xf8804ffc,
    0x3fe200ff,0x206ff99f,0x3fcc00fb,0x7ff403f5,0x001ffe21,0x3106ff98,
    0x333ffb33,0x3333ffb3,0x2a0fff80,0x3fe606ff,0x87ffe606,0xf1007ff8,
    0x17fea1ff,0x003ffe00,0x4c01bfe6,0xffc806ff,0xd93fe604,0x09999aff,
    0x273ff266,0x3fff0099,0xfeeffb80,0x003ee01f,0x80fd4df7,0x7fc44ffb,
    0x3ff60007,0xb0dfb002,0x7fd400df,0x80fffc45,0x9999fff9,0x441effca,
    0x3fe007ff,0x00bff51f,0x3333fff0,0xff533333,0x1bfe600d,0xc817fee0,
    0x3fff60ff,0x3fe4ffff,0x3fffffff,0xd005ffd0,0xb809ffff,0x7e4cc40f,
    0x2207ea2f,0x7ff886ff,0x0dff3000,0x7ec2ff40,0x0fff2005,0x7cc0fffa,
    0xffffffff,0x0fff105f,0xfa97ff40,0xeeeeeeff,0x7fffc6ee,0xffffffff,
    0xf3006fff,0xbff700df,0xfb17fe20,0x49ffffff,0xffffffff,0x07ffd03f,
    0x01ffff30,0x7fe40fb8,0x40fd42ff,0xff881ffd,0x7ffb0007,0x7427fc00,
    0x3ffe005f,0x306ffb80,0xffffffff,0xf883bfff,0x3ffa007f,0xffffff53,
    0xf8ffffff,0xffffffff,0x06ffffff,0xb00dff30,0x3fee07ff,0x555ffec2,
    0x3f6aa1aa,0xd01aaadf,0x3f6005ff,0x40fb803f,0x3f501bfc,0xf104ffb8,
    0xff3000ff,0x1ffc400f,0xfa8027fc,0x1fff106f,0x555fff30,0x5ffffd97,
    0xd003ffc4,0x3ffea5ff,0xeeeeeeee,0x555fffc6,0xfcaaaaaa,0xdff3006f,
    0x01fff880,0x1ffb0ffd,0x013ff200,0x3e217ffc,0xffffffff,0x7dc6ffff,
    0xf500fe40,0x8077fc43,0xd8007ff8,0x3e2003ff,0x01ffc42f,0x3a03ffc8,
    0x6ff983ff,0x43fffa60,0x3e007ff8,0x0bff52ff,0x001fff00,0x7fe4dff3,
    0x1037fcc3,0x3e609ffd,0x00ffd84f,0x1009ff90,0xff883fff,0xffffffff,
    0x07dc6fff,0x1fa807f2,0xf880bff6,0x7fcc007f,0x3bba600f,0xeeeeeffe,
    0x00eeeeff,0x7dc03fff,0x06ff986f,0xf8a7ff44,0xfff1007f,0x0017fea3,
    0x26003ffe,0xffff76ff,0x4cfffcc3,0xffffca99,0x559ff900,0x001ffd55,
    0x2a013ff2,0x555507ff,0x555bffd5,0x440fb855,0xf98fd401,0xeeeeeeff,
    0xeeefffee,0x01ffec05,0x3fffffe6,0xffffffff,0xffa80fff,0xeeeeeeef,
    0x7cc0fffe,0x5ffc806f,0x2a00fff1,0x17fea7ff,0x003ffe00,0x7fedbfe6,
    0x3ffe63ff,0xffffffff,0xffff100d,0x1fffffff,0x013ff200,0xc8017ffa,
    0x0fb803ff,0x47ea0044,0xfffffff9,0xffffffff,0x3fe606ff,0x6664400f,
    0xdccccffe,0x904cccff,0xffffffff,0x87ffffff,0xfb806ff9,0x00fff15f,
    0xffa93ffa,0x0fff8005,0xf96ff980,0x7fcc5fff,0xefffffff,0x7fffdc02,
    0x0fffffff,0x809ff900,0x2002fffa,0xfb803ffc,0xf5017f40,0x3ffffe63,
    0xffffffff,0x3606ffff,0xfc8004ff,0x800ffb87,0xffffffff,0x6fffffff,
    0x6c037fcc,0x0fff13ff,0x543fff50,0xff8005ff,0x6ff9800f,0xf98bffd1,
    0x01acccff,0x6c03ffa0,0xff9000ff,0x2fffd409,0xfeeeee88,0x5eeeeeff,
    0xbff107dc,0x4000fd40,0xf3007ff8,0xfb0001ff,0x500ff90d,0x3e600dff,
    0x1bfe60ff,0x225fff10,0x7fd407ff,0x02ffd44f,0x4007ffc0,0x40cc6ff9,
    0x20006ff9,0x3f605ff9,0x9ff9000f,0x1ffff930,0x3ffffe20,0xffffffff,
    0x37207dc6,0x0007ea01,0x6c01ffe2,0xfb0004ff,0x900dfb0d,0x7f4009ff,
    0x81bfe63f,0x3e26ffea,0xfffb307f,0x05ffa81d,0x800fff80,0xf3006ff9,
    0x7ec000df,0x37ff601f,0xfc84cccc,0xfffeeeff,0x66400eff,0xcdffeccc,
    0x07dc3ccc,0x000fd400,0x4c03ffc4,0xd0000fff,0x00bfb0bf,0x64003fff,
    0x3ffe65ff,0xffeecccc,0x3ffe20ef,0xffffeeee,0x5ffa80df,0x00fff800,
    0x3006ff98,0x22000dff,0x7fec06ff,0xc87fffff,0xffffffff,0x90000cff,
    0x9f7007ff,0x99999999,0x03fb9999,0x00fff100,0x4000bffb,0x05fe84ff,
    0x20037fd4,0xff30fff9,0xffffffff,0xfff8819f,0xefffffff,0x017fea03,
    0x2003ffe0,0xf3006ff9,0x3ee000df,0x7ffec03f,0xfc87ffff,0x2cdeffff,
    0x3ffc8000,0xfffffb80,0xffffffff,0x88001fff,0x7fcc07ff,0xff10001f,
    0xc809ff07,0xff8004ff,0xfffff33f,0x20179dff,0xeffffff8,0xffa801cd,
    0x0fff8005,0x006ff980,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0xffffffff,0xf35fffff,
    0xbdffffff,0x07ffa017,0x3ffff600,0xffffffff,0x1fffb4ff,0x1fffc400,
    0x2200dffb,0x3fe23fff,0x27fe8005,0xd8005ffd,0x37ffc4ff,0xb9bffe20,
    0xffffffff,0xffffffff,0x805fffd1,0x3ffe5ff9,0x0bceffff,0x101bfe60,
    0x11009fff,0x3fffffe0,0x5fffffff,0xfffffff3,0xe81bffff,0xfd8001ff,
    0xffffffff,0xf14fffff,0x7e4009ff,0x1fffc46f,0x2237fec0,0xfe8006ff,
    0x003ffee6,0x221fff88,0x2e01ffff,0x3fee6fff,0xffffffff,0xd1ffffff,
    0xf980dfff,0x3ffffe5f,0x03ffffff,0xfe80dff3,0x3ff6205f,0x33321dff,
    0xccdffecc,0x9fff33cc,0xffffd999,0x00fff41d,0x77777640,0xffeeeeee,
    0x03fff23f,0x20bffe20,0x2a00fffb,0x6ff81fff,0x226ff800,0x2a002fff,
    0x7ffc46ff,0x3fffa04f,0x33333267,0xcccdffec,0xfffd0ccc,0x2ffcc03f,
    0xfb999fff,0xf307ffff,0x77fe40df,0xfffff500,0x7e405fff,0x1bfe603f,
    0x3a6fffb8,0x000001ff,0x3e237fe4,0xffc804ff,0x817ffa06,0xfff04ffe,
    0xd8bff000,0x3f6005ff,0x7f7fc43f,0xffdff306,0x00fff200,0x817ffffa,
    0x3ffe5ff9,0x7fff5440,0xb837fcc0,0xff100fff,0xfffd537f,0x80fff201,
    0x7d406ff9,0x03ffd1ff,0x7fd40000,0x1fffb81f,0x807ffe20,0xfb82fff9,
    0x01ffa06f,0xff717fe0,0x0fffc00f,0x07ff3fe6,0x01ff77f2,0x7401ffe4,
    0x301ffeff,0x07ffcbff,0x4c3fff88,0xfff986ff,0x20fff201,0xff903ffc,
    0x037fcc07,0xffe9ffec,0xd1000001,0x7ff409ff,0x017ff605,0xff11bff2,
    0x03ff405f,0xf113fe20,0xff5005ff,0xff3ff30d,0xfdbff889,0x07ff9007,
    0xbff5ffd0,0xff97fe60,0x13ff600f,0xfe88dff3,0x83ff403f,0xff905ffa,
    0x037fcc07,0xffeaffdc,0xf9000001,0xfffa80df,0x00fff981,0x364fff88,
    0x7fec05ff,0x13fe2000,0x32013ff6,0x9ffa83ff,0x47fd47fd,0xfc800ffc,
    0xf7fe803f,0xbff301ff,0xf9007ffc,0x46ff989f,0xff804ffd,0x20dff106,
    0x3e603ffc,0x5ffb806f,0x00003ffd,0x003fff30,0xffb0dffb,0x7ffd4009,
    0x400fffa8,0x81980ffd,0xffb83ff9,0x81fff807,0x2ffa9ffa,0x07fe57fa,
    0x401ffe40,0x09ff97fe,0x7ffcbff3,0x30fff600,0x2ffe4dff,0x3e07ff80,
    0x07ff906f,0x64037fcc,0x03ffd4ff,0x9ffd0000,0x8bffe600,0x4000fff9,
    0x2fffdffd,0x5c1ffc80,0x1ffcc1ff,0x300fffc4,0x3fea0dff,0x3fe2bff1,
    0x9003ff92,0xffd007ff,0xf303ffe2,0x807ffcbf,0x7cc1fff9,0x01dff56f,
    0x2607ffa0,0x7ff904ff,0x4037fcc0,0x3ffd2ffe,0xffc80000,0x37fec006,
    0x10007ffb,0x00bfffff,0xffb07ff2,0xb02ff987,0x7fe409ff,0x323ff703,
    0x327fb8ff,0xffc801ff,0x327fe803,0x2ffcc4ff,0xff501fff,0x3dff309f,
    0x6c001fff,0x2ffd83ff,0x4c07ff90,0x7fe406ff,0x0007ffa6,0x01fff980,
    0x4d7ffc40,0x2e0006ff,0x7000ffff,0x7ffc43ff,0xb817fd46,0x3ffe06ff,
    0x261ff700,0x2e4feaff,0xffc801ff,0x267fe803,0x3fe60fff,0x3bbbffe5,
    0x305ffffe,0x05ffdfff,0xaefff980,0x3205ffda,0x3fe603ff,0xfffea886,
    0x0007ffa1,0x004ffe80,0xffddff70,0x7fcc0005,0xff5000ff,0x0ffffd45,
    0x3e203ff5,0x6ff981ff,0xfe83ff20,0x3fee1ffe,0x03ffc802,0x7fec7fe8,
    0xff97fe63,0xdfffffff,0x3fffe602,0xfc8002ff,0x0effffff,0x980fff20,
    0xffffffff,0x7f42ffff,0xf900001f,0x7c4000df,0x0005ffff,0x027ffff4,
    0x3f62ffa8,0x3fee4ffe,0x213ff601,0x3f203ffc,0x1bffee0f,0xf9005ff7,
    0x8ffd007f,0x3fe67ff9,0x3bbbffe5,0x7cc03fff,0x00fffbef,0xefffd980,
    0x03ffc804,0x3fffffe6,0xe80dffff,0x980001ff,0x40001fff,0x001ffffa,
    0x3ffffee0,0x3ff9801f,0x4ffd5ff1,0x3ee00ffb,0x00ffe86f,0xff883ff2,
    0x017fdc3f,0x7401ffe4,0x33ffe87f,0x07ffcbff,0x4c09ffd3,0x1dffb6ff,
    0x20004000,0x3e603ffc,0xabceeeff,0x007ffa00,0x013ffa00,0x027ff400,
    0xb5fff100,0xff300dff,0x3ee3fea7,0x401ff91f,0x3e61fff8,0x07fec06f,
    0xff503ff6,0x07ff9007,0xff50ffd0,0xff97fe6d,0x0fffc40f,0xff16ff98,
    0x000000bf,0xf301ffe4,0x3fa000df,0x7e40001f,0x3200006f,0x360003ff,
    0x7fff15ff,0xfb4ff880,0x7e53fe6b,0x23ffd807,0x7ec03ffb,0xfa83c987,
    0x3ffc803f,0xfd07fe80,0x7cbff35f,0x6ffc80ff,0x7ccdff30,0xccc803ff,
    0xcccccccc,0x407ff903,0xd0006ff9,0x4c0003ff,0x00001fff,0x4000fff2,
    0x3ee0fffb,0x3fe201ff,0xbff47ff5,0xffb807fd,0xd003ffa6,0xffa800ff,
    0x03ffc803,0xff507fe8,0x7fcbff3b,0x2fff880f,0x7dc6ff98,0x7ffc01ff,
    0xffffffff,0x407ff906,0xd0006ff9,0x740003ff,0x400004ff,0x88003ffc,
    0xffe83fff,0x7d6ffc06,0x36bfee0f,0xfff8806f,0xe806ff98,0x7fd4007f,
    0x03ffc804,0x3fe07fe8,0x3fe5ffaf,0x0dff900f,0xffb0dff3,0x7777401f,
    0x4eeeeeee,0x4c07ff90,0xfd0006ff,0x3ee0003f,0xc800006f,0xfd8003ff,
    0x7fff306f,0x2fe77fc0,0x1bf77fe2,0x7ddffec0,0x07fe803f,0x4027fcc0,
    0xfe803ffc,0x3fbfee07,0x403ffe5f,0x7cc1fff8,0x6ffe886f,0x7e400000,
    0x1bfe603f,0x00fff400,0x00fffcc0,0x1ffe4000,0x0bffea00,0xd00fffd8,
    0xfd07ffdf,0x2e00bfdf,0x00ffedff,0x4c007ff8,0xffc805ff,0x207fe803,
    0x25fffff8,0x3f600fff,0x837fcc5f,0x0004fff9,0xfd999990,0x279999bf,
    0xd0006ff9,0x99999bff,0x7f439999,0xffffffff,0x006fffff,0x44007ff9,
    0x7c405fff,0xfffd05ff,0xffff701f,0x3ffe200b,0xfff006ff,0x05ff9800,
    0xe803ffc8,0x7ffe407f,0x803ffe5f,0x3e61fff9,0x3ffee06f,0x7ffffd42,
    0xff0fffff,0xffffffff,0x3fe6bfff,0xfffd0006,0xffffffff,0x7ffffc5f,
    0xffffffff,0xff9006ff,0x7ffec007,0x2fffb800,0x106fffd8,0x4009ffff,
    0x003ffffe,0xf9800dff,0x3ffc805f,0x4407fe80,0x3fe5ffff,0x2ffec00f,
    0xfd80dff3,0x3ffea1ff,0x0fffffff,0xffffffff,0x26bfffff,0xfd0006ff,
    0xffffffff,0x7ffc5fff,0xffffffff,0x9006ffff,0x3ea007ff,0x3fa003ff,
    0x7ffe40ff,0x13fff603,0x0ffffb80,0x006ff880,0x64037fc4,0x7fe803ff,
    0x25fffc80,0x7cc00fff,0x0dff31ff,0x2a1dffd0,0xeeeeeeee,0x000000ee,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00015530,0x00030080,0x0019b300,0x99007991,
    0xcefec989,0x073bb222,0xdffd9710,0x6544059b,0x2001bdee,0x1bdeecb9,
    0xeedba800,0x65440ace,0x81ceefed,0xb8002cc8,0x5c9930cc,0x1f7641de,
    0x4009b100,0xff9000cd,0x3a200005,0x0027d41f,0x0dfff100,0xf00dff10,
    0x7fffdcff,0xfff9cfff,0xff701fff,0x9fffffff,0x3ffffe60,0xfb804fff,
    0xcfffffff,0xfffe9800,0x223fffff,0xffffffff,0x3fe20eff,0x27ff8005,
    0xffff97fa,0x0bffff63,0x007ffe60,0x2003ffea,0x80002ffc,0x3e26ffe9,
    0x80000dff,0x400ffffa,0xff806ff8,0x3b37fee7,0xdcffffff,0x7fe40fff,
    0xfedccdef,0xcdfffb84,0x106fffdc,0xfbbffffd,0x5c01dfff,0xfeefffff,
    0x3ffe23ff,0xfffedcee,0x20037fc6,0x3fea6ff8,0xbbffcffa,0x006ffcef,
    0xf880dff9,0xff9003ff,0xffa80005,0x7ff4c0ef,0x7cc0001e,0xff8806ff,
    0x2a7ff806,0x1ffff982,0xff98bff2,0x3e60401f,0xfff982ff,0x81fffc83,
    0xf304fffa,0x57103dff,0xfb8056c4,0x01ffa3ff,0x7d4bff30,0xddfb0fef,
    0x801ff61f,0xeedacffe,0x005ffdac,0x8000bff2,0x2204fffb,0x0002fffe,
    0x44006f54,0x7ff806ff,0x88bffd00,0x13fee5ff,0x80bff600,0x3e60fff9,
    0x3fe600ff,0x05ffe81f,0x9ffd0000,0x0cc07fec,0xff527fd4,0x17ffe47f,
    0x26001ff9,0xffffffff,0x2000efff,0x90002ffc,0x36007fff,0x00003fff,
    0x01bfe200,0x7e401ffe,0x2e6fe83f,0x7cc005ff,0x1ffe806f,0x3600fff6,
    0x7ffdc4ff,0xf5000000,0x20ffe4df,0x7fdc1ffb,0xf71ffea2,0x01ffc8df,
    0x3bfffee0,0x002fffff,0x20017fe4,0x002fffd8,0x0027ffdc,0x6ff88000,
    0x7007ff80,0x4ffd05ff,0x2003fff9,0xfc803ffb,0x003ffe3f,0xffb1bfea,
    0x44000007,0x0bfee6ff,0xffb89ffd,0xf70ffea1,0x01ffc85f,0x443bff20,
    0xc885fffb,0xffeccccc,0x84cccccd,0x000effe9,0x01bfff50,0xff880000,
    0x207ff806,0xacffdaa9,0x20ffeaaa,0x01cffffd,0x4ccdffec,0xffc99999,
    0x200fff14,0x7ff47ff8,0x53300001,0x54dff755,0x3ffe23ff,0xf507fe46,
    0x41ffb85f,0xf1001ffc,0xfff301ff,0xfffff881,0xffffffff,0x7ffd47ff,
    0x74c0000d,0x7fdc0eff,0xffffffff,0x12ffffff,0xfff00dff,0xfffffd88,
    0xffffffff,0x3ff620ff,0xe80befff,0xffffffff,0x35ffffff,0x7fc00dff,
    0x01fff10f,0x7fff5400,0x26ffffff,0x3fee4ff9,0x51ff61ff,0x1ffb85ff,
    0xb800ffe4,0x3ffa05ff,0x7ffffc41,0xffffffff,0x3ffee7ff,0x3a200004,
    0x3fee1fff,0xffffffff,0x12ffffff,0xfff00dff,0x7fffffcc,0xffffffff,
    0xffb507ff,0x7419ffff,0xffffffff,0x55ffffff,0x7fc00bff,0x00fff10f,
    0x3ffffa20,0x6fffffff,0xf9fb2ffc,0x2a37f49f,0x0ffdc2ff,0x64007ff2,
    0x3ff603ff,0x0bff2002,0x00dfff30,0xffff1000,0x3bbbbaa1,0xeeeeeeee,
    0xdff11eee,0x7f4fff00,0x07fee1df,0xffeb8800,0x2fff66ff,0x99999999,
    0xdff30999,0xf1ffe200,0xfb0001ff,0xff1015df,0xff16fe8d,0x2ffcffb5,
    0xff70bfea,0x001ffc83,0x7e407ffb,0x3ff2003f,0xdfffa802,0xfd100000,
    0x000003df,0x3e01bfe2,0x70dff37f,0x200005ff,0xf93fffd8,0x3e20007f,
    0xbff3007f,0x4001ffe8,0x2200fff9,0xabfec6ff,0xf15ff57f,0x42ffa89f,
    0x7fe41ffb,0x09ff9001,0x90017fec,0x3a6005ff,0x40001eff,0x000dfff9,
    0x3ffe2000,0x55ffee00,0x3ffb84ff,0x7fe40000,0x0009ff74,0x64017ffc,
    0x27fec4ff,0x017fee00,0xffc8dff1,0x33fe4fd8,0x7fd43ff9,0x320ffdc2,
    0xff7001ff,0x07ffe20b,0x002ffc80,0x00bfffa2,0x027ffdc0,0xfff80000,
    0x2ffff502,0xffe83ffa,0x7dc00005,0x03fff35f,0x01bff200,0xfb83fff1,
    0x3f2001ff,0x3ff6204f,0x7fd7fdc6,0x3febff62,0x2e17fd41,0x0ffe41ff,
    0x81fff980,0x64006ffb,0xfc8002ff,0x7e4003ff,0xf70003ff,0x3ffa003d,
    0x7ffffa84,0xffc8bff3,0x100001ff,0x7fec7fff,0xff88001e,0x9ffd104f,
    0x80bbffa0,0x20dff718,0x546fffe9,0x7d47fdff,0x7d40ffdf,0x20ffdc2f,
    0x3a001ffc,0xfc89cfff,0x7e4002ff,0xff70002f,0xffb1009f,0x3e60005f,
    0xff5007ff,0xbffb57ff,0x3ffe2ffd,0xffcffdab,0x22ca99bf,0xb9aabced,
    0x220fffec,0x9abdffff,0xfb85dba9,0xfcaabeff,0xff300fff,0xb9559dff,
    0x3bffe67f,0xffffdb9a,0x7fffcc6f,0x87ffff84,0x7fdc2ffa,0x000ffe41,
    0xfffffff9,0xb8005fff,0x2a0001ee,0xd100dfff,0x40003dff,0x000ffffa,
    0xfffffffd,0xffc9ffab,0xff91ffff,0x6c7fffff,0xffffffff,0xfe981eff,
    0xffffffff,0xffff705f,0x01bfffff,0xfffffe98,0x3f23ffff,0xdfffffff,
    0xfff86fe8,0x6fffc82f,0x7dc2ffa8,0x00ffe41f,0xffffffa8,0x00ffffff,
    0xd3000000,0xffa83dff,0x440000ef,0x64005fff,0x363effff,0x6fffe47f,
    0x7ffff642,0x3fffb21e,0x00beffff,0x7fffff5c,0x36603dff,0x03efffff,
    0x7ffff5c0,0x7f541cef,0x3fa2efff,0x307fff86,0xff50bfff,0x641ffb85,
    0xff8801ff,0x8bcca9af,0x00006ffc,0x3ffa2000,0x017ffe26,0x003b8800,
    0x10006660,0x09988013,0x04d4ccc0,0x19998800,0x00098800,0x20033100,
    0x00000198,0x00000000,0x4405ffe8,0x66544ffe,0xcccccccc,0x8001cccc,
    0x01fcc0ed,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80000000,0xa800ffe9,0x3ff20dff,0xffffffff,0x0003ffff,0x00000201,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0ae00000,
    0xffc82c80,0xffffffff,0x0003ffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x03cca800,
    0x88073320,0x87326009,0x80cefda8,0xa802ccc8,0x59910ccc,0x0677f64c,
    0x6666665c,0x02cccccc,0x00000000,0x001dd300,0x0a200044,0x00080098,
    0x20710019,0x8800e009,0x5cc06ffb,0x007ffd42,0x2e07ffcc,0x0dfffffe,
    0xff997fdc,0xc82fffff,0x3e201fff,0x53fe24ff,0xfffffffb,0x7fffff42,
    0x3fffffff,0x005ff900,0x37ff7260,0x3fcc000b,0x7ffff640,0x1efc803f,
    0x6dc27f44,0xfb02efff,0x27f4401d,0xff50bfb1,0xffff7007,0x37ffd40d,
    0x3200bffe,0xfffd84ff,0x2e0fffff,0xefffaaff,0xe80ffffe,0x3ff606ff,
    0x7e67fc46,0xfffffdff,0x3fffffa0,0x3fffffff,0x005ff900,0xfddfff70,
    0x7cc005ff,0xffffe807,0x3e603fff,0x23ffd86f,0xffffffe8,0x77ff444f,
    0x45ffe880,0x7fc43ffd,0xffff700f,0x7ffc0dff,0x17ff23ff,0x3207ffe0,
    0x8fff661b,0x0dffdffb,0x220fffaa,0xffb84fff,0x7fffc40f,0x1fffd44f,
    0x03bff200,0x0017fe40,0xf510bbfa,0x443d309f,0x9b07547f,0x1fffb555,
    0xf507ffa0,0xceff88bf,0x441ffffc,0x3a20effe,0xffe885ff,0xd82ffd40,
    0x06ffbeff,0x49fffff1,0x2a00fff9,0x7cc006ff,0x3fffee5f,0x20bff704,
    0x3e21fffa,0xfff882ff,0x0bff903f,0x00fffd40,0x4005ff90,0xbccc8dfc,
    0xfe85fd11,0x7ec5be3f,0x2ffe804f,0x7c44ffc8,0xe82980ff,0xffe883ff,
    0x05ffe88e,0x3f61bfe6,0xf12e982f,0x7fff40df,0x01fff42f,0x26007ffb,
    0x3ee5ff99,0x3fe204ff,0x43bff206,0xff104ffd,0x37fd407f,0x02fff880,
    0x8017fe40,0xfdff0ff9,0x983fe65f,0xadf9effd,0xe801dfff,0x37fcc0ff,
    0x20017fec,0xfd104ffc,0x00bffddf,0xff887ff9,0x37fc400f,0x709fff30,
    0x3fe20dff,0xffd7100f,0x7dcbffff,0x3ffc405f,0x3ef3ffa0,0x1bfe206f,
    0x200fff10,0xc8004ffe,0x5f9002ff,0x326f8afc,0xfffd982f,0x2a00cfff,
    0xe84ffeba,0x27fdc1ff,0x01fff400,0x0bffffd1,0x2e0fff40,0x7fc404ff,
    0xf1009806,0xbff703ff,0x66f7ff40,0x3fee5ffc,0x3e600004,0x200fffff,
    0xff806ff8,0x06ffd807,0x005ff900,0x3a5f83fa,0xf9813ea6,0x7c400eff,
    0xfa84ffff,0x00ffe86f,0x007ffe40,0x003fffe6,0xff85ffa8,0x1bfe200f,
    0x13ff2000,0x7dc0bffa,0x2e5ff84f,0x400004ff,0x402ffffb,0xff806ff8,
    0x07ffdc07,0xffffff70,0xffffffff,0x3e3fc5ff,0x3e22fece,0xffffb886,
    0x3fe202ef,0x741effff,0x2ffd42ff,0x05fff900,0xeffffe88,0x83ffd000,
    0x7c404ffb,0x0ef5c06f,0x7cc7ff98,0x07ff206f,0x7fdcbff3,0x7cc00004,
    0x7c400fff,0x07ff806f,0x7007ffe6,0xffffffff,0xffffffff,0x3bfe3fc5,
    0x7137c43f,0xf7df5fff,0xfb3005df,0x86ff98df,0x74402ffd,0x74402fff,
    0x0effedff,0x221ffe40,0x7c400eff,0x3ffee06f,0x45ffd01f,0x3ea03ffc,
    0xfffb88cf,0x0013fee5,0xffffe880,0x037fc405,0xfe883ffc,0xeeea803f,
    0xeefffeee,0x3a1eeeee,0x0fed7e0f,0x6fff49f5,0x3ffa6df0,0x0fff8804,
    0x3e227fdc,0xfff300ff,0xffe8803d,0x01dffd15,0x3fa17fea,0x6ff8802f,
    0x13ffffa0,0xffd2ffdc,0xfffff801,0x3ee5feef,0x3600004f,0x04ffedff,
    0x3e01bfe2,0x0bffb07f,0x05ff9000,0x35f8ff20,0xf717e4bf,0x3ee37c45,
    0x07ffb800,0xffa83ffd,0x04fffb86,0x445ffe88,0x7c40effe,0x2ffdc0ff,
    0xffcccc98,0x3fa1cccf,0xff105fff,0x00bff51f,0x329dffb3,0x013fee5f,
    0x47ffdc00,0xf102fff9,0x0fff00df,0x0001dff7,0x2005ff90,0x6cbf0ff9,
    0x040ff99f,0xb8821fe2,0xfffdb9aa,0x90dff304,0x7ffe47ff,0x2eeeeeef,
    0x220bffd1,0x7fec6ffe,0x807ffc43,0xfffffffa,0x3ff23fff,0x3ff602ff,
    0x4002ffcb,0x04ffb800,0x2fff9800,0x2207ffee,0x7ff806ff,0x000fffd4,
    0x002ffc80,0x98f237f2,0x9802febc,0x7ffc407f,0x405fffff,0x7f440efc,
    0x3fffff23,0x323fffff,0x17f4405f,0x3fe617f2,0x3fffea03,0x43ffffff,
    0x7cc02eec,0x0007ffdf,0x009ff700,0x84fff880,0x7c40effe,0x27ff806f,
    0x0003fff8,0x000bff20,0x5c415ffd,0xff3004ff,0x7fffc401,0x28802dff,
    0xfff90260,0x7fffffff,0x20510028,0x0000a008,0xffe80000,0xccc804ff,
    0xcccccccc,0x0009ff73,0xf106ffe8,0x6ff88bff,0x3fa7ff80,0xccccccff,
    0xf9004ccc,0xff70005f,0x05ffffdf,0x0cc40000,0x00000000,0x00000000,
    0x00000000,0x00ffffdc,0x7ffffffc,0xff76ffff,0x7fe40009,0x3ffea01f,
    0x201bfe23,0xffff17ff,0xffffffff,0xff9001ff,0x36e60005,0x0000bdef,
    0x00000000,0x00000000,0x00000000,0x3fe20000,0xdddd006f,0x9ddddddd,
    0x40013fee,0xd803fffa,0xdff11fff,0x3e2fff00,0xffffffff,0x800fffff,
    0x00002ffc,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00b2a000,0x2a017fec,0x3bae2eee,0xfffff90e,0xffffffff,
    0xdb10007f,0xddd301bd,0x0002200b,0x7ffffffc,0x7fffffff,0x64c065c0,
    0x77776403,0x5552eeee,0x55555555,0x55555555,0x00000003,0x00000000,
    0x677fedc0,0x2fffdc00,0x01bffe60,0x7dc5fff5,0xffff90ff,0xffffffff,
    0xe88007ff,0x3a600eff,0x3faa05ff,0x84cc04ff,0xffffffff,0x07ffffff,
    0xff11bff2,0x7ffec05f,0xff3fffff,0xffffffff,0xffffffff,0x000000bf,
    0x00000000,0xffffd300,0x7ec05fff,0x3fa01fff,0x3ea03ffe,0x3ffee1ff,
    0x99999950,0x99999999,0x7ff44003,0xbffb1004,0xffffff70,0x29ff301d,
    0xeeeeeeed,0x07ffeeee,0xff31fff6,0x5ddd409f,0xff1bbbbb,0xffffffff,
    0xffffffff,0x000000bf,0x00000000,0xacfff880,0x900fffda,0x2a07ffff,
    0x00ffd8ff,0x7d43fff3,0x0000007f,0x0017ff44,0xff12ffdc,0x1dfffbdf,
    0x0003ffb8,0x7fd40ffd,0x001ffd84,0x33333300,0x33333333,0x00133333,
    0x00000000,0xfd800000,0x04ffb82f,0x109ffff1,0x17fe29ff,0xf507ffcc,
    0x000000ff,0x0000aa98,0x7fdc6aa6,0x47fffa23,0x0001ffe9,0x00880ffd,
    0x00000026,0x00000000,0x00000000,0x037fc000,0x7fdc0dff,0x20ffc83f,
    0xff882ffc,0x01ffea0f,0x00000000,0x41ffc800,0xffffffe8,0x3fa0005f,
    0x00000007,0x00000000,0x00000000,0xf1000000,0x03ff409f,0xf883fff3,
    0x886ff83f,0x37fcc7ff,0xddddddd7,0x5ddddddd,0x00000000,0xfb101ffb,
    0x001dffff,0x0003ff40,0x00000000,0x00000000,0x00000000,0x204ff880,
    0x3fea06ff,0xa837ec0f,0x47ff83ff,0x3ff26ff9,0xffffffff,0x0003ffff,
    0x20000000,0x000cdeda,0x0003ff40,0x00000000,0x00000000,0x00000000,
    0x2a0dff00,0xfff305ff,0x202ff985,0x15540ffe,0xddd71554,0xdddddddd,
    0x00005ddd,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x989ffb00,0x36ea2ffe,0x6fe84fff,0x002ffcc0,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3ffe2000,0x44fffede,
    0xa82ffffe,0xffc802ff,0x00000002,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x4c000000,0x3ffffffe,0x100bced8,0x26620033,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x50000000,0x000179b7,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_36_latin1_x[224]={ 0,7,4,0,1,0,1,7,5,4,2,1,4,4,
6,2,1,2,2,2,0,3,2,2,2,1,7,4,2,2,3,5,0,0,2,1,1,3,3,1,1,3,3,2,
4,0,2,1,2,1,2,1,1,1,0,0,0,0,1,6,2,5,2,0,0,2,2,2,1,2,0,1,2,3,
2,3,3,1,2,1,2,1,3,3,1,2,1,0,1,1,2,2,8,4,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,7,2,1,1,0,
8,2,0,0,3,2,2,4,1,0,3,1,4,4,0,2,1,6,7,3,3,2,0,0,0,3,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,1,0,0,0,0,0,2,2,0,0,
0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,2,0,
 };
static signed short stb__consolas_36_latin1_y[224]={ 26,1,1,3,-1,0,1,1,-1,-1,1,7,20,14,
20,1,2,2,2,2,3,3,3,3,2,2,8,8,6,12,6,1,0,3,3,2,3,3,3,2,3,3,3,3,
3,3,3,2,3,2,3,2,3,3,3,3,3,3,3,0,1,0,3,30,1,8,1,8,1,8,0,8,1,0,
0,1,1,8,8,8,8,8,8,8,2,8,8,8,8,8,8,0,-3,0,12,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,26,8,-1,2,3,3,
-3,0,1,2,2,9,15,14,0,2,0,4,0,0,1,8,1,13,26,1,2,9,0,0,0,8,-4,-4,-4,-4,
-4,-5,3,2,-4,-4,-4,-4,-4,-4,-4,-4,3,-4,-4,-4,-4,-4,-4,9,-1,-4,-4,-4,-4,-4,3,0,1,1,
1,1,1,-1,8,8,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,7,4,1,1,1,1,1,1,1,
 };
static unsigned short stb__consolas_36_latin1_w[224]={ 0,6,12,20,17,20,19,5,11,11,15,18,9,12,
7,15,18,16,16,16,19,15,16,16,16,17,6,9,15,16,15,12,20,20,16,17,18,14,14,17,17,14,13,17,
14,19,16,18,16,19,17,17,18,17,20,20,20,20,17,9,16,9,16,20,12,15,16,15,16,16,19,18,15,15,
14,16,15,18,15,18,16,16,16,14,17,15,18,20,18,18,16,14,4,13,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,0,6,14,17,18,19,
4,16,16,20,13,16,16,12,17,15,14,17,12,12,17,17,17,7,5,13,13,16,20,20,20,12,20,20,20,20,
20,20,21,17,17,17,17,17,17,17,17,17,19,18,19,19,19,19,19,16,18,18,18,18,18,20,16,16,17,17,
17,17,17,17,20,15,18,18,18,18,18,18,18,18,17,17,19,19,19,19,19,18,18,17,17,17,17,19,16,19,
 };
static unsigned short stb__consolas_36_latin1_h[224]={ 0,26,9,23,32,27,26,9,35,35,16,18,13,4,
7,29,25,24,24,25,23,24,24,23,25,24,19,25,21,9,21,26,34,23,23,25,23,23,23,25,23,23,24,23,
23,23,23,25,23,31,23,25,23,24,23,23,23,23,23,34,29,34,12,4,8,19,26,19,26,19,26,26,25,26,
34,25,25,18,18,19,26,26,18,19,25,19,18,18,18,26,18,34,37,34,8,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,26,32,24,22,23,
37,31,8,25,18,15,8,4,17,7,13,22,15,16,8,26,30,6,6,14,18,15,26,26,26,26,30,30,30,30,
30,31,23,30,30,30,30,30,30,30,30,30,23,30,31,31,31,31,31,15,31,31,31,31,31,30,23,27,26,26,
26,26,26,28,19,24,26,26,26,26,25,25,25,25,26,25,26,26,26,26,26,19,26,26,26,26,26,33,33,33,
 };
static unsigned short stb__consolas_36_latin1_s[224]={ 250,246,43,136,192,88,206,250,11,23,140,
103,16,242,247,37,40,172,155,239,99,139,223,119,201,205,247,96,38,56,54,
60,70,157,178,146,195,240,214,78,229,1,125,224,33,150,189,164,16,1,206,
35,170,89,129,108,87,66,48,60,53,50,26,173,91,193,116,177,91,141,21,
97,218,223,35,72,19,230,70,158,108,145,34,126,1,89,1,209,51,1,86,
105,1,91,104,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,
80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,250,198,177,
107,1,60,6,21,140,125,20,169,123,242,122,157,1,20,186,156,73,73,214,
247,250,233,242,216,185,38,146,133,232,58,211,100,1,210,18,22,40,19,193,
121,157,139,175,1,40,232,58,78,98,38,137,199,195,176,231,157,118,79,1,
109,126,1,199,181,163,70,105,189,144,236,19,217,59,106,234,53,167,183,226,
1,125,59,20,70,41,162,205,180,79,120,140,157, };
static unsigned short stb__consolas_36_latin1_t[224]={ 18,133,330,240,1,102,133,1,1,1,311,
311,330,283,311,102,187,214,214,160,240,214,214,240,187,214,240,187,288,330,288,
160,1,240,240,187,240,214,240,187,240,264,214,264,264,264,264,187,264,39,264,
214,264,214,264,264,264,264,264,1,102,1,330,330,330,288,133,288,160,288,160,
133,187,160,1,214,214,288,311,288,160,160,311,288,214,288,311,288,311,187,311,
1,1,1,330,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,
240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,18,160,1,
214,288,240,1,39,330,187,311,311,330,283,311,330,330,288,311,311,330,160,39,
319,11,311,264,311,133,133,133,133,39,71,71,71,71,1,240,71,71,102,71,
71,71,71,71,102,240,71,39,39,39,39,39,311,39,39,1,39,39,71,240,
102,102,133,102,102,102,102,288,214,102,102,133,102,187,187,187,214,133,187,133,
160,160,133,187,288,160,160,160,160,133,1,1,1, };
static unsigned short stb__consolas_36_latin1_a[224]={ 317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_36_latin1_BITMAP_HEIGHT or STB_FONT_consolas_36_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_36_latin1(stb_fontchar font[STB_FONT_consolas_36_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_36_latin1_BITMAP_HEIGHT][STB_FONT_consolas_36_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_36_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_36_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_36_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_36_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_36_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_36_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_36_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_36_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_36_latin1_s[i] + stb__consolas_36_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_36_latin1_t[i] + stb__consolas_36_latin1_h[i]) * recip_height;
            font[i].x0 = stb__consolas_36_latin1_x[i];
            font[i].y0 = stb__consolas_36_latin1_y[i];
            font[i].x1 = stb__consolas_36_latin1_x[i] + stb__consolas_36_latin1_w[i];
            font[i].y1 = stb__consolas_36_latin1_y[i] + stb__consolas_36_latin1_h[i];
            font[i].advance_int = (stb__consolas_36_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_36_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_36_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_36_latin1_s[i] + stb__consolas_36_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_36_latin1_t[i] + stb__consolas_36_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_36_latin1_x[i] - 0.5f;
            font[i].y0f = stb__consolas_36_latin1_y[i] - 0.5f;
            font[i].x1f = stb__consolas_36_latin1_x[i] + stb__consolas_36_latin1_w[i] + 0.5f;
            font[i].y1f = stb__consolas_36_latin1_y[i] + stb__consolas_36_latin1_h[i] + 0.5f;
            font[i].advance = stb__consolas_36_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_36_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_36_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_36_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_36_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_36_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_36_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_36_latin1_LINE_SPACING
#endif

