// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_39_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_39_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_39_latin1_BITMAP_WIDTH         256
#define STB_FONT_consolas_39_latin1_BITMAP_HEIGHT        403
#define STB_FONT_consolas_39_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_39_latin1_FIRST_CHAR            32
#define STB_FONT_consolas_39_latin1_NUM_CHARS            224

#define STB_FONT_consolas_39_latin1_LINE_SPACING          26

static unsigned int stb__consolas_39_latin1_pixels[]={
    0x00cc4331,0x00004020,0x99995000,0x32679999,0x4ccccccc,0x132a6200,
    0x2a000800,0x00001abc,0x27fff440,0x00017ffc,0x6cc0f6a0,0x0040000c,
    0x15530000,0x0ffd0000,0xffd1ffe8,0x10be6003,0xc80000bd,0x3ffee4ff,
    0xf56fffff,0xffffffff,0x3ffff200,0xfb71000f,0x640159df,0x001effff,
    0xfffe8800,0x005fff02,0x1fffcc00,0x0017ffe2,0x006fffdc,0x03ff6000,
    0x09ff1000,0xffd1ffe8,0x3fff1003,0x00027fec,0x72ffffa8,0xffffffff,
    0x3ffffead,0x74407fff,0x00ffffff,0xffffffa8,0xff900eff,0x0005ffff,
    0x077ff440,0x0005fff0,0x22fffdc0,0x8006fff9,0x06ffeffb,0x03ff4000,
    0x017fd400,0x7ff47ffa,0x2fff4401,0x0013ffea,0x0fffff20,0x3eadff50,
    0xff90005f,0x3600139f,0xeb9acfff,0x73100eff,0x0001ffff,0x009ffd10,
    0x00005fff,0x7417ffc4,0xfe8004ff,0x0005fd13,0x80037fc0,0xd00ffb18,
    0x07ffa3ff,0x706ffe88,0x80007fff,0x402ffffa,0xbff56ffa,0x7fff1000,
    0x0effc800,0x801dff70,0x0004fff8,0xf002eed8,0x800005ff,0x057101b8,
    0xfc83fe00,0xff100003,0x3f6e200b,0x805fffff,0x3ffd1ffe,0x0077fec0,
    0x0003fff9,0xa803ffc8,0x0bff56ff,0x00dff500,0xc805ffa8,0xffb802ff,
    0x00000005,0x00005fff,0xe8000000,0x005ff13f,0x013fe600,0x3fffffa6,
    0x7401ffff,0x03ffd1ff,0x2007ffea,0x00006ffd,0xab7fd400,0xfb8005ff,
    0x3fe6004f,0x017fa006,0x0001bfe6,0x17ffc000,0x00000000,0x3fbfea00,
    0x2a00006f,0x7fdc02ff,0xfffeefff,0x3ffa02ff,0x3a03ffd1,0xff3004ff,
    0x0000007f,0xffab7fd4,0x3ffc8005,0x007ff600,0x4400ffc8,0x998807ff,
    0x0ccc4001,0x35105fff,0x00333100,0x20019988,0x000dfffa,0x3fff6e20,
    0x7d40bdff,0x3fe0aeff,0xfd00ffff,0x207ffa3f,0x2000fffb,0x9880fffc,
    0x99999999,0xffa80199,0x000bff56,0x22007ff9,0x7cc004ff,0x3ffc403f,
    0x00fffdc0,0x7fcdffd0,0xffffb12f,0x3fee01bf,0x3ffa001f,0x00008006,
    0xffffffb8,0x7f41ffff,0x77fcc0ff,0xffd05fff,0xf107ffa3,0xf88005ff,
    0xfffd84ff,0xffffffff,0x56ffa807,0xf9000bff,0x3ff2007f,0x05ff8001,
    0x4403ffc4,0xf1004fff,0x4fffc7ff,0xffffffe8,0xfff880ef,0x7fff1004,
    0x77776400,0x7fec4001,0xfefffeff,0x07ffea1f,0x3ffa7fee,0xd1ffe81f,
    0x6ffb83ff,0x0fff7000,0xfffffffb,0x500fffff,0x17feadff,0x00fff200,
    0x2a21bfe2,0xfd1b99bc,0x07ff880b,0x200fffb0,0x3fe0fffb,0xbbefffbf,
    0xfb06fffe,0x3fee00ff,0x3ffe000f,0x7e4004ff,0x2dfd1dff,0x17ffa1b8,
    0xfffabff4,0xfd1ffe83,0x03ffe83f,0x85fff100,0xccccccca,0xa807ffdc,
    0x0bff56ff,0x007ff900,0xff987ff5,0xfb1fffff,0x07ff880d,0x005fff30,
    0xfff8bffd,0xffc82fff,0x2fff981f,0x005ffe80,0x1bffffea,0x44fff980,
    0xfff305ff,0x749ff105,0x1ffe85ff,0x7fc43ffd,0x3fa0001f,0xffa8005f,
    0x56ffa807,0xf9000bff,0x1ff9007f,0x7fffffcc,0x201ff27f,0xfd000fff,
    0xfff980bf,0x077fffc2,0x3a0bffd0,0x7fcc05ff,0x3ff2002f,0xd001fffe,
    0x4ff88dff,0x501fff50,0x3ffe45ff,0xffe8fff4,0x001bfee1,0x000fff70,
    0xf500fff5,0x017feadf,0x200bff60,0x97ff46fe,0x1ff26ff9,0x4007ffe0,
    0x3200fffb,0xffff87ff,0x83ffdc01,0x3200fffb,0x7fc007ff,0x803fff9f,
    0x7cc2fff8,0x0dff703f,0xfff71ff6,0xfd1ffe81,0x027ff43f,0x07ffe200,
    0x00fff500,0x3feadff5,0x3ffcc005,0xf527fc40,0x72ffcc9f,0xffc801ff,
    0xfff8800e,0x213ffa03,0xf9803fff,0xfff880ff,0x013ffa03,0xff97ffa8,
    0x1fff300d,0xf902ffb8,0x517fe0df,0xffe83fff,0x7fc3ffd1,0xff80003f,
    0x7fd4002f,0x56ffa807,0xaa880bff,0xa802fffd,0x87ff63ff,0x3fee4ffa,
    0x7fff4400,0xffb009ac,0x03ffe60d,0x2200bffe,0xffb01fff,0x03ffe60d,
    0xf54ffc80,0xffb803ff,0xb01ffc87,0x7ff30bff,0x741fff98,0xf83311ff,
    0xf80002ff,0x7d4003ff,0x6ffa807f,0xfe80bff5,0x7002dfff,0x1bfe23ff,
    0x3fe47ff7,0xffffc880,0x3fff502f,0x3e0dff90,0xff8802ff,0x3fff501f,
    0x800dff90,0x3ffe1fff,0x437fe403,0xffd00ffd,0x881ff909,0x7ff42fff,
    0x07ffe201,0x13ffa000,0x00fff500,0x3feadff5,0x7ffff405,0x1ff7001d,
    0xffb17fe6,0x7003fe43,0x405ffffd,0xfff85ffe,0x005fff03,0xfe80bffe,
    0x03fff85f,0xfb1ffea0,0xfffb80df,0xfd03ff40,0x30dfd0bf,0xffe83fff,
    0x03ffe601,0x17ff6000,0x00fff500,0x3feadff5,0x7f655405,0xffc802ff,
    0xfe87ff70,0x201bf60f,0xabcfffe8,0x83ffee00,0xff00fffa,0xfff1005f,
    0x07ffdc01,0x4001fff5,0x7fd45ffc,0x3ffea00f,0xfb037fc2,0x84ff98df,
    0x7f40fffa,0x3ffe601f,0xffd80000,0x3ffd4004,0xfab7fd40,0x7fe4005f,
    0x327fc807,0x23ffc3ff,0xffb806fe,0x7ffc4005,0xf817ff23,0xff9802ff,
    0x1fffc407,0xf800bff9,0x7ffc42ff,0x93ffe603,0x3f605ff8,0x40ffdc6f,
    0xffe87ffa,0x07ffe201,0x13ffa000,0x00fff500,0x3feadff5,0x2ffe8005,
    0xff93fec0,0x3e37fc45,0x1ffe804f,0x16ffd800,0x7fc03fff,0x6ffb802f,
    0xf16ffd80,0x7d4003ff,0x6ffd80ff,0x9877ff40,0x3ff204ff,0xfb83fec7,
    0x01ffe86f,0x00017ffc,0x2001fffc,0xfa807ffa,0x00bff56f,0xd807ffb0,
    0x98bff26f,0x0bfe65ff,0x0003ffe0,0x3ee3ffea,0x17ffc06f,0x4027ff40,
    0xffb8fffa,0x2ffe4006,0x200fffb8,0xfa9ffffb,0x3ffea03f,0x3a09ff11,
    0x1ffe85ff,0x001fff40,0x0017ffc0,0x2a01ffea,0x0bff56ff,0x809ff900,
    0x8ffee7fd,0x1fee5ffd,0x001ffe20,0xffebfff8,0x017ffc04,0x4003ffee,
    0x4ffebfff,0x81fffc00,0x7403fff8,0xaffdffff,0xff11eb99,0x20bfea9f,
    0xfe82fff9,0xfd83311f,0x7cc0005f,0x7d4000ff,0x6ffa807f,0x9000bff5,
    0x7fc809ff,0x7fd57fee,0x00bff16f,0x4000fff1,0x0fffeffc,0x701fffc0,
    0x64007fff,0x00fffeff,0x803ffea0,0x74406ffe,0xffffffff,0x3ffa1fff,
    0xc80ffd8f,0x3ffd06ff,0xffb87ffa,0x7fdc0007,0x7ffa8006,0xf56ffa80,
    0xff9000bf,0x10ffb809,0xf7ffdfff,0x001fffdf,0x4000fff1,0x06fffff8,
    0xccfffff8,0x05fffecb,0x7ffffc40,0x37fe4006,0x003ffee0,0x3ffffff2,
    0x3ea1ffff,0xb85ffdff,0xffd02fff,0xf887ffa3,0x3a0002ff,0xfa8003ff,
    0x6ffa807f,0x9000bff5,0xffb809ff,0x4bffff21,0x001fffff,0x8000fff1,
    0x801ffffd,0xffffffff,0x0003ffff,0x003ffffb,0xaaadfff8,0xfffcaaaa,
    0x3ffea003,0xffd00abc,0x7dc47fff,0x3ffa06ff,0xfd83ffd1,0xff30005f,
    0xff50003f,0x2dff500f,0xc8005ffa,0x7fd404ff,0x710e6dc2,0x7c40037b,
    0x7d40007f,0xfff006ff,0x9dfffffd,0x7fd40001,0x7fd4006f,0xffffffff,
    0x005fffff,0xf9802ffc,0xfecdffff,0x3a00efff,0x83ffd1ff,0x8000fffa,
    0x50006ffc,0xff500fff,0x0017fead,0xf3013ff2,0x0000009f,0x8000fff1,
    0xf002fffa,0x002665ff,0x2fffa800,0x7fffe400,0xffffffff,0x1000ffff,
    0x744009ff,0xffffffff,0x1ffe805f,0xff883ffd,0x7fc4005f,0xff70002f,
    0x2dff500d,0xc8005ffa,0x7fe804ff,0xf8800000,0x7f40007f,0x3ffe006f,
    0x3a000002,0xff8006ff,0xccccccdf,0x3fffcccc,0x007ff300,0xffffff98,
    0xffd002df,0x2a07ffa3,0x36001fff,0x320005ff,0xffa805ff,0x000bff56,
    0xf700bff7,0x8000005f,0x20007ff8,0x2002fffb,0x00002fff,0x005fff70,
    0x000fffa8,0x5c017ffa,0x7dc002ff,0x8000aaaf,0x3ffd1ffe,0x401bff60,
    0x0000fffa,0x2a00fffa,0x0bff56ff,0x00dff500,0x0000bff1,0x006ffa80,
    0x009fff50,0x0002fff8,0x04fffa80,0x006ffc80,0x4007ffe4,0x74001ffc,
    0xfe80007f,0x203ffd1f,0x4403fff9,0x20004ffe,0xa801fffb,0x0bff56ff,
    0x05fff300,0x0009ffb0,0x027ff400,0xfffd9884,0x2fff8006,0xd9884000,
    0xf0006fff,0xf98007ff,0xffd802ff,0x13fe2000,0x47ffa000,0x3ee01ffe,
    0x3ffa02ff,0x102b6e06,0x2009fff7,0xbff56ffa,0x3fff6000,0x27ffcc03,
    0x4c0036a0,0xe801fffd,0x1effffff,0x02fff800,0x7ffff400,0x98001eff,
    0xe8001fff,0x7fe805ff,0x017fd400,0xe8fff400,0x7fec01ff,0x0effd81f,
    0x3bbffee0,0x40effffe,0xfeeeeeea,0xddfff56f,0xf880bddd,0x80efffff,
    0xbbdffff9,0x200fffdc,0x4fffffeb,0xfffffd00,0x7ffc0009,0x7ff40002,
    0x20004fff,0x90006ffc,0xed801fff,0x00000004,0xffe8fff4,0x0fffd801,
    0x7003fff2,0xffffffff,0xfff7019f,0x2adfffff,0xffffffff,0xfffe9807,
    0xffd100ff,0xbfffffff,0x7fffe401,0x3bf6003f,0x6c0001bc,0x6c0001ee,
    0x0001bcef,0x00000000,0x00000000,0x7ff47ffa,0x0efe8801,0x54007ff2,
    0x1cdefeec,0x3bbbbaa0,0xddd55eee,0x00bddddd,0x007765d4,0x337bb2e6,
    0xcdeb800a,0x0000000a,0x00000000,0x00000000,0x00000000,0x8fff4000,
    0xb1001ffe,0x00005901,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffe80000,0x0003ffd1,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x747ffa00,
    0x000001ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3bb23dd9,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80000000,0x880002a9,0x54000000,0x0000cccc,0xccca8001,0x50000004,
    0x00019999,0x00059991,0x3b880e4c,0x3376a200,0x10001881,0x20005999,
    0x077101c9,0x02666540,0x0dfd0000,0xfffb7100,0x000017bd,0x00f7ffd4,
    0xffffdb70,0xfff9009d,0xa800000b,0x8001efff,0x03ffffe8,0x81fff980,
    0xfd004ffe,0x2219ffff,0x744001fe,0x4003ffff,0xfe81fff9,0x3ff2004f,
    0xf000005f,0xfe9800bf,0xefffffff,0xffa80001,0x3fa6005f,0x5fffffff,
    0x0bfff500,0x3fea0000,0xff30005f,0x009fffbf,0xf83fffa8,0xffd806ff,
    0xfeffffee,0x3e6000ff,0x04fffdff,0x20fffea0,0x54006fff,0x00005fff,
    0x70027fc4,0xffdfffff,0x0005ffff,0x001fffcc,0x99dffff3,0x4400bfb9,
    0x00005ffe,0x001fffcc,0xd12fff98,0x7c4009ff,0x4ffd81ff,0x3a62fc80,
    0x001fffff,0x744bffe6,0xff1004ff,0x09ffb03f,0x0bffd100,0xfeca9800,
    0x500abcef,0x4c15dfff,0x001ffffc,0x80035550,0x0200effe,0x002aaa00,
    0x01aaa800,0x202aaa00,0x22000aaa,0x800a601a,0x01597501,0xa80aaa80,
    0x351000aa,0x200014c0,0x98000aaa,0xfffffffe,0xffd02fff,0x7ffdc01f,
    0x40000004,0x0001fff8,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7ffe4000,0xffffffff,0x1fffa82f,0x00fffc80,0x3ea00000,
    0x000000ff,0x10000011,0x11000001,0x00000000,0x00002200,0x44000000,
    0x00000000,0x15dfff70,0x39533ff9,0x200bffd0,0xdb03fff9,0x7774005d,
    0x01fffcc1,0xffdb8800,0x8000bdef,0xdefffdb8,0xdb88000b,0x00bdefff,
    0x2002eed8,0x5c401eee,0x0bdefffd,0x002eed80,0x71007bba,0x17bdfffb,
    0x005ddb00,0xff10f774,0x807fd8bf,0x2002fff9,0xfff06ffe,0x17ffc007,
    0x001ffff4,0x3ffffa60,0x001effff,0x3fffffa6,0x2001efff,0xffffffe9,
    0x7fc01eff,0x3ffe003f,0x3fffa602,0x01efffff,0xf001fffc,0x7f4c05ff,
    0xefffffff,0x01fffc01,0x7d45fff0,0x037f41ff,0x2003ffd4,0xfff07ffb,
    0x17ffc007,0x06ffffcc,0x7fffdc00,0xffffffef,0xffffb802,0xffffffef,
    0xffffb802,0xffffffef,0x00fffe02,0xf702fff8,0xfffdffff,0x7fc05fff,
    0x3ffe003f,0xfffff702,0x5ffffffd,0x001fffc0,0x7fe45fff,0xb805ff87,
    0x7d4006ff,0x3fff80ff,0x10bffe00,0x9ffffffd,0x77ffd400,0x3ffee60a,
    0x3ffea01f,0x3fee60ae,0x3fea01ff,0x3ee60aef,0xfff01fff,0x17ffc007,
    0x0577ffd4,0x03ffff73,0xf800fffe,0xfffa82ff,0x3fee60ae,0x7fff01ff,
    0x717ffc00,0x7fc43fff,0x05ffc804,0x407ffd40,0x3e003fff,0x3ffa22ff,
    0x1effffce,0x00fffe80,0xe813ffee,0x3ee00fff,0x3ffa04ff,0x3ffee00f,
    0x007fff04,0x7f417ffc,0x3fee00ff,0x07fff04f,0x7417ffc0,0x3ee00fff,
    0x7fff04ff,0x317ffc00,0x7fccbfff,0x05ffd803,0x40fffcc0,0x3e003fff,
    0x3bff22ff,0x9ffffd30,0x00fffd40,0x5407ffe4,0xfc801fff,0xfffa80ff,
    0x0fffc801,0x2003fff8,0x7fd42fff,0xfffc801f,0x003fff80,0xff50bffe,
    0xfff9003f,0x007fff01,0x3fa17ffc,0x2ffbafff,0x004ffe80,0x7c17ffc4,
    0x3fe003ff,0x207ffe2f,0xd05ffffb,0x3e600bff,0x5ffe83ff,0x07fff300,
    0x2600bffd,0xfff83fff,0x0bffe003,0x2600bffd,0xfff83fff,0x0bffe003,
    0x2600bffd,0xfff83fff,0x0bffe003,0xfffffff1,0xbffd003f,0x1fff9800,
    0x2003fff8,0xfff32fff,0x27ffec40,0x800bffe6,0x7fcc6ffe,0x3ffa002f,
    0x017ffcc6,0xff0dffd0,0x7ffc007f,0x00bffe62,0xff86ffe8,0x3ffe003f,
    0x00bffe62,0xff86ffe8,0x3ffe003f,0xffffd882,0x7ec01cff,0x7fcc005f,
    0x03fff80f,0x7ccbffe0,0x7fec00ff,0x03ffea1f,0x547ffb80,0x2e000fff,
    0x7ffd47ff,0x1ffee000,0xf800fffe,0x3ffea2ff,0x1ffee000,0xf800fffe,
    0x3ffea2ff,0x1ffee000,0xf800fffe,0x3faa02ff,0x01dfffff,0xa800dff9,
    0x7fff07ff,0xf17ffc00,0xfff007ff,0x0037fdc7,0xff71ffea,0x7ffa800d,
    0x20037fdc,0xfff87ffa,0x8bffe003,0x54006ffb,0x3fff87ff,0xb8bffe00,
    0x7d4006ff,0x03fff87f,0x200bffe0,0xfffffff9,0x007ffc84,0xff837fdc,
    0x3ffe003f,0x007fff62,0x7fe4bff9,0x7ffd4006,0x001bff20,0x7e41fff5,
    0x7fd4006f,0x01fffc0f,0x7e45fff0,0x7fd4006f,0x01fffc0f,0x7e45fff0,
    0x7fd4006f,0x01fffc0f,0x1005fff0,0xffffddff,0x01fffb89,0x7c17ffa0,
    0x3fe003ff,0x3fffe22f,0xd97fea01,0x7cc005ff,0x17ff61ff,0x43fff300,
    0x4c005ffd,0x7ffc1fff,0x8bffe003,0x4c005ffd,0x7ffc1fff,0x8bffe003,
    0x4c005ffd,0x7ffc1fff,0x0bffe003,0x7d4ffe60,0x3fe22fff,0xfff3004f,
    0x00fffe05,0x7d42fff8,0xff904fff,0x0027ff49,0xfe8bffe2,0x7fc4004f,
    0x013ffa2f,0xf85fff10,0x3fe003ff,0x013ffa2f,0xf85fff10,0x3fe003ff,
    0x013ffa2f,0xf85fff10,0x3fe003ff,0x2ffa802f,0xfb17ffe2,0xff9001ff,
    0x01fffc0d,0xf305fff0,0x7cc3dfff,0x17ffa1ff,0x43fff300,0x4c005ffe,
    0x3ffa1fff,0x7ffcc005,0x001fffc1,0x7ff45fff,0x7ffcc005,0x001fffc1,
    0x7ff45fff,0x7ffcc005,0x001fffc1,0xf7005fff,0x47ffc83f,0x5c06fffa,
    0x3fe03fff,0x3ffe003f,0xffffb102,0xd89fff7b,0x7cc005ff,0x17ff60ff,
    0x41fff300,0x4c005ffd,0x7ffc0fff,0x8bffe003,0x4c005ffd,0x7ffc0fff,
    0x8bffe003,0x4c005ffd,0x7ffc0fff,0x0bffe003,0xf903ff20,0xbfffd0ff,
    0x6fffb883,0x001fffc0,0xea805fff,0x85ffffff,0x54006ffc,0x37fe47ff,
    0x91ffea00,0xfa800dff,0x03fff87f,0xfc8bffe0,0x7fd4006f,0x003fff87,
    0xffc8bffe,0x3ffd4006,0xf001fffc,0xffb005ff,0xd10dfff0,0xfdbfffff,
    0xf801dfff,0x3fe003ff,0xfff7002f,0x1ffee0bf,0xb8dff700,0x7dc007ff,
    0x03ffdc6f,0x3e1bfee0,0x3fe003ff,0x01ffee2f,0xff0dff70,0x7ffc007f,
    0x001ffee2,0xfff0dff7,0x17ffc007,0x3ee37f40,0xffd104ff,0xdfffffff,
    0x09ffd001,0x007ffe20,0x82fffe98,0x2001fffa,0x7fd45ffe,0x3ffa001f,
    0x00fffd45,0xfd0bffd0,0x3fe2009f,0x07ffea1f,0xe85ffe80,0xff1004ff,
    0x0fffd43f,0xd0bffd00,0x3e2009ff,0x26b3a1ff,0xf931bff0,0xda801dff,
    0x02dfffff,0x4013ff60,0x88007ff9,0xff885ffe,0xfff3004f,0x04fff885,
    0x885fff30,0xf3004fff,0x9ffb05ff,0x11ffe600,0x26009fff,0xffd82fff,
    0x8fff3004,0x3004fff8,0xffb05fff,0x1ffe6009,0xfffffffd,0x1fffffff,
    0x0fffc400,0x037fe400,0x0006ffb8,0x3f60fff7,0xdff9007f,0x401fff60,
    0xffb06ffc,0x1bff200f,0xb8037fe4,0x7ffd86ff,0x20dff900,0xf7006ffc,
    0x0fffb0df,0x641bff20,0xff7006ff,0xfffffe8d,0xcfffffff,0x4ffe8000,
    0x2fffa800,0x01fffc40,0x305ffe80,0xfb80bfff,0xfff302ff,0x2fffb80b,
    0x80bfff30,0xf502fffb,0xff8805ff,0x5fff983f,0x817ffdc0,0x4402fffa,
    0xff983fff,0x7ffdc05f,0x05fff502,0x4c3fff88,0xffffedcb,0x20000bcd,
    0x0100fffc,0x9817fff4,0x80086ffe,0x3a03fffa,0x5c40dfff,0x7f406fff,
    0x7dc40dff,0x7ff406ff,0x7fdc40df,0x7fff406f,0x0dffd302,0x206ffff4,
    0x406fffb8,0xd302fffe,0x7ff40dff,0x7fdc40df,0x7fff406f,0x0dffd302,
    0x0003ff20,0xdffff880,0x303fc98a,0x99bdffff,0xb05ffffd,0xb75557bd,
    0x4401dfff,0xedfffffe,0x401effff,0xdfffffe8,0x01effffe,0x7fffff44,
    0x1effffed,0x77fffcc0,0xffffeccd,0x3fffa202,0xffffedff,0x7ffcc01e,
    0xffeccdef,0x3fa202ff,0xffedffff,0x7cc01eff,0xeccdefff,0xb002ffff,
    0x500000ff,0xffffffff,0x3faa01ff,0xffffffff,0xffffb01e,0x1dffffff,
    0xffffb100,0x00bfffff,0x7ffffec4,0x2005ffff,0xffffffd8,0x2a005fff,
    0xfffffffe,0xd8801eff,0xffffffff,0x3faa005f,0xffffffff,0xffd8801e,
    0x5fffffff,0x3fffaa00,0x1effffff,0x001bfa00,0x7fffd400,0x4403ffff,
    0xefffffec,0x7fffe404,0x002effff,0xfffffdb8,0xfb70002d,0x005bffff,
    0x3ffff6e0,0xc88002df,0x4efffffe,0xfffdb800,0x88002dff,0xefffffec,
    0xffdb8004,0x8002dfff,0xfffffec8,0x5ff8004e,0x65c00000,0x8000bced,
    0x4c4001a9,0x0009aaaa,0x00013100,0x00009880,0x00004c40,0x00006a60,
    0x00000988,0x00000d4c,0x80000131,0x540001a9,0x0000001a,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfffd9751,0x3ff6ffff,0x64c00002,0x00077101,
    0x002ccc88,0x3332a000,0x3a00000c,0x950001ff,0x00001999,0xda880011,
    0x001881cd,0x1039bb51,0x65400003,0x99500ccc,0x7fd40099,0xfff9104f,
    0xffffffff,0x001bfeaf,0x81fff980,0x10004ffe,0x007ffffd,0xdfff5000,
    0x7d400003,0xff50006f,0x2a0003df,0xdfffffdb,0x3fffa00b,0x3fd10cff,
    0xfffffd00,0x007fa219,0x3bffea00,0x2fffe401,0x84fff980,0xfffffffa,
    0x27ffeeee,0x00001ffe,0xff07fff5,0xff3000df,0x009fffbf,0x2fffd400,
    0x7fec0000,0xfffa8002,0xffb10005,0xffffffff,0x3bbff60f,0xfffeffff,
    0x777fec00,0xfffeffff,0x7fd40000,0x3fea005f,0xfff9805f,0x7ffffcc4,
    0x3fea3fff,0x0013fee7,0x40fffc40,0x4c004ffd,0xffd12fff,0xff300009,
    0x1000007f,0xf3000fff,0x260007ff,0xeffffffe,0xf907ffff,0x7ffff4c5,
    0x22fc801f,0x1fffffe9,0x7ffcc000,0xffe88003,0x27ffcc05,0xffffffd1,
    0x3ffd47ff,0x0001fff1,0x29806a20,0x80aaa800,0x40000aaa,0x00001aaa,
    0x0009ff90,0x20003555,0x0adffff9,0x0303ed44,0x8002b2ea,0x01597501,
    0x03555000,0x00aaa800,0xfa93ffe6,0xffffffff,0xfb1ffea3,0x0000007f,
    0x00000000,0x00000000,0x0001fff0,0x3ffa0000,0x0001003f,0x00000000,
    0x00000000,0x23fff980,0xfffffffc,0x1ffea3ff,0x0000dff3,0x00000000,
    0x00000000,0x05ffb800,0xf5000000,0x000005ff,0x00000000,0x00000000,
    0x1fffc400,0xfffffffd,0x3ffd47ff,0x00017ff4,0x07bbbb20,0x77764000,
    0xd900001e,0x00003ddd,0xec81ffe8,0xec8001ee,0x37ff40ee,0x3bbb2000,
    0x01ddb005,0x07bbbb20,0x3bbba200,0xeeeeeeee,0xeeee885e,0xeeeeeeee,
    0x47fff15e,0xfffffffe,0x1ffea3ff,0x00017fea,0x09fffff0,0x3fffe000,
    0xff00004f,0x00009fff,0xf9837fcc,0x7c4006ff,0x7ffdc4ff,0x7fec0002,
    0xfff801ff,0xfffff000,0xfff10009,0xffffffff,0xfff10fff,0xffffffff,
    0x3ffe2fff,0x3fffff63,0x3ea3ffff,0x01fff07f,0x3ffea000,0xa80006ff,
    0x006fffff,0xfffffa80,0x3f600006,0x3fff203f,0x3fff6002,0x0037fe40,
    0x2ffffec0,0x4007ffc0,0x06fffffa,0xfffff880,0xffffffff,0xfffff887,
    0xffffffff,0x5c7fff17,0xffffffff,0x41ffea3f,0x00004ffc,0x3fffdff9,
    0xeffc8000,0x40001fff,0x1fffeffc,0xfff88000,0x1bffe200,0x41fffcc0,
    0x80005ffd,0x01fffffd,0x64007ffc,0x01fffeff,0x00fffc40,0x03fff100,
    0x22fff880,0xfffffff9,0x1ffea3ff,0x0003ffc4,0xfff9fff8,0x7ffc0003,
    0x0003fff9,0x7ffcfffc,0xffb80003,0x3fffb804,0xd07ffd80,0xb00009ff,
    0x80bfffff,0xff800fff,0x003fff9f,0x000fffc4,0x003fff10,0xfb85fff0,
    0x3fffffff,0xfd81ffea,0x7d40002f,0x00dff97f,0xfcbffd40,0x3ea0006f,
    0x00dff97f,0x003fff00,0x9803fffa,0xfff02fff,0xffb00007,0x7c01fff9,
    0x7fd400ff,0x800dff97,0x0001fff8,0x0007ffe2,0x3f60bffe,0x23ffffff,
    0x3ea07ffa,0x7e40006f,0x03fff54f,0x553ff200,0x90001fff,0x3ffea9ff,
    0x3fea0001,0x3ffea005,0x41bffa03,0x0002fff8,0xffdaffd8,0x003ffe04,
    0x3fea9ff9,0x3fe2001f,0x3e20001f,0xff8001ff,0xfffd502f,0x3ffd47ff,
    0x0007ffa0,0x3fe1fff8,0xfff0003f,0x001fffc3,0x3fe1fff8,0x3f60003f,
    0x7ff4002f,0x1fffa80f,0x007fff10,0xf55ffb00,0x3ffe01ff,0xf0fffc00,
    0x7c4007ff,0x220001ff,0xf8001fff,0x6e5c02ff,0x1ffea3fe,0x0009ff70,
    0xffb1ffea,0xfff5000d,0x8006ffd8,0x7fec7ffa,0xdff30006,0x9fff3000,
    0xf80bffd0,0xd80004ff,0x09ffd2ff,0xfa803ffe,0x037fec7f,0x003fff10,
    0x00fffc40,0x000fffc0,0x101ffea0,0x90001fff,0xfffa8bff,0x2ffe4000,
    0x0003ffea,0xffa8bff9,0xffc8000f,0xfffb0003,0x007ffd41,0x00017ffe,
    0x7fdcbff6,0x00fff80f,0xff517ff2,0x3fe2001f,0x3e20001f,0xff8001ff,
    0x7d40001f,0x3ffc807f,0x42fff800,0x4003fff8,0x7fc42fff,0x7ffc003f,
    0x01fffc42,0x003ffe20,0xd2fffc40,0xffd009ff,0xffb0000d,0x7c1fffc5,
    0x3ffe00ff,0x01fffc42,0xaabfff88,0x1aaaaaaa,0xaabfff88,0x1aaaaaaa,
    0x00007ffa,0xf300fff5,0xffa800df,0x06ffd80f,0x203ffea0,0x2a006ffd,
    0xffd80fff,0x2ffdc006,0x3fff2000,0x800fffa8,0x0001fffd,0xff717fec,
    0x201fff0f,0xfd80fffa,0xfff1006f,0xffffffff,0xfff109ff,0xffffffff,
    0x0fff49ff,0x1ffea000,0x0017ff40,0x3ee0bff9,0xff9000ff,0x03ffee0b,
    0xb82ffe40,0x3a000fff,0x440001ff,0x3ffedfff,0x0bfff300,0x22ffd800,
    0x7fc2fff8,0x0bff900f,0x2003ffee,0xfffffff8,0x84ffffff,0xfffffff8,
    0x24ffffff,0x40000eed,0xf5007ffa,0x7ffc00bf,0x07fff103,0x440fffe0,
    0xff003fff,0x3ffe207f,0x0dff5003,0x3ffee000,0x7f4006ff,0x360000ff,
    0x37fe42ff,0x7fc03ffe,0x7fff103f,0x9bfff100,0x99999999,0x9bfff105,
    0x99999999,0x2a000005,0x3fe007ff,0xfffa801f,0x01bffa00,0xe803ffea,
    0xffa806ff,0x1bffa00f,0x0017fec0,0x5ffffd00,0xffffb800,0x5ffb0001,
    0x3e2fff88,0xfffa80ff,0x01bffa00,0x0007ffe2,0x001fff88,0x7d400000,
    0x3fee007f,0x06ffc804,0x2007ffdc,0x7dc06ffc,0x7fe400ff,0x07ffdc06,
    0x001ffe20,0x0bfff500,0x3ffff600,0xd8d9301b,0x6ffd82ff,0x3f203ffe,
    0x7ffdc06f,0x0fffc400,0x3fff1000,0x00795000,0x00fff500,0x2007ffc4,
    0xaaaadfff,0x3fffcaaa,0x556fffc0,0xffcaaaaa,0x6fffc03f,0xcaaaaaaa,
    0x7e403fff,0xf800004f,0x360003ff,0xeeffffff,0x7ec7fffe,0x1fff982f,
    0xfff01fff,0x5555555b,0x8807fff9,0x20001fff,0x4001fff8,0x0005fffa,
    0x2002ffdc,0x3ea03ffd,0xffffffff,0x05ffffff,0x3fffffea,0xffffffff,
    0x3ffea05f,0xffffffff,0x7c05ffff,0x800000ff,0x40003fff,0xfffffffd,
    0x7ec7ffff,0x2bffb02f,0x7fd40fff,0xffffffff,0x405fffff,0x0001fff8,
    0x0007ffe2,0x001ffffb,0x0027fe40,0xfc81bfe6,0xffffffff,0x0fffffff,
    0xffffff90,0xffffffff,0x3ff201ff,0xffffffff,0x00ffffff,0x0000bff5,
    0x000fffe0,0x3fffee20,0x6c0acdff,0xfff302ff,0xfc81fff1,0xffffffff,
    0x0fffffff,0x007ffe20,0x01fff880,0x03fffec0,0x2fff8801,0x01ffe800,
    0x9999bfff,0xff999999,0x37ffe07f,0xcccccccc,0xf03fffcc,0x99999bff,
    0xfff99999,0x00bffa07,0x1fffc000,0xdff70000,0x05ffb001,0x7ffe7ff4,
    0x666fffc0,0xcccccccc,0x3e203fff,0x220001ff,0x4c001fff,0x7f903fff,
    0x01bffa20,0x542ffdc0,0x3a000fff,0xfffa85ff,0x17ffa000,0x8003ffea,
    0xff985ffe,0x3e000006,0x200003ff,0xfb003ffc,0x7ffd405f,0x3fea0fff,
    0x3ffa000f,0x07ffe205,0x1fff8800,0x30098800,0x977bdfff,0x0003ffff,
    0x3f207ffc,0x7fe4006f,0x037fe40f,0x903fff20,0xfc800dff,0x1ffe40ff,
    0xfff00000,0x7f400007,0x5ffb001f,0xfffffe80,0x001bff20,0x2201fff9,
    0x20001fff,0x0001fff8,0xffffe980,0x03ffffff,0x21ffe400,0x4c003fff,
    0x7ffc2fff,0x7ffcc003,0x001fffc2,0xf88bffe6,0x000000ff,0x0000fffe,
    0xb003ffc4,0xffb805ff,0x3ffe0fff,0x7ffcc003,0xddfff102,0xdddddddd,
    0xddfff10b,0xdddddddd,0xffd5000b,0x001bffff,0x4cfff100,0xe8001fff,
    0x3ffe65ff,0x5ffe8001,0x0007ffe6,0xffb97ffa,0x7c000004,0x500003ff,
    0x7ec009ff,0xffff802f,0x03fff30f,0x20bffd00,0xfffffff8,0x87ffffff,
    0xfffffff8,0x07ffffff,0x00554c00,0xffc80000,0xfff90006,0x001bff21,
    0xfc87ffe4,0xff90006f,0x0000001f,0x0007fff0,0x80073260,0xfb802ffd,
    0xdff90fff,0x3fff2000,0xfffff880,0xffffffff,0xfffff887,0xffffffff,
    0x00000007,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3332a000,0x64c00004,0xa8077101,0x00004ccc,
    0x06666540,0x05999100,0x22039300,0xcc88003b,0x5d40002c,0x9800000b,
    0x00080009,0x00000040,0x4fffe880,0x64001a88,0x00005fff,0xfd03fff3,
    0xfffc809f,0xf5000005,0x44003dff,0x003ffffe,0x3a07ffe6,0x3a2004ff,
    0x8003ffff,0x03ffffe8,0x0ffe6000,0x7ffff5c0,0xffd7002d,0xbff5007d,
    0x3ffa2000,0x4fff882f,0x2fffd400,0x7ffd4000,0x806fff83,0x0005fffa,
    0x02fffd40,0x3f7ffe60,0xff5004ff,0x0dfff07f,0x3f7ffe60,0x7f4004ff,
    0x001ffdbe,0x801ff900,0xfffffffa,0x3f600eff,0x204fffff,0x8000fff8,
    0x900effe8,0x8001ffff,0x0005ffe8,0x6c0fffc4,0xfd1004ff,0x260000bf,
    0x4c003fff,0xffd12fff,0x3fff1009,0x3009ffb0,0x3fa25fff,0x1ff1004f,
    0x800027e4,0x7fd405ff,0xfffdcdff,0x5bff706f,0x3203fff9,0xe88003ff,
    0x7fe404ff,0x550001ff,0xa8800015,0x2000a601,0x80000aaa,0xa8001aaa,
    0x0aaa80aa,0x2601a880,0x01555002,0xf5001555,0x0005fa8d,0x07ff7553,
    0x406fffc4,0xff82fffc,0x4c27fd47,0xdb0006ff,0xfff3005d,0x0000000b,
    0x00000000,0x00000000,0x00000000,0x10000000,0x027ec5ff,0xfffffd50,
    0x7fe405ff,0x0fffe206,0xff889ff1,0x001ffe85,0x0ae20000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfc800000,0x800ffeef,0xffffffd8,
    0xfd04ffff,0x4ffd807f,0x7fc1ffcc,0x001ffe46,0x00000000,0x00f77764,
    0x77777440,0xeeeeeeee,0xeeeeec85,0xeeeeeeee,0xeeeec80e,0xeeeeeeee,
    0xeeec80ee,0xeeeeeeee,0xeec80eee,0xeeeeeeee,0xe880eeee,0xeeeeeeee,
    0x9005eeee,0x2003dfff,0xcabdfffe,0xf84fffff,0x7ffc01ff,0x7c2ffc43,
    0x01bfe65f,0x00355100,0x7ffc0000,0xf88004ff,0xffffffff,0xfd87ffff,
    0xffffffff,0xd80fffff,0xffffffff,0x80ffffff,0xfffffffd,0x0fffffff,
    0xffffffd8,0xffffffff,0xfffff880,0xffffffff,0x0004c007,0xfc85fff7,
    0x222fffef,0x3f200fff,0x47ff80ff,0x3ffa4ffa,0xffd88001,0x200dffff,
    0xa8000eec,0x006fffff,0xffffff88,0x7fffffff,0xffffffd8,0xffffffff,
    0xfffffd80,0xffffffff,0xffffd80f,0xffffffff,0xfffd80ff,0xffffffff,
    0xff880fff,0xffffffff,0x98807fff,0x44009aaa,0xdff82fff,0x3e65fff8,
    0xffd880ff,0x5dffb03f,0x3f21fff5,0xff98004f,0xffffffff,0x003ffb02,
    0xfffdff90,0xfff88003,0xff800001,0xff80003f,0xff80003f,0xff80003f,
    0x3fe2003f,0x6d40001f,0xffffffff,0x0dff902e,0x3fea7ff5,0x81fff30f,
    0x202fffe8,0xfffffff8,0x000dff33,0x537dfff5,0xb05ffff7,0xff0003ff,
    0x007fff3f,0x001fff88,0x03fff800,0x03fff800,0x03fff800,0x03fff800,
    0x007ffe20,0xfffffd00,0x09ffffff,0xff907ffb,0x4cbffe21,0x7ff40fff,
    0xffd8801f,0x07ffa1ef,0x09fff100,0x3a1bff62,0x7d4001ff,0x00dff97f,
    0x001fff88,0x03fff800,0x03fff800,0x03fff800,0x03fff800,0x007ffe20,
    0x79bffd00,0x5ffff975,0xff81fff8,0xf99fffc5,0x3ffea0ff,0xfb818000,
    0xffc8004f,0x1fffc406,0x9000bffa,0x3ffea9ff,0x3ffe2001,0xff800001,
    0xff80003f,0xff80003f,0xff80003f,0x3fe2003f,0x15c0001f,0x89bffe60,
    0x7fd40fff,0xf9a7fec3,0x1bfee0ff,0x7ffc4000,0x7ffc4000,0x45ffc801,
    0x7c002ffe,0x0fffe1ff,0x01fff880,0x3fff8000,0x3fff8000,0x3fff8000,
    0x3fff8000,0x07ffe200,0x7e400000,0x03ffe67f,0xffc81ff9,0x5c1fff34,
    0xb00007ff,0xf50005ff,0x3fea00ff,0x0017ff46,0xffd8fff5,0x3ffe2006,
    0xff800001,0xff80003f,0xff80003f,0xff80003f,0x3fe2003f,0x0000001f,
    0x3e23fff3,0x42ffc1ff,0xfff33ffd,0x027ffcc1,0x017fee00,0x802ffdc0,
    0x7ff47ff9,0x17ff2002,0x2001fff5,0x0001fff8,0x003fff80,0x003fff80,
    0x003fff80,0x003fff80,0x0007ffe2,0x1fff8000,0xffa8bffe,0xf32ffe83,
    0xfffd81ff,0xff88000d,0xff90000f,0xffffffff,0x41ffffff,0x3e003fff,
    0x7ffc42ff,0x7fff1003,0x55555555,0x7ffc0035,0xfff80003,0xfff80003,
    0xfff80003,0x3ffe2003,0xaaaaaaab,0x4cc001aa,0x21fff999,0x3ff23fff,
    0x98fffc40,0x7f440fff,0x6c001eff,0x3ffb22ff,0x3fff601d,0xffffffff,
    0x3e0fffff,0xff5003ff,0x0dffb01f,0x3ffffe20,0xffffffff,0x0fffe004,
    0x0fffe000,0x0fffe000,0x0fffe000,0xfffff880,0xffffffff,0x7ffedc04,
    0x1fffffff,0x5ff9bff2,0x3e67ffb8,0xffd880ff,0xff5002ff,0x3ffffa2b,
    0xdff903ff,0x99999999,0x7c199999,0xff9003ff,0x03ffee0b,0x3ffffe20,
    0xffffffff,0x0fffe004,0x0fffe000,0x0fffe000,0x0fffe000,0xfffff880,
    0xffffffff,0xfffff504,0xffffffff,0x567ffcc3,0x7ff443ff,0x803ffe63,
    0x401ffffc,0xff90fff8,0x01fffb5b,0x0000dff7,0x3e007fff,0xfff103ff,
    0xbfff1007,0x99999999,0x7ffc0059,0xfff80003,0xfff80003,0xfff80003,
    0x3ffe2003,0xcccccccd,0xfff982cc,0x9999aacf,0x7fec1fff,0x3a20ffef,
    0x7ffcc6ff,0x37ffd400,0x7c4fff60,0x41ffe46f,0x80007ffa,0xfa804fff,
    0x3ffa00ff,0x1fff8806,0xfff80000,0xfff80003,0xfff80003,0xfff80003,
    0x3ffe2003,0x3ffe0001,0x0fffc00e,0x3fffffe2,0x2ffffdca,0x4007ffcc,
    0xf500fffb,0x21ffccbf,0xff984ffa,0x7fc0002f,0x6ffc804f,0x007ffdc0,
    0x0007ffe2,0x00fffe00,0x00fffe00,0x00fffe00,0x00fffe00,0x001fff88,
    0x005fff10,0xfd103fff,0xffffffff,0x1fff303d,0x05fff100,0x7d41fff1,
    0x82ffc42f,0x0000fffd,0xf009fff1,0x55555bff,0x07fff955,0x001fff88,
    0x03fff800,0x03fff800,0x03fff800,0x03fff800,0x007ffe20,0x007ffd40,
    0xe807ffe2,0x3effffff,0x003ffe60,0x7e40fffc,0x21ffd43f,0xff304ff8,
    0x881003df,0x7d404fff,0xffffffff,0x05ffffff,0x000fffc4,0x01fffc00,
    0x01fffc00,0x01fffc00,0x01fffc00,0x003fff10,0x803ffea0,0x201fffe9,
    0x000a9dff,0x9001fff3,0xff981fff,0x5c5ff986,0x3ff602ff,0xcaabceff,
    0x3fe20fed,0x7ffe405f,0xffffffff,0x200fffff,0x0001fff8,0x003fff80,
    0x003fff80,0x003fff80,0x003fff80,0x0007ffe2,0xc827ffcc,0x501fffff,
    0xf30005ff,0x666641ff,0xe83ffffc,0xbffd01ff,0x700dff53,0xffffffff,
    0x7c41ffff,0x7ffc05ff,0xcccccccd,0x03fffccc,0x0007ffe2,0x00fffe00,
    0x00fffe00,0x00fffe00,0x00fffe00,0x001fff88,0x2fbfffa0,0xfeefffdb,
    0x01ff901f,0x41fff300,0xfffffffd,0x204ffc84,0xfffffff9,0xffdb1002,
    0x19dfffff,0x502fffc4,0x74001fff,0x3fe205ff,0xf800001f,0xf80003ff,
    0xf80003ff,0xf80003ff,0x3e2003ff,0x260001ff,0xffffffff,0x203ffb4f,
    0xf30005ff,0x7ffec1ff,0xff981def,0xfffe9806,0x2a60001e,0x3ba20199,
    0x1bff204e,0x01fff900,0x0007ffe2,0x00fffe00,0x00fffe00,0x00fffe00,
    0x00fffe00,0x001fff88,0x7fffec40,0x07ff62df,0x44000000,0x20000019,
    0x00000098,0x3ffe0000,0x7ffcc003,0xddfff102,0xdddddddd,0xddddd90b,
    0xdddddfff,0xdddd901d,0xddddfffd,0xddd901dd,0xdddfffdd,0xdd901ddd,
    0xddfffddd,0xf101dddd,0xddddddff,0x100bdddd,0x00000013,0x00000000,
    0x00000000,0xfff98000,0x5ffe8001,0xffffff10,0xffffffff,0xffffffb0,
    0xffffffff,0xfffffb01,0xffffffff,0xffffb01f,0xffffffff,0xfffb01ff,
    0xffffffff,0xff101fff,0xffffffff,0x0000ffff,0x00000000,0x00000000,
    0x00000000,0x80037fe4,0xf880fffc,0xffffffff,0xfd87ffff,0xffffffff,
    0xd80fffff,0xffffffff,0x80ffffff,0xfffffffd,0x0fffffff,0xffffffd8,
    0xffffffff,0xfffff880,0xffffffff,0x7ffd1007,0x40f6a000,0x0c400cd9,
    0x36a00000,0x0019b303,0x4ccd5544,0x54409999,0x00000001,0x00000000,
    0x00000000,0x00000000,0x44000000,0x003ffffe,0x221fffcc,0xfd105fff,
    0x2a005bff,0x3fe605ff,0x2fffc43f,0x7ffffdc0,0x6fffffff,0xb017ffea,
    0x20005fff,0x003fffe9,0x1ffff4c0,0x81ed4000,0xb8800cd9,0x01981ced,
    0x7fff4400,0x3ffa2004,0xffd10003,0x4007fff9,0x7cc5fffb,0xfff106ff,
    0xf8801fff,0x3fee00ff,0x37ffcc5f,0xfffffd10,0xffffffff,0x17ffffcd,
    0x13fffd10,0x8803fb75,0x0003fffd,0x01fffec4,0x87fff300,0x4405fff8,
    0x0dfffffe,0x20003fd3,0x002fffe8,0x0fffffa2,0x25ffd100,0x1003ffe8,
    0xffd05fff,0x3a626209,0x7fe404ff,0x17ffc403,0xfb027ff4,0x3f2637ff,
    0xf13ccfff,0x8809ffff,0xffffffff,0xfff7001f,0xff700007,0x3ee0007f,
    0x7ffcc5ff,0x6efff406,0xffffffff,0xffe88000,0x3fa2000e,0x003fffcf,
    0xd883ddb1,0x371002ee,0xc800ae20,0x3fe603ff,0x20371006,0x3fea02b8,
    0x3fff501f,0x05fffff0,0xfffffd91,0x003dffff,0x001fffcc,0x01fffcc0,
    0x417ffc40,0x7dc04ffe,0x3ffffa62,0xfe88001f,0x7f44004f,0x07ffd12f,
    0x00000000,0xffd95000,0x0fff401b,0xfb000000,0x5ffd80bf,0x505fffa8,
    0xffffffff,0x6c40003b,0x880002ee,0x88002eed,0x0057101b,0x0565d406,
    0x02eed800,0x20f76c40,0x0002eed8,0x00000000,0x0effffe4,0x0003ffc8,
    0x17ff4000,0x441bfee0,0x37fea01a,0x00fffeab,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0001aa88,0x40035510,0x87ffdba9,0x33006ff9,
    0x13310013,0x5c02fff8,0x220006ff,0x05fff880,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffffffb1,0xfd88001b,0x00dfffff,0xd07ffe20,
    0x3fe003ff,0x2ffe802f,0x36027ff4,0x800004ff,0x003fffc9,0x0006aa20,
    0x13555310,0x2aa62000,0x3100009a,0x00013555,0x026aaa62,0x5554c400,
    0x7fcc0009,0xffffffff,0xffff3002,0x05ffffff,0x3ff26262,0x013ff20f,
    0xe802fff8,0x7ffe42ff,0x05fff300,0xffd91000,0x001fffff,0x7ffffec4,
    0xfb5000df,0xdfffffff,0xfffb5005,0x05dfffff,0xfffffb50,0x5005dfff,
    0xfffffffb,0xfb5005df,0xdfffffff,0xdfff5005,0xffff7537,0xefffa805,
    0xffffba9b,0xfffffa82,0x01bfe63f,0xd005fff0,0xfff885ff,0x37ffd41e,
    0x7ffcc000,0x4fffffff,0xfffff300,0x005fffff,0xfffffffd,0xe809ffff,
    0xffffffff,0x7f404fff,0xffffffff,0x7ff404ff,0xffffffff,0x7fff404f,
    0xffffffff,0x13ffe204,0x1037fec4,0x36209fff,0xfffa86ff,0x0fff42ef,
    0x00bffe00,0x3f60bffa,0xfffeffff,0x5c0000ff,0xcbceffff,0x5400fffe,
    0xba9befff,0x7402ffff,0xcbabcdff,0x3a02ffff,0xcbabcdff,0x3a02ffff,
    0xcbabcdff,0x3a02ffff,0xcbabcdff,0x3a02ffff,0xcbabcdff,0xf902ffff,
    0xfff880df,0x80dff903,0x9883fff8,0x009ff701,0xd005fff0,0xfffa85ff,
    0xcfffffff,0x7fc40000,0xfff880ef,0x13ffe204,0x2037fec4,0x7ffcc02b,
    0xf300ae06,0x015c0dff,0xb81bffe6,0x37ffcc02,0xff980570,0x1fff886f,
    0x885ffc80,0xfc801fff,0x7fc4005f,0xfff8000f,0x42ffe802,0xccb98fff,
    0xb00000ac,0xffc80bff,0x0dff900f,0x003fff88,0x007ffc80,0x007ffc80,
    0x007ffc80,0x007ffc80,0xa87ffc80,0xff5007ff,0x00fff50d,0xb001bfea,
    0x3e0005ff,0xffe802ff,0x0017fe62,0x7cc15440,0x7fc401ff,0x1fff882f,
    0x005ffc80,0x01fff980,0x0fffcc00,0x3ffe6000,0x7fcc0001,0x7cc0001f,
    0x2ffdc1ff,0xb87ff980,0xff3005ff,0x2ffdc00f,0x05fff000,0x7d45ffd0,
    0x540000ff,0x7fe45fff,0x0bffb006,0x2a00fff5,0xf00006ff,0xf00003ff,
    0xf00003ff,0xf00003ff,0xf00003ff,0xfffc83ff,0xffffffff,0x640fffff,
    0xffffffff,0xffffffff,0x0fff8800,0x0bffe000,0xf98bffa0,0x9aaaceff,
    0xffff8019,0x013ff62f,0x7dc37fe4,0xfff3005f,0x33333000,0x98003fff,
    0x1fff9999,0x4ccccc00,0x4c001fff,0x1fff9999,0x4ccccc00,0x7fec1fff,
    0xffffffff,0x40ffffff,0xfffffffd,0xffffffff,0x2ffd800f,0x2027776c,
    0xfe802fff,0x7ffff42f,0xefffffff,0x7fffc40c,0x00fffa4f,0x7e43ffdc,
    0xffffffff,0x0fffffff,0x7fffedc0,0x01ffffff,0x7ffffedc,0x401fffff,
    0xffffffdb,0x5c01ffff,0xfffffffd,0x6dc01fff,0xffffffff,0x77fe41ff,
    0xcccccccc,0x640ccccc,0xccccceff,0xcccccccc,0x22ffd400,0x405ffffb,
    0xfe802fff,0xffffe82f,0xffffffff,0x7ffffc2f,0x400bffe2,0x7ec0fff9,
    0xffffffff,0x0fffffff,0xffffff50,0x3fffffff,0x3ffffea0,0xffffffff,
    0xfffff501,0xffffffff,0x3fffea03,0xffffffff,0xffff501f,0xffffffff,
    0x06ffb83f,0x0dff7000,0xfff10000,0x7ff7fc41,0x017ffc05,0x3ee17ff4,
    0xdccccbff,0x21fffffe,0x7fc4fff9,0xfff5002f,0xcceffc81,0xcccccccc,
    0xff980ccc,0x999aacff,0xf981fff9,0x99aacfff,0x981fff99,0x9aacffff,
    0x81fff999,0xaacffff9,0x1fff9999,0xacffff98,0xfff9999a,0x003ffd41,
    0x007ffa80,0x43ffd800,0x05ff9ffd,0x7c01fffc,0x3ffea2ff,0x7ffe4401,
    0x7f404c43,0xfff7003f,0x000dff70,0x0077ffc0,0x3fe07ffe,0x7ffc00ef,
    0x00efff81,0x7fc0fffc,0x7ffc00ef,0x00efff81,0x3e60fffc,0x980002ff,
    0x00002fff,0xff717fea,0xe80bff17,0x7fec05ff,0x013ffa2f,0x002fffc4,
    0x3200bffb,0x7ffa85ff,0xfff10000,0x83fff005,0xf802fff8,0x7ffc41ff,
    0x41fff802,0xf802fff8,0x7ffc41ff,0x81fff802,0x0000fffd,0x000fffd8,
    0x20fff880,0xbff16ff8,0x207ffd80,0xf12ffffc,0x7f4005ff,0x213fee4f,
    0x4400fffc,0xff983fff,0xfa80002f,0x7fc400ff,0x07ffd41f,0x507ffe20,
    0xf8801fff,0x7ffd41ff,0x0fffc400,0x1003ffea,0xff303fff,0x401003df,
    0x801efff9,0xb0fff200,0xdff759ff,0x3ffee035,0xfffffc83,0x007fff12,
    0xfd8bffe6,0x4fff882f,0x807ffdc0,0x0000fffd,0x3007ffd4,0xfa83fffd,
    0x3fa600ff,0x7ffd41ff,0x3fffa600,0x007ffd41,0xa83fffd3,0x3a600fff,
    0xffb01fff,0x95579dff,0x7ec01fdb,0xaabcefff,0xf980fedc,0xffffe86f,
    0x103fffff,0xf99fffff,0x45ff9bff,0x100bfffe,0xff8dfff7,0x9fff900f,
    0x813ffee0,0x801efff9,0x09fff300,0x07fffff2,0x3209fff3,0x4c1fffff,
    0xff904fff,0xff983fff,0xffff904f,0x4fff983f,0x3fffff90,0x7ffffdc0,
    0x0fffffff,0x7ffffdc0,0x0fffffff,0xfe81ffe8,0xffffffff,0x3fffee03,
    0xff95ffff,0x7ffffcc5,0xfffedcef,0x1bfe60ff,0xdeffff88,0x06fffecb,
    0xceffffd8,0x0fedcaab,0x77dfffd0,0xffddfffb,0x7dfffd03,0xfddfffb7,
    0xdfffd03f,0xddfffb77,0xfffd03ff,0xdfffb77d,0xffd03ffd,0xfffb77df,
    0x8803ffdd,0xffffffed,0xd8800cef,0xfffffffe,0x27fe40ce,0x00bff100,
    0x3bffffa6,0xd50bff22,0xffffffff,0xfa819fff,0x7fec404f,0xefffffff,
    0xffff7000,0xffffffff,0x3fffe601,0xfb4fffff,0xffff303f,0x369fffff,
    0xfff981ff,0xb4ffffff,0xfff303ff,0x29ffffff,0xff981ffd,0x4fffffff,
    0x98003ffb,0x8000199a,0x260199a9,0x7c4006ff,0x4cc4005f,0xdb930000,
    0x0179bdff,0x5c00732a,0x2efffffe,0xffed8800,0x0cefffff,0x3ffff620,
    0x07ff62df,0x7ffffec4,0x407ff62d,0xdfffffd8,0x4407ff62,0x2dfffffd,
    0x6c407ff6,0x22dfffff,0x00001ffd,0x00000000,0x00000000,0x00000000,
    0x0006a600,0x03335300,0x00026200,0x00004c40,0x00000988,0x20000131,
    0x00000098,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40155000,0x003fffe9,0x00013300,0x00013300,0x004cc400,0x3fa20000,
    0x744004ff,0x000003ff,0xfd100004,0xf000007f,0x026663ff,0x26606660,
    0x00035101,0xfd800351,0x3f6200ef,0x2a0003ff,0xf5004ffe,0x3ffaa0bf,
    0x0bff5004,0xffffffb8,0xe8800002,0x44002fff,0x003ffffe,0x3ffb6600,
    0xd1005eff,0x0007ffff,0xff1fff80,0xfff8805f,0xfb13ffc0,0x001bffff,
    0x200bfff5,0x803ffff9,0x4003fffb,0x04ffffd9,0x4c0fff88,0x804ffffd,
    0xd100fff8,0xffffffff,0x74400009,0x44000eff,0x3fffcffe,0x7fec4000,
    0x07ffffff,0xffcffe88,0x3e00003f,0x05fff1ff,0x7c0fff88,0xfffe88ff,
    0x400effff,0x802fffff,0x003ffff9,0x2007fff3,0x4ffffffa,0x543ffc80,
    0x04ffffff,0x3603ffc8,0xffdbdfff,0x880002ff,0x88004ffe,0xffd12ffe,
    0x7fec0007,0x7fedceff,0x897ff440,0x00003ffe,0x3ffe3fff,0x07ffc402,
    0x3ffebffe,0x6fffebbe,0x3ffffe20,0x1fffd004,0x1776c400,0xffabff80,
    0x837fcc04,0x04ffabff,0xf3037fcc,0xfff887ff,0xeed80005,0xeed88002,
    0x01776c41,0x027ffd40,0x0f76c401,0x000bbb62,0x7fc7ffe0,0x7ffc402f,
    0x7fffffc0,0x01fffc82,0x00bffffe,0x00000bb8,0x3fea1300,0x80fff404,
    0x809ff509,0x3ee01ffe,0x0fff906f,0x00000000,0x3fa00000,0x0000005f,
    0x7ffc0000,0x8805fff1,0x7ffc0fff,0x3ffa00ef,0x17ffea05,0x00000000,
    0x204ffa80,0xf5003ffc,0x1ffe409f,0x4c17ff20,0x000007ff,0x00000000,
    0x0003fff0,0x80000000,0x5fff1fff,0x40fff880,0x5c01ffff,0x0d4407ff,
    0x26000000,0xfa8001aa,0x0dff304f,0x9827fd40,0xffc806ff,0x00dff706,
    0x00355300,0x006aa600,0x01fff100,0x00266600,0x4c002662,0x23fff09a,
    0x7c402fff,0x1fffc0ff,0x007ffcc0,0x1f74c000,0xffffea80,0xf5001dff,
    0x07ffa09f,0xd04ffa80,0xff7003ff,0x09ffd01f,0x3fffaa00,0x4001dfff,
    0xffffffea,0xff98001d,0x3ffe0007,0x02ffe802,0x3fffffb2,0xfff1ffff,
    0x0fff8805,0x44017ffc,0x00001fff,0xc804ffa8,0xffffffff,0xffa803ff,
    0x004ffc84,0x7e427fd4,0xfff3004f,0x00fffd89,0xfffffc80,0x003fffff,
    0xfffffff9,0xa8007fff,0x3e0007ff,0xffe802ff,0xffffe982,0x1fffffff,
    0xf8805fff,0x17ffc0ff,0x00fffc40,0x27fd4000,0x33bfffa0,0x4ffffdba,
    0x2627fd40,0xfa8006ff,0x037fcc4f,0x267fff60,0x8002fffe,0xbacefffe,
    0x404ffffd,0xbacefffe,0x004ffffd,0x8001ffea,0xfe802fff,0x7fffdc2f,
    0xfffdcabd,0x805fff1f,0x7fc0fff8,0x5fff002f,0xff500000,0x1fffdc09,
    0x00fffe98,0xffd13fea,0x9ff50003,0x4001ffe8,0xfffffff8,0xffb8001f,
    0xfffd303f,0x0fffee01,0x207fff4c,0xfcaaaaa9,0xaaaaaaff,0x5fff00aa,
    0x445ffd00,0xf100dfff,0x0bffe3ff,0xf81fff10,0xff8802ff,0xb800000f,
    0xfff104ff,0x5fff8807,0x04ffb800,0x27fdc000,0xffffb800,0xf88000df,
    0x7fc403ff,0x3fff885f,0x22fffc40,0xfffffffb,0xffffffff,0x5fff02ff,
    0x645ffd00,0xfff805ff,0x8805fff1,0x7ffc0fff,0x07ff9802,0x3ff6e000,
    0xfff905ff,0x03ffee00,0x00fff880,0x3ffe2000,0xffe98000,0x320005ff,
    0xff7007ff,0x07ffc81f,0x5c1fff70,0xffffffff,0xffffffff,0x05fff02f,
    0x3e65ffd0,0xfff801ff,0x9807fff1,0x7ffc0fff,0x06ffb802,0xfffe9800,
    0xffb05fff,0x3ffe2009,0x0bff6001,0x5ffb0000,0xffff5000,0xffd05fff,
    0x013ff607,0x360fffc4,0xff1004ff,0x55554c3f,0xaaafffca,0xf00aaaaa,
    0xffd005ff,0x401bfea5,0xbfff1fff,0x41fffe80,0xfe802fff,0x3ffa604f,
    0x9dfffd02,0x3ffe0357,0x0bffe002,0x002ffdc0,0x017fee00,0x277ffe60,
    0x7fc1ffff,0x05fff02f,0x3e17ffc0,0x3fe002ff,0x7ffa802f,0x0bffe000,
    0x7e4bffa0,0x3fff005f,0xfd81fffe,0x7ffc1fff,0x07ffd402,0x83ffffd0,
    0x1002fffc,0x74003fff,0xff8804ff,0x2200000f,0xe8000fff,0x3ffea5ff,
    0x03fff30e,0x4003fff1,0x3fe24ffe,0x3ffa001f,0x07ffa804,0x00bffe00,
    0x7fecbffa,0x23fff004,0x220bffff,0x44fffffd,0x3ee03fff,0x7ffc03ff,
    0x2fff44ff,0x01fff300,0x4027fec0,0x3fae2ffd,0x7ec003ef,0x27776c2f,
    0x2e07ffd4,0xfff55fff,0x01fff301,0xf327fec0,0x7ec001ff,0x7ffa804f,
    0x0bffe000,0x7f4bffa0,0x3fff003f,0x33fffffe,0xffbcfffc,0xdffff1df,
    0xfffdb799,0xffffb00b,0x003fff8d,0x8007ffe2,0x7d403ffe,0x3ffff65f,
    0xff5003ff,0x5ffffb8b,0xfb05ffc8,0x0fff79ff,0x8007ffe2,0x3fe23ffe,
    0x3ffa001f,0x07ffa803,0x00bffe00,0x7ff4bffa,0x23fff003,0xffffffff,
    0xffff14ff,0x3fffffe7,0x03ffffff,0x4dffff10,0x4003fff8,0x3e002fff,
    0x3fe202ff,0x2a73e60f,0xff8807ff,0x3fbfe20f,0x04ffd85f,0xffdfffd1,
    0x017ffc09,0xff85fff0,0x3ffe002f,0x07ffa802,0x00bffe00,0x7fecbffa,
    0x23fff004,0xfffeafff,0x9fff4c2e,0xffffefff,0x5c000cef,0x7ffc5fff,
    0x1fff4005,0x01fff880,0xd020fff6,0xffd801ff,0x7fcffec3,0x204ffe85,
    0x1ffffff9,0x400fffa0,0x7f41fff8,0xfff1003f,0x0fff5003,0x01fffc00,
    0xffc97ffc,0x1fffa805,0x02623fff,0x97ffc310,0x4c000099,0x7fec4fff,
    0x3ff6000f,0x0fff9007,0x4402ffd4,0x7fd407ff,0x7c5ffdc5,0x06ffd85f,
    0x037fffd4,0x6401fff6,0x7ffd87ff,0x00fff900,0x8001ffea,0x7ec05ffe,
    0x0fff72ff,0xf1ffffa8,0xf80003ff,0x400002ff,0x7cc1fffb,0xf3000eff,
    0xff9807ff,0x1fff102f,0x03ffe880,0xf883ffe2,0x70bff16f,0xfd805fff,
    0x7fcc06ff,0x7ffcc03f,0x03fff982,0x8017ffcc,0x20007ffa,0x3f207ffd,
    0xfff12fff,0x3fffe605,0x005fff1f,0x002fff80,0x17ffa200,0x00f7ffec,
    0x304fffd8,0x7e40dfff,0x7ff4c03f,0x21ffe403,0xffbacffd,0x3ffe21ae,
    0xfffd882f,0x7fec04ff,0xdfff304f,0x827ffec0,0x2006fff9,0x20007ffa,
    0xfc83fffb,0x3f62ffff,0x7ffd41ff,0x5fff1ffe,0x2fff8000,0x7e4cc000,
    0x3fa00fff,0x09abefff,0xdeffff88,0x1ffffecb,0xb80dff30,0x7cc02fff,
    0xffffe86f,0x5c3fffff,0xecdeffff,0xffffffff,0x3fffe203,0xfffecbde,
    0x3ffe201f,0xffecbdef,0x3ea001ff,0x3e20007f,0xffccffff,0x2a2ffcdf,
    0xffcdffff,0xf1ffd8ff,0xf80005ff,0x260002ff,0x00dfffff,0xffffffc8,
    0xfffb104f,0x1dffffff,0x900fff40,0x35557fff,0xfd03ffd0,0xffffffff,
    0xfffff907,0xf35fffff,0x6c403fff,0xffffffff,0xfd8800ef,0xffffffff,
    0x7fd4000e,0x7fdc0007,0x95ffffff,0xfffb85ff,0xfb0effff,0x00bffe3f,
    0x005fff00,0x177ffcc0,0x3fff6600,0x7f5c04ff,0x403dffff,0x7f404ffc,
    0x43ffffff,0x22004ffc,0x7ecc05ff,0x20ceffff,0x400ffffa,0xdfffffeb,
    0xffeb8003,0x0003dfff,0x0000fff5,0x5dffffd3,0x75417fe4,0x360cefff,
    0x05fff1ff,0x02fff800,0x0006a200,0x0f732a20,0x30009880,0xffd00dff,
    0x4c7fffff,0x7c4006ff,0x0262005f,0x09880000,0x02620000,0x1ffea000,
    0x09988000,0x00262000,0x0001eed8,0x0000f76c,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x4d440000,0xb71004c0,0xf033039d,0x4c0005ff,0x0001ccee,0x4fffe880,
    0xd981ed40,0x8004000c,0x44001998,0xffd30199,0x9880007f,0x13000009,
    0x13100000,0x00088000,0x880dfff5,0xffffffdc,0xfd101ffe,0x261bffff,
    0x17ffc1fe,0xffff3000,0x200009ff,0x402fffe8,0x7c43fff9,0xfb1005ff,
    0xfffb805f,0x1bffa001,0x03fffd88,0x7fffedc0,0x3000beff,0x9dffffdb,
    0xfb950003,0x037dffff,0xeffedb88,0x3ffea02d,0x3fffa606,0xffffffff,
    0xfbbffd01,0x1fffffff,0x0002fff8,0x3fffffe6,0x220001ef,0xb800effe,
    0x7fcc5fff,0xfff9006f,0x7ffc401f,0x7fff1004,0x07fff700,0x3ffffe60,
    0x03ffffff,0x3fffff62,0x005fffff,0xffffffd1,0x201fffff,0xffffffe8,
    0xfff304ff,0x3fffea0b,0xfffdbabd,0x4c5f701f,0x81fffffe,0x40002fff,
    0xffffba98,0xfe88002f,0x3fe2004f,0x04ffe82f,0x03ffffd0,0x7007ffd8,
    0x26001fff,0xf9803fff,0xffecdeff,0xffb02fff,0xfffb9dff,0xffb809ff,
    0xffefffff,0xfe980fff,0xfffddfff,0x7ffcc0ef,0x0dfff885,0x403fff10,
    0x01597501,0x0000bffe,0x07fffee0,0x005ddb00,0x2e203710,0x3fff2002,
    0x7ffcc00f,0x05ffe802,0x01776c40,0xffa802e2,0xafffb87f,0x1fffd980,
    0x59ffff90,0x40fda881,0xc81ffff8,0x7fcc4fff,0x05ffc84f,0x0001fff8,
    0x00bffe00,0x7ffd4000,0x00000005,0xfd880000,0xbffd002f,0x02fff980,
    0x70000000,0xffe83fff,0x17ffc403,0x017fffcc,0x7ffdc088,0x83fff201,
    0x7c44fff8,0xfff801ff,0x3e000001,0x000002ff,0x0003fff2,0x00000000,
    0x7fdc0000,0x1fff200f,0x80000000,0x3e22fff8,0xffe801ff,0x00fffd84,
    0x017ffc00,0xff11fffc,0x06ffb87f,0x4003fff0,0xff801aa9,0x001a882f,
    0x417ffd40,0x98800999,0x2aa60009,0x40000001,0x3a03fff8,0x4ccc04ff,
    0x00998800,0x7c2fff80,0xfff802ff,0x01fffd42,0x03ffea00,0xff1fff20,
    0x05ffc87f,0xa803fff0,0xdffffffe,0x225fff01,0x0dfffffd,0x3fff8800,
    0xe802fff8,0x7f5402ff,0x01dfffff,0x26666666,0x3ff60009,0x01fff306,
    0xe802fff8,0x7c4002ff,0x05ffd87f,0x7f43ffd4,0xfd80006f,0xffe9805f,
    0xb0bffe1f,0x3fe009ff,0x3fff201f,0x3fffffff,0xfe89fff8,0x0effffff,
    0x17ffc400,0x74017ffc,0x3ff202ff,0xffffffff,0xfffff883,0x2a006fff,
    0xffc81fff,0x02fff806,0x4002ffe8,0xffa85ffb,0xbffd104f,0x0007fff0,
    0xb805ffd0,0x002fffff,0x3e007ffd,0xfffd01ff,0xfffb759d,0xfbfff89f,
    0xffebbeff,0x7fd4006f,0x02fff81f,0xfd02ffe8,0xfb759dff,0xff889fff,
    0x06ffffff,0x7c2fff40,0xfff803ff,0x02ffe802,0x20bffe60,0x21efffe8,
    0x4c1efffb,0x80001fff,0xfb101fff,0x005fffff,0x7c00fffa,0xfffb81ff,
    0x1fffd303,0x17fffffc,0x800fffe4,0xff06ffe9,0x5ffd005f,0x207fff70,
    0x640fffe9,0x6ffdcccc,0x07ffdc00,0xf001fff5,0xffd005ff,0xb5333105,
    0x6c403dff,0xffddffff,0xfffa80df,0x7fc40000,0xfffe981f,0x3623ffdd,
    0x13ff61df,0x220fffc0,0x7c403fff,0x3fffe5ff,0x17ffa00e,0x3ffb3326,
    0x5fff02ff,0x885ffd00,0x7c403fff,0xffb805ff,0x7ffc4006,0x4017ff23,
    0xfe802fff,0xffffe82f,0xf7000eff,0x09ffffff,0xe883ffdc,0x1eeeeeee,
    0xfb81fff3,0x9ff93fff,0x43ffffe2,0xfa805ffc,0x3ffe41ff,0xf0fffb80,
    0xfb803fff,0xffffa87f,0x3fe02fff,0x2ffe802f,0xb803ffe4,0x7dc00fff,
    0xffd8006f,0x003fff16,0x3a00bffe,0xfffe82ff,0x802effff,0xffffffe8,
    0x0dffb00d,0x3fffffe2,0x4fff31ff,0x21efffd8,0xfff55ffc,0x1ffee9ff,
    0x83ffff50,0xf1004ffd,0x0fffe3ff,0x303ffe60,0x017bdfff,0xe802fff8,
    0x27fec2ff,0x01fff880,0x40037fdc,0xffb8fffa,0x0bffe006,0x2e0bffa0,
    0xfffedccc,0x3ffee05f,0x2fffffef,0xf106ffc8,0x3fffffff,0x7f4dffe6,
    0x7fe40dff,0x9fffff74,0x4c0bffe6,0x7c1fffff,0x3fe002ff,0x005fff2f,
    0xf983fff1,0x7ffc006f,0x42ffe802,0x3e002fff,0x7fdc02ff,0x7fff0006,
    0x7c009ffd,0xffe802ff,0x3ff22002,0xefffc84f,0x7ffffb31,0x2007ffb8,
    0xff11fff8,0x07ffff7f,0x7fcd3ff6,0x3ff62fff,0x7fffd41f,0x3ffe21ff,
    0x53ffa001,0xf8802fff,0x37fcc1ff,0x00bffe00,0xff88bffa,0x3ffa001f,
    0x037fdc04,0xffeffc80,0x3ffe000f,0x02ffe802,0x21fffc80,0xf704fffc,
    0x7fd43fff,0xfff1000f,0x7fffffc3,0x8fffa01e,0x7d44fffb,0xfffcdfff,
    0x261ffe9f,0x36000fff,0x05fff4ff,0xf30bffe0,0xfff800df,0x22ffe802,
    0x2000fff9,0x7dc04ffd,0xff10006f,0xf800dfff,0xffe802ff,0x7fff0002,
    0x5013ffe2,0x7fccbfff,0xfff1001f,0x27ffff43,0x2217ffc0,0xffff7009,
    0x3fe1dfff,0x07ffe21f,0xff3ffe80,0xfff1005f,0x005ff881,0x74017ffc,
    0x3ffe22ff,0x0fffa001,0x000dff70,0x00ffffec,0x200bffe0,0xd0002ffe,
    0x3ffee9ff,0x27ffd800,0x1004fff8,0x7fec3fff,0xfff8802f,0xffea8001,
    0x3ffe0cef,0x0017ffc1,0x3ffe5fff,0x87ff9802,0x7c004ee8,0xffe802ff,
    0x0017ffc2,0xfb805fff,0x3ea0006f,0xff8006ff,0x2ffe802f,0x27ffd000,
    0xf7006ffc,0x7fff41ff,0x1fff8800,0x6401bff2,0x6f6446ff,0xf804c401,
    0x1fff41ff,0xf1fff880,0xff7005ff,0xff80000d,0x2fff803f,0x8801fff4,
    0x7dc01fff,0x3ea0006f,0xff8002ff,0x2fff803f,0x1fff8800,0x2e00fff9,
    0x7ffcc7ff,0x1fff8804,0x200bffe2,0x7ff43ffe,0x3e0001ff,0x3ffec1ff,
    0x3e7ffc80,0xffe802ff,0x7f400004,0x7ffec05f,0x803ffec2,0xfb807ffc,
    0x3fa0006f,0xffd0006f,0x2fffd80b,0x27ffd800,0xe801fffb,0xfffd85ff,
    0x0fffc404,0xc803bff6,0x3fe60fff,0x20005fff,0x7fcc1fff,0x7ffcc03f,
    0x700bffe2,0x32e01fff,0x3ffec001,0x85ffff90,0x4c03fff9,0xfb802fff,
    0xff70006f,0x3f60005f,0x3fff207f,0x3f6a002f,0x3ffe61ff,0xfff9102f,
    0xbffff107,0x3fff1013,0x80dfff98,0x7d44fffc,0x0005ffff,0x3f607ffe,
    0xfff304ff,0x203fff8d,0xfb03fffb,0x7dc005ff,0xfffc83ff,0xfffd82ff,
    0x0dfff304,0x001bfee0,0x0013ffea,0xc83fffb8,0xdd2fffff,0xfdd99999,
    0xff707fff,0xfb999dff,0x7d40bfff,0xcdefffff,0xc81ffffe,0xfdcdffff,
    0xff885fff,0x20003fff,0xff881fff,0xfecbdeff,0x7ffc1fff,0xfecbccff,
    0xfff105ff,0x7fc400bf,0xfffccfff,0xf882ffcd,0xecbdefff,0x7001ffff,
    0x31080dff,0x000dfffb,0xcfffff88,0xffcdfffc,0xffffffd2,0x405dffff,
    0xfffffffc,0x8805ffff,0xfffffffd,0x701fffff,0xffffffff,0x7ffd409f,
    0x7ffc0005,0xffffb101,0x01dfffff,0xffffffff,0x4407ffff,0x4004ffff,
    0xfffffffb,0x205ff95f,0xffffffd8,0xec80efff,0xfffeeeee,0xfd3eeeee,
    0x03dfffff,0xffff7000,0x3f2bffff,0xfffffd2f,0x2005bdff,0xffffffc8,
    0x6d4001cf,0xdffffffe,0x7fecc00b,0x8802deff,0xff80001a,0x7ff5c01f,
    0x4c03dfff,0xefffffec,0xeffb800c,0xffe98000,0x3ff22eff,0x7fff5c02,
    0x3f603dff,0xffffffff,0xfd4fffff,0x0009ffff,0xffffe980,0x98bff22e,
    0x00009a99,0x0009a988,0x0066a600,0x00009880,0x3bba0000,0x00262001,
    0x00009880,0x88000131,0x20000099,0xffb00098,0xffffffff,0x3f69ffff,
    0x00001bce,0x00026620,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x10000000,0x0009fffd,0x88000001,0x00440000,0x3fffe980,0x7f440000,
    0x17ffc03f,0x07b50000,0x10003366,0x02ffdc00,0x04cc0000,0xffffff10,
    0x71000dff,0x033039db,0xfffe8800,0xffb73002,0x800059df,0xfffffdba,
    0x36e200bd,0x00bdefff,0x0ffff620,0x7ff44000,0x3ffe03ff,0xff300002,
    0x5fff887f,0x006ec880,0x00017fee,0xffffd910,0x7c43bdff,0x6fffffff,
    0x7fff4400,0x3fd30dff,0x3ffa2000,0xfff7000e,0x1dffffff,0xfffd8800,
    0x7fffffff,0xfffffd30,0x8003dfff,0x0003fffb,0x7fe7ff44,0x05fff03f,
    0x3ffee000,0x037ffcc5,0x70037fdc,0x20000bff,0xffffffc8,0x222fffff,
    0xffeeeeee,0x6fff4006,0xfffffffd,0xfe88000f,0x3ff6004f,0xffdbacef,
    0xfd3001ff,0xffdfffff,0xfff70fff,0xfffffdff,0xff98005f,0xfd10003f,
    0x0fffa25f,0x0000bffe,0x7417ffc4,0xffb804ff,0x17fee006,0x7fff4000,
    0xffeeeeef,0x6ffb802f,0xd317dc00,0x003fffff,0x800bbb60,0x3200effe,
    0x7cc02fff,0x440adfff,0x7ffd47da,0x3fee60ae,0x6c4001ff,0x6c4002ee,
    0x776c41ee,0x0017ffc2,0x22037100,0xdff7002b,0x02ffdc00,0x67ffe400,
    0x2006a201,0x18006ffb,0x00159750,0xffb80000,0x6ffb800d,0x01ffff40,
    0x07fff408,0x009fff70,0x00000000,0x0002fff8,0x2e000000,0x3ee006ff,
    0x7c40005f,0x400004ff,0x00006ffb,0x00000000,0xc800fff1,0xfff503ff,
    0x3fea0005,0xfffc801f,0x00000000,0x0bffe000,0x40000000,0xffb99998,
    0x9999999e,0x00bff709,0x00fffa80,0x37fdc000,0x40000000,0x99999999,
    0x83ffb800,0xf10aceca,0x1bffa0df,0x05ffe800,0x407fff30,0x99999999,
    0x4cccc000,0x7c009999,0x4d5442ff,0x33333000,0xfd801333,0xffffffff,
    0x3fffffff,0x3100bff7,0x3ffdc133,0x7fdc0000,0x20666006,0x10009aa8,
    0xffffffff,0x41fff00d,0x4fffffe9,0xff70bff2,0x3e60005f,0x3fa002ff,
    0xffff106f,0x400dffff,0xfffffff8,0x97ffc06f,0x4fffffe9,0x7ffffc40,
    0x7ec06fff,0xffffffff,0x3fffffff,0xf980bff7,0x3fea1fff,0x5c00002f,
    0x3fe006ff,0x3ffffa67,0x7fc400df,0x06ffffff,0xff127fc4,0x449dbbff,
    0x37fe44ff,0x1fff5000,0x83ffdc00,0xfffffff8,0x3fe2006f,0x06ffffff,
    0x7fd4fffc,0x06ffffff,0x3fffffe2,0x665c06ff,0xccfffdcc,0x71cccccc,
    0x7fcc0bff,0x7ffc40ff,0x2e00000e,0x3fe006ff,0xffffff57,0x99900dff,
    0x80dffb99,0x3ff23ffa,0x17fe041d,0x4000bffb,0x54006ffb,0x333207ff,
    0x006ffdcc,0x7ee66664,0x67ffc06f,0xffcbdfff,0x333203ff,0x006ffdcc,
    0x2006ffb8,0xff305ffb,0x3ff601df,0x700003ff,0x7fc00dff,0xdacfffbf,
    0x8003ffff,0x7dc06ffb,0x007ffe2f,0x9ffd1bfa,0x37fe4000,0x03ffea00,
    0x006ffb80,0x406ffb80,0x41efffff,0x4007ffd8,0xb8006ffb,0x3ee006ff,
    0xefff985f,0x3fffa200,0x20000bef,0x3e006ffb,0x440effff,0xb8007ffd,
    0x7fe406ff,0x200dff11,0x1fffc7fd,0x0bffb000,0x01fff980,0x001bfee0,
    0xf01bfee0,0x2601dfff,0x2e000fff,0xfb8006ff,0x3fee006f,0x077ffcc5,
    0x7fffec40,0xb8001cff,0x3fe006ff,0xff300eff,0xffb8001f,0x987fec06,
    0xff9004ff,0x00bffe21,0x004ffe80,0x0017ffc4,0x0000dff7,0xff80dff7,
    0x7ffc00ff,0x1bfee001,0x01bfee00,0x3e65ffb8,0x54000eff,0xdffffffe,
    0x1bfee000,0x00ffff80,0x2000fffc,0x7e406ffb,0x00dff30f,0x7fc43ff6,
    0x3fa0003f,0x7fcc005f,0x3fee001f,0xffb80006,0x017ffc06,0x70017ffc,
    0xf7000dff,0x7fdc00df,0x01dfff35,0x7ffecc00,0xf7003fff,0x7ffc00df,
    0x02fff802,0x2037fdc0,0xfff11ffb,0xf8ffd001,0x360004ff,0x7cc005ff,
    0x3ee000ff,0xfb80006f,0x17ffc06f,0x0017ff40,0x7000dff7,0x7dc00dff,
    0x0efff8df,0xff710000,0xf7007fff,0x7ffc00df,0x02ffe802,0x2037fdc0,
    0x3ffa2ffa,0x745ff803,0x320005ff,0x7d4006ff,0x7fdc007f,0xffb80006,
    0x017ffc06,0x70017ff4,0xf7000dff,0x7fdc00df,0x000ffffe,0xfffc8800,
    0x37fdc01f,0x005fff00,0xb8005ffd,0x7fcc06ff,0x33fffea4,0x13fe24ec,
    0x4000dffb,0x5c007ffb,0x7dc006ff,0xfb80006f,0x17ffc06f,0x0017ff40,
    0x7000dff7,0x7dc00dff,0x03fffcdf,0x3fea0000,0x37fdc04f,0x005fff00,
    0xb8005ffd,0x7fc406ff,0x7ffffe47,0x90ffee4f,0x20001fff,0x2001fffa,
    0x5c005ffe,0xb80006ff,0x7ffc06ff,0x02ffe802,0x001bfee0,0xb801bfee,
    0x5fffb5ff,0x7f400000,0x37fdc06f,0x005fff00,0xb8005ffd,0xffc806ff,
    0x5ef764c3,0xf503ffe1,0x220009ff,0xf3004fff,0xfb8005ff,0xfb80006f,
    0x17ffc06f,0x0017ff40,0x5000dff7,0x7dc00dff,0x0bfff65f,0x7fe40000,
    0x037fdc06,0xd005fff0,0xfb8005ff,0x6ff8806f,0x81ffdc00,0x0000fffe,
    0x3200fffb,0xfb8006ff,0xfb80006f,0x17ffc06f,0x0017ff40,0x5000dff7,
    0x7dc00fff,0x3fffa25f,0xfd800001,0x37fdc05f,0x005fff00,0xb8005ffd,
    0xff9006ff,0x1ffe600b,0x01ffffa8,0x05fff980,0x0017ffdc,0x00037fdc,
    0x3e037fdc,0xffe802ff,0x1bfee002,0x0bffe200,0x222ffdc0,0x0001ffff,
    0x00fffe60,0x7c00dff7,0xffe802ff,0x37fdc002,0x0efff880,0x00fffee0,
    0x037ffffb,0xfffd1b26,0xfffb881b,0xdff70006,0xdff70000,0x802fff80,
    0x2e002ffe,0xff0006ff,0xff7003df,0x1ffff30b,0x71002f20,0xb801ffff,
    0x3fe006ff,0x2ffe802f,0x037fdc00,0x7bfffd10,0x5fffd953,0xffffb100,
    0xfffdddff,0xffffe88f,0xeffffedf,0xdff70001,0xdff70000,0x802fff80,
    0x2e002ffe,0xf50006ff,0xb999dfff,0x417fee7f,0xe80efffa,0xecdeefff,
    0x01fffffe,0x2006ffb8,0xfe802fff,0xdddd902f,0xdddfffdd,0x7fec07dd,
    0xefffffff,0x7ffdc001,0xffffffff,0xffffd887,0x005fffff,0xfdddddd9,
    0x7dddddff,0xdddddd90,0xdddddfff,0x200bffe7,0xeec82ffe,0xefffeeee,
    0xd803eeee,0xffffffff,0x40bff73f,0x740efffb,0xffffffff,0x641effff,
    0xffeeeeee,0x83eeeeef,0xfe802fff,0xffffb02f,0xffffffff,0xeca809ff,
    0x00bdefff,0xfffb9100,0x40159bff,0xdfffffdb,0x3fff6002,0xffffffff,
    0xffd84fff,0xffffffff,0xfff4ffff,0x05ffd005,0xfffffffb,0x9fffffff,
    0x3fff6600,0xff72efff,0x6fffc80b,0x7ffffedc,0xb02dffff,0xffffffff,
    0x09ffffff,0xfd005fff,0x3fff605f,0xffffffff,0x4c004fff,0x31000000,
    0x04c40001,0xffffd800,0xffffffff,0xfffd84ff,0xffffffff,0x5fff4fff,
    0xb05ffd00,0xffffffff,0x09ffffff,0x81333100,0xfd805ffb,0x533105ff,
    0xffb00133,0xffffffff,0xff09ffff,0x5ffd005f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x74005ddb,0x006001ee,0xeeeeee88,0x04eeeeee,0x00000030,0x13551000,
    0x0004c000,0x3bb72e60,0x7777443e,0xeeeeeeee,0xeeee980e,0x00abceee,
    0x0002eed8,0xeeeed800,0x72eeeeee,0x54001ddd,0xff800eee,0x3ffe003f,
    0x3ffb6602,0x3e601def,0xffffffff,0xd9505fff,0x0019dfff,0x00bffee0,
    0xfffffd70,0xd91009df,0x007bdfff,0x7fffff54,0x7ffc44ff,0xffffffff,
    0xfffa81ff,0xffffffff,0x0bffe00c,0xff300000,0xffffffff,0x17ffe25f,
    0x027ffc40,0x2003fff8,0xff902fff,0x7fffffff,0x3ffffe60,0x5fffffff,
    0x7fffff44,0x2003ffff,0x02fffffa,0xfffffd30,0xb80dffff,0xffffffff,
    0x3fe600ef,0xffffffff,0x7ffffc44,0xffffffff,0xfffffa81,0xffffffff,
    0x005fff02,0xfffc8000,0xeeeeeeff,0x007ffee2,0x4003fff2,0x3e003fff,
    0xfffe82ff,0xfffedcce,0x3ff60004,0x3ffffea5,0x2fffffee,0x7ffff540,
    0xffa802ff,0xecbbdeff,0x3ffee06f,0xfffeccef,0xdffff306,0xff880357,
    0x7fd40007,0x7fed4c47,0xbfff83ff,0x00000999,0x3ffbbfe2,0x0dffd001,
    0x003fff88,0xf800fffe,0x7ffe42ff,0x03fffb02,0xd97ff600,0x7dc0aeff,
    0xfea80eff,0x2fffffff,0x1ffffc40,0x3fe20710,0x0fd880ef,0x02efff88,
    0x003ffc40,0x501ffea0,0xff81ffff,0xefffffff,0x3ee0001d,0x001ffebf,
    0x6c07fff5,0x7fc006ff,0x3ffe003f,0x00bffe62,0x2000bffb,0x02745ffd,
    0xf30bffee,0xff35ffff,0xfffc805f,0x3ff20001,0xfc80400f,0xf88000ef,
    0x7d40007f,0xfff9807f,0x7fffffc4,0x1effffff,0xe8ffe800,0x3f6001ff,
    0xfff980ff,0x1fffc001,0x645fff00,0xffa806ff,0xffd8001f,0x9fff0005,
    0x7cc7ffd0,0x3fe602ff,0x7f40004f,0xff30003f,0x3e20003f,0x7d40007f,
    0xfffb007f,0x666fffc1,0xfffffedc,0x57fe6001,0x26001ffe,0xffe84fff,
    0x3fff8004,0xd8bffe00,0xffd004ff,0xbffb0007,0x17ffa000,0xfff3032a,
    0x07ffdc05,0x0bffe000,0x027fe400,0x00fff100,0x007ffa80,0x7fc5fff3,
    0xfff9102f,0x3ff6001f,0x8003ffd1,0x3ea0fffc,0xff8000ff,0x3ffe003f,
    0x400fffe2,0xd8004ffd,0xfb0005ff,0x7fcc00bf,0x1bff202f,0x3fff1000,
    0x0bffa000,0x07ff8800,0x03ffd400,0x7fc9fff0,0x7ffd402f,0x26ff8804,
    0x44001ffe,0x3ffa4fff,0x7fff0003,0xf17ffc00,0x3f2007ff,0xffd8005f,
    0x9ffd0005,0x17ffcc00,0x0009ffb0,0x000fff98,0x440fff88,0x7ff88019,
    0x3ffd4000,0x7cbffd00,0xffd802ff,0x23ffb806,0xa8001ffe,0x6ffb9fff,
    0x0fffe000,0x3a2fff80,0xff7004ff,0xbffb000d,0x7fff1000,0x17ffcc00,
    0x0007fff0,0x000fff98,0xeb8effa8,0x04efffff,0xdffffff1,0x655405bd,
    0x0aaaafff,0x7fcdffb0,0xfffa802f,0xd07ff400,0x333335ff,0xffbffd00,
    0x7fc0003f,0x3ffe003f,0x401fff62,0xd8007ffa,0xfb8005ff,0x3e6000ff,
    0x3ffa02ff,0x7fcc0004,0xffb8000f,0xffffffff,0x7c41efff,0xffffffff,
    0xffff83ff,0x02ffffff,0x7ffcfff9,0x1fff9802,0xfd17fe60,0x1fffffff,
    0xfffff980,0x7ffc0004,0x8bffe003,0x5404fffa,0xd8007ffe,0x7c4005ff,
    0x7cc004ff,0x3ff602ff,0xeee98005,0xeeeeefff,0xffb82eee,0xcaabefff,
    0x220ffffe,0xfffeeeee,0x7fc4ffff,0xffffffff,0x7cfff702,0xff9802ff,
    0x0bff600f,0xfffffffd,0xfff9001f,0xff80001f,0x3ffe003f,0x5f7ffec2,
    0xfffeca9a,0xffd8006f,0x77ff4005,0x7ffcc000,0x01bff202,0x3ffffe60,
    0xffffffff,0xcfffc83f,0x13ffee00,0xffffc880,0x3fff7324,0xf901cccc,
    0x017ffcff,0xf103ffdc,0x59ffd0ff,0x22005555,0x80003fff,0x3e003fff,
    0x7ff442ff,0xffffffff,0xd8005fff,0x3f6005ff,0xf98001ff,0x3fea02ff,
    0x7fcc003f,0xffffffff,0xfc83ffff,0xfff9006f,0xfff88001,0x007ffa87,
    0xfff9bff6,0x05ffe802,0x3fa13fee,0xfffd001f,0xffffffff,0x7c003fff,
    0x3fe003ff,0xffff702f,0xff75bfff,0xbffb0009,0x0ffff200,0x17ffcc00,
    0x003fffa0,0x007ffcc0,0x8037fdc0,0x8001fff9,0x7d41fffa,0x3ffa007f,
    0x900bffe6,0x7f403fff,0x01ffe81f,0xffffffd0,0xffffffff,0x1fffc003,
    0x805fff00,0x7e41aa98,0xffd8003f,0x3fffc805,0x3ffe6000,0x7fffdc02,
    0x3e612602,0xfa8000ff,0xfff1007f,0xfff10005,0x007ffa85,0xfff93ffe,
    0x9fffb302,0xe837fd40,0x997001ff,0x9bfff999,0x40019999,0xf1004ffe,
    0xe80003ff,0xfd8002ff,0x7ffe404f,0x7fcc0003,0xfffc802f,0xfeecceff,
    0x00fff986,0x007ff980,0x4000bffe,0x7fd43fff,0x3fff5007,0x77777ffc,
    0x05fffffe,0x7fffffec,0x001fffff,0x001fffc0,0x8027fec0,0x40007ff9,
    0x8000fff8,0x3f203ffe,0x980003ff,0xf9002fff,0xffffffff,0x1fff30df,
    0x3fff1000,0x03fff100,0x83fff300,0xfd007ffa,0xfffff8ff,0x2fffffff,
    0x7ffffc40,0x1fffffff,0x1fffc000,0x37fe4000,0x006ffb80,0x001ffec0,
    0xc817ffc4,0x00003fff,0x4005fff3,0xfffffeb8,0xfff982df,0x9fff0000,
    0x00fff500,0x2a1ffee0,0xffb807ff,0x7ffffc3f,0x00bcefff,0xccceffb8,
    0x01fffccc,0xf3333310,0x333337ff,0x2fffa800,0x01fffc40,0x30dff700,
    0x01fff900,0x0007fff9,0x017ffcc0,0x04f7fd40,0x003ffe60,0x007ffdc0,
    0x20017ffa,0xfa84fff9,0x7ffe407f,0x99bfff86,0x3fff0000,0x800fff40,
    0xfffffffe,0x1fffffff,0x17fff400,0x006ffe98,0x05fff910,0xff7017f7,
    0x7fff909f,0xff980000,0xffc8002f,0x1fff3003,0x3ffe2000,0xfffd880e,
    0x3ff22000,0x8fff506f,0xffffeba8,0x002fff81,0x2037fd40,0xfd001ffe,
    0xffffffff,0x003fffff,0xdeffff98,0x2ffffecc,0xff953100,0x3fee0bff,
    0xffffedff,0x67ffe40f,0x99999999,0xff300199,0xffd0005f,0x3ffe6003,
    0x3fee0000,0xffcbbcff,0x66f642ff,0xffffeccc,0xffff500e,0xffffffff,
    0x0bffe01d,0x07ffb000,0xeeeeffe8,0x555543ee,0xaacfffaa,0xa8000aaa,
    0xfffffffe,0x3ae01eff,0xfffffffe,0x3ffee02e,0x0effffff,0x7fffffcc,
    0xffffffff,0x3fff20ff,0xffffffff,0x3e207fff,0x7774c07f,0xeeeeefff,
    0x505eeeee,0xffffffff,0xfff905ff,0x9fffffff,0x7fffd401,0x3effffff,
    0x0017ffc0,0x801fff10,0xfffffffe,0x7fff004f,0xec880000,0x04efffff,
    0xffffffc8,0xfb5003ff,0x207dffff,0xfffffff9,0xffffffff,0x3ffff20f,
    0xffffffff,0x3fe607ff,0x7fffcc04,0xffffffff,0x2607ffff,0xcefffffd,
    0xfffff900,0x50019dff,0xbddfffff,0x3ffe0039,0x3ff20002,0xffffe805,
    0xf004ffff,0x000007ff,0x64001a98,0x0abcdeff,0x00133000,0xfffffff3,
    0xffffffff,0x7fffe41f,0xffffffff,0x332607ff,0x7fffcc01,0xffffffff,
    0x1007ffff,0x4cc40033,0x0000009a,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7774c000,0xeeeeeeee,0x04eeeeee,0x0eeeed80,0xdddddd90,
    0xdddddddd,0x5dd300dd,0x0001dd70,0x003dddd9,0x3bbbbbb6,0x3601ccde,
    0xcdeeeeee,0xee88009a,0xeeeeeeee,0xddd15eee,0xdddddddd,0x0bbb6bdd,
    0xd91eee80,0xdddddddd,0x361ddddd,0xdeeeeeee,0x3bae00bc,0xfa800005,
    0xeeeeeeee,0xfeeeeeee,0x7ffdc005,0xfffb00ff,0xffffffff,0x700fffff,
    0x0ffb05ff,0x3ffffe00,0xfffff004,0xbfffffff,0xffffff03,0x09ffffff,
    0xffffff88,0x7fffffff,0xfffffff1,0x2fffffff,0x3e003ffe,0xffffb2ff,
    0xffffffff,0x3fffe1ff,0xffffffff,0x06ffc80c,0x02fa8000,0x88017e00,
    0x00ffffff,0xfffffffb,0xffffffff,0x03ff700f,0xf5000ffd,0x200dffff,
    0xffffffff,0x40ffffff,0xffffffff,0x01efffff,0xfffffff1,0x2fffffff,
    0xfffffff8,0xd7ffffff,0x7fc007ff,0xfffffb2f,0xffffffff,0x3ffffe1f,
    0xffffffff,0x037fe40f,0x117d4000,0x017e0035,0xfffeffd8,0x33333100,
    0x93333333,0xff900dff,0x000dff01,0x3fffdff9,0x305fff00,0xf8dfffd5,
    0x754c43ff,0xf882ffff,0x7c4001ff,0x7f4002ff,0x3ffe003f,0x01fffc02,
    0x2a20bffe,0x320efffe,0x800006ff,0x3ffea2fa,0x00bf00cf,0x3fe7ffea,
    0x3e00000f,0x7fd803ff,0xf000bff0,0x07fff3ff,0xd805fff0,0x3ffe0fff,
    0x37ffdc03,0x000fffc4,0x000bffe2,0x7c007ffd,0x7ffc02ff,0x017ffc03,
    0xfc93fff2,0xa800006f,0x3fb3262f,0x805f82ff,0xff9afff8,0xf700000f,
    0x1ffa00ff,0x50013fe2,0x1bff2fff,0x300bffe0,0x7ffc5fff,0x3fff9803,
    0x000fffc4,0x000bffe2,0x7c007ffd,0x7ffc02ff,0x017ffc03,0xff937fec,
    0xf500000d,0x0ffecc05,0x3ff2017e,0x001fff35,0x20fffa00,0xfffcccc8,
    0xeffdcccc,0x7e402ccc,0x03fff54f,0x4402fff8,0x3ffe2fff,0x1fffb003,
    0x000fffc4,0x000bffe2,0x7c007ffd,0x7ffc02ff,0x017ffc03,0xfc87ffdc,
    0xa800006f,0x46fd802f,0x7ffcc05f,0x001fff30,0x20fff700,0xfffffff9,
    0xffffffff,0x7fc04fff,0x00fffe1f,0xf9805fff,0x0fffe0ff,0x117ffcc0,
    0x88003fff,0x74002fff,0x3fe003ff,0x1fffc02f,0x200bffe0,0xff91fff9,
    0xf500000d,0x41ff5005,0x17ff405f,0x0001fff3,0x2207ffd0,0xefffeeee,
    0xeeffeeee,0x3fea03ee,0x2037fec7,0x7dc02fff,0x01fffc6f,0x7c47fff0,
    0x7c4001ff,0x7f4002ff,0x3ffe003f,0x01fffc02,0x2600bffe,0xdff91fff,
    0x5f500000,0x7c1ff300,0x317ff205,0x80001fff,0x3000fffb,0x3ff907ff,
    0x22ffe400,0x3e00fffa,0x3fea02ff,0x01fffc3f,0x7c49ffd0,0x7c4001ff,
    0x7f4002ff,0x3ffe003f,0x01fffc02,0x2e00bffe,0x1bff27ff,0x0bea0000,
    0x0bf1ff20,0xf303ffe6,0xe80001ff,0x3ea004ff,0x00ffc83f,0xf10bffe0,
    0x7ffc07ff,0xfdaa999b,0x3fff84ff,0x89bff600,0xaaaabfff,0xf11aaaaa,
    0xfe8005ff,0xaaaaaadf,0x2fffaaaa,0x201fffc0,0xfd802fff,0x01bff26f,
    0x20bea000,0x42ffda99,0x07ffd05f,0x0001fff3,0x0007ffd4,0xffb05ff7,
    0x07ffd400,0xff037fec,0xffffffff,0x3ffe03df,0x9fff2003,0xfffffff8,
    0x14ffffff,0xffffffff,0x3a5fffff,0xffffffff,0xffffffff,0x01fffc02,
    0xf700bffe,0x37fe43ff,0x17d40000,0x41fffffc,0x06ffb85f,0x0001fff3,
    0x20027ff4,0x7fe81ffc,0x417ff200,0xff00fffb,0xffffffff,0xfff05dff,
    0x3ffdc007,0xfffffff1,0x29ffffff,0xfffffff8,0xd2ffffff,0xffffffff,
    0xffffffff,0x03fff805,0xea817ffc,0x7fe44fff,0xfa800006,0x00abff82,
    0x1fff88bf,0x001fff30,0x003ffea0,0xff01ff90,0x1fffc00d,0xf03fff88,
    0xd9999bff,0xf89fffff,0x3f2003ff,0x37ffe27f,0xcccccccc,0xfffff12c,
    0xffffffff,0x333bffa5,0xcccccccc,0x7fc02fff,0x77ffc03f,0xfffffeee,
    0x06ffc85f,0x82fa8000,0x6c5f807f,0x3fe603ff,0xffd0000f,0x0ffb0009,
    0x7d4017fe,0x3ffa00ff,0x405fff06,0x3e2fffea,0x3f6003ff,0x07ffe26f,
    0x05fff100,0x003ffe80,0xff00bffe,0xffff807f,0xffffffff,0x00dff902,
    0xf05f5000,0x7d4bf00f,0x7ffcc06f,0xfffa8000,0x55554400,0xbaaaaffe,
    0x01aaadff,0xfb80dff9,0x2fff80ff,0xf3fffc40,0x7f4007ff,0x07ffe25f,
    0x05fff100,0x003ffe80,0xff00bffe,0xffff807f,0x0acdefff,0x001bff20,
    0x320bea00,0xff15f804,0x5555559f,0x557fff75,0xbffd0015,0xfffff100,
    0xffffffff,0x209fffff,0xaaaadfff,0x3fffcaaa,0xb802fff8,0x7fff0fff,
    0x11fffc00,0x88003fff,0x74002fff,0x3fe003ff,0x1fffc02f,0x000bffe0,
    0x0006ffc8,0x0002fa80,0x7fffc57e,0xffffffff,0x3fffffff,0x00fffd40,
    0x7fffffc4,0xffffffff,0xfa84ffff,0xffffffff,0x85ffffff,0xfa802fff,
    0x07fff1ff,0x887ffee0,0x44001fff,0x74002fff,0x3fe003ff,0x1fffc02f,
    0x000bffe0,0x0006ffc8,0x6442fa80,0xff15f803,0xffffffff,0xffffffff,
    0x5ffe807f,0x09ff1000,0xf9005ff7,0xffffffff,0x1fffffff,0xa802fff8,
    0x7fff0fff,0x11fffe00,0x88003fff,0x74002fff,0x3fe003ff,0x1fffc02f,
    0x000bffe0,0x0006ffc8,0x7e42fa80,0xa8afc02f,0xaaaaaaaa,0xabfffbaa,
    0x3fea00aa,0xff30001f,0x003ff907,0x9999bfff,0xff999999,0x02fff87f,
    0x3fe6ffc8,0xfffc803f,0x00fffc42,0x00bffe20,0x4007ffd0,0x7fc02fff,
    0x17ffc03f,0x0dff9000,0x85f50000,0x2fc03ffb,0x0fff9800,0x017ffa00,
    0xd83ffa80,0x7fd400ff,0x3ffa000f,0x2017ffc5,0x3fe4fff9,0x3ff6203f,
    0x1fff886f,0x17ffc400,0x00fffa00,0x7c02fff8,0x7ffc03ff,0x3ff20002,
    0xfa800006,0x5f803b82,0x1fff3000,0x07ffea00,0x82ffb800,0xffc807fd,
    0x7ffe4006,0x440bffe0,0x3e0efffc,0x7dd4c3ff,0xf880efff,0x7c4001ff,
    0x7f4002ff,0x3ffe003f,0x01fffc02,0x8000bffe,0x00006ffc,0x20002fa8,
    0xff30005f,0x3ffa001f,0x7fe40006,0xf807fe81,0x7cc003ff,0x3bffe2ff,
    0xfffffeee,0x7fffc0ff,0xffffffff,0xfff100df,0xdddddddd,0x3ffe2bdd,
    0x1fff4002,0x325fff00,0xfffeeeee,0xf0eeeeee,0x640005ff,0xeeeeefff,
    0x004eeeee,0xddddddf5,0xdddddddd,0x26000bfd,0xfa800fff,0x640002ff,
    0x06ff80ff,0x000fffcc,0xfff2fff4,0xffffffff,0xffff019f,0xdfffffff,
    0xffff8807,0xffffffff,0x05fff17f,0x003ffe80,0x7fecbffe,0xffffffff,
    0xfff0ffff,0x7fe40005,0xffffffff,0xf5005fff,0xffffffff,0xffffffff,
    0x3fe6000b,0x6ffe800f,0x87fd8000,0x7e405ff8,0xff90006f,0x3ffffe1f,
    0x00bceeff,0x3bfffffe,0xf1001cce,0xffffffff,0x3e2fffff,0x7f4002ff,
    0x3ffe003f,0xffffffb2,0xffffffff,0x000bffe1,0xffffffc8,0x5fffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x77777540,0xeeeeeeee,0x3bbb26ee,0xeeec8001,
    0x007bbae0,0xd10deec8,0x3aa000dd,0x00ddd93e,0xb03bbaa0,0xdb003ddd,
    0x7774c3dd,0xeeeeeeee,0x94eeeeee,0x3600bddd,0xdddd90ee,0x0059bddd,
    0x36007bba,0x00000dee,0x01331000,0x7fffdc00,0xffffffff,0x3fe67fff,
    0x7fc4006f,0x37ffc44f,0x43fffa80,0xb8000fff,0x5fff73ff,0x0dffb000,
    0xa809fffd,0x3ea2ffff,0xffffffff,0xffffffff,0x03ffffb6,0x3f61fff0,
    0xffffffff,0x7ffc02ff,0x17ffe402,0x36a00354,0x0bffa000,0xffffb800,
    0xffffffff,0x7fe47fff,0x3ff6002f,0x3fffb80f,0x437ffc40,0xc8000fff,
    0x9fff12ff,0x09fff000,0xd80fffff,0x3ea2ffff,0xffffffff,0xffffffff,
    0x0bffffb6,0x3f61fff0,0xffffffff,0x3fe04fff,0x3ffea02f,0x01fff443,
    0x002fff88,0x40005ffd,0x99999998,0xfffb9999,0x037ffc44,0x203fff98,
    0x3200fffe,0xffe81fff,0x2ffc8001,0x5001fff6,0xfff03fff,0x3fe205ff,
    0x3e003fff,0xffd803ff,0x7fc01fff,0x309ffb0f,0x203ffff9,0xff302fff,
    0x3fff60bf,0x1fffc801,0x005ffd00,0x3fa20000,0x7fff706f,0x80fffb00,
    0xf305fff9,0x3ffa09ff,0x1ffd8001,0x8007ffee,0xbff06ffc,0x3fee0bff,
    0x3e003ffc,0xffd803ff,0x7fc05fff,0x409ffb0f,0xff05fff9,0xdffd105f,
    0x8afffc40,0xfff30aaa,0x17ff4007,0xfc800000,0x3ffa01ff,0x3ffe600f,
    0x1fffc802,0x3606ffe8,0xfd8002ff,0x13ffe21f,0x883fff80,0x80ffdcff,
    0x03ffbefe,0x200fffe0,0x0fffcffd,0x7ec3ffe0,0x37fec04f,0xfd82fff8,
    0x7fcc00ef,0xffffffef,0x74005fff,0x000002ff,0x404fff98,0x3a03fffa,
    0xff1006ff,0x1fffb8df,0x000bff60,0xffd03ff6,0x3ffe600f,0xfbcff881,
    0x55ffcc3f,0x3fe004ff,0xaffd803f,0x3fe04ffd,0x809ffb0f,0xff80fffb,
    0x0fffdc2f,0xfffffb80,0x06ffffff,0x002ffe80,0x6ffe8000,0x01fffd00,
    0x4003fff5,0xff13fffa,0x3ffc809f,0x40ffe800,0xc801fffb,0x9ff306ff,
    0xffc8dff1,0x2004ffa8,0xfd803fff,0x00fffaaf,0x3ff61fff,0x83ffdc04,
    0x3fea2fff,0x7ffc002f,0xfffecbdf,0x2ffe8005,0x7e400000,0xff3001ff,
    0x0bffd09f,0x91fffb00,0xfc801fff,0xd02a983f,0x9fff10ff,0x207ffd00,
    0x1ffb4ff9,0x5ffaaffc,0x00fffe00,0x7ff4bff6,0x361fff04,0x7fec04ff,
    0x225fff06,0x5c003fff,0xffd82fff,0xeeeee80f,0xeeefffee,0x0002eeee,
    0x0027ffcc,0xfa83fff6,0xf88000ff,0x02fffeff,0xfe84ffb8,0xd07ff81f,
    0xff980dff,0x29ff301f,0x5ff53ffa,0xf8017fe6,0xffd803ff,0xf01fff72,
    0x13ff61ff,0xf03fffa8,0x17ffa5ff,0x413ffa00,0xff83fff8,0xffffffff,
    0x3fffffff,0x37ff4000,0x2fffc400,0x40009ffd,0x05fffffb,0xf889ff50,
    0x07ff83ff,0x5c03fff7,0x3fea06ff,0x3f6dff13,0x8017fe67,0xfd803fff,
    0x20fffe2f,0x9ffb0fff,0x0dfff910,0x7fed7ffc,0xfff88006,0x213ff601,
    0xffffffff,0xffffffff,0x3f20003f,0xf90001ff,0x1fff51ff,0xfffe8000,
    0x9ff5000f,0xf86fffb8,0x7fff106f,0x501fff40,0x4ffec7ff,0x1bfe64ff,
    0x803fff80,0x3fee2ffd,0xfb0fff87,0xfffdddff,0x7fc01dff,0x000fffef,
    0x200fff98,0x74005ffc,0x800002ff,0x0004fff9,0x3fb7ffe2,0xfc80003f,
    0x3e6006ff,0x7fffec5f,0xe817fe21,0xfff106ff,0x31ffdc01,0x4c3ffdff,
    0x3fe006ff,0x2ffd803f,0xff0bffe2,0x3ffff61f,0x03efffff,0xfffffff8,
    0x7ffa8000,0x0037fdc0,0x0000bffa,0x001bffa0,0x3ffffee0,0xff880006,
    0xf3004fff,0x7f7fc4bf,0x817fe24f,0xfb80fffb,0x1ffdc06f,0xf11bfffe,
    0x7ffc00df,0x42ffd803,0x7ffc6ffc,0xffffffb0,0x3e005fff,0x06fffbff,
    0x00fffa80,0xd0017ff2,0x800005ff,0x0001fffc,0x05ffffd0,0xffffd000,
    0xff1003ff,0x7fcffd4d,0x8813fe67,0xffe83fff,0x21ffdc03,0x7c43fffc,
    0x3ffe007f,0x42ffd803,0x3fe2fff8,0x449ffb0f,0xf803fffb,0x4fffaaff,
    0x0fffcc00,0x8009ffd0,0x00002ffe,0x0013ffe6,0x05fffa80,0xafffb800,
    0xf8806fff,0x7edff66f,0x809ff31f,0x7fc45ffe,0x17fe400f,0xf103ffe6,
    0x7ffc00ff,0x82ffd803,0x3ffe6ffd,0xf709ffb0,0xfff803ff,0x007fff92,
    0x9827ffc4,0x74001fff,0x200002ff,0x00006ffe,0x0003fff8,0xfaafffc4,
    0x7ff803ff,0x3fee9ff1,0xb807ff54,0x3fee0fff,0x82ffc806,0x7ff884ed,
    0x00fffe00,0x3e60bff6,0x21fff1ff,0xffd04ffd,0x22fff80d,0x2001fffd,
    0x7cc3fffc,0xfe8006ff,0xf700002f,0x000003ff,0x80007fff,0x3fa0fffd,
    0xbffc00ff,0xfff11ffa,0xf100ffea,0x1fff47ff,0x0017fec0,0xf8007ffc,
    0xffd803ff,0x3ebffb02,0x09ffb0ff,0xf80bffe6,0x3ffe22ff,0xfff3000f,
    0xffffd9df,0x5ffd0007,0xfff30000,0x3e000009,0x2a0003ff,0x7fcc3fff,
    0x47ff405f,0x57fec7fd,0xfe802ffa,0x01fff15f,0x0005ffb0,0x3e001fff,
    0xffd803ff,0xf1fff302,0x13ff61ff,0x3e06ffe8,0x7ffcc2ff,0xffff9005,
    0xffffffff,0x0aaa8001,0x6ffe8000,0x3fe00000,0xff10003f,0x3fff20df,
    0x3e7ffa03,0x5effd44f,0xffb802ff,0x006ffb8f,0xf0005ffb,0x3fe001ff,
    0x2ffd803f,0x3ff3ffa0,0x409ffb0f,0xff02fffa,0x9fff705f,0xedfffa80,
    0xffedffff,0x00000006,0x0007ffee,0x03fff800,0x03fffb00,0x403fffe2,
    0x42ffbffd,0x1ffbfff8,0xdafff880,0xffd003ff,0x3fff0003,0x00fffe00,
    0xfa80bff6,0xfb0fffff,0x6ffe809f,0x3605fff0,0xff102fff,0x984cc49f,
    0x00004fff,0xdfff9800,0x99999999,0x7c001999,0xfa8003ff,0x7fd405ff,
    0xfdffb05f,0x3fbff60f,0xbffd001f,0x3a001fff,0xff8001ff,0x7fff001f,
    0x805ffb00,0xb0fffffe,0xffb809ff,0x02fff82f,0xd01fffd1,0xf9001dff,
    0x777545ff,0xeeeeeeee,0xd805eeee,0xffffffff,0xffffffff,0x0fffe001,
    0x1ffff100,0x05fffd00,0x209ffff9,0x00fffffa,0xdfffff70,0x00fffc00,
    0x800fff40,0xfd803fff,0x7ffdc02f,0x09ffb0ff,0xff0bfff0,0x7ffcc05f,
    0x0bff220e,0x70f7f440,0xffffffff,0xdfffffff,0xfffffd00,0xffffffff,
    0x7c003fff,0x7e4003ff,0xff3003ff,0xfffb81ff,0x3fffe02f,0xfff1000f,
    0x7fc007ff,0xffe8001f,0x07fff002,0xf005ffb0,0x3f61ffff,0xfffb804f,
    0x2017ffc1,0x4985fffb,0x7dc1d400,0xffffffff,0x06ffffff,0xffffffe8,
    0xffffffff,0x3fe001ff,0x3fe6003f,0x7fe4006f,0x3fffdc4f,0x01ffff60,
    0x01ffffd0,0x000fffc0,0xf8017ff4,0xffd803ff,0xffffb802,0x1009ffb0,
    0xfff8bfff,0x3fffd802,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x4c400000,0x01333000,0x26013310,0x02a601aa,0x35555100,0x1aa88001,
    0x1aa98000,0x9aa88000,0xaaa98800,0x00ccc009,0x26099880,0x544054c1,
    0x0001000a,0x26000004,0x0004b80e,0x02ffe880,0xe802fff8,0x3ff222ff,
    0x3ee5ffff,0x2600efff,0xfffffffd,0x7fec407f,0x000dffff,0x3fffffaa,
    0x3ae001df,0x4effffff,0x7ffffed4,0xf982efff,0xff90007f,0x7e47fe69,
    0x3ffe64ff,0xffdb302f,0x3ae201bd,0x00cfffff,0x83bfee00,0x0000effb,
    0x01ffff60,0x3a00bffe,0x3ffea2ff,0xfcdfffff,0x80efffff,0xfffffffc,
    0x3e607fff,0xffffffff,0xfffc802f,0x3fffffff,0x7ffff4c0,0x746fffff,
    0xffffffff,0xfff84fff,0x3ffd8000,0xfff73ff3,0xffff13ff,0xfffc81ff,
    0xa82fffff,0xffffffff,0xffc8000f,0x3ffee0ef,0xfb00001e,0xff801fff,
    0x2ffe802f,0x2e6afbea,0xaaefffff,0x7fd44ffe,0xcaaaabef,0xdfff506d,
    0xffff7537,0x77fff405,0xffffdbac,0xdffff504,0x8dfd977b,0xbabcdffe,
    0x7c2ffffc,0xfe8001ff,0xff7ff32f,0xbf97ff97,0x7dc5ffd5,0xfffdbdff,
    0x4d67d40f,0x004fffb9,0x417fff62,0x002ffffa,0x05fffa80,0xe802fff8,
    0x540662ff,0x3e20ffff,0x027ffc7f,0x04fff880,0x2e0dffb1,0xfd303fff,
    0xfff881ff,0x570e203f,0x46fff980,0xf8002ffd,0xfdff31ff,0x737f7fc7,
    0x3ffe29ff,0x02fff442,0x200dff50,0x403fffe8,0x003fffe9,0xf003ca80,
    0xffd005ff,0x3ffe2005,0xf12ffd85,0x320001ff,0x7fc406ff,0x1fffc43f,
    0x917ffe20,0x00003fff,0x323ffe40,0x02a983ff,0x3fe61fff,0x17fff46f,
    0x3fea9ff5,0x00fff705,0xf9807ff8,0xb1002fff,0x00009fff,0x02fff800,
    0x2002ffe8,0xffc82fff,0x003fff13,0x003fff10,0xffc8bff9,0x1fff7007,
    0x0013ffe6,0x3fff3000,0x7ec27fdc,0x33ffc40f,0xffe85fff,0xfcaffd46,
    0x1fff103f,0xfdd99710,0xfffb80ff,0xffc8001e,0x000000df,0xd005fff0,
    0x7ec005ff,0x24ffb81f,0x4001efff,0xf5007ffa,0x04ffd8df,0x2e3fff10,
    0x00000fff,0x2a1fff80,0x7ffc45ff,0xf337fcc3,0x85ffb0df,0x5ffb5ffa,
    0x3607ffc0,0xffffffff,0x37fff207,0x3fee0000,0x000001ef,0xe802fff8,
    0x4cc402ff,0x9999affe,0x3fee4ffb,0xb800adff,0xff3005ff,0x002fff8f,
    0x7fe4bffe,0x99800006,0x21fff999,0x7fdc6ff9,0x32ffd46f,0x3ffb0bff,
    0xff95ffa8,0x363ffc09,0xfaaabeff,0xfffd887f,0xff500004,0xeeea85ff,
    0xeeeeeeee,0xf4eeeeee,0xffd005ff,0xffffd505,0xffffffff,0xffc8bfff,
    0x202dffff,0xfffffffc,0xffffffff,0x03fff10f,0xfda7ff40,0xdb80004f,
    0xffffffff,0x1ffe21ff,0x5c3ffffb,0x17fe63ff,0xff507ff6,0x4c1bfeeb,
    0x3ffe26ff,0x7447ff80,0x00003fff,0x51ffff4c,0xffffffff,0xffffffff,
    0x00bffedf,0xffb0bffa,0xffffffff,0x9fffffff,0xfffffd30,0xfffb07ff,
    0xffffffff,0x261fffff,0x36000fff,0x07fff4ff,0x7fffd400,0xffffffff,
    0x887ffc1f,0x324ffdff,0x17fe62ff,0xff507ff6,0x20bffeab,0x3fe63ffd,
    0x227ffa86,0x0002ffff,0x7fffd100,0x3fffffea,0xffffffff,0x5fff6fff,
    0x5c5ffd00,0xe99befff,0x99999aff,0x3f260099,0x646fffff,0xccccceff,
    0xcccccccc,0x003fff10,0xffe9fff4,0xfff30004,0x3333559f,0xffd83fff,
    0xdff3ff51,0xff30ffec,0xa83ffb0b,0x3fff65ff,0x46ffebbe,0xd98bfff8,
    0x7fd47fff,0x800001ff,0x0005fffc,0x00bffe00,0xfff8bffa,0x001ffd83,
    0xffff9300,0x0037fdc9,0x0017ffc0,0x3ff65fff,0xdfff0005,0x41fff801,
    0x2dfb2ffc,0x1ffd1ffc,0x7ec2ffcc,0x12ffd41f,0xffffffff,0xffffb03d,
    0x30ffbbff,0x0005fffd,0x13fff620,0xfff00000,0x25fff007,0xfd80fff9,
    0x4400002f,0x3fea7ffe,0xffe80007,0x3fff1003,0x2001bff2,0xf802fff8,
    0x5ffdc1ff,0x9ff33ff8,0xbff31ffe,0xfa83ffb0,0xffffc85f,0xfd7100ce,
    0x41ff27df,0x004fffe8,0x17fff4c0,0x7f400000,0x7ffec05f,0x3a0dff52,
    0x800003ff,0xff30fffa,0xfd80005f,0xfff9007f,0x001fffd4,0x1003ffea,
    0xffa83fff,0x3fe1ffac,0x7cc6ff8f,0x41ffd85f,0x26205ffa,0x00044000,
    0x00dfffd8,0x1ffffa80,0x00351000,0xfc81fff6,0xdff52fff,0x00dfff70,
    0x8fff7000,0x0000fffd,0x300fffe6,0xffe85fff,0x3fea000f,0x3ffa600f,
    0x6effcc1f,0x7dffe46f,0x42ffcc5f,0x7fd41ffd,0x00000005,0x0efffb80,
    0x3bffee00,0xfff30000,0x7fff7007,0x5fffff90,0xfa83ffe6,0x9803ffff,
    0x6fff8801,0x00f7ffcc,0x4fffd804,0x50dfff30,0x4c05ffff,0x209fff34,
    0x41fffffc,0x44ffeff8,0x43ffeff9,0xffd85ff9,0xa9affd41,0xaaaaaaaa,
    0x55530aaa,0x55555555,0xfffa8015,0xfffc801f,0x3f60000d,0xff8807ff,
    0xfffccfff,0x3fe2ffcd,0xbdffdbef,0xdcabdfff,0x3337fee7,0xffffedbb,
    0xeffffd81,0xfedcaabc,0xeffff880,0xffffecbd,0xfffffb01,0x4dfdd99d,
    0xdbbefffe,0x1ffeefff,0x81fffff8,0x4c2ffffe,0x1ffd85ff,0xffdaffd4,
    0xffffffff,0xffffb0ff,0xffffffff,0xffff3001,0x3fffa205,0xffd80004,
    0xffb800ff,0x95ffffff,0x7ffdc5ff,0x3ff26fff,0x2e7fffff,0xffffffff,
    0x2e02ffff,0xffffffff,0xb100ffff,0xffffffff,0xffb801df,0xffffffff,
    0x3ffffe66,0xffb4ffff,0x0dfffb03,0x307ffff2,0x3ffb0bff,0xffb5ffa8,
    0xffffffff,0x3fff61ff,0xffffffff,0xffd1000f,0xfffe989f,0xff500002,
    0x7f4c009f,0x3f22efff,0x7fffdc2f,0x7fff640c,0x3ffaa5ff,0xbeffffff,
    0xffed8800,0x0cefffff,0x7ffff5c0,0x322003df,0xdffffffe,0x7fffec42,
    0x07ff62df,0x4c13fff2,0x7cc0ffff,0x41ffd85f,0x33315ffa,0x33333333,
    0x4ccccc43,0x01999999,0x20fffd80,0x0001fffd,0x80015cc0,0x30000998,
    0x01351003,0x09aa9988,0x4cd4c000,0x02620001,0x04cc4000,0x00009880,
    0x00000000,0x00000000,0x03f90000,0x000001db,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000802,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x4c400000,0x4cc40019,0xa8804cc1,0x33331009,
    0x33333333,0x440ccc13,0x266009aa,0x26660019,0x0732e001,0x00002000,
    0x00000000,0x00004cc4,0x0ff90000,0x18800000,0xfffb8000,0x9bffa001,
    0x7f646ff8,0x7e40dfff,0xffffffff,0x3fe6ffff,0x3ffffa67,0xfffe80df,
    0x3fffb802,0x00bffa00,0x6fff6dc0,0x0664001c,0x05a80ca8,0x7f5403aa,
    0x00cfffff,0x07e600bb,0x2001fee0,0x4c06ffd9,0x02efffed,0x09fff100,
    0x88bffe20,0xfffd16ff,0x641dffff,0xffffffff,0x3e6fffff,0xfffff57f,
    0xff10dfff,0x7fcc01ff,0x7ff4005f,0x7ff4c002,0x03ffffef,0x881fff50,
    0x3ff61fff,0x705ffc83,0xffffffff,0x80bffb0d,0x5c01fff9,0x3f66007f,
    0x3ee06fff,0x5fffffff,0x0fffb000,0xf11ffee0,0x7dffd1df,0x549ffff9,
    0xcccccccc,0x3e5fffdc,0xacfffbff,0xa83ffffd,0x3fa05fff,0x7f4000ff,
    0x3fea002f,0x3fee209d,0x1fff4406,0x3e62ffec,0x7ffc40ff,0xcabceb82,
    0x7e42fffe,0xfff305ff,0x3ea0ec1d,0xfb30ec46,0x40dfffff,0xffedeffd,
    0xfa8003ff,0xffe802ff,0x7ffffc44,0x7ffec42f,0x7ffec000,0x3bffffe0,
    0x83ffec40,0xfb82fffc,0xfe8001ff,0x7ff1002f,0x74c15553,0x1bff204f,
    0x3203ffea,0xfffa86ff,0x13ffe000,0xf317fff2,0x7fdc1dff,0xffa97ea4,
    0x37bffea6,0x076206ff,0x000bfff1,0xf3017ffa,0xfff883ff,0xfff101ff,
    0x7ffdc003,0x077fffc2,0xd00fff98,0x7fcc1fff,0xffd0003f,0x5d3fa005,
    0xf31fffff,0x3fff303f,0x201fff88,0xffd83ffe,0x0bffa005,0xf9afffe4,
    0x7f540eff,0xc8df99ef,0x3be0dfff,0x000dff52,0x4001bff6,0x3200fffb,
    0xfff886ff,0x17ffc01f,0x84fff980,0x7c00ffff,0xfff301ff,0x002fff4b,
    0x5005ffd0,0x273ee1df,0x217f25fb,0xffd83ffe,0x0fffc404,0x100bffe2,
    0x6401fff9,0xefffdfff,0x37ffaa00,0x81dffeef,0x0037fd41,0x0005ffd8,
    0x7c07fff1,0xfff883ff,0x03ffe802,0xf05fff88,0xfff005ff,0x5fffdc05,
    0x0000fffb,0x3200bffa,0xfe8fee4f,0xffb8ff10,0x006ffb86,0xff50dff7,
    0xffffb81d,0xffc800ef,0x5000efff,0x03bffffd,0x0037fd40,0x001fffd4,
    0x2a0dffb0,0xff880fff,0x0998800f,0x00fffd80,0xfd005fff,0xfffd805f,
    0x75401fff,0xffeeeeee,0xeeeeeeef,0x5fdc5fb4,0x8ffc5fb8,0x7c41fff8,
    0x3f6001ff,0x43ffe83f,0x3efffffb,0x1ffff900,0x7ffe4400,0x7fd4001e,
    0x7ffd4006,0x7fd40006,0x04ffd80f,0x0001fff1,0x01fffc80,0x3a00bffe,
    0x7f4402ff,0xfa803fff,0xffffffff,0xffffffff,0x7fdc3ff6,0x17f40cff,
    0xffb09ffb,0x3ffe6009,0x20fffcc0,0xfffeccca,0x7fffcc05,0xffc8805f,
    0x02efffff,0x400dff50,0x000efffb,0x443fff80,0xff101fff,0x5400001f,
    0x7fc03fff,0x2ffe802f,0x07fffb80,0xffffff50,0xffffffff,0x8bf6dfff,
    0xf86fcdfb,0x07ffe21f,0xd005fff1,0x7ffd07ff,0x07ffee00,0x7fffffcc,
    0xfff9105f,0xffd3bf39,0x6ffa805d,0x1bfffb00,0x3ff20000,0x1037fdc6,
    0x00001fff,0x2017ffe2,0xfe802fff,0x7ffc402f,0xe80004ff,0x4fc802ff,
    0x117ecfee,0x0dff70ff,0x6401fff5,0x6ffb85ff,0x0bffe200,0x323bffe6,
    0xffc85fff,0x7e4bf51e,0x3fea00ff,0x7fff4406,0x7cc00004,0x0fffa1ff,
    0x000fff88,0x01dffd00,0xd005fff0,0xffe805ff,0x0002ffff,0x54017ff4,
    0x7ccfee6f,0x7f41bee6,0x05ffc84f,0xf881fff3,0x3f6001ff,0x7ffcc0ff,
    0x17fff20e,0x46fa87f1,0x7fd403e9,0x3fffea06,0xfd000002,0x03ffe69f,
    0x000fff88,0x01fffc80,0xd005fff0,0x7fe405ff,0x00fffd8f,0x00bffa00,
    0x23fb9ff4,0x02ff8afd,0xe883fff3,0x7ffc43ff,0xb84ffd82,0xffecbaab,
    0x77ffcc6f,0x45fffc80,0xb006fb80,0xdfffdddd,0x3ffe69dd,0xffffffff,
    0x7fd40006,0x880bff97,0x40000fff,0x2002fffb,0xfe802fff,0x7fff502f,
    0x003bffe2,0x8017ff40,0x21a8aff9,0x405feaa9,0xff986ffc,0x217ff61f,
    0xfd80fffb,0xefffffff,0x0077ff40,0xb805fff9,0xffff007f,0xbfffffff,
    0x3fffffea,0x006fffff,0xfeafff80,0x7ffc402f,0x3fe60000,0x7ffc004f,
    0x82ffe802,0x7d45fff9,0xfd0005ff,0x7fdc005f,0x77fd440d,0x903fe800,
    0x80fd987f,0xffb02fd9,0x205dffff,0xfc800ee8,0x007fc803,0xffffffff,
    0x3feabfff,0xffffffff,0xfc80006f,0x8807ffef,0x10000fff,0xf000dffd,
    0xffd005ff,0x0fffe885,0x003fffc8,0x4002ffe8,0xfedffffa,0x002004ff,
    0x40180100,0x10009999,0x8800c001,0x00000019,0x4c000000,0x804fffff,
    0x0000fff8,0xddddfffb,0x5ddddddd,0x3a00bffe,0x7ffec2ff,0x07fffa02,
    0x005ffd00,0xdfffd910,0x0000003b,0x00000000,0x00000000,0x00000000,
    0x7fff4000,0xfff8800f,0xfffd0000,0xffffffff,0x3ffe7fff,0x22ffe802,
    0x4c04fffb,0x2000ffff,0x80001eed,0x00000009,0x00000000,0x00000000,
    0x00000000,0xfff70000,0x3ffe200b,0xfffd0000,0xffffffff,0x3ffe7fff,
    0x32ffe802,0x7001dfff,0x0000dfff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xddb00002,0x33331003,
    0x33333333,0x7ffc1333,0x0ffff20f,0x90000d44,0xdddddddd,0x5ddddddd,
    0x3ffa2000,0xfffd304f,0x81ed4007,0x3a600cd9,0xeeeeeeee,0xffffffd4,
    0x3fe5ffff,0xffffffff,0xffffffff,0x00002fff,0x3ea00000,0xfdb301ef,
    0x5c001bdf,0xfb806fff,0xffffffff,0x26ffffff,0x7fe47fff,0x7fff4c3f,
    0xb0cc402f,0xffffffff,0x7fffffff,0xfffd1000,0xfffd8805,0x3fff9803,
    0x302fffc4,0xffffffff,0x3ffffebf,0xf2ffffff,0xffffffff,0xffffffff,
    0x0005ffff,0x22000000,0xfc86ffff,0x3fffffff,0xfffff880,0x7fffdc02,
    0xffffffff,0x3ffe6fff,0x517ffdc7,0xbfffffff,0xfd87ffc0,0xffffffff,
    0x03ffffff,0x077ff440,0x07fff700,0x4c5fffb8,0x32206fff,0xcccccccc,
    0xfffffff3,0x3ba5ffff,0xeeeeeeee,0xeeeeeeee,0x00002eee,0xff100000,
    0x7fe45fff,0xfffecbcf,0x7cffe401,0x332600ff,0xcccccccc,0x3a3ccccc,
    0x7ffdc7ff,0x3f7fffa2,0xff885fff,0x7fec0007,0x3ffa2003,0xfff30004,
    0x17ffc407,0x00027ff4,0x33333330,0x00013333,0x00000000,0x3ffe0000,
    0x3fff34ff,0x4c0dff90,0x09ff73ff,0x3fa00000,0x8fffd46f,0x3f21effa,
    0x3fee0eff,0x7fec0006,0x0bbb6003,0x5ddb1000,0xb880dc40,0x00000002,
    0x00000000,0x80000000,0xf95ffffa,0x3ffe207f,0xfe8ffd00,0x8000001f,
    0x7fd46ffd,0x709ff71f,0xffdbffff,0xfd80005f,0x0000003f,0x00000000,
    0x00000000,0x00000000,0xfd800000,0x03ffb3ff,0x7d40fff4,0x037fd43f,
    0x7fec0000,0xc87ffcc5,0xfff703ff,0x000dffff,0x0007ffb0,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3a5fff70,0x3ff600ff,0xfb06fe82,
    0x5555105f,0x55555555,0x7fe45555,0x987ffcc5,0x3fa600aa,0x00005fff,
    0x00007ffb,0x00000000,0x00000000,0x00000000,0x00000000,0x3f61fff9,
    0x1fff101f,0xf302ffb8,0xfffb81ff,0xffffffff,0x3f26ffff,0x03ffc44f,
    0x00135300,0x00e65c00,0x00000000,0x00000000,0x00000000,0x00000000,
    0x8fffea00,0xff705ffc,0x406ff88d,0x7fdc4ffc,0xffffffff,0x006fffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x98800000,
    0x445fffd9,0xf930cfff,0x1ffc85ff,0x10fffc40,0x55555555,0x55555555,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x19fffff7,0xffffff70,0xff989fff,0x0dff7005,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfffb8000,0x7ffd401e,
    0x9882ffff,0x06660009,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x03530000,0x9bcb9880,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_39_latin1_x[224]={ 0,8,4,0,2,0,1,8,5,4,3,1,4,5,
7,2,1,2,2,3,0,3,2,2,2,1,7,4,2,2,3,5,0,0,3,1,2,3,3,1,2,3,3,2,
4,0,2,1,3,1,3,2,1,2,0,0,0,0,2,6,3,5,2,0,0,2,3,3,2,2,0,1,3,3,
2,3,3,1,3,1,3,2,3,3,1,3,1,0,1,1,3,3,9,4,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,8,2,1,1,1,
9,2,0,0,4,2,2,5,2,0,4,1,4,5,0,3,2,7,8,4,4,2,0,0,0,3,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,1,0,0,0,0,0,3,2,0,0,
0,0,0,0,0,3,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,3,0,
 };
static signed short stb__consolas_39_latin1_y[224]={ 28,1,1,3,-1,0,1,1,-1,-1,1,8,21,16,
22,1,2,2,2,2,3,3,3,3,2,2,8,8,6,12,6,1,0,3,3,2,3,3,3,2,3,3,3,3,
3,3,3,2,3,2,3,2,3,3,3,3,3,3,3,0,1,0,3,33,1,8,1,8,1,8,0,8,1,0,
0,1,1,8,8,8,8,8,8,8,2,8,8,8,8,8,8,0,-4,0,13,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,28,8,-1,2,3,3,
-4,0,1,2,2,9,16,16,0,2,0,4,0,0,1,8,1,14,28,0,2,9,0,0,0,8,-4,-4,-4,-4,
-4,-6,3,2,-4,-4,-4,-4,-4,-4,-4,-4,3,-4,-4,-4,-4,-4,-4,9,-1,-4,-4,-4,-4,-4,3,0,1,1,
1,1,1,-1,8,8,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,7,4,1,1,1,1,1,1,1,
 };
static unsigned short stb__consolas_39_latin1_w[224]={ 0,6,13,21,18,22,21,5,12,12,16,19,10,12,
7,17,19,17,18,16,21,16,18,18,18,19,7,10,16,17,16,13,22,22,17,18,19,15,15,19,18,16,14,18,
15,21,18,20,17,21,18,17,19,18,22,21,21,22,18,10,17,10,18,22,13,17,17,15,17,18,21,19,16,16,
15,18,16,19,16,19,17,17,17,16,18,16,20,21,20,20,16,15,4,15,20,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,0,6,16,19,19,20,
4,17,17,22,14,17,17,12,18,16,14,19,13,12,19,18,17,7,5,13,14,17,22,22,22,13,22,22,22,22,
22,22,22,18,18,18,18,18,19,19,19,19,21,20,21,21,21,21,21,17,20,20,20,20,20,22,17,18,19,19,
19,19,19,19,21,15,20,20,20,20,19,19,19,19,19,19,20,20,20,20,20,19,19,19,19,19,19,21,17,21,
 };
static unsigned short stb__consolas_39_latin1_h[224]={ 0,28,10,25,34,29,28,10,37,37,17,19,14,4,
7,32,27,26,26,27,25,26,26,25,27,26,21,27,23,11,23,28,36,25,25,27,25,25,25,27,25,25,26,25,
25,25,25,27,25,33,25,27,25,26,25,25,25,25,25,36,32,36,13,3,8,21,28,21,28,21,28,28,27,28,
36,27,27,20,20,21,28,28,20,21,27,21,20,20,20,28,20,36,40,36,9,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,0,28,34,26,24,25,
40,33,8,27,20,17,9,4,19,7,14,24,16,17,8,28,32,7,6,16,20,17,28,28,28,28,32,32,32,32,
32,34,25,32,32,32,32,32,32,32,32,32,25,32,33,33,33,33,33,17,34,33,33,33,33,32,25,29,28,28,
28,28,28,30,21,26,28,28,28,28,27,27,27,27,28,27,28,28,28,28,28,21,29,28,28,28,28,35,35,35,
 };
static unsigned short stb__consolas_39_latin1_s[224]={ 253,248,64,62,1,201,82,247,11,24,201,
95,1,186,247,106,227,74,55,171,21,147,128,43,188,20,247,243,1,46,18,
58,91,84,107,44,125,145,161,207,177,196,40,190,231,110,152,63,213,20,171,
199,132,1,87,65,43,20,1,64,19,53,27,199,137,166,40,150,188,111,146,
227,124,113,37,180,217,206,57,130,225,1,22,94,161,55,1,184,74,130,40,
75,1,114,78,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,253,245,215,
108,209,227,6,63,151,21,241,134,99,186,115,169,12,229,232,170,117,206,1,
247,247,218,226,152,59,36,184,1,1,83,60,187,37,192,204,147,229,210,123,
24,43,63,83,103,164,166,81,103,125,168,211,183,232,233,42,190,147,124,186,
182,42,102,122,82,62,142,72,92,21,224,142,163,84,1,104,141,1,234,15,
104,125,19,92,35,162,151,72,168,207,130,152,170, };
static unsigned short stb__consolas_39_latin1_t[224]={ 1,77,382,285,42,110,172,201,1,1,361,
361,382,382,212,77,201,258,258,201,285,258,258,285,201,258,141,172,337,382,337,
201,1,285,285,230,285,285,285,201,285,285,258,311,285,311,311,230,285,42,311,
230,311,258,311,311,311,311,311,1,77,1,382,382,382,337,201,337,172,337,172,
141,230,201,1,230,230,337,361,337,172,201,361,337,230,337,361,337,361,201,361,
1,1,1,382,285,285,285,285,285,285,285,285,285,285,285,285,285,285,285,285,
285,285,285,285,285,285,285,285,285,285,285,285,285,285,285,285,285,1,110,1,
258,311,258,1,42,382,230,337,361,382,382,361,382,382,311,361,361,382,172,77,
220,163,361,337,361,172,172,141,172,110,77,77,77,77,1,258,77,77,77,110,
110,110,110,110,110,258,77,42,42,42,42,42,361,1,42,42,42,42,77,258,
110,143,143,143,143,143,110,337,258,143,110,141,141,230,230,230,230,143,230,172,
172,172,201,201,337,110,201,201,172,141,1,1,1, };
static unsigned short stb__consolas_39_latin1_a[224]={ 343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_39_latin1_BITMAP_HEIGHT or STB_FONT_consolas_39_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_39_latin1(stb_fontchar font[STB_FONT_consolas_39_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_39_latin1_BITMAP_HEIGHT][STB_FONT_consolas_39_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_39_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_39_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_39_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_39_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_39_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_39_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_39_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_39_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_39_latin1_s[i] + stb__consolas_39_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_39_latin1_t[i] + stb__consolas_39_latin1_h[i]) * recip_height;
            font[i].x0 = stb__consolas_39_latin1_x[i];
            font[i].y0 = stb__consolas_39_latin1_y[i];
            font[i].x1 = stb__consolas_39_latin1_x[i] + stb__consolas_39_latin1_w[i];
            font[i].y1 = stb__consolas_39_latin1_y[i] + stb__consolas_39_latin1_h[i];
            font[i].advance_int = (stb__consolas_39_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_39_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_39_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_39_latin1_s[i] + stb__consolas_39_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_39_latin1_t[i] + stb__consolas_39_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_39_latin1_x[i] - 0.5f;
            font[i].y0f = stb__consolas_39_latin1_y[i] - 0.5f;
            font[i].x1f = stb__consolas_39_latin1_x[i] + stb__consolas_39_latin1_w[i] + 0.5f;
            font[i].y1f = stb__consolas_39_latin1_y[i] + stb__consolas_39_latin1_h[i] + 0.5f;
            font[i].advance = stb__consolas_39_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_39_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_39_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_39_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_39_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_39_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_39_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_39_latin1_LINE_SPACING
#endif

