// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_40_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_40_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_40_latin1_BITMAP_WIDTH         256
#define STB_FONT_consolas_40_latin1_BITMAP_HEIGHT        412
#define STB_FONT_consolas_40_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_40_latin1_FIRST_CHAR            32
#define STB_FONT_consolas_40_latin1_NUM_CHARS            224

#define STB_FONT_consolas_40_latin1_LINE_SPACING          26

static unsigned int stb__consolas_40_latin1_pixels[]={
    0x3ff29ff9,0x40000004,0x99999998,0x00066219,0x304cc000,0x33333333,
    0x2601a801,0x65400002,0x88000ccc,0x000acdca,0xb87d9100,0x000002cc,
    0x00177540,0x00009988,0x7e401330,0x5c9ff94f,0x1e400004,0xfffffff5,
    0x3ffee3ff,0x100000cf,0x267fffdb,0xffffffff,0x0fffa02f,0x0001bfee,
    0x00f7ffd4,0x7ffffe40,0x40000eff,0x3fa4fffe,0x0000003f,0x80007fec,
    0x80001ffb,0x3f203ffa,0x2a9ff94f,0x700004ff,0x3ffea7ff,0x71ffffff,
    0x05ffffff,0xffffb800,0xffff33ff,0x205fffff,0xff87fffa,0x540002ff,
    0x4000dfff,0xecefffe9,0x0001ffff,0x74fffff3,0x000003ff,0x00037fc0,
    0x00001ff9,0x7e405ff7,0x2e9ff94f,0x40003fff,0x5512fffa,0x3fff5555,
    0x3fff72a6,0xff30000f,0x26359bff,0xaaaaafff,0xdfff300a,0x003fffd0,
    0x01fffd40,0x067ffcc0,0x007ffee2,0x9bfffe60,0x00003ffe,0x013fe600,
    0x0007fd80,0x6403ff90,0x49ff94ff,0x0002fffc,0x2009fff5,0xff301fff,
    0x3f6000bf,0xfff301ff,0x037ae000,0x8000fb62,0x8001fffa,0x5c03ffe8,
    0xfb0005ff,0x1fff45ff,0x5d440000,0x01ffeded,0xafffa980,0x7fec0001,
    0x653ff200,0x7ffec4ff,0x7ffcc001,0x07ffe005,0x0007ffb8,0x7cc05fff,
    0x0000007f,0x04ccc000,0x02ffd800,0x0001ffb0,0x7ffd06ea,0xffb80000,
    0x1fffffff,0xffffb500,0x00bfffff,0xf901ffa0,0x113ff29f,0xe800dffd,
    0x7fc006ff,0x3ffe201f,0x3ffc4000,0x001ffe60,0x00000000,0x0bff5000,
    0x001ffcc0,0x00fffa00,0x7ffec400,0xffffffff,0x3fff6602,0xffffffff,
    0x0dff0006,0xff94ffc8,0x07fff309,0x003ffee0,0xf803fff0,0x7d4001ff,
    0x3ffcc06f,0x00000000,0x3fa00000,0x37fc000f,0x3ffa0000,0xffd00003,
    0xffb339df,0xff105fff,0xbffb9dff,0x4c00dfb9,0x00aeffca,0x3ff29ff9,
    0x01fff904,0x004fff88,0x7401fff8,0x7d4002ff,0x3ffcc06f,0x00ccca80,
    0xa8733220,0x22000ccc,0x7fd41ccc,0x0ffc8004,0x3333332a,0x21cccccc,
    0x32a23ffe,0x7dc02cee,0xfffd85ff,0xfffd86ff,0x010bfee2,0xffffff70,
    0xff909fff,0x4413ff29,0x7e405fff,0xff8000ff,0x17ff401f,0x01bfea00,
    0x2600fff3,0x2e004fff,0x3fe60fff,0x3fee004f,0x007fec0f,0xf90ffd40,
    0xffffffff,0x7ff45fff,0xffffff33,0x3ffe20bf,0xfddff885,0x3ffe63ff,
    0x000ffe45,0xffffffd3,0xf90bffff,0x813ff29f,0xf100fffb,0x3e0005ff,
    0x7ff401ff,0x37fd4002,0x801ffe60,0x3a007ffe,0x7ffe85ff,0x117ffa00,
    0xffb50bff,0x3feabd9b,0x3fffff22,0x2fffffff,0x3feabffa,0xefffffff,
    0x407ffe40,0xfff8bffa,0xb07ffee6,0x3e6001ff,0xffdbefff,0xffc85ecb,
    0x4409ff94,0xff703fff,0x7ffc000f,0x017ff401,0x301bfea0,0x7dc00fff,
    0xff9802ff,0x2fffb82f,0x42fff980,0x7fdc2ffb,0xf33fffff,0x4cccc47f,
    0xfff99999,0x3ff7ffa2,0xfffd50bf,0x82fffc47,0xfff90ffc,0xd07fff21,
    0x7fec00ff,0x087ff63f,0xff94ffc8,0x06ffd809,0x40009ffd,0x7f401fff,
    0x7fd4002f,0x03ffcc06,0x00bfff10,0x3e20fff9,0xffc805ff,0x2a0ffd87,
    0xfffccfff,0x0007ff12,0x7ff45fff,0xfe880eff,0x0bffe66f,0xfff337fc,
    0xf13ffea5,0x3fea00df,0x403ff43f,0x9ff94ffc,0x41fffa80,0x0002fff8,
    0xfb007ffe,0xffb8007f,0x03ffcc05,0x003fff60,0x7ec09fff,0x7ffc00ff,
    0x7f46fe84,0x447ffa1f,0xff8004ff,0x3bfffa2f,0x47ffea00,0xf980fffa,
    0x53ffe24f,0xf13ffff8,0x3ffa00bf,0xc807ff86,0x09ff94ff,0x5c3fff88,
    0x7c0007ff,0x7fe401ff,0x1ffec006,0x001ffe60,0x4c07fff3,0x3e601fff,
    0x3fe603ff,0x52ffc41f,0x0fff8bff,0x3e0017fe,0x3fffa2ff,0x73fff800,
    0x3ff20fff,0xf72fffc1,0x9ff7dfff,0x85fff100,0xfc806ff8,0x007dd74f,
    0xffd8bffd,0x7ffc0005,0x67ffc401,0x0fffb800,0x003ffcc0,0xf9037ff4,
    0xdffd00df,0x5437fe40,0x8bff63ff,0x3fe27ff8,0x2fff8004,0x7400fffa,
    0x0dff94ff,0x3ffa1ffa,0x7ffffe45,0xff9803ff,0x027fcc1f,0x80027fe4,
    0x7ff45ffd,0x7ffc0004,0xffffb801,0xfdd973ce,0xff3005ff,0xfff7000f,
    0x00fffe03,0x7c07ffee,0x1ffb83ff,0xff983ffe,0x000ffe25,0xffe8bffe,
    0x2bffb003,0xff885ffd,0xa86ffe84,0xdffffffe,0x03ffee01,0xf9007ff5,
    0x3f20009f,0x027ff46f,0x007ffe00,0xb7fffe4c,0x00cffffe,0x000fff30,
    0xf509fff1,0xff1001ff,0x1fff509f,0x3e23ff70,0x327fd46f,0xff0007ff,
    0x01fff45f,0xffd6ffc8,0xb05ff70b,0x7f5c0dff,0x80dfffff,0x7dc0fffb,
    0x4ffc802f,0x8fff7000,0x40003fff,0xf9001fff,0x3fadffff,0x800dffff,
    0xb0007ff9,0xbffb0fff,0x43ffec00,0xff905ffd,0xf717fea1,0x017fcc7f,
    0xfd17ffc0,0x3ff2007f,0xfb0dffd5,0x0bffd01f,0xffffffd0,0x2fffa85f,
    0x6400ffe4,0xf50004ff,0x3ffe21ff,0x7ffc0002,0xbfffd801,0xf9331099,
    0xff300dff,0x3fea000f,0x0bffe22f,0x22fffa80,0xfb02fff8,0xb13fee1f,
    0x17fd45ff,0xd17ffc00,0x3f6007ff,0x88fffb4f,0x9ffd05ff,0xff7dff00,
    0x7fcc3fff,0x007fec4f,0x80027fe4,0x7ffc7ffb,0x7ffc0003,0x07ffd401,
    0x02fff980,0x0003ffcc,0x7fd4bffd,0x5ffe8007,0xfd81ffea,0xfd13fee7,
    0x007fe41f,0xfd17ffc0,0x3ffe007f,0xfa8fff93,0x05fff03f,0x7fe4bff0,
    0x1bffe27f,0x3f200ffd,0xff70004f,0x003fff8f,0x200fffc0,0x64003ffc,
    0x7fcc05ff,0x3fee0007,0x009ffd0f,0x3a1fff70,0x9ff604ff,0x7ffc4ffb,
    0x40017f60,0x3ffa2fff,0x1fff8803,0x7e41fff7,0x1fff980f,0x3227fc40,
    0x3ff61fff,0x401bfe2f,0x90004ffc,0x4ffe8dff,0x0fffc000,0x000bff60,
    0xf980bff7,0x3e20007f,0x1fff9bff,0xbfff8800,0x3601fff9,0x4bff50ff,
    0x3fe27ffb,0x5fff0003,0x6401fff4,0xfff30fff,0xfb837fc5,0x7fcc00ff,
    0x31fffc43,0xff19ffff,0x9ff9010b,0x36006aa6,0x2ffec5ff,0x07ffe000,
    0x8005ffd0,0x7cc06ffa,0x7ec0007f,0x006ffbef,0x3efbff60,0x87fe406f,
    0xff88eff9,0x03ffb1ff,0xe8bffe00,0x7fc403ff,0x9b7ffc3f,0xdffd04ff,
    0x885ff700,0x7fe43fff,0xa9dffeff,0x4ffc85fc,0xff009ff9,0x07ffc87f,
    0x00fffc00,0x5000bffa,0xff980dff,0x7fd40007,0x0003ffff,0x3fffffea,
    0xf0ffdc03,0xff5fffff,0x0007ffdf,0xffd17ffc,0x3ffea019,0xbafffd86,
    0xfffa81ff,0x41ffc801,0xfc81fffa,0xffffffff,0x4ffc85ff,0xf9809ff9,
    0x7ffcc0ff,0x3ffe0002,0x017ff401,0x301bfea0,0xf0000fff,0x001fffff,
    0xffffff80,0x517fd400,0x3f29ffff,0x40005fff,0x3ffa2fff,0xfedccdff,
    0xff981fff,0xf987feef,0xffb005ff,0x03fffc41,0xffffffb5,0xff909fff,
    0x9013ff29,0x3ffe0dff,0x3ffe0004,0x017ff401,0x301bfea0,0x70000fff,
    0x0009ffff,0x09ffff70,0xc985ff50,0x00e64c2c,0xd17ffc00,0xffffffff,
    0x6401bfff,0x225fffff,0x741ffffa,0xffe89abd,0x2ffffca8,0xbcffe880,
    0x53ff2009,0x7fc04ffc,0x0fff904f,0x00fffc00,0x5000bffa,0xff980dff,
    0xff880007,0x880000ff,0x9800ffff,0x000005ff,0xe8bffe00,0xfffffeff,
    0xfe8802ce,0xffecefff,0xffe83fff,0xffffffff,0x2003ffff,0x3f2007fe,
    0x409ff94f,0xf301fffa,0x3e0005ff,0x7ff401ff,0x37fd4002,0x001ffe60,
    0x017ffe20,0x2fffc400,0x001ffd00,0xff100000,0x89fff43f,0xfb100019,
    0xffffffff,0x3fffa03d,0xffffffff,0x7fc001df,0x53ff2006,0x3fa04ffc,
    0x7fff404f,0x1fff8000,0x0017ff40,0xf301bfea,0xfb0000ff,0x200003ff,
    0x2001fffd,0x00003ffb,0x0fff9800,0x0000fffa,0xffffff88,0x2a200cef,
    0xeffffedc,0xf88001bc,0x3ff2005f,0x2e09ff94,0x7cc00fff,0xff8004ff,
    0x0fffc01f,0x01ffe600,0x8000fff3,0x0005fff9,0x00bfff30,0x0006ff88,
    0x7ffb8000,0x0001fff4,0x3537ff50,0x3ffa8000,0x4ff98000,0x653ff200,
    0xfff884ff,0x1fff9003,0x01fff800,0x0003ffe2,0x4c01fff1,0x260007ff,
    0x0000ffff,0x00ffff98,0x005ffd80,0x3fe20000,0x01fff45f,0x01ff9000,
    0x17fdc000,0x1ffd4000,0x329ff900,0x6ffd84ff,0x02fff400,0xb807ffe0,
    0xff0007ff,0x3ffcc09f,0x7ffdc400,0x5c40001f,0x0001ffff,0x880bfff3,
    0x4072a02b,0x740fffe9,0x200003ff,0x400006ff,0x80000ffc,0x32002ffb,
    0x89ff94ff,0x4001fffc,0x2004fffa,0xff701fff,0x3f20009f,0xfff303ff,
    0x3ffffa00,0xd0003fff,0x7fffffff,0xfff98000,0xfdcaabdf,0x3ffee04f,
    0xfffffdee,0x003ffe83,0x009ff300,0x007fe800,0x003ff900,0xffca7fe4,
    0x00bffee4,0x31fffdc0,0xffdddddd,0x3ffbaa3f,0x10000fff,0x5ddfffff,
    0x3bbbffe6,0x3ffa1eee,0x0001efff,0x3bfffffa,0xfd100001,0xffffffff,
    0x7ffdc05f,0x2fffffff,0x0007ffd0,0x00026620,0x00099700,0x8003bb20,
    0x9ff94ffc,0x000fffea,0x2a5fff90,0xffffffff,0xfffff71f,0xe980003d,
    0xf33fffff,0xffffffff,0x1ef7ff45,0x77ff4000,0x8800003d,0xdefffeca,
    0xffdb8802,0x200befff,0x00003ffe,0x00000000,0x32000000,0x29ff94ff,
    0x00004ffc,0x3fea7ffb,0x1fffffff,0x0079dff7,0xffeca800,0xffffff33,
    0x00185fff,0x00003000,0x80000000,0x00000009,0x00000000,0x80000000,
    0x9ff94ffc,0x200002e4,0x0000004d,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xff94ffc8,0x00000009,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x32000000,
    0x09ff94ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xba880000,0x8000aced,0x0002aaa9,0x00aaaa00,0x01595100,0xaa800002,
    0xaa8001aa,0x5000002a,0x53003555,0x00000555,0x001bddb1,0x0a600a80,
    0x29802a00,0x0026af20,0xfffffb80,0x2000efff,0x005fffd8,0xffffc800,
    0xfff70004,0x02fa89ff,0xdfffd800,0x7ffe4000,0x6c00004f,0x8800dfff,
    0x0005fffd,0x3ffffe20,0xffd0000f,0x00dff505,0x7d417ff4,0xffff886f,
    0x362002df,0xffffffff,0x5c001fff,0x00005fff,0x3ffffff6,0x7ffdc005,
    0xfdcfffff,0x7ec0005f,0xfd8003ff,0x005fffff,0x07fffb00,0x0bfff700,
    0x277f6000,0x98004fd9,0xffd85fff,0xfff9801f,0x41fffd85,0xfffffff8,
    0xfffe801e,0xffecaace,0x74c002ff,0xd80005ff,0xffe98eff,0x437f6005,
    0x6fffffea,0x77fec000,0xeffd8001,0x005ffe98,0x00f7fec0,0x0bffd300,
    0x545fd000,0xfff0006f,0x01fff709,0x2e13ffe0,0xdcb80fff,0x02fffffe,
    0xc817ffee,0x88006fff,0x20003eec,0xeec84eec,0x6dc0e004,0x20000bdf,
    0x8000ceeb,0xeec84eec,0x9dd70004,0xd9100001,0xfd80007d,0x40017ee3,
    0x0b6e03c9,0x2e03c980,0xffb3002d,0xfff103ff,0x5fff900b,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3ff77fea,0x00000002,
    0x20000000,0xfb86fffb,0xfff000ff,0x0000000d,0x00000000,0x00000000,
    0x00000000,0x00000000,0x27fffe40,0x00000000,0x64000000,0x7ffc2fff,
    0x3fff2005,0xdb751001,0x44000159,0x00acedba,0x3b6ea200,0x997000ac,
    0x1e654005,0xa800b32e,0xba8803cc,0x7000aced,0x65400599,0x2aa2003c,
    0x75100000,0x200159db,0x2a002ccb,0xff1003cc,0x17ffccbf,0x05fff300,
    0xffffff70,0xb8001dff,0xffffffff,0x7fdc000e,0x0effffff,0x0027ff40,
    0xffe8dff9,0x1bff2004,0xffffff70,0xfe801dff,0x3ff2004f,0x99993006,
    0xffb80003,0x0effffff,0x0027ff40,0x7400dff9,0x3ffea6ff,0x1fffc000,
    0xfffffb10,0x03ffffff,0xfffffb10,0x03ffffff,0xfffffb10,0x03ffffff,
    0x90027ff4,0x4ffe8dff,0x41bff200,0xffffffd8,0x201fffff,0x32004ffe,
    0xff9006ff,0x22000bff,0xfffffffd,0x3a01ffff,0x3f2004ff,0x3ff6006f,
    0x001ffee7,0xfe813ffe,0xeb99ceff,0x7402ffff,0xb99cefff,0x402ffffe,
    0x99cefffe,0x02ffffeb,0x64009ffd,0x27ff46ff,0x20dff900,0x99cefffe,
    0x02ffffeb,0x64009ffd,0xfff006ff,0xd0001fff,0x7339dfff,0x205ffffd,
    0x32004ffe,0x3fa006ff,0x01bff25f,0x5c17ffa0,0x3f205fff,0x3fee06ff,
    0x3fff205f,0x17ffee06,0xd06fffc8,0x7e4009ff,0x027ff46f,0xf70dff90,
    0x7fe40bff,0x09ffd06f,0x4037fe40,0x2ffffffa,0x2fffdc00,0x20dfff90,
    0x32004ffe,0xff3006ff,0x02ffec9f,0x4437fec0,0xfc805fff,0xfff882ff,
    0x2fffc805,0x805fff88,0xfe82fffc,0x3ff2004f,0x0027ff46,0xff88dff9,
    0xfffc805f,0x004ffe82,0x3201bff2,0x05ffecff,0x017ffe20,0x3a0bfff2,
    0x3f2004ff,0x7fd4406f,0x17ffa0ff,0x21bff600,0xf000fffc,0xfff90bff,
    0x17ffe001,0x4003fff2,0xffe85fff,0x1bff2004,0x64009ffd,0x7ffe46ff,
    0x0bfff000,0x64009ffd,0xfff806ff,0x000fffba,0x2001fff9,0xffe85fff,
    0x1bff2004,0xfffffff1,0x06ffd87f,0x445ffd80,0x32005fff,0x3fe21fff,
    0x3ff2005f,0x17ffe21f,0x41fffc80,0x32004ffe,0x27ff46ff,0x44dff900,
    0x32005fff,0x7ff41fff,0x1bff2004,0x3e6fff50,0xff8802ff,0x3ff2005f,
    0x027ff41f,0xf88dff90,0x82efffff,0xe8007ffd,0x7ffcc4ff,0x3ffe6002,
    0x00bffe62,0x262fff98,0x26002fff,0x7ff42fff,0x1bff2004,0x64009ffd,
    0x3ffe66ff,0x3ffe6002,0x0027ff42,0xfc80dff9,0x017ffa5f,0x800bffe6,
    0x7f42fff9,0x3ff2004f,0x5efffc46,0x01fff201,0xf50fffe0,0xff8001ff,
    0x03ffea3f,0x547fff00,0x7c000fff,0x27ff43ff,0xe8dff900,0x3f2004ff,
    0x03ffea6f,0xe87fff00,0x3f2004ff,0x17ffc06f,0xa801fff9,0x7c000fff,
    0x27ff43ff,0xf0dff900,0xff7001ff,0x7fc4001f,0x03ffdc2f,0xf727ffc0,
    0xfff000ff,0x003ffdc9,0x3fa27ffc,0x3ff2004f,0x0027ff46,0x7fdcdff9,
    0x4fff8007,0x90027ff4,0x7fd40dff,0x0bffe60f,0x000fff70,0xffe89fff,
    0x1bff2004,0x2a003ffe,0x2e003fff,0x7fe41fff,0x5ffe8006,0x2001bff2,
    0x3ff25ffe,0x5ffe8006,0x90027ff4,0x4ffe8dff,0xc9bff200,0xfe8006ff,
    0x027ff45f,0x640dff90,0x5fff85ff,0x0037fe40,0x3fa2fff4,0x3ff2004f,
    0x2007ff86,0x3a006fff,0x5ffd85ff,0x26ffd800,0xd8005ffd,0x17ff66ff,
    0xd1bff600,0x7e4009ff,0x027ff46f,0x7ecdff90,0xffd8005f,0x0027ff46,
    0x7fc0dff9,0x07ffc83f,0x4002ffec,0x7ff46ffd,0x1bff2004,0xfc801ffe,
    0xffa801ff,0x05ffe82f,0x3a6ffd80,0xfd8005ff,0x017ffa6f,0xfd1bff60,
    0x7fe4009f,0x0027ff46,0x7ff4dff9,0x6ffd8005,0x90027ff4,0x3fea0dff,
    0x2fffa80f,0x0017ffa0,0xffd1bff6,0x37fe4009,0xf3002664,0x7cc03fff,
    0xdffb06ff,0x4bffd000,0xe8006ffd,0x1bff65ff,0xd17ffa00,0x7e4009ff,
    0x027ff46f,0x7ecdff90,0xffe8006f,0x0027ff45,0x3f20dff9,0x17ffe06f,
    0x8006ffd8,0x7ff45ffe,0x1bff2004,0xfffd8000,0x3fea20ae,0xdff902ff,
    0x49ffd000,0xe8006ffc,0x1bff24ff,0xd13ffa00,0x7e4009ff,0x027ff46f,
    0x7e4dff90,0xffe8006f,0x0027ff44,0x3fe0dff9,0x1fff603f,0x8006ffc8,
    0x7ff44ffe,0x1bff2004,0xfffb0000,0xffffddff,0x3ffdc05f,0x71fffc00,
    0xff000fff,0x03ffdc7f,0x3a1fffc0,0x3f2004ff,0x027ff46f,0x7dcdff90,
    0xfff8007f,0x0027ff43,0xff50dff9,0x7ffd403f,0x00fff702,0xfe87fff0,
    0x3ff2004f,0x0003eb86,0xfffffffb,0xfb803fff,0x3e2000ff,0x3ffee1ff,
    0x3ffe2000,0x003ffee1,0x741fff88,0x3f2004ff,0x027ff46f,0x7dcdff90,
    0x3e2000ff,0x27ff41ff,0x90dff900,0xff880dff,0x1fff705f,0x0fffc400,
    0xc8013ffa,0x7ffe46ff,0xff930004,0x0017dfff,0x4007fff5,0x3ea0fffb,
    0x3ee003ff,0x3ffea0ff,0x3ffee003,0x002ffec0,0xffd89ffb,0x93ff6005,
    0x2003fffa,0x7ec0fffb,0x3ff6005f,0xccefff84,0xffcccccc,0x7fff507f,
    0x07ffdc00,0xd8017ff6,0x7fffc4ff,0xffe80007,0x6fff8004,0x21bffa00,
    0x3a006fff,0x6fff86ff,0x21bffa00,0x3a006ffc,0x37fe43ff,0xf87ffd00,
    0x3fa006ff,0x06ffc86f,0xf50fffa0,0xffffffff,0x5fffffff,0x801bffe0,
    0xffc86ffe,0x0fffa006,0x000dfffd,0x000fff90,0x5003fff9,0xff903fff,
    0xfff5003f,0x03fff903,0x703fff50,0xf3001fff,0xfffb85ff,0x2fff9800,
    0x400fffe4,0xfb81fffa,0xff9800ff,0x7fffe42f,0xffffffff,0xf904ffff,
    0xff5003ff,0x1fff703f,0x85fff300,0x0002fffa,0x203fffa8,0x0ffff880,
    0x417ffe60,0x200ffff8,0xf105fff9,0x7cc01fff,0xfff305ff,0x0dffb009,
    0xb009fff3,0xfff10dff,0x7ffcc01f,0x09fff305,0xff0dffb0,0x555555bf,
    0xfffd5555,0x03fffe20,0x305fff98,0xfb009fff,0x002a20df,0xdfffe800,
    0x80ed988a,0x20aefffd,0x01ffffa8,0x82bbfff6,0x01ffffa8,0x82bbfff6,
    0x01ffffa8,0x4413fff6,0xfb02fffd,0x3f6209ff,0xfffb02ff,0x7fd4415d,
    0x3ff601ff,0xfffb104f,0x01fff985,0x40bffea0,0x20aefffd,0x01ffffa8,
    0x4413fff6,0x0002fffd,0x3ffe6000,0x4fffffff,0xfffffd88,0x3fffffee,
    0x7fffec40,0xfffffeef,0x7ffec403,0xffffeeff,0x7ffc403f,0xffecceff,
    0x3fe205ff,0xfeccefff,0x36205fff,0xfeefffff,0x4403ffff,0xccefffff,
    0xc85ffffe,0x7c4007ff,0xffb104ff,0xfffddfff,0xff8807ff,0xfeccefff,
    0x4ccc5fff,0x99999999,0xfff50001,0x05dfffff,0x7fffffe4,0x2001efff,
    0xfffffffc,0x32001eff,0xffffffff,0xfd3001ef,0xffffffff,0xffd3007f,
    0xffffffff,0x3fff2007,0x1effffff,0xffffd300,0x07ffffff,0x20013ffe,
    0x7e407ffd,0xffffffff,0xffd3001e,0xffffffff,0xfffffd07,0x00dfffff,
    0xdefedb80,0xffdb5003,0x00019dff,0xdffffdb5,0xdb500019,0x019dffff,
    0xffffd700,0xb8003bdf,0xdefffffe,0x7f6d4001,0x000cefff,0xfffffeb8,
    0xfff301de,0xfff70003,0xffeda803,0x8000ceff,0xefffffeb,0xffffd01d,
    0x0dffffff,0x40000000,0x40000198,0x40000198,0x40000198,0x00000998,
    0x00001331,0x00000662,0xf9001331,0x3e2000ff,0x262004ff,0x4c400001,
    0xfffd8009,0x5fffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00555530,0x55550000,
    0xaaa80003,0x2aa0001a,0xa880002a,0x0acceecb,0x02aaa800,0x14c01500,
    0xaaaa8000,0x30054001,0xaaa98005,0x54000002,0x150002aa,0x6c4014c0,
    0x00005fff,0x037fff60,0xdfffd800,0xfff90000,0x7d40009f,0xffffffff,
    0x7ffe4001,0x7ff4004f,0x006ffa82,0x06fffec0,0x505ffd00,0x6c400dff,
    0x00005fff,0x09ffff90,0xa82ffe80,0xff7006ff,0xb00000bf,0x80007fff,
    0x0003fffd,0x3ffffff6,0xfffd8005,0x1fffffff,0x3ffff600,0xff3005ff,
    0x3fffb0bf,0x3fff6000,0x7ffcc003,0x01fffd85,0x02fffdc0,0x3fff6000,
    0xf3005fff,0xfffb0bff,0x3ffa6003,0x3f600005,0x6c0001ef,0x20001eff,
    0xfe98effd,0x3fee005f,0x054c09cf,0x98effd80,0xff005ffe,0x1fff709f,
    0x3dffb000,0x13ffe000,0x0003ffee,0x0017ffa6,0x4c77fec0,0xff005ffe,
    0x1fff709f,0x1f764400,0x6775c000,0x775c0000,0x3b20000c,0x04eec84e,
    0x0009fff0,0x3213bb20,0x3c9804ee,0x2000b6e0,0x0000ceeb,0x2db80f26,
    0x3bb22000,0x77640003,0x804eec84,0x0b6e03c9,0x00000000,0x00000000,
    0xf1000000,0x000003ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00fffe20,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0xcccccccc,0x01cccccc,0x99999999,
    0x03999999,0x07333260,0x6664c000,0xfff8001c,0x32a0001f,0xcccccccc,
    0xa82ccccc,0xcccccccc,0x72cccccc,0x10003999,0x26007999,0x0001cccc,
    0x03999930,0x33333200,0xcccccccc,0x9999901c,0x99999999,0x3fffe039,
    0xffffffff,0xffff03ff,0xffffffff,0x3f2007ff,0x00005fff,0x00bffff9,
    0x07ffff50,0x3ffff200,0xffffffff,0xfffc84ff,0xffffffff,0xfff54fff,
    0xfff7000b,0x3fff2005,0xf900005f,0x2000bfff,0xffffffff,0x03ffffff,
    0xffffffff,0x07ffffff,0x3ffffffe,0x3fffffff,0xfffffff0,0x7fffffff,
    0x3ffffe00,0xff80000f,0x4000ffff,0x1efffff9,0x7fffe400,0xffffffff,
    0xfffc84ff,0xffffffff,0x3ffa4fff,0x3fe2001f,0x3ffe006f,0x80000fff,
    0x00ffffff,0xffffff80,0xffffffff,0xffffff03,0xffffffff,0x2b3ffe07,
    0xaaaaaaaa,0x59fff00a,0x55555555,0xfff50015,0x80005fff,0x2ffffffa,
    0x3fffea00,0x2004ffff,0xfeaaaaa9,0x1aaaaaef,0xeaaaaa98,0xaaaaaeff,
    0x01bffe61,0x001fffc8,0x5ffffff5,0xfffa8000,0xf8002fff,0xaaaaacff,
    0xf00aaaaa,0x555559ff,0x20155555,0x80002fff,0x00002fff,0x7ff67fe4,
    0x7fe40005,0x1005ffec,0xff91bfff,0x40005dff,0x80005ffd,0xfb005ffd,
    0xff1005ff,0x7fe400bf,0x0005ffec,0x7ff67fe4,0x2fff8005,0x2fff8000,
    0x2fff8000,0x2fff8000,0x7ffc0000,0x000fffba,0x3eebffe0,0xffd800ff,
    0x7ffff4c6,0xbffb0003,0xbffb0000,0x1bffe200,0x003fff20,0xffbafff8,
    0x3fe0000f,0x00fffbaf,0x0017ffc0,0x0017ffc0,0x0017ffc0,0x0017ffc0,
    0x26fff500,0x50002fff,0x3ffe6fff,0x01fff802,0x007ffff7,0x000bffb0,
    0x400bffb0,0x2203fffc,0x2a004fff,0x5fff37ff,0x5ffea000,0x4002fff9,
    0x80002fff,0x80002fff,0x80002fff,0x00002fff,0xffe97ff2,0xbff90005,
    0x2602fff4,0x3e600fff,0x6c001fff,0xd80005ff,0x3e2005ff,0xffb00fff,
    0x7fe4001f,0x0017ffa5,0xffd2ffe4,0x2fff800b,0x2fff8000,0x2fff8000,
    0x2fff8000,0x3ffe0000,0x003fff22,0xfc8bffe0,0x3fe200ff,0x7ffcc02f,
    0x2ffec006,0x2ffec000,0x0fffee00,0x000fffe6,0x7fe45fff,0xfff8000f,
    0x003fff22,0x0002fff8,0x0002fff8,0x0002fff8,0x0002fff8,0x4c1fff50,
    0x54002fff,0x3fe60fff,0x2fff402f,0x007ffdc0,0x000bffb0,0x000bffb0,
    0xfd81fffd,0x7fd4006f,0x0bffe60f,0x41fff500,0x2002fff9,0x80002fff,
    0x80002fff,0x80002fff,0x00002fff,0xfff0bff9,0x5ffc800b,0x5c05fff8,
    0x7c404fff,0x3f6001ff,0xfd80005f,0xffa8005f,0x0bffe64f,0xf0bff900,
    0xfc800bff,0x05fff85f,0x000bffe0,0x000bffe0,0x3337ffe0,0x4ccccccc,
    0x3337ffe0,0x4ccccccc,0x641fffc0,0x7fc007ff,0x07ffc83f,0x404fffe8,
    0x36001fff,0xd80005ff,0xfd0005ff,0x17ffa1ff,0x20fffe00,0x7c007ffc,
    0x7ffc83ff,0x337ffe00,0xcccccccc,0x337ffe04,0xcccccccc,0x3ffffe04,
    0xffffffff,0x3ffffe07,0xffffffff,0x03ffea07,0x400bffea,0xfa80fffa,
    0x7f4402ff,0xffa81eff,0x3ff6000f,0xffd80005,0xfff30005,0x003fff39,
    0xa80fffa8,0xf5002fff,0xfff501ff,0x3fffe005,0xffffffff,0x3fffe07f,
    0xffffffff,0x3fffe07f,0xffffffff,0x3fffe07f,0xffffffff,0x1bff207f,
    0x9005fff8,0x7ffc0dff,0xfffd8805,0x9fff10df,0x05ffd800,0x05ffd800,
    0x3bfff600,0xfc8004ff,0x17ffe06f,0xf037fe40,0x3fe00bff,0xffffffff,
    0x3fe07fff,0xffffffff,0x3fe07fff,0x999999bf,0x3fe01999,0x999999bf,
    0x3fe01999,0x1fff603f,0xb01fffc0,0x7dc00fff,0xfffcffff,0x7fec000e,
    0xffd80005,0x3fe20005,0x8000ffff,0x3f603fff,0x7fff007f,0x803ffec0,
    0x9999bfff,0x20199999,0x9999bfff,0x20199999,0x80002fff,0x40002fff,
    0x2a01fffa,0x7d402fff,0x3fea01ff,0x3f62002f,0x00efffff,0x005ffd80,
    0x005ffd80,0x1ffffe40,0x0fffd400,0x805fff50,0x2a01fffa,0xff802fff,
    0xff80002f,0xff80002f,0xff80002f,0x7e40002f,0x7ffc406f,0x037fe405,
    0x0017ffe2,0x03ffffa6,0x02ffec00,0x02ffec00,0x3fffe200,0x6ffc8000,
    0x02fffc40,0xf101bff2,0xfff00bff,0xfff00005,0xfff00005,0xfff00005,
    0xfff80005,0xccccccce,0x7c07fffc,0xccccceff,0x07fffccc,0x1bfff200,
    0x02ffec00,0x02ffec00,0x02ffec00,0xccefff80,0xffcccccc,0x77ffc07f,
    0xcccccccc,0xff807fff,0xff80002f,0xff80002f,0xff80002f,0x3ea0002f,
    0xffffffff,0x2fffffff,0xffffff50,0xffffffff,0x640005ff,0xd8001fff,
    0xd80005ff,0xd80005ff,0xfa8005ff,0xffffffff,0x2fffffff,0xffffff50,
    0xffffffff,0xfff805ff,0xfff80002,0xfff80002,0xfff80002,0x3ff20002,
    0xffffffff,0x04ffffff,0xfffffff9,0xffffffff,0x7c40009f,0xfd8002ff,
    0xfd80005f,0xfd80005f,0xffc8005f,0xffffffff,0x04ffffff,0xfffffff9,
    0xffffffff,0x2fff809f,0x2fff8000,0x2fff8000,0x2fff8000,0x37ffe000,
    0xaaaaaaaa,0xf07ffeaa,0x55555bff,0xffd55555,0x7fdc000f,0xffd8000f,
    0xffd80005,0xffd80005,0xdfff8005,0xaaaaaaaa,0xf07ffeaa,0x55555bff,
    0xffd55555,0x02fff80f,0x02fff800,0x02fff800,0x02fff800,0x03fff300,
    0x217ffd40,0x2001fff9,0x0042fffa,0x0037ffc4,0x0005ffd8,0x0005ffd8,
    0x4005ffd8,0x2001fff9,0x7cc2fffa,0x3ea001ff,0x3ffe02ff,0xfff80002,
    0xfff80002,0xfff80002,0xfff90002,0x4fff8800,0x2003ffe4,0x7644fff8,
    0xfcaaaabd,0xb0002fff,0xb0000bff,0xb0000bff,0xfc800bff,0x7fc4007f,
    0x03ffe44f,0x813ffe20,0x80002fff,0x80002fff,0xffffffff,0x03ffffff,
    0xffffffff,0x47ffffff,0xd8004fff,0x27ffc7ff,0x23ffec00,0xfffffffc,
    0xc802ffff,0xffffffff,0x84ffffff,0xfffffffc,0x4fffffff,0x017ff600,
    0x0009fff0,0xfff8fffb,0x7ffd8004,0x3fffffe0,0xffffffff,0xffffff03,
    0xffffffff,0x3ffffe07,0xffffffff,0xfffff03f,0xffffffff,0x07ffe67f,
    0x47ffee00,0x8001fff9,0x3f21fffb,0xffffffff,0xfff9001c,0xffffffff,
    0xff909fff,0xffffffff,0x4009ffff,0x26005ffd,0xb8001fff,0xfff31fff,
    0xfff70003,0x3ffffe03,0xffffffff,0xfffff03f,0xffffffff,0x3fffe07f,
    0xffffffff,0xffff03ff,0xffffffff,0x1fff27ff,0xa7ffc400,0x10007ffc,
    0xaa889fff,0x8001abcb,0xfffffffc,0x4fffffff,0xffffffc8,0xffffffff,
    0x17ff6004,0x007ffc80,0x329fff10,0xf10007ff,0x3ffe09ff,0xffffffff,
    0xfff03fff,0xffffffff,0x00007fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x1ccb8000,0xca880000,
    0x9800100a,0xcccccca9,0x3260001c,0x5555303c,0x55000000,0x95100355,
    0x80002015,0xbcdedb98,0x00330001,0x33b72a20,0x9991001b,0x00000059,
    0x00199995,0xf5019fb1,0xb80000df,0x544fffff,0x7fec402f,0xffffffff,
    0x3fa0003f,0xfffb102f,0x6c00000b,0x5c00dfff,0x544fffff,0x7f4c002f,
    0xffffffff,0xfff7001e,0x7fe4007f,0x0dffffff,0x2fffe980,0x3ea00000,
    0xfd001eff,0x3ffe0bff,0xff700001,0xb9ffffff,0x3f220bff,0xffffffff,
    0x0003ffff,0xf700fff3,0x00000bff,0x7007fffb,0xffffffff,0x400bffb9,
    0xfffffffb,0x803fffff,0x2ffeeffa,0x7ffff440,0x0effffff,0x2fffd880,
    0xffa80000,0x3fe000df,0x9ff907ff,0x37f60000,0xfffffd50,0x7ffff40d,
    0xf999efff,0xf90003ff,0x3fa6009f,0x3600005f,0xfb001eff,0x3fffaa1b,
    0x3f6006ff,0xa9acefff,0xf803ffcb,0xb01ff23f,0x2a217fff,0x2004fffc,
    0x0002fffb,0x00fffea0,0x417fffa0,0x0000fff8,0x37f6e070,0xffff900b,
    0xff8bffff,0xff88003f,0x3b22000f,0xeb80003e,0x81c000ce,0x000bdfdb,
    0x805ffff7,0x7fc402b8,0x5403fe20,0x3fa02fff,0x7fcc006f,0xfa80002f,
    0xf30001ff,0x7fec03df,0x00000003,0xffffff30,0xfff8bfff,0x5ffb8003,
    0x00000000,0x00000000,0x01efff88,0x317fc000,0x2ffe40ff,0x003ffee0,
    0x00033310,0x00013330,0xdff50030,0x00000000,0x3fffffee,0x7ffc5fff,
    0x2ffe8003,0x00000000,0x00000000,0x001fffc8,0xbbffd800,0x3ffa05fe,
    0x03ffd403,0x00000000,0xfd000000,0x32a0005f,0x995003cc,0x3fffff25,
    0x7fc5ffff,0x7fd4003f,0x66665406,0xcccccccc,0xccca82cc,0xcccccccc,
    0x93002ccc,0x44003999,0x00005fff,0xdffffd10,0x017ffc01,0x00017ffa,
    0x00000000,0xf7001330,0x3f2000bf,0xfc801fff,0xfffffd5f,0xff8bffff,
    0x7fec003f,0x7fffe403,0xffffffff,0xfffc84ff,0xffffffff,0xf9004fff,
    0x5c00bfff,0x00001fff,0x201e65c0,0xb101fff8,0x51003fff,0x79dffdb9,
    0x76e54400,0x0003ceff,0xff100dff,0xff90001f,0xff900bff,0x3fffff6b,
    0x7fc5ffff,0x3fe2003f,0x7ffe400f,0xffffffff,0xffc84fff,0xffffffff,
    0xf004ffff,0x001fffff,0x0001fff2,0xff100000,0xfffd303f,0xffff9005,
    0x7fffffff,0xfffffc80,0x03ffffff,0x401ffe20,0xc8004ffc,0x401fffff,
    0xfff95ffc,0x8bffffff,0x32003fff,0xaa9804ff,0xaeffeaaa,0xa981aaaa,
    0xeffeaaaa,0x801aaaaa,0x2ffffffa,0x00dffb00,0xdb951000,0x22079dff,
    0x7fcc1fff,0xffb001ff,0xffffffff,0x7fec05ff,0xffffffff,0xff1002ff,
    0x1ffe600f,0x3ffff200,0xaffe405f,0xfffffffa,0x1fffc5ff,0x003fff00,
    0x002ffec0,0x002ffec0,0xffd9ff90,0x17ffa00b,0xfff90000,0xffffffff,
    0x41fff887,0x2000effe,0x2209acfd,0xb00ffffc,0x6441359f,0x8800ffff,
    0x3f6007ff,0x7fe4003f,0x3200fffd,0x3fffa5ff,0x7c5fffff,0xff5003ff,
    0xffd8000d,0xffd80005,0x3ffe0005,0x800fffba,0x00004fff,0x7fffffec,
    0x22ffffff,0x3e21fff8,0x00c001ff,0x302fffc8,0x0bfff200,0x00fff510,
    0x20037fd4,0x4ffdcffc,0xf997ff20,0x5fffffff,0xe801fffc,0x6c0002ff,
    0xd80005ff,0xf50005ff,0x0bffe6ff,0x007fff10,0x9acfd800,0x3ffff220,
    0x543fff10,0x00000fff,0x009fff10,0x04fff880,0x0fffffd7,0x001fff80,
    0x3feb3ff2,0x8bff900f,0xfffffffa,0x401fffc5,0x80007ff9,0x80005ffd,
    0x90005ffd,0x2fff4bff,0x013ffe20,0x32003000,0xfff12fff,0x01fffc43,
    0xbffb0000,0xbffb0000,0xfffffe98,0x3ee000ff,0x3ff2005f,0x3209fff4,
    0xffb885ff,0x7ffc5fff,0x03ffd803,0x05ffd800,0x05ffd800,0x645fff00,
    0x7fc00fff,0x0000005f,0x229fff10,0x7ffc1fff,0x9000002f,0x90000bff,
    0xfffe8bff,0x4002aabe,0x9000fff8,0x3ffee9ff,0x205ffc80,0x7c4dca98,
    0x7fc403ff,0xfd80000f,0xfd80005f,0xffa8005f,0x0bffe60f,0x000dffd0,
    0x7fec0000,0xa83fff15,0x8003ffff,0xccccaa98,0x98805ffe,0xfeccccaa,
    0x0fffee5f,0x1ffec000,0xf14ffc80,0xbff907ff,0x3fff8000,0x002ffdc0,
    0x005ffd80,0x005ffd80,0xff85ffc8,0x3ffec05f,0x90000000,0x3ffe2bff,
    0xdffffb81,0xfffc8800,0xffffffff,0x3fff2205,0xffffffff,0x001bff65,
    0x007ff980,0x7fe49ff9,0x005ffc87,0x201fffc0,0x00001fff,0x0000bffb,
    0xf000bffb,0xfff907ff,0x03fffc80,0x55310000,0xbffd9999,0x5407ffe2,
    0x200effff,0xfffffffb,0x05ffffff,0xfffffff7,0x4bffffff,0x00005ffe,
    0x64017ff4,0x3ffe24ff,0x002ffe42,0xa80fffe0,0x200006ff,0x80005ffd,
    0x54005ffd,0xffa80fff,0x3ffe202f,0x64400006,0xffffffff,0xfff15fff,
    0x7fff4403,0x7ffff506,0x0bff9013,0x137ffff5,0x7fcbff90,0x5400005f,
    0xffc806ff,0x3237fec4,0x7c0005ff,0x3ff603ff,0x3f600003,0xfd80005f,
    0x7fe4005f,0x017ffe06,0x0007fffb,0x3ffffee0,0xffffffff,0x003fff15,
    0xff07fffb,0xffc801df,0x00efff85,0xffd2ffe4,0xff00000f,0x4ffc803f,
    0xf917ffcc,0xff8000bf,0x0fff303f,0x5ffd8000,0x5ffd8000,0x01fffc00,
    0xfa80fffb,0x02004fff,0x26ffffea,0xf15ffc80,0xff1003ff,0x2fff88bf,
    0x445ffc80,0xfc802fff,0x07fff25f,0x9ff90000,0xd84ffc80,0x17ff26ff,
    0x07fff000,0x00013ff2,0x000bffb0,0x400bffb0,0x2a01fffa,0x7e402fff,
    0x980adfff,0xefff83eb,0x8affe400,0xf9001fff,0x1fffa8df,0x545ffd80,
    0xfd801fff,0x3fffe65f,0x3e200000,0x3ff200ff,0x91fff984,0xf8000bff,
    0xfff883ff,0x7ec00000,0xfd80005f,0x3ff2005f,0x2fffc406,0x7ffffe40,
    0xfffffeff,0x017ffc43,0xff8affe4,0xbff9001f,0x202fff98,0x4c5fffe8,
    0x3a202fff,0x7fe45fff,0x200002ef,0x3f203ffd,0x2bffd04f,0x40005ffc,
    0xffb82fff,0xfd800005,0xfd80005f,0x3ffe005f,0xccccccce,0x9007fffc,
    0xffffffff,0xfa87ffff,0xffd801ff,0x003fff15,0xf887fff5,0xffb80eff,
    0x7fc45fff,0xfffb80ef,0xfffd85ff,0x00019bef,0xfc81bfea,0x1fff504f,
    0x4000bff9,0xfe81fff8,0xd800002f,0xd80005ff,0xff5005ff,0xffffffff,
    0x05ffffff,0x3fffae20,0x981bceff,0x3a202fff,0xfff15fff,0x76e67543,
    0xffb06fff,0xfffb99ff,0xfb0bffbf,0xffb99fff,0x20bffbff,0xfffffffc,
    0x3ffa0007,0x409ff902,0x5ffccffe,0x3ffe6000,0x0037fd40,0x05ffd800,
    0x05ffd800,0xffffff90,0xffffffff,0xf88009ff,0xff1001ff,0xfff701df,
    0x3ffe2bff,0x3ffffee1,0xff101eff,0xdfffffff,0xf10bff51,0xffffffff,
    0x40bff51d,0x7fffffe9,0x17fee000,0xf7027fe4,0x20bff9ff,0x86ffd800,
    0x00003ffd,0x000bffb0,0x200bffb0,0xaaaadfff,0xfeaaaaaa,0x7fd4007f,
    0x7ffec006,0xffffdccf,0xfff15ffd,0x7ffffdc3,0xffc8803e,0x3e63efff,
    0xfff9105f,0x7fcc7dff,0xeedb8805,0x3fe20007,0x04ffc80f,0x2ffffffc,
    0xff901fdc,0x0fff885f,0xffb00000,0xffb0000b,0x3fff300b,0x17ffd400,
    0x009ff900,0xffffff88,0xffa8efff,0x01331005,0x000cc400,0x00019880,
    0x32000000,0x4ffc84ff,0x7ffffdc0,0x6ffffc45,0x5fffecab,0x0004ffc8,
    0x017ff600,0x017ff600,0x1001fff2,0x74009fff,0xc88001ff,0x23efffff,
    0x00005ff9,0x00000000,0x00000000,0xc87ff980,0x7fc404ff,0x7f4c5fff,
    0xffffffff,0x1fff80df,0xfffc8000,0xffffffff,0xffc84fff,0xffffffff,
    0x3fe4ffff,0xffd8004f,0x0fff1007,0x00331000,0x00000000,0x00000000,
    0x74000000,0x27fe42ff,0x2ffffe40,0xfffffea8,0xdff502ff,0x3ff20000,
    0xffffffff,0xfc84ffff,0xffffffff,0xf34fffff,0xf70003ff,0xdd3003ff,
    0x00000009,0x00000000,0x00000000,0x22000000,0x27fe4099,0x2ffffc40,
    0x02aee620,0x00013310,0x3fffff20,0xffffffff,0xffffc84f,0xffffffff,
    0x0fff94ff,0x13ffe200,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x95000000,0x2a200059,0x200100ac,0x800a601a,0x000a601a,
    0x00016654,0x40059995,0x32a20ccb,0xc8802cee,0x00002ccc,0x19999500,
    0x02cca800,0x29806a00,0x77654c00,0x2a4ca9bd,0x5c0003ee,0x4003ffff,
    0x44fffffb,0x7ff402fa,0x806ffb83,0xffb83ffe,0x7ffdc006,0xfd10003f,
    0x1dcc43ff,0x7fcc7ffa,0x805fffff,0x002fffe9,0x7ffd4000,0x7fdc001e,
    0xfe8003ff,0x06ffb83f,0xffffffa8,0xf35fffff,0x20003fff,0x3ffffffb,
    0xfffff500,0xdffb9dff,0x43fffd40,0x2a02ffff,0xfff87fff,0xfff7002f,
    0x20007fff,0xfedefff9,0x4fff45ff,0xfffffffa,0x6c400eff,0x00002fff,
    0x01bfff50,0xfffffb80,0x3fea003f,0x2ffff87f,0x3fffff20,0x5fffffff,
    0x009ffff7,0xf33dff70,0xbfb007ff,0xfffff713,0x7fcc01df,0x1fffe86f,
    0x21bffe60,0xb801fffe,0xfff99eff,0x3f2a2003,0xffffffff,0x7fefff45,
    0xfffd50bf,0x3ffee007,0x7d400002,0xfb8003ff,0x3fff99ef,0x0dfff300,
    0x3603fffd,0x2609dfff,0xff35ffeb,0xfb8005ff,0x3ffa20ef,0x6440c803,
    0xb800cefe,0x3ed880de,0x880deb80,0xffb803ed,0x0fffa20e,0x3ffffe60,
    0x0abdffff,0x077ffff4,0x0037ff44,0x0005fff3,0x007ffea0,0x883bfee0,
    0xd7003ffe,0x07db101b,0x900fffe6,0x2ffe4bff,0x880ccc00,0x00000199,
    0x00000000,0x01998000,0xf3003331,0xfffddfff,0x77fff403,0x07ffea00,
    0x00199880,0x00133300,0x4c406660,0x00000019,0x32017ff6,0x000445ff,
    0x00000000,0x00000000,0x00000000,0x261bd980,0x3fa06fff,0xfff800ff,
    0x00000003,0x00000000,0xf3000000,0xff9003ff,0x0000000b,0x00000000,
    0x00000000,0x00000000,0x740fffee,0xffd003ff,0x00000009,0x00000000,
    0x2e000000,0xff9007ff,0x0004cc4b,0x7ff6e544,0x2a2003ce,0x3ceffedc,
    0x3b72a200,0xb803ceff,0xcca802cc,0xeecb9803,0x260002cd,0x1ffffecb,
    0xb003ffe8,0x95100bff,0x00059bdd,0x337bb2a2,0xd9510002,0x200059bd,
    0x2cdeeca8,0x401bff20,0x3fee5ffc,0x7ffe4003,0xffffffff,0x7fffe403,
    0x3fffffff,0x7ffffe40,0x03ffffff,0x2e00fffa,0x7fe406ff,0x1effffff,
    0x3fffea00,0xe85fffff,0xff9003ff,0xffffa80d,0x000effff,0x3fffffea,
    0x2a000eff,0xffffffff,0x3fea000e,0x0effffff,0x9005ffd8,0x27fdcbff,
    0x3ffff600,0xffffffff,0x3ffff602,0xffffffff,0x3ffff602,0xffffffff,
    0x007ffd02,0x3a60dff7,0xffffffff,0xfc803fff,0xffffffff,0x1fff41ff,
    0x205ffc80,0xfeeffffc,0xc802ffff,0xffeeffff,0xfc802fff,0xfffeefff,
    0xffc802ff,0xffffeeff,0x027ff42f,0x3ee5ffc8,0x67ec004f,0x3ff2209a,
    0x59fb00ff,0x7ffe4413,0x359fb00f,0x7fffe441,0x803ffe80,0xff886ffb,
    0x3ee61bff,0x3f601fff,0xd311bdff,0x3ffe8dff,0x209ffb00,0x540cfffc,
    0x3200ffff,0x7d40cfff,0x3f200fff,0x7fd40cff,0x3ff200ff,0x7ffd40cf,
    0x017ff60f,0xff92ffe4,0x90018009,0x00605fff,0x1817ffe4,0x05fff900,
    0xf7007ffd,0x5fff90df,0x837ffcc0,0x2e04fff9,0x3ffa1fff,0x07ffd003,
    0x4405fff1,0xff104fff,0x7ffc405f,0x05fff104,0x8827ffc4,0x3e202fff,
    0x17ff24ff,0xf92ffe40,0x2000009f,0x0004fff8,0x0027ffc4,0x213ffe20,
    0xfb803ffe,0x1fffcc6f,0x417ffdc0,0x7c405ffe,0x0fffa4ff,0x207ffe20,
    0xfb805ffc,0x5ffc80ff,0x80fffb80,0xfb805ffc,0x5ffc80ff,0x90fffb80,
    0xff300dff,0x02ffe4bf,0xbffb0000,0xbffb0000,0xbffb0000,0x7007ffd0,
    0x7ffc8dff,0x517ffa00,0xf9003fff,0x01fff4ff,0x2207ffe4,0xf8801fff,
    0x7ffc41ff,0x1fff8801,0x400fffc4,0x7c41fff8,0xff8801ff,0x03fff71f,
    0x92ffffc4,0x00000bff,0x0002ffe4,0x0002ffe4,0x7f42ffe4,0x6ffb803f,
    0x90027fec,0x6ffc8dff,0x23fff300,0x7c403ffe,0xfff983ff,0x85fff000,
    0xf000fff9,0xfff985ff,0x85fff000,0xf000fff9,0x3ffe25ff,0xffffd104,
    0x002ffe4b,0x99955310,0x100bffd9,0xd9999553,0x53100bff,0xffd99995,
    0x007ffd0b,0xffe8dff7,0x1ffee003,0x22009ffb,0x9ffd2fff,0x1bffea01,
    0x5557ffdc,0xfaaaaaaa,0x7ffdc4ff,0xaaaaaaaa,0x5c4fffaa,0xaaaaafff,
    0xfffaaaaa,0x557ffdc4,0xaaaaaaaa,0x3ff24fff,0x77ff542f,0x17ff65ff,
    0x3fff2200,0xffffffff,0x3fff2205,0xffffffff,0x3fff2205,0xffffffff,
    0x803ffe85,0x7ffc6ffb,0x3ffea002,0x8013ffa0,0xfffd3fff,0xffdb99bf,
    0x3ff203ff,0xffffffff,0x44ffffff,0xfffffffc,0xffffffff,0x7fffe44f,
    0xffffffff,0x7e44ffff,0xffffffff,0x4fffffff,0x33bfffe6,0xffbaffff,
    0x001bff65,0xfffffff7,0x0bffffff,0x3fffffee,0x5fffffff,0xffffff70,
    0xbfffffff,0x7007ffd0,0x7ffc4dff,0x3ffea002,0x800fffe0,0xfffd4ffe,
    0xffffffff,0x7ffe401b,0xffffffff,0x644fffff,0xffffffff,0xffffffff,
    0x7ffffe44,0xffffffff,0x7fe44fff,0xffffffff,0x44ffffff,0xfffffffa,
    0x6cbff72f,0x3ea006ff,0xc809bfff,0xfffa85ff,0xffc809bf,0xbffffa85,
    0x85ffc809,0xfb803ffe,0x017ffc6f,0xff8fff50,0x3ffe004f,0xfffdffd3,
    0x7005bdff,0x33333dff,0x33333333,0x99effb81,0x99999999,0x7fdc0999,
    0x9999999e,0x40999999,0x9999effb,0x99999999,0xfffd9809,0x97ff21ce,
    0x3e006ffd,0x7e400eff,0x0efff85f,0x7c2ffe40,0x7e400eff,0x03ffe85f,
    0x7f46ffb8,0x3fee003f,0x802ffec6,0xffd3fff8,0x20006627,0x00007ffa,
    0x0000fff5,0x0001ffea,0x0003ffd4,0xff901980,0x8037fecb,0xc802fff8,
    0x7ffc45ff,0x45ffc802,0xc802fff8,0x4ffe85ff,0x6c6ffc80,0x3fa005ff,
    0x037fe44f,0xfd1fff98,0xf300007f,0x300001ff,0x00001fff,0x0001fff3,
    0x001fff30,0xffc80000,0x401bffa5,0xd801fffa,0x7ffd45ff,0x45ffd801,
    0xd801fffa,0x5ffd85ff,0x237ffdc0,0x9801fffc,0x7fdc2fff,0x7ffd802f,
    0x0000fffa,0x0013ffe2,0x013ffe20,0x13ffe200,0x3ffe2000,0x40000004,
    0x3ffa5ffc,0x5fff3007,0x2ffff440,0x880bffe6,0x7cc5fffe,0x3fa202ff,
    0x7ffc85ff,0x1bfffea0,0x880bfff1,0xff886ffe,0x7ffcc06f,0x000fffa3,
    0x00fffe40,0x0fffe400,0x7ffe4000,0xffc80001,0x0000001f,0xffe97ff2,
    0xdfff1007,0xfffff701,0x0efff88b,0x5fffffb8,0x4077ffc4,0x85fffffb,
    0xfb84fffa,0xfb86ffff,0xfe880dff,0xfff701ff,0xffff501d,0x001fff41,
    0x3ffff880,0x3fe20100,0x201003ff,0x003ffff8,0x3fffe201,0x80001003,
    0x3ffa5ffc,0x3fff6007,0xffffdccf,0xffd85ffd,0xfffdccff,0xfd85ffdf,
    0xffdccfff,0xd05ffdff,0xfd99dfff,0x20dff5df,0xcceffffe,0x404ffffe,
    0xdcdffffe,0x741ffffe,0x200003ff,0xcdeffffb,0x04fedccb,0x37bfffee,
    0x4fedccbc,0x3bfffee0,0xfedccbcd,0x3fffee04,0xedccbcde,0x7e40004f,
    0x01fffa5f,0xffffff88,0xffa8efff,0xfffff885,0xfa8effff,0xffff885f,
    0xa8efffff,0xfff505ff,0x31dfffff,0x3f620dff,0xffffffff,0xfffb002f,
    0x5fffffff,0x0007ffd0,0xffffea80,0x4fffffff,0x7ffff540,0x4fffffff,
    0x7ffff540,0x4fffffff,0x7ffff540,0x4fffffff,0x2ffe4000,0x8800ffff,
    0x3efffffc,0x64417fe6,0x23efffff,0xf9105ff9,0x4c7dffff,0x3fa205ff,
    0x3e24ffff,0x7ff5406f,0x000cefff,0x7fffff54,0x0fffa03f,0x3b220000,
    0xefffffff,0xfec8802d,0xdeffffff,0xffec8802,0x2defffff,0xfffec880,
    0x02deffff,0xf2ffe400,0x20001fff,0x10000198,0x22000033,0x26000019,
    0x2200001a,0x22000019,0x0000009a,0x9a988000,0x4c400009,0x4000099a,
    0x00099a98,0x04cd4c40,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x37ff72a0,
    0x1ccccccc,0x4f32a000,0x00002ccb,0x22000000,0x00100aca,0x00a601a8,
    0x01666644,0x99500000,0x2ccb8199,0x002ccb80,0x90059950,0x37260999,
    0x997001ce,0x66666643,0x26000ccc,0xfffffffe,0x02ffffff,0x757ff200,
    0x400003ff,0x1ceffdc8,0x3ffee000,0x017d44ff,0xfb83ffe8,0xffd3006f,
    0x0000005f,0xd03dfff5,0xffb007ff,0xfff70009,0x7ffc407f,0xfffffa87,
    0x37fd404f,0x3ffffffe,0xff3001ff,0xfffb9dff,0x005fffff,0xfeaffe40,
    0x2e00003f,0xffffffff,0xfffa8004,0xfdceffff,0xfffa806f,0x02ffff87,
    0x05fffb10,0x7fd40000,0x7ffd00df,0x009ffb00,0xffffffb8,0x31fffe03,
    0xfffdbfff,0x07ffe203,0xffffffff,0xffd1003f,0x9fff903d,0x64000133,
    0x07ffd5ff,0x3ffea000,0x3fffffff,0x44efec00,0xeffffffb,0x6fff9800,
    0x001fffe8,0x0017ffdc,0x1fffd400,0x200fffa0,0x2e004ffd,0xfff99eff,
    0xd8ffff03,0x17fee2ff,0x4cc27fe4,0x1fffa999,0x01fffb80,0x0001bff6,
    0xffeaffe4,0xfe880003,0x3ffaa1ef,0x2064000f,0x00cefec8,0x22037ae0,
    0xf30003ed,0x400005ff,0xe801fffa,0xffd803ff,0x1dff7004,0x7c1fff44,
    0x437fc6ff,0x6ff987ff,0x07ffe200,0x3017ff20,0x00003fff,0x3ffabff9,
    0xffa80003,0x1fffb81f,0x00000000,0x44000000,0x20000199,0xfd000999,
    0x9ffb007f,0x44066600,0x6fff8199,0x3f613fe2,0x00fff40f,0x003fff10,
    0xf8807ffd,0xc80002ff,0x07ffd5ff,0x0fff7000,0x000fffe2,0x00000000,
    0x00000000,0xffe80000,0x04ffd803,0xfff00000,0x6c2ffccd,0x13ff20ff,
    0x03fff100,0x8809ffd0,0x80001fff,0x7ffd5ffc,0xdff90000,0x0017ffc0,
    0x00000000,0x00000000,0xffd00000,0x09ffb007,0x3fe00000,0x21ffe26f,
    0x3bfe67fe,0x7ffc4000,0x06ffd801,0x3003ffd4,0xfb7bdd97,0x88fffabf,
    0x402ceeca,0xf980fffb,0x730000ff,0x0059bdd9,0x6f765cc0,0x2e60002c,
    0x002cdeec,0x37bb2e60,0x1fff402c,0x2027fec0,0xca802ccb,0xd1bffa3c,
    0x27fdc5ff,0x10005ffd,0xf5003fff,0x3fe207ff,0xffe9805f,0xffffffff,
    0x3e67ffd5,0x05ffffff,0x3a0fffe6,0xf90006ff,0xdfffffff,0xfffc8003,
    0x01efffff,0x7ffffe40,0x4001efff,0xfffffffc,0x7ffd01ef,0x809ffb00,
    0xfb803ffe,0x517ffa6f,0xfffddfff,0x0017fee1,0x800fffc4,0x511cfffe,
    0xc801ffff,0xffffffff,0xffd5ffff,0xffffff55,0x3a01dfff,0xffd10fff,
    0xfe98001f,0xffffffff,0xfe9803ff,0xffffffff,0xfe9803ff,0xffffffff,
    0xfe9803ff,0xffffffff,0x3ffe83ff,0x404ffd80,0xfb803ffe,0x217ffa6f,
    0x1ffffffc,0x0001fff3,0x4007ffe2,0xfffffffd,0x6402ffff,0x260adfff,
    0xffd5ffeb,0x2a17fffb,0xf503fffe,0xffff7bff,0xfff88005,0x3fee61bf,
    0x3fe201ff,0x3ee61bff,0x3e201fff,0x2e61bfff,0x2201ffff,0x261bffff,
    0x741ffffb,0xffd803ff,0x01fff404,0xffd37fdc,0x2f77260b,0x000bffa0,
    0x801fff88,0xffffeffa,0x4c00dfff,0x7e403fff,0xdffffd5f,0x0dffd101,
    0x7fffffec,0xffc8000e,0x3ffe602f,0x0bfff206,0x206fff98,0x2602fffc,
    0x3f206fff,0x3fe602ff,0x01fff46f,0x3a027fec,0xffb803ff,0x0017ffa6,
    0x00017fee,0xf003fff1,0x2b2aa3ff,0xbffb0009,0x3abff900,0x2a00efff,
    0xff501fff,0x20007fff,0xb803fff9,0xff982fff,0xfffb803f,0x03fff982,
    0x982fffb8,0xfb803fff,0x13ffa2ff,0xd013ffa0,0xff7007ff,0x002ffecd,
    0x0003ffe2,0x803fff10,0x80007ff8,0xc801fff9,0x1fffd5ff,0x707fff00,
    0x03ffffff,0x3f205551,0x3ffa007f,0x007ffc85,0x3f217ffa,0x3ffa007f,
    0x007ffc85,0xffe97ffa,0x27ffe405,0x200fffa0,0x3ff66ffb,0x1ffec004,
    0x7ffc4000,0x0fffd401,0x1ffea000,0xfeaffe40,0x9ffd003f,0xffffffc8,
    0x37fdc0ef,0x2004ffd8,0xffd86ffc,0x1bff2004,0xc8013ff6,0x4ffd86ff,
    0xe9bff200,0xff700fff,0xffe80bff,0x26ffb803,0x2e004ffd,0x100005ff,
    0xf9803fff,0xaaabdfff,0x7fdc009a,0x2bff9006,0xfb003ffe,0xa7ffdcbf,
    0x7ec5fffd,0x07ffd06f,0x743ffdc0,0x3ee003ff,0x03ffe87f,0x3a1ffee0,
    0x3ee003ff,0x13fffa7f,0x3ffffff2,0x00fffa00,0xffd9bfee,0x1fff1004,
    0x200054c4,0xd801fff8,0xffffffff,0xd82effff,0xff9005ff,0x400fffab,
    0x3ffe6ffc,0xd27fff45,0x3ffe0bff,0x3ffea002,0x0017ffc0,0xff81fff5,
    0x3fea002f,0x017ffc0f,0x3a1fff50,0xfddeffff,0xffff8eff,0x007ffd05,
    0x7fecdff7,0x47ffb004,0x01effffc,0x003fff10,0x3ffffff6,0x5fffffff,
    0xc8027ff4,0x07ffd5ff,0x7dd7ff20,0x7ffc40ff,0x109fff2f,0x54005fff,
    0x3fe20fff,0x3fea002f,0x0bffe20f,0x20fffa80,0x2002fff8,0xffd0fffa,
    0xdfffffff,0x41ffff21,0xfb803ffe,0x013ff26f,0xffe9bfea,0x800fffff,
    0xa801fff8,0xcccbcfff,0x4fffffec,0x64017ff6,0x07ffd5ff,0x7e53ff60,
    0xffff506f,0x3e05fff3,0x3ea002ff,0x02fff87f,0x3e1ffea0,0x3ea002ff,
    0x02fff87f,0xfe9ffea0,0x3ffffdaf,0xfd07ffc8,0xdff7007f,0x2201ffe4,
    0xbff71fff,0x00bffb33,0xa803fff1,0xfa802fff,0x17ff27ff,0xfeaffe40,
    0x7fff003f,0xfb817ff6,0x00ffffff,0x5c007ffd,0x3ffe86ff,0x21bfee00,
    0x2e003ffe,0x3ffe86ff,0xe9bfee00,0x003312ff,0x0fffa013,0xca9bfee0,
    0x1ffec02c,0x7fc41ffd,0x1fff8807,0x002ffec0,0x3f23fff9,0xfff9806f,
    0x1007ffd5,0x3ffa3fff,0x7fffec05,0x17ff604f,0xd84ffe80,0x3fa005ff,
    0x05ffd84f,0x3613ffa0,0x3fa005ff,0x00fffa4f,0x09ffd000,0x000dff90,
    0x5ff8dff5,0x4400ffe8,0x7fc01fff,0x3fea003f,0x03fff50f,0xeaffffc4,
    0xffc803ff,0x80fff90f,0x01ffffe8,0x2007fff2,0xfc82fff9,0xff9801ff,
    0x1fffc82f,0x82fff980,0x9801fffc,0x3ffa2fff,0x7ec00003,0x7ffdc05f,
    0x7ff44006,0x3217fe21,0x7fc401ff,0x3ffe201f,0x9bff6004,0xd104fff8,
    0x3fabffff,0x7ffc403f,0x00fffee3,0x405ffff5,0x4405fff8,0xff106ffe,
    0xffe880bf,0x0bfff106,0x106ffe88,0xe880bfff,0x1fff46ff,0x3ff20000,
    0x3fffea07,0x64077666,0x87ff84ff,0x7c400ffd,0x7ff401ff,0x7fec403f,
    0x17ffe43f,0x3ff7ffaa,0x2019ffd5,0x7c46fffa,0xff903fff,0x5c03ffff,
    0xe880dfff,0x3ee01fff,0xfe880dff,0x3fee01ff,0xffe880df,0x3ffee01f,
    0xfffe880d,0x001fff41,0x13ffea00,0x5bffffee,0x4c0ffff9,0x1fff06ff,
    0x44037fc4,0x7d401fff,0xccdeffff,0x84ffffec,0xfceffff9,0x5ffaafff,
    0x99bffffd,0x03ffffdb,0x9dfffff5,0xfffffffd,0x7ff401df,0xffecceff,
    0xffe804ff,0xffecceff,0xffe804ff,0xffecceff,0xffe804ff,0xffecceff,
    0x3ffe84ff,0xffe80000,0xeffeccef,0xfff96ffa,0x01ffe87f,0xfd57dff9,
    0x77775c7f,0xeeefffee,0x3fea0eee,0xffffffff,0x3ea03fff,0x2fffffff,
    0x3ffabff5,0xffffffff,0x3fee00df,0xffffffff,0x05fffd8c,0x3fffff62,
    0x002fffff,0xffffffb1,0x2005ffff,0xffffffd8,0x1002ffff,0xfffffffb,
    0x3fa05fff,0xa800003f,0xffffffff,0xf76ff98e,0x7fe45fff,0x3fffa204,
    0x7fe45fff,0xffffffff,0xa80fffff,0xeffffffd,0xffb3003d,0x7fcc39df,
    0x3fffae65,0x1002ceff,0xbdffffd9,0x27fff443,0x3ffffaa0,0xa8000cef,
    0xcefffffe,0xffea8000,0x000cefff,0xfffffea8,0x3ffa00ce,0xd1000003,
    0x449fffff,0x97ffa6ff,0x4400fff9,0xc83ffffd,0xffffffff,0x0fffffff,
    0x00009880,0x98000198,0x03300001,0x0cc40000,0x06620000,0x03310000,
    0x01988000,0x00000000,0x330006a6,0x004c0000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xb0000000,0x999100bd,0x00000059,0x2a199995,0x22000ccc,0x2a001ccc,
    0x644002cc,0x00002ccc,0x4029806a,0x001bdeec,0x75c0732e,0x332e005e,
    0x00bdd701,0xcc98e65c,0x80000004,0x000cccca,0x4017fe20,0x002fffe9,
    0x3ffea000,0x13ffe61e,0x00fffb80,0x07ffff70,0x2fffe980,0x3ffe8000,
    0xf106ffb8,0x001fffff,0xfd50dff5,0x3ea00dff,0xfffea86f,0x4dff5006,
    0x00007ffb,0x77ffd400,0x7fdc0001,0x3ff62002,0xa800002f,0xfe80dfff,
    0x3ffa007f,0xffff7005,0xd88007ff,0x20002fff,0xff87fffa,0xbbc882ff,
    0x7c405fff,0x3ffa61ff,0xf8806fff,0x3ffa61ff,0xf8806fff,0x1ffee1ff,
    0xfa800000,0x80000dff,0xf70007fe,0x400005ff,0x2e03fffa,0xf9802fff,
    0xffb802ff,0x03fff99e,0x02fffb80,0x0dfff300,0x7003fffd,0xffc80bff,
    0x7df7fc44,0x4ffc806f,0x7fdf7fc4,0x44ffc806,0x00007ffb,0x07fff500,
    0xdfd97300,0x4c000bff,0x80002fff,0x4401fffa,0xfc805fff,0xeffb807f,
    0x00fffa20,0x00bffe60,0x4406f5c0,0x2a6203ed,0x3e602ffe,0x3e27906f,
    0x37fcc06f,0x0dff13c8,0xfb86ff98,0x8000007f,0x4001fffa,0xffffffd8,
    0x20002fff,0x80001998,0xfb000999,0xfff801ff,0x10199804,0x22000333,
    0x00000199,0x7fffe400,0x00fff405,0x3a037fc4,0xff8801ff,0x40fff406,
    0x00007ffb,0x00099980,0x7fffffd4,0x04ffffff,0x00000000,0x0fffe600,
    0x001fff98,0x00000000,0xc8000000,0x906fffff,0x3e2009ff,0x13ff206f,
    0x9037fc40,0x3fee09ff,0x00000007,0x3fffe200,0xfffff10b,0x0000005f,
    0x7f400000,0x1bff206f,0x00000000,0x00000000,0x30bffe60,0x22001dff,
    0xdff306ff,0x1bfe2001,0xb8077fcc,0x000007ff,0x3ff60000,0x7dffdc1f,
    0x332e07ff,0x83cca802,0xca802ccb,0x1fffb83c,0x9007fff0,0x99999999,
    0xcccc8001,0x000ccccc,0x66666664,0xf88000cc,0x17ff43ff,0x20dff100,
    0x22002ffe,0x5ffd06ff,0x403ffdc0,0x3203ccca,0xcccccccc,0x2fff9800,
    0xfff77fe8,0x00fffa05,0x3fa1bfee,0x6ffb803f,0xa84fff88,0xff800fff,
    0x1fffffff,0x7ffffc00,0x4001ffff,0xffffffff,0xdcc9801f,0x3ee0fffe,
    0x7fc4005f,0x005ffb86,0x7dc37fc4,0x3ffdc05f,0x07fffea0,0xfffffff8,
    0xffc801ff,0x3a5ff886,0x7ffd05ff,0xd0dff700,0xff7007ff,0x21fff60d,
    0xff005ffd,0x3fffffff,0xfffff800,0x4001ffff,0xffffffff,0xfffa801f,
    0x3fe62fff,0x7fc4000f,0x007ffcc6,0xf31bfe20,0xffb801ff,0x3fffea07,
    0x7ffffc01,0xd801ffff,0x2ffb83ff,0x7f41fff2,0x6ffb803f,0xb803ffe8,
    0xfff506ff,0x017ffc45,0xfa999998,0x4cc001ff,0x1fffa999,0x4ccccc00,
    0x9801fffa,0x740bceed,0xc88002ff,0x017ff43c,0x3a1e6440,0xffb802ff,
    0x1ffff307,0x53333300,0xff003fff,0xb8ffd05f,0x7ffd07ff,0xd0dff700,
    0xff7007ff,0x52fff40d,0x88000fff,0x80001fff,0x0001fff8,0x001fff88,
    0x00bff700,0x05ffb800,0x2ffdc000,0x987ffb80,0x0000efff,0x1007ffe2,
    0xff883fff,0x407ffd45,0xfb803ffe,0x03ffe86f,0x2e06ffb8,0x9ffd0fff,
    0xfff88000,0xff880001,0xf880001f,0x880001ff,0x00000fff,0x0003ffe2,
    0x00fff880,0xf98fff70,0x40000eff,0x4401fff8,0x7fdc1fff,0x407ffcc2,
    0xfb803ffe,0x03ffe86f,0x2206ffb8,0xfff9bfff,0x7fc40001,0xf880001f,
    0x880001ff,0x80001fff,0x00003ffd,0x0001ffec,0x800fff60,0x3fe67ffb,
    0x880000ef,0x7c401fff,0x43ff42ff,0xffd07ffa,0x0dff7007,0xf7007ffd,
    0xeffd80df,0x80006ffb,0x0001fff8,0x001fff88,0x01fff880,0x02ffdc00,
    0x17fee000,0xbff70000,0x37ffb800,0x0001dfff,0x007ffe20,0xff88fffe,
    0xd06ffb85,0xff7007ff,0x007ffd0d,0xfa80dff7,0x003fffff,0x01fff880,
    0x1fff8800,0xfff88000,0x3fe20001,0x00cccc0f,0x303ffe20,0xf8800333,
    0x06aa20ff,0x7fcfffdc,0x200000ef,0xe801fff8,0x0bfee5ff,0x7f417ff6,
    0x6ffb803f,0xb803ffe8,0xfff806ff,0x80000fff,0x0001fff8,0x001fff88,
    0x01fff880,0x90fff600,0x4003ffff,0x7fe43ffd,0x3f6001ff,0x3ffff23f,
    0x77ffdc2f,0x00001fff,0x400fffc4,0xffd0fffb,0x207fff10,0xfb803ffe,
    0x03ffe86f,0xb806ffb8,0x0004ffff,0x003fff10,0x03fff100,0x3fff1000,
    0x1bfea000,0x03fffff3,0xf31bfea0,0x2003ffff,0x3fea6ffa,0x2e1fffff,
    0xefff9fff,0x3e200000,0xff8801ff,0xd85ff9ef,0x3ffa06ff,0x86ffb803,
    0xfb803ffe,0xfff8806f,0xf100000f,0x100003ff,0x00003fff,0x0003fff1,
    0xfe83fff1,0x8801ffdf,0x7ff41fff,0xf8801ffd,0xc866c1ff,0x5ffee3ff,
    0x000efffa,0x03fff100,0x3fbfff20,0x17ffec2f,0x7007ffd0,0x7ffd0dff,
    0x00dff700,0x000bfff1,0x00fffc40,0x0fffc400,0x7ffc4000,0x3ffd8001,
    0x7fed7fe4,0x43ffd801,0x1ffdaffc,0x803ffd80,0x3fee4ffa,0x01bffea7,
    0x0fffc400,0xfffffd00,0xbffffb99,0x804ffe80,0xffe86ffc,0x06ffc804,
    0x001fffd8,0x07ffe200,0x3ffe2000,0xff880001,0x7fd4001f,0xfdaffcc6,
    0x37fd401f,0x7fed7fe6,0x037fd401,0x3ee3ffd8,0x2fffe47f,0x7ffc4000,
    0x3ff62001,0xffffffff,0x05ffd803,0x6c37ffdc,0x7fdc05ff,0x7ffcc06f,
    0x7c400005,0x880001ff,0x80001fff,0x2001fff8,0x7f41ffe8,0x403ffb0f,
    0x7f41ffe8,0x403ffb0f,0xc801ffe8,0x3ffdc6ff,0x002fffec,0x007ffe20,
    0x3fffff20,0xf9000def,0x7ffd40ff,0x07ffc86f,0x81bfffea,0x000ffff9,
    0x0fffc400,0x7ffc4000,0xff880001,0x3ff2001f,0x6677fdc4,0xf904dffe,
    0xceffb89f,0x904dffec,0xfd8809ff,0x3ffdc0ef,0x004fffd8,0x007ffe20,
    0x06a7ffa0,0x27ffd400,0x37ffffdc,0x5c27ffd4,0x886fffff,0x001ffffb,
    0x1fff8800,0xfff88000,0xff880001,0xdff3001f,0xffffff90,0xff30ffff,
    0xfffff90d,0xf30fffff,0xfff980df,0x20fff704,0x003fffe8,0x003fff10,
    0x0004ff88,0x99dfffd0,0xdff5dffd,0x33bfffa0,0xffaeffec,0xffffffd6,
    0xeb80007f,0xfffeeeee,0x80eeeeee,0xfeeeeeeb,0xeeeeeeff,0xeeeeeb80,
    0xeeeefffe,0x0fff40ee,0x7f77775c,0xffe86eff,0xeeeeeb81,0xfe86efff,
    0x3ffea01f,0x3ee2aaad,0x3ffe207f,0x3bbae03f,0xeefffeee,0xf700eeee,
    0x2a00005f,0xffffffff,0x506ff98e,0xffffffff,0x3adff31d,0x01efffff,
    0xffffc800,0xffffffff,0xffc80fff,0xffffffff,0xc80fffff,0xffffffff,
    0x0fffffff,0xb0013ff2,0x9ff903ff,0x81ffd800,0x7dc04ffc,0x27ffffff,
    0x7cc07ffb,0xff902fff,0xffffffff,0x201fffff,0x400007fe,0x4fffffe8,
    0xe881bfe2,0x224fffff,0xbdffd6ff,0x7e400007,0xffffffff,0x80ffffff,
    0xfffffffc,0xffffffff,0xfffffc80,0xffffffff,0x1fff30ff,0x41ffd800,
    0x4000fff9,0x7fcc1ffd,0x7ffdc00f,0x3ee7ffff,0xfffa807f,0xffffc81f,
    0xffffffff,0x13300fff,0x54c00000,0x35300001,0x00000c00,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x32a20000,0x8000100a,0xbccedcba,0x016ed401,0x0001665c,0x33b6ea20,
    0x1665c00a,0x40799500,0xdeeecba8,0x544000ac,0x01cceedb,0x6f6dcc40,
    0x262001bc,0x0009bddb,0x9907dd70,0x99999999,0x98001999,0xeb84cba9,
    0xfffb803e,0x017d44ff,0x7fffecc0,0x2603ffff,0x7401ffff,0x200003ff,
    0xfffffffb,0x9ffd00ef,0x437fe400,0xffffffc8,0x3006ffff,0xfffffffd,
    0xe9807fff,0xffffffff,0x3f6201ef,0xdfffffff,0x3ffee000,0x3fffe23f,
    0xffffffff,0xffea800f,0x7dc7ffff,0x3ea03fff,0xceffffff,0x54006ffd,
    0xffffffff,0x3ff203ff,0x7ff404ff,0xfd880003,0xffffffff,0x4ffe81ff,
    0x51bff200,0xffffffff,0x900dffff,0xffffffff,0x5c09ffff,0xffffffff,
    0xd303ffff,0xffddffff,0x3a003dff,0x3e26ffff,0xffffffff,0x2a00ffff,
    0xfffffffe,0x7ffff47f,0x2277f606,0xeffffffb,0x7fff4000,0x80aaa61c,
    0x403ffffc,0x80003ffe,0x99cefffe,0x42ffffeb,0x32004ffe,0x3ffe26ff,
    0xa9999adf,0x3fa605db,0xa9bcefff,0xfb04ffcb,0x5359dfff,0xf507ff97,
    0x54415bff,0xe802fffd,0x5546ffff,0xcaaaaaaa,0xff700fff,0x559bdfff,
    0x6ffffe85,0x3b220640,0x5c000cef,0x20002fff,0x400efff8,0x40003ffe,
    0x3205fffb,0x7ff46fff,0x9bff2004,0x0001fffe,0x01efffe8,0xfffb83a8,
    0x215c402f,0xc804fff8,0x7dc00fff,0xa8003fff,0xffc80fff,0x3ee002ff,
    0x00003fff,0x17ff6000,0x02aa2000,0x000fffa0,0x805fff88,0x3fa2fffc,
    0x3ff2004f,0x007fff16,0x1bfff500,0x7ffc4000,0x3f60001e,0x3ff2003f,
    0x04ffc805,0x81fff500,0x0004fff9,0x00009ff9,0x3ffe8000,0xe8000000,
    0x320003ff,0xff000fff,0x027ff4bf,0x3eadff90,0x440001ff,0x80006fff,
    0x0001fffc,0x0981bfe6,0x0000ffe8,0x0fffa800,0x0002fff4,0x00000000,
    0x0002fff8,0x3ffe8000,0xbfff1000,0x8fffe400,0x32004ffe,0x5fff76ff,
    0xfffc8000,0x7fc40002,0x7ec0005f,0x7fff4c2f,0x017fee5f,0x3fea0000,
    0x03ffea0f,0x32e00000,0x3bfb220c,0x7fc4002c,0x6664002f,0x00cccccc,
    0xd911fff4,0xff3059df,0x7fcc005f,0x009ffd2f,0xff9b7fe4,0x7fc0005f,
    0xfb80006f,0x220001ff,0x7ffd46ff,0x7ffc7fff,0x54000000,0x3ff20fff,
    0xd0000004,0x3ffee3ff,0x000dffff,0x8005fff1,0xffffffff,0x9fff401f,
    0xfffffffb,0x03ffea0d,0x3a7fff00,0x3f2004ff,0x17fffe6f,0x1fffc400,
    0x3ffe4000,0x93fe6000,0xa9befff8,0x000ffe45,0x3ffea000,0x000bffa0,
    0x4fff4000,0xfffffffc,0xff1004ff,0xfff8005f,0x01ffffff,0x7fe5fff4,
    0x4fffffff,0x2001ffee,0x9ffd4fff,0x537fe400,0x007dffff,0x001fff98,
    0x006ffd80,0xf91ffd40,0x5ff7009f,0xfa800000,0x1fff10ff,0x2af32ea2,
    0xffe80000,0xf912effe,0x77543fff,0xefffeeee,0x5eeeeeee,0x7d4ccccc,
    0x7ff401ff,0xc88aeffe,0xff90ffff,0xbffd000d,0xc8013ffa,0x7ffdc6ff,
    0xa800cfff,0x33100fff,0x74133333,0x5c0005ff,0x0bffa2ff,0x000ffea0,
    0x1fff5000,0x3f6bffea,0x4fffffff,0x7fff4000,0xfff880df,0x3ffffee3,
    0xffffffff,0x8807ffff,0x7f401fff,0xf880efff,0x0bffb3ff,0x3adffb00,
    0x3f2004ff,0xfffe986f,0x2e01dfff,0x3ffa07ff,0x3e5fffff,0x640004ff,
    0x01ffe1ff,0x00027fcc,0x43ffea00,0xfffffffa,0xefffffff,0xfffd0000,
    0x24ffd80b,0xfffffffb,0xffffffff,0xff8807ff,0x7fff401f,0xea7fec06,
    0xfd8005ff,0x009ffd6f,0xd5037fe4,0x1bffffff,0x740fff90,0x5fffffff,
    0x0007fff1,0xff10ffd8,0x17fe200d,0x54000130,0xfff70fff,0x2a6139ff,
    0x0005fffe,0xc801dffd,0xff8805ff,0xf880002f,0x7ff401ff,0xaffe400e,
    0xe8006ffd,0x09ffd5ff,0x4037fe40,0xffffffd9,0x703ffe42,0xbffd9999,
    0x0013ffe2,0x7fc3ff90,0x4ff9800f,0x01bffd10,0x21fff500,0xd803fffb,
    0x2ee21fff,0x00fffa00,0x2201bfee,0x80002fff,0x7401fff8,0xffb803ff,
    0x000dff96,0x3ffa9ffd,0x1bff2004,0xffffc880,0x03ffee0f,0x3e5ffc80,
    0x5c0005ff,0x0bffa2ff,0x640bfea0,0x8004ffff,0xff70fffa,0x3ffe200f,
    0x03ffff34,0x2e00fffa,0xff8806ff,0xf880002f,0x7ff401ff,0x76ffb803,
    0xff000fff,0x013ffa7f,0x8006ffc8,0x266fffe8,0x32001fff,0x1bffa5ff,
    0x47ff5000,0x20c2effc,0xffb01ffb,0xf5000fff,0x1ffee1ff,0xfd5ffd80,
    0x3fa0dfff,0x6ffb803f,0x02fff880,0x1fff8800,0x401fff40,0xfff76ffb,
    0x7ffc4001,0x4009ffd1,0x20006ffc,0xff10fffe,0x7fe4005f,0x001fff65,
    0x7c4bff10,0x47fdffff,0xff700ffd,0xa8001fff,0xfff50fff,0x5fff2001,
    0xd07fffff,0xff7007ff,0x5fff100d,0xfff10000,0x03ffe803,0xff56ffb8,
    0x7fdc007f,0x00bffb0f,0x00027fec,0x7fc5fff5,0x3ff2006f,0x00ffff25,
    0x4c1fff00,0x27fffffe,0x7f407ff8,0x5c001fff,0xfff30fff,0x5bff2003,
    0xd05ffffd,0xff7007ff,0x5fff100d,0xfff10000,0x03ffe803,0x3fe6ffb8,
    0x3ffa006f,0x801bff26,0x20003ffe,0x3f62fff9,0xff9002ff,0x037ffccb,
    0x213fee00,0x321acdca,0x7fcc03ff,0x7e4000ff,0x0fffe27f,0xe8affec0,
    0xffd00eff,0x0dff7007,0x005fff10,0x03fff100,0xb803ffe8,0x3fff26ff,
    0x1fffa801,0x2003ffee,0x0002fff9,0xf883ffea,0xff9006ff,0x03fffd8b,
    0x007ffc00,0x200dff10,0xd8006fff,0x37ff45ff,0x21fffc40,0x1fff4019,
    0x4037fdc0,0x0002fff8,0x401fff88,0xfb803ffe,0x3fffe26f,0x17ffe600,
    0xb009fff3,0x44000dff,0xffc86ffe,0x7fe400ef,0x1ffffc45,0xeffb8100,
    0x2ffe8801,0x24fff880,0x7ffcc009,0x00fffd43,0x0003fff2,0x2e00fffa,
    0xff8806ff,0xf880002f,0x7ff401ff,0x46ffb803,0x20aefffd,0x81ffffa8,
    0xb104fffd,0x0de45fff,0x1ffff540,0x5fffffc4,0x90bffb01,0x015bffff,
    0xffd07d73,0x7ffcc03f,0x1fffb006,0x7d40e7dc,0xfffd06ff,0x0fffee03,
    0x01fff400,0x44037fdc,0x80002fff,0x7401fff8,0xffb803ff,0x7fffec46,
    0xfffffeef,0xfffff103,0xffffd99d,0xeffffe8b,0xffffeeee,0x3ffa604f,
    0xfeeeffff,0xff905fff,0xffdfffff,0x3f607fff,0xecaaceff,0x5cc05fff,
    0x7dc2fffe,0xfffeefff,0xfff502ff,0xffd979bf,0x7f4000df,0x6ffb803f,
    0x02fff880,0x1fff8800,0x401fff40,0xff906ffb,0xdfffffff,0xfffe9803,
    0x3fffffff,0xffffffe8,0x4fffffff,0xfffff900,0xbfffffff,0x7ffffd40,
    0x3fffffff,0x3ffffee0,0x203fffff,0x2ffffff8,0xffffffa8,0x4c02ffff,
    0xffffffff,0x740004ff,0xffb803ff,0x2fff8806,0x3bbbae00,0xeeefffee,
    0x7ffd0eee,0x40dff700,0xeffffeda,0x3fae000c,0x01deffff,0xffffffb7,
    0x0017dfff,0xffffec98,0x8801ceff,0xeffffedc,0xdb9801ac,0x01bdffff,
    0x06ffffc4,0xfffffb50,0x3620019d,0x1dfffffe,0x3ffe8000,0x806ffb80,
    0x2002fff8,0xfffffffc,0xffffffff,0x7007ffd0,0x26200dff,0x33100001,
    0xa9988001,0x4000009a,0x00009aa8,0x30000198,0x13590003,0x00198800,
    0x00099880,0x01fff400,0x44037fdc,0x32002fff,0xffffffff,0x0fffffff,
    0xf7007ffd,0x000000df,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xddb75100,0x8000379d,0x0acedcb9,
    0x3bb2a600,0x332e1bde,0x332e0002,0x665c000c,0xccccc883,0x000009ac,
    0xcccccca8,0x3223cccc,0xcccccccc,0xcccccccc,0x9999990c,0x99999999,
    0x33333323,0x2ccccccc,0x001b7300,0x6f765cc0,0xb730002c,0xf880159d,
    0xffffffff,0xfc8002ef,0xdfffffff,0x3fffa200,0xd2ffffff,0x540009ff,
    0x2a004fff,0xff982fff,0xffffffff,0xfd00003e,0xffffffff,0x7fffccdf,
    0xffffffff,0xf1ffffff,0xffffffff,0x3e5fffff,0xffffffff,0x9804ffff,
    0x98000fff,0xfffffffd,0xff5003ff,0x09ffffff,0x7fffffc4,0x02ffffff,
    0xfffffd10,0x03ffffff,0xfffffff7,0x3fa5ffff,0x7ec0004f,0xffd001ff,
    0x3fffe60d,0xffffffff,0x3e60001e,0xffffffff,0x273e66ff,0x99999999,
    0x1fc99999,0xffffffff,0x25ffffff,0xffffffff,0x804fffff,0x4000fff9,
    0xfffffffa,0x405fffff,0xfffffffb,0xf880dfff,0xd99899bd,0xc801ffff,
    0x7109dfff,0xffb81dfd,0x9330acff,0x013ffa5f,0x0bfff100,0x203fff70,
    0xbaabfff9,0x3fffffec,0xfdff9000,0x133333bf,0x90001fcc,0x2b7ffe3f,
    0xaaaaaaaa,0x557fff0a,0x35555555,0x01fff300,0x677ffc40,0xffeca88a,
    0xbfff903f,0xfffd5117,0x7fdc000d,0x7ffcc04f,0x3e206404,0xd0801eff,
    0x9bddddff,0x3fee0055,0x3ffe202f,0x03ffe604,0x0ffffe44,0x33bfe200,
    0x3f9804ff,0x806f3be2,0x09fff1fc,0x001fff00,0x07ffcc00,0x01dffb00,
    0x4c2fff44,0x3f205fff,0x3a0002ff,0x7fe405ff,0xfffb0007,0xfffe8003,
    0xffffffff,0x37ff400b,0x401fff90,0x4c00fff9,0x5c005fff,0x04ffcbff,
    0x3fe23f98,0xfc81dfff,0x0009fff1,0x00001fff,0x0007ffcc,0xf7007ffd,
    0x0dff90ff,0x000bffd0,0x36037fec,0xf98004ff,0xfe8004ff,0xffffffff,
    0x2a01ffff,0xff883fff,0x7ffcc02f,0x2fffc800,0x323ffa00,0x3f9804ff,
    0x1fffc998,0x4fff8fe4,0x00fff800,0xb9999700,0x99999fff,0x7ffc9999,
    0x47ffb802,0xa802fff8,0xb0001fff,0xfff809ff,0xfffa8003,0xcffe8000,
    0xffba9999,0x3f600fff,0x37fec0ff,0x007ffcc0,0x8037ffc4,0x9ff95ff9,
    0x8807f300,0xf8fe46fe,0xff8004ff,0xffb0000f,0xffffffff,0x4fffffff,
    0xfe804ffe,0x07ffdc6f,0x027ffc40,0x402ffe80,0xc8002fff,0xfd0007ff,
    0xfffc809f,0x93ffe606,0x9801fffa,0xf9000fff,0x3ff600ff,0x3009ff92,
    0x5ff3007f,0x4fff8fe4,0x00fff800,0xfffffb00,0xffffffff,0x7fdcffff,
    0x3ffe601f,0x402ffec4,0x005ffffa,0xf807ffa8,0xfd8002ff,0xffd0005f,
    0x3fffb009,0xe87ffe40,0xff3004ff,0x3fee001f,0x3ffc400f,0xf3009ff9,
    0xc8ffe007,0x009fff1f,0x0001fff0,0x3ea66662,0x999999ff,0x3ffe2199,
    0xfffe982f,0x201fff40,0x06fffffc,0x017ffdc0,0x40017ffc,0xd0005ffe,
    0xff1009ff,0x7ffc407f,0x000fffac,0x2001fff3,0x5c01fffa,0x13ff24ff,
    0x2200fe60,0x7c7f23ff,0xff8004ff,0x0099aabf,0x01fff300,0xdffffb80,
    0x03dfff91,0x3a205fff,0x07ffffff,0xffdb9995,0x7cccc01d,0x99999bff,
    0x6ffd8099,0x09ffd000,0x5013ffe0,0x05ffffff,0xbfffb990,0x3e605999,
    0x7ff402ff,0x333bff21,0x0fe62ccc,0xfc87fee0,0x3339fff1,0x41333333,
    0xffffffff,0x26000bef,0x98000fff,0xfffffffe,0xfff880df,0xcffffa81,
    0xff907ff9,0x405fffff,0xfffffff9,0x6fffffff,0x0007ffc8,0x3a009ffd,
    0xffe805ff,0xfff006ff,0x9fffffff,0x80fffe20,0x7fe46ffa,0x24ffffff,
    0xfccb83f9,0xf8fe44ff,0xffffffff,0x3fe6ffff,0xffffffff,0xff3002ff,
    0x3620001f,0x05ffffff,0xf907ffe2,0x3fe65fff,0xffffc80f,0x982fffff,
    0xffffffff,0x86ffffff,0x8000fffb,0xff004ffe,0xfff3009f,0x3ffe003f,
    0x4fffffff,0x407fff10,0x7fe43ffd,0x24ffffff,0xfffe83f9,0xff1fc82e,
    0xffffffff,0x6664dfff,0xfffedccc,0xff9802ff,0xfd50000f,0x1bffffff,
    0x221fff30,0x220efffe,0x99881fff,0xffffdba9,0x7fe66443,0xccccccdf,
    0x5fff983c,0x04ffe800,0x442fff88,0xffe99999,0x8099999e,0x9afffa99,
    0xfff30099,0x03ffe207,0x3333bff9,0x741fcc13,0xf8fe402f,0xccccceff,
    0x2003cccc,0x01ffffc8,0x0007ffcc,0x767fffec,0x441fffff,0xfffa8fff,
    0x0fff984f,0x7fff4400,0x00bffe01,0x017ffec0,0x2013ffa0,0x7ec0fffc,
    0xffffffff,0x205fffff,0x5000fff9,0x3ee05fff,0x04ffc84f,0x1fe83f98,
    0xfff8fe40,0x2e000004,0x7cc03fff,0x7ec000ff,0x3faa0dff,0x7ffc1fff,
    0x502ffffd,0x22000fff,0x3fe06ffe,0xff50002f,0x326019ff,0xb809ffd1,
    0xffd84fff,0xffffffff,0x2605ffff,0xf7000fff,0x3ffe03ff,0x804ffc81,
    0x01fd83f9,0x4fff8fe4,0x7fc00000,0x7ffcc05f,0x3fff2000,0xdfffb103,
    0xeffffff8,0x01ffee00,0x207ffc80,0x20002fff,0xdefffffb,0xfd2fffec,
    0xffd3109f,0x2aaaa0df,0xaaeffeaa,0x3e602aaa,0xff9000ff,0x27ffea0f,
    0x4ffd9999,0xaa83f980,0xff8fe400,0x4000004f,0x7cc07ffd,0xff1000ff,
    0xfffd00bf,0x27ffff43,0x0037fe40,0x201fff50,0x40002fff,0xfffffffa,
    0xffd2ffff,0xffffffff,0xd8001dff,0xf98005ff,0xff8800ff,0xffffb05f,
    0x9fffffff,0x0007f300,0x4fff8fe4,0x7ec00000,0x7ffcc06f,0x3fff7000,
    0x47fff300,0xd002fffd,0x5c000bff,0x3ffe07ff,0xeb880002,0xbeffffff,
    0xffffffd0,0x007fffff,0x0017ff60,0x2003ffe6,0xf882fffc,0xffffffff,
    0xf9804fff,0x6401dd83,0x009fff1f,0x4ffe8000,0x007ffcc0,0x2007ffc8,
    0x3fee4fff,0xfff9800f,0x3ff60001,0x00bffe05,0x9fff8800,0xfffffd01,
    0x00159bdf,0xfd555553,0x555555df,0x007ffcc0,0x641bffe6,0xccccceff,
    0x9804ffec,0x02ffd43f,0x27ffc7f2,0xff300000,0xfff8805f,0x1fff9001,
    0x87fff100,0xfc804fff,0x3ee0006f,0x3ffe02ff,0x3ea00002,0x27ff406f,
    0x7ffec000,0xffffffff,0x3e605fff,0x3fee00ff,0x5fff01ff,0x4027fe40,
    0x27fcc3f9,0x7ffc7f20,0xf1000004,0xff001fff,0x3fea00bf,0xfffb803f,
    0x00fffe41,0x0007fff5,0x809fffb3,0x00002fff,0xfd013ff2,0xfb00009f,
    0xffffffff,0x40bfffff,0x2a60fff9,0x03ffffeb,0xfc80fff5,0x83f9804f,
    0xf1fc8029,0x000009ff,0x003ffff7,0x080ffff6,0x407ffff1,0xf886fffb,
    0xffa82eff,0x6776c0ff,0xfffeedcc,0xfeee886f,0xeeeeeeff,0x402eeeee,
    0x7f401ffe,0x9880004f,0xeffe9999,0x20099999,0xfffffff9,0x02ffffff,
    0xf9013ff6,0xddddddff,0x8000fe61,0x09fff1fc,0xcccefb80,0x2fffffed,
    0x3fffe600,0x27fdccde,0xcdfffffa,0x0fffffdc,0x9dffff70,0x01dffffb,
    0xfffffffb,0x2607ffff,0xffffffff,0xffffffff,0x03ffc03f,0x00027ff4,
    0x00bffb00,0xffffff30,0x019fffff,0x2007ffc4,0xfffffffc,0xdddf30ff,
    0xdddddddd,0x23fddddd,0x5c004fff,0xffffffff,0xb8001dff,0xffffffff,
    0x7fffdc7f,0xefffffff,0x7fffcc01,0x00efffff,0xfffffffb,0xff9807df,
    0xffffffff,0x3fffffff,0x2013ba60,0x00004ffe,0x0017ff60,0x3fffffe6,
    0xf9002cde,0xfff900bf,0x21ffffff,0xfffffff9,0xffffffff,0x9fff1fff,
    0xffffb800,0x001defff,0x7fffe440,0xfc885fff,0x2effffff,0x3ffb6200,
    0x4400bdff,0x0001aa99,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x001aa998,0x04ccc000,0x00135300,0x00033100,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x66664000,0xcccccccc,0x999971cc,0x40013599,0xbcccccca,0x2600009a,
    0x00acdecb,0x33332600,0x99997001,0x00355799,0x2007332e,0x6543ccca,
    0xcccccccc,0x2ccccccc,0x54005997,0x664403cc,0x502cc882,0x99999999,
    0x25999999,0xc8802ccc,0x133263cc,0xfffff800,0xffffffff,0xfffffd3f,
    0x05dfffff,0xffffffc8,0x001dffff,0x3fffff62,0x90002fff,0x200bffff,
    0xfffffffe,0x200bffff,0xe805fffe,0x7fec6fff,0xffffffff,0xd4ffffff,
    0x7e4009ff,0x27fcc06f,0xfc81ffd4,0xffffffff,0xff4fffff,0xffe8807f,
    0x03ffee0f,0x7ffffc00,0xffffffff,0xfffffd3f,0xbfffffff,0x3ffff201,
    0xffffffff,0xffffa804,0x4fffffff,0xfffff800,0xfffe800f,0xffffffff,
    0xfffd01ff,0x7ffcc01f,0x7fffec6f,0xffffffff,0xffd4ffff,0x37fe4009,
    0x2e0ffea0,0xfff902ff,0xffffffff,0x3ffe9fff,0x17ffec03,0x0003ffee,
    0x55567ffc,0x0aaaaaaa,0x7555bffd,0x7fffffd9,0x555dff90,0x5ffffd95,
    0x57fffcc0,0x5fffd310,0x7fffd400,0xffe802ff,0xfccaaaad,0xff80efff,
    0x3f202fff,0x66547fff,0xcccccccc,0xd3fffccc,0x7e4009ff,0x17fdc06f,
    0xa9817fe4,0xeffeaaaa,0xff1aaaaa,0x7ffdc07f,0x00fffb83,0x005fff00,
    0x4409ffd0,0x640ffffd,0x3fea05ff,0xdffd00ff,0x037fec01,0xffd9ff90,
    0x09ffd00b,0x41fffec4,0x205ffeff,0x007ffdff,0xd0fffa80,0x7e4009ff,
    0x17fdc06f,0x2000ffe4,0x7fc05ffd,0x9fff303f,0x003ffee0,0x0017ffc0,
    0x54027ff4,0x7fe45fff,0x0fffdc05,0x200fffd4,0xf002fff8,0x1fff75ff,
    0x404ffe80,0xff85fff8,0xfa80ffdd,0x0007ffaf,0x3fa4ffe8,0x3ff2004f,
    0x40ffe406,0x6c000ffd,0x7ffc05ff,0x05fff883,0x0003ffee,0x40017ffc,
    0xf9004ffe,0x2ffe43ff,0x20fffe60,0xfb006ffc,0xfff500df,0xd00bffe6,
    0xffb009ff,0xfbdff88d,0xf8ffd83f,0x7d40007f,0x13ffa0ff,0x406ffc80,
    0x7fe80ffd,0x05ffd800,0x7f41fffc,0x3fee00ef,0xfff0000f,0x9ffd0005,
    0x97ffe200,0x7c405ffc,0x4ffe83ff,0x00fff500,0x7ff4bff9,0x027ff405,
    0x3e22ffec,0x446ff8df,0x01fff5ff,0x22fff400,0x32004ffe,0x3ffe26ff,
    0xffffffff,0xffffffff,0x02ffec00,0xff90fffe,0xfffb803f,0x5fff0000,
    0x09ffd000,0xf93ffec0,0xfff980bf,0x004fff82,0xf801fff3,0x3fff22ff,
    0x013ffa00,0xff10bffe,0xfb83ffab,0x001fff2f,0xd07ffea0,0x7e4009ff,
    0x3fffe26f,0xffffffff,0x0fffffff,0x202ffec0,0x3fee3fff,0xfffb802f,
    0x5fff0000,0x09ffd000,0xc87ffdc0,0x7fe405ff,0x04ffe80f,0x403fff10,
    0x3e60fffa,0x3ffa02ff,0x07ffdc04,0x7fdd7fe6,0xffe9ffa3,0xbffd0001,
    0x4009ffd0,0x2aa26ffc,0xaaaeffba,0xaaaeffba,0x05ffd802,0xff99fffc,
    0xfff7003f,0x3ffe0001,0x4ffe8002,0x47ffea00,0x3ea05ffc,0xdffb04ff,
    0x0bffe200,0xff85ffc8,0x13ffa05f,0x984fffb8,0x2dff15ff,0x3ffa4ff8,
    0xfff98001,0x004ffe81,0xf881bff2,0x04ff985f,0x405ffd80,0xffe8bfff,
    0x3ffee004,0xbfff0000,0x99999999,0x027ff499,0x325fff30,0xa9999eff,
    0x900efffd,0x3e005fff,0x3ffe03ff,0x207ffc83,0xcccceffe,0x504ffffe,
    0x4ffec9ff,0x3ffa1ffb,0x5ffe8001,0xdddfffd0,0xfddddddd,0x7fcc0dff,
    0x003ffa84,0x7c05ffd8,0x06ffdbff,0x007ffdc0,0xffffff80,0x7fffffff,
    0x88013ffa,0xfff93fff,0xffffffff,0x7ffc401d,0xfff7102f,0x3ffea07f,
    0x02fffa80,0xfffffffd,0x5405ffff,0x33fea4ff,0x17ff46fe,0x07ffe600,
    0x7ffffff4,0xffffffff,0x3fea06ff,0x002ffb83,0x7c05ffd8,0x00ffffff,
    0x007ffdc0,0xffffff80,0x7fffffff,0x88013ffa,0xfff93fff,0x3bffffff,
    0x3fffee00,0xfffeccde,0xff902fff,0x82fffc0d,0xfffffffe,0x81ffffff,
    0x7ffc4ffa,0x17fec3ff,0x81bff600,0xfffffffe,0xffffffff,0x0ffee06f,
    0x20007ff2,0x7fc05ffd,0x004fffef,0x0007ffdc,0x999bfff8,0x21999999,
    0x26004ffe,0xfff93fff,0x3dfffd99,0x7fffdc00,0xfeffffff,0x7fff00ff,
    0xe83ffec0,0xaa999cff,0x42fffffc,0x7fe44ffb,0x17fec0ff,0x05fff300,
    0x4ccefff4,0xd9999999,0x3ff206ff,0x001ffc82,0x7c05ffd8,0x2fffdbff,
    0x03ffee00,0x017ffc00,0x0027ff40,0x3f25fff5,0x7fff445f,0x3fb22000,
    0xf89cefff,0x3fff507f,0x417ffd40,0x7dc04ffe,0x3fee0fff,0x42fffcc4,
    0x36003ffd,0x7ff406ff,0x1bff2004,0xfd81ffc8,0xffd8000f,0x45fffc05,
    0x7001fffe,0x20001fff,0xe8002fff,0x3ee004ff,0x0bff91ff,0x000bffd1,
    0x37fcc044,0x4406ffc8,0xffe85fff,0x3fffb804,0x3fa0fff2,0x03ffd82f,
    0x805fff30,0x32004ffe,0xdddd16ff,0xdddddfff,0x1ddddfff,0x80bffb00,
    0xfff33fff,0xfff7001d,0x3ffe0001,0x4ffe8002,0xc9fff600,0xfff505ff,
    0xfb800005,0x9dfff05f,0xf9999999,0x9ffd0fff,0x4bfff100,0x4ca83ffc,
    0x2007ff90,0xfe806ffd,0x3ff2004f,0xffffff16,0xffffffff,0x001fffff,
    0xff80bffb,0x17ffea3f,0x003ffee0,0x0017ffc0,0x88027ff4,0x3ff25fff,
    0x01bffa05,0x07ffd000,0xfffffff5,0xffffffff,0x04ffe85f,0x7e4bffd0,
    0xffc8003f,0x3fff9804,0x004ffe80,0x7745bff2,0xeeefffee,0xeeefffee,
    0x5ffd800e,0x321fffc0,0x7dc03fff,0xff0000ff,0xffd0005f,0x3fff6009,
    0xa817ff22,0x00002fff,0x3f20dff7,0xffffffff,0x4fffffff,0xf8027ff4,
    0x0fff64ff,0x013ff200,0x7401fff6,0x3f2004ff,0x21bfe06f,0xb0005ff8,
    0xfff80bff,0x01fffe83,0x0003ffee,0x40017ffc,0xfa804ffe,0x2ffe46ff,
    0x001bffe0,0x407ffe60,0xaaaadfff,0xfeaaaaaa,0x027ff47f,0xfb17ffcc,
    0xff90007f,0x3fff980b,0x009ffd00,0xf8837fe4,0x04ff985f,0x80bffb00,
    0xff883fff,0xfff700ff,0x3ffe0001,0x4ffe8002,0x0ffffe40,0xf7017ff2,
    0x220005ff,0xf305fffc,0x7d4003ff,0x13ffa2ff,0x41fffd10,0xb8002ffe,
    0x7fec05ff,0x13ffa007,0x306ffc80,0x7ff509ff,0x17ff6000,0x2a07fff0,
    0xff706fff,0x3fe0001f,0xffe8002f,0x7ff5d4c4,0x5ffc82ff,0x037ffc40,
    0xfffca998,0xfff900ef,0x4fff8800,0x5cc13ffa,0x7f42ffff,0xffb8002f,
    0x0fffe605,0x004ffe80,0x7d41bff2,0x02ffb83f,0x80bffb00,0x3f203fff,
    0xfffb84ff,0xffff0000,0xffffffff,0x3fffa7ff,0xffffffff,0xbff901ff,
    0x03fff900,0xfffffff7,0xff807fff,0xffd8004f,0x3fffffa7,0xffffffff,
    0x002ffe83,0x3606ffb8,0x3a000fff,0x3f2004ff,0x07ff706f,0xfc803ff9,
    0xffffffff,0xff4fffff,0xfffe807f,0x7ffffdc3,0xffffffff,0x3ffffe1f,
    0xffffffff,0xfffffd3f,0x19ffffff,0x402ffe40,0xfb85fff8,0xdfffffff,
    0x0fffcc00,0x8fffdc00,0xfffffffe,0xf01dffff,0xf70005ff,0x3ffe60df,
    0x27ff4004,0x20dff900,0xffc82ffc,0x7fffe401,0xffffffff,0x07fff4ff,
    0x21ffff88,0xfffffffb,0x1fffffff,0x3ffffffe,0x3fffffff,0xddfffffd,
    0x3f20059b,0xfff9005f,0xcdeffb83,0xff9000ab,0x3fe2000f,0xfffffd4f,
    0x80399dff,0xa8002fff,0xfffb06ff,0x4ffe8001,0x41bff200,0xffd81ffc,
    0x7fffe400,0xffffffff,0x07fff4ff,0x21dfff50,0xfffffffb,0x1fffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x33332600,0x99999302,0x99999999,0x332e5999,
    0xcc88001c,0x03332e3c,0x43ccc880,0x90000ccc,0x02665c99,0x00799700,
    0x9300f32e,0x99999999,0x99999999,0x33332e19,0x0009abcc,0x2cdeca98,
    0x01e66540,0xb802cca8,0xcc8803ee,0x7f4000cc,0xff704fff,0xffffffff,
    0x29ffffff,0x8005fffa,0x3ea2fffb,0x3f6005ff,0x0fffc1ff,0x327ff800,
    0x88002fff,0x7dc04fff,0x7d405fff,0xffffffff,0xffffffff,0xfffffd1f,
    0x05dfffff,0xffffff50,0x3f205dff,0xfc801fff,0x4ffc805f,0x0ffff880,
    0x3ffff200,0xffff704f,0xffffffff,0x7f49ffff,0x3e2001ff,0xfffd86ff,
    0x4fffa802,0x8001fff8,0x3fe67ff8,0xffb8004f,0xfffd501f,0xffa80bff,
    0xffffffff,0xffffffff,0xffffffd1,0x3fffffff,0x3fffff20,0x83ffffff,
    0x805ffffc,0xfc805ffc,0xfff8804f,0xfff3000f,0x32609fff,0xcccccccc,
    0x2ffffccc,0x801bffe6,0xf881fffc,0x7f400fff,0x05ffd06f,0xe8dff100,
    0xfd8007ff,0xfffea86f,0x4405ffff,0xeaaaaaaa,0xaaaaaeff,0x5bffd0aa,
    0xfff99555,0xfffd81df,0xffda9abe,0x7ffe40ff,0x7fe401ff,0x04ffc805,
    0x400ffff0,0x4ffecffe,0xfff30000,0x05fffb0b,0x40bfff10,0x3204fffb,
    0xffd02fff,0xdff30005,0x001fffc8,0xe88fffe2,0xffbfffff,0x7ec0005f,
    0x9ffd005f,0x37ffe440,0xfb80ffe6,0x7ffe45ff,0x7fe405ff,0x04ffc805,
    0x200ffff0,0xffe8effb,0xffd00004,0xdfff101f,0x01fff900,0x981fffe8,
    0x3f605fff,0xff98002f,0x027ffcc5,0xf83fff50,0xfff0cfff,0xffd8000b,
    0x09ffd005,0xa83fffb0,0x47ffe801,0x0fffdffc,0x2017ff20,0xff004ffc,
    0xfff100ff,0x0013ffa5,0x80bfff20,0x2203fffc,0xf9804fff,0xfffd85ff,
    0x00fff600,0x3a17fea0,0x3f6006ff,0x40cfc86f,0x40005fff,0xfd005ffd,
    0xfff1009f,0x3fee0007,0x373ff20f,0x3ff204ff,0x04ffc805,0xb00dffd0,
    0x27ff4bff,0x3ffe6000,0x7fffc405,0x01fffb00,0xa8bfff20,0x7e402fff,
    0xffa8003f,0x01fffc84,0x3107fff0,0x0017ffe0,0x200bffb0,0xff004ffe,
    0x3ea0009f,0x33ff21ff,0xf900fffa,0x266666bf,0x99dffd99,0x3fa19999,
    0x7ffd406f,0x0013ffa0,0x001fffd0,0xf307fff7,0xfe8007ff,0x5fff88ff,
    0x004ffc80,0xf984ffa8,0xffa803ff,0x7ffc001f,0x7fec0005,0x09ffd005,
    0x0017ffa0,0xf907ffd4,0x413ffe9f,0xffff5ffc,0xffffffff,0x6cffffff,
    0x3fe205ff,0x027ff42f,0x05fff900,0x207fff40,0xa8006ffd,0xfffccfff,
    0x84ffb800,0xffb81ffa,0x00dffd03,0xf000dff9,0xd8000bff,0xffd005ff,
    0x13ffe009,0x23ffdc00,0xfff74ffc,0x3ebff901,0xffffffff,0xffffffff,
    0xd80f32a7,0x4ffe85ff,0xbfff3000,0x4fffa800,0x000bffe6,0x7fffffec,
    0x0bff5003,0xff709ffb,0x03fff207,0x0007fff0,0x8000bfff,0xfd005ffd,
    0xfff1009f,0x3ffa0005,0xf8a7fe46,0x5ffc83ff,0xd9999999,0x99999dff,
    0xffa80099,0x04ffe80f,0x01fffd00,0x21fffd00,0x20005ffe,0x06fffff8,
    0x3e17fea0,0x2ffc87ff,0x407fff30,0x8001fff9,0x40005fff,0xfd005ffd,
    0xfffb009f,0xfff50001,0x324ffc85,0x5ffc87ff,0x004ffc80,0xfd10fff3,
    0x13ffa07f,0x0bfff200,0x67ffcc00,0x0001fff9,0x00ffffdc,0xfa8dff30,
    0x7fe42fff,0x81bffa02,0xf0006ffc,0xd8000bff,0xffd005ff,0x3fffb809,
    0x6fff8800,0x3e24ffc8,0x2ffe42ff,0x8027fe40,0xffc85ffb,0x013ffa05,
    0x00bfff30,0xfefffd80,0xfb80004f,0x26003fff,0x7ffe46ff,0x00ffec5f,
    0x3e01fff9,0xff0003ff,0xfd8000bf,0x9ffd005f,0xff753333,0x36000dff,
    0xffc81fff,0x3237fec4,0xffc805ff,0x87ffb004,0x3a00fff9,0x7f4004ff,
    0x440000ff,0x00ffffff,0x7fffc400,0xff1000ff,0xfffdff8d,0x9807ff60,
    0xff983fff,0xfff0000f,0xffd8000b,0xffffd005,0xffffffff,0xffb0001b,
    0x13ff205f,0x7e45fff3,0x4ffc805f,0xe81fff00,0x7ff403ff,0x3ffee004,
    0xff900002,0xb00007ff,0x0bffffff,0xf99ffe20,0x362ffdaf,0x7ff400ff,
    0x006ffc85,0x0017ffe0,0x200bffb0,0xfffffffe,0x0002efff,0x6409fff9,
    0x6ffd84ff,0x32017ff2,0xff8804ff,0x4037fdc6,0xf3004ffe,0x40000bff,
    0x000ffff8,0x657ffdc0,0xff002fff,0x7d47fe4f,0x003ffa5f,0xfe81fff9,
    0x3fe0003f,0x7ec0005f,0xdffd005f,0x0359bddd,0x27ffe400,0x2613ff20,
    0xbff91fff,0x009ff900,0x7fc47bb3,0xccccccdf,0xccefffcc,0x1fffd04c,
    0xffd80000,0x7fc40005,0x1ffff16f,0x3e1fff00,0x21fff16f,0xff9807fe,
    0x03ffe62f,0x05fff800,0x02ffec00,0x0004ffe8,0x04fffc80,0xfd04ffc8,
    0x017ff2bf,0x80013ff2,0xfffffff8,0xffffffff,0xfb87ffff,0x800002ff,
    0x40005ffd,0x3ea1fffd,0xffe805ff,0x3f63ff99,0x200fff2f,0x3ff25fff,
    0x7ffc0006,0x7fec0005,0x09ffd005,0xfffc8000,0x09ff9004,0x3f23ffea,
    0x0998805f,0x3ffe2000,0xffffffff,0xffffffff,0x02fffcc7,0x5ffd8000,
    0x3ffea000,0x02fffd84,0x7fe4fff4,0x7fdbfea0,0x1fff9006,0x0000fffa,
    0x8000bfff,0xfd005ffd,0x6400009f,0x32004fff,0x3ffa04ff,0x0005ffcc,
    0x2aaa2000,0xaaaaaaaa,0xaaadfffa,0x007fff42,0x5ffd8000,0xffff1000,
    0x1dfff301,0x7f57fec0,0x7c7ffc46,0xfff3006f,0x001fff35,0x005fff80,
    0x802ffec0,0x00004ffe,0x8009fff9,0x3ee04ffc,0x005ffcff,0x40000000,
    0x3ee04ffe,0x000002ff,0x40017ff6,0x3202fffd,0x3f604fff,0xfd83ffcf,
    0x2005ffcf,0x6ffbdfff,0x5fff8000,0x2ffec000,0x004ffe80,0x04fffc80,
    0x404ffc80,0x55ffffff,0xdddddddd,0xdddddddd,0xfd000005,0x3ffe209f,
    0x9999999e,0x00099999,0x20017ff6,0x4406fffa,0xf901ffff,0xf501ffff,
    0x400bffdf,0x3ffefffc,0x33333100,0x333dfff3,0x3f600133,0x9ffd005f,
    0xfffc8000,0x9999999d,0xff909999,0xffffb809,0xfffff55f,0xffffffff,
    0x00005fff,0x3609ffd0,0xffffffff,0xffffffff,0x17ff6006,0x3ffff100,
    0x0dfff500,0x81bfffee,0x004fffff,0x3fffffe6,0xffff9000,0xffffffff,
    0x36007fff,0xffd005ff,0x7fc40009,0xffffffff,0x95ffffff,0xff8809ff,
    0xfff55fff,0xffffffff,0x005fffff,0x09ffd000,0x3ffffffa,0xffffffff,
    0x3f6006ff,0x7fe4005f,0x3ff6004f,0xffffb83f,0x3ffff203,0x7fffc004,
    0x3ff2006f,0xffffffff,0x003fffff,0x3a00bffb,0x220004ff,0xffffffff,
    0xffffffff,0x9009ff95,0x000bffff,0xe8000000,0xfffd04ff,0xffffffff,
    0x00dfffff,0x3002ffec,0x4001ffff,0x540ffff9,0x2600ffff,0x4003ffff,
    0x003ffffc,0x3ffffff2,0xffffffff,0xbffb003f,0x013ffa00,0xfffff880,
    0xffffffff,0x9ff95fff,0xbffff100,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x38000000,
    0x00002800,0x00028815,0x3fb72e20,0x4400bcee,0x02cdeeca,0x2a00b32e,
    0x76d443cc,0x76d42cef,0xda8000bd,0xca88001d,0x03ceffed,0x777654c0,
    0xcb9801bd,0x4402cdee,0x320004cc,0x6e5440cc,0x19802cde,0x2002fea8,
    0x20002efa,0x7fd10efb,0xffc88000,0xffffffff,0x3fffea02,0xe80effff,
    0xffb803ff,0x3ffffe66,0xfffb3fff,0x4c001dff,0x2000ffff,0xfffffffc,
    0x4403ffff,0xfffffffe,0x3ff202ff,0x1effffff,0x001fff10,0x4c1fff30,
    0xffffffff,0xeffe880e,0x01ffff10,0x003fffa0,0x653fff60,0x20004fff,
    0xfefffffe,0xf902ffff,0xfffddfff,0x3ffe85ff,0x2a6ffb80,0xfffeffff,
    0xffefffef,0x3ff2006f,0x3f6003ff,0xffffffff,0xff702fff,0xffffffff,
    0xfffd305f,0xffffffff,0x007ffe07,0xf31ffe60,0xfffd9bdf,0xdffffd0d,
    0x402fffcc,0x4001fffc,0x6c5fffe8,0x4000dfff,0x880cfffc,0xfffc81b9,
    0x7fffd40c,0x200fffa0,0x2faa6ffb,0x77fffe40,0x003fff10,0x00bfffee,
    0x209acfd8,0x40ffffc8,0x0acffffb,0xf885f933,0x2e61bfff,0xfe81ffff,
    0xffa8002f,0x7cc05446,0x3ffe21ff,0x3fee0fff,0xbdffebaf,0x4003fffb,
    0x904fffe9,0x4003dfff,0x10004fff,0x7c405fff,0x0fffa4ff,0x009bfee0,
    0x707fffe2,0x7ec009ff,0x800c005f,0x3e22fffc,0x40801eff,0x2602fffc,
    0xffd86fff,0x5ffb8003,0x117ff400,0x81ffffff,0xfffffffd,0x005fffff,
    0x017fffd4,0x00bfffea,0x000bffe2,0x5c02ffe4,0x7ffd0fff,0x00dff700,
    0x7cc37ff4,0x00cc007f,0xfff10000,0x00fffec9,0x01fffcc0,0x2e17ffdc,
    0x1ee984ff,0x9804ffc8,0x6c2ffd99,0xf885ffff,0xffffffff,0x2e000fff,
    0x3001efff,0xf007ffff,0xf10009ff,0xff1003ff,0x00fffa3f,0xc801bfee,
    0x7ff884ff,0x00000000,0xff35ffd8,0x3f20009f,0x3ffa007f,0x642ffd45,
    0x2ffd84ff,0xfffffc88,0x7ec42fff,0xfff880df,0xfffd30af,0x3fff2005,
    0x7f44000e,0x7fec04ff,0x3e6000df,0xfff000ff,0x200fffa5,0x2e006ffb,
    0x1fff04ff,0x00000000,0xff55ffc8,0x3f60001f,0x3ff2004f,0x7c37fcc6,
    0x1ffe87ff,0x77ffffcc,0x1102fffe,0x40fffe40,0x4405fff8,0x0004fffd,
    0x806fffec,0xbdfffff8,0x57ffdc00,0xaaaaaaaa,0xffd4fffa,0x0dff7007,
    0x7fed554c,0xffaaaaad,0x3333311f,0x33333333,0x40133333,0xccccaa98,
    0xfff95ffe,0x1fff4000,0x88fff700,0x7ffcc7ff,0x207ffc1f,0x7e40dffe,
    0xfff0002f,0x03ffe40b,0x007fffd3,0x3bfff200,0xffffd301,0x3f205bff,
    0xffffffff,0x4fffffff,0xf7007ffd,0xfffc88df,0xffffffff,0x51ffffff,
    0xffffffff,0xffffffff,0xff9105ff,0xffffffff,0x017ff6bf,0x002fff80,
    0xff03ffea,0x7fffe41f,0xf11ffe24,0x5ffb01ff,0xfff88020,0x03ffea02,
    0x00bfffea,0xffff5000,0x7fff5c05,0x7e42efff,0xffffffff,0x4fffffff,
    0xf7007ffd,0x7fffc4df,0xffffffff,0x1fffffff,0xfffffff5,0xffffffff,
    0xffb85fff,0xffffffff,0xbffd5fff,0x3ffe2000,0x3ffea002,0xff0fff40,
    0x7fccffdb,0x20fffc46,0x7442fffc,0xfff984ff,0x07ffe601,0x009ffff1,
    0x3fff2000,0x7fe4c00e,0x3ee3ffff,0x999999ef,0x09999999,0xf7007ffd,
    0x6fffe4df,0x800ffee1,0xeeeeeee9,0xeeeeeeee,0x3fea1eee,0xfc809bff,
    0x00dffb5f,0x0017ffc0,0xffb0fff5,0x3f2bfe65,0xf0bff52f,0xffd97dff,
    0xfffe85ff,0x0fffd44f,0x103fff30,0x0009fffd,0x0efffc80,0x7ffecc00,
    0x00fff50f,0x803ffe80,0xfff16ffb,0x009ff707,0xff000000,0xffc801df,
    0x000fff95,0x7001fff4,0x7ff90dff,0x3fe63ff2,0xf509ff55,0xf5bfffff,
    0x7fffcc5f,0x0fffcc7f,0x401fff50,0x000efffd,0x2fffec40,0x3ffee000,
    0x001fff33,0x4027ff40,0xfff36ffc,0x009ff701,0xf8800000,0xffc802ff,
    0x001fff75,0x8017ff60,0xffa84ffe,0x7ffcbfd4,0x7102ffb8,0x332259dd,
    0x3ffffea1,0x01fffc47,0xf700fff9,0x20003dff,0x003fffe8,0x229fff00,
    0x20004fff,0x7dc05ffd,0x0dff56ff,0x0001bff2,0xfff50000,0x2bffb003,
    0x0005fff9,0x3003fff9,0xff305fff,0x7e45ff3b,0x001ffcaf,0x3fffe200,
    0x07ffe85f,0x2009fff1,0x002ffffa,0x017fffcc,0x3fff9800,0x0007fff2,
    0xf503ffe4,0x3fe6dfff,0x1ffffa87,0x17710000,0x0bffe600,0x25fffe88,
    0x8002fffd,0x4405fff8,0xff106ffe,0x7cc1ff9d,0x000ffddf,0x77ffd400,
    0x0efffa80,0x003fffa6,0x03ffff98,0x03ffff70,0xfe800a98,0x3ffe21ff,
    0x7d41003f,0xfffb84ff,0x3fff16ff,0x77ffffcc,0x3e200100,0xf8800eff,
    0xffb80eff,0x3fe65fff,0x39300cff,0x80dfffb8,0x201fffe8,0xe85fefff,
    0xca87ffff,0xcccccccc,0x0cc42ccc,0xdfffff10,0x00dfffff,0x09fffd10,
    0x00efffc8,0xccdeffb8,0x4ffffdcc,0xdeffffb8,0x4fedccbc,0x6677fff4,
    0x6ffaeffe,0x3f73fffa,0xcefff9ef,0x7003fccb,0x2005ffff,0xdccffffd,
    0x5ffdffff,0x77ffffdc,0x82fffecd,0xcceffffe,0x404ffffe,0xc82ffffe,
    0xfc86ffff,0xffffffff,0xc8004fff,0xffffffff,0x0004ffff,0x881dfffb,
    0x2005fffd,0xfffffffb,0x204fffff,0xffffffea,0x544fffff,0xffffffff,
    0x2a6ff98e,0x0effffff,0xfffffff5,0x3fee007f,0xff1002ff,0xdfffffff,
    0xd50bff51,0xffffffff,0xffb105ff,0xffffffff,0xffffb005,0xbffff301,
    0xffffff90,0x09ffffff,0xdcfffa80,0xffcdffff,0xff90002f,0x3ffa63df,
    0x7ecc004f,0xffffffff,0xfec8801c,0xdeffffff,0xffffe882,0x51bfe24f,
    0xa81bffff,0x1efffffd,0x0dfff100,0xffffc880,0x17fe63ef,0xfffffeb8,
    0x3aa00bdf,0x0cefffff,0x0bfff900,0x0027fff4,0x7fc40000,0x3f60445f,
    0xf50000ff,0x3fff29ff,0x4cc40002,0x400009aa,0x00099a98,0x4c0006a6,
    0x01353001,0x00177100,0x0000cc40,0x00013310,0x00000662,0x00000000,
    0x007fff40,0x0037ffc4,0x1fc89f30,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xff700000,0x1ffdc007,0x00402000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x01220000,0x00000320,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x66654000,0xcccccccc,0x26641ccc,
    0x81ef75cc,0x2000ccca,0x9911ccc8,0x3077b223,0xccb83bfb,0x33bfb220,
    0xcddba802,0x0000000a,0x2f76ea20,0x4401800a,0x1cc98000,0x0c008800,
    0x06600288,0x0cccc800,0x21999700,0xfffffffb,0x2fffffff,0xffd13ffc,
    0x981bffff,0x32004fff,0x5ff30fff,0x25ffffd1,0x21fffff9,0xfff71ffe,
    0x101bffff,0xfffffffb,0x4ffc8005,0xffff7000,0x2605ffff,0x5fc881fd,
    0x02ffa800,0x980cfd80,0x0bfe21df,0x0007fe60,0x4037ffdc,0x3ee4fffb,
    0xffffffff,0x7c2fffff,0xffff98ff,0xe86fffff,0x3fe006ff,0x32ffe65f,
    0xf8cfffff,0x3a5fffff,0xffffc9ff,0x444fffff,0xffffffff,0x3f2001ff,
    0x7ec4004f,0xfdb99bdf,0x37fe40df,0x0017ffc4,0x70007fe6,0xffd01fff,
    0x017fff49,0x000bfff3,0x101fffec,0x9988dfff,0x99999999,0x7fc0efff,
    0x70bfffaf,0xfb83ffff,0xff9801ff,0x3f3fe62f,0xbf7dfd0f,0xffe9ffe6,
    0xf912effe,0x7fe43fff,0xdffd711e,0x027fe400,0xa80bff60,0x4ffe85ff,
    0x500fffb8,0x2881ff10,0x907fff10,0xfff98dff,0xefff982f,0x3fa20000,
    0xfffb01ff,0x3ff60003,0xfffff81f,0x5fff881e,0x4027ffc4,0x7fcc7ffc,
    0x3fff22ff,0x743ffe0f,0x880dffff,0xfff33fff,0x03fff101,0x8013ff20,
    0xfff98ffb,0x87ff11ce,0xfd81fff9,0x21ef885f,0x3fea0ff8,0xa86ffd80,
    0xff981fff,0x3ffe62ff,0xf980000e,0xfffb86ff,0xfff70002,0x3bfffe07,
    0x21bff200,0xff807ffd,0x37ffcc4f,0xfd0ffff2,0x17fffa3f,0x3ea9ffb0,
    0x0fff605f,0x8027fe40,0x9df32ff8,0x07fdcdfd,0xf103bfee,0xfffc85ff,
    0x7fe45fe4,0x07ffd44f,0x980fffe2,0xff9affff,0x200000ef,0x3e24fffb,
    0xf30004ff,0x7ffc0bff,0x37fdc01f,0x5017ffd4,0xff981fff,0x43ffe42f,
    0xdffd1ffe,0x95ffc801,0x7fe409ff,0x09ff9004,0x5f99bea0,0x82fe8bf6,
    0xffb84ffd,0x77ff540e,0xeffeaff9,0x41fffc42,0xf9805ffd,0x0effffff,
    0xffd80000,0x00dffb1f,0x01bffa20,0xd5005fff,0x17ffa0bd,0xf985ffd8,
    0x84ffc87f,0x7ffd1ffe,0x32dff700,0x3ff204ff,0x09ff9004,0x5f993f20,
    0x84fc87f6,0xfe82fff8,0xfffd504f,0x3205dfff,0xfffa86ff,0xffff3000,
    0x000001df,0x3efbffe2,0xfb0001ff,0xfff801ff,0xff700002,0x5fff101f,
    0xf90dff30,0x23ffd07f,0xfb803ffe,0x40bff76f,0x33312ffd,0xbffb3333,
    0x13333333,0xcef98ffa,0x82fdc5fd,0xffb86ffc,0x7fffd407,0x41fffc02,
    0x54004ffe,0x0003ffff,0x7fffcc00,0xf70002ff,0xfff005ff,0x3e200005,
    0x7ffb83ff,0xf90dff30,0x23ffd07f,0xfb803ffe,0x01fff56f,0x3ea3fff1,
    0xffffffff,0xffffffff,0x7cc5fd2f,0x6fa85fff,0x441fff98,0x3ee03ffe,
    0x203effff,0x7cc0effb,0xff3001ff,0x0005ffff,0xffffc800,0xfff50005,
    0x0bffe009,0x6ffd8000,0xf304ffe8,0x07ff90df,0x3ffa3ffd,0x16ffb803,
    0x6c45bfff,0x3ffea5ff,0xffffffff,0x2fffffff,0x46fcc9f9,0x427e43fd,
    0xffc84ffe,0xf9fff706,0x017fff9f,0xff909ffd,0xdfff300d,0x0005ffff,
    0x7fffd400,0xfff88002,0x0bffe006,0xfffa8000,0x407ffe61,0xffc86ff9,
    0xfd1ffe83,0xdff7007f,0x6f7fffd4,0x3a60ffff,0xffeeeeee,0xeeeeeeff,
    0x7ccbf71e,0x3fe8ff35,0x7cc37fe4,0x7ffd41ff,0x3fa6ff1e,0x7ffcc2ff,
    0x204ffe81,0xf88efff9,0x00002fff,0xffffff88,0x7fff4000,0x0bffe000,
    0x9fff0000,0xf3037fe4,0x07ff90df,0x3ffa3ffd,0x46ffb803,0xfffffffb,
    0x7fe4001e,0x23ff3004,0x54ff65f9,0x3ffe61ff,0xa84ffe81,0x83fe24ff,
    0xffc81ffc,0x82fff986,0x260efff9,0x0002ffff,0x7fffff40,0x3ff2006f,
    0x7ffc001f,0x7e400002,0x80fffe7f,0xffc86ff9,0xfd1ffe83,0xdff7007f,
    0x79ddb910,0x13ff2000,0xbf36fc80,0x27f477d4,0xf907fff1,0x220e40df,
    0xd024c0ff,0xfff709ff,0x077ffcc1,0x017fffcc,0x9fffc800,0xa804fffa,
    0xf8003fff,0x400002ff,0xffaafff9,0x1bfe600f,0x3fa0fff2,0x007ffd1f,
    0x0000dff7,0x009ff900,0x4099efe8,0x7ec6fea9,0x2fff985f,0x00ffcc00,
    0x207ffea0,0x3ff65ffe,0x3ffe600e,0xffa80005,0x0ffff24f,0x005fff98,
    0x0005fff0,0xf99ffd00,0x6ff9809f,0xfe83ffc8,0x007ffd1f,0x0000dff7,
    0x009ff900,0x89bffe98,0x41effba8,0xbf700fc8,0x03ff3000,0x2207fb00,
    0x0076c0cf,0x40002fcc,0xfe86fff8,0xffe881ff,0xfff0000e,0xf5000005,
    0x803fffff,0xffc86ff9,0xfd1ffe83,0xdff7007f,0x3333332a,0x02cccccc,
    0x0009ff90,0x3ffffff2,0x080004ff,0x02ffa800,0x22000080,0x00002000,
    0x207fffa2,0x640ffff9,0xeeeeefff,0x46eeeeee,0x00002fff,0x0dfffff0,
    0xf90dff30,0x23ffd07f,0xfb803ffe,0xfffff96f,0x9fffffff,0x013ff200,
    0xdeedb980,0x0000001b,0x00000000,0x00000000,0xb80ffff6,0x7fec5fff,
    0xffffffff,0x7fc7ffff,0x9000002f,0x3007ffff,0x7ff90dff,0x3fa3ffd0,
    0x6ffb803f,0xfffffff9,0x009fffff,0x00013ff2,0x00000000,0x00000000,
    0x00000000,0xb00bfff7,0x7fec9fff,0xffffffff,0x7fc7ffff,0x3000002f,
    0x3001ffff,0x7ff90dff,0x3fa3ffd0,0x6ffb803f,0xeb800000,0x0000003e,
    0x00000000,0x00000000,0x3e600000,0xf8800fff,0x00002fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x54000000,0x101ceedc,0x5bdfddb7,0x07bb6600,0x5e6edd40,
    0x00131000,0x8801cca8,0xaaaaaaaa,0xaaaaaaaa,0x4c399990,0x33314ccc,
    0x33333333,0xa8033333,0x0000a601,0x2033332a,0x002cccc8,0x00059973,
    0x66666440,0x3ba4cccc,0xeeeeeeee,0xeeeeeeee,0xffb15eee,0x50bfffff,
    0xffffffff,0x3ff6601d,0x7ec401ff,0x02ffffff,0x801fffcc,0xa806fff8,
    0xffffffff,0xffffffff,0x4c3fffd2,0xfffb6fff,0xffffffff,0x740fffff,
    0x6ffb83ff,0x3ffea000,0x3ffa601e,0x7ffdc02f,0x32601eff,0x3ffe202c,
    0x0fffffff,0xffffffff,0xffffffff,0x3affffff,0xffffffff,0x77ffd44f,
    0x4c5ffffe,0x1ffffffd,0x3bfffe60,0x202ffffe,0x802ffffe,0x403ffffc,
    0xfffffffa,0xffffffff,0x43fffd2f,0xffb6fff9,0xffffffff,0x20ffffff,
    0xff87fffa,0xfa8002ff,0xd8800dff,0xff702fff,0x05ffffff,0xf8813ff2,
    0xffffffff,0xffffff0f,0xffffffff,0xffffffff,0x2a22bbe2,0x40c47fff,
    0x3ea7ffe8,0x1fffffff,0x8837ffa0,0xff00fffd,0xf980bfff,0x200fffcf,
    0xaaaaaaa8,0xaaaaaaaa,0x41fffb0a,0xdd95fff8,0xdddddddd,0x20fffddd,
    0xfe86fff9,0x7d4001ff,0xfb8003ff,0xffff82ff,0x83ffffcb,0x00003ffd,
    0x04000000,0x001fffb8,0x7fc4dff7,0x01fff8ae,0x7f40dff5,0xffffb03f,
    0xb8ffd80f,0x000005ff,0x441fffb0,0x20005fff,0x3ae07ffa,0x03ed880d,
    0x00fffd40,0x45fff300,0x7f4c6ffa,0x3ffea4ff,0x00000001,0xff500000,
    0x3ffa003f,0xfff115c4,0x80fff203,0xff104ffb,0x7fd40fff,0x0007ffa3,
    0x1fff2000,0x80013ffe,0x00007ffa,0x01333000,0x43331000,0xfe885ffb,
    0x5fffefff,0x00000000,0x3ff60000,0xfd975107,0xff8801df,0x05ffb01f,
    0xf702ffd4,0x37f40dff,0x0001bfea,0x21fff200,0x20004fff,0x00007ffa,
    0x00000000,0x881ffe40,0xfffffffe,0x00000001,0xff700000,0x3ffea07f,
    0xf8800eff,0x5ffb01ff,0x3027fe40,0x3ee09fff,0x83ffd82f,0xccccccc9,
    0xcccccccc,0xf0fff71c,0x540007ff,0x000007ff,0x00000000,0x2e004cc4,
    0x000dffff,0x00000000,0x0dfff900,0x7fffffd4,0x7ffc404f,0x409ff901,
    0x3ea03ffe,0x6ff882ff,0xa81fff10,0xffffffff,0xffffffff,0xfd0dff72,
    0x7d40007f,0x0000007f,0x00000000,0x00018800,0x00000000,0x3bfff620,
    0xfda98800,0x3fe203ff,0x3fff501f,0x201fff70,0xf905ffe8,0x2ffe405f,
    0x3fffffea,0xffffffff,0x079932ff,0x40003997,0x00004cc9,0x00000000,
    0x00000000,0x00000000,0x27fff4c0,0x0bffd000,0xb00fffc4,0xff979fff,
    0xff7307ff,0xbff301ff,0x21fff880,0x99999998,0x99999999,0x00000009,
    0x00000000,0x00000000,0x00000000,0x50000000,0x0005ffff,0x102fffc4,
    0x74403fff,0xffffffff,0x7ffffd44,0x03ffb01e,0x000dff70,0x00000000,
    0x00000000,0x00000000,0x00000000,0x90000000,0x5559ffff,0xd8801555,
    0x26623fff,0x99afffa9,0xffffd701,0xffff503b,0x02ffd407,0x0007ffd0,
    0x00000000,0x00000000,0x00000000,0x00000000,0x44000000,0xffffffff,
    0xdd91ffff,0xdfffffdd,0x7fffff41,0x00ffffff,0x2ae6004c,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xffffff88,
    0x91ffffff,0xffffffff,0xffffe81b,0x0fffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xcc880000,0xcccccccc,
    0xfffd70cc,0x32e039bd,0xcccccccc,0x000000cc,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__consolas_40_latin1_x[224]={ 0,8,5,0,2,0,1,8,5,5,3,1,4,5,
7,2,1,2,2,3,0,3,2,2,2,1,8,4,2,2,4,5,0,0,3,1,2,3,4,1,2,3,3,3,
4,0,2,1,3,1,3,2,1,2,0,0,0,0,2,6,3,5,2,0,0,2,3,3,2,2,0,1,3,3,
2,3,3,1,3,1,3,2,3,3,1,3,1,0,1,1,3,3,9,4,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,8,2,1,1,1,
9,2,0,0,4,2,2,5,2,0,4,2,4,5,0,3,2,7,8,4,4,3,0,0,0,3,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,1,0,0,0,0,0,3,2,0,0,
0,0,0,0,0,3,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,3,0,
 };
static signed short stb__consolas_40_latin1_y[224]={ 29,1,1,3,-1,1,1,1,-1,-1,1,8,22,16,
22,1,3,3,3,3,3,3,3,3,3,3,9,9,7,13,7,1,1,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,1,0,3,34,1,9,1,9,1,9,1,9,1,1,
1,1,1,9,9,9,9,9,9,9,3,9,9,9,9,9,9,0,-3,0,14,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,29,9,-1,3,4,3,
-3,1,1,3,3,10,16,16,1,2,1,5,1,1,1,9,1,14,29,1,3,10,1,1,1,9,-4,-4,-4,-4,
-4,-5,3,3,-4,-4,-4,-4,-4,-4,-4,-4,3,-4,-4,-4,-4,-4,-4,10,-1,-4,-4,-4,-4,-4,3,1,1,1,
1,1,1,-1,9,9,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,8,5,1,1,1,1,1,1,1,
 };
static unsigned short stb__consolas_40_latin1_w[224]={ 0,6,12,22,18,22,21,6,12,12,16,20,11,12,
8,17,20,18,18,17,21,17,18,18,18,19,7,11,16,18,16,14,22,22,17,19,19,16,15,19,18,16,15,18,
16,22,18,20,17,21,18,18,20,18,22,22,22,22,18,11,17,11,18,22,14,17,17,16,17,18,21,20,16,17,
16,18,17,20,16,20,17,17,18,16,18,16,20,22,20,20,17,15,4,15,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,0,6,16,19,20,21,
4,18,18,22,14,17,17,12,18,17,14,18,14,12,19,19,18,8,6,14,14,17,22,22,22,14,22,22,22,22,
22,22,23,19,19,19,19,19,19,19,19,19,21,20,21,21,21,21,21,18,20,20,20,20,20,22,17,18,19,19,
19,19,19,19,22,16,20,20,20,20,20,20,20,20,19,19,21,21,21,21,21,20,20,19,19,19,19,21,17,21,
 };
static unsigned short stb__consolas_40_latin1_h[224]={ 0,29,10,26,35,29,29,10,39,39,17,20,14,4,
8,33,27,26,26,27,26,27,27,26,27,26,21,27,23,11,23,29,37,26,26,27,26,26,26,27,26,26,27,26,
26,26,26,27,26,34,26,27,26,27,26,26,26,26,26,38,33,38,13,4,9,21,29,21,29,21,28,29,28,28,
37,28,28,20,20,21,29,29,20,21,27,21,20,20,20,29,20,38,41,38,9,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,0,29,35,26,24,26,
41,33,9,27,20,17,10,4,18,8,14,24,16,16,9,29,33,8,6,16,20,17,28,28,28,29,33,33,33,33,
33,34,26,32,33,33,33,33,33,33,33,33,26,33,34,34,34,34,34,17,35,34,34,34,34,33,26,29,29,29,
29,29,29,31,21,26,29,29,29,29,28,28,28,28,29,28,29,29,29,29,29,21,29,29,29,29,29,37,37,37,
 };
static unsigned short stb__consolas_40_latin1_s[224]={ 252,208,109,179,216,215,58,249,24,11,191,
133,59,240,247,59,57,134,192,78,1,1,228,141,38,57,247,200,22,90,39,
240,137,77,100,157,18,1,240,137,160,202,212,219,238,118,211,78,174,1,38,
118,153,99,111,88,65,42,23,81,1,37,71,233,179,153,40,171,22,73,21,
1,61,43,160,215,238,80,101,188,123,225,40,56,19,92,59,209,1,62,22,
65,1,49,194,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,
219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,252,243,235,
96,1,151,6,87,140,177,232,208,122,240,154,215,44,230,1,16,159,168,40,
247,249,29,118,173,169,192,146,239,192,41,64,117,169,174,195,140,1,21,215,
235,77,97,106,126,173,19,23,131,45,67,197,226,195,153,89,110,219,146,133,
180,199,219,1,21,41,160,109,116,141,162,183,204,104,234,83,125,103,1,124,
146,81,80,102,132,1,22,42,188,61,115,177,93, };
static unsigned short stb__consolas_40_latin1_t[224]={ 1,176,393,293,1,176,176,320,1,1,371,
371,393,73,356,112,265,320,320,264,320,265,236,293,265,293,236,236,347,393,347,
43,1,293,293,236,293,293,264,236,293,293,236,293,293,293,320,236,320,43,293,
236,320,236,320,320,320,320,320,1,112,1,393,393,393,347,176,347,176,347,236,
176,236,236,1,206,176,371,371,347,146,146,371,347,265,347,371,347,372,206,371,
1,1,1,393,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,1,146,1,
264,347,264,1,78,393,236,347,371,393,73,371,393,393,320,393,393,393,176,112,
347,331,393,371,371,206,206,206,112,78,78,78,112,78,43,264,112,78,78,78,
78,112,112,78,78,264,112,43,43,43,43,43,371,1,43,43,43,43,78,264,
112,112,112,146,146,146,112,347,264,146,146,146,146,206,206,206,206,146,236,176,
176,146,176,176,347,206,206,206,176,146,1,1,1, };
static unsigned short stb__consolas_40_latin1_a[224]={ 352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_40_latin1_BITMAP_HEIGHT or STB_FONT_consolas_40_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_40_latin1(stb_fontchar font[STB_FONT_consolas_40_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_40_latin1_BITMAP_HEIGHT][STB_FONT_consolas_40_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_40_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_40_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_40_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_40_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_40_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_40_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_40_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_40_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_40_latin1_s[i] + stb__consolas_40_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_40_latin1_t[i] + stb__consolas_40_latin1_h[i]) * recip_height;
            font[i].x0 = stb__consolas_40_latin1_x[i];
            font[i].y0 = stb__consolas_40_latin1_y[i];
            font[i].x1 = stb__consolas_40_latin1_x[i] + stb__consolas_40_latin1_w[i];
            font[i].y1 = stb__consolas_40_latin1_y[i] + stb__consolas_40_latin1_h[i];
            font[i].advance_int = (stb__consolas_40_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_40_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_40_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_40_latin1_s[i] + stb__consolas_40_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_40_latin1_t[i] + stb__consolas_40_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_40_latin1_x[i] - 0.5f;
            font[i].y0f = stb__consolas_40_latin1_y[i] - 0.5f;
            font[i].x1f = stb__consolas_40_latin1_x[i] + stb__consolas_40_latin1_w[i] + 0.5f;
            font[i].y1f = stb__consolas_40_latin1_y[i] + stb__consolas_40_latin1_h[i] + 0.5f;
            font[i].advance = stb__consolas_40_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_40_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_40_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_40_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_40_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_40_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_40_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_40_latin1_LINE_SPACING
#endif

