// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_42_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_42_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_42_latin1_BITMAP_WIDTH         256
#define STB_FONT_consolas_42_latin1_BITMAP_HEIGHT        455
#define STB_FONT_consolas_42_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_42_latin1_FIRST_CHAR            32
#define STB_FONT_consolas_42_latin1_NUM_CHARS            224

#define STB_FONT_consolas_42_latin1_LINE_SPACING          28

static unsigned int stb__consolas_42_latin1_pixels[]={
    0x32219991,0x406000cc,0x22000001,0xcccccc80,0x33324ccc,0x0ccccccc,
    0x88002000,0x0001abcc,0x39975100,0x7ffcc000,0x37fec0df,0x6ec40000,
    0x001bb301,0x00399500,0x40266200,0xf100dec8,0x3ffe23ff,0xb8bf3001,
    0xd800002f,0xfff10dff,0x4fffffff,0xffffffff,0x326000ff,0x00bdfffe,
    0x37ffffe6,0xfb100000,0x0005ffff,0x413fffe2,0x00006ffd,0x440fffe8,
    0x80007fff,0x00001ffd,0x3f601ffb,0xfff106ff,0x007ffe23,0x7d4fffe6,
    0x200002ff,0xf14ffffb,0xffffffff,0x7fffffcf,0x9000ffff,0xffffffff,
    0x3ffe603f,0x0001ffff,0x7fffffcc,0xff88002f,0x3ff602ff,0x7c400006,
    0x7fcc2fff,0x7c0001ff,0x880000ff,0x3ffe06ff,0xfff881ff,0x803fff11,
    0xd10efff8,0x00003fff,0x99bffff6,0xffb99999,0x2673ffe7,0xe9801999,
    0xfcabdfff,0x53302fff,0x000dfffb,0x9aefffe8,0x7fc40009,0x7fec00ef,
    0xfe800006,0x7ffc40ff,0x7ff80007,0x9ff50000,0x07ffffc0,0xf88fffc4,
    0x3fa201ff,0x7ffc40ff,0xfb80001f,0xfa804fff,0x00fffe7f,0x06fffc40,
    0x802fffa8,0x0003fffb,0x0009fff5,0x004fff88,0x0000dffb,0x2603b910,
    0x440000dd,0x220006ff,0x5403ffb0,0xff104fff,0x07ffe23f,0x301fffe8,
    0x0000dfff,0x001dffd1,0x7ffcfff5,0x9ffd0003,0x00dff900,0x40017ffa,
    0x00006ffc,0x1bff6000,0x00000000,0x17fe6000,0xfffdb980,0xa8807fff,
    0x47ffe201,0xf701fff8,0xffa805ff,0x5300004f,0xf3ffd400,0xf90007ff,
    0x7fec00bf,0x06ffc801,0x009ffb00,0x7ec00000,0x0000006f,0xfa800000,
    0xfff7004f,0x5fffffff,0xfff10000,0x207ffe23,0xb005fff8,0x00003fff,
    0x4fff5000,0x4c003fff,0x2a000fff,0xffa804ff,0x7ffd0007,0x40000000,
    0x00006ffd,0x30000000,0x37bffd97,0x3ffff620,0xffffffff,0x7fc40003,
    0x03fff11f,0x2003fff9,0x0006fff8,0x7ffa8000,0xb000fffe,0xf88005ff,
    0x7ffa806f,0x05fff000,0x00599950,0xfb1ccc98,0xdedb98df,0x3332a01b,
    0x6664c002,0x3fffea01,0x84ffffff,0x12cefffe,0x05ffffff,0x7c403bba,
    0x3fff11ff,0x004fff98,0x4c17ffe4,0xcccccccc,0x800ccccc,0x3ffe7ffa,
    0x1bfe2003,0x00ffec00,0x4001ffea,0xf9802fff,0x7ec006ff,0x4bffb0ff,
    0xfffffffd,0x0dfff304,0x80fffd80,0xffffffd8,0x544fffff,0x7c40efff,
    0xf06fffff,0x3fe201ff,0x83fff11f,0x8000fffd,0xffb86ffe,0xffffffff,
    0xfa801fff,0x00fffe7f,0x0003ffc8,0xfa805ff7,0xfff0007f,0x3fffa005,
    0xdfff1001,0x7ec6ffec,0xffffffff,0x03fffd04,0x41bffe20,0xfadffffe,
    0x744fcaff,0xffb80fff,0xf83fffeb,0xfff101ff,0x887ffe23,0x70004fff,
    0xffb83fff,0xffffffff,0xfa801fff,0x00fffe7f,0x5c07ffc4,0x53dbcefd,
    0xffa805ff,0x5fff0007,0x13ffea00,0xb17ffd40,0x7fffddff,0x5ffff933,
    0x009fff50,0x2e0bffea,0xff10efff,0x3ffea18d,0xf51ffb02,0xfff88dff,
    0x23fff101,0x3ea1fff8,0xf30001ff,0xaaa987ff,0xfcaaaaaa,0xffa801ff,
    0x400fffe7,0x7ec44ffa,0x52ffffff,0xffa807ff,0x5fff0007,0x03fffc00,
    0x360fffd8,0x505fffff,0x3fe0bfff,0xfffb007f,0x0efff881,0xfe817fe6,
    0x6ff880ff,0xf883fffa,0xfff101ff,0xd87ffe23,0x740006ff,0xf50006ff,
    0xff5003ff,0x801fffcf,0x7ff42ffc,0x31ffffef,0xff9809ff,0xfff8000f,
    0x3fff2002,0x27ffc402,0x013ffff6,0xf901fff9,0xff8805ff,0x2fffd84f,
    0xf8827fd4,0x9ff505ff,0xf117ffdc,0x3fe203ff,0x23fff11f,0x0004fff8,
    0x000fffdc,0x400fffd4,0x3ffe7ffa,0x41ffb003,0xff30effa,0x017fe21f,
    0x8005fff1,0x2001fff9,0x5c05fff9,0x7fec1fff,0xfffa805f,0x05fff983,
    0x740fffdc,0x3ffb85ff,0x205fff30,0x3fe61ffc,0x0bffe24f,0xf88fffc4,
    0x3fff51ff,0xfff98000,0xfffa8003,0x27ffa801,0xff003fff,0x262ffe8f,
    0x17fe27ff,0x003bff60,0x8006ffd8,0x3a00fffe,0x6ffd86ff,0x413ffe00,
    0x3a00fffe,0xfff886ff,0x502ffc84,0x3fe03fff,0x12fffcc7,0x3e205fff,
    0x3fff11ff,0x0003ffee,0x007fff10,0x003fff50,0x7ffcfff5,0x25ff9803,
    0x7fd46ff9,0x2017fe25,0x9acffff9,0xffd75310,0xff70003f,0x3ffe207f,
    0x006ffd83,0x7dc13ffe,0xfff103ff,0x05fff307,0x3ee03ffb,0x5ff980ff,
    0xf32fffc4,0x3fe205ff,0x3ffe401f,0x4fff8000,0x1fffa800,0x3e7ffa80,
    0xffa803ff,0xf913ff23,0x027fc49f,0xfffffe98,0xbfffff95,0x3fe20003,
    0x1fff706f,0x400dffb0,0xff105ffe,0x3ffee0df,0x82fffa80,0xff900ffe,
    0x20bff20f,0x3fe66fff,0x3fff102f,0x007ffc80,0x00bffd00,0x003fff50,
    0x7ffcfff5,0x22ffb803,0x7fec2ffe,0x8013fe63,0x95ffffda,0x005bffff,
    0x81fffc80,0xffb05ffe,0x37ff400d,0xd03fff90,0x3fea0bff,0x207ff82f,
    0xffd07ffd,0x4cdffd01,0xff103fff,0x6ffd803f,0xdffd0000,0x3fff5000,
    0x7cfff500,0xffb803ff,0xfd07ffe2,0x01ffcc5f,0xceefffd8,0xfffdd953,
    0x3e60001d,0x7ffcc4ff,0x00dffb02,0xf302fff4,0xfff989ff,0x87fff302,
    0x3f606ff8,0x06ff887f,0x7fccbfff,0x3fff103f,0x006ffe80,0x00dffb00,
    0x003fff50,0x7ffcfff5,0x11ffc803,0xfff81fff,0x200bfea0,0x7002fffb,
    0x4000bfff,0x7fe47ffe,0x0dffb00f,0x201fffc0,0x7fe47ffe,0xdfff100f,
    0x3605ff98,0x7fdc0fff,0x4c9fff03,0xff103fff,0x7ffd803f,0xbffd0000,
    0x3fff5000,0x7cfff500,0xffd803ff,0xf88fff11,0x017fe47f,0x2001fffc,
    0x0000fffb,0x7f45fff7,0x1bff604f,0x017ffc40,0xfe8bffee,0x7fff404f,
    0xc813fea1,0x7fec1fff,0x23fff881,0xf103fffa,0xffc803ff,0xfff00007,
    0xfff5000b,0x4fff5003,0xfd803fff,0x98fff30f,0x03fec6ff,0x0007ffc4,
    0x0007ffe2,0xfaafffc4,0x3ff601ff,0x3fff5006,0x55fff880,0xfa803fff,
    0x7ff92fff,0x117ffdc0,0x3fe60dff,0x13ffea2f,0x200fffc4,0x0000fffb,
    0x8004fff8,0xa801fffa,0x0fffe7ff,0x7c43ff60,0x1bfee0ff,0xff300bff,
    0x3ffe000f,0x3ff20002,0x406ffd8f,0xff006ffd,0x3ff200df,0x006ffd8f,
    0xfb7ffffd,0xff52a85f,0x827fd47f,0x3ea1fffb,0xfff104ff,0x1fffa803,
    0x7ffc4000,0xfffa8003,0x27ffa801,0xfc803fff,0x23fff11f,0x3ea6fff8,
    0x7ffa803f,0x07fff000,0x5fffcc00,0x7ec03fff,0xfffc806f,0x7fff3001,
    0x26007fff,0xffffffff,0xf14ffdcd,0x17fe4dff,0x2a0fffe8,0xff104fff,
    0x43bba23f,0x0004fff9,0x0007ffdc,0x400fffd4,0x3ffe7ffa,0x22ffc803,
    0xfffb4fff,0x01ffd31f,0x000fff50,0x0000fffe,0x1ffffffd,0x02fffd80,
    0x009fffb1,0xffffffe8,0x3ffa2000,0xffffffff,0x4bfffa4f,0xfff307ff,
    0x04fffa89,0x3e23fff1,0x1bffa1ff,0x0dffb000,0x07ffea00,0xff9ffea0,
    0x2ffb803f,0x3bfffff2,0x2ffffff9,0x00fff500,0x000fffe0,0xbfffff70,
    0xfffffb00,0xffffdbbd,0xffb8001b,0x88005fff,0xffffffda,0x3fee2def,
    0xb05ff9ef,0xffb81fff,0x3fff105f,0xfb87ffe2,0xf10001ff,0x2a0009ff,
    0xfa801fff,0x00fffe7f,0xfe88ffea,0xfffd0fff,0x7fd4007f,0x7fff0007,
    0xfff88000,0xffd801ff,0xffffffff,0xf10003ff,0x0003ffff,0x01aeffa8,
    0x3fbfffe2,0x4fffd82f,0x105fffb8,0x3fe23fff,0x13ffe21f,0x0fffdc00,
    0x1fffa800,0x3e7ffa80,0xff9803ff,0x20565c44,0x54000bca,0xff0007ff,
    0xfb00007f,0x3f600dff,0xfffffeff,0x6c0000cd,0x80006fff,0xf5004ffa,
    0x221fffff,0x80ffffda,0xf105fffb,0x3ffe23ff,0x007fff41,0x0037ff40,
    0x003fff50,0x7ffcfff5,0x06ff8803,0x3ea00000,0xfff0007f,0xffb00007,
    0x3ff6005f,0x00013316,0x02fffd80,0x03ffb800,0x3fffff20,0xefffffee,
    0x03555301,0x7c47ffe2,0x7ffd41ff,0x7ffdc004,0x3fee0002,0x7ffa800f,
    0x7400fffe,0x000001ff,0x000fff50,0x0000fffe,0x400dfff3,0x00006ffd,
    0x037ffcc0,0x02ffc800,0x7ffffdc0,0x00dfffff,0x1fff8800,0xfb03fff1,
    0x3e2003ff,0x640005ff,0xff5007ff,0x801fffcf,0x00004ffb,0x00fff500,
    0x0013ffa0,0x005fffd0,0x00037fec,0x0bfffa00,0x0ffec000,0x7ffff400,
    0x0003dfff,0x447ffe20,0xff881fff,0xfff9005f,0xffe80001,0x4fff5005,
    0xf1003fff,0x000000ff,0x4001bff2,0x20005ffd,0x4005fffc,0x00006ffd,
    0x017fff20,0x00ffe800,0x54f7fc40,0x1000000a,0x3fe23fff,0x5fff701f,
    0x04fff980,0x1fffd400,0x3e7ffa80,0x3f6003ff,0x4000005f,0x0005ffe8,
    0x8001fff9,0x00efffd8,0x0037fec0,0x7ffec400,0x3e00000e,0xffa8007f,
    0x10000004,0x3fe23fff,0x3fffa01f,0x1dfff101,0xfa802e60,0x3ea006ff,
    0x00fffe7f,0x005fff98,0x7ec40035,0xf30002ff,0x66401bff,0x1fffffec,
    0x06ffd800,0xfeccc800,0x0001ffff,0x001bfe20,0x00007ff2,0x8fffc400,
    0x2601fff8,0x7440ffff,0x3e600fff,0xfdcabcef,0xaaa82fff,0x27ffcaaa,
    0xaaaadfff,0xfffa80aa,0xf95311be,0x6e54405f,0x0005ffff,0x66ffffe4,
    0x3ffff60a,0xb0001eff,0xb0000dff,0x3dffffff,0xff980000,0x07ff8005,
    0x3e200000,0x3fff11ff,0x0efff980,0x3007fff6,0xffffffff,0xff107fff,
    0xffffffff,0x7ffffffc,0xff300fff,0xffffffff,0x7fcc05ff,0x000effff,
    0x7ffff440,0x3fff62ff,0x6c0003ff,0xd80006ff,0x003fffff,0x01331000,
    0x002aa880,0x3fe20000,0x03fff11f,0x2e7fff50,0xe8802fff,0xffffffff,
    0xffff100d,0x7cffffff,0xffffffff,0x3fb6600f,0x1cffffff,0x7ffffcc0,
    0x7d400003,0x32a2ffff,0x3000009b,0x50000555,0x00001379,0x00000000,
    0xff100000,0x07ffe23f,0x3f62fd40,0x65544002,0xaa8009ac,0x2aaaaaaa,
    0x2aaaaaaa,0x51000aaa,0x44003557,0x000009aa,0x00554c40,0x00000000,
    0x00000000,0x00000000,0xfff88000,0x003fff11,0x00002814,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3fe20000,
    0x03fff11f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfff88000,0x003fff11,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x41555000,
    0x00000aaa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x06f2e200,0x00000000,
    0x00000080,0x00000000,0x00000000,0x00000000,0x00220000,0x00000000,
    0x40000000,0x03fffffa,0x3ff60000,0xb73001ff,0x0159dfff,0xdfffd300,
    0xfd300001,0x00bfaa05,0x03bfffa6,0x7ec00000,0xb0001fff,0x8000bfff,
    0x983ffffc,0x0bfa6005,0x00017f54,0x000bfffb,0x6deffc40,0x800001ff,
    0x000dfffd,0xfffffff7,0x10003dff,0x001dfffb,0x80ffff80,0x8800ffff,
    0x000efffd,0x7ffec000,0xffb0000d,0x0001dfff,0xdffffffb,0x00bff515,
    0x3e03fffe,0xd8000fff,0x00efffff,0x747fb800,0x6c00003f,0x36003fff,
    0xffffffff,0x0002ffff,0x000bfff7,0xf80ffff8,0x2e000fff,0x00005fff,
    0x00ffff60,0x5f7ff440,0x2000effe,0xffcbdffc,0x01ffffff,0xf01ffff0,
    0x44001fff,0xffebeffe,0x7dc0000e,0x00027ec6,0x003fffb0,0x5677fff4,
    0xffffeca8,0xffd30002,0x7fdc000b,0x00bff705,0x00bffd30,0x3fffb000,
    0x3ffa2000,0x3dffb10d,0xb113a200,0x005fffff,0xfb82ffdc,0x3fa2005f,
    0xdffb10df,0x7fcc0003,0x0005ff52,0x002aaa20,0x00efffa8,0x001bfff6,
    0x001aaa88,0x03100620,0x0d554400,0x55510000,0x554c0001,0x00555502,
    0x03953004,0x31006200,0x02aa9800,0x80005555,0x06fffffd,0xd0000000,
    0xfd001fff,0x000005ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3ff20000,0x000000cf,0x2fffa800,0x0bfff100,0x00000000,
    0x00800000,0x00020000,0x00000800,0x80000020,0x00000000,0x00040000,
    0x800bdd90,0x3ffa5eec,0x3ffa000f,0x0bdd901f,0x645eec80,0x764005ee,
    0xfdb9805e,0x000aceff,0xdfffb730,0x26000159,0xacefffdb,0xfb730000,
    0x00159dff,0x3fff6e60,0xec800ace,0x7764005e,0xdddb0005,0xffd8003d,
    0xb7fec006,0x4005fff8,0xfb02fffb,0xffd800df,0x0037fec6,0xf701bff6,
    0xffffffff,0xffb8003d,0xefffffff,0x7ffdc001,0x1effffff,0x7fffdc00,
    0x01efffff,0x7ffffdc0,0x401effff,0x6c006ffd,0xfa8006ff,0x4003ffff,
    0x6c006ffd,0x5fff36ff,0x3fff9800,0x800dffb0,0x7fec6ffd,0x37fec006,
    0xfffffd88,0x2fffffff,0xffffd880,0xffffffff,0xfffd8802,0xffffffff,
    0xffd8802f,0xffffffff,0xfd8802ff,0xffffffff,0x3f602fff,0x7fec006f,
    0xfffc8006,0x7ec006ff,0x7fec006f,0x003fff56,0xb04fff88,0xfd800dff,
    0x037fec6f,0x741bff60,0x98acefff,0x02ffffeb,0x5677fff4,0xffffeb98,
    0x77fff402,0xffeb98ac,0x7ff402ff,0xeb98acef,0x7402ffff,0x98acefff,
    0x02ffffeb,0xd800dffb,0xff8006ff,0x000fffff,0xb001bff6,0x3ffeedff,
    0x5fff8000,0x800dffb0,0x7fec6ffd,0x37fec006,0x0077ffd4,0x540dfffb,
    0x3600efff,0x3ea06fff,0x3f600eff,0x3fea06ff,0x3ff600ef,0x3ffea06f,
    0x3fff600e,0x00dffb06,0x4006ffd8,0xfffafffa,0x1bff6003,0x32dffb00,
    0xff0007ff,0x1bff60df,0xd8dffb00,0x7ec006ff,0x0fffe86f,0x02fffd80,
    0xb001fffd,0x3fa05fff,0xffd800ff,0x1fffd02f,0x05fffb00,0x2003fffa,
    0xfd82fffd,0x7fec006f,0xb7fe4006,0x36006fff,0x7ec006ff,0x00fffb6f,
    0x6c1fffa0,0x7ec006ff,0x037fec6f,0xf51bff60,0x3e2005ff,0xfffa85ff,
    0xbfff1002,0x005fff50,0x2a17ffe2,0xf1002fff,0xfff50bff,0x3ffe2005,
    0x006ffd85,0x20037fec,0xfff93fff,0x1bff6001,0x36dffb00,0xfd0007ff,
    0x1bff60df,0xd8dffb00,0x7ec006ff,0x07fff46f,0x83fffd00,0x2000fffe,
    0x7f41fffe,0x3fa000ff,0x7fff41ff,0x3fffa000,0x007fff41,0xd83fffd0,
    0x7ec006ff,0x3fea006f,0x07fff31f,0x001bff60,0x3ff2dffb,0xfff8000f,
    0x00dffb05,0x7ec6ffd8,0x7fec006f,0x017ffe26,0x445fff70,0x5c005fff,
    0x3fe22fff,0x7fdc005f,0x17ffe22f,0x45fff700,0x4005fff8,0x7ec2fffb,
    0x7fec006f,0x1bff2006,0x3600dfff,0x7ec006ff,0x03fff96f,0x04fff880,
    0xd800dffb,0x37fec6ff,0x99bff600,0x4c002fff,0x3fe63fff,0x7fcc002f,
    0x0bffe63f,0x47fff300,0x4002fff9,0x3e63fff9,0x7cc002ff,0x37fec3ff,
    0x01bff600,0x7ec4fff8,0xffd800ff,0xb7fec006,0x4001fffb,0xfb03fff9,
    0xffd800df,0x0037fec6,0xffa9bff6,0x7fc4001f,0x07ffea4f,0x49fff100,
    0x4001fffa,0x3ea4fff8,0x7c4001ff,0x3ffea4ff,0x7ffc4001,0x0037fec4,
    0x5401bff6,0x7fd41fff,0x6ffd803f,0xab7fec00,0x5c004fff,0xffb02fff,
    0x6ffd800d,0x20037fec,0x3fee6ffd,0xfff8000f,0x003ffee5,0xfb97ffe0,
    0xff8000ff,0x03ffee5f,0xb97ffe00,0xf8000fff,0x37fec5ff,0x01bff600,
    0x7c43ffe4,0xffd806ff,0xb7fec006,0x4006fff8,0xfb00fffe,0xffd800df,
    0x0037fec6,0xffc9bff6,0xdfff0007,0x8003ffe4,0x3ff26fff,0xdfff0007,
    0x8003ffe4,0x3ff26fff,0xdfff0007,0x4006ffd8,0xff006ffd,0x3fff609f,
    0x037fec00,0xfd9bff60,0xff3001ff,0x37fec09f,0xb1bff600,0xfd800dff,
    0x01fff66f,0xfb3fff40,0x3fa000ff,0x01fff67f,0xfb3fff40,0x3fa000ff,
    0x01fff67f,0x363fff40,0x7ec006ff,0xfff9806f,0x07fff502,0x4006ffd8,
    0x3fea6ffd,0xfffb005f,0x037fec01,0xfb1bff60,0xffd800df,0x001fff66,
    0xffb37ff4,0x3ffa000f,0x001fff66,0xffb37ff4,0x3ffa000f,0x001fff66,
    0x3f637ff4,0x7fec006f,0x07ffc806,0xb017ffe2,0xfd800dff,0x2ffffc6f,
    0x017fff60,0xd800dffb,0x37fec6ff,0xc9bff600,0xf8000fff,0x3fff25ff,
    0x5fff8000,0x0003fff2,0xffc97ffe,0xfff8000f,0x003fff25,0xfb17ffe0,
    0xffd800df,0x05fff806,0xb007fff4,0xfd800dff,0x7fffd46f,0xffb510ad,
    0xffd801df,0x37fec006,0xb001bff6,0x7ffdcdff,0x7ffc4001,0x007ffee3,
    0x5c7fff10,0x44001fff,0x3fee3fff,0x7fc4001f,0x07ffee3f,0x87fff100,
    0x6c006ffd,0x7fcc06ff,0x7ffdc02f,0x01bff603,0xf70dffb0,0xffffffff,
    0xb001dfff,0xfd800dff,0x037fec6f,0xfa9bff60,0x7cc001ff,0x3ffea2ff,
    0x7ffcc001,0x007ffea2,0x545fff30,0x4c001fff,0x3fea2fff,0x7fcc001f,
    0x037fec2f,0x901bff60,0x33333fff,0xbfff5333,0x003ffec0,0x7dc17ffa,
    0xffffffff,0xffb000ef,0x5ffe800f,0x2003ffec,0x3fea5ffe,0x7fdc003f,
    0x0fffea1f,0x43fff700,0x4003fffa,0x3ea1fffb,0x7dc003ff,0x3ffea1ff,
    0x7ffdc003,0x003ffec1,0xff017ffa,0xffffffff,0x1fffffff,0x001fff20,
    0x5c409fff,0x2dfffffe,0x03ffe400,0xf913ffe0,0xfff800ff,0x01bffe24,
    0x441fffd0,0x74006fff,0x3fe20fff,0x7ff4006f,0x1bffe20f,0x41fffd00,
    0x4006fff8,0x7e40fffe,0x7ffc007f,0x3fffe604,0xffffffff,0x702fffff,
    0x22001fff,0xf7002fff,0x2e0003ff,0xf1000fff,0xfffb85ff,0x5fff1000,
    0x001fffd8,0xfb09fff3,0x3e6003ff,0xfffd84ff,0x9fff3001,0x003fffb0,
    0x3613ffe6,0xf3001fff,0xfff709ff,0x3ffe2001,0x3ffff202,0xffffffff,
    0x505fffff,0x32009fff,0xf1001fff,0x2a0009ff,0xf9004fff,0xfffa83ff,
    0x3fff9004,0x005fffa8,0xf501fffb,0x3f600bff,0xfffa80ff,0x1fffb005,
    0x00bfff50,0x2a03fff6,0xfb005fff,0xfff501ff,0x3fff2009,0x277ffe01,
    0x99999999,0x00fffe99,0x8801ffff,0x74005fff,0xf0000fff,0xf8801fff,
    0xffff05ff,0x5fff8801,0x809fffd0,0x3a04fffd,0x7ec04fff,0x3ffa04ff,
    0x7ffec04f,0x13fffa04,0x409fffb0,0x6c04fffe,0x3fe04fff,0x7fc400ff,
    0x3ffe605f,0x7ffdc003,0x5ffff502,0x03fffea0,0x3dfff900,0x3ea06c88,
    0xff502fff,0x3fea01ff,0xfff502ff,0x3ffea01f,0xfb510adf,0x7d401fff,
    0x510adfff,0x401ffffb,0x0adffffa,0x1ffffb51,0x6ffffd40,0xfffb510a,
    0x7ffd401f,0xfb510adf,0x7d401fff,0xff502fff,0x7fe401ff,0x7fcc000f,
    0x3fffa05f,0xfffedeff,0xfd0003ff,0xffddffff,0x7fff407f,0xfffedeff,
    0x7ff403ff,0xffedefff,0x7dc03fff,0xffefffff,0xb801efff,0xfeffffff,
    0x801effff,0xeffffffb,0x01efffff,0xffffffb8,0x1efffffe,0xfffffb80,
    0xefffffef,0xffffe801,0xffffedef,0x37ffc03f,0x0fffe800,0xfffff910,
    0x05ffffff,0x7fff4400,0x04ffffff,0x3fffff22,0x02ffffff,0xfffffc88,
    0x02ffffff,0xffffff50,0x001bffff,0x7fffffd4,0x000dffff,0x3fffffea,
    0x000dffff,0x3fffffea,0x000dffff,0x3fffffea,0x000dffff,0xffffff91,
    0x805fffff,0x0003fff9,0x9805fff9,0xeffffffd,0xf700000c,0x03dfffff,
    0x3ffff660,0x4000ceff,0xffffffd9,0x644000ce,0x3dfffffd,0xffb91000,
    0x0007bfff,0x3ffff722,0x910003df,0x7bfffffb,0x3f722000,0x003dffff,
    0xfffffb30,0xf90019df,0x260001ff,0x22005fff,0x000001a9,0x0000d4c4,
    0x00006a62,0x0001a988,0x000054c0,0x000054c0,0x000054c0,0x000054c0,
    0x000054c0,0x0006a620,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00132e00,0x10000000,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0027ffe4,0x0001ffe0,0x07ffff60,0x7ffff900,0x4c000b30,0xdefffecb,
    0x3ffa600b,0x000000ef,0x00ffffec,0x017fff60,0x1dfffd30,0x6c000000,
    0x4001ffff,0xfd502fe9,0xfffe9805,0x7fe4000e,0x3e20004f,0x6c00006f,
    0x4000dfff,0xeffffffd,0x005ffa8a,0x7fffff44,0x02ffffff,0x03bfff62,
    0x7fec0000,0x7ec000df,0x000effff,0x03bfff62,0x3f600000,0xf8000dff,
    0xfff80fff,0x7fec400f,0x3f2000ef,0x260004ff,0x200005ff,0x8003fffd,
    0xffcbdffc,0x01ffffff,0x3ffffea0,0xffffffff,0x5fffb802,0xffd80000,
    0x7f44003f,0x0effebef,0x2fffdc00,0x3f600000,0x3e0003ff,0xfff80fff,
    0xfff7000f,0x7ffe400b,0x76544004,0x001aceff,0x007fff60,0x36227440,
    0x002fffff,0x33bffff2,0xffca999a,0xbffd3002,0x7fec0000,0x7f44001f,
    0xdffb10df,0xffe98003,0xfb000005,0xb80003ff,0xbff705ff,0x5ffe9800,
    0x07fff900,0x3ffffea0,0x05ffffff,0x00aaa880,0x95300400,0xfffa8003,
    0x0035004f,0x000d5544,0x00555440,0xa81554c0,0xa88002aa,0x400001aa,
    0x0000aaa8,0x01880310,0x03555100,0x807fff70,0xffffffe8,0x05ffffff,
    0x00000000,0x3ffa0000,0x0000003f,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfffb8000,0x3fffa203,0xbbffebcf,0x000005ed,0x00000000,
    0x0009fff5,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0x3603fffb,0x3ffc4fff,0xeeed8000,0x3600001e,0x4001eeee,0x0000fffe,
    0x3bbbbb60,0xeeeeeeee,0xddddb01e,0xdddddddd,0x3bb603dd,0xeeeeeeee,
    0x2001eeee,0x001eeeed,0x0007ddd9,0xd817bba6,0xeeeeeeee,0x81eeeeee,
    0xeeeeeeea,0xeeeeeeee,0x40fffee3,0xff87fff8,0xffa80006,0x00003fff,
    0x07fffff5,0x027ffd40,0x3fffa000,0xffffffff,0xffd02fff,0xffffffff,
    0x3a05ffff,0xffffffff,0x02ffffff,0x7fffff50,0x3fffe600,0xfffd8000,
    0x3ffffa02,0xffffffff,0xfffb82ff,0xffffffff,0x3ee4ffff,0xfff502ff,
    0x005ff987,0xfffffc80,0xff900006,0x5c00dfff,0x00001fff,0x7ffffff4,
    0xffffffff,0xfffffd02,0xffffffff,0x3fffa05f,0xffffffff,0xf9002fff,
    0x400dffff,0x4004fffd,0x7405fff9,0xffffffff,0x82ffffff,0xfffffffb,
    0xffffffff,0x40bffea4,0x7d43fffb,0xff80004f,0x000fffff,0xffffff80,
    0xfff9000f,0xfe800001,0x999999ef,0xd0099999,0x33333dff,0x01333333,
    0x2667bffa,0x99999999,0xfffff000,0x3e2001ff,0x3a001fff,0x7f401fff,
    0x999999ef,0x88099999,0xffb99999,0x099999bf,0x4c0bffea,0x7fdc6fff,
    0x7fd40003,0x003fffaf,0x7d7ffd40,0xffb003ff,0xfd00000f,0x3a0000bf,
    0xd00005ff,0x00000bff,0xfff5fff5,0x7ffe4007,0x9fff5005,0x00bffd00,
    0x7ffcc000,0x2fffa802,0xc93fffe0,0x640002ff,0x0dfff6ff,0xf6ffc800,
    0x3fa00dff,0xe800006f,0xd00005ff,0x20000bff,0x00005ffe,0xfff6ffc8,
    0x7ffc400d,0xfffe801f,0x05ffe800,0x3fe60000,0xfffa802f,0x3fffee02,
    0x001ffdae,0xfc9fffc0,0x3e0000ff,0x1fff93ff,0x00dfff00,0x0bffd000,
    0x17ffa000,0x2fff4000,0x7ffc0000,0x001fff93,0x2037ffdc,0xd003fffa,
    0x00000bff,0x4017ffcc,0x6c01fffa,0xffffffff,0x3fea0000,0x07fff31f,
    0x47ffea00,0xf803fff9,0x800006ff,0x00005ffe,0x0000bffd,0x00017ffa,
    0x263fff50,0x74003fff,0x3fa02fff,0x3ffa007f,0x26000005,0xf9802fff,
    0xffb801ff,0x01cfffff,0xf8dff900,0xf90006ff,0x06fff8df,0x0007fff8,
    0x005ffe80,0x00bffd00,0x017ffa00,0x8dff9000,0x54006fff,0xff706fff,
    0x7ff4005f,0x26000005,0xf9802fff,0xf91001ff,0x3dffffff,0x44fff800,
    0x8000fffd,0x7fec4fff,0x7fff400f,0x7f400000,0xfd00005f,0x3a0000bf,
    0x400005ff,0x7fec4fff,0x7fec000f,0x06fff83f,0x002fff40,0x5fff3000,
    0x03fff300,0xffffc880,0xf5004fff,0xfffa83ff,0x7ffd4003,0x01fffd41,
    0x0007fff6,0x00bffd00,0x017ffa00,0x02fff400,0x3fff5000,0x003fffa8,
    0x2e3fffcc,0x74001fff,0x000005ff,0x200bffe6,0x8001fff9,0xffffeffa,
    0x7ffc805f,0x006fff88,0x7c43ffe4,0x7fe406ff,0x7400003f,0xaaaaaeff,
    0x202aaaaa,0xaaaaeffe,0x02aaaaaa,0x2aabbffa,0x2aaaaaaa,0x443ffe40,
    0xc8006fff,0xfff13fff,0xdffd000b,0x55555555,0xf9800555,0xff9802ff,
    0xffb8000f,0x4ffffc8a,0xd827ffc0,0x3e000fff,0xfffb04ff,0x37ffd401,
    0x3ffa0000,0xffffffff,0x3fa06fff,0xffffffff,0x3a06ffff,0xffffffff,
    0x406fffff,0xffb04fff,0xff88001f,0x03fff97f,0xfffffd00,0xffffffff,
    0xfff9800d,0x0fff8802,0x21ffc800,0x300ffffa,0x3ea05fff,0xff3003ff,
    0x3ffea05f,0x1ffff403,0xfffd0000,0xffffffff,0x7ff40dff,0xffffffff,
    0x3fa06fff,0xffffffff,0x2606ffff,0xff502fff,0xff70007f,0x009fff9f,
    0x3fffffa0,0xffffffff,0x7ffcc006,0x00333002,0xf903ffa0,0x3ff205ff,
    0x17ffe207,0x103ffe40,0xfb80bfff,0x00000eff,0x9999dffd,0x07999999,
    0x66677ff4,0x3ccccccc,0x333bffa0,0xcccccccc,0x81fff203,0x0005fff8,
    0x1ffffffd,0x3bffa000,0xcccccccc,0x7cc003cc,0x000002ff,0xff30fff0,
    0x17ffe07f,0x001fffd0,0xfe80bfff,0x3fe200ff,0x11002fff,0x0017ffa0,
    0x002fff40,0x005ffe80,0x80bfff00,0x8000fffe,0x03fffffa,0x017ffa00,
    0xfff98000,0xf0000002,0x5fff50df,0x805fff30,0x4c03fffb,0x7dc02fff,
    0x7fcc03ff,0x221adfff,0xfd02fda9,0x3a0000bf,0xd00005ff,0x30000bff,
    0xfb805fff,0xfd0003ff,0xe8000dff,0x000005ff,0x200bffe6,0x4000dfd8,
    0xffd85ff8,0x9fffc80f,0xa9999999,0x7e405fff,0x999999ff,0x05fffa99,
    0xffffff98,0xffffffff,0x00bffd02,0x017ffa00,0x02fff400,0x4fffe400,
    0xa9999999,0x50005fff,0x80007fff,0x00005ffe,0x00bffe60,0x041bfffa,
    0x7dc4ff98,0xffff06ff,0xffffffff,0x401fffff,0xffffffff,0xffffffff,
    0xffe9800f,0xffffffff,0xbffd02ff,0x3ffa0000,0xffd00005,0xfff0000b,
    0xffffffff,0x01ffffff,0x05fff300,0x05ffe800,0x3fe60000,0x7ffc402f,
    0xcdfd80ff,0xcacffbaa,0x981ffffe,0xffffffff,0xffffffff,0xffff302f,
    0xffffffff,0x005fffff,0x7ffffe4c,0x3a00acdf,0xd00005ff,0x20000bff,
    0x40005ffe,0xfffffff9,0xffffffff,0xf98002ff,0x740002ff,0x000005ff,
    0x100bffe6,0x360fffff,0xffffffff,0x1fffffff,0xffffff90,0xffffffff,
    0x3f20bfff,0xffffffff,0xffffffff,0xeffd8005,0x2fff4001,0x5ffe8000,
    0xbffd0000,0xfffc8000,0xffffffff,0x05ffffff,0x02fff980,0x02fff400,
    0xfff30000,0x5fff5005,0x3fffff60,0xffffffff,0x37ffe00c,0x99999999,
    0x0fffe999,0x999dfff8,0x99999999,0x4000fffe,0xe8003ffe,0xd00005ff,
    0x20000bff,0x40005ffe,0x9999dfff,0xe9999999,0x4c000fff,0x40002fff,
    0x00005ffe,0x00bffe60,0x75100544,0xbdfffdd9,0xff980159,0x7fdc003f,
    0x1fffcc2f,0x0bffee00,0x01fff880,0x005ffe80,0x00bffd00,0x017ffa00,
    0x03fff980,0x017ffdc0,0x00bffe60,0x00bffd00,0x7ffcc000,0xf8000002,
    0xffc8007f,0x7fcc000f,0x07ffe45f,0x17ffe600,0x007ffa80,0x333dffd0,
    0x33333333,0x27bffa01,0x99999999,0xdffd0099,0x33333333,0x7fe41333,
    0x7fcc000f,0x7fcc005f,0x7f40002f,0x999999ef,0x88099999,0xffb99999,
    0x099999bf,0xdff10000,0x0dfff000,0x83fffa00,0xd0006fff,0x32001fff,
    0xfd0004ff,0xffffffff,0x205fffff,0xfffffffe,0x2fffffff,0xffffffd0,
    0xffffffff,0x0037ffc5,0x000fffe8,0x000bffe6,0xffffffd0,0xffffffff,
    0xfffff705,0xffffffff,0x200009ff,0x4c005ff9,0x90003fff,0x3fe65fff,
    0xff90003f,0x3ff6005f,0xfffd0002,0xffffffff,0x3fa05fff,0xffffffff,
    0xd02fffff,0xffffffff,0x25ffffff,0x0003fff9,0x4005fff9,0x0002fff9,
    0x7ffffff4,0xffffffff,0xfffffb82,0xffffffff,0x500004ff,0xfc8009ff,
    0xf30000ff,0x3fff2bff,0xfff30000,0x4000000b,0xfffffffe,0x2fffffff,
    0xffffffd0,0xffffffff,0x3ffffa05,0xffffffff,0x1fff92ff,0x3ffe6000,
    0x3ffe6005,0x7ff40002,0xffffffff,0xfb82ffff,0xffffffff,0x04ffffff,
    0x05dd7000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000110,0x000004c4,0x00000000,0x00000000,0x7dd3ff60,0x5000006f,
    0xffffdb97,0x4c007fff,0x40001cdc,0xd3000009,0x0bfaa05f,0xfffb0000,
    0xfff9003f,0x400b307f,0xfffffec8,0xffb0006e,0xfd3000bf,0x00bfaa05,
    0x017fff60,0xfff30000,0x007ffe23,0xfffe9800,0xffffffff,0xfff7003f,
    0x6cc009ff,0x03effffe,0x03fffe00,0x0003fffe,0x06fffec0,0x7ffffec0,
    0x5ffa8aef,0xfffffb80,0x8007ffff,0x0efffffd,0x03fffe00,0x8003fffe,
    0x0efffffd,0xff900000,0x005ffd8b,0xffffd880,0xffffffff,0xff9803ff,
    0x402ffdad,0xffffffd8,0x8001ffff,0xff80ffff,0xd80000ff,0xf9003fff,
    0xffff97bf,0xc803ffff,0xeeeeffff,0x3a2007fe,0xeffebeff,0x1ffff000,
    0x001ffff0,0xfd7dffd1,0x800001df,0x7cc2fff8,0x6c0000ff,0xffffffff,
    0x00fffe23,0x0bfb17f2,0xdeffffe8,0x00ffffff,0xb82ffdc0,0xd80005ff,
    0x22001fff,0x7ffec44e,0x7fd402ff,0x400601df,0xb10dffe8,0xf7003dff,
    0x17fee0bf,0x437ffa20,0x001effd8,0x41ffee00,0x20004ffe,0xfffffffb,
    0x3ffe23ff,0x5c4fe803,0x3fff206f,0x4fffd984,0x44018800,0xaa880001,
    0x2008000a,0xfb001ca9,0x4c0000df,0x555502aa,0x31006200,0x40aaa600,
    0x00002aaa,0x7d40fffa,0xff10007f,0xffffffff,0x01fffc47,0x17f637e4,
    0x1027ffcc,0x0000dfff,0x00000000,0xf0000000,0x00000bff,0x00000000,
    0x00000000,0x007ffcc0,0x50005fff,0xffffffff,0x7ffc47ff,0xceff9803,
    0xff702ffd,0x7ffd801f,0x00000000,0x00000000,0x07fff800,0x00000000,
    0x00000000,0x3f600000,0x37fe405f,0x7fffdc00,0x23ffffff,0x7003fff8,
    0x407fffff,0xfd806ffc,0x76c0006f,0xa8001eee,0xeeeeeeee,0x3eeeeeee,
    0x00f7775c,0xfd83eec8,0x540004ff,0xeeeeeeee,0x3eeeeeee,0xeeeeeea8,
    0xeeeeeeee,0x3bb6003e,0x400001ee,0x4401fff8,0x6c001fff,0xffffffff,
    0x3ffe23ff,0x2f2e2003,0x02fff401,0x0013ffe6,0x3fffffa8,0xffffb800,
    0xffffffff,0x7fe44fff,0xffb005ff,0xbffff109,0x3fee0001,0xffffffff,
    0xb84fffff,0xffffffff,0x4fffffff,0xfffff500,0xfb800007,0x9ffb006f,
    0xffffc800,0x23ffffff,0x0003fff8,0x813ffe00,0x000ffff9,0x3fffff20,
    0xfffb8006,0xffffffff,0x7e44ffff,0xd801ffff,0xfffb04ff,0xf70007ff,
    0xffffffff,0x09ffffff,0xfffffff7,0xffffffff,0x3fff2009,0x400006ff,
    0xf5002fff,0x7dc001ff,0xffffffff,0x0fffe23f,0xdfdd9730,0x3ffe059b,
    0x5ffff504,0xffff8000,0x44000fff,0xffb99999,0x099999bf,0x2fffffe4,
    0x2227fec0,0xfffffffe,0x2662001e,0xbfffb999,0x88099999,0xffb99999,
    0x099999bf,0xffffff00,0x2a00001f,0x7f4007ff,0x3fe6003f,0xffffffff,
    0x40fffe23,0xfffffffa,0x7c1effff,0xfffb84ff,0x7d40001e,0x03fffaff,
    0x5fff3000,0x3ffff200,0x7fec00ff,0x5dffff44,0x00cfffff,0x0bffe600,
    0x3ffe6000,0x3fea0002,0x003fffaf,0x009ffd00,0x4006ffb8,0xfffffffe,
    0x3ffe23ff,0xfffff903,0xffffffff,0x2627ffc1,0x0000efff,0xfff6ffc8,
    0x3e60000d,0xff9002ff,0xd809ffdd,0x3ffea4ff,0x3ffff622,0xff30000e,
    0xf300005f,0x640005ff,0x0dfff6ff,0x1fff3000,0x2fff8800,0x3fffe600,
    0x223fffff,0xff903fff,0xd7313359,0x7ffcdfff,0x007ffe44,0x93fff800,
    0x00001fff,0x2005fff3,0xfffbeffc,0xe93ff600,0xfff505ff,0xf30003ff,
    0x300005ff,0x40005fff,0xfff93fff,0xffc80001,0xbff90005,0xffffb800,
    0x3e23ffff,0x003303ff,0x7fc7fffa,0x02fff44f,0x1fffa800,0x0007fff3,
    0x005fff30,0x3fe3bff2,0x93ff604f,0x36203fff,0x98006fff,0x80002fff,
    0x0002fff9,0x3e63fff5,0x220003ff,0x30002fff,0x98001fff,0x3ffffffd,
    0x000fffe2,0x7cfffee0,0x3ffec4ff,0x6ffc8000,0x00037ffc,0x8017ffcc,
    0xfff96ffc,0xf93ff601,0xffd804ff,0x7fcc004f,0xf980002f,0xf90002ff,
    0x06fff8df,0x01bfee00,0x009ffd00,0x3fffb260,0x00fffe23,0x53ffe200,
    0x7fdc4fff,0xff80004f,0x07ffec4f,0x3ffe6000,0x2dff9002,0xfb03fff9,
    0x037ff49f,0x4007ffe8,0x0002fff9,0x002fff98,0xfd89fff0,0xfd0000ff,
    0xfa80007f,0x2600007f,0x00fffe20,0xfafff400,0x7ffc44ff,0xf50000df,
    0xfffa83ff,0x7fcc0003,0xdff9002f,0xfd83fff4,0x0ffff24f,0x003ffee0,
    0x002fff98,0x02fff980,0x41fffa80,0x8003fffa,0x0000fffa,0x0003fff8,
    0x07fff100,0x57ffa000,0xffa84fff,0xc8001eff,0xfff887ff,0x7fcc0006,
    0xdff9002f,0x6c17ffd4,0x3ffe24ff,0x7ffcc03f,0x3ffe6001,0xff980002,
    0xffc8002f,0x06fff887,0x004ffd80,0x00dff700,0x3ffe2000,0x7f6dc403,
    0xffffffff,0x2a09fff5,0x002fffff,0xfd827ffc,0x260000ff,0xf9002fff,
    0x86ffe8df,0x7fd44ffd,0xff500dff,0x7fcc001f,0xf980002f,0xff8002ff,
    0x1fffb04f,0x0fffc400,0xfff88000,0xf8800001,0x3ff203ff,0xffffffff,
    0x9fff5fff,0x7ffff440,0x5fff3002,0x00fffea0,0x02fff980,0xfa8dff90,
    0x27fec2ff,0x17ffffcc,0x20037ff4,0x0002fff9,0x002fff98,0xa817ffcc,
    0x32003fff,0x400006ff,0x00005ffd,0x903fff88,0x99ddffff,0x2bfff999,
    0xfd804fff,0xfc800fff,0x3ffe207f,0x3fe60005,0xdff9002f,0xfd8dffd0,
    0xfffd304f,0x3fff23df,0x7ffcc002,0xff980002,0x7fe4002f,0x17ffe207,
    0x002fff80,0x07ffcc00,0x3fe20000,0xefffb83f,0xfafff401,0xffb004ff,
    0xbfff007f,0x00fffe80,0x05fff300,0x2e1bff20,0x3ff61fff,0x7fffdc04,
    0x004fffef,0x002fff98,0x02fff980,0x202fffc0,0xa800fffe,0x000007ff,
    0x00007ffd,0xe83fff88,0xfe800fff,0x009fff5f,0x3017ffe2,0xfb805fff,
    0xf30003ff,0x3f2005ff,0x4bfff06f,0xd8804ffd,0x03ffffff,0x05fff300,
    0x5fff3000,0x17ffcc00,0x00fffee0,0x0000fffa,0x003ffdc0,0x0fffe200,
    0x74013ffe,0x09fff5ff,0x2037fec0,0x9999fffc,0xfffa9999,0xfff30005,
    0x1bff2005,0xfd8fffdc,0x3faa004f,0x30000fff,0x00005fff,0x4005fff3,
    0x9999fffc,0xfffa9999,0x07ffcc05,0xfff00000,0x7cc00005,0x7ffcc2ff,
    0x5fff9803,0x74009fff,0x7ffc05ff,0xffffffff,0x00ffffff,0x02fff980,
    0x220dff90,0x9ffb4fff,0xbfffb000,0x3ffe6000,0xff980002,0x3ffe002f,
    0xffffffff,0x00ffffff,0x00017ff6,0x00dff900,0x07ffd400,0x9017ffe2,
    0x3febffff,0xffd8804f,0x3ffe603f,0xffffffff,0x02ffffff,0x02fff980,
    0x640dff90,0x4ffd8fff,0x1fffd000,0x5fff3000,0xfff30000,0x3ffe6005,
    0xffffffff,0x02ffffff,0x0003fff1,0x1fff8800,0xfff70000,0x20bfffe0,
    0x5fffffe9,0xeef89fff,0x05ffffee,0x7fffffe4,0xffffffff,0x98005fff,
    0xf9002fff,0x7ffc40df,0x0004ffdb,0x0003fff7,0x0005fff3,0x005fff30,
    0x3ffffff2,0xffffffff,0xff705fff,0x2000000d,0x00c04ffd,0xb837ffc4,
    0xfdceffff,0x5ffdefff,0xfff89fff,0x00dfffff,0x4ccefffc,0x99999999,
    0x4000fffe,0x9002fff9,0xffd80dff,0x0004ffdf,0x2000fff9,0x0002fff9,
    0x002fff98,0x3333bfff,0xd3333333,0xfff01fff,0x20000007,0xf100fffa,
    0x3ff6201b,0x3fff601f,0x74ffffff,0x13ffebff,0x5bffffff,0x07fff300,
    0x02fffb80,0x017ffcc0,0x4c06ffc8,0x24ffffff,0xbfff3000,0x3ffe6000,
    0xff980002,0xfff9802f,0x7ffdc003,0x007ffd42,0xffd00000,0x37fffa07,
    0xffffcaac,0xffffa805,0x3fee1dff,0x00333005,0x001fff90,0x105fff98,
    0xff733333,0x1333337f,0xd806ffc8,0x2e4fffff,0xaa99abcf,0x401ffffd,
    0xfb999998,0x99999bff,0x99999880,0x999bfffb,0x3fff2099,0x7ffcc000,
    0x0027fec5,0x3fee0000,0xffffd886,0xefffffff,0x02a62000,0x40000000,
    0xd0006fff,0xff701fff,0xffffffff,0xc89fffff,0xff9806ff,0x3fee4fff,
    0xffffffff,0xffb801ff,0xffffffff,0xb84fffff,0xffffffff,0x4fffffff,
    0x4001bffe,0xff30fffe,0x0000003f,0x502fff88,0xfffffffd,0x0000007f,
    0xf3000000,0x320007ff,0xffb82fff,0xffffffff,0x644fffff,0xffd006ff,
    0x7ffdc9ff,0xcfffffff,0xffff7001,0xffffffff,0xff709fff,0xffffffff,
    0x269fffff,0x90003fff,0x2aa65fff,0x00000002,0xa9803555,0x000abcdc,
    0x00000000,0x01fff900,0x17ffe600,0x3fffffee,0xffffffff,0x037fe44f,
    0x24ffffa8,0xceedcb98,0x7dc000ac,0xffffffff,0x84ffffff,0xfffffffb,
    0xffffffff,0x001fff94,0x017ffe60,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x400000c4,0x01ffffd8,0x7ffec400,0xd880001f,
    0x01bb301d,0x3ffe6000,0x3ea000df,0x950003ff,0x071039df,0x2603bb10,
    0x980000dd,0x000dffff,0xf5000006,0xa80007ff,0x3aa003ee,0x8801efff,
    0x3ee02fff,0x80001fff,0x001ffffb,0x207fff40,0x0007fff8,0x04ffff88,
    0x7ffffd40,0x7ffdc003,0xfd10cfff,0x0fffe807,0x003fffc4,0x13fffe20,
    0x02fff980,0xffffa800,0xff30003f,0xff9005ff,0x805fffff,0xe9805ffd,
    0x80001fff,0x001fffe9,0x85ffff10,0x001ffff9,0x0bfffe20,0xfbfff500,
    0x3ea007ff,0xfffffeff,0x2203fffe,0x7cc2ffff,0x10001fff,0x8005ffff,
    0x000fffff,0x3f7ffea0,0xfc8003ff,0x7cc05fff,0x6ffebbff,0x003ffea0,
    0x00fffec4,0x7ffec400,0xfffd0001,0x07fff881,0x3bffe200,0x7ffd4000,
    0x007fff52,0x7fe41df5,0xe804ffff,0x7fc40fff,0xff10007f,0xf98001df,
    0x0001ffff,0x3ea5fff5,0x7dc003ff,0x7f404fff,0x417ff42f,0x8002ffe8,
    0x0001fffb,0x003fff70,0x2603b910,0xf10000dd,0xf50009ff,0xfff983ff,
    0xc880a803,0x91002dfe,0x0376603b,0x13ffe200,0x7fffc400,0xffa8000f,
    0x1fffcc1f,0x03bffa00,0xff90fff0,0x00bff907,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3ffee000,0x00000003,0x1002aa00,
    0xbff50dff,0x000fff98,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x002a2000,0x00000000,0x43ffc400,0x7ff44ffa,0x00000003,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0fff8000,0xff91ffdc,0x6dcc000d,0x8001bcee,0xdefeecb9,0xb730002c,
    0x000379dd,0xbdfdd973,0xcb980059,0x02cdefee,0x7f765cc0,0x4c002cde,
    0xcdefeecb,0xdb730002,0x0000379d,0x36e60000,0x0001bcee,0xfd007dd5,
    0x8fffc49f,0x8001fff9,0xffffffe8,0xff5004ff,0xffffffff,0x3a2003df,
    0xffffffff,0xffff5004,0xdfffffff,0xffffa803,0xefffffff,0x7fffd401,
    0xefffffff,0x7fffd401,0xefffffff,0xfffd1001,0x409fffff,0xcccccccb,
    0x3a20003c,0xffffffff,0x4ffb8004,0xdffffa80,0x3ffa4fff,0xfff98003,
    0xffffffff,0x7ffe401e,0xffffffff,0x7fcc00ff,0xffffffff,0x7fe401ef,
    0xffffffff,0x3f200fff,0xffffffff,0x3200ffff,0xffffffff,0x200fffff,
    0xfffffffc,0x00ffffff,0x7fffffcc,0x81efffff,0xfffffffd,0xff30006f,
    0xffffffff,0x7e4003df,0xfff9004f,0x3ee1bfff,0xff98006f,0xfb310aff,
    0xffc80dff,0xeb9899ac,0x3e606fff,0xb310afff,0xfc80dfff,0xb9899acf,
    0x3206fffe,0x9899acff,0x206fffeb,0x899acffc,0x06fffeb9,0x266b3ff2,
    0x6fffeb98,0x2bfffe60,0xdfffb310,0xffffffb0,0xf3000dff,0x26215fff,
    0x2006fffd,0x2a004ffc,0x3e63dfed,0xfe8001ff,0x3ff200ef,0x4006602f,
    0xfd01fffe,0x7fe401df,0x4006602f,0x3301fffe,0x07fffa00,0xffe800cc,
    0x2003301f,0xfd01fffe,0x7fe401df,0x5555542f,0x8006ffea,0x3200effe,
    0xf9002fff,0x740000bf,0xfa8004ff,0xffe801ff,0xff700007,0x3fff507f,
    0x00fffd00,0x0fffee00,0x3ffee000,0xffb80003,0xfb80003f,0xfffa83ff,
    0x07ffe801,0x800dffb0,0xe801fffa,0x2ea207ff,0x00005ffe,0x2000dff7,
    0xf5005ffe,0x100003ff,0xffd09fff,0x3ffea00b,0xff880001,0xf880004f,
    0x880004ff,0x80004fff,0xfe84fff8,0xfff5005f,0x0dffb003,0x005ffe80,
    0xc883fff5,0x05ffffff,0x1fff8800,0x3fff8800,0x05fff300,0x17ffa000,
    0x2007fff1,0x0002fff9,0x000bffd0,0x0017ffa0,0x002fff40,0x445ffe80,
    0xf3003fff,0xffb005ff,0x7ffc400d,0x5fff3003,0x7fffffc4,0xd80005ff,
    0xf30004ff,0x3e2003ff,0xd00003ff,0xfff98bff,0x7fff1001,0x3ffa0000,
    0xffd00005,0x3fa0000b,0xfd00005f,0x1fff98bf,0x07fff100,0x400dffb0,
    0x1001fff9,0x7fec7fff,0x00999aef,0x077fd400,0xefffa800,0xeeeeeeee,
    0x404fffee,0xffffedb8,0x545fffff,0xeeeeefff,0xffeeeeee,0x76dc404f,
    0xffffffff,0x76dc405f,0xffffffff,0x76dc405f,0xffffffff,0x76dc405f,
    0xffffffff,0x77ffd45f,0xeeeeeeee,0x804fffee,0x2a006ffd,0xeeeeefff,
    0xffeeeeee,0x0bfff54f,0xfff10000,0x16f76d45,0xffffff70,0xffffffff,
    0x7e409fff,0xffffffff,0x7dc5ffff,0xffffffff,0xffffffff,0x3ffff204,
    0xffffffff,0x3fff205f,0xffffffff,0x3ff205ff,0xffffffff,0x3f205fff,
    0xffffffff,0x7dc5ffff,0xffffffff,0xffffffff,0x06ffd804,0x3ffffee0,
    0xffffffff,0xff74ffff,0xb000003f,0x7ffecbff,0xff704fff,0xdddddddf,
    0x7ddddddd,0x3bffff20,0xffccccce,0x77ffdc5f,0xeeeeeeee,0x903eeeee,
    0x99ddffff,0x0bfff999,0x3bbffff2,0xfffccccc,0xdffff905,0xff99999d,
    0x3fff20bf,0xccccceef,0x7fdc5fff,0xeeeeeeef,0x3eeeeeee,0x006ffd80,
    0x3bbbffee,0xeeeeeeee,0xfffb3eee,0xfa800001,0xbfff70ff,0xf505ffff,
    0x400003ff,0x401efffb,0x7fd45ffe,0x2e00001f,0x7401efff,0xfffb85ff,
    0x2fff401e,0x00f7ffdc,0x3ee17ffa,0x7f401eff,0x0fffd45f,0xffb00000,
    0x7ffd400d,0x7fec0001,0x2200000f,0xfff12fff,0x4c37fdc3,0x00002fff,
    0x2003fffa,0x7fcc5ffe,0x3a00002f,0xfe800fff,0x0fffe85f,0xe85ffe80,
    0xfe800fff,0x0fffe85f,0x4c5ffe80,0x00002fff,0x801bff60,0x0002fff9,
    0x0017ffe4,0x54bff900,0x7ffc44ff,0x027ffc40,0x09fff000,0xf117ffa0,
    0x400009ff,0xfd004fff,0x09fff0bf,0x3e17ffa0,0xffd004ff,0x009fff0b,
    0xff117ffa,0x4000009f,0x22006ffd,0x40004fff,0x0004fffb,0x5c1fff50,
    0x1ffe82ff,0x000fffe8,0x03fff980,0xe85fff98,0x80000fff,0x9803fff9,
    0x7fcc5fff,0xfff9803f,0x01fffcc5,0x262fffcc,0xf9803fff,0xfffe85ff,
    0xfb000000,0xffe800df,0x7fc0000f,0x440002ff,0x7fe42ffe,0xa81ffd83,
    0x80005fff,0x6405fff8,0xfa85ffff,0x880005ff,0x7e405fff,0x7fc45fff,
    0x7ffe405f,0x2fffc45f,0x17ffff20,0xc80bfff1,0xfa85ffff,0x000005ff,
    0xa800dffb,0x40005fff,0x002ffffb,0x2e17ff20,0x0ffe85ff,0x05dfffd0,
    0x3ffe0330,0xfffe982f,0xfffd05ff,0x2033005d,0xe982ffff,0xf85fffff,
    0xfe982fff,0xff85ffff,0xffe982ff,0xfff85fff,0xfffe982f,0xfffd05ff,
    0x0033005d,0x2001bff6,0x802efffe,0xffffc819,0x3e6000be,0x7ffa80ff,
    0xf3037fcc,0x99dfffff,0x209ffdb9,0xdceffffb,0xffdeffff,0xfffff305,
    0xfdb999df,0x3ffee09f,0xffffdcef,0xfb85ffde,0xffdcefff,0x85ffdeff,
    0xdceffffb,0xffdeffff,0xeffffb85,0xdeffffdc,0xfff305ff,0xb999dfff,
    0x36009ffd,0xf98006ff,0xccefffff,0x904ffedc,0xdfffffff,0x03ffe809,
    0x3eeffffa,0x7ec402ff,0xffffffff,0x3f604fff,0xffffffff,0x440bff74,
    0xfffffffd,0x204fffff,0xfffffffd,0x0bff74ff,0x3ffffff6,0xbff74fff,
    0x3fffff60,0xff74ffff,0x3ffff60b,0xf74fffff,0x7fec40bf,0xffffffff,
    0x3ffee4ff,0xffffffff,0x4407ffff,0xfffffffd,0x204fffff,0xfffffffa,
    0x01bff206,0xfffffff5,0x7f6d400b,0xceffffff,0x7fffd401,0x3fee1dff,
    0xffeda805,0x1cefffff,0x7ffffd40,0x17fee1df,0xffffffa8,0x817fee1d,
    0xdffffffa,0xa817fee1,0x1dffffff,0x2a017fee,0xffffffed,0x3fee1cef,
    0xffffffff,0x007fffff,0xfffffdb5,0x50039dff,0x20dffffb,0x9801fff9,
    0x003ffffe,0x04cd54c0,0x0054c400,0x9aa98000,0xa9880009,0x53100000,
    0x26200001,0x3100000a,0x20000015,0x70099aa9,0xffffffff,0xffffffff,
    0x26aa6000,0x26200009,0x8800002a,0x00000009,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3f2a0000,
    0x003881ce,0x6cc07762,0xd971000d,0x99999bdf,0x01310399,0x7fcc0000,
    0x440001ff,0x80000019,0x400009a9,0x01ffffd8,0x3e600000,0x0000dfff,
    0x88000cc0,0x70000019,0x19ffffff,0x7400ffa2,0x7fc40fff,0x7fe4407f,
    0xffffffff,0x7fc2ffff,0x1001dfff,0x7d405fff,0xd9730fff,0x7ffecc09,
    0x5fff1001,0x7fffec40,0x5c0002ef,0x0001ffff,0xffff8800,0xdb500004,
    0x07dfffff,0x01fffd98,0x205fff10,0xfffefffa,0x03fffeff,0x42ffff88,
    0x201ffff9,0xfeeffffe,0xffffffff,0x7fffffc2,0x0bffb005,0xffffff90,
    0xf9109fff,0x2003ffff,0x3ee05ffd,0xffffffff,0x7f4c0004,0x000001ff,
    0x00bfffe2,0x3fffa600,0x04ffffff,0x3fffff91,0x817ff600,0x3ff20efa,
    0x2004ffff,0x7c40fffe,0x3ff207ff,0x7ff540df,0x4d40aacf,0x401fffc9,
    0x7500fffa,0xfffffffb,0xff989fff,0x801fffff,0xf300fffa,0xfffbdfff,
    0x880005ff,0x0001fffd,0x0efff880,0xfff88000,0xfffeefff,0xfffff984,
    0xffa801ff,0x4405400f,0x4002dfec,0xbb301dc8,0x17ffe601,0x005fff88,
    0x4401fff1,0x3fe02ffe,0xefffffff,0x3dff00ab,0xe8803fff,0x3ffa02ff,
    0x3fffd41f,0xfffb8000,0x3e200001,0x200004ff,0x880dfffc,0xf3dff009,
    0xfe8803ff,0x0000002f,0xf7000000,0xffc801ff,0x3faea607,0x2ffe405f,
    0x33bfffe0,0x5400efff,0x9007ffe2,0x7fc40bff,0x1fffb03f,0x00000000,
    0x20000000,0x0006fff8,0x01fff8aa,0x0002ffe4,0x00000000,0x500dff90,
    0x3ee03fff,0x2601ffff,0x5ec00fff,0x027ffe41,0x9807ffe0,0x3ea00fff,
    0xfff501ff,0x00000003,0x00000000,0x0007ffea,0x201fff80,0x0000fff9,
    0x00000000,0x201bff60,0xd501fffa,0x207ffffd,0x40003ffe,0x2001fffe,
    0x3fa01fff,0x7ffdc03f,0x01fff501,0x00000000,0x2e000000,0x00000fff,
    0xfe807ffe,0xba88003f,0x001bceed,0x5c00f32a,0x3ffec3cc,0x803ffdc0,
    0xfc86ffe8,0xba88006f,0x00efffed,0x3203fff0,0xff9806ff,0x0fff903f,
    0xedba8800,0x20001bce,0xbceedba8,0x7fe40001,0x7fc00007,0x0dff901f,
    0xfffff500,0x001bffff,0x3600dffb,0x7ffd46ff,0x1bffe203,0x4c7ffd80,
    0x22001fff,0xfffffffe,0xfff003ff,0x03fff303,0x30bfff10,0x40009fff,
    0xfffffffa,0x54000dff,0xffffffff,0xfb0000df,0xf80000df,0xfff981ff,
    0x7ffe4001,0xffffffff,0x37fec02f,0xe86ffd80,0xfd882fff,0x979102ff,
    0xfe89fffb,0x3fe6003f,0xffffffff,0xfff800ff,0x003ffe81,0xf98bfffa,
    0x90000eff,0xffffffff,0x2005ffff,0xfffffffc,0x002fffff,0x0006ffd8,
    0x740fffc0,0x7ec003ff,0xb98abeff,0x200ffffe,0xfb006ffd,0xffff50df,
    0xffffb79d,0x7fffcc09,0x37fdc6ff,0xbffff500,0xfff95337,0x83fff009,
    0x4c006ffb,0xffc9ffff,0xfb0001ff,0x73157dff,0x801ffffd,0x8abefffd,
    0x0ffffeb9,0x037fec00,0x07ffe000,0x9800dff7,0x3600efff,0x3f604fff,
    0xdffb006f,0xffffffb0,0x809fffff,0x42deffe9,0x2001fff9,0x3a02ffff,
    0x66400fff,0x07ffe60c,0x3ffff200,0x0000efff,0x401dfff3,0x2604fffd,
    0x3600efff,0xcc984fff,0xfffecccc,0xcccccccc,0x83332003,0x4001fff9,
    0xfd006ffe,0x3ff603ff,0x8dffb006,0xffebeffb,0x0000deff,0x8013ffa0,
    0x5401fffb,0xd0003fff,0x220009ff,0x03ffffff,0x037ff400,0xd01fffe8,
    0x3fa00dff,0x7ffd41ff,0xffffffff,0x6fffffff,0x4ffe8000,0x1fffd400,
    0x04fffa80,0x3600dffb,0x17ff46ff,0x40000066,0x22006ffb,0xff005fff,
    0xff7000df,0x3f62000d,0x0003ffff,0x801fffd4,0xfa84fffa,0xff5003ff,
    0xffffa89f,0xffffffff,0x06ffffff,0x037fdc00,0x003ffe40,0x7ec17ffa,
    0xdffb006f,0x000fffc4,0xfff88000,0x3ffea001,0x1fff9001,0x0fffc400,
    0x7fff4400,0xfd81ffff,0x1fff207f,0x90bffd00,0xfe800fff,0x5555445f,
    0xaafffeaa,0x02aaaaaa,0x07ffe200,0x017ff600,0x360dffb0,0xffb006ff,
    0x02fffccd,0xffd80000,0x3ffdc004,0x05fff500,0x0027fec0,0x65ffff44,
    0x7f40ffff,0x17ff606f,0xb0dffb00,0xfd800bff,0x3ff6006f,0x6c000006,
    0xfd0004ff,0xffc8009f,0x00dffb07,0xfff1bff6,0x59999bff,0x54000135,
    0x6c000eff,0x3e6006ff,0xff5003ff,0xff90001d,0x37fff45f,0xfe817ffe,
    0x7fe4004f,0x004ffe87,0xb003ffe4,0x00000dff,0x00077fd4,0x4004fff8,
    0xfd80fffb,0xdffb006f,0xffffffa8,0xefffffff,0x7ffc4002,0x066665c2,
    0x88017ffa,0xf8804fff,0x6665c2ff,0x27ffc40c,0x453fffe2,0x3fe04fff,
    0x7fdc004f,0x027ffc0f,0x003ffee0,0x00037fec,0x22fff880,0x203efeda,
    0x5c004fff,0xdffb07ff,0x21bff600,0xfffffffb,0x5fffffff,0x317ff600,
    0xe83fffff,0x3e2005ff,0xffd804ff,0x7ffffcc5,0x40fffdc1,0xf9bffff9,
    0x3ffe03ff,0x3ffdc004,0x20027ffc,0x36007ffb,0x000006ff,0x7fe4bffb,
    0xfd05ffff,0xffc800bf,0x00dffb06,0xff31bff6,0x999975bf,0x09fffffd,
    0xe81fff50,0x6c1fffff,0x3e6006ff,0x7fd403ff,0x7ffff40f,0x03ffe41f,
    0xff9ffff7,0x2fff403f,0x21bff200,0x64005ffe,0x3f6006ff,0xa800006f,
    0x3fee0fff,0xd83fffcc,0x7ec006ff,0x0dffb05f,0xf99bff60,0xfb8805ff,
    0x7fc407ff,0x75ffe42f,0x3ffe41ff,0x05fff500,0x3217ffc4,0x41ffebff,
    0x7e407ffd,0x406fffff,0x6c006ffd,0x6ffd85ff,0x02ffec00,0x000dffb0,
    0x82fff880,0x213ff20b,0x1000fffc,0x3f209fff,0xfff8807f,0x003fff26,
    0x201fffe8,0x7fcc5ffc,0xfb83ffd6,0xff9001ff,0x2ffe401f,0x7ff5bfe6,
    0x007ffec1,0x0ffffffa,0x001fff90,0x3213ffe2,0xf1000fff,0x7ec009ff,
    0x6400006f,0xff9005ff,0x09fff509,0x407fff20,0x2200fffb,0x3fa6fffe,
    0x7fe4005f,0x1fff500f,0xffd1ffe8,0x05fff983,0x206fff88,0x7f40fffa,
    0xb83ffd1f,0x7c402fff,0x5400ffff,0xf9004fff,0xfff503ff,0x3fff2009,
    0x1bff6001,0xfffa8000,0x2fff9800,0x803fffd0,0x2a04fffa,0xfd103fff,
    0x7ffcdfff,0x3fff4006,0x5c2ffe88,0x07ffa4ff,0x900bfff6,0x3a205fff,
    0x27fdc2ff,0xffa83ffd,0x7fec406f,0xffe803ff,0x7ffd401f,0x07fffa04,
    0x009fff50,0x0006ffd8,0x005ffd10,0x4c09fff3,0xb883ffff,0x2200ffff,
    0x74c1ffff,0x366fffff,0xd8803fff,0xff904fff,0xdddfff0b,0x4c1ddfff,
    0xd884ffff,0x3f206fff,0xeefff85f,0x20eefffe,0x442efffe,0xfffffffa,
    0x7fffcc01,0xffffb883,0x3fffe600,0xffffb883,0x37fec000,0x5ffc8000,
    0x04fffb80,0xefffffc8,0x2fffffed,0xeffffc80,0xfbdfffed,0x3fffea6f,
    0xcaa9acde,0xf305ffff,0xffff01ff,0x1fffffff,0xefffffc8,0x0effffed,
    0xf01fff30,0xffffffff,0x7ffc41ff,0xfffeefff,0x0fffffff,0x7ffffe40,
    0xfffffede,0xffffc802,0xffffedef,0xffd8002f,0xff980006,0x7ffe400f,
    0x3ffea002,0xefffffff,0xfffd1000,0x2a9fffff,0x7ffdc6ff,0xffffffff,
    0xfd00dfff,0x3bbba07f,0x0eefffee,0xffffffa8,0x200effff,0xddd03ffe,
    0xddfffddd,0xffffe981,0xd2efffff,0xf500dfff,0xffffffff,0x7d4001df,
    0xffffffff,0xfb0000ef,0xfd0000df,0xfffd807f,0x400ccccd,0xfffffed8,
    0xff90003d,0x7d45dfff,0xfffc986f,0xdfffffff,0x01bff201,0x1007ffa0,
    0xdfffffdb,0x06ffc805,0x401ffe80,0xefffffeb,0x2ffffc43,0x7fff6c40,
    0x10003dff,0xbfffffdb,0xffd80007,0x7fe40006,0xffffe806,0x4000ffff,
    0x200000a9,0x200009a8,0xabccaa98,0x7ffcc009,0x1ffe8001,0x006a6200,
    0x000fffcc,0x1000fff4,0x00000013,0x00000153,0x40000153,0x20006ffd,
    0xe801fff9,0xffffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00dffb00,
    0xfff50000,0x0f32a007,0x54166640,0x76dcc1cc,0x4c4001bd,0xa9aceedb,
    0x7f40004c,0x3e20005f,0xffd8806f,0x654001ff,0x64c002cc,0x9bddb1cc,
    0x37620003,0x001bb301,0x01fffd40,0xd877b620,0x000006ff,0x1fffffd4,
    0x8037fec0,0xffd84fff,0x3fffff23,0xfd8804ff,0xffffffff,0x740005ff,
    0x2e0005ff,0x3ee003ff,0x26001fff,0x6c006fff,0xfffb0fff,0xe8007dff,
    0x7fc40fff,0xff50007f,0x22007fff,0xfb0fffff,0x400000df,0xfffdfffa,
    0x037fec03,0xfd84fff8,0xfffffb4f,0x4c09ffff,0xfffffffe,0x005fffff,
    0x002fff40,0x8001ffd0,0x001fffe9,0x4007fffa,0x3f66fff8,0x1effffff,
    0x2ffff880,0x00ffffcc,0x3f7ffea0,0xffb803ff,0xdffb3fff,0x3ea00000,
    0x7fff52ff,0x8037fec0,0xffd84fff,0x99bfffed,0xa82ffffc,0x89acffff,
    0x05fffdb9,0x02fff400,0x006ff880,0x03fffb10,0x013ffea0,0x5117ffd4,
    0xfffffd95,0x1fffd005,0x007fff88,0xfa97ffd4,0x7fdc03ff,0xdffb4fff,
    0xff500000,0x3fff983f,0x200dffb0,0xffd84fff,0xff505fff,0x3fffd0bf,
    0x005ffe80,0x202fff40,0xfeffdca8,0x7dc0003f,0xfff001ff,0x3fff600f,
    0x7ffecc00,0x0ee4401f,0x2000dd98,0x7cc1fffa,0x3fe603ff,0xdffb2fff,
    0x00000000,0x8037fec0,0xffd84fff,0x7fe404ff,0x07ffee0f,0x0017ffa0,
    0x5c0bffd0,0xffffffff,0x000000ef,0x02fffc80,0x0027ffc4,0x000dfffb,
    0x00000000,0xb27ffdc0,0x00000dff,0x7fec0000,0x09fff006,0x500bfffb,
    0x7ffc7fff,0x0bffd005,0x85ffe800,0xffffffd8,0x02ffffff,0x7cc00000,
    0x7fdc05ff,0x7ff4001f,0x0000002f,0x22000000,0x037fec09,0x00000000,
    0x3e00dffb,0x6ffd84ff,0x4d3ffe00,0xfd002fff,0xfe8000bf,0xefffe85f,
    0xfffff91b,0x0000001f,0x200fffe8,0xa8006ffe,0x00004fff,0x00000000,
    0x4c6ffd80,0x001bdedb,0xceedba88,0x37fec01b,0xd84fff80,0x3fe006ff,
    0x01fff54f,0x1017ffa0,0xf79ddb75,0xfffa8bff,0xffcffe85,0x0f32a06f,
    0x5c1e65c0,0xff103fff,0xff30007f,0xb75100df,0x400379dd,0x97003cca,
    0xffb00079,0x7ffffecb,0x3ea004ff,0xffffffff,0x0dffb00d,0x3613ffe0,
    0x3fa006ff,0x00fff75f,0xc882fff4,0xffffffff,0x7ff45fff,0xfd6ff985,
    0x3ff603ff,0x0dffb006,0x2e0dfff1,0xf0000fff,0xffa80dff,0xdfffffff,
    0x06ffd800,0x000dffb0,0xffb1bffb,0x9fffffff,0xfffff900,0x5fffffff,
    0x200dffb0,0xffd84fff,0x5bff6006,0x3a007ffc,0xffea85ff,0xffffffff,
    0x3ffee5ff,0xf33ffb82,0x3ff609ff,0x0dffb006,0x3a07fff2,0xf10005ff,
    0x7fe40bff,0xffffffff,0x7fec02ff,0x0dffb006,0xfddffb00,0xff9337ff,
    0x7fec05ff,0xeb98abef,0x7ec0ffff,0x9fff006f,0x400dffb0,0xfffb5ffe,
    0x22fff400,0x9acffff9,0x5fffdb99,0x7f41bff2,0x41bffa0f,0xfb006ffd,
    0x3ffe60df,0x017ffcc4,0x03fffb80,0x157dfffb,0x1ffffd73,0x8037fec0,
    0xd8006ffd,0x505fffff,0x3e60bfff,0x3f600eff,0x37fec4ff,0xd84fff80,
    0x3fe006ff,0x00fff93f,0x3fa2fff4,0x7ff401ff,0x2617ff65,0x3ffec6ff,
    0xb006ffd8,0x7ff40dff,0x007ffe47,0x07fffd40,0x0077ffcc,0x6c09fffb,
    0xffb006ff,0xfffb000d,0xfffc809f,0x006ffe80,0x7ec3fffd,0x9fff006f,
    0x200dffb0,0xff72fff8,0x3ffe001f,0x007ffee5,0xffe97ffa,0x643ffb84,
    0xffd80fff,0x0dffb006,0xfd17ffdc,0xddd9009f,0x207fffff,0xfd006ffe,
    0x3ff603ff,0x0dffb006,0x0bfffb00,0xa87fff50,0xf5003fff,0x3ffec9ff,
    0x427ffd40,0xf7006ffd,0x3ffea3ff,0x5fffd801,0x74017ffe,0x0fffe5ff,
    0xff503ffa,0x0dffb01f,0x881bff60,0xfff55fff,0xffffb003,0x3ea07fff,
    0xff5003ff,0x1bff609f,0x5037fec0,0x06ffd859,0xf913ffe0,0xffe800ff,
    0x803fff65,0xd84ffff8,0xffd006ff,0x027ffccd,0x4d7ffff2,0xfd002fff,
    0x227ffcbf,0xffb86ff9,0x00dffb07,0xf901bff6,0x0dffb1ff,0x37ffff60,
    0x1fff200c,0x20bffd00,0xfb006ffd,0x3fffa0df,0x801bff65,0x7fec4fff,
    0x37fec005,0x2207fffb,0xd85ffffe,0xffc806ff,0x07fff41f,0x5fffffb8,
    0x2001fff5,0x3ffe5ffe,0x641ffdc5,0xdffb06ff,0x01bff600,0xfff7fff3,
    0x17ff6007,0x005ffd80,0xfd837fec,0xdffb006f,0x5fffff30,0xe801bff6,
    0x27ff45ff,0xd9fff200,0x7541ffff,0x41fffeff,0xb102fffd,0xff509fff,
    0x7fecc1df,0xff75ffee,0x2fff400f,0xffe8dffd,0xb05ffd80,0x3f600dff,
    0xfffe806f,0xf9000fff,0x7ff4009f,0x3ffe4004,0xb006ffd8,0xfff30dff,
    0x1bff6bff,0x7c6ffe80,0x7dc004ff,0xffffb0ff,0x7fffdddf,0x21dffff3,
    0xdefffffd,0x0efffffd,0xddffffd0,0xffb1dfff,0x801fff2b,0x3ff25ffe,
    0x10dff10f,0x3f609fff,0xdffb006f,0xfffff700,0x27fe400b,0x009fff00,
    0xd80fffb8,0xffb006ff,0xfffff10d,0x801bff6d,0x7ffc5ffe,0x3ffdc004,
    0xfffffffb,0x7fec7fff,0xffffb0ff,0xffffffff,0xfffe8807,0xfb0effff,
    0x01fff6bf,0x3e65ffe8,0x07ff74ff,0x3603fff7,0xffb006ff,0xffff100d,
    0x7fe4003f,0x13ffe004,0x20fff700,0xfb006ffd,0x3ffea0df,0x00dffb7f,
    0x3fa1fffc,0x7fe4005f,0x3ef3ff66,0x6c41efff,0xfffb0fff,0x9dfffffd,
    0x3ff62001,0x3fa0bdff,0x00fff95f,0x3fe2fff4,0x40ffeaff,0x3605fff9,
    0xffb006ff,0x3fff600d,0x27fe4006,0x00bffd00,0xfb06ffc8,0x3ff600df,
    0x5bfff606,0xf1006ffd,0x6ffd85ff,0xb2ffec00,0x004ccbff,0x2dffb04c,
    0x80000998,0xbffd00a8,0x4003ffee,0x7fd45fff,0x7d46ffff,0x3f600fff,
    0xdffb006f,0x0bfff600,0x00133100,0x20037fec,0xffb05ffd,0x1bff600d,
    0xfb4fffb8,0x3fea00df,0x07ffe41f,0x24fff880,0x00005ffd,0x0000dffb,
    0x57ffa000,0xd801fffa,0xffc85fff,0xffdcefff,0x7e403fff,0xfff8807f,
    0x6fff9806,0x32000000,0xf1000fff,0x3ff209ff,0x6fff8807,0x6cbfff20,
    0xfff006ff,0x09fff50d,0xd87fff20,0xb00006ff,0x00000dff,0x4d7ffa00,
    0x7e404fff,0xff705fff,0xffffffff,0xfff7003d,0x7fff4401,0x2fffe806,
    0x2a000000,0xf9004fff,0x3fee03ff,0x3ffa200f,0xbfff306f,0x64037fec,
    0xffd01fff,0xfffa803f,0x0037fec4,0x006ffd80,0xffd00000,0x807fff4b,
    0x05fffffb,0x3fffffea,0x3ea004ef,0xffd103ff,0xffc80dff,0xff70005f,
    0xfffe8007,0x27ffd401,0x207fff50,0x46ffffe8,0x20ffffb8,0xb102fffd,
    0x7cc09fff,0xfb883fff,0x7fec0fff,0xffb00006,0x0000000d,0xffa97ffa,
    0x3ff660ef,0x2e05ffde,0x000aabff,0x83ffff10,0x6fffffe9,0x1dfffb10,
    0xffff5000,0x7ffcc005,0xfffb883f,0x3ffe200f,0x7fff4c1f,0xffffb6ff,
    0xfffd85ff,0xffeddeff,0x7e400dff,0xfedeffff,0xfd82ffff,0xfb00006f,
    0x000000df,0xfd17ffa0,0xfffddfff,0x40bff91d,0x00000ffe,0xdbdffff9,
    0xdff7bfff,0x3fffb332,0xf90001ff,0xc8009fff,0xedefffff,0x802fffff,
    0xedeffffc,0x6ffbdfff,0x019ffffd,0xfffffff9,0x007fffff,0x7fffffd4,
    0xb00effff,0x20000dff,0x00006ffd,0x8bffd000,0xffffffe8,0x0bff70ef,
    0x00017fe2,0xfffffe88,0xdff54fff,0x3ffffff6,0x3ee0001e,0xa8003fff,
    0xffffffff,0xd1000eff,0xffffffff,0x775bfea9,0x6dc401bc,0xcdffffff,
    0xfed88000,0x403dffff,0x00006ffd,0x0000dffb,0x17ffa000,0x37ffff22,
    0x417fee0b,0x00003ffb,0xefffffc8,0x7edbfea2,0x0003ffff,0x006ffe88,
    0x3fffb620,0x90003dff,0x45dfffff,0x00006ffa,0x00000262,0xa98002a6,
    0x5300002a,0x00000055,0x1006aaa0,0x54c00015,0x2000000a,0x950009a8,
    0x00000137,0x98000033,0x2200000a,0x0000009a,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7fffcc00,0xfffd880d,0x0000001f,0x01bffff3,0x039df950,0x00260071,
    0x00002000,0x00000880,0xf5000001,0x000007ff,0x00080000,0x00033000,
    0x3fffe200,0xffffb804,0x44000001,0x7004ffff,0x19ffffff,0xb730ffa2,
    0x7ddfffff,0xffdb5000,0x00019dff,0x3fffb6ea,0xb9801bdf,0x0acefffd,
    0x3ffea000,0x4c0003ff,0xdefffecb,0xecb8800b,0x8002ceff,0xffffedc9,
    0x40001cef,0x002ffff8,0x007fffa6,0x7ffc4000,0xfff5002f,0xfdfffffd,
    0xfffe87ff,0xffffffff,0xfffe9802,0xcfffffff,0xfffd3000,0xffffffff,
    0x7fffdc09,0x01efffff,0xfdfffa80,0xe88003ff,0xffffffff,0x3ea02fff,
    0xffffffff,0xfffb1004,0xffffffff,0x7fc4000b,0xd88000ef,0x00001fff,
    0x0077ffc4,0x7e41df50,0xe84fffff,0xffffffff,0x2602ffff,0xfeffffff,
    0x805fffff,0xfffffffc,0x84ffffff,0xffffffd8,0x02ffffff,0x54bffea0,
    0x2a003fff,0xffffffff,0x702fffff,0xffffffff,0x4c01bfff,0xffffffff,
    0x005fffff,0x009fff10,0x03fff700,0x3ffe2000,0x10150004,0x3605bfd9,
    0x7ed441ac,0xff880fff,0x2e609bff,0xd103fffe,0x379dffff,0x09ff9533,
    0x159dfffd,0x5ffffd73,0x83fff500,0xc803fff9,0x9aceffff,0x82ffca99,
    0x20befffb,0x106fffea,0x135bffff,0x00265ccc,0x00000000,0x00000000,
    0xd8000000,0xffb83fff,0x7ffcc01f,0x7ffffb05,0xff50aa00,0x7fec01df,
    0x0000006f,0x04ffffa8,0xfff88350,0x3fffa00f,0x03fffd81,0x00000000,
    0x00000000,0x00000000,0x4fff8800,0xb006ffd8,0xfff30fff,0xfe80003f,
    0xffd800ff,0x0000002f,0x001ffff4,0x007ffee0,0xff0bfff1,0x000000bf,
    0x00000000,0x00000000,0x7c000000,0x5ffe85ff,0xd0fff900,0x80003fff,
    0x1002fffa,0x0000bfff,0x27ffd400,0x2fff4000,0x20fffc80,0x0003fff9,
    0x801e6540,0x99703ccb,0x07999999,0x99999700,0xa8007999,0x7f6d41cc,
    0xf80001cd,0x7ffd83ff,0xa8dfff00,0x80005fff,0x2000fffe,0x9701fffe,
    0x79999999,0x07fff400,0x3ffea000,0x9fff5002,0x0027ffd4,0x01bff600,
    0xfd837fec,0x6fffffff,0xffffd800,0x4006ffff,0xffd13ffd,0x007fffff,
    0x40fffc40,0x5403fffa,0x7ff44fff,0x7c40001f,0x7dc005ff,0xfffb02ff,
    0x00dfffff,0x0013ffea,0x401fff20,0x225ffffa,0x00007fff,0xd8037fec,
    0xfffb06ff,0x00dfffff,0xffffffb0,0xfd800dff,0xfffff9bf,0x003fffff,
    0x7c0fff90,0xff503fff,0x5fff81ff,0xfff98000,0x7ffcc002,0xfffffb03,
    0x2e00dfff,0x80001fff,0xfc805ffd,0x7f46ffff,0x00000eff,0x3600dffb,
    0x555506ff,0x00dffd55,0xd5555550,0xfd800dff,0x9adfffdf,0x00ffffc9,
    0x017ffdc0,0x23dffff7,0x41ffffc8,0x0004fff8,0x001fffa8,0xa827ffc4,
    0xffeaaaaa,0x1fff9006,0xbffd0000,0x7ffff4c0,0x7ffd47ff,0xd80003ff,
    0xffb006ff,0x6ffd800d,0x3ff60000,0x7ffec006,0xfff903ff,0x75333105,
    0x9003dffd,0xffbfffff,0xff301dff,0xf700007f,0xff0001ff,0xffd800bf,
    0x0fffb006,0x13ffe000,0x5effffdc,0xfffc87ff,0x0000bfff,0x3600dffb,
    0x7ec006ff,0x3600006f,0x7ec006ff,0x3e203fff,0xfffa84ff,0x000effff,
    0x3fffffa6,0x3fea04ff,0xffff502f,0x3f2bffff,0xfff0007f,0x6ffd800d,
    0x00dffd00,0x10fffe00,0x2a7ffffb,0xffa80fff,0x01dfffff,0x8037fec0,
    0x6c006ffd,0x200006ff,0x6c006ffd,0xfe804fff,0xffffa85f,0x003effff,
    0x3fffffea,0xfff901df,0x3fffea03,0xffb5ffff,0x3ffa000f,0x37fec007,
    0x006fff80,0x22fff880,0x21efffe9,0x9101fffa,0xdfffffff,0x1bff6003,
    0x0037fec0,0x0001bff6,0x4006ffd8,0xfb006ffd,0xb99930df,0x1dfffffd,
    0x7fffec40,0x83ffffff,0xf501fffc,0xbfffffff,0x4001fff6,0x6c006ffe,
    0xfff006ff,0xff10000d,0x3fffee5f,0x07ffd40d,0x3fffee20,0xfd804fff,
    0xdffb006f,0x06ffd800,0x1bff6000,0x00dffb00,0x5001bff6,0x260dfffb,
    0xf71effff,0xfa89ffff,0x7f4002ff,0x01fff95f,0x00bfff00,0xd006ffd8,
    0x20000fff,0xfffdbfff,0x1fff703f,0x7ffed400,0x7fec05ff,0x0dffb006,
    0x006ffd80,0x01bff600,0x200dffb0,0xb0006ffd,0xff889fff,0xffd883ff,
    0x3ffe63ff,0xafff4003,0x4001fffb,0x4003fff8,0xfb006ffd,0xd00001ff,
    0x3dffffff,0x003ffe40,0x3ffffe98,0x401bff60,0x6c006ffd,0x200006ff,
    0x6c006ffd,0xffb006ff,0x7ffc000d,0x01fffec6,0x443fffee,0x74004fff,
    0x3fff55ff,0x2fff9800,0x037fec00,0x001fffc8,0xfffffd80,0x37fe400d,
    0x3fff2000,0x01bff607,0x20037fec,0x00006ffd,0xb001bff6,0x3f600dff,
    0x3f60006f,0xbfff10ff,0x8bfff600,0x74006fff,0x7fff55ff,0x1fffb800,
    0x037fec00,0x003fffb8,0x3ffffc80,0x00bffd00,0x01fffd00,0x6c01bff6,
    0x7ec006ff,0x3600006f,0x7ec006ff,0xdffb006f,0x3ffe4000,0x2007fff5,
    0x3fa3fffa,0x3fa002ff,0x0dfff15f,0x00fffe80,0x8037fec0,0x0006fffa,
    0x002fffb8,0x0007fff1,0x205fff70,0xfb006ffd,0xffd800df,0x3f600006,
    0x7fec006f,0x0dffb006,0x737ff400,0x26005fff,0x3fea4fff,0x3ffa005f,
    0x007fff65,0x0027ffcc,0xd0037fec,0x80005fff,0x9004fff9,0x00001fff,
    0x3203fff7,0xff8807ff,0x7fec006f,0x3f600006,0x7fec006f,0x0dffb006,
    0x93ffe600,0x7003fffa,0xffe85fff,0xbffd002f,0x802fffd4,0x8000fffd,
    0x2a006ffd,0x0000efff,0x4007ffec,0x00005ffe,0x7dc0fffb,0x3fa200ff,
    0x7ec006ff,0x3600006f,0x7ec006ff,0xdffb006f,0xfffd1000,0x077ffc43,
    0x207fff40,0x804ffff9,0x7ff45ffe,0x7ffec04f,0xdffb0004,0xffffe800,
    0xf9811002,0x7fec05ff,0xfa80001f,0x3fea06ff,0xfffd103f,0xffd800df,
    0x3f600006,0x7fec006f,0x2dffb006,0xfffc8800,0xefffe82f,0xbfffd302,
    0x3bffff60,0x7ff4c09b,0x6ffffd45,0xfffb510a,0x3f60001f,0x7fd4006f,
    0x221adfff,0xfe82fda9,0x7ecc0dff,0x9bdd85ff,0x3fff6600,0x3ffe201f,
    0x7fff4c1f,0x7ec006ff,0x3600006f,0x7ec006ff,0xdffb006f,0x3bbbbff2,
    0x4ffffffe,0xffffff10,0xffffddbd,0x7ffe401d,0xffeeffff,0xffb85fff,
    0xfffeffff,0x20001eff,0xa8006ffd,0xffffffff,0x82ffffff,0xdeffffe8,
    0xb05fffff,0xddffffff,0x5fffffff,0xdffff900,0xf7bfffdb,0xffff70df,
    0xffffffff,0x3ee0ffff,0xffffffff,0x07ffffff,0x3600dffb,0xffff96ff,
    0xbfffffff,0xfffe9803,0xffffffff,0xffe9800d,0xffffffff,0xfff504ff,
    0xbfffffff,0xffff7001,0xffffffff,0xd880ffff,0xffffffff,0xb102ffff,
    0xffffffff,0x7ffec09f,0xffffffff,0xd1002eff,0xffffffff,0x2e1bfea9,
    0xffffffff,0x7fffffff,0xffffff70,0xffffffff,0x1bff60ff,0xfcb7fec0,
    0xefffffff,0x7f54001d,0x1dffffff,0xffedb800,0x01ceffff,0x7fffee44,
    0x3ee003df,0xffffffff,0x07ffffff,0xffffd950,0x700159bf,0x59dffffb,
    0xfffeda80,0x2dffffff,0xffff9000,0x37fd45df,0x7fffffdc,0xffffffff,
    0xffff707f,0xffffffff,0x3f60ffff,0xdffb006f,0x04d54cc4,0x35310000,
    0xa9800001,0x54c00019,0xfff70000,0xffffffff,0x000fffff,0x20000262,
    0x260000a9,0x00019aa9,0x0004d440,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x0001fff9,0x00037fec,0x3f600000,0x6fffffff,0x03bb1000,
    0x3b203766,0x7764005e,0x3bbbbb65,0x5eeeeeee,0x36001000,0xeeeeeeee,
    0x003eeeee,0x26200002,0x0aceeecb,0x40000400,0xbdffedb9,0x1fff9801,
    0x37fec000,0x76540000,0x7ffec004,0x006fffff,0x881fffd0,0xffd87fff,
    0x37fec006,0xfffffffd,0x00ffffff,0x3bfffb22,0xffffd02c,0xffffffff,
    0x3b2a209f,0x000cefff,0x7fffffdc,0x2a01ffff,0x0cdfffec,0x3fff6200,
    0x0effffff,0x007ffe60,0x00dffb00,0x09fff000,0xfffffd80,0x88006fff,
    0x7cc2ffff,0x7fec1fff,0x37fec006,0xfffffffd,0x00ffffff,0xfffffff7,
    0xffe83dff,0xffffffff,0xffa84fff,0xffffffff,0xfffe8802,0xffffffff,
    0xffffd881,0x802fffff,0xceffffe9,0x01fffffd,0x0003fff3,0x0006ffd8,
    0x004fff80,0x00dffb00,0x103fffa0,0xffb0ffff,0x6ffd800d,0x2aaaaaaa,
    0x07ffeaaa,0x77ffffec,0x22ffffff,0xaaaadffe,0x41aaaaaa,0xfffffffc,
    0x202fffff,0xacfffff8,0x41feba99,0xeefffffa,0x204fffff,0x301efffa,
    0xf305fffd,0xd80003ff,0x800006ff,0x00004fff,0x2000dffb,0xbb301dc8,
    0x00dffb01,0x8006ffd8,0x3ea07ffd,0x2a20afff,0x1fff45fe,0xefffc800,
    0xfffd511b,0x3fff601f,0xf104c00e,0xff307fff,0xfff105ff,0xfffb001b,
    0x01fff981,0x037fec00,0x27ffc000,0x6ffd8000,0x20000000,0x6c006ffd,
    0xfd8006ff,0xffff107f,0xffe83801,0x9fd10003,0x84fffd80,0x0005fffa,
    0x4403fffb,0xffc86ffe,0x2ffec005,0x0007ffe6,0x000dffb0,0x009fff00,
    0x01bff600,0xfd800000,0x7fec006f,0x7ffd8006,0x005fff50,0x000fffa0,
    0xff880288,0x0ffff86f,0x3fff9800,0x22fffa80,0x3100fff8,0x4c1fff10,
    0x40001fff,0x20006ffd,0xffccccca,0xccccccef,0xffd803cc,0x00000006,
    0xb001bff6,0xfb000dff,0x3ffee0ff,0x7ffd0000,0x3a000000,0x7ffc47ff,
    0xfff70004,0x9bffe001,0xfeb84ffc,0x3ff23eff,0x007ffe65,0xfd8f332e,
    0x6ff6d46f,0xffffd81c,0xffffffff,0x806fffff,0xb8006ffd,0xcccccccc,
    0x06ffd803,0x0037fec0,0xfc83ffec,0x3fa0007f,0x0000003f,0x7d41fff9,
    0xfb0002ff,0x7fe400ff,0xe883ffe7,0x25ffffff,0xff30fff8,0xfffb803f,
    0x45bff61f,0xfffffffe,0x7ffffec3,0xffffffff,0xd806ffff,0xfd8006ff,
    0x6fffffff,0x006ffd80,0x40037fec,0xffd07ffd,0x7ff4000d,0x90000003,
    0x7fdc1fff,0xffd0000f,0x7ffdc00d,0x7e46ff88,0x45cabeff,0xfff31ffd,
    0x7fffdc03,0x7ceffec1,0xffffffff,0x2aaaa63f,0xaaadfffa,0x802aaaaa,
    0xd8006ffd,0xffffffff,0x06ffd806,0x0037fec0,0xfe83ffec,0x3fa0006f,
    0x000099cf,0xb1fff600,0x74000fff,0x3ea007ff,0x25ff99ff,0xc802fff9,
    0x3fff32ff,0x07fffee0,0x3fffbff6,0xfffc99ae,0x04fff807,0x0dffb000,
    0x55555500,0xfb00dffd,0xffd800df,0x7ffd8006,0x000dffd0,0x7ffffff4,
    0x0000bdff,0x6c5fff88,0x320007ff,0xf3000fff,0x49ff75ff,0xf7006ffb,
    0x07ffe67f,0x407fffee,0x04fffffd,0xf805fff9,0xb00004ff,0x40000dff,
    0xfd806ffd,0x7fec006f,0x7ffd8006,0x000dffd0,0x7ffffff4,0x00dfffff,
    0x0bffee00,0x0003fff9,0x400fffee,0xffcbfff9,0x4013ff63,0xfff34ffa,
    0x0ffffb83,0x0fffff60,0x404fff88,0x00004fff,0x0000dffb,0x6c037fec,
    0x7ec006ff,0xffd8006f,0xfffddd17,0xdddddddf,0x3bbb609d,0xfffffffe,
    0xf98000ef,0xfffb86ff,0xfff10002,0xffe9803f,0x3a2ffdbf,0xff3002ff,
    0xa87ffe6b,0x6c00efff,0xfe804fff,0x27ffc05f,0x6ffd8000,0x3ff60000,
    0x06ffd806,0x0037fec0,0xff8bffec,0xffffffff,0x005fffff,0xffffda88,
    0xfffe8005,0x04fffa81,0x3fffee00,0xfeca99ad,0xffcbffff,0x400bff62,
    0xfff35ff9,0x03bffea3,0x401bff60,0x7fc06ffd,0xfb00004f,0x6c0000df,
    0xffd806ff,0x37fec006,0x8bffec00,0xffffffff,0x5fffffff,0x7ffcc000,
    0x3ff6001f,0x3fffa03f,0x3ff60001,0xffffffff,0xfbafffff,0x00fff23f,
    0xff9a7fd4,0x0efffa9f,0x00dffb00,0xff01bff6,0x3600009f,0x200006ff,
    0xfd806ffd,0x7fec006f,0x7ffd8006,0x3bffa666,0x99999999,0xffa80000,
    0xfffb003f,0xefffb80b,0x3fea0000,0xcfffffff,0xffa9fffa,0x401bfee4,
    0xfff32ffc,0x001dfff9,0xd8037fec,0x7ffc06ff,0xffb00004,0x7ec0000d,
    0x6ffd806f,0x037fec00,0xe83ffec0,0x000006ff,0x00bfff10,0x100bfff9,
    0x017fffff,0x26203b51,0x2a1accca,0x5ff98fff,0x273fffe2,0x8ffec4b9,
    0xfffbfff9,0x3ff6001f,0x0dffb006,0x0004fff8,0x000dffb0,0x4037fec0,
    0x74007ffd,0xfd8005ff,0x0dffd07f,0x7f400000,0x7ffe407f,0x3ffa2005,
    0xffeeffff,0x640001ff,0x1fff16ff,0x7fffffdc,0x987ff45f,0xfffa9fff,
    0xdffb000f,0x01bff600,0x00009fff,0x0001bff6,0xc806ffd8,0x7fc007ff,
    0xffe8004f,0x00dffd06,0x7ffc0000,0x1bfff205,0x3fffa200,0xffffffff,
    0x7ff40001,0xf513ff64,0x549fffff,0x3ffe66ff,0x01dfff71,0x200dffb0,
    0x7fc06ffd,0xfb00004f,0x6c0000df,0xffb806ff,0xfff1000f,0xbfff0005,
    0x001bffa0,0x7ffcc000,0x0bfff903,0xfffc9800,0x00bdffff,0x87ffe600,
    0xa980fff9,0x22ffe81a,0x3f21fff9,0x7ec00eff,0xdffb006f,0x005ffe80,
    0x00dffb00,0x037fec00,0x8027ffd4,0x4001fffc,0xfd04fff9,0x000000df,
    0x3207fff6,0x00005fff,0x0027bff2,0x27ffc400,0x20027fec,0x7fcc5ffa,
    0x2fffec1f,0x401bff60,0x7ec06ffd,0xfb00006f,0x6c0000df,0xfff006ff,
    0xfff8801f,0x3f600e65,0xdffd01ff,0xf7000000,0xfff90bff,0xfe80000b,
    0x6c00003f,0xff980fff,0xfff7004f,0x81fff983,0x3605fffe,0xffb006ff,
    0x2fffc80d,0x6ffd8000,0x3ff60000,0xffff5006,0x3fffea05,0x826ffe60,
    0x204fffe9,0x10006ffe,0xfffea801,0x2fffe40e,0x3fe20000,0xb880001f,
    0x3202ffff,0x3200dfff,0xff984fff,0xfffe881f,0x00dffb04,0xf501bff6,
    0x06205fff,0x001bff60,0x006ffd80,0x3bfffffa,0x3fffffed,0x7fffffcc,
    0x00ffffff,0x4001bffa,0xfeeeeffa,0x40ffffff,0xaabffffc,0xaaaaaaaa,
    0x3ffd401a,0x75333300,0x09fffff9,0x9dffff50,0x7ffffd95,0x407ffe60,
    0xd84ffff9,0xffb006ff,0xffffb00d,0x0dfddddf,0x000dffb0,0x0037fec0,
    0xffffff91,0x305fffff,0xffffffff,0xff881bff,0xffffffff,0xffffffff,
    0xffffff53,0x017fffff,0xffffffff,0xffffffff,0x4ffb809f,0xfffff300,
    0x03dfffff,0x7ffffcc0,0x01ffffff,0x9807ffe6,0x7ec3ffff,0xdffb006f,
    0xffffd100,0x2edfffff,0xffffffff,0x7fffffff,0xffffff70,0xffffffff,
    0x7fecc0ff,0x00ceffff,0x3ffffb26,0xfff103df,0xffffffff,0x7fffffff,
    0x3fffffea,0x3e00ceff,0xffffffff,0xffffffff,0x017fec04,0xffffff98,
    0x10002fff,0xbdfffd97,0xfff98017,0x7fffd401,0x401bff62,0x2a006ffd,
    0xfffffffe,0xffffff75,0xffffffff,0x3ffee0ff,0xffffffff,0x1007ffff,
    0x22000353,0xff880099,0xffffffff,0xffffffff,0x26aa6623,0x3fffe000,
    0xffffffff,0x004fffff,0xefff9800,0x00001abc,0x260004c4,0xfb801fff,
    0xdffb2fff,0x01bff600,0x204ccc40,0xfffffffb,0xffffffff,0xfffff707,
    0xffffffff,0x00000fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x51000000,0xc8bddb97,0x100005ee,0x9ddddddd,0x80000357,
    0xeeeeeee8,0x3ae5eeee,0x744003ee,0x3bba24ee,0xeeeeeeee,0xeeeeeeee,
    0xdddddd91,0x2001579b,0xeeeeeeea,0x80002acd,0x6403fffb,0xdeeeeeee,
    0x3b200acc,0xeeeeeeee,0xd31eeeee,0xdddddddd,0xdddddddd,0xea8003dd,
    0x6fffffff,0x00037fec,0xffffff88,0x03ffffff,0xffff7000,0xffffffff,
    0x007fffc4,0x443fff90,0xffffffff,0xffffffff,0xfffb1fff,0xffffffff,
    0xfffb807f,0xffffffff,0xffb8002e,0x7ec03fff,0xffffffff,0xfd81cfff,
    0xffffffff,0xf32fffff,0xffffffff,0xffffffff,0x3ea005ff,0xffffffff,
    0x037fec6f,0xffff8800,0xffffffff,0x740001ef,0xffffffff,0x7fdc7fff,
    0xfff3004f,0x999df88b,0x99999999,0xb1fd9999,0xffffffff,0x03dfffff,
    0x3fffffee,0x4fffffff,0xffffd500,0xffd807ff,0xffffffff,0x7ec1ffff,
    0xffffffff,0xf32fffff,0xffffffff,0xffffffff,0xff5005ff,0x5579dfff,
    0x06ffd855,0x9fff1000,0xffb97533,0x20007fff,0xbfffeff9,0xe8199999,
    0xfd801fff,0x02fc40ff,0x7ec7f200,0xcba999ef,0x83fffffe,0x9999fffb,
    0x2ffffeba,0x3ffffaa0,0x6c03ffff,0xa9999eff,0x0effffdb,0x2aabfff6,
    0xaaaaaaaa,0x55555510,0x559fff95,0x80155555,0x00cffffa,0x3bbfff60,
    0x002bcdee,0x4407fff1,0x000ffffd,0xfffbffd8,0x3ffea002,0x1fffd405,
    0x3bfa2fc4,0x47f200bc,0x74c06ffd,0x7dc0ffff,0x3ff200ff,0xfffe887f,
    0x3fffccff,0x2037fec0,0x363fffe8,0x000007ff,0x0005fff3,0x00f7ffc4,
    0x7ffffec0,0x3effffff,0x01fffc40,0x002fffdc,0x3fe3ffe2,0x7fec002f,
    0x1bffa02f,0x3ffa2fc4,0xfc80cfff,0x200dffb1,0x7dc4fffc,0x7fec00ff,
    0xdfffe81f,0x807fff71,0xf9806ffd,0x1fff64ff,0x7fcc0000,0x3f20002f,
    0xfb0001ff,0xffffffff,0x201dffff,0xd003fff8,0x5c003fff,0x05fff4ff,
    0x06fff880,0x2203fff7,0xfeb9885f,0xfb1fc86f,0x7ff400df,0x03ffee1f,
    0x505fff70,0xfffb83df,0x037fec03,0x3f66fff8,0x3000007f,0x20005fff,
    0x0003fff8,0x2667bff6,0xffffdba9,0x3fff880e,0x0bfff500,0xff8fff40,
    0xffc8002f,0x2fffc43f,0xf700bf10,0xfb1fc89f,0x7fd400df,0x03ffee5f,
    0x207fff50,0x07fff702,0xf006ffd8,0x3ffec9ff,0xff980000,0xff70002f,
    0xffd8000f,0x7fff4c06,0x03fff885,0x401fffa0,0x3ffe6ffa,0xfffd0002,
    0x007ffe41,0x3f200bf1,0xffd8fe47,0x3fff4006,0xb801fff7,0x5c002fff,
    0x7ec03fff,0xfff8806f,0x001fff62,0x17ffcc00,0x05ffd800,0x037fec00,
    0x207fffc4,0x2003fff8,0xd800fffc,0x0bffe3ff,0x9fffd400,0x4403fff8,
    0x3ff5005f,0x6ffd8fe4,0x87ffec00,0x6c00fffb,0x5c000fff,0x7ec03fff,
    0xfffc806f,0x001fff60,0x17ffcc00,0x23fff800,0x401aaa98,0xf5006ffd,
    0xfff885ff,0x3fff2003,0x07ffc401,0x40005fff,0xffd8fffd,0x005f8806,
    0x8fe43ff5,0x64006ffd,0xfff71fff,0x2fffdc01,0x1fffdc00,0x701bff60,
    0xffd8bfff,0xf3000007,0xf10005ff,0xfffb53ff,0xb03dffff,0x3e600dff,
    0xff7554ff,0x405555bf,0x5c02fffb,0x67ffc5ff,0x801aaaaa,0xfffefff9,
    0x005f8801,0x8fe41ffb,0x5c006ffd,0xfff72fff,0xffffb301,0xfff70001,
    0xafffd807,0xfffcaaaa,0x07ffd85f,0xfff30000,0xfff30005,0xffffffff,
    0xfd87ffff,0x3ffe006f,0xfffffff5,0x2a01ffff,0x7fc03fff,0x7ffffc2f,
    0x9004ffff,0x00bfffff,0x266217e2,0x7e43ffdb,0x800dffb1,0xff73fffa,
    0xffffdddf,0x20003dff,0x6c03fffb,0xffffffff,0xfb01efff,0xffffffff,
    0x400bffff,0x8002fff9,0xdffffffa,0xfffecbac,0x01bff62f,0xffa7ffc4,
    0xffffffff,0x9fff300f,0x7c3ffd40,0xffffffff,0xffff1004,0x17e2001f,
    0x0fffffee,0x37fec7f2,0x53ffe600,0xfffffffb,0x000bffff,0x00fffee0,
    0xfffffffb,0x07dfffff,0xfffffffb,0x0bffffff,0x017ffcc0,0x5ffffd40,
    0x3fffee00,0x200dffb0,0x9993fff9,0x9999dfff,0x0fffea01,0xff84ffd8,
    0x2cccccdf,0x0fffee00,0xfa85f880,0x3f900ace,0x5001bff6,0x3fee7fff,
    0xffffffff,0xffb80001,0x7ffec03f,0xfffecccc,0x3f60dfff,0xffffffff,
    0x2005ffff,0x8002fff9,0x9001fffb,0x3ff67fff,0x3fff9006,0x003fff88,
    0x440bffee,0xfff80fff,0x3bbae002,0xeefffeee,0xf884eeee,0xc805fa85,
    0x00dffb1f,0xf72fffb8,0x3faa21ff,0x5c0003ff,0x7ec03fff,0x3fee206f,
    0x1fff65ff,0x7fcc0000,0xffa8002f,0xfff1002f,0x201bff6b,0xf886fff9,
    0x3f2003ff,0xbff902ff,0x800bffe0,0xfffffffc,0xffffffff,0xfa85f885,
    0xfb1fc805,0xffc800df,0x01fff72f,0x0003fffb,0x201fffdc,0xf9806ffd,
    0xfffb1fff,0x3e600000,0xf98002ff,0x3fa002ff,0x80dffb6f,0x881ffffa,
    0x36003fff,0xfff00fff,0x00bffe05,0xffffffc8,0xffffffff,0x985f885f,
    0xb1fc804e,0xfd800dff,0x1fff70ff,0x00dfff10,0x01fffdc0,0x5c01bff6,
    0xfffb4fff,0x3e600000,0xf88002ff,0x3f6003ff,0x55fffb7f,0xfffd9755,
    0x3ffe207f,0xdfff1003,0x333ffea0,0x2fffcccc,0xfff98000,0x017e2002,
    0x3f63f900,0x3fe2006f,0x03ffee6f,0x001fffdc,0x403fffb8,0xf1006ffd,
    0x1fff6bff,0x7fcc0000,0xfff0002f,0xb7ff4009,0xfffffffd,0x02ffffff,
    0x400fffe2,0xfb04fffb,0xffffffff,0x00005fff,0x4005fff3,0x200305f8,
    0x0dffb1fc,0x727ffe40,0x3e201fff,0xf70006ff,0xffd807ff,0xbfff1006,
    0x0001fff6,0x017ffcc0,0x006ffe80,0x7fed3ffe,0xffffffff,0x7fc400cf,
    0xfff8803f,0xffff981f,0xffffffff,0xf980002f,0x3e2002ff,0xc806fd85,
    0x00dffb1f,0xb87fffe2,0x3f200fff,0xfb8002ff,0x7fec03ff,0x7fff3006,
    0x0001fff6,0x017ffcc0,0x01fffb80,0xfb2fffa8,0x59bdddff,0x7ffc4003,
    0x7ffec403,0x33dff904,0xfff33333,0x66654005,0xcdfffdcc,0xf882cccc,
    0x402fff85,0x0dffb1fc,0x89fffb10,0x2200fffb,0xb8006fff,0x7ec03fff,
    0xfff9006f,0x001fff63,0x17ffcc00,0x5fff8800,0x877ff440,0x00006ffd,
    0x4c07fff1,0xf00ffffe,0xfff807ff,0x3fff2002,0xffffffff,0xf885ffff,
    0x400ffd85,0x0dffb1fc,0x0effffa8,0x2007ffdc,0x4002fffd,0x6c03fffb,
    0xffa806ff,0x01fff66f,0x7ffcc000,0x3ff20002,0xffe980df,0x01bff61f,
    0x67ffc400,0xffdca999,0xff501fff,0x2fff801f,0x3ffff200,0xffffffff,
    0x5f885fff,0x3f900130,0x2667bff6,0xffffecb9,0x0fffb81e,0x437ffcc0,
    0xdaaaaaa8,0xaaaadfff,0x30dffb0a,0x3ffffd73,0x0003ffec,0x02fff980,
    0x3fffa200,0xfffeccef,0x037fec4f,0xffff8800,0xffffffff,0x3ffa00ef,
    0xfffff805,0x441fffff,0xffb99999,0x099999bf,0x40005f88,0xffffb1fc,
    0xffffffff,0x3fee01bf,0xfffd800f,0x7ffffd42,0xffffffff,0xfffb3fff,
    0xffffffff,0xffd83fff,0xf3000007,0x880005ff,0xfffffffd,0xffd82fff,
    0xff100006,0xffffffff,0xff9807df,0xffff802f,0x01ffffff,0x005fff30,
    0x77777fc4,0xeeeeeeee,0xfb1ffeee,0xffffffff,0xfb805bff,0xff9800ff,
    0x7fffd46f,0xffffffff,0xffb3ffff,0xffffffff,0xffb019ff,0x2600000f,
    0x00002fff,0xdfffffd7,0x1bff6019,0x7ffc4000,0x1cceefff,0x00dff900,
    0x3ffffffe,0xf3001fff,0x7c4005ff,0xffffffff,0xffffffff,0xffffb1ff,
    0x0179bdff,0x003ffee0,0xf50ffff4,0xffffffff,0x7fffffff,0x3ffffff6,
    0x200bcdef,0x00007ffd,0x005fff30,0x00351000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3bbbaa00,0xeeeeeeee,0x3bae3eee,0x7754003e,0x1dd9003e,
    0x3205dd70,0xdd7005ee,0x1777447d,0xeeeeb800,0xeeeeeeee,0x002eeeee,
    0x007bbbb6,0x7777774c,0xeeeeeeee,0xddd92eee,0x3ba60007,0x3bbbae5e,
    0x47dd9001,0x10002eee,0x3bb61ddd,0xeeeeeeee,0xff71eeee,0xffffffff,
    0x449fffff,0x1001ffff,0x2001ffff,0xffc80ffe,0x00dffb02,0x4c1dfff5,
    0x90003fff,0xffffffff,0xffffffff,0x3fea007f,0xf5003fff,0xffffffff,
    0xffffffff,0x03fffe67,0x8bfff600,0x005ffffc,0x7ffc9ffb,0xfff10003,
    0x3fffffa1,0xffffffff,0xfffff72f,0xffffffff,0xfffb89ff,0x7fffb006,
    0xd83ffc00,0xdffb01ff,0x0ffff880,0x001fffcc,0xffffffc8,0xffffffff,
    0xf9003fff,0x200dffff,0xfffffffa,0xffffffff,0x3fff63ff,0x7ffcc004,
    0x7ffffe45,0x24ffd801,0x30003ffe,0x7fff4fff,0xffffffff,0x33312fff,
    0x37fff733,0xfd013333,0xff9805ff,0x3fe2006f,0x201ffd06,0x3a206ffd,
    0xff981fff,0x9950003f,0x99999999,0x7fffb999,0x3ffffe00,0xcc9800ff,
    0xcccccccc,0x1ffffccc,0x007fffe2,0x641fffe8,0x805fffff,0x3ffa4ffd,
    0xfff30003,0x4ccf7ff4,0x99999999,0x17ffcc00,0x1ffff300,0x00ffff40,
    0x3e0bff30,0x1bff607f,0x302fffd8,0x00007fff,0x0fffc800,0xfafffa80,
    0x000003ff,0xf909fff9,0x3ea00bff,0xfffc84ff,0x7ec00fff,0x013ff64f,
    0xfd37fd40,0x980000bf,0x64002fff,0xff704fff,0xffa8007f,0x6c0fff05,
    0xfff706ff,0x1fffcc09,0xf1000000,0x3f2009ff,0x00dfff6f,0xdfff3000,
    0x07fffe20,0x203fffa0,0x4ffeeffc,0xfb27fec0,0x3ea0009f,0x017ffa6f,
    0x5fff3000,0xfffe8800,0x037ffc41,0x4427fd40,0x3ff606ff,0x05fff986,
    0x001fffcc,0xfff90000,0x4fffe001,0x0000fffc,0x00ffff40,0xa80dfff7,
    0xff903fff,0x401fff7d,0x3ff24ffd,0xbff50005,0x0002fff4,0x00bffe60,
    0xb1bffea0,0xff003fff,0xffffffff,0xffffffff,0x1bff63ff,0x801dfff1,
    0x0003fff9,0x9fff1000,0x47ffea00,0x0003fff9,0x013fff20,0xe80bfffa,
    0x3ff207ff,0x204fff8e,0x3ff24ffd,0xbff70005,0x0002fff4,0x00bffe60,
    0xa9fffec0,0xff004fff,0xffffffff,0xffffffff,0x1bff63ff,0x3001fffd,
    0x00007fff,0x03fff200,0x3e37fe40,0x300006ff,0x2a00dfff,0xff706fff,
    0xb7fe405f,0xfb00fffc,0x037fdc9f,0x3a4ffb80,0x400005ff,0x0002fff9,
    0xfd1ffff1,0x332001ff,0xccdffecc,0xcceffecc,0x4dffb0cc,0x3001fffc,
    0x00007fff,0x09fff100,0x3627ffc0,0x80000fff,0x2001fffe,0xff83fffd,
    0xb7fe406f,0xfb03fff9,0x837fdc9f,0x9ff905ed,0x0002fff4,0x00bffe60,
    0xfffffb80,0x3a0002ff,0x3ffc80ff,0x7d5bff60,0x3e6003ff,0x000003ff,
    0x000fffc8,0xfa83fff5,0x640003ff,0x4c004fff,0x7fdc7fff,0x37fe401f,
    0x3f60fffd,0x21ffea4f,0xfc81fff8,0x017ffa3f,0x5fff3000,0xfffe8000,
    0x7c0005ff,0x2ffc80ff,0x3e7bff60,0x7cc004ff,0x000003ff,0x002fffc4,
    0xff10fff9,0x7cc000df,0xf90006ff,0x3ffe27ff,0x26ffc805,0xfd82fffa,
    0x21ffe64f,0xfd84fffb,0x2bbffa3f,0xaaaaaaaa,0xfff9802a,0x7fcc0002,
    0x40000fff,0x3ffb07ff,0x7f77fec0,0xff98005f,0x4000003f,0x2001fffc,
    0xffb04fff,0x3fa0001f,0xf10001ff,0x3fff2fff,0x46ffc801,0xffd86ffe,
    0x361ffe64,0xffd86fff,0x3fffffa2,0xffffffff,0x2fff9806,0xfffe8000,
    0x7fc40006,0x401ffd06,0x6ffffffd,0x3fff9800,0x3e200000,0x3e6005ff,
    0xfff502ff,0xfff70007,0xffb80009,0x004fffcf,0xffa8dff9,0x127fec2f,
    0x7fc41fff,0x7ff41fff,0x3fffffa2,0xffffffff,0x2fff9806,0x7ffdc000,
    0x260004ff,0x0fff05ff,0xffceffd8,0x7fcc004f,0x2000003f,0x2001fffb,
    0x3e207ffc,0x7cc005ff,0xd00006ff,0x01ffffff,0x3a1bff20,0x27fec6ff,
    0x7dc1fff1,0x7f44ffef,0x33bffa1f,0xcccccccc,0xfff9803c,0x3fe20002,
    0x001fffff,0x3e0bff50,0xb7fec07f,0x2002fffe,0x0003fff9,0x0bfff100,
    0x405fff80,0x2000fffe,0x0001fffe,0x7fffff50,0x437fe400,0x3f61fffb,
    0xb07ffc4f,0xe8fff5ff,0x17ffa1ff,0xfff30000,0x7fec0005,0x006fffcf,
    0xbff73333,0xdff33333,0xffd83333,0x03ffff16,0x00fffe60,0x7ffdc000,
    0x3ffe6002,0x1fffdc02,0x04fffb80,0x7fff4000,0x37fe4006,0x3f65fff8,
    0x88fffc4f,0x43fff5ff,0x3ffa0fff,0x7cc00005,0xf70002ff,0x3fff69ff,
    0x7fffc403,0xffffffff,0xffffffff,0xfa9bff60,0xf9800eff,0x800003ff,
    0x4006fff8,0x9999fffc,0xfffa9999,0x6fff9805,0xffa80000,0x7fe4003f,
    0x23fff706,0x7ff44ffd,0x3f67ff51,0xfd1ffe4f,0x980000bf,0x88002fff,
    0xff10ffff,0x7fc401ff,0xffffffff,0xffffffff,0x1bff60ff,0x300bfff9,
    0x00007fff,0x005fff70,0xfffffff8,0xffffffff,0x7ff400ff,0x9800001f,
    0x64002fff,0xfff106ff,0xfd13ff69,0x543ff65f,0x8fff17ff,0x00005ffe,
    0x0017ffcc,0x2e1fffec,0x55405fff,0xaacffeaa,0xaadffdaa,0x437fec2a,
    0x4c03fffe,0x00003fff,0x4006fff8,0xfffffff9,0xffffffff,0x3fee02ff,
    0x3000004f,0xc8005fff,0x3ff206ff,0x6c4ffd8f,0x46ff8bff,0x7ff8afff,
    0x0002fff4,0x00bffe60,0x20dfff50,0x2002fffe,0xffc80ffe,0x437fec03,
    0x202ffff8,0x0003fff9,0x017ffdc0,0x3fffff20,0xffffffff,0xf105ffff,
    0x00000dff,0x0017ffcc,0xf881bff2,0x44ffdbff,0x3ffabffd,0x7fc6ffe4,
    0x002fff46,0x0bffe600,0x1ffff880,0x01ffff50,0x3203ffe0,0x7fec02ff,
    0x1ffff506,0x00fffe60,0x0dfff000,0x33bfff00,0x33333333,0xd01fffd3,
    0x00003fff,0x017ffcc0,0xb01bff20,0x89ffbfff,0x0ffdcffc,0x7fcfffcc,
    0x002fff46,0x0bffe600,0x04fffd80,0x802fffec,0x3ffb07ff,0x206ffd80,
    0xf306fffc,0x400007ff,0x4003fffb,0x4003fff9,0x7dc2fffb,0x000004ff,
    0x0017ffcc,0xf301bff2,0xb89fffff,0xf06ffdff,0xe8bff9ff,0x310005ff,
    0xfff73333,0x81333337,0x400ffffa,0x402ffff8,0xffd06ff8,0x06ffd801,
    0x4c27ffec,0x9999cfff,0x01999999,0x4003fffc,0x4000fffc,0x3e25fff9,
    0xaaaabfff,0xaaaaaaaa,0x3ffe6002,0x37fe4002,0x7ffffec0,0x7ffffdc4,
    0xfffff903,0x99effe8b,0x99999999,0xfffff709,0xffffffff,0x7ff449ff,
    0xfff7003f,0x05ff980d,0xffb00fff,0xffff880d,0x7ffffcc3,0xffffffff,
    0xfff701ff,0xdfff0007,0x3fffa000,0xffffffb0,0xffffffff,0x4c00bfff,
    0x64002fff,0xff9806ff,0x7fd44fff,0xff301fff,0xffe89fff,0xffffffff,
    0xff72ffff,0xffffffff,0x649fffff,0x74006fff,0x3ea04fff,0x00fff05f,
    0xf300dffb,0x7fcc3fff,0xffffffff,0xf01fffff,0xf3000fff,0x320007ff,
    0xfffb2fff,0xffffffff,0x0bffffff,0x017ffcc0,0x401bff20,0x544ffffe,
    0x7406ffff,0x7f44ffff,0xffffffff,0xf72fffff,0xffffffff,0x29ffffff,
    0x001ffff9,0x80ffffd4,0xff884ffb,0x06ffd806,0x21dfff70,0xfffffff9,
    0xffffffff,0x03fffb81,0x00fffc80,0x2bfff300,0xfffffffd,0xffffffff,
    0x3e6005ff,0x7e4002ff,0xfff5006f,0xffff989f,0x7fffe403,0x7fffff43,
    0xffffffff,0x0000002f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x776c0000,0x3bb202ee,0x3b60001e,
    0x017bb25e,0x3b29dd90,0xcdeeeeee,0xeeec802b,0x9ddd9004,0x0fffc400,
    0x00019100,0x0e000019,0x9800001c,0x01bceedb,0x5c00f32a,0xfeca83cc,
    0x36e20bce,0x00000bde,0x0fffffee,0x004fffb8,0x6c9fff30,0x7f4007ff,
    0xfffffb6f,0x7fffffff,0x3ffff601,0x7fffc400,0x3ffe2006,0x0bff7001,
    0x003ffc80,0xf917f620,0x2200001d,0xfffffffe,0x0dffb04f,0xf89bff60,
    0xefffffff,0xfffffe88,0xf880000e,0x203fffff,0x0007fff8,0x7ec3fff9,
    0x7ff4007f,0xffffffb6,0xffffffff,0x7ffffb03,0x6ffffb80,0x07ffe200,
    0x01ffff40,0x00efff98,0x3fffe880,0x003dfff7,0xfffff980,0x1effffff,
    0xd8037fec,0x3ffe66ff,0xeeffffff,0x6fffffff,0xfffd8000,0x7f403fff,
    0xff8001ff,0x03ffec6f,0x7edbffa0,0xba9999ef,0x40effffd,0x406ffffe,
    0x007ffffe,0x4007ffe2,0x800ffff8,0x8001fffe,0x645ffff9,0x0002ffff,
    0x215ffff3,0x46fffd98,0xfb006ffd,0x856fccdf,0xdfffffb8,0x003fff70,
    0x7dfffdc0,0x7fdc03ff,0x7fcc004f,0x03ffec4f,0x7edbffa0,0x7fec406f,
    0x7f7ff46f,0xfbff300f,0x7fc400ff,0x3fea001f,0xdfffdadf,0x002fffcb,
    0x03ffffa8,0x007ffff7,0x401dffd0,0x3f62fffc,0xdffb006f,0xfff90044,
    0x04ffd81f,0x39fff100,0xf8807fff,0x7e4006ff,0x3ffec1ff,0x6dbffa00,
    0xfe8806ff,0x2fffe1ff,0x5ff903ff,0x7c400fff,0x7e4001ff,0xffffffff,
    0x8004ffff,0x402ffffc,0x004ffff9,0x2007ffea,0x3ff67ffe,0x0dffb006,
    0x427ffdc0,0xb0007ffa,0x3ffe6dff,0x1fffe803,0x21bffa00,0x74007ffd,
    0x0dffb6ff,0xf8bffea0,0xf06ff9ff,0x01fff1df,0x007ffe20,0x3fffffa0,
    0x06ffffff,0x77ffec40,0xfffd1001,0xbffd001b,0x47ffea00,0xfb006ffd,
    0x7fcc00df,0x07ff982f,0x31fffa80,0xf7007fff,0x3e6007ff,0x7ffd83ff,
    0xdb7ff400,0xff1006ff,0xfebffc9f,0x45ffd41f,0xf1000fff,0xfb0003ff,
    0xf9315bff,0x22001fff,0x000dfffe,0x0f7ffec4,0x007fff10,0x7ecbffe6,
    0xdffb006f,0x81fff800,0x2000fff8,0x3e64fff8,0xff8803ff,0xfff7006f,
    0x00fffb03,0xffb6ffe8,0xafffc00d,0x9ff97ff8,0xff88ffd8,0x3ffffa0f,
    0xffffffff,0x987fffff,0xff705fff,0xfff3009f,0xfc80009f,0xff302fff,
    0x3fe2003f,0x00dffb3f,0xf001bff6,0xfff101ff,0x77fe4003,0x00fffe60,
    0x4007fff4,0xffb06ffe,0x6ffe800f,0x2200dffb,0xfff14fff,0xff89ffe6,
    0xfe87ffe6,0xffffffff,0xffffffff,0x00fffd87,0xf501bffe,0x00007fff,
    0x20ffffea,0xeeeefffa,0xfeeeeeee,0x0dffb4ff,0x221bff60,0xfffffedb,
    0xffffffff,0xff3001ff,0x3fff985f,0x07fff700,0xb03fff88,0xfe800fff,
    0x00dffb6f,0x7c4fffe6,0x5cbffa7f,0x87ffe2ff,0xfffffffe,0xffffffff,
    0x5ffe87ff,0x903ffe40,0x0003ffff,0x4ffff980,0x7fffffdc,0xffffffff,
    0xdffb4fff,0x51bff600,0xffffffff,0xffffffff,0x3a003fff,0xfff984ff,
    0xbfff1003,0x01fffb80,0x5555fffb,0xd5555555,0x1bff6dff,0x98fffec0,
    0x53fee6ff,0x3ffe0ffe,0x3fff1001,0x04fff800,0x6c07ffdc,0x0000efff,
    0xbfffd100,0x7777ffdc,0xeeeeeeee,0xdffb3eee,0x99bff600,0xcccdffff,
    0xcccccfff,0xc800cccc,0xff980fff,0x3ffa003f,0x1bff600f,0xffffffd8,
    0xffffffff,0xdffb6fff,0x49fff700,0x3fe26ff9,0x7fc5ff9f,0xfff1002f,
    0x7ffc4003,0x0fffdc03,0x01ffffd4,0xfffa8000,0x07ffea3f,0x0dffb000,
    0xfe9bff60,0x0fff80ef,0xfff98000,0x07fff302,0x817ffdc0,0x3603fff8,
    0xffffffff,0xffffffff,0x40dffb6f,0x20ffffd9,0x7fec6ffa,0x7ff42ffe,
    0x3fff1002,0x27ffc400,0x403ffee0,0x004ffff9,0x7fffdc00,0x017ffcc2,
    0x01bff600,0xff8b7fec,0x03fff04f,0x0bffd000,0x001fffcc,0x2a0bfff1,
    0x3f600fff,0xccccccff,0xfffccccc,0xdddfffb6,0xffffffdd,0x546ffa83,
    0xfe87ffff,0xfff1002f,0x5fff8003,0x203ffec0,0x00efffe8,0xefffd800,
    0x04fff881,0x03ffe400,0xf9b7ffc4,0x5fff01ff,0xfffb8000,0x0fffe600,
    0x01fffd00,0xfd80dffb,0x7ff4007f,0xffffffb6,0x19ffffff,0xff0dff50,
    0x7ffd09ff,0x07ffe200,0x01fffd00,0x4017ffe2,0x001efffd,0x1bfffd10,
    0x007fff40,0x01fff700,0xab7fff44,0xfff307ff,0x7fc40009,0x7ffcc02f,
    0x7ffdc003,0x01fffc42,0xd001fff6,0x3fff6dff,0xdeffffff,0x217fee01,
    0xfe81fffc,0xfff1003f,0xfffb8003,0x03fffb05,0x17fffe40,0x3fffe600,
    0x5fffa804,0x3ffea000,0xffffd103,0x107ffe6d,0x000fffff,0x4c02ffec,
    0x44003fff,0x7fd45fff,0x3ffec00f,0x6dbffa00,0x1aaaafff,0x217fee00,
    0xffd06ff9,0x3ffe2007,0xffff8001,0xfffeb9ae,0xfffa8005,0xfff5003f,
    0x7ff4007f,0x219802ef,0x4c1ffff8,0x16fffffe,0x7f449fff,0x1105ffff,
    0x3ffffe20,0xffffffff,0x7fffffff,0x20fffe80,0xfd806ffd,0x7ff4007f,
    0x000dffb6,0x3305ffc8,0x013ff601,0x000fffc4,0x7ffffff4,0x00ffffff,
    0x5ffff980,0x17fffe40,0x3fffe600,0xedccceff,0x7ffe44ff,0xdfffedef,
    0x3ffa6ffb,0xbafffdef,0xedcdffff,0xffff104f,0xffffffff,0xffffffff,
    0x5fff700f,0x200fffe2,0x74007ffd,0x0dffb6ff,0x05ffc800,0x009ffb00,
    0x3ff20000,0xffffffff,0x10005fff,0xb01dfffd,0x0003dfff,0x3fffff62,
    0x4fffffff,0x7fffff44,0xdff54fff,0x7fffffcc,0x3ffff22f,0xf104ffff,
    0xffffffff,0xffffffff,0xf100ffff,0x3ffea9ff,0x07ffd800,0xfdb7ff40,
    0x7e40006f,0xffb0005f,0x5000000b,0xfb959fff,0x7fff73bd,0x3ff62000,
    0xfffd11ef,0xb500001b,0xfffffffd,0x3ff2039d,0x3ea2efff,0x7fffcc6f,
    0xfffec82d,0x00001eff,0x000fffe6,0xffdbfff4,0x0fffb006,0xfb6ffe80,
    0xfd8000df,0xffb0004f,0x9800000b,0xfd006fff,0x640003ff,0xfff52fff,
    0x4c000009,0x200099aa,0x100009a8,0x35510015,0x3e600000,0xf70003ff,
    0x07fff5ff,0x001fff60,0x3ff6dffd,0x7fec0006,0xbff90004,0x7fffffcc,
    0xffffffff,0x3ffa2fff,0xfff3001f,0x7d40001f,0x0001fd42,0x00000000,
    0x00000000,0x7ffcc000,0xfff10003,0x2001fffd,0x74007ffd,0x0dffb6ff,
    0x04ffe800,0x4cdff900,0xffffffff,0xffffffff,0x013faa2f,0x0005df90,
    0x00002010,0x00000000,0x00000000,0x7ffcc000,0x3ffa0003,0x36006fff,
    0x7f4007ff,0x00dffb6f,0x004ffe80,0x7ccdff90,0xffffffff,0xffffffff,
    0x44000b82,0x00000003,0x00000000,0x00000000,0x26000000,0x20003fff,
    0x03fffffb,0x001fff60,0x3ff6dffd,0x7ff40006,0xdff90003,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0x0003fff9,0x03ffffe2,
    0x007ffd80,0xffdb7ff4,0x7ffc0006,0xfff70003,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xc8800000,0x730000ce,
    0x59bdfdd9,0x7f65d400,0x800bcdef,0xceeecb98,0xdba8800a,0x8801bcee,
    0x33261ded,0xcccccccc,0x950ccccc,0xdfeda839,0x5999901c,0x86666400,
    0x0000ccc8,0x32a19991,0x64c002cc,0x459911cc,0xeda83eea,0x20e65c1d,
    0x02ceeca8,0x2ffff400,0x3fffea00,0xefffffff,0x3fffaa01,0x1fffffff,
    0x7ffffdc0,0x201fffff,0xfffffffa,0xff100dff,0x3fea1fff,0xffffffff,
    0xfb1fffff,0x3fffa27f,0xfa83ffff,0xfc800fff,0x3ffe25ff,0xfff30002,
    0x01bffe63,0x221fffb0,0xffff94ff,0x7ffffdcf,0xfb8bffa1,0x04ffffff,
    0xfffff100,0x7ffe4001,0xffffffff,0xfffb80ff,0xffffffff,0xfffd101f,
    0xffffffff,0x3ffff203,0xffffffff,0xfffffb82,0xffffff53,0xffffffff,
    0x26fff63f,0xffffffff,0xfffc83ff,0x77ffcc05,0x001fffc0,0x7f47ffa8,
    0xff1000ff,0x4e7fc4bf,0x9affffff,0x24ffffff,0xfff92ffe,0x0bffffff,
    0xfffff100,0xacffc800,0xffeb9899,0x77ffcc6f,0xb753109b,0xfffff101,
    0xfd753359,0x7dfffb03,0xfffd7315,0xffffb81f,0x5555514f,0xff755555,
    0x37ff61ff,0xc99adfff,0xfe80ffff,0x3ffa03ff,0x04ffe81f,0xb8dff700,
    0xf7003fff,0x6ffc45ff,0xcffc8cfe,0x7ffb8dfe,0x3ff6fffa,0xfffb99bf,
    0xffb8000f,0x00cc003f,0x361fffe8,0x20000fff,0x400efffd,0x77ffcc09,
    0x13fff600,0x05fffff3,0x43fffd00,0x03fffffd,0xf305fff9,0xff901fff,
    0x17ff207f,0x22ffe400,0xd006fff8,0xfff88fff,0x3fffe66f,0x743ffe26,
    0x80dfffff,0x0004fffa,0x00000373,0x3a3fffb8,0x2a0005ff,0x20005fff,
    0xfd006ffe,0xfffb83ff,0xfffc8004,0x1ffffec3,0x209fff10,0x7cc6fffb,
    0x3fee05ff,0x36055506,0xfffc84ff,0x27ffc401,0x887fffe2,0x3e22ffff,
    0xffffd1ff,0x05ffe80b,0x00000000,0xfd27ffc4,0x7fc000df,0xf50000ff,
    0x3ea007ff,0x009884ff,0x85fffa80,0xe804fffd,0x3ff605ff,0x1dffd13f,
    0x443ffd40,0xffe80fff,0x04fff983,0x220fffdc,0x7fc45fff,0xd1fff86f,
    0xfb00bfff,0x000000df,0xbffd0000,0x0067ffe4,0x013ffe20,0x007ffc80,
    0x0002fff4,0x01dfff30,0x3600dffb,0x3fa206ff,0x1fffc9ff,0x207ffcc0,
    0xff83fffa,0x0fffd02f,0xf886ffe8,0x7ffc41ff,0xfd1fff82,0xff9001df,
    0x0000000f,0x4bffd000,0x1cfffff9,0x05fff500,0x02ffec00,0x001bff60,
    0x0ffff440,0xb006ffd8,0xff980dff,0x803fffff,0x7ec1fff8,0x7ffc46ff,
    0x05fff701,0x220fffe6,0x7fc40fff,0xd1fff80f,0x26200bff,0xeeee9819,
    0xeeeeeeee,0x1eeeeeee,0xfffdb710,0x8bffffff,0xeffffffa,0x3ffee00b,
    0x3ffa0000,0x3ffe4004,0xfffd8000,0x01bff602,0x5c037fec,0x005fffff,
    0xff88bffe,0x3fe60fff,0x17ffe207,0x4407ffe4,0x7fc40fff,0xd1fff80f,
    0x20000bff,0xfffffff9,0xffffffff,0xfc82ffff,0xffffffff,0xe985ffff,
    0xefffffff,0x007ffd82,0x0027ffc0,0x0003ffee,0x809fff70,0xfb006ffd,
    0x3ffa00df,0x3fa000ff,0x3fbfea3f,0x01ffe63f,0xff01fffb,0x3ffe209f,
    0x407ffc40,0xbffd1fff,0x3fe60000,0xffffffff,0xffffffff,0x7fffe42f,
    0xfcccccee,0x3f6a05ff,0x0dffffff,0x0001fff2,0xb8009fff,0x4c0007ff,
    0xfd806fff,0xdffb006f,0xfffff300,0x27fe4005,0x4dff3ffb,0x7d405ffa,
    0x7ffd43ff,0x81fff101,0xff80fff8,0x00bffd1f,0x2aaaa200,0xaaaaaaaa,
    0x0aaaaaaa,0x007bffee,0x2a00bffd,0x24fffffd,0x0001fffb,0x90017ffa,
    0x44000dff,0xd800ffff,0xffb006ff,0xfffe880d,0xf7000fff,0xfeaffcbf,
    0x009ff71f,0xffd8dffd,0x03ffe206,0xff01fff1,0x017ffa3f,0x00000000,
    0x2003fffa,0x44005ffe,0xf51ffffc,0x6c0005ff,0x7ec006ff,0x3f60005f,
    0xffb002ff,0x1bff600d,0xff7fffb0,0xff5001df,0x7e4ffead,0x007ff94f,
    0x3e23fff7,0x3fe203ff,0x07ffc40f,0xffe8fffc,0x00000005,0x04fff800,
    0x000bffd0,0x7ccbffee,0x320004ff,0xf1000fff,0x320009ff,0x36004fff,
    0xffb006ff,0xa7ffdc0d,0x9805fffb,0x21ff97ff,0x5ffb6ff9,0x29fff100,
    0x2200fffb,0x7fc40fff,0xd1fff80f,0x00000bff,0xff980000,0xfff9803f,
    0xfff10005,0x00ffffc7,0x04fffa80,0x883fff90,0xffa80ded,0x7fec005f,
    0x0dffb006,0xfb1bffea,0xff8807ff,0x7f45ff8f,0x001ffe9f,0x3ffafffb,
    0x07ffc405,0x3e03ffe2,0x0bffd1ff,0x32200000,0xff1000ce,0xfffc80bf,
    0xff90005f,0x77ffdc5f,0xfffd0000,0x4fffa803,0x07ffff44,0x001dfff1,
    0xb006ffd8,0xfff10dff,0xffff883f,0x7dfffc01,0x7e7fdc3f,0xff5000ff,
    0x803fff5f,0x7c40fff8,0x1fff80ff,0x0000bffd,0x17fff600,0x82ffff80,
    0x5fffffe9,0xfa801571,0x7ff40fff,0xda880bff,0x1ffffcc1,0x07fffdc4,
    0x8fffffee,0x8001fffe,0xfb006ffd,0x7fffd0df,0x03fffea0,0x0fffffe8,
    0x3fffffc4,0x3ffffe00,0xfff8806f,0x407ffc40,0xbffd1fff,0xf1000000,
    0x2001ffff,0xdceffffb,0xffdeffff,0xdddfff35,0xfffffdb9,0xfffff307,
    0xffffddff,0xfffff903,0xfffffdbd,0xfffff705,0x3ffffee9,0xffffffff,
    0x0dffb7ff,0xf91bff60,0xffd80bff,0x3fff606f,0xffffd05f,0xfffc800b,
    0xff8803ff,0x07ffc40f,0xffe8fffc,0x88000005,0x4007ffff,0xfffffffd,
    0x2bff74ff,0xfffffff9,0x02ffffff,0x3fffff22,0x01ffffff,0xfffffff5,
    0x2601dfff,0xf92fffff,0xffffffff,0x2fffffff,0xfb006ffd,0x7fffd4df,
    0x7fff4400,0x7ffff704,0x13fffee0,0xfffff100,0x1fff1001,0xf80fff88,
    0x0bffd1ff,0x3f200000,0xfa8003ff,0x21dfffff,0xfdb15ffb,0xdfffffff,
    0x3b660017,0xbdffffff,0x3ffb6200,0xb803dfff,0x3ff24fff,0xffffffff,
    0xfb7fffff,0x3ff600df,0x05ffff36,0x0bfffe60,0x403fffea,0x003ffff8,
    0x005fffd8,0xf881fff1,0x1fff80ff,0x0000bffd,0x000dcc00,0x0002a620,
    0x4d54ccc4,0x99880000,0x02a60000,0x0002a200,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000300,0x01800099,0x98007008,0x00099800,0x3001ffa0,0x01003353,
    0x77100030,0x0004c003,0x001ddd30,0xfd8dfffb,0x3ffb264f,0xb5003eff,
    0x0019dffd,0x003fff30,0x7fff64c0,0x754001ce,0x7d4006ff,0x419f501d,
    0xdf5004fd,0xffffd701,0xdfd0007f,0x3ffffa00,0x5c40cfff,0x07fb303f,
    0x1ffffc40,0xbffffd70,0xfffd8003,0x6fffd805,0xffd17ffc,0x1fffffff,
    0x3ffff620,0x4002ffff,0x0001fff9,0xfffffff7,0xfd5009ff,0x4400dfff,
    0xff885fff,0x09fffb4f,0x265fffa8,0xfffffffe,0x37ec006f,0xffffff80,
    0x3ee0efff,0xfffc80ff,0xffff7000,0xfffe981f,0x004fffff,0x03fffff5,
    0x265fffc8,0x37fa0fff,0x5fffecbc,0xfdffffd0,0x4003ffff,0x4001fff9,
    0x109cffe8,0x501dff93,0xdffffffd,0x07ffe400,0xf9877fec,0xff504fff,
    0x7ffd41df,0x4fffffef,0x85fc82a8,0x666f7c3a,0x744ffffc,0xffe886ff,
    0xffff7005,0x7fffc47f,0x2ffffdcd,0xffbffe80,0x2fffe406,0x00a8dff7,
    0xff70fff7,0x7ffdc45f,0x3ffe6006,0x57fec001,0x7f4c0998,0x77fffc46,
    0xf3006ffe,0xfff707ff,0x4ffff983,0x4077ffcc,0x7ffd41ec,0x906ffc46,
    0x07fe44bf,0x17ffe201,0xf507fff1,0xff3005ff,0x7fec9fff,0x7ffec40e,
    0x74ffee00,0x3fee03ff,0x00fff64f,0x7c0fff88,0xfff504ff,0x3ffe6001,
    0x47fea001,0x11dffffe,0x2efd87ff,0x3a00dff9,0xfff885ff,0x7ffff303,
    0x003bffe6,0xa83fffa0,0x9f72ffff,0x00ffffa6,0x7d427ff4,0xfffc81ff,
    0xffffc800,0x203fff15,0xf102fff8,0x07ffccdf,0x3a4fffb8,0x4cc401ff,
    0x3e21fff9,0x3ffe00ff,0x3fff3002,0xe93fe200,0x2e7fecbf,0xf90a60ff,
    0xfff700df,0x80bffb01,0xffdffff9,0xfb0000ef,0xfff910ff,0xfff99f7b,
    0x3fea003b,0x0dffb02f,0x2009fff1,0xff54ffff,0x03ffd80d,0xffd85ff9,
    0x47fff505,0xffd50088,0x43ffffff,0x7f407ffa,0xfff3003f,0xd1fe6003,
    0xf87fe23f,0x37fe402f,0x20fffe60,0x9800fffb,0x0effffff,0xdfff1000,
    0x7fffe440,0x6401dfff,0x03fffdcc,0x2a13ffe2,0xfd801fff,0x0bff92ff,
    0xf984ffc8,0x1fff886f,0x003fffa8,0xfffffffb,0x7fd43fff,0x01fff407,
    0x001fff98,0x11fe8df7,0x404fd8ff,0x7f406ffc,0x2fff986f,0x3fffe600,
    0xfd10000f,0xfb1003ff,0x3e003dff,0x00dfffff,0x6c0fffd4,0xfff806ff,
    0x80bff70f,0xffd83ffe,0x30dff702,0xf7005fff,0xfff815ff,0xf01ffe61,
    0x3bba63ff,0xfffeeeee,0xeeeeeeee,0xdfe89fb1,0x2fe43fec,0x901bff20,
    0xff881fff,0x3fea004f,0x88004fff,0x9804fffe,0x1dfffffd,0xffffff80,
    0x3fee02ff,0x05ffe80f,0xf51fffdc,0x3fe601ff,0x02ffd42f,0x9910fffa,
    0x7ffd0039,0xf887ffe0,0xfff502ff,0x3ffffe61,0xffffffff,0xb2ffffff,
    0xffffe89f,0x6406fb82,0x7fc406ff,0x1fffa84f,0xfffffa80,0x3ea004ff,
    0x6cc04fff,0xffefdfff,0x266601df,0x81ffffb9,0xfb82fff9,0xff9300ff,
    0x4fff88df,0xe81fff90,0x7fd401ff,0x7fc0000f,0x1fffc84f,0x220f7ff4,
    0x3fe65ffe,0xffffffff,0xffffffff,0xfe8bf92f,0x7ec0ffa9,0x037fe404,
    0x640fffd4,0x3ea00eff,0xffffaeff,0xffffb804,0x3fff6603,0xfd8cfb8d,
    0xf5001eff,0xbffd07ff,0x887fff30,0x0efffffe,0x9adfffc8,0x5c2fffda,
    0xffd005ff,0xffd8000b,0xfffeb9bf,0x7fffcc1f,0x0ffffcbe,0x2aaaaaa2,
    0xaacfffba,0xf50aaaaa,0x9fb1fe8f,0x7e403fe8,0xdffb006f,0x20bffd10,
    0xf30efffa,0x36209fff,0x4c01efff,0x97f22fff,0x3001fffa,0xffc89fff,
    0x86ffe80f,0x03fffff8,0x7ffffff4,0x7fc44fff,0xfff3000f,0x7fd40003,
    0xfddfffff,0xffffc81f,0x002fffff,0x800fffcc,0x47fa2ff8,0x3ff50ff9,
    0x006ffc80,0xf309fff1,0xfff985ff,0x7fffcc0e,0x6ffff4c4,0xc819b000,
    0x002ec45f,0x7cc5fffd,0xfffb82ff,0x0acde881,0xfffff700,0x555103df,
    0x01aaa800,0x7ffed400,0x203ff93f,0xdfffffe9,0xfff98000,0x43ff2001,
    0x22ffa1fe,0x7ffdc5fe,0xffffffff,0x07ffee07,0x7cc3fff2,0xff300eff,
    0x7fffc9ff,0xffffffff,0x06fd800f,0xecbccd98,0xf10effff,0xfff10bff,
    0x4c000009,0x00000aba,0x22000000,0x54c00009,0x7fcc0000,0x6ff4001f,
    0x2ea60aa8,0x7fdc0ffd,0xffffffff,0x2fff407f,0xff74ffe8,0xfff9801d,
    0x3fffffe3,0x0fffffff,0xa806fd80,0xffffffff,0x3ffee0ef,0x006ffd80,
    0x00000000,0x00000000,0x00000000,0x0007ffe6,0x2a05fff3,0xffb82fff,
    0xffffffff,0x05fcc07f,0x075c2e98,0x7fc3f980,0xffffffff,0xfe800fff,
    0xffffa807,0xd303efff,0x000fdc05,0x00000000,0x31000000,0x33333333,
    0x26213333,0x99999999,0x30009999,0x10003fff,0xfb9dfffd,0x00003dff,
    0x02000000,0x00000100,0x98015540,0x00099aaa,0x00000000,0x00000000,
    0xffff5000,0xffffffff,0x3fffea7f,0xffffffff,0xfff3003f,0x7f5c0003,
    0x003effff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3fea0000,0xffffffff,0xfff53fff,0xffffffff,0x3e6007ff,0x880001ff,
    0x00000aa9,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xcccc9800,0xcccccccc,0x9999931c,0x99999999,0x3bba2003,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x99980000,0x99999999,0xb0999999,0xffd8bfff,0xddddd75f,
    0xdddddddd,0x6c40bddd,0x01bb301d,0x07ffff62,0xfff98000,0x355100df,
    0xdd900000,0xbddddddd,0xb8353000,0xeeeeeeee,0x77774eee,0x77777777,
    0x77777777,0x00000777,0x80000000,0xfffffff9,0xffffffff,0xbfff92ff,
    0xf95fffc8,0xffffffff,0xdfffffff,0x207fff40,0x5c07fff8,0x0001ffff,
    0x04ffff88,0x3dffffd1,0x40099880,0xfffffffe,0x3bf666ff,0x27fff442,
    0xfffffff7,0x3fe9ffff,0xffffffff,0xffffffff,0x0007ffff,0x00000000,
    0x7ffffcc0,0xffffffff,0xff92ffff,0x4fffc89f,0xfffffff9,0xffffffff,
    0x3ffe20df,0x7fffcc2f,0x7fff4c01,0x3fe20001,0xffd102ff,0x407fffff,
    0x76404ffc,0xeeeeeeee,0x3fffff35,0x97ffffe4,0xfffffffb,0xfff4ffff,
    0xffffffff,0xffffffff,0x0000ffff,0x00000000,0xeeeeee98,0xeeeeeeee,
    0xfff71eee,0x34fffb89,0x55555555,0xffb55555,0x07fff40d,0x401fffe2,
    0x001fffd8,0x00efff88,0x3ffffff2,0xffd04fff,0xfc800009,0x3fe5ffff,
    0x7734ffff,0x77777777,0x2aaaaa57,0xaaaaaaaa,0xaaaaaaaa,0x0000002a,
    0x00000000,0x7ffdc000,0x01fffdc4,0x81bff200,0xbb301dc8,0xfffb8001,
    0x3ffe2001,0x67ffc404,0x89ffff50,0x0002fff8,0x7fffff40,0x3fffffa6,
    0x00000004,0x00000000,0x00000000,0xfff50000,0x03fffa87,0x037fe400,
    0x00000000,0xffa80000,0x7fff440f,0x07fffbbe,0xfffc8000,0x3fff25ff,
    0x000002ff,0x00000000,0x00000000,0xf5000000,0xfffa87ff,0x7fe40002,
    0x00000006,0x70000000,0x3fa20dff,0x3fffffff,0xff880000,0x7fec0fff,
    0x0000003f,0x00000000,0x00000000,0x4ccccccc,0x99999999,0x5fff3099,
    0x002fff98,0x0037fe40,0x00000000,0x4eeb8000,0x3ffff620,0x000004ff,
    0x4c033b22,0x0000000a,0x00000000,0x00000000,0x7fffffcc,0xffffffff,
    0xfff32fff,0x01fff985,0x037fe400,0x00000000,0x80000000,0x002ceeda,
    0x00000000,0x00000000,0x00000000,0x7cc00000,0xffffffff,0xffffffff,
    0x88199912,0x40000ccc,0x00002aa9,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x26000000,0xeeeeeeee,0xeeeeeeee,0x0000001e,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__consolas_42_latin1_x[224]={ 0,8,5,0,2,0,1,9,6,5,3,1,4,5,
7,2,1,2,3,3,0,3,2,2,2,2,8,5,2,2,4,6,0,0,3,1,2,4,4,1,2,3,3,3,
4,1,2,1,3,1,3,2,1,2,0,0,0,0,2,7,3,5,2,0,0,2,3,3,2,2,0,1,3,3,
2,3,3,1,3,1,3,2,4,3,1,3,1,0,1,1,3,3,9,4,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,8,2,1,1,1,
9,2,0,0,4,2,2,5,2,0,4,2,5,5,0,3,2,8,8,4,4,3,0,0,0,4,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,1,0,0,0,0,0,3,3,0,0,
0,0,0,0,0,3,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,1,1,0,0,0,0,0,3,0,
 };
static signed short stb__consolas_42_latin1_y[224]={ 31,2,2,4,0,1,2,2,0,0,2,9,24,18,
24,2,3,4,3,3,4,4,4,4,3,3,10,10,8,14,8,2,1,4,4,3,4,4,4,3,4,4,4,4,
4,4,4,3,4,3,4,3,4,4,4,4,4,4,4,1,2,1,4,36,2,10,2,10,2,10,1,10,2,1,
1,2,2,10,10,10,10,10,10,10,3,10,10,10,10,10,10,1,-3,1,15,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,31,10,0,3,5,4,
-3,1,2,3,3,11,18,18,1,3,1,6,1,1,2,10,2,15,31,1,3,11,1,1,1,10,-4,-4,-4,-4,
-4,-5,4,3,-4,-4,-4,-4,-4,-4,-4,-4,4,-4,-4,-4,-4,-4,-4,11,-1,-4,-4,-4,-4,-4,4,1,2,2,
2,2,2,0,10,10,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,9,6,2,2,2,2,2,2,2,
 };
static unsigned short stb__consolas_42_latin1_w[224]={ 0,7,13,23,19,23,23,5,12,12,17,21,11,13,
8,18,21,19,18,18,23,17,19,19,19,19,7,11,17,19,17,13,23,23,18,20,20,16,16,20,19,17,15,19,
17,22,19,21,18,23,19,19,21,19,24,23,23,24,19,11,18,12,19,24,14,18,18,17,18,19,22,21,17,18,
16,19,18,21,17,21,18,18,18,17,19,17,21,23,21,21,17,16,5,16,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,7,17,20,21,22,
5,19,19,23,15,18,18,13,19,17,15,19,14,13,20,20,19,7,6,15,15,18,23,23,23,13,23,23,23,23,
23,23,24,20,20,20,20,20,20,20,20,20,22,21,22,22,22,22,22,18,21,21,21,21,21,24,18,18,20,20,
20,20,20,20,23,17,21,21,21,21,21,21,21,21,19,20,22,22,22,22,22,21,21,20,20,20,20,22,18,22,
 };
static unsigned short stb__consolas_42_latin1_h[224]={ 0,30,10,27,36,31,30,10,40,40,18,21,15,4,
8,34,29,27,28,29,27,28,28,27,29,28,22,29,24,11,24,30,39,27,27,29,27,27,27,29,27,27,28,27,
27,27,27,29,27,36,27,29,27,28,27,27,27,27,27,39,34,39,14,4,9,22,30,22,30,22,30,30,29,30,
39,29,29,21,21,22,30,30,21,22,29,22,21,21,21,30,21,39,43,39,9,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,0,30,37,28,25,27,
43,35,9,29,21,18,10,4,20,8,15,25,18,18,9,30,34,8,7,18,21,18,30,30,30,30,35,35,35,35,
35,36,27,35,35,35,35,35,35,35,35,35,27,35,36,36,36,36,36,18,37,36,36,36,36,35,27,31,30,30,
30,30,30,32,22,28,30,30,30,30,29,29,29,29,30,29,30,30,30,30,30,22,30,30,30,30,30,38,38,38,
 };
static unsigned short stb__consolas_42_latin1_s[224]={ 252,244,21,43,1,1,159,243,13,26,144,
33,195,167,158,154,212,174,199,87,1,181,1,105,106,236,100,244,154,1,172,
186,81,125,194,191,133,238,213,126,50,1,144,67,87,89,194,147,70,47,154,
234,230,124,25,214,19,169,149,69,173,56,223,181,74,23,1,60,102,190,229,
69,45,196,39,25,83,212,126,78,64,83,234,42,63,210,190,166,144,164,108,
122,1,105,110,111,111,111,111,111,111,111,111,111,111,111,111,111,111,111,111,
111,111,111,111,111,111,111,111,111,111,111,111,111,111,111,111,111,252,244,204,
160,132,88,7,68,54,1,1,91,35,167,55,132,207,112,129,162,89,43,192,
150,249,75,17,176,135,1,91,237,153,21,130,45,1,1,63,69,90,111,132,
202,223,25,88,109,40,46,115,138,161,184,207,110,222,71,25,230,93,177,21,
233,47,90,111,132,153,212,228,218,25,174,215,68,22,44,169,102,115,66,183,
206,20,25,200,1,121,143,1,223,48,139,162,181, };
static unsigned short stb__consolas_42_latin1_t[224]={ 1,82,440,339,82,155,186,418,1,1,418,
418,418,440,440,119,249,310,280,249,367,280,310,339,249,280,395,218,367,440,367,
218,1,339,310,249,310,339,310,249,367,339,280,339,339,367,339,249,367,45,310,
249,310,280,367,339,339,339,339,1,119,1,418,440,440,395,218,395,218,367,186,
186,280,155,1,280,280,395,395,395,218,218,395,395,280,367,395,395,395,218,395,
1,1,1,440,310,310,310,310,310,310,310,310,310,310,310,310,310,310,310,310,
310,310,310,310,310,310,310,310,310,310,310,310,310,310,310,310,310,1,1,1,
280,367,310,1,119,440,280,418,418,440,440,418,440,418,367,418,418,440,218,119,
440,418,418,418,418,186,187,186,155,82,82,119,82,119,45,310,82,82,82,82,
82,82,119,119,119,310,119,45,45,45,45,45,418,1,45,45,45,45,82,310,
119,155,155,155,155,155,119,367,280,155,155,155,155,249,249,249,280,186,249,186,
186,218,186,218,395,218,218,249,218,186,1,1,1, };
static unsigned short stb__consolas_42_latin1_a[224]={ 369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_42_latin1_BITMAP_HEIGHT or STB_FONT_consolas_42_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_42_latin1(stb_fontchar font[STB_FONT_consolas_42_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_42_latin1_BITMAP_HEIGHT][STB_FONT_consolas_42_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_42_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_42_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_42_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_42_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_42_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_42_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_42_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_42_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_42_latin1_s[i] + stb__consolas_42_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_42_latin1_t[i] + stb__consolas_42_latin1_h[i]) * recip_height;
            font[i].x0 = stb__consolas_42_latin1_x[i];
            font[i].y0 = stb__consolas_42_latin1_y[i];
            font[i].x1 = stb__consolas_42_latin1_x[i] + stb__consolas_42_latin1_w[i];
            font[i].y1 = stb__consolas_42_latin1_y[i] + stb__consolas_42_latin1_h[i];
            font[i].advance_int = (stb__consolas_42_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_42_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_42_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_42_latin1_s[i] + stb__consolas_42_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_42_latin1_t[i] + stb__consolas_42_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_42_latin1_x[i] - 0.5f;
            font[i].y0f = stb__consolas_42_latin1_y[i] - 0.5f;
            font[i].x1f = stb__consolas_42_latin1_x[i] + stb__consolas_42_latin1_w[i] + 0.5f;
            font[i].y1f = stb__consolas_42_latin1_y[i] + stb__consolas_42_latin1_h[i] + 0.5f;
            font[i].advance = stb__consolas_42_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_42_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_42_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_42_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_42_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_42_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_42_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_42_latin1_LINE_SPACING
#endif

