// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_21_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_21_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_21_latin1_BITMAP_WIDTH         256
#define STB_FONT_consolas_bold_21_latin1_BITMAP_HEIGHT        146
#define STB_FONT_consolas_bold_21_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_consolas_bold_21_latin1_FIRST_CHAR            32
#define STB_FONT_consolas_bold_21_latin1_NUM_CHARS            224

#define STB_FONT_consolas_bold_21_latin1_LINE_SPACING          14

static unsigned int stb__consolas_bold_21_latin1_pixels[]={
    0x817a6bd3,0x55000080,0x5c391015,0x0002a983,0x65c409d5,0xffff981b,
    0x7ffffd0f,0x6cbfb220,0x2a2002de,0x0004cc41,0x54006660,0x00054402,
    0x54001883,0x0099881c,0x30066600,0x41883001,0x20ff57fa,0x00fa24e8,
    0x3605ffb0,0xc83ff57f,0xfff0007f,0xfffff503,0xfffff987,0x07ffffd0,
    0x7ecbfffa,0x7f3003ff,0x002ffd88,0x1005ffb0,0x7ffdc09f,0xbfb01fbc,
    0xd8007fe2,0x2ffd881f,0x02ffd800,0x6c07ffd1,0x543ff15f,0xd10ff57f,
    0x07fea1df,0x70077ec0,0x903fe6bf,0x3f6000ff,0x457fd40f,0xff302ffa,
    0xf700ffa1,0x01ff203f,0xffa817d4,0x06fec002,0x8067dc40,0x0fffebdd,
    0x3fe6bfb0,0x3f32a202,0x017fd406,0x2201bfb0,0xb04fdbfe,0xa8bfe6bf,
    0xfb0ff57f,0x00ffc83f,0x40800cc4,0x000ff900,0x07fe2054,0x3fe60bf5,
    0xfc807fd0,0x007fe204,0x198807ee,0x20066200,0x4ffffffa,0x2200aa80,
    0xfa80aa0a,0x400effff,0x33100198,0x06609880,0xa8550544,0xfb8ff57f,
    0x41dfd03f,0x155102a9,0x55440aa6,0x2ee6df90,0x55555441,0xf827dc2a,
    0xd0ff980f,0x03fd807f,0xec880ffc,0xca881eff,0xbca8802b,0x3fffea02,
    0x95104fef,0x79510057,0x677fcc05,0x0aa85fff,0x02aa1aa8,0x80aa86aa,
    0x202aa1aa,0x2aff51aa,0x1027fc7f,0x17fd49ff,0x5ff53fe4,0x77e4ff90,
    0x2e3ffffc,0x47ffffff,0xcccc88ff,0x0ff981fd,0x3fd807fd,0x7d40ffc0,
    0x542fffff,0x00efffff,0x1dfffff5,0x09f6dfd0,0xefffffa8,0xfffff500,
    0x21dfb01d,0x3e23ffff,0xf14fe82f,0x229fd05f,0x14fe82ff,0x29fd05ff,
    0x54ff57fa,0x37e400ff,0x9ff117fe,0x7fc45ff8,0x33bfff24,0x99930ffe,
    0x77ccffb9,0xfcdffff8,0xfd0ff982,0x403fe807,0x7ffc43fe,0x3e61aefb,
    0x87ffedff,0xffedfff9,0x0fd5ff87,0x7f6fffcc,0xdfff987f,0x7fcc7ffe,
    0x4bfd9f52,0x4fe82ff8,0x9fd05ff1,0x3fa0bfe2,0xfd05ff14,0x3fd5fea9,
    0xff500dfb,0xf507fe41,0x20ffc83f,0x3ff21ffa,0xb80ffe65,0x3f33ee7f,
    0x82fccfcd,0x07fd0ff9,0x3200ffcc,0x47fee0ef,0x20efe85f,0x77f43ffb,
    0xfd0ffee0,0x7f40bfbf,0xd0ffee0e,0x1ffdc1df,0x2bf21ff5,0x0bfe26fc,
    0x17fc53fa,0x2ff8a7f4,0x5ff14fe8,0x57a69fd0,0x017fe7fa,0xff98bfe2,
    0x3e61bf63,0xf91bf63f,0x5c09ff0f,0x3fabf67f,0x82fcbfc9,0x07fd0ff9,
    0x1009ffd5,0x5ff6dffb,0x1ffcc4f8,0x7ff337fc,0xff98dff0,0x7cc0cfff,
    0x266ff83f,0x26ff83ff,0x7ddfe7fb,0x3a0bfe27,0xd05ff14f,0x20bfe29f,
    0x05ff14fe,0x5fea09fd,0xfd003ff8,0xff16fe89,0x7c5bfa05,0x743fe42f,
    0xd9fee05f,0x95f97f9f,0x21ff305f,0xeffb83fe,0x7ffc8801,0x50fe6dfb,
    0x4ffd03ff,0x7fe81ffa,0xfffffc88,0x3a07fea2,0x207fea7f,0x4dff27fe,
    0x221ff75f,0x14fe82ff,0x29fd05ff,0x4fe82ff8,0x9fd05ff1,0x7fc5fea0,
    0xa8bfb001,0x207fb8ff,0x87fb8ffa,0x04ff87fc,0xf9fe9fee,0x03fb5fb7,
    0x0ffa1ff3,0x2007fe44,0x3fee1efc,0x7fdc2fb8,0xf70ffc80,0x01ff901f,
    0x47fffbee,0xffc80ffb,0xf901ff70,0x7e5fee1f,0x7fc4ff72,0xff14fe82,
    0x3e29fd05,0xf14fe82f,0x209fd05f,0x00ffe7fa,0x5ffc27f4,0x5ffc04fe,
    0x47fc84fe,0x3ee03ff8,0x75fe7fa7,0xff307e9f,0xff00ffa1,0x442fe805,
    0x089fcdff,0xff701ff9,0x2e03ff21,0x71f900ff,0x03ff27ff,0x7fe43fee,
    0xf30ffb80,0x3f21fd1f,0x3a0bfe26,0xd05ff14f,0x20bfe29f,0x05ff14fe,
    0x553269fd,0x4017f67f,0xfffc83ff,0x7ffe401f,0x227fc81f,0x3ee00ffd,
    0x33fe7f67,0xf305fdff,0xb00ffa1f,0x81ff807f,0x3feffffe,0xff903ff7,
    0x7e40ffdc,0x7fcdf607,0xf903ff73,0x640ffdcf,0x3f7fe27f,0xff893fe5,
    0xff14fe82,0x3e29fd05,0xf14fe82f,0x2a9fd05f,0x7dcff57f,0x82ff9807,
    0x9806fff9,0xff906fff,0x807fffdd,0x327f67fb,0x01fffdff,0x0ffa1ff3,
    0xff807fb0,0xffffd501,0x360ffea5,0x20ffea6f,0x74dec6fd,0xf50ffeaf,
    0x54dfb07f,0x46fd83ff,0xfd8bfffd,0x20bfe20f,0x05ff14fe,0x0bfe29fd,
    0x17fc53fa,0x57faa7f4,0x007fccff,0xffe81fee,0x05ffd002,0x3bfffff2,
    0x327fb801,0x02a6553f,0x7fd0ff98,0x7c03fd80,0x04f7c01f,0xff889ff1,
    0xf113fe24,0xfffff89f,0x3fe22fff,0xf127fc44,0x44ff889f,0xffffffe8,
    0xff84ff83,0x3fe13fe3,0x3fe13fe3,0x3fe13fe3,0x1feaff53,0x7fc40bff,
    0x801bfa04,0x3ff206fe,0x37ec0018,0x26000df5,0x807fd0ff,0x0ffc04fc,
    0x3f609f10,0x0ffd98bf,0x6cc5ffec,0x7fee40ff,0xffd80cef,0x40ffd98b,
    0xfd98bffd,0xffffa80f,0x41ffb02e,0x3ff60ffc,0xfd83ff20,0xd83ff20f,
    0x43ff20ff,0xa8ff57fa,0x1ffb03ff,0x400bff20,0x3f202ffc,0x7fc41807,
    0x00c1ff45,0x1ff43fe6,0x5c03fee0,0x0fe600ff,0x7fffffcc,0xffff983f,
    0x3ea03fff,0x7fffcc03,0xff983fff,0x703fffff,0xf980139f,0x44fffeff,
    0xfffefff9,0x7f7ffcc4,0x7ffcc4ff,0x3ea4fffe,0xff70ff57,0x542ffc83,
    0x5404fffe,0x6404fffe,0xeefd807f,0x7fd41fff,0xe986eccd,0xdfd0ffee,
    0xfff105dd,0x13fff23d,0x6c405f50,0x2202efff,0x402efffd,0xfd8801fb,
    0x36202eff,0x3a02efff,0x3fa6001f,0xfd303fff,0x3a607fff,0xd303ffff,
    0xfa87ffff,0x3f60ff57,0x709ff50f,0xf7007fff,0xff9007ff,0xdffffb00,
    0x3fffaa03,0xffff983f,0x7ffffd0f,0x6cbff620,0x0c9803ef,0x98001300,
    0x00195000,0x04c00098,0x30000cc0,0x0004c001,0x804c0013,0x40ff57fa,
    0x4413a24e,0x06620019,0x99880000,0x00331000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xff57fa80,0x00004040,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0x00331198,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x004c0000,0xa9800260,
    0x8801aaaa,0x3bd700aa,0x80015100,0x442bcb98,0x33000099,0x000154c3,
    0x02600666,0x51018830,0x06660001,0x0015e544,0x32e60013,0x188302cc,
    0x220620c0,0xfd100099,0xffd1007f,0xfffea807,0xfb805fff,0x0db7f506,
    0xfbcfffb8,0x3fffee01,0x3ff621ff,0x17fec002,0x20001ff5,0x3a202ffd,
    0x2bfb03ff,0x7fdc1ff8,0xd801fbcf,0xfff982ff,0x3a200eff,0x7fec03ff,
    0x5fd85fff,0x3f603ff1,0xd883ff15,0x7f4402ff,0x3a204fdb,0xf304fdbf,
    0xbfd5ffff,0x2e07ff00,0x6ec07b8f,0x900fffeb,0x3fd9bfff,0x2005ff50,
    0x3fe80dfd,0x00dfd800,0x13f6ffa2,0x17fcd7f6,0x3fffaf76,0x406fec00,
    0xffedfff9,0xfb7fd107,0x273fee09,0x35fd83b9,0x57f605ff,0xff502ff9,
    0x3304c405,0x03304c40,0x6dbffffa,0x07fd405f,0x003ffe88,0xff880554,
    0x9880440e,0x20198801,0x4c4006fb,0x26098801,0x0aa0a881,0x31002aa0,
    0x7077ec03,0x413107ff,0x01ff9019,0x01541510,0x20154151,0x65440198,
    0x3555002b,0x3ffffe20,0xfe80bfb6,0x00e65c04,0x3201aaa8,0x555001ff,
    0xaa855555,0x442aaaaa,0x0aaa02ff,0x2aa05544,0x542aaaaa,0x22aaaaaa,
    0x21a982aa,0xaaaaaaa8,0x3e0ffe62,0x5555446f,0xffb82aaa,0x3555000e,
    0x55555440,0x555442aa,0x7d42aaaa,0x200effff,0xf105fff9,0x3f6dffff,
    0x807fe605,0x9805fff9,0x3fa05fff,0xffff1006,0x7fc4ffff,0xc87fffff,
    0x0bfee05f,0xfff11bf6,0x7c4fffff,0x27ffffff,0x27e43fff,0xfffffff7,
    0x740ffd4f,0x7fffdc7f,0xffd87fff,0x7fcc04ff,0x3ffee05f,0x7dc7ffff,
    0x27ffffff,0xffedfff9,0x3fffee07,0xdfffff00,0x5fc817f6,0x07fffdc0,
    0x03fffee0,0xf8802ffc,0x25eeeeef,0xeeeeeff8,0x201ff985,0x1ffcc6fe,
    0x3bbbbfe2,0x3bbfe25e,0x3ffe5eee,0x99327e46,0x5c999ffd,0x0ffc80ff,
    0x33ffb326,0x7e7fe44c,0xff701eff,0x332601ff,0x4c4ccffe,0x4ccffecc,
    0xffb83bfa,0x5ffbfd03,0x5bffff20,0x5ff105fd,0x2ffdfe80,0x17feff40,
    0x88027fc4,0x7fc403ff,0x813fa003,0x1bf61ffb,0xf100ffe2,0xffff807f,
    0x7dc13f22,0x701ff907,0x1fee01ff,0xffd34ff8,0xffbfd01f,0x00ff7005,
    0x3fe61fee,0xf886ff83,0x3204ff9f,0x0bfb6fff,0xff101bee,0x7c409ff3,
    0xff04ff9f,0x0ffe200b,0x4007ff10,0x3fa00ffa,0xf107ff35,0x3ff8807f,
    0x937f7fc0,0x41fee09f,0x7fc81ffb,0xff81fee0,0x221ffe46,0x804ff9ff,
    0xff7007fb,0xfd03ff50,0x3f2ff50f,0xdae5c407,0x807fd05f,0x40ff97fa,
    0x20ff97fa,0xff1006fe,0x03ff8807,0xf701ffc0,0x220df93f,0x7fc403ff,
    0x7fdffc03,0x3ee09f91,0xb07ff507,0x03fdc0df,0x7fc1bffb,0x7fcbfd45,
    0x7007fb80,0x01ff70ff,0x5fd81ff9,0xd8003ff5,0x00ffa85f,0x1ffaafec,
    0x3feabfb0,0x802ffc81,0xfffffff8,0x3ffffe25,0x1bee05ff,0x05ffbfd0,
    0x3fffffe2,0x3fffe25f,0x27fe5fff,0x209f95fd,0x9ff307fb,0x2e04ff88,
    0x3ffe207f,0x6c4ff8af,0x803ff55f,0xff7007fb,0xf701ff90,0xf12ff81f,
    0x5fd8009f,0xff804fd8,0x3e09ff12,0x109ff12f,0x93137fff,0x7ffffc43,
    0x3ffe25ff,0x2205ffff,0x3fee02ff,0x3ffe206f,0x3e25ffff,0x25ffffff,
    0xc9ffa9ff,0x40ff704f,0xfd98bffe,0x01fee00f,0xffffffb1,0xff12ff81,
    0x007fb809,0x3ff70ff7,0xff98ff90,0xb001bfa0,0x01ff98bf,0xdfd07fcc,
    0x7f41ff30,0xfffff706,0x5ffc43ff,0x3e209999,0x009999bf,0x3fa02fec,
    0x2ffe202f,0x3e209999,0x209999bf,0xf99fd1ff,0x981fee09,0x3fffffff,
    0xa803fdc0,0x7cc1ffff,0x701bfa0f,0x1fee00ff,0x3f60ffea,0x7777fe46,
    0x3e000fff,0x4037e44f,0xffeeeffc,0x777fe40f,0xb500fffe,0x441bffff,
    0x7fc403ff,0x0ff98003,0xf101ff20,0x3ff8807f,0xffb8ffc0,0x0ff704fd,
    0x2efffd98,0x2007fb80,0x7e41ffd8,0x0fffeeef,0x5c01fee0,0x44ff887f,
    0x7ff44ff8,0x03ffffff,0x222ff985,0xffe802ff,0x43ffffff,0xfffffffe,
    0x817fc03f,0x7c403ff8,0x9fd0003f,0x2203fdc0,0x7fc403ff,0xff0ffc03,
    0x1fee09ff,0x7003fdc0,0xffa800ff,0x7fffff41,0x3ee03fff,0x20ff7007,
    0xfd98bffd,0x2affe20f,0x985ffaaa,0x46ffddef,0xff8807fb,0x5ffaaaab,
    0x2aaaffe2,0x3e205ffa,0x26ffe206,0x3fe21999,0x8019999b,0x1fee07fa,
    0x3337ff10,0x4dffc433,0x87fe1999,0xf704fffb,0x37fe600f,0x1fee04b9,
    0xffcccee8,0x555ffc47,0x2e05ffaa,0x0ff7007f,0x3fffffe6,0xd83fdc3f,
    0xfffe987f,0x01ff41ef,0x7fd83fdc,0x3fec1fee,0x7c407f50,0x27ffffff,
    0xfffffff8,0x207ff007,0x7fc407fb,0x227fffff,0x7fffffff,0xfff887fe,
    0x3ffffee4,0x7fec07ff,0x3fee2fff,0x747fffff,0x41efffff,0x8ffb07fb,
    0xfffffffb,0x7ffffdc7,0x7fec47ff,0x05fd82ef,0x2a605ff5,0x2003301a,
    0x5ff505fd,0x7fd417f6,0x3fe20002,0x227fffff,0x7fffffff,0x2e013100,
    0x7ffc407f,0x3e27ffff,0x27ffffff,0x27fe41ff,0xfffffff7,0x5bdb500f,
    0xffffffb8,0x5554c47f,0x2a0bfb00,0x3ffee2ff,0x7dc7ffff,0x07ffffff,
    0x00000026,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x04cc4000,0x00ef5c00,0x441dc391,0x40a980bb,
    0x100ee1c8,0x55500055,0x22155501,0x0bccb881,0x00035530,0xa8805554,
    0x062cb802,0x80006aa6,0xcb800aaa,0x55997100,0x00d54c55,0xaa987260,
    0x1dcc5910,0x6c40ccc0,0x3ee002ff,0x5ff607ec,0x3fe21ffa,0x21be22ff,
    0x03ff57fd,0x8013ffe2,0xff702ffd,0xffa89ffd,0xfb01ffff,0xffb0005f,
    0x13ffe205,0xfcefffd8,0x002ffd82,0x8802ffd8,0xffff707f,0xffd8dfff,
    0x43ffe002,0x3ffb1ffc,0xfd803fee,0x0bfea02f,0x00fab640,0x83fe6bf7,
    0x364f8afb,0xf35fb81f,0x93fd101f,0x1dfb009f,0x3fffff60,0x2b7fe22d,
    0x3ee05ffa,0x3bf6002f,0xf93fd100,0x3f66ee09,0x5ff700ef,0x0077ec00,
    0x309fb951,0x9ff737ff,0x005ff705,0x7fe43ffe,0x3ee3ff90,0x0037f607,
    0x7d400662,0x020406ed,0xfbb7c7f2,0x44010204,0x31006609,0xfdcde803,
    0x90ffd41f,0x009880df,0x98803310,0x04400660,0x88004c40,0x7ffd4019,
    0x37dc0eff,0x098817f6,0x7e439300,0x7dc3710f,0x40033107,0xb5001aaa,
    0x66544019,0x4dfd40ac,0xa806f8df,0xcca802cc,0x02cca802,0x237fe544,
    0x17fa27fb,0x05666544,0x0accca88,0x15999510,0x2b332a20,0x81665400,
    0x215442a9,0xfffcdff9,0xf91bee0e,0x0af2a209,0xffb82620,0x07fa8260,
    0xf3003555,0xca880bff,0xfff00acc,0xff83ffff,0x201fd9ff,0x0effffe9,
    0xeffffe98,0xffffe980,0xffffa80e,0x45ff23ff,0xfff00efe,0xff03ffff,
    0xf03fffff,0x03ffffff,0x3fffffff,0xdffffd30,0x7d46fc81,0x7ddbfa0f,
    0x3fe62ffd,0xa82ffa9c,0x01efffff,0x27fb93ee,0x20f266fa,0xb805fff9,
    0x3e00ffff,0x81ffffff,0x6ffb9abe,0x04fa9ba8,0x7f5577f4,0xeaaefe86,
    0xaaefe86f,0x77fcc6fe,0x3f27feab,0x7401ff97,0x86ffb9ab,0x6ffb9abe,
    0xffb9abe8,0xfb9abe86,0xaaefe86f,0x237e46fe,0x4bfe0ffa,0x744fe9fd,
    0x984fffff,0x6ffeceff,0x7dcbfb10,0x5c01bea7,0x7400ffff,0x3a02ffdf,
    0x06ffb9ab,0x7c40ff70,0x83fee00e,0x3fee1ff9,0xfb87fe60,0xd87fe60f,
    0x47fee0ff,0x00dfb7fc,0x2e00ff70,0x0ff7007f,0xff71fee0,0xf90ffcc1,
    0xf30ffa8d,0x3f6df13f,0x2aeb7ee5,0x5c1dfd01,0x3ff623ff,0xfa9fea5f,
    0xfd03fe27,0x7c405ffb,0x4004ff9f,0x2aa607fb,0x5fb00ffc,0xaaaefd80,
    0x3bf62ffb,0x22ffbaaa,0xfbaaaefd,0xf313fe2f,0x7e5ff27f,0xcaa9804f,
    0x955300ff,0x2aa601ff,0x55300ffc,0x77ec1ff9,0x22ffbaaa,0x87fd46fc,
    0xb3fb9ff8,0x006fecbf,0x3fe21ffc,0x8f3bff64,0xa9fea7fa,0x7cffc45f,
    0x65fea04f,0xcaa9807f,0x7ff540ff,0xfa80ffff,0x741dfe9c,0xffffffff,
    0x3fffffa3,0x3ffa3fff,0x13ffffff,0x3ff887ff,0x3ffa2ff9,0xffffd505,
    0xffea81ff,0x7540ffff,0x40ffffff,0xffffffea,0x3fffffa0,0x1bf23fff,
    0x5ffc1ff5,0x549ff1fe,0x2defffff,0x3fa0bfe6,0x2a09ff15,0xfc9fee6f,
    0x7fcbfd42,0x7fd57f60,0xffffd501,0x6ffd41ff,0x440ffcab,0x5fcff8ff,
    0x55556ff4,0x2b7fa0aa,0x3a0aaaaa,0xaaaaaadf,0xf887ff10,0x744ff93f,
    0x6ffd44ff,0x2a0ffcab,0xffcabdff,0x2af7fea0,0x3fea0ffc,0x20ffcabd,
    0xaaaaadfe,0xf51bf20a,0xb7ffec1f,0x3fe20ffc,0x12ffffee,0x2bfd07ff,
    0xbd303ff9,0x7ec03fdc,0x3e03ff55,0x509ff12f,0xff957bff,0x3ea37ec1,
    0x7cd7e40f,0x37ec1fb4,0xb006fd80,0x17fe00df,0x1ff25ff5,0x8dfb1bfa,
    0x1bf60ffa,0x37ec1ff5,0x6fd83fea,0xdfb07fd4,0xf91ff200,0x7fff441f,
    0x27f44fff,0x5ff97fa2,0xff89ffc4,0x03fee005,0x3fe25ff0,0x3a0ff984,
    0x546fd86f,0x99ffa0ff,0x57ea0fff,0x5c1fb3f9,0x7dc083ff,0x7fdc083f,
    0x97ff4083,0xff90ffe8,0x7fe8dfb0,0xfe83ffe6,0xe83ffe67,0x83ffe67f,
    0x3ffe67fe,0x020ffee0,0xff913ff7,0xffff881f,0x41ffc42e,0x2fff64fe,
    0x360ffd88,0xd30abeff,0x3007fe4b,0x437f41ff,0xffeeeffc,0xf33ff40f,
    0x7ffdc1ff,0xd10ffffe,0x37df7c1f,0x7f77fff4,0xeefffe87,0xefffe87f,
    0x7ffcc7fe,0x3f23ffff,0x87ffddb7,0xfffefffb,0x3bffee0f,0x3ee0ffff,
    0x0ffffeff,0x3ffbffee,0x7fff40ff,0x7fc47fee,0x40ffefff,0x3e009ef9,
    0xffecbcff,0x3ffffe61,0x7ff443ff,0x25ffb4ff,0x3f200ffc,0x0fffeeef,
    0x7ffffff4,0x7ffdc3ff,0x6c0ffffe,0x0ff8dfff,0xefea85f9,0xfffff901,
    0x3ffff20b,0xffff905f,0xfffd30bf,0xfd7fc85d,0x3ff607ff,0x6c0ff8df,
    0x0ff8dfff,0x7c6fffec,0x6fffec0f,0xffc80ff8,0xffb85fff,0x5c0ff8df,
    0xffd9803f,0xe981dfff,0x2a02efff,0x1ff74fed,0xfe803ff2,0x3fffffff,
    0x2aaaffe2,0xffd85ffa,0x880ff8df,0x00200009,0x98800cc4,0x00331001,
    0x04c00131,0x88004c40,0x01310009,0x10002620,0x00130033,0x99880031,
    0x00026001,0xf8800110,0xffaaaabf,0x7ec1fee5,0x00013107,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3fdc0000,
    0x17f67fd8,0x00017fd4,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfd800000,0x005ff505,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x770e4400,0x403165c0,0x54c00a98,0x8154c01a,0x05530aa8,
    0x30aaa800,0x002a9855,0x2a880aa2,0x8770e440,0x037951a9,0xa8802a88,
    0x2a0b9bcb,0xa988009a,0x881b881a,0x2200acca,0xa8801bca,0x055302bc,
    0x55555540,0xfabfec1a,0xefffd81f,0xfffa82fc,0x3ff600df,0x20bfea02,
    0x01ff27fc,0x322ffd80,0x003fdc6f,0xff101ff5,0xabfec09f,0x373f21ff,
    0xf103ffff,0x7f5409ff,0xf10fffff,0xb3017fff,0xfd09ffff,0x7fffdc5f,
    0xfff982ff,0x3fea05ff,0x7dc0efff,0xffff1007,0x5fb89fff,0x37701ff3,
    0xf981dffb,0x404ffcdf,0x3fe02ffb,0xf927fc45,0x3bf6000f,0x3ee37e40,
    0x03fea007,0x09f93fd1,0x07fcd7ee,0xfd9dfff9,0xc9fe881f,0xbeff984f,
    0xfd10ffda,0xff98bfff,0xff83eeef,0x75bff54f,0x1efa8ffd,0xff30df71,
    0xb8fffdbf,0xfff1007f,0x8109ffff,0x64022000,0x201bee6f,0x3ff20098,
    0xfc87fea0,0x01988007,0x07fb8df9,0x3103fea0,0x08100cc1,0x3e65ffc8,
    0x3304c43f,0x7d41ffb0,0x3ffd980f,0x32007bfe,0xa8df90ff,0x983ba0ff,
    0x77f42fb8,0xfb8ffee0,0x01ff1007,0x00af2a20,0x32057951,0x4c1bee5f,
    0x2615442a,0x91bf63ff,0x806ee6df,0xfc82bca8,0x2a03fdc6,0x880ffccb,
    0x55302bca,0x1ff22a88,0x42a993fe,0x227fc2a8,0xff100ffa,0x8003feeb,
    0xf707fe40,0xffb9fd4f,0x1ffccdd5,0x8ff737fc,0x3fe21aa9,0xffffa800,
    0xfffa81ef,0x7fd41eff,0xf903ff98,0x740ffa8d,0xc85ff16f,0x3ffffcef,
    0xefffffa8,0xff71bf21,0x3ffffaa0,0x7ffd40ff,0x37e41eff,0x3fe43fea,
    0x8df92ff4,0x7ff10ffa,0x3e00ffa8,0x531dfb6f,0xeff98003,0x3f23ffaa,
    0xf93bff98,0x3a07fea1,0xf89fee7f,0x2ffe20ef,0x9dff3019,0xff98dffd,
    0xe86ffece,0x3204ffff,0x207fd46f,0x87fb8ffa,0xfecefffc,0x33bfe60f,
    0x1bf26ffe,0xdff10ff7,0x4c1ffb57,0x6ffeceff,0x3fea37e4,0x9ff0ff90,
    0x3fea37e4,0xfa87ff10,0x29ff700f,0xeffffffe,0x3ffea002,0xfcbec3ff,
    0xffb8fdc3,0xf70ffc80,0x2207ff4f,0x44ffffff,0x3fee0efe,0xfb83bfa3,
    0x0fffe43f,0xff51bf20,0x9fd7ff01,0x7ccbff90,0xb83bfa3f,0xe8ff93ff,
    0x20ffd87f,0x3bfa0ffa,0xfc8ffee0,0xfc87fd46,0xf91ffc47,0x3e0ffa8d,
    0x307fe44f,0x3e1dffff,0xfffeefff,0x3a226cc0,0x360dffff,0x2fa85fb7,
    0xff701ff9,0x7fedfee1,0xffeee881,0x10ffe4ff,0x21ffc9ff,0x3fee4ff8,
    0xc89f93ff,0x407fd46f,0xc81ffffc,0x3e4ff87f,0xca7fc43f,0xfffd89ff,
    0x3ea27fc0,0xf10ffe0f,0x2a37e49f,0x44ff90ff,0x1bf20ffd,0x7ff41ff5,
    0x20fffc88,0x7fc3eff8,0x3a1ffcc5,0x5dfd13ff,0xcbecdffb,0xfb8fdc5f,
    0x2e7fc81f,0x002ffcff,0x7fcdffe2,0xff35fe82,0x3e6bfd05,0xfdaffcbf,
    0x3ea37e43,0x6fff980f,0xbfd0ff90,0x3fa0bfe6,0xdfffff95,0x3fe21fff,
    0xf987fd43,0x325fe82f,0xc87fd46f,0x3fffeeff,0x3fea37e4,0x3ffffea0,
    0x3fe20fff,0xfe85fe80,0xfcafff45,0x5cbff20e,0xb5fff99f,0x20ffea1f,
    0x3ffee6fd,0xffb8005f,0xfe83ff89,0xfd07ff15,0xffd9feeb,0x237e42ff,
    0xffd00ffa,0x3e1ff205,0xd07ff14f,0x3ffff2bf,0x3e21ffd5,0x887fd43f,
    0x25fe83ff,0x87fd46fc,0x1efffffc,0x7fd46fc8,0x56fffdc0,0x03ba20ff,
    0x13fe1ff6,0x13fabff1,0x53e67ff1,0x25f8ced9,0x7fc44ff8,0x3feffee4,
    0x87fe4003,0x1ffc45ff,0x3ff88bff,0x7ff44df9,0x7e47fc87,0x40dfd00f,
    0x1ffc47fc,0x3ff88bff,0x09811bf9,0x3ff227fc,0xff117fe0,0x3f23fe47,
    0x031ff90f,0x7fe47fc8,0x3fea1300,0x8ffea000,0x3fe82ffb,0x7fd41ffd,
    0x3f60bf61,0x4c5ffec1,0x5fee0ffd,0x44082ffd,0x3ff66ffb,0x20ffd88b,
    0xfd88bffd,0x5c5ff70f,0x9ffb86ff,0xc80fffc8,0x9ff202ff,0x3f60ffd8,
    0x0ffd88bf,0x7f400df9,0x0fffc88f,0x3622fff6,0x27fee0ff,0xf90fffc8,
    0x27fee00f,0x800fffc8,0x3fe60ffa,0xfffffd01,0x0efb88bf,0xffddfff5,
    0xbbdfe98b,0xfff983fe,0x7dc3ffff,0xa81ffd17,0x0fffffff,0x3fffffe6,
    0x7fffcc3f,0x3fe23fff,0x4ffffeef,0x77ffffc4,0xfffd50ff,0xeeffc809,
    0x7fcc3fff,0x323fffff,0x3fea006f,0x20ffefff,0xfffffff9,0x7ffffc43,
    0x0ff90ffe,0x3ffffe20,0xfa800ffe,0x813ff20f,0x6c3ffffc,0x7f541eff,
    0xd880cfff,0x2202efff,0xb82efffd,0x83bfe67f,0x0cfffffa,0x2efffe98,
    0x5dfffd30,0x7ffffb10,0xffb85ff9,0xf70ff8df,0xfd5007ff,0x2603dfff,
    0x642efffe,0x7fdc006f,0x4c0ff8df,0x702efffe,0x1ff1bfff,0xfb801ff2,
    0x00ff8dff,0x3ea0ffa8,0x5009802f,0x00988035,0x13000220,0x3ee3fdc0,
    0x000cc45f,0x00980026,0x09800130,0x40006620,0x004c0018,0x00098000,
    0x0098004c,0x00130000,0x00011000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x4c055100,0x4401bccb,0x2c802bba,0x032e20ee,0x2aa982a6,
    0x59975100,0x980cb881,0xacba880a,0x2aaaaaa1,0x2a02aa0a,0x0179911a,
    0x45970153,0x5e5d4401,0x79731009,0x02aaa005,0x51003766,0x00154c09,
    0x54599950,0x7100aaaa,0x27ffc403,0x7fffffcc,0xffffd305,0x23fee01d,
    0x3fea3ff9,0x5c37c41f,0x7fdc03ff,0x3ea3ffff,0x437c41ff,0x15fffffb,
    0x3fffffff,0x3fa0bfe2,0x88dfdd54,0xefffd86f,0xfff902fc,0xff709fff,
    0xc803ffff,0x7ff903ff,0x3207fc80,0xfe88007f,0xfff15fff,0x3ffa05ff,
    0xfc9fe882,0x765e74c4,0x77fc43ff,0xf306ffdb,0xc887fa2d,0x80fec1fd,
    0xff503ff9,0x447d999d,0x0fec1fdc,0x3b33ffee,0xfb999915,0x20bfe23f,
    0x1bea24fe,0xb37703fb,0xffd01dff,0xc89fdbbf,0x1fecdfff,0xb807bf20,
    0x3fe401ff,0xb000ff90,0x547557ff,0xff02ffba,0x4c13109f,0x45ff8801,
    0x3fee0efc,0x36010102,0x1013ee1f,0x03ff6033,0x9f70fec0,0x040eff88,
    0x3e23ff30,0x364fe82f,0x013ee4ff,0x4ffb8044,0x3bfe2188,0x13300440,
    0x2a203300,0x2aaaffda,0x3e001ff2,0x2ff9804f,0x5501ff90,0x74001555,
    0x30ffe23f,0x555509ff,0x88fec015,0x2aaaa06f,0x00ffe80a,0x1be23fb0,
    0x30007fea,0x0bfe23ff,0xfd9893fa,0x35306f89,0xff106f2a,0x07ff200d,
    0x05555540,0x80aaaaa8,0xfffffffa,0x655bf27f,0x0bfe201b,0x080bfe60,
    0x5fffff10,0x987fee00,0x3ffea1ff,0x7ffffc45,0x7ec7f602,0xfffff101,
    0x17dff905,0x3fb1fd80,0x8001ff90,0x5ff11ff9,0x3bae9fd0,0x3203fb6f,
    0x2ffffdcf,0x7400bfe6,0xfff1006f,0xfff105ff,0xd99305ff,0x649999ff,
    0x2ffffdef,0x3005ff10,0x910005ff,0x6c05ffb9,0x7d41fffe,0xfeffd88f,
    0x7fee6446,0x3ea2a602,0x3f732204,0xfffe882f,0x515300cf,0x03fee09f,
    0x223ff300,0x34fe82ff,0x09f51379,0x7e77ffe4,0x447fea6f,0x3fe3eeee,
    0xfb991005,0xfb99105f,0x07fc805f,0x3f3bfff2,0x3fffe26f,0x983fffff,
    0x4c0002ff,0x3ffe02ff,0x3fea1eff,0x7fbaffea,0x200bfe60,0xf3000ef8,
    0x3ff2205f,0x3e202fff,0x07ff300e,0xf11ff980,0x209fd05f,0x3f200ef8,
    0x5c3fee5f,0xffff11ff,0x0013fe29,0xf300bfe6,0x07fc805f,0xffb97ff2,
    0xffffff10,0xff307fff,0x2600d405,0xea8802ff,0xffff50ff,0x981bf21b,
    0x2fd802ff,0x00bfe600,0x01fffd71,0xffd00bf6,0xf980a617,0xd05ff11f,
    0x00bf609f,0x0ffa8ff9,0x2aa23ff5,0x017fe4ff,0x300bfe60,0x7fc805ff,
    0xff51ff20,0x005ff101,0x3f605ff3,0x0bfe602f,0xf32ff980,0x05fd87ff,
    0xf500bfe6,0x403dfd59,0x36002ff9,0x74fa82ff,0xfffa81dd,0x3e606fff,
    0xd05ff11f,0x2e9f509f,0x23fe40ee,0x7ff30ffa,0x37f49fd0,0x017fcc00,
    0xf900bfe6,0x2a3fe40f,0x2ff880ff,0xf02ff980,0x7fcc09ff,0x8bfe6002,
    0x1ffc45ff,0x4405ff30,0x6fbc98ff,0x800bfe60,0x7fc42ffa,0x881fef98,
    0x204ffffd,0x13fe1ffa,0x1ff10ffe,0xfc83fdf3,0xf887fd47,0x364fe86f,
    0x7cc002ff,0x17fcc02f,0xfc81ff20,0x4407fd47,0xff9802ff,0x403ff902,
    0x98082ff9,0x3ff20ffe,0xf301ff62,0x217e405f,0x3fe605f9,0x3a60ac82,
    0xe97e40ff,0xff101fbe,0xfd10b983,0x320ffd8f,0xe97e40ff,0x3fe41fbe,
    0xffb83fea,0x24fe889e,0x989bfff8,0x05ff301c,0x5c02ff98,0x8ff902ff,
    0xff880ffa,0x02ff9802,0x5ff30022,0xffffff90,0xefff885f,0x7cc02fff,
    0x98bf502f,0x3fe601ef,0xffffff82,0xbafd43ff,0xf503fdcf,0xfffff30b,
    0xefff987f,0xafd44fff,0x643fdcfb,0x207fd47f,0xfffffffd,0x7ffffdc4,
    0x5ff301ff,0x402ff980,0x27eefff9,0x07fd47fc,0x4c017fc4,0xfb8002ff,
    0x2fffffff,0x3bfffff9,0x3bfff620,0xfffff701,0x3fa25fff,0x82affea0,
    0xfffffffb,0xfffffd2f,0x90fe885d,0x701fffff,0xfffb105f,0x3ffa605f,
    0x87f443ff,0x20fffffc,0x07fd47fc,0x6fffff5c,0xffffd981,0x3fffee0d,
    0xff72ffff,0x05ffffff,0xc9ffffea,0x407fd47f,0xff702ff8,0x05ffffff,
    0x3ffffee0,0x06622fff,0x3ee00600,0x2fffffff,0xfffc85f9,0x3fffee0f,
    0x4cc2ffff,0x5c0bf201,0x04c0001f,0x3f201300,0xfc83f702,0x2007fd47,
    0x40220019,0xfffffffb,0xfffff72f,0x98805fff,0x3ea3fe40,0x02ff880f,
    0xfffffff7,0x0000005f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x65440000,0xaaaaa82b,0x30200801,
    0x15530055,0xa8805530,0x2a22aaaa,0xaaaaaaaa,0x06aaaaa1,0x09aaaa98,
    0x40de5440,0x355102aa,0x806aaaa6,0x2aaaaaaa,0x55555555,0x540d5415,
    0x5555511a,0x42aa0555,0xaaaa81a8,0x85532aaa,0x95302aa8,0x35550037,
    0x7fffd400,0x3fffa0ef,0xfd882fff,0x3f23fb80,0x45ff8807,0x7e404ff8,
    0x3e67ffff,0xffffffff,0xffffff15,0xffff905f,0xff9109ff,0xffd8bfff,
    0xf91ffa80,0x43bfffff,0xfffffff8,0xffffffd5,0x41ffc5ff,0xffff74ff,
    0x3fa0ffff,0xff887f70,0xf97fffff,0xc81ffd8d,0x205fffff,0x1005fff9,
    0x1dd79fff,0x7ff77ff4,0x9affc44f,0x3f24ff88,0xf701accf,0x007fdc3f,
    0x9337fffe,0x6c2aa9f9,0xfdddff15,0xeffc89ff,0x7dc4fffe,0x23fffcdf,
    0x7fc82ffa,0x3fb33ff2,0x3bbfe26f,0xfffd4eee,0x7c5fffff,0x934ff83f,
    0x0999ffd9,0x442fc9fe,0x5eeeeeff,0x27fd4df9,0x7edeffdc,0xffff703f,
    0x83ff5001,0xfd127f40,0xffffa83f,0x7fe46fff,0xe81effff,0x807ff15f,
    0x981ffdfa,0xb2fffc9f,0xe88bfe2b,0x89bf21ff,0x221c87ff,0x13fe25ff,
    0x46fc93fe,0x7ff10ffc,0x41ffb000,0x84ff83ff,0x3e6607fb,0x21bfd99f,
    0x3f203ff8,0x3e0dff16,0x407fec5f,0x802ffdfe,0x4fe807fb,0x7ec27fcc,
    0x642fffef,0xfffeccff,0x7e57fd40,0xffafd806,0xd311f981,0x3fe2bb1f,
    0xf927fcc2,0xd007fc8d,0x4c7fe8df,0x71bf22ff,0x0ffe21ff,0xf89ff300,
    0xb84ff83f,0x3fffe07f,0x10ffffff,0xb7e407ff,0xff881ffc,0x220ffd42,
    0x804ff9ff,0x4fe806fc,0x3fe85fe8,0x7fc89fd1,0x7ec1ffe4,0x7c402ffe,
    0x3f303ff7,0xf15dafb8,0x64bfd05f,0x8037f46f,0x0ffdc5ff,0x37e41ff7,
    0x7fc4bfd1,0x07fec003,0x13fe0ffe,0xfdc81fee,0x24cffcce,0x3f203ff8,
    0xf103ff9e,0x42ff989f,0x40ff97fa,0xcccffec8,0x3fffffc4,0x47f88dfb,
    0x23fe45fc,0xff984ff8,0xf4fb805f,0x8fccbddf,0x15d8fea9,0x4dfb05ff,
    0xffeccffc,0x42ffa801,0x17fa3ff9,0xbffddff9,0x666ffc41,0x9ff102cc,
    0xfffffff0,0x0ff709ff,0x21fe4fa8,0xfffffff8,0x0bfdff95,0xc99bfff8,
    0xaafec3ff,0xfff301ff,0xff8fffff,0x1ff67fff,0x45fb8ff3,0x1ffc47fc,
    0xe801ffc8,0x4dffff1f,0x25dff1f9,0xb05ff15d,0x7fffe4ff,0xff9800df,
    0x3e2bfd05,0x7fffe43f,0x3fe24fff,0x903fffff,0xffff01ff,0x709fffff,
    0x13fb80ff,0xffff10df,0x3ff2bfff,0x7fd405ff,0x42ffffff,0x09ff12ff,
    0x2abbf6a2,0x4effcc2a,0x3fe1bfa1,0xff90ff21,0x3ee2ffb8,0x07ffffff,
    0x4d7fcdf3,0x21fc7e60,0xd05ff15d,0x75f7e4df,0x7f4401ff,0x51ff900e,
    0x16fc81ff,0x3e25ffb5,0x82ccccdf,0x9ff04ff8,0x09ff3333,0x36a60ff7,
    0x1aefbadf,0x2666ffe2,0xff7df909,0xdfed9805,0x3fe61ffc,0xf901bfa0,
    0x889fd00d,0xbefd84ff,0x7fe41ffc,0x4c5ffecc,0x4ccffdcc,0xff99dfb0,
    0x06a3f303,0x10bfe2bb,0x8b7e49ff,0x3fa206fe,0x2bfe600e,0x46fc86fc,
    0x7ff15ff8,0x403ff200,0x84ff83ff,0xfff907fb,0x49ffffff,0x3f203ff8,
    0x8001ffd6,0x3ff20ffb,0x00fffeee,0x3fa01bf2,0x2217fdc4,0x3ffffffe,
    0x7fffffe4,0x01fee00c,0xfffffff1,0x9f13f303,0x85ff15d8,0x9bf22ffb,
    0xfe882ffb,0xecff800e,0x446fc83f,0x07ff14ff,0x7c0bff10,0xb84ff83f,
    0xbff9507f,0x4459dfb9,0x5bf203ff,0x74005ff9,0x7ffff45f,0xb303ffff,
    0x133333df,0x7e4ceff4,0xcbffd85f,0x3f21ffcc,0xf700abcf,0x0fffffff,
    0xff555df7,0xbf33f303,0x37ff15d8,0xfc8bff93,0xd11bfe26,0x155557ff,
    0x03ffffb0,0x7feccdf9,0x9007ff12,0x1ffc03ff,0x3fdc27fc,0x1fdc3fa0,
    0x4ccdffc4,0x7e4df919,0xb999883f,0x3fe21ffe,0x5ffaaaab,0xffffff98,
    0x3ffa2fff,0x4c0dffff,0x26fe82ff,0x993007fc,0xd0999ffb,0xfffff87f,
    0x55759f30,0x3fe2bd55,0x40dfffff,0x17fe46fc,0xfffffff9,0xffff505f,
    0x3fffff20,0x0ffe25ff,0xf80bff10,0xf74ff83f,0x0fffffff,0x4417e4ff,
    0x7fffffff,0x7ffc4df9,0x7ffffdc0,0xd83fdc2f,0xffff987f,0x3a2fffff,
    0x202cefff,0xfc871039,0x07fb8007,0xfff03fe6,0x3ffe61ff,0x15ffffff,
    0x059dffff,0xbff11bf2,0x7fffffe4,0xfff882ff,0xdffff904,0x03ff885b,
    0x3e00ffe4,0xf74ff83f,0x8fffffff,0x207f67f8,0xfffffff8,0xffa8df97,
    0x5efffdc5,0xf505fd80,0x0000005f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2aaaa600,0x5550aaaa,
    0x54c2aa20,0x262aa80a,0x542aa01a,0x5554401a,0x31aaaaaa,0x20135555,
    0x0554c2aa,0x2aa03550,0x2601a982,0x000202aa,0x80f26008,0xcb88bcb9,
    0xca880001,0x154c0acc,0x5d440aa2,0x665441ac,0x599500bc,0x42bca880,
    0xfffffffd,0xb05ff72f,0x22ffc4df,0x13f23ffa,0x09ff0ff8,0xffffff88,
    0xfff95fff,0xff81bfff,0x20fff61f,0xff03fffb,0x204fc87f,0x9f307ffe,
    0x20bd3000,0xfff106fa,0x05fffdff,0xff8077dc,0x321fffff,0x207fd46f,
    0x25fffffb,0x1ffffffa,0x77ffff4c,0xfffffa80,0xddddd91e,0x37f45fff,
    0xff90ffe6,0xf907ff43,0xff87fc09,0x77774404,0xf94eeeff,0x8dffdb9f,
    0xfff13fff,0x7ffff547,0xc8dfff03,0xffff704f,0x0037ff20,0x540fffd4,
    0xb339106f,0x40df79ff,0x57d01ffd,0x7e4dff73,0xf707fd46,0x22bd99ff,
    0x0ba9adff,0x7f5577f4,0x7677fcc6,0x3fe606ff,0xfb0ffdc5,0x2adff10d,
    0x027dc3ff,0x0027fcff,0x3fe41fee,0xfff8bff2,0x5c9fff56,0xf03ffbff,
    0x27e45fff,0x03feffc4,0xb801dff7,0xdf500eff,0xfe9fe600,0x800bf500,
    0x51bf27fb,0x3bfe21ff,0x02ffa840,0xff307fdc,0xf7077f43,0x03ffa07f,
    0x1ffcd7fa,0x6feaffb8,0xf86a5fb8,0x70013fe7,0x21ff20ff,0xfbdf14ff,
    0x449f9fb1,0x7fc0ffe3,0x213f26fe,0x407fadfd,0xf901fff9,0xfffff0bf,
    0x5307ffff,0x03fd33df,0xf9553000,0xf51bf21f,0x807fea1f,0xb01cfff9,
    0xff7555df,0x3e21ffc5,0x03ffb84f,0x0df93ff7,0x82ffffe8,0x22df35fa,
    0x0013fe7f,0x1ff20ff7,0x5f7c53fe,0x04faefbf,0x5ffc0ffe,0xa89f91ff,
    0x807fa8ff,0x3622ffe8,0xffff04ff,0x647fffff,0xffffffff,0x9999911f,
    0x75479999,0x90ffffff,0x90ffa8df,0xffb801ff,0x7ff43fff,0x33ffffff,
    0x8bfd05ff,0x7f405ff9,0x7d402ffd,0x2bf506ff,0x26f89ffb,0x7dc004ff,
    0xfa8ff907,0xdf3df12f,0x7c0bf57f,0xfb3ff03f,0x7fd13f2b,0x7cc01fea,
    0x0bff91ff,0x7d41bea0,0xaaaefbae,0xfffff30a,0x3eabffff,0x0ffcabdf,
    0x0ffa8df9,0x71001ff7,0x7f49fffd,0x0aaaaaad,0xbfd07ff1,0x5c00ffe8,
    0xf9806fff,0x2df305ff,0x26f8bffe,0x7dc004ff,0x955ff907,0xfafccdff,
    0x205fa9ff,0x53ff03ff,0x649f93ff,0x201fea6f,0x7e41fff9,0x37d400df,
    0x0df32fd8,0x55555544,0x8dfb1aaa,0x8ff90ffa,0x7ff50ffc,0x27ff9800,
    0xbff006fd,0x3ee3ff88,0x5ffd002f,0x3ffffd00,0xfdf1df30,0x27fcbf3d,
    0x641fee00,0x0effffff,0xab7e57e6,0x40ffe05f,0xf99fd1ff,0xfa87fe69,
    0x077fdc07,0x200effb8,0x27fb06fa,0x00001ffc,0x7ffccffd,0xf913ff70,
    0x3ffe21ff,0x2022530b,0x0ffee6fe,0x117ffb02,0x3fe61ffb,0x01ff2005,
    0x1bff3fea,0x3ebefbe2,0x13fe5faf,0x320ff700,0xa82bccff,0x3e69f55f,
    0x7c0ffe06,0x9fbff71f,0x3ffffff2,0x7e40ffff,0x7fd400df,0x2079301f,
    0xffefdffa,0x3bee06dc,0xfefffb80,0xfff10fff,0x541ffdff,0x56ffffff,
    0x7fffbddf,0xfeefffe8,0x7ffffcc7,0x03ffa3ff,0xe807fb80,0x885ff96f,
    0xfbf97dff,0x20027fcb,0x0ff907fb,0x3e60bf50,0x7c0ffe06,0x53fffe1f,
    0xfffffffc,0x3ff60fff,0x3ffa6004,0xffd88001,0x40bfffb4,0xffb01ffd,
    0x5c1ff1bf,0x0ff8dfff,0xa7ffff4c,0x3efffffa,0xbfffff90,0x5dfffd30,
    0x4cce7fdc,0x0ff70099,0xff12ffb8,0xafffc41f,0x3fe4fff9,0x2019999c,
    0x0ff907fb,0x3e60bf50,0x3fe66627,0x87fe099c,0x3314fffb,0x33ff7333,
    0x88003f98,0x3ffff24e,0x0440ffff,0xbd500262,0x30009880,0x10088001,
    0x26200133,0xff013001,0x7fffffff,0xf881fee0,0x227fdc6f,0x3ffe2fff,
    0x3fffffe4,0x0ff701ff,0x3ee01ff2,0x7dcff304,0x3fffffff,0xfff887fe,
    0x003fd404,0xfffc8000,0x000fffff,0x00000000,0x00000000,0x7ffc0000,
    0x03ffffff,0x7fe40ff7,0xf07ffc42,0x1ffe41ff,0xffffffff,0x641fee03,
    0x04fb807f,0x7ffdcff1,0x3e3fffff,0x027fe41f,0x00001fea,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x6546a600,0x9712a81b,
    0xaaaaa885,0x06aa22aa,0x79950aaa,0x2a01aa83,0x2205530a,0xccb880aa,
    0x2c98a882,0x264c0393,0x0006f2a0,0x35015440,0xccb9824c,0x06666441,
    0x7300cc98,0x551005c1,0xb883ea80,0x666542cc,0x730ccccc,0xba82ee67,
    0x7ee7e41b,0x3fe22fff,0x2a5ffffb,0x7fffffff,0xff50ffec,0x7ff7fcc5,
    0xfe813f61,0xf905ff52,0xfbbdf70f,0x7fe7d41d,0x503fffaf,0x3ffa20ff,
    0x20fa24ff,0x20bf303d,0x3ff88ffa,0x17ffffd4,0x43fffff5,0xd01fffd9,
    0xd81fea7f,0x3ffe01ff,0x3ffffe22,0x3fffff25,0x2ff90fff,0x7fe40ffa,
    0x33bfff22,0x3ffe26ff,0xd32ffdcf,0x8bffdddd,0xbff16ff8,0xc93ea088,
    0xf83fe05f,0x227fc45f,0xe9bcccf9,0x3f37fea6,0xf505fcef,0x2a77f20f,
    0x47ff71ff,0x22ba0ffd,0x7ec3d8cf,0xad81ff55,0x4c625ffa,0x3fbea2ff,
    0xf16fb81f,0x3fbea05f,0xd93ffa06,0x32ffa8cf,0x55555555,0x7fd5bee1,
    0xf91ffa80,0x887fdcbf,0x0ffe1fff,0x5407ff44,0x80ffdcff,0x2e5fecc9,
    0x3e27916f,0xf507fe47,0xcf8ce83f,0xff53f8de,0xdf33ff31,0x7f41fea0,
    0xffd8bf61,0x3ea1ffdb,0x46fedfdf,0x0bf92ff8,0x95313fe2,0xff8981ff,
    0xfd8ffcc1,0x3f63fa04,0x7c9ff302,0x000ff20f,0x03fcdbee,0x51ff2131,
    0x0ffe21ff,0x3ff60597,0x3ffff201,0xfdcffa82,0x7fddfea5,0x7fcc6f98,
    0x3f11bf63,0x536bb5f1,0x26df35fa,0xfb99917f,0x3fa7999f,0xffb0bf61,
    0xff9103ff,0x5bf205df,0x7f441ff9,0x67ffdc0f,0x641ff880,0x201ff35f,
    0x01ff13fb,0x21ff8bfe,0x999953fd,0x3ea19999,0x6400ff35,0x887fd47f,
    0x3ee002ff,0x7ffc403f,0x3ee7fb05,0x3fa3fe65,0xfe85fabf,0xf985ff16,
    0xd90eef88,0x9b7cd7ea,0xfffff37f,0x3f6bffff,0x440ffa8d,0xfb304fff,
    0xf9817fff,0xe889fb1f,0xea9881ef,0x41ff886f,0x0bfb1ff8,0x44fc8df1,
    0x77ec6fc8,0xff91ffca,0x21ffffff,0x007912c9,0x3fea3fe4,0x2005ff10,
    0xf9805ff9,0xffb80fff,0x3fe25ffe,0x4fbefffa,0x7fb8ffa8,0xe9f8af88,
    0x4d7ea9b3,0x2a2ff36f,0xaaaffcaa,0x7fffff31,0x87ffffb0,0xfedfcffa,
    0xffb9ff46,0x2afffa60,0x2fec4622,0x857ff751,0x2ff88efb,0x3fe217ec,
    0x881bffd1,0x263ffffe,0xaaaaaaaa,0x3f200000,0xf887fd47,0xeff8802f,
    0x7f7fc400,0x9179705f,0xfbfdff85,0x7ff03fdf,0x23b609fd,0x52fafb8f,
    0x7cdbe6bf,0x440ff507,0xffd81ccc,0x4ec3ffd9,0x7d4794f8,0xfb85ff16,
    0xf90fffff,0x7d43ffff,0x740fffff,0x198df54f,0x06ae1310,0x00015550,
    0x7fc80000,0xff887fd4,0x9affe802,0x8ffd8199,0x4cc43ffc,0x3f609999,
    0x2fffc8ff,0x03ffff90,0x5fa837e2,0x9b7cd7ea,0x20ff507f,0x09999998,
    0x7fec3ff7,0x2605f980,0x332a0a20,0x332a4ccc,0x6664c09b,0x142984cc,
    0x00000000,0x64000000,0x887fd47f,0x7fd402ff,0x5c7fffff,0x83ffa2ff,
    0x2ffffffd,0x7fcdbff2,0xdfff301f,0xffffe880,0x6f9afd43,0x1fea0ff3,
    0x7fffffec,0x40720762,0x000002a8,0x00000000,0x00000000,0x64000000,
    0x887fd47f,0x7fdc02ff,0x267fffff,0x37fcc5ff,0x39999997,0xfff1ffdc,
    0x01fff401,0xfa809a98,0x1fe6df35,0xccb81544,0x0001cccc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x66640000,0x00cccccc,
    0x6440bbb8,0xdfb10ee1,0x11101983,0x226cc111,0x3bbba4d9,0x2eeeeeee,
    0x09999993,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3ffffffe,0x7fec00ff,0xff57fc82,0x97ffff43,0xffff07f8,0x8a7ffc9f,
    0xffff3fff,0x7fffffff,0x1fffffea,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x55555554,0x3bf600ff,0x3e6bf700,0xf93df30e,
    0x320bfb9f,0xff12cccc,0x53ffe2bf,0x99999999,0x77730999,0x00000777,
    0x00000000,0x00000000,0x00000000,0x00000000,0xff000000,0x20066201,
    0xc93ee040,0x0001ffff,0x7fec3ff9,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00001ff0,0x0e64c000,0x22022000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000660,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_bold_21_latin1_x[224]={ 0,4,2,0,0,0,0,4,2,2,1,0,2,2,
3,0,0,1,1,1,0,1,1,1,1,0,3,2,1,1,1,2,0,0,1,0,0,1,1,0,0,1,1,1,
2,0,0,0,1,0,1,1,0,0,0,0,0,0,1,3,1,2,0,0,0,1,1,1,0,1,0,0,1,1,
1,1,1,0,1,0,1,0,1,1,0,1,0,0,0,0,1,1,4,2,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,1,0,0,0,
4,0,0,0,2,1,1,2,0,0,1,1,2,2,0,1,0,3,4,2,2,1,0,0,0,1,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,
 };
static signed short stb__consolas_bold_21_latin1_y[224]={ 15,0,0,1,-1,0,0,0,-1,-1,0,4,11,8,
11,0,1,1,1,1,1,1,1,1,1,1,4,4,3,6,3,0,0,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,1,17,0,4,0,4,0,4,0,4,0,0,
0,0,0,4,4,4,4,4,4,4,1,4,4,4,4,4,4,0,-2,0,7,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,15,4,-1,1,1,1,
-2,0,0,1,1,5,8,8,0,0,0,2,0,0,0,4,0,7,15,0,1,5,0,0,0,4,-3,-3,-3,-3,
-3,-3,1,1,-3,-3,-3,-3,-3,-3,-3,-3,1,-3,-3,-3,-3,-3,-3,4,-1,-3,-3,-3,-3,-3,1,0,0,0,
0,0,0,-1,4,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,2,0,0,0,0,0,0,0,
 };
static unsigned short stb__consolas_bold_21_latin1_w[224]={ 0,4,8,12,11,12,12,4,8,7,10,11,6,7,
5,11,12,10,10,10,12,10,10,10,10,11,5,6,9,10,10,8,12,12,10,11,12,9,9,11,11,10,9,11,
9,12,11,12,10,12,11,10,11,11,12,12,12,12,10,6,10,7,11,12,8,10,10,9,11,10,11,11,10,10,
9,11,10,11,10,11,10,11,10,10,11,10,12,12,12,12,10,9,3,8,12,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,0,4,9,11,12,12,
3,11,10,12,8,10,10,7,11,9,9,10,8,8,11,11,11,5,4,8,8,10,12,12,12,8,12,12,12,12,
12,12,13,11,10,11,10,10,11,11,11,11,12,11,12,12,12,12,12,10,12,11,11,11,11,12,10,11,11,11,
11,11,11,11,12,9,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,12,10,12,
 };
static unsigned short stb__consolas_bold_21_latin1_h[224]={ 0,16,6,14,19,16,16,6,21,21,10,11,8,3,
5,18,15,14,14,15,14,15,15,14,15,14,12,15,13,7,13,16,20,14,14,15,14,14,14,15,14,14,15,14,
14,14,14,15,14,18,14,15,14,15,14,14,14,14,14,20,18,20,8,3,5,12,16,12,16,12,15,16,15,15,
20,15,15,11,11,12,16,16,11,12,15,12,11,11,11,16,11,20,22,20,5,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,0,16,19,14,14,14,
22,18,5,15,11,9,6,3,11,5,8,13,9,9,5,16,18,5,4,9,11,9,15,15,15,16,18,18,18,18,
18,18,14,18,18,18,18,18,18,18,18,18,14,18,19,19,19,19,19,10,19,19,19,19,19,18,14,16,16,16,
16,16,16,17,12,15,16,16,16,16,15,15,15,15,16,15,16,16,16,16,16,12,16,16,16,16,16,20,20,20,
 };
static unsigned short stb__consolas_bold_21_latin1_s[224]={ 255,241,238,193,156,51,25,251,9,18,138,
106,210,83,64,39,24,97,114,13,120,245,178,159,196,228,248,189,144,227,133,
169,73,240,138,167,89,206,149,155,170,182,108,216,51,84,108,220,73,182,102,
74,61,118,125,38,25,12,1,94,112,86,198,70,247,190,63,212,98,233,225,
208,214,191,63,233,237,94,1,244,134,157,12,222,202,201,69,56,34,50,23,
101,5,111,35,77,77,77,77,77,77,77,77,77,77,77,77,77,77,77,77,
77,77,77,77,77,77,77,77,77,77,77,77,77,77,77,77,77,255,246,120,
1,26,50,1,207,24,207,47,187,1,83,82,48,217,154,160,169,12,86,27,
58,251,178,118,149,85,49,130,232,14,1,14,64,219,51,63,77,89,100,136,
147,244,170,195,232,13,158,130,143,1,168,181,127,194,207,219,231,243,123,39,
112,124,136,148,160,39,27,165,98,172,88,76,64,62,179,1,37,100,143,220,
74,110,13,1,178,196,38,184,145,122,26,52,39, };
static unsigned short stb__consolas_bold_21_latin1_t[224]={ 1,43,126,96,1,43,63,43,1,1,126,
126,126,138,138,24,80,111,96,80,111,63,63,96,63,96,80,63,111,126,111,
63,1,96,96,80,96,96,96,80,96,96,80,96,111,111,111,63,111,24,96,
80,111,80,96,111,111,111,111,1,24,1,126,138,126,111,63,111,63,111,80,
43,80,80,1,63,80,126,126,111,63,63,126,111,80,111,126,126,126,63,126,
1,1,1,138,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,
96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,96,1,43,1,
96,96,96,1,24,138,63,126,126,138,138,126,138,126,111,126,126,138,63,24,
138,50,126,126,126,80,80,80,43,43,44,24,24,24,24,96,24,24,24,24,
24,24,24,24,24,96,24,1,1,24,1,1,126,1,1,1,1,1,24,96,
43,43,43,43,43,43,43,111,80,43,43,43,43,80,80,80,80,43,80,43,
63,63,63,63,111,43,63,43,63,63,1,1,1, };
static unsigned short stb__consolas_bold_21_latin1_a[224]={ 185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_21_latin1_BITMAP_HEIGHT or STB_FONT_consolas_bold_21_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_21_latin1(stb_fontchar font[STB_FONT_consolas_bold_21_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_21_latin1_BITMAP_HEIGHT][STB_FONT_consolas_bold_21_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_21_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_21_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_21_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_21_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_21_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_21_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_21_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_21_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_21_latin1_s[i] + stb__consolas_bold_21_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_21_latin1_t[i] + stb__consolas_bold_21_latin1_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_21_latin1_x[i];
            font[i].y0 = stb__consolas_bold_21_latin1_y[i];
            font[i].x1 = stb__consolas_bold_21_latin1_x[i] + stb__consolas_bold_21_latin1_w[i];
            font[i].y1 = stb__consolas_bold_21_latin1_y[i] + stb__consolas_bold_21_latin1_h[i];
            font[i].advance_int = (stb__consolas_bold_21_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_21_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_21_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_21_latin1_s[i] + stb__consolas_bold_21_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_21_latin1_t[i] + stb__consolas_bold_21_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_21_latin1_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_21_latin1_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_21_latin1_x[i] + stb__consolas_bold_21_latin1_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_21_latin1_y[i] + stb__consolas_bold_21_latin1_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_21_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_21_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_21_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_21_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_21_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_21_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_21_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_21_latin1_LINE_SPACING
#endif

