// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_30_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_30_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_30_latin1_BITMAP_WIDTH         256
#define STB_FONT_courier_30_latin1_BITMAP_HEIGHT        188
#define STB_FONT_courier_30_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_courier_30_latin1_FIRST_CHAR            32
#define STB_FONT_courier_30_latin1_NUM_CHARS            224

#define STB_FONT_courier_30_latin1_LINE_SPACING          14

static unsigned int stb__courier_30_latin1_pixels[]={
    0x13300400,0x002e0000,0x880006a0,0x002e002e,0xa8000110,0x20044001,
    0x70021999,0x2000d800,0x00026000,0x01000298,0x00388020,0x0004c0c4,
    0xddd306c8,0x03b20000,0x0007f300,0x76400fe2,0x07fa6000,0x00076400,
    0x77c03df3,0x6c0791ee,0x0079000d,0x03c800fc,0x8003f500,0x3c802fe9,
    0x6c003760,0x0013e60f,0x0d3003b6,0x00f5c000,0x20013a60,0x6ec403f8,
    0x26bee000,0x076c003f,0x7f53f700,0x00f203e0,0x0f3001d9,0x6c403640,
    0x0f5c001d,0x3a6bea00,0x3201e404,0xc84a800e,0x01762002,0x2000034c,
    0x744000fa,0x9d000004,0x220ec800,0x00bb004e,0x13a20ec8,0x200f203e,
    0x03d800fb,0x32205f30,0x02eefddf,0x2e000764,0xc81b621e,0x000fb803,
    0x00730000,0x4000034c,0x00020000,0x0c000c00,0x00060030,0x80f81806,
    0x2003003c,0x41760069,0x017d40cd,0x30040002,0x01801e40,0x33013331,
    0x30000033,0x0055d44d,0x98803530,0x19998099,0x4ccccccc,0x0006a600,
    0x331006a6,0x43333013,0x99809998,0x0f203e19,0x00266662,0x1f5002e8,
    0x20720788,0x00099998,0x004cccc4,0x333331e4,0x6c333333,0x3ee2ffff,
    0x26625fff,0x30133101,0x3b737f2d,0x7677d405,0xffffb04e,0xaffffdc5,
    0xfffffffa,0xeecefa84,0xecefa804,0xffffb04e,0xaffffdc5,0x2e2ffffd,
    0x01f5ffff,0xffff9879,0x0d5000ff,0x016a1fc0,0xffffff30,0x3ffe6001,
    0x9e400fff,0xfffffffd,0x1661ffff,0xfffd07a0,0x0effe883,0x6406ef4c,
    0xbb01d905,0x07a01660,0x03b225c0,0x80ec8176,0xd00b305d,0x1e805983,
    0x900f203e,0x174007b7,0x01f86e80,0x00f6f200,0x201ede40,0x3a01643c,
    0x07a01661,0x20d500f6,0x226405f9,0x20f200eb,0x001e8059,0x90075c97,
    0x6401d707,0x1e805983,0xf0f402cc,0x8f803501,0x016a0069,0x56fdc3ec,
    0x34c7c000,0x0698f800,0xd00b21e4,0x0f402cc3,0x40ba034c,0x13c401f9,
    0x983f003f,0x7001e805,0x3e007e29,0x3e007e21,0x0f402cc1,0xf87a0166,
    0x3a5a8000,0x2007a001,0xfdb880fb,0xd2d400ce,0x3a5a8003,0x0590f201,
    0x201661d8,0x2607b01e,0x7401e606,0x12e00b71,0x003d00b3,0xb802dd2e,
    0x25c016e4,0x307a0166,0x07c3d00b,0x09916c00,0x7d402dc0,0x01ec9801,
    0x4004c8b6,0x3c81322d,0x98102164,0xd301e805,0x07980b60,0x400b63d0,
    0x7402cc68,0x0b697001,0x005b3440,0xd00b31a2,0x1e805983,0x1f10003e,
    0x1f1003c4,0x2000fb80,0x441f104b,0x883e2007,0x8590f207,0x2016602c,
    0xd30f601e,0xf800f980,0x23c003d0,0x001e8059,0x78007a97,0x4c78007a,
    0x2cc1e805,0x301f0f40,0x0ba12e01,0x3e404c80,0x2e0d3006,0x97002e84,
    0x90f205d0,0x405d5559,0x201e8059,0x26016c69,0x1f2dc04f,0x0b307400,
    0x52e003d0,0x7c3a000f,0x5983a000,0x02cc1e80,0x7901f0f4,0x016a07a0,
    0x1b600f88,0xe81e401f,0x3d005a81,0x90f20b50,0x405d999b,0x401e8059,
    0xd300d32d,0xe83ee07d,0x0b31e001,0x52e003d0,0x1e9e001e,0x00b31e00,
    0xe805983d,0x20f203e1,0x999999f8,0x8132000f,0x54077c4f,0x999f880f,
    0x4400f999,0xf999999f,0x21643c80,0x2016602d,0x3db4c01e,0xced8e980,
    0x16c1edba,0x02cc6880,0xb4b800f4,0x2d9a2005,0x0598d100,0x402cc1e8,
    0x0f203e1e,0x3fffffee,0x3e2003ff,0x5fc0f980,0x01dfdcee,0xfffffff7,
    0xfffb807f,0xc83fffff,0x802a1643,0x800f8078,0x4d3006cd,0x9702ccb9,
    0x0f112e00,0x52e001f0,0x5c97004b,0x78897004,0x03c40f80,0x7901f07c,
    0x034c01d0,0x21b60f60,0xd0037660,0x3a034c01,0x0f21a600,0x74588059,
    0x4c01e602,0x00d3003f,0xf8803f10,0x1e602e81,0x03f14b80,0x07e21f88,
    0x05d03f10,0x202e83cc,0x1e407c79,0x007a01a6,0x017c4798,0x01a601e4,
    0x4034c07a,0x0b21e41e,0x205c8d30,0x00f3004d,0xea80034c,0x2e40f200,
    0x1ec009b0,0x41e401d5,0x40f200ea,0x6413605c,0x01f13605,0xb803c879,
    0xd916c004,0x7900f200,0x0f209700,0xc87912e0,0x3a234c02,0xb0036c1d,
    0x0034c007,0x5d883d90,0xdb077a20,0x320fc400,0x902ec41e,0x205d883d,
    0x036c1de8,0x86d83bd1,0x8791deef,0x0078800f,0x2003f34c,0x4007c03c,
    0x1001f078,0x01643c8f,0x3bf621a6,0xf3000dfe,0x00069800,0x1f76ffd4,
    0x7f77ec40,0x2e23300d,0xdbff504e,0xbff5007d,0xfb1007dd,0x8801bfdd,
    0x80dfeefd,0x2110aaaa,0xc84ffffc,0x2004ffff,0x00980060,0x909ffff9,
    0x3f29ffff,0xffc84fff,0x3f6114ff,0xffffffff,0x2a6206ff,0x801ec000,
    0x0ffffff9,0x00151000,0x5c015310,0x802dffff,0xa88000a8,0x0a988000,
    0x0054c400,0x00000000,0x00000000,0x00000000,0xe8000000,0x03ffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40040000,0x1c0001ca,0x99000880,
    0x00801d98,0x4ccc40e0,0x01004400,0x01100000,0x00071003,0x100006aa,
    0x4400a00b,0x20c00981,0x00c04401,0x40055440,0x22b201fc,0x4e88000d,
    0x801ef980,0x2017d46f,0x2ec400f8,0x203feed8,0x3db01ef9,0x223fea80,
    0x3ea3f402,0x800dd803,0xbffddfd9,0x02640059,0x0fd8036c,0x23b013e6,
    0x2a3f4069,0xbfd1003f,0x16a01dfb,0x40039960,0x9fb803e9,0x080403fa,
    0x74405d80,0x2e079004,0xd503fa9f,0x7e4d7440,0x21dc03fc,0x1d9001c8,
    0x2a2174c0,0x3e2006ee,0x8017a200,0x7402c84a,0x43b80b51,0x2fa801c8,
    0x02d81fb8,0x400391c8,0x0ec802f8,0x000013a2,0x3f8807e6,0x3b20f200,
    0x07413a20,0x00037100,0x407dc000,0x1be201e8,0x3a204b80,0x20000004,
    0x0000b50f,0xf500fc40,0xc8801e81,0x0008002d,0x26620c03,0x90133101,
    0xc800300d,0x74060183,0x001a9801,0x20001a98,0xb5009901,0x3100fc00,
    0x4ccccc00,0x20199999,0x9880970f,0x9b000999,0x01e89900,0x00266662,
    0x4cccccc4,0x26662099,0x3a099999,0x7f441fff,0x20fe20ef,0x99999999,
    0x4c790199,0x99999999,0x2a01e819,0x804eecef,0x04eecefa,0x26666662,
    0x4003a099,0x330b7000,0xfb0ccc03,0xffffffff,0x4b9e03ff,0x3ffffe60,
    0x007c400f,0x203d07c4,0x0ffffff9,0xfffffe80,0x3ffa5fff,0x45ffffff,
    0x5c35403d,0x7fffec0f,0x1fffffff,0xffffb3c8,0x3fffffff,0x01d901e8,
    0x407640bb,0xffffd05d,0x1a2bffff,0x707a0000,0xffb07fff,0x7402c85f,
    0x00f27881,0x5403dbc8,0x1e87a005,0x007b7900,0x1e400790,0x05d01a60,
    0x201640db,0x1643c81e,0x703d07a0,0x5c1e401d,0x200f200e,0x000b503c,
    0x3d106a80,0x02c83540,0x9fb990f4,0x80399bd9,0x25c0698f,0x00fc5900,
    0x800698f8,0x00f2003c,0xf834c0f6,0x3d00b205,0x402c8790,0x3e216c1e,
    0x3e21f801,0x6401f801,0x0000b503,0x41aa02e8,0x805901f8,0x2bb2aa1d,
    0x200aacea,0x3c807a5a,0x03dcee00,0x0007a5a8,0x01e40079,0xf02d834c,
    0x36016409,0x01643c81,0x5c1b7076,0x2dc97005,0x1e404b80,0x200005a8,
    0xd84c806a,0x0810b204,0x800f4b50,0x4b81322d,0x0bfab200,0x009916c0,
    0x0f2003c8,0x41a61ec0,0x10b203f8,0x2c879008,0x8ff40204,0x6cd1002d,
    0xc80d1002,0x0000f303,0x0fc40174,0x642c80d5,0x07a4a802,0x07883e20,
    0x89e8016a,0x20f8806c,0x01e40078,0x1a600790,0x9027c05b,0x3c802c85,
    0x500b2164,0xf000f43d,0x80f000f4,0x0003e03c,0x6a801a60,0xacc803d1,
    0x26602eaa,0x09af99dc,0x40ba12e0,0x0f8800f8,0xd097003e,0x001e4005,
    0x996c0079,0x9902fc06,0x9005d555,0xeaaacc87,0x03e16c02,0x001f0e80,
    0x40790074,0x6c03005b,0x2666c003,0x76666e40,0xfffff502,0x740bffff,
    0x13205a81,0x803d1320,0x2005a81e,0x00f2003c,0xe807b698,0x33337206,
    0x643c802e,0x402ecccd,0xf000f41e,0x80f000f4,0x201f403c,0x00f980fb,
    0xc8037c40,0x9e4016c2,0x99f88078,0x100f9999,0x207d403f,0x267e201e,
    0x000f9999,0x01e40079,0x2e01b360,0x05b0b207,0x6c2c8790,0x0b60f402,
    0x005b3440,0x807901a2,0x76440de8,0x20007901,0xa859003c,0x0f12d800,
    0xffffff70,0x1fcc07ff,0x00f40fdc,0xfffffff7,0x00f2007f,0x7cc003c8,
    0x902f8803,0x3c800a85,0xd002a164,0x97004b83,0x04b8025c,0x7e4401e4,
    0x2204fede,0x0790000f,0x0b100b20,0x3a01a65b,0xb301a600,0x201bfbbf,
    0x9803a01e,0x40079006,0x03cc003c,0x00b20bb0,0x2c8790b1,0x107a2c40,
    0x21f8803f,0x0fc401f8,0x97000f20,0x00099003,0x02c801e4,0x598f434c,
    0x0f4034c0,0x200576c0,0xd00d301d,0x40079003,0x01ec003c,0x05903f30,
    0x643c8698,0x07a34c02,0x83c803aa,0x00f200ea,0x1b5000f2,0x0000f880,
    0x016400f2,0x2d43a1a6,0x12e00f20,0xabccfe98,0x412a2c98,0x804b803c,
    0x00f2003c,0x4d800798,0x434c02c8,0x2601643c,0x1ec81a66,0x3d902ec4,
    0x79005d88,0x40598800,0x1e40005b,0x34c02c80,0x7c04a87c,0x3e078800,
    0xffdcabce,0x3e0f740c,0xc8078800,0x800f2003,0x0f98003d,0x65a60164,
    0x01643fee,0x2017e5a6,0x03eedffa,0x3eedffa8,0x4400f200,0x0f404cce,
    0xb00f2000,0xffffffff,0x4c70dfff,0x9ffff901,0x09ffff90,0xf9098000,
    0xff909fff,0x7fff49ff,0x3a6fffff,0xffffffff,0x3fffffa6,0xfb0c003f,
    0xffffffff,0x2aaa6dff,0xffffffb0,0x06dfffff,0x00015100,0xffd00151,
    0x0dffffff,0x00080098,0xfffffff0,0x0000000d,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x08018188,0x00010000,0x00400000,0x33310000,
    0x00010013,0x15c40010,0x80000400,0x4ccc4000,0x59970099,0x15400400,
    0x288ffaa0,0x433f6600,0x983f6038,0x00be204f,0x2000f500,0x5544007a,
    0x1f882dc0,0xcccea800,0x17c406cc,0x400f5000,0x22005aad,0x3d40001f,
    0x676fed40,0x6f442ced,0x32205fbb,0x1fe01cff,0xcfd9ae98,0x15d1003f,
    0x5409f9f9,0x7cc01c84,0x03f70003,0x2003f700,0x8efddfe8,0x0be600f9,
    0x01605980,0x2e000fe6,0x6473001f,0x00be6000,0x3600f5c0,0x093398be,
    0x741360f6,0x3e01f50b,0x00dc4007,0x000ae200,0x009d3000,0xc8000ec8,
    0x05f5000e,0xd3005ff7,0x5806e009,0x4009d300,0x562000ec,0x4e980058,
    0x20076400,0x24ce62fb,0xa8698354,0x0df04b85,0x00999988,0x4cc03310,
    0x4cccc419,0x88009999,0x00322004,0x44003220,0x003fa01f,0x15c006c4,
    0x00488000,0xb5000191,0x1620003b,0xd800c880,0xd8499cc6,0x05903e02,
    0x981be0f1,0x00ffffff,0x541fffcc,0x3fa5ffff,0x5fffffff,0x00000000,
    0x9026c000,0x8000099b,0x00000eda,0x00000000,0x00000000,0x12673176,
    0x2074403e,0xbd06982c,0x01ede400,0x3a00ff98,0x9881e401,0x40998809,
    0x99880998,0x055d4400,0x3aa01f10,0x75100f88,0x88bd8015,0xba88003e,
    0x7751001b,0x2aea2003,0x2eea2000,0x77510009,0x731f2013,0xf70f1126,
    0x222c81ff,0x00bd02fa,0x98034c7c,0x007a05be,0x0fff2079,0xff917ffa,
    0x20bffd07,0xdfdcdffb,0x3f305a80,0x37fee0ec,0x0b00dfdc,0x3f2003b7,
    0x201efdcf,0x1efdcffc,0xfb9bff70,0xcdfa801b,0x7d402eec,0x982eeccd,
    0x224ce64f,0x7456e469,0xeff99640,0x2a00bb00,0x5a6007a5,0xc803d01e,
    0xb501e403,0x05a80f20,0x2e0f2033,0x1e42e884,0xc81e4066,0x200cd881,
    0x17dc41de,0x3ee20ef4,0x07901982,0x1f4c0f64,0x3e981ec8,0x33bbde98,
    0x83e26989,0x3261640e,0xb004d82f,0xb4c02645,0xc803d06a,0xb501e403,
    0x05a80f20,0x1e40f880,0x001dc26c,0x07b101f1,0x01b20ba6,0x203641d7,
    0x3e2000eb,0x2200f980,0x1007cc0f,0x4f6e601f,0x89734c49,0xf981640e,
    0x7c402641,0x9a601e20,0x6401e83d,0xb501e403,0x05a80f20,0x44b81f00,
    0x8005905b,0x2076e00f,0x4017c2d8,0x3a00be3e,0x6c07c003,0x16c4b802,
    0x4e6025c0,0x8d334c49,0xd501640e,0x84b803c8,0xf134c02e,0x1e401e81,
    0x05a80f20,0x502d4079,0x1f9bddd9,0x403ea5a8,0xeeeca81e,0x6c400fcd,
    0x557ccb04,0xcaaaaaaa,0x55555f34,0x50995555,0x1f9bddd9,0x8d3001f0,
    0x4069800f,0x46989339,0x2c81d1ce,0x001107c0,0x980b503d,0x007a2646,
    0x203c8079,0x5407905a,0x3357dd05,0x8f881f73,0x81f101f8,0xb999abee,
    0x43b5000f,0x3333e658,0x3ccccccc,0x999999f3,0xee879999,0x0fb999ab,
    0x78f10078,0x3980f100,0x220f8893,0x1644ffeb,0xf10007a0,0x1f333333,
    0xd0f434c0,0x6403c803,0x1e416a03,0x80bb0b50,0x03ecc80f,0xf80bb132,
    0x6ee64000,0x22001e21,0x80bb0007,0x9800e80f,0x34c00746,0x7c24ce60,
    0x01164002,0xffb8003f,0x03ffffff,0x1e9aa1a6,0x0f201e40,0x407905a8,
    0x7c01f85a,0x2a05f880,0x3e00fc0f,0xd01d8000,0x005d0005,0x80f803f0,
    0x6c4c803d,0x4c04c803,0x009b0933,0xf983e2c8,0x01d00260,0x20d3034c,
    0x3c803d3d,0x5e982540,0x17a60950,0x80fc803a,0x1fb83feb,0x03f200e8,
    0x26073014,0x3e60800f,0x803a0800,0x00f880fc,0x01f103e6,0x4e6007cc,
    0x4006a849,0x26c4f22c,0x1a603ff5,0x834c07a0,0x6401e8f9,0x2a21f803,
    0x887e05df,0x0db85dfa,0x2607ef4c,0xfddfe88f,0x981b700d,0x40b00fde,
    0x40bae02c,0x8175c4ea,0x3036e4ea,0x3ea01fbd,0xf502fb82,0x3005f705,
    0x42741267,0x4bfff628,0x7dc4fee8,0x7007902f,0xcc81a609,0x401e401e,
    0xa8efedfb,0xedfb81ff,0x41ffa8ef,0xf2ffdefc,0x5107a3ff,0xbdf90013,
    0x07ffe5ff,0xb933333d,0xdbbfd300,0x3fa603df,0xc81efedd,0xff2ffdef,
    0xbbfd303f,0xfe9801df,0x4c00efdd,0x103933a9,0x09fd79dd,0x019804c0,
    0x41e2003e,0x07fe2069,0x4cc00790,0x00998000,0x000054c0,0x002a6000,
    0x2cccccc8,0x00d4c400,0x20035310,0x510000a9,0xaa880015,0x4ccca800,
    0x32a07997,0x000000ab,0x84ffffc8,0x364ffffc,0xfa83ffff,0x7fffff41,
    0x00006fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x71000f20,0x03c80057,0x00000000,
    0x003c8000,0x1e400088,0x4c005100,0x00999999,0x99859530,0x09999999,
    0x98057750,0xaa8800bb,0x01bb9800,0x26033100,0x8800f201,0x5c00dede,
    0x01efccde,0x006f6f44,0x2e0003d1,0x2f7ea007,0x3a202fc9,0x32000ded,
    0xbdbd1002,0x6de6c401,0x7777c403,0x7d406eee,0xdf32dcce,0xbddddddd,
    0xdfdcfe88,0x5fcdfc80,0x202ffec0,0x004ecced,0x7dc1fed8,0x2f6f442f,
    0x3d91fcc0,0x3ae03aa0,0x7647f300,0x000bea01,0xd98001d9,0x3e600cff,
    0x64007b23,0x323f9803,0x0583701e,0xfc8003c4,0x9701a602,0x1b220be8,
    0x026443d5,0x2e409ff9,0x1e80026c,0x7f517fdc,0x03900764,0x7d002075,
    0x00ea0720,0x376007f3,0x2fbee000,0x07200fa8,0x01e400ea,0x582540e4,
    0x01e202a8,0x51003ae0,0x41ee2d80,0x6c0b62f8,0xf8802202,0x8000f980,
    0x0e41981e,0x000001d4,0x000012e0,0x126006c4,0x1aa02600,0x09b00000,
    0x2e160000,0x3001e202,0xf100001f,0x29901e41,0x00b500f8,0x07b03640,
    0x00003d00,0x01575100,0x2202e800,0x00001bba,0x09880000,0xbba88132,
    0xdfea8009,0x13311ccf,0x75013310,0x01e202c4,0x200007b0,0x5b025c5a,
    0x000d016a,0x20b7026c,0x07a0aba8,0x00999980,0x7ee6ffdc,0x0fb8000d,
    0xdfb9ff90,0x02666603,0x00266660,0x5fff7f54,0x99bf5078,0x16f405dd,
    0x1ffe4bee,0xdb82fff4,0xabc401dd,0x00f00acb,0x3e61e400,0x0f30f980,
    0x019807c4,0xc86a80ba,0x3d3fdcdf,0xfff98130,0xc80cc03f,0xefcb8803,
    0xb883bd00,0x7fffcc2f,0x7fffcc03,0x442ec803,0x0f641eed,0x035c1f4c,
    0x2a03c85b,0x376a0405,0x337ffe21,0x933442ff,0x01f0007b,0x7d7117d9,
    0x03fb01f8,0x200f80f2,0x22066c68,0x03c81ecd,0xf10001e4,0x4fec8801,
    0x0eb80d90,0x79000f20,0x3200ea80,0x8803e63f,0x0101f40f,0x202d4079,
    0x700bdda8,0xad43f503,0x00efbcfd,0x7fe40d30,0x40dc83ff,0x3ea82cdb,
    0x5cf101e0,0x640ff405,0x0001e404,0xdd88003e,0x1f4017c0,0x3c800790,
    0x27400fc0,0xf897005b,0x501e4000,0x17bb510b,0x2a6c8000,0x02e40cdd,
    0x39f503c8,0x9fb03fb5,0x4c791db5,0x203c02ee,0xf3003a78,0x3c809b03,
    0xdeeeca80,0x4c8000fc,0x2aaaabe6,0x204caaaa,0x01e4003c,0xf97200f1,
    0x16c69800,0x5a80f200,0x02605ed4,0xf887cc00,0xd003f106,0xf101f503,
    0x6c599503,0x3e005f31,0x0345a600,0x405d81f8,0x55f7403c,0x000fb999,
    0x333e6788,0xcccccccc,0x9000f203,0xa802cc07,0x23c401e5,0x01e4005a,
    0xb7b700b5,0xf87a0009,0xd300f601,0x04d81320,0x001e43e0,0x59adc03d,
    0x0bd03d00,0x017603c8,0x43e0001f,0x79000078,0x2203c800,0x07499007,
    0x05fc34c0,0x40790722,0x2e2c405a,0x3a0f8002,0x9700f200,0x069807e0,
    0x0007cd50,0x68a6c05b,0x0dd03f00,0x007e03c8,0x8f50001f,0x3c80002e,
    0x3e01e400,0x0f62e801,0x3f221320,0x3c84ecbc,0x837016a0,0x23cc0058,
    0xd003e03c,0x5b80ba03,0x0fa2e880,0xf816e098,0x3f5007a2,0x03c80df0,
    0x40fc803a,0x262f4008,0x3200800f,0x201e4003,0x11ae00ea,0x007cc01f,
    0x25403bd1,0x0dc05e98,0x6c039962,0x05983443,0x40d903c4,0x22ec403f,
    0xf88b206b,0x035c6981,0x01fe07fa,0x206dc079,0x7cc0fde9,0x4076d40c,
    0x09d502eb,0x0f2001e4,0xf7107b20,0xf705f503,0xf0079005,0x02efd443,
    0x74437162,0xa836c41e,0x700baa1d,0x261de809,0x827d405d,0xfc988bee,
    0x5f3075c2,0xbe981d90,0x6407f81e,0x7ef7e403,0x443fff2f,0x0cffeefc,
    0x3b77fa60,0x01e401ef,0x7d400f20,0x200dfedf,0x0efddfe9,0xf7007900,
    0xff51dfdb,0x1ee6d403,0x4feefeb8,0x1ff775c0,0x36200ec0,0x7cc4feef,
    0x5c02dfee,0x700ceffe,0x5c05fddf,0xfd2eedee,0xff52f43f,0xffffffff,
    0x00015305,0x44001351,0xfff501a9,0x5fffffff,0x3fffffea,0x2602ffff,
    0x2a20009a,0x015c000a,0x40001330,0x01351001,0x00004cc0,0x8804cc40,
    0x4000001a,0x2a200198,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x98000000,0x06600009,
    0x00c98000,0x0b707620,0x0000ddc4,0x20015530,0x5a800019,0x553002d8,
    0x00b98001,0x0b622dc0,0x06d42d88,0x4c404cc4,0x565cc009,0x55555500,
    0x35555555,0x04400c40,0x9000ddd3,0x200009bb,0x7b8cfced,0x0fd0fea0,
    0x016e6b6a,0xb77bd900,0x1377207d,0x883f2000,0x5ef6405f,0xed803edb,
    0x406b8cfc,0x813e60fd,0x407e44f8,0xffe83ffc,0xd99dd305,0x0014799f,
    0x0ffae614,0x6985ff70,0x0012a000,0x1df71140,0x40010080,0x2e98000d,
    0x25403ae0,0x00808000,0x0eb80ba6,0x0efb88a0,0x08008080,0x203c8010,
    0x882f985a,0x2000a4fc,0x0f2b3fa2,0x698dfff0,0x0012a000,0x00000000,
    0x22001a60,0x5069800e,0x00000009,0x698081d1,0x00000000,0x80f20000,
    0x7402e85a,0x08a000a4,0x3ff201e4,0x500034c3,0x1005c009,0x44001575,
    0xea800aba,0x361a801f,0x85999b71,0x2004a84a,0x37751029,0x99d30ec0,
    0x51025497,0x22001377,0x31009bba,0x01331013,0x545a80f2,0x00a19807,
    0x803c80a0,0x2a269819,0x025401ac,0xffb82f4c,0x200dfdcd,0xdfdcdffb,
    0x101e9800,0x8912a1db,0x12a0ec39,0x3207b620,0x41efdcff,0xb0742c4a,
    0xd99bf503,0xcdfa805d,0xffc82eec,0x905ffe83,0x1322d407,0x0a000a00,
    0x260003c8,0x9fb9bf76,0xc8812a01,0x6406602f,0x1e406603,0x3fb83b80,
    0x712120e4,0x7d404a87,0x441de80c,0x2a8722fb,0x3b21dc18,0xd903e981,
    0x3207d303,0x1e416a03,0x002d8b50,0x20280028,0x3a60003c,0x836c40dc,
    0x01bf504a,0x0007c400,0x360607c4,0x1a03ba61,0x44987512,0x03db104a,
    0x21d701b2,0x24980246,0x03e200f9,0x07c401f3,0x20b501e4,0x7916a03c,
    0x50005000,0x30001e40,0x324d80df,0xd88defee,0x000bb8ae,0x3e0001f0,
    0x16e6f540,0x0d0d47f7,0xb105fdd9,0x437bfbb2,0x5f0aa4fb,0x091a7d00,
    0x802d9620,0x5c016c4b,0x16a03c84,0xa8b501e4,0x80028005,0xf980f202,
    0x00fcc0ff,0x53ea01e2,0x502d99cb,0x1f9bddd9,0x6f776540,0x4c1100fc,
    0xd976e0de,0x93095240,0x2e1ed880,0x2aabe65d,0x4caaaaaa,0x4c00641b,
    0x1a6003e4,0x90d3001f,0x4c82d407,0x05d0bd30,0x00050d88,0xf901e405,
    0x200f305f,0x43db101e,0x5f743444,0x00fb999a,0x733357dd,0x85f9001f,
    0x907259e9,0x7015c298,0x259e887f,0xccccccf9,0x4393cccc,0x8ae0883a,
    0x078f1007,0x40790f10,0x443f905a,0x3f985dfa,0x00145f70,0x74079014,
    0x200d305f,0x803fb81d,0x3e02ec69,0x07c05d80,0x3d01bd50,0x212254b3,
    0x3a60360c,0x2589d80d,0x44a80078,0x0d8910bb,0xd1a6003a,0x790d3001,
    0xfec82d40,0xffa8efed,0x76f7ec41,0x400141df,0x7cc0f202,0x200f300f,
    0x400f6c0e,0x200fc0e9,0x7c01f80f,0x2e05d700,0xb71d8b33,0x1dc6c439,
    0x14b81fcc,0xd8002e8b,0x2e166541,0x26401ec3,0x213200f6,0x6416a03c,
    0x88001353,0x005009cc,0xb81e4050,0x00be604f,0x260010f3,0x3200e80e,
    0x3200e80f,0x34c0100f,0x801e88b3,0x2201106a,0x01f31626,0x400f4410,
    0x200f886a,0x007c40f9,0x209501f3,0x007905e9,0x14019500,0x07901400,
    0x1ff301ba,0xb8001740,0x981b700d,0x0db80fde,0x0007ef4c,0x176e664c,
    0x0dc80fa2,0xdccc9800,0xa8175c2e,0x901f444e,0x20bea01b,0x05f502fb,
    0x10fc05f7,0x0f20bbf5,0x81662000,0x32028002,0xe9803903,0x02f441eb,
    0x64044d80,0xff2ffdef,0xfdefc83f,0x003fff2f,0xdd702cc0,0x0005dd99,
    0xfe982c40,0x201efedd,0x2eecceeb,0xfddfe980,0x6ff4c00e,0x7dc00efd,
    0xffa8efed,0x10001e41,0x0140799d,0x00790140,0x3aadff30,0x0003fede,
    0x0fddddf7,0x4c00054c,0xb800000a,0x0cc402fe,0x7f5c0000,0x006a6203,
    0x20003310,0x44000aa8,0x4cc000aa,0x00057000,0xaab80130,0xaaaaaaaa,
    0x3fffa3aa,0x005fffff,0x0000d440,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x01bba880,0x2a600cc0,0x55d4c01a,0x006aa000,0x88026a60,0x13310199,
    0x99999980,0x00d4c009,0x20099998,0x99809998,0x26000019,0x4c000009,
    0x21bb9800,0x95300998,0x260cc415,0x02aea209,0x99999988,0x33bea099,
    0xec800dfd,0xfbbfd507,0x6ff5cd5d,0x36604ffc,0x59bffddf,0xfd9dfb10,
    0xfffe8d5b,0x077ff441,0xffffffd8,0xcefa82ff,0x3ba604ee,0x3ff603fe,
    0x3ffee2ff,0x2004a85f,0x80005eea,0x1fffefc9,0x7ee67744,0x6c44ffa9,
    0xfd4fdcde,0x65bfe63f,0xd05edcdf,0xffffffff,0xbb107eab,0x9878f980,
    0x9bee20af,0x984ea82f,0x3775442e,0x2e205f44,0x5403d86f,0x200e8006,
    0x005d80ec,0x80598079,0x000b501e,0xf88000b5,0x0fe20c0a,0x3a2137a6,
    0x01edd884,0xb901bbd3,0x0ba07900,0x27b017c4,0x9b604d87,0xe883ea07,
    0xd11be201,0x6986d809,0x74001740,0x6401d700,0x4c03c803,0xb501e805,
    0x000b5000,0x09b003b8,0x026427cc,0x2fcc07f6,0x07901320,0x504c8091,
    0x1007c3cd,0xc87a004d,0x2e45a804,0x03d81c40,0x03a000d3,0x07e007e2,
    0x05980790,0x6dcc41e8,0x20199999,0x0f40005a,0x26c03c40,0x07e2007c,
    0x1e200fcc,0x2e000790,0x743c3d04,0x87a00001,0x1e81000e,0xd834c000,
    0x701d0002,0x9012e00b,0xe8059807,0x7fffff41,0xb501ffff,0x88099988,
    0x9999ae99,0x25c034c0,0x80fc01a6,0x403d0079,0x05d0003c,0x0eb878b7,
    0x226a8000,0x00f10006,0x0d30f600,0x16c07400,0x1e406880,0x07a01660,
    0x2d4002d4,0x361bfff6,0xffffffff,0x25c02cc6,0x80fc01a6,0x403d0079,
    0x85c8003c,0xfb83c0f8,0x644001bc,0x40016a1f,0xd3000059,0x3a0002d8,
    0x1e001e80,0x05980790,0x00b501e8,0x02fa8b50,0x0f1003d0,0x80788990,
    0x01f301f8,0x01e401f0,0x13203ae0,0xfeca881e,0x067e402d,0x2d40016a,
    0x265b0000,0x40740006,0x803a000f,0x402cc03c,0x000b501e,0x000f5cb5,
    0x80f6003d,0x404d84f9,0x09f301fc,0x01e405b8,0x1f301d70,0x754400f0,
    0x2a01f103,0x20b50005,0x03deeeea,0x1501eda6,0x01e80e80,0x807901e0,
    0x501e8059,0x36b5000b,0x00f4000e,0xde882f88,0xd703f884,0x0fba603d,
    0x0f2007dc,0x2d807640,0x1f1000f0,0x03cc0f10,0x55106880,0xcd805d75,
    0x3a00ec06,0xd1002d80,0x2cc03c80,0x05a80f40,0x00feea80,0x26001e80,
    0xaafcbbde,0x959dd304,0x2603d1bd,0xdbaced8e,0x803c801e,0x99f300ec,
    0x259f9999,0x102d8009,0xf0000f80,0x300d3001,0x401d807f,0x7004b80f,
    0x4403c809,0xb500f807,0xb97f5000,0x0003d000,0x12a15995,0x74379950,
    0x65ccd301,0x00f2002c,0x554401d9,0x1bfaaaaa,0x005d0099,0x20c016e0,
    0x8069804d,0x201d8079,0x803f1078,0x01e401f8,0x40f30174,0x25a8005a,
    0x00f4005c,0x00095000,0x006980f4,0x6ec07900,0x323c0000,0x203ea01f,
    0x01f400a8,0x01f883ee,0x01ec034c,0x40b901ec,0x00f200ea,0x817200f2,
    0x001a604d,0x400bb16a,0x3200001e,0x407a0003,0x79000069,0x00101760,
    0x415dd91e,0xff983eb8,0x037a200f,0x9f303d91,0xf301b220,0x7033a600,
    0x41ec801f,0x079005d8,0x6d83bd10,0x5b883d80,0x005d85a8,0x2600003d,
    0x07a0001f,0xc800034c,0x2d404d83,0x7d55c780,0x302ffeef,0xc8801fff,
    0x404fedef,0xfeddefd8,0x001ec01c,0x037f7bf2,0x776ffd40,0x400f2003,
    0x0dfeefd8,0xeedfd980,0xb05a80cf,0x0003d00b,0x00fae231,0x1a603d00,
    0x7ffff400,0xffdeffff,0x5fffffff,0x13ffff20,0x4c00d544,0x0d4c000a,
    0x00d54c00,0x7ffffffd,0x000a9800,0xfb801510,0xffffffff,0x02a6202f,
    0x402aa200,0xffd85ffa,0x3fffe27f,0x204fffff,0x02dffffa,0xfffff880,
    0xfffff31f,0x0000001f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x22000000,0x44000099,0x00ccc02e,
    0x99998333,0x4ccc0099,0x19999999,0x26666660,0x31019999,0x26001333,
    0x00099999,0x00266666,0x01333331,0x3100ae00,0x33333333,0x0ccc4133,
    0x93004ccc,0xb112e001,0x98066605,0x04cccc19,0x3b206662,0x7c40002f,
    0x0ffff203,0x7dcbfff2,0xdfffffff,0x7ffffec0,0x81ffffff,0xfffffffd,
    0x7cc0ffff,0x400fffff,0xfffffffd,0x3ff601df,0x82dfffff,0xfffffffd,
    0x00f2001d,0xfffffffb,0x7f4bffff,0x3ffea3ff,0x19f9db07,0xf31fa0f7,
    0x07fff707,0x3f65fffb,0x7ff47fff,0x0005b03f,0x7c403f88,0x25c1aa01,
    0x1640fed4,0xf3c807a0,0xb79003e0,0x260b6007,0x21a600fc,0x85a84ea8,
    0x79003fa8,0xb500b600,0x816a02c8,0x803bee22,0x07a20080,0x405906a8,
    0x00b600dc,0x06a80000,0x812e03f1,0x7402c86b,0xf83c3a01,0x034c7c00,
    0x812e02d8,0x50ba2069,0x400f440b,0x805b003c,0xb501645a,0x00000000,
    0x80fc41aa,0xb00bb02c,0x80000005,0x2e03d84d,0x5907e204,0x4d101d80,
    0x2d401f07,0x805b003d,0x980d300f,0x1aa02d46,0x16c00f20,0x405916a0,
    0x5109985a,0x99980159,0xb0990009,0x3a216409,0x2a25b004,0x4ccc00ac,
    0x43f10009,0x2025c06a,0x1021642d,0x0e0f25c0,0x402645b0,0x981e202d,
    0x16a3d806,0x07900b60,0x81010b60,0xf116a02c,0xfd9bf57f,0x3fffe605,
    0x543f1003,0x7d116406,0x6fdd6c00,0xff302fec,0xb54007ff,0x025c01f8,
    0x642c81f1,0x93c5b002,0x441f1001,0x3602d807,0x2a01a605,0x92e016a4,
    0xeefeeeed,0x42d85eee,0x5016401d,0x303bb20b,0x0079003f,0x401e8b54,
    0x8005f32c,0x07cc0eed,0x36001e40,0x04b804cb,0x559909d1,0x83e005d5,
    0xb801faaf,0x66c02e84,0x04ecbaaa,0x5555d755,0x016a6981,0x9999996a,
    0x809999cd,0x02eaaacd,0x55555664,0x01d905ca,0x00f200f6,0x900999b0,
    0x8001df35,0x007b00ed,0x75530079,0x201557ff,0xfca999cb,0xd999b904,
    0xcf8d3005,0x81e801fc,0x666ec05a,0xc80dfedc,0x1ceeefed,0x500b534c,
    0xb003c80b,0x805d999b,0xccccccdc,0x5407905d,0x4003c805,0xfb9006f8,
    0x6c007fb5,0x32016a02,0xdaaa9803,0xf700aaad,0x4039bddd,0x5c016c2c,
    0x03a7999c,0x33333f10,0x016c01f3,0x01a605f5,0xa805a966,0xd801e405,
    0x0b2016c2,0x407905a8,0x003c805a,0x1d9003c8,0x2d8017d4,0x0f2016a0,
    0x5c00f200,0x542c8004,0xffffe800,0x7ffdc007,0x203fffff,0x9834c02d,
    0x16a3b806,0x07900f20,0x80150b60,0x6416a02c,0x32016a03,0x003c8003,
    0x001f3059,0x402d405b,0xccc9803c,0x701cccee,0x80590009,0x03c3c458,
    0x34c01d01,0x03d005b0,0x545b00d3,0x6401e805,0x0005b003,0xc82d4059,
    0x32016a03,0x003c8003,0x20132059,0x2016a02d,0x9998803c,0x700999cd,
    0x80590009,0x83c2d469,0x74034c4a,0x3d005b01,0x0ea80d30,0x00d7016a,
    0x00b60079,0x05a80b20,0x402d4079,0x03c8003c,0x03e20590,0x02d405b0,
    0x1e4001e4,0xc8004b80,0x0f234c02,0x0f22541e,0x016c12e0,0x3034c1ea,
    0x2605a81f,0x0008800e,0x0590005b,0x203c82d4,0x003c805a,0x059003c8,
    0x80b601e4,0x003c805a,0x097003c8,0x69805900,0x4a83c074,0x83c4007c,
    0x03f7302d,0x07f6a1a6,0x07f6a16a,0x00b60000,0x05a80b20,0x402d4079,
    0x03c8003c,0x03cc0590,0x805a80b6,0xfff7003c,0xff705fff,0x6c0dffff,
    0xffffffff,0xfff96fff,0xffffff15,0x3ff29fff,0xfffc84ff,0xfffffb4f,
    0x2019dfff,0xdffffffd,0xffffe80b,0xff00bdff,0xffffffff,0x7ffff4df,
    0x3fee04ff,0x3ffea3ff,0x3ffff73f,0xf51fffe8,0xffffffff,0xfffff05f,
    0xfffb0dff,0x83ffa0ff,0x260ffffb,0xff53ffff,0xffffffff,0x00000005,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3300cc40,0x99999833,0x4ccc4009,0x4c099999,
    0x26660199,0x3300ccc1,0x80999883,0x4cc09998,0x99999999,0x402a8019,
    0x00999998,0x99801988,0x4cccccc0,0x6764c000,0x0001000c,0x84000200,
    0x13310000,0xf9813310,0xfffa83ff,0xfffff75f,0xfffd80df,0x364fffff,
    0xfd84ffff,0xfff94fff,0x25fffb07,0xe86ffffa,0xff11ffff,0xffffffff,
    0x76fdc0ff,0xffff982f,0x3e601fff,0x3fe201ff,0xfffffb2f,0x98019fff,
    0x2004c9bf,0x5d44003c,0x000ba20a,0x007b67d5,0xfd07ff90,0x03fe60bf,
    0x004b81e8,0xf07b016c,0xf30d3001,0x2a07d401,0x7883a005,0xd10783c8,
    0x1e00f541,0xc812fe00,0xa82c80fb,0x00b600fd,0x2e003c80,0xebdfdcdf,
    0x07ba6004,0xc8001bf7,0x74c16a03,0x2e07a05b,0xb816c004,0x79007906,
    0x3e203aa0,0x1e006981,0x0f0790f1,0x1e0020ee,0x203e3e00,0x2c80f8f8,
    0x00f81b20,0x6400f200,0x006fa81e,0x64405fb1,0x079000cf,0x3d6982d4,
    0x3fee07a0,0xd80cefff,0xd300f882,0x2e401f00,0xd87881f4,0x21e23c44,
    0x03d0783c,0x5e001e00,0x01f4b83c,0x807c4059,0x0f20002d,0x67441aa0,
    0x0ff2202f,0x803fd880,0x4c16a03c,0x207a0d56,0x07f5c44b,0xd00ba06e,
    0x7402d403,0x41f01723,0x11a60fe9,0x20f0790f,0x00f0002d,0x47a1a6f0,
    0x7c02c80f,0x4000d300,0x881e803c,0x3ee0d94e,0xdd30000c,0xb501e405,
    0xe83d9a60,0x1b204b81,0x12e01720,0x9f8802d8,0x907400ea,0x142d45b9,
    0x4b8141e4,0xf000f000,0x07cd516c,0x40990164,0x998803f9,0x9999cd99,
    0x93a21e20,0x00ef5479,0x81dea800,0x4c16a03c,0x03d03e26,0x00fc4097,
    0x0f1001f3,0xfea801e2,0x27a1d801,0x64012a4b,0x7dd54403,0x01e002aa,
    0x8b66a9e0,0x4c42c80f,0xf7f700dd,0xfff06541,0xffffffff,0x426c34cd,
    0x0009f70f,0xc83fd100,0x34c16a03,0x9703d132,0x3d102d80,0x25c16c00,
    0x200dd100,0xb9e2f12c,0x98079003,0x0ccdfccc,0x8f000f00,0x407c789e,
    0x2efeeeec,0xf2dc3e20,0x88079007,0x1e21761f,0x00003dd3,0x0f2037ea,
    0xd0d305a8,0x025c0f43,0x0026c03e,0x8007a1aa,0x3b804dcd,0x02c8f4b5,
    0x1d800790,0x78007800,0x03e1e6dc,0x3b6666f2,0x55d12e00,0x200f200d,
    0x16a0bb4e,0x80006fd4,0x12a01eea,0x86982f4c,0x12e07a6a,0x20d505d8,
    0x0d307402,0x02f8b5c0,0x4f23ca5c,0x0079001d,0x078001d8,0x3fe1e164,
    0x416407c0,0x987901fb,0x079002df,0x220bbf30,0x067dc01f,0x002ed980,
    0x2efd443f,0x3a7b0698,0x9999cb81,0x1f880deb,0x925c03d0,0x983e6007,
    0x07d6a00f,0x64007ad3,0x0007c003,0x0f0b603c,0x5901f053,0x1a603aa0,
    0x03c801f2,0xfa817fd0,0x07f91003,0x2001fe44,0xa8efedfb,0x9834c1ff,
    0xffb81e8f,0x3a02deff,0x78807a03,0x0ba2003e,0x69e981ae,0x9000f8f8,
    0x003c4007,0x1e16c078,0x02c80f80,0xf11f4172,0x00f2003f,0x37bf2776,
    0xd98001ef,0x0067dc2e,0x20013300,0x07b32069,0x0b70012e,0x556c01e8,
    0x6c09b005,0xb097f104,0x01e400f5,0x82cc0790,0x01e16c07,0x402c80f8,
    0xfdfc881e,0x5c00ff9a,0x54c2d403,0x3ea80000,0x000001bd,0x7c40d300,
    0x2004b81f,0x00f400f8,0x2e00b76a,0xdf02e805,0x400dd705,0x01f7003c,
    0x203c0f62,0x1f003c2d,0x06a80590,0x000002a2,0x00000000,0x20000000,
    0xa83ffffd,0x3fffee1f,0x3fe606ff,0xffffffff,0xe807f801,0xffe86fff,
    0x880fe85f,0x7fffc05f,0xff906fff,0x9fffffff,0x3ffffe61,0x2fffffff,
    0x909ffff7,0x3f69ffff,0x3f607fff,0x00000003,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x44000000,0x00dcc0ba,0x00055d44,0x4cc4015c,0x20266200,
    0x2b2e6008,0x37751000,0x2eea2001,0x01573001,0x4cc0ccc4,0x26666209,
    0x4cc09999,0x40159510,0x0d440998,0x4c410080,0x99998099,0x15cc6620,
    0x080402ea,0x6c035100,0x9fb2fccf,0x37fee07f,0x2000dfdc,0x7ff4406f,
    0x8dffd106,0x774c2ffb,0x03ccfecc,0x5dd99bf5,0xfdcffc80,0x99df901e,
    0xffe89bbf,0x97ffe60f,0xfffffffd,0x2affe24f,0x882fecdf,0xbfb14ffe,
    0xc85c80bd,0x1dfffd16,0x737fffcc,0x1bd9f7ff,0xf983f9dd,0x3600fc41,
    0xf10602dd,0x20be21b9,0x40079019,0x001d0009,0x4dfff0b3,0x4fc882f9,
    0x3e981ec8,0xfb883bd0,0x7cc075c2,0xe880ec84,0x0ea816c3,0x7cc0eec8,
    0x33a72e01,0x076c0720,0x01f103f2,0x7fc407c4,0x85a93fa0,0x017dc2fb,
    0x3f60015c,0x220035c2,0xc800000f,0x20ee0cc2,0x00ba3ffc,0x200f989d,
    0x203640f8,0xb80f60eb,0x7441d704,0x1f982c83,0x0f601d90,0x2002feb8,
    0x80fec1fd,0x4413203d,0x83c2e41f,0x01fdc2fc,0x0f9000ae,0x0f8001f1,
    0x44b80000,0x19816c6f,0xb06601ea,0x2f897005,0x03ea3e80,0x74475c00,
    0x807e6002,0xb816a03c,0x3fd1001f,0xd3017ec4,0x878807c0,0x3f60784b,
    0x5701fe43,0x76f6dcc0,0x1eaaaaad,0xcdeeeca8,0x3333300f,0x26013333,
    0x0f87b6a6,0x20009900,0x2669800f,0xaaaaaaaf,0x7fdc4caa,0xd7000abd,
    0x1744005d,0x05a80f20,0x7f44012e,0x200ffa22,0x2205a82e,0x40784b87,
    0x827ec4fd,0xadfd882b,0xcccceea9,0x55f741cc,0xf80fb999,0xffffffff,
    0x5e4f06ff,0x6c00d14b,0x200f0002,0x3333e678,0x3ccccccc,0x09fd9510,
    0x2001ff30,0x03c803e8,0x004b816a,0x06fc8bfb,0x403d0b50,0x0784b878,
    0xff30ffcc,0x0b905705,0x02ec0172,0x4000003e,0x2ad31f1d,0x000f2005,
    0x134c0074,0xb100000f,0x7557cc0b,0x9004d800,0x9702d407,0x3627ec00,
    0x4c3d004f,0x25c3c406,0x45fd103c,0x05702fe8,0x003f205b,0x001f007e,
    0x96af2000,0x50203c9e,0x00f6000b,0x8005d132,0x407c4028,0x807ea1f9,
    0x0790105c,0x009702d4,0x1fe43fc8,0x807b25c0,0x0784b878,0x2fe83fd1,
    0x24eeeed8,0x83fe884b,0x1f900740,0x36a00000,0x40772e3c,0x00ba2ffb,
    0x007c41b1,0x00f981f3,0x6980f508,0x1fa81f98,0x321e05c8,0x4b816a03,
    0x5c2fc800,0x447c402f,0x4b878807,0xd83fb078,0x5d10001f,0x70f77f44,
    0x2606dc3f,0x35000fde,0x107fc400,0x37ffc0ff,0x0bee07f3,0x0bee0bea,
    0x4ea8175c,0x5d301bf5,0x3e601fa8,0x3c403ae1,0x40b501e4,0x3f70004b,
    0x5e402fb8,0xb878804c,0x40ed8784,0x440001fc,0xbabbfdee,0xfc80dfdf,
    0xfff2ffde,0x4006f803,0x3206e85e,0x77ec44ff,0x2601dfed,0x00efddfe,
    0x7f6eff4c,0x3bef661e,0x7e43ffed,0x3fe60fff,0xfffff3ff,0x7dcfffff,
    0x7ff41fff,0xfffff91f,0x5001ffff,0xf880b50b,0x7ffe400f,0xff83fee3,
    0x0e881d34,0x02a60000,0x2a6002a2,0x006a0000,0x01980000,0x80026a62,
    0x44000aa8,0xa98801a9,0x0000009a,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0x5d400000,0x8857100b,0x26666099,
    0x99999999,0xff9bfee1,0x2002202f,0x7ddb7008,0x03ffea01,0x0880b7aa,
    0x44444444,0xa8808888,0x80040001,0x5b8f7540,0x999896c4,0x09999999,
    0x2aaaaaaa,0xaaaaaaaa,0x777776c2,0xeeeeeeee,0x0883a64e,0x81dc03e6,
    0x643b105a,0x6641d99c,0x9ffb1ea9,0x3ffffff2,0x27ffffff,0x3ffa4ffa,
    0xd9817a01,0x455c0cff,0x9ff904c8,0x6c99ce88,0x7ffdc350,0xffffffff,
    0x13b3ea2f,0x12ffb86a,0x747a803f,0x441fb5ff,0xfffff94f,0x227fffff,
    0xcccccccc,0xcccccccc,0x26666620,0x99999999,0x7f5f5c09,0x3202fbdf,
    0x9d117603,0x31225880,0x000bfeeb,0xc8ffe678,0x9bb900ff,0x17aab7a0,
    0xffd07844,0x82c83c81,0x980000ca,0x75cbb11e,0xf99bffa0,0xfd83d702,
    0x9882024f,0x99999999,0x00000009,0x45db0000,0x01e404ea,0x20274576,
    0xaad403c8,0x9e0001ff,0x1fee2ff8,0x4c2e8b5c,0xeb87e60f,0xff887fef,
    0x06883c43,0x130000b3,0xc83ddd90,0x21f4c3ff,0x005500ec,0x00000000,
    0x3f000000,0x8ade8d50,0xd86db8bc,0x37e404ed,0x7fcc3a60,0xff1e0000,
    0x7cc2fd43,0x86b83e60,0x8783972f,0x501d06fa,0x31e6744b,0x33333333,
    0x06600333,0x44910198,0x00000004,0x00000000,0x3e069800,0x3fff6a20,
    0x7f880adf,0x6d416e00,0x0001fe20,0x3e60fd8f,0x75c17c44,0x87d43f10,
    0x361ee20e,0x3b09702f,0x7ffdc130,0xffffffff,0x0000002f,0x00000000,
    0x00000000,0x740b5000,0x401ff301,0x2005dce8,0x6f82640e,0x1b23c000,
    0x6407d0fe,0x93f77f65,0xcfdfcbeb,0x7db01be1,0x000009d9,0x00000000,
    0x00000000,0x00000000,0x1a603e00,0xd105cbd8,0x10222ec9,0xe821ec4b,
    0x043c0005,0x21401404,0xab881cd9,0x00ec1550,0x000015c4,0x00000000,
    0x00000000,0x00000000,0x88376000,0x1f4b704d,0x912ec274,0x7e41bb9d,
    0x0666eeee,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x377f7e60,0x07c40edf,0x902541f1,0x00000103,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x15712f88,
    0x002021ae,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x000c00c4,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_30_latin1_x[224]={ 0,6,3,2,2,2,3,6,7,3,0,1,3,2,
5,2,2,2,2,2,2,2,3,2,2,3,5,4,0,1,0,0,2,0,1,1,2,1,2,1,1,2,2,1,
1,0,0,0,2,1,1,2,1,1,0,0,1,1,2,0,0,0,2,0,5,1,0,2,1,1,2,1,1,2,
2,2,2,0,1,1,0,1,2,2,1,1,0,0,1,1,3,0,7,0,2,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,6,2,1,2,1,
7,1,4,0,0,0,0,2,0,-1,4,1,4,4,5,1,2,5,5,4,3,1,0,0,0,0,0,0,0,0,
0,0,0,1,1,1,1,1,2,2,2,2,-1,0,0,0,0,0,0,3,1,1,1,1,1,1,2,1,1,1,
1,1,1,1,0,2,1,1,1,1,2,2,2,2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,
 };
static signed short stb__courier_30_latin1_y[224]={ 22,5,6,4,4,5,8,5,5,5,5,7,18,13,
18,4,5,5,5,5,5,5,5,5,5,5,10,10,7,11,7,6,5,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,5,4,5,5,28,4,10,5,10,5,10,5,10,5,5,
5,5,5,10,10,10,10,10,10,10,6,10,10,10,10,10,10,5,5,5,12,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,22,10,4,6,8,6,
5,5,6,6,5,10,13,13,6,3,2,6,5,5,4,10,5,12,21,5,5,10,5,5,5,10,1,1,1,2,
2,1,6,6,1,1,1,2,1,1,1,2,6,2,1,1,1,2,2,9,5,1,1,1,2,1,6,5,4,4,
5,6,6,4,10,10,4,4,5,6,4,4,5,6,5,6,4,4,5,6,6,8,9,4,4,5,6,4,5,6,
 };
static unsigned short stb__courier_30_latin1_w[224]={ 0,4,10,12,11,12,11,4,6,6,10,14,7,12,
5,11,11,11,11,12,11,12,11,11,11,11,5,6,13,14,13,10,11,16,14,14,13,13,13,14,14,11,14,15,
14,16,15,14,13,14,15,12,14,14,16,16,14,14,12,5,10,5,11,17,6,14,15,13,15,13,13,14,14,12,
9,14,12,16,14,14,15,15,13,12,14,14,16,16,14,15,11,6,2,6,12,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,0,4,11,13,12,14,
2,14,8,16,9,13,15,12,16,18,8,14,7,8,6,14,12,5,5,8,10,14,16,17,16,10,16,16,16,16,
16,16,16,14,13,13,13,13,11,11,11,11,15,15,14,14,14,14,14,10,14,14,14,14,14,14,13,13,14,14,
14,14,14,14,16,13,13,13,13,13,12,12,12,12,13,14,14,14,14,14,14,14,14,14,14,14,14,15,15,15,
 };
static unsigned short stb__courier_30_latin1_h[224]={ 0,18,8,20,21,18,15,9,21,21,11,15,8,3,
5,21,18,17,17,18,17,18,18,18,18,18,13,15,15,6,15,17,19,16,16,17,16,16,16,17,16,16,17,16,
16,16,16,17,16,20,16,17,16,17,16,16,16,16,16,21,21,21,8,2,5,13,18,13,18,13,17,17,17,17,
22,17,17,12,12,13,17,17,12,13,17,13,12,13,12,17,12,21,21,21,5,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,18,18,16,12,16,
21,19,3,17,8,12,9,3,17,2,8,16,10,10,5,17,19,4,6,10,8,12,17,17,17,18,21,21,21,20,
20,21,16,21,21,21,21,20,21,21,21,20,16,20,22,22,22,21,21,10,19,22,22,22,21,21,16,18,19,19,
18,17,17,19,13,17,19,19,18,17,18,18,17,16,18,16,19,19,18,17,17,13,15,19,19,18,17,23,22,21,
 };
static unsigned short stb__courier_30_latin1_s[224]={ 255,248,74,211,177,125,170,53,65,170,14,
182,116,204,169,170,210,236,1,16,13,138,151,163,175,187,65,248,212,141,226,
38,222,89,106,49,137,58,166,64,180,244,95,238,122,137,1,110,44,241,154,
25,93,138,44,76,61,223,31,133,159,86,85,236,175,18,1,71,222,100,183,
197,1,16,63,168,125,214,154,85,228,212,169,114,153,240,197,48,127,79,142,
1,223,106,156,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,
221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,255,238,98,
108,1,29,139,121,195,130,106,183,58,204,82,217,97,151,45,36,182,192,209,
189,135,246,124,231,99,17,65,199,142,189,206,1,224,8,72,155,226,72,92,
197,143,25,37,34,121,18,33,73,88,113,128,25,91,48,103,118,240,182,17,
234,106,76,1,35,50,164,1,207,136,150,29,116,43,56,243,210,69,195,179,
194,83,147,162,33,197,46,61,110,177,1,17,49, };
static unsigned short stb__courier_30_latin1_t[224]={ 1,47,173,25,1,68,142,173,25,1,173,
142,173,173,173,25,68,87,106,68,106,68,68,68,68,68,159,87,142,173,142,
106,47,124,124,106,124,124,124,106,124,106,106,124,142,142,142,106,124,25,142,
106,142,106,142,142,142,124,142,1,1,25,173,173,173,159,87,159,68,159,106,
106,124,124,1,106,106,159,159,159,106,106,159,159,106,142,159,159,159,106,159,
25,1,25,173,87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,
87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,1,68,68,
142,173,124,1,47,173,87,173,159,173,173,87,173,173,124,173,173,173,87,47,
173,173,159,173,159,87,87,87,68,1,1,1,47,25,25,124,25,1,25,25,
25,25,25,25,47,124,47,1,1,1,25,25,173,47,1,1,1,1,25,142,
47,47,47,68,87,87,47,159,87,47,47,68,87,68,68,68,124,68,124,47,
47,68,87,87,159,142,47,47,68,87,1,1,25, };
static unsigned short stb__courier_30_latin1_a[224]={ 254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_30_latin1_BITMAP_HEIGHT or STB_FONT_courier_30_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_30_latin1(stb_fontchar font[STB_FONT_courier_30_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_courier_30_latin1_BITMAP_HEIGHT][STB_FONT_courier_30_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_30_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_30_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_30_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_30_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_30_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_30_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_30_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__courier_30_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__courier_30_latin1_s[i] + stb__courier_30_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__courier_30_latin1_t[i] + stb__courier_30_latin1_h[i]) * recip_height;
            font[i].x0 = stb__courier_30_latin1_x[i];
            font[i].y0 = stb__courier_30_latin1_y[i];
            font[i].x1 = stb__courier_30_latin1_x[i] + stb__courier_30_latin1_w[i];
            font[i].y1 = stb__courier_30_latin1_y[i] + stb__courier_30_latin1_h[i];
            font[i].advance_int = (stb__courier_30_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__courier_30_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_30_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_30_latin1_s[i] + stb__courier_30_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_30_latin1_t[i] + stb__courier_30_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_30_latin1_x[i] - 0.5f;
            font[i].y0f = stb__courier_30_latin1_y[i] - 0.5f;
            font[i].x1f = stb__courier_30_latin1_x[i] + stb__courier_30_latin1_w[i] + 0.5f;
            font[i].y1f = stb__courier_30_latin1_y[i] + stb__courier_30_latin1_h[i] + 0.5f;
            font[i].advance = stb__courier_30_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_30_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_30_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_30_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_30_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_30_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_30_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_30_latin1_LINE_SPACING
#endif

