// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_31_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_31_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_31_latin1_BITMAP_WIDTH         256
#define STB_FONT_courier_31_latin1_BITMAP_HEIGHT        194
#define STB_FONT_courier_31_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_courier_31_latin1_FIRST_CHAR            32
#define STB_FONT_courier_31_latin1_NUM_CHARS            224

#define STB_FONT_courier_31_latin1_LINE_SPACING          15

static unsigned int stb__courier_31_latin1_pixels[]={
    0xc8001540,0x09818800,0x0005ed98,0x00000000,0x08800440,0x00004000,
    0x00a00010,0x0c000300,0x40010000,0x40000000,0x6e80710a,0x006ec400,
    0x0df107f4,0x80001eea,0xd70000eb,0x0fa20001,0x0000fcc0,0xe88000bb,
    0x6decc004,0x009d0001,0x200013a0,0x05a801fa,0x40003ae0,0xe80b51f8,
    0x017a2006,0x202c84a8,0xd8800078,0x22002fce,0x4002fbed,0x7d4003f9,
    0x03b60002,0x0013a600,0x8002c436,0x44000dd8,0xf70000de,0x2016a005,
    0x002fced8,0x7016a5b8,0x00fe2007,0x03c40000,0xf993a600,0x265e8804,
    0x05f5004f,0x0013e600,0x26001ec8,0x2190003f,0x76c00058,0x00ed8000,
    0x4400f640,0x429ceffb,0x013e64e9,0x002d43f0,0x00000600,0x40007880,
    0x400d882b,0x800c882b,0x2c40001c,0x800ae000,0x3660002b,0xb80001dc,
    0x00570002,0xdf9800d8,0x5c5fda8a,0x5000d882,0x00005a8d,0x39997000,
    0x88399950,0x06fbb6e7,0x00000000,0x00000000,0x00000000,0x00000060,
    0x00000000,0x002e40f6,0xad42e800,0xccccccc9,0x40e665c4,0x3ee1ccca,
    0xeeca81cd,0x576c7c42,0x65c4fb99,0x33222ccc,0xfb700ccc,0x36e0017b,
    0x99700bdf,0x66644599,0xbfb700cc,0x3332e017,0x3333222c,0x6666440c,
    0xcca800cc,0xcccccccc,0xcccc882c,0xccb800cc,0x0ccccccc,0x970c40f3,
    0x99999999,0x5a86a801,0x99999991,0x81cdfb8f,0x2dc2eeca,0x3e203e20,
    0x549b103e,0x2a21aafb,0x6c40adda,0x04eb99bd,0x2e66f762,0xaafba84e,
    0x2b76aa21,0x4cdeec40,0xafba84eb,0x376aa21a,0xfcaaa80a,0xdda9804d,
    0xcaaaaaaa,0xbf955505,0x95555009,0x2215555d,0x5555000f,0x015555d9,
    0x805a82e8,0x4405b878,0x5c03f00f,0x880bf104,0x2e01e21f,0xd104f884,
    0x2209f107,0xb807883e,0xd104f884,0x9700f107,0x01e73200,0x02d404c8,
    0x4003ce64,0x0026c05a,0x3cc005a8,0x078805a8,0x7025c03f,0x4403e20b,
    0x223c801f,0x4c84b807,0x1320f440,0x07883d10,0x404c84b8,0x403c41e8,
    0x3a3d004b,0xa8099002,0x05d1e805,0x6c405a80,0xb5001bdf,0xb503d800,
    0x16e0f100,0x07e007c4,0x0078816e,0x5c03c4b5,0x54007cc4,0x2a003e66,
    0x25c03c46,0x1aa003e6,0x009700f1,0xc802dcd3,0x26024c04,0xb50016e6,
    0x3fb2a200,0x3002d403,0x2016a01f,0x2e07e078,0x1f85b805,0x2a003e20,
    0x12e01e25,0xc8740099,0x7883a004,0x02644b80,0x403c41d0,0x223c804b,
    0x4c4c800f,0xf11e4002,0x002d4001,0x16a05d88,0x16a04c80,0x85b81e20,
    0x5c3f001f,0x4017c405,0x2e01e23c,0x3b0016c4,0x21d800b6,0x6c4b8078,
    0x78876002,0x0f804b80,0x226401ec,0x207c005a,0x016a003d,0x16a01f00,
    0xb5007c40,0x1f80f100,0x25b8016e,0x037c401f,0x807883e6,0x9000f44b,
    0x3c8007a7,0xd12e01e2,0xf11e4003,0x5a809700,0xcec806a8,0x2a005dcc,
    0x2a006a85,0x07a00a05,0x04c802d4,0x03c402d4,0x4001f96e,0xf8805b9f,
    0x43e980dd,0x7c4b8078,0x07d2e000,0x03c49700,0x8003e25c,0x2e01e24b,
    0x1f816c04,0x65556e40,0x7c0b6005,0x7c0b5001,0x5a81aa02,0x5400f880,
    0xf8078805,0xdb8005b9,0xf978801f,0x105fb779,0x2e89700f,0x0174b200,
    0x403c4590,0x9001744b,0x25c03c45,0x55557f10,0x44c809d5,0x57f1005a,
    0x009d5555,0x82ff816a,0x016a03e9,0x016a016e,0x3f6e01e2,0x00bf0001,
    0xacca89e2,0x9700f100,0x47a003c8,0x887a003c,0x1e44b807,0x03c43d00,
    0xddd7025c,0x80fddddd,0x4020c44c,0xeeeeeeeb,0x40b5007e,0xdfddfcae,
    0x7c02d402,0x8805a801,0x000bf007,0x078800f4,0x79003e00,0x4f3006b8,
    0xf0f3006b,0x35c3c801,0x00f87980,0x803d01e4,0x2013202e,0x7401e81d,
    0x8205a802,0xb5001ec8,0xb5005b80,0x3a00f100,0x00b70001,0x9b0003c4,
    0x02e82f80,0x401744d8,0x7c04d84d,0x4d802e82,0x817c04d8,0x205b8069,
    0x4c1e804c,0xa805b806,0x8016a005,0x8017405a,0x806a805a,0x07a0005b,
    0x20007880,0x541ae07b,0x2a1ae01f,0x5c1ae01f,0x7d41ae07,0x3dc1ae01,
    0x01e40d70,0x04c807c4,0x401e41e8,0x02d400f8,0x2d400b50,0x2d400d50,
    0x0f4026c0,0x4006a800,0x76400078,0xf700fdc2,0x700eb885,0x00eb885f,
    0x03f70bb2,0x3ae217dc,0xf70bb200,0x806be603,0x64c0be98,0x9999999c,
    0x06be61e9,0x4c0be988,0x0999eb99,0x333016a0,0x741333d7,0x98062002,
    0x035400ed,0xffffffb0,0xffff980d,0xfc8001ff,0x9801efdf,0x00cfedfe,
    0x67f6ff4c,0xfdffc800,0xdfe9801e,0xfc800cfe,0xf901efdf,0xff30bfff,
    0x3ff21fff,0xffffffff,0xffff91ff,0xfffff30b,0x3fffff61,0x3101ffff,
    0x7ffffec0,0x0011ffff,0x7ffffdc0,0xffffd80d,0x998806ff,0x88009999,
    0x00009999,0x44000d4c,0x1a88001a,0x00353000,0x20003510,0x000001a9,
    0x00000000,0x00000000,0x26000000,0x4cc40199,0x00009999,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x01800000,0x00300014,0x00001100,0x2a800000,
    0xe86c8019,0x4400bc84,0x07ddd92c,0x006c81d5,0x219dfb73,0x32a0710b,
    0x77774041,0x32000802,0x88004e86,0x01eb8001,0xd01b6000,0x013a0005,
    0x8002f980,0xeb8002e9,0xbb2f8800,0x3e20fd80,0x2205d986,0x9b5530cf,
    0x07e83f70,0xeb9acfb8,0xd0b51ebf,0x1f73bf9d,0x200aabf8,0xfb005dda,
    0x30037c41,0x2009fdff,0x0003fbec,0x2a006ec4,0x1bb10006,0x002fa800,
    0x44003f98,0x6402fced,0x01007e66,0x9700f801,0x000825c0,0x3a201d50,
    0xb850b51f,0x000f81ee,0x808015cb,0x98bea000,0x437a204d,0x88000de8,
    0x00ba004e,0x7000ed80,0x5f50003f,0x264e9800,0xe87f104f,0x2d800005,
    0x025c05b0,0x801f3000,0x000b51fa,0x4b1001f0,0x0000003a,0x201f105d,
    0x0003903a,0x05b80075,0xc8015c00,0x003b0000,0x01b10570,0x00fa81f7,
    0x002f7f6e,0xb80b605b,0x45999974,0x20ccccc8,0x2a1b003c,0x17bfb705,
    0x664003e0,0x664400ea,0x7000cccc,0x00016c0b,0x7c000000,0x00000001,
    0x00000000,0x83f82740,0xeb99bdd8,0x16c0b604,0x2beea970,0x376aa21a,
    0x20003a0a,0x4deec45a,0x00f84eb9,0xaa800a60,0xb004dfca,0x64425c05,
    0x000ccccc,0x33333322,0x2016e000,0xcccccccb,0x999950cc,0x59999999,
    0x4c1e6654,0x332a4ccc,0xcccccccc,0x6c0be62c,0xe8827c46,0x0b605b03,
    0x201e24b8,0x8003c44b,0x4413e25a,0x00007c3e,0x079cc800,0x9b5303d0,
    0x37f2aaa0,0x65554004,0x3e2004df,0x65555400,0x530aaaae,0x555555bb,
    0x5fdccb95,0x22dea882,0xaaaadda9,0x3f25caaa,0x2641f900,0x0b607a20,
    0x4497016c,0x34c4b807,0x1325a800,0x007c3d10,0x0bbfb6e6,0x00ba3d00,
    0xeefd883e,0x079cc804,0x01e73200,0x5a800990,0x2d404c80,0x01f302e4,
    0x6cb50132,0x7cc7ea07,0x4c86a800,0x125c03f0,0x6989700f,0x07cc6000,
    0x401f3540,0xeb99bdec,0x2dcd3004,0x21b71e20,0x5d1e804b,0x1747a000,
    0x4001f100,0x404c805a,0x3a05d05a,0xb5013202,0x25f30374,0x303a004c,
    0x01b2617f,0x5c03c497,0x400034c4,0x7c3a004c,0x01f10000,0x007c4790,
    0x12e0f8f1,0x002dcd30,0x800b734c,0x016a004d,0x20930132,0x202e40f9,
    0xdd24c04c,0x02d9fcc0,0x4ff60760,0x125c02fe,0xf889700f,0x016c0000,
    0x0003e3b0,0x40f803c8,0x699e203d,0x88f2025c,0x11e4000f,0x07cc001f,
    0x4c805a80,0x4b90014c,0x226400f9,0xa81f6029,0x64003d2f,0x3ea075c3,
    0x07892e00,0x002e84b8,0x79000f40,0x2088003e,0x542d404c,0x41f1e206,
    0x3607c04b,0x3607c003,0x801ec003,0x544c805a,0x2e974005,0x02d44c80,
    0x47ee01f9,0xb12e000f,0x4b807a07,0x212e01e2,0x118800ea,0x4b8003e5,
    0xffeb801f,0x6c04eeff,0x1e203f02,0x409937d7,0x2006a85a,0x4006a85a,
    0x00b50069,0x0bb999d9,0x005cf980,0x0bb999d9,0x0fc80fdc,0x2164005d,
    0x5c05b02d,0x12e01e24,0x4be602ec,0x64005d5a,0x3ba201f2,0x1026cc0a,
    0xd555557f,0x32607c09,0x40b607ee,0x205b001f,0x0174001f,0x56e402d4,
    0xc8005caa,0x55b9000f,0x17cc0b95,0x800f25d8,0x2d816c1e,0x807892e0,
    0x107b604b,0x3cad47f5,0x807c7a00,0x7026406d,0xdddddddd,0x8000f40f,
    0xaaaaabf8,0xabf8804e,0x004eaaaa,0x02d40354,0x0016a264,0x44c801aa,
    0x442ec05a,0x4c01ae2f,0x05b02d87,0x9003e25c,0xedffb807,0x6bad41ef,
    0x807cf300,0xd026401f,0x9902e803,0x3bbae000,0x807eeeee,0xeeeeeeeb,
    0x02e8007e,0x226402d4,0x35400418,0x41889900,0x1ee07d40,0x213600ba,
    0x5c05b02d,0x0be026c4,0xa804f4c0,0x93600ba5,0x5c05d00f,0x700d304f,
    0x0003e60b,0x805d007a,0x0017401e,0x00b501aa,0x803b0099,0x0132006a,
    0x4f89f076,0x1ae01fa8,0x202d816c,0xd703dc4b,0x500f4400,0xd700fd4b,
    0x81d500f8,0xc81cded9,0x900f8803,0x980a881b,0x2605b806,0x8005b806,
    0x2016a01f,0x401e804c,0x0132006a,0x7d4f707a,0xb885f700,0x2a07880e,
    0x3b212e05,0x2000fdc2,0xb8b500d9,0x2075c42f,0x37bb200f,0x4bff94ff,
    0x26201af9,0xced880be,0x3c80efdb,0x7900f880,0x8001f100,0x2016a05b,
    0x401e804c,0x0132006a,0x1f4fa07a,0x3fb7fa60,0x403fc80c,0x9d9972ee,
    0x3bf7ff20,0x1ab36001,0xdfe985a8,0xccf80cfe,0x0035301c,0x30bffff9,
    0x201fffff,0xf300bcca,0x5f4c4035,0x100d7cc0,0x440017d3,0x3ae6660f,
    0x664c0999,0x99999999,0xeb99881e,0x33260099,0x99999999,0x0051881e,
    0x02a00d44,0xaaaa8cc0,0x000d4c01,0x06200a98,0x55401a88,0x000001aa,
    0x64000000,0xf985ffff,0xff90ffff,0xfff30bff,0xb04001ff,0xffffffff,
    0x3ffff23f,0xffffffff,0xfffffe81,0xfffc82ff,0xffffffff,0x0000001f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000800,0x0002005c,0x032001b8,0x0006e000,0x00062000,
    0x18800032,0x3b260100,0x32a003df,0x1d500041,0x81d506c8,0x02c9806c,
    0x006c7700,0x777776d4,0x3effd881,0x3dfec980,0x3f2a03ae,0x36000cff,
    0x07f2000e,0x400ed800,0x4001cec9,0x5c003fe9,0xfe98001f,0x2e07ec03,
    0x0edb99bf,0x4efe7740,0x3f7000fb,0x83f907e8,0x75f6c07e,0xc801faad,
    0x399003e3,0x0cf98570,0x5fdc09d5,0x1faeda99,0xda889de8,0x06ec400f,
    0x0017dc00,0xb1003762,0x5c003661,0x000de8af,0xfb800bea,0xfd00de8a,
    0xfc807643,0x75c45100,0x0004001e,0x54280004,0x45b002ee,0xb816600f,
    0x0fc426c2,0x3fc80764,0x017a03a8,0xfa80009d,0x4013a001,0x5c01cc1b,
    0x0007641e,0x3d7005f3,0x1fd80ec8,0x05c801f3,0x00000000,0x00000000,
    0x5701e25b,0x01f304c0,0x401f3132,0x7a8005ed,0x880000c0,0x58006000,
    0x201300b0,0x80088001,0x3f603009,0x3f1007d0,0x99999910,0x99995001,
    0x59999999,0x6666665c,0x99910ccc,0x99999103,0x03c47a01,0x06c80166,
    0x6407d1e6,0x4c001f8e,0x00000007,0x41b80000,0x0000003a,0x6c000000,
    0x2e00788f,0xbf955504,0x5bb53009,0xb9555555,0x57655554,0xf7510aaa,
    0x2bb2aa0d,0x41a63d00,0xb005ded8,0x0f10f809,0x004b87d4,0xddb70264,
    0x3b2a007b,0xd95003df,0x974407bf,0xd95000ea,0x36e007bf,0xb7003dee,
    0xbe407bdd,0x016a005a,0xc801e732,0xb502d404,0x409bf100,0x6987c05a,
    0x017541b0,0x2a3d00ba,0x34c3f105,0x981ec880,0xefdaadfe,0x266ff200,
    0x3f201eda,0x01eda99b,0x29817b71,0xda99bfc8,0x5bfd301e,0x2601dfb5,
    0xefdaadfe,0x00977c80,0xe8f403c4,0xa8099002,0x22016a05,0x0b500f8f,
    0xfffffffb,0x6442cbff,0xd803f00d,0x87d10972,0x77f6c078,0x3204e880,
    0x2a01b906,0x500dc80f,0x3ae6001f,0xa806e41c,0x9027440f,0x6409d10d,
    0x00997b86,0xb9a603c4,0x98099005,0x22016a04,0x416a0b77,0x9dc99f99,
    0x3d982541,0xc96c00f8,0x07885d84,0x6417edcc,0x7544e806,0x3aa2e400,
    0x9302e400,0x03aa039d,0x806c8b90,0x7403644e,0x005bb5c4,0x447901a6,
    0x4c4c800f,0x2016a002,0x16a0ba78,0xb812e788,0x7c1d500d,0x45a96c00,
    0x400d306b,0x4017c3f9,0xf8016c7a,0x07c00b60,0xb0039d93,0x2f83e005,
    0x017c7a80,0x34daa3d4,0x0f80b500,0x226401ec,0x016a005a,0x5a86a9e2,
    0x403c9a60,0x74d303e9,0x2698f401,0x00b500f9,0x99f10f88,0x99999999,
    0xd800f41f,0x96c007a2,0xd02a81ca,0x7c4b6003,0xcccccccc,0x99f10fcc,
    0x99999999,0x03f2d41f,0x85a80fa0,0xccec806a,0x16a005dc,0xa87b1e20,
    0x57655445,0x5402adda,0x05b2b81e,0xf13f07c4,0x4001ec05,0x5555f12d,
    0x15555555,0x22d8007c,0x405b000f,0x7c1dbada,0x3e25b000,0xaaaaaaaa,
    0x55f10aaa,0x55555555,0x016e0815,0x205b01aa,0x556e401f,0x16a005ca,
    0x41f11e20,0x7f774c5a,0x00deefee,0x64322644,0xdb71ea04,0x80035409,
    0x40003e4b,0x743d001e,0x2c03d001,0x74007a2c,0x7c0003e1,0x7d100000,
    0xf1017440,0x9d555557,0x02d44c80,0x0f100b50,0x9702d4b9,0x74c00174,
    0xc81aa2de,0x3a206f85,0x6c7f0002,0x00990003,0x9804c8f3,0x8720ea07,
    0x6c79804c,0x007b0003,0x206f4400,0x775c03f9,0x07eeeeee,0x01062264,
    0x43c402d4,0x5c0b51f8,0x4c0007a4,0x3d105d04,0xfa84feb8,0x7dc01883,
    0x06007e20,0x174405f1,0x2e880be2,0x88361260,0x10ba202f,0xf883003f,
    0x414c1801,0x2ffdefc8,0x17401e80,0x03b00990,0x41e2016a,0x1e40b56a,
    0x1a01c01f,0x8bb10fd4,0xdefd89f9,0x3bd101ff,0xfa82fc98,0x981db303,
    0x304e983f,0x009d307f,0x7cc2c41b,0xf504e983,0x503b6607,0x43b6607f,
    0x7f904ff9,0x201a6001,0x2013205b,0x100b501e,0x02d5f40f,0x0d007c79,
    0xdff502cc,0x9885d09f,0xdfd7000a,0x6c403dfd,0x03ffedef,0x3ff7bf62,
    0x6f7ec402,0x9b3002ff,0x3f6201bb,0x4402ffde,0x3ffedefd,0x3b7bf620,
    0x27fcc3ff,0x2af33f62,0x00790b50,0x013201f1,0x402d407a,0x16fe6078,
    0x680f12d8,0x9800eb88,0x0000000a,0x44001531,0x220009a9,0x544001aa,
    0x0110001a,0x0006aa20,0x40013531,0x26009a98,0xcbcdfe82,0x7cc2effe,
    0x2fa6201a,0x4cce64c0,0x21e99999,0x999eb999,0x9019f980,0x789740bf,
    0x6f7776c0,0x0000000b,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7e404008,0xff985fff,0xfff90fff,0xffffffff,0x3ffff63f,0x321fffff,
    0xf885ffff,0x00382e05,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00100004,0x01b80002,0x64000c40,
    0x01b80000,0x64000c40,0x765cc000,0x080deeee,0x10310000,0x00031003,
    0x7db30000,0x88000b80,0x0e6002cb,0x07fffd30,0x13ffb2a0,0x00f7ff62,
    0x4c001db0,0x7dc003fe,0x03b60001,0x003fe980,0x74c00fdc,0x221a59cf,
    0x0003dcec,0x03fa17e4,0x2602ff98,0x900005eb,0x0ec80fff,0x3af7ee00,
    0x205a801e,0x6eb89cfa,0x188dfe40,0x4ea8aee8,0x000dd880,0x037a2fea,
    0x4002fa80,0x2e000dd8,0x000de8af,0x6f880bee,0xd8330d2c,0x03260000,
    0x4d7dc095,0x0b33504e,0x0ffa6000,0x7c007f20,0x2d402dc0,0x07d02f88,
    0xb5001bd1,0x09d00b60,0x7641eb80,0x00be6000,0x75c004e8,0x50007641,
    0xb0bee03f,0x002c8034,0x07640000,0x02cc0db1,0xf7000000,0x1f05a803,
    0x0d705a80,0x002e435c,0x803e205b,0x30098001,0x40011000,0x30098001,
    0x36011000,0xb881a586,0x0000005c,0x59806018,0x40000000,0xd8264009,
    0x46ff6602,0x23cc0990,0x1f1000fa,0x00000ec0,0x00000000,0x00000000,
    0x6961f600,0x20176e20,0x3bb6e06b,0x9800003d,0x00b91005,0x09900000,
    0x9fb301f3,0x1e6bfd75,0x001e45b8,0x982b80d3,0x502efedb,0x99950599,
    0x54166541,0x332a0ccc,0x00ccca82,0x05dfdb73,0x5dfdb730,0x34b07ee0,
    0xdd304b80,0x55bfd301,0x99101dfb,0x0b300799,0x4c019f50,0x33332203,
    0x32a4c803,0xd03e882f,0x17c41fcb,0x03f0003a,0x2f7b2274,0xca84eb99,
    0x0fcca84e,0x32a13b2a,0x13b2a0fc,0x3203f32a,0x4eb99bde,0x266f7b20,
    0x43fb04eb,0x42cc01a5,0x09d103fc,0x66644364,0x2059806d,0x5a802ed8,
    0x1b733220,0xcfed9320,0x49303640,0x3fdabee8,0x7dfd73c4,0x2f5c13a0,
    0x2e01f100,0x25c07c04,0x012e03e0,0x0f88001f,0x700f8800,0x5c34b7bf,
    0xde987621,0x3a01b200,0x4c034c04,0x2009f705,0x1a6005ea,0x3b621320,
    0xf5000f60,0x2d30dfff,0x84fb8aed,0x34f5c2f9,0x25c0f200,0x012e03e0,
    0xf809701f,0x003c8000,0x5a880790,0x3377221a,0x75c5f911,0x3d4017c0,
    0xeec81a60,0x9ed89eee,0x74c0bdc9,0x034c002d,0x74b70264,0x42fae001,
    0x37a60eda,0xfa82f885,0x0698eece,0x2e099044,0x25c07c04,0x012e03e0,
    0x6411001f,0x26411004,0xa801a580,0x877a60df,0xccccccf8,0x200fcccc,
    0x3fb80069,0x4c3a61b5,0x0d30002f,0x72e80990,0x403ea009,0xc8077c5c,
    0x54375105,0xffffeb85,0x809704ee,0x7c04b80f,0x07c04b80,0xeffffeb8,
    0x3ffae04e,0xb004eeff,0x176c4034,0x5f10ec74,0x55555555,0x034c0155,
    0x0543dd30,0x0001e4ee,0x809900d3,0x9001f13c,0x0ba3cc09,0x1dc00798,
    0xd9815dd1,0x0f809704,0x407c04b8,0x2207c04b,0x26cc0aee,0x26057744,
    0x034b004d,0xd9e413ea,0x800007c1,0x07f90069,0x000fc760,0x09900d30,
    0x107765a8,0x3d00ba99,0x00d3016c,0x80db0fc4,0xf809704c,0x07c04b80,
    0xb03e025c,0x6d84c80d,0x25802640,0x4c07ae06,0x007b0766,0x3601a600,
    0x745b000d,0x69806203,0x32064c80,0x76e77ec4,0x7cc09b0c,0x03c812e0,
    0x803f1760,0xf809704c,0x07c04b80,0xf03e025c,0x1f84c803,0x25802640,
    0x26ba0006,0x00fc42e9,0x001a600c,0x3dc2e880,0x034c0b50,0x3e859264,
    0xfa81ec88,0x03d0d900,0x07dc007e,0x04fb80ba,0x03f620d3,0x07ec41a6,
    0x0fd8834c,0x09f70174,0x027dc05d,0x44001a58,0x40decccc,0x1db303fa,
    0x800034c0,0x17dd01e9,0x0d302f54,0xc96a4c98,0x6c0b500f,0x203f262e,
    0x0db30be9,0xd501dd30,0x1cded981,0xfde985d0,0xde985d02,0xe985d02f,
    0x207542fd,0x541cded9,0x66f6cc0e,0x001a5801,0xfb101d80,0x107ffdbd,
    0x333d7333,0x41b70003,0x3fff2208,0x4ccc42ef,0x321999eb,0x3bf64fff,
    0x7016a01d,0x401dfdff,0x40dfefea,0x03efeef8,0xa7fef764,0xeea85ffc,
    0x0bff2ffd,0x25ffbdd5,0xdeea85ff,0xc8bff2ff,0xf94ffdee,0xfdeec8bf,
    0x80bff94f,0x260001a5,0x54c406fe,0xffff5009,0x0dffffff,0x77777c40,
    0x2a03104e,0xffffffff,0x031006ff,0x53100930,0x00544001,0x2a600066,
    0x01530001,0x00015300,0xa9800153,0x01a98001,0x27bbba60,0x0000dee9,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xca82cca8,
    0x0b2600cc,0x00000075,0x88013013,0x00001881,0x00060260,0x10000019,
    0x33333333,0x10033333,0xdddddd00,0x777445dd,0x0eeeeeee,0x2600076e,
    0x000005ed,0x99709dd5,0x39995039,0x99509d95,0xdfcb801f,0x2f5cc2df,
    0x237c4000,0x17e404fa,0xfd9803fa,0x7cc06a1e,0x44017dc5,0xfd9800dd,
    0x55706a1e,0x55555555,0xfd701955,0x55fc07df,0x220aaaaa,0xaaaaaaaf,
    0x4bff50fa,0x81dffeda,0x000007ba,0xbf70b951,0x5dd95039,0x803e025c,
    0x80fcdfda,0x0000599a,0x401c8859,0x2025c0c9,0xeedfb8be,0x1930b200,
    0x2005e880,0xeedfb8be,0x05400140,0x3f222fb6,0x22001f05,0xfd13cc06,
    0x2a26fba5,0x007883fd,0xb82d4000,0x2e07c405,0xdb807c04,0x5981720b,
    0x00000000,0x0ba80000,0x9f100000,0x01750000,0x64150005,0x03e0fe06,
    0x404b8000,0x881f500f,0x54000007,0x4b807e05,0x007c04b8,0x05981e40,
    0x00000000,0x00000000,0x00000300,0x41500050,0x3e1ae01f,0x0ba00000,
    0x443e80b0,0x54000007,0x7c416e05,0x07c04b80,0x21579510,0x2005981f,
    0x059950fa,0x54019995,0x9803dfec,0x802efedb,0x02efedb9,0x3b2a0000,
    0x000503df,0x1e201415,0x4400003e,0x44b80007,0x33bb2a78,0x6f654401,
    0x1f80b50b,0x809705b8,0x99bf900f,0xb30997fb,0x543db100,0xfcca84ec,
    0x5337f900,0x37b203db,0x204eb99b,0xeb99bdec,0x79999104,0x266ff200,
    0x00141eda,0x0f300054,0x19dfd95f,0x3885b800,0x2f10b600,0x4fb99bec,
    0x9535bd10,0x5b80b53f,0x809701f8,0x880dd80f,0x405985de,0x012e04fb,
    0x201b901f,0x7c4000fa,0x80f88000,0x806dccc8,0x41f500dc,0x000a8002,
    0x2f7fe136,0x2001feb9,0x5006a82d,0x04df881f,0x03e887d1,0x3f00bbd3,
    0x809702dc,0x22035c0f,0xd305987e,0x404b803d,0x2007540f,0x03c8005c,
    0xd3007900,0x6400ea80,0x02a000a5,0x200835c0,0x203e006c,0x0f6cc06b,
    0x3e2037c4,0xbf301321,0x00fcb700,0x03f620d7,0x21f5003f,0x71eeeeec,
    0x5c0f5c7f,0x0b607c04,0x822007c0,0x6411004c,0x6c069804,0x00a1f002,
    0x3ae002a0,0x02f88000,0x40f705a8,0x0be203fe,0x800e8f20,0xb73f005d,
    0x74c2fb80,0x401e22fd,0x774c01f8,0x2e077a60,0x07a07c04,0x7f5c16c0,
    0x204eefff,0xeeffffeb,0x74069804,0x00a5b001,0x1d7002a0,0x401ec000,
    0x7c0f703c,0x4007c400,0x3200f15a,0x03fb7005,0xffeeeeb8,0x01a6bff2,
    0x0ff200f8,0x12e0767a,0x000f81f0,0x0577445b,0x3ba21366,0x4026cc0a,
    0x8007c069,0x1500052d,0x000075c0,0x403e012e,0x1003a07c,0x34d6a00f,
    0x3e005b80,0x1534b805,0xf3001f00,0x2e037aa0,0x809703b3,0xe800f40f,
    0x09901b61,0x804c80db,0x800f4069,0x1500051e,0x00003b20,0x40d300f2,
    0x220000fc,0x1e4b801f,0x3d002e40,0xd0009700,0xf30b7007,0x81d9a605,
    0x3207c04b,0x0fc79804,0x007e1320,0x80d30099,0x0a79804c,0x3b202a00,
    0x05d00000,0x03f603c8,0x804f8800,0xf100b62e,0x4016e00b,0x1f98004b,
    0x20007e60,0x982d99ae,0x881fb106,0xd0ba202f,0x7427dc05,0x2013ee02,
    0x017c4069,0x400145d1,0x40076c0a,0x01ae00c9,0x81fd807a,0x7fc401a8,
    0x1f516e01,0xe802fe40,0x00097001,0x0fea0bee,0x76666400,0x74c2e80d,
    0x83f982fd,0x40ea84e9,0x541cded9,0x66f6cc0e,0x4c034c01,0x144e983f,
    0x0bb05400,0x5c17ec08,0x2034c01f,0x7ffc41fe,0x5f3f5101,0x3d501f90,
    0x01dbdd88,0x07700354,0x6eff4c00,0x200002ef,0xfbdd501d,0x2217fe5f,
    0x02ffdefd,0x53ff7bb2,0x77645ffc,0xbff94ffd,0x4f5cccc4,0xdfb10199,
    0x00505ffb,0x267b2150,0x0f999999,0x77f77f54,0x6c04b800,0x0fffcc0f,
    0xfe9bffcc,0x2a00dfed,0xf54fedfe,0x7fffecdf,0x000006ff,0x0002aa20,
    0x00efe980,0x220002a6,0x2a6001aa,0x01a98001,0xffffffa8,0x2206ffff,
    0x2aae01aa,0xaaaaaaaa,0xfffb0caa,0x1fffffff,0x000054c0,0x01a98040,
    0x000aa880,0x4c4006a2,0x00099999,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7edc0035,
    0x279931cd,0x3b6e4cc8,0x764401be,0x033323df,0x5eff65c4,0x40000001,
    0x65c40018,0x2e01bdfe,0x3222cccc,0x0000cccc,0x80130310,0x71cefdc8,
    0xc98001c0,0x2ed88004,0x677edcc0,0x3f6e0170,0x0bd000bd,0x7535bd30,
    0x2279d75f,0x9aed8fcc,0x9f504fb9,0x9f1bb535,0x437d5019,0x2a004ea9,
    0x54001cfd,0x86faa005,0xf7504ea9,0x6d544355,0xefd980ad,0x07f606a1,
    0x55fdc0ff,0x307dfdb9,0x77e4c00d,0xedc8005d,0x26b3ee03,0x441ebfeb,
    0x4eb99bdd,0x7c405e80,0x20bdd102,0x9b103ef8,0xfd701f88,0x70037201,
    0x8aed801d,0x16a001fb,0x2e006e40,0xb807880e,0x3ee2fa04,0x84a80eed,
    0x201d503b,0x00d307f8,0x005a8de4,0xa81ec7cc,0x43fd100e,0x07d104f8,
    0x026c03b8,0x2fc417e6,0x03d87e20,0x22d407ec,0x16a10bb9,0x00398788,
    0x456a016a,0x85a80999,0x004b8078,0x800005d4,0x83d402f8,0x16a00069,
    0x20f67b00,0x0fd400f9,0x01e88099,0x6c007c00,0x9003f105,0x3e601e27,
    0x3b507440,0x816c7971,0x5a80004c,0xbd987440,0x216c2cba,0x004b8078,
    0x7d400000,0x6e5c2800,0x2ccccccf,0xd5002d40,0x801e41ec,0x5001f30d,
    0x034c000d,0x00f105b8,0x44034d6a,0x2161dc0f,0x1e41a23a,0x202d4000,
    0x11205c3b,0x4b80788d,0xddb52cc8,0x33322019,0x0017203c,0x6667ee5c,
    0x2d401ccc,0x41ec5d00,0x04c8000e,0x666443a0,0x401e203c,0x001f105c,
    0x2201a6b5,0x0550e40f,0x012e0d02,0xd7333310,0x0e433333,0x4683702e,
    0xb84b8078,0xda9becce,0xdccc881f,0x0000f206,0x2d4000d3,0x21ec5b80,
    0x05b00078,0xccc88ec0,0x4007c06d,0x005f105d,0x2a007c79,0x8012340f,
    0x4007981d,0xfffffffe,0x70d2ffff,0x87612e21,0x704b8078,0x201720bf,
    0x0012e069,0x54000d30,0x6c1f8805,0xe80034c3,0x540f2001,0x2a02e406,
    0x80df105f,0xd01320f9,0x0024681f,0x3f332239,0xa8002ccc,0x665c3405,
    0x3c43903e,0x0eb825c0,0x0d300f30,0x26000354,0x016a0006,0xd30f6132,
    0x8003e000,0xd00d504b,0x4177ea09,0xe980ddf8,0x6c41fc43,0x5706c0fc,
    0x55443a00,0x000aacea,0x206c05a8,0x83a0720b,0x704b8078,0x4c00f809,
    0x64026c06,0x20006983,0x407cc05a,0x80034c3d,0x40b2002e,0xcfd8806a,
    0x05b9eecb,0x2ef3f2f1,0x9dd102fd,0x903e9f97,0x34182c45,0xa8000790,
    0x02e16405,0x80788d09,0xf809704b,0x22034c00,0x05fa80cf,0x2d4000d3,
    0x21ec0fa0,0x3c8000f8,0x35407a00,0x15797300,0x513c416e,0x95001599,
    0x2607c379,0x0d98ecc5,0x003c812e,0x16602d40,0x12e38817,0x2079003e,
    0x2007c04b,0xefd88069,0x2602efed,0x816a0006,0xeeeeeef8,0x001745ef,
    0x0798035c,0x5c0001aa,0x0000f105,0x43c80f80,0x03442cb8,0xb50000b6,
    0x332a7900,0xd8345542,0x4b817c04,0x1a6007c0,0x009da880,0x2a000698,
    0x55555405,0x7541ceaa,0x0ba18800,0x06a81360,0x220b7000,0x26000007,
    0x2200ba07,0x803e201e,0xd005a800,0x203d1005,0xb81ae07b,0x26007c04,
    0x00f44006,0x2a0001f0,0x40f60005,0x517cc05d,0x2035c03f,0xb700006a,
    0x00001e20,0x376205d8,0xc803d700,0x0400f405,0x700dd880,0x42ec803d,
    0x012e01fb,0x0069801f,0x97000d98,0x502ea881,0x01ec000b,0x3fa883db,
    0x75c42fb8,0x00035400,0x00f105b8,0x01d93000,0xdd9bdd50,0x335f5009,
    0x88d53333,0x99999999,0x3baa0099,0x2004eecd,0x01efdffc,0x7cc07322,
    0x75cccc42,0x33601999,0x3f62006b,0x4c2efede,0x0999eb99,0x00bd9880,
    0x3bfb7fee,0x3b7fa601,0x999880cf,0x001999eb,0x57fffff6,0x1ffffff9,
    0x7fffcc00,0x998000df,0xffff9000,0x83bfffff,0xffffffff,0x9802ffff,
    0x2a600009,0x7fffd401,0xaafffdc3,0xffffffff,0x02aa06ff,0xe80d4c00,
    0xffffffff,0x3ffea01f,0x09a8807f,0xa806a200,0xffffffff,0x331006ff,
    0x4cc41333,0x31000099,0x00000013,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2eeb8000,0xccca8000,
    0x503ccccc,0x82a7bfdb,0x204eeed8,0x00005ed9,0x03799b51,0x4b7bf6e2,
    0x3333220b,0x32e02ccc,0x01bccccc,0x3333332a,0x665402bc,0x4ccc983c,
    0x66666664,0x971ccccc,0x99999999,0x332a1999,0x3ccc983c,0xccccccb8,
    0x6665c01b,0x07333222,0x36a605d4,0xaa980003,0x82aaddaa,0xeeb9adfd,
    0x2e55542e,0x000f7510,0x9955bf70,0x5359f507,0x5443fdd9,0x01aacfaa,
    0x2aaabeea,0xda981fec,0xdfdbaaad,0x037f7300,0x7c45bd51,0xaaecaaaa,
    0xbb533daa,0x55555555,0x06ff263f,0x260bbaa2,0xecaaaafb,0x35bb501f,
    0xb81bfaa8,0x007907ff,0xb812e000,0x405f900f,0x0078805a,0xa8007c40,
    0x807f601f,0x81e2001e,0x209902fa,0x02e406d8,0xa87881f3,0x01e43c85,
    0x981360f4,0x981e200f,0xf809902f,0x01fffb00,0x20000079,0x8813604b,
    0x2016a02f,0x25c00078,0x4402f980,0x8007a01e,0x407cc078,0x00be204c,
    0x220ba05d,0x43c85a87,0x441e803c,0x402f882e,0x407cc078,0x9807c04c,
    0x007904fe,0xe812e000,0xb5005c01,0x8000f100,0x0099003c,0x4003d006,
    0xc84d8078,0x26026404,0x7882e40f,0x643c85a8,0xf980d803,0x3c4026c1,
    0x02642640,0x3c80003e,0x0019ddb5,0x07b025c0,0x8805a800,0x066664c7,
    0x3337b32a,0x00f40ccc,0x2001e800,0xc8788078,0x64016c04,0x87803e64,
    0x1e42c85a,0x0ea800a6,0x01e200b9,0xf01321e2,0x65e40001,0x00eda9be,
    0x7cc09700,0x016a0003,0x99fd31e2,0xcdecca81,0x1e20cccc,0x001e8000,
    0x207c01e2,0x401ee04c,0x0005d2f8,0x70f200b5,0xfadc8009,0x200f1000,
    0x3e02640f,0x17f20000,0x4b8002e4,0x566fe440,0x100b5000,0x9002fa8f,
    0x000d3007,0xf1000f40,0x49907a00,0x000deb98,0x400173aa,0x99d9005a,
    0xfd0009b9,0x9f999003,0x83d05999,0xccccccec,0x320000fc,0x4001e605,
    0x36e6004b,0x02d400ef,0x003d93c4,0x034c01e4,0x4003d000,0xc83d0078,
    0x02ffffff,0xbff99930,0x2d400799,0xdaaadc80,0x01fe8004,0xaaafbaa8,
    0x6e41e81a,0xfaaaaaaa,0x01fff880,0x5c0f8079,0x00025c01,0x02d403f7,
    0x000edbc4,0x834c01e4,0x1ffffff9,0x220803d0,0x4c81f007,0x330027cc,
    0x01333d73,0x3c802d40,0x3720025c,0x0f1000fa,0x809903a0,0x04ffb80f,
    0xd81f00f2,0x00025c02,0x805a8132,0x8002fef8,0x2078803c,0x203e9999,
    0x789a601e,0x84c86880,0x5a8005e8,0x4016a000,0x5000c43c,0x4401721d,
    0x4c878807,0x7fec07c0,0x1f00f200,0x826402d8,0x20698019,0x9bf8805a,
    0x01e4001f,0x03d001e8,0x44d300f4,0x4c85b807,0xdd300fa0,0x09dddfdd,
    0x3c802d40,0xb07e6000,0x500f1009,0x0f80990b,0x32017fc4,0x0b607c03,
    0x01ae05d0,0x805a816e,0x8007e678,0x00b9003c,0x201e807a,0xf101e269,
    0x7c409903,0x0016a001,0x079005a8,0x220fa200,0x203c402f,0x404c82f8,
    0x402fd40f,0x3607c03c,0x5c03e604,0x80fe202f,0x4c78805a,0x0079001f,
    0x00f401f4,0xf134c03d,0x4c817440,0xb5002dc0,0x802d4000,0x09b0003c,
    0x0f1007cc,0x809903e8,0x400fe40f,0x2207c03c,0x017cc0de,0x54437fd7,
    0x402d406d,0x801fa878,0x37a6003c,0x9883f500,0x99999ae9,0x267ea6a9,
    0x303fc999,0x5f401399,0x27ae6200,0xd7331001,0x33660133,0xfb800999,
    0x01d93009,0x266667ea,0x399104fc,0x6415f310,0x80cd9803,0xfb809f98,
    0x5402ffde,0xffdefe9b,0x5cccc40c,0x5441999e,0x8835f707,0x9999cd99,
    0x6f7fe400,0x7fc42dfe,0xffffffff,0xffffb6ff,0x32037dff,0x501fffff,
    0xfff501ff,0xfd00bfff,0x83ffffff,0x7ffffffd,0x43fffec0,0x6c1ffffc,
    0xbeffffff,0xbffff501,0x03ffffc4,0x0bfffee0,0x4c0ffffd,0x5510001a,
    0xffff5013,0x2dffffff,0xffa87ff9,0x3fffe3ff,0x007fffff,0x00013551,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x01a80000,0x99999997,0x3332a199,0x3332a0cc,0x13333264,0x4cf3332a,
    0x0ccccccc,0x333332a0,0x332a4ccc,0x4ccc983c,0x3333332a,0x999502cc,
    0x99999999,0x1e666545,0x0666664c,0x66666654,0x222ccccc,0x65400ccc,
    0xcccc883c,0xcc9800cc,0x82bccccc,0xc881ccc8,0x4400cccc,0x900ba802,
    0xaa87ffdf,0xaaaaecaa,0x155bb530,0x91177dcc,0x5530555d,0x3b2a63d9,
    0x3200aaaa,0xbaaaaaad,0x20afee67,0x2a62dea8,0xfdaaaadd,0x56ed4c1e,
    0x5caaaaaa,0x20aafee6,0x302ddaa8,0x559d5d95,0x7d449b55,0x16f7c03e,
    0x4dfcaaa8,0xaaeca980,0x221efdba,0x95506fba,0x05a8015d,0x74c3ffdc,
    0x016a0060,0x305d8132,0x5425c00d,0xb01e4005,0x7cc0b909,0x35c07900,
    0x42d404c8,0x003f002d,0x12e0b679,0xcda81ebe,0x0f399004,0xec882d40,
    0x5026fc40,0xb016a00b,0x02d81fff,0x4c805a80,0x1e204e88,0x2a0f2062,
    0x009aaaae,0xe81aa079,0x1e405d02,0x013207a0,0x500b50b5,0x16c7a00d,
    0x16c7c25c,0xd004cae8,0x2d400ba3,0xf1f113a0,0x54016a01,0x427f4c05,
    0x05a8002d,0x027444c8,0xb07fa07c,0xddddf505,0x83c819ff,0x03e601f8,
    0x403c80b9,0x4c04c84b,0x3d801f04,0x20b67880,0x86a8f84b,0xd3009969,
    0x05a802dc,0x2dde2354,0x0b5005a8,0x8005a800,0x264c805a,0x443d003f,
    0x540f43cf,0x098db505,0x25c803d8,0x01e400f9,0x531320ba,0xf880f200,
    0x8b65a800,0x3a1f0110,0x804c9ec1,0x2003e23c,0x222d405a,0x016a0ba7,
    0x740002d4,0x402d4001,0x4005f54c,0xf16b6e2d,0x3f80b501,0x5d0035c0,
    0x40f200ba,0xa89906d8,0x5c0d3005,0x96c79005,0x5b87c04b,0x402643e2,
    0x5401ec0f,0x9e21ec05,0xaa85a86a,0xaaaecaaa,0xdd3000aa,0xc805a800,
    0x2003ffac,0x83e2f63c,0x5b80b507,0x98003e60,0x9d9005cf,0x40dfdb99,
    0x05dcccec,0x017407a0,0x3b3761f8,0x21f07c04,0xb501324c,0x0b500d50,
    0xb1e21b62,0xeed85a87,0xeeeefeee,0xd9ec801d,0x2d40fea3,0x74cf7640,
    0x3e3c800e,0x541e25b0,0x5d035405,0x001f9000,0x32aaab72,0x55b904ed,
    0x2dc00b95,0x4798034c,0x7c04dacd,0x9907d320,0x03f02d80,0xeccccea8,
    0x447880cf,0x54016a0f,0x7c408805,0x03361f10,0x076402d4,0x4d2e01b2,
    0xa834d2e6,0x5c826405,0x400d5000,0x2076403c,0x1002d44c,0x7003c81f,
    0x2a5d555d,0x7f107c03,0x3e204c8b,0x4eaaaaab,0x66667540,0x321e200a,
    0x2d4016a5,0x5a97fea0,0x5007c6dc,0x3609900b,0x24bad404,0x16a0b569,
    0x0ea80fc8,0x03540298,0x87b00790,0x0020c44c,0xb000f87b,0x005fdddd,
    0x90bf607c,0x77775c09,0x5407eeee,0x88788005,0x2a00b51f,0x87ffec05,
    0x405de84b,0x104c805a,0x2eb4c01f,0xea825cfc,0x1eecaaaa,0x09701f88,
    0x0f2006a8,0x009916a0,0xb534c03b,0x0b607c00,0x0a207c14,0x401e8132,
    0x0016a02e,0x5ab541e2,0xfb80b500,0xf503e26f,0xc805a805,0xf8813204,
    0x1e5e40f8,0xceeeefa8,0x4b813602,0x79003540,0x04c89700,0xd8f401e8,
    0x5b0d3002,0x001f03e0,0x4034c132,0x0016a05b,0x5abe81e2,0x5300b500,
    0x6f741990,0x32016a01,0x7f01e604,0x205bb50b,0x035c005a,0x00d5012e,
    0x0ba201e4,0x803d0099,0x320078cb,0x81f02d83,0x2099000f,0x00f8803c,
    0x0f1000b5,0x9802dfcc,0x3f220005,0x23fe8cfd,0x999eb999,0x804e64c0,
    0x07dd01be,0xd7303df1,0x7c401333,0x9999999a,0xeb99884c,0x33260099,
    0xeb999999,0x4cce64c4,0x01e99999,0x980267c4,0x26fa622e,0x260f9999,
    0x326201af,0x00d7cc0c,0xb9817d31,0x9800999e,0x0bf9019f,0xa8800000,
    0x3ffff600,0xf91fffff,0xf503ffff,0x203fb09f,0x7ffdc0fe,0xf101ffff,
    0xffffffff,0xffffd09f,0xffb05fff,0xbfffffff,0xfffffc85,0x1fffffff,
    0xc801fd80,0xfffd3fff,0x21ffffff,0x986ffffb,0xf90fffff,0xff30bfff,
    0x3fee1fff,0x201fffff,0x885ffffc,0x0000005f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0x8000001c,0x0e200049,0xedb88000,0x0077ae0c,0x207bfd95,0xcca82cca,
    0x3333220c,0x03999500,0x05dfdb73,0x39dfb910,0xdeedb80e,0xefeb9803,
    0x6665c38c,0x206665c0,0x9ddb52cc,0xd7199301,0x033b225d,0x20150380,
    0x000dfa80,0x03fc8800,0x22fbfb2a,0x07e404e8,0xb64d67c0,0x902fcaec,
    0x3db5337f,0xca84eca8,0x37ee20fc,0x3bf9500c,0xb99bdec8,0x2afee04e,
    0x987dfdb9,0xefdaadfe,0x9acee880,0x77dc7fdb,0x0efedc0c,0x26fb33ae,
    0x7e4c1fda,0xceafaaee,0x5d8806c9,0x3b620fc8,0x67e441dd,0x9f700000,
    0x26ff6201,0x804efeb9,0xdb0000ec,0x0dc86a8f,0x09701f50,0x002d80f8,
    0x0f88001f,0xff100ea8,0x1b204e88,0x987b81ae,0x204e882f,0x20b905fb,
    0xd13ee0ef,0x20774403,0xd10d41fc,0x000ff620,0x6c01dfa8,0x02fe880d,
    0x4fa80000,0x003aa3f8,0xf80970b9,0x22544b80,0x87900078,0x23d402f8,
    0x5c4e806c,0x3e882c05,0x1d700fa2,0x207c1e60,0xd103c869,0x002fd81f,
    0x1774c01d,0x005dd300,0x2f7a20d7,0x42000006,0x364c80fa,0x4b81f002,
    0x22cc07c0,0x4016a1fe,0x1f513208,0x802f8500,0x00dfc47a,0x1f45f440,
    0x03e025c0,0x790d303e,0x6c43ff30,0x1edcc03f,0x201eea80,0x3a002fd8,
    0x0be2bb01,0xffdb8000,0xcccccfef,0x6c007a5d,0x03e025c2,0x24cf89e2,
    0x3ffae03c,0x2e44eeff,0x6667c400,0xfccccccc,0x677fec40,0x3fe8800b,
    0x0f809700,0x6434c0f8,0xd10ffcc3,0x7d73009f,0x20dfb800,0x44003fc8,
    0x26c5d80f,0x55555555,0x3a215555,0x55f711be,0x07c55555,0x025c2d80,
    0xcb8f403e,0x3a207679,0x226cc0ae,0xaf88003c,0xaaaaaaaa,0x32a200aa,
    0x77cc02fe,0xf8097003,0x434c0f80,0x5077e43c,0x2e8003ff,0xb93f2200,
    0x3c4000df,0xdb25c2ec,0xdddddddd,0x541723dd,0x001e800f,0x7c04b83d,
    0x747a7900,0x80db01f1,0x80025c4c,0x3000000f,0x22be603f,0x404b804e,
    0x34c0f80f,0x22fe41e4,0x2e000ffa,0x01bf7003,0x40019f91,0x1e41762f,
    0xa81e4000,0x804c803f,0x7c04b879,0x5cf1b500,0x803f069c,0x8003544c,
    0x0488003d,0x22f983d8,0x025c04e8,0xd303e03e,0x17ee0790,0x1b881df3,
    0x3baa01a6,0x03fd8801,0x44176db0,0x5a80001f,0x4306fe88,0x0ba202f8,
    0x07ec41a6,0x3e24be98,0x5c05d04b,0xc804d84f,0x86007e23,0x21f400f9,
    0x04d882f9,0xf01f012e,0x03c86981,0x0df313ea,0x4017bbb3,0x98002ee9,
    0x6fc402ee,0x0009b00e,0xfe88fa20,0x313a63ee,0x409d307f,0x17ef4c2e,
    0x3ee83df0,0xed981d50,0x067c41cd,0x1fd42fd4,0xdf30ed98,0x541d9303,
    0xde9880bf,0x980e6440,0x260fcc2f,0x5006640e,0x005e887f,0x0007fb10,
    0x6c03bd50,0x02f441cf,0xee880398,0xef9d9cfd,0xdfb102fe,0xea805ffb,
    0xbff2ffde,0x07ee1f60,0x4ffdeec8,0xfd88bff9,0x202efede,0xffedefd8,
    0x77f57443,0x3ee0dffd,0x7ff42fff,0x3fffea7f,0xcafffdc3,0x3fe64fff,
    0x9803ff22,0x2001e886,0x0000cfc8,0x32067dc0,0xfedfeb9e,0x007f6003,
    0x01a8054c,0x80035510,0x000000a9,0x8001a980,0x20009a98,0x30009a98,
    0x00001355,0x00000000,0x20000000,0x000000de,0x40ea9f22,0x288001a9,
    0x00000000,0x00000000,0x00000000,0x80000000,0xcccccccb,0xcccccccc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x77750000,0x77777777,0x00017777,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x4c014400,0x99999951,0x665c1999,0x2e16ed43,0x65c0cccc,
    0x20711ccc,0x01cc000b,0x00018031,0x55544000,0xaaaaaaaa,0x205301aa,
    0x40005eea,0xaa880aa9,0x930aaa62,0xaaaa885b,0xaaaaaaaa,0x21b80102,
    0x019b5018,0x453a0020,0x325f31cb,0xecccccce,0xe8b6e5c6,0x36e4eabe,
    0x765c0ccf,0xb09d11ce,0x02d4001d,0x49d105f1,0x880ddcc8,0x3ae62fff,
    0xeeeeeb85,0xfeeeeeee,0x6766f5c3,0x4c1bfea0,0x76677c04,0xf93ffcc4,
    0x7ef7dcbf,0x377776a6,0x4ddddddd,0x43b20488,0x575c5ffa,0xfaacc1fc,
    0x7f74405f,0x322fffbd,0x2603f504,0xe8183f9e,0x7cc17401,0x5000ee85,
    0x222f980b,0x0d10ec5e,0x99a8dff7,0x47900005,0xf32640e9,0x07ff10bf,
    0x3fe20e80,0x3f93fea6,0x00000be2,0x0dd881d1,0x7543fff6,0x8fdcbea0,
    0x6400fffd,0x0aa3dc0d,0xff9807e6,0x9816e002,0x8837e606,0x2a0a81fe,
    0x2be60a25,0x0e8185e8,0x5980ffec,0x64790000,0xff10f882,0x03f19d07,
    0x20f5e5cc,0x4bfe65ff,0x002e40fa,0x13a2cc00,0x80897fea,0x3ea1dfe8,
    0xd02e806f,0x402f8805,0x7c4001f9,0xfa807b00,0x907fe20e,0xfb7b97df,
    0x0bdf301b,0x17fe16a0,0x90000598,0x21d807c7,0xf52e42ff,0xbabdf981,
    0xf11ff41f,0x9d07e63f,0x2aaaaaa2,0x42aaaaaa,0x100c5bcd,0x53008003,
    0x25c0d300,0xd3007d10,0x22132000,0x0efb800f,0x36a0bfe6,0x2200bdff,
    0x0da802fe,0xb300ffcc,0xc8f20000,0x0ff46883,0x6c6c81d5,0x17ec1e82,
    0x89ed83fe,0xbbbb51fb,0xbbbbbbbb,0x00015509,0x88000000,0x4d813207,
    0x2000d300,0x802640f8,0x2ff43ff8,0x4403ef98,0x3202fade,0x9809f905,
    0x47900005,0xb0f662f8,0x6c07e61f,0x1fea8b64,0x31fa0fe4,0x0007fffb,
    0x10064000,0x11111111,0x44111111,0x02e81881,0x8017603f,0x0f600069,
    0x5fd1001f,0x2fa04fd8,0x4bd101f9,0x01ec42f9,0x059801fd,0xc9879000,
    0x27b82def,0x4c7a202e,0x4febdfee,0x4c12e1a6,0x80000002,0x7ffcc1eb,
    0xffffffff,0xf94fffff,0x2eb87e83,0x82e41f66,0x00069809,0xd005b9a6,
    0x204fc85f,0x2f41ae5c,0x42e897cc,0x2600ba0a,0x10000005,0x88000080,
    0x00000000,0x7d400000,0x88888881,0x88888888,0x87503260,0xdfefecf9,
    0xd8075c4e,0x40006982,0xfb003d2e,0x2203fb83,0x12616c0e,0xdddd5498,
    0x764003dd,0x0000eeee,0x00000000,0x00000000,0xf5000000,0x00000003,
    0x445317c4,0x3335f53e,0xd307b333,0x40013333,0xfc806aea,0x00017d41,
    0x00000000,0x00000000,0x00000000,0x00000000,0xb9844000,0xbbbbbbbb,
    0x0600003b,0x7fff4220,0x92ffffff,0xffffffff,0x17f4007f,0x0ba03a20,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0xfffffffb,
    0x00006fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x44444444,0x00000088,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_31_latin1_x[224]={ 0,6,3,2,3,2,3,6,8,4,0,1,3,2,
6,3,3,3,2,2,2,2,3,2,3,3,6,4,0,1,0,0,2,0,1,1,2,1,2,1,1,3,2,1,
1,0,0,0,2,1,1,2,1,1,0,0,1,1,2,0,0,0,3,1,5,1,0,2,1,1,2,1,1,2,
2,2,2,0,1,1,0,1,2,2,1,1,0,0,1,1,3,0,7,0,2,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,6,3,1,2,1,
7,1,4,0,0,0,0,2,0,-1,4,1,4,4,5,1,2,6,5,4,3,1,0,0,0,0,0,0,0,0,
0,0,0,1,1,1,1,1,3,3,3,3,-1,0,0,0,0,0,0,3,1,1,1,1,1,1,2,1,1,1,
1,1,1,1,0,2,1,1,1,1,2,2,2,2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,
 };
static signed short stb__courier_31_latin1_y[224]={ 22,4,5,4,3,4,7,5,5,5,5,7,17,13,
18,3,4,5,4,4,5,5,4,5,4,4,10,10,7,11,7,5,4,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,5,3,5,4,28,4,10,5,10,5,10,5,10,5,4,
4,5,5,10,10,10,10,10,10,10,6,10,10,10,10,10,10,5,5,5,12,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,22,10,4,5,8,6,
5,5,5,6,4,10,13,13,6,2,2,5,4,4,4,10,5,11,21,4,4,10,4,4,4,10,0,0,0,2,
2,0,6,6,0,0,0,2,0,0,0,2,6,2,0,0,0,2,2,9,5,0,0,0,2,0,6,5,4,4,
4,5,5,3,10,10,4,4,4,5,4,4,4,5,5,5,4,4,4,5,5,7,9,4,4,4,5,4,5,5,
 };
static unsigned short stb__courier_31_latin1_w[224]={ 0,4,10,12,11,12,11,4,5,5,11,14,7,12,
5,11,11,11,12,12,12,12,12,12,11,11,5,7,14,15,14,10,12,17,14,14,14,14,14,15,15,11,15,15,
14,17,16,14,13,15,16,12,14,15,17,16,15,15,12,5,11,5,11,17,6,14,15,13,15,14,13,15,15,12,
10,14,12,17,14,14,15,15,13,12,14,14,16,16,15,15,11,6,2,6,12,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,0,4,10,14,12,15,
2,14,9,17,9,14,15,12,17,18,8,14,8,8,6,14,13,5,6,8,10,15,17,17,17,10,17,17,17,17,
17,17,17,14,14,14,14,14,11,11,11,11,16,16,14,14,14,14,14,10,15,15,15,15,15,15,13,13,14,14,
14,14,14,14,16,13,14,14,14,14,12,12,12,12,14,14,14,14,14,14,14,14,14,14,14,14,14,15,15,15,
 };
static unsigned short stb__courier_31_latin1_h[224]={ 0,19,8,20,22,19,16,9,21,21,11,15,10,3,
5,22,19,17,18,19,17,18,19,18,19,19,13,15,15,6,15,18,20,16,16,17,16,16,16,17,16,16,17,16,
16,16,16,17,16,20,16,17,16,17,16,16,16,16,16,21,22,21,9,2,5,13,18,13,18,13,17,18,17,18,
24,17,17,12,12,13,18,18,12,13,17,13,12,13,12,18,12,21,21,21,5,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,0,18,18,17,12,16,
21,19,3,17,9,12,9,3,17,3,8,17,10,10,5,18,19,5,6,10,9,12,18,18,18,18,22,22,22,20,
20,22,16,21,22,22,22,20,22,22,22,20,16,20,23,23,23,21,21,10,19,23,23,23,21,22,16,18,19,19,
19,18,18,20,13,17,19,19,19,18,18,18,18,17,18,17,19,19,19,18,18,14,15,19,19,19,18,24,23,23,
 };
static unsigned short stb__courier_31_latin1_s[224]={ 255,251,176,79,216,193,1,149,107,113,73,
234,105,226,245,240,107,201,153,135,213,166,13,179,1,26,249,246,16,196,1,
197,242,185,101,226,119,116,182,88,230,13,17,25,104,167,217,241,203,1,134,
33,167,128,131,41,197,85,72,203,37,148,154,182,219,125,208,140,224,154,74,
46,1,1,1,59,46,213,198,78,30,14,26,169,186,93,40,108,182,240,14,
141,252,134,232,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,
137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,255,192,244,
80,1,151,185,92,245,62,166,231,122,226,110,226,187,95,96,246,219,1,128,
226,212,113,138,57,31,188,142,206,186,19,1,17,224,153,149,170,171,61,92,
35,49,204,228,50,213,62,122,91,76,188,119,85,119,106,137,60,154,76,58,
230,113,38,98,79,94,209,61,172,221,148,236,160,217,109,175,159,16,144,163,
178,206,122,64,46,31,68,83,53,49,12,44,28, };
static unsigned short stb__courier_31_latin1_t[224]={ 1,48,179,49,1,48,146,179,26,26,179,
146,179,189,179,1,48,109,90,48,109,90,70,90,70,70,146,128,163,179,163,
90,26,146,146,109,128,146,128,128,128,146,128,146,128,146,146,109,146,49,128,
128,128,109,146,146,128,146,146,26,26,26,179,176,185,163,90,163,90,163,128,
109,128,109,1,128,128,163,163,163,109,109,179,163,109,163,179,163,163,90,179,
26,1,26,179,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,
90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,1,90,70,
109,179,128,26,49,185,109,179,163,179,189,109,185,179,109,179,163,179,90,70,
179,179,179,179,179,90,70,70,70,1,26,26,49,26,1,146,26,1,26,26,
49,26,1,1,49,128,49,1,1,1,26,26,179,48,1,1,1,26,26,146,
70,70,70,70,90,90,26,163,109,48,48,48,70,70,90,70,109,90,109,48,
48,48,90,90,163,163,70,70,70,90,1,1,1, };
static unsigned short stb__courier_31_latin1_a[224]={ 263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_31_latin1_BITMAP_HEIGHT or STB_FONT_courier_31_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_31_latin1(stb_fontchar font[STB_FONT_courier_31_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_courier_31_latin1_BITMAP_HEIGHT][STB_FONT_courier_31_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_31_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_31_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_31_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_31_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_31_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_31_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_31_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__courier_31_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__courier_31_latin1_s[i] + stb__courier_31_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__courier_31_latin1_t[i] + stb__courier_31_latin1_h[i]) * recip_height;
            font[i].x0 = stb__courier_31_latin1_x[i];
            font[i].y0 = stb__courier_31_latin1_y[i];
            font[i].x1 = stb__courier_31_latin1_x[i] + stb__courier_31_latin1_w[i];
            font[i].y1 = stb__courier_31_latin1_y[i] + stb__courier_31_latin1_h[i];
            font[i].advance_int = (stb__courier_31_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__courier_31_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_31_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_31_latin1_s[i] + stb__courier_31_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_31_latin1_t[i] + stb__courier_31_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_31_latin1_x[i] - 0.5f;
            font[i].y0f = stb__courier_31_latin1_y[i] - 0.5f;
            font[i].x1f = stb__courier_31_latin1_x[i] + stb__courier_31_latin1_w[i] + 0.5f;
            font[i].y1f = stb__courier_31_latin1_y[i] + stb__courier_31_latin1_h[i] + 0.5f;
            font[i].advance = stb__courier_31_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_31_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_31_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_31_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_31_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_31_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_31_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_31_latin1_LINE_SPACING
#endif

