// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_34_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_34_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_34_latin1_BITMAP_WIDTH         256
#define STB_FONT_courier_34_latin1_BITMAP_HEIGHT        228
#define STB_FONT_courier_34_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_courier_34_latin1_FIRST_CHAR            32
#define STB_FONT_courier_34_latin1_NUM_CHARS            224

#define STB_FONT_courier_34_latin1_LINE_SPACING          16

static unsigned int stb__courier_34_latin1_pixels[]={
    0x04c00000,0x00015550,0x2000c400,0x00000001,0x22000000,0x00018000,
    0x00004000,0x00000088,0x0000000c,0x04402200,0x2a0017e0,0x5fdd102f,
    0x3a200000,0x0076c004,0x36c1f440,0x00376200,0x8007f300,0x440003f9,
    0x017400dd,0x0017d400,0x0006d800,0x400003b6,0x809902fa,0x17e4005f,
    0x00002e80,0xb0004f98,0x6f98003d,0xd3000ff8,0x20003dbb,0xf50003fa,
    0x37a60009,0x01ae01ed,0x001fdc00,0x001dd100,0x05fbdd30,0x202fb800,
    0x002fc04c,0x174003fb,0x0fea0000,0x003f9000,0x00188098,0x017e47f7,
    0x0000bee0,0xfa800bf3,0x7c40fee4,0x9f500001,0x0bd30000,0xfb93ea00,
    0x03f90004,0x004c04c8,0x74000ea8,0x3e200002,0x0f700002,0xf9800000,
    0x3001fa82,0x2200003f,0x05f3003e,0x017203f5,0x002e9800,0x88002740,
    0x002e982f,0x26400f54,0x40000000,0x0000002e,0x00000000,0x00000000,
    0x00000000,0x003f1000,0x00000000,0x00000000,0x00026400,0x99740000,
    0x203dffec,0x98809999,0x4cccc199,0x21999880,0x9504cccb,0x54401999,
    0x7510001b,0x2ea20003,0x13333001,0x90333310,0x3331000b,0x31000333,
    0x00033333,0x03333331,0x4cccccc0,0x21999999,0xccccc8cc,0x332e4ccc,
    0x9999504c,0x59f55d01,0xfb0bd733,0x7cc3ffff,0xffb5ffff,0x7fcc3fff,
    0x9fd55fff,0x13f72607,0x77effec4,0xffd8800c,0x8800cefd,0x0cefdffd,
    0x3fffffb0,0x2fffffcc,0xfd0003e6,0x003fffff,0xffffffe8,0x7fff4001,
    0xfc801fff,0xffffffff,0x23327fff,0xcccccccb,0x40f3faa7,0xdd04fdc9,
    0x4176203f,0xf079801f,0xf10f3003,0x2609b001,0x076c40de,0xd881bd30,
    0x037a600e,0x0fc01db1,0x09b03cc0,0x04ccd800,0x02666c00,0x01333600,
    0x27880798,0x4478804c,0x204d800f,0x83e802fe,0xf079801f,0x320f3003,
    0x4407cc04,0x882e404f,0x882e404f,0xf02e404f,0x4c0f3003,0x3f10000f,
    0x7c4000f3,0x22000799,0x2600799f,0x06678807,0x01321e20,0x02f401f3,
    0x801f86a8,0x3003f079,0xd803e20f,0x3600b904,0x9b005c84,0x13600b90,
    0x03cc00fc,0x354000fa,0x9aa0005d,0x4d50002e,0x00f3002e,0x0f1000f1,
    0x026c01f1,0x07c400fa,0x41e6007e,0x2079801f,0x301f304c,0x83e6003f,
    0x1f3001f9,0xf9800fcc,0x79801f80,0xd8003d40,0x6c0016e3,0x6c0016e3,
    0x3cc016e3,0x44002c40,0x3e609907,0xf0017400,0x79801f83,0x0f3003f0,
    0x826c07c4,0x716c005b,0x2e2d800b,0x7c16c005,0xe8079801,0x107c4003,
    0x0f88001f,0xf10003e2,0x4c007c41,0x80002987,0xb01f1078,0x2009d009,
    0x9801f879,0xf3003f07,0x07cc4c80,0x25c003d8,0x24b8007b,0x425c003d,
    0x8079801f,0x42dc006a,0x42dc003d,0x42dc003d,0xc879803d,0x07880004,
    0x001f3132,0x21ae00dd,0xf079801f,0x880f3003,0x2e81360f,0x05d2d400,
    0x00ba5a80,0x003f0b50,0x00be00f3,0x006a82e8,0x00354174,0x201aa0ba,
    0x4eccccf9,0x1e201320,0x01360f88,0x3e6027f4,0x79801f81,0x0f3003f0,
    0x803e2990,0xf3cc001f,0x3e798003,0x7c3cc001,0x70079801,0xf81e600d,
    0x7c0f3001,0x7c0f3001,0x7777cc01,0x013204fe,0x229901e2,0xbd7d000f,
    0x3e09f501,0x3f079801,0xf100f300,0x02e80991,0x005d2d40,0x000ba5a8,
    0x3003f0b5,0x00be200f,0x004c8132,0x80264099,0x3013204c,0x2640990f,
    0x3e203c40,0x2ba004c8,0xfedcdfd8,0x26007e02,0xf3003f07,0x003f7200,
    0x24b8007b,0xb25c003d,0xf84b8007,0x20079801,0xffff806c,0x007fffff,
    0xffffffff,0x3ffe00ff,0x07ffffff,0x901d43cc,0x900f1009,0x174001fb,
    0x80159973,0xd07a802e,0x200f5005,0x05b805f8,0x00b716c0,0x0016e2d8,
    0x5005d05b,0x00fc400f,0x333333d5,0xea805d33,0x99999999,0x4cf5402e,
    0x2e999999,0x94c01e60,0x8078804c,0x174005f8,0x200f2000,0x9007905c,
    0x007e200b,0x7cc007e6,0x4c007e60,0x4007e60f,0x803c80f9,0x02e4005c,
    0x80b7007b,0x405b803d,0x205b803d,0x32b70079,0x88078804,0x0174001f,
    0x3a01aa00,0x9d00d504,0xc8017200,0xd909b006,0x1b213600,0x06a826c0,
    0x7c4004e8,0x8800f881,0x001f100f,0x03e201f1,0x3cc03e20,0x00995b80,
    0x00b900d5,0x880005d0,0x403f203f,0x03f203f8,0x88007e20,0x882e404f,
    0x882e404f,0x102e404f,0x007e407f,0x02dc26c0,0x016e07b0,0x00b703d8,
    0x007981ec,0x360132b7,0x000fc404,0x4c000174,0x017e444f,0x5f9113e6,
    0x20017200,0x76cc1ee8,0x307ba200,0x774401db,0x20076cc1,0x17e444f9,
    0x310f9800,0x4cc0339d,0x9d3109eb,0x75ccc033,0x339d3109,0x84f5ccc0,
    0x9999fa98,0x55c99999,0x017dc405,0xcc880172,0x0003ccdf,0x3bfbbfa6,
    0xddfd3001,0x332603df,0x003cdfcc,0xbefeffc8,0xfdff9000,0x3f20017d,
    0x000befef,0x3dfddfd3,0xf90a8000,0xf305ffff,0x3f29ffff,0xf982ffff,
    0xff94ffff,0xff305fff,0x3fee9fff,0xffffffff,0x66445fff,0x4c2ffccc,
    0x3cdfcccc,0xccccc880,0xa880004c,0x5510001a,0xcccca803,0x20003ccc,
    0x260000a9,0x2a60000a,0x2aa20000,0x00000001,0x00000000,0x00000000,
    0x56666644,0xccccca80,0x000003cc,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x22000000,
    0x00000002,0x01880008,0x00044000,0x0000c400,0x2aaaa026,0x09ba8801,
    0x53015c00,0x1dc40555,0x442e9800,0x8001303d,0x00044221,0x36e13603,
    0x32009900,0x88001ebd,0xf30000dd,0x02f98005,0x10136000,0x3e6001bb,
    0x03f70002,0x540bdddf,0x8dffeefe,0xb026404b,0x3ea0fddd,0x03d52efd,
    0x37cc4fb8,0xfb804fd8,0x0075d326,0x43fc42ec,0x0ff881fe,0x00932c40,
    0x01edde98,0x8001fd40,0x980004fa,0x377a600f,0x09f5001e,0x3f02fc80,
    0x4415f500,0x2204efeb,0x3cc00aee,0x3ffaa2c8,0x35015003,0xf1007cc0,
    0x07f14c85,0x03301fa8,0x03fe2051,0x002c4930,0x01fe49f7,0x40002fb8,
    0x640005f9,0xfb93ea05,0x00bf3003,0x01f807f6,0x3f2007d4,0xfdefd984,
    0x00f307cf,0x000000a8,0x43540990,0xe803f24c,0x7c400006,0xd9bd800f,
    0x505f3002,0x01fa803f,0x007d1000,0x7cc07e20,0x1001fa82,0x00eb807d,
    0x05f100fc,0xcf889f10,0x7983fd40,0x000dd440,0x2001ba88,0x3217205b,
    0x7cc0fe64,0x404cccc3,0x3fc19998,0x00039500,0x00010000,0x2e400000,
    0x00000000,0x2e01f800,0xd70ea005,0x07983d40,0x9dfbffb1,0xbffb1001,
    0x5b8019df,0xd1321720,0xfd83f20d,0x3e61ffff,0x1fe5ffff,0x19999988,
    0x26666600,0x4c419999,0x02662009,0x33333333,0x20033333,0x999982f8,
    0x99999999,0x4cccccc1,0x4ccc1999,0x21999999,0x000b601f,0x301805d0,
    0x881bd30f,0x37a600ed,0x70076c40,0x2642e40b,0x09f107ea,0x21e6007e,
    0x3fffa07e,0xfb801fff,0xffffffff,0x5ffff74f,0x25ffff50,0xfffffffc,
    0x007fffff,0xffff90d7,0xffffffff,0x7ffffdcf,0xf74fffff,0xffffffff,
    0x1f807e9f,0x0026c000,0x027c4798,0x027c4172,0x205b8172,0x7c44c85c,
    0x1f817dc5,0x06e87980,0x00133360,0x02ec0264,0x807982ec,0x405f0078,
    0x40788079,0x0264004c,0x003e203f,0x0003f300,0xb005c8f3,0x3600b909,
    0x2e40b704,0x363fc264,0x3003f00f,0x2200dd0f,0x9000799f,0x405f1009,
    0x00f300fa,0x80d700f1,0x40788079,0x0264004c,0x003e203f,0x2b3bee00,
    0x3e679800,0x4c1f3001,0x01f3001f,0x6426c0d7,0x1fa0fe84,0x879801f8,
    0x74d5005d,0x004c8002,0x05f101f5,0x03c403cc,0x01e601f4,0x009901e2,
    0x407e04c8,0x100000f8,0x407dfd95,0xb0016e79,0x36002dc5,0xfa83f882,
    0x1fc84c82,0x801f81be,0xb005d879,0x64002dc7,0x32176004,0x4403cc05,
    0x4c03d405,0x64058807,0xf0264004,0x0000fc03,0x305fa880,0x2e001ecf,
    0x97000f64,0x7f43bee0,0x5f709904,0x01f817e2,0x804c8798,0x003e20f8,
    0x7c400990,0xf3003e62,0x3e800530,0x02987980,0x32002640,0x3e807e04,
    0x7c400000,0x00ba7981,0x00174b50,0x8bba216a,0x84c80fd9,0xf81be1fc,
    0x19879801,0x03d85b80,0x2a002640,0xf3007d0f,0x7cc00990,0x4c879800,
    0x20026400,0xb807e04c,0xd8000006,0x007e7983,0x000fcf30,0xe81ea1e6,
    0x0fd84c83,0x801f81fa,0x0ba00079,0x099001aa,0x00b99b00,0x3b3333e6,
    0x40136004,0x4eccccf9,0x20026400,0xd007e04c,0x3b962009,0x27982e80,
    0xd2d4002e,0xb85a8005,0x13217205,0x201fb1fa,0x0079801f,0x00fc0f30,
    0xf1000990,0x3be6001f,0x3004feee,0x3be6001f,0x4004feee,0x0264004c,
    0x03f9803f,0x03f927cc,0x36798354,0x7b25c003,0x5b84b800,0x21321720,
    0xf80fe46f,0x00079801,0x00264099,0x17200099,0x04c87980,0x3cc00bb0,
    0x13200264,0x0fc09900,0x220efcc0,0x5f7e43fb,0x4c0ff2a1,0x5b0016e7,
    0x0b6002dc,0xc85c816e,0x3e61fcc4,0xf5005d03,0x3e00bb88,0xffffffff,
    0x00132007,0x0f300264,0x03f10075,0x01d43cc0,0x99001320,0xd8800fc0,
    0x81effeff,0xffffc9bb,0xf99e602e,0x4c1f3001,0x01f3001f,0x642e40b7,
    0x37407e44,0x45c803c8,0x3d504ffc,0xd3333333,0x00132005,0x0f300264,
    0x00b90a60,0x05300798,0x13200264,0xdb8001f8,0x06ec000a,0x01b23cc0,
    0x8036426c,0x640b704d,0x17e24c85,0x03540fdc,0x13ff2274,0x02dc01ec,
    0x990004c8,0xb803cc00,0x30007e25,0xc816e00f,0xf0264004,0x01b50003,
    0x26009900,0x32027c47,0xc809f105,0x5b816e05,0x407ee4c8,0x03f885f8,
    0x40aa03f2,0x0f8800f8,0x90004c80,0x803cc009,0x2001ae5b,0x40b70079,
    0x0264004c,0xd710003f,0x20099000,0x41ee8879,0x3a200ed9,0x0076cc1e,
    0x643c405d,0x1f7017a4,0xfc889f30,0x005b8002,0x013200f6,0xf3002640,
    0x02f96e00,0xb7007980,0x32002640,0x0aaafe04,0x01d13730,0x2a604c80,
    0x3ff207ba,0x9000befe,0x017dfdff,0x3b601faa,0x00fd5322,0x7f4c0fe2,
    0x4001efee,0x2019ce98,0x2609eb99,0x999dd999,0xbb333009,0x53101333,
    0x3333333f,0x01aeb933,0x333f5310,0xb9333333,0x4eeccccc,0x26660999,
    0x09999dd9,0x700bdddd,0x550005bb,0x03777640,0x3000054c,0x017b0015,
    0xa954b710,0x88073003,0xf90001aa,0xf305ffff,0x3ee9ffff,0xffffffff,
    0xffffb83f,0xfb83ffff,0xffffffff,0x0135ffff,0xfffffb80,0xffffffff,
    0xffffff75,0x3ee7ffff,0xffffffff,0x0000003f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xb82e0000,0x17213600,0x01b709b0,
    0x40002ea0,0x000002b8,0x00ddcc00,0x3d885d30,0x00018800,0x40016ed4,
    0x1aaaaaa8,0x4c000000,0x000c4000,0xb1001300,0x43f003df,0xd0ff301f,
    0x21fe203f,0x77c401fe,0x03d98bfe,0xa977efd4,0xdd93001e,0xdff5003b,
    0xf7005ffd,0x8006f989,0xb10003f9,0x64001b11,0x4dcccccf,0x0006ec40,
    0x3000bee0,0xf700007f,0xbfff5005,0x00fc1f00,0x98053033,0x3b802881,
    0x0037ff66,0x1fff5c39,0xeaadfa80,0x20bf202f,0x80a804fa,0x9f30001a,
    0x1d457000,0x12604b80,0x01fddf98,0x0005f900,0xc80013e6,0xffd1002f,
    0xf10f8805,0x00000001,0x00198000,0xf9800540,0xfb80fa82,0x0013a601,
    0x2f4c0000,0x01c92600,0x824c01d0,0x00fee3fb,0x80003db0,0xed8005e9,
    0x22000001,0x99981e27,0x41999999,0x99999999,0x4c419999,0x26662009,
    0x33333101,0xf026c003,0x9801f885,0x3333100f,0x22000033,0x7764002e,
    0x0201a004,0x07a607a6,0x00007540,0x2a002e88,0x4000000e,0x7dc1e679,
    0xffffffff,0xfffff94f,0xffffffff,0x407fffcc,0x85fffff8,0x1ffffffe,
    0x3200f980,0xbb002ec5,0x3fffffa0,0x0000001f,0x16c00040,0x00000000,
    0x00000000,0xd5000000,0x099003cc,0x0f100f30,0x0f1017fa,0x402666c0,
    0x3e35405b,0x401e6001,0x00004ccd,0x88004000,0x0003eced,0x00000004,
    0x04000080,0xd5001800,0x09900354,0x0f100f30,0x78807efa,0x0f33f100,
    0x36ea0990,0x3e001e26,0x3ccfc401,0xb8266540,0xb7301ccc,0x6407dffd,
    0x9800f642,0x03effedb,0x65c1332a,0x76cc01cc,0x9800ceff,0x00ceffed,
    0x3fee03f0,0xffffffff,0x2013200f,0xd0788079,0x03c40d75,0xb00ba6a8,
    0x6defe987,0x0ba001aa,0x20174d50,0x99507dc9,0x37bf507d,0x360bd933,
    0x200ce980,0xc999bdfa,0x0fb9305e,0xc80fb32a,0xeea99bef,0x26fbf201,
    0x4401eea9,0x3726601f,0x0099dc99,0x03cc0264,0x7d2e82c4,0x1ec01e20,
    0x222e80b7,0x2dcd51de,0x3601ec00,0x3c4016e3,0x44001ec0,0x2a05981f,
    0x3f10003e,0x1ec03c40,0x3ee01ec8,0x2e01ec80,0x0efc880f,0x01324c80,
    0x879804c8,0x2a5d0029,0x8807880f,0xe803e20f,0x26a83ee2,0x02e8006a,
    0x00f883e2,0x03d80788,0x3ae0b900,0x0003b200,0x80788172,0x800fa83d,
    0x4007d45c,0x00efd45c,0x00264990,0x90f30099,0x4d8ba009,0x85b80788,
    0x4d8ba03d,0x000f3354,0x6c2dc03f,0xd8078803,0x40b70003,0x03a603e9,
    0x3c40b700,0x026c1ec0,0x0026c3f0,0x000fe63f,0x2003d8f6,0xccf9804c,
    0x5d004ecc,0x01e20fc4,0xe81aa0ba,0xf8d51aa2,0x803e6001,0x8806a82e,
    0x2a03d807,0x5dcdeedc,0x7502eb80,0x9bddb950,0x403c40bb,0x999af83d,
    0xd9999999,0x26666be2,0x2d999999,0x3fe20099,0xffffffff,0x4026403f,
    0x4feeeef9,0x46c85d00,0xf03cc078,0x47f0ba03,0xb002e46a,0x3f03cc0b,
    0x3d807880,0xaaccfe98,0xb1005ecb,0x3a65881b,0xecbaaccf,0x3601e205,
    0x7ffffc43,0xffffffff,0xffffff14,0x9fffffff,0x999800be,0x99be99be,
    0x4c026400,0x5d004c87,0x01e22f88,0xd8264099,0x7f77f543,0x2600be20,
    0xc813200f,0x6c03c404,0x70067c43,0x8aea800b,0x019f12da,0x00f102dc,
    0x0003d07b,0x4e8000f4,0xf0fc0440,0x40264003,0xd003a879,0x1e21f505,
    0xfffffff0,0x41320fff,0x7dc0cbb9,0xf013e601,0xffffffff,0xd807880f,
    0x2dc03643,0x0df74400,0x40b700d9,0xd83d8078,0x01360004,0x97007e40,
    0x000fc3f0,0x00f30099,0x6c0ba0a6,0x4f540f14,0xe9999999,0x20005b82,
    0x3ea20bfb,0x4ccf5404,0x02e99999,0x87d003e2,0x005c803e,0x007d0d10,
    0x007c40b9,0x003ea0fa,0x40007d40,0x4d881df8,0x00f887c4,0x1e601320,
    0x81742dc0,0x360789f9,0xf985b803,0x3faa0000,0xd802ffee,0x6c05b803,
    0xb87fd102,0xb82fe405,0x02dc3401,0x05b017f2,0x3640ffa2,0x03642a80,
    0x3bfa62a8,0x441dfdcc,0xc8003e27,0x70079804,0x6e405d0b,0x001f1078,
    0x009b01f1,0x00aee880,0xf1001f10,0x710f5401,0x7c437d9f,0x33baa20b,
    0x300e409e,0x4417f10d,0x009eceea,0x67dc43d5,0x05fb01be,0xfb05fd51,
    0x05fd5105,0x20179b95,0x9001e679,0x200f3009,0x2202e85b,0x00b707bf,
    0x81fcc1ec,0x2ffa601a,0x706e20ab,0x201ec00b,0xb2effefd,0x77fd41ff,
    0xfff73ffe,0x75c40e41,0xfddff501,0x03ffee7f,0x977ff7ec,0xff500ffd,
    0x019fffdd,0x7ff77fd4,0x980000cf,0x33301e67,0x13333bb3,0x2667ea62,
    0x5c999999,0x4066fa62,0x674c47fb,0x3ae66019,0x55efd409,0xff501fdb,
    0xfdffdddf,0x273a621d,0x27ae6601,0x00055400,0x40015531,0xcefffffc,
    0x0554c401,0x002aa000,0x009aa880,0x004d5440,0x48926000,0x3ffffee0,
    0xf73fffff,0xffffffff,0x7dcbffff,0xfd02ffff,0x2fffffc8,0x4fffff98,
    0x0abdec98,0x26202a20,0x7fffe41a,0xffff982f,0x0000004f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0c400000,0x00130000,
    0xa8806000,0x00aaaaaa,0x00620000,0x00004c00,0x01008800,0x005eedc4,
    0xb51000a0,0x0110039b,0x20000000,0x07766019,0x0006ec40,0x700007f3,
    0x7730003f,0xfc88bb03,0xcceccedf,0x0076c401,0x0000fe60,0x6c4003f7,
    0x77e4000d,0x980feb9b,0x01febbee,0xb1001f90,0x09fd97bf,0x91001fb8,
    0x3fb26399,0x132003df,0x9805ffd8,0x2001fddf,0x320004fa,0x7fd4002f,
    0x1f72ffde,0x249977d4,0xddf9800d,0x27d4001f,0x001fc800,0x007f77e6,
    0x15fffb30,0x1f709f10,0x40076c40,0x3f980de8,0x44017dc0,0xacfaafcb,
    0x9005eb99,0x017fd409,0x03fb8fee,0x20017a60,0x7e4001fd,0x21fdfa82,
    0xd9260ff8,0xf71fdc00,0x05e98007,0x7000f6c0,0x401fdc7f,0x2f9adfeb,
    0x82740d70,0x0a000de8,0xfa801f70,0x07fba003,0x26402ec4,0x3d300220,
    0x44003d30,0x03aa002e,0x4c03f700,0x2627d45f,0x1e980364,0x44001e98,
    0x01d5002e,0x74c0f4c0,0x2a0b2201,0x501fc40f,0x0001320f,0x26007e20,
    0x05fd001f,0x04c807d0,0x00000000,0x22000000,0x07ef401f,0x364983f7,
    0x00000000,0x00000000,0x4c6a8000,0x0017c01f,0x01f10000,0x00bd0000,
    0x7fe441aa,0x800028be,0x00020000,0x02ec0010,0x5f72edb2,0x00036498,
    0x00000000,0x44000000,0x9b0bcdca,0x01f403d4,0x0d900000,0x00fa0000,
    0x5db107c4,0x88ff9513,0xffed9800,0x36e600ce,0x9803effe,0x03effedb,
    0x21f700fc,0x98bf30f9,0x99950364,0x807332e0,0x0ceffec8,0x77ff6440,
    0x7f64400c,0x7d400cef,0xbbfdcbce,0x13601ae6,0x00599997,0x702fc980,
    0x40059999,0xc87e002e,0x0991f205,0xa99befc8,0xbdfa81ee,0x205ec999,
    0xc999bdfa,0x4c0f105e,0x9f90fc2f,0xc981b24c,0x7d99507d,0x266b7ea0,
    0xbf502fda,0x05fb5335,0x2a66b7ea,0x07f702fd,0x04c9f7a6,0x666544c8,
    0xee98004e,0x332a01ef,0x13a004ec,0x01f33cc0,0xc81722c4,0x003ee01e,
    0x20003f10,0x106981f8,0xfa85d07d,0x40364bbe,0x983d8078,0x307ea02f,
    0x20fd405f,0x07ea02f9,0x3fd005f1,0x01320132,0xb7100099,0x264003ff,
    0x2e00dd00,0x360016e6,0x9001f505,0x00b9000b,0x82dc2e40,0x2607b05d,
    0x440364db,0x7443d807,0xd10eb803,0x221d7007,0x20eb803e,0x27f3005c,
    0x404c804c,0xfb80004c,0x40099002,0x0fcc04fe,0x0bb00099,0x01f80136,
    0x70002dc0,0x1d90d50b,0x49300ba0,0xb00f100d,0x3a006b87,0x9f400d73,
    0xe8fa006b,0x2653e002,0x13202640,0x00fcc000,0xd7d00264,0xb89f501b,
    0xf06e8005,0x33333335,0x9505b333,0x0bb9bddb,0xcdeedca8,0x7d47885d,
    0x93007e01,0x8078806c,0x9002643d,0x4c801329,0xf2640099,0x5ba6c001,
    0x26403e80,0x00990000,0x45740099,0x2fedcdfd,0x74000f98,0xfffff886,
    0xffffffff,0x2b33fa64,0xd305ecba,0xd975599f,0x17c47e0b,0x49300f30,
    0xb00f100d,0x2a002e87,0xb54005d6,0xf9aa002e,0x3d4ba001,0x9900be20,
    0x03540000,0x45d00264,0x200accb9,0xff0e205d,0x440007a0,0x216e00cf,
    0x16e00cf8,0x6c04eae4,0x03649805,0x21ec03c4,0x6d6e003d,0x1ed6e003,
    0x026cb700,0x01f31f88,0x13200fd4,0x806a8000,0x00ba004c,0x88aee880,
    0x83fc5fb9,0x0d90004d,0x00d90b70,0x1bbe20b7,0x93001f30,0x8078806c,
    0xb002dc3d,0x3d8016e7,0x71ec00b7,0xe8d5001d,0x3201b204,0x13200004,
    0x2e801320,0xffec8000,0x80ff81be,0x3e8000fa,0x03e85c80,0x0bf605c8,
    0x93003f98,0x00f8806c,0x007e61f4,0x00fcc7e6,0x01f98fcc,0x076c1f98,
    0x0fa85f50,0x4c802f88,0x7d401c80,0x2004c800,0x3200002e,0x403fe204,
    0x2e55006c,0x5c2fe405,0xa82fe405,0x2a20bfdf,0xd926003f,0x7440b600,
    0x200eb83f,0x0075c3e8,0x00eb87d1,0x3ba20fa2,0xe827dc42,0x4017a61e,
    0x1cfc804c,0xc8017e44,0x000ba004,0x3e204c80,0x20bf600f,0x7f12fea8,
    0x76775441,0x882fe209,0x209eceea,0xddfd53f8,0x498005ff,0x21ea8036,
    0x81becfb8,0x05fa82fd,0x0bf505fb,0x17ea0bf6,0xdfddff90,0xffffc805,
    0x93333104,0x3033333b,0x3dffdffb,0x32666620,0x2219999d,0x03ccdfcc,
    0x2e026400,0xeeffa803,0x7d40cfff,0xf73ffeef,0x77fd41ff,0xfff73ffe,
    0x2aa21361,0x6c930000,0x7ff7ec00,0x501ffb2e,0x05ffddff,0xffeeffa8,
    0x777fd402,0x2a6002ff,0x2aa2000a,0xfffff100,0x3fffffff,0x10055440,
    0xffffffff,0x3223ffff,0x004ccccc,0x00001dc0,0x10026aa2,0x88001553,
    0x01000aa9,0xfffd8000,0x02fff98f,0x98000554,0x54c001aa,0x554c001a,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0x553000a8,0x03555555,0x47bb7310,0xaaaaaaaa,0xdc880aaa,0x6edc00cd,
    0x8000000a,0x000000ba,0x2aa88000,0x2aa00000,0x0000000a,0x2000cb80,
    0x00ec84e8,0x17710000,0x4fffda80,0xeeeefc80,0x7d403eee,0xdd0dcbdf,
    0xdddddddd,0xccffb85f,0xdfe883ff,0xe9802ffb,0x2afaa004,0x7ed4004d,
    0x99912def,0x7eeb8003,0xbdffeb80,0x3a279970,0x200002fe,0xdf3004f9,
    0x09d319fb,0x07fa1be2,0xfd001dc0,0x85fcc0df,0x026404ea,0xe807f900,
    0x3ea2e802,0x6f42fa82,0xf7007d41,0x0d001dd9,0x7fb10039,0xf37f7533,
    0x26000199,0x26fba207,0xcde8eea9,0x00002e82,0x154013e6,0x980bff93,
    0x32001880,0xffff1004,0x3ea0f601,0x40013201,0x00b801ec,0x40bd07c4,
    0x5403ea7d,0x7e43fb06,0x1260ea02,0x74403760,0x7980007e,0x75c037a0,
    0x000ba02f,0x0004f980,0x00000044,0x7ec00990,0x740f105f,0x20013203,
    0x200001fa,0x9807e25b,0x2e807b0f,0x03d406dc,0xa80b1057,0x03fcc00f,
    0xeb83cc00,0xd017ec00,0x09800005,0x00000000,0x20026400,0xe81e6008,
    0x20013202,0x7400003f,0xf8803e63,0x04b805d1,0x32162000,0xc801ec01,
    0x07980007,0x05f3005d,0x00000174,0x3ffb2200,0x764400ce,0x2000ceff,
    0x4c00004c,0x6401f507,0x0034c004,0x7d03e200,0x805d35c0,0x64000059,
    0xf806c89c,0x500f5001,0x2639dfd9,0x3e003f07,0x7644ba02,0x00003dff,
    0x266b7ea0,0xbf502fda,0x05fb5335,0x00001320,0x17edc4f3,0x3fb6b720,
    0x004b80ce,0x7e435400,0x1724f880,0x99970db0,0x6e4c0059,0x1f10b882,
    0xf901e600,0x35f95337,0x2001f10f,0x3e6ba02e,0x0dfb99ad,0x05999970,
    0x7d405f30,0xf5017cc1,0xd9999983,0x0019999d,0xffe99e60,0x5effe403,
    0x9ec1fda9,0x003efeb8,0x5bf903d8,0x0fa89fb5,0xca81ff50,0x40004ecc,
    0x1743eeb8,0x3ae07b80,0x20f9d300,0x02f8801f,0x6c40bf7a,0x9d999505,
    0xb803e880,0x7007d10e,0x3ffff61d,0xffffffff,0x805554c5,0x01dd5079,
    0x20fb8062,0xd9bfe89e,0x00fc005f,0x10dffffb,0xe9fa819d,0x40026401,
    0xb00bdeb8,0x4c1f600b,0x83fcc00f,0x02fa804d,0x7f100ffa,0x6b809900,
    0x035cfa00,0x04c807d0,0x4c0dffb0,0x00036407,0x4275749b,0x0d5003f8,
    0x7e4ce7ec,0xcacfe885,0x4c803f2f,0x17bd7300,0xb805f100,0x2007907f,
    0x403f307c,0x1ba02ff8,0x26403540,0x4c801320,0x02640099,0x7ffc0132,
    0x3a01e601,0x6cb70003,0x401f205f,0x6c0bb04c,0x1beeb885,0x04c801f1,
    0x02056f44,0x7e40fee0,0x2003d07b,0x20bee07a,0x3a02ece9,0x801f1004,
    0x0017404c,0xa800bad5,0x4c026406,0x03cc05ff,0x798002dc,0x1f9803ee,
    0x2f881f80,0x98003e60,0x0004c806,0x4019db93,0xefdcdee9,0x00f88798,
    0xefa80f30,0x05d3fecc,0x03f001f4,0x01ec04c8,0x800f6b70,0x4026405b,
    0x3cc00ffc,0xa8003cc0,0x0be016a6,0x01ae0f30,0x05b800fa,0x3d0004c8,
    0x65d402d4,0x0fc1e61b,0xa8807a80,0x80ba0acc,0x01f1003e,0x02dc04c8,
    0x8016e7b0,0x4026403d,0x079803fe,0xb7000798,0x07e203c4,0x016e0990,
    0x17c40136,0x54002640,0x20001c83,0x2005b079,0x2e80007b,0x3cc017a0,
    0x3e602640,0xf31f9801,0x803f3003,0x037cc04c,0x3dc24798,0x1743e800,
    0x2e801f70,0x7cc03f50,0x200bd002,0x80d8004c,0x1e60004a,0x3fc40354,
    0xd00fc000,0x009b003f,0x01d70099,0x03ae1f44,0x3b803e88,0x9800fd40,
    0xf1761747,0xe986b807,0x78809d00,0x0d902740,0x2001db10,0x82b8004c,
    0x1e60001c,0x3f6c04e8,0xd01ea000,0x075c01dd,0xfd802640,0xfb05fa82,
    0x000bf505,0xf5310000,0x1fc8adc3,0x3220f7d4,0x217d702f,0x2dc00eea,
    0xda8b7e60,0xbf71021f,0x00264001,0x00d30744,0x3a207980,0x7cef4c0d,
    0x3fa80019,0x5d95d330,0x9001fd88,0x77fd4009,0x7d402ffe,0x882ffeef,
    0x99999999,0x40009999,0xb10ffffb,0x32205fff,0x00effefe,0x077fff5c,
    0x744016c0,0x6c0effff,0x403dffef,0x9dc99998,0xd9801999,0xb8001ddd,
    0x80ccfdcc,0x4ffeffd8,0x2a05fff3,0x03fecccc,0x3ee5fff3,0x100dfeef,
    0x33b93333,0xaa980333,0x0d54c001,0xffffffb0,0x0bffffff,0x01530000,
    0x0002aa20,0x00000153,0x51005544,0x3ffe2003,0xffffffff,0x0011001f,
    0x666665c0,0x00d4c01c,0xbccccb80,0x2aa20000,0x3fffe200,0xffffffff,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0x000ec85e,0x00006ae6,
    0x80003573,0x503b2000,0x072e003d,0xb8266540,0xdc881ccc,0x2a20001c,
    0x75c00004,0x5101f4c1,0xcc980009,0xcccccccc,0x2603cccc,0x376e6002,
    0x4cccb80b,0x81999950,0x01fe87f8,0x6e66ff4c,0xfd3000df,0x01bfb99b,
    0x3bfffae0,0x83fd0172,0x77cc03fc,0x84e98cfd,0x99507dc9,0x98be987f,
    0xbdd8003d,0x7ec00007,0xdd82fd42,0x0cc0007b,0x7ed43800,0x7dfb004f,
    0xfea85ffb,0x9fb9303c,0x00620260,0x1f5405d7,0xea80bae0,0x26fba603,
    0x82fefdb9,0x55003018,0x202ffe4c,0x803d8079,0x03c00078,0x4c062000,
    0x40007800,0x2a700019,0x804cacff,0x0fdc40ed,0x136003e2,0x03720000,
    0x6e413620,0x884d8800,0x017f404e,0x01100000,0x07b00f30,0x78000d50,
    0x00000000,0x0cc00078,0xc8313800,0xb007d404,0xf980990d,0x2a001000,
    0x430cdb86,0xaa8b541e,0xc83d02aa,0x802f9805,0x00040000,0x40f601e6,
    0x1000eed8,0x03000f01,0x00780000,0x00033088,0x6c04c80e,0x220fcc02,
    0x3013600f,0x019dffdb,0x45ec41d1,0x89a64da8,0x2a67660e,0x3f134c3c,
    0x2e602e00,0x803effed,0x3effedb9,0x3d807980,0x200fae20,0x200782fb,
    0x332a1fc8,0x03999704,0x53ea003c,0x40700019,0xf800404c,0x1f304c82,
    0x4cdf7e40,0x225c1eea,0x9644a82b,0x40c8584b,0x8000f32c,0xc999bdfa,
    0x2f7ea05e,0x405ec999,0x003d8079,0x0bfa603d,0x1efa803c,0xca83ee4c,
    0x401e03ec,0x00663fd8,0x009901c0,0xf103f100,0x76409b01,0x2c83ee01,
    0x93b8102c,0xb8370b05,0x00000b53,0x10001f88,0x403cc03f,0x705b003d,
    0x203c019f,0x3c403fd8,0x00f01ec0,0x01981bf5,0x02640700,0x9902e400,
    0x1f500f98,0x1074b900,0x0eacc007,0xacc2cc58,0x8000006a,0x1720005c,
    0x43d80798,0x3a634c1b,0x2a07801e,0x078800df,0x881e03d8,0x003302fd,
    0x004c80e0,0xf1007dc0,0x09b026c1,0x1cc78fc0,0x741ed100,0x2d103fee,
    0x80000078,0x16e0005b,0x3a200f98,0x676fecc3,0x2c993f20,0x57bbfbb6,
    0xbda8afd8,0x7b00f100,0x5eefeed8,0x1e4437ee,0x80e00033,0x3ea0004c,
    0x1f14c801,0x4cccd7c0,0x2d999999,0x3002c41b,0x5a96036b,0x001f4b30,
    0x3bb72a01,0x65405dcd,0x05dcdeed,0x7f4c0be6,0x3dd50203,0xf7004de8,
    0xb315f11b,0x7b00f105,0x217f4c00,0x000665dd,0x0009901c,0x7c4007ea,
    0x3fe204c8,0xffffffff,0xe8594fff,0x0b277000,0x47709316,0x3ec401fa,
    0x2ab33fa6,0xfd305ecb,0xbd975599,0x710f7cc0,0x88037d9f,0x4acb83fc,
    0x5917f4c0,0x80788688,0x19f7003d,0x0665adb8,0x09901c00,0x8005f700,
    0x0f400fdc,0x64c4a800,0x54b61cc0,0x6c2b8584,0x5441fe42,0x033e21ef,
    0x0cf885b8,0xdf9816e0,0xfb1effef,0x037ea01f,0xb812a3a6,0x878800cf,
    0x403d8078,0x8e881ee9,0x4000665a,0x70013203,0xbf10003f,0x40009b00,
    0x65674c1e,0x447a3544,0xa96c0aea,0xfddfd306,0x00d907df,0x700d90b7,
    0xaa8bcc0b,0x01fec000,0x3a212a5d,0x07b1001e,0x407b00f1,0x54b604fc,
    0x1c000665,0x7e400990,0x03f10001,0x20001f50,0xd1033069,0x26666981,
    0x00744c40,0xe806b722,0x3e85c803,0x1e605c80,0x40191000,0x0ea12a5b,
    0xf103e880,0x3203e801,0x25a96e01,0x40700019,0x03f9004c,0x9002e400,
    0xb70aa00d,0x207d3001,0x3e9800db,0xb7009500,0x5b85fc80,0xf302fe40,
    0xf8800000,0x001ecaab,0x5b00ba60,0x000ffa20,0x76555fc4,0x0e000331,
    0x1ec804c8,0x007e2000,0xd5105fb0,0x017d505f,0xea805d71,0x02eb880b,
    0xf101ae20,0x67754417,0x82fe209e,0x09eceea8,0x00000798,0x76555544,
    0x03d50001,0x7dc43d50,0x50001bec,0x263d9555,0x64070001,0x20076c04,
    0x0017200a,0x7ff77fd4,0x3f6200cf,0x00ceedde,0xdbbdfb10,0x2e60019d,
    0x7d400e88,0xf73ffeef,0x77fd41ff,0xfff73ffe,0x00007981,0x0004a800,
    0x360281b9,0xfb2effef,0xb500001f,0x238000cc,0x99dd9999,0x2667ee19,
    0x2e999999,0x9bf99993,0x2aa20007,0x9a880009,0x4d440000,0xddb88000,
    0x15531002,0x0aa98800,0x00003800,0x0ffba200,0xddddf100,0x0aa803fd,
    0xdd100000,0x2aaae69f,0xaaaaaaaa,0xffff74aa,0x27ffffff,0xfffffffb,
    0x9952ffff,0x00799999,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2a203550,0x22000acb,
    0x300009ba,0x00000357,0x0000d554,0x0001ba88,0x33333331,0x55553013,
    0xbba88003,0x26666009,0x01999880,0x409aa988,0x00002aa8,0x4c400aa8,
    0x02662009,0x4c401331,0x7fdc0199,0x6ef7ed43,0x7f5403ff,0x4b8dffee,
    0x3f7ff6a0,0x5b04baff,0x1ff6c400,0x3ff62000,0x2000cefd,0xffffffff,
    0x7776c3ff,0x3fee004f,0x24bbffee,0x21fffffd,0x05fffff9,0x3fffbfea,
    0x00fdd71f,0x7ef7e400,0x5ffff704,0x25ffff50,0x880ffff9,0x105fffff,
    0x0cf87b3f,0xfa827dc4,0x3bfae20a,0x8817f504,0x07b05fea,0x8000f600,
    0x76c40de9,0x01aa0000,0x3f200990,0x13fee20b,0x01e6007e,0x818817f1,
    0xd5000079,0xbb027443,0x7f40bb00,0x3603c405,0x201f87b5,0x007d41fb,
    0x0fe613f2,0x0f60bd10,0x8001ec00,0x02e404f8,0xc800d500,0x202f9804,
    0x801f84fa,0x00264079,0x740001e6,0x17c40502,0x5f401f50,0x981e201f,
    0x00c87b0f,0x02f88fe2,0x27c44f88,0x07b04b80,0x4000f600,0x009b005c,
    0x99001aa0,0x9d00d700,0x0f3003f0,0x3cc001f8,0x003cc000,0x5f101f50,
    0x206bae80,0x3d8fa078,0x16e4d800,0x03543a80,0x7665c110,0x3ccccccd,
    0x26000f60,0x01f3001f,0xc800d500,0x9804c804,0x79801f81,0x260007c0,
    0x07980007,0x2ec26c00,0x103e9740,0x07b1aa0f,0x016c5d00,0x80013200,
    0xcccdecca,0x0f602ccc,0xb8799995,0x0016c005,0x13200354,0xf8001aa0,
    0x64c79801,0xccccdfcc,0x322f302c,0xf001dffe,0x17c40003,0x25d001f5,
    0x887880fa,0x2001ec2f,0x0000fc7c,0x6c0000ba,0x987b0003,0x1ec2cdfe,
    0x20012e00,0x0264006a,0xf8000de8,0x64479801,0xccccdfcc,0xbf3f301c,
    0x003fb735,0xeb80007b,0x5d002e88,0x643c426c,0xd3003d86,0x0007c43d,
    0x00001f10,0x1ec000f6,0x02e80fea,0x54002d40,0x80264006,0x00acdfc8,
    0x079801f8,0x3e60007c,0x2e0d902f,0x0ccceecc,0x05cce800,0x41f88ba0,
    0x6c0fc478,0x067f4c03,0x880003e2,0x7b00000f,0xfc8f6000,0x2000fc02,
    0x06a80079,0x22002640,0x00cffeca,0x80f3003f,0x17cc000f,0x99903f10,
    0x003999fb,0x2fff2aaa,0x217402aa,0x1363c46c,0x037201ec,0x100007c4,
    0x3332601f,0x03d83ccc,0x07b67b00,0xb5000ba0,0x03540144,0x20001320,
    0x01f80ed9,0x007c0798,0x0ba01e60,0x70001f10,0x999dd999,0x7c42e807,
    0x00f99e22,0x404c807b,0x0fc0001f,0xeecccc98,0xb0003d83,0x36001fd9,
    0xb725c003,0xc800d500,0x17200004,0x01e6007e,0x0798001f,0x00f802e8,
    0x4004c800,0xf10fa82e,0x555556f4,0x06602dea,0xd80007d0,0x6c172002,
    0xdbfb0003,0x0016e00b,0x5402dc5b,0x00264006,0x05d0f100,0x00f80f50,
    0x17403cc0,0x44001e60,0x999dd999,0x4d817400,0x77776cf1,0x01eefeee,
    0x0001ae00,0x82e400b9,0x29b0003d,0x1f9805e8,0x2dc1f300,0x32002e40,
    0xf0034c04,0x5c803c83,0x260007c0,0x5402e807,0xeed88006,0x0deeeffe,
    0x4fcc0ba0,0x00f60078,0x88027400,0xc8017c45,0x20007b05,0x2013a23d,
    0xb89b006c,0x4003e805,0x017cc04c,0x403543cc,0x0007c04e,0x00ba01e6,
    0x8018809b,0x0174004c,0x6c00f1b9,0x00732603,0x4f9807f3,0x5c801fb8,
    0x36000d90,0x22027443,0x5c2e404f,0x003ea01f,0xff980990,0x7c42ec00,
    0xf003f203,0x80798001,0x003e602e,0x00990079,0x2fe202e8,0xf80f6007,
    0xdf9807ff,0x701fdc41,0xbd71019f,0x7102fe60,0xd107b0bd,0x41ee8809,
    0x9f700ed9,0x0017dc41,0x3be60264,0x00ed981e,0x2fc889f3,0x4c000f80,
    0xd502e807,0x3333333b,0x266201f5,0x220099dd,0xf7019be9,0xcd99880f,
    0x00dffd01,0x3ffbff62,0xffe9801e,0x402efeee,0xeffeefda,0xa81ecc42,
    0x3f2009cf,0x400befef,0x1efeefe9,0xd9999880,0x2219999d,0xffddff75,
    0xefe98019,0x33101efe,0x333335f3,0x2027ea60,0x7d41be98,0xffffffff,
    0x3ffa02ef,0x2e06ffff,0xd02fffff,0xffffc80f,0x00aa881f,0x000aa980,
    0x00135530,0x8809aa88,0xffa83fff,0x0a9807ff,0x01aa8800,0xffffff10,
    0x01ffffff,0x0004d54c,0xfb006aa2,0xffffffff,0xffffa83f,0x3ffffe87,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x26660000,0x33001999,0x33333333,
    0x1f4c1333,0x333302f4,0x33333333,0x4ccccc43,0x09999999,0x33333310,
    0x20333333,0x01999998,0x4404ccc0,0x4cc40999,0x98009999,0x99999999,
    0x1004cc41,0x1cb80133,0x99999800,0x33330009,0x83333013,0x99999998,
    0x05dc4199,0x7fffffe4,0xff903dff,0xffffffff,0x2fd4bfff,0x7fe41fe2,
    0xffffffff,0x3fffa7ff,0xffffffff,0xffffa86f,0xffffffff,0xffffe80f,
    0xffb001ff,0x7ffc45ff,0x3fffe66f,0x2e01ffff,0xffffffff,0xffff74ff,
    0x5ffff505,0x19fbdf30,0x7fe409d3,0x3dffffff,0xffffff90,0x23ffffc8,
    0xfffffffa,0x3ffa1fff,0x2e60ba06,0x00f100ee,0x1301316e,0x78807980,
    0x2a1320ba,0x81f97406,0xccd800f8,0x201e6004,0x000ba02e,0x17601320,
    0x22a81760,0xd005ffc9,0x01bd7305,0x0bd101e6,0x11f880f5,0x3a01ffff,
    0x78836c02,0x0000b700,0xd3c403cc,0x0d509905,0x881f87c4,0x4cfc400f,
    0x201e6007,0x000ba02e,0x3e201320,0x0003ea02,0x02e80022,0x03cc1b62,
    0x01ea09d1,0x05ffc89b,0x20fa00ba,0x00b70078,0x4403cc00,0x21320ba7,
    0x1f9aa06a,0x35400f88,0x01e6005d,0xccde80ba,0x32001bcc,0x101f5004,
    0x0000005f,0x20ba00ba,0x409f3079,0x203ae07a,0x40174008,0x803c40fa,
    0x66665c3a,0x100f3002,0x4264174b,0x1f8f206a,0x1ec00f88,0x01e600b7,
    0xccde80ba,0x801efecc,0x2176004c,0x4533205c,0x001dffec,0x81f5005d,
    0x403fa879,0x003f3069,0x2e801740,0x4014c3c4,0x004eccca,0x740530f3,
    0x06984c81,0x1821f87e,0x1f107c40,0x5d00f300,0xfd981740,0x10026401,
    0x7007cc5f,0x535bd3fb,0x05d005fb,0xa8f30ba0,0xd028802f,0x02e80007,
    0xc8788990,0x004c8005,0x040990f3,0x260104c8,0x006a8fc7,0x200f616e,
    0x202e8079,0x2036c02e,0x87d4004c,0x3ff9803e,0x05d00d90,0x5cf30f60,
    0x3640001f,0x80174000,0x6667c45b,0x4c8005ec,0x9999f300,0x0990009d,
    0x66fc5b80,0x20ba006d,0xccf9806a,0x2fcccccc,0x1f500ba0,0x6c002640,
    0x7f3005cc,0x6540fc40,0x0bcccdfc,0xfcbcc4c8,0x3ea0001e,0x02e80000,
    0xeef88b70,0xc8005eee,0xdddf3004,0x990009fd,0x6fc3d800,0x0f3006dc,
    0x3be600fc,0xfeeeeeee,0x3e00ba02,0x20013201,0xf3000ff8,0xddb05d00,
    0x03dddddf,0x9edf98b9,0xf88004fd,0x201d4402,0x8897002e,0xc8005c87,
    0x990f3004,0x80099000,0x06a8fc1f,0x02640990,0x80ba01e6,0x007cc02e,
    0x17200099,0x2e807980,0x4c801740,0x9f5077cc,0xe805d800,0x00ba06ff,
    0x2a1e21ec,0x004c8003,0x000750f3,0x7fd40099,0x0061ffff,0x7ffffffc,
    0x03cc07ff,0x405d0174,0x026405d8,0x26004c80,0x7402e807,0x7985b002,
    0x2e005f10,0x3fe2300e,0x005d00ff,0x000f107e,0x79802640,0x4c805300,
    0x26677200,0x754001f9,0x99999999,0x201e602e,0x4c0ba02e,0x026400ee,
    0x26004c80,0x7402e807,0x7981f002,0xf3003ee0,0xffd9e603,0x2a00ba06,
    0x00007887,0x03cc0132,0x026405b8,0x203f05d0,0xb803d83a,0x3a01e605,
    0x3bbbba02,0xc800cffe,0x00990004,0x017403cc,0x21ea00ba,0x201f4079,
    0x551e604e,0x7cc02e80,0x00007882,0x03cc0132,0x026405b8,0x01f80f88,
    0x800f88b7,0x00f300f8,0x666f405d,0x32000abc,0x00990004,0x017403cc,
    0x05f300ba,0x206a80f3,0x003cc06c,0x07d10174,0xc80001e2,0x200f3004,
    0x8026405b,0x2e03f06a,0x7b002dc5,0x0ba01e60,0xc80002e8,0x00990004,
    0x017403cc,0x03e880ba,0x305f00f3,0x0079801f,0x2666fa62,0x9884feb9,
    0x009999fa,0xdc999988,0x26219999,0x999999fa,0x9985c999,0x88199dd9,
    0x3e660cd9,0x5c99999a,0x40339d31,0x2609eb99,0xe99819fa,0x4df4cc1b,
    0x99980199,0x09999dd9,0x33bb3330,0x27ea6013,0x81be9880,0x9999be98,
    0xa9883feb,0x3b90099f,0x4ccce741,0x007a9999,0x3fffffee,0xff701bdf,
    0x80dfffff,0xfffffff8,0xf71fffff,0xffffffff,0xfb8bffff,0x3fffffff,
    0xf9b7ffe4,0xffffffff,0xfffff95f,0xfffff305,0x3ffffe69,0x3ffffe22,
    0xffffff33,0x7fdc03ff,0xffffffff,0xfffffb83,0xff983fff,0x7fdc0fff,
    0x7ffe40ff,0x01bdffff,0x0ffffff7,0x7f43ffe2,0xffffffff,0x0000007f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x33310000,0x31001333,0x04cc4013,0x98066662,0x4ccc0999,
    0x20009999,0x26019999,0x4cc41999,0x30019999,0x03333333,0x20026620,
    0x00000998,0x00000000,0x0337b710,0x00072000,0x54019800,0xffff32aa,
    0x05dfffff,0x505ffff7,0x3ea5ffff,0xfd84ffff,0xff91ffff,0xbfffffff,
    0x7fffe403,0xffffa82f,0x3ffffe5f,0x7e403fff,0xffffffff,0xbfff303e,
    0x07fff900,0x400004b8,0x003bd1fb,0xfb7df500,0xffec8805,0x101db0ce,
    0x019dffd9,0xe803fe20,0xa82e86ff,0x04e885fd,0x00f886c8,0x1e603e20,
    0xd00ffae2,0x20354007,0x0f30006a,0xcd817f26,0x03dfc00f,0x500004c8,
    0x67e445dd,0x10fa0000,0x99adfb80,0xa80eefec,0xfda99adf,0xd8099002,
    0x202e85ff,0x02f984f8,0x00fc03ea,0x01e60f30,0x035c05f5,0x06a807d0,
    0xf880f300,0x409b7b03,0x990079ea,0x3fe98000,0x000ff660,0x5f5001e6,
    0x7cc27f40,0x0007ea02,0x7427fe40,0xfa83dc02,0x3a02f880,0x06a82a82,
    0x40bb00f3,0x0f8801f8,0x98003540,0x7b06c807,0x26ba01f3,0x00099007,
    0x40033f62,0x26002eea,0x80be2007,0x3a21faed,0x000eb803,0xe82ffb80,
    0xc80fc402,0x16c04e86,0x0b703fe6,0x01ea01e6,0x00b90099,0x1e6000d5,
    0xe9ec1ea0,0x00f37983,0xf9100132,0x3ee0001b,0x005d001e,0x90ed8172,
    0x7d0035cb,0x3ff30000,0x0f8805d0,0x806d93a0,0x2176dc3d,0x900f304c,
    0xf8079809,0x0006a802,0x209900f3,0x29b0d53d,0x00990079,0x0000f7dc,
    0x2006fe44,0x207b006a,0x4c9aa0ec,0x4cc53200,0x99999999,0x01ff1099,
    0x407b805d,0x800fbaf8,0x22ddec4c,0xa80f303c,0x202e801f,0x00d5007a,
    0x3f901e60,0x222e8f60,0x9988f30f,0x999dd999,0x0bbaa099,0x3f620000,
    0x007f500c,0x881f903f,0x6a800ba7,0xfffffffb,0x7cbfffff,0x7dc05d07,
    0x01ffa802,0x799f8b70,0x8879816c,0xb7002fca,0x6a8026c0,0x999f3000,
    0x403dfb99,0x25c96e3d,0x7fffec79,0xffffffff,0x0001df75,0x20efb800,
    0x220fcfc8,0x3f90ba3c,0x001ecf30,0x3a0000b7,0x53337d06,0x22007fd9,
    0x4d5000ff,0x02e87e7a,0xffddddf3,0x07c40019,0x6a8007c4,0xdddf3000,
    0x407ffddd,0x0fc7e23d,0x013200f3,0x0000bfa6,0x320ff660,0x1fd4b90d,
    0xb80fe49b,0x3d8016e5,0x20110000,0xcefffffe,0x17776000,0x6cb93cc0,
    0x57cc07e4,0x002fdaaa,0x006b83d8,0x3cc001aa,0x3603ba60,0x2635e643,
    0x40099007,0x80002efa,0x5d00cfc8,0x543d97c4,0xf101fb8f,0x4c00fcc5,
    0x8000001f,0xeb80002e,0x78803f88,0x1f16a8ba,0x17dc1e60,0x0ba1aa00,
    0x0d806a80,0x84d803cc,0x2177c43d,0x00990079,0x0003bf70,0x798077ee,
    0xd80f9fa8,0x217601fe,0x0fa200eb,0x17400000,0x987e6000,0xf88f801f,
    0x81e63e20,0x00bea079,0x007cc3f0,0x83f00d50,0xb0f30079,0x0f30b907,
    0x44001320,0xf5000cfc,0x03f1005d,0x3fee0bfb,0x8077541c,0x05fa82fd,
    0xe8000bb0,0x0fe20002,0x73d003ee,0x40d35d0d,0x007dc079,0x00264b90,
    0x307e01aa,0x360fc00f,0x401e6003,0x6cc0004c,0x0bfaa03f,0x5f509d00,
    0xfff73f70,0xf5007ffd,0x005ffddf,0x80003fe2,0x1760002e,0x6d6c05d8,
    0x205adc84,0x004d8079,0x000fc3e6,0x307e01aa,0x361e600f,0x401e6003,
    0xd500004c,0x01fec45f,0xf30bfa80,0x07e613dd,0x30003553,0x11000355,
    0x002e8000,0x74401d90,0x207ef204,0x1e604bf9,0xe8007e20,0x6a8006ab,
    0x03cc1f80,0x01ec2744,0x0ee00f30,0x23f50000,0x540000ce,0xdfd4feff,
    0x00000004,0x26000000,0x01999be9,0x404d7d44,0xc80afa98,0x213be07e,
    0x0099fa98,0x2a0027b2,0x331003de,0x333333d7,0x2a623f33,0x9999999f,
    0x9be985eb,0x27ea6601,0x00000000,0x54400000,0x0000000a,0x00000000,
    0x3fffffe6,0x3ff201ff,0xfffb84ff,0x205fb85f,0xfffb83fd,0x27f407ff,
    0x8007fc40,0xffffffff,0x91ffffff,0xffffffff,0xff705bff,0xff305fff,
    0x00009fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00080000,0x02000020,0x95000000,0x3332e099,0x00000001,0x3cccc800,
    0xd93332e0,0x99159801,0x99999999,0x06440643,0x55039800,0x2e166654,
    0x66640cfd,0xcccc84cc,0x16ee444c,0x67ffedcc,0xffd700b8,0x2602e5df,
    0x03effedb,0x3bffb660,0x3fae200c,0x9ff910cf,0x2a0fb930,0x66543ecc,
    0xb11efea9,0x533205df,0x01dffec8,0xa80b3bae,0x27ee3eec,0xf98bddb8,
    0x99999f33,0x76c3fd99,0x4000ee80,0x22fb83fa,0xdd33ecc9,0x65c1db37,
    0xdcb83cdf,0x22fa23cf,0x2f7ee5c8,0x42ffdb99,0xdb99bee9,0x6fd42fef,
    0x05ec999b,0xa99befc8,0x37dd01ee,0x2abb6bd5,0xb00f105f,0xbfefc987,
    0xa9cfafc9,0xe9fdb81f,0x02fda9ad,0x83c8012e,0xfebbeffb,0xf981e63f,
    0x220ff442,0x9f7000ee,0x5ec07f90,0xc80a84fa,0x2004c805,0x2e03f89e,
    0xd013a22f,0x1f88005f,0xfb807b20,0x8fdf1000,0x807882f8,0xe85fd03d,
    0xf982644f,0x540d903f,0x82e82a86,0x20fa82f8,0x207f1068,0x77cc1fe8,
    0x642fe401,0x17f6c04f,0x8803e600,0x31f1001f,0x321e801f,0x002f9805,
    0x01f505c8,0x7ec00b90,0x07886d83,0x909d03d8,0x3e60f30d,0x4407e203,
    0x883fe20f,0x3a06b80f,0x404e8803,0x7fcc2ff9,0xfb0bf901,0x003fb00b,
    0x05b81360,0x17e1fed8,0x7001f880,0x20b70001,0x007e004d,0x07cc07e4,
    0x40f601e2,0x7985b82e,0x05d00f30,0x45dd5174,0x5c07d069,0x3005d806,
    0x2ffa87ff,0xfb1077ec,0x000f600b,0x00be07a8,0xfe8976a2,0x79809ace,
    0xdb950000,0x3e0bb9bd,0x9999999a,0xb982d999,0x999edced,0x3c41f999,
    0x82e81ec0,0xf307985b,0x1e405d00,0x82dcb77b,0xb01aa02e,0x2ffb800d,
    0xffd8ffe4,0x8007ff40,0x1f40003d,0x1ec00354,0x37ffb2a6,0x300016a0,
    0x975599fd,0xffff10bd,0xffffffff,0x5f7fd49f,0xffffffca,0x03c42fff,
    0xb82e81ec,0x0f307985,0x8adc05d0,0x07b0f89f,0x203d816e,0x3a2000ec,
    0x127fc45f,0x4ff989fd,0x80007b00,0x8003e86b,0x7ed4404b,0x44000d51,
    0x416e00cf,0x5f50001e,0x8800b901,0x5d03d807,0x20f30b70,0x202e8079,
    0xf9f4d579,0xf303f301,0x0003ee03,0x3fe889fd,0x74c4fe88,0x003d803f,
    0x03e62f80,0x047441a8,0x00f14e80,0x2dc03640,0x9b0004d8,0x22003e40,
    0xe81f400f,0x07985b82,0x805d00f3,0x236e3d9f,0x2b7fe607,0xfa81ffda,
    0x9fb05301,0x2203fe88,0x17f443fe,0x20000f60,0x9101325c,0x07a39dbf,
    0x003e9aa0,0x5c803e82,0x70001f50,0x000fe409,0x1ff440b6,0x985b82e8,
    0x5d00f307,0x220fbd80,0x37f306bf,0x3f739ff9,0x8b7017cc,0x02fd83fc,
    0xfe885fb0,0x0000f601,0x003e23e2,0xe804f808,0xb1007ea5,0x3f202dcf,
    0x5401b205,0xff701f32,0x3aa06e0b,0x2fb3ee21,0x85b82e81,0xd00f3079,
    0xd86fc805,0x7007d04f,0x26673e6d,0x325c9999,0x001fd82f,0x07ec0fec,
    0x3339b333,0xcd800133,0xff80005c,0x40fd881d,0xefa883fc,0xa882fe21,
    0xb009ecee,0x5fd5105f,0xbdf7076c,0x03ba619d,0x977ff7ec,0x7d310ffd,
    0x7cc1db81,0x027ea609,0xa806fa62,0x002fb83f,0x3fffee00,0x25ffffff,
    0x001e881e,0x54f20990,0xffffffff,0x7cc004ff,0xae80002f,0xdffeeffc,
    0xfddfd301,0x3fea07df,0xff73ffee,0x3bfea01f,0xd80cfffe,0x9bb9ffef,
    0x5004feff,0xfff70015,0x317fdc1f,0x3ffe69ff,0x7ffdc0ff,0x0000000f,
    0x00000000,0x00000000,0x00000000,0x01555310,0x006aaa20,0x0002aa62,
    0x00135510,0x2aa01551,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x99700000,0x79999099,0x00b80180,
    0x400880e2,0x001802b9,0x000039b5,0x3305554c,0x33333333,0x93013333,
    0x80660039,0xaaaaaaa8,0x0aaaaaaa,0x44088130,0xb8815401,0x00cc002d,
    0x55555100,0x15555555,0x3faa0000,0x2efcb83c,0x3b600fc0,0xfb85e880,
    0x674c3fff,0xfffd903d,0x262ba019,0xb2fffc4c,0xfffb0fff,0x3ffffee1,
    0xffffffff,0x7ffff46f,0x80774406,0xeeeeeed9,0x1eeeeeee,0x21541fb8,
    0xdffd03f9,0x0debde88,0x17ff20c8,0x261d909d,0xffffffff,0x0001ffff,
    0x1db02ec0,0xdb003f00,0x7642f441,0x704eb88b,0x6c42aa07,0x20e83b84,
    0x3ff24ffe,0x003fff86,0x8bea6a80,0x377602fa,0xc8000005,0xf984a81f,
    0x07fffc44,0xb076c49d,0x87fffc4d,0x10fe86f8,0x55555555,0x00015555,
    0x5d81db00,0x6c007e00,0xf985e88e,0x3b81f981,0xf801e600,0xfb8bff61,
    0x03ffcc5f,0x1b66a800,0x4476417a,0x2000004e,0x0d7101ed,0x6ffd8bd3,
    0x767e40e2,0x237ff40d,0x00018809,0xdb000000,0x5e40bd11,0x065447e0,
    0xb905eed8,0x81dc1f40,0x07effeb9,0x1ffc89b0,0xff713fe6,0x9aa00007,
    0xfa87c84e,0x0000be61,0x2e603aa0,0x85d10688,0x0e54002a,0x0000bb88,
    0x00000000,0xa80bddb0,0xfdcfbefe,0x03fe204e,0x707b02dc,0x3159f307,
    0x709b00f5,0x1ffc41ff,0x80001bfa,0xf883ee6a,0x7d417c43,0x3ffffea1,
    0xffffffff,0xddb8802f,0x00000002,0x00000000,0xf1000000,0x3ae2001f,
    0x74401bff,0x0f880edd,0x83b81f98,0x2207982e,0xf0ff303e,0x017fc43f,
    0x7c4d5000,0x220ffbbf,0x983b204e,0x99999999,0x00019999,0x00000000,
    0x00000000,0x3a200000,0x3a000ecc,0x2f4400fe,0x45b901db,0x907705ea,
    0xd307fb89,0x7437c403,0x001bea0f,0xfc98d500,0x402dc1cf,0x0000003d,
    0x3bba6000,0xeeeeeeee,0x1eeeeeee,0x00000000,0x74400000,0x32003b24,
    0x2f440db6,0x7fe4076c,0x20ee04ff,0xfbcfefe8,0x1303ae3f,0x5c6c83e8,
    0x4c00001f,0x00201105,0x7ec00000,0xffffffff,0x7fffffff,0x55555554,
    0xaaaaaaaa,0x000002aa,0x00000000,0x0fe42744,0x13a23f30,0x20db02f4,
    0xee980998,0x0c41eeee,0x777777c0,0x0620002f,0x00000000,0x20000000,
    0x99999998,0x99999999,0x00000009,0x00000000,0x27cc0000,0x0fa03f70,
    0x500503f3,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7d400000,0xfd98809d,0x00030182,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xf5000000,0xffd0ffff,
    0x000005ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_34_latin1_x[224]={ 0,7,3,2,3,2,3,7,8,4,0,2,4,2,
6,3,3,3,2,2,3,2,4,3,3,4,6,4,0,1,0,0,3,0,1,1,2,1,2,1,1,3,2,1,
1,0,0,0,2,1,1,2,2,1,0,0,1,1,3,0,0,0,3,1,6,2,0,2,1,1,3,1,1,2,
2,2,2,0,1,2,0,1,2,3,2,1,0,0,1,2,3,0,8,0,2,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,7,3,1,3,1,
8,2,4,0,0,0,0,2,0,-1,4,2,4,5,6,1,2,6,6,5,4,1,0,0,0,0,0,0,0,0,
0,0,0,1,1,1,1,1,3,3,3,3,-1,0,0,0,0,0,0,3,1,1,1,1,1,1,2,1,2,2,
2,2,2,2,0,2,1,1,1,1,2,2,2,2,1,1,2,2,2,2,2,2,1,1,1,1,1,2,0,2,
 };
static signed short stb__courier_34_latin1_y[224]={ 24,5,5,4,4,5,8,5,5,5,5,7,19,14,
20,3,5,5,5,5,5,5,5,5,5,5,11,11,7,12,7,6,4,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,5,3,5,5,30,4,10,5,10,5,10,5,10,5,4,
4,5,5,10,10,10,10,10,11,10,6,11,11,11,11,11,11,5,5,5,13,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,24,11,4,6,9,6,
5,5,5,6,4,11,14,14,6,3,2,5,5,5,4,11,5,12,23,5,4,11,5,5,5,11,0,0,0,2,
2,0,6,6,0,0,0,2,0,0,0,2,6,2,0,0,0,2,2,10,5,0,0,0,2,0,6,5,4,4,
4,6,6,4,10,10,4,4,4,6,4,4,4,6,5,6,4,4,4,6,6,8,10,4,4,4,6,4,5,5,
 };
static unsigned short stb__courier_34_latin1_w[224]={ 0,4,12,14,12,14,12,4,6,6,12,14,7,14,
6,12,12,12,13,14,12,14,12,12,12,12,6,8,15,16,15,11,12,18,16,16,15,15,15,16,16,12,16,17,
16,18,17,16,15,16,17,14,14,16,18,18,16,16,12,6,12,6,12,19,6,15,17,15,17,15,14,16,16,14,
11,16,14,18,16,14,17,17,15,12,14,16,18,18,16,16,12,7,2,7,14,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,0,4,12,15,12,16,
2,14,10,18,10,15,16,14,18,20,10,14,9,8,6,16,14,6,6,8,10,16,18,19,18,11,18,18,18,18,
18,18,18,16,15,15,15,15,12,12,12,12,17,17,16,16,16,16,16,12,16,16,16,16,16,16,15,15,15,15,
15,15,15,15,18,15,15,15,15,15,14,14,14,14,15,16,14,14,14,14,14,14,16,16,16,16,16,16,17,16,
 };
static unsigned short stb__courier_34_latin1_h[224]={ 0,20,10,22,23,20,17,10,23,23,12,17,10,3,
5,24,20,19,19,20,19,20,20,20,20,20,14,17,17,7,17,19,22,18,18,19,18,18,18,19,18,18,19,18,
18,18,18,19,18,22,18,19,18,19,18,18,18,18,18,23,24,23,9,3,6,15,20,15,20,15,19,20,19,20,
26,19,19,14,14,15,20,20,13,15,19,14,13,14,13,19,13,23,23,23,5,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,0,19,20,18,13,18,
23,21,4,19,10,13,10,3,19,2,9,19,10,11,6,19,21,5,6,10,10,13,19,19,19,19,24,24,24,22,
22,24,18,23,24,24,24,22,24,24,24,22,18,22,25,25,25,23,23,11,21,25,25,25,23,24,18,20,21,21,
21,19,19,21,15,19,21,21,21,19,20,20,20,18,20,18,21,21,21,19,19,15,16,21,21,21,19,26,25,25,
 };
static unsigned short stb__courier_34_latin1_s[224]={ 253,249,85,1,145,99,190,250,225,218,18,
143,98,225,185,66,159,212,225,187,1,17,32,45,58,71,246,245,158,147,174,
14,82,98,107,26,1,48,17,43,117,150,109,215,90,124,238,92,1,95,53,
141,64,156,71,34,17,163,233,121,167,158,134,164,178,30,167,14,132,46,173,
150,188,185,1,75,126,98,117,220,217,114,212,1,60,81,228,134,1,239,166,
207,215,199,192,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,253,248,235,
205,153,221,253,164,214,17,64,196,106,225,36,184,123,230,75,247,164,103,66,
207,171,55,44,179,176,139,120,244,180,199,218,63,112,1,79,128,50,237,79,
29,95,108,20,16,197,45,133,116,99,165,182,31,49,65,48,150,232,33,134,
1,17,33,179,87,71,148,62,55,212,228,1,1,202,172,84,33,143,180,98,
113,128,200,215,235,203,131,195,81,159,13,30,82, };
static unsigned short stb__courier_34_latin1_t[224]={ 25,28,213,53,28,98,178,178,28,28,213,
178,213,213,213,28,76,119,119,76,139,98,98,98,98,98,159,98,178,213,178,
139,53,159,178,139,159,159,159,139,159,159,139,159,178,178,139,139,178,53,178,
139,159,139,178,178,178,159,159,28,1,28,213,220,213,197,98,197,98,197,139,
98,139,98,1,139,139,197,197,178,76,98,197,197,139,197,197,197,213,119,197,
28,28,28,213,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,
119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,25,76,76,
139,197,139,1,53,213,119,213,197,213,213,119,220,213,98,213,197,213,119,76,
213,213,213,213,197,119,119,119,53,1,1,1,53,53,28,159,28,28,1,28,
53,28,28,28,53,159,53,1,1,1,28,28,213,76,1,1,1,28,28,159,
98,76,76,53,119,119,53,197,119,53,53,76,119,76,76,98,159,76,159,76,
76,76,98,98,178,178,53,53,76,119,1,1,1, };
static unsigned short stb__courier_34_latin1_a[224]={ 288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_34_latin1_BITMAP_HEIGHT or STB_FONT_courier_34_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_34_latin1(stb_fontchar font[STB_FONT_courier_34_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_courier_34_latin1_BITMAP_HEIGHT][STB_FONT_courier_34_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_34_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_34_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_34_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_34_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_34_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_34_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_34_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__courier_34_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__courier_34_latin1_s[i] + stb__courier_34_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__courier_34_latin1_t[i] + stb__courier_34_latin1_h[i]) * recip_height;
            font[i].x0 = stb__courier_34_latin1_x[i];
            font[i].y0 = stb__courier_34_latin1_y[i];
            font[i].x1 = stb__courier_34_latin1_x[i] + stb__courier_34_latin1_w[i];
            font[i].y1 = stb__courier_34_latin1_y[i] + stb__courier_34_latin1_h[i];
            font[i].advance_int = (stb__courier_34_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__courier_34_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_34_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_34_latin1_s[i] + stb__courier_34_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_34_latin1_t[i] + stb__courier_34_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_34_latin1_x[i] - 0.5f;
            font[i].y0f = stb__courier_34_latin1_y[i] - 0.5f;
            font[i].x1f = stb__courier_34_latin1_x[i] + stb__courier_34_latin1_w[i] + 0.5f;
            font[i].y1f = stb__courier_34_latin1_y[i] + stb__courier_34_latin1_h[i] + 0.5f;
            font[i].advance = stb__courier_34_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_34_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_34_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_34_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_34_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_34_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_34_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_34_latin1_LINE_SPACING
#endif

