// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_37_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_37_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_37_latin1_BITMAP_WIDTH         256
#define STB_FONT_courier_37_latin1_BITMAP_HEIGHT        270
#define STB_FONT_courier_37_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_courier_37_latin1_FIRST_CHAR            32
#define STB_FONT_courier_37_latin1_NUM_CHARS            224

#define STB_FONT_courier_37_latin1_LINE_SPACING          17

static unsigned int stb__courier_37_latin1_pixels[]={
    0x22000000,0x0000002c,0x00e602e6,0x00000130,0x00000013,0x0a000000,
    0x01880000,0x40000000,0x0000000b,0x0000000a,0x260013a2,0x2fffc45f,
    0x07fd0000,0x76c005ff,0x3ee00000,0x07d30002,0x004e8800,0x00013e60,
    0x5b017e60,0x89f540b6,0x01f4000f,0x7406a800,0x0000000e,0x30001dd3,
    0x0bb550bf,0x40f5c000,0x362000ec,0xfc80001f,0xfbf70003,0xbf50001b,
    0x2a0001df,0x2a00005f,0x7d3e805f,0x37417f90,0x0000fa00,0x3ba20274,
    0x54000001,0x3a60005f,0x00017204,0x32000000,0x3f60002f,0x2fd88002,
    0x64003dd1,0x005fb13f,0x0003ba60,0x3a009f70,0x705f07d3,0xffd5005f,
    0x5000719d,0x3fb1001f,0x3ea00000,0xc8000004,0x00000005,0x005f7000,
    0x20003fb0,0x01fd81ee,0x2fc81fd8,0x00dd1000,0xd001fd40,0x40f30fa7,
    0x33fa606f,0x01fffca9,0x32002740,0xa800001f,0x90000002,0x0000000b,
    0x0004c000,0x0500004c,0x00a800a8,0x05000026,0x2000c400,0x07a87d3e,
    0x02ec07f2,0x7cc003fb,0x00028001,0x00000000,0x500305c8,0x2a07dddd,
    0x0003eeee,0x00000000,0x00000000,0x00000000,0x7a87d3e8,0x3e617e20,
    0x8003e201,0x0000005d,0x76c00000,0xeeeeeeee,0x3fb25c80,0xc980beff,
    0x99301cdf,0x7edc03bf,0x5c000adf,0x000adffd,0x056ffedc,0x79999950,
    0xcccccc88,0x79999950,0xcccccc88,0x79999950,0xcccccc88,0xf50fa7d0,
    0x3640fd80,0x07e60000,0xcccccca8,0x3baa0004,0xddd503ee,0x6666547d,
    0xc80fdccc,0x989bfe8d,0x09d00eeb,0xee881ee0,0x03fecaac,0xcaacee88,
    0xee8803fe,0x03fecaac,0x8999dd95,0x0cdfccc8,0x8999dd95,0x0cdfccc8,
    0x8999dd95,0x0cdfccc8,0x0f50fa7d,0x07dc3fb8,0x80db0000,0xfdfcccca,
    0xbf930002,0x3f326039,0x03e6001d,0xc8037bb2,0x800fa80e,0x40bf503e,
    0x17ea02fb,0x3ea02fb8,0xc80bee05,0x6407e005,0x6407e005,0x7d07e005,
    0xa80f50ba,0x006fc45f,0x0017c400,0x001767e2,0x1ee009d0,0x3203e600,
    0x20db006f,0x883dc04e,0x81fa804f,0x1fa804f8,0xfa804f88,0x7c00b901,
    0x7c00b901,0x7c00b901,0x5c1b9f41,0x4c37cc07,0x0001bdfe,0x2d7000d9,
    0x2a0000fa,0x003e800f,0x1fc80f98,0xf501f100,0x6c81f401,0xd903b200,
    0x32076400,0x203b2006,0x407e005c,0x407e005c,0xd07e005c,0x7c02f407,
    0x3ffb2a07,0x05f1002d,0x01fc7d00,0xf7013a00,0x203e6000,0x8174007c,
    0x301f504e,0x17c4005f,0x7c4005f3,0x8800be62,0x2005c82f,0x400b901f,
    0x400b901f,0x7dc1f41f,0x00ff800f,0x804fc988,0x0f98006b,0xf50001b2,
    0x8001f401,0x006c80f9,0x80fa826c,0x000d703e,0x40035c99,0x2001ae4c,
    0x2005c84c,0x400b901f,0x400b901f,0x7e41f41f,0x00fe800e,0x3e01fcc0,
    0x445c8003,0x2740001f,0x30000fa8,0x800d901f,0xf513a04d,0x20017201,
    0x2001726a,0x2001726a,0x2005c86a,0x400b901f,0x400b901f,0xe881f41f,
    0x0007f805,0x007dc0b9,0x027417c0,0x3a03ea00,0x03e60003,0x2f8003f2,
    0x04e83ea0,0x9e6000fa,0x2798003e,0x8798003e,0x407e005c,0x407e005c,
    0xd07e005c,0x80f702a7,0x400a26f8,0x0013a06b,0x003dc1ea,0x03ea2740,
    0xc80f9800,0x01f7004f,0x401f54e8,0x1f88002f,0x3f10005f,0x3e2000be,
    0x3f002e41,0x1f801720,0x0fc00b90,0x1ea1f4fa,0x07d4bf50,0x0fa82fc0,
    0xf104d800,0x0fa80005,0xf300013a,0x805ff901,0x8fa802f9,0x001f404e,
    0x003e87c4,0x007d0f88,0x05c81f10,0x02e407e0,0x017203f0,0x3e9f41f8,
    0x8fee03d4,0x3ee00efa,0x10009d01,0x002ec03f,0x00faa740,0x6407cc00,
    0xfc80cfad,0x03fba004,0xf30009b0,0x3cc0026c,0x0f30009b,0x80fc00b9,
    0x407e005c,0xd07e005c,0x80f50fa7,0x3fbea0fc,0x3fda99bd,0x70001f50,
    0x9999999f,0xa80001fb,0x80004e8f,0xf35c80f9,0x05ffdbdf,0xc804fa80,
    0x325b8005,0x325b8005,0xc85b8005,0x6407e005,0x6407e005,0x7d07e005,
    0x440f50fa,0xfebac45f,0x3601dfff,0xdddd0005,0x7fdddddd,0x1fdd0000,
    0x01f30000,0xabcb98b9,0x00fa8000,0x74000fa8,0xd0003ea3,0x20007d47,
    0x3005b83e,0x4016e01f,0x00b700f9,0x3a7d03e6,0x5f703d43,0x3007d100,
    0x1f30003f,0x0000d700,0x200009f5,0x005c80f9,0x4009d000,0x07ea004e,
    0x0fd4009d,0x1fa8013a,0x0f700798,0x07b803cc,0x43dc01e6,0x07a87d3e,
    0x03e801fe,0xb90005d8,0x0007e200,0x00001f50,0x002e41ea,0x0007d400,
    0x13a003f3,0x274007e6,0x4e800fcc,0x17a00fe0,0x0bd007f0,0x85e803f8,
    0x05f07d3e,0x1f4007f5,0x4000be20,0x0136002f,0x00009d00,0x005c82ec,
    0x8004e800,0x17a202fd,0x3a202fd8,0x880bf605,0x00fdc05e,0x1fb801f9,
    0xf7003f20,0x7407e403,0x85d907d3,0x01f4006e,0x3cc001b2,0x8001ea00,
    0x300000fa,0x0017207f,0x5f533330,0xcfc80013,0x201baa21,0x3aa21cfc,
    0x21cfc806,0xf9006ea8,0x017ecc17,0x3660bfc8,0x17f9002f,0x2d817ecc,
    0x29f9105d,0x16c001f8,0x88005f10,0x201aaeda,0x002cfbaa,0x4c4004e8,
    0x84fea999,0x0199ec98,0x7ffffdc0,0xa8006fff,0x0befefff,0xfdfff500,
    0x3ea0017d,0x00befeff,0x3ffbfee0,0x7fdc001e,0x4001effe,0x1effeffb,
    0x00000000,0x2000e200,0x06fffffb,0x3ffffff3,0x7d4cccc0,0xfff0009a,
    0xf107dfff,0x0bffffff,0x99999880,0x54400019,0x2a20000a,0x2a20000a,
    0x5cc0000a,0x5cc0001a,0x5cc0001a,0x0000001a,0x00000000,0x5c000000,
    0xffffffff,0x33331006,0x33333100,0x00000003,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x10000000,0x03333333,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x28000000,0x00000000,0x00000550,0x02600000,
    0x00260000,0x00000200,0x26000000,0x00980000,0x00000000,0x00030600,
    0x40007d88,0x100005e9,0x2001d99d,0x103ffffe,0x239dffb5,0x01fd8038,
    0x00bee000,0x4005f500,0x09d10069,0x05fffff0,0xc80007f6,0x09d3001f,
    0x01e816f4,0x2f8f5000,0x01dd1000,0x776fd400,0x51640000,0x2aaa6007,
    0xacefb83f,0x07acfdba,0x00005fb0,0xb80007f9,0x17e2004f,0x03bf7ea0,
    0x402aacf8,0xfd8002fd,0xdfbf5002,0x903f9301,0x1ea0000d,0xbf30003f,
    0x9fe40001,0x20002fd8,0x4001660d,0x3017d43e,0x7e400ffd,0x0bf60003,
    0x005f9000,0x7e401fb8,0x3e05fb13,0x01fe4002,0x9001fd88,0x40bf627f,
    0x001f884c,0x07e26b80,0x000bf100,0x2fb81ed8,0xb1195000,0x98fa0005,
    0x07f9801f,0x40017dc0,0x6c0001fd,0x37c4001f,0x3f207f60,0xb8002f82,
    0x00ee802f,0x5f903fb0,0x01760f50,0x0f89ae00,0x80002800,0x00026009,
    0x0003eeb8,0x2004f8fa,0x0098007c,0x80000980,0x2fb8000a,0x01300540,
    0x0260005f,0x0a8002a0,0x41e60260,0x640001f9,0x00003e65,0x00000000,
    0x7d000000,0x588003e6,0x00000000,0x3a000000,0x3e000007,0x00000002,
    0x0f300000,0x360002ec,0x32a01e64,0x004ccccc,0x99999950,0x332a0009,
    0x0004cccc,0x0002dcfa,0x33333326,0xcccccccc,0x33333261,0xcccccccc,
    0x3333221c,0x79999303,0x664c27cc,0xcccccccc,0x0be1cccc,0x66666644,
    0x913ccccc,0x99999999,0x33322799,0xcccccccc,0x1f503cc3,0xf526c000,
    0xf9999500,0x950005fb,0x05fbf999,0xf9999500,0x3a0005fb,0x980007b3,
    0xccccdfcc,0x22fccccc,0xcccdfcc9,0x2fcccccc,0x4133fb22,0x323dfdc9,
    0xdfcc982f,0xcccccccc,0x440be2fc,0xcdfccccc,0x99913ccc,0x9999bf99,
    0x33333227,0x43ccccdf,0x00274079,0x2673a662,0x100099fb,0x0000bb3f,
    0x000bb3f1,0x00bb3f10,0x0017cfa0,0x3e007d00,0x3e007d02,0xd802f982,
    0x7400fe85,0x17c5f003,0x2000fa00,0x03e8003e,0x07d40798,0xfffff980,
    0x3fffffff,0x01f56b80,0x1f56b800,0xf56b8000,0x3e7d0001,0x0fa00002,
    0x03e817c0,0x03ee05f0,0x07f80fb8,0x45f003e8,0x01f4002f,0x74001f40,
    0x400f9803,0x2662003e,0x99dd99bf,0x1fc7d001,0x3f8fa000,0x7f1f4000,
    0x0be7d000,0x003e8000,0x400fa05f,0x4417a02f,0x806f883f,0x7c5f003e,
    0x001f4002,0x1f4001f4,0x3dc03f80,0x1322f800,0x3641f300,0x641f3000,
    0x83e60006,0xd3e8006c,0x1f400007,0x07d00c80,0x2f980320,0x0bf306d8,
    0x832007d0,0x01f4002f,0x74001f40,0x03df5003,0x3e2001fc,0xb9001361,
    0x90001f88,0x0001f88b,0x001f88b9,0x0005d9f4,0x006a0fa0,0x001a83e8,
    0x03ea0fb8,0x1f402fcc,0x00be00d4,0x7d0007d0,0x2007d000,0x1ae02ff9,
    0x1ec1f100,0x13a0be00,0x27417c00,0x4e82f800,0x06b9f400,0x360fa000,
    0x360fa004,0x229d0004,0x01be203f,0xf01360fa,0x003e8005,0x3e8003e8,
    0xf1009f00,0xfdccb805,0x2ccefccc,0x07b83d40,0x0f707a80,0x1ee0f500,
    0x0fe27d00,0x55674000,0x3a004eaa,0x04eaaaac,0x0d95f300,0x59d00ff0,
    0xf809d555,0x001f4002,0x1f4001f4,0xc8007cc0,0x7f776406,0x3eeefeee,
    0x2f8826c0,0xf8826c00,0x8826c002,0xa8fa002f,0x05d3001f,0x9ffffffd,
    0x7ffff400,0x320004ff,0x0ff801ff,0x7fffff40,0x0017c04f,0x0fa000fa,
    0x2600fa00,0x00be2007,0x400be3d4,0x017601f8,0x17601f88,0x3601f880,
    0xf90fa005,0xd06f9805,0x74009b07,0x40004d83,0x03fb004f,0x404d83e8,
    0x01f4002f,0x74001f40,0x40079803,0x44d7005d,0x99f7001f,0x1fb99999,
    0x3333ee00,0x00fdcccc,0x99999f70,0x2001fb99,0x41cfc83e,0x0fa04fc9,
    0x83e80136,0x1f40004d,0x7403f980,0x17c04d83,0x2000fa00,0x03e8003e,
    0x7cc00798,0x3e26b801,0xddddd000,0x07fddddd,0x3bbbbba0,0x003feeee,
    0xdddddddd,0x3a007fdd,0xfdffd503,0x83e805df,0x07d00808,0x74001011,
    0xd01ba003,0x7c101107,0x001f4002,0x1f4001f4,0x6c003cc0,0x3e65c805,
    0x800f9800,0x00f9806b,0x0f9806b8,0x7d006b80,0x00adc880,0x1e6007d0,
    0x079801f4,0xfb800fa0,0x4c00fa02,0x7d000be7,0x0007d000,0x00f3007d,
    0x5c801f30,0x02e401e6,0x2e401f88,0x6401f880,0x003f1005,0x0079007d,
    0x1f3003e8,0x3e6007d0,0x4007d000,0x00fa05f8,0x002f87cc,0x1f4001f4,
    0x5401f400,0x809d0007,0x7c01ea4d,0xf0136002,0x2026c005,0x0136002f,
    0x176a00fa,0xf3003e80,0x26007d01,0x007d000f,0x07d01fc8,0x017c3e60,
    0x3a000fa0,0x803e8003,0x1f50005c,0x00d51ec0,0x07a800f3,0x0f5001e6,
    0x1ea003cc,0x80fa6662,0x74003a09,0xd01f3003,0x003e6007,0x3e2001f4,
    0x26007d04,0x03337f0f,0x7d0007d0,0x4407d000,0x3a0002fb,0x05a8b604,
    0x06abb6a2,0x22cfbaa8,0x01aaeda8,0x88b3eeaa,0x201aaeda,0x3a2cfbaa,
    0x2e03ffff,0x54405edf,0xaaaaacfa,0x10fcaaaa,0x55559f55,0x1f955555,
    0x37aaaa60,0x7a800aaa,0x2ab3eaa2,0xcaaaaaaa,0x5fffff0f,0x6f555554,
    0x2aa1aaaa,0xaaadeaaa,0x2aaaaa1a,0xd1aaaade,0xfb80005d,0xff700000,
    0x3e60dfff,0xf71fffff,0x260dffff,0x71ffffff,0x20dfffff,0x1ffffff9,
    0x20026666,0xfffa8009,0xffffffff,0xff50ffff,0xffffffff,0x101fffff,
    0xffffffff,0xff5000bf,0xffffffff,0x261fffff,0x3fe60999,0xffffffff,
    0xfffff35f,0x2bffffff,0xfffffff9,0x0005ffff,0x00000c80,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x01ec4264,0x40001730,0x00db81da,0x00002e60,0x01ec4264,
    0x6dc0ed40,0x20000000,0x0001bca8,0xb81da800,0x0055000d,0x02000000,
    0x00040000,0xfa81ff30,0xfffd8807,0xb003b30c,0x007ff09f,0x219fffb1,
    0x3e6001d9,0x003fd40f,0x1ffc27ec,0xdffdc980,0xdbff5003,0xfb7001df,
    0x20dfffff,0x02ff84fe,0x70f7ffdc,0x3fb2a009,0x05ffffff,0x200002f4,
    0x320003f9,0xc802c883,0xdfbfd51e,0x50193001,0x23b90019,0x00dfdffa,
    0x16441e40,0x54064c00,0xcefa800c,0x200eecaa,0x076d43fa,0x83405b90,
    0x00ca80c9,0x6feccfe2,0x7f5402fe,0x00763b8b,0x0000774c,0x00002fd4,
    0x7b700000,0x00000000,0x0000f6e2,0x00000000,0x7ec07f90,0xf103f881,
    0x1a01a605,0xb5000000,0x0efa8019,0x2001d8ee,0x20001ee8,0x000004fb,
    0x00000000,0x00000000,0x00000000,0x005f5000,0x406c81f9,0xd007705d,
    0x00000000,0x8ee17f40,0x7ec4001d,0x02fc8001,0x3ff6e000,0x6dc000ad,
    0x2a00adff,0x443ccccc,0x80cccccc,0x4cccccca,0x99995000,0x64c00999,
    0xcccccccc,0xe81ccccc,0x5f13a004,0x09707a80,0x99999100,0x27999999,
    0x101cccc8,0x21999999,0x363b86f8,0x00370001,0x20000370,0xecaacee8,
    0xcee8803f,0x503fecaa,0x88999dd9,0x80cdfccc,0xfdfcccca,0xccca8002,
    0x3002fdfc,0x9999bf99,0x85f99999,0x3ea000fb,0x79801f11,0x88003f70,
    0xcdfccccc,0xd9913ccc,0x333220df,0x09f30cdf,0x0000ec77,0x80000000,
    0x0bee05fa,0x3ee05fa8,0xf8017202,0x367e2001,0x9f880005,0x03e8005d,
    0x003e85f0,0x220f53e8,0x676c7ecb,0xe80002fb,0x05fd9003,0x85f985f0,
    0x3000763b,0x00000001,0xfa804f88,0xa804f881,0x400b901f,0x55ae001f,
    0xb5c0000f,0x1f4000fa,0x017c2f80,0xa86ba6c0,0x12a7deff,0x40001bd1,
    0xf7b9003e,0xff82f801,0x003b1dc0,0x3bffffd7,0x40bbba60,0xc804eeec,
    0x903b2006,0x4076400d,0x007e005c,0x000fe3e8,0x001fc7d0,0x117c00fa,
    0x2b70001f,0x98e7cc5c,0x1fdc0ae7,0x9003e800,0x05f013ab,0xb1dc1df5,
    0x55fec403,0x883fda98,0x99503fcc,0x02f980bd,0x2f98be20,0x320be200,
    0x4007e005,0x001b20f9,0x01b20f98,0x832007d0,0x2f500079,0x9e636c5c,
    0x5d9100e8,0x9003e800,0x2f807eab,0x7739fd30,0x01dd00ec,0x07d01fd4,
    0x06b80b90,0x01ae4c80,0x01721320,0x8b9001f8,0xb90001f8,0x3a001f88,
    0x7cc01a83,0xb96b8000,0x2a3cc3f8,0x037a601e,0x5c801f40,0x402f8176,
    0x0763fdca,0x7d400764,0xb9007d01,0xa8005c80,0x2a001726,0x3e005c86,
    0x9d05f001,0x3a0be000,0x360fa004,0x000fc404,0x1f45cae4,0x00fa61e6,
    0x07d001d7,0x02f89720,0xb1dc005f,0x4005f103,0x9007d05d,0x8003e80b,
    0x2000fa79,0x2005c879,0x707a801f,0x20f5000f,0x2b3a007b,0xf804eaaa,
    0xb94d8002,0x903cc6b8,0x402d405d,0xc8b9003e,0x5c005f06,0x01ea0763,
    0x00fa0f50,0x005f0172,0x00be3f10,0x0b907e20,0x26c00fc0,0x6c002f88,
    0x2005f104,0x4ffffffe,0x44005d80,0xef88b72f,0x6cc07b9b,0xe801d00d,
    0x7d0b9003,0x1dc005f0,0x800b903b,0x803e80f8,0x001f405c,0x003e87c4,
    0x02e40f88,0x1f8803f0,0xf8801760,0x74017601,0xf9804d83,0x6b9b6002,
    0x4ffffd88,0x3443fa80,0x5c801f40,0x017c0fa8,0x640ec770,0x40fc4005,
    0x405c803e,0x2798004d,0x8798004d,0x007e005c,0x999999f7,0x2e001fb9,
    0xcccccccf,0x83e800fd,0x00db004d,0x407a87e6,0x36200130,0xe802edbd,
    0x360b9003,0x770017c5,0x003540ec,0x401f41ea,0x002e405c,0x000b92dc,
    0x400b90b7,0x7777401f,0x3feeeeee,0xdddddd00,0x007fdddd,0x0101107d,
    0x7cc01dd1,0x0000fc45,0x2001ec80,0x20b9003e,0x800be2f9,0x3e60763b,
    0x741b2000,0x5405c803,0x51f4000f,0x83e8001f,0x01f3005b,0x35c007cc,
    0x5c007cc0,0x3003e806,0x82bfa20f,0x09b04fb9,0x007c0000,0x172007d0,
    0x800be6c8,0x2ec0763b,0x9b02f980,0xe805e880,0xd07ea004,0x40fd4009,
    0x80f70079,0x03f1005c,0x3f1005c8,0xf3003e80,0x3bff2201,0x3ea02eff,
    0x4024c000,0x00fa000e,0x27f102e4,0xd8ee002f,0x8809f101,0xa81f204e,
    0x1f9805ff,0x3f309d00,0x3f813a00,0x17c05e80,0x2f809b00,0x7d013600,
    0x3003e600,0x360015df,0x4985501f,0x3a003c40,0xb80b9003,0x2e002f8f,
    0xef980763,0x006fdc41,0x32a219f1,0x400aeccf,0x17a202fd,0x3a202fd8,
    0x900fdc05,0x003cc01f,0x007981ea,0x00fa03d4,0xdf7007cc,0x88530355,
    0xfdbaacfe,0xeb8824c2,0x801f4002,0x2fce805c,0x01d8ee00,0x7ff7fec4,
    0xdff5003f,0x3ff23dff,0x21cfc804,0xfc806ea8,0x01baa21c,0xfb305fe4,
    0x2bb6a205,0x3eeaa01a,0x2bb6a22c,0x3eeaa01a,0x33eaa22c,0xaaaaaaaa,
    0xffb00fca,0xd9dfffff,0x3ffae09f,0xeef980bd,0x402dfeee,0xadeaaaaa,
    0x36a21aaa,0xff301aae,0x77775405,0x05eef98e,0x000d5cc4,0x00055d44,
    0x7f7ffd40,0xff5000be,0x0017dfdf,0x77ff7fdc,0x3fffee01,0xffff306f,
    0x3ffee3ff,0xfff306ff,0x3fea3fff,0xffffffff,0x880fffff,0x32a20acd,
    0x000001cd,0xffff3000,0xbfffffff,0x3fffffd4,0x00005f90,0x00000000,
    0x2aa20000,0x2aa20000,0x55cc0000,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00200000,
    0x00000400,0x00080000,0x00800080,0x01793000,0x0f440000,0xaa98806a,
    0x00b20001,0x00005900,0x00020000,0x000002c8,0x36000176,0x3e600005,
    0x0be60002,0x003f9800,0x2a0002ec,0x98006bad,0x743dffdc,0x6443fd46,
    0x01effeff,0x013ffa20,0x013ffa20,0x037bfaa0,0x0007dc00,0x2013ffa2,
    0xd3001efb,0x74c0001d,0x7d40000e,0x13ea0005,0x005fa800,0x0000ee98,
    0x50015c1d,0xdf9559df,0xffb81f93,0x4427be60,0xfa802feb,0x000ef98d,
    0x1df31bf5,0x32fbf600,0x7e4001ff,0x46fd4002,0x3fe00ef9,0x3ba2004f,
    0x3ba20001,0x09f70001,0x001fdc00,0x40009f70,0xe8001ee8,0x7e400ee0,
    0x05ffb103,0x404e8ff5,0x0fee00fd,0xfb803fd1,0x200ff443,0x076c42fa,
    0x000fec40,0x3fd10fee,0x000bffa0,0x80003fb1,0x7e4001fd,0x0bf20002,
    0x002fc800,0x8003fb00,0x800ea8cb,0x7fcc02fa,0x8007fa80,0x806e02f9,
    0x700dc01b,0xf305d803,0x00ee8805,0x06e01b80,0x2e0000a8,0x01b80001,
    0x20000dc0,0x0dc0001b,0x006e0000,0x400736a0,0x76f4404e,0x0006f984,
    0x0000009d,0x407d0000,0x0064404e,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfb800000,0x7d476c00,0x40037cc0,0x000002f8,0x3a0004c0,
    0x0000fa03,0x00098800,0x00cc4000,0x44000000,0x04c00019,0x00131000,
    0x00004c40,0x0fa00331,0x21f43f70,0xfc8006f8,0x40bbba60,0x5c04eeec,
    0x01dffffe,0x01f703e8,0xfc880000,0x000dffff,0xffedb880,0xdd300cff,
    0x3bbb205d,0xffdb7104,0x2e0019ff,0x01dffffe,0xfffffc88,0xffc8800d,
    0x4400dfff,0xcffffedb,0xfa80be00,0x17e22642,0x443fc980,0x99503fcc,
    0x2ff620bd,0x03fda98a,0x5fd931f4,0xeeeeea80,0x37df5002,0x407fd531,
    0x5677c01c,0x80eeca89,0x9503fcc8,0x33be0bd9,0x0eeca89a,0x22aff620,
    0x2a03fda9,0xea989bef,0x2fbea03f,0x03fea989,0x2a26b3be,0x0f880eec,
    0x8d709f10,0x775c05f8,0x01f402ff,0x00ee82e4,0x23e80fea,0x4c03fffc,
    0x803fcccc,0x17dc03f9,0x440003e8,0x401f405f,0xbf10005c,0xf5007740,
    0xb807f307,0x403f982f,0xf10002fb,0x2f40f30b,0x404f87a8,0x400effda,
    0xc85c803e,0x01fa800e,0x1df7307d,0x2201f400,0x01f7004e,0xf700009f,
    0x5c803e80,0x641ee000,0x21fa800e,0x1f7004e8,0xfb802744,0x30f70000,
    0x201f901f,0x2004f86b,0x0fa02fd8,0x05f11720,0x03e82ec0,0x3e801b62,
    0x3a003dc0,0x80004f83,0x401f407a,0x1ea0005c,0x5d800be2,0x47d001ee,
    0x01f4007b,0x1f887a80,0x0b900fdc,0x5f70007f,0x17200fa0,0x07a800f5,
    0x04e8807d,0x04d807d0,0x027c2dc0,0x9aacaa88,0x401f407a,0x6554405c,
    0x7a87a9aa,0x09b3d400,0x01365b80,0x55440b70,0xf07a9aac,0x3601fcc5,
    0x90002d83,0x3200fa0b,0x22002e45,0xa803e80f,0xe807d007,0xffffffff,
    0x446fffff,0x7fecc05f,0x07fffeef,0x82e401f4,0xfeefffd9,0x005c87ff,
    0xfffe87c4,0xffffffff,0x3fffa6ff,0xffffffff,0xffd986ff,0x07fffeef,
    0x1013a2d9,0x9800005f,0xc803e80f,0x22002e45,0x8803e81f,0x403e800f,
    0xaaaaaade,0x42aaaaaa,0x37ea05f8,0xe80f7101,0xfa85c803,0x90f7101d,
    0xd1f8800b,0x5555555b,0x74555555,0xaaaaaaad,0x542aaaaa,0x0f7101df,
    0x201b67e2,0xf000006d,0xb9007d03,0x3d4006a8,0x05f003e8,0x05c807d0,
    0x306f9800,0x80f5009f,0x4c5c803e,0xa87a804f,0xb93d4006,0x005c8000,
    0x54027cc0,0x003ff207,0x000003f3,0x007d01f3,0x000f98b9,0x401f41b2,
    0x03e802f8,0x200007d4,0x01f706f9,0x03e80f50,0x007dc5c8,0x007cc3d4,
    0x007d4d90,0x0001f500,0x3d4007dc,0x5401df70,0x9000004f,0xd101360d,
    0x2600bb0b,0x34c7d02f,0x1f400fd4,0x20002f40,0x00b907fa,0x809b01f2,
    0x802e45e8,0x200bb07c,0x002f42f9,0xc80017a0,0x260f9005,0x260afecf,
    0x336a04fc,0xfb8019b0,0x7d40f901,0x404f885f,0x88fa04e8,0xe803641f,
    0x003f9803,0x707fa8b5,0x3ff4401f,0xffa81f20,0xd1007dc5,0x013e20ff,
    0x07f309d1,0x07f316a0,0x00fb96a0,0x3a21ffa2,0x3ffbff25,0xa7ffc02f,
    0x6cc1bfe9,0x433e203f,0xaeccfca8,0x220f7cc0,0x55440dfb,0x543760df,
    0x007d002f,0x2e60bbea,0x07fdc3fe,0x73057744,0x0155f7bf,0x32a219f1,
    0xd10aeccf,0x6fdcc15d,0x7cc0aafb,0x06fdc41e,0xb982efa8,0x2efa83fe,
    0x223feb98,0x3ee60aee,0xd90aafbd,0x00ab9881,0xeb87ffd0,0x01effeff,
    0xeffeffa8,0xb109ff91,0x07fffdff,0x993fffea,0xa983fffe,0xaadeaaaa,
    0xfd880aaa,0x0cfffeef,0x36206f98,0x52fffeff,0x3ea07fff,0xf91effef,
    0x77fec49f,0xfff52fff,0xfdffb107,0xfb1007ff,0x19fffddf,0x777fec40,
    0xd880cfff,0x52fffeff,0x00227fff,0x202a8800,0x4000aa98,0x0000aba8,
    0x00035731,0x7f402e60,0xffffffff,0x54c03fff,0x0008009b,0x00015753,
    0x00055d44,0x0002aea6,0x001ab988,0x00137530,0x00137530,0x0002aea6,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x44000180,0x00000001,0x2a600059,0x0000000a,0x0000aa88,0x00355300,
    0x00000aa2,0x0004c000,0x22000000,0x00100001,0x50004c40,0x80019dbd,
    0xf800effc,0x7f440003,0x3fa6004f,0xff304fff,0xdfffffff,0xffffb100,
    0x3ffff27f,0x4fffffff,0xdfffffa8,0xffffb100,0xbfff1019,0x7f4c0000,
    0xdd90ceff,0xffb8001b,0x7fec402f,0x3bba3dff,0x2002e805,0x4fffffd9,
    0x541b5075,0x7fffc006,0x004fb802,0xdf31bf50,0x11df9801,0x57f30dd5,
    0x03555555,0x220aefa8,0x55555d90,0xb89d5555,0x1ff712df,0xd711ee88,
    0x0176aa0d,0x4567e400,0xced8eea9,0x5544000b,0x2b7ee02f,0xbf4fca89,
    0x007d0059,0x2626b3f2,0x0d85efeb,0x3f2001c8,0xbf5000ef,0x443fb800,
    0x41ba01fe,0x007cc3f8,0x9009f900,0xf98fa009,0x0d91ba03,0x00b9026c,
    0x6405f700,0xf00004ef,0x980fea05,0x3a002fde,0x401fc803,0x982c45fe,
    0x000c4005,0xb8006fcc,0x7d406e01,0x1f31f200,0x00bea000,0x0fc40044,
    0x8fdc01f9,0x0be201f8,0x220002e4,0x04fd802f,0xf105f000,0x05ff1007,
    0x3e601f40,0x445f8801,0x00007506,0x0006c400,0x202ec000,0x003e62f8,
    0x00013e20,0x809d1ae0,0x900f53f8,0x0001720b,0x13e200d9,0x5c17c000,
    0x00bee006,0xbb0067c4,0x0e425c00,0x00000074,0x19880000,0x9d005f00,
    0x640007cc,0xd800000e,0x9fc02744,0x9069806b,0x3600260b,0x8013a004,
    0x9b05f008,0x2017cc00,0xbdfeffc8,0x0000be0d,0x136a33a6,0x00000000,
    0xfffedb88,0x03f100cf,0x007ccbb0,0x00001740,0x03ee0fc4,0x00d70fb8,
    0xdb9720f1,0x3e04ffff,0x30136002,0x45bfffd7,0x4003e82f,0x82ff202f,
    0x3f11ffb8,0x67540000,0x2a01a881,0xeeeea804,0x59df002e,0x01dd9513,
    0x4d7001f3,0xeffebaf9,0x000f880d,0xf887a800,0x3ccbd103,0xae40fe40,
    0xfb989bfc,0x2003e81e,0x2bbe604e,0x5f3fca89,0x7c4007b0,0x5c03f502,
    0x0001f31f,0xcfda8800,0x2601ae01,0x003fcccc,0xf50bf100,0xff99ea00,
    0x2feb9bdf,0xbfd733cc,0x41360007,0xfda8befa,0xf3017c0d,0x1dbd905f,
    0xb903f620,0xf9827c00,0x0befa603,0x2fa80172,0x41b007d0,0x8800001f,
    0x9801cfda,0x07d0006e,0x543dc000,0x1b8f5007,0x35b83f20,0x0bf959ff,
    0x7cc05f00,0xd906ffff,0x07b9d101,0xbd001ff9,0xfb801fa8,0xf3009f04,
    0x003f505f,0x07e20bfa,0x0000fa00,0x00e7edc4,0x002dfd98,0x400007d0,
    0x5007a87a,0x5cbb000f,0x74c0bf9d,0x881ea004,0x4fcaabee,0xf5115db0,
    0x0bf21329,0x1b60fcc0,0xd309ff30,0xc817e400,0x17fe400e,0xfb8003cc,
    0xdb82a000,0x7dc001ce,0x1f40001d,0x2b2aa200,0x07a87a9a,0xf3000f50,
    0xf501ff54,0x4c172001,0x20bd104e,0x3a3efffc,0x2000fc83,0x40f7442f,
    0x4c84dafb,0x440be600,0x9ee882fe,0x000f982f,0xd8801bd0,0x6d406e1f,
    0x003f981c,0x26007d00,0xffeefffd,0x800f987f,0x1f88006b,0x07d00df3,
    0x02e40be0,0x809807e2,0x4006c81f,0xdffd884d,0xd09b2ffe,0x017c4007,
    0x3ff7bfee,0x0be05f0e,0x057f4400,0x200bfee6,0x45da9ce8,0x3a00005c,
    0x01dfa803,0x03f10f71,0x3e000b90,0x136007e1,0x0fc03e60,0x22002640,
    0x4006c80f,0x2f2a604d,0x017426c1,0x2a200be0,0x817c0acb,0x7e40006c,
    0x0bfffeff,0x43b07700,0x3a00003f,0x4027cc03,0xb007f07a,0x41f30009,
    0x805c802e,0x001f305c,0x06c800d7,0x03e800f9,0x13213600,0x0002f980,
    0x37a205f0,0x4403f700,0x8001acd9,0x17a4a80e,0x01f40020,0x1ea003ee,
    0x0be202ec,0x09b1ea00,0x07d007d0,0x172007e2,0xf903f980,0x007e2003,
    0x06a83e80,0x0000bee0,0xbfb1017c,0x007dfb99,0x344000b2,0x003f2688,
    0x807d0079,0x20f9005c,0x99ae01fa,0xf98bd000,0x1007e200,0x401fc01f,
    0x0bd1003e,0x6d8037e4,0x207e2000,0xff8803f8,0x05f00002,0x017df950,
    0x0005da80,0x7c47703b,0x74026c04,0x1007dc03,0x82f40ffd,0x00bf62f9,
    0x40b901f9,0x406b805d,0x03f201fa,0xc803bea0,0x07dc04ee,0x206e8800,
    0x376201fa,0x5f00002f,0x2001f400,0x20003a09,0x503a60d9,0xd73135df,
    0x807d007f,0x2e60aee8,0x40aafbdf,0xbf511df9,0x209cfc88,0x3ba02fd9,
    0x003fb10b,0x17f9007b,0x43117ecc,0x2a04fca8,0x41ee8dda,0x99802fd9,
    0x00eeb999,0xf51067d4,0x0006b3eb,0x137f3331,0xc8007d00,0x20004edf,
    0x301dedea,0x17dffffb,0xeaaaaa98,0x20aaaaad,0xfffeffd8,0x307fff52,
    0x409ffffd,0xefffffda,0x7ffe4400,0x01f000ef,0x3ffffea0,0x7fffd40e,
    0x3fe202df,0xfdffb15f,0xff5001df,0x4009ffff,0x4ffeffea,0xf001bffe,
    0x0fffffff,0x260007d0,0x01300000,0x3fa00cc0,0xffffffff,0xba983fff,
    0x2a60000a,0x2aa6000a,0x00a98000,0xaa980000,0x002aa200,0x00ab9800,
    0x004ccc40,0x00175100,0x99998800,0x01d80099,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0c000000,0x2602e200,0x00009803,0x2e202e20,0x05ddd300,0x0013bbb2,
    0x0aa88000,0x674c0000,0x20076a22,0x04400008,0x980b8800,0x71037003,
    0x00013003,0xdb100800,0x7fff649d,0x27ec00be,0x76541ff4,0x2e00002f,
    0x104fd86f,0x32a07f99,0xcb8805ec,0x401cdffe,0x05ebcfd8,0x7f654000,
    0x2600cefe,0x014c3ffd,0x530fff66,0xff84fd80,0x5c3fd402,0x5fd9506f,
    0xfb500000,0x46f65c07,0xeb989bfe,0x20baa00e,0x5b1a81fc,0x1f4c0000,
    0x1f4017d4,0x3ea02e40,0xbd7511bc,0x0b60a201,0x7edc4000,0x7c400fee,
    0xfdbffb9d,0x2e77e204,0x404fcbff,0x00ec81eb,0x1fcc2744,0x0005b1a8,
    0x3f7ff6a0,0x0deec803,0x00003b20,0x00002d80,0x03e80000,0x07b205c8,
    0xb8007b20,0xefc80004,0x0601761c,0x3007df91,0x0007df90,0x80000000,
    0xf980002d,0x9007d0ad,0x01b600df,0x002d8000,0xe8000000,0xb905c803,
    0x400f9800,0x80001ea8,0x000fa019,0x00000000,0x00000000,0x800000b6,
    0x01fc803e,0x98801f10,0x0016c000,0x0cc400b8,0x3200fa00,0xeea86985,
    0x816e38ce,0x22002ffd,0x03f10003,0x100004c0,0x09800033,0xb0000000,
    0x00530005,0x00f9007d,0xffc882e8,0xd800dfff,0x07f4c002,0x3fffb6e2,
    0x03e800cf,0x20f445c8,0xb13aa1cb,0x0175c407,0xb95037dc,0x01f237bd,
    0x3bffffd7,0xffedb880,0xd7000cff,0x203bffff,0xd902eee9,0x016c09dd,
    0x3a013f20,0x4006c803,0x4df7d44d,0x403fea98,0x9f91002d,0x1359df01,
    0xe801dd95,0x2d45c803,0x34c49834,0xfb103d40,0x33bf6207,0x2f9cfecb,
    0x98abfd88,0x3be03fda,0xeeca89ac,0x2aff6200,0x883fda98,0x99503fcc,
    0x8016c0bd,0x7d002fea,0xd800d900,0xf700fe64,0x54016c05,0x220001ef,
    0x401f405f,0x0ea1e45c,0x4400f808,0x00efb80f,0x3a603df1,0x00ee84ee,
    0x44000fea,0x803ba05f,0x00fa03fa,0x402d8172,0x2000cfc8,0x00fc803e,
    0x02744be0,0x05b00fb8,0x00027ec4,0x01f407b8,0x1b0762e4,0x0351e800,
    0x03fe987b,0x6fe8036c,0x7d400764,0x20f70001,0x1fa800ec,0x0b9007d0,
    0x3df5016c,0x9007d000,0x43ee009f,0x91f4007b,0x45dddfdd,0x02aa1efa,
    0x3a03d400,0x3e2f4404,0x9e4002c0,0x44ecceea,0x50aa0dfb,0x9fe6001f,
    0x176002f8,0x7c43d400,0x74176002,0x7645c803,0xb12eeefe,0x002ee29f,
    0x7fe401f4,0x9b17cc02,0x2625b800,0xfb119999,0x201fea87,0xa9aacaa8,
    0xf503f407,0x06c1e8bf,0x3510b600,0x75c2fe98,0xb001720f,0x2a003d4f,
    0x2b2aa207,0x07a87a9a,0x03e83d40,0x4ccc45c8,0x23df7199,0x805daadd,
    0xfadc803e,0x744fc80c,0xffffffff,0x006fffff,0x9f883df7,0xfffd981f,
    0x407fffee,0xf9510cfe,0x0b215db9,0x00f80077,0x7c40dfc8,0x000fa0f9,
    0x2002e4f9,0x7fecc0f8,0x87fffeef,0x07c4005c,0x02e401f4,0x16e3fd88,
    0x007d00ba,0x37bfe6b9,0xade82ffe,0xaaaaaaaa,0x74c02aaa,0x07e9b03f,
    0x2e203bf5,0x77f6f407,0x9ff91eff,0x140d112e,0x5dd501e2,0x7d07cf60,
    0x1726b800,0x7d43f100,0x90f7101d,0x81f8800b,0x805c803e,0xb80c0efb,
    0x6401f405,0x055e5cc5,0x400005c8,0x4d500dfb,0x2013e61f,0xb99f407a,
    0x40f9800a,0x2e16c2d9,0x409fb105,0x05d83e6b,0x00d52ec0,0x013e67a8,
    0x001aa1ea,0x200fa0f5,0x0ffa605c,0x3e805d00,0x20005c80,0xb00000fa,
    0xf0fc405f,0x54007dc3,0x0001f407,0x9bd930b9,0xdd00f983,0x1f0fc403,
    0x93e003dc,0x9b2000f9,0x87a800fb,0x1b2000f9,0x82e401f4,0x22000df9,
    0x803e803e,0x2f40005c,0x40098000,0x0b90fc4d,0x07d01f20,0x8002e800,
    0x3600602e,0x07f107c3,0x0bb03ea0,0x05c8be60,0x01760f90,0x04d817cc,
    0x00302f44,0x7d003e88,0x8000b900,0x0b5003f9,0x3bbbe200,0x01f71efe,
    0x3a03ff44,0x27cc0003,0x0004e980,0x7f7777cc,0x5013ea0d,0x809f107f,
    0x007dc4e8,0x3e20ffd1,0x90274404,0x02ffd40f,0x002f9800,0x017200fa,
    0x20bbea00,0x0003feb9,0x8be66666,0x2e60aee8,0x80aafbdf,0xd880003e,
    0x2fc8809e,0x33330000,0x5bf705f3,0x2604fc98,0x6fdc41ef,0x30577440,
    0x155f7bf7,0x5c41ef98,0x33e200df,0xd99f9510,0x75c00015,0x101f4001,
    0x00333d93,0x777fec40,0x0000cfff,0x7ec41f80,0xf52fffef,0x005d07ff,
    0x6f7f5400,0x0000cefe,0xe9807c00,0x02fffeff,0xffeffd88,0x3ff6203f,
    0xff52fffe,0xdffb107f,0x2a007fff,0x91effeff,0x360009ff,0x5551440d,
    0x5555bf55,0xffffff13,0x530000bf,0x00000137,0x2607bfb6,0x00000aba,
    0x4d4c0000,0xd8000000,0x2a200efe,0x988000aa,0x2a6001ab,0x220000ab,
    0x88001ab9,0x00000aba,0x777777cc,0xfffff36e,0x2bffffff,0x01999998,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x1b300000,0x20000000,0xaaaaaaaa,
    0xaaaaaaaa,0x00000000,0x00000000,0xeea80395,0xddd503ee,0x0aa9807d,
    0x00800000,0x00000000,0x00000000,0x2fffa800,0xfecb8800,0x01c01cdf,
    0x6dc05100,0x2000adff,0x3defeca8,0x2fffb871,0x1fdc0000,0x0737f260,
    0x80efe64c,0x0cfffffc,0x213fee00,0x3efffec8,0x3ffb2200,0xb5101cee,
    0x0e239dff,0x3effed98,0x07ffec71,0x27f90000,0x3ea004fc,0xbd7511bc,
    0x88000e01,0xaacee882,0xfa803fec,0xffdbabdf,0x3eaa20fc,0x7dc00002,
    0x2009d003,0x37db107b,0x44007754,0x77ec4ecf,0x0efca9ab,0x556ffcc0,
    0xefb83dcb,0xacfdbaac,0x735bf907,0x54cfbdfb,0xd00000fc,0x805fa83f,
    0x1ec801ec,0x0a200038,0x17dc0bf5,0xfb807f30,0x0005f00f,0x5002ea80,
    0x207d001f,0x017a00fe,0x0fe26db2,0x2fc05f98,0x980bea00,0x02fb87fe,
    0x1f30ffb1,0x01910000,0x05c80322,0x00e07cc0,0x13e22880,0x3e607ea0,
    0x201f9002,0x0000002f,0x3dc04e80,0x7c401f98,0x26cbe201,0x03f500be,
    0xf98007e6,0xf87f9801,0x4c3fc405,0x0000000f,0x332e6980,0x45b80bcc,
    0xc8a20003,0xf03b2006,0xf03cc00b,0x00000005,0x1f401f50,0x07d004b8,
    0x0b89b2ec,0x0d702f80,0x32004f80,0x5c00fcc7,0x0000f986,0x0f440000,
    0x79333771,0x0001c7b0,0x800be651,0x003e62f8,0x4c42f800,0x40000000,
    0x001f504e,0x3ea09b00,0x6c001361,0x4c00d703,0x3162000f,0x3051001f,
    0x2a00001f,0x402eeeee,0x0c82a85a,0x4000734c,0x9000d728,0x000035c9,
    0x7fff5cbe,0x7775402e,0x7d4002ee,0x00003e80,0x9b13a05f,0x223f1000,
    0xeeefeeed,0x02dc5eee,0x0017c400,0xeeb81f30,0x64c00dee,0x6403fccc,
    0x82a82a83,0x4400070f,0xd5000b92,0x2000026c,0xb89cfcaf,0x332603fd,
    0xe8003fcc,0x00007d44,0x07dc07e4,0x1b600136,0x999fb997,0x03d87999,
    0x005f7000,0xfd303e60,0x3a00079d,0x1540ec03,0x1c7a03a2,0x0fa51000,
    0x02e9e600,0x077fc000,0x3a000fb8,0x20fa8003,0xfa80004e,0x4d83f882,
    0x807fa600,0x00be006b,0xacefb800,0xa81f3000,0x3e80004f,0x66d407c0,
    0x27900dec,0x7ca20003,0xf1f88002,0xef800005,0x800be200,0x29d0003e,
    0x4c0000fa,0x360d903f,0x0cfea804,0x5f0035c0,0xdb880000,0x2603dfff,
    0x000fee0f,0x07a01f40,0x80b666ea,0x4400072d,0xf10007d2,0x99880be1,
    0x5f019999,0x74009b00,0xd1f50003,0x4f980009,0x13605f30,0x20019f30,
    0x00be006b,0xf9510000,0x361f301b,0x3a00002f,0x15416403,0x0387c0b2,
    0x026ca200,0x407d3cc0,0xfffffffc,0x4c802f82,0x8000fa00,0x20000fee,
    0x817604fa,0x007cc04d,0x1f400d70,0xd1000000,0x3dd3f30d,0x03e80000,
    0x6c15425c,0x00073c40,0x8005c944,0x3001365b,0x200be01f,0x00fa004c,
    0x0004fa80,0x0fa80fea,0x0f101360,0x36006b80,0x40000005,0x7ffcc1f8,
    0x7400001f,0x2a07cc03,0x72dc5882,0xfa944000,0xd71f4000,0xf00f9800,
    0x40099005,0x3ea0003e,0x07f70000,0xffffffc8,0x003fffff,0xb801ae00,
    0x00280006,0x657e61f4,0x3a00001f,0x3b65c803,0x4c7640ee,0x88000e0f,
    0xfa8013a2,0x98007e61,0x9005f00f,0x001f4009,0x2e0009d0,0xaaa9803f,
    0xadeaaaaa,0x1ae00000,0x0003f880,0x87d0017c,0x007f20f9,0xe801f400,
    0x1c2e8002,0x7cc51000,0xd909d001,0xf807cc00,0x2004c802,0x1f50003e,
    0x005f9000,0x00026c00,0x2a0035c0,0x45d3001f,0x85f1004f,0x007ec0f9,
    0x9801f400,0x09d3004f,0x21440007,0x17a202fd,0x4c006f44,0x9005f00f,
    0x001f4009,0xfc8004e8,0x26c00002,0x0019db30,0x3f2001ae,0x3e37cc02,
    0x986d802f,0x000fd80f,0xb1001f40,0x5f91013d,0x288000e0,0x2a21cfc8,
    0x5fec406e,0x00feb881,0x0099005f,0x4ccc01f4,0x0009afa9,0x055003f9,
    0xffb026c0,0x01ae009f,0x260e7e40,0xdfdf84fc,0x980fea81,0x001db00f,
    0xbd555553,0x40155555,0xefedefea,0x8000e00c,0xdfff5028,0x2e0017df,
    0xeffeefff,0xacfaa80b,0x1aeea980,0x3aaaaaa6,0x70aaaaad,0xffffffff,
    0x559f300d,0xd5555555,0xdeaa9809,0x3fffc80a,0x5f955510,0x80155555,
    0xeffeffea,0xffd11d02,0x9819ffdd,0xdf500fca,0x3ffa0155,0xffffffff,
    0x353003ff,0x33336001,0xcccccccc,0x4402cccc,0x220000aa,0x2601abb9,
    0xe84fffff,0x3fa6ffff,0xffffffff,0x26623fff,0x30019999,0xffffffff,
    0xe809ffff,0x503fffff,0x7ffd4055,0xffffffff,0x15751003,0x9ab98800,
    0x01fffb00,0x07fffff3,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20550000,0x0038801a,
    0x3ccccca8,0x66666644,0x0001a800,0x99999991,0x11009999,0x80040000,
    0x103cccc8,0x32279999,0x99101ccc,0x32219999,0xa80ccccc,0x263ccccc,
    0x6444cccc,0x0800cccc,0x66666540,0x99999103,0x3ffee019,0xff8803ff,
    0x2007fcc1,0xeca80079,0x66444cce,0xe800cdfc,0x99930003,0x9999fb99,
    0x21ffecc0,0x3fee0029,0x3b2600be,0xfb9303cf,0x3fb3227b,0xbf999106,
    0x337f2219,0xccca80cc,0x37f263ee,0x7766444c,0xdfd7100c,0x9dd95099,
    0x33326079,0x55100cdf,0x36007d55,0x9805e886,0x01720007,0x0fa001f8,
    0x00f50000,0x3fee77e2,0xfb004fcb,0x803fb55b,0x05d802f9,0x3e00bfb2,
    0xd0005f02,0x3200fa07,0x64df7405,0x001ae01e,0x7d0001f3,0x4c000000,
    0x01720007,0x0fa001f8,0x00f50000,0x01f7e40c,0x06c82fa8,0x3ee00fc8,
    0x03ef7200,0x00fa05f0,0x01f40be0,0x00f502e4,0x64003f10,0x007d0005,
    0x03cc0000,0x7c00b900,0x000fa001,0x0000f500,0x040db000,0x7f104e80,
    0x809d5c80,0x9309b02f,0x1f407e07,0x09b02e40,0x44013600,0x07d0002f,
    0xeea80000,0xeeeeeefe,0x00b900de,0x07d000fc,0x007a8000,0xd0002620,
    0x5f300007,0x2b900bb0,0x40be01fa,0x40ffc85c,0x007d00f8,0x0026c0b9,
    0x7a800fa8,0x400fa000,0x02eeeeea,0x667ee64c,0x203ccccc,0x007e005c,
    0x400003e8,0x9776407a,0x02efffea,0x200007d0,0x003ea0ec,0x3e05d972,
    0xf9d0d702,0x0fa07985,0x07a81720,0x3a00be00,0x00fa0004,0x1fe6664c,
    0x4000f300,0x207e005c,0xce999998,0x00099999,0xfca80f50,0xda8acfcb,
    0x005c803f,0x1fc53a00,0x0be25c80,0x447a817c,0x03544d9f,0x80b9007d,
    0x0d90003e,0x20001f88,0x0fa0003e,0x20007980,0x907e005c,0xffffffff,
    0x03ffffff,0x3a00f500,0x01f701ff,0x200007a8,0x2006d9f9,0x2f83645c,
    0xd77a8f30,0x2b7a06b8,0xdaaaaaaa,0x0007dc05,0x0d900fc4,0x0003e800,
    0x079800fa,0xf8017200,0x99999981,0x099999ce,0x200f5000,0x0fe201fe,
    0x2b3eeaa6,0x4cc000aa,0x099affd9,0x41f42e40,0x641f102f,0x02e43f15,
    0xfffffffd,0x3620bfff,0x401985ef,0x000fe04d,0x740007d0,0x001e6003,
    0x07e005c8,0x01003e80,0x1f401ea0,0x7ff42ec0,0x02ffffff,0x3fbbbb20,
    0x201eeeee,0x7c0fa85c,0x23f87e02,0x3e81363e,0x1bf05c80,0x07fc45f1,
    0x03ea0f50,0x0007d000,0x0f3001f4,0xf002e400,0x401f4003,0x00f50079,
    0x017200fa,0xd0000172,0xb05c8007,0x4ba02f8b,0x3e9720f9,0x17200fa0,
    0x2e1d71ea,0xbb05f007,0x007d0000,0xf3001f40,0x002e4000,0x01f4003f,
    0x3d4007cc,0x5c803e80,0x00005b80,0x172001f4,0x405f17cc,0x2798d73e,
    0x200fa02f,0x4e84d85c,0x1172007d,0x7d00003f,0x001f4000,0x2dc000f3,
    0x2000f980,0x00f9803e,0x07d007a8,0x0b900b90,0x66665c00,0x01ccccdf,
    0x3e6c8172,0x426d3602,0x1f403f2f,0x41f42e40,0x3000fbf9,0x00035c1f,
    0x3a0003e8,0x001e6003,0x0f700798,0xf9803e80,0xd006c800,0xb00b9007,
    0x554c0009,0xaaaadfaa,0xf8817200,0x46e405f3,0x0f8cd82f,0x17200fa0,
    0x02fe41b6,0x003e8fa0,0x40007d00,0x03e6003e,0xe803f800,0x401f4005,
    0x04e800f9,0x0b9007d0,0x800005f0,0x02e4003e,0xb80be3ee,0x9eb80fae,
    0x6401f407,0xfb81fb85,0xf9b5c003,0x07d00000,0x1001f400,0x2e03007f,
    0x003f201f,0xbf100390,0x8007e401,0x405c803e,0x02c400fa,0x5c8007d0,
    0x202fce80,0x7f105cfa,0xc803e80f,0x7dc7dd05,0xf1002bfd,0x40000b93,
    0x0fa0003e,0x9817f900,0x7f900feb,0x0017ecc1,0x2bfa2000,0x800bf260,
    0x405c803e,0x206b803e,0xaadfaaa8,0x2bb6a201,0x05ff301a,0xfd01ffcc,
    0x2b7eaa0d,0x1aedaa81,0x9ffffec4,0xbb000ffd,0x7400005f,0xaaaa9803,
    0xaaaaadea,0x3fbff200,0x5c00cfff,0x01effeff,0x2aaaaaa2,0x2aaaaaaa,
    0xdffdff70,0x37ea6003,0xaeda880a,0x555ff540,0x3fbaaaaa,0x3ffffee0,
    0xff500fff,0x7e40ffff,0x807fe202,0xfff885fc,0x7ffcc7ff,0x157306ff,
    0x07fa8000,0x55555300,0x155555bd,0x7ffffff4,0x03ffffff,0x004d5d44,
    0x400d5cc0,0xfffffffc,0x0fffffff,0x8006ae60,0x85fffff8,0x223ffffb,
    0xffffffff,0x0003efff,0x00000000,0x00000000,0x00000000,0x3ffffa00,
    0xffffffff,0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x33320000,0x00cccccc,
    0x99999950,0x66654009,0xcccccccc,0x664c0ccc,0x1bcccccc,0x66666400,
    0xcccccccc,0x3333262c,0xcccccccc,0x99930ccc,0xcc985999,0x333223cc,
    0xcccccccc,0x33333323,0x222ccccc,0x9303cccc,0x33227999,0x999303cc,
    0x66664c79,0x401bcccc,0xccccccc9,0x66402bcc,0xbccccccc,0xcfdcc802,
    0x5000cccc,0x5fbf9999,0x3333b600,0xccccdfcc,0x7764c1fc,0xefeccccc,
    0x9fb99001,0x999999fb,0x77664c9d,0xcccccccc,0xf9930fcc,0xdca8599b,
    0x333224ef,0xccccdfcc,0x333337e3,0x224ecccc,0x9304cfec,0x3f267bfb,
    0xfb9303ce,0x67ee4c7b,0x2ffecccc,0x99bf9930,0x05dff999,0x3333f732,
    0x802efecc,0x4400006b,0x9b005d9f,0x80fc0fa0,0x0ff2205c,0x01f36a80,
    0x8026c136,0x403e80f8,0x0fa005f9,0x2f9805f0,0x5d802f98,0xdb003f50,
    0xb881ae01,0x3017404f,0x035c03f9,0x0d700bf2,0xf56b8000,0x3a09b001,
    0x17203f03,0x6c007ea0,0x13601f34,0x0f88026c,0x13ea03e8,0x2f807d00,
    0x1f702740,0xd9007dc0,0x700fdc01,0x405f300d,0x207e802e,0x00fc806b,
    0x3bbbbbee,0x1f4000bc,0x209b007f,0x3203f03e,0x200bb005,0x3601f32f,
    0x22009b04,0xf703e80f,0x807d0007,0x003b202f,0x00fe20bd,0x017cc17a,
    0x036401ae,0x03f3005d,0x0fe201ae,0xcccccfb8,0xf3003fed,0x26c03641,
    0x203f03e8,0x05f1005c,0x01f30f98,0x0026c132,0x3f20fa0b,0x807d0002,
    0x003f502f,0x00db05f3,0x09f113e2,0x3a200d70,0xf1005d03,0x6c01ae03,
    0xf701ae05,0xf88b9007,0x3e826401,0x017203f0,0x335c05c8,0x2011041f,
    0x2002a84d,0x000fe43e,0x80a807d0,0x3ee003f8,0xa8003ea0,0x5c01b62f,
    0x741ae006,0x2e07b802,0x5c09b006,0x401fc806,0x0404e82f,0xc80207d0,
    0xb01ae005,0x07987cc9,0x00b909b0,0x003fb1f4,0xb0003e80,0x229d000d,
    0x8fc8003f,0x0d7000fb,0x02e83cc0,0x0d701fd4,0x35c05f10,0xf501fc40,
    0xe8001ee0,0xdb553003,0x26055555,0x7f30fc07,0x37600f95,0x005daaaa,
    0x017fa2fa,0x2000fa00,0xf98000fb,0x360006ca,0x1ae002fe,0xce80f880,
    0xfecbaaaa,0x22035c03,0x8035c06e,0x4413605d,0x07d0002f,0x3fffffa0,
    0xf981ffff,0xff98f500,0xffb007ff,0x400bffff,0x2efbeece,0x000fa000,
    0x640005f3,0x260001ff,0x035c005f,0xffd03f10,0x5fffffff,0xba886b80,
    0x035c00ef,0x03f104e8,0x3e8002ec,0x2005c800,0xf3172079,0x26c01e61,
    0xbfd002e4,0x80017ec4,0x02f4003e,0x00027c00,0xb800bfba,0x203e2006,
    0xbf75302e,0x3fffee01,0x7003ffff,0x205f300d,0xccccccfb,0xe8000fdc,
    0x005c8003,0xccee81aa,0x00910fdc,0x80172136,0x001f705e,0x7e4007d0,
    0x03e80000,0x3ee3f200,0x400d7001,0x1005d079,0x2abee0db,0x5c0019aa,
    0xd02fcc06,0xdddddddd,0x7d0007fd,0x400b9000,0xdddf104c,0xb0001fdd,
    0x74001109,0x2001b603,0x03f3003e,0x03e8006c,0x76c3f500,0x2006b800,
    0x2005d05b,0x006b81f8,0x3333d700,0x201bfb73,0x06b800f9,0xc8003e80,
    0x540ba005,0x0600f986,0x7400026c,0x000be203,0x09f1007d,0x07d001f8,
    0xe887f100,0x2006b805,0x4005d04d,0x0006b84d,0xffffff70,0x05c803df,
    0xe8003f10,0x005c8003,0x213601f7,0x207e00f9,0x3e80004d,0x3a003640,
    0xf806d803,0x0007d001,0x00fe20bd,0x07ea00d7,0x09b00174,0x2e0000d7,
    0x0009999e,0x04d800be,0x64001f40,0x202fa805,0x200f982f,0x0004d82f,
    0x0fc403e8,0xfa807d00,0xd001f801,0x00ec8007,0x06b807ea,0x0ba03f98,
    0x35c17c40,0x006b8000,0xf5001e60,0x8003e800,0x017d405c,0x01f301f3,
    0x0026c17c,0x2ec01f40,0x7c407d00,0x2003f003,0x07ea003e,0x35c03f20,
    0x5d013a60,0x2e0dd100,0x654c0006,0x402aaaaf,0x01aaeda8,0x40b3eeaa,
    0xaadfaaa9,0x3b6a200a,0xffcaaaaa,0x15fb5103,0x2aafeea2,0x2a2faaaa,
    0x1aaaadea,0xadfaa880,0x155f500a,0x6f555554,0x5f91aaaa,0x55555555,
    0x2aa603f5,0x80aaadea,0x102adfb8,0xda85bf55,0xfcaaaaaf,0x9f55104f,
    0xb7555555,0xfca981df,0x2002aaaa,0xffffffff,0x3ffee01f,0xfff306ff,
    0xff883fff,0x4fffffff,0x3ffffee0,0x200adfff,0xf92ffffb,0xffffffff,
    0x3ffe65ff,0x806fffff,0x4ffffffa,0x7cd3ffe0,0xffffffff,0xffff95ff,
    0xffffffff,0xfffff103,0xf70bffff,0xf703ffff,0x3ea3ffff,0xdfffffff,
    0x3ffee00b,0xffffffff,0xfffff02d,0x0003ffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x44000000,
    0x91004ccc,0x6664c799,0xcccccccc,0x332e1ccc,0x01cccccc,0x6666664c,
    0x0001bccc,0x336a0000,0x000006a1,0x5400d400,0x004c0000,0x00026200,
    0x100004c4,0x0cc00033,0x403d8800,0x802feec8,0x3264dfec,0xcccccdfc,
    0x2e2fcccc,0xcccdfccc,0x6fe64c01,0xdffdcccc,0x40660000,0x6fff985c,
    0x000033f2,0x017f4c00,0x75c001f4,0x001dffff,0x9fffffb3,0x7fe440ea,
    0x4400dfff,0xcffffedb,0x7fedc400,0x802b9eff,0x9b9007fa,0x05f5f00b,
    0x02f801f4,0x3e8000fa,0x001fd710,0x77ffff5c,0xff703f91,0x1ff541ff,
    0xfb100000,0x00fa001b,0x98abfd88,0x7e403fda,0xfeb989ac,0x9befa85e,
    0x203fea98,0xca89acef,0x9ff300ee,0x9ffb7315,0x20057100,0x2e01f9dc,
    0x01f405f7,0x00fa02f8,0x7c403e80,0xabfe8805,0x1fefec98,0x20bfff10,
    0x00002ffb,0x0007bf22,0x0774007d,0x3f207f50,0x262ff401,0x017dc03f,
    0xdb05f880,0x0004fa80,0x409b5c80,0x1f405f3e,0x0fa02f80,0xb803e800,
    0x037e200f,0x5c406fd8,0x0f7e4402,0x0bbee000,0xc801f400,0x41fa800e,
    0x5f8801f9,0x7dc013a2,0x20f70000,0x003e803f,0x1f55c800,0x80be1f30,
    0x4019003e,0x0fa0003e,0x6d807e20,0x017dfe40,0x3bf91000,0x03fea800,
    0x4401f400,0xb176002f,0xf725c00b,0x0003e800,0x003f20f5,0x90000011,
    0xf26c1f4b,0x0d41f405,0x8000fa00,0x207a803e,0x4bee01fa,0x9800007b,
    0x74c00cfd,0xe80000cf,0x4007a803,0x00017c7a,0x05b8009b,0x26ab2aa2,
    0x59dd107a,0x40000003,0x3f11ee5c,0xb07d017c,0x003e8009,0x9d300fa0,
    0x5f7035c0,0x00000fc4,0xd883fea8,0x200000df,0x005c803e,0x01f887c4,
    0x3ffffa00,0xffffffff,0xfffd986f,0x407fffee,0x2dffffdb,0xffffffc8,
    0xffffffff,0x645f1720,0x59d017c6,0x8009d555,0x0fa0003e,0xb0077dc4,
    0x3e0bee09,0x5c000002,0x03ff71ef,0x3fffee00,0xffffffff,0x800b90ff,
    0x001f31f8,0x55556f40,0xaaaaaaaa,0x880efd42,0x32a2007b,0x2aa20dfe,
    0xaaaaaaaa,0x22e42aaa,0x2f85f16c,0x3fffffa0,0x01f4004f,0xb999bd00,
    0x9b007fff,0x0fa07f70,0x00037bb6,0x3ee177dc,0xaa88002e,0xaadfaaaa,
    0x01aa2aaa,0x001f8f50,0x30001720,0x00f5009f,0x0002fc40,0x27e22e40,
    0x3a02f87b,0x74004d83,0x337a0003,0x000ffccc,0x103fa8b9,0x4fff983f,
    0x03fea800,0x00077f22,0x7cc01f40,0x7d1b2000,0x007d4000,0x5001f700,
    0x2e00330f,0x6400000f,0xf83edd85,0x1360fa02,0x33007d00,0x1df307d0,
    0x3ea1f500,0xf703ea03,0x74c001df,0xfb3000cf,0x3e800019,0x2600bb00,
    0x0007dc2f,0x0002f415,0x21f200b9,0x03f3005d,0x985c8000,0x202f80ff,
    0x0080883e,0x217200fa,0x01db103e,0x407f59d0,0x2ffe84f8,0x01bfb100,
    0x00ffaa00,0xf1003e80,0xd04e8809,0x1fd8801b,0x2d400fe6,0x7f4401f7,
    0xe801fd87,0x20013007,0x3e05505c,0x4c00fa02,0x3200fa07,0x37403e85,
    0x101ffcc0,0x0bff10db,0x003df910,0x00bfee00,0xf9800fa0,0x06fdc41e,
    0x4c0afe88,0xefa82ffb,0x23feb982,0x2e60aee8,0xb0aafbdf,0xfb3037ff,
    0x00df5003,0x0be00172,0x1f3003e8,0x17200fa0,0x07f100fa,0x21ceffa8,
    0xfb80efa8,0x177dc00f,0x7e440000,0x00fa001e,0xffdffb10,0x3ff2007f,
    0x00bfffef,0x3fbbff62,0xfd880cff,0xf52fffef,0x3aaee7ff,0x1dffeeff,
    0x200df300,0x02f8005c,0x07cc00fa,0x85c803e8,0x00fa803e,0xfffb19f5,
    0x7ec07fff,0x00ffa604,0x3f620000,0x003e800d,0x00357310,0x03575310,
    0x01375300,0x002aea60,0x0555d4c0,0xb9000400,0x7405f000,0x201f3003,
    0xe85c803e,0xf10bd003,0x01aba889,0x066c06f8,0x26000000,0x001c803d,
    0x00000000,0x00000000,0x00000000,0x0d576d44,0x459f5550,0xaaacfaa8,
    0xfcaaaaaa,0x5bf55530,0xb5555555,0x2b3eaa2b,0x0afe600a,0x02600003,
    0x00000000,0x00000000,0x00000000,0x00000000,0x5c000000,0x306fffff,
    0x23ffffff,0xfffffffa,0xffffffff,0xffffffb0,0xffffffff,0x3ffffeab,
    0x0ffe404f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80600000,0x00880008,0x1cda8011,0x640bbba6,
    0xeed84eee,0x3bae00de,0x131002ee,0x36000000,0xeeeeeeee,0x4c0b23ee,
    0x81000004,0xd83eeeea,0x76c0deee,0xed83eeee,0xc802eeee,0x8000b501,
    0x4064403b,0x24fffeb8,0xa80effd8,0xeffe8cee,0x019ffd30,0x644dfff3,
    0xd99503fc,0x179fd70b,0x0e7ee4c0,0x3faa5dd9,0x3a602eff,0x3b220eee,
    0x666f42df,0x3fdccccc,0x3be20bf2,0x02076400,0xefd987ea,0xbffcb81c,
    0x66776540,0xcdfccb81,0x203fa201,0x012a04fa,0x1ba209f3,0x7e44dfe4,
    0x3fd55dd3,0x9dfeec98,0xa9cfaed9,0xffffb84e,0x5c803e80,0x7a800f50,
    0xcfcbfca8,0x103fda8a,0x3ea3f999,0x3a3fb9be,0x3613e203,0x00ef983f,
    0x3f6a3ba2,0x904fa9cf,0x00fe403f,0x1ee003ea,0x2e07fa20,0x4035c05f,
    0x077444fa,0x21f7ee00,0x88df905d,0x443d44ff,0x07d05fff,0x07e20b90,
    0xe817206a,0x01f701ff,0x84fb9f88,0x7440ba19,0x2a13f605,0x3fa201ef,
    0x4ffeb9df,0x7e417dc0,0xd007d001,0x82fe8809,0x06b806fc,0x3ba29f50,
    0x07ff0000,0x01d903f1,0x220be0bd,0x200fa02b,0xf30ba05c,0x7f407d0d,
    0x100fe201,0x02005fdf,0x7f4406e8,0x201ffb85,0x02fa80ed,0x03b62fb8,
    0x7cc06b80,0x20ffe600,0x6b800efc,0x3bb3ea00,0x03fa0000,0xd82e426c,
    0x20005f04,0x205c803e,0x20ff644d,0x200fa01f,0x0ffc405d,0x0076c000,
    0x7e42ff44,0x202f882f,0xb7f7004e,0x2f88001d,0xff981760,0xe80ffd84,
    0x2a2d70be,0x1ff700fd,0x4d5d4400,0x3216e05e,0x0be09b05,0x6401f400,
    0xd7f1ae05,0x7d007cc7,0xf880b900,0x0fc80001,0x03bfe600,0x07a85ff9,
    0xff7003d4,0x41b20001,0x9ff501f8,0x301ffd88,0xfbfddff9,0x3ba205bf,
    0xffeb804f,0xfffffffe,0x5c86ffff,0x00be09b0,0x2e401f40,0x23e61f30,
    0x7d01ae6b,0xf880b900,0x0fdc0001,0x03bfa200,0x05c89ff7,0x6c4007c4,
    0xf10003fe,0x7dc0d903,0x077f443f,0x16ffe4c0,0x3ea3ba20,0x15bfd104,
    0x55556f44,0x05c82aaa,0x000be09b,0x02e401f4,0x1f8ae47e,0x803e8099,
    0x00fc405c,0x8005f500,0x7d40efe8,0x200f983f,0x8ee8806c,0xbb0003fa,
    0x7dc02f88,0x077f442f,0x202f7dc0,0x13ea0ee8,0x05e803ee,0x09b05c80,
    0x1f4000be,0x4fa02e40,0x0175362f,0x017200fa,0x260003f1,0xefd8003f,
    0xf017fd40,0x2201fc09,0x00fea0ee,0x07b83e60,0xe885ff50,0x4d7cc05f,
    0x01dd103f,0x405c89f5,0x05c8006e,0x2a0be09b,0x809b01cd,0x4ee405e8,
    0x07e3ae0f,0x0b9007d0,0x98001f88,0x361e604f,0x02ff985f,0xfb305fe4,
    0x40774403,0x4e8004f9,0xff9800fa,0xd105fd81,0x7640fdcb,0x6a87ea00,
    0x0007fe20,0x7c1360b9,0x837ffcc2,0x17fea07c,0xf88b9f50,0x803e807b,
    0x00fc405c,0xf3013a20,0xff884fc8,0x7fefd401,0x80eeefed,0x27cc05e8,
    0x07d5ea00,0x203fe600,0x40ec84fd,0x1020006d,0xdffd105f,0x417216e0,
    0xfb85f04d,0xcf880fff,0xd99f9510,0x0bfe2015,0x0fa017f6,0x3f101720,
    0xaabfe800,0x27caaaaa,0x1ee884fb,0x7b527d40,0xfd51ba23,0xf9530157,
    0x767c003b,0x1dd30004,0x81b87f90,0x5c000048,0x33bba62f,0x47fb31de,
    0x6c0aeda8,0x1167c0ad,0x7d40bfff,0xf91effef,0x407fc09f,0x3ea604fa,
    0xeda880ad,0x3ea6660a,0x81aaaaab,0xfffffff9,0x0f67ffff,0x1dc00754,
    0xff30d880,0xffd09fff,0x7dc00dff,0x3a20001f,0x0000b702,0xeffb8000,
    0xff9ad8df,0x7fdc0efe,0x17fec3ff,0x2a887ffe,0x00aba880,0xf8800000,
    0xfb85ffff,0xfff13fff,0xffffffff,0x0000000d,0x00000000,0x00000000,
    0x00000000,0x03750000,0x000005d4,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0x009801a8,0xa8000d4c,0x2600cded,0x002002cc,0x951eeed8,0x6665c399,
    0x2f7b2e20,0xfffffb80,0xffffffff,0x404c1fff,0xbbbbbbba,0x1bbbbbbb,
    0x80019930,0x50000409,0x9999839d,0x99999999,0x73017109,0x55555544,
    0xaaaaaaaa,0x8000aaaa,0x41edbdd8,0xd302feca,0x7cc5d97d,0x5f7ec6ff,
    0x7f4c2ffc,0x7d005fff,0x4bfff300,0x3f62fffc,0x2b3b60ff,0x55440fdb,
    0xaaaaaaaa,0x41faaaaa,0x7fff4c1c,0xffffffff,0xdfb85fff,0x223502fe,
    0x01764ffe,0x7ffccbe6,0x7fffffc6,0x4fffffff,0x25ff07fb,0xfffffffb,
    0xffffffff,0xd8004fff,0x6c6a34c3,0x0f883502,0x7e4bfff1,0xff10fc81,
    0x809fb317,0x7dc01ffd,0x3ffee1ff,0x401fff20,0x7c00003d,0x00001641,
    0x4fb8bee0,0xfffb97d4,0x201dd30f,0x3ffee4fa,0x3777760f,0xdddddddd,
    0x1d903d73,0x00000000,0x2d81740a,0xfff17400,0x4f881fc9,0x40ff09f5,
    0x200fc9fb,0x7fcc5ffd,0x4437fdc7,0x004daaaa,0x36a0fc00,0x3a000004,
    0xfcadf982,0x11fffea3,0x43fb81dd,0x0005fff8,0x00000000,0x3e200000,
    0x22005b00,0x99fff46b,0x7e57200f,0xf980fc81,0xfff81b62,0x2a37fc40,
    0x77fe45ff,0x00004fee,0x01a098fc,0x6c400000,0x2efc81df,0x0bf23fb0,
    0x37620d44,0xdddddddd,0xdddddddd,0x0000004d,0x0ba20000,0x7fcc02d8,
    0x897fec0f,0x7dd3602f,0x7c40fe83,0x7d42f444,0x88bff04f,0x02bea4ff,
    0xf8000099,0x449dbf91,0xcccccccc,0x3ccccccc,0x70000000,0x220006e3,
    0xcccccccc,0xcccccccc,0x00003ccc,0xd3000000,0x3002d805,0x07fe41d9,
    0x4cbe60bd,0x217ee1ef,0xc87f305e,0x09fd00ff,0xd81f47ff,0x0fc00004,
    0xddd88131,0xdddddddd,0x0004dddd,0x00000000,0x00000000,0x40000000,
    0x02d801ea,0x8ff726c0,0xbd711df9,0xfffeffb8,0xf7007e40,0xfb027f43,
    0x6e43fd07,0x0037fa60,0x0001f800,0x00000000,0x00000000,0x00000000,
    0x76400000,0x8005b000,0x261fea5b,0x104ffffe,0xf981bff7,0xff16c801,
    0x6407dc01,0x3fbf620f,0x002ffdad,0x00001b00,0x00000000,0x00000000,
    0x00000000,0x13620000,0x4416c026,0xf107c40a,0x004d4c0b,0x41000400,
    0x0200801c,0x00000544,0x00000000,0x00000000,0x00000000,0x00000000,
    0xddddf900,0x7f7647fd,0x3bf22eee,0x00a82edc,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x98800000,0x20999999,
    0x01999998,0x00000153,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__courier_37_latin1_x[224]={ 0,7,4,2,3,2,4,7,9,4,0,2,4,2,
7,3,3,3,2,3,3,3,4,3,3,4,7,4,0,1,0,0,3,0,1,2,2,1,2,2,1,3,2,1,
2,0,0,0,2,1,1,2,2,1,0,0,1,1,3,0,0,0,3,1,7,2,0,2,2,2,3,1,1,3,
2,3,2,0,1,2,0,2,2,3,2,1,0,0,1,2,3,0,9,0,2,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,7,3,1,3,1,
9,2,5,0,0,0,0,2,0,-1,5,2,5,5,7,1,2,7,7,5,4,2,0,0,0,0,0,0,0,0,
0,0,0,2,1,1,1,1,3,3,3,3,-1,0,0,0,0,0,0,4,1,1,1,1,1,1,2,1,2,2,
2,2,2,2,0,2,2,2,2,2,2,2,2,2,2,1,2,2,2,2,2,2,1,1,1,1,1,2,0,2,
 };
static signed short stb__courier_37_latin1_y[224]={ 27,6,7,5,5,6,9,6,6,6,6,9,22,16,
23,4,6,6,6,6,6,6,6,6,6,6,13,13,9,14,9,7,6,8,8,7,8,8,8,7,8,8,8,8,
8,8,8,7,8,7,8,7,8,8,8,8,8,8,8,6,4,6,6,34,5,12,6,12,6,12,6,12,6,6,
6,6,6,12,12,12,12,12,12,12,8,13,13,13,13,13,13,6,6,6,15,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,27,12,5,7,10,8,
6,6,7,7,6,13,17,16,7,4,3,7,6,6,5,13,6,14,26,6,6,13,6,6,6,12,1,1,1,3,
3,1,8,7,1,1,1,3,1,1,1,3,8,3,1,1,1,3,3,12,7,1,1,1,3,1,8,6,5,5,
6,7,7,5,12,12,5,5,6,7,5,5,6,7,7,7,5,5,6,7,7,10,11,5,5,6,7,5,6,7,
 };
static unsigned short stb__courier_37_latin1_w[224]={ 0,5,12,15,13,15,13,5,7,7,13,16,8,15,
6,13,13,13,14,14,13,14,13,13,13,13,6,9,16,18,16,12,13,20,17,16,17,17,17,17,18,13,18,18,
16,20,19,17,16,17,19,15,16,18,20,19,18,17,14,6,13,6,13,20,6,16,18,16,18,16,15,18,18,14,
12,16,15,20,17,16,18,18,16,14,16,17,19,19,18,17,14,7,2,7,15,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,5,13,17,14,17,
2,16,10,20,11,16,18,15,20,22,10,16,9,9,6,17,16,6,6,9,11,17,20,20,20,12,20,20,20,20,
20,20,20,16,17,17,17,17,13,13,13,13,19,19,17,17,17,17,17,12,18,18,18,18,18,17,16,16,16,16,
16,16,16,16,20,16,16,16,16,16,15,15,15,15,16,17,16,16,16,16,16,16,17,17,17,17,17,17,18,17,
 };
static unsigned short stb__courier_37_latin1_h[224]={ 0,22,10,25,26,22,19,11,26,26,13,17,10,3,
5,26,22,21,21,22,21,22,22,22,22,22,15,18,17,7,17,21,24,19,19,21,19,19,19,21,19,19,20,19,
19,19,19,21,19,24,19,21,19,20,19,19,19,19,19,26,26,26,10,2,6,16,22,16,22,16,21,22,21,21,
28,21,21,15,15,16,22,22,15,16,20,15,14,15,14,21,14,26,26,26,6,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,22,22,20,14,19,
26,24,3,21,10,14,9,3,21,2,10,20,12,12,6,21,24,6,7,12,10,14,21,21,21,22,26,26,26,24,
24,26,19,26,26,26,26,24,26,26,26,24,19,24,27,27,27,25,25,12,22,27,27,27,25,26,19,22,23,23,
22,21,21,23,16,21,23,23,22,21,22,22,21,20,21,20,23,23,22,21,21,16,18,23,23,22,21,29,28,27,
 };
static unsigned short stb__courier_37_latin1_s[224]={ 251,140,83,239,202,1,218,31,142,194,227,
139,74,197,190,216,63,242,144,146,159,77,92,106,120,134,43,95,122,134,105,
173,134,18,218,202,200,22,97,74,199,134,86,115,40,1,159,56,236,116,57,
219,39,50,232,179,181,163,148,168,225,64,60,224,176,207,148,173,186,190,186,
167,92,111,19,235,1,22,88,156,1,205,106,224,33,50,190,68,171,126,123,
186,180,217,153,38,38,38,38,38,38,38,38,38,38,38,38,38,38,38,38,
38,38,38,38,38,38,38,38,38,38,38,38,38,38,38,38,38,251,246,224,
123,156,141,183,148,213,93,96,210,108,197,17,197,49,69,1,21,183,75,199,
169,127,11,37,138,37,221,114,17,230,1,22,56,77,43,76,71,88,106,150,
98,175,189,203,165,56,179,69,87,105,19,1,241,121,142,161,123,37,124,1,
196,1,36,46,169,58,104,1,238,87,70,229,20,30,213,1,17,135,105,216,
53,179,152,186,239,77,18,233,161,203,1,32,51, };
static unsigned short stb__courier_37_latin1_t[224]={ 1,84,255,31,1,108,176,255,31,1,238,
218,255,255,255,1,108,131,154,84,154,108,108,108,108,108,238,218,218,255,218,
154,58,198,198,154,198,218,198,154,176,198,176,198,218,218,176,154,198,58,218,
154,198,176,176,176,198,198,198,31,31,31,255,255,255,218,108,218,108,218,154,
108,154,154,1,154,176,238,238,218,131,108,238,218,176,238,238,238,238,154,238,
1,1,31,255,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,
154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,1,84,108,
176,238,176,1,58,255,131,255,238,255,255,154,259,255,176,255,255,255,131,58,
255,255,255,255,238,131,131,131,108,1,31,31,58,58,31,198,31,31,31,31,
58,31,31,31,58,198,58,1,1,1,58,58,238,84,1,1,1,58,31,198,
84,84,84,108,131,131,84,238,108,84,84,84,131,108,84,154,176,131,176,58,
84,84,131,131,218,218,84,58,84,131,1,1,1, };
static unsigned short stb__courier_37_latin1_a[224]={ 314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_37_latin1_BITMAP_HEIGHT or STB_FONT_courier_37_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_37_latin1(stb_fontchar font[STB_FONT_courier_37_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_courier_37_latin1_BITMAP_HEIGHT][STB_FONT_courier_37_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_37_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_37_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_37_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_37_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_37_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_37_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_37_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__courier_37_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__courier_37_latin1_s[i] + stb__courier_37_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__courier_37_latin1_t[i] + stb__courier_37_latin1_h[i]) * recip_height;
            font[i].x0 = stb__courier_37_latin1_x[i];
            font[i].y0 = stb__courier_37_latin1_y[i];
            font[i].x1 = stb__courier_37_latin1_x[i] + stb__courier_37_latin1_w[i];
            font[i].y1 = stb__courier_37_latin1_y[i] + stb__courier_37_latin1_h[i];
            font[i].advance_int = (stb__courier_37_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__courier_37_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_37_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_37_latin1_s[i] + stb__courier_37_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_37_latin1_t[i] + stb__courier_37_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_37_latin1_x[i] - 0.5f;
            font[i].y0f = stb__courier_37_latin1_y[i] - 0.5f;
            font[i].x1f = stb__courier_37_latin1_x[i] + stb__courier_37_latin1_w[i] + 0.5f;
            font[i].y1f = stb__courier_37_latin1_y[i] + stb__courier_37_latin1_h[i] + 0.5f;
            font[i].advance = stb__courier_37_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_37_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_37_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_37_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_37_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_37_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_37_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_37_latin1_LINE_SPACING
#endif

