// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_39_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_39_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_39_latin1_BITMAP_WIDTH         256
#define STB_FONT_courier_39_latin1_BITMAP_HEIGHT        292
#define STB_FONT_courier_39_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_courier_39_latin1_FIRST_CHAR            32
#define STB_FONT_courier_39_latin1_NUM_CHARS            224

#define STB_FONT_courier_39_latin1_LINE_SPACING          18

static unsigned int stb__courier_39_latin1_pixels[]={
    0x00011000,0x000003d9,0x2b80dc40,0x00025400,0x40005980,0x06000018,
    0x000b6000,0x00059000,0x26000000,0x04400005,0xfa800000,0x22fd8003,
    0x0007fff8,0x7cc3fdc0,0x3be6001f,0x3ea00000,0x3fa60005,0x7f440003,
    0x1fe40004,0x7f440000,0x0f33cc01,0x007d3ed4,0x400007a8,0x9fffff5d,
    0x017ffffa,0xb0004fb8,0x07ca985f,0x42fcc000,0xf98006e8,0xfb80000e,
    0x37ee0004,0xa8000dfb,0x000efbef,0x00013ee0,0xa801ee98,0x67d41ea7,
    0xa8007f21,0x3e200007,0x215559f2,0x005daaa9,0x640007f9,0x000f501e,
    0x40000000,0x20001fe8,0xb10003fc,0x00f7cc7f,0x7f449f90,0x17ea0002,
    0x03be6000,0x20f53d40,0x805f884d,0x8befffeb,0x7cd90003,0xb00b9002,
    0x8000005f,0x0000007a,0x3ec40000,0x002fb800,0x36207f60,0x02fb800f,
    0x4c0003f9,0x3e20004f,0xf53d4005,0x3f603f10,0x37dfd101,0x000fffd7,
    0x8017c7f1,0x00ec405c,0x03d40000,0x00000000,0x11000180,0x40098000,
    0x18011001,0x00088000,0x3d4000c0,0x203f10f5,0x03fb04fa,0x32001fe2,
    0x5c8017c7,0x00000000,0x910001ea,0x65407999,0x00001ccc,0x00000000,
    0x00000000,0x00000000,0x887a9ea0,0x103fa01f,0x007a809f,0x00be1fc4,
    0x200002e4,0xccccccca,0x227a83cc,0x01bdffdb,0x01bddfd3,0x80fbfbb2,
    0x01befeca,0xbefeca80,0xfeca8001,0x664c01be,0x6540cccc,0x930ccccc,
    0xa8199999,0x30cccccc,0x81999999,0x0cccccca,0x7c43d4f5,0xf50fee01,
    0xb8003001,0xc8017c0f,0x03cccc8d,0x6473332a,0xeeeeeeee,0xff37a86e,
    0x09fd9579,0x1f7002f4,0x5d5efec0,0xfb000efd,0x1dfb757b,0x2af7f600,
    0xb300efdb,0xa83bddfd,0x30defeee,0x83bddfdb,0x0defeeea,0x3bddfdb3,
    0xdefeeea8,0x443d4f50,0x51be201f,0xf000005f,0x32005f09,0x0deefe9d,
    0x07dfdd90,0x57d43640,0x09f700cf,0x274007ea,0xd101fe88,0x0ff4401d,
    0x2200ee88,0x1dd101fe,0xf3003dc0,0x9801ee01,0x400f700f,0xf53d40f9,
    0xff803f10,0x0001be21,0x05f01f50,0x005e9720,0xd90003ee,0x3007ff50,
    0x2017a07f,0x01dd00fa,0x07740bb0,0x1dd02ec0,0x3dc0bb00,0x2e01f300,
    0x403e6007,0x03e6007b,0x7cc3d4f5,0x2a17f401,0x80001bef,0x2005f04e,
    0x4007ea5c,0x86c8004e,0x1f2006fa,0x13a00fd4,0x9f000fd4,0x7c003f50,
    0x2001fa84,0x400f704f,0x00f700f9,0x07b807cc,0x0f503e60,0xfd801f70,
    0xdfffc883,0x0fd4001b,0x8b9002f8,0x00fa805e,0x2fa86c80,0x7407e200,
    0x2203ea05,0x07dc004f,0xfb8009f1,0x70013e20,0x400f701f,0x00f700f9,
    0x07b807cc,0x0f503e60,0xfc805fa8,0x7f65c404,0x40bd000d,0xa8b9002f,
    0x0027401f,0x00fa86c8,0x0fa81f40,0x03ea09d0,0x0fa8ba00,0x3ea2e800,
    0xb82e8000,0x403e6007,0x03e6007b,0x1f3003dc,0x1bfa07a8,0x2002fd40,
    0x7cc00ee9,0x6400be01,0x3ea05e85,0x50d90000,0x409d000f,0x900fa84e,
    0xc932000d,0x64990006,0x70990006,0x807cc00f,0x03e6007b,0x1f3003dc,
    0x3f6607a8,0x004fb803,0x36c02f88,0x2e400be0,0x04e807d4,0x3ea1b200,
    0x501fc001,0x3604e81f,0x6cd70005,0x6cd70005,0x70d70005,0x807cc00f,
    0x03e6007b,0x1f3003dc,0x07c807a8,0xb0003fc8,0x2017cc09,0x20b9002f,
    0x000fa84e,0x0fea1b20,0x7401f980,0x3e803ea4,0x1f4f5000,0x0fa7a800,
    0x3dc3d400,0x2e01f300,0x403e6007,0x03e6007b,0x7cc2ccf5,0x1d17ec01,
    0x6d817600,0xb9002f80,0x09d03ea0,0xfa86c800,0x00dd000f,0xf017a1f5,
    0x43e60007,0x1f30003f,0x7cc000fe,0xf3003dc0,0x9801ee01,0x400f700f,
    0xf53d40f9,0xff803f10,0xf1009f11,0x200be207,0x40b9002f,0x0003ea4e,
    0xddf50d90,0x001fc801,0xd803f59d,0x6cf50004,0x6cf50004,0x70f50004,
    0x807cc00f,0x03e6007b,0x1f3003dc,0x221ea7a8,0x89fe201f,0x1ba203ff,
    0x05f007c8,0x0fa81720,0xd90000bd,0x15fd1f50,0x2002fe98,0x5c805efa,
    0x2e4b9000,0x1725c800,0x3dc2e400,0x2e01f300,0x403e6007,0x03e6007b,
    0x7c43d4f5,0xf893ea01,0xcaabdffd,0x07f101ef,0x2e400be0,0x007eb3a0,
    0x9ea1b200,0xeffeeffd,0x01fe8000,0x7b0006b8,0x3d80035c,0x1ec001ae,
    0x1f3003dc,0xf9801ee0,0x4c00f700,0x0f53d40f,0x07ec03f1,0x3ffb2232,
    0x07dc03df,0xb9002f80,0x005efa80,0x0f50d900,0x00035973,0x2f9802f4,
    0xf30fcc00,0x21f98005,0x7cc002f9,0x7000f981,0x8007cc0f,0x003e607b,
    0xf53d43dc,0x3e203f10,0x400f5005,0x00be004f,0x0ff402e4,0xa86c8000,
    0x26000007,0x01b2001f,0x00d90db0,0x006c86d8,0x005f036c,0x005f01ba,
    0x005f01ba,0x7a9ea1ba,0x5f901f88,0x5c01ea00,0x00be000f,0x02f402e4,
    0xf50bb000,0x2ec00000,0x4013e200,0x04f881fa,0x9f103f50,0xc807ea00,
    0x403f8806,0x03f8806c,0x1fc40364,0x3a0f53d4,0x2006f883,0x009d007a,
    0x0b9002f8,0x00001f98,0x00f507f1,0x007e6000,0xf5013ee0,0x2027dc05,
    0x13ee02fa,0xf9805f50,0x201be604,0x1be604f9,0xf9813e60,0x83d4f506,
    0x017dc2fa,0x1f500f50,0x9002f800,0x0005d80b,0x1ea07ee0,0x02ec0000,
    0x215df500,0xa803fc98,0xf9310aef,0x15df5007,0x400ff262,0x3ea21ef9,
    0x3df3001f,0x800ffd44,0x3ea21ef9,0x3d4f501f,0x02f4ffb0,0x17a01ea0,
    0x3ffffe00,0x0bffffd4,0x40000fcc,0x0f503fda,0xffff9800,0x002fffff,
    0xfffffe88,0x3fa2002c,0x002cffff,0x3fffffa2,0x7f4c002c,0x000dffff,
    0x7fffff4c,0x7f4c000d,0x400dffff,0x186200c1,0x1b001000,0x55555000,
    0x0aaaaa61,0x7ec005d8,0x42ffffff,0xffffffe8,0x2aa2001e,0x0aaaaaaa,
    0x06e62000,0x03731000,0x01b98800,0x0aba8800,0x55d44000,0x5d440000,
    0x0000000a,0x00000000,0x7fcc0000,0x2fffffff,0xaaaaaa80,0x2aaaaa01,
    0x00000aaa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x55555510,0x00001555,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x70000000,0x40000007,
    0x2880003b,0x75c40000,0x0000000b,0x00032600,0x00036600,0x20000e20,
    0x00001001,0x20000326,0x00000059,0x02fd4000,0x1fe40000,0x13fa6000,
    0xb8be8000,0x75cc0006,0x0710cdff,0x0001df10,0x00037cc0,0x100037cc,
    0x07d009fd,0x01df1000,0xe82fd400,0x07f6003e,0x2a000ff2,0x000000ef,
    0xa80005fb,0x000efadf,0x00762540,0x2af7fe20,0x07baffca,0x0003fd10,
    0x0000bf50,0x20001bf5,0x00efbefa,0x440001f2,0xfb8001fe,0x00bf2604,
    0x27f41ffc,0x00ef9800,0x07fa2000,0x449f9000,0x2a0002fe,0x220016c4,
    0x3fee00de,0x0bf62007,0x004fc800,0x0005fb80,0x2fe893f2,0x00007f10,
    0xc800bf62,0x00b7003f,0x005c40e6,0x000dd100,0x000076c0,0x0fe40bf2,
    0xd515d000,0x005e8800,0xf9000ff7,0x07f50001,0x009f5000,0xfc817dc0,
    0x0000d901,0xfb800fc8,0x003e6002,0x18000000,0x00020000,0x00200440,
    0x019f9300,0x2000fd80,0x0030007e,0x40000220,0x04400018,0x02f88060,
    0x8800c000,0x00fc4000,0x00000000,0x00000000,0x00000000,0x2001fc00,
    0x0000006a,0x00000000,0x6d800000,0x00000000,0x4007e200,0x01befeca,
    0x33333260,0x930002cc,0x05999999,0x33332600,0x30002ccc,0x59999999,
    0x0003cc00,0x6666664c,0xcccccccc,0x3333260c,0xcccccccc,0x33220ccc,
    0x99500ccc,0x33326799,0xcccccccc,0xf980cccc,0x33332001,0xcccccccc,
    0x33333322,0x42cccccc,0xdfd801f8,0x00efdbab,0xfeeeed98,0xdb30006e,
    0x00ddfddd,0x3bbbb660,0xb30006ef,0x0ddfdddd,0x40002e40,0xeeeffed9,
    0xfeeeeeee,0x3bffb661,0xeeeeeeee,0x3fb621fe,0xffd501de,0x3ffb667d,
    0xeeeeeeee,0x0bd01fee,0x77777640,0x23eeeeef,0xefeeeeec,0x7c43eeee,
    0x407fa201,0xd8000ee8,0x00001f8d,0x0003f1bb,0x007e3760,0x0fc6ec00,
    0x00004e80,0x1f8802e4,0x3e200b90,0xd004f881,0x8802e40b,0x003f501f,
    0xa8003d40,0x403f1007,0x05d800ee,0x05d97c40,0xbb2f8800,0x25f10000,
    0xf880005d,0x0fa00bb2,0x00b90000,0x02e407e2,0x3f501f88,0x3200fc80,
    0x403f1005,0x1ea0005e,0x8803d400,0x003f501f,0x4f70027c,0x5c0000fa,
    0x00003ea7,0x0007d4f7,0x00fa9ee0,0x400003e8,0x03f1005c,0x0fc40172,
    0x17cc0db0,0x7c401720,0x0003ea01,0x7a8003d4,0x3e20fe00,0x007dc004,
    0x00fe24e8,0x1fc49d00,0xf893a000,0x12740003,0x009d007f,0x1005c800,
    0x4017201f,0x13e200f8,0x02e402f4,0x27400f88,0x0007a800,0x1fe400f5,
    0x3a0003ea,0x641f8802,0x07e20006,0x7c4000d9,0x10003641,0xd806c83f,
    0x2e400005,0x82e40028,0x83f50002,0x05c800fb,0x03ee0005,0x4001ea00,
    0x3ff4007a,0x132000d9,0x07e61ae0,0x7cc35c00,0x30d70001,0x1ae0003f,
    0x0f9007e6,0x885c8000,0x2172000f,0xdb0000f8,0x5c801fcc,0xf0000f88,
    0x00f50007,0xfa801ea0,0x4001761d,0xd03e806b,0x40fa0009,0x07d0004e,
    0x1f40013a,0x0fcc04e8,0x30b90000,0x42e4003f,0xf10001f9,0x5c8017a7,
    0x70001f98,0x00f5000f,0x4f801ea0,0xf50003e8,0xf700f980,0x201f3000,
    0x0f98007b,0xf3000f70,0x3601ee01,0xc8098006,0x1fffffff,0x3ffff200,
    0x20001fff,0x2000fcfb,0xfffffffc,0x07f10001,0x50007a80,0x20be200f,
    0x1f30003f,0x5f103640,0x2206c800,0x0364002f,0x6c8005f1,0xf100be20,
    0x417dc009,0xfdccccec,0x333b2001,0x0001fdcc,0x32001fec,0x1fdcccce,
    0x001b2000,0x1ea000f5,0x26c0fc40,0x7c07a800,0x2002ec03,0x002ec03f,
    0x00bb00fe,0x02ec03f8,0x32006fcc,0xf30b904f,0x4c2e4003,0x7d40001f,
    0x4c2e4000,0x3e20001f,0x001ea002,0x1f8803d4,0xb90005c8,0x7ffffd40,
    0x00ffffff,0xffffff50,0x001fffff,0x3fffffea,0x000fffff,0xfffffff5,
    0x5001ffff,0x6dc437df,0x2217202f,0x2172000f,0x540000f8,0x885c8007,
    0x36c0000f,0x2000f500,0x03f1007a,0x0f6000d7,0xaaaaadd8,0x003faaaa,
    0x555555bb,0x2007f555,0xaaaaaadd,0xb003faaa,0x5555555b,0x22007f55,
    0xdffffffc,0x1002e400,0x88017205,0x001ea002,0x02880172,0x5400be60,
    0x00f50007,0x0be607e2,0x2203f300,0x00d9001f,0x1b2003f1,0x64007e20,
    0x001f8806,0x7f3000d9,0x002e4003,0x801720f5,0x01ea007a,0x7a801720,
    0xa8036c00,0x00f50007,0x036407e2,0x07b81b60,0xf7007e60,0x200fcc00,
    0x07e6007b,0x7cc00f70,0x80078001,0x41ea005c,0x01ea005c,0x5c8007a8,
    0x3001ea00,0x00f5003f,0x7c401ea0,0x2009f101,0x013a01fa,0x04e809d0,
    0x13a02740,0x4e809d00,0x40027400,0x172002ee,0x0b907a80,0xf5003d40,
    0x400b9000,0x05e8007a,0xf50007a8,0xf701ee00,0x202fa809,0x3dc001f9,
    0xb8003f30,0x0007e607,0x00fcc0f7,0x4c001ee0,0x80172006,0x400b907a,
    0x01ea007a,0x7a801720,0x400fa800,0x0f50007a,0xf5009d50,0x3f26215d,
    0x55fb5103,0x7dd54405,0x2bf6a22b,0x2eaa202a,0x3f6a22bf,0x2aa202aa,
    0x36a22bfb,0x2a202aaf,0x4c02bfba,0x4403dbdf,0xaaaaeeaa,0x7caaaaaa,
    0x2abbaaa2,0xaaaaaaaa,0x2aaa607c,0x80aaabfc,0xaaaeeaa8,0xcaaaaaaa,
    0x549d0007,0xaafcaaaa,0x2aaa1aaa,0xaaaafcaa,0x0019fd1a,0x3fffffa2,
    0x3ffee02c,0xff701fff,0x3ee3ffff,0x701fffff,0x23ffffff,0x1ffffffb,
    0xffffff70,0x3ffffee3,0xffff701f,0xca8803ff,0xffffa801,0xffffffff,
    0x3fea7fff,0xffffffff,0x207fffff,0xfffffffd,0xfffa83ff,0xffffffff,
    0x0007ffff,0x7ffff4b3,0x4fffffff,0x3ffffffa,0x134fffff,0x06e62000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00c00000,0x00000000,0x0000336a,
    0x00000000,0x000e0540,0x00000000,0x0057b950,0x2e200000,0x0000002d,
    0x0017b500,0x10005cc0,0x7cc009fd,0x2006f885,0xffbfd05c,0x001f9117,
    0x1677fedc,0xf10bf300,0xf31f400d,0x903fb001,0x2fcc007f,0xfd1037c4,
    0x2009ffbd,0xffffffd9,0xeefa805f,0x009d51df,0x3ffffb26,0xe885ffff,
    0xf913ffdf,0x4013fa00,0x00efbefa,0xff987fb8,0xa83f9801,0xffff911d,
    0x37fa2007,0x004fecab,0x3ff30ff7,0x07a8be00,0x9fd07ff0,0x4c3fdc00,
    0x0df880ff,0xd5017ee2,0x20166017,0x3fbfa63e,0x67f4c00d,0x6d4078f1,
    0x5ffff911,0x2013fe00,0x0bfa24fc,0x015406e0,0x22000fe8,0xdf5001bb,
    0x003be601,0x0015406e,0x9803dc5f,0x80017103,0x3605501b,0xf803ee06,
    0x0002cc01,0xff300595,0x8003c783,0x3e001bb9,0x817dc04f,0x000001fd,
    0x00004fa8,0x4402fc40,0x0000005e,0x006b87e2,0x00000000,0x7f1017cc,
    0x16601a60,0x7ec00000,0x0003c785,0x013fa000,0x00018011,0x803fb000,
    0x01befeca,0x7cc00d90,0x30000002,0x0003643f,0x20000000,0x305d805d,
    0x3320200d,0x332a02cc,0x3fe0cccc,0x2603c781,0x2ccccccc,0x001ff400,
    0x66664c00,0x666540cc,0x1be20ccc,0xb757bfb0,0x17cc01df,0xcc99b600,
    0xcccccccc,0x200ccccc,0x201720f9,0xccccccc9,0x66664002,0xcccccccc,
    0x1b200fe2,0xd88002f8,0xb500ffee,0x221bdfdd,0x4078f06f,0xefeeeed9,
    0x01fec006,0x99999999,0x36659999,0x541deefe,0x20defeee,0x3fd102fb,
    0x6403ba20,0x32f98006,0xddddffdb,0x3fdddddd,0x0bb07d40,0xfddddb30,
    0xeec800dd,0xeeeefeee,0x4c05f13e,0x77ed46da,0x3ea0003f,0x41f8805e,
    0x078f07f8,0x01f8dd80,0xec80bf60,0xeeefeeee,0x003dc3ee,0x40fd01f3,
    0x05d800ee,0x0fa0009d,0x0fc40172,0x004e8f50,0x003f1bb0,0x7cc07a80,
    0x6fffea80,0x0de887a2,0x1fafa800,0x7f40fc40,0x2003c781,0x400bb2f8,
    0x3d4002fc,0x26007b80,0xa837cc0f,0x213e001f,0x0bb0002f,0x07e200b9,
    0xdddfdddb,0x003dddff,0x001765f1,0x87a80f50,0x5cd90cfb,0x8007f704,
    0xf880db7a,0x3c0efb81,0x54f7001e,0x03f9000f,0xf7007a80,0x2e07cc00,
    0x004f885f,0x03f107dc,0x1721b200,0x32e0fc40,0xdfcccfec,0x7b800ccc,
    0xa80003ea,0x3e63d407,0x40d13645,0xf5002ed8,0x1f880fe2,0x23c3df70,
    0xf1274007,0x007f2007,0x1ee00f50,0x7e40f980,0x8000fa84,0x0007e62e,
    0x802e435c,0xf17200f8,0x449d0005,0x1ea0003f,0x41fb8f50,0x2602e46c,
    0x93d400de,0x807e201f,0x3c7dffd9,0x6c83f100,0x8001f700,0x00f7007a,
    0x0ff607cc,0x264001b2,0x320005f1,0x00505c85,0x017c4bb0,0x0d907e20,
    0x2a03d400,0x43643647,0x17dc01ec,0x104e8f50,0x1ea6003f,0x4c35c00f,
    0x00fb801f,0x7b803d40,0xfb03e600,0x2000bb05,0x8001fc6b,0xf885c84e,
    0xf126c000,0x986b8003,0x0f50001f,0x207dc7a8,0x019d506c,0x47a817cc,
    0x01f881fa,0xe801e3c0,0xf5009d03,0x007a8001,0x07cc00f7,0x00fa0bf6,
    0x01363d40,0x42e41fc0,0x274001f9,0x3e8003f3,0x2a0009d0,0x3e23d407,
    0xf901b20d,0x7a834c05,0x01f886d8,0x4c01e3c0,0x100f700f,0x00f50007,
    0x0f9801ee,0x01fc27e4,0x3ea0f980,0x40fdc000,0xfffffffc,0x7fffe401,
    0xffffffff,0xb807cc04,0x80f50007,0x6ffd40fa,0x6cc00eec,0xf501d01e,
    0x1f885f30,0x401e3c00,0x00be206c,0x803d4000,0x03e6007b,0x009b0bf7,
    0x017a1ea0,0x33b209f0,0x401fdccc,0xaacfaaa9,0x400aaafc,0x00be206c,
    0x3f301ea0,0x5fddd910,0xb50fea00,0x07e41ea0,0x478003f1,0xd807f007,
    0xf5000005,0x9801ee00,0x6437d40f,0x70b90005,0x03f2003f,0x00fcc2e4,
    0x007b8be0,0x017601fc,0x5f101ea0,0x36200000,0xf500dfed,0x1f893e20,
    0x201e3c00,0xfffffffa,0x0000ffff,0xf7007a80,0x2207cc00,0x0006b87f,
    0x00ff207b,0x42e405f9,0x3e2000f8,0xfa801ae1,0xffffffff,0x3d4000ff,
    0x00002740,0x1ea01360,0x03f11fa8,0x6c03c780,0xaaaaaaad,0x00003faa,
    0x0f7007a8,0x7e407cc0,0x20017cc1,0x33f201f9,0x05fb5109,0x0a2005c8,
    0x00d90fc4,0x555556ec,0x003faaaa,0x07dc03d4,0x0d300000,0x15e80f50,
    0x3c78003f,0x64007e20,0x009fb106,0x1f3007a8,0x7cc1ee00,0x6c006c84,
    0xfffea806,0x5c800eff,0x7cc1ea00,0x7c401720,0x800d9001,0x04f8807a,
    0x78806880,0x7cc07a80,0x3c001f8a,0x400f701e,0xfffc81f9,0x801ea001,
    0x40dd002f,0x027c40fe,0x3a001fa8,0x32000acf,0x541ea005,0x5c01760f,
    0x007e6007,0x7f7007a8,0x01e20dc0,0x01ea016e,0x0007e7b2,0x0274078f,
    0x3fee13a0,0x01ea000f,0x3f8806c8,0x3ee0fee0,0x8017d404,0x1019bfe8,
    0x5400b903,0x04d8f507,0x4e8009d0,0xc801ea00,0xfeba9bdf,0xd9103c41,
    0x100f5001,0x78003fbf,0x003f303c,0x017307b8,0x26007a80,0x01be604f,
    0x577d41fe,0x007f9310,0x3fffffea,0x85fdbcef,0x41ea005c,0x4c02747b,
    0x03dc001f,0xea800f50,0x880cffff,0xfeeeeeef,0x7e54401d,0xff700aaa,
    0x77774403,0x29ddf74f,0x02aafda8,0x0afeeaa2,0x003d4000,0xfa887be6,
    0x02fb801f,0x9fffffd1,0x5676c005,0xdfeca999,0x2bbaaa22,0xaaaaaaaa,
    0xe8d507ca,0x2bf6a202,0x2eaa202a,0x555542bf,0xaaaaafca,0x33001801,
    0x40033333,0x2ffffffa,0x31007fa0,0x26621333,0xfffff709,0x3ffee03f,
    0x54001fff,0xaafcaaaa,0x3a601aaa,0x00dfffff,0x73101760,0x00000003,
    0xfffffff5,0xffffffff,0x7002040f,0x03ffffff,0x3fffffee,0x3fffffa1,
    0x04ffffff,0x00000000,0x00000000,0x00000000,0xffffffe8,0x804fffff,
    0x8000aba8,0x00000018,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x02200060,0x00000000,
    0x01100000,0x00022000,0x91000000,0x2000017d,0x00088001,0x00003000,
    0x00000006,0x00d65d44,0x0003f600,0x400005f5,0x000000ea,0x3ea00f98,
    0x2fa80002,0x01d50000,0x326ba200,0x0fd80005,0x0017d400,0x0003f600,
    0x20001fb0,0x2e2000ea,0x0dffefff,0x017ec400,0x0003fc80,0x002fefc8,
    0x5bdffb70,0x7e403744,0x4fc80003,0x7f7e4000,0x743b8002,0x5fd10000,
    0x013f2000,0x00bf6200,0x002fd880,0x005fdf90,0xe9817fd1,0x3fd1000f,
    0x04fb8000,0x325fd100,0x3fa2004f,0x8dfdbabd,0x9f7000fd,0x0bf70000,
    0x325fd100,0x21dc004f,0xee88000e,0x2fdc0001,0x03fd1000,0x00ff4400,
    0xfc97f440,0x10076404,0x1df300df,0x17ea0000,0xa81df300,0x77d400ef,
    0x03fff500,0x0005fa80,0x26005fa8,0x077d40ef,0x0b71e880,0x001df300,
    0x0017ea00,0x80003be6,0x98000ef9,0x077d40ef,0x007f2000,0x80000193,
    0x02540059,0x2fc401b1,0x80037d40,0x980000d9,0x4097000d,0x366000d9,
    0x4a8000cf,0x0d980000,0x00064c00,0x400032a0,0x0036604b,0x0005f100,
    0x00000000,0x806c8000,0x0002fdf8,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00003f30,0x00000000,0x4017cc00,0x0006c8ee,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x665c4fb0,
    0x59997103,0x9dfdb700,0x1e65c405,0x82cccb88,0x30fc806c,0x3b2e205f,
    0x2201deff,0x97103ccb,0xdb700599,0x220059df,0x1deffecb,0x77f6dc00,
    0x3b26002c,0x2001ceff,0x1ceffec9,0xffd97100,0x64c003bd,0x001ceffe,
    0x3a63fa80,0xddd305fe,0x6ff4c09f,0x80dfecab,0xd305fee9,0x09d09fdd,
    0x41f42fb8,0xdbacdffc,0xfdd303ff,0x3fbba60b,0x2f7fa604,0x200dfeca,
    0xdbacdffc,0xfe9803ff,0x0dfecabd,0x55e77dc0,0xfb804fec,0x4fecabce,
    0x566ffe40,0xb803ffdb,0xfecabcef,0x7e554004,0x4017203f,0x01bf504e,
    0x5c803fa6,0x05f09d00,0x42ec27cc,0x00fe4029,0x82740172,0xfd300dfa,
    0xf900a601,0x806fd403,0x5fd00fe9,0xfd037540,0x30375405,0x201fc805,
    0x1baa02fe,0x1ffffcc0,0x27401720,0x744027c4,0x74017205,0xe880fc44,
    0x2000d905,0x02e404f8,0x04f884e8,0x20005e88,0x09f104f8,0x3f70bd10,
    0xf709f100,0x009f1003,0xfb827c40,0x004f8801,0xc80ff6e6,0xdb09d005,
    0xc81fcc00,0xf989d005,0x2e01db01,0x01b20006,0x213a00b9,0x0fe6006d,
    0xdb06c800,0xf31fcc00,0x30fcc005,0x0fcc005f,0xf30d9000,0x00fcc005,
    0x5c827dc0,0x1f889d00,0x5c82e400,0x05f09d00,0x02e403f9,0x5c80d900,
    0x1f889d00,0x0002e400,0x003f10d9,0x001ee5c8,0x8007b8fa,0x1b20003e,
    0x0fa001ee,0x6417cc00,0xfa89d005,0xc83dc000,0x7d09d005,0x27402fa8,
    0xeffedb88,0x2e406ecd,0x07d44e80,0x5c41ee00,0xecdeffed,0x4000fa86,
    0x2aabb27b,0xaaaaaaaa,0x2abb25da,0xaaaaaaaa,0xb7105daa,0xdd9bdffd,
    0x55555d90,0xb5555555,0x42ec000b,0xb89d005c,0x80f98006,0xb09d005c,
    0x7c027c4b,0xbcdffb83,0x406fecba,0xb89d005c,0x40f98006,0xbabcdffb,
    0x06b86fec,0xffb0f980,0xffffffff,0x7ecdffff,0xffffffff,0xb86fffff,
    0xcbabcdff,0xfffd86fe,0xffffffff,0x20006fff,0xd005c87a,0xa8007a89,
    0xd005c80f,0x1ba1f509,0x9f707ee0,0x6406c801,0x7a89d005,0x2e0fa800,
    0x436400cf,0x0fa8007a,0xb90000b9,0x33ee0000,0x2e436400,0x4c000000,
    0xe802e40f,0x20007cc4,0x200b906b,0x1fb9d04e,0x7c44f880,0xc80d9005,
    0xf989d005,0xf135c000,0x261b200b,0x735c000f,0x0f70000f,0x00bf1000,
    0x001ee1b2,0x21ee0000,0xf09d005c,0x905e8007,0x5413a00b,0x0fc801ff,
    0x6c8007d4,0x4e802e40,0x2f4003f8,0x1b2001f5,0x97a001fc,0x4c0002f9,
    0x7d40002f,0xf30d9000,0x40000005,0x807b84f8,0x01fb84fb,0x1ee01f90,
    0x7d413ee0,0x417ec02f,0x0dd3007b,0x4fb807b8,0xf9001fb8,0xe9803dc1,
    0x2003f706,0x007e40fc,0x0003f200,0xdd3007b8,0x80003f20,0x76c402ec,
    0x3602fa80,0x03db04ff,0x3ea03fb8,0x213ff602,0x21dfcdf8,0xf302fea8,
    0x06ffb807,0xffb017d4,0x7007b609,0x403f987f,0x3b606ffb,0xe81fdc01,
    0x86c8800e,0x6c8800ee,0xff700fe6,0x4007740d,0x37f626c8,0x07fea21a,
    0x3ae62ee8,0x440adeaf,0x36621cfd,0x22ee803f,0xadeafeb9,0xfffa9ba0,
    0x6c00dfff,0x3fae61bf,0xd00aaecb,0x57f5cc5d,0x7ec40ade,0x0ff6621c,
    0xd730dfec,0x8155d97f,0x2621cfd8,0x3f6203fd,0x77e5441c,0x41cfd882,
    0x6c2efca8,0x3fae61bf,0x440aaecb,0x65441cfd,0xffd982ef,0x400cffff,
    0xdfffffe8,0x2e07ffd0,0x1effefff,0xffffd100,0x4fffa1bf,0x9ba980fb,
    0xfff91000,0x3f21bfff,0xffd103ff,0x3fa1bfff,0xdfff703f,0x64403dff,
    0x0dffffff,0x2e07fff9,0x1effefff,0xfdfff700,0xf7007dff,0x7dfffdff,
    0x3ffff220,0xfff90dff,0x3bffee07,0x3003efff,0xa8001355,0x4c0001bb,
    0x50000aba,0x06200377,0x5d440000,0xba80001a,0x54c0001b,0x2a2000ab,
    0x980001ab,0x10000aba,0x20003575,0x2001aba8,0x0001aba8,0x001aba88,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x01880000,0x10000000,0x00000001,
    0x00000000,0x00377510,0x565cc000,0x03951000,0x01597300,0x18000000,
    0x5416e440,0x00ea801c,0x9dffb300,0x3b7b6600,0x0076c003,0x0027cc00,
    0xe8001362,0x03b261be,0x3ffffffe,0xd7005fff,0x2e7ffdff,0xffffffff,
    0xe883ffff,0x404ffeff,0x0cffeffb,0xffeffd80,0xdffdb803,0x02f3321b,
    0xffb80f50,0x0bfff61f,0x002fefc8,0x7f5e7fd4,0x887a200e,0x3ba2003d,
    0x37ea0001,0x3ffa6000,0xdb98000d,0xf03efeff,0x55555559,0xcfd88015,
    0x57dc260a,0xaaaaaaaa,0x0f7cc3fa,0x5fe41bea,0xe809f930,0x09f710af,
    0x32af7fa2,0x1dddf2fe,0x7dc07a80,0xffff10ff,0x325fd10d,0x09f1004f,
    0x41dc09f3,0x7f440068,0x05fb8001,0x74c6fd40,0x75cc001f,0x1fc05fef,
    0x0bfe6000,0x7c401ea0,0x9f102f42,0x5f102f98,0x7dc07ee0,0xb80f7c41,
    0x2a003fbf,0x216dc407,0x7cc4fffe,0x0077d40e,0x07e403ee,0x003b00e8,
    0x64005fb0,0x27e4003f,0x2600ff62,0x5f50befe,0x20001fc0,0x051000ee,
    0x0fa83ea0,0x0bd07dc0,0x1fc40fa8,0x00db17a0,0x54007ff5,0x3f660007,
    0xb3025c0c,0x2605c801,0x3601d01f,0x00b90001,0x16c00164,0x17300970,
    0x1fc07e60,0x001f9000,0xd9176000,0x3e23f100,0x7dc4e801,0xfa87dc00,
    0x007f9001,0x00000fdc,0x17200000,0x07701f88,0x000000d1,0x00000000,
    0xf80eb800,0x07f30003,0x21fc0000,0x32f8806c,0xd8d9001f,0xd93f8805,
    0x201fcc00,0xbeffffc8,0x00000039,0xf902e400,0x5b317440,0x00000000,
    0x30000000,0x27415995,0x6b8001fc,0x3ea00000,0x3200fd40,0x26003e67,
    0x7c00fa0f,0x7c4009b4,0x46bfa603,0x040ffeb9,0x7f65c400,0xb9001def,
    0x402fda88,0x102deec8,0x66665c41,0x99971004,0x32e20099,0x4c004ccc,
    0xdffeeffe,0x45fc0fb8,0x201bddcb,0x2000003d,0x440bf06c,0x2007e25f,
    0x400be2fc,0xf8009d4e,0xe8817a03,0x9001e60f,0xfb759bff,0x4cb9007f,
    0x04005fff,0xd317edc4,0x001fdddd,0x1fddddd3,0xddddd300,0x3bee001f,
    0x2fbfe981,0x6effff7c,0x985f04ff,0x7c0002cc,0x445bf503,0x01f40eeb,
    0x17c4bfe6,0x00b95c80,0x0fc81fc4,0x03ea3d40,0x7e402980,0x2ea2e401,
    0x44001efd,0x5002cfdb,0x3ea0001f,0x01f50000,0xf7007f30,0x81bde8bd,
    0xb87c45fb,0x00efeeff,0x2601f980,0x0dffdfff,0xbd100fc8,0x4007e27d,
    0x5400f76c,0x2007d03f,0x00007dc0,0xb9013e20,0x200fec40,0x001cfeb8,
    0x50000fa8,0x3ea0001f,0x002f4400,0xf5000bfb,0x44fabd45,0x5c000fe8,
    0x777f4406,0x03b605ff,0x7c53abd1,0x3e2d9001,0x207fd004,0x3f70002f,
    0x000dfea8,0x02e406c8,0x3ae207e4,0x540001ce,0x1f50000f,0x003ea000,
    0x7c4001f5,0x4cdb0006,0x17a02faf,0x7cc09d00,0x40774c0c,0xefdbdfe8,
    0x007e27d0,0x805f7364,0x2f883fed,0xf83f9000,0xc8004fff,0xe802e406,
    0x0c073b65,0x0007d400,0x50000fa8,0x006c801f,0xf50007e8,0x7cc04ff8,
    0x203f1001,0x836c03f9,0x221ceda8,0x2005f11f,0x2067ec5c,0xf03f8ee9,
    0x8bf20007,0x445ffff8,0xcdeffedb,0x802e406e,0xeeb8807b,0x1f5000be,
    0x003ea000,0x36007d40,0x006c8004,0x03741f30,0x0f7002f8,0x0fc402e4,
    0x7f07cc00,0x3ea13600,0xf0dffeff,0x4001b607,0x7ffec2fd,0x2f37fee2,
    0x406fecba,0x01f3005c,0x0b910cd8,0x40003ea0,0xf50000fa,0x8005d801,
    0x1f30005d,0x04e801ec,0x01f409b0,0x6b8003d8,0x03e80274,0xf8159731,
    0x8809f103,0x5cc1fec2,0x90033ee0,0x1005c80d,0xe834403f,0x000fa800,
    0x20001f50,0x03dc00fa,0xb80027c0,0x3e802dc7,0x3e02f880,0x800b9002,
    0x402ec5f8,0x3e0002f8,0x1037ea03,0x03fd8df7,0xd9005f88,0xa8045c80,
    0x540f200f,0x000fa804,0x20001f50,0x0fcc00fa,0x0005f300,0x001f51b6,
    0x80f5005f,0x009d003e,0x07d40fd8,0x40003ee0,0x7fcc02f8,0x40bdffef,
    0x67ecc3fe,0xd9000fa8,0x41f45c80,0xa816407c,0x000fa804,0x20001f50,
    0x0ed800fa,0x00ccdb00,0x04e82f98,0x2ec007dc,0x3e601b20,0x20bee002,
    0x027404f8,0x2001f500,0x3a00bfd9,0x67fff44f,0x0dd3007b,0x743645c8,
    0x1d82cc05,0x0000fa80,0x2a0001f5,0x0ef8800f,0x9f70fec0,0x882f4401,
    0x007f101f,0x09f100be,0xd8802f44,0x407ee04f,0xf10000fc,0x807a800d,
    0x3ffe24ff,0x5c03f9df,0xdaa886ff,0x6c4be62e,0x10be800f,0x03ea00d7,
    0x0007d400,0xd3000fa8,0x7f54437d,0x21befb82,0x2a00efb8,0x1df512df,
    0x5001f500,0x77d443df,0xfb988540,0x0bfe802f,0x10007f93,0xa8001dd5,
    0x6c4fe807,0x37fb2fff,0x765ff5cc,0xffff50aa,0x7fffe41f,0xdbd91001,
    0xaaaa8819,0xaaaabfca,0x5555510a,0x555557f9,0x2aaaaa21,0xaaaaabfc,
    0xefffc880,0x32200dff,0x04fffffe,0xbffffd70,0x1002dc00,0x09fffffd,
    0x9dfffff1,0x7ffe4001,0x7f4402ff,0x00dfffff,0xb9807a80,0x3221ca80,
    0x0dffffff,0x8007fff9,0x30000ab8,0x7ffffe40,0xffffffff,0xffffff92,
    0x5fffffff,0x3ffffff2,0x2fffffff,0x004dd4c0,0x0026aa20,0x0002aa20,
    0x4d544000,0x000d4c00,0x8006aa20,0x00aaaaaa,0x0001a600,0x01aba880,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x801dfd98,0x8007502b,0x77300018,0x19800003,0x00000000,0x00000000,
    0x800ee057,0x20000018,0xa801fffe,0x10bcefec,0xccb85999,0x37ff6e24,
    0xffff101b,0xffd80000,0x07fcc06f,0x2200bfe2,0x0d41effc,0x76d67ec4,
    0x3f6a0001,0x4000004f,0xbdeffdca,0xfb950000,0x40017bdf,0x1ff987fb,
    0x0f7fe440,0x5300006a,0x7ec403f7,0x8efdbace,0x3625eef9,0x79ff37ee,
    0x2609fd95,0x400007ca,0x4405fffd,0x003fd06e,0x5bfb57fb,0x705107fd,
    0xc954000b,0xb1000004,0x9731359d,0x76c4007f,0xfcb989ac,0x10bf3003,
    0xbfd801dd,0x2feadfda,0x03f10000,0xfd8817f4,0x57d401fb,0x09f700cf,
    0x200003d4,0x0000bcb8,0xd502a000,0xf88005ff,0x04c80000,0x04fb8000,
    0x5c00de98,0x0de9804f,0x15000000,0x002efea8,0x6407e200,0x1ffd800f,
    0x401ffd40,0x00f503f9,0x00000000,0x00020000,0xc80002ec,0x75400004,
    0x50364001,0x06c8003d,0x08000000,0x1f880000,0xf1002f98,0x06fa803f,
    0x03d41f20,0x00000000,0x40000000,0x28005ffc,0x22000990,0x6dc0fc41,
    0x136189ce,0x5554c7e2,0x009b00aa,0x00000000,0x703f1000,0x01fc800d,
    0xf10017d4,0x0000f503,0xd9710000,0x2003bdff,0xdeffecb8,0x0fb26001,
    0x6407f4c0,0x45fb8004,0x44e6c44d,0x07e22eda,0x55754c9b,0x0fc40dda,
    0x9dffd930,0xfedb8003,0x2e6002ce,0x3e22cefd,0x54005d81,0x007d401f,
    0x89ea0fa0,0x01cefeca,0xffc800c0,0x3ffdbacd,0x566ffe40,0x4003ffdb,
    0x3f2201f8,0x4009900d,0x434c4fe8,0x6a85d02b,0x2442c1a6,0xcefb8354,
    0x804fecab,0xecabdfe9,0x77e400df,0xf15fdbac,0x98009b03,0x003d401f,
    0xe8bd4274,0x3fecbbdf,0x3001f100,0x201fc805,0x00fe4029,0x7fd40f60,
    0xb8026402,0x684b81ef,0x5cf10660,0x10360b04,0x5405fd0f,0x037ea06e,
    0xfc807f4c,0x3f3dd102,0xfb800b90,0x000fd401,0x3a7ea0fe,0x009f900d,
    0x200001f3,0x440004f8,0x03e2004f,0x9001bfb1,0x03fe9809,0x000930f2,
    0x42c0f23d,0x7dc3d068,0x884f8801,0x85e8804f,0xffd801fb,0x2000fa81,
    0x1fd401fd,0xf503f300,0x05f500bf,0x00007f54,0x90000d90,0x7137db0d,
    0x02efa89d,0x556ed54c,0x00877e41,0x8001b83d,0x89603d2d,0x265b02db,
    0x07e6002f,0x1fcc00db,0x7fc400fe,0x3004f881,0xffa803ff,0x2a0dd000,
    0x0fb000ff,0x0003bfd3,0x80006c80,0x7bb9306c,0x3067ec41,0x6665c1ff,
    0x7fd34ccc,0xf873bb6a,0x64000dc1,0x3bbe03f3,0x7b9e406e,0x3e23e800,
    0xf32e4001,0x501fc800,0xfee9807f,0x0777d401,0x7d407f20,0xb87e2003,
    0xb88000df,0xecdeffed,0x7f6dc406,0x006ecdef,0xbe81efb8,0xbf91000f,
    0x0fa83ae1,0x8004a85b,0xb1605b1e,0xaec8f407,0xaaaaaaaa,0x3ea5daaa,
    0xb73dc000,0x201fa800,0x7dc41dfc,0x7d401f9d,0x74c0afe8,0x007ea02f,
    0x00fe67f0,0x5e6ffdc0,0x206fecba,0xbabcdffb,0x22006fec,0xf1b904fe,
    0x85ff5001,0x8994c80e,0x87c000f8,0x0590b04c,0x7fffec3e,0xffffffff,
    0x001ae6ff,0x002743e6,0xfd3007e6,0x267fffdf,0xfb3d401f,0x01dffddf,
    0x6c000fa8,0x2e000d94,0x836400cf,0x36400cfb,0x301efb80,0x4401f11f,
    0x32000dfd,0x20770b55,0x0b53cc3a,0x9e606c16,0x7a80005c,0x9b0fa800,
    0x001fa800,0xf9837953,0x5cc3d401,0x1f5001ac,0x07d3e800,0x200bf100,
    0x005f886c,0x3fe980d9,0x00f89f40,0x98005df5,0xd905d11f,0x8f616e25,
    0x930582e8,0x001ee3d8,0x70003e60,0x2e00354d,0xf300001f,0x0007a803,
    0xf000bea0,0x2a0013a5,0x50d9000f,0x01b2001f,0x25c801bd,0x04f880f8,
    0x7d41fa80,0x81ceb980,0xd70fa86b,0x2eb907dd,0x00017cc6,0x97a001fc,
    0x3fa000f8,0x3f300001,0x00007a80,0xfa8013ea,0x1f100d90,0x374c01ee,
    0x6e9803dc,0x20f98000,0x200000f8,0x00b901eb,0x17203f30,0x3207e600,
    0x7dc0000f,0xe81f9001,0x03ff7006,0x007e6000,0x540000f5,0x4f8802ff,
    0x3f100fe6,0xff700fe6,0xb807f30d,0xc80006ff,0x1fffffff,0x00ec8000,
    0xfb800f6c,0x800f6c02,0x03ba02fb,0x3b61b220,0x441fdc01,0x7e7d404e,
    0x3f300001,0x00007a80,0x8807f3ea,0x40dfc86d,0x3f61feb8,0x2ffae61b,
    0x3f60aaec,0x2ffae61b,0x0000aaec,0x00003e20,0x7dc00bd1,0x0ee9881c,
    0x1039f700,0xd8801dd3,0x7e5441cf,0x1cfd882e,0x880ff662,0x3f2609ef,
    0x001abf8a,0x2a00fcc0,0xcaa80007,0x54439f97,0xfff501ef,0x8839fffd,
    0xdffffffc,0x447fff90,0xdffffffc,0x007fff90,0x0007c400,0x07107d30,
    0x7ef7fec4,0xd88003ef,0x3effdeff,0x77ffdc00,0xb803efff,0x1effefff,
    0xfeffd980,0xdfff11ef,0xffffa800,0x3fa26fff,0x01efffff,0xb9fffe20,
    0x04fffffe,0x01acb988,0x001aba88,0x00357510,0x3fa20000,0xf90001ff,
    0x0dffffff,0x0006aa20,0x001aa880,0x01aba880,0x01575300,0x002ae600,
    0x55551000,0xaaa85555,0x000aaaaa,0x04dd4400,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x99910000,
    0x3332e207,0x5c06e202,0x26075002,0x0019800b,0x54000000,0xcccccccc,
    0xcccccccc,0x00000002,0x00000000,0x99100dd0,0x66540799,0x001801cc,
    0x00157730,0xbfdd3000,0x13fbba60,0xff987fb8,0x417fc400,0xffb504fe,
    0x54000009,0x30ceffec,0x1c0001c3,0x37dfd950,0xffb73000,0xf70e25bd,
    0x000009ff,0x3fa601fe,0xdd900dee,0x3b2607df,0x7ffdc007,0xe8003ffe,
    0x017202ff,0x0bf30274,0x3fa00dd1,0x5502fc80,0x20000132,0xcbacdfd8,
    0x00e4ebfe,0x6fec0e00,0x00efdbab,0xbacefe88,0x447cefec,0x00004eaa,
    0x2f400ff0,0xc981f700,0x2007deff,0x3ee22dfc,0x3efee005,0x74017202,
    0x00000004,0x00264000,0x807be200,0x000e4ffb,0x03fd10e0,0xe8803ba2,
    0x1ff6200e,0x000004d8,0x0fd400dd,0xbef84e80,0x3f200f51,0x200fe602,
    0x6405f3f8,0x0009d005,0x80000000,0x6c00004c,0x1c9f9006,0x3ba1c000,
    0x3a05d800,0xd81fa005,0x00000004,0x3ea017a0,0x200f5000,0x00fb804f,
    0x6405f364,0x0009d005,0x80000000,0x82a0004c,0x93a001fa,0x2a380003,
    0x213e001f,0x1ea000fc,0x000004d8,0x007ea000,0x03d4009d,0x7c4007d4,
    0x2f8be602,0x27401720,0x677f6dc0,0x0f32e202,0x016665c4,0xfb100099,
    0x26002ec3,0x4e0000e1,0x7dc004f8,0x0c001fc0,0x000009b0,0x205e8000,
    0x1ea000fa,0x07f00040,0xc80be36c,0x4c09d005,0xfecabdfe,0x5fee980d,
    0x09fddd30,0x3ee00264,0x0001f41e,0x54e0000e,0x22e8000f,0x400000f9,
    0x37ff6e4d,0xcccb8803,0x0fa8004c,0x7a8009d0,0x0fc40000,0x017c1fa8,
    0x413a00b9,0xfd300dfa,0xe802e401,0x4c013204,0x005f03fe,0x38000380,
    0x932000d9,0xd800007b,0xebbdfe8c,0x3ba600df,0xd0007eee,0x8001f509,
    0x6400007a,0x0be13a07,0x09d005c8,0xbd1009f1,0x4e802e40,0x3f201320,
    0x000be01e,0x27000070,0x4d70005d,0xd800004d,0x5f980dfe,0x8003d400,
    0x002740fa,0x500003d4,0x203ee05f,0x4017202f,0x2006d84e,0x00b903f9,
    0xbb55313a,0x3fe98355,0x40004e80,0x7d380003,0x4e9ea000,0x5fd80000,
    0x50007dc0,0x5274000f,0x0f50001f,0x413e6000,0x405f03f8,0x44fb807c,
    0x2e4001f8,0x89d005c8,0x4ccccccb,0xff9837f2,0x20003641,0x7f380003,
    0x743e6000,0x6d800004,0x2002f880,0x3ea0007a,0x2a000bd0,0x5f980007,
    0x02f81b20,0xffd80bf2,0x20007d44,0x200b907b,0x7f54004e,0x4c1fbe83,
    0x4722003f,0x9b380003,0x4e9ea000,0x777776c0,0x004d81de,0x03d4007d,
    0x07eb3a00,0x0003d400,0x2f9817e6,0xefc80be0,0x3abfae62,0x000d70ad,
    0x00b901f3,0x7ec4013a,0x03f6b80d,0xff5005f7,0x4e0000e1,0x4b90005c,
    0x7776405d,0x4d81cfee,0x54007d00,0x77d40007,0x01ea0005,0x7405fa80,
    0xd9017c05,0x19fffffb,0x03d4fffa,0x2e407d40,0xfa804e80,0x3e1f302f,
    0x413bfb01,0x0e1efda8,0x035ce000,0x01ae3d80,0x04d81ea0,0x3d4007d0,
    0x00ff4000,0x2000f500,0x67d404fa,0xfaaaaaaa,0x2a2b902c,0x01f3001a,
    0x0b906b80,0xfd8813a0,0x1f8fa00c,0x3fbffaa0,0x00382eff,0x005f3380,
    0x03ea1f98,0x26c0f500,0x2a003e80,0x05e80007,0x4003d400,0xffa804fa,
    0xffffffff,0x005c82ff,0x3a001fc0,0x3a00b905,0x7007b204,0xb9801f8d,
    0x00e009af,0x006c8e00,0x013e236c,0x026c0f50,0x1ea003e8,0x003f3000,
    0x5c007a80,0x7c00004f,0x00017202,0x3f2003f7,0xf700f700,0x0f980009,
    0x068800fc,0x47000070,0x3f5004f8,0x54005f50,0x74013607,0x001ea003,
    0x50000bb0,0x01fdc00f,0x9017c000,0x3db0000b,0x2a03fb80,0x13ff602f,
    0xffff9000,0xd1003fff,0x0003803d,0x2027dc38,0x0ff202fa,0x09b03d40,
    0x7a800fa0,0x007e6000,0x6401ea00,0xf000003f,0x0002e405,0x310e7ec4,
    0x5dd007fb,0x6f57f5cc,0x7c00000a,0x202d4001,0xa8380003,0xf9310aef,
    0x35df7007,0x6c0ffb30,0x4007d004,0x1760007a,0x403d4000,0x059002fc,
    0x17202f80,0xfffb8000,0x1001effe,0x1bfffffd,0x0000fffa,0xdfa803f0,
    0x001c03eb,0xffe881c0,0x2002cfff,0xffefffe9,0xdd5502ef,0x37eaa055,
    0x2aaaa61a,0xaaaabfca,0xfffff30a,0x2005ffff,0xafcaaaaa,0xbf10aaaa,
    0x55555555,0xa8807f55,0x880acfaa,0xa9800001,0x750000ab,0x00000037,
    0x1007fffa,0x99900375,0x99999999,0x07999999,0x0001b988,0x009aba98,
    0x3fffffe2,0x7ffffcc0,0x3fffff26,0xffffffff,0x55555512,0xd1001555,
    0xffffffff,0x3fe29fff,0xffffffff,0x7dc03fff,0x002fffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x88000000,0x00000000,0x00000000,0x00000000,0x01710173,0x260002e0,
    0x40cccccc,0x0cccccca,0x40004880,0xcccccccb,0x18804ccc,0x80040000,
    0x00ccccc8,0x00799995,0x3ffffae2,0x7f54000d,0x201deeff,0x0cdffeb9,
    0x3fb22071,0x64532dff,0x20003fff,0x07fffff9,0xbfb09ff0,0x2000be00,
    0x1deefed9,0x6f7f7754,0x0007a800,0x7f777764,0x2204eeef,0x0d41effc,
    0xadffe980,0x3bfb6200,0xdfdd500d,0xd8ffffa7,0xeba9acff,0x9dfb002f,
    0x105b9955,0xf9557bff,0xff50f75f,0xbbfb7559,0x01fd544b,0x32aaaa00,
    0x705f9007,0x00be007f,0x26007b80,0x01ea000f,0x00364000,0x5bfb57fb,
    0xff5007fd,0x801df739,0x8bd004f8,0x13e2fffd,0xfb803fb0,0x06f44002,
    0xf98fff70,0x0bff300c,0x500000fe,0x0000000f,0x3dc0005f,0x4001f300,
    0x9000007a,0x2a05400d,0xf8802ffe,0xa804e885,0x207e401f,0x0be1fffc,
    0x0bd017a0,0x7005e880,0xb806d8ff,0x0007f05f,0x00007a80,0x0002f800,
    0x0f9801ee,0x0001ea00,0x80003640,0x80bea000,0x4c0db000,0x0fffb82f,
    0x01ee0032,0x0fd8005f,0x05f1fa00,0x01fc17a0,0x001ea000,0x33322000,
    0xccccccdf,0x801ee02c,0x1ea000f9,0x03640000,0x36400000,0x03f88000,
    0x1ffe60bd,0xf007cc00,0x003f8005,0x003f1354,0x001fc0ea,0x4401ea00,
    0x804ccccb,0xeeefeeea,0x205eeeee,0x03e6007b,0x00007a80,0xcc980d90,
    0x2f7ff6e3,0x0006c800,0x1f907ee0,0x001bfe20,0x3332a3dc,0xccccccdf,
    0x80003cc2,0x3f80003f,0x03ccccb8,0x3a600f50,0x000feeee,0xf700017c,
    0x0007cc00,0x200000f5,0x6ff5c06c,0xfebbdfd8,0x003d400e,0x2f99b600,
    0x8002ffc0,0x7f776c4e,0x4eeeeeee,0xc80002e4,0x1fc0001f,0x37bfff62,
    0x0007a800,0x5f0003ea,0x003dc000,0xeed981f3,0xeeefeeee,0x0000deee,
    0x3bb200d9,0x405e980e,0x200001f8,0xd00bd3f8,0xfe98007f,0xd0017c01,
    0x7ec00009,0x07f0001c,0xa8001bf5,0x03ea0007,0x40005f00,0x03e6007b,
    0xb9999993,0x9999999f,0x80364000,0x3ee00efc,0x00027400,0x003f3ee0,
    0x64c00bf6,0x02f800ef,0x00000fa0,0x159dffb5,0x4fb87f00,0x000f5000,
    0x3e0007d4,0x01ee0002,0x2a000f98,0xd9000007,0x1003b200,0xffffc87f,
    0x4006ffff,0xeffcccc9,0xea80cccc,0x02efd800,0x3e800be0,0x73100000,
    0x7c01dffb,0x8000ff23,0x3ea0007a,0x0017c000,0x7cc00f70,0x801ea000,
    0x00d9000c,0x21f40172,0xabfcaaa9,0x5544002a,0xaaaafcaa,0x04f80002,
    0x3a002f80,0x20000004,0x17f01fe9,0xa80005fb,0x03ea0007,0x40005f00,
    0x03e6007b,0xf1007a80,0x401b2003,0x807d005c,0x400000f9,0x8028007a,
    0x02f8003f,0x00001760,0x67c1f600,0xa80002fe,0x03ea0007,0x40005f00,
    0x03e6007b,0xf1007a80,0x401b2003,0x807d005c,0x400001f8,0x0344007a,
    0x17c000dc,0x0000f900,0xf03f3000,0x0001fbbf,0x2a0007a8,0x017c000f,
    0x2001f300,0x03d4007b,0xb9001f88,0x74017200,0x0007d403,0xffffff70,
    0x201fffff,0x20000068,0x07e6002f,0x80037000,0x3f65f83f,0x01ea0000,
    0x4000fa80,0x17c0002f,0x54006e80,0x003f1007,0x02e4013e,0x03dc03e8,
    0x003d4000,0x00007b62,0xdb000be0,0x13a13000,0x87f05f00,0xf50000ed,
    0x007d4000,0x90000fe0,0x007f100d,0x5f1007a8,0x2005f300,0x807d005c,
    0xa800005d,0x00b30007,0x8005f000,0x3ee004f8,0x2a001fd2,0xee83f80f,
    0x007a8000,0xb0003ea0,0x2605100f,0x01be604f,0xfe800e20,0x8017a202,
    0x407d005c,0x069802f9,0x7d401ea0,0xfd883ebd,0x017c003f,0x2006fcc0,
    0x017fa4fc,0x41fc13e6,0x54000ee8,0x03ea0007,0x415bf300,0x300ffda8,
    0x7fd443df,0x90000001,0x3aa213bf,0x0172000e,0x00db01f4,0x95550176,
    0x4403555f,0xfff901bb,0x017c001f,0x21befa80,0x6f42fdb8,0x7e440bfe,
    0x7440fe06,0x01ea000e,0x32aaaaa2,0x0aaaaabf,0x3fbffaa0,0x4c00beff,
    0x0dfffffe,0x2aaaaa20,0xaaaaaaaa,0xfffd502a,0x554009ff,0xf5302aed,
    0x67f5415b,0xaaaaaaaa,0x3fe602fc,0x06ffffff,0x37ffd400,0x33eaaaa0,
    0x00aaaaaa,0x7ffffe44,0xf92d80df,0x07fffdff,0x2207f551,0x530aaefb,
    0x55f95555,0x3f215555,0xffffffff,0xa802ffff,0x10001aba,0xf7001575,
    0xffffffff,0x01ffffff,0x00055d44,0x1ffffff1,0x47ffffd0,0xfffffffe,
    0x002effff,0x93000000,0x7ffcc017,0xffffffff,0x2ea6002f,0xaba98001,
    0x7fff9009,0x3fffff20,0xffffff93,0x5fffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0xcccccccb,0x3326003c,0x002ccccc,0x3333332a,0xcccccccc,0x66664c0c,
    0x00abcccc,0x666665c0,0xcccccccc,0x3333222c,0xcccccccc,0x9930cccc,
    0xb8199999,0x6643cccc,0xcccccccc,0x666642cc,0x33332a02,0x999910cc,
    0x33320599,0x33223ccc,0x66541ccc,0x00000ccc,0x19999995,0x333332a0,
    0xddfdd90c,0x4c009ddd,0x6efeeeed,0x3bbbf200,0xeeeefeee,0x76cc1fee,
    0xfeeeeeef,0xdd7000df,0xdddffddf,0x6c49fddd,0xeeeeefee,0x0feeeeee,
    0xbddffdb3,0x4effec81,0x7f777764,0x223eeeee,0x500ffeed,0x21bdfddb,
    0x2eeeefd8,0x7dfddd90,0x0ef7fecc,0x037bfb6a,0x2ccffc98,0xdeeffea8,
    0xdfddd500,0x001f881b,0x1f8dd800,0x1ea0d900,0x07a80fc4,0x0007baa2,
    0x4d81725f,0x7cc00f70,0xfa805c80,0x001ea004,0xf100bdf5,0x40013a03,
    0x200b902f,0x5f7dc03e,0x3ea01eeb,0x807d4000,0x400001f8,0x200bb2f8,
    0x220f506c,0x100f501f,0x87cc00db,0x5c13605c,0x203e6007,0x027dc05c,
    0xf5001ea0,0x1f8803f5,0xf1000bb0,0x74017203,0x80027403,0x02ec003f,
    0x99999bf1,0x4f700035,0x06c800fa,0x407e20f5,0x07f1007a,0x205c9b20,
    0x400f704d,0x205c80f9,0x7a8003fc,0x06dbd400,0x06c80fc4,0x03f10155,
    0x01f40172,0x320001f5,0x80be2006,0xeeeeeef8,0x3a000dff,0x3200fe24,
    0x3e20f506,0x5c00f501,0x324e800f,0x3dc13605,0xb901f100,0x4000bf20,
    0x8bd4007a,0x407e203f,0x309ff06b,0x4017201f,0x001ee03e,0xf7001f98,
    0x2a01f880,0x1f8801fe,0x82e40364,0x203f107a,0x01f4007a,0x205c87e2,
    0x060f7019,0x3fb0b900,0x003d4000,0x100fc9ea,0x261ea03f,0x207a86df,
    0x407d005c,0x3a0001f9,0x8809d004,0x806e801f,0x401f986b,0x1c0f5029,
    0x5c800f50,0x99723d40,0x3e0f7004,0xe8972002,0x3d40001e,0x09d1ea00,
    0x07cc07e2,0xd703e7b2,0x3e802e40,0x70002ec0,0x801f300f,0x2f8801f8,
    0x04e81f40,0x4001ea00,0x035c007a,0x35cb9172,0x05f07b80,0x0fe8ae40,
    0x007a8000,0x207ea3d4,0x83f101f8,0x05c87f4e,0x01f40172,0x440007e2,
    0x402e402f,0x09d001f8,0x07b807cc,0xd801ea00,0xfffffffe,0xf80f504e,
    0x37fffe43,0xfffffb80,0x372002ff,0x001efff9,0x2a003d40,0x1f886d87,
    0xb2f88be0,0x3f204d8b,0xffffffff,0x37e403ff,0x440bb000,0x01f8802f,
    0x036409b0,0x2a0005f1,0x3732a007,0x01cccccf,0x20fcc0f5,0x006daaec,
    0xf99999f7,0xaff64005,0x20004ffa,0x43d4007a,0x00fc42f9,0x7a87d47f,
    0x55d901f4,0xf5555555,0x3effa607,0x2a026443,0x200f700f,0x2f8801f8,
    0x0bb00fe0,0x4001ea00,0x035c007a,0x35cb90f7,0x05f07b80,0x32227e40,
    0x0f50002f,0x1f907a80,0x49d00fc4,0x3f87e25d,0x1f401720,0x41f70de8,
    0x03e804fc,0x07e2009d,0x7d403f20,0xffffffff,0x7a8000ff,0x800f5000,
    0x3fff605d,0x00625fff,0x001e83dc,0x00fb8172,0x54007a80,0x7c49f107,
    0x43f93601,0x5c80be4e,0x3f307d00,0x4013a5d8,0x001f986b,0x7ec403f1,
    0x2aab7602,0x3faaaaaa,0x0007a800,0x03e800f5,0x3aaaab3e,0x00f70005,
    0xdd017200,0x800f5000,0x447ea07a,0x7cd7201f,0x01f8b641,0x41f40172,
    0xf9af986b,0xc83f1001,0x2b3e2006,0x2efecaaa,0x64007e20,0x007a8006,
    0x7cc00f50,0xb901f301,0x07b80b80,0x980b9000,0x03d4002f,0x2bd01ea0,
    0x5dae01f8,0x0f98f987,0x1f401720,0x5dfb8364,0x0fe2ec00,0xfffff880,
    0x7b803def,0x0007e600,0x1ea000f5,0x1b206e80,0x20be02e4,0xb900007b,
    0xa800bb00,0x203d4007,0x201f8af9,0x2be09d7a,0x802e407a,0xd01fb83e,
    0x0fa8005f,0x7c4001f5,0x02740001,0xf50013a0,0x401ea000,0x40fa00ed,
    0x5c17c05c,0x0b900007,0x54003f50,0x403d4007,0x2601f9ec,0x7bb02f8f,
    0xd005c80d,0xd109f107,0x27f0005f,0x0fc4005d,0x003f3000,0x3d4007b8,
    0x4c07a800,0x07e200fd,0x20be02e4,0xb900007b,0xa8013a00,0x403d4007,
    0x2201fdf8,0x9f700fcf,0xd005c80b,0x4c77ee07,0x002aedee,0x400be3b2,
    0xaaacfba9,0x7ed4401a,0x2aa202aa,0x55302bfb,0x15555f95,0x557e5440,
    0x1ffebaaa,0x417f9510,0xaaaaeeaa,0x2aa2faaa,0x0aaaaafd,0xaedaa880,
    0x2abee02a,0x32aaaaa0,0x41aaaaaf,0x0aaafca8,0xf803ff70,0x17fe206f,
    0x05576d54,0x06b7eaa2,0x23bfffee,0x3000fff8,0x7f400fbf,0x6fffffff,
    0x7ffffdc0,0xffff701f,0xfffd03ff,0x07ffffff,0x7fffffd4,0x5c01beff,
    0xff34ffff,0xffffffff,0x3ffe65ff,0x03ffffff,0xffffffa8,0x9fff100f,
    0x7ffffff4,0x544fffff,0x02ffffff,0x9ff007fa,0xf884fe80,0x5c2fffff,
    0x106fffff,0x20000375,0x000004fe,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xcccb8000,0xcccccccc,0x33333221,
    0x79999500,0x03333322,0x71e66654,0x99999999,0x33260379,0xcccccccc,
    0x3332202b,0x0acccccc,0x666664c0,0xcccccccc,0x3332a0cc,0x804ccccc,
    0xccccccc9,0x8800accc,0x3000cccc,0x65409999,0x52e00001,0x0000001a,
    0xddfb0540,0xfddddddd,0x6f7f6c45,0x7dffd501,0x037bff62,0x91f7f75c,
    0xdddddfdd,0xd983dffd,0xeeeeeffe,0xd880dffe,0xeeeeeefe,0xdb300eff,
    0xddddddff,0x5c3fdddd,0xeeefeeee,0xffed9805,0xffeeeeee,0x7ff6c403,
    0x9dffb004,0x80bfff60,0x2defedb8,0x067ecbee,0x2a000000,0x201361fe,
    0x04f881fa,0x0fe60bd0,0x3f103740,0xd80ff4c0,0x03fae205,0xfd300fcc,
    0x1005c805,0x0035c03f,0xbf701720,0x01f7f700,0x101faf98,0x2a0bffff,
    0xffdbbdff,0x7fdc3fce,0x98000003,0x026c1dfd,0x1fa813e2,0xf7007e40,
    0x200fc803,0x0ed801f8,0x5f8805d8,0xf9003f30,0x8802e401,0x001ae01f,
    0x7f300b90,0x807f7b80,0x3a01f8ec,0xdfb84fff,0x209ff500,0x0002efc8,
    0x01efc880,0x806e809b,0x00be606d,0x17d403b6,0x22007e20,0x9005d82f,
    0x4007e60f,0x4017205e,0x01ae01f8,0x2e00b900,0x06cbdc06,0x807e2be2,
    0x7cc0cfe9,0x07f7dc03,0x003df910,0x00bfee00,0x007dc09b,0x05e827c4,
    0x9f30bd10,0x2003f100,0x3005d84d,0x003f301f,0x02e40be6,0x1ae00f88,
    0x200b9000,0x45ee00f9,0x3e2f702f,0x017a0001,0x009d17f7,0x0001bfb3,
    0x5c00ffea,0x4007f302,0x007dc1fa,0x2f447f30,0xd001f880,0x3200bb09,
    0x4003f306,0x0a0b905d,0x0001ae00,0x01ae00b9,0x3e82ecf7,0x260003f1,
    0xa93ea00f,0x9fd5000f,0x33fa6001,0x0bd00000,0x1fccdb00,0xfd8fdc00,
    0x003f1000,0x00bb05f1,0x07e609f3,0x0b907b80,0x6b8001f1,0x402e4000,
    0x33dc03e8,0xf10fa83f,0x81ee0003,0x00fc44fa,0x980ffee0,0x00001dfd,
    0x220003f2,0x4000bd3f,0x2001fcfc,0x0fd801f8,0xf73105d8,0x000fcc0b,
    0x30b901f3,0x06b8003f,0x2602e400,0x23dc00fe,0x3f12ec4e,0x54176000,
    0x0005f04f,0x6445df91,0x400002ef,0x2e0002fa,0x40000fcf,0x7c4003fe,
    0x40bfa201,0xfffffffd,0x0fcc05ff,0xf903f300,0x03ffffff,0x40006b80,
    0xca9999dc,0x7b800efd,0x21f987d4,0xd90001f8,0x3e209f50,0xbfb10002,
    0x000ffee1,0x0009f100,0x80007fb0,0x44004fe8,0xecbaaacf,0x33b602ef,
    0xfedccccc,0x003f300d,0x67640fcc,0x001fdccc,0x3200035c,0xefffffff,
    0x3a1ee002,0x01f88d93,0x7a89fff9,0x1f3027d4,0x2efc8800,0x002efc88,
    0x0000db00,0xb00003ea,0x44005f7d,0xdeffffff,0x8805d802,0x01f982fd,
    0x17203e60,0xd70007e6,0x99dc8000,0x000efb99,0x3e3ee1ee,0xfe80fc42,
    0x997cc0ff,0x003e405f,0x2200ffee,0x20001dfd,0x800201fb,0x7dc0007a,
    0x22003f91,0x2ec0001f,0x3f30f900,0x5c835c00,0x5c000f88,0xb9077006,
    0x4007fa60,0x87ef887b,0xfff981f8,0x0bf5f903,0xd5002fa8,0xe980019f,
    0x7cc000cf,0x4003e203,0x3e60007a,0x44007743,0x2ec0001f,0xf983f100,
    0x64136001,0xb80a2005,0xb90bb006,0x4007ec40,0x107f907b,0x0dff703f,
    0x7d405fe8,0x0dfe9804,0x67f54000,0x980bd000,0x00f5000f,0x3e217e20,
    0x001f8805,0x3a002ec0,0xf000fcc4,0xa8017207,0x6c01ae07,0x6e805c85,
    0x88007b80,0x01ffe81f,0x82f7ffe6,0x6c404fc9,0x400001ef,0x7e403ffb,
    0x8007cc00,0x0db0007a,0x3e201fcc,0x02ec0001,0x03f30fe0,0x2e403f60,
    0x35c0f500,0x05c85d80,0x3dc03f98,0x220fc400,0x37e604ff,0xffffffb8,
    0x3bf2202e,0x22000002,0x2fa82efc,0x5000f980,0x01f9000f,0x3e201fb8,
    0x02ec0001,0x1f983f50,0x3201fb80,0xb81ea005,0xb90bb006,0xb803ee00,
    0x41f88007,0x17e00ffa,0x80157531,0x00003ffa,0x437f6200,0x1f3004f8,
    0x5001ea00,0x03f6005f,0x20000fc4,0x0bf3005d,0x7e4403f3,0x5002e402,
    0xd8035c0f,0x3a005c85,0x2001ee05,0x017ec1f8,0x66c0000a,0x00000000,
    0x2afea3b3,0xaaaaaaaa,0x555300fb,0x015557f9,0x0155df51,0x98b7eea6,
    0xaaaacfba,0x77554401,0xcaaaaaaa,0xbfba84fe,0xffebaaaa,0x5dd55102,
    0x55555555,0x5554cf95,0xaaaaaafd,0x5515eaaa,0xa80555dd,0x3f6a22bf,
    0x55100aaa,0x01cc59f7,0x00000000,0xf5000000,0xffffffff,0x3601ffff,
    0xffffffff,0xffffb83f,0xffffd03f,0x3ffffa3f,0x5406ffff,0xffffffff,
    0x981cefff,0xffffffff,0x3ea00ace,0xffffffff,0x27ffffff,0xfffffffc,
    0xffffffff,0xffffff55,0x1ffd801f,0x5ffffff5,0x3ffffee0,0x0000001f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x000a2000,0x00000000,0x00000000,
    0x20000000,0x000000da,0x66665400,0x66665c01,0x44000001,0x97103ccb,
    0x00000599,0xcccccca8,0x981ccccc,0x7a8001bb,0x3fb6e000,0x654002ce,
    0x330ceffe,0x77ff64c0,0xd971001c,0x2003bdff,0x2defeca8,0x13fe0015,
    0x7dfb7100,0x01f7e441,0x807ddfdb,0x933efeed,0x8b7f6a79,0xd302dfd9,
    0x3ba60bfd,0x3cc984fe,0x02f7ff6e,0xeeeeefd8,0x223feeee,0x01edbcfd,
    0x26001ea0,0xfecabdfe,0x6fec400d,0xebfecbac,0x579df704,0xfc809fd9,
    0xffdbacdf,0x5677dc03,0x02feffdb,0x54003d70,0x15fcacff,0x40bfb7ff,
    0x3dc000f9,0x37f3bbaa,0xbefa9feb,0x02e402fd,0xdfeb84e8,0xfebbdfd8,
    0x880bb00e,0x2dc1445e,0xa800f500,0x1fd300df,0xb807be20,0x02fe84ff,
    0x02981baa,0x4fa80fe4,0x000bfa60,0xf9829800,0x0fe60deb,0x360017c4,
    0xe87ff705,0x202e44ff,0x409d005c,0xe980eeec,0x7440bb05,0x00f3000e,
    0x9f1003d4,0x360bd100,0xb89f9006,0x04f8801f,0x6c13e200,0x002f9806,
    0xffb00000,0x3a01f701,0x3e81eb83,0xbf709f70,0x2e401f30,0x3f204e80,
    0x203ee00e,0x003b602a,0x1ea005d8,0x26006d80,0x000fd43f,0x0017cc9d,
    0x640003f3,0x9001f906,0x00000001,0x03f813ea,0x889ff0b9,0x260d701f,
    0x201f880f,0x409d005c,0x1fc400ec,0x2003f600,0x54005ffc,0x003f1007,
    0x002ec5c8,0x8007b866,0x1b20003e,0x00006fcc,0xf5000000,0x7a82ec05,
    0x3e63e7cc,0x3e60d700,0x3201f880,0x6409d005,0x4007d005,0x326001fc,
    0x01ea003e,0x2e0007d4,0x20001f47,0xaaaaaaec,0x5daaaaaa,0xdffdb710,
    0x74c0dd9b,0x201acdef,0xccccccc9,0x3ccccccc,0xbbffb730,0x5555557f,
    0xc87e60db,0x81ae2f8e,0x101f306b,0x802e403f,0x4017204e,0x05f7003e,
    0xc887e600,0xcfdccccc,0x2e3ccccc,0x20f98006,0x7ec0002f,0xffffffff,
    0xb86fffff,0xcbabcdff,0xcba806fe,0xea84fffe,0xeeeeeeee,0x20deeeee,
    0xcbbeffe8,0xfffffffe,0xf8be07ff,0x7026c9b3,0x2203e60d,0x4017201f,
    0x4017204e,0x03fa803e,0xdd51ec00,0xddfddddd,0x2a1ddddd,0x20fa8007,
    0x2e40002f,0x0cfb8000,0x44003640,0x0000eeca,0x80adf980,0x360000fa,
    0xf9ee1f34,0x7cc1ae02,0x3201f880,0x6409d005,0x9807d005,0x7c40004f,
    0x200f5000,0x35c000f9,0xf700013a,0x0bf10000,0x10001b20,0x9000009d,
    0x017d401f,0x8972d700,0x2e01f8af,0xf101f306,0xe802e403,0x74017204,
    0x1017e203,0x75c4df6c,0x801ea003,0x22f4003f,0x7cc0006c,0x07d40002,
    0x04986c80,0x00001ea0,0x07f50172,0x1fc7cc00,0xd701eb76,0x3e203e60,
    0x2e01ee01,0x4017204f,0x80bd103e,0x5eee546b,0x003d4000,0x3f2003f7,
    0x1001fcc0,0x0007e439,0x3a600f70,0x9000fb86,0xf500000f,0x0007fd80,
    0xf503f3e2,0x306b80b9,0x403f101f,0x3ff602fa,0x74017204,0xb801dd03,
    0x7a800006,0x200f6c00,0x05f703fb,0xee81ff50,0x266c8800,0x37fdc03f,
    0x7cc027dc,0x00173005,0x3ff609f1,0xe80d903f,0x04ff885f,0x80f9835c,
    0x177401f8,0x5bd5fd73,0x3a00b901,0xaaabfd83,0x06daaaaa,0x007a8000,
    0x310e7ec4,0xdfd807fb,0x3bf6a209,0x41cfd881,0x6c2efca8,0x3fae61bf,
    0xf70aaecb,0xeb8815df,0x09fd000e,0x6c42fea0,0x50cfbfdf,0x3fc805fd,
    0x2a205fb0,0x5fcc1afd,0x10167c42,0x1bfffffd,0xdaa8fffa,0xbf5302ae,
    0x7ffffc15,0x6fffffff,0x07a80000,0xfdfff700,0x3aa003df,0x2efffeff,
    0xfefffb80,0xf9103eff,0x21bfffff,0x1b53fffc,0xfffdfffb,0x17e40019,
    0xfffff500,0x3ffeed33,0x000000df,0x46ffffb8,0x3e20fff9,0x5dd401ff,
    0xffff1001,0xfffd01ff,0x0000007f,0x0007a800,0x00055d4c,0x009aba98,
    0x01aba880,0x006aea20,0x9aca9880,0x40000000,0x55100ab9,0x00000001,
    0x00000000,0x00000000,0x10000000,0x0000000b,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x99999500,0x99999107,0x0a806a39,0x30144000,0x1e666445,
    0x21e66644,0x442cccb8,0x0000bdda,0xba801440,0x00710000,0x00000071,
    0x00600000,0x99999991,0x99999999,0x3bbaa199,0x83bbba65,0x1f5000ea,
    0x2f77ff6c,0x777f774c,0x3f605f92,0x0bf30001,0xffea93ea,0x7f74c0de,
    0x3bba20df,0x337fea4f,0x03e200fe,0x407fec98,0x80debbec,0x3e66fffc,
    0x4c1ba204,0x9304efed,0x4405bffb,0x7003efec,0x7775401f,0xeeeeeeee,
    0x51feeeee,0x7fc4bfff,0xa877447f,0x09f51cfd,0x7dc003ea,0xe882fe80,
    0x77d4002f,0xfb06fa80,0x802fb803,0xd81bf94d,0x9803e603,0x1ae0798a,
    0x3fffa132,0x74427d41,0xacffb80e,0x66ec0efd,0xf883fcaa,0x405ffeff,
    0x00006ff9,0x7fcc7e20,0x437ffc4f,0xebdfffe8,0x27404fef,0xfd104e80,
    0x005ff107,0x3ee03fea,0x407f200e,0xbbb002fc,0x3e60007f,0x540f3000,
    0x3e20f880,0x49f505ff,0x3f980ee8,0xf5006e88,0x3a619fb0,0xf1bf103f,
    0x2200000b,0xd0fffe1f,0x33ea0bff,0x5c03f540,0x007d400f,0xff309ff1,
    0x81ffb807,0xfc800ffc,0xb0017e42,0x4c0003ff,0x00f3000f,0xfffb8d70,
    0x3a33ea01,0x540db00e,0xaaaa982f,0x261fe20f,0x7ccdd05f,0xf8800003,
    0xfb0bffe1,0x981b607f,0x01fc402f,0x3fe60176,0x904ffa84,0x3ff905ff,
    0xfc97e400,0x0076c001,0x3e615bb0,0xf309b510,0x6c1fa800,0xffa804ff,
    0xd00fe00e,0x7ffffdc7,0x413e60ff,0x5c0fc87f,0x4400001f,0x907ff61f,
    0x00fe05ff,0x40d9009d,0xff5001f9,0xc89ff50b,0x2ffd82ff,0x1fdfb800,
    0x4004d800,0xcfcdffea,0x7982dffd,0x3e07ea00,0xfe8800ff,0x3e027c05,
    0xf9839f33,0x3e61be20,0xfd817d46,0x3e200000,0x3ea1ff21,0x400fa81f,
    0x02f8807b,0xffb800d9,0xf94ffc85,0x07ffb09f,0x0027f400,0x710004d8,
    0x017bfffb,0x0ec803cc,0x8804ff98,0x3604fbee,0x363f700f,0xfe81f304,
    0xf98ff622,0x00037404,0x37dc3f10,0x7cc07fcc,0xd8036401,0x2002f886,
    0x7c41ffe8,0x1dff31ff,0x000eff98,0x003fcfd8,0x440004d8,0x79800eff,
    0xc806ec40,0x774400ff,0x3e209f50,0x9b2f541d,0xf981ff50,0x746ffcef,
    0x004f8805,0x7cc3f100,0x3a07f885,0x400fe205,0x003dc1f9,0xfd107ff6,
    0x0efe881d,0x2002ffcc,0x007f71fd,0x6c0004d8,0x79804f9e,0xfd013a60,
    0x40ee8807,0xdfd304fa,0x7cc1bff9,0xefceedce,0x67fff4c5,0x298005c0,
    0x70360000,0xfb806a01,0x4001f700,0xb001f45e,0x1dfd01df,0x2217fa20,
    0xed8805fe,0xb001fd40,0x8fdc0009,0xcaa882fa,0x37e22aaf,0xb0faaaaa,
    0x00ee880b,0x6e5c09f5,0x37b5101c,0x0c406aa2,0x00000000,0xfb800000,
    0x1ffb51cf,0xfa87d400,0x01df9000,0xd8801bfb,0x04fe885f,0x7d403ba2,
    0x0009b004,0x81f90fe6,0xccccccca,0x99999910,0x74c00199,0x00035400,
    0x00000000,0x00000000,0xfccfa800,0x0eebefff,0x02f53a00,0xfc80dfb8,
    0x427ec005,0xee883fe8,0x4027d400,0x0bb0004d,0x0000013a,0x00000000,
    0x00000000,0x00000000,0x227d4000,0x01ba20b9,0x801fbfb8,0x09f705fa,
    0x6c0ff200,0x2affaa2f,0x39fb5502,0x56f5554c,0x201aaaaa,0x4cc40400,
    0x99999999,0x0c019999,0x00800188,0x2e037100,0x37777722,0xdddddddd,
    0xffffff72,0xffffffff,0x00bfffff,0x00398000,0xff8800e2,0x6c09b006,
    0x02dc0003,0x3fffe2b9,0x7ffcc0ef,0x3fffa6ff,0xffffffff,0x3e200004,
    0xffffffff,0x6fffffff,0xffd81fb0,0x2fa8202f,0x5c37faa0,0xd0ff987f,
    0xffffffff,0x227fffff,0xaaaaaaaa,0xaaaaaaaa,0x00001aaa,0x00000000,
    0x00000000,0x00000000,0x00000000,0xaaaaaa98,0xaaaaaaaa,0x20fec40a,
    0x84fc8afd,0x40ff22f8,0x9f34fffe,0x4cccdd10,0x99999999,0x00000999,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x83dd1000,
    0x12fd41fc,0x889f70dd,0x0005ffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80ef9800,0xfbdd300a,0xb17ea019,
    0x20005fff,0xffffffe9,0xffffffff,0x006fffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00095000,0x4c0065c4,0x0000b985,
    0x2eeeeee2,0xbbbbbbbb,0x02bbbbbb,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0xfffffff8,0xffffffff,0x0000006f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x55500000,
    0x55555555,0x00355555,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__courier_39_latin1_x[224]={ 0,8,4,3,3,3,4,8,10,5,0,2,5,3,
7,3,3,3,2,3,3,3,4,3,3,4,7,5,0,1,0,0,3,0,1,2,2,1,2,2,1,3,2,1,
2,0,0,0,3,1,1,3,2,1,0,0,1,1,3,0,0,0,3,1,7,2,0,2,2,2,3,2,1,3,
3,3,3,0,1,2,0,2,2,3,2,1,0,0,1,2,3,0,9,0,3,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,8,3,2,3,1,
9,2,5,0,0,0,0,3,0,-1,5,2,5,5,7,1,2,7,7,6,4,2,0,0,0,0,0,0,0,0,
0,0,0,2,1,1,1,1,3,3,3,3,-1,0,0,0,0,0,0,4,1,1,1,1,1,1,3,1,2,2,
2,2,2,2,0,2,2,2,2,2,3,3,3,3,2,1,2,2,2,2,2,2,1,1,1,1,1,2,0,2,
 };
static signed short stb__courier_39_latin1_y[224]={ 28,6,7,5,5,6,9,6,6,6,6,9,22,17,
23,4,6,6,6,6,6,6,6,6,6,6,13,13,9,14,9,7,6,8,8,7,8,8,8,7,8,8,8,8,
8,8,8,7,8,7,8,7,8,8,8,8,8,8,8,6,4,6,6,36,5,12,6,12,6,12,6,12,6,6,
6,6,6,12,12,12,12,12,13,12,8,13,13,13,13,13,13,6,6,6,15,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,28,13,5,7,10,8,
6,6,7,7,5,13,17,17,7,4,2,7,6,6,5,13,6,15,27,6,5,13,6,6,6,13,1,1,1,3,
2,1,8,7,1,1,1,2,1,1,1,2,8,3,1,1,1,3,2,12,6,1,1,1,2,1,8,6,5,5,
5,7,7,5,12,12,5,5,5,7,5,5,5,7,6,7,5,5,5,7,7,10,12,5,5,5,7,5,6,7,
 };
static unsigned short stb__courier_39_latin1_w[224]={ 0,5,13,15,14,15,14,5,6,6,13,17,8,15,
6,14,14,14,15,15,14,15,14,14,14,14,6,8,17,18,17,13,14,21,18,17,18,18,18,18,19,14,19,19,
17,21,20,18,16,18,20,15,17,19,21,20,19,18,15,6,13,6,14,21,7,17,19,17,19,17,16,18,19,15,
11,17,15,21,18,17,19,19,17,15,17,18,20,20,18,18,14,8,3,8,15,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,0,5,14,17,15,18,
3,17,11,21,11,17,19,15,21,23,10,17,10,10,7,18,16,6,6,9,12,17,21,21,21,13,21,21,21,21,
21,21,21,17,18,18,18,18,14,14,14,14,20,20,18,18,18,18,18,13,19,19,19,19,19,18,16,17,17,17,
17,17,17,17,21,17,17,17,17,17,15,15,15,15,16,18,17,17,17,17,17,17,18,18,18,18,18,18,19,18,
 };
static unsigned short stb__courier_39_latin1_h[224]={ 0,23,10,26,27,23,20,11,27,27,14,18,12,3,
6,27,23,22,22,23,22,23,23,23,23,23,16,19,18,8,18,22,25,20,20,22,20,20,20,22,20,20,21,20,
20,20,20,22,20,26,20,22,20,21,20,20,20,20,20,27,27,27,10,2,6,17,23,17,23,17,22,23,22,22,
29,22,22,16,16,17,23,23,15,17,21,16,15,16,15,22,15,27,27,27,6,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,0,22,23,21,15,20,
27,25,4,22,11,15,10,3,22,2,11,21,12,12,6,22,25,5,7,12,11,15,22,22,22,22,27,27,27,25,
26,27,20,27,27,27,27,26,27,27,27,26,20,25,28,28,28,26,27,12,24,28,28,28,27,27,20,23,24,24,
24,22,22,24,17,22,24,24,24,22,23,23,23,21,23,21,24,24,24,22,22,17,18,24,24,24,22,30,29,28,
 };
static unsigned short stb__courier_39_latin1_s[224]={ 188,246,240,100,212,37,63,248,36,205,111,
1,146,195,176,227,194,209,224,240,240,118,134,149,164,179,249,191,237,125,219,
1,153,117,73,32,92,111,200,135,43,239,172,219,130,169,1,116,56,62,148,
50,139,134,78,22,36,17,1,242,202,249,205,211,168,73,61,37,1,55,15,
209,154,174,20,66,84,168,209,19,41,21,93,91,116,190,17,147,74,190,228,
196,188,246,152,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,
97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,188,243,228,
211,1,229,192,168,183,175,182,56,220,195,197,195,194,154,135,243,144,1,207,
249,248,125,169,38,57,153,131,81,20,42,64,224,116,86,178,108,126,145,183,
81,216,231,1,138,157,186,71,90,109,43,1,155,57,148,168,128,16,164,100,
19,77,204,1,113,95,132,125,79,168,186,222,219,53,69,85,100,101,192,20,
150,114,237,20,107,200,95,1,38,38,1,32,52, };
static unsigned short stb__courier_39_latin1_t[224]={ 29,60,269,60,1,113,208,185,60,1,269,
250,269,282,282,1,113,162,162,88,162,113,113,113,113,113,113,229,229,282,229,
185,60,207,229,185,229,229,207,162,208,207,185,207,229,229,208,162,229,60,229,
185,207,185,208,208,229,229,229,1,31,1,269,282,282,250,138,250,138,250,185,
113,162,162,1,185,185,250,250,250,138,138,269,250,185,250,269,250,269,162,250,
1,1,31,282,162,162,162,162,162,162,162,162,162,162,162,162,162,162,162,162,
162,162,162,162,162,162,162,162,162,162,162,162,162,162,162,162,162,29,113,113,
185,269,185,1,60,282,138,269,269,269,282,138,286,269,185,269,250,282,162,60,
130,197,269,269,269,162,138,138,138,31,31,31,60,60,31,207,31,31,31,31,
60,31,31,60,60,207,60,1,1,1,60,32,269,88,1,1,1,60,31,207,
113,88,88,113,138,138,88,250,162,88,88,88,138,113,113,113,185,113,185,88,
88,88,138,162,250,229,88,88,88,162,1,1,1, };
static unsigned short stb__courier_39_latin1_a[224]={ 331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,331,
331,331,331,331,331,331,331,331, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_39_latin1_BITMAP_HEIGHT or STB_FONT_courier_39_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_39_latin1(stb_fontchar font[STB_FONT_courier_39_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_courier_39_latin1_BITMAP_HEIGHT][STB_FONT_courier_39_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_39_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_39_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_39_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_39_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_39_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_39_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_39_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__courier_39_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__courier_39_latin1_s[i] + stb__courier_39_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__courier_39_latin1_t[i] + stb__courier_39_latin1_h[i]) * recip_height;
            font[i].x0 = stb__courier_39_latin1_x[i];
            font[i].y0 = stb__courier_39_latin1_y[i];
            font[i].x1 = stb__courier_39_latin1_x[i] + stb__courier_39_latin1_w[i];
            font[i].y1 = stb__courier_39_latin1_y[i] + stb__courier_39_latin1_h[i];
            font[i].advance_int = (stb__courier_39_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__courier_39_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_39_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_39_latin1_s[i] + stb__courier_39_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_39_latin1_t[i] + stb__courier_39_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_39_latin1_x[i] - 0.5f;
            font[i].y0f = stb__courier_39_latin1_y[i] - 0.5f;
            font[i].x1f = stb__courier_39_latin1_x[i] + stb__courier_39_latin1_w[i] + 0.5f;
            font[i].y1f = stb__courier_39_latin1_y[i] + stb__courier_39_latin1_h[i] + 0.5f;
            font[i].advance = stb__courier_39_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_39_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_39_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_39_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_39_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_39_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_39_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_39_latin1_LINE_SPACING
#endif

