// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_40_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_40_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_40_latin1_BITMAP_WIDTH         256
#define STB_FONT_courier_40_latin1_BITMAP_HEIGHT        310
#define STB_FONT_courier_40_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_courier_40_latin1_FIRST_CHAR            32
#define STB_FONT_courier_40_latin1_NUM_CHARS            224

#define STB_FONT_courier_40_latin1_LINE_SPACING          19

static unsigned int stb__courier_40_latin1_pixels[]={
    0x0001a880,0x2000025c,0x06666400,0x31000000,0x00066000,0x88000000,
    0x2a000002,0x00000000,0x88000020,0x30000001,0x13ee0001,0x003fc800,
    0x3f603fe2,0x1fddb102,0x26000000,0x5f90005f,0x3fa80000,0x02fcc000,
    0x017e4000,0x0005f700,0x00007f70,0x000013ea,0x20005f90,0xd88004fb,
    0x7fd4002f,0x9804ff81,0x8000000f,0x20000dfa,0x900003fd,0x0001bfbf,
    0x00006fd4,0x80017ec4,0x004fdfd8,0x037f7f60,0x017ee000,0x01fec000,
    0x8009f700,0x70001fe8,0x2002e605,0x000000f9,0x800027e4,0x220004fc,
    0x03df33fd,0x0077cc00,0x003fd100,0x7dc7fa60,0x3fa6000d,0x0003df32,
    0x0001bf50,0x000bf620,0xe8003510,0x0000001e,0x0000f980,0x000ff200,
    0x000bf700,0xfe883df1,0x3fa20002,0x1ee88000,0x81bf5000,0xf9801fe9,
    0x017f440e,0x0077cc00,0x007fa200,0x09800000,0x00000000,0x000001f3,
    0x80000164,0x0c980049,0x10000ee0,0x19100039,0x101dc000,0x80930039,
    0xb100002b,0x0d880001,0x00000000,0x00000000,0x02a603e6,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x4c000000,
    0x501fffff,0x301dffff,0x3fff661f,0x26201dff,0x33101999,0x99988333,
    0x33331019,0x19999883,0x03333310,0x01579510,0x2af2a200,0x79510000,
    0x99880015,0x00009999,0x26666662,0x4ccc4000,0x99999999,0x3ff20999,
    0xffffffff,0x3fffff31,0x3bfffea0,0x179df710,0x0fbf3220,0x56fdc7cc,
    0x705fd531,0x89ffffff,0x5ffffffa,0x9ffffff7,0xffffffa8,0xffffff75,
    0xfffffa89,0xdffd105f,0x20019fff,0xfffeffe8,0xffd1000c,0x0019fffd,
    0xfffffff5,0xff50001f,0x01ffffff,0x3ffffea0,0xffffffff,0x333265ff,
    0x1fdccccc,0x0179df71,0x20fbf322,0x5f1000fc,0x01fefcc0,0x3ee60bf2,
    0x99980999,0x3ee609de,0x99980999,0x3ee609de,0x99980999,0xefa809de,
    0x01bee60a,0xb982bbea,0xaefa806f,0x401bee60,0xfafb9999,0x33330002,
    0x4005f5f7,0x9999ec99,0x5d999999,0x320fcc00,0x05f1000f,0x36400fe2,
    0x400ffe60,0x007a80fc,0x007a8274,0x007a8274,0x05fa8274,0xbf502f4c,
    0x2a05e980,0x02f4c05f,0x005db640,0x0176d900,0x5d801b20,0x220fcc00,
    0x80d9003f,0x02f8807c,0xd1002fcc,0xe800f507,0xe800f504,0xe800f504,
    0x1004f884,0x009f107d,0x13e20fa2,0x2001f440,0x0001f53f,0x003ea7f0,
    0x2ec00d90,0x3207e600,0x402f8807,0x036403f8,0x32001fcc,0x74007a85,
    0xe800f504,0xe800f504,0x2000fc84,0x007e42fa,0x0fc85f50,0x400bea00,
    0x000fe0fa,0x01fc1f50,0x5d801b20,0x440fcc00,0x8036403f,0x00fe207c,
    0xf50007e6,0x4e800f50,0x4e800f50,0x4e800f50,0x74001fcc,0x2000fe64,
    0x000fe64e,0x22ec013a,0x2ec0006c,0x0d9001b2,0x26001540,0x440f901f,
    0x07f1003f,0x0fcc01b2,0xf503ea00,0xf504e800,0xf504e800,0x3dc4e800,
    0x1ee6a800,0x0f735400,0x2201aa00,0x000fcc2f,0x0fcc2f88,0x0720d900,
    0x407e6000,0x00d903f8,0x03f887c8,0xc8005f30,0x74007a86,0xe800f504,
    0xe800f504,0x88003644,0x2000d90f,0x000d90f8,0x0f7003e2,0x3dc0013a,
    0x1b2004e8,0x4c0001fc,0x221f201f,0x1fc4003f,0x5f9801f2,0x3d42f400,
    0x3d413a00,0x3d413a00,0x09b13a00,0x04d97c00,0x026cbe00,0x4e805f00,
    0xd0001f70,0x4003ee09,0xf99999ec,0x1f980003,0x0f90fe20,0x3f89f200,
    0x00bfe600,0x03d40fdc,0x03d413a0,0x03d413a0,0x007f13a0,0x003f9f40,
    0x001fcfa0,0x0fcc07d0,0x4c002f88,0x005f101f,0x3ffffff2,0xf980003f,
    0x7f13e401,0x64fe2000,0x7f7cc007,0xa827d401,0xa8274007,0xa8274007,
    0x3a274007,0x74fa0003,0x74fa0003,0x80fa0003,0x0036c06c,0x00db01b2,
    0x266667b2,0xf980003f,0x7c9fc401,0x7c764000,0x647cc003,0x2fecc1cf,
    0x4e800f50,0x4e800f50,0x4e800f50,0x5f0002ec,0x2f800176,0x17c000bb,
    0x333339f0,0x4001f733,0x999999cf,0x6c800fb9,0x300007f0,0xf1d9003f,
    0xef880007,0x70f98007,0x5fffdfff,0x74007a80,0xe800f504,0xe800f504,
    0x88003644,0x2000d90f,0x000d90f8,0x7fd403e2,0xffffffff,0xfff5004f,
    0xffffffff,0x320d9009,0x1f980001,0x007ef880,0x0007f900,0xbcb981f3,
    0x00fa8009,0x07d413a0,0x3ea09d00,0xf713a000,0x7b9aa000,0x3dcd5000,
    0x3606a800,0x9999999d,0xbb006c99,0x33333333,0x0d900d93,0x26000b80,
    0x07f9001f,0x003f2000,0x00003e60,0xf8800fc4,0x2003f102,0x03f102f8,
    0x7f10be20,0x7c4bd000,0x225e8003,0x05e8003f,0x3e2005f1,0x8017c401,
    0x036401f8,0xf9800fe0,0x001f9001,0x0009f100,0x800003e6,0x03f7003e,
    0x1fb801f4,0x7dc00fa0,0x2000fc81,0x007e42fa,0x0fc85f50,0x540bea00,
    0x202f4007,0x02f4007a,0x07f001b2,0x44007d40,0xf700004f,0x03e60001,
    0x00fb8000,0x07dc06e8,0x3ee03740,0xf106e800,0x217e200b,0xbf1005f8,
    0x2200bf10,0x0013a05f,0x027401f5,0x6c803ea0,0xd001fc00,0x003ee00d,
    0x00027c00,0x400001f3,0x3f600de8,0x006f4401,0xde8803fb,0xa807f600,
    0x3fe600df,0x401bf500,0xbf500ff9,0x807fcc01,0x7c4001f8,0x8003f103,
    0x01b203f8,0x3e2007f0,0x0009f004,0x80003ee0,0x400000f9,0xd510aee8,
    0x3ba2007f,0x07fd510a,0x442bba20,0xf9803fea,0x3bee61be,0x0df7cc00,
    0x9801df73,0x3ee61bef,0xafda880e,0x2aaa00aa,0xfb511aee,0x55401555,
    0x5511aeea,0x555555fb,0x07f55555,0x800efb88,0x6c4000fb,0xeeffeeee,
    0xfddb1003,0x0005dddd,0xfffffb10,0xfd88003d,0x001effff,0x7ffffec4,
    0x3f62001e,0x00cfffff,0xfffffb10,0x3620019f,0x0cffffff,0xffffff70,
    0x3fffe607,0xffff75ff,0x3fe607ff,0xff55ffff,0xffffffff,0x27ffffff,
    0xffeeeeeb,0x7776c40d,0x003eeffe,0x99999991,0x66400599,0x01cccccc,
    0x0d5cc000,0x0d5cc000,0x0d5cc000,0x2aee6000,0x2ee60000,0x2e60000a,
    0x000000ab,0x00000000,0x332a0000,0x9101bccc,0x99999999,0x00000005,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x05710000,0x00000000,0x1400000a,0x0000a000,
    0x4c00000a,0x0000e400,0x15000000,0x533332e0,0x2200001a,0x2b8e600e,
    0x20081000,0x2e002e0c,0x00006dbe,0x88000fea,0x2200001f,0xf10000fe,
    0x3e20001b,0x2e00000d,0x0036c02f,0x000fea00,0x3b203f90,0x01f97eee,
    0x441f2000,0x3ff90dfe,0x0ba26400,0x00fc47e2,0x0000b234,0x0037f7f2,
    0x00007e20,0x0000f74c,0x40003be6,0x80000ef9,0x1fa804fc,0xfbf90000,
    0xfd88001b,0x7cdee002,0x3f880004,0x9b103f70,0x0be2ec00,0x017c4be2,
    0x000b5166,0xef99fec4,0x37f26001,0xf300010a,0x2200001d,0xd10001fe,
    0x7ec0003f,0x0017a003,0x3e67fd10,0x3fd1001e,0x3fa7b800,0x07dc0001,
    0x03ea04e8,0x05f12740,0x00be25f1,0x0002c83a,0xfe883df1,0x77ff4c02,
    0x002ecfff,0x000017ea,0x40007fa2,0x44001fe8,0x7d4002fe,0x3df10001,
    0x4402fe88,0x7b8000ef,0xf00013ea,0x880be209,0x449d002f,0xf12f881f,
    0xbd9f5005,0x0064c000,0x5f7cc077,0x00ffee60,0x000003a8,0x32000164,
    0x00f4c002,0x30005e80,0x201dc019,0xf70000c9,0x70000ff8,0x80be201f,
    0x47f002f8,0x12f881f9,0x0054005f,0x74000000,0x00fee00f,0x00000000,
    0x00000000,0x0007dc00,0x00000000,0x03fb8f70,0x7c40bd00,0x400be202,
    0x2203e62f,0x2205f12f,0x00999999,0x4ccccc40,0x99999999,0x4027c409,
    0x2666201d,0x44000999,0x99999999,0x40999999,0x99999998,0x4c409999,
    0x4cc40099,0x8009f009,0x99999998,0x4c409999,0x99999999,0x11ee0099,
    0x3f5000df,0xf1017c40,0x545f1005,0xf12f880f,0xfffff505,0x2a001fff,
    0xffffffff,0x5fffffff,0x20000fcc,0xfffffffa,0xfff5000f,0xffffffff,
    0xff8bffff,0xffffffff,0xfff10fff,0x3fea07ff,0x0fb82fff,0x3ffffe00,
    0xffffffff,0x3fffffe0,0x0fffffff,0x03fd0f70,0x7c405e80,0x200be202,
    0x441ee1f8,0x2605f12f,0x2fafb999,0x27b26600,0x99999999,0x02fc45d9,
    0x5ccccc00,0x26002faf,0x99999ec9,0x45d99999,0xbf999998,0x54c19999,
    0x2a6009bf,0x07f101bf,0x4ccccc40,0x419999bf,0xbf999998,0x2e019999,
    0x2003fd87,0x17c401f9,0x26205f10,0xfc99afa9,0x23f10999,0x2d9002f8,
    0x06c8005d,0x0bf61760,0x36d90000,0x006c8005,0x0be20176,0xe800fc80,
    0x0007c806,0x880017c4,0x43dc002f,0x1b6004fc,0x7f007e60,0x3fffffe0,
    0x6fffffff,0x8017c436,0x8001f53f,0x2176006c,0x00acefd8,0x0fa9fc00,
    0xb0036400,0x005f100b,0x3ee02fc4,0x003f8801,0x4000be20,0x3dc002f8,
    0xf9802fdc,0x400fb802,0xf733105e,0x333db333,0x200be201,0x000fe0fa,
    0x02ec00d9,0x39fffd93,0x3e0fa800,0x00364003,0x05f100bb,0xf102fa80,
    0x0036c007,0x20005f10,0x3dc002f8,0x6d8037cc,0x4027e4c0,0x1ee02dfa,
    0x0be200bb,0x00d91760,0x0aa006c8,0x1ff5d440,0x06c8bb00,0x55003640,
    0x0005f100,0x00db01fb,0x10002f98,0x3e20005f,0x4c3dc002,0x03f8807f,
    0xd8007ff4,0xe8f700ff,0x805f1004,0x00fcc2f8,0x00720d90,0x804fb800,
    0x00fcc2f8,0x00720d90,0x40017c40,0x00fdc4f8,0x880036c0,0x5f10002f,
    0xfa87b800,0x8807c806,0xcfb805fb,0x09d1b200,0xf700be20,0x6c8013a0,
    0x800007f0,0xd07b806c,0xf8364009,0x05f10003,0x7c4bea00,0x05f30004,
    0x0005f100,0xf7000be2,0xf880bf70,0x003ee003,0x366660bd,0x99cf999e,
    0xd00be200,0x4003ee09,0xf99999ec,0x7cc00003,0xfb827400,0x333d9000,
    0x20007f33,0x360002f8,0x40006d8e,0x2f88005e,0x005f1000,0x04fc87b8,
    0xf10007e4,0xfc82f805,0xffffffff,0x47e0ffff,0x07e602f8,0xfc8017c4,
    0x03ffffff,0x1f5001f8,0xf880fcc0,0xffff9002,0x20007fff,0x220002f8,
    0x40001fef,0x7c4001fa,0x05f10002,0x3fd87b80,0x10013e20,0x417c405f,
    0x99de9998,0x22099bf9,0x6405f11f,0xc8036c06,0x3f99999e,0xdb006f80,
    0x36c06c80,0x9999ec80,0xf10003f9,0x4fa80005,0x00bd0000,0x10002f88,
    0x87b8005f,0x03ee00fe,0x4405f100,0x224e802f,0x225f101f,0x2673e02f,
    0x0fb99999,0x07f06c80,0x2201bff0,0x4e7c01fc,0xfb999999,0x7f06c800,
    0x00be2000,0x0005f100,0x88003ea0,0x5f10002f,0x7c47b800,0x40027405,
    0x0be202f8,0x01f98fe0,0x40be25f1,0xfffffffa,0xc804ffff,0x9f003906,
    0xf9759dff,0xfffa805f,0xffffffff,0x3906c804,0x00be2000,0x0005f100,
    0xf10027c0,0x0be20005,0x2fc8f700,0x20007ea0,0x0be202f8,0x00f98be0,
    0x40be25f1,0x999999dd,0xc806c999,0x1705c006,0x7bfffb71,0x333bb001,
    0xd9333333,0xb800d900,0x0017c400,0x0000be20,0xf1000fb8,0x0be20005,
    0x07f8f700,0xf88002f4,0x100be202,0x8807d45f,0xf105f12f,0x007e2005,
    0x03f800d9,0xf1000fc4,0x007e2005,0x03f800d9,0x200017c4,0x200002f8,
    0x5f1004f8,0x00be2000,0x027dcf70,0x220003f5,0x00be202f,0x103d43f1,
    0x2a0be25f,0x202f4007,0x01fc006c,0x7a8007e2,0x3202f400,0x201fc006,
    0x440002f8,0x6400002f,0x02f8800f,0x8005f100,0xe803fa7b,0x026c0006,
    0x1f9801f5,0x12f881ee,0x8009d05f,0x01b200fa,0x1f8807f0,0x50013a00,
    0x0036401f,0x05f100fe,0x002f8800,0x401fc400,0xf10002f8,0xf37b8005,
    0x0017cc09,0x3a60bea0,0x320f9804,0x7c47e206,0x2000fc42,0x01b203f8,
    0x1f8807f0,0x8003f100,0x01b203f8,0x2f8807f0,0x017c4000,0x403e4000,
    0xf10002f8,0xffffd805,0x36c01db7,0x0ffd8000,0xf3003bfd,0x47e205b8,
    0x5fb511f8,0x55540155,0xb5511aee,0x5555555f,0x807f5555,0x6d4401f8,
    0x2a00aaaf,0x511aeeaa,0x55555fb5,0x7f555555,0x7dd5554c,0x202aaaac,
    0xacfbaaa9,0x880002aa,0x2aaaa60e,0x2aaaacfb,0x7dd5554c,0x262aaaac,
    0x0132aaaa,0x200001d8,0x10006a28,0x71428010,0x07ffffff,0x3fffffe6,
    0xffffff55,0xffffffff,0x001007ff,0x7ffffff7,0x3ffffe60,0xfffff55f,
    0xffffffff,0x7ff47fff,0xffffffff,0xfff900ff,0x0dffffff,0x3ffa0000,
    0xffffffff,0x3fffa0ff,0xffffffff,0x0000000f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x64700000,0xb502cccc,0x0005b101,0x00815773,0xc8000198,
    0x8801b503,0x001b503c,0x80000544,0x1000001a,0x50003795,0x005b101b,
    0x20005440,0x001b503c,0x666665c4,0xc80000cc,0x9ddddf0f,0x3ee13fe0,
    0xdffb5007,0x0be1bfff,0x10f7ff54,0x3ff50039,0xfa809ff0,0x804ff81f,
    0x543fffc8,0xbffd5004,0x4000e443,0xfffefff9,0x213fe003,0xe98007fb,
    0xa803ffff,0x04ff81ff,0x55559f90,0x4fb81d55,0x1fcbf300,0xe982fb80,
    0x0adfa804,0x0beffaa2,0x3faa77e6,0x8801ffbd,0x803f905e,0x03f905e8,
    0xff917fb0,0xf300bfb7,0xf7bfd51b,0xdfb8003f,0x013ee60a,0x274c17dc,
    0x26f7ee00,0x74404fea,0x7003f905,0x6c0e801b,0x43fb007f,0x0000003f,
    0x3ee00fe6,0xeb81882f,0x000000df,0x26000000,0x01ffec40,0xdfeb8188,
    0x027e4000,0x00001bea,0x540fe600,0x0000002f,0xd81d003f,0x46f9807f,
    0x0000003f,0x7e4007f3,0x00000002,0x00000000,0x00000000,0x2007f300,
    0x000003f9,0x17a02f40,0x1a200000,0x1bf60640,0x07f0bf20,0x0abca880,
    0x44006e80,0x5e54402f,0x9998800a,0x33331019,0x99999883,0x40999999,
    0x44009998,0x22019999,0x00999999,0x64006e80,0x2666200f,0x54000999,
    0x223dc01f,0x99999999,0x00999999,0x7e40007e,0x3f87f806,0xfdffd100,
    0x3e2019ff,0x100c8002,0x9fffdffd,0x3fffee01,0x7ffd44ff,0x3ffe5fff,
    0xffffffff,0xffff10ff,0x7fffcc0d,0xfffa85ff,0x000fffff,0xf10007ea,
    0x3fffea09,0x2000ffff,0x51f9805d,0xffffffff,0xbfffffff,0x001dd510,
    0xfa80bf90,0xfa803f84,0x1bee60ae,0x200003d4,0x2e60aefa,0x27ee606f,
    0xe9998099,0x2666209d,0x9999bf99,0x1ffd4cc1,0x13bd3330,0x3ee66660,
    0x1b2002fa,0x33036400,0x05f5f733,0x7c402740,0x267b2661,0x99999999,
    0x65ef645d,0x2fdc001e,0x0fe0bf60,0xe980bf50,0x00006c85,0xbd3017ea,
    0x3a003d40,0x005f1004,0x4007e7cc,0xdb64005d,0x0013a005,0x2d9003d4,
    0x40be005d,0xc81fedc8,0x68976006,0x7000cfa8,0x07fc40bf,0x09f101fc,
    0x09b0fa20,0x013e2000,0x07a81f44,0xf8802740,0x3a3e6002,0x4005d805,
    0x2001f53f,0x3f30003f,0x07d4fe00,0x7dc0fc40,0x6c81fddf,0x04a97600,
    0xf5005f91,0xf83fcc09,0x8003f203,0x0013a2fa,0x50007e40,0x800f505f,
    0x05f1004e,0x0fd47cc0,0xfa801760,0x3e200fe0,0x05f10002,0x01fc1f50,
    0x8fee07cc,0x006c81f8,0x4c03d176,0x13ea01ee,0x07f06fa8,0x3a000fe6,
    0x200013a4,0x4e8003f9,0x274007a8,0x2002f880,0xd80db0f9,0xd9176005,
    0x0005f100,0x17600be2,0x41f300d9,0x40fc46f8,0x50aa006c,0x0cfa803d,
    0x3ee03f98,0x1ee07f05,0x0bb35400,0x000f7000,0x001ea1aa,0x0be2009d,
    0x7f10f980,0xf8802ec0,0x7c00fcc2,0x03f30003,0x0fcc2f88,0x2fa83e60,
    0x83640fc4,0x09f3001c,0x7cc0ec88,0x7c13ee03,0x2000d903,0x000d90f8,
    0x22000d90,0x2003d40f,0x05f1004e,0x1f907cc0,0x3dc01760,0x04e804e8,
    0xf700f500,0x1f3013a0,0x07e207d4,0x001fc1b2,0x6b805d91,0xbf7017cc,
    0x026c0fe0,0x03ee5f00,0x0009b000,0x001ea17c,0x0be2009d,0x2740f980,
    0x09d005d8,0x0db003ee,0x3a01b200,0x4c01f704,0xf10fe60f,0x3333d903,
    0xd30007f3,0xf116c01b,0xf837d405,0x40007f03,0x0007f13e,0x3a0003f8,
    0x3a003d43,0x005f1004,0x07ea07cc,0x07e60176,0x3e6017c4,0x027c4001,
    0x17c407e6,0xafd81f30,0xff903f10,0x007fffff,0x4b81fdc0,0x41fe6014,
    0x0007d03f,0x001f71f4,0x0007d288,0x001ea1f4,0x0be2009d,0x6d80f980,
    0x06c805d8,0x0374036c,0xd9003f20,0x3e606d80,0x777ff441,0x999ec84f,
    0x40003f99,0x1d311ed8,0xf03ff000,0x80017607,0x3002f42f,0x800176bd,
    0x2003d42f,0x05f1004e,0x7cc07cc0,0x67c02ec3,0xb9999999,0x01fcc00f,
    0xcf803f98,0xb9999999,0x205f100f,0xc84ecdca,0x00007f06,0x00b7fbea,
    0x1fc17ec0,0xf10006c8,0x401ef881,0x00d90efa,0x0f503e20,0xf1004e80,
    0x807cc005,0x501760fc,0xffffffff,0xf7009fff,0x805fa809,0xfffffffa,
    0x3e04ffff,0x83640003,0x2a00001c,0x4fa80007,0x00f703f8,0x7fcc1aa0,
    0xbf95109b,0xd50007b8,0x74001f50,0x005f1004,0x4f8807cc,0x33bb0176,
    0x93333333,0x2bbee00d,0x009f9510,0x26666776,0x206c9999,0x3640005d,
    0x00102e00,0x3e00007a,0xf881fc0f,0x205e8003,0xffffffc8,0x003f882e,
    0x01f885e8,0x22005f10,0x03e6002f,0x40bb1fa8,0x3f1002f8,0x3fff6600,
    0xf1002eff,0x407e2005,0x320001fa,0x1e1fc006,0xefd816c0,0x3e1fe400,
    0x8003f203,0x9d3002fa,0x00fc8015,0x1f40bea0,0x1001fb80,0x07cc005f,
    0x502edba0,0x005e800f,0x00056fe4,0x0bd001ea,0xd90002f4,0x03c3f800,
    0x7fd407c4,0x237c404f,0x017e203f,0x36002fc4,0x00bf1001,0x0fb817e2,
    0x22006e80,0x03e6002f,0x40bb5f30,0x07d4004e,0x0ce7ec40,0x009d0150,
    0xbf500fa8,0x06c81cc0,0x501e1fc0,0x3ffe607d,0x3e2fc802,0x006fd403,
    0xc8001ff3,0x1bf5003f,0x1007fcc0,0x0fec01bd,0x4005f100,0xefc800f9,
    0x8003f105,0x7f4c03f8,0xacefffff,0x0fc41ffc,0xb80fe200,0xfda99bef,
    0xf800d904,0x777777c3,0x64c03efe,0x7cbf1001,0x1bef9803,0x0003bee6,
    0xdf3000e8,0x077dcc37,0x88577440,0x2a603fea,0xaacfbaaa,0x7e5442aa,
    0xff101aab,0xaafda88b,0x3aaaa00a,0x7bfb01ae,0xffd95335,0x57ed441b,
    0x2aaa00aa,0xfd301aee,0xa885dfff,0xaaaaafda,0x3faaaaaa,0x4ccccccc,
    0x2e000000,0xbfffff0f,0x3ffff620,0x22000cff,0x4006badf,0xffffffd8,
    0x3f62000c,0x401effff,0xfffffffe,0x2a0fffff,0x04ffffff,0xfff717ee,
    0x3e607fff,0x005fffff,0xffff7000,0x3fe607ff,0x9805ffff,0x3fffea01,
    0xffffffff,0x0003ffff,0xa8a00000,0x9801aaaa,0x10000abb,0x400017b7,
    0x0000abb9,0x0000d5cc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x10000544,0x99999973,0x00080199,
    0x10000080,0x0140005b,0x40002800,0x980001d8,0x4400001d,0x0ec4002d,
    0x00080000,0x40005b10,0x5c002000,0x4c004ece,0xaacecefd,0xd9102acd,
    0x440039df,0x001dfffd,0x0003fd10,0x0001dfb1,0x0003bf62,0x80001fe8,
    0x300001fe,0xfd0001fd,0xb9500005,0x44007dff,0x6cc000fe,0xd102efff,
    0x234403df,0x3df9001d,0x4405916c,0x5ffcacfe,0xbacef980,0x7cc003fe,
    0xfe98000e,0x4c002fea,0x002feafe,0x0005fb10,0x0002fd88,0x000077cc,
    0x220007fb,0x5cabcefd,0x001df300,0xdbabefc8,0x4fffa85f,0x009712a0,
    0x22d81ff5,0x207ba02c,0x3be202fa,0x5002fc80,0xf70001bf,0x8027ec1b,
    0x13f60dfb,0x004fc800,0x0004fc80,0x00001bf5,0xfa8009f9,0x3ea0001f,
    0x1fdc000d,0x7fc44fa8,0x3b1a202f,0x5b09fb00,0x01fa8164,0x07e403ea,
    0x9f300dd0,0x413ea000,0x27d404fb,0x20004fb8,0xb80003fb,0x27cc002f,
    0x0bee0000,0x0006fd40,0x10009f30,0x41fa809f,0xbec801a8,0x01ff006d,
    0x4e81645b,0x3f885d80,0x0c017d40,0x88031000,0x2200c400,0x004c0000,
    0x80009800,0x13000001,0x000bf100,0x7d400060,0x0004e800,0xff000dc4,
    0xf02c8b60,0xb81f5005,0x005e800f,0x00000000,0x00000000,0x00000000,
    0xd8000000,0x0000000f,0x5d803640,0xf8000000,0x0b22d80f,0x3e2007e6,
    0x7d802e42,0x001a9880,0x0006a620,0x0009aa98,0x0026aa60,0x00135300,
    0x0004d4c0,0x3001a988,0x4c00005f,0xf50009aa,0x80013600,0xb0009aa9,
    0x1645b07f,0x4e800fc4,0x07b80274,0x3fffffee,0xfff7001e,0x8803dfff,
    0xffffffdb,0xfdb8801d,0x01dfffff,0x3ffffa60,0xfd3002ef,0x005dffff,
    0x3fffffee,0x001ae01e,0xffffb710,0xf8803bff,0x0c0fc401,0xffffdb88,
    0x7c401dff,0x05916c2f,0x1bea00fa,0x03ea007f,0x26139fd1,0x3a204fea,
    0xfd5309cf,0x4defec09,0x803fd530,0x5309bdfd,0xdf7003fd,0x13f6a635,
    0x2635df70,0x3a204fda,0xfd5309cf,0x00013609,0x26137bfb,0x76c01fea,
    0x3e21f600,0x09bdfd81,0x9803fd53,0x645b2cfe,0xf880d902,0x98017c6f,
    0x200f741f,0x03dd04fb,0x20004fb8,0x880006f8,0x01fdc06f,0x1fdc17ea,
    0x77417ea0,0x7427dc01,0x0f7fae63,0x01be2000,0x2a215fb1,0x02f881ee,
    0x200df100,0x322ffeda,0x2207f302,0x017c7bed,0x03f21f98,0x3f20fdc0,
    0x003f7000,0x00007dc0,0x3f9807dc,0xf985f500,0xc85f5003,0x43f7000f,
    0x79df71f8,0x80001bfb,0xffd800fb,0xf300efff,0x07dc0007,0x2c8b6200,
    0xdd30fea0,0x002f8f51,0x00be63f3,0x017ccdb0,0x98001b60,0xf980001f,
    0xc800bd01,0x90017a0f,0x000be61f,0x7dcfccdb,0x0005f983,0x3e600fcc,
    0x02feccde,0x4c0007f3,0x22d8001f,0x77fdc02c,0xf8f70efe,0x2e3f3002,
    0x2e7a8007,0x007a8007,0x00fcc333,0x1f986660,0x44002f88,0x8005f11f,
    0x000f71f8,0x02fcf8f5,0x4cc007ea,0xfa807e61,0xf509f503,0x98666007,
    0x22d8001f,0xbca8802c,0x00fe36c0,0xccec87cc,0xcccccccc,0x9d91fccc,
    0x99999999,0x303f9999,0xdffffff9,0xfc9803fd,0xfeefffff,0x8000f981,
    0x0001f33f,0x3333b27f,0xcccccccc,0x13fa1fcc,0x7e4c1760,0xfeefffff,
    0x9807f301,0x9827d42f,0xeffffffc,0x2d8001fe,0x3a0000b2,0x7a802745,
    0x3bbbbbf6,0xeeeeeeee,0xddddfb1e,0xdddddddd,0xcffc83dd,0xfdba99aa,
    0x2b3ff201,0x1fdba99a,0x9d0007b8,0xa74001ee,0xeeeeeefd,0xeeeeeeee,
    0x2e003f61,0xaacffc86,0x01fdba99,0x717200d7,0x59ff909f,0x3fb75335,
    0x1645b000,0xb0fe2000,0x6b9ae00b,0x006b8000,0x3007f900,0x00ff203f,
    0x03ea07e6,0x07d4fe00,0x06b9fc00,0x200b7000,0x401fe47a,0x009b01f9,
    0xc8bf71ea,0x01f9803f,0x00b22d80,0x7c81fb00,0x07d4bb00,0x003ea000,
    0x2007f100,0x03f881f9,0x5f103f30,0xf12f8800,0x52f88005,0xf500001f,
    0x3f89ee00,0x3e03f300,0x641f3003,0x400fe25f,0x2d8001f9,0xfa8000b2,
    0x4402f983,0x000fe23f,0x80007f10,0x3f3000fa,0x26001f50,0x800bd01f,
    0x0017a0fb,0x00fe21f7,0x2007e200,0x4003ea6c,0x00bb01f9,0x54df91ee,
    0x03f3000f,0x01645b00,0x3a05f980,0x7dc3e406,0x0fdc0001,0x001f5000,
    0x1f503fd1,0x203fd100,0x7f3002fa,0xf3002fa8,0x0001fb87,0x1fc406d8,
    0xfd1001f5,0x2003ee03,0xf537e45e,0x03fd1001,0x01645b00,0x5006fe40,
    0x40fea05f,0x5f7001fd,0xf7001fd8,0xf5013e65,0x09f303ff,0x201fffa8,
    0x2f4c02fc,0x74c02fc8,0x2003fb05,0x01fcc2fb,0x404f98db,0x3a01fffa,
    0xb03f200e,0x2027ccff,0x8001fffa,0x8540b22d,0x003feb98,0x3ee239fb,
    0x277f2205,0x13fee620,0x88277f22,0x7e44ffb9,0x37f6a62c,0x7e42abfa,
    0x37f6a62c,0xf902abfa,0x6fe4c13b,0x8277f200,0x9100dfc9,0x5cc413bf,
    0x3bf504ff,0x7e40ff4c,0x37f6a62c,0xf982abfa,0x5fd310af,0xcfc8dfb0,
    0x2b7f6a62,0x36002abf,0x3fe20b22,0x001cefff,0x27ffffdc,0xffffea80,
    0x5400cfff,0xfffffffe,0xffff900c,0x3fe63dff,0xffffc86f,0xfff31eff,
    0x7fffd40d,0xf5003fff,0x07ffffff,0x3ffffaa0,0x5400cfff,0x01effffd,
    0x3ffffff2,0x0dfff31e,0x3fffff62,0x9039100e,0x3dffffff,0xd81bffe6,
    0xdf36feee,0x0ab983dd,0x55cc4000,0xbba88000,0xba880009,0x7510009b,
    0x22000137,0x00009bba,0x001aba88,0x00357510,0x026eea20,0x006aa200,
    0x004ddd44,0x02aea200,0x37751000,0x4ccc0001,0x06666199,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0x07620000,0x16c40000,0x00014000,0x00000050,
    0x0000014c,0x00000000,0x00131000,0x00379730,0x02000400,0xdfc88000,
    0xdfffd701,0x05fd0007,0x1fe88000,0x3bf62000,0x3f620000,0x2a20000e,
    0x27c409bc,0x2e6007c0,0x4c00005d,0x000005db,0x400bfff5,0x04fffffc,
    0x7f901fd0,0xbeefd980,0x7fe40000,0x5effd46f,0x000efcaa,0x80001fec,
    0x20000ef9,0x02feafe9,0xfeafe980,0x7ffcc002,0x3ba3fffe,0xd00fc400,
    0x0000bb7d,0x002edf74,0xffffd800,0x31cfc800,0xff8809f9,0x2605fd82,
    0x00b910be,0x0fffff80,0x3a201bf5,0x04fc8006,0x006fd400,0x641df700,
    0x37ee004f,0x5c013f60,0x3f260adf,0xf8801fdd,0x000b7001,0x00016e00,
    0x02fffd40,0x1fb827cc,0x0b881d40,0x001f8800,0x99bfff20,0x003fb803,
    0x30002fb8,0xfa80009f,0x5009f504,0x013ee09f,0xffa809f9,0x003f1002,
    0x4000016e,0x2000005b,0x1f700098,0x0000fe20,0x007c4000,0x002f6a00,
    0x98002fc0,0x00060000,0x01100620,0x00880310,0x3e600fe6,0x03f1003f,
    0x000016e0,0x000002dc,0xd80d9000,0x20000005,0x0003eba8,0x0db00000,
    0x00000000,0x00000000,0x40374000,0x400fcdf8,0x400adfd9,0x3b30005b,
    0xb80016e0,0x1b200004,0x54c007f0,0x7540009a,0x322000ef,0x7c400003,
    0x00000004,0x00000000,0x00135300,0x1dd003f5,0x3fa607f1,0x2edffdce,
    0xfc8005b8,0x000b700e,0x00007fd3,0x03fb0364,0x7fffedc4,0x44001dff,
    0xffa801fb,0x7dc00001,0x81fffe61,0xf987fffe,0x3ffa07ff,0x7fff987f,
    0x01ffffa0,0x3fffffa6,0x201b202e,0x2a1f21fc,0x3ff980df,0x3a6005b8,
    0x002dc03f,0x2a007bf2,0xca8d9000,0x6fec02fe,0x3fd5309b,0x4409b000,
    0x00000dfd,0x97113f26,0x6e6540fd,0x07ecb887,0x221f732a,0x32a07ecb,
    0x77dc07dc,0x09fb531a,0x87f5013a,0x013e20fa,0x00b707f5,0x7001df91,
    0x0ffa600b,0xd9002f80,0x002ffff8,0x8006f880,0x05ff704c,0x3fb32000,
    0x803dc03f,0x803dc07b,0x803dc07b,0x00fee07b,0x407f0bf5,0x21f984f9,
    0x703b006c,0x03ffa80b,0xf91016e0,0x17c4001b,0xda886c80,0x5c0000ef,
    0xf880a80f,0x0067ec40,0xfffd8004,0x803dc00e,0x803dc07b,0x803dc07b,
    0x007f307b,0x02f88bea,0x8be20dd1,0xccb8004e,0xb10cccee,0x202a61bf,
    0xccceeccb,0x988ffea0,0x00bfaa00,0x1ba60364,0x703f3000,0x87db77df,
    0x02621efb,0x2005dfd3,0x2e01eea8,0xb80f7007,0xb80f7007,0x3a0f7007,
    0x887e4005,0x201fb02f,0x000fe2f8,0x2aaaaaa6,0x3ae5ff52,0x2a61debd,
    0xb12aaaaa,0x85fe81bf,0x2001dfea,0x04f8806c,0x0fcc3330,0x4c1bba88,
    0x27fc44fe,0x001ffff6,0x03dc0bf6,0x03dc07b8,0x03dc07b8,0x02f887b8,
    0x07f0fc40,0x0fcc03f7,0x8800007f,0x81f50dfd,0x3fea005b,0x645cdc82,
    0x6c8000df,0x9303f500,0xddffffff,0xdf90003f,0xe899bb03,0x8000ffff,
    0x200f706d,0x803dc07b,0x803dc07b,0x000f987b,0xf313a3f8,0x2ec7a807,
    0x5df70000,0x803f01b8,0xf980cfd8,0x00fe65c8,0xf1006c80,0xaacffc85,
    0x01fdba99,0x540ffa60,0x7fdc4c8f,0x3f30004f,0x1ee00f70,0x1ee00f70,
    0x1ee00f70,0x274001ee,0x402fc4d9,0x0007dc6c,0x0013fa20,0x77dc03f1,
    0x92e4fa02,0x06c8000d,0x03fc93a0,0xc8801f98,0x25f100df,0x001b984c,
    0x03dc1fc0,0x03dc07b8,0x03dc07b8,0x00fa87b8,0x4be63f80,0x27c400ee,
    0x06e00774,0x10007bee,0x13fa209d,0x7d2e4b90,0x006c8000,0x801fc576,
    0x7fcc01f9,0x0992ec03,0x41f40000,0x80f7007b,0x80f7007b,0x10f7007b,
    0x2f88005f,0x4007e76c,0xafe980fc,0x107fee60,0x9d10009f,0x2600f5c0,
    0x04e9720f,0x02236400,0x000faa7c,0x0dd803f3,0x49907d40,0x880001d8,
    0x7007b82f,0x7007b80f,0x7007b80f,0x70017a0f,0x02ff981f,0x36203f98,
    0x0bdfffff,0x0fe60000,0x321f4000,0x16c01b25,0x26172364,0x1001f53f,
    0x100003fd,0x7f44c85f,0x07ec0001,0x3e6007d4,0x2007d407,0x07d407f9,
    0x7d41fe60,0x307f3002,0x5fb809ff,0x017f5100,0x05f50000,0x3ffe6000,
    0x7f35ffff,0x8d909d00,0x987e40f9,0x7ffd404f,0xffa80001,0x6c5fffff,
    0x200fee2f,0x07f302fc,0x2603ffdc,0x1ffee03f,0x7dc07f30,0x00bf207f,
    0x7bf10bd3,0x32a215df,0x0fc4004f,0x07640000,0x2e400000,0x366033f2,
    0x5fb5514f,0x87f50df8,0x36a62cfc,0x02abfadf,0x904c8000,0x2fbf227f,
    0x07fd5109,0xb730bfd8,0x4055f79f,0xfb730bfd,0x6c055f79,0x9fb730bf,
    0x3f2055f7,0x37f2609d,0xfd30ee80,0x005fffff,0x00003f10,0x0dc06ec4,
    0x21720000,0xffedeffb,0xffff30be,0x7fff543f,0xfffff904,0x3ffe63df,
    0x4c800006,0xfd98bee0,0x01efffff,0xfffffd88,0x01fff71e,0x3fffff62,
    0x01fff71e,0x3fffff62,0x01fff71e,0x3fffffea,0x103f703f,0x40001575,
    0x200001f8,0xfffffff9,0xf700002f,0xb9710bff,0xa8000379,0x5dd4401b,
    0x00000009,0x9817fff2,0x01575100,0x01377500,0x09bba800,0x4ddd4000,
    0x5d440000,0x000c401a,0x000e8000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80000000,0x0310005a,0x300b9800,0x00080001,
    0x00400100,0x001d4001,0x97000000,0x99999999,0x02a60009,0x05bfd700,
    0x99999930,0x09999999,0x4000aa98,0x0000cccc,0x0009f700,0x40007ff5,
    0xfc9beffb,0x41be203f,0x7fc402fd,0xd802fd80,0x005fa82f,0xac800bf5,
    0xaaaaaaaa,0x5aaaaaaa,0xeeeeefe8,0x3a20deee,0xffb30fff,0xd803bfff,
    0x404fb8ae,0xeeeeeefa,0x907eeeee,0x49dfffff,0xdb12fffd,0x000001fd,
    0xf90007f9,0x0001bf7b,0x05ffff5c,0x3e03fea0,0x0ffcc04f,0x7fc027f4,
    0x2007fc84,0x09000efa,0x09d07000,0x23f72e00,0xd531adfb,0x221ae05f,
    0x003ea01f,0x2ffa6364,0xb5fca889,0x1f30179d,0x7ec40000,0x1fec4002,
    0x4c003fd3,0x2fbbdffc,0x2e605700,0x7302b800,0x10173001,0xef980037,
    0x80004801,0x40004e83,0x6403fdf9,0x9902e82f,0x9d003cc0,0xd30077c4,
    0x0f9809dd,0x07f60000,0x2207ba00,0xefa800fd,0x0007dc0b,0x00000000,
    0xd1000000,0x0004801f,0x0004e838,0xc801ffcc,0x5a807c0f,0x45f10000,
    0xff8800ed,0x0007cc04,0x20001300,0x1000c009,0x00006c80,0x00000000,
    0x80380000,0xe8380004,0x2fcc0004,0x2e87d100,0x20000990,0x800be67b,
    0x07cc04fb,0x00000000,0xd0000000,0x04d4c009,0x01a98800,0x00000000,
    0x70000900,0x980009d0,0x22e4003f,0x001f886b,0x03dcbb00,0xf3013e20,
    0x00035301,0x00000000,0x677fee44,0x74c03f51,0x02efffff,0xffffff70,
    0x3ffe603d,0x1ffffa07,0x00240000,0x042741c0,0x8003f300,0xc9bed87a,
    0xf100003f,0x74002e45,0xd887cc04,0x00dfffff,0x3fffffa2,0xfffd1002,
    0xfb8005ff,0xdfecbcdf,0x5df704f8,0x813f6a63,0x5309cfe8,0xd97109fd,
    0x3ee6540f,0xfffffe88,0x80004802,0xffdace83,0x7cc00dff,0x407d4001,
    0x7302dfeb,0x360fa800,0x404e8005,0x1aef98f9,0x5c05fd73,0x002fcccc,
    0x0bf3332e,0x300cfd80,0x7f70fbdd,0xdd05fa80,0x204fb803,0x40f7007b,
    0x02fccccb,0x83800048,0xcabdfffe,0x0be603fe,0x5000d900,0xd8007df9,
    0x22003dc5,0x7dfcc04f,0x00bf6204,0x7c0002f8,0x005f5002,0x3f983ffa,
    0xfc85f500,0x203f7000,0x00f7007b,0x004802f8,0x01bb8380,0x2fcc07f2,
    0x54017a00,0x0000befd,0x001fa87f,0xff3013ea,0x003b6009,0x3e00017c,
    0x004f8802,0x05e87fe2,0x2f987e40,0x7b836c00,0xf800f700,0x80004802,
    0x41b60003,0xf7002ff9,0x5efed403,0x07cc0000,0xff880374,0x0077cc04,
    0x5f003f88,0x802f8000,0x7e4000fa,0x88005f12,0x5000f71f,0x5c01ee0f,
    0x4017c007,0x00380004,0x3e607e60,0x27d401fe,0x02f7f6a2,0x306c8000,
    0xefd8809f,0x001fcc04,0x017c0172,0x3200be00,0x32fa8006,0x27f0001f,
    0xccccccec,0xfccccccc,0xf7007b81,0x4802f800,0x00038000,0x647cc1fc,
    0x2fecc1cf,0x5cc056e4,0x07d0000a,0x510577d4,0x9809b1df,0x03dc002f,
    0x7c0002f8,0x8005d802,0x000f71f9,0x7777ed3a,0xeeeeeeee,0x07b81eee,
    0x2f800f70,0x38000480,0x4c274000,0xfdfff70f,0xd88005ff,0x4003fedf,
    0x7f4401f9,0xb0dfffef,0x001f9809,0x17c007d4,0x200be000,0x0fa8006c,
    0x7f0001f5,0x700001ae,0x001ee00f,0x0009005f,0x4e800070,0x65cc0f98,
    0xcd80009b,0xb800fa60,0x2f2a6006,0x26026c09,0x03dc002f,0x7c0002f8,
    0x000fa802,0x005f13e4,0x01f52f88,0x803dc000,0x017c007b,0x01c00024,
    0xf305f100,0xf3000001,0x7400f501,0x26c00004,0x9000fe60,0x000be00b,
    0x5f3005f0,0x2f45e800,0x7c43ee00,0x1ee00003,0x3e003dc0,0x80004802,
    0x07ea0003,0x000003e6,0x800f812e,0x400001f8,0x037cc04d,0x3e009f10,
    0x017c0002,0xf7001fc8,0x3002fa83,0x001fb87f,0x9801f500,0x017c007f,
    0x31c00024,0x982f4007,0xa800000f,0x2e003e04,0x4d800007,0x801ffcc0,
    0x05f000fd,0x2002f800,0x27dc01fe,0x74c02fc8,0x2003fb05,0x03f982fb,
    0xf001ffee,0x00009005,0x20077d47,0x01f300fc,0x203a0000,0x009b007a,
    0x9809b000,0x7e403fcf,0x000be002,0x74c005f0,0xfb510acf,0x09dfc80b,
    0x44037f26,0x26209dfc,0x3f604ffb,0x79fb730b,0x0be0055f,0x0e000120,
    0x22159fd5,0x3e602fea,0xb7000000,0x44017541,0xd800002f,0x51f95504,
    0x3a6213bf,0xaaaa883f,0xaaaacfba,0x2aaaa21a,0xaaaacfba,0x3ffee01a,
    0x5002fffe,0x7fffffff,0x3fffaa00,0x400cffff,0xefffffd8,0x221fff71,
    0xcfbaaaaa,0x121aaaaa,0x7640e000,0x80efffff,0xeeefeed8,0x3200002e,
    0x3001dedf,0xdb10000f,0x23bdffdd,0xd30ffff8,0x03dfffff,0x3ffffff2,
    0x6fffffff,0x3ffffff2,0x6fffffff,0x00aba980,0x03575100,0x26eea200,
    0x9bba8000,0xffff9000,0xffffffff,0x666664df,0xcccccccc,0x4405cccc,
    0x66400ab9,0x01cccccc,0x00544000,0x99000000,0x03999999,0x0055d440,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00002aa0,0x00599930,0x00000d4c,0x3b510001,
    0x00008000,0x80079930,0x0001bca9,0x006f2a60,0x00d54400,0x0001edc0,
    0x08157730,0x07ffffe6,0x077fffd4,0x000efe44,0x800003fd,0x4405feea,
    0x0dfffffd,0x5c09fff7,0x201dfffd,0x01fffda8,0x0007e200,0x2017fba0,
    0xfdcdffe9,0xe98001ef,0xeffdcdff,0xfffc8001,0x0698dfff,0x25dfbff3,
    0xfb5007d8,0x21bfffdf,0x79df712f,0x3bf32201,0x0dfff903,0x0000ff40,
    0x7d40bb00,0x3dd731be,0xd10399f7,0x9fb759df,0xf57dffb0,0x17c40003,
    0x363ee000,0x805fdc05,0x2e003fb8,0x7f7100bf,0x26fba600,0xfdfea988,
    0xfb30cd80,0xf5005ffd,0x7f54415b,0x007e42fb,0x3fe02f88,0xfd000fff,
    0x6c000003,0x401bf305,0x3a206dfc,0xb87f701e,0x0007e20b,0x20002f88,
    0x740bb4f8,0x1dd1001e,0x1001ee80,0x6fcc01dd,0x007fe400,0x30039950,
    0x5ff7007f,0xd9003f88,0x05fffc80,0x00002aa0,0x0dd05d80,0xfd81bf60,
    0x200fdc01,0x220001f8,0x3f20002f,0x01720bb0,0x0b902ec0,0x205d804c,
    0x03f6005e,0x1fcc0000,0xf905f900,0x7005f100,0x0000017b,0xa85d8000,
    0x0df1001f,0x27400fe2,0x80007e20,0xf30002f8,0x87cc2ec5,0x1ceeeeea,
    0x0f982f88,0x47767f44,0x3ea0be25,0x201ea001,0xd0009aa9,0x82f8800d,
    0x036403f8,0x00000000,0x85d80d44,0x8374006b,0x01b20058,0x440003f1,
    0x8db0002f,0x3417445d,0x83ea1326,0x217442e8,0x207d45e9,0x8808005c,
    0xffffffdb,0x00be201d,0x03e40320,0x000007f1,0x7f5c0000,0x1762dfff,
    0x0d900176,0x101b2000,0x7c40003f,0x41fa8002,0x0683545d,0x3545b039,
    0xd859815c,0x80002742,0x5309bdfd,0x01ea03fd,0x40fe2000,0x4400006c,
    0x02fffffe,0x444dfec0,0xb0bb3fca,0x006c800b,0xf8809d00,0x99998801,
    0x9999bfa9,0x3617a009,0x506825c5,0x425c9707,0x225c0c06,0x0000003f,
    0x03641be2,0x887c8000,0xb800003f,0x002fcccc,0xcfa807b6,0x4006c85d,
    0xfb80006d,0x200fc401,0xfffffffa,0xffffffff,0x5d80fb84,0x1d0681ec,
    0x261ecb50,0x745a8004,0x40000003,0x004d80fb,0xc87f1000,0x06666007,
    0x2005f100,0xff9800fc,0x1000fa85,0xf98000df,0x401f8804,0xbaaaaaa8,
    0xaaaaaacf,0x5d81fc40,0xa99e80f4,0x74f102ec,0x44001541,0x00002ec7,
    0x3a07e600,0x32000004,0x5c00fe27,0x44006fff,0x005f002f,0x05e82fe4,
    0x4000dfb0,0x3f1005f9,0x017c4000,0x22ec0d90,0xf999d01e,0x83d3cc01,
    0x4798003a,0x000000fb,0x40fcc333,0x2000004e,0x400f93f8,0x4001fffd,
    0x079802f8,0xf982fc40,0x0377dc03,0x2005f980,0x220001f8,0x05f3002f,
    0x340f62ec,0xb2d403a6,0xa8004887,0x2002fc45,0xfffc984a,0x81feefff,
    0x4000005d,0x1003f8ec,0x10009fff,0x00d7005f,0x6fdc0bf0,0x35d7ecc1,
    0x002fcc00,0x880007e2,0x80dd002f,0x86825c5d,0x25c99068,0x13200074,
    0x362013ea,0x567fe44f,0x1fdba99a,0x000006c8,0x5003f7c4,0x10001fff,
    0x009b005f,0xfe980bd0,0xd71effef,0x005f9800,0x20001f88,0xdf9802f8,
    0xeccccccc,0x1a0d51ce,0xd51741dc,0x21660930,0x15df702e,0x21ffe544,
    0x1f9803fc,0x00000fb8,0x9001fe40,0x220007ff,0x005c802f,0x973005f8,
    0x2006b815,0xf10005fa,0x17c40003,0x7ffffcc0,0x5fffffff,0x09e988fa,
    0x3a1ae1e8,0xb98ae983,0x26035c0e,0xfffffffe,0x801fc40b,0x03f881f9,
    0x07e40000,0x000dff00,0x3d4017c4,0x0017e200,0xfa8035c0,0x07e20005,
    0x002f8800,0x3e617600,0x30999931,0xf303f139,0x03795103,0x2a2003f1,
    0x3ea01abf,0x203f3000,0x144000fb,0x30027c40,0x440003ff,0x02f8802f,
    0x00017ee0,0x27dc02e4,0x007e2000,0x0001f880,0x075c1760,0xb8136200,
    0x26c4000e,0x54007400,0x1fe8800f,0xe98017a0,0x000fb805,0x100013ee,
    0x03f6005f,0x0017fe20,0x3ee01f40,0x1f880004,0x0001c000,0x2fc81760,
    0x900bd500,0x17aa005f,0x201fec00,0x7fd404f9,0x07be201f,0xf001df50,
    0x00498009,0x1002f880,0x6f4c01bd,0xfc80005e,0x000ff201,0x0000fc40,
    0x17600000,0x8813bf50,0x2a002fc9,0x64c409df,0x3c40002f,0x53167e40,
    0x557f5bfb,0x426ffe60,0x7005fca8,0x0000001f,0x8800be20,0x3ee60afe,
    0x00155db4,0x3203fc98,0x54b5002f,0xacfbaaaa,0x2aa22aaa,0xaaaaaaaa,
    0x800aaaaa,0x01aeeaaa,0x3bbbfb22,0x88000def,0xefeeefec,0xcf98000d,
    0xff9006ca,0x263dffff,0x32206fff,0x2effffff,0xfeeeed88,0x00003eef,
    0x75555510,0x3555559f,0x3ffff220,0x3fff64ff,0xddddd902,0xadf805ff,
    0xaaaaaaaa,0x3fffa7da,0xffffffff,0xfffff50f,0xffffffff,0xff9809ff,
    0x1005ffff,0x00001353,0x0004d4c4,0x005edcc0,0x01377510,0x2aea6000,
    0x33332200,0x002ccccc,0xffff7000,0xffffffff,0x157300df,0x6665c000,
    0xff800acc,0xffffffff,0x00007fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x9acb9800,0x99980020,
    0x19999999,0x0abca880,0x5e5d4400,0x0000020a,0x80ccccc4,0x08199998,
    0xb7100020,0x32ea0007,0xfff301bc,0x3ffff40d,0x001e6644,0x332ea000,
    0x332609ab,0xcc80002c,0x4001cccc,0xffefffd9,0xfb005f3f,0xffffffff,
    0x3fa209ff,0x00cfffef,0xffefffb8,0x7b00f8bf,0xffff7000,0xfffa89ff,
    0x0ff25fff,0x7cc01be6,0xfb12efdf,0xddfff910,0xcb881bff,0x3732a06e,
    0x06fee987,0xffb10000,0x21fffffd,0x0004feea,0x7f7776c4,0x2f7e6002,
    0x3fff2a21,0x99998803,0x0999afa9,0x260aefa8,0x67e406fb,0x0fffe440,
    0x730004e8,0x3301333f,0x7f413bd3,0x800ffa85,0xfdfb30cd,0x019ff05f,
    0x1ae01ff5,0x1b203dc0,0x3ba20000,0xd80cc40b,0xf8800004,0x009f3002,
    0x40007fd1,0x2fd401f9,0x7d417a60,0x80ffd403,0x1ea0004e,0x17309d00,
    0x50000ae0,0x00fe0199,0x01ae0bf1,0x01b203dc,0x007ee000,0x000026c0,
    0x7cc017c4,0x00fe6004,0x2201f980,0x07d1004f,0x07fa00bb,0xf5000274,
    0x0004e800,0x3e000000,0xb81fa802,0xc80f7006,0x6d800006,0x00136000,
    0x200be200,0x02e8006d,0xc807e600,0x0bea000f,0x03e6007f,0xf5000274,
    0x0004e800,0x04d4c000,0x17c40060,0x07b8035c,0x40000364,0x1360004e,
    0x0be20000,0x00000fe0,0x4c07e600,0x44e8003f,0xf98a003f,0xffffffff,
    0xf501ffff,0x0004e800,0xfffe9800,0x80002eff,0x7006b83f,0xa986c80f,
    0x009d0001,0x000026c0,0x3e6017c4,0x80000001,0x00f701f9,0x00db1aa0,
    0x3bf32e20,0xbccccccc,0xe800f500,0xffffe884,0x77dc002f,0x09fb531a,
    0x5c07d400,0xc80f7006,0xfffffb16,0xffffc807,0xefffffff,0x3f213601,
    0x1003ffff,0x007b805f,0x3f300000,0x44001b20,0x0013e60f,0xa80013a0,
    0xb8274007,0x002fcccc,0xbf500fee,0x20bd1000,0x80f7006b,0x89bef9ec,
    0x32a04fdb,0xccccefcc,0x13600bcc,0x0733bfa6,0x36017c40,0x00000005,
    0x013603f3,0x7fd42f80,0x4e8000ac,0x001ea000,0x017c009d,0xf5003f98,
    0x0ffd4005,0x0f7006b8,0x2e04ffc8,0x009d001f,0x6fd426c0,0x02f88000,
    0x0000026c,0x7f01f980,0xb81f4000,0x01bdfffd,0x2a0004e8,0x00274007,
    0x017a005f,0xea801f90,0x01ae00df,0x13f203dc,0x3a009f10,0x71360004,
    0x7c40009f,0x00026c02,0x01f98000,0x1f40007d,0x27f65cc0,0xa80013a0,
    0x00274007,0x05f1005f,0x3601f880,0x0fb801df,0x3203fcc0,0x200d9006,
    0x9360004e,0x440003fc,0x202ec02f,0xfffffffd,0x7cc00765,0x4000bb01,
    0xdfa8002f,0x40009d00,0x0274007a,0x1f3005f0,0x7407f000,0x80fee004,
    0x36407ffb,0x9d007b80,0x6c66c000,0xf880002f,0x2a036402,0x2dfccccc,
    0x0fcc00be,0xf10006c8,0x0be60001,0xf5000274,0x2004e800,0x007b802f,
    0x027409d0,0x2617ff70,0x2afbbfdb,0x1ee00d90,0xb0002740,0x0000bfdd,
    0x0f500be2,0x05f0fe00,0x3dc07e60,0x0006a800,0x004e82ec,0xe8003ea0,
    0x200be004,0x3f8000fa,0xfb8006a0,0x1efffffc,0x1b20dff7,0x4e803dc0,
    0x2fbf6000,0xf880004f,0x000fcc02,0x400be1fc,0x07f100fa,0x0164bd00,
    0x02741ee0,0x2003f100,0x0be002f8,0x1000be20,0x5c00005f,0x00026ea6,
    0x03dc01b2,0x360004e8,0x00013ea5,0x0dd005f1,0x02f87f00,0x0fc80f90,
    0x6e8bea00,0x4e836400,0x801f4000,0x0be001fb,0x2e002f40,0x2e00000f,
    0x1b200006,0x4e803dc0,0xf5136000,0x17c40007,0x2001fcc0,0xf801fc3f,
    0x802fc405,0x00ff45f8,0x0bb04f88,0x800fb800,0x017c006e,0xf3002fa8,
    0x6b800007,0x01b20000,0x04e803dc,0x3ee13600,0x05f10003,0x40033ee0,
    0x201fec3f,0xdfa800fd,0xd03fe600,0x1fb001df,0x2a007f20,0x200de881,
    0x17c001fd,0x9805f900,0x3ffa205e,0x000d7004,0x7b803640,0x40009d00,
    0x007f704d,0x54005f10,0x64c09bff,0xaefb82ff,0x005fb510,0x730df7cc,
    0xfbbd01df,0x1ffa8839,0x882fbe20,0xd103ffc9,0x3faa215d,0x002f8003,
    0x9304efe4,0x7fdc01bf,0x06b801ff,0x401b2000,0x009d007b,0x7f7026c0,
    0x002f8800,0x7ffffec4,0x2600bfff,0x0efffffe,0xfffd8800,0x7900cfff,
    0x3fffffee,0xfe9800df,0x1cffffff,0x7fffec40,0x2aa201ef,0xaacfbaaa,
    0x3ea01aaa,0x03ffffff,0x00ffffa8,0xa80006b8,0x5502aeda,0x554155fb,
    0xaaaadeaa,0xeaa881aa,0x2affaa04,0x2aaaaa62,0xaaaaacfb,0xabba8801,
    0x55d44001,0x77300001,0x75300015,0x53000157,0x20001359,0xfc801ab9,
    0xffffffff,0x8806ffff,0x4c001aba,0x053000bc,0xffff8800,0xfffe81ff,
    0xffff12ff,0xffffffff,0x09fff70b,0x3fffffe6,0xffffff90,0xdfffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x400b2e60,0x44009998,0x4ccc0999,0x4ccc0199,
    0x26620999,0x00099999,0x26666662,0x4c000099,0x99999999,0x20199999,
    0x09999998,0x4cccc400,0x80019999,0x99999998,0x26662000,0x99999999,
    0x4cc40999,0x4ccc4009,0x26666620,0x10000999,0xfeffc800,0x3ffe604f,
    0xfff503ff,0x3fff25ff,0xff503fff,0x3e2dffff,0xffffffff,0x3fea03df,
    0xffffffff,0x7ec001df,0xffffffff,0x80ffffff,0xfffffffa,0xfff5000f,
    0xffffffff,0xfff5007d,0x9dffffff,0x7fffd405,0xffffffff,0x3fe25fff,
    0xff503fff,0x3ffa5fff,0x1fffffff,0x7bdd7100,0x21cfb801,0x3ea605fa,
    0x5fd4c01b,0x267f2621,0x6f4ccc01,0x26fe6609,0xefdb9999,0x33d93300,
    0x9fd75333,0x6eccc400,0x99999fb9,0x33300fa9,0x005f5f73,0x4ccf64cc,
    0x0effc999,0x4cd7dcc0,0x0dfdb999,0x333d9330,0xb3333333,0x09bfa98b,
    0x886fea60,0x9999bf99,0x4c2fa001,0x417e205d,0x07ec00e9,0x5f103740,
    0x102f8800,0x1fe8805f,0x3ee01b20,0xf53f8003,0xc8007cc0,0xd9000bb6,
    0x500bf300,0x0ef9801f,0x5d801b20,0xdd001f90,0x20003f80,0x501f885b,
    0xf880005f,0x2007dc04,0x03dc005d,0x1ba005f1,0x1f7006c8,0x7a8fcc00,
    0x7c003e60,0xc8001f53,0x805f7006,0x4f8800fa,0x5d801b20,0xfb80bf10,
    0x0001fc01,0x0f703e80,0x40bea000,0x0fa803f8,0xf8813a00,0x205f3002,
    0x00fe006c,0x981ea7b8,0x20fa800f,0x0364003f,0x7d403f88,0x203f7000,
    0x8176006c,0x07f102fa,0xfffffff0,0xd50005bd,0x0003ea01,0x374076c0,
    0x26007f00,0x00be201f,0x06c80fc8,0x4d8013a0,0x00f981ea,0x003645d8,
    0x03f801b2,0xbd0007d4,0x2a801b20,0x36c07ec0,0xaaaacf80,0x000dfeca,
    0x0fc403f7,0x44f88000,0x1b2001fb,0x3e203640,0x207e2002,0x03f3006c,
    0x47a8be20,0x17c40040,0x6c8007e6,0xa803f300,0x41ea000f,0x0003906c,
    0x01fb89f1,0x6ea807f0,0xe800ec80,0x3ea00004,0x98007f11,0x01fc401f,
    0x7f000be2,0xdb100d90,0xf507d400,0x2e000fc4,0x64009d07,0x806f9806,
    0x3e6000fa,0x07f06c81,0x7c4bea00,0x200fe004,0x1bb104f9,0x3b666620,
    0x40001999,0x0006d8ed,0x00fa809d,0x360017c4,0x7d406c84,0x51b2001f,
    0x003f533f,0x01f704e8,0x26667b20,0x205fdba9,0x99afb998,0x20be0099,
    0xf99999ec,0x23b60003,0x01fc006d,0x04e887b8,0x7fffffec,0x20002fff,
    0x0001fef8,0x805e80f7,0x2ec002f8,0x655557e4,0x4001effd,0x7fffd44e,
    0x07e6001f,0xfc8017c4,0xffffffff,0x3fffe01f,0x0fffffff,0xfff907f0,
    0x0007ffff,0x000ff7c4,0x07cc00fe,0x441105f5,0x99bf9999,0x77754001,
    0xeeeefffe,0x205f1003,0x2f8802f8,0x7e42ec00,0x1fffffff,0x542f8800,
    0x001fa99f,0x00db01b2,0x266667b2,0x104fdcba,0x3335f733,0x641fc013,
    0x3f99999e,0x027d4000,0xfa801fc0,0x9999df10,0x02f807d9,0x54cccc00,
    0x009999bf,0x03e41b60,0x74002f88,0xfd886c83,0x99fa8004,0x07e27b99,
    0x9999cf80,0x800fb999,0x1df3006c,0x10007d40,0x3e0d905f,0x17c40003,
    0xd801fc00,0x55555546,0x017c01aa,0x00be2000,0x9f01f300,0x800be200,
    0x206c82f8,0x7ec005fb,0x047fffff,0xfffff500,0x09ffffff,0x7c400d90,
    0x8003ea03,0x906c80f9,0x2f880003,0xb803f800,0x2200003f,0x4400001f,
    0x4e80002f,0xf88007d4,0x203ea002,0x027cc06c,0x733337f0,0x4eec000f,
    0x99999999,0x006c806c,0x01f50364,0x06c835c0,0xf88005c0,0x203f8002,
    0x00a04fc8,0x80003ea0,0xfffffffa,0x4003ffff,0x10036c7b,0x8364005f,
    0x02fb806c,0x07a80f98,0x017c424c,0x36401f88,0x5403ea00,0x413a000f,
    0x01fc006c,0xf8002f88,0xfedccccd,0x0007403f,0x200001f2,0x880002f8,
    0x4005f12f,0x7f5002f8,0x7ec01b20,0x7a835c00,0x03d435c0,0x0d9017a0,
    0x3ea06b80,0x203f9000,0x01fc006c,0xf8002f88,0xbdeeeeee,0x2000e800,
    0x05d003f8,0x0000be20,0x000fbaec,0x3e600be2,0x4401b206,0xa827404f,
    0x27436407,0xc803ea00,0x813a2006,0x4fb800fa,0x7f001b20,0x000be200,
    0x360000fe,0x00d9003f,0x7c4003e6,0x1f500002,0x2f88009d,0x803bee20,
    0x07ee006c,0x07a817c4,0x007e2364,0x36407f10,0x200fe880,0x3ee200fa,
    0x20036405,0x05f1003f,0x00007f00,0x37faa03c,0xaaaaaaaa,0x555405eb,
    0x002aacfb,0x000fefc0,0x55559f75,0x101bffb7,0x1555fb55,0x511aee80,
    0x655437f9,0xaaaaaaaf,0x55fb516d,0x75554015,0xdb5511ae,0x75555555,
    0x2a201dfb,0xbaaaabfc,0x55104ffe,0x555555fb,0x07f55555,0x33eeaaa6,
    0x55302aaa,0x0555559f,0x0b959f30,0xffffffe8,0x0bffffff,0x3ffffe20,
    0x0001ffff,0xf8801bf2,0xffffffff,0x3fea00ad,0x402fffff,0xfff75ff9,
    0x3fffe2bf,0xffffffff,0xffffff76,0x3fffe607,0xffff55ff,0xffffffff,
    0x7fd4015b,0xcfffffff,0x3ffea00a,0xffffffff,0x903fffff,0xffffffff,
    0x3fff60df,0x01ffffff,0x000bdb98,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x10000000,0x98033333,
    0xb8009999,0x9988003d,0x4ccc4009,0x4cccc419,0x99999999,0x26620999,
    0x99999999,0x00ccc409,0x31066620,0x99880133,0x4ccccc09,0x31000999,
    0x26013333,0x99980999,0x00099999,0x880cccc4,0x4cc41999,0x99999999,
    0x22099999,0x99999999,0xff980999,0xfb06ffff,0x205fffff,0x12efdff9,
    0x3ffe20fb,0x3ffe606f,0xfff15fff,0xffffffff,0x649fffff,0xffffffff,
    0x3fe26fff,0xff1003ff,0x3ffe67ff,0xfff503ff,0x3fffa5ff,0xefffffff,
    0xfffff503,0xfffc87ff,0x3fff62ff,0x02ffffff,0xbfffff50,0x5fffff98,
    0x3fffffee,0xffffffff,0x3ffffe5f,0xffffffff,0x999de980,0xf9333100,
    0xd9866c03,0x2602ffef,0x2603ffa9,0x2609de99,0x99999fb9,0x4e999999,
    0x266667b2,0x4c6d9999,0xd9007cfb,0x7e4c13db,0x6fd4c01a,0x26fe6621,
    0xefca9999,0x99ec9981,0x1dfc9881,0x4fdcccc4,0x64c00199,0xc998099e,
    0x267ee09f,0x99bfa999,0x2625e999,0x99bf9999,0x01760199,0xa8003640,
    0x9f3001cc,0x40bb001f,0x93a000fa,0x82fa805c,0x4402f8fa,0x3ba05cbf,
    0x200ed800,0x0774403f,0x4fb806c8,0x0001f500,0x0f7006c8,0x407e20d7,
    0x017c405d,0x6c001b20,0x20000005,0xd805e8f9,0x8003ea05,0xf101724e,
    0x036dea0b,0x881723ee,0x00fe405f,0x17e200fe,0x0ff20364,0x0000fa80,
    0x87b80364,0x203f106b,0x017c405d,0x275c1ee0,0xa98004d8,0x547cc001,
    0x502ec01f,0x9274001f,0x500ed80b,0x4e807e6f,0x03fa80b9,0x07f007f5,
    0x03641ee0,0xfa8005fb,0x03640000,0x106b87b8,0x1017603f,0x07a8005f,
    0x20fa0ffd,0xffb16ffb,0x26009fff,0x5d80db0f,0xb8003ea0,0x1fb81722,
    0x505e9ea0,0x2e01723f,0x8027c41f,0x01f3003f,0x007f60d9,0x00003ea0,
    0x21ee00d9,0x203f106b,0x017c405d,0x7f103e60,0x9305f03f,0x137dd3dd,
    0xf3009fb5,0x5d80fe21,0x0aa03ea0,0x1fcc0660,0x80fa9ea0,0x6c01725d,
    0xf801ba0e,0x320f7003,0x000ff446,0x40000fa8,0x70f7006c,0x6c07e20d,
    0x0017c404,0xd1f707e2,0x2e01f889,0x0bea05ff,0x07e41f30,0x03ea05d8,
    0xdd000176,0x44e8f500,0x401722f8,0x001f95e8,0x05d801fc,0x007744d9,
    0x0001f500,0x0f7006c8,0x880fc402,0x0017c400,0x3657617c,0x5fb803e6,
    0x7cc04f80,0x05d82740,0x266667ea,0x3f20005d,0x3dc7a800,0x400b91b2,
    0x4002fef9,0x02fc803f,0x00bfe6d9,0x0001f500,0x99999ec8,0x007c9999,
    0x10000fc4,0x87f0005f,0x7d41f53f,0x2003ee00,0x207cc07c,0x205d81fa,
    0xfffffffa,0x05f30005,0x27f11ea0,0x002e43f8,0x3e0017ee,0x07fb3103,
    0x7f6fd764,0x1f50000d,0xfffc8000,0xffffffff,0x00fc4007,0x0005f100,
    0xf88fcc9d,0x0d701ee2,0x1f301ee0,0x40bb0db0,0xd99999fa,0x05f88005,
    0x5db21ea0,0x1002e40f,0xf8001ffd,0xffeeeeee,0x27fe402e,0x50003ff9,
    0xec80001f,0x99999999,0x7c4007c9,0x0be20001,0x47c97600,0xd701ae5d,
    0xf301ee00,0x5d87f301,0x17603ea0,0x8003f600,0x4eaf887a,0x3f6005c8,
    0x77c006e9,0x02bceeee,0xdd309f90,0x001f5000,0xb8036402,0x00fc4007,
    0x0005f100,0x9ee274d9,0x8035c05c,0x807cc07b,0xa81760fc,0x4003a80f,
    0x502601fa,0x207ff60f,0x23f7005c,0x0fe004f9,0x881b2000,0x07d4004f,
    0x36407cc0,0x44007b80,0x3e20001f,0xf16b8002,0x09b1f985,0x0f7006b8,
    0x9f100f98,0x01f502ec,0x809f1000,0xf983d44e,0xf300b905,0xf002fa87,
    0x0d900007,0x2a001fa8,0x80f9800f,0x00f7006c,0x20001f88,0x7a8002f8,
    0x3a7f01f5,0xb8035c03,0x5007cc07,0xfa81763f,0x06e80000,0x003d44e8,
    0x2f4405c8,0x3f801fc8,0x806c8000,0x03ea005e,0x1b203e60,0x22003dc0,
    0x3e20001f,0xd8f98002,0x00fed906,0x01ee00d7,0xb6e801f3,0x0007d40b,
    0x3a007ee0,0xc8003d44,0xd0076c05,0x003f801d,0xfa806c80,0x001f5001,
    0x00d901f3,0x3f1001ee,0x017c4000,0x81fcfc40,0x5c02f8fa,0x980f7006,
    0x6d7cc00f,0x0003ea05,0x9d003f98,0xb90007a8,0x2200fdc0,0x001fc05f,
    0x4e803640,0x3001f500,0x200d901f,0x0fc4007b,0x005f1000,0x4407f3e0,
    0x35c01fcf,0x7cc07b80,0x05efc800,0x440003ea,0x513a005e,0x4172000f,
    0x7f3003f9,0x40001fc0,0x01f7006c,0xf3001f50,0x2e00d901,0x00fc4007,
    0x0005f100,0xffb01ffe,0x2bf6aa01,0xafda880a,0x55fe5442,0x0bff101a,
    0x5557f955,0x57f50035,0x55555555,0x3f2a29d5,0x2aa00aaa,0xf511aeea,
    0x2a20355f,0x5531bfda,0x0555559f,0x55fb5510,0x2b3e2015,0x3f2aaa62,
    0xaaaaaaab,0x36aa0fca,0xdaa81aaf,0xaa980aaf,0x1aaacfba,0xf7555530,
    0x00555559,0x7fb80bfd,0x3fffffa0,0x6ffffb82,0x7fffffd4,0xf117ee04,
    0xffffffff,0xffff500d,0xffffffff,0x3fffea9f,0xfff103ff,0x3feabfff,
    0xff705fff,0x3ff69fff,0x1fffffff,0x7ffffcc0,0x3ff602ff,0xfffff90f,
    0xffffffff,0x7ff41fff,0x7fcc4fff,0xfd82ffff,0xffffffff,0xfffffd06,
    0x1fffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0011ba80,0x08002000,0x001d0000,
    0xdae44000,0x8800000c,0x002a201a,0x00135530,0x001aa880,0x00035530,
    0x80003531,0x7cc009a9,0x3ffa07ff,0xffffc87f,0x7fffffff,0x7ffffe40,
    0x0aa98006,0xfb801fb8,0x17c40005,0x7e440000,0x009ff52f,0x3fffae00,
    0x3fffa62f,0x3ff6e203,0x001dffff,0x7fffffe4,0xfb70698d,0x955dffff,
    0x7ffffdc0,0xfd3001ef,0x205dffff,0x2a07ecb8,0xcfc87dcc,0xdccccccc,
    0x42fee05f,0xfd3000ca,0x2e5dffff,0x0df9004f,0x002f8800,0x41ffdc00,
    0x0003ffc8,0x366277ee,0xd9aee89f,0x37bfb03f,0x007faa61,0x2226fba6,
    0x40fdfea9,0xb7309cfd,0x9fd10dff,0x13faa613,0x2635df70,0x3dc04fda,
    0x06c87b80,0x9d007744,0x577e4000,0x9fdfd931,0x0005c400,0x0000be20,
    0x20067f54,0x0002efc8,0x21b7b601,0xf10000fb,0x00df980d,0x7f507fe4,
    0xee86fa80,0xb827dc01,0x02fd403f,0x21ee00f7,0x0077406b,0x320001f3,
    0x07fe403f,0x44000000,0x6cc0002f,0x6cc001df,0x500001df,0x013a03ff,
    0x3a00fb80,0xc83f6005,0xfc8db007,0x983f7000,0x05f5003f,0x43dc01ee,
    0x007f6018,0xf50003f3,0x4fcfa805,0x88000000,0xf910002f,0xea80005d,
    0x440000cf,0x003ea06f,0xfa80fcc0,0xf51ea001,0x7cc31005,0x3a36c002,
    0x407e4005,0x00f7007b,0x9d001fc8,0x405f8800,0x003f54fa,0x2f880000,
    0x02ffc800,0x1ffdc000,0x27c46200,0x33003f10,0x5c80fcc3,0x7f440800,
    0x01ee000b,0x02f89ea0,0x3dc0fc40,0x2e007b80,0x03ea002f,0x2a00f980,
    0x0002744f,0x00be2000,0x0003ffa8,0x0bff2200,0x7fff6544,0xcccccdfe,
    0xfc982fcc,0xfeefffff,0x00009d01,0x66f7ffe4,0xcccec80a,0xcccccccc,
    0x01f31fcc,0x0f707f00,0x7d401ee0,0x005e8003,0x85fa81ee,0x3bbba65d,
    0xeeeeeeee,0xddb33eee,0xdddfdddd,0x3aa5dddd,0x000000cf,0x543dfb10,
    0xdb9acfff,0xeeeeeeef,0x67fe42ee,0xfdba99aa,0x00007f01,0xffecaa88,
    0x7777ec2f,0xeeeeeeee,0x00f71eee,0x01ee13a0,0x27cc03dc,0x0bff6200,
    0x5fa83640,0x6664cd70,0xcccccccc,0x9912cccc,0x9bf99999,0x26399999,
    0x00001dfd,0x23bfb300,0x7f101df9,0x803fc800,0x007d01f9,0xf9510000,
    0x400035c9,0x3f8000fa,0x0f7007b8,0x4c005f98,0xfe86d9ef,0x17e61ee2,
    0x000005c8,0x50017c40,0x000019fd,0x90bbf220,0x027c401f,0x26007f10,
    0x000bb01f,0x50fa8000,0xf880001f,0x417c4002,0x40f7007b,0x740c05e8,
    0xdf993e25,0x5f983ea0,0x00002740,0x000be200,0x0000ffee,0x2e05ff70,
    0x0037c406,0x3e6001f5,0x0001f701,0x4fe002cc,0xe80003f8,0x407dc005,
    0x3fcc00fa,0x2200ee88,0xf707e21f,0x53e21f23,0x17cc05f9,0x22000000,
    0xf910002f,0xfa80005f,0x007cc03f,0x2a005ff7,0x1fe8800f,0xa800bf10,
    0x26003f74,0x0007ee3f,0x26005f50,0x407f303f,0x1db07ffb,0x1ee2f880,
    0xf703fb74,0x5e880bf7,0x88000000,0x6c40002f,0x754001ef,0x0bf000cf,
    0x541bffee,0xa809f33f,0x3ea01fff,0x74fd8804,0x1fd001bf,0xf7001fd8,
    0x4c02fc85,0x85fec05e,0xafbcfdb9,0x2aab3f22,0x2fbaaaaa,0x37e603ee,
    0x03bfa00f,0x2000fe88,0x440001c8,0xd300002f,0xfd9801bf,0x67cc001d,
    0xd7f9f910,0x837f665d,0x36a62cfc,0x02abfadf,0x54415df7,0x3fee3ffc,
    0x7f5441bf,0x09dfc882,0x413fee62,0x32609dfc,0x7ec400df,0xf71effff,
    0x3fffa1ff,0xffffffff,0x5c0bea2f,0x3ffe605f,0x3bee61ce,0x037ec001,
    0x000be200,0x819fd500,0x0002efc8,0x4bffffea,0xfffff99e,0xfffff902,
    0x3ffe63df,0x3fffa606,0x4c0bffff,0xfffffc8e,0x75401eff,0xcfffffff,
    0x7fffd400,0x54003fff,0x000009bb,0x360dd100,0x51df305f,0x7ffffffd,
    0x013ea000,0x0005f100,0x54bfee00,0x200003ff,0x2ea00ab9,0x9bba8801,
    0xba880000,0x262001ab,0x4000abca,0x0009bba8,0x001aba88,0x00000000,
    0xf912efa8,0x774159f9,0x00d654c0,0xb0000000,0x44000001,0x00019b4c,
    0x00000000,0x00000000,0x00000000,0x00000000,0xf5000000,0x3f25ffff,
    0x00002a2f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00015751,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3ffff600,0x7fffdc04,0x80d4400e,0x54c00019,0x03000001,0x3bfffff6,
    0x7ffff441,0x7fffcc6f,0x7fff441e,0x5b81323f,0x00ea8000,0x000a21d3,
    0x000b8013,0x00000004,0x884cccc0,0x4ccc1999,0x33f6a009,0x7e64c01c,
    0x65ffea3d,0xff50efff,0x3fee05df,0xfffffb16,0xfffe8809,0x67ffec46,
    0x333f72a0,0xefccb80b,0x67fe443c,0xcfecb80b,0x7cc17ea1,0xbf50000e,
    0x4f99bea0,0x01fd40a8,0xfb1005f1,0xca8817dd,0x401e981e,0x7ffdc2e8,
    0x8ffff30f,0x4403fffe,0x17c4001f,0x2ffbf726,0x9cfadfa8,0xdd9306d9,
    0xb5137dd3,0xeccb809f,0x2a73bee6,0x003f886f,0x5f9805f3,0xfb81fdc0,
    0x00efb80e,0x54077dc0,0x567dc0ef,0xfbadfffd,0x2017c404,0x4d911ce8,
    0xb01fadfa,0x03ba203f,0x7c47fffb,0x7ffec6ff,0x1303f802,0x3ee01f50,
    0x227fdc2f,0x3fee02f8,0x400bea05,0x9109f96c,0x36401b20,0xf705f980,
    0x80efc807,0xf9000efb,0x01ff701d,0x5cc73fee,0x2f8804ff,0x7c0ba000,
    0xd107f601,0x0ffff01d,0xffc8bfff,0xb85d800f,0x2e06b84f,0xb05f882f,
    0x402fdc0b,0xfbd9004f,0x05f30005,0x26003f88,0x8017e45f,0xffc80efd,
    0x407fe401,0x3e601ffc,0x0987f302,0x006217c4,0x00fc07e2,0x077447f6,
    0x741fffcc,0x3ffdc4ff,0x7fe87b80,0x81ee05d8,0x5c0bb02f,0x007c800f,
    0x40003ff9,0x003dc05d,0x02fcafcc,0x6c0ffec0,0x3ffb01ff,0xc805ff90,
    0x3fa35c04,0xa8af88be,0xba880ffd,0x2007e04e,0x900eeafd,0x3ff60dff,
    0x8037fd43,0x3efe20f9,0x0f701fc2,0x205d817c,0x00f7006b,0x500003f2,
    0x0027c03f,0x002fff98,0xe81ffe88,0x3ff622ff,0x802ffd82,0x107c402f,
    0xfdfdffb5,0x36a017df,0x007e00ff,0xe803bf62,0x5ff902ff,0x2005ff98,
    0x12edee2f,0xf03dc03f,0x6b817605,0x3200f700,0x09d00006,0xd80003ea,
    0xf30000ef,0xfff881ff,0xf909ffb1,0x01f300bf,0x3aa205f0,0x22000bff,
    0x003f01fa,0x2203ffd1,0x3fee06ff,0x2004ff81,0x53dd3a4e,0x3e07b80f,
    0x35c0bb02,0xd9007b80,0x03ee0000,0xfd80017a,0x44000eea,0xffd82ffe,
    0x107ffa22,0x3f005ffb,0x2200f880,0x90002fef,0xd1007e0b,0xf503fb3d,
    0x07fcc03f,0xd9001ff4,0xc97c4be2,0x5f03dc06,0x06b81760,0x1b200f70,
    0x21fc4000,0xfb0001f9,0x8003ba23,0xffd81ffd,0x81ffd882,0x26401ffd,
    0x2dd01ae0,0x5b8000fd,0x774403f0,0xbfb07f60,0xf906f880,0x7bbd4003,
    0x5c04daec,0x2ec0be07,0x1ee00d70,0x00003640,0x0006d8f9,0x0ee883fb,
    0xc81ffd80,0x7fec01ff,0x201ffc80,0x07f302f9,0x06e88fe4,0x7c07e015,
    0xb01dd101,0x40076c3f,0x10002008,0x8fa89d3f,0xf03dc02f,0x6b817605,
    0x3200f700,0x3e200006,0x88005f12,0x1dd101fd,0x5c077e40,0xdf9001ff,
    0x201ff901,0xf731cffa,0x30fea09f,0x59df509f,0x6664c9db,0x3ba2ccdf,
    0x0003f600,0x67c00000,0x07e7c41f,0x02f81ee0,0x8035c0bb,0x00d9007b,
    0x0f76d800,0x400fe880,0xefb81fe8,0x000efa80,0xefb837e4,0x7ed67d40,
    0x84fbbdff,0x4c0d704c,0xaaa881cb,0x1b10aaaa,0x0002d880,0xffb00000,
    0x2e01ff60,0x2ec0be07,0x1ee00d70,0x00003640,0x800fefe6,0x502acfea,
    0x2a17ff75,0x0ef980df,0x20bf7000,0x113e66fa,0x002fb815,0x00000000,
    0x00000000,0x5413ee00,0x3f2a205f,0x40acf82a,0x36aa1aed,0xda880aaf,
    0x5554c2af,0xaaaaaaed,0x1ffd0002,0x3fffe200,0xfffe81ff,0x5c0992ff,
    0x7540000d,0x0e21d500,0x00003500,0x00000000,0x00000000,0xffb80000,
    0x7ffc0fff,0xfd2ffec2,0xf705ffff,0xffe8dfff,0xffffffff,0x000000ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x98000000,0x00001bca,0x88799950,0x3a601bb9,0xeeeeeeee,0xeeeeeeee,
    0x01bcb984,0x55555555,0x55555555,0xb1001015,0x00059505,0x00200026,
    0xeeeda800,0xeeeeeeee,0xdeeeeeee,0x99999711,0x99999999,0x39999999,
    0x00000000,0x3bff2200,0x36000dff,0x2fffe400,0x5ffddff9,0x99999930,
    0x99999999,0xffb8bd99,0x7fc44fff,0xffffffff,0x1fffffff,0x440bbfa6,
    0x3bfa20ee,0x545100ef,0x1be23fff,0xfffd97ec,0xffffffff,0x999937ff,
    0x99999999,0x99999999,0x3bbbba63,0xeeeeeeee,0xeeeeeeee,0x00000002,
    0x217fb000,0xf9006eb8,0x4fffa80b,0x00f70266,0xfa976000,0x03ffb9cf,
    0x7fec0000,0x20ef987f,0x3fd30ee8,0x3ffa6e88,0x203fea7f,0xffffb3ff,
    0xffffffff,0x000000ff,0x00000000,0x80000000,0x09f302fb,0x204fbfb8,
    0xf003fff9,0xbb000005,0x3fe217f4,0x3a000000,0x3ea0ffff,0x2207640d,
    0x41fd32fd,0x2e0ffffe,0x44417302,0x88888888,0x00000888,0x00000000,
    0x00000000,0x1b6036c0,0x05f54f98,0xb50bffe2,0x005f9ddd,0x3e2bb000,
    0x0003fb06,0x27ffdc00,0x802209f3,0x540efffc,0x00003fff,0x00000000,
    0x00000000,0x00000000,0x83dc04e8,0x80fe45e8,0x3bfa1fff,0x002fcbac,
    0xdf15d800,0x99887f60,0x99999999,0x98199999,0x4000181b,0x02a202b9,
    0x00000000,0x00000000,0x00000000,0x036c0000,0x4076c1ba,0x27fe80ee,
    0x005f00fb,0x7fcbb000,0xf887fc41,0xffffffff,0xffffffff,0x00000002,
    0x00000000,0x00000000,0x00000000,0x40000000,0x07f302fa,0x17e203f9,
    0x503e9ff6,0xb000005f,0x545f7dcb,0x4ccc44fe,0x99999999,0x00009999,
    0x00000000,0x00000000,0x00000000,0x00000000,0x39fb0000,0x3ea17f26,
    0x3227cc03,0xc987ae6f,0x00000bff,0x3fff22ec,0x000005ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0x04fffffb,0x83ee009f,
    0x3ff624fb,0x0fff9cef,0x20ae0000,0x0003deca,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x01353100,0x91020004,0x99835101,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_40_latin1_x[224]={ 0,8,4,3,3,3,4,8,10,5,0,2,5,3,
7,3,3,3,2,3,3,3,4,3,3,4,7,5,0,1,0,0,3,0,1,2,2,1,2,2,1,3,2,1,
2,0,0,0,3,1,1,3,2,1,0,0,1,1,3,0,0,0,3,1,7,2,0,2,2,2,3,2,1,3,
3,3,3,0,1,2,0,2,2,3,2,1,1,0,1,2,4,0,9,0,3,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,8,3,2,3,1,
9,2,5,0,0,0,0,3,0,-1,5,2,5,6,7,1,2,7,7,6,5,2,0,0,0,0,0,0,0,0,
0,0,0,2,1,1,1,1,3,3,3,3,-1,0,0,0,0,0,0,4,1,1,1,1,1,1,3,1,2,2,
2,2,2,2,0,2,2,2,2,2,3,3,3,3,2,1,2,2,2,2,2,2,1,1,1,1,1,2,0,2,
 };
static signed short stb__courier_40_latin1_y[224]={ 29,6,7,5,5,7,10,7,7,7,7,10,23,17,
24,5,6,7,6,6,7,7,6,7,6,6,14,14,10,15,10,8,6,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,7,5,7,6,37,6,13,7,13,7,13,7,13,7,6,
6,7,7,13,13,13,13,13,13,13,8,14,14,14,14,14,14,7,7,7,16,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,29,13,5,8,11,8,
7,7,7,8,6,14,18,17,8,4,3,7,6,6,6,14,7,15,28,6,6,14,6,6,6,13,1,1,1,3,
3,1,8,8,1,1,1,3,1,1,1,3,8,3,1,1,1,3,3,12,7,1,1,1,3,1,8,7,6,6,
6,8,7,5,13,13,6,6,6,7,6,6,6,7,7,8,6,6,6,8,7,10,12,6,6,6,7,6,7,7,
 };
static unsigned short stb__courier_40_latin1_w[224]={ 0,5,13,15,15,15,14,5,7,7,14,17,8,15,
7,15,15,15,15,15,14,15,15,14,15,15,7,9,17,19,17,13,14,21,19,17,18,18,18,18,19,15,19,20,
18,21,20,18,17,19,20,15,17,19,21,21,19,19,15,6,14,6,15,22,7,18,20,17,19,17,17,18,19,16,
12,18,15,21,19,17,20,19,18,15,17,19,20,21,19,19,14,8,3,8,15,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,0,5,14,17,15,19,
3,17,11,22,12,18,19,15,22,23,11,17,10,9,7,19,17,7,7,9,12,18,21,22,21,13,21,21,21,21,
21,21,21,17,18,18,18,18,15,15,15,15,20,20,18,18,18,18,18,13,19,19,19,19,19,19,17,17,18,18,
18,18,18,18,21,17,17,17,17,17,16,16,16,16,17,19,17,17,17,17,17,17,19,19,19,19,19,19,20,19,
 };
static unsigned short stb__courier_40_latin1_h[224]={ 0,24,11,27,28,23,20,11,27,27,14,18,12,4,
6,27,24,22,23,24,22,23,24,23,24,24,16,19,18,8,18,22,26,21,21,22,21,21,21,22,21,21,22,21,
21,21,21,22,21,26,21,22,21,22,21,21,21,21,21,27,28,27,11,2,6,17,23,17,23,17,22,23,22,23,
30,22,22,16,16,17,23,23,16,17,22,16,15,16,15,22,15,27,27,27,6,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,23,24,21,15,21,
27,25,4,22,11,15,10,4,22,2,10,22,13,13,6,22,25,6,7,13,11,15,23,23,23,23,28,28,28,26,
26,28,21,27,28,28,28,26,28,28,28,26,21,26,29,29,29,27,27,13,24,29,29,29,27,28,21,23,24,24,
24,22,23,25,17,22,24,24,24,23,23,23,23,22,23,21,24,24,24,22,23,18,19,24,24,24,23,30,29,29,
 };
static unsigned short stb__courier_40_latin1_s[224]={ 255,245,237,231,42,183,1,30,1,189,179,
54,228,153,101,197,54,73,57,1,107,146,198,199,233,38,248,243,72,81,90,
148,193,123,145,205,61,186,64,1,199,237,20,159,180,99,43,40,141,151,80,
59,219,93,39,1,121,205,83,9,135,182,14,169,248,130,234,149,18,183,202,
38,182,1,1,220,239,23,45,201,162,214,65,167,75,219,84,1,105,223,239,
213,251,222,117,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,
126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,255,249,115,
1,163,19,247,227,141,145,36,144,49,153,122,192,69,89,243,194,109,162,20,
133,243,204,1,125,153,130,226,175,214,58,192,129,171,1,101,35,80,236,23,
208,99,166,150,92,165,108,135,154,173,53,16,214,95,95,75,115,72,115,225,
189,125,214,106,186,207,1,108,168,180,70,88,71,109,1,18,113,35,23,144,
162,77,130,53,36,16,17,37,57,89,14,54,34, };
static unsigned short stb__courier_40_latin1_t[224]={ 1,61,276,32,32,140,255,293,61,32,276,
255,276,293,293,32,89,164,164,115,164,140,89,140,89,89,115,164,255,293,255,
188,61,211,211,164,211,211,233,188,233,233,188,233,233,233,233,188,233,61,211,
188,233,188,211,233,233,211,233,61,32,32,293,293,132,255,140,255,164,255,188,
164,188,164,1,188,188,276,276,255,140,140,276,255,188,255,276,276,276,164,255,
32,32,32,293,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,
140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,1,89,115,
211,276,211,32,61,293,164,293,276,293,293,164,293,293,164,211,276,293,188,89,
293,225,276,293,276,115,115,115,115,1,32,1,61,61,32,211,61,32,1,32,
61,32,32,32,61,211,61,1,1,1,61,61,276,115,1,1,1,61,32,211,
115,89,89,89,164,115,89,255,164,89,89,89,140,140,140,140,188,140,233,89,
89,115,188,140,255,255,115,115,115,140,1,1,1, };
static unsigned short stb__courier_40_latin1_a[224]={ 339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_40_latin1_BITMAP_HEIGHT or STB_FONT_courier_40_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_40_latin1(stb_fontchar font[STB_FONT_courier_40_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_courier_40_latin1_BITMAP_HEIGHT][STB_FONT_courier_40_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_40_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_40_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_40_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_40_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_40_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_40_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_40_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__courier_40_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__courier_40_latin1_s[i] + stb__courier_40_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__courier_40_latin1_t[i] + stb__courier_40_latin1_h[i]) * recip_height;
            font[i].x0 = stb__courier_40_latin1_x[i];
            font[i].y0 = stb__courier_40_latin1_y[i];
            font[i].x1 = stb__courier_40_latin1_x[i] + stb__courier_40_latin1_w[i];
            font[i].y1 = stb__courier_40_latin1_y[i] + stb__courier_40_latin1_h[i];
            font[i].advance_int = (stb__courier_40_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__courier_40_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_40_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_40_latin1_s[i] + stb__courier_40_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_40_latin1_t[i] + stb__courier_40_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_40_latin1_x[i] - 0.5f;
            font[i].y0f = stb__courier_40_latin1_y[i] - 0.5f;
            font[i].x1f = stb__courier_40_latin1_x[i] + stb__courier_40_latin1_w[i] + 0.5f;
            font[i].y1f = stb__courier_40_latin1_y[i] + stb__courier_40_latin1_h[i] + 0.5f;
            font[i].advance = stb__courier_40_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_40_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_40_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_40_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_40_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_40_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_40_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_40_latin1_LINE_SPACING
#endif

