// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_43_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_43_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_43_latin1_BITMAP_WIDTH         256
#define STB_FONT_courier_43_latin1_BITMAP_HEIGHT        350
#define STB_FONT_courier_43_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_courier_43_latin1_FIRST_CHAR            32
#define STB_FONT_courier_43_latin1_NUM_CHARS            224

#define STB_FONT_courier_43_latin1_LINE_SPACING          20

static unsigned int stb__courier_43_latin1_pixels[]={
    0x88000000,0x04ccc403,0x1d980000,0x00003b30,0x170000a6,0x00800000,
    0x005c0000,0x00001a80,0x0005c000,0x0000b800,0x64000044,0x7cc0004f,
    0x1ffffc07,0x6fe80000,0x0000dfd0,0x44000df5,0x000000ef,0x000005f7,
    0x20003fb1,0x200002fd,0x6e800ed8,0x3fd00000,0x067f4000,0x009f9000,
    0x20077d40,0x0003faa9,0x320bf900,0x7dc0004f,0x7cc0000d,0x2200001f,
    0x0004fefd,0x000bfa20,0x0003fd88,0x02fffe98,0x00000fdc,0x80017f44,
    0x20006fc8,0xf70004fc,0x03f8001b,0x10020000,0x05fc8000,0x0bfa6000,
    0x4bfa6000,0x40000efb,0x00001ff9,0x5c0009fb,0x04fd88ef,0x800002fc,
    0x20003fe8,0xf90003fa,0x09f90009,0x0000fe00,0x40000000,0x800004fd,
    0x20003fe8,0x7fcc1efb,0x1df50002,0x5fc80000,0xb85fd800,0x03f700ef,
    0x27ec0000,0x0009f000,0x03f88000,0x0000fe00,0x20000000,0x000002f9,
    0xbf0003ec,0x80037440,0x000000de,0x7d4003f7,0x440fea03,0x4000004f,
    0xbd0000fc,0x00000000,0x0007f000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x32000000,0x0000000f,0x0017a000,0x00000000,0x06ee60fe,
    0x3ffffe20,0x3fffea06,0x0000004f,0x00000000,0x00080000,0x00000400,
    0x13e20002,0x00000000,0x000005e8,0x3f800000,0x3ffffff2,0x33fae03d,
    0x3b2e202c,0x999911cf,0xcc981999,0x3224cccc,0x40cccccc,0x4cccccc9,
    0x33333322,0x66664c0c,0x6dc404cc,0x000cefff,0x77ffedc4,0x6dc4000c,
    0x000cefff,0x640001f9,0x3ccccccc,0x5417a000,0xffffffff,0xfff11fff,
    0x7fd40dff,0x17f04fff,0x2a6139fd,0x0fe603fe,0xee98bd00,0x540eeeef,
    0x0deffeee,0xddddfdd3,0xffeeea81,0xdfdd30de,0xeea81ddd,0x300deffe,
    0xfd959dff,0x3fe6007f,0x3ffecace,0x59dff300,0x3007ffd9,0x3620007f,
    0xfeffeeee,0x20bd0000,0xccccccb8,0x3ae1fdcc,0x2e202ccf,0xbf01cfec,
    0x3fb803dd,0xfa801b60,0x8007f101,0x00fe207c,0x1fc40f90,0xf701f200,
    0x13fa201d,0x2201df70,0x77dc04fe,0x009fd100,0xd80000fb,0xd0003f8e,
    0x1f98000b,0x3a001fcc,0x007ffc05,0x7f303fb8,0xf881ba00,0x103e4003,
    0x07c8007f,0xf9000fe2,0xd802fdc0,0x00bf703f,0x2fdc0ff6,0x4c03fd80,
    0xf100003f,0x74001b67,0x0fcc0005,0x3f50036c,0x4002ff80,0x201b605e,
    0x0fe202fa,0x7c40f900,0x103e4003,0x07c8007f,0xfd800bf1,0x2002fc40,
    0x02fc40fd,0xdd003f60,0x43ee0000,0xfc8001fa,0x07e60000,0x37400fe6,
    0x540037c0,0xd00be607,0x003f880d,0x07f103e4,0x3e207c80,0xc83e4003,
    0x27cc001f,0xf30007f2,0x4001fc89,0x17d404f9,0x3e2f4000,0x1dfa8004,
    0x203f3000,0x02fa806d,0xf88005f8,0xfa81b602,0x001fc402,0x03f881f2,
    0x7f103e40,0xf887c800,0x44fb0004,0x4fb0004f,0xfb0004f8,0x8000dd00,
    0x003e42f9,0x8004ffb8,0x05f301f9,0x09f006e8,0xf980fe00,0xf100dd02,
    0x207c8007,0x3e4003f8,0xc8007f10,0x0000fa87,0x003ea1f3,0x0fa87cc0,
    0x801f3000,0x320001fa,0x8002f987,0x98001dfe,0xa81b601f,0x00bf002f,
    0x6d805f10,0xf8802f98,0x103e4003,0x07c8007f,0xf9000fe2,0xf8000f90,
    0xf8000f92,0xf8000f92,0x0005e802,0x002f413e,0x98000bee,0x40be601f,
    0x01be006e,0xf3007ea0,0xf1006d85,0x207c8007,0x3e4003f8,0xc8007f10,
    0x40006d87,0x8000db4e,0x8000db4e,0x01fb804e,0xf701fa80,0x0036c001,
    0xdb007e60,0x7c005f30,0x03ec002f,0x00be66d8,0x32001fc4,0x000fe207,
    0x01fc40f9,0x013a1f20,0x013adb00,0x013adb00,0xf100db00,0x40db000b,
    0x17a003f8,0x803f3000,0x0036c2f9,0x5c003ffe,0x25f3002f,0x0fe2006d,
    0x7c40f900,0x103e4003,0x87c8007f,0xb640004f,0xb640004f,0x3640004f,
    0x2000fc80,0x036c03f8,0x98000bd0,0x266d801f,0x7efc002f,0x02fdc01e,
    0x00be7b60,0x64003f88,0x000fe207,0x01fc40f9,0x01761f20,0x0176bb00,
    0x0176bb00,0x2200bb00,0x03ee004f,0x3a003f50,0x0fcc0005,0x06d97cc0,
    0xcfe8bf80,0x1bfd5309,0x06ff9800,0x2001fc40,0x00fe207c,0x1fc40f90,
    0x1b21f200,0x1b27f000,0x1b27f000,0x4007f000,0xdfd000fc,0xdddddddd,
    0x017a009f,0x2003f300,0x8002f9ed,0x3ffff63f,0x20002fff,0x7c4003fd,
    0x103e4003,0x07c8007f,0xf9000fe2,0x44000f70,0x4000f71f,0x000f71f8,
    0xf1000fc4,0xdddf3009,0xdddddddd,0x0017a00f,0x26003f30,0x7f0006ff,
    0x00359730,0x2000fb00,0x0374004f,0x0dd0013e,0x374004f8,0xb80017d4,
    0x4000bea7,0x000bea7b,0x7ec003dc,0x3003dc00,0x00bd005f,0x2001f980,
    0x7f0003fd,0xf3000000,0x01720007,0x2e404f88,0xc809f100,0x413e2005,
    0x8df0006e,0x8df0006e,0x0df0006e,0xe807f300,0x402f4004,0x7cc0005e,
    0x001f6001,0x000003f8,0x2a0007d8,0x07f5000f,0xf5000fa8,0x000fa807,
    0x0fe607f5,0xf985f700,0x217dc003,0x7dc003f9,0x40db0002,0x7dc001f9,
    0x000be200,0x26001f70,0x0fe0003f,0x7f300000,0x02fc4000,0x22007744,
    0x0ee8805f,0x4402fc40,0x07f600ee,0xfd82fd40,0x20bf5001,0xbf5001fd,
    0x817cc000,0x3f88006c,0x0000f910,0x03ec00fd,0x0000fe00,0x0000fb00,
    0x7f4407f7,0x407f7002,0xf7002fe8,0x017f4407,0xf500ffa2,0x0ffa201d,
    0x2201df50,0x77d403fe,0x83740000,0x0db0003f,0x80007ff9,0x7f3005f9,
    0x003f8000,0x75555300,0x000155bf,0xb98577dc,0x7dc003fe,0x7fd730ae,
    0x0aefb800,0x4007fd73,0xb710adfd,0xbfb001df,0x3bf6e215,0x0adfd800,
    0x001dfb71,0x3263f500,0x203ccdfd,0xbcfdccb8,0x80001990,0xfb001fd8,
    0x3eaa6000,0x0002aaad,0xffffffff,0xb8000bff,0x1efffffe,0xfffd7000,
    0x20003dff,0xefffffeb,0xfffb8001,0x4003ffff,0xfffffffb,0x7ffdc003,
    0x0003ffff,0xffff7040,0x3e601dff,0x02ffffff,0x55555440,0xa981ffcb,
    0xaadfbaaa,0x3fffe000,0x001fffff,0x99999988,0x20000199,0x0001aca8,
    0x00359510,0x06b2a200,0x2f2a2000,0x65440002,0x5440002b,0x000002bc,
    0x00000000,0x3ffffee0,0xfff01def,0xbfffffff,0x4cccc400,0x00000999,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00266662,0x26666662,0x00000199,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x88000000,
    0x00400003,0x00004000,0x00001ca8,0x26000010,0x54000002,0x00080000,
    0x80000530,0x0008000b,0x00009800,0x20001c80,0x80000fe8,0x00002fd8,
    0xd10001ea,0x0000dd7b,0x33bffb2a,0x7dc00aa2,0xfb000004,0x2fb80007,
    0x004fb800,0x002fd880,0x000017dc,0x800007f9,0xf30002f9,0xd300003f,
    0x00009fdf,0xb80003ea,0x700016c4,0xd9759dff,0x400bb1bf,0x200005fc,
    0x20003fd8,0x004fefd8,0x20005fc8,0x22002fe8,0x0004fefd,0x00004fd8,
    0xf50007d8,0xf500001d,0x0037f23d,0x0003f700,0x0012e0f4,0xf7006fec,
    0xfb800bdf,0x7440000e,0x3a60002f,0x001df72f,0x4000efb8,0x26001ff9,
    0x01df92ff,0x007fb100,0x007f3000,0x0001bf70,0xfa81bf90,0x7644001f,
    0x1a8cffff,0x02d89700,0x1003fb80,0xf5000bfd,0x3e60001d,0x3ee0001f,
    0x017fcc1e,0x4003bea0,0x2e001efa,0x0ffd40ef,0x005fd100,0x003f6000,
    0x400013e0,0x13a203f8,0xaacff980,0x005fffec,0x00f959f1,0x9800df30,
    0x7d30005f,0x003b2000,0x7440bf00,0x03e98006,0xf8001bb0,0x801ba204,
    0x000001fd,0x000009f1,0x00000000,0x74403be2,0x36e2005f,0x1fc8000b,
    0x0005e800,0x00000000,0x00000000,0x00000000,0x00001100,0x00007e40,
    0x00000000,0x4403fc80,0x0000005f,0x2a800274,0x00000000,0x00000000,
    0x00000000,0x00000000,0x004f8800,0x99999999,0xccc80007,0x003ccccc,
    0x055007e8,0x66666664,0x0fc4003c,0xccc88000,0xcccccccc,0x224ccccc,
    0xcccccccc,0xcccccccc,0x33333224,0xcccccccc,0x332a4ccc,0xcccccccc,
    0x99951ccc,0x99999999,0x3332a399,0xcccccccc,0x333321cc,0x3332204c,
    0x3ee002cc,0xeeed8800,0x000feffe,0xfddddb10,0xe8001fdf,0xed880004,
    0x0feffeee,0x0003ea00,0x77f77440,0xeeeeeeee,0x3ba27eee,0xeeeeeefe,
    0x27eeeeee,0xeeefeee8,0xeeeeeeee,0x3bbbae7e,0xeeeeefee,0xddddd72e,
    0xddddddfd,0x3bbbbae5,0xeeeeeefe,0x17bffb62,0x4effee98,0x00017e00,
    0x0007f1db,0x03f8ed80,0x000036c0,0x007f1db0,0x800003e4,0x1ee002f9,
    0xf70017cc,0xb800be60,0x000fa807,0x20001f50,0x3f6000fa,0x007f3000,
    0x20001fb8,0x000db3f8,0x06d9fc40,0x0006fd40,0x36cfe200,0x0000d900,
    0xb800be60,0x4005f307,0x005f307b,0x07d403dc,0x000fa800,0x44001f50,
    0x00dd005f,0xb8000bd0,0x0003f50f,0x0fd43ee0,0x2f7fee00,0x0fb80001,
    0x1b2003f5,0x17cc0000,0x3e60f700,0x4c1ee002,0x01ee002f,0x540003ea,
    0x1f50000f,0x402fb800,0x7d4001fc,0x22f40002,0xbd00004f,0xb88004f8,
    0x00bdfffe,0x027c5e80,0x000007c8,0x3dc005f3,0x2e002f98,0x4005f307,
    0x00fa807b,0x0001f500,0x360003ea,0x009f300f,0x98000dd0,0x0003e42f,
    0x01f217cc,0xffb75100,0x217cc007,0x01f7007c,0x05f30000,0x2f981cc0,
    0x7cc0e600,0x200e6002,0xf50000fa,0x03ea0001,0x7413e200,0x02fa8006,
    0x7cc3e400,0x43e40002,0x200002f9,0xf9004fd8,0xf5005f30,0xf3000003,
    0x98007605,0x4003b02f,0x003b02f9,0x40003ea0,0xf50000fa,0x0bee0001,
    0xdb0003f7,0x209f0000,0x27c0005e,0x800005e8,0x209f007c,0x03f8805e,
    0x82f98000,0x3e6003f8,0x2003f882,0x03f882f9,0x0001f500,0x540003ea,
    0x3ba0000f,0x30009f10,0xfa80007f,0x0001f701,0x07dc07ea,0x0be60000,
    0x3ee03f50,0x000fc800,0x4417cc00,0x0be6003f,0xf9800fe2,0x0003f882,
    0x2a0001f5,0x1f50000f,0xda7cc000,0x07d8000e,0x2206d800,0x0db0003f,
    0x0a601fc4,0x6c03f880,0x200fe206,0xd88005f8,0xfffff981,0x26003fff,
    0xffffffff,0x3ffe6003,0x003fffff,0x20001f50,0xf50000fa,0xdfb80001,
    0x3f88002f,0x01fc4000,0x3e2001b6,0x36036c03,0x807ea006,0x036c03f8,
    0x26003fb8,0xcdf980ff,0x003fcccc,0x333337e6,0x3e6003fc,0x3fcccccd,
    0x001f5000,0x40003ea0,0xe80000fa,0x1f90005f,0x00fb8000,0x2e000fd4,
    0x00fd400f,0xdd1009fb,0x5400fb80,0x1bf7001f,0x301efa80,0x007f105f,
    0x1fc417cc,0xf105f300,0x03ea0007,0x0007d400,0x80000fa8,0xf88001fa,
    0xefe80004,0xeeeeeeee,0x77f4004f,0xeeeeeeee,0x33ff604f,0x803fd500,
    0xeeeeeefe,0x2004feee,0x730abffc,0x7cc01bfb,0x4c005f02,0x4005f02f,
    0x005f02f9,0x40003ea0,0xf50000fa,0x3f500001,0x001f9000,0xeeeef980,
    0x7eeeeeee,0x3bbbe600,0xeeeeeeee,0x3fef7607,0x1efeecde,0x77777cc0,
    0x7eeeeeee,0x7ffecc00,0x9803efff,0x9800302f,0x9800302f,0x4000302f,
    0xf50000fa,0x03ea0001,0x007ea000,0x0000bf10,0x17cc00f7,0x26007b80,
    0x2e23302f,0x002cefed,0x17cc00f7,0x567cc400,0x00be6000,0x05f30b90,
    0x2f985c80,0x2a02e400,0x1f50000f,0x003ea000,0x0007ea00,0xd00003f7,
    0x005e8009,0x05e8009d,0x20007d40,0x02f4004e,0x30001f00,0x86d8005f,
    0x36c002f9,0x360017cc,0x0007d406,0x50000fa8,0xf500001f,0x005f8003,
    0x4001f980,0x0fcc00fb,0x8003ee00,0x3e6000fa,0x007dc001,0x4002ef80,
    0x36c002f9,0x360017cc,0x4002f986,0x007d406d,0x0000fa80,0x500001f5,
    0x0fd4003f,0x00364000,0x1b201fc4,0x800fe200,0x1b2000fa,0x000fe200,
    0x26000f98,0x436c002f,0x36c002f9,0x360017cc,0x0007d406,0x50000fa8,
    0xf500001f,0x00374003,0xb0003f80,0x0003f80d,0x07d400db,0x20007f00,
    0x472e006d,0x3e6000f9,0x4c36c002,0x436c002f,0x36c002f9,0x40003ea0,
    0xf50000fa,0x3f500001,0x000bea00,0xccdfdc98,0x3732e203,0xfb930bcf,
    0x5c40799b,0x00bcfdcc,0x326007d4,0x203ccdfd,0xbcfdccb8,0x77fec400,
    0xfdcb8802,0xcccccccd,0x716ecccc,0x9999bfb9,0xd9999999,0x37f72e2d,
    0xcccccccc,0x9936eccc,0x99bfb999,0x33261799,0xccdfdccc,0x99930bcc,
    0x999bfb99,0x32e20179,0xcccdfdcc,0x8000b903,0xeffffffb,0xfffff300,
    0x3ffee5ff,0xf300efff,0x05ffffff,0xffb80288,0x300effff,0x5fffffff,
    0xf3000400,0xffffffff,0xffffffff,0x3ffffe6d,0xffffffff,0xff36ffff,
    0xffffffff,0xdfffffff,0x3fffffee,0x2fffffff,0xfffffff7,0x25ffffff,
    0xfffffffb,0x02ffffff,0xfffffff3,0x0001ffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x4cc41000,0x33330999,0x00260013,0x22059100,0x1044002c,0x26004008,
    0x0039501c,0x401d83d0,0x019501c9,0x32a03930,0x0004c001,0x00062000,
    0xc8800000,0x00059102,0xfffe97cc,0xfffff2ff,0x3ff2203f,0xc801a83f,
    0x0ffc80ff,0xf35fc980,0x7d407ea1,0x7c1bfe00,0x1fc4005f,0x0bff00fe,
    0x3fe017fe,0x100bff06,0x3705fff9,0x7fecc000,0x2001c41e,0x00cdfec9,
    0xf901ff90,0x3fa0001f,0x5f755510,0x806aab7e,0xaefdacfd,0xfb803fd9,
    0x200df707,0x21f50bff,0x01f506f8,0x4fe827ec,0xf117c400,0xd04fd807,
    0x09fb009f,0x3fa013fa,0xd9aefeac,0xff30002f,0xf53bff77,0x3fea001f,
    0x801ffdce,0x0df707fb,0x9813ee00,0x64009f2f,0x17fff541,0x00080100,
    0x20fa81f5,0x00fa83fc,0x20002004,0x00be21f9,0x04001002,0x20e40020,
    0x002fffea,0xff902e60,0x3ee001df,0x00fec40c,0x80002004,0x4be601ff,
    0x5300004f,0x00000001,0x883ea176,0x007d40ff,0x7d400000,0x0000be61,
    0x00000000,0x00002aa0,0x2001a880,0x02f404f8,0xf5000000,0x9f2f980d,
    0x00008000,0x4e800040,0x1fec0fa8,0x000003ea,0xf983ea00,0x00000001,
    0x00000000,0x20000000,0x03d400fc,0xfb000000,0x9f2f9805,0xffdb8800,
    0x44000cef,0x0cefffdb,0x1f509d00,0x87d46fa8,0xccccccc8,0x666664c0,
    0x507dc04c,0x3332a01f,0xcccccccc,0x999911cc,0x99999999,0x64099999,
    0x3ccccccc,0xccccb800,0x33332200,0x0fe60ccc,0xcc807e60,0x03cccccc,
    0x300ff100,0x98013e5f,0xfecaceff,0xdff3003f,0x07ffd959,0x01f509d0,
    0x987d43fd,0x0eeeefee,0x77ff7754,0xf71ee00d,0x3bbbae01,0xeeeeefee,
    0xdfddd12e,0xdddddddd,0x3620fddd,0xfeffeeee,0x7f76c000,0x3bba604f,
    0x3ee0eefe,0x103f8800,0xdffddddb,0x7f90001f,0x13e5f300,0x88077dc0,
    0x77dc04fe,0x809fd100,0xb80fa84e,0xf103ea4f,0x007c8007,0x8007b8f9,
    0x3e6000fa,0x001ee002,0x0007f1db,0xb800fffc,0x2200f907,0x476c003f,
    0x2ff8003f,0x09f2f980,0x3600bf70,0x00bf703f,0x84e80ff6,0x27f980fa,
    0x01fc40fa,0x4cc41f20,0xfc999fd9,0xfa800999,0x00be6000,0x3e2007b8,
    0x7c000db3,0x0f7006ec,0xfec981b6,0x4fe2003f,0x7fcc006d,0x9f2f9800,
    0x4005f880,0x02fc40fd,0x27403f60,0x7fc407d4,0x3f881f51,0xfc83e400,
    0xffffffff,0x400fffff,0x3e6000fa,0x801ee002,0x003f50fb,0x00feafe0,
    0x442741ee,0x03fcdffd,0x0fd43ee0,0x200ff500,0xc809f2f9,0x27cc001f,
    0xf30007f2,0x3ea13e09,0x1e65ff00,0xf9000fe2,0x37a66620,0x999ee999,
    0x000fa801,0x7b800be6,0x09f17a00,0x07ecfe00,0x41fc1ee0,0x00fe23fd,
    0x0027c5e8,0x3e600df7,0x27c409f2,0x3e27d800,0x30fb0004,0x201f507f,
    0x1fc403fe,0x7401f200,0x54002f45,0x0be6000f,0xf3003980,0xf0007c85,
    0xf7013e27,0x87f50fe0,0x5f3003f8,0x3f2007c8,0x3e5f3005,0x0003ea04,
    0x00fa87cc,0x7541f300,0xb00fa80f,0x03f8809f,0x4f803e40,0x7d4002f4,
    0x40be6000,0x1f20001d,0x3e000be6,0x7b807f23,0x887c87f0,0x30f9003f,
    0x13f6005f,0x04f97cc0,0x5f0001f2,0x5f0001f2,0x7d407ffa,0x880bf900,
    0x03e4003f,0x0027c3f8,0xf30007d4,0x0007f105,0x005e827c,0x702f43f8,
    0x0bb0fe0f,0x13e007f1,0x4fd802f4,0x13e5f300,0x740006d8,0xe8000db4,
    0x2a09fd54,0x80bf900f,0x3e4003f8,0x13e1fc40,0x8003ea00,0x03f882f9,
    0x2e03f500,0x21fc000f,0x20f702fa,0x2207e43f,0x01fa803f,0xdf9001f7,
    0x27cbe600,0xd80009d0,0xd80009d6,0x7d417e46,0x8809fb00,0x43e4003f,
    0xeefeeed9,0x1deeefee,0x2000fa80,0xfffffff9,0x0db0003f,0x3e001fc4,
    0x7b80fd83,0x44fa87f0,0x06d803f8,0x3ee00fe2,0x3e5f3007,0x00013e04,
    0x00013ed9,0xa83f88d9,0x227fd00f,0x4003f882,0xeeed987c,0xeefeeeef,
    0x0fa801de,0x3337e600,0x8003fccc,0x036c03f8,0x13e60fe0,0x6c27c1ee,
    0x03fa9bef,0x1b601fc4,0x2003fea0,0x6c09f2f9,0xdaec0005,0x42ec0005,
    0xf00fa84e,0xf103ea5f,0x807c8007,0x00be61f9,0x98003ea0,0x003f882f,
    0x7d400fb8,0x640fe001,0x5e83dc0f,0xffffff70,0x2007dc01,0x7fc401fa,
    0x9f2f9801,0x20003640,0x8000d93f,0xfa84e83f,0xf51ff880,0x4003f881,
    0x20fa807c,0xfa8001f9,0x40be6000,0xefe8002f,0xeeeeeeee,0x40fe004f,
    0xd83dc5f8,0x154d4c06,0x3bbbbfa0,0x04feeeee,0xf9802fe8,0x03dc09f2,
    0x1ee3f100,0xe81f8800,0xfa80fa84,0x7f103ea6,0xb807c800,0x0007ea0f,
    0xf98003ea,0xf3000302,0xdddddddd,0x7c00fddd,0x7b8bea03,0x40000f90,
    0xeeeeeef9,0x807eeeee,0x2f9805fa,0x017d409f,0x0bea7b80,0x4e83dc00,
    0x3fc80fa8,0x013e03ea,0x8f700dd0,0xfa8000fa,0x00be6000,0x01ee0b90,
    0x7f002f98,0x41ee6e80,0x700002fa,0x017cc00f,0x3e6007fc,0x06e809f2,
    0x06e8df00,0x13a0df00,0x1ff103ea,0x02e407d4,0xf9009f10,0xf50007b8,
    0x017cc001,0x02741b60,0x1fc017a0,0x03dcfe60,0x3a0000bd,0x402f4004,
    0x97cc04fc,0x01fcc04f,0x7f30bee0,0xd02fb800,0xfb81f509,0x7d407d44,
    0x007f5000,0x0007c8d9,0x7cc001f5,0x4c36c002,0x07dc001f,0x7e401fc0,
    0x0bee07b8,0x003f3000,0x7cc00fb8,0x4f97cc07,0x5001fd80,0x007f60bf,
    0x0bd02fd4,0x41fe81f5,0x05f880fa,0xd800ee88,0xa8003646,0x0be6000f,
    0x0d90db00,0xf007f100,0xf7bf1007,0x2602fe80,0x2001b204,0x2fd803f8,
    0x027cbe60,0x2a01ff44,0x7fd100ef,0x200efa80,0x2a0fa87d,0x700fa85f,
    0x17f4407f,0x036c5d80,0x2000fa80,0x36c002f9,0x6d8001fc,0xf7003f80,
    0xdfe980fd,0x05fda99b,0x36c000fe,0xf3037cc0,0xfd8013e5,0xdfb710ad,
    0x15bfb001,0x003bf6e2,0x20fa87f7,0x00fa81fe,0x5cc2bbee,0x13a003fe,
    0xccc980bb,0xcccdfdcc,0xfb9710bc,0x9999999b,0x26dd9999,0x03ccdfdc,
    0x33f732e2,0x3bf2e20b,0x3fa00bcc,0xfffd8807,0xdc983fff,0x2203ccdf,
    0x0bcfdccb,0x775c7f20,0xdddf2fee,0x7fdc01bd,0x003fffff,0x7fffffdc,
    0x3bfa003f,0x13e61f52,0x3ae007d4,0x01efffff,0x002204c0,0xfffffff7,
    0x25ffffff,0xfffffff9,0xffffffff,0xffff76ff,0x3e601dff,0x22ffffff,
    0xfffffff9,0x001fe601,0x7dc03353,0x00efffff,0xfffffff3,0xdd91d805,
    0x3bba3ddd,0xa8800dee,0x440002bc,0x30002bca,0x05996279,0xca880162,
    0x0000001a,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000080,0x99999998,0x00008000,0x33333310,0x00000133,
    0x00053001,0x00005c00,0x0a600002,0x00298000,0x00001000,0x510002e0,
    0x880059b9,0x0bdfffdb,0xeefeb800,0x003feeee,0x000bbfae,0xddfffb71,
    0x007ddfdd,0x007d4008,0x000013ee,0xc8000bf6,0x7dc0002f,0x9f900004,
    0x2fc80000,0x17ec0000,0xfdfff300,0xff5001df,0x3dfd959d,0x005f6400,
    0x47aa0079,0xff7000f9,0x04b83e37,0x3fff6e20,0x802fcc3d,0x100005fc,
    0x220007fd,0x0004fefe,0x80002fe4,0x880005fc,0x0004fefe,0x2003fe88,
    0x3ea21efa,0x037ee00f,0x54017f44,0x003c800f,0xd803c85b,0x9707c0ef,
    0x33bfea00,0xe89efeca,0x3bee000e,0x3fa60000,0x5ff50002,0x80003bee,
    0x80000efb,0x50000dfb,0x03bee5ff,0x017f4c00,0x7c403fa0,0x100bf705,
    0x04c805fb,0x0b600790,0x0ffa8079,0x2012e0f8,0xfd300dfb,0xf50003fd,
    0xdf30001d,0x3bee0003,0x0017fcc0,0x0001df50,0x8001df50,0x7fcc0efb,
    0x0f7cc002,0x9007ea00,0x005f883f,0x00f60374,0x0ea8004c,0x4fc801f3,
    0x2025c1f0,0x9fd005fb,0x01f4c000,0x00007640,0x02ec409f,0x000fa600,
    0x2001f4c0,0x0176204f,0xd0001db0,0xc89f100d,0x1fcc000f,0x00000d50,
    0x200bbbf2,0x5c1f02fe,0x4017e204,0x00006ffa,0x00000000,0x00000000,
    0x00000000,0x20000000,0x4fb003f9,0xfb0004f9,0x04fda881,0x80060000,
    0x5c1f02fe,0x2003f204,0x003f9ef8,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2e001f50,0x0001f71f,0xbdfa8be6,0x00000dea,0x827ec000,
    0x7cc12e0f,0x361fd004,0x57751007,0x2ea20001,0x510000ab,0x00001577,
    0x654c0000,0x260001ac,0x0001acca,0x006b32a6,0x2fa801ee,0x7c4000d9,
    0x0ff207e3,0x332a6000,0x06fb801a,0xfb825c1f,0x261fd800,0x3ffa602f,
    0x002fffff,0xffffffd3,0x3fa6005f,0x02ffffff,0x205ffff1,0x01fffff8,
    0x3fffff6a,0xb5001eff,0xdfffffff,0x3ff6a003,0x01efffff,0x2f9801f2,
    0x4f8000bd,0x1774c0d3,0x3fff6a00,0x401effff,0x2e0f85fe,0xf700d904,
    0x3f207f07,0x3faa61be,0x2fbf200d,0x037faa61,0x261befc8,0xcb80dfea,
    0x332e02fd,0x9df501fd,0x0ff54435,0x86b3bea0,0x5401fea8,0x2a21acef,
    0x00db01fe,0x0009f3f8,0x700f65d8,0xdf5001bf,0x7f544359,0x2bbf6201,
    0xd825c1f0,0xe82fcc05,0xb804fc84,0x009f905f,0x13f20bf7,0xf8817ee0,
    0x403f3002,0x807f8800,0x807f8800,0xb07f8800,0x7f3f800b,0x266d8000,
    0x1fe4402f,0x3fc40040,0x7effed40,0x027c12e0,0x17601df1,0x7d4009f3,
    0x50027cc2,0x004f985f,0x17c40bea,0x0001f980,0x00001fb8,0x200003f7,
    0x005d81fb,0x0005e9fc,0x013e62f4,0x00003ba6,0xb98007ee,0x1fc12e0f,
    0x36c01fb0,0x3f2001ba,0x32001ba0,0x2001ba0f,0x02f880fc,0x00003f30,
    0x200007f1,0x100003f8,0x800bb07f,0x8000db3f,0x02ed884f,0x40000fc8,
    0x0f8003f8,0xc827412e,0xf32f402f,0x25f30005,0xf98002f9,0x30005f32,
    0x005f105f,0x200007e6,0x100003f8,0x2200007f,0x4006d83f,0x4000f93f,
    0x37ea02f8,0x0001e400,0x3e000fe2,0x42ec12e0,0x23f804fa,0x999999fa,
    0x99999999,0x3333f53f,0x33333333,0x27ea7f33,0x99999999,0x83f99999,
    0x3f3002f8,0xeeecb880,0x803fbcde,0xdeeeecb8,0xb8803fbc,0xbcdeeeec,
    0x2007c83f,0x003f52f8,0x32007f20,0x881e204f,0xcdeeeecb,0x0f8003fb,
    0x263e412e,0x22f8805f,0xfffffffc,0xffffffff,0xfffff94f,0xffffffff,
    0x3ff29fff,0xffffffff,0x84ffffff,0x3f3002f8,0x3bfff220,0x3fffeecd,
    0x3bfff220,0x3fffeecd,0x3bfff220,0x3fffeecd,0xf3000fb8,0x44003743,
    0x3b62005f,0xfc885a82,0xfeecdeff,0x0f8003ff,0x897d412e,0x1fb800ee,
    0x2aaaafee,0xaaaaaaaa,0x557f72aa,0x55555555,0x3ee55555,0xaaaaaaab,
    0x2aaaaaaa,0xf3002f88,0x0077fa03,0x6ff407f3,0xd01fcc01,0x3f9803bf,
    0xf7001fa8,0x2001fd41,0xfa8001fc,0xe81fcb9c,0x1fcc01df,0x09707c00,
    0x801fdb74,0x00fcc5f8,0x000fcc00,0x0000fcc0,0x4c00be20,0x002fc81f,
    0x0bf207f1,0xfc81fc40,0x107f1002,0x21fa009f,0x9f5001fe,0x6ff44000,
    0x002fc80b,0x1f0007f1,0xfbf5025c,0x103f2005,0xf100009f,0x9f100009,
    0x2f880000,0x9f03f300,0xf81fc400,0x40fe2004,0x0fe2004f,0x3e2007f4,
    0x402fe884,0x40000efb,0x013e00f8,0xf8003f88,0x9fd012e0,0x6413ea00,
    0xfc80000f,0x0fc80000,0x0be20000,0x3e60fd40,0x20fe6001,0x3e6001f9,
    0x2001f983,0x07f503f9,0xfd100fd8,0x3f6e615b,0xd8004404,0x4003f303,
    0x0f8003f9,0xfff8812e,0x8077e402,0x088006e8,0x22001ba2,0x2001ba20,
    0x700bf008,0x04f883ff,0xf107ff50,0x0ffea009,0x7d4013e2,0x407fa03f,
    0x7dc403fb,0x02efffff,0x07b002d8,0x7d4013e2,0x20f8003f,0xd3fd104b,
    0x36e615bf,0x1df9804f,0x4c5fc880,0xfc8801df,0x400efcc5,0x1fb05fc8,
    0x40fffec0,0x7fe400fe,0x801fd03f,0xfd03fffc,0x3fffc801,0x546ffe60,
    0x3a2005fc,0x36000adf,0x200f8802,0x7fe400fe,0x20f8003f,0x5c3fb04b,
    0x2effffff,0x273fa600,0x33ff2a60,0x09cfe980,0x033ff2a6,0x98273fa6,
    0x300cffca,0xd95117df,0x419bf37f,0x9511bef9,0x79bf19fd,0x88df7cc1,
    0xdf8cfeca,0x2fbe60bc,0x19fd9511,0xb10179bf,0x009fffff,0x2009ff4c,
    0x22016c08,0x5f7cc04d,0x19fd9511,0x200179bf,0x3ea12e0f,0x01597303,
    0x7fffe400,0x801dffff,0xfffffffc,0xffc801df,0x1dffffff,0xfffffa80,
    0x5fff30ef,0xfffffea8,0xffff11ef,0xffffea85,0xfff11eff,0xfffea85f,
    0xff11efff,0x5d4405ff,0x3fee000a,0x9bdeffff,0x776c5fd9,0x4feeeeee,
    0xffffd500,0x3fe23dff,0xeeea82ff,0xddfd15fe,0x00000e25,0x15795300,
    0x2f2a6000,0x9530000a,0x51000157,0x20001379,0x0001bcba,0x000de5d4,
    0x006f2ea0,0xf9800000,0xedbbcdff,0x4c0cffff,0x1aaaaaaa,0x37975000,
    0x55544000,0x2aaaa2aa,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x15000000,0x0009a880,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x15400004,
    0x02e00000,0x00002000,0x26000002,0xdb730002,0x00a00179,0x01aa8800,
    0x40004880,0x99880018,0x99999999,0x1da81881,0x0005c000,0x0001fe40,
    0x000013f2,0x0000bf62,0x440005f9,0xd710ceff,0x037d400b,0x3bfffa60,
    0xef803ffe,0x7fc40000,0x7d4003ff,0xfffb8000,0xff7000df,0xffffffff,
    0x07ffd45f,0x6c000dff,0x3a20002f,0x40005fef,0x200005fc,0x20002fe8,
    0x004fefe8,0x3bff6e60,0xf7002dff,0x77dc001b,0x027ec40a,0x80007fe6,
    0x005ffffa,0x3a0007d4,0x1ffebcff,0xaaabfb80,0x6c1aaaaa,0xdff14fff,
    0x07fd1000,0xb97fcc00,0x2e0000ef,0x4c0000ef,0x2a0001ff,0x01df72ff,
    0xfffb7100,0x27e4001f,0x0037e200,0xfe9805f7,0xfff10002,0x0fa8007f,
    0x260ff200,0x07dc00ee,0x17ffe400,0xe9800dff,0x3ee0002f,0x017fcc0e,
    0x001df500,0x0007be60,0x7cc0efb8,0xffd5002f,0x4017e65b,0x030003fd,
    0x74403740,0x5510003f,0x01f50003,0x7f7037c0,0x0000fb80,0x05ff8395,
    0x0007be60,0x36c409f0,0x00ba6000,0x00007640,0x05d8813e,0xf3015bb0,
    0x002f9807,0x00f70000,0x000007ec,0x800fd400,0x17e203f8,0x00001f70,
    0x32005fe8,0x0000000e,0x00000000,0x00000000,0x03f30000,0x40000000,
    0x002000fb,0xfb500000,0x01119dff,0x05d805f3,0x000007dc,0x000013fa,
    0x00000000,0x00000000,0x40000000,0x000fc808,0xbb000000,0x00000000,
    0x2b37fa20,0x985fffeb,0x013e202f,0x800001f7,0x000004fe,0x80000000,
    0x0001acb9,0x000d65cc,0x006b2e60,0x77ffedc0,0x0009f12d,0x7f500000,
    0x00000000,0x2203df10,0x02f985fe,0xfb803fb1,0xb0000440,0x0000007f,
    0x205ffff1,0x01fffff8,0xffffffc8,0x7fe4003f,0x003fffff,0x7fffffe4,
    0xdfd3003f,0x1bfd9779,0xffffb0fb,0x800003ff,0xfffb05fb,0x40003fff,
    0x00fd805b,0x17cc2fcc,0x200bff6e,0xfffeb9fb,0xb0d301df,0xffff887f,
    0xfffff102,0x05fb9703,0x00fee65c,0x22159fd3,0x4c00dfda,0xb510acfe,
    0xfe9801bf,0xbfb510ac,0x017fd401,0x983f9fd5,0x01fdcccc,0x3b732200,
    0x3332604f,0x20001fdc,0x017cc07c,0x22f983c8,0x802efffa,0xbbdffffb,
    0x1fa83ffc,0x6e5c1fe4,0x3732e02f,0x00be201f,0xef880fcc,0x1037d401,
    0x6fa803df,0x5007be20,0x03be20df,0x00ffba20,0x980007ea,0x8006ffff,
    0xb10001fa,0x0007b80f,0x5d442f98,0x3a600dfe,0x85fb101b,0x017e41fb,
    0x3e6005f1,0x400be201,0x01fd01f9,0x7f413e60,0x209f3000,0x9f3000fe,
    0x44001fb0,0x1fa804ff,0xfca88000,0x07ea000e,0x0bff9100,0x980006c8,
    0x037dc02f,0x2e0fd800,0x1017dc2f,0x07e6005f,0xf3002f88,0x8005f703,
    0x017dc1fc,0x5f707f20,0x221fc800,0x5fb8003f,0x0001fa80,0x800ff4c0,
    0x3ee001fa,0x06d801cf,0x802f9800,0x880005f9,0xf70bf23f,0x8017c403,
    0x0be201f9,0x2f40fcc0,0x2f44f800,0x2f44f800,0x3e64f800,0x05f98001,
    0x00001fa8,0xf5007d88,0x037f2003,0x80007b80,0x5f7002f9,0x64bd0000,
    0x100fd42f,0x07e6005f,0xf3002f88,0x20007f03,0x8001fc5d,0x8001fc5d,
    0x8001ee5d,0x01fa805f,0x05f30000,0xf3003f50,0x05f30009,0x002f9800,
    0x3600013e,0x0d30ff66,0xf3002f88,0x8017c403,0x017cc1f9,0x0be67c80,
    0x5f33e400,0x7b9f2000,0x2013e000,0x000001fa,0x07ea013a,0xd8001f20,
    0xf301000f,0x0036c005,0x07fb3e40,0x2005f100,0x0be201f9,0x3e60fcc0,
    0x4cf90002,0x4f90002f,0xf90002f9,0x44000fd4,0x01fa803f,0x01f20000,
    0x13a007ea,0x01ef8800,0x0be617ee,0x80007b80,0x0013f65d,0x7cc00be2,
    0x400be201,0x003f81f9,0x003f8db0,0x003f8db0,0x027c4db0,0x5400fdc0,
    0x2000001f,0x01fa805d,0x440005e8,0xfcbacdfe,0x02f980df,0x20001f20,
    0x0013fa4f,0x7cc00be2,0x400be201,0x005e81f9,0x005e89f0,0x005e89f0,
    0x006e89f0,0x3f5006d8,0x3e200000,0x801fa804,0x4076007c,0x0adfffeb,
    0x0390be60,0xf50001ba,0x4002ff45,0x3f3002f8,0xa8017c40,0x001fb81f,
    0x07ee0fdc,0xfb83f700,0x20fdc001,0x3f2005f9,0x003f5002,0x01fb0006,
    0xf5003f50,0x700fe009,0x0be6001f,0x4cbf109d,0xf1ba001e,0x440188bf,
    0x03f5002f,0xffb805f8,0x2001dd01,0x01dd04f9,0x77413e60,0x209f3000,
    0x7e400efb,0x007ea005,0x9100bbe6,0x07ea005f,0x7101fec0,0x00fa807f,
    0x87b85f30,0x027f41fb,0xdff07f62,0xf00fffd4,0x03ff700b,0x3f600fd8,
    0x3df301ff,0x2606fa80,0x37d401ef,0xa803df30,0x677dc06f,0x1bfb730a,
    0x800fd400,0x889bdfea,0x2003ffb9,0xfb1001fa,0xffb7559d,0x00fa803d,
    0x8b7f72e2,0x5fb88cf8,0x1157df90,0xf885ff73,0x13fff66f,0x3f600fd8,
    0x77cc01ff,0xbfeca88b,0xe980cdf9,0xfb5109cf,0xcfe9801b,0x1bfb5109,
    0x09cfe980,0x001bfb51,0xffffffd3,0x332e205f,0xccdfdccc,0xeb80bccc,
    0x1effffff,0xcccccb88,0xcccccdfd,0xfffeb80b,0xf5001cff,0x7fffcc01,
    0x7fffdc5f,0x7ffecc04,0xfb00efff,0x017ffdc7,0x95117df3,0x19bf37fd,
    0x7ffffd40,0x5fff30ef,0x7ffffe40,0x7e4003ff,0x03ffffff,0x7ffffe40,
    0x988003ff,0x7d400abb,0xffffffff,0x01ffffff,0x50055dcc,0xffffffff,
    0x3fffffff,0x30001980,0xba80000d,0x55d44001,0x1ca80800,0xfffffa80,
    0x5fff30ef,0x09bca880,0x65cc4000,0x2620001a,0x20001acb,0x001acb98,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0x0009bca8,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xdca88000,0x4ccccc1b,0x99999999,
    0x33b2e201,0x7b95000a,0x00020001,0x2a000000,0x000002bb,0x20000000,
    0x00009998,0x06f2a600,0x5dcc0000,0x33000001,0xf7000033,0x23ffdfff,
    0xfffffff8,0x1fffffff,0xffefffb8,0x3ffa202e,0x2002effe,0xf3000df9,
    0x3e205fff,0xb101ffff,0x001dfbbf,0x4007fc40,0x06fffff8,0x93ffffea,
    0x0003ffff,0xfffffa80,0x3fff24ff,0x91ffffc6,0x7bffffff,0x3ff20000,
    0x3620007f,0xf10c0adf,0x5555555b,0xc83f9555,0x1ff4c0df,0x36217f44,
    0xfefb802f,0xfb97001e,0x7ee65c05,0x64419d01,0x3fe20006,0x99fd7000,
    0x7f65c405,0x0feaa61c,0xefd88000,0x1df9511a,0xcb8599f9,0x9cfe8bfc,
    0x007fd530,0x0fb55100,0x00ffe600,0xf7001fc4,0x3601fd41,0xb00fe40f,
    0x53f6203f,0x26003fe9,0x03f3002f,0x05f101f5,0x003fe200,0x74003f98,
    0x0001fc05,0xe9807fb0,0xdbf007de,0x03fb803d,0x001f2000,0x90007be2,
    0x3a374001,0x265f8806,0x42fc403f,0x5fd83fe8,0x2005f300,0x204c81f9,
    0xff10004c,0x006d8001,0x07f007ea,0x00fea000,0xf803ffc4,0x7f7000ff,
    0x01f20000,0x00007f60,0x7c47f100,0x3dcdb003,0x7641fb80,0x2007ee01,
    0x3f3002f9,0x02dc0790,0x7cc00000,0xf00dd003,0x17e00007,0x200ff500,
    0x2f4002ff,0x007c8000,0x00001fdc,0x3f307dc0,0x06d9ee00,0x00007f10,
    0x3002f980,0x740d703f,0x00000003,0x05f500db,0x300007f0,0x0ff0005f,
    0x2a001be0,0x0f900007,0x00006e80,0x05f0db00,0x005e9b20,0x00000176,
    0x3e6005f3,0xfa82f881,0x00000000,0x06e805f3,0x595107f0,0x000fb801,
    0x0bf007d8,0x3005f100,0x00f90159,0x000017c4,0x2ec1fc40,0x0bb1f440,
    0x00003ec0,0x4c00be60,0x55bf501f,0x000005fb,0x2a06d800,0x5c7f002f,
    0x1efffffe,0x32000f90,0x0009f007,0x7fed40fe,0x1f23efff,0x0000f980,
    0xa81fa800,0x707ec03f,0x03fe600f,0x3ffffffb,0x002f9800,0x76c403f3,
    0x817300de,0x1ffffffd,0x205f3000,0x6cfe006e,0xfd730acf,0x0001f709,
    0x017e00fb,0x3ea0be20,0x9f9511ae,0x47b801f2,0x002dfeb9,0x3ee06c80,
    0x217f4c1d,0xffe801f9,0x6e6664c1,0x17cc001f,0x0001f980,0x3033fae6,
    0x03fb9999,0x7cc36c00,0x3f73e002,0x313f2202,0x0ff0005f,0x2a001be0,
    0x2027d41f,0x2007cdfa,0x337bf65d,0x20000dfe,0x7ffd404f,0xdd01effe,
    0x01fafc80,0x4c001fa8,0x03f3002f,0x1cfec980,0x000fd400,0x06d85f30,
    0x800fffc0,0x002fc1fc,0x7fc01fea,0x2a3ec002,0xfff3004f,0x3fca7400,
    0x30005fb8,0xeffb803f,0xf101ffed,0xf13fb01b,0x003f5005,0xf5002f98,
    0x9ff93003,0x0fd40003,0xf99b6000,0x027fc002,0x3fa8df10,0x00fff100,
    0x5c003ffe,0x20036c2f,0x37a007fc,0x0bea01fc,0xf901f200,0x205f9107,
    0xffdbdff9,0xf5005f32,0x05f98003,0x9301ffb8,0x000039df,0x300007ea,
    0x2001b65f,0x0fb8007f,0x3a601fec,0xfbf007de,0x85fb803d,0x07f8002f,
    0x200fff60,0x04e8007d,0x7f7007f2,0x2fbfae60,0x2a007ea0,0x7fcc001f,
    0x07fff600,0x02039df5,0x001fa800,0x02f9ed80,0x98006f80,0x577ec42f,
    0x91df9311,0x3a2fe00f,0xfd5309cf,0x000f981b,0x3f2007e8,0x001f5006,
    0x07f017cc,0xc8001b60,0x01fa800f,0x45f7fcc0,0xfabfeca8,0x5c0310cd,
    0x4001efff,0x980001fa,0x9f0006ff,0x540fe000,0x4fffffff,0xb1fc01f2,
    0x5fffffff,0x64001ee0,0x007ee007,0xf70017cc,0x98007d40,0x0db0000f,
    0x30007ea0,0xfffffb9f,0x0bffe61b,0x3262fb60,0x07ea002f,0x01fec000,
    0xf0004f80,0x1bca9807,0x07f007c8,0xb8035973,0x00f90007,0xf88017cc,
    0xc817a002,0x00be2006,0x54013e60,0x97cc001f,0x00009bb8,0x00eb83d4,
    0x00003f50,0x6f8001f6,0x001f9800,0x7f007c80,0x01f30000,0xf800fd00,
    0x003f3004,0x07c80be2,0x2000be20,0x3f5000fe,0x002f9800,0x2209b000,
    0x03f5002f,0x007f3000,0x5c003fc0,0x7c80000f,0x00007f00,0x1fe000be,
    0x2e00f900,0x01f7000f,0xfa800fd4,0x01fdc000,0x98003f50,0xd000002f,
    0xa801ec03,0x7d80001f,0x01ffc000,0x0000dd10,0x01fc01f2,0x4006d800,
    0x7c4007fc,0x0027c404,0x05f880db,0x5c006e88,0x0fd4005f,0x000be600,
    0x5d01ec00,0x0007ea00,0x80007f30,0xf9001fff,0x1f200003,0x80001fc0,
    0xff3003fa,0x05f9000f,0xf88007ec,0x204fa803,0xb1001fd8,0xfa8001bf,
    0x017cc001,0x506b8000,0x07ea001f,0x000fb000,0x805fb9f0,0x200003fc,
    0x007f007c,0x2027d400,0x0007cdfa,0xd51139fb,0x07d4005f,0x30aefc80,
    0x0aa85ff7,0x007ff973,0x30007ea0,0x4000005f,0x00faa1ce,0x53001fa8,
    0x55bf7555,0x7e65c001,0x26139fb3,0x40003fea,0xaafdaaaa,0x56fd54c1,
    0x5c0002aa,0xf9510aef,0x00f33f29,0xfffffb70,0x005b8003,0x7fffff4c,
    0xffffc80e,0x5c401cef,0xdfdccccc,0x80bccccc,0x000001f8,0x0fffbf62,
    0x333332e2,0xcccccdfd,0x3ffffe0b,0x005fffff,0xfc8ffffa,0x01efffff,
    0x7fffcc00,0x7fc7ffff,0x1fffffff,0x7fed4000,0x3f23efff,0x710006ff,
    0x00000035,0x80157530,0x54001ba8,0xffffffff,0x1fffffff,0x40000000,
    0xff500aa9,0xffffffff,0x443fffff,0x99999999,0xa8800001,0x200000ac,
    0x19999998,0x99999988,0x54000009,0x000000ac,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0x0001bb98,0x1ca80e54,0x0000c400,0x30000200,0x00726039,0x80000620,
    0x001abba9,0x1c980e4c,0x00004000,0x00039b93,0x00019500,0x002a2000,
    0x7ffffdc0,0xffff50df,0x7c17fe01,0xffb3005f,0x4003883d,0xdfffecb8,
    0x3ff4002c,0x26006fe8,0x5c41effd,0xffffa800,0x03d1efff,0x6ff837f4,
    0x3fb2e200,0x8802cdff,0x0fdbadfd,0x77edc000,0x2000000f,0x000ffda8,
    0x98567f44,0xcdfa9ffb,0x7413f603,0xbff9803f,0xffa9dfeb,0x79df5000,
    0x1bfb7513,0x6c17f200,0x7ff3005f,0xff53bfd7,0x56fec401,0x3f7faa61,
    0x6c13f203,0x9df5004f,0xbfb75137,0x6c05c401,0x45540004,0x400000f9,
    0xfeeffdb8,0x017f4000,0x001f9fb1,0x26001002,0x0efffb83,0x1007f900,
    0x002005fb,0x205cc001,0x400efffb,0xffb802fd,0x00200403,0x6c401fe4,
    0x07b8002f,0x003e6000,0x37df9000,0xfb8003ea,0x01ffd002,0x40000000,
    0x3ba001a8,0x027d4000,0x10000000,0x05f50035,0x0001fe40,0x00077400,
    0xe88013ea,0x3e600004,0x04400000,0xf88007d4,0x03fe2005,0x00000000,
    0x0006c800,0x000007e6,0xf1000000,0x02f8800b,0x83640000,0xf9821aa8,
    0x13f72601,0x01f30000,0x3ea00000,0x003f3000,0x4c000fd8,0x40001acb,
    0x3001acb9,0x7ffff43f,0x00d902df,0x006b32a6,0x1acca980,0x8001fa80,
    0xbba8800b,0x81f9800a,0x69eebcec,0xfd710364,0x0fc8800b,0x30000f98,
    0x03ea00dd,0x20007dc0,0xff9000fc,0x007fffff,0xffffffc8,0x541f403f,
    0x4e82dc43,0xfffffb50,0x2a003dff,0xfffffffd,0x001ee01e,0x7fff4c00,
    0x3a02ffff,0x6e883c83,0x6d8804e8,0x207fd500,0xfb8000f9,0x01f5001f,
    0x2a001f20,0x67f4c00f,0x1bfb510a,0x0acfe980,0x301bfb51,0x0e40ea0f,
    0x677d43cc,0x07faa21a,0x4359df50,0xdb01fea8,0xdf900000,0x6ff54c37,
    0x02cc3cc0,0x200f30d3,0x3f6201f9,0x003e601e,0x000dfe98,0x7dc003ea,
    0x007e4000,0xfa803df1,0x007be206,0x20b70df5,0xf109503a,0xff100101,
    0xff100100,0x00001760,0xbf7009f9,0x401d85b8,0x8800f881,0x07ff502f,
    0x32001f30,0xfa8002ef,0x003f3000,0x3fa00fd8,0x209f3000,0x9f3000fe,
    0x207504c8,0x0005d01e,0x80000fdc,0x007c81fb,0x8013e600,0x1a1322fa,
    0x0132e800,0x3bf621b2,0x801f3000,0x20004fea,0x9f1000fa,0x807fc400,
    0x7e4002fb,0x20017dc1,0x540ba1fc,0xd80f6e63,0x0fe20003,0x41fc4000,
    0xd00000fa,0x21f9000d,0x2000682e,0x737bf93d,0x3ffb83fb,0x2eaaa0cc,
    0x3221aabf,0x000261ef,0x7dc001f5,0x01ffd002,0x27c0017a,0x27c0017a,
    0x3bbaa03f,0x026400fe,0x0007f100,0x3e20fe20,0x2f980004,0x3f2f9800,
    0x264000d0,0x417bd971,0x7e40dfe8,0x33332e0f,0x7ff52ccc,0x0b7f7b66,
    0x20007d40,0x3f6202fe,0x007f00fc,0x007f1760,0x503d9760,0x3a026c47,
    0xddd97102,0x007f79bd,0xbdddd971,0x3f207f79,0xa8fdc001,0x9999999f,
    0xf9999999,0x001d07b3,0xfb800ba0,0x0fbf982f,0x47bf6200,0x007d43f8,
    0x220007d4,0xf7309cfe,0xf301f53f,0x99f20005,0x4f90002f,0x9707504c,
    0x3f220fc0,0xfeecdeff,0x3f2203ff,0xfeecdeff,0x0bfa03ff,0xfc9bfa60,
    0xffffffff,0x4fffffff,0x00059099,0x3fa6007e,0x1f39d00d,0xb0ffee00,
    0x2a017209,0xff70000f,0x2a1bffff,0x002f980f,0x017ccf90,0x41aa7c80,
    0xf303b03a,0x9803bfd0,0x077fa03f,0x74407f30,0x32a61adf,0x55fdc4ff,
    0xaaaaaaaa,0xd52aaaaa,0x40a80d10,0x2efc8079,0x007cdb20,0x00037f62,
    0x01f500d7,0x0ddcc400,0x03f807d4,0x03f8db00,0x0fc4db00,0xc86881d4,
    0x88017e45,0x005f903f,0x3ee00fe2,0xcfffffff,0x0001f980,0x0d981f88,
    0x205c85c8,0x7cc04fe9,0x7dc01f31,0x3e88003f,0x0000fa80,0xe807d400,
    0xe89f0005,0xb89f0005,0x0b3b720e,0x207d4b6e,0x0fe2004f,0x7f10027c,
    0x55fdcc00,0x013e2009,0x4c075c00,0xa83dcbce,0x03df500f,0x807cc9d0,
    0x88000dfd,0x01f5004e,0x0fb80000,0xb8003f70,0x000fdc1f,0xa93a07ee,
    0x11501aaa,0x001f987f,0x07e60fe6,0x4003f980,0x07e40078,0x204e8000,
    0x07f100a8,0x46c801cc,0x005700f9,0xa8013a60,0x4000000f,0x0077406d,
    0x1dd04f98,0x4413e600,0x5d88003f,0xf5004f88,0x009f107f,0x1000ffea,
    0x3a2003df,0x44088006,0x5d88003f,0x59f30000,0x0015f955,0x001fd400,
    0x000003ea,0x7cc04fa8,0x037d401e,0xfa803df3,0x00774c06,0xfd00dfa8,
    0x3fffc801,0xfc801fd0,0xd50003ff,0x00efcc00,0x74c2fe44,0x1bf5000e,
    0x33260000,0x01cfdccc,0x003f7000,0x00001f50,0x2003be60,0x5109cfe9,
    0xe9801bfb,0xfb5109cf,0x7fb1001b,0x3fda8813,0x88df7cc0,0xdf8cfeca,
    0x2fbe60bc,0x19fd9511,0x5c0179bf,0x9800d51b,0x2a609cfe,0xb100cffc,
    0xda88137f,0x0000003f,0x100001f3,0x2a0001db,0x5510000f,0x1dfd9555,
    0xffffc800,0x64003fff,0x3fffffff,0xfffda800,0x000deffe,0xffffffd5,
    0x3fffe23d,0x7ffff542,0xfff11eff,0x7fecc05f,0xff90002e,0x3bffffff,
    0x3fff6a00,0x000deffe,0x03e60000,0x20bd1000,0x33332659,0xcccccfdc,
    0x7ffdc00b,0x0003efff,0x006b2e62,0x1acb9880,0x35510000,0x65d40001,
    0x5d40001b,0x400001bc,0x95300000,0x88000157,0x000009aa,0x7fffdc00,
    0x3fe60001,0x27ffffff,0xfffffffb,0x02ffffff,0x00199988,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000ca8,0x33333326,0xcccccccc,0x2003cccc,0x04000008,
    0x00666600,0x6edc4000,0x4c40002c,0x01310009,0x00033330,0x00001000,
    0x26620004,0x20001999,0x059102c8,0x007f7edc,0x00053000,0xfd730120,
    0x0aa19dff,0x77ff6540,0xffa8aa2c,0x200001ff,0xffefffe8,0xffd0001e,
    0x3ff6e20d,0xfa80dfff,0x00001fff,0x77ffedc4,0x3b66000c,0x170cefff,
    0xffffffd0,0x3ff20001,0x500ffc80,0x0001f315,0x800014c0,0x7bfff504,
    0xdb7fffb7,0xaceffb80,0x5d8dfecb,0x000fe54c,0x41cfe880,0x54002fea,
    0xffc86ebf,0xffcbaace,0x01fca982,0x3bfe6000,0x03ffecac,0xbabcffc8,
    0x883faffd,0x00fcaaaa,0x2e0df500,0x01f3006f,0x0014c000,0x1efc8480,
    0x81bff260,0x3ee00dfd,0x03f305ef,0x01ff1000,0x3a000fe8,0x03df0db5,
    0xfa80ff4c,0xdf700001,0x813fa201,0xfb100cfb,0x03ea007f,0x00400800,
    0x00001f30,0x4800014c,0xf5002fdc,0x400fee0d,0x3f305fe8,0x05f70000,
    0x2e009f10,0x09f0db1f,0x3ea0df10,0x5fb80001,0xf307fb00,0x00ffa009,
    0x000007d4,0x00f98000,0x000a6000,0x00df1240,0x0df30dd0,0xf305f980,
    0x0bd00003,0x7c403e40,0x00fa1b64,0x0fd407dc,0x017e2000,0x0fb81fb0,
    0x2007f500,0x000000fa,0x001f3000,0x02997dc0,0x0fdc9000,0x7e425c00,
    0x305e8001,0x1700003f,0x2007dc00,0x021b60fd,0xfa82f980,0x0fe40001,
    0xdb13e600,0x5003f800,0x0000001f,0x0003e600,0x02997fa6,0x02ec9000,
    0x0013a000,0x41f98154,0x0000abb9,0x2600fb80,0x00036c3f,0x07ea0be2,
    0x004f8800,0x007c8fb0,0x01f5000c,0x0bfffe20,0x0fffffc4,0xb8001f30,
    0x0014c2ff,0x000fe480,0x0001f880,0xff71f980,0x000bffff,0x37406d80,
    0x2e00036c,0xe81fa80f,0x546fffff,0x1f30000f,0x00000fdc,0x2e000fa8,
    0x32e02fdc,0x3e601fdc,0x1bfd3000,0x20000530,0x00003f34,0x000007d4,
    0x56fe4fcc,0x000bf730,0xfa80bea0,0x20006d82,0x03f505e8,0x8599ffb5,
    0x17c0007c,0x00003fd1,0x10001f50,0x07e6005f,0xfc800f98,0x000a602e,
    0x0007ba40,0x00003e40,0x202fff98,0x4c0003fa,0x417e205f,0xff70006d,
    0x2a07ea03,0x01b600ef,0xfe889d00,0x500000ad,0x5f10001f,0x5507e600,
    0x83557f75,0x20cc4fe9,0x29000029,0x6400007c,0xf3000006,0x00df005f,
    0x90077c40,0x001b603f,0x5401bfd5,0x006fdc1f,0xdb00013a,0x37fffaa0,
    0x1f50002c,0x005f1000,0x999707e6,0x32259999,0x07fdc1ef,0x52000053,
    0x6400007c,0xf3000006,0x003ee005,0x8803ba20,0x401b604f,0xa802eff9,
    0x4013f21f,0x3640004f,0x3ff72a20,0x07d4003f,0x8017c400,0xfa8001f9,
    0x0fbf984f,0xa40000a6,0xcccb807c,0xf90ccccc,0x3e600000,0x003f5001,
    0x6c00ee88,0x401b600f,0x3ea002fb,0x2003fd89,0x2ec0005d,0x027e4c00,
    0x10001f50,0x07e6005f,0x01efd880,0x14c1f19d,0x1f748000,0xfffffe80,
    0x01f71fff,0x03f30000,0x98007ea0,0x1fcc00ef,0x7dc01b60,0x3abea000,
    0x0364003f,0x8000fe00,0x1f5004fb,0x005f1000,0x7dc007e6,0x223ae03f,
    0x0000a60f,0x0001f9a4,0x001fa8db,0x001f9800,0x3e6003f5,0x806e800e,
    0x00f3006d,0x0eeeffa8,0x8001ee00,0x6c0001f8,0x001f5006,0x26005f10,
    0x6fec401f,0x7c4be600,0x40000a60,0x20005f14,0x001fc46d,0x800fcc00,
    0xef9801fa,0xfffff000,0xffffffff,0xa800001f,0x00ef88ef,0x20005f50,
    0x2000627b,0x0fa800fa,0x002f8800,0x7fc403f3,0x3e24e803,0x40000a60,
    0x6c0017e4,0x0000fc86,0xa800fcc0,0x077d401f,0x55555500,0x55fd5555,
    0x3f500000,0xe80077c4,0x5cdf0006,0x01f98007,0x88000fa8,0x03f3002f,
    0x75c005c4,0x02983e20,0x1fd49000,0x7c436c00,0x81d88005,0x3f5001f9,
    0x00077d40,0x0006d800,0xf307ea00,0x07f3001d,0x3f22fb80,0x007dc001,
    0x440007d4,0x03f5002f,0x559f1000,0x0a617f75,0x3f624000,0xb836c000,
    0x3fe6003f,0x5001f980,0x017ee03f,0x00db0000,0xfa800266,0x800ef981,
    0xbf5001fd,0x22005fc8,0x01f5006f,0x2e017e00,0x880001ff,0xdfdccccc,
    0x20000531,0x001ffc44,0x06fdc0db,0x4c07bea0,0x03f5001f,0x00400bf7,
    0xfe806d80,0x3f5003ff,0x1003be60,0xefa807fd,0x4027fe40,0xf5001fe8,
    0x03f60001,0x001fffd8,0x983e2000,0x10900002,0x44137df9,0x6405ffc9,
    0xb730abff,0x0fcc01bf,0x7dc1fa80,0x003e6004,0xff301b60,0x3ea00fff,
    0x003be601,0x5c42b7f6,0xafc80efd,0x2e621bff,0x3ea002ff,0x7df30000,
    0x37fd9511,0x000019bf,0x014c1f10,0x3aa04800,0xffffffff,0xffb3001c,
    0x407dffff,0x02cdfdca,0x259bfb97,0xccccccfe,0x1fdccccc,0xfeccc980,
    0xffff103c,0x7ee5c409,0x9dfd7101,0x7ffdc039,0x2a03ffff,0xfffffb15,
    0x97101bff,0x9bfb9999,0x80179999,0xeffffffa,0x005fff30,0x7fffd400,
    0x99999b32,0x99999999,0x20099999,0x009abca9,0x15973100,0xfffffd00,
    0x3ffffa0d,0xfffffd5f,0xffffffff,0xfff7003f,0x2201dfff,0x7fcc02cb,
    0xfff301ff,0x51007fff,0x22000579,0x200abcb9,0xfffffffa,0xffffffff,
    0x9bca8801,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0x91000998,
    0x03100000,0x99999100,0xccc98199,0x22004ccc,0x40f22000,0x220003c8,
    0xccc80005,0xcccccccc,0x6666644c,0x33332204,0x33332e2c,0x33332200,
    0x99910ccc,0x2a039999,0x83cccccc,0x40cccccc,0x04ccccc8,0xffffb800,
    0xf502dfff,0x36600001,0x05c41eff,0x7777f74c,0x7f77540e,0x75400def,
    0x5c00beff,0x1ffc81ff,0x001f5000,0x77776c40,0xdeeeefee,0x17bffb60,
    0x4effee98,0x813ffbb6,0xeefeeee9,0xdddffb10,0x3bbae05d,0x76c45efe,
    0x74c1eeef,0x000defee,0x2ab7ffa0,0xf502eccb,0xff300001,0xf53bfd77,
    0x01fc401f,0x7dc01f20,0x02ffcacf,0x3ea03fe6,0x03ea0007,0x1fc40000,
    0x3000fd80,0x1fff807f,0x3e40f700,0x405f3000,0x3f5002f9,0x03fc8000,
    0x0003ea00,0xff702e60,0x3f8801df,0x4c03e400,0x07f440df,0x00008010,
    0x000007d4,0xf1003f88,0x201ba00b,0xf7006ecf,0x30003dc0,0x017cc03f,
    0x40001fa8,0x7d40006f,0x44000000,0x07f1001a,0xfd807c80,0x00002e01,
    0x00fa8000,0x07f10000,0x32017dc0,0xfabf801f,0x2a07b803,0x1f50000f,
    0xa8017cc0,0x3e20001f,0x07d40003,0x00000000,0xf9000fe2,0x0000bf00,
    0xfa800000,0xf1000000,0x00ee8007,0x4fe009f3,0x03dc00fd,0x0fb603f3,
    0x0be603dc,0x0000fd40,0xf88005f3,0xffffffff,0x003fffff,0x000abb98,
    0x7c8007f1,0x00003f80,0x7d400000,0xf1000000,0x04f98007,0x89fc00dd,
    0x103dc04f,0x0dff305f,0x05f301b2,0x80007ea0,0xcb8002f9,0xccccdfdc,
    0xfa81bccc,0xffff52ff,0xf8801bff,0x403e4003,0x7ec0004f,0x001fffff,
    0x0000fa80,0x0007f100,0x01fb83f7,0x01fc8fe0,0x707f01ee,0x0bb03f7f,
    0xf5002f98,0x7ffdc003,0xffffffff,0x07d403ff,0xafdb8800,0xf710adfc,
    0x01fc401d,0x1b601f20,0x99993000,0x500003fb,0x2000001f,0xdd0003f8,
    0x3e0027cc,0x0f702f43,0xf8ee84f8,0x7cc04e83,0x003f5002,0x6fee65c4,
    0x1bcccccc,0x00007d40,0xa80fffe6,0x00fe203f,0x1f700f90,0x1fa80000,
    0xfffff980,0xffffffff,0x20007fff,0xf30003f8,0x3e001ba9,0x7b817d43,
    0x4fe22f40,0x4c04f85e,0x03f5002f,0x0017cc00,0x00003ea0,0xdd007ff3,
    0x2001fc40,0x02f8807c,0x00fd4000,0xaaaaaaa8,0xaaaaabfc,0x3e20002a,
    0x37f20003,0x83f8001f,0x407b80fd,0x7b8fd45d,0x7fcc03f8,0xffffffff,
    0x20001fff,0x540002f9,0x7cc0000f,0x201f7004,0x3e4003f8,0x7fffffdc,
    0x0001ffff,0x200007ea,0x000000fa,0x65c007f1,0xccfffccc,0x83f803cc,
    0x407b84f9,0x5f33e46c,0x3e6017c4,0xcccccccd,0x0001fdcc,0x50000be6,
    0xf980001f,0x203f5002,0x3e4003f8,0x7ed5554c,0x40002aaa,0xa80001fa,
    0x0035000f,0x97001fc4,0x99bfb999,0x07f00599,0x80f703f2,0x93e2f47b,
    0x17cc01f9,0x0001fa80,0x50000be6,0xf980001f,0x203f5002,0x3e4003f8,
    0x00007c80,0x40000fd4,0x0bd000fa,0x0001fc40,0x7c0003ea,0x7b8bf103,
    0x3f987d40,0x801f536c,0x3f5002f9,0x017cc000,0x0003ea00,0x2a005f30,
    0x007f101f,0x0f7007c8,0x01fa8000,0x000fa800,0x1fc400bd,0x003ea000,
    0x5f501fc0,0x47e603dc,0xb87d40fb,0x002f9807,0x4c0003f5,0x7d40002f,
    0x17cc0000,0x3e01fa80,0x80374004,0x5400007c,0xfa80001f,0x400bd000,
    0x32e003f8,0xccdfdccc,0x03f802cc,0x880f7374,0x7f10db2f,0x0be601f2,
    0x0000fd40,0xa80005f3,0x7cc0000f,0x403f5002,0x13e2005c,0x000036c0,
    0x200007ea,0x0bd000fa,0x7000fd40,0x9bfb9999,0x7f007999,0x0f73f980,
    0x7413e7f0,0x5f300db5,0x0007ea00,0x40002f98,0x4c0000fa,0x03f5002f,
    0xfa8007d4,0x0009d003,0x0001fa80,0xbd000fa8,0x0007e400,0x40003ea0,
    0xb8fc803f,0x2f9bf807,0x2017af70,0x3f5002f9,0x017cc000,0x000fe600,
    0x2a005f30,0x017e201f,0x26003ba2,0x0031002f,0x500003f5,0x03ba001f,
    0x00017e20,0x7c0003ea,0x7bdf8803,0x207cce80,0x9804eaf9,0x03f5002f,
    0x0017cc00,0x4a8037c0,0xf5002f98,0x203fb803,0xdd002fe8,0x5402ec00,
    0x0100001f,0x1017fd40,0x500001fd,0x0fe0001f,0x403f7dc0,0x67c05edd,
    0x02f9803f,0x40003f50,0xb80002f9,0x95311bef,0x05f30bff,0x2e007ea0,
    0xfd730aef,0x00bea007,0x7d4017c4,0x00000001,0x2615bfd1,0x30002feb,
    0x99bfb999,0x7e5c4017,0x3a00bcce,0x3ffc807f,0x5017fec0,0x8179bfb9,
    0x2cdfdcb8,0x002f9800,0xfffff700,0xca85bfff,0x9303cdfd,0xb8019bfb,
    0x1efffffe,0xccffd980,0xcccccccc,0x999710ff,0x999bfb99,0x66641799,
    0xcccccccc,0x703ccccc,0x1bffffff,0x7ffdc000,0x02ffffff,0x3fffffe6,
    0x01fe601f,0xf5007fee,0x7fff403f,0x7fcc1fff,0xa806ffff,0xccdfdccc,
    0x8003cccc,0x2009bcba,0x06fffffd,0x05fffff7,0x006b2a20,0xffffffc8,
    0xcfffffff,0x3ffffea0,0xffffffff,0xffff31ff,0xffffffff,0x980fffff,
    0x00001acb,0x00000000,0x00000000,0x74000000,0xffffffff,0x000effff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xcccccca8,0x33332204,0x332e1ccc,
    0xcccccccc,0x0ccccccc,0x99999993,0xc8801999,0x84cccccc,0x23ccccc9,
    0xccccccc9,0x22000ccc,0xcccccccc,0x4c000acc,0xcccccccc,0xcccccccc,
    0x666664c2,0x4ccccccc,0x001e6664,0xc893332e,0xcccccccc,0x4ccccccc,
    0x6666665c,0x9001bccc,0x44099999,0xebaccccc,0x205eeefe,0xeefeeee9,
    0x3bffbb61,0xeeeeeeee,0xdd50feee,0xddddddfd,0xfeee8801,0x7540deee,
    0x3aa4effe,0xeeeffeee,0x3ba6001e,0xfeeeeeef,0xd5001eff,0xdffddfdd,
    0x9fdddddd,0xeeeeefa8,0x0feeeeee,0x01fffdb1,0x37bffe20,0xddfddd10,
    0xdddddddd,0xffed8fdd,0xffeeeeee,0x7ff6c03f,0x3fba605e,0x00be64ef,
    0x27403e40,0x3203ee00,0x5f300007,0x4013f200,0x3e00005e,0x0ffae603,
    0x1f23f300,0x01fa89d0,0xf7f30fb0,0x3eff2009,0x800be600,0x440db07b,
    0xfd805fda,0x207f3000,0x09f0005e,0xfb8009d0,0x00007c80,0x7fb005f3,
    0x0002f400,0xfb1007f0,0xf93dc005,0x0fd44e80,0x7cc17dc0,0xcf8807ca,
    0x0be600fa,0x0db07b80,0xf1017ee0,0xb81ba00b,0x0fd4000f,0x2e002740,
    0x999fc80f,0x7cc00199,0x00bf6202,0x40000bd0,0x01b6003f,0xd01f25e8,
    0x4c01fa89,0xf15f305f,0xfa8fb807,0x800be600,0x400db07b,0x17dc01fb,
    0xf8807f20,0x8036c003,0x07d4004e,0x7fffffe4,0x4c00ceff,0x03fd102f,
    0x0000bd00,0x9f3001fc,0x3e47f100,0x03f513a0,0x5f300ee8,0x2abd01b6,
    0x00be600f,0x00db07b8,0x0fd806e8,0xd9009f30,0x801fc400,0x8244004e,
    0xaaaaaafc,0x2602ffdb,0x01fe882f,0x0000bd00,0x3f2001fc,0xf90fd400,
    0x07cc4d80,0x7cc03f90,0x3ea05f52,0x7cc01f51,0x6c0e6002,0x01fcc006,
    0x037413e2,0xf7002f98,0x5c13a001,0x403e4003,0x5f301fe9,0x0000ef98,
    0xf800017a,0x017c4003,0x408f91f2,0x27cc0500,0x05e8be60,0x3007d4db,
    0x8007605f,0x05e8006d,0x0fdc2fb8,0x3a00bd00,0x6c13a005,0x803e4005,
    0x45f306e8,0x40000efa,0x3e00005e,0x404f8003,0x0be3e44e,0x806f8800,
    0x103ee2f9,0x3007d47f,0x007f105f,0x3640036c,0x9f10ee80,0x400fb800,
    0x13a002f9,0x1f2002ec,0xf982f980,0x0001ff72,0x40000bd0,0x05d8003f,
    0xf8f90be2,0x03f60003,0x89f0be60,0x3007d47c,0x007f105f,0x3dc0036c,
    0x1db4f980,0x403f8800,0x7ff4007c,0x005fffff,0x0fe003e4,0x3fbf2be6,
    0x2f40002f,0xffffd000,0x0dffffff,0x81f7036c,0x03fffffc,0x2007f500,
    0x887dc2f9,0x3007d44f,0xffffffff,0x0036c007,0xfb8007d4,0xdb0002fd,
    0x20027c40,0xfcccccee,0x003e4005,0x3fbe613e,0x001bf914,0xb80017a0,
    0xcccefccc,0x81b603cc,0xaaafc86d,0x5f88003f,0xf10be600,0x1f503ee7,
    0x6666fcc0,0x36003fcc,0x00fa8006,0x80017fa0,0x03f501fa,0x0bb04e80,
    0x2a007c80,0x83ff982f,0xbd0005fa,0x01fc0000,0x09f02ec0,0x8003f8f9,
    0x3e6000fe,0x50bd6d82,0x417cc01f,0x1b6003f8,0x8003ea00,0x7c0001fa,
    0xd000dd04,0x90017609,0x407ec00f,0x0bea03f9,0xc8017a00,0x2000fe01,
    0xdddf304f,0x00b8ffdd,0x20017dc0,0xfdf982f9,0x2600fa81,0x4005f02f,
    0x06c8006d,0x0000fd40,0x00fe21f2,0x004413a0,0x3a201f20,0x805f302f,
    0x2f4000fd,0x1fc09f00,0x5c0be200,0x7ecccccf,0x027cc000,0x205f316e,
    0x01f506fd,0x001817cc,0x2740036c,0x0007ea00,0x0fc85f30,0x0004e800,
    0x65441f20,0x0be603ff,0xe800bf10,0xf813e005,0x807d4003,0x100f905e,
    0x3201ba20,0xa9817cc7,0x4c01f501,0x42e4002f,0x17c4006d,0x0007ea00,
    0x00bf17a0,0x800013a0,0xfffffffc,0x7cc01dff,0x000fb802,0x04f8017a,
    0x0dd000fe,0x03e40fe2,0x00fec17c,0x00be63e4,0xf3007d40,0xd86d8005,
    0x00fe4006,0x00007ea0,0x00fd43ea,0x00004e80,0x333333f2,0x5f3000ab,
    0x4009f100,0x813e005e,0x0bf6003f,0x07c807d4,0x0fea1fc4,0x0be63e40,
    0x3007d400,0x86d8005f,0x17ea006d,0x0007ea00,0x036d3e20,0x00009d00,
    0x980003e4,0x00fb002f,0x09f002f4,0x5fc801fc,0x07c81b20,0x0bf11fc4,
    0x0be63e40,0x3007d400,0x86d8005f,0x1ff3006d,0x003f5000,0x0fe3f200,
    0x0004e800,0x40001f20,0x5f3002f9,0xf8017a00,0xb500fe04,0x204e80bf,
    0xb1fc407c,0x23e4001f,0xf50002f9,0x0017cc01,0x301b61b6,0x20001df9,
    0x300001fa,0xa8001fdf,0xccccefcc,0xd993002c,0x1799999f,0xdfdcb880,
    0x677403cc,0xf999911c,0x9999999d,0xb889f999,0xcccccefc,0x9303fffd,
    0x32617bf9,0xcccccfec,0x3be3fccc,0xcccccccc,0xb717eccc,0xb80799bf,
    0x10bdfdcc,0x999bfb97,0x99999999,0x67f654dd,0xffeccccc,0x9971000d,
    0x7999bfb9,0x02ff4000,0x7fffff40,0x7005ffff,0xffffffff,0xff9803ff,
    0x00ffffff,0x7d53ffee,0xffffffff,0xffffffff,0x7ffffcc4,0x01ceffff,
    0x8fffffdc,0xfffffffb,0x23ffffff,0xffffffff,0x57ffffff,0x1fffffff,
    0x3ffffe20,0xffff32ff,0xffffffff,0x74dfffff,0xffffffff,0x4c000adf,
    0xffffffff,0x00000fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x33320000,0x332204cc,0x33262ccc,
    0xcccccccc,0x999100ab,0x99999999,0x332a0037,0xcccccccc,0x99901ccc,
    0x00799999,0xcccccc98,0xcccccccc,0x333224cc,0xcccccccc,0x000000ab,
    0x0eb3bf66,0x00cc0000,0x004c0030,0x10000000,0x3bbfb605,0x3ffba605,
    0x3fbbaa4e,0xffeeeeee,0xfeee883f,0xffeeeeee,0x775c00df,0xeeefeeee,
    0xed882eee,0x0feffeee,0x3bbbea00,0xeeefeeee,0xd10feeee,0xdddddfdd,
    0x005fffdd,0xb8077faa,0x06ffddff,0x04d65cc0,0x7d4013ea,0x019fd000,
    0xb8000000,0x0df100ff,0x3202fc40,0x037ecc07,0x7dc405f3,0x0fa8001f,
    0xf8ed8000,0x407ea003,0x01f700fa,0xfd9803f3,0x7fffc403,0x441bf306,
    0xfff91003,0xf517ffff,0x03ea001d,0x01ffe440,0x75400000,0x27d401ef,
    0x6400ee80,0x209f5007,0xee8802f9,0x007d4000,0x36cfe200,0x2a03f500,
    0x301f700f,0x07f6003f,0x0fffffa8,0x50000fd8,0x262159fd,0x000efffd,
    0xb30003ea,0x000005df,0x005dfb30,0x3f6017dc,0x2007c801,0x02f980fc,
    0xa8009f30,0x7dc0000f,0x2a003f50,0x201f501f,0x01f980fb,0x7c40bf30,
    0x0bd06fff,0x007be600,0xa8005ff7,0xfd50000f,0x1000003b,0x20007ff9,
    0x07f700fd,0xf8801f20,0x2002f982,0x07d4005d,0x9f17a000,0x5407ea00,
    0x301f700f,0x036c003f,0x6c077f66,0x06f88006,0x006eef98,0x200007d4,
    0x0000cffb,0x0019ff70,0x26077440,0x01f2005f,0x05f309f0,0x2a0036c0,
    0x3e60000f,0xfa803e42,0x2e01f501,0x001f980f,0x5c0001b6,0x0fec001f,
    0x3e63be60,0x003ea003,0x13ff2200,0x0dffa800,0x4bf30000,0x32000ee8,
    0x20fe2007,0x7f1002f9,0x000fa800,0x0be61f20,0x7d403e60,0x3e60f500,
    0x007f1001,0x2002f400,0x077cc04f,0x07d400fb,0xff910000,0x77f4c005,
    0xfb800001,0xc8003fb3,0x207ee007,0x1f9002f9,0x000fa800,0x02f413e0,
    0x803ea018,0x1003f300,0x400001fd,0x5f3001f9,0x2e077cc0,0x01f5000f,
    0xdfb30000,0x177ecc05,0x3f600000,0x7c8002fd,0x260df500,0x27f4402f,
    0x0007d400,0x1f701fa8,0x00fa8000,0x5301f980,0x00003df9,0xa8037ec4,
    0x01df300f,0x332e23f3,0xcdfdcccc,0x003ccccc,0x10eff540,0x00007ff9,
    0x0027f400,0xefb807c8,0x3337f300,0x07ffd953,0x0003ea00,0x07f1036c,
    0x000fa800,0xffffff98,0x002fffff,0x3effea00,0x1f52ca83,0x2601df30,
    0xffffd11f,0xffffffff,0x0000dfff,0x7fdc9ff7,0x0000000d,0x2000bff1,
    0xcaaaaafc,0x2600dffe,0xffffffff,0x2a0000bf,0x3f88000f,0x200036c0,
    0xf98000fa,0xdccccccd,0x2e00dffe,0xcf984ccc,0x5ff81f90,0x0ff885f3,
    0x54003ee0,0x5000000f,0xf9101bfd,0x0000007f,0x0009f7fb,0xfffffff9,
    0x9f3003bd,0x3ff75555,0x00fa8000,0x5400fb80,0x3ea0001f,0x01f98000,
    0x3e01df70,0x47c84fff,0xf0bea5e8,0x200ff449,0x03ea006d,0xdfd30000,
    0x5dfb1003,0x3f200000,0xc8005f92,0x0009999f,0xfd302f98,0x07d40005,
    0x7777f400,0x4feeeeee,0x003ea000,0x98007e60,0x6fff985f,0x25f509f0,
    0x447e40fd,0x27cc01fe,0x0001f500,0x00bbf620,0x007bfa60,0x744fa800,
    0x01f2000f,0x1017cc00,0x2a0005fb,0x77cc000f,0xeeeeeeee,0x2a0007ee,
    0x1f98000f,0x3207dc00,0x2f982fff,0x10bf1fb0,0x8803fdbf,0x07d4006e,
    0x3ff22000,0xfea80003,0x7c40000d,0x2006f885,0xf300007c,0x001fb005,
    0xb8001f50,0x00be6007,0x40007d40,0x7c4001f9,0x882fff42,0x3fff104f,
    0x300bfee0,0xfa8003fd,0x3fee0000,0x5c00000c,0xd0000cff,0x013e601f,
    0x980003e4,0x06f8802f,0x4000fa80,0x02f4004e,0x8000fa80,0x7c4001f9,
    0x803ffe63,0x417ee07f,0x09cfffe8,0x003df951,0x50001f50,0x00001bfd,
    0x01ffe440,0xf7007f20,0x000f9005,0x5400be60,0x07d4003f,0x8003f300,
    0xfa8000fb,0x01f98000,0xff70fd40,0x883fb807,0x9fe886fe,0xffffffc8,
    0x3ea0004f,0x3bfa6000,0x20000001,0xa802efd8,0x03fb003f,0x300007c8,
    0x07ec005f,0x4001f500,0x3f88006c,0x000fa800,0x22001f98,0x8037f47e,
    0x7fd51dfe,0x07f659bf,0x00359731,0x2001f500,0x00002ffc,0x17fa6000,
    0x22005f88,0x01f200ee,0x0017cc00,0x7d400bf1,0x000fe000,0x7d40036c,
    0x01f98000,0x7c43fd10,0x3ff2002f,0xbff71fff,0x0000006a,0x0f200488,
    0x80000000,0xdfec885a,0xb99300bc,0x332617df,0xbcccccfe,0x7ee5c400,
    0xfb803ccd,0x999930bc,0x9999bfb9,0x37f72617,0x32e203cc,0x880bcfdc,
    0xccfdcccb,0xb97103cc,0x999999bf,0xd03ffd99,0x37730007,0x00000000,
    0x00000000,0x54000000,0x02ffffff,0x3ffffff7,0x3fffffee,0x4c01ffff,
    0xefffffff,0x72ffe800,0xffffffff,0x2e5fffff,0x0effffff,0xffffff30,
    0xffff505f,0x1dffffff,0xffffff30,0xbfffffff,0x00000015,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0x0001acb9,0x006b32a6,
    0x1abba980,0x57751000,0x97530001,0x00000155,0x005cc000,0x40000000,
    0x2e601ca8,0x26000001,0x10000abb,0x17510375,0x80000000,0xfffffffc,
    0xfffb5003,0x003dffff,0x7fffffd4,0x4c03d1ef,0xfffffffe,0xfffe9802,
    0x26acffff,0x102ffff8,0x003fffff,0xfb005ff8,0xb803ffff,0xb83fffff,
    0x21fffffe,0x00efffe9,0x7d43bfd5,0xffff52ff,0x3ee01bff,0xffffb9ff,
    0x13fffee5,0x6fffff88,0x6fffff88,0x10acfe98,0x5401bfb5,0x2a21acef,
    0x7ec401fe,0x3faa61ad,0x7df903fd,0x06ff54c3,0x221bffa8,0x2e0fffc9,
    0x32e02fdc,0x74001fdc,0xbf93004f,0xcb880179,0x77cc1cfe,0xf11fd50a,
    0x81df915f,0x226ffff8,0xadfcafdb,0x101df710,0x13bfdfb7,0x139f97f9,
    0x7f5c03f9,0xfd9702cd,0x01ef885d,0x002037d4,0x5fb01fe2,0x907ff700,
    0x0bf7009f,0xff3003fe,0x2005f101,0x018001f9,0xd0004f80,0xdf88040b,
    0x544f986e,0x4c0fffff,0x3ea03fff,0x217fe603,0x05e84ffd,0x2a00ff44,
    0x001fd05f,0x200013e6,0x05f501fb,0x3e61fe40,0x30bea004,0x03f6005f,
    0x7cc00be2,0xb0000001,0x00fe000d,0xc80ffec0,0x3fffe20f,0x803ff986,
    0x41be606e,0x01f705fa,0xf501fe88,0x000bee0b,0x880003f9,0x005f883f,
    0x01ba17c4,0x5f883f20,0x3e209100,0x003f3002,0x41ee0000,0x01f983fd,
    0x440bf500,0x0efecc3f,0xfb8027cc,0x2603f300,0x001f501f,0x5fa83fd1,
    0x7c0017a0,0x1fc40004,0x5c000fd4,0x2000be60,0x01fec2f9,0x400be200,
    0x000001f9,0xdff03f30,0x20001f70,0x02f403fa,0xa8017cc0,0x203f301f,
    0x01f501f9,0x7dc7f620,0x8001fc04,0x3b2e205d,0x3fbcdeee,0x500007b8,
    0x3333333f,0xf3333333,0x79bffb07,0x0be20015,0x0000fcc0,0x543f8800,
    0x03640fcf,0x66776dcc,0x999999bf,0xf98006d9,0x203f5002,0x03f301f9,
    0xfb0003ea,0x2f9809f9,0x910f9000,0xdd9bdfff,0x0db07fff,0x3fff2000,
    0xffffffff,0x304fffff,0x9fffffd9,0x8017c401,0x666441f9,0xcccccccc,
    0xd03ccccc,0x43f8ed8b,0x3ffee04e,0xfffffece,0x7fffffff,0x002f9800,
    0x07e603f5,0x0fa80fcc,0x805fe800,0xf90002f9,0x9803bfd0,0x0005d83f,
    0x55557f70,0x55555555,0x54c00555,0x5f102efd,0xf107e600,0xffffffff,
    0xdfffffff,0x369f1b20,0x3620be26,0x59f701df,0x55555555,0x005f3000,
    0x0fcc07ea,0x1f501f98,0x2fefc800,0xb0003f80,0x1002fc8d,0x000f907f,
    0x00007e60,0x07f62000,0x7cc00be2,0x20000001,0x2a3f50fa,0xf503f30f,
    0x002fa807,0x005f3000,0x0fcc07ea,0x1f501f98,0xfd9fe400,0x8002f402,
    0x10027c4f,0x001f507f,0x0009f100,0x13a00020,0x7cc00be2,0x20000001,
    0x7c4db2f9,0x01f20f73,0x000013ea,0xfa8017cc,0x2603f301,0x001f501f,
    0x07f90ff2,0x2e000fdc,0x8007e61f,0x04f883f9,0x001f9000,0x4002f880,
    0x002f886d,0x000003f5,0xd87f4f80,0x03ea0bb6,0x2000df50,0x05f300a9,
    0x7cc07ea0,0x2a03f301,0x03fd800f,0x077407f9,0x7c44f980,0x07ff5004,
    0xf70007f2,0x40037443,0x800bf108,0x700bf05e,0x000003ff,0x41fadd80,
    0xf104f9fa,0x17ffc405,0x7fffb060,0x2a005f30,0x203f301f,0x01f501f9,
    0x7e402fd8,0x803df303,0x01fd06fa,0x203fffc8,0xfe9802fe,0x801df986,
    0x7ff15fc8,0x6c0bf200,0x3fff600f,0x40000001,0xdf886dfb,0x203ba02f,
    0x80effff8,0x3ffe67e9,0x002f987f,0x07e603f5,0x0fa80fcc,0x5c00bf60,
    0x39fd304f,0x037f6a21,0xa88df7cc,0xcdf8cfec,0x56ff440b,0x13ff2a61,
    0x209cfe98,0x10cffca9,0x4135dfff,0x2603feb9,0xeca88bef,0x00cdf9bf,
    0x20005f90,0xffb03ff9,0x45774401,0xeafcffa8,0x43df933f,0x50fffff9,
    0x2079bfb9,0x10cdfdc9,0x9839bfb9,0x67d40cdf,0x33bfae0b,0xff99702c,
    0x3fff205b,0xa803ffff,0xeffffffe,0x05ffff11,0x3fffffee,0xf9000cff,
    0xbfffffff,0xffd53d03,0x05dfffff,0xffffff50,0x0bffe61d,0x8002ffc0,
    0xdf501ff8,0xffffd100,0x3fe6d31d,0xffd04fff,0x7fffec9f,0xffff706f,
    0x3fffea5f,0x17ffcc3f,0xfe8bffea,0xfd05ffff,0x440bffff,0x8001acb9,
    0x0001bcba,0x13579530,0x2f2a6000,0x5d4c000a,0x44001abc,0x00009bca,
    0x00005d70,0xbb880000,0x40164c01,0x000001ca,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x1d80d440,0x04025400,
    0x44000040,0x6e5c404a,0x16e4c00b,0x4c009880,0xccb80999,0x013100cc,
    0x00565cc0,0x880000a0,0x4cfa605d,0xffffffff,0xfb1fffff,0x10dfffff,
    0x7fffffff,0x05e803ae,0x0fffff60,0x85dfffb3,0x2f2ea1fe,0xd9013ee1,
    0xd100bd00,0x03f7edc9,0x9d957df3,0xfb57bd10,0x3fffee07,0xbffff02e,
    0x98bffff0,0x03dffffd,0x1fffffe4,0x0002fc80,0xf302fe88,0x3337e61f,
    0xfdcccccc,0x9df9930e,0x3b32e059,0x3ff31bcf,0x2003bee0,0x323fccc9,
    0x1fd99cff,0x3ffaffa2,0x05fcdfff,0x5fa806c8,0x2a87fa20,0x4c0d40f3,
    0x7d42ec0f,0x26fbfa20,0xffe84ffc,0x7fffcc4f,0x54d66dc1,0xbffb02fc,
    0xa807ffd7,0x20000fff,0xff503fe8,0x74017cc3,0x400dd01f,0x3ff504f8,
    0x0003bf20,0x209fb17f,0x577f441c,0x00bff710,0x2fd401b2,0xf300ff44,
    0x488fa000,0x01fd8fa0,0xfffd85f7,0x02fffe43,0x3fe61b20,0x9807fd40,
    0x000ef8df,0xf504ff98,0x401f985f,0x07ea01fd,0xf500fdc0,0x03bf605f,
    0x02fecf80,0xf100ee80,0x801b2009,0x07fa25fa,0xf5000f30,0x4cbe2003,
    0x3237c05f,0x7ff42fff,0x44ccc00f,0x82fe40fa,0x0ee882fe,0xf9800bf3,
    0x07ff705f,0x005f9012,0x017a00bf,0x7ec0ffee,0x3fff001f,0x803f3000,
    0x3205dc7a,0xfa825446,0x9801fe9d,0x3fdb7007,0x3f52ec00,0x3ee0fb80,
    0x3ffe21ff,0xffffb304,0x2fd81fff,0x3fb07f90,0xf5003fb8,0x13ff20df,
    0x801fdc00,0x17d400fb,0x883ffc80,0xef801ffe,0x00d90000,0xbeffd8be,
    0xffda8ec8,0x3fff500e,0x4c01e600,0xd8802ffc,0x7003ee0d,0x07ffd41f,
    0xf301fff5,0xf93337bf,0xfd04fc81,0xf902fb85,0x0effa805,0x0005ffc8,
    0x7c4009f5,0x20036c04,0xfe884ffd,0x001fc02f,0x13a009d0,0xfffffd71,
    0xf88039ff,0x01e6006f,0xe880fe60,0x7404f985,0x323ffcc7,0x01fb03ff,
    0x1ff503ea,0x3ea0ffa8,0xb807f404,0xffd80fff,0x0bf30005,0x7c40f900,
    0x5ffe8003,0x202fff98,0x17a0003f,0xf91027c0,0x3a2003bf,0xf3005fbf,
    0x4c1b2000,0x403fa04f,0x46ff84fa,0x09d00fff,0x3f603f62,0x23ffebdf,
    0x6f8806f8,0xb03fff50,0xf3000dff,0x0fe6000b,0x220007e4,0xff984ffe,
    0x000fe02f,0x3f8807d8,0x007f7ec0,0x5fa8ff44,0x70007980,0x8805f70d,
    0xdfb51cff,0xff997fe0,0x4c2bee03,0xc809fffb,0x643fffff,0x05f3000f,
    0x3203bfea,0x3a2005ff,0x1b60000e,0x360013e2,0xfff884ff,0x0001fc01,
    0x0fd809f3,0x17e6bee0,0xfa83fd10,0x1883cc05,0x03db0be0,0xfffd8811,
    0x8ff604ff,0xffd806fa,0x7ffbcfff,0x10179730,0x20088001,0xfb80eff9,
    0x0ee8804f,0x217d4000,0x7ec000fb,0x1ffe883f,0x40003f80,0x4fd883fe,
    0x3fb97e60,0x2a03fd10,0x7e55545f,0xbfd11aab,0xfc8bf935,0x4eaaaaab,
    0x80157530,0x2001c0d9,0x133109ba,0x00000000,0x2e0bff30,0x0fec03ff,
    0x17a006e0,0xffc800bd,0x00efe882,0x5c0007f0,0xfdbcefef,0xee881fff,
    0x7f40fec0,0x9727d401,0x85999999,0xa82cedca,0xcccccccc,0x00000002,
    0x00000000,0xfd100000,0x40ffea0b,0x04e801fd,0x03f51fb8,0xd817fdc0,
    0x0fe000ef,0xb8afdc00,0xfe88adfe,0x7440fdc1,0x35001a85,0x00000000,
    0x00000000,0x00000000,0xfd100000,0x90bfe609,0x013e005f,0x2006da7c,
    0xdfb01ffa,0x003f8001,0x22005f88,0x1100c46e,0x00000000,0x00000000,
    0x00000000,0x00000000,0x981fec40,0x99df51ff,0x99999999,0x33f2009f,
    0x1df3002f,0x26017ee0,0xccefcccc,0x300bcccc,0x00002000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x5d102e40,0x3ffffff2,0x4fffffff,
    0x00fff100,0x09b006dc,0x3fffff20,0xffffffff,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x744eeed8,
    0x99914eee,0x99999999,0x99999999,0xaaaaaaa8,0xaaaaaaaa,0x98281aaa,
    0x2205c002,0x8802e602,0xca8001bb,0x3ae39501,0xeeeeeeee,0x21eeeeee,
    0xaaaaaaaa,0xaaaaaaaa,0x42aaaaaa,0x88888888,0x88888888,0x00088888,
    0x00000000,0x7ff40000,0xa7fffc4f,0xfffffffa,0xffffffff,0x3fe0ffff,
    0xffffffff,0xffffffff,0x27dc3c46,0x3f22fd80,0x7ffec2ff,0x3ffffa83,
    0x417fe0c0,0xffff75ff,0xffffffff,0x3fea3fff,0xffffffff,0xffffffff,
    0xf50fffff,0xffffffff,0xffffffff,0x001fffff,0x00000000,0x7fec0000,
    0x1fffec3f,0x03ee0000,0x33333333,0x33333333,0x3f20f103,0x88bfa205,
    0x3e66ffff,0x6fdc7fff,0xf705fc88,0xfd827ec3,0x55555533,0x55555555,
    0x44444415,0x88888888,0x88888888,0x2aaaa208,0xaaaaaaaa,0xaaaaaaaa,
    0x0000001a,0x00000000,0x3217ffe4,0x00002fff,0x000007dc,0x5c0f7c40,
    0x0ff4c0df,0x43ffffe6,0x30fffff9,0x41bf709f,0x040084fb,0x00000000,
    0x00000000,0x00000000,0x40000000,0x7dc1fffb,0x400000ff,0x000000fb,
    0x77d41aa0,0x3a03df30,0x7ff45fff,0xf980e64f,0x0004fecf,0x00000000,
    0x00000000,0x00000000,0x00000000,0xf503ffe6,0x700000ff,0x4000001f,
    0x4c0d51bb,0x4401b92e,0x037502db,0x05bd9100,0x00000000,0x00000000,
    0x00000000,0x00000000,0x87ff8800,0x00006ff9,0x3bb60fb8,0xeeeeeeee,
    0x4eeeeeee,0x005dffb3,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xff000000,0x00bff10d,0x641f7000,0xcccccccc,0xcccccccc,
    0x0000083c,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x13fa0000,0x000027fc,0x000007dc,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xc817e400,0xb800002f,0x0000000f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00a20288,0x00244000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_43_latin1_x[224]={ 0,9,4,3,4,3,4,8,11,5,0,2,5,3,
8,4,4,4,3,3,3,3,5,3,4,5,8,5,0,1,0,0,3,0,1,2,2,1,2,2,1,4,3,1,
2,0,0,0,3,1,1,3,2,1,0,0,1,1,3,0,0,0,4,1,8,2,0,3,2,2,3,2,1,3,
3,3,3,0,2,2,0,2,3,3,2,1,1,1,1,2,4,0,10,0,3,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,9,4,2,3,1,
10,2,5,0,0,0,0,3,0,-1,6,2,6,6,8,1,3,8,8,6,5,2,0,0,0,0,0,0,0,0,
0,0,0,2,1,1,1,1,4,4,4,4,-1,0,0,0,0,0,0,5,1,1,1,1,1,1,3,1,2,2,
2,2,2,2,0,3,2,2,2,2,3,3,3,3,2,2,2,2,2,2,2,2,2,1,1,1,1,2,0,2,
 };
static signed short stb__courier_43_latin1_y[224]={ 31,7,8,6,5,7,11,7,7,7,7,10,25,19,
26,5,7,7,7,7,7,7,7,7,7,7,14,14,10,16,10,8,6,9,9,8,9,9,9,8,9,9,9,9,
9,9,9,8,9,8,9,8,9,9,9,9,9,9,9,7,5,7,7,39,6,14,7,14,7,14,7,14,7,6,
6,7,7,14,14,14,14,14,14,14,9,14,14,14,14,14,14,7,7,7,17,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,31,14,6,8,12,9,
7,7,8,8,6,14,19,19,8,4,3,8,7,7,6,14,7,16,30,7,6,14,7,7,7,14,1,1,1,3,
3,1,9,8,1,1,1,3,1,1,1,3,9,3,1,1,1,3,3,13,7,1,1,1,3,1,9,7,6,6,
6,8,8,5,14,14,6,6,6,8,6,6,6,8,7,8,6,6,6,8,8,11,13,6,6,6,8,6,7,8,
 };
static unsigned short stb__courier_43_latin1_w[224]={ 0,5,14,17,15,17,15,6,7,7,15,19,9,17,
7,15,15,15,16,16,16,16,15,16,15,15,7,10,19,20,19,14,16,23,20,19,20,19,20,20,21,15,20,21,
19,23,22,19,18,20,22,17,19,21,23,23,21,20,16,7,15,7,15,24,7,19,21,18,21,18,18,20,20,17,
13,19,17,23,19,19,21,21,18,16,19,20,21,21,20,20,15,8,3,8,17,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,0,5,14,18,16,20,
3,19,12,23,13,19,21,17,23,25,11,19,10,11,7,20,17,7,7,10,13,19,23,24,23,14,23,23,23,23,
23,23,23,19,19,19,19,19,15,15,15,15,21,22,19,19,19,19,19,13,21,21,21,21,21,20,18,19,19,19,
19,19,19,19,23,18,18,18,18,18,17,17,17,17,18,19,19,19,19,19,19,19,19,20,20,20,20,20,21,20,
 };
static unsigned short stb__courier_43_latin1_h[224]={ 0,25,11,28,30,25,21,12,29,29,15,20,12,3,
6,30,25,24,24,25,24,25,25,25,25,25,18,21,20,8,20,24,28,22,22,24,22,22,22,24,22,22,23,22,
22,22,22,24,22,28,22,24,22,23,22,22,22,22,22,29,30,29,11,3,7,18,25,18,25,18,24,25,24,25,
33,24,24,17,17,18,25,25,17,18,23,18,17,18,17,25,17,29,29,29,6,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,0,25,25,23,16,22,
29,27,4,24,12,17,11,3,24,3,11,23,13,13,7,25,27,6,8,13,12,17,24,24,24,25,30,30,30,28,
28,30,22,30,30,30,30,28,30,30,30,28,22,28,31,31,31,29,29,14,26,31,31,31,29,30,22,25,26,26,
26,24,24,27,18,24,26,26,26,24,25,25,25,23,25,23,26,26,26,24,24,18,20,26,26,26,24,33,32,31,
 };
static unsigned short stb__courier_43_latin1_s[224]={ 254,248,1,112,49,105,157,193,1,78,115,
193,200,130,91,238,240,237,129,140,146,225,1,17,34,50,183,146,233,38,213,
163,213,81,125,88,214,194,25,67,228,65,139,65,87,170,181,198,23,1,42,
218,105,60,1,204,1,235,153,17,205,9,236,174,67,21,162,41,228,60,1,
1,108,123,1,178,236,211,191,1,206,184,79,79,20,96,37,137,235,141,21,
65,74,245,99,46,46,46,46,46,46,46,46,46,46,46,46,46,46,46,46,
46,46,46,46,46,46,46,46,46,46,46,46,46,46,46,46,46,254,242,190,
82,98,160,86,22,117,164,210,1,16,130,62,148,224,119,168,156,75,84,62,
83,59,145,179,59,22,212,188,175,221,1,25,166,230,65,129,89,109,129,149,
146,169,185,201,130,107,190,165,145,185,25,45,131,80,101,79,123,90,217,46,
205,180,220,200,106,86,42,159,126,102,121,140,145,157,122,66,101,103,40,43,
63,83,42,22,117,173,159,1,22,1,15,36,58, };
static unsigned short stb__courier_43_latin1_t[224]={ 1,124,337,66,35,152,277,319,66,66,319,
277,319,337,337,35,96,178,203,124,203,124,152,152,152,152,300,277,277,337,277,
203,66,277,277,203,254,254,254,203,229,277,229,254,254,254,229,203,277,96,277,
203,277,229,254,229,277,254,254,66,1,66,319,337,337,300,152,300,152,300,229,
178,203,152,1,203,203,300,300,300,152,152,319,300,229,300,319,300,300,152,319,
66,66,1,337,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,1,124,124,
229,319,229,66,96,337,178,319,319,337,337,178,337,319,229,319,319,337,152,96,
337,337,319,319,319,203,178,178,124,1,35,35,66,66,35,254,35,35,35,35,
66,35,35,35,66,254,66,1,1,1,66,66,319,96,1,1,1,66,35,254,
124,96,96,96,178,178,96,300,178,96,96,96,178,124,124,152,229,124,229,124,
124,124,178,178,300,277,96,125,124,204,1,1,1, };
static unsigned short stb__courier_43_latin1_a[224]={ 364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_43_latin1_BITMAP_HEIGHT or STB_FONT_courier_43_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_43_latin1(stb_fontchar font[STB_FONT_courier_43_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_courier_43_latin1_BITMAP_HEIGHT][STB_FONT_courier_43_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_43_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_43_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_43_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_43_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_43_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_43_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_43_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__courier_43_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__courier_43_latin1_s[i] + stb__courier_43_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__courier_43_latin1_t[i] + stb__courier_43_latin1_h[i]) * recip_height;
            font[i].x0 = stb__courier_43_latin1_x[i];
            font[i].y0 = stb__courier_43_latin1_y[i];
            font[i].x1 = stb__courier_43_latin1_x[i] + stb__courier_43_latin1_w[i];
            font[i].y1 = stb__courier_43_latin1_y[i] + stb__courier_43_latin1_h[i];
            font[i].advance_int = (stb__courier_43_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__courier_43_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_43_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_43_latin1_s[i] + stb__courier_43_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_43_latin1_t[i] + stb__courier_43_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_43_latin1_x[i] - 0.5f;
            font[i].y0f = stb__courier_43_latin1_y[i] - 0.5f;
            font[i].x1f = stb__courier_43_latin1_x[i] + stb__courier_43_latin1_w[i] + 0.5f;
            font[i].y1f = stb__courier_43_latin1_y[i] + stb__courier_43_latin1_h[i] + 0.5f;
            font[i].advance = stb__courier_43_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_43_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_43_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_43_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_43_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_43_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_43_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_43_latin1_LINE_SPACING
#endif

