// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_45_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_45_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_45_latin1_BITMAP_WIDTH         256
#define STB_FONT_courier_45_latin1_BITMAP_HEIGHT        378
#define STB_FONT_courier_45_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_courier_45_latin1_FIRST_CHAR            32
#define STB_FONT_courier_45_latin1_NUM_CHARS            224

#define STB_FONT_courier_45_latin1_LINE_SPACING          21

static unsigned int stb__courier_45_latin1_pixels[]={
    0x00006600,0x2aa601d4,0x2000002a,0x076e04c8,0x00013000,0x00000000,
    0x54000b70,0x3600000d,0x20000004,0x200002d8,0x21880002,0x22001108,
    0x640001ff,0x7fffc05f,0x2e000005,0x5ff982ff,0x0bfee000,0xeeb88000,
    0x2000000b,0x260005fd,0x700001ff,0x000001bf,0x0001ff98,0x000efd88,
    0x53a7fc88,0x3ff1004e,0x027ec000,0x002f5544,0x03ff5000,0x22000ffe,
    0x004fedfd,0x9b53bd00,0xfd100000,0xff300009,0x3ee00005,0x5000000e,
    0x300003ff,0x005ff9fd,0x57a0cfe8,0x3ff1005e,0x07fd1000,0x0000bd00,
    0x00c00880,0xf91ff4c0,0x34c0001d,0x800003e2,0x00003fe8,0x0000ffa2,
    0x0000ffd4,0x0003bee0,0x7447bee0,0x05f3004f,0x44017abd,0x74c001ff,
    0x0bd0002f,0x00000000,0x503ff500,0x2e0003ff,0x00001e85,0x00005ff3,
    0x0009fb10,0x0007fe60,0x00077e40,0x6c06fec0,0x83e400df,0x0000bd5e,
    0x0003f900,0x000002f4,0x6e400000,0x000fa600,0x00f307c4,0x000f5400,
    0x001b2000,0x0003e880,0x200009b0,0x0fdc03f8,0xeaf41b60,0x00000005,
    0x000bd000,0x00000000,0x64000000,0x0003fcbf,0x00000000,0x00000000,
    0x00000000,0xe836c000,0x00000bd5,0x17a00000,0xdb000cc4,0x5403bddd,
    0x002eeeee,0x93000000,0x20000019,0x44000008,0x00000000,0x00000000,
    0x36000110,0x017abd06,0x00000000,0xffd912f4,0x6c017bff,0x201eeefe,
    0x13effeeb,0x59999999,0x99999950,0x00000009,0x3fffb6a0,0xdb50002d,
    0x8805bfff,0x2ccccccc,0xcccccca8,0x33333224,0xccca82cc,0xda804ccc,
    0x002dfffe,0x5eaf41b6,0xddddddb1,0x76cbdddd,0x2a01deee,0xd02eeeee,
    0x2af7fe6b,0x200efeca,0x6e8004f9,0x7fffff4c,0xffffc83f,0x99700eff,
    0x03999999,0xdffd8800,0x00effdbb,0x77bffb10,0x2601dffb,0x3ffffffe,
    0xffffffc8,0xffffd30e,0xfff907ff,0x2201dfff,0xfdbbdffd,0x06d800ef,
    0x76c57abd,0xeeeeeeee,0x3bbfb67f,0x3fbae01e,0xf5bd03ef,0x077d403d,
    0x54001fb0,0x0017e02f,0x3ff6017a,0x05ffffff,0x80bfe600,0x7cc01ffb,
    0x07fee02f,0xbd000bf0,0xe8005f80,0x017fcc05,0x6d803ff7,0x0017abd0,
    0x009f31f2,0xffe80dd0,0x01df1005,0x6e8013e6,0x74002fc0,0x95f50005,
    0xff30001f,0x01ff5003,0x2a007fe6,0x017e00ff,0x0bf017a0,0x7cc0bd00,
    0x0ffa801f,0xeaf41b60,0xd87c8005,0x0bea000f,0x4001dfd0,0x03f604f9,
    0xbf00fea0,0x000bd000,0x001fcdf6,0xf30007f4,0x8003fa0b,0x017e05f9,
    0x0bf017a0,0x7f40bd00,0x817e6000,0x17a1305f,0x3e61f200,0x201ba004,
    0x6c8002fe,0x3a00fe60,0x8005f806,0x4f88005e,0x7f5001ba,0xa85f9000,
    0x2fc8003f,0xbd000bf0,0xe8005f80,0x0007f505,0x09f505f9,0xf9000bd0,
    0x2a003f60,0x00fe803f,0x3600fa80,0x00fe600f,0x17a0017e,0xfb87ea00,
    0x00df1001,0x6f89be20,0x20df1000,0x05e8005f,0x2f4002fc,0x880037c4,
    0x03bf666f,0x320017a0,0xd007f307,0x001ba00d,0x7f3017cc,0x5f803ec0,
    0x8005e800,0x8027c46e,0x320002fa,0x0005f50f,0x02fc07e4,0x17e02f40,
    0x3ea17a00,0x43f20002,0xbd002ffe,0x6c0f9000,0x00fe600f,0xf8800374,
    0xf983ec03,0x000bf003,0x3f8800bd,0x1f7007d8,0xb9fcc000,0x3e60000f,
    0xe8005f83,0x4002fc05,0x000fb85e,0x7dc4fe60,0x005e801f,0x0fe607c8,
    0x1fa007d8,0x200fd400,0x007d83f9,0x17a0017e,0xf501f700,0x000f9005,
    0x00f94f88,0x5f84f880,0x7c05e800,0xc85e8005,0x27c40007,0x17a013e6,
    0xfb01f200,0xe800fe60,0x0fc8001f,0x1fcc7d80,0xd000bf00,0x205e800b,
    0x006e805f,0x00dd5f80,0x0bf0bf00,0x5f80bd00,0x6e85e800,0xe85f8000,
    0x017a5706,0x7f301f20,0xfe800fb0,0x02fc4006,0x01f63f98,0xbd000bf0,
    0x9017cc00,0x005f801f,0x00bf6e80,0x0bf0dd00,0x5f80bd00,0x5f85e800,
    0xd86e8000,0x017abd06,0x1f601f20,0xfe8007f3,0x03fa003f,0x07f37d80,
    0xe8005f80,0x803f2005,0x02f403f9,0x05eaf400,0x5f85e800,0x7c05e800,
    0xe85e8005,0x85e80005,0x17abd06d,0x2601f200,0x2001f63f,0x4404fcee,
    0x7cc003fe,0x7c000fdb,0x005e8005,0x01ba017e,0x7f0000db,0x3e0001b6,
    0xe8005f83,0x4002fc05,0x0006d85e,0xd06d83f8,0x320017ab,0x3e6fb007,
    0xf75e8003,0xf951157d,0x3f60007f,0x05f8004f,0xf5005e80,0x33333337,
    0x3e403f93,0x647e6000,0x0fcc0007,0x2f4002fc,0x3a0017e0,0x40007c85,
    0xd06d81f9,0x320017ab,0xfb7f3007,0x54bd0001,0xdffffffe,0x3fe60000,
    0x005e8000,0xffb005e8,0xffffffff,0x0fd409ff,0x7d4f5000,0x41ea0001,
    0x05e8005e,0x2f4002f4,0x50000fd4,0xaf41b60f,0x07c8005e,0x0013ff60,
    0x5dcc42f4,0xf9800009,0x00d90004,0xf8804f88,0xaaaaaaad,0x2607daaa,
    0x9ba0004f,0x3a0004f9,0x8800d906,0x0036404f,0x13e613e2,0xdb06e800,
    0x002f57a0,0xff3003e4,0x017a0001,0x0fd80000,0x800f5000,0x0fb803fa,
    0xc80bea00,0x4fa8001f,0x54000fe4,0x800f504f,0x03d403fa,0x7e40fea0,
    0x04fa8001,0x2f57a0db,0x3003e400,0x2f40009f,0xf8800000,0x0fe20004,
    0xe801fc80,0x205f8006,0xfe8005f8,0x4002fc40,0x07f100fe,0x2200fe40,
    0x07f2003f,0x74002fc4,0xd01f900f,0x360017ab,0x003f6006,0x00005e80,
    0x0001f900,0xfa800fe8,0x003f9805,0x3ee00fc8,0x40ff6004,0x3f6004fb,
    0x4007f403,0x1fd005fa,0xb80bf500,0x0ff6004f,0xd5e84fa8,0x009d000b,
    0xd00013e2,0x1000000b,0xd100009f,0x07fd403d,0x40007e40,0x6fec03f9,
    0x013fa200,0x74401bfb,0x1ee8804f,0x4003fea0,0x3ea01ee8,0x0dfd800f,
    0x2013fa20,0x757a3efd,0x017cc005,0x40000fc8,0x4c00005e,0x9afd9999,
    0x7f440000,0xffca889b,0x000bd001,0x77dc0374,0xffca88ac,0x59df7004,
    0x09ff9511,0x44dff440,0x001ffca8,0x444dff44,0x2001ffca,0xa88acefb,
    0x2a004ffc,0x01ecf66d,0x1001fd10,0x4cc0009f,0x000999ee,0x3fffffa0,
    0x002fffff,0x7fffec40,0x64c00dff,0x00cccdfd,0x33fb3326,0x3ffa600c,
    0x001dffff,0x7fffff4c,0xd88001df,0x0dffffff,0xfffb1000,0x0001bfff,
    0xffffffd3,0x8000003b,0xb9999998,0x999981ff,0x0009afd9,0x7ffffffc,
    0x530005ff,0x55555555,0x4c000015,0xf7000abb,0x05ffffff,0x7fffffdc,
    0xcba8802f,0x5440001a,0x00001acb,0x00015773,0x0055dcc0,0x565d4400,
    0xa8000001,0xffffffff,0xffffe80e,0x02ffffff,0x2aaaaaa0,0x00001aaa,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0xaaaaaaa8,0x2aaaa600,0x00aaaaaa,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0001d500,0x10000088,0x2000005d,0xdc800009,0x74400000,0x0a800002,
    0x00000000,0x70000098,0x0026000d,0x2aaaa180,0x555510aa,0x00000c35,
    0x400077dc,0xceffffea,0xfe8006a0,0x7dc00003,0x7d40002f,0x7400000e,
    0xb100003f,0x200003ff,0x3db105e9,0x000eff40,0x2000bf90,0x3f70004e,
    0x53fffffe,0x24fffffe,0x3200004f,0x74c000df,0xfecbceff,0x4400bd3f,
    0x880004fd,0x004fedfd,0x000ffd40,0x009fb100,0xfecfe980,0xffd80003,
    0x204ffa81,0x8000ffb8,0x3e0004fd,0x26f98005,0x10aaaadf,0x6c9f5555,
    0x6c40001f,0xffa8004f,0x3fbf6202,0x05fd8005,0xc8ffa600,0x260000ef,
    0x400002ff,0xf50005fd,0x037f625f,0x106fa800,0x9f3003fd,0x01ff4400,
    0x001bf100,0x013e2fd8,0x037cc9f0,0x007fd100,0x2001df30,0x90005ffa,
    0xfa8001df,0x01ffa81f,0x00bfa200,0x01df9000,0x5c077e40,0x000000ef,
    0x401ba000,0x50002fe8,0x27dffffd,0xf8df300b,0x3627c004,0x5d30002f,
    0x007fa000,0x4000bf70,0x6e4000ea,0x000fa600,0x00009b10,0x74001d50,
    0x00174c04,0xdb000000,0x0007a600,0x2eb3bf62,0xb03ffffd,0x4004f85f,
    0x0037cc4f,0x27d40000,0x002fc400,0x00000000,0x00000000,0x00000000,
    0x80000000,0x8000006d,0x3fea03fc,0x4f87f883,0x7f427c00,0x40000001,
    0x7b0000fc,0x00000000,0x00000000,0x00000000,0xccc88000,0xca82cccc,
    0xb04ccccc,0x9800000d,0x83fb804f,0x004f84fb,0x027dc27c,0x99999999,
    0x99999999,0x0004e879,0x66666640,0xcccccccc,0x66643ccc,0xcccccccc,
    0x03cccccc,0x3333332e,0x64c001cc,0xcccccccc,0x700ccccc,0x99999999,
    0xffe98003,0xfc83ffff,0x80efffff,0x9999306d,0x99999999,0x007dc199,
    0x81fe81d8,0x427c004f,0xffd107f8,0xffffffff,0x4dffffff,0x200002f8,
    0xffffffe8,0xffffffff,0x3ffa26ff,0xffffffff,0x06ffffff,0x3ffffff6,
    0x7d4005ff,0xffffffff,0xb01effff,0xffffffff,0x02fc000b,0x1b602f40,
    0x7fffffd4,0xefffffff,0x30001f61,0x0013e0ff,0x00bfa09f,0x4db0013e,
    0x000001fa,0x0db0013e,0x1b60027c,0x1f95f500,0x017a0000,0x7e57d400,
    0x00bf0000,0x06d80bd0,0xf7005e80,0x37e40001,0x27c004f8,0x4f805fd8,
    0x1f736c00,0x27c00000,0x4f81b600,0x20036c00,0x0007f37d,0x400017a0,
    0x0007f37d,0x17a0017e,0xbd000db0,0x0017e600,0x09f05fd8,0xdf904f80,
    0xd8009f00,0x00003ee6,0x6c004f80,0xb0013e06,0xd27c400d,0x17a0000d,
    0xe93e2000,0x00bf0006,0x0fc80bd0,0x9002f400,0xe80037df,0x8009f04f,
    0x00ff704f,0x26d8009f,0x000000fb,0x0db0013e,0x1b60027c,0x3ee1fa80,
    0x05e80001,0x2e1fa800,0x05f8001f,0x7d405e80,0x002f4003,0x2f7fffa6,
    0xf81ffc02,0xa827c004,0x027c00ff,0x00fb96e0,0x013e0000,0x027c0b70,
    0x6e8016e0,0x400027c4,0x6e80005e,0x7c0027c4,0x805e8005,0xbd002efd,
    0x3b6a2000,0xff884fff,0xf8009f02,0x803ff304,0x5005104f,0x4000005f,
    0x0005104f,0x000a209f,0x0fb07f10,0x000bd000,0x07d83f88,0xe8005f80,
    0x0fff9805,0x00005e80,0x4c1bfb51,0x009f01ff,0x5ff104f8,0x0f704f80,
    0x00009f10,0x07b827c0,0x0f704f80,0xa80fb800,0x2f40002f,0x203ee000,
    0x2fc002fa,0x2202f400,0xbd000cfe,0xbf500000,0x4f817fc4,0xf9827c00,
    0xb827c01f,0x006e800f,0x5c13e000,0x827c000f,0x3a0000fb,0x00017e05,
    0x5e8000bd,0xbf0017e0,0xb80bd000,0x02f4002f,0x7c7c8000,0x8009f03f,
    0x01ff504f,0xcccccef8,0x3fa800fe,0x9df00000,0x01fd9999,0xccccef80,
    0x30000fec,0x007e405f,0x4000bd00,0x03f202f9,0xe8005f80,0x4003e405,
    0x5000005e,0xf827f43f,0xb827c004,0xffff807f,0x000fffff,0xf50001fb,
    0x3ffffe03,0x4000ffff,0xffffffff,0x1f90000f,0x0001fcc0,0x7e4000bd,
    0x800fe600,0x05e8005f,0x2f40036c,0x2a003540,0x7c17f61f,0xc827c004,
    0x704f806f,0x3be2001f,0x81bee000,0x001f704f,0x01f704f8,0x3a017e00,
    0x017a0006,0x6e805f80,0x20017e00,0x0036c05e,0x0fe402f4,0x7dc1fb00,
    0xf8009f07,0xf009fb04,0x8003ee09,0xfc802ff9,0x5c13e00d,0x827c000f,
    0xfa8000fb,0x9999999b,0xd0001fc9,0x2fea000b,0x99999999,0x0bf001fc,
    0x6d80bd00,0xc805e800,0x4fb800ef,0x27c07fc4,0x7fc13e00,0xd504f801,
    0x7bff3000,0x9fd95113,0x1aa09f00,0x35413e00,0xffffd800,0xffffffff,
    0x00bd0004,0x3fffff60,0x4fffffff,0xd000bd00,0x8006d80b,0xfffc805e,
    0x06fd980b,0x009f05fb,0x06f984f8,0x330009f0,0x7fffdc40,0xf001efff,
    0x20330009,0x0198004f,0x55555bf1,0x0fb55555,0x20017a00,0xaaaaadf8,
    0x07daaaaa,0xf8800d90,0x40036c04,0xd8fb805e,0xfffeefff,0x3e17ea03,
    0x6427c004,0x009f003f,0x36600bd0,0x7c0009be,0xf05e8004,0x20bd0009,
    0x3ea000fb,0x005e8002,0x2a000fb8,0x007a802f,0x1b601fd4,0x22017a00,
    0x33ff6e61,0x40ff800a,0x427c004f,0x09f000ff,0x5c00bd00,0x013e0004,
    0x027c17a0,0x06e82f40,0xe8005f80,0x006e8005,0x3f8805f8,0xb007f200,
    0x00bd000d,0x64005f80,0x20027c3f,0x002fd44f,0x0bd0009f,0x00067dc0,
    0x2f40027c,0x5e8004f8,0xc8003f98,0x02f4000f,0x2000fe60,0x0fe800fc,
    0xf805fa80,0x005e8004,0x22002fc0,0x20027c7f,0x000ff44f,0x0bd0009f,
    0x0026cc40,0x2f40027c,0x5e8004f8,0x98000fc8,0x02f4003f,0x20003f20,
    0xee8803f9,0x003fea01,0xbd0003f7,0x005f8000,0x013e3fc8,0x02fd49f0,
    0x3a0013e0,0xb70dc405,0x0009f000,0x0013e0bd,0x0017a17a,0x2f4006e8,
    0x80017a00,0x7fd1006e,0x3ff95113,0x0037f540,0x7c0005e8,0x27f88005,
    0x51ccccef,0x749f9999,0xfccb800f,0xccccccce,0x05fccccc,0x0ff77ec4,
    0xcefccb80,0xcccccccc,0x32e5fccc,0xcccccefc,0xfccccccc,0x99bfb935,
    0x6664c019,0x9910ccfe,0x99df9999,0x32619999,0x00cccdfd,0x33fb3326,
    0x7fec400c,0x400dffff,0x664402ee,0xccefcccc,0xe800cccc,0x21f30004,
    0xb3ffffff,0x7c9fffff,0xfffe8802,0xffffffff,0x05ffffff,0x44005510,
    0xfffffffe,0xffffffff,0xfffd15ff,0xffffffff,0x2bffffff,0xfffffffb,
    0x3fffee02,0xfff52fff,0xffffffff,0x3fee3fff,0x202fffff,0xfffffffb,
    0x2aee6002,0x7d400000,0xffffffff,0x801fffff,0x0000001b,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00720000,0x00000000,0x0007a200,0x30000b90,0x93000001,
    0x00000000,0x44000000,0x0000002b,0x80000000,0x100002b8,0x007e81bb,
    0x403ba200,0x200002ec,0xb10001fc,0xfb80009f,0x2a00002f,0xd70000ef,
    0xd1000f98,0x00bb201d,0x77ffec40,0xd3006cc2,0x003b620b,0x76c417a6,
    0xfffd8801,0x8006cc2e,0x17d42ffc,0x3ffb8000,0x0006ff88,0x2000bf10,
    0x20003fe8,0x04fedfd8,0x00efb800,0x3f51f600,0x20ffee00,0xb0006ff8,
    0x5dfd519f,0x7ec01df9,0x04ffa81f,0xfa81ffd8,0x8cfd804f,0xefcaefeb,
    0x07ff9000,0x220000dd,0x07fb01fe,0x007ee000,0x000bfa60,0x3f23fe98,
    0xbf90000e,0x46d80001,0xfd1000fb,0x000ff603,0x7ffdc0d4,0x837d400d,
    0xfa801fe8,0x003fd106,0xbfff7037,0x17fe4001,0x000017dc,0xf8000000,
    0x1ff98006,0x07fea000,0xb0007fea,0x3a00009f,0x00007dc5,0x88000000,
    0x0000000a,0x80000000,0xfb8000a8,0x000df02f,0x00000000,0xd70005f7,
    0x0dd80001,0xa800fa60,0x3a00003f,0x00003e45,0x04400000,0x00000000,
    0x00000000,0x203ff700,0x800001fb,0xd0000008,0x0000000d,0x04000000,
    0x913e0000,0x0000000f,0x3ffb6a00,0x000002df,0x70000000,0x99999999,
    0x3ff50003,0x00017e20,0x6ffff6d4,0x7f500002,0x00000000,0x00000000,
    0x1b627c00,0xcccccb80,0x40001ccc,0xdbbdffd8,0x99300eff,0x99999999,
    0x66419999,0xcccccccc,0x3ccccccc,0x3fffff60,0xa8005fff,0x07f201ff,
    0xdffd8800,0x00effdbb,0xb803f400,0xcccccccc,0x6664c001,0xcccccccc,
    0x332e0ccc,0x32a01ccc,0x2202cccc,0xb003743f,0xffffffff,0x7fcc000b,
    0x207fee02,0xfffffffa,0x1effffff,0xffffffd1,0xffffffff,0xfa800dff,
    0x4c000fca,0x17e200ff,0x017fcc00,0x20003ff7,0xffb003f9,0x0bffffff,
    0xfffffa80,0xffffffff,0x3ffff61e,0x3ffee02f,0x0fe204ff,0xfa8000bd,
    0x98000fca,0xffa801ff,0x0017a000,0x0db0013e,0x07f37d80,0x400ff980,
    0x7cc000fc,0x0ffa801f,0x000fd800,0x03f2bea0,0x002f4000,0xfb8007f2,
    0x7c2f9803,0x9bec0005,0x0fe8003f,0x8017e600,0x04f8005e,0xf10036c0,
    0x22003749,0x04f9807f,0x30007f40,0x4f9800bf,0xf9bec000,0x0bd00003,
    0x1006e880,0x3ffea0bf,0xffffffff,0x1000efff,0x2003749f,0xfc8003fa,
    0x000bd002,0x06d8009f,0x1fb87ea0,0x401fe200,0x7f5000fd,0x005f9000,
    0x100007ec,0x0003749f,0xfa8005e8,0x100fd804,0x99bfb999,0x07999df9,
    0x3f70fd40,0x001be200,0x5e8037c4,0x4004f800,0x11ba006d,0x3fc4009f,
    0x8803f980,0xdf10006f,0x0013e200,0x0fdc3f50,0x002f4000,0x3ea01fc8,
    0x883ee003,0x1ba0003f,0x3ea009f1,0x03f20002,0x3e0017a0,0x802dc004,
    0x007d83f8,0x0fd0037c,0x40005f50,0x1fc800fc,0x22374000,0x5e80004f,
    0x20df1000,0x7dc006f8,0x4000be60,0x007d83f8,0x4c0001f7,0x005e803f,
    0x005104f8,0xfa80fb80,0x801be002,0x07dc03fa,0x807f3000,0x440005f8,
    0x0007d83f,0x2a0005e8,0x001fc83f,0x00be63e4,0x7d407dc0,0x0007c802,
    0x2f4027c4,0x7b827c00,0xf02f4000,0x002f400b,0x00f901ba,0x5c04f880,
    0x7dc0001f,0x0002fa80,0x360002f4,0x0013e61f,0x003f51f2,0x05f817a0,
    0xf80006e8,0x8005e805,0x001f704f,0xfc80be60,0x80035000,0x01ba02fa,
    0xdf017e00,0x40bd0000,0x2f40005f,0xe9be2000,0xb3331006,0x35f7333d,
    0x0be60013,0x2fc00fc8,0x40374000,0xcef8005e,0x00fecccc,0x4c01f900,
    0x4000003f,0x0017e06e,0x2fb81ba0,0x017cc000,0x740001f9,0xbfa80005,
    0xff9801fc,0xffffffff,0x801fffff,0x0fe600fc,0xd0000bd0,0x000bd00b,
    0xffffffff,0x17e0001f,0x00001ba0,0x17a05f70,0xe817a000,0x0fc80006,
    0x8000fe60,0xfb00005e,0x5554009f,0xfdaaaefa,0xbf002aaa,0x6d80dd00,
    0x803f8000,0x04f8005e,0xf50001f7,0x33333337,0x00003f93,0x6d82fc40,
    0x503f8000,0xbf00005f,0x4000dd00,0xf100005e,0x44f8000d,0xbfa8007c,
    0x99999999,0x01f201fc,0xd003f300,0x209f000b,0xfd8000fb,0xffffffff,
    0x00004fff,0x3e40fe40,0x407e6000,0xfa80006e,0x9999999b,0xd0001fc9,
    0x2f40000b,0xdb13e000,0xffffb000,0xffffffff,0x000fd409,0x17a00f50,
    0x35413e00,0x556fc400,0xaaaaaaaa,0x0154407d,0xfa85f880,0x41ea0001,
    0xd80003fa,0xffffffff,0x0004ffff,0x740000bd,0x0fe20005,0xdf8800db,
    0xaaaaaaaa,0x3e607daa,0x01ba0004,0x27c002f4,0xfb80cc00,0x80bea000,
    0x90006fff,0x004f981f,0x07ec1ba0,0x2b7e2000,0xaaaaaaaa,0xbd0007da,
    0x02f40000,0x5e87f100,0x0007dc00,0x0fe405f5,0x8027d400,0x04f8005e,
    0x0dd05e80,0x3ea0bf00,0x88001fff,0x001fc84f,0x4f984fa8,0x00fb8000,
    0x2000bea0,0x3a00005e,0x0be60005,0x06e800bf,0x3e205f80,0x00fe8005,
    0x9f000bd0,0xf30bd000,0x01f90007,0x000dfff1,0x17e207ec,0x3603fa00,
    0x6e80000f,0x8005f800,0x3a00005e,0x0be60005,0x1fcc009f,0x7007e400,
    0x1fec009f,0xf000bd00,0x90bd0009,0x7f30001f,0x0002ee20,0x4fb84f98,
    0x220ff600,0xf980004f,0x00fc8003,0x00002f40,0x7d4000bd,0xf90027c1,
    0x07f30001,0x2200dfd8,0x2f4004fe,0x40027c00,0x0005e85e,0x000001ba,
    0x37f603f6,0x413fa200,0xc80000fc,0x3f98000f,0x0002f400,0x5c000bd0,
    0x800fe20f,0x1ba0005e,0x22b3bee0,0x004ffca8,0x4f8005e8,0xb935e800,
    0x401999bf,0xccfeccc9,0xf5000000,0x2b3bee07,0x04ffca88,0x20000bf1,
    0x1ba0005e,0x0000bd00,0xf70002f4,0x26017c41,0x0cccdfdc,0x3fb33260,
    0x3fa600cc,0x01dfffff,0x33333322,0xccccccef,0x33bf32e0,0xcccccccc,
    0xff75fccc,0x405fffff,0xfffffffb,0x36000002,0x3fffa606,0x2e01dfff,
    0x3260001f,0x00cccdfd,0x33fb3326,0x9999910c,0x99999df9,0x6665c019,
    0x3ccccefc,0x00505100,0xfffffff7,0x7fffdc05,0xa8802fff,0xfa801acb,
    0xffffffff,0xd11fffff,0xffffffff,0xffffffff,0x000000bf,0x03000000,
    0x03597510,0xf7000020,0x05ffffff,0x7fffffdc,0xfffff52f,0xffffffff,
    0x7fff403f,0x6fffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x164c0000,0x00000000,0x80000220,0xaaaaaaa8,
    0x2a62000a,0x0aaaaaaa,0x00006600,0x000024c0,0x22000126,0x0c880000,
    0x01910000,0x09300000,0xffd30000,0x005a83bf,0x33bffb22,0x7f654000,
    0x30002cef,0xddddddfd,0xfdb805fd,0xefeeefff,0xeea802ee,0x200001ef,
    0x00000ffa,0x40001ff5,0x40001efa,0x80001ff8,0x00001ff8,0x2003fea0,
    0x3e203ffc,0xadffc8bf,0xfd3005fd,0x01dfb99d,0x77bffb10,0x4001bffb,
    0x17401cf9,0xa89dfea8,0x3e001745,0x400016e2,0x00000efb,0x40001df7,
    0x003ffefc,0x0017fcc0,0x0017fcc0,0x0077dc00,0x007fffcc,0xfffd8817,
    0x03df3004,0x7cc01dd3,0x07bee02f,0x2e801fc0,0x2d42ffb8,0x85a800ba,
    0x7e40001f,0xf900000d,0x3620001b,0x00bfd15f,0x003fe880,0x003fe880,
    0x0037f200,0x007fffcc,0x2000a880,0x0fe600fe,0x5400ffcc,0x07cc00ff,
    0x7fc42e80,0x01745a83,0x003f0b50,0x00027ec0,0x40009fb0,0xefc83ff9,
    0x3f620000,0xfd880004,0x4fd80004,0x03efc800,0x3ea00000,0xfd05d803,
    0x02fcc001,0x40a8016a,0xe8b507fa,0xb717c002,0x01fd4000,0x007f3000,
    0x2a01ed80,0xfc80004f,0x1f900000,0x01fcc000,0x3332e000,0x6665401c,
    0x1ba0cccc,0x1fd43dc0,0x100fe400,0x7e40001f,0x02e8b505,0x0f7f7540,
    0x00002000,0x02000020,0x10000040,0x00080000,0x80000080,0x406ffffe,
    0xeffffffc,0x2a007f31,0x8003741f,0xbf5106f8,0x13f20001,0x000ba2d4,
    0x000000cc,0x00000000,0x00000000,0x00000000,0xe8000000,0x1b6003ff,
    0x7d4007ea,0x8000bea1,0x3bf621fc,0xc8000eec,0x2e8b505f,0x80000000,
    0x00009a98,0x00003530,0x00013531,0x00006a60,0x00004cc4,0xe8000000,
    0xdb000fdd,0x5cc01f70,0x03ee1fec,0x322f9800,0x4003fc84,0x45a80ffa,
    0x54c4002e,0xca880009,0x2ffffffe,0xfffea800,0x51004eff,0xffffffd9,
    0xffd50005,0x8009dfff,0xefffffd8,0x7776c00c,0x3bbb6603,0x7401100e,
    0xdb005f8d,0x3f220f90,0x1f21feff,0x227f1000,0x03dd500f,0x2a17fa20,
    0x2a201745,0xffffffec,0xbfff1002,0xbfd75357,0x33bf6200,0x1efecaab,
    0x2f7ffe20,0x05feba9a,0x579dfb10,0x003dfd95,0x9557bff5,0x36205dfb,
    0x3a604fee,0x9d00feee,0x01fbaf40,0x886e86d8,0x43f51cfe,0x5f80006d,
    0x1bf700ba,0xa8bff100,0xff101745,0xd75357bf,0x02ae00bf,0xf8809f90,
    0x17f5403f,0xfc801570,0x01ffc404,0xfc80bfaa,0x0ffa600e,0xfb8013e0,
    0x2f40bf00,0xd0db00dd,0xfa85fb0b,0x200017e1,0x1003ea6e,0xf91007f9,
    0x2e8b77bf,0x320055c0,0x7c00004f,0x800ff407,0x80000fe8,0x00ff407f,
    0xfa80fe88,0x007f6004,0x07dc009f,0xa97a06f8,0x7436c03f,0x7d427c45,
    0x200017a1,0x400fe45e,0xa8801ee9,0x01745fec,0x000ff000,0xf701fb80,
    0x04f88005,0x701fb800,0x4f88005f,0x220037c4,0x0027c06f,0x81be01f7,
    0xb007ec5e,0x2f98bd0d,0x01b61fa8,0x3ea13e00,0x02fb800c,0x00ba2d40,
    0x001fb800,0x7c07ea00,0x01f90006,0xf01fa800,0x83f2000d,0xfa8001fc,
    0xb8013e02,0x207f880f,0xb027cc5e,0x2fa8bd0d,0x01f21fa8,0x2207f100,
    0x1fa802fd,0x05d16a00,0x00fd4000,0x4266a660,0x03f881fa,0x3005f300,
    0x3ea13353,0x0003f881,0x0036c5f3,0x027c09f0,0xff101f70,0x0fe42f40,
    0x445e86d8,0x2e1fa86f,0x3ea0001f,0x00f75401,0x45a80132,0x54cc002e,
    0x003f5099,0xffffffd5,0xf503fdff,0x9999999b,0xf9999999,0x3fffaa07,
    0x1fefffff,0xccccdfa8,0xcccccccc,0x013e3fcc,0x13e05e80,0xf980fb80,
    0xf10bd00f,0x17a1b60d,0x1fa82ff2,0xe80013e2,0x19f7000f,0x5a801e60,
    0x7f540174,0xefffffff,0x3ffa201f,0xdbaa9abc,0xfffb81fe,0xffffffff,
    0x44ffffff,0x9abcffe8,0x81fedbaa,0xfffffffb,0xffffffff,0x007f14ff,
    0x09f03ec0,0x7cc07dc0,0x2a0bd00f,0x6d86d83f,0xdcdffe88,0x000fe43f,
    0x22001fd4,0x004c82fd,0x4405d16a,0xa9abcffe,0x101fedba,0xf50017fd,
    0x0003f303,0x005ff440,0x0fcc0fd4,0x009f0000,0x09f036c0,0x7d407dc0,
    0x740bd01f,0x3e436c0f,0xfffffd70,0xe8006f88,0x33ea0006,0x2000efdb,
    0xe881745a,0x1fa800bf,0x54003fb0,0x004f881f,0x8007f600,0x04f881fa,
    0x0017a000,0x013e04f8,0xffa80fb8,0x7cc0bd01,0x07dc36c4,0xfb809880,
    0x00bf6004,0x037df300,0x02e8b500,0x7d4003fb,0xa800bf01,0x000dd01f,
    0x2a002fc0,0x000dd01f,0x40007e40,0x013e03f9,0xffa80fb8,0xfc80bd01,
    0x07ea1b61,0x06fe4000,0x0009fd10,0xa8001ea0,0x05f81745,0x7c40fd40,
    0x80fe4003,0x880003fa,0x0fe4003f,0x00003fa8,0xfd000bf3,0xb002f401,
    0x05ff701f,0x4df1017a,0x005f886d,0x2b3ff200,0x02ffca88,0x03f000c4,
    0x05d16a00,0xfc8007f1,0x2200df01,0x3f601ffd,0x3e198001,0x3ffb1006,
    0x4000fec0,0x0017e419,0x0fd805f9,0x407ff440,0x0bd02ffb,0x41b65f70,
    0x200000fc,0xffffffd9,0x004b801e,0x2a0001f1,0x06f81745,0x203ffb10,
    0x7f4c02fd,0x3fe201fe,0x49fb3003,0x7f4c02fd,0x3fe201fe,0x09fb3003,
    0xfd8809fd,0x203fb805,0xc80feff9,0x00bd03ff,0x4c1b63fa,0xb800005f,
    0x2000acff,0x00f7004b,0x40ba2d40,0x7f4c02fd,0x7ff101fe,0x3bf6ea23,
    0x80ccdfaa,0x309befd8,0x41bffb75,0x7511bff8,0x9bf55dfb,0x7dfb1019,
    0x3f6ea613,0xefd880df,0xffb9889b,0x277fa004,0xb9efdb98,0x3fee0ccf,
    0x2600bd01,0x3f206dcf,0xc8025405,0xb81000ef,0x002f9804,0x205d16a0,
    0x7511bff8,0x9bf55dfb,0xfffd9819,0x3ea3ffff,0x3ea02fff,0xffffffff,
    0xfffb301c,0x7d47ffff,0x3ea02fff,0xffffffff,0xfffa801c,0x001effff,
    0x7fffff4c,0x0bffee4f,0x002f4055,0xfd80ddf9,0xfeb999be,0x77ff4404,
    0x98abdeff,0x6675c5fc,0x2fedcccc,0x33332200,0x99bf51ed,0xffffd985,
    0x3fea3fff,0x995302ff,0x44000015,0x0009acba,0x002b32a6,0xacba8800,
    0x95300009,0xa8000157,0x00001acb,0x3333ff2e,0x01bfe202,0x3fffffee,
    0xffff803e,0xffffdcde,0x664c0dff,0x01bccccc,0xccccb880,0x3999931c,
    0x02b32a60,0x00000000,0x00000000,0x00000000,0x00000000,0xfffd1000,
    0xfb809fff,0x2aea6006,0x806ae001,0x0001bca8,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0x11000049,0x01100000,0x00322000,0x00044000,0x00003220,0x80020000,
    0x35000198,0x32200000,0x000c0001,0x40009880,0x50001dda,0xa80001df,
    0x200001ef,0x80001efa,0x00001ff8,0x0000f7d4,0x00003ff1,0x1f700220,
    0xffffea80,0x01fe4004,0x0bfa2000,0x01fec400,0x13fff200,0x17fffdc0,
    0x003bee00,0x7ffdf900,0xfdf70000,0xf300007f,0x3200005f,0x0003ffef,
    0x0000bfe6,0x6ffff654,0x3202fd42,0xeffcbdff,0x09fb1000,0x0bfe6000,
    0x7f7fcc00,0xff88000d,0xfe800fff,0x32005fff,0x220000df,0x0bfd15fd,
    0x457f6200,0x880005fd,0x220003fe,0x0bfd15fd,0x01ff4400,0x7bffb100,
    0xf11bffb7,0x06fcc01d,0x90013ee2,0x540001bf,0xf70001ff,0x007bee3d,
    0x1fffff10,0x9ffffb00,0x0013f600,0xf907ff30,0x7fcc001d,0x000efc83,
    0x0027ec40,0x7e41ffcc,0xfb10000e,0x5ff30009,0x0ff7fdc0,0xfe807f60,
    0x077dc001,0x0077dc00,0x4c0dfd80,0x6d4002ff,0xff5002de,0x7f5003ff,
    0x03db0000,0xdb0027d4,0x0027d403,0x4000fc80,0x13ea01ed,0x001f9000,
    0x4c00ffcc,0x05f803ff,0x540017dc,0x0df8005f,0x407f5000,0x000007e8,
    0x1000aa20,0x40020000,0x08004000,0x00040000,0x00008004,0x0fe80010,
    0x00bff700,0x03f8809f,0x10001100,0x20010000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x4c00fea0,0x7c01fbef,0x0017d404,
    0x00000000,0x00000000,0x4c400000,0x31000009,0x00000013,0x00000000,
    0x00006a60,0x00026a62,0x3fe200dd,0x27c05f88,0x0001fd10,0x00000000,
    0x00000000,0x3f620000,0x00ceffff,0x7fffec40,0x76c00cef,0x3b6603ee,
    0xeed80eee,0x3bb6603e,0xfea800ee,0x004effff,0xffffd951,0x5f5005ff,
    0xfc87f600,0x2e613e01,0x76d402fe,0x4004eeee,0x4eeeeeda,0x7776d400,
    0x280004ee,0x7d400000,0xfdcaabdf,0xbff5002e,0x5dfb9557,0x13fbb620,
    0x0feeee98,0x027f76c4,0x01fdddd3,0x55e77ec4,0x201efeca,0x9abdfff8,
    0x5c05feba,0x43fc800f,0xd13e02f9,0xd5009fff,0x00bfdddd,0xfeeeeea8,
    0x77754005,0x40005fee,0x000001f9,0x74c01df9,0x077e403f,0xf007fd30,
    0x007dc009,0x0fb8013e,0xa807ff10,0x02ae02fe,0x3e409f90,0x7c427d40,
    0xd9513e03,0xd0001bff,0x17a0000b,0x002f4000,0x54007ea0,0xf503eeee,
    0x80fec009,0x3f6004fa,0x70027c01,0x004f801f,0x0ff403ee,0x000fe880,
    0x1b607f80,0x2fc0df30,0xffb809f0,0x002f4002,0x00005e80,0x6c4000bd,
    0xfffb001f,0x00df101f,0x6f886f88,0x2037c400,0x03ee004f,0x7dc009f0,
    0x4002fb80,0xb80004f8,0x440bd01f,0x81ba00fe,0x0fe8804f,0x00017a00,
    0xe80002f4,0xffc88005,0xffff000d,0x0007f205,0x03f90bea,0x7c05f500,
    0x003ee004,0x07dc009f,0xfc80037c,0x0fd40000,0x0bf605e8,0x027c0bd0,
    0x3a006f88,0x0bd00005,0x0017a000,0x40019ff7,0x3606fff9,0xb13e0006,
    0x027c000d,0x07dc009f,0xfb8013e0,0x8001fc40,0xa99802f9,0x203f5099,
    0x007f706d,0x0027c09f,0x17a005f5,0x002f4000,0x36005e80,0xfc8000df,
    0x013e01ff,0x027c5e80,0x27c0bd00,0xf801f700,0x503ee004,0x999999bf,
    0x99999999,0x3ffaa07f,0xfeffffff,0xbf30f901,0x7c07f100,0x013e2004,
    0xe80002f4,0x0bd00005,0x80013e60,0x3e204ffe,0x89f60003,0x1f60003f,
    0x3ee004f8,0x70027c00,0xffffb81f,0xffffffff,0x444fffff,0xa9abcffe,
    0x501fedba,0x0077c43f,0x09f00fd4,0xbd005e80,0x017a0000,0xb802f400,
    0xff30000f,0x004f801f,0x009f1b60,0x09f036c0,0x3e007dc0,0x303ee004,
    0x4400003f,0xfa800bfe,0x7f4bf101,0x401fd001,0x03ec004f,0xd00005e8,
    0x17a0000b,0x70002f40,0x0bd005ff,0x17a27c00,0x3e04f800,0x003ee004,
    0x07dc009f,0x800013e2,0x3ea001fd,0x3f27f201,0x807f5002,0x0374004f,
    0xd00005e8,0x17a0000b,0xb0002f40,0x03f200bf,0xf90fe600,0x07f30001,
    0x1f70027c,0x2e004f80,0x0006e80f,0xf50017e0,0x27f7c403,0x9f00dd00,
    0x0bf106a8,0x400017a0,0xbd00005e,0x9801f600,0x4c003f65,0x0fe8005f,
    0x74002fcc,0x8017a00f,0x02f400fd,0x7f501fb0,0x07f10000,0x6401fc80,
    0x5fb1006f,0x1fb89f00,0xbd003fa8,0x017a0000,0xa802f400,0x01f7004f,
    0x0017e400,0x0bf205f9,0x6c02fc80,0x7ff4400f,0x2007ec00,0xfb00ffe8,
    0x7c330003,0x3ffb1006,0x06fffc40,0x2009fd10,0x7427cc4f,0x00bd000f,
    0x00017a00,0x5fb002f4,0x0001f900,0x6c404fe8,0x027f405f,0x2e017f62,
    0x3bfe603f,0x01fdc00f,0x201fdff3,0xb3003ff8,0x2017ec9f,0x201fefe9,
    0x9bffc9fe,0x02ffca88,0x05f7e65c,0x7fb317fd,0x0002f400,0xd00005e8,
    0x6ffc400b,0xdff9330a,0xfd880001,0xfb9889be,0xefd8804f,0xffb9889b,
    0x277fa004,0xb9efdb98,0x3fa00ccf,0xefdb989d,0x880ccfb9,0x5309befd,
    0x441bffb7,0xb7511bff,0x99bf55df,0xfd31fe41,0x01dfffff,0xfffffe88,
    0x3ffffa20,0x66665c43,0xccccffcc,0x332e23cc,0xccffcccc,0x2e23cccc,
    0xffcccccc,0x83cccccc,0xffffffc8,0x400002df,0xfffffffa,0x7fd4001e,
    0x01efffff,0x7ffff4c0,0x3ffee4ff,0x3fffa602,0x3fee4fff,0x3ffea02f,
    0x1cffffff,0xfffffb30,0x7ffd47ff,0x2209f32f,0x00009bca,0x30179500,
    0xffffffff,0xdfffffff,0x3ffffe61,0xffffffff,0xfff30eff,0xffffffff,
    0x201dffff,0x00aacba8,0x654c0000,0x4c0000ab,0x0000abca,0x000d65d4,
    0x01acba80,0x59751000,0x654c0013,0x1c4000ac,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0x0001bcc9,0x5e776e4c,
    0x55554400,0x1aaaaaaa,0x76e54400,0x2aaaaa2c,0xaaaaaaaa,0x7765c02a,
    0x372a002c,0x310003de,0x3b2a0000,0x310002cd,0x15100001,0x02c80000,
    0x00662000,0x54c3bb50,0x77e41aaa,0x88003feb,0xffeefffd,0x3ffe602f,
    0xffffffff,0xffe8800f,0xfd0ffeef,0xffffffff,0x260fffff,0xeffeeffe,
    0x777fe401,0x74001eff,0x3f263eff,0x3bff6204,0xc8005ffe,0xfb10005f,
    0x5c5bffff,0xf800deee,0x4eeec805,0x3ffffb22,0x3fee00bd,0xffff92ff,
    0x3e60f645,0x2ffe6003,0x303fe980,0x5555559f,0xf7003555,0x7743037f,
    0xaaaaaaaa,0xfa87daaa,0x01ffb82e,0xffa81bfb,0x3b2e2001,0x01dffeff,
    0x64417fd1,0x2fe4006f,0x5effd400,0xf93fecaa,0xbf001bdd,0x2bfddb00,
    0xcaabdff9,0xffd00efe,0x3ffeabff,0x2e05f11f,0x007ba007,0x0be607fa,
    0x077ec000,0x6c005e80,0x10077c47,0x409f50df,0x64c007f8,0xc805fffe,
    0x00fee03f,0x54005fc8,0x33f201ef,0x05f8007c,0x0f7d6f40,0xfb01df50,
    0x3fe69fff,0x440f50ff,0x0013001f,0x0be613e2,0x013f2000,0x4f800570,
    0x7d400fe4,0x7d403743,0x7ffe4403,0x4405f91c,0x00fe805f,0x4400bf90,
    0xfff5006f,0x800bf000,0xf1005ffe,0xffffa81d,0x5cffff11,0x00017405,
    0x2f986e80,0x02fcc000,0x17d40000,0x25f8017a,0x0fb002f9,0xf902cfc8,
    0x2007f203,0x000003fb,0xfd8007f6,0x005f8007,0x300077f4,0xf055109f,
    0x807d4dff,0x000000f9,0x005f30fb,0x0007fc40,0x7c3e4000,0xfa9b6004,
    0x003f5001,0x1be0db00,0x00006f80,0x88009f10,0xfb71007f,0xe8025bdf,
    0x06c8002f,0xf12fff40,0x0001b207,0x2f984e80,0x00bee000,0x42fc0000,
    0xc97a005e,0x013e2007,0xf113a200,0x003ec007,0x002f9800,0xffa807e8,
    0xfeffecce,0x0001fd03,0x7ec001f5,0x98e7d44f,0x000000fd,0x05f305f5,
    0x0002ec00,0xb82f9800,0x5c5f1006,0x20374007,0x2bdedca8,0x02f98bee,
    0x00003f20,0x20003ee0,0x06fe407d,0xe827fdc4,0x05f30006,0x4c1ffe40,
    0x200efffe,0x1bea0001,0x765457cc,0x0fe01cde,0x7e400000,0xd804f980,
    0x4007e60f,0x3fea07f9,0x9effeeef,0x007ea5f8,0x76d41fb8,0x7004eeee,
    0x0f90001f,0x7e4027cc,0x2000dd04,0x3ee003f8,0x4026202f,0x8800ffc9,
    0x205fda99,0xeffffef9,0x7c40dffe,0x001bc982,0x7e40bd00,0x887fb104,
    0x1ffd003f,0x3015dfb0,0x2e1fb9fd,0x0bea000f,0xbfddddd5,0x000bea00,
    0x006e81fa,0x01fa07f1,0x5000fd40,0xc98001ff,0x3e002cff,0x4404ffff,
    0x6441bdff,0x443ea0ef,0x0efffffd,0x00fe6000,0xfb77bff7,0x003fa05f,
    0xfc81fbf7,0x5fbf9004,0x5f3001f2,0x44017a00,0x3fc4003f,0x02002f98,
    0xc8001fe8,0x1be2000f,0x0e7fe540,0xffdb9800,0xa800c01f,0xcfe9f24f,
    0x003ff711,0x36003ee0,0x04ffffff,0xbfc817e6,0x017e61fa,0x1f27ff90,
    0x2005f300,0x03fa005e,0xf507fc80,0x3fa00003,0x42fc4006,0x00880bc9,
    0x0073bf6a,0x0ffa6000,0xc8fec000,0x3a203fb7,0x00dd0006,0xb7335bfb,
    0x0f7d409f,0x87ea9fb5,0x744000fe,0x9800f94f,0x00bd002f,0xf9802fcc,
    0x001f707f,0x00fffa00,0x7fdc0fe8,0xfda801ff,0x000001ce,0x00009fb0,
    0x3f7ee7f1,0x0027cc01,0xed880fe2,0xb817ea01,0x23ffffff,0x007f11fb,
    0x07e53ee0,0x2005f300,0x6fdc005e,0x1f37ea00,0x80000fd4,0x4404fcee,
    0xfffe83fe,0x0df4c05f,0x000aca88,0x0003ec00,0x09ff74f8,0xf5001f60,
    0x400fe403,0x65cc03fa,0x5f30fc81,0x5d7e6000,0x07ea001f,0x64002f40,
    0xda989bff,0x3e60f95f,0x2bd00003,0xa88abefb,0xffd03ffc,0xb8000bff,
    0x002ffdff,0x000bea00,0x037d5ba0,0x6c001f70,0xb0027c06,0x27e8000b,
    0xf10000fb,0xb800bea9,0x00bd000f,0x3ffffa60,0xe81f24ef,0x5e80000e,
    0x3fffffaa,0x3fea00df,0x2e0001ff,0x00bee22e,0x0004f800,0x007f15e8,
    0x9f000fd4,0x70017cc0,0x3e20001f,0x40007ea5,0x007f33f8,0x0bd003dc,
    0x0aca8800,0x17e607c8,0x85e80dc0,0x0009bb98,0x40001771,0x00f902f8,
    0x00037400,0x400bd27c,0x3f5001fa,0x30007dc0,0x3f20003f,0x40013e22,
    0x009f11fb,0x0bd0036c,0x0f900000,0xf701efc8,0x0017a05f,0x54000000,
    0x0007e207,0x200027c0,0x003f23f9,0x7c8007dc,0x7000fcc0,0xdf30001f,
    0x36000df0,0x4401fa0f,0x017a005f,0x01f60000,0x3b77ffea,0x17a02dff,
    0x00644000,0x7405b800,0x2fa80002,0x30fec000,0x01b6007f,0x27c404f8,
    0x2000fb00,0x01fc80fe,0x3ee2fc40,0x001fb803,0x0000017a,0x6dc4017e,
    0xbd002cff,0x3fe20000,0x0fa80001,0x00b83f30,0x4f89be20,0x3613e600,
    0x01fd400f,0xfd802f98,0x004fa801,0xfd017f4c,0x03fa2005,0x5f880df1,
    0x0002f400,0x000fee00,0x0bd0017e,0x17fcc000,0x40fe2000,0x067fc46c,
    0xf903fa60,0x0ffa803d,0xd300df98,0x803e400d,0x3e601ef8,0x17fdc006,
    0x100bfe60,0x13ee07fd,0x2000ff44,0x2000005e,0xf8000efa,0x002f4005,
    0x00ffa200,0x2217f500,0xffd881fc,0xfda989ac,0x7bff501e,0x3dfb5313,
    0x44dffcc0,0x2001efb9,0x3fe6005e,0xefca889c,0x54c4dcc0,0x3000efec,
    0x2a237bfd,0x7ec03ffc,0x3feb98bd,0x0005e800,0x2e666662,0xf0000efd,
    0x3ba6600b,0x80000999,0x40004fd8,0x02efeffa,0x7ffffecc,0xec8804ff,
    0x04ffffff,0xfffff930,0x17c4001d,0x3fff6200,0xff504fff,0x007bffff,
    0x3fffff20,0xf7000dff,0x205fffff,0xccccccb8,0xccccccef,0x3fffe203,
    0x000cffff,0x3fe017e0,0x5fffffff,0x01f90000,0x09a98800,0x4d654400,
    0xbb988000,0x2ae60001,0x80000000,0x4009bba8,0x0000ab98,0x026f2a60,
    0x06ee6200,0xffffff10,0xffffffff,0x555401df,0x0000aaaa,0xaaa803d8,
    0x01aaaaaa,0x00002000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0x30000a98,0x00005555,
    0x55544000,0x203c8802,0x100000db,0x65440001,0x80000001,0xb10001a9,
    0x0006dc07,0x40000151,0x2a0000a8,0x0000bdec,0xffec8000,0x3b21ceff,
    0x7fffc4ee,0x00000005,0x201bfffe,0xff981ffc,0xfb950004,0x0037bdff,
    0x005fdfd7,0x3fae0000,0xb13effff,0x40ffe401,0xc8804ff9,0x03984fff,
    0x19fff910,0x7db10398,0x0007f933,0x3bfa6000,0x2ffdbaac,0xa88bddfb,
    0x000005ea,0x1baaa200,0x2203fea0,0x6c4003ff,0xcb99acdf,0x855404fe,
    0x4000002f,0xaaacdfe9,0x02fbefec,0x3e203fea,0xadfe803f,0x6fb8bffd,
    0xfb5bfd00,0x20df717f,0x000f7038,0x05ff3000,0x036dff44,0x000005e8,
    0x200db000,0x00062009,0xd3001bf5,0x00be003d,0x2ff98000,0x017ffd40,
    0x80188026,0x7ff4c1d8,0x1d8800df,0x06ffff4c,0x0017c400,0x01fd1000,
    0x401bff60,0x0000005e,0x0000db00,0x00ff2000,0xf005f910,0x74000005,
    0x5ff1000e,0x00000000,0x80000aea,0x2e0002ba,0x2000000f,0x3a2002fc,
    0x00bd006f,0x36000000,0x80000006,0x2e0001fa,0x0017c00f,0x001fc800,
    0x000017dc,0x00000000,0x32e20000,0x000001fd,0x7d40027c,0x000bd006,
    0x1b600000,0x026a6200,0x3b23f880,0x202deeee,0x0017c05d,0x5f88b910,
    0x001f8800,0x400006a6,0x80000998,0x80009a98,0x000dffc8,0x7cc00eb8,
    0x06f88002,0x04cc0bd0,0xb00cc000,0xfd95100d,0x005fffff,0x99f988db,
    0xf881ec99,0x4000be03,0x17cc3ffa,0xfd500000,0x009dffff,0xfffffd88,
    0x951000ce,0x5ffffffd,0x03b66000,0x402ff4c0,0xdd0001fa,0xdb897a00,
    0x003effff,0x6ffffed4,0xf101b60b,0x75357bff,0x0fcc0bfd,0x2e0d1078,
    0x1000be07,0x1f703dfb,0xfb100000,0xfd95579d,0xbff5003d,0x5dfb9557,
    0xbdfff880,0x05feba9a,0x2e013e00,0x1f7003ff,0x401ba000,0x57bfd15e,
    0x001dfd95,0xb7559dfd,0x201b61df,0x27e400ab,0xc81e06a8,0x5f00f981,
    0x01ffdc00,0x100000f9,0xfea807ff,0x803bf202,0x55c03fe9,0x0027e400,
    0x3fa606c8,0x0be6000d,0xe8037c00,0x2e01ff9d,0x0ff601ff,0x06d9fe98,
    0xc83fc000,0x00e81e05,0x200be03f,0x5c01efe8,0x7400000f,0x1fd1001f,
    0x6c009f50,0xff00001f,0x20bf1000,0xf0002ffc,0x0df30009,0x003bfba0,
    0x0fec1be6,0x006efd80,0x6c0fdc00,0x17221e03,0x805f03e8,0xf5003ffb,
    0x7dc00003,0x227c4002,0x7c4006f8,0x3f700006,0x6cc15bd0,0x06ff540f,
    0x003fb000,0xfd006fe8,0x1fdc003f,0xf8800fee,0x5400006f,0x3e02f81f,
    0x402feccc,0xfffffd4c,0x3fa61fff,0x039d930d,0x400007f3,0x1f90006f,
    0x54000fe4,0xfa80002f,0xfeffc881,0x3bf220df,0x10026542,0x7fdc00df,
    0x007fd006,0x005d8fd0,0x98006fb8,0x3f5099a9,0x557c07d0,0x04d804ea,
    0xf89ffe40,0xe86eb9ad,0x4430000f,0x5f30003f,0x9f00036c,0x266a6600,
    0x98803f50,0x067fd409,0x7001fbe2,0xcfc803df,0x03fd006e,0x1fc1f700,
    0x8037c400,0xffffffea,0x4c81feff,0xf01721e0,0x37fa6005,0x21f41760,
    0x6c4005f9,0x999bf51f,0x99999999,0x27c7f999,0x540bd000,0xfffffffe,
    0x88001fef,0x5bb01efd,0x9ff7000f,0x7fd73135,0x03f401b6,0x3f32f980,
    0x101be000,0x53579ffd,0x703fdb75,0x03c83c0d,0xfc8801f1,0xf700c82f,
    0x7001bf90,0x7ffdc9ff,0xffffffff,0x14ffffff,0x3ec0007f,0x55e7ff44,
    0x1fedbaa9,0x027fdc00,0x000f51f7,0x3fffff62,0x401b62ef,0x7f10006e,
    0x6c0003ee,0x02ffa206,0x1e607ea0,0x2a07a078,0x067fd407,0xfc836400,
    0xd9530abf,0x01f985ff,0x0013e000,0x5ff446d8,0x001fa800,0x4403dfb1,
    0x8000f53f,0xd809bb98,0x000fd006,0x00fd4be6,0x3f606e80,0x407ea001,
    0x2cc0f04e,0xefd88274,0x03f50001,0x7fffff4c,0x9f102eff,0x02f40000,
    0x1fd89f00,0x2007ea00,0x5d803ffb,0x000001ea,0x0fe8036c,0xf11fa800,
    0x0df10005,0x3ea002fc,0x7643f301,0x2ec80eef,0x13f601d9,0x002fa800,
    0x0357db51,0x40000dd0,0xf98000fc,0x2a002fc3,0x06fd401f,0x0f507dc0,
    0x1b600000,0x40017f40,0x4002747c,0x07f106fa,0x3201fc80,0x0fcc0006,
    0x5c000110,0x03c8001f,0x0001fd40,0xe8005f98,0x000fe20f,0x018803f9,
    0x07a87f10,0x0db00000,0x8003ffa0,0x00fe44f9,0x6f81bfa0,0x03ffb100,
    0xa8000de8,0x2000004f,0xf90001ed,0x01fd8007,0x17e41980,0xdf05f900,
    0x07ff6200,0xccfc8000,0x000cfdcc,0x8036c000,0x3a004ffe,0x2006e886,
    0x3f606ffc,0x7f7f4c02,0x01fec401,0x00009f90,0x0003ba20,0x2003d988,
    0xb3003ff8,0x809fd09f,0x5fb05fd8,0x1fefe980,0x332e0000,0x00cfdccc,
    0x036c0000,0x00dfbde8,0x7c407fa6,0x2ff2201e,0x2ffe206d,0x5dfb7511,
    0x40199bf5,0x4c41bdfb,0x00001eeb,0x20009f30,0x001320b8,0x2137dfb1,
    0x0dffdba9,0x89befd88,0x204ffb98,0x7511bff8,0x9bf55dfb,0x20000019,
    0x1000007a,0x033dd333,0x3eabf997,0xff9511bf,0xacff9805,0x365fd730,
    0xfd983ccf,0x23ffffff,0x402ffffa,0xffeffed8,0x000004ef,0x034c0bea,
    0x07fbbfa2,0x7fffd400,0x01cfffff,0xffffffa8,0xfd9801ef,0x23ffffff,
    0x002ffffa,0x000f5000,0xfffff900,0xffe8ffff,0x3fffa65f,0x3000dfff,
    0xdffffffb,0x037ffec3,0x00159953,0x35731000,0x32000000,0xffffffff,
    0x01a9800f,0x59751000,0x2a600013,0x98000abc,0x0000acca,0xfff90000,
    0x4c00005f,0xaaaaaaaa,0x57730002,0x5dcc0001,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x901ec400,0x1ca88019,0x76c40000,0x3b6603ee,0xcc800eee,0x0003b500,
    0x6c000220,0xcccccccc,0xcccccccc,0x00c004cc,0x00d554c0,0x00880000,
    0x6f7776c0,0x3bbbaa01,0x0029802e,0x32001dcc,0x3ffa81ff,0x05fdfd70,
    0xeed88000,0x3bbaa04f,0x7fd400fe,0x006ff883,0xdfffb950,0x0120037b,
    0x5c404800,0x23effffd,0x7fffcc2a,0x2a000004,0x0ceffffe,0xddfdb06a,
    0x7f75c03d,0xff9503ef,0xfdfb500b,0x0ffb8009,0x5502ff98,0x00000be1,
    0x7dc009f0,0x817fcc00,0x6c4004fe,0xcb99acdf,0x004804fe,0x7f441200,
    0xffecbdff,0xba985eae,0x9800004f,0xecbceffe,0xf30bd3ff,0x50dd0009,
    0x0bfbfffb,0x013a1530,0x00880260,0x00000be0,0x7dc009f0,0x0c008800,
    0x0037ea00,0x04807ba6,0x3ea12000,0xfd5100bf,0x004f80bf,0x017fd400,
    0x20bfdfb1,0x3ea000fd,0x856ffdc2,0x04e8005e,0xf8000000,0x7c000002,
    0x003ee004,0x3f200000,0x17e44003,0x12000048,0x64003ff1,0x0027c05f,
    0x001df300,0x7cc17fea,0x221ba004,0xd000bd01,0x00000009,0x000005f0,
    0x3ee004f8,0x40000000,0x802601fa,0x000480fb,0x003fd120,0x27c05f88,
    0x03fd0000,0x3605fb80,0x03fa800f,0x74002f40,0x4cc40004,0x005f0000,
    0x9f02ea80,0x0007dc00,0x07f10000,0x37fdbdb1,0x00485d89,0x04fa9200,
    0x4f809b00,0x09f50000,0x4c0bf100,0x006e803f,0x4e8005e8,0xfffd8800,
    0x2000ceff,0xf910002f,0x8013e01f,0xeeed80fb,0x3bbb6603,0xe886d80e,
    0x2227e4c2,0x0000243f,0x00007e49,0x35109f00,0x0007e400,0x07ec03d8,
    0xd0007f30,0x009d000b,0xaabdffa8,0xf002efdc,0x9ff50005,0x70027c01,
    0xfeed881f,0x3bbba604,0x6c0fcc0f,0x1ee13602,0xd2400009,0xf800000d,
    0x3ffffb24,0x0027401d,0x80fe6000,0x0bd0007d,0x64009d00,0x3fa600ef,
    0x2002f803,0xf801efd8,0x003ee004,0x07dc009f,0x101661aa,0x0241f307,
    0x0fe29000,0x19f00000,0xf9539dfd,0x00be203f,0x41f60000,0xbd0003f9,
    0x2009d000,0x3f6004fa,0xb8017c01,0x13e004ff,0x7c00fb80,0x903ee004,
    0x4000770b,0x8000121f,0x00003f54,0x01efdf80,0x3f503fd1,0xf3000000,
    0x4000fb07,0x04e8005e,0x44006f88,0x2017c06f,0x4001efd8,0x03ee004f,
    0x7dc009f0,0x00e41ec0,0x00247d00,0x003ee900,0x1dff0000,0xfb83f880,
    0xb0000000,0x0003f98f,0x13a0017a,0x20007f20,0x3fffa2fa,0x2e0fffff,
    0x0664c3ff,0x7ec00bf0,0x70027c00,0x1d82f81f,0x04932000,0x07dd2000,
    0x3fe00000,0xf70db000,0x20000001,0x001f63f9,0xff900bd0,0x05ffffff,
    0x27c000db,0x077f4c00,0xf803fbe2,0x7ff4400f,0x70027c00,0x1c83e81f,
    0x04936000,0x07dd2000,0x13e00000,0x0fb87c80,0x36000000,0x80007f37,
    0x2000005e,0x17a0004f,0x207ff900,0x3e00f9ed,0x3bfe603f,0x0027c00f,
    0xa84c81f7,0x48be0003,0x7dd20000,0x7fffd400,0xf01fffff,0x5c3e4009,
    0x0000000f,0x003f6fe6,0x0000bd00,0x8000fe20,0xbfd3007d,0x3e67ea01,
    0x277ffe00,0xb9efdb98,0x09f00ccf,0x1ae07dc0,0x7c4001a2,0x48000120,
    0xcc8805f3,0x0cefcccc,0x3e4009f0,0x000017d4,0x013ff600,0x30017a00,
    0x0013e003,0xffc806d8,0x7cd3e202,0x3ffbbe00,0x3ee3ffff,0x009f02ff,
    0x41e607dc,0x2a16603b,0x90000247,0xe8000fe2,0x90027c05,0x0009f10f,
    0x0ff98000,0x005e8000,0x05e801e4,0xea813e00,0x336c00df,0xbaa7c01f,
    0x3e0000ac,0x203ee004,0xf509904e,0x00489d03,0x004f9200,0x09f017a0,
    0x06e83e40,0x7cc00000,0x0bd00004,0xf9003c80,0x07f30001,0x2a00bbe2,
    0xf803e61f,0x4f800004,0x2603ee00,0xbbdb701f,0x481d9017,0xfd920000,
    0x80bd0001,0x41f2004f,0x000003fa,0x00003f60,0x3f2002f4,0x005f9803,
    0x00600fe8,0x03e61fc4,0x800004f8,0x03f6005e,0x30040364,0x0000903f,
    0x000df124,0x009f017a,0x01fb03e4,0x2003f500,0x200004f8,0x6cc4005e,
    0x002fc803,0x40000bf2,0xfdccccfc,0x0009f01c,0x8801fb00,0x37a00ffe,
    0x04fa8000,0x22400009,0x5e8004fa,0xf90027c0,0x00077c40,0x7e400df7,
    0x17a00000,0x04c82e20,0xd8809fd0,0x2a00005f,0xcfdccccc,0x00009f01,
    0x7cc07f70,0x36200fef,0x13f2003f,0x12000048,0x44007bf6,0x0027c05f,
    0x2ff980f9,0x000dfc80,0x800009f1,0xefe8805e,0xfb1001fe,0xf731137d,
    0x0000009f,0x04f803e6,0x3bfd0000,0x73dfb731,0x7dc0199f,0x75cc41bd,
    0x0002401e,0x37fea090,0xfb53109a,0x004f807f,0x3fe601f2,0xeca889bd,
    0x2666604f,0x0009afd9,0x4c00bd00,0xff50001a,0x03dfffff,0x7cc00000,
    0x00013e00,0x7ffff4c0,0x3ffee4ff,0x7ff6c402,0x004efffe,0x02400009,
    0xffffff91,0x2a017fff,0x80ccefcc,0x2ccfecc8,0x3fffee20,0x3a01efff,
    0xffffffff,0x991002ff,0x99df9999,0x00019999,0x2af2a600,0x20000000,
    0x303ffffc,0xa8000001,0x00001acb,0x000d5cc4,0x66666674,0xcccccccc,
    0x1005cccc,0x00357975,0x3ffffffb,0xffffff50,0x2f2a600b,0xaaa98009,
    0x0aaaaaaa,0xfffff500,0xffffffff,0x0000003f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x22000000,
    0x001cdeca,0x800d5540,0x55300198,0x80000035,0x55440008,0x0001aaaa,
    0x00000220,0xb80066a6,0x4c000001,0x80664000,0x332201da,0xa82ccccc,
    0x04cccccc,0x80000a88,0xffeefffc,0xff98000d,0x3ff6a04f,0xf302efff,
    0x00009fff,0xbffffd90,0x7fe40645,0x0005ffff,0x6ffff6d4,0x3f660002,
    0x1effffff,0x00000fe0,0x0b7fff62,0x7c13fe60,0x3ffa606f,0xfc83ffff,
    0x00efffff,0x819fff91,0xadfd8039,0x0007fdc0,0x3213ebfa,0xcbabcfff,
    0xaa980dff,0x2a00004f,0xecbbceff,0xa882faef,0x005faaaa,0x77bffb10,
    0x8001dffb,0xbaaacffa,0x13e02ecc,0xfff30000,0x401dfb77,0xbfd02ff8,
    0x20017e00,0xadfe805e,0x6fb8bffd,0x2601fec0,0x4bea005f,0x202ef84f,
    0x27c05fc8,0x2ef98000,0x00bffea0,0xf98005e8,0x07fee02f,0x00077c40,
    0x000013e0,0x0df505fd,0x000c0188,0x0bd000bf,0x7f4c1d88,0x3e600dff,
    0x007f7005,0x7c27cdf1,0x405fb004,0xfd00004f,0x05ff3001,0x26002f40,
    0xffa801ff,0x003fb800,0x00004f80,0x049813ee,0x2fc00000,0x0002f400,
    0x3f200aea,0x2017e000,0x3e13e1fc,0x40bf1004,0xf980004f,0x00bf2002,
    0x7f4005e8,0x017e6000,0x7c0001f6,0x3f200004,0x00000001,0x74002fc0,
    0x20000005,0x03ec002b,0x309f17e2,0xf03ec001,0x1f700009,0x0017cc00,
    0x1fd400bd,0x2017e400,0xddb0006e,0xdddddffd,0xb003bddd,0x0000000d,
    0xd000bf00,0x06a2000b,0x0fb00000,0x027c0fd8,0x9f03e400,0x01f70000,
    0x3a000b80,0x00df1005,0xdd01be20,0x3bbb6000,0xeeeeeeff,0x7d801dee,
    0xeeda8000,0xf8004eee,0x885e8005,0x3fae3eed,0x0002dfff,0x3e605e80,
    0x80004f83,0x2213e05e,0x84eeeeed,0x000002f9,0x2fa802f4,0x443f2000,
    0xeeffeeed,0x01deeeee,0x200004f8,0x540000fb,0x05feeeee,0xe8005f80,
    0x8cfed985,0xfcaacefd,0x2e00002f,0x7c1ba02f,0x17cc0004,0xfdb109f0,
    0x3fa09ddf,0x3a000000,0x001f7005,0xed89fcc0,0xeeeeffee,0xf801eeee,
    0x3e600004,0xbd000002,0x000bf000,0xfeef80bd,0x003fd102,0x5c0bf300,
    0x0009f02f,0x9f007fd4,0x2007fe60,0x00003ff9,0x1f200bd0,0x409f1000,
    0x9f00006e,0x05f80000,0x00bd0000,0xbd000bf0,0x401fff80,0x440004fa,
    0x0bf100fe,0x6cc0027c,0x427c00ef,0x22000efa,0x01aceffc,0xd005e800,
    0x0bf0000d,0xf8000374,0x33220004,0xccccfecc,0x05e80002,0xe8005f80,
    0x800ffc05,0x3a20006e,0x807f201f,0x3faa004f,0xc89f004f,0x710000df,
    0x07bffffb,0x7c017a00,0x06e80005,0x7c0001ba,0x3fea0004,0xffffffff,
    0x05e80005,0xe8005f80,0x90027c05,0xfd10001f,0x2027cc03,0x7ff1004f,
    0xfb27c001,0xa8800009,0x4000dfec,0x00bd005e,0x3740bd00,0x004f8000,
    0x0017cc00,0x4002f400,0x05e8005f,0x1f70027c,0x01fe8800,0x13e007ec,
    0x4001fc40,0x003fe8cf,0x0efb8000,0x6c017a00,0x03f80006,0x7c0001ba,
    0x7c400004,0x5e800002,0x8005f800,0x0027c05e,0x7cc001f7,0x01fd401f,
    0x3f88027c,0xeffef800,0x30000000,0x02f4009f,0x4c0007c8,0x001ba01f,
    0x000027c0,0x00000fe2,0x17a0017a,0x9f017a00,0x8007dc00,0xfe801ff9,
    0xaaaaaaab,0xc801adfa,0xaeff8000,0x000000ef,0x2f400db0,0x0001fa80,
    0x00dd01ea,0x00013e00,0x00005f30,0xd9000bd0,0x404f8800,0x03ee004f,
    0x4007fe60,0xfffffffe,0x07ffffff,0x43be0000,0x91000ef9,0x003ee000,
    0x4f9802f4,0xd01ba000,0x13e0000d,0x01f70000,0x00bd0000,0xfa800f50,
    0x70027c03,0x0efa801f,0x26666200,0xdf999999,0x7c000001,0x40077cc4,
    0xfb8001fa,0x400bd000,0xfa8001fc,0x00037404,0x400004f8,0xd000007c,
    0x07f1000b,0x3e00fe40,0x803ee004,0x00000efa,0x000013e0,0x3bea13e0,
    0x0027d400,0x0bd0036c,0x4002fc40,0x037400fe,0x0006e800,0xa8017e20,
    0x000bd001,0x3ea003fa,0x2004f805,0x1df500fb,0x4f800000,0x00055500,
    0x03bea09f,0x2001ffa8,0x17a004fa,0x4009f700,0x06e803fd,0x005fb000,
    0x07e40993,0x3a009f00,0x3dd10005,0x4007fd40,0x03ee004f,0x440037ee,
    0x009f0001,0x800ffffb,0x81bea04f,0xa801fffa,0x02f4006f,0x1006fec0,
    0x1ba009fd,0x5ffc4000,0x3ffaea61,0x4009f304,0x0bd001fa,0x4dff4400,
    0x01ffca88,0x7dc009f0,0x2002fdc0,0x09f0007b,0x2fffff88,0xf5013e00,
    0x3fabea0b,0x3f6a61ad,0x02f4000f,0x8acefb80,0x004ffca8,0x980001ba,
    0xfffffffd,0xffd981cf,0xcccccccd,0x2e26fdcc,0xffcccccc,0x03cccccc,
    0xfffffd88,0x665400df,0x9500ccef,0x3f2199fd,0xcccccccc,0x007ecccc,
    0x79df9997,0x07ffff40,0x813f32e0,0x1ccefec9,0x7fffdcd3,0x9103ffff,
    0xdf999999,0x07999999,0xfffffe98,0x332601df,0xccccffcc,0x98003ccc,
    0x4009acca,0xfffffffb,0xbfffffff,0x3ffffe60,0xffffffff,0x26000eff,
    0xf9000abb,0x205fffff,0x92fffffd,0xffffffff,0x0fffffff,0xfffffd10,
    0x5e5c40df,0x7fff4400,0x3fffee04,0x654c03ff,0x3e6009ac,0xffffffff,
    0x0effffff,0x1acba880,0xfffffc80,0xffffffff,0x00000006,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x1e400000,0x66654000,0xcccccccc,
    0x66665c4c,0x3332600c,0x3332e2cc,0x6665401c,0x3320cccc,0x203ccccc,
    0x3ccccccb,0x1666665c,0x26666654,0x3333332a,0x3332a01c,0x9951cccc,
    0x99999999,0x99999999,0x6666664c,0x9003cccc,0x59999999,0x79999970,
    0x66666644,0x0003cccc,0x05e80126,0xffffc800,0xffffffff,0x3ffff60e,
    0x3ffee02f,0x3fffa4ff,0x7ffe406f,0xfd11efff,0x409fffff,0x5ffffffe,
    0x27ffffec,0x77ffffe4,0x3ffffee0,0x3fee02ff,0xf92fffff,0xffffffff,
    0xffffffff,0x3fffea1f,0x05ffffff,0xfffffe88,0xfffd83ff,0x3ffea5ff,
    0x5fffffff,0x01df5000,0x000017a0,0x32003f50,0x0fea001f,0x4007ffd0,
    0x003ee06d,0x3e01fa80,0x803f2004,0x360004f8,0x4003e407,0x02f980fb,
    0x8013e000,0x1f9004fd,0x1df70000,0x0002f400,0x4007ea00,0xbf1006f8,
    0x01fbbd00,0x1fa81b60,0x803ea000,0x03f2004f,0x22000fb0,0x003e404f,
    0x17cc07dc,0x009f0000,0x64007fb1,0x7e40000f,0x02f4000d,0x07ea0000,
    0xd803fa80,0xf8de800f,0x4c0db005,0x1ee0002f,0x7e4009f0,0x0017d400,
    0x1f200fdc,0x2603ee00,0x3e00002f,0x017f4404,0x80003f20,0xbd0004fd,
    0xfa800000,0x00fec001,0x57a007f5,0x06d801fb,0x664c0fe6,0x4f80f900,
    0x2003f200,0x06e8005f,0xfb8007c8,0xfffff980,0x001cefff,0x0ff4c09f,
    0x0007e400,0x20003f98,0x4000005e,0x7c4001fa,0x400df106,0x3601ba5e,
    0x6c0fe206,0x80db03ff,0x03f2004f,0x98003f20,0x007c803f,0x9bf306a8,
    0xffdb9999,0x304f8019,0x320003ff,0x0020000f,0x0000bd00,0x8001fa80,
    0x01fd83fa,0x03fa97a0,0x413e036c,0x0bd05fdf,0x3f2004f8,0x003f9800,
    0x1f2003f2,0x7cc000a8,0x037e4402,0x03bea13e,0x000fc800,0x17a00000,
    0x3f500000,0xa87f6000,0x22f4003f,0x01b600fd,0xf97f30bd,0x09f013e0,
    0xe8007e40,0x4017e006,0x005f107c,0xf5002f98,0x3ee27c09,0x7e40000e,
    0x664c0000,0x77777640,0xeeeeffee,0x40003eee,0xf10001fa,0x2001be2d,
    0xb027cc5e,0xfb86d80d,0x03f81fa8,0x1f90027c,0x2007ea00,0x0f9002fa,
    0xf3000fe2,0x807e4005,0x0017f24f,0x00007e40,0x223ffff5,0xeeeeeeed,
    0xeeeeeeff,0x7d40005e,0x2fee0001,0x5e8001fc,0x0db01fc8,0xf16e87c8,
    0x7c02f889,0xccccccce,0x000feccc,0x01b6013e,0xcccccfc8,0x7cc003fc,
    0x40be6002,0x03dff94f,0x001f9000,0x2fffff40,0x0000bd00,0x0001fa80,
    0x8001ffec,0xb06f885e,0x220fb80d,0x3f31ba4f,0xffffff80,0xffffffff,
    0x101f2000,0x7fe4009f,0x03ffffff,0x20017cc0,0x7fbbf04f,0x0001bfd7,
    0xd00007e4,0x4009ffff,0x4000005e,0x3fa001fa,0xffffffff,0x5e805fff,
    0x0db07f50,0x8bea0fa8,0x007ea0fb,0x07e4009f,0x5c05f300,0x41f2000f,
    0x7cc003f8,0x40be6002,0x77dc3fff,0x01f90000,0x7fffd400,0x8017a001,
    0x0fd4005b,0x002f4000,0x07f40bd0,0x43f301b6,0xf717cc7c,0x2004f801,
    0x374000fc,0x7c800bd0,0x98007f10,0x03f2002f,0x5fa817fc,0x001f9000,
    0x005dc404,0x7c8017a0,0x000fd400,0xd0002f40,0x3627cc0b,0xbf17c406,
    0x403e4bf0,0x03f2004f,0xf301f700,0x207c8005,0x17cc001e,0x3e06fa80,
    0x0017d404,0x7f0007e4,0x02f40000,0xfa800f90,0x05e80001,0xf9017a00,
    0x9fc036c3,0x367c83f9,0x2004f806,0x7c4000fc,0xc8007c84,0x7cc00007,
    0x00efb802,0x03fa013e,0x2001f900,0x3bae24f8,0x002f4003,0x1fa800f9,
    0x3bbbb200,0xeeeeeffe,0x4405e803,0x3e01b66f,0x3f503f74,0x013e017a,
    0xd8000fc8,0x40027c47,0x4c00007c,0xb99999bf,0x7c01effd,0x004f9804,
    0xf88007e4,0x0bffff24,0x32005e80,0x007ec007,0xf5555530,0x0155555d,
    0x5f700bd0,0x6d7a01b6,0x13e9f107,0xfc8013e0,0x22fa8000,0x7c8001fb,
    0x7fcc0000,0xefffffff,0x2009f002,0x3f2000fd,0x749f1000,0x2005ffff,
    0x01f2005e,0x20000df0,0x17a0005e,0x036c7f40,0x3a04fb6c,0x09f009f6,
    0x80007e40,0x4001ba5f,0x4c00007c,0x9aaaaacf,0x8027c000,0x3f2003f9,
    0x6c9f1000,0x2003ffff,0x0bf2004d,0x0001fdc0,0x3a0005e8,0xdb9f3005,
    0x05f5f900,0x401fcfdc,0x03f2004f,0x7cc7e400,0x00f90003,0x002f9800,
    0xe8013e00,0x003f2006,0xffd327c4,0x4000001b,0x7dc04fe8,0x17a00005,
    0x2005e800,0xfb806efc,0x33e600fc,0x004f802f,0x440003f2,0x0000fcbf,
    0x980000f9,0x3e00002f,0x00bee004,0xf88007e4,0x00000984,0x26fbf200,
    0x00efdb88,0xf9999100,0x7007999d,0x05999ff9,0x54037fc4,0xfff806ff,
    0x9df99501,0xfd995059,0xdb000599,0xcca800bf,0xccccccfe,0xfb991001,
    0x0799999b,0x33bf32e0,0x3be201cc,0x999911cc,0x999999fd,0x09f99999,
    0x66666640,0xcccccccc,0xfd503ccc,0x007fffff,0xfffff980,0x200fffff,
    0xffffffe8,0x4037dc04,0xfd803ff9,0xffffb00f,0xfff909ff,0x5000bfff,
    0xfd8005ff,0xffffffff,0xfff5003f,0xdfffffff,0xffffd100,0xfc807fff,
    0xffff54ff,0xffffffff,0x09ffffff,0x3ffffe20,0xffffffff,0x4406ffff,
    0x0000abca,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x33220000,0xcccccccc,0xcc88001b,
    0xcccccccc,0x2ccccccc,0x33333322,0x4ccccccc,0x00266664,0x32266664,
    0xcccccccc,0xcccccccc,0x333332a3,0x00accccc,0x39999970,0x66666540,
    0x333332e2,0x33332a00,0x3333222c,0xbccccccc,0x66666401,0xaccccccc,
    0x99993000,0x99999999,0xedb80199,0xfd101aad,0xffffffff,0x44009fff,
    0xfffffffe,0xffffffff,0x3fffe25f,0xffffffff,0x7ffff47f,0x3ffea002,
    0xfffd10ef,0xffffffff,0x64dfffff,0xffffffff,0x401effff,0x02fffffd,
    0x93ffffee,0x02fffffd,0x93ffffee,0xfffffffa,0x2effffff,0xfffffe88,
    0xffffffff,0xffffa803,0xffffffff,0xffd101ef,0xd00bfffd,0x77ed440b,
    0xf15e8001,0x3e25f807,0x7c1ba003,0x3ba006ec,0x027c00fb,0x03ee1b60,
    0x803ffb98,0x3ee001fc,0x001fd103,0x3e602fcc,0x13faa202,0x6cc409f0,
    0xbd0000ef,0x417fb000,0x00bd003b,0x88003fea,0xf807f13f,0x6400fe25,
    0x3f79f01f,0x1f77f300,0x6c004f80,0x8800fb86,0x374403fd,0x4c05f880,
    0x1df1005f,0x9002f980,0x8027c05f,0xbd0005fa,0x005f9800,0xf1002f40,
    0x88fd400b,0xf12fc03f,0x409f5007,0xf900bf4f,0x4f801f71,0x7dc36c00,
    0x003f6000,0x1fb009f5,0xd009f500,0x05f3003f,0x4f807f40,0x000bee00,
    0x3f70017a,0x005e8000,0x7d800fdc,0x4bf00fe2,0x37c403f8,0x007e53e0,
    0x003ee9f1,0x86d8009f,0x3e2000fb,0x201fc805,0x3f2003fa,0x400bf202,
    0x3ea002f9,0xf8009f02,0x005e8004,0x200007dc,0x06e8005e,0x01fc49f0,
    0x403f893a,0x8a7c01fd,0x5c3ee04f,0x0027c00f,0x003ee16e,0xf8803f90,
    0x000df106,0x09f501fd,0x10017cc0,0x0013e07f,0x0bd000bd,0x0003f980,
    0x7d4002f4,0xf117cc01,0x0ec09807,0x9f007f70,0x25f807ec,0x827c00fb,
    0x03ee0028,0x2a013e00,0x001fc83f,0x37c46f88,0x800be600,0x009f03f8,
    0x74001fc4,0x007d8005,0x44002f40,0x107dc02f,0x0006c47f,0x3e00bf30,
    0x3ea0fe64,0x9f003ee2,0xfb801ee0,0x006d8000,0x027cc3fb,0x7f49f500,
    0x017cc000,0x13e03f70,0x8000fc80,0x3f88005e,0x0017a000,0x11b6027c,
    0x0017cc7f,0x3e001fd0,0x23743744,0x827c00fb,0x1f7000fb,0x200f9000,
    0x001ba6f8,0x0bf2ff20,0x400be600,0x013e07e8,0xe8002fec,0x01fd0005,
    0x3bf332e0,0x00cccccc,0x44f8817a,0x2fdccef8,0x005f9000,0x98bea27c,
    0x2007dc3f,0xecccccef,0x01f7000f,0x2001f700,0x001fcbfa,0x009ffb00,
    0x2600be60,0x813e02ff,0x000dfeb9,0xe9800bd0,0xffd005ff,0xffffffff,
    0x502f407f,0xffff885f,0xfa8002ff,0x7427c004,0x1f703f25,0xffffff80,
    0xf7000fff,0x01f70001,0x0027fec0,0x001ff500,0x5440be60,0x7fc03ffc,
    0xfffeeeee,0x2f40003e,0xf73df900,0xd04ff885,0x817a000b,0x263f887c,
    0x37c4002f,0x7dc27c00,0x0fb84f89,0x0fb827c0,0x0001f700,0x7c4001f7,
    0x3a200006,0xf30005ff,0xffffffff,0xdff0019f,0x09ffdddd,0x4017a000,
    0x507f44f8,0x017a05bf,0x3dd027c0,0x4c7f3333,0x0fec001f,0x7c427c00,
    0x0fb80fbc,0x0fb827c0,0x0001f700,0x0bd000f9,0x5cfec000,0xdf98003f,
    0x1acccccc,0x7d413e00,0x5e80002f,0xf981f700,0x5e803f64,0x102f9800,
    0xffffffff,0x7dc00087,0x27c04403,0xf705ffc8,0xd504f801,0x0007dc00,
    0x2f4002f4,0x23fb8000,0x7cc001fd,0x13e00002,0x0003fe98,0x06e802f4,
    0x80bf13f9,0x0fb8005e,0x55557f50,0x440007f7,0xf85d805f,0x205ff104,
    0x027c00fb,0x03ee0cc0,0x2000fe00,0xf980005e,0x0007f445,0x400005f3,
    0x03fd804f,0x7c017a00,0x5f7dd104,0xd8005e80,0x7c41b606,0xfe80a803,
    0x4f86e800,0x0fb80620,0x740027c0,0x20007dc5,0x5e8002f9,0x077c4000,
    0xf30037cc,0x27c00005,0x0001fe80,0x817a00bd,0x5e806ffa,0xf027d400,
    0x100fe209,0x002fc87f,0x0009f0dd,0x13e007dc,0x1f717a00,0x007f4400,
    0x20002f40,0x13ea01fd,0x00017cc0,0x3e2009f0,0x00bd0006,0x2fe803f2,
    0x26005e80,0x05f300ff,0x7f100fe2,0xdd002fcc,0x5c0009f0,0x0027c00f,
    0x003ee2f4,0xd0003fd8,0x1fdc000b,0x4c017e40,0x3e00002f,0x00fea004,
    0x7c4017a0,0x00bff705,0x3fa200bd,0x4403ee02,0x89fc403f,0x1ba000ee,
    0xfb80013e,0x40027c00,0x8007dc5e,0x3a0005fc,0x0bf30005,0x2600ff40,
    0x3e00002f,0x007ec004,0xfb8017a0,0xf7bf931e,0x017a039b,0xd805ff93,
    0x100fe206,0x0007f27f,0x0009f0dd,0x13e007dc,0x1f717a00,0x02ff5c40,
    0x20017a00,0x7c4006f8,0x00be600e,0x4004f800,0x2f4005f9,0x3fffea00,
    0x893ff65f,0xccccefcb,0x01effecc,0x439df993,0xcccefccb,0xd3fccccc,
    0x9999999d,0x2df99999,0xcccefcc8,0x3b332201,0x332e0ccf,0xccccccef,
    0x5fcccccc,0x9999fb95,0x09fffb99,0xfccccb80,0x103cccce,0x0599bfd9,
    0x5eff665c,0x9bfb9910,0x20079999,0xcccefccb,0x0ccfc801,0xf9999991,
    0x1999999d,0x006f2a20,0x7fffffc4,0x02deffff,0x9fffffd4,0xffffffe8,
    0x3fffffff,0xfffffffd,0xdfffffff,0x3fffffea,0x3ffea02f,0xfd12ffff,
    0xffffffff,0xffffffff,0x3fffff6b,0x0cefffff,0xffffe800,0x06ffffff,
    0xbffffff3,0x7fffff40,0xfffff50f,0x00dfffff,0xffffffd1,0xfff1007f,
    0x3ffffea5,0xffffffff,0x0000001f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x5c000000,0xcccccccc,
    0x66644001,0xcccccccc,0x24cccccc,0xccccccc8,0x01bccccc,0x01100000,
    0x13000440,0x00000000,0x4c400310,0x98800009,0x3000009a,0x26000035,
    0x2620001a,0x3600009a,0xffffffff,0x7ffcc005,0xffffffff,0x27ffffff,
    0xffffffe8,0xefffffff,0x13310001,0xe8013e60,0x013fa004,0xb8000000,
    0x7fec406f,0x000cefff,0xffffd951,0xd70005ff,0x27dfffff,0x7f5400d8,
    0x004effff,0xffffffd5,0x40007519,0x000fcafa,0x05f80be6,0x404f81f2,
    0x1001ffb8,0x9ffffffb,0x8003be61,0x3f62005e,0x0000002f,0x807bfaa0,
    0xcaabdffa,0x7c402efd,0xba9abdff,0xfd3005fe,0xfd95559b,0x36205f7d,
    0xecaabcef,0x3ff601ef,0xffdaaaac,0x5f60007f,0x3e6003f9,0x7c817e02,
    0x744013e0,0x6ffdc00f,0xcffdbaab,0x2f4000ff,0x177f5400,0xd3000000,
    0xefc805df,0x00ffa600,0x4fc80157,0x2017fcc0,0xf882fffa,0x17f5403f,
    0x3a2027e4,0x9f10007f,0x5f300374,0x0f902fc0,0x7f30027c,0x1006fec0,
    0xd0003ffb,0x7fdc000b,0x2000001d,0xa803ffd8,0x07f6004f,0x203fc000,
    0xff1000ee,0x2003fd05,0x037c0fe8,0x50007f98,0x800fdc3f,0x817e02f9,
    0x0013e07c,0x00fee0bd,0x000fffe6,0x3200017a,0x00000cff,0x0033ff22,
    0xf1001be2,0x3ee0000d,0x8003f901,0x017dc2fb,0x09f13e20,0xe8003640,
    0x98027c46,0xc817e02f,0xd0013e07,0x300bf30b,0x001fb3ff,0x100005e8,
    0x00007ff9,0x4001bff7,0xfa8001fc,0x1fa80002,0x88005f88,0x80037c1f,
    0x003f60fc,0x3f880008,0x5f3007d8,0x0f902fc0,0x7f30027c,0xf8801fb0,
    0x800bf11f,0x4c00005e,0xa8002ffd,0xd8001efe,0x013e0006,0xa84cd4cc,
    0x002f981f,0x0007f100,0xcff98be6,0xb8000009,0x002fa80f,0x302fc019,
    0x88027c07,0x404f81fd,0x03ec1ff8,0x000017a0,0x400f7f54,0x0002efe9,
    0x5e80013e,0x3ffffaa0,0x81feffff,0x500000fb,0x999999bf,0x99999999,
    0xfffd887f,0x0001bdef,0x00bf02f4,0x80017e00,0x2fe9804f,0x3a203f88,
    0x220fb81f,0xf9999999,0x1999999d,0xdffb8000,0x03ffd880,0x001fc400,
    0xffd10fb0,0xb7553579,0x00f903fd,0x7fffdc00,0xffffffff,0x104fffff,
    0xdfffb975,0x05f30003,0x400007e4,0x3be0005f,0xfecccccc,0x03f501ff,
    0x7d407fa2,0xffffff11,0xffffffff,0x0000ffff,0x7dc9ffb1,0xf00000df,
    0x236c0009,0xa800bfe8,0x000fb81f,0x0003f300,0xfeb88000,0x007e4003,
    0xf00007f3,0x7ffc000b,0xffffffff,0x82f980cf,0x3ee02fe8,0x2aaaaaa0,
    0xaaaaefaa,0x40001aaa,0x5c0cffc8,0x80000cff,0x13e0005e,0x7d4003fb,
    0x0001fa81,0x00009f10,0x007ec000,0x0dd00bf0,0x000bf000,0x9753027c,
    0x889f05ff,0x03e402fe,0x000017a0,0x200dffb8,0x0003ffc8,0x4c0007e4,
    0x2002fc3f,0x03f981fa,0x001ba000,0x7c000540,0x337f5003,0xf9333333,
    0x05f80003,0x98013e00,0xd13742fe,0x00bd005f,0x800005e8,0x2001efea,
    0x0002ffd9,0xfd000bf3,0x2001fc41,0x01fd01fc,0x07f50600,0x000bf000,
    0x3ff600bd,0xffffffff,0x7c0004ff,0x013e0005,0xbfa8bd10,0xfc802fe8,
    0x002f4002,0x05dfd300,0x177f5400,0x0017e400,0x00df05f9,0x4c07ff62,
    0x7ec4005f,0x4000fec1,0x9800ff19,0xadf8803f,0xaaaaaaaa,0x7c0007da,
    0x013e0005,0xdfb03ee0,0x09f5005f,0x0000bd00,0x0007ffb1,0x00effd40,
    0xb1013fa0,0x00bf60bf,0x403fdfd3,0xfb800dfc,0x03ff884f,0x3fe9fb30,
    0x0fe8800e,0x2000fb80,0x3e0002fa,0x013e0005,0xff30fe20,0x00df700b,
    0x880017a0,0x0000cffc,0x019ff900,0x26fbf620,0x04ffb988,0x5446ffe2,
    0xdfaaefdb,0xbffc80cc,0xffd9530a,0x5f7ec405,0xffb75309,0x33ffbe1b,
    0x3ff2661a,0x000dd001,0x2fc000bf,0x0009f000,0xfefd85f3,0xfd7311be,
    0x17a0001b,0x06ffdc00,0x64400000,0x3ea003ff,0x1effffff,0xffffd980,
    0x3fea3fff,0xffd302ff,0x05dfffff,0x7ffffd40,0x6c1cffff,0xfffffc8b,
    0x3001dfff,0x1f90007f,0x0017e000,0xfb8004f8,0x7f54ff60,0x02ffffff,
    0x2002f400,0x0001efea,0xffd98000,0x2f2a6002,0xca98000a,0x100000ac,
    0x00357975,0x4d65d440,0x32a62000,0x64000abc,0x3f98000f,0x000bf000,
    0x3e60027c,0x2a60ff26,0x00000abc,0x77e400bd,0x00000002,0x0005fea8,
    0x00000000,0x00000000,0x40000000,0x1ba0005e,0x0002fc00,0x3ea2009f,
    0x0000aa0e,0x8006a000,0x0000003b,0x0004b800,0x00000000,0x00000000,
    0x98000000,0x0cccdfdc,0x3fb33260,0x999700cc,0x79999df9,0x677e65c0,
    0xeccccccc,0x00000eff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffff7000,0x7dc05fff,0x82ffffff,0xffffffe8,0xf106ffff,
    0xffffffff,0x039dffff,0x0bbbbbae,0x3bbbbae0,0x006a2002,0x9802a200,
    0x01000000,0x88036600,0x3bbbba1d,0xeeeeeeee,0x3bbbbae6,0xeed980de,
    0x76c2deee,0xd981deee,0x0004eeee,0x00000000,0x00000000,0xeeffeb80,
    0xffeec802,0x47ddb12e,0x2dffffeb,0x22bbb660,0x2e0efffd,0x2a01dfff,
    0xc985eeee,0x3000befe,0x3fe601ff,0x3bbbbfe1,0x7feeeeee,0x3bbffbae,
    0xfeee980d,0x7fec2eef,0xee981dee,0x03725fff,0x5400ba20,0x03300001,
    0xeed80188,0x3bb6603e,0x00bd00ee,0x3b662f40,0xacefd8cf,0xd302ffca,
    0x95bfd9fd,0x2efbf2df,0xddd501ff,0xbeffb8ff,0x7d400efc,0x85ff301f,
    0x05fb004f,0x9f1001ba,0x801ff980,0x77d40ef9,0x007fa200,0x20007fee,
    0x2efffeb8,0x81fffed4,0x204feed8,0x00feeee9,0x3e2000f9,0x0bfbbe03,
    0xf100ff44,0xfefb85ff,0xc802fc44,0x981bfb17,0x0bfee03f,0x27c1ffd4,
    0xf5017ec0,0x00fdc005,0xf300ff44,0x03bea01d,0x5c007fa2,0x7c4001ff,
    0x1ffcabef,0x7ff79ff3,0x5c009f00,0x101f700f,0x807ea099,0x7d401fff,
    0x20ffe204,0x0fb05ff8,0x0ffa3f20,0x81ffdc00,0x07d04ffa,0x6e803fc8,
    0x8801ba00,0x0efa81fe,0xd1077d40,0x02b8003f,0xfd103700,0x7e441df3,
    0x70027c02,0x20be601f,0x0fb81ffa,0x74007fe0,0xe813e206,0x001f700e,
    0x0003fff9,0x7dc13ff2,0x3ee0005f,0x003f7004,0xe88005f5,0x003bea1f,
    0x7f4477d4,0x00000001,0x403ffea0,0x0027c06e,0x427c01f7,0x06d84ffd,
    0x1f90027c,0x6e80fe20,0x32003ee0,0xf90001ef,0x17ff20bf,0x005fa800,
    0x1ba017e2,0x54ff4400,0xefa8005f,0x000001fe,0x04ff8000,0x04f80bea,
    0x6d803ee0,0x7c36e7c4,0x70027c04,0x80fe201f,0x003ee06e,0x6c0003f2,
    0xdff905ff,0x1be60001,0x9803f200,0x3a20003f,0x2e0005ff,0x000002ff,
    0x03fd0000,0x013e05f8,0x1f200fb8,0x443f53f5,0x0027c02f,0x0fe201f7,
    0x03ee06e8,0x6c001f20,0xffc80fff,0xdf30000f,0x09f10001,0x200007e4,
    0x10002ffb,0x0001dffd,0x9a880000,0x0db00fd1,0x1f70027c,0x2fb0fd40,
    0x007ea4f8,0x07dc009f,0x1ba03f88,0x7c800fb8,0x9ffd1000,0x00bffd10,
    0x0001fd10,0x04f883ec,0x7eefdc00,0x4ff44002,0x99880efa,0x99999999,
    0x00999999,0xfffffd95,0x999999ff,0x27c0fd99,0x4401f700,0x3ec9f13f,
    0x009f00f9,0x3f8807dc,0x0fb81ba0,0x20007c80,0xfb04ffe8,0x7f44009f,
    0x1fcc0001,0x70000fdc,0x8017ec9f,0x3bea1fe8,0x3ffffe20,0xffffffff,
    0x6c47ffff,0xdbaaacff,0xffffffff,0x13e07fff,0x7400fb80,0x8fd43f55,
    0x004f805e,0x1fc403ee,0x07dc0dd0,0x40003e40,0xffb03ffd,0x00bf6009,
    0x2fc37400,0xb09f9000,0x1fe8807f,0x2aa0efa8,0xaaaaaaaa,0x2aaaaaaa,
    0xdd00bfe2,0x009f0000,0x5b6007dc,0x09f4f86d,0x7dc009f0,0x7407f100,
    0x2003ee06,0xfb00007c,0x0fff205f,0x3d005f90,0x7d45f500,0x09f90002,
    0xfe881fec,0x003bea01,0x01fdc000,0x200007f4,0x03ee004f,0xb09f3f70,
    0x9f005f3f,0x8807dc00,0xb81ba03f,0x007c800f,0x407ff200,0x7f902ffb,
    0x2007f100,0x4001ba5f,0x3fd804fc,0xfa801fc8,0xf9000003,0x0007fa00,
    0x7ec00bd0,0x0fefcc00,0x4007efd4,0x03ee004f,0x0dd01fc4,0x3e4007dc,
    0x3ff20000,0xb83ff700,0x07f1004f,0x0fe67ee0,0x800ff600,0x000c44fc,
    0x20000013,0x4ff801fa,0x007ec000,0x2003ffa2,0x1bfe06ff,0xf70027c0,
    0xe80fe201,0x2003ee06,0xb800007c,0x43fea06f,0xcccccff9,0x3fcccccc,
    0x1fddf100,0x67fedc00,0xccc880cc,0x00002dff,0x3f880000,0x007ffec0,
    0x01fdc051,0x001fdff3,0x2fe409fd,0x99df9950,0x33fb2a01,0x9df9910c,
    0x7079fd05,0x3326199f,0xccccfecc,0x50003ccc,0xa8f4c03d,0xffffffff,
    0x03ffffff,0x0013ff20,0x3ffffffd,0xffffff50,0x1000000b,0x02fd8001,
    0x20bffffb,0x6ff407fb,0x9efdb989,0x0000ccfb,0xffffc800,0xfffb02ff,
    0x3ffea5ff,0xeffe85ff,0xb97ffdc0,0xffffffff,0x00efffff,0x00000000,
    0x00000000,0x00000000,0x001ff300,0xfb51bfd8,0x11bf5bd9,0x9801dfb5,
    0x4ffffffe,0x000bffee,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xf7000000,0xfd88005f,0x2792ffff,0x03fffffb,0x00d65d40,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00026c40,0x44015951,0x000001ba,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x25500037,
    0x036600d9,0x50006000,0x44015bd9,0x53001ceb,0x3baa0015,0x355104ee,
    0x99999880,0x99999999,0x30199999,0x80039dd9,0xfffd800a,0x3fffee1f,
    0x4cccccc4,0x99999999,0x00400999,0x3203d880,0xfd80000c,0x2e0d54c2,
    0x201df34f,0x20001ff8,0xee8801f9,0xd82fda9a,0x01fdb9be,0x3dfffff5,
    0x1ffffd80,0x3fffff66,0xffffa81e,0xffffffff,0x7fffffff,0xffffffc8,
    0x01df1003,0x20ffffc8,0x3a3ffffa,0xffffffff,0xffffffff,0xfffc85ff,
    0x0ffe4003,0x0001ffd4,0x7fdd7f44,0x5fbaefff,0xfa80ffdc,0x3f50001f,
    0x1b207100,0xb0bb01f7,0xffb313bf,0x2ffffc05,0x2e62b36e,0xaaaa886e,
    0xaaaaaaaa,0x7daaaaaa,0x7556ffdc,0xffe801ff,0x3fffdc05,0xa87fffe2,
    0xcccccccc,0xcccccccc,0x5e7ec1cc,0x43a605fd,0x5ff107fb,0x3fa20000,
    0xfeb99bef,0x03ff905f,0x2000bfee,0x4c0001fa,0x7cc0721f,0x6c413ea1,
    0xffff980f,0x00be2000,0x227c8000,0x06fc83ff,0x01fdd7ec,0xff0dfff5,
    0x000001ff,0xefb87fb0,0x00237cc0,0xc8000011,0x05fb104f,0xfc817fec,
    0x0fd4003f,0x801f2000,0x803fe0fa,0xfffb84fa,0xf84cc404,0x32000004,
    0x2603fe67,0x47f700ff,0xfff302fd,0x00fffd0b,0x05f30000,0x3ee27bea,
    0x0000000e,0x7402fc40,0x81ffec06,0x82a83ffd,0x80d441fa,0x001eecb8,
    0x027c49d1,0x7fff4374,0xffffc880,0x00004fff,0x05fa9f20,0x17e607fa,
    0xff101fd1,0x0dffb07f,0x00200000,0x81bfffd3,0xccccccc8,0xcccccccc,
    0xcccccccc,0x400fdc0c,0x3fa201fa,0x89ffb03f,0x3f52dffe,0x20bffb51,
    0x1005ffc8,0x802f98bd,0x27ffc47c,0x4d677fc4,0x00004fba,0x0ff99f20,
    0x7c40ff98,0x80ef880e,0xffc82fff,0x4ccccc45,0x99999999,0x00099999,
    0xfa816544,0xffffffff,0xffffffff,0x0fffffff,0x3f8803e4,0x427ff440,
    0x6d45ffe8,0xffefefff,0xdb3002df,0xf827cc01,0x2a2fc406,0x1fd80fff,
    0x000013e0,0x0ffe27c8,0x07fa1bf6,0xffd85fa8,0x7c4ffb81,0xffffffff,
    0xffffffff,0x000005ff,0xb0000000,0x00fe200f,0x220fffe6,0xfb504fff,
    0x20005bff,0x07f703f8,0x7f700fec,0xbd03ffc8,0x00027cc0,0xffa8f900,
    0x41ffebbe,0x3fc802fc,0x7d407fe4,0x55554c3f,0xaaaaaaaa,0x00aaaaaa,
    0x00000000,0x001f7000,0xffd005f3,0x03bff60b,0x001fff98,0x0fe42ec0,
    0x982fbe20,0x06fe85fc,0x3ff203ee,0x32000004,0xfffffb87,0x0027d42f,
    0x83fdc3fb,0x00001ff8,0x00000000,0xf9800000,0x400fc803,0xff905ffd,
    0xf9ef880b,0x9f10000e,0x98007744,0xdffedffe,0x1017fc40,0x9ffd9dff,
    0x00007fff,0x37260f90,0x003980bd,0x05b10644,0x00000264,0x00000000,
    0x3fb00000,0x32027d40,0xbff704ff,0x3ea3fb00,0xa82b7a04,0x40bf30ee,
    0x9dd9701e,0xa8016405,0x9990bdec,0x73000003,0x00000000,0x00000000,
    0x00000000,0x7e400000,0x17fe443f,0x2e07ff70,0x3fb804ff,0xfc8817e4,
    0x2a0cffef,0xffffffff,0x0000002f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2e000000,0xfeeffedf,0xfb82fedf,0x09ff503f,0x3fa0bf10,
    0x004cc400,0x55554400,0xaaaaaaaa,0xbb10aaaa,0xbbbbbbbb,0xbbbbbbbb,
    0x0019bbbb,0x00000000,0x00000000,0x00000000,0x70000000,0x677654bf,
    0x7d43fd11,0x07ff302f,0x6c403660,0x40000001,0xfffffffa,0xffffffff,
    0xddddd30f,0xdddddddd,0xdddddddd,0x000001dd,0x00000000,0x00000000,
    0x00000000,0x00bd0000,0x3ff15e88,0x000bfe20,0x00000000,0x3ffffea0,
    0xffffffff,0x00000fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x0ba601ea,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_45_latin1_x[224]={ 0,9,5,3,4,3,4,9,11,5,0,2,5,3,
8,4,4,4,3,3,4,3,5,4,4,5,8,6,0,1,0,0,4,0,1,2,3,1,3,2,2,4,3,1,
2,0,0,0,3,2,1,3,2,1,0,0,1,1,4,0,0,0,4,1,8,2,0,3,2,2,4,2,1,3,
3,3,3,0,2,2,0,2,3,4,2,1,1,1,1,2,4,0,11,0,3,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,9,4,2,3,1,
11,2,6,0,0,0,0,3,0,-1,6,2,6,6,8,1,3,8,8,7,5,2,0,0,0,0,0,0,0,0,
0,0,0,2,1,1,1,1,4,4,4,4,-1,0,0,0,0,0,0,5,1,1,1,1,1,1,3,1,2,2,
2,2,2,2,0,3,2,2,2,2,3,3,3,3,2,2,2,2,2,2,2,2,2,1,1,1,1,2,0,2,
 };
static signed short stb__courier_45_latin1_y[224]={ 33,8,9,6,6,8,12,8,8,8,8,11,27,20,
28,6,8,8,8,8,8,8,8,8,8,8,16,16,11,17,11,9,7,10,10,9,10,10,10,9,10,10,10,10,
10,10,10,9,10,9,10,9,10,10,10,10,10,10,10,8,6,8,8,42,7,15,8,15,8,15,8,15,8,7,
7,8,8,15,15,15,15,15,15,15,10,16,16,16,16,16,16,8,8,8,18,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,33,15,7,9,13,10,
8,8,9,9,7,16,20,20,9,5,4,9,8,8,7,16,8,18,32,8,7,16,8,8,8,15,2,2,2,4,
3,1,10,9,2,2,2,3,2,2,2,3,10,4,2,2,2,4,3,14,8,2,2,2,3,2,10,8,7,7,
7,9,9,6,15,15,7,7,7,9,7,7,7,9,8,9,7,7,7,9,9,12,14,7,7,7,9,7,8,9,
 };
static unsigned short stb__courier_45_latin1_w[224]={ 0,6,14,18,16,18,16,6,8,8,15,20,9,18,
7,16,16,16,17,17,16,17,16,16,16,16,7,9,20,21,20,15,16,24,21,20,20,20,20,21,21,16,21,22,
20,24,23,20,19,20,23,18,20,22,24,24,22,21,16,7,15,7,16,25,8,20,22,19,22,19,18,21,21,18,
13,20,18,24,20,20,22,22,19,16,20,21,22,22,21,21,16,9,2,9,18,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,6,15,19,17,21,
2,20,12,24,13,20,22,18,24,26,12,20,11,11,8,21,18,7,7,10,14,20,24,25,24,15,24,24,24,24,
24,24,24,20,20,20,20,20,16,16,16,16,22,23,20,20,20,20,20,14,22,22,22,22,22,21,19,19,20,20,
20,20,20,20,24,19,19,19,19,19,18,18,18,18,19,20,20,20,20,20,20,20,20,21,21,21,21,21,22,21,
 };
static unsigned short stb__courier_45_latin1_h[224]={ 0,26,11,30,31,26,22,13,31,31,15,21,12,3,
6,31,26,25,25,26,25,26,26,26,26,26,18,22,21,9,21,25,29,23,23,25,23,23,23,25,23,23,24,23,
23,23,23,25,23,29,23,25,23,24,23,23,23,23,23,31,31,31,11,2,7,19,26,19,26,19,25,26,25,26,
34,25,25,18,18,19,26,26,18,19,24,18,17,18,17,25,17,31,31,31,7,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,0,26,26,24,17,23,
31,28,4,25,12,17,12,3,25,3,11,24,14,14,7,25,28,6,8,14,12,17,25,25,25,26,31,31,31,29,
30,32,23,31,31,31,31,30,31,31,31,30,23,29,32,32,32,30,31,15,27,32,32,32,31,31,23,26,27,27,
27,25,25,28,19,25,27,27,27,25,26,26,26,24,26,24,27,27,27,25,25,19,21,27,27,27,25,34,33,32,
 };
static unsigned short stb__courier_45_latin1_s[224]={ 255,247,172,119,202,1,239,249,219,244,40,
90,95,80,247,38,144,225,1,20,19,38,56,73,90,107,241,244,132,187,111,
36,25,1,47,182,112,91,162,138,115,222,22,203,226,66,66,111,178,42,198,
73,26,211,137,90,155,133,49,228,1,236,155,99,241,174,24,195,47,215,132,
180,160,161,1,52,92,113,92,153,218,1,138,235,151,47,196,69,219,203,179,
239,252,175,209,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,
116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,255,249,202,
172,1,44,249,63,228,91,105,158,119,80,91,228,142,1,68,56,247,47,84,
247,242,242,80,19,22,116,224,228,85,55,127,222,138,105,24,22,43,1,64,
201,110,185,80,184,1,1,151,130,218,163,17,241,128,172,195,82,152,97,183,
151,107,124,165,203,70,103,22,142,186,145,87,162,171,190,209,192,124,234,206,
1,22,182,1,1,69,65,227,43,69,15,37,60, };
static unsigned short stb__courier_45_latin1_t[224]={ 1,68,357,68,36,158,289,158,36,36,357,
313,357,370,272,68,158,212,238,158,238,158,158,158,158,158,158,130,313,357,313,
238,100,313,313,212,289,289,264,212,264,289,264,264,264,289,264,238,289,100,289,
238,313,238,264,264,289,289,289,36,68,36,357,370,177,313,185,313,185,313,238,
158,212,158,1,238,238,335,335,313,158,185,335,313,238,337,335,335,335,212,335,
1,1,36,357,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,1,100,158,
238,357,264,1,100,357,212,357,335,357,370,185,362,357,264,357,357,264,212,100,
279,227,212,357,357,212,185,185,130,36,68,36,68,68,1,289,36,36,36,36,
68,36,36,68,68,289,100,1,1,1,68,68,335,130,1,1,1,36,68,264,
130,130,100,100,185,185,100,337,185,100,100,130,185,130,130,130,238,158,238,100,
130,130,185,212,337,313,130,100,130,212,1,1,1, };
static unsigned short stb__courier_45_latin1_a[224]={ 381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_45_latin1_BITMAP_HEIGHT or STB_FONT_courier_45_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_45_latin1(stb_fontchar font[STB_FONT_courier_45_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_courier_45_latin1_BITMAP_HEIGHT][STB_FONT_courier_45_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_45_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_45_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_45_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_45_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_45_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_45_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_45_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__courier_45_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__courier_45_latin1_s[i] + stb__courier_45_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__courier_45_latin1_t[i] + stb__courier_45_latin1_h[i]) * recip_height;
            font[i].x0 = stb__courier_45_latin1_x[i];
            font[i].y0 = stb__courier_45_latin1_y[i];
            font[i].x1 = stb__courier_45_latin1_x[i] + stb__courier_45_latin1_w[i];
            font[i].y1 = stb__courier_45_latin1_y[i] + stb__courier_45_latin1_h[i];
            font[i].advance_int = (stb__courier_45_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__courier_45_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_45_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_45_latin1_s[i] + stb__courier_45_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_45_latin1_t[i] + stb__courier_45_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_45_latin1_x[i] - 0.5f;
            font[i].y0f = stb__courier_45_latin1_y[i] - 0.5f;
            font[i].x1f = stb__courier_45_latin1_x[i] + stb__courier_45_latin1_w[i] + 0.5f;
            font[i].y1f = stb__courier_45_latin1_y[i] + stb__courier_45_latin1_h[i] + 0.5f;
            font[i].advance = stb__courier_45_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_45_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_45_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_45_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_45_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_45_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_45_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_45_latin1_LINE_SPACING
#endif

