// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_28_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_28_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_28_latin1_BITMAP_WIDTH         256
#define STB_FONT_courier_bold_28_latin1_BITMAP_HEIGHT        194
#define STB_FONT_courier_bold_28_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_courier_bold_28_latin1_FIRST_CHAR            32
#define STB_FONT_courier_bold_28_latin1_NUM_CHARS            224

#define STB_FONT_courier_bold_28_latin1_LINE_SPACING          13

static unsigned int stb__courier_bold_28_latin1_pixels[]={
    0x22003100,0xa802a20a,0x80001ccc,0x000803cc,0x00000040,0x10000060,
    0x80000000,0x51000000,0x00088000,0x00003000,0x4002e200,0x9fb006fa,
    0xff882fe4,0xf80002ff,0x01ee806f,0x4002fb80,0x7c4002eb,0x7440000d,
    0x02eb8006,0x001ba600,0x3fe80bae,0x00bf2000,0x001fb000,0x36003d70,
    0x0efb804f,0x7d45f700,0x0bffae03,0x01bfe000,0xb000bfe6,0x3f62009f,
    0x2e000cff,0xf50000ef,0x7ec4003f,0x54000cff,0x362001ff,0xfd80cfff,
    0x3fa20007,0xfe880004,0x7ff44003,0x04fd804f,0x00002fdc,0x005ff100,
    0xfd100000,0x3ffee005,0x7ff302bc,0x4001df91,0x54000ff9,0x3e6000ef,
    0x00efc8bf,0x4001df50,0xefc8bff9,0x001ffcc0,0x80013f20,0x4c002ff8,
    0x06fd8bff,0x0e6027f4,0xf1000000,0x00004c5f,0x98059000,0xffffffff,
    0x6d41d980,0x00644000,0x260012a0,0x8006d41d,0x1d98004a,0x37f406d4,
    0x00254000,0x30001b10,0x200da81b,0x200004fe,0x6c4fffd8,0x7c40dfff,
    0xdffffdbf,0xffffea81,0x00002fff,0x3fb3bffa,0x000001ff,0x00000000,
    0x00000000,0x05ff5000,0x00000000,0x3a000000,0x3fff624f,0x86fffec4,
    0x227ffffa,0x441fffff,0xffffffff,0x7ffec1ff,0x102fffff,0x2019bfd9,
    0x7fc42ff9,0x9bfd9100,0x3332e201,0x7999930b,0x2f332e21,0x17999930,
    0x42f332e2,0x00bcccc9,0x019bfd91,0x333332e2,0x40cccccc,0x32a006fe,
    0x4003cccc,0x03ccccca,0x66666540,0x2a4fe803,0x3e27ffff,0x3ee1ffff,
    0x7ff4c1df,0xdffff882,0x21fffdaa,0xfcccccb8,0xffffb82f,0xff982fff,
    0xff702980,0x905fffff,0x3abfffff,0xf93fffff,0x3fabffff,0xff93ffff,
    0x3ffabfff,0xffb83fff,0xb82fffff,0xffffffff,0x7d40ffff,0xfff8801f,
    0x1001ffff,0x3fffffff,0x3fffe200,0x7f401fff,0x20effdc4,0xfd82ffe9,
    0x104ff887,0xff301fff,0x85ff1009,0xfdcdfffb,0xcffe83ff,0x7ffdc00a,
    0x43fffdcd,0x52deffd9,0x261bffdb,0xb52deffd,0x3661bffd,0xdb52deff,
    0xffb81bff,0x3fffdcdf,0x777ffecc,0x80ffeeee,0xdd9005fe,0x4009ffff,
    0x4ffffeec,0x3ffbb200,0x27f404ff,0x7fc43fec,0xd87ff304,0x9ff100ff,
    0x44037ec0,0x3bfe62ff,0x207ff4c0,0x2dfffffa,0x4c0eff98,0x7fcc0ffe,
    0xf30ff501,0x21fea03f,0xff501ff9,0x981dff30,0x6fc80ffe,0xf701ff50,
    0x7fcc003f,0xf98007ff,0x98007fff,0x7407ffff,0x43ff984f,0x3f600ffd,
    0x409ff30f,0x3ea03ff8,0x17fc400f,0x3e201ffd,0xfffb885f,0x07ff45ff,
    0x7cc5ff88,0x30ff501f,0x1fea03ff,0x7d407fe6,0x100ffe87,0x8df90bff,
    0x3e20ff31,0x3ff2005f,0x64002ffa,0x002ffaff,0x17fd7fe4,0x3f609fd0,
    0x809ff30f,0x1ffb3ff9,0xb03ffc40,0x5ff100ff,0xf900bfe2,0xffeb880f,
    0xc805ff10,0x80ffcc7f,0x1ff987fa,0xff30ff50,0xf11fea03,0x87fc805f,
    0x64bf66fc,0x003fee03,0x06fea7fc,0x6fea7fc0,0xfea7fc00,0x4c13fa06,
    0x01ffb3ff,0x9ff3ffb0,0x1dfff880,0x44027fe4,0x01ff32ff,0x0950ff98,
    0x0ff9a7f4,0xf307fcc0,0x21fea03f,0xff501ff9,0x2a03ff30,0x007fcc7f,
    0xff903fe6,0x2007ff99,0xfa804ff8,0x003ff51f,0x7fd47fea,0x23ff5001,
    0x9fd01ffa,0x7fcffec0,0xffff3004,0xfff8801f,0x6fffeeff,0x2e5ff100,
    0x1ff8807f,0x53fa07fd,0xff8807fb,0x5407fe61,0x01ff987f,0x3ff30ff5,
    0xff71fea0,0xc83ff100,0x03ffffff,0xd003ff20,0x004ff8df,0x04ff8dfd,
    0x4ff8dfd0,0x7cc09fd0,0x2000ffff,0x8804fffd,0xfffffeff,0xff1000df,
    0x3003fea5,0x33ffe3ff,0x51ffda89,0xff9801ff,0x5407fe61,0x01ff987f,
    0x3ff30ff5,0xff51fea0,0x41ff9801,0x3ffeeffc,0x80ffe200,0xeaaadff9,
    0xdff9807f,0x807feaaa,0xeaaadff9,0x809fd07f,0x4004fffd,0x8800fff9,
    0xbccb8aff,0x97fc4001,0x7d401ff8,0x3fffffe7,0x3fe25fff,0x263fd401,
    0x0ff501ff,0x3ea03ff3,0x501ff987,0x01ff88ff,0x37e43fd4,0x200a27fd,
    0x3ff207fd,0x2fffffff,0x7ffffe40,0x6402ffff,0xffffffff,0x404fe82f,
    0x4000fff9,0xf1004ff9,0x2200005f,0x017fe2ff,0x7f7e4dfd,0xff82efff,
    0x2237f405,0x0ff703ff,0x3ee07ff1,0x703ff887,0x80bff0ff,0x26fc86fe,
    0x807f90c9,0xfff03ff9,0xdfffffff,0xffffff80,0x7c06ffff,0xffffffff,
    0x404fe86f,0xd8004ff9,0xff1000ff,0x3ee00005,0x40ffee0f,0xfd102ffc,
    0x81ffdc0b,0x6fe82ffc,0xfd05fe88,0x20bfd10d,0x5fe886fe,0xf903ffb8,
    0x40df905f,0x6fd804fe,0xf501ffa8,0x07fea03f,0xfa80ffd4,0x83ff501f,
    0x7fec04fe,0xfbaa8800,0xff5000df,0x54c00159,0xd86ffcaa,0xfda9adff,
    0x027f405f,0x2a6b7ff6,0xff705ffd,0x3ffd537d,0x26fbfee0,0xf701ffea,
    0xffd537df,0x2b7ff603,0xa85ffda9,0xaaaaaffd,0xf9804fea,0x2bffaa2f,
    0x16ffdcc0,0x302bffaa,0xea85bff7,0x7dcc0aff,0x113f62df,0x01bff755,
    0xffffff98,0xffff807f,0xfd801fff,0x80ffffff,0xffffffe8,0x27ec00df,
    0x3ffffa20,0x3600dfff,0x4fffffff,0x7ffffec0,0x7fec04ff,0x204fffff,
    0xffffffe8,0x7ffdc0df,0xffffffff,0x2bfd004f,0x27fffffa,0x1ffffff8,
    0x4ffffff5,0x1ffffff8,0x4ffffff5,0x1ffffff8,0x7ffcc3b5,0x4c07ffff,
    0x6fffffff,0xfffffe80,0xfffc801f,0x7dc00cef,0x7003ffff,0x3fee005f,
    0xf7003fff,0x2005ffff,0x02fffffb,0x5fffff70,0x3fffee00,0xfffd303f,
    0xffffffff,0x4c766009,0x6c4ffffe,0xd30effff,0xfd89ffff,0xfd30efff,
    0xffd89fff,0x3e600eff,0x06ffffff,0x01333330,0x00cccc40,0x00026620,
    0x000002a6,0x800054c0,0x530000a9,0x02a60001,0x00054c00,0x00000000,
    0x00000000,0x26600000,0x00000999,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0006e200,0x00000a80,0x20000880,0x00088008,0x00000110,0x88130000,
    0x08813000,0x20002200,0x26004409,0x8813002c,0x2cccb980,0x00179997,
    0x9982e200,0x09d9f101,0x209f9000,0x9adefdb8,0x04fa800b,0xd009f500,
    0x4fa8003f,0x7002eb80,0x2005c5df,0x03fe27f9,0x7fc4ff30,0x003fb000,
    0x1ff137d4,0x2027ff40,0x03fe27f9,0x3a9ffffd,0x9304ffff,0x36019dfd,
    0x20dff14f,0x8000f14b,0xffa84ff8,0x3fffffff,0x00077e40,0x4c0077e4,
    0xdf9002fe,0x7ffec401,0x3b7ee00c,0x4c02feef,0x003fe26f,0x07fc4df3,
    0x002fe980,0x03fc4df3,0x9807ffea,0x503fe26f,0x3fa9ffdb,0xffb81def,
    0xd82fffff,0x4c17fe4f,0x40005b8e,0x7fd40ffc,0xfffecbdf,0x0017f204,
    0x22002fe4,0x2fe403fe,0x322ffe60,0x5c5300ef,0x101002ef,0x02202001,
    0x007fd100,0x7c002202,0x0440403f,0x27f53f60,0xb7bfff70,0x4fe85fff,
    0xdfb813fa,0x3fe20001,0x4077fcc4,0x0f204ffb,0x0003c800,0x007900b2,
    0x00da83b3,0x00000000,0x0ae00000,0x7f400000,0xfb000004,0x7cc13fa9,
    0x7ff4c0df,0x3fd93fa0,0xfb800000,0x007fe41f,0x000007fd,0x00000000,
    0xd9100000,0x220019bf,0x100cdfec,0x26179997,0x000bcccc,0x66665400,
    0x13fa003c,0x99999971,0xb0199999,0x7413fa9f,0xbff100ff,0x85f927f4,
    0x03ccccca,0x3a17fe00,0x7064c05f,0xcca83999,0x3332e22c,0xcccccccc,
    0x99999930,0x33261799,0x0bcccccc,0x99999993,0xfff70179,0xb805ffff,
    0x2fffffff,0x5fffffc8,0x27fffffd,0xccccccb8,0x440ccccc,0x1fffffff,
    0xfb89fd00,0xffffffff,0x4fd80fff,0x5ff109fd,0x3fa7fc80,0xff887ee4,
    0x001fffff,0x7c41ffb8,0x7fd4002f,0x3ffe27ff,0xffff71ff,0xffffffff,
    0x3fffffa1,0xffd5ffff,0xbfffffff,0x3ffffffa,0x7fdc5fff,0x3fffdcdf,
    0xb9bfff70,0xfd987fff,0xfdb52def,0x3ffee1bf,0xffffffff,0xffeec80f,
    0x9fd004ff,0xeefffd98,0x80ffeeee,0x309fd4fd,0xffa801ff,0x07cc9fb0,
    0x3ffffbb2,0x86fe8004,0x44001ff9,0x7ec2fffd,0x3ff664ff,0xfeeeeeef,
    0xffddb50f,0x36a3bddf,0xdeefffee,0xfffddb51,0x7fcc3bdd,0x07ff4c0e,
    0xd303bfe6,0x1ff981ff,0xfd98ff50,0xeeeeeeff,0x3fe600ff,0xdfd007ff,
    0x2a0df903,0xd4fd80ff,0x00ff709f,0x07aa3ff1,0x7ffff980,0x417fd400,
    0x70001ff9,0x1ffd87ff,0x3ea0df90,0x009fd00f,0x7f4013fa,0x403ffa04,
    0x7ff45ff8,0x98bff100,0x0ff501ff,0x7fd41bf2,0x3ebff200,0xfffb802f,
    0x4c637e42,0x3a9fb07f,0x00ff984f,0x0000ffcc,0x05ff5ff9,0xff037f40,
    0x7fec0005,0x6409ff51,0x07f98c6f,0x7f4013fa,0x209fd004,0x7e402ff8,
    0x900bfe27,0x01ff98ff,0x1bf20ff5,0xff01fe63,0x2e01bfa9,0x37e42fff,
    0x6c0f25fb,0x3e09fd4f,0x03fd401f,0x7f53fe00,0x05ff3006,0x10002fec,
    0x0dff1dff,0x4bf66fc8,0x013fa03c,0xfe8027f4,0x801ff304,0x1ff30ff9,
    0x260ff980,0x0ff501ff,0x92fd9bf2,0xa8ffd407,0x77ec01ff,0xfccffc81,
    0xd4fd803f,0x017f609f,0x0064cdfd,0xff51ffa8,0x80ffb003,0x3a603ffa,
    0xfffff503,0xccffc803,0x9fd003ff,0x4013fa00,0x0ff704fe,0x3ee3ff10,
    0x21ff8807,0xff501ff9,0x3f33ff20,0x8dfd003f,0x27f404ff,0xffffffc8,
    0xfd4fd803,0x40ffee09,0x13f62ffc,0x3fe37f40,0x01ffcc04,0x26b7ffa2,
    0x206ffba9,0xc804fffd,0x03ffffff,0x3a009fd0,0x09fd004f,0xf3003fea,
    0x003fea3f,0x7fcc3ff3,0x320ff501,0x03ffffff,0xaaadff98,0x27f407fe,
    0xffeeffc8,0xfd4fd803,0x56ffec09,0x745ffda9,0xdff9804f,0x407feaaa,
    0xfb000ffd,0xffffffff,0x037fc403,0xffeeffc8,0x009fd003,0x7f4013fa,
    0x803ff104,0x07fe27fa,0xff98ff50,0x320ff501,0x03ffeeff,0xffffffc8,
    0x3fa02fff,0x7f4df904,0x53f60513,0x7fe404fe,0xe85fffff,0xfffc804f,
    0x02ffffff,0xb8009ff1,0x0dfffffd,0x9004fe80,0x289ff4df,0x74013fa0,
    0x09fd004f,0x3fa02ffc,0x3a02ffc6,0x81ffc46f,0x4df907fb,0x3e0513fe,
    0xffffffff,0x413fa06f,0x643266fc,0xfd4fd83f,0xffff7009,0x013fa07d,
    0x3ffffffe,0xff906fff,0x2fe60001,0x027f4000,0x43266fc8,0x09fd03fc,
    0x74013fa0,0x0ffee04f,0x3ee17fe4,0x05ff903f,0xbfd10dfd,0x0c99bf20,
    0x1ffa87f9,0x3e03ff50,0x40df903f,0xd4fd84fe,0xfffb009f,0x9fd1d439,
    0x501ffa80,0x4ff883ff,0x03be6000,0x2009fd00,0x13fa06fc,0xfe8027f4,
    0x809fd004,0xda9adffd,0xbffb05ff,0x0bffb535,0x2a6fbfee,0xdf901ffe,
    0xfd527f40,0xffb9815f,0x07ff662d,0x2aabff6a,0x734feaaa,0x3bfa9ff9,
    0xfffd80bc,0x1fffffff,0x7f5409fd,0x7fdcc0af,0x003fee2d,0x027e5d40,
    0x56ff5544,0x5ffb500a,0x9fd55555,0x37faaaa2,0x55510aaa,0x21555bfd,
    0xadfeaaa8,0x7ff440aa,0x00dfffff,0xffffffd1,0x7fec01bf,0x504fffff,
    0x55555ffb,0x3fea9fd5,0x3fe27fff,0xffd1ffff,0xfffff70b,0x9fffffff,
    0x753ffffa,0xff84ffff,0xffffffff,0x7d413f65,0x3e27ffff,0xfd1fffff,
    0x7ff4000b,0xffff802f,0xfb86ffff,0xffffffff,0xfffd4fff,0x29ffffff,
    0xfffffffe,0xffffd4ff,0x209fffff,0x03fffffb,0x7fffff70,0x3fffee00,
    0xffff702f,0xffffffff,0x3ffffa69,0x77fffec4,0x3a605b50,0xffffffff,
    0xddb54fff,0x37bbb67d,0x511aba81,0x01da8179,0x89ffffd3,0x50effffd,
    0xca80001b,0xffff9002,0xfd307fff,0xffffffff,0x3ffee9ff,0x72efffff,
    0xffffffff,0x3fffee5d,0x402effff,0x530000a9,0x02a60001,0xfffffd30,
    0x09ffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x08813000,
    0x36e00000,0x88000000,0x649d103d,0x005cc00e,0xeedc9800,0x32a203ee,
    0x000bcccc,0x88003b70,0x0c4001dc,0x40000000,0x0004c000,0x40000660,
    0x44ff3009,0x3bee00ff,0xbff002e2,0xb8bbee00,0xa83fec00,0xd80bfe7f,
    0xdfdb84ff,0x7fffdc03,0xffb84fff,0x1fffffff,0x259fd910,0x7fb13ffa,
    0x007d5f40,0x20009f70,0x90000de9,0x17ec007f,0x3fff6200,0x05fffbdf,
    0x3e607f90,0x6403fe26,0x2feefedf,0x200ffe40,0xfeefedfb,0x413fe602,
    0x03ff17fb,0xfb07bfea,0x2209ffdf,0xfa999aef,0x7e77fe44,0xf700bfcc,
    0xffffffff,0x03ffea1f,0x4002d9e2,0x32000dfc,0x2003ffff,0x00efefe9,
    0x5004fe88,0xffffffff,0x4401ffff,0x440404fd,0xefb8a600,0x05ff8802,
    0x05df714c,0xf900ffd8,0x6c07fe6f,0x30dfc85f,0x07f503fd,0xaffc47f1,
    0x702fbbf9,0xffd9bfff,0x7ffe43ff,0x00f79d01,0x6c01bee0,0x04fe98df,
    0xff72ff98,0x00ff2001,0x9537fff1,0x8039ffff,0x000002fe,0x3ff60000,
    0xf9800001,0x4dbf205f,0x89fd00ff,0x1fd40ef8,0x20a82fe4,0x77f31ffb,
    0x1dff305f,0x2e0fffd8,0x99101fff,0x01cc0003,0x802b82b8,0x006440c9,
    0xffd80350,0x00fff981,0x664c01b8,0x0bcccccc,0x3ccccca8,0x513fe600,
    0xcc985999,0x3ff20bcc,0x73dfb101,0x13fa03ff,0x4bf107f7,0x00efffe8,
    0xbf987fdc,0x0ffe82fb,0x727fffdc,0x26201fff,0x03100009,0x22000000,
    0x04cc4001,0xf902ffc0,0x8062001f,0xfffffffe,0x7ffc45ff,0x2001ffff,
    0x3ffe26fe,0x3fff60ff,0x41bfa3ff,0xfffffffd,0x27f40eff,0xbf930bf2,
    0x7fed6fe4,0x4d3fe603,0x7c42fbbf,0x6f7fcc2f,0x11ffea7f,0x7dffffd9,
    0xffffb100,0xdffd305d,0x204fffd8,0x2effffd8,0xffffd910,0x01ffc07d,
    0x6c401ff7,0x542effff,0xeefffeed,0xffeec81d,0x3f6004ff,0x27fff647,
    0x43bffdb5,0xfffd05ff,0x1fffffff,0x87ec4fe8,0x325fffe9,0x0bbfee1f,
    0x5fdeffe4,0x07fcc2fb,0xff53ffd1,0xf91ffe61,0x7fffffff,0x7ffffd40,
    0x7fdc5fff,0x3fffe66f,0xfffff504,0xff90bfff,0x07ffffff,0xffe81bfa,
    0xfffff500,0x7f40bfff,0x3ffe6004,0x3fee007f,0x0ffffc41,0xff983fea,
    0x2b7fe603,0x7d40aefd,0x9fb3f44f,0x1ffc4bf3,0x3209ff91,0x2fbbffff,
    0x3ff63fdc,0x3e25ff12,0x55e6cc6f,0xf307fea9,0xfd7359ff,0x46fea87f,
    0xf984ffc9,0xfeb9acff,0x55e6cc3f,0xf907fea9,0x7fecc3bf,0xcfff980f,
    0x03ffeb9a,0x7e4009fd,0x5002ffaf,0xfff885ff,0x507fd46f,0x3ff805ff,
    0xfff90df9,0x49f17e83,0x0effcc5f,0x2a20dfd3,0x542fbbfd,0x49ff91ff,
    0x17fe1ff9,0x03fea310,0x7f40bff6,0xd837e40f,0x02ffd84f,0x8c401ffd,
    0xffb00ffa,0xfffffddf,0x205ffb01,0x4fe80ffe,0x7f53fe00,0x85ff5006,
    0x24ffdff8,0x3fea0ffa,0xfd9ffc02,0x41fffc85,0x2fc7f57e,0xb067ff44,
    0x5dfcc05f,0x55ffcc2f,0x23fd46ff,0xffea84ff,0xf80fffff,0xccccccef,
    0x37e42ffd,0xeff84fd8,0xfdcccccc,0x7fff542f,0xb100ffff,0xfdffffff,
    0x99dff01f,0x5ffb9999,0x2a009fd0,0x03ff51ff,0xf883ff70,0xf51ffdaf,
    0x41ffcc1f,0xffffffd8,0x7fd42eff,0x15df3f44,0x77fd40bf,0x7cc09f51,
    0xeff82fbb,0x37f40fff,0xfff90ff6,0x81ffffff,0xfffffff8,0x644fffff,
    0x889fb06f,0xffffffff,0x3f24ffff,0xffffffff,0x5e65cc00,0x7c40ffa8,
    0xffffffff,0x4fe84fff,0xff8dfd00,0x887fd804,0x56ff8aff,0x27fc41ff,
    0x7fffffd4,0xfe84ffff,0xffb87ec4,0x7e400fff,0x2601ffff,0xfb82fbbf,
    0x7fe41fff,0x3fee1442,0xffdaaadf,0xeeefff80,0x43eeeeee,0x09fb06fc,
    0xdddddfff,0x3ee7dddd,0xfdaaadff,0xff50000f,0xdddfff01,0x07dddddd,
    0xff3009fd,0x0ffd555b,0xff10dfd0,0x3eaffee5,0xa837fc0f,0xeffcdffd,
    0x5c4fe80b,0x37bb221f,0x1dffa800,0x17ddfcc0,0xa9aefff8,0xfb004ffd,
    0x01ff701d,0x70001ffd,0x09fd10ff,0x6c001ffd,0x0ffb80ef,0x01ff5000,
    0x20001ffd,0xffc804fe,0x2fffffff,0x2213fe60,0x2fffa2ff,0x0ffe40ff,
    0x7ff0ffa8,0x3ea27f40,0x641ae003,0xbbf9802f,0xffffb82f,0x00dfffff,
    0x98aefc81,0x41bfffeb,0x989beff9,0x7d41edca,0xfffc98bf,0x5f7fcc1e,
    0x1edca989,0xd7315df9,0x40037fff,0x40affca8,0x989beff9,0xfe81edca,
    0xfffff804,0x206fffff,0xff881ffd,0x3ffffe62,0xa82ffcc0,0x02ff88ff,
    0x0df113fa,0x7f407ec0,0xfbbf9801,0x6df7fcc2,0x3a03ffff,0x3fffe23f,
    0xffffffff,0x7ffffdc0,0x443fffff,0xffffffff,0x7fdc0fff,0xffffffff,
    0xffffff13,0x01ffffff,0xffffff30,0xffffb81f,0x83ffffff,0x7fd404fe,
    0x103ff501,0x3fe20bff,0x07fffe42,0x7dc07fec,0x6c05ff17,0x21dfb85f,
    0x777ec1d9,0x2205ffee,0xdfcdfdcc,0x441ff90c,0x45ff800a,0xdeffffda,
    0xfd305fff,0x07bfffff,0x37ffffe6,0xfd305ffe,0x87bfffff,0xdeffffda,
    0xf3005fff,0x20dfffff,0xffffffe9,0xfd55513d,0x7541555b,0x7dcc0aff,
    0x17fe42df,0x0567fdc4,0xf301fffd,0x26ff709f,0x3ff201ff,0x777fec0c,
    0x7ffec1ff,0x2600dfff,0xffeeffff,0x0003b31f,0x135100c4,0x26a62000,
    0x026a6001,0x066a6200,0x00026a20,0x004cccc0,0x740cd4c4,0xffffffff,
    0xfffff54f,0x7ffffc4f,0x5c17fe1f,0x265fffff,0xffb00fff,0x3fe2bf50,
    0x13ffa200,0x037dfb71,0x33310000,0x000004cc,0x00000000,0x00000000,
    0x00000000,0x3fee0000,0x2effffff,0x89ffffd3,0x20effffd,0xffd300db,
    0x0ffc87ff,0x82607b10,0x1dc88008,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x000cc000,0x00cc0004,
    0x00033000,0x03300002,0x00019880,0x8000a000,0x06600028,0x3d500000,
    0x00000000,0x00000000,0x0027dc00,0xf9000fee,0x7ffe4007,0x0dffffdb,
    0x0007f900,0x74c013ee,0xffebffff,0x2dfdb81e,0x001df300,0x70007f90,
    0xfdb5009f,0x9fb001bd,0x6fedc400,0x07bfd703,0x0677f6c4,0x3009b730,
    0x4007dfd9,0x3a6005fd,0x1001efff,0xff100bfb,0xffffffff,0x7f4c05ff,
    0x36000efe,0xffb800df,0xffffffff,0x7fffec4f,0xffa800ff,0x027f4001,
    0x36017f60,0x2fffffff,0xc8027f40,0x21ffffff,0x4fffffe8,0xffffffa8,
    0x3fff261f,0x7ffdc04f,0x6c00efff,0x3fe6003f,0x4003ff73,0xfc9804fc,
    0xfca9bfff,0x2ff980ff,0xfb001ff7,0x3ffe6009,0xefffeb9c,0x33ffee0a,
    0xd3004ffe,0x27f4001f,0x5007fb00,0xffb7bfff,0x02ff401f,0x65efffec,
    0x7e77fec5,0x3ffe22ff,0xd0effebd,0x409fffff,0xfecdfffb,0x000d406f,
    0x01910322,0xf1002980,0xbff303ff,0x0c881930,0x3a002a80,0x4ffd80ff,
    0x7fdc5fe8,0x00171001,0x350027f4,0x5033e600,0x3fee05ff,0xffd83cff,
    0x227fc405,0x07fee7fd,0x33ae5ff7,0x3fa04fea,0x00ffdc0e,0x88001331,
    0x00000099,0x640bff10,0x0001807f,0x505ff800,0x2ff889ff,0x01805ff8,
    0x0009fd00,0x7ff00003,0xfffffe98,0x17fea0ff,0xf507ff20,0x221bf23f,
    0x09fb03ff,0x7fc40ffc,0x7fff6443,0x3b2203ef,0x303effff,0xffd8dffd,
    0x07ff104f,0x6dc07fdc,0xe983dfff,0x7ffec6ff,0xf017fc44,0x80ffa89f,
    0xffb707fc,0x332607bf,0xccceffcc,0xfffdb81b,0xffa8003d,0x556fffc2,
    0x1bfa1ffe,0x7c437ec0,0x981ff73f,0x09fb02ff,0x2ff980c4,0x7fffffe4,
    0xfff903ff,0x707fffff,0x7fccdfff,0xdff104ff,0x7ec37f40,0x44ffffff,
    0x3e66fffb,0x5ff84fff,0xf989ff30,0x07ffc42f,0x3ffffff6,0xffffe84f,
    0x5fffffff,0x7fffffec,0xfdcb804f,0x20ffd46f,0x7ff10ff8,0xff05bdb5,
    0x7cd7f609,0xffeb9aef,0x0009fb00,0x9b303ff6,0x0ffd5357,0x2a6af366,
    0xdfd507fe,0x104ffc98,0x6cc3bfff,0x7ffec4ff,0x45ffda9b,0x7e4c6fea,
    0x80ffe84f,0xeff84ffd,0xd87fff60,0xfda9bfff,0x7776d45f,0x2deeefff,
    0x2a6ffff6,0x3ea05ffd,0x7ec1ffff,0x7fcc5506,0x44fffffe,0x4df903ff,
    0xfffffffb,0x0013f602,0x2200fff6,0x1001ff51,0x6403fea3,0x209fb06f,
    0xeefffff8,0x7fd46fff,0xc83ff904,0x309fb06f,0xfd739fff,0xfff709ff,
    0x25fffff9,0xff904ffa,0x204fe803,0xff904ffa,0x3fff6203,0x8027f44f,
    0xfdfffffa,0x40ffe3ff,0x3ffea6fc,0x3601ffff,0x3fa2004f,0x3ffaa04f,
    0x500fffff,0xfffffffd,0x6c1bf201,0xfdff104f,0x81bfffff,0xff100ffc,
    0xfb06fc87,0x3ffff209,0xb04fffff,0xffdfffff,0x4403ff21,0x27f403ff,
    0x2201ff90,0xfe9803ff,0x003fee3f,0x4437ffe6,0x40ffe7fe,0xbfff35fd,
    0x201fffd7,0xfd1004fd,0x7ffe40bf,0x80ffffff,0xfffffffc,0x0df900ff,
    0x7fc413f6,0x01bdcb8a,0x5fd809fd,0x4fd837e4,0x3ffffea0,0x36a04fec,
    0x3a7fdadf,0x02fec04f,0x4fe813fa,0xd002fec0,0x96ffc4df,0xff10feb9,
    0xb1ffb81f,0x653fe0df,0x1ffd41ff,0xf9804fd8,0x3fee04ff,0xffdaaadf,
    0x56fffdc0,0x900ffdaa,0x413f60df,0x6c002ff8,0x13fe206f,0x13f60df9,
    0x7f426a20,0x97fea004,0x3fe206fd,0xb027f404,0x27fc40df,0xfd8ff700,
    0x0fffffff,0x3fe213fe,0xf981ff72,0x3a0bfd3f,0x809fb05f,0x6c03fffa,
    0x0ffb80ef,0x7dc077ec,0x10ff700f,0x3fe209fd,0x17fdc002,0x7dc2ffb8,
    0x004fe887,0x3002ff98,0x7fdc3ffd,0x805ff702,0x3fee03fd,0x005ff702,
    0x7fd437ec,0x7ec2dfff,0x98ffdc0f,0x87fe43ff,0x09fd05fd,0xffc813f6,
    0xaefc802f,0xbfffeb98,0x262bbf21,0x81bfffeb,0xfc98bffa,0xffa81eff,
    0xff1000ac,0xffd715bf,0x317ff50d,0x403dfff9,0xffecaaa8,0xfeb9aa80,
    0x7ffc42ff,0x6ffeb8ad,0x2200b880,0xeb8adfff,0x2b7a26ff,0x4ffdb999,
    0x203dfd10,0xfb9adff9,0x4e7ff47f,0x3fee5ffc,0x2ffda9ac,0x5dfd5551,
    0x3fff2155,0x0dbaaaac,0x3fffffe2,0x10ffffff,0xffffffff,0xf881ffff,
    0xffffffff,0x3fffe0ff,0xd1001fff,0xdfffffff,0xfffff101,0x01ffffff,
    0xfffffff7,0xfffff305,0x3fa207ff,0x0effffff,0x55555544,0x220aaaaa,
    0xfffffffe,0x3fffe20e,0x00efffff,0xff7013fa,0x885fffff,0x0effffff,
    0x3fffffa2,0x3fffa5ff,0x95ffffff,0xffffffff,0xffda87ff,0x5fffdeff,
    0x77fffed4,0xf305fffd,0xffdbffff,0xfffffe8b,0x3f62001f,0x4c04efff,
    0xfedfffff,0xffff505f,0x7ff403bf,0x6c400dff,0xd04effff,0xffffffff,
    0xfd88bfff,0xd504efff,0x09ffffff,0xd7009fb0,0x2605ffff,0x900efffe,
    0xb89fffff,0xffffffff,0xfffff92e,0x209fffff,0x440009a8,0x5300009a,
    0x26620013,0x54400019,0x04d4c000,0x000ccc00,0x22000351,0x7ffe400a,
    0xffffffff,0x4002a203,0x20009a98,0x2a2000c9,0x00131001,0x000002a2,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00044000,0xfe980260,0x3fff626f,0x66666444,
    0x002ccccc,0x99991000,0x00039999,0x04c00000,0x0cc1a800,0x00000000,
    0x0004cc40,0x00110000,0x200cc1a8,0x4400cc1a,0x03913ffc,0xfb80ff20,
    0x3ffe66ff,0x7fffc44f,0x24ffffff,0x40007db9,0xfffffff8,0x3dfdb87f,
    0xefeda800,0x00bf601d,0x7fc4ff50,0x77edc400,0x7300b9ad,0x1737dffb,
    0x3ffffaa0,0x32200dcd,0xc800cdfe,0x540723ff,0x403fe27f,0x03fe27fa,
    0xfffb9f90,0x4fd8803f,0x4c6fea80,0x7fc44ffc,0xffeeeeee,0x001fffe4,
    0xddddff10,0xbdfa87dd,0xfd3002fd,0x07ffffff,0x88013fa2,0x2a03745f,
    0xffffffff,0xffffa83f,0xd83fffff,0xffffffff,0xffff702f,0x7e405fff,
    0x01ffffdc,0x206e8bf1,0x403745f8,0x0077aa18,0xfc800ffa,0xfd09fd06,
    0x845ff301,0x7c40007d,0xf882002f,0xbfff7005,0x403fffb9,0x000003fc,
    0x65efffd4,0x7dc4fffe,0xffdcceff,0x67ffe44f,0x82fffca9,0xfdcdfffb,
    0x543103ff,0x000001dd,0x26620000,0x0006e000,0x13fa0df9,0xb07fc804,
    0xff88000f,0x7ff54002,0x30ff5002,0x01a809ff,0xf9801880,0x4ffb80ef,
    0x2203bfe2,0x17fe24ff,0x3e617fcc,0x7ff4c0ef,0x30001800,0x00998800,
    0xffffd910,0x2000007d,0x09fd06fc,0xfb05fe80,0x3e207500,0x402bcabf,
    0xb882ffda,0x7ec13e21,0x36200005,0x902effff,0x1ff401ff,0x7e401ffb,
    0xc80bfea2,0x807ff40d,0xfb705ff8,0xdb807bff,0x9103dfff,0x07dffffd,
    0xffffffc8,0xffb103ff,0xdf9009ff,0x98013fa0,0x40fb02ff,0xf880ffd8,
    0x0effffff,0x3ee3fc40,0x7ff1004f,0x27fffec4,0x7ffffd40,0x5fe85fff,
    0x9ff064c0,0x07fb8100,0x402ff880,0xfffd87fc,0xfb04ffff,0x09ffffff,
    0xfffffff9,0x5e6cc07f,0x507fea9a,0x009fffff,0x9fd10ff9,0x983fe400,
    0x7fdc09fd,0xffff102e,0x4c1dffff,0x7ec5ba61,0xfff5004f,0x7ffffd43,
    0x67ffcc04,0x23ffeb9a,0x44002ff8,0xfb8002ff,0x7fcc000f,0xb07fcc00,
    0xfb537fff,0xbfffd8bf,0x4c5ffda9,0xfea9abcd,0x7d462007,0xff99500f,
    0x17ff9009,0x03bfff93,0x3fe17fe0,0xfe9affff,0x372019cf,0x49ff711b,
    0xb9fffffe,0x2009aeff,0xa84ffffb,0x6c04ffcc,0x1ffd02ff,0x30007fe6,
    0xf30003ff,0x2e1a809f,0x1ff8807f,0x3f209ff5,0x209ff51f,0x46201ffc,
    0x3aa00ffa,0x0fffffff,0xc804fe80,0xffffffff,0x7cc00fff,0xaaaa982f,
    0xfeaeffca,0x7f4004ff,0x74c55446,0x05fd8cff,0x200bbff6,0x77fc04fe,
    0xfdcccccc,0x003ff32f,0x7e41ff98,0x3a2effff,0xa9889cff,0x03fea6fe,
    0x3f23ff30,0x27ff100f,0xff100ffc,0xffffea87,0xff900fff,0x1fffffff,
    0x9009fd00,0xdbffffff,0xff900bff,0x4fffa600,0x02fc9afd,0xfc81fee0,
    0x0bff71ef,0xfd0027e4,0x7fffc409,0xffffffff,0x1000bfe4,0xfffe85ff,
    0x3fe24fff,0xffffffff,0x5007fe23,0x2027f4ff,0x809fd5fd,0x3fff25fd,
    0x80ffffff,0xaaadfffb,0xfe800ffd,0xa9efc804,0xbff0000a,0x43dff700,
    0x8013e62a,0xffe887fb,0x817fbe23,0x3fa000b8,0x777ffc04,0x3eeeeeee,
    0x3a0017f6,0x7555444f,0xfffc885f,0xff83efff,0xfb37f405,0xda7fc40d,
    0x53fe206f,0xaaadfffb,0xefd80ffd,0x800ffb80,0x6fc804fe,0x2ff98000,
    0x4c03fc80,0xfd0021fe,0xe81bf10d,0x00005f8f,0x3fa027f4,0x7fd4000f,
    0xfc8fa603,0x813fa01f,0x2019cfa8,0xff903ffb,0xb817fdc5,0x05ff72ff,
    0x77ecbfee,0xc80ffb80,0xfeb98aef,0x7f401bff,0x006fc804,0x0007fc80,
    0xf987fea0,0xfd9999bf,0x33ee003f,0x000406f9,0xff3013fa,0xb953137d,
    0x6fff443d,0x6ffba99a,0x2673ffe2,0x404ffca9,0xfd801ff9,0xffda9adf,
    0x56fffc45,0x226ffeb8,0xeb8adfff,0x2bbf26ff,0xbfffeb98,0x7ffffc41,
    0x0fffffff,0x37faaaa6,0x6fb81aaa,0x05fe8000,0x81bfb000,0xfffffff8,
    0x7fc006ff,0xf884ffff,0x2aaa606f,0x81aaadfe,0xfffffffb,0xffd83fff,
    0x1fffffff,0x7fffffd4,0x2e04ffff,0xe8804fcc,0xdfffffff,0xffffe880,
    0x7440efff,0xefffffff,0x3ffffe20,0x0fffffff,0x77fffed4,0x3ea5fffd,
    0xffffffff,0x027cc0ff,0x0007e400,0x2abbfa20,0x3fff661b,0x98003fff,
    0x880efc99,0xfff507ff,0xffffffff,0xffffd301,0x6dc07bff,0x00dfffff,
    0xffffff91,0xfffd803b,0x3ffee002,0x7ec403ff,0x2204efff,0x04effffd,
    0xbdffffb5,0x5440bfff,0xffe88009,0x5fffffff,0x00000010,0xffff9800,
    0x9a9885ff,0xffa80001,0x2013103f,0xffffffe8,0x4c405fff,0x9980019a,
    0x0d4c4000,0x0002a200,0x4400054c,0x0544000a,0x0009a880,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00350000,0x32a01ca8,0x93000001,0x0ddc4005,0x51000000,
    0x00005441,0x32a09997,0x6c4000cc,0x7fec4fff,0x654400df,0xca88000a,
    0x541a800a,0x001d9801,0x7d900020,0x39dfdb30,0xdfff7017,0x0fff3003,
    0xed882ffc,0x3ffaa001,0xffb803ff,0x221fdbef,0x20001eca,0x017f24fd,
    0x07fffd40,0x007fffe2,0x4fffff50,0x01fffff8,0xbffdffd5,0xdffd5003,
    0x3ea03bff,0x9003fe67,0xfd5000bf,0x7d41263d,0x3fff20ff,0x444fffff,
    0x005e98cf,0x0edc07d9,0x027fffdc,0xfffeffe8,0xffffb801,0x3fff20df,
    0x8bee0001,0x910003fa,0xfd901ffd,0xff70003f,0x2ffe983b,0x5443bf70,
    0x37ee01fd,0x207f6a21,0x01ba25f9,0xf1001bf2,0x0bfdff7d,0xffa9bfe2,
    0x6fffdcdf,0x01f507dc,0xefb80000,0x5406fd89,0x09fd11ff,0xffefffa8,
    0x001fb882,0x50000000,0x3fe201ff,0x0ffb0001,0x3ee09ff1,0x5c0fec02,
    0x3fb04c2f,0x6fc80000,0x3b222800,0x3f60c00b,0x237fc40f,0x003ea0fb,
    0x50750000,0x5c6fc807,0x856d407f,0x1fb80ffe,0x00000000,0x807fd433,
    0x00661ff8,0x3f61ffcc,0xfacf880f,0x1f62dfff,0x7ff5c9f1,0x0000fb3e,
    0x3ffffff2,0x26003fff,0x09fd0001,0x1bf113f2,0x3aa00bd5,0x0007ae01,
    0x3ea6fc80,0x9aa8806f,0x1fb84ff8,0xffd315c0,0x04fffd8d,0x33ffff62,
    0xff100ffb,0x1bffffb7,0xf30ffd80,0xfb9ae09f,0x3f10fc99,0x737f735c,
    0xd887e29f,0x2204ffff,0xffffffff,0xfffc86ff,0x00dffffb,0x2207bf20,
    0xdfffa80b,0xfb04da89,0x2227f409,0x804ffffd,0xffff9efc,0x3fffaa02,
    0xfb86feef,0x5cdfd301,0x3fe66fff,0xfff504ff,0x1fffffff,0x3ffffe20,
    0x202fffff,0x1ffb3ff9,0x227a9360,0x24d8fa2f,0x47d15c2e,0x04fffffa,
    0x667ff5cc,0xfff80bcc,0x5fffffff,0x3bffe600,0x535000ac,0xc887dffb,
    0x17fe04ff,0x09fffff5,0xfff5df90,0x3ffee0bf,0x47ffffff,0x7e442fc8,
    0x37f540ef,0x2213ff26,0xfeaadfff,0xff100fff,0xffd55dff,0x4ffec01f,
    0xa8fe04ff,0x2e46fdcf,0x9003e67f,0x4ffcca8b,0x400df900,0xaacfffd9,
    0x2a000ffc,0x1effffff,0x9dffb710,0x9ffff503,0x2a17fe20,0xc804ffcc,
    0xbfff936f,0x50bfff98,0x3fa1fffb,0xffa9ffff,0x6fc819bf,0xffb09fb0,
    0x01fff503,0x2a0bffe2,0x3fe605ff,0x8fa00fff,0x6c0ffefa,0x403ccfa5,
    0x013fa05d,0x320037e4,0x83ff82ff,0xfda883db,0x7ec2ffff,0x982b9bef,
    0x2601cfff,0x27f406ff,0x7dc37e40,0x20fff23f,0x5511fff8,0x1bffb555,
    0x0df90ff9,0x17fe13f6,0xf100ffe8,0x03ff40df,0x9013fff6,0x46e8bd4b,
    0x82e9723f,0x4fe80fe0,0x800df900,0x89fd06fc,0x4c00fff9,0x85e46ffb,
    0x322ffffb,0xffa801ff,0x4027f407,0x4bfb06fc,0xff900ffe,0x4bffea03,
    0x6fc87ffa,0xff889fb0,0x403fee02,0x3ee03ff8,0x3ffe600f,0x6447d400,
    0xf33bf12f,0xcfb87d43,0x03f35ea9,0xfc8027f4,0x837e4006,0xbffc44fe,
    0x3fe604e8,0x36237e01,0x1d413fa6,0x7401fff7,0x06fc804f,0x03fecff7,
    0xffb01ff9,0x1fbbe21b,0x27ec1bf2,0xfc80ffe2,0x09ff100f,0x3e603fe4,
    0x9df8804f,0xd7d30eee,0x36a5f88d,0x06e88cef,0xfc8027f4,0x1bf20206,
    0x854427f4,0xff501ffa,0xf983ea03,0x3fe0df91,0x403fff70,0x6fc804fe,
    0xf93fdcb9,0x41bfe05f,0x74fec2ee,0xe887fb87,0x106ff84f,0x3e201fff,
    0x0dff107f,0x3000ffd8,0x3ba2019f,0x100cf980,0x4fe801dd,0x315ff500,
    0xfc85fdb7,0x7009fd06,0xb5357fff,0x0fcc0fff,0x3bfe23f5,0x91ffecab,
    0x7f403fff,0x3bf6a204,0x6fe9bff9,0x2273ffe2,0x2002ffda,0xa87e9dfa,
    0xffc98bff,0x77fdc1ef,0xfffec99b,0x7ffdcc1b,0xffeb99be,0x7fdd5442,
    0x3be6000d,0x0efda99b,0x266fbe60,0xa980efda,0xaaadfeaa,0x3ffffa01,
    0x36a2ffff,0x3fa60aff,0x7ffd401d,0x2fffffff,0x2f557740,0x3ffffff6,
    0x8fff51ff,0xadfeaaa9,0x3fff21aa,0xfffffeef,0x7ffffd42,0x6c005fff,
    0x445fffff,0xffffffff,0x7fec0fff,0xffffffff,0x3fffe27f,0xffffffff,
    0x7ffffcc4,0x64c007ff,0x00bdfffe,0xdfffec98,0xffffa80b,0x0fffffff,
    0xfffffd50,0x7fffcc39,0xfffff34f,0x7e674401,0x801dffff,0xb81dffd9,
    0x40beffff,0x3ffea3fd,0xffffffff,0x57fffd50,0x2607fffd,0x03fffffe,
    0xffc99880,0xfffff981,0xf705ffed,0xffbdffff,0xcfffd8bf,0x82fffffe,
    0xfffffff9,0x02620006,0x40098800,0xffffffe8,0xa9805fff,0xfffd100a,
    0x3fff625d,0x4d4c4005,0x80088000,0xfe880008,0xffffffff,0x002a6005,
    0x00006a62,0x9813ffe6,0xa980009a,0x54c0001a,0x9999800a,0x00000009,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2aaaaaaa,0x500aaaaa,
    0x93000199,0xccc98099,0x222ccccc,0x930bcccb,0x98017999,0x5c42bccb,
    0x970003cc,0xca805999,0x326001cc,0xbccccccc,0x99999710,0x66540159,
    0x16664c1c,0x00000000,0xcccccb88,0x503ccccc,0x00799999,0x00144eb8,
    0x00ffe40a,0x203fff40,0xffffffff,0x3ffff27f,0xfffffd5f,0x7fffec07,
    0x3fff26ff,0xfffa8006,0x7ffc04ff,0x3ffa002f,0x5fffffff,0xfffffff7,
    0xfff509ff,0x7fffc4ff,0xfc88001f,0x00007f93,0xfffffffb,0xf10dffff,
    0x03ffffff,0x287ffe20,0xffc81400,0x7ffdc001,0x77775c07,0x3663eeff,
    0xdb52deff,0x3ea01bff,0x26fffeff,0x8006ffd9,0x04ffeec8,0x0017ff5c,
    0xdfffddb5,0x3ff663bd,0x5ffffeee,0x227ffec4,0x8005fffd,0xffd5fffb,
    0x6d40005f,0xeeeffdff,0xfdd906ff,0x7c009fff,0x5000a0ff,0xff880000,
    0x7d4007ff,0x407fe607,0x2ff407fa,0x006fc80c,0x8804fe80,0x3a0002ff,
    0x0bfe204f,0xf507ffb3,0x02ffc89f,0x6ffff540,0x5dfffb10,0x7d7fc000,
    0x301bf20f,0x800fffff,0x0a00140a,0xbff90000,0x7fa800ff,0x5407fe60,
    0x017fc07f,0x00ccdf90,0x44027f40,0x3a0002ff,0x0bfe204f,0x7ec07ff4,
    0x009ff31f,0x0f7fff4c,0x1dfffea8,0x7cefcc00,0x901bf20f,0x005ff5ff,
    0x11400280,0x009ffffb,0x1fef3fe6,0x4c0ff500,0x0ff501ff,0xffffffd7,
    0x3ff205df,0x004ffffc,0x3e2013fa,0x9fffd72f,0x2204fe80,0x5ff302ff,
    0xfd1dff10,0xffb1001d,0x3ee005df,0x9000cfff,0x9b3ff37f,0x4ff807f3,
    0x28000dfd,0xfff51400,0x3fa009ff,0x4007fb8f,0x3fe607fa,0xfb0ff501,
    0xffffffff,0x3ffff20b,0xd006ffff,0x5ff1009f,0x01fffffa,0x7fc409fd,
    0x540ffe02,0x401fffff,0x03ffffc8,0xffffc880,0xf99fe803,0xa800ffdf,
    0x03ff51ff,0x0a001400,0x009ff995,0x1fee7ff5,0x4c0ff500,0x0ff501ff,
    0x99bff971,0x3ff20179,0x1ffdaacf,0x8804fe80,0xdfff9aff,0x027f401b,
    0x7f405ff1,0x13fff604,0x19ffff70,0xffc88000,0x2ff102ff,0x00fffff9,
    0x27fc6fe8,0x050b3260,0x13fa0280,0x7dcdff10,0xfa8174c7,0x407fe607,
    0x17fc07fa,0xf05ff900,0x09fd007f,0xfffbff10,0x027f4009,0x7f405ff1,
    0xfffffd84,0xfff504ff,0x9800019f,0x702efffd,0xffff95df,0xdff9801f,
    0x407feaaa,0x00140ffd,0x404fe80a,0x1fee2ffc,0x1fea0bf9,0xf501ff98,
    0x002ff80f,0x27f41bf2,0x44027f40,0x002fffff,0xff1027f4,0x201ffc05,
    0x3ee004fd,0x4000cfff,0x03ffffc8,0x7fffffec,0xffc807f9,0x2fffffff,
    0x0507ff10,0x13fa0280,0xffffff88,0xbf91efff,0xf881fea0,0x80ff703f,
    0x3f2002ff,0xd009fd06,0xfff1009f,0xfe8005ff,0x40bfe204,0xaaa81ff9,
    0x801aaefe,0x03ffffc8,0x09ffff70,0xfb99ff10,0x40ea111f,0xffffffff,
    0x0df506ff,0x7405000a,0x3ffe204f,0x3fffffff,0x1bf60bf9,0xfd10dfd0,
    0x002ff80b,0x27f41bf2,0x44027f40,0x03fffeff,0xf8813fa0,0x06ff982f,
    0x99dff997,0x7fecc005,0xfff502ef,0x3ea0019f,0xff03fe65,0x501ffa83,
    0x03fb03ff,0x7405000a,0x3332204f,0x22ffdccc,0xd99bdffc,0x7fdc03ff,
    0x1ffea9be,0x90017fc0,0x013fa0df,0x3e2013fa,0x04ffe8af,0x5bfd5551,
    0x67fd4155,0x1fffdcaa,0x2bbfaaa0,0xffd30001,0x3ffa61bf,0x36a001df,
    0xbffc99df,0x2a2ffbaa,0x5cc0affe,0x027c2dff,0x2a628005,0xaaadfeaa,
    0x7fe54401,0x3fffff22,0xfb004fff,0x09ffffff,0x2b3feea6,0xffb502aa,
    0x42dfea85,0xadfeaaa9,0x7fdcc1aa,0x35bffd12,0x7ffffff4,0xfff74fff,
    0x7fffffff,0x7ffffdc0,0x2a0002ff,0xdffd5fff,0xfffa8005,0xffffffff,
    0xff52ffff,0x7fc4ffff,0x00e1ffff,0xff528005,0xffffffff,0x7fff401f,
    0x3ff263ff,0x5c003eff,0x102fffff,0xffffffff,0xfff985ff,0xffff73ff,
    0x3fffe63f,0x0fffffff,0xfe8bfffe,0xff70ffff,0x5dffffff,0x3fffffa6,
    0x74c00bde,0x00efffff,0xd72eb800,0x3fa20007,0xffffdcff,0xd32fffff,
    0xfd89ffff,0x2000efff,0xaaaaaaac,0xfd12aaaa,0xffffffff,0xffffc80b,
    0x0015101e,0xd800a980,0xffffffff,0x7fff441e,0xdfffd31e,0x3ffffa21,
    0x6c5fffff,0x3fee2fff,0x000005ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xcccccb88,0x97100acc,0x99999999,0x02000199,
    0x9507332e,0x665c4599,0xcccccccc,0x9999911c,0x5c400599,0xc9800bbd,
    0x332a01ce,0x2ccccccc,0x66666654,0x1cccb803,0x2a166654,0x65c2cccc,
    0x32e21ccc,0x66541ccc,0x200003cc,0xcccccccc,0x3263cccc,0x99931bcc,
    0x3f266037,0xffffffff,0xffffb83f,0xffffffff,0x3ea0c400,0x9ffffea6,
    0xb1fffff8,0xffffffff,0x3ea7ffff,0x07ffffff,0x9fffff70,0xfffffd80,
    0xfffff905,0x7c49ffff,0x2fffffff,0x9ffffea0,0x11fffff8,0x23ffffff,
    0x27fffffa,0x27fffffb,0x1ffffff8,0x3e00fd40,0xffffffff,0x3ffa6fff,
    0xffffd5ff,0xfb39f70d,0xfffdddff,0xfffd985f,0xffeeeeee,0xfffec880,
    0xb10fffcd,0xffd85fff,0x3fff664f,0xffeeeeee,0xddffdb13,0xfff1007d,
    0x7cc05ffd,0x81ffdcef,0xfeeeeffc,0x7f75c3ff,0x2200deef,0x7ec4fffd,
    0x77fec4ff,0x3fbb624e,0x3fff623f,0x7fff643e,0x404fd805,0xfffeeeff,
    0x3ea6ffee,0xffb52dff,0x645fd85d,0x06fe986f,0x3fea0df9,0x7ffff440,
    0xb81fffff,0x0ffec3ff,0x3fe05fd8,0x5557fdc3,0x9fee019a,0x237e400a,
    0x88bf905c,0xff100eff,0x5ffb8005,0xff817ff4,0xc837e403,0x5ff300ff,
    0xf013fa00,0xf927f47f,0xfd06fc8d,0xfc83fd89,0x320ff706,0x47f98c6f,
    0xc9beffe8,0x3f606fff,0x409ff51f,0xfe8625fd,0x7ffffdc2,0xfc80dfff,
    0x13fa000f,0x7f45fc80,0x0bfe201f,0x64fff600,0x93fe03ff,0x417f66ff,
    0xffb03ff8,0x2027f400,0xc93fa3ff,0xe837e46f,0xfc80d44f,0x906fe886,
    0x3c97ecdf,0xff317fe4,0x3e207fff,0x406ff8ef,0x543fe5fd,0x667fdc0d,
    0x985fffdc,0x3f2003ff,0xd93ee006,0x7fc403ff,0xbffd0002,0x5fe80bff,
    0x3fa3fff5,0x221ff604,0x3fa004ff,0xfd17fc04,0x3f22fe49,0x4009fd06,
    0xfecccffc,0x9ff903ff,0x7f407ff9,0x3abffe66,0x3ffea05f,0x77ec01ff,
    0x5c02ffcc,0x10ffb07f,0xca803fff,0x802ccffe,0x2013fee0,0x10002ff8,
    0xb00dfffd,0x4ffff6df,0x3fea03ff,0x3007fdc2,0x33bfd333,0x3a0db813,
    0xf907664f,0xff99999f,0xff900989,0x1fffffff,0x3fffff20,0x25ff103f,
    0xdf92fff8,0x04fffd80,0xffffffd8,0xa83fdc02,0x3ffa21ff,0x221df76f,
    0xffffffff,0x0dff3002,0x000bfe20,0x801fffa8,0xdffff7fc,0xbfd00bfe,
    0x3fa05fe8,0xffffffff,0x27f404ff,0x7ffffe40,0x7ec4ffff,0xfffffc82,
    0xc80effff,0x03ffeeff,0x3ffa33fe,0xf1017fa2,0x3ff600df,0x5c02ffff,
    0xd8ff907f,0xfecffdff,0x3ffbb22f,0xf8800def,0xff1000ff,0xe8806605,
    0xfb805fff,0xaffcffaf,0x7fdc02ff,0x6c05ff51,0xffffffff,0x7f404fff,
    0xffffc804,0x444fffff,0x437e44fd,0xfc85ffc9,0x2144ffa6,0x23ffeffe,
    0xfe803ffb,0x7cbfb004,0x4ffdc01f,0x45ffb999,0xffffb3ff,0x0027f409,
    0x4e88bff6,0xf105ff10,0x7effec0f,0x77fd404f,0xffeff8ef,0xda7fc401,
    0x9998806f,0x00999dfe,0xfc804fe8,0x3209fd06,0xd81bf23f,0x266fc87f,
    0x7cc7f90c,0xfeb9cfff,0x4fe800ef,0x254bfb00,0x7ffffdc0,0x3e20dfff,
    0x1ffff11f,0x8013fe20,0x3fd44ffc,0xf982ff88,0xb4ffc80f,0x7fcc07ff,
    0xffffb4ff,0xf3ff9001,0x9fd0007f,0x009fd000,0x13fa0df9,0x81bf21a8,
    0x37e40ffb,0x7fc49fd0,0xefffffff,0x009fd000,0x2e0017f6,0x2bceeeff,
    0xfb33bfd0,0x3fea05df,0x3ea0b982,0x80ffa85f,0xff982ff8,0x3a2ffd40,
    0xfff102ff,0x1fffea3f,0x7ffffcc0,0x04fe8000,0xc804fe80,0x009fd06f,
    0x2aabbf6a,0x546ffdca,0xaaaaaffd,0x3ffa4fea,0x0ceffffe,0x6ff55440,
    0xfea880aa,0x4c00aaae,0x00aaaffd,0x7fffffd4,0x7fdc2fff,0xfeaaaabf,
    0x557fff13,0x4c1ff955,0xaaacffba,0xf510ffca,0xfffb85ff,0x44ffff02,
    0x3a006fff,0xd0005fff,0x2aa6009f,0xa80aadfe,0xf510aefd,0xffb805bf,
    0xffffffff,0x3ffee1ff,0xffffffff,0x447ff54f,0x3ffe000a,0xc86fffff,
    0x5fffffff,0x3ffffea0,0xffc807ff,0x20efeeff,0xfffffffc,0xff13ffff,
    0xffffffff,0x3fffe21f,0xffffffff,0xfffff90f,0x3ffffea3,0x6c4ffe83,
    0x3ea005ff,0xfb0001ff,0x3fffe009,0x7cc5ffff,0xffb5ffff,0x74c03fff,
    0xffffffff,0x7ff4c0ce,0xffffffff,0x0007914f,0xffffff90,0xfffd507f,
    0x74407fff,0x04ffffff,0x98035310,0xfffffffe,0x3ffe24ff,0xffffffff,
    0x3fffff60,0x0fffffff,0x21bfffd5,0x81efffe8,0x7fd42ffd,0x037fc004,
    0x2003d500,0xfffffffd,0x7ffff443,0x1dffff73,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x99999710,0xcb880579,0x332e3ccc,0x3332e23c,0x500abccc,0x32601999,
    0x665c42cc,0x200acccc,0x64c2ccca,0x5400bccc,0x2662002e,0x01998000,
    0x0004cc40,0x018000c4,0x00980980,0x984c43b6,0x0044004e,0xf7000660,
    0xffffffff,0x3fff205f,0xfffa9fff,0xffff51ff,0x85ffffff,0xb04ffff8,
    0x7dc1ffff,0xffffffff,0x7fffc40c,0x3ffff60f,0x027e403f,0x3ffffb22,
    0x7fe4403e,0x500edfff,0xb9bffffd,0x3fff6201,0x7edc02ef,0x36a03dff,
    0xffa8efff,0xeeff884f,0x47ffdfff,0xff56fffc,0xfffc83bf,0x00dffffb,
    0xeefffd98,0x981ffffe,0xf14efffd,0x76c49fff,0xfffeeeff,0x7fffe42f,
    0x27fffc40,0x3bbbff66,0xec86ffff,0x3b6a4fff,0x54401dff,0x7fffe400,
    0x3a03ffff,0xffffffff,0xfffffd83,0xfa82ffff,0x5fffffff,0xffffffb0,
    0x3fffe09f,0xffffffff,0xfffffb85,0x7fc2ffff,0xffffdfff,0x7ffffc6f,
    0x005fffff,0xff511bf2,0x3237e40d,0xff700eff,0xf87ffa88,0x7fe43fff,
    0x85ff106f,0xf883ffd9,0x7fd41fff,0x36600000,0x7fea9abc,0x5359ff50,
    0xffc87ffb,0xfffca9cf,0x567ffcc2,0x6c3ffeb9,0xfda9bfff,0xb9bdb85f,
    0xffdaefff,0xdacffe81,0xfeb985ff,0x6eaaefff,0x567ffecc,0x9000ffca,
    0x81fee0df,0xdffb16fc,0xb83fdc01,0x7fffc0ff,0x837fffc7,0xffd02ff8,
    0x6ffff881,0x00007fd4,0x3fea3100,0x40affb80,0x17fe21eb,0x3f617fcc,
    0x21ffd02f,0xff904ffa,0x7ff44403,0xf88bff11,0x903fe43f,0x32009fff,
    0x03ff82ff,0x3f60df90,0x3a3bf206,0x7fb805ff,0xff81ff70,0xdff72ffe,
    0x0bfe20df,0x3e217fcc,0x3ea4ffdf,0x9999980f,0xa8199999,0xfffffffe,
    0xeffff880,0x2ffa81bd,0xdff03720,0xfb999999,0x403ff25f,0x7ecc3ff8,
    0xcccfffff,0x07fd47fe,0x7e407fea,0x1bf2002f,0xfc8027f4,0x13ffaa66,
    0x5fffffc8,0xf10ff700,0xfd7ff0ff,0x1bf3bfad,0x3337ff2e,0x3e227fc2,
    0xf51ffdaf,0xffffe81f,0x4fffffff,0x3ffffff2,0xfd500fff,0xb89fffff,
    0xff88007f,0xffffffff,0x809fd4ff,0x3fff25fd,0xffffffff,0x3fe60fff,
    0xf903fe42,0x06fc800d,0x3f2009fd,0x5fffffff,0x7ffffe40,0xaffb801f,
    0x83fffeba,0xfcffabff,0x7cc6fcaf,0x47ffffff,0x57fc44fe,0x1ff56ff8,
    0xffffffd8,0xf74fffff,0xfb555bff,0xdca9801f,0x3fee4fff,0xefff8000,
    0xeeeeeeee,0x7c40dfb3,0x59dff34f,0xddddffd5,0x2eff81dd,0x7e40bff5,
    0x837e4006,0xff9004fe,0x00bfffff,0xfffbfff9,0xffffb803,0xff03ffff,
    0x65bfffa7,0xeffed86f,0x227f43ee,0x7ff72ff8,0x33301ff5,0x33333333,
    0x7dc077ec,0xb00fe80f,0x027fccdf,0x01ffd06a,0xb817fdc0,0x81ff52ff,
    0xf9800ffe,0xefffffff,0x800df900,0x09fd06fc,0x32abff20,0x7e401fff,
    0x01fff31f,0x77ffffdc,0x5cffe00c,0x0df93fff,0xff80bfe2,0xfd17fc43,
    0x0001ff7f,0x262bbf20,0x21bfffeb,0x989aeff8,0x7ff45feb,0xfea9889c,
    0x4df7fcc6,0x11edca98,0xd715bfff,0x6ffc4dff,0x9dfffd99,0x3fe24eb9,
    0xffffffff,0x3ff6aa26,0xb500aaaa,0x7f4c15ff,0x46fc801d,0x3200fffa,
    0x01ffd46f,0xff000ff7,0x643ffe27,0x05ff106f,0xff107fe6,0x7ffffcc5,
    0xff100000,0xffffffff,0x3ffe21ff,0x1fffffff,0x7fffffc4,0xfb83ffff,
    0xffffffff,0x3fffa23f,0x640effff,0xffffffff,0x227fffff,0x8aca8aff,
    0x3fff26fb,0x87ffffff,0x34fffff9,0x801fffff,0x6ff986fc,0x3f21bf20,
    0x00ff700f,0x16547ff0,0x3fe20df9,0x40fff982,0x7fe42ff8,0x0b8800ff,
    0x7fffed40,0x6c5fffde,0xefffffee,0xffff9102,0x74c07dff,0x3dffffff,
    0xeffffd88,0x3ffff204,0xdffffded,0x82600441,0xffffffea,0xffe884ff,
    0xfffb12ef,0xaffda80b,0x2167fdc1,0x221aefda,0x3660adff,0x400aaaff,
    0x440adff9,0xfa81ffda,0xffdcaacf,0x67fdc42f,0x03fffa0a,0x44013f20,
    0x9880009a,0x5310009a,0x4c400335,0x2a20019a,0x202a6000,0x0000001a,
    0x20000000,0x1ffffffb,0xfb87ffec,0x321fffff,0xfff56fff,0x540fffff,
    0x7c7fffff,0x2e1fffff,0xffffffff,0xfffb83ff,0x3ffe65ff,0x001d9800,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3fffa600,0x6ffc40ef,
    0xbffffd30,0x89fffc41,0x4ffffffe,0x3ffffa20,0x77fffe44,0x3ffffa60,
    0xd300cdef,0xfc87ffff,0x0000000f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3637ff4c,0x13004fff,0x3fee00c4,
    0xdffd51ef,0x7ffffe45,0x3ee4ffff,0x7f540eff,0x881802ef,0x3dfffd70,
    0x4fbfffaa,0x4000a819,0x000000b8,0xd8274400,0x2666620e,0x99999999,
    0x00000200,0x02fb2600,0xffd8aaa2,0x2e05ff71,0x3fe66fff,0x7fec44ff,
    0xffccffed,0xffffd04f,0x97ffff27,0xfffffffc,0x3fffe4ff,0x7fffe42f,
    0xf51ba205,0x3fffffa9,0xdfffff93,0x03fd0bf2,0xb881fec0,0xfdb881ec,
    0x1cfeb82d,0xffb17fea,0x3ffffe63,0xffffffff,0xb801f506,0xeda81cfd,
    0xfffb82df,0x2ffd41ff,0x3fee1ff9,0x31bfaa02,0xff989ff9,0xffffffff,
    0xfd981fff,0x9fff51ff,0x6667fe41,0x3661fffe,0x515972ff,0x3e601bff,
    0x443bee1f,0x2a22fffb,0x3f60beff,0x400bfe24,0xfffb04fe,0xfb7bf903,
    0x7f5e7ec3,0x3637ff60,0x3ffe64ff,0xffffffff,0xeff886ff,0xfd9dfb00,
    0xfdbcdc89,0x7dc57f40,0xf707fe45,0x2007fd4f,0x09fb06fc,0xfd39fff5,
    0x40bfd3bf,0xfffcfffb,0x3ea4fa82,0x8ffb81ff,0x5ff36ff8,0xfc87fea0,
    0x41ffb80e,0xbfd02ffa,0x5cc1ffcc,0x02ea9fd1,0xf98203f7,0x43f98f63,
    0x04fffffd,0x33333333,0xe88dfb33,0x2fa85fff,0x32a207e4,0xd17e63fb,
    0x2a27fc1f,0x201fe26f,0x09fb06fc,0x26fd97fa,0x7fd407fb,0x42601fff,
    0xf301fffa,0x73fff75f,0x5ff701ff,0x4403bf62,0x037f45ff,0x3e61dfd1,
    0x7ffff44f,0x5c4fffff,0x3ffae01f,0xb03fb100,0x00009fff,0xeffd8df9,
    0x443e44ff,0x3ffff63f,0xff1be23f,0x3e607fcc,0x7e403fc5,0x3a09fb06,
    0xfb97f64f,0x4fffd807,0x03fff500,0xfffecff8,0xffd86fdd,0x801ffd12,
    0x5ff51ffc,0x50eff880,0x7ffdcbff,0x41ffffff,0x3f6a01fb,0x02fe981f,
    0x000bfffb,0x7fe4df90,0x7cc5ffb4,0xafa87dc2,0xdfd87f30,0x13ee4fda,
    0x00bf13e2,0x13f60df9,0x4bfb27f4,0x3f6207fb,0x5404ffff,0xfd801fff,
    0xffffefff,0x90effa84,0xff8809ff,0xfb00dfd5,0x07bfa25f,0x077fffaa,
    0x7cc00fdc,0xd80ffdc5,0x005fffff,0xffab7e40,0xe87ffa25,0x2a4fecef,
    0x2effdcdf,0x83bfffa6,0xb83900fd,0x887fb802,0x49fd04fe,0x41fee5fd,
    0xfe8dffe8,0xfffa80df,0x3ee0b621,0xffff9fff,0x21dfd102,0x7e404ffa,
    0x6c03ffbf,0x0bfd11ef,0x07ffffcc,0x26057e44,0x7ec57e61,0x7fec19ae,
    0x0009ffb4,0x0efeafe4,0x36a2ffc4,0xefdb81cf,0x1ca82eec,0x000002d8,
    0xf9317ff5,0x9fd03dff,0x0ff72fec,0x7c4dffd5,0x3fea1eff,0x6fdaaacf,
    0xfb4fff98,0xefc801ff,0x4409fd10,0x6c07ffff,0x07fd10df,0x5ffbffe8,
    0x27ffffec,0x21dfffff,0x4ffffffa,0xffd89ff7,0x25d30001,0x03b300da,
    0x00000000,0x7fc40000,0xffffffff,0x437fe60f,0x3ff71efd,0x9fffffd4,
    0xd1fffffc,0xffffffff,0x47ffe0df,0xf5007ffa,0x3202fc8b,0x3ee03fff,
    0x2a00f743,0x41ff92ff,0x40aaaaa8,0x55440aa9,0x9d11aaaa,0x00001720,
    0x00000000,0x00000000,0x37ffffe6,0x3fe65ffe,0x1fffb7ff,0x3a25fff7,
    0xfd51efff,0x3ffa1bff,0x6fffffff,0x5ff8dfb0,0x02a0a600,0x4407ff88,
    0x79000981,0x000003c8,0x00000000,0x00000000,0x00000000,0x80135300,
    0xfb4fffe8,0x03bfeebf,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0xcccccccb,0xd882cccc,
    0x40037300,0x0d43eb81,0x22222066,0x88888888,0x44444440,0xdd508888,
    0xdddddddd,0x005ddddd,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffff5000,0xffffffff,0x441f983f,0x25c3fffd,0x7fccdff1,0x7c4ff30f,
    0xfffff90f,0xffffffff,0x3fff67ff,0xd4ffffff,0xffffffff,0xbfffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0xdb100000,0xdddddddd,
    0x3ff309dd,0xafffffec,0xfff31ffc,0xf89ffe21,0xfffd3745,0xffffffff,
    0x3f6bffff,0xffffffff,0x99999734,0x99999999,0x00000017,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3f332000,0xfd15ff54,0xec8bffff,
    0x88001443,0xaaaaaaaa,0x0aaaaaaa,0x11111111,0x00000111,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x911fffd8,0x05fffc85,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xd8800000,0xffffffff,0x5440dfff,0x00373000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3ea00000,0xffffffff,
    0x0001ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xcccccca8,0x002ccccc,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__courier_bold_28_latin1_x[224]={ 0,5,3,1,2,1,2,5,6,2,2,0,5,2,
5,2,2,2,1,1,1,1,2,1,2,2,5,4,-1,0,1,2,2,-1,0,0,0,0,1,0,0,2,1,0,
0,-1,-1,0,1,0,0,1,0,0,-1,-1,0,0,1,6,2,3,2,-1,5,1,-1,1,0,0,1,0,0,1,
2,0,1,-1,0,1,-1,0,1,1,1,0,0,-1,0,0,2,4,6,4,1,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,5,2,0,1,0,
6,1,3,-1,3,0,-1,2,-1,-1,3,0,3,3,5,0,1,5,4,4,3,1,0,-2,0,2,-1,-1,-1,-1,
-1,-1,-1,0,0,0,0,0,2,2,2,2,-1,-1,0,0,0,0,0,2,0,0,0,0,0,0,1,0,1,1,
1,1,1,1,-1,1,0,0,0,0,1,1,1,1,1,0,1,1,1,1,1,0,0,0,0,0,0,0,-1,0,
 };
static signed short stb__courier_bold_28_latin1_y[224]={ 20,3,5,3,2,4,6,4,4,4,4,5,16,11,
17,2,3,3,3,3,4,4,3,4,3,3,9,9,5,9,5,4,3,5,5,4,5,5,5,4,5,5,5,5,
5,5,5,4,5,4,5,4,5,5,5,5,5,5,5,4,2,4,3,24,3,8,4,8,4,8,4,8,4,4,
4,4,4,8,8,8,8,8,8,8,5,9,9,9,9,9,9,4,4,4,10,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,20,9,3,5,7,5,
4,4,4,5,3,9,11,11,5,1,2,2,3,3,3,9,4,10,19,3,3,9,3,3,3,9,-1,-1,-1,0,
0,-1,5,4,-1,-1,-1,0,-1,-1,-1,0,5,0,-1,-1,-1,0,0,8,4,-1,-1,-1,0,-1,5,4,3,3,
3,4,4,3,8,8,3,3,3,4,3,3,3,4,4,4,3,3,3,4,4,6,7,3,3,3,4,3,4,4,
 };
static unsigned short stb__courier_bold_28_latin1_w[224]={ 0,5,9,13,11,12,12,4,7,7,11,14,6,11,
5,11,11,11,12,13,12,13,12,12,11,12,5,7,15,15,15,11,11,17,15,14,14,14,14,15,15,11,15,15,
15,17,16,15,14,15,16,13,14,15,17,17,15,15,13,6,11,6,11,17,5,14,16,14,16,14,14,15,15,13,
10,15,13,17,15,13,16,16,14,13,14,15,15,16,15,15,11,7,3,7,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,0,5,11,14,13,15,
3,13,9,16,9,14,15,11,16,17,9,14,8,8,5,15,13,5,6,7,9,14,15,18,15,11,17,17,17,17,
17,17,17,14,14,14,14,14,11,11,11,11,15,16,15,15,15,15,15,11,15,15,15,15,15,15,14,14,14,14,
14,14,14,14,17,14,14,14,14,14,13,13,13,13,13,15,13,13,13,13,13,14,15,15,15,15,15,15,16,15,
 };
static unsigned short stb__courier_bold_28_latin1_h[224]={ 0,18,7,20,22,17,15,9,20,20,11,15,8,4,
4,21,18,17,17,18,16,17,18,17,18,18,12,14,15,8,15,17,20,15,15,17,15,15,15,17,15,15,16,15,
15,15,15,17,15,20,15,17,15,16,15,15,15,15,15,20,21,20,9,4,5,13,17,13,17,13,16,18,16,16,
22,16,16,12,12,13,18,18,12,13,16,12,11,11,11,17,11,20,20,20,6,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,0,17,18,15,12,15,
20,19,4,16,8,11,9,4,16,3,8,18,10,10,5,17,19,4,6,10,8,11,17,17,17,17,21,21,21,20,
20,21,15,21,21,21,21,20,21,21,21,20,15,20,22,22,22,21,21,10,18,22,22,22,21,21,15,17,18,18,
18,17,17,18,13,17,18,18,18,17,17,17,17,16,17,16,18,18,18,17,17,14,15,18,18,18,17,23,22,22,
 };
static unsigned short stb__courier_bold_28_latin1_s[224]={ 254,142,241,64,77,15,94,251,56,31,126,
204,234,112,78,19,205,229,241,166,29,78,192,46,217,110,250,246,178,35,194,
108,86,228,1,149,147,17,64,164,234,135,42,18,136,49,83,195,34,231,1,
1,219,58,186,168,152,48,122,224,184,217,192,94,250,115,138,144,121,159,74,
94,89,15,50,119,105,17,235,174,47,224,220,130,219,1,95,63,35,155,51,
78,250,194,58,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,254,40,180,
107,206,162,247,98,84,188,214,80,176,112,171,124,224,137,155,146,250,30,112,
72,51,138,204,111,89,59,92,28,196,214,232,13,176,1,210,31,161,62,169,
202,77,89,101,1,67,39,61,153,89,113,129,164,126,105,121,137,145,46,79,
60,209,1,16,1,239,148,188,180,163,241,194,134,120,16,46,205,75,234,123,
152,64,211,225,100,32,31,78,178,105,1,33,17, };
static unsigned short stb__courier_bold_28_latin1_t[224]={ 1,47,172,47,1,105,140,25,47,47,172,
140,172,184,184,25,68,68,68,68,123,87,68,87,68,68,105,123,123,184,123,
87,47,123,140,87,123,140,140,87,140,123,123,156,140,156,156,87,156,25,156,
105,140,123,140,140,140,140,140,25,1,25,172,184,146,156,105,156,105,156,123,
68,123,123,1,123,123,172,156,156,68,47,156,156,105,172,172,172,172,105,172,
47,1,25,184,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,1,105,68,
140,156,123,25,47,184,105,172,172,172,184,105,184,172,68,172,172,140,87,47,
184,184,172,172,172,105,87,87,105,1,1,1,47,25,25,123,25,25,25,1,
25,25,25,25,47,156,47,1,1,1,25,25,172,47,1,1,1,25,25,140,
105,47,68,68,87,87,47,156,87,47,47,47,87,87,87,105,105,105,105,68,
68,68,87,87,156,140,68,68,47,105,1,1,1, };
static unsigned short stb__courier_bold_28_latin1_a[224]={ 237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_28_latin1_BITMAP_HEIGHT or STB_FONT_courier_bold_28_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_28_latin1(stb_fontchar font[STB_FONT_courier_bold_28_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_28_latin1_BITMAP_HEIGHT][STB_FONT_courier_bold_28_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_28_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_28_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_28_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_28_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_28_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_28_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_28_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_28_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_28_latin1_s[i] + stb__courier_bold_28_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_28_latin1_t[i] + stb__courier_bold_28_latin1_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_28_latin1_x[i];
            font[i].y0 = stb__courier_bold_28_latin1_y[i];
            font[i].x1 = stb__courier_bold_28_latin1_x[i] + stb__courier_bold_28_latin1_w[i];
            font[i].y1 = stb__courier_bold_28_latin1_y[i] + stb__courier_bold_28_latin1_h[i];
            font[i].advance_int = (stb__courier_bold_28_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_28_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_28_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_28_latin1_s[i] + stb__courier_bold_28_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_28_latin1_t[i] + stb__courier_bold_28_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_28_latin1_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_28_latin1_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_28_latin1_x[i] + stb__courier_bold_28_latin1_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_28_latin1_y[i] + stb__courier_bold_28_latin1_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_28_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_28_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_28_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_28_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_28_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_28_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_28_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_28_latin1_LINE_SPACING
#endif

