// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_30_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_30_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_30_latin1_BITMAP_WIDTH         256
#define STB_FONT_courier_bold_30_latin1_BITMAP_HEIGHT        214
#define STB_FONT_courier_bold_30_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_courier_bold_30_latin1_FIRST_CHAR            32
#define STB_FONT_courier_bold_30_latin1_NUM_CHARS            224

#define STB_FONT_courier_bold_30_latin1_LINE_SPACING          14

static unsigned int stb__courier_bold_30_latin1_pixels[]={
    0x44006e00,0x2e01cc1b,0x00003eed,0x00007dd7,0x00c98000,0x30002600,
    0x13000019,0x05910000,0x00002600,0x00001dc0,0x001000b2,0x20000722,
    0xf7003fd8,0xf103ff8f,0x00009fff,0x4c013ff2,0x200003fd,0x005d54ff,
    0xf5001fe2,0x7dc0003d,0x3a20003f,0xffb8002f,0x01f54003,0x80001bfb,
    0x3a003fe8,0xfb0df11f,0xfe98000d,0xd17ea004,0x7ff6405f,0xff900004,
    0x3a6fa009,0xffb80002,0x5001ffb2,0xfa8003ff,0x7f4c002f,0x4000dffe,
    0x4c003ffa,0x00dffefe,0x6406ff88,0xf30000ef,0x7fc4007f,0xfb81ff73,
    0xff10002f,0x02010005,0x00027fc0,0x2e788000,0x7fe80004,0xd5017fea,
    0x00577dff,0x44007fa6,0x0dfb14ff,0x000ffc40,0x7ec53fe2,0x03ffc806,
    0x88006fb8,0x7c4002ff,0x881ff73f,0x910006ff,0x00000003,0x000013fe,
    0x2eace800,0x1ffd4000,0x3a207ffa,0x7fffffff,0x8002e200,0x2003a81c,
    0x390000b8,0xff880750,0x0073000f,0x260002e0,0x20ff92ff,0x00002ffc,
    0x17bdb700,0x81ef75c4,0xeffd9cff,0xddd9102c,0x801ddddd,0x80002ec8,
    0x7fdc0ffe,0xdefffc84,0x0000ffff,0x00000000,0x64000000,0x000003ff,
    0x7fcc0000,0x3e20ff92,0xdedb805f,0x37bae20b,0x3ffffea3,0x3ffffee2,
    0xffffff81,0xfb85ffff,0xffffffff,0x20000000,0xfff04ffa,0x220eff81,
    0x3ae207fc,0x2e203dff,0x32e2cccc,0x7100bccc,0x4007bffd,0x03dffeb8,
    0x7107ffc4,0x65c59999,0x9710bccc,0x665c5999,0xffa80bcc,0x7e40dfb1,
    0x3ffea01f,0x3ffee2ff,0xfffb11ff,0x7ffecc1b,0xfffff80d,0x0dfffecf,
    0x3fffff66,0xcc980fff,0x0002cccc,0x7e403ff6,0x40ffe22f,0xfffd502c,
    0xf903dfff,0xf31fffff,0x507fffff,0xdffffffd,0xfffea803,0xf501efff,
    0xffffc89f,0xffff98ff,0xffff93ff,0xffff31ff,0x7ff547ff,0x4fffffff,
    0x2205ff98,0x260dfffd,0x740dfffd,0x5ff980ff,0x307bffe0,0x2e007ffb,
    0xffff80ff,0x30006fff,0x7fd409ff,0x005fff44,0xddefff98,0x74c1ffff,
    0x3f65ffff,0x7cc1efff,0xfffddeff,0xdfff301f,0x03ffffbb,0xfe987ff7,
    0x3ff65fff,0xffd31eff,0x7ffecbff,0x3fff61ef,0xffffffff,0x400ffd80,
    0xff980ffe,0xb09ff505,0x7ffc03ff,0x00bff101,0x3f203fee,0x01ffffff,
    0x201ffd80,0x7fdc5ff9,0xd101ceff,0xdff907ff,0xfc813fe0,0x83ffe887,
    0xfe886ffc,0x86ffc83f,0x9ff01ffc,0xff83fe40,0x261ff204,0xffeefffc,
    0x9ff302df,0xd84ffa80,0x3ffa01ff,0xf017fe60,0x07fd80df,0xe801ff70,
    0x4004ffff,0xff805ff8,0xffffea86,0x1ffe41ef,0xff07ff70,0x643fe409,
    0x3fee03ff,0x701ffe43,0x0ffe87ff,0x7e409ff0,0x6409ff07,0xf9ff207f,
    0x0ffe804f,0xf307ff40,0x4ff980bf,0xff007ff6,0x007fd80f,0x7cc01ff7,
    0x000ffdcf,0x3e007ff2,0x3fb2607f,0x1bfe0fff,0x3fe1ffa0,0x3e1ff204,
    0x47fe806f,0x7fe806ff,0x9ff03ffc,0xff83fe40,0xd81ff204,0x007ff17f,
    0xf9809ff5,0x007ff64f,0x3fe63ff6,0x03fff805,0x2e00dff1,0x3ff200ff,
    0x1003ffa9,0x3fe00dff,0x7ff91007,0x2e00ffe2,0x027fc0ff,0x3ff88ff9,
    0xf10ffb80,0x1ff7007f,0xff807ff4,0x7c1ff204,0x21ff204f,0xfbaffea8,
    0xffe801df,0x4c7fec00,0xff3005ff,0xf003ffbb,0x2a239fff,0xf7003fff,
    0xf37fc01f,0x3ff200df,0x25ff8802,0x53fe03fb,0xfa801ffa,0x9027fc1f,
    0x01ffa8ff,0xff51ffa8,0x43ff5003,0x9ff01ffd,0xff83fe40,0xf31ff204,
    0xffffffff,0xffa807ff,0x6effcc03,0x3f6001ff,0xff005fff,0xffffffff,
    0x7fdc00bf,0x647ff500,0x7fc401ff,0x49ff5006,0xffa80ffd,0x5003ff52,
    0x04ff85ff,0x3ff51ff2,0x2a5ff500,0xffa801ff,0x7c0bfee2,0x41ff204f,
    0x1ff204ff,0xfffffff1,0xd007ffff,0xfffb00ff,0xff9800bf,0xdff001ff,
    0x7ffffffd,0x00ffb800,0x7fc41ffd,0x017fdc04,0x3fa3ffb8,0xffdbacff,
    0x200bfe67,0x27fc0ffb,0xff98ff90,0x30ffb802,0xff7005ff,0xf827fd41,
    0x41ff204f,0x1ff204ff,0x7dceffcc,0xff7000af,0xffff9805,0x5ffd8001,
    0x6553fe00,0xb8000abc,0xfff980ff,0x0fffffff,0xe801bfe0,0x3fff60ff,
    0x43ffffff,0x7fd804ff,0x3f204ff8,0xd804ff87,0x4027fc7f,0x3ffc47fd,
    0x3f204ff8,0x6409ff07,0x29ff107f,0x22001ffb,0xffd806ff,0x3ffd0005,
    0x0027fc00,0x203fee00,0xfffffffc,0xff503fff,0x17fea007,0xffffdbf7,
    0x03ffd019,0x7f42ffd4,0x3a1bfa06,0x3fea01ff,0x500fff45,0x7ff90bff,
    0x7f40dfd0,0x740dfd06,0x27ff106f,0x64000ffb,0x7ff402ff,0x5ffa8001,
    0x0027fc00,0x7c1ffa00,0xeeeeeeff,0x1ffd06ff,0x007ffa00,0x7cc05ff7,
    0xfff981ef,0xb82ffc80,0xeff984ff,0x40fff981,0xf981eff9,0x6ff880ff,
    0xfb82ffc8,0x05ff904f,0x3e609ff7,0x000ff93f,0x7d40dff1,0x2662005f,
    0x22001ffe,0x30001dff,0x0bffb333,0x7dc07ff5,0x027fd41f,0xa806ffa8,
    0x7fdc01ff,0xfffcaacf,0x7dfff303,0x201fffb5,0xcaacfffb,0xff703fff,
    0xfff9559f,0x217fec07,0xdabefff9,0xff300fff,0xfffb57df,0x64bfe601,
    0xff90007f,0x7ff4cc43,0xfffe8801,0xd803ffff,0x04ffffff,0xffffff50,
    0x7f5c41df,0x7edc43cf,0x03ff63ef,0x400ffec0,0xfc801ffa,0x3fffffff,
    0x7ffffd40,0x7e402fff,0x3fffffff,0x7ffffe40,0x7c403fff,0xffffa86f,
    0x5402ffff,0xffffffff,0x5c7fe202,0xff10005f,0xfffffd19,0xff9807ff,
    0x05ffffff,0x7fffffc4,0xfff9006f,0xfb81dfff,0x2e2fffff,0x52ffffff,
    0x1fdc007f,0x2007f880,0x1effffe9,0xffffd300,0x3fa6001d,0x3001efff,
    0x03dffffd,0x74c13ea0,0x000effff,0x1dffffd3,0x00a83300,0x3e6bae00,
    0x5fffffff,0xccccca80,0xcb9800bc,0x1000bccc,0x20159995,0x0effffe9,
    0x3bffffa6,0x40000000,0x99880008,0x13310000,0x02662000,0x004cc400,
    0x09988000,0x01331000,0x80000000,0xbcccccca,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x30000000,0x12a00001,0x17bddd50,0x88012e20,0x3220000c,
    0x40379100,0x0014403c,0x47900260,0x01eeeec8,0x064c0000,0x91065400,
    0x00c88005,0x00003910,0x8040004c,0x1ffdc01a,0x017f2000,0x07fffff5,
    0x5005fff5,0x2a0003ff,0xfff701ff,0x203ff303,0x3d52fffc,0x207ff700,
    0xfff91ff9,0x32a203ff,0x0ba9defe,0x000ffcc0,0x3fe47ff1,0x003ff500,
    0x0000bfe2,0xb800bff2,0x07fee1ef,0x37ffbfa6,0x6ff44000,0x7fffd400,
    0x0effe80d,0x000ffdc0,0x2601ffb8,0xffa86ffe,0xfebdfa81,0x3a600eff,
    0x540dffef,0xfffb31ff,0xffff303f,0x05ffffff,0x4005ff50,0x013e61fd,
    0x2000ffdc,0x30003ff9,0x01bffdfd,0x2a5fff88,0xa7fc41ff,0x6c006fd8,
    0x3ff5004f,0x401ffcc0,0x50000efa,0x3f2001df,0x40ffd40f,0x00676418,
    0x3f629ff1,0x540ffd46,0x7ffc41ff,0xffffecdf,0x03fd3004,0x3ea00000,
    0xfd10000e,0x3ff98007,0xf980dfb1,0xc80447ff,0x54003a81,0x07fea001,
    0x8801ffa8,0x01c40003,0xf503fee0,0x9000003f,0xffa87503,0x221ffa81,
    0xfe984ffe,0x02e2004f,0x1c400000,0x001b8000,0x01d40e44,0x001bffe2,
    0x40000000,0x3ea01ffa,0x0000001f,0x03fee000,0x2e203ff5,0x0003dffe,
    0x540ffd40,0x0ffea1ff,0x0003ff88,0x3ffae200,0x0000003d,0x00000000,
    0x21317ffe,0xccccccb8,0x304ccccc,0x05999999,0x5403ff50,0xcccb81ff,
    0x1e665c43,0x99999971,0x70999999,0x1ffa81ff,0xfffffea8,0xccb981ef,
    0x0bcccccc,0xff503ff5,0x6403fe43,0x3332e21f,0xcccccccc,0xffffd504,
    0x97303dff,0x79999999,0x99999301,0xcc980059,0xf002cccc,0xbbfccbff,
    0xffffffff,0xff07ffff,0x00dfffff,0x7d403ff5,0x7fffd41f,0x3fffee2f,
    0xfffff71f,0xffffffff,0xfa81ff70,0x77ffcc1f,0x41ffffdd,0xfffffffd,
    0x3ff54fff,0x7f43ff50,0xfff70005,0xffffffff,0xdfff30ff,0x83ffffbb,
    0xfffffffd,0xfff84fff,0x4006ffff,0x6fffffff,0x5c9ffd00,0xfffe99ff,
    0xffffffff,0xfffff907,0xffa803ff,0x107fee01,0xf98dfffb,0x3fa65fff,
    0xffffffff,0x1ffa87ff,0xfd10ffd4,0x8dff907f,0xffffffea,0x1ff31eff,
    0x3e23ff50,0xfd30003f,0xffffffff,0xffe88fff,0x546ffc83,0xfffffffe,
    0xfffc81ef,0x2001ffff,0xfffffffc,0x23ffd801,0x3fea2ffc,0xd00ff901,
    0xa809ffff,0xffd881ff,0x0bff500f,0x3ea03ffd,0x30ff901f,0x7fd49fff,
    0xb80fff21,0x3fea03ff,0x7d406601,0x007ff11f,0x901ffa80,0x03ffc8ff,
    0xfa80ffee,0x7ff4001f,0xfd0004ff,0xfb009fff,0x51ffec5f,0x1fee03ff,
    0xffb9ff30,0x40ffd401,0x6c04fffb,0x13ff23ff,0xf701ffa8,0x47fffa0f,
    0x1bfe1ffa,0xfa81ffa0,0xff50001f,0x000ffe23,0x2e03ff50,0x4037fc7f,
    0x3fea07fe,0x33fe6001,0x4c000ffd,0x00ffdcff,0xffd17fe4,0xe88ffd47,
    0xfc809f36,0x203ffa9f,0xfe881ffa,0x7ffc407f,0x5406ff98,0x26dd11ff,
    0xdfff984f,0x3e23ff50,0x0ffb803f,0x0003ff50,0x5fe87fea,0x8ffd4000,
    0x449f36e8,0xffb803ff,0x003ff500,0x7fd4ffe4,0x4ffe4003,0x7dc03ffa,
    0xa93ffe1f,0x0ffb9aff,0xff9bfe00,0x807fea06,0x7d401ffb,0x401ffeef,
    0xffb9affa,0x217fd400,0x3ff51ffa,0x203ff500,0xdd101ffa,0xfb87fea0,
    0xf500801f,0x01ff735f,0x2a007fea,0x3ff501ff,0xff37fc00,0x26ff800d,
    0x37c406ff,0xffa97ffe,0x001fffff,0x7fe47ff5,0x403ff501,0xfc801ffa,
    0xfa804fff,0x01ffffff,0x3ea07fdc,0x003ff51f,0x3ea05ff5,0x03ff501f,
    0x7fcc3ff5,0x217f200e,0xfffffffa,0x003ff501,0x3ea05ff5,0x7ff5001f,
    0xa800ffe4,0x07ff23ff,0x4dfff100,0xfffffffa,0x41ffd001,0xff504ff8,
    0x00ffd403,0x8037ffc4,0xfffffffa,0x207fdc01,0x5ff31ffa,0x201ff700,
    0xff501ffa,0xb83ff503,0xca9acfff,0xffa86ffe,0x301fffff,0xff7005ff,
    0x007fea01,0xff107ff4,0x83ffa009,0x4c004ff8,0x3fea7fff,0x801ffcab,
    0xfffffff9,0xffa80fff,0x007fea01,0xa8017fd4,0x1ffcabff,0x2a07fdc0,
    0x013fe1ff,0xffa81ff6,0x503ff501,0xfff703ff,0x3dffffff,0xf957ff50,
    0x027fc03f,0xff503fec,0xffff3003,0x01ffffff,0xffffff98,0x2200ffff,
    0xa97ffe20,0x54ff31ff,0xffffc80d,0x83ffffff,0x3ea01ffa,0x3ff5001f,
    0x4c7fea00,0xf7036a7f,0x21ffa81f,0x3ea01ffe,0x07fea05f,0x7d40ffd4,
    0xffd9501f,0x7d409dff,0x6d4ff31f,0xa807ffa0,0x3fea05ff,0xffffc801,
    0x03ffffff,0x7fffffe4,0xf703ffff,0x517fe43f,0xfd04c3ff,0xdddfff07,
    0x50dffddd,0x7fd403ff,0x03ff5002,0x0987fea0,0x1ff70ffa,0x3e61ffa8,
    0xfff981ef,0x407fea00,0xffa81ffa,0x001fd801,0xd04c3ff5,0x0f7fcc7f,
    0x5007ffcc,0xfff003ff,0xffdddddd,0xeefff80d,0x06ffeeee,0x40983ff7,
    0x3fe01ffa,0x701ffd44,0xdffa83ff,0x2eff882c,0x001ffa80,0x7fc03ff5,
    0x2a1bfae4,0x7ffdc1ff,0x3fffcaac,0xa80ffd40,0xfb9511ff,0x07fb003f,
    0xf807fea0,0x67ffdc4f,0x03fffcaa,0x2a00ffd4,0x3fee03ff,0x407ff501,
    0x01301ffb,0xcdffdb88,0x4ffccccc,0x879ffd71,0x23effdb8,0x83fffffa,
    0xb982fffd,0x0bcdffdc,0xcdffdb88,0x4ffccccc,0xf505fff7,0xffff903f,
    0x7107ffff,0x99bffb99,0x647fea17,0x201fffff,0x201fec98,0xccdffdb8,
    0x84ffcccc,0xfffffffc,0xdccb883f,0x10bccdff,0x8879ffd7,0x223effdb,
    0x443cffeb,0x003effdb,0xffffff70,0x9fffffff,0x3fffffee,0x3ffffee2,
    0xfffff52f,0x203ff203,0xfffffffd,0xffffb85f,0xffffffff,0x205df54f,
    0xfd300ef8,0x3603dfff,0xffffffff,0x21df14ff,0x01fffffa,0x807fbfee,
    0xfffffffb,0x04ffffff,0x3dffffd3,0x3fffff60,0xf74fffff,0x5c5fffff,
    0x72ffffff,0x45ffffff,0x2ffffffb,0xfffe9800,0xffffffff,0xffffd34f,
    0x7fff4c1d,0x333310ef,0xffeb8000,0x982effff,0xfffffffe,0x004fffff,
    0x01331000,0xfffffea8,0x9801efff,0x6dc40199,0x7ff4c03e,0xffffffff,
    0x4cc404ff,0x7fff5400,0x31efffff,0x41dffffd,0x0effffe9,0x1dffffd3,
    0x77ffff4c,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x01930000,0x3220ca80,0x00144002,
    0x16441950,0x072225c0,0x00000000,0x16441950,0x40001440,0xeeeeedc8,
    0x3bb2a202,0x00004eee,0x00000000,0x70005c40,0x7fd40005,0x47ff1001,
    0x3f2007fc,0x803d52ff,0x1ff23ff8,0x7ec5ff30,0x7f5c4006,0xfd5003df,
    0x3fe205df,0xfb01ff23,0x003aa5df,0x7fffffcc,0xfff983ff,0x1fffffff,
    0x001bf910,0x00006f88,0x3a600f64,0x13f6001f,0x02ffa800,0x27cc3fb0,
    0xfebdfa80,0xfd800eff,0x3a013e61,0x800fea0e,0xffffffea,0x3fff201e,
    0x3fb02fff,0xbf7027cc,0x00dffff7,0x4ccce7f4,0x7ffd43fb,0x0afe9fec,
    0x01727720,0x4003ff30,0xf71cefeb,0x17fd407f,0x037f6200,0x00ff4c00,
    0x41880000,0x00000cec,0x26000000,0xffddefff,0x2ffa81ff,0x00001fea,
    0x05f64431,0xf506f880,0xfd0fff87,0x2e801fb1,0xffa800f1,0xfffea801,
    0x0fffefff,0x0003df50,0x100037e4,0x00000017,0x00000000,0xfe880000,
    0x86ffc83f,0x01fd82fe,0x80000000,0x0c880ff9,0x8fe93fe6,0x575c00fd,
    0x7fd4004d,0x77ffcc02,0x2fffffdd,0x00003260,0x400000ea,0x22ccccb8,
    0x20bccccb,0xcb83ccca,0x9710bccc,0x99999999,0x33260999,0x9002cccc,
    0x7fdc05ff,0x7d41be64,0x33332e63,0x980bcccc,0x02cccccc,0x03dfff70,
    0x7f47ff50,0xeb800fd8,0x3fa6000c,0x7441cdff,0x7ffc43ff,0x0000000f,
    0x6665cc00,0x90bccccc,0x31ffffff,0x27ffffff,0x22fffff8,0x4ffffff9,
    0xfffffff7,0x20ffffff,0x6fffffff,0xd00dff00,0x222fd4df,0x3ff64fca,
    0xffffffff,0xffffff84,0xeffa806f,0x7cc03ffe,0x3f63fa5f,0xf7000000,
    0x8fffffff,0xffc83ffc,0xfb7103ff,0xb88017bf,0x400bdffd,0xfffffffd,
    0xffd34fff,0x7ffecbff,0x3fff21ef,0x3fff60ff,0xfffd31ef,0xffffffff,
    0x3ffff20f,0x7c401fff,0x27fb803f,0x3ffea3fc,0x3fffaa4f,0x81efffff,
    0xfffffffc,0xf717e401,0x7ff405df,0x0fd8fe8c,0xdfffd950,0x7ffec019,
    0x20fffdce,0xeffa86ff,0xfff987fe,0x301fffff,0xffffffff,0x7fff5403,
    0x41efffff,0x1ff204ff,0xc84ffff8,0x03ff507f,0x3fa01ff2,0x7d404fff,
    0x1ffa801f,0x3bfe23f9,0x3fea04fd,0x7fff4001,0x0f7cc04f,0x201bffb3,
    0xd8fffffd,0xffffa80f,0x880fffff,0x7fe40eff,0xf987ff10,0x20ffc9ff,
    0xecdffff9,0x7fcc1fff,0xfffecdff,0x03ff5001,0x3f204ff8,0x3ffffe07,
    0xfa83fe41,0x80ff701f,0x0ffdcff9,0x2007fea0,0x23f91ffa,0x409f53fc,
    0x26001ffa,0x00ffdcff,0x3aa1ffe4,0xffb701ef,0xf301fb1f,0xffdb9bff,
    0x105ff509,0x10ffd4bd,0x3fea5ffd,0x817fff11,0x3fe27ffb,0x3ffdc0bf,
    0x401ffa80,0x1ff204ff,0x46ffeff8,0x3ff507fc,0x027cdba2,0x3fea7ff2,
    0x00bfe603,0x8fe43fee,0xa813ea7f,0x3f2001ff,0x803ffa9f,0x3222effb,
    0x3fa200ff,0x01100fd8,0x1ff61bfa,0x361ffa80,0x4bfea4ff,0x3ee04ffa,
    0x409ff52f,0xfa802ffb,0x027fc01f,0x67fc0ff9,0x1ff23ffc,0x7dcd7fd4,
    0x9bfe000f,0x3fe206ff,0x327fd804,0x3ea1fb1f,0x007fea04,0x1bfe6ff8,
    0x06fff4c0,0x8fe805f9,0x32a200fd,0xb87feccd,0xff3001ff,0xf71bfee7,
    0x803ff21f,0x1ff94ff8,0x4027fc40,0x7fc01ffa,0xf81ff204,0x91fff8cf,
    0x3ffea0ff,0x5001ffff,0x0ffe47ff,0x5403ffb0,0x547f25ff,0x204fccff,
    0xf5001ffa,0x00ffe47f,0xb55fff50,0xd8fe807f,0xfffc880f,0x887fffff,
    0x21a884ff,0xfffaeff8,0xdfd3fec0,0x3fabff00,0x805ff806,0x7fc01ffa,
    0xf81ff204,0x32dff54f,0xffff507f,0x3a003fff,0x13fe20ff,0x981effa8,
    0x8bee0fff,0x207ffffc,0xfd001ffa,0x027fc41f,0x3ffff620,0x6c7f400f,
    0xffffd80f,0xd07fffff,0xffb57dff,0x7fffec1f,0x72ffd41f,0x7fd405ff,
    0x5405ff73,0xffa803ff,0x9027fc01,0xb27fc0ff,0x20ff97ff,0xffcabffa,
    0xffff9801,0x00ffffff,0x2ab3ffee,0x7d43fffc,0x01665c43,0xf3003ff5,
    0xffffffff,0xfb80401f,0xb1fd003f,0xbeffb81f,0x4c1ff661,0xfffffffe,
    0x1ffffcc6,0xf983ffe6,0xffe880ef,0x101dff31,0xf5003ffd,0x04ff803f,
    0x4ff81ff2,0x1ff7ffe2,0x7f98ffd4,0x3ff2036a,0xffffffff,0x7fffcc03,
    0xf883ffff,0x3fea0006,0xffffc801,0x03ffffff,0x03fa03f5,0x07ec7f40,
    0x3a603ff6,0x7ffdc07f,0xffe80bef,0xfffcaacf,0xadfffd83,0x6c5fffda,
    0xfdaadfff,0xff5005ff,0x206fe803,0x13fe06fe,0x20fffff7,0xe8261ffa,
    0xeefff83f,0x06ffeeee,0xdfffff98,0x000bfa01,0x7c00ffd4,0xeeeeeeff,
    0x05f906ff,0x7f400ff3,0x7fdc0fd8,0xfffdb9ac,0x3fea02cf,0x3fffee02,
    0x04ffffff,0x3ffffff6,0xfffb04ff,0x009fffff,0x3200ffd4,0x4ffb82ff,
    0x3fa13fe0,0x3ff507ff,0x3ea27fc0,0x07fee03f,0x15dfff70,0x2ffe61d4,
    0xfa803ae0,0x1ffd401f,0xf903ff70,0x9ffddddd,0xaffccb80,0x7ff43cfe,
    0xffffffff,0x3ff500ff,0x36fffe60,0x801effff,0x3effffeb,0x7ffff5c0,
    0x7fd4003e,0x77ffcc01,0x80fffdab,0x22ceffb8,0x5c47fff9,0xccccdffd,
    0xd714ffcc,0xdb8879ff,0xff503eff,0xffdfffff,0xefffb83f,0x32e20fff,
    0xbccdffdc,0x79ffd710,0x3effdb88,0x7fffffe4,0xffff804f,0x21ffffef,
    0xdfffffc9,0x2604fffe,0x5ff900ff,0x88000998,0x5440009a,0x99710009,
    0x1799bffb,0xffffff50,0x3fee05ff,0x3ee1ffff,0x7fffdc7f,0xffffffff,
    0xfffff74f,0x7fffdc5f,0xfffe82ff,0x6fffffff,0x39dffb70,0xffffffd8,
    0xff74ffff,0x7dc5ffff,0x222fffff,0x00199999,0x54caaaa2,0x026a600a,
    0xb3026400,0x00000007,0xffd80000,0xffffffff,0xffffd304,0x7ff4c01d,
    0x47fe85ff,0xffffffe9,0x34ffffff,0x41dffffd,0x0effffe9,0xa9abdea8,
    0x08802dec,0x3ffffaa0,0xd31effff,0x4c1dffff,0x00effffe,0x00000000,
    0x00000000,0x00000000,0x3fffaa00,0x01efffff,0x00004cc4,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0x00000000,0x880005cc,0x0880000b,0x000c8800,
    0x10000180,0x00220007,0x0000b880,0x00220000,0x00017100,0x00000011,
    0xfd700377,0x9ddd39ff,0x3ffb6a01,0x03deeb9d,0x20003bea,0x20001ef9,
    0x44002ffa,0xb10001ff,0xfa80009f,0x77d4000f,0x1fe98002,0x4df76d40,
    0x002dfffd,0x4000bbea,0xb3001fe9,0x8019ffff,0x402dffda,0x3a206ffb,
    0xffffffff,0x7e444fff,0xffffffff,0x3ee01fff,0xffa8001f,0x7fe44002,
    0x26000dff,0x7dc003ff,0x8001efef,0x22001ffb,0x00cffffd,0x8805ff50,
    0xffffffff,0x200dffff,0x0cffffd8,0x00bfea00,0x7fffffe4,0xfff701ff,
    0x7e40dfff,0x3fffa07f,0xffffffde,0x6fffec1d,0xffffffec,0x01ff9804,
    0x001fe980,0x3f6237fa,0x3fa2000e,0x25ff9003,0x2e001ffb,0x3a2000ef,
    0x06fd88df,0x9001efa8,0x9bfffffd,0x220bfffd,0x6fd88dfe,0x003df300,
    0x3337ffe6,0xff986fff,0x03fffcdf,0x3ee05b91,0x3fee21df,0x0effa83f,
    0x007fff44,0x20001910,0x0f6001c8,0x2e00036a,0x98197001,0x012a001d,
    0x16e0b620,0x20003260,0x7441efff,0x82d883ff,0x0193005b,0x6c0f7c40,
    0x0ffe41ff,0x0001ffd1,0x7f407ffa,0x00ffd83f,0x0001fff1,0x00000000,
    0x00000000,0x00000000,0xf0000000,0x3fe203ff,0x00000006,0x17fcc000,
    0x3fea1bfa,0x0bff0004,0x7fc1ffd4,0x807fec05,0xcefffeca,0x3ddd7100,
    0x81f7764c,0xcefffeca,0xffdb3000,0xdd71017b,0x77764c3d,0x7ff6cc03,
    0xed9800bd,0x2a00bdff,0x0cefffec,0x6406ff80,0xffb7107f,0xdd71017b,
    0x77764c3d,0x1ffb8003,0x7f40ffe2,0x4ff88006,0x3e0ffea0,0x07ff406f,
    0x7fffffd4,0xffb80fff,0x3fff61ff,0xffffa84f,0x200fffff,0xffffffd8,
    0x7ffdc2ff,0x3ffff61f,0xffffb104,0x2205ffff,0xfffffffd,0xffffa82f,
    0x400fffff,0x3fec06ff,0x7fffffcc,0x7ffdc1ff,0x3ffff61f,0xff953004,
    0x885ff88f,0xfd0007ff,0x0fff601f,0x7d40bff6,0xfff980ff,0x84ffedcd,
    0x261fffd9,0xf984fffd,0xffedcdff,0x3bfff604,0x20ffffdc,0x261fffd9,
    0xfb04fffd,0xfffb9dff,0xdfffb01f,0x81ffffb9,0xedcdfff9,0x7ffc04ff,
    0x98dff303,0xfecdffff,0x3ff661ff,0x3fff661f,0xffffe804,0xd87fe81f,
    0x77740fff,0x309ff900,0xff507fff,0x3ff2639f,0x201100ff,0x3fea06fe,
    0x2209ff01,0x2e0dfd00,0xffc80eff,0xf01ffa85,0x1dff709f,0xfb8bff90,
    0x5ffc80ef,0x0dfd0088,0x31cffff8,0x7c47fff9,0x7fdc0bff,0xf01ffa87,
    0xffff009f,0xdff701ff,0x3ffffb35,0xf1027fd4,0xffd57fff,0x3fee07ff,
    0xffffffff,0x372a200f,0x2a07fecc,0x09ff01ff,0x7666e544,0x35ffb07f,
    0xffb33333,0xf01ffa83,0x35ffb09f,0xffb33333,0x4cd7fec3,0x1ffd9999,
    0xeccdca88,0x7fffc07f,0x4fffffff,0xf7027fd4,0x01ffa85f,0x951009ff,
    0xfd01dffd,0xffffffff,0x2007fe43,0xfffffffa,0x3ee03fff,0xfeffffff,
    0xfffc880f,0x207fffff,0x9ff01ffa,0xfffff910,0x3fe0ffff,0xffffffff,
    0x7fd43fff,0xff09ff01,0xffffffff,0x7ffc7fff,0xffffffff,0x3ff223ff,
    0x07ffffff,0x7fff77fc,0xffc83fff,0x513fe200,0x13fe03ff,0x213ff200,
    0xceffffd8,0x8017fc7f,0xbeffffe8,0xdca803ff,0xb01ff92c,0xffffffff,
    0x0ffd40ff,0xffd84ff8,0x7fffffff,0xffffff88,0x4fffffff,0xff80ffd4,
    0x7ffffc44,0xffffffff,0xffffff14,0x9fffffff,0x7fffffec,0x7fc07fff,
    0x0159b954,0x3fe01bfa,0xf80ffd45,0xdff0004f,0xfe95dcc0,0x20017e66,
    0x7ff11a98,0x07fe4000,0x986fbfee,0x3fea07fd,0xfb89ff01,0x3f661bef,
    0x555ffd07,0x35555555,0xff01ffa8,0x555ffd09,0x35555555,0x55557ff4,
    0x71aaaaaa,0x6cc37dff,0x027fc07f,0x5017fdc0,0x1ffa87ff,0x20009ff0,
    0x3f2007fd,0x0003f24f,0x000ffdc0,0xfd81ff90,0x07fe980f,0x3ee0bfea,
    0x407fec4f,0xff907fe9,0x3fea0009,0xc84ffb82,0xfc8004ff,0x7fec004f,
    0x407fe980,0xf98004ff,0xffe880ef,0x5c17fd41,0x4c0104ff,0xfc9805ff,
    0x80015c6f,0x7ffb9998,0x3ff26000,0x4d67fdc1,0x2cffffdb,0xbaaeff88,
    0x2e2effff,0xfdb9acff,0x7c42cfff,0xcb9aceff,0x7fc41ffe,0xffffbaae,
    0x77ffc42e,0xffecb9ac,0x33bffe21,0x1ffecb9a,0xb7359ff7,0x1059ffff,
    0xb0003bff,0xfb55bfff,0xdff10bff,0xdffff755,0x9aacff85,0x543fffca,
    0xffffebac,0xfe880000,0x02ffffff,0xfffffb80,0x7ffff46f,0xffffffff,
    0xfffffd80,0x20ffffff,0xfffffffe,0x540fffff,0xffffffff,0xffd83fff,
    0xffffffff,0x7fffd40f,0x3fffffff,0x7fffffd4,0x3a3fffff,0xffffffff,
    0x3f60ffff,0x004fffff,0x7fffffec,0x3ff604ff,0xffffffff,0xfffff10f,
    0x889fffff,0xefffffff,0xff300001,0x005fffff,0x3fffff60,0x3ff260ff,
    0xfffedfff,0x3ffff604,0x4c5fffce,0xedfffffc,0xfb104fff,0x7bffffff,
    0x77fffec0,0xb105fffc,0xbfffffff,0x3fff6207,0x4c3dffff,0xedfffffc,
    0x3fe24fff,0x006fffff,0xeffffeb8,0xffffd803,0x4c5fffce,0xeffffffd,
    0xfffff902,0x93000007,0x80003799,0x1bccccb8,0x00026a60,0x4000d544,
    0x200009a9,0x20009aa9,0x20001aa8,0x40009aa9,0x30009aa9,0x2e600135,
    0x000bcccc,0x00026a20,0x88003551,0x26001aa9,0x00000009,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0x0088002b,0x04000040,0x10000040,0x39800000,0x75c40dc4,
    0x3bb261ee,0xeeeee83e,0x02eeeeee,0x00080000,0x777776c0,0x19801cee,
    0x4c000c00,0x0000000b,0x8800ff98,0x404efffc,0x002dffeb,0x47dffb51,
    0x0003fdb8,0x1f7ff64c,0x007f6e20,0x3fe47ff1,0xb0ffffdc,0xff09ffff,
    0xffffffff,0x0ff64c7f,0x3ffae000,0xfff8001c,0x06ffffff,0x5c027fec,
    0x01b31eff,0x009fffd3,0x6f7f6544,0x3ea00ba9,0x7ffc401f,0xc80effff,
    0x02ffffff,0x7fffffcc,0x07fff71f,0x7fffd400,0x3220efff,0x801fffff,
    0x217ea1fe,0x2a1fffd9,0xff84fffd,0xffffffff,0x3ffff13f,0x5efd4000,
    0xff8006fb,0x2effffff,0x2027fec0,0xfeffcefa,0xc8aee80f,0xfff9801f,
    0x2fffffff,0xd007fea0,0xfffb9fff,0xddfffb8b,0xff501fff,0x88bb7bff,
    0xf50003fa,0xfffb9dff,0x7ffffecb,0x0101001f,0xf881ffa8,0x702fe84f,
    0x1fc843ff,0x3f604000,0x02ffc000,0x22002600,0x2077f622,0x202f42f9,
    0xecdffff8,0x2a04ffff,0x3fe601ff,0x3a1ffe85,0x1bfe61ff,0x400fffea,
    0xfb0003fa,0x0ffe885f,0x3ff99df5,0x7d400000,0x84ff881f,0x41ffa018,
    0x880001fc,0xf8006fdc,0x0000005f,0xd07ea000,0x27ff440d,0x5027ff4c,
    0x7fdc03ff,0xf52ffa81,0x41ffb09f,0x2002fff8,0x41a803fa,0x5ff504ff,
    0x2007fea0,0x0bdffdb8,0x2207fea0,0x7c4004ff,0x003f904f,0x7ff4c053,
    0xff015104,0x10006a6b,0x3f6e2001,0x1bd00bdf,0xffa80bea,0x44ffe203,
    0xcffcaaaa,0xff50aaaa,0x325ff705,0x1ffb82ff,0x5000ffee,0x37f4407f,
    0x7fd402e6,0x803ff502,0xfffffff9,0x03ff501f,0xb8009ff1,0x03f901ff,
    0x2007fec4,0x7fd42fe8,0xffffff84,0x7f8802ff,0xfffff980,0xffb81fff,
    0xc8ae26fe,0xb1fc807f,0xffffffff,0x3e29ffff,0x3ffe61ef,0x3e20ffb0,
    0x5cdffa4f,0x81fd401b,0x4002fffb,0xff500ffe,0x7fffcc03,0x81fffecd,
    0xff881ffa,0x03ff4004,0x3fea03f9,0x27f7003f,0xf81effd8,0xffffffff,
    0x00ffd404,0xd9bffff3,0xb9103fff,0x4bffd715,0xfc8005fe,0xffffffff,
    0x3ff23fff,0x23ffffef,0x97fe06fe,0xffffddff,0x77f6dc0e,0x1bffd32d,
    0x05ffd800,0x7c407fea,0x7fdc0bff,0xb82ffa87,0x3e6004ff,0xeffec84f,
    0x3dffb13d,0x3fb37ba0,0x409fff56,0xfdabeffd,0xffc881ff,0x7fff101f,
    0x107ffb81,0x439fffd7,0x10003ff8,0x35ff7333,0xffff0133,0x6fe8dfff,
    0x7fc57fe0,0xffffffff,0x37bbbae0,0xebafffcb,0xeffe8805,0x407fea00,
    0x3ee04ffa,0x577fd42f,0x2effffba,0x903ff700,0xf77ddddd,0x37db77ff,
    0x5677ee4c,0x4ec9effd,0xffa80a88,0x77fffd45,0x409ff500,0xfd712ffb,
    0x3e2039df,0xf500003f,0xfffc803f,0x3a3fffff,0x457fe06f,0xd9aeffff,
    0x7f4c04ff,0x07ff98cf,0x0077ff44,0x7e407fea,0x13fe200f,0xfffffff5,
    0x001fffff,0x74400ffd,0xdefd8dff,0x3fee00ff,0x00bff53f,0x7fc4dff0,
    0x7fe402ef,0x753fe200,0xdfc99bef,0x001ffc42,0x201ffa80,0xb88beffa,
    0x0ffb1fff,0xfff93fe2,0x9107fe86,0x7ff45dff,0x3bffe607,0x01ffa800,
    0xbff00dfd,0xffffffa8,0x804fffcf,0xf7004ff9,0x993e27ff,0xdffe984f,
    0x00bfff10,0x7fdcff90,0x00dfd003,0xf9826bff,0x7f43fecf,0xff500005,
    0x417fe403,0x3ff73ffb,0x7f47ff50,0x81ffc81f,0x67e44ffd,0xbfff507f,
    0x80ffd400,0x3ea02ffb,0x557fd43f,0x3ee0001a,0xdffc801f,0x213ee040,
    0x5fec2fff,0x6fe8005f,0x21a81ff6,0x3ea02ffb,0x6d8f903f,0x0400ffdc,
    0xd807fea0,0x4d7fe07f,0x2ffc84ff,0x3ee03ff2,0x4c1db81f,0xff70ff6f,
    0xffa8009f,0x01dff301,0xfa83ffd1,0xfd00001f,0x00b6600f,0x33203bf2,
    0x2fc6fd40,0x5ff980a6,0x3ea07ff2,0x203bfe67,0x9f01ffe8,0x3fe61fa8,
    0x817f200e,0x7fe407f8,0x3e3ffa81,0x237fc46f,0xffe84ffa,0x2b3fa000,
    0x3fff60ff,0x1ffa8003,0x2b7fff60,0xa85fffda,0x980001ff,0x200004ff,
    0x2000dfd8,0x0efbbff8,0x5357dff1,0x7d45fff9,0xfeb99bef,0x37fff60f,
    0x05fffdaa,0xf70f91ba,0xd95359ff,0x00980dff,0x5567ffcc,0x3ee1fffc,
    0x3fffbbff,0xdbadffd8,0x3e6006ff,0xf75fffff,0x99999dff,0x332e21db,
    0x0bccdffd,0x7fffffec,0x3ff504ff,0x3ff70000,0x3fea0000,0xfffa8003,
    0x3ff64fff,0x4fffffff,0xffffffd8,0x7fec0fff,0x04ffffff,0x27e56fd4,
    0xffffffb8,0x9931efff,0x99999999,0x7ffe4199,0xd83fffff,0x05ffffff,
    0xfffffff1,0xa998003f,0xfff91ffd,0xffffffff,0x3fffff65,0xb84fffff,
    0x03effffe,0x40001fe6,0x700004e9,0x05999dff,0x3f6a6620,0x3fff221e,
    0x3202efff,0x1cffffff,0xdffffd70,0x3ffee007,0x3fb2a00c,0x7f44efff,
    0xffffffff,0x7f545fff,0x3602efff,0x4c04ffff,0x01effffd,0x53ffea00,
    0xfffffffc,0xfd53ffff,0xdfffffff,0x004d4403,0x000001a8,0xfff90000,
    0x7000dfff,0x26607fff,0x7510009a,0x2a200157,0x00300009,0x7dc03510,
    0xffffffff,0x33102fff,0x000cc001,0x000004cc,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x5edcc000,0x80000000,0x88730001,0x3797001b,0x00000000,0x2e21cc00,
    0x0001cc01,0x000001c4,0x26000018,0x5c406eec,0x36e01cc1,0x440003ee,
    0x9bdffedb,0xfffd300b,0x2e2005ff,0x7003dffe,0x03663dff,0x3f23ff88,
    0xffff8807,0x9101febd,0x1737dffd,0x77fff5c0,0x3fe203bb,0xf701ff23,
    0x3ea0001d,0xfec9800f,0x32200cef,0xd80000df,0x7dc07fff,0xf881ffc7,
    0x20004fff,0xffffffe8,0xffb03fff,0x801fffff,0xffffffea,0x33bea01e,
    0x400ffeff,0x017ea1fe,0x7ffffecc,0xffffa80c,0x984fffff,0xfffffffe,
    0x87fa01ff,0xffb805fa,0x0ffdc001,0x3ffffa20,0xea81ffff,0x0002ffef,
    0x203ffed4,0x017f45fa,0x0009ffd9,0x33bfffe6,0x884fffed,0x9ff70cff,
    0x6f7ffcc0,0x101ffffd,0x00efec45,0xd1000808,0x01ffffff,0xdbbffff1,
    0xff88bfff,0xfffeceff,0x0040402f,0x2001ff50,0xf9800efb,0xfffddfff,
    0x54ffea0e,0xc80003ff,0x0100807f,0x40013fe0,0xff703ffe,0xf83ff709,
    0x7ffd105f,0x000dff90,0x4c000000,0x5ff98adf,0xfc83ffc8,0x0e7fec5f,
    0x000bffa2,0x00322000,0xff3001d4,0x547ff907,0x0016440d,0x0003fe40,
    0x0027fc00,0x3a01ffdc,0x21ffb82f,0xff905ffa,0x41ffdc07,0xcefffeca,
    0x7ff65400,0x04000cef,0x7fd85ff9,0xff893fa0,0x803fe606,0x0bdffed9,
    0x00000000,0x7fc407fc,0xda800004,0x7fc9dfff,0x21eeeb88,0x203eeec9,
    0xfffd9cff,0x00ffd02d,0x27fee073,0xf02fffeb,0x8ffd00df,0xfffffffa,
    0xfff500ff,0x01ffffff,0xbefffeb8,0x0ffe45fe,0x3fea1da8,0xd8814c03,
    0xffffffff,0xddddb702,0xdddb7003,0x3018803d,0xeedb89ff,0xfd8801ee,
    0xffffffff,0x1ffffb87,0x813ffff6,0xffffffff,0x2ffc0dff,0x27fee000,
    0x881fffff,0xffb803ff,0x337ffe60,0xf304ffed,0xffdb9bff,0x3fffa209,
    0x46ffffff,0x00acfff9,0x0000ffdc,0xfb9dfffb,0xff881fff,0x4401ffff,
    0x01ffffff,0x43ffd300,0x1ffffff8,0xcffffd80,0x987fffff,0x3661fffd,
    0x3fe04fff,0xfffcffff,0x00ffe25f,0xd73ff700,0xfa83ffff,0x1ffa801f,
    0x06fe8044,0x837f4022,0xfcadfffd,0xffb87fff,0x981cefff,0xf70004ff,
    0xbff901df,0x3ffffd90,0xffffd900,0xffd98003,0xfffec86f,0x77fdc01f,
    0x03fff542,0x3fe03ff5,0x0bbffe04,0x3e25ffd5,0xcccc983f,0x0ffdc0ac,
    0x543fff93,0xffa801ff,0xccdca882,0x654407fe,0xa87feccd,0xffc80fff,
    0xfffea81f,0x7fc44fff,0xb0b2200f,0x333335ff,0x5403ffb3,0x7d4001ff,
    0x3fea001f,0xffa805ff,0x80fff401,0x3ea07ffb,0x409ff01f,0xff302fff,
    0xf50ffe2d,0x89ffffff,0xffa81ffb,0x200bfe63,0x3f220ffb,0x7fffffff,
    0xfffff910,0xff90ffff,0x07ffe209,0xfffeca88,0x55fffe44,0x46ffca99,
    0xffffffff,0x203fffff,0x54001ffa,0x3ea001ff,0xff5001df,0x206ff803,
    0x3ea07ff8,0x409ff01f,0x3ff407ff,0xfff989ff,0x7dc2ffff,0xf8bfd01f,
    0x47fd804f,0xfffffffd,0xfffb07ff,0x0fffffff,0x7f403ffb,0xe980220f,
    0xffffd87f,0x22ffffff,0xfffffff8,0x04ffffff,0x50007fea,0x7c4003ff,
    0x3fea000f,0x013fe201,0x7fd40ffb,0x7c09ff01,0x87fe405f,0xf33306fd,
    0x23ff709f,0x3fa3fe40,0x97fea01f,0x261beffb,0xeffb87fd,0x21ff661b,
    0x3fe02ffc,0xb803fe27,0xfffb81ff,0xe82effff,0xaaaaaaff,0x2a01aaaa,
    0x7d4001ff,0x0044001f,0xf007fea0,0x3ffc40df,0x3e03ff50,0x03ffe04f,
    0x3fee7fe8,0x5c27fc04,0x3a3fb9ff,0x0f7fcc7f,0xfb07ffcc,0x0ffd301f,
    0xfd301ffb,0x20dff50f,0x3fea5ffa,0x803ffa05,0x2009afe9,0x80004ffc,
    0x54001ffa,0x000001ff,0x6c01ffa8,0xfff702ff,0x5c17fd40,0x3ffe04ff,
    0xd8bff503,0xcb9abfff,0x36e24ffe,0xbaffdcff,0xfffb85ff,0x3fffcaac,
    0x5cd67fdc,0x22cffffd,0xdb9acffb,0x742cffff,0xfda9beff,0x3ffea0ff,
    0xfffdaace,0x805fd806,0x9acefff8,0x201ffecb,0x54001ffa,0x0cc001ff,
    0x007fea00,0x937dfff3,0x059ffffd,0xf755dff1,0xca85dfff,0xb9ceffff,
    0x7441fffe,0xffffffff,0x3ffee3ff,0xfffffcff,0xffff901f,0x3a07ffff,
    0xffffffff,0x3fa0ffff,0xffffffff,0x3fe20fff,0x3fffffff,0x7fffffcc,
    0x201fffff,0x802fdcb8,0xfffffffa,0x32a3ffff,0xccdffdcc,0x6e66542c,
    0x02cccdff,0xca813ff2,0xccdffdcc,0xffffb82c,0xffffffff,0xffffd80f,
    0x0fffffff,0xfffffff1,0x07ffffff,0x7fffff5c,0x7ff4c1cf,0xffffd8df,
    0x7fff4c02,0x3f2601ef,0xffedffff,0x7ffe4c4f,0x4fffedff,0xfffffc88,
    0xfd7bb01e,0x8019ffff,0x000ffffb,0xffffffb1,0x7ffcc7bf,0xffffffff,
    0xfffff30f,0x1fffffff,0x4c13ff60,0xffffffff,0xe980ffff,0xfddfffff,
    0x3ff605ff,0x5fffceff,0x7eefffec,0x001effff,0x800066a6,0x220009a8,
    0x54c00099,0x9a980009,0xaa988000,0x0d4cc000,0x0072e600,0x004d54c0,
    0xfffffffb,0xffd89fff,0xffffffff,0x3600cc04,0xffffffff,0x54c404ff,
    0x55100009,0xa9880003,0x00000009,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xbdedb800,0x0f7bae20,
    0x000ddcc0,0x00440000,0x01bb9800,0x540026c0,0xaa80dc43,0xaaaaaaaa,
    0xdd301aaa,0x776c000b,0x6665c404,0x222ccccc,0x2e2ccccb,0x400bcccc,
    0x0accecb8,0x1eeeedb8,0x02776d40,0x9885e440,0xfffff509,0x7ffffdc5,
    0xffffb301,0x2a001bff,0x9801befe,0x0770cffd,0x3ffff660,0x7cc00dff,
    0x3fe2000f,0x0141bf22,0x6ff98140,0xdfff5000,0xfffffc80,0xf90fffff,
    0xf31fffff,0x407fffff,0xfffffffb,0x7ffffc47,0x7fffc01f,0x5ffe8005,
    0x3f627ffb,0x3f660dff,0xff980dff,0x1df9511b,0xfffffc80,0x767f403f,
    0x9804feff,0xf9511bff,0x0ffd401d,0xfb83fa00,0x05000504,0x2001bfe6,
    0x406ffff8,0xffffffe9,0x3ffa65ff,0x3fff65ff,0xfff301ef,0x90dfffff,
    0x803ffddd,0x8005ffeb,0x5ff95ffe,0xf980ffe8,0x01bf305f,0xf98077c4,
    0x0fffddff,0x3efa82a0,0x200df980,0xff500ef8,0x80200003,0x00028002,
    0xdffff900,0x80ffb000,0x1ff204ff,0x9885ff90,0x00ffd400,0x98005fe8,
    0x83ff50cc,0xffd84ffa,0x75c4df01,0x06f88ddf,0x2fcc3ff7,0x3be00000,
    0x0adeeed8,0xfeda8df1,0x1ceeeeef,0x000a0000,0x2200000a,0x006feeff,
    0x7fc07fd8,0xb01ff204,0x7d4000ff,0x0bfd001f,0x03fe6000,0xff983ffa,
    0x3e23f505,0xf52feccf,0x800ff903,0xfec9eed9,0x47ea01df,0x24fdcdfb,
    0x3fffe1fa,0x6fffffff,0x3ddddb70,0x21400140,0x01eeeedb,0x3fabff60,
    0x07fd8006,0xff9027fc,0xdfffd910,0x50019ddd,0x3fa003ff,0x0b7bb6e5,
    0xf983fc40,0x407ff64f,0x5f11ee6c,0x3fee0fe2,0x3fffa000,0x3fffffff,
    0x2e2f8d90,0xfeb8fe27,0xefffffff,0xfffff882,0x2000a01f,0x3ffffe22,
    0xbff5001f,0x36001bfa,0x027fc07f,0xfff90ff9,0x9fffffff,0x003ff500,
    0x7ffd57fa,0x1fe007ff,0xff98ffd8,0x84e93a05,0x3ea22f40,0xeb8009bf,
    0xfeceffff,0xaf89d06f,0x42f46ea8,0x64001ffa,0x201ffffe,0x76428002,
    0xd001ffff,0x01bfa3ff,0xff01ff60,0x4c3fe409,0xfffffffd,0xffa801df,
    0x2abfd001,0x003effff,0xdff9817a,0x4fe01ffd,0x26c802f8,0xfffffffe,
    0x2fffa806,0x1fc0ffd4,0x907bfffe,0x003ff50d,0x500ffd40,0x7d405000,
    0x4ffb801f,0x802a1bfa,0x27fc07fd,0xfd80ff90,0x3fea0007,0xf5bfd001,
    0x50001bff,0xffffd803,0x07d2ec05,0x3ffe29d0,0x807fffff,0xff882ffa,
    0x567c5d83,0x542740fe,0x2a0001ff,0x000a01ff,0x01ffa80a,0xfd07ffc4,
    0x3606fa8d,0x027fc07f,0x7fd80ff9,0x07fea000,0x7fffff40,0x02eea804,
    0x0ffffcc0,0x40fb9ae0,0x5445f11a,0x00abffda,0xf881ffa8,0x97c6b84f,
    0x20be26e8,0x20001ffa,0x00a01ffa,0x1ffa80a0,0x556ffe40,0x3f20efea,
    0xf01ff607,0x03fe409f,0xa8001ff6,0xffd001ff,0x3fa009ff,0xffd8006f,
    0xd12f9805,0x2e5fd9bf,0x01ff900f,0x440ffd40,0x8af984ff,0x3df13efd,
    0x3ff501f7,0x0ffd4000,0x40500050,0x7fc01ffa,0xffffffff,0x6c0ff91f,
    0x037f406f,0x7fd80dfd,0x07fea000,0x7fffff40,0x04ffd803,0x001ffe80,
    0x5ee4c1fd,0x7f40bf51,0x0ffd4007,0xfe827fc4,0x32a2ccc9,0x5ff505fb,
    0xff500a20,0x14001403,0xf803ff50,0xffffffff,0x01ff91ff,0xfc809ff3,
    0x04ffb82f,0x50003fec,0x3fa003ff,0x804fffbe,0xffa80019,0x0bfa2005,
    0x3e605fa8,0xa81b705f,0x4ff881ff,0x5405fd10,0x5f7fc05f,0x03ffedb9,
    0x02807fea,0x3fea0280,0x4ccccc01,0x320efe99,0xfcabdfff,0x7fcc01ff,
    0xfffdabef,0x003fec00,0x2003ff50,0x9fff35fe,0x4cc40000,0x44001ffe,
    0xeca9bdfe,0xfff9105f,0xff99999d,0x16ffed47,0x205dff71,0xca9bdfe8,
    0xffb805fe,0x2fffffff,0x3ff7332a,0x00a2cccd,0xdccca8a0,0x02cccdff,
    0x1fffe5c4,0xfffffff5,0x3ea005ff,0x2fffffff,0x9ffd9930,0x32a07999,
    0xccdffdcc,0x2ffe4c2c,0x059dfff3,0x3fffa200,0x4003ffff,0xdffffdb8,
    0x3fffee02,0xffffffff,0xffffff32,0x3fffff21,0xfffb7100,0x362005bf,
    0x0cffffff,0x3fffffe6,0x50ffffff,0x3fe65000,0xffffffff,0x3fee00ff,
    0x2e22ffff,0x01dffffe,0x7ffff4c0,0x3fffe00e,0x2fffffff,0x7fffffcc,
    0x20ffffff,0x3e65ffff,0x000fffff,0xffffff98,0x4c0005ff,0xfffd3001,
    0x7dffffff,0x25ffffd8,0x004fffe9,0x98800066,0x3ff6009a,0xffffffff,
    0x2aaaaae4,0x3aaaaaaa,0x3ffffff6,0x4c04ffff,0x00dffffe,0x10000331,
    0xff900133,0xbfffffff,0xfffffb01,0xc8bfffff,0x3f625fff,0x20005fff,
    0xbcccccca,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x33332600,0x873332e3,0xccccccb8,
    0x332a00ab,0x2cccb83c,0x6666665c,0x000002bc,0x99999930,0x20000005,
    0xccccccb8,0x000002bc,0x3ccccb88,0x1e6665c4,0xcccccb88,0x24cccccc,
    0xccccccb8,0x5c4ccccc,0x1bcccccc,0x1566cc00,0x003bbb22,0x3fffff60,
    0x5fffff99,0x3fffffee,0xfa82ffff,0x3ee3ffff,0xff31ffff,0xffffffff,
    0xc880003d,0xfffff82f,0xcfb806ff,0xfff70000,0xdfffffff,0x3e600003,
    0x3ffffee6,0x3fffee2f,0xfffb82ff,0xffffffff,0x3fffee7f,0xffffffff,
    0x3ffffea7,0xd1005fff,0x645fffff,0x8001ffff,0x365ffffa,0x3a62ffff,
    0xffffffff,0x7ff444ff,0x3ffe61ff,0xfffb10ef,0xffffffff,0xff910003,
    0xffff90bf,0xfe803fff,0xe98003ff,0xffffffff,0xb9800fff,0xffabdffd,
    0xffffd10f,0x7fff4c1b,0xffe980ef,0xffffffee,0x3fffa67f,0xffffffff,
    0x3ffff627,0xf9002eff,0x4c3fffff,0x0001ffed,0xff101ff7,0x7313fe07,
    0xff505fff,0x205ffd0d,0x7e4c2ff9,0x7fdc006f,0x7f400eff,0x74c04fff,
    0x8002ffff,0x7ed41ffb,0x7ffd405f,0x3fffffff,0x2e02ffb8,0xcfc803ff,
    0x43fec6fe,0xff901ffa,0x3337ff30,0x29ff1003,0x3ff700c8,0x03fee000,
    0x7fc0ffe2,0x20dff504,0x3fee3ffd,0x40bfe604,0xea800ffd,0x9802efff,
    0x00ffdcff,0x1effffa8,0x407fee00,0x3fee06fe,0xffffcdff,0x40bff105,
    0xff800ffe,0x3fec6fe9,0xfb80ffd4,0xfffff987,0xf502ffff,0x3fee005f,
    0x1ff70001,0x3e07ff10,0x07ff204f,0x3e67ffe2,0x3fe600ef,0x403ff702,
    0x03ffffe9,0x3ea7ff20,0x3fee003f,0xfb801dff,0x20dfd01f,0xf30aeff9,
    0x3601ffff,0x4ff980ff,0xdfd7f980,0x50bf7371,0x4dba23ff,0xffff984f,
    0x83ffffff,0xf7006ff8,0x3bfffb7f,0x99affb80,0xf03ffa99,0x1ffcc09f,
    0xffeeffa8,0x417fcc01,0xfb107ff8,0x80019fff,0x01bfe6ff,0x9ffff910,
    0x20ffdc01,0xf904ffd8,0x6fffcc5f,0x9ff304ff,0x7003ffb0,0x3f3bfabf,
    0xffa80a8e,0x400ffb9a,0x7d442ff9,0x07ffb06f,0xffffff70,0x7dc05fff,
    0xffffffff,0x409ff03f,0x3f204ff8,0xf9804fff,0x3ffae62f,0x7fffe445,
    0xffa8000d,0x0007ff23,0x0fffff66,0x76e6ffdc,0xfd00efff,0xfa7ffc4d,
    0x11ffa06f,0x3fa00bff,0x0fffffd2,0xffffffa8,0x17fcc01f,0x7cc0ffc8,
    0x85950fff,0xeceffffb,0x3fee07ff,0xffffffff,0xf809ff03,0xffdc984f,
    0x2601ccff,0xffffffff,0x7fff40ef,0x3fa0004f,0x013fe20f,0x5ffffd80,
    0xffffffb8,0xff100eff,0xe93ffa29,0x8bfee06f,0xf8802ffb,0xfffffd0f,
    0xfffffa80,0x7fcc01ff,0x4c1ff702,0xff6fffff,0x17ffdc3f,0x7dc07fee,
    0xfcccccdf,0x409ff03f,0xcc983ff8,0x01ccdffd,0x3fffffe6,0xff700cff,
    0x98003dff,0xffffffff,0x74c000ff,0xf702ffff,0x7fffffff,0xfe8ffe80,
    0x813fe65f,0x1ffa6ff8,0x7ffffd40,0x5407fdef,0x1ffcabff,0x4417fcc0,
    0x5ffe46ff,0x1fffdffc,0x3e607fee,0x01ff703f,0x3fe07ff1,0x00bfea04,
    0x26003ff5,0x0acccdff,0xffffc880,0xfff9000d,0x7fffffff,0x3fff6600,
    0x0ffdc03f,0x6405fff9,0x225fffff,0x7e402ffe,0x003ffa9f,0xdffffffb,
    0xffa807d3,0x06d4ff31,0x33337fe6,0x7f43fffd,0x3ffffd15,0xf881ffb8,
    0x01ff703f,0x3fe07ff1,0x203ff604,0xeeffeeea,0x0bfe602e,0xfffb1000,
    0xfff8019f,0xffeeeeee,0x7ffe4406,0xffb800cf,0x80fffd41,0xbafffff8,
    0x9805fffe,0x00ffdcff,0xfd335ff0,0xfa81db0d,0x3fe8261f,0x7fffffcc,
    0x5ff82fff,0x2e1bffe6,0x3ff881ff,0xf101ff70,0x413fe07f,0x55105ffd,
    0x01559ff9,0x00017fcc,0x3ffffe98,0x5c07ff50,0xfff701ff,0x7dc003bf,
    0x06ffa81f,0xffffffd1,0x74009fff,0x5005ffff,0x446fe8ff,0x0ffd42ff,
    0xff989ff0,0x009abccd,0xff759ffd,0x1ffb87df,0xdb83ff88,0x3f2a2dff,
    0x3fee23ef,0xfffeccce,0x3f72a00f,0x36a02cdf,0x00bccdff,0x7fff5400,
    0x9ffd711e,0xeffdb887,0x3bfffe63,0x3f6e2002,0x7fe41bdf,0x777ff43d,
    0x003dffff,0x00ffffd4,0x64df7f5c,0xfccccfff,0xbffb713f,0xff999999,
    0x66ffed49,0x7fcc00bc,0xffffffff,0x2207fee2,0x7ffcc3ff,0xfff99fff,
    0xfff71fff,0xdfffffff,0x7fffcc03,0xf981ffff,0x5fffffff,0xfff70000,
    0x3ffffeeb,0x3fffee2f,0x5fffd2ff,0xffff7000,0xfffd0dff,0xa897fea3,
    0x7ffc0001,0xffffa806,0xffffffff,0xff73ffff,0xffffffff,0x3fe69fff,
    0x05ffffff,0xdffffea8,0xffb70dff,0x77fe4c5b,0x3ffff623,0x37ffff65,
    0xfffffd30,0xb10079df,0x0bffffff,0x3fffff62,0x200002ef,0xffd32ec8,
    0x7f4c1dff,0x7d50efff,0x7ff4c000,0xff983eff,0x0001760d,0x401ffe40,
    0xfbdfffe8,0xffffffff,0xffffd33f,0xffffffff,0x3ffff629,0x26002eff,
    0xfff300aa,0x7fffcfff,0x000002ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x22000000,0x324ffffd,0x000dffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x99999930,0xcb839999,0x665c43cc,
    0x1e665c3c,0x50f332e2,0x4c179999,0x542ccccc,0x2ccccccc,0x66665c40,
    0xcccccccc,0x99999992,0x27999999,0xccccccb8,0x00000acc,0xcccccb98,
    0x9710bccc,0x2e639999,0xcca83ccc,0x3332a02c,0x66665c42,0x2a00abcc,
    0xccb83ccc,0x2ec00bcc,0xf73ccb80,0xffffffff,0x7fffd47f,0x3fffee2f,
    0xfffff51f,0x7ffffdc5,0xffffff11,0x7ffffec9,0x3ffffe0f,0x7e407fff,
    0xffffffff,0xfff3ffff,0xffffffff,0x3ffeebff,0xffffffff,0xb01ba002,
    0xffffffff,0x3ffee9ff,0xfffb5fff,0x7ffc43ff,0x3fffa06f,0x3fffee0f,
    0x82ffffff,0x22fffff8,0x4ffffff9,0x2007fe60,0xfff71fff,0x7fffffff,
    0x237ffec4,0x225ffff9,0x260efffd,0x7ec5ffff,0x3aa2efff,0x7e45ffff,
    0x04ffffff,0x7fffff4c,0x3fffffff,0xffffffff,0x26bfffff,0xfffffffe,
    0x9801ffff,0x3faa01ff,0xefffffff,0xdffffd31,0x37fffee5,0x17fffec0,
    0x22ffffd4,0xffffffe9,0xfc84ffff,0x3f60ffff,0x5c01efff,0x25ff9803,
    0x7fd40ffb,0x85ffa80e,0xff701ffe,0x17ff441d,0xfd805ff8,0x0037f406,
    0xf8807fdc,0x7d4bff3f,0xf717fa1f,0x5ffb981f,0x001ffa80,0xf7007fea,
    0x7ffec41f,0x1bfffa01,0xf81bfffa,0x7ffdcc5f,0x09ffff02,0x80000ff9,
    0x3fee1ffb,0x807ffe20,0x3ff23ffd,0xd2ffe404,0x37f409ff,0x2ff45dd5,
    0x2001bfa0,0x3fe00ffb,0x7fd4bff3,0xff717fa1,0x201ff601,0x2a001ffa,
    0x7fdc01ff,0x01dffd10,0x21ffffe8,0x206ffff9,0xdff505ff,0x07ffffe0,
    0x80000ff9,0x23fd45fe,0x7c403ffe,0x06ff98ff,0xff99ffb0,0x3a7fd80b,
    0x013fe5ff,0xf7000dfd,0xfd97e61f,0x7fd4bfd1,0xff717fa1,0x00dff101,
    0x54003ff5,0x7fdc01ff,0x00dfff98,0x25ffffe8,0x206ffffd,0x3ff205ff,
    0x6ffeff81,0x00003fe4,0x45703ff1,0xf5004ffd,0x003ffddf,0x3bffffa2,
    0xf8bfe400,0x3ff88fff,0x40037f40,0x7fc99ffb,0xffa8bf20,0xff70ff21,
    0xffd93335,0x03ff5009,0x200ffd40,0x4fffbffb,0x3f77fa00,0xfddff89f,
    0x33bff306,0xf83ff981,0x323ffccf,0x7777547f,0xeeeeeeee,0xf7009f52,
    0xffc800df,0x7cc004ff,0xfb800fff,0xbffffb8f,0x7f403ff9,0xfffb8006,
    0x0200ffff,0xb8083ff5,0xffffffff,0xeeeda86f,0xdeeeeffe,0x803ff501,
    0x2ffffffb,0x3e77fa00,0xfd9ffccf,0x7ffffcc6,0x27fc2fff,0x7ffc67fc,
    0xffe8ff91,0xffffffff,0x801f75ff,0x4000fff9,0x8006fff8,0x800ffff9,
    0xfffe9ffa,0x402ffadf,0xfb8006fe,0x00ffffff,0x2007fea0,0xfffffffb,
    0x7ff42fff,0xffffffff,0x3ff505ff,0xfffffb80,0xbfd002ff,0x6dbffffa,
    0x7fffcc6f,0x7fc3ffff,0xff54ff84,0xdd51ff2d,0xdddddddd,0x220043bd,
    0x004c2fff,0x20017fd4,0x0effffe8,0x7fe7fcc0,0x1ffcffdc,0xd8837f40,
    0xdabffb84,0x3ea000ff,0xbffb801f,0xffffdbaa,0x3bbbb6a2,0x1deeeeff,
    0xb803ff50,0xfffbafff,0xf55fe802,0x1bf65fff,0x2abbfea6,0x7c27fc42,
    0x32fff64f,0x0000007f,0x3ea27fec,0x01ffa805,0x7e67fec0,0x7ffc405f,
    0xffffa9ff,0x837f400f,0x7fdc0ffa,0xa800df50,0xffb801ff,0x80dff500,
    0x2a001ffa,0x7fdc01ff,0x003ffe61,0x3fff4bfd,0x2ffc0dfb,0xff05ff50,
    0x7efffc49,0x20000007,0x7fc85ffc,0x001ffa80,0xffe9bff2,0x3ffffc04,
    0xd00fffff,0x07fee0df,0x004c1ff7,0x2007fea0,0x3f600ffb,0x07fea00f,
    0x401ffa80,0x7fdc0ffb,0xf72ff403,0xf037ec7f,0x07fec0bf,0x3fee27fc,
    0x400007ff,0x3fea1eea,0x807fc80e,0xf5001ffa,0x7ff441df,0x93fffe02,
    0xe806fffd,0x83ff706f,0x40000ffb,0xfb801ffa,0x01ff600f,0x54003ff5,
    0x7fdc01ff,0x200ffe80,0x360cc5fe,0x417fe06f,0x9ff05ffc,0x00ffffd0,
    0x3ffa0132,0x3337ffe5,0x307feccc,0x79bffb97,0xbfff7101,0x5fffec41,
    0x22fffe80,0x9305fffa,0x9999fff9,0x2e23ffb9,0x0bcccffe,0xffdcb980,
    0x6dc40bcd,0xeccccdff,0x7d405fff,0x332e201f,0x0bccdffd,0x37bffb71,
    0x20e6ffd4,0xb83cfffb,0x5c43ffec,0xfeccceff,0x7dc40fff,0x3fe62cef,
    0x1ff9807f,0xff27fec0,0xffffffff,0x3fff60ff,0xc85fffff,0x365fffff,
    0xd84fffff,0x4fff87ff,0xfffffff0,0x3fffffff,0x3ffffff2,0xffe803ff,
    0x44ffffff,0xfffffffb,0x00ffffff,0xfb007fcc,0xffffffff,0x3fffee9f,
    0x7fff45ff,0x3ffffea6,0x3fffea2f,0x3ffee2ff,0xefffffff,0xfffffb81,
    0x01ffee1f,0x41a80264,0xffffffff,0xfd707fff,0x05dfffff,0x45dfffd3,
    0x81efffea,0xffd85ffc,0xfffff903,0xffffffff,0x3ffffa63,0xfb801eff,
    0x2effffff,0x7fffff4c,0x00beffff,0xfea80bd0,0xefffffff,0xdffffd31,
    0x23fffa87,0x0effffd8,0x3bffffa2,0x3ffffa60,0x2603ceff,0xe85ffffe,
    0x0000007f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x775c4000,0x3bbb261e,0xd9000003,0x00174c03,0xeeed9800,0x3bbb6a2d,
    0x37bb261d,0x873bb6a2,0xeeeeeeea,0x3b6a2eee,0xeeda81ce,0x2e20101c,
    0xfd51effd,0xfdb8803d,0x32a00bdf,0x00cefffe,0xcfffed98,0x7ff5c04b,
    0x4c03bbef,0x00bdffed,0x2a5dddb3,0x3ee0befd,0x3ff61fff,0xeed984ff,
    0x01dffec9,0x3ffafffe,0x6dc6ffbe,0xc8dffbde,0xffe82dff,0x3ffe7fff,
    0x3ffa6fff,0x3fffe7ff,0x3fffee5f,0x23ffffff,0xf86fffff,0x9716ffff,
    0x3fffa0dd,0xffffdfff,0xffff302f,0xf503ffff,0xffffffff,0x7fffdc01,
    0x981fffff,0xfffffffe,0xffd881ff,0x82ffffff,0xfdcffffe,0x3665ffff,
    0x3f661fff,0xfffe84ff,0x3fffffff,0xffffff90,0x7d47ffff,0xffffffff,
    0x540fffff,0x323efffe,0x2a2efffe,0x3f24fffe,0x3fee2eff,0xffffffff,
    0x4bbffee2,0x5dffd719,0x6c1bffee,0xffffddff,0x4c0fffdf,0xfecdffff,
    0x7ffcc1ff,0x04ffedcd,0x3b33bffe,0x7fc42fff,0xfffeceff,0xefffd82f,
    0x40ffffdc,0xffffffea,0xfa87fedf,0x709ff01f,0xd9dffffd,0x7fec0dff,
    0x44fffddf,0xedffffd8,0x3ffcefff,0xf705ff90,0x3ff6207f,0x85fffa9f,
    0x3fea0ffa,0x71ffb83f,0x0bfea5ff,0x5c081be1,0x9ff51fff,0x205fffc4,
    0x00887ffb,0x3fea0dfd,0x6c1ff982,0x7f441cff,0x077fdc2f,0xf982ffe4,
    0x06a0dfff,0x7fc07fea,0x85fff504,0xffd01ffa,0xd82ffcc1,0x1dff32ff,
    0x7fc41bf6,0xc807fe86,0x04ffffff,0x7ffd49b1,0x3a7ff302,0x01ff95ff,
    0xcca881be,0xf999dffd,0x813fea7f,0xca882ffb,0x107feccd,0x2157bfff,
    0x037fc419,0xffd81ff3,0xd999999a,0xfff981ff,0x07fea003,0xffa827fc,
    0x883ff882,0x07fd84ff,0x17fccdfb,0x7fe40ffb,0x400ffea2,0x002ffffb,
    0xf00bffea,0x1ffff3bf,0x437c0ffd,0xffffffc8,0xffffffff,0x4401ff90,
    0x3ff224ff,0x07ffffff,0x3ffffff2,0x03ffa83f,0x7fffc14c,0xffffffff,
    0x03ff983f,0xf80ffd40,0x03ff504f,0xff109ff1,0x360ff909,0xd8bfe66f,
    0x9bfe207f,0xfb000ffe,0x2a009fff,0xfd802fff,0xfcffffcf,0xf11be05f,
    0xffffffff,0x3fffffff,0x3fe01bfa,0x3fffff65,0x5407ffff,0xeffffffd,
    0x0007fee0,0x3fffffe2,0x4fffffff,0x4002ff98,0x9ff01ffa,0x2207fea0,
    0x8ffd04ff,0xdfb05ff8,0xffb17fcc,0xfaaffc80,0xffe8804f,0x5405fffe,
    0xf7002fff,0xfffddfff,0x2a37c07f,0xff709dff,0x1555555b,0xfa80bfee,
    0x37dff73f,0x2883fecc,0x27fedcc4,0x20009ff3,0xaaaaaffe,0x981aaaaa,
    0x7d4002ff,0x04ffb82f,0xff103ff5,0x2fbff209,0xfb04fffb,0xfb17fccd,
    0xeeff880f,0x7f4400ff,0xeffe88ef,0x42fffa80,0xfff982fb,0x1ffffbbf,
    0x6f7ff6cc,0x7dc2ffa9,0xeff9806f,0xb1ffe880,0xffd301ff,0xfe80ffa0,
    0x803ffe26,0x27fe42c8,0x05ff3000,0xaaeff880,0x82effffb,0xff881ffa,
    0xfffffa84,0xd81fffff,0xd8bfe66f,0xfffc807f,0x7ffdc04f,0x3bffee2f,
    0x33bffea3,0xf05feccc,0xfff11fff,0xddddb30f,0x57dff13b,0x73bffffb,
    0xfffd8dfb,0x5fffdaad,0x2e6b3fee,0x42cffffd,0xba9adfff,0x7fe44ffd,
    0xfca99abf,0x77ffc46f,0xffecb9ac,0xbffb9711,0xd8037999,0xffffffff,
    0x3f6a0fff,0x3fee22df,0x7f7ffc2e,0x46ffefff,0xff33fffb,0x02fff63b,
    0x00ffff88,0x9fffffea,0xb1ffffff,0xffffffff,0x3ff60dff,0x0017ff65,
    0x7fffffdc,0xffffffff,0x7fffec0f,0xfe84ffff,0xffffffff,0x3ffe0fff,
    0xffffffff,0xfffffd80,0xa82fffff,0xffffffff,0xfff73fff,0xdfffffff,
    0xdffffb00,0x7ccbfff9,0xf90fffff,0x7f41ffff,0x3f213513,0x3ffffea5,
    0xfb6fff9a,0xffd807ff,0x7ffec404,0x3ffff24f,0xfffffb0d,0x20dfffff,
    0x3fe62ffb,0x3fee0003,0xffddedff,0xfd701cff,0x2607dfff,0xedfffffc,
    0x6fdc4fff,0x0dffffff,0x3ffffee0,0x36202eff,0xdfffffff,0x3ffffa63,
    0x003effff,0x36003551,0x3a65ffff,0x80084fff,0x6fffec40,0xfb3fff98,
    0x000001df,0x00000000,0x4c000000,0x001a880a,0x980026a2,0x9880009a,
    0x260009aa,0x40009aaa,0x00009aa9,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40002010,0x8826403c,
    0x0040004d,0x00000110,0x77644022,0xeeeeeeee,0x80104eee,0xaaaaaaa8,
    0x2e0aaaaa,0x07ffe5ff,0x025c0004,0x002e2171,0x81b88730,0x99999998,
    0x09999999,0x6eeeeed4,0x2602dddd,0xfb9f442e,0x20017d42,0xff300ff9,
    0x07ff441d,0x503bffb7,0x44039ffd,0xffea805e,0x9ffb301c,0xfffffa83,
    0xffffffff,0x3fffa66f,0x7fffcc1d,0xffffffff,0x49ff51ff,0x7ecc0ffe,
    0x6e81983f,0x3ea3fd30,0x12eea80e,0x23fdc5ff,0xfffffffd,0xffffffff,
    0x3fffee5f,0x03ffffff,0x7fcc1ff5,0x7447fd11,0x3fea004f,0x237ffa01,
    0x3e65ffe8,0x7d46ebbe,0x3606fcbe,0x3fee04ff,0x7cc2ffcc,0x220fffff,
    0xeeeeeeec,0x26ffeeee,0x46ebbcda,0xfffffff9,0x0fffffff,0x3fec7ff3,
    0x37ffffee,0xfe81ff50,0x2e17fd45,0x37ff41ff,0x22fd43fd,0xfffffffe,
    0xffffffff,0x33332a6f,0x82cccccc,0x3fea1ffb,0xd127fc41,0x546a20bf,
    0xe88531ff,0x85ffedff,0x1d70fe40,0x7fe40fe4,0x86f882ff,0x4467e46e,
    0x740003fd,0xfdab986f,0x4ccccc41,0x09999999,0x6fc8bfe2,0x3fefffe2,
    0x267ffbef,0xdf31fdcb,0xc87fe603,0x404044ff,0xaaaaaaa8,0xaaaaaaaa,
    0xfb00000a,0x817fe43f,0xfd10dff9,0xdeffd81d,0x43fffdff,0x05ffffe8,
    0x301bf722,0xffff50ff,0x82fa83ff,0x41ff11fb,0x740006f9,0x3fffaa6f,
    0x800001ff,0x897ea1ff,0xfffb11ff,0x7ffdc5ff,0x8801930f,0x0000cc0c,
    0x00000000,0xfd87ffa2,0x77fcc02f,0x5c3dfd10,0xffffffff,0xfff882ff,
    0x3ffa600f,0x30bfea05,0xfff53fff,0x7ec27c41,0x5fa87fa0,0x8b7f4000,
    0x1fc98aef,0x55555544,0x40aaaaaa,0x113e60fe,0x03dff901,0x00003993,
    0x00000000,0xffd80000,0x4017ff24,0x3ff64ffd,0x7fff5cc5,0xfe880bef,
    0x4400dfff,0x1efc83fd,0xf717ffc4,0xaadfc8df,0x577dc3fd,0x40002fea,
    0x539f36fe,0x3e617ff9,0xffffffff,0x321fffff,0x20017c46,0x99930000,
    0x99999999,0x00399999,0x00000000,0x323ffd80,0x7fec04ff,0xc813ff23,
    0xd103ffff,0x0bffdbff,0x7f4c9f50,0x84ffc80d,0x3ae24ffd,0xff883eff,
    0x80006fff,0x3fff25fd,0xff33ffef,0xffffffff,0x8081ffff,0x20000000,
    0xfffffffe,0xffffffff,0x0000006f,0xfb800000,0x413fea3f,0x3ff21ffd,
    0x3fbfea02,0x5ffe81ff,0x764bffd1,0x3e0ffdcd,0x91eeeeff,0x81fec0bf,
    0x2dda8009,0x05d50000,0x4cc40133,0x99999999,0x00000019,0xfffd7000,
    0xffffffff,0x0007dfff,0x00000000,0xe993fa60,0x906fec4f,0xffe801df,
    0x7cc5ffa9,0x87ff445f,0x41defdc9,0x1eeeeeee,0x00002002,0x00000000,
    0x00000000,0x00000000,0x00000000,0x10000000,0x73fd85fb,0x004fa89f,
    0x437e47ff,0x000f204c,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x18854054,0x40c40030,0x00000009,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__courier_bold_30_latin1_x[224]={ 0,5,3,1,2,2,2,6,6,3,2,1,5,2,
5,2,2,2,1,1,1,1,2,1,2,2,5,5,-1,0,1,2,2,-1,0,0,0,0,1,0,0,2,1,0,
0,-1,-1,0,1,0,0,1,1,0,-1,-1,0,0,1,6,2,3,2,-2,5,1,-1,1,0,0,1,0,0,1,
2,0,1,-1,0,1,-1,0,1,1,1,0,0,-1,0,0,2,4,6,4,1,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,5,2,0,1,0,
6,1,3,-1,3,0,-1,2,-1,-2,3,1,3,4,5,0,1,5,5,4,3,1,0,-2,0,2,-1,-1,-1,-1,
-1,-1,-1,0,0,0,0,0,2,2,2,2,-1,-1,0,0,0,0,0,2,0,0,0,0,0,0,1,0,1,1,
1,1,1,1,-1,1,0,0,0,0,1,1,1,1,1,0,1,1,1,1,1,1,0,0,0,0,0,0,-1,0,
 };
static signed short stb__courier_bold_30_latin1_y[224]={ 22,4,6,3,3,5,7,5,4,4,5,6,18,13,
18,3,4,4,4,4,5,5,4,5,4,4,10,10,6,10,6,5,4,6,6,5,6,6,6,5,6,6,6,6,
6,6,6,5,6,5,6,5,6,6,6,6,6,6,6,5,3,5,4,27,4,9,5,9,5,9,5,9,5,5,
5,5,5,9,9,9,9,9,9,9,6,10,10,10,10,10,10,5,5,5,11,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,22,10,3,5,8,6,
5,5,5,6,4,10,13,13,6,1,2,3,4,4,4,10,5,11,21,4,4,10,4,4,4,10,0,0,0,1,
1,-1,6,5,0,0,0,1,0,0,0,1,6,1,0,0,0,1,1,9,4,0,0,0,1,0,6,5,4,4,
4,5,5,3,9,9,4,4,4,5,4,4,4,5,5,5,4,4,4,5,5,7,8,4,4,4,5,4,5,5,
 };
static unsigned short stb__courier_bold_30_latin1_w[224]={ 0,5,10,14,12,12,13,4,7,7,12,14,6,12,
5,12,12,12,13,14,13,14,13,13,12,13,5,7,16,16,16,12,12,18,16,16,15,15,15,16,16,12,16,17,
16,18,17,16,15,16,17,14,14,16,18,18,16,16,14,7,12,7,12,20,6,15,17,15,17,15,15,16,16,14,
11,16,14,18,16,14,17,17,15,14,15,16,16,17,16,16,12,8,4,8,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,0,5,12,15,14,16,
4,14,10,17,10,15,16,12,17,20,10,14,9,8,6,16,14,5,6,8,10,15,16,19,16,12,18,18,18,18,
18,18,18,16,15,15,15,15,12,12,12,12,16,17,16,16,16,16,16,12,16,16,16,16,16,16,15,15,15,15,
15,15,15,15,18,15,15,15,15,15,14,14,14,14,14,16,14,14,14,14,14,14,16,16,16,16,16,16,17,16,
 };
static unsigned short stb__courier_bold_30_latin1_h[224]={ 0,19,8,22,23,18,16,9,23,23,12,16,9,3,
5,23,19,18,18,19,17,18,19,18,19,19,13,15,16,9,16,18,21,16,16,18,16,16,16,18,16,16,17,16,
16,16,16,18,16,21,16,18,16,17,16,16,16,16,16,22,22,22,10,3,5,14,18,14,18,14,17,19,17,17,
23,17,17,13,13,14,19,19,13,14,17,13,12,12,12,18,12,22,22,22,7,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,18,20,17,13,16,
22,20,4,17,9,12,9,3,17,4,9,19,10,10,5,18,20,5,6,10,9,12,18,18,18,18,22,22,22,21,
21,23,16,22,22,22,22,21,22,22,22,21,16,21,23,23,23,22,22,11,20,23,23,23,22,22,16,18,19,19,
19,18,18,20,14,18,19,19,19,18,18,18,18,17,18,17,19,19,19,18,18,15,16,19,19,19,18,24,23,23,
 };
static unsigned short stb__courier_bold_30_latin1_s[224]={ 228,244,158,228,105,226,242,250,186,97,33,
134,249,243,205,84,29,87,73,216,148,183,42,132,16,231,244,245,84,141,120,
175,101,101,117,239,35,210,86,1,18,149,162,162,69,180,216,34,68,84,137,
98,102,179,172,50,33,16,1,36,243,135,78,191,198,35,238,66,203,82,196,
1,1,133,53,227,212,163,131,20,166,18,98,51,87,114,182,229,199,1,216,
44,95,86,169,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,
118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,228,250,192,
36,148,51,130,146,211,18,130,1,113,243,69,222,102,1,68,59,191,115,161,
249,184,247,91,17,56,146,166,198,206,17,225,127,65,65,191,143,160,70,1,
49,1,193,117,114,199,31,118,152,169,100,176,46,205,194,211,135,14,53,226,
18,36,150,69,51,67,176,1,113,85,118,134,129,145,160,188,103,83,52,237,
222,184,211,100,234,155,52,199,101,221,1,35,18, };
static unsigned short stb__courier_bold_30_latin1_t[224]={ 24,26,200,1,1,92,149,131,1,1,200,
168,168,200,200,1,92,92,92,72,131,92,92,92,92,72,131,72,149,200,149,
112,49,149,168,92,149,149,168,112,149,168,131,168,168,168,168,112,149,49,149,
112,168,131,149,168,168,168,168,26,1,26,200,206,200,185,112,185,112,185,131,
72,150,131,1,131,131,185,185,185,72,72,185,185,131,185,185,185,185,131,185,
26,26,26,200,131,131,131,131,131,131,131,131,131,131,131,131,131,131,131,131,
131,131,131,131,131,131,131,131,131,131,131,131,131,131,131,131,131,24,26,49,
131,185,149,26,49,200,131,200,200,200,200,131,200,200,92,200,200,200,92,49,
178,200,185,200,200,92,92,92,92,26,26,26,49,49,1,149,26,26,26,26,
49,49,26,26,49,168,49,1,1,1,26,26,200,49,1,1,1,49,26,149,
112,72,72,72,112,112,49,185,112,72,72,72,112,112,112,112,131,112,131,49,
49,72,92,92,168,149,72,72,72,112,1,1,1, };
static unsigned short stb__courier_bold_30_latin1_a[224]={ 254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_30_latin1_BITMAP_HEIGHT or STB_FONT_courier_bold_30_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_30_latin1(stb_fontchar font[STB_FONT_courier_bold_30_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_30_latin1_BITMAP_HEIGHT][STB_FONT_courier_bold_30_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_30_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_30_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_30_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_30_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_30_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_30_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_30_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_30_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_30_latin1_s[i] + stb__courier_bold_30_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_30_latin1_t[i] + stb__courier_bold_30_latin1_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_30_latin1_x[i];
            font[i].y0 = stb__courier_bold_30_latin1_y[i];
            font[i].x1 = stb__courier_bold_30_latin1_x[i] + stb__courier_bold_30_latin1_w[i];
            font[i].y1 = stb__courier_bold_30_latin1_y[i] + stb__courier_bold_30_latin1_h[i];
            font[i].advance_int = (stb__courier_bold_30_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_30_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_30_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_30_latin1_s[i] + stb__courier_bold_30_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_30_latin1_t[i] + stb__courier_bold_30_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_30_latin1_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_30_latin1_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_30_latin1_x[i] + stb__courier_bold_30_latin1_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_30_latin1_y[i] + stb__courier_bold_30_latin1_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_30_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_30_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_30_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_30_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_30_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_30_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_30_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_30_latin1_LINE_SPACING
#endif

