// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_27_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_27_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_27_latin1_BITMAP_WIDTH         256
#define STB_FONT_times_27_latin1_BITMAP_HEIGHT        192
#define STB_FONT_times_27_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_times_27_latin1_FIRST_CHAR            32
#define STB_FONT_times_27_latin1_NUM_CHARS            224

#define STB_FONT_times_27_latin1_LINE_SPACING          17

static unsigned int stb__times_27_latin1_pixels[]={
    0x0b930a60,0x301cc800,0x1aa80003,0x0aa88000,0x33333000,0x00553003,
    0x802aa200,0x005d3068,0xa8000551,0x00d1000a,0x37999971,0x0d471000,
    0x00aa9800,0x30666664,0x75c4c803,0x3e60005f,0x8001d405,0x80006ff9,
    0x322004fb,0x4edcdffe,0x0007f980,0x68809f70,0xfd009f90,0x7dc0003f,
    0x4c0d1004,0x1da881cd,0xc981c880,0xbcfd8800,0x5df03fec,0x03fe2155,
    0x05f981e4,0x2003b200,0xace8005a,0x2f40003f,0xffffd100,0xfa800ea5,
    0x05e80001,0x01510688,0x006e9ea8,0x688036c0,0x32001d50,0x97026401,
    0xb80dfa80,0x982fc0df,0x206a82ff,0x3a0005f9,0x800b6000,0x0003a63a,
    0xfb000744,0x0ea5ffff,0x80009700,0x068800e8,0x07906c00,0x8801e800,
    0xc8005c86,0xf980be02,0xc80ff300,0xf882fc5f,0x101fcc1f,0x062000bf,
    0x2001f300,0x30001881,0xffff8001,0x000752ff,0x00a80007,0x0c000d10,
    0x14400028,0x01aa3440,0x07f50580,0x3fe81fd4,0x17e2ff80,0x07e41ff8,
    0x0008bf10,0x222fc000,0x88199999,0x31099999,0x31033333,0x3e213333,
    0x752fffff,0x06aa6200,0x0d54c400,0x80101a20,0x4401aa98,0x88199999,
    0xd1099999,0x15100fc4,0xfa81b866,0x2e0fee04,0x4ffb007f,0x883fe05f,
    0xcafc405f,0x7fe40cff,0x17fa60df,0x3f261fc8,0xea881dff,0xff930aff,
    0xfd5103bf,0x7fff415f,0x880752ff,0x3fdbaced,0x759db100,0x21a207fb,
    0xdb103fc9,0x207fb759,0x81dfffc9,0x10affea8,0xcd88264d,0x0e63fac9,
    0x2fc817e6,0xf7006fd8,0x7e817e3f,0x3e2027dc,0x1fffcdbd,0x05b83fdc,
    0x3fec17dc,0xfd80fcc0,0xc81f9807,0x752fffff,0x5406fd40,0x37ea00df,
    0x440dfa80,0x41ff5446,0xdfa80dfa,0x300ffb00,0x0be6883f,0x907fe1f4,
    0x0fc817e0,0xf5005fe8,0x6d817e5f,0x3e201fe4,0x21bfa22f,0x401d81fe,
    0x06fc84fb,0xdf900f88,0x3201f100,0x0752ffff,0xbf701be2,0xf701be20,
    0x7f70688b,0x7dc06f88,0x100df905,0x1f56881f,0x86f88db0,0x7cc03f05,
    0x8027fc40,0x40bf4ff8,0x201fec5c,0x0ffa85f8,0x01a22fd4,0x17ee1bea,
    0x0bf703c0,0xd97501e0,0x1ff40ea5,0x7f417fc0,0x002ff803,0x03fe87f7,
    0x5fb82ff8,0x32d10f00,0x7cc1fb86,0x02d42444,0x027fc1e4,0x0bf4ff88,
    0x00bfa25c,0x07fe0bf1,0x803c83fa,0x05fb87f9,0x02fdc0f0,0x54ae0078,
    0x7007fb83,0x007fb8ff,0x3ea00ff7,0x5c01fee3,0x005fb87f,0x1136d10f,
    0xa85f709f,0xa800ae22,0x4017fa1c,0x40bf3ff9,0x2017fc4a,0x03fd05f8,
    0x4007c9f5,0x05fb87f9,0x02fdc0f0,0x54ae0078,0x5006fd83,0x037ec3ff,
    0xa801ffa8,0x401bf63f,0x2fdc1ffa,0x5b688780,0x87e81fa8,0x00036a0b,
    0x8037e459,0x40bf1ff9,0x201fec39,0x01fd05f8,0x4016a3fa,0x05fb87f9,
    0x02fdc0f0,0x54ae0078,0x3005fe83,0x02ff45ff,0xa802ff98,0x4017fa3f,
    0x2fdc2ff9,0x5b688780,0x45fb87d8,0x30059058,0x001ff509,0x102fcdf7,
    0x4403fc83,0x207f886f,0x5001dcfb,0x00bf70df,0x005fb81e,0x3a95c00f,
    0x88027fc4,0x09ff14ff,0x0393fe20,0x13fe27f5,0x2e27fc40,0xd10f005f,
    0xd98df132,0xf880ec3f,0x7407e200,0x22fe804f,0x27d4005f,0x3ea1be20,
    0x0037fc03,0x0bf709f7,0x05fb81e0,0xa95c00f0,0x1004ff83,0x027fc7ff,
    0x0d13ff88,0x04ff8fea,0xfb87ff10,0x2d10f005,0xca87f46b,0xf00ae2fa,
    0x8807dc09,0x13ee00ff,0x220440bf,0x0ffc405f,0x0fee01b6,0xfb81fc80,
    0x7dc0f005,0x5c00f005,0x0bfd0752,0xfe8bfe60,0x25ff3005,0x747f5068,
    0x5ff3005f,0x0f005fb8,0xfc83e2d1,0xb59f33ff,0x1be22447,0x3e601fd8,
    0xf84fa80e,0xd81ff105,0x66f7c407,0xf8800deb,0x5c1ba000,0x2068806f,
    0x068806fb,0x6c1d4ae0,0x3ff5006f,0xfa8037ec,0x3ea0d11f,0x5401bf63,
    0x037dc1ff,0x5b344344,0x0e540ba8,0x817e606c,0x7e4402fc,0xf02eecbd,
    0x103fe20b,0x9afc403f,0x012a0009,0xdf503f98,0x7d40b300,0x20059806,
    0xff50752b,0xa8df7001,0x6fb800ff,0x51fd41a2,0xdf7001ff,0xb300df50,
    0x0034cd10,0x0fea12a0,0xd1003fb8,0x2fc01fff,0x812e0110,0x3a0005f8,
    0x98172001,0x025400ff,0x4a801ff3,0x81d4ae00,0x1fe804fe,0xfe804fe8,
    0x17dc1a21,0x3fa013fa,0x400ff981,0x25c6884a,0xf1049800,0x000fcc05,
    0x5f81bff2,0x4c07a000,0x0b50005f,0x36007440,0x007a203f,0x0f4407fb,
    0x40ea5700,0x3ee00ff9,0x401ff304,0xb83444fb,0x007fcc0f,0x1fec09f7,
    0x0d103d10,0x05a80099,0x00d501ec,0x7c17faa0,0x07220005,0x7c401be6,
    0xb1000eef,0x05fd1003,0xfd1005d3,0x8005d305,0x74c0752b,0x403fb80e,
    0x3fb80ee9,0x323d7688,0x701dd304,0x2fe8807f,0x0d102e98,0xda806faa,
    0x36069803,0x6f540002,0x40002fc2,0x2fff661a,0x0effc400,0x4c003980,
    0x2dfddffd,0x37ff6600,0xb8002dfd,0xec880752,0x001deccd,0xbd99bd91,
    0x7fe5a203,0x6f64403d,0x3001decc,0x5bfbbffb,0x2e603440,0x03ddcbdd,
    0x17515c40,0x5d4c0000,0x03ddddd1,0x33333000,0x00002001,0x01a98800,
    0x00d4c400,0x00442200,0x80003510,0x441001a8,0x01a88001,0x006a6200,
    0x004c0008,0x00010400,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x32000000,0x2000cccc,
    0x730001aa,0x20c00181,0x2a200008,0x2a20000a,0xaa880002,0x06aa0140,
    0x4006aa00,0xa98002a9,0x002a8801,0x800c0b98,0x47aa00aa,0x0a8802e9,
    0x0aa24400,0x001fb555,0x20003fe2,0x298cfffb,0x7cd7ee00,0x13ee0006,
    0x05ffd000,0x79dd7100,0xa80b79db,0x77cc005f,0x005fb000,0x800fff88,
    0x3ea002fd,0x80298cff,0x3f604ffb,0xac80df94,0x8ea003c8,0x1f901ff8,
    0x0007ea00,0x0effea9c,0x7cd7ee00,0x017a0006,0x0dd3d500,0x881fe880,
    0x0fc806fb,0x4003ee00,0xdc8003f8,0x4e8804fa,0x7ff54a00,0x657c400e,
    0x2219301f,0xfa92a01c,0xed81b000,0x2001f900,0x3060002d,0x08100017,
    0x003a2000,0x01e41b00,0x6b805fd0,0x6c005b00,0x0016a001,0x801e8926,
    0x73060068,0x2d439001,0x545d0000,0x0058801f,0x07000fc8,0x35531000,
    0x2aa62000,0x00260001,0x00501300,0x03400ff6,0x00a20050,0x40600050,
    0x98813002,0x4cc40199,0x04c0c199,0x045e8000,0x40016440,0x333310fc,
    0x33331033,0x5676c403,0xb1003fdb,0x07fb759d,0x80000a00,0x0ffcc002,
    0x26662380,0x99999999,0x4ccccc41,0x33333109,0x83333333,0x99999998,
    0x4c419999,0x51099999,0x54409ffb,0x26622efe,0xff909999,0x2ff4c1bf,
    0x5c402fdc,0x14c0dfcd,0x3f661f90,0xfb882eff,0x1bf503ef,0x5401bf50,
    0x0dfa80df,0x00017400,0x3ee002e8,0xfd710007,0xfddddddf,0xeffea88f,
    0xdffd710b,0x8ffddddd,0xeeeffeb8,0x5447feee,0xc80beffe,0x07cc02ff,
    0x2fbffaa2,0x2dc1fee0,0x2201dfd0,0xa8ffd33e,0xf903f203,0x00ee805f,
    0x5fb80df1,0xfb80df10,0x017ea005,0x8017ea00,0x540006fd,0x20f300ff,
    0xff502ff9,0x7d41e601,0x260f300f,0x3fe202ff,0x981e201f,0x03fd02ff,
    0x3fb2203b,0x390fc81e,0x901dc3fd,0x40dfd01f,0x0ffa00f9,0x3fa0bfe0,
    0x002ff803,0x80001ffb,0xff000ffd,0xff98000b,0x3e203200,0x01ff301f,
    0x07fcc064,0x3ff10190,0x077f7c40,0x0ffc40f0,0x83445fa8,0x883ff649,
    0x2e145a5f,0x2603f204,0x407b02ff,0xff7007fb,0xf7007fb8,0x9fdf100f,
    0x7f7c4000,0x009ff004,0x200ff880,0x203ff100,0x40200ff8,0x40200ff8,
    0x3a201ff8,0x81e05ff8,0x3fa01ff8,0x20ec0f20,0x4cfe65fc,0xfc817203,
    0xa81ff900,0x8037ec05,0x1bf61ffa,0x200ffd40,0x0007fabc,0x401feaf2,
    0x440006ff,0x440100ff,0x1ff101ff,0x0ff88020,0x0ffc4010,0x13fe6d10,
    0x03ff103c,0x201f27d4,0xf50fc81f,0x06d80327,0x7f4403f2,0xfd007a25,
    0x8bfe600b,0xff3005fe,0xff87c405,0xf0f88002,0x0ffb005f,0x80ff8800,
    0x07fe2048,0x24407fc4,0x9101ff10,0x100ffc40,0x3c1ffdcd,0xe803ff10,
    0x13e05a8f,0x6afcc7e2,0xfc81fa08,0x64bfea00,0x027fc403,0xff14ff88,
    0x13fe2009,0x01bee4b8,0x06fb92e0,0x0000ffb8,0x97103fe2,0x880ffc40,
    0x025c40ff,0x4b881ff1,0x8807fe20,0x1e0ffe46,0x5c01ff88,0x3f601dcf,
    0x33fe2683,0x01ff1443,0xdf9003f2,0x13fe00d3,0xff1ffc40,0x0ffe2009,
    0x07fe21e8,0x7fc43d00,0x005fe801,0xeeff8815,0x2204ffee,0xdff101ff,
    0x409ffddd,0xfeeeeff8,0x07fe204f,0x0ffd8688,0x01ff881e,0x7cc06ff8,
    0xffd1264f,0x07fe2381,0x3e2007e4,0xbfd001ff,0xe8bfe600,0x5ff3005f,
    0x17f61a60,0x5fd86980,0x404ffa80,0x40ff881b,0x3fe204c8,0x881ff101,
    0x03fe204c,0x7fc40991,0x3a21a201,0xff881e6f,0x803fb801,0x9839dff9,
    0x21eccfff,0x1f901ff9,0x400df700,0xff5006fd,0xa8037ec3,0x337b01ff,
    0x001ff733,0x2e6666f6,0xff9800ff,0x8815c41c,0x440900ff,0x1ff101ff,
    0x0ff88120,0x0ffc4090,0x3fe60d10,0x0ffc40f5,0x98007c40,0x3ff206fe,
    0x17fcc2df,0xfa800fc8,0x03fea006,0xff51bee0,0x20df7001,0xccccccf8,
    0xcf8803fe,0x3feccccc,0xbffdb100,0x7fc4059d,0x7fc40300,0x201ff101,
    0x403fe201,0x807fe201,0x2ffea068,0x007fe207,0xfd10012a,0xf0045607,
    0x003f201f,0xfd001bea,0xd03fd009,0x03fd009f,0x06fb80f2,0x1bee03c8,
    0x40036600,0x88000ff8,0x1ff101ff,0x01ff1000,0x403ff100,0x3ffe4068,
    0xd003ff10,0x0fd10003,0x90040093,0x0df5001f,0x200ff980,0x1ff304fb,
    0x1f027dc0,0x2017fc40,0x0bfe200f,0x2007fb00,0x05c00ff8,0x7c407fe2,
    0x2205c00f,0x205c00ff,0x1e601ff8,0xf881ff60,0x002d401f,0x3207cc5d,
    0x1f900001,0x000df700,0x7f701dd3,0xb80ee980,0x2017203f,0x017206fd,
    0x3a001bf6,0x01ff3006,0x0ffc42cc,0x2600ff98,0x200ff985,0x01ff8859,
    0xfd1003ea,0x220ffc40,0x2000eeff,0x01a1624f,0x800fc800,0x88000ffc,
    0x1deccdec,0x99bd9100,0x1fc403bd,0x441ffdc0,0x3ffb803f,0x400fe200,
    0x7d301ffa,0x2a05ff30,0x07d301ff,0x3a603ff5,0x882ff983,0x200beffc,
    0x0bfe6078,0x8003bff1,0x0510723c,0x77774400,0x3ff6600e,0x220003ef,
    0x5440001a,0xcffeb801,0xbffff900,0x033ffae1,0x06ffffe4,0x260072e0,
    0xeeeffffb,0x3220ffff,0x731bffff,0xfdddffff,0x7dcc1fff,0xffeeefff,
    0x3ff220ff,0x80001bff,0xffffc880,0x3000041b,0x00000157,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00005530,0x30001831,0x04401817,0x00040011,0x30003060,
    0x04c00088,0x01c43880,0x88003326,0x0d4c01cc,0x4c001a80,0x101441aa,
    0x07950010,0x0800cc88,0x000ff100,0x0ff25fd0,0x19fff500,0x87fc4051,
    0xedd801ff,0x73fd8001,0xafdc009f,0x664006f9,0x2544a801,0x5000bf20,
    0xeadd80bf,0x88034c03,0x2fdbabed,0x8bbf205b,0x801fe803,0x17ec04fb,
    0x0002f980,0x03fc8ff4,0xeffea940,0xfe9fe200,0x0589d401,0x9f73fc80,
    0xf9afd400,0xcddc8806,0x85900cfe,0x0027c03b,0xb9ee0364,0x5400f407,
    0x4ffa80df,0x9dff9730,0x002f8807,0x07fb01b2,0x40002540,0x20c00040,
    0x408800b9,0x0b13a800,0x00010200,0x29d00081,0x3601f51b,0x0b300ec1,
    0xdd003a00,0x03b80fcc,0x3200ff98,0x75c4505f,0x8003b805,0x0006200d,
    0x4ccc400e,0x99988199,0x00500099,0x4cccccc4,0x02dcd800,0x99999988,
    0x00199999,0x23f30014,0x43c03a1b,0x88000c07,0x3e65f801,0xfd006984,
    0x17f74c07,0x000a0000,0x200000c4,0x3ff26002,0xfea881df,0x05d000af,
    0x3bffaa20,0x005d000b,0x3bbffae2,0x007feeee,0x2fc80174,0x34405c37,
    0x800001a2,0xf337c008,0xf7001d07,0x7e4f440f,0x0002200f,0x00088001,
    0x4002e800,0x1f9807fd,0x0017ea00,0x54005ff3,0x7fd4005f,0x5400f300,
    0x1df5005f,0xddd70437,0x9ddddddd,0xfd99bfb2,0x3f36a02f,0x7dcdd04f,
    0xfd801e41,0x7fccb606,0x4ffcda81,0x17f732a0,0x09ff9b50,0x017ea000,
    0xf100df90,0x07fec001,0x003ff100,0x30007fec,0x006401ff,0x8800ffd8,
    0xc801ceff,0x37cc1642,0x0ea817f4,0x43ea17ee,0xd002cc6c,0xf99320bf,
    0xf707543f,0x7dc7f10b,0x7dc1d504,0xffd80005,0x017ee000,0xfdf1003c,
    0x0ffc4009,0x04fef880,0x0803fe20,0x09fdf100,0x00fffe60,0xf103b03a,
    0xf305f90d,0xb705fb05,0x00744197,0x5a84ff88,0x5f327fc4,0x1fc85fb0,
    0x0be617e6,0x88000bf6,0x2e004fef,0x400f005f,0x2007fabc,0x79001ff8,
    0x7c400ff5,0x6400100f,0x26007fab,0x43c04ffe,0xf90df107,0xf303f905,
    0x2164040b,0x5ff83ddb,0x3fe2074c,0x3e607f23,0x1be21cc5,0x17e607f2,
    0x2af20031,0x17ee007f,0x0f8803c0,0x3e2005ff,0xf0f8801f,0x3fe2005f,
    0xf1004880,0xb000bfe1,0x8b301dff,0x90df1068,0x101fd05f,0x16a001ff,
    0xfd0fa1f7,0x7cc0744d,0x2203fa2f,0xfb9300ff,0xf101fd0d,0x013fe21f,
    0x00bfe1f1,0x07802fdc,0x037dc970,0xb801ff88,0x4401bee4,0x025c40ff,
    0x01bee4b8,0x21dff770,0xfffffffc,0x1be25fff,0x3ff10bf2,0x22007fe0,
    0x1f927c0e,0x02e87fe4,0x3fe21ff5,0xd883ff01,0xff88df0c,0x3e23ff01,
    0xf725c07f,0x017ee00d,0x221e803c,0xff8801ff,0x3e21e801,0xeff8801f,
    0x004ffeee,0x00ffc43d,0x87fd1370,0xf881642c,0xfe82fc86,0xb001fd03,
    0x3ee4f985,0x0f27fea1,0x1ff46fb8,0x0fe60fe8,0x207fd0df,0x03a220fe,
    0x07fe21e8,0x3c017ee0,0x2fec34c0,0x200ffc40,0x805fd869,0x26440ff8,
    0x2fec34c0,0x17e63700,0xf100d81d,0xf905f90d,0x2a01be09,0x3ee3fa84,
    0x202f7ec2,0x827e41ff,0x37c3f46f,0x86f827e4,0x361a6058,0x05fb805f,
    0x337b00f0,0x801ff733,0x5ec01ff8,0x0ffb9999,0x4807fc40,0x9999bd80,
    0xb8900ffb,0x0f0f17e1,0x3fa20ff8,0xf886f982,0x44074403,0xf107f25f,
    0x41fdc03f,0x43f886f9,0x21fe20ff,0x43f886f9,0x26f601c8,0x00ffb999,
    0x344037dc,0x33333e20,0x4403fecc,0x33e201ff,0x3feccccc,0x1807fc40,
    0x66667c40,0x5b03fecc,0x262f88dc,0x3f602c45,0x2dfdca9c,0x13624fd8,
    0x26e80760,0x77f440fe,0x3604fb80,0x3613624f,0xaffdc9df,0x9b127ec3,
    0x67c40388,0x3feccccc,0x4c037d40,0xf701e405,0x01ff880d,0x06fb80f2,
    0x80007fc4,0x41bee03c,0x1b6371ed,0x4404a877,0x39f95fff,0x13b3bf20,
    0x5f3012e0,0x2e3d05f5,0x01eeccef,0x04ecefc8,0x3f67ffd3,0x9d9df904,
    0xb80f2000,0x07fcc06f,0x01f012a0,0xf1017fc4,0x1007c03f,0x7fc405ff,
    0x07c05c00,0xb505ff10,0x81bd9bdf,0x98004c09,0x04c00260,0x2e200900,
    0x06a20603,0x08004c00,0x00098008,0xff1007c0,0x203fd805,0x017201e8,
    0xff881bf6,0xfb00b901,0x007fcc0d,0xb00b90b3,0x1e4c40df,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0dfb00b9,0xe982fe88,0x200fe202,
    0xff303ffb,0x7007f105,0x3fea07ff,0xf887d301,0x03ffb803,0x000000d4,
    0x00000000,0x00000000,0x00000000,0x803f8800,0x6cc03ffb,0x02dfddff,
    0x4033ffae,0x10dffffc,0x237ffff9,0x900cffeb,0x261bffff,0xeeeffffb,
    0x3ae0ffff,0xff900cff,0x00001bff,0x00000000,0x00000000,0x00000000,
    0xeb800000,0xff900cff,0x98801bff,0x0000001a,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x000d5400,0x01f64400,0xc8801e54,0x1aa8001c,0x0bdec880,0x000664c0,
    0x55100993,0x01a81900,0x0a9802e6,0x004c0500,0x40026028,0x0154000a,
    0x0002aa00,0x999988b3,0x7ffcc099,0x433fea00,0x0ae5700a,0x2001fd10,
    0x7d4004fb,0x70de806f,0x02fd805f,0x3600bf60,0x5f4403ff,0x27f403ea,
    0x402fddd8,0x03fc884b,0x3fc883c8,0x32005980,0x8002eccf,0x64005ffb,
    0x77ff5c42,0x2f4e6c0a,0xb9ffd790,0x804986c0,0x1f2002f9,0x3faae880,
    0x0df07ee0,0x1fc009d0,0x07e47540,0x2003fe60,0x3a2882fb,0x7f01a203,
    0x1fc05980,0xfc800740,0xf1001ae1,0x34005f53,0x7503ff50,0x504c0ec4,
    0x56d403db,0x0095001d,0x437001d8,0xb0fb00d8,0x0068803f,0xa8360095,
    0x7f599104,0x03440000,0x807f0076,0x201fc00e,0x31fe003c,0x30e4001f,
    0x9816600b,0x030180ff,0x00b98000,0x00c00140,0x1fa01008,0x026007f6,
    0x40440060,0x17dc3500,0x3bae00c0,0x7f009500,0x1fc01dc0,0x7c400b30,
    0x02002e47,0x80b20022,0x000807f9,0x00020004,0x20000001,0xf87f8008,
    0x04000807,0x21000200,0x201c00fe,0x0e886ea8,0x0d303f80,0x00e80fe0,
    0x2f997fc0,0x1a000000,0x32a0ff30,0x32a05fdc,0x32a05fdc,0x32a05fdc,
    0xfec85fdc,0x80bff666,0x204ffcda,0x807b227f,0x201cedeb,0x201cedeb,
    0x201cedeb,0x06feedea,0x07d400e2,0x81fc00b6,0x207f001e,0xdfd8003c,
    0x555531eb,0xb337f641,0x024c05ff,0x8fe21fe6,0x23f884fb,0x23f884fb,
    0x23f884fb,0x86f984fb,0x41d502fe,0x22ff05fb,0x893604ff,0x224d81ff,
    0x224d81ff,0x21eb81ff,0x03b02ffb,0x00b512a0,0x0025c1fc,0x000d307f,
    0xfd113fea,0xd0df305d,0x2016405f,0x21fc87f9,0x21fc85f9,0x21fc85f9,
    0x21fc85f9,0x86f885f9,0x82f982fc,0x547f82fd,0x207d40ef,0x207d46fb,
    0x207d46fb,0x417cc6fb,0x205a84fd,0x220bbcfa,0x7dc0880e,0xb801a21d,
    0x440f41df,0x1bffa600,0x37c403ee,0x00d017e4,0x88730ff3,0x7c43986f,
    0x37c43986,0x21be21cc,0x82fc86f8,0x85f981fc,0x6c5fb87f,0x7fcaaaae,
    0x6555576c,0x55576c7f,0x07ec7fca,0x0be237d4,0x40b20110,0x543b004e,
    0x77001dfe,0x57dc13a0,0x01ec3ffa,0x05f90df1,0x1fe60126,0x80dfb930,
    0x4c06fdc9,0x64c06fdc,0x86f886fd,0x80fe82fc,0x43fc0ff8,0x4cefc7f9,
    0x6fc19999,0x41999999,0x999999df,0xff883fc1,0x98001f60,0x7009fb05,
    0x374c6449,0x4fd83440,0x3ffa1fc8,0x6f880d10,0x05902fc8,0x3620ff30,
    0x3620df0c,0x3620df0c,0x3620df0c,0xdf10df0c,0xff885f90,0x7f83ff01,
    0x02fc3ff0,0x2fc00bf0,0xf00ff880,0x0017ee3f,0x4dbb80e8,0xf5063440,
    0xd5703b00,0x7cc5f989,0xf8803b5f,0x0d02fc86,0x3e61fe60,0x1fcc37c3,
    0xf0fe61be,0x6f87f30d,0x2fc86f88,0x1fd03fe8,0x43fd07f8,0x01fe007f,
    0x3fe007f8,0x1fecff01,0x079007a6,0x5b013695,0x25c05c80,0x7e44ea54,
    0x03dffc83,0x2fc86f88,0xdf300498,0xd0df0fd0,0x0fd0df0f,0xdf0fd0df,
    0x5f90df10,0x1be09f90,0x3a3ec1fe,0x3fe8903f,0x903fe890,0x6f883fe8,
    0x0bf30bfa,0x9b2c434c,0x3a202540,0x9621a200,0xe827fc4e,0x6f8801ff,
    0x01c82fc8,0x1ff0bf30,0x07fc3fc4,0x41ff0ff1,0x20ff87f8,0x41ff07f8,
    0x6f982fe8,0x77f83f88,0x3fee2749,0x3fee1542,0x3fee1542,0x1bee1542,
    0x84fb8fea,0x3a07a03e,0x883efccd,0x200ec00e,0xfccde81d,0x641ff63e,
    0x20642fff,0x0bfa20ff,0xf31c881a,0xb93bfb09,0x6fec75ff,0x23affdc9,
    0xffdc9dfd,0x3277f63a,0x7ec3affd,0x2dfdca9c,0x13624fd8,0xf8bedfe2,
    0xeceffe81,0xd9dffd06,0x33bffa0d,0x449fd06e,0x107fc44d,0x9881dc0d,
    0x2d80ce99,0xa8183220,0x9d333104,0x45f7fd41,0xdffe9ce9,0x9cfd82dc,
    0x2a2dfdca,0x755bea04,0xb3ffe980,0x3ffe989f,0xffe989fb,0xfe989fb3,
    0xf109fb3f,0x073f2bff,0x427677e4,0xd9d37fd9,0x3fff6205,0xfffb100e,
    0x3ff6201d,0x3bf200ef,0x9d9304ec,0x01a60377,0x205a84d8,0x43edcde9,
    0x09d000e8,0x45dfffd7,0x104fffd8,0x33f2bfff,0xfe880721,0x040401cd,
    0x40401010,0x30020200,0x098004c1,0x22001000,0x01310009,0x98002620,
    0x2a006000,0x2e06a001,0x2aaaaa00,0x5000d40a,0x1004c403,0x09826003,
    0x00130028,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x10000000,0x98803333,0x54c01999,0x002e4c00,
    0x006aa620,0x03333331,0x01333331,0x26002aa2,0x88009999,0x02aa002a,
    0x99999880,0x00a60199,0x80005544,0x408000aa,0x00022000,0x2a202da8,
    0x1010261a,0x4409ffb5,0xd302efea,0x3ae07d79,0xdb10005f,0x207fb759,
    0x81dfffc9,0x40affea8,0x01ffffd8,0x07ffffee,0x400ace98,0xcdb9addb,
    0x7ffff401,0x6dc47fff,0xd900ddab,0x2e007f97,0x1cdb9add,0x7e57ae20,
    0x2f2a00cf,0x401aabdd,0xf902ffc8,0x41dbfb7b,0x3ff203fc,0x8807cc02,
    0x540fe63e,0xdfa8005f,0xb00dfa80,0x03f300ff,0x1bfae6f6,0x05eeeee8,
    0x36003d91,0x4c0b2201,0xfeeeeeff,0x42ec35c5,0x2027d46d,0x40b2201d,
    0xfcdbdfda,0x20fa81ff,0x9002cefc,0x881fb05f,0x813f60fe,0x2201fff8,
    0xfb03f607,0x10017e60,0x05fb80df,0x1f100df9,0x1ff88350,0x3fa003b8,
    0x3333b000,0x79059013,0x20fe17c0,0x20fe20fa,0x443b00fe,0x2c988ab9,
    0x7445ff30,0x7d46e86f,0x217dc006,0x81f104f9,0x77f7c401,0x2fcc1e00,
    0x2fcc1fdc,0x200ffa00,0x05fb82ff,0x0fd800f0,0x07f20068,0x67e44ec0,
    0x21643eda,0xf983ea03,0x3ee1fa84,0x1d84fb81,0x3f26276e,0x0bf10593,
    0x2fcc1ff5,0xf70007fc,0x3604fa85,0x7c744000,0x7dc1e05f,0xf986fa83,
    0x0ff70045,0x3ee1fee0,0xd800f005,0x00bdfb85,0x1cc013ea,0x20fe45f5,
    0x3e172005,0x3f636c1f,0x1cc6f980,0x859320bb,0x43ff05f8,0x806f87f8,
    0xf985f708,0x8001701f,0x209ff368,0xf305f907,0x3f2bf30f,0x06fd81ef,
    0xfb83ff50,0x4400f005,0xfffff80e,0x0043ff03,0xf317cc37,0x0be00489,
    0x0fdc7ff2,0x1fe207fe,0x4403ee37,0x417e2123,0x30ff41fe,0x66f5407f,
    0xfff82fdc,0x4d100003,0xd0783ffb,0x81ff105f,0xffccddf9,0x802ff41f,
    0x2fdc2ff9,0x7d100780,0x3ffb2e60,0x764f7cc5,0x7cc581ef,0x05507ee2,
    0x3f601f50,0x3fe80dcf,0xfd2c7f98,0x3e215400,0xe881fd05,0x2e04d9ae,
    0x20bfe61f,0x002efff9,0x3ff23440,0x01ff83c1,0x0ef983ff,0xff89bfa2,
    0x89ff1004,0x80f005fb,0x404fffc8,0x3ee3ffd8,0x907fee2e,0x2edacf98,
    0x05c80488,0xfc827fec,0x8a46f986,0x1122006f,0x20ff10df,0x7c401aac,
    0xd302fd83,0x0001bfff,0x83ff61a2,0x3e03ff07,0x542fcc1f,0x013fe0ff,
    0x3ee1ffc4,0x3100f005,0xf7007ffb,0x7e41fecf,0x2efe62c6,0xf009102f,
    0x7fe74405,0x51efe885,0xdf1587fd,0x3e224400,0x3d83fa86,0x2e07f200,
    0x7ffdc02f,0x3440183f,0x20f37f44,0x87f881ff,0x1ff885f9,0x7cc017fa,
    0x802fdc2f,0x037dc007,0x05fd0fe8,0x262c1ff5,0x3701fb2f,0xd100f980,
    0x5417fea3,0x41fd9cfe,0x1b801fa5,0x1b60ffc4,0x33337fe2,0xf707f81b,
    0xfff91005,0xd101fec5,0x83d7fe60,0x86f882fe,0x43fd05f9,0xff5006fd,
    0x8806fb83,0x00ff8006,0x05fd1fb8,0x30dc1ff1,0x1617e25f,0x45e81720,
    0xf9801ffa,0x05f71b87,0xbdf10b04,0x3201bd79,0x6fffffff,0x17dc1fe2,
    0x26ff9802,0x81a203fd,0xf907bffa,0xf30bf307,0xfa83f60b,0x86fb800f,
    0x059806fa,0xf5007d80,0x47f81fe4,0xf98bea39,0x817c02c3,0x03fb83f9,
    0x23983fd8,0x161b82ed,0x004cd7e2,0x5d4ccc72,0x701ff12e,0x2a02a85f,
    0xd10060ff,0x307ffc80,0x307f70bf,0x3a1ba0bf,0x81fe804f,0x25400ff9,
    0xc8036c00,0x27c13ea5,0x177ecd64,0x300769f9,0x20bea01f,0x27c404f8,
    0x5ffdc590,0x220761cc,0x012e005f,0x5c17fc55,0x3e02543f,0x01e6000f,
    0x87e81ff6,0x30bf306e,0x01ff305f,0x7fb027dc,0x2000f440,0x7c4041f8,
    0x3ea07f40,0x36005901,0x2205c801,0x200f885f,0x42c804e8,0xf301d818,
    0x017e200b,0xfb86fc8b,0xf9807d43,0x1f500c46,0x2207e880,0x4c03ea3e,
    0x813a61ef,0x3fb80ee9,0x4c17f440,0x98b7202e,0x44e7ec3d,0x44f882eb,
    0x8056405d,0x05f001d9,0x02dc0fc8,0x56400bf3,0x4c03b300,0x3bfa006f,
    0x41eca9ac,0xfc8bfff8,0x3ff509df,0x3e21fd88,0x77fe440f,0x301e200b,
    0xa803b9bb,0x802fddfe,0xdeccdec8,0xbffb3001,0xfc805bfb,0xfa81deef,
    0x2600dfff,0x5004ebdc,0x37bb77b9,0x2003e600,0x40ddbdfb,0x8001bba8,
    0xbddbbdca,0x2fff6601,0xffdb8800,0xfd100cff,0x43bf77ff,0xfdceecca,
    0x000ff81e,0x02200100,0x00013100,0x880006a2,0x098001a9,0x88001100,
    0x00620001,0x260014c0,0x00002601,0x26600188,0x98000999,0x4c262000,
    0x2aa20880,0x00000400,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x554c0000,0x10351000,0x20133333,
    0x18019998,0x2ae60004,0x55100061,0x8803a281,0x26619999,0x99981999,
    0x00a88009,0x00ba63b5,0x19999815,0x5000cccc,0x4cccc400,0x47b10019,
    0x4cccc45d,0x4cc40019,0x26209999,0x5dc19999,0x6c03feb9,0x36a0ed9c,
    0xb302dfff,0xdd3019ff,0x7005d9fb,0x9d9759db,0x9dd7100d,0x5cb79db7,
    0x3fff2603,0x0bbffaa3,0x200bbf6a,0x27fd00fd,0x1fd505fc,0x20bfffb8,
    0xd000bfea,0x3fae2005,0xff5002ef,0xeb883fe6,0x3effefff,0x6fff5c40,
    0x3ffee60a,0x3fe1661c,0x1fc4b901,0x7c007fec,0x7c45d704,0x0bfa202f,
    0xd1007f4c,0x4df7103f,0x85fe8068,0x3e604ff8,0x00ffb800,0x20722193,
    0xfa80ffcb,0x54007b07,0x7fd4005f,0xb8ae2000,0xea8ff703,0x7fd400ef,
    0x361bf200,0xf984fd86,0x7fcc16c3,0x4407cc02,0x102fc82f,0x1f9803fd,
    0xd700bfa0,0x3fd400e8,0x12e06fc8,0x003fba60,0xd00fe800,0x4006885f,
    0x2a000ffd,0x4000007f,0x3ffa87f9,0x2e03fcc0,0x541fd86f,0x002fa85f,
    0x079017f6,0x817dc1f6,0x039004fd,0x23400ff6,0x17fc403b,0x1d807fcc,
    0x00fd9e80,0x01fd0008,0x007717ea,0x0027f7c4,0x05555ff3,0x3fcc0040,
    0x7cc06fe8,0x4c2fdc07,0x6427dc0c,0x3fea002f,0x37c03e00,0xff982fb8,
    0xf3031000,0xd10e003f,0x3e0bfb00,0xc806883f,0x32a01fb3,0x7ec05fdc,
    0x0e83fe00,0x1feaf200,0xdbaff980,0x37ae04ff,0x0ff301ce,0xff301bfa,
    0x2005fb80,0x02fc80fe,0x5a81ff40,0x3ee0df10,0x0006fb82,0x40007fb8,
    0x43fd400d,0x04b86ff9,0x101fb2cc,0xb027dc7f,0xaa7dc01f,0x7c3e2004,
    0x8ff3002f,0x24d85ff9,0x7f981ff8,0x4c03ff98,0x02fdc07f,0x7f903f98,
    0xb07fb800,0x5c1fe205,0x005fd82f,0x0006fd80,0x17fc01dc,0x3d03ff32,
    0x1fb07440,0x2fcc3f90,0x7c401fb0,0x25c003b7,0x3e600df7,0x2a1ffb87,
    0x4c37dc0f,0x00efd87f,0x3ee03fcc,0xfd0bb005,0x009fffff,0x06885ff1,
    0x17dc0ffc,0x36e027fc,0x3fe0ceee,0x03440005,0x3a3a2fe4,0x5b01a23f,
    0x43980fd8,0x03f606f8,0x800b9fb0,0x007fe21e,0x3fe61fe6,0x2aaabb63,
    0x9ff987fc,0x3002eeba,0x999999ff,0xd100bfb9,0x273f2620,0x8df90009,
    0x077ec03c,0xbff10bf6,0xf0bff100,0x1b00009f,0xb30ff980,0x203b9bee,
    0x400fd84a,0x3606fdc9,0x77776c0f,0x0eeeeeff,0x0bfb0d30,0xff30ff30,
    0x4cccefc7,0xaff98199,0x26002ffb,0x999999ff,0x0c805fc9,0x4001fd40,
    0x003e1ff9,0xb979fff1,0x00fff05f,0x1bfe0ffe,0x200ee000,0x3e2592fe,
    0x3a203d1f,0xb100fd80,0xfd81be19,0x000ff800,0x2e6666f6,0x3fcc00ff,
    0x0bf0ffdc,0x3ee7f980,0x0ff3000f,0x04805fb8,0xb0002fa8,0x4c016abf,
    0x2fb8efff,0xe800ffd8,0x007fd83f,0xfb806880,0x467ec1f5,0x3ffff206,
    0x22ffffff,0xb037c3f9,0x01ff001f,0x33333e20,0x4c03fecc,0x227fd47f,
    0x3fcc007f,0x7cc017f6,0x402fdc07,0x001f9803,0x03d1ff50,0x0bee0980,
    0x3a00bfea,0x00ffb83f,0x4c00d800,0x77dc5bff,0x3bbae03b,0x1eeffeee,
    0xd81be1fa,0x77776c0f,0x0eeeeeff,0x1bee03c8,0xfb97ff30,0x207fd07f,
    0x7c47f984,0x07f9803f,0x00402fdc,0xd00303cc,0x70000dbf,0x03bfa05f,
    0x3fa07fd0,0x2e015005,0x42ffe803,0x0000fff8,0x41ff01fb,0x03f607f8,
    0x7c003fe0,0x80bfe200,0x01aaaff9,0x0550bfee,0x3ff50ff3,0x5c07f980,
    0x700c405f,0x0c837fd9,0x003ffb80,0xd302fb80,0x03fe80bf,0x1b809ff5,
    0x3ee01a20,0x000dfb07,0x6fec07ec,0x83affdc9,0x0ff801fe,0xfd805c80,
    0x003fea06,0x6eceffe8,0xf901ff30,0x03fd401d,0x5fd01bee,0x3ff36710,
    0xf1005fef,0xf900001f,0x067ec407,0xf301ff44,0x02b8839f,0x27c400d8,
    0x20003fa8,0xffe980fd,0x3fa09fb3,0x401ff801,0xffb803f8,0x003ff703,
    0x077ffec4,0xfd01ffb8,0x03fee01d,0x7f407fd8,0x3a679b02,0x32000dff,
    0xfea80004,0x77edc02e,0x802dfdcb,0xcedffed8,0xb0075002,0x00007c05,
    0x040401fb,0x0677fed4,0x81f7ff5c,0x900cffeb,0x261bffff,0x00befffd,
    0x64c02620,0x4c0befff,0xf931dfff,0x6d417dff,0x0203dfff,0x00088088,
    0x98000088,0x22001999,0x2200019a,0x0188000a,0x0000c018,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x44000000,0x00999999,
    0x402aa200,0x09999998,0x4cc40220,0x4ccc1999,0x07b50099,0x53000d71,
    0x2207a603,0x49b0006c,0xd93000dc,0x4cccc439,0x44000099,0x99999999,
    0x4c409999,0x4c400199,0x20fe4199,0x059705f9,0x49b02cb8,0x3fae20dc,
    0xceffeeff,0x7ffecc01,0xffea883f,0xedeb80be,0x7ff5c42d,0x67ffd42d,
    0x21ffe441,0x44007fda,0x4fb80fff,0x4003ff54,0x05ff0ff9,0x47fe6970,
    0x2beffeb8,0x7fdcc000,0xeeeeeeff,0x7ffdcc4f,0x37ff6001,0x3e60fe42,
    0x440df305,0x0ff980ef,0x0ff705ff,0x7405ff71,0x00fffcbe,0x37205ff3,
    0x3ea07fa0,0x801df00f,0x07f883fc,0x42f466c0,0x07f880a8,0x01d47700,
    0x85f507cc,0x00001ffa,0xb80ffe6c,0x00bff704,0x7e41ffe2,0xf502fcc1,
    0xb807ea01,0x3fcc0ea3,0x7307fd30,0xf104fd88,0xc85f503f,0xb07f984f,
    0x40fee00b,0xb0e6007f,0x007f8003,0x03e40000,0x0000ff98,0x07fe3a20,
    0x1ffd5048,0x20dfd900,0x02fcc1fc,0x001640ee,0xa80ff300,0xfa81c2ff,
    0x81ff880f,0x980a80fe,0x2005c87f,0x00ff03fb,0x7c00180c,0x40000007,
    0x1ff1007d,0xf9dc0000,0x6cc0201f,0x5fc404fd,0x983f906f,0x0502805f,
    0x3e600440,0x005fd807,0x0ffc41fe,0x3e60037c,0x2e002e47,0x000ff03f,
    0x3fc02004,0x26fec802,0x3e02ffd9,0x01ff1007,0xff9a2000,0xf9d98001,
    0x3eb2e00f,0xf983f906,0x00400805,0x209ff9b5,0x7fa807f9,0x7c417e00,
    0x003fc41f,0x005c9fe6,0x8ff03fb8,0x64c3dffc,0x03fc983f,0x0bffeaff,
    0x17f437cc,0x37fffffc,0x0001ff10,0x81ff8f20,0x7f56601a,0x1bea7e04,
    0x17e60fe4,0x64c1fe4c,0x5c1d503f,0x807f985f,0xf8801ff9,0xf03ff102,
    0x3e60203f,0x2e000bb7,0xea8ff03f,0x43fea881,0xff03fea8,0x20df7395,
    0x02fc86f8,0x7fc401fe,0x46880000,0x00f4c1ff,0x203feab3,0x320df55a,
    0x442fcc2f,0x75443fea,0xd82f983f,0xfffff92f,0xff88bfff,0x2205c804,
    0x04fe81ff,0xbfbff307,0x40fee000,0x7003aa7f,0x40fee07f,0x40fec2ff,
    0x02fc86f8,0x7fc401fe,0x43c80000,0xfffeeeff,0x3fe96601,0x20df51e8,
    0x1afdc3fc,0x7f703fb8,0xbf303f90,0xf8807f98,0x0074403f,0xff703ff1,
    0xff980b83,0xb8005ffa,0x16eff03f,0xfb81fdc0,0x5f90ff03,0x5f90df10,
    0xf8803fc0,0x7c40000f,0x41ff9999,0xb96601e8,0xdf53546f,0x3267ff20,
    0x7f7076fa,0x3fa0fee0,0x260ff880,0x2ff9807f,0x3e2016c0,0x9bffd01f,
    0x55fe609f,0x7dc005ff,0x01f7ff03,0x7dc0fee0,0x5f90ff03,0x5f90df10,
    0xf8803fc0,0x76c0000f,0x81ffeeee,0xff16601a,0x0df516c5,0x6c7bff76,
    0x03fb81ff,0x1ff887f7,0x3fcc3ff0,0x900ffd40,0x03ff1009,0x02fbff62,
    0xbff53fcc,0xf81fdc00,0xf7006fcf,0x7c0fee07,0xf882fc87,0x3e02fc86,
    0x01ff1007,0xff834c00,0x16600881,0xf51a6df7,0x2066760d,0x5c0fee01,
    0xd03fe83f,0x403fcc1f,0x012a05fe,0x2200ffc4,0x547f9806,0x7f7005ff,
    0x027edfe0,0x3fb81fdc,0x05f90ff0,0x05f90df1,0xff8803fc,0x1d804400,
    0x30003ff0,0x3daff88b,0x02f837d4,0x2e07f700,0xf04fc83f,0x5c07f98d,
    0x00b500ff,0x2e00ffc4,0x43fcc05f,0xfb805ffa,0x3fa2ff03,0xb81fdc02,
    0xf90ff03f,0xe883fe05,0x401fe02f,0x06400ff8,0x03ff02d4,0xfc859848,
    0x886fa87e,0x7f70004f,0x3e60fee0,0x7cc3f886,0x40ffea07,0xf10b105a,
    0x01f9003f,0xffa83fd4,0x40fee00d,0x807fe67f,0x07f703fb,0x40bf21fe,
    0xfdca9cfd,0x001ff02d,0x2c401ff3,0x3ff102e8,0x42d41dc0,0x7fb84ff8,
    0x70005fa8,0x40fee07f,0x213624fd,0x7e4c0ffb,0xdddf501e,0xf309fddd,
    0x05d8805f,0xfd807fdc,0x09f901ef,0x7fdc1ff1,0x3209f900,0xc87f884f,
    0xbfff103f,0x3e2073f2,0xbffa801f,0x20fea620,0x0bfe607c,0x83dc0fdc,
    0x0ffc80fd,0xc8001fcc,0x409f904f,0x4c4ecefc,0xeefffffc,0x3fea02cd,
    0x1fffffff,0x2fffff22,0x2602c981,0x20befffc,0x3efffffb,0x5433ffee,
    0xff92dffd,0x7ffdc19f,0x2fffee0b,0x15bffb50,0x4c07fff7,0x7f5c0260,
    0xfc981bef,0xffffffff,0x3ff620ff,0x3fff222d,0x6fffeeef,0x21effe4c,
    0x7ffecc49,0x400020be,0x2e0bfffb,0x2600bfff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x4ccccc40,0x4cccc400,0x80800099,0x0dfffc80,0x26217fa6,0x99999999,
    0x26666219,0x99998819,0x26666621,0x4cccc419,0x26666621,0x26620009,
    0x99999999,0x4cccc419,0x09999999,0x26666666,0x2e199999,0x0303d31d,
    0x33333331,0xb8013333,0x00350000,0x44330010,0xefefffeb,0x7ff5c40d,
    0x01dfedde,0x207177e4,0x20b707fb,0xeeeeefff,0x3f664ffe,0xfb882eff,
    0x3fb263ef,0x7e4c2eff,0x3fae22df,0xceffeeff,0xdffd7101,0x8ffddddd,
    0xeeeffeb8,0xff12ffee,0xddfffddf,0x4ffa1fff,0x9a8685fc,0x99999999,
    0x006c0299,0x95002c80,0xf910bfb9,0x5c4ff707,0x87fb82ff,0xb980dfd8,
    0x204ceffc,0xf01d81fe,0xc837ec03,0x077402ff,0x103ffe88,0x43fdc07f,
    0x2a02ffb8,0x20f300ff,0x27d107fa,0x227e41f8,0x221930fa,0x0143dc0c,
    0x001b00a0,0x3e200b20,0x1fc13ee3,0x7fe43fd4,0xf883fcc0,0x3ae2283f,
    0x222fd405,0x7dc09106,0x81bfa01f,0x7f4400f9,0xf9809b06,0x40ffe607,
    0x03200ff9,0x33981fea,0x3709f907,0x143fd400,0x01b00a00,0x3200b200,
    0x7c17e61f,0xf987f983,0x903fcc2f,0xe80000df,0x0c40f20f,0x4c03ff98,
    0x007b02ff,0x0b70ffe2,0xfa80ff30,0x00ff883f,0x203fcc02,0x09f90111,
    0xff702011,0x000a7fff,0x0000d805,0x88730059,0xf307f06f,0x989ff10f,
    0x03fea07f,0x3ea00102,0x3a0003e4,0x1ff9005f,0x7dc005a8,0x3001d31f,
    0x0dfb00ff,0x80201ff1,0x200107f9,0xfc9804fc,0x0050ff03,0x0006c028,
    0x64c002c8,0x307f06fd,0x87ff50ff,0x97f607f9,0xffd57eb8,0xb51fd005,
    0x01ff9000,0xe897fa20,0x8efd8001,0x0ff3001e,0xf881ff50,0x2604880f,
    0x9003887f,0xfea8809f,0x0050ff03,0x99999728,0x4999999f,0xdeccccca,
    0x440ccccc,0x3e0df0cd,0xfd87f983,0xc83fcc0f,0x3ff2a1ef,0x00ffcaca,
    0x000ee7dc,0x5000bfe6,0x000f25ff,0x0017ffc4,0xff300ff3,0x440ff885,
    0x11fe604b,0x13f20079,0x7f81fdc0,0xa9940028,0xaabeaaaa,0x2aaa62aa,
    0xaaaacdaa,0xdf0fe60a,0x3fe60fe0,0x305ffb30,0xffddddff,0xd0bfe20b,
    0x0dff003f,0x005fe880,0x00d3df90,0x001ffb80,0x3e201fe6,0x777fc44f,
    0x2604ffee,0x3fffffff,0x2009f900,0x50ff03fb,0x06c02800,0xe802c800,
    0xdfa86f87,0x76dffcc1,0x3ff300bc,0x39fd7533,0x05f90ff0,0xd8007f70,
    0xf10000ef,0xa80003ff,0x3e6006ff,0x44ff8807,0x26440ff8,0x3c88ff30,
    0x2009f900,0x50ff03fb,0x06c02800,0xf802c800,0x001fe20f,0xf9800ff3,
    0x81ffd107,0x802fb87f,0x3ea000f8,0x7dc0001f,0x4f4c0006,0xff3004ff,
    0x885ff300,0x4c0900ff,0x9003887f,0x0fee009f,0x200143fc,0x80006c02,
    0x9dfd802c,0x003affdc,0xf9800ff3,0xf0ffe607,0x5005f70f,0x27fc4009,
    0x037d4000,0x3ee3d100,0x07f9801f,0x7c41ffa8,0x7cc0300f,0x3f200107,
    0x207f7004,0x1400287f,0x64000360,0x3ffe9802,0x7cc009fb,0x03fcc007,
    0x70ff1bfe,0x003d005f,0x002037ec,0xb00037d4,0x9806fd87,0x86fe807f,
    0x98000ff8,0x7e40007f,0x207f7004,0x2001427f,0xf9999972,0x01999999,
    0x202002c8,0x03fcc000,0xf881fe60,0x7dc3fc4f,0x7002d402,0x00c803ff,
    0x70006fa8,0x809ff10b,0x7fd407f9,0x400ff881,0x003fcc0b,0x5c013f20,
    0x557fd03f,0x2a65000a,0xaaaaaaaa,0x009802aa,0x7d400000,0x03fd4007,
    0x87f83ff9,0x77fc42fb,0x7ff3000e,0xf7006880,0x40d7000d,0x3ea02ffb,
    0x40ffea07,0x16600ff9,0xb0001fea,0x13f2009f,0x00527fd4,0x00000028,
    0x5c000000,0x3ee001ff,0x17fdc40f,0x0ff21fe6,0x4003bff1,0x3aa205fe,
    0x01ff9005,0xf101fdc0,0x3fee03ff,0x00f7e4c0,0x3a603ff5,0x000ffb83,
    0x2e01bfa0,0x7000bfff,0x55555555,0x00007555,0x00000000,0x2fbfff26,
    0x3fff2600,0x1ceffeff,0x456fff54,0x0083fffc,0x7ffffdc0,0x3fffffff,
    0x77ffecc0,0x77ff5c03,0xffffd983,0xffff930d,0x4059bddf,0xeeffffb9,
    0x260ffffe,0x00befffc,0x37fffae0,0x00000002,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x22000000,0x10002000,0x28810020,0x11000202,0x0180c400,
    0x02040208,0xf73fffc8,0x7fec3bff,0xfd902081,0x217feccd,0x2a1dfffb,
    0x998554fe,0x005dce60,0x04010200,0xa8e44000,0xffb1effe,0x3ae02987,
    0x3ae02ded,0x2c401ced,0x6eed406c,0x0361d8cf,0xf9b50057,0x6e75409f,
    0x17ddd94f,0x25eeccb8,0xffd57eb8,0xf317ee05,0xeb88be0f,0x6f98df97,
    0xff982fe8,0x2ba24b80,0xeacfdefc,0x0019f911,0xffd57ea8,0x0077fe47,
    0x22176d40,0x207e65fe,0x20dc81fe,0x224d81fe,0x83d101ff,0x2a1ea84c,
    0x222d42ff,0xb83aa00e,0x322fa85f,0x997ea3ff,0xff953646,0x01ff9595,
    0x307f61fe,0xbbffca89,0x21be20fe,0x05fb02fc,0x41df881b,0xdeb881fb,
    0xaffba801,0xbc9ffb9c,0x2e005fd9,0x3fe201de,0x07fe03d1,0x44fc85f5,
    0x837dc0fa,0x2607dc5d,0xe82fe82f,0x7cc075c4,0x7e42fd82,0xff03fea1,
    0x88b11723,0x80ff42ff,0x227dc2fc,0x047ff01c,0x0bf21be2,0x21622fd4,
    0x500ee059,0x3ff005db,0x3fc0efc8,0x0033b220,0xd01e77d4,0xa80fe81f,
    0x555576c0,0x20fc87fc,0x41fc84f9,0x3fa85fcc,0x40fe42fc,0x261c45f9,
    0xffccccff,0xf8189f92,0xf302fc87,0x1a0ffe8b,0x37c407f8,0x3fd017e4,
    0x20164164,0x19f93006,0x13ea1fe0,0x3b6603fa,0x6fd8000b,0x037c3e40,
    0x33333bf0,0x224fa833,0x20fe80ff,0xe80ff8cb,0xfd13ee1f,0x201ff101,
    0x999dfec8,0xdff30999,0x7dc3fc05,0x5d43fa02,0x7c0753fc,0x6437c407,
    0x693ee02f,0x003b00d0,0x3e067dc4,0xfd84fa87,0x000bba61,0x5c03ff30,
    0xf003fc45,0x87fe200b,0x23ff04fd,0x2e07fe4a,0x447fe26f,0x83ff01ff,
    0x05f99ec8,0x01dffd30,0x405f70ff,0xdf11d3fb,0x407f8036,0x02fc86f8,
    0x40ea3fe2,0x2000e806,0x3fc0cec8,0x0fec27d4,0x00019f91,0x93037dec,
    0xf0203ff0,0x127d400f,0x35ff01ff,0xfe80fe8b,0x7fd13ee2,0x4e983fa0,
    0xf7001be6,0xb87f81ff,0x2bbe202f,0xf016bf64,0xc86f880f,0x6dfe402f,
    0x2cc05900,0x202eda80,0xd84fa87f,0x1dfb881f,0x4fc9e400,0x09fd0110,
    0x1207fd0e,0x84f983f2,0x86f85dfd,0x642fc3fa,0xfe8df04f,0x2603fe20,
    0x43fe8871,0x402fb87f,0x3fea0efd,0x7c03fc02,0x00bfa20f,0x34c0bff3,
    0xdeb805b0,0xfa87f801,0x5401fd84,0x45a802ee,0x3ee002fe,0x3ee05c1f,
    0x5d81542f,0x3fea07dc,0x2741fc40,0x1be603ae,0x81ff0fe2,0xd9220cfe,
    0x1fe17d41,0x9f500bee,0x0ff00ff0,0xb9539fb0,0x1fe805bf,0x542fbe60,
    0xcec882fe,0x2a1fe000,0x001fd84f,0xf3017fb3,0x001ffa81,0x13f37ffa,
    0x37677ff4,0x44c83d10,0x42e44ff8,0xb007445a,0x6c26c49f,0xffcc88cf,
    0x1761fdcf,0xc87f98d5,0xc81f803f,0x007fc404,0x7e57ffe2,0x3035401c,
    0x3bdfd53d,0x2fb665d1,0x07fc4000,0x0bfa17ea,0x219f9100,0x3f624ffa,
    0xfb1003ff,0x362017df,0x4400efff,0x2e760d84,0x1b04ecef,0xefc802b8,
    0xffd304ec,0x3bffea3d,0x6de7fec2,0x2b7ffaa1,0x403fffc8,0x6d401101,
    0x09803eff,0x20180026,0xa9440819,0xffb30002,0x33ffae5b,0x02effc98,
    0x00003700,0x44003100,0x26000009,0x00006621,0x4c002600,0x44203100,
    0x00000009,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7fffffec,0xb80762ff,0x40076202,0x801800a9,0x02dc00a8,
    0x1a802a62,0x40980d40,0x9820a60a,0xbbbbbbbb,0x7730bbbb,0x77777777,
    0x40ee2177,0x100001bb,0x83724d81,0x222aaaaa,0xdddddddd,0x5511dddd,
    0x55555555,0x00000155,0x22fec0ec,0x00eb81e9,0x376013e6,0x0fe202fd,
    0x203fedd8,0x7cda607d,0x0f6e75c2,0xb87b232e,0x7cdf31ff,0xbb99221f,
    0xbbbbbbbb,0x777730bb,0xd7777777,0x3e617ec3,0x05f7ecc5,0x4c3fe238,
    0x7c5ff0ff,0x260fffff,0x99999999,0x99910999,0x99999999,0x40000039,
    0x980efb84,0x2003aa1e,0x0fa28800,0x2980ecc8,0xc9ec43f2,0xf1dc1b56,
    0x8b307449,0xffb93e1f,0x0ffcdf54,0x000007fb,0x44d83900,0x5456c0eb,
    0x89262dfd,0x3a8ae0ff,0x01555554,0x00000000,0x7cc08000,0x2a7a601f,
    0x1000000e,0x05ab4c0d,0x33fe27a8,0xa81ffaca,0x360f25fb,0x07ec1f51,
    0xe97e6b33,0x0002f40f,0x220e4000,0x20a206c6,0x41defeb8,0x00000008,
    0x00000000,0x3fa20000,0x80ef9803,0xcccccccb,0xea84cccc,0x0f43d01e,
    0x372a1320,0x8f440ade,0x4b20b65f,0x703ee2fb,0x88fb1fc5,0x9999952f,
    0x19999999,0x22072000,0x22002060,0x00000000,0x00000000,0xbfb00000,
    0x207bae00,0xaaaaaaa9,0xd302aaaa,0x0698b50f,0x372a2166,0x3e5e82de,
    0x44d11665,0x89312e4f,0x1ca9ae2e,0x2aaaaaa2,0x00aaaaaa,0x00001300,
    0x00000000,0x00000000,0xf7000000,0x31d7001d,0x4000003d,0x203a20f9,
    0xe885983c,0x0ffbcacf,0x8bbeeffa,0x643ebade,0x0aa1d89f,0x0004a832,
    0x00000000,0x00000000,0x00000000,0x40000000,0x20441ff9,0x007a60ea,
    0x8950002a,0x541d103c,0xc9ec4e64,0x964c1d55,0x00bd983a,0x20c00371,
    0x00000018,0x00000000,0x00000000,0x00000000,0x1ff40000,0x301d50d4,
    0x027cc03d,0x982ef3e6,0xffaa5c06,0x0fb02fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2fe40000,0x9802e0d8,0x4400dc02,
    0x00000000,0x000000b7,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0xeeeeeffa,0x000000ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__times_27_latin1_x[224]={ 0,2,1,0,1,0,0,0,1,0,1,0,1,0,
1,0,0,2,0,0,0,1,1,0,1,0,2,1,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,
0,0,-1,0,0,0,0,1,0,0,0,0,0,0,0,2,0,0,0,-1,1,0,-1,0,0,0,0,0,0,0,
-2,0,0,0,0,0,-1,0,0,1,0,0,0,0,0,0,0,3,1,2,0,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,2,1,0,0,0,
1,1,0,0,-1,0,0,0,0,-1,1,0,0,0,2,1,-1,1,2,1,0,0,1,1,0,1,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,
 };
static signed short stb__times_27_latin1_y[224]={ 21,4,4,4,3,4,4,4,4,4,4,6,18,14,
18,4,4,4,4,4,4,4,4,4,4,4,9,9,7,10,7,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,25,4,9,4,9,4,9,4,9,4,4,
4,4,4,9,9,9,9,9,9,9,6,10,10,10,10,10,10,4,4,4,12,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,21,9,5,4,7,4,
4,4,5,4,4,9,10,14,4,2,4,6,4,4,4,10,4,11,20,4,4,9,4,4,4,9,-1,-1,-1,0,
0,0,4,4,-1,-1,-1,0,-1,-1,-1,0,4,0,-1,-1,-1,0,0,8,4,-1,-1,-1,0,-1,4,4,4,4,
4,4,5,4,9,9,4,4,4,5,4,4,4,5,4,4,4,4,4,4,5,8,9,4,4,4,5,4,4,5,
 };
static unsigned short stb__times_27_latin1_w[224]={ 0,4,8,12,10,20,19,4,7,8,10,14,4,8,
4,7,12,8,12,11,12,10,11,12,10,12,3,5,14,14,14,9,21,18,15,16,17,15,13,18,18,8,10,18,
15,22,19,17,13,17,17,12,15,18,18,23,18,18,15,6,7,7,11,14,5,11,13,11,13,11,11,12,13,7,
7,13,7,19,13,12,13,13,9,8,7,13,12,18,12,13,11,8,2,7,14,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,0,4,10,12,12,13,
2,10,8,18,8,12,14,8,18,14,8,14,7,7,5,13,13,4,4,5,8,12,17,17,18,9,18,18,18,18,
18,18,23,16,15,15,15,15,8,8,8,8,17,19,17,17,17,17,17,11,17,18,18,18,18,18,13,12,11,11,
11,11,11,11,16,11,11,11,11,11,7,7,7,7,12,13,12,12,12,12,12,14,12,13,13,13,13,13,13,13,
 };
static unsigned short stb__times_27_latin1_h[224]={ 0,18,8,18,20,18,18,8,23,23,10,14,8,3,
4,18,18,17,17,18,17,18,18,18,18,18,13,17,12,6,12,18,23,17,17,18,17,17,17,18,17,17,18,17,
17,17,18,18,17,22,17,18,17,18,18,18,17,17,17,22,18,22,10,2,5,13,18,13,18,13,17,18,17,17,
23,17,17,12,12,13,18,18,12,13,16,12,12,12,11,17,11,23,23,23,5,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,0,18,21,18,12,17,
23,22,3,18,8,13,6,3,18,2,8,14,10,10,5,17,23,4,6,10,8,13,18,18,18,18,22,22,22,21,
21,21,17,22,22,22,22,21,22,22,22,21,17,22,23,23,23,22,22,10,18,23,23,23,22,22,17,18,18,18,
18,18,17,18,13,17,18,18,18,17,17,17,17,16,18,17,18,18,18,18,17,10,13,18,18,18,17,23,23,22,
 };
static unsigned short stb__times_27_latin1_s[224]={ 254,249,111,132,121,172,203,249,1,37,68,
222,106,196,182,237,21,150,19,85,125,97,108,139,152,163,249,249,221,125,186,
1,185,173,15,76,113,131,147,57,236,32,245,53,150,190,1,48,1,224,218,
236,161,66,24,101,94,75,59,242,93,1,48,205,155,237,34,1,222,13,138,
209,110,102,137,80,72,201,103,64,195,43,136,94,185,146,160,117,236,45,1,
207,182,216,167,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,
193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,254,250,239,
11,173,159,134,228,187,176,79,25,140,196,120,220,88,207,60,40,161,213,84,
249,120,249,97,51,185,167,148,138,1,64,83,39,102,67,166,102,119,144,160,
86,176,135,205,58,1,185,98,116,145,28,46,13,193,163,65,46,20,9,192,
76,37,224,1,13,138,25,77,41,89,101,113,206,227,235,94,177,125,31,236,
159,63,211,243,25,38,49,145,223,124,23,9,214, };
static unsigned short stb__times_27_latin1_t[224]={ 1,1,178,48,48,48,71,164,1,1,178,
146,178,178,178,71,90,109,128,90,109,90,90,90,90,90,90,48,164,178,164,
109,1,109,146,109,146,146,146,109,109,128,71,128,128,128,90,90,146,1,109,
90,146,90,109,109,146,146,146,1,109,25,178,178,178,146,90,164,90,164,128,
90,128,128,1,128,128,164,164,164,90,109,164,164,146,164,164,164,164,146,178,
1,1,1,178,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,
146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,1,25,25,
109,164,109,1,25,178,90,178,164,178,178,90,178,178,146,178,178,178,128,1,
104,178,146,178,164,71,71,71,71,48,25,25,48,48,48,128,25,25,25,25,
48,25,25,25,48,128,25,1,1,1,25,25,178,48,1,1,1,48,25,109,
71,71,48,71,71,109,71,164,128,71,71,71,109,128,128,128,146,71,146,48,
48,71,48,128,178,164,71,48,71,128,1,1,25, };
static unsigned short stb__times_27_latin1_a[224]={ 98,130,159,195,195,325,303,70,
130,130,195,220,98,130,98,108,195,195,195,195,195,195,195,195,
195,195,108,108,220,220,220,173,359,282,260,260,282,238,217,282,
282,130,152,282,238,347,282,282,217,282,260,217,238,282,282,368,
282,282,238,130,108,130,183,195,130,173,195,173,195,173,130,195,
195,108,108,195,108,303,195,195,195,195,130,152,108,195,195,282,
195,195,173,187,78,187,211,303,303,303,303,303,303,303,303,303,
303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,
303,303,303,303,303,303,303,303,98,130,195,195,195,195,78,195,
130,296,108,195,220,130,296,195,156,214,117,117,130,225,177,98,
130,117,121,195,293,293,293,173,282,282,282,282,282,282,347,260,
238,238,238,238,130,130,130,130,282,282,282,282,282,282,282,220,
282,282,282,282,282,282,217,195,173,173,173,173,173,173,260,173,
173,173,173,173,108,108,108,108,195,195,195,195,195,195,195,214,
195,195,195,195,195,195,195,195, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_27_latin1_BITMAP_HEIGHT or STB_FONT_times_27_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_27_latin1(stb_fontchar font[STB_FONT_times_27_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_times_27_latin1_BITMAP_HEIGHT][STB_FONT_times_27_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_27_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_27_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_27_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_27_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_27_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_27_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_27_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__times_27_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__times_27_latin1_s[i] + stb__times_27_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__times_27_latin1_t[i] + stb__times_27_latin1_h[i]) * recip_height;
            font[i].x0 = stb__times_27_latin1_x[i];
            font[i].y0 = stb__times_27_latin1_y[i];
            font[i].x1 = stb__times_27_latin1_x[i] + stb__times_27_latin1_w[i];
            font[i].y1 = stb__times_27_latin1_y[i] + stb__times_27_latin1_h[i];
            font[i].advance_int = (stb__times_27_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__times_27_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_27_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_27_latin1_s[i] + stb__times_27_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_27_latin1_t[i] + stb__times_27_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_27_latin1_x[i] - 0.5f;
            font[i].y0f = stb__times_27_latin1_y[i] - 0.5f;
            font[i].x1f = stb__times_27_latin1_x[i] + stb__times_27_latin1_w[i] + 0.5f;
            font[i].y1f = stb__times_27_latin1_y[i] + stb__times_27_latin1_h[i] + 0.5f;
            font[i].advance = stb__times_27_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_27_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_27_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_27_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_27_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_27_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_27_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_27_latin1_LINE_SPACING
#endif

