// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_29_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_29_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_29_latin1_BITMAP_WIDTH         256
#define STB_FONT_times_29_latin1_BITMAP_HEIGHT        216
#define STB_FONT_times_29_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_times_29_latin1_FIRST_CHAR            32
#define STB_FONT_times_29_latin1_NUM_CHARS            224

#define STB_FONT_times_29_latin1_LINE_SPACING          19

static unsigned int stb__times_29_latin1_pixels[]={
    0x00002000,0x80006000,0x20000000,0x3bbba0c0,0x9ddddb3e,0xabcba880,
    0x3ff88000,0x01771000,0x2aaaaa20,0x17f6002a,0x05ff5000,0xd7000000,
    0x3fea001b,0x50910000,0x01cc00fb,0x00f96d40,0xcbcddb88,0x16d401bc,
    0x0f9be600,0x753ee666,0x3200999f,0x3fecaacf,0x006f9800,0x203f13c8,
    0xaaffffd8,0xdf1002be,0xfee80001,0x97e6000f,0x3fd001fd,0x003fb800,
    0x7edc0da8,0x006cc007,0x1007c4c8,0x6dcc05b9,0x50026400,0xfa807cdf,
    0xdd300fd4,0x0037ee03,0x44001f50,0x7f4436c6,0x00766fff,0x40000fa8,
    0x4009d35b,0x00ffe7fb,0x6c000be2,0x102d4005,0x1f1000ff,0x07c0f880,
    0x26002e98,0x003e200f,0x5403e098,0xf880fd4f,0x037ec02f,0xb9001dc0,
    0xfffd87d8,0x800766ff,0x2440001c,0x5c400362,0x2e002ea2,0x00740004,
    0x3fc01f98,0x5c05b800,0x1e980f86,0x74069800,0x403e0003,0xc80fd4fa,
    0x07ff006f,0x7e400300,0x3ffe0220,0x00766fff,0x00800018,0x40000002,
    0x00880002,0x0ff00dd0,0xff017c00,0x01f881f0,0x7f80ea00,0x5403e000,
    0x7cc0fd4f,0x1ffb002f,0xabdba880,0x00efa800,0x3fffffe2,0x2a200766,
    0x2a00abdb,0x81aaaaaa,0x01aaaaa9,0x51000000,0x55555555,0x7f505555,
    0x4000ff00,0x81ff00fd,0x0c026c0f,0x1fe20b06,0xf500f800,0xffc81fa9,
    0x05ff9000,0x6d4d67e4,0x1ffd803f,0x3fffffa0,0x9f900766,0x207fb535,
    0x0aeffea8,0x0aefd988,0xb85bddd9,0xbddd94ee,0x314eeb85,0x9999bff9,
    0x1fd0ffb9,0x3f22ff00,0x04fa804e,0x2a0f85fd,0x36b72206,0xfa82c5f9,
    0x7cdb5006,0x1fa9f500,0x2a007fd8,0x1ee984ff,0x5c01df50,0xff902ffe,
    0x80ecdfff,0xdf501ee9,0x00bff201,0x3ff20be6,0xffc8bb01,0xff10bb01,
    0x3e63cc07,0xdd1ff007,0xf980dfff,0x0f85f906,0x11f44136,0xa81b87fd,
    0x6fec805f,0xea7d403e,0x801ffe07,0x2fe85ff9,0x1b837dc0,0xfd107ff9,
    0x80ecdfff,0x37dc02fe,0xf000ffa8,0x7c0ffa01,0x3f03fe81,0x8b00ffe0,
    0xbff006fb,0x80bff623,0xf0f707f8,0x36c07e21,0x40aa0ffc,0x4df5003f,
    0x3a9f500f,0x001bfe07,0x06fc8dff,0x2543ff88,0x36207ff2,0x20766ffe,
    0xff8806fc,0x000ffa83,0x21bea01f,0x50df506a,0x201ffc0d,0xf802fe41,
    0x406fe81f,0xf84d81ff,0x07f20d50,0x20370df1,0x4df3006c,0x3f53ea02,
    0x4400ffd0,0x0bfe65ff,0x5b07fe40,0xd300bf90,0x0bfe60ec,0x2a07fe40,
    0x01f000ff,0x80b617f4,0xf016c2fe,0x4fd8007f,0x3ee0ff00,0x2a17fc07,
    0x216e1f03,0x84fa84fa,0x4c015c05,0x29f5006f,0x03ff207e,0xf927fcc0,
    0x3fea001f,0x03ec13e2,0xff907668,0x0bfea001,0x3e001ff5,0x789bee00,
    0x0f137dc0,0x07303ff8,0x1fe009fd,0xfd007fcc,0x0f803a69,0x901fb099,
    0xd300b05f,0x8037cc03,0x5c0fd4fa,0xff5001ff,0x3003fec5,0x40fec9ff,
    0x0ecd006a,0xf9801ff6,0x007fd44f,0x8ffc00f8,0x71ff804b,0x703ff809,
    0x2009fb07,0x01ff107f,0x01951ff4,0x2fc1ec3e,0x024c3fcc,0xdf300ae2,
    0x3f53ea00,0x2007ff30,0x03ffc6fc,0x7d4bff10,0x6802541f,0x00fff076,
    0x3ea2ffc4,0x801f000f,0x7003d5fb,0xff007abf,0x7fd9999b,0x3e00bf90,
    0xf80df107,0x0f81e82f,0xd83fa899,0x2601d85f,0x00df3006,0x203f53ea,
    0x7c400ffb,0x0037fc2f,0x3ffb1bfe,0x36680064,0x20037fc1,0x07fd46ff,
    0xff800f80,0x33fe005c,0xaadff805,0xfa83fcaa,0x301ff005,0x81ff80bf,
    0x8d70f86c,0x1fe643fc,0x009d00ae,0x500d9be6,0x3601fa9f,0x427e403f,
    0x3e2007fe,0xcbffd85f,0x41d9a000,0x3e2007fe,0x007fd45f,0xffb800f8,
    0x0bfee002,0x1d40ffe0,0xff8037cc,0x2200fc80,0x40fc80ff,0x7d41f50f,
    0x2fbac88e,0x7c40892a,0x7cdf3004,0x1fa9f500,0xfc81fec0,0x001ffb03,
    0x7e40ffe6,0x3b34003f,0x3000ffd8,0x0ff987ff,0x3e200f00,0x03fc4007,
    0x07103ff8,0x2ffc01fe,0xbf3013e6,0x41f0bf60,0x3fffe22f,0x89b7bf31,
    0x802fd40c,0x5403e6f9,0x5400fd4f,0x1dedbcee,0x4007ff20,0x3ee02ffa,
    0x1d9a001f,0xa800ffe4,0x0ffcc2ff,0x9b003c40,0x2009b000,0xfc8003ff,
    0xbecff801,0x1fb803fd,0x20f83fd0,0x5415c44c,0xf984981b,0x7cdf3006,
    0x1fa9f500,0x1bffee00,0x4013fe20,0x4fb806fc,0x441d9a00,0xdf9004ff,
    0x3003ff10,0x0007c00d,0x3ff8007c,0x02740880,0x00198bfc,0x40ff81ba,
    0x0003a20f,0x1fe203a0,0x01f2fcc0,0x003f53ea,0x804fff98,0x7c400ffb,
    0x2ec3c81f,0x5c0ecd00,0x7fc400ff,0x7009ff01,0x0016a009,0x3ff8016a,
    0x034c0d80,0xfa8003fc,0x03e1f601,0x2d8000d3,0x7cc017e0,0xa7d403e4,
    0x3620007e,0x4fe803ff,0x6e827e40,0x6cd0015c,0xc809fd01,0x03bea04f,
    0x3d000fa8,0x4003d000,0x82d403ff,0x003fc04c,0x43d402d8,0x000db80f,
    0x0be016c4,0x01f1fcc0,0x003f53ea,0x005fecc0,0x1fec13f2,0x40068d50,
    0x4fc80766,0xf9007fb0,0x02fb881d,0x400fb3b6,0x2003eced,0xf7104ff8,
    0x440b6205,0x264000ff,0x807c2e80,0xdb800ae9,0x95035401,0x741f1ea1,
    0xdfd4feee,0x440009dd,0x3aa02cdb,0x00dfdcde,0x001bbbb8,0xea803b34,
    0x00dfdcde,0x3b7fff20,0x3fe202ef,0xfff1005f,0x3fae200b,0xffffffff,
    0x415c00ff,0x32002ffa,0xf8ae2002,0x33bae200,0x02eca99a,0x3fa00db8,
    0x307c1dbe,0x26213333,0x00000999,0x000a9800,0x151c0000,0x00054c00,
    0x0026aa60,0x26000e4c,0x0000001c,0x665c1100,0x009804cc,0x00325100,
    0x0d5e654c,0xb8801a80,0x000c80ac,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3ea00000,0x3600000f,
    0x0000006f,0x017fe200,0x88000000,0x100004fe,0x10000dff,0xf50007ff,
    0xfb00007f,0x0ffe200d,0x26f2a200,0x45fd80e0,0x77dc00ca,0xc8000a22,
    0x3e00003f,0x3ee0000e,0x2000a22e,0x0002fefc,0x01445df7,0x0006f980,
    0x005fdf90,0x0004fa80,0x0001ffdd,0x26000ef8,0x3bae006f,0x6ddfdaac,
    0xfe81df10,0x3ff76203,0x40001cbe,0xf500005d,0x6ecc0003,0x001dbeff,
    0x006d8f44,0xbeffdd88,0x3ea0001c,0x8f440000,0x2ec0006c,0x9d35b800,
    0x00fd4000,0x64007d40,0x41bee03f,0x03fe80fa,0x04ffd98a,0x0001d000,
    0x28000390,0x0013ff66,0x80077032,0x013ff662,0x0000ee00,0x0003b819,
    0x1220003a,0x320001b1,0x00ae0001,0x0f700bf9,0x017ec072,0x00001101,
    0x0c000044,0x04404000,0x00300800,0x00008808,0x01000060,0x00440006,
    0x00020080,0x00c0000c,0x1a001df9,0x511f900c,0xa9803555,0x5551aaaa,
    0x53035555,0x2aa35555,0x981aaaaa,0x401aaaaa,0x00abdba8,0xabdba880,
    0x001c0000,0x00000e00,0x55544007,0xaaaaaaaa,0x5555442a,0xaaaaaaaa,
    0x20038002,0x2aaaaaa8,0x2e003ff8,0x55555510,0xfc98bd45,0x366200ff,
    0xfd510adf,0xb31015df,0x3aa215df,0x9880aeff,0x3200aefd,0x3fda9acf,
    0x26b3f200,0x50003fda,0x2a00001f,0xf500000f,0x3f262001,0xdcccccdf,
    0x7fe4c47f,0xfdcccccd,0x007d4007,0xbfffc988,0x0017fcc1,0xbfffc988,
    0x3fea1a61,0x901f9806,0x5f3005ff,0x200bff20,0x3ba602f9,0x401df501,
    0xdf501ee9,0x03fd8001,0x007fb000,0x000ff600,0x3cc07ff1,0x2603ff88,
    0x01fec007,0xfb82ffc0,0xff80001f,0x3ffe0705,0xa807c404,0x01f000ff,
    0x7c003fea,0x700bfa00,0x017f40df,0xf9801bee,0xf980006f,0xf980006f,
    0x3ff8006f,0x07ff02c0,0x3fe60058,0x04fe8006,0x20000ffb,0x77c004fe,
    0x807c03ff,0x1f000ffa,0x4003fea0,0x00df900f,0xdf907ff1,0x007ff100,
    0x000bff72,0x005ffb90,0x02ffdc80,0x0601ffc0,0x00c03ff8,0x005ffb90,
    0xdff04fe8,0x13fa0000,0x3ffd3f00,0xffa807c0,0x2a01f000,0x01f000ff,
    0x32005ff3,0x0bfe60ff,0x2007fe40,0x005fd8f8,0x17f63e20,0xfd8f8800,
    0x01ffc005,0x0007ff00,0x17f63e20,0x3e09fd00,0xfd00007f,0xe88f8009,
    0x201f00ff,0x1f000ffa,0x4003fea0,0x00ffc80f,0x7e45ff50,0x5ff5000f,
    0x1ff55b80,0x7d56e000,0x2b70000f,0x3e000ffa,0xf807303f,0x4007303f,
    0x001ff55b,0xffd827f4,0x4fe80001,0xff987c00,0x3ea01f06,0x201f000f,
    0x1f000ffa,0x4c00ffb0,0x01ff64ff,0x7404ff98,0x40013fe1,0x0013fe1e,
    0x009ff0f4,0x03b81ffc,0x03b81ffc,0x04ff87a0,0x7e413fa0,0xfe80002f,
    0xf507c004,0x2a01f0bf,0x01f000ff,0x7c003fea,0x2007ff80,0x1ffe5ff8,
    0x205ff880,0x003fdc6a,0x01fee354,0x0ff71aa0,0x6666ffc0,0x7fc03fec,
    0x3feccccd,0x7fb8d500,0x4413fa00,0x404004ff,0x07c004fe,0x01f0fff2,
    0x7c003fea,0x001ff500,0x01bfe03e,0x37fcdff0,0xd81bfe00,0x0017fc42,
    0x05ff10b6,0x7fc42d80,0x55bff002,0xf807f955,0xfcaaaadf,0xf885b003,
    0x09fd002f,0xa800ffe4,0x4004fe80,0x22ffd80f,0x01ff500f,0x7fd403e0,
    0xfd01f000,0x2ffc400f,0x7c400ffd,0x360f305f,0x41e6006f,0x1e6006fd,
    0xff8037ec,0xff807503,0xf3007503,0x7401bf60,0x3ffa204f,0xfe80d401,
    0x4407c004,0x201f0ffe,0x0f000ff9,0x78007fcc,0x2001ffb0,0x3ff63ff9,
    0x07ff3000,0x3bbbbbf2,0xf9001ffe,0xffdddddd,0x3bbf2003,0x01ffeeee,
    0x07103ff8,0x07103ff8,0xdddddf90,0xfd003ffd,0x37dfb009,0x3fa01c98,
    0x8807c004,0x300f8eff,0x0f1003ff,0x4400ffcc,0x003ff907,0xffc8bfea,
    0x05ff5001,0x333333f1,0xf100bfd3,0xd3333333,0x33f100bf,0xbfd33333,
    0x0007ff00,0x10001ffc,0x3333333f,0x9fd00bfd,0x3fff6e00,0x7f401cee,
    0x5007c004,0x2201fbff,0x069801ff,0x26007fe2,0x009ff106,0x9ff11bf2,
    0x5c1bf200,0x007fdc05,0x1ff7016e,0x7dc05b80,0x01ffc00f,0x01ffc044,
    0x202dc044,0x7f400ffb,0x00bc8004,0xf0013fa0,0x0fffb801,0x2e013fe0,
    0x4027fc04,0x03fee04b,0xf703ff10,0x1ff8801f,0xff8803d0,0x2200f403,
    0x00f403ff,0xff00ffe2,0xff01b007,0x3d01b007,0x403ff880,0x7c4004fe,
    0x13fa001e,0xfb003f00,0x077d401f,0xfa801f50,0x003ea00e,0x4fc809fd,
    0xf9013fa0,0x6c01ee09,0x00f700ff,0x3dc03ff6,0x200ffd80,0x82d403ff,
    0x42d403ff,0x1ffb007b,0x40027fc0,0x3fe003fb,0x00fe2004,0x3f2007f4,
    0x017dc40e,0x5c40efc8,0x09f9002f,0x3f200ff6,0x2207fb04,0xbff9005f,
    0x3200bf10,0x05f885ff,0x220bff90,0x5f7104ff,0x2209ff10,0x02fc42fb,
    0xf105ffc8,0x3f5000bf,0x017fe200,0x073fff22,0xf9001f10,0x05dfdbff,
    0xedfffc80,0x754002ef,0x00dfdcde,0x3737baa0,0xfff700df,0x3ff2205b,
    0xfff72eff,0x3ff2205b,0xfff72eff,0x3ff2205b,0xfd712eff,0xffffffff,
    0x7f5c41ff,0xffffffff,0x3ffee0ff,0xfff9102d,0x3ff225df,0xd8803dff,
    0xffc8803d,0x00003dff,0xaa980010,0x54c00009,0x9800009a,0xa980000a,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0bfe6000,0xb71ec400,0x0bff1001,0x2d986e40,0x0072a000,
    0x6401dc00,0x9005b30d,0x880b6619,0x40036a3d,0x00040048,0x00020000,
    0x40040004,0x44006000,0x01fe4002,0x7fcff700,0x2fefc803,0xf92ff880,
    0x26f2000d,0x0e80001d,0xfc97fc40,0xc97fc407,0x43fee06f,0xeb8804ff,
    0x76e400ab,0x2cc3c803,0x3bf7f220,0x4003a001,0xfd501fda,0x7400ec00,
    0x013a004f,0x75c9d100,0x6d874c01,0x3a61b900,0x2ccd0003,0x40162000,
    0x007d30dc,0x80fa61b9,0x807ae4d8,0xffcebec8,0x80349304,0x400cdaeb,
    0x01fb11ee,0x36a00b30,0x7fdb81ff,0x3a012a00,0x00b1004f,0x0c800000,
    0x000001dc,0x003b86c0,0x000015c0,0x00000000,0x0f92c5b6,0x8800d8ae,
    0x3fa803fe,0x1e4027d4,0x4407fe00,0x01e2007f,0x0011000c,0x55555554,
    0xaaaaa981,0x4400c021,0x000abdba,0x0019db30,0x38000e80,0x2aaaa200,
    0x2aaa22aa,0xaaaaaaaa,0x589fc42a,0x5d7441e6,0xfdaeb805,0x2217e400,
    0x000e807f,0x7f880ffc,0x2000ec00,0x1aaaaaa9,0x1aaaaa98,0x15dffd51,
    0x15dfb310,0x2aaaaaa2,0x4d67e402,0x50003fda,0xdb30001f,0xfa8005ff,
    0xff931000,0x7e4c437f,0xdcccccdf,0x58a7dc7f,0x0057102c,0x2037c453,
    0x03fc41fd,0x3fa00166,0x800ff101,0x3222804a,0x880affff,0x640aeffa,
    0x2f9802ff,0x5fffe4c4,0x203dd301,0x6c000efa,0x975c003f,0x36004fec,
    0x5ff8003f,0x980ffe20,0x2c47fd47,0xb8000006,0x507fa04f,0x002c80bf,
    0xff101fe8,0x58078800,0xe806ffa8,0x01ff500e,0x5ff803e0,0x2e017f40,
    0x3fe6006f,0xe8fe6006,0xff3007fa,0x09fd000d,0x42c03ff8,0x88059eff,
    0x401deecb,0x3ffdedc8,0x76c43fd0,0x32007401,0x01feadee,0x3bf66ff1,
    0x68807603,0x4c03ffb0,0x03fea01f,0x9fd007c0,0x44037e40,0xfb9003ff,
    0x47fa005f,0x9004c8ca,0xe8005ffb,0x01ffc04f,0x17ffea06,0x0ff99ba0,
    0x3e619d30,0x2e3fd07f,0x02cc00ff,0x3fa21bd1,0xf3ff101f,0x2a0bfffd,
    0x7c41e604,0x500f606f,0x03e001ff,0xff304fe8,0x03ff2005,0x0bfb1f10,
    0x001d9be0,0x02fec7c4,0xff013fa0,0x3fea0007,0x87f500df,0x50bd02fe,
    0x23fd03ff,0x3202efb8,0x3e61b602,0x1bff101f,0x3c0bff66,0x7fd40f30,
    0xfa806a83,0x401f000f,0x1ff904fe,0x00bfea00,0x003feab7,0x001a2bf3,
    0x007fd56e,0xff809fd0,0xd8807303,0x1fa81eff,0x17dc1fe4,0x1fe83fe8,
    0x0e817fcc,0x3fe07f50,0x360ff101,0x2a05b06f,0x83ff600f,0xffa801f8,
    0x7401f000,0x00ffb04f,0x3a027fcc,0xf3013fe1,0x3a000ead,0xe8013fe1,
    0x81ffc04f,0xfff8803b,0x4fea801f,0xbf702fe8,0xbf903fd0,0x17ec0b30,
    0xff101fe8,0x2541fe60,0x3e201fb8,0x5401325f,0x01f000ff,0x7ff827f4,
    0x817fe200,0x203fdc6a,0x180d8ff8,0x0ff71aa0,0x3e027f40,0xfeccccdf,
    0xfe9d8803,0xf95b9107,0x2a03ff09,0x981fe87f,0x3e02c87f,0x203fd01f,
    0x1ff107f8,0x017e41e0,0x01a6bfea,0xf000ffa8,0xf827f401,0x37fc006f,
    0x2ff885b0,0x142eff40,0x5ff10b60,0xf013fa00,0xf95555bf,0x3a2b1007,
    0xf71fd42f,0x302ff889,0x203fd0ff,0x880740ff,0x03fd02ff,0x07f81fe2,
    0x00ff60b6,0x800bbff6,0x1f000ffa,0xfe827f40,0x17fe2007,0x06fd83cc,
    0x0aa27fe4,0x0dfb0798,0xff013fa0,0x1020ea07,0x7f52fdcb,0x4ff84fb8,
    0x3fd0bf30,0x80b31fe0,0x03fd03ff,0x37c41fe2,0x09fd0950,0x800bff10,
    0x0f000ff9,0xffb04fe8,0x0ffe6001,0x777777e4,0x7f401ffe,0x6406edef,
    0xfeeeeeef,0x04fe801f,0x83881ffc,0x4fa9621c,0x09f703fa,0x13ea0bfb,
    0x227c07fa,0x82ff402c,0x0ff101fe,0xf0f013e6,0x13fa00bf,0x003ff300,
    0x04fe80f1,0x2a003ff9,0x99f882ff,0x5fe99999,0x67fffd40,0x2667e200,
    0x05fe9999,0x7fc04fe8,0xb1264003,0x85ff17e4,0x7fcc14fd,0xfe80fc82,
    0x85f32f99,0x17fdc00e,0x7f880ffc,0x2d801db0,0xfe802ffc,0x0ffc4004,
    0x3fa034c0,0x009ff104,0x02dc1bf2,0x9c803fee,0x80b70018,0x7f400ffb,
    0x401ffc04,0x5625f908,0x577e44f9,0x42befdda,0x07ea0efc,0xb9fccffc,
    0x7401660e,0xffea9dff,0x43ff882d,0x45a801fc,0x9fd004fe,0x009ff000,
    0x04fe8097,0xf1003fee,0x1007a03f,0x003407ff,0x3fe200f4,0x2027f403,
    0x30d803ff,0x7fbdbffb,0x31bffb10,0x3fea05ff,0xfd982ded,0x81bbd91f,
    0x3ff6002c,0x01cfe8ef,0x1bf9dfb1,0x02e63c00,0x40027f40,0x3ea00efa,
    0x2027f400,0x27e404fe,0xffb007b8,0xb8009501,0x01ffb007,0x3fe027fc,
    0xa982d403,0x0408800e,0x00001880,0x13100050,0x02660014,0x80002600,
    0xf90004ff,0x02fb881d,0xfc804ff8,0x2207fb04,0xbff9005f,0x7c4003b0,
    0x0bff9005,0xf8817fe2,0x05f7104f,0x000002c4,0x00000000,0x00000000,
    0x3e200000,0x3f20006f,0x02efedff,0x5005ff88,0x1bfb9bdd,0x0b7ffee0,
    0x77fffe44,0xffb80162,0xff9102df,0x3f225dff,0x2e23dfff,0xfffffffe,
    0x0000ffff,0x00000000,0x00000000,0x00000000,0xdffff910,0x554c0007,
    0xffc88009,0x26003dff,0x0000000a,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x002f2a00,0x3ba601dc,
    0xdba88001,0xa81220ac,0x818800ee,0xd3000000,0x3ed8805d,0x00fba200,
    0x00000fb6,0x41379510,0x95002a03,0x50120015,0x50122007,0x2005c007,
    0x1bb02cb8,0x069801f9,0xc8009f90,0x3fdb9abf,0x3ffe205b,0x17ffd405,
    0xfe93ea07,0x004fb800,0x7d400df3,0x1fffb805,0x1fd43ba0,0x2ab3bae0,
    0xf706ddfd,0x2fdeec0f,0xfb881dc0,0x2205b005,0x0b5005fb,0x77ffff44,
    0x27c47ee0,0x6d8007a0,0x203dd300,0x57204ffa,0x367201fb,0xf904deff,
    0x200bfe2d,0x07d4005e,0x4400ec80,0xf305e8af,0xc81bf65f,0x41bee03f,
    0x5c3107fa,0x74034c06,0xe805a805,0x200e8805,0x3ffc99bc,0x640dd1f6,
    0x400e8004,0x7e402ff8,0x0598b106,0x027e4c51,0x401d4391,0x3c8000e8,
    0x39001d00,0x447702d8,0x00bf901c,0x8004c0f7,0x400f401d,0x0074405d,
    0x01ec02ec,0x7cdf9055,0x34c07ec7,0x64018800,0x7f74c06f,0x00110183,
    0x26000000,0x200a0000,0x50188018,0x1df90000,0x30001a00,0x025c05fb,
    0x01e405d8,0x02d405d8,0x1fe6f980,0x003d03fb,0x0bfe6000,0x0ffc9e88,
    0x00000000,0x00000000,0x00000000,0x7001ffc0,0x71002e01,0x01d103fb,
    0x06981760,0x0e881760,0x6c7f1000,0x7903fa0f,0x7765c400,0x03ff901d,
    0x43ffa974,0x01deecb8,0x077bb2e2,0x1deecb88,0x37bb2e20,0x77f6c401,
    0x3bfb6203,0x3bfb6203,0x3bfb6203,0x002ff983,0x7c400900,0x36002d84,
    0xd8007a05,0x8000f205,0xf88fdc5b,0x3a0034c5,0x3603fe66,0x4c9900ff,
    0xf33744ff,0xf99ba01f,0x7ccdd00f,0x7ccdd00f,0x225d500f,0x12ea85fd,
    0x25d50bfb,0x2ea85fd8,0xffb8bfb1,0x00b00001,0x002dc0e8,0x001e4176,
    0x0034c176,0x1bb01d30,0x007441b9,0x2fe87f50,0x8b707ff8,0x0fea5ff8,
    0x87f505fd,0x43fa82fe,0x43fa82fe,0x42f882fe,0x0be22ff8,0x17c45ff1,
    0x2f88bfe2,0xffb17fc4,0x80f20000,0x444b8ac9,0x4374000e,0x06e80069,
    0xf710003d,0x2072609f,0x40dd443c,0x41fe41fa,0x80e987ff,0x907ea6ff,
    0xc83f507f,0x641fa83f,0x641fa83f,0xfd07b83f,0x5fe83dcb,0x72ff41ee,
    0xff97fa0f,0x0fa80006,0x202b2e20,0x9909502d,0x2a21e899,0x8999902c,
    0x5409503c,0x000effec,0xe9ce88b5,0x84fea803,0x07a20ffe,0xd5013fe2,
    0x3faa009f,0x09fd5004,0x3613faa0,0xcccccccf,0x33333f63,0x33f63ccc,
    0x23cccccc,0xccccccfd,0x001ffe3c,0x80009f10,0x00df305a,0x3f33a25c,
    0x4c1a6006,0x5ff7006f,0x6e81d100,0x372207ee,0xffc84fca,0x7fcc0ba1,
    0xfcadc883,0x32b72204,0x2b72204f,0x372204fc,0x06e84fca,0x6e801ba0,
    0xd801ba00,0x360001ff,0x3a20001f,0x006de880,0x3ee1b8d3,0xd103d001,
    0x2fe400db,0x97e21ec0,0x71fd44f9,0x27ff709f,0x07fee04d,0x827dc7f5,
    0x413ee3fa,0x413ee3fa,0x213ee3fa,0x01fe007f,0x1fe007f8,0x002ffc80,
    0x8000ff50,0x0d93b03d,0x1f3007a0,0x27609700,0x1be6006c,0x49f50b50,
    0x70fea5f8,0x79ff109f,0x546fc80b,0x5427dc3f,0x5427dc3f,0x5427dc3f,
    0x7427dc3f,0x2fe8602f,0x202fe860,0x2180bfa1,0x84004ff8,0x00dc85fc,
    0xd92c8354,0xb9009700,0x4b20d300,0x02fc006c,0x49f501d1,0x703fa6f8,
    0x3bfea09f,0xd03fe200,0xe84fb81f,0x7427dc0f,0x7427dc0f,0x6c27dc0f,
    0x7ec7306f,0x37ec7306,0x41bf6398,0x00ffe439,0xb07fb0a8,0x40f4405f,
    0xd101b23b,0x800e8801,0x1b23b81e,0x3603f980,0x7ccbf102,0x9fb0bfe5,
    0xb013f602,0xd85ff05f,0x217fc14f,0x17fc14fd,0x5ff053f6,0x7cc14fd8,
    0x983620ef,0x83620eff,0x3620eff9,0x883bfe60,0x0fff440d,0x86fb86a0,
    0x40f201fa,0x0effeeef,0x0d8805b0,0xddf04b80,0x9001dffd,0x3a02dc0d,
    0xefc8bee6,0x2befddaa,0xd827ef44,0x55df903f,0x6457dfbb,0xefddaaef,
    0x2abbf22b,0x322befdd,0xefddaaef,0x77ffe42b,0xfffc83fe,0xffc83fee,
    0xfc83feef,0x203feeff,0x64c1befd,0x2cc0ff81,0x4ccc0d30,0x0b701ed9,
    0x44060d88,0xb333300e,0x885fe43d,0x01d100ec,0x44e9bf88,0xf98dffd8,
    0xfd33d82f,0x401bfb9b,0xf98dffd8,0x6ffec42f,0x6c42ff98,0x2ff98dff,
    0x4c6ffec4,0xfff702ff,0x7ffdc07f,0x3ffee03f,0x3ffee03f,0xffdb803f,
    0xf501ceef,0x403d537f,0x41b2001e,0x3be600e8,0x05b05eee,0x3fee3640,
    0x16403eef,0x200cb880,0x20500408,0x044001a9,0x00811002,0x11002044,
    0x01330008,0x4c002660,0x01330009,0x20015300,0x4c02cca8,0xa81d4003,
    0x66666402,0x4003881c,0x0003303a,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0x5000bca8,
    0x01555555,0x546aaaa6,0x81aaaaaa,0x01aaaaa9,0x17950000,0x2aaaaa60,
    0x55555511,0x1aaaa981,0x40017b20,0xa88003ed,0x4c00abdb,0x5555500c,
    0x59530015,0x2b32a200,0x2aaa2000,0x982aaaaa,0x5cc02ccb,0x7dc000bc,
    0x8801fcad,0x202efffb,0x510cffc9,0x1015dffd,0xb015dfb3,0x2017e63f,
    0x81fb9df8,0x10cfffb8,0x813dffd5,0x300bffa8,0x98007fff,0xcfc8006f,
    0x203fda9a,0xfff984fe,0x6ec407ff,0xbddb800a,0x803ddb98,0xfffffffd,
    0x54576c6f,0xb37f905e,0x17e6005f,0x7fdc00b9,0x320bf003,0x2f9802ff,
    0x3fdcffe0,0x07f236c0,0x7cc07fe4,0x201f404f,0x000fd8ce,0xe98003b2,
    0x01df501e,0xdddb0bff,0x1fdc07dd,0xb9007900,0x3bbfe201,0x2a3feeee,
    0x321fc40f,0x4017ec0f,0x003dc3fc,0x3e6017fe,0x001ff500,0x10ca803e,
    0x43fb8057,0x5ff305f8,0xf8817fa0,0x0970ea00,0x3a000740,0x437dc02f,
    0x0034c5ff,0xbc800ff2,0xc8099999,0x7d409706,0x236c17a0,0x806f985f,
    0x002743fd,0x97003ff2,0x8007fd40,0x4400000f,0x01fe80ff,0x3fee0bfd,
    0x0180b500,0x00062003,0xff100df9,0x16c4fe87,0x400bf500,0xd75ff53c,
    0x0384c85b,0x20df1364,0x207f30fd,0x37e403fe,0xf88003f5,0x500fc03f,
    0x03e001ff,0x0bf50000,0x7fdc13f6,0xb02ff880,0x00000005,0x002ff980,
    0x1fec1ff9,0x88015bf3,0x8b1000ff,0x1607f47e,0x5ff0fe00,0x817e4bf0,
    0x7fd404fc,0x33312fc9,0x037ec013,0x0ffa80d5,0xedc81f00,0x03bbb20e,
    0x37e417ee,0xfa82ff88,0xb901f05f,0x777641dd,0x90776e40,0xff901ddd,
    0x8bfea001,0x3fff62fc,0x017f604f,0x2e3f43a8,0x5000dc3f,0x22ffc81f,
    0x40ffa0ed,0x7fc406fb,0x3ffe60cf,0x0bfe602d,0x3fea016c,0xf301f000,
    0x80ffa81f,0x0ff704fd,0x7f6c2fec,0xf302d40f,0x80ffa81f,0x7fd40ff9,
    0x2007fd80,0x87ee4ff9,0x1efffedb,0x75ccffc4,0x7e81903d,0x00e617e4,
    0x7ffd06c8,0x04fe81b9,0xff980ff7,0x003fc81f,0x00f10bfd,0x3e001ff5,
    0xff01ff00,0x2a07fd01,0x83fea07f,0x6c3ff8f8,0x7c07fc02,0xf01ff00f,
    0x00fff01f,0x1f52ffc4,0x31bff620,0xff735bff,0x22fd0b0b,0x400b04fb,
    0x1bff603f,0x6fc83fe4,0x1bfeff20,0xffa801b2,0x7d402641,0x201f000f,
    0x80ff80ff,0x1ff503ff,0x5a8ffe20,0x007c4dfb,0x03fe03fe,0x07fc07fc,
    0x3e0037fc,0x2e01ea6f,0x21bee4ff,0x742c2ffa,0x1600ffcf,0xf3007d40,
    0xff881dff,0x217fa20c,0x7ff91ee8,0x7fc001e8,0x7d400fc4,0x201f000f,
    0x80ff80ff,0x0ff503ff,0x54b65fd8,0xf00b50ff,0x201ff01f,0x80ff80ff,
    0x3e2007fe,0x5c01e65f,0x7417f66f,0xbbf42c6f,0x200b104f,0x2e3aa06c,
    0x7fd40eff,0x83ffcccf,0x3ffe21fe,0xf9000970,0x4c01aa1f,0x40f000ff,
    0x80ff80ff,0x0bf704fe,0x4788ffa8,0xf005b3ff,0x201ff01f,0x80ff80ff,
    0xf3000ffd,0x8803447f,0x6413fa7f,0x9fa0dc7f,0x003a81fd,0xa87ea07f,
    0x2cb885ff,0x6f981ff5,0x068dffa8,0x367ff100,0x03ff3002,0x07fc0f10,
    0x27ec07fc,0xff804fb8,0x477e45bb,0xf01ff007,0x203fe01f,0x1ffc80ff,
    0x585ff500,0x4fc9f600,0x4398ff50,0x321ba27e,0xd00f9800,0x001ff50d,
    0x0bf90bfd,0x0007fff6,0x0079efd8,0x26007fe2,0x3e03fe06,0xb05fa80f,
    0xbdf9007f,0x05cffa85,0x1ff01ff0,0x3fe03fe0,0x004ff880,0x40030df9,
    0x4c17ee5d,0x23fc684f,0x401a25f9,0x209f306c,0x77cc03fc,0xf107ff80,
    0x200205ff,0x4004eff9,0x04b804ff,0x03fe07fa,0x00fe83fc,0xff07ff98,
    0x07fa005f,0x0ff403fe,0xffb807fc,0x00ffc400,0x7cc5f100,0xb303f707,
    0x5c39dd91,0xf001d8ce,0x5417e607,0x8077403f,0xfe982ffc,0x800dc3ff,
    0x54000ffe,0x03ea00ef,0x7fdc3fe8,0xf985f700,0x413fe002,0x3fa007fc,
    0xe807fdc3,0x007fdc3f,0x4fc809fd,0x5c80c288,0x07d83fc8,0x0ec40166,
    0x3a00f980,0x201fb80f,0x3fe200ed,0x9aec9adf,0x04ecfffe,0x40017ea0,
    0x7dc40efc,0x5577e402,0xb02cffad,0x64005e8d,0x009f301f,0x56d577e4,
    0xefc82cff,0x2cffadaa,0x7ec13f20,0x3f29fd03,0x00dea8ae,0x017cc1fd,
    0x6d440766,0x501b2001,0x2209d07f,0xffa800fd,0x3620cfff,0x4000dfff,
    0x3f20002f,0x02efedff,0x3e3fffd0,0x33b200cf,0x34c000ce,0xfd000ba0,
    0x033fe3ff,0xff8ffff4,0x6f75400c,0x3a00dfdc,0xbfffd33f,0xdceb8805,
    0xbb71001e,0x0017bb77,0xefa803e8,0x65442ecb,0x262000be,0x0054401a,
    0x30000180,0x30001355,0x00c00283,0x00300600,0x20050660,0x98001419,
    0x2206000a,0x00130001,0x40001980,0x0262000a,0x000004cc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0x800acca8,0x401aaaa8,0x01aaaaa9,0x320009d9,0x3000005e,
    0x200179b9,0xd7001cb8,0x8000200b,0x00200818,0xa81b0000,0x00801003,
    0x372a2000,0x4c0150ac,0x0070abdb,0x4c5eedc0,0x26203ddb,0x2200fffc,
    0x100adfd9,0xff0001ff,0xbbbb1003,0x65c13337,0x401ffc89,0x406e89db,
    0x2603fff8,0xfc8001fd,0x260711df,0x4c7f605f,0xc878805f,0x37fb2602,
    0x000fecc1,0x26b3bae0,0x900edfca,0xfdfb75bf,0x1e409f50,0x2a006e40,
    0x1f9806ff,0x4002f980,0x4f8801f9,0x44ffffe6,0x2a06fb87,0xd80bee0f,
    0xf9501f94,0xac88003f,0x501edffe,0xb9ffc0df,0xe859807f,0x7fdcd301,
    0x003ff950,0x8813f620,0x82fc81fe,0x06fd87fa,0x8aba9879,0xff806c98,
    0x007c404f,0x1e4005a8,0x7f41fb80,0x3e207e42,0xe88ff01f,0x04b89301,
    0x850007fe,0x04c03fda,0x0ae21950,0x20f112e0,0x207e43f8,0xfb0001ff,
    0x885f3009,0x221ea06f,0x3a23c81c,0x93fdb89b,0x3ffef809,0x050007c0,
    0x1fe00280,0x07f917f2,0x0bf107fd,0x20130180,0x000001fe,0x90000000,
    0x7f505985,0x0007fa00,0x2c801fee,0x01e037cc,0x40be6588,0xd3f0164e,
    0x007c03ff,0x44000000,0x237d40ff,0x81ff81e9,0x000005fa,0x00001fe8,
    0x00000000,0xf704b81d,0x007fa005,0x8800ffe0,0xb017fcc2,0x5f89d400,
    0x201b9260,0x00ffe88f,0x7edc401f,0x6dc400ce,0x3fa00cef,0x98017dc3,
    0x00bf506f,0x0cefdb88,0x20007fa0,0x00cefdb8,0x77edc400,0xffffb80c,
    0x4fffffff,0xfe8017ec,0x0ffcc001,0x27ffc000,0x5c320008,0x80e6002f,
    0x20dff30f,0x5c9d100f,0x49d101ff,0xbf501ffb,0x3f2007e8,0x400df501,
    0x07fee4e8,0x4feb8ff4,0xffb93a20,0x220db501,0x107fee4e,0x3333b733,
    0x3fb6135f,0x3a02eeef,0x37bb661f,0x0003fdc2,0x02efff98,0x01fd9600,
    0x541f02c0,0xb00f85ff,0xb01ff30b,0x201ff30b,0x01debefa,0xb9709f10,
    0x401999ff,0x80ff985d,0xffcdc9fe,0xff30bb03,0x837fe441,0x00ff985d,
    0x99878897,0x20099bfd,0x80f641fe,0x554407fd,0x7d41aaaa,0x8001dfff,
    0xb0007fa5,0x3ff207c0,0x1fdc07c3,0x1fdc4fe8,0x11b04fe8,0x20b70003,
    0xcccffdcb,0x3a07f700,0x20dfe84f,0x03fb87f9,0x0df509fd,0x13fa07f7,
    0xd816616c,0x43fd002f,0x1ffe00eb,0x0bffee20,0x27fffe44,0x02fd9600,
    0x80f81620,0x203e2ffd,0x8ff702fd,0x0ff702fd,0x0e8000bb,0xd803fcc0,
    0xd0ff702f,0xd87f883f,0x50ff702f,0x205fb0df,0xb81f07fb,0x400bf604,
    0xf00b71fe,0x3fe001ff,0xfffe9805,0x8dc0b885,0x0ea004fb,0xffe880f8,
    0x05fd01f0,0x2fe83fea,0xff81ff50,0x01ccdeee,0x37c40154,0xf502fe80,
    0xf81fe81f,0xa817f40f,0x437cc0ff,0x1ff502fe,0x3333f32a,0x6c2ccdec,
    0x93fd002f,0x0bff600b,0x70027f40,0xfff87fff,0x00fe8e60,0x1f006451,
    0x3e3bfe20,0xf303ff80,0xf303ff8f,0xfffff50f,0x05c0bfff,0xff005f80,
    0x3a1fe607,0x7c0ff81f,0x30ff303f,0x207ff0df,0x3b72a7f9,0xcccfcccc,
    0xe8017ec2,0xf9006fdf,0x13fa009f,0x37fcc031,0x44d0bffe,0xd124c0ee,
    0x3ea00f80,0x5fd80fdf,0x5fd8df30,0x2770df30,0x1fcaa998,0x027c0070,
    0xdf305fd8,0x1ff03fd0,0xdf305fd8,0xbfb0df30,0x0ee1be60,0x02fd80f1,
    0x09fd5fd0,0x200dff10,0x2024c4fe,0x2e620ffb,0x3bae2cc3,0x007623cd,
    0xfffb801f,0xf507fa80,0xf507fa89,0x1c806a89,0x07e66000,0x20ff50cc,
    0x81fe84fa,0x83fd40ff,0x86f984fa,0x09f507fa,0x6c05985b,0x13fd002f,
    0xff7007ff,0x989fd009,0xd83fcc06,0xb1005980,0xb003f003,0x3ff101ff,
    0xff881f90,0x2fc0fc81,0x05441620,0x37dfb790,0x07fe22cc,0x07fa03f2,
    0x3ff103fe,0xdf301f90,0xf903ff10,0x03b81f01,0xfe8017ec,0x9003ff51,
    0x4fe805ff,0x9f701fcc,0x0ecc0950,0x8801da88,0x01fd003f,0x1fa83bee,
    0x7d41df70,0x0deffc41,0x37e40766,0xffd97488,0xdf707fff,0xfe80fd41,
    0xfb81ff81,0x4c07ea0e,0x41df706f,0xd87881fa,0x801fec02,0x03ff21fe,
    0x202bfea0,0x7fcc4ff8,0x2077cc0c,0xddb8802b,0x400bddbb,0x01cfffc8,
    0xff5007c4,0xfa805bdb,0xb302dedf,0x1bffffff,0x9b037e40,0x027ffdc9,
    0x05bdbff5,0x17fc17fc,0x2dedffa8,0xfa81fea0,0xb502dedf,0x4fe801d0,
    0xfe85ff00,0xfec8800e,0x81dfdcbd,0xfcefdbd9,0x200000cf,0x00000019,
    0x004c4002,0x98002620,0x03001acb,0x88006010,0x3ff6a009,0x7dffb54e,
    0x32004c40,0x2202dffe,0x140cc009,0x5bfffb50,0x33bff6a0,0x0cfffe98,
    0x0066a600,0x04d4c411,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x64000000,0x1008005e,
    0x05555555,0x41f54000,0x665402eb,0x00e0000a,0xaaaaaa88,0x260ee002,
    0x22aaaaaa,0x82aaaaa9,0x2aaaaaa9,0x55555554,0x55555530,0x53003335,
    0x55555555,0x2aaa1555,0x2aaa21aa,0x2aaaaa62,0xa80009aa,0x6ff6dc02,
    0x7f4400ea,0x06eb8800,0x37fff931,0x3f22f910,0x909f704e,0x3ffa607f,
    0xa8001fff,0xf931000f,0x2a0037ff,0xffd9886f,0x3fea20ae,0xfd9880bf,
    0x7d4c0aef,0xb3109cff,0xfdbbdfff,0x366205bf,0xeccccdff,0x9ffd32ff,
    0x10f7d441,0xfbbdffb3,0xfd5007ff,0x44bb620b,0xf8800ffd,0x06fec803,
    0xfd705ff8,0xdfffdd1f,0x7f909f70,0x3f6afba0,0x7ec000ff,0x05ff8003,
    0x981bfe20,0x1bf303ff,0x807ff100,0x3fe607fc,0x03ffc882,0x7440bfe6,
    0x2207fe62,0x45ff301f,0x2e06ffb8,0x0db05fea,0x26001ff1,0x00df5005,
    0x7fc409ff,0x85ffb11d,0x83fc84fb,0x04ff985b,0x001bfe60,0xcd8013fa,
    0x0bfe206f,0xf88013a2,0x037e402f,0x7cc05ff1,0x05ff103f,0x217f2154,
    0x0bfe205b,0xf700bff2,0x3e05f50b,0x400a000f,0x4fe806f9,0x3a07fe20,
    0x6427dc6f,0xfd00c83f,0x7fee400d,0x027f4002,0x206f9db8,0x05d82ff8,
    0x6402ff80,0x017fc06f,0x3e20ffee,0x3e60402f,0x3e00f40f,0x05ff982f,
    0x07ec2fdc,0x00000ff8,0xfe806f98,0xfb83fc04,0x7e427dc7,0x17ee0083,
    0x2fec7c40,0x2013fa00,0x206f98e9,0x17622ff8,0x2017fc00,0x17fc06fc,
    0x2207ff40,0xfe8002ff,0x3fe01a63,0xa80dff02,0x3e07f85f,0x0776e40f,
    0x2601ddd9,0x04fe806f,0x0ff983fc,0x0ff213ee,0x2009f500,0x001ff55b,
    0x8f4027f4,0x3fe206f9,0x4000bd12,0x37e402ff,0x2e00bfe0,0x17fc43ff,
    0x4df500d4,0x82ff802d,0x7d403ffb,0xf807fc45,0x40ff980f,0xdf300ffa,
    0xf809fd00,0x5c1ff107,0x003fc84f,0x1e800fdc,0xfe8013fe,0xdf326404,
    0x7457fc40,0x17fc0005,0xff01bf20,0x8bff3005,0x01d82ff8,0x803457fc,
    0x0ffe82ff,0x7fc2fd40,0x3e01ff01,0x300ff80f,0x09fd00df,0x8df107f8,
    0x03fc85fb,0x6a802740,0xfd003fdc,0x3e634c09,0x3affe206,0x7fc0000f,
    0x9999999b,0xfcca86fc,0x41ccccdf,0x7fc46ff8,0x01fecccd,0x801defdc,
    0x33faa2ff,0xe85fa800,0x201ff04f,0x00ff80ff,0x9fd00df3,0xf980ff80,
    0x3a237dc5,0x0d50054f,0x3fe216c0,0x209fd002,0x037cc1e8,0x1dffbff1,
    0x66ffc000,0xfecccccc,0xcffba986,0xff80aaaa,0x5567fc46,0x66641fcb,
    0xccdfffdc,0xfffff04c,0x7d4001ff,0x543ffb85,0x01ff00ff,0x1be601ff,
    0xff013fa0,0xfb81f901,0xdfbdb9cf,0x001e8038,0x01bf60f3,0x83c827f4,
    0x3fe206f9,0x000effba,0xfc805ff0,0x4017fc06,0x7fc45ff8,0x4ccc1b82,
    0x999dfd99,0x2a5ff019,0x3ea002ff,0xb7fffd05,0x3fe01ff7,0xf300ff80,
    0x809fd00d,0x427cc5ff,0xd14fffdb,0x03c803ff,0x3bbbbf20,0xe801ffee,
    0xaaafa84f,0x0aaefbaa,0xffb97fc4,0x2ff8000e,0x3e037e40,0x3ffa802f,
    0x0cc17fc4,0xf0027e40,0x007fe45f,0xfd105fa8,0x403fe5ff,0x00ff80ff,
    0x7fd00df3,0xdbecff80,0x0317903f,0x8012e006,0x999999f8,0xfe805fe9,
    0xfffffc84,0x40ffffff,0x3fee2ff8,0x17fc000e,0xff01bf20,0x83ff7005,
    0x55002ff8,0x55bfb555,0x0bfe0555,0x3ea00bfd,0x3fe0c405,0xff01ff00,
    0x201be601,0x8bfc02fe,0x0026c019,0xb70016a0,0x400ffb80,0xaaa984fe,
    0xaaefbaaa,0x2a17fc40,0x3e000eff,0x037e402f,0xff100bfe,0x005ff10b,
    0x3f6aaaaa,0xf02aaaad,0x03ff985f,0xf8005fa8,0xf03fd00f,0x01be601f,
    0x0ff007fa,0x20005f80,0x0f40605a,0xd00ffe20,0x6f98009f,0x2a0bfe20,
    0xff000eff,0x406fc805,0x7fe402ff,0x002ff880,0xf8013f20,0x01ffb82f,
    0x7c002fd4,0xb87fd00f,0x8df300ff,0x201fa3d8,0x1fe2007f,0x9502d400,
    0x3f600f70,0x013fe00f,0x7c40df30,0x3fff702f,0x403ff880,0x3fe207fc,
    0x40bff202,0x20002ff8,0xff1005fc,0x807ff607,0xff8005fb,0xb55df901,
    0xf3059ff5,0xf89ffa8d,0x007fc402,0xa8007f88,0xffffffff,0x802fc42f,
    0xff105ffc,0x06f9800b,0xfe813fea,0x3fe603ff,0x807ff404,0x2a60bffa,
    0x3ea00dfe,0x3f60003f,0x09ff5005,0x5c07ffe2,0x7fcc006f,0x47fffa03,
    0x7fa80cff,0x803cffe8,0x2e002ffa,0x7ffcc001,0x47ffffff,0x102dfffb,
    0x25dffff9,0x3dffffc8,0x930df300,0xc85bffff,0x24ffffff,0x2dffffc9,
    0x5f7fff5c,0xfffff930,0x40579dff,0x2dffffc9,0x3fff6e00,0xfff9303d,
    0xfff305bf,0x3fff2a5d,0xccca803d,0x0506604c,0x216fff5c,0x99970019,
    0x00000099,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xaaaa8800,0xaaaaaaaa,0x555554c2,0x440000aa,
    0xaaaaaaaa,0x4c2aaaaa,0x4000aaaa,0x001aaaa8,0x98103100,0x09aaaaaa,
    0x1bd70000,0xaaaaaa98,0x037ae002,0x55555555,0x54c55555,0x981aaaaa,
    0x511aaaaa,0x83555555,0x30aaaaaa,0x35555555,0xddd90033,0x8ceeb85b,
    0xcccdffc9,0x4c47fdcc,0x009bfffd,0xfffc9800,0xfdcccccf,0x2fff5447,
    0x2bbff200,0xadfec880,0x23bff900,0x7fecc438,0x40dffeef,0x88dd12fb,
    0x6cc44fff,0x2000afff,0xdffe81fe,0xffeccccc,0x3ffff223,0xeffa880a,
    0xfffb710a,0xffb9815f,0x3ff6621d,0xdffeddef,0x407ff202,0x01ffc45d,
    0x13fe60f3,0x2fe20000,0x01d100ff,0x4001fff3,0x7d303fff,0x32217f21,
    0x01ddffea,0x7ec45ff3,0x7d57fa2f,0x0fe5720f,0x2001ffcc,0x405d02f8,
    0xff505ff8,0x401dd00d,0x3e607ffb,0x20bfe603,0xd00dffc8,0x3e07e07f,
    0xff02c03f,0xb7000007,0x06401ff5,0x8027f7c4,0xe882ffeb,0x0a0ffc45,
    0x7c407fb5,0x267fe82f,0x4498ee0c,0x02ff885a,0x80b025c0,0x3f600ffd,
    0x007e601f,0x2740bff2,0xa80bfe20,0x0df506ff,0x00ffe0d5,0x001ffc03,
    0x7fd47400,0x5fc40200,0xfbe800ff,0xb83fc81f,0xf100000d,0x03ff705f,
    0x440980c0,0x009aacff,0xfb80e014,0x37fc402f,0x7f4007b0,0xf802e40f,
    0x27fdc02f,0x816c2fe8,0x3e0003ff,0x5c00003f,0x0001ff54,0x809ff1f1,
    0xe81ff8ea,0x8000000f,0xffa82ff8,0xf1000004,0x5bff99bf,0xff980000,
    0x07ff5005,0xff8800d5,0x7c003aa5,0x07fe802f,0xf03c4df7,0xf00e607f,
    0xe800007f,0x1201ff50,0x01ff9788,0x40ffc574,0xf91000ff,0x8813fae3,
    0x3ffc82ff,0xdb5036d4,0xb117fc40,0x0db505ff,0x000efe80,0x1f883ff6,
    0x9affb800,0x0bfe001f,0x7c07fee0,0x7fc0971f,0xff807703,0x92e00003,
    0x04a80ffa,0x81ffc5e2,0xf03ff179,0xffb7005f,0x09ffbbb3,0x3fa0bfe2,
    0x0dff910f,0x440dff91,0x0ffe82ff,0x400dff91,0x44001ffc,0x001325ff,
    0x002effd8,0x7cc017fc,0x3abf703f,0x3337fe01,0x7c03fecc,0xf100003f,
    0x6667fd41,0x9e204fec,0x227b06fc,0x04fe81ff,0x541bff06,0x45ff107f,
    0xfa83ffc8,0x881bea06,0x2ffc82ff,0xf98037d4,0xff50004f,0x88000d35,
    0xff8006ff,0x05ff8802,0xff0173fe,0x7f95555b,0x0003ff80,0xbffa8990,
    0x204ebaaa,0x10bfe678,0x207fe21f,0xe83506fd,0x407fc41f,0xffcceff8,
    0x40df502e,0x3fe206fa,0x543ffb82,0x6fe8806f,0x77fec000,0xffc80002,
    0x017fc002,0x3ee06ff8,0x81ffc02f,0x01ffc03a,0x666fc400,0x4980ffdc,
    0x8dfb1e20,0x207fe24c,0x424c5ff9,0x80ff81fe,0x0198aff8,0x3e606f98,
    0x20bfe206,0x37cc1ffd,0x000ffec0,0x0017fe20,0x03ffba60,0x8802ff80,
    0x1fe205ff,0x1c40ffe0,0x0000ffe0,0x2e666732,0x440900ff,0xf897fcc7,
    0x6c07fe20,0x81fedfff,0x80ff81fe,0x4c002ff8,0x81be606f,0x7fc42ff8,
    0x5406f986,0xd00003ff,0xe880009f,0x2005ff89,0xffa802ff,0x7c026c03,
    0x3fe0003f,0x83440003,0x88000ffa,0x8b75fe87,0x3f201ff8,0x3fd01dff,
    0xff101ff0,0x06f98005,0xff881be6,0x207ffea2,0x3fe206f9,0x3fa00005,
    0x71f40004,0x3fe005ff,0x02ffb802,0x1ffc007c,0x1ffc0440,0x03d80c40,
    0x83001ff5,0xf9ffa878,0x400ffc41,0x40ff402c,0x2ff880ff,0x3037cc00,
    0x77fc40df,0x300ceffe,0x07fec0df,0x7f400220,0x21720004,0xff800ffe,
    0x02ffc402,0x1ffc016a,0x1ffc06c0,0x034c06c0,0x1b801ff5,0x5ffe83c4,
    0x4401ff88,0x07fa01ff,0x3fe203fe,0x037cc002,0x7fc40df3,0xdf30009b,
    0x200bfee0,0x09fd000c,0x7c41ae00,0x02ff805f,0x3a00ffe4,0x807ff001,
    0x807ff05a,0x5407d05a,0x21e600ff,0x2ffa80f8,0xa802ff98,0x207fa04f,
    0x3ff881ff,0x3037cc00,0x1ffc40df,0x261be600,0x068805ff,0x20013fe0,
    0x3fee00fa,0x80bfe203,0xced82ffc,0x9ff1003e,0x260bee20,0x53119eff,
    0x03f905f9,0x5c417fe4,0xf01fa84f,0x00ffea0d,0x7fc40be6,0xfa82ff82,
    0x3fd4004f,0x7d40ff50,0x3fd4005f,0x73007ff4,0x3fe200bd,0x02fdc006,
    0x540bffe2,0x3aa20bff,0xfff880df,0xffeb8805,0xffffffff,0x3fff260f,
    0xffffffff,0x3bff620f,0x7fffed44,0x2fffffff,0x033fff26,0xfffd9857,
    0x3dc881df,0x29dffd50,0x933effda,0x005bffff,0xc85bffd9,0x3662dffe,
    0x802dffff,0xf72dffec,0xffffffff,0x8807ffff,0x03effffc,0x06ffff5c,
    0x77ffff5c,0xfffff932,0x80579dff,0x000001c9,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x554c0000,
    0x099aaaaa,0xaaaaaa80,0x2aaaaaaa,0x02202f64,0x2aaaaaa2,0x01aaaaaa,
    0x530001c4,0x00880000,0x00000000,0x00000000,0x64000000,0x3bb20eed,
    0x6f775c0e,0x00277643,0xfd989440,0xefdcccef,0x3bbbfe02,0xffeeeffe,
    0x807fa20f,0x2800281c,0x50003440,0xedb88009,0x441e88de,0x401deecb,
    0x00adfec8,0x207dfdb1,0x90deedc8,0x4fa87dfd,0x19dfb710,0x377b6e20,
    0x6c4fe442,0x503fe62f,0x7ff501ff,0x3f911360,0x7fc13fae,0x220bfe63,
    0x17c40efe,0x3f307fe6,0x3f303f88,0x80500050,0x12a00068,0x3e619d00,
    0x266e82ef,0x17d300ff,0x4baa17f2,0x2f445fd8,0x3627dff3,0x221ff25f,
    0x207fee4e,0xdb8bea1f,0x45ffd9ff,0x00ff80ff,0xb83a09fb,0xfddd9ffd,
    0x223fe84f,0x7ff302ff,0x1ff98488,0x886981b8,0x800281ff,0x00034402,
    0x436c0095,0x1fd40ff9,0x17a20bfa,0x17c43ff1,0x3fb8bfe2,0x3fe637fc,
    0x0bb05911,0x43541ff3,0x50dff82d,0xff80ff83,0x950df300,0xfa837fe0,
    0x2ff81887,0x0311bf60,0x03103ff3,0xddfff50a,0x0140014b,0x4a8001a2,
    0xf907f500,0x641fa8bf,0xb83fc83f,0x7f41ee0d,0x7fd07ea5,0xfb807fd0,
    0x7e49fd03,0x17f414c2,0x3fe03fe0,0x3b0bfa00,0xff107fa0,0x80bfe001,
    0xf9800ffb,0x4c40001f,0x00a19afe,0x00d100a0,0xfc802540,0x03fde5c2,
    0x7f427f54,0x999fb000,0xa8079999,0xeeeeeeff,0x817ec03e,0x33fea7fb,
    0x200ff400,0x00ff80ff,0x206897ee,0x00ff81fe,0x7f405ff0,0x03ff3006,
    0x7f41b6a0,0x12800281,0x3d533333,0x4c433333,0x99db9999,0x17f41999,
    0x203feab5,0x84fcadc8,0x0dd000ff,0x3fb3ae00,0x0bfa0002,0xff907fd4,
    0x00ff409f,0x03fe03fe,0x0591ff88,0x07fc0ff4,0x05ff07f6,0x4c00bfee,
    0x7e4401ff,0x503fd06f,0x3baa5000,0xeeefeeee,0xddd91eee,0xddddfddd,
    0xb53ff8dd,0x3ea07fcc,0x3fe13ee3,0x800ff002,0x07fb0ce9,0x981ffc00,
    0xeffe987f,0x7c01fe80,0x400ff80f,0xfe80d4fc,0x7fc0ff81,0x5d56ffc4,
    0x2001efec,0xf5001ff9,0x0a07fa0d,0x0d100a00,0xe8025400,0x3e60e9cf,
    0x3ee1fd46,0x8604fe84,0xfa8602fe,0x01027ec5,0xdf305fd8,0x7437fe40,
    0x40ff401f,0x7fcc00ff,0x40ff404a,0x206540ff,0xfecccdff,0x3e6001df,
    0x0df5001f,0x000a07fa,0x000d100a,0xefc80254,0x3a27cc0e,0x6c27dc0f,
    0x7ec3506f,0x0fec7306,0x01541bee,0x27d41fea,0xe81ff309,0x21ff401f,
    0xfd800ffb,0x40ff400f,0x5ff000ff,0x4017ff60,0xf3001ff9,0x0a07fa0d,
    0x0d100a00,0x88025400,0x40fb82ff,0x0a7ec2ff,0x89317fe6,0x3620eff9,
    0xff50bfe0,0x02a2cc19,0x1f903ff1,0x7436c1e4,0x577e401f,0x02cffada,
    0x7f402fd4,0xf001ff81,0x0ffe405f,0x800ffcc0,0x03fd06f9,0x88050005,
    0x012a0006,0x3e60ffe8,0xdaaefc81,0x7ec2befd,0xc81fedff,0x43feefff,
    0xddb89efc,0x21fecfff,0x0efb86fc,0x81f907ea,0x803ff83e,0x9ff1fffe,
    0x8805f001,0x02ff82ff,0x7cc05ff0,0x1ff9805f,0x3a0df300,0x2800281f,
    0x50003440,0x3aab6009,0xb102eedf,0x5ff31bff,0x077fff20,0x83ffffb8,
    0x323fffe9,0x7dc2dfff,0xbdbff506,0xb7bff905,0xcfffda89,0x00a0cc00,
    0xffea8030,0x7dffb54e,0xf805ff00,0x1ff9807f,0x3a0df300,0x000a112f,
    0x900d100a,0xdfdddddd,0x261ddddd,0x880054c2,0x00980040,0x33002660,
    0x003004c0,0x33040131,0x00000000,0x00000000,0xffa80bfe,0x01ff9804,
    0x3f60df30,0x2000a4ad,0x98800802,0x99999999,0x00001999,0x00000000,
    0x00000000,0x00000000,0x00000000,0x17fc4000,0x3003ffd0,0x3e6005ff,
    0x41bff106,0x00028002,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3fea0000,0x0ffecc0b,0x003ffb80,0xa8080ff5,0xaaaaaaaa,
    0x5513aaaa,0x55555555,0x3ba21555,0xeeeeeeee,0x00001eee,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfffc9800,0xcdefffff,0xfffd9800,
    0x3fb201df,0x000002df,0x99999910,0x39999999,0x55555554,0x00aaaaaa,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3b200000,0xdddb15ee,0x01f76c1b,0x0e400000,0xc980006c,0x40988531,
    0x0001772a,0x7016206c,0xdddddddd,0x3bbbaa1d,0x805ddb34,0x804a8000,
    0x100e402b,0x01795005,0x02b2a075,0x3b8065c4,0x17510722,0x0ff90550,
    0x837a0dfd,0xbfd71fb8,0x006ff5c1,0x001e42d4,0x7d11f6d4,0x55dfddd5,
    0x073f221d,0x0f216e00,0x99999dc8,0x3ff444ff,0x5f3003f2,0x400fe800,
    0x01b902f9,0x7bb007ec,0xd86fb8df,0x7dc0ffcd,0x7fcc5ebc,0x9adcdf70,
    0x113fea4f,0x86f983ff,0x57fed468,0xb95ffccd,0xf980dff9,0x88007dc1,
    0xdf102deb,0x880fe983,0x74002dfb,0x0c817c44,0xff306fd8,0x2a007e27,
    0x0144003f,0x07642f98,0x22097d50,0x31b61ae1,0x1f11fcc7,0x43fe62d8,
    0xfc8be6fc,0xf90fff51,0x4a83fd09,0x7c41bff0,0x07fe21df,0x0fea2fc4,
    0x0073f260,0x03a201d1,0x0017dd50,0x80fc85f5,0x200ffa82,0x202d8ffb,
    0xd91f88de,0x5f300000,0x23d003b2,0xd81d801e,0x12e2f806,0x2a7f89a6,
    0x7d43f55f,0xf303a264,0x745ff88d,0xfd03fd00,0x3a05fb05,0x501fe61f,
    0x2e0017fb,0x9801d402,0x7f400cfd,0x3003be21,0xffb005ff,0xf8efe809,
    0x3310ffd8,0x33333333,0x37e60333,0xd525c00e,0x6c17ecc0,0x7907d406,
    0x266e8f10,0x7c47f74f,0x1fe82cc4,0x2c43fef2,0x5fb03fd0,0xbfb07f90,
    0xeb81ff44,0x00e8002e,0x7e440068,0x41ff501d,0x27f405fc,0x802ff880,
    0x42deeeca,0xeeeeeeec,0x206eeeee,0x07c402fc,0x7ecc40f6,0x07a036c2,
    0x4d8970d3,0x225f897c,0xfb80e41f,0x64ff6d14,0x3607fa02,0xd83fc82f,
    0x20bfe24f,0xf0001efa,0x20003a00,0xff980ffa,0x6403bee1,0x3fa2006f,
    0x76d4400f,0x000000ad,0xd80be7b2,0x7c00f883,0x05b036c4,0x03ee273a,
    0x3f61e877,0x0064cb71,0x26771ff1,0x1fe80d6f,0x3fc82fd8,0x3ea0fe88,
    0x05dd7106,0x05800e80,0xb0177540,0x807fc45f,0x36000ffa,0x3f205fca,
    0x04ff9e9f,0x30ec8000,0x640d505f,0x1b60f404,0x22098762,0x1980cfeb,
    0x20e6d424,0x1d7fb000,0x3a025ff4,0xc82fd81f,0xb89f303f,0x5fed402f,
    0x5c03c800,0x1dfb8802,0x3ee27cc0,0x305ff301,0x1ff452e0,0x89f89ff8,
    0x02d400fe,0x0fcc0ec8,0x263d007a,0x6e84b8ac,0x37777744,0x00000000,
    0x2e27fd40,0x0ff401ff,0x1fe417ec,0x06c81f50,0x4039f930,0x80f301f8,
    0xd000cfc9,0x3a03f88b,0x8d30904f,0x2a081ffa,0x3fa0022f,0x98075c01,
    0x3300511f,0x3202b2e2,0x3332e4cc,0x000002cc,0x1fd00000,0xfe806f88,
    0xfc82fd82,0x1ec26403,0x05bf7100,0x93139fd5,0x7dd507dd,0x640ea800,
    0x4c1bf204,0x7f40fc46,0x00fea00e,0x01300310,0x00000098,0x00000000,
    0x99000000,0x3fe00f60,0xfd83fe82,0x3440d804,0x50eea800,0x473b6e1d,
    0x03bf52e8,0x0b103600,0x77777fd4,0x3fea6ffe,0x3bffea0d,0x00000a03,
    0x00000000,0x00000000,0x88000000,0x6cc01300,0xfda8ceff,0xffc98cff,
    0x040400cf,0x04426000,0x00130880,0x00088080,0x00000000,0x205dd4c0,
    0x99999998,0x10999999,0x33333333,0x01033333,0x176c4bd9,0x01791000,
    0x3bbbb618,0x0000004e,0x00000000,0x00000000,0x00000000,0x00000000,
    0x46f9a600,0xddddddda,0x50dddddd,0xdddddddd,0x583fdddd,0x2fd40ff8,
    0x227d43ba,0x0aefdceb,0x3ffffa48,0x0000004f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x07d8ee00,0xd8000000,0x1f997ea1,0x97fc4f70,
    0x2e22c6fc,0x42daacfe,0x00008888,0x00000000,0x00000000,0x00000000,
    0x00000000,0x93000000,0x000001fd,0x3621d800,0x1d80591f,0x261c88ea,
    0x077b2601,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0fc9ec00,0x22222222,0x00888888,0x9b20ec00,0x00005002,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4db00000,0x3ffee0fc,
    0xffffffff,0x320001ff,0x00039b51,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3faa7fe0,0x0000000a,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0x03fa9dea,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_29_latin1_x[224]={ 0,2,1,0,1,0,0,1,1,0,1,0,1,1,
1,0,0,3,0,1,0,1,1,0,1,1,2,1,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,
0,0,-1,0,0,0,0,1,0,0,0,0,0,0,0,2,0,0,0,-1,1,0,-1,0,0,0,1,0,0,0,
-3,0,0,0,0,0,-1,0,0,1,0,0,0,0,0,0,0,3,2,2,0,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,2,1,0,0,0,
2,1,0,0,-1,0,0,1,0,-1,1,0,0,0,3,1,-1,1,2,1,0,0,1,1,0,1,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,2,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,
 };
static signed short stb__times_29_latin1_y[224]={ 23,5,5,5,4,5,5,5,4,4,4,7,20,16,
20,4,5,5,5,5,5,5,5,5,5,5,10,10,8,11,8,5,4,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,4,5,5,27,5,10,4,10,4,10,4,10,4,4,
4,4,4,10,10,10,10,10,10,10,7,11,11,11,11,11,11,4,4,4,14,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,23,10,6,5,8,5,
4,5,5,5,5,11,11,16,5,3,5,7,5,5,5,11,5,12,22,5,5,11,5,5,5,10,0,0,0,0,
1,1,5,5,0,0,0,1,0,0,0,1,5,0,0,0,0,0,1,9,5,0,0,0,1,0,5,4,5,5,
5,5,5,4,10,10,5,5,5,5,5,5,5,5,4,5,5,5,5,5,5,9,10,5,5,5,5,5,4,5,
 };
static unsigned short stb__times_29_latin1_w[224]={ 0,4,8,13,11,21,20,3,8,8,11,15,5,7,
4,8,13,7,13,10,13,11,12,12,11,11,4,5,15,15,15,10,23,19,17,17,18,16,14,19,19,9,11,20,
16,23,20,18,14,18,18,13,16,19,19,25,19,19,16,6,8,7,12,15,5,12,14,11,14,11,11,13,13,7,
9,14,7,21,13,13,14,14,9,9,8,14,13,19,13,13,12,8,2,8,15,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,0,4,11,13,13,14,
2,11,9,20,9,13,15,7,20,15,9,15,8,7,5,13,13,4,5,6,8,13,19,19,20,10,19,19,19,19,
19,19,24,17,16,16,16,16,9,9,9,9,18,20,18,18,18,18,18,11,18,19,19,19,19,19,14,13,12,12,
12,12,12,12,17,11,11,11,11,11,7,7,8,8,13,13,13,13,13,13,13,15,13,14,14,14,14,13,14,13,
 };
static unsigned short stb__times_29_latin1_h[224]={ 0,19,8,19,21,19,19,8,25,25,12,15,8,3,
4,20,19,18,18,19,18,19,19,19,19,19,14,18,13,6,13,19,25,18,18,19,18,18,18,19,18,18,19,18,
18,18,19,19,18,24,18,19,18,19,19,19,18,18,18,24,20,24,10,2,5,14,20,14,20,14,19,19,19,19,
25,19,19,13,13,14,19,19,13,14,17,13,13,13,12,18,12,25,25,25,4,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,19,22,19,13,18,
25,24,4,19,8,13,6,3,19,2,9,15,10,10,5,18,24,4,6,10,8,13,19,19,19,19,23,23,23,23,
22,22,18,23,23,23,23,22,23,23,23,22,18,24,24,24,24,24,23,11,19,24,24,24,23,23,18,20,19,19,
19,19,19,20,14,18,19,19,19,19,18,18,18,18,20,18,19,19,19,19,19,11,14,19,19,19,19,24,25,24,
 };
static unsigned short stb__times_29_latin1_s[224]={ 255,166,231,174,149,1,1,252,1,25,144,
68,249,242,251,202,77,247,80,245,124,171,183,217,230,242,169,249,57,166,87,
85,46,94,1,155,223,1,198,215,159,114,39,138,18,60,22,147,110,107,228,
235,19,42,22,91,203,183,166,100,241,92,184,68,210,114,226,127,211,139,188,
71,124,152,79,200,31,21,237,174,51,1,198,188,44,208,223,1,130,242,117,
34,43,70,226,53,53,53,53,53,53,53,53,53,53,53,53,53,53,53,53,
53,53,53,53,53,53,53,53,53,53,53,53,53,53,53,53,53,255,250,90,
96,73,213,89,145,216,1,156,43,182,242,196,84,221,84,212,197,204,66,157,
251,198,205,240,103,225,205,184,173,120,194,140,100,102,70,35,224,238,160,177,
132,214,242,41,122,179,1,126,171,81,62,51,172,36,22,42,190,21,1,143,
188,23,94,55,68,81,161,151,84,107,119,131,143,36,158,134,125,174,96,43,
57,110,138,160,156,100,16,132,117,62,224,10,210, };
static unsigned short stb__times_29_latin1_t[224]={ 1,96,194,116,52,76,96,27,1,1,194,
175,194,206,175,52,96,136,136,76,136,96,96,96,96,96,175,116,194,206,194,
116,1,136,175,76,156,156,136,116,136,136,136,136,156,156,116,96,156,1,136,
116,175,96,96,96,156,156,156,1,52,1,194,191,206,175,52,175,52,175,116,
116,116,116,1,116,136,194,175,175,136,136,175,175,175,175,175,194,194,156,194,
1,1,1,206,175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,
175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,175,1,52,52,
116,194,136,1,1,206,116,206,194,206,206,96,191,194,175,194,194,206,136,1,
180,206,194,194,194,76,76,76,76,27,27,27,27,52,52,156,27,1,27,27,
52,27,27,52,52,136,27,1,1,27,27,52,194,76,27,27,1,52,52,156,
52,76,76,76,76,76,52,175,156,76,76,76,76,175,156,156,156,52,156,116,
116,116,116,116,194,175,136,96,96,96,1,1,1, };
static unsigned short stb__times_29_latin1_a[224]={ 105,140,171,209,209,349,326,75,
140,140,209,236,105,140,105,116,209,209,209,209,209,209,209,209,
209,209,116,116,236,236,236,186,386,303,279,279,303,256,233,303,
303,140,163,303,256,373,303,303,233,303,279,233,256,303,303,395,
303,303,256,140,116,140,197,209,140,186,209,186,209,186,140,209,
209,116,116,209,116,326,209,209,209,209,140,163,116,209,209,303,
209,209,186,201,84,201,227,326,326,326,326,326,326,326,326,326,
326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,
326,326,326,326,326,326,326,326,105,140,209,209,209,209,84,209,
140,318,116,209,236,140,318,209,168,230,126,126,140,241,190,105,
140,126,130,209,314,314,314,186,303,303,303,303,303,303,373,279,
256,256,256,256,140,140,140,140,303,303,303,303,303,303,303,236,
303,303,303,303,303,303,233,209,186,186,186,186,186,186,279,186,
186,186,186,186,116,116,116,116,209,209,209,209,209,209,209,230,
209,209,209,209,209,209,209,209, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_29_latin1_BITMAP_HEIGHT or STB_FONT_times_29_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_29_latin1(stb_fontchar font[STB_FONT_times_29_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_times_29_latin1_BITMAP_HEIGHT][STB_FONT_times_29_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_29_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_29_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_29_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_29_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_29_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_29_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_29_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__times_29_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__times_29_latin1_s[i] + stb__times_29_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__times_29_latin1_t[i] + stb__times_29_latin1_h[i]) * recip_height;
            font[i].x0 = stb__times_29_latin1_x[i];
            font[i].y0 = stb__times_29_latin1_y[i];
            font[i].x1 = stb__times_29_latin1_x[i] + stb__times_29_latin1_w[i];
            font[i].y1 = stb__times_29_latin1_y[i] + stb__times_29_latin1_h[i];
            font[i].advance_int = (stb__times_29_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__times_29_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_29_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_29_latin1_s[i] + stb__times_29_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_29_latin1_t[i] + stb__times_29_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_29_latin1_x[i] - 0.5f;
            font[i].y0f = stb__times_29_latin1_y[i] - 0.5f;
            font[i].x1f = stb__times_29_latin1_x[i] + stb__times_29_latin1_w[i] + 0.5f;
            font[i].y1f = stb__times_29_latin1_y[i] + stb__times_29_latin1_h[i] + 0.5f;
            font[i].advance = stb__times_29_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_29_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_29_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_29_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_29_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_29_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_29_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_29_latin1_LINE_SPACING
#endif

