// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_33_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_33_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_33_latin1_BITMAP_WIDTH         256
#define STB_FONT_times_33_latin1_BITMAP_HEIGHT        270
#define STB_FONT_times_33_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_33_latin1_FIRST_CHAR            32
#define STB_FONT_times_33_latin1_NUM_CHARS            224

#define STB_FONT_times_33_latin1_LINE_SPACING          21

static unsigned int stb__times_33_latin1_pixels[]={
    0x2b880980,0x13310000,0x40002a60,0x00000998,0x00009988,0x31000000,
    0x40000013,0x40000199,0x00accba8,0x000b8800,0x80088000,0xa865402a,
    0x13333312,0x3f2625c0,0xfd00004f,0x01f5401d,0x0037f440,0x017fdc00,
    0x0bffe200,0x27fcc000,0xffb80000,0xbb500002,0xbb951135,0x03b90005,
    0x00fff980,0x09900b20,0x32994ff8,0x886fffff,0x4ffaa83e,0x1ff88000,
    0x30009d00,0x800001ff,0xc80003fe,0x00006fef,0x00001bea,0x400027ec,
    0xb7000ce9,0x0013a001,0x0027f7f4,0x02640372,0xfca64ffa,0x7403e804,
    0xfb80004f,0x00bea002,0x0000fea0,0x80004f88,0x007f72f8,0x000fe400,
    0x0017e200,0x20007ee0,0x0fdc00e9,0x6c4fd400,0x82e4001f,0x5320804c,
    0x03e404fc,0x400027f4,0x2fc4003d,0x0005b800,0x400016e0,0x0007542d,
    0x00007b00,0xc80006a8,0x1660000e,0x3a000ff0,0x22002dc0,0x4004c82f,
    0x5409f94c,0x04fd804f,0xa8003800,0x0120007f,0x0000b800,0x00510188,
    0x00004800,0x2a00005c,0x2b80000f,0x8001ff10,0x8003300a,0x002640fb,
    0xd027e532,0x09fb001f,0x2e000000,0x0010007f,0x00001000,0x00000010,
    0x00000000,0x00003f88,0x07fe2093,0x10000000,0x4004c89f,0x2a09f94c,
    0x49fb005f,0xaaa82cc9,0x554c0aaa,0x006fc81a,0x9dfffb91,0xfb910005,
    0x00059dff,0x9dfffb91,0xeeedb805,0xdb702dee,0x36e19ddd,0x02deeeee,
    0x19ddddb7,0xdda805e8,0x20685d94,0xeedb82ff,0xb702deee,0x4019dddd,
    0x101321fe,0x27e53277,0xfb003fd8,0x17ffff69,0x815fffd3,0xfd81dfc8,
    0x0aefa805,0x40037f26,0x3260aefa,0xdf5000df,0x06fe4c15,0x00ffff20,
    0xfc8177dc,0xdf7003ff,0x4403f305,0x1ff930ce,0x07fd00d8,0x801fffe4,
    0xfc802efb,0x7ed41325,0x13f2994f,0x6c00ffe2,0xffdbdccf,0x037fc44f,
    0x0fee01f5,0x5c01bfb0,0x6fec01ef,0x007bee00,0x7dc01bfb,0x1ffe601e,
    0x7cc09f00,0x827c007f,0x742f406c,0xfb02b85f,0x03ffcc05,0x7dc013e0,
    0x7d541326,0x13f2994f,0x6c00bfea,0x7ffcc3ef,0xc807fd40,0xb80fe204,
    0xffc800ff,0x001ff700,0x3ee01ff9,0x0ffc800f,0xf001bfe0,0x006ff805,
    0x203f817c,0x83ff80fd,0xf00f903a,0x02f800df,0x1321ff50,0x65329ff0,
    0x01ffb84f,0x3f209fb0,0x884fe83f,0x9836c01f,0xff1004ff,0x009ff30b,
    0x3e617fe2,0xbff1004f,0x20037fc0,0x037fc02f,0x07e60be0,0x7fc41fe4,
    0x07f01c80,0xf800dff0,0x23ff5002,0xca7f4008,0xff909f94,0x413f6001,
    0xffb85ff8,0x3b8035c0,0x2000ffe8,0x7ff42ffd,0x0bff6000,0x6c001ffd,
    0x0dff02ff,0x7fc02f80,0x5417c006,0x2a0df507,0x5910d06f,0x001bfe00,
    0x3fe6005f,0x653fa003,0xffb09f94,0xf027ec00,0xd13fe0df,0x996cc005,
    0x7d4006ff,0x01bfe65f,0x7ccbff50,0x7fd4006f,0x800dff05,0x037fc02f,
    0x41ee0be0,0x09f902fe,0x4001b91a,0x17c006ff,0x004ff880,0xfca653fa,
    0x000ffc84,0x2ff409fb,0x0f30ffb8,0xff71cb80,0x7ff9800b,0x30017fee,
    0x2ffdcfff,0x41ffe600,0x17c006ff,0xf001bfe0,0xff30d705,0x305ff101,
    0x2002da89,0x17c006ff,0x004ff880,0xfca653fa,0x001ffb84,0x27ec09fb,
    0x0993ff88,0xff907620,0xfff88009,0x8009ff90,0xff90fff8,0xfff88009,
    0x4006ff80,0x037fc02f,0x21ae0be0,0x0ffb06fb,0x006d40b6,0x3e0037fc,
    0x07ff3002,0x94ca7f40,0x03ff309f,0xfe813f60,0x3e3ff203,0xfd0bd001,
    0xfff0007f,0x000fffa3,0x7ff47ffe,0x1fff8003,0x7c006ff8,0x0037fc02,
    0x361ea0be,0x85fea84f,0x402f406b,0x17c006ff,0x332ffa80,0x2994fe80,
    0x2ff884fc,0x7c0bfb00,0x3bfe200f,0xd05f3006,0xff0007ff,0x00fffa3f,
    0x7f47ffe0,0xfff8003f,0x4006ff81,0x037fc02f,0x21e60be0,0x7e6545fd,
    0x3200fcc4,0x037fc00f,0x7dc00be0,0xfe80991f,0x413f2994,0xdfb003fe,
    0x3200fee0,0x9f9002ff,0x8007ffb0,0xffb0fff8,0xfff88007,0x8007ffb0,
    0xff80fff8,0x2017c006,0x17c006ff,0x5ffd41f8,0x547f94da,0x3f60a22e,
    0x0037fc03,0x3fdc00be,0x94fe8099,0x7ec13f29,0x87ffb004,0xff1006e9,
    0x642fec00,0x7cc004ff,0x013ff27f,0x7e4fff30,0x7fcc004f,0x800dff07,
    0x037fc02f,0x22640be0,0x2a3fffe8,0x6c1cecff,0x7c03fe81,0x017c006f,
    0x01324fc8,0x7e5329fd,0x200df304,0xfeceedfd,0x0026c004,0xbff50df9,
    0x25ff9800,0x4c005ffa,0x17fea5ff,0x20bff300,0x0fc006fe,0xf001bfa0,
    0x2a03e603,0x26037302,0xe805ff05,0x00fc006f,0x01320ff8,0x7e5327fd,
    0x2003ee04,0x003534fd,0x5c001f10,0x07ff887f,0xf117fdc0,0xffb800ff,
    0x001ffe22,0x3fa05ff7,0x007e2007,0x7c400ffd,0x00013601,0x3ff103d0,
    0x2007fe80,0x5fa801f8,0x4ffa0264,0xe809f94c,0x004fd803,0x4c005b80,
    0x07ff706f,0x7dc2ff40,0x17fa003f,0xe800ffee,0x03ff205f,0x7e403d40,
    0x80f5000f,0xb00002e8,0x003fe207,0x2a001ff9,0xc81fb007,0x4c97f404,
    0x0f9809f9,0x00027ec0,0xf3000be2,0x803ff40b,0xffd00ffa,0x403fea00,
    0xff5007fe,0x01ffd401,0xffa805d8,0x300bb003,0x3d80003f,0x7d403f40,
    0x00bb003f,0x809905f1,0x3f2991fe,0x7405c804,0x4dcc004f,0xfb8004d8,
    0x013fe600,0x7cc05fd3,0x17f4c04f,0x9809ff30,0xefc802fe,0x80076c00,
    0x76c00efc,0x007d3000,0xf5005d30,0x01df9003,0x3d800ed8,0x3e044990,
    0x027e5325,0x17fa05b8,0x0dffff00,0x1005d100,0x3bea0bfb,0x05fd8801,
    0xb1003df5,0x07bea0bf,0x20affd80,0x4000fda8,0x2a20affd,0xec8000fd,
    0x0eecc00b,0xb001b900,0x6d4415ff,0x01ec400f,0x4cffe299,0x6fe5321f,
    0x32200999,0x2fffee60,0x3bffd001,0x00f64400,0x373bfae0,0xeb8004ef,
    0x04efdcef,0xdcefeb80,0xc88004ef,0xdfffefff,0xffc88001,0x01dfffef,
    0x33bae200,0x01deecbc,0x8807d500,0xfffefffc,0x0064401d,0xeeffe932,
    0xfffca641,0x2a0806ff,0x002aaaaa,0x0220002a,0x026a6000,0x04d4c000,
    0x09a98000,0x55530000,0x26000013,0x00009aaa,0x04d54c40,0x00130000,
    0x0026aaa6,0x4c198004,0x0003301a,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x4cc40008,
    0x44000999,0x88000099,0x00000099,0x26002011,0x44000019,0x00000099,
    0x2000ccc0,0x22000199,0xa8800099,0xeeeeeedc,0x82880002,0x8000000a,
    0xcefffdb8,0x7ffff402,0x7fdc003f,0xfe880002,0x36a00006,0xd0acefff,
    0x005ff700,0x0037fc00,0x400dff70,0xf3000ffd,0x7fc0009f,0x3f62000e,
    0x812e6fff,0xfe804ffd,0x7301bf65,0x54001799,0xfb710aef,0x0ff6001b,
    0x0007fd00,0x000ffc40,0x82b7fea0,0xb007ffd9,0x2a00009f,0xf10000ef,
    0x74005ffd,0x0bf7003f,0x007fcc00,0xfffffd10,0xef9825cd,0x37fc01ff,
    0x234c0ffd,0x1bf9005d,0x400f7ec0,0x3e2003fd,0xf9800005,0x3ff20003,
    0x007fd401,0x900007e8,0x7640003f,0x22006e88,0x01dd005e,0x000fe400,
    0x3ffffff2,0x9af412e6,0x30e4c05f,0x361ec039,0x07fe401f,0x2007ff40,
    0x1aa003fd,0x06a80000,0x007ff700,0x744003ee,0x01f80001,0x0f616600,
    0x4400f980,0x1740000f,0x7ffff400,0x2a12e6ff,0x00017444,0x5f90be20,
    0x8027fcc0,0x7ec04ff8,0x0002e003,0x30007000,0x1e800bff,0x0000a600,
    0x03800051,0x01a8002e,0x220000d4,0xfff88003,0x12e6ffff,0x0000380e,
    0x00622fcc,0x6c001ffd,0x0ff601ff,0x00000100,0xffd80004,0x000dc001,
    0x00000000,0x00000000,0x40000000,0x6fffffff,0xaa80012e,0x54c0aaaa,
    0x027fc1aa,0x800dff50,0x3f605ffb,0x000f4003,0x4001e800,0x88007ff8,
    0xdddddb31,0xdddddddd,0xeeeed989,0xeeeeeeee,0x7776cc4e,0xeeeeeeee,
    0x776444ee,0x910ceeee,0x19dddddd,0x3bbbbbae,0xdddd702d,0xffffd8bd,
    0x9112e6ff,0x19dddddd,0x02bfffa6,0xfa83bf91,0xbff7004f,0x06ff9800,
    0xf9800ff6,0xf9800004,0x37fdc004,0xffe98000,0xcaaaaaab,0x7ffd306f,
    0xf9555555,0x2fffa60d,0xfcaaaaaa,0x3dffd106,0x07bffa20,0x017fffa6,
    0x2e07bfe2,0x26ffffff,0xdffd104b,0x40dff103,0xbffb00fa,0x04ffc801,
    0x807ffc40,0x3f6003fd,0x6c00000f,0x3f6000ff,0x3200005f,0x03cc01ff,
    0x79803ff9,0x3007ff20,0x027fe40f,0xe8813ff2,0x1df004ff,0x7ffffdc0,
    0xffc812e6,0x403fea04,0xff99504c,0x1fff401d,0x80fffc00,0xff1003fd,
    0x4400007f,0x3a003fff,0x200003ff,0x06801ffc,0x1a007ff2,0x6801ffc8,
    0x700bfee0,0xff9805ff,0x00fd400f,0x737ffed4,0x017fdc09,0x07e213fa,
    0x0effb8ea,0x0005ffd0,0x3f605fff,0xdffd9003,0x7f640000,0x3ffa006f,
    0x3f200003,0x3202801f,0x202801ff,0x02801ffc,0xf700bfee,0x9ff9005f,
    0x88004e80,0xfb812e6a,0x07fdc02f,0x2a1e21ae,0x7ff906ff,0x01fff000,
    0x57c00ff6,0x00001ffc,0x003ff95f,0x00013ff6,0x0001ffc8,0x0000ffe4,
    0x00007ff2,0xfb805ff7,0x3ffd002f,0x98001ae0,0xffb812e6,0x744ff802,
    0xff306a82,0x009ff701,0x3607ff88,0xf37a803f,0xf50000bf,0x64017fe6,
    0x200005ff,0x02a01ffc,0x5403ff90,0x00ffe400,0x2ffb8015,0x8017fdc0,
    0x1f886ff9,0x4b9a6000,0x200bfee0,0x20f30ffb,0x07f700fc,0x9800bff3,
    0x0ff606ff,0x0ffe8fa0,0xfd1f4000,0xfff7001f,0x7fe40000,0xf9007601,
    0x200ec03f,0x07601ffc,0xb805ff70,0x3f2002ff,0x00026c4f,0x2e04b9a6,
    0xff8802ff,0x0fee0993,0x7fc41fc4,0x17fdc007,0xf9807fb0,0x000ffea0,
    0x3fea0f98,0x0fff8803,0x3ff90000,0xc803f510,0x1fa881ff,0x440ffe40,
    0x7fdc01fa,0x017fdc02,0x2a3ffd10,0x34c0000f,0x17fdc097,0x1f8ffc80,
    0x3e05ff10,0x007ff700,0x3f6037f4,0x7fc26c03,0x21360006,0xff9006ff,
    0xc8388009,0xfeeeeeff,0x7fe401ff,0xfffeeeee,0x777fe401,0x01fffeee,
    0x2e017fdc,0x7d4002ff,0x0002f8ef,0xb812e698,0xff1002ff,0x3ffd80dd,
    0x1ff6034c,0x2017fd40,0x07e203fd,0x2000bff2,0x2ffc81f8,0x03fff880,
    0x3ff20360,0xfca9999a,0x4d7fe401,0x01fca999,0x4ccd7fe4,0x5c01fca9,
    0x7fdc02ff,0xeffc8002,0x4d300005,0x0bfee04b,0x802ffc80,0x01914ffe,
    0x4404fe88,0x3fd802fe,0x7fc41ae0,0x106b8005,0x3a600bff,0x02d801ff,
    0x0ec03ff9,0xd807ff20,0x00ffe401,0x2ffb803b,0x0017fdc0,0x0007ffc4,
    0x812e6980,0x22002ffb,0x3ff6007f,0xfd1000dd,0x00bfe60b,0x9df01fec,
    0xfff99999,0xccef8001,0x0fffcccc,0x7bffd100,0x900f5cc1,0x00dc03ff,
    0x1b807ff2,0x700ffe40,0x02ffb803,0x80017fdc,0x200007fd,0xfb812e69,
    0x026c002f,0x0017ff20,0x3b737faa,0x3f6000cf,0x5555d503,0x09ff7555,
    0x55557540,0x04ffbaaa,0x77ffedc0,0x7e400cff,0x3200201f,0x200201ff,
    0x00201ffc,0xf700bfee,0x3f60005f,0x9a600007,0x0bfee04b,0x8000f880,
    0x70003ffb,0x0005ffff,0x00fa07fb,0x3e801ffa,0x0007fe80,0x40026b2e,
    0x40001ffc,0x40001ffc,0x40001ffc,0x7dc02ffb,0xffb0002f,0x734c0000,
    0x017fdc09,0x5c000b70,0x3ea0007f,0x6c001fff,0x800f983f,0xf9802ffb,
    0x02ffb800,0x8005fd00,0x55001ffc,0x2003ff90,0x01ffc82a,0x5ff70550,
    0x002ffb80,0x0000ffb0,0x5c09734c,0x5f1002ff,0xf9032200,0x7f440001,
    0x3f6000ff,0xf1004d83,0x009b00df,0x2001bfe2,0x64007fc8,0x068801ff,
    0xd1003ff9,0x2007ff20,0x05ff7068,0x0002ffb8,0x40000ffb,0xfb812e69,
    0xb137302f,0x227dc009,0xd500006a,0x1fec00df,0xfe800be6,0x00be603f,
    0x0003ffe8,0xffc800df,0xf905d801,0x20bb003f,0x5d801ffc,0xc807ff90,
    0xfd0003ff,0x2600001f,0xffc812e6,0x0dffff03,0x1e43f880,0x3faa0000,
    0x6cccc41c,0x0017f43f,0x3a01fffb,0x3ff6002f,0x3f22000f,0x67ff4002,
    0x17f4cc40,0x440cffe8,0xfd02fe99,0xe998819f,0x09ffb02f,0x8004ffd8,
    0x0002fff8,0xb025cd30,0x3ffa09ff,0x24c8001d,0x000000ea,0x3fa19751,
    0xff73ffff,0x75403bff,0x70dfffff,0x403bffff,0xdfffffea,0x005e4c00,
    0xffffec98,0xffffffff,0x7fff64c7,0xffffffff,0x7ff64c7f,0xffffffff,
    0x7fe447ff,0x910cefff,0x19dfffff,0xffffda80,0x440003df,0xff910622,
    0xa819dfff,0x5dcc0000,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x9b100000,0x00002644,0x00000003,0x06dc1b90,0x5b50ed40,0xdb837200,
    0x59300001,0x45b30000,0x0c4003d9,0x00998800,0x00bffe00,0x43ffb800,
    0xff700019,0x90001a87,0x0bfee3ff,0x801a6000,0x00cc4ffb,0xf99ffd40,
    0x37fc404f,0xff500fff,0x0017fe69,0x0172b6e0,0x7ecffd00,0x0126000f,
    0x00037fc0,0x000dfdf7,0x3fffbaa0,0xa8000d8b,0x58bfffee,0x43fea000,
    0x80001ff9,0xfdd3003c,0x001b17ff,0x3e25ff10,0x24fe803f,0xff8805fd,
    0x0000ffe2,0x0001e83a,0x06fb9bf2,0x7bfffb70,0x01df3001,0x7dcfe200,
    0x2a380003,0x0004fffe,0x27fff5c7,0x11022000,0x003e0000,0x9fffd51c,
    0x04044000,0x40030300,0x00000808,0x0000ec1d,0x3a200206,0xffd9cabe,
    0x000fe402,0x00e98590,0x1e4c0c00,0x79503000,0x00000000,0x06005980,
    0x80000f26,0x00000000,0xb8000008,0x00006c9d,0x4cbee000,0x5d00fe64,
    0x88144000,0x00000002,0xb8001000,0x2deeeeed,0x9ddddb70,0x000b2001,
    0x91000008,0x059dfffb,0xeeeeec88,0x0f4000ce,0x67d40000,0x3bb66000,
    0xeeeeeeee,0x27e84eee,0x7101e449,0x00080000,0x0eeeed98,0xeeeedb80,
    0x7fee4404,0xf9002cef,0x3ee007ff,0x765c402e,0x07a0001f,0x15df5000,
    0x2006fe4c,0x001effe8,0x00004f98,0x30004f98,0x55557ffd,0xf98df955,
    0x03a8930f,0x0f400000,0xeffe9800,0x03bf7000,0x260aefa8,0x7cc00dfc,
    0x027c007f,0x3ff2bbee,0x04f98003,0x8037f600,0x7e401efb,0xffb0004f,
    0xfd800001,0xff90000f,0x7c479803,0x0188933f,0x0006f2e2,0x40009f30,
    0x2005ffe8,0x06fec03f,0xf803df70,0x017c006f,0x7feec5f5,0x07fec001,
    0x007fdc00,0xf7007fe4,0xff10005f,0x4400007f,0x90003fff,0xd0d003ff,
    0x200935ff,0xefdaade8,0x1ffb0000,0x7ffdc000,0x5c05f004,0xffc800ff,
    0x001bfe00,0x897e205f,0x2004ff8e,0x4003fff8,0xf1004ff9,0x17fdc0bf,
    0x37ff6400,0xffd90000,0x3ff2000d,0xffb82801,0x5e8804df,0x4001ffb8,
    0x0003fff8,0x00bfffae,0x27fcc07e,0x205ff880,0x17c006ff,0x552e3fc8,
    0x3fb2000c,0x7ff4006f,0x0bff6000,0x40017fdc,0x001ffcaf,0x3ff95f00,
    0x03ff9000,0x77ffe400,0xe807ec00,0x7f64006f,0x36e0006f,0x7c01fffa,
    0x001ffd01,0xff817fec,0xd817c006,0x80007a1f,0x001ffcaf,0xa800dff3,
    0x5ff705ff,0xff37a800,0x2f50000b,0xc8005ff9,0x002a01ff,0x205ffff5,
    0x3fee07f9,0x3f2be002,0x2b70001f,0x3e00effb,0x006ff981,0xff82ffd4,
    0xf817c006,0x4000d31f,0x00bff37a,0x30017fee,0x3fee0fff,0xfd1f4002,
    0x3e80001f,0x90003ffa,0x00ec03ff,0x427ffec4,0x3fe206fb,0x3e6f5004,
    0x4b70005f,0x07e05ffd,0x30017fee,0x1bfe0fff,0x3fe05f00,0x74000792,
    0x2003ffa3,0x44004ffc,0xffb80fff,0xa83e6002,0x260003ff,0x00ffea0f,
    0x5103ff90,0x3fa6003f,0x02fec4ff,0x1f4017fe,0x70001ffd,0xf04ffe8b,
    0x009ff903,0xf80fff88,0x817c006f,0x0101d4fe,0x7fd41f30,0x03ffe803,
    0xb81fff80,0x136002ff,0xd8001bfe,0x4006ff84,0xeeeeeffc,0x93001fff,
    0x7fc7ffd3,0x402ffc06,0x0ffea0f9,0xff116e00,0xfd03f07f,0xfff0007f,
    0x800dff03,0xb5ffb02f,0x21360120,0xffe806ff,0x1fff8003,0x1002ffb8,
    0x05ff903f,0xf903f100,0x7fe4005f,0xfca9999a,0x3a293001,0xd01ffa6f,
    0xf09b007f,0x0b7000df,0x1f83fff3,0x8003ffe8,0x6ff81fff,0xfb817c00,
    0x403a82ff,0x2ffc81f8,0x001ffec0,0x2e03ffe2,0x0d7002ff,0x20017fe2,
    0x0bff106b,0xb00ffe40,0xfa926003,0x403ff90f,0x0fc401ff,0x20017fe4,
    0x1fff705b,0x1ffec0fc,0x03ffe200,0x5f001bfe,0x433ffe20,0x35c00eb8,
    0x6405ff88,0x7cc004ff,0x05ff707f,0x33333be0,0x000fffcc,0x6666677c,
    0x9000fffc,0x40dc03ff,0x3fe24c2a,0x2209ff32,0x835c00ff,0x5c005ff8,
    0xf9bff205,0x004ffc81,0xfe83ffcc,0x300fc006,0x3fffffff,0x9999df00,
    0x401fff99,0x4c005ffa,0x5ff705ff,0x5555d500,0x09ff7555,0x55557540,
    0x04ffbaaa,0x0403ff90,0xf124c5a8,0x407fec1f,0xcef802fb,0xfffccccc,
    0xd016e000,0x2a07ebff,0x7cc005ff,0x00ffd05f,0x3f600fc4,0xa801cfff,
    0xaaaaaaae,0x3e204ffb,0x7fdc007f,0x005ff702,0x0ffd007d,0x7f401f40,
    0x03ff9007,0x24c1f500,0xefe889f5,0x2a00fea0,0xaaaaaaae,0x2e004ffb,
    0x5fff4405,0x07ff881f,0xc817fdc0,0x0f5000ff,0x80031688,0x07fe803e,
    0xd001ffdc,0x17fdc0bf,0x2e003e60,0x0f9802ff,0x802ffb80,0x55001ffc,
    0x9a4cbbea,0xbff900ef,0x0fa007bd,0xb801ffa0,0xffff9805,0x007ff701,
    0xff502ff4,0x70176007,0x03e60007,0xd00bfee0,0x3fea00ff,0x00bfee00,
    0x3fe2009b,0x1004d806,0xff900dff,0x5c4d1003,0x4feedffe,0x40015300,
    0xffb800f9,0x200b7002,0x3a01fffa,0x1ff5007f,0x400efc80,0x007400ed,
    0xf1004d80,0x4ff980df,0x2017f4c0,0x3e603ffc,0x0fffa002,0x3a002f98,
    0x7fe403ff,0x3105d801,0x000003b9,0x3e2009b0,0x00d9006f,0xf300ffe4,
    0x2fe9809f,0x415ffb00,0x4c00fda8,0x05f30006,0x201fff40,0xdf505fd8,
    0x09ffb003,0xfb0017f4,0x0bfa01ff,0x00fffd80,0x31033ffa,0x49805fd3,
    0xf9800000,0x0fffa002,0xd8003fa0,0x2fec401f,0x2001efa8,0xffefffc8,
    0x03c801df,0x4005fd00,0xb800fffd,0x4efdcefe,0x7fffe440,0xfff70cef,
    0x7f5403bf,0xf70dffff,0x5403bfff,0x0dfffffe,0xfffffd93,0xffffffff,
    0x00000200,0xd800bfa0,0xfc880fff,0x8802dfff,0xdfd7001e,0x0009dfb9,
    0x009aaa98,0xf70002e0,0x5403bfff,0x0dfffffe,0x00135300,0x00000000,
    0x00000000,0x00000000,0x7fffdc00,0x3ffaa01d,0x0000dfff,0x4c000440,
    0x0000009a,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x19980000,0x00098800,0x80004cc4,0x30000198,
    0x32e60060,0x2662002c,0x00998800,0x00026620,0x4cc00666,0x11019800,
    0x00801000,0x26000cc4,0x0004002c,0xff980018,0x7ffcc003,0x1ffa2001,
    0x0bffe200,0xf30077cc,0x7ec01f10,0x801efdad,0xe8801ffc,0x3fe6006f,
    0x1ffd4004,0x4037fdc0,0x3d910cd8,0xfdfb7100,0x80fc43bd,0x7002fff8,
    0xd900d95b,0x2dc005dd,0x002fe400,0x002ff7ec,0x90007fe2,0x3f20dfbf,
    0x2616e03f,0xf50ff207,0x007fd00d,0x50007fcc,0x4fc800df,0x3ffef880,
    0x07d9f900,0x9307bea0,0x6407d3bf,0x1d006fdf,0x21f900ec,0x0f9801fc,
    0x8006e800,0x005f91fa,0x26003f98,0xf907f72f,0x5c1e409f,0x881ff105,
    0x13e203ff,0x000fe600,0x2fc003f7,0xfe88dc80,0x03ffa800,0xfb80bf90,
    0x5cbe205f,0x360e803f,0x7c49f501,0x8002e804,0x0d8000e9,0x35400354,
    0x0e983b00,0x5d01ffdc,0x1fe607b0,0x0b7027f4,0x4002dc00,0x01d3003d,
    0x40990b30,0x02fe9de9,0x6c007fe4,0x983b00ff,0x5cedc00e,0xff0ff206,
    0x50005c80,0x20130001,0x00b80019,0xb8310188,0x203e02ff,0x20df501f,
    0x000e04fd,0x01c000e0,0x405000a8,0xff987602,0x009ff302,0x310bfff5,
    0x36a00620,0xf0bfa00b,0x003e603f,0x00000000,0x80000000,0x0f301ffa,
    0x1bee01f1,0x00000ff4,0x00000000,0xc8000000,0x0ffe80ff,0x7fecfcc0,
    0x00000002,0x05fd0bfa,0x555400ba,0x0d55541a,0x5506aaaa,0xaaaa8355,
    0x00d55541,0x4c06f2e2,0xb99930ff,0x9fb9999f,0x986fc839,0x2f32e06f,
    0x79710009,0x7b951003,0xbdca8803,0x5ee54401,0xd5973001,0x06ffa8bf,
    0x5ffa9744,0x01379970,0x01379970,0x03ff0ff6,0x7dcc00b9,0x27fe4c5f,
    0x9317fee6,0xffb989ff,0x827fe4c5,0xefdaade8,0x9933fc40,0xd9999bd9,
    0x6fc8399d,0x26037f26,0x0efdaaef,0x36ab7a20,0x5bf300ef,0x3e607ff9,
    0x303ffcad,0x07ff95bf,0x7eddff44,0x17fee2ff,0x3ffcc9b0,0x3f6abbe6,
    0x55df300e,0x9f701dfb,0x3e607fc4,0x05fe8000,0x17fa09ff,0x5fe827fc,
    0xbd109ff0,0x7f83ff70,0x80f60ba0,0x13ff66fc,0x13fa07ec,0x7fdc2f44,
    0x3ea0fcc1,0x2a0fcc2f,0x20fcc2ff,0xdf882ffa,0xf92ffec0,0x222e409f,
    0x03f60fff,0x03f609fd,0x4dd109fd,0x017443fa,0xfb05fd80,0x6c17f609,
    0x20bfb04f,0x00fd84fd,0x106e8dfd,0x6403f01f,0x0f7ec46f,0x0bf90ff3,
    0x37f403f6,0x23ff417a,0xe8ffd05e,0xfb0ffd05,0x743ffe01,0x01d503ff,
    0x1fe63fff,0x1fe617f2,0x67c417f2,0x004c84fb,0x7ec17f60,0x360bfb04,
    0x20bfb04f,0x03fcc4fd,0x82ec5ff7,0x200f886a,0x4ffb06fc,0x86fb84e8,
    0x3fee07f9,0x33337f52,0x3ea1ffb3,0xfd99999b,0x3337f50f,0x541ffb33,
    0x4fff206f,0x1f983ffe,0x3a23fff0,0xe886fb84,0x4c06fb84,0xb886a81a,
    0x17f600bd,0x5fd827ec,0x3f609fb0,0xfb89fb05,0xc93fe206,0x0d50b704,
    0xff306fc8,0x37f5c403,0xff1037dc,0x33337f29,0xf91ccccc,0x9999999b,
    0x3337f239,0x21cccccc,0x3fe605fc,0xe88bff94,0x01fff102,0x8037f5c4,
    0x0006feb8,0x8de883f1,0x0bfb01fc,0x2fec13f6,0xbfb04fd8,0xbfb13f60,
    0x8f25ff80,0xaaadeaa8,0x40aaaeda,0x13fa06fc,0x1bf2fb22,0xbff017f6,
    0xfd8007f6,0x007f6001,0x7c40bfd0,0xe8dff75f,0x41bfe604,0x06fcbec8,
    0x37e5f644,0xfd84d800,0x3f603be0,0x3609fb05,0x209fb05f,0x89fb05fd,
    0x2ffc06ff,0x77f75457,0xeeefeeee,0xb037e41e,0x2e3fc8df,0x406ff86f,
    0x005fd5ff,0xfd0017f4,0x06ff8005,0x7ffaaffc,0xbff50172,0x37dc7f90,
    0x37dc7f90,0x7c435400,0x7ec17e46,0x3609fb05,0x209fb05f,0x89fb05fd,
    0x1ff407fe,0xf01f1033,0x206fc803,0x707f66fc,0x80ffd0df,0x009fb3fe,
    0xfb0027ec,0x07fe8009,0xfff89ff4,0x7dc00eb9,0x2e0fec3f,0xb83fb06f,
    0x0fc4006f,0x13f237d4,0x27ec17f6,0x9fb05fd8,0x7ec17f60,0xf00ffe44,
    0x10d5003f,0x40df900f,0x70bf95fc,0x03ff90df,0x0ffc8ffc,0x07fe42e0,
    0x03ff2170,0x03ff60b8,0x3fea1ff8,0x5fe801fc,0x37dc2fe4,0x37dc2fe4,
    0x7dc0f600,0x7e42fdc5,0x3209fd05,0x209fd05f,0x89fd05fc,0xff104ff9,
    0xd50b7001,0x0a2df900,0x213fa7fb,0x4ff986fb,0x3ea1ff10,0x2a5880df,
    0x25880dff,0x5880dffa,0xf881ffd4,0x802ffd87,0x27f40ffb,0x27f437dc,
    0xd70037dc,0x3f237d40,0x6c0ffb84,0x1ff705ff,0xf705ffd8,0x85ffd81f,
    0x2fb80ffd,0x20f61322,0x96fc804b,0xffb3fc7f,0x4137fe98,0x2fb80ffd,
    0x44577fec,0x77fec1eb,0x6c1eb88a,0xeb88aeff,0xb80ffd81,0x04ff982f,
    0x7ec0ffc4,0x09bff4c7,0x7fe98ffb,0x007c4013,0x83fc8df1,0xaebbeff8,
    0x7c43cffd,0xfdaebbef,0x77fc43cf,0xcffdaebb,0xa83bfa23,0x217fdc3f,
    0xe803d81e,0x3ea7f56f,0x36fbfea2,0x444cffbd,0x0fea0efe,0x3fffffe6,
    0xffff985f,0xff985fff,0x105fffff,0x1fd41dfd,0x81dfddd8,0xff501efa,
    0x9ff7bb7d,0x6df7fd49,0x404cffbd,0x20fe803d,0xfff500ff,0x40b7f63d,
    0xfb1efffa,0x3ffea05b,0x205bfb1e,0x83dedffc,0x03e21ffa,0xffd9807a,
    0x20bb7b26,0xff13fffc,0x76ffe40b,0x3ff6203d,0x3f6204ff,0x36204fff,
    0x4404ffff,0x03dedffd,0x677f4cd7,0xfc803ffd,0x0bff13ff,0x3e27fff9,
    0x802dc05f,0x02fc8de8,0x800541a8,0xa800541a,0xa9800541,0x0a204c00,
    0x00400014,0x9800440c,0x26a2000a,0x01351000,0x00026a20,0x00a80153,
    0x30001553,0x88180110,0x0006c400,0x00039b71,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x26000000,
    0x40200019,0x00000400,0x00200220,0x00100110,0x00000088,0x10088000,
    0x320000dc,0x01000000,0x20000300,0x71000000,0x1ffc8007,0x3fff6600,
    0x320499bd,0x3ff2205f,0x01f1000d,0x9800fee2,0x07f7100f,0x54002e80,
    0x0001cffd,0xcefffda8,0x0025cd0a,0x7edc0f30,0xfeda804e,0x76f5404e,
    0x2e2003ef,0x00aceeed,0x2ffe4c00,0x7ec07fe6,0x15bf7003,0x409ffd73,
    0x39b00fff,0x0f600bf7,0x2003fca8,0x0ff2a02e,0x6c005c80,0x00fc88cf,
    0x15bff500,0xf33ffecc,0x4425c000,0x40bd12ee,0xefb88cfa,0x3aa0ec80,
    0x5ef4c05f,0x006f5cc0,0x45ff9980,0x1ba03ffb,0x7441bea0,0x813ee04f,
    0x35403741,0xc801fd40,0x003fa805,0x7dc001f3,0x4001fc45,0x7d401ffc,
    0x40007a0f,0x541fd81e,0xb83fa85f,0x5417cc6f,0x01b702ff,0x80007aa0,
    0x077445fd,0xfe801f10,0x00027402,0xf8803f10,0x803fa801,0x3fa800f9,
    0xe8007d00,0x4006e83f,0xf7003ffb,0x4c0025c1,0xfd06fa87,0xff107e83,
    0x7c41fdc5,0x9884b85f,0x1d1311ab,0x017f2000,0x7fc02980,0x02025c02,
    0x2006f540,0x07f5004d,0x3ea007d0,0x8005b803,0x01fcc4ff,0x800bff30,
    0x2001e61e,0x903fe84c,0x9037d4bf,0xd837dcff,0x36234c7f,0x3ffda9bd,
    0x3f2000d3,0x7c000005,0x2024c05f,0xffec8804,0x5400d500,0x002dc03f,
    0x0f8807f5,0x646ff800,0x3ff6000f,0x3a0dc001,0x220f4001,0x3ff702ff,
    0xffa817f2,0x3f60df31,0x09f30ec5,0x003b93e6,0x00985fc8,0x40137997,
    0x0a00dffd,0x3fc80090,0x2a001e88,0x003e203f,0x1ec03fa8,0xb1ffd800,
    0x7fc4005f,0x5c188007,0x261a6004,0x5ff501ff,0xff981bf6,0x1ffc0222,
    0x5c06f89a,0x97301a64,0x0aa17f25,0xdfb55df3,0x3bffea01,0x00488002,
    0x02640fcc,0x3d80fea0,0x701fd400,0x7fdc000d,0x3bb21eed,0x3fee1eee,
    0x0f300006,0x7fd42640,0x367ff300,0x0ffe207f,0x4931bea0,0x7c2803fd,
    0xc9cfd881,0x43b85fef,0x027f40fd,0x03bffff7,0x2a0016c0,0x4000f986,
    0x00d703fa,0x3e207f50,0x3fe20001,0x17ffd03f,0x0005ffd8,0x0f4007a0,
    0xf8807fe4,0x203ff94f,0xfe803ff9,0x03ff15c1,0xee885b00,0x642ffdc0,
    0x3f21fe64,0x7fffdc05,0x03dc00cf,0x07aef7e6,0xf71000ba,0x001f8819,
    0x6c067dc4,0x3f220003,0x09f705ff,0x0000fffa,0x069804b8,0x5ff80ffb,
    0x3ea0bff5,0x41fcc02f,0x001ff30e,0x02fc8970,0x449b0bff,0x806fb84e,
    0x2fffffd8,0x75007f10,0x98172057,0x1555541f,0x39d930f6,0xa8555550,
    0x5407e606,0x82fff9ef,0x0fffa06d,0x80788000,0x80ffd04c,0x0fff65ff,
    0xd803ffb1,0x07fccd05,0xff31d400,0x2f42fec0,0x01bfae20,0x2ffffe98,
    0x80000fe8,0x3ff100f9,0x3a635400,0x2001ffcc,0x3ff101f8,0x7fdcbf70,
    0xfb017c0e,0xe800009f,0xfd80f402,0x897fe207,0xeddcfffe,0x81a200ff,
    0x003ff11c,0x037e4390,0x20df0bf9,0x06fcbec8,0x1ffffb80,0x400017ee,
    0x07f7a03e,0x8320fc40,0x136005f9,0x7dc1fde8,0x727ffc46,0x05ffc809,
    0x3025c000,0x103fec0d,0x9b9509ff,0xb80bff13,0x3fe8ea01,0x2fec6800,
    0x0ff0bf90,0x837dc7f9,0xa7ff4401,0x80002ff8,0x3eaf605b,0x0109b001,
    0x81aa00bf,0x7fc1fbbd,0x99fffa83,0x3ffdc00e,0x81e20000,0x03ff204c,
    0xc801ffcc,0x202c01ff,0x201bea58,0x0bff1622,0x3fe22fe4,0xdf707f60,
    0x3fe20160,0xd501ff76,0x201f3003,0x5003f54b,0x00be200d,0xba5c07e2,
    0x407fea1f,0x802eeffd,0x0000fff8,0x01e81740,0x7d407fe6,0x5ff8801f,
    0x20e80480,0xa87204fc,0xf9037f43,0xf91ff98b,0x3e0df70b,0xf96fd800,
    0x2017f20f,0x7d4b503e,0x800fc401,0x2099005c,0xfc87ee5a,0xdfff102f,
    0x027fe400,0x84b80e20,0x03fe8069,0x3ee00df7,0xb801800e,0x54df7d45,
    0xb03a20dc,0x17f201ff,0x13fa5ff5,0x01fc1bee,0x1ffca7f4,0x35c06fa8,
    0xfb999e88,0x4013200a,0x0f9800ea,0xfb999e88,0x40bffd0a,0x1705fffa,
    0x001fffc4,0x643c401b,0xb05fb804,0x3ff3007f,0x45d80000,0xd80bcba8,
    0x903ffb82,0xb2ffb8bf,0x37fe98ff,0xf3017fc1,0x413fe63f,0x407e205f,
    0xfffffffa,0x3001f306,0x40ba001b,0xfffffffa,0x305fff96,0x43bfffdd,
    0x1ffe9849,0x2e802d80,0x7f4400fc,0x54037cc0,0x3b5001ff,0x400bd100,
    0xfff103d8,0x646fe883,0x7dff53ff,0x899ff7bb,0x7540bfff,0x20f7e43f,
    0x013600fa,0x17403f50,0x40a22d40,0x0fdc005c,0x77dfffd1,0x3ffe65fb,
    0xd100ffff,0x5cc17bff,0x4c97001e,0x897e2006,0x77d400fe,0x0dff1000,
    0x9805f640,0x7fd402eb,0xffefc9bf,0x647ff93c,0xbff13fff,0xbdfd95d0,
    0x3ee03dff,0x201ddbef,0x1fa8006a,0xdf900b90,0xf303fddd,0x41fb8001,
    0xdfffffd8,0x77fff440,0xfffdb802,0x2000cffe,0x3000f278,0x1019d9db,
    0x0005dd95,0xb8800bfd,0xacedbced,0xffff3000,0x4c5bf91d,0x088181ff,
    0x0aaa8830,0x00aa9880,0xc98001d8,0x4c00d880,0x04cccccc,0x19300059,
    0x2006aa20,0x530001a8,0x2a000135,0x22000150,0x004d4401,0x00003100,
    0x98000153,0x04c0660a,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x02600000,0x00440000,
    0x00000020,0x00002000,0x05710004,0xeeeee880,0x403eeeee,0x51066000,
    0x3bbba600,0x540a84ee,0x10188000,0x00200133,0x81970666,0x002effda,
    0x3ffbff6a,0x4002b8ad,0x400cedc8,0xaceeedb8,0xbd910000,0x3722005b,
    0x002cefff,0x077fbf6a,0x0027fecc,0x3fffffee,0xd902ffff,0x7cc07dff,
    0x007ff12f,0x5ffffffb,0x3fee6fd8,0x40ff4000,0x6cc04ff9,0x327fcc05,
    0x7ffec9ff,0x74c03fff,0x3ea20acf,0x3ea002ff,0xbde9800d,0x006f5cc0,
    0x1fdc7d10,0x982bbea0,0x7e400dfc,0x507f710a,0xe8009ff5,0xcccccdef,
    0xfffe887e,0xff505fff,0x3013fe67,0x0bdddddf,0x3ff21ffb,0x07fee000,
    0xfd9837d4,0x22fdc05f,0x23954ff8,0x2a06ffb8,0x7ec403ff,0x02fd8803,
    0x2a001b70,0x88bd001e,0x037f607f,0xf501efb8,0x7407fa09,0x03a6004f,
    0x39fb0bf0,0x209fffb3,0x002ea0bb,0x164c007b,0x7cc00591,0x03f201ff,
    0x80bff553,0x912980ee,0x2a07ff20,0x9f1002ff,0x002fe880,0x33333197,
    0x5003a201,0x2e0bb09f,0xffc800ff,0xf701fd80,0x8013fa09,0x217d400c,
    0xfff980f9,0x1e600000,0x74000000,0x1ec01ffc,0x7c40bfb0,0x3e600800,
    0x02ffc41f,0x9fb01320,0x7e45a600,0x40beebcf,0x01fe4069,0x2009ff30,
    0x2fe85ff8,0x3fa09f70,0x3e400004,0x5ffb015c,0x576c0000,0x20000000,
    0x801ff8dc,0xa817f203,0x0ff00001,0x88003ff9,0x801bea04,0xf91fe21d,
    0x7f40770d,0x03ffa003,0x6c2ffd80,0x203f906f,0x400004fe,0x7d40185f,
    0x3799702f,0x7fffcc01,0xdca8801d,0x11f5001b,0xc80003ff,0x8000005f,
    0x06ff82f9,0x1ffc4000,0x88ff0d00,0xf034c1ff,0x3fe6009f,0x2ffd4006,
    0xbf113fee,0x79527f40,0x05f50003,0x981ff100,0x0efdaaef,0xffffffb0,
    0x656fcc09,0x8fc403ff,0x32201ff8,0x1017f202,0x1ec00059,0x0002ffcc,
    0x2623ff60,0xf849809a,0x1f82fe87,0x2e009fd0,0x7cc005ff,0x15ffe87f,
    0x8cfe80bd,0x004ffffe,0xf98003e4,0x7f40fd86,0x3f6ea604,0x41f985ff,
    0x93602ffa,0xfda81ff8,0x417f203f,0x0003ffda,0x9ff701fb,0xdff80000,
    0x42fffefb,0x7cc7f82b,0x3f605b07,0x09ff9005,0x40fff880,0x03eeffe8,
    0xcacecfe8,0x3e004fff,0x87f70005,0x05fc87f9,0xd0fffee0,0x541ffa0b,
    0x540ffc46,0x3f203ffb,0x07ff7505,0x7fffe440,0x401ffec2,0x5eeeeeda,
    0xd88bbfe2,0x3e03a3ff,0x00cfba9f,0x7fffe497,0xfd03ffff,0xfff0007f,
    0x3fffd103,0x883dfd00,0xf9800ffe,0x10bd0002,0x00df709d,0xf50fff98,
    0xfb333337,0x441f881f,0x0ffe01ff,0x7fc05fc8,0x3aea2003,0x3ffa3fff,
    0x3ffee003,0x440ffd43,0x3e0d0ffe,0x5404febf,0x3bfaaa63,0xffd01aaa,
    0x3fff0007,0x0bfffb60,0x3ea09fd0,0x007c803f,0x22001f50,0x98006feb,
    0x99bf92ff,0x83999999,0x01ff883d,0x5fc80ffa,0x6e41ff40,0xb37fdc00,
    0x7c400bff,0x01ffc87f,0x20727ff9,0x403ff17f,0x00bf901c,0x1000fff6,
    0x2bb01fff,0x3a02fffc,0x013fe04f,0x1740017e,0x7e5f6440,0x27ff0006,
    0x2dc001fd,0x3a01ff88,0x017f203f,0x4ff987fd,0xf90ffb80,0x6ff800ff,
    0xf500ffc8,0x9fe0ea9f,0xc81a06fa,0x9ff9005f,0x47ff9800,0x7ffd46e8,
    0x6c09fd00,0x017cc06f,0x7e4026c0,0x4001bee3,0x005fd3fc,0x4cccd7cc,
    0x809affa9,0x17f203fe,0xff887fd0,0x72ff8803,0x7c001fff,0x00ffb86f,
    0x2162bff1,0x4427e47f,0x4013ee05,0x4c005ffa,0x41fdc5ff,0x9fd03ffa,
    0x3202fec0,0x805b8007,0x037dc1fd,0x9fb1fa80,0x7fffdc00,0xffffffff,
    0x3203fe86,0x41ff405f,0x47fa0018,0x2002fff8,0x1ffa86ff,0x20e93fe0,
    0x41fe87f8,0x00bee03a,0x2003ffc4,0x0ff42ffb,0x9fd06fc8,0x3e027ec0,
    0x00754005,0x1bee17f2,0xff93dc00,0xeea85c01,0xffeeeeee,0x03fe85ee,
    0x7fd017f2,0x41fd0000,0x3e006ffb,0x02ff886f,0x715b8bfa,0x7fcc17ff,
    0x7dc01d12,0x7ff70600,0x222ff400,0x1ff100ff,0x7f409fd0,0x800be602,
    0x4fe800ea,0xd0006fb8,0x406ffd47,0x3fe20058,0xc80ffa01,0x21ff405f,
    0x9f3003d9,0x2005ffd0,0x0bfb06ff,0x54eec3fc,0x554c2aaa,0xeeb882d8,
    0x3fa1a01f,0x01ff5007,0x83fc05fb,0x0df104fe,0x3aa007c8,0x3feca200,
    0x884dffa6,0xd85c882b,0xeb88aeff,0x07fe2001,0x3f203fe8,0x361ff405,
    0x7e4030ff,0x02ffd880,0xff106ff8,0xd107f503,0x81ec400b,0xceffe9ad,
    0xf985db9a,0x17f4c04f,0x9f305fa8,0x7e413fa0,0xa802f401,0x999999af,
    0x7dff51fb,0x499ff7bb,0xfc9beffa,0xffff980d,0x44005fff,0x13fe01ff,
    0x7fc06fc8,0x7e47fe44,0x01db50bf,0x501cffb8,0x37cc0bff,0x7d900faa,
    0x80bae601,0xfffd3d15,0x36201fff,0x03df505f,0x36c42fe8,0xfb87ffb0,
    0x4017cc03,0xfffffffa,0x7fe46fff,0xb0bff13f,0x805bffff,0x04ffffd8,
    0x101ff880,0x3ff40bff,0x130bff10,0x3bffffe6,0x3fb26003,0x1cffdcdf,
    0xedcfe980,0x9db71002,0x80159db7,0x3ff21ecd,0xfeb801df,0x004efdce,
    0x0ff6fff2,0x3b7ffaa0,0x8029801e,0xfffffff9,0x0303ffff,0x00098011,
    0x00009a88,0xfd903ff1,0x3b225bff,0x320cefff,0x402dfffe,0x300001a8,
    0x20003355,0x4c000098,0x2018000a,0x35300009,0x0d4c0001,0x00554400,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x10000000,
    0x40554000,0x04cc02a8,0x19819910,0x7777775c,0x3bbb201e,0x981300de,
    0x55555501,0x51aaa981,0x25dddddd,0xdeeeeed8,0x4eeeec81,0x0ea00ca8,
    0xddddb700,0x3b6e05bd,0xb880ceee,0x0000ea02,0x399665cc,0xcc98aa20,
    0x00f40002,0x4c0ffc40,0xfff500ff,0x9ffff301,0x3f6202e1,0xff5003ff,
    0x43fee019,0xfe981ffa,0x7e440aff,0x07ffec1d,0x2027ffdc,0x9ff01ff8,
    0x006ffc98,0x007fff90,0x36a0bbee,0x7fe443ff,0xbed80006,0x985fffca,
    0xfffb4ffc,0x3e6000bf,0x1ff88004,0xf880ff98,0x99b84fee,0x206efffe,
    0x2001fff8,0x8ffe406f,0xff102ffb,0x4c07d40d,0x3ff606ff,0x3a04f803,
    0x37fccc3f,0x07ff9800,0xfba827c0,0x37f4cc3f,0x81bd1000,0xfaa85ff9,
    0xffdbdccf,0xffd8004f,0x0ffc4000,0x76407fcc,0x21c0fd88,0x6400dfc9,
    0x5f3003ff,0x1dc3c880,0x6403fea0,0x403ffa04,0x7c405ffa,0xdf900400,
    0x037fc000,0x7ff00be0,0x8001bf20,0x0bfd00fc,0x3e61f7f4,0x3e2000ff,
    0x7c4003ff,0x40ff981f,0x002dc0d8,0x01bfe200,0x0000035c,0x0fc427f4,
    0x7c07ff70,0x0035c07f,0x8001bf20,0x17c006ff,0x7e40ffe0,0x0bf30006,
    0x9fd02fec,0x800fff20,0x4006ffec,0xff981ff8,0x001500c0,0x01ffd800,
    0x000003e8,0x35c0ffb8,0xc81bfe20,0x00f601ff,0x000df900,0x3e0037fc,
    0xb81ff402,0x9f90006f,0xfb02fe40,0x017fe209,0x01ffcaf8,0x2607fe20,
    0xb80000ff,0x30009bcc,0x0f980bff,0xa8355550,0x7fc01aaa,0x7ec01744,
    0x09ff900f,0x900003e2,0x7fc000df,0x2017c006,0x0df703fe,0xc80ff600,
    0x813f605f,0x2f5006ff,0x22005ff9,0x0ff981ff,0x7cc0b220,0x00efdaae,
    0x6c01ffd0,0x17fee604,0xb809ff93,0x200f30ff,0xfff03ffa,0x22016e0f,
    0x4cdf902c,0x6ff802cb,0x3a017c00,0x88df703f,0x7c0aaaaa,0x817f203f,
    0x17fa04fd,0x1ffd1f40,0x207fe200,0xfda80ff9,0xe81fb03f,0x9ff7004f,
    0x3a007e20,0x809ff05f,0x00993ff8,0x3e61bfe2,0x03e82ffc,0x640fff6a,
    0x9ffff76f,0x4006ff80,0x81ff402f,0x7fe446fb,0x027fc09b,0x27ec0bf9,
    0xf3009fb0,0x801ffd41,0xff982ff8,0x83ffba80,0x05fc87f9,0x35c1ffe0,
    0xfb05fd80,0xf1ff9009,0x07fec003,0x117fe332,0x7fdd401f,0x399df903,
    0x7c03ff91,0x017c006f,0x37dc0ffa,0xdfb0076c,0xfb02fe40,0x401ff409,
    0x006ff84d,0xff505ff1,0x441ffc01,0x006fb84e,0x0ba0bff2,0xfd82fec0,
    0x6eff8804,0x21ffd400,0x5c1ffd1f,0x207ff005,0x3ff82ffc,0xf001bfe0,
    0x703fe805,0xc805d8df,0x0bfb02ff,0x1ff02fec,0xfc81f880,0x4ff8802f,
    0x848fff4c,0xd71003fe,0x7fc400df,0xfb003d46,0x4013f60b,0xf8002ffc,
    0xffb9ea6f,0x7f400ba2,0x360df903,0x01bfe04f,0x3fe805f0,0x1762df70,
    0x217ffc40,0x3f605ffb,0x7007f706,0x017fe20d,0x36f7ffe2,0x82acff8d,
    0x764403fe,0x6c006fcb,0x801361ff,0x09fb05fd,0x4001fe20,0x449b1ffc,
    0x001f15ff,0x37e40ffa,0x3fe05fd8,0x2017c006,0x1df703fe,0xffb8009d,
    0x5fcbedef,0xd30fff60,0x333be00d,0x0fffcccc,0x7ffefcc0,0x203bff24,
    0x8ff203fe,0x7cc006fb,0x4003f15f,0x09fb05fd,0x980026c0,0xfd83f4ff,
    0x3a005b8f,0x20df903f,0x1bfa05fd,0xfe803f00,0xbfddf703,0xffff7000,
    0xfd817f25,0x04feceed,0x55555d50,0x809ff755,0x06205379,0x3fb03fe8,
    0xe8006fb8,0x4006b8ff,0x09fb05fd,0x80003e20,0xfa86aefe,0x3a002ebf,
    0x20df903f,0x1ffa05fc,0x7401f880,0xf5df703f,0x3310007f,0x3f605fc8,
    0xe8003534,0x407fe803,0x740000fa,0xb85fc83f,0xffa8006f,0x7ec002fc,
    0x2009fb05,0x7dc0005b,0xeff883ef,0x0ffa000f,0x5fc837e4,0x4003ff20,
    0x03fe807a,0x0bff2df7,0x02fe4000,0x4c0009fb,0x2ffb800f,0x00007f20,
    0x09fd07fd,0x3e000df7,0xfc8007ff,0x1009fd05,0xf980005f,0xbffb00ff,
    0x903fe800,0x817f20df,0xbb003ffa,0x2e07fd00,0x003ffa6f,0xd817f200,
    0x1360004f,0xd037fc40,0xfe80005f,0x74c7fd83,0x6400137f,0xfb8004ff,
    0x42ffec0f,0x004d89b9,0x540dfd00,0x7f4002ff,0x320df903,0x077e405f,
    0x3a003b60,0x44df703f,0x40000eff,0x13fa05fd,0x0017cc00,0x3fe07ffd,
    0x27fc0003,0x6edf7fd4,0x4004cffb,0x88000ff8,0xdaebbeff,0x3ffe3cff,
    0x2e00006f,0x003fc03f,0x6fc827fc,0xfb00bfb0,0x7ed4415f,0x209ff000,
    0x2ffcc7fc,0x81bf6000,0xfd0005fe,0x7ffec005,0x0002fe80,0x7e417fe2,
    0x0bff13ff,0x80017600,0xfb1efffa,0x1dffe85b,0x03e20000,0xf8800b90,
    0x20ffb05f,0xfc8806fe,0x1dfffeff,0x20bff100,0x4ffc87fd,0xfffa8800,
    0x3ffee60b,0xfff7000b,0x7f5403bf,0x220dffff,0x3fb20001,0x10302dff,
    0x00c40001,0x02a0d400,0x000000a8,0x40011003,0x52dfffec,0x2e9dfffb,
    0x002dfffd,0x00135553,0x96ffff5c,0x34efffdb,0x009dfffd,0x15555554,
    0x05555555,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x77777640,0x0bc981de,0x1cb88014,
    0x00acca80,0x03bbbb66,0x3bbbb6e0,0x81981304,0xeeeeeed9,0xdd91002d,
    0x2619dddd,0x3deeeeed,0x6f777764,0x77776cc0,0x776d44de,0xdb33deee,
    0x20001ddd,0xb33eeeed,0x9ddddddd,0x0a801579,0xddddb054,0x7776c43d,
    0x00597504,0x5c07fff2,0x090bffff,0xefebcd88,0xd99de981,0x4c1eeeef,
    0x7000effe,0x3fee03bf,0x2603ff50,0x0000efff,0x203dffd1,0x2a04fff9,
    0x7cc01dff,0x7fcc04ff,0x9fff504f,0x9fff3000,0x59fff301,0x07ffb753,
    0x0ffc9bf6,0xfc81bfee,0xebbee982,0x2ffd404f,0xfffd5170,0x224d809d,
    0x43fc45ff,0x880bcefd,0x3e005ffe,0x5c7ff203,0x3ff202ff,0x7fe40002,
    0x00fff404,0x7ec009f9,0x0ffe801f,0x003fffa0,0x403fffb0,0xff300ffd,
    0x367fe81d,0x03ff40ff,0xa87f30bb,0x3fe601ff,0x9fb50a04,0x74c1fc80,
    0x7d42fec3,0x4fffb807,0x64405f00,0x3f201dc3,0x7dc0001f,0x07fec02f,
    0x6c003fa8,0xffd800ff,0x13ffb600,0x0ffef880,0xa803ff20,0x1164c4ff,
    0x05ff5059,0x20dd01f1,0x3fe205ff,0xfd000004,0x20ffa001,0x75c01ff9,
    0x1f802fff,0xff900000,0xffb80003,0x407fe402,0xfc8003fa,0x0ffd800f,
    0x03ffb360,0x03feee40,0xfd003ff2,0xbfd0000f,0x09f70b70,0xff880726,
    0xff000004,0x213fe001,0x6dc02ff8,0x7c01fffa,0xf9000001,0xfb80003f,
    0x07fe402f,0x64000fea,0xffd800ff,0x3fef3600,0xfdaf8803,0x007fe407,
    0x00007ff6,0x81f81ff7,0x220003fc,0xcb8804ff,0x07fc401b,0xfa85fc80,
    0xfbadc01f,0x007e00ef,0x2006f2e2,0x40001ffc,0x7e402ffb,0x000fea0f,
    0xd800ffc8,0x7d3600ff,0xfb6b806f,0x00ffc80f,0x59103ffc,0x2a4ff880,
    0x0007fd06,0xd1027fc4,0x81dfb55b,0xaabffcaa,0x907fe601,0x6cb700bf,
    0x807e05ff,0xefdaade8,0x007ff200,0x805ff700,0x07f50ffc,0x00ffc800,
    0x3600ffd8,0xf805ff74,0xfc80ffb2,0x13fea00f,0x200fff6a,0x7c0ba7fc,
    0x3e20005f,0x70bd104f,0x7f76c3ff,0x4c03eeef,0x0dfb8bff,0x7ff45b80,
    0x3a203f04,0x901ffb85,0xb80003ff,0x7fe402ff,0x80003fb8,0xfd800ffc,
    0x7c53600f,0xfd9ee06f,0x807fe407,0xba80dffb,0xff9803ff,0x1ffa079a,
    0x04ff8800,0x1bfa01fb,0x88003fe6,0x001bccbd,0x7fff116e,0x03f603f0,
    0xffc837f4,0x7fdc0001,0x7e7fe402,0xfc80002f,0xcccccccf,0x200ffecc,
    0x40bff24d,0x901ff63e,0xfdb99dff,0x7ff007ff,0x0f37f600,0x3201ffc8,
    0x309ff100,0x17fdc0ff,0xd8003fe6,0x42dc0002,0x0fc1fff9,0xff703fcc,
    0x003ff905,0x402ffb80,0x2fffcffc,0x5ffe4000,0xaaaaaaaa,0x93600ffe,
    0x0fa85ff8,0xff901ff6,0xffd97557,0x83fe803b,0xffeeeeed,0x55eeeeef,
    0x81660bff,0x6fb84ff8,0xf313fe20,0x0ff2001f,0x2e0b7000,0x207e0fff,
    0x3fe206fb,0x001ffc84,0x2017fdc0,0xfffb8ffc,0x3ff20002,0x00ffd800,
    0x83ffb136,0x203fec4e,0xfd300ffc,0x0ffa01df,0x3a666666,0x099999df,
    0x5c437ffa,0x13fe201f,0xbff017f6,0xb000ff98,0xdfffffff,0x205b8039,
    0x207e6ffc,0x2ffc05fd,0x0000ffe4,0xf900bfee,0x0bffee1f,0x007fe400,
    0x9b007fec,0x3e65ff98,0x3203fec0,0x3fa200ff,0x007fd04f,0x7cc027ec,
    0x03ffffff,0x7fc27fc4,0x262ffc06,0xfd1000ff,0xffffffff,0x3a02dc07,
    0xff03f5ff,0xc85ff80d,0x5c0001ff,0x7fe402ff,0x00bffee0,0x2003ff20,
    0x13600ffd,0x42ec3ff6,0x7fe407fd,0x83ffdc00,0x999983fe,0x999dfe99,
    0x7ff44099,0xff8802ff,0x7407fe83,0x007fcc3f,0x99988d88,0x2e06ebaa,
    0x5fff4405,0x407fe81f,0x1ffc83fe,0x3fee0600,0x207fe402,0x4002fffb,
    0xfd800ffc,0x2a13600f,0xd81f8cff,0x07fe407f,0x203ffe60,0xeeed83fe,
    0xeeefffee,0x05d105ee,0x640ffc40,0x07fe01ff,0xd1001ff3,0x201f1005,
    0xfff9805b,0x01ffc81f,0x3ff207fe,0xf7037001,0x0ffc805f,0x002fffb8,
    0x36003ff2,0x413600ff,0xfb05dffe,0x00ffc80f,0xfe83ffcc,0x013f6003,
    0x2201bf30,0x2603fe20,0x1ff104ff,0xc800ff98,0x206a800f,0xfff5005b,
    0x209ff303,0xffc80ff8,0xf7068801,0x0ffd805f,0x007fff70,0x36003ff6,
    0x413600ff,0xfb02fffa,0x07fe401f,0x7413ff20,0x17fa003f,0x109fb300,
    0x817e63ff,0x2fb80ffd,0xf800ff98,0x00f4404f,0x7fe400d9,0x701ffb01,
    0x0bff605f,0x3f209b10,0x0fff403f,0x009fff70,0xfd003ffd,0xf027401f,
    0x07ff40df,0x5401ffd0,0x9ff01fff,0x002ff400,0x7fcc27d4,0x74401f75,
    0x40fea0ef,0xfb801ffa,0xcbaaacff,0x007f402e,0x3a203fb0,0x40fea0ef,
    0x99adffe8,0x02ffcaa9,0x7c409ffb,0x3fe202ff,0xff101eff,0xfff8805f,
    0x5c0df102,0x5fff102f,0x26fffe20,0x1bffb330,0x4017fe20,0x44006ff8,
    0xdffb00fd,0x3ff2003b,0x3f203ded,0xffd5003f,0x2019ffff,0x2dffffc8,
    0x6401e880,0x983dedff,0xfffffffc,0x47ffffff,0xefffffc8,0xffffb30c,
    0xffea87bf,0xb33effff,0x89bfffff,0xdfffffda,0x9ffffb33,0xfda86883,
    0xb33dffff,0xffffffff,0x6405bdff,0x302dfffe,0x19dffffb,0x400aca80,
    0x530000a8,0x7ffedc01,0x98800cdf,0x000000aa,0x2a600110,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xeeeed980,0x001abcde,0x98281793,0xdeeeeeed,0x00000acc,0xddddddb1,
    0xdddddddd,0xeeeed98b,0xeda804ee,0xeeeeeeee,0x7540eeee,0xeeeeeeee,
    0x3ae5eeee,0x02deeeee,0x4bddddd7,0xeeeeeee9,0x7776c43e,0x3bb663ee,
    0xccceeeee,0xeed9801a,0xeeeeeeee,0x76cc4eee,0xcceeeeee,0x038001ac,
    0x32f7ffe6,0x2e00dffe,0x090bffff,0x5de7ffcc,0x0003fffd,0x3ffffe60,
    0xfbaaaaaa,0x09fff307,0x57fff300,0x3ff97555,0xaabcefb8,0x1fffbaaa,
    0x02ffff4c,0x440f7fc4,0x00efffea,0x4c033fea,0xcaacdfff,0x9803effe,
    0xaaaabffe,0xf306fcaa,0xd9779dff,0x26009fff,0x207fec05,0x1701fffa,
    0x09dfffd5,0x6c40ffd8,0x200005ff,0x4407febe,0x007ffa07,0x3007ff40,
    0xd804c83f,0xffd104ff,0x003be009,0xf501fff6,0x01ffb007,0x003bff62,
    0x79803ff9,0x4403ff60,0x6c01effd,0x407fec05,0xa8505ffb,0xffc805fd,
    0x01fff880,0xfe8f9800,0x3f605807,0xffb0000f,0x06c1c801,0x301bfea0,
    0xfa801fff,0x5ffd1001,0x64013a20,0x7fdc00ff,0x07ff200e,0x0ffc81a0,
    0x807ffdc0,0x7fe405fb,0x00fff880,0x0ffc8000,0x0009ffb0,0x01ffa7b0,
    0x99ffd806,0x3ff60019,0x0120c400,0x9003fff1,0x04e809ff,0x407ffcc0,
    0x3ff2005d,0x05ffd800,0x0a007ff2,0xd800ffc8,0xeffc86ff,0x0ffc82aa,
    0x0005ffd0,0x201ff900,0x40006ffb,0x001ffa79,0xfffdffb0,0xffd805bf,
    0x6c008000,0x3fa003ff,0x000d701f,0x1d917fee,0x007fe400,0xc80fffc4,
    0x640001ff,0xff8800ff,0x3ffb2a2f,0x0ffc83cc,0xb885fff0,0x200b2e24,
    0xff900ffc,0x23d80007,0x006607fe,0x7f541ffb,0x03ff604f,0xffb80014,
    0x37fcc005,0xd0000fc4,0x007ea5ff,0x2001ff90,0xff905ffb,0x32005403,
    0xff9000ff,0xc80bf90b,0xfffa80ff,0x2edff931,0x6404ffff,0x1ffd00ff,
    0x3a354000,0xb00b207f,0xffe881ff,0x101ffb04,0xfff3000b,0x9ff90001,
    0x4c0004d8,0x002f9fff,0x5000ffc8,0x3ff20fff,0xf9007601,0x3fea001f,
    0x202fe40f,0xffd80ffc,0x2fbfe665,0x01ffd99c,0x3f603ff2,0x1f40004f,
    0x3ea21ffa,0x407fec02,0xffb07ff9,0x8005c881,0x10002ffe,0x03ea3ffd,
    0x3ffee000,0x1ff90004,0x03ffe200,0x2a207ff2,0x07fe401f,0x41fff880,
    0x7fe405fc,0x03bff260,0x3fe0bff2,0x267ff203,0x002effba,0x7ff43540,
    0x2fffeeee,0x4407fec0,0xffd81fff,0x05ffeeee,0x002ffe40,0x3e3bfea0,
    0x3fa00002,0x3fee003f,0xffffffff,0x903fff06,0xfdddddff,0xffc803ff,
    0x0bffe000,0xffc80bf9,0x03effeee,0x27f41bf2,0xffddff90,0x3a00005f,
    0x999ffe82,0x6c02fb99,0x5fff00ff,0x5557ffb0,0x7cc00bd7,0xc80000ef,
    0x00005eff,0x8007ffdc,0x9affd998,0xfff00999,0x335ff903,0x803f9533,
    0x3e000ffc,0x02fe41ff,0x00443ff2,0xbfb06fc8,0xf987fe40,0xfb80006f,
    0x7ffeeeee,0xffb00b20,0x01fff301,0x0b101ffb,0x007ffa20,0x07ffc400,
    0xfbf30000,0xff9000bf,0x3ffe2001,0x201ffc80,0x07fe401d,0x40fff880,
    0x7fe405fc,0x06fc8000,0x7fe40bf9,0x000fff20,0x555557f0,0x01540ffd,
    0x3f203ff6,0x01ffb05f,0x27fe4012,0x1ff60000,0xd3e88000,0xfc8007ff,
    0xfff3000f,0xb807ff20,0x007fe401,0xfc87ff98,0x007fe405,0xfc837e40,
    0xd03ff205,0x2e0003ff,0x101ffa05,0x640ffd80,0xffb00fff,0x7fd40001,
    0xfd800006,0x97600007,0x2000fff9,0xf7000ffc,0x07ff20bf,0x0ffc8008,
    0x90dff700,0x0ffc80bf,0x906fc800,0x07fe40bf,0x0003bfe2,0x3ff403f1,
    0x2fff6000,0x00dffedc,0x40003ff6,0x1001fff8,0x003fec00,0xffb86c80,
    0x03ff2005,0xc80fff40,0x640001ff,0xffd000ff,0xc80df905,0xfc8000ff,
    0x640bf906,0x5ffa80ff,0x3a02e400,0xb073007f,0x159999ff,0x001ffb00,
    0x400fff60,0x1ff6001a,0x403ea000,0xf9003ffe,0xbff7001f,0x800ffe40,
    0x00ffc82a,0xf705ffb8,0x07fec0cf,0xc837e400,0x03ff205f,0x9801ffe4,
    0x03ff401f,0x0ffd81e8,0x01ffb000,0x00bff700,0xffb00074,0x02f98000,
    0x2007ffe6,0x7cc00ffc,0x3ff200ff,0xf9068801,0xfff9801f,0x79bff500,
    0x0001ffd0,0x17f60df9,0xd100ffd8,0x0bb007ff,0xd900fff0,0x000bffa0,
    0x20007ff4,0x7000fff9,0x0ffe800d,0x009f3000,0xd801dff9,0x3fee00ff,
    0x0ffe401e,0xffd82ec0,0x03bfee00,0xf109ff90,0xfd0005ff,0x441bfa0f,
    0x3e603fff,0xbf700bff,0x0afff980,0x213faa62,0x8003fff8,0x4002fff8,
    0x9999cffe,0x5feb9999,0x0bffe200,0x00ffee00,0x4037ffee,0x889bfff8,
    0x003ffdb9,0x98819ffd,0xff882fe9,0xdb9889bf,0x202003ff,0xefffffd9,
    0xfffea804,0xbfffb74e,0x3ffff667,0xfff704ef,0x3ff661bf,0x7fed43ef,
    0xffffffff,0x3f661fff,0x804effff,0xdfffffda,0xffffb804,0xffffffff,
    0xda803fff,0x03dfffff,0xdffffeb8,0xffffc880,0xffb30dff,0xbdffffff,
    0xec980157,0xffffffff,0x6cc7ffff,0xffffffff,0x0000abce,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7777776c,0xeeeeeeee,0x5555571e,0x55555555,0x0000cb87,
    0x00254000,0x00000000,0x7000b100,0x10013799,0x50037b95,0x99500597,
    0x55554535,0x20d55541,0x41aaaaa9,0x5551aaa9,0x2aaa2555,0x555542aa,
    0x03797100,0x3337fe04,0xccceffdc,0x00071ffd,0x004ffa8e,0xa801d980,
    0x32a20005,0x65c3a22c,0x26000001,0x2bbe6007,0x2600efda,0x03ffcadf,
    0x9fd77dd3,0xfd737d50,0x22ffdcc7,0x6cc4ffc9,0x5c40bfff,0xdffd51df,
    0x37ffea23,0x4427f4c2,0x0efdaade,0x307f2fdc,0x25f307ff,0x7cc70003,
    0x3ae0003f,0x00b5003f,0xfb57fb10,0x7ec45d5d,0x9800002d,0xd03f6007,
    0x507e609f,0x43f985ff,0x41741ffa,0xf05fe83e,0x81ff609f,0x84ff886a,
    0x09b01ffa,0x3ff70bd1,0x260d3fec,0x0e5703ff,0x00661c00,0x00bbf220,
    0xbb000b50,0x104ffc81,0x00007df9,0x7f9803cc,0x0bd05fc8,0x20dd1ffa,
    0x20be65ff,0xb05fd83a,0x07fe609f,0x06fc81e4,0x203e07ff,0x4dfd00fd,
    0x7cc0e7fd,0x00e5103f,0x260001c0,0x50001dfd,0x01fd800b,0xfd700dff,
    0x79800019,0xf709d100,0x3337f50d,0x2e1ffb33,0x5439304f,0x6c1440ef,
    0x409fb05f,0x207885fe,0x6fc81ff9,0x07f985a8,0x37e4bfee,0x401ffcc0,
    0x00070003,0x00033faa,0x7cc00b50,0x05ffd907,0x0077f6a0,0x10003cc0,
    0xbf90dfd7,0x99999999,0x8800ff23,0xfd803fff,0x5c09fb05,0x2025c0ff,
    0x2ffe84fe,0x037dc16c,0x13ea9ff1,0x200ffe60,0x40070003,0x0003efb8,
    0xfb8016a0,0x4ff9db86,0x177e4c00,0x2001e600,0x86fcbec8,0x3fa001fd,
    0x7ffe4003,0x417f603f,0x1ffc04fd,0x8ff7007a,0x1e25fdda,0x3fe02fec,
    0xf3007f35,0x0007007f,0x37f2200e,0x99950002,0x999db999,0x6fd89999,
    0x00dff354,0x98ffee20,0xfdcccccc,0x0ccccccc,0x0df71fe4,0x7fc005fd,
    0xffea8005,0x05fd80df,0x7fc809fb,0x3fe20166,0x43fea7a2,0x80dff04b,
    0x2007e5ff,0x03803ff9,0xfd300700,0x32a00019,0xcedccccc,0x744ccccc,
    0xfe83aa7f,0x3f220006,0x9999930e,0x99999fb9,0x20fec199,0x04fd86fb,
    0x8001ffa0,0xfd86fffb,0x8809fb05,0x2005b2ff,0x7fcd35fd,0x1ffa03d3,
    0x00747fd0,0x1c01ffcc,0x26003800,0x00001dfd,0xffd8016a,0x27f40e98,
    0x0e7ecc00,0x3200f300,0xc86fb85f,0x642e00ff,0x4c3201ff,0x20ffec40,
    0x09fb05fd,0x00f1dfb0,0x916c7fcc,0x7e40d3df,0x187fe01f,0x007ff300,
    0x000e0007,0x000bbf22,0xfc8016a0,0x2fe81eaf,0x02ffaa00,0x7401e600,
    0xa86fb84f,0x25880dff,0x4b305ffa,0x43ff883b,0x09fd05fc,0x009bff50,
    0x7cc6cfe8,0x3fe603ef,0x001ff104,0x7007ff30,0xcd98e000,0xbfeb8800,
    0x00b50000,0xf80fffc4,0x77e4400f,0x03cc0002,0x7f4c7fd8,0x77fec137,
    0x741eb88a,0x3f710dff,0x0fec07dc,0xffb03fee,0x03ffa00b,0xd07ff700,
    0xffd801ff,0x0542fb80,0x401ffcc0,0x7ec70003,0x7ed4006f,0x02d4001c,
    0x2a03ff20,0x37f6602f,0x0f300001,0x36fbfea0,0x4c4cffbd,0x5fffffff,
    0xffffff98,0x1067dc3f,0x7dff10bf,0x79ffb5d7,0x8005fb80,0x0bf507f8,
    0x541dfd10,0x007fe43f,0x0e00ffe6,0xfffb1c00,0xbf930001,0x0016a005,
    0x7541dffb,0x019fd503,0x00798000,0x7c4ffff2,0xfffb105f,0x7ff4409f,
    0xffeb82ff,0xf500becd,0x37f63dff,0x002f8802,0x00fc07b0,0x7bdbff90,
    0x9801ffb0,0x003803ff,0x01e8a870,0x447ee200,0xdb999999,0x41999999,
    0xddbff94c,0x000fae07,0x80079800,0xa8800881,0x03510009,0x40035104,
    0x2000541a,0x80260002,0x01530001,0x7cc01644,0x0003803f,0x0000d107,
    0xffffff90,0xffffffff,0x2a62244f,0x00000400,0x00003cc0,0x00000000,
    0x00000000,0x00000000,0x4c000000,0x003803ff,0x00077070,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3fea0000,
    0x70003804,0x5ddc43c8,0xbbbbbbbb,0x3ba63bbb,0xeeeeeeee,0x000eeeee,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x5ffc8000,
    0xaaaaac80,0xaaaaaaaa,0x37620324,0xdddddddd,0x510ddddd,0x55555555,
    0x00555555,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffec8000,0x0000cfff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x03800000,0x01500053,0x26212671,
    0x55530c80,0x2aaa2355,0xaaaaa882,0xa81aaaaa,0x102b2e24,0xa8801797,
    0x2e2072a4,0x400b2e24,0x009300c8,0x00000191,0x00000001,0x00200075,
    0x6e544008,0x2f72a22b,0x03d05b80,0x12d83540,0x3fffee9d,0x2e21db2f,
    0xfb11efff,0x9ddf705d,0x27ffd999,0xff76ffc9,0x7ffd4dff,0xdff9306f,
    0xfc99bffa,0x9ffff76f,0x2207f900,0x017a204e,0x3ee20132,0x06ffe443,
    0x0077fb22,0x2a002ff8,0x7701effe,0xdf981bb5,0xde9dfd99,0x3f82ffda,
    0xf9800fa8,0x7f446c81,0x3bfaa21e,0x646ffa80,0x2209700f,0x3fa665ff,
    0xffc89cbe,0xffc89dbb,0xceff9984,0x3e666fca,0xfd99cbef,0x0fee081f,
    0x5e884e88,0x401ff880,0x4e6c3fca,0x5ce6c5fb,0x1b9000ff,0x2a73ee00,
    0x987d41fd,0x983fe25f,0x7fdc3fff,0x37417dc0,0x3ee17a20,0x3a205e82,
    0x4cbfee04,0x7406e01f,0x2ffc80ff,0xfc83ffd8,0x08fff206,0xff05ff90,
    0x3f34fd87,0x89d113f2,0xb99b005d,0x4187f500,0x7f71226e,0x5f100000,
    0x22498d90,0x3e1fea6f,0x27fcc0ff,0x13ea0ffc,0x37cc1fd8,0x3e200754,
    0x3a3ffa01,0xffc80c02,0x320df701,0x40ff707f,0xdf9006fc,0xff713fa0,
    0x7ffb1f19,0x01769d10,0x9805d354,0x007e203f,0x000003f5,0x207e60f5,
    0x3a27fcb8,0x999efe84,0xfb85ff99,0x641ff40e,0x417fc45f,0x409b003d,
    0x0004fff8,0x7dc07ff5,0x2a0ff506,0x01bf207f,0x5fd837e4,0xededec98,
    0x17fa202c,0x03ea2e80,0xdd503f98,0x6546c801,0xcccccccc,0x2e4ccccc,
    0x1b70be05,0x3fea01fe,0xeeeeeeef,0xfa8bfd05,0x887fea1f,0x003d06fe,
    0x5ff7016e,0x0bff1000,0xff506fb8,0xfc81fea0,0x20df9006,0x3f6605fc,
    0x4fe8800d,0x09b0b900,0x6dc41fcc,0x83f100ff,0xccccccca,0x4ccccccc,
    0x83ea03ea,0x441fe0fc,0x004feceb,0x7c43ffb0,0xf51ffa5f,0x4007e09f,
    0x7ffc406a,0x07ff4000,0x7d41bee0,0x640ff507,0x0df9006f,0xff9117f2,
    0x017df7d5,0x809d3bd1,0x00f981f9,0x3fb807f3,0x00002e88,0xbd106740,
    0x0ff10ff8,0x17fa19f5,0x90ffe200,0x1ffc41df,0x0f603ff2,0x2fa025c0,
    0x3f2005ff,0x06fb801f,0x1fea0ff5,0xf9006fc8,0xfb17f20d,0xff51f15f,
    0x3a25e889,0x5c813604,0xf8807f30,0x0000ec42,0x6e7f4c00,0x6ffec0ef,
    0x5fb0dffb,0xc8006fd8,0x407fc44f,0x84fd87f9,0x405d006b,0x005ff54c,
    0x2e007ff5,0x20ff506f,0x1bf207fa,0xfc837e40,0x1fa8ed45,0x885d85b5,
    0x200fa84e,0x03fa82f8,0x98762354,0x0039800c,0x501e6dc4,0x6fb8ea15,
    0x22407fc8,0x02fc85f8,0x03fa0fea,0x40b900fa,0x007fec6a,0x0e20bff1,
    0x1fea0df7,0xdf903fd4,0x641bf200,0x01fe405f,0x127440bb,0x88d5005d,
    0x7bf31cfb,0x7ffcc3d7,0xff006fff,0x00000005,0x3fea13f6,0x0ed87703,
    0x7e401fc4,0x7ec27c40,0x305fd884,0x06ff881f,0x1cc03bfa,0x3fdc1ff2,
    0xf900ffa8,0x41bf200f,0x1fe405fd,0x0e880598,0x2a0c0031,0x2ee62aaa,
    0xaaaaa982,0x01b9001a,0x36000000,0xcfffb87f,0x7cc1f710,0x36005c81,
    0x3760f983,0xcfecefd9,0x827444e9,0xffc84ffc,0xfd85d301,0x80ffc80f,
    0xffb01ffb,0x20ffd001,0x001806fe,0x00000000,0x00000000,0xa8000000,
    0xaddaadff,0x2ffeffff,0x0034416c,0x552a03a2,0x1055d445,0x13ffea3d,
    0x25dffff7,0xfffffff9,0xfb52ffff,0x3f6a9dff,0xfda8ceff,0x3f6a4fff,
    0xea80cfff,0xfb74efff,0x00007bff,0x00000000,0x00000000,0x90000000,
    0x7545dfff,0x0082dfff,0x01100011,0x00000002,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2a200000,0x0002a201,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80808000,0x3bbaa2db,0xeeeeeeee,0x4081eeee,
    0xeeeeeeea,0xeeeeeeee,0x2660ccc1,0x039d9101,0x0a828870,0x3bbbbbb2,
    0x00000004,0x00000000,0x00000000,0x00000000,0x17675c00,0x4df51fec,
    0x5532fff9,0x55555555,0x983f5555,0x55555444,0xaaaaaaaa,0x13fe60aa,
    0xdfa81ff9,0x880befec,0xdfb2ff44,0x7fffffec,0x00000005,0x00000000,
    0x00000000,0x00000000,0x6f99b200,0x1ffb2ffc,0x0017ffe2,0x05fb07a0,
    0x17ee0000,0x30361fec,0xb515bff9,0x3fa6ff85,0x2aaaaaa6,0x0000001a,
    0x00000000,0x00000000,0x00000000,0xe89f3000,0xfd97fe1f,0x002d5447,
    0xff710f40,0x1ba00000,0x01225e88,0x305dffb5,0x000e4c39,0x00000000,
    0x00000000,0x00000000,0x00000000,0x9f913ea0,0x0ff71ff4,0x3a0000b2,
    0x44447e81,0x88888888,0x03a20888,0x04000f10,0x00000000,0x00000000,
    0x00000000,0x00000000,0xb8000000,0xf92fcc6f,0x0e837d45,0x5c1e8000,
    0x3fffea3f,0xffffffff,0x00331fff,0x00000066,0x00000000,0x00000000,
    0x00000000,0x00000000,0xff100000,0x3f717cc1,0x032627c4,0x79104000,
    0x11111101,0x11111111,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0xf31ae2fd,0x0014c7f0,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0x41cbbfd9,
    0x0001d868,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x181802e2,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_33_latin1_x[224]={ 0,3,1,0,1,1,1,1,1,0,2,0,1,1,
2,0,1,3,0,1,0,1,1,1,1,1,2,2,0,0,0,1,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,-1,1,0,1,0,1,0,0,0,0,0,0,0,2,0,1,0,-1,1,1,-1,1,0,1,1,0,0,0,
-3,0,0,0,0,1,-1,0,0,1,0,0,0,0,0,0,0,4,2,2,0,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,3,1,0,0,0,
2,2,0,1,-1,0,0,1,1,-1,1,0,0,0,3,1,-1,2,2,1,0,0,1,1,0,1,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,-1,1,1,1,1,1,2,1,0,0,0,0,0,0,0,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,0,0,0,0,1,1,1,1,1,0,0,0,0,0,0,0,-1,0,
 };
static signed short stb__times_33_latin1_y[224]={ 26,5,5,5,4,5,5,5,5,5,5,8,23,18,
23,5,5,5,5,5,5,6,5,6,5,5,12,12,8,13,8,5,5,5,6,5,6,6,6,5,6,6,6,6,
6,6,6,5,6,5,6,5,6,6,6,6,6,6,6,5,5,5,5,31,5,12,5,12,5,12,5,12,5,5,
5,5,5,12,12,12,12,12,12,12,8,12,12,12,12,12,12,5,5,5,16,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,26,11,6,5,9,6,
5,5,6,5,5,12,13,18,5,3,5,8,5,5,5,12,6,14,25,5,5,12,5,5,5,11,-1,-1,-1,0,
1,1,6,5,-1,-1,-1,1,-1,-1,-1,1,6,0,-1,-1,-1,0,1,10,5,-1,-1,-1,1,-1,6,5,5,5,
5,6,6,5,12,12,5,5,5,6,5,5,5,6,5,6,5,5,5,6,6,10,11,5,5,5,6,5,5,6,
 };
static unsigned short stb__times_33_latin1_w[224]={ 0,4,10,15,13,23,22,4,9,9,11,17,5,8,
4,9,13,9,14,12,14,12,13,13,13,13,4,5,17,17,17,12,26,22,19,18,21,18,16,21,21,10,12,22,
18,26,23,20,16,20,21,14,18,22,22,28,22,22,18,7,9,7,14,17,6,13,15,12,15,12,12,15,15,8,
9,16,8,24,15,13,15,15,11,10,9,15,15,22,15,15,13,9,2,9,17,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,0,4,13,15,15,15,
2,11,10,21,10,14,17,8,21,17,10,17,9,8,6,15,15,4,6,6,9,14,21,21,22,11,22,22,22,22,
22,22,27,18,18,18,18,18,10,10,10,10,21,23,20,20,20,20,20,13,20,22,22,22,22,22,16,14,13,13,
13,13,13,13,18,12,12,12,12,12,8,8,9,9,14,15,13,13,13,13,13,17,15,15,15,15,15,15,15,15,
 };
static unsigned short stb__times_33_latin1_h[224]={ 0,22,10,22,25,22,22,10,28,28,13,16,8,3,
4,22,22,21,21,22,21,21,22,21,22,22,15,19,16,7,16,22,28,21,20,22,20,20,20,22,20,20,21,20,
20,20,21,22,20,27,20,22,20,21,21,21,20,20,20,27,22,27,12,2,6,15,22,15,22,15,21,21,21,21,
28,21,21,14,14,15,21,21,14,15,19,15,15,15,14,21,14,28,28,28,5,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,0,22,26,22,15,20,
28,27,4,22,10,15,7,3,22,2,10,16,12,12,6,21,27,4,7,12,10,15,22,22,22,22,27,27,27,26,
25,25,20,27,27,27,27,25,27,27,27,25,20,27,28,28,28,27,26,13,22,28,28,28,26,27,20,22,22,22,
22,21,21,22,15,20,22,22,22,21,21,21,21,20,22,20,22,22,22,21,21,12,16,22,22,22,21,28,28,27,
 };
static unsigned short stb__times_33_latin1_s[224]={ 248,63,11,68,226,230,109,251,1,222,149,
113,22,114,251,161,171,232,153,1,208,182,36,139,109,185,251,37,43,53,95,
199,162,1,197,132,224,205,101,14,148,114,1,125,95,170,57,88,1,1,34,
15,1,173,64,119,160,137,118,248,151,22,175,61,78,131,123,158,234,145,28,
41,157,148,235,205,196,96,133,237,238,222,121,171,246,182,198,214,66,103,82,
189,245,43,85,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,248,250,92,
72,50,227,232,240,103,212,245,35,28,114,50,43,234,61,206,197,71,24,197,
251,46,190,1,20,87,65,42,30,53,30,1,106,161,184,56,76,95,114,133,
207,152,163,213,150,183,24,53,74,95,48,129,161,181,116,139,199,69,174,84,
84,1,99,202,50,168,216,1,243,127,140,153,195,223,242,40,217,166,18,113,
240,49,14,81,216,79,33,1,17,87,27,11,224, };
static unsigned short stb__times_33_latin1_t[224]={ 29,86,257,86,58,86,109,220,1,1,240,
220,257,257,148,109,109,132,132,132,132,132,132,132,132,109,132,220,220,257,220,
109,1,155,177,109,199,199,199,132,177,177,177,177,177,177,177,132,199,30,199,
109,220,155,155,155,199,199,199,1,109,30,240,237,257,220,132,220,109,220,177,
177,155,155,1,155,155,240,240,220,155,155,240,220,199,220,220,220,240,155,240,
1,1,1,257,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,29,109,58,
132,240,177,1,30,257,109,240,240,257,257,132,237,240,220,240,240,257,155,30,
231,257,240,257,240,109,109,109,109,30,30,58,58,58,58,199,30,30,30,30,
58,30,30,30,58,199,58,1,1,1,58,58,240,86,1,1,1,58,30,199,
86,109,86,86,155,132,86,241,177,86,86,86,132,132,132,155,177,86,199,86,
58,86,177,177,240,220,86,86,86,155,1,1,30, };
static unsigned short stb__times_33_latin1_a[224]={ 119,159,195,238,238,397,371,86,
159,159,238,269,119,159,119,132,238,238,238,238,238,238,238,238,
238,238,132,132,269,269,269,212,439,344,318,318,344,291,265,344,
344,159,186,344,291,424,344,344,265,344,318,265,291,344,344,450,
344,344,291,159,132,159,224,238,159,212,238,212,238,212,159,238,
238,132,132,238,132,371,238,238,238,238,159,186,132,238,238,344,
238,238,212,229,95,229,258,371,371,371,371,371,371,371,371,371,
371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,
371,371,371,371,371,371,371,371,119,159,238,238,238,238,95,238,
159,362,132,238,269,159,362,238,191,262,143,143,159,275,216,119,
159,143,148,238,358,358,358,212,344,344,344,344,344,344,424,318,
291,291,291,291,159,159,159,159,344,344,344,344,344,344,344,269,
344,344,344,344,344,344,265,238,212,212,212,212,212,212,318,212,
212,212,212,212,132,132,132,132,238,238,238,238,238,238,238,262,
238,238,238,238,238,238,238,238, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_33_latin1_BITMAP_HEIGHT or STB_FONT_times_33_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_33_latin1(stb_fontchar font[STB_FONT_times_33_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_times_33_latin1_BITMAP_HEIGHT][STB_FONT_times_33_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_33_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_33_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_33_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_33_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_33_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_33_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_33_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__times_33_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__times_33_latin1_s[i] + stb__times_33_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__times_33_latin1_t[i] + stb__times_33_latin1_h[i]) * recip_height;
            font[i].x0 = stb__times_33_latin1_x[i];
            font[i].y0 = stb__times_33_latin1_y[i];
            font[i].x1 = stb__times_33_latin1_x[i] + stb__times_33_latin1_w[i];
            font[i].y1 = stb__times_33_latin1_y[i] + stb__times_33_latin1_h[i];
            font[i].advance_int = (stb__times_33_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__times_33_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_33_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_33_latin1_s[i] + stb__times_33_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_33_latin1_t[i] + stb__times_33_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_33_latin1_x[i] - 0.5f;
            font[i].y0f = stb__times_33_latin1_y[i] - 0.5f;
            font[i].x1f = stb__times_33_latin1_x[i] + stb__times_33_latin1_w[i] + 0.5f;
            font[i].y1f = stb__times_33_latin1_y[i] + stb__times_33_latin1_h[i] + 0.5f;
            font[i].advance = stb__times_33_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_33_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_33_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_33_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_33_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_33_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_33_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_33_latin1_LINE_SPACING
#endif

