// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_40_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_40_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_40_latin1_BITMAP_WIDTH         256
#define STB_FONT_times_40_latin1_BITMAP_HEIGHT        376
#define STB_FONT_times_40_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_40_latin1_FIRST_CHAR            32
#define STB_FONT_times_40_latin1_NUM_CHARS            224

#define STB_FONT_times_40_latin1_LINE_SPACING          26

static unsigned int stb__times_40_latin1_pixels[]={
    0x00000000,0x00000000,0x00000000,0xa9800000,0x542aaaaa,0x01aaaaaa,
    0x000d5440,0x01332a00,0x66440000,0x2000002c,0x00002ccc,0x44064000,
    0x488004eb,0x536a0000,0x930001f8,0x7bdfdfdb,0x016e4001,0x445fd100,
    0xfffff91f,0x7fffc1ff,0xdb805fff,0x3dffffff,0xffe88000,0xa8000001,
    0x00000eff,0x01ffff70,0x4035c000,0x7fecc2e9,0x3d30004f,0x0eec4000,
    0xea8003f1,0xeb9809be,0x1bd3001d,0x4dff7000,0x3ff201f8,0x10013fe0,
    0x2a215dfd,0x0000effc,0x00027fc4,0x007fec00,0xcff88000,0x200004ff,
    0x40fe404e,0x004ffe9a,0x2000fa60,0x01f885f8,0x8003bf50,0x3b6003ea,
    0x2ffcc000,0x7fe403f1,0xb8013fe0,0xffe804ff,0x37cc0003,0x7fc00000,
    0x32000001,0x003ff32f,0x5c03f100,0x27fd401f,0x013e2000,0x3f103fb0,
    0x0005f900,0xfa802ec4,0x44298005,0x83ff201f,0xff7004ff,0x3ffe2009,
    0x0fd40003,0x5f300000,0x7c400000,0x0002f441,0x07f5035c,0x0009ff50,
    0x2a005f70,0x403f107f,0x00001fe8,0x07fe007b,0x807e2000,0x13fe0ffc,
    0x003ffe60,0x000fff98,0x00001e40,0x00000790,0x00b201c8,0x3e209d00,
    0x4ffa800f,0x03fd0000,0x3e20ff90,0x0003ba01,0xf801e880,0xf880003f,
    0xf83ff201,0x4ffe804f,0x05ffc800,0x00001800,0x00000060,0x80002002,
    0x09fd01f8,0x0013fea0,0x6c037d40,0x01f880ff,0x000003f9,0x5ff880b5,
    0x01f88000,0x4ff83ff2,0x007ffdc0,0x01fffcc0,0x000d5440,0x00000000,
    0x20000000,0x03ff306b,0x0013fea0,0x2017fc40,0x1f881ffd,0x00003fa8,
    0xffa803a0,0x1f880004,0xff83ff20,0x037ffc04,0x00dfff00,0x3ffbffae,
    0xfec803df,0x2effffff,0x3ffffb20,0xfffd94ef,0x405dffff,0xefffffec,
    0xfd827404,0x13fea006,0xe8003773,0x17fdc06f,0x1be20fc4,0x91deeb80,
    0x5c07907b,0x5c4003ff,0xfc807e23,0x8813fe0f,0x20005fff,0x2600fffd,
    0x2a20adfe,0xe9801efe,0x2001dfff,0xd303ffe9,0x4003bfff,0x8803ffe9,
    0x03ff881f,0x7453fea0,0x000dffff,0x7d403ff9,0x5c1f883f,0x2ee9801f,
    0x505ff3b3,0x017fe40b,0x225ffc98,0x83ff201f,0x3fe604ff,0x3f20004f,
    0x9ff701ff,0x007ff900,0x0003fff7,0xffb807f7,0x3fb8001f,0x3f20d700,
    0x3fea003f,0xfffffe8c,0x9ff5006f,0x441ffcc0,0x5403741f,0x0ffeb85f,
    0x3ff20598,0xfffec801,0xfc807e25,0xb813fe0f,0x20003fff,0xfb82fffb,
    0x3ff2004f,0x07ffd403,0x200fd400,0x8000fffa,0x09d001fa,0xa800bffa,
    0xb30bdcff,0xf3007fff,0x07fc40df,0x07f30fc4,0xf980efa8,0x4c0d106f,
    0x7fdc007f,0xfc807e25,0xc813fe0f,0x20002fff,0x7c44fffa,0x3e2000ff,
    0x3fea01ff,0x03f50007,0x0007ffa8,0x3f1003f5,0x8007ffe0,0xfd02fffa,
    0xff9801ff,0x20bf100f,0x803f21f8,0xff301ff8,0xfd01e607,0x2ffcc001,
    0x7fe403f1,0xfc813fe0,0x2a0002ff,0x7ff44fff,0x6ffd8004,0x001ffea0,
    0x3ea00fd4,0x3f50007f,0x3e20d700,0x3ea000ff,0x3ffea04f,0x0fffc402,
    0x3f102fb8,0x13fa0374,0xd701ffb8,0x2003fb80,0x64005ff9,0x813fe0ff,
    0x0003fffc,0xfb8fffee,0xf98000ff,0xfff503ff,0x007ea000,0x2000fff5,
    0x03e801fa,0xa800fff3,0x7ff404ff,0x82fff803,0x87e203f8,0x03fee05f,
    0x17207fd8,0x44003b20,0x7e4005ff,0xb813fe0f,0x20004fff,0x3fa2fffc,
    0x3fa0006f,0x0fff506f,0x5007ea00,0x2a000fff,0x80fcc01f,0x54007ffa,
    0x7fe404ff,0x23fff805,0x7c401dd9,0x7fc09f11,0xd027fc05,0x073aa007,
    0x800bff10,0x13fe0ffc,0x005fffa8,0x447fff60,0x20005fff,0xfa80fffd,
    0x3f50007f,0x007ffa80,0x6b803f50,0x001ffee0,0xfb809ff5,0x3ffe805f,
    0x3e2003be,0x3ea07f11,0x0bfee01f,0xd10007c4,0x05ff880d,0xff07fe40,
    0x06fff809,0x99bff600,0x20004fff,0xfa81fffc,0x3f50007f,0x007ffa80,
    0x3e803f50,0x001ffea0,0xfa809ff5,0x2fff804f,0x3e202754,0x3f605f31,
    0x03ffe207,0x5d90034c,0x00bff100,0x3fe0ffc8,0x07ffec04,0x22fff800,
    0x0003fffb,0x2a0ffff2,0xf50007ff,0x07ffa803,0x4c03f500,0x3ffea01f,
    0x13fea000,0xf007ff50,0x817a03ff,0x207f11f8,0x3ff205ff,0x2200f606,
    0x3fe2006d,0x07fe4005,0xff8809ff,0xffb8004f,0x017ffe46,0x09fff700,
    0x2000fff5,0x7fd401fa,0x03f50007,0x3fe6035c,0x3fea000f,0x017fdc04,
    0x5403ffe2,0x7c3f103f,0x304ff884,0x1aa07ffd,0x10017e40,0x64018bff,
    0x013fe0ff,0x0003ffe6,0xffc85fff,0x3ea0002f,0x7ffa84ff,0x803f5000,
    0x50007ffa,0x401f403f,0x2a001fff,0x7fe405ff,0x03ffcc00,0xd0fc41be,
    0x30bff30b,0xf105ff5d,0x001fe003,0x0fc4bff1,0x7fc1ff90,0x09ff7004,
    0x5c1ffdc0,0x20003fff,0xfa82fffb,0x3f50007f,0x007ffa80,0x3e603f50,
    0x02ffd800,0xf017fea0,0xdff5007f,0x440ffc40,0x7f41b61f,0x3ea3aa1f,
    0x801f440f,0x22000ffa,0x807e25ff,0x13fe0ffc,0x803ffd80,0xff503ffb,
    0x7e40009f,0x7ff981ff,0x803f5000,0x50007ff9,0x401b203f,0x2a003ffb,
    0xdf701fff,0x80ffee00,0x1f884ff9,0x3ff207ea,0xff30efdf,0x3a0ff265,
    0x001ffc80,0x1f897fe2,0xff83ff20,0x6ffdc004,0x03ffd880,0x0017ffe2,
    0x980fffd8,0xa8000fff,0x7ffcc00f,0x00fa8000,0x3fe2007d,0x3ffea004,
    0x00f7d40e,0x2e00ffc8,0x41f883ff,0xfffd884f,0xcffffe84,0xff904b81,
    0x2ffc4005,0x7fe403f1,0x20013fe0,0xfddfffc8,0xff800bff,0x3fa0006f,
    0x1fff306f,0x801f7000,0x8000fff9,0x00f980fb,0xa801ff20,0xecefcdff,
    0x3fa000df,0x417fe404,0x303e41f8,0x009a9803,0x3fea01f1,0x97fe2003,
    0x3ff201f8,0x80013fe0,0x0fffffd8,0x03fff200,0x81fffc00,0x8001fff8,
    0xfff8807c,0x907c8001,0x1ff8800d,0x229ff500,0x540009aa,0x7fec00ff,
    0x7c41f881,0x6c000003,0x017fe604,0x3e24ff88,0xf83ff201,0xfc80004f,
    0x74005fff,0xfb8004ff,0x1fffc05f,0xf8036c00,0x6d8003ff,0xf9000350,
    0x13fea007,0x027ec000,0x7c407fec,0x0001fa81,0x4401d700,0x3e2004ff,
    0xc807e23f,0x013fe0ff,0x7fffd400,0x3ffea003,0x07ffc000,0x001bff60,
    0x3f6009f1,0x27c4006f,0x07f40000,0x0027fd40,0xb8037c40,0x203f107f,
    0x400000ec,0x3ff800ec,0x88bfe200,0x83ff201f,0x200004ff,0x002fffe9,
    0xb8013ff6,0xff9803ff,0x1fd1000f,0x03ffe600,0x2007f440,0xf103eb82,
    0x09ff500b,0x001f7000,0x0fc41fe6,0x00003db0,0x3e2003b2,0x3fe6000f,
    0xfc807e20,0x0013fe0f,0x0fff6600,0x803ffc80,0x32003ffc,0x74401eff,
    0x7fe4003f,0x1ff4401e,0x7cc3ffe0,0x05f301ff,0x0004ffa8,0x32000fd4,
    0x401f882f,0x260003fb,0x7f7000ed,0x13e60d40,0x266623f1,0x3fe0ffc9,
    0x0009999d,0x39dfb300,0x03bff500,0x0003dfb3,0x2157fff9,0x003ffdb9,
    0x157fff90,0x00fff6e6,0x3e65fff5,0x0f6201ff,0x0005ffb8,0x6c0007ae,
    0x400fc40e,0x5000bee9,0x744005dd,0xc93ff205,0xfc8fc40f,0x20ffffff,
    0x5fffffff,0x5d440000,0x764402dd,0x4effeeff,0x7fed4000,0x1dffffff,
    0x7fed4000,0x1dffffff,0x20fff880,0x097004ec,0x015fffd3,0x80004c80,
    0x007e23fb,0xabcdfd98,0x02eedcba,0x700ff220,0x01dbffff,0x266623f1,
    0x4ccc1999,0x00009999,0x4c400000,0x800001bb,0x09abbaa8,0x55440000,
    0x40009abb,0x980000a8,0xdddddd10,0x062003dd,0x13a88000,0x7510003d,
    0x01359bb9,0x20015900,0x2202cdca,0x0000001e,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x91000000,0x40000599,0x98003ccc,
    0x99700002,0xb8000009,0x880003cc,0x000dc41b,0x001e65c0,0x66644000,
    0x65400002,0x0000004c,0x5000c035,0x00001999,0x0006ffb8,0x003bfea0,
    0x1cdadfa8,0x3ffe2000,0xf5000001,0x80003fff,0x3ff60fff,0x3fe60002,
    0x000001ff,0x00037fd4,0x017ff440,0xffd50000,0x4003985d,0x00002ffe,
    0x000077ec,0x4003ff90,0x003f41fa,0x000ffe60,0x7feff400,0x3fe60005,
    0x013ffe2f,0x5ffdfe80,0x7ec00000,0x1000000e,0x000009ff,0x3ffffbe2,
    0x4001d8ad,0x00005fe8,0x00000ffc,0xf8800bfe,0x0003fc85,0x000037d4,
    0x2fe997dc,0x91bf6000,0x2a0003ff,0x005fd33f,0x00ffc000,0x1fe60000,
    0x89d40000,0x06fffffc,0x000ff300,0x0000fd40,0x5000fe60,0x00dfb07f,
    0x0001f700,0x36217c40,0x08040006,0x10be2000,0x200000db,0x000002f9,
    0x00003f50,0xffd98190,0x3ea0000e,0x07900001,0x00990000,0x7f509f70,
    0x00b20000,0x2e01c800,0x00000003,0x077015c0,0x00790000,0x04b80000,
    0x22008000,0x09700000,0x00006000,0xfa800140,0x8000000f,0x00200001,
    0x00000002,0x00100100,0x00003000,0x00006000,0x00000000,0x2a200003,
    0x0000001a,0x01fff880,0x00000000,0x00355100,0x99999988,0x09999880,
    0x00013000,0x00026000,0x0004c000,0xfffffea8,0x3ffb2002,0x0003efff,
    0x77ff5c00,0x8803dfff,0x80999999,0xb8099998,0x76401fff,0xefffffff,
    0x3fffb202,0xeb804eff,0x3dfffeff,0xfffffb80,0xfffc982d,0x009b0003,
    0x01360000,0x026c0000,0x3fff2200,0x7f4c001f,0x7fff441e,0x00efffff,
    0x20adfe98,0x201efea8,0x2dfffffb,0x03fffc98,0x3005fffb,0x003bfffd,
    0x401fff4c,0x220adfe9,0x4401efea,0xfe806fff,0x1ff30001,0xf9800000,
    0x4000000f,0x80000ff9,0x000efffb,0x3ea017dc,0x7000bfff,0xff9009ff,
    0x37ffc407,0xdb00ff40,0xf7007fff,0xf70003ff,0x09ff7007,0xa807ff90,
    0x04f807ff,0x00fff200,0x7ff90000,0xfc800000,0xfb00003f,0xfa800bff,
    0x06ffe801,0x8013fee0,0x3ea03ffc,0x204f807f,0x09fffb2d,0x000fffa8,
    0x7dc01fa8,0x3ff2004f,0x017fec03,0x220003f5,0x00006fff,0x01bffe20,
    0xfff88000,0xffb00006,0x7d4009ff,0x05ffd800,0x001fff10,0xb00fffc4,
    0x0fd405ff,0x3ff20ec4,0x1ffea03f,0x100fd400,0x44001fff,0x3e601fff,
    0x001b605f,0x01ffffb8,0xfff70000,0x2000003f,0x001ffffb,0xfffeed80,
    0x001f5002,0x3a00bffb,0xfd8004ff,0x17fe606f,0x20d706d8,0xf502fffa,
    0x3ea000ff,0x013ffa01,0xd01bff60,0x05f103ff,0x7ff6f400,0xbd000005,
    0x0000bffd,0x17ffb7a0,0x3e376000,0xfa801fff,0x05ffc800,0x000fffb8,
    0x203fff98,0x2f881ffe,0x7fd409b0,0x00fff505,0x7dc07ea0,0xf98000ff,
    0x3fea03ff,0x20007c85,0x0fffaafa,0x57d40000,0x0000fffa,0x7fd57d40,
    0xaec0000f,0x400efff9,0xffc800fa,0x06ffe805,0x81bffa00,0x07c85ffa,
    0x7fb80df1,0x000fff50,0x7ff407ea,0x3ffa0006,0x20fff406,0x9b60004f,
    0x00003fff,0x07fff36c,0x3e6d8000,0x6c0003ff,0x01bffee5,0xff9001f5,
    0x5fff880b,0x3fff6000,0xf07ffa00,0x003fe209,0xfff503ff,0x207ea000,
    0x0005fff8,0xa803fff6,0x007ea5ff,0xff91fc40,0x7c40000f,0x001fff23,
    0x3f23f880,0x2ec0007f,0xa813fff2,0x5ffc800f,0x027ffcc0,0x03fff900,
    0x3f52ffd4,0x3602ff40,0x00fff507,0x3e607ea0,0x320004ff,0x7f401fff,
    0x4000db0f,0x3ffe20fc,0x1f900002,0x0017ffc4,0x3e20fc80,0x360002ff,
    0x03fffe85,0xff9001f5,0x3fffb80b,0x3fff2000,0xd87ff403,0x027fdc06,
    0x1ffea0b9,0x5c0fd400,0x20003fff,0x5c03fffc,0x002f8cff,0xffb09f10,
    0x9f10000b,0x000bffb0,0xffb09f10,0x42ec000b,0xa81fffe8,0x5ffc800f,
    0x017ffe40,0x09fff700,0x2f8cffb8,0x82fffc40,0x0fff502e,0x3207ea00,
    0x20002fff,0xf804fffb,0x20007dff,0xfffa80fb,0x07dc0001,0x000fffd4,
    0x3ea03ee0,0xbb0001ff,0x03fffe60,0xff9001f5,0x2fffc80b,0x3ffea000,
    0x7dfff804,0x1dfff300,0xfff501dc,0x207ea000,0x0002fffc,0x2013ffea,
    0x0004fffb,0x4ffe817a,0xd02f4000,0xe80009ff,0x013ffa05,0xff502ec0,
    0x800fa8df,0x7dc05ffc,0x2e0003ff,0xfb802fff,0x3e6004ff,0x403c9fff,
    0x50007ffa,0x7fff703f,0x7ffdc000,0x0fff8802,0x405f3000,0x0000fffb,
    0x7fdc05f3,0x5f30000f,0x007ffdc0,0x3f202ec0,0x003ea5ff,0xf5017ff2,
    0x640009ff,0xf8801fff,0x744000ff,0xf9804fff,0x3f50007f,0x009fff50,
    0x00fffe40,0x20005fb8,0xaaaaaafd,0x003fffba,0x55555fb0,0x07fff755,
    0x2aabf600,0xfffbaaaa,0x805d8003,0x1f53fffd,0x80bff900,0x0005fff8,
    0x4003fff6,0xb10005fb,0xf9801fff,0xfa8000ff,0x05fff880,0x03fff600,
    0x80017cc0,0xfffffff8,0x06ffffff,0xfffff880,0xffffffff,0xfff88006,
    0xffffffff,0x5d8006ff,0xafffe880,0xffc800fa,0x06fff805,0x01bffa00,
    0x40002f98,0x7cc06ffc,0xfb8000ff,0x00dfff00,0x0037ff40,0x7e4000f9,
    0x1fff9800,0x4007e400,0x4001fff9,0xff9800fc,0x02ec001f,0xfbffff88,
    0x05ffc800,0x000fffc8,0x4007fff0,0xf900007c,0x7ffc403f,0x207c8001,
    0x0000fffc,0x7c007fff,0x013e0004,0x4005ffe8,0x3ffa004f,0x0027c005,
    0xd800bffd,0x3ffea005,0xffc800ff,0x09ffd005,0x00bff700,0x0a8004f8,
    0x7fc03fe8,0x06d8003f,0x40027ff4,0x2e005ffb,0x1f50000f,0x07ffd400,
    0x2000fa80,0x5000fffa,0x7fd4001f,0x0176000f,0x01ffff70,0x200bff90,
    0x4000fffa,0x2e000fff,0x27e4000f,0x3f601fdc,0x27c4006f,0x003ffea0,
    0x2001fff0,0x3a0004f8,0x4fff8005,0xf000bd00,0x17a009ff,0x013ffe00,
    0xfd8006e8,0xffd800ff,0x13ff6005,0x003ffb80,0x320013e2,0x401fa85f,
    0x1000fff9,0xffb001fd,0x1ffdc009,0x6d9acd98,0x00fea000,0x003fff60,
    0xfb0007f5,0x3fa801ff,0x0fffd800,0x2000dd00,0xfd800ffe,0x7fe4005f,
    0x03ffc803,0x1b66b366,0x6c27cc00,0x3dff9006,0x003fe880,0x3200fff2,
    0x3ffa03ff,0x20000fff,0xfb8000fe,0x07f404ff,0x27ffdc00,0x20003fa0,
    0xb804fffb,0xf88002ff,0x6ffe800f,0x1dffa800,0x401efd98,0x00fffffe,
    0x3f71b600,0x5fffe400,0x7ffb730a,0x3bff5000,0x803dfb30,0x002ffffc,
    0x007ffb10,0x17ffff90,0x003ffd88,0x0bffffc8,0x001ffec4,0x05ffffe4,
    0x3fffff22,0x3e6000cf,0x7fffd400,0xfec88001,0x04effeef,0x05ffff90,
    0x9db93000,0xffb50001,0x3bffffff,0x7f644000,0x04effeef,0x0005b710,
    0x7fffffdc,0xffffc804,0xff73ffff,0x9009ffff,0xffffffff,0x3ffffee7,
    0xfffc804f,0x003fffff,0xc804c000,0xefffffff,0xb988000c,0xdb88001b,
    0x00000002,0x2eeaa200,0x4000009a,0x0001bb98,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x03332600,0x00000000,0x00000000,0x50005999,0x2e000c03,0x000003cc,
    0x3ffb6e62,0x02ffffff,0x806aa620,0x19993001,0x66400000,0x9500002c,
    0x80000079,0x00003ffd,0xdf506fdc,0xefb80003,0x0007ba60,0x00077fd4,
    0x983dffd5,0x3ffe6002,0x43df501f,0xff502fe9,0x3cc7ffff,0x3fff6600,
    0xd51bdffe,0x01ffec00,0xeff98000,0xff880000,0x000002ff,0x000017fe,
    0x7f47fff1,0x7fc0005f,0x017ff64f,0x0007fe40,0xbffffdf1,0x74003b15,
    0xfd06ffdf,0x437fe49f,0xfffffffa,0x74c01e63,0x2620bdff,0x2006fefe,
    0x00005fe8,0x0003ff90,0x1bff7f60,0x37d40000,0xffe80000,0x000fff62,
    0x7e47ffd0,0x3ff0004f,0xf913b800,0x400dffff,0x05fd13fa,0x7fdc7ffb,
    0x7ffffd45,0x01e63fff,0x2003bfea,0x44007ffa,0x800000ff,0x300002fe,
    0x00ffa29f,0x003b2000,0x2164c000,0x880003b8,0x005dc42b,0x40017cc0,
    0x0effd984,0x3f60fa00,0x5dc1dc40,0x7ffffec0,0x01e63fff,0xb800dff5,
    0x2f98007f,0x1fc40000,0x907d0000,0xe800001f,0x00000000,0x00000000,
    0x20007900,0x70002200,0x0001dc05,0x7ffffffc,0x881e63ff,0xc8001fff,
    0x00950007,0x0004b800,0x04a80ea0,0x00062000,0x00000000,0x00355100,
    0x20000180,0x08001aa8,0x44000080,0xffffffff,0xfe81e63f,0x1f10004f,
    0x00006000,0x08000030,0x00000080,0x3ffb2000,0x02efffff,0x3fffffb2,
    0xffeb804e,0x003dfffe,0xfeb80000,0x03dfffef,0xffd10000,0x1dffffff,
    0x7ffffffc,0x541e63ff,0x20001fff,0x0000000d,0x00000000,0x3ffee000,
    0x03efffff,0x3ffffff2,0x7fff4c3e,0x3fa6001d,0xdfe9803f,0x3bfaa20a,
    0x3fffa201,0x00efffff,0x882b7fa6,0x2201efea,0xfffffffe,0xfffa80ef,
    0xfffd80bf,0x263fffff,0x00fffb07,0xffd30980,0xffffffff,0x1fffffff,
    0xfffffe98,0xffffffff,0x74c0ffff,0xffffffff,0xffffffff,0xfffc880f,
    0x3f6001ff,0x3fee02ff,0x3fb8001f,0x804ffb80,0xfa803ffc,0x5c00bfff,
    0xffc804ff,0xffffa803,0x37ff400b,0xffffff70,0x443cc7ff,0x00005fff,
    0xadfffb88,0xdcaaaaaa,0xff7101ff,0x555555bf,0x203ffb95,0xaadfffb8,
    0xfdcaaaaa,0x3ffee01f,0x07fdc006,0x003ffea0,0xf7007ea0,0x7fe4009f,
    0x06ffe803,0x2004ffb8,0xfe803ffc,0xbffb006f,0x7ffff440,0x21e63fff,
    0x0003fffa,0x00fffe00,0x3fe00fd4,0x03f5003f,0x5003fff8,0xfffd803f,
    0x007fa001,0x4001ffea,0x3fe201fa,0x3fe2000f,0x2ffec01f,0x003ffe20,
    0x401fff88,0xfb005ffd,0xffe880bf,0x1e63ffff,0x000fffee,0x03ffe800,
    0xffd00ba0,0x20174007,0x3a003ffe,0x37ffc402,0x5004f980,0x2a000fff,
    0x13ffa01f,0x01bff600,0xfe80bffb,0xffd8004f,0x02ffec06,0x8805ffc8,
    0x23ffffec,0x2fffc879,0x3fa00000,0x00ae003f,0x5c007ffd,0x01fff402,
    0xff700570,0x00db007f,0x8003ffd4,0xfff701fa,0xfff30001,0x02ffe407,
    0x0001fff7,0x6407fff3,0xff9005ff,0xea98800b,0x3ff21e63,0x2000002f,
    0x22003ffe,0x01fff400,0xffe80110,0x40022003,0x2e00fffe,0x3fea001f,
    0x03f50007,0x8001bffa,0x3f206ffe,0x1bffa05f,0x06ffe800,0x64017ff2,
    0x360005ff,0x3fee1e63,0x2000003f,0x00003ffe,0x0001fff4,0x000fffa0,
    0x2fffc400,0x54004f88,0xf50007ff,0x0bfff103,0x07ffec00,0xf105ffc8,
    0x6c000bff,0xff900fff,0x17ff200b,0x1e63d800,0x0017ffea,0x03ffe800,
    0xffd00098,0x20013007,0x09803ffe,0x2fffb800,0x54000fd8,0xf50007ff,
    0x09fff303,0x0fffe400,0xf305ffc8,0x640009ff,0xff901fff,0x17ff200b,
    0x1e63d800,0x001bffe6,0x03ffe800,0xffd001c8,0x20039007,0x1c803ffe,
    0x1fffd000,0x540017d4,0xf50007ff,0x07fff703,0x1fffe400,0xf705ffc8,
    0x640007ff,0xff903fff,0x17ff200b,0x1e63d800,0x001fffe2,0x03ffe800,
    0xfe800fc4,0x00fc403f,0x4403ffe8,0xff30001f,0x0017a2bf,0x8003ffd4,
    0xfffc81fa,0x3fee0002,0x0bff904f,0x000bfff2,0x904fffb8,0x3f200bff,
    0x8f60005f,0x3fff9079,0x3fa00000,0x999999cf,0xfd001fea,0x3333339f,
    0x3a003fd5,0x99999cff,0x0001fea9,0x3f2bffee,0xfff50000,0x207ea000,
    0x0002fffc,0x6413ffea,0xfff905ff,0x7fd40005,0x0bff904f,0x0017ff20,
    0x441e63d8,0x20004fff,0xffffd038,0xffffffff,0x3fffa003,0xffffffff,
    0xfffd001f,0xffffffff,0xfe80003f,0x20003fff,0x50007ffa,0x7fff703f,
    0x7ffdc000,0x20bff902,0x0003fffb,0x640bffee,0xff9005ff,0x31ec000b,
    0x0fffe40f,0xe806c400,0x99999cff,0xd001fea9,0x333339ff,0x2003fd53,
    0x9999cffe,0x001fea99,0x037ffcc0,0x01ffe600,0x7d40fd40,0x320004ff,
    0xff901fff,0x13ffea0b,0x1fffc800,0x200bff90,0x20005ffc,0xd881e63d,
    0x6c000eff,0x00fffa02,0x3fa003f1,0x00fc403f,0x4403ffe8,0xfd80001f,
    0x7cc0004f,0xfa8000ff,0x05fff880,0x03fff600,0xf882ffe4,0x360005ff,
    0xff900fff,0x17ff200b,0x1e63d800,0x00bfff20,0xffd00fa2,0x2003b007,
    0x1d803ffe,0x007ffd00,0xfb00003b,0xf980009f,0xfb8000ff,0x00dfff00,
    0x9037ff40,0x7ffc0bff,0x3ffa0006,0x017ff206,0x0002ffe4,0xb803cc7b,
    0x89bdffff,0xe802fdb9,0x00a803ff,0x5007ffd0,0x0fffa001,0x200002a0,
    0x40004ffd,0x8001fff8,0x3fff207c,0x7fff0000,0x902ffe40,0x20001fff,
    0x3f203fff,0xbff9005f,0xf31ec000,0x7ff64c00,0x00cfffff,0x0007ffd0,
    0x003ffe80,0x01fff400,0xffb00000,0xfff00009,0x80db0007,0xb8004ffe,
    0x7fe405ff,0x027ff405,0x202ffdc0,0xf9005ffc,0x1ec000bf,0x754000f3,
    0xfe8001ab,0x7400003f,0x400003ff,0x00003ffe,0x013ff600,0x01bff600,
    0xfa809f10,0x7fc000ff,0x2ffe400f,0x003ffea0,0xc801fff0,0xffb005ff,
    0x31ec000b,0x0f6c000f,0x07ffd000,0x3fa01b00,0x00d8003f,0xb0007ffd,
    0x9ffb0001,0xfff30000,0x03fa2001,0x8013ff60,0xfd803ffb,0x4ffd805f,
    0x00ffee00,0x6c017ff6,0x360005ff,0x4c001e63,0xd0001fff,0x5b8007ff,
    0x000fffa0,0x1fff40b7,0x40016e00,0x00004ffe,0x8803dff9,0x3f2003fe,
    0x3ffc803f,0x00bffb00,0x3200fff2,0xffb003ff,0x1bffa00b,0x1e63d800,
    0x04ff8800,0x009ffd00,0xffd017c4,0x017c4009,0x44009ffd,0xffd0002f,
    0x7e40000b,0xb730abff,0xf50007ff,0xdfb303bf,0x37ff4003,0x03bff500,
    0x4003dfb3,0xfa806ffe,0xb0001fff,0x20003cc7,0xff0001ff,0x1fa6009f,
    0x2009fff0,0x7ffc07e9,0x00fd3004,0x07fffee0,0xffda8000,0x1dffffff,
    0x3fb22000,0x04effeef,0x0ffffd40,0xdffd9100,0x8009dffd,0x901ffffa,
    0xdfffffff,0x31ec0019,0x3f22000f,0xfff50006,0x5555557f,0x540bff97,
    0xaaabffff,0x5ffcbaaa,0x2ffffea0,0xcbaaaaaa,0x322005ff,0xefffffff,
    0x2a200004,0x0009abba,0x0ddcc400,0x7fffe400,0x000cefff,0x0006ee62,
    0x3ffffff2,0x00000cef,0x00d11640,0x8005bd90,0xfffffec8,0xffffffff,
    0x76442fff,0xffffffff,0xffffffff,0x7fff6442,0xffffffff,0x002fffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00cc0000,0x00000000,0x00000000,0x01a80000,0x03d00006,0x00000000,
    0x00000000,0x00000000,0x59991000,0x05d00000,0x00b7aa00,0x83bea000,
    0x40002fe9,0x3fa21ee9,0x7f540002,0x001cc2ef,0x80015d10,0x000cfeb8,
    0x001cc079,0x03bdffd7,0x07f93000,0x8004fc88,0x3ee0004d,0x4c00006f,
    0x75db0007,0xe800007d,0x1bff64ff,0x4bffb000,0x20007ffc,0xdffffef8,
    0x44001d8a,0xdfffffec,0xd99ec802,0x887b2005,0xfe8803fd,0x04ffd9ae,
    0x7fffb500,0x13fff6a0,0x0001ea00,0x00001ffb,0x7c400264,0x00001aa0,
    0x7fe47ffb,0x7fe40005,0x001bfea4,0xfff913a8,0xe9800dff,0xfb89e8cf,
    0x887e00ff,0x33ee000f,0xfb000cfc,0x005ff30b,0x07fff350,0x013ffa6a,
    0x0000be20,0x400005fd,0x46a8001f,0x200000f8,0x05dc43b8,0x02ee2000,
    0x5c000175,0x077fecc0,0x745ff100,0x4403fe21,0x2001740f,0x26001ffe,
    0x0ffd01ff,0x01ffe400,0x40013fee,0x7440004d,0x0d500005,0x0d50fc00,
    0x00000000,0x00000000,0x40004401,0x2a0f47fc,0x6a8f600f,0x3f7bea00,
    0x0ff9000e,0x8000ffe4,0x7d403ffb,0x0f50004f,0x000f3000,0xb8001360,
    0x0002fdcf,0x00004c00,0x00000000,0xfd00004c,0x00f81e8b,0x00bfbbe6,
    0x7fc4bba6,0x07fd800e,0x4000bfee,0x7d403ffb,0x5f10004f,0x00130000,
    0x03f99730,0x00ef8800,0x04d80000,0xffffd300,0xffffffff,0x001fffff,
    0x20004d80,0x207a0fff,0x002a800d,0x1bfea0e6,0xfc81bfa0,0xff70001f,
    0x04ffa807,0x00017600,0x37f62000,0x0002ffec,0x00003fe6,0x001ff300,
    0x6fffdc40,0xcaaaaaaa,0x20001ffd,0xb0000ff9,0x140f45ff,0x6c000000,
    0x37fc03ff,0x4000dfb0,0x7d403ffb,0x1ea0004f,0x26f2ea00,0x41df3000,
    0x0004fffe,0x00007ff9,0x003ffc80,0x003fff80,0x640003f5,0xf70003ff,
    0x0007a5ff,0x0026f2ea,0x3fe6aa60,0x41bfe00f,0x98804ff8,0x07ff72cb,
    0x64c4ffa8,0x017c401b,0xffcdfea8,0x21fe805f,0x00fffaf8,0x037ffc40,
    0xfff10000,0xffd0000d,0x00174007,0x006fff88,0xd7ffff10,0x6ff54003,
    0x9005fffc,0xffdfd9df,0x4437fc0b,0xdfc803fd,0x3ffdefdb,0xfaa7fd40,
    0x6c04ffff,0x41ff9805,0x3f204ffb,0x1fffadc4,0x7fffdc00,0xf7000001,
    0x80003fff,0x2e003ffe,0xfff70002,0x3ea0003f,0x3001ffff,0x4ffb83ff,
    0xf307fa20,0x3fe03fff,0x00fffa66,0xffd10ff6,0xcffa807f,0xfffffffa,
    0x3a01ea06,0x20fff06f,0x99742ff8,0xede8003c,0x000005ff,0x00bffdbd,
    0x003ffe80,0x6f400022,0x20005ffe,0x01effffa,0xfff06fe8,0xfa817ec0,
    0x4dff04ff,0x01effec8,0x3fe20bfb,0x77fd403f,0xfffb30ae,0xf00be207,
    0x03ffa0df,0x07987fe6,0xfaafa800,0x400000ff,0x0fffaafa,0x0fffa000,
    0x3ea00000,0x000fffaa,0x3ffffa60,0xe837fc03,0x06fa80ff,0xff83ffec,
    0x83fff906,0x3f600ff9,0x77fd403f,0x01fffb00,0x07f90176,0x3ee03ff6,
    0x0001320f,0x03fff9b6,0xff36c000,0x7f40007f,0x0009803f,0x3fff9b60,
    0xfffc8000,0x07f900df,0xff103ff6,0x2fffa80b,0x3f206ff8,0x202ff46f,
    0x7d403ffb,0x3ffe204f,0x4000f502,0xfc80ffea,0x00007e1f,0x3ffe47f1,
    0x47f10000,0x20007ffc,0x1c803ffe,0x647f1000,0xd00007ff,0x001dffff,
    0x540ffea8,0xfff804ff,0x2206ff83,0x9ff32fff,0x403ffb80,0x7e404ffa,
    0x800be03f,0x0ffedfc9,0x0d52ffc8,0x441f9000,0x00002fff,0x7ffc41f9,
    0x7ffd0002,0x0001f880,0x7ffc41f9,0xdae80002,0x4c00efff,0x40ffedfc,
    0xfe803ffb,0x406ff84f,0x7ff74ffd,0x403ffb80,0x7dc04ffa,0x2017605f,
    0xffb0cfd9,0x369ff501,0x3e200204,0x005ffd84,0xfd84f880,0xffd0005f,
    0x53333339,0xf10003fd,0x00bffb09,0x3fee3d00,0x19fb304f,0xff903ff6,
    0x0bffb009,0xffa80dff,0xb807ff95,0x7fd403ff,0x02ffd404,0x77d401f5,
    0x4c07fec1,0x101f8fff,0x501f7009,0x80003fff,0xfffa80fb,0xfffe8001,
    0xffffffff,0x0fb8001f,0x001fffa8,0xfff70f40,0xfd83df50,0x02ffec0f,
    0x7fc1ffe4,0xdb7fcc06,0x7fdc04ff,0x027fd403,0x5f013fe6,0x3603bee0,
    0xdfff00ff,0x7400e40d,0x013ffa05,0x7f40bd00,0xffe8004f,0xa999999c,
    0x5e8001fe,0x0013ffa0,0x0fff83d0,0x3f603bee,0x037fe40f,0x7fc17fdc,
    0xcaffcc06,0x7fdc05ff,0x027fd403,0xbb00bfea,0x3607ff30,0xfffb00ff,
    0x2601ae09,0x3ffee02f,0x05f30000,0x0007ffdc,0xf100fffa,0x02f98003,
    0x1003ffee,0xffb07a09,0x6c0ffe61,0x3ffd40ff,0x7c07fe40,0xa7fc406f,
    0x7dc06ffb,0x27fd403f,0x5007fee0,0x02ffb81f,0x3e203ffb,0xebaaefff,
    0xaafd801f,0xffbaaaaa,0x5fb0003f,0xf7555555,0xfe8007ff,0x001d803f,
    0x555557ec,0x03fffbaa,0x6c1e83c4,0x40bfee7f,0x7fcc1ffd,0x837ec02f,
    0x7fcc06ff,0x405fff52,0x7d403ffb,0x037ec04f,0x27fe42f8,0x2601ffe8,
    0xffffffff,0xffff8802,0xffffffff,0xff88006f,0xffffffff,0x74006fff,
    0x00a803ff,0x3ffffe20,0xffffffff,0x7417c406,0xff927fc1,0x207ffa09,
    0x7fc06ffc,0xf16ff882,0x3a3fd41f,0x3fee06ff,0x027fd403,0x32003ff1,
    0x30fffcc5,0x0b15fffd,0x3bffffba,0x001f9001,0x8003fff3,0xff9800fc,
    0x3ffa001f,0xfc800003,0x1fff9800,0x3d03be20,0xff3077dc,0x7fff4c3f,
    0x3ffa258a,0x2207f704,0x45ff36ff,0x7ffcc3fc,0x2fff4c0e,0xd817fea0,
    0x03ea003f,0x3dfdfffd,0x303ffff7,0x0006a62f,0x7ff4009f,0x0027c005,
    0x7400bffd,0x800003ff,0x3ffa004f,0x8bffe205,0x81efb89e,0x9efefffe,
    0x4c1ffffb,0x3ea0cffe,0xe9bfee04,0x2e09f52f,0xedbdffff,0x305efffc,
    0x6c43dffd,0x42f8003f,0x30cfffc9,0x13203dff,0x001f5000,0x8007ffd4,
    0x3ea000fa,0xffd000ff,0x201b0007,0x3ea000fa,0x3f2600ff,0x4ffefdff,
    0x33fff260,0x403dff30,0x3dfefffc,0x4dfffd30,0x403eefd9,0x8dfffffa,
    0xa801cffb,0x1efefffe,0x220b9000,0x03f00201,0x8005e800,0xbd004fff,
    0x09fff000,0x000fffa0,0x002f40b7,0x98027ffc,0x2001cea9,0x98002018,
    0x2200001a,0x0554c000,0x2a200051,0x4400009a,0x6a800002,0x01fd4000,
    0x007ffec0,0x36000fea,0xfe800fff,0x0be2004f,0x6c001fd4,0x74000fff,
    0x00000001,0x00000000,0x00000000,0x00000000,0x3a0001ec,0xffb8000f,
    0x007f404f,0x027ffdc0,0x98027ffc,0x003fa07e,0x013ffee0,0x000003b0,
    0x00000000,0x00000000,0x00000000,0x0007c400,0x003ffd88,0x0bffffc8,
    0x001ffec4,0x05ffffe4,0xabffffa8,0xfcbaaaaa,0x3ffd885f,0xffffc800,
    0x0000000b,0x00000000,0x00000000,0x00000000,0x00730000,0x3ffffee0,
    0xfffc804f,0xf73fffff,0x009fffff,0xfffffff9,0x3ffb227f,0xffffffff,
    0x42ffffff,0x4ffffffb,0xfffffc80,0x00003fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x22000000,0x2a20001a,0x3ccc8000,
    0x00aaa600,0x00d54400,0x00cc002a,0x0001332e,0xa8009997,0x350001aa,
    0x54400a20,0x26600001,0x00980aaa,0x00cc0000,0x98002a00,0x000efdfe,
    0xf98006c8,0xff1001ff,0x2e0003ff,0xeffeeffd,0xff30fd42,0x101ffdc5,
    0x40003fff,0x2a002fff,0x88006fff,0xb80d902f,0x00dffefe,0xffffc980,
    0x3b1ceffe,0x00bfea00,0x00fffff2,0xf8801b20,0x001df30e,0x5c000fd4,
    0x3f2002ff,0x44005ffe,0x75441dfe,0x6c3f99ef,0x17ffa6ff,0x0009ff30,
    0xf000ffe6,0x8007ffdf,0x409b00f9,0x3ff223fc,0x9ffb1002,0xfffa8815,
    0xbffd002f,0xfc89db80,0x07e6000f,0x7f43fe80,0x007f1004,0x9800ffa0,
    0x005ff35f,0x3600ffee,0xffc84fff,0x201fffe5,0xf90006fa,0x93fb8009,
    0x3dc001ff,0x13f207f0,0x2200ffec,0xd8802ffe,0xffb002ff,0x2fe83809,
    0x98013a00,0x03fe41ff,0xf10006d8,0x445d8009,0x5ffb806e,0x20fff600,
    0x3ffa0bb8,0x001f9006,0xf8800bd0,0x90027d42,0x2607e60b,0xbff100ff,
    0x017ffcc0,0x4400ff60,0x6e8000bb,0x8003ee00,0x7fdc0ffa,0x0007d401,
    0x254005b8,0x7fcc0790,0x3ff2000f,0xdffb001f,0x2001ec00,0x164000e9,
    0x9d000e88,0x3f603ea0,0x817fe405,0x88002ffe,0x8000003f,0x5f3000ea,
    0x40ffc800,0x3e202ffa,0x000a0003,0xfe806006,0x37ee004f,0xff9006ff,
    0x4002800b,0x80180009,0x3205f001,0x404ff886,0xffc86ffa,0x012e0006,
    0xffda8000,0x000bd003,0xffa81ff9,0x00017602,0x70000000,0x26001fff,
    0x43fff9af,0x027fdc08,0x00000000,0x07e60000,0x27fd4274,0xf31ffe20,
    0x440005ff,0x800aa005,0x404ffda9,0xfb8000fb,0x80ffdc1f,0x2a0000fb,
    0x20009bcb,0x4009bcba,0xf1006fff,0x2a3fffc9,0x201ffd43,0x000abca9,
    0x002af2a6,0x00abca98,0x5f955551,0x5bf55555,0x017fee15,0xffc87ffe,
    0x40000006,0xff90001b,0x80017c40,0x7fdc2ff9,0x0002f880,0xfff9bfd5,
    0xcdfea80b,0xff105fff,0xb17a00bf,0x21dc1fff,0xfb102ffa,0x805fffdb,
    0xfffedfd8,0x76fec402,0xffa82fff,0xffffffff,0x72ffffff,0xffd00dff,
    0x002fffc5,0x00360000,0xd807fc40,0x1ff40005,0x02f413fa,0x5c1ff980,
    0x3ff304ff,0xf984ffb8,0x0ed804ff,0x990fffe4,0xf981ff98,0x0fffe60c,
    0xff3067cc,0x833e607f,0xf803fff9,0x3ea0f504,0x3fff807f,0x0009fff5,
    0x00344000,0x07d41be0,0x99be6000,0x00fb80ff,0x3e0dfd00,0x20dfd07f,
    0xfffb87ff,0x5c0fdc03,0x11763fff,0x06f881ff,0xf881fff3,0x81fff306,
    0xfff306f8,0xc817c401,0x05fff306,0xff72fff8,0x0000007f,0x40980264,
    0x03f881fa,0xf9bd5000,0x005f301d,0xfe837fc0,0xd06ff80f,0xfffc81ff,
    0x5c0bea02,0x21ba4fff,0x203fc87f,0x1fe44ffe,0xfc89ffd0,0x813ffa03,
    0x409d00fa,0x3e206ffe,0x5fff91ff,0x7fff5c00,0xf502efff,0x9dff1003,
    0x01b605db,0x806a6000,0x39b7105e,0x7ec0ff20,0xb03fc80f,0xfffc81ff,
    0x5409f302,0x21fe4fff,0x007fc47e,0x7fc4bffb,0x897ff600,0x3ff600ff,
    0x3f81ee05,0x20fffe60,0xfb0fffc8,0xf10005ff,0x7cc07fff,0x2aea2006,
    0x5007ea01,0x6400009f,0xb9ef980f,0x7f54005f,0x7f54000f,0x1fffd40f,
    0x3ee02f44,0xb03fe2ff,0xfffff98d,0x7fffffff,0x3fffffe6,0x27ffffff,
    0xfffffff9,0x207fffff,0x803f305d,0xcabdfffb,0x3ee7ffee,0xfb0003ff,
    0x17f401ff,0x1fc40000,0x0013fe20,0x7c417cc0,0x300ff20f,0x01ffdbf9,
    0xffdbf930,0x84fff981,0x7fe400ed,0xc81ff11f,0x80037d45,0xf50006fa,
    0x13e0000d,0xfe9803dc,0xffe8cfff,0x013ffea3,0x703ffe40,0x200000ff,
    0x7f74406c,0x09d00004,0x1ff31bf2,0x3619fb30,0x3f6600ff,0x881ffb0c,
    0x0fe44fff,0xf33ffec0,0x7e44c83f,0x0ff90007,0x001ff200,0x7fffffd4,
    0xffffffff,0x826202ff,0x3e60fffa,0xf70006ff,0x13fe60df,0x07ea0000,
    0x009f7bb0,0x7f40d900,0x2a17fc44,0x07fec1ef,0x7ec1efa8,0x26ffe80f,
    0xfff002fa,0x2e17fd4d,0x0007fe43,0x40007fe4,0x88000ffc,0xaaabfcaa,
    0xaaaadfaa,0x2fff4000,0x0007fffc,0xfe837fdc,0x4400000f,0xfbb5c04e,
    0x0fcc0004,0xff84ff88,0x3603bee4,0x0efb80ff,0xfb80ffd8,0x003f99ff,
    0x7dc7fff1,0x3ee0cc3f,0x7dc1003f,0x7dc1003f,0x2e01003f,0x0000be07,
    0xf701fff3,0xf70007ff,0x0fff10df,0x32001f54,0x5c3ea00e,0x3a20004f,
    0x20ffe604,0x07ff35ff,0xff303ff6,0x403ff607,0x005ecffe,0xff917fee,
    0x1fff3009,0x3fe66880,0xf334400f,0x068801ff,0x007e60bb,0x405ffb00,
    0x4000fffe,0xff986ffb,0x003ff606,0x3f3017cc,0x900027dc,0x83ff880d,
    0x05ff75ff,0xff707ff6,0x407ff605,0x000efff9,0xfd81fff1,0xfff8805f,
    0xff126c04,0x224d809f,0x26c04fff,0x00f703f8,0x404ff980,0x4004fffa,
    0xffa86ffb,0x00ffee06,0x85d102f4,0xf50004fb,0x889fd003,0x09ff94ff,
    0xff907ffa,0x807ffa09,0x32005ffc,0x6ffe81ff,0x7ffe40cc,0xfc83f505,
    0x83f505ff,0xf505fffc,0x3205f103,0x3fe60005,0x5fff7004,0x437fdc00,
    0x3e207ff8,0x00fc802f,0x3fffffee,0x22003fff,0x8bfb003f,0xfff32ff9,
    0x57fff4c3,0x43fff358,0x58afffe9,0x804fffb8,0xfff03ffb,0x221ffdcf,
    0xcbceffff,0xfff883ff,0x3ffcbcef,0xceffff88,0xf503ffcb,0x40013a01,
    0x4c003fe9,0xf7003ffe,0x0bffa0df,0x7cc00fe8,0x55554c02,0x001adfda,
    0xff8801b6,0xffd1bf20,0xff73dfdf,0x7fff43ff,0xfffb9efe,0x755fcc1f,
    0x7ecc0adf,0x9fffa01e,0xff986ffe,0x05ffffff,0x3fffffe6,0x3fe605ff,
    0x05ffffff,0x002f81ee,0x0001efb8,0x037dffb1,0x207fff91,0xfa80eff8,
    0x0005e802,0xf50013ee,0x9df98001,0x7e4c1efb,0xdff30cff,0xcfffc983,
    0x883dff30,0x77ffdc4f,0xc803effe,0x0fff24ff,0x7ffffec4,0xfffd8803,
    0xfd8803ff,0x6c03ffff,0x3003f305,0x0005dfd7,0x3fffb2a0,0x02dfffed,
    0xbacffe98,0x0fb802fd,0x013ee000,0x30003f88,0x44019dd9,0x03100201,
    0x22048804,0x20009bb9,0x00cc0cc8,0x0004d544,0x00026aa2,0x50013551,
    0x5400a203,0x0000009a,0x04d55d4c,0x66ee5400,0x03f9800a,0x001f5400,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0x15100019,0x40003300,0xa980001a,0x98000009,
    0x400002aa,0x0009aa99,0x06665400,0x00033000,0x000d5440,0x05999100,
    0x006aa620,0x00135100,0x2a00d4c4,0xbb0004fd,0x004fda80,0x20003f50,
    0x2ffffec9,0x3fe20000,0x4c0001ff,0xfedceefc,0xff00002d,0xd710007f,
    0x0001bfdf,0xfffdffd7,0xfb80007b,0xdfc8806f,0x4004ffec,0x02ffdeeb,
    0x7ffffec4,0x04fea983,0x2600fb80,0x88004fea,0xff30003f,0x007faa39,
    0x7ff7e400,0x7fb10006,0x017ed401,0x009ff300,0x2619fd10,0xfd3000ef,
    0x7f54415b,0xdfd0001e,0xa85e8801,0xec800eff,0x4403fe61,0xfffffffe,
    0x8009f904,0x9f9003f8,0x000d9000,0x3ea17fe2,0x5f980006,0xa8005ff3,
    0x274c003f,0x005fb800,0xff709fd0,0x04ffb801,0x4003ffc8,0xfd801ff8,
    0x809ff700,0x04fe82fb,0xff9317b9,0x09f901ff,0x32006d80,0x0fd4004f,
    0x82ffa800,0xd80007f8,0x50037445,0x36c0003f,0x80037400,0x9fd00ffb,
    0x0027fdc0,0x54007ff9,0x0ff8802f,0xf981ffe0,0xb50bf907,0x20fffe20,
    0x3ea004fc,0x013f2001,0x20004e88,0x6f981ffc,0x90254000,0x103f1007,
    0x35bfdbb7,0xd10026cd,0xbff10001,0x4407fdc0,0x22000fff,0x7b001fff,
    0x80ffe600,0xdf702ffe,0x01202e20,0x9f90bff9,0x000fe200,0x364009f9,
    0x0fff6000,0x30000ff2,0x07d00300,0x75c419f7,0x400ba27f,0xff700019,
    0x427fcc07,0xd8004ffe,0x007006ff,0xfb037fc4,0x01bf607f,0x0ffe6000,
    0x36c013f2,0x8027e400,0x640001f9,0x07fc45ff,0x40000000,0x017f445a,
    0x03541ff1,0x7ff40000,0x83ffe201,0x8000fffb,0x0003fff9,0x3a05fd80,
    0x0dff01ff,0x3ff10000,0xf5009f90,0x09f90003,0x200013a0,0xfd30fffb,
    0x33330005,0x33333013,0x13f21740,0x43d03ea0,0x98099999,0xff101999,
    0x1ffe801f,0x8001bffa,0xb9806ffe,0x401800ab,0x1ffe07ff,0x17ea0000,
    0x3a2027e4,0x09f90004,0x00001f90,0xdf77fff1,0x555554c3,0x7ffee42a,
    0x7fffec45,0x7fd47981,0x4b83b000,0x117fff72,0x503ffffb,0xffd00fff,
    0x017ffe25,0x00fffd80,0xbffb9df9,0x3fea0001,0x001ffe03,0xfc817600,
    0x00036404,0x2f9809f9,0x3ffa0000,0xffe983ff,0xff702dff,0x40fffc0b,
    0x0037f44b,0x3fee1a20,0x207ffe05,0xfd807ffb,0x09fff33f,0x0fffe400,
    0x3fa60fec,0x5fe8001e,0x0007ffc0,0x6401d900,0x007e604f,0x7404fc80,
    0x7dc00005,0x3fe603ff,0x2ffcc00f,0x7903ffb0,0x80005ff8,0x205ff987,
    0xffb81ffd,0x74ffd807,0x40007fff,0x7e43fffc,0x01fff303,0x4c07fcc0,
    0x99affe99,0xfc880009,0xefea883f,0x0004e80a,0x015dfd51,0x200001f7,
    0x0fffffc8,0x2600bfe0,0x3ff205ff,0x3fe62d81,0x40f80004,0x3f205ff9,
    0x06ffc81f,0xff95ffd8,0x7dc0005f,0x01fee4ff,0x6c009ffb,0xffff982f,
    0x05ffffff,0x3ffff660,0x266620df,0x20764099,0x881cedb8,0x44099999,
    0x027d402f,0x3feabfea,0x00bf305f,0xfc817fe6,0x3e62d81f,0x0e80005f,
    0xf902ffcc,0x0bff903f,0x3f2bffb0,0x2a0002ff,0x1bfa4fff,0x003fff30,
    0x2aa207f3,0xaaabffea,0x32e62001,0x4006ffff,0xfdfe82f9,0xbd0003ff,
    0x204ff880,0x3ffa1ffc,0x000fb82f,0x7e40bff3,0x3e23c81f,0x8780005f,
    0x3f205ff9,0x06ffc81f,0xff74ffd8,0x7dc0007f,0x09ff12ff,0xb007ffd0,
    0x0ffec00b,0xffb10000,0x42f4003f,0x007fdc4b,0xe8803ee0,0x1ff904fe,
    0x20ffffa8,0x3e6003e8,0x07ff205f,0x00dfd12e,0xff987880,0x207ff205,
    0xfe806ffb,0x09fff54f,0x8fffe400,0xfd803ffa,0x007c404f,0x0001ffb0,
    0x009ffd00,0x220e03ee,0x3e2002ff,0x27de6c03,0xfd82ffd4,0x001b25ff,
    0x7e40bff3,0x7dc6981f,0x16e0001f,0xfc817fe6,0x07ffa81f,0xff13ffe8,
    0x7ec000bf,0x09ff90ff,0x980bff90,0x03fe4004,0x6ff98000,0x4002f980,
    0x02ec007e,0x7427ddae,0xfff102ff,0x8001f55f,0x3f205ff9,0xfe83d01f,
    0x1e839006,0x3205ff98,0x7ff981ff,0x3e1fff80,0x3a0006ff,0x17ff66ff,
    0x7013fee0,0x07fb8005,0x1ffe0000,0xf30017a0,0x007d400b,0x513ee1d5,
    0x7d401fff,0x8003feff,0x3f205ff9,0xf98b701f,0x2616404f,0x40bff306,
    0xffd01ffc,0x23ffc401,0x0000fffc,0x7fe47fff,0x02ffb805,0x3ee00064,
    0x36000005,0x007dc06f,0x44003b20,0xb87e603f,0x0fffdc4f,0x01ffff60,
    0x902ffcc0,0x217403ff,0xa89befd8,0x817442ec,0x3f205ff9,0x05ff701f,
    0x7f427fcc,0xffb8004f,0x007ffd45,0x03003ff2,0x3007f700,0x09f90001,
    0x2a0017c4,0x81b6001f,0x227dc2e8,0x4404fffc,0x200dfffe,0x205ff883,
    0x3e601ffc,0xcefdc980,0x2204d80a,0x3ff205ff,0x409ff101,0xffa81ffb,
    0x7ffc000f,0x01fffc40,0x80001bf6,0x401fdca8,0x3fb00068,0x26002ec0,
    0x07ea001f,0xffffffb8,0xfff53fff,0xfffe980f,0xf05a80ef,0x3ffe60ff,
    0x000f5c02,0xfff00d90,0x80bffe60,0x17fe07fc,0x2004ffd8,0xff703ffb,
    0x802ff80d,0x6674c00a,0x440adfff,0x4f98005d,0xa8003ea0,0x13e2000e,
    0xb5555530,0x3fe235bf,0xdfc80dff,0xacfffffa,0xffd01fc9,0x4ffdeb87,
    0x4003fa80,0xfe800de8,0x7fef5c3f,0x5c1fec04,0x7fe400ff,0x03ffc803,
    0x5c13ffa2,0x1ffd803f,0xffef8720,0x2ffedeff,0x74407322,0x007f100e,
    0x1d31075c,0xb8001b20,0xffffa84f,0x22ffecdf,0xffffffe8,0x3ffe604f,
    0xffc8efdf,0x774404ef,0x0ff6600b,0xdffff980,0xefffc8ef,0x543fd104,
    0xff5001ff,0x3dfb303b,0x17ffd100,0x7c4027d4,0x5c7604ff,0xffffff55,
    0xefffa8bf,0x404fb99a,0x3ff2006d,0x305fffff,0x7dc0003f,0xffffd304,
    0x3f201bff,0xb803efff,0x3f25ffff,0x36a000bf,0xeeeccdef,0xffb8000b,
    0x2fff25ff,0x777e4400,0x644000be,0xeffeeffe,0xfffc8004,0x3a003dfe,
    0x37ea02ff,0x3fff620e,0xffffd04f,0xfa803bff,0xdddd5001,0x3a05dddd,
    0x1f540004,0x002aea60,0xa8001b98,0x00014c0a,0x06aaea62,0x20554000,
    0x03300029,0x2ee62000,0x55300001,0x40054000,0x02a62018,0x00135530,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x02aa2000,0x31000062,0xa9980015,0x0000009a,
    0x1aa98000,0x02aa9800,0x33260000,0x0000001c,0x00333260,0x0d54c400,
    0x00000030,0x91005553,0xeb880599,0x7fffd404,0x04c8bdff,0x2ceeda80,
    0x9ddf9300,0x0005bfdb,0x20000dd5,0x3ffdeffb,0x0bfffa00,0x800bf620,
    0x00004ffd,0x0039fd73,0x80007ffb,0xffefffd9,0x710d51bd,0xfd0000dd,
    0xffb805ff,0xfffb300e,0x8e7fec09,0x04fffeb9,0x0037fa60,0x200bfd88,
    0x64402fda,0x80006fff,0x3ee20bfe,0x7f7dc00e,0x6ffb806f,0x003ff400,
    0x7f556ec0,0x37f4406f,0xdffe9800,0x3bfa620b,0x3fff266f,0x77dc0006,
    0x7fec06ff,0x3ff66a00,0x401ff904,0xf5004ffd,0x3fa8007f,0x30274c00,
    0x000dff93,0x3fa05fc8,0x263be205,0x7fcc03fe,0x0ff44005,0x441f9000,
    0x7c403ffe,0x7fd4000f,0x7ffa800e,0x01bff666,0xe98ef880,0x03ff103f,
    0x2613fea0,0x4fd804ff,0x002ffb80,0xb0000fd4,0x06ff880d,0x807fe200,
    0x1b900ffb,0x26007ec4,0x09f30002,0x2613ee00,0x3f9803ff,0x01bfea00,
    0xff30ff70,0x22e4000d,0x2fa80fd8,0x213fe600,0xf8800ffb,0x027fcc04,
    0x33227e20,0x0acccccc,0x6ff809b0,0x03fea000,0x5982ff88,0x000012e0,
    0x3a000d50,0x4003103f,0xfff1005a,0x10f90003,0x26000dff,0x0f612e05,
    0x909ff300,0x136005ff,0x8006fe88,0x2bffa23e,0x882ffeb9,0x01bfe02e,
    0x202ffb80,0x80180ff9,0x28000001,0x007ff000,0xfe801c00,0x1f10004f,
    0x0006ff88,0x00703003,0xf909ff30,0x812e00df,0x54000ffd,0xfe87fc85,
    0x3e06a81f,0x3e60006f,0x01bee06f,0x00000000,0x0ffe6000,0xf5000000,
    0x6c0003ff,0x0006ff80,0x98000000,0xfffa84ff,0xa81c400d,0x2e8005ff,
    0xffa87fc8,0x3fe03d04,0x7ffc0006,0x3005fd05,0x00001577,0x30133333,
    0xf5003333,0xb980007f,0x7fec00ab,0x404c0007,0x100006ff,0x05710057,
    0x2213fe60,0x002effff,0x002fff88,0x87fc83cc,0x09705ff8,0x26621bfe,
    0x7dc09999,0x0ff60dff,0xffb9df90,0x82b8801b,0x445fffdc,0x881ffffd,
    0x99bffc99,0x9df90009,0xf101bffb,0x00000bff,0x37711bfe,0x09ff9300,
    0x8027fe4c,0xff304ff9,0x4001bfff,0xfdb57ffa,0x209701bd,0x2ff987fc,
    0x1bfe0d10,0x337fffa6,0x8efffd80,0x0fec02fd,0x2607bfa6,0x3ee05ffc,
    0x07ffe05f,0x3ffffff2,0xfd804fff,0x20f7f4c1,0x0003fffa,0x7e4dff00,
    0x3b206fff,0xfd904fff,0x3e6009ff,0x3ffea04f,0xc800cfff,0xecbdeeff,
    0x81e42fff,0x37f447fc,0x837fc1e0,0xfc801efb,0x6400efff,0x1fff303f,
    0x02ffff64,0x7ec0bff3,0xfc99881f,0x400999bf,0xfff303fc,0x01fffdc1,
    0x8eff8000,0x3fffdcee,0x2027fdc0,0xf3004ffb,0xffe9809f,0x6c03ffff,
    0xffc81dff,0x7e40b61f,0x02efcbaf,0x86ff80f8,0x7e4005f9,0x3ee03fff,
    0x427fec07,0x3e605ffb,0x07ff205f,0x4007ff70,0x7fec07fb,0x00bfff24,
    0x777fc000,0x007ffcc3,0xf9809ff3,0x9ff3004f,0x3fffee00,0xfff00eff,
    0xb37ff401,0x36bff205,0x01d001ff,0x04f98dff,0xffffed80,0x980dfd04,
    0x7fcc1fff,0x817fe605,0x7dc01ffc,0x1bfa003f,0x323fff30,0x00002fff,
    0x3603fff0,0x3fe601ff,0x027fcc04,0x2004ff98,0xffffffd8,0x007ffcc0,
    0x0f23fff5,0x0dfd3fe4,0x537fc1e0,0xfe88007f,0x44ffff98,0xfe804ff8,
    0x02ffcc3f,0x7e40bff3,0x1ffdc01f,0x804ff880,0xfff73ffe,0x3e000007,
    0x0bff206f,0x4c04ff98,0xff3004ff,0xffd30009,0x7fd41dff,0x72fff807,
    0xf99ff209,0xf83c403f,0x8007f76f,0x3fa21fe8,0x0ffea3ff,0xf313ff60,
    0x2ffcc0bf,0xb803ff90,0xff5003ff,0x29ffb007,0x0005fffa,0x5c0dff00,
    0x3fe602ff,0x027fcc04,0x0004ff98,0x98ffffee,0xffd807ff,0x1ff20d34,
    0x2dc03ff7,0x0ffbeff8,0x4427ec00,0x3ff27ffe,0x45ffc804,0x3e605ff9,
    0x07ff205f,0x2007ff70,0xfc804ffc,0x0dfff35f,0x1bfe0000,0x2602ffb8,
    0x7fcc04ff,0x09ff3004,0x3fea0015,0x01ffe26f,0x81e93ff2,0x06fd87fc,
    0x6f7fc07a,0x3e2006ff,0x5fff102f,0x2e017ff6,0x2ffcc4ff,0x640bff30,
    0x7fdc01ff,0x0bffb003,0x3e29ff70,0x000007ff,0x7fdc0dff,0x013fe603,
    0x26009ff3,0x003b84ff,0xfff1ffee,0x22ffb801,0x887fc85b,0x206984ff,
    0x4ffe8eff,0x401ff700,0xbff95ff9,0x985ff700,0x3fe605ff,0x007ff205,
    0x32007ff7,0xffb805ff,0x007fff22,0x81bfe000,0x3e603ffb,0x27fcc04f,
    0xb84ff980,0x1ffe6006,0xfb805ffb,0xfd11741f,0x49ff305f,0x5bfe02e8,
    0xd803fff8,0x56fe807f,0xfc801fff,0x02ffcc0f,0x7e40bff3,0x1ffdc01f,
    0x00fffa80,0xff107fe4,0x1c40009f,0xff7037fc,0x027fcc07,0x4c013fe6,
    0x00fb84ff,0xfa8dff10,0x437ec04f,0xcccc98f9,0xb3ccb84c,0x2a6ff809,
    0x7e401fff,0xf15fc807,0x6fd807ff,0x2205ff98,0x3ff205ff,0x01ffdc01,
    0x403fff88,0xfffc86fd,0x80d88001,0x3fee06ff,0x013fe603,0x26009ff3,
    0x05fb84ff,0xfb07ff90,0x817f401f,0x320001eb,0x646ff806,0x3ea00fff,
    0x71ff401f,0x2ff80dff,0x7c05ff98,0x5fff307f,0x003ffb80,0xff01bfee,
    0x1dffb105,0xff02d800,0x01ffdc0d,0xf980bff3,0xbff3005f,0x880bff70,
    0xbfd106ff,0xf5017ea0,0x0de88007,0xfd87ff80,0x02fec06f,0xffe88df3,
    0x2607f704,0x7ff405ff,0x27fef5c3,0x800ffee0,0xf704ffe8,0x2fffc807,
    0xf103e880,0x1ffdc0df,0xa80dff50,0xff5006ff,0x7dfff70b,0x00efe983,
    0x9f50ffe6,0x02fba200,0x1003fd98,0xfff10fff,0x427f440b,0xfe880ee9,
    0x813ea0bf,0x7cc06ffa,0xc8efdfff,0xf904efff,0xfe88009f,0x013ea0bf,
    0x5effffdc,0x02fdb989,0xfb81ffe2,0x3fff204f,0x03fff200,0x703fff20,
    0xdfffb739,0x26007fff,0x03edcffe,0xcdefda80,0x000beeec,0x3207ffea,
    0x2e00dfff,0x04ffcdef,0xdfefffc8,0x07ffe403,0x97fffee0,0xf100bffc,
    0x90001dff,0x07bfdfff,0xfffec980,0x400cffff,0xfd01fffa,0xfffd70bf,
    0x7f5c1bdf,0xa80defff,0x0deffffe,0xacaa8815,0xaa880009,0xa9880000,
    0x5c001aab,0x2efffffe,0xbffffff5,0x00d54401,0x5c0154c0,0x0deffffe,
    0x0a605540,0xfffffd98,0x4c000cdf,0x2600002a,0xea801abb,0xb1efffff,
    0x09dffffd,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7dc00000,0xffffffff,0xbb503fff,
    0x30001205,0x0aa00001,0x7ff640a6,0x02efffff,0x3fffffb2,0xfffff54e,
    0x3fa23dff,0x0effffff,0xfffffe98,0x1a81b884,0x99999988,0x09999880,
    0x40039993,0xfffffff8,0x1a98003f,0x4c013310,0x40620019,0x7fff40ba,
    0xffffffff,0xffffd81f,0x0000aa2e,0xf900009b,0x027fdc7f,0x03bfffd3,
    0x81fff4c0,0x102ffffb,0x200dfffd,0xff00eff8,0x217fec1f,0x2dfffffb,
    0x23fffc98,0x32004ffd,0xffffffff,0x27f44000,0x3e02ffb8,0x4fc8807f,
    0x3ea5ffb8,0xffffffff,0xae986fff,0xfceffffb,0x3fe60001,0x7ff40000,
    0x701bff65,0x70003fff,0x7ffd807f,0x027ffd40,0x3e201fb0,0x13ffe2ff,
    0x201bffe2,0x37f441fe,0xfffff880,0xc8004fff,0x5ff704ff,0x9303ffc0,
    0xffb09fff,0x200dfecf,0x221b83fb,0x003ffffd,0x001ffe40,0xf987fee0,
    0x7ffd403f,0x01fa8000,0x200fffd4,0x3a006ffe,0x7077ec05,0x3fea03ff,
    0xf104f807,0x00d9003f,0x4fffa800,0x7c05ff70,0xff7b707f,0x27ff509f,
    0x3fd001f8,0x0b2e6050,0xdfff1000,0x04010000,0x003ffd40,0xff801fa8,
    0x7ffdc04f,0x802f9800,0xffb00100,0x300fd405,0x02f8807f,0x3fbe2000,
    0x05ff704f,0x7dc03ffc,0x0d41104f,0x0006f880,0x3fee0000,0x000001ff,
    0x03ffd400,0xc801fa80,0x7fc406ff,0x007b802f,0x5ff98000,0x1aa01b60,
    0x80000d90,0x704ffaed,0x3ffc05ff,0x0027fd40,0x001fdc00,0xdbd00000,
    0x00000bff,0x07ffa800,0x3003f500,0xfd803fff,0x004e805f,0x3ffd0000,
    0x0a005f10,0x000bef88,0xff98fb80,0x405ff704,0xff9807ff,0xfe800004,
    0x15773001,0xaafa8000,0x80000fff,0x5000abb9,0x2a000fff,0x9ffd001f,
    0x00fffd80,0xa98007e6,0xf5000abc,0x000f90bf,0x3bfffee0,0x27f10003,
    0xff704ff9,0x403ffc05,0x00004ff9,0x7e4037c4,0x00dffdce,0x7ffcdb00,
    0x3bf20003,0x400dffdc,0x50007ffa,0x3fee003f,0x3fffe207,0x4401f203,
    0x2fffedfd,0xf83ffd00,0x102b8804,0xdfffffff,0x265e8003,0x5ff704ff,
    0x4c03ffc0,0x400004ff,0x0fec03fb,0x0007bfa6,0x3ffe47f1,0x4c1fd800,
    0x3ea01efe,0x3f50007f,0x07ffe600,0x037fefd4,0x19f3009d,0x401fffcc,
    0x07ea5ffa,0x104ffc98,0xfffffb97,0x83f2007f,0xff704ff9,0x403ffc05,
    0x00004ff9,0x7f900ff4,0x003ffe60,0x3fe20fc8,0x1fe4002f,0x500fff98,
    0x2a000fff,0x3ffa001f,0xfff5db04,0x8803f301,0x1fff306f,0x361ffd00,
    0x3fffb206,0x3ffa6004,0x17cc03ff,0x7dc13fe6,0x01ffe02f,0x00013fe6,
    0x3ee06f88,0x027fec07,0xffd84f88,0x01fee005,0x3ea09ffb,0x3f50007f,
    0x43ffdc00,0x07fff3f8,0x07f900f9,0x5c027ff4,0x802f8cff,0xc8004ffb,
    0xd100ffff,0x209ff309,0x3fe02ffb,0x04ff9807,0x80fee000,0x7fcc06fe,
    0x80fb801f,0xd001fffa,0xfff980df,0x007ffa81,0x44003f50,0x87dc2fff,
    0x04f86ffc,0xfb007fc4,0x3ffe00bf,0x9ff3007d,0x3ffea000,0x3e60d905,
    0x07ff704f,0x7cc03ffc,0x3a00004f,0x09ff101f,0xd007ffd0,0x027ff40b,
    0x74027fc4,0x7ffa83ff,0x003f5000,0x2f45ffd8,0x7cc3fff3,0x7fffcc01,
    0xffffffff,0x9fff7007,0x013fe600,0xa86ff980,0x09ff301f,0x7e413fee,
    0x3e602a7f,0x4003304f,0x3fea06f8,0x04ffd803,0xff7017cc,0x3ffa801f,
    0x984ffd80,0xf50007ff,0xfffa8003,0xffe85f10,0x3ea01b24,0xf8800006,
    0xff3000ff,0xffd80009,0xf980fe20,0x3fff704f,0x87ff66c4,0x709ff305,
    0x3ee009ff,0x013ff204,0xfb017ff2,0x75555555,0xfc807fff,0x5ffc804f,
    0x000fff98,0x44000fa8,0x81f72fff,0x013e7ffb,0x00001ff2,0xf3002fdc,
    0xf980009f,0xf301b61f,0x3fff209f,0xff93feef,0x3fe6079b,0x007ffd84,
    0x7fec03fb,0x04ffb805,0x3fffffe2,0x6fffffff,0x402ffec0,0xff984ffb,
    0x0fb8000f,0xd5ffd800,0x33fff30b,0x1ff9003f,0x5f300000,0x027fcc00,
    0xfa9fe200,0xeeeeeeee,0x24eefffe,0x2efffddc,0x403bffa6,0xffb84ff9,
    0x406f8804,0xfb805ffc,0x003f202f,0xc807ffe6,0xffb805ff,0x01fff882,
    0x50007c80,0x205f3fff,0x006ccffe,0x02007ff7,0x4c007c80,0xf80004ff,
    0x3ffffee6,0xffffffff,0x54d766ff,0xf3006a01,0x400a609f,0x7fd404fa,
    0x07fe400f,0x7f4009f0,0x3ffea05f,0x807fe400,0xd8003fff,0x3ffe0006,
    0x3ffee07e,0xfff3003f,0x20068801,0x7fcc004f,0x27cc0004,0x99999993,
    0x99dffb99,0x00003747,0x00013fe6,0xff1007f6,0x06fd807f,0xfa8003ea,
    0xfff100ff,0x206fd807,0x44006ffd,0x3f20004f,0x3fe204ff,0xff1001ff,
    0x004d809f,0xf98001f7,0x7dc0004f,0x4ff98000,0x80000ff0,0x40004ff9,
    0xff7006f8,0x202ff80d,0xfff8005e,0x01bfee04,0x7fcc05ff,0x1fd1000f,
    0x7ffcc000,0x037fec01,0x417fff20,0x4f8801fa,0x04ff9800,0x005f3002,
    0x2613fe60,0x200001ff,0x40004ff9,0xfd1004fa,0x80fee09f,0xfd8003fa,
    0xffd100ff,0x200fee09,0x4401effc,0xe80003fe,0x3ffb807f,0x7fffc400,
    0x83ffcbce,0x06d9acd9,0x20bff300,0x4e980dfe,0x13fe6000,0x0000bfea,
    0x0004ff98,0xd1000fec,0x27d417ff,0x20003fa0,0x2204fffb,0x3ea0bffe,
    0x3fff2004,0xffb730ab,0x3f200007,0x00ff8804,0xfffff980,0xffd05fff,
    0x20001fff,0xff886ffa,0x2fdbbeff,0x27fcc000,0x0001ffe4,0x000bff50,
    0xc80037c4,0x03dfefff,0x000fff62,0x02fffff2,0xdfefffc8,0xffda8003,
    0x1dffffff,0x07e60000,0x100036c0,0x07fffffb,0x017fffe4,0x01fff900,
    0x9dffffd5,0xff300001,0x005ff709,0x077fe400,0x001a8800,0x5c0154c0,
    0x04ffffff,0xffffffc8,0x154c03ff,0xbaa88000,0x000009ab,0x014c0070,
    0x04d54400,0x000b6e20,0xeffffeb8,0x001a880d,0x84ff9800,0x980003c8,
    0xefffffee,0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x06a62000,0x3ffffee0,0x6400efff,
    0x04ffffff,0x350de5cc,0x7730aa00,0x73055003,0xfffea801,0xd55fffff,
    0x005fffff,0x7fffff64,0x2f2a603e,0x30550000,0x1f6d4005,0x7fff4c48,
    0xffffffff,0x40ffffff,0xffffffe9,0xbcdeefff,0x02ee2001,0x3ffff620,
    0xfffb804f,0x362000ef,0x3ea01dff,0xfedffddf,0x53ff2203,0x0dffffe8,
    0x7d47ff90,0x3ff2005f,0xff9102ef,0xe98003ff,0x3f6201ef,0xcccefdad,
    0x7ff900bc,0x6c027fdc,0x2a2effff,0xbfff7103,0x95555555,0x32203ffb,
    0xbbcdefff,0x0cffffec,0x2027fe40,0xfffffffa,0x7fe400ef,0xff98003f,
    0x360ff200,0xfd903fff,0xfffd19ff,0x3fa0dfff,0x01fff25f,0x804fff88,
    0x000efffb,0xff1017dc,0xfffff983,0x4bffd02f,0x74c06ffd,0xceffffba,
    0x1fffc01f,0x2201fa80,0x7dc03fff,0x3fa02fff,0x3bfe206f,0x6fffebac,
    0x02fffc40,0xfb01fd40,0x01fff407,0x42f73ff2,0xa83fffd9,0x0ffe62ff,
    0x007fff00,0x0017fff6,0x2fec03f5,0xb801ffc8,0x0ffe61ff,0x7fe44550,
    0xffe804ff,0xf00ba003,0xfd3007ff,0x3fea05ff,0x6407f602,0x7e403fff,
    0x36c000ff,0xfc80ff50,0x7ffd403f,0x01fffd02,0x20002011,0xfb002fff,
    0x54009fff,0x09ff300f,0x04013fe6,0x30130010,0x3fa00597,0x00ae003f,
    0x74007fff,0x00101fff,0x6ffe805f,0x017ffcc0,0x7f407f10,0x01ffdc03,
    0xfa813fea,0x000002ff,0xb002fff8,0x005fffdd,0x7fdc03ea,0x00dff103,
    0x00000000,0x4007ffd0,0x1fffc008,0x0ffff300,0x26016600,0xffd807ff,
    0x403ee006,0x7dc02ff9,0x27fd403f,0x000fffa0,0x0bffe000,0x7ffc6ec0,
    0x00fa801f,0x7fc09ff7,0x00000007,0x3ffe8000,0x7ffc0000,0x7ffe4003,
    0x80098003,0xfa807ff8,0x0bd001ff,0x2e00ffdc,0x7fd403ff,0x82ffe404,
    0x0009bcba,0x2005fff0,0x1dfff35d,0xf300fa80,0x437fc0bf,0x98099999,
    0x75001999,0x74001379,0x009803ff,0x8007fff0,0x0006fff8,0x802ffc00,
    0xfa805ffe,0x007ff202,0xfa807ff7,0x2ffdc04f,0x3ff37faa,0xfff8005f,
    0x7dcbb002,0x07d406ff,0xf101fff0,0xfffb909f,0xffffd88b,0x337faa01,
    0xfd005fff,0x0039007f,0x2000fffe,0x0001fffe,0x007ff100,0xb003ffee,
    0x01ffd80d,0x2a01ffdc,0x7fd404ff,0xf707fe64,0xfff8009f,0xfc8bb002,
    0x03ea04ff,0xfc84ffa8,0x02ffdc06,0x3e603fff,0x027fdc1f,0x2201fff4,
    0x7fff001f,0x5fffb000,0x3ea00000,0xfff1001f,0x201fc409,0x7dc02ffd,
    0x27fd403f,0xfe8ffea0,0x800fff06,0xbb002fff,0x207fffd0,0x7fcc00fa,
    0x00dfd99e,0xfb02ffcc,0x41bfa03f,0xffe807ff,0xa999999c,0x333101fe,
    0x33339fff,0x3fee0133,0x7000003f,0xffc8009f,0x7003ee07,0xffb809ff,
    0x027fd403,0x6ff8bfee,0x4001ffd0,0xbb002fff,0x03fffd10,0xbe8801f5,
    0x3001bddc,0x7fe40bff,0x3a0dff01,0x7ff400ff,0xffffffff,0xfff501ff,
    0xffffffff,0x3fea05ff,0x8800004f,0x7cc000ff,0x00bf02ff,0x5c01fff5,
    0x7fd403ff,0x907fe405,0x03ff607f,0x002fff80,0x3ffe60bb,0x1007d40f,
    0xf980005d,0x07ff205f,0xffd81fe4,0x4e7ff400,0xfea99999,0x07fff001,
    0x09fff500,0x07f90000,0x21bff600,0xfff001fa,0x7ffd101b,0x405ffa80,
    0x3aa003ff,0x3fe000ff,0x40bb002f,0x7d46fffa,0x0003fa00,0x640bff30,
    0xea8001ff,0x7ff400ff,0x800fc403,0xb8003fff,0x02a22fff,0x005f8800,
    0xb07ffea0,0x7ffdc00d,0xfdea88ae,0x7ffd403f,0x300df701,0x01ffdbf9,
    0x8017ffc0,0x7ffe405d,0x7cc03ea5,0xaaaaacef,0x2ffcc009,0x2003ff90,
    0x0ffedfc9,0x401fff40,0x7fff001d,0x3fffb000,0x0013ffe2,0x7400036c,
    0x00fe25ff,0xffffffb0,0x807ff73f,0x540efffa,0x3f6601ef,0x001ffb0c,
    0xd8017ffc,0x3fffd805,0x3fe201f5,0xffffffff,0xbff301df,0x200ffe40,
    0xffb0cfd9,0x03ffe801,0xfff000a8,0xfffd0007,0x03fffea1,0x0001d900,
    0x321fff70,0xffb8000f,0x7ff70eff,0xfcdffa80,0x200dfece,0x7fec1efa,
    0x0bffe000,0x74402ec0,0x00faafff,0x3fffffe6,0x82ffffff,0x3f205ff9,
    0x07bea01f,0xfe801ffb,0x7c00003f,0x7c4003ff,0x3ffe26ff,0x07ee003f,
    0x7ffc4000,0x440009f4,0x1ffdc0aa,0x5453fea0,0x77dc009a,0x000ffd80,
    0x6c007ffe,0xffff1005,0x8b5401f7,0xdcbaaa99,0x05ff985f,0x7dc07ff2,
    0x00ffd80e,0x0001fff4,0x000fffe0,0xa883fff9,0x3f5004d8,0xffc80000,
    0x00001fbf,0xa807ff70,0xf98004ff,0x01ffb03f,0x8007ffc0,0x3fea005d,
    0x1f300fff,0x2607e400,0x3ff205ff,0xb03ff981,0xffe801ff,0xf00d8003,
    0x7cc007ff,0x00fc04ff,0x00000fcc,0x037fffcc,0x7ff70000,0x004ffa80,
    0xfb02ffb8,0x3ffc003f,0xb800bb00,0xe880ffff,0x443cc005,0x3ff205ff,
    0xb02ffb81,0xffe803ff,0xf02dc003,0x7ec007ff,0x01aa00ff,0x06600be6,
    0x0ffff600,0xffb80000,0x027fd403,0xe827fe40,0x43eb81ff,0x1ba005ff,
    0x03fff600,0x99001bf2,0x7cc1ffe0,0x4ffc82ff,0xe803ffd0,0x3e2004ff,
    0x00fffe02,0x80bfff62,0x17d403e8,0x400074c0,0x0000fffa,0x00ffee00,
    0x30009ff5,0x7f4c3fff,0xff158aff,0x003fe23f,0xfd0006e8,0x19ffb01f,
    0x3a06c880,0x7ef5c3ff,0x1fff984f,0x22bfffa6,0x009fff05,0xff881fa6,
    0x7ffd403f,0x00bea00d,0x99999df5,0x00dfddb9,0x00027f40,0x013ff200,
    0x2000bff7,0x9efefffe,0x3a1ffffb,0x02fa8eff,0x000bfee0,0x3e203fe2,
    0xaaacdfff,0x2600dfcb,0x8efdffff,0x744efffc,0xb9efefff,0xfa81ffff,
    0xaaaabfff,0x05ffcbaa,0x79dfff91,0xfffdb755,0x400ca805,0xfffffffa,
    0x03ffffff,0x0007ee00,0xeffe9800,0x5fffd301,0xfff93000,0x07bfe619,
    0x05bdfff5,0xfffff910,0x7cc0019f,0xffffb300,0x005dffff,0xc97fffee,
    0xfc980bff,0xdff30cff,0x7fff6443,0xffffffff,0x4c2fffff,0xfffffffd,
    0x9abcefff,0xff100000,0xffffffff,0x0001ffff,0x800001c4,0xeeeeeee8,
    0x3bbbba26,0x88001eee,0x17300201,0x80000000,0x6e5cc009,0x50001acd,
    0x10029815,0x00000403,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7fff4c00,
    0xeeffffff,0xd5001bcd,0xffffffff,0xffffffff,0x3ffffa65,0xed85efff,
    0xefffffff,0xfffffd11,0x3aa1dfff,0xefffffff,0x7ffff544,0xffe81eff,
    0xfe85ffff,0x6d406fff,0xfd50902e,0xdfffffff,0x154017bd,0x3ffa614c,
    0xeeffffff,0x26000ace,0xfffffffe,0xffd3004e,0x7dffffff,0x3ff22000,
    0xedbbceff,0x000cffff,0x5559fff9,0x5ffd9755,0x01ffff90,0x09ffff30,
    0x0bffffa8,0x03bfff20,0x019fff70,0x00efff98,0xfb00bfe6,0x1d45dfff,
    0xbdfff910,0x07ffffb9,0x7fd47ff9,0xefffc885,0xeffecbbc,0xfffc8001,
    0xf710001f,0x00005fff,0x700fffe2,0x1005ffff,0xf9005fff,0x09fff107,
    0x007ffe40,0x44037ff4,0xfc804fff,0x3ff2002f,0x2027cc06,0xffffbae9,
    0x7c401fce,0xfffa82ff,0xc97ffa0d,0xfff107ff,0x13fff205,0x09fff100,
    0x0bfff000,0x3fff8000,0x3fffe980,0x017ffc40,0x7fff03e8,0x03ffdc00,
    0xf005ffd8,0xef9807ff,0x1fff8000,0x37003f20,0x1ffffe44,0x702fff80,
    0x7fd4bfff,0xf80ffe62,0x3ff202ff,0x7ffc001f,0xffe80003,0x7fc00004,
    0x3ffa003f,0x17ffc01f,0xfff03a80,0x3ffdc005,0x005ffd80,0x7cc05fff,
    0xff90000e,0x1401fc09,0x2002cb98,0x3f602fff,0x040220ff,0x880bffe0,
    0x7c004fff,0xe80002ff,0x400004ff,0x26003fff,0x3e00ffff,0x406002ff,
    0x2e002fff,0xff9007ff,0x0bffe00b,0x000077c4,0xf701fff1,0x00000001,
    0x7dc05fff,0xf00002ff,0xffe805ff,0x67ffc007,0x4001aaaa,0x00003ffe,
    0x2001fffc,0x3e03fffd,0xf80002ff,0x3ee002ff,0xbff9007f,0x20bffe00,
    0x80000ef9,0x04e83ffd,0xff000000,0x7ffd405f,0xfff00005,0x1fffd805,
    0x3fbffe00,0x01cfffff,0x0003ffe8,0x001fffc0,0xf81bffe2,0x006202ff,
    0xb800bffe,0xff9007ff,0x0bffe00b,0x00001df3,0x3f31bfe6,0x2a21d400,
    0x3ffe001b,0x13ffe602,0xff8015c4,0x3fff402f,0x50bffe00,0xe805fffd,
    0x400003ff,0xe8003fff,0xfff01fff,0x7c01dc05,0x3ee002ff,0xbff9007f,
    0x98bffe00,0x400000ef,0x01762ffe,0xfc9bff22,0xff006fff,0x7ffd405f,
    0x027fe4c3,0x2202fff8,0x7c005fff,0xfffd02ff,0x01fff405,0x0fffe000,
    0x0bfff600,0x7d017ffc,0x005fff00,0xc803ffdc,0xfff005ff,0x0003bea5,
    0x457fea00,0x7ff5c02f,0xffbbfb6f,0x5fff007f,0x90fffec0,0x2009fffd,
    0x3fa02fff,0x7fc001ff,0xffff102f,0x001fff40,0x00fffe00,0x40fffee0,
    0x9999bfff,0xff803fdb,0x3fee002f,0x0bff9007,0x3eabffe0,0x2000000f,
    0x006b8fff,0x50f7bfea,0xff801fff,0x7fff502f,0x4013fee0,0xfd982fff,
    0xff8002ff,0x3fff602f,0x007ffd01,0x03fff800,0x04fffa80,0xffffffff,
    0xff007fff,0xdddddddf,0xfffddddd,0x017ff200,0x7ffefffc,0x32000004,
    0x2003fcff,0xfd01fff8,0x3fff803f,0x02fffe44,0x3e009ff3,0xfdca9bff,
    0xf0000cff,0x7fdc05ff,0x07ffd03f,0x3fff8000,0x4fffa800,0x3337fff0,
    0xf007fb53,0x555559ff,0xffb55555,0x17ff200f,0x7fe7ffc0,0x7c0004ff,
    0xffffffff,0xffffffff,0x206ff887,0x7fc01ffd,0xfffeffef,0x27fcc01d,
    0xeeefff80,0x80005fff,0x3ee02fff,0x7ffd04ff,0xfff80000,0xfffb8003,
    0x405fff03,0x2fff803c,0x01ffee00,0xf802ffe4,0xffff9aff,0x2aaa0004,
    0xdffdaaaa,0x82aaaaaa,0x3ee06ff8,0x97ffc02f,0x26000998,0xfff004ff,
    0x00fffe45,0x80bffe00,0xfd02fffd,0xf800007f,0xfc8003ff,0x5fff01ff,
    0x7fc01d40,0x3fee002f,0x0bff9007,0x7ccbffe0,0x00004fff,0x8003ffb8,
    0x3fee06ff,0x017ffc03,0x013fe600,0x3fa17ffc,0x7fc0006f,0x3fffe02f,
    0x007ffd00,0x03fff800,0x00fffe80,0x14405fff,0x0017ffc0,0x3200fff7,
    0xfff005ff,0x27fffcc5,0x3fee0000,0x06ff8003,0xff00ffee,0xf980005f,
    0x5fff004f,0x004fff88,0x6c0bffe0,0x3fa03fff,0x7c00003f,0x7c4003ff,
    0x3ffe06ff,0xfff80002,0x1ffee002,0x802ffe40,0x7fc42fff,0x554004ff,
    0xffdaaaaa,0x2aaaaaad,0x7dc0dff0,0x17ffc03f,0x13fe6000,0x5417ffc0,
    0xf0002fff,0xffe885ff,0x1fff405f,0x3ffe0000,0x7ffe4003,0x00bffe02,
    0x00bffe00,0x9007ffb8,0x3fe00bff,0xffff882f,0x3bbb6004,0xeeffeeee,
    0xf06eeeee,0x1ffdc0df,0x000bffe0,0x2009ff30,0xffb02fff,0xfff0001f,
    0xdffffd9b,0x07ffd005,0x3fe01300,0x3fe6003f,0x17ffc05f,0x17ffc000,
    0x00fff700,0x7c017ff2,0xffd102ff,0xf700009f,0xdff0007f,0x201ffdc0,
    0x40002fff,0xff004ff9,0x3ffa205f,0xdfff8005,0x000bcccc,0x2000fffa,
    0x00fffe06,0x400fffd8,0x80002fff,0x2e002fff,0xffb007ff,0x0bffe00b,
    0x04fffe88,0x01ffdc00,0xf7037fc0,0x2fff807f,0x27fcc000,0x202fff80,
    0x4003fff9,0x80002fff,0x5c003ffe,0x00fffe04,0x00bfff62,0x0000fffe,
    0xb800fffe,0xffb007ff,0x0fffe00b,0x0bffff10,0x01ffdc00,0xb81bfe20,
    0x7ffc03ff,0x7fcc0003,0x07fff005,0x002fffb8,0x0000fffe,0x88013ffa,
    0x7fff102f,0x0dfffa80,0x03fff880,0x27ffc400,0x01fff900,0x100dffd0,
    0xf3009fff,0x0001bfff,0x98009ff7,0x3fee07ff,0x0fffe204,0x0dff5000,
    0x009fff10,0x1003fffb,0x00009fff,0x2a00dfff,0xfff9107f,0xdb73579d,
    0x22005fff,0x000efffc,0x1dfff910,0x7fffd300,0x1ffffa80,0x3bfff220,
    0x7fffcc00,0xd1001bff,0x5c001dff,0xffd01fff,0x3fff220b,0x3f20001e,
    0x3f2200ff,0x7c401eff,0x9101cfff,0x0001dfff,0x37ffff22,0xeccccccc,
    0x7fecc5ff,0xffffffff,0x3001abce,0xfffffffb,0x3f66007b,0x3dffffff,
    0xfffffeb8,0x3ff21cef,0x0cefffff,0xffffffb3,0xfffb07bf,0x3dffffff,
    0x3ffffaa0,0x3aa02eff,0xb1efffff,0x29dffffd,0xffffffd9,0x3ae003ef,
    0x20deffff,0xffffffd9,0x3fea03ef,0xfb31ffff,0x7dffffff,0x3fff2200,
    0xffffffff,0x02ffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80000000,0xffffffff,0xffffffff,
    0x3fffee3f,0x203effff,0xeffffffc,0xffffff33,0xd309ffff,0x1dffffff,
    0x3fffffaa,0xffc80004,0x4001efff,0xffffffeb,0xffffffff,0xfea87fff,
    0xffffffff,0x400bccee,0xfffffffc,0xffffffff,0x54406fff,0x03000acb,
    0x66666664,0xcccccccc,0x32ea04cc,0x3fe0009b,0xccccccdf,0x85fffdcc,
    0x1fffffc8,0x0bfff600,0x7ffffe4c,0xcfff8805,0x3ffff600,0x3fe20000,
    0x40000cff,0xbfffefe8,0xdbaaaaaa,0x3ff2207f,0xdba9abdf,0xfb00dfff,
    0xfd999bdf,0xfd9999df,0x37f620ff,0x4403ffec,0x20001206,0xfcdfea83,
    0x5f8805ff,0x03fffa00,0x006fffb8,0x4c007fdc,0xd003ffff,0xfff3005f,
    0x7dc0007f,0x00000fff,0x01fff5fb,0xff880f70,0x3ff6203f,0x902fd81f,
    0x1fe20bff,0xffb03ba6,0x09036409,0xff987000,0x2027fdc1,0x3ff20078,
    0xfffd802f,0x007fa001,0x807fffa8,0xff1003fb,0x7c000dff,0x00007fff,
    0x03ffe73e,0x3fe007c0,0xfffd803f,0xff9016c0,0x7f43c40b,0x80fff980,
    0x001206f9,0x20dfd0e0,0x02cc07ff,0x005fff98,0x200dfff1,0xfc8004f9,
    0x13e603ff,0x5fffbf00,0xffbf5000,0x3ee0000f,0x000fff98,0x3fff8019,
    0x44fff880,0x17ff200e,0x027e41d0,0xff883fff,0x20001206,0xfe837fc3,
    0x200aa00f,0x000effe8,0x200fffee,0x3f60006d,0x06e881ff,0x6ffdbf80,
    0xffaee800,0x29d00007,0x1000fff9,0x03fff801,0x038dffd0,0x2a02ffe4,
    0x4c05ff10,0x77ff4c3c,0x00120999,0x207f90e0,0x80000ffd,0x8001fffc,
    0x2e00fffe,0x3e20001f,0x00fd86ff,0xfff9bf80,0x2abea002,0xb80007ff,
    0x01fff30f,0x1fffc000,0x007ffd80,0x5002ffe4,0xfb8003ff,0x4fffffff,
    0x00e00012,0x000ffea8,0x027ffd40,0x05fff880,0x700009f1,0x0fe47fff,
    0xffd3f800,0xfab6c00b,0x4f80007f,0x5003ffe6,0x01fffc00,0x4004fff8,
    0x2e005ffc,0xf10000ff,0x000240df,0x37f2601c,0x20000ffe,0x0006fff8,
    0x6c17ffdc,0xfb00000f,0x007f53ff,0xfffa9fc0,0xf53f9801,0xfb8000ff,
    0x003ffe60,0x3ffe001d,0x2fff9803,0x02ffe400,0x0003ffb0,0x0481bfe2,
    0xfb303800,0x003ff619,0x01fffd80,0x0fffe800,0x80000bea,0x05fefff8,
    0xffd1fc00,0x2a1fb00b,0x220007ff,0x07ffcc3f,0x3e001f30,0x7fcc03ff,
    0xffc8006f,0x0bff6005,0x037fc400,0x50700009,0x0ffd83df,0x7fff7000,
    0x3fe60000,0x000bd15f,0x1dfff500,0x2a3f8000,0x3e200fff,0x001ffea4,
    0x7fcc0fc8,0xb999999f,0xfff000fe,0xfff73107,0x3ff20009,0x13fee005,
    0x1bfe2040,0x43800048,0xffd80efb,0xfff98000,0x7dc00005,0x000fcaff,
    0x3fffb000,0x7c3f8000,0x83f204ff,0x10007ffa,0xffff307f,0xffffffff,
    0x3fffe001,0xffffffff,0x3f20001f,0x3fea005f,0x2224c00f,0x001206ff,
    0x03ff98e0,0xd0001ffb,0x00001fff,0x07ffffd0,0x7fdc0000,0x1fc0006f,
    0x2203ffee,0x03ffd44f,0xff307c80,0x5333333f,0x3fe001fd,0xecbaaacf,
    0x000cffff,0x2005ffc8,0x7403fff9,0x9037fc41,0x7dc70000,0x03ffb02f,
    0x02fffc80,0xfff30000,0x4c00000d,0x004fffef,0xfff10fe0,0xfa83f707,
    0xef88007f,0xffdccccc,0x003e200f,0x3201fffc,0x4002ffff,0x64005ffc,
    0x6c883fff,0x1206ff88,0xffc8e000,0x003ffd04,0x002fffcc,0x13ff6000,
    0xaf440000,0x0001fffd,0x0fff907f,0x0fff50bf,0xddddfb00,0x01fffddd,
    0xfff000e8,0xffff7007,0x2ffe4001,0x3fffe200,0x81ffdabd,0x01206ff8,
    0xfff98e00,0x2bfffa61,0x7ff44058,0x4000000f,0x00004ffd,0x3fe21db0,
    0x07f0006f,0x7d47fff1,0x007ffa81,0xff3017cc,0x2002801f,0xf9003fff,
    0x7e400bff,0xffa8005f,0x03ffffff,0x0240dff1,0x3ffa1c00,0xffb9efef,
    0x7fe401ff,0x8000001f,0x00004ffd,0x7fdc1fc8,0x03f8004f,0x8374dff9,
    0x6c007ffa,0x07ffcc06,0x7fff0000,0x1fffea00,0x005ffc80,0xdffffd10,
    0x037fc403,0x98700009,0xf30cfffc,0xffa803df,0x000c004f,0x0004ffd8,
    0xfd81fd40,0x1fc001ff,0xfaafff98,0x00fff502,0x3e600fcc,0x200000ff,
    0xf1003fff,0x7e400fff,0x5c40005f,0x6ff8801e,0x0e000120,0x100100c4,
    0xb000dfff,0x13ff6000,0x05f98000,0x001bffe2,0x77fec07f,0x1ffea06d,
    0xf9805e80,0x02c000ff,0x22007fff,0x32005fff,0xe80005ff,0x8fff001e,
    0x0e000120,0xffd80000,0x02cc001f,0x004ffd80,0x700dd100,0x7c009fff,
    0x3fffe603,0x01ffea03,0x7cc00fd4,0x132000ff,0x5003fff8,0x64007fff,
    0x4c0005ff,0xfe801fff,0x0024932f,0x777731c0,0x20037777,0x8003fffb,
    0xffd0004e,0xfd100009,0x3fffa001,0xe809f002,0x3ee00fff,0x05f8807f,
    0x001fff50,0xfff80be6,0xfffe8803,0x17ff2000,0x13fe2000,0x1bbfff20,
    0x5c700009,0xffffffff,0x6fff8803,0x017e4400,0x005ffe80,0x0027f440,
    0x803ffff5,0x7fd404f8,0x07ffdc04,0x5400bf20,0xea801fff,0x0fffe207,
    0x03dffd30,0x006ffd80,0x2003ff00,0x0241dffd,0xfff71c00,0x007fffff,
    0x5559fffd,0x97555555,0x70003fff,0x0003ffff,0x8017ffea,0x0afffffb,
    0x401ffc88,0x3fa600fe,0x3fee03ff,0xfffd9805,0xcaaaaaad,0xf9105ffd,
    0x53579dff,0x01bfffb7,0x2ffffa80,0x1bf22000,0x33a01100,0xcccccccc,
    0x6ccccccc,0x26666662,0x7fdc0099,0xffffffff,0xffffffff,0x3ff22007,
    0x04efffff,0xffffff70,0x7ff5409f,0x33ffffff,0x9dfffffb,0x7f5c12e0,
    0x1dffffff,0xbfffffd3,0xfffffb70,0xffffffff,0xfd985fff,0xffffffff,
    0x02cdefff,0x7ffffe40,0x2000cfff,0x00002dec,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x000d4000,0x80010000,0x54400029,0x53000acb,0x88001579,
    0x7300a202,0x00cc0157,0x79510000,0x4ccc5115,0x99998099,0x33333101,
    0x33331013,0x26666621,0x26666621,0x4cccc419,0x14400000,0x13a000cc,
    0x565c4000,0x90007c41,0x3f62000d,0x203ffecd,0xfffedfd8,0xe80fa002,
    0xfb9df902,0x5df501bf,0xdfb80000,0x324fffdb,0x6c45fffd,0xea81ffff,
    0xa83effff,0xff73effc,0x7f5c9fff,0x6cc4efff,0x00003fff,0x7ed49fb3,
    0x00274004,0x3fb37b20,0x003e88df,0x74c00364,0x427fec0e,0x3fe60cf9,
    0x206c803f,0x983fb06d,0xfd981efe,0x540000cf,0x427e442f,0x3fe05ffb,
    0x3fff601f,0x2207ec00,0xffb04fff,0x001fd80d,0x22efea80,0x4004fea9,
    0x3f20004e,0x277ffc42,0x40036400,0xfff980fe,0x7cc1be20,0x0bee00ff,
    0x1fe417e4,0x100fff98,0x00039ff9,0x984e81fe,0x3ff605ff,0x03ffe201,
    0x3fee07f0,0x80dff105,0x3220004e,0x3f201cff,0x00274004,0xff303fb8,
    0x0d90003f,0x3e04fc80,0x80ff21ff,0xdf304ffe,0x3ee1bea0,0x027fec07,
    0x00bbfee2,0x9700ff88,0x640bff30,0x7fe401ff,0xff01ea03,0x80ffec0f,
    0xd98000f9,0xfb800bff,0x00274004,0xfd007fd4,0x0d9000bf,0x3017fc40,
    0x007fc479,0xff10bffb,0xd05ff305,0xfff980df,0x7dfd5001,0x0dff8801,
    0x5ff98388,0x1007ff20,0x026c0dff,0x7d40bff2,0x800b904f,0x4002efea,
    0x274004fb,0x9037f400,0x8003fffd,0x3fea006c,0x7ffcc001,0xffffffff,
    0x437f447f,0xff886ff8,0x03ffe804,0x067fecc0,0x005fffb0,0xfc817fe6,
    0x2ffd801f,0x7cc00f88,0x1fff905f,0xf71005f0,0x2e0003bf,0x0274004f,
    0x5c17fe20,0x003fff8e,0xff700364,0x06fa8001,0x10bff600,0xff505ffd,
    0x09ffb007,0x37ff2200,0xeffffa81,0x02ffcc02,0xf5003ff9,0x200b90bf,
    0x6fc40ffe,0x203d43ff,0x000cffc9,0x20027dc0,0x7fd4004e,0xffb0fb84,
    0x006c8009,0x90007ff6,0x3f2000ff,0x06ffd86f,0xf9009ff9,0xd70000bf,
    0xfffa85df,0xff300dff,0x00ffe40b,0x17c0ffe8,0x643ffb80,0x26c6ff8d,
    0x00befd88,0x5c9f7000,0xeeeeeeee,0xeeeeeeff,0x17ff22ee,0x37fe43f5,
    0xddddddd3,0xdddddfdd,0x3ff67ddd,0x07fe4002,0x43ffd400,0xffb07ffb,
    0x09ff700b,0x5ffb3000,0xfffff910,0x40bff303,0xf7001ffc,0x1003549f,
    0xd8fc4dff,0x203f11ff,0x000bffd8,0x75c9f700,0xfeeeeeee,0xeeeeeeef,
    0x99bff22e,0x327fdc2f,0xdddddddd,0xddddddfd,0x13fee7dd,0x03ffb840,
    0x83ffb810,0xffc83ffc,0x02ffb805,0x0bbfaa00,0x3ffff660,0x902ffcc0,
    0x3e2003ff,0xb000f67f,0xfa9ae3ff,0x9300d74f,0x800039ff,0x274004fb,
    0x4dffee00,0x02ffb82f,0xf5003640,0x349801ff,0x68801fff,0xfd80ffd8,
    0x07ffd40f,0x0003ff20,0x203bff71,0x5fff5018,0x3205ff98,0x3f2001ff,
    0x4000f9af,0xf85f4ffa,0x44007d7f,0x0002dffb,0x4e8009f7,0x4fffcc00,
    0x03ff703e,0x26006c80,0x8f403fff,0x6c04fff8,0xd107fd04,0x3fff887f,
    0x30037ec0,0x88019ff9,0x117fee05,0x7fe40bff,0x3bfe6001,0xfff0005c,
    0xf9ff90d7,0x3faa0001,0xea8800be,0x9d000aef,0x9fffd000,0x4003fe40,
    0x7fe4006c,0x646c883f,0x3f505fff,0x2603fe20,0x37fdc0ff,0x2a00bfe0,
    0x22003efd,0x09ff100f,0x3fe60fff,0x7ff4002f,0xff90001f,0x9fff307f,
    0xffb30000,0x4ccc4019,0x09d00099,0x80fff500,0x6c8002fe,0x7fffc400,
    0x41ffdabd,0xbceffff8,0x7cc03ffc,0xe889f504,0x07f704ff,0x016ff5c4,
    0xf882fc40,0x43ffe82f,0x004ffdeb,0x00037fd4,0x7f40fff1,0x2200001f,
    0x0001dffc,0xf0004e80,0x13ea09ff,0x40036400,0xfffffffa,0xffff303f,
    0x200bffff,0x81f700fa,0x2a0bffe8,0x9ff9104f,0x7fc40001,0x9827dc2d,
    0x8efdffff,0x004efffc,0xb0000ffe,0x037d407f,0xfeb88000,0x3a00002e,
    0xfeec8004,0x017ea0bf,0x10006c80,0x03dffffd,0xfffffd88,0x90264003,
    0x3bfff209,0x7df303df,0xdf100001,0x07ff9dff,0x25ffffb8,0x4000bffc,
    0x540000fc,0x001fc00f,0x27ed4000,0x004e8000,0xfffb875c,0x40003dfe,
    0x5440006c,0x5544001a,0x80100009,0x40154c00,0x08000029,0x80026aa6,
    0x0014c0aa,0x20000510,0x00009802,0x200a6000,0xfffffffc,0xffffffff,
    0x81d13fff,0x0000aa98,0x00000d90,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xca800000,0xcccccccc,0xcccccccc,0x0000001c,
    0x00000750,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00c00000,0x3004c300,0xbca98001,0x0acb980a,
    0x99999988,0x02666621,0x1ba88750,0x1750ea00,0x33333330,0x01333333,
    0x0395112a,0x0000ddc4,0x00000000,0x4c000bb1,0x000a0001,0x1fcc00cc,
    0x70af72e6,0x5403aa3f,0x79fd3006,0x3fea7ffd,0x6d44fffd,0x2a4fffff,
    0xc884fffe,0x3fff26ff,0x3ff2206f,0x88dfff36,0xffffffff,0x222fffff,
    0x3fee7ffb,0x3fa21fff,0x13606fff,0x7400ea80,0x3ee0000e,0x7f5c002f,
    0x7cc004ef,0x3ffee002,0x4dfdc03f,0xeffddffd,0x02f43fb9,0x1ffa80bd,
    0x11feffec,0xff309ff9,0x20bf50df,0xfb6fffeb,0x707fffbb,0xdd1dfffd,
    0x6fc41fff,0x4bffd019,0xdb7fffeb,0x26dfff99,0x4fffccef,0xf5009f50,
    0x02ff9809,0x003be600,0xffc9bea8,0x01bfa003,0x7fdc4ed4,0x0f7fdc00,
    0x541ffed4,0x407f504f,0xfffa86fe,0x503ffd05,0x0ee83fff,0x1ef7fd40,
    0x5403ffea,0x9d71deff,0x7fe40788,0xdfff980e,0x767ff443,0x807ffc42,
    0x13ea04fa,0x000bfe60,0x703a0000,0x2bee00ff,0xfe83803f,0x4027cc02,
    0x07fd01fd,0x2ffc0bfa,0xc817ffc4,0xdff904ff,0x7c4007dc,0x3ffd01ff,
    0x00fffe20,0xfffa8162,0x407ffe01,0xfb00effc,0x427d403f,0x1ee884fa,
    0x076cc3fe,0x20200000,0x3f8807f8,0xdd0001f9,0x2006e801,0x03ff506d,
    0x5f703ff5,0x2667ffe0,0x05ffc999,0x0be6fffa,0xb037fc40,0x3fe203ff,
    0x22031006,0x7fc03fff,0x817fea07,0x7d402ffc,0x7cc13ea4,0x3e6db2ff,
    0x000002ff,0xd805f980,0x2a002746,0x00fd400e,0x3fa05f30,0x00efe80f,
    0x3ffffea0,0x6fffffff,0x13bffe60,0x206ff880,0x3fe02ffb,0xffe80006,
    0x207ff805,0x3ee05ff9,0xacfa803f,0x7ffe404f,0x5fffacbb,0x3bbbbbae,
    0xeeeeeeee,0x6402eeee,0x217cc01f,0xfda801fa,0x003dc03f,0xeff9827c,
    0x402ffd40,0x007ffeeb,0x00fff900,0x7dc0dff0,0x01bfe03f,0x01dff900,
    0x7c40fff0,0x0ffea05f,0x8027fd40,0xdfeefca8,0x77775c0b,0xeeeeeeee,
    0x02eeeeee,0x17a00fe2,0x6d44036c,0x017604ff,0xffd81760,0x884ffe85,
    0x0fff2efc,0x1fff4000,0xb81bfe00,0x1bfe03ff,0x1fffa800,0x440fff00,
    0x3fea05ff,0x09ff5003,0x1cffb980,0x20000000,0x0fb804e8,0x5c007f30,
    0x0017607f,0x4ffe8172,0x7d42ffe8,0x003ffc2e,0x1ffff880,0xb81bfe00,
    0x1bfe03ff,0x17ffc400,0x440fff00,0x3fea05ff,0xfacfa803,0x77f64404,
    0x01cefdcb,0x1ec00000,0x3201fc40,0x03fe000f,0x2740035c,0xfb85ffa8,
    0x4077e44f,0x80000fff,0x006ffbce,0xffb81bfe,0x001bfe03,0x2002fff4,
    0x3fe207ff,0x00ffea05,0x827d49f5,0x2b95fff8,0x0000fffd,0x282e8800,
    0x4f8806d8,0xfa81ba00,0x40be2000,0x8bff06fe,0xffd03ff8,0x36409005,
    0x3e009ffb,0x0ffee06f,0xc8006ff8,0xff8006ff,0x817fe207,0x3ea03ffa,
    0xf984fa84,0xffd9fa5f,0x01bd1002,0x5556f4c0,0x017cc5db,0x204c1fa8,
    0x02f401fa,0x3fee0db0,0x540efb80,0xbff902ff,0x1f504a80,0x400fffc4,
    0x3fee06ff,0x001bfe03,0x5c03fff5,0x2207ff80,0x3fea05ff,0x5409f503,
    0x3e22984f,0xb800a61f,0xff5002ff,0x85ffffff,0x136c005e,0x05db9dff,
    0xf7009f30,0x7c07fe03,0x04ffc80f,0x2607fff5,0xb82f980f,0x3e200eff,
    0x0ffee06f,0x22006ff8,0x06c02fff,0xff303ffc,0x41ffd40b,0x4fa804fa,
    0x0017fd40,0x2001dd30,0x99999998,0x44000981,0x00d5d441,0x101bff70,
    0x5f707ffb,0x7cc07ee0,0x7f7d40ff,0xfeb9acff,0x3a04e884,0x3fe605ff,
    0x413fee07,0x3a007ff8,0x07c404ff,0xf981ffe2,0x13fee06f,0x0fa80136,
    0x0007fe60,0x00000000,0x20000000,0xdefe9bfb,0x3fb9efed,0x03f881fc,
    0x6de7fff4,0xffffe89e,0xfe885fff,0x13fff203,0xe80fffdc,0xfff705ff,
    0x3fff9007,0xd5333333,0x03fff50f,0x6c03fff2,0x000006ff,0x00000a60,
    0x00000000,0x3e600000,0x166e5d43,0x702dc7ee,0xfffb3009,0x7fec419f,
    0xff984fff,0xfffd84ff,0xffd53fff,0x3b63dfff,0xd54effff,0x07dfffff,
    0x3fffffe6,0x7fffffff,0x3fffffa6,0xffffd92e,0x3fff63bf,0x00004eff,
    0x00000000,0x00000000,0x000c0000,0x00200430,0x98015530,0x000000aa,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2a200000,0x03551001,0x4c026a60,0x03302982,0x55544151,
    0xaaaaaaaa,0x1aaaaaaa,0x99999993,0x99999999,0xa8105999,0x577703bb,
    0x005bdb50,0x530551d4,0x99999988,0x99999999,0x99309999,0x99999999,
    0x99999999,0x00000003,0x20000000,0x02fd99db,0x3dffffb1,0x3fef7a60,
    0xf927fcc3,0x1ffd43df,0xfffa9ffa,0xffffffff,0x4fffffff,0xddddddd3,
    0xdddddddd,0x46887ddd,0x7cc1fff8,0x3bfa20ff,0x400cfffe,0x547ff92d,
    0x3ffe64ff,0xffffffff,0x2fffffff,0xddddddd3,0xdddddddd,0x00003ddd,
    0x00000000,0x7c47f300,0x89dfe80f,0x27cc1ffc,0x7fdc9fd1,0xc93fffe6,
    0x3ffe26ff,0x26c00001,0x76c00000,0x3227fcc2,0x10ee41ff,0x817dffb5,
    0x4bffd0fa,0x4ccc6ffc,0x99999999,0x09999999,0x00000000,0x00000000,
    0xf83f5000,0xe80fe42f,0x3ea0ff46,0x6cdff71f,0x3ff27fff,0x007ffe25,
    0x0009b000,0x2fff9800,0x0bfa37d4,0xffc8807e,0x2a2ffdef,0x0ffe61ff,
    0x00000000,0x00000000,0x00000000,0x42ffc882,0x4c7ee06f,0x2a7ff07f,
    0x7d5545ff,0xff89ff70,0x6c00000f,0x88000004,0x10fb84ff,0x400b107f,
    0x080beeda,0x00000020,0x00000000,0x00000000,0x8cd98000,0x80be22ff,
    0x01ff53f8,0x0ffe2bfd,0x87ff32dc,0x800007fe,0x0000004d,0x5cf205fd,
    0x00000004,0x00000000,0x00000000,0x00000000,0x3e1fb800,0x880be22f,
    0xb03ff53f,0xe817fc9f,0xf907fe22,0x9b00000d,0x3bbbbba6,0xeeeeeeee,
    0x2e23eeee,0x0029406f,0x00000000,0x00000000,0x00000000,0x80000000,
    0x217fc4fb,0x4c7f206f,0x22fe83ff,0xe86b80fe,0x0027dc0f,0xcc995400,
    0xcccccccc,0xcccccccc,0x0005bd92,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7fc3ff80,0x7c40fe43,0x3e237f46,0x37623e46,0x3f986d80,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7eddfff4,0x56ff44df,0x7c41ffc9,0xb83f90cf,0x0b7016c6,0x000003f1,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xefe98000,
    0xf901df92,0x2201dfff,0x980ceffd,0xd81cc003,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x31002000,0x00000015,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_40_latin1_x[224]={ 0,4,2,0,1,1,1,1,1,0,2,0,1,1,
2,0,1,4,0,1,0,1,1,1,2,1,3,2,0,0,0,1,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,-1,1,0,1,0,2,1,0,0,0,0,0,0,2,0,1,0,-1,2,1,-1,1,1,1,1,1,0,1,
-3,0,1,0,0,1,-1,1,0,1,0,0,0,0,0,0,0,4,2,3,0,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,4,2,1,0,0,
2,2,1,1,-1,1,0,1,1,-1,1,0,0,0,4,2,-1,2,3,2,0,1,2,2,0,1,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,-1,1,1,1,1,1,2,1,0,0,0,0,0,0,0,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,0,0,1,0,1,1,1,1,1,0,0,0,0,0,0,0,-1,0,
 };
static signed short stb__times_40_latin1_y[224]={ 32,7,7,7,6,7,7,7,6,6,6,10,28,22,
28,6,7,7,7,7,7,8,7,8,7,7,15,15,11,16,11,7,6,7,8,7,8,8,8,7,8,8,8,8,
8,8,8,7,8,7,8,7,8,8,8,8,8,8,8,7,6,7,7,38,7,15,6,15,6,15,6,15,6,6,
6,6,6,15,15,15,15,15,15,15,10,15,15,15,15,15,15,6,6,6,20,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,32,14,8,7,11,8,
6,7,8,7,7,15,16,22,7,4,7,10,7,7,7,15,8,18,31,7,7,15,7,7,7,14,0,0,0,1,
1,1,8,7,0,0,0,1,0,0,0,1,8,1,0,0,0,1,1,12,7,0,0,0,1,0,8,6,7,7,
7,8,8,6,15,15,7,7,7,8,7,7,7,8,6,8,7,7,7,8,8,13,14,7,7,7,8,7,6,8,
 };
static unsigned short stb__times_40_latin1_w[224]={ 0,5,11,18,16,28,27,4,11,11,14,20,7,10,
5,11,16,10,17,15,17,15,16,16,14,16,5,6,20,20,20,14,32,26,23,22,25,22,19,25,26,12,14,27,
22,32,27,24,19,24,25,17,21,26,26,34,26,26,22,9,11,9,17,20,6,15,18,14,18,15,15,17,18,9,
11,19,9,28,18,16,18,18,13,12,11,19,18,26,18,18,16,11,3,10,20,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,0,5,14,17,18,19,
3,14,11,26,11,16,20,10,26,20,12,20,11,10,6,18,18,5,6,7,11,16,25,25,27,14,26,26,26,26,
26,26,33,22,22,22,22,22,12,12,12,12,25,27,24,24,24,24,24,16,24,26,26,26,26,26,19,17,15,15,
15,15,15,15,22,14,15,15,15,15,9,9,11,11,16,18,16,16,16,16,16,20,18,19,19,19,19,18,18,18,
 };
static unsigned short stb__times_40_latin1_h[224]={ 0,26,11,26,29,26,26,11,34,34,16,20,11,4,
5,27,26,25,25,26,25,25,26,25,26,26,18,24,18,8,18,26,34,25,24,26,24,24,24,26,24,24,25,24,
24,24,25,26,24,33,24,26,24,25,25,25,24,24,24,33,27,33,14,2,7,18,27,18,27,18,26,25,26,26,
34,26,26,17,17,18,25,25,17,18,23,18,18,18,17,25,17,34,34,34,5,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,26,31,26,18,24,
34,33,5,26,12,18,8,4,26,3,12,20,14,14,7,25,32,4,8,14,12,18,26,26,26,26,32,32,32,31,
31,31,24,32,32,32,32,31,32,32,32,31,24,32,33,33,33,32,32,16,26,33,33,33,32,32,24,27,26,26,
26,25,25,27,18,24,26,26,26,25,25,25,25,24,27,24,26,26,26,25,25,15,20,26,26,26,25,33,34,32,
 };
static unsigned short stb__times_40_latin1_s[224]={ 250,93,51,147,120,1,53,38,1,32,175,
41,43,238,244,244,148,239,1,240,202,186,29,1,93,166,250,246,227,84,127,
207,60,35,145,188,1,197,27,183,47,74,100,87,232,78,115,165,154,140,186,
11,169,79,19,106,51,24,1,130,226,120,223,180,112,238,207,62,188,77,155,
143,211,125,104,73,1,129,79,110,65,46,98,148,206,161,181,200,60,157,112,
44,56,93,126,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,
218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,250,87,1,
222,1,115,116,45,147,101,1,93,63,238,46,159,13,1,211,241,119,220,1,
250,105,248,26,20,27,1,224,209,185,158,131,93,43,16,111,20,43,66,89,
70,240,191,229,242,220,212,165,1,87,204,166,158,62,60,190,217,139,112,212,
170,238,30,46,181,84,137,37,191,99,115,131,141,176,242,230,174,153,135,171,
190,108,18,62,190,22,135,128,81,161,26,13,112, };
static unsigned short stb__times_40_latin1_t[224]={ 34,135,358,135,103,135,162,358,1,1,339,
318,358,312,29,1,162,216,242,162,216,216,189,216,189,135,216,242,318,358,318,
162,1,216,293,189,268,242,268,135,268,268,242,268,268,293,242,162,268,1,268,
189,293,216,242,216,293,293,293,1,103,1,339,358,358,293,103,318,103,318,189,
242,189,189,1,189,189,339,339,318,242,242,339,318,293,318,318,318,339,216,339,
1,1,1,358,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,
293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,34,135,103,
162,339,268,1,36,358,162,358,318,358,312,189,358,358,318,339,339,358,216,70,
29,358,318,358,339,162,162,135,135,36,36,36,103,103,103,293,70,70,70,70,
103,36,69,69,69,242,36,1,36,36,69,69,339,135,36,1,1,69,69,268,
103,103,135,135,242,242,103,339,293,135,135,135,216,216,189,189,268,103,268,189,
162,189,216,216,339,318,189,162,162,242,36,1,36, };
static unsigned short stb__times_40_latin1_a[224]={ 144,192,236,289,289,481,450,104,
192,192,289,326,144,192,144,161,289,289,289,289,289,289,289,289,
289,289,161,161,326,326,326,257,532,417,385,385,417,353,321,417,
417,192,225,417,353,514,417,417,321,417,385,321,353,417,417,545,
417,417,353,192,161,192,271,289,192,257,289,257,289,257,192,289,
289,161,161,289,161,450,289,289,289,289,192,225,161,289,289,417,
289,289,257,277,116,277,313,450,450,450,450,450,450,450,450,450,
450,450,450,450,450,450,450,450,450,450,450,450,450,450,450,450,
450,450,450,450,450,450,450,450,144,192,289,289,289,289,116,289,
192,439,159,289,326,192,439,289,231,317,173,173,192,333,262,144,
192,173,179,289,433,433,433,257,417,417,417,417,417,417,514,385,
353,353,353,353,192,192,192,192,417,417,417,417,417,417,417,326,
417,417,417,417,417,417,321,289,257,257,257,257,257,257,385,257,
257,257,257,257,161,161,161,161,289,289,289,289,289,289,289,317,
289,289,289,289,289,289,289,289, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_40_latin1_BITMAP_HEIGHT or STB_FONT_times_40_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_40_latin1(stb_fontchar font[STB_FONT_times_40_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_times_40_latin1_BITMAP_HEIGHT][STB_FONT_times_40_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_40_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_40_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_40_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_40_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_40_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_40_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_40_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__times_40_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__times_40_latin1_s[i] + stb__times_40_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__times_40_latin1_t[i] + stb__times_40_latin1_h[i]) * recip_height;
            font[i].x0 = stb__times_40_latin1_x[i];
            font[i].y0 = stb__times_40_latin1_y[i];
            font[i].x1 = stb__times_40_latin1_x[i] + stb__times_40_latin1_w[i];
            font[i].y1 = stb__times_40_latin1_y[i] + stb__times_40_latin1_h[i];
            font[i].advance_int = (stb__times_40_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__times_40_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_40_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_40_latin1_s[i] + stb__times_40_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_40_latin1_t[i] + stb__times_40_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_40_latin1_x[i] - 0.5f;
            font[i].y0f = stb__times_40_latin1_y[i] - 0.5f;
            font[i].x1f = stb__times_40_latin1_x[i] + stb__times_40_latin1_w[i] + 0.5f;
            font[i].y1f = stb__times_40_latin1_y[i] + stb__times_40_latin1_h[i] + 0.5f;
            font[i].advance = stb__times_40_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_40_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_40_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_40_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_40_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_40_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_40_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_40_latin1_LINE_SPACING
#endif

