// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_42_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_42_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_42_latin1_BITMAP_WIDTH         256
#define STB_FONT_times_42_latin1_BITMAP_HEIGHT        404
#define STB_FONT_times_42_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_42_latin1_FIRST_CHAR            32
#define STB_FONT_times_42_latin1_NUM_CHARS            224

#define STB_FONT_times_42_latin1_LINE_SPACING          27

static unsigned int stb__times_42_latin1_pixels[]={
    0x05100400,0x1a800000,0x4400006a,0x200009a9,0x00c00000,0x26600080,
    0x01999999,0x00f77640,0x13331000,0x26620000,0x00000009,0x2a000666,
    0x2ccccccc,0x32612e00,0x3b10006f,0x0fe3f800,0x77f64c00,0x02dfedcd,
    0x000ef540,0x4c01bfa0,0xfd7301ed,0xffffffff,0x7fc003ff,0x6400003f,
    0x00000fff,0x0001bffa,0x27ffe400,0x3bbbae00,0xe8803ffe,0x37fff5c4,
    0x007d1000,0x8007f1fc,0x4c00bfda,0x7dc003fc,0xfff30002,0x202fb803,
    0x7ffffffa,0x7cc002e4,0xf800004f,0x400001ff,0x0000ffe8,0x7fffc400,
    0x7cc0000f,0x41fd403f,0x006ffd99,0x4006ec40,0x4400fe3f,0xd88003ee,
    0x0fea000e,0x203ffc00,0x3fea01fc,0x647fffff,0x05fc8005,0x2ff98000,
    0xff300000,0xd8000007,0x005ff9bf,0x301ffcc0,0x6ff9807f,0x01dd0000,
    0x200fe3f8,0xa80005fa,0x07fe000f,0xa802a200,0x3ffea06f,0x647fffff,
    0x00ee8005,0x03fc8000,0x2fd40000,0x7f300000,0x00017f44,0x3e207ff3,
    0x06ff9805,0x80bf3000,0xf900fe3f,0x35400009,0x000bf900,0xd80ffa00,
    0xffffffff,0x22002e47,0xd000000f,0x20000009,0x2000007b,0x000d902e,
    0xfe81ffcc,0x06ff8802,0x813f2000,0xfc80fe3f,0x4c800002,0x000ff900,
    0x407ff100,0xffffffff,0x2002e47f,0x10000019,0x8000000b,0xa800002c,
    0x8001d402,0x7fc83ff9,0x00dff100,0x80ffc400,0x7d40fe3f,0x3e000004,
    0x00ffe800,0x27fd4000,0xffffff88,0x02e47fff,0x10000000,0x20000000,
    0x00000000,0x3ff98000,0x88027fc4,0x400006ff,0x7c7f05fe,0x0006f883,
    0x7c01e400,0x400000ff,0xff105ff9,0xffffffff,0x000005c8,0x99731000,
    0x88000015,0x000accb9,0x26666662,0x4c401999,0x01999999,0xff70ffe6,
    0x1bfe2003,0x320006a6,0x3e3f81ff,0x2001fd83,0x9750bdca,0xff880d10,
    0x20510007,0x3fa07ff8,0x7fffffff,0x7ffec2e4,0xfc80efff,0xea804fff,
    0xfffedeff,0x3aa0000c,0xfffedeff,0x7fedc00c,0x04efffff,0x7ffffedc,
    0x0ffe604d,0x7c400dfd,0x3fffaa6f,0x3fea001f,0x30fe3f85,0x3ba6009f,
    0x5ff8da89,0x7fcc01d0,0x3fed4006,0x3201fff0,0xffffffff,0xff982e47,
    0x7fc401ff,0x57fec401,0x01efe980,0x057fec40,0x400f7f4c,0x01efffd8,
    0x007ff440,0xff51ffcc,0xb7fc400b,0xfffffffa,0x0fff1003,0x3f21fc7f,
    0xb85fa801,0x03b02ffd,0xa802ffd4,0x3a07ffff,0xfff300ff,0xc8ffffff,
    0x07ffea05,0xfa809f30,0xffd800ef,0x1dff5003,0x007ffb00,0x0009fff5,
    0x7cc013ee,0x013ff63f,0xcf9eff88,0x0ffffdaa,0xf83fff00,0x00df0fe3,
    0xff301df5,0x980b201f,0x2e1004ff,0x1bf607ff,0xffffff30,0x6c05c8ff,
    0x07dc03ff,0x800dff30,0x7cc04ffd,0x7fec006f,0x1fffcc04,0x002fa800,
    0x7ff47ff3,0x3ffe2003,0x4fffc80e,0xf89fff00,0x03fa8fe3,0xf980ffd4,
    0xd00f206f,0xff88007f,0x200ff207,0x7ffffff9,0x3fe602e4,0x3a02f406,
    0x7cc003ff,0x3ffa01ff,0x7ffcc003,0x0bffe201,0x8017cc00,0x3ffe3ff9,
    0x3ffe2003,0x03fffa00,0x7f17ffa0,0x401fb0d4,0x3ea04ff8,0x500ba03f,
    0xfff000bf,0x30007f40,0x5c8fdd97,0x502ffe80,0x37fe405f,0x06ffd800,
    0x2000dff9,0x3e206ffd,0xf30002ff,0x4ffe6005,0x2002fff8,0x7d406ff8,
    0xffd801ff,0x0fb01fc6,0x3200ffc8,0x03f101ff,0xf8003f90,0x007f507f,
    0x02e47a80,0x6d837fd4,0x00fffea0,0x227ffcc0,0x0003fffa,0x2209fff3,
    0x30002fff,0x3fe6005f,0x003fff33,0x7c037fc4,0xffc803ff,0x0dd01fc7,
    0x3a027fcc,0x003e607f,0xff00175c,0x002eb88f,0x02e47a80,0x7c42ffe8,
    0x03fff603,0x0fffe800,0x0003fff6,0x880fffe8,0x30002fff,0x3fe6005f,
    0x001fff53,0x74037fc4,0xffc804ff,0x0bf01fc7,0xf1007fe4,0x0035c09f,
    0x3e00bf22,0x002fee7f,0x1723d400,0x2e37fd40,0x1fffe00f,0x3fffb000,
    0x0003fffc,0x2207fff6,0x30002fff,0x3fe6005f,0x003fff53,0x6c037fc4,
    0xffb804ff,0x4f881fc7,0xd80bff10,0x013602ff,0xf003db30,0x00ef54ff,
    0x2e47a800,0x745ffd00,0x1bffe205,0x5fffb000,0x001bffe2,0x105fffb0,
    0x20005fff,0xff3002f9,0x007ffe67,0xc806ff88,0xffc802ff,0x4f881fc6,
    0x4c07ff50,0x3f100fff,0x000eec00,0x09d50fff,0x5c8f5000,0x55bfee00,
    0x3ffe601f,0x7fe40005,0x0bfff34f,0x4fffc800,0x002fff88,0x26005f30,
    0x5fff33ff,0x037fc400,0x6c00ffec,0xf01fc5ff,0x807ff209,0x17206ffe,
    0x4000fd80,0x09f307ff,0x2e47a800,0x367ffe00,0x2fffdc06,0x3ffee000,
    0x00bfff75,0x85fffb80,0x0002fff8,0x3e6005f3,0x07fff13f,0x4037fc40,
    0xfe800ffe,0x4591fc4f,0x01ffb05e,0x440fff72,0x0bf5000f,0x740fff00,
    0x1ea0001f,0xffb800b9,0x7fe403fe,0x7d40004f,0x9fff96ff,0xfffa8000,
    0x02fff886,0x2005f300,0x3ffa3ff9,0x1ffe2003,0x74017fe0,0x7f1fc3ff,
    0x2ffd836c,0x82ffacc8,0x3f6004e8,0x07ff8003,0xa8001bf2,0x22002e47,
    0x5c00ffff,0x40005fff,0xff75fffa,0xfa8000bf,0xfff885ff,0x05f30002,
    0xfc8ffe60,0x3fe2004f,0x007fd407,0x1fc1fff8,0x5407dc7f,0x2bb30eff,
    0x27441ffb,0x04ff880c,0x3607ff80,0x1ea0007f,0xff9000b9,0xdfff500b,
    0xfffb8000,0x00dfff53,0x83fffb80,0x0002fff8,0x3e6005f3,0x017fe63f,
    0x204fff88,0xff1003fe,0x11fc7f0d,0xffff107f,0xa7fcc9fd,0x04b84fb8,
    0xf000bff5,0x07ff40ff,0x2e47a800,0x00ffc400,0x003fffc4,0x44bfff20,
    0x40007fff,0xf882fffc,0xf50002ff,0x0ffe6005,0x7c400fff,0x4fd82fff,
    0x20ffe600,0x0db0fe3f,0x20b7ffaa,0x81dffffe,0xdff300f8,0x40fff000,
    0x2a0007ff,0xd8002e47,0x1fffe006,0x3fffb000,0x0003fffc,0x7c07fff6,
    0xf50003ff,0x0ffe6003,0x22003ff7,0xddffaeff,0x7dc002ff,0x0fe3f80f,
    0x005403f5,0x4c8026a2,0x001ffe20,0x7fc41ffe,0x91ea0007,0x07f1000b,
    0x00fffec0,0xd8fffd00,0x20001fff,0x3fe07ffe,0x3f70004f,0x20ffe600,
    0xff1003ff,0x006ae62d,0x3f827f40,0x0017a0fe,0x003e6000,0xf8001fff,
    0x0bff307f,0x1723d400,0x8003ee00,0x0004fff9,0xf985fff1,0xf10004ff,
    0x7ff405ff,0x01f90004,0x2e0ffe60,0xdff1006f,0x7fc40000,0x41fc7f00,
    0x000003f8,0x3f600fa2,0x37fc000f,0x0004ff98,0x800b91ea,0xfc8004f8,
    0xfc8000ff,0x1fff905f,0x0bff9000,0x0007ffd8,0x7fcc00dd,0x1005fb03,
    0x40000dff,0xf8fe02fc,0x0003f503,0x2007d100,0xff8007fc,0x007ff105,
    0x01723d40,0x10001f90,0x88009fff,0xff100fff,0xff88009f,0x7ffdc00f,
    0x027d4001,0x2207ff30,0x7fc400fe,0x7f100006,0x80fe3f80,0x200002fc,
    0x3f2003f9,0x03ff8005,0xa8000ffa,0xbb882e47,0x40005f51,0x2000fffa,
    0x7d403ffd,0x3f6000ff,0xbffd003f,0x007fcc00,0x4407ff30,0x37fcc04f,
    0x02f44000,0xa807f1fc,0xfa80004f,0x007fc003,0x401ff101,0x2a0006f9,
    0xffc82e47,0x80005fff,0x4401effa,0xf5002ffd,0xfd8803df,0x3fe6002f,
    0x2ff9805f,0x01ffcc00,0xff981362,0x2f440007,0x00fe3f80,0x0002bba6,
    0xb8003bd7,0x87fee02f,0x1fb803fa,0x5c8f5000,0x1fffffb0,0x3f620000,
    0x7f5440bf,0x7ec4000d,0x7f5440bf,0xff98000d,0xca889bef,0x7e402ffe,
    0x03ffffff,0x3fee0b70,0x5d30001f,0x07f1fc00,0x4d6ff540,0x37f2a620,
    0x0fe44001,0x2b7fff60,0x33ea004e,0x323d4000,0x05dfd305,0x3f6a0000,
    0x3efffeff,0x7fed4000,0x03efffef,0x7ffe4400,0x0cffffff,0xccccca80,
    0x4e6002cc,0xfffffec8,0x0322003e,0x01fc7f00,0x7ff764c0,0x001bceff,
    0x8800beb8,0x002dfffd,0x2002ec88,0x02004418,0xa8800000,0x000001ac,
    0x00035951,0x2f2ea600,0x0000009a,0x00000000,0x09826000,0x00110000,
    0x01000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x98000000,0x00000099,0x00013331,0x4ccc4000,0x65440000,
    0x4c40002b,0x00000099,0x00026660,0x3333332e,0x65cc000c,0x220000ab,
    0x22000199,0x700accba,0x540bc880,0x2000001c,0x0005fffb,0x0bffd100,
    0x7e400000,0x260000ff,0x00eeaade,0x01bffa00,0x7fdc0000,0xffe8005f,
    0x801eeeee,0xffefffea,0x6c000cff,0x4c002fff,0xfedefffd,0xe80d72ce,
    0x3ffe64ff,0x003fd880,0x1fffff88,0xff100000,0x0000001f,0x80007ffa,
    0x02fcc3f9,0x01ffd100,0xff880000,0x74001fff,0xfd88006f,0x7f64c0bf,
    0xfff5001e,0xfb1001ff,0xfb3037bf,0xfff80fff,0x207ffee5,0x4000fffb,
    0x06fe9cfc,0x3fe60000,0x98000002,0x740002ff,0x007fc40f,0x007ff100,
    0x9cfc8000,0x7f4006fe,0x77fd4006,0x03ffd800,0x4ffbafe8,0x017ff4c0,
    0x5c07ffa8,0x1bfa22ff,0x0007ffdc,0x17ec47f3,0x9f500000,0xf7000000,
    0x6f880007,0x0003ff98,0x00002fcc,0x7ec49f30,0x01bfa002,0x4007ffa8,
    0x3ee04ffd,0x4c03fa61,0x5c001fff,0x100400ff,0x001fec40,0x003640f6,
    0x001ee000,0x0017a000,0x7f41fe60,0x0fb80001,0x07b00000,0x7f4003f2,
    0x7ffd1006,0x1fff9800,0x5d881e88,0x0009ffd0,0x000003f2,0x80550000,
    0x4000003a,0x2000001d,0xf1000068,0x0000005f,0x50000059,0xd003a805,
    0x3ff200df,0xdff90007,0x41c80370,0x0000fffc,0x000003f1,0x00000000,
    0x00040000,0x00002000,0x0002ffe8,0x00000800,0xfe800000,0x3fff9806,
    0x7fff5000,0xfff10000,0x01d80009,0x00000000,0x01599731,0x4ccccc40,
    0x44019999,0x19999999,0x33333331,0x99880333,0xa8199999,0x00002fff,
    0x00000070,0x3fa00038,0x0fffd806,0x3fffe000,0x26666660,0x3ee09999,
    0x4c0002ff,0xffffffb1,0xffff901d,0x2a002449,0xffedeffe,0x7edc00cf,
    0x4effffff,0x7fffedc0,0xfffb74df,0x809dffff,0xdfffffdb,0x07fff904,
    0x02f98000,0x5f300000,0x01bfa000,0x0001fffe,0x6e43fffb,0xdfffffff,
    0x001fffa2,0x3fffe600,0x20ffc401,0xffb10068,0x3dfd3015,0xdfffb100,
    0xffe88003,0xdfffb100,0xffe88003,0x7fffcc00,0x3f200005,0x90000006,
    0x3fa000df,0x3fffc406,0x3fff2000,0xdfffe882,0x037ffcc0,0xfffa8000,
    0x4c27cc01,0x0effa806,0x803ffd80,0x0004fffa,0xffa809f7,0x9f70004f,
    0xffd8e980,0x440000ef,0x00001fff,0x00fffc40,0x2a037f40,0x40006fff,
    0xf904fffb,0xfff503ff,0x6c00000b,0x07dc03ff,0x3fe603d4,0x27fec006,
    0x00fffe60,0x26017d40,0x50003fff,0x906cc05f,0x0001dfff,0x0027ffdc,
    0x3ffee000,0x06fe8004,0x002fffdc,0x417ffea0,0xfb80fffb,0x000005ff,
    0xbd01bfe6,0xfe803ee0,0x7fcc003f,0x3ffe201f,0x05f30002,0x002fff88,
    0x3e205f30,0x05fffa81,0x3ffffa00,0x3a000000,0x4000ffff,0x7fe406fe,
    0x7d40004f,0xfff706ff,0x09fff901,0xffe80000,0x3205f502,0x0dff901f,
    0x81bff600,0x0002fff8,0xff8805f3,0x5f30002f,0xff981ee0,0xcfa8001f,
    0x00003fff,0x7fff9f50,0x406fe800,0x0005fffc,0xb82fffd4,0xffb80fff,
    0x4000004f,0x0db06ffa,0x7fd417ec,0xff30003f,0x3ffe209f,0x05f30002,
    0x002fff88,0x1b605f30,0x0009ff30,0x01bffafb,0xfebec000,0x37f4006f,
    0x01bffee0,0x09fff700,0x2a03ffee,0x00005fff,0x442ffe80,0x20ffa03f,
    0x0000fffd,0x2203fffa,0x30002fff,0xfff8805f,0x05f30002,0xdf9003fe,
    0xf53f9800,0x800003ff,0x3fff53f9,0x2037f400,0x0007fffa,0xb81fffe4,
    0xff980fff,0x8000006f,0x07dc6ffa,0xfff09ff0,0xffd8000f,0x2fff881f,
    0x805f3000,0x0002fff8,0x0ffa05f3,0xc800ff30,0x017ffe0f,0x7c1f9000,
    0x3fa005ff,0x3fffc406,0x3fff6000,0x01fff702,0x000ffff1,0x8bffa000,
    0x227fc05e,0x0006fff8,0x4417ffec,0x30002fff,0xfff8805f,0x05f30002,
    0x9d00bff2,0x3227c400,0x00000fff,0xfffc89f1,0x00dfd000,0x0001fffb,
    0xf7037ff4,0x3ffa01ff,0x8000001f,0x03f56ffb,0x3e62ffc4,0x640005ff,
    0xff884fff,0x5f30002f,0x02fff880,0x2605f300,0x0be02fff,0x7c41fb80,
    0x700003ff,0x3fff883f,0x500dfd00,0x20009fff,0x2e02fff8,0xff500fff,
    0x0100009f,0x0db3fff0,0x7dc6ff98,0x5c0005ff,0xff885fff,0x5f30002f,
    0x02fff880,0x6405f300,0x0ea83fff,0x7ec1ba00,0xdd00007f,0x401fff60,
    0xffb006fe,0xff90001f,0x0fffb80d,0x003fffa0,0xfb805980,0x7d403fef,
    0x27ffe47f,0x3ffea000,0x02fff886,0x8805f300,0x30002fff,0xfffd805f,
    0xa8003624,0x5fff502f,0x02fa8000,0xd005fff5,0x7ff400df,0x7ffc4004,
    0x07ffdc02,0x00bfff30,0x22003a20,0x5c00ffff,0x3fee0fff,0x7d40005f,
    0xfff885ff,0x05f30002,0x002fff88,0xfb005f30,0x001b5dff,0x7ff407d8,
    0x03ec0005,0x3a017ffa,0x3fe2006f,0x3ff2000f,0x0fffb802,0x027ffd40,
    0xc8007a20,0xffc805ff,0x1bffea1f,0x7fff7000,0x005fff10,0xf100be60,
    0x260005ff,0xfff7002f,0x3f98003f,0x00fffdc0,0x5c03f980,0x7f401fff,
    0x77fd4006,0x02ffd801,0x001fff70,0x001bfff3,0xf88005d3,0xfffd801f,
    0x01fffe22,0x05fff900,0x0005fff1,0xff100bea,0x3ea0005f,0x3ffea002,
    0x777e4005,0xfeeeeeee,0xf90004ff,0xdddddddd,0xe809fffd,0xfd98006f,
    0x7f4c40af,0x3fee002e,0xffd1000f,0x971135bf,0x360003fd,0x5fffb006,
    0x0007fff8,0xf80fffec,0xf50003ff,0x07fff003,0x0007ea00,0x2007fff3,
    0xcccccef8,0xfffecccc,0x677c4000,0xcccccccc,0x3a00fffe,0x3a60006f,
    0xeffedeff,0xfffb8002,0x3f6e2000,0xbeffffff,0x07f10000,0xb03ffee0,
    0x40003fff,0x3fe07ffe,0x3f70004f,0x009fff00,0x20007ee0,0xf7006ff8,
    0x3ffe6003,0x00fdc003,0x203fff98,0xb80006fe,0x006fffff,0x003ffee0,
    0x1abdd880,0x00fb8000,0xf309fd10,0x220009ff,0x3fa02fff,0x1f90004f,
    0x009ffd00,0x13003f20,0xd001ff50,0x6ffe800d,0x20037400,0x3fa06ffe,
    0xfd300006,0x20007fff,0x0000fffb,0x000033e6,0x040027c4,0x001fff90,
    0xd80bff90,0xdd0007ff,0x01fff600,0x3ea03740,0xa801ff06,0x7fd4002f,
    0x05f5001f,0x01fffa80,0x40000dfd,0x01ffffd8,0x00fffb80,0x01fff600,
    0x0007e400,0x13ffe200,0x01fff100,0x001fffb8,0xfb8027d4,0x7d4001ff,
    0x407fdc04,0x007e807d,0x200bfff0,0xfff0007e,0x001bfa0b,0x3bfff200,
    0x7ffdc000,0x7fe40000,0x46ee2001,0xb88002fa,0x03ffea01,0x003ffd80,
    0x4c00bffd,0x3fa000ff,0x3fe6005f,0x443fc400,0x027cc04f,0x01fffd80,
    0xd80027cc,0x6fe81fff,0xf9100000,0x7dc003ff,0x4c0000ff,0x3f2000ff,
    0x0005ffff,0x7d405ffd,0x7ec401ef,0x3fe6002f,0x2ff9805f,0x2fffcc00,
    0x8017fcc0,0x007e40fc,0x5c000bfa,0x7f406fff,0xfff70002,0x000dfd0d,
    0xcffc8800,0x1fffc800,0x027ec000,0x3fffff60,0xfff88000,0x5ffec404,
    0x06ff5440,0x77ffcc00,0xfeca889b,0xff30002f,0x951137df,0x44005ffd,
    0x00debbed,0x0037ff22,0x33ffff60,0x06ffe441,0x7fffec00,0x3ffffa1c,
    0x00001fff,0x05e6e544,0x02ffffd4,0x05f7e4c0,0x0bbfa600,0x05ffd000,
    0x3bfff6a0,0x0003efff,0x7ffffe44,0x000cffff,0x7fffe440,0x00cfffff,
    0x80155100,0xeffffffc,0xffffd800,0xff96ffff,0x001dffff,0xfffffffb,
    0x33332edf,0x00000ccc,0x3ff21980,0x2dffffff,0x00002600,0x0a800002,
    0x35951000,0x2a600000,0x0009abcb,0xbcba9800,0x0000009a,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x13331000,0x26620000,0x40000009,0x00009998,0x00026660,0x00026662,
    0x00666200,0x00666200,0x406f6440,0xc8000038,0x102e6001,0xa8000057,
    0x0015c40b,0x3fff2000,0x3f600000,0x4000006f,0x0000fffc,0x00bfff70,
    0x009fff10,0x0bfff000,0x0bffd000,0xfffff500,0x0000dc19,0xfa801e60,
    0x01fff46f,0x46ffa800,0x00002ffe,0x0007ffe0,0x01ffd100,0x7ff40000,
    0xff100001,0x30005fff,0x80000dff,0x0000eff9,0x00077fcc,0x7fff5e74,
    0x0000fbcf,0xf9002640,0x3ffe23ff,0xff900005,0x13ffe21f,0x7fcc0000,
    0xf1000002,0x2000007f,0x00002ff8,0x1bfa73f2,0x007fd400,0x01ff7000,
    0x01ff7000,0xffb89100,0x00003fff,0x3e6002f8,0x017fec6f,0x45ff9800,
    0x00001ffd,0x00007f70,0x0005f980,0x0009f700,0xfb127c40,0x0ff20007,
    0x01fe8000,0x003fd000,0x3b220a20,0xa800003d,0x30188007,0x18800001,
    0x00000130,0x00000274,0x00000fa8,0x400005d8,0x001f703d,0x40001760,
    0x100002f8,0x0000005f,0x13600000,0x00000000,0x00000000,0x00000588,
    0x00001640,0x300001a2,0x0004a807,0x2e00003a,0x0ee00003,0x33333310,
    0x99988001,0x20009999,0x310001f8,0x40015997,0x99999998,0x4cc40199,
    0x00199999,0x00000010,0x20000020,0x00000000,0x00008000,0x08000010,
    0xfffec980,0x7edc005f,0x403dffff,0x8006cca9,0xfedeffea,0x6dc00cff,
    0xefffffff,0x7ffedc04,0x40004dff,0x4ccc0003,0x99999999,0x19999999,
    0x33333330,0x33333333,0x26603333,0x99999999,0x99999999,0x33333301,
    0x26213333,0x99999999,0x4ccccc01,0x26660999,0x09999999,0x04ffffa8,
    0x01efe880,0x7ff77f54,0xffd8800c,0x1efe980a,0xefffd880,0x7ff44001,
    0x2f980000,0xffd91000,0xffffffff,0x1fffffff,0xffffec88,0xffffffff,
    0x440fffff,0xffffffec,0xffffffff,0xfdc80fff,0x2dffffff,0xffffffd5,
    0xfec809df,0x323effff,0xfffffffd,0xffff302d,0x05f70005,0x3fe64fd8,
    0x3fea01ff,0x3ffd800e,0x04fffa80,0x0009f700,0x0001bf20,0x267fffe6,
    0xdaa99999,0x3fe601ff,0x999999ff,0x01ffdaa9,0x267fffe6,0xdaa99999,
    0x3fa201ff,0xff500dff,0xd8009fff,0x3a202fff,0xc800dfff,0x4001ffff,
    0x17ee02fa,0x20bffbb9,0x6c006ff9,0x7fcc04ff,0x5f50003f,0xfff10000,
    0xffb00003,0x00fdc00f,0xb801fff6,0x3ffec01f,0xc803f700,0x7cc01fff,
    0x5c001fff,0xffc800ff,0xfff9001f,0x7d4001ff,0xe81ff301,0xe80fffba,
    0x7cc003ff,0x3fe201ff,0x5f30002f,0xfff70000,0xffb00009,0x401e800f,
    0x74007ffd,0x03ffec01,0xff7007a0,0xfff9001f,0x02fd800b,0x001fff70,
    0x1bfff7f2,0xfd01fa80,0xfe88f98b,0x006ffc85,0x440dffb0,0x30002fff,
    0xfd00005f,0x80001fff,0x64007ffc,0x03ffe402,0xff900b20,0x402c800f,
    0xd000fffb,0x26003fff,0x3fee004f,0xd1f9000f,0x2a009fff,0xc89ff01f,
    0x7ffd4045,0xfff30003,0x0bffe209,0x0017cc00,0x3fff3ea0,0x7fe40003,
    0x20044007,0x44007ffc,0x03ffe400,0xff700220,0x3fe6001f,0x00dd006f,
    0x000fffb8,0x3fffe2f9,0x981fa803,0x4017c3ff,0x0000fffd,0x2203fffa,
    0x30002fff,0x7d80005f,0x8000dffd,0x00007ffc,0x0007ffc8,0x007ffc80,
    0x0fffb800,0x0ffff200,0xb8005f70,0xf9000fff,0x00ffffcc,0x3fea07ea,
    0x7fc01ea2,0x7ec0007f,0xfff881ff,0x05f30002,0xfa9fcc00,0x320001ff,
    0x003007ff,0x1803ffe4,0x01fff200,0xfff7000c,0xfffe8001,0x000bf101,
    0x2001fff7,0x7fffd47c,0x2e07ea00,0x201363ff,0x0006fff8,0x4417ffec,
    0x30002fff,0x7e40005f,0x0017ffe0,0xb007ffc8,0x03ffe400,0x3ff20058,
    0x5c00b007,0x4c000fff,0x1fb06fff,0x1fff7000,0x3f21f200,0x07ea06ff,
    0x0fc53fee,0x02fffcc0,0x13fff200,0x000bffe2,0x880017cc,0x07ffe44f,
    0x07ffc800,0x3f200788,0x0078807f,0x2201fff2,0x3ffee007,0xfffc8000,
    0x80017d43,0x9000fffb,0x17fff60f,0x7fcc0fd4,0xb9406b8f,0x40005fff,
    0xf885fffb,0xf30002ff,0x07ee0005,0x0007fff1,0xb101fff2,0x3ffe400f,
    0xc801f620,0x3ec407ff,0x01fff700,0x1fffd100,0xb80017e2,0xf9000fff,
    0x0ffffa20,0x7ffc07ea,0x646e03eb,0x40004fff,0xf886fffa,0xf30002ff,
    0x41ba0005,0x90007ffd,0xdddddfff,0x400ffffd,0xeeeefffc,0x007fffee,
    0x3bbbfff2,0x07fffeee,0x003ffee0,0xcafffd40,0x3ee0000f,0x0f9000ff,
    0x217fffc4,0xfffd01fa,0xfb9a201f,0x540005ff,0xff885fff,0x5f30002f,
    0x205f5000,0x8002fffa,0xccccfffc,0x007fedcc,0x3333fff2,0x07fedccc,
    0x333fff20,0x7fedcccc,0x03ffee00,0xcfffc800,0x7dc0003f,0x0f9000ff,
    0x21ffffa8,0xfff701fa,0x547d301f,0x40006fff,0xf883fffb,0xf30002ff,
    0x80fb0005,0xc8005ffe,0x07c807ff,0x201fff20,0x3ff2007c,0x2007c807,
    0x0000fffb,0x01bfffe2,0x03ffee00,0x7dc03e40,0x03f50eff,0x5effffec,
    0x7fc45fdb,0x7e40007f,0xfff882ff,0x05f50002,0x5c03f980,0x64001fff,
    0x00f007ff,0x7803ffe4,0x01fff200,0xfff7003c,0xffa80001,0xfb80002f,
    0x0f9000ff,0x557fff60,0x3ffa201f,0x80efffff,0x40007fff,0xff01fffd,
    0x3ea0007f,0x777e4001,0xfeeeeeee,0x7e4004ff,0x400b007f,0x0b007ffc,
    0x803ffe40,0x3ffee005,0x7fcc0000,0xfb80002f,0x0f9000ff,0x567fff40,
    0x7ff6401f,0xfb00cfff,0x740003ff,0x3ffe07ff,0x03f70004,0x66677c40,
    0xfecccccc,0x3f2000ff,0x4001007f,0x01007ffc,0x803ffe40,0x3ffee000,
    0x7fcc0000,0xfb80002f,0x0f9000ff,0x6ffffc40,0xa98fc01f,0x7ffcc009,
    0xfff10004,0x027ff405,0x2000fc80,0xff3001fb,0x7fe4007f,0xfc800007,
    0xc800007f,0x800007ff,0x0000fffb,0x0017ffcc,0x007ffdc0,0x7cc007c8,
    0x2a01ffff,0x3ff20007,0xffc8000f,0x03ffec05,0x74006e80,0x37ff4006,
    0x00fff900,0x7ffc8020,0x7e401000,0x4010007f,0x0000fffb,0x0017ffcc,
    0x007ffdc0,0x54000fc8,0x3601ffff,0x3fe20004,0x7fc4004f,0x7ffdc00f,
    0x027d4001,0xa8005f50,0xf9001fff,0x0d1000ff,0x4003ffe4,0x1fff2068,
    0xfb81a200,0x4c0000ff,0x80002fff,0x9000fffb,0xff90001f,0x007e203f,
    0x01fff500,0x801ffec0,0x26005ffe,0x1fa000ff,0x02fffc00,0x8007ffc8,
    0x1fff205c,0xfc817200,0x05c8007f,0x0003ffee,0x005fff30,0x01fff700,
    0x40007f60,0x0d701ffd,0x3bfea000,0x17fec401,0x0bfff300,0x4005ff30,
    0xfb0004f9,0xffb003ff,0x02fa800f,0x5001fff6,0x3ffec05f,0xb80bea00,
    0x40000fff,0x0002fff9,0x800fffb8,0x8000dffa,0x07d01fe8,0x7fec4000,
    0x6ff5440b,0xfff98000,0xeca889be,0x7f4002ff,0xfff70002,0x0fffb00d,
    0x3603fd40,0x3ea007ff,0x03ffec07,0xfc80ff50,0x540001ff,0x80003fff,
    0x3201fffc,0x2dffffff,0x440fcc00,0xa800000f,0xfffefffd,0x6440003e,
    0xffffffff,0x322000cf,0xd8000dff,0x501cffff,0x555bffff,0xffb97555,
    0x7fffd409,0xbaaaaaad,0x2a04ffdc,0xaaadffff,0xffdcbaaa,0x3fffea04,
    0x3fa60005,0x20001eff,0x005ffffa,0x004c0000,0x51000000,0x00000359,
    0x26af2ea6,0x7ffe4000,0xd800efff,0xffffffff,0xffffd916,0xffffffff,
    0x885fffff,0xffffffec,0xffffffff,0x76442fff,0xffffffff,0xffffffff,
    0xffffc82f,0x002dffff,0xffffffd7,0x7e4007df,0xdfffffff,0x00000002,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x67644000,0x20002980,
    0x015c40b9,0x03710750,0x00054400,0x1bd91000,0x20000710,0x015c40b9,
    0x80004400,0x20001bc9,0x220002c8,0x00c00019,0x26000040,0xfffa800b,
    0x00720cff,0x363ffcc0,0xffc803ff,0x007ffe25,0x037fbf20,0xfff50000,
    0x015c19ff,0x23ffcc00,0x40003ffd,0x7fcc005b,0x90004feb,0xff90001d,
    0x4003dfff,0x2004fffc,0x05b102ea,0x9d00fff5,0x79ffffd7,0x3ee0001f,
    0x17ffe1ff,0xfa9fffa0,0x754003ff,0x00007d11,0xfffebce8,0x0000fbcf,
    0x3e1fffc8,0x260005ff,0x44009aed,0x013f60ff,0x88003f50,0xffb32efe,
    0x263d5007,0x37e6002f,0x9019f910,0x24403fff,0x0fffffee,0x46ff8800,
    0xfb802ffc,0x007ff44f,0x00d50f60,0x3ee2c400,0x0003ffff,0xfc8dff30,
    0x7e44002f,0x2dffefff,0xffa89fd0,0x009f1000,0x3f20ff90,0x2e1ec01f,
    0x67f44005,0x3ff601ef,0x220a602f,0x80002dec,0x40013018,0x20003018,
    0x0003543e,0xbd910510,0x18800007,0xe9800130,0xf915b9cf,0x43ff88df,
    0xdb004ff8,0x07ff1000,0x5d017fe2,0xfb8006a8,0xfffc805f,0x00000002,
    0x00000000,0x221d5000,0x0000003e,0x00000000,0x2e4fe800,0x3ea37d45,
    0x805ff82f,0xfb8001fa,0x01ffe02f,0x001f44b7,0x07ff9fd3,0x001fffb8,
    0x01599731,0x99999980,0x99999999,0x33019999,0x33333333,0xfdfb0001,
    0x0000001b,0x80000007,0x3fee0003,0x71b616e1,0x0dff05ff,0x90003f88,
    0x7ffc03ff,0x3f7fa200,0xbfd8800e,0x5c07ff90,0x75400fff,0xfffedeff,
    0x7f64400c,0xffffffff,0xffffffff,0xffffdc80,0x0002dfff,0x000007f5,
    0x0000be60,0x0017cc00,0x42dc7fd8,0x417fe469,0x036c07ff,0x403ffb00,
    0x393007ff,0x74064400,0xfff502ff,0x057fec40,0x800f7f4c,0x999ffff9,
    0xfdaa9999,0x3ffa201f,0x640000df,0x0000006f,0x00000df9,0x4001bf20,
    0x216e1ffe,0x417fd468,0x07ee06ff,0x00ffe800,0x00009ff1,0x3ffe6000,
    0x506ff980,0xfb001dff,0x3ff6007f,0x007ee007,0x0003fff9,0x001fff88,
    0x7ffc4000,0x44000001,0xd8001fff,0x1c16e4ff,0xff10ffe6,0x000fe20b,
    0x2a01ffd0,0x54c402ff,0x4cc0001a,0xf885ffc8,0x06ff985f,0x4027fec0,
    0x74007ffd,0x07ffdc01,0x3ffee000,0x5c000004,0x00004fff,0x027ffdc0,
    0xb9fffd40,0x313fe005,0x017a05ff,0x203ffa00,0x32203fe8,0x0dfffdff,
    0xffdfb300,0xff05fffb,0x007ffd09,0x401fff98,0x64007ffc,0x07ffdc02,
    0x3fffa000,0x2000000f,0x000ffffe,0x3fffa000,0x7fc4000f,0x2005bcff,
    0x82fe46f9,0xe80000fb,0x3ff2a0ff,0x837fa201,0x5c00effa,0x3ffa60df,
    0x644fe86f,0xfb0006ff,0x7ffc80df,0x2e004400,0x20000fff,0x03fffcfa,
    0xf9f50000,0x000007ff,0x0ffff3ea,0x3fffee00,0x67dc005f,0xf980efc8,
    0xffd00003,0x177ffec1,0xfc81ffc8,0x41bee04f,0x6c1ffff8,0x0fffea3f,
    0x27ffcc00,0x000fff90,0x01fff700,0xffebec00,0xfb000006,0x0001bffa,
    0x6ffebec0,0xffff7000,0xdb98003f,0x5017a03d,0x03ffa003,0xd09fff71,
    0xbff501ff,0x980bfe20,0x17ec4fff,0x0001fffb,0xc807fff4,0x003007ff,
    0x0007ffdc,0xfff53f98,0xf9800003,0x003fff53,0xf53f9800,0x2a0003ff,
    0x004fffff,0x900fc800,0xe807fddf,0xfff500ff,0xf306fd87,0x01ff20df,
    0x3f91fffa,0x0003fffc,0x6407fff6,0x00b007ff,0x0007ffdc,0x3ffe0fc8,
    0x7e400005,0x0017ffe0,0x7fc1f900,0x3620005f,0x000effff,0x3205f300,
    0xe80ff24f,0x3ff200ff,0xf980dc47,0x06ff886f,0x2e1fffb8,0x0dfff10f,
    0x2fffd800,0x100fff90,0x7ffdc00f,0x44f88000,0x0000fffc,0xffc89f10,
    0xf100000f,0x00fffc89,0x7fffe400,0x5e80001f,0x7c41ff50,0x01ffd01f,
    0x4017ffcc,0xa86fffda,0xff9805ff,0xff99ea2f,0x7e40005f,0xfff904ff,
    0x2007d880,0x8000fffb,0x7ffc41fb,0x3f700003,0x003fff88,0xf883f700,
    0x5c0003ff,0x01ffffee,0x6c03f200,0xd05fe85f,0xffe801ff,0x35df7103,
    0xbff70dff,0x47fff100,0x17ffee69,0xbfff7000,0x3bbfff20,0x7fffeeee,
    0x03ffee00,0x7ec1ba00,0xdd00007f,0x001fff60,0xffd83740,0xcadc0007,
    0x8000ffff,0x17fe02f9,0x7ff41bf6,0x427fe400,0x3fe62efb,0x006ffc86,
    0x93447fff,0x80009fff,0xf906fffa,0x999999ff,0x5c00ffdb,0x54000fff,
    0x5fff502f,0x02fa8000,0x0005fff5,0xff502fa8,0x2dc0005f,0x8009fff7,
    0x3fe604e8,0xe80ffd84,0x7fe400ff,0x26077e45,0x7ffc86ff,0x183ffd00,
    0x0017ffee,0x20bfff50,0x7c807ffc,0x03ffee00,0xfe80fb00,0x3ec0005f,
    0x0017ffa0,0xffe80fb0,0x916e0005,0xec800dff,0x213fe600,0xffe81ffc,
    0xb27fdc00,0x1bfe60ff,0x2003ffee,0x7fd407fe,0x7dc0006f,0xfff903ff,
    0xfb801e00,0x3e6000ff,0x0fffdc03,0x403f9800,0x0001fffb,0xffb807f3,
    0x5b80401f,0x5003ffcc,0x4ff8803f,0xfe80ffd8,0x97fdc00f,0xff304ff9,
    0x05fff30d,0xf880dff0,0x640007ff,0xff902fff,0xb801600f,0x32000fff,
    0xeeeeeeef,0x004fffee,0xdddddf90,0x9fffdddd,0x3bbf2000,0xfeeeeeee,
    0xb83c04ff,0x1006ff85,0x17fe009f,0x7ff41ffa,0x43fee060,0xff304ffb,
    0x0bfff10d,0x5cc4ff88,0x001fffe0,0x203fffb0,0x01007ffc,0x007ffdc0,
    0xccccef88,0xffeccccc,0x77c4000f,0xcccccccc,0x000fffec,0x666677c4,
    0xffeccccc,0x2e03e00f,0x802ffc45,0x1bf6006d,0x7ffc17fe,0x5fc8bfb0,
    0x7dc1ffee,0xfffa826f,0xa83bee02,0x3fff66ff,0x3ffa0001,0x01fff207,
    0x3ffee000,0x003f7000,0x000fffe6,0x3e6003f7,0x7dc003ff,0x7fff3001,
    0x22dc27c0,0xfa802ffa,0x87fe2001,0xfff00ffa,0xff89bfa1,0x433ffe21,
    0xa8fffed9,0x807ffec4,0x7ffe40fe,0x009fff31,0x80bffe20,0x10007ffc,
    0x007ffdc0,0x7f4006e8,0x0374006f,0x001bffa0,0xffe800dd,0xb707fe06,
    0x44027f44,0xef98004f,0xf503ffa9,0x45bee1ff,0xfffd82fd,0xffff3fef,
    0x5dffb10b,0x7d40fec4,0x07ffe46f,0x02ffe400,0x2001fff2,0x3ffee068,
    0x002fa800,0x800fffd4,0x7d4002fa,0x5f5001ff,0x1fffa800,0x2e19fff0,
    0x200bfd35,0x3260006d,0xfe981dfe,0x3bae0fff,0xff9101df,0x6ffe43df,
    0x3fffea00,0x2a601cee,0x027ffc40,0x003ffe20,0x9000fff9,0x07ffdc0b,
    0xf8003f40,0x0fd005ff,0x017ffe00,0xff8003f4,0xffd7305f,0x05dfffdf,
    0x00000000,0x4c000800,0x44001100,0xa80000ba,0x36000fff,0xffd803ff,
    0x017d4007,0x9801fff7,0xffb0004f,0x04f9803f,0x03fffb00,0xb0004f98,
    0x98803fff,0x0000aeda,0x00000000,0x00000000,0xf5000000,0xfd8803df,
    0xfffb002f,0x203fd400,0x7401fffc,0xff70002f,0x02fe80df,0x0dfff700,
    0x70002fe8,0x5c00dfff,0x99991005,0x99999999,0x19999999,0x00000000,
    0x00000000,0x5ffec400,0x06ff5440,0xdffffa80,0xcbaaaaaa,0x3ea04ffd,
    0xf9105fff,0xfb0001bf,0xc8839fff,0xd8000dff,0x441cffff,0x8000dffc,
    0x01cffffd,0xff3004a8,0xffffffff,0xffffffff,0x0000003f,0x00000000,
    0xfb500000,0x7dfffdff,0xfffd9100,0xffffffff,0x05ffffff,0xfffffff9,
    0x3fff25bf,0xd800efff,0xffffffff,0xffffff96,0xfffb001d,0x32dfffff,
    0x0effffff,0xfffffd80,0x00006fff,0x00000000,0x00000000,0x00000000,
    0x006b2a20,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x001a8000,0x00d40540,
    0x001ba880,0x26007220,0x03260004,0x70001260,0x40000005,0x00000028,
    0xeeeb8002,0x33326001,0x3ba60001,0x332e003e,0x80029804,0xc88002f8,
    0x006c81ff,0x0effffc8,0x2206c800,0x20007feb,0x3fae205e,0x07ee0007,
    0x003fd880,0x0001bf6a,0x2a07bfaa,0x13ffa001,0x0dfffd00,0x02ffe400,
    0x07ffff30,0x20037fd4,0x7ecc007b,0x0fa81fff,0x7cc36e00,0x0fd4004f,
    0x00ff9310,0x98803ee0,0xf10007fc,0xfffb8007,0x7fff5c01,0x7fe40006,
    0x0361dfff,0x002ffcc0,0x0bffbbee,0x0077fc00,0x1fffbfb0,0x003fff60,
    0x4cc004e8,0x7f01fffb,0x2fdc1400,0x2009d100,0xf98007fa,0x00ff5003,
    0x2e001b60,0x4cc01fff,0x20006ffd,0xfffe9ae8,0x2e006ddf,0x77c4006f,
    0x3000ff90,0x7d4001ff,0x2e09fd15,0x3e2006ff,0x3ffe0002,0x8000d901,
    0x3b2001fc,0x00ff5000,0x7d400bd0,0x01fa8007,0x004fd880,0x8001bfea,
    0x7fffd439,0x03ba001f,0xfb81d900,0x00fe4003,0x07f613a0,0xf70005cc,
    0x1ffe8000,0x20001f50,0x3e6002f8,0x01fea002,0x54001f70,0x27c4007f,
    0x26000000,0x260006ff,0x0039b700,0x22000fc4,0x001d300d,0x12e00174,
    0x200005b8,0x7f40004e,0x000fe01f,0x0019ff93,0xff50017a,0x001fc400,
    0xdb001fea,0x30000000,0x00000dff,0x00198000,0x00188018,0x2006000a,
    0xf8800009,0x7ff40002,0x3001b201,0x900dffb7,0x7fa8001f,0x2001b600,
    0x3ea007fa,0x00380001,0x00037fcc,0x00000000,0x00000000,0x00000000,
    0xfd0000f7,0x007cc03f,0x202ffa80,0xfa8002f9,0x003f7007,0x2200ff50,
    0x0b00004f,0x006ff980,0x03553100,0x03553100,0x03553100,0x04d54400,
    0x026aa200,0x009d0000,0xffd09a98,0x0003f803,0x05e813fa,0x100ff500,
    0x3ea0007f,0x001f9007,0x98009300,0x00a986ff,0xffdffc88,0x7e4400df,
    0x00dfffdf,0x7feffe44,0xff5000df,0x5007ffff,0x07ffffff,0x00be2000,
    0x3ff7bf62,0x6401ffeb,0x0bee0006,0xa80007dc,0x006d807f,0x2601fea0,
    0x7500002f,0x26ff9800,0x01effffc,0x7d41bfd1,0xbfd100ef,0x8077fd41,
    0x3ea0dfe8,0x67ec00ef,0x01dffb30,0x7ecc33f6,0x5c0000ef,0x21ef9807,
    0x01ffffd8,0xe80007cc,0x003f980e,0xf501fea0,0x3fd40003,0x00002f40,
    0xff98003d,0xffffffb6,0x03ff905f,0x3f209ff9,0x04ffc81f,0xff903ff9,
    0x440fe409,0x1fc84ffe,0x004ffe88,0x3ea02740,0x3fffb00f,0x74407f00,
    0x00eda9be,0xfb8000dd,0x0013e207,0xfc80ff70,0x0d700000,0xdbdff300,
    0xffffb537,0xa80ffe81,0x1ffd05ff,0x3a0bff50,0x5ffa80ff,0x7d40df30,
    0x81be61ff,0x0001fffa,0x4fe803f1,0x007ffe60,0xdfb701b2,0x00fdc07b,
    0x3bba21e4,0x206d84ee,0xddd101ba,0x05f309dd,0x3fa80790,0x4fff9800,
    0xd89fff70,0x0dff306f,0x7fcc1bf6,0x260dfb06,0x05fd06ff,0xfd1fffcc,
    0x1fffcc05,0x5c07b800,0x7ffc00ff,0x001f9801,0x9007f100,0x3ea000bf,
    0xeffffc81,0x017a0002,0xff8817f2,0x6ff98000,0x107ffec0,0x1bfe6037,
    0xff980dc4,0x26037106,0xcff886ff,0xfccccccc,0x99ff14ff,0xff999999,
    0x401dc49f,0x1ffe204e,0x4007ffa0,0xdb00003f,0x00bff700,0x7d509d10,
    0x000ffd51,0xff7003ee,0x0027ec0b,0x4c06ff98,0xda801fff,0x54006fff,
    0x4006fffd,0x986fffda,0xaaaaabff,0xf31aaaaa,0x5555557f,0x7f435555,
    0x03f100ff,0x74037fcc,0x0d9001ff,0x803f5000,0x8005fcf9,0x441d80fc,
    0x7cc003ff,0x2fe7cc03,0x0000ffb8,0xfd00dff3,0x3bee207f,0x8806ff9a,
    0x6ff9aefb,0x9aefb880,0x0ffa86ff,0x00ffa800,0x4ffff980,0xffb80f70,
    0x01ffe805,0x40003f30,0x57c404f8,0x7cc005fa,0x0ff60102,0xf880bd00,
    0xff885faa,0x3fe60006,0x84ffd806,0x3fe62efb,0x3177dc06,0xefb80dff,
    0x2e1bfe62,0xfb8001ff,0xfff0001f,0x9013a0df,0xffd00bff,0x001fc003,
    0x29d00db0,0x2f4005fa,0x0007f400,0x54e801f7,0x07ffb0bf,0x037fcc00,
    0x3f21ffe4,0x037fcc0e,0xff981df9,0x303bf206,0x7ff70dff,0x07ff7000,
    0x1ee6a200,0xffb007e6,0x03ffd00d,0xa8003640,0xf52ec02f,0x007e400b,
    0x88017e60,0xf52ec03f,0x403fff0b,0xdff301ec,0x6c5ff900,0x0dff307f,
    0x7fcc1ff6,0x260ffb06,0x6ffa86ff,0x37fd4600,0x21320300,0x7ffb807b,
    0x001ffe80,0xf10007e6,0x2a0eb809,0x05f3005f,0x4001d900,0x5075c06d,
    0x0fff98bf,0x260dff30,0xffd806ff,0x2609ff30,0x4ff986ff,0xf30dff30,
    0x1bfe609f,0x200bffe2,0x05fff13b,0x207e0770,0xfffa804e,0x00fff401,
    0xf9000fa0,0x4cd7cc01,0x4009efb9,0x0fb8005e,0x9807ee00,0xefb999af,
    0x01fff309,0x7cc07ffc,0x27fe806f,0xff304ffb,0x209ff70d,0xffb86ff9,
    0x20dff304,0x2200effe,0x03bffa1f,0x86b81f88,0xff9801f9,0x0fff405f,
    0xa801b200,0x7ffec02f,0x05ffffff,0xd50003ee,0x01fc4003,0x3ffffff6,
    0xfff15fff,0x407fe403,0x7c406ff9,0x41ffee3f,0x7dc26ffb,0x4dff707f,
    0x2e0fff70,0xffa826ff,0x46e982ff,0x982ffffa,0x4076c46e,0x3ff2007b,
    0x0bffa02f,0x2003f300,0xaaa9805e,0x02aefcaa,0xeb8007f3,0x4036c000,
    0xfcaaaaa9,0x0fffa2ae,0xff306f98,0x445fc80d,0xdb30cfff,0x22951fff,
    0xdb30cfff,0x22951fff,0xdb30cfff,0xd8951fff,0xecceffff,0xfffd80ff,
    0x0ffeccef,0x04e80fa6,0x0ffffe20,0x0053fff6,0x1f9009d0,0x02fd4000,
    0x1b90017a,0xfa816cc4,0x17ea0001,0x6403ffe6,0x3fff301f,0x3603fe60,
    0xf3feffff,0xffd8bfff,0xfff3feff,0xffffd8bf,0xbffff3fe,0xfffffd10,
    0x3a205fff,0xffffffff,0x07e60042,0xdffff500,0xfffd9fb9,0x0364009f,
    0x50000fe6,0x007dc0bf,0xffffffb0,0x013e20ff,0x2a0bf500,0xf930afff,
    0x7ffec407,0x407bea0b,0x21efffc8,0x6440dffc,0x3f21efff,0x7fe440df,
    0x37ff21ef,0x3ffff200,0xffc801ef,0x8001efff,0xfd10006b,0x3fa5ffff,
    0x7cc000be,0x00017a01,0x1fc413a6,0xddddd700,0x1b607ddd,0x813a6000,
    0xcefffec8,0xfffb3000,0x4c007ffd,0x13001100,0x02600220,0x57300044,
    0x15730001,0x0015c000,0x5706ea20,0x001c8000,0x00000000,0x00000000,
    0x000c0000,0x006ae620,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x00005eed,0x00d665cc,0x77754039,0x01000002,0x07702540,
    0x00e664c0,0x2f2e6000,0x22000000,0x000accb9,0x06f2ea20,0xac980066,
    0x4cccc400,0x4c400099,0x00999999,0x7c400440,0x540002ff,0xffeceffe,
    0x200fdc3f,0x54005ffc,0x01a81efe,0x04e81760,0x01bfffa0,0x3bfb2200,
    0x00002ffe,0x76f7ff54,0x2000cfff,0xfffefffa,0xc802eabe,0x205fedfe,
    0x5ffffec9,0x7ffedc00,0xca803dff,0x4c02dffe,0xb10004ff,0xfd5105ff,
    0x2007f35d,0xf9000ffd,0x6c3bffff,0x4413e000,0xdff5003f,0xe80007ff,
    0x07fea2ef,0x3ff62000,0x1efe980a,0x21cffd80,0x02ffffb9,0xbf7067ec,
    0xffffa801,0xefe88004,0x515d9001,0xfa80bfff,0xdffa8006,0x4fffd800,
    0x00bfa200,0x3ffa6ba2,0x2006ddff,0x03f502f8,0x7fe43ba0,0x3ffb0000,
    0x8000bf90,0xd800effa,0x3fee03ff,0x0bffa202,0xbfd06fd8,0x5ffff300,
    0x005f7000,0xfff50bee,0x001fc803,0x8003ffea,0x44004ffd,0x5439805f,
    0x001fffff,0x03dc03ea,0x27d40eb8,0x306ff800,0x7cc000ff,0x7fec006f,
    0x806ff884,0xff502fe8,0x00bfea03,0x007ffff2,0xf3005f50,0x003fee0f,
    0x7f4400f6,0x7fec003f,0x03cc001f,0x1bdb804c,0xdb03e400,0x2601d100,
    0x7fcc001e,0x000df505,0x2001fff4,0x7d41fff9,0x05f5003f,0xdfd01ffa,
    0xfffff900,0x00fd4001,0x013037e4,0xffc801c0,0x7efdc007,0x00a8006f,
    0xbb000000,0x04c027c0,0xf5000620,0x013fa0ff,0x0037fe40,0x7dc6ffd8,
    0x05f1004f,0xfc80bff5,0x7efe402f,0x3ea006ff,0x006fd801,0x7fcc0000,
    0x2bea003f,0x0004fff9,0x20000000,0x005f104f,0x7cc00000,0x07fc41ff,
    0x1fffd400,0x4fff9800,0x4003ffee,0x03ffd82d,0x32037fdc,0x04fffe8f,
    0xff003f50,0x2a62000d,0xfffb001a,0xf93e6001,0x54400fff,0xa980009a,
    0x99998801,0x99999bf9,0x00019afb,0xfff88000,0x000bfe64,0x0007ffec,
    0x261fffd0,0xb800efff,0x402fff82,0xbe407ff9,0x803ffff8,0x7fc401fa,
    0x7fe44006,0x200dfffd,0xd1007fff,0x01fffd8b,0x7ffffff5,0xfddd9300,
    0x3fea03df,0xffffffff,0x1fffffff,0x90fffffb,0x800fffff,0x3ff97ffe,
    0x4cccccc4,0x007fff81,0xf0fffec0,0x0005ffff,0x8805fff3,0x9f200fff,
    0x401ffff9,0x7fcc01fa,0x37fa2006,0x203bfea0,0xb007fff8,0x3fffc81d,
    0xfb30cfd8,0x37ee01df,0x20fffa20,0x9fd99998,0x9ee99999,0x07ffc819,
    0x7001fff2,0x819fdfff,0xdffffffb,0x01bffe20,0x45fffb00,0x1dfffffa,
    0x07ffea00,0x403fff10,0x7fffd47c,0x2e07ea00,0xffffffff,0x3ff900ff,
    0xf509ff90,0x3f900dff,0xc89fff70,0x4ffe881f,0xfb00efb8,0x40bd009f,
    0x3ffcc04f,0x800fff30,0x201ffff8,0xf303fffa,0xc8000bff,0x7fdc4fff,
    0x800cffff,0x4401fffb,0x1f202fff,0xa81bfff2,0xfbaa981f,0x00aaaaef,
    0xff501ffd,0x0bfff70b,0xff702fa8,0x5037ccdf,0x7fcc3fff,0x07ffe602,
    0x0be207f0,0xf80fff10,0x3f62007f,0x7fc03fff,0x17ffee05,0xbfff7000,
    0xffffff50,0xfffb807f,0x03fff800,0x7ffec1f2,0x9803f505,0x3f6006ff,
    0x90dff306,0x7cc09fff,0x9bffea04,0x3fe602fe,0x003ff63f,0x7cc0bffd,
    0x8803f502,0x3ffc07ff,0xffbffa80,0x1ff100ff,0x027ffe40,0x1bffea00,
    0x7ffffec4,0xfff901ef,0x813ffe00,0xfffd107c,0x9803f507,0x2e2006ff,
    0x50dff301,0x3e20bfff,0xafffd405,0xcccccff8,0x24fffccc,0xffa807ff,
    0x201f501f,0x7ff8807c,0x2203ffc0,0xfff91ffd,0x700fee0d,0x8000bfff,
    0x5405fffa,0x3ffffffe,0x8807ffb8,0x1f203fff,0x42ffff88,0x7fcc01fa,
    0xfda80006,0xfff986ff,0xc801dd05,0x7ff33fff,0x55555555,0x1bfe2355,
    0x40bffe20,0x2017607c,0x7fc07ff8,0x83bfa207,0xd83ffff8,0x6fffa806,
    0x7ffdc000,0xffff7003,0xfffa85ff,0x1fffc400,0xffa80f90,0x007ea1ff,
    0x2000dff3,0xff9aefb8,0x86fff886,0xffd801fc,0x001ff52f,0x200bff50,
    0x55513fff,0x555555dd,0x815555bf,0x7fc07ff8,0x203ffa07,0x2a0ffffb,
    0xfff8801f,0x7fe40007,0x3f22002f,0x3ea0ffff,0x7fc400ff,0x201f202f,
    0xf50efffb,0x06ff9803,0x262efb80,0xfffd06ff,0xfd002fb8,0x07fee1ff,
    0x01bff200,0xffaa7ffc,0xffffffff,0x1fffffff,0x3e03ffc4,0x0dff707f,
    0xf8affff4,0x1fffe003,0x3fffb000,0xffff3000,0x00fffcc7,0xc807ffe6,
    0xbfffb007,0xff3007ea,0x0efc800d,0xfd837fcc,0x009f32ff,0xff73fffc,
    0xfff90007,0x20bffa00,0x01f502f9,0xf80fff10,0x3fff887f,0x2bfffe60,
    0x7fec006d,0x3fa0001f,0xa800ea7f,0x7ffc5fff,0x03ffd401,0xffe801f2,
    0x4c01facf,0x3f6006ff,0x20dff307,0x5f8cfff8,0x8fffe200,0x46006ffa,
    0xe800fffb,0x00fa80ff,0x3fe200f9,0x543ffc07,0x7e402fff,0x4001ffff,
    0x0004fff9,0x2d45fff1,0x91fff200,0xffc807ff,0x1003e404,0x03fbffff,
    0x3006ff98,0x3fe609ff,0x3bbfee06,0x3ff6000e,0x017ffc45,0x2fff99dc,
    0xf906ff80,0xff002ec0,0xb87ff80f,0xfe804fff,0xc8000eff,0xc8000fff,
    0x007d45ff,0xf98dff50,0x17fec05f,0xf3001f20,0x9803ffff,0xff7006ff,
    0x01bfe609,0x4003fffd,0xfe80eff9,0x87e200ef,0x7c406ffe,0x7c0bd04f,
    0x03ffa004,0x7dc0fff8,0xff8807ff,0x03200eff,0x8009fff1,0x7d40fff8,
    0x13fea002,0xdff01ffa,0x8001f900,0x401ffffa,0xf7006ff9,0x9bfee0ff,
    0x01fff980,0x5407ff60,0xe982ffff,0x00fffd46,0x0fe01ff5,0xfd0017c4,
    0xfffb103f,0x2ffff981,0x3ffff620,0x507981ff,0x6c001fff,0x1ffa83ff,
    0x503ff900,0x3fee05ff,0x000fc802,0x401fffc8,0xf1006ff9,0x3b6619ff,
    0xa84a8fff,0x4401ffff,0x7ec02ffd,0xfeccefff,0x0effd80f,0x3e607fd0,
    0x4001f502,0x3a61effc,0x7413fffa,0xfa82ffff,0xfffff9af,0x203fdabd,
    0x4401effa,0xff502ffd,0x4ff9803f,0x3e21bee0,0x03fb004f,0x007ff600,
    0x6c00dff5,0xf3feffff,0x9f30bfff,0x8859ff91,0x8800dfea,0xfffffffe,
    0x3bff202f,0xa80ff621,0x800f700f,0xffeffff8,0x47fffff2,0xdffffff8,
    0x3a20dffd,0x6fffffff,0x0bffd880,0x006ff544,0x159ffff5,0x402ffe44,
    0xbfb10cfc,0x037fea00,0x007fa200,0x4400fff7,0x321efffc,0x37440dff,
    0x3fbfff66,0xc8002eff,0x01efffff,0xeefffeb8,0xb036401c,0xfff5000b,
    0x177fc3ff,0xfffffd88,0xffb103ef,0x40019dff,0xffefffda,0x9da803ef,
    0xffffffda,0x3ae002ef,0xc801dfef,0x2dffffff,0x100fcc00,0x0007fffd,
    0xc8022013,0x06eea600,0x055cc000,0x005d4400,0x015c0770,0x39035300,
    0x26eea200,0x006e6000,0x06b2a200,0x95303300,0x44000357,0x0000000a,
    0x7ecc04c0,0x2cffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00155100,0x00000540,
    0x00137953,0x33310006,0x00133333,0x00132a20,0x06b332aa,0x99999800,
    0x19999999,0x2af2ea20,0x565cc000,0x95500000,0x88003599,0x99999999,
    0x4ccc4019,0xb1019999,0x2a0009dd,0x9befdcfe,0xfc881999,0xd880000f,
    0x01ffffff,0xfd0037f4,0x1fffffff,0x6f7ecc00,0xdf93000b,0x7fdb979b,
    0x7ffd4001,0xffffffff,0xeffb81ff,0xa803ffeb,0x0dffedef,0xdefc9800,
    0x0bfedcbc,0xffffdb80,0x5c04efff,0x4dfffffd,0x003ffea0,0x74c1bf90,
    0x31ffffff,0x001ffffb,0xfffffd00,0x3e605fff,0xffa801ff,0x05ffffff,
    0x005ffb10,0x98039f90,0xffd003fd,0xffffffff,0x19fb0fff,0x2e05fd88,
    0x0f7ecc4f,0x8039f900,0xb1003fd9,0x8003dfff,0x7000ffe8,0x7d4005ff,
    0xafff980f,0x3fee662a,0x7640000f,0xbfffb50b,0xe803ffc0,0xffffffff,
    0x0efe9801,0x006f4c00,0x98037a20,0xffffffff,0x5c4fffff,0x0ffe207f,
    0x7fc41bee,0x00de9806,0x4006f440,0x0004fffa,0xfc8009f7,0x81bfe005,
    0x7fc00ffd,0x3a60000f,0x01fff500,0x01fa8014,0x02ffcc00,0x0001fcc0,
    0x5fe403b2,0x7c1fe801,0x23ff403f,0x3ee01ff8,0x00fe603f,0x9801d900,
    0x50003fff,0x0fb0005f,0xc817fe60,0x7ffc03ff,0x00320000,0x00007ffd,
    0xe88000bd,0x3e8000ff,0x99999997,0xf82e4057,0x98ff1002,0x7fdc02ff,
    0xf101ff20,0x40fa01ff,0xacffedca,0xf1017279,0x260005ff,0x1e88002f,
    0x205ffb80,0x7fc05ffb,0x4000000f,0x40001ffc,0x6c0001f9,0x5c8001ff,
    0x2a77ff22,0x7d01effd,0x3ee003a8,0x2027fd44,0x037fc7fc,0x2e427fec,
    0x93057ec4,0x203e8fff,0x0002fff8,0x220005f3,0x06ff9802,0xfd017fea,
    0x8000001f,0xd80007fc,0xf50000af,0x1f30009f,0x7c43ff88,0x00f980ff,
    0xf10bfa00,0x27f401ff,0xf700dff3,0x540f98df,0x3fe600ef,0x7c403e60,
    0xf30002ff,0xf0000005,0x3fee01ff,0x007ff403,0x0ffa0000,0xffff3000,
    0x3e20017d,0x4c8000ff,0xfd83ff88,0x0007b04f,0x7ff41fe2,0x543ff306,
    0xffa806ff,0x3fe62647,0x6c0fb800,0x05fff103,0x000be600,0x7ec00353,
    0x01ffb03f,0x5440ffe8,0x4f880001,0x3f602880,0x02ffffff,0x0005ffe8,
    0x07ff103f,0x1aa0bff3,0xb827dc00,0x3a20efff,0x03ffdc2f,0x3f07ffcc,
    0x3a005fe8,0xff883541,0x5f30002f,0xfddd9300,0xffb003df,0x802ffa85,
    0xffd10ffe,0x6c0005ff,0x83fed405,0xfffffed8,0xff100dff,0x33772a5f,
    0x3e20d501,0x02ffa83f,0x3fa0003e,0x3bfff602,0xfa82fe89,0x7fcc00ff,
    0xffb8d51f,0x07c02002,0x0017ffc4,0x7dc02f98,0x0fffa20d,0x3afbff20,
    0xffd001df,0xfffdff31,0xfe88001f,0xfffff704,0x3ffae200,0xfff506ff,
    0xffffdfd5,0x3e20b709,0x407fe83f,0x3fc4001e,0x77fffec0,0x7fff100d,
    0x71fffa80,0x001ffc8b,0xff881e80,0x5f30002f,0xd8077dc0,0x2ba204ff,
    0x4001aba9,0x222fbffe,0x93004ffe,0x081dffff,0x5000fff7,0xf909fffd,
    0x7dc43bff,0x882645ff,0xbfd533ff,0x4002d801,0xff9004fb,0xfff807ff,
    0x87ffd406,0x007ff44c,0x7c416c00,0xf30002ff,0x80bfe605,0xf881fff9,
    0xffd00003,0x0fff301d,0xffffb910,0xfff105ff,0x3ffa2000,0x027ff41f,
    0x1ec5fff9,0xffeeff88,0x0079001e,0xf1002fe8,0x540bffff,0x3f203fff,
    0xfff0f67f,0x20f20000,0x0002fff8,0x3ff605f3,0x42fff400,0xd00002fd,
    0x7ffc03ff,0x7ff54000,0x07ff886f,0x13ffa200,0xfe805fff,0x7c41326f,
    0x003ff93f,0x7f8800b6,0xff5bd300,0x3f601dff,0x3faa0bff,0xfd1326ff,
    0x5b00001f,0x005fff10,0x7fc0be60,0x1fffa807,0x3337ffe2,0x800aaabc,
    0x3fe00ffe,0xff90000f,0x00fff01f,0x265ffa80,0x7dc01fff,0x220b70ff,
    0x03bfa3ff,0xfb8007a0,0x30ef9804,0x640dffff,0xaefeffff,0xb16e3fff,
    0xd00003ff,0x05fff103,0x220be600,0xff8806ff,0x7ffffc2f,0xdfffffff,
    0x803ffa01,0x20000ffe,0x7ff83ffe,0x27fe8000,0x4401fff9,0x20d52fff,
    0x3fe63ff8,0x2000f805,0x7fcc02fd,0x27fff441,0x259bb930,0x1aa0fffb,
    0x00007ff7,0x5fff101f,0x20bea000,0xff005ffa,0xfffe887f,0xffffffff,
    0x01ffd01f,0x0000fff4,0xfff0bff7,0x4ff90000,0xf801fff8,0x2207e3ff,
    0x17fdc3ff,0x7c400d50,0x105fd807,0x0001fffd,0x83f0bfff,0x022007fe,
    0x1fffc0d5,0xc81fa800,0xfff006ff,0x9988e889,0xfeccaaaa,0x401ffd04,
    0x20001ffe,0x7ff85ff9,0x45fa8000,0xfe802fff,0x3e21322f,0x00ffd83f,
    0x27dc005d,0x980ffe20,0x54003fff,0x44c81fff,0xd8803ff9,0xfff01740,
    0x07ee0009,0x7401fff2,0x00ba22ff,0x3ffa0fd0,0x007ffa00,0xff07ff00,
    0x7f70000f,0xe803ffd8,0x303e21ff,0xdfd109ff,0xfd800f30,0x00ffdc02,
    0xd0017fee,0x03e209ff,0x6cc09ff7,0x3fa03cc0,0x1f90004f,0x001fff70,
    0x03ec1ffd,0xffe83540,0x007ffa00,0xff05ff00,0x3f90000f,0xe804ffc8,
    0x36a5c87f,0x7cc1afff,0x005d11df,0x7e403fc4,0x27fc400f,0x80dff500,
    0xcefd885c,0x440decbb,0x3ffec02e,0xf306e800,0xdff005ff,0x6c003fdc,
    0x401ffd03,0x20001ffe,0x0fff06f9,0x884f8800,0x3ff806ff,0x2aaaa9d0,
    0x2aaa81aa,0x4fa800bb,0x802ffb80,0xfd1003fe,0x209d001f,0x00abdca9,
    0xfff700bb,0x04fa8003,0xf101bffa,0x027fec9f,0x7ff40d90,0x007ffa00,
    0xff01fd80,0x36c00c0f,0x5407ff50,0x09f100ff,0x0036c400,0x7c4017ec,
    0x0ffcc04f,0x000efe80,0x440009f1,0x3ffa006d,0x03fe6005,0x201fffa8,
    0x3fe60ffa,0x33099cff,0x7fc01df7,0x07ffa01f,0x7dc07db1,0x20fff103,
    0x6c40aeff,0x07fec01f,0x74402fe8,0x2f4c000e,0x003fc400,0x7e401ff9,
    0x0dfd8803,0x00774400,0x30017a60,0xf300bfff,0xdffb005f,0x2e0ffa01,
    0xffffffff,0xff803fff,0x0bffa01f,0x339ffff5,0x7cc03db5,0xfffe80ff,
    0x00dfdbdf,0x6c0dfe88,0x37f2001f,0x01fed402,0x4004fa80,0x7dc41efc,
    0x03ffa805,0x016fe400,0x4000ff6a,0x89befff9,0x02ffeca8,0x887bff20,
    0x7edc03fd,0x00cdefff,0x304fffa8,0xffb09fff,0x009dffff,0xf307fff7,
    0x059dffff,0xfbdff900,0xd710003b,0xdfdb99df,0x7ec00017,0xeffa8002,
    0x7302efec,0x00017ffb,0x33bfae20,0x00befedc,0x7ffe4400,0x0cffffff,
    0xfffeb800,0x18001cee,0x7fff5400,0xffd55eff,0xa887dfff,0xfd7000aa,
    0x307dffff,0x10000155,0x40000353,0x00aacba9,0x00099000,0x4009a988,
    0x00001abc,0x5565d4c0,0x53000000,0x00135797,0x00175100,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x006f76c0,0x40000150,0x00abcca9,0x02b2e200,0x05999100,
    0x99751000,0x5100e015,0x20003530,0x00541aa8,0x76c400a2,0x2600005e,
    0x4c003eee,0x99999999,0x2aa20009,0x0982bccc,0x7c400510,0xfc8802ff,
    0xc880001f,0x3ffebadf,0x6df75c00,0x3f2001ff,0x30000fff,0xfdbdfffb,
    0x4c1ae59d,0x3ffaa6fd,0xfc8801ff,0xfeaeffef,0x00ff9301,0x0007ffcc,
    0x006ffc80,0x7fffee44,0x9802cfff,0xeddffffc,0x82d9bdff,0xf7006ff9,
    0xffd9807f,0x440001ff,0x0bff906e,0xdf90bea0,0x3f7fe600,0x7ec4004f,
    0xfd981bdf,0x7ff5c7ff,0xfffff56f,0x7f4c07ff,0x3fffee22,0x3ffff541,
    0x00ffea00,0x0077f400,0x9ffff300,0x3bff2001,0xffff500a,0x03fff907,
    0x11009fb0,0x0003fff7,0x3fa01fd8,0x42fcc02f,0xfd802ff9,0x2003ff71,
    0x5002ffe9,0xfc898fff,0xdaacf9ef,0xfa80ffff,0x3fff700e,0x07ffc998,
    0x0005fc80,0x0001ff88,0x800fffd8,0x1005ffd8,0xff507ff9,0x0017e00f,
    0x00007ffe,0x7fdc05ff,0xf817fc05,0x20fd403f,0xff9805f9,0x7fdc001f,
    0x0efff980,0xe84fffc8,0x3ffe202f,0x00fff101,0x00003f60,0x200005f7,
    0xe8807ffd,0xfd8004ff,0x50017304,0xffd0001d,0x7fcc0003,0x03ffe605,
    0x3980ffcc,0x5d100d80,0x004ffe80,0xff301f90,0x7fff401f,0x3e01bf20,
    0xfff101ff,0x00174000,0x80000f60,0xfc807ffc,0xbd10005f,0x00150000,
    0x0007ffa0,0x2201fff0,0xff501fff,0x00440003,0x1fff900c,0x207e2000,
    0x7d406ff8,0x09ff11ff,0x2203ffd0,0x220007ff,0x001c0002,0x01fff200,
    0x0003fff5,0x000002dc,0x007ffa00,0x4c0ffb00,0x3ff207ff,0x00000001,
    0x0013ffe2,0xdff103b0,0x267fff00,0xffe803ff,0x001ffe01,0x00000000,
    0x40fff900,0x0005fff8,0x98000344,0x7ff4001a,0x01a80001,0xfe817fea,
    0x2600002f,0xfff7001a,0x81980005,0xfe806ff8,0x005ff74f,0x7fc03ffd,
    0x00000007,0x7e400000,0x3ffee07f,0x00080001,0x3fbbb260,0xffe801ef,
    0xd8000001,0x3ff601ff,0x764c0002,0x201effee,0x00007ffe,0x201bfe20,
    0x7ff94ffd,0x403ffd00,0xfffd87ff,0xffffc87f,0x7ffffd87,0x07ffffc8,
    0xd03ffe40,0x00000fff,0x20dfb800,0x7403ffe8,0xfffe81ff,0x4c001dff,
    0x7fec04ff,0x37ee0003,0x20fffa20,0x0006fff9,0x01bfe200,0x7fecbff2,
    0x01ffe804,0xffc81ffe,0x81fff207,0x3f207ffc,0x7fe4007f,0x0dfff307,
    0x5c000000,0x9ffb00ef,0xe80fff40,0x320001ef,0x4ffc806f,0x01df7000,
    0xff513ff6,0x400000bf,0xfd806ff8,0x00bff91f,0x7fc03ffd,0x81ffe607,
    0x3e607ff9,0x1ffe607f,0x20fff900,0x0005fffa,0x5ff30000,0x80fffcc0,
    0xdfa81ffe,0x3fe20000,0xfffff881,0x02ffffff,0xf3017fcc,0x7ffdc3ff,
    0x22000005,0xffe806ff,0x801fff50,0x3fe01ffe,0x01ffe207,0x7fc40fff,
    0x003ffc07,0x7dc1fff2,0x76c004ff,0x5eeeeeee,0x400ffd80,0xffd05ffe,
    0x0004fa83,0xdd102fc8,0xdddffffd,0x0ffd803d,0xf92fff40,0x000009ff,
    0x7c03ffc4,0x0fffe65f,0x7c03ffd0,0x1ffe207f,0x7c40fff0,0x03ffc07f,
    0x641fff20,0x98004fff,0x02effffc,0xf500fff0,0x3ffd03ff,0x40001fdc,
    0x3ee004f8,0x7ff8004f,0x71fffa80,0x00009fff,0x203ffc40,0x7fec0ffa,
    0x3fff702f,0xf103ffc0,0x07ff80ff,0xff01ffe2,0x7ffc800f,0x00bfff90,
    0x417fff40,0x1bfe20b9,0x20bffe20,0x07f71ffe,0x001ae000,0x88009ff7,
    0xff8806ff,0x0bfff52f,0x7fc40000,0x20ffa04f,0x8acffff9,0x01ffecca,
    0xff881ffe,0x103ffc07,0x7ff80fff,0x83ffe400,0x0006fffa,0xf507fff6,
    0x02ffd4ff,0xfe83fff8,0x0003fc9f,0xf50007a0,0xffa8007f,0x27fff005,
    0x0006fff9,0x3fffe200,0x2e04fd82,0x4fffffff,0x7fc03ffd,0x01ffe207,
    0x7fc40fff,0x003ffc07,0x7cc1fff2,0x320007ff,0xfffc87ff,0x200dff91,
    0xffe84fff,0x00006ffd,0x3fea001a,0x37fe4003,0xf14fff80,0x00000fff,
    0x7fd77fc4,0xa802ffdd,0x3a3fffff,0x1ffe01ff,0x7c07ff88,0x1ffe207f,
    0xc800fff0,0xfff107ff,0x3f20003f,0x27ffa87f,0xfd007ffc,0xf5ffd05f,
    0x10000bff,0x3ff3000b,0x07ffc800,0x7f45ffd0,0x000001ff,0x2e62dff1,
    0x1b98001a,0x3e01ffe8,0x1ffe207f,0x7c40fff0,0x03ffc07f,0xd81bff20,
    0x90004fff,0x82a60fff,0xe800fffb,0x9ffe80ff,0x0003fff9,0x7cc001cc,
    0xfffb8007,0x20ffe800,0x0004fffa,0x06ff8808,0xffd00000,0x103ffc03,
    0x7ff80fff,0xf01ffe20,0xffc800ff,0x1fffe605,0x03ffe400,0x005fff30,
    0x3ffa0dff,0x003fff71,0xbf300000,0xfff99200,0xe86ff802,0x20000fff,
    0x06ff8859,0xffd00000,0x203ffc03,0x3ffc07ff,0xff01ffe0,0x3ffc800f,
    0x01fffe40,0x883ffe40,0x037ff41b,0x7f413fe2,0x03fff61f,0x32600000,
    0x6a804fee,0x22037ff4,0xfff984ff,0x01d10005,0x0000dff1,0x807ffa00,
    0x7ff407ff,0x803ffe00,0x3fe00ffe,0xff90100f,0xffff8805,0x3ffe4000,
    0x3ea2ffe8,0x3fea01ff,0x443ffd00,0x50006ffe,0xabe98017,0x20adfffe,
    0x7fd43fa8,0x03fea01f,0x0027ffd4,0x7fcc07a2,0xd0000006,0x3ffc03ff,
    0x2207ffa0,0x3a00fffd,0xffd881ff,0x646fc80f,0xff9800ff,0x3f2000ef,
    0x4fff887f,0xe8077fec,0x07ffa03f,0x800bfff1,0x16406ffb,0xffffffbd,
    0xfb01fffd,0x0ffa01df,0x01bfff30,0x7cc05d30,0x0000007f,0x3e205fff,
    0x77fe407f,0x3ffeba61,0x3dff9013,0x9fffd74c,0x747fff10,0x3fe6002f,
    0xff9001ef,0x20bffa0f,0x3621effc,0x17ffc03f,0x001fffdc,0x6c01fffd,
    0xffb11d52,0x407fffff,0x3621effc,0xffd1003f,0x971135bf,0xffb803fd,
    0x4000001f,0xf304fff9,0x7fc401ff,0xff2ffeff,0xff107fff,0x3e5ffdff,
    0x3fa3ffff,0x005f89ff,0xbdfffc88,0x4fffd981,0xfeb806a0,0x401ceeff,
    0xff04fff9,0x3ee009ff,0x7efd405f,0x7ffffd41,0xfffeb802,0x44001cee,
    0xffffffdb,0xd9100bef,0x07bfffff,0xffda8000,0x7dc4efff,0x7fd403ff,
    0x3bfe1fff,0x7fffd402,0x20bbfe1f,0x0cfffffa,0x3fb26000,0xfffedeff,
    0x2200002d,0xfeb800ba,0x3a5effff,0x0defffff,0x288014c0,0x0004d4c0,
    0x00002ea2,0x01abca88,0x33333330,0x88000013,0x19999999,0xdfffffd5,
    0xc81a9809,0x40d4c001,0x1ab9801c,0x55440000,0x0001aacb,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x33333331,0x4cccc413,0x26019999,0x10999999,0x33333333,
    0x33310013,0x26623333,0x19999999,0x4c000000,0x99999999,0x99999999,
    0x00000999,0x01c00002,0x33333100,0x30133333,0x33333333,0x26666213,
    0x99999999,0x26199999,0x81999999,0x01999998,0x7eccbddb,0x23efffff,
    0xffffffda,0xffd900ce,0x3faa3bff,0x2effffff,0xfffffb80,0xfffd935f,
    0xffffffff,0x000159dd,0x7fff6440,0xffffffff,0x2fffffff,0x81efea80,
    0xf980001a,0xfd930002,0x39dfffff,0xffffdc88,0xd932ceff,0xffffffff,
    0xffffffff,0x3fffff65,0x7fecc0df,0xfff985ff,0x4ffff981,0x1bfffe60,
    0x302ffb80,0x003fffff,0x201dff90,0xacdffffa,0xffffeca9,0x4c00000d,
    0x99fffeff,0xfb999999,0x7ffe403f,0x00361dff,0x001bf200,0x0bfffea0,
    0x27fffc40,0x27bffea0,0xeca99999,0x3ffe22ff,0x07fdc00f,0x2e02ffc8,
    0x7dc02fff,0x3e6004ff,0x37ffd404,0x01ff9800,0x64037ff4,0x0003ffff,
    0x3fefbe20,0x407d1007,0xfffe9ae8,0x80006ddf,0x0001fff8,0x4007fff8,
    0xf800fffd,0x5f9005ff,0x401fffa8,0x0ffa02fc,0x809fff10,0x2005fff8,
    0xffe801fb,0x4fa8000f,0x006ffe80,0x007fffd3,0x3ee7ea00,0x8132007f,
    0x7fffd439,0xfb80001f,0xe80004ff,0x7e4006ff,0xffe800ff,0x3a0fe005,
    0x02f404ff,0x3f6009f3,0xfffd807f,0x200db000,0x8003fffb,0xffd800fd,
    0x3ffa2006,0x5e80002f,0x4c00fff7,0x6dc02604,0xfd00001c,0x80001fff,
    0x5c006ffd,0xffd007ff,0x541dc00b,0x07ea07ff,0x3ea005b8,0x7fd401ff,
    0x03f8802f,0x001bffe0,0x3f6009f1,0x7fd4006f,0x2a0000ff,0x00fff71f,
    0x00000018,0xfff9f500,0xffd80007,0x3ffdc005,0x005ffd80,0x17ffc062,
    0x001406d8,0x2013ffe2,0xfb805fff,0x3fff2000,0x007ee001,0x40037fec,
    0x0004fffd,0x07ffb97a,0x00000000,0x3ffafb00,0x7fec0006,0x3ffdc005,
    0x005ffd80,0x30dff700,0xb000005f,0xffd00fff,0x006d801f,0x0027ffc4,
    0x7fec00dd,0xfff98006,0x43f50007,0x08807ffb,0x06a05100,0x54fe6000,
    0x20001fff,0x5c005ffd,0xffb007ff,0x8800880b,0x03e41fff,0x3ea00510,
    0x3fe602ff,0x0fe202ff,0x03fff600,0xd800be60,0xfd0006ff,0xbd0005ff,
    0xa807ffb8,0x87fed403,0x02ffffd8,0xff83f200,0x3f60005f,0x7fdc005f,
    0x0bffb007,0xffb001c8,0x5401fc49,0x3fe007fd,0x3ffee05f,0x003ee05f,
    0x00fffe60,0xffb001f6,0x3ff6000d,0x0fdc004f,0x3601ffee,0xffffd503,
    0xfffdfd31,0x9f10001f,0x000fffc8,0x800bffb0,0xfb007ffb,0x001e80bf,
    0x3ee1fff3,0x3fffee00,0x1fff2007,0x0fffbde8,0x74000dd0,0x27c407ff,
    0x01bff600,0x02fffe40,0x3fee17e0,0x081fdc07,0x15d5fff7,0x0017ffaa,
    0xfff107ee,0x3ff60007,0x3ffdc005,0x305ffd80,0x7f4003f9,0x70809d3f,
    0x7cc00fff,0x8af982ff,0x3f883fff,0x3ffea000,0x5007ee02,0xffffffff,
    0x01ffffff,0x801bffea,0xfffb80fb,0xffeeeeee,0xefff803f,0x006ff980,
    0xfffb06e8,0x3bff6000,0xaaaaaaaa,0x07ffdaaa,0xdddfffb0,0x003fffdd,
    0x0fcf7fd4,0x007ff880,0x7e42fff4,0xf70dffd0,0xfff80001,0x2201ba06,
    0xaeffeaaa,0x202aaaaa,0x1006fffa,0x3ffee09f,0xfdcccccc,0x0fff803f,
    0x5001ffe0,0x3ffea05f,0xfffd8002,0xffffffff,0x07ffffff,0x999dffb0,
    0x903ffdb9,0xff999999,0x99999fdf,0x07ff8899,0x207ffe40,0x03ffee5e,
    0xf90000bd,0x05f503ff,0x00dffb00,0x017ffee0,0xffb807e4,0x401fcc07,
    0x3fa00fff,0x01f6000f,0xb000bffd,0xfb800bff,0xbffb007f,0x76c0fd40,
    0xffeeeeee,0xeeeeeeef,0x4007ff85,0x3e62fff9,0x88fffe22,0xf880003f,
    0x007d85ff,0x000dffb0,0x200ffff2,0xfffffff8,0xc807ffff,0x00fff803,
    0x4c007ffa,0x7ffdc03f,0x2ffec001,0x01ffee00,0x3602ffec,0x3ffc4001,
    0x003ffc00,0x0f92fff4,0x07dcdffb,0xfffd8000,0x40013e20,0xb0006ffd,
    0xf9005fff,0x93333333,0x07500fff,0x7401fff0,0xdf9001ff,0xdddddddd,
    0xd8009fff,0x7dc005ff,0xbffb007f,0x44001b80,0xff8007ff,0xfffb8007,
    0xfff509f0,0x800017a3,0x3ee3fff9,0xdffb0000,0x3fffa000,0x201fc401,
    0x01007ffb,0x7401fff0,0xef8801ff,0xcccccccc,0x000fffec,0x70017ff6,
    0x3f600fff,0x4000405f,0xf8007ff8,0xff88007f,0xf881fabf,0x002f9cff,
    0xf3fff400,0x7fec000b,0xfff98006,0xb806d806,0x200007ff,0x3fa00fff,
    0x01fb801f,0x007fff30,0x2002ffec,0xfb007ffb,0x3b6000bf,0xffeeeeee,
    0xeeeeeeef,0x0007ff85,0x40f9dffb,0x00fbfffd,0x7ffd4000,0x20002faa,
    0xe8006ffd,0x7cc01fff,0x07ffb802,0x1fff0300,0x400fff40,0x7ff4006e,
    0x17ff6006,0x00fff700,0x40017ff6,0xbaaaaaaa,0xaaaaafff,0x07ff82aa,
    0x9ffff500,0x2ffffd40,0xfff80000,0x6c0007de,0x7d4006ff,0x06d804ff,
    0x000fff70,0x01fff059,0x2a00fff4,0x7fd4002f,0xbffb001f,0x07ffb800,
    0x000bffb0,0x00fff100,0x2000fff0,0x401ffff8,0x0002ffff,0x9ffff900,
    0x6ffd8000,0x3fffe200,0x8017d400,0x4c007ffb,0x00fff80f,0xfd007ffa,
    0x17ffe000,0x0037fec0,0x7401ffee,0x800005ff,0xf8007ff8,0x3f60007f,
    0xfffc806f,0xf1000000,0x80001fff,0xf5006ffd,0xf8803dff,0x1fff2006,
    0x3fe0bd00,0x07ffa00f,0xb0004f98,0xfd003fff,0xffc800df,0x6ffe800f,
    0xff880000,0x3fe2000f,0x3fea0007,0x05ffa803,0x7fec0000,0xffe80005,
    0x4fffc806,0x4009f900,0x9800fffd,0xfff883fe,0x80bffa01,0xf70002fe,
    0xffd00dff,0xfffd800f,0x07fff801,0xfff88000,0x3ffe6000,0x07fe0000,
    0x00017fc0,0x00bfe600,0xffffc880,0xfecbabce,0xf9001eff,0xff5001df,
    0x55557bff,0x01fffb97,0x2607fff7,0xfc884fff,0xfd8000df,0xb881cfff,
    0x5003ffff,0x4409ffff,0x003ffffc,0x3fff2200,0x3ffee004,0x01b20003,
    0x000007c8,0x26000dd0,0xfffffffd,0xabcdefff,0xffff5001,0xfc885dff,
    0xffffffff,0xffffffff,0x7ffff4c6,0xfffd54ef,0x3ff29dff,0x800effff,
    0xfffffffd,0xffffb36f,0x883bffff,0xfffffffc,0xfffb32df,0x03bfffff,
    0x3fffa600,0x700effff,0x7dfffffd,0x40053000,0x00000039,0x00000053,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x26660000,0x09999999,0x33333331,0x99881333,0x00999999,
    0x33333333,0x33333333,0x54c00333,0x00000abc,0xb8800664,0x409ff500,
    0xc9805ffa,0x0cb801cc,0x3330164c,0x33333333,0x54c40000,0x33331009,
    0x40000133,0x31999999,0x64007ddd,0xfffffffd,0xfffd932d,0xb839dfff,
    0xdffffffd,0xfffec881,0xffffffff,0x00ffffff,0x7fffff44,0xf700003f,
    0xffc8803f,0x409ff500,0xfe805ffa,0x7fdc05ff,0x4417ffc6,0xffffffec,
    0x40000cef,0xcfffefe9,0x7fff6cc0,0xb80000ff,0x24efffff,0x88007ffb,
    0x200dfffe,0x802ffffa,0x2003fffc,0x999ffff9,0xfdaa9999,0x3ffe601f,
    0x06ffffff,0x0fffcc00,0x0ffffc88,0x5409ff50,0x77dc05ff,0x3f602ffe,
    0x9fff10ff,0x4ffff980,0x13ee0000,0x2e01fff7,0x0003ffff,0x01efffe8,
    0x90003ff9,0xff003fff,0x3bfa00ff,0x7ffd8001,0x4407ee00,0xfca9cffe,
    0x20004fff,0xd981fffe,0x500fffda,0x7fd409ff,0x6c3be205,0x13fe606f,
    0xfb003ffb,0x200001ff,0xbffd04fc,0x1bfffe20,0xffff5000,0x003fd807,
    0x800fffb8,0xfb806ffe,0xffb0000e,0x901e800f,0x3ffa605f,0xefc8001f,
    0x7fc401ff,0x09ff500f,0xd902ffd4,0x0403fb81,0x3ff60008,0xff300007,
    0x81ffee01,0x002fffff,0x0bffffa0,0x7000dd10,0xfb001fff,0x0efa80bf,
    0x1fff2000,0x13a05900,0x007fff30,0x1ffdafa8,0x500fff80,0x7fd409ff,
    0x2601b105,0x4000000e,0x00007ffc,0x7f4409fd,0x3ffbba05,0xfbf30006,
    0x1f1005ff,0x0fffb800,0x205ffd80,0x40000efa,0x44007ffc,0xfb006980,
    0xa7c400bf,0xfe801ffd,0x09ff500f,0x0182ffd4,0x00000188,0x0003ffe4,
    0x0401ffcc,0x3ffebba0,0xf9fd8002,0x033002ff,0x00fffb80,0xf505ffd8,
    0xf900001d,0x220000ff,0x0bff7000,0xffd876c0,0x00ffe801,0x7d409ff5,
    0x8000005f,0xfc8001a9,0xfa80007f,0x6e80002f,0x8800bfff,0x02fff8cf,
    0x3fee0000,0x5ffd800f,0x0000efa8,0x200fff90,0x3ea00001,0x43f7003f,
    0xfe801ffd,0x09ff500f,0x1002ffd4,0x3bb26005,0x9001effe,0x70000fff,
    0xd00005ff,0x007ffeed,0xfff88fc8,0x80028802,0xd800fffb,0x077dc5ff,
    0xfff90000,0x80001600,0xf8801ffb,0x400ffec3,0xff500ffe,0x02ffd409,
    0x5c03fed4,0x3ffa20df,0x07ffc803,0x03ffc800,0xff16e800,0x57e200bf,
    0x2a02fff8,0xfb8007fd,0xffd800ff,0x0003bee5,0x00fff900,0x640000f1,
    0xb0dd007f,0xffd003ff,0x817fea01,0x3ee05ffa,0x7dc07fff,0x09ffb00e,
    0x0007ffc8,0x0004ffc8,0x3fff26e8,0xf11fb800,0xfff705ff,0xff7000ff,
    0xbffb001f,0x00003bf2,0x101fff20,0x740000fb,0x80fb803f,0xfe801ffd,
    0x0bff500f,0x2102ffd4,0x3e607ffb,0x3ffe602f,0x01fff201,0x01ffea00,
    0x226e80c4,0x6f804fff,0x420bffe2,0xb8007ffb,0xfd800fff,0x005ffcdf,
    0xdfff9000,0xfffddddd,0x3e60000f,0xb03f9806,0xffd003ff,0x81bfea01,
    0xf8805ffa,0x03ff607f,0x640bffd0,0x980007ff,0x1d802fff,0xfffd8dd0,
    0xf88bee00,0x3fe202ff,0xfffb8007,0xfeffd800,0x00005fff,0xcccfffc8,
    0x07fedccc,0x005fd000,0x0ffec0bd,0xa807ff40,0xff980fff,0x3e202e6f,
    0x01ffe07f,0x6407ffea,0x880007ff,0x2a00efff,0xff31ba07,0x2237407f,
    0x3e202fff,0xffb8007f,0xdffd800f,0x005ffff9,0x03ffe400,0x540003e4,
    0x00fc804f,0x3a007ff6,0xfff500ff,0x7fd75c4b,0x07ff81e6,0xf100dff1,
    0x3ff205ff,0xff700007,0x07f501df,0x3ffec374,0x7fc43fa8,0x03ffc02f,
    0x007ffdc0,0xff9affec,0x200005ff,0x0f007ffc,0x806e8800,0x7fec02fa,
    0x00ffe801,0xfdfffff5,0x377ffa1d,0x541ffe04,0xfff005ff,0x01fff207,
    0xffffe800,0x406ffcbd,0x3fff986e,0xfff887e8,0x003ffc02,0x4007ffdc,
    0x3fe65ffd,0x900005ff,0x01600fff,0x8801fb00,0x999999df,0x99affe99,
    0x201ffd00,0xdffffbfb,0x037ffea0,0xff907ff8,0x13ffe00d,0x0003ffe4,
    0xfffffd10,0x6e801dff,0xf98dffd0,0x02fff883,0x5c003ffc,0xfd800fff,
    0x7fffcc5f,0xffc80005,0x40001007,0xffa801fc,0xffffffff,0x04ffffff,
    0x5ee01ffd,0x005402b9,0xffc83ffc,0x05ffd007,0x0001fff2,0x3fffff60,
    0x506e800c,0x07ec5fff,0x2017ffc4,0xfb8007ff,0xffd800ff,0x5ffff985,
    0x3ffe4000,0x3ee00000,0xffff5001,0xffffffff,0x3a09ffff,0x01f900ff,
    0x0fff0000,0x2003ffee,0xff900ffe,0x2200000f,0x3a000bf9,0x45bffa06,
    0x5fff104f,0x8007ff80,0xd800fffb,0xfff305ff,0x7e4000bf,0x0010007f,
    0x544005f3,0xaaaaaaaa,0x1aacffea,0x3a01ffd0,0xf800001f,0x5fff307f,
    0x640dff00,0x170007ff,0x4003fa80,0x3ffee06e,0xff100fc9,0x07ff805f,
    0x00fffb80,0x2205ffd8,0x0005ffff,0x1000fff9,0x002f980d,0x07ff6000,
    0x2203ffa0,0x800003ff,0x3ffa07ff,0x027fc406,0x1000fff9,0x5fff880d,
    0xff01ba00,0x7c40bfdf,0x3ffc02ff,0x07ffdc00,0x202ffec0,0x00dffff8,
    0x003ffe40,0x07f302e4,0x360002e0,0xffe801ff,0x004ff980,0x207ff800,
    0x2a01fffa,0x3ff200ff,0x804c8007,0xd000ffe8,0xffffb80d,0x0bffe201,
    0x7000fff0,0xfd001fff,0xfff300df,0x7ec001df,0x17d4007f,0xc8803f98,
    0x3ffb0006,0x701ffd00,0x80000bff,0x7ec07ff8,0x07fd00ef,0x4007ffd8,
    0xdf7002fa,0x22037400,0x7cc06fff,0x3fe202ff,0xfffc8007,0x07fff801,
    0x3dffff50,0x01fff600,0xff507fa8,0xdddddddd,0x20007fff,0xff801ffd,
    0x05ffa81f,0x7ffcc000,0x0f7fe400,0xfd007fb1,0x3f2003ff,0x07fd1007,
    0x7e403fc0,0x7ffd402f,0x03ffe603,0x5ffffa80,0x3fffee20,0xffffb803,
    0x3ea02cff,0xaaaadfff,0x4ffdcbaa,0xffffffa8,0xffffffff,0x3ffb0000,
    0x84fffa80,0x00001fe8,0x401fffdc,0xceefffeb,0x7ffdc401,0xcccccdff,
    0x405fffdc,0x1003dfda,0x44017ff9,0x7ff4c06f,0xfff701ef,0xffff9007,
    0x265bffff,0xfffffffd,0x7ff441df,0xffffffff,0xffffd913,0xffffffff,
    0x885fffff,0xffffffff,0x06ffffff,0x407ff600,0xffffffee,0x2000001e,
    0xefffffeb,0x00ba8803,0xfffffc88,0xffffffff,0x402fffff,0xfb300098,
    0x03bfffff,0x7ff5c0f6,0x74efffff,0x7dfffffd,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3260e5c0,0x33333103,0x00003333,0x26666662,0x22000199,0x20e540bc,
    0x99999998,0x10000999,0x33333333,0x5c000133,0x80164c0c,0x99999998,
    0x99999999,0x26662099,0x01999999,0x4ccccccc,0x26666609,0x80999999,
    0x99999998,0xfffffb09,0xfff901df,0xf709309f,0x82fff8df,0xfffffec9,
    0x3dffffff,0x7ff64c00,0xffffffff,0xffd800bd,0x983ffe64,0xffffffec,
    0xceefffff,0x7ff64c01,0x01ceffff,0xf8dff700,0xffe802ff,0xffffffff,
    0x2fffffff,0x3fffffaa,0x76404eff,0x13efffff,0xfffffffb,0xf9503bff,
    0x43bfffff,0x401ffff9,0x7f5c1ff8,0x10fffc87,0xfa809fff,0xcaaacfff,
    0x8001efff,0xbbcffffa,0x403ffffd,0x3fee5fff,0xffff501f,0xfb533355,
    0xf5003dff,0x00005fff,0x3e21fffb,0xffe804ff,0xaaaaaacd,0x05fffdaa,
    0x09fffff5,0x02fffd80,0xfffffd51,0x9fff1001,0x07ffea01,0xc9889f30,
    0x44ff987f,0xfe801ffc,0xfffb105f,0xbfff0009,0x037fff20,0xfd117fdc,
    0x06ffe80d,0x017fff4c,0x0003fff4,0x7ec4ff98,0x00ef801f,0x01dfff30,
    0x00ffffcc,0x2003fee0,0x00ffffe8,0xfb005ff0,0x00fb807f,0x08040ff5,
    0x017ffa00,0x8005fffd,0x3f605ffe,0x402205ff,0x06ffe800,0x00fffe88,
    0x00037ff4,0xf0004020,0x7fff4001,0x5fffc801,0x0017ec00,0x007ffff1,
    0x3e6007f9,0x302f406f,0x800000ff,0x7d405ffd,0x7ec006ff,0x3ffe205f,
    0xb000001f,0x3e600dff,0x7fec04ff,0x00000005,0xf9002c40,0x7f4009ff,
    0x9f3001ff,0xffff3000,0x0027cc01,0x7d40bffa,0x001fe602,0x0bffb000,
    0x00ffff88,0xd017ff60,0x00007fff,0x801bff60,0x7ec06fff,0x09aaaaef,
    0x30000000,0x3ffe6009,0x7ffcc006,0x000dd006,0x882fffdc,0xffa8006f,
    0xf980db06,0x06aa6207,0x017ff600,0x8003fffe,0x7e405ffd,0x554405ff,
    0xdffb0009,0x03fff400,0x3ffffff6,0x0002dfff,0x88008000,0x8001fffe,
    0x5c03fffc,0x7ec0002f,0x00fe82ff,0x885ffd00,0x43fcc03f,0xfffdffc8,
    0xbffb000d,0x07fff880,0x202ffec0,0xf504fffb,0x007fffff,0x2200dffb,
    0x7ec05fff,0x3ff6a65f,0x7ffec0ff,0xffffc87f,0xffc80007,0x3fa0003f,
    0x0bf101ff,0xffff1000,0x0000fe41,0x0fb8dff5,0x3a23fcc0,0x3bfea0df,
    0x05ffd800,0x0037ffd4,0xf9017ff6,0x19fb07ff,0x803bff66,0xf5006ffd,
    0xffd805ff,0x1dfff505,0x640fff90,0x540007ff,0x40005fff,0xfb06fff9,
    0x3ee00001,0x007f75ff,0x745ffd00,0x647f9805,0x4ffc81ff,0x205ffd80,
    0x001fffe8,0x3a02ffec,0x0fe41fff,0xb027ff44,0xfd100dff,0xffd801ff,
    0x1bffee05,0xf981ffe6,0x3e20007f,0x80000fff,0x7d43fffc,0x7ec00002,
    0x0005fcff,0x3eadff70,0x747f9801,0x5ffa80ff,0x105ffd80,0x0007fffb,
    0x7dc0bffb,0x037cc4ff,0x3603fff5,0x7fcc06ff,0xffd801ef,0x3fffe205,
    0x203ffc40,0x360007ff,0x00002fff,0x221fffd1,0x8800005f,0x000effff,
    0x367ffe00,0xd8ff5006,0x0dff306f,0x4c4bffb0,0x001efffb,0x2e0bffb0,
    0x2fe86fff,0x40fffe60,0xcccdfffd,0x03fffecc,0xd017ff60,0xff885fff,
    0x003ffc07,0x005fffb8,0xafffd400,0x000000fc,0x000bfff5,0x3feffb80,
    0x441ff500,0x0dff301b,0xffdfffb0,0x00039fff,0xacdfffd8,0x884fffec,
    0xccccccff,0xb04fffcc,0xfddddfff,0x017dffff,0xb017ff60,0xff889fff,
    0x003ffc07,0x007fffc4,0x7ffe4000,0x000003fc,0x0017fff4,0x1ffff100,
    0xeeeee880,0x7ffed404,0x9effd806,0x004fffb9,0xbaeffd80,0x300acddc,
    0x555557ff,0x20355555,0x75106ffd,0x8019ffff,0x7f405ffd,0x3ffc42ff,
    0x2001ffe0,0x0001fffe,0xdffff100,0xf9800000,0x0000ffff,0x0017ff20,
    0x35df7100,0xffb00dff,0x01fffc8b,0x02ffec00,0x000ffa80,0x806ffd80,
    0x405ffff9,0x3e205ffd,0x7fc41fff,0x003ffc07,0x0013fff2,0x5fff5000,
    0x7c400000,0x005fffbd,0x007fe200,0xdf700654,0x4037fcc5,0x7f445ffd,
    0x360000ff,0xf70005ff,0xfb00003f,0x3fe200df,0x3ff603ff,0x17ffee05,
    0xff01ffe2,0x7ffcc00f,0x98000006,0x00002fff,0x7fec3ba0,0x3600002f,
    0x7fff7006,0xf981df90,0x5ffd806f,0x005fff98,0x0017ff60,0x0001ffdc,
    0x90037fec,0x7ec0dfff,0xffff905f,0x80fff101,0xfd1007ff,0x000003ff,
    0x005fff30,0x887f2000,0x0000ffff,0xfd003f88,0x07fd8fff,0xfb00dff3,
    0x3ffee0bf,0xbffb0003,0x1bfea000,0xdffb0180,0x7fffd400,0x22bffb00,
    0x1efffda9,0xf80fff10,0xfff9007f,0x20000007,0x0002fff9,0xfb83fb80,
    0xb80005ff,0xfff9000f,0x413fe65f,0xfd806ff9,0x3fff605f,0x5ffd8000,
    0x5fff1000,0x3f607700,0x3fe2006f,0xfffb00ff,0x7bffffff,0xf80fff00,
    0xfffa807f,0x00038005,0x0005fff3,0x3604f980,0x20003fff,0x554004f8,
    0x09ff72f8,0x3601bfe6,0x3fe205ff,0xffd8006f,0x3ffa0005,0x407e200e,
    0x26006ffd,0x3f605fff,0x01aaaaef,0xf007ff40,0x7fc401ff,0x068000ff,
    0x05fff300,0x037c4000,0x003fffe2,0x80007e40,0x0fff70f9,0xb009bfee,
    0xffa80dff,0x7fec004f,0x3fea0005,0x06e982ff,0xc801bff6,0x3fa03fff,
    0xfe80005f,0xfffd881f,0x0bfff600,0x40016a00,0x0002fff9,0x7001fd10,
    0xb880dfff,0x0005f51b,0x9fff12e4,0x3fffb661,0xdffb04a8,0x07fff900,
    0x0037ff40,0x3bffff60,0x200ffecc,0xf3006ffd,0x7f401fff,0xfc80006f,
    0x3eba61ef,0xffb813ff,0x3f88005f,0x5fff3000,0x0bf60000,0x04fffe80,
    0x17fffff2,0x6c1f8800,0xf3feffff,0x7f40bfff,0xfffd007f,0x1fffe005,
    0xfffd1000,0x805fffff,0xfb806ffe,0x7fc00eff,0xf880007f,0xf2ffefff,
    0x7c47ffff,0x44000fff,0xf50002fe,0x880007ff,0x7d4006fd,0xffb02fff,
    0x20001fff,0xffc882fb,0x37ff21ef,0xffffc880,0x7ffcc00b,0xff9102df,
    0x800017ff,0x1efffffc,0x3ffff220,0xecbaabcd,0xfb805fff,0x80003fff,
    0x21fffffa,0xffe82eff,0xccccccef,0xffeccccc,0xfe98001f,0x50001eff,
    0x4001ffff,0x1bfffffc,0x00177f4c,0x130019b0,0x3f660220,0xdfffffff,
    0x3fffee01,0xfffb33ff,0x03bfffff,0x00ab9800,0x3fffff66,0xefffffff,
    0x36601bde,0xfffffffe,0x54c0001d,0xff701c81,0xffffffff,0xffffffff,
    0xfeb800ff,0x3effffff,0xfffff900,0x76401dff,0xffffffff,0x08000086,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x99999988,0x80001999,0x99999998,0x99999999,
    0x2e219999,0x20164c0b,0x33333202,0xcccccccc,0x00dccccc,0x00003260,
    0x32000000,0x2a620001,0x2620001a,0x5440009a,0x0080009a,0x0d4c0044,
    0x306ea200,0xffffffd9,0x9ddfffff,0xfff90015,0xffffffff,0xffffffff,
    0xf12ffe4f,0x807403ff,0x03500004,0x00007d40,0xd3015510,0x002f8800,
    0xffdffc88,0xfd3000df,0x8019fffd,0x3ffffffa,0xe881e600,0xfddd9302,
    0xffc803df,0xffa80fff,0xcbabcdff,0x00dffffe,0x2af37ff2,0xaacfffba,
    0x3a7ffdca,0x3ffea7ff,0x1201f503,0x000d4000,0x980001f5,0x1effeeeb,
    0xf88007f1,0x6ff44002,0x003bfea0,0xfffb89f7,0x2619fb00,0x4400effd,
    0x5c1b603f,0x3ffa20df,0x3a61b503,0x0dffd04f,0x07ffff90,0x7fc40bf6,
    0x54fd102f,0x077f43ff,0x04807f44,0x40035000,0x260000fa,0x3ff660ef,
    0xf88004ec,0x0ffe4002,0xf9027fe4,0x217ffa09,0xffe881fc,0xc81ba204,
    0x00efb82f,0x70509ffb,0x1bffa0df,0x27fffd40,0xfff101ec,0x1107c405,
    0x0ffe8020,0x2a000090,0x003ea001,0xe8837c40,0xf10006ff,0x0ffe8005,
    0xf305ffa8,0x1ffee01f,0x7fd40df3,0x207fb01f,0x2ff986fb,0x007ffe60,
    0x7fec0bf2,0x3ffe2006,0xf100ec2f,0x00d805ff,0x3fff6200,0x20000900,
    0x03ea001a,0x80ffa200,0x8001fff9,0x7ec002f8,0x20dff306,0x3fa204fe,
    0xf3017f45,0x0df907ff,0x3f60bfe6,0x2fff400f,0xfd80fe20,0x7fd4006f,
    0xf10120ff,0x00b805ff,0xfffff300,0x0024ffff,0x2a001a80,0xffc8000f,
    0x1bfff600,0x000be200,0x3fe60371,0x803ff986,0x6667fc40,0xfffccccc,
    0x4417fd44,0x0fff06ff,0x303fff50,0x3601bff9,0xfd8006ff,0x3e2004ff,
    0x440002ff,0xfff55302,0x00245557,0x2a001a80,0x7fe8000f,0x3ffefb20,
    0x017c4001,0xfffda800,0x002ffa86,0xaaabff98,0x1aaaaaaa,0x3a21bfe6,
    0x6ff881ff,0x82fff880,0x80effdb9,0x98006ffd,0x22007fff,0x50002fff,
    0xfff00ffb,0x40001201,0x03ea001a,0x20dff100,0x2fff98fb,0x0017c400,
    0xf35df710,0x05ff70df,0x001ff500,0xb05fff10,0x3fea0bff,0x07fff005,
    0xfd82ffa8,0xffd0006f,0x3fe2005f,0x7fdc002f,0xfff807ff,0x20000900,
    0x5555531a,0x557f9555,0x41555555,0x1fa86ffa,0xaa893ffe,0xfbaaaaaa,
    0xaaaaaaac,0x22efb81a,0xffc86ff9,0x1ffb8003,0x87ffc800,0xf902fffa,
    0x3ffe00df,0xd84fd804,0xfb0006ff,0x3e2009ff,0xb84002ff,0xfff807ff,
    0x20000900,0xfffff91a,0xffffffff,0x45ffffff,0x17cc7ffc,0xffa93ffa,
    0xffffffff,0xffffffff,0x2077e44f,0xffc86ff9,0x3ffb8004,0x3ffe8800,
    0xf906ffd8,0x3ffa00ff,0xd82fb802,0xf90006ff,0x3e200bff,0xf10002ff,
    0x1fff00ff,0x54000120,0x33333311,0x3333f733,0x5c133333,0x07f30fff,
    0x4cc45ffb,0xf9999999,0x9999999b,0x4c1ff609,0x7ffa86ff,0x3fea3100,
    0xff886006,0x705ffd06,0xfd001fff,0x01dd001f,0x2000dffb,0x1006fffb,
    0x20005fff,0xff807ff8,0x0000900f,0x0fa8006a,0x4fffcc00,0x1ffd03f8,
    0x002f8800,0x7cc13fe6,0x2fff986f,0xfff11d80,0xf9877005,0x86fe883f,
    0xf802fff9,0x4cdf746f,0xdffb01ed,0x3ffea000,0x5fff1006,0x03ffc000,
    0x04807ffc,0x40035000,0x7c4000fa,0x3a04ebff,0x2f88007f,0x413fee00,
    0xff886ff9,0xd1ea00ef,0x7c401dff,0xf307fb81,0x0dffd05f,0x6dc4ff88,
    0x7ec03def,0xff50006f,0x3fe200bf,0x3fe0002f,0x00fff807,0x06a00009,
    0x8000fa80,0x7c05fffd,0x2f88005f,0x41ffee00,0xfb826ffb,0x3fa80eff,
    0x417fffd4,0x0ff206e9,0x7fd437d4,0x03fea01f,0x1bff6000,0x27ffe400,
    0x02fff880,0x201ffe00,0x00900fff,0xa8006a00,0xff88000f,0x07fea02f,
    0x800be200,0xb30cfff8,0x8951fffd,0xcbdffffe,0xfffb06ff,0x1ffd99df,
    0xf700fe80,0x01dffb05,0x40000ffa,0xb0006ffd,0x22005fff,0x20002fff,
    0xfff807ff,0x20000900,0x03ea001a,0x07fff400,0x10004fe8,0xffd8005f,
    0xfff3feff,0xfffd10bf,0x201dffff,0xffffffe8,0x3e8802ff,0x7fe41b60,
    0x00ff621e,0x06ffd800,0x03fffd00,0x00bffe20,0xf807ff80,0x000900ff,
    0xfa8006a0,0xfcec8000,0x13f621ef,0x002f8800,0x0f7ffe44,0x6c01bff9,
    0x00cfffff,0xefffffc8,0x803e6001,0xfffd702e,0x000039dd,0x8006ffd8,
    0x2006fff9,0x0002fff8,0x3fe01ffe,0x0000900f,0x4cccc46a,0x99fb9999,
    0x09999999,0x7ff543ee,0x0002cfef,0x300017c4,0x44002201,0x98000ab9,
    0x110000ab,0x2a200440,0x2000000b,0xd8006ffd,0x22002fff,0x20002fff,
    0xffe807ff,0x00024622,0xffff91a8,0xffffffff,0x5fffffff,0x2ea607e2,
    0x3e200001,0x00000002,0x00000000,0x00000000,0xdffb0000,0x5fffa800,
    0x17ffc400,0x00fff000,0x4362bffb,0x23500004,0xaaaaaaa9,0xaaaaaaaa,
    0x0000aaaa,0x00540000,0x00000000,0x00000000,0x00000000,0x006ffd80,
    0x003fffe2,0x005fff10,0x201ffe20,0x22fffffb,0x03500004,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2a00dffb,0x8001efff,
    0x0003fff9,0x9001fff3,0x00487dff,0x00003500,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffd00000,0x7fff900d,0x7ffd4000,0xfff70003,
    0x6c022007,0xcccccccc,0xcccccccc,0x000001dc,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3ff22000,0xcbabcdff,0x001efffe,0x3bfffa60,
    0x3ffae001,0x0003efff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x36600000,0xffffffff,0x09acdeff,0x3ffaa000,0x04efffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00053000,0x43553000,0x01aa8801,0x03006aa2,
    0x00001800,0x88022530,0xffffc800,0xfffd31ff,0xfe989fff,0x02a207ff,
    0x15300551,0xfffffb80,0xffed81ef,0x2a05103f,0x22144001,0x3ffff60a,
    0x7ffffc87,0x0005f7d4,0x3b7fa600,0xf900feff,0x21bffdbf,0x2ffffffa,
    0x65444f98,0x07e40acd,0x9fb50000,0x0fc403aa,0x837ffcc0,0x6c05fffa,
    0x3ffb304f,0x13ffff22,0x017ffff2,0x807fffb1,0xfda80ff8,0xffffb10f,
    0x0ffd9805,0xfc85fff9,0x1fff207f,0x0033ff6a,0x8837e200,0x7f440ffc,
    0x7df7fdc4,0x07ffd50c,0xfff919f7,0xf917fffd,0xd7100007,0x205e85df,
    0xffb800fb,0x013ff606,0xfffd50db,0xffdfd33f,0x3bfa27ff,0x4404fffe,
    0x7cc02fff,0x7ffff542,0xfffefe98,0xfffea80f,0x5ffffb8f,0xf303ffcc,
    0x7fe4c0ff,0x3f60001d,0xfc81f901,0x2ffff80f,0xb80fff88,0x64c0bfff,
    0x40003fff,0x501dffc8,0x01be209f,0xf9807ffc,0x441fc06f,0x2eafffa8,
    0x3a3fff66,0x07ffe60c,0xb80bff90,0x5fff7086,0x3ffaa15d,0x5fff7085,
    0x887ff71b,0x3ffc07ff,0x177fdc40,0x880ffc00,0xd83ffc0f,0x3ff206ff,
    0x401ef884,0x260007fa,0xe800cffd,0x00bf702f,0x7f407ff9,0x801f501f,
    0xff00efff,0x3ff605ff,0x07ffc403,0xfff807d0,0x06ff980e,0x02077ffc,
    0xff01ffe2,0xffea800f,0x4ff8800b,0x0dfb0360,0xfb817ff2,0x001fc86f,
    0xeb8007f5,0x7d4003ef,0x807ff01f,0x3fa06ff9,0xd009b04f,0x7ff403ff,
    0x013fee03,0x7d40fff6,0x007ffc00,0xfff80fff,0x0fff1002,0x30007ff8,
    0xe8039ffb,0x88180dff,0xdfff900a,0xffdddddd,0x4003f88f,0x7e4400fc,
    0x3a0002df,0x2ffb80ff,0x4c0fff40,0x7c40ffff,0x01ffe801,0xfa80fff2,
    0x6ffa805f,0xfff009b0,0x007ff401,0x22001fff,0x3ffc07ff,0x3ff22000,
    0xffff702d,0x32600017,0xaaaadfff,0x542aaaaa,0x17d4000f,0x01cffd98,
    0x06ffa800,0x7dc03ffd,0xffccd84f,0xfe8035c3,0x0ffee01f,0xd005ff98,
    0x01f885ff,0x3a00fff8,0x3ffa01ff,0x0fff1000,0x00007ff8,0x417dfd71,
    0x3fffffd8,0x373f6a00,0xf90004ff,0xa87f1000,0x0000befe,0x5c2fff40,
    0xff100eff,0xff98f98f,0xfe801f46,0x0ffee01f,0x7005ff98,0x006c8bff,
    0x7f401fff,0x03ffa01f,0x203ffc40,0x800007ff,0xffb84ffd,0x2600efff,
    0x9ff90cfe,0x001b2000,0x3dff3274,0x3ee00000,0x7ffc42ff,0xd8bff603,
    0x7cc7ffa5,0x03ffd000,0xf301ffdc,0x3fe200bf,0x7c00be0f,0x3ffa00ff,
    0x003ffa01,0x3e03ffc4,0x7100007f,0x6c405dfd,0xd81fffff,0x2ffdc0ef,
    0x0007b800,0xdffc887f,0x7f400002,0x06ffb84f,0x1f8affd4,0x02e53fee,
    0x5c03ffd0,0x3fe603ff,0x53ff2005,0x3ffe007a,0x807ffa00,0xf1000ffe,
    0x07ff80ff,0x6ffe4400,0x3ff66001,0x4077ec5f,0x81006ffa,0x7cc000fa,
    0x7dfd7101,0xdff50000,0x2003ffe0,0x446c8ffe,0x002f8fff,0xfb807ffa,
    0x17fe603f,0x9b7ff980,0x007ffc00,0x7f403ffd,0x1ffe000f,0x2000fff0,
    0x400cffda,0x43ffee03,0xff304ff8,0xf88d001f,0x80364004,0x000cffea,
    0xf701dfd0,0x3ff2003f,0xdffd82fc,0x0fff4007,0x4c07ff70,0x7f4005ff,
    0x3e001fcf,0x3ffa00ff,0x003ffa01,0x3e00ffe8,0x3ae000ff,0x01e002ef,
    0x3fea5ffd,0x013ffe04,0x003f7097,0x93000bea,0x54003bff,0x3ff881ff,
    0x1bffe200,0x0027ffd4,0xfb807ffa,0x17fe603f,0x0bfff500,0x200fff80,
    0x3fa01ffe,0x3ffa000f,0x0fffd881,0x0effe440,0xf7017c00,0x81bfee1f,
    0xf502fffe,0x500bfe03,0x644000ff,0xfe802eff,0x0009f702,0x7fc07ffb,
    0x7ff4000f,0x80ffee01,0xf8006ff9,0x7fc002ff,0x07ffa00f,0x2001fff8,
    0x3a61effc,0x9813fffa,0x0000cffd,0x37e403fe,0xe985fff1,0xabdffffe,
    0xdfb03ffd,0x3662139f,0x80004fef,0xa80bffea,0x00bf103f,0xf901fea0,
    0x5fff000d,0x5027fe40,0xf9000dff,0xfff8800f,0x80bffa01,0x22002fff,
    0x2ffeffff,0x2a7fffff,0x0000befe,0x220beff8,0x7ffec1ff,0xff54fdce,
    0x0bffffff,0x7ffd4bf2,0x9f72efff,0x3f660000,0xc813a0cf,0x0fe0000e,
    0x98005f10,0xfd104fff,0x3ff601df,0x27c4001f,0x0fffee00,0xa827ffcc,
    0x54005fff,0x3e1fffff,0x0b7ea2ef,0xffdf0000,0x303bfdbf,0x83bffffb,
    0x3fffffea,0x95305f30,0x001f7037,0xba7e4400,0x0007e205,0x00700170,
    0x7fffff4c,0xffffd35e,0x3ff61dff,0x001effff,0x7f4c002e,0xd54effff,
    0x29dfffff,0xffffffea,0x40d4c005,0x0001881c,0x55d44100,0x00ab8801,
    0x20055d44,0x00040000,0x01118800,0x00000044,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x30000000,0x7ffffc00,0xffffffff,
    0xfffff51f,0x7fff45ff,0x0000004f,0x00005b70,0xba8000d4,0x1bcb9801,
    0x03797300,0x40577510,0x405d40ca,0x333310bb,0x33333333,0x13333333,
    0x2aaaaaa2,0xaaaaaaaa,0x881aaaaa,0x80eeed40,0x4000dddc,0x9ff004fc,
    0xf9555555,0xfff509ff,0x01bfd03f,0x06b800b7,0x001bfe20,0x20037c40,
    0x02effffc,0x03bea1f9,0x7ffffec4,0xb39f500d,0x6ff983df,0xff71bfe6,
    0x3ffffea9,0xffffffff,0x54ffffff,0xffffffff,0xffffffff,0x03b09fff,
    0x3fe09ffb,0x7fe8002f,0xfe803f00,0x3ffea06f,0xf5037c43,0x013ee00b,
    0x00009fd0,0x5400fff2,0x87fea8ae,0x827f44f9,0xdfb31dfe,0xffb8bf30,
    0x5c3ffee0,0x3ff60fff,0x33333317,0x33333333,0x229d3333,0x99999999,
    0x99999999,0x1fd40999,0xffa87fe8,0x0dfb0003,0xfff901e0,0x0fffd801,
    0xbf5003b6,0x0004fb80,0x3e600003,0x0e800fcb,0x3e61ffc4,0x7dc2fec1,
    0xfe87f502,0x3ea5ff83,0x8fff70ff,0x00006ffd,0x000004d8,0x885fff88,
    0x02fe41ff,0x93ee4fe8,0x502445fc,0xd1005fff,0x007eabff,0x4fb82fd4,
    0x80000000,0x1009f16e,0x7100ff60,0x80fd0dff,0x207fe66f,0xfff30ffc,
    0x3f237fd4,0xd800005f,0x10000004,0x7f301ffd,0xff1005e8,0x7e4be69f,
    0xff1000ff,0x7fcc009f,0x54003fbf,0x0027dc5f,0x7d400000,0x40007ee1,
    0x199100fe,0x04f88dfb,0x1ffa87e4,0xff11ffb8,0x2a2ffc4b,0x800004ff,
    0x0000004d,0x26a81bee,0x3ee000e9,0xfd9f8dff,0x3fa004ff,0xffc8006f,
    0xbf50005f,0xaa9813ee,0xaaaaaaaa,0xaaaaaaaa,0xd0bf100a,0x0bf3000d,
    0x46fd8bea,0x87e404f8,0xffa82ffa,0x7ff13fa0,0x0003ff88,0x55514d80,
    0x55555555,0x55555555,0x402fe883,0x22000262,0xdfefefca,0x3ff2000a,
    0xffd0000f,0x77d40009,0x7ffe404f,0xffffffff,0xffffffff,0xf301f902,
    0x80ed8007,0x437ec6fa,0xf33fc07e,0xd8ff509f,0x7c17ec2f,0xd800001f,
    0xffffff54,0xffffffff,0x2a9fffff,0x00002dfd,0x1efe9800,0x2fffa800,
    0x3ffee000,0x1ff20002,0x26666620,0x99999999,0x80999999,0x03f603f9,
    0xff807dc0,0x7e437ec4,0xfe89f502,0x7e43fc87,0x7f407e41,0x08800000,
    0x33333331,0x33333333,0x26213333,0x40000000,0xfbebffda,0xff8802df,
    0x3e20004f,0x8000fffe,0x0005fdfb,0x06e80000,0x754027c4,0x26bffa00,
    0x741affec,0x0dfb31df,0x37449ff3,0xc83d43d4,0x00000006,0x00000000,
    0x7fff4000,0xfffa8f8a,0x037ff405,0x7ff57a00,0xaa7dc005,0x0000005f,
    0x2e00bea0,0x203ae01f,0x277ffea0,0x6c40dffa,0x00dfffff,0x09f9ffd3,
    0x5c1a61a6,0x01575105,0x19711880,0x3fea2c98,0x27ffffff,0xaaaaaaa8,
    0xaaaaaaaa,0xf300aaaa,0x54bea5ff,0xff900fff,0x3200401f,0x05fff10e,
    0xbf513ee0,0x00144000,0xbd002fc4,0x5b331720,0x01540a88,0x400af2ea,
    0x804009a9,0xff501100,0x2005bfff,0x44bff92c,0xfff51fff,0x4cffffff,
    0xffffffff,0xffffffff,0x36e01fff,0x3d993f21,0x805fff50,0xf707ea05,
    0x4fb801ff,0x2000bf50,0x7e4005fe,0x88be6000,0xfffffffd,0x00000007,
    0x00000000,0xfb735bf3,0x3e2017df,0x7ccfffb0,0xdddd53ff,0x998ddddd,
    0x99999999,0x99999999,0x06fe8001,0x009fff10,0x6c0fe20d,0x13ee06ff,
    0x8800bf50,0x322006ff,0x2e3b8002,0xeeeeeeee,0x00000003,0x00000000,
    0x3fae209b,0x4eb89adf,0xdfb0ffea,0x00000001,0x1bfe0000,0x4037fec0,
    0x206e886a,0xfb84fff9,0x00bf5004,0x00001da8,0x00000000,0x00000000,
    0x00f80000,0xfffffda8,0x0010080d,0x00000000,0xc803fb80,0x9999afff,
    0xd85fca99,0x7fffc05f,0x2a002543,0x00000004,0x00000000,0x00000000,
    0x00e00000,0x00577510,0x00000000,0x40000000,0xfffffff8,0x5fffffff,
    0x03bfffe6,0xfffffff5,0x00000005,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_42_latin1_x[224]={ 0,4,2,0,2,1,1,1,1,0,2,0,2,1,
2,0,1,4,0,1,0,1,1,1,2,1,3,2,0,0,0,1,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,-1,1,0,1,0,2,1,0,0,0,0,0,0,3,0,1,0,-1,2,1,-1,1,1,1,1,1,0,1,
-3,0,1,0,0,1,-1,1,0,1,0,0,0,0,0,0,0,5,2,3,0,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,4,2,1,0,0,
2,2,1,1,-1,1,0,1,1,-1,1,0,0,0,4,2,-1,2,3,2,0,1,2,2,0,1,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,-1,1,1,1,1,1,3,1,0,0,0,0,0,0,0,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,0,0,1,0,1,1,1,1,1,0,0,0,0,0,0,0,-1,0,
 };
static signed short stb__times_42_latin1_y[224]={ 33,7,7,7,5,7,7,7,6,6,6,10,29,23,
29,6,7,7,7,7,7,7,7,7,7,7,15,15,11,16,11,7,6,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,6,7,7,39,7,15,6,15,6,15,6,15,6,6,
6,6,6,15,15,15,15,15,15,15,10,16,16,16,16,16,16,6,6,6,20,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,33,14,8,7,11,7,
6,7,8,7,7,15,16,23,7,4,7,10,7,7,7,16,7,18,32,7,7,15,7,7,7,14,-1,-1,-1,1,
1,1,7,7,-1,-1,-1,1,-1,-1,-1,1,7,1,-1,-1,-1,1,1,12,7,-1,-1,-1,1,-1,7,6,7,7,
7,7,8,6,15,15,7,7,7,8,7,7,7,8,6,7,7,7,7,7,8,13,14,7,7,7,8,7,6,8,
 };
static unsigned short stb__times_42_latin1_w[224]={ 0,5,11,19,16,30,28,5,11,12,15,21,6,11,
5,11,17,11,18,15,18,16,17,17,15,17,5,7,21,21,21,15,34,27,24,23,26,23,20,26,27,12,15,28,
23,33,28,25,20,25,26,18,22,27,27,36,27,27,23,9,11,9,18,21,7,16,19,15,19,15,16,18,19,9,
11,20,9,30,19,17,19,18,13,13,11,19,19,28,19,19,17,11,3,11,21,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,0,5,15,18,19,19,
3,15,11,27,12,17,21,11,27,21,13,21,11,10,7,19,19,5,7,7,12,17,26,26,28,15,27,27,27,27,
27,27,34,23,23,23,23,23,12,12,12,12,26,28,25,25,25,25,25,16,25,27,27,27,27,27,20,18,16,16,
16,16,16,16,24,15,15,15,15,15,9,9,11,11,17,19,17,17,17,17,17,21,19,19,19,19,19,19,19,19,
 };
static unsigned short stb__times_42_latin1_h[224]={ 0,27,12,27,31,28,27,12,36,36,17,21,11,3,
5,28,27,26,26,27,26,27,27,27,27,27,19,25,19,9,19,27,36,26,26,27,26,26,26,27,26,26,27,26,
26,26,27,27,26,34,26,27,26,27,27,27,26,26,26,34,28,34,14,3,7,19,28,19,28,19,27,27,27,27,
36,27,27,18,18,19,27,27,18,19,24,18,18,18,17,26,17,36,36,36,6,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,0,28,33,27,19,26,
36,34,5,27,12,19,9,3,27,2,12,21,14,14,7,26,35,5,9,14,12,19,28,28,28,28,34,34,34,32,
32,32,26,34,34,34,34,32,34,34,34,32,26,33,35,35,35,33,33,16,27,35,35,35,33,34,26,28,27,27,
27,27,26,28,19,26,27,27,27,26,26,26,26,25,28,26,27,27,27,27,26,15,21,27,27,27,26,35,36,34,
 };
static unsigned short stb__times_42_latin1_s[224]={ 255,250,171,78,148,165,118,165,1,33,1,
138,248,217,249,1,192,105,67,40,86,66,83,129,147,163,249,247,82,205,1,
40,54,148,82,93,1,43,204,222,176,1,206,14,167,207,210,147,45,165,18,
173,28,209,38,1,200,172,148,155,33,245,94,229,235,160,144,177,13,193,239,
1,20,56,101,19,156,151,202,227,117,137,222,23,63,236,182,122,35,228,17,
113,46,89,183,75,75,75,75,75,75,75,75,75,75,75,75,75,75,75,75,
75,75,75,75,75,75,75,75,75,75,75,75,75,75,75,75,75,255,248,184,
56,62,225,50,83,205,181,125,209,183,217,101,165,138,96,113,245,243,117,125,
248,227,248,152,104,101,74,45,128,99,1,127,92,120,64,93,204,29,53,77,
27,101,142,191,51,66,155,191,165,1,1,200,55,18,27,55,217,226,114,107,
196,1,181,198,164,1,215,37,191,44,215,231,66,241,245,137,51,232,128,237,
1,75,60,149,72,118,166,186,98,128,145,13,228, };
static unsigned short stb__times_42_latin1_t[224]={ 1,109,385,172,109,109,172,385,1,1,385,
338,326,395,248,143,172,284,284,200,284,200,200,200,200,200,228,143,365,385,365,
228,1,256,311,228,338,284,256,228,256,284,228,284,284,284,172,172,311,38,311,
172,338,200,256,256,311,311,311,38,143,1,385,395,385,338,143,338,143,338,172,
200,200,200,1,228,228,365,365,338,228,228,365,365,338,365,365,365,385,311,385,
1,1,1,395,338,338,338,338,338,338,338,338,338,338,338,338,338,338,338,338,
338,338,338,338,338,338,338,338,338,338,338,338,338,338,338,338,338,1,38,74,
228,365,256,1,38,395,200,385,338,385,395,200,138,385,338,385,338,385,284,1,
67,385,311,385,365,143,143,143,143,38,74,38,109,109,109,256,38,74,74,74,
109,74,74,38,109,256,74,1,1,38,109,74,385,172,38,38,1,74,74,311,
109,172,143,143,143,311,109,365,284,172,143,143,311,284,256,284,338,109,256,200,
228,228,172,284,385,338,228,228,172,311,1,1,38, };
static unsigned short stb__times_42_latin1_a[224]={ 152,202,248,303,303,505,472,109,
202,202,303,342,152,202,152,169,303,303,303,303,303,303,303,303,
303,303,169,169,342,342,342,269,559,438,405,405,438,371,337,438,
438,202,236,438,371,540,438,438,337,438,405,337,371,438,438,573,
438,438,371,202,169,202,285,303,202,269,303,269,303,269,202,303,
303,169,169,303,169,472,303,303,303,303,202,236,169,303,303,438,
303,303,269,291,121,291,328,472,472,472,472,472,472,472,472,472,
472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,
472,472,472,472,472,472,472,472,152,202,303,303,303,303,121,303,
202,461,167,303,342,202,461,303,243,333,182,182,202,350,275,152,
202,182,188,303,455,455,455,269,438,438,438,438,438,438,540,405,
371,371,371,371,202,202,202,202,438,438,438,438,438,438,438,342,
438,438,438,438,438,438,337,303,269,269,269,269,269,269,405,269,
269,269,269,269,169,169,169,169,303,303,303,303,303,303,303,333,
303,303,303,303,303,303,303,303, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_42_latin1_BITMAP_HEIGHT or STB_FONT_times_42_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_42_latin1(stb_fontchar font[STB_FONT_times_42_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_times_42_latin1_BITMAP_HEIGHT][STB_FONT_times_42_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_42_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_42_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_42_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_42_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_42_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_42_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_42_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__times_42_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__times_42_latin1_s[i] + stb__times_42_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__times_42_latin1_t[i] + stb__times_42_latin1_h[i]) * recip_height;
            font[i].x0 = stb__times_42_latin1_x[i];
            font[i].y0 = stb__times_42_latin1_y[i];
            font[i].x1 = stb__times_42_latin1_x[i] + stb__times_42_latin1_w[i];
            font[i].y1 = stb__times_42_latin1_y[i] + stb__times_42_latin1_h[i];
            font[i].advance_int = (stb__times_42_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__times_42_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_42_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_42_latin1_s[i] + stb__times_42_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_42_latin1_t[i] + stb__times_42_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_42_latin1_x[i] - 0.5f;
            font[i].y0f = stb__times_42_latin1_y[i] - 0.5f;
            font[i].x1f = stb__times_42_latin1_x[i] + stb__times_42_latin1_w[i] + 0.5f;
            font[i].y1f = stb__times_42_latin1_y[i] + stb__times_42_latin1_h[i] + 0.5f;
            font[i].advance = stb__times_42_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_42_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_42_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_42_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_42_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_42_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_42_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_42_latin1_LINE_SPACING
#endif

