// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_45_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_45_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_45_latin1_BITMAP_WIDTH         256
#define STB_FONT_times_45_latin1_BITMAP_HEIGHT        460
#define STB_FONT_times_45_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_45_latin1_FIRST_CHAR            32
#define STB_FONT_times_45_latin1_NUM_CHARS            224

#define STB_FONT_times_45_latin1_LINE_SPACING          29

static unsigned int stb__times_45_latin1_pixels[]={
    0x00080000,0x13000000,0x00010000,0x20000800,0x11020008,0x3333332a,
    0xccc8004c,0x6665400c,0x000ccccc,0x00b33260,0xcc980000,0x5100003c,
    0x00015101,0x3fb503b8,0xa8000000,0xffeeffec,0x6cc000bd,0x9300001c,
    0xd0006c5b,0x47fee00d,0xfffff96e,0xf9800fff,0xffb804ff,0x01ffffff,
    0x1bfffa00,0xfd800000,0x980000ff,0x3fe60fff,0x4e88000f,0x0ffffe44,
    0x64400000,0x98809bef,0x4c001dfc,0x7dc0004e,0xd002e982,0x57ffe00d,
    0x003ff96e,0x00bff700,0x001ffd80,0x7fffff70,0x3e000000,0x900001ff,
    0x7fe45fff,0x27dc002f,0x0ffff5e4,0xfb100000,0x7f70003b,0x005f8800,
    0x74403f90,0x8037400d,0x32dd4ffe,0xe80001ff,0xfd80006f,0xff88001f,
    0x000ffe8a,0x17fd4000,0xfff50000,0x007ffd41,0xf8807f70,0x000001ff,
    0x80001df3,0x32000de8,0x37d4004f,0xd0077440,0x4336600d,0x003ff96e,
    0x000ef880,0x001ffd80,0x2fe41fc8,0x3f200000,0xda800003,0x2001da82,
    0xfff003f9,0xf7000003,0x6c00001b,0x07fe6005,0x8017fc40,0x01ba06f9,
    0x3ff96e80,0x01fb8000,0x03ffb000,0xf501f880,0x7c000003,0x00000004,
    0x007f8800,0x00007ffe,0x00009fb0,0x7c005d10,0x3ff5004f,0xe82fe400,
    0x65ba0006,0x6c0001ff,0x3f600002,0x0064001f,0x40000166,0x00000059,
    0x07fd0000,0x000fffc0,0x0009f700,0x4007cc00,0xf9005ff9,0x7fc4005f,
    0x20006e83,0x003ff96e,0x40000080,0x00001ffd,0x04000000,0x00000000,
    0x000ffb80,0x00007ffe,0x000037cc,0x7d401e40,0x7ffb007f,0xe87fc800,
    0x65ba0006,0x000001ff,0x0ffec000,0x00000000,0x88000000,0x09999999,
    0x03333310,0xff800bfd,0xfd00001f,0x30000003,0x0dff700d,0x0017ff20,
    0x06e87ff5,0x7fe5ba00,0x4cccc401,0x33100999,0xffb00333,0x3fffff23,
    0x405effff,0xffffffeb,0xfffff95f,0x80bdffff,0xffffffeb,0xfffff75f,
    0x3fae05bf,0x1ffd45ff,0x107ffe00,0xf9001597,0xefeb8009,0x3a0bd914,
    0x02ffe401,0x4006ffb8,0x03747ff8,0x65ba7930,0x7fdc01ff,0x702dffff,
    0xb00bfffd,0xffd983ff,0x4c000dff,0xb301fffc,0x001bffff,0x81fffc98,
    0x005fffe8,0x3ffb05ff,0x31fff800,0x07fffffd,0x3aa007f8,0xff77911e,
    0xfb00f207,0x3fea007f,0x2ffd8007,0x3faa01ba,0x3ff2dd4f,0xfffe8801,
    0x005ff005,0x3e207ff6,0x20001fff,0x7fc402ff,0x3e0001ff,0x3ffe602f,
    0x885f9805,0x7c000fff,0xffff99ff,0xf504ffff,0x03bea009,0x5c07ffba,
    0x017ff404,0x8007ff98,0x81ba5ffc,0xd4fffffb,0x4007ff2d,0x9805fff9,
    0x3ff6005f,0x00ffff01,0xf800fe80,0x740007ff,0x3ffe400f,0x7e417dc0,
    0xfff8007f,0xfea9bdea,0x1fe81fff,0x900ffb80,0x02d40dff,0xf8007ff6,
    0xffb8006f,0xf3081ba7,0x7e5ba9ff,0x3ff2001f,0x002fb807,0x7f407ff6,
    0x7ec0007f,0x07ffe800,0x2007ec00,0x7402fff8,0x00fffb06,0x209dfff0,
    0x7cc6fffd,0x02ffa806,0x6a813ff2,0x0007fdc0,0xf50009ff,0x401ba3ff,
    0x32dd4ffe,0x3e2001ff,0x037402ff,0x7407ff60,0x6c0007ff,0x0fffd007,
    0x9007d800,0x1fcc0dff,0x8006ffe8,0x3e204fff,0x0fee2fff,0xd809ff10,
    0x016e02ff,0x7cc00bfa,0xffa8000f,0x3600773f,0x3f2dd4ff,0x7fe4001f,
    0x000fe606,0x3fa03ffb,0x3ec0007f,0x007ffe80,0xf8803ec0,0x01f902ff,
    0x20017ffe,0x7dc01fff,0x007f23ff,0xff801ffb,0x4c026407,0x05fb006f,
    0x13ffe600,0x753ff600,0x8003ff96,0xf902fff8,0x1ffd8001,0x000fffd0,
    0xffd007d8,0x07d8000f,0x221bff20,0x9fff105f,0x03fff000,0x364fff88,
    0x13fea00f,0xd80bff30,0x019f3003,0x100017dc,0xb000bfff,0x7e5ba9ff,
    0xffc8001f,0x8005f886,0xffd01ffd,0x07d8000f,0x000fffd0,0x3e6007d8,
    0x80fdc1ff,0x8003fff9,0xff801fff,0xfb01fa6f,0x3ffc801f,0x91000fc0,
    0x33ee219f,0x7fc40000,0xffd8005f,0x07ff2dd4,0x07ffe600,0xfb0003f7,
    0x1fffa03f,0x200fb000,0x40007ffe,0x7fec007d,0xff303745,0xfff0009f,
    0x4dffd003,0x1bfe607f,0x401fff10,0x7f90007a,0x000037e6,0x40037ffc,
    0x32dd4ffd,0xfb0001ff,0x0006e8bf,0x3fa03ffb,0x3ec0007f,0x007ffe80,
    0x26003ec0,0x07f31fff,0x0027ffcc,0x6c00fffc,0xc81be5ff,0x7fe403ff,
    0x20026406,0x7e440ceb,0xfff80004,0x4ffd8005,0x007ff2dd,0x98fffcc0,
    0xffb0003f,0x01fffa03,0x3a00fb00,0x6c0007ff,0x5ffd8007,0x7fc401f9,
    0xfff8005f,0x24ffc801,0x07ffa06f,0x204fff88,0x3f2001f8,0x002f4400,
    0x009fff10,0x5ba9ffb0,0x20001ffc,0x01f95ffd,0x407ff600,0x40007ffe,
    0xfffd007d,0x007d8000,0x4f9fff98,0x006fff80,0xd801fff8,0xf81fa2ff,
    0x7ffec07f,0xc8017602,0x0bf7004f,0x0fffe600,0x753ff600,0x0003ff96,
    0x27cfffcc,0x03ffb000,0x0001fffa,0x3ffa00fb,0x03ec0007,0x1ffffe80,
    0x006ffe80,0xe802fff8,0x203f61ff,0x7b00fff8,0x3ea01ffd,0x03ff1000,
    0x000bfe20,0x374bffea,0xdd4ffd80,0x00007ff2,0x003ffffd,0xe80ffec0,
    0x6c0007ff,0x0fffd007,0x0007d800,0x200dfff5,0xf8007ffc,0x7fc402ff,
    0xff80fe45,0xdff4d82f,0xc800fe60,0x3fe000ff,0xfffb8005,0x3f600dd1,
    0x3ff2dd4f,0x7fd40001,0x7ec0006f,0x0fffd01f,0xd007d800,0xd8000fff,
    0x3ffa0007,0x0fff5003,0x809fff00,0x1fcc0ffc,0xb8aeffc8,0x50dff15e,
    0x3601507f,0xff1001ff,0xdff7000f,0xffd80374,0x07ff2dd4,0x0fffa000,
    0x03ffb000,0x0001fffa,0x3ffa00fb,0x03ec0007,0x001ff500,0x20007ffc,
    0xf101ffff,0x4c1ba07f,0x44ffffff,0xfda8affe,0x3fa06982,0xfff3003f,
    0x47ff9000,0x9ffb006e,0x00ffe5ba,0x007fd400,0x407ff600,0x40007ffe,
    0xfffd007e,0x007e8000,0xb0013e20,0xff8007ff,0x7f441eff,0x5c07ee04,
    0xfa81dfff,0xd00bffff,0x027fec07,0x8006ffa8,0x01ba0ffe,0x96ea7fec,
    0x100003ff,0xfb00009f,0x3fff603f,0x01ba0000,0x0007ffec,0x5c000dd0,
    0x7fcc001f,0x57ffc005,0x2ffedffd,0x26027c40,0x40099800,0x2ffe406a,
    0x005ffb80,0x1ba27fc4,0x6ea7fec0,0x00003ff9,0xb00003f7,0x3ff603ff,
    0x1be0000f,0x007ffec0,0x4000df00,0xffb0006e,0x31fff800,0x64001575,
    0x0000000f,0xffb807f1,0x09ffb006,0x741ffa80,0x27ffb006,0x003ff96e,
    0x0000dd00,0x7dc07ff6,0xf30002ff,0x3ffee009,0x09f30002,0x000bea00,
    0xf000ffc4,0x200003ff,0x0000006e,0xdff300db,0x00fff600,0x0dd0bfb0,
    0xb74bff60,0x40001ffc,0xb00002fa,0x3fea03ff,0x5f70004f,0x13ffea00,
    0x0017dc00,0x5c0006e8,0x3ffe005f,0x9f100001,0xed800000,0x05ff8800,
    0x4005ff70,0x06e80ef8,0x5ba3ffb0,0x40001ffc,0x3600006e,0x3ffa01ff,
    0x01fd0007,0x003fff40,0x0c400fe8,0x20000bee,0xfff002fd,0x7d400003,
    0xd8800003,0x7ff1000e,0x007fe600,0x0dd01fd8,0xb743ff60,0x31001ffc,
    0x00002fb8,0xfa807ff6,0x7ec003ff,0x7ffd4003,0x01fec003,0x3fb7ffea,
    0x3fa00006,0x02fff800,0x06fd4000,0x0de88000,0x001bea00,0x3ea009fb,
    0x6c01ba02,0x7fe5ba4f,0xdfffa801,0x400006fe,0x7ec01ffd,0xfe9804ff,
    0xfffb0005,0x0bfd3009,0xdfffffb0,0x6c400001,0x17ffc00d,0x7f440000,
    0x3f220002,0x01fd8004,0x5403fc40,0xd537404f,0xb741fd09,0xaaaacffc,
    0x7ffffec2,0x5530000e,0x03ffd555,0x59dfff90,0x9fffb731,0xfffc8000,
    0xfdb98ace,0xff5004ff,0x00001bff,0x7c403ae0,0x000003ff,0x40073fee,
    0x8000cfd9,0xd30002fb,0x4017dc09,0x4bbffe6e,0xfcb743fa,0x47ffffff,
    0x00dffffa,0x3fffee00,0x5001ffff,0xfffffffb,0x00003bff,0x3fffff6a,
    0x001dffff,0x00005e4c,0x510ecc00,0x035ffffb,0x7ed40000,0xedcbccee,
    0x98000cff,0x440000ed,0x006642ed,0x3fff26e8,0x06e82fef,0x002f2600,
    0x40000000,0xaaccbaa8,0x51000000,0x01559975,0x00000000,0x99991180,
    0x00399999,0xcaa88000,0x0009acdc,0x00002ea0,0x000c7510,0x59b73132,
    0x00013201,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x65400000,0x000002cc,0x00599950,0xcca80000,0x3000002c,0x00005999,
    0x00ab9880,0x20040000,0x32a00000,0x000002cc,0x07999500,0x1e664400,
    0x400002a0,0x00006ffe,0x01bffa00,0xffd00000,0x2000001d,0x0007fffe,
    0xfffeda80,0x000cdfff,0x2effb880,0xe80000b0,0x000007ff,0x01dffb00,
    0x7fffe400,0x005ffd01,0x03ffd100,0x3a200000,0x000001ff,0x003fff10,
    0x3ffee000,0x100003ff,0x26359ffb,0x001effec,0x7fffff40,0x00012a1d,
    0x003ffd10,0xff880000,0x3e60001f,0xf985ffff,0x300005ff,0x000007ff,
    0x001ffcc0,0x1ffa8000,0xff100000,0x001ffd15,0x01fffa80,0x001fff44,
    0xffebaea8,0x002fceff,0x04ff8800,0x7d400000,0x7ec0002f,0xfb85ffb3,
    0x200007ff,0x000006fa,0x00037d40,0x003fd800,0x907f2000,0x7e4000bf,
    0x3f6000ef,0x41c8005f,0x05fffffc,0x1be60000,0xf9000000,0x3fa80007,
    0x3fea37dc,0x5c00007f,0x0000000f,0x000007dc,0x000027c0,0x3ea03f10,
    0xfffa8001,0x7ffc4001,0xc8824004,0x000004ee,0x00000fb8,0x00013e00,
    0x31f4c0ba,0x0000dfff,0x00000590,0x00007900,0x00005a80,0x16600640,
    0x0bffd100,0x07ffee00,0x00000000,0x0003c800,0x000b3000,0x0d880570,
    0x000bfff1,0x00000200,0x00000400,0x00000020,0xfc800000,0x3e0001ff,
    0x220006ff,0x00000ab9,0x00000800,0x00000100,0x04fff800,0x15731000,
    0x00000000,0x26200000,0x000000ab,0x00055cc4,0x005fff98,0x01fffec0,
    0xfffffb50,0x00019bff,0x00001c00,0x00003800,0x07fff000,0x7ffed400,
    0x00cdffff,0xffffffc8,0x5c05efff,0xfffffffe,0xfffb5005,0x019bffff,
    0xfffb5000,0x019bffff,0x013fff60,0x0dfff700,0x159ffb10,0x07bfeea2,
    0x0be60000,0xf3000000,0x7fec0005,0xefffffff,0x000bffa2,0x42b3ff62,
    0x01effba8,0xbffffb30,0xffc98001,0xffb1001f,0x3eea2159,0xb10001ef,
    0x2a2159ff,0xe801effb,0x40003fff,0x200ffff8,0x4401effb,0x00003ffe,
    0x00002fe4,0x0017f200,0x3ffffa60,0x02ffd81d,0x00f7fdc0,0x400fffa2,
    0x001ffff8,0x5c00bfe0,0x74401eff,0x7dc003ff,0x7f4401ef,0x7fffc03f,
    0xfff80002,0x1dff901f,0x037fe400,0x0fff8800,0xf1000000,0x500001ff,
    0x7e40dfff,0x3ff2001f,0x3ff2000e,0x0ffff006,0x800fe800,0x2000effc,
    0xf9006ffc,0x7e4001df,0xffff306f,0xfff00003,0x3fff305f,0x4fff8800,
    0xfffb8000,0x70000004,0x00009fff,0x5c0bfff3,0xff3000ff,0xff88003f,
    0x7ffe804f,0x007ec000,0x0007ffe6,0x9809fff1,0x44001fff,0xffa84fff,
    0xe80000ff,0x7f444fff,0xff90005f,0xfe80003f,0x000007ff,0x00ffffd0,
    0x0bfff100,0xe8803fd4,0xf90005ff,0xffe803ff,0x03ec0007,0x0017ffa2,
    0x880fffe4,0x90005ffe,0xffb83fff,0xfd00007f,0xfffc8bff,0xfff10001,
    0x7fd4000d,0x00002fff,0x7ffffd40,0x7fc40002,0x01bea04f,0x000fffe4,
    0x406fff88,0x40007ffe,0x7ffe407d,0xfff10001,0x07fff20d,0x37ffc400,
    0x003fffee,0x93fff600,0x0005fffa,0x001fffe4,0x6fff9fd8,0x7ec00000,
    0x0006fff9,0x3027ffc4,0xfff500bf,0xffc8000b,0x1fffa03f,0x540fb000,
    0x40005fff,0x7d43fffc,0x640005ff,0x3fea3fff,0xe80001ff,0x3ff23fff,
    0x7d40004f,0xf98006ff,0x003fffb4,0x6d3e6000,0x20001fff,0x2204fff8,
    0xfffc804f,0x7fd40004,0x1fffa06f,0x640fb000,0x40004fff,0x7e46fffa,
    0x540004ff,0x3fe66fff,0xf80002ff,0x3ffa2fff,0x7cc0003f,0x64000fff,
    0x09fff51f,0x47f20000,0x0004fffa,0xf013ffe2,0x7fffd009,0xfff98000,
    0x0fffd00f,0x3a07d800,0x40003fff,0x3a0ffff9,0x40003fff,0xf10ffff9,
    0x80007fff,0x3e1ffff8,0x40002fff,0x001ffff8,0xfffd1be2,0xf8800001,
    0x007fff46,0x04fff880,0x7ffc01f4,0x7c40002f,0xffd01fff,0x07d8000f,
    0x000bfffe,0x43ffff10,0x0002ffff,0xb0ffffc4,0x80009fff,0x3e66fff9,
    0x80001fff,0x2003ffff,0x7ffdc2fb,0x7dc00003,0x01fffdc2,0x04fff880,
    0x3fe6016c,0xf80001ff,0xffd03fff,0x07d8000f,0x003ffff3,0x27ffff00,
    0x001ffff9,0x23ffff80,0x0006fffb,0xf51fffd4,0x00001fff,0x4009ffff,
    0x6fff887e,0x43f40000,0x0006fff8,0xb809fff1,0x7fffd401,0xfff80000,
    0x0fffd04f,0xf507d800,0x00001fff,0x3ea9ffff,0x80000fff,0x3a24ffff,
    0x20001fff,0x7fdc6ffe,0xfd00007f,0x3ea00bff,0x03fffb03,0x40fea000,
    0x8001fffd,0x0004fff8,0x007fffb8,0x0bfffd00,0x0001fffa,0x3ffee0fb,
    0xffd00007,0x1fffeebf,0x7fff4000,0x02fffcc5,0x42fffa80,0x000ffffa,
    0x04fffe80,0x3e601fb0,0xb00005ff,0x3ffe601f,0xfff88005,0xffa80004,
    0xe80000ff,0xffd04fff,0x07d8000f,0x001ffff5,0x29fffd00,0x000ffffa,
    0x84fffe80,0x8001fffa,0xff985ffe,0xf80001ff,0xf8802fff,0x07fff404,
    0x013e2000,0x8001fffd,0x0004fff8,0x01ffff98,0x2ffff800,0x000fffd0,
    0xfff307d8,0xff00003f,0x3ffe65ff,0xff80001f,0xbff902ff,0x05ffb800,
    0x005ffff1,0x03ffff00,0xfb803f90,0x640003ff,0x7ffdc01f,0x7ffc4003,
    0x802f6604,0x002ffff8,0x01ffff80,0x8000fffd,0xffff107d,0xfff00005,
    0x3fffe23f,0xfff80002,0x3bff601f,0x05ffc800,0x001ffff4,0x03fffe20,
    0x2aaabfe0,0xfffbaaaa,0x57fc0007,0xbaaaaaaa,0x44007fff,0xff104fff,
    0xfffe809f,0x7fc40003,0xfffd00ff,0x207e8000,0x0003fffe,0xd07fffc4,
    0x80007fff,0x400ffff8,0x440affea,0xd804ffea,0x40004fff,0xb806fff9,
    0xffffffff,0x2fffffff,0xffff7000,0xffffffff,0x44005fff,0xff504fff,
    0xfffd80df,0x7fcc0004,0x3fff606f,0x81ba0000,0x0004fffd,0x3637ffcc,
    0x40004fff,0x2006fff9,0xffeffffb,0xf5000bff,0xb8000dff,0x7e803fff,
    0x17ffe600,0x3003f400,0x4400bfff,0x3fe04fff,0x7ffd403f,0x7fdc0006,
    0x3fff603f,0x81be0000,0x0006fffa,0x2a1fffdc,0x40006fff,0x4003fffb,
    0xffffffc8,0xfffd8000,0x3ffa0001,0x003f9806,0x000fffec,0xfb000fe6,
    0x3e2003ff,0x06e204ff,0x00fffec0,0x80dffd00,0x0002fffb,0xffd809f3,
    0x3fa0001f,0x3fffb06f,0x37ff4000,0xffff7000,0xff1000bf,0x3ea000bf,
    0x0fd801ff,0x27ffd400,0x0003f600,0x2009fff5,0x0004fff8,0x017ffe20,
    0x00fffd40,0x0013ffea,0x3e2017dc,0xf50005ff,0x3fe203ff,0xff50005f,
    0xe980003f,0x8002ffff,0x8001fffb,0xf8804ffe,0xfffd0004,0x013e2001,
    0x007fff40,0x1027ffc4,0x3ee00399,0xfe8001ff,0xfffd004f,0x003fa000,
    0x0007ffee,0xf7013ffa,0xfd0003ff,0x2200009f,0x001ffffd,0x4006ffe8,
    0xf9006ffc,0x3ff20003,0x03f9004f,0x13fff200,0x817ffe20,0x3a006ffd,
    0x7e4006ff,0x3fea006f,0x1fec003f,0x00dffd00,0xd006ffc8,0xfc800dff,
    0xa800006f,0x8001fffe,0x4400effc,0xf1004ffd,0x7fd4000f,0x3fc400ff,
    0xffff5000,0x5fff9801,0x003fffe0,0x400effc8,0x8004ffd8,0x9804fffd,
    0xfc8005fe,0x7ec400ef,0x7fe4004f,0x7fec400e,0x54000004,0x98003ffe,
    0x5cc1bffe,0x36001efe,0x3e20005f,0x7ec04fff,0x3fe20005,0x7fd404ff,
    0x17ff206f,0x2fffa600,0x0f7f5cc1,0xdfff9000,0xffb73159,0x74c0009f,
    0x75cc1bff,0xd30001ef,0xeb9837ff,0x000001ef,0x02bbf660,0xfffec880,
    0x00cefffe,0x05fff910,0x3fffee00,0x7fe441cf,0xff70002f,0xd5039fff,
    0x5407ffff,0x3b220002,0xefffefff,0xda80000c,0xffffffff,0x880001df,
    0xffefffec,0x40000cef,0xfefffec8,0x0000ceff,0x32a60000,0xca98002c,
    0xffc8001a,0x004fffff,0xfffffff9,0x3fff2bff,0x9004ffff,0xffffffff,
    0x3ffff6bf,0x02efffff,0x654c0000,0x2000001a,0xaaccbaa8,0x26000000,
    0x00001aca,0x00d654c0,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x30000000,0x00005999,0x0000aa98,0x00020040,
    0x2aeaa600,0x30003301,0x80003999,0xfffeedb9,0x23ffffff,0x8003ccc9,
    0x4003ccc9,0x0002ccca,0x6665c000,0x2a000001,0x00002ccc,0x007ffff4,
    0x65f7d400,0x5c40004f,0x00b02eff,0x3fff2600,0x21cfffff,0xffe8003d,
    0x3f60006f,0x99dfffff,0x64099ed9,0x64000fff,0x44001fff,0x00006ffe,
    0x02fffc00,0x3ffa0000,0x2a00000e,0x004fffff,0x3ee0fdc0,0x3ffa0005,
    0x1261efff,0xdffb1000,0xefeb9837,0x7dc004fe,0x4003ffff,0xffffffd8,
    0x3603645f,0x7f4003ff,0xff10002f,0x0000001f,0x0003bfea,0x0fff8800,
    0x57fc0000,0x0000ffd8,0x5ff30bf3,0xd55d5000,0x7f9dffff,0x7ffcc000,
    0x9fff7003,0x44ffc400,0xd1000ffe,0xffffffff,0x74406c8b,0x3fe2005f,
    0x7fcc0003,0x90000003,0x000001ff,0x0001ffb8,0x3f217dc0,0x05f90005,
    0x70009ff5,0xfffffb83,0x3fee0005,0x7fd4002f,0xb07f2005,0x3fee009f,
    0x5fffffff,0x3fc40364,0x0009f700,0x00017ea0,0x000ffc00,0x017ec000,
    0x407e2000,0xfe8001fa,0x003ff982,0x9dd91048,0x3fe60001,0xbf70002f,
    0x5c07a600,0xfffd801f,0x45ffffff,0x05f3006c,0x00001760,0x000000f9,
    0x000005f3,0x00007f10,0x05980390,0x7704fe80,0x00000000,0x01bffa20,
    0x3200dd00,0x7c02cc00,0xffffffff,0x5003645f,0x001d1009,0x0005b000,
    0x0003b800,0x00095000,0x00000000,0x00005ff9,0xc8000000,0x40001fff,
    0x0000006b,0x7fffffcc,0x3645ffff,0x00400200,0x00010000,0x00000800,
    0x00000200,0x20000700,0x5002fffa,0x1fffffff,0xfffeb800,0x3e24efff,
    0xf00007ff,0xf0000000,0xffffffff,0x0006c8bf,0x00000000,0x00000000,
    0x00000000,0x00be6000,0x17ffec00,0xffff9100,0x3f26000d,0xfffb80df,
    0x44500005,0xfffffffe,0xffffffff,0xfd84ffff,0xffffffff,0x7fec3645,
    0xefffffff,0xffffffb2,0x3a25dfff,0xffffffff,0xffffffff,0x7fdc4fff,
    0xffffffff,0x7fffdc05,0xfd14ffff,0xffffffff,0xffffffff,0xc80009ff,
    0xf100005f,0xa8007fff,0x0005ffff,0x7ff407fe,0x2000002f,0xcefffea8,
    0xdccccccc,0xffb84ffe,0x5fffffff,0xffd30364,0x3a603bff,0x101dffff,
    0x99dfffd5,0xdb999999,0xff9109ff,0x8007ffff,0x80bffffb,0xcefffea8,
    0xdccccccc,0x20004ffe,0x0000fff8,0x0bffffb0,0x3ffffa80,0x220fd000,
    0x0001ffff,0x3fffb800,0x2617ee00,0xffffffff,0x2a03645f,0xfa806fff,
    0xff7006ff,0x2fdc007f,0x0dffff50,0x007bfe00,0x800fffee,0x2e0005fb,
    0x80004fff,0xefffe9bd,0xffff3000,0x0fd0005f,0x003fffe6,0x3fea0000,
    0x82ec003f,0xfffffff9,0x2603645f,0xf9805fff,0xff5005ff,0x05d8007f,
    0x007fffe4,0x4007fe20,0x4003fffa,0x3fa0005d,0x220007ff,0x3fffa22d,
    0xffff3006,0x7d8001ff,0x01ffff50,0xff500000,0x05a8007f,0x3fffffa2,
    0x2203645f,0xf8805fff,0xff5005ff,0x05a8007f,0x004fffe8,0xf5001fdc,
    0x5a8007ff,0xffff5000,0x1360005f,0x402fffec,0xefffebf9,0x5c1f6000,
    0x00007fff,0x07fff500,0x54406880,0x645ffeec,0x27ffc406,0x027ffc40,
    0x003fffa8,0x7fcc0344,0xdf1001ff,0x3fffa800,0x80034400,0x06fff9fd,
    0x3202f880,0x7cc02fff,0x05ffff8b,0x7fdc1f60,0x0000007f,0x0007fff5,
    0x322ec000,0x27ffc406,0x027ffc40,0x003fffa8,0x3fff2000,0x003fb006,
    0x003fffa8,0x29f30000,0x4001fffd,0x7fe401fb,0xf99fcc04,0xfb004fff,
    0x03fffe60,0x3ea00000,0x000003ff,0x80d91760,0x8804fff8,0xf5004fff,
    0x000007ff,0x403fffe8,0xfa8004fa,0x000003ff,0x3fea3f90,0x1fec004f,
    0x2603fec0,0x3fffee3f,0xf107d802,0x00003fff,0x07fff500,0xb00006a0,
    0x7c406c8b,0xff8804ff,0xfff5004f,0x0006a007,0x403fffe6,0xf50006f8,
    0x06a007ff,0x3a37c400,0x36000fff,0x0ffa805f,0xff90fe60,0x07d803ff,
    0x000bfffe,0x3ffea000,0x00059003,0x203645d8,0x8804fff8,0xf5004fff,
    0x0b2007ff,0x2fffe400,0x50001fc8,0x32007fff,0x85f70002,0x2003fffb,
    0x6f802ffb,0x7ec1fcc0,0x1f600eff,0x004fffe8,0xfffa8000,0x0005d003,
    0x203645d8,0x8804fff8,0xf5004fff,0x0ba007ff,0x3fffe800,0x500027cc,
    0x3a007fff,0x10fd0002,0x4400dfff,0x27401fff,0x3a20fe60,0x1f605fff,
    0x006fffa8,0xfffa8000,0x017e4403,0x0d917600,0x804fff88,0x5004fff8,
    0xc8807fff,0x3e60002f,0x03fa0fff,0x3fffa800,0x0017e440,0xffd81fd4,
    0x3ff6001f,0x805f102f,0xfff303f9,0xd01f609f,0x00003fff,0x3ffea051,
    0xeeeeeeee,0x40002fff,0x2203645d,0xf8804fff,0xff5004ff,0xdddddddf,
    0x0005fffd,0xf75fffc8,0xffa80005,0xeeeeeeef,0x8002fffe,0xfff300fd,
    0x7ff4400b,0x9804b84f,0x3ffea03f,0x5407d83f,0x40006fff,0xfff500e8,
    0xd999999d,0x80005fff,0x2203645d,0xf8804fff,0xff5004ff,0x999999df,
    0x0005fffd,0xfbffff88,0xffa80005,0xccccccef,0x4002fffe,0x7ff404f8,
    0x3fe2000f,0x4012e5ff,0x7fe403f9,0x403ec1ff,0x0003fffe,0xfffa80b6,
    0x002fc803,0x01b22ec0,0x1009fff1,0x2a009fff,0xfc803fff,0xffa80002,
    0x80000fff,0xc803fffa,0x0fe4002f,0x00fffee0,0x9dfffd10,0x01fcc009,
    0xb07fffec,0xfffd100f,0x80bb0007,0xd003fffa,0x45d80005,0x7ffc406c,
    0x4fff8804,0x07fff500,0x40000ba0,0x0003fffd,0x007fff50,0x5ff000ba,
    0x75555555,0x2000ffff,0x000ffffd,0x3a200fe6,0x01f66fff,0x0effff44,
    0x540274c0,0x59003fff,0x645d8000,0x27ffc406,0x027ffc40,0x003fffa8,
    0x2a000059,0x00002fff,0x2007fff5,0x3fee002c,0xffffffff,0x002fffff,
    0x00bfff90,0xf8801fcc,0x00fb5fff,0x6ffffe44,0xffdb99ab,0x7fff5003,
    0x00006600,0x4406c8bb,0xf8804fff,0xff5004ff,0x0066007f,0x17ffd400,
    0xfffa8000,0x40033003,0x3fe6007e,0x3ea0005f,0x7f3003ff,0x7fffcc00,
    0xd98007db,0xffffffff,0x3ea000cf,0x000003ff,0x80d91760,0x8804fff8,
    0xf5004fff,0x000007ff,0x05fff500,0x3ffea000,0xf9800003,0x7ffec003,
    0x3fea0001,0x007f3006,0x7fffffb8,0x6f554000,0xf50001ab,0x000007ff,
    0x01b22ec0,0x1009fff1,0x2a009fff,0x00003fff,0x2fffa800,0xfff50000,
    0xfb000007,0xfffa8001,0x3ee01004,0x03f9800f,0x7ffffc80,0x03f98000,
    0x3fffa800,0x80091000,0x2203645d,0xf8804fff,0xff5004ff,0x1220007f,
    0x17ffd400,0xfffa8000,0x10910003,0x3fa0009f,0x17f400ff,0x4c00ffc4,
    0xffd0003f,0xfd0000ff,0xfa8000df,0x7b0003ff,0x3645d800,0x013ffe20,
    0x4013ffe2,0x0003fffa,0x3ea0007b,0x500002ff,0x20007fff,0x001fc83d,
    0x409fff90,0x0fd04ff9,0x40013e60,0x0007fff8,0x001ffe98,0x00fffea0,
    0xb0003ea0,0x7c406c8b,0xff8805ff,0xfff5005f,0x01f50007,0x0fffea00,
    0x7ffd4000,0x40fa8003,0x2a0007f8,0xf100ffff,0x00df109f,0x980017ee,
    0x500007ff,0x540005ff,0x44004fff,0x45d8005f,0x7ffcc06c,0x5fff9805,
    0x09fff500,0x0005f880,0x000fffee,0x027ffd40,0x3f617e20,0x3fe20005,
    0x0ff604ff,0x3a2007ee,0x50000aff,0x320000ff,0x7dc0006f,0x3ea004ff,
    0x45d8003f,0x7ffd406c,0x6fffa806,0x09fff700,0x001ffd40,0x009fff90,
    0x13ffee00,0x223ffa80,0x0002fffc,0x39fffff7,0x3223dd10,0x7ff7402f,
    0x001effff,0x220007c8,0x0002ffc9,0x33ffffe6,0xccbaaaab,0x8000fffe,
    0xd503645d,0x5407ffff,0x403ffffe,0xbcfffff9,0xeccbaaaa,0x30000fff,
    0x015fffff,0x7fffcc00,0xbaaaabcf,0x90fffecc,0x9fffffff,0x3ffff200,
    0x705fffff,0x00019bdb,0x00280000,0x000732a0,0x7ffff744,0xffffffff,
    0x05ffffff,0x84b89900,0xfffffffd,0xfffb2eff,0x5dffffff,0x3ffffba2,
    0xffffffff,0x05ffffff,0x7fff7440,0x01efffff,0xffffdd10,0xffffffff,
    0x0bffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00080100,0x0006a000,0xb9107722,
    0x32600003,0x00ee4c1d,0x20e6cc00,0x00000cd9,0x20002ca8,0x6e442dc8,
    0x00011002,0x220ee440,0x000001dc,0x4c000110,0xdff71000,0x00001605,
    0x6c000fcc,0x37fec6ff,0x6ffd8000,0x00037ff4,0x3fa37ff4,0x2600005f,
    0x001efdfe,0x320fffc8,0x3e800fff,0x3ff60000,0x0037fec6,0x0bfaa000,
    0x8007dc00,0x1efffffe,0x40000126,0xfff0006c,0x07fffc1f,0x7fffc000,
    0x003fffe0,0x27fff880,0x0007fff8,0x26c43720,0x0fffec00,0x8803fffb,
    0xf00001ce,0x7ffc1fff,0x4400000f,0x002ffffc,0x3aa00db0,0xeffffeaa,
    0x000003fc,0x3ee0007f,0x027fe44f,0x44ffc800,0x80004ffc,0x7fe44ffc,
    0x3f100004,0x54000f98,0x37fd46ff,0xfffffd88,0x70000bef,0x4ffb8bff,
    0xdbb80000,0x88002fff,0xb837003f,0x005fffff,0x001f3000,0x01980cc0,
    0x980cc000,0x06600001,0x100000cc,0x000f983f,0x20510288,0x9be9dffb,
    0x0005fffb,0x00066031,0x5fff1000,0x001f7000,0x67764412,0xb9000000,
    0x00000000,0x00000000,0x00000000,0x001762ec,0x1ffb8000,0x07fd88fa,
    0x00000000,0x00bffe00,0x00001760,0x5f000000,0x00000000,0x2ae62000,
    0x00000000,0xff980000,0x00001ffc,0xe8bff100,0x0003fc43,0x00000038,
    0x4002fff8,0x380003f8,0xf5000000,0xfffff901,0x80bdffff,0xffffffeb,
    0xffb5005f,0x19bfffff,0xffffd100,0xffffffff,0x9fffffff,0x19f90000,
    0x3fff6000,0x2effffff,0x83e85ff7,0xf980007a,0x40000002,0x5c002ffe,
    0x7cc0000f,0xba800002,0x6cc06fed,0x000dffff,0x00fffe4c,0x0acffd88,
    0x03dff751,0x3fffaa20,0xccccccce,0x004ffedc,0x0005fc80,0xdffffe98,
    0x3a1ffec1,0x80007883,0x000005fc,0x0017ff40,0x32000176,0x2600005f,
    0xdffecefe,0x3fffe200,0x0bfe0001,0x00f7fdc0,0x800fffa2,0x2003fffb,
    0x440005fb,0x80000fff,0xfb06fffa,0x0f03e8bf,0x0fff8800,0x3a000000,
    0x3e2002ff,0x7fc40003,0xfb80000f,0x3fffee1e,0x01fffe02,0x9001fd00,
    0x64001dff,0xff5006ff,0x05d8007f,0x27ffdc00,0x7ffcc000,0x41fff705,
    0x8000503e,0x0004fffb,0x8de65440,0x2e002ffe,0x7dc0000f,0x4c0004ff,
    0x7f6740ff,0x1fffa06f,0x801fb000,0x4001fff9,0xa804fff8,0x54003fff,
    0x7ff40005,0xf880007f,0xfff105ff,0x0000fa3f,0x03ffff40,0xcefd8800,
    0x2ffecffd,0x00017a00,0x001ffffa,0x9f989fd0,0xfd01fffc,0x7d8000ff,
    0x02fff440,0x01fffc80,0x001fffd4,0xfa8001a2,0x0002ffff,0xd027ffc4,
    0x07d5ffff,0xfff50000,0x880005ff,0xfffd83fe,0x07f1002f,0xffffa800,
    0xff70002f,0xfff36c81,0x003fff40,0xff901f60,0x3e20003f,0x7fd406ff,
    0x0000003f,0x37ffcfec,0x3ffe2000,0x3fffe204,0x800003ff,0x06fff9fd,
    0x80ffe200,0x7002fffe,0xfd80001f,0x0006fff9,0x187d0ffd,0x003fff40,
    0xffa81f60,0x7e40005f,0x3fea03ff,0x0000003f,0x7ffed3e6,0x3fe20001,
    0x7ffcc04f,0x00000eff,0x7ffed3e6,0x1ffb0001,0x017ffd40,0x4c0005e8,
    0x03fffb4f,0xf98dff00,0x3fff4000,0xc81f6000,0x40004fff,0x2a06fffa,
    0x35003fff,0x51fc8000,0x40009fff,0x8804fff8,0x02fffffe,0x2a3f9000,
    0x98004fff,0x7fc403ff,0x02f8802f,0xfa8fe400,0x7c4004ff,0x4002e45f,
    0x40007ffe,0x3fffa07d,0x7fcc0003,0xfff500ff,0x000b2007,0x7ff46f88,
    0xff10000f,0x7fdc009f,0x40004fff,0x7fff46f8,0x17fec000,0x4017ff40,
    0x220000fb,0x07fff46f,0xf8dff500,0x7ffe8002,0xf03ec000,0x80005fff,
    0x501ffff8,0x3a007fff,0x0bee0002,0x0007fff7,0x0013ffe2,0x1dfffff3,
    0x70bee000,0x44007fff,0xfe801fff,0x005e802f,0x3ee17dc0,0x3ea003ff,
    0x0003ea7f,0x0001fffa,0x3ffe60fb,0xff80001f,0xfff503ff,0x02fc8807,
    0x3e21fa00,0xf10006ff,0xdd0009ff,0x001dffff,0xfff10fd0,0x3ffcc00d,
    0x402ffe80,0x740002f8,0x06fff887,0x6c7ffe20,0xfffd0005,0x507d8000,
    0x0001ffff,0x209ffff0,0xeeeefffa,0x2fffeeee,0x207f5000,0x8001fffd,
    0x8004fff8,0xfffffabe,0x40fea000,0x7001fffd,0x3fa00fff,0x007dc02f,
    0x3607f500,0x3e001fff,0x202f8cff,0x0fffd048,0xf707d800,0x20000fff,
    0xf505fffe,0x99999dff,0x005fffd9,0x7cc03f60,0xf88005ff,0x3e8004ff,
    0x009fffd1,0xff9807ec,0xfff9005f,0x05ffd001,0x6c0005e8,0xbfff300f,
    0x67ffec00,0xfe816407,0x3ec0007f,0x00ffffa8,0x4fffe800,0x007fff50,
    0xf10005f9,0x0fffe809,0x27ffc400,0xfd11f400,0x13e200ff,0x001fffd0,
    0xd003fff7,0x17c405ff,0x809f1000,0x7000fffe,0x4c09ffff,0x01fffa06,
    0x3e60fb00,0x80001fff,0xf502ffff,0x0ba007ff,0x7007f200,0x88007fff,
    0xe8004fff,0x007ffdc3,0x3ee00fe4,0xffa803ff,0x2ffe802f,0x80003ee0,
    0x7fdc01fc,0xfff1003f,0x07f701bf,0x0003fff4,0x7ffc41f6,0xff80002f,
    0xfff501ff,0x000b2007,0x2aaaabfe,0x7fffbaaa,0x27ffc400,0xf10fa038,
    0x5ff003ff,0x75555555,0xf300ffff,0xffd00dff,0x0002f405,0x2aaaabfe,
    0x7fffbaaa,0x3fffe600,0x05ffdcdf,0x0003fff4,0xfffe81fa,0x7fc40003,
    0xfff500ff,0x00066007,0xfffffff7,0xffffffff,0x7ffc4005,0x0fa03d04,
    0x3ee01ffe,0xffffffff,0x02ffffff,0x402fffe8,0x5f102ffe,0x7ffdc000,
    0xffffffff,0x2002ffff,0xfffffffb,0x7fec00ef,0x1ba0000f,0x004fffd8,
    0x037ffcc0,0x0007fff5,0x3003f400,0x4400bfff,0x07d04fff,0x0dff30fa,
    0x7cc00fd0,0xffa805ff,0xfff100ef,0x0003ee07,0x3e6007e8,0x3e6005ff,
    0x03fffffe,0x001fffb0,0xff5037c0,0xfb8000df,0x3fea03ff,0x3000003f,
    0xffd8007f,0xfff1001f,0x3a03fa09,0x2017fdc3,0x7ec003f9,0xffd801ff,
    0x7ff4c1ff,0x17a098ef,0x003f9800,0x800fffec,0x0135515c,0x017ffdc0,
    0x6c04f980,0x20001fff,0x7d406ffe,0x910003ff,0x20007ec0,0x1004fffa,
    0x3fa09fff,0x3fe63e85,0x000fd804,0x4027ffd4,0xdeffffd8,0xffffeafe,
    0x0005f30d,0x2a0007ec,0x5f004fff,0xfff50000,0x0bee0009,0x00bfff10,
    0x007ffea0,0x0007fff5,0x027c40f6,0x00fffe80,0xd04fff88,0x2fa15dff,
    0x8804ffa8,0xffd0004f,0x3ff2001f,0xffd1efff,0x000fb817,0x20009f10,
    0x5400fffe,0xfd00000f,0x3fa000ff,0x1fffb800,0x04ffe800,0x003fffa8,
    0x3f900fa8,0x3fff2000,0x5fff8804,0xdfffb710,0x003dffdf,0x640007f2,
    0x4c004fff,0x7015c0ab,0x0fe40007,0x4fffc800,0x00002ec0,0x8007fff5,
    0x3fa003fd,0x7fe4006f,0x9fff5006,0x105f8800,0x7d4000ff,0x7cc00fff,
    0xa98805ff,0x2000adfb,0x2a0007f8,0x0000ffff,0x88000000,0x3ea0007f,
    0x5f100fff,0xffd80000,0x5fe9804f,0x0effc800,0x027fec40,0x009fff70,
    0xfd81ffd4,0x3fe20005,0x7fd404ff,0x03e8006f,0x0005fd80,0x213fffe2,
    0xccccccc9,0xcccccccc,0x003ccccc,0x80017f60,0x704ffff8,0x3200000f,
    0x98acefff,0x004fffdb,0x06fffa60,0x003dfd73,0x67ffffcc,0xccbaaaab,
    0x6440fffe,0x70002fff,0x039fffff,0x07ffffd5,0x22003e80,0x0002fffc,
    0x39fffff7,0x7fffffcc,0xffffffff,0x04ffffff,0x2fffc880,0xffff7000,
    0x004e839f,0x3ff6a000,0xdfffffff,0xec880001,0xefffefff,0xfee8800c,
    0xffffffff,0xffffffff,0x7fffe45f,0xf9004fff,0xffffffff,0x3fffff6b,
    0x002effff,0x7fffe400,0xf9004fff,0xffffffff,0x0000000b,0x7ffffe40,
    0xff9004ff,0xbfffffff,0x00000064,0x5665d544,0x2000000a,0x0001aca9,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x03000000,0x00220000,0x80003000,0x880001b9,0x0002201c,0x0a800000,
    0x00d44000,0x540000a8,0x002a2002,0x0002a600,0x002ccca8,0x002ccca8,
    0x001feb88,0x37ff2600,0xfdb10001,0x20019dff,0x00efeffc,0xdb01ba00,
    0x017c4000,0x3ee20391,0x7ec0002f,0x0bfee200,0x803f9800,0x02efffd9,
    0x000bf100,0x000effe8,0x006ffe88,0x07ffff26,0x9ade8000,0x7d4000fd,
    0xfffc99cf,0xb86fe402,0xfb8001ff,0x000fd401,0xfb81bd30,0xffcc881e,
    0x0bea0002,0x02ffcc88,0x2201ba00,0x0ffeb9bf,0x000fc800,0x003ffe60,
    0x01fff880,0x3fffd790,0x03e60000,0x7fc4007d,0x00ffe884,0x5ff81ff5,
    0x8027cc00,0x7440004f,0x803feabf,0x10002ff8,0x3fe200bf,0x03f70002,
    0x2ff98390,0x0017cc00,0x0007fee0,0x000ffe60,0x0003fff3,0x01721720,
    0xf500ffc8,0x21bfa0bf,0x3a001ffc,0x001b6006,0x033ffa20,0x0002ff80,
    0x7fc001fb,0x04f98002,0x0007fc00,0x3a00017a,0x2a00002f,0x7fc4006f,
    0xf300001f,0xf1003e81,0x3ffc40df,0x7dc2ffc4,0x03f9003f,0x0000fd40,
    0x01dfffb1,0x40017fc0,0x7fc002fa,0x006e8002,0x2001fd40,0x440000fc,
    0xb800003f,0x7ffc000f,0x37a00001,0x5000fd9a,0xfff80bff,0x5427fcc1,
    0x3f9804ff,0x8004f800,0xff99efc8,0x00bfe006,0xf000bf10,0x1fb8005f,
    0x017a6000,0x00007f30,0x40000095,0x7ffc002c,0x32600001,0x2a001dff,
    0x7ffc05ff,0x5427fdc1,0x05e806ff,0xf000db00,0x05ffc85d,0xc8005ff0,
    0x2ff8000f,0x0013e200,0x06ffff4c,0x00006e80,0x10000001,0x01fff800,
    0x00088000,0x2204ffb8,0x4ffa87ff,0x6405ffa8,0x3f50000f,0xfd101800,
    0x05ff00bf,0x8001fcc0,0x3b6002ff,0x36620000,0x1fb805ff,0x00000000,
    0x3fe00000,0x0000001f,0x813ff200,0xff985ff9,0x204ffa85,0x7c0003f9,
    0x3ea00004,0x17fc02ff,0x4000dd00,0x5f5002ff,0x7fec0000,0x0013e600,
    0x01333333,0x00333333,0x02b332a2,0x983fff00,0x51000acc,0x40015999,
    0x3f204ffd,0x70dff02f,0x17a207ff,0x001b2000,0xfd9ab988,0x017fc06f,
    0x20000fc8,0x5f8802ff,0x7fcc0000,0x2001ba01,0x82ffffdc,0x01fffffd,
    0x3f37ff22,0xff000fff,0x3fffea3f,0x3f2202ff,0x0ffffcdf,0x504ffd80,
    0x3fec05ff,0xfc807fec,0x1fa80000,0x6f7ec400,0x04fffdff,0x3e600bfe,
    0x17fc0003,0x00007ec0,0x3f703fc0,0x7ffd4000,0x07fff202,0x2e20ffd8,
    0xff800eff,0xfffffa9f,0xffb03fff,0x077fdc41,0xc893ff60,0x7c400efe,
    0x40ffe22f,0x200002fa,0x3fe6004f,0x7ffffcc1,0xd007ff00,0x7ff0000d,
    0x0002fa80,0xf103fa80,0xfff00009,0x0fffcc05,0xfd04ffb8,0x7fff009f,
    0xffb5359f,0x4ffb83ff,0xd809ffd0,0x3ffa24ff,0x77cc02ef,0xf104fe98,
    0x6c80000b,0x203ff300,0x883ffff9,0x0fdc03ff,0x0ffe2000,0x40005f88,
    0x4fb8acee,0x00003b60,0xf880bffa,0x7ffb01ff,0x2017ff20,0xf901ffff,
    0x3ffd8dff,0xd80bff90,0xffc884ff,0x7f5cc04f,0x003f602d,0x0fd40013,
    0x2a02ff40,0x77646fff,0x4f981dee,0xec82c880,0xfc81deee,0x40355100,
    0x01deffec,0x32200bea,0x00bffa02,0x3f203fff,0x0bff701f,0xe803fff0,
    0x3ff22fff,0x80bff701,0x3f204ffd,0x500004ff,0x3bf6205f,0x09f002df,
    0xf802ffa8,0xd0001fff,0x013fa00d,0xd983fa80,0x000effff,0xd005f880,
    0x17ff409f,0x4407ffe0,0x1bfee03c,0x5007ffe0,0x1e447fff,0xd80dff70,
    0x7fec04ff,0x7c40000f,0x74cffa04,0x407c801f,0xfc801fff,0xfb8002ff,
    0x04ffc801,0x3a0bd100,0x05ffebbe,0x800fd800,0x3fa04ffc,0x0fffc02f,
    0x7ffe4c00,0x01fff806,0x3004ffe8,0xd80dfff9,0x7fd404ff,0x76c0003f,
    0xfa8dfb00,0x80fcc00f,0x9800fff8,0x44003fff,0xfefb804f,0x01f90004,
    0x03ff90b5,0x4017d400,0x3a04fefb,0x7ffc02ff,0x33fae001,0xff806ffc,
    0x5ffd801f,0x7e67f5c0,0x27fec06f,0x002fffc0,0x3e603f70,0x805ff83f,
    0x0fff504f,0x017ffe20,0xf9801db0,0x98004fca,0xf101703f,0x3e20007f,
    0xfcaf9805,0x00bffa04,0xf7003fff,0x037fdc7f,0x6400fffc,0x7ff706ff,
    0x36037fdc,0xffd804ff,0x09f10006,0x7f417fdc,0xf707c807,0x3fe001ff,
    0x0bee005f,0x13f27f10,0x4001ba00,0xfb0000ff,0xf93f8801,0x017ff409,
    0xd8807ffe,0x37fdc0ef,0x400fffc0,0x7ec44ffc,0x037fdc0e,0x32013ff6,
    0xdd0007ff,0xe81ffc80,0x0fcc00ff,0x800fffe4,0xf1004fff,0x7e4bd009,
    0x00fe4004,0x80037d40,0x25e803fa,0x3ffa04fc,0x80fffc02,0xff705fe8,
    0x03fff00d,0x7447ff90,0x0dff705f,0xb804ffd8,0xfb8006ff,0x40fff401,
    0x4f802ffd,0x003fffb8,0x36005ffd,0x3236c00f,0x0fe6004f,0x000fec00,
    0x36c03744,0xffe813f2,0x80fffc02,0xff701ffe,0x03fff00d,0x7f45ffb0,
    0x0dff701f,0xa804ffd8,0x7cc005ff,0x81ffe804,0x7c802ffd,0x004fff98,
    0xf5001fff,0x640fb805,0x01ba004f,0x80017d40,0x07dc01fc,0xffd813f2,
    0x40fffc03,0x3ee06ff9,0x1fff806f,0xf30ffe80,0x37fdc0df,0x2013ff60,
    0x74004ffb,0x03ff9006,0xf3003ffd,0x05fff883,0xf100fff0,0xaacf980b,
    0x02adfeaa,0x4c000fdc,0x7f30004f,0xaaacf980,0xc82adfda,0x3fe604ff,
    0x0fffb81f,0xf00dff70,0xff9803ff,0x403ffee3,0x7ec06ffb,0xf702ee4f,
    0x0fe4003f,0xe82ffb80,0x09f000ff,0x8805fff9,0x0fd805ff,0x7ffffdc0,
    0x205fffff,0xf88004f8,0x01ba0003,0x3fffffee,0xfc85ffff,0xfffd506f,
    0x05fff505,0x80cdffd3,0x7ec01fff,0x417ffd45,0x2066ffe9,0x9ff34ffd,
    0x26005fd8,0x3fe6003f,0x002ffc44,0xdfff10f9,0x0077e401,0x26200bea,
    0xdfd99999,0x001ba009,0x00220ba6,0x262007f2,0xdfd99999,0xcfffa809,
    0xfff3f911,0x7ffcc31b,0xffbf913f,0x3fe0b75f,0x1ff700df,0x13ffff98,
    0x75fffbf9,0x269ffd0b,0x07fe24ff,0xb8006e80,0x00ffdc6f,0xff503f30,
    0x03be209f,0x0000bd10,0x1fb809f9,0x4cdfd400,0x4c02ea99,0xfc80004f,
    0x7fffec04,0xffff1fff,0x7ffec19f,0xff89efff,0xff700eff,0x3f2215df,
    0xffffb00d,0xfff13dff,0xfffa81df,0x7f4d7f64,0x003f2002,0x7dc6fe40,
    0x04f8003f,0x4c5bfff5,0x0fc801ff,0x04fc8000,0xf70013e2,0xffffffff,
    0x0000dd00,0xfd1013f2,0x7fc1bfff,0xffd880be,0x6ffec4ff,0x7ffe4400,
    0x4403ffff,0x6c4ffffd,0x3fa60dff,0x3f264fff,0x26001dff,0x6d40003f,
    0x90001dff,0x7fff440f,0x9801beff,0xd700003f,0x0007ec07,0xddddddd3,
    0x2fb807dd,0x07d70000,0x3202ae20,0x40351001,0xba980009,0x0d44000a,
    0x30000130,0x00062000,0x93000000,0x0ab98801,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x66664000,0x15554000,
    0x59995000,0x554c0000,0x65c0000a,0x2a2002cc,0x320002aa,0x88012a02,
    0x4c400000,0x003801ab,0x00666644,0x0dd4c400,0x33220000,0x088000cc,
    0x13ffe600,0x7ffff300,0x3ffa2000,0xff100006,0xf8000bff,0x7e4006ff,
    0x98001fff,0x401b603f,0x40003ffc,0xfffffeda,0x01fc83ef,0x00bffea0,
    0xffff9100,0x400005df,0x2002fffa,0x2e003fda,0xfe8005ff,0x0000ffff,
    0x0001fff1,0x5fffff90,0x3bfe6000,0x3ffe2000,0xfa8005ff,0x22013e01,
    0x10007fff,0x54437ffb,0x5f71efec,0x04ffd800,0x8f7f4400,0x0001ffc8,
    0x1017ff20,0x007ffff7,0x540037f4,0x04ffb8ef,0x00ffe600,0xf33ff100,
    0x3f2000df,0x67ec001f,0x4002ffd8,0x00fe207c,0x40037ffc,0x4401effa,
    0x004fdffe,0x80005ff8,0x7fc81ffd,0x3fec0000,0x3fff6ea0,0x01df1003,
    0x260ef880,0x2e0001ff,0x7ec0005f,0x000ffa21,0xf30007fa,0x4006fb89,
    0x007ea06d,0x20017754,0x22006ffc,0x4000fffe,0xa80006fa,0x1ff306ff,
    0x2fe80000,0x007fff00,0x320007ee,0x000bd105,0x260007c8,0x001f901e,
    0x74001fc4,0x4007f303,0x003f204f,0xfff50000,0xfff88005,0x00764004,
    0x81ffe400,0x00001ff8,0xfe802744,0x005b003f,0x05900b10,0x0002d800,
    0x004a801b,0x0ea0012e,0xf1001b10,0x00037407,0x1bffa200,0x3ffff600,
    0x0007a001,0xa827fec0,0x800000ff,0x7ffd0069,0x00000200,0x00400000,
    0x10000000,0x00000000,0x04f807ea,0xf9000c40,0xfb8003ff,0x2006fffa,
    0x3fa00000,0x00dfb06f,0xd8004000,0x000003ff,0x00000000,0x00000000,
    0x00000000,0x7f300fc8,0x3002a800,0xa800bfff,0x09fffb4f,0xfb000000,
    0x1ff981ff,0x80000000,0x54403ffd,0x4000accc,0x00accca8,0x04cccccc,
    0x00cccccc,0x00de5cc0,0x1bccb980,0x5e65cc00,0x55555101,0x555555fd,
    0x003559f9,0x3ff60039,0x97e6004f,0x3007fffa,0x40003797,0x3ee3fffc,
    0x4c00002f,0xd801bccb,0xff9103ff,0x01ffff9b,0xfcdffc88,0xfb900fff,
    0xffb05fff,0xb3003fff,0x5fffd9df,0x3bbfe600,0x4c00dfff,0xdfffeeff,
    0x7ffffcc0,0xffffffff,0x804fffff,0xfffd000e,0x83ba2007,0x300ffff8,
    0xfffd9dfb,0xfff30005,0x443dfb1d,0x2aaaaaaa,0x7f77fcc0,0x3f600dff,
    0x41ffb03f,0x200effb8,0x3ee20ffd,0x3fea00ef,0x3fff202f,0x20ffd401,
    0x5c04ffe8,0x3ffa61cf,0x439f700e,0x400effe9,0x01ba02f9,0x7fc00f10,
    0x1fb002ff,0x503ffff0,0xffe883ff,0xfffe8004,0xffe883ff,0x2e04efff,
    0x3ffa61cf,0x07ffb00e,0x3fa09ff7,0x09ff704f,0xff013ffa,0x7ffcc05f,
    0x40bfe601,0xf705ffe8,0x13ffe607,0x7fcc0fee,0x00fdc04f,0x04d8009f,
    0x03ffff30,0x3fe05f90,0x17fcc3ff,0x005ffe88,0x007fffdc,0x7007fffa,
    0x3ffe607f,0xb07ffb04,0x3ff207ff,0x207ffb05,0x7f405ffc,0x3ffe202f,
    0x80bfd101,0x7c42fffa,0x0fffe406,0xffc80df1,0x981f201f,0x07ea002f,
    0x07fffd40,0xfe80fea0,0x17fa24ff,0x005fff50,0x0fffffa6,0x8807ff70,
    0x7ffe406f,0xc83ffd81,0xbff701ff,0x5c07ff20,0x7ff405ff,0x80fffc02,
    0xfe803ffb,0x2027e46f,0x3f23fffb,0x1fffdc04,0x0fd40dd0,0x2006f980,
    0x4c07fffb,0x7fff405f,0x200ffee5,0x64406ffe,0x0ffffcef,0x3201bf20,
    0x7ffdc04f,0x883ffd83,0x1bfee03c,0xff701e44,0x02ffe80d,0xfd80fffc,
    0xfffb802f,0x2aab3fe2,0xfffcaaaa,0x2aab3fe5,0xfffcaaaa,0x6409f105,
    0x05fd1007,0x07fffd40,0x7400ef88,0x3ff64fff,0x2fffb802,0x3a1dff50,
    0x3fa05fff,0xaacff801,0xffcaaaaa,0x03ffd85f,0x37ffe4c0,0x7ffe4c00,
    0x017ff406,0x7fc07ffe,0xfff9801f,0x999bff14,0x99999999,0x3337fe27,
    0xcccccccc,0x405f303c,0x0ff9006e,0x0ffff880,0xfd001fd0,0x0fffc5ff,
    0x427ffcc0,0x7fd45ffa,0x04f982ff,0xcccdff88,0xcccccccc,0x003ffd83,
    0xdff99fd7,0x667f5c00,0x7ff406ff,0x40fffc02,0x8800fff9,0x5ff35fff,
    0x0bfe6000,0x00fdc000,0x9ff5009f,0x3ffff000,0x3e005f90,0xfff30fff,
    0xbfff1001,0xfd05ffa8,0x06d81fff,0x0005ff30,0xb807ffb0,0x1bfee3ff,
    0xfb8ffee0,0x17ff406f,0x2e07ffe0,0xff000fff,0x013feadf,0x0027fd40,
    0xffffff98,0xffffffff,0x3e24ffff,0xfe8000ff,0x01fdc2ff,0x7dcffff0,
    0xfff000ff,0x817ffc4d,0x2a4ffff9,0x9ff5001f,0x7ffb0000,0x703bf620,
    0x7ec40dff,0x037fdc0e,0xff00bffa,0x3fff903f,0x557ffa00,0xf50005ff,
    0x322000bf,0xccccefcc,0xccccfecc,0x01bff22c,0x327ffe40,0x7fcc00bf,
    0x07fff25f,0xf92fff40,0x7fe401ff,0x004f8aff,0x00017fea,0x3a20fff6,
    0x0dff705f,0x7dc17fa2,0x17ff406f,0x2a07ffe0,0xfd002fff,0x01bfe67f,
    0x0037fcc0,0xf9027c40,0x809ffd00,0x7ffcc1ed,0xb800df17,0x3fea3fff,
    0x7ffd002f,0x1017ffe2,0x0dbdfffd,0x006ff980,0xe83ffd80,0xdff701ff,
    0x5c07ffa0,0x7ff406ff,0x40fffc02,0xd004fff9,0x3ffe23ff,0x7fc52003,
    0x2612003f,0x2017a02f,0x3ea03fff,0x9fffc86f,0x7f4000fe,0x27ffcc6f,
    0xf31ffe80,0xff300bff,0x88003fff,0x12003fff,0xff30fff6,0x437fdc0d,
    0x3ee06ff9,0x1ffec06f,0x2207ffe0,0xff007fff,0x007fff8f,0x03fffc77,
    0x01fb83b8,0xfff1013e,0x07ffc405,0x07ffffe2,0x81fff700,0xf007fff8,
    0x37ffdcff,0x5ffffc80,0x3fffc080,0xffd83b80,0x807ffdc3,0xffb86ffb,
    0x0dff700f,0x2604ffc8,0xff701fff,0x5ff8805f,0x006fffe4,0x7ffe43f3,
    0x207e600d,0x00be607c,0xfb013ffe,0x7fff503f,0x2fff8800,0x805fff70,
    0x3fea5ff8,0xfff001ff,0x21e80bff,0x200dfffc,0x3ffd81f9,0x4c17ffd4,
    0x7d466ffe,0xffe982ff,0x1bff2066,0x017fff54,0xfc80dfff,0x7fffc40f,
    0x22fdc41e,0x41effff8,0x0bd05fb8,0x7f4007dc,0x03fd405f,0x4001dffb,
    0x7fc04ffc,0x07fe406f,0x01dffff1,0x7fffff44,0x446b80ef,0x441effff,
    0x7ffb05fb,0x13ffff98,0x75fffbf9,0x4ffffe6b,0xafffdfc8,0xcfffa85b,
    0xfff3f911,0xfff5031b,0x40ffe209,0xdffffffb,0xfb80fffe,0xfedfffff,
    0x04f880ff,0x7fcc01f2,0x413ee01f,0x00effff9,0xa804ffd8,0xff104fff,
    0xdffff907,0x8affb885,0xcefffffd,0xffb82ffc,0xffedffff,0x09ffd00f,
    0xdffffffb,0x1dffff13,0x7fffffec,0xeffff89e,0xfffffb00,0x3fffe3ff,
    0xfff980cf,0x00bfe61c,0xfffffff7,0x7fdc03ff,0x1fffffff,0x2f405f30,
    0x03dff900,0x3ba20df1,0x0acffe98,0x007bfaa6,0x21cfff98,0x3fa02ff9,
    0xffefffff,0x7ffe40ef,0x204fffff,0xfffffffb,0x3ffe01ff,0xffffd885,
    0x206ffec4,0x44ffffd8,0x2200dffd,0x20dffffe,0x4400beff,0xbefffffd,
    0xfffd3001,0xd3001bff,0x01bfffff,0x09f007dc,0xbdffea80,0x3f604feb,
    0x77fff540,0x0003efff,0xdfffffb1,0xfff70037,0x405dffff,0x4fffffea,
    0xffffe980,0x3fea00df,0x035100ff,0x06a2004c,0x2e200098,0x0001c80a,
    0x40001573,0x8000aba8,0xa800aba8,0x00072204,0x0566e5d4,0x95300ae0,
    0x40000137,0x88000ab9,0x4001bcb9,0x4000acb8,0x2a00aba8,0xeffffffe,
    0x00000002,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x02aaaa00,0x1cccb800,0x01530000,0x80dd4c00,
    0x26600028,0x0701aaba,0x30001000,0x11000355,0x44000000,0x00000ab9,
    0x002aa200,0x26aea620,0x00080000,0x09ffff10,0x2fffc400,0xffd71000,
    0x7dc005df,0x1cefffff,0xeb880099,0xffffffff,0x2000f11c,0x00befeb9,
    0x7fffff4c,0x27ed400d,0x36a00000,0xdfffffff,0x2200000c,0x003dffdb,
    0x37bffae2,0x000beffe,0x4001ffb8,0x00fffffd,0x01ffe600,0x98effcc0,
    0x7f4403fe,0xfeca89bf,0x32004fff,0x221bdeff,0x0fffffb9,0x6d5f6c00,
    0xff504fff,0x1dffffff,0x4fffeb88,0xfb100000,0x2ea2159f,0x40001eff,
    0x000cffc8,0x2202efc8,0x7c004feb,0x3e6005ff,0x005ffa8e,0x0017fd40,
    0x3e613fe6,0x03ffa03f,0x804fffb8,0x800dffe8,0x000fffd8,0xfffb03f2,
    0xaacff883,0x544ffffc,0x004fffcb,0x1effb800,0x01fff440,0x02ffe880,
    0x001ee980,0xe800774c,0x3ba004ff,0x000bfa60,0xe8009f90,0x3ffb00ff,
    0x7007ff90,0xff9809ff,0xffc8005f,0x209f9001,0x826c3ffd,0x3a07ffe8,
    0x400004ff,0x2000effc,0x54006ffc,0xa8000eff,0x7e40004f,0x00cc8802,
    0xdb101d50,0x00fb0000,0xf101ffd4,0x01fff0bf,0xe8813ee0,0x360005ff,
    0x3ff8802f,0x25419910,0x40bffe60,0x00004ffd,0x0007ffe6,0x2009fff1,
    0x8000fff9,0x99998af9,0xfb800999,0x6c400000,0x0001dc00,0xffe800f4,
    0x307ff401,0x7c400dff,0x01fff604,0x3005f100,0x028005ff,0x3607ffd0,
    0x100004ff,0x2000bffd,0x4c01fffc,0x88002fff,0xffffd33e,0x405dfffd,
    0x0000006c,0x04400000,0x403ffd40,0x3fea5ffc,0x4136000f,0x0003fffa,
    0xffb803d8,0xfb000002,0x13ff601f,0x7ffe4000,0xfff10001,0x27ff440d,
    0xfd85d800,0x3bff6a2f,0x00009d00,0x00000000,0x00dff900,0x3e61fff5,
    0x12e004ff,0x0007fffc,0x7e4024c0,0xd000002f,0x27fec0df,0x7ffd4000,
    0x7fe40005,0x0dff903f,0x2e03e200,0x5ffe82ff,0x4c000f30,0x98099999,
    0x80019999,0xe801bcb9,0xff9805ff,0x37fffe1f,0xfa838800,0x000004ff,
    0x0017ff40,0x00ffc400,0x00009ffb,0x0009fff9,0x986fffa8,0x90003fff,
    0x20bfee0b,0x0fa07ffa,0x7ffee400,0xffffd82f,0xefd9801f,0x102fffec,
    0xf100bfff,0x7ffec5ff,0xfb0002ef,0x000007ff,0xffe99988,0x0001999b,
    0x7ec02fa8,0x05e5444f,0x01ffff40,0x3fffe600,0x007ffec0,0xff702f80,
    0x01fff105,0x02c981ae,0xc80bffea,0x7d401fff,0x27ff441f,0x4027ffcc,
    0x3a23fff8,0x00dfffff,0x0bfffe20,0xff700000,0xffffffff,0x3f98000f,
    0x324ffd80,0x403fffff,0x0002ffff,0x10ffffc4,0x3726bfff,0x0f302cee,
    0x7cc17fdc,0x503e205f,0xff807ffd,0x3ffe602f,0x40bfe601,0x7d45ffe8,
    0xff8804ff,0x7fffc44f,0xf3003fff,0x00003fff,0xfe999880,0x001999bf,
    0x0033fe60,0x3bf69ffb,0x300ffffe,0x0003ffff,0x547ffff0,0xeefdcfff,
    0x6a85ffff,0x360bfee0,0xb8fc02ff,0x403fffff,0x3e202ffe,0xbfd101ff,
    0x22fffa80,0xf003fffa,0xffd10bff,0x805fffff,0x8007fffa,0xccccccca,
    0x5ffd03cc,0xfdb88000,0x3602ffff,0x220ddcff,0xff505ffe,0xf00001ff,
    0x7fec9fff,0x3f220cff,0x702dc6ff,0x3fa625ff,0x212e803f,0x7403fff9,
    0x7ffc02ff,0x007ff701,0x7fdcdffd,0xdfff002f,0x7ffffdc0,0xff701eff,
    0x731000ff,0x03bfffff,0x00017ff4,0x3fffffae,0xfffb02ff,0x03ffea09,
    0x001fffee,0xf2ffff40,0x7ec01dff,0xb81323ff,0xbffffeff,0xfd07b000,
    0x2ffe807f,0xd80fffc0,0xffb802ff,0x05fff72f,0x80bfff10,0xffffffd8,
    0xffffb83f,0x3fee0000,0x2ffe807f,0x3f660000,0xffb07fff,0x0fffc409,
    0x007fffd4,0x27fff400,0xf880bfff,0x40b70fff,0x5ffb2ffb,0x7f417400,
    0x17ff403f,0x7c07ffe0,0xff9801ff,0x07fff54f,0x00bfff10,0x3fffffa6,
    0x7fffd42f,0x3fe60001,0x2ffe806f,0xfea80000,0x4ffd83ff,0x4c0fffc0,
    0x0001ffff,0xf12ffff8,0xff900bff,0xfb81aa5f,0x01fff12f,0x3ff607e0,
    0x017ff403,0x3e607ffe,0xff8800ff,0x07fff35f,0x009fff10,0xffffffb8,
    0x0bfffe21,0x5fff8800,0x002ffe80,0xbfff3000,0xf809ffb0,0xfff882ff,
    0xff80002f,0x9fff31ff,0x27fff300,0x8bfee079,0xf8805ffa,0x403ffd80,
    0x7fc02ffe,0x0fffb81f,0x22dfff00,0xf9804fff,0xd88003ff,0x7fc5ffff,
    0x220004ff,0xfe805fff,0x2000002f,0xffd86ffd,0x817ffc04,0x0003fffe,
    0xf07fffc4,0x3fe009ff,0x7dc07e4f,0x017fe42f,0x1ffec1aa,0xf00bffa0,
    0xfff903ff,0x97ffa003,0xfa804fff,0x800511ff,0x7ec7fffd,0x220006ff,
    0xfe805fff,0x2000002f,0xffd86ffb,0x817ffc04,0x0004fffd,0x3a37ffcc,
    0xfff004ff,0xffb82e49,0x200ffe82,0x07ffb03e,0x7c02ffe8,0xfffa81ff,
    0x47ffd002,0xfb805ffd,0x2001667f,0x3e61fffe,0x10001fff,0xfd00bfff,
    0x4000005f,0xffd85ff9,0x817ffc04,0x0006fffa,0x361fffdc,0xffd006ff,
    0x7e407cc7,0x06ff982f,0x3ff601f3,0x017ff403,0x3e607ffe,0xffd004ff,
    0x403ffcc3,0x01e65ffc,0xb0bffee0,0x2000bfff,0xe805fff8,0x000002ff,
    0x7fec1ffc,0x017ffc04,0x0003fffb,0x7dc37ff4,0x5ffd007f,0x4ffd85d8,
    0x9d0bff70,0x201ffec0,0x7fc03ffd,0x7fff881f,0xfd0fff00,0x2ffe803f,
    0xf3000be6,0xfff881ff,0xff88002f,0x2ffe805f,0x3e200000,0x04ffd81f,
    0xf1017ffc,0x2a000bff,0xff981fff,0x0fff800f,0xffea9fc4,0xffd82eff,
    0x6c01d91e,0x7fe403ff,0x07ffe604,0x2017ffdc,0xffb85ff8,0x31bfe203,
    0xff9800df,0x0dfff907,0x0bfff100,0x0005ffd0,0xd82fdc00,0x7ffc04ff,
    0x0fffdc02,0x027ff400,0xf8809ff9,0x003f303f,0xb007ea00,0xffc807ff,
    0x5fffd506,0x2037ffc0,0xdfd00ffc,0x260ffdc0,0x3f2005ff,0x3fff203f,
    0x3fe2000e,0x2fff805f,0xff100000,0x013ff601,0xfd005fff,0xffc800df,
    0x07ff4406,0x5c01ff70,0x7dc0003f,0x03ffd802,0x88e7ffd4,0x8dfff9fc,
    0x04fffa81,0x7c407ff1,0x84ff883f,0x400efff9,0xfc805ffa,0xf1000eff,
    0xfff00bff,0x2efe8007,0x6c03fd10,0x7ffc04ff,0x1dff9002,0x04ffd880,
    0x220bff30,0xdf9801ff,0x0f6c4000,0x804ffe80,0xfffffffd,0x19fffff1,
    0x439fff30,0xf9802ff9,0x413faa2f,0xbceffff9,0x1bffb310,0x3fffa600,
    0xfff9301d,0xfff8803b,0x3ffe2004,0xdfcaabef,0x02fff400,0x9800fffe,
    0x5cc1bffe,0x5c001efe,0x3fa20cff,0x37f62001,0x06fed401,0x00bfff00,
    0x1bffffd1,0x2005f7fc,0xefffffd8,0x3f26001b,0x2602efff,0xfffeb99e,
    0x002effff,0xdffffb50,0x17ffffdd,0x3ffff600,0x3ffee002,0x802dffff,
    0x700ffff9,0x8800dfff,0xffefffec,0x30000cef,0x1bfdbffd,0x3ff26000,
    0xcffedcde,0x7ffd4000,0x1571000f,0x26000390,0x980000ab,0x8828801a,
    0x001abcba,0x332aa600,0xd30009ab,0xdfffffff,0x5551005d,0x3faa0013,
    0xb2efffff,0xdfffffff,0x2b2a6000,0x54400001,0x4c00000a,0x001abcba,
    0xfffffea8,0x000001ef,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00088000,0x13553000,0x02aa2000,
    0x75310000,0x20000135,0x0009aba8,0x35755300,0x00220660,0x000d5440,
    0x7fffffcc,0x20003fff,0x054400aa,0x3e200544,0xffffffff,0x403fffff,
    0x0164c028,0x00009fb3,0x76fffe44,0xfd9001df,0x0007dffd,0x6f7ff5c4,
    0x000beffe,0xfeddfd98,0xc98001ef,0xffffffff,0xffb0f61c,0x6fedc005,
    0x36001eff,0xffffffff,0x3ff20007,0x87ffe201,0x2e01fff8,0xffffffff,
    0x01ffffff,0x7cc0ff91,0x3fae22ff,0x300004ff,0xfe9839ff,0x9867ec03,
    0xc8004ffd,0x3ae202ef,0x2fee004f,0x01fffd40,0x1beffd88,0x7f77f5cc,
    0x01bffe64,0xdfb05fe4,0x3fffe200,0x003fffff,0x403fff30,0x3ee4fffb,
    0x3ffa04ff,0xffffffff,0xfc887fff,0x3fee07ff,0x3ff2ea5f,0xe880004f,
    0x0bfe604f,0x7dc0ffa2,0x3dd3005f,0x00ee9800,0xff502fcc,0xfff9805f,
    0x9fff7003,0x402fffc4,0x2ffa83fb,0xaaaafc80,0x0000aaaa,0x4c03fffd,
    0x3fe62fff,0x9bff302f,0x55555555,0x776449fd,0x3e207fff,0x9ffd02ff,
    0x1ff90000,0xfd87fd80,0x017ff406,0x900013ea,0x01fec05f,0xfb81bff6,
    0x7d4002ff,0x00efdc5f,0x3e203fe6,0x01fc405f,0xfffc8000,0x416d401f,
    0x07f202da,0xb0c1ff80,0x1b980fff,0x0013ff60,0x2e017fe0,0x0ffe60ff,
    0x4c0dff50,0x55d4c02f,0x807dc6a0,0x7fdc06ff,0x2fff980f,0x00bf7000,
    0xfb03fe40,0x0007c807,0xfff7f500,0x44000003,0x1fea001f,0x000fff70,
    0x0009ff90,0xb806ff88,0x0bff61ff,0x220fffa0,0x7bfd503e,0x47f9dfd7,
    0x0fff886c,0x10bffea0,0x8000dffd,0x3fa0006e,0x3e200406,0xf8800003,
    0x0003fff5,0x2000cc00,0x7fd404fd,0xffc80007,0x7fc40004,0x23fec00f,
    0xfd801fff,0xd885d86f,0x7ff7104f,0x3ffd84e8,0x907ffea0,0x80003fff,
    0xff10006b,0xefc8000d,0x3600001b,0x003fff0f,0xf8000000,0x3ffd401f,
    0x27fe4000,0x2fff4000,0xff893fe0,0x7ffb800f,0x3fe207c4,0x4c4fa803,
    0x201ffa87,0x7fc47ffb,0x0f00007f,0x6ffa8015,0x3ffe2000,0x0000dfff,
    0x1fff8bee,0xaccca880,0x7d400000,0x07ffa807,0x04ffc800,0x4fffb800,
    0x7cc3ff70,0xffa801ff,0x3f61721f,0x3a132005,0x7e400883,0x2fffdc5f,
    0x1d828000,0x003ffdc0,0xffffff90,0xf10007ff,0x201fff89,0xffcdffc8,
    0x900000ff,0xfff3009f,0x9ff90000,0x26666660,0x7fffc409,0x2a0ffcc4,
    0xf9802fff,0xf70be2ff,0x42cc005f,0xff88006b,0x17fff41f,0x05d00000,
    0x0007ffa8,0x3ffffb72,0x2000dfff,0x0fffc0ee,0x5c41ffb0,0x80000eff,
    0xff9801ff,0xffc80007,0xffffd884,0xfffa82ce,0x81ef98ef,0x9803fff8,
    0xf0f33fff,0x220000ff,0x7fdc000f,0x0ffffc43,0x07f00000,0x000fffa8,
    0xffff7300,0x07ee00df,0x7dc07ffe,0x09ffd04f,0x007fa800,0x0000fff3,
    0x7fc09ff9,0xfffa801e,0x7fc04fef,0xfffa806f,0x6ff98d53,0x007e0000,
    0xff30dff0,0x000001ff,0x3fe6027c,0x4400000f,0x404ffffc,0x3fff04f9,
    0x640fff60,0x640005ff,0xfff3004f,0x9ff90000,0x30013ee0,0x805fffff,
    0x5c02fffe,0xa8b72fff,0x200005ff,0x3fea002e,0x0ffffa80,0xbf100000,
    0xfffffff0,0x005fffff,0x3ffff500,0xfff03740,0x407ff203,0x40005ffb,
    0xff3001ff,0xff90000f,0x0009f909,0x0fffffee,0x406fff98,0x8991fffc,
    0x00005ffc,0x2fe800f6,0x00ffff70,0x437cc000,0xffffffff,0x0002ffff,
    0x209fff50,0x3ffe00fc,0x5c079101,0x260006ff,0x3fe6007f,0xffc80007,
    0x8001fe44,0xffffecfb,0x17fff205,0x43ffff66,0x037fdc5b,0x2005d000,
    0x3fee03fa,0x2000007f,0x7fc406fa,0x4000001f,0x3fa86ffc,0x000fffc0,
    0x037ffe4c,0x4009f900,0x32207ff9,0x93ff202e,0xf90002fd,0x27fffecb,
    0xbbffff90,0x4dfff9fd,0x03ffcc6a,0x2003f000,0x7ffcc05d,0x7000000f,
    0xfff880ff,0x44000001,0x02fc47ff,0x7000fffc,0x0dff99fd,0x0017fc00,
    0x7ec0fff3,0x9ff905ff,0x20005fb1,0xfffc86fc,0x3ff6a03f,0xfffb8bef,
    0xfff11e62,0x03e20000,0xf1003e20,0x00003fff,0xf003ff20,0x000001ff,
    0x7ec1ffb0,0x01fff800,0x3ee3ffb8,0xff30006f,0x07ff9800,0x01fffff1,
    0x5ffdbff9,0x03ff5000,0x003fffee,0x21fffa06,0x01ffec1f,0xa8035400,
    0x5ffff004,0x3f600000,0x07ffc01f,0x7dc00000,0x3ffffe67,0xffffffff,
    0x6c46ffff,0x37fdc0ef,0x004fc800,0xfb03ffcc,0xff907fff,0x001fffd9,
    0x7e407fd8,0xfa8004ff,0x445c84ff,0x91000fff,0x0ee007d0,0x027fff40,
    0x2ffe8000,0x0003ff40,0x2a5fa800,0xffffffff,0xffffffff,0x417fa26f,
    0xf0006ffb,0xff98005f,0x27c55407,0x7fc67fe4,0xff1000ef,0x0bffb00b,
    0x01fffd00,0x5ffa81f3,0x7cc0e980,0x20039000,0x0006fffa,0x807ffd00,
    0x000005fe,0x774c7f90,0xeeeeeeee,0x5eeefffe,0x7dc07ffa,0x7f98006f,
    0x07ff9800,0xff907f10,0x017ffe69,0x54027fd4,0x7cc007ff,0x217601ff,
    0xb982efe9,0x2004e80d,0x7fff4003,0x22880001,0x7ec04fff,0x80001003,
    0x3e0000fd,0x6ff981ff,0x001bfee0,0x260013f2,0x1f7007ff,0x7dc9ff90,
    0xffa803ff,0x00bff004,0x4403ffd8,0xdfff903f,0x3b207bfd,0x2a000000,
    0x40006fff,0x9fff10e8,0x007fa220,0xfa8000ec,0x7ffc0003,0x00fffb81,
    0xd000dff7,0xff30005f,0x6413a00f,0x7ffec4ff,0x02ffcc02,0x32004ff8,
    0x3f3005ff,0x200d4c40,0x000001fa,0x003fffe8,0xfff98b60,0x7ffff545,
    0x223d400b,0x02fc402b,0x40fffc00,0xe982fffa,0x260066ff,0xff50007f,
    0x205e980f,0x7f444ffc,0x7ff400ff,0x00ffd400,0x4004ffa8,0x5c0003fb,
    0x66d4002f,0x3ffa2000,0x45d8003f,0x3a66fffa,0xeffffb89,0x8bf9309b,
    0xfa82dffe,0xff80000d,0xffff981f,0xfffbf913,0x9f900b75,0x1ffea000,
    0x7ec03fb8,0xefff985f,0x013fe600,0x3ee007fb,0xbf30002f,0x1ed88001,
    0x27ffc400,0x3fffa200,0x84e9801d,0x8f27fffb,0xfffffcfb,0x641fffff,
    0xeddfffff,0x3e00003f,0xfffb01ff,0xff13dfff,0xfd001dff,0x3fea0005,
    0x3a007107,0xfff706ff,0x0dff980b,0xd9804fc8,0x440001ef,0x6d401dfd,
    0xfa8000df,0xc88006ff,0x9abdffff,0x303ffdb9,0x8a64dfff,0xffffd32f,
    0xfd107fff,0x039bffff,0x1fff8000,0x9ffffb10,0x800dffd8,0x3a0007f9,
    0x20003fff,0x880ffff9,0x200effff,0xfdcdffd8,0xffb7301e,0x9800003b,
    0xedcdeffc,0x40000cff,0x20003fff,0xffffffd9,0x7c00cfff,0x3fbe63ff,
    0xfffffc84,0x00d54c02,0x3ffe0000,0x300d4401,0x01e4c001,0x3ffffb20,
    0x7001efff,0xdffffffd,0x3ffffa67,0x54c03eff,0x55dc009a,0x80000009,
    0x01abcba9,0x006a2000,0xbcbaa800,0x0b22001a,0x353002a2,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00e00000,0x22051000,
    0x04ccc882,0x01355100,0x33333310,0x26662013,0x0b7ae019,0x3fff2154,
    0x5effffff,0x7ffff5c0,0x5cc05fff,0xfc801bcc,0xffffffff,0xfffa801f,
    0x4cc6ffff,0x004cc401,0x0a880a88,0xfffffb00,0x007dffff,0x0000be60,
    0x3ea3ffd4,0x1fffc87f,0x3fffaa00,0x3ee00eff,0x02dfffff,0x30bfffd7,
    0x83bfffff,0xfffb301c,0xc98001bf,0x74c01fff,0xbefebadf,0x2e20aaaa,
    0x0aefffff,0x3ffee200,0x07ffc42e,0x100dff50,0x7fc43fff,0x3fa6001f,
    0x0001dfff,0x80002fe4,0x3f62fffd,0x4ffd82ff,0xfffffb00,0x4407ffff,
    0xf005fffe,0x3b3b605f,0x7aadffff,0x0ffffc40,0x805ff000,0x7f441ffb,
    0xa83fffff,0x0003ffff,0x3e207ff6,0x3fea00ff,0x4fffa806,0x0013ffea,
    0x000ffff3,0x001fff10,0x41fff700,0xfd00fffb,0xdfff700d,0x5fffffd9,
    0x02fffcc0,0xc8d02fcc,0x03ffffff,0x0007fff8,0xff3007f4,0x2bffea09,
    0xfffd00aa,0x27ec0007,0x200fff88,0xf8806ffa,0x3ffe23ff,0x7ffc4002,
    0xffb80006,0xb700004f,0x4403b703,0x3be600fe,0x7fff440b,0x1fff200f,
    0x2440bee0,0x027ffec4,0x0007ffe8,0xffd007ec,0x00fff403,0x0037ffd4,
    0x7fc40df0,0x1bfea00f,0x6d41ed40,0xfff88003,0xffe80005,0x0000007f,
    0xc80fe600,0x7ffec01f,0x0bffe203,0x40080dd0,0x3ffa0009,0x03ec0007,
    0xfd803ffe,0xfffd004f,0x07f50003,0x5007ffc4,0x00000dff,0x5fff8800,
    0x7ffd4000,0x000002ff,0xe816a000,0x5fff9803,0x3037fe40,0x0000007f,
    0x0007ffe8,0xfff303ec,0x037fe401,0x004fffb8,0x3e200fd8,0x3fea00ff,
    0x00000006,0x002fffc4,0x3ffe7f60,0x00000006,0x00588040,0xf101fff6,
    0x03f205ff,0xfd000000,0x7d8000ff,0x807ffe20,0xf1006ffb,0x44001fff,
    0x7ffc405f,0x01bfea00,0xf1000000,0x4c000bff,0x03fffb4f,0x332e6000,
    0x1100001b,0x02ffe400,0x7c437fe4,0x332a2005,0x7f4000ac,0x3ec0007f,
    0xc80bffa0,0x3f2005ff,0x3f2003ff,0x07ffc401,0x000dff50,0x00037973,
    0x002fffc4,0x3fea3f90,0x7cc0004f,0x0dfffeef,0x000164c0,0x9803ffb8,
    0x0fdc1fff,0x66ffe440,0xd000ffff,0xd8000fff,0x037fe407,0x4c005ffb,
    0x3e006fff,0x0fff8806,0x401bfea0,0xffecefd9,0xff88002f,0xdf10005f,
    0x000fffe8,0x74c39f70,0xfea80eff,0xf900003f,0x3ff6005f,0xfd803745,
    0x3bfee20f,0x07ffe800,0x2203ec00,0xff881ffe,0xfffd8005,0x803fa802,
    0x2a00fff8,0xffa806ff,0x027ff441,0x017ffe20,0x3ee17dc0,0xfb8003ff,
    0x49fff303,0x03fffffb,0x01ffd000,0x4c7ffe60,0x4ffb803f,0xd009ffd0,
    0xd8000fff,0x2ffd8807,0x00037fae,0x2017ffea,0xff8800fd,0x1bfea00f,
    0x2205ff30,0x22005ffe,0xd0005fff,0x0dfff10f,0x6406f880,0x3e611fff,
    0xf00003ff,0xffd8009f,0xfb001f95,0x17ff207f,0x001fffa0,0x3e200fb0,
    0x01defffe,0x0ffff400,0x22009f10,0x3ea00fff,0x17fa206f,0x005fff50,
    0x0017ffe2,0x7fec0fea,0x13f2001f,0xd07fff70,0x500007ff,0xff3000ff,
    0x32009f3f,0xbff701ff,0x00fffd00,0xe9807d80,0x70000022,0x7e409fff,
    0x3fff1001,0x7037fd40,0xffd007ff,0x3ffe200d,0x00fd8005,0x400bfff3,
    0xaaaaacff,0x85fffcaa,0x80003ffe,0xfd0002ff,0x22003fff,0x1bfee03c,
    0x001fffa0,0x5f880fb0,0x7c400000,0x0df00fff,0x017ffc40,0x7ec0fff7,
    0xfffb802f,0x5fff8802,0x2027c400,0x8800fffe,0xcccccdff,0x83cccccc,
    0x40003ffd,0x2a0005fb,0x00006fff,0x00dfff93,0x8000fffd,0x077e407d,
    0x3f200000,0x03fa83ff,0x413ffe20,0x92a7fffc,0xf9801fff,0xff8804ff,
    0x0fe4005f,0x00fffee0,0x0000bfe6,0x8000fff6,0xe80006f8,0x5c0003ff,
    0x06ffccfe,0x0007ffe8,0x3ffe03ec,0xcccdeeef,0x3e20002b,0x00fe86ff,
    0x8ffffe20,0x0fff9dda,0x03ffe65b,0x017ffe20,0x0017ffe2,0x555555ff,
    0x0ffff755,0x0009ff50,0x0007ffb0,0x400007ec,0x70000ffa,0x37fdc7ff,
    0x003fff40,0xffb01fa0,0xffffffff,0x20005dff,0x3e62fffd,0x7ffc4004,
    0x3a5fffff,0xf70fdeff,0x3fe001ff,0xfff8806f,0x3ffee005,0xffffffff,
    0x5402ffff,0xd80005ff,0xf90003ff,0x3e200003,0xefd88004,0x4037fdc0,
    0x0000fffd,0x3ff201ba,0xffffffff,0xa8003fff,0x07f25fff,0xffd7f300,
    0xffea89ff,0x07fff22e,0x402fff40,0x2004fff8,0x3fe6007e,0x37fcc05f,
    0x1ffec000,0x0017dc00,0x8003f700,0xff705fe8,0x1fffb00d,0x4037c000,
    0x5555334d,0x00dfd997,0x7c7fffa0,0x8af98006,0x40d401ba,0xd002fffa,
    0xff1007ff,0x0fe6007f,0x03fffb00,0x001fffc4,0x007ffb09,0x00002fa8,
    0x7f400374,0x0dff701f,0x005fff70,0xbb013e60,0x003fb000,0xf59fff70,
    0x07f50005,0x3ffe6000,0x03ffd004,0x005fff10,0xf50003f6,0xfff809ff,
    0xfb077007,0x1fcc007f,0x0bea0000,0x40dff300,0xfa806ffb,0xf70004ff,
    0x0017dc05,0x440007cc,0x007effff,0x00009f90,0x401fffe2,0xff1007ff,
    0x09f1003f,0x03fffa00,0x00dfffc8,0x3ff607e6,0x009f3003,0x006e8004,
    0x700fffb8,0x3fa00dff,0x1fd0007f,0x0003fe60,0xfc8001aa,0xd0004fff,
    0x5c0000df,0x7c402fff,0x7c41a85f,0x1fc800ff,0x9fff9000,0x77fffc40,
    0xd82fdc41,0x4f9803ff,0x8310b600,0xfa8002fb,0xffe982ff,0xfffa8066,
    0x01fec003,0x9800bffb,0x3e20001f,0xf0001fff,0xf80000ff,0x7fe406ff,
    0xf117fec0,0x0ff1009f,0x7fffd400,0x3fffee00,0x0fffedff,0x9809ffd0,
    0x7da8804f,0x7f6fffd4,0xfff30006,0x3f7f227f,0x6c05baff,0xe9804fff,
    0x7ffe405f,0x1fe4402d,0x37fec000,0x0fff9800,0x3fea0000,0x07ff104f,
    0x77d4ffff,0x005fd800,0x13fffe20,0xffffff70,0x7fc03fff,0x3ffea05f,
    0xffffffff,0x7fec4fff,0x0000efff,0x3ffffff6,0xeffff89e,0xefffc800,
    0xffdb98ac,0xffe8804f,0xecceefff,0x00002efe,0x20005ff5,0x0001fff9,
    0x0e7ffcc0,0x3f605ff3,0x803f94ff,0x002fffc8,0x9fffff70,0x7fff4c03,
    0x3ea00dff,0xffa80fff,0xffffffff,0x541fffff,0x000dffff,0x7fffec40,
    0x006ffec4,0xfffffb50,0x003bffff,0xfffffea8,0x0003ffff,0x20007e80,
    0x00006ff8,0xfffffb10,0x7f4c037d,0x6402efff,0x4fffffff,0xfffff900,
    0x880bffff,0x3aa00aba,0x1effffff,0xfffffff1,0xffffffff,0x002f260f,
    0x40351000,0x2a200009,0x00aaccba,0x6ee54c00,0x000009ac,0xa8000550,
    0x8000001c,0x4c000ab9,0x000002bb,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xa8800000,0x0000a880,
    0xc88b32e6,0x88193001,0xff500acb,0x5fffffff,0x7fffffe4,0x3fa04fff,
    0x407fffff,0x85302dda,0xfffffffa,0x7ff5c000,0x504effff,0x32a00555,
    0x3ffa62cc,0xffffffff,0x00accdee,0xbcca9800,0xffffd102,0x0dffffff,
    0x440b2600,0x3fe21fff,0x7fdc001f,0xffcfffde,0x8fff5402,0x3fffffe9,
    0x3ffffea0,0x3fffee02,0x3ff2003f,0x3ffe201f,0x80e41eff,0x06ffffc8,
    0x1bff9300,0x0ffffdc0,0x4077ff40,0xffffffb8,0xffffecde,0x44000cef,
    0xefffcefe,0xffff7101,0x4400039f,0xffa83fff,0x13ffea4f,0x2227ec40,
    0x902ffffb,0xf33fffff,0x9fffffff,0x03fffdc0,0x003fffe4,0xd9007fe2,
    0x5dffffd9,0xffa801f5,0x3e0005ff,0x3ffe201f,0x7fc405ff,0x7ffec00f,
    0x3ffaa203,0xdf7003ff,0x01fffc81,0x0017fff2,0x21bffea0,0x3e23fff8,
    0xff8802ff,0x0bffee02,0xeafffb84,0xfffea9bd,0xffff101f,0x1ffff100,
    0x402fc400,0x7ffffdc6,0xfff5004f,0x1fa0007f,0xffb1bfb0,0x00ffdc05,
    0x8017ffdc,0x405ffffc,0xfff107fa,0x27ffd40d,0x7ffc4000,0xb507b503,
    0x01bf6007,0x8805fff1,0xfb04efff,0x7fec0dff,0xfffd802f,0x00bee002,
    0xfff91091,0x7ffcc009,0x7e8002ff,0xdf713e60,0xb8017ec0,0x26002fff,
    0xf104ffff,0x7ffec07f,0x07fff500,0x00ae2000,0x3fea0000,0x02fff801,
    0x2204fff8,0xf502ffff,0xff500bff,0x03ec009f,0x0004c008,0x3fffffe6,
    0xd03ec000,0x220fe609,0x3fee003f,0x7fd4002f,0x07fc83ff,0xf5037fd4,
    0x000007ff,0xfd000000,0x0bffa00f,0x7007ffe0,0x7fc07fff,0xffff007f,
    0x0013e200,0xbf980000,0x000efffe,0x201d41f6,0x002d40d8,0x000bffee,
    0xf03ffff6,0x500600df,0x00007fff,0x88000000,0xffd006ff,0x03fff005,
    0x204fff88,0xc802fffc,0xfb801fff,0x00000001,0x3ffe2fe6,0x01f6005f,
    0x20002000,0x8002fffb,0x263ffff8,0x500005ff,0x00007fff,0x26666660,
    0x19999980,0x200bff30,0xff802ffe,0x6fff801f,0x017ffe60,0x2013fff6,
    0x2e60007d,0xf98001bc,0x09ffff33,0x00001f60,0x7ffdc000,0xfff90002,
    0x0027fd4d,0x03fffa80,0xffb90000,0xfffb05ff,0xbff703ff,0x00bffa00,
    0x3a007ffe,0x7ff406ff,0x3ffe200f,0x027c407f,0x3b3bf660,0x26002fff,
    0x3fffee3f,0x2007d802,0x593002c9,0x05fff700,0x3fffea00,0x000bff71,
    0x00fffea0,0xfff50000,0x0fffe405,0xe8037fe4,0xfff802ff,0x05ffd801,
    0x5017ffdc,0x405fffdf,0x3ea001fb,0x27ff441f,0x7e43f980,0x3ec01fff,
    0x01fff540,0x200fffaa,0x0002fffb,0x2e7ffff3,0x500006ff,0x00007fff,
    0x405fff00,0xfb81fff9,0x5ffd007f,0x003fff00,0xf8809ff9,0x27f605ff,
    0x1b605fff,0x102ff980,0xf300bffd,0x1dfffb07,0xff703ec0,0x3ee07fff,
    0xb803ffff,0x20002fff,0xff54ffff,0xf500001f,0x000007ff,0x4405ffd0,
    0xffa81fff,0x2ffe800f,0x801fff80,0xfe802ffd,0xd4f880ff,0x9f101fff,
    0x017fa200,0x9805fff5,0xfffe883f,0x3081f605,0x4c207fff,0xfb803fff,
    0x3a0002ff,0xfff35fff,0x54126007,0x00003fff,0x402ffe80,0xff981fff,
    0x2ffe804f,0x802fff80,0xfb801ffe,0x72fb83ff,0x3f705fff,0x00ffee00,
    0xf301bffa,0x3fffe607,0x3a00fb04,0xffe803ff,0x2fffb803,0x3fff6000,
    0x00ffff15,0x7ffd4076,0xe8000003,0x7ffc02ff,0x0ffff881,0x4017ffc0,
    0x7c402fff,0xfff1005f,0x7fc4fb0b,0x2006e85f,0xfb802ffd,0x0fe602ff,
    0x83ffffa8,0x7ffd007d,0x007ffd00,0x0005fff7,0xfb27fff4,0x06b80bff,
    0x000fffea,0x0bffa000,0x2e03fff0,0xe881efff,0xff802fff,0x07fe404f,
    0x41fffb00,0x7fff44f8,0xf800fe20,0xff9801ff,0x00fe604f,0xd83ffff9,
    0x07ffb007,0x7007ffb0,0x40005fff,0x3e23ffff,0xfd985fff,0x0fffea03,
    0x05ed4000,0xff00bffa,0x7fff403f,0xebebaacf,0xfff802ff,0x07ff101f,
    0x23fffa80,0x7ffdc1fb,0x4c007ee3,0xf8800fff,0x0fe605ff,0x83ffff60,
    0x7ffb007d,0x007ffb00,0x0005fff7,0x907fffe2,0xd9dfffff,0xffa80bff,
    0xf880003f,0x17ff44ff,0x9807ffe0,0xffffffff,0xf005ffd3,0xe883dfff,
    0xfff0004f,0x7fc4374d,0xb801ba6f,0xff000fff,0x01fcc0df,0xb37fff44,
    0x0fff600f,0x200fff60,0x0002fffb,0x901ffff5,0xffffffff,0xfffa801d,
    0xffa80003,0x017ff46f,0xd1007ffe,0x745dffff,0xfff802ff,0xffedffda,
    0x3ff60002,0xfb04f88f,0x007f11ff,0x800fffe4,0x3e605ffe,0xffff1003,
    0x7ec01f6b,0x3ffd803f,0x02fffb80,0x0dfff700,0x7fffffd4,0x7fff5003,
    0xfff10000,0x402ffe87,0x51001fff,0x05ffd017,0x2a63fff0,0xa80000ab,
    0x01fbbfff,0x1f77fff5,0x17ffd400,0x203ffe80,0x3e6003f9,0x007dbfff,
    0xfb007ffb,0xfff7007f,0xfff10005,0x3f93005f,0x7ffd4001,0xb8860003,
    0x402ffe81,0x00001fff,0xff005ffd,0x8000003f,0x206eefff,0x06eefff8,
    0x027ffcc0,0x2601ffe8,0x7fdc003f,0xfb007fff,0x7ffb007f,0x05fff700,
    0x0bfff900,0x2000f6c0,0x0003fffa,0x3ff600b3,0x00fffc03,0x02ffe800,
    0x0001fff8,0x7fffe400,0x7fffec03,0x7ffc4003,0x80fff007,0xfc8003f9,
    0xfb007fff,0x7ffb007f,0x05fff700,0x1ffff980,0x05fff500,0x01fffd40,
    0xf9002d80,0x7ffcc09f,0xffd00001,0x03fff005,0xff980000,0x7fd400ff,
    0xfb8000ff,0x7fc402ff,0x001fcc05,0x007fffe8,0xfb007ffb,0xfff7007f,
    0x7ff44005,0x3f22004f,0x3fea005f,0x0fa8003f,0x20dff900,0x002fffea,
    0x005ffd00,0x00005fff,0x00dffd00,0x8001bffe,0x7e406fff,0x027cc00f,
    0x07fff880,0xb007ffb0,0xff7007ff,0x3fea005f,0xfd0003ff,0x7ffd400d,
    0x02f4c004,0x239fff50,0xdfff9fc8,0x7fc00018,0x2fff803f,0xfb800000,
    0x7ff9003f,0x7ffd4000,0x007ff104,0x4c000bf7,0xffd007ff,0x09ffd009,
    0x805fff90,0x02ffffd8,0x005ff100,0x0077ffdc,0x001ffdc4,0x3ffffff6,
    0x9fffff1f,0x3fe20001,0x7ffc403f,0x88000003,0xff3000ff,0xff980001,
    0x0bfe61cf,0x02bffa20,0x803fd400,0xff805fff,0x7ffcc05f,0xdcacceff,
    0x003fffff,0x00bfd730,0x7fffffcc,0xeeeeeeee,0x4000ffff,0x0dffffe8,
    0x0002fbfe,0xaffffd98,0x7ffecc40,0x000001af,0x17e002f4,0x7fec4000,
    0x401befff,0xffffffee,0x07c8001e,0x00ffffa8,0x303fffea,0xffffffdd,
    0xbddfffff,0x64400037,0xee8800bd,0xffffffff,0xffffffff,0x220006ff,
    0x001c80ab,0xcccccb80,0x99911ccc,0x03999999,0x00d40000,0x00000aa0,
    0x00002ae6,0x50140000,0xdffffffd,0x7ffff543,0x00001eff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x6c000000,0xffffffff,0xfffd32ef,0xffffffff,
    0xbfffffff,0x3fffffa6,0x640effff,0xffffffff,0x7d40000f,0xffffffff,
    0xffffffff,0x5304ffff,0xffd30a60,0xffffffff,0x01799bdd,0x7ffff4c0,
    0xdeefffff,0xbb50002b,0x74c0e605,0xffffffff,0x02bdeeef,0xffffe980,
    0xeeffffff,0x4000abcd,0xfffe980a,0xff7101df,0x99999bff,0x8bfffdb9,
    0x2fffffa8,0xcffffc80,0x64400000,0xcdffffff,0xdccccccc,0x6ffb84ff,
    0x5c437fdc,0xdeffffff,0xefffffdc,0xff71000c,0xffddffff,0x22003dff,
    0x41efffff,0x7fdc401c,0xfecdefff,0x8000dfff,0xdeffffb8,0xfffdcbbc,
    0x3ae200df,0xdfff503f,0x07fff600,0x6c17fa20,0xf7004fff,0x000003df,
    0x7ffdffc4,0xd0bf5002,0x7ff43fff,0x7fffb01f,0x7fff5440,0x3ff6002f,
    0x7ff5442f,0xecfc803f,0xfaaeffff,0x5fffb000,0x0ffffee0,0x17ffec00,
    0x5ffff710,0x07ff9910,0x4017ffe6,0x2001fffb,0x7fff906e,0x01bfd100,
    0xcfa80000,0x2002fffb,0x47ffc85c,0x3ee07ffc,0xff9002ff,0x3f2009ff,
    0xfff302ff,0x7dc680bf,0x004fffff,0x980bffee,0x8003ffff,0x8802fffb,
    0x3e01ffff,0xbfff103f,0x07ffee00,0xff706a80,0x0bfb005f,0x3f600000,
    0x002fffb8,0x076e2166,0x7dc03971,0x3a6002ff,0xfb803fff,0x3fe602ff,
    0x221202ff,0x4004fffc,0x5c02fffb,0x4000ffff,0x5002fffb,0x7fc0dfff,
    0x09fff103,0x007ffee0,0x3ffee0d0,0x002fe402,0x73f98000,0x58005fff,
    0xff700000,0xffa8005f,0x7fdc02ff,0x7fff402f,0x01300206,0x05fff700,
    0x02ffff88,0x017ffdc0,0x205fffd0,0xfff103ff,0x3ffee009,0xff700001,
    0x02fe405f,0x1fb00000,0x000bffee,0x7dc00000,0xfd8002ff,0x7fdc07ff,
    0x7ffe402f,0x80000007,0xe802fffb,0x5c004fff,0x32002fff,0x7ff03fff,
    0x013ffe20,0x000fffdc,0x02fffb80,0x00000bf9,0xff71fcc0,0x0000005f,
    0x0bffee00,0x3fffe200,0x0bffee03,0x01ffff70,0xfb800000,0xffe802ff,
    0x7fdc004f,0x3ff2002f,0x207ff03f,0x7004fff8,0x19803fff,0x82fffb80,
    0x000005fd,0x3fee3ec0,0x0029802f,0xfb80164c,0xf90002ff,0x7fdc0dff,
    0x7ffdc02f,0x2a0f2607,0x7dc000bc,0xfff802ff,0x7fdc002f,0x3ffa002f,
    0x207ff01f,0x7004fff8,0x3b803fff,0x42fffb80,0x000005fd,0x3ee1fcc0,
    0x03b802ff,0x007ffd50,0x000bffee,0x80ffffd4,0x6402fffb,0xfea86fff,
    0x3fffee4f,0x3fee003f,0x7ffcc02f,0x7fdc000f,0xfff1002f,0x881ffc0d,
    0xf7004fff,0x03e803ff,0xb12fffb8,0x000000bf,0xfff70dd0,0xb807b005,
    0x003fffff,0x0005fff7,0x40bfffe6,0x7402fffb,0x3fee4fff,0xdff94fff,
    0x2003ffff,0x2202fffb,0x8004fffe,0x8802fffb,0x3e03fffe,0x9fff103f,
    0x07ffee00,0x5c01fe4c,0x5fe8afff,0xa8000000,0x2fffb82f,0x100ff220,
    0x400fffe6,0x0002fffb,0x5c0ffffe,0x3ee02fff,0xff9846ff,0x3a21ddcf,
    0xff7006ff,0x3ff6205f,0xff70005f,0xffe9805f,0x81ffc05f,0x7004fff8,
    0xdddddfff,0x7007ffff,0x9ffd7fff,0xd0000000,0x3bffee0d,0xfffeeeee,
    0x3ffa003f,0xfffff303,0xffffffff,0x7ff401ff,0x5fff704f,0x07fffee0,
    0x503fffe8,0x3ee00fff,0x7fe4c2ff,0x2e0003ff,0xccccefff,0x3ffffecc,
    0xf103ff80,0x3ee009ff,0xeeeeeeff,0xfb803fff,0x4ffffeff,0x2a000000,
    0xbfff702f,0xfd999999,0x7ff4007f,0xfb999103,0x99999bff,0x7fec0199,
    0xbfff705f,0xfffb7559,0x4ffd803b,0x003ffe20,0x3fbbffee,0x00adffff,
    0x7fffdc00,0xfffffeef,0x7c400bff,0x9fff104f,0x07ffee00,0xfb803fb8,
    0xffffdaff,0xd0000004,0x17ffdc0d,0xd800fee0,0xff7003ff,0x7f40005f,
    0xfff704ff,0x9bdfdb99,0x13ff6005,0x7003fff0,0xfb559fff,0x200007ff,
    0x9882fffb,0x0dffffdb,0x1deeedc8,0x8027ffc4,0x6401fffb,0x2fffb803,
    0x009ffffb,0xeefb8000,0xffeeeeee,0x003d802f,0x5c00fff6,0x20002fff,
    0xf702ffff,0x200005ff,0x7fc04ffd,0xfffb802f,0x07fffe22,0x3ffee000,
    0xffffa802,0xff10001f,0x3fee009f,0x401dc01f,0x3f62fffb,0x00004fff,
    0x9999df10,0x5fffb999,0x6c007700,0xff7003ff,0x3e20005f,0xff701fff,
    0x3600005f,0x7ff404ff,0x2fffb802,0x0037ffd4,0x017ffdc0,0x46fffe98,
    0x7fc400a8,0xfff7004f,0xb8019803,0x7fe42fff,0x800004ff,0x7fdc01fc,
    0x0018802f,0x5c00fff6,0x50002fff,0x2e01ffff,0x00002fff,0xfe809ffb,
    0xfffb802f,0x04fffc82,0x17ffdc00,0x7ffff500,0xf1007ffc,0x3ee009ff,
    0x700001ff,0xff905fff,0x400009ff,0xffb805f8,0xd800002f,0xff7003ff,
    0x3ee0005f,0x3fee06ff,0xfb00002f,0x2ffe809f,0x02fffb80,0x0005fffd,
    0x0017ffdc,0x269ffff1,0x3e203fff,0xff7004ff,0x2e00003f,0xff902fff,
    0x200009ff,0xffb800fc,0xd800002f,0xff7003ff,0xff10005f,0x7fdc05ff,
    0xfb00002f,0x2ffe809f,0x02fffb80,0x001ffff1,0x00bffee0,0x2adfffd0,
    0x3e203fff,0xff7004ff,0x2e00003f,0x3f202fff,0x40004fff,0xff7004f8,
    0x8120005f,0xf7003ffd,0xf90005ff,0xffb80bff,0xfb00002f,0x2ffe809f,
    0x02fffb80,0x0017ffee,0x0017ffdc,0x7cd3fffa,0x3fe202ff,0xfff7004f,
    0x3ee00003,0x7fe402ff,0x360004ff,0xfff7000f,0x40990005,0xf7003ffd,
    0xf98005ff,0x7dc00fff,0xb00002ff,0xffe809ff,0x2fffb802,0x01fffec0,
    0x017ffdc0,0xf87fffe0,0x3fe201ff,0xfff7005f,0x3ee00005,0xffc802ff,
    0xfa8004ff,0x3ffee004,0x00fcc002,0x2e007ffb,0x22002fff,0xb803fffe,
    0x00002fff,0xfe809ffb,0xfffb802f,0x7fff4402,0x7ffdc002,0x3ffee002,
    0x2603ff47,0xf9005fff,0x200005ff,0xb002fffb,0x800bffff,0x3ee000fe,
    0x3a2002ff,0x027ff407,0x002fffb8,0x009ffff5,0x000bffee,0x2027ff40,
    0xfb802fff,0xff9802ff,0x3ee000ff,0xff3002ff,0x06fd87ff,0x8037ffd4,
    0x0003fffd,0x007fffb0,0x3bffffe2,0x007fc801,0x801fffe4,0x7fc04ffa,
    0xfff9005f,0xfffd9805,0x3ff6002f,0xff00004f,0x3fff809f,0x04fffc80,
    0x03ffff70,0x00bfff20,0x05ffff91,0x7f5409f7,0x2e203fff,0x001fffff,
    0x3fffee20,0xfff9801f,0x80acffff,0x400bfffc,0xcfffffb8,0xedcbaaab,
    0x3ea02fff,0x7cc00fff,0xacdeffff,0xbfffffec,0x3ffea000,0x540002ff,
    0xf700ffff,0xff980dff,0xfd002fff,0x4c059fff,0xcdefffff,0xffffdcbb,
    0xb07f500e,0xffffffff,0x3ffa65df,0xefffffff,0xfffd3000,0x1dffffff,
    0xfffffe88,0x54ffffff,0xdfffffff,0xfffffd30,0xffffffff,0x20ffffff,
    0xffffffea,0x3ffba61e,0xffffffff,0x001bdeef,0x3ffffba6,0x000effff,
    0x3fffffea,0xffffb2ef,0x3a61dfff,0xfffffffe,0x3fe200ef,0xd32fffff,
    0xfffffffd,0xbddfffff,0x01f88037,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0f800000,0xffffff98,
    0x2e00003f,0x1effffff,0xffffffff,0xfffff70b,0xffff903f,0xffffffff,
    0x1fffffff,0x3fffffee,0x5c05ffff,0xffffffff,0xffffff14,0x03ffffff,
    0xfffffff3,0x3ffa23ff,0xffffffff,0xffffffff,0x7fff4c4f,0x0effffff,
    0x3fffa600,0x0effffff,0xffffffd8,0xff72efff,0xffffffff,0xffffffff,
    0x88007fff,0x006ffffc,0x3ffffe00,0xbffff502,0x0bffc801,0xddffff90,
    0xdddddddd,0xc885ffff,0x03ffffff,0x5ffffdc0,0xffffca80,0xd8801fff,
    0x5101dfff,0x999dfffd,0xfdb99999,0x3fee209f,0x40002fff,0x2fffffa8,
    0xffffd300,0xffffb819,0xfffeeeee,0xfffeeeee,0xffd0004f,0x500005ff,
    0xb80bffff,0xfb803fff,0x0067ec05,0x40bfffb0,0x006ffffa,0x1003dff0,
    0x009ffffd,0xb8017fdc,0x2e003fff,0x7ffec05f,0x3f200004,0x7d4004ff,
    0x3df906ff,0x20bffee0,0x3ae4fe98,0x7ffec00c,0xfe80006f,0xfe803fff,
    0x00fd806f,0x3ee002ec,0x7e400eff,0x44000fff,0x3a2001ff,0xd000ffff,
    0x7fd4005f,0x02ec003f,0x000fffee,0x03fffb80,0x82fffcc0,0x3fee00ec,
    0x553a202f,0x3200ffff,0x002fffef,0x3fffbea0,0x1fffa803,0x3a013e20,
    0x3ffe6001,0xfffd001f,0x03fb8009,0x3ffff980,0x4004fb80,0x4003fffa,
    0x7ffdc05a,0x3ee00002,0x7c4002ff,0x809905ff,0x5402fffb,0x07ffffb5,
    0x2fffdfdc,0xff7fb000,0x3ffa007f,0x2003f205,0x7fff4006,0x3ffe6004,
    0x0df1001f,0x7fffd400,0x0017ea00,0x000fffea,0xfffb80d1,0x3ee00002,
    0x7c4002ff,0x803b04ff,0x4402fffb,0x0dffff55,0x7ffecfdc,0xadf98001,
    0xf7003fff,0x017e01ff,0xfff90024,0xfff9000d,0x007f600d,0x0bfffb00,
    0x20003be2,0x0003fffa,0xeefffb80,0x000bcdee,0x0017ffdc,0x0c13ffe2,
    0x017ffdc0,0x0f93730c,0x7ffd4fdc,0xa9fd8005,0xf1003fff,0x03f507ff,
    0xfff98000,0xffd0001f,0x04fa807f,0xffff8800,0x0001fe83,0x0007fff5,
    0xddfff700,0x5bffffdd,0x0bffee00,0x09fff100,0x17ffdc00,0x5c0db000,
    0x01fffd1f,0xffaafc40,0x3ff2003f,0x00006e86,0x01ffff44,0x1ffff300,
    0x0001be20,0x20ffffa8,0x2a0002fc,0x35003fff,0x0bffee00,0x07ffff91,
    0x005fff70,0x004fff88,0x00bffee0,0xf701fc40,0x013ffea3,0xfff52fc8,
    0x7ffcc007,0x0000be62,0x00bfff90,0x0bfff900,0x000007f2,0x3eebfff9,
    0x7fd40004,0x0059003f,0x4c0bffee,0x5c03ffff,0x44002fff,0x20004fff,
    0x0002fffb,0x21fb80d9,0x8800fffe,0x0fffea6f,0x6cbffd00,0x7d400007,
    0x00000fff,0xf987fffd,0xe8800004,0x006fcfff,0x03fffa80,0x3ee005d0,
    0x3fea02ff,0x3fee01ff,0x7fc4002f,0x3ee0004f,0xec8002ff,0xf70fdc01,
    0x5f7007ff,0x001fffd4,0x3e23ffea,0x3e200003,0x00002fff,0xe83fffe6,
    0x3000000f,0x001fffff,0x07fff500,0x7002fc88,0xff805fff,0x3fee03ff,
    0x7fc4002f,0x3ee0004f,0x3aa002ff,0x21fb800d,0xf807fff8,0x01fffd47,
    0x7de7ffc0,0x3f600000,0x800005ff,0x5f75fffc,0xfc800000,0x500006ff,
    0xdddddfff,0x05fffddd,0x00bffee0,0x5c0bfffb,0xaaaacfff,0xbaaaaaaa,
    0x20004fff,0x2002fffb,0x07ee000b,0x5407fff9,0x1fffd43f,0xaaaaaaa8,
    0xaaeefffd,0x000aaaaa,0x003fffee,0x3ffe2000,0x00005fbf,0x07fffd00,
    0xdfff5000,0xfd999999,0x3ee005ff,0x7fe402ff,0x3ffee07f,0xffffffff,
    0xffffffff,0x3fee0004,0x2000002f,0x7ffc41fb,0xf503fa06,0x3ffe07ff,
    0xffffffff,0xffffffff,0xfff1001f,0x4000005f,0x00fffffa,0xff980000,
    0x40001fff,0xc803fffa,0xfff7002f,0x6fffd805,0x00bffee0,0x009fff10,
    0x017ffdc0,0x7dc01500,0x82fffc81,0xfffa84fa,0xdff90003,0x7ff40000,
    0x8000004f,0x0003fffd,0xfcef8800,0x540006ff,0x5d003fff,0x0bffee00,
    0x409ffff0,0x4002fffb,0x0004fff8,0x000bffee,0x07ee0354,0x361bffe6,
    0x3fffa80f,0x0dff7000,0x3fff2000,0x50000006,0x00005fff,0xfd11fd00,
    0x540007ff,0x59003fff,0x0bffee00,0x02ffff98,0x000bffee,0x0009fff1,
    0x0017ffdc,0x3ee00de8,0x43fffb01,0xfff505f9,0x3fee0007,0xff980006,
    0x000001ff,0x005fff50,0x22fc8000,0x001ffffa,0x007fff50,0x7fdc0066,
    0xffff302f,0x2fffb809,0x27ffc400,0x5fff7000,0x3fff9000,0x7cc07ee0,
    0x407f65ff,0x5503fffa,0xfb555555,0x555555df,0xffe80155,0x0000003f,
    0x000bffea,0xc84fb800,0x50006fff,0x00007fff,0x505fff70,0x801dffff,
    0x4002fffb,0x0004fff8,0x000bffee,0x5c13ff26,0x3fffa01f,0x3ea05f89,
    0xffff03ff,0xffffffff,0xffffffff,0x37ffe403,0x50000800,0x00005fff,
    0x7c417e60,0xa8003fff,0x00003fff,0xcbcfffb8,0x03fffffe,0x005fff70,
    0x004fff88,0x00bffee0,0xf704ff80,0x67ffd403,0x3fea02fc,0xff70003f,
    0x7fd4000d,0x498000ff,0x5fff5000,0xdf100000,0x7fffd401,0x7ffd4001,
    0x20910003,0xfffffffb,0x2000acef,0x4002fffb,0x0004fff8,0x000bffee,
    0xfb80ffd4,0x7ffff401,0x1fffd406,0x06ffb800,0x5ffff100,0x000b2000,
    0x0017ffd4,0x400ff400,0x4006fffd,0x0003fffa,0x3ffee07b,0x3ee00002,
    0x7c4002ff,0x2e0004ff,0x4c002fff,0x3ee04feb,0x7fffdc01,0x1fffd402,
    0x06ffb800,0x0bfffb00,0x0007e200,0x001fffd4,0x400ff600,0x004ffff8,
    0x000fffea,0x7fdc03ea,0x2e00002f,0x44002fff,0x20004fff,0x2002fffb,
    0x6400adc8,0x7fff801f,0x03fffa80,0x00dff900,0x01ffff70,0x8001f600,
    0x0003fffb,0x50017f60,0x2005ffff,0x4004fffa,0x3fee05f8,0x2e00003f,
    0x4c002fff,0x20005fff,0x0002fffb,0x200ff600,0xfb803ffb,0xf90004ff,
    0xff8800ff,0xd88002ff,0x3f20006f,0x880004ff,0x44002ffd,0x801fffff,
    0x2004fffb,0x3f603ffa,0x200004ff,0x4003fffc,0x0006fffa,0x000ffff2,
    0x2a133326,0x7c401eff,0x7ffcc00f,0x2a000aff,0x000bffff,0x999ffffd,
    0x99999999,0x00bfffdb,0x3ffffe60,0xff50000a,0xfa800bff,0x01cfffff,
    0x79fffff3,0xd9975555,0x3ea01fff,0x0002ffff,0x7ffffdc4,0xfffd5001,
    0xff30007f,0xc8005fff,0xfdd31fff,0x40dfffff,0xffdd104c,0x3dffffff,
    0x7ffffec0,0x2e01efff,0xffffffff,0xffffffff,0x003fffff,0x3ffffba2,
    0x001effff,0xfffffff9,0xffeb80bf,0x5fffffff,0xfffffdd1,0xffffffff,
    0x98bfffff,0xfffffffe,0x26000eff,0xfffffffe,0xffd80eff,0xefffffff,
    0x3ffba602,0x0effffff,0x002ffe80,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x9ff10000,0xaa880200,
    0xaaaaaaaa,0xaaaaaaaa,0x00c4002a,0x00310000,0x00200000,0x00000000,
    0x00000000,0x15e654c0,0xaccca880,0x99730000,0x26666037,0x99998099,
    0x017ee019,0x335501d4,0x33333333,0x33333333,0x01fa800b,0x00f90000,
    0xabcb8800,0x1d88fcc0,0x1d880620,0xfc880000,0x00017d30,0x9dfd1000,
    0x2203dfff,0xfffcdffc,0xdff3000f,0xc81bfffd,0xd82ffffd,0xb01fffff,
    0x501f400d,0x02400003,0x00007ea0,0x40003e40,0xffeceec8,0x7449f13f,
    0x3fff661f,0x0bfa23ef,0xffd98000,0x033ffa25,0x77dc0000,0x40fffe40,
    0x3ee20ffd,0x67dc00ef,0x03bffa61,0xc80bffea,0x0e881fff,0x5407f300,
    0x01200001,0x00003f50,0x30001f20,0xffe885ff,0xafe885ee,0xfdbbdefd,
    0x002feaef,0x19ffd500,0x077ff6a0,0x07fa8000,0xfb8dfff1,0x09ffd04f,
    0xff981fdc,0x05fff04f,0x080fffcc,0x407ff100,0x1200001a,0x0003f500,
    0x8001f200,0xff102ff9,0x7ff440ff,0x0bffe603,0xdff71000,0x3f260017,
    0x440002ef,0x3ff603ff,0x40fff60f,0xdf105ffc,0x81fffc80,0x3e202ffe,
    0x740001ff,0x006a03ff,0x54004800,0x9000001f,0x37f4000f,0x80fffe60,
    0xff8801fe,0xff930001,0x5c40005b,0x8000bfff,0x7fd407fc,0xb80ffe46,
    0x09f905ff,0xe83fffb8,0x7ffc02ff,0x83ccc981,0x99cfffe8,0x00006a09,
    0x0fd40048,0x07c80000,0x807ff500,0xf707fffd,0x02fcc005,0x073ff6a0,
    0xffd50000,0x37fc0039,0x03c88180,0x7fc1bfee,0xaaaaaaac,0xfe85fffc,
    0x0fffc02f,0x2a0fffd8,0xffffffff,0x00006a5f,0x0fd40048,0x07c80000,
    0x405ff900,0x43fffcfc,0xfb8005f8,0x7ff5c402,0x4000000b,0x402dffd9,
    0x00005ff9,0x0dfff930,0x9999bff1,0x79999999,0xf805ffd0,0x3ffa01ff,
    0x3ff66622,0x06a0999c,0x40048000,0x000001fa,0x3fa000f9,0xf33f701f,
    0x02f989ff,0x9104f980,0x00005dff,0xdff91000,0x09ff5017,0xcfeb8000,
    0xff986ffc,0xffe80002,0x00fffc02,0x3f60bfd1,0x0006a03f,0x7d400480,
    0xf9000001,0x3fff1000,0x3fe25f50,0x0007dc5f,0x7fecc5f8,0x0000001d,
    0xcffeb880,0x0017fee0,0xf71ffdc0,0x09ff50df,0x05ffd000,0x4c01fff8,
    0x07ffb07f,0x900000d4,0x2aaaaaa2,0xaabfcaaa,0x22aaaaaa,0xaaaaaaa9,
    0xaaaafdaa,0x2a2aaaaa,0x17d41fff,0x0f91bffe,0xff336c00,0x0000005f,
    0x3ffee000,0x000dff70,0x5c0efd88,0x5ffa86ff,0x2ffe8000,0x400fffc0,
    0x3ffd81fa,0x800006a0,0xffffff34,0xffffffff,0x1fffffff,0x3fffffee,
    0xffffffff,0x26ffffff,0x3e63fffb,0x5c5ffd83,0x8bd0000f,0x002dffd9,
    0xb3000000,0x7fd43bff,0xfd10000f,0x21bfee0b,0x80006ff9,0x7fc02ffe,
    0xb097001f,0x00d407ff,0x2aa29000,0xcaaaaaaa,0xaaaaaabf,0x2aaa62aa,
    0xfdaaaaaa,0xaaaaaaaa,0x53ffe62a,0x7ffb04f8,0xf0002f98,0x3bff2209,
    0x0000000b,0x80cffea8,0x3003fff9,0xb80fff49,0xfff886ff,0x3fa12003,
    0x0fffc02f,0x7ffb0100,0x00000d40,0x01fa8009,0x00f90000,0xd1bfff10,
    0x20fff40b,0xfa8004f8,0x7ff5c402,0x4000000c,0x00beffb8,0x401fffe2,
    0x40dff31d,0xfff06ffb,0x360ee00f,0x7ffc03ff,0x7fec0001,0x00006a03,
    0x0fd40048,0x07c80000,0xbdfffd00,0xf907ff80,0x02fc4005,0x077ff6a0,
    0xff930000,0x7fec005b,0xf735c05f,0x3fee01ff,0x1bfff906,0x7e40fcc0,
    0x3ffe604f,0xd802ea01,0x006a03ff,0x54004800,0x9000001f,0x3fea000f,
    0x3fe200ef,0x4003fa05,0x930001fd,0x80005dff,0x001cffda,0x85ffff88,
    0x3fea3fd9,0x6ffe982f,0xeffff886,0xc82fdc41,0xffd506ff,0x1bff205f,
    0x2a03ffd8,0x01200001,0x00003f50,0xe8001f20,0x3ee00eff,0x7ffd101f,
    0x00fff4c0,0x3ffee200,0xfd71000b,0xc800017f,0xecefffff,0x7ffcc5ff,
    0xffbf913f,0xffb8b75f,0xffedffff,0x9fff500f,0x3fe7f223,0x7ffc18df,
    0x07ffb00f,0x900000d4,0x001fa800,0x000f9000,0x882fffe4,0x5fd103fe,
    0xb9579dfd,0x003fd5df,0x33ffaa00,0x5dff9101,0xffc80000,0x0effffff,
    0xffffffd8,0xeffff89e,0xfffffb80,0x6c01ffff,0x1fffffff,0x419fffff,
    0x3f606ffd,0x0006a03f,0x7d400480,0xf9000001,0x3efee000,0x3fa61cff,
    0x543fd103,0x23effffd,0x00001fe8,0x4437ff66,0x0001cffd,0x3fffea00,
    0x3f6203ff,0x7fec4fff,0x3ffa600d,0x8800dfff,0x20dffffe,0xb880beff,
    0x0fff600c,0x200001a8,0x00fd4004,0x007c8000,0xff912fa8,0x4039dfff,
    0x026201e8,0x00000f44,0xbf987e44,0x20000000,0x10009bb9,0x0004c035,
    0x00015751,0x03901571,0x13ff6000,0x200001a8,0x00fd4004,0x2aaaaa60,
    0xaafdaaaa,0x2aaaaaaa,0x2ee620fe,0x00000000,0x00400000,0x00000000,
    0x00000000,0x00000000,0x51bff200,0x800006a1,0x00fd4004,0x3ffffee0,
    0xffffffff,0x6fffffff,0x00000002,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7fdc0000,0x06a4a8af,0x40048000,0x99880018,0x99999999,
    0x99999999,0x00000099,0x00000000,0x00000000,0x00000000,0x00000000,
    0x88000000,0x546fffff,0x01200001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x26000000,0x0d41cfff,0x3a690000,
    0xeeeeeeee,0xeeeeeeee,0x00004eee,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0c000000,0x99999b50,0x99999999,0x26d99999,
    0xeeeeeeee,0xeeeeeeee,0x0003eeee,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4c400000,0x00999999,
    0x22333333,0x20999999,0x99999998,0x19999881,0x21579750,0x2f2e6004,
    0x6dcc4001,0xcba882cc,0x0488002b,0xa8055244,0x4ccc4002,0x99999999,
    0x33310999,0x99833333,0x64c00999,0x9300e543,0x00179507,0x50000080,
    0x7dfffffd,0x53fff720,0x4ffffffb,0x3fffff6a,0xfffeb85f,0x766ff445,
    0x6cc07fff,0x2fffecef,0xfbcffc80,0xdff70eff,0x4003dfff,0x98fa203e,
    0x007e601f,0xffffffe8,0xffffffff,0xfffffd31,0x7ffec4bf,0x9ffd504f,
    0x50bfffe6,0x7fdc9ffd,0xd0003fff,0x6400005f,0xff006fff,0x1fffe883,
    0x00dfff70,0x81fd05ff,0x3ea07fc9,0x27ff441f,0xfc87fd88,0x910cfcef,
    0xfb003fff,0x7ec3ec01,0x4003b600,0x9999abfe,0x84fffb99,0xf05fffe8,
    0x3ffee0bf,0xfffe8cff,0xfffff75f,0x3ffbff29,0x7cc001ff,0x7400004f,
    0x3f8806ff,0x405fff50,0x7c405ffd,0x3a03fc85,0x205ff307,0xfb85ffe8,
    0xffff883f,0x80dff902,0x0ff203fb,0x7cc03be2,0x8807d006,0x3e206fff,
    0x2fcc0fff,0x33ffe610,0x12ffc8ad,0x3773ffe6,0x01bffa21,0x0009ff30,
    0x00fffa80,0xffb007dc,0x03ffd409,0x0ffa07ea,0x5fe887a8,0x217ffd40,
    0xffd02ffd,0x17ffcc0d,0x3ee07fa8,0xd817f207,0x400f804f,0x5401fffe,
    0x07744fff,0x44fffd80,0x7fffd008,0xa81ffea0,0x931ffc2c,0xfff80007,
    0x2a027403,0x7ffc07ff,0x7fc1b602,0x7fdc3c06,0x46ffe803,0xffd01ffc,
    0x83fff80b,0xff503ff9,0x827fc407,0x02c03ff8,0x400bfff2,0x3f91fffd,
    0x077fec00,0x409ffb00,0xff00fff8,0xfa8fec9f,0x2e0001ff,0x07e607ff,
    0xe80bffe0,0x05f105ff,0x0c07bff6,0x5c017fec,0x0ee22fff,0xccceffe8,
    0x5fffcccc,0xf8837f44,0x2ffc806f,0x0003ff90,0x8013ffea,0x3faefff8,
    0x027fec00,0xf013ff60,0x3ff203ff,0x3feaf95f,0x220000ff,0x0db02fff,
    0x4c17ff20,0x7b80ffff,0x33fffea0,0x01fff800,0x004fff98,0xdddfff91,
    0xdddddddd,0x883ffd89,0xf8803ffe,0xfff881ff,0x7ffc4000,0xfffa8006,
    0xffd8005f,0x27fec004,0x440bffe0,0xbdbeffec,0x0001dfff,0xf886ffd8,
    0x1fff3002,0x09ffbbb0,0x7ff4409d,0xf300cfff,0xff1001ff,0xdfc980bf,
    0x90004ffe,0x3ff60dff,0x3fff2006,0x00effc80,0x003fff60,0x00fffe40,
    0x0027fec0,0xfd013ff6,0xfb51005f,0x000037df,0x5c1fff98,0x1fff4007,
    0x1ffea7e6,0xfd8803f3,0xb81fffff,0xff000fff,0x3bf660df,0x0009ffd2,
    0xf905fff5,0x7c4005ff,0xfff886ff,0x5fff9005,0x6ffe8000,0x04ffd800,
    0x2027fec0,0xa8802ffe,0x000beffd,0x44ffe800,0x7fdc004e,0x5fff3646,
    0xfd500364,0xfc87ffff,0xffd001ff,0x42efd88b,0x98004ffe,0xffa84fff,
    0x3fe6004f,0x3fff985f,0x04fff980,0x7fffcc00,0x27fec004,0x013ff600,
    0x75c05ffd,0xffbdadff,0x500000cf,0x03ea1fff,0x21fff100,0x97ff22f8,
    0xffb8003f,0x3fea3fff,0x7ffd002f,0xfd82ff44,0xff50005f,0x1fff701f,
    0x41bff600,0xf8805ffd,0x440006ff,0x01fffbde,0x0013ff60,0xfe809ffb,
    0x9fffb02f,0x37ffd5ee,0x7fff0000,0x7ec00176,0xff98d94f,0x0400fa8f,
    0x4cdfff90,0xfd004fff,0x807ff43f,0x0e006ffc,0x3f209ff7,0xeff9804f,
    0x006ff980,0x0001fffb,0xdffd0ed8,0x027fec00,0xd013ff60,0x3ffe05ff,
    0x7fd43fa4,0xf900001f,0x0005f1df,0x0fe3bfea,0x0176fffa,0x3fff701a,
    0x401fffe2,0x1bfe27ff,0x801fffb8,0x00ffd83b,0xfd801ffd,0x01ffd01f,
    0x805fff70,0xf30fdc02,0x3f6009ff,0x7fec004f,0x817ff404,0x8bfe23da,
    0x200004d9,0x006efff8,0x07efffc0,0x017fffdc,0xfff100fc,0x017ffdc3,
    0xffa97fe2,0x17ffe207,0x3fa01f10,0x409fd104,0xff502ff9,0x9fff3003,
    0x1fcc0b00,0x4017ffdc,0x6c004ffd,0x7ff404ff,0x13fe6002,0x3f600000,
    0x640003ff,0xff104fff,0x017e00ff,0xfff81ff9,0x507fe406,0x3e605fff,
    0xea885fff,0x403fe205,0x7fd00ff9,0x44017f40,0x0f006fff,0xffe817e2,
    0x2ffec00f,0x013ffa00,0x54005fff,0x000005ff,0x000fffa8,0x007ffcc0,
    0x3e009ff9,0x217fa03f,0xf104fffa,0x3dfff07f,0xffffcfc8,0x0effdbce,
    0xf5027cc0,0x5409f509,0xfffb004f,0x3a0f7001,0x3ffe600f,0x037fec05,
    0xf013ffe0,0x744007ff,0x0000002f,0x20000bfd,0x7fcc04fe,0x09fff000,
    0x3e601df7,0x3fe61cff,0xbffff902,0x3fea3ffb,0x1fffffff,0x5c03f700,
    0x3a03740f,0xbfff7005,0x95555555,0xffd88dfb,0x3fffe200,0xffff980d,
    0xffff5003,0x1bffee01,0x00000200,0x0001fb80,0xbd003f70,0x7fff7c00,
    0x400cffdd,0xefffffd8,0x3ff6201b,0x6cc0cfff,0x01dfffff,0x97602e40,
    0x03aa00ea,0x3ffffe20,0xffffffff,0x3ffe66ff,0xfffc83ff,0xff55ffff,
    0x09ffffff,0x3fffffea,0xffffb2ef,0x0001dfff,0x91000000,0x01c40000,
    0x882001a8,0x8000aba9,0x4c000ab9,0xb9800abb,0x0060001a,0x04400886,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x87910000,
    0x2201bca8,0x00001bca,0x00500011,0x01a880a0,0x88000a00,0x554c000a,
    0x02aa6001,0x009a9880,0x10d402a2,0x55555555,0x55555555,0x64455555,
    0xcccccccc,0xcccccccc,0x5300cccc,0x00a00013,0x549ffb50,0x40efffff,
    0x05fffffc,0x01ffcc00,0xd8009f70,0x7ffecc1f,0x1fcc002e,0x3fff6a00,
    0x7ff4c03e,0x3ea01eff,0x402ffb9b,0x03ffdcfc,0xffd81fff,0xffffff33,
    0xffffffff,0x1fffffff,0x3fffffe6,0xffffffff,0x0fffffff,0x6fffff44,
    0x401a6002,0x94fffffa,0x9fffd9df,0x7ff6f7ec,0x3ee0003f,0x27ec005f,
    0x7c43fd80,0x00ffeb9b,0x4003ffa0,0xfffbbdf8,0x337ff503,0x1be07ff7,
    0x3fa01ff7,0xf313fea0,0x6fff87ff,0x26666666,0x99999999,0x20fb9999,
    0x99999999,0x99999999,0xfe819999,0xcfffecbd,0x0802e401,0x1b99fff1,
    0xdd9fffc8,0x00fffe40,0x002fe880,0x7ec04fd8,0x7fcc2c83,0x9f7f7003,
    0x3fa13200,0x880ef887,0x227d41fe,0x5fc82ffa,0x3e62ffc8,0x3ffe23ff,
    0xf5000005,0x40000001,0xffc980fb,0x3ee20bef,0xfffd8001,0x0ffffe03,
    0x0002fff8,0x13f60000,0x3e001fec,0x95f8801f,0x2a07003f,0x00fe41ff,
    0xb8170bf1,0x83ff83ff,0x3fe65ff8,0x02fffc2f,0x00fa8000,0x0fa00000,
    0x3bfff6a0,0x90004ffd,0xffd809ff,0x01ffec05,0x36000000,0x001fec4f,
    0x7ec00fea,0x4000df10,0x806e87f9,0x7e6dc07d,0x817fcc3f,0x0fffc7fe,
    0x00013ff6,0x00007d40,0x8800d000,0x002effeb,0x9013ff20,0xffc80bff,
    0x00000004,0x07fb4fd8,0x3005e980,0x002fb87f,0x0bf09f70,0x5d701f90,
    0xff50ffe6,0xfd1ff607,0x007ff90f,0x003ea000,0x00000000,0xff900000,
    0x05ffc809,0x54c2ffe4,0xaaaaaaaa,0xaaaaaaaa,0x7ec02aaa,0x3a6003fe,
    0x7400dfff,0x0001fd06,0x00fd01fd,0x4c3f90fb,0x27fcc3ff,0x37ec6fc8,
    0x0000ffd4,0xff30fa80,0xffffffff,0xffffffff,0x00001fff,0xffc80000,
    0x02ffe404,0x3ee17ff2,0xffffffff,0xffffffff,0xff806fff,0xfda88005,
    0x40bee06f,0x7dc004f9,0x4405fb01,0x2637e45f,0x37fc43ff,0x27dc5fe8,
    0x00007fcc,0x9910c980,0x99999999,0x99999999,0x00001999,0xffc80000,
    0x02ffe404,0x2a617ff2,0xaaaaaaaa,0xaaaaaaaa,0x7ec02aaa,0x320004fe,
    0x05f880ff,0xfa8007e4,0xd81be602,0x2637fc2f,0x2ffc83ff,0x3e607fc4,
    0x0000df03,0x00000000,0x00000000,0xc809ff90,0x7fe405ff,0x00000005,
    0x09fb3fd8,0x207fe200,0x2fc400fd,0x64017cc0,0xffc889ef,0xcadffe84,
    0x220cdffd,0x0bee2efe,0x22f40be2,0xc9853029,0xcccccccc,0x00000003,
    0x20000000,0x7e404ffc,0x2ffe405f,0x20000000,0x027ec3fd,0x7cc0ff80,
    0x405f7004,0xb80881ea,0x03ffffff,0x3a3dfff5,0xffc882ff,0x03e01efe,
    0x8dff51ec,0x3fea6ffa,0x6fffffff,0x00000000,0x32000000,0x7fe404ff,
    0x02ffe405,0xfb000000,0x0013f607,0x00dd09f5,0x41d706e8,0x5100fa98,
    0x15001599,0x4c400a88,0x6c00000a,0x3ff61fff,0xfffff51f,0x000dffff,
    0x00000000,0x27fe4000,0x9017ff20,0x22000bff,0xfd8001ed,0x741fec03,
    0x85fb8ace,0x7cc002fb,0x7ffffec3,0x00005fff,0x00000000,0x83ffee00,
    0x5510fffb,0x55555555,0x00000000,0x64000000,0x7fe404ff,0x02ffe405,
    0x005ffb80,0xfd801fec,0x6f7ff643,0x0004d881,0x3bbae1b9,0x01eeeeee,
    0x00000000,0x65c00000,0x0001cb81,0x00000000,0x64000000,0x7fe405ff,
    0x02ffe405,0x004ff980,0xfb000fee,0x00000005,0x00000000,0x00000000,
    0x00000000,0x00000000,0xb0000000,0xffc80dff,0x037fe405,0x50005300,
    0x0000a000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3fffe600,0x3ffff101,0x07fffe60,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0xffffffe9,0xffffd53e,
    0x3faa7dff,0x02efffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_45_latin1_x[224]={ 0,4,2,0,2,1,1,1,1,0,2,0,2,1,
2,0,1,4,0,1,0,1,1,1,2,1,3,2,0,0,0,1,1,0,0,1,0,0,0,1,0,1,0,0,
0,0,-1,1,0,1,0,2,1,0,0,0,0,0,0,3,0,1,0,-1,2,1,-1,1,1,1,1,1,0,1,
-4,0,1,0,0,1,-1,1,0,1,0,0,0,0,0,0,0,5,3,3,0,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,4,2,1,0,0,
3,3,1,1,-1,1,0,1,1,-1,1,0,0,0,4,2,-1,2,3,2,0,1,2,2,0,1,0,0,0,0,
0,0,-1,1,0,0,0,0,1,1,1,1,0,-1,1,1,1,1,1,3,1,0,0,0,0,0,0,0,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,0,0,1,0,1,1,1,1,1,0,0,0,0,0,0,0,-1,0,
 };
static signed short stb__times_45_latin1_y[224]={ 36,8,8,8,6,8,8,8,7,7,7,11,32,25,
32,7,8,8,8,8,8,9,8,9,8,8,17,17,12,18,12,8,7,8,9,8,9,9,9,8,9,9,9,9,
9,9,9,8,9,8,9,8,9,9,9,9,9,9,9,8,7,8,8,43,8,17,7,17,7,17,7,17,7,7,
7,7,7,17,17,17,17,17,17,17,11,17,17,17,17,17,17,7,7,7,22,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,36,16,9,8,12,9,
7,8,9,8,8,17,18,25,8,5,8,11,8,8,8,17,9,20,35,8,8,17,8,8,8,16,0,0,0,1,
2,2,9,8,0,0,0,2,0,0,0,2,9,1,0,0,0,1,2,14,8,0,0,0,2,0,9,7,8,8,
8,9,9,7,17,17,8,8,8,9,8,8,8,9,7,9,8,8,8,9,9,14,16,8,8,8,9,8,7,9,
 };
static unsigned short stb__times_45_latin1_w[224]={ 0,6,12,20,17,32,30,5,12,12,16,23,7,11,
6,12,18,12,19,16,19,17,18,18,16,18,5,7,23,23,23,16,36,29,25,25,28,24,21,28,29,12,16,30,
24,36,30,27,22,27,28,19,23,29,29,39,29,29,24,10,12,10,19,22,7,17,20,16,20,16,17,19,21,10,
12,21,10,32,21,18,20,20,14,14,12,21,20,29,20,21,18,12,2,12,23,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,6,16,19,20,21,
2,15,12,29,13,19,23,11,29,22,14,22,12,11,8,20,20,6,7,8,13,19,28,28,30,16,29,29,29,29,
29,29,37,25,24,24,24,24,12,12,12,12,28,30,27,27,27,27,27,17,27,29,29,29,29,29,22,20,17,17,
17,17,17,17,25,16,16,16,16,16,10,10,12,12,18,21,18,18,18,18,18,22,20,21,21,21,21,21,20,21,
 };
static unsigned short stb__times_45_latin1_h[224]={ 0,29,13,29,34,30,29,13,38,38,18,23,11,4,
5,30,29,28,28,29,28,28,29,28,29,29,20,26,21,9,21,29,38,28,27,29,27,27,27,29,27,27,28,27,
27,27,28,29,27,36,27,29,27,28,28,28,27,27,27,37,30,37,15,2,8,20,30,20,30,20,29,28,29,29,
38,29,29,19,19,20,28,28,19,20,26,20,20,20,19,28,19,38,38,38,7,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,0,29,35,29,21,27,
38,36,5,29,13,20,9,4,29,2,13,23,15,16,8,28,36,5,9,15,13,20,30,30,30,29,36,36,36,35,
34,34,27,36,36,36,36,34,36,36,36,34,27,36,37,37,37,36,35,17,29,37,37,37,35,36,27,30,29,29,
29,28,28,30,20,27,29,29,29,28,28,28,28,27,30,27,29,29,29,28,28,17,22,29,29,29,28,37,38,36,
 };
static unsigned short stb__times_45_latin1_s[224]={ 234,244,163,112,174,61,197,247,1,98,229,
36,247,189,244,243,42,234,59,128,177,159,195,215,23,40,250,247,125,200,149,
89,35,1,221,106,179,145,14,81,193,1,239,36,225,1,124,167,147,115,192,
61,223,119,169,65,115,85,60,130,94,163,87,36,247,190,1,173,222,208,110,
149,145,244,114,1,245,1,207,67,44,23,192,52,1,225,1,22,171,79,152,
85,127,72,224,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,234,132,31,
139,104,38,111,31,176,59,135,112,176,189,214,222,120,60,107,75,247,199,129,
247,247,247,149,132,126,155,184,133,171,201,1,1,192,131,67,78,176,231,104,
106,150,163,231,161,118,47,1,59,87,143,78,57,150,29,204,174,48,201,170,
40,237,1,19,101,197,22,86,208,228,78,95,31,48,168,155,105,107,170,23,
178,59,105,220,34,83,37,215,1,1,141,14,234, };
static unsigned short stb__times_45_latin1_t[224]={ 38,40,434,182,115,151,182,346,1,1,413,
386,360,444,70,115,212,242,272,212,242,242,212,242,242,242,301,242,386,434,386,
242,1,272,330,242,301,358,330,212,358,330,272,330,301,358,301,212,330,40,330,
212,358,272,272,301,358,358,358,1,151,1,434,410,391,386,151,386,115,386,212,
272,212,212,1,242,182,434,413,413,301,301,413,413,386,386,413,413,413,272,413,
1,1,1,434,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,
386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,386,38,242,115,
242,386,358,1,78,444,242,434,413,434,444,212,146,434,386,434,434,382,272,78,
400,372,330,434,413,151,151,151,182,40,40,78,115,115,115,330,78,78,78,78,
115,78,78,40,115,330,78,40,40,40,40,115,434,182,40,1,1,115,78,358,
151,151,182,182,272,242,151,413,301,182,182,182,272,272,301,301,330,151,330,212,
182,182,301,272,434,386,182,151,212,301,1,1,1, };
static unsigned short stb__times_45_latin1_a[224]={ 163,217,265,325,325,542,506,117,
217,217,325,367,163,217,163,181,325,325,325,325,325,325,325,325,
325,325,181,181,367,367,367,289,599,470,434,434,470,397,362,470,
470,217,253,470,397,578,470,470,362,470,434,362,397,470,470,614,
470,470,397,217,181,217,305,325,217,289,325,289,325,289,217,325,
325,181,181,325,181,506,325,325,325,325,217,253,181,325,325,470,
325,325,289,312,130,312,352,506,506,506,506,506,506,506,506,506,
506,506,506,506,506,506,506,506,506,506,506,506,506,506,506,506,
506,506,506,506,506,506,506,506,163,217,325,325,325,325,130,325,
217,494,179,325,367,217,494,325,260,357,195,195,217,375,295,163,
217,195,202,325,488,488,488,289,470,470,470,470,470,470,578,434,
397,397,397,397,217,217,217,217,470,470,470,470,470,470,470,367,
470,470,470,470,470,470,362,325,289,289,289,289,289,289,434,289,
289,289,289,289,181,181,181,181,325,325,325,325,325,325,325,357,
325,325,325,325,325,325,325,325, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_45_latin1_BITMAP_HEIGHT or STB_FONT_times_45_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_45_latin1(stb_fontchar font[STB_FONT_times_45_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_times_45_latin1_BITMAP_HEIGHT][STB_FONT_times_45_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_45_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_45_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_45_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_45_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_45_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_45_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_45_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__times_45_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__times_45_latin1_s[i] + stb__times_45_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__times_45_latin1_t[i] + stb__times_45_latin1_h[i]) * recip_height;
            font[i].x0 = stb__times_45_latin1_x[i];
            font[i].y0 = stb__times_45_latin1_y[i];
            font[i].x1 = stb__times_45_latin1_x[i] + stb__times_45_latin1_w[i];
            font[i].y1 = stb__times_45_latin1_y[i] + stb__times_45_latin1_h[i];
            font[i].advance_int = (stb__times_45_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__times_45_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_45_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_45_latin1_s[i] + stb__times_45_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_45_latin1_t[i] + stb__times_45_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_45_latin1_x[i] - 0.5f;
            font[i].y0f = stb__times_45_latin1_y[i] - 0.5f;
            font[i].x1f = stb__times_45_latin1_x[i] + stb__times_45_latin1_w[i] + 0.5f;
            font[i].y1f = stb__times_45_latin1_y[i] + stb__times_45_latin1_h[i] + 0.5f;
            font[i].advance = stb__times_45_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_45_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_45_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_45_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_45_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_45_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_45_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_45_latin1_LINE_SPACING
#endif

