// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_46_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_46_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_46_latin1_BITMAP_WIDTH         256
#define STB_FONT_times_46_latin1_BITMAP_HEIGHT        484
#define STB_FONT_times_46_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_46_latin1_FIRST_CHAR            32
#define STB_FONT_times_46_latin1_NUM_CHARS            224

#define STB_FONT_times_46_latin1_LINE_SPACING          30

static unsigned int stb__times_46_latin1_pixels[]={
    0x36a03800,0x88000002,0x03800999,0x55510000,0x00000005,0x00155551,
    0x15554000,0x54400000,0x000002aa,0x02aaaa00,0x33333100,0x26621333,
    0x30999999,0x4c000039,0x7ffe442e,0xe8000003,0xdb801fff,0xfe800000,
    0x000000ff,0x027ffd40,0xfff70000,0x0000003f,0x0003fffb,0xfff50000,
    0xfff90009,0x2e5fffff,0xffffffff,0x0007f263,0xfed85f90,0x00003fff,
    0x017ffcc0,0x00005f50,0x003ffe88,0x7fec0000,0x22000005,0x005fffff,
    0xffe88000,0x80000003,0x90005ffc,0x555559ff,0x2aaaaa61,0x3f983ffd,
    0x403fd000,0x0003fff9,0x01ffdc00,0x00027d40,0x0017fe20,0x0dff0000,
    0xefc80000,0x0002ffe9,0x06ff8800,0xff800000,0xff90000e,0x3ff20007,
    0x8007f903,0xfff801fd,0x74000003,0x3ea0005f,0x7cc00004,0x0000000f,
    0x00001df5,0x3f22fcc0,0x30000006,0x000001ff,0x0007fcc0,0x0007ff90,
    0x7cc0fff2,0x05f7000f,0x000fffe0,0x006f8800,0x0003fe80,0x00017d40,
    0x001fc800,0xb82ec000,0x0000003f,0x000005f5,0x0000fe40,0x4000fff2,
    0x3fa03ffc,0x006fa805,0x0000fffa,0x0000ea80,0x0001ff98,0x00002e40,
    0x00002e80,0x3a602540,0x70000000,0x4000000b,0xfc80002e,0xff90003f,
    0x2037fc07,0x3a002ff8,0x000003ff,0xc800002e,0x3800006f,0x28800000,
    0x01800000,0x00000310,0x000001c0,0x32000050,0xf90003ff,0x3ffe207f,
    0x003ff200,0x0003ffe8,0x20000000,0x00002ffa,0x00000002,0x00000002,
    0x00000002,0x00000000,0x3ff20000,0x7ff90003,0x803ffe60,0x7f4006ff,
    0x0000003f,0x3fe20000,0xd9730006,0x00379dff,0xfecb9800,0x0001bcef,
    0x7ff65cc0,0x2e001bce,0xcccccccc,0x664404cc,0x2ccccccc,0x99999997,
    0xc8809999,0xcccccccc,0x0007ff92,0x7d40fff2,0x0ffea07f,0x447ffd00,
    0x700defeb,0x79999999,0x333332a0,0x02ffe802,0x33bffa20,0x1effedba,
    0x7ff44000,0xffedbace,0x7440001e,0xedbaceff,0xa8801eff,0xcffffffd,
    0xfeb9801a,0x5109bfff,0x9ffffffb,0xfd730035,0x32137fff,0xf90003ff,
    0x1bfee07f,0x4002ffe8,0xfff53ffe,0x9305ffff,0x037fffff,0x02fffa62,
    0x4017fee0,0x2600dffb,0x70003ffe,0x74c01bff,0xf70003ff,0x7f4c01bf,
    0x3fe6003f,0x360004ff,0x7fcc01ff,0x360004ff,0x3ffc81ff,0x07ff9000,
    0x7cc17ff2,0x7f4001ff,0xffeff9bf,0xf901ffff,0x3f600bff,0x3ffea003,
    0x13ffa200,0x06ffec40,0x04ffe880,0x01bffb10,0x013ffa20,0x006ffec4,
    0x001ffff8,0x7c017ea0,0x20001fff,0x7ff905fa,0x0fff2000,0xfc827fe4,
    0x7f4000ff,0x3ea0cebf,0x3fa06fff,0x00fd007f,0x202fff98,0xe8004ffd,
    0xffb006ff,0xdffd0009,0x013ff600,0x401bffa0,0x0000fffe,0x7f4013e6,
    0x260000ff,0x07ff904f,0x40fff200,0xffb02ffb,0xfffd000f,0x3fffe207,
    0x03fff502,0x4c004f98,0xff704fff,0xff50001f,0xfffb807f,0xfffa8000,
    0x07ffdc03,0x1fffd400,0x007ffec0,0x2009f300,0x0000fffd,0x7fe413e6,
    0x7ff90003,0x740bfe20,0xfe8007ff,0x7ffe404f,0x017ffa06,0xf88001f9,
    0xfff985ff,0x3ffa0005,0xbfff300f,0x7fff4000,0x0bfff300,0x07fff400,
    0x003fff60,0xb004f980,0x40001fff,0x7ff904f9,0x0fff2000,0xfff05fb8,
    0x7ffd000d,0x07fff880,0x4403ffea,0xfff0005f,0x03fffd0d,0x2fffd400,
    0x001fffe8,0x417ffea0,0x0001fffe,0xb017ffea,0x40001fff,0xffb004f9,
    0x7cc0001f,0x007ff904,0xb00fff20,0x5fff883f,0x03ffe800,0x200fffd8,
    0x5f704ffe,0x1fffe000,0x000bfff7,0xb85ffff0,0x80005fff,0x7dc2ffff,
    0xf80005ff,0x3f602fff,0x260000ff,0xfffb004f,0x27cc0001,0x0003ffc8,
    0xd9007ff9,0x027ffcc7,0x401fff40,0x2e01fffc,0x07e80fff,0x83fffa00,
    0x0004fffc,0x644fffe8,0x80004fff,0x7e44fffe,0xe80004ff,0x3f604fff,
    0x260000ff,0xfffb004f,0x27cc0001,0x0003ffc8,0x26007ff9,0x5fff9bfd,
    0x03ffe800,0x401fffb8,0x1fcc4fff,0x8fffd000,0x0003fffe,0x745fffd8,
    0x80003fff,0x7f45fffd,0xd80003ff,0x3f605fff,0x260000ff,0xfffb004f,
    0x27cc0001,0x0003ffc8,0x22007ff9,0x5fff8cfb,0x03ffe800,0x400fffa8,
    0x3f20fffb,0x3ffa0000,0x017fffc7,0x3fffe400,0x000bfffe,0xf1ffff20,
    0x00005fff,0x6c0ffff9,0x20000fff,0xffb004f9,0x7cc0001f,0x007ff904,
    0x200fff20,0x3ffe0cfb,0x3ffe8006,0x007ffa80,0x17e29fff,0x4dfff000,
    0x001ffff9,0x0ffffb80,0x003ffff3,0x1ffff700,0x007fffe6,0x3fffee00,
    0x01fffb00,0x8027cc00,0x0000fffd,0x7fe413e6,0x7ff90003,0xff81fc80,
    0xffe8007f,0x06ffb803,0xf71fff70,0x7fc40005,0x3fffea5f,0xffa80000,
    0xffff51ff,0xff500001,0x3ffea3ff,0xfa80000f,0xffb01fff,0x7cc0001f,
    0x1fffb004,0x827cc000,0x90003ffc,0x37dc07ff,0x8007ffe8,0xfc803ffe,
    0xfff1004f,0x88000dd7,0x3fee3fff,0x980000ff,0xff72ffff,0x300001ff,
    0x3ee5ffff,0x80000fff,0xb02ffff9,0x40001fff,0xffb004f9,0x7cc0001f,
    0x007ff904,0x440fff20,0xfff702ff,0x3ffe8001,0x000ffd80,0x00fffff2,
    0x45fff300,0x001ffffa,0x0ffffa80,0x003ffff5,0x1ffff500,0x007fffea,
    0x3fffea00,0x01fffb00,0x8027cc00,0x0000fffd,0x7fe413e6,0x7ff90003,
    0x4c0bfee0,0x74001fff,0x7fcc05ff,0x7ffc4003,0x7d40000f,0x3ffe20ff,
    0xfb80002f,0x3ffe27ff,0xfb80002f,0x3ffe27ff,0xfb80002f,0x3ff607ff,
    0x3e60000f,0x1fffb004,0x827cc000,0x90003ffc,0x3ff207ff,0x00bffe03,
    0x405fffd0,0xf90006fd,0xf70000bf,0x7ffff0bf,0xfff90000,0x03ffff8d,
    0x6fffc800,0x001ffffc,0x037ffe40,0x0001fffb,0xfd801fcc,0x260000ff,
    0x07ff903f,0x40fff200,0x3f205ffd,0x7ff4004f,0x3f620aff,0xff10000d,
    0xff900003,0x09fffd03,0x9fffb000,0x004fffe8,0x44fffd80,0x0004fffe,
    0x204fffd8,0x0001fffd,0x7ec00fea,0x2a0001ff,0x07ff903f,0x40fff200,
    0x3e206ffc,0x7ff4006f,0xffedffcb,0x06e80004,0x20dff000,0x0005fffc,
    0x643fffd8,0x80005fff,0x7e43fffd,0xd80005ff,0x3f203fff,0x2a0001ff,
    0xfff9003f,0x1fd40003,0x0003ffc8,0x3ea07ff9,0x07fe407f,0x227ffd00,
    0x00001bba,0x300007f3,0x3fe607ff,0x7c0000ff,0x7fcc0eff,0x7c0000ff,
    0x7fcc0eff,0x7c0000ff,0x3f200eff,0x2e0002ff,0xfff9002f,0x17dc0005,
    0x0003ffc8,0x3e607ff9,0x3fe200ff,0x0fffa003,0x1fb00000,0x0df70000,
    0x003fffc8,0x40bffee0,0x0003fffc,0x640bffee,0x20003fff,0x5402fffb,
    0x20003fff,0xff5000fd,0x7ec0007f,0x007ff900,0x440fff20,0x7dc00fff,
    0x0fffa006,0x5f880000,0x03ff0000,0x00ffff88,0x40bfff00,0x000ffff8,
    0x440bfff0,0x0000ffff,0xf300bfff,0x7c000dff,0x3ffe6006,0x81be0006,
    0x90003ffc,0x3ffc07ff,0xd003fc80,0x000007ff,0x40000fec,0xff5002fb,
    0xff70007f,0xfffa801f,0xfffb8003,0x1fffd400,0x07ffdc00,0x01fffd80,
    0x4003fb80,0x8001fffd,0x3ff203fb,0x7ff90003,0xd002ff40,0x7ffd001f,
    0xf3020000,0x9f30000b,0x1fffd800,0x0bffe600,0x00fffec0,0x005fff30,
    0x8007fff6,0x2002fff9,0x4005fff9,0xf98006fa,0x7d4005ff,0x01ffe406,
    0x303ffc80,0x6c4003ff,0x1fffc00e,0x3bfe6000,0x0000ffcc,0xa8002fcc,
    0xfb802fff,0x7d4000ef,0xffb802ff,0x7fd4000e,0xeffb802f,0xfffb8000,
    0x7fe4400e,0xfff70001,0xffc8801d,0x01ffe401,0x903ffc80,0x3ae0009f,
    0x013ffe00,0xfffffb00,0xfa80005f,0x7f440003,0x36a209cf,0x220004ff,
    0x2209cffe,0x0004ffda,0x8273ffa2,0x004ffda8,0x6ffffdc0,0xffeca99b,
    0x7dc0001f,0xa99bdfff,0x801fffec,0xaaaacffc,0x5555530a,0x9f307ffb,
    0x41e98000,0x02ffffc8,0x3fffea00,0x7540002e,0x36e00001,0xefffefff,
    0xb700001d,0xdfffdfff,0x2e00003b,0xfffefffd,0x300001de,0xfffffff9,
    0x00017dff,0x3ffff260,0x0befffff,0xfffff900,0x3fee5fff,0x23ffffff,
    0x00002fb8,0x77776c4e,0x0003eeee,0x00005bd7,0x1000000e,0x00013795,
    0x9bca8800,0x44000000,0x00009bca,0x32eaa200,0x00001abc,0x332eaa20,
    0x988001ab,0x09999999,0x33333331,0x002b6613,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x005c8000,0x00000000,0xbdb97530,0x00000379,0x10003322,0x0002e4b5,
    0x0000aaaa,0x2aaa2000,0x51000002,0x00000555,0x55554400,0xaaa88000,
    0xffeb8002,0x400fb02e,0xceffeca9,0x2000001b,0x9acdfeb8,0x0beecaa9,
    0x3ff60000,0x82fb2005,0x3ee0007d,0x00001fff,0x17ffe400,0xffb00000,
    0x0000003f,0x013ffea0,0x01fffd80,0x7dc5dd10,0xe8807d85,0xfecbdeff,
    0x00000eff,0x800bbf26,0x00003fc9,0xd100ffff,0x000fb01d,0x1bffffe2,
    0xff000000,0x8000007f,0x0003ffe8,0xbff90000,0xffe88000,0xf01fb003,
    0x5c07d87f,0xd7100eff,0x700007ff,0x440003bf,0x5c0000ee,0x1fe803ff,
    0x32000fb0,0x02ffe9ef,0xff300000,0x2000000b,0x00006ff8,0x01dff000,
    0x0dff1000,0x3fe0bf50,0xfd883ec6,0xffd1004f,0x3f20001b,0x3ee00004,
    0x00440000,0x0fb037dc,0x641bf100,0x0000006f,0x00000bf7,0x000ff980,
    0x7fcc0000,0x3e600000,0x41fe400f,0x83ec7ff8,0xe8005ffe,0x744005ff,
    0xc800002f,0x88000005,0x01f603ff,0x1fd41760,0x77400000,0x80000000,
    0x000002fa,0x0000fe40,0x3a01fd40,0xd89fb04f,0x01fffb87,0x03fffa80,
    0x0003fd10,0x0001f400,0x813fe600,0x024c007d,0x000003a6,0x00000f88,
    0x0016e000,0x005d0000,0x202dc000,0xb0100ffc,0x05fff98f,0x03fff600,
    0x0000ff20,0x0001f100,0x02ffdc00,0x001800fb,0x40000031,0x00000019,
    0x00000380,0x00000a20,0xdff700e0,0xfd1f6001,0x540003ff,0x7d405fff,
    0xb0000005,0x5c000007,0x01f606ff,0x00000000,0x00000000,0x00000040,
    0x00000100,0xefff8800,0x3ee7d800,0x440005ff,0xf102ffff,0xba88001f,
    0x3540cc40,0xfa802000,0x65df607f,0xcccccccc,0x6664404c,0x52cccccc,
    0x99999999,0x64401999,0xcccccccc,0x01ec0001,0x3d800000,0x66664000,
    0x3ccccccc,0x00efffa8,0x9fffb3ec,0xfffd0000,0x800ff609,0xb4ebcfd8,
    0x003e03ff,0x4c0bf910,0x2fb00fff,0xfffffda8,0xb9801acf,0x09bffffe,
    0xffffff71,0x950037df,0x15bfffff,0x037c4000,0x7c400000,0x654c0006,
    0xadffffff,0x3ffff900,0xfffd3ec0,0xff900007,0x00ff10bf,0x2b6077d4,
    0x00ba07ff,0x02fffed4,0x3603fff1,0x4ffff987,0x07ff6000,0xfffffd88,
    0xfffc8001,0xff900002,0x80000005,0x00002ffc,0x805ffff7,0x3ffffde8,
    0x7fffcfb0,0xffb80002,0x004fb87f,0xff501df7,0x401ec0bf,0x05fffddb,
    0x7d80fffc,0x003ffff0,0xe802fd40,0x8000ffff,0x00000ffb,0x00017ffe,
    0x0bfff000,0x3ffe2000,0xfb8f4407,0x37d84fff,0x0005ffff,0x81ffff50,
    0xffb801fe,0x80bffe01,0x7ff4003c,0x807fec05,0x1fffd07d,0x027cc000,
    0x03ffff88,0x0002fe80,0x03fffee0,0x7dc00000,0x00000fff,0x7440dfff,
    0x1ffffd41,0x7fffd5f6,0xffa80001,0x01be61ff,0xf880ffea,0x013200ff,
    0xd80bffb0,0x6c1f605f,0x20000fff,0x3ee004f9,0x2a000fff,0x7400005f,
    0x0004ffff,0xffffd000,0x3fe00009,0x4c17a06f,0x4622ffff,0x000ffffb,
    0x2ffff980,0xfd100fee,0x06ff980d,0x3f2001ec,0x07fe205f,0xfffb07d8,
    0x27cc0001,0x17fff600,0x0000fe80,0x3fff7e60,0x98000007,0x007fffdf,
    0x20dfff00,0x3fa202f8,0xffff505f,0xff500003,0x017e43ff,0xf900bff2,
    0x002e807f,0xf902ffe4,0xfb07d805,0x4c0001ff,0x7fc4004f,0x2fc802ff,
    0x4fec0000,0x0002fffd,0x7ecfec00,0xf80002ff,0x05f706ff,0xa80fff88,
    0x0002ffff,0x20ffffa8,0x3fe601fd,0x01ffe806,0x3f2000fc,0x01ec885f,
    0xfffb07d8,0x27cc0001,0x7fffdc00,0x0017e600,0x3e6bf100,0x000006ff,
    0x7ffcd7e2,0xfff80006,0x5009fb06,0xfff305ff,0xf700007f,0x00fe8fff,
    0xf100bff2,0x007a80ff,0x3625ffc8,0x41f6003f,0x0000fffd,0x740013e6,
    0x3fa05fff,0x7e400000,0x007fffa2,0xd17e4000,0x80003fff,0xff906fff,
    0x7c0ffe00,0x80004fff,0x3fc5fffc,0x801fff10,0x26c04ffc,0x12ffe400,
    0x3ec007fd,0x000fffd8,0x40013e60,0xb82ffff9,0xf800003f,0x027ffd46,
    0x546f8000,0x40004fff,0xff506fff,0x203f900b,0x0005fffc,0x7c3fffd8,
    0x017fee06,0x4405fff3,0xffc8001f,0x801ed985,0x1fffb07d,0x027cc000,
    0x1dfff700,0x000037c4,0x7ffc1fd4,0x5400000f,0x0ffff83f,0x1bffe000,
    0x6404fff8,0x3fffea07,0x7ffc0000,0x3f207e86,0x7ffec03f,0x4001b200,
    0x3f205ffc,0xfd83ec01,0x260000ff,0x7f40004f,0x007f64ff,0x203fa000,
    0x0003fffc,0x7e407f40,0x3e0003ff,0x3ff206ff,0xd013a05f,0x40007fff,
    0xfd82fffb,0x405ffb00,0x2206fffb,0xff90002f,0x007fcc0b,0x3fff60fb,
    0x13e60000,0xffff3000,0x00009f53,0x3e209f30,0x200006ff,0xfff104f9,
    0x7ffc000d,0x77ffec06,0x8fb074c0,0x0007fff9,0x7e41bffe,0x205ffd01,
    0x204ffbea,0x3f20005d,0x02fec05f,0x3fff60fb,0x13e60000,0x3fff2000,
    0x000006fe,0x7fec03fb,0xfb00001f,0x0fffec03,0x06fff800,0x51ffffe8,
    0xfc87d81b,0xfb8003ff,0x05f701ff,0x3aa17ffa,0xfb02ffb8,0x7fe40001,
    0x807fec05,0x1fffb07d,0x027cc000,0xffffe800,0xf8800002,0x2fffd405,
    0x02fc4000,0x0017ffea,0xd8037ffc,0xb05cffff,0x03fff20f,0x01fff880,
    0x7fe413e6,0x90eda8cf,0x0ed885ff,0x3ff20028,0x80fff405,0x1fffb07d,
    0x027cc000,0x6fff9800,0x5f700000,0x01fffd00,0x802fb800,0x8000fffe,
    0x2e006fff,0xfb02ffff,0x00fffe40,0x400fffd4,0xffff307e,0x7fd41bff,
    0x80efb99e,0x3ff2005b,0x817ffc05,0x1fffb07d,0x01fcc000,0x5fff8800,
    0xdff00000,0xdddddddd,0x0007ffff,0xeeeeeff8,0xffffeeee,0x6fff8003,
    0x7fffd400,0x74c07d80,0x64c41bff,0xf5001dff,0x37ff6605,0xdffffb03,
    0x8007e205,0x3e605ffc,0x20fb00ff,0x0001fffd,0x40000fea,0x0005fff8,
    0xeeeefa80,0xfeeeeeee,0x2a0007ff,0xeeeeeeef,0x7fffeeee,0x06fff800,
    0x85fff980,0xffd5007d,0x3bfffddf,0x980bf000,0x801a8800,0x7fe4005d,
    0x81ffea05,0x3fff907d,0x01fd4000,0x5fff8800,0x0fe80000,0x0bfff600,
    0x0007f400,0x8005fffb,0x10006fff,0x07d83fff,0x7ffffdc0,0x3ee0003f,
    0x20000001,0x7e4001f9,0x1bfee04f,0xfff907d8,0x17dc0005,0xfff88000,
    0x7cc00005,0x7ffcc004,0x04f98005,0x02fffcc0,0x201bffe0,0xd85ff300,
    0xfff98007,0x20000fff,0x000000fd,0xc8004e88,0x3fee03ff,0x7d41f605,
    0x360003ff,0xf100000f,0x80000bff,0xfe8001fc,0x7e4001ff,0xfffe8001,
    0x1bffe001,0x3fa07fb0,0x88003ec3,0x005ffffe,0x00017e20,0x0009d100,
    0xf980bff2,0x4c1f604f,0x20006fff,0x2200006f,0x00005fff,0x5c0017e2,
    0x22004fff,0xff70005f,0x7ffc009f,0x41bfe206,0x003ec2fc,0x13ffff20,
    0x004f9800,0x009d3000,0x100ffe40,0x03ec07ff,0x0003fffb,0x400007f7,
    0x0006fff8,0x4000bf20,0x000ffff8,0x220005f9,0xf000ffff,0x5ff80dff,
    0x07d81fb0,0xfffda800,0x3be60004,0x3e600000,0x37e40004,0xfb037e40,
    0x02fffcc0,0x0001bea0,0x00dfff10,0x003fe200,0x04fffe80,0x0000ff88,
    0x2013fffa,0x6406fff8,0xd84f884f,0x36600007,0x10000dff,0x980005fb,
    0x7b5003fd,0x3a005fd0,0xb80fb01f,0x4400efff,0x00001ffc,0x003fffd4,
    0x0006fd80,0x00ffffe4,0x90001bf6,0x9803ffff,0x74407fff,0x6c17aa0e,
    0xc9800007,0x70000cff,0x4c0017ff,0x3e000cfd,0x0bf30dff,0x7d82f4c0,
    0xdffffb80,0xffeca99b,0x4400001f,0x01cffffe,0x5fff9100,0x3ffe6000,
    0x6440bfff,0x30002fff,0x17ffffff,0xbffffd50,0xeeeeb801,0x0001f603,
    0x19b97300,0x9dfd5000,0xfd975559,0xfb00019f,0x009fbfff,0x0fb0bb60,
    0x3ffff260,0x0befffff,0x3fb60000,0xefffffff,0x3fff2004,0x3005ffff,
    0xffffffff,0x3fff27ff,0x3005ffff,0xffffffff,0x3fff67ff,0x4effffff,
    0x00fb0000,0x00000000,0xefedcb98,0x00009acd,0x0737f6e2,0x6cb73000,
    0x5d544007,0x0001abcc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x55500000,0x00000005,0x98001001,0x00002aaa,0x6665d4c4,
    0x03cccccc,0x00d55440,0x0aaaa800,0x000aaaa0,0x10000000,0x00005555,
    0xb80ef644,0x30173001,0x20000037,0x001ffffb,0x3b6e2000,0x782defff,
    0x3fff4400,0xffd98000,0xdcccffff,0x64003cdf,0x0000ffff,0x7027ffd4,
    0x4003ffff,0x6fe40dfd,0xff700000,0x2e00007f,0x40dfffff,0xfffb800d,
    0xa87ffe60,0xf10001ee,0x000dffff,0x9fffb300,0x9ffb9557,0x88001fb5,
    0x40002fff,0xfffffffa,0x40007cc7,0x05fffff8,0x02ffe400,0x0dfffff1,
    0x98fffea0,0x00004fff,0x00009ffd,0x3fff37e2,0x007b9cff,0x7e45fffb,
    0x17ffe4ff,0x74f7e400,0x200002ff,0x4403fffb,0x000ffffd,0x0004ff98,
    0x3fffffea,0x007cc7ff,0x7f4efec0,0x3fe0001f,0x27bf200e,0xfb802ffe,
    0x3ffea4ff,0xff880005,0x92a00005,0xffffffd8,0x1fff7003,0xf98fffd4,
    0x44000fff,0x01ff20df,0x077fec00,0x03fff500,0x001fea00,0x7fffffd4,
    0x07cc7fff,0xd897e600,0xff30006f,0x9077c401,0xfe8801ff,0x00ffec0e,
    0x0077dc00,0xd3037000,0xa8009fff,0x2a2ca81c,0x4000ffff,0x007f505d,
    0x00effd80,0x001ffb80,0x20007f20,0xfffffffc,0x007cc7ff,0x17dc13a0,
    0x200fe400,0x009f505d,0x00000802,0x000003f6,0x00098801,0xfff98000,
    0x0166000f,0x2e0001d3,0x20002fff,0x6c0002fc,0xfffe8004,0x47ffffff,
    0x12a000f9,0x5d000d30,0x74c05980,0x00000000,0x000007e0,0x00000100,
    0x07fff880,0x018800c0,0x05fff980,0x0017c400,0x3e2001c0,0xffffffff,
    0x0007cc7f,0x80022003,0x10018028,0x00000003,0x00000a20,0xdffd9730,
    0x66400379,0xcccccccc,0x01bffe3c,0x80000200,0x0001fffd,0x000003d8,
    0xfffff880,0x4c7fffff,0x0000000f,0x00000000,0x00000000,0x3a200000,
    0xedbaceff,0xa9801eff,0xdffffffc,0x017ffa0a,0x0000f600,0x001fffe2,
    0x99911cc0,0x99999999,0x99999999,0x3fffe099,0x47ffffff,0x666440f9,
    0xcccccccc,0xcccccccc,0xccccc84c,0x93cccccc,0x99999999,0x3332e799,
    0x9503cccc,0x32259999,0xcccccccc,0xcccccccc,0x2e004ccc,0x3a600dff,
    0x3ee003ff,0xffb02fff,0x6f880009,0xfffc8000,0x30200005,0xffffffd7,
    0xffffffff,0xfb01ffff,0xffffffff,0xb980f98f,0xfffffffe,0xffffffff,
    0x654c0fff,0xadffffff,0xffff9530,0x32615bff,0x01bfffff,0x417ffd31,
    0xfffffeb9,0xffffffff,0x400fffff,0x1004ffe8,0x1001bffb,0x7ec0ffff,
    0x7e40004f,0x7fc0002f,0x000003ff,0x009fff90,0x701ff931,0xffffffff,
    0x400f98ff,0x8804fffc,0x2e00ffc9,0x5c02ffff,0x3202ffff,0xfb005fff,
    0x4fffc807,0x0ffc9880,0x0027fec0,0xf8037ff4,0x3ff206ff,0x7ffc0003,
    0x3fe20005,0x000002ff,0x009fff50,0xfd880fb8,0x7fffffff,0x3ea007cc,
    0x7dc004ff,0x1fffe200,0x01fffe20,0x7401fffa,0x4fffa807,0x7007dc00,
    0x50001fff,0xff007fff,0x17fdc0df,0xffff7000,0x3fe60001,0x000001ff,
    0x009fff30,0x3f601f88,0x47ffffff,0x7fcc00f9,0x0fc4004f,0x401bffe0,
    0xfa806fff,0x27cc01ff,0x027ffcc0,0x7cc07e20,0x3a0005ff,0x7fc00fff,
    0x07fea06f,0xffffe800,0xfff50004,0x0000003f,0x0013ffe6,0xfff90076,
    0x0f98ffff,0x027ffcc0,0x3fe00ec0,0xdfff006f,0x017ffa00,0xff3001f9,
    0x03b0009f,0x0007fffa,0x405fffa8,0x3e606fff,0xbf30000f,0x2000ffff,
    0x000ffffb,0xfff30000,0x00350009,0x31fb72ea,0xfff9801f,0x401a8004,
    0xff006fff,0x3fea00df,0x00bf100f,0x0013ffe6,0x3ffee06a,0xfff80005,
    0x1bffe02f,0x20007f88,0x2fffd9fd,0xffffa800,0x30000000,0x00009fff,
    0x7cc7b800,0x27ffcc00,0xfff80000,0x0dfff006,0xb827ff40,0xfff3002f,
    0x7e400009,0xe80004ff,0x3fe04fff,0x003fc06f,0xfff35f88,0xfff3000d,
    0x0000003f,0x8013ffe6,0x47b80000,0x7fcc00f9,0x8002004f,0xff006fff,
    0x7fdc00df,0x2007e80f,0x2004fff9,0x1ffff400,0x7ffec000,0x01bffe05,
    0x3f2000df,0x007fffa2,0x05ffff10,0x3e600000,0x016004ff,0x1f31ee00,
    0x04fff980,0xfff80160,0x0dfff006,0x4c4fff80,0x3fe6003f,0xf016004f,
    0x00005fff,0x7c0ffff9,0x02f406ff,0x7fd46f80,0xfff8004f,0x0000003f,
    0x2009fff3,0x7b800059,0x3e6007cc,0x0b3004ff,0x8037ffc0,0x5c006fff,
    0x03f20fff,0x04fff980,0x7fcc0b30,0xb80001ff,0xff00ffff,0x004d80df,
    0xfff83fa8,0x7fec000f,0x0000006f,0x2009fff3,0x7b80005d,0x3e6007cc,
    0x0bb004ff,0x8037ffc0,0xf8006fff,0x00bf14ff,0x004fff98,0x7ffd40bb,
    0xfa80000f,0xfff01fff,0x8003c80d,0xfffc80fe,0x7ffcc003,0x8000000f,
    0x999dfff9,0x5fd99999,0x4c7b8000,0x7ffcc00f,0x9999999d,0x3e005fd9,
    0xfff006ff,0xfff7000d,0x98005f71,0x9999dfff,0x05fd9999,0x003fffee,
    0x3fffe600,0x80dfff02,0x27cc002a,0x006fff88,0x003fffd8,0x3e601900,
    0xffffffff,0x005fffff,0x07cc7b80,0x3ffffe60,0xffffffff,0x3ffe005f,
    0x0dfff006,0xd7fff100,0xfff3000d,0xffffffff,0x7d40bfff,0x80001fff,
    0xf00ffffa,0x00000dff,0x7fec03fb,0x7fcc001f,0x5c0000ff,0x3bffe604,
    0xcbaaaaaa,0xb80005fe,0x26007cc7,0xaaaaefff,0x05fecbaa,0x401bffe0,
    0x90006fff,0x0007ffff,0x555dfff3,0xbfd97555,0x17fffc40,0x7ffdc000,
    0x01bffe07,0x80bf1000,0x8005fffa,0x0005fffd,0xfff301aa,0x00bd1009,
    0x0f98f700,0x027ffcc0,0xff002f44,0x3ffe00df,0xfff10006,0xff30001f,
    0x0bd1009f,0x003ffff8,0x06fffc80,0x0001bffe,0xfd005f70,0xfb0001ff,
    0xa8001bff,0x7ffcc01f,0x000b5004,0x00f98f70,0x8027ffcc,0x3ffe005a,
    0x0dfff006,0x02ffe400,0x04fff980,0xffe80b50,0xfd80004f,0x3ffe04ff,
    0x00336606,0x777777fc,0xffffeeee,0xffe88003,0xec8802ef,0x4fff9801,
    0x0000b100,0x400f98f7,0x1004fff9,0x37ffc00b,0x006fff80,0x0007fe20,
    0x8027ffcc,0x7ffe4058,0xffd80005,0x1bffe03f,0xa805fff8,0xeeeeeeef,
    0x7fffeeee,0x3ffee000,0xcb99abff,0xf3000efe,0x014009ff,0x3e63dc00,
    0x27ffcc00,0x7fc00500,0xdfff006f,0x006e8000,0x013ffe60,0x7ffcc028,
    0x7fc0000f,0x3ffe00ef,0x0ffff306,0x6c001fd0,0x20002fff,0xffffffc8,
    0x4002dfff,0x0004fff9,0x263dc000,0x7ffcc00f,0xff000004,0x3ffe00df,
    0x0fe60006,0x4fff9800,0x7fe40000,0x3ee0003f,0x7ffc02ff,0x013ffa06,
    0xf98009f3,0x300005ff,0x01559db5,0x13ffe600,0xf7000000,0x7cc00f98,
    0x000004ff,0x3e00dfff,0x360006ff,0x3e60000f,0x400004ff,0x000ffff8,
    0xf00bfff0,0x02a80dff,0xe8001fc8,0x00001fff,0x00001bd1,0x0009fff3,
    0x1ee000e4,0xff9801f3,0x0720004f,0xf8037ffc,0xf10006ff,0xff98000b,
    0x0720004f,0x000fffea,0x2003ffee,0x80006fff,0xf70005f8,0x200009ff,
    0x0001fffc,0x0027ffcc,0x7b8007a8,0x3e6007cc,0xf50004ff,0x8037ffc0,
    0xb0006fff,0xf980003f,0xf50004ff,0x00fffec0,0x005fff30,0x000dfff1,
    0x20005f90,0x000ffff8,0x04ffd980,0x2fffcc00,0x0027c400,0x003e63dc,
    0x000bfff3,0x7ffc09f1,0x0dfff006,0x005f9810,0x05fff980,0x5404f880,
    0xfb802fff,0xff3000ef,0xf88000ff,0x3fa0000f,0x100004ff,0xa8000bff,
    0xd8005fff,0x47b8001f,0x7fd400f9,0x1fd8005f,0x00dfff10,0x4c0dfff1,
    0x0ffcceff,0xfffa8000,0x01fd8005,0x09cffe88,0x013ff6a2,0xdffffea8,
    0x0dfb0000,0xffffc800,0xff980001,0x7fdc0001,0x3f62006f,0x98f70006,
    0x7ffdc00f,0x1bf62006,0x807fff98,0x3607fff9,0x02ffffff,0xdfff7000,
    0x037ec400,0x3bfff6e0,0x001defff,0xfffffffb,0x22009dff,0x0002fffc,
    0x7ffffff3,0x3faa0001,0x7fcc0005,0xccccdfff,0xfffecccc,0x98f70004,
    0x3ffe600f,0xcccccdff,0x4fffeccc,0xbffffd50,0x3fffaa01,0xfffa80df,
    0x300002ef,0x99bfffff,0xfd999999,0x440009ff,0x00009bca,0xffc80000,
    0x005fffff,0xfffffff3,0x4c007fff,0x10001cee,0xfffffffd,0xffffffff,
    0x003fffff,0x81f31ee0,0xffffffe8,0xffffffff,0x41ffffff,0xfffffffd,
    0xfffb4eff,0x9dffffff,0x0002deb8,0xfffffe88,0xffffffff,0x1fffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x10000000,0x0aa03bd9,0x80ba8000,
    0x000001b9,0x03730173,0xbd910000,0x0000aa03,0x00003500,0x2602e600,
    0x5400001b,0x000b980b,0x40099000,0x2f22003b,0xfffb8000,0x006c0dff,
    0x0fffb800,0x0003ffea,0x41fff700,0x0001fff9,0x3ffffee0,0x00006c0d,
    0x2efffb80,0x3ee00000,0x3ffe60ff,0xff900001,0x00fffb8d,0x017c4000,
    0x7f400990,0x6fc4005f,0x9cfffffc,0x3a00007b,0x3ff22fff,0x6c00003f,
    0x3ff22fff,0x3e00003f,0xcfffffcd,0x000007b9,0x0db117f3,0x7fec0000,
    0x13fff22f,0x7fff4000,0x00bfff61,0x300f7000,0x37bdffb7,0x03fffe20,
    0x3f624a80,0x003fffff,0x83ffee00,0x0001fffa,0x507ffdc0,0x00003fff,
    0xfffd8926,0x00003fff,0x02f88bb0,0xfff70000,0x00fffd41,0x47ffc800,
    0x0000fffb,0xf9102740,0xffd9dddf,0x5ffe817d,0x74c0dc00,0x00004fff,
    0x2ca81cb8,0x39500000,0x00005950,0x7ff4c154,0x2000004f,0x0004e83f,
    0x2a072a00,0x2200002c,0x01ca81cb,0x80fc4000,0x4991dfe8,0x5c42ffe9,
    0x2004000b,0x00000098,0x00000000,0x08000000,0x00004c40,0x3f11b200,
    0x00000000,0x00000000,0x40f70000,0x21320ffd,0x000002fe,0x00000000,
    0x00000004,0x00000000,0x00000002,0x0dd73bf1,0x00800000,0x00000000,
    0x209d0000,0x42645ffa,0x995002fa,0x00199999,0xcccccc88,0x26001ccc,
    0xbceffecb,0x3332e001,0x4ccccccc,0x66666440,0x0002cccc,0x000001ec,
    0x033ff660,0x7b000000,0xccc88000,0xcccccccc,0xcccccccc,0xf530004c,
    0x90fff203,0x4400ba09,0x5fffffca,0xffeb9800,0x88009aef,0xdbaceffe,
    0x8801effe,0xffffffda,0xeb9801ac,0x009bffff,0x001be200,0x1be20000,
    0x22000000,0xb980006f,0xfffffffe,0xffffffff,0xc8800fff,0xb02ffffe,
    0xb04c8bff,0xfd805705,0x20003fff,0x7dc006fd,0x3fa600df,0x3fe6003f,
    0x360004ff,0x900001ff,0x000005ff,0x002ffc80,0x7fe40000,0x3f200002,
    0xc98804ff,0x77dc00ff,0x0dfffa9b,0x9907ffdc,0x00f20ae0,0x00bffff6,
    0x88027d40,0xb1004ffe,0x3e001bff,0x20001fff,0x200005fa,0x00005fff,
    0x02fffc00,0x3fe00000,0x2a00005f,0x5c004fff,0x837f200f,0x4c6ffefa,
    0x01324fff,0xff1009b0,0x50003fff,0x3ff6009f,0x6ffe8004,0x01fffd00,
    0x0027cc00,0x0ffffb80,0xf7000000,0x00001fff,0x3fffee00,0xff300000,
    0x1f88009f,0xdd81ff50,0x7fc2fffb,0x004c8dff,0x7fc40274,0x4000efff,
    0xffb803f9,0xffa8000f,0xfffd803f,0x13e60000,0x7fff4000,0x0000004f,
    0x009ffffd,0x3ffa0000,0x300004ff,0xb0009fff,0x889ff103,0x44fff9af,
    0x4deffffc,0x4402fc00,0x05ffffef,0x2601fcc0,0x20005fff,0x6c00fffe,
    0x20000fff,0x980004f9,0x007fffdf,0xfdf98000,0x000007ff,0x7fffdf98,
    0xfff30000,0x90350009,0x2e7a83ff,0xfffc81ef,0x37c005ff,0x7fd67c40,
    0x3e6004ff,0x0ffff403,0xbfff5000,0x00fffd80,0x0013e600,0x3ff67f60,
    0x4000002f,0x2fffd9fd,0x7ec00000,0x002fffd9,0x04fff980,0x03ff6000,
    0xffc8009b,0xf1004fff,0x2e9f100f,0x3002ffff,0x7ffdc07f,0xfff80005,
    0x3fff602f,0x13e60000,0x26bf1000,0x00006fff,0x7fcd7e20,0x2000006f,
    0xdfff35f8,0xfff30000,0x3e004009,0x0017c47f,0x77ffffd4,0x007fcc01,
    0xfffd93e2,0x03f9801f,0x0013fff2,0x813fffa0,0x0000fffd,0x900013e6,
    0x0ffff45f,0x2fc80000,0x0007fffa,0xfd17e400,0x980003ff,0x16004fff,
    0x3dc6ff88,0xfffb1000,0x7fd407ff,0xd127c401,0x9801dfff,0x3fffa03f,
    0xffd80003,0x3fff605f,0x13e60000,0xfa8df000,0x000004ff,0x4fffa8df,
    0x8df00000,0x0004fffa,0x8027ffcc,0x1ffe6059,0xfb00009d,0x2e09ffff,
    0x27c401ff,0x01bfffe2,0x7ffc07f3,0xfc80002f,0x3ff607ff,0x3e60000f,
    0x0fea0004,0x0003fffe,0xff07f500,0x800001ff,0xffff83fa,0x3fe60000,
    0x40bb004f,0x3f30fff9,0xfdd90000,0xff909fff,0x984f8805,0x2604ffff,
    0xffff303f,0xff700003,0x3ff601ff,0x3e60000f,0x03fa0004,0x000ffff2,
    0xf901fd00,0x800007ff,0xfffc80fe,0x3fe60003,0x999999df,0x7c05fd99,
    0x080d93ff,0x3ff29900,0x1ffec3ff,0x7dc13e20,0x7f303fff,0x03fffea0,
    0x3ffea000,0x1fffb01f,0x027cc000,0xf104f980,0x40000dff,0xfff104f9,
    0x7cc0000d,0x0dfff104,0x7fffcc00,0xffffffff,0x7ff405ff,0x005807f6,
    0x7fffdc99,0x1013ffa0,0x7ffe409f,0x703f981f,0x0001ffff,0x05ffff30,
    0x0003fff6,0xb0004f98,0x7ffec03f,0x3fb00001,0x00fffec0,0x201fd800,
    0x0001fffd,0x555dfff3,0xbfd97555,0xfcfffc80,0x64012a00,0xd17ffdc4,
    0x4f880bff,0x07ffff40,0x7fd40fe6,0xa80001ff,0xfb00ffff,0x4c0001ff,
    0x5f88004f,0x02fffd40,0x202fc400,0x0005fffa,0x7d405f88,0xf30005ff,
    0xbd1009ff,0x5ffffb80,0x64007a20,0xf27ffc44,0x4f880dff,0x37fff440,
    0x7fc40fe6,0xb80002ff,0x3f607fff,0x260000ff,0x2fb8004f,0x00fffe80,
    0x4017dc00,0x0000fffe,0x7f4017dc,0xf98000ff,0x0b5004ff,0x05dfffd0,
    0x900c8bf5,0x229ffb09,0x7c407fff,0xffff9804,0xff80fe65,0xc80003ff,
    0x3f606fff,0x260000ff,0xeff8003f,0xeeeeeeee,0x0003ffff,0x777777fc,
    0xffffeeee,0x77fc0003,0xeeeeeeee,0x8003ffff,0x1004fff9,0xffff100b,
    0x1dffbbdf,0x909902e8,0x3ffe65ff,0x013e200f,0x99ffffd4,0x3fffa03f,
    0xffd80004,0x3fff604f,0x0fea0001,0xddddf500,0xfddddddd,0x54000fff,
    0xeeeeeeef,0x7fffeeee,0x3bbea000,0xeeeeeeee,0x8007fffe,0x2004fff9,
    0xffff5002,0xd03fffff,0x3fa13209,0x1ffff51f,0x90027c40,0x7f35ffff,
    0x02fffe40,0x1fffec00,0x003fff90,0x2001fd40,0x3f6000fe,0xfd0002ff,
    0x7ffec001,0x01fd0002,0x017ffec0,0x013ffe60,0x3fbe2000,0xd00dffff,
    0xf989901f,0x3fffe64f,0x0013e200,0x7f5ffffb,0x07fffcc0,0x3bffe000,
    0x0bfff200,0x002fb800,0xf30013e6,0xf3000bff,0xfff98009,0x04f98005,
    0x02fffcc0,0x013ffe60,0x4c5ae000,0x77f400aa,0xdfd12640,0x405ffe81,
    0x744004f8,0x403fffff,0x0003fffc,0x500bffee,0x40007fff,0x3f2000fd,
    0xfffe8001,0x00fe4001,0x00ffff40,0x20007f20,0x2001fffe,0x0004fff9,
    0x0013a072,0xc85ffff4,0x301dfd54,0x4f8801bb,0xffff8800,0x7ffc403f,
    0xfff0000f,0xdfff300b,0x0037c000,0x2e000bf1,0x22004fff,0xff70005f,
    0x2fc4009f,0x4fffb800,0x13ffe600,0x7cc3d400,0xfb510001,0xdfffffff,
    0x3e200007,0xfff50004,0xfff5007f,0xfff70007,0x3fff6001,0x03fb8001,
    0x4000bf20,0x000ffff8,0x220005f9,0x9000ffff,0x3e20005f,0xf3000fff,
    0xf1000bff,0x0000d909,0x05775d4c,0x17e60000,0x3fffb800,0x03fffb00,
    0x017ffcc0,0x00bfff30,0x22006fa8,0x3a0000ff,0xf8804fff,0x3fa0000f,
    0xff8804ff,0x3ffa0000,0xfff5004f,0x03fb000b,0x2000007f,0x5000004c,
    0xfd8000df,0x3fea003f,0xeffb802f,0xfffb8000,0x7fe4400e,0x01bf6001,
    0x3ffff900,0x0006fd80,0x00ffffe4,0x90001bf6,0x7003ffff,0x4400dfff,
    0x00fa86fd,0x00990000,0x7ffd1000,0x1ff40001,0x33ffa200,0x3ff6a209,
    0x7fdc0004,0xca99bdff,0x1001fffe,0x0005fff9,0x3fffffe6,0x7ffe440b,
    0xfff30002,0xc8817fff,0x30002fff,0x17ffffff,0x3ffffe60,0xcccccccd,
    0xc84fffec,0x22000005,0x3ba00000,0x2effffff,0x003f8800,0xfdfffb70,
    0x0003bdff,0x3ffff260,0x0befffff,0xfffff900,0x3e600bff,0xffffffff,
    0xfffff93f,0x3e600bff,0xffffffff,0xfffff93f,0x3e600bff,0xffffffff,
    0xffffd13f,0xffffffff,0xffffffff,0x00003903,0x00000000,0x00660000,
    0x26f2a200,0x22000000,0x1abccbaa,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000310,
    0x00000000,0x00000000,0x00000000,0x00000880,0x4ccc4000,0x00000000,
    0x00133310,0x005b9300,0x0cefeb98,0x017e2000,0x000275c4,0x2e200bee,
    0x7440004e,0x7dfb5006,0x1fcc0001,0x3b2e6000,0xb01bdeff,0x3fffa00d,
    0xff880003,0x360000ff,0x20004fff,0x0006fffa,0x07fe77dc,0x6c5ffc40,
    0xfb0000ef,0xfffc8801,0x17e20004,0x09fff910,0x801fc800,0x0fffedfd,
    0x000dd000,0x55e7ff4c,0x20dfffdb,0xffb801fc,0x40000fff,0x0001fffa,
    0x07ffffea,0x0fffb800,0x9d0fe000,0x742fe880,0x3fa8005f,0x013fe100,
    0x0800fd80,0x4c0009ff,0x545b803f,0xfb8003ff,0xbff70001,0x67ff4c01,
    0xff8803fb,0x0004ffdc,0x00017fec,0x17ff77fa,0x07ff9000,0x1ea1ea00,
    0xfb81ff90,0x17e2001f,0x0013fe00,0x3e0017d4,0x1ba0004f,0x03fe80c0,
    0x40027c40,0x1003ffd8,0x200bfffd,0x07ff24fc,0x003ff800,0xff72fdc0,
    0x5fd80005,0xb81f5000,0x4c37fc07,0x3f6005ff,0x04fe8000,0x8005f880,
    0xf90004fe,0x7fc40003,0x00374000,0x4005ffe8,0x8805ffe8,0x005fa83f,
    0x80009f30,0x06f984f8,0x003f4400,0x01f447f0,0xff30dff1,0x00bea00d,
    0x40027f40,0xfe8000fd,0x04f98004,0x000fdc00,0x320007ee,0xe8001fff,
    0x16c03fff,0x90005d30,0x0990000b,0x20001ec4,0xf70002f8,0x5401ffbd,
    0x7ff885ff,0x0005f880,0xf50013fa,0x13fa0007,0x8001ba00,0x2002ffda,
    0xf98004f8,0xfc8005ff,0x5100fffe,0x90007100,0x00500001,0x0e60000e,
    0x02db8800,0xf885ffb8,0x07ec00ff,0x009fd000,0xd0002fc4,0x1fb8009f,
    0xffd93000,0x03f6009f,0x07fffa00,0xff57f700,0x000000bf,0x00000000,
    0x00000000,0x2ffcc000,0x2e03ffc4,0x7f40002f,0x003f2004,0x2004fe80,
    0x300004f8,0xfa801ffd,0xfffb8002,0x8a7cc006,0x0002ffff,0x00000000,
    0x00000000,0xf1000000,0x0dff30bf,0x400027c4,0x7f3004fe,0x04fe8000,
    0x00003ba0,0x2203ffa8,0xffb0005f,0x37c400bf,0xb813fffa,0x02cefffe,
    0xbdfd9500,0x66664017,0xcccb82cc,0x32a002cc,0x000bdefe,0x33bfffae,
    0x5437f402,0x03ba04ff,0x013fa000,0x74000374,0x05f7004f,0x05fd0000,
    0xe80007ec,0x3a004fff,0x2fffe40f,0x64d6ff4c,0x2e005fff,0xffca9cef,
    0xffb5301f,0xffd7309f,0x9df7009f,0x03fff953,0xc9adfe98,0x3ee05fff,
    0x807fe40f,0xd00001fb,0x03f9009f,0x009fd000,0x00000bf1,0x1fd403fa,
    0xffff8800,0x703fb003,0xfe88ffff,0x009ffd07,0xff501ff9,0x7ffc407f,
    0x13ffe204,0xf501ff90,0x3fa207ff,0x409ffd07,0x13fe24fd,0x000027cc,
    0x3f9809ff,0x09ff0000,0x40001fb0,0x103fa818,0x7cc000bf,0xfb801fff,
    0x1ffff703,0xfb827fdc,0x0ffdc07f,0x405fff50,0x7f404ffe,0x07fee04f,
    0xb82fffa8,0xfff704ff,0xffbcfe80,0x0001ba03,0x04f7fccc,0x980006e8,
    0x5009eff9,0xff80005f,0x203fdbcf,0x2a0000fc,0x5400ffff,0x3ffea04f,
    0x413ff61f,0xf100fffa,0xdffd00bf,0x2027ff40,0xff104ffd,0x0dffd00b,
    0x3ea09ffb,0x65c400ff,0x807f201b,0x66401ca8,0xfb82cccc,0x059b7101,
    0x16666664,0xec802fc4,0xbcddc981,0x400fe600,0x7ffd41ec,0x01be600f,
    0x5c5ffff3,0xfff301ff,0x013fee01,0x740fffee,0x7fec04ff,0x009ff704,
    0xfb87fff7,0x1fff301f,0x0fe60000,0x2ffcefc8,0x427cc000,0x6fffffe8,
    0x00fd8000,0x0001ffb8,0x3ee00dd0,0x7fffcc1f,0x801fd101,0x541ffffa,
    0x03ffe601,0xf801ffec,0x9ffd06ff,0xb04ffd80,0x3fe007ff,0x2601a86f,
    0x00000fff,0x12fe40dd,0x740003ff,0xb515d706,0x540007ff,0xfffa803f,
    0x1fc80001,0x41fffa80,0xb02ffff8,0xfff5003f,0x3f6a001f,0xfff00fff,
    0x1fffa003,0x36027ff4,0x3fff04ff,0x01fffa00,0x0ffffda8,0x01fc8000,
    0xefc83ff5,0x81fb8000,0x07fe80e8,0x100bf100,0x0003ff9f,0xf8804f98,
    0xffe81ffc,0x002fc82f,0x880ffff7,0xfff9befc,0x01fff980,0xd01fffb0,
    0xffd809ff,0x01fff984,0x401fffb0,0xff9befc8,0x7cc0000f,0x2a1ffa03,
    0x7c4003ff,0x3ee03104,0x0fc8000f,0x7fc6f440,0x03740001,0x0ffc6f44,
    0x2a27ffec,0x3ff2004f,0x5df9105f,0x5c07ffc4,0xf9001fff,0x9ffd03ff,
    0xb84ffd80,0xf9001fff,0xdf9103ff,0x007ffc45,0xf80bd100,0x05ff986f,
    0x40007ec0,0xf98005fb,0xff16d803,0x0fdc0003,0x1ff8b6c0,0x266fffc8,
    0x7ff4005f,0x0dfe883f,0x5c07ffc4,0xf7002fff,0x13ffa0ff,0xf709ffb0,
    0x3ee005ff,0x0dfe887f,0x0007ffc4,0x7cc01f90,0x06ff886f,0x4000bee0,
    0x6e8002fe,0xff10fb80,0x13e60003,0x7fc43ee0,0x8ffff881,0x7c000ee8,
    0x7f440fff,0x01fff105,0x2007fff5,0xffd06ffb,0x84ffd809,0x7003fffa,
    0x5fe88dff,0x001fff10,0xf500fea0,0x1fff10bf,0x000bf100,0x320017e2,
    0x10fd401f,0x3a0003ff,0x10fd400f,0x3fee03ff,0x4001feaf,0xff83fffb,
    0x1fff101f,0x00bfff30,0x7ec13ff2,0x27fec04f,0x802fffcc,0x7ffc4ffc,
    0x01fff101,0x500bf100,0xfff10bff,0x0003f600,0x7cc00374,0x2217c403,
    0xfb8001ff,0x2217c402,0x3ffa01ff,0x7c4002ff,0x7ff986ff,0x403ffe20,
    0xc800fffe,0x9ffb02ff,0xd04ffd80,0xf9001fff,0x03ffcc5f,0x0001fff1,
    0xff1001fb,0x00fff10d,0x360005f5,0x06e8000e,0xcccccfe8,0x1001cdff,
    0x99fd00bf,0x39bff999,0x00bfff30,0x703fff90,0x3e203fff,0xfff501ff,
    0x01ffd007,0xe8817ff2,0xfff504ff,0x41ffd007,0xf101fffb,0xfa8003ff,
    0x21bfe002,0x7c406ff9,0x01d90005,0xf003f900,0xffffffff,0x3f6007ff,
    0xfffff800,0x03ffffff,0x4005fff9,0xf501fff9,0xffb107ff,0xffd0623f,
    0x1ffcc01f,0x301fff70,0x740bfffd,0x3e600fff,0x1fffd43f,0x88fffec4,
    0x002fc401,0xff703ff6,0x000fd805,0x980105d8,0x7c40004f,0x0bee001f,
    0x03ff1000,0x0ffff7c4,0x00f7fd40,0x119ffff1,0x39fff9f7,0x6fff981d,
    0xf3017f60,0x3ee25bff,0x19afffda,0xb037ffcc,0xffff10bf,0xff9f7119,
    0xd801d39f,0x7f44000f,0x2a037f43,0x7744003f,0x07c99999,0x44000374,
    0xbf1001ff,0x3ff10000,0x7ec47f40,0x32a21bdf,0xff9003ff,0x3a5fffff,
    0xd101ffff,0x7f4c5bff,0xffff9005,0x3ff65fff,0xfe881dff,0x17fa62df,
    0xffffffc8,0x3ffffd2f,0x0002fb80,0xdfb17ff1,0x00374403,0x3fffffa6,
    0x3ee04fff,0xff880001,0x001fb001,0x203ff100,0x7fecc1fd,0x0dffffef,
    0x7fffe400,0x07bfee0d,0xfffffb10,0xfd80059d,0x3f61efff,0x7ec401cf,
    0x02ceffff,0x0dffffc8,0x1007bfee,0xb880009f,0x6400cefe,0x776c000f,
    0x1eeeeeee,0x00009f10,0x2a007ba2,0xd100003f,0x300ee03d,0x00015975,
    0x06201a88,0x006ee600,0x70177100,0x2ee60005,0x01a88001,0x00c40062,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00c80000,0x000000c4,0x33331000,
    0x80110000,0x32e60009,0x44002cde,0x40000999,0x00009999,0x00199988,
    0x4c400000,0x98800099,0x80000099,0x000992e8,0x03fb8004,0xf9000df7,
    0x20000dff,0x0004fffc,0x0bea05f8,0x6e6ffe40,0xf1001eff,0xc8000fff,
    0x80003fff,0x4003fffc,0x001ffff8,0x007fffa0,0x01fffe60,0x5c3ea000,
    0xefc8000f,0x51ef9801,0xf10007fd,0x0005ffff,0x000bffd0,0x7dc07f10,
    0x41ffe800,0x3000ffe8,0x80003fff,0x80006ffd,0xd8004fff,0x0006ffff,
    0x0005fff3,0x000fffd4,0x3f89b600,0x2fffcc00,0xcfeff980,0x9dfb0000,
    0x88000dff,0x500006ff,0x403ec05f,0xff503ffa,0x27fdc00d,0x3ffa2000,
    0x3fe60000,0xbff98005,0xb8002ffe,0xb80003ff,0x200004ff,0x003743f8,
    0x4017ffea,0x0005ffd8,0x7fd437e6,0x3bee0003,0x1f700000,0x7f402fc0,
    0x0bffa00f,0x0006fc80,0x0002ff88,0x20003bf2,0x0dfb12fe,0x0009fd00,
    0x00037e40,0x0fb81f70,0x017ff400,0x3fefbf22,0x10bd0004,0x360001fd,
    0x3600001f,0x100fe207,0xffd80fff,0x00fec003,0x002fcc00,0x50001fd0,
    0x007f903f,0x00002fc4,0x800007ec,0x003f886d,0x2efa8008,0x50013ff6,
    0x8004d80b,0x400002f8,0x00bea05f,0xfc80dff3,0x03e8005f,0x000f5000,
    0x220007e2,0x003ea01e,0x0000075c,0x40001f44,0x00dd03f8,0x220f6000,
    0x0e004fff,0x260005c0,0x7c400003,0x5003f204,0xffd80bff,0x00488003,
    0x20006e00,0x0130002a,0x02e00510,0x04880000,0x700fb800,0x0000001f,
    0x001fffb8,0x00000000,0x405f5000,0x5ffb807d,0x000fff40,0x00000000,
    0x00000000,0x00000000,0x036c0000,0x000007f1,0x00dffb00,0x00000000,
    0x803ee000,0x5ffc805f,0x001ffe20,0x00200000,0x80000400,0x00000000,
    0x44000000,0x0036c03f,0xdd971000,0x009fff5b,0x5ef7f654,0x33333200,
    0xccccb82c,0xffff982c,0xffffffff,0x07ffffff,0x7e40bff9,0xffeb803f,
    0x98002cef,0x01deffec,0x3bffb260,0x3b26001d,0x7001deff,0x059dfffd,
    0x2cccccc8,0x2cccccb8,0x7003ee00,0x5000001f,0xffd757df,0xfb803fff,
    0xfffca9ce,0xfffb5301,0xfffd7309,0xddddd309,0xddddddff,0x20ddddfd,
    0xfc885ffc,0x6ff4c01e,0x05fffc9a,0x36efff20,0xfc804fff,0x4fffdbbf,
    0xdbbffc80,0x3a604fff,0xfffc9adf,0x3ff6a605,0xffeb984f,0x01ba004f,
    0x00000fe2,0xff701df9,0x7fe409ff,0x03fffa80,0x8813ffe2,0xf3004fff,
    0x4007e407,0x7ffc5ffc,0x3ff4402f,0x4404ffe8,0xfffb82fe,0x705fd104,
    0x3a209fff,0x4fffb82f,0xfd07fe88,0xfff8809f,0x13ffe204,0xd801fc40,
    0x3ea00006,0x3fff200f,0x403ff707,0x3a02fffa,0x7ff404ff,0x403f5004,
    0xbff9006d,0x2efffdb8,0x2e09ff70,0x17e407ff,0x903fff90,0x7ffe405f,
    0x3202fc81,0x7fdc1fff,0x00fff704,0xfe809ffd,0x01f7004f,0x00003ee0,
    0x7f402ff4,0x2ffc42ff,0xd037ff40,0xffd809ff,0x401f9004,0xbff9005f,
    0x0bfffa20,0x7d413ff6,0x0df100ff,0x445fff98,0x7ffcc06f,0x26037c45,
    0x7fec5fff,0x01fff504,0x6c04ffe8,0x0dd004ff,0x0001fc40,0x64017fe4,
    0x7fdc5fff,0x3fffb804,0xd809ffd0,0x0dd004ff,0xfc801fc4,0x3ffa205f,
    0x80ffdc0f,0xfb00fff9,0x7fff8809,0x3e2027ec,0x027ec7ff,0xf71fffe2,
    0x3ffe603f,0x027ff400,0x22013ff6,0x036c003f,0x017ffc00,0x3637ffc4,
    0xfff003ff,0x013ffa0d,0x3e009ffb,0x4007ea05,0x7d405ffc,0x201a84ff,
    0xff00fff9,0xdddddddd,0x7c1ffffd,0xeeeeeeef,0x20ffffee,0xeeeeeeff,
    0x0ffffeee,0xfff300d4,0x04ffe801,0x5c027fec,0x07d4000f,0x8819fb10,
    0xfd001fff,0x01fff8ff,0x3a0fffd0,0x7fec04ff,0x203f9804,0xff9000fc,
    0x0fffd00b,0x7fffed40,0xaadff880,0xaaaaaaaa,0x5bff10aa,0x55555555,
    0x3fe21555,0xaaaaaaad,0x000aaaaa,0x01ffffb5,0x6c04ffe8,0x05e804ff,
    0x3603f880,0x7fd47fff,0xfffb000f,0x007ffe61,0x7407ffec,0x7fec04ff,
    0xfcaaa884,0xeaaaaaac,0x902aaaaf,0xff700bff,0x77e4403f,0x980fff9b,
    0x260004ff,0x260004ff,0x400004ff,0xff9befc8,0x27ff400f,0x1013ff60,
    0x1b60007f,0x22fffff8,0xb001fffb,0x3fee3fff,0xfff9001f,0x809ffd03,
    0xff984ffd,0xffffffff,0xffffffff,0x00bff907,0x9105fff5,0x7ffc45df,
    0x005ffa80,0x0017fea0,0x0005ffa8,0x445df910,0x7f400fff,0x27fec04f,
    0x40003ee0,0xfffb01fa,0x1fffdcbf,0x2e7ffc80,0xf7002fff,0x13ffa0ff,
    0x5109ffb0,0x5555fd55,0x5559f755,0x17ff2055,0x10bffe60,0xff881bfd,
    0x06ffa80f,0x01bfea00,0x006ffa80,0x40dfe880,0x7400fff8,0x7fec04ff,
    0x0002f404,0x45d407f1,0x13ffea6e,0xf52ffdc0,0x3ee007ff,0x09ffd06f,
    0xf804ffd8,0x8007ea05,0xf8805ffc,0x17fa21ff,0x4c07ffc4,0x30000fff,
    0x20001fff,0x0000fff9,0x7c417fa2,0x7ff400ff,0x027fec04,0xd80007f1,
    0x7ccbf006,0xff9005ff,0x02fffcc7,0xfb04ffc8,0x4ffd809f,0xf901fcc0,
    0x2ffe4001,0x3e0fff80,0xfff101ff,0x09fff101,0xfff886c0,0x7c436004,
    0x836004ff,0xff101fff,0x4ffd801f,0x7027fec0,0xfa80001f,0x3e17d401,
    0xffb007ff,0x00fffe85,0xfb02ffc8,0x4ffd809f,0xdb00fd40,0x05ffc800,
    0x3e67ff88,0x3ffe207f,0x03ffff00,0xffff8d30,0x7fc69801,0x269801ff,
    0x3e207ff9,0x7fec00ff,0x027fec04,0xf10000bd,0xfb86d807,0xffe803ff,
    0x01fffd40,0xfc807ff4,0x3ffa205f,0xf007e404,0x5ffc8009,0x9ff3076a,
    0x880fffdc,0xff701fff,0x1f4403ff,0x807fffee,0x7ffdc3e8,0xb8fa201f,
    0xff101fff,0x5ffc803f,0x413ffa20,0xb00003f8,0x403b620d,0x2601fffe,
    0xfffd03ff,0x01ffcc01,0xd301fff7,0x6e80bfff,0xb000fe20,0x1bfe2bff,
    0x7fd41ff5,0xfffd883f,0xfffe8311,0x3fae20bf,0xbffffe80,0x203fae20,
    0x20bffffe,0x3ea0feb8,0xffd883ff,0xff70311f,0xfffd301f,0x0003ee0b,
    0x3ea0fd40,0x3ffe600d,0x9817f606,0x3f606fff,0x6fffcc05,0xffb5f712,
    0x09f0335f,0x36000fd4,0x8dff15ff,0x7ffc44fe,0xfcfb88cf,0x540e9cff,
    0xeeffffff,0xff502fff,0xffddffff,0x3ffea05f,0xfffeefff,0x67fffc42,
    0xfffcfb88,0xff980e9c,0xb5f712df,0x74335fff,0x3e200005,0x4c007224,
    0xd30beffe,0xffd1009f,0x02ff4c5b,0xffffffc8,0xbffffb2f,0x3203f983,
    0x3fea000f,0x6c5ff25f,0xffff904f,0x3ffa5fff,0xfff501ff,0x07ffffff,
    0xffffffa8,0x7d403fff,0xffffffff,0xfffff903,0x3fffa5ff,0x3fff201f,
    0xffb2ffff,0x0be23bff,0x00db0000,0xffffd880,0x22002cef,0xcefffffd,
    0x7ffec002,0x33ff61ef,0x6c03f501,0xffff3006,0x7ff5c4bf,0x7ffe403e,
    0x3bfee0df,0x7fff4401,0xd1001eff,0x03dfffff,0x3ffffa20,0x7fe401ef,
    0x3fee0dff,0xfffd801e,0x33ff61ef,0x00007dc1,0x00007ea0,0x00005dcc,
    0x0000ddcc,0x0ae02ee2,0x059012a0,0x00220000,0x06201a88,0x03575100,
    0x06aea200,0x0d5d4400,0x44035100,0x05dc4001,0x0077015c,0x00391000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x04004000,0x00008000,0x00040000,0x00000000,
    0x3b710000,0x30000000,0x0400009b,0x00000000,0x04000000,0x76dc4000,
    0x782defff,0xffd91000,0x000001bf,0xeffecb98,0x400001bc,0x00cefec9,
    0x0defed40,0x2fffc980,0x71000000,0x4000bffd,0xeefffeda,0x6440001c,
    0x003deffe,0x1ef7f6d4,0xdffdb500,0x6cc0019b,0xcaabcfff,0x0fdacffd,
    0x5f7fd400,0x0002ffeb,0xceffe880,0x1effedba,0x67f44000,0x800ffda8,
    0xffcadffb,0x7fff6c02,0x8000002f,0x05ffffea,0x567fe440,0xefdba999,
    0xbffb8002,0x02ffc999,0x7ffffec4,0x36200dff,0xfff931be,0x7fff7003,
    0xffffd880,0x17fe6000,0x00003fee,0x200dffb8,0x0003ffe9,0x7ff303ba,
    0x441ffc80,0xffa802ff,0x0000002f,0x5002fffc,0x2e2005bf,0xff9000df,
    0x80bfe601,0xfffdeffe,0x03fa05ff,0xb017ffdc,0x54001dff,0xf1001fff,
    0x0ffe03ff,0x3ffa2000,0xbffb1004,0x03fd8001,0x3ee01ffd,0x03ff502f,
    0x002fff88,0x7fec0000,0x005f9005,0x300bf620,0xffc807ff,0x5c0bfc80,
    0xfc80ffff,0x07ffec04,0x00077fec,0x9800ffdc,0x17f206ff,0x13ff6000,
    0x01bffa00,0xf901ffa8,0x0dff101f,0xff806ff8,0x0000002f,0x6c02ffe4,
    0xfb80000e,0x003ff601,0x1f987ff3,0x213ffea0,0x7fd405fe,0x17ffdc3f,
    0x005f9000,0xfe81bfee,0x7fdc0005,0xffa8000f,0x1ff9003f,0x7e40b220,
    0x0ffe404f,0x000bffe0,0xbff90000,0xcc88fb80,0xabcccccc,0x7c03ee00,
    0x5ff8806f,0x7fec0164,0x200fff86,0x3e64fff8,0x440005ff,0xfff9002f,
    0x000ffe60,0x005fff98,0x003fffa0,0x44001ffa,0x7d402fff,0x17ffc06f,
    0x32000000,0x87e605ff,0xdabeffe9,0x17604fff,0x3003ffe2,0x2e0007ff,
    0x3ffe84ff,0xfb2fffc0,0xb00003ff,0x3fff2007,0x000ffc81,0x007fffa0,
    0x05fffa80,0x8003ffc4,0x4c00fffa,0x3fe01fff,0x0000002f,0x9d02ffe4,
    0xd889ff50,0x05d105ff,0xfb807ffd,0xff70001f,0x409ff905,0xff13fff8,
    0x260000ff,0x9fff7003,0x0002ffa8,0x0017ffee,0x80bfffe0,0x8000fff9,
    0xff007ffd,0x17ffc09f,0x90200000,0x03e60bff,0x3e613fea,0x90d702ff,
    0x7f403fff,0x1ff60006,0xf3006dc4,0x3fff23ff,0x00200005,0xf93fffcc,
    0xfc80003f,0xe80004ff,0x3e604fff,0xff8000ff,0xbffd006f,0x9317ffc0,
    0x40019dfd,0x8dfffdb8,0x09905ffc,0x7f413fe6,0xa83f104f,0xfb81ffff,
    0x3fe0001f,0x7fdc0001,0x00ffffe6,0x7f400000,0x40dfebff,0xeeeeeeec,
    0x03fffe84,0x5fffd800,0x007ffe60,0x00dfff10,0xff81bffa,0xfffff72f,
    0xff3003df,0xfdff7337,0x203f10bf,0xffb04ff9,0x7ec26c07,0x3fea2fff,
    0x07ea0001,0x47ffe000,0x002ffff8,0xff700000,0x36605dff,0x80adffff,
    0x0002ffff,0x207fffc8,0x4002fff8,0xb005fff9,0x7ffc0fff,0xfffeffba,
    0x3ea01fff,0xffff981f,0x3e607985,0x01fff04f,0xfffe835c,0x000dfacf,
    0x0000fea0,0xff993fea,0x000001ff,0x5ffff300,0x03fff980,0x007fffe6,
    0x3fffee00,0x3fe66660,0x009999bf,0x4013ffea,0xff00fffd,0xffa85fbf,
    0x7ff306ff,0x42fffd40,0x13fe606a,0xf5013ff2,0x3ffff620,0x2e20003f,
    0x0000cfff,0xfff51bfa,0x0000003f,0xffffff70,0x405ff801,0x000ffffa,
    0x1ffffa80,0x3ffffffe,0x204fffff,0xb004fffa,0x3fe03fff,0xffd100ef,
    0x00ffd05f,0x0b70bfff,0x5d4effcc,0xf8803ffe,0x3ffff600,0x7ecc000e,
    0x00efffff,0x5c1ffa80,0x0000ffff,0x3bfa6000,0x204ffff9,0x7dc01ff9,
    0x80000fff,0x322ffff9,0xcdfffccc,0x3ee02ccc,0xffb003ff,0x0bffe03f,
    0xa8dfff50,0xffd803ff,0x3e605c85,0x03fffeff,0xfb803e20,0x001fffff,
    0x3fffb6e6,0xfe8006ff,0x0ffffa82,0xf7000000,0x3fff21bf,0x009f701f,
    0x003ffff5,0x1ffff500,0x001fffc0,0x400fffea,0xff00fffd,0xfffd005f,
    0xc802ffe8,0x206b85ff,0xdff34ff9,0xf903cc00,0x5fffff57,0x3ffa6000,
    0x3e6003ff,0x3ffff303,0xf7000000,0xffff889f,0x2200dd06,0x0002ffff,
    0x407fffb8,0x4c002fff,0xfd004fff,0x3ffe01ff,0x0fffb802,0x9003fff1,
    0x40f50bff,0x3fee4ff9,0x360d5004,0x3fffe64f,0x3f20001f,0x176007ff,
    0x02ffff88,0x7fdc0000,0x9ffff705,0x3e001fa8,0x80003fff,0x7406fffc,
    0x7c4002ff,0xffd004ff,0x017ffc0f,0xf98fffd4,0xffc800ff,0xf300f885,
    0x01ffe89f,0x86fd85b8,0x00ffffe9,0x03fffa00,0x3fe007c0,0x000003ff,
    0xe80fffe2,0x9f11ffff,0x4fffe800,0xfffd8000,0x00ffec04,0x802fffc0,
    0x3fe06ffe,0xfff9802f,0x001fff71,0x0fa0bff9,0x3e227fcc,0x21f400ff,
    0xfd102ffa,0x540009ff,0x68801fff,0x06fffd80,0x3ff60000,0x3ffe600f,
    0x9000db6f,0x0000bfff,0xd807fffb,0xfe8000ff,0x9fff005f,0x4017ffc0,
    0x3ff27ff9,0x5ffc801f,0x3fea0d70,0x205ffa84,0x07fec0f9,0x00ffff30,
    0x00fffc40,0x7fcc0254,0x800000ff,0xc806fff8,0x01feffff,0x0ffff980,
    0x77ffc000,0x0037ec00,0x9807ffc8,0x3fe02fff,0x6ffa802f,0x200bffee,
    0x3f105ffc,0x3209ff50,0x889b03ff,0xffa806ff,0x3fa0001f,0x20057007,
    0x0003fffd,0x3ffe6190,0xffffd006,0x7fe4000b,0x3ee0003f,0x4fc802ff,
    0xfff98200,0x07ffd400,0x7005fff0,0x7ffd4bff,0x05ffc804,0x1bff21b2,
    0x7d42ffe8,0x8027fd41,0x20002fff,0x015006fd,0x03fffe60,0x7d497000,
    0xff1007ff,0x03005fff,0x001ffff1,0x3017ffe0,0x2a005fb3,0x201fff44,
    0x7fc05ffb,0x2ffc802f,0x003fffe2,0x4e80bff9,0xdfffffd5,0x22bfff30,
    0x05ffa83f,0x0001ff90,0x000027f4,0x005fffd8,0xfff31aa0,0x3ff2007f,
    0x1a602fff,0x001fffd4,0xb807ffdc,0x02dffffe,0x3fea17c4,0x007ff405,
    0xf100bffe,0x7fffd0bf,0x406ffc80,0x100003f8,0x1bfe20bd,0x0003fe40,
    0x00001ff1,0x06fffec0,0xf107ea00,0xd803ffff,0xbfffffef,0xfb01f440,
    0x7cc003ff,0x23d102ff,0xadfffff9,0x80feb989,0xff300ffd,0x05fff009,
    0xf980ffb8,0x3f601fff,0x04fa806f,0x00774c00,0xfb003ffb,0x3f600109,
    0x03bd5002,0x77fff440,0x01ec8802,0x17fffff7,0xfaa7fdc4,0xdcefffff,
    0x7fd400ff,0xeffb802f,0xbfa8f200,0xffffffff,0x17fa04ff,0xff802ff4,
    0x5ff300ef,0x1ffffe40,0x2fffff62,0x07ba2018,0x2013ee00,0x7d406ff8,
    0x103efe86,0x7fc007fb,0xffb8006f,0xb99abfff,0x6c00efec,0xfeffffff,
    0x7f4c2fff,0x1fffffff,0x39ffd100,0x27fed441,0x13e8a5c0,0xfffffffb,
    0x0bff880d,0x2001dfb3,0x11bffffb,0xfb005df7,0x9fdbffff,0x05dffff9,
    0x9805df90,0x26002efc,0xefa80efe,0x7ffffc40,0x01eebaab,0x03fffe60,
    0x3fff2200,0x2dffffff,0x3fffea00,0x2204efff,0x2efffffd,0xfffdb800,
    0x01defffe,0x509fdf10,0x00bfffff,0x3ffbfb22,0xfff70003,0x0019ffff,
    0x7fffffdc,0x003bff92,0xceefeb88,0x002dffed,0x373bff20,0x3fee03fe,
    0x03efffff,0x00bffd00,0x59975300,0x26200015,0x40009bca,0x00002bb9,
    0x00137951,0x53002a20,0x2a600015,0x75100001,0xb9800035,0x0005d41b,
    0x5665d4c0,0x22000009,0x51000aaa,0x00001555,0x000000aa,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00400000,0x00000002,0x20000000,0x00000000,0x00004004,0xcccb8000,
    0xcccccccc,0x000004cc,0x0a00aa80,0x00000000,0x44000000,0x1bdfffdb,
    0x765c403c,0x00001cdf,0x07fdb751,0xfffdb500,0x000039dd,0x3fffb6a0,
    0x01d42cff,0x04fe8800,0x7fffffcc,0xffffffff,0x507bee06,0x3ee003dd,
    0x04983fff,0x3ee06fe4,0x76dc001e,0x10003def,0xffa803f9,0xffffdcdf,
    0x7fcc07dd,0x03fffcab,0x37fee200,0x7e44001b,0xba999acf,0x80002efd,
    0xbdffffc8,0xbdffecba,0xfb00004e,0xfffc809f,0xffffffff,0xff103fff,
    0x06fff8bf,0xffffffa8,0xf980f22e,0x3ffe24ff,0xfffd3006,0x005dffff,
    0x807fff22,0xf9304ffb,0x77d40fff,0x005ffc80,0x001fffa8,0x2005bf50,
    0x0000dfb8,0x8019fff3,0x005fffe9,0x04fffa80,0x7777fffc,0xffeeeeee,
    0x4dfff300,0xe807fff8,0xdffffd53,0x7fd403fd,0x1bffe25f,0x3ffffe20,
    0x02ffffff,0x3fffff22,0x009ff301,0x3ea0fff9,0x0fffa01f,0x00dffb80,
    0x0005f900,0x7000bf62,0xb8007fff,0x440005ff,0x2a04ffff,0xdf7000df,
    0x642ffd80,0xb86803ff,0x802fffff,0x7fe41ffd,0xadffd802,0xfffffb98,
    0xffd37b00,0x03ffa03f,0xfe83fe40,0x07ffd405,0x0027fe40,0x00001db0,
    0x3ee003f7,0xf90003ff,0xefd8000d,0x017a04ff,0x01007fd0,0x81c40044,
    0x2001cdb8,0x7d400200,0x3fffa204,0x1fffa805,0x4006ff88,0x03ffa87e,
    0x6404ffd8,0x2e0006ff,0xfd97300f,0x5cf337bf,0x7ffcc00f,0x03f40003,
    0xffb5f700,0x10016609,0x000001ff,0x00000000,0x300db000,0xf300ffff,
    0xfff303ff,0x743e4001,0xffb802ff,0x3fff700f,0x207e6000,0x930acfc8,
    0x05d8fffd,0x00037ff4,0xf98003d4,0x0009ffb5,0x00037dc0,0x00000000,
    0x01f80000,0x803fff90,0xf981fff8,0x1e6003ff,0x26007ffe,0xff982fff,
    0x13a0003f,0xf700bfea,0xf902e88f,0x200007ff,0x0ee8000f,0x00009ffb,
    0x00001ff4,0x00000000,0x00144000,0x8803fff5,0xff881fff,0x11e002ff,
    0xf1005fff,0xdffb07ff,0x207cc000,0xf7001ff9,0xff886b81,0x500000ff,
    0x21fc8001,0x00004ffd,0xccc81ff1,0xccb82ccc,0xeb802ccc,0x002cefff,
    0x677fff5c,0xf9800002,0xfff8807f,0x7ffffd01,0xfff30a00,0x17ffe007,
    0x0007fff5,0x037f4264,0x83f107e0,0x0005fffb,0x13e60000,0x00009ffb,
    0x36a61bee,0xeb984fff,0x3a604fff,0xfffc9adf,0xadfe9805,0x005fffc9,
    0x037fcc00,0xa80fffc4,0x01efffff,0x027ffcc0,0x7f46ffe8,0x026620ff,
    0xffc83f10,0x6c054002,0x01ffff44,0xe8800000,0x004ffd86,0x4407fd00,
    0x3e204fff,0xffd104ff,0x8813ffa0,0x9ffd07fe,0x7fd40000,0x1fff8804,
    0x3ffffee0,0xff1000cf,0x3ffe00bf,0x5d7ffe27,0x01effffe,0x01fff0f3,
    0xf89ae000,0x00002fff,0xb01f9000,0x100009ff,0xffe803ff,0x827ff404,
    0xff704ffb,0x827fdc0f,0x00007ffb,0x22007ff2,0x7e401fff,0x03ffffff,
    0x001ffff0,0x7fdcdfff,0xfdbceedf,0x46a83fff,0x00007ff8,0xffff99ea,
    0x80000001,0x9ffb03fa,0x0df70000,0xd809ffd0,0x9ffb04ff,0x403ffea0,
    0xff504ffd,0x3a00001f,0xfff1005f,0xffff7003,0xc805dfff,0x7c404fff,
    0x3fff65ff,0xffff882e,0x3fea2dc3,0x3e200006,0x01ffff50,0xffffe980,
    0x882effff,0x13ff605f,0x00ffa000,0xfb013ffa,0x07fee09f,0xb807ffcc,
    0xfff301ff,0xff500001,0x3ffe2001,0xfffb1001,0x201bffff,0x201ffff8,
    0x3fe4fffb,0x7ffcc07f,0xff71720f,0x7c40000f,0x01ffff70,0x7fffdc00,
    0x803f600e,0x40004ffd,0xfe801ff8,0x27fec04f,0x7fcc0350,0x9806a00f,
    0x80000fff,0x3e2003fe,0x754001ff,0x0fffffff,0x15ffff50,0x3ffffaa2,
    0x201bffe3,0x1ae4fffc,0x0000fff3,0xffff53cc,0xffe80003,0x00bee03f,
    0x80009ffb,0xffd006fb,0x04ffd809,0xffffda80,0xffda8000,0x540000ff,
    0x7fc4005f,0xff70001f,0x201dffff,0xfffffffa,0x10fffdae,0xf300dfff,
    0x223d4dff,0x00000fff,0x7fffccd5,0x7fec0002,0x009f102f,0x80009ffb,
    0xffd003fd,0x04ffd809,0xf37df910,0x322001ff,0x0fff9bef,0x03be2000,
    0x03fff100,0x7ffe4400,0x36e205ff,0xfff12cef,0x02fffc4b,0x3e27ffe8,
    0x0017ff40,0x3fe25b80,0x640003ff,0x3fd02fff,0x33333333,0x1333bffb,
    0x00ffc400,0x6c04ffe8,0x7e4404ff,0x03ffe22e,0x445df910,0x20000fff,
    0xf88001fd,0x980001ff,0x001fffff,0xf83fff50,0xffb004ff,0x3ea1f41f,
    0x7d00006f,0x006ffff8,0x417ffe40,0xfffffffa,0xffffffff,0x2a002fff,
    0x3ffa006f,0x027fec04,0xf881bfd1,0x3fa200ff,0x07ffc40d,0x002fc800,
    0x103fff10,0xfff98009,0xffd0003f,0x00bffd0d,0x0d71fff2,0x6c005ffb,
    0x3f607cc1,0x20000fff,0xfa82fffc,0xffffffff,0xffffffff,0x0ff6002f,
    0x404ffe80,0xfd104ffd,0x03ffe20b,0xf882ff44,0xfb8000ff,0x3fe20002,
    0x8006881f,0x8005fffa,0xfc81fffa,0xdff7007f,0x7f441f88,0x416c401f,
    0xffff884d,0x3ff20003,0xeeee982f,0xfeeeeeee,0x01eeefff,0x4003ff10,
    0x7ec04ffd,0x03fff04f,0x7c03ffe2,0xfff101ff,0x03fa8001,0x0fffc400,
    0x7c0007c4,0xfe8005ff,0x1fff703f,0x90bff700,0x39ff910d,0xfa81eb98,
    0x0dfff901,0x17ffe400,0x27fec000,0x006fa800,0x36027fec,0x7ff984ff,
    0x203ffe20,0x3e207ff9,0x3e6000ff,0xff880003,0x003f881f,0x4004ffe8,
    0x3e205ffc,0xffc801ff,0x36609d02,0x0bdfefff,0x3e203f88,0x90004fff,
    0x00005fff,0x20009ffb,0x7e4003fd,0x3ffa205f,0x01fffb84,0xf703fff1,
    0x3fe203ff,0x09f3001f,0xfff10040,0x001ff103,0x2002fff8,0x5c00effa,
    0x6fd805ff,0x5100fe20,0x805e8803,0x001ffffa,0x002fffc8,0x004ffd80,
    0x4001ff88,0xe980fffb,0xffa85fff,0xfffd883f,0x3ffea311,0x1fffd883,
    0x013e6031,0x3fe205a8,0x0eff881f,0x00bff500,0xd002ffcc,0x7fcc05ff,
    0x0027d402,0x4003ba60,0x001ffffa,0x0017ffe4,0x0027fec0,0x4c0037d4,
    0xf712dfff,0x335fffb5,0x233fffe2,0xcfffcfb8,0xffff10e9,0xff9f7119,
    0xf301d39f,0xfc998809,0x07ffe202,0x007bffe2,0x2001fff1,0x44004ffa,
    0x0ff606ff,0x000f7440,0x540027dc,0x2002ffff,0x0002fffd,0x8004ffd8,
    0xf90003fd,0x25ffffff,0x21dffffd,0xfffffffc,0x83ffffd2,0xfffffffc,
    0x03ffffd2,0xfffffff5,0xffffffff,0x82fff980,0xbdfffff8,0x07bfee61,
    0x00bbf660,0x10effd40,0xf90005fb,0xefc9805d,0x3f620002,0xd7102eff,
    0x00017fff,0x8009ffb0,0x20001ff8,0x21effffd,0xf901cffd,0x7dc1bfff,
    0xfff901ef,0x77fdc1bf,0xfffffa81,0xffffffff,0x7fec04ff,0xb99f886f,
    0xfffffffd,0x3f6e604f,0x880002ef,0x2dfdeffe,0x3fae2000,0xdffedcee,
    0x32600002,0xfeeffffe,0x0002dfff,0x0027fec0,0x20001326,0x02b80bb8,
    0x0c403510,0x3100d440,0x3ffffe20,0xffffffff,0xfeb81fff,0x4fffffff,
    0x99751071,0xacb80135,0x88000009,0x800001aa,0x09accba9,0x54400000,
    0x019accca,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x99990000,0x54999999,0xcccccccc,0x999002cc,0x00399999,
    0x02000000,0x26662000,0x26662001,0x6cc00001,0xd9800004,0x08000004,
    0x03322000,0x001cb880,0x40000000,0xfffffffa,0x3fae64ff,0x1befffff,
    0xffffb500,0x9fb1019f,0x0001bf90,0x20000f60,0x9001fffe,0x3e607fff,
    0xd7100fff,0x20000bff,0x005ffeb8,0xffed9800,0x7ec002df,0x3ff6005f,
    0x0f7dc007,0xfb807baa,0x7fff401e,0x00ffffff,0x00dffff9,0x007ffd40,
    0x7d45fff7,0x880003ff,0xe880006f,0xfff004ff,0x7ffff409,0xffffea85,
    0xfeb80005,0x00005fff,0xff51ffe4,0x20bddddf,0x3e007ffe,0xf1002fff,
    0x6fff8bff,0x40dfff10,0xfffffff9,0x7ff404ff,0x3e20004f,0x7ffe403f,
    0x013ffee3,0x00bff200,0x01bfe600,0xfa817fe6,0x201fffbf,0x00005fff,
    0x0017ffe2,0xa80ffc80,0x07ffffff,0x64007ff5,0x3e6007ff,0x3ffe26ff,
    0x0ffff307,0x5c00036c,0x20006fff,0xfe8806fa,0x00fff40e,0x02fffc00,
    0x01ff9800,0xfd0077e4,0xd81bfa23,0x400005ff,0x00005ffd,0x7f409ff5,
    0x0011002f,0x4000cb88,0x7fe42ffd,0x40fff603,0x880002f9,0x0001ffff,
    0x00c003f9,0x3ee00001,0x00000fff,0x0fe807f7,0x3f207ee0,0x00bff903,
    0x05ffc800,0x05ffd000,0x0002ffdc,0x01000000,0x004c0044,0x640000db,
    0x88004fff,0x0000006f,0xffffe800,0x1b200004,0x3a201f88,0x3203aa00,
    0x400005ff,0x00005ffc,0x7d403fff,0x0000007f,0x00000000,0x00013e60,
    0x00ffff88,0x0001fdc0,0x3e600000,0x0007fffd,0x80550240,0xc819800a,
    0x400005ff,0x80005ffc,0x2602fff9,0x00001fff,0x00000a20,0x7fec0000,
    0x40000bdf,0x4003fffd,0x040000fe,0x27f60000,0x0002fffd,0x00000000,
    0x0017ff20,0x00bff900,0x80fffe00,0x0001fff8,0x00012600,0x3e600000,
    0x0dffffff,0xdfff3000,0x0027cc00,0x6f7ff64c,0xafc40001,0x0006fff9,
    0x00080020,0x2ffe4004,0x3ff20000,0xffb00005,0x03ffcc09,0x07700020,
    0x77f65400,0x360000bd,0xffffffff,0xffd0002f,0x07f2005f,0xb77ff900,
    0x40009fff,0x3fffa2fc,0x3f260001,0x02fe4c05,0x6402fe4c,0x999905ff,
    0x7e409999,0x67fedc5f,0x0fffb801,0x3009ff70,0x2c800bf9,0x9cefb800,
    0x001fffca,0xffd95530,0x0009ffff,0x100bfff7,0x7f4400df,0x04fffb82,
    0xffa8df00,0xfda8004f,0xffb505ff,0x7fed40bf,0x5ffc805f,0x59fffd30,
    0x8affe401,0x0ffffffd,0xd04ffc80,0xffda80df,0x03e2005f,0x501ff900,
    0x00007fff,0x3fffff22,0xffff8003,0x0017dc00,0x7fe405f9,0x1fd4001f,
    0x0007fffc,0x0bfffd97,0x0bfffd97,0x17fffb2e,0xd817ff20,0xff9000df,
    0xf957dd1b,0x3f200bff,0xdffb88cf,0x3ffb2e00,0x01b2005f,0x5403ff70,
    0x00002fff,0x03ffff62,0x09fff900,0x3e2007e8,0x2fffcc06,0x3203fa00,
    0xf0003fff,0xfff80bff,0x05fff805,0xf905ffc8,0xeffc8009,0x1fffb83e,
    0xffecf880,0x7fc002ce,0x05f5005f,0x402ffc40,0x00006ffe,0x005fffd8,
    0x807fffc4,0x3f6004f9,0x3fffc404,0x2209f300,0xb0006fff,0xffd80bff,
    0x05ffd805,0xfc85ffc8,0xfffc8003,0x00fffa02,0x400007f3,0xf9805ffd,
    0x27fdc007,0x01fffdc0,0x7ffec000,0x7ffec000,0x4003fb03,0xeeeeeeff,
    0x0ffffeee,0x6c03fb00,0xd8001fff,0x7fec05ff,0x05ffd805,0x7ec5ffc8,
    0xbff90002,0x204ffd80,0x400006f8,0xfe805ffd,0x1ffec003,0x006fff80,
    0x1fff8800,0x37ffcc00,0xf10037c4,0x555555bf,0x01555555,0xfa80bf10,
    0xfd8005ff,0x2ffec05f,0x402ffec0,0x5fb15ffc,0x2ffe4000,0xc817ff20,
    0x200001ff,0x7e405ffd,0x7ffc000f,0x8fffd001,0x20000cea,0xe8003ffc,
    0x17dc2fff,0x009ff300,0x00bee000,0x0003fffa,0xfc80bff9,0x5ffc805f,
    0xe8dffc80,0x7e40002f,0x2ffe405f,0xddffffd0,0x01799bdd,0x4c0bff90,
    0x7cc005ff,0xffb001ff,0x17ffe21f,0x03ffa800,0x45fffb80,0x7fd4007e,
    0xff000005,0xdddddddd,0x007ffffd,0x6405ffc8,0xffc805ff,0xeeffc805,
    0x640005ff,0x7fe405ff,0x3ffff205,0xffffffff,0x3ff200cf,0x007ffa05,
    0x003fff70,0x7d47fff2,0x220007ff,0xff0001ff,0x013e61ff,0x000dff50,
    0xddddf500,0xfddddddd,0xfc800fff,0x2ffe405f,0x402ffe40,0xfffbdffc,
    0x3ff20004,0x02ffe405,0x3fffffee,0x6fffffff,0x6417ff20,0xfb8007ff,
    0xff7002ff,0x004fff8f,0x8001fe20,0x1fb4fffc,0x0fff9800,0x07f40000,
    0x05fffb00,0x202ffe40,0xfc805ffc,0x5ffc805f,0x0005fffb,0xf9017ff2,
    0x315c80bf,0xd9975555,0x3ff203ff,0x80bffd05,0x3ffea2eb,0x8dff7003,
    0x4c0001b8,0x3e20006f,0x005f9fff,0x004fff88,0x04f98036,0x02fffcc0,
    0xc80bff90,0xffc805ff,0x15ffc805,0x0001fffd,0xfc80bff9,0x003b205f,
    0x3f209f50,0x09fff05f,0xf98fffc4,0xff9005ff,0x2e000009,0x7ec0003f,
    0x0002feff,0x3003ffff,0x001fc80d,0x001fffe8,0xfc80bff9,0x5ffc805f,
    0x265ffc80,0x4000efff,0x7e405ffc,0x007f705f,0x7fe413a0,0x03fff885,
    0xffd1fff4,0x5ff9001f,0xbf100000,0xfff30000,0x7dc000ff,0x3a201fff,
    0x0017e203,0x8027ffdc,0x7e405ffc,0x5ffc805f,0x545ffc80,0x64005fff,
    0x7fe405ff,0x001ff885,0x3ff205f0,0x80bfff05,0x3fea4ffb,0x0ffe803f,
    0x791176c4,0x0001fb00,0x013fffa0,0x7ffffd00,0x007f5c41,0x220005f9,
    0xc800ffff,0x7fe405ff,0x05ffc805,0xfc85ffc8,0x3f2003ff,0x2ffe405f,
    0x4002ffe4,0x17ff205d,0x22037fec,0x7fff42ff,0x20ffe600,0xffd0fffd,
    0x1ee9817d,0x3fea0000,0x7d40000f,0xfeefffff,0x3fe202ff,0x3ffa0000,
    0x5ffd804f,0x402ffec0,0xfc805ffd,0x5fffd06f,0x017ff600,0xff90dff9,
    0xfb3003bf,0x82ffec01,0x2202fffa,0x7ffcc0ff,0x7417f606,0xfff91fff,
    0x1bfdbbff,0xbff00000,0x3fea0000,0x3fffffff,0x00037ec0,0x007ffff2,
    0xfe80dffd,0x6ffe806f,0x307ffd80,0xb003ffff,0xffd80dff,0xffffe887,
    0xedcbccde,0x7ff400df,0x07bff206,0xfe880fec,0x17fa62df,0x3a26ffb8,
    0x1cefffff,0x3f200000,0x3a200002,0x01efffff,0x00bfff22,0x7ffffcc0,
    0xfff980bf,0xffff301f,0x7fffcc03,0x3fffe201,0x7ffffd02,0x0ffffcc0,
    0x81ffff88,0xffffffb8,0x801effff,0x201ffff9,0xcaacfffb,0x7ec402ee,
    0x02ceffff,0x35530298,0x20000001,0x10000048,0xfc803575,0x05ffffff,
    0xffffff30,0x3aa7ffff,0x2effffff,0xffffffd5,0x7fff545d,0x3ee2efff,
    0x4effffff,0x3ffffffa,0x3fffea6e,0xfd74ffff,0x05dfffff,0x33bfb72a,
    0xffea801b,0x102effff,0x079dfdb7,0x00377300,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x333332e0,0x404ccccc,0xccccccc8,0x999702cc,0x79999999,0x5eed4400,
    0x00800000,0x2a000000,0x02aa004d,0xcccc9828,0x263ccccc,0xcccccccc,
    0x999301cc,0x32a79999,0x00cccccc,0x66666440,0x9991cccc,0x99999999,
    0x28800007,0xfffda880,0x801acfff,0xbffffeb9,0xff951009,0x015dffff,
    0xfffbfd30,0x3b2a009f,0x5e98ceff,0x223fc880,0x200defeb,0x805ffeb8,
    0x883ffffb,0xfffdb885,0x2a20beff,0xcffffffd,0xff751009,0x32a239ff,
    0x005fffff,0xefffeb98,0xff95309a,0x215bffff,0x7ec43fd9,0x2002dc04,
    0x004ffff9,0x0007ff60,0x007ffff5,0x3ff627cc,0x37fa202f,0xffffecab,
    0x3fff6a05,0xffffff53,0xfffd705f,0xfffa80bf,0x0ee2efff,0x03ffffb0,
    0x04ffffc8,0x2017fdc0,0x003ffffd,0x2e01bf60,0xfd82ffff,0x3fff20ff,
    0x20017a02,0x0001ffff,0x7c0017ea,0xd1000fff,0x0dffd10f,0x7ec0bfea,
    0xffbb05ff,0xfdff37ff,0x203fffff,0x6c05fff8,0xdffffd33,0xff8803fd,
    0x7fc400ff,0x7d4003ff,0xffffb004,0x13ea0005,0x41fffe20,0x3f21fffd,
    0x0bf702ff,0x01fffd00,0x0027cc00,0x2007fff8,0x9fd105fe,0x4403ff30,
    0x7cc05fff,0x2a0cebff,0x3606ffff,0x5c3405ff,0x003fffff,0x7005fffb,
    0xc8009fff,0xfff1001f,0xf50003ff,0x1bffe009,0x3e62ffd4,0x0bff506f,
    0x01fffb00,0x0027cc00,0x1007ffe8,0xd00809ff,0xbffd00bf,0x07ffff00,
    0x40bfffe2,0x81c05ffd,0x2002ddb8,0x8805fffa,0x74007fff,0x3ffe2006,
    0x4c000eff,0xdfff003f,0x4c020080,0xd8005fff,0x20000fff,0xfd0004f9,
    0x3fe600ff,0x1ffb8004,0x805ffc80,0x7e404fff,0xbffb06ff,0x10000000,
    0x3600ffff,0xf3001fff,0x7f7c4009,0x4c005fff,0xdfff003f,0xffb80000,
    0x04ccceff,0x000fffd8,0x40013e60,0xf7007ffe,0xfff0009f,0x0bff9001,
    0x8807ffd0,0xffb07fff,0x0000000b,0x200bfff6,0x7004fffb,0x67c4003f,
    0x004ffffa,0x7fc00fe6,0x2e00006f,0xeeffffee,0xfffd806e,0x13e60000,
    0x03fff400,0x4004ffc8,0xf9007ff8,0x7ffd00bf,0x01fffb00,0x0000bff9,
    0x3ffea000,0x7fff8805,0x8800dd00,0x5ffff74f,0x400fe600,0x08006fff,
    0x005ffc80,0x000fffd8,0x40013e60,0xfb007ffe,0xff98009f,0x0bff9006,
    0x9007ffd0,0xff903fff,0x7f65400b,0xf8000bde,0x7dc00fff,0x7cc01fff,
    0xb27c4003,0x3003ffff,0x3ffe007f,0x0bf93006,0x000bff90,0x0001fffb,
    0xe80027cc,0x999307ff,0x9999dfff,0x037fdc03,0xe805ffc8,0xffb803ff,
    0x05ffc81f,0xca9cefb8,0x64001fff,0x7ec02fff,0x7e404fff,0x127c4001,
    0x801dfffd,0xfff003f9,0xfffda80d,0x05ffc805,0x00fffd80,0x0013e600,
    0xea83fff4,0xeeefffee,0x3ff201ee,0x0bff9007,0x5007ffd0,0xff901fff,
    0x80ffc80b,0x2003fffa,0x2205fff9,0x407fffdf,0x4f88006e,0x037fffc4,
    0x7fc00fe6,0x3fb2e06f,0xffc805ff,0xfffd8005,0x13e60000,0x03fff400,
    0x4004ffd8,0xc800fffb,0xffe805ff,0x07ffa803,0x7dc0bff9,0x3ffea01f,
    0x3fffa002,0xff95f700,0x00fe605f,0x3e613e20,0x3e604fff,0x0dfff003,
    0x2017ffe0,0xd8005ffc,0x20000fff,0xfd0004f9,0x3ff600ff,0x7ffd4004,
    0x05ffc801,0xb803ffe8,0xbff906ff,0x2017fe20,0x2e006ffe,0x2fd03fff,
    0xf905fff9,0x09f10001,0x40ffffee,0xfff003f9,0x17ff600d,0x0017ff20,
    0x0003fff6,0xd0004f98,0x3f600fff,0x7fcc004f,0x5ffc805f,0x803ffe80,
    0xff904ffc,0x013fee0b,0x400fffee,0xf886fff8,0x203fffe4,0x9f10006f,
    0x0ffffe40,0xff801fcc,0xbffb006f,0x00bff900,0x001fffb0,0x80027cc0,
    0xfb007ffe,0xffd0009f,0x5ffd803f,0x803ffe80,0xff900ffd,0x00fff60b,
    0xd0037ffc,0x1fb81fff,0xf30bfff2,0x13e20007,0x81ffffd0,0xfff003f9,
    0x17ff600d,0x0017ff20,0x0003fff6,0xd0004f98,0x3f600fff,0xffa8004f,
    0xfff902ff,0x0bffd00b,0x3203ff98,0x3fff05ff,0x01fffa00,0x743fffb8,
    0x22fffcc6,0xf10000fc,0xfffe8809,0xf801fcc6,0xff9006ff,0x0bff900b,
    0x01fffb00,0x001fcc00,0xb007ffe8,0x3a0009ff,0xbabdffff,0x805ffcde,
    0x3602fffe,0x2ffe406f,0x800fffcc,0x1000fffd,0x27ccdfff,0xdf07fff4,
    0x027c4000,0x32ffffcc,0x3ffe007f,0x0bff9006,0x000bff90,0x0003fffb,
    0xe8001fd4,0xffb007ff,0x3fa20009,0x95ffffff,0xffd00bff,0x7ec415ff,
    0x2ffe400d,0x800fffdc,0x2001fffc,0x3f91fffd,0x267fff70,0x3e20003f,
    0xffff5004,0x7c00fe67,0xff9006ff,0x0bff900b,0x03fff900,0x001fd400,
    0xb006ffe8,0x440009ff,0x23fffffd,0xfe805ffc,0xfedffcbf,0xbff9004f,
    0x005fff70,0x5001ffee,0x41ba7fff,0x1f96fff8,0x027c4000,0x35ffff90,
    0x3ffe007f,0x0bff9006,0x000bff90,0x0005fff9,0xe80017dc,0xffb005ff,
    0x75100009,0x00bff903,0x2ea27ffd,0x7fe4001b,0x03fffa85,0x800dff70,
    0x3f9efff8,0x3e7fffa0,0x27c40005,0x3ffff600,0xfff003fa,0x17ff200d,
    0x001bff20,0x000fffea,0xd0000fd8,0x3f6009ff,0x8000004f,0xfe805ffc,
    0xf900003f,0xbfff30bf,0x013ff200,0x3fbfff60,0x3bffee00,0x7c40003f,
    0x7ff44004,0xff003fff,0x3ff200df,0x47ffb805,0x7ffcc019,0x01be0006,
    0x003ffe80,0x00009ffb,0x00bff900,0x00007ffd,0x7f417ff2,0xffc800ff,
    0xfffa8002,0x7ffc406f,0x440000ff,0xff88004f,0xff003fff,0x3ff200df,
    0xcfffa805,0xffb005a8,0x7f70003f,0xfe82b880,0x9ffb002f,0xf9000000,
    0x7ffd00bf,0x3ff20000,0x07fff505,0x0001ffd0,0x200ffffe,0x0005fffd,
    0x50004f88,0x2007ffff,0xf9006fff,0xfff100bf,0x26001fff,0x54005fff,
    0x4ffe806f,0xfd0037fc,0x0000009f,0xfd00bff9,0x3600007f,0x3ffa05ff,
    0x0ffe600f,0x0fffc800,0x02fffa80,0x005f9800,0x00fffee0,0x401bffe2,
    0xd3005ffd,0xb8003bff,0x4400efff,0xff801ffc,0x01ff10ff,0x0027ffc0,
    0x37fe4000,0x001fffc0,0x205ffd80,0x3606fff9,0x7cc0005f,0xfff1005f,
    0xdf500001,0x3ffd8000,0x07fff980,0x800dffd0,0x3ee00008,0xa99bdfff,
    0x001fffec,0x3eebfff9,0x37ffc003,0x7ec00000,0x4fff807f,0xdffd0000,
    0x2dffe880,0x00017fa6,0xfb0017f4,0xfd10000b,0x7400017f,0x7ff5403f,
    0x3e600dff,0x00001fff,0x7ffe4c00,0xbeffffff,0x3ffa2000,0x64003fff,
    0x0003ffff,0x3fffea00,0xffff9103,0xff980003,0x7ec401ff,0x02ceffff,
    0x003f2000,0x20002fa8,0xffffffee,0x3f88002e,0xffffffb0,0x7549dfff,
    0x2effffff,0x44000000,0x1abccbaa,0x55dc4000,0xfffd3000,0x09dfffff,
    0x3bbaa000,0xb14eeeee,0xdddddddd,0xffea8005,0x804effff,0x00001bb9,
    0x19000710,0x00000000,0x00000660,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x22000000,
    0xcccccccc,0xcca81ccc,0xcccccccc,0x9999990c,0x99910999,0x33267999,
    0xcccccccc,0xcccccccc,0x999910cc,0x39999999,0xcccccc98,0x99103ccc,
    0x99999999,0x64000199,0x666400cc,0x99999101,0x80000599,0x4ccccccb,
    0x33333322,0x001ccccc,0x00000000,0xfffdb980,0x8809beff,0xfffffeb9,
    0x3ff6a1ad,0xb502cfff,0x26239fff,0xffffffdb,0xffffffff,0x36e60fff,
    0x9befffff,0x7ffe5440,0x2601adff,0xffffffeb,0x7c0002bc,0x7ffc01ff,
    0x3ffb2a02,0x200006ff,0xacfffff8,0x7fff5cc1,0x0009beff,0x7ffee440,
    0xffd7002d,0xd80059df,0x2000efff,0x404ffff8,0x8804fffd,0x7fec03ff,
    0x3ae6203f,0xfffb01ff,0x3ffe001d,0xffc8001e,0x200001ff,0x7fc01fff,
    0xffe8802f,0x900002ff,0x2009ffff,0x000ffffe,0x737df700,0x2601dffd,
    0xffc9adfe,0x3fee005f,0xffd8004f,0x7ffc402f,0x806f9806,0x1003fffb,
    0x3fee03fb,0xbff3004f,0x3fea0001,0x7c00006f,0x7ffc01ff,0xffffb002,
    0xff10000d,0x2e003fff,0x00005fff,0xfff109fb,0x20ffd10b,0xf5004ffe,
    0xfb0009ff,0xff7003ff,0x01fc803f,0x003fffa8,0x7fd407e6,0x4fe8803f,
    0x7ffcc000,0x7fc00005,0x17ffc01f,0xfffffb80,0x7fdc0002,0xf5001fff,
    0x700009ff,0x7ffec0df,0xb827fdc1,0xff5007ff,0xffb0007f,0xfff1003f,
    0x802fc409,0x4003fffa,0x7fff502d,0x0009fb00,0x00bfff30,0x01fff800,
    0xa8017ffc,0x005fffdf,0x7ffeffc0,0x7fff5000,0x2ff88000,0xb0fffea0,
    0x3fea09ff,0xfffa800f,0xfffc8003,0x1fff9001,0x5400bee0,0x4c003fff,
    0x07fff501,0x00004fd8,0x0009fff3,0x401fff80,0xf5002fff,0x003fffd5,
    0x3ff6fee0,0xfff5000f,0x00133339,0x7e403fec,0x80ffdc0d,0xa800fff9,
    0xc8003fff,0xf3001fff,0x01ba07ff,0x003fffa8,0x0fffea00,0x00004fd8,
    0x0013ffe6,0x803fff00,0xf5002fff,0x00bfff55,0x3ff63fa0,0xfff5000f,
    0xbfffffff,0x006ff803,0x3e601a80,0xffa800ff,0xffc8003f,0x3ffa001f,
    0x2003f986,0x0003fffa,0x40fffea0,0x400004fd,0x0004fff9,0x200fffc0,
    0xf5002fff,0x003fffe5,0x3ff69f50,0xfff5000f,0xfff9555b,0xbff305ff,
    0x6d400000,0xa800ffff,0xc8003fff,0x2a001fff,0x03ec1fff,0x00fffea0,
    0x7ffd401a,0x0027ec43,0x27ffcc00,0x3ffe0000,0x017ffc01,0xfff72fa8,
    0xb0fe8009,0x2a001fff,0xfb883fff,0x7fd42fff,0x64400005,0x0fff9bef,
    0x03fffa80,0x01fffc80,0xf12fffc0,0xfffa8009,0xa8034c03,0x3fa23fff,
    0xf3000004,0x800009ff,0x7fc01fff,0x25f5002f,0x000ffff8,0x7ffecbf3,
    0x7fff5000,0x0ffffe40,0x0000dff7,0xf88bbf22,0xffa800ff,0xffc8003f,
    0x7fdc001f,0x8001f90f,0x6403fffa,0x7fff5006,0x00013fa2,0x04fff980,
    0x0fffc000,0x400bffe0,0x3fff22fa,0x6c3fb003,0xf5000fff,0xffe807ff,
    0x01ffee5f,0x037fa200,0x5001fff1,0x90007fff,0x88003fff,0x00bf3fff,
    0x339fff50,0x0dfb7333,0x26fffea0,0x000005fe,0x0027ffcc,0x00bffe00,
    0x2a005fff,0x1fffe22f,0xffb1be20,0x3fea001f,0x7ffe403f,0x007ffea7,
    0x82ff4408,0xa800fff8,0xeeeeefff,0xeeeeeeee,0x8001ffff,0x01faeffc,
    0xfffffa80,0x6fffffff,0xfbfff500,0x00003fff,0x027ffcc0,0x0bffe000,
    0x2005fff0,0x7ffe42fa,0x3617e403,0xf5000fff,0xffa807ff,0xbfff11ff,
    0x3ffe2c00,0x01fff101,0xdddfff50,0xdddddddd,0x03ffffdd,0x3bbbbbb6,
    0xeefffffe,0x504eeeee,0x5555bfff,0x200dfdb7,0xfffdfffa,0x000001ff,
    0x0009fff3,0x203fff80,0x8022fff9,0x7ffcc2fa,0x361be206,0xf5000fff,
    0xff9807ff,0x3fffe2ff,0x3e63b800,0x3ffe207f,0x3fffa800,0x1fffc800,
    0xddddddb0,0xdddffffd,0x209ddddd,0x6c03fffa,0x7fff5006,0x03fffff3,
    0xfff30000,0xff800009,0xffff506f,0x2fa80745,0x702fffd8,0x1fffb07f,
    0x0fffea00,0x43ffff70,0x200efffc,0x3ffee1f9,0x03fff101,0x007fff50,
    0x003fff90,0x003ffea0,0x01fffd40,0x7fd401a6,0xfffff33f,0xf9800003,
    0x400004ff,0x930cffff,0x269ffd3d,0x260bea06,0x0ff06fff,0x4003fff6,
    0x6c03fffa,0x7fc47fff,0x5fb81eff,0x441fffd4,0x0311fffd,0x000fffea,
    0x0007fff2,0x0007ffd4,0x803fffa8,0x7fff5006,0x0fffffcc,0xfff30000,
    0xff800009,0x0effffff,0x07fbfff7,0xffe817d4,0xd81fdc1f,0xf5000fff,
    0x7fc407ff,0xfffb84ff,0xefedceff,0x67fffc40,0xfffcfb88,0xff500e9c,
    0xff90007f,0x3ea0003f,0xf50000ff,0x005007ff,0xf30fffea,0x0003ffff,
    0x013ffe60,0xfebf8800,0x3620dfff,0x7d404fff,0x8bfff502,0xfffb00fe,
    0x3ffea001,0xdfffd303,0x7ffffdc0,0xf901ffff,0x25ffffff,0x201ffffe,
    0x8003fffa,0x9901fffc,0xfb999999,0x999999ff,0x3fea0799,0x2a00003f,
    0xff983fff,0x80001fff,0x0004fff9,0x0dd4fe20,0x2a002e60,0x3fffa02f,
    0x7ec09f51,0xff5000ff,0xffff507f,0xfff9803d,0x6400cfff,0x2e0dffff,
    0x7d401eff,0xfc8003ff,0xdddb01ff,0xfffddddd,0xdddddddd,0x0fffea09,
    0xfffa8000,0xfffff303,0xff980003,0x8660004f,0x000004f9,0xffb80bea,
    0x6c01fd4f,0xf5000fff,0xfffb9dff,0x88009fff,0x22000afb,0x4006201a,
    0x8003fffa,0x0001fffc,0x0001fff5,0x000fffea,0x03fffa80,0x07ffffe6,
    0x4fff9800,0xfb83a000,0x2a000005,0x7fffc02f,0x7fec05fa,0xfff5000f,
    0x37bddddd,0x00fe4000,0x2a000000,0xc8003fff,0x50001fff,0x20001fff,
    0x0003fffa,0x00fffea0,0x03fffff3,0x13ffe600,0x3f635400,0x2a000006,
    0x7ffdc02f,0x7fec01ff,0xfff5000f,0xf3000007,0x000009ff,0x7d40b722,
    0xfd8003ff,0xf50001ff,0x2a0001ff,0x00003fff,0x200fffea,0x02fffff9,
    0x05fff980,0xfff87d00,0xf7000000,0xffff8805,0x0fffd806,0x07fff500,
    0xff710000,0x84fd880f,0x7ffec5fd,0x04fffb80,0x01fffd80,0x01fff500,
    0x0fffee00,0xfffb8000,0xffff3004,0xff98005f,0x7ec4006f,0x007ffe21,
    0x01fdc000,0x4017ffe4,0x7001fffe,0x00009fff,0x9007fec0,0x7fd43fff,
    0x07fffa2f,0x0017fff2,0x000bfffa,0x000fffdc,0x005fffc8,0x17fff200,
    0xfffffc80,0x3ffee004,0xdff5001f,0x002fff98,0x009f9000,0x3e00dff1,
    0xf9002fff,0x00000dff,0x3f202ff4,0x3ffee2ff,0x711bff23,0x007fffff,
    0x3bffff26,0x7ffcc001,0x2e2000df,0x002fffff,0x7fffdc40,0xfffd002f,
    0x4039ffff,0xefffffe9,0xfeeeeeee,0xfff84fff,0xf9800000,0x7ec00aff,
    0xffffc803,0x7ffd402e,0x00000bff,0x3007ff26,0xefe88dfd,0xffd314c0,
    0xdfffffff,0xffffd705,0x01dfffff,0x7fffffec,0x3a603eff,0xffffffff,
    0x3a6002ef,0xffffffff,0xfffc82ef,0xffffffff,0xfffdd11f,0xffffffff,
    0xffffffff,0x0007d703,0x7fff74c0,0xf301efff,0x7ffff5c0,0x266fffff,
    0xfffffffe,0x40002eff,0x04002ded,0x00000010,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xccc88000,
    0xcccccccc,0x00099aaa,0xcccccc88,0x1aaacccc,0x00554000,0x33332205,
    0xaccccccc,0x800099aa,0xccccccc8,0x0aaaaccc,0x33322000,0xcccccccc,
    0x0009aaab,0xcccccc98,0xcccccccc,0x2a3ccccc,0xcccccccc,0x32200ccc,
    0xcccccccc,0x99999911,0x05999999,0x3333332e,0x75cc03cc,0xffffffff,
    0xbeffffff,0x3fae6001,0xffffffff,0x2000dfff,0x883fffeb,0x3ffae605,
    0xffffffff,0x02ceffff,0x3fffae60,0xffffffff,0x730004ff,0xfffffffd,
    0xbfffffdf,0x3fee0015,0xffffffff,0xffffffff,0x3ffee21f,0x01beffff,
    0xfffffca8,0x3ff6e0ad,0xbdffffff,0xfffb5300,0x6c0037df,0x11abefff,
    0xdffffb75,0xfffe8003,0xffdb99ad,0xffa802ff,0x2e2fffff,0xdfffb003,
    0x372a6357,0x002effff,0x8d6fffec,0x1efffda8,0x3fffa000,0xffe9881c,
    0xffc801ff,0x999999ac,0xffffa999,0xffffb103,0xff90003f,0xffb8805f,
    0x7c006fff,0xf70003ff,0xfb1009ff,0x5c009fff,0xff303fff,0x33d809ff,
    0xfddffffd,0x3ffee003,0xfffd8804,0xff7000cf,0x7ffd407f,0xff70004f,
    0xfff5009f,0x01fd805f,0x02fffec0,0x007ffff4,0x0007fdc0,0x01fffff5,
    0x000bfe20,0x004fffa8,0x017fffee,0x501fffd4,0x3407ffff,0x1fffffdc,
    0x09fff500,0x2ffffdc0,0x03fffa80,0x00ffffdc,0x027ffd40,0x00ffffa8,
    0xff7000f6,0xff1001ff,0xfd0007ff,0xfff50005,0x0ff6007f,0x9fff5000,
    0xffff9800,0x3fffa803,0x07fffe40,0x5bb71038,0x4fffa800,0x7fffcc00,
    0x3fffa804,0x05fffe80,0x04fffa80,0x813fff20,0x3fe6000e,0x3ee002ff,
    0x2a000fff,0x3f20005f,0x7dc00fff,0xffa80004,0xffc8004f,0x7fd401ff,
    0x7ffd403f,0x0000002f,0x0027ffd4,0x017fffe4,0x200fffea,0x8007fffc,
    0x2004fffa,0x1a06fffa,0x0bfffd00,0x0bfffb00,0x00007f40,0x9817fffa,
    0xf500006f,0xf10009ff,0xfa80bfff,0x7fcc03ff,0x000003ff,0x027ffd40,
    0x37fffc40,0x00fffea0,0x003fffee,0x009fff50,0x807fffc4,0x3fff2002,
    0xff88000e,0x2fc802ff,0xfff98000,0x00ff882f,0x9fff5000,0x3ffea000,
    0x3ffea01f,0x4ffff803,0x20000040,0x0004fffa,0x403ffff5,0xb803fffa,
    0xa8007fff,0x26004fff,0x80007fff,0x001ffff9,0x03fffee0,0x00005f98,
    0xd03fffee,0x5400003f,0x20004fff,0x2a04ffff,0x7c403fff,0xfc882fff,
    0x0effed45,0x09fff500,0x27fffc00,0x007fff50,0x000dfffb,0x4009fff5,
    0x0004fffc,0x027fff44,0x2ffff400,0x00001fd0,0x325fffe8,0x5400003f,
    0x20004fff,0x2a07fffd,0x7cc03fff,0x3f6a1fff,0x3fff65ff,0xf5000fff,
    0x6c0009ff,0x3ea07fff,0x7fc403ff,0xfa8002ff,0x3fa004ff,0x640001ff,
    0x00006fff,0x705ffff3,0x1000007f,0xbf55ffff,0xff500000,0x7e40009f,
    0xff500fff,0xfffd807f,0x3fff72e6,0xfcacfd8d,0xff5006ff,0x7e40009f,
    0xff500fff,0xfffe807f,0xfff50005,0xfffd1009,0xffa8000d,0x200001ff,
    0x220efffb,0x2000006f,0x0efffffb,0x73330000,0x33339fff,0x7dc01333,
    0xff501fff,0x7ffd407f,0xddfff00f,0x05fff507,0x009fff50,0x0ffffdc0,
    0x303fffa8,0x001bfffd,0x813ffea0,0x0dfffea8,0x3ffe2000,0xe800003f,
    0x07f64fff,0xffb00000,0x200003ff,0xfffffff9,0xffffffff,0x3fffea04,
    0x07fff502,0x80bfffee,0x3e02fffd,0xffa803ff,0x3ea0004f,0xff502fff,
    0xfb75339f,0x80007dff,0xeefffffa,0xeffffffe,0xffd80002,0x3000005f,
    0x9f53ffff,0xf1000000,0x00007fff,0x7ffdcccc,0x9999999c,0x3fffe600,
    0xdffff502,0xbffffb9b,0x05ffc801,0x54027fec,0x20004fff,0x502ffff9,
    0xffffffff,0x00003bff,0x333bffea,0xfffffecc,0x2e0001cf,0x0000ffff,
    0x3bfff200,0x0000006f,0x003ffff2,0x3ffea000,0x3fea0004,0xfff500ff,
    0x57999739,0x17ff2001,0x500bff90,0x40009fff,0x500ffffa,0xf5339fff,
    0x00001fff,0x8813ffea,0x0dffffda,0x7fffc400,0xe8000002,0x0002ffff,
    0xffff3000,0x500000bf,0x40009fff,0x2a07fffb,0x00003fff,0xfc80bff9,
    0xfffa805f,0x3fee0004,0x3ffea07f,0x02fffe43,0x4fffa800,0xdffff900,
    0x5fffe800,0xf3000000,0x00000dff,0x3fe7be20,0x400003ff,0x0004fffa,
    0xa81bfff6,0x00003fff,0xfc80bff9,0xfffa805f,0x3ff60004,0x3ffea06f,
    0x03fffe83,0x4fffa800,0x3fffee00,0xffff7004,0x20000001,0x0005fff8,
    0x2e3fd000,0x0000ffff,0x013ffea0,0x04fffe80,0x000fffea,0x202ffe40,
    0xfa805ffc,0x3a0004ff,0x3ea05fff,0xfff883ff,0x7d40001f,0x7fc004ff,
    0xff9807ff,0x000002ff,0x017ffe20,0x0ff20000,0x000bfffd,0x027ffd40,
    0x2ffff880,0x00fffea0,0x02ffe400,0x2a017ff2,0x10004fff,0x5407ffff,
    0xff503fff,0xfa8000df,0x7e4004ff,0x7f401fff,0x000004ff,0x02fffc40,
    0x13ea0000,0x00ffffe6,0x27ffd400,0x5fffc800,0x01fffd40,0x05ffc800,
    0x5402ffe4,0x90004fff,0xfa80dfff,0x3ff603ff,0x3ea0004f,0x7d4004ff,
    0x3f202fff,0x030006ff,0x2fffc400,0xdf300000,0x07fffdc0,0x7ffd4000,
    0xfff98004,0x7ffd401f,0xff900003,0x05ffc80b,0x004fffa8,0x01ffff98,
    0x101fffd4,0x0005fffd,0x0013ffea,0x201ffff5,0x001ffffa,0x220001d0,
    0x00005fff,0xe801fd10,0x80005fff,0x8004fffa,0xa804fffe,0x00003fff,
    0xfc80bff9,0xfffa805f,0xfffe8004,0x3fffa804,0x07fffcc0,0x27ffd400,
    0x17fff200,0x01ffffc4,0x20006980,0x0005fff8,0x3005fb00,0x0007ffff,
    0x004fffa8,0x8037ffe4,0x0003fffa,0xc80bff90,0xffa805ff,0x7fe4004f,
    0xffa800ff,0xfffb804f,0xfffa8006,0x3ffe2004,0xdfffb03f,0x002e4000,
    0x00dfff10,0x009fb000,0x00ffffdc,0x09fff500,0x3bfffa60,0x9fff7000,
    0x3ff60000,0x037fe405,0x8027ffd4,0x00efffe9,0x009fff50,0x0013fff6,
    0x4009fff5,0xb80efffe,0x0000ffff,0x440007f5,0x00006fff,0x740037e4,
    0x0000efff,0x8809fff9,0x00dffffb,0x017fff20,0x037ffc00,0x3201fff6,
    0x5c404fff,0x000cffff,0x4017fff2,0x005ffff8,0x2013fff2,0x104fffea,
    0x0005ffff,0x8000bfee,0x0007fffa,0x007ff910,0x0dffff90,0xfffff300,
    0xffb979dd,0x8003bfff,0x0bfffff9,0x3ffea000,0xffff301f,0x7fffcc05,
    0xfdbbcdef,0x000cffff,0x5fffffcc,0xffffa800,0x3fe601be,0xbbceefff,
    0x3ffffedc,0x33ffffa0,0xcccccccc,0xffffedcc,0xffd10001,0x400039ff,
    0x00effffa,0x3ffffa20,0x3a600bef,0xfffffffe,0xbdeeffff,0x3ba6000a,
    0xffffffff,0x3fea002e,0x74efffff,0xdffffffd,0x3fffba67,0xffffffff,
    0x4001bdee,0xfffffee9,0x6402efff,0x27ffffff,0xfffffee9,0xffffffff,
    0x2e00acee,0xffffffff,0xffffffff,0x007fffff,0xfffffed8,0x2004efff,
    0xfffffffc,0x7ff4c06f,0xffffffff,0x00000002,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x33220000,
    0xcccccccc,0xcccccccc,0x65c0cccc,0x03cccccc,0x25999995,0xccccccc8,
    0xcccccccc,0x984ccccc,0xcccccccc,0xcccccccc,0x264ccccc,0xcccccccd,
    0xcccccccc,0x4003cccc,0x000002e8,0x000001d5,0x0000a600,0x00002000,
    0xba800008,0xfffffffe,0xffffffff,0x64c2ffff,0x01bfffff,0x417ffd31,
    0xfffffeb9,0xffffffff,0x5c0fffff,0xffffffff,0xffffffff,0x30ffffff,
    0x1c400005,0x000fe200,0x0007dc00,0xdffd7300,0x101fcc17,0x05bfffb9,
    0x77ff64c0,0x7fec401d,0x001dacef,0x3ff7fa00,0xffa8806f,0x0bfff902,
    0xf900ff60,0x931009ff,0xdffb81ff,0xffa999aa,0xca9999df,0x00530fff,
    0x2001c400,0x000003f8,0x500001f7,0xffb537ff,0x5c09f15f,0xffeb9bef,
    0x5ffe400e,0x504fffdb,0xffb517bf,0x7400003f,0x006fff9f,0xffe80be2,
    0x500fd007,0xb8009fff,0x301fe40f,0x74409fff,0x0000530f,0x3e2001c4,
    0xf7000003,0xefb80001,0x5ffff980,0x3e213f60,0x5fd105ff,0x889fff70,
    0x03ff106f,0x7d3e6000,0x1ec006ff,0x803fff50,0xff9804f9,0x0fc4004f,
    0xfff30172,0x531f8809,0x01c40000,0x0000fe20,0x00007dc0,0x7dc03ff5,
    0x0df703ff,0x640fffec,0x3fff202f,0xfa80ff21,0x1f900001,0x7001bffe,
    0x05ffe807,0x7cc007e4,0x1d8004ff,0x3fe601e4,0x531d804f,0x01c40000,
    0x0000fe20,0x80007dc0,0xfe806ff8,0x17fc40ff,0x887fff50,0x7ffcc06f,
    0x3f017fa5,0x49f10000,0x44006fff,0x07ffd402,0xf3005f88,0x350009ff,
    0x7fcc00d8,0x531b804f,0x01c40000,0x0000fe20,0x80007dc0,0x7ec04ffa,
    0x3fec3fff,0x3606fe40,0x7ffc404f,0xc807ffa7,0x0fc80001,0x0001bffe,
    0xb827ff40,0xfff3002f,0x40000009,0x4004fff9,0x22000029,0x01fc4003,
    0x00fb8000,0x407ffb00,0x47fff9fc,0x7c0006ff,0xeeeeeeef,0x90ffffee,
    0x00209fff,0xff13e600,0x000200df,0xfd01fff7,0x27ffcc00,0x98000100,
    0x4c004fff,0x0e200002,0x0007f100,0x0003ee00,0xfb817ffc,0x261fffd1,
    0x220005ff,0xaaaaadff,0x0aaaaaaa,0x05dffff3,0x81fb0000,0x19006fff,
    0x44fff800,0x3e6003f9,0x016004ff,0x09fff300,0x00002980,0x7f1000e2,
    0x3ee00000,0xfff88000,0x3f62fa82,0x0bff51ff,0x027fcc00,0x3ffff200,
    0x300002ef,0x0dfff07f,0xf70003a0,0x007e41ff,0x009fff30,0xf3000166,
    0x298009ff,0x44e20000,0xcccccccc,0xccccdfcc,0x952ccccc,0x99999999,
    0x99999bfb,0x7d439999,0x21fcc3ff,0xff72fffc,0x7fd4000d,0xffb80005,
    0x0005ffff,0xfff80fe8,0x000fa806,0xbf14fff8,0x4fff9800,0x8000bb00,
    0x4004fff9,0x22000029,0xffffff33,0xffffffff,0x9fffffff,0x3fffffee,
    0xffffffff,0x2fffffff,0xf993ffea,0x70fffa84,0x54000fff,0x100006ff,
    0x3dfffff9,0x40fea000,0x9999efff,0x00ffc999,0xb8fffb80,0x7fcc002f,
    0x999999df,0x0005fd99,0x0027ffcc,0x880000a6,0x01fc4003,0x00fb8000,
    0x15fff980,0x9bfea0bf,0x2001fffa,0x003ffe60,0xfffd9800,0x0fd0006f,
    0x7ffffffc,0x0fffffff,0xbfff8800,0xff98006e,0xffffffff,0x0005ffff,
    0x0027ffcc,0x880000a6,0x01fc4003,0x00fb8000,0xd1dfff00,0x127fdc0b,
    0x2c00bfff,0x4009fff1,0x7fd4030d,0x7d4001ff,0x2bbffe03,0xfdaaaaaa,
    0xff90000f,0xf30007ff,0x55555dff,0x00bfd975,0x04fff980,0x000014c0,
    0x3f880071,0x1f700000,0x3fff6000,0x3ff200ee,0x007fffc2,0x3fffe1dc,
    0x03a69801,0x003fff98,0x4ccccff4,0x806fff99,0xf10000fb,0x30001fff,
    0xd1009fff,0xff98000b,0x014c004f,0x80071000,0x000003f8,0x260001f7,
    0x6c00efff,0x7ffe40ff,0x707e600e,0x4403ffff,0xfb00ba3e,0x7fdc009f,
    0xffffffff,0x01f006ff,0x02ffe400,0x04fff980,0x98000b50,0x4c004fff,
    0x0e200002,0x0007f100,0x0003ee00,0x201fffd8,0xff883ff9,0x5fb81eff,
    0x17ffffd0,0xdd07f5c4,0x002ffa80,0x2aaaabbe,0x06fffbaa,0x440001b0,
    0xf30001ff,0x162009ff,0x9fff3000,0x00029800,0xf1000e20,0x2e000007,
    0x3f20000f,0xdfb00eff,0x7ffffdc0,0x00efedce,0xdffffff5,0xfe85fffd,
    0x003bf604,0x7fc00fdc,0x0013006f,0x20006e80,0x2004fff9,0x7fcc0002,
    0x014c004f,0x80071000,0x000003f8,0x2e0001f7,0x22dffebf,0x5c00dfd9,
    0xffffffff,0x7ffd401f,0x83ffffff,0x7d40dffe,0x0bf1001f,0x001bffe0,
    0x01fcc000,0x09fff300,0x7cc00000,0x14c004ff,0x00710000,0x00003f88,
    0x50001f70,0x7fffdc5f,0x26003eff,0x0cffffff,0xffffd100,0x3fba03df,
    0x1dffdeff,0x4007f200,0x00006fff,0x0001fb00,0x0027ffcc,0xfff30000,
    0x00298009,0x1000e200,0xcca8007f,0xdccccccc,0xccccccdf,0x20fa1ccc,
    0x001aca98,0x002aea20,0x00d5d440,0x1aca9882,0x002fc400,0x2000dfff,
    0x0bf10049,0x4fff9800,0x80072000,0x4004fff9,0x22000029,0x01fc4003,
    0x3ffffee0,0xffffffff,0xffffffff,0x00000022,0x00000000,0x1fb00000,
    0x037ffc00,0xfb002e80,0xff980003,0x0f50004f,0x04fff980,0x000014c0,
    0x01300071,0x99999880,0x99999999,0x99999999,0x00000000,0x00000000,
    0x0bf30000,0x037ffc40,0x4c083e40,0xf980005f,0xf88005ff,0x7ffcc004,
    0x0014c005,0x00007100,0x00000000,0x00000000,0x00000000,0x007fa000,
    0x006fff88,0x3fe62fd4,0x000ffcce,0x05fffa80,0x4001fd80,0x4005fff9,
    0x22000029,0xbbbbbb33,0xbbbbbbbb,0x1bbbbbbb,0x00000000,0x00000000,
    0x00000000,0x9800ff90,0x91007fff,0xfffd85ff,0x00002fff,0x400dfff7,
    0xb8006fd8,0x4c006fff,0xcccccccd,0xcccccccc,0xff33cccc,0xffffffff,
    0xffffffff,0x00001fff,0x00000000,0x00000000,0xffc80000,0xfea800cf,
    0xccccefff,0xffffeccc,0x77fffd40,0xff300002,0x9999bfff,0xfffd9999,
    0xffe88009,0x00000cff,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfffffa80,0xffe80eff,0xffffffff,0xffffffff,0x05bd705f,0xfffd1000,
    0xffffffff,0xffffffff,0xfdd1003f,0xdfffffff,0x00000005,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00002001,
    0x00000000,0x0003894c,0x33333200,0xccccb82c,0xccccb82c,0x333264cc,
    0x441ccccc,0x402ccccc,0x00040000,0x332a0000,0x504ccccc,0x0c399999,
    0x00044000,0xfffdb700,0xffeca87d,0x7654004e,0x0000bdef,0x29fd5000,
    0x0000cff9,0x7ffed4c0,0xfffeb984,0xffffd984,0x3ff6a22d,0xda80bdff,
    0xfc881dff,0x4077f665,0x7ecc6fb8,0xfd9302df,0x7dc4017d,0x101cffff,
    0x2617ffd3,0xbdca885f,0x9837440a,0xd102dffc,0xffd715bf,0x3f2fbf29,
    0x7dc01eff,0xfffca9ce,0x91000001,0x75417dff,0x00001dff,0x1027ffc4,
    0x7e409fff,0xffd102ff,0x85fa801f,0xf55fffda,0xfda8dfff,0x3fff66ff,
    0x7fe44fff,0x9805ffff,0xf9007fff,0x362bf705,0xcfffffff,0xfe81fe88,
    0x443fffff,0xfff886ff,0x7fe442fe,0x01ff900f,0x0007fff5,0x16ffecc0,
    0x0bbff660,0x4ffe8000,0x1027ff40,0x7d407fff,0x07e400ff,0x37fff72e,
    0x27fffdf8,0xb6fffdda,0xfffd757d,0x36eb3f63,0xfc802fff,0x05e800ff,
    0x26fffbee,0xfdffb730,0x7543d303,0x827fdc6f,0x3e03fffd,0x1ffb84ff,
    0x00bffea0,0x39ffd500,0xfffc8800,0x7f40000b,0x27fec04f,0xd01bff20,
    0x04e807ff,0x98f6fff4,0xdffd02ec,0xbfff107b,0xfffb01bb,0x05fff100,
    0x7ec01f98,0x1ffd400e,0x3ffa81e8,0x7e40fff6,0x3ff200ff,0x402ffc47,
    0x88006ffe,0x000bfffb,0x67ff5c40,0x9ffd0001,0x404ffd80,0x3201fff9,
    0x07e606ff,0x009fffb0,0x202fffc8,0x2603fffc,0xfd800fff,0x2036406f,
    0x3ea006f8,0x17fc0106,0x3f203ff7,0x7ffdc07f,0x2013fee0,0x3003fffb,
    0x0005dff9,0x37ff6a00,0x27ff4002,0x2013ff60,0x3f204ffe,0x00d901ff,
    0x9000dff9,0xffa80dff,0x0fffc407,0x80fffd40,0x0fec03f8,0x800bea00,
    0x201987f9,0xeeeefffc,0x1fffeeee,0x7c00fff6,0x7ed406ff,0x000001df,
    0x07dff930,0xb013ffa0,0xff7009ff,0x3fffe20f,0xc803f885,0xfc8005ff,
    0x7ffcc06f,0x00fffc00,0xf704ffe8,0x0027c401,0x3ee006f8,0x3ff66004,
    0xaaaaaaff,0x3e0aaaaa,0xffd001ff,0x9ffd710f,0x00000001,0x033ffee2,
    0x6c04ffe8,0xff8804ff,0xffafb82f,0x4007d40f,0xb8005ffc,0x7fcc06ff,
    0x17ffc00f,0x80fffb80,0x017cc04e,0x3a007d80,0xbbfd5006,0x26000dff,
    0xfb001fff,0x3ff221ff,0x0000003e,0x6fff5400,0x404ffe81,0xfb004ffd,
    0x3fe7f0bf,0xc802ec3f,0xfb8005ff,0x7ffcc06f,0x017ffc00,0x4c3fff88,
    0x007dc01f,0xd801fb80,0x6ffdc00e,0x000dff91,0x4007ffee,0xff11fffc,
    0x0000019f,0xffd30000,0x809ffd07,0xf3004ffd,0xc87dc1ff,0x00be26ff,
    0x4002ffe4,0x7cc06ffb,0x7ffc00ff,0x1bff2002,0x01f700db,0x9007ea00,
    0x6ff4c03f,0x003ffdc1,0x002fffb8,0xfd50fff7,0x000003bf,0x9ffd5000,
    0x013ffa03,0x74009ffb,0xf893a3ff,0x400f71ff,0xb8005ffc,0x7fcc06ff,
    0x17ffc00f,0x25fff300,0x1fa802f8,0x401f7000,0x3fe600ec,0x01fff705,
    0x07fff500,0x981bfee0,0x0002effd,0x7fdc4000,0x7fec00bf,0x027fec04,
    0x3eadff70,0x4ea7fec0,0x017ff200,0x301bfee0,0xff801fff,0x7fec002f,
    0x3e600f75,0x40fb0003,0xfd2a80dd,0x3ffea01f,0x3e635001,0xff9005ff,
    0xdff91009,0x40000017,0x002effc9,0xfb013ff6,0x7fc4009f,0xffa85e9f,
    0x32000faf,0xfb8005ff,0x7ffcc06f,0x017ffc00,0x3a7ffea0,0x001ba004,
    0x3f6213e2,0x9fccaaab,0x3e207ff8,0x41d005ff,0xc800fffe,0x2e2002ff,
    0x0000cffe,0x077ff6a0,0x817ff200,0x4004ffe8,0xf01feffd,0xc800bfff,
    0xfb8005ff,0x7ffcc06f,0x017ffc00,0x07f7ffc0,0x8009f500,0x7ff440fe,
    0x56ffffff,0x7f401fff,0x22e401ff,0xe803fffa,0xd50000ff,0x20003bff,
    0x00cffeb8,0x03ffee00,0x017fffa6,0x40bfff50,0x4002fffc,0xb8005ffc,
    0x7fcc06ff,0x17ffc00f,0x2fffdc00,0x8017ec00,0xccca83fc,0x52cccccc,
    0x3a207fff,0xda81ffff,0x0fffe81f,0x000ffe60,0x0bbff260,0x177fe440,
    0xfff98000,0xfb5f712d,0x200335ff,0x3e602fff,0xffc8007f,0x6ffc8006,
    0x007ffcc0,0x2000bffe,0x4002fff8,0x300dfff8,0x0000bffd,0xb85dfff3,
    0xeffffedf,0x303fffcc,0x7ec0dfff,0x64400005,0xd980bfff,0x00001dff,
    0xffffffc8,0xbffffb2f,0x01bf2003,0x360013fa,0xfd8007ff,0x7ffd407f,
    0x0fffe200,0x003fec00,0x3ff2bfe2,0xaffecbce,0xd80005fb,0xffdeffff,
    0xfffffd13,0xe880bfff,0x3fa62dff,0x54000005,0xffd13ffe,0x80000019,
    0x21effffd,0x4001cffd,0x1fb802f9,0x7fffcc00,0x3ffe2004,0x3fffa02f,
    0x3bfff204,0x03f98000,0xc987fa20,0x20befffe,0x440005fb,0x1dfffffd,
    0x7ffffec4,0xffb1003f,0x0059dfff,0xa6cc0000,0x00000be9,0x202ee200,
    0x0240002b,0x3ea00488,0x5fffffff,0x3ffffa60,0xffd34eff,0x21dfffff,
    0xfffffffe,0x0064000e,0x80100760,0x7300003b,0x77300157,0x2e600015,
    0x0000001b,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000008,0x47e200f9,0x0074c06b,
    0x99999970,0x99999999,0x33333267,0x33320ccc,0x00000ccc,0x00ed4000,
    0x003b5000,0x00000000,0x00000000,0x40000000,0x7ed45fc8,0xf88001df,
    0x13a2f403,0x7f400bb0,0xeeeeeeff,0x713ffffe,0x85fffffb,0x883effe9,
    0x03d8001e,0x001ffe60,0x0006ff80,0x5c4003e8,0x3bf6a04e,0x3fb6601b,
    0xfda801de,0x32200cef,0x900ceecd,0xffb501bf,0x7fffecbf,0x7f4000ff,
    0xf707f600,0x8027cc07,0x7fd401ee,0xffff905f,0xf9817f20,0x0ff6001f,
    0x006ff880,0x00fff100,0x800ffb80,0xb04ffec8,0x01fffdbf,0xffb119f7,
    0x37ff6207,0xfb02ffec,0x22077e41,0x6e5c3fff,0xcfd8dfff,0x006fffca,
    0x5fc80ff2,0x7ec05fd0,0x4402e802,0x3600ffff,0x37cc2fff,0x400ffcc0,
    0xca8003fd,0xff030001,0xf100088b,0x7c2009fd,0x7cc5b84f,0x643fcc4f,
    0x84fd81ff,0x2fcc0fe9,0xff50ffe6,0x77ffc09f,0x2fffa83e,0x2a07fb80,
    0x3ff501ff,0xd007fe60,0x1fffe801,0x07fffc40,0x3e6001fd,0x00ff601f,
    0x3f600000,0xfb93f62f,0xd9fc803f,0x13fa001f,0x3a27f406,0x46ff885f,
    0x1be604fa,0x4ff885f3,0xb027ffcc,0x7fc05fff,0x1ffd403f,0x7405ff98,
    0x1ffb00ef,0x3ff201c0,0xfff5003f,0x30007ee9,0x07fb03ff,0x3a000000,
    0x25f72fff,0x4c05fffc,0x400bf14f,0x3fe004fe,0x6c0ffe20,0x201f60ff,
    0x7ed400fc,0x17ffc45f,0xd80bff90,0x3fe204ff,0x01fff107,0xf305ffa8,
    0x3ea000df,0x7e4005ff,0x0003fbff,0x1fec3ff3,0x30000000,0x1f37ffff,
    0x803ffff9,0x00bee0fe,0xfb8027f4,0xc81ffcc1,0x201ba2ff,0x15b502fa,
    0x3fff0bff,0x202ffe40,0xfd105ffc,0x9ffd107f,0x413ffa00,0x44005ffd,
    0x4000efff,0x005fffe8,0x7ecffcc0,0x33332a03,0xcccccccc,0xcccccccc,
    0x7f65441c,0x02cefdfc,0x0fe82fb8,0x4c04fe80,0x7fd42ffd,0x7c3ff704,
    0x442fa805,0x217fe25e,0x7fe407fd,0x82ffe405,0xffb06ffd,0x3fea001f,
    0x3fff983f,0x07fff600,0x27ffcc00,0x7ffcc000,0x7fffdc03,0xffffffff,
    0xffffffff,0x77f5402f,0x41be2001,0x4fe804fa,0x3fffb260,0x5c1bfe24,
    0x201f60ff,0x83fe61fb,0x6fc85ff8,0x202ffe40,0xffb85ffc,0x5fffb83f,
    0x0ffff400,0x400fffec,0x0003fffc,0x000fffec,0x000fff40,0x73000000,
    0x7bfdfbfb,0x201fc801,0x27f400fd,0x20ffe880,0x5fd81fff,0xff101fdc,
    0x7fc46fe8,0x6405fa85,0x7fe405ff,0x86ffe885,0x2007ffe8,0xf885fff9,
    0xff9805ff,0x7cc0005f,0x0000efff,0x007ff3f6,0xd3000000,0xb1f19fff,
    0x3e60bfff,0x202fc404,0x3e2004fe,0x217fea3f,0x82fe80ff,0x7ffc2fd8,
    0x3057fea0,0x5ffc807f,0x882ffe40,0xff882fff,0xdffb003f,0x003bfee0,
    0x001dfff1,0x7fcef440,0x7fb0004f,0x00007fe6,0xfffe8000,0x3ff63f53,
    0x800fe83f,0x13fa02fb,0xfb87fd00,0x01ed99df,0xf957bff3,0xbfffb09f,
    0x83dfff7d,0x2ffe402f,0xa817ff20,0xfff306ff,0x0fff9801,0x800fff88,
    0x0001fffd,0xfffb876c,0x21fec002,0x40001ff9,0x7ffd0000,0x9ff91fec,
    0x3a003fb8,0x0013fa06,0xfdb303fd,0xfd88017d,0x9102efff,0x3bee17df,
    0x7e400d81,0x2ffe405f,0x5c0bfee0,0x7fec03ff,0x003ff901,0x8807fff7,
    0xfd07ee01,0x3f6001ff,0x003ff303,0x20013fa0,0x22ffc1a8,0x0037c429,
    0x27f40fea,0x01fd40c4,0x01530000,0xc8000000,0x7fe405ff,0x206fd805,
    0xff300ffc,0x00ffe205,0x2017ffe6,0x107f302a,0xfb00bfff,0x01ff9807,
    0x007ffcc0,0x03ffc400,0x6c000fe4,0x3bfe620f,0x2f7ffe09,0x000003fd,
    0x00000000,0xc80bff90,0x5fd005ff,0xfd827ec0,0x2013f204,0x800efff8,
    0x205f882c,0x3603fffb,0x3ff3003f,0x005fe800,0x00dff100,0x2a200055,
    0x333332e1,0x2f377262,0x00000000,0x20000000,0x7e405ffd,0x0df1006f,
    0x3e607f44,0x401be205,0x9801fffd,0x400fd82f,0xfa81fffe,0x02fcc003,
    0x200000c0,0x000002eb,0x00000000,0x00000000,0x3ffe0000,0x03ffec06,
    0x7c405f30,0x3b203744,0xdfffb800,0xaaaaaaaa,0x3f621ffc,0x7fff401f,
    0x3000181f,0x00000001,0x00000000,0x00000000,0x00000000,0xffff5000,
    0x3fffe603,0x301aa002,0x8803ea1f,0xfff8801f,0xffffffff,0xf31fffff,
    0xf509ffff,0x3fffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0xf5000000,0x9dffffff,0x3fffffae,0x003003ef,0x11002211,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0xeeeeeee9,0xeeeeeeee,0x33eeeeee,0xffffffff,
    0xffffffff,0x209fffff,0x0cccc409,0x20266660,0x000bcdb8,0xdddd31a8,
    0x21dddddd,0xaaaaaaa8,0xaaaaaaaa,0x002aaaaa,0x00000000,0x00000000,
    0x64000000,0x1ff4c0ef,0xdd3077ae,0xdddddddd,0xdddddddd,0x3ba69fdd,
    0xeeeeeeee,0xeeeeeeee,0x0f983eee,0x807fff44,0xfa86fff9,0x02dfffff,
    0x7ffcc7a0,0x0fffffff,0xfffffff3,0xffffffff,0x01ffffff,0x00000000,
    0x00000000,0x20000000,0x7e43fff8,0x3fffea7f,0x7c000002,0x80000004,
    0xfff980ee,0x81dff902,0xeca9cef8,0x2600cfff,0xfffff30f,0x221fffff,
    0xaaaaaaaa,0xaaaaaaaa,0x0002aaaa,0x00000000,0x00000000,0x3e600000,
    0x7fff45ff,0x0bffff90,0x04f80000,0x7d400000,0x5ffa82ff,0xd903ffd0,
    0x77ffe4c0,0x989d710a,0x99999999,0x00000001,0x00000000,0x00000000,
    0x20000000,0x7f44fff9,0x3fffea7f,0x7c000007,0x40000004,0xf706ffc9,
    0x203ff30f,0xfeb8803e,0x00dfffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7e42fff8,0x7dcdcc7f,0x3e000001,0x00000004,0x17e40dfd,
    0x00680fee,0x03dedc98,0x00000000,0x00000000,0x00000000,0x00000000,
    0xf707ffa0,0x003e40df,0x9993e000,0x99999999,0x99999999,0xff880999,
    0x13a26c03,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xff303ff6,0x0002fc09,0x7fcd3e00,0xffffffff,0xffffffff,0x7ecc4fff,
    0x02448806,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0x3ff886fb,0x00001f50,0x55511a80,0x55555555,0x55555555,0x33ba2355,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0xfa800000,
    0xf703ff05,0x00000005,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x07f10000,0x1ee883f6,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x640be000,
    0x00001646,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0x0009500c,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__times_46_latin1_x[224]={ 0,4,2,0,2,1,1,1,1,0,2,0,2,1,
2,0,1,4,0,1,0,1,1,1,2,1,3,2,0,0,0,1,1,0,0,1,0,0,0,1,0,1,0,0,
0,0,-1,1,0,1,0,2,1,0,0,0,0,0,0,3,0,1,0,-1,2,1,-1,1,1,1,1,1,0,1,
-4,0,1,0,0,1,-1,1,0,2,0,0,0,0,0,0,0,5,3,3,0,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,4,2,1,0,0,
3,3,1,1,-1,1,0,1,1,-1,1,0,0,0,4,2,-1,2,3,2,0,1,2,2,0,1,0,0,0,0,
0,0,-1,1,0,0,0,0,1,1,1,1,0,-1,1,1,1,1,1,3,1,0,0,0,0,0,0,0,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,0,0,1,0,1,1,1,1,1,0,0,0,0,0,0,0,-1,0,
 };
static signed short stb__times_46_latin1_y[224]={ 37,8,8,8,7,8,8,8,8,8,8,12,32,26,
33,8,8,8,8,8,8,9,8,9,8,8,17,17,13,19,13,8,8,8,9,8,9,9,9,8,9,9,9,9,
9,9,9,8,9,8,9,8,9,9,9,9,9,9,9,8,8,8,8,44,8,17,8,17,8,17,8,17,8,8,
8,8,8,17,17,17,17,17,17,17,12,18,18,18,18,18,18,8,8,8,23,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,37,17,10,8,13,9,
8,8,9,8,8,18,19,26,8,5,8,12,8,8,8,18,9,20,36,8,8,18,8,8,8,17,0,0,0,2,
2,2,9,8,0,0,0,2,0,0,0,2,9,2,0,0,0,2,2,14,8,0,0,0,2,0,9,8,8,8,
8,9,9,8,17,17,8,8,8,9,8,8,8,9,8,9,8,8,8,9,9,15,17,8,8,8,9,8,8,9,
 };
static unsigned short stb__times_46_latin1_w[224]={ 0,6,13,21,17,33,31,5,12,13,16,23,7,12,
6,12,19,12,20,17,20,18,19,18,17,18,6,7,23,23,23,16,37,30,26,26,29,25,22,29,30,12,16,31,
25,37,31,28,22,28,29,19,24,30,30,39,30,30,25,10,12,10,19,23,8,18,21,17,20,17,18,20,21,10,
13,22,10,33,21,19,21,20,15,13,12,21,21,30,21,21,18,13,2,12,23,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,0,6,17,19,21,21,
2,15,12,30,13,19,23,12,30,23,14,23,12,11,8,21,20,6,8,8,13,19,29,29,31,16,30,30,30,30,
30,30,37,26,25,25,25,25,12,12,12,12,29,31,28,28,28,28,28,17,28,30,30,30,30,30,22,20,18,18,
18,18,18,18,26,17,17,17,17,17,10,10,12,12,19,21,19,19,19,19,19,23,20,21,21,21,21,21,21,21,
 };
static unsigned short stb__times_46_latin1_h[224]={ 0,30,13,30,34,31,30,13,38,38,17,23,12,4,
5,30,30,29,29,30,29,29,30,29,30,30,21,27,21,9,21,30,38,29,28,30,28,28,28,30,28,28,29,28,
28,28,29,30,28,38,28,30,28,29,29,29,28,28,28,38,30,38,16,2,8,21,30,21,30,21,29,29,29,29,
38,29,29,20,20,21,29,29,20,21,26,20,20,20,19,28,19,38,38,38,6,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,0,29,35,30,20,28,
38,38,6,30,14,20,9,4,30,3,14,23,16,16,8,28,37,6,9,16,14,20,31,31,31,29,37,37,37,35,
35,35,28,37,37,37,37,35,37,37,37,35,28,36,38,38,38,36,36,18,30,38,38,38,36,37,28,30,30,30,
30,29,29,30,21,28,30,30,30,29,29,29,29,28,30,28,30,30,30,29,29,17,22,30,30,30,29,38,38,37,
 };
static unsigned short stb__times_46_latin1_s[224]={ 255,248,1,63,230,1,28,247,1,58,146,
135,15,122,249,220,109,242,221,221,121,1,40,142,203,21,249,246,48,47,72,
239,49,69,136,1,76,61,54,91,1,214,32,77,109,157,182,60,31,20,106,
1,87,1,20,142,220,189,163,221,233,232,163,135,80,236,129,204,151,222,49,
180,158,201,87,135,111,165,1,28,89,68,149,240,240,96,199,118,82,39,63,
101,115,243,98,112,112,112,112,112,112,112,112,112,112,112,112,112,112,112,112,
112,112,112,112,112,112,112,112,112,112,112,112,112,112,112,112,112,255,248,212,
89,221,32,17,1,236,60,233,23,23,122,172,135,218,159,243,192,89,135,85,
249,71,183,204,43,65,35,95,212,180,211,1,93,155,124,1,32,59,180,106,
186,242,132,145,235,1,1,72,101,130,206,33,104,127,159,190,118,62,149,195,
85,106,179,156,183,202,237,1,218,125,143,161,51,100,111,122,227,1,54,217,
175,21,122,229,122,183,198,41,195,161,36,14,158, };
static unsigned short stb__times_46_latin1_t[224]={ 40,79,469,186,117,154,217,448,1,1,448,
397,469,469,361,186,217,248,248,217,248,279,248,248,217,248,279,186,426,469,426,
217,40,279,368,217,368,397,339,248,339,309,309,339,339,339,309,217,368,40,368,
248,397,309,279,309,368,368,368,1,186,1,448,421,469,339,217,397,217,397,309,
279,279,279,40,279,309,426,448,426,309,309,426,397,309,426,426,426,448,397,448,
40,40,1,469,397,397,397,397,397,397,397,397,397,397,397,397,397,397,397,397,
397,397,397,397,397,397,397,397,397,397,397,397,397,397,397,397,397,40,117,117,
217,426,339,40,40,361,248,448,448,469,469,217,469,448,397,426,448,469,339,79,
301,469,448,448,448,154,154,154,279,40,40,79,117,117,117,397,79,79,79,79,
117,40,79,79,79,368,117,1,1,1,79,117,448,154,1,1,40,117,40,339,
186,186,186,154,248,248,154,426,339,186,186,186,279,279,279,279,309,186,368,154,
154,186,309,279,448,397,186,186,154,248,1,1,79, };
static unsigned short stb__times_46_latin1_a[224]={ 166,221,271,332,332,554,517,120,
221,221,332,375,166,221,166,185,332,332,332,332,332,332,332,332,
332,332,185,185,375,375,375,295,612,480,443,443,480,406,370,480,
480,221,259,480,406,591,480,480,370,480,443,370,406,480,480,627,
480,480,406,221,185,221,312,332,221,295,332,295,332,295,221,332,
332,185,185,332,185,517,332,332,332,332,221,259,185,332,332,480,
332,332,295,319,133,319,360,517,517,517,517,517,517,517,517,517,
517,517,517,517,517,517,517,517,517,517,517,517,517,517,517,517,
517,517,517,517,517,517,517,517,166,221,332,332,332,332,133,332,
221,505,183,332,375,221,505,332,266,365,199,199,221,383,301,166,
221,199,206,332,498,498,498,295,480,480,480,480,480,480,591,443,
406,406,406,406,221,221,221,221,480,480,480,480,480,480,480,375,
480,480,480,480,480,480,370,332,295,295,295,295,295,295,443,295,
295,295,295,295,185,185,185,185,332,332,332,332,332,332,332,365,
332,332,332,332,332,332,332,332, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_46_latin1_BITMAP_HEIGHT or STB_FONT_times_46_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_46_latin1(stb_fontchar font[STB_FONT_times_46_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_times_46_latin1_BITMAP_HEIGHT][STB_FONT_times_46_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_46_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_46_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_46_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_46_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_46_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_46_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_46_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__times_46_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__times_46_latin1_s[i] + stb__times_46_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__times_46_latin1_t[i] + stb__times_46_latin1_h[i]) * recip_height;
            font[i].x0 = stb__times_46_latin1_x[i];
            font[i].y0 = stb__times_46_latin1_y[i];
            font[i].x1 = stb__times_46_latin1_x[i] + stb__times_46_latin1_w[i];
            font[i].y1 = stb__times_46_latin1_y[i] + stb__times_46_latin1_h[i];
            font[i].advance_int = (stb__times_46_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__times_46_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_46_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_46_latin1_s[i] + stb__times_46_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_46_latin1_t[i] + stb__times_46_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_46_latin1_x[i] - 0.5f;
            font[i].y0f = stb__times_46_latin1_y[i] - 0.5f;
            font[i].x1f = stb__times_46_latin1_x[i] + stb__times_46_latin1_w[i] + 0.5f;
            font[i].y1f = stb__times_46_latin1_y[i] + stb__times_46_latin1_h[i] + 0.5f;
            font[i].advance = stb__times_46_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_46_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_46_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_46_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_46_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_46_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_46_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_46_latin1_LINE_SPACING
#endif

