// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_29_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_29_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_29_latin1_BITMAP_WIDTH         256
#define STB_FONT_times_bold_29_latin1_BITMAP_HEIGHT        224
#define STB_FONT_times_bold_29_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_times_bold_29_latin1_FIRST_CHAR            32
#define STB_FONT_times_bold_29_latin1_NUM_CHARS            224

#define STB_FONT_times_bold_29_latin1_LINE_SPACING          19

static unsigned int stb__times_bold_29_latin1_pixels[]={
    0x00666200,0x00266200,0x0004ccc0,0x00013300,0x0000ccc4,0x00026620,
    0x00144151,0xdd317ffa,0x980005dd,0x04c29801,0x80bcc980,0x8000154d,
    0x01bdcba8,0xd8066620,0x0bffe004,0x3fff1000,0x1ffea000,0x7ffe4000,
    0xffd10000,0x3e200005,0x7f4005ff,0x200bff16,0xff505ff8,0x3620007f,
    0x7fff4404,0xfc800eac,0xafc6fa9b,0xd98003e8,0xba989acf,0x7ffcc03d,
    0x2a00bf01,0xb80002ff,0x5c0002ff,0x4c0001ff,0x0004ffff,0x00017fa2,
    0x00ffffe4,0xf98fff88,0x1df7006f,0x00fffe20,0x2e013a20,0x05ffffff,
    0x1ff44f98,0x2005e8bf,0x1d7002ec,0xf827fcc0,0x007f9005,0x000bf600,
    0x00027dc0,0x03fe73f6,0x00fe8800,0x5cffc400,0x8b6a005f,0x1db001dc,
    0x003fff80,0x6c007f44,0x01dfeb88,0x37f43fd8,0x404fa8bf,0x4c000de8,
    0xf837cc06,0x0007f005,0x0000be20,0x54000f70,0x0017a23f,0x80005f10,
    0x007ea0ed,0x00c80000,0x4003fff8,0x001004fd,0x2a0eff80,0x3fa17e2e,
    0x000bd103,0x07e6025c,0x000c017e,0x00000200,0x0370000c,0x11000091,
    0x40644000,0x00000039,0x23fff800,0x03fe6009,0x9abba980,0x0effd800,
    0x1fee17e0,0x0130076c,0xf8088058,0x55dd4c05,0x55544009,0x261aaaaa,
    0x510aaaaa,0x35555555,0x0555554c,0x26aeea60,0x77530000,0xaa880135,
    0x21aaaaaa,0x90aaaaa9,0x225dffff,0xfff94ffd,0x3ff625df,0x7d5fffc4,
    0x7fd81dff,0x57bff500,0x44019ff9,0xbf02ffff,0xfa87ff30,0xd1bfd301,
    0x5305c1fd,0x35555555,0x6ffd417e,0x00cffcab,0x9ffffb31,0x77f54413,
    0xfffb3109,0x7544139f,0xff5009ef,0x19ff957b,0x2f7fea00,0x100cffca,
    0x39ffffb3,0x4f7f5441,0x20ffff20,0x1fffe44e,0x77ffc274,0x4c6ffdad,
    0x7ec405ff,0x2fff884f,0x13fffea0,0x237fc17e,0x11ff505d,0x2298bffd,
    0xdffffc98,0xfd88bf09,0x2fff884f,0x03fffe60,0xff301f98,0x0fcc01ff,
    0x884ffd88,0x36202fff,0xfff884ff,0x3fffe602,0x2207e600,0x40f86fff,
    0x0f86fff8,0x7f46fff8,0x013fee4f,0x7d40bffb,0xfd9d01ff,0x82fc1bff,
    0x05f11ffe,0x7ffc5ff3,0x7fc42443,0x362fc1ff,0x3fea05ff,0xffff101f,
    0x3e207880,0x03c407ff,0x7d40bffb,0xbffb01ff,0x80fffd40,0x4407fff8,
    0x87fff207,0x3fff9059,0x3fff82cc,0xff93ffe4,0x17ffdc09,0x361bffa0,
    0xc9bfff26,0x2e5ffd02,0x226ff887,0x82441fff,0x2fc0ffff,0xe805fff7,
    0xfff106ff,0x7c40f00f,0x707807ff,0xfe805fff,0x2fffb86f,0x8837ff40,
    0x07807fff,0x2c93ffe2,0x649fff10,0xb87fff02,0x7ffb0fff,0x03fffe20,
    0x549fff90,0x0fffd43f,0x6c9fff40,0x3ea3ffb8,0xff02986f,0xf15f81ff,
    0xfc801fff,0xfff884ff,0x3e207807,0x887807ff,0x6400ffff,0x3fe24fff,
    0x7fe400ff,0x7fff884f,0x7fec0780,0xffd80d0f,0x7ffc0d0f,0xe97ffd43,
    0xfff703ff,0xffff500d,0x7fd42fe4,0xb4ffd804,0x641fff0b,0xf00b84ff,
    0x75f81fff,0xf500dfff,0xfff10fff,0x7c40f00f,0xb87807ff,0xfa806fff,
    0x3ffee7ff,0x7fffa806,0x807fff88,0x5fffcc07,0x7ffcc04a,0x3ffe04ab,
    0xe97ffd43,0xfff903ff,0xffff300b,0x2e0fff21,0x4ffd806f,0x26ffa89b,
    0x0482fff8,0xbf03fffe,0x2017fff2,0x440ffff9,0x07807fff,0x201fffe2,
    0x05fffc87,0x90ffff98,0xf300bfff,0xff881fff,0xe807807f,0xe800deff,
    0x3e00deff,0x7ffd43ff,0x3a07ffb0,0xf9805fff,0xfff31fff,0xe803f987,
    0xfb8993ff,0x21fff24f,0x3fffe049,0xfffeafc0,0xffff9805,0x03fffc41,
    0xffff103c,0xfffd0f00,0xffff300b,0x017fffa3,0x107fffe6,0x0f00ffff,
    0x00bfff50,0xf017ffea,0x7ffb87ff,0x7fc13ff2,0xff9804ff,0x3fff62ff,
    0x0b21d90d,0x45b97ff4,0xffb54ffd,0x3e00d88b,0xfafc0fff,0xf9804fff,
    0x7fc42fff,0x2207807f,0x87807fff,0x9804ffff,0xfff2ffff,0xfff3009f,
    0x7fff885f,0xffd00780,0x17ff4005,0xfb13ffe0,0x82ffd49f,0x9805fffd,
    0x7e41ffff,0x3e0ebfff,0x261fff05,0x6df7fec7,0x10644ffb,0xf81ffff0,
    0x00bfffb5,0x883ffff3,0x07807fff,0x201fffe2,0x05fffd87,0xb1ffff98,
    0xf300bfff,0xff883fff,0x7007807f,0x7fb800ff,0x8bffff80,0x7fc0effa,
    0x0dfff906,0x01ffff70,0xf87ffff7,0x225ff885,0x3bffea0f,0x3b55ff98,
    0x7fffc1d4,0xfffcafc0,0xffffb806,0x03fffc40,0xfff881e2,0x7e43c407,
    0xffb806ff,0xdfff90ff,0x1ffff700,0x407fff88,0x09f10078,0xf804f880,
    0xdfffcbff,0xf507fb81,0xff900fff,0x7ffcc0df,0x3e617e1f,0xf912641f,
    0x16775c1b,0x0ffff82c,0x7fffaafc,0x86fffc80,0x4407fff8,0x1fffe207,
    0xfff50f10,0xdfff900f,0x403fffd4,0xf886fffc,0x03c407ff,0x3b0003b0,
    0x227fff00,0x0bfe2009,0x2007fff4,0x4402fffd,0x217e5ffe,0x003d06fc,
    0x3fe03700,0xfd2fc0ff,0xffd801ff,0x1fffd02f,0x3fa034c0,0x41a600ff,
    0x6c00fffe,0x7ff42fff,0x7ffec00f,0x01fffd02,0x00b0034c,0x7ffc0160,
    0x837d4003,0x2204fffa,0x4e986fff,0x88bf3fec,0x00d301ff,0x3fe04a80,
    0xf52fc0ff,0x7fc409ff,0x3fff606f,0xfb012e00,0x825c01ff,0x2204fffa,
    0xffa86fff,0x3ffe204f,0x03fff606,0x25fb04b8,0x72fd802b,0x0fffe005,
    0x6407ee00,0x3ff607ff,0x20ffc80e,0xf717e6fa,0x000db803,0x7ffc03b8,
    0x3f22fc0f,0x3bff607f,0x13ffee00,0x3ee0074c,0x01d304ff,0xfb03ffe4,
    0x3ff201df,0x03bff607,0x304fffb8,0x2bff101d,0xd5ff8806,0x0fffe200,
    0xa80f5c00,0x7fd40dff,0xf71fea05,0x05f52fc9,0x4c00fa60,0x7ffc403d,
    0x7d42fc0f,0x2ffd40df,0x0bfffb80,0x2e003d51,0xd510bfff,0x1bff5003,
    0xa805ffa8,0x7fd40dff,0x7fff7005,0xe807aa21,0xfd001eff,0x3ea003df,
    0x260005ff,0xbfdb101d,0xb007bff9,0xf89f957f,0x70001955,0x7531359d,
    0xff30017b,0x105f83ff,0xbff9bfdb,0xffea8007,0x4002efff,0xefffffea,
    0x3fb62002,0x003dffcd,0x3f37fb62,0x754003df,0x02efffff,0x22001dc4,
    0x3326003b,0x0000cccc,0x000a9800,0xc81bca88,0x26200002,0x3001abcb,
    0x9fffffd9,0x54c00b23,0xa9880000,0x4c400009,0x9800009a,0x5300000a,
    0x53100001,0x00000013,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x31000000,0x55555553,0x04ccc401,0x2a04c000,0x0164c000,
    0x90066620,0x4cc00037,0x26660001,0x0032e200,0x001882a6,0x88001331,
    0x33300019,0x41980001,0x3300000a,0xaaaa8013,0x45555512,0xccffffd9,
    0xfd801cfe,0x7dc0004f,0x400ffb1f,0x2001fff8,0x5c404ffe,0xffa8005f,
    0xff88001f,0x01bf701f,0xb5bfffb0,0x1bff6005,0x04fff880,0x007ffa80,
    0x7e4bfea0,0x7cc0001f,0x7dcc01ff,0x15fff37f,0x3fffffea,0xfd800d70,
    0x7fec0007,0x2003fff2,0x1002fff9,0x7ec009ff,0x3ffe2005,0xffb8006f,
    0x200ff501,0x7ffffff9,0x7ffff500,0x3ffff200,0x1ffb8000,0x29ff7000,
    0x40002ffd,0x3a001ffc,0x449ff37f,0x0fffffff,0x3fb000b7,0x86f4c000,
    0x7ec004ea,0x013ee005,0x2001ff50,0x02fe9dfc,0xfd017f40,0x2e26e00b,
    0xfd002efd,0xf300ff57,0x0009f93f,0x440013ee,0x009d30dd,0x8003fd00,
    0x49ff37fe,0xfffffffc,0xd1000b70,0x00000009,0x17a00040,0x00bfee00,
    0x00db13e2,0x3fe017c4,0x80001006,0x00fe61fb,0x00fdc1db,0x00007c80,
    0x1f980000,0xf37fe800,0x7ffff49f,0x00b70fff,0x30000220,0x00135775,
    0x00030000,0x2a007ff2,0x22001702,0x987fe800,0x101aaaaa,0x64155555,
    0x0e204880,0x03000154,0x55555510,0x5554c355,0x011000aa,0x7cdffa00,
    0x3ffffe4f,0x00b70fff,0xfa8000a0,0xcffcabdf,0x7fff5400,0x2000a002,
    0x28000ffe,0x2aaaa600,0x7ec1aaaa,0x7ffd440f,0xfeb881ff,0x2aaaa62e,
    0x5531aaaa,0x55555555,0xaa985555,0xaaaaaaaa,0x6cc42aaa,0x209cffff,
    0x509efea8,0x35555555,0x03555530,0x93fe6ffd,0xfffffffd,0xf1000b70,
    0xffd88001,0x02fff884,0x8017ffd4,0x7fc000f8,0x00f88007,0xffff9310,
    0x1ffb813b,0x1dffff30,0x93107e60,0x213bffff,0xcffffc98,0x47ffeedc,
    0xcffffc98,0x07ffeedc,0x401ffff3,0x7fe4c1f9,0xa8809fff,0x7fe80cff,
    0x7fdc9ff3,0xb70fffff,0x009f7000,0x2a05ffd8,0x3e601fff,0x9f7002ff,
    0x006fd800,0x44004fb8,0xf701ffff,0x7fffc01f,0x4403e05f,0xf101ffff,
    0xff701fff,0x03fffe20,0x7fc41fee,0xb03c407f,0xe801ffff,0x7cdffa04,
    0x3fffe64f,0x00b70fff,0x2001fff0,0x7402fffb,0x3fe606ff,0x1fff002f,
    0x003fcc00,0x20007ffc,0xfb00ffff,0xfffde809,0xff80f04f,0x3ffe00ff,
    0x7c0f500f,0x0f500fff,0x201fffe2,0x3fffe207,0xfd01a603,0xf513fe6f,
    0x2e1fffff,0x7ffdc005,0xffff8803,0x27ffe400,0x802fff98,0x4003fffb,
    0x3ee004fa,0x7fc003ff,0x05fa80ff,0x5ffffd68,0xffff80f0,0x83fffe00,
    0xfff81e08,0x1078220f,0x0f00ffff,0x00ffffb8,0x37fe805d,0xffd309ff,
    0x0016e1ff,0x700dfffd,0xf500dfff,0x3fe60fff,0xfffe802f,0x0fb88006,
    0x06fffe80,0x207fffc0,0x22d001dd,0x3c0fffff,0x803fffe0,0x86e0ffff,
    0x83fffe03,0x7fc40e1b,0xf807807f,0x05a84fff,0x9ff37fe8,0xb70fb980,
    0x7ffed400,0x7ffe402f,0xffff9805,0x02fff980,0x17fffed4,0x2013ae00,
    0x02ffffda,0x503fffe0,0x4cd0039d,0x1e0effff,0x401ffff0,0x0760ffff,
    0xb07fffc0,0xffff1003,0xff500f00,0x007441ff,0x4ff9bff4,0x0b70f880,
    0x7ffdcec0,0x2ffff406,0x0ffffcc0,0x2017ffcc,0x06fffb9d,0x6c007f60,
    0x006fffb9,0x7403fffe,0x3ee3401f,0xf01e5fff,0x7fc01fff,0x003f10ff,
    0x7c43fffe,0x7fff8801,0xffd00780,0xe801e49f,0x009ff37f,0x4016e1f1,
    0x3ffff169,0x027fffc0,0x417fffcc,0x2602fff9,0x03ffff16,0x2600df70,
    0x03ffff16,0x403fffe0,0x643406fb,0x80f3ffff,0x3e00ffff,0x1ffdafff,
    0xb5ffff00,0xff1003ff,0x200f00ff,0x699ffffa,0x7cdffa00,0x70f8804f,
    0xfd8b200b,0x3ff605ff,0xfff9805f,0x2fff981f,0xfffd8b20,0x006fe805,
    0x2fffec59,0x00ffff80,0x83403ff7,0x079ffffe,0xf007fffc,0x3fffdfff,
    0x3bfffe00,0xf8801fff,0x007807ff,0x0bb7fff6,0xff37fe80,0x2e1f1009,
    0x7cc68805,0xff900fff,0xfff700df,0x5fff301f,0xfff31a20,0x07fe801f,
    0x7ffcc688,0xffff800f,0x403ff900,0xffffd106,0x0ffff80f,0x5c3fffe0,
    0xffff001f,0x22007ee1,0x3c407fff,0xbffff300,0xf37fe800,0x21f1009f,
    0xe83b805b,0xff504fff,0xfff900ff,0x0bffe60d,0x7fff41dc,0x007fec04,
    0x3fffa0ee,0x0ffff804,0x3401ffb0,0x0fffff30,0x200ffff8,0x0760ffff,
    0xb07fffc0,0xffff1003,0x6c007880,0x74003fff,0x009ff37f,0x2016e1f1,
    0xfeeeeeef,0xffd00fff,0xfffd801f,0x05fff302,0x3bbbbbbe,0x3200ffff,
    0x777c01ff,0xffffeeee,0x07fffc00,0x03407ff8,0xf01fffea,0x7fc01fff,
    0x1106e0ff,0x5c1ffff0,0x7ff40441,0x001a600f,0x8007fff9,0x09ff37fe,
    0x016e1f10,0x7fff4097,0x09fff503,0x1037ffc4,0x09703fff,0x701ffff4,
    0x025c05ff,0xf807fffd,0xdff00fff,0xffc80680,0x07fffc07,0x4c1ffff0,
    0x7ffc0641,0x0190660f,0x5c01fffb,0x7ffe4004,0x9bff4003,0x0f8804ff,
    0x200e80b7,0x3206fffb,0x3ff607ff,0x7c4f4c0e,0x200e80ff,0x2e06fffb,
    0x7007407f,0xff80dfff,0x0dfb00ff,0x7fd803cc,0x007fffc0,0x4401ffff,
    0x01ffff07,0xfffb83c4,0x8001d304,0x4003fffc,0x09ff37fe,0x816e1f10,
    0x7ffc406b,0x37fea02f,0xc82ffd40,0xd70bff4f,0x2ffff880,0x35c05fd0,
    0x0bfffe20,0x807fffc4,0x5f701fe8,0x440fd100,0xf100ffff,0x3a203fff,
    0x1ffff886,0x7dc0dd10,0x3d510bff,0x9fffb000,0xf37ff800,0x21f100bf,
    0x00df105b,0x401dfffb,0xffcdfed8,0x2bbe603d,0x037c40ff,0x5077ffec,
    0x37c405dd,0x077ffec0,0x00ffffcc,0x3aa19fb1,0x4c01dfff,0x3fffe607,
    0x7ffff301,0x985ffb98,0x5cc3ffff,0x7f5405ff,0x002effff,0x009fffd0,
    0x26bddb91,0x6402ceee,0xfff70730,0xfff9507b,0x26005dff,0x32e2000a,
    0x3dfffb82,0xfffffca8,0xfb80112e,0xfca83dff,0x932effff,0x39fffffd,
    0x30000180,0xffffd930,0x3fb2639f,0xffffffff,0x3b264fff,0xffffffff,
    0x1004ffff,0x10001353,0x9fffffb7,0x00000017,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80002666,0x18851000,0x6e54c400,0x415000ab,0x214400a8,0x41980018,
    0x0000000a,0x2af2e600,0x00000a20,0x4000ccc0,0x00c00099,0x44007620,
    0x072a0099,0x7fdc0051,0x0d10000e,0xb59fffb0,0x6ffd4005,0x00dffcab,
    0x37f43ff6,0x7fcd7fe0,0x4bfea003,0x10001ffc,0x300019f9,0xfd7bfffb,
    0x73007b9d,0x02c8159b,0x4005fff3,0x9800fffc,0x75402ede,0x201beefe,
    0xff505ffe,0x01bfe61f,0x000077f4,0xfff98077,0xb1007fff,0xfff109ff,
    0x227ffa05,0x3fe607ff,0x400bff57,0x5ffb4ffb,0x2a2f2000,0x7ffcc006,
    0x03ffb882,0xfb57bfd5,0x740b719f,0xf1006fff,0x1d009fff,0xd3fc81a2,
    0xf709fd33,0xffb03fff,0x07fff27f,0x0001df10,0x455c00e8,0xb002efdb,
    0x7fcc0dff,0x2e4ea81f,0x8976402e,0x362001ed,0x0009d30d,0x4c003a3c,
    0x7d403fff,0x883ffb83,0xf500efff,0xb007fb3d,0x801ff39f,0x37cc0746,
    0xf113e23d,0xf90df75f,0x3ffea5ff,0x00075c00,0x00201660,0x05fff700,
    0x0006ffe8,0x00000000,0x688ec000,0x0bfff300,0xdff70f60,0x80fffdc0,
    0x3007e45f,0x202f447f,0xf905b8bc,0xc8970f4f,0xf70bea1e,0x00e541ff,
    0x31000044,0x00500039,0x007fffc4,0xa993fff2,0x1aaaaaaa,0x55555553,
    0x05555555,0x20000500,0xd002ede9,0x2a003fff,0x80fffee3,0x3986fff8,
    0x40dc0370,0x3b2200c8,0x2bffd00c,0x0c88e21e,0x3ffcc398,0x2aaaaa60,
    0xaaaaaaaa,0x3ff7ee02,0x03e2000d,0x037ffdc0,0x313fffd4,0x13bffff9,
    0x3ffff262,0x7ffeedcc,0x0007c400,0x1001f880,0x4001ffff,0x881fffe0,
    0x204fffee,0x00000098,0x7dc01310,0x2001feff,0x17fe0098,0xfffc9886,
    0xffeedccf,0x3eebf907,0x13ee006f,0x02fffe40,0x207fffcc,0x101ffff8,
    0xf701ffff,0x04fb800f,0x009f7000,0x001fffea,0xb03fffcc,0x70dfff57,
    0x107dfdbf,0x3a69fffd,0xdfb82fff,0xff883efe,0xe9804fff,0x7fd04fce,
    0xffff10d0,0xf30ff701,0x03fff65f,0x4007ffc0,0x9805fffe,0xff81ffff,
    0x3ffe00ff,0x800f500f,0x80000fff,0xfc800fff,0xf70005ff,0x4d360dff,
    0x3f60ffff,0x220fff61,0x3fea4fff,0xfb0fec2f,0xffff507f,0x3fea01df,
    0x3f90bf90,0xffff0798,0x3fa1ea01,0x07fcd89f,0x007fff70,0x1009ffff,
    0xff05ffff,0x7ffc01ff,0x0078220f,0x000fffee,0x007fff70,0x000bfffd,
    0x3217fff6,0x47fffe65,0x3ff24ff9,0x449fff07,0x3fe62fff,0x4c1fff24,
    0x82fffffe,0x07fea6ff,0x80fa81f5,0x8220ffff,0x5c7ffc47,0x7ff40032,
    0xfffd806f,0xffff9805,0x00ffff81,0x1b83fffe,0xfffe800e,0x7ff40006,
    0xfffd806f,0xfffd0006,0x7fcc6a8b,0x4dff52ff,0xffd07ffb,0x517ffc49,
    0x3ffdcdff,0xfffffb10,0xf327fdc3,0xfb87989f,0x20ffff82,0xfff30e1b,
    0xfb5000d3,0xfc805fff,0xffa806ff,0xffff80ff,0x83fffe00,0xfda8001d,
    0x50002fff,0x805ffffb,0x0007fffb,0x74cbfffb,0x07fffcc0,0x3ff623b7,
    0x449ffd07,0x8edc2fff,0xe807ffd8,0x3f64ffff,0x6ffa99bf,0xf84fd858,
    0x80760fff,0x004cfff9,0x6fffb9d8,0x03fffd40,0xf837ffdc,0x3fe00fff,
    0x003f10ff,0xdfff73b0,0x3ee76000,0x7fcc06ff,0xfb8000ff,0x503d36ff,
    0x3220dfff,0xfd07ffdf,0x17ffc49f,0x7ffdfc88,0x7fffae80,0x33337ffa,
    0xff8184cc,0x10ffff86,0x7ffc403f,0x8b4c001f,0x7401ffff,0x7e400fff,
    0xffff02ff,0x57fffc01,0x4c001ffd,0x03ffff16,0xfff16980,0xffff803f,
    0xfffa8002,0xff701e8f,0x71df509f,0x3ffa0fff,0x20bffe24,0x7ffb8efa,
    0x7fc4f41c,0x009ffd1f,0x7c3ffcc0,0x1ffdafff,0x007fff40,0xfffd8b20,
    0x27ffd405,0x40bfff10,0x3e00ffff,0x1fffefff,0xffb16400,0x22c800bf,
    0x5405fffd,0x15006fff,0x0177fff4,0xfc85fffb,0x20fff70f,0x3fe24ffe,
    0xb87fe42f,0x3a0e47ff,0x7fe4ffb1,0x5c5b7005,0x7ffc1fff,0x401fffef,
    0x2e0efffb,0xff98d102,0x7fe400ff,0x03bfee07,0x200ffff8,0x3f70ffff,
    0x3e634400,0xd1000fff,0x00ffff98,0x2027ffd4,0x3ffe60eb,0x1bffe204,
    0x7fdcbff3,0x44bffd07,0x3fe62fff,0xb91ffee5,0x54bfd1e8,0x2a181fff,
    0xfff90fff,0x70ffff85,0xfffb003f,0x1dc07dbf,0x4027fff4,0x7d40dffb,
    0x7ffc00ef,0x3fffe00f,0x3b800760,0x004fffe8,0x9fffd077,0x59fff500,
    0x20376a21,0xfb00fffb,0xfffc81ff,0x80fffd98,0x3ff25ffd,0x23fff23f,
    0x320fffd9,0x3fe67a4f,0x87bffe20,0x4bfff22a,0x7fc2fffd,0x200760ff,
    0x03effff9,0x7777777c,0x8800ffff,0xdfecdffc,0x1ffff002,0x707fffc0,
    0xddf00883,0xffffdddd,0xddddf001,0x01ffffdd,0xdfffb730,0x7f5c07df,
    0x6ffd40ef,0xeffffb80,0x5c2cfffc,0xffdcbfff,0x3fffee4f,0x52cfffce,
    0x9fdfbffb,0xbffff901,0x26ff889b,0x7fc0fffa,0x1106e0ff,0x700132c8,
    0x1ffff409,0x17fff600,0x01ffff00,0x3307fffc,0x204b80c8,0x5c03fffe,
    0x0ffffa04,0x20076a00,0x9bff916a,0x6c4059df,0x0fff64ff,0x7c67ffec,
    0xffb13fff,0x441ffec9,0xfb802f99,0x20604fff,0xffff81c9,0x68190660,
    0x2e00e800,0x4c006fff,0x2003ffff,0x3e00ffff,0x1e200fff,0xfff70074,
    0x2e00e80d,0xe8006fff,0x880d803f,0x804000a9,0x40018800,0x07600100,
    0x00001980,0x200ffff8,0x20025478,0x7ffc406b,0x7fd4002f,0xff8802ff,
    0xfff100ff,0x21ba203f,0x7ffc406b,0x880d702f,0x4002ffff,0x000007fa,
    0x00000000,0x00000000,0x3e200000,0xdd101fff,0x3e2000d8,0xefffd806,
    0x7fecc000,0xf981bdff,0xff301fff,0xffb987ff,0x6c037c45,0x7c40efff,
    0xefffd806,0x017ea000,0x00000000,0x00000000,0x00000000,0x43ffff98,
    0x0245ffb9,0x07bfff70,0xdfffff95,0x33260005,0x3fb260ab,0x931cffff,
    0xfffffffd,0x5c9fffff,0xca83dfff,0x72efffff,0x9507bfff,0x05dfffff,
    0x000cdd98,0x00000000,0x00000000,0x80000000,0xfffffec9,0x4fffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x03330000,0x01dff900,0x9001e654,
    0x3ffe600b,0x20e44001,0x372a203b,0xffd100bc,0xdff90009,0x5105cc01,
    0x20350a60,0x2003fff8,0xa802a21a,0x98802a21,0x98033001,0x077001bb,
    0xc8800b88,0x3ffe6002,0x077f4002,0x1df37fb0,0x2001fa80,0x5c004ffa,
    0xfa827c1f,0x01ffeaaf,0xd000ffd1,0x7fec01df,0xf983dbef,0x205ff74f,
    0xf7006ff9,0x203ff63f,0x0ffd1ffc,0x7013ffe2,0x3fae09ff,0x17d400ff,
    0x801ffda8,0x3fa000fd,0x3e6006ff,0x43fee00f,0x13e205ff,0x001fea00,
    0xa83f98f9,0x17fe65ff,0x2001fe88,0x3e200ff9,0x80ffffff,0x7ff95ffa,
    0x4007fcc0,0x3ffd2ffd,0x3fe5ffb0,0xffffd80f,0x21fffe00,0x405ff138,
    0x3e6204f8,0x017d401f,0x7fb3df50,0xf007f200,0x807ff4ff,0x3ea0006d,
    0xf51ba001,0x449ff903,0x3e201fff,0x007f2004,0x0b7b2a57,0x19b11dc8,
    0x8803f980,0x207b50cd,0x20f6a4d9,0x04fc9ef9,0xf1017ff6,0x400fd80b,
    0x3e201ff9,0x917e2005,0x1006e00f,0x17ff4fff,0x20000fd4,0x913e002a,
    0x87ffd01f,0x1cc02fff,0x00003700,0x1cc00000,0x80000000,0x403ee0ee,
    0x3aa00bb8,0x05f500ef,0x6c03ff30,0x40e6000f,0x4018801b,0x3ffa7ff8,
    0x00027c42,0x7d4cc400,0x09ee999b,0xff11fffc,0x0009880f,0x98800262,
    0x00262000,0x00000988,0x71009880,0x30000aa0,0xbf10bff9,0x407fe600,
    0x220002fa,0x37fa6001,0x1fff02de,0x1db03ffa,0x3fffa200,0x45fffd34,
    0xfffffffb,0x7fc4ffff,0x40bbee3f,0x03efedfb,0x0fbfb7ee,0x3efedfb8,
    0x3bfb7ee0,0x3f3ba603,0x4fffe884,0x305fffd3,0x0009f9dd,0xf7000880,
    0x2001fb0d,0x5f881ff9,0xdbfd3000,0x97fd405b,0xffb82ff8,0x1fa89ff0,
    0x27ffc400,0x64c5fff5,0xfdcccfec,0x9fffc2cd,0x3fb01efc,0x7ec1ffec,
    0x360fff61,0x20fff61f,0x0fff61fd,0x2fe43fea,0xf527ffc4,0x0ffa85ff,
    0xffd30bf9,0x4055007f,0x5f50fe20,0x40ffcc00,0xfa8000fd,0x105ff12f,
    0x1ffe8fff,0x0dfaceb8,0x7c0013e2,0x3ffe24ff,0x1fa8dd02,0x7cc7fff0,
    0x927fcc5f,0x4ff98fff,0xff31fff2,0x263ffe49,0x1fff24ff,0x1ffa9bfe,
    0x3e24fff8,0x537fc2ff,0xfff303ff,0x36039007,0x7c46a9cf,0x17fd4005,
    0x22000bea,0x0fff47ff,0xffb1bff2,0x6c0dd409,0x00ddcc0e,0x7fc49ffd,
    0x644f882f,0x90fffe07,0x37fd47ff,0xffa8fff7,0xf51ffee6,0x23ffdcdf,
    0x3fee6ffa,0xf327fdc7,0x49ffd09f,0x3ee2fff8,0x413fe64f,0x36403fff,
    0xb0179710,0xb819101f,0xbf12cccc,0x7e401b98,0x227fec6f,0x7fe45ffe,
    0x42fa8006,0x80dfacfc,0x3fe24ffe,0x6c3f982f,0x70fffe06,0x11db8dff,
    0x3b70fffb,0x2e1fff62,0x0fffb11d,0x3ff623b7,0x4cdffec7,0xffe86ffa,
    0xd8bffe24,0xffa99bff,0x407fff06,0x2a0003fd,0x00fe882f,0xffd83f60,
    0x17ffa06f,0xfff8dff9,0x003ffe45,0x1ff713e2,0x3ffa13fe,0xa8bffe24,
    0xfeeeefee,0x7ffc3eef,0x407ffdc3,0x07ffdfc8,0x1fff7f22,0x7ffdfc88,
    0x3ff7f220,0x666fff47,0xffe84ccc,0xe8bffe24,0xcccccdff,0x107fff04,
    0x20001ffd,0x1ffb05f8,0xdb8bea00,0xff02ffc9,0x47ffc8bf,0x7fe45fff,
    0x03b6000f,0x3ffe1fff,0xf127ff40,0x7ffdc5ff,0xffffffff,0x2e1fffc4,
    0x77d41fff,0xf507ffb8,0x20fff71d,0x7ffb8efa,0xff71df50,0x004ffe8f,
    0xff893ffa,0x013ffa2f,0xfd07fff0,0x7ec0009f,0x00ffbc80,0x3e205f88,
    0x8bfff01f,0x3fa0fffc,0x03ffe45f,0xff885f50,0xfd07ffa7,0x17ffc49f,
    0x807ee374,0x7fdc3fff,0x5c3ff20f,0x0ffc87ff,0xff90fff7,0x321ffee1,
    0x8fff70ff,0x3a005ffc,0x3ffe24ff,0x0017ff22,0xff987fff,0x2017a63f,
    0xf8cb82fa,0x00fc800f,0xffe81be6,0x323ffe45,0x2ffec5ff,0xf884f880,
    0xd07ffa7f,0x7ffc4bff,0x1f227c42,0xf987fff0,0xb97fe66f,0x2ffcc7ff,
    0xff98fff7,0xf31ffee5,0x23ffdcbf,0x8181fffa,0x3fe25ffe,0x07ffea2f,
    0x21fffc06,0x3f22fffb,0x217e202f,0x801ff15a,0x07e402fa,0xfd8bff90,
    0x237fc45f,0xfb001ffe,0x7c3ffe01,0x2ffec0ff,0xf987fff9,0x3fe03742,
    0x9ff6f8bf,0x6cc7ffe4,0x3ff20fff,0x0fffd98f,0x3663fff2,0x3ff20fff,
    0x0fffd98f,0xa87bffe2,0x325ffd82,0x3fe23fff,0x7c0aa1ef,0x7ffc43ff,
    0xd803fea4,0xfeeee80f,0x0bf100ef,0x22010ea8,0x0fff46ff,0xff88ffdc,
    0x405f5004,0x0bff0ffb,0xfb97fff7,0x41fb89ff,0x3ffe204f,0x41dd7f9b,
    0xfceffffb,0xfff72cff,0x59fff9df,0x33bfffee,0xff72cfff,0x9fff9dff,
    0x6ffffe45,0x7fff704d,0xc89fffb9,0x04ddffff,0x3f213ffe,0xf502fc6f,
    0x3f332e05,0x803f204f,0x205a9ae9,0x9ff11ffb,0x7f67fd40,0x009f1002,
    0x01df57fb,0x3e33fff6,0x31f23fff,0x3ffa207f,0x83bdf93f,0x3f64ffd8,
    0x93ff623f,0x3f623ffd,0x88fff64f,0x3ff64ffd,0x4ffffb83,0x467ffec0,
    0x7dc3ffff,0x3e204fff,0xffe885ff,0xf100ecae,0x03fe200b,0xff1017d4,
    0xfa809fff,0x1002fecf,0x0db80015,0x00599500,0x21540031,0x000000a8,
    0x20100402,0x10040200,0x00660020,0x33000188,0xffffe980,0x05797504,
    0x91000db8,0x70136019,0x00399999,0x000002a2,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2e001710,0x5e5cc003,0x281b8001,0x013ffa20,0xca807a60,
    0x3ffe6002,0x2f36e602,0x05cc0310,0x7ff40051,0x00595005,0xa801a853,
    0x02aaaaaa,0x002eea20,0x8006f2a2,0xaaaaaaaa,0x797300aa,0xffb50015,
    0x005f5003,0x37fe67e4,0x2a37a200,0x3ff4403e,0xfa83e400,0xc802fd9d,
    0x37f202ff,0x02ddfeba,0x5b7dfffb,0x017fe600,0x0ffffff2,0xffba7fcc,
    0x3fffe602,0xc9805fff,0xfeb802ef,0x02dfecbd,0x7ffffffc,0x7ec41fff,
    0x402ffb9d,0x4401ff98,0x9bee004f,0x44002ffb,0xd1000dfe,0x84f8003f,
    0x1ff31ff8,0x3202fe80,0x82fea84f,0xfffffff8,0x00bf7000,0xfffffff5,
    0x32bff501,0x3ff203ff,0x402fffff,0xbb002ffb,0x413ea203,0xfffffff9,
    0x3ff446ff,0xf3007ff2,0x00fd803f,0xff997fe0,0x3b762004,0x13e2001f,
    0xfd82f980,0xf3037fc7,0x80ffcc07,0x952b82fa,0x2f4003bd,0xfd986c40,
    0x23b903ff,0x3fe00cd8,0x407fffff,0xbb001ffd,0x2e17e600,0xffffffff,
    0x22ffdc3f,0x7cc05ffa,0x00bea01f,0x7fc6ff88,0x263d5001,0x0e6000ff,
    0xff987c80,0x9817ff46,0x01ffdc02,0x2000005d,0x882800c8,0x00004fff,
    0x7e40016a,0xb1bb002f,0x47bdbdff,0x4deec3f9,0x3f60fec0,0x037fc47f,
    0x7c407fe6,0x7ffcc005,0x8000bf31,0x18800efd,0x7dc2f400,0x01fff46f,
    0x3ff20131,0x8805502f,0x00000001,0x18803ffd,0x80019b00,0xf3007ffa,
    0x9ff14ff8,0xf8816354,0x24fffc86,0x7cc03ff9,0x001fb01f,0xebdfff88,
    0xdec98002,0x3a606ffd,0x4c02dedf,0x46ffc82f,0xee984ffe,0xfffa84fc,
    0x3a6001df,0xe882dedf,0xffd34fff,0x0ffe005f,0x2dedfe98,0x7dffff10,
    0x009ffd00,0x6c9fd12e,0xb8007c7f,0xffffa84f,0x9801df75,0x02fa81ff,
    0x09fffd00,0xa8155555,0x3fff73ff,0x3e25ff50,0x203ee02f,0x7ff46ffd,
    0xfc87fd46,0x7ffffc45,0x7fd400df,0xf105ff12,0x7ffd49ff,0x206fc802,
    0x5ff12ffa,0xffffff50,0x3ffe607f,0xd80cefed,0xdfd27f42,0x3fb002d8,
    0x37ffffa0,0xffa800df,0x8002fc42,0xa86fffe9,0x7fc42eff,0x221fff47,
    0x0fff47ff,0xdffd05e8,0x7fc7ffe8,0xf307fea6,0x07ffffff,0xffd1ffe2,
    0x449fff03,0x36a02fff,0x7c40efff,0x20fff47f,0xfffffffd,0xcfffc84f,
    0x7c0efffb,0xffaa7f40,0x7c4025c2,0x3fffa206,0xccb801ff,0x203f62cc,
    0x9ec880c8,0xfd85fffe,0x6c5ffa81,0x37fe45ff,0x3e213ff6,0xe8dfff03,
    0x9ff70fff,0x74c27fcc,0x0dffffff,0x3f637fe4,0x24ffe84f,0x2e02fff8,
    0x646ffffe,0x27fec6ff,0x3fff72ea,0x7ff42fff,0x893ffe26,0xffeffe87,
    0xfa806a80,0xffffe804,0x3ea0001f,0x540fe882,0xffff50ff,0xff903e87,
    0x747ffd8b,0x37fe45ff,0xfff807dc,0xfb3fff46,0xdff5337f,0x7ffffdc0,
    0x22fff44f,0xffe86ffc,0x00bffe24,0xe83fffee,0x37fe45ff,0x2fffed40,
    0xffb1bffe,0x67f41f8f,0x04c82ffa,0x36201fd8,0x1fffffbf,0xb05f8800,
    0x2ffc41ff,0x547ffff6,0x917ffa05,0x7ffc1fff,0x6c3ffe45,0xd1bff606,
    0x6fff4dff,0x024ccccc,0x1fffff22,0xffc8bfff,0x224ffe87,0xf7002fff,
    0x2fffc7ff,0xc801fff2,0x37ffc7ff,0x3c83fff2,0x86fda7f4,0x037c402e,
    0x3fe69fd1,0xfd8004ff,0x20ffbc80,0x7fc47ffc,0x200e9eff,0x7fe45fff,
    0x322fffc7,0x0fe20fff,0x7f46ffc8,0x013ffa4f,0x7ff4c032,0x917ffe1f,
    0xffe81fff,0x00bffe24,0xff1fffc4,0x0fffc8bf,0xfb1ff600,0x0fffb8ff,
    0x26bff16a,0x003e23ff,0x7fe409f5,0x01fffe62,0x19705f50,0x7fff41ff,
    0x7ffffcc1,0x22ffec03,0x7ff45ffd,0x2a3ffe45,0x1bfee01f,0x7fe47ffd,
    0x2202c805,0x3ffa2ffe,0x743ffe45,0x3ffe24ff,0x87ff6002,0x7fe45ffe,
    0x227d4007,0x7fd47ffc,0xff98fc47,0x2e3ff91e,0x201fd805,0x7fec1ffe,
    0x0bf1000f,0xe83fe2b5,0x7dc0efff,0x8621efff,0x7fec5ffb,0x362ffe44,
    0x2036c5ff,0x7ff47ff8,0x207ffea1,0xff701b21,0x362ffe43,0x5ffe85ff,
    0x800bffe2,0x2ffe46fa,0x30017ff6,0x0fffa85f,0x3ea17fea,0x88aaaaa9,
    0x400ebaaa,0x7ffc07f8,0x003ffdc1,0xdddd01fb,0x3ff21dff,0x7ff40dff,
    0x20eabfff,0x7ff46ff9,0x3a37fc40,0x4027c1ff,0x22ffc7fd,0x2a1efff8,
    0xfd813f22,0x3a37fc45,0x5ffd81ff,0xf98ffff2,0x441fc81e,0x0fff46ff,
    0x17207bf2,0xff71ffec,0x2007ea05,0x4fa800eb,0x2e17fec0,0x5f5004ff,
    0x3ff332e0,0x3ffffa24,0xffcdfcdf,0xfa82ffff,0x205ff11f,0x9ff11ffb,
    0xe8801fa8,0x901ff52f,0x89bbffff,0xff984ffc,0xf11ffb80,0x3ffee09f,
    0x24fffdcb,0xf30cfffa,0x447fee07,0xfffe84ff,0x7440970c,0x500ff66f,
    0x6dc4159f,0x03fb000e,0x7ec6ff88,0x00bf1006,0xfb103fe2,0x4c3dffff,
    0x2a04fffe,0x402eeced,0x82fecffa,0x3f62007c,0x3ee00efc,0xbcc84fff,
    0x0cfecdfd,0x3fb3fea0,0x67ffec02,0x363ffff8,0x00deffff,0x17f67fd4,
    0xdffffd98,0xddfd8803,0xfb73003e,0x0017bffd,0xfd9803fc,0x2003fece,
    0x991000db,0x006a6201,0x04c40053,0xa802a200,0x00988001,0x44180660,
    0x220009a9,0x0062000a,0x20006a20,0x066000a8,0x00009800,0xa88000d4,
    0x0d4c4001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00b2e200,0x00de5440,0x40303300,
    0xaaaaaaa8,0x5555512a,0x554c3555,0x55550aaa,0x55035555,0xb9503555,
    0xb7300179,0x01300017,0x2aaaaaaa,0x55555531,0x2aaa9855,0x2a60009b,
    0x4c009abb,0x101aaaaa,0x80155555,0x221aaaaa,0x0001aaaa,0x3ffabfd8,
    0x97bfd700,0x91005bfd,0x7d35fbdd,0xffffb980,0xffb311af,0x544139ff,
    0xfb309efe,0x3013bfff,0x7443dff7,0x01fffc9b,0x0ffe6fea,0xf57fffd3,
    0xfe983bff,0xf510cfff,0x8815ffff,0x00f91ffa,0xcabdffa8,0xf5100cff,
    0x7103ffff,0x93005dfd,0x7dc47fff,0x6c0003ff,0x00bff25f,0x3ea203bb,
    0xf927f404,0x3f6007ff,0xfff304ff,0x80fcc01f,0xe803fffe,0x3f60fc85,
    0x21ff305f,0x7fcc0ffe,0x6ffdadef,0x82ffff88,0x200ffffb,0x200be62e,
    0xf884ffd8,0x3fe602ff,0x3f300eff,0x1fffc400,0x000fffe2,0x3e64ffb8,
    0x10bb01ff,0xfb05f988,0x1fffcc3f,0x03fffd80,0x880ffff1,0x1bffee07,
    0x7ff103e0,0x5c0fffdc,0x85ffd0ff,0x7f46fff8,0x5fffd84f,0x205ffff0,
    0xd804f878,0x3fea05ff,0x3fffe01f,0x8003e05f,0xff83fff8,0x3f60003f,
    0x0fffe23f,0xb9dd9176,0xa87f31d9,0x7ffc47ff,0x7fff9003,0x01fffe20,
    0xffff881e,0x3e612a02,0x0fffe65f,0x77d47ffa,0x643fff80,0xfff987ff,
    0x0bfff907,0x701f212a,0xfe805fff,0x3ff7a06f,0x000f04ff,0xfff07fff,
    0x7ffc0007,0x262fffc4,0xf50bfa27,0xdff71aa1,0x003fff88,0x2207fff9,
    0x07807fff,0xd02fffe4,0xfa877203,0x7ffc41ff,0x87fff002,0xfe80fffb,
    0xfff882ff,0xfa81d80f,0x1ffff101,0x04fffc80,0x0bffffad,0xff86201e,
    0x23fff83f,0xfff10009,0x5c7ffe89,0x06c13fa4,0x22ffec1f,0x9003fff8,
    0x3e207fff,0x407807ff,0x980ffff8,0x37fe4005,0x8027ffcc,0x7fd43fff,
    0x6fffb82f,0x43ffff98,0x5c13e068,0xfa806fff,0x3e2d07ff,0x03c0ffff,
    0xff3dffd5,0x77fff07f,0xf003bfff,0xfffd8bff,0x17fd4b60,0xfff16c08,
    0x03fff88b,0x207fff90,0x7807fff8,0x84fffd80,0x77fc001d,0x05fff880,
    0xfa87fff0,0xfff882ff,0x7ffee41f,0x0db01dc6,0x2017fff2,0x680ffff9,
    0x83bfffe6,0x26bff507,0xff83fffe,0xeffc9eff,0x23fff400,0xb87c6ffd,
    0x497001ff,0x7fc46ffd,0xfff9003f,0x1fffe207,0x3fe601e0,0x2003447f,
    0xfffb85fb,0x204fffff,0x7fd43fff,0x9fffb00f,0x7fffc744,0x1fa803a1,
    0x805fffe8,0x681ffff9,0xf2ffffdc,0x4c1fff10,0xfff83fff,0x202fff44,
    0x3fa3fffa,0xffc9e24f,0x7dcd5001,0x1fffc46f,0x03fffc80,0xf00ffff1,
    0x8ffffa00,0x8274002c,0xfffffffb,0x0fffe04f,0x7cc0fff7,0x7e52e7ff,
    0x880b35ff,0x4ffff83f,0x2ffff980,0xffffc868,0x0fff70f3,0xfff07fff,
    0x807ffb87,0xffeefffc,0xffb8fc2f,0x7cc99001,0x3ffe21ff,0x7fff9003,
    0x01fffe20,0x7ffdc01e,0x58800d16,0x00fff700,0xffb13ffe,0x3fffe809,
    0x3fffe61d,0x86d802c8,0x9805fffd,0x0681ffff,0x0f3ffffd,0xfff0dff9,
    0xa87fff07,0xc9801fff,0x40fffacd,0x007ff33c,0x3dffb0ba,0x007fffd5,
    0x440ffff2,0x3c407fff,0x73ffff00,0x00298007,0x3e00fff3,0xffa8bfff,
    0x7ffdc00e,0x7fff459e,0x81f7006b,0xb806fffc,0x0680ffff,0x0fffffd1,
    0xfff0bffd,0xa87fff07,0xc8002fff,0x365a86ff,0x3e2280ef,0x9efffd80,
    0x40883fff,0xf103fffc,0x07880fff,0x3b7fff20,0x00044000,0x3fe00bfd,
    0x1dfffcbf,0xeffff880,0x27fffdc1,0x7d43f880,0xffc807ff,0x7cc0d06f,
    0xffe87fff,0xf83fff86,0x7ffd43ff,0x1fff8001,0xffb11f88,0x2dc39537,
    0x3fe21310,0x927fcc3f,0x7f405fff,0x01a600ff,0x04ffff88,0x4fd80000,
    0x13fff830,0xffd80013,0xffff886f,0x3a17a001,0x7ec00fff,0xa80d02ff,
    0xffc87fff,0xf83fff87,0x3ffd43ff,0x01ffdc00,0x5e5cc3f5,0x100075c2,
    0xffc87fff,0x807fff67,0x2e00fffd,0x7ffec004,0x065c4000,0x19fffd70,
    0xfff0b662,0xff980007,0x0dffb03f,0x7d40fb80,0x3fe204ff,0x3201a06f,
    0x7ffa87ff,0xff83fff8,0x02ffdc3f,0x200ffee0,0x0eb801fa,0x1fffc400,
    0xffd93fe6,0x3ffee00f,0x8001d304,0xc8005ff9,0x75d306ff,0xffffffff,
    0x003fff83,0x500ffe80,0xf98007ff,0x207ffc82,0xf300effd,0x221ff600,
    0x3fea2fff,0x44fff83f,0x91001ffc,0x7d4003df,0x3b6e20ac,0xfff88000,
    0xff11fd83,0xfff7005f,0x007aa217,0x4000ff40,0x29507ffe,0xfffffff8,
    0x01fffc45,0x2027dc00,0x5e8000ff,0xa81bff50,0x17dc05ff,0xfd83f440,
    0xfffeb9ef,0x137ffc0e,0xfb3007ff,0x2e60005b,0x0bdffefd,0xbfff5000,
    0xfedfd881,0x3faa002e,0x002effff,0x54001ae0,0x3f7a04ff,0x0bfffc8d,
    0x002fffd4,0x3200fc40,0x40f90005,0xffcdfed8,0x3ffaa03d,0x03cc01df,
    0xff1bfff9,0xd9cf879d,0x8803eece,0xa8000009,0xccb80001,0x53104ccc,
    0x54c40001,0x03000009,0x4c004400,0xcc980c40,0x0000cccc,0x0004400c,
    0x53000a88,0x30000001,0x00609880,0x0000a883,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2b336ea6,0x00cc00e0,0x15797300,0xffffc944,0x29ffb12e,0xaaaaaaa9,
    0x42aaaaaa,0xaaaaaaa9,0x0300019a,0x55555551,0x55555135,0x26005555,
    0x5555441c,0xaaaaaaaa,0x555510aa,0x01355555,0x5555554c,0x000199aa,
    0x2aaaaaa0,0xaaaaaaaa,0x5555442a,0x005ffd81,0x55f7fec4,0x207cdffd,
    0xeefcffc8,0xffb303ee,0xb9dfd7bf,0x41fffe47,0x3ff2624e,0xfeedccff,
    0x7fecc47f,0xdfffedff,0x31095001,0x13bffff9,0x3bfffee6,0x3fe8800a,
    0x7fffe4c4,0xfffeedcd,0xffffb311,0x07ffffdb,0x9ffffb31,0x019fffb9,
    0xffe99800,0xfeecdfff,0x7fe445ff,0x01ffb04f,0x207bfee0,0xd107fea8,
    0x37fea1ff,0x2fff982c,0x223ffb88,0x80f86fff,0xb80ffff8,0xffff307f,
    0x404fffb8,0x3fe204f8,0xfffd01ff,0x1ffec007,0x503ffff0,0xfff883fd,
    0x827ffec7,0x7447fff9,0x80001eff,0x81fffecd,0xfff885fc,0x007fd104,
    0x8805fff9,0x4bff907f,0xf980eff8,0x1fd403ff,0x5987fff2,0x403fffe0,
    0xffff307a,0x40bfff70,0x7ffc04fd,0x7fffb00f,0x0fffee00,0x101ffff8,
    0x7fff883f,0x881fffe8,0xffa87fff,0xb4c0005f,0xb901fffe,0x8813ffe0,
    0x7ffcc05e,0x3a0f5005,0x17ffc4ff,0x4017ffe6,0x27ffc43d,0x7fffc059,
    0xf3078220,0x3ff60fff,0x27ff443f,0x403fffe0,0x9803fffd,0x3e03ffff,
    0x07601fff,0x3f21fffe,0xfff884ff,0x0ffff887,0x7f4ba000,0x2cc221ff,
    0x4404fff8,0x0ffff404,0x3ffa0d00,0x3a17ffc4,0x75001fff,0x1a1fffb0,
    0x5c1ffff0,0x7ffcc0e1,0x4dfff507,0xffffffe8,0x00ffff83,0x8807fffb,
    0x203fffae,0x3241ffff,0x90ffff01,0xff109fff,0x3fffa0ff,0x74b70002,
    0x386a1fff,0x0009fff0,0x007fffa8,0x45ffb80c,0x7ffc47ff,0x2602000f,
    0x404abfff,0x0760ffff,0x41fffe60,0x530ffff8,0x0155bfff,0x3601ffff,
    0x9ec03fff,0x3fe03fff,0x7c0341ff,0xfffe87ff,0x07fff880,0x0003ffff,
    0x7fff41d1,0x3fe00721,0xfffe984f,0x0ffff703,0x9ffa2000,0x7fd43ff9,
    0xfd00007f,0xff801bdf,0x003f10ff,0x7c0ffff3,0x7ffc2fff,0x07fffc04,
    0x203fffd8,0x80fffe6a,0x1ae1ffff,0xf91fffe0,0x3fe207ff,0x6fff987f,
    0xfe85b000,0x003f11ff,0x3e609fff,0xfffb03ff,0xfb80000d,0xfc82ffbe,
    0x500005ff,0xff00bfff,0x03ffb5ff,0x40ffff30,0x7fc4fffe,0x7fffc04f,
    0xfeaaaaab,0x41f103ff,0x3fe03fff,0x06fcaaff,0xfdcffff8,0x3e200bff,
    0x7ffd47ff,0x85a8000e,0xffccfffe,0x04fff801,0x7f40fffe,0x400005ff,
    0x3a00aacb,0x00005fff,0x3e00bffa,0x1fffefff,0x07fff980,0xff17fffa,
    0xffff809f,0xfecccccc,0xf85d03ff,0x3ffe03ff,0x806fffef,0xfecbffff,
    0xff100cff,0xdfffddff,0x56740005,0xdffffaaa,0xff801ffe,0x0fffe04f,
    0x8837ffec,0x19999999,0x3f6006d8,0x200006ff,0xfff007fb,0x2007ee1f,
    0x3a07fff9,0x7ffc4fff,0x07fffc04,0xc83fffd8,0x203fff84,0xdd51ffff,
    0xa8ffff00,0xf882ffff,0xffff97ff,0x33720001,0xffffcccc,0xff003f51,
    0x1fffc09f,0x107fffb8,0x5bffffb3,0xaaabffa8,0x7fffb81a,0x13e20000,
    0xb07fffc0,0xffff3003,0x21ffffc0,0x7fc04fff,0xfffb00ff,0xccccf987,
    0xf04dfffc,0x03443fff,0x7dc3fffc,0x7fc40fff,0x17fffa7f,0xfe81a600,
    0x200761ff,0x3fe04fff,0xffff303f,0x7fffc401,0xfffffb80,0x3e63ffff,
    0x00000fff,0x7ffc0076,0x81106e0f,0xf107fff9,0xfff83fff,0x07fffc04,
    0x543fffd8,0xffffffff,0xffff07ff,0xfff80583,0x2ffff887,0xf33fffc4,
    0xe8007fff,0x87fffa01,0x7ffc0c1b,0x80fffe04,0x2201ffff,0xe880ffff,
    0xffffffff,0x0bfffe1f,0x20058000,0x0660ffff,0x7fff9819,0xf0bfff50,
    0xfff809ff,0x7fffb00f,0xffffffa8,0xff07ffff,0xf80283ff,0xffff07ff,
    0x47fff887,0x001ffffb,0xfffe8097,0xff0b0661,0x1fffc09f,0x40bfff30,
    0x2a07fff8,0xffeeeeef,0x1bffea3f,0x25fb0540,0x3ffe002b,0x261e200f,
    0xffd07fff,0x29ffd03f,0x0ffff808,0x887fffb0,0xff999999,0xffff01bf,
    0xffff0003,0x83ffff30,0xfd87fff8,0x0e8806ff,0x00ffff40,0x09fff0b5,
    0x2e01fffc,0xff102fff,0x40ff20ff,0x7fd42fd8,0x8875c04f,0x4400d5ff,
    0xd101ffff,0x0ffff30d,0x3205fff5,0xff05bfff,0x3ff603ff,0x3ffe003f,
    0x07fffe03,0x0ffff100,0xf10bfff9,0xfff10fff,0x803d809f,0xf302fffe,
    0x409fff09,0xea804fff,0x7fc40aff,0x405fd07f,0x9fff507e,0x0376a215,
    0x4003dffd,0x4c3ffff9,0xffa85ffb,0xdff711ff,0x0dffc803,0x02ffff88,
    0x4009fffd,0xff103fff,0xf98005ff,0xff932fff,0xfff301bf,0xffff501f,
    0x100bf205,0xb989ffff,0x7ffc43ff,0x0bfff105,0x66fff640,0x300adffd,
    0xb75357fd,0x7edcc01b,0x103efeff,0x764c0077,0xffffffff,0x3264ffff,
    0xffffffff,0x404001be,0xfffffec8,0xfffdb89c,0xff802cff,0x7ff5c43f,
    0x4c01cfff,0xffffffec,0xc980cdef,0x0ceffffe,0x86ffffec,0x40dfffd8,
    0xfffffeca,0x1fffffff,0x13ffffa6,0x09ffffd3,0x03355300,0xabccaa80,
    0x01a88000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0d555400,0x541e4c00,0x53002aaa,
    0x15555555,0x37b95000,0x5555554c,0x060001aa,0xaaaaaa98,0x55555001,
    0x2aaa6155,0x019aaaaa,0x4c005000,0xaaaaaaaa,0x55555511,0x2a001355,
    0x30a21fff,0x55555545,0x500aaa60,0xa8004c15,0x17ffea02,0x50fffa00,
    0x2200bfff,0x1bffffc9,0x5d7f4400,0xffb311ff,0x80013bff,0x41dfdfe9,
    0x7ffffc98,0xfffff880,0x3ff6621b,0xdfffedff,0x01f10002,0x3fff2620,
    0xf93109df,0xffffbfff,0x0ffec017,0x3fe6bff1,0x87ffff73,0xfd104fd9,
    0x401d7bff,0x7c03ffb8,0x7c4005ff,0x5fff84ff,0x3fffc400,0xa8ffd800,
    0x7ffc43ff,0xff98001f,0xf101fff0,0xc805ffff,0x2606fffe,0x7fd47fff,
    0x7dc000df,0x7ffc4004,0x9fffe01f,0x880efffa,0xb7fcc1ff,0x3ff64ffb,
    0x2e05c81f,0x05ffffff,0x07ffff91,0x8005ffe8,0xffe80efc,0x7ffc4005,
    0xfff98007,0xfff10570,0xdff0001f,0xcf81ffe4,0x5f406fff,0x3e206fff,
    0xfffa87ff,0x07ffc005,0x03fffe00,0x7e47fff8,0x02fa85ff,0x837223b7,
    0x1e83fff9,0x67ed4560,0xffdab880,0x2fff403f,0x3fa00800,0xfff8005f,
    0x4009aaaf,0xf800fffa,0x5c000fff,0x0bfe64ff,0x0ffffc7c,0x5fffaca8,
    0x41fffe20,0x7004fffc,0xf8007fff,0x3fe00fff,0x3fffcc7f,0xe8000154,
    0x003446ff,0x7fff3000,0x005ffe80,0x25ffe800,0xffff8018,0x203fffdc,
    0xf800fffa,0x6c000fff,0xf00443ff,0x6c13fff6,0x205fffa9,0xf307fff8,
    0x3fa00fff,0x7fc006ff,0x3ffe00ff,0x07fffc47,0xff700000,0x40025c3f,
    0xfff98018,0x52fff403,0x74c7dffd,0xffe83fff,0x01effd8d,0xff89fffe,
    0x3ffe20ef,0x7fc06fff,0x7f4000ff,0xf9bc004f,0xab4c0fff,0x3e205fff,
    0x3ffe07ff,0x7fed400f,0x3fe002ff,0x3ffe00ff,0x32fffd47,0xd307fffd,
    0x3e207fff,0x6c0764ff,0xffd8dfff,0x3ffe202f,0x22fff403,0xfff304f9,
    0x7ddffd07,0x3e01fffb,0x7ffdc7ff,0x4fffdcc3,0x07fffc00,0x01bffe00,
    0x1ffff4f0,0x2fffd4b2,0x40ffff10,0x6c03fffe,0x006fffb9,0xf803fffe,
    0x7ffe47ff,0x81fffcc2,0x3603fff9,0xf80d17ff,0xffdbeeff,0x7fff100f,
    0x6c5ffe80,0x41fffc03,0xff11fffe,0x1fffe03f,0xf50dfff3,0xfff001ff,
    0xffe8001f,0xfa9e000f,0xff5346ff,0xff9950bf,0x6c7999ff,0x5a605fff,
    0x001ffff8,0x7c01ffff,0xfff717ff,0x80fffe09,0x3ea03fff,0x7403baff,
    0xfff11fff,0x0fffe205,0x1e4bffd0,0x741fffc0,0x3ffe25ff,0x98ffff02,
    0xffa87fff,0xffff800f,0x7ffe4000,0xfff1e004,0xffa92e5f,0xffba985f,
    0x362aaaff,0x8b206fff,0xf005fffd,0x7fc01fff,0x0dfffeff,0xf80fffe0,
    0x3fe203ff,0x7f401edf,0x0bffe25f,0x201fffc4,0x01f95ffe,0xfd07fff0,
    0x03fff8bf,0xffa8ffff,0x0fffa85f,0x00ffff80,0x17fffc40,0xff71e091,
    0xffa83abf,0x3ffe205f,0x17fffa07,0x3ffe6344,0xffff800f,0x27fffe00,
    0x0fffe000,0x7743fff8,0xefffffee,0x5ffe86ee,0xf881fffc,0x7ff403ff,
    0xf805ffcd,0x5ffe83ff,0xff81fffc,0x1fffe47f,0x4007ffd4,0x8000ffff,
    0xedeffffb,0xfff88f00,0x7ffd45bf,0x1fffe205,0x703fffe8,0x09fffd07,
    0x401ffff0,0xf8007fff,0x3ffe03ff,0x1fffd403,0x3e2fff40,0xfff103ff,
    0xefffe807,0x7fc03fff,0x45ffe83f,0xfff03fff,0x0fffea2f,0x4007ffd4,
    0x4c00ffff,0xdffffa83,0x3ff61e00,0x7ffd41ff,0x1fffe205,0xf02ffff8,
    0xffdddddd,0xfff801ff,0x1fffe00f,0x80fffe00,0x7cc03fff,0xffe803ff,
    0x881fffc5,0x7f403fff,0x01fffb5f,0x7f41fffc,0x81fffc5f,0xffffffff,
    0x3ffea02d,0x0ffff800,0x09701640,0x3ffe61e0,0x05fffa86,0x4c1fffe2,
    0x09706fff,0x201ffff4,0x3e00ffff,0xff8007ff,0x0fffe03f,0xfffb9999,
    0xfd09999b,0x03fff8bf,0xe807fff1,0xdfff15ff,0x741fffc0,0x1fffc5ff,
    0x8007fff8,0xf800fffa,0x3e200fff,0x007ff101,0x20fffa0f,0x2205fffa,
    0xffb07fff,0xb803a03f,0x7fc06fff,0x3ffe00ff,0x3fff8007,0x550fffe0,
    0x5bfff955,0xbffd0555,0xf303fff8,0xffe807ff,0x413ffee5,0xffe84fff,
    0x20fffe25,0x8007fff8,0x4400fffa,0x3600ffff,0x01bee00f,0x407fd41e,
    0x2206fffa,0x7cc0ffff,0x80d703ff,0x102ffff8,0x7c01ffff,0x7c000fff,
    0x3ffe04ff,0x1fffd404,0xf12fff40,0x3fe607ff,0x37ffc04f,0xf107fffa,
    0xdfff0bff,0x4c2fffcc,0x4000ffff,0x4c01fffb,0x5443ffff,0x27dc07fd,
    0x27c07ea0,0x207fffb8,0x511ffff9,0x3e203fff,0xefffd806,0x1ffff980,
    0x03ffff10,0x82fffc40,0x5c05fff8,0xff805fff,0x13ffe67f,0xb02fffd4,
    0x3a6bffff,0xfd33ffff,0x7fec9fff,0xfffe8dff,0xfffd933f,0xf90017df,
    0x9307dfff,0xfffffffd,0x20ffffff,0x32603dd9,0x0dc1dfff,0x3fffff2a,
    0xffd930bd,0x39dfffff,0x1efffdc0,0x7ffffe54,0xfffd932e,0x3b2239ff,
    0x01ceffff,0x27ffff4c,0x13ffffa6,0x3fffff2e,0xffffb03d,0x7ffffd19,
    0x7ffffe5c,0x0000003d,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x55554c00,0xaaaaaaaa,0x55555542,
    0xaaa981aa,0x5555511a,0x55544555,0x95100aaa,0xaa808015,0xaaaaaaaa,
    0x511aaaaa,0x15555555,0x2aaaaaa8,0xff31fffc,0xaaaa883f,0xaaaaaaaa,
    0x000e4c01,0x310004a8,0x02620283,0x98800600,0x22026000,0xfffb0009,
    0xfffd9999,0xfffc987f,0xfa8809ff,0xfff710cf,0xfd983bff,0xffd881cf,
    0xff981fff,0x6e77ffc6,0xfedcffff,0xfff9313f,0xff7303bf,0x3fff817f,
    0x0507ffe6,0x2fa80500,0x800f9000,0xabffcfe9,0xefedfb85,0x7eff4c03,
    0xf9dd301d,0x7f6ed409,0xdfdee8ae,0xe817f400,0x3f606fff,0x27400fff,
    0x04ffffb8,0x7fec07f5,0x641fffff,0x87be2fff,0x7dc5fffa,0x01ffff83,
    0x7fc037e6,0x07ffe63f,0xa8050005,0x0f90002f,0xf89ffcc0,0x361fd87f,
    0x1ff303ff,0xff503ffe,0x3f617f21,0x43ffff21,0x80fc06fc,0x201ffffb,
    0x203ffff8,0x7ffec069,0x2a04d80f,0xffffdacf,0xf07ffdc4,0x85fffa85,
    0x1ffff83c,0xff809d10,0x07ffe63f,0xa8050005,0x0f90002f,0xfb07ff40,
    0x927fcc3f,0x9bfe0fff,0x37fc3ffc,0x7fd43ff5,0xa93ffe64,0x441603ff,
    0xb804ffff,0x5d00ffff,0x6ffff880,0x503602dc,0xec88ffff,0x7ffd4343,
    0xfff83985,0x802f981f,0x3fe63fff,0x1400141f,0x4000bea0,0xfff7007c,
    0xf537ff44,0x43ffdcdf,0x3fe64ffb,0xf993fee2,0x89bfea4f,0x3fe22fff,
    0x3f605106,0xff000eff,0x00b509ff,0x4cffffee,0xff80400e,0x2a06005f,
    0xf0305fff,0x1eb83fff,0x4c7fff00,0x00141fff,0x00bea014,0xfc803e40,
    0x1fff767f,0x3ff623b7,0x443ffd87,0x4cdffec0,0x0ee46ffa,0x3335fff5,
    0xfa800fff,0x2a002fff,0x3a20ffff,0x3fff6000,0x20001e9f,0x40003ffd,
    0x2005fffa,0x3b21ffff,0x8fffe000,0x0141fff9,0xcccc9940,0xccccdfdc,
    0x9999971c,0x999999fd,0xacb7ff41,0xc880fffb,0xfe87ffdf,0xdffe804f,
    0x204ccccc,0xcdfffcea,0x2004cccc,0x005ffff8,0x324fffe8,0x7ffc4003,
    0x7c0002ff,0x540001ff,0x3e005fff,0x0fe89fff,0x31fffc00,0x00283fff,
    0xfffff728,0xffffffff,0x3fffff67,0xffffffff,0x52fbffa0,0x7d40fffb,
    0xf87ffb8e,0xffe806ff,0x27fa6004,0x0002fff8,0x00ffffc8,0x9ffffa80,
    0xff500069,0x4c0007ff,0xa80005ff,0x3e005fff,0x6ffebfff,0x31fffc00,
    0x01463fff,0x99998940,0x9999bfb9,0x33333109,0x333333fb,0x2e5fffd8,
    0x87fe46ff,0xffe87ffb,0x2ffe400f,0x3e1ffb80,0x4c0004ff,0x0003ffff,
    0x0bb7fff6,0xffffd800,0x1ff70001,0x5003b910,0x7c00bfff,0xffffffff,
    0x9fff1004,0x9457ffec,0x54028002,0x0f90002f,0xf91ffee0,0x72ffccbf,
    0xfff90fff,0x1fffa809,0xd1bfe218,0x00301fff,0x001bfffa,0x0bffff30,
    0xffffb800,0x03fd0006,0x5007fff6,0x7c00bfff,0xfffc9fff,0xfff8803f,
    0xefffcdbe,0x00a000a5,0x320005f5,0x1fff1007,0xff917fec,0x1fffb31f,
    0x22ffff88,0x3bffe248,0x7ffc8aa1,0x306fffe4,0xffff7007,0xfd800403,
    0x260003ff,0x03ffffbe,0xfd017dc0,0xffa807ff,0x3ffe005f,0x3ffffb1f,
    0xfffef880,0x145dff72,0x3ea01400,0x00f90002,0x7c4bffa2,0x7fffdc3f,
    0x42cfffce,0xedeffffb,0x6ffffe40,0x77ffe44d,0xffffecec,0xff8805dd,
    0x802c04ff,0x0003fffc,0x3fff23d1,0x07f3001f,0x405fffa8,0x2005fffa,
    0xfd11ffff,0x7cc01fff,0x28188199,0x7d402800,0x55555402,0xaaaaafda,
    0x3fa6760a,0xfd883eed,0x40fff64f,0x00dffffa,0x109ffff7,0x6c1bfffd,
    0x800dffff,0x200ffffd,0xfff90069,0x88ba0007,0x8806ffff,0x5d08903e,
    0x05fffa80,0x987fffe0,0x2e06ffff,0x0028002f,0x017d4028,0x3ffffffa,
    0x0fffffff,0x10015102,0x00cc0020,0x03300330,0x3ea00198,0x2ec02fff,
    0x03fffc80,0xffa84c80,0x576c03ff,0x883daaaa,0x5fffa807,0x07fffe00,
    0x209ffff5,0x028004fd,0x04c40280,0x26666620,0x19999999,0x00000000,
    0x00000000,0xffff8800,0x013f2205,0x0027ffec,0xfffd81b2,0xffff901f,
    0x7905ffff,0x0dfff500,0x40ffffc0,0xe84ffffc,0x0028006f,0x00000028,
    0x00000000,0x00000000,0x7fe40000,0xffa880ff,0xfffd003f,0x027e4009,
    0x81dffff3,0xfffffffa,0x007220ff,0x803fffdc,0x882ffff8,0x744fffff,
    0xaaa8005f,0xaaaaaaaa,0x000003aa,0x00000000,0x00000000,0x3e600000,
    0xffffffff,0x02ffffff,0x3ffff6e2,0xff700bcf,0xfea85bff,0xf13fffff,
    0xffffffff,0xf950018f,0x017bffff,0xfffffd71,0x3fff6619,0x1732efff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x01001880,0x20008262,0x71000018,0x3ffffee5,0x7e53ff62,0xffb8dfff,
    0x5ff91eff,0x22000c00,0xfe880601,0xfffd34ff,0x80005d45,0x20c81848,
    0xffeeeffe,0xfffd30ff,0x1bffb1bf,0x00e41dc0,0x5c2cc004,0x30171003,
    0x105bdbfd,0xeefb8dff,0x7ffec3de,0x02fffd8d,0x47ff9300,0x4e84fffc,
    0xf70fffe4,0x6c3d87ff,0xdfd36fff,0xd8efffd8,0x3ff24fff,0x9fff104f,
    0xf717ffd4,0xfb80039f,0x9cfffc9d,0xf913a3fc,0xfffd07ff,0xf5007e63,
    0xfe806b81,0x7c45e801,0x07ff6a03,0x3fe25ff5,0x997ffe42,0x3e0fea6f,
    0xffdbeeff,0x3faa000f,0x7ffc41df,0x7fc40f86,0x22fffc4f,0xf1dffd06,
    0xffe81fff,0xbfffcbee,0x02fffbce,0x7fc49fff,0x77fed42f,0xfff7000b,
    0x89fffb7d,0x837ffc46,0x07b5fff9,0x17dc4fa8,0x54017f40,0x8817e44f,
    0x3fe21ff9,0xf70fff47,0x83bf23ff,0x1fffe84c,0x8805fff1,0x200cfffc,
    0x12a0fffc,0xff53ffec,0x6c1261ff,0x5fc9deff,0x3a1fffd8,0x3ffa1fff,
    0x449ffd04,0xf9102fff,0xf98039ff,0x20fecc1d,0x017ffec2,0x80b7fff9,
    0x1bea0ff9,0xfd000c40,0x980ffc47,0x1bff21ff,0x76449ffb,0x447bffa3,
    0x225ffe83,0xfb502fff,0x3e2005df,0x4c0764ff,0xff5b2fff,0x7ec0727f,
    0x7ec022ff,0x237fec6f,0xffd05ffd,0x017ffc49,0x8177fed4,0x07f301fd,
    0x202fffd4,0x200ffff8,0x3fea4ff9,0xf5000002,0x40ffe45f,0x3ffa1ff9,
    0x4037fe45,0x203ffffb,0x7ffc5ffe,0x33ffae23,0xfffd8001,0x7ff40588,
    0x2dffd58d,0x03fff606,0xfb1bff60,0x06ffd8df,0x7fc49ffd,0x3f26002f,
    0x01be0cff,0x7fff40dd,0x2fffc800,0x261fff10,0xcccb86ff,0xcccccccc,
    0x2ffe80cc,0xf981fff1,0x917ffe1f,0xff100fff,0x3fa09fff,0x71fffc5f,
    0x40005fff,0x02bbfff9,0xb967ffe4,0x3603cfff,0xffb007ff,0x6c6ffd8d,
    0x9ffd06ff,0x0017ffc4,0x9f1fffd4,0xfc80fc80,0xff1003ff,0x3ffe20df,
    0xfb0dff30,0xffffffff,0xfb01ffff,0x20fff45f,0x3ffe1ff9,0x007ffe45,
    0x27ffffcc,0x3fe2fff4,0x77fed43f,0xdffd0003,0xffff300d,0x03fffe21,
    0xb006ffd8,0x6ffd8dff,0xfe837fec,0x0bffe24f,0x6fff5c40,0x1ba03ec1,
    0x801bffe2,0x302fffe8,0x17fd49ff,0x26666662,0x81999999,0x3fee3ff9,
    0x3a1ff982,0x3ffe45ff,0xffffb100,0xff8bffd0,0xfff9103f,0x7fd40039,
    0xbffd003f,0x6c06ffd8,0xffb006ff,0x6c6ffd8d,0xbffd06ff,0x2017ffc4,
    0x00bfffc9,0x0fea05f5,0x0b0bfff6,0x037ff56c,0x37dc1ff3,0x3fd80000,
    0xffa817fc,0xfb17ff22,0x91f644bf,0x740fffc8,0x1fffc5ff,0x16ffed40,
    0x000fff80,0xffa85ff7,0x037fec03,0x7ec6ffd8,0x837fec6f,0x3ff25ffd,
    0xbffd503f,0x17df1005,0xf507fae2,0x506a8bff,0x80fffea9,0x017dc4fa,
    0x7cc0065c,0xcb81fdc4,0xdff12ccc,0x3ee1ffe8,0xfd87b1ff,0x225ffe87,
    0x26003fff,0x200cfffc,0x3e2004fc,0xd801ff07,0xffb006ff,0x6c6ffd8d,
    0xfff706ff,0x49fffb97,0x00cfffb8,0x37ffff60,0x7f45ffff,0x21baa0ff,
    0x3fffe0f9,0xd903ea00,0xb005ff00,0x0003f88b,0x7fc47fee,0xd97ffe44,
    0x3e13f22f,0x3ffe67ff,0x7fd50004,0x2000fc40,0xd00b904d,0x3fa00fff,
    0x23fff47f,0x3f607ffe,0xffff8cff,0x0005df73,0xdfd917f5,0x3f27f719,
    0xfffeefff,0x237ff665,0x02fffffc,0x700720ee,0xa849801b,0xffa80004,
    0xff982fec,0x3f7bfb26,0xcffffd84,0x03ffffe8,0x05006600,0x06201300,
    0x3bffffb0,0xaffffec0,0xd8dffffc,0x2205ffff,0x00033001,0x00050018,
    0x00000000,0x00000000,0x2002a200,0x001310c1,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x12ffec02,0x7ff445d9,0x0660edc2,
    0x55554415,0x000002aa,0x00000000,0x90007220,0x2b2e6003,0x20377300,
    0x2c980bc9,0x32e0eecc,0x5cc0e540,0x40dd402c,0xbbbbbbb9,0x31bbbbbb,
    0x77777777,0x44377777,0x2e02dfeb,0x6ff82c41,0xf307ffdc,0x87ffdcbf,
    0x1ff92ffa,0x3fffffea,0x00000007,0x401d9000,0x017f204d,0xfc806fb8,
    0x7dc0efff,0x7fe41fff,0x0fff40ff,0x3ee1fffd,0xb1ffea5f,0x3e617eeb,
    0xfffb8db3,0xffffffff,0xffff73ff,0xffffffff,0x7ff7e47f,0x21a21cff,
    0x077d44fd,0xf307fff6,0x47fff61f,0x3ffb3ffc,0x3fffffea,0x00000007,
    0x01df7000,0x27dc07fb,0x02fff880,0x3ee277ee,0x17fc4e26,0x49ff51b3,
    0x3fe3fff8,0x4fffb2ff,0xff10fffb,0x47f21fea,0x222222fc,0x88888888,
    0x111113f8,0x11111111,0xf9507411,0x307fddff,0x4076c1ff,0x5f305ff9,
    0xdd89bfea,0x55449b30,0x0002aaaa,0x20000000,0x0ff60efb,0x23f119b1,
    0xf5fb01db,0x7e43740f,0xfe80bf01,0xf717ffc2,0x97fee9ff,0x4ccc7ffa,
    0x70ff87fd,0x7c4000bf,0x07300003,0x40bbfae2,0x2005c6f9,0x05114c01,
    0x00000000,0x70000000,0x507fb1bf,0xfb1b1dff,0x329f307f,0x983f883f,
    0x077f543f,0xffd81ff0,0xff51f840,0x222ffc49,0x7c47face,0x000df70f,
    0xaaa99fc4,0xaaaaaaaa,0x100001aa,0x000019bb,0x00000000,0x00000000,
    0x3fffb800,0x37b73ae0,0x0fe80bdc,0x217a03fe,0x7fe443fa,0xf703f506,
    0x5ff1a60d,0x5fe23fe8,0x71fd87fa,0x7c40007f,0xffffff73,0x7fffffff,
    0x00000000,0x00000000,0x00000000,0x77f40000,0x80979000,0x427d43fa,
    0x07fa21fb,0x8fcc3fd4,0x3d827cc0,0x87f207ec,0x1ffccff9,0x00fc97d4,
    0x99884c00,0x99999999,0x00000999,0x55555551,0x01555555,0x00000000,
    0x00000000,0x3f7f6000,0x75ba600e,0x3a0df01f,0x6f7fc41f,0x0fe043ff,
    0x81d559d1,0x5c0e442f,0x0cc87a86,0x77710199,0x00000001,0xfffff980,
    0xffffffff,0xffffff31,0x3fffffff,0x00000000,0x00000000,0x27fb0000,
    0x9ff00efb,0x5f703fee,0x2e217e60,0x67e41cfe,0x7ff446a9,0x0c0c86ff,
    0x00910730,0x00000000,0xccc88000,0xcccccccc,0x555511cc,0x55555555,
    0x00000015,0x00000000,0xfd800000,0x6c077dc3,0x550df11f,0x8000aa80,
    0xca80bcb8,0x0002cccc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x03fd8000,0x00000bf7,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80000000,0x000dc039,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__times_bold_29_latin1_x[224]={ 0,2,2,0,1,1,1,1,1,0,1,0,0,0,
1,0,0,1,0,0,0,0,0,0,0,0,2,1,0,0,0,1,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,0,1,0,1,0,1,0,0,0,0,0,0,0,2,0,0,1,-1,0,1,0,0,1,1,0,0,0,0,
-1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,2,2,1,0,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,2,1,0,0,0,
2,1,0,0,0,0,0,0,0,-1,0,0,0,0,2,1,0,1,1,0,0,0,0,0,0,1,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,0,0,0,0,0,0,0,1,1,
1,1,1,1,1,0,1,1,1,1,-1,0,-1,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
 };
static signed short stb__times_bold_29_latin1_y[224]={ 23,5,5,5,5,5,5,5,5,5,5,7,19,15,
19,5,5,5,5,5,5,5,5,5,5,5,10,10,8,11,8,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,26,5,10,5,10,5,10,5,10,5,5,
5,5,5,10,10,10,10,10,10,10,6,11,11,11,11,11,11,5,5,5,13,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,23,10,5,5,8,5,
5,5,5,5,5,11,11,15,5,2,5,7,5,5,5,11,5,12,22,5,5,11,5,5,5,10,-1,-1,-1,0,
0,0,5,5,-1,-1,-1,0,-1,-1,-1,0,5,0,-1,-1,-1,0,0,8,4,-1,-1,-1,0,-1,5,5,5,5,
4,5,5,4,10,10,5,5,4,5,5,5,4,5,5,5,5,5,4,5,5,8,10,5,5,4,5,5,5,5,
 };
static unsigned short stb__times_bold_29_latin1_w[224]={ 0,5,11,13,12,24,20,5,8,8,11,15,6,9,
5,8,13,11,12,12,13,13,13,13,13,13,5,6,15,15,15,11,23,19,17,17,18,17,16,20,20,10,13,21,
17,25,19,19,16,19,20,13,17,19,19,26,19,19,18,6,8,6,13,15,6,12,14,12,13,11,11,13,14,7,
8,15,8,22,14,13,14,15,12,9,9,14,13,19,13,13,12,8,2,8,15,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,0,5,11,13,13,14,
2,11,9,19,9,13,15,9,19,15,10,15,8,8,7,14,15,5,6,7,9,13,20,19,20,11,19,19,19,19,
19,19,27,17,17,17,17,17,10,10,10,10,18,19,19,19,19,19,19,13,19,19,19,19,19,19,16,14,12,12,
12,12,12,12,18,12,11,11,11,11,8,8,9,9,13,14,13,13,13,13,13,15,13,14,14,14,14,13,14,13,
 };
static unsigned short stb__times_bold_29_latin1_h[224]={ 0,19,9,19,20,19,19,9,24,24,11,15,9,4,
5,19,19,18,18,19,18,19,19,19,19,19,14,18,13,7,13,19,24,18,18,19,18,18,18,19,18,18,19,18,
18,18,19,19,18,23,18,19,18,19,19,19,18,18,18,23,19,23,10,3,5,14,19,14,19,14,18,19,18,18,
24,18,18,13,13,14,19,19,13,14,18,13,13,13,12,18,12,24,24,24,6,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,19,23,19,13,18,
24,24,4,19,8,12,7,4,19,3,10,15,10,10,5,18,24,5,6,10,8,12,19,19,19,19,24,24,24,23,
23,23,18,23,24,24,24,23,24,24,24,23,18,24,25,25,25,24,24,12,20,25,25,25,24,24,18,19,19,19,
20,19,19,20,14,18,19,19,20,19,18,18,19,18,19,18,19,19,20,19,19,12,14,19,19,20,19,24,24,24,
 };
static unsigned short stb__times_bold_29_latin1_s[224]={ 255,244,113,69,219,29,22,100,164,208,45,
150,106,237,208,71,80,242,60,149,136,176,190,224,238,1,15,73,46,161,147,
105,217,145,167,36,86,68,150,1,115,165,51,98,69,100,202,182,176,51,185,
106,80,65,85,146,40,20,1,249,173,242,57,177,214,196,236,209,222,222,57,
22,25,17,57,1,234,109,31,1,131,35,96,21,105,132,62,76,190,54,177,
126,252,86,177,135,135,135,135,135,135,135,135,135,135,135,135,135,135,135,135,
135,135,135,135,135,135,135,135,135,135,135,135,135,135,135,135,135,255,250,19,
117,163,212,205,193,227,15,125,204,145,237,204,193,71,166,91,82,200,120,1,
221,193,248,135,234,1,232,211,199,17,66,95,31,100,120,206,140,184,1,166,
82,241,115,155,71,126,135,81,1,61,173,37,31,158,41,21,101,202,222,40,
83,98,111,178,124,137,206,234,87,150,94,232,177,243,193,189,202,43,227,57,
15,1,120,162,218,182,54,134,191,162,135,149,121, };
static unsigned short stb__times_bold_29_latin1_t[224]={ 1,52,210,77,52,77,98,210,1,1,210,
177,210,209,209,98,98,158,177,98,138,98,98,98,98,118,196,177,196,210,196,
118,1,158,138,138,138,138,138,138,138,158,118,177,158,158,118,118,158,52,138,
98,177,118,118,118,177,177,177,27,118,27,210,216,209,177,118,177,118,177,158,
138,158,158,27,158,138,196,196,196,118,118,196,196,138,196,196,196,196,138,196,
27,1,27,209,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,
177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,1,52,52,
118,196,158,1,1,209,118,210,196,210,209,98,216,210,177,210,210,209,177,27,
209,209,196,210,196,98,77,77,77,27,27,27,52,52,52,138,52,27,52,27,
52,1,27,27,52,158,27,1,1,1,1,27,210,52,1,1,1,27,27,158,
77,77,77,52,77,77,52,177,158,77,98,52,77,138,158,77,158,98,158,98,
77,77,98,98,196,177,77,98,52,77,1,1,1, };
static unsigned short stb__times_bold_29_latin1_a[224]={ 105,140,233,209,209,419,349,116,
140,140,209,239,105,140,105,116,209,209,209,209,209,209,209,209,
209,209,140,140,239,239,239,209,390,303,279,303,303,279,256,326,
326,163,209,326,279,395,303,326,256,326,303,233,279,303,303,419,
303,303,279,140,116,140,243,209,140,209,233,186,233,186,140,209,
233,116,140,233,116,349,233,209,233,233,186,163,140,233,209,303,
209,209,186,165,92,165,218,326,326,326,326,326,326,326,326,326,
326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,
326,326,326,326,326,326,326,326,105,140,209,209,209,209,92,209,
140,313,126,209,239,140,313,209,168,230,126,126,140,241,226,105,
140,126,138,209,314,314,314,209,303,303,303,303,303,303,419,303,
279,279,279,279,163,163,163,163,303,303,326,326,326,326,326,239,
326,303,303,303,303,303,256,233,209,209,209,209,209,209,303,186,
186,186,186,186,116,116,116,116,209,233,209,209,209,209,209,230,
209,233,233,233,233,209,233,209, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_29_latin1_BITMAP_HEIGHT or STB_FONT_times_bold_29_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_29_latin1(stb_fontchar font[STB_FONT_times_bold_29_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_29_latin1_BITMAP_HEIGHT][STB_FONT_times_bold_29_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_29_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_29_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_29_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_29_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_29_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_29_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_29_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_29_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_29_latin1_s[i] + stb__times_bold_29_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_29_latin1_t[i] + stb__times_bold_29_latin1_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_29_latin1_x[i];
            font[i].y0 = stb__times_bold_29_latin1_y[i];
            font[i].x1 = stb__times_bold_29_latin1_x[i] + stb__times_bold_29_latin1_w[i];
            font[i].y1 = stb__times_bold_29_latin1_y[i] + stb__times_bold_29_latin1_h[i];
            font[i].advance_int = (stb__times_bold_29_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_29_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_29_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_29_latin1_s[i] + stb__times_bold_29_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_29_latin1_t[i] + stb__times_bold_29_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_29_latin1_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_29_latin1_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_29_latin1_x[i] + stb__times_bold_29_latin1_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_29_latin1_y[i] + stb__times_bold_29_latin1_h[i] + 0.5f;
            font[i].advance = stb__times_bold_29_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_29_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_29_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_29_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_29_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_29_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_29_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_29_latin1_LINE_SPACING
#endif

