// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_33_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_33_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_33_latin1_BITMAP_WIDTH         256
#define STB_FONT_times_bold_33_latin1_BITMAP_HEIGHT        280
#define STB_FONT_times_bold_33_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_bold_33_latin1_FIRST_CHAR            32
#define STB_FONT_times_bold_33_latin1_NUM_CHARS            224

#define STB_FONT_times_bold_33_latin1_LINE_SPACING          21

static unsigned int stb__times_bold_33_latin1_pixels[]={
    0x8000c000,0x00199998,0x0d554c00,0x88400080,0x98000021,0x062002aa,
    0x06aaa600,0x30001800,0x00003555,0x01555440,0x00aaa800,0x05555000,
    0xdb300000,0x17bfdddf,0xffffb100,0x7fc00003,0x4fe9806f,0x6c7fee20,
    0x007bf71f,0x02fffe80,0xe8003fb0,0xe98006ff,0x2002efef,0x0006ffe8,
    0x03fff200,0x3ffee000,0xff500006,0x2000005f,0x7300beeb,0x3ffe007f,
    0xf300001f,0xffd001df,0x87fd101f,0x17f621fd,0x7fffdc00,0x003fb006,
    0x00077fcc,0x7fc437ee,0x3ffa2002,0xff000001,0xf100003f,0x0005ffff,
    0x0017fee0,0x005dd100,0x3a006ec4,0x00001fff,0x3a001df9,0x6fe81fff,
    0x7fc41fd8,0x6ffc4005,0xfd803ffa,0x03bf2001,0xd83ff300,0x3a2000ff,
    0xa800004f,0x900001ff,0x00dfb5ff,0x003fdc00,0x001bf500,0xffb016e0,
    0x3e00003f,0x3fea000e,0xd85ff984,0x007ff81f,0x0ff31fe4,0x74003fb0,
    0xffc8000e,0x0017fec0,0x00001ba2,0x400007f2,0x0bf20ef9,0x02fb8000,
    0x004f9800,0x3f603d80,0x880001ff,0x2010000c,0x1fd86ffb,0x3001fff8,
    0x807d105f,0x191001fd,0x0fff6000,0x22000df5,0x6400000c,0x17600001,
    0x2000035c,0x7c40002b,0x0d100006,0x000fffec,0x50000000,0x83fb0fff,
    0x0000fff8,0x007f6000,0x7fdc0000,0x0000003f,0x00000000,0x00000000,
    0x01fb0000,0xccaa7ecc,0xffd80642,0x0beeb89f,0xccccccb8,0x30b33321,
    0x88199999,0x0fec0fff,0x3621ffea,0xdeeeeeee,0x777775c3,0x76c47f64,
    0x3deeeeee,0x2777775c,0x037fffe2,0x3fb72a00,0x20002cde,0xcdefedca,
    0x372a0002,0x802cdefe,0xeeeeeed8,0x7775c3de,0x0fe604ee,0xfbb9efa8,
    0xd81542ff,0xffeeafff,0x7fec40ff,0x27e442ff,0x81ffffa8,0x0fec1fff,
    0xf981bfee,0x6402ffff,0x20fec0ef,0x02fffff9,0xf98077e4,0x1001efff,
    0x2e239ffb,0x22002efe,0xd711cffd,0x6c4005df,0xfd711cff,0xfff3005d,
    0xefc805ff,0xb807e400,0xffff12ff,0xffb04981,0x3ffa63ff,0x2ffff886,
    0x7ff406a8,0x41ffe81f,0x2ffdc1fd,0x03ffffa0,0x3fb05f10,0x01ffffd0,
    0x7f402f88,0x5c02ffff,0xff304fff,0xffb801bf,0xbfff304f,0x4fffb801,
    0x01bfff30,0x00ffffe8,0x2fc017c4,0x3e26ff98,0x360d06ff,0x7fdc3fff,
    0x5fffc83f,0x7ff403c8,0xd87fe81f,0x027fcc1f,0x401ffff6,0xd81fd81f,
    0x3f007fff,0x7ff476c0,0xfff503ff,0x4fffb80b,0x017ffea0,0x5409fff7,
    0x7dc05fff,0x7fec04ff,0x803f007f,0xfff882f9,0x20fffe61,0x3fffb058,
    0x886fff98,0x0740ffff,0x107fffa0,0x03fb05ff,0xffd80df9,0x303f007f,
    0xffffb015,0x7e407e00,0x0bffff22,0x005ffff1,0xf105fffd,0xfd005fff,
    0xfff105ff,0xfffd005f,0x3fffec05,0x7d401f80,0x5c6ffb80,0x04a81fff,
    0xf883fffb,0xfffb07ff,0x7f402cc9,0x0ff621ff,0x3fc80fec,0x01ffff60,
    0x3f6000fc,0x03f007ff,0xfff30ff1,0x07fffd8d,0x81ffff90,0x9007fffd,
    0xfd81ffff,0xff9007ff,0x3ff601ff,0x803f007f,0x4fff80fb,0x3b83ffec,
    0xf03fffb0,0xff301fff,0x740164ff,0x17d51fff,0x9300fec0,0xffffb03d,
    0xb0007e00,0x3e00ffff,0x980ffb81,0xfff11fff,0x3fea00bf,0x3ffe23ff,
    0xfff5005f,0x7fffc47f,0xffff5005,0x1ffff607,0x1f200fc0,0xf987ffea,
    0x201b04ff,0xff81fffd,0xfffd01ff,0x3fa00d17,0x03bd31ff,0xdb500fec,
    0x0ffffb01,0xfb0007e0,0x07e00fff,0x7d41bfee,0x9ffff53f,0x3fffe600,
    0x13fffea4,0x27fffcc0,0x009ffff5,0x413fffe6,0xf007fffd,0xfc87b803,
    0x17ffec7f,0xfffb02c4,0x40ffff03,0x04befffa,0xb83fffd0,0x203fb04f,
    0x3ff602fd,0x003f007f,0x007fffd8,0xbfff103f,0x3ee3ff01,0xf3003fff,
    0x7fdcdfff,0xff3003ff,0x7ffdcdff,0xfff3003f,0x3fff60df,0xa803f007,
    0x537fec0f,0x5b01fffd,0x20fffec0,0x7c06fff8,0xd001ffff,0xff883fff,
    0xfd81fd84,0x3fffec06,0x01881f80,0x200ffffb,0xdfffb01f,0xffb37c43,
    0x3e2007ff,0x3ff67fff,0xff1003ff,0x7ffecfff,0xfff1003f,0x3fff60ff,
    0x8803f007,0x9bfff41f,0x4c86ffcd,0x20fffec0,0x5c05fff9,0x3a006fff,
    0x7fe81fff,0x7fc41fd8,0x3fffec04,0x1fd81f80,0x007fffd8,0x3ffa203f,
    0x6c1d93ff,0x1003ffff,0x7ecfffff,0xf1003fff,0x7fecffff,0xff1003ff,
    0x3ff60fff,0x003f007f,0xefffd87f,0x544ffd8f,0x3ff60a0d,0x0fffe44f,
    0x00fffe20,0xe81fffe8,0x20fec1ff,0x7ec05ffb,0x03f007ff,0xfffb03fb,
    0xb007e00f,0x81ddffff,0x003ffffc,0x64dffff3,0x3003ffff,0x7e4dffff,
    0xf3003fff,0x3f60dfff,0x03f007ff,0xfffa89b0,0x51dff51f,0xfd83a89d,
    0xffa9ceff,0x1ff9003f,0x0ffff400,0x3f60fffc,0x2037fd41,0xf007fffd,
    0xfb03fb01,0x03e00fff,0x1bfffee0,0x013fffee,0x72ffffcc,0x2009ffff,
    0x2e5ffff9,0x3004ffff,0x360bffff,0x1f007fff,0xfb81f300,0x5676dc1d,
    0xfffb0580,0x07dfff93,0x20027cc0,0x7cc1fffe,0x20fec0ff,0x7ec07ff9,
    0x0f8807ff,0xffd81fd8,0x00f8807f,0x89ffff50,0x005ffff9,0x4c7ffff5,
    0x5005ffff,0x7cc7ffff,0xf5005fff,0x3f607fff,0x0f8807ff,0x0000b900,
    0xfffb02b8,0x40006a23,0x7ff4001e,0x43ffd41f,0x7ffc41fd,0x1fffee00,
    0x3f603e20,0x07fffb81,0x22000f88,0x7f41fffd,0xff9006ff,0xfffe81ff,
    0xffff9006,0x06fffe81,0x01ffff90,0x201fffee,0x0fa000f8,0xb02d4000,
    0x00003fff,0xffb000d1,0x85ffb81f,0x1fff81fd,0x03fffea0,0x07f60d50,
    0x003fffea,0x41db80d5,0x7fcc3ffd,0xffe801ff,0xffff983f,0x3fffe801,
    0x01ffff98,0x203fffe8,0x400ffffa,0x0fcc006a,0xb016a000,0xa8003fff,
    0x2200ae3d,0x30fffb1b,0x03fb0bff,0xff880ffd,0x826c01ff,0xfff881fd,
    0x3026c01f,0x3ff98bff,0x404fffd8,0xb00efffa,0xfa809fff,0xffb00eff,
    0xfffa809f,0x3ffe200e,0x0026c01f,0x20006744,0xffe804c8,0x7ffc001f,
    0x57f200d0,0xffd06ffc,0xff983fb0,0x6fffd803,0x1fd81b20,0x40dfffb0,
    0x2ffcc06c,0x7e407fe2,0xfff100ff,0xfffc801b,0x1bfff100,0x00fffc80,
    0x001bfff1,0x640dfffb,0x175c0006,0x80176440,0x4002ffff,0x003cbfff,
    0x07ff2df9,0x3f60cfd8,0x8013f661,0x88aefffd,0x3f600fda,0x3bfff601,
    0x00fda88a,0x2fe44fd8,0x107ffea0,0x54009ffb,0x7ec41fff,0x3fea004f,
    0x27fec41f,0x3bfff600,0x00fda88a,0xdedc8800,0x02dedcab,0xbffff710,
    0x3fee0013,0x3fa2003f,0xda803efc,0x3ae3fb2e,0xffb8001d,0x00cfffff,
    0x3ee00fec,0x0cffffff,0xf9bfb100,0x3b26007f,0x2defedef,0xefec9800,
    0x002defed,0xedefec98,0x70002def,0x9fffffff,0x22000001,0x880009a9,
    0x0aaaaaaa,0x8000a200,0x4c0000a8,0x4400000a,0x30009aa9,0x2a620015,
    0x5100009a,0xa9800015,0x4c000009,0x4000009a,0x000009a9,0x0026aa62,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xd70ee440,0x5cc00007,0xeeeeedcc,0x000000ee,
    0x54400001,0x000001aa,0x000aaaa2,0x000d5540,0x01004400,0x00155544,
    0x1aaa9800,0x0d554000,0x02aaa880,0x01555440,0x3fe2dff9,0x8591001f,
    0xcfffffe9,0x25c0efaa,0xffd95000,0x00017bdf,0x0003ffec,0x03fff900,
    0xdfff7000,0xfd710000,0x34379dff,0x007fff20,0x17ffa000,0xffff3000,
    0x1fff6001,0x03fff700,0xff8b7fe4,0x42fb801f,0xfffffffa,0x17dc0fe1,
    0x39ffb100,0x00bffae2,0x002ffd80,0x03ffd000,0xffff1000,0x7e40005f,
    0xda99ceff,0xfc806fff,0x4c00003f,0x40000eff,0x004ffffd,0xe800bff6,
    0x76c401ff,0x2e013ae1,0x7fffc42f,0x0be1ffff,0xfb802fb8,0xfff304ff,
    0xfd10001b,0xf3000009,0x3200003f,0x006fdaff,0x02fffe98,0x6401bfe6,
    0x6400006f,0x540000ef,0x01ffbbff,0x4c013fa0,0x000002ff,0xffc86fa8,
    0x21ffffff,0x00ffc02f,0xa80bfff5,0x10004fff,0x900000fd,0x2200005f,
    0x00ff20ef,0x03ffff88,0x36006f98,0x3a00001f,0xfe80000e,0x88017ea2,
    0x05f7007e,0xff300000,0xfffffb05,0x017c3fff,0x3e203ff2,0xff802fff,
    0x910002ff,0x2b800001,0x03760000,0x7f4003ee,0x1ae005ff,0x00003700,
    0x20000322,0x01f980eb,0x2e003220,0x66665c02,0x333321cc,0xff83ff42,
    0x1fffffff,0xbff100be,0x00ffffb0,0x003ffff2,0x00000000,0x00000000,
    0x007fffee,0x00000688,0x00000000,0x00000000,0x5ffffb10,0x7cc4fc88,
    0xffffd05f,0x17c3ffff,0xf107fec0,0x2a00bfff,0x8003ffff,0x9000001c,
    0x32000003,0xfffe8001,0xdb328007,0xdddddddd,0x41dddddd,0xeeeeeeeb,
    0xdddd902d,0x3bbb661b,0xeeeeeeee,0x3260eeee,0xdeeeeeee,0xddddd933,
    0xff887bdd,0xd86a82ff,0xfff903ff,0x7c3fffff,0x24ffc802,0x004ffffa,
    0x009ffff3,0x00000bf0,0x4000017e,0x7fd4005f,0x880006ff,0xaabfffff,
    0x40fffeca,0x06fffff9,0x880cfe88,0xaabfffff,0x80fffeca,0x04fffff8,
    0x09fffff1,0x642fffe4,0x817ffc43,0xfffffffa,0x2a00be1f,0xfff70fff,
    0x3fe6007f,0x7dc006ff,0x5c00000f,0x400000ff,0x2e000ffb,0x0004ffff,
    0x01ffff90,0x3e603fee,0xe800ffff,0x7fffe405,0x201ff700,0x201ffffd,
    0x201ffffd,0x740ffff8,0x80fffd40,0xffffffe8,0x2600be1f,0xfffb1fff,
    0x3fe2007f,0x7f4007ff,0x7400004f,0x400004ff,0x36004ffe,0x0003ffff,
    0x01ffff90,0xffd807dc,0x07cc03ff,0x03ffff20,0xff900fb8,0x7fe401ff,
    0x7fec00ff,0x3ee1664f,0x3fa201ff,0x3e1fffff,0x2fff9802,0x007ffffb,
    0x01ffffe2,0x00ffffa8,0xffff5000,0x3ea00001,0xfb000fff,0x00007fff,
    0x103ffff2,0xff8807c4,0x0fa00fff,0x03ffff20,0xfc807c41,0x3f200fff,
    0x7cc00fff,0x320b27ff,0x74400fff,0x3e1fffff,0x3fff9802,0x007ffff9,
    0x01bfffe6,0x03ffffd8,0xffffb000,0x3f600007,0xf9003fff,0x00009fff,
    0xb03ffff2,0x3ff200d8,0x00d504ff,0xb03ffff2,0xfff900d8,0x7ffe401f,
    0xfffe800f,0xfffb068b,0x36e62001,0x2200be1f,0xfff74fff,0x3fea009f,
    0xff3005ff,0x0000dfff,0x0dfffff3,0xffff3000,0x3fe600df,0x900005ff,
    0x34c1ffff,0xffff1002,0x002e881f,0x4c1ffff9,0xfff90046,0x7ffe401f,
    0xfffa800f,0xfffb04be,0x43f10001,0xfff9802f,0x0bffff34,0x13fffea0,
    0x7ffe5e40,0x5e40002f,0x002ffffc,0x7ffe5e40,0xffff002f,0x3f20000d,
    0x01ae0fff,0x17fffee0,0x7fe400b9,0x801ae0ff,0x200ffffc,0x000ffffc,
    0x203fffff,0x8000fffc,0x200be1f8,0x3fa3fff9,0xff7006ff,0x1f1001ff,
    0x00bffff1,0x7fc47c40,0x220005ff,0x5ffff88f,0x1ffffb00,0xfff90000,
    0x001ba61f,0x88fffff4,0x3ff2000f,0x00dd30ff,0x007fffe4,0x001ffff9,
    0xb81bffee,0x88001fff,0x2600be1f,0x3fe62fff,0xffe801ff,0x6c99003f,
    0x0001ffff,0x7fffec99,0x6c990001,0xb801ffff,0x4004ffff,0xcffffc80,
    0x50006ffd,0x0f6bffff,0x9ffff900,0x6400dffb,0x3200ffff,0x1000ffff,
    0x7d407fff,0xf88001ff,0x3e600be1,0x7ffec1ff,0x37ffd405,0x7fd41f00,
    0x1f0004ff,0x027fffd4,0x3fea0f80,0xffb004ff,0x132003ff,0x373ffff2,
    0x3a0006ff,0x006cffff,0xdcffffc8,0x3f2006ff,0x3f200fff,0x32000fff,
    0x3fe200ff,0x1f88002f,0x3fee00be,0x0fffd80f,0x003bffa0,0x7fff42dc,
    0x42dc000f,0x000ffffe,0x7fff42dc,0xffe8800f,0x0f6c406f,0x987fffe4,
    0x3e60006f,0x8002ffff,0xf30ffffc,0x7ffe400d,0x3fff200f,0x13e6000f,
    0x000fff20,0x802f87e2,0x3f204ffc,0x7fec41ff,0x207a000e,0x003ffffb,
    0x7ffdc0f4,0x40f4003f,0x003ffffb,0x4b3ffff2,0x3204eb98,0x1aa0ffff,
    0xffffb000,0xfff90001,0x9003541f,0x6401ffff,0x4000ffff,0x5ff8801e,
    0x3e1f8800,0x00ffd802,0x76f7fdc4,0x54002dff,0xfccccccf,0x2a007fff,
    0xfccccccf,0x2a007fff,0xfccccccf,0x4c007fff,0xfffffffc,0x7ffe402e,
    0x0041a20f,0x00ffffc8,0x0ffffc80,0x7e4041a2,0x3f200fff,0x22000fff,
    0x03ff6006,0x17c3f100,0x0013fe20,0x007ffffb,0x2aaab360,0x2ffffdaa,
    0x55559b00,0x5ffffb55,0x2aab3600,0xffffdaaa,0x5f530002,0x7ffe4001,
    0x01542c0f,0x00ffffc8,0x0ffffc80,0x7e41542c,0x3f200fff,0x7b500fff,
    0xff10015c,0x21f88009,0x077e402f,0x3fffe200,0x034c001f,0x01bfffe2,
    0xfff101a6,0x80d300df,0x006ffff8,0x8003bee0,0x040ffffc,0xffc800ec,
    0xfc8000ff,0x6c040fff,0x0ffffc81,0x03ffff20,0x00687ffc,0x2000ff98,
    0xf00be1f8,0x3ea0001f,0x6c006fff,0xffffd803,0x6c01ec02,0x6c02ffff,
    0xffffd803,0x7ff70002,0x7fffe400,0x8007d400,0x000ffffc,0x00ffffc8,
    0x7fe407d4,0x3ff200ff,0x7fff00ff,0x3e600079,0xf87e2004,0x0007f202,
    0x9dffff50,0x801f9805,0x206ffff9,0xff9801f9,0x07e606ff,0x1bfffe60,
    0x003fe800,0x807ffff6,0x3f6007fa,0xd8000fff,0x2a01ffff,0xffffb07f,
    0x7fffec01,0x07fff700,0x004e9800,0xd817c3f1,0x9100001e,0x1fffffff,
    0x8803fe88,0x883fffff,0xff8803fe,0xfe883fff,0xffff8803,0x7e4c003f,
    0x3ffa000e,0xd7311cff,0x7f400dff,0xe8002fff,0x311cffff,0x3a0dffd7,
    0x3a02ffff,0x2202ffff,0x15400002,0x01505440,0x40000057,0xff901a99,
    0xd9307bff,0x1dffffff,0x0f7ffff2,0x3ffffb26,0xfff90eff,0xfd9307bf,
    0x01dfffff,0x20055710,0xfffffec9,0xffffffff,0x7f65c05f,0x0cdfffff,
    0x3fffb260,0xffffffff,0x3b265fff,0x3dffffff,0xfffffd93,0x000007bf,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x35550000,0xa8373000,0x02e60001,0x15400015,0x500002e6,
    0x0000b885,0x000aaaa0,0x002e2154,0x3b62a800,0x3bb24eee,0x054c04ee,
    0x00000371,0x02e60000,0x10aa0013,0x7ffd4017,0x3ff62006,0x000e9bef,
    0xbdfffe88,0xf90000f9,0x01bfe27f,0xf14ffb80,0x2a0000ff,0xb8002fff,
    0x0fff14ff,0xfd0f4000,0x37fec0bf,0x7f4dff50,0x3ae0001f,0xd880002e,
    0x1e9bdfff,0xf14ffb80,0x3ffa01ff,0xff5003ff,0x00dfffff,0x3ffffee0,
    0x3a0005ff,0x3fff75ff,0x5bffa000,0x0001fffa,0x0003ffd8,0x3feadffd,
    0x6980001f,0xf701fff4,0x7ffe40df,0x003fff88,0x05d33b70,0xffffa800,
    0xfb006fff,0x0bffeadf,0x1ff6bfee,0x7fed56c0,0x5b0002ff,0x03ffffb5,
    0x897fdc00,0x2a0005ff,0x01bfa3ff,0x001ffc00,0x7f47ff50,0x87900006,
    0x3ea02ffe,0x93fe606f,0xd0000ffd,0x20002d43,0xffffdabc,0x47ff5002,
    0x1ef886fe,0x20a00ff2,0x41400029,0x1100002a,0x11000030,0x2a000030,
    0x0880004f,0x3e000018,0x5017ff40,0x30100dff,0x2a1e8000,0x541c0005,
    0x18088003,0x1f501b90,0x00000000,0x00000000,0x00000000,0x00000750,
    0x16a00000,0xfa80bffa,0x0000006f,0x05d53b70,0x00000000,0x3aa00000,
    0x203eeeee,0x04eeeeeb,0x6f7f6e54,0x32a0002c,0x02cdefed,0xeeeeed88,
    0x775c3dee,0x00004eee,0x001c8000,0x27ff64c0,0xf5017ff4,0x3bbb66df,
    0xeeeeeeee,0x4000eeee,0x00002efb,0x64c001c8,0xdeeeeeee,0x3bbbb263,
    0x7ec3deee,0x2602ffff,0x36200efc,0xfd711cff,0x7ec4005d,0xdfd711cf,
    0xffff3005,0x0efc805f,0x777776cc,0xeeeeeeee,0x5f8000ee,0x23bee000,
    0x3fa0dffc,0x1bfea02f,0x57fffff1,0x1fffd955,0x000bf000,0x40017e00,
    0x04fffff8,0x13ffffe2,0x1fffffe8,0xfb80be20,0xfff304ff,0xfffb801b,
    0x1bfff304,0x0ffffe80,0xf1017c40,0x5557ffff,0x001fffd9,0x8000ffb8,
    0xfff72ffb,0x5017ff47,0xfff90dff,0x03fee01f,0x001ff700,0x00ffb800,
    0x3ffffb00,0x1ffffd80,0x3fffff20,0x5407e00e,0x7dc05fff,0x3fea04ff,
    0x7ffdc05f,0x3fffec04,0x7e401f80,0xff700fff,0x4ffe8001,0x87ffc400,
    0x3fa5fffe,0x1bfea02f,0x803ffff2,0x7f4000fb,0x7400004f,0xf90004ff,
    0xfc801fff,0x33200fff,0x205fffff,0xffff881e,0x2fffe802,0x02ffff88,
    0x202fffe8,0xf007fffd,0xffffc803,0x8003ee00,0x000ffffa,0x56cdbff2,
    0x0bffa2ff,0xfc86ffa8,0xf1040fff,0x7ffd4001,0xf500000f,0x90001fff,
    0xc801ffff,0x3200ffff,0x4fffffaa,0xfffb03d0,0x3fff200f,0x3fffec0f,
    0x0ffffc80,0x00ffffb0,0xfff9007e,0x03e2081f,0x3ffffd80,0x65bffa00,
    0x2ffe8112,0x321bfea0,0x22c0ffff,0x3ff6000d,0xb00003ff,0x0007ffff,
    0x801ffff9,0x200ffffc,0xfffff92c,0xff883d05,0xff5005ff,0x7ffc47ff,
    0xfff5005f,0x3fff607f,0xc803f007,0x22c0ffff,0xfff3000d,0x7fc00dff,
    0xffe80f7f,0x21bfea02,0x260ffffc,0xff300046,0x0000dfff,0x0dfffff3,
    0x1ffff900,0x0ffffc80,0xfffd8b20,0x2a0f40ff,0x3004ffff,0x7d49ffff,
    0xf3004fff,0x3f609fff,0x03f007ff,0x20ffffc8,0x79000469,0x005ffff9,
    0x097ffff1,0x2a02ffe8,0xfffc86ff,0x8001ae0f,0x2ffffcbc,0x7e5e4000,
    0x64002fff,0x6400ffff,0x3200ffff,0x3ffffa22,0xff707a0e,0x3e6007ff,
    0x3fee6fff,0xff3003ff,0x3ff60dff,0x803f007f,0x2e0ffffc,0x11f10006,
    0x200bffff,0x401ffffe,0x3ea02ffe,0xffffc86f,0x2000dd30,0xffff88f8,
    0x23e20005,0x005ffff8,0x007fffe4,0x803ffff2,0x7fffcc2c,0xffb07a5f,
    0x3e2007ff,0x3ff67fff,0xff1003ff,0x3ff60fff,0x803f007f,0xd30ffffc,
    0xd932000d,0xd801ffff,0xfe806fff,0x1bfea02f,0x373ffff2,0x990006ff,
    0x00ffffec,0x3ff64c80,0x3f2001ff,0x7e400fff,0x0b200fff,0x4fffffea,
    0x7fffec1e,0xffff1003,0x1ffffecf,0x7ffff880,0x00ffffb0,0xfff9007e,
    0x00dffb9f,0xfffa83e0,0xfffb804f,0x3ffa182f,0x21bfea02,0xfdcffffc,
    0x41f0006f,0x004ffffa,0x7ffd41f0,0x3ff2004f,0x7fe400ff,0x40b200ff,
    0xe9fffffb,0x1ffffe41,0x6ffff980,0x00fffff2,0x837fffcc,0xf007fffd,
    0xffffc803,0x8006ffdc,0xffffe85b,0xffffe800,0x3fa4b88a,0x1bfea02f,
    0x4c3ffff2,0x85b8006f,0x000ffffe,0x7fff42dc,0xfff9000f,0xfffc801f,
    0xd80b200f,0x41ffffff,0x004ffffb,0x5cbffff3,0x3004ffff,0x360bffff,
    0x1f007fff,0x0ffffc80,0x3d000df3,0x07ffff70,0xffffff10,0x02ffe8bf,
    0x3f21bfea,0x01aa0fff,0x3fee07a0,0x0f4003ff,0x01ffffdc,0x00ffffc8,
    0x007fffe4,0x7ff44059,0x7fcc1fff,0xff5005ff,0x7ffcc7ff,0xfff5005f,
    0x3fff607f,0x400f8807,0x2a0ffffc,0x667d4006,0xffffcccc,0xfffdb007,
    0x2ffe819d,0x321bfea0,0x1a20ffff,0xcccfa804,0x7ffffccc,0x3333ea00,
    0x7ffffccc,0x1ffff900,0x0ffffc80,0xff100b20,0xffd03fff,0x3ff200df,
    0x7fff40ff,0xffff9006,0x1fffee01,0xf9003e20,0x83441fff,0x55559b00,
    0x5ffffb55,0x01517880,0xf5017ff4,0xffff90df,0xb02a8581,0xb5555559,
    0x2005ffff,0xaaaaaacd,0x802ffffd,0x400ffffc,0x200ffffc,0xfff9802c,
    0xffff981f,0x3fffe801,0x01ffff98,0x203fffe8,0x400ffffa,0xfffc806a,
    0x41542c0f,0x7ffc4069,0x0025c06f,0x7d405ffd,0xffffc86f,0x4c0ec040,
    0x7fffc406,0x44069806,0xc806ffff,0x6400ffff,0x3600ffff,0x3fff7002,
    0x013fff60,0x201dfff5,0x5404fffd,0x2200efff,0x6c01ffff,0xffffc804,
    0x6c0ec040,0xffffd803,0xe8007a02,0x3fee02ff,0x0ffffc86,0x1ec07d40,
    0x17fffec0,0x3f600f60,0x7e402fff,0x7e400fff,0x17e00fff,0x201ffd80,
    0xf100fffc,0xfc801bff,0xfff100ff,0xfffb001b,0xc803640d,0x5400ffff,
    0x400fcc0f,0x306ffff9,0x2ffe800d,0x361bfee0,0x2a01ffff,0x801f987f,
    0x206ffff9,0xff9801f9,0x7fec06ff,0x7fec00ff,0x1ff300ff,0x200ff400,
    0x6c41fffa,0x3ea004ff,0x7fec41ff,0x7ffec004,0x0fda88ae,0x3ffffb00,
    0x3a23fd40,0xfff8803f,0x002c83ff,0x260f7ff4,0xfe86ffe9,0x7311cfff,
    0xfe88dffd,0xffff8803,0x03fe883f,0x3fffff88,0x0bffffa0,0x85ffffd0,
    0x1dffffea,0x9801f880,0xefedefec,0xec98002d,0x2defedef,0xffff7000,
    0x40019fff,0x11cffffe,0x64dffd73,0x983dffff,0xffffffec,0x50002a0e,
    0x55455555,0xfd932aaa,0xffffffff,0x64bfffff,0x983dffff,0xffffffec,
    0xbffff90e,0xfffd9307,0x3261dfff,0xdffffffe,0x3fffb263,0x0003dfff,
    0x26000260,0x4000009a,0x000009a9,0x0026aa62,0x7ffff64c,0xffffffff,
    0x000005ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00300000,0x00a00200,0xa803ddd3,0x2a001aaa,0x04c00aaa,0x35553000,
    0x01eee980,0x4c000220,0x00060000,0x0002fae2,0xaaa98000,0x02aaaa01,
    0x00004000,0x2e601310,0x544001cf,0x43deffec,0x7fff406c,0x2fffc405,
    0x0bfff300,0xd0000fd8,0xfe801dff,0xeea806ff,0x3ee002ee,0x3fb22002,
    0xe800cfff,0xe9806dac,0xe8016cc3,0x3ea00eff,0x2e0003ff,0x000beffe,
    0x3ea07ec0,0x1cefdfce,0x473ffa60,0xebafffc9,0x3fffee00,0x3ffcc02f,
    0x01ffe600,0xf10005f7,0xffa801df,0x3f202fff,0x803ff98f,0x3a6005f9,
    0x3fff70ef,0x007a2d40,0x0bb2bba6,0x0077fc40,0x80037fd4,0x6ffc8cfe,
    0x2e37c000,0x7fe47e7f,0x02fffb81,0x403ffff3,0x0df94ff8,0x8005ff30,
    0x3e202ff9,0x0ffb8005,0xfca7fc40,0x7cdff306,0x07f401ff,0xf87fff00,
    0xb12e06ff,0x17fe2005,0x001ff700,0x20007fd4,0x17ff47fc,0x263f9800,
    0xfc87e3ff,0x037ffd41,0xc813fff2,0x4017dc2f,0xf98005f9,0x4003f405,
    0x3fc801fe,0x7fe417dc,0xb813ffe5,0x3fe6003f,0x07fff42f,0x00d52f88,
    0x00bff3aa,0xb8001fe8,0x3fe2003f,0x0027fe46,0x3ff21fc8,0x21f887e3,
    0x402ffff9,0x881ffff8,0x200b501d,0x09300049,0x64002fb8,0x501d8801,
    0x74bffd0b,0x0bf305ff,0x42fffb80,0x2a00fffe,0x74401dfe,0x003ff50d,
    0x3a800072,0x83ffea00,0xf0001ffa,0xf1effd8d,0x3ff61c83,0x7ff4407f,
    0x000006ff,0x4c000000,0x0000004f,0xd2fff400,0x03fa0bff,0x85fff900,
    0x01005ffe,0x0fff40c0,0x00000000,0xf91fffdc,0x13e6000d,0x3f5ffff7,
    0x3fffe208,0x7fde6c05,0xfd9302ff,0xeca8017b,0xc9801bef,0x3a00bdfe,
    0xbfd93007,0xfeca8017,0xbffb01be,0x7dc27ff4,0xfffd8003,0x5017ffc2,
    0x0037dfd9,0x3bff2ae6,0x7dfd9500,0xbfd91003,0x3ffea005,0x0001bf76,
    0xfff107ee,0x7dc03fff,0x57205fff,0xa84ffff9,0x1ffb8bff,0xfa9afd88,
    0x3fea03ff,0x901ffb8b,0xbffa803f,0xd881ffb8,0x3fffa9af,0x3fe6ffb8,
    0x002fcc1f,0xb32fffd8,0x3f62019f,0x03fffa9a,0x3faf7fea,0x57ec44ff,
    0x203fffa9,0x4fe89ffa,0xeffff880,0x3f40002e,0xefffffd8,0x9ffff901,
    0x7fcc3ae0,0x37fd45ff,0xdfb03ffa,0xa81fffc8,0x07ff46ff,0xff5027cc,
    0x6c0ffe8d,0x0fffe46f,0x5ff8bff4,0xb0000fe8,0x3f6a5fff,0xc8dfb03e,
    0xffa81fff,0x83fffe26,0x7ffe46fd,0x2a4ff981,0xffe802ff,0xddddb06f,
    0xd813e20b,0x84ffffff,0xa83ffffd,0x3fffe60f,0x3227ff47,0x3ffe66ff,
    0x20fffee2,0x7fe44ffe,0x7f40df06,0x337fe44f,0x7fdc5fff,0xdcfd883f,
    0x003fb83f,0x90bfff60,0xfff989ff,0x20fffee2,0x7fec3ffe,0x45fff33f,
    0xfe83fffb,0x81bfe22f,0x3fffffd9,0x5c07ffb0,0x7ffdc02f,0x3f60efff,
    0x0fcc3fff,0xb9ffffe6,0x7fdc3fff,0x47fff11f,0x7dc3fffb,0x7ffdc3ff,
    0xfb81fc81,0x7ffdc3ff,0x5c7fff11,0x2a203fff,0x885f8809,0x3f602cdb,
    0x7ffd42ff,0xb8fffe22,0x7fc43fff,0xa7ffe42f,0x3ee3fff8,0x7ffd43ff,
    0x103ffe20,0x3fffa7fb,0x404fb81f,0xffd1007e,0x7fdcbfff,0x20be24ff,
    0x327ffff9,0x7fdc3fff,0x442f6a3f,0x7e44fffd,0x7ffdc3ff,0xfc83fa83,
    0x7ffdc3ff,0x6c42f6a3,0x20004fff,0x4ffd40fe,0xffd80efb,0x27ffcc2f,
    0x7ec42f6a,0x7ffdc4ff,0x52fffdc2,0x3ff6217b,0x4fffdc4f,0x22fff999,
    0x3fe65fe8,0x036c0eff,0xff0017e2,0x3ea1ffff,0x07d14fff,0xd9bfffea,
    0x7fdc2fff,0xfbf9105f,0xfffd89ff,0x82fffdc2,0x2fffd86f,0x882fffdc,
    0x04fffdfc,0xf887f700,0xb0dff15f,0xff985fff,0x37f2206f,0x7fec4fff,
    0x2fffdc2f,0xfffdfc88,0x777ffec4,0x3a2eeeee,0x7ffec3ff,0x5007e25f,
    0xfbf8005f,0xfff13fff,0xfb813abf,0x3ffa3fff,0x2fffdc2f,0x7fdcffdc,
    0x17fff44f,0x6c17ffee,0x17fff40f,0x2e17ffee,0x4fffb9ff,0xd85f8800,
    0x0bffe4ff,0xf985fffb,0x3ff707ff,0xfe89fff7,0x7ffdc2ff,0xfb9ffb84,
    0x7fff44ff,0x4fffa801,0xa7ffffc4,0x00fd803e,0xff33f013,0x77fff4df,
    0x7ffe405d,0x0bfff60f,0x7449fff7,0x9fff70ff,0x5c2fffd8,0x7f504fff,
    0x5c2fffd8,0x3fa24fff,0x09fff70f,0xfd01fd00,0x227ffc9f,0x7c42fffd,
    0x7ff447ff,0xc89fff70,0x7fdc2fff,0x43ffa23f,0x7ec4fffb,0xffc802ff,
    0xffff986f,0x5f8805ef,0x647e0ae0,0x3ffe26ff,0xfffe806f,0x217ffe44,
    0x3f63fffb,0x13ffee4f,0xfb85fff9,0x8bf103ff,0x7dc2fffc,0x93ff63ff,
    0x4004fffb,0x9fff03fb,0x3f62fffc,0x7ffc42ff,0xf727fec5,0xfffb89ff,
    0xb0fffdc2,0x7ffdc9ff,0x02fffe44,0x40ffffec,0x04fffffa,0x16e03fa8,
    0x227fdc7e,0x4c04fffb,0x7cc0efff,0x7ffe43ff,0x5c7fff10,0x7fcc4fff,
    0x07ffe43f,0x7fcc1fb0,0x87ffe43f,0x3ee3fff8,0x3e2004ff,0xf97ffa05,
    0x7ffec4ff,0x93ff6552,0x3ee3fff8,0x7ffcc4ff,0x887ffe43,0x3fee3fff,
    0x7fffcc4f,0xfff91b81,0xfff903ff,0xb0dc1bff,0x217dc01f,0xd01ff91f,
    0x7f405fff,0x9ff900ff,0x3ee4ffd8,0xfffcaeff,0x44ffc84f,0x7dc04ffd,
    0x3627fe42,0x3ffee4ff,0x4ffffcae,0xd803fa00,0x0bffe5ff,0xff55fffb,
    0x7dc3ff73,0xfffcaeff,0x44ffc84f,0x3fee2ffd,0xffffcaef,0xbffffe84,
    0x7ffcc950,0xf710afff,0xbbffffff,0x7dc06f89,0x3fea7e2f,0xfffdf982,
    0x06ffecc1,0x261ffd10,0x3fe60dff,0xfffadfff,0x3ffa20df,0x801bff30,
    0x7ff445f8,0x4c1bff30,0xfadfffff,0x5c00dfff,0xb7fc403f,0xfff86ff8,
    0xfb9ff9af,0x7ffffcc3,0x0dffffad,0xff987fec,0x7ffffcc4,0x0dffffad,
    0x3fffffe6,0xffffb86f,0xbaefefff,0x46ffffff,0x7e4c03f9,0x0dfefdff,
    0xff912f88,0x037bfdbf,0x7feffe40,0x45dff904,0xf900effc,0x4009ffbf,
    0xfbff907e,0x3bff209f,0x003bff22,0x3ea00df1,0x220efb9f,0xd72ffffe,
    0x3ff207bf,0x03bff22e,0x1f7eff64,0x322effc8,0xfe880eff,0xd500cfff,
    0x85dfffff,0x40efffe9,0x266001fc,0x81e402fa,0x80001a98,0x401000a9,
    0x00153000,0x54c01530,0x00401000,0x22000ec8,0x00003ddc,0x40020080,
    0x401000a8,0x00198800,0x30026aa6,0x000aa015,0x000001f8,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0x00004018,
    0x15554400,0x007ddb10,0x000deeb8,0x10000000,0x40008013,0x40008018,
    0x11000098,0x04020040,0x00000000,0xefedca80,0x260002cd,0xdffffedb,
    0xca80950b,0x03d10def,0x201fffc8,0x000ffffc,0x009ffff1,0x5c02ffb8,
    0x3a002efe,0x00fb500f,0xfb502fcc,0x000fe800,0x9dfffd71,0x7ecc3437,
    0x00b0cfff,0x883eeda8,0x0002dfda,0x2239ffb1,0x4002efeb,0x260bfffb,
    0x104feffc,0x9fd13dfd,0xffe803ff,0x3fffe601,0xfff9004f,0x3e2001ff,
    0xbd900fff,0xf9001fff,0x0fffb705,0x6dc07f40,0x3f2007ff,0xdfff9002,
    0xfffb5339,0x30aefc8d,0x2e00fffb,0xff101dfe,0x8003bee5,0xf304fffb,
    0xe9801bff,0x3a200eff,0x1ffb04ff,0x00ffffcc,0xfd805ff3,0x400ffb8d,
    0x4fe8bff9,0x1ffff300,0x17fd4710,0xfd017e60,0x00bf200f,0x3e600ffd,
    0xfffe9805,0xb9bfe602,0x0ff700ff,0x401ffe88,0x13fe26fd,0x02fffd40,
    0x8813ffee,0x8802ffff,0x6ffd84fe,0x201ffff8,0x27d402fc,0x3fb013ea,
    0xfd000fd8,0x17ee00bf,0xfd003fa0,0x00bf300f,0x3fa00ffd,0x7fffc400,
    0x3e6f9803,0x303ec05f,0xfa803fff,0x017ff44f,0x00bfffe2,0x6c0bfffa,
    0x22005fff,0x27ffc44f,0x700ffff4,0x2607b005,0x201b300d,0x00aa003c,
    0x9013fee2,0x0ffd005f,0xfd001fd0,0x005f900f,0x400bfffd,0x80fff36b,
    0xfff880f8,0x44fff802,0x7ec06ffd,0xff9007ff,0xfffb81ff,0x2264001f,
    0xfe83fffa,0x000001ff,0x00000000,0x9fffb100,0x74017e60,0x017e407f,
    0x7cc07fe8,0xffffb805,0x7d5a2001,0x406c05ff,0xf8806ffd,0x3ffec3ff,
    0x0bffff10,0x0ffffea0,0x000fffff,0x3fffc871,0x101fffe8,0x8805bfd9,
    0x9902dfec,0x33263999,0x08800ccc,0x41ffe600,0xffd000fe,0xd002fcc0,
    0x00fe80ff,0x007fffe8,0xdffff328,0x3fee0603,0xfffa803f,0x80fffec3,
    0x004ffffa,0x4c9ffff3,0x0006ffff,0xd05fffb0,0xff503fff,0x2a09fd13,
    0x84fe89ff,0x2a3ffff8,0xa800ffff,0x427e4002,0x3fa002fb,0x8003fa07,
    0x0bee07fe,0x1bfffea0,0xfffff000,0xffd003bf,0x7037753f,0xffd87fff,
    0xffff702f,0x3ffe6007,0x3fffea6f,0xff900005,0x3fffd07f,0x3ea4ff98,
    0x527fcc2f,0xfffb05ff,0x00ffff87,0x832601c8,0x02fcc0fa,0x7e41ffa0,
    0x83ff4002,0xff7005f9,0xa80009ff,0xdfffffff,0xfffff300,0xfc89ffff,
    0x7ffec3ff,0x7ffffb03,0x3fffe200,0x13ffff27,0x7ffd4000,0x41fffe83,
    0x3fe22ffe,0xf117ff46,0x7fff90df,0x400ffff8,0x3ff200fa,0x0fe83ebc,
    0x5fff3100,0x1002fcc1,0xe815fff3,0xfffb000f,0xf700007f,0x7fffffff,
    0x31bfff70,0x7ecbfffb,0x7ffec3ff,0x7ffffb05,0x3fffe200,0x0fffff67,
    0x7ffc4000,0x21fffe85,0x3e20fffa,0x1fff50ff,0x3207ffc4,0x7ffc3fff,
    0x013ee00f,0x2e02aee6,0x547b102f,0x3a1aaaaa,0x02f6a20f,0x43555555,
    0x47b102fb,0x003ffffd,0xfffff700,0xffc89fff,0x97fffc4f,0x7ec3fffe,
    0xfff905ff,0x3fe6007f,0x3ffee6ff,0x2666204f,0x3a099999,0x3fe60fff,
    0x3ffee1ff,0x2fff9999,0x3333fff7,0xffc85fff,0x07fffc3f,0x0001ffd8,
    0x3f605f98,0x88bf2004,0x002fffff,0x4fd817e6,0x013ffff2,0xfffc8800,
    0x3f62ffff,0x7ffe43ff,0xc87fffb4,0xff704fff,0x3e6009ff,0x3fea5fff,
    0x3ae205ff,0x22cfffff,0xebaefffa,0x3f61ffff,0xeeeeeeff,0xddfffb2e,
    0xc85ddddd,0x7ffc3fff,0x05ffe80f,0x201fd000,0xf3004ffc,0xffc9dc8b,
    0x403fa006,0x3fe64ffc,0x800005ff,0x5fffffd8,0xf50ffffa,0x3fff2dff,
    0x81fffec3,0x005ffff9,0x447ffff5,0x9806ffff,0xf305ffff,0xffd1dfff,
    0x0ffff43f,0x00ffff40,0xf87fff90,0x7fe40fff,0xfb80002f,0x09ffb703,
    0xe8303fa0,0x07f7006f,0xff13ff6e,0x5c000dff,0x3fffa601,0x89fff90f,
    0xff76fffa,0x2fffd87f,0x01bfffa0,0x207fffe4,0x8807fffe,0x4c04ffff,
    0x87fffa0a,0xd802fffd,0x32002fff,0x7ffc3fff,0x0ffffc0f,0x26003db1,
    0xff1d305f,0x005f7009,0xbf3007ff,0x13fe3a60,0x001ffffb,0xfd1012e0,
    0x3ffee3ff,0xaafffcc5,0x7fec3fff,0x3ffe600f,0xfffe801f,0x2ffff983,
    0x27fffc40,0x0ffff400,0x900bfff9,0x6400bfff,0x7ffc3fff,0x3fffe60f,
    0x401bfea0,0xf0e880fe,0x05f9809f,0xfd006f98,0x3fe1d101,0x27fffdc4,
    0x4035c200,0xff30fff9,0x3fff98bf,0xfd89fff1,0xfffd807f,0x77ffd404,
    0x1ffff700,0x27fffc40,0x0ffff400,0x703ffff3,0x07fffe63,0x7fff706e,
    0x220ffff8,0x3e61ffff,0x83fb807f,0xdff99ae8,0x2003fa00,0x3fb800ed,
    0xff99ae88,0x7fffec0d,0x3ee99001,0x747ff804,0x7ffcc7ff,0xfb13ff21,
    0x3ff2007f,0xbfff100f,0x5fffd801,0x13fffe20,0x07fffa00,0x217ffffd,
    0x7ffff44a,0xff50950b,0x7fffec9f,0x227fffc1,0x2fcc05ff,0xffffff98,
    0x005f705f,0x4c0621d9,0xffff305f,0xfe88bfff,0x76c406ff,0x5405ff71,
    0x7ffcc2ff,0xf317fea2,0x00fff8bf,0x107ffea0,0x54009ffb,0xf981cffe,
    0xf8003fff,0x7fcc2fff,0x986fffff,0x6fffffff,0xd9fffd10,0x985ffff9,
    0x3fa0efff,0x8807f400,0x1effaaaa,0xfb805f98,0xfd02ebab,0x2aaaa201,
    0xff901eff,0x2e6259ff,0x27ffdc4e,0xfa81ff4c,0x5417f65f,0x05ff50ff,
    0xbdfd9300,0x0005bdfd,0x377fffb2,0x000bdffe,0x6ffffdc4,0x7ffff442,
    0xfffd100c,0x7f4c019f,0xfffff3ff,0xdfffe985,0x1fdc00de,0x7413fe00,
    0x7ffd400f,0x3fb81fff,0x2027fc00,0xffffffc9,0xbaeb82ef,0x1efecdfe,
    0x7777ed40,0x37faa00c,0x300001ef,0x80000135,0x0019aaa8,0x55555540,
    0x0033102a,0x26000cc4,0x2a660001,0x05d88009,0xea82cc80,0x66664402,
    0x05d884cc,0x2002cc80,0x4400aa99,0x00555440,0x22000d40,0x0000000a,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000100,0x00100000,0x000aaaa8,0x00aaaa80,
    0x00020000,0x00600000,0x06000000,0x31026200,0x05555401,0xddddddd7,
    0x5b90dddd,0xda8066cc,0x000beffe,0x33bff6e6,0xfeca8001,0x7ff900bd,
    0x6ffedc40,0x3fffa800,0x5fff8000,0x400bbee0,0x1ceffdb9,0x6f7f5c00,
    0xb80aaaab,0x983effff,0xb88ccccc,0xb1000bee,0x20039fdf,0x817dc1fd,
    0x7f45fff8,0xffffffff,0x87ffd45f,0x7f443ffe,0x03ffd32f,0x99beffa8,
    0x9004ffdb,0x1dff11bf,0x80ffff88,0xfffffffa,0x05ffa801,0x02ffd400,
    0xa80ffff1,0xdb99beff,0x7fcc04ff,0xffffd8af,0x5c37a22f,0x7d40efff,
    0xffeeafff,0x7f4400ff,0xd001ffd0,0x2a03fb0f,0x7ffc45ff,0xffffffff,
    0xf87ffd43,0x27fec3ff,0xfc81bfee,0x0f7cc00b,0x7dc5ff70,0x7fffd46f,
    0x7ff7fc42,0xf7006fff,0x7ec0001f,0x3ffe600e,0x017f900f,0xf881ef98,
    0x3ffe23ff,0xb17f6099,0xfff0bfff,0x3ffa63ff,0xfb3ff406,0x86f8809f,
    0x21bf607e,0xfffffff9,0xec80ffff,0xf9833aa2,0x7ffc42ff,0x2003fc82,
    0xff980ef9,0x97ffe21f,0x6c1ffffa,0x3ffffa61,0x007f7000,0x740077c0,
    0x07f905ff,0x32077cc0,0x7ffc2fff,0x2e0fff84,0xffe87fff,0x1fffdc3f,
    0x3f67ffa8,0x227cc07f,0x1df106f8,0x33579f70,0x000df933,0xf0bfff70,
    0x43fa87ff,0x6bcdefeb,0xfff70bf3,0x10ffff81,0x0dc1ffff,0x007fffcc,
    0x22000570,0x40aa000c,0xdeed8bfa,0x3e61ceec,0x20fffec5,0x7fc47ffe,
    0x3fffe62f,0x20fffec0,0xf906fff9,0x13fe61ff,0x4f987f70,0x0b601930,
    0x00007fd0,0xf81ffff7,0xd11f40ff,0x33ec43bf,0x0fffd85f,0xff0ffff4,
    0x7ff400df,0x00000006,0x98fa0000,0x5ffb16ff,0xfffb17cc,0xc86ffe83,
    0x3ffe60ef,0x41fffd86,0xfd07fff8,0x400c43ff,0x017dc1fd,0x7fc40180,
    0x37fb2200,0xeffff982,0xf88dff30,0x3cc1bfa0,0x3ffff176,0x363fffd8,
    0x3fe004ff,0xccccc81f,0x19999931,0x31ccccc8,0x10199999,0x7c41f101,
    0xb1bfe66f,0x20fffd4b,0x50104ffe,0xffb09fff,0x1ffff03f,0x005fffd0,
    0xddffddd5,0x23ddffdd,0x01ccccc9,0xf5037dc0,0xd09fd13f,0xf93fffff,
    0x3ee6a81d,0x1f71203f,0x320ffffc,0x3fee5fff,0x03ff3002,0xa8ffffe2,
    0x7c40ffff,0x3fea3fff,0xa82b80ff,0x3e26ff86,0xfd07dc7f,0x0fffc47f,
    0x01dffb00,0xff03fffb,0xfffb03ff,0xffff5009,0xffffffff,0x7fffcc3f,
    0x81fec002,0x3fea4ff9,0x7ffffcc2,0x6c9b04ff,0x3e6002ff,0x90ffff61,
    0x7fccbfff,0x3fff9800,0xf0ffff60,0xffb01fff,0x0ffff87f,0xf84d84c8,
    0x317fee6f,0x8aefc83f,0x26001efd,0xffb00eff,0x4ffff03f,0xefffeaa8,
    0x4f9802aa,0xffd037c4,0x7fc4005f,0x445ffd00,0xffe986ff,0x45f05fff,
    0x7c001fff,0x91bfff22,0x07f89fff,0x7fffff4c,0x87fff904,0xfc80ffff,
    0x7fffc3ff,0x82f85d80,0xdffb9eff,0xefb82f80,0x64000bde,0x7ffec04f,
    0x537ffc41,0xffffffff,0x87f700ff,0x3ff604f9,0x1bea002f,0xf107ffd4,
    0xfff301ff,0x43f0bfff,0x74001fff,0x8ffffe22,0x2f43fffd,0x3fffae20,
    0xfffc83ff,0x407fffc3,0x7fc3fffc,0xf87f80ff,0xffdfff81,0x0990ba05,
    0x007f1000,0xf983fffb,0x3bba65ff,0x05eeffff,0x17dc1fd8,0x005fffb0,
    0xffb81fec,0xfff9999f,0x7fdf7d42,0xd1ec5fff,0x7c4005ff,0x77fffcc0,
    0x6c1fffff,0x3fff2004,0x3fffc85f,0x6407fffc,0x7ffc3fff,0x207fc40f,
    0xfd6ff83d,0x6c1f101f,0x4a80002f,0x89fffb00,0x3e01fffc,0x3f4007ff,
    0xffb00fe4,0x3fe2005f,0xddfffb00,0x6c5ddddd,0xffff71ff,0xffb2dc3f,
    0x88354007,0xfffadedc,0x5c003b86,0xffc87fff,0x07fffc3f,0x3e1fffe4,
    0x7fd40fff,0xb7fc2dc2,0x26a84ffa,0xccccfff8,0x057001ab,0x33bfff60,
    0x403fffa9,0xc9806ffd,0xfccccffc,0x7ec0cccf,0xdf5002ff,0x00ffff40,
    0x3ea3ffcc,0x89e63fff,0x9b0606ff,0x1fffdc00,0x7f4000cc,0x7ffe40ff,
    0x407fffc3,0x7fc3fffc,0x27fe40ff,0x4dff11e6,0x326c1ffe,0xffffffff,
    0x09803fff,0x93fffb00,0x5007dfff,0xff500bff,0xffffffff,0xffd83fff,
    0x07fb002f,0x4017ffec,0xffd86ffc,0xff517c5f,0xf116443b,0x77ff4005,
    0x3ea00000,0x3fffc86f,0x6407fffc,0x7ffc3fff,0x437ff40f,0x99ffe62f,
    0xd0be26ff,0xffffffff,0x40000fff,0x3511fffd,0x027fc400,0x4cdfe4c4,
    0x8199dfb9,0x8802fffd,0x3ff201ff,0x5ffe805f,0x645fffb8,0x3bff621f,
    0x01ba20dd,0x101fff98,0xbff30001,0xf87fff90,0xffc80fff,0x07fffc3f,
    0xf90ffff1,0x5dfffd53,0x1ba3bff6,0x7ffffff4,0x2201ffff,0x3fffb000,
    0xff773000,0x3fb07605,0x7ec02fb8,0x6fa802ff,0x0ffffcc0,0x86ffd8dc,
    0xfe83fff8,0xfe880881,0x7fff3001,0x5313ff20,0x5c0ffcc0,0x7ffc3fff,
    0x3fffb80f,0xf307fffc,0x3fd03fff,0x20ff4400,0xc980afe9,0x7ff900ff,
    0x03fffb00,0xfffffd80,0x0fecbbce,0x00fec3f4,0x200bfff6,0xffe803fd,
    0x54950bff,0x7fd40fff,0x01fe880e,0x3002fe88,0x3e203fff,0xdff30fff,
    0x2a07f901,0x3ff64fff,0xfffa81ff,0x87ffff64,0x882ffffa,0xfe8801fe,
    0x4405fd82,0xffff306f,0x03fffd00,0xffb874c0,0x46ffffff,0x807f86f8,
    0x4402fffe,0xff9801ff,0xd86fffff,0x0ffec4ff,0x986fbf60,0x8801efdb,
    0x2200dffa,0xff30ffff,0x0fee39ff,0xecfffe88,0x882ffffc,0xfcecfffe,
    0x3fe62fff,0x3bf600ff,0x3bf6e61b,0x403ff701,0xfff301fe,0xffff801f,
    0xfd9a6002,0x1fffffff,0x1be227cc,0x00ffffe0,0x74400df5,0x700cffff,
    0x19ff9dff,0x3ff6e600,0x9802ceff,0xb000befc,0xfffc89ff,0x9800dfff,
    0xfff3fffe,0xffd305ff,0x3ffffe7f,0x2017ff62,0xeffffdb9,0xefea802c,
    0x00deedcc,0x71027fec,0x013bffff,0x22bfff60,0xb82ffffc,0x3027d42f,
    0x09fffffd,0x44000d4c,0x2aa60019,0x0a980001,0x0000d400,0x2aa62013,
    0x00330001,0x98001980,0x01530001,0x06aa6200,0x51002600,0x01555555,
    0x4d441440,0xa8815300,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0x3b910cda,0xd05f6d40,0x99700800,0x04ccc819,0x2e000000,0x36600dee,
    0xda81a0be,0x003b910c,0x33332e00,0x333321cc,0xeeeeeb82,0x2aaa3eee,
    0x0220000a,0xeeeeec80,0x3bbbb620,0x75c3deee,0x0204eeee,0x1efff540,
    0x7dcfffe0,0xffff706f,0x2a00bbdf,0x3fffb05e,0x003fffc4,0x22000390,
    0xf703ffff,0x0bbdffff,0xffb9fffc,0x6fedc406,0x7ffec40a,0x827e442f,
    0xfffffffe,0x0fffea1f,0x0037d400,0x207fffe6,0x02fffff9,0xe98077e4,
    0x7ffec04f,0x3fe05fff,0x20dff73f,0xffffffee,0x2fff5c02,0x221fffd8,
    0x20007fff,0xffb0005f,0xfdb01fff,0x405fffff,0xdff73fff,0x7cd7fcc0,
    0x7ffc40ff,0xf306a82f,0xdfffffff,0x000bff50,0xd000dff1,0x3fa03fff,
    0x7c400fff,0x07fff602,0x7fffffe4,0x19d505ff,0x9a207b22,0x7103efda,
    0x20bfffff,0x3e21fffd,0xf70007ff,0xff98001f,0x3444fe8a,0xa807dfb5,
    0x05d910ce,0xffe8ffe6,0x85fffc84,0xffff903c,0x2e07ffff,0x7f4000ff,
    0xffe8006f,0xffffb01f,0xfd807e00,0xbdf882ff,0x0fffffeb,0x40000000,
    0x5ffffaab,0x443fffb0,0xd0007fff,0xfe8009ff,0x00007ec1,0x7ff40000,
    0x221ffee1,0x0740ffff,0x2e0002f8,0x3ff2003f,0xffe8006f,0xffffb01f,
    0xf9807e00,0xf907905f,0x00005fff,0x7fe40000,0x3fffb05f,0x003fffc4,
    0x007fffd4,0x07900d98,0xa8000000,0x3fa20fff,0x49fffb04,0x000f3059,
    0x3e600770,0xe8006fff,0xffb01fff,0x007e00ff,0xff102802,0x3b2605ff,
    0x64c00bdf,0xb800bdfe,0xffb05fff,0x3fffc43f,0x7fffec00,0x54000003,
    0x801befec,0x01befeca,0x0101fff9,0x593fffcc,0x2b37bf20,0xf1000000,
    0x4c0dfff7,0xfffd4eec,0x1ffff603,0x00000fc0,0x2a0fffb0,0x1ffb8bff,
    0xf717ff50,0xfffb803f,0x43fffb05,0x4007fff8,0x06fffff9,0x33333260,
    0xa9afd881,0xfb103fff,0x07fff535,0x0003fffb,0x0d17fffd,0x7ffffffc,
    0x9999300c,0xf8cd8039,0xdff706ff,0x3fffddb7,0x01ffff60,0x6664c0fc,
    0x7f4001cc,0x46ffa85f,0x7fd40ffe,0x7007ff46,0x3f60bfff,0x3ffe21ff,
    0x7e5e4007,0x26002fff,0xfd82ffff,0x40fffe46,0x7ffe46fd,0x017fff41,
    0x5f7ffd40,0xfffff504,0x2607ffff,0x2e02ffff,0x30dfff16,0x7fe43fff,
    0xfffb01ff,0x4c07e00f,0x2002ffff,0xfe83fff8,0x237fe44f,0x7fe44ffe,
    0x17ffee06,0xf10fffec,0x7c400fff,0x05ffff88,0x217fff40,0x3ee2fff9,
    0x7ffcc3ff,0xb0fffee2,0x20009fff,0xb01fffff,0xffffffff,0x3ffa03ff,
    0x221f302f,0x7fc46fff,0x1fffe85f,0x00ffffb0,0xfffe807e,0x1bfea002,
    0xf70fffee,0x3ffee3ff,0x80fffdc3,0xfb05fffb,0x7ffc43ff,0x24c80517,
    0x001ffffd,0xf10bfff6,0x7ffdc7ff,0x71fffc43,0xffb87fff,0xfb8000ff,
    0x2a6206ff,0xfffffecb,0x2fffd80f,0x3fe22e88,0x27ffcc6f,0xd80ffff4,
    0x3f007fff,0x017ffec0,0xf901ff90,0xfffb87ff,0xb87fff93,0xff703fff,
    0x3fffa0bf,0x23ffffa3,0xf507c00a,0x6c009fff,0xbda82fff,0x09fffb10,
    0x3f6217b5,0x7ffcc4ff,0x2200885f,0xa8003fff,0xd82ffffd,0x45d82fff,
    0x7dc6fff8,0xfffe83ff,0x0ffffb01,0xffd807e0,0x5ff1002f,0x70bfff60,
    0x3ff6bfff,0x2fffdc2f,0xd05fffb8,0xb7fbffff,0xb80bffff,0x0ffffe85,
    0x05fffb00,0xfffdfc88,0x7efe4404,0xfffd84ff,0x801b30cf,0x20000ffc,
    0xfd84fffc,0x2075c2ff,0x7e46fff8,0xfffe83ff,0x0ffffb01,0xffd803e0,
    0x07f9002f,0x2e17fff4,0xfffd5fff,0x05fffb85,0x3a0bfff7,0xf12ffffe,
    0x1e803bff,0x03ffffb8,0x405fffb0,0xfffb9ffb,0x2e7fee04,0xfe884fff,
    0x00ffffff,0x80004f98,0xffd84ffc,0x2ab3e22f,0xaffffbaa,0xd07fffd1,
    0x3f603fff,0x0f8807ff,0x00bfff60,0xffb013ea,0x4fffb85f,0xfb85fffb,
    0xfff704ff,0x06a33e0b,0x67d4004c,0xfffccccc,0xfffb007f,0x21ffd105,
    0xe884fffb,0x9fff70ff,0x3ffff620,0x007a001d,0x20bfe600,0x3e62fffd,
    0xffffffff,0xfffb5fff,0x03fffd09,0x201fffee,0x3ff600f8,0x827c402f,
    0x85fff919,0xff93fffb,0x3fffb85f,0x30bfff70,0x6c0000bf,0xdaaaaaac,
    0xd802ffff,0xffd82fff,0x213ffee4,0x3fee4ffd,0x0264404f,0x00003440,
    0xfffb01ff,0x7ffffcc5,0x5fffffff,0xfd09fff9,0x3fea03ff,0x035400ff,
    0xd00bfff6,0x7cc7a20b,0x7ffe43ff,0xc87fff30,0xff700fff,0x00ff70bf,
    0xf101a600,0xfb00dfff,0xfff885ff,0x113ffee3,0x7fdc7fff,0x17fcc04f,
    0x015c7b50,0x17e015c4,0x9117ffec,0xff999999,0x3fea59ff,0x1fffe86f,
    0x03ffff10,0x7fec04d8,0x3bbf202f,0x647feeee,0x27fec4ff,0xffb13ff2,
    0x2fffe409,0x0000ffe4,0x7fec01ec,0x7fec02ff,0x77ffdc2f,0x44ffffca,
    0xfcaefffb,0x74c04fff,0x43ffe06f,0x3dffb006,0x3f601d50,0xff1002ff,
    0x3fffd0df,0x00ffffdc,0x640dfffb,0x2fffd806,0xffffff70,0xfe88dfff,
    0x81bff30f,0xff30ffe8,0x7ffe401b,0x002ffd86,0x4c00fcc0,0x7406ffff,
    0x7fcc2fff,0xfffadfff,0xffff30df,0xbffff5bf,0xf037dc01,0x200797ff,
    0x89dffffc,0x3ffa00dc,0xfff1002f,0x7dfff30d,0x3bfffdd9,0x577ffec0,
    0x800fda88,0xf982fffe,0xffffffff,0xfbff904f,0xdffc809f,0xffe804ff,
    0x07fe40ff,0x07fd1000,0x7fffff10,0x41ffffc0,0x3f22effc,0x77fe40ef,
    0x403bff22,0x2e02ffa8,0x22003fff,0x3dfffffd,0x03ffff80,0x20dfff10,
    0xfd5fffe9,0xfb8059bf,0x0cffffff,0x87ffff00,0xfffffff8,0x4c03ffff,
    0x054c000a,0x3fffb2e0,0x02a2ceff,0xffffc800,0xffec983d,0x260effff,
    0x04fffffe,0x80200401,0x00555c00,0x31000144,0x3fa60035,0x8804ffff,
    0x54406fff,0x44000260,0x30009aa9,0x09fffffd,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x90000000,
    0xbddddddd,0xddddb105,0x88fae01d,0xeeeb80dd,0xdb14eeee,0x1bdddddd,
    0x02eeeea8,0x3b6e0010,0x2deeeeee,0x7dddddd5,0x777775c0,0x3ddddd34,
    0x77764c00,0x441eeeee,0x2eeeeeed,0x3bbbbbba,0x4d7bbaa0,0xeeeeeeec,
    0xddddd33d,0x1f7776c3,0xb0b7aa00,0x0005dddd,0x06ecc7d7,0x07fffff5,
    0x203dff10,0xffb1fff8,0x3fffee0b,0xffffb81f,0x07fa202f,0x3bfddd50,
    0xfffff300,0x3ffff605,0x3bf2602f,0x0ffffc40,0x7fff4400,0x7ffcc04f,
    0x6ffff883,0xf881df10,0xf884ffff,0x7ff42fff,0x3fe2004f,0x7fff447f,
    0x7ffcc003,0xfc89ffb1,0xdb003fff,0xb1fff980,0x7ff40bff,0xfffb01ff,
    0x405c805f,0x6ffa8ffd,0x0ffffd00,0x1fffffe8,0x7f40be20,0xf90001ff,
    0xf9803fff,0x3ffee01e,0x3605f107,0xfd01ffff,0xfffc85ff,0x3ffea004,
    0x1fffe41f,0x47ffe600,0x7fc44ffd,0x05f006ff,0x6ecc7d70,0x3fffea01,
    0xbffff504,0x3ee01e80,0x00dff57f,0x901ffffa,0x01dfffff,0xfffd80fc,
    0xfff90001,0x06fcc03f,0x417fffc0,0x3fff206a,0x5fffb00f,0x004fffb8,
    0x7dc37ffc,0xeb8003ff,0x36037663,0x5401ffff,0xf0000006,0x7f40ffff,
    0x0d300fff,0x2ea7ffe8,0xffffb000,0xffffcc80,0x6c07a05f,0x90001fff,
    0x2a01ffff,0x3ff2003f,0x3203d84f,0xfb00ffff,0xfffb85ff,0x0664c004,
    0x001fffdc,0xfff98000,0x0016c05f,0xfffc8000,0xffff702f,0xff00f207,
    0x7ec000ff,0x556407ff,0xd04fffff,0x07fff603,0x7fffe400,0x4002fb80,
    0x7c0ffff9,0x3ffff200,0x85fffb00,0x0004fffb,0x01fffdc0,0xffd00000,
    0x01e601ff,0x26399999,0x100ccccc,0x2a0bffff,0x1f06ffff,0x007fff80,
    0x01ffff60,0x3ffff259,0xfb01e82f,0x7dd913ff,0xffffc803,0x8000f6c0,
    0x16a2fffe,0x01ffff90,0xf70bfff6,0x37f6a9ff,0xfff70002,0x666664c7,
    0x666664c2,0x7fffd401,0xf8807903,0x3fea3fff,0x3ff600ff,0xfffd80ff,
    0x902d41ff,0x099ffff9,0x0ffffb00,0x3fff62c8,0xd80f40ff,0xffdfcfff,
    0x3ff201ff,0x01bd10ff,0x2fffdc00,0xfffc807b,0x5fffb00f,0xfccfffb8,
    0x8001ffff,0x7cc3fffb,0xfff301ef,0xffff005f,0xb001f10f,0xfff87fff,
    0x3ffea00f,0x7fd7c43f,0xd016c4ff,0x0bdffffd,0x0ffffb00,0x3ffa22c8,
    0x407a0eff,0xd10efffd,0x3f201fff,0xeff98fff,0x3fe20000,0x400f88ff,
    0xb00ffffc,0xffb85fff,0xfff98cff,0xfffb8006,0xfe805f83,0xffb802ff,
    0x8025c2ff,0x7fc3fffc,0x7ffc00ff,0xfffa5c7f,0x7c01e27f,0x360007ff,
    0x16407fff,0x97ffffe6,0x3fffb01e,0x904fffb8,0xfff9ffff,0xfe8000bf,
    0xc805abff,0xfb00ffff,0xfffb85ff,0xa83fffc5,0x87fff700,0xfffb004d,
    0xffff1005,0xf9000f8d,0xffff87ff,0x7fffe400,0x7ffe47e2,0x3e00972f,
    0x360007ff,0x16407fff,0x9fffffd4,0x3fffb01e,0x906fff88,0xfffdffff,
    0x5c0007ff,0x802defff,0xb00ffffc,0xffb85fff,0x07fff44f,0xf709fff1,
    0x002647ff,0x2005fffb,0xb51ffffc,0x1fffe400,0x1003fffe,0x96abffff,
    0x3d5ffff8,0x01fffe00,0x07fffd80,0xfffb8164,0xfb01e9ff,0xfff883ff,
    0x3ffff907,0x05fffff5,0x3fffffe0,0xffffffff,0x0ffffc86,0xb85fffb0,
    0x7ff44fff,0x3ffff21f,0xc9fffdc0,0x3ff6002f,0xfff3002f,0xc8007a9f,
    0x7ffc3fff,0xfffd800f,0x7ff42d8f,0x3e006aff,0x360007ff,0x16407fff,
    0xffffffb0,0x07fff603,0x3207fffe,0xff90ffff,0x33001fff,0xbfffb333,
    0xf9013333,0x3f601fff,0x7ffdc2ff,0x90ffff44,0xfb87ffff,0x0fffccff,
    0x05fffb00,0x57ffff40,0x7ffe4006,0x007fffc3,0x3effffd4,0x1fffffd4,
    0x00ffff00,0x03fffec0,0xffe880b2,0xffb01fff,0x1ffff03f,0x41ffff90,
    0x00effffd,0x04fffc80,0x01ffff90,0xf70bfff6,0xfffe89ff,0x13fffa21,
    0xfffffff7,0x3ff600bf,0x3fea002f,0x64002fff,0x7ffc3fff,0xffff000f,
    0xffff107f,0x7ffc001f,0x744fc807,0x16406fff,0x3ffffe20,0x03fffb01,
    0x3f20dfff,0x3fa20fff,0x55405fff,0xdfffdaaa,0xfc82aaaa,0xffb00fff,
    0x4fffb85f,0x440ffff4,0x7ffdc1f8,0x03ffff8d,0x002fffd8,0x0037fffc,
    0x3e1fffe4,0xf9000fff,0x3f201fff,0x7fc005ff,0x7ffd407f,0x01bfffa2,
    0xfff30059,0x3fff603f,0x827ffc41,0x4c0ffffc,0x203fffff,0xfffeeeee,
    0x85eeeeff,0xb00ffffc,0xffb85fff,0x0ffff44f,0xfffb86a8,0x01ffff53,
    0x002fffd8,0x001fffdc,0x3e1fffdc,0xf1000fff,0x7fcc0bff,0x7ffc002f,
    0x1fffe407,0xd809fffd,0x3fff7002,0x30bfff60,0x3f205fff,0xffb81fff,
    0x32002fff,0xf9004fff,0x3f601fff,0x7ffdc2ff,0x80ffff44,0x3fffb84d,
    0xb01bfff6,0x88005fff,0xa8000fff,0x3ff64fff,0x3f6001ff,0x03ff401f,
    0x203fffc0,0x7ffc6ffa,0x002fc01f,0x3f603ffb,0x2ffdc2ff,0x03ffff90,
    0x0bfffff6,0x02fffec0,0x00ffffd8,0xfc85fffd,0x7fff44ff,0xfc82ec41,
    0x3ffe24ff,0x3fffa03f,0x04fc8002,0x9fffd100,0x05ffff9d,0x5c037d40,
    0x7fc4004f,0x25fd807f,0x4c02fff9,0x3fa000ff,0x4dfffb01,0x7f406ff8,
    0xff503fff,0x8805ffff,0x800efffe,0xf02ffffe,0xffd89fff,0x1ffffc5f,
    0x7fec05b1,0x7fffdc5f,0x07ffff01,0x0001f300,0xf9ffff4c,0x2002ffff,
    0x01f8803f,0x07fffcc0,0x7ff7fdc0,0x3ffaa02e,0xf8801dff,0xfd33db01,
    0x93019dfb,0xbffffffd,0x7ffff5c5,0x6dc2efff,0xcefffffe,0x7fff64c1,
    0xfd33dfff,0x3f69ffff,0xfe8dffff,0xb003ffff,0x22bfffff,0x24fffffd,
    0x4fffffe9,0x00001800,0x18000033,0xd9000a00,0x009fffff,0x00003531,
    0x81804c00,0x000000a9,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x777776d4,0x00bccdee,0xeeeeec98,0xeeeeeeee,0xdddb31ee,
    0x99bddddd,0x3bb26037,0x54deeeee,0xdddddddb,0x3bbb625b,0xabcdeeee,
    0xddddb300,0x799bdddd,0x6dc00005,0xeeeeeeee,0x6eeeeeee,0x777776cc,
    0x01bccdee,0x10aeea80,0x7777540d,0xeeeeeeee,0x7775c5ee,0x902deeee,
    0x401bdddd,0xfff30018,0xffd955ff,0xffd1005d,0xb75557ff,0xff885fff,
    0xffdcafff,0x3fa204ff,0xff504fff,0x3a203fff,0xffdbffff,0xff300cff,
    0xf9755fff,0x00003dff,0x7ffff7dc,0xffedcbad,0xfffff307,0x7fffd955,
    0x3ffff600,0x3ee03edf,0xbaaaacff,0x982fffff,0x806fffff,0x7400cfe8,
    0x3fffe002,0x6ffff446,0x7fffe400,0xb05fd500,0xff98ffff,0x3ff605ff,
    0x3ffe01ff,0x7ffe407f,0x3ffff227,0x0dfffd00,0x007ffff3,0x3febea00,
    0x0ff703ff,0x6c3ffff4,0x7c00efff,0x1ffffffe,0xfc817f20,0x3e605fff,
    0xe800ffff,0x002fb805,0x221bfffa,0x6406fffe,0x2200ffff,0x7fffc82f,
    0x02ffffa8,0x401ffff9,0x5c06fffe,0xffe87fff,0xdfffb05f,0x01fffee0,
    0x7fcdf400,0x81ee03ff,0xfb07fffd,0x52601dff,0x402efdb8,0x3ffe605d,
    0x7fec01ff,0x07cc03ff,0x800bfe60,0xf106fffe,0x7e409fff,0x16c00fff,
    0x443fffe4,0xf905ffff,0x7f401fff,0x7fdc06ff,0x7fffd87f,0x20dfffb0,
    0x001ffff9,0xfff9b5c0,0x40f1043f,0x3e07fffd,0x00005fff,0x7ff403b0,
    0xff8804ff,0x0fa00fff,0x005fff50,0xb037fff4,0x3201ffff,0x2380ffff,
    0x7fffc82b,0x20bffff0,0x200ffffc,0x5c06fffe,0xffc87fff,0xfffd81ff,
    0x9ffff106,0x98fc4000,0x0643ffff,0x3fffec0b,0x03ffff90,0x5c0b0000,
    0x2006ffff,0x504ffffc,0xffffb80d,0x7f402ccd,0x3fea06ff,0xfff904ff,
    0xc804981f,0xff987fff,0xfff902ff,0x7fff401f,0x3fffdc06,0xd83fffe4,
    0xff306fff,0x6c0009ff,0x0ffffe64,0xffb0041b,0x7ffcc0ff,0x3333325f,
    0x005bfb52,0x5fffff10,0x7fffc400,0x3017440f,0xdddffffd,0x6fffe807,
    0x1ffffe60,0x207fffe4,0xfffc804c,0x07fffd87,0x803ffff2,0x5c06fffe,
    0xffe87fff,0xdfffb04f,0x0bfffee0,0x3e635400,0x03e23fff,0x03fffec0,
    0x44fffff1,0xffccfffe,0x6c002fff,0x8005ffff,0x645ffffb,0x5fff9005,
    0x37fff400,0x0fffff10,0xb83ffff2,0xfffc804f,0xbfffb317,0x7fffe401,
    0x1bfffa00,0x98ffff70,0xfb01ffff,0xffd10dff,0x3e2000bf,0x9ffffcc1,
    0xfb000fd9,0xfff80fff,0x3fff20ff,0x6fff98cf,0x3fffea00,0xffd0000f,
    0x003e23ff,0x0017ffe4,0xf80dfffd,0xfc80ffff,0xffecbfff,0xffffc804,
    0x01efffff,0xeeffffc8,0xfffeeeee,0x7ffdc06f,0x3bfffb57,0x8b7ffec0,
    0x0cfffea9,0xf3099000,0xfffbdfff,0x7fffdc01,0x2fffffff,0xb87ffffe,
    0x7ffc5fff,0xfffd000f,0x7d40007f,0x007b5fff,0x0017ffe4,0xf80dfffd,
    0xfc81ffff,0xfffedfff,0xffffc804,0xdfffecba,0x3ffff201,0xfccccccc,
    0x7dc06fff,0xdeffffff,0xffffd802,0x0dffffff,0x337e6000,0xffffdccc,
    0x200ffecd,0xffffd998,0x3fa09999,0x3fee2fff,0x0ffff44f,0x37fffe40,
    0x7fff4000,0x7e4006cf,0x3fa002ff,0x3fe206ff,0xfff907ff,0x013f221f,
    0x361ffff2,0xf903ffff,0x7f401fff,0x7fdc06ff,0x3f60007f,0xffff76ff,
    0xcde8000d,0xfffdcccc,0x4003f63f,0x7c07fffd,0x3ee0ffff,0x7fff44ff,
    0x7fffcc01,0xf980001f,0x4002ffff,0x2002fffc,0x2606fffe,0xf906ffff,
    0x04d81fff,0xd07fffc8,0xf903ffff,0x7f401fff,0x7fdc06ff,0x3f60007f,
    0x3fff66ff,0x0b70004f,0x11ffffcc,0x3ff6001f,0x3ffe207f,0x27ffdc7f,
    0xd007fffa,0x1009ffff,0x3ffff600,0x7ffe4000,0x3fffa002,0x3fffe606,
    0x1ffff905,0xffc804a8,0xffff907f,0x1ffff909,0x037fff40,0x001fffee,
    0x226fffd8,0x002fffff,0xff3007c4,0x080e87ff,0x207fffd8,0x5c6ffff9,
    0x7ff44fff,0x3ffee01f,0x00dc00ef,0x00ffffc8,0x017ffe40,0x40dfffd0,
    0x902ffffb,0x4881ffff,0x07fffc80,0x90bffff5,0x7401ffff,0x7dc06fff,
    0x360007ff,0x7fd46fff,0x36000fff,0x7fffcc03,0x20aa0643,0x2a07fffd,
    0x7dc3ffff,0x7fff44ff,0xfffff101,0x2001f005,0x000ffffc,0x0017ffe4,
    0x740dfffd,0x3f205fff,0x80080fff,0xf707fffc,0xff909fff,0x7ff401ff,
    0x7ffdc06f,0x3ff60007,0xffffc86f,0x300d5005,0x8087ffff,0x7fffd81e,
    0x21bfff60,0x7f44fffb,0xfffb01ff,0x00f500bf,0x007fffe4,0x00bfff20,
    0x506fffe8,0x6401ffff,0x0001ffff,0x360ffff9,0xfc82ffff,0x3fa00fff,
    0x7fdc06ff,0x3f60007f,0xfffd07ff,0x02f8807f,0x03ffff98,0x7fec07d4,
    0xffff307f,0x89fff703,0xf981fffe,0x4400ffff,0x3ff2007e,0x7e4000ff,
    0xe80513ff,0xfe887fff,0x7fe401ef,0xfb0001ff,0xfff50fff,0x3fff209f,
    0x3fffe01f,0x7fffe407,0xfffd0000,0x3fffe60f,0x401b601f,0x204ffff9,
    0xfffb07fb,0xfffe881f,0x89fff901,0xfe81fffe,0x7d403fff,0x3ff6006f,
    0x7c4000ff,0x4405cfff,0x98afffff,0x800cfffb,0x003ffffe,0x17ffffd0,
    0x07ffff95,0x817ffff4,0x00fffff8,0x00bffff6,0x3ffffe20,0xdffff700,
    0x200df901,0x09effffb,0x20bffb73,0x98bffffe,0x200dffeb,0x7fc5fffd,
    0x7ffdc2ff,0x999999ff,0x005fffda,0x00bffffa,0x037ff660,0x7ffff654,
    0x0adeffff,0x7fff64c0,0x9804dfff,0xffffffec,0x303ceeff,0xffffffd9,
    0x3fff2a9b,0x912cffff,0xbffffffd,0xffd93007,0xb05bffff,0x267fffff,
    0xb85efffe,0xffffffdc,0xffffffff,0x3fffb264,0xadefffff,0x7fffec00,
    0xffffe8cf,0xfffff13f,0xffffffff,0xb809ffff,0xffffffec,0x004000cd,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xddddddd3,0x776d43bd,0x3b663eee,0xeeeeeeee,
    0x20eeeeee,0xeeeeeed9,0xddb004de,0xdddddddd,0x29dddddd,0xeeeeeec9,
    0xed9802de,0x004eeeee,0x3bbbbbae,0x5555572d,0x55555555,0x00baa007,
    0x0001d900,0x00000200,0x00000000,0xffffe880,0x13ff604f,0xbfffff88,
    0xfffecaaa,0xfffff880,0x77ffc003,0xcffffcac,0x445ffcba,0x001fffff,
    0xffffff88,0xfffff000,0x7000383f,0x000fea00,0x10001fb0,0x2e3bdfb9,
    0xbefeca84,0xdfdb8801,0x3fb2200a,0x7f64c02d,0x7fc400bd,0x3ee04fff,
    0xffffc803,0x201ff700,0x000ffffd,0x3fee0ffc,0x42fd41ff,0x0007fffd,
    0x13ffffb6,0x3ffffaa0,0x07000386,0x0000fea0,0xf98001fb,0x6dffa8cf,
    0x7d4d7ec4,0x3fe603ff,0xa80fff9a,0x04fe89ff,0xff717ff5,0xffffa803,
    0x200bd01f,0x200ffffc,0xfffb00fb,0x84f8001f,0xb81ffffb,0x06fffd85,
    0x3ffaf200,0x7d6c00ff,0x00386fff,0x0fea0070,0x001fb000,0x3fa3ffcc,
    0x3237ec3f,0xff981fff,0xf313ffa3,0x217fd49f,0x7ff46ffa,0x7fffe400,
    0x32006c86,0x1040ffff,0x3fff201f,0xb80f8007,0x5881ffff,0x9affffc8,
    0x2ef20009,0x2203ffff,0x70dffff7,0x5400e000,0x7ec0003f,0x1bff6000,
    0x3e61fff7,0x3ffee2ff,0x2e1ffe83,0x17ff47ff,0xffe8dff1,0x2037fe44,
    0x24fffff8,0x3f2000ea,0x362c0fff,0x0ffff900,0x3fee0500,0xf90501ff,
    0xffffdfff,0xf8bc801b,0x53206fff,0x0386ffff,0x3ea00700,0x07ec0003,
    0x24fff980,0xf13fffe8,0x7ffdc7ff,0x107ffd43,0x7ffd49fd,0x5c3ffe20,
    0x7fdc3fff,0x7ffd401f,0x001f99ff,0x307fffe4,0x3ff2008d,0x2e00007f,
    0x2001ffff,0x3e66fffc,0x4f203fff,0xf01ffffc,0x21bfffe1,0x20070003,
    0x6c0003fa,0xfff7000f,0x2fffef49,0x3f6217b5,0x7ffe44ff,0x7ffdc080,
    0x2fff9999,0xfb87fff9,0xffc803ff,0x8002eeff,0x2e0ffffc,0x3fff2006,
    0x3ee00007,0x32001fff,0x7fcc6fff,0x267901ff,0x5a85ffff,0x0e1bfffe,
    0xddd51c00,0xdddfdddd,0x3b25dddd,0xeffeeeee,0x20eeeeee,0x57b4fffc,
    0x3220dfff,0x6c4fffdf,0xfd801fff,0xeeeeeeff,0x85fffb2e,0x8805fffb,
    0x005ffffe,0x21ffff90,0x3f2006e9,0x200007ff,0x001ffffb,0x3e1bfff2,
    0x47904fff,0x740ffffd,0x21bfffe2,0x7d470003,0xffffffff,0xb3ffffff,
    0xffffffff,0x1fffffff,0xa5e7ffec,0xfb86fffa,0x44fffb9f,0xe802fffe,
    0xfe801fff,0x7ffdc2ff,0xffff3005,0xff90003f,0x0dffb9ff,0x03fffe40,
    0xffff7000,0x7ffe4003,0x07fffd86,0x7fffd479,0xffff1a64,0x0e00070d,
    0x0001fd40,0x7e4003f6,0x3fea5eff,0x43ffa24f,0x7ec4fffb,0xffd804ff,
    0xfffd802f,0x027ffdc2,0x1dffff90,0xffffc800,0x2006ffdc,0x0007fffc,
    0x07fffee0,0x86fffc80,0x7907fffd,0x327fffe8,0x437fffc3,0x20070003,
    0x6c0003fa,0xfff7000f,0x17ffdc1d,0x7fdc9ffb,0x7fffdc4f,0x2fffe400,
    0x217ffe40,0x2003fffb,0x04fffffa,0x87fffe40,0x3f2006f9,0x200007ff,
    0x001ffffb,0x3e1bfff2,0x87905fff,0xf8affffb,0x437fffc0,0x20070003,
    0x6c0003fa,0xfff1000f,0x11fffb8b,0x7fdc7fff,0x7fffcc4f,0xfff30885,
    0x3e63703f,0x7ffe43ff,0xff7f3000,0x64005fff,0x1aa0ffff,0x07fffc80,
    0x3ffee000,0x3ff2001f,0x7fffc46f,0xff887903,0xff84beff,0x000386ff,
    0x00fea007,0x4001fb00,0x7fe47ffc,0x2bbffee4,0xd84ffffc,0xb30cffff,
    0x5fffff41,0x4ffc8950,0x88027fec,0xfffff72e,0x3fff2001,0x4041a20f,
    0x2007fffc,0x7fffdc05,0x3fff2001,0x027ffec6,0xffff9079,0xdffff03f,
    0x00e00070,0x20001fd4,0xdd1000fd,0x17fe23ff,0x5bfffff3,0x441bffff,
    0xfffffffe,0x7ffffcc0,0xffe886ff,0x001bff30,0xffffd136,0x3fff2009,
    0x41542c0f,0x5007fffc,0xffffb809,0x3fff2001,0x3ffffedf,0x7fcc1e40,
    0xffff06ff,0x0e00070d,0x6401fd40,0xffeeeeee,0x0eeeeeee,0x76ffdcf6,
    0x5dff904e,0x44077fe4,0x01dffffd,0x19ffffd1,0x7feffe40,0x26172004,
    0x802fffff,0x040ffffc,0x7ffe40ec,0xb809b007,0x2001ffff,0xabcffffc,
    0x2079001a,0xff02fffd,0x00070dff,0x01fd400e,0x7fffffec,0xffffffff,
    0x02a6020f,0x10010040,0x0cc40033,0x0002a600,0x3fee01d7,0x7e400fff,
    0x7d400fff,0x0ffffd80,0x2e01fcc0,0x2001ffff,0x0006fffc,0x3ffd40f2,
    0x70dffff0,0x0000e000,0x00000000,0x00000000,0x00000000,0xffd00bea,
    0xffd80bff,0x1fea01ff,0x007fffec,0xfb805ff3,0x36002fff,0x20007fff,
    0x80ffa03d,0x0386ffff,0x00000700,0x00000000,0x00000000,0xb8000000,
    0x7fe402ff,0x3fa03fff,0x7311cfff,0x3fa0dffd,0x9999cfff,0x401fffca,
    0x003ffffd,0x003ffffa,0x5c03fe20,0xffff300f,0xaaaac81f,0xaaaaaaaa,
    0x0000004a,0x00000000,0x00000000,0xff700000,0xd887bfff,0xefffffff,
    0xffffd931,0xffffffff,0x7f64cbff,0xffffffff,0x80ffffff,0xfffffec8,
    0xfd9304df,0x059dffff,0xbffff930,0xfca85883,0x2cefffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x6654ae20,0x32e1cccc,0x999972cc,0x33332a99,0x199971cc,
    0xc8000000,0x9931cccc,0xdea81999,0x000032a2,0x12202032,0x99999995,
    0x33267999,0xcc8ccccc,0x019803cc,0x5c402015,0xd910cefd,0x7f6407bf,
    0x33324abd,0x5bfb52cc,0x45999970,0x30001eeb,0x3f627ffb,0x4fc83fff,
    0x83ffff62,0x6c1ffffc,0x33332e1f,0x987dfb52,0xf100befd,0x7fd47fff,
    0x3ffe20ff,0x00b7fea7,0x64c77dc0,0xfe89beff,0x266b7f62,0x262ffffb,
    0xd10fffff,0x1f98015f,0x47da86c8,0xffa9bfd8,0xfe99ffbf,0xeb8dfd85,
    0x3fffa24f,0x2fffffcc,0xfb4fffd8,0x5c4009ff,0x220beffe,0x6b82ffff,
    0x20ffff88,0x642ffff8,0x67fff444,0x74fffffb,0x40bfffff,0x7fc3fffd,
    0x3ffea0ff,0xdffd711f,0xffc80017,0xfffedeff,0x7f426c3f,0xfff985ff,
    0x3005f11f,0x5c5f70bf,0x37f47ffd,0x98bfffea,0x87fe63ff,0x7ffe45f8,
    0x6fff98cf,0xfccfffb8,0xc9804fff,0x3202dfff,0x03d85fff,0xfe87fffb,
    0x5c0744ff,0xfd0dffff,0x3fa1bdff,0xfff901ff,0x40ffff87,0xfb506fff,
    0x74003bff,0x2ff4c0df,0x3ffee06c,0xdfff900f,0x3fe200f2,0xfe837dc1,
    0x88bffe67,0x7fc0ffff,0xa8bff90f,0x22fffdc5,0x7d40ffff,0x1db35fff,
    0x67ffed40,0xffff8800,0x7cc03e20,0x3ffa66ff,0x7d41a67f,0x7ffe46ff,
    0x817ffe46,0x7fc3fffc,0x0e64c0ff,0x3bffee20,0x81be600b,0x7c4187f8,
    0x3e203fff,0x8806cfff,0x17fd45fe,0x3fe27fe8,0x1fffe23f,0x7fe47ffe,
    0xff70a1ef,0x1fffe89f,0x00ffffd4,0x177ffdc4,0x1fffec00,0xfffe8097,
    0x5fffd591,0x7ffd40ee,0x227ffdc4,0xf903fffb,0xffff87ff,0xfb500000,
    0x3fb039ff,0x6c01fa80,0xfc806fff,0x74401fff,0x1bfe61ff,0x5ed47fe8,
    0x27bffea0,0x53ffe999,0x207fffff,0x7f44fffb,0x7ffd41ff,0x7ffec407,
    0x3e60001d,0x7003a7ff,0x7dda9fff,0x2a01d5ff,0x7fdc4fff,0x27ffdc4f,
    0x7c3fffc8,0x00000fff,0x0f7ffe4c,0x09f100fd,0x017fffd4,0x01ffffc4,
    0xff993ffa,0x01ffa01f,0xdffffbd5,0x47dddddd,0x85fffffe,0x7f44fffb,
    0x7ffd41ff,0x6fffd406,0xffe80001,0xf88059af,0xff14afff,0x7d40b5ff,
    0x7ffdc4ff,0x827ffdc4,0x7fc3fffc,0x800000ff,0x3a2fffd9,0x205f8807,
    0x2005fffe,0x300ffffb,0x7fdc9fff,0x41ffa00f,0xffff2fe9,0x7fff4400,
    0x7ffdc4ff,0x20ffff44,0x9805fffa,0x002efffc,0x33bffee0,0xffffd002,
    0x17fffec3,0xb89fff50,0x7fdc4fff,0x7fff904f,0x000ffff8,0x3fffaa00,
    0x2007e40c,0xfff702f9,0x7fc4001f,0x3fe603ff,0x813ff20f,0x1ffc87fe,
    0x8003fffe,0x0fffffd8,0xfd13ffee,0xfffa83ff,0x7ff54004,0xff8000cf,
    0x3ee006ff,0x7ffd46ff,0x3ffea00f,0x227ffdc4,0xf904fffb,0xffff87ff,
    0x91001980,0x4c05dfff,0x407ec04f,0x183ffff8,0x3ffff760,0xb13fea00,
    0x1ffa01ff,0xffe89ff9,0x7dc2803f,0x3fee2fff,0x0ffff44f,0x0013ffea,
    0x16fffe4c,0x07fff900,0x427ffc40,0x7d405fff,0x7ffdc4ff,0x827ffdc4,
    0x7fc3fffb,0x2fff40ff,0x39fffb50,0x5c0bfa00,0xdfffb05f,0x756a0750,
    0x7dc04fff,0x2227ec0f,0xf88afff9,0x7ffdc2ff,0x30f25306,0x7fdc5fff,
    0x0ffff44f,0x0013ffea,0x7fffd710,0x0fff8801,0x40ffec00,0x7d402ffc,
    0x7ffdc4ff,0x827ffdc4,0x3f64fffa,0x3fe61fff,0x3fae21ff,0x26000bef,
    0xebabdfff,0x7fd40eff,0x417441ff,0xffff50e8,0x444fb803,0x2aaa60fe,
    0xefffb9aa,0xdffff910,0x81f73545,0x3ff20ffd,0x0ffff44f,0x0013ffee,
    0x2fffd980,0x40027ec0,0x0ff306fa,0xb8bfff70,0x7fe44fff,0xfffd104f,
    0x5ffff9d9,0xa87fffcc,0x8001dfff,0xfffecff9,0x20efcdff,0x2e25fffe,
    0x227441fe,0xc806ffff,0x8027440f,0xfefffffa,0xefffffab,0x87bee1ff,
    0x7ffec4fe,0x217fffc5,0x0005fffc,0x403eb880,0x7f0001f9,0x7e402740,
    0x7ffe46ff,0x02fffec6,0x3e7fffd3,0x3f62ffff,0x002fea4f,0x2e62e880,
    0x5c3b21ac,0xffffffff,0xffb31fff,0xffff919f,0x83c803df,0xffb000d8,
    0x7f5419ff,0x75c0dfff,0x6c4ffefd,0xe8cfffff,0xf93fffff,0x003bffff,
    0x0a002000,0x26009800,0x7fffe400,0xffffc8ef,0xffffd8ef,0x000cc05f,
    0x00002044,0x00000000,0x00000000,0x1002a200,0x33044015,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x14400200,0x00000198,0x08800040,0x10000000,
    0x08000040,0x00000510,0x4ccccc40,0x99999999,0x33331099,0x33333333,
    0x80101333,0xa8110009,0x20540aaa,0x0102aaa8,0x005fd000,0x807ea13a,
    0x0f4c01e8,0x98007f90,0xbfd9004f,0x0fbfae05,0xdf907bf2,0x5bffb703,
    0x7d44fe98,0x65dc42ff,0xb97100df,0xffffa817,0xffffffff,0xfff53fff,
    0xffffffff,0x3b87ffff,0x17dffd70,0xfff30ec0,0x21fffc47,0x7ec1fffc,
    0xff10002f,0x20fee009,0x3ff500ee,0xf80ffe60,0x7ff4006f,0x7fffe401,
    0x7fef5c0f,0x97ffe61f,0x7e45fff9,0x362fffef,0x3ffa0fff,0xfd87ec6f,
    0x3fa6f885,0x3bbbbaa0,0xeeeeeeee,0xdddd53fe,0xdddddddd,0x7fc45ddd,
    0x7ff7fe42,0x07cc2dff,0xffb89ff9,0x23ffc86f,0x0006fffa,0xfe80032a,
    0xb8077d42,0x1ffcc1ff,0xa8017f60,0x36205fff,0x1c49ff90,0x7fd45ff5,
    0x97ffea5f,0x3fea2efb,0x743fffd1,0x3fe1ffff,0x9f70dfb2,0x40001fec,
    0x800003fa,0x8be26fe9,0xdffffeb8,0x427f44fe,0xf906fffb,0x03fffdcd,
    0x3ee00000,0x7037f41f,0x0ffe63ff,0x98fd47b6,0x3ebfa04e,0x5ff3002f,
    0x3e62fdc0,0x3ffe24ff,0x3ee0bf64,0xe98fffb3,0x22622fff,0x4fe87feb,
    0x20001bf6,0x000003fa,0x302ccdf7,0x987dfff9,0x5ffd104f,0xff887ec0,
    0x0000004f,0x3ea1ffe8,0x2ffee05f,0xfff983ff,0x03ffeed3,0x037dd3ee,
    0xf7106fb8,0x85fff09f,0x41be2fff,0x0dff76f8,0x2bee1ea2,0x27fc47fc,
    0x50000ffb,0x2aaaa27f,0xaaaaaaaa,0xfd511aaa,0x29800c45,0x01300950,
    0x00dc4390,0x77777764,0xeeeeeeee,0x0fffb80e,0xfb817ffa,0x3ff203ff,
    0x4fffeedf,0x3fa0ff88,0x101fd803,0xfd89fffb,0xf07fec0f,0x7cdbe60f,
    0xfb13204f,0x3f61ff27,0x00013f64,0x7ffd4fea,0xffffffff,0x5773ffff,
    0x00000001,0xb0000000,0xffffffff,0x1fffffff,0x647fff30,0xff300fff,
    0x16dc003f,0x3ea1fe40,0x007ee00f,0xdf71ffe6,0x2fe8df50,0x0bfe4fc8,
    0x9ff317c4,0xdf50ffd3,0x40000ff4,0x555511a8,0x55555555,0x32003555,
    0xa8936a1d,0x22aaaaaa,0xbbbbbbb8,0x3bbbbbbb,0x00000000,0x3e24ffd8,
    0xbff301ff,0x6d8803ff,0x837cc09f,0x43d304fd,0x113ee00c,0xa89f109f,
    0xffc98cff,0x3a603f60,0xfbbeff83,0xeaaeb82f,0x00000003,0x3fee0000,
    0x7ccbffe7,0x0fffffff,0xfffffff3,0xffffffff,0x00000001,0x3227fcc0,
    0x7ff301ff,0x7cc07fee,0xd01dfb4f,0x03fe205f,0x4fddddf3,0x203ea0c9,
    0xf705d02e,0xa85fffff,0x3101da86,0x01540098,0x00000000,0x8bffdc00,
    0xfff32fff,0x221fffff,0xaaaaaaaa,0x02aaaaaa,0x00e60000,0xff88bfb0,
    0xb87ff302,0x1ffc81ff,0x6fa87ff5,0xff12fe40,0x7e4bffff,0x1503eacf,
    0x764c02a0,0x001880ce,0x00000000,0x00000000,0x3aa2ec88,0x33333224,
    0x00000ccc,0x3e200000,0x0bf3003f,0x3fe607f9,0x983ff703,0x2a0ff45f,
    0x3154400a,0x83555555,0x0000abb9,0x00000000,0x00000000,0x00000000,
    0x00000000,0x44000000,0x0db003ff,0x1fcc07f1,0x0000bee0,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xb1001880,
    0x01007701,0x00000020,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x33000000,0x33333333,0x00033333,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7fffffcc,0xffffffff,0x0000000f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xbb100000,0xbbbbbbbb,
    0x001bbbbb,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_bold_33_latin1_x[224]={ 0,2,2,0,1,2,1,2,1,0,1,0,0,0,
1,0,1,1,0,0,0,1,1,1,1,0,2,2,0,0,0,1,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,0,1,0,1,0,1,1,0,0,0,0,0,0,3,0,0,2,-1,0,1,0,1,1,1,0,1,1,0,
-1,0,0,1,1,1,0,1,1,1,0,0,0,0,0,0,0,2,2,1,0,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,2,1,0,0,0,
2,1,0,0,0,0,0,0,0,-1,0,0,0,0,3,1,0,1,2,1,0,0,1,1,0,1,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,2,1,0,0,0,0,0,0,0,1,1,
1,1,1,1,1,1,1,1,1,1,-1,0,-1,-1,1,1,1,1,1,1,1,0,0,0,0,0,0,0,0,0,
 };
static signed short stb__times_bold_33_latin1_y[224]={ 26,5,5,5,5,5,5,5,5,5,5,8,21,17,
21,5,5,5,5,5,5,6,5,6,5,5,12,12,9,12,9,5,5,5,6,5,6,6,6,5,6,6,6,6,
6,6,6,5,6,5,6,5,6,6,6,6,6,6,6,6,5,6,5,30,5,11,6,11,6,11,5,11,6,5,
5,6,6,11,11,11,11,11,11,11,7,12,12,12,12,12,12,5,5,5,15,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,26,11,6,5,9,6,
5,5,6,5,5,12,12,17,5,2,5,8,5,5,5,12,6,13,25,5,5,12,5,5,5,11,-1,-1,-1,0,
0,0,6,5,-1,-1,-1,0,-1,-1,-1,0,6,0,-1,-1,-1,0,0,9,5,-1,-1,-1,0,-1,6,5,5,5,
5,6,6,5,11,11,5,5,5,6,5,5,5,6,5,6,5,5,5,6,6,9,11,5,5,5,6,5,5,6,
 };
static unsigned short stb__times_bold_33_latin1_w[224]={ 0,6,12,15,13,26,23,5,9,9,13,17,7,10,
6,9,13,12,14,14,14,13,13,14,13,14,6,6,17,17,17,13,27,22,19,19,21,19,18,22,23,11,15,24,
19,28,21,22,18,22,22,15,18,22,22,30,22,22,20,6,9,7,14,17,7,14,16,12,15,12,13,14,15,8,
9,17,8,24,15,13,16,15,12,10,10,16,15,22,15,15,13,9,3,9,17,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,0,6,13,15,15,15,
3,13,10,22,10,15,17,10,22,17,11,17,9,9,7,16,17,6,6,7,10,15,21,21,22,13,22,22,22,22,
22,22,30,19,19,19,19,19,11,11,11,11,21,21,22,22,22,22,22,13,22,22,22,22,22,22,18,16,14,14,
14,14,14,14,20,12,12,12,12,12,9,9,10,10,13,15,13,13,13,13,13,17,14,16,16,16,16,15,16,15,
 };
static unsigned short stb__times_bold_33_latin1_h[224]={ 0,22,11,22,24,22,22,11,27,27,13,17,11,4,
6,22,22,21,21,22,21,21,22,21,22,22,15,20,15,8,15,22,28,21,20,22,20,20,20,22,20,20,21,20,
20,20,21,22,20,27,20,22,20,21,21,21,20,20,20,26,22,26,12,3,6,16,21,16,21,16,21,22,20,21,
28,20,20,15,15,16,22,22,15,16,20,15,15,15,14,21,14,28,28,28,6,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,0,22,26,22,15,20,
28,28,4,22,10,14,8,4,22,3,11,17,12,12,6,21,27,6,7,12,10,14,22,22,22,22,27,27,27,26,
26,26,20,27,27,27,27,26,27,27,27,26,20,27,28,28,28,27,27,14,23,28,28,28,27,27,20,22,22,22,
22,21,21,22,16,21,22,22,22,21,21,21,21,20,22,20,22,22,22,21,21,14,16,22,22,22,21,28,28,27,
 };
static unsigned short stb__times_bold_33_latin1_s[224]={ 252,53,98,201,1,120,221,123,17,45,49,
148,129,213,228,245,237,44,1,60,191,167,223,227,1,38,161,219,62,177,168,
154,1,74,42,187,1,24,23,24,62,182,86,141,44,102,102,1,86,55,105,
207,64,222,1,41,1,218,197,161,81,168,63,224,235,199,124,214,206,227,72,
139,203,245,62,226,194,119,33,240,168,47,49,22,241,144,80,96,216,151,202,
72,82,86,202,131,131,131,131,131,131,131,131,131,131,131,131,131,131,131,131,
131,131,131,131,131,131,131,131,131,131,131,131,131,131,131,131,131,252,109,147,
185,186,166,119,146,202,15,137,232,159,213,116,1,111,166,78,88,220,57,27,
243,195,248,148,19,165,143,120,106,78,101,124,219,124,196,128,147,167,104,210,
176,230,242,1,242,159,13,160,183,206,35,58,35,15,229,123,96,81,187,83,
147,52,193,105,108,123,164,1,138,208,63,76,242,181,217,97,244,179,181,67,
91,38,30,16,1,184,75,92,89,24,46,29,1, };
static unsigned short stb__times_bold_33_latin1_t[224]={ 1,134,260,134,86,86,86,260,30,30,260,
222,260,267,260,86,111,157,157,134,157,157,111,134,134,134,243,179,243,260,243,
134,1,157,201,111,201,222,201,111,201,179,179,179,222,222,179,111,201,30,201,
111,222,157,179,179,222,201,201,58,86,58,260,267,260,222,179,222,157,222,179,
134,179,157,1,179,179,243,243,222,134,111,243,243,201,243,243,243,243,157,243,
1,1,1,260,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,
222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,1,134,58,
134,243,179,1,1,267,134,260,243,260,267,134,275,260,222,260,260,260,157,30,
260,260,243,260,260,111,111,111,111,30,30,30,58,58,58,201,30,30,58,30,
58,30,30,58,58,201,58,1,1,1,58,58,260,86,1,1,1,58,30,222,
86,86,86,86,157,157,86,243,157,86,111,111,134,157,134,157,179,86,201,86,
86,86,157,157,260,222,134,134,111,179,1,1,30, };
static unsigned short stb__times_bold_33_latin1_a[224]={ 119,159,265,238,238,477,397,132,
159,159,238,272,119,159,119,132,238,238,238,238,238,238,238,238,
238,238,159,159,272,272,272,238,443,344,318,344,344,318,291,371,
371,186,238,371,318,450,344,371,291,371,344,265,318,344,344,477,
344,344,318,159,132,159,277,238,159,238,265,212,265,212,159,238,
265,132,159,265,132,397,265,238,265,265,212,186,159,265,238,344,
238,238,212,188,105,188,248,371,371,371,371,371,371,371,371,371,
371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,371,
371,371,371,371,371,371,371,371,119,159,238,238,238,238,105,238,
159,356,143,238,272,159,356,238,191,262,143,143,159,275,257,119,
159,143,157,238,358,358,358,238,344,344,344,344,344,344,477,344,
318,318,318,318,186,186,186,186,344,344,371,371,371,371,371,272,
371,344,344,344,344,344,291,265,238,238,238,238,238,238,344,212,
212,212,212,212,132,132,132,132,238,265,238,238,238,238,238,262,
238,265,265,265,265,238,265,238, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_33_latin1_BITMAP_HEIGHT or STB_FONT_times_bold_33_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_33_latin1(stb_fontchar font[STB_FONT_times_bold_33_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_33_latin1_BITMAP_HEIGHT][STB_FONT_times_bold_33_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_33_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_33_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_33_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_33_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_33_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_33_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_33_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_33_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_33_latin1_s[i] + stb__times_bold_33_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_33_latin1_t[i] + stb__times_bold_33_latin1_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_33_latin1_x[i];
            font[i].y0 = stb__times_bold_33_latin1_y[i];
            font[i].x1 = stb__times_bold_33_latin1_x[i] + stb__times_bold_33_latin1_w[i];
            font[i].y1 = stb__times_bold_33_latin1_y[i] + stb__times_bold_33_latin1_h[i];
            font[i].advance_int = (stb__times_bold_33_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_33_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_33_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_33_latin1_s[i] + stb__times_bold_33_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_33_latin1_t[i] + stb__times_bold_33_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_33_latin1_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_33_latin1_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_33_latin1_x[i] + stb__times_bold_33_latin1_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_33_latin1_y[i] + stb__times_bold_33_latin1_h[i] + 0.5f;
            font[i].advance = stb__times_bold_33_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_33_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_33_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_33_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_33_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_33_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_33_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_33_latin1_LINE_SPACING
#endif

