// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_36_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_36_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_36_latin1_BITMAP_WIDTH         256
#define STB_FONT_times_bold_36_latin1_BITMAP_HEIGHT        324
#define STB_FONT_times_bold_36_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_bold_36_latin1_FIRST_CHAR            32
#define STB_FONT_times_bold_36_latin1_NUM_CHARS            224

#define STB_FONT_times_bold_36_latin1_LINE_SPACING          23

static unsigned int stb__times_bold_36_latin1_pixels[]={
    0x00000000,0x4cccc000,0x00000000,0xc9800000,0x000164c2,0x2aa20000,
    0xccccccba,0x4000002c,0x0003eeec,0x0077774c,0x26000000,0x00004eee,
    0x019dfdb5,0x3ffa69f7,0x400006ff,0x801ffff8,0x13ee0ceb,0xfdb97100,
    0x00017bdf,0x3e65fff1,0x15c001ff,0x2e0bb6e0,0xccfffffe,0x5709cffc,
    0xff880000,0xf500005f,0xeb8007ff,0xfe80003d,0x20001fff,0xfb8adfd8,
    0x3a27dc2f,0x00006fff,0x400fffdc,0x3ee5fffa,0x7dfb3004,0x6f654c35,
    0x3ffea001,0x007fff74,0xff980faa,0xffffd80c,0x417e0fff,0x700001ed,
    0x80000dff,0x98006ffb,0x50000efd,0x00bfffff,0x7f437ec0,0xfb13ee1f,
    0x80000dff,0xf9001ffe,0x027dcfff,0x80073f62,0xff1003fb,0x03ffe23f,
    0xf880bf20,0xffff906f,0x2fc1ffff,0x00005f90,0x00001dfb,0x0001ff70,
    0x20003bfe,0x1ffc8efe,0x83ff9800,0x13ee3ffe,0x000dfff9,0x0017fc40,
    0x7dc9fff5,0x007fe604,0x88027440,0x4005440a,0x7fe405fb,0xfffff982,
    0x13e0ffff,0x40005ff0,0x00000ef8,0x4000fee0,0x5c003ffc,0x01bee0df,
    0x3a1bfee0,0x913ee2ff,0x0000dfff,0x540017dc,0x413ee0bd,0x40000efa,
    0x000001f8,0x7c01ffa8,0xfffc83ff,0x20ffffff,0x0ffdc04f,0x000c9800,
    0x003b8000,0x400dff90,0x05f504f8,0x42fffa80,0x227dc3c9,0x0006fffc,
    0x00000220,0x0df109f7,0x00354000,0x1bfe6000,0x3a13ffe0,0xffffffff,
    0xf1013e0f,0x000000ff,0x80000000,0x00006ffd,0x3e200044,0xfb803fff,
    0x237ffe44,0x00000008,0x3a13ee00,0x0008801f,0xeeeeb81b,0x3bb60dee,
    0x017fe45e,0x7fc2fff4,0xffffffff,0x3f2013e0,0x6666443f,0x43cccccc,
    0x3cccccca,0x99999991,0xcca87999,0xfe83cccc,0x5d4c005f,0x009acdec,
    0xdffffc80,0xf913ee00,0x3ffaedff,0xeeeeb82d,0x3bb60dee,0x7776cc5e,
    0xf913ee5e,0xaffe9807,0x1cc2eed9,0x837fffe4,0x7ffc45fb,0x86ffd800,
    0xfffffffd,0x2013e0ff,0xfa986ffa,0x81bfffff,0x09effc98,0x3ffffea6,
    0xfc9881bf,0xfff809ef,0xdffb1004,0x5fffb537,0xffffb000,0x913ee05f,
    0xfbf9dfff,0xff907fff,0x17ee0dff,0x2e6fffe8,0x2e037c4f,0xfff9b2ff,
    0xffd05883,0x903ea0ff,0x3ee00fff,0xffffb87f,0x3e0fffff,0x2fff8804,
    0x0dffff90,0xfc803f60,0xfb006fff,0x0fffe201,0x417ffee0,0x000dfff8,
    0x3fffffee,0x7e44fb84,0xff30efff,0xfffd03ff,0xc803ea0f,0x93ee6fff,
    0x3ff203fa,0x41bfff24,0x3ffff506,0xdfff0b70,0x21ffea00,0xfffffff9,
    0x4013e0ff,0xff706fff,0x1f200dff,0x0dffff70,0xff881f20,0x7ffe401f,
    0x7fffdc06,0xfb9fa800,0x7dc4ffff,0x07fffe44,0x2a1bfff2,0x5b81ffff,
    0x737ffdc0,0xa807f49f,0x3ff20fff,0x3a01b04f,0x41e85fff,0x5005fff8,
    0xfff109ff,0x41ffffff,0xfffd004f,0x17fffee0,0x3ee035c0,0xd7005fff,
    0x201ffe80,0x800ffffa,0x5405fffd,0x3fffa63f,0xf90b264f,0xfff30dff,
    0xbfffd01f,0xffc803d0,0x7c53ee6f,0x87fff105,0x1b02fffe,0x83fffee0,
    0x5fffa869,0x203ff900,0xffffffe8,0x74013e0f,0xffb80fff,0x0d7005ff,
    0x05ffffb8,0xffa80d70,0xdffff103,0x3fffe600,0x3607fe03,0x6400ffff,
    0xff886fff,0xfffb81ff,0x3201a60f,0x53ee6fff,0xfff903f9,0x207fff81,
    0x3fffe207,0x3fee0f24,0x1ff8804f,0x7ffff440,0x4013e0ff,0xfb81fffe,
    0xd7005fff,0x5ffffb80,0xf700d700,0xffffb01d,0x3ffe2007,0x3ff980ff,
    0x807fff90,0xf886fffc,0xff883fff,0x200f24ff,0x3ee6fffc,0xff105f54,
    0x5fff98bf,0xffc80d30,0xf901f0ff,0x7e4409ff,0xb951001c,0x027c1fff,
    0xb82fffd8,0x7005ffff,0xffffb80d,0x200d7005,0x7ffc4fd9,0x3fa001ff,
    0xffb83fff,0x0bffb00e,0xf06fffc8,0x3f209fff,0x001f0fff,0x7dcdfff9,
    0xff703f74,0x3fffd85f,0xff980970,0xf905abff,0x67d409ff,0x07dc0000,
    0x3ff6009f,0xffffb83f,0xb80d7005,0x7005ffff,0x8fe4400d,0x01fffff9,
    0x13ffff60,0x441bffe2,0x7fe404ff,0x7ffff06f,0x2ffffe60,0xfff9005a,
    0x0fba7dcd,0x220fffe8,0x3b00ffff,0xbdfffb00,0x13ffee05,0x0009f910,
    0x009f07dc,0x2e0bfff6,0x7005ffff,0xffffb80d,0x100d7005,0x7fd419fb,
    0x36000fff,0xfb06ffff,0x3ff01dff,0x86fffc80,0x202ffff8,0x02defffd,
    0x5cdfff90,0xff03f34f,0x6fffc8ff,0x3ea00d30,0x3ea07fff,0xbfd004ff,
    0xf83ee000,0x3fffd004,0x0bffff70,0xff701ae0,0x1ae00bff,0x3f217f60,
    0x2000ffff,0x307ffffc,0x4c5fffff,0xf90b265f,0xfff10dff,0x7ffd401f,
    0x3ff2007f,0x7c53ee6f,0x537ffc43,0xd109fffb,0x7fff4003,0x17ffe604,
    0x001ffdc0,0x009f07dc,0x2e03fffa,0x7005ffff,0xffffb80d,0xc80d7005,
    0xfffc82ff,0x7fe4007f,0x3fea07ff,0x45e8cfff,0x7ffe44fb,0x06fffa86,
    0x004fffe8,0xfb9bfff2,0xfff313e4,0xfff5d51f,0xb8009b05,0x3e201fff,
    0xff5005ff,0x41f7000d,0xfffd004f,0x17fffee0,0x3ee035c0,0xd7005fff,
    0xb81fff80,0x000fffff,0x01fffff2,0xbfffffd3,0xffc89f70,0x7ffec3ff,
    0x1fffb801,0x9bfff200,0x3e1764fb,0xfa9fffff,0x2a2641ff,0x037fc401,
    0xb8037ff4,0x5c000fff,0x7c013e0f,0xfff705ff,0x01ae00bf,0x00bffff7,
    0xfff881ae,0xfffffa82,0x3fff6001,0xffd8805f,0x27dc0eff,0x33fffff2,
    0x004fffc9,0xb800dff1,0x93ee6fff,0xffffd87b,0x2a77ffe1,0xc803443d,
    0xfffa803f,0x07ffc800,0x13e0fb80,0x407ffe60,0x005ffffb,0xfffb80d7,
    0x40d7005f,0xf983fff8,0x2001ffff,0x004ffffd,0x717ffff2,0xefffc89f,
    0x04efffe8,0x2001fe40,0x3ee6fffb,0x3f222744,0x5efe4c0d,0x26005901,
    0x3ffd000f,0x00dffb00,0x027c1f70,0xf502ffd4,0x3200bfff,0x7fffd405,
    0xf80b9005,0xfffd04ff,0x7ffc005f,0x74c001ff,0x13ee2fff,0x544dfff9,
    0x01f30001,0x26fffb80,0x00fcc4fb,0x002c4000,0x7fd40095,0x04fff804,
    0x13e0fb80,0x8807ff60,0xb005ffff,0xffff8809,0xe809b005,0xfff505ff,
    0x3fe6009f,0x164c05ff,0xfb93ffa2,0x037ffe44,0x00095000,0x7dcbfff7,
    0x00006c84,0x15c40744,0xffb0007a,0x03fff801,0x13e0fb80,0xf00bff10,
    0x3e00dfff,0x6ffff803,0xfc807f00,0x3fffa06f,0xfffb800f,0x0fffc01f,
    0x4fb97fea,0x0037ffe4,0x007a15c4,0x5fffa854,0x027413ee,0xb01e9800,
    0x001665ff,0xfd013fa2,0x1f70005f,0x17f2027c,0x07fffec0,0x36003ee0,
    0x5c00ffff,0x27fdc00f,0x07ffff30,0x03ffff98,0x220fffc4,0x913ee2ff,
    0xb000dfff,0x401665ff,0x9fff56fc,0xdd8827dc,0x03a60000,0x03b4fff8,
    0x803fa200,0xb8004ffb,0xf8813e0f,0xfff3000e,0x0fea01df,0x77fffcc0,
    0xb007f500,0xfe8805ff,0x3ffa00ff,0x1ff9002f,0x3ee0ffb8,0x037ffec4,
    0x1da7ffc0,0x3e6ffb00,0x013ee0ff,0xd98007f7,0x7ffe400d,0x74c0004e,
    0x03ff200e,0x27c1f700,0x4000ef98,0x9befffe8,0x4004fdb9,0x9befffe8,
    0x9804fdb9,0x3f2003ff,0x7fe4c1ff,0x3fe2001e,0x41efc99c,0x7fff44fb,
    0x7fe4000f,0x3ea004ef,0x5c2ffb9f,0xced8804f,0x6f5cc41a,0x7dd71001,
    0x0f5c0000,0x0019ff70,0x984f83ee,0x3620002e,0xdfffffff,0xffb10001,
    0x03bfffff,0x003efc88,0xfeffeda8,0x8000bdff,0x0bdefec8,0xffd34fb8,
    0x4009dfff,0x8003eeb8,0xb81beeca,0x2ea2004f,0x0bcdefec,0x00000000,
    0x01b98008,0x00018000,0x26aeaa20,0x55100000,0x2a001357,0x2600001a,
    0x000000aa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0x0001eeec,
    0x20000000,0x000deeea,0x027775c0,0x3bbaa000,0xd3000005,0x00001bdd,
    0x75c00000,0x400004ee,0x3203eeed,0x88001eee,0x01260bec,0x007bbb62,
    0x3fffea00,0xdb500005,0x44157bff,0xfffd8005,0xffb00001,0xc800001f,
    0x00001fff,0x002fffc8,0x3bfb2e60,0x80000abd,0x0000fffd,0x40bfff10,
    0x006ffff9,0x6fffffdc,0xff3003eb,0xfd00009f,0x0003ffff,0x67ffffe4,
    0x5ecefecb,0x0fffc400,0xffd10000,0xfb000005,0xd000009f,0x220005ff,
    0xda9beffd,0x40002fff,0x0002ffe8,0xe80bff70,0x002fffff,0x3ffffffa,
    0x3ea000ff,0x7dc0007f,0x006fe8bf,0x1cfffe98,0x00bfff50,0x0001ffa8,
    0x005fe880,0x00dfb000,0x03ff9800,0x0bfff700,0x0037ffe6,0x005fe880,
    0xa80dfd00,0x06fe8cff,0xffb53d10,0xf50009ff,0x3e20005f,0x00bfa22f,
    0x05ffffa8,0x4005ff88,0x000002fd,0x00003fa2,0x0000fec0,0x20007f90,
    0x5406fffd,0x0000ffff,0x00003fa2,0xfe801df1,0x200bf622,0x000ba829,
    0x40013ea0,0x00db01ec,0x01bfffe2,0x64005f98,0x88000002,0x2000001c,
    0x2e00001c,0xfff50003,0xfffb003f,0x1c88000b,0x0064c000,0x036407ee,
    0x54000000,0x06000004,0x07ffff40,0x00017200,0x00000000,0x00000000,
    0x3fe20000,0xff5006ff,0x000007ff,0x80000000,0x333332a1,0x332600cc,
    0x0002cccc,0x66666644,0x6543cccc,0x2a3ccccc,0x8006ffff,0xcba98059,
    0x0009acde,0x6f65d4c0,0xc98009ac,0xcccccccc,0xcccccccc,0x666664c2,
    0xcccccccc,0xfd82cccc,0xf1003fff,0x0001ffff,0x3260006e,0xcccccccc,
    0x9999933c,0x22799999,0x6fffffe9,0x577fdcc0,0x99999930,0xa9879999,
    0x1bffffff,0x9effc988,0x13ffffa0,0xfb100c00,0xffb537df,0xfb10005f,
    0xffb537df,0xfd51005f,0xddddffff,0x109ffffd,0xdfffffd5,0xffffdddd,
    0x3fffff09,0x7ffff400,0x009f0003,0x3fffea20,0x7d441cff,0x01cfffff,
    0x0bfffffb,0xf5103fb0,0x039fffff,0x037fffe4,0x7fcc0fd8,0x00003fff,
    0x882fffdc,0x7000dfff,0x3e20bfff,0xfa800dff,0xfb106fff,0x7ffd409f,
    0x9ffb106f,0x1fffff98,0x3ffff600,0x0ffa8004,0x3ffee000,0x7ffdc07f,
    0x7ffd407f,0x3dc03fff,0x1ffffee0,0x1bfffee0,0x7fd43e40,0x00001fff,
    0x701bfff2,0xc801ffff,0x7dc06fff,0x7d400fff,0x7d406fff,0x3fffea04,
    0x2a27d406,0x000fffff,0x01bffff6,0x000fffa0,0x06ffffa8,0x037fffd4,
    0x3fffffea,0x501aa01f,0x700dffff,0x200bffff,0xffffc86b,0xf500000f,
    0xfb001fff,0x7fd40bff,0xffd800ff,0x7ffd405f,0x204e806f,0x806ffffa,
    0x7fffe44e,0x7ffe4007,0x7fcc007f,0x3ea0007f,0x7d406fff,0x6d406fff,
    0x0ffffffb,0xffa80d30,0xffb806ff,0x0d7005ff,0x01fffff9,0xffff1000,
    0x3ffe600d,0xffff883f,0xffff3006,0x7fffd407,0x5025c286,0x850dffff,
    0x7fffe44b,0x7ffe4007,0x3f6000ff,0x50002fff,0xa80dffff,0x5406ffff,
    0xdfffff95,0xff501a60,0xff700dff,0x1ae00bff,0x07fffff2,0x3fff6000,
    0xfff1003f,0xfffd81ff,0xfff1003f,0x3fea01ff,0x1c4686ff,0x0dffff50,
    0x7fdc388d,0x32000fff,0x2007ffff,0x06fffff8,0xdffff500,0x6ffffa80,
    0xfffd2d40,0x80d309ff,0x806ffffa,0x005ffffb,0xffff70d7,0xff00005f,
    0x74003fff,0x7fc3ffff,0x3a001fff,0xf503ffff,0x0798dfff,0x37fffd40,
    0x3fea01e6,0x36001fff,0x2005ffff,0x1fffffdc,0xffffa800,0x7fffd406,
    0xfd12d406,0x6987ffff,0x37fffd40,0x2ffffdc0,0xffa86b80,0x40003fff,
    0x01fffff9,0x93ffff60,0x01fffff9,0x13ffff60,0x237fffd4,0x7fd4007b,
    0x403dc6ff,0x02fffff9,0x13ffffa0,0x7fecfc40,0xfa8005ff,0x7d406fff,
    0x2d406fff,0x3fffffe6,0xff501a61,0xff700dff,0x1ae00bff,0x027ffff4,
    0x3fffea00,0x3ff6000f,0x3ffea6ff,0x3f6000ff,0xff506fff,0x03fccdff,
    0x9bfffea0,0xffd007f9,0x7fc005ff,0xb7001fff,0x03ffffe6,0xdffff500,
    0x6ffffa80,0x7fd42d40,0x0d30ffff,0x06ffffa8,0x05ffffb8,0x3fee0d70,
    0x640006ff,0x000fffff,0xc9fffff2,0x000fffff,0x41fffff2,0xdcfffffa,
    0x7d4007ff,0xffdcffff,0xffff5007,0x3ffe6009,0xe8be005f,0x4004ffff,
    0x406ffffa,0x406ffffa,0xffff905a,0xf501a6bf,0xf700dfff,0x2e00bfff,
    0xffffd106,0xf9198003,0xc800ffff,0x3f27ffff,0x64007fff,0xf507ffff,
    0xfffbffff,0xfffa800f,0x07fffdff,0x03ffffa0,0x03ffff20,0x3fea3540,
    0x2a000fff,0x5406ffff,0x5406ffff,0x3ffff605,0x7d4069cf,0xfb806fff,
    0xd7005fff,0x37fffcc0,0x3ee5f500,0x2000ffff,0x2e7ffffc,0x000fffff,
    0x41fffff2,0x2a6ffffa,0x7fd4007f,0x01fea6ff,0x03ffff98,0x01ffffc4,
    0xffff07d0,0x7fd4007f,0x7fd406ff,0x02d406ff,0xbfffffd1,0xffffa80d,
    0xffffb806,0xa80d7005,0xb805ffff,0x3fffea3f,0x3ff6001f,0x3ffea5ff,
    0x3f6001ff,0xff505fff,0x007b8dff,0x237fffd4,0x7f44007b,0x3ff200ff,
    0x41e6003f,0x006ffffb,0x01bfffea,0x80dffff5,0x7ffcc05a,0x7d406fff,
    0xfb806fff,0xd7005fff,0xffffd100,0x3bb2a237,0x7ffffcc1,0x3fff6001,
    0x3fffe64f,0x3ff6001f,0xfff504ff,0x400788df,0x446ffffa,0xffe88007,
    0x7ffec41f,0x5576c002,0xffffbaaa,0xfff5002f,0xfffa80df,0x402d406f,
    0x06fffffa,0x037fffd4,0x02ffffd4,0x36a005c8,0xefffffff,0xffffd00c,
    0x7fffc005,0x7ffff41f,0x3fffe002,0xffff501f,0x202e0d0d,0x686ffffa,
    0xfc980170,0xbeffeeff,0x777c4000,0xffeeeeee,0xff5005ff,0xffa80dff,
    0x02d406ff,0x06ffffb8,0x037fffd4,0x02ffffc4,0x988004d8,0xf5001bfa,
    0x26009fff,0xfa85ffff,0xf3004fff,0x7d40bfff,0xd0286fff,0x1bfffea0,
    0x3a00340a,0x0006ffff,0xfff30132,0xff5003ff,0xffa80dff,0x02d406ff,
    0x80dfffb0,0x006ffffa,0x200dffff,0x3ee0003f,0x3ffa000d,0xffb800ff,
    0xfffd01ff,0xfff7001f,0x7ffd403f,0x20d5006f,0x006ffffa,0xff9800d5,
    0x88003fff,0xfffd801f,0xfffa805f,0x7ffd406f,0x0035c06f,0xa80dffd1,
    0xb006ffff,0xb801ffff,0x3f60000f,0x3fe6005f,0x7fcc03ff,0x3fe603ff,
    0x7fcc03ff,0x7fd403ff,0x5f9806ff,0x0dffff50,0x9000bf30,0x003fffff,
    0xff5006c8,0xfa801fff,0x7d406fff,0x3ec06fff,0x01bfe200,0x00dffff5,
    0x03bfffe6,0x40001fd4,0x744006fe,0x3fa00fff,0xfe8802ff,0x3ffa00ff,
    0xfffa802f,0x27fd407f,0x07ffffa8,0x80027fd4,0x0beffffc,0x2004f980,
    0x404fffff,0x407ffffa,0x207ffffa,0x4c003ff8,0x7ffd406f,0x3fa2007f,
    0xdb99beff,0xf880004f,0xff90003f,0xeffc983f,0x7ffe4001,0x0f7fe4c1,
    0xfffffc80,0xfeba999c,0xfff903ff,0x753339ff,0x0007fffd,0x7fffff54,
    0xffe984ce,0xffffd000,0x7ffe405f,0x3ff201ff,0x7f541fff,0x2004ffff,
    0x7ffe406b,0x362001ff,0xdfffffff,0x7f4c0001,0x6d40003e,0xdfffeffe,
    0xdb50000b,0x7bfffdff,0xffec9801,0xffffffff,0x22ffffff,0xfffffec9,
    0xffffffff,0x80002fff,0x2bcdedca,0x6fffffe4,0xfffec881,0x3266ffff,
    0xfffffffe,0xfffd933d,0x007bffff,0xd9305000,0xbfffffff,0x5d544007,
    0x0000009a,0x55300000,0x26000001,0x000000aa,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x98000000,0x00004eee,
    0x037bbaa0,0x2fb22000,0x50001260,0x01ed419b,0x5066d400,0xd100007b,
    0x00000bdd,0x2013bbb2,0x03ccccca,0x9b3066cc,0x03100001,0xda8336a0,
    0x116dc003,0xfd0005b9,0x00003fff,0x007fff60,0x3fffee00,0x0003ebdf,
    0x7c4fffe2,0x220003ff,0xfff13fff,0xffd80007,0x800002ff,0xc800efff,
    0x4009cfff,0x3ffe5ffe,0x03d80004,0xf13fff88,0x3ee007ff,0x1fff70ff,
    0x7fffd400,0x8800005f,0x00001fff,0xfffffffd,0x7cc0001f,0x9fff35ff,
    0x7ffcc000,0x009fff35,0x7ffffcc0,0x7d400006,0xff9000ef,0x3ffe200f,
    0x00dfff16,0x9800f880,0xfff35fff,0x3fff2009,0x003fffb1,0x7fe477f4,
    0x7d400001,0xd100001f,0x9ffffb53,0x3ffb0000,0x0000fff4,0xffe87ff6,
    0x3ffa0001,0x0003ffb9,0x8003bf60,0x32007ffc,0x0bff62ff,0x400b7000,
    0x3ffa1ffd,0x4dff3001,0x2e005ff9,0x01bee0df,0x005fb000,0x5d414c00,
    0x02600000,0x09800006,0x7d400018,0x001fea0e,0x4000ef80,0x44007ffc,
    0x80000980,0x404c001e,0x31030001,0xa827c400,0x3200002f,0x00000002,
    0x00000000,0x00000000,0x00fa60bd,0x00032200,0x0001fff2,0x06980000,
    0x00000000,0x02200000,0x00000000,0x37b2ea60,0x400009ac,0xacdecba9,
    0xccc88009,0x3ccccccc,0x66666654,0x00440003,0x32000000,0xccc987ff,
    0xcccccccc,0x02cccccc,0x00079310,0xc98001b8,0xcccccccc,0x0370003c,
    0x01b80000,0xdffb1000,0x5fffb537,0xdffb1000,0x5fffb537,0xffff5300,
    0x931037ff,0x32613dff,0xcccccccc,0xcccccccc,0x66666542,0x9302cccc,
    0x7e499999,0xffd5107f,0xdddddfff,0x4c09ffff,0x00dffffd,0x40013e00,
    0xffffffa8,0x13e0001c,0x09f00000,0xbfff7000,0x037ffe20,0x82fffdc0,
    0x800dfff8,0x006ffffc,0xfd5101fb,0xddddffff,0x889ffffd,0xdffffffb,
    0x6ffe4c01,0x501fff21,0x220dffff,0xff504ffd,0x007bff65,0x0003fea0,
    0x07ffffb8,0x007fd400,0x0ffa8000,0x3fff2000,0x7fffdc06,0x37ffe400,
    0x03fffee0,0x0dffff70,0xff501f20,0x3f620dff,0xffff504f,0x17e2009f,
    0xf501fff2,0xfa80dfff,0x366ff984,0xe8004fff,0x2a0003ff,0x0006ffff,
    0x0001fff4,0x003ffe80,0x01ffff50,0x40bfffb0,0x800ffffa,0x5c05fffd,
    0x7005ffff,0xffffa80d,0xb027d406,0x001fffff,0xfff901f7,0x6ffffa80,
    0xffe84e80,0x0fffff14,0x07fff980,0x3fffea00,0x3fe60006,0x9800007f,
    0x88007fff,0x3006ffff,0xf107ffff,0x2600dfff,0x2e03ffff,0x7005ffff,
    0xffffa80d,0x2204e806,0x404fffff,0xfff903f8,0x6ffffa80,0x3ea25c28,
    0xff9973ff,0xfffd8009,0xff50002f,0x6c000dff,0x0002ffff,0x17fffec0,
    0x3ffff600,0xffff1003,0xffffd81f,0xffff1003,0x3ffee01f,0x80d7005f,
    0x286ffffa,0x3fee025c,0x1b200fff,0x5407ffc8,0x4686ffff,0x97ffe438,
    0x8800331e,0x006fffff,0x0dffff50,0x3fffe200,0x2200006f,0x006fffff,
    0x00fffffc,0x87ffffd0,0x001fffff,0x40fffffa,0x005ffffb,0xfffa80d7,
    0x01c4686f,0x827ffffc,0x3ff201f8,0x7fffd407,0x7ec03cc6,0x00069bff,
    0x7ffffee4,0xfffa8001,0xfb90006f,0x0003ffff,0x3ffff720,0xfff3001f,
    0x7ec003ff,0x3fe64fff,0x36001fff,0xf704ffff,0x2e00bfff,0x7fffd406,
    0xb8003cc6,0xd81fffff,0x03ffe404,0x71bfffea,0x9fffd00f,0x7c400079,
    0x05ffffd9,0x6ffffa80,0xfd9f8800,0x80005fff,0xffffd9f8,0xffff5005,
    0x7fec001f,0x3ffea6ff,0x3f6000ff,0xff706fff,0x1ae00bff,0x8dffff50,
    0x3fa0007b,0x07d45fff,0x501fff20,0x7ccdffff,0xdfffe807,0x56e0000f,
    0x00fffff9,0x37fffd40,0xff9adc00,0x40000fff,0xfffff35b,0xffff9001,
    0x7fe4001f,0x3fff27ff,0x3f2000ff,0xff707fff,0x1ae00bff,0x4dffff50,
    0x2a0007f9,0x3a1fffff,0x07ffc803,0x67ffffd4,0xfc807ffd,0x40005fff,
    0x3ffffa2f,0x7ffd4004,0x22f8006f,0x004ffffe,0xfffd17c0,0xfff9009f,
    0xffc800ff,0x3fff27ff,0x7fe4007f,0xfff707ff,0x01ae00bf,0xb9fffff5,
    0xe8000fff,0x0d76ffff,0x501fff20,0xffbfffff,0xfff700ff,0x3540009f,
    0x03ffffea,0x6ffffa80,0x3ea35400,0x0000ffff,0xffffa8d5,0x7ffdc00f,
    0x3f2000ff,0x3fee7fff,0x32000fff,0xf707ffff,0x2e00bfff,0x7fffd406,
    0x007fffdf,0x7ffffcc0,0xff9001fb,0xffffa80f,0x2201fea6,0xb81fffff,
    0x7fc1f401,0x2a003fff,0x4006ffff,0xfffff83e,0xf07d0003,0xa807ffff,
    0x001fffff,0xa97ffff6,0x001fffff,0x417ffff6,0x005ffffb,0xfffa80d7,
    0x001fea6f,0x3fffff60,0x1fff2005,0x8dffff50,0xfff5007b,0x099337ff,
    0xfff70798,0x7fd400df,0x1e6006ff,0x037fffdc,0xffb83cc0,0x7fcc06ff,
    0x36001fff,0x3e64ffff,0x2001ffff,0x704ffffd,0x200bffff,0x7ffd406b,
    0x0003dc6f,0x0fffffc4,0x80fff900,0x446ffffa,0x3fff2007,0xd805ffff,
    0xfbaaaaae,0x5002ffff,0x400dffff,0xbaaaaaed,0x002fffff,0x5555576c,
    0x02fffffb,0x017ffff4,0x83fffff0,0x002ffffe,0x407ffffe,0x005ffffa,
    0xfffa80b9,0x0003c46f,0x01ffffe8,0x501fff20,0x0d0dffff,0xffff502e,
    0xdf1009df,0xfddddddd,0x2a00bfff,0x1006ffff,0xdddddddf,0x00bffffd,
    0x777777c4,0x5ffffeee,0x27fffd40,0x5ffff980,0x04ffffa8,0x0bffff30,
    0x02ffffc4,0x7fd404d8,0x170686ff,0x7ffff400,0x1fff2001,0x0dffff50,
    0x4cf61a05,0x0132000a,0x03fffff3,0x0dffff50,0xff301320,0x32003fff,
    0x7fffcc04,0x7fff401f,0xfffb800f,0xffffd01f,0xffff7001,0x6ffff803,
    0xfa807f00,0xd0286fff,0xffffe800,0x1fff2001,0x0dffff50,0x01f11aa0,
    0x2007e200,0x805ffffd,0x806ffffa,0xffd801f8,0x1f8805ff,0x5ffffd80,
    0x1ffffcc0,0x0ffffe60,0x03ffff98,0x01ffffcc,0x007fffec,0xff5003ee,
    0x1aa00dff,0x3ffffd00,0x03ffe400,0x01bfffea,0x009717e6,0xfa803640,
    0x5400ffff,0xc806ffff,0xffff5006,0x006c801f,0x01fffff5,0x00fffe88,
    0x200bfffa,0x200fffe8,0x3002fffe,0x201dffff,0xffa803fa,0x5f9806ff,
    0x7ffff400,0x1fff2002,0x0fffff50,0x0f44ffa8,0x004f9800,0x013ffffe,
    0x80fffff5,0x3fe004f9,0x3e604fff,0x3fffe004,0xfff9004f,0x1effc983,
    0x0fffe400,0x007bff26,0x7dfffd10,0x009fb733,0x01ffffea,0xf8009ff5,
    0x2002ffff,0x3200fffc,0x99cfffff,0x3fffeba9,0x74c001a6,0xffd000ff,
    0x7e405fff,0xd301ffff,0x3fa001ff,0xe982ffff,0xffd000ff,0x2a005fff,
    0xfffeffed,0xb50000bd,0xbfffdffd,0x36200017,0xdfffffff,0x3fff2001,
    0xba999cff,0x2003fffe,0x04fffff9,0x37bfff20,0xffffd933,0xffffffff,
    0x1e45ffff,0x7fffe400,0xfec881df,0x26ffffff,0xfffffec9,0x3ff23dff,
    0xc881dfff,0xfffffffe,0x3fffff26,0xffec881d,0x006fffff,0x0000aa98,
    0x00155300,0xabaa8800,0xfd930009,0xffffffff,0x5fffffff,0xfffdc980,
    0x03ceffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x88000000,
    0x01260bdc,0x07333332,0x00002200,0x00000188,0x00000300,0x006665c0,
    0x00999880,0x80000000,0x40019998,0x00019998,0xa8033331,0x22000ccc,
    0x5c0001cc,0xebdfffff,0xffd99803,0x3f66003f,0x440000df,0x220001fc,
    0x2cdefedb,0xdb9806c8,0x3002defe,0x0009ffff,0x803ffff1,0x000ceeeb,
    0xe88027dc,0x26002fff,0x8000ffff,0x2202ffff,0x5005ffff,0x0009f99f,
    0x7ffffff4,0x3e2000ff,0x336003ff,0x70004d88,0x39dffdfd,0x37ffa600,
    0x2effeb9b,0xffa801f7,0x0effea9d,0x7fffff40,0x7ffd4000,0x657fa201,
    0xdf3001ff,0x4ffe8800,0x1fffcc00,0x0bffe600,0x3fffffb0,0x03cc5b00,
    0xfda9e880,0x44004fff,0xf3003fff,0x22000f88,0xf57a8dfe,0x7fdc05ff,
    0xdfff304f,0xfffb803f,0x81bffe20,0x4ffbdffa,0x017fec00,0x7fccbff6,
    0x003fd006,0x000fff10,0xc800bff3,0x7fcc03ff,0x4405ffae,0x4001740f,
    0x005d4429,0x01fffc40,0x03e20f88,0xf50ffd80,0xfd817fc4,0x7fdc05ff,
    0x7ff400ff,0x01ffff87,0x07fcc7fd,0x402ff880,0xff11fff9,0x04fb807f,
    0x00bfe600,0x8003fea0,0x4fe803fe,0x5d00bfa6,0x000007c4,0xfff88000,
    0x22336003,0x3fea004d,0x05f31ea5,0x003ffff7,0x440bfffd,0xffe87fff,
    0x982fb83f,0x05f5005e,0x223fff70,0x3e605fff,0x7cc0000e,0x07f50004,
    0x2a013e60,0x406e883f,0x004fbcfa,0x80006e00,0x2003fff8,0x000cffd9,
    0x87a9fff2,0x7fffcc2e,0xfffe8806,0xdfff502f,0x503fffd0,0x88014401,
    0x3fffb000,0xfd037ffc,0x02200003,0x10008800,0x5006a003,0x01dc8801,
    0x0027c000,0x007fff10,0xf90009f0,0x2a1eabff,0x1ffffe42,0x7fffeec0,
    0x6fffb80f,0x1006ffe8,0x00c40003,0xf88fffe4,0x09f706ff,0x00062000,
    0x08800088,0x80008800,0x54000018,0xf10000ff,0xfa8007ff,0x7fcc000f,
    0x8807ceff,0x402fffff,0xffffe8ed,0x46fffb82,0x2602fff8,0x03dffffd,
    0xdffffd98,0x25fff703,0xf884fff8,0x3660000e,0x803dffff,0x03ffefd8,
    0x1fff7ec4,0x3ffbf620,0x7ffecc03,0xe80003df,0xf10003ff,0xfe8007ff,
    0xffe8003f,0xfa807fff,0x3201ffff,0x9ffffb0e,0x5cdfff70,0xf9100bfe,
    0x13ffea19,0xfa867e44,0xfff884ff,0xd03fff32,0x3220003f,0x9fff50cf,
    0xf8a7fcc0,0x29ff305f,0xff305ff8,0x2217fe29,0xfff50cfc,0x7fcc0009,
    0xff10007f,0x7fcc007f,0xffb8007f,0x201effff,0x01fffffb,0x7ffec3f5,
    0x6fffb85f,0x2033ff6e,0x7ff42ffc,0x42ffc82f,0xfb82fffe,0x709ff53f,
    0x7e40009f,0x17fff42f,0x3f23ffc4,0x23ffc42f,0x7fc42ffc,0x3217fe47,
    0x7fff42ff,0xfffb0002,0xff10005f,0x7fec007f,0xfb8002ff,0x03ffffff,
    0x01fffff9,0xfffd85f3,0x6fffb87f,0xff86ffc8,0x27ffec6f,0x3f637ffc,
    0x5ff704ff,0x1df107fd,0x37ffc000,0x3213fff6,0x37fd44ff,0xff513ff2,
    0x544ffc8d,0x37ffc6ff,0x0013fff6,0x1bffffe2,0x0fffe200,0x7ffffc40,
    0xfff50006,0xc81bffff,0xf987ffff,0x7ffffc83,0xa86fffb8,0x3fe23fff,
    0x3fff60ff,0x07fffc45,0x440bfffb,0x5fd00aaa,0x20579510,0x360ffff8,
    0x7fcc5fff,0x8fffcc3f,0x7cc3fff9,0x7fff31ff,0xf11fff98,0x7fec1fff,
    0xfdc8005f,0x4001ffff,0x9003fff8,0x03fffffb,0x3fff6200,0x7fdc6fff,
    0x13a20fff,0x43ffffec,0xf986fffb,0x1f7547ff,0x2a17fffa,0x7fff43ee,
    0x27dc0005,0x77e57fd4,0x743eea81,0x7fd45fff,0x97ffcc3f,0x7cc3fffa,
    0x7fff52ff,0x2a2fff98,0x7fff43ee,0x6cfc4005,0x4005ffff,0x8803fff8,
    0x5ffffd9f,0x7ffdc000,0x3fe63fff,0x817a1fff,0xb86ffffe,0xff986fff,
    0x7fdc00ff,0xf7005fff,0x000bffff,0x3e6077c4,0x003ffe6f,0x17ffffee,
    0xfffffff7,0x3ee9ffff,0xffffffff,0xffff74ff,0x9fffffff,0xfffffb80,
    0xf9adc005,0x2000ffff,0xb803fff8,0x1fffff35,0x7f7d4000,0x3fe27fff,
    0x80db2fff,0xb84fffff,0xff986fff,0x5ff702ff,0xb80bfffb,0x5fffdaff,
    0x20bf6000,0x3ffa4ffe,0x36bfee05,0x7fec5fff,0xfffb004f,0x3fff6009,
    0x5ff70004,0x800bfffb,0x3ffffa2f,0x3ffe2004,0x3fa2f803,0x20004fff,
    0xffffe8fa,0x2fffffa0,0x3fe200ec,0xffb81fff,0xffff986f,0xd8f7f442,
    0xfd105fff,0x17fff63d,0x4427dc00,0x3ffa4fff,0xb1efe887,0xffc8bfff,
    0xfff9005f,0x3fff200b,0x77f44005,0x00bfffb1,0x3ffea354,0xff1000ff,
    0x546a807f,0x400fffff,0x3fa7a829,0x3ffea0ff,0x7cc00fef,0xff706fff,
    0xffff10df,0xb0fffcc3,0xff30bfff,0x2fffec3f,0x407fc400,0x3f64fff9,
    0x3ffe60ff,0x717fff61,0x2e00ffff,0xf7007fff,0x7cc00fff,0x3fff61ff,
    0x3e0fa005,0x1003ffff,0x3e807fff,0x03fffff8,0xf93d42d4,0xffff90ff,
    0xffff9003,0x1bffee03,0xff13fffc,0x5fffd8ff,0x363fffc4,0xd8005fff,
    0x9fff502f,0xf887ffec,0x7ffec7ff,0x17fffd45,0x3fffea10,0x7ffd4202,
    0x7fc4202f,0x2fffec7f,0xff707980,0x3e200dff,0x41e603ff,0x406ffffb,
    0xf73d40fa,0x3fffa0bf,0x3ffff803,0x4dbffee0,0x54dff94d,0x3f60ffff,
    0x7ffd45ff,0x17fff60f,0x4409f700,0x3ffa4fff,0x83fffea7,0xff85fffd,
    0x22c80fff,0xc80fffff,0x03ffffe2,0x7fffd4b2,0x017fff60,0x5555576c,
    0x02fffffb,0x203fff88,0xbaaaaaed,0x202fffff,0xd9ea0dfa,0xfff500ff,
    0x7ffe403f,0xb7ffe404,0x2ffa8ffd,0x33bfffea,0x236fffff,0xfceffffa,
    0x0036ffff,0xfe801ff1,0xa97ffa4f,0xffceffff,0x7e436fff,0xc98cffff,
    0x7ffffe45,0x7e45c98c,0xc98cffff,0x3bfffea5,0x36fffffc,0x77777c40,
    0xffffeeee,0x3fff8805,0xdddddf10,0xbffffddd,0xa8f7fd40,0x102ffc8f,
    0x85dffb9d,0x802fffc9,0xff76fffe,0xff889f71,0xffaaffff,0xfff11eff,
    0xfff55fff,0x5fb003df,0x7cdff500,0x3ffe20ff,0xfffaafff,0x7ffec1ef,
    0xd80effff,0xefffffff,0xfffffd80,0x3fe20eff,0xffaaffff,0x13201eff,
    0x3fffff30,0x03fff880,0xfff98099,0xfd7101ff,0x1bfffdff,0xff932f40,
    0x159dffbf,0xdffffd00,0xa81f7f64,0x3f60cffe,0x7ff541ef,0x07bff60c,
    0xb8017ee0,0x82ffb9ff,0x360cffea,0xff901eff,0x64019dff,0x00ceffff,
    0x33bffff2,0x0cffea80,0x8807bff6,0xfffd801f,0x7ffc405f,0xd801f883,
    0x8805ffff,0xa801fca9,0x02aa6206,0x00080000,0x00400801,0x07fc4002,
    0x337b2600,0x00200400,0x2600054c,0x054c000a,0x40040080,0xfff5006c,
    0x7fc401ff,0x5006c83f,0x001fffff,0x000003d4,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x4009f300,0x204fffff,0x7cc3fff8,
    0x3fffe004,0x0062004f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x74c00000,0xffd000ff,0x3ea05fff,0x3ffa63ff,0xffffd000,
    0x0000005f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfffc8000,0xec881dff,0x6fffffff,0x4fffffb2,0x1dfffffc,0xffffec88,
    0x00006fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x98000000,0x00000999,0x01333200,0x00000000,
    0x00666620,0x40000000,0x00019998,0x00099988,0x01440054,0x00000000,
    0x00000000,0x3ffe6000,0xfec8800f,0xf5001def,0x74005fff,0x2001c883,
    0x00cffec9,0x007fffcc,0x4019f930,0x22defeda,0xfffe881a,0x3fe20001,
    0xff1001ff,0x7ffd407f,0x00003fa1,0xeda800ff,0x00000def,0x59bd9753,
    0x7e400013,0xcfa800ff,0x05fffea9,0x06fffff8,0x7dcbba20,0x1df3000c,
    0x9803fff3,0x36003fff,0xfd884fff,0xcffca9ce,0x9ffd101e,0x7ffd4000,
    0x3fff2001,0x97fffa07,0x2a0003fb,0xdfb1004f,0x003fffd7,0x5f7fec40,
    0x02fffda9,0x003ffd00,0x7fc41ff3,0x3fee04ff,0x2003ffbc,0x000dffd8,
    0xffe93fe6,0x06ff9806,0x0fffff10,0x3fa20dfd,0x1ffe202f,0x02ffd800,
    0x07fffec0,0x226ffff8,0x3f20006f,0x41ffb002,0x70005ffe,0x3e20bfff,
    0x26000dff,0xffb001ff,0x0ffffe85,0x3ea2ff88,0xffd3000f,0x7fec001d,
    0x007fffa4,0x22003fea,0x7e47ffff,0x0bfa202f,0x0003ff30,0x30005ff1,
    0x7e40bfff,0x007f42ff,0xf5007f80,0x0fffb8bf,0x37ffe400,0x03fffee0,
    0xf000fe40,0xfffc8bff,0x981fd82f,0x57e4403f,0x9800eff8,0x3ff65fff,
    0x00fea007,0x3e37fffc,0x17cc01ff,0x40027cc0,0x260002fa,0x81ca802b,
    0xf98003fc,0x8dff9005,0x2000fff9,0x800ffffa,0x1005fffd,0x5ffd8001,
    0x40ffffd4,0xb00a200a,0x00effb87,0xb337ffd4,0x0088005d,0x449fffd0,
    0x2d804fff,0x10001100,0x00000001,0x20017e60,0xffd002fc,0x037fc41f,
    0x0dffff10,0x0ffffe60,0x76cc0000,0x03fffdc1,0x7fc00000,0x7ffe404f,
    0x80000007,0x3e62fffc,0x15404fff,0x10000440,0x00000001,0xd0003fe0,
    0x3ffa001f,0x007fee3f,0x03ffffd8,0x1fffff10,0xa9bbbbb6,0x002eeeee,
    0xdb2fffec,0x7754dddd,0x2a202eee,0x2fffdbdc,0x03ffff20,0x9bbbbb60,
    0x82eeeeea,0x7fc0fffa,0x0202efff,0x677ffec4,0xfffd8801,0x0c8001ce,
    0x17e40d00,0x400bf300,0xfc8efffd,0x7ffc000e,0x3fa001ff,0x3ff63fff,
    0x7fffd47f,0x3ffe2002,0x3fffec0e,0x40bfffea,0xfebbfff9,0x3fee06ff,
    0xffb001ff,0xffffa8ff,0xd87ff882,0x1effffff,0x21dff300,0x3e602ffc,
    0x05ff90ef,0x78800e80,0xb8017e60,0x3fee003f,0x8002dfff,0x01fffff9,
    0x93ffff60,0x7c47fffb,0x2e002fff,0xffb80dff,0x7fffc47f,0x23fff982,
    0x221ffff9,0xcffffcaa,0x3fee02aa,0x7fffc47f,0xf10bff02,0xbfffffff,
    0x1fffcc01,0x3e607ffe,0x0fffc3ff,0xf3007880,0xd003fc01,0x7fcc001f,
    0xeea80fff,0x3fea5eee,0x36000fff,0x3ea6ffff,0xffff87ff,0x813fe002,
    0xff87fffa,0x7ffe82ff,0x2a4fffe8,0xffffffff,0x3fea07ff,0x2ffff87f,
    0x3e607fb0,0xffffffff,0x81fffb03,0x7ec0fffd,0x7ffec0ff,0x8027cc00,
    0x0bf602fb,0xb801be20,0x04ffffff,0xfc85fff1,0x2000ffff,0x2a7ffffc,
    0xfff87fff,0x05f5002f,0xf87fffa8,0x7fcc2fff,0x6fffd86f,0x3fffffea,
    0x2a07ffff,0xfff87fff,0x403f702f,0xffffffe9,0x7ffcc5ff,0x22fffc87,
    0xfc87fff9,0x3fea02ff,0x407f9001,0x3fb804fa,0xf9aff980,0xfb02ffff,
    0xfffff909,0xffffc800,0x21fffea7,0xb002ffff,0xffff5005,0xb85ffff0,
    0xffd86fff,0x3fff607f,0xffff5005,0x205ffff0,0xffc800fa,0x24ffffff,
    0xfc86fffb,0x3ffee4ff,0x04fffc86,0x7400bff9,0x01fe205f,0xff7007f6,
    0x77fffe45,0xff706f80,0x64001fff,0x3ea7ffff,0xffff87ff,0x5001d002,
    0xfff0ffff,0x6fffc85f,0x207fffc8,0x5004fffa,0xfff0ffff,0x801e205f,
    0xffffffc8,0x21bfff27,0x3f26fffc,0xfffc86ff,0x02fffd86,0xd80fff10,
    0x01be201f,0xff88fff5,0x0fd46fff,0x1fffffa8,0x3ffff600,0x21fffea5,
    0xb002ffff,0x1fffea00,0xfb0bfffe,0xfff90dff,0x1fffc40f,0x87fffa80,
    0x1a02ffff,0xffd98066,0xfffb1fff,0x4ffff90d,0xfc86fffd,0x7ffd47ff,
    0x3ffea007,0xa813ea01,0x3ffe204f,0xfffffb87,0x7cc07d15,0x2001ffff,
    0x2a4ffffd,0xfff87fff,0x5400002f,0xfff87fff,0x37ffe42f,0x202fffe4,
    0xf5002ffe,0xffff0fff,0x804a8005,0xfb4ffffa,0xfff90dff,0x437ffecf,
    0x7ec7fffc,0x176c45ff,0x880ffff2,0x807f606f,0xd81ffffa,0x5dcfffff,
    0x2ffffe80,0x3ffffe00,0x21fffea1,0x0002ffff,0x43fffd40,0x7dc2ffff,
    0xfffd86ff,0x807fe404,0x1fffea18,0x000bfffe,0x3fee00f5,0x0dfff74f,
    0x7dcdfff9,0xfffc86ff,0x22ffffc6,0x7fec7ffb,0x807f404f,0x7ffe407f,
    0xffffd04f,0xff5001ff,0x3e6009ff,0x7fd45fff,0x2ffff87f,0xa801c980,
    0xfff87fff,0x37ffcc2f,0x2217ffec,0x107fefeb,0x3fffd47d,0xa817fffc,
    0x8017d41c,0xfff53fff,0x49fffb0f,0xfd87fffa,0x3ffe24ff,0x0fffdc6f,
    0xb80dffff,0x404fa83f,0x81fffffc,0x5fffffe8,0xffffe810,0xffffb800,
    0x07fffcc1,0x805ffff3,0x4c03fffb,0x3e60ffff,0xfff82fff,0x40fffe87,
    0xfffffdfe,0x22fffeee,0x260ffff9,0xfc82ffff,0x03fea3ff,0xfe83ffe0,
    0x0fffd87f,0x7ec3fff4,0x7fff40ff,0x89ffe20f,0x4407ffff,0x402fc86f,
    0x0ffffffa,0xffffff98,0xff30b21e,0xff9807ff,0xfff883ff,0xfffff12f,
    0x6fffe807,0x97fffc40,0x83fffff8,0x7fc0fff9,0xff07cc2f,0xdfffffff,
    0x12ffff88,0xf07fffff,0x7fd4dfff,0x0ffee00e,0xff83fff5,0x1fffa84f,
    0x7d427ffc,0x1ff42fff,0x00fffff1,0x807f81fd,0xffffffe8,0xffff931b,
    0x0bfdffff,0x803fffa2,0x3202fffe,0xfbfeffff,0x7ec05fff,0xffc806ff,
    0xfffbfeff,0x49ff505f,0x0f883ffb,0xfffffdf7,0xfff905ff,0xffff7fdf,
    0x4bfffd0b,0xa82ffffa,0xbff704ff,0xf702ffdc,0x02ffdcbf,0x739ffff7,
    0x9fffb09f,0x7cc7f900,0xffff3005,0x5dffffff,0xffffffd1,0xfffc801d,
    0x0f7fe4c1,0x97fffec0,0x205fffff,0xb002fff9,0x3fe5ffff,0xfb505fff,
    0x6407bfbd,0xffd15fff,0x7fec05ff,0xfffff2ff,0x21fffa8b,0xdffcaafa,
    0x5401effd,0x03ffdeff,0xffdeffa8,0xffec8803,0x9f9101de,0x64bf3001,
    0x3f62002f,0x82efffff,0x00effffc,0xfdffdb50,0x40017bff,0x500001a8,
    0x01a88001,0x00153000,0x26a602a2,0x001a8800,0x50310510,0x88001555,
    0xa88000aa,0x0000000a,0x55455000,0xaa988000,0x00aa8801,0x00554c00,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00cccb80,0x00000000,0x00000000,0x00000000,
    0x80009880,0xb5019998,0x06f98007,0x07bfb510,0x99999910,0x88009999,
    0xcb80cdcb,0x4c032e20,0xcccccccc,0x2661cccc,0xff980099,0x260004ff,
    0x0bdeffec,0xfec98000,0x0000bdef,0x7ff6dd44,0x0015c2de,0x2f7ffb6a,
    0x3f21620a,0xcccdefef,0x9fff902c,0x01fffe4c,0xb1007fa0,0x1dffffff,
    0x7ffffd40,0x5004ffff,0x2e039ffb,0x1bff26ff,0x7fffffe4,0x20ffffff,
    0xe805fffb,0x000fffff,0x5e77ff54,0x000cfffd,0xbceffea8,0x000cfffd,
    0x9bdfffb8,0xfcdffdba,0xffff9002,0x9dfd979f,0xa7ffc4bd,0x4fffffd8,
    0x998bfff0,0x2e003ffd,0xfffe804f,0x205fffff,0xfffffffd,0x7ec401ff,
    0xfffe804f,0xd01fffd0,0xffffffff,0xff90dfff,0x6ffd401f,0xb1004ffb,
    0x2e60159f,0xfb1001ef,0x3ee60159,0xffd3001e,0x7fecc03f,0x7ff4c02f,
    0xfff501cf,0x2a3fff4b,0x3e600fff,0x0fff205f,0x20077cc0,0xfffb9bec,
    0xff880fff,0x6fffffff,0x01fffcc0,0x3ee6ffb8,0xfffff05f,0x7fffffff,
    0xf80fff20,0x003fe63f,0x44003fd1,0x7f4402fd,0x0bf62001,0x03ffff50,
    0xa80bff60,0x8805ffff,0xdfff55ff,0x205fff88,0x7fe405fc,0x803fd003,
    0xfffe80e9,0xcccfb81f,0x202ccccc,0x4004fff9,0xf3029829,0x9999bdff,
    0x7e401ffb,0xd305f705,0xaa8fd809,0x8099aaaa,0x03f600fc,0x22157531,
    0x3e201f91,0x6c003fff,0xffff102f,0xcafcc00d,0xfff85fff,0x900df00f,
    0x9f7007ff,0x3ea01300,0x04e80fff,0x17ffe200,0x7dc00000,0x4037e401,
    0x200a80fd,0x547ee028,0xffdbeffe,0xfb83740d,0x5567fd41,0x41ba3efd,
    0x000ffffd,0xffe817c4,0xae4000ff,0xff85fffc,0x200300ff,0x7cc03ffc,
    0xff80000e,0x002f885f,0x00bfff60,0x3b003100,0x2007ff00,0x00088009,
    0x4bff913a,0x3e60effa,0x7fec4e81,0x3e63f981,0x2ffffdc1,0xfa82c800,
    0x98006fff,0x88bfff55,0x80006fff,0x7f403ffc,0xff980001,0xefffb80e,
    0xff9801cd,0xfb30007f,0x0207bfff,0x0003fe60,0x3bfff620,0x50bea01c,
    0x7ffc4bff,0x8bea2fc2,0x0f604ffa,0xffffe8bf,0xd0310004,0x0009ffff,
    0x446fff86,0x76cc3fff,0x3f205eee,0x013ee03f,0x8077e400,0xfffffffe,
    0x3fff600d,0x202bccac,0xff50cfc8,0x3f20009f,0xddddb306,0x21dff30b,
    0x1fb02ffc,0x7fc5ffa8,0xfb07ec2f,0x807ffe21,0xf887ec18,0x0002ffff,
    0x3ffffe60,0xfe980003,0x417ff21f,0x206fffe8,0xdf304ffc,0xff700001,
    0xffff307f,0x07ffffff,0xfffffff1,0xf901bfff,0x2fffe85f,0x203ff800,
    0x4c6fffe8,0x7ffc3fff,0xffa86e81,0x703ffea5,0xff53743f,0x1fb8001f,
    0x03fffff3,0x7ffd4000,0x200001ff,0x3ffdcffc,0x837ffec0,0xe80dffe8,
    0x3220002f,0x44ffffff,0xfffffffc,0x7d42ffff,0xffa8bfff,0x6fff86ff,
    0x0027ffec,0xfb007fe6,0xfffd8dff,0x207ffec0,0x55ffa84f,0x5f105ffd,
    0x0fff727c,0x3ee5f100,0x0000ffff,0x3fffff20,0x36e00000,0xf9001bbb,
    0x55530dff,0x27dc1555,0xeb807b10,0x23ffffff,0xffeccaaa,0x2e0fffff,
    0x3e60ffff,0x3fe23fff,0x3fff60ff,0x037e4005,0xf337ffe4,0xfff90fff,
    0xffa83f85,0x200effde,0xffc8fe2f,0x325f0007,0x000fffff,0x3ffff200,
    0xd880000f,0x3ff20006,0xdf10006f,0x013fa201,0x37ffffd4,0x7fffecc0,
    0x1ffff23f,0xd51bfffa,0x5fffe87d,0x401ffc00,0x3ee6fffc,0xfffc86ff,
    0x7fd42f44,0x301fff8d,0xff72f43f,0x23f3000f,0x01fffffb,0x3fff2000,
    0xc80001ff,0x3f20006f,0xfd0006ff,0x027fec05,0x1ffffd10,0x3fffe600,
    0x21ffff65,0xb807fffc,0x005fffff,0x32007fe6,0x3ff26fff,0x6fffc86f,
    0xaffd43ec,0x1f906ffb,0x1fff33ec,0xf30fc800,0x4c05ffff,0xfffffffc,
    0xfffff74e,0xff880005,0xcccccdff,0xdfff900a,0x409f7000,0x4004ffec,
    0x002ffff9,0xfc9fffa2,0x7fdc0fff,0x5ff700ff,0x400bfffb,0xff9006fc,
    0x37ffecdf,0x2e3fffe4,0xf2ffd41f,0xb8dd05ff,0x00fffa1f,0xffff8dd0,
    0xfff8803f,0x7ffd45ff,0x440003ff,0xffffffff,0xfc82ffff,0x7c4006ff,
    0xff5d700f,0xfffb0009,0x5ffa8001,0x503fffea,0xe881ffff,0xbfffb1ef,
    0x8027f400,0x3f66fffc,0xfffc86ff,0x3ee1fc47,0x83bfea6f,0x31fc43f8,
    0x8b101fff,0x7ffec3f8,0xfffd004f,0xffffd07f,0xffb00009,0xffffffff,
    0xfffc83ff,0x817f4006,0x04ff98e9,0x007ffb80,0x3e63ff88,0x7fd41fff,
    0x0fffcc6f,0x200bfffb,0xf9001ff9,0x7ffdcdff,0x86fffc86,0x3fffa26d,
    0x5c37ffa2,0x74c6d80f,0x1db98aff,0x3fee07dc,0xffb005ff,0xfff705ff,
    0x320000df,0xffffffff,0x7fe43fff,0x13ee006f,0x4ff98f44,0x05ff9800,
    0xff81fd00,0x7ffd42ff,0xb1fffe24,0x3200bfff,0x3ff2006f,0x1fffea6f,
    0x2213fff6,0x9999994f,0x26b33265,0x509f103f,0xf3059bb9,0x3ffff607,
    0xffffd800,0xffffe882,0xc88cc001,0x99999adf,0x7e43ffeb,0xff1006ff,
    0x3733ba01,0x0b6e3eff,0x3620ffb8,0x217e202d,0x7d44fffc,0x3ffea2ff,
    0x17fff60f,0x90027f40,0xffe8dfff,0x00fffd87,0xf30009f5,0x004fa80b,
    0x3a205f98,0xfd804fff,0xff302fff,0x7d400dff,0xf001ff72,0x6fffc83f,
    0x7c05fd00,0x5fffffff,0xd019fff3,0xdfffc85f,0x3f605b80,0x13fee0ff,
    0xf9dffff5,0x806dffff,0x32001ff9,0x7fd46fff,0x027ffc1f,0x22007bee,
    0xfb800dfb,0xdfb8801e,0x7fff4c00,0x7fffec02,0x3fffea02,0x323fb805,
    0x37dc02ff,0x403fffe4,0x4ccc04fb,0xf10cffb9,0xb319ffff,0xffff705f,
    0x80bb539f,0xfd13ffe8,0xfffff10b,0xdffff55f,0x0037e403,0x2e1ffff2,
    0x17fee5ff,0x5677f4c0,0x07ffd730,0xacefe980,0x07ffd730,0xadfffb80,
    0x7ffff440,0x7fff4401,0xdd9511bf,0x9bffe883,0x04fcb989,0x401ffffd,
    0x4c000ff8,0x7ffdc4ff,0x200cffff,0xdffffffc,0xbfd91003,0x7f5409df,
    0x3bff60cf,0x0027f401,0x203ffffa,0x3ffdeffa,0xfffda800,0x000bffff,
    0x3ffff6a0,0x0000bfff,0xddfffdb1,0x0039fffd,0xfffffda8,0x2600ceff,
    0xacdffeec,0xffffe981,0x05fb03ff,0x207dd300,0x20009aa9,0x0000aa98,
    0x01000544,0x01550008,0x3ffffa60,0x155103ff,0x55310000,0x88000035,
    0x0001aaa9,0x9aaaa980,0xa9880000,0x000001aa,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0e6f6e54,0x0bdec980,
    0x40098800,0x32e20cb8,0x930b2600,0x16664c05,0x00beda80,0x1b02f6a0,
    0x640bda80,0xa87f8800,0xbdeb984f,0x01be6000,0xfc8007b5,0x89ddd704,
    0x000eeee8,0x33333220,0x543ccccc,0x23cccccc,0xfc9befe9,0x9fd100df,
    0x100bff93,0x05dfffd9,0xffc9bff2,0x44fffe06,0xffd02fff,0x7fdc01ff,
    0x4404fe9a,0xcbeffffe,0x3fffa207,0x5007bbef,0x987f90bf,0x004fffff,
    0x3f2607fa,0x3e6003ff,0x1bfff206,0x801ffff3,0xfa980dfb,0x81bfffff,
    0x09effc98,0xfd83fff3,0x47fe885f,0x3a204ffe,0x03fff74f,0x3fa1fffd,
    0xfff980ff,0x509fff55,0x207fffff,0x3fe64ffb,0x3fffea02,0x2a04ffff,
    0xffffffff,0xb07f9004,0xf997443f,0x4fb800ff,0x07ffb330,0xf900ff40,
    0xfff98dff,0x3ffea00f,0x3ffff205,0xe81fb006,0xfffa86ff,0x2e2ffec2,
    0xff883fff,0x217ffe27,0x3fee6ffb,0xf8bffa05,0xaffe81ff,0x7fc40ffe,
    0x807ffc1f,0xffffc9bd,0x326f201e,0x001effff,0x01ff05fb,0xf9806fe8,
    0x1ffe400e,0x6404fc80,0x7fcc6fff,0x3ff200ff,0x3ffee07f,0x98f9006f,
    0xff887fff,0x13ffe64f,0xc81ffff3,0x7ffec5ff,0x02982980,0xb80a80a8,
    0x913f60ef,0xfff81fff,0x05930706,0x00573070,0x37c40ff8,0x7401bea0,
    0x3ffc801f,0xc806f980,0x7fcc6fff,0x3fea00ff,0x3ffee04f,0xa8d7005f,
    0xff82ffff,0x13ffee4f,0x445ffff1,0x7fd44fff,0x00000006,0x1f905f88,
    0x3a07fff4,0x00000fff,0x3e200000,0xb104fa87,0xfb80bfff,0x07ff9004,
    0xf9003fd0,0xfff98dff,0x05ed400f,0x0bffff70,0xfff31ae0,0x1fff88df,
    0x3e13fff6,0x3fea4fff,0x1002884f,0x00440001,0x3e1a8053,0xfffe87ff,
    0x00008801,0x3ea00062,0x2603fc85,0xf303fffd,0x3ff2001d,0x8027e403,
    0x7cc6fffc,0x00000fff,0x00bffff7,0x3fffe1ae,0x8dff50df,0xfe85fffe,
    0x3fff25ff,0xffd88005,0xd8801cef,0x0003ffef,0xe87fff98,0xfb103fff,
    0x30039dff,0x07bffffb,0x3fffffea,0xffffffff,0x417fee04,0x3f2001fe,
    0x01be603f,0x4c6fffc8,0x0000ffff,0x0bffff70,0x3ff21ae0,0xdfe9efff,
    0x437fff40,0x3f67fffd,0x7cc006ff,0x05ff90ef,0xff8a7fcc,0xeeeed985,
    0x87fffa85,0xf984fffe,0x05ff90ef,0x7d433f22,0xfffa84ff,0xffffffff,
    0x3e204fff,0x004fb83f,0xfd01ffe4,0x7ffe4003,0x07fffcc6,0x2f7776cc,
    0x0bffff70,0x7ff41ae0,0xb03fffff,0xffb0ffff,0x3fffe4ff,0x87fff300,
    0xff881fff,0x4417fe47,0xfb86fffe,0xfffe87ff,0x21fffcc5,0xffc81fff,
    0x017fff42,0x0df303fe,0x40fe8393,0x64000ef9,0x09f904ff,0x46fffc80,
    0x100ffff9,0x5c0dfffd,0x7005ffff,0x3fff620d,0xfb80dfff,0x7ff42fff,
    0x3fffee6f,0x1fffb001,0x640fffd8,0x37fd44ff,0xc86fffd8,0xffe87fff,
    0x07ffec7f,0xff03fff6,0x4fffd8df,0x3ea1fe20,0xcadffc84,0x002fe81e,
    0x206fff44,0xfc8006f9,0x7ffcc6ff,0xfffb011f,0x7fffdc0d,0xe80d7005,
    0x0effffff,0x20dfffe8,0x3ea5fffe,0xf9806fff,0xfffc87ff,0x30fffe62,
    0xff903fff,0xffffb0df,0x4cffffd0,0xffc87fff,0x3fffe22f,0x817fff60,
    0x03fc85fa,0x2e057975,0x98f6204f,0x20aaaaaa,0x0e5c41fe,0x546fffc8,
    0x90b1ffff,0x7dc0dfff,0xd7005fff,0x7ffefe40,0xff986fff,0xfffecfff,
    0x7ffff44f,0xfff72983,0x49fff90d,0x7cc3fffa,0xfffc82ff,0x87fffd86,
    0x3ee6fffe,0xfffc86ff,0x3a1f7544,0x3f205fff,0x0001fd83,0x74403be2,
    0x27dc004f,0x03ffffee,0x261ffff9,0x68cfffff,0x206fffc8,0x005ffffb,
    0x2dfd30d7,0x2fffffe8,0xcefffd88,0x7d41ffff,0xb89cffff,0x21bfff25,
    0x3ee6fffc,0xffffffff,0xfffc84ff,0x87fffc86,0x3f25fffe,0xfffc86ff,
    0xffffb806,0x7f55445f,0xbffaaaac,0x7f4001aa,0x013ff602,0x5f446f98,
    0x7e44fffc,0xd9feffff,0xc82fffff,0x3ee06fff,0xd7005fff,0x7447fff0,
    0x4c04ffff,0x20dfff90,0xfffffffc,0x1bfff60e,0xfd9ffff2,0xfc8004ff,
    0xfffa86ff,0x24fffe87,0xfc86fffd,0x3fee07ff,0x545fffda,0xffffffff,
    0x04ffffff,0xec813ee0,0x3fa004ff,0xdff70541,0xefffefd8,0x05dfff10,
    0xb81bfff2,0x7005ffff,0x42fffa8d,0x006ffff8,0xa80bfffe,0x40dfffff,
    0xfc86fffd,0x3fff27ff,0xfffc8005,0x87fff986,0x3f63fffe,0xfffc86ff,
    0xb1efe887,0xee98bfff,0xfeeeeeff,0x1003eeef,0x2bae01ff,0x9f7004ff,
    0xe87ff300,0x06601557,0x40dfff90,0x005ffffa,0x1fffc8b9,0x007fffd8,
    0x200bfff5,0x3fee02f9,0x6fffc86f,0x001fffee,0x221bfff2,0xffe87fff,
    0x1bffee1f,0xf31bfff2,0x7ffec3ff,0xf90bf505,0x0bfa0007,0x27fcc74c,
    0xb8037cc0,0x03fe20ff,0x7ffe4000,0x3fffe206,0xfd89b005,0xfffa81ff,
    0x1dffb006,0x4037f200,0xfd87fffa,0x3ffea4ff,0x3f20202f,0xfffb06ff,
    0x20fffe81,0xfd87fffa,0x3ffe24ff,0x82fffec7,0x01fe83fc,0xd104fb80,
    0x2013fe63,0x5fb001fe,0x0002ff98,0x80dfff90,0xf006ffff,0x82fffc87,
    0xd804fff9,0xb1001eff,0x7ff409ff,0x40fffd87,0xc80fffff,0x06fffc82,
    0xff83fff3,0x87ffe83f,0x3ea0fffd,0x3ff60fff,0xf05fb05f,0xff88001f,
    0xfb99dd00,0x27dc07df,0xfb82fb80,0xf900004f,0xffd80dff,0x07dc00ff,
    0x3213ffe2,0x7ec00eff,0xff8000df,0x07ffea05,0xff909fff,0xb9319fff,
    0x81bfff20,0x3fe62ffd,0x83fff507,0x7fd44fff,0xffffceff,0x40ff836f,
    0xfe8006f9,0x3ffffe02,0xdf305fff,0x198be600,0x0000bff9,0x301bfff2,
    0x201dffff,0xfff503fa,0x00fff443,0x0007dfd5,0xf700ffe6,0x02ffdcbf,
    0xfffffffb,0x3fff201d,0xf92fec07,0x2ffdc03f,0xff10bff7,0xff55ffff,
    0x37c43dff,0x2e0027dc,0x4cccc04f,0xfd00cffb,0x99df3003,0x13ff25f9,
    0x7ffe4000,0xfffe8807,0x4fdb99be,0x6effecc0,0xfc980cff,0xd50001df,
    0x3ea007dd,0x803ffdef,0x0ceffffc,0x03ffffa0,0x1dfdffb0,0xfbdff500,
    0x7ff5407f,0x07bff60c,0x07f90bf5,0x0007fc40,0x7dc13fe6,0xffff9804,
    0x3bd30fff,0x3ffa0000,0xfd8800ff,0x1dffffff,0x06aa6200,0x00001350,
    0x15510000,0x80153000,0xffffffe9,0x000a9803,0x2000aa88,0x1a980400,
    0x36000aa8,0xee98002f,0x800ef983,0x5eeeeeed,0xfd300000,0x007fffff,
    0x026aeaa2,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xccccccb8,0x99702ccc,0x3ae19999,
    0x20deeeee,0x9305eeed,0x99999999,0x66665499,0x32600ccc,0x932ccccc,
    0x00079999,0x33200000,0x6542cccc,0x2ccccccc,0x99999993,0x99930999,
    0x17710199,0x00005dc4,0x04c00022,0xdfdb8008,0x8004001b,0xffffffc8,
    0x3f66201b,0x7ffe43ff,0x00bf706f,0xbfffffd3,0xfffe9883,0x7dcc06ff,
    0x3fe60aef,0xb80006ff,0x000bdfed,0x0fffff26,0xffffff91,0x7ffe4c15,
    0xb300afff,0x3ff605ff,0x4c17ff65,0xd74eeeed,0xb5005bff,0x3a63dfff,
    0x3fffa603,0xf1003fff,0xffffc800,0x03be6007,0xa83ffff4,0xfff3000f,
    0xffd801ff,0xfd805fff,0x0dfff901,0xcb7f4400,0xff8005ff,0xfffd03ff,
    0x7ffec0df,0x02f9806f,0xfff9fffe,0x3fffe207,0xffffdfce,0xe8fff603,
    0xf103ffdf,0xffffffff,0x800fb007,0x02fffff8,0x7d405f30,0x05b81fff,
    0x3ffffe60,0x7fffd400,0x03dc03ff,0x000dfff9,0xffca7ff4,0x7ffc000f,
    0xffff503f,0x3ffea01f,0x03d401ff,0xffc97ff2,0x7fffec04,0x3ffff30e,
    0xf98bff90,0xffb03fff,0xfffffffd,0x003fdc01,0x02ffffe4,0xffe806c8,
    0x2001e85f,0x807ffff8,0xfffffffa,0xfc81aa01,0xf50006ff,0x0ffa69ff,
    0x0ffffa00,0x03ffffe8,0x013ffffa,0x3033009b,0xffff9003,0x46fffc81,
    0xff82fffb,0x0af983ff,0x5fffff91,0x001ffea0,0x07ffffe6,0x3ee00be0,
    0x01a60fff,0x0fffff10,0xffff7b50,0x81a601ff,0x0006fffc,0x0009fff9,
    0x80ffffa0,0x206ffffb,0x207ffffb,0x000000f8,0x986fffc8,0x3fe0ffff,
    0xffff80ff,0xffb02c83,0xfff709ff,0x3ff6000f,0x035404ff,0x24ffff88,
    0x7fc4003c,0x95a807ff,0x20dfffff,0x3fff2069,0x7ec00446,0x830004ff,
    0x2203fffe,0x101fffff,0x205fffff,0x0000006b,0xf10dfff9,0x3fe23fff,
    0x7ffff07f,0x7ffd4010,0x7fffe42f,0x5002eeef,0x401fffff,0x3ff2002e,
    0x8001f0ff,0x807ffff8,0x3ffffa5a,0x3206984f,0xfff96fff,0x7ffec07b,
    0x3ff6a004,0x07fffd5f,0x04ffffd8,0x0bfffff1,0x7776c0ba,0x3bbbaa6e,
    0xdfff902e,0x27ffff10,0xff07fffa,0xff0007ff,0x7f74c1ff,0x02eeefff,
    0x0fffffa0,0x3e6003cc,0x005abfff,0x07ffff88,0x3ffa25a8,0x034c3fff,
    0x9dddfff9,0xed87ffff,0x04efffff,0x6d67ffcc,0x403ffffe,0x707ffffa,
    0x81ffffff,0x3ff600f9,0x7fffd47f,0x0dfff902,0x7e53fffe,0xffff06ff,
    0xfff88007,0x0ffff706,0x7fffdc00,0xb0007b06,0x005bdfff,0x0fffff10,
    0xfff98b50,0x81a61fff,0x223ffffc,0x3b62fffe,0x04efffff,0xfb17ffe2,
    0xfd007fff,0xd5d07fff,0x5c87ffff,0x23fffdc0,0x902ffff8,0x3fe0dfff,
    0xdfffb3ff,0x00ffffe0,0x207fff50,0x0007fffb,0x0bffffe2,0xf50001f3,
    0x2000ffff,0x807ffff8,0xffffa85a,0x640d30ff,0xffb86fff,0x4fffd87f,
    0x41fffe80,0x803ffff8,0x4c6ffffb,0x8dffff77,0x7ffd401f,0x02ffff87,
    0xf10dfff9,0x3ff25fff,0x7ffff07f,0x06ffc800,0x001fffee,0x8bffff90,
    0x3fa0004c,0xf10004ff,0xb500ffff,0x3fffff20,0x7fe40d35,0xffff986f,
    0x027ffec0,0x203fffe2,0x8803fffe,0x361fffff,0x3fffff14,0x3fea01aa,
    0x2ffff87f,0x10dfff90,0x3ee1ffff,0xffff07ff,0x0ffe8007,0x01fffee0,
    0xfffff300,0x80003e21,0x0001fffb,0x00fffff1,0x7ffec0b5,0x32069cff,
    0xff886fff,0x7ffec2ff,0x3fffcc04,0x003fffe8,0x229ffffb,0x3ffff60f,
    0xff5007b4,0x5ffff0ff,0x21bfff20,0x3e26fffa,0xfff82fff,0x3fe6003f,
    0x3fffdc02,0x7ffec000,0x8000b74f,0x20006ff8,0x807ffff8,0x3ffa205a,
    0x3206dfff,0xfff06fff,0x4fffd89f,0x83fffdc0,0x5003fffe,0x16efffff,
    0xf1fffff5,0xffff5001,0x205ffff0,0x6c3ffffc,0x7fec1fff,0x7fffdc5f,
    0x013fa003,0x001fffee,0x3ffffea0,0xc80001f8,0x3e20003f,0x5a807fff,
    0x7ffffcc0,0x3fff206f,0x89ffff06,0x6404fffd,0xffd06fff,0x7ff4007f,
    0xff81ebff,0x5006dfff,0xfff0ffff,0x3fff205f,0xfffc9cff,0xefffe884,
    0x3ffffedb,0x2009f700,0x0007fffb,0xddffffd0,0x03e60000,0xff106e20,
    0x0b500fff,0xdfffff50,0x837ffe40,0x7ec2ffff,0x7fe404ff,0x7fffd07f,
    0x7fffdc00,0xffff906f,0x3fea005f,0x2ffff87f,0xd1dfff90,0x4409dfff,
    0xff4ffffd,0xbf3007ff,0x3ffee040,0xff700007,0x00005fff,0x3fe2012a,
    0x3fffe23f,0x7005a807,0x640dffff,0xff886fff,0x7ffec0ff,0x3fffdc04,
    0x003fffe8,0x0fffffe2,0x07ffffcc,0x87fffa80,0xf902ffff,0x00d44dff,
    0x7fc13510,0x2fc403ff,0xfffb8750,0xff100007,0x71000dff,0xfb801e85,
    0x3ffe26ff,0x005a806f,0xc81bfff6,0xff886fff,0x4fffd87f,0x07fffd40,
    0x001ffff4,0x803ffff6,0x2004fffe,0xff87fffa,0xfff902ff,0x3e00000d,
    0x76c03fff,0xfa999999,0x03fffd42,0x7fff9000,0x25ffb000,0xfff70059,
    0x27fffccb,0xd10035c0,0x7fe40dff,0x4fffa86f,0x404fffd8,0x443ffff8,
    0x4003ffff,0x5c04fffa,0x26001fff,0x3e60ffff,0xff902fff,0x200000df,
    0x3203ffff,0xffffffff,0x7ffcc0ff,0x4000370f,0xf0007ff8,0x400769ff,
    0x3ea1fff9,0x7d800fff,0x037fc400,0xc81ffff9,0xfffb05ff,0xffff9009,
    0x27fffec1,0x00fff400,0x1001bfe2,0x3e25ffff,0xf903ffff,0x00000dff,
    0x540ffffe,0xffffffff,0xfffb07ff,0xb00007bd,0x3f20009f,0x5c004eff,
    0x3fff61ff,0x03ff8801,0xf9037cc0,0x7fcc9fff,0xbfffd00e,0x3bfff600,
    0xfffffcec,0x17ee000b,0x4001fec0,0xbfeffffc,0xfb05ffff,0x00000dff,
    0x2613fffe,0xffffffff,0xf9105fff,0x200007df,0x710000fa,0x2a0007dd,
    0x1dfffefe,0x7ffff540,0x81ae004f,0xfbff73fc,0x7ffc019d,0x3ff6006f,
    0x9bffd4ff,0x17c40015,0x0000fa80,0x3e5ffffb,0xfe85ffff,0x00000fff,
    0x22ffffc4,0xfffffff8,0x804fffff,0x02800000,0x20000000,0x00001aa9,
    0x04c05000,0xd9002a62,0x07ffffff,0x015054c0,0x28005000,0x00d44000,
    0x3ffffe60,0x880005ef,0xfffffffd,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x6666664c,0x9954cccc,0x99999999,0x333332a5,0x1aabcccc,0x33332e00,
    0xcc98000c,0xcccccccc,0x99999933,0x99999999,0xcc985999,0xcccccccc,
    0x00001aab,0x3220006e,0xcccccccc,0xcccccccc,0x99999933,0x00099999,
    0xc98ff500,0x2ccccccc,0x66665c00,0x33264ccc,0x54403ccc,0x1cfffffe,
    0x7ffffd44,0x7fdc40bf,0xffeeffff,0x74c02dff,0x0000ffff,0xffffff51,
    0xffea8839,0xeeeeefff,0xa984ffff,0xfeefffff,0x004fffff,0x10004f80,
    0xdfffffd3,0xffffdddd,0x7fffd44d,0x00001cff,0xa887ff88,0x06ffffff,
    0x3ffffe20,0xfffa81df,0xfff5006f,0xfffc80ff,0x7ffec06f,0x7fffd44f,
    0x3ffee00d,0x7dc0000f,0x7d407fff,0xfb106fff,0x7ffdc09f,0x7fffdc4f,
    0xff50000e,0x7fd40001,0x3fee07ff,0x7ffffb86,0x3f600000,0x3ffee07f,
    0xd7001fff,0x403fffff,0x5006fffd,0xc80fffff,0x6405ffff,0xf984ffff,
    0xf500ffff,0x80001fff,0x406ffffa,0x406ffffa,0x3fea04fa,0xfffb84ff,
    0xffd0005f,0x7fcc0007,0x374407ff,0x037fffd4,0xfffb8000,0x3ff7aa07,
    0xf7d005ff,0x6401ffff,0xf3006fff,0xfb80dfff,0x7dc04fff,0xff304fff,
    0x3fea0dff,0x540000ff,0x5406ffff,0xe806ffff,0x3fffea04,0xfffff884,
    0x7ffcc000,0x3fe60007,0x86b807ff,0x006ffffa,0xffff9800,0x3fe7aa07,
    0x7d400fff,0x407ffff8,0x3006fffb,0xb80dffff,0x5c04ffff,0x3604ffff,
    0xfa84ffff,0x40000fff,0x406ffffa,0x286ffffa,0xfff5025c,0x3fffa09f,
    0x7fec002f,0xf30002ff,0xd100ffff,0x0dffff50,0xfee88000,0x75aa07ff,
    0x6c04ffff,0x07ffff8c,0x8037ffdc,0x406ffff9,0x404ffffb,0x204ffffb,
    0x40fffffa,0x000ffffa,0x37fffd40,0x1bfffea0,0x7d40711a,0xfff04fff,
    0x7c4003ff,0x0006ffff,0x20fffff3,0x7ffd41c5,0x6c00006f,0x207fffad,
    0xfffff56a,0x7fc47c40,0x7fdc07ff,0xfff3006f,0xfffb80df,0x7ffdc04f,
    0x7fffc04f,0x7fffd43f,0x3bbbbaa0,0x3fffea05,0x7fffd406,0x2a003cc6,
    0xf884ffff,0x64006fff,0x01fffffd,0x7ffff980,0xffa80598,0x200006ff,
    0x7fffa8fb,0xffff9aa0,0x3e2b702f,0x7dc07fff,0xff3006ff,0xffb80dff,
    0x7fdc04ff,0x7ff404ff,0x7ffd45ff,0x0f7fc40f,0x1bfffea0,0x8dffff50,
    0x7fd4007b,0xfffc84ff,0x27e2003f,0x005ffffd,0x87ffff98,0xfffa805c,
    0xf300006f,0x81fffea5,0x3fffee6a,0x3fe23f06,0x7fdc07ff,0xfff3006f,
    0xfffb80df,0x7ffdc04f,0x7ffec04f,0x7fffd46f,0x4006fc40,0x406ffffa,
    0x266ffffa,0x7fd4007f,0xffb314ff,0x5b8005df,0x01fffff3,0x7ffff980,
    0x7d402fdc,0x80006fff,0x3ffea4e8,0xff89aa07,0x13541fff,0xb80fffff,
    0xf3006fff,0xddddffff,0xffffdddd,0xffffb809,0x7fffec04,0x07fffd47,
    0xffa80176,0x7fd406ff,0x7ffdcfff,0x7fffd400,0x2effffff,0x7f45f000,
    0x4c004fff,0xecbfffff,0xffa805ff,0xd80006ff,0x03fffd46,0xffffd8d5,
    0xfff11ec5,0xfffb80ff,0xffff3006,0x9999999f,0x809ffffd,0x404ffffb,
    0x547ffffc,0x1720ffff,0xdffff500,0xfffffa80,0x4007fffd,0xcbeffffa,
    0x02dffffd,0xfff51aa0,0x7cc001ff,0xfffeffff,0xfffa805f,0x7d40006f,
    0x03fffd40,0xffff98d5,0x7c41f10f,0x7dc07fff,0xff3006ff,0xffb80dff,
    0x7fdc04ff,0x7fec04ff,0x7ffd46ff,0x8003f90f,0x406ffffa,0x2a6ffffa,
    0x7fd4007f,0x7ff444ff,0x07d006ff,0x007fffff,0x53ffffcc,0xff500bfb,
    0x44000dff,0x7fffa82f,0x3ffa1aa0,0xf88993ff,0x7dc07fff,0xff3006ff,
    0xffb80dff,0x7fdc04ff,0x7ff404ff,0x7ffd45ff,0x006ffd8f,0x037fffd4,
    0x71bfffea,0xfffa800f,0xffffd04f,0xf707980b,0x4c00dfff,0x5e87ffff,
    0x6ffffa80,0x2677a000,0xffffb999,0xfa86a819,0x41f8ffff,0x407ffff8,
    0x3006fffb,0xb80dffff,0x5c04ffff,0x7c04ffff,0x7d44ffff,0xffffdfff,
    0x3ffea004,0x7ffd406f,0x2003c46f,0x704ffffa,0x403fffff,0xbaaaaaed,
    0x002fffff,0x30fffff3,0xffff500b,0xf88c400d,0xffffffff,0x6a87ffff,
    0xbbfffff0,0x0fffff10,0x006fffb8,0x80dffff3,0x404ffffb,0x404ffffb,
    0x542fffff,0xffddffff,0xff5001ff,0xffa80dff,0x170686ff,0x09ffff50,
    0x0bffffe6,0x777777c4,0x5ffffeee,0xfffff300,0x3fea0160,0x4b2006ff,
    0xfffffff8,0x87ffffff,0xffff706a,0xffff105f,0x6fffb80f,0xdffff300,
    0x4ffffb80,0x27fffdc0,0x0bffff50,0xf11ffff5,0x2a00dfff,0x5406ffff,
    0x0286ffff,0x3fffea0d,0xfffff104,0xf3013207,0x3003ffff,0x0e0fffff,
    0x1bfffea0,0xfff11f80,0xffffffff,0x20d50fff,0x107ffff8,0xb80fffff,
    0xf3006fff,0xfb80dfff,0x7dc04fff,0x3fa04fff,0xffa81fff,0xffff50ff,
    0xffff5009,0xffffa80d,0x2a0d5006,0xf504ffff,0xf103ffff,0xffffb003,
    0xffff300b,0x7fd4000f,0x3f5006ff,0x4ccccccc,0x819ffffb,0x3fff606a,
    0xfffff103,0x06fffb80,0x0dffff30,0x05ffffb8,0x827fffdc,0x503ffff9,
    0x7e41ffff,0x7d401fff,0x7d406fff,0xf9806fff,0x9ffff505,0x1bffff20,
    0xffa80364,0x7cc00fff,0x20007fff,0x806ffffa,0xf5000fe8,0x03540fff,
    0x2201fff3,0x200fffff,0x5006fffb,0xc80fffff,0x6405ffff,0xe985ffff,
    0x3ea02fff,0x3fe21fff,0x3ea00eff,0x7d407fff,0x7d407fff,0xffff704f,
    0xfffff70d,0x4009f301,0x404fffff,0x007ffffa,0x1ffffee0,0x400ffd10,
    0x2e07fffa,0x302ff407,0x401fffff,0x9007fffc,0x403fffff,0x00fffffe,
    0x2bfffffa,0x0dfffca9,0x17fffe40,0x817fffee,0x01fffffc,0x33fffff2,
    0xffeba999,0xffffb03f,0xfffb737f,0xffd3019f,0x3fffa001,0x3ff202ff,
    0xb0001fff,0x339fffff,0xdfff9733,0x3fffd400,0x2a03fe88,0x3ffee01f,
    0x3ffa02ff,0xfd9300ff,0x9bffffff,0x3ffffb2a,0xd952deff,0xffffffff,
    0xb0015bdf,0x27ffffff,0xffffffe8,0xffffd931,0x3267bfff,0xfffffffe,
    0xffffffff,0x3ffb662f,0xefffffff,0xff900bce,0x9103bfff,0xfffffffd,
    0x7fff644d,0x804dffff,0xfffffec9,0xffffffff,0x2a005fff,0x7ecc7fff,
    0x0b05ffff,0xfffffb91,0x7f4c9bff,0x003fffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x22000000,
    0xcccccccc,0xcccb81cc,0x3262cccc,0xcccccccc,0x0009aabc,0x99999991,
    0x00335799,0x33333200,0xcccccccc,0x42cccccc,0xccccccc9,0x001aabcc,
    0x33333326,0x3002cccc,0x882c9859,0xcccccccc,0xcccccccc,0x66666542,
    0x9302cccc,0x64c99999,0xcccccccc,0x3333261c,0x80102ccc,0xffe98800,
    0x3101dfff,0x815bfffd,0xefffffa9,0xeffffecc,0xffe98801,0xfffeefff,
    0x220000bf,0xffffffc9,0xffeeeeef,0xffa883ff,0xffeeffff,0x98802dff,
    0x0afffffe,0x25fff100,0x7cc1fff8,0xcccdefff,0x1ffffffc,0x7ffffdc4,
    0x7e4c01df,0x7ff541df,0x980cffff,0x409dfffc,0x74c1efea,0xffa801ef,
    0xfc800fff,0xfffc802f,0xffffb84f,0xffff5003,0x7ffff44b,0x67cc0001,
    0x881fffff,0x3ee03ffd,0x7fcc5fff,0xfb800dff,0x54005fff,0xfff54fff,
    0x00cffa89,0x09fffff5,0x27ffffd4,0x2205f880,0x01ffffff,0xffd01ffc,
    0x5fffe8bf,0x7ffff980,0x000ef980,0x209ffff7,0x802ffffc,0x445ffff9,
    0x000effff,0x7fffdb20,0x80ff201f,0x885ffffb,0x401fffff,0x004ffffa,
    0xff11fff8,0x403fb83f,0x806ffffe,0x00fffffd,0x7d400fb8,0x2606ffff,
    0x3ffe204f,0x3fffe26f,0xffff9807,0x006fcc07,0x09ffff50,0x017fffe2,
    0x217fffe2,0x003ffffc,0x3ffe3f10,0x01fc01ff,0x20bffff5,0x00fffff8,
    0x013fffea,0x02a20540,0xfff9016e,0xff1005ff,0xf8809fff,0xffffb003,
    0x2017a07f,0x7ec3fffd,0xff9804ff,0x0fee07ff,0x3fffea00,0x3ffffe04,
    0x7fffc400,0x5ffffb85,0x7fc9b000,0x904c1fff,0x7fffd407,0x3ffff205,
    0x3fffea05,0x01bccdef,0x30164000,0x00bfffff,0x07ffffdc,0x7c400d90,
    0x640fffff,0xbec8800e,0x00676440,0x83ffffcc,0xf50002fc,0x7f409fff,
    0x7c402fff,0xffa85fff,0xfa8006ff,0x07ffffe0,0xf5014c19,0x7cc0bfff,
    0xf500ffff,0xfdb9dfff,0x400009ff,0x7ffff403,0x7ffc000f,0x03f104ff,
    0xfffffa80,0x00003ea5,0xfff98000,0x00f7447f,0x9ffff500,0x0fffffc0,
    0x17fffe20,0x013fffee,0xfff85f10,0x000741ff,0x80bffff5,0x504ffffe,
    0x7449ffff,0x6cc1efff,0x0005eeee,0x07fffff5,0xfffff700,0x20009b03,
    0x9bfffffc,0x0000001f,0x3ffffcc0,0x80001dd3,0x304ffffa,0x100fffff,
    0xfb0bffff,0xc8005fff,0x1fffff85,0xfa8003e6,0x7ec05fff,0xff506fff,
    0xfff889ff,0xfffe886f,0xfff88006,0x3a0006ff,0x7d45ffff,0xffd10000,
    0x0007dfff,0xff300000,0x3ffeafff,0x7fd40001,0xfffb04ff,0xfff1005f,
    0xffff98bf,0x407cc005,0xd31fffff,0x7fd4001f,0x7fe405ff,0xfff507ff,
    0xffffd09f,0x0dfffb01,0xfffff900,0x7fd40003,0x00fa1fff,0xfffff300,
    0x0000000d,0x3ffffe60,0x00effffc,0x3fffea00,0x3fffa664,0xfff1002e,
    0x3ffea2bf,0x03e8003f,0xfdbfffff,0xffb801ff,0xffffffff,0x3fff23ff,
    0xfffa80ff,0xffffc84f,0x06fffc83,0x7ffffcc0,0xffe80004,0x000d76ff,
    0x3fffff20,0x00000003,0xffffff98,0x005fffff,0x3ffffea0,0x2fffffff,
    0x7fffc400,0x0cffffff,0xaaafb800,0xfffffaaa,0x400fffdd,0xffffb998,
    0x2e09999e,0xa80fffff,0xfc84ffff,0xffc84fff,0x7ff4006f,0x80000fff,
    0xfbfffff9,0x3fa00001,0x2000ffff,0xdb881dc9,0xffff3003,0xfffffb1f,
    0x3fea0007,0xfffd9dff,0x7c4000ff,0x0999efff,0x3bbe2000,0xfffeeeee,
    0x01ff11ff,0x2ffffd40,0x1fffff20,0x427fffd4,0xc82ffffd,0x2e006fff,
    0x002fffff,0x3ffff600,0x5c00005f,0x006fffff,0xd87ffff1,0xf9803fff,
    0x3ffa7fff,0xa8002fff,0xff14ffff,0x8800dfff,0x0005ffff,0xfff01360,
    0x007cc3ff,0x0bffff50,0x06ffffd8,0xf09ffff5,0xf901ffff,0x3e200dff,
    0x0005ffff,0x7ffffc40,0x3e600001,0x03fffffd,0x26ffffb8,0x807ffff8,
    0x227ffff9,0x00ffffff,0x27fffd40,0x07fffff5,0x2ffffc40,0x00ea8000,
    0x20fffffc,0x3fea000f,0x7ff405ff,0xfff505ff,0xffffa89f,0x0dfff903,
    0x3fffff60,0x74003800,0x0001ffff,0x3ffa7f10,0x7cc01fff,0x3fa1ffff,
    0xff9805ff,0x7ffd47ff,0x2a000eff,0x7e44ffff,0x1001ffff,0x000bffff,
    0xff005f10,0x80d83fff,0xbffff504,0x3ffffe80,0x3bffff50,0x05ffff73,
    0x4037ffe4,0x03fffffa,0x7f400788,0x00001fff,0x7fffcc9d,0xfffc806f,
    0x07ffea2f,0x1ffffe60,0x17ffffee,0x4ffffa80,0x06ffffe8,0x0bffff10,
    0x200b9000,0x4c1fffff,0xffa83440,0x3fe605ff,0x3fea06ff,0xefffffff,
    0x7ffe401c,0x7fffc406,0x00d7006f,0x01ffffe8,0xfb86c800,0x0803ffff,
    0x001883f9,0x41ffffe6,0x03fffffd,0x09ffff50,0x09fffff3,0x0bffff10,
    0x000f9800,0x003fffff,0x3ffea0b9,0x3fff605f,0x3ffea01f,0xf90001df,
    0xffc80dff,0xbf001fff,0xffffe800,0x07dc0001,0x1fffffe8,0x0000dd00,
    0x20fffff3,0x2fffffe8,0x4ffffb80,0x5fffff70,0x5ffff980,0x00fa2000,
    0x01fffff8,0xffa827cc,0xfff105ff,0xfffa809f,0x3f20004f,0x3fe606ff,
    0xf9004fff,0xfffe8009,0x3ea0002f,0x3fffe601,0x02f9806f,0xff501026,
    0x7fcc0fff,0x5c03ffff,0x3605ffff,0x200fffff,0x006ffffa,0xf8003f60,
    0x2e01ffff,0xfff703ff,0xfffd10df,0xffff5007,0x7fe40009,0x3fffa07f,
    0x7f5400ff,0x7ffc003f,0xf30002ff,0xffff900b,0x8274c09f,0x3dcefffc,
    0x1fffffc8,0x3fffffe0,0x3fff603f,0xfff100ef,0x3f201dff,0x8000ffff,
    0xf5002ffc,0x335bffff,0x03fffd95,0x2ffffff6,0x1dfffca9,0xdffffb00,
    0x7fff4000,0xffffb80f,0x999999cf,0x03ffffda,0x3ffffe60,0x6ffb8004,
    0xfffffa80,0xb03fa83f,0x7ff711df,0x3ffffb22,0x3aa2dfff,0xffffffff,
    0xfffdb33e,0x505bdfff,0x27ffffff,0xfffffec8,0xf9803dff,0xb82effff,
    0xffffffec,0xffffffff,0x3fb260ff,0xffffffff,0xc9800ade,0xfffffffe,
    0xffd3002d,0x7c47ffff,0xffffffff,0xffffffff,0x6e4c02ff,0xefffffff,
    0x7ffdc03c,0x6c41cfff,0xffffffff,0x7c402e0e,0x0027cc4f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0fffdc00,0x6666652e,0x6664c3cc,0x9999970c,0xcccb8001,0xcccccccc,
    0x1ccccccc,0x0b02f6a0,0xa984d980,0xaaaaaaaa,0x01aaaaaa,0x00001530,
    0x98800055,0x01880380,0x00026200,0x03100011,0x440004c4,0xffffc800,
    0xffffa9c3,0x7fd441cf,0x3ffffa64,0x7fff4000,0xfffffeee,0x3ffffeee,
    0xdfffff88,0xfd5005cb,0x3333709f,0x33333333,0x36007333,0x7c40002f,
    0xffd88007,0x20b92eff,0x3dffffd9,0xfffec880,0x3bf6202e,0x75cc03ff,
    0xfd32efff,0xd8805ffd,0x301cefff,0x01bfffff,0x405ffff7,0xffffb85f,
    0x06ff4000,0x50bffff6,0xfff707ff,0x807fffff,0x84ffffea,0x801c0003,
    0x440002fd,0x7f4c007f,0x0ddff70f,0x3ea19f91,0x3fa204ff,0x303fff74,
    0x17fe29ff,0x7d4467ec,0xf51ffcff,0x3bfe609f,0x3a05ff90,0x41efffff,
    0x305ffff8,0xffff503f,0xb06e8001,0xf305ffff,0xffb55d07,0x3ae01dff,
    0x84fffffe,0x801c0003,0x440002fd,0x3fe2007f,0x427ffc3f,0x7ff42ffc,
    0x27ff882f,0x7c45fff8,0x217fe47f,0x7fdc1ffd,0x0ffec4ff,0xff0fffe6,
    0xffff303f,0xffc83fff,0x306b80ff,0x8001ffff,0xffffb02e,0x20e0f605,
    0xf50401ca,0x00709fff,0x5fb00380,0x07f88000,0x90bfff20,0xfff83fff,
    0x427ffec6,0x7fec5ffc,0x513ff20f,0x7ffc4dff,0x0ffffd46,0xffb1bfee,
    0x0fffd81f,0xfffffe98,0x17fffcc6,0xfff981f4,0xb02c000f,0x2a05ffff,
    0x22000003,0x0384ffff,0xfd801c00,0x3fc40002,0x1ffff880,0x897fffe2,
    0x3f60ffff,0x7ffc45ff,0xf337fd44,0xfff987ff,0xf31fffe1,0xffa81fff,
    0x0ffff30f,0x6c05fff9,0x740fffff,0x07c45fff,0x40ffff98,0xffb00c01,
    0x000c05ff,0xffff0006,0x38000709,0x0005fb00,0xf5007f88,0x7f741fff,
    0x1f7546ff,0xf517fffa,0xa85109ff,0x7fcc3fff,0x50fbea2f,0xff50ffff,
    0x1bffee3f,0x1b93fff2,0x217fffdc,0x2e0ffffb,0x3fffe605,0x04fffd88,
    0x2ffffd80,0xeeeeec80,0x0cfffd88,0x84ffff80,0x801c0003,0x440002fd,
    0xfff7007f,0x3fef361f,0xfffb807f,0x7ffe45ff,0xffff7005,0x9fffffff,
    0xffffd980,0xffffffff,0x0dfff93f,0x35cdfff9,0x220fffd4,0x0ba3ffff,
    0xeaffff98,0x004fffff,0x017fffec,0xeaffffc8,0x804fffff,0x0384ffff,
    0xeee99c00,0xeeffeeee,0xd95eeeee,0xffdddddd,0x7ddddddd,0x323ffff2,
    0x01ffff75,0x3ff6bfee,0x37ffec5f,0x04fffd80,0xf37fb300,0x7ec00fff,
    0xfffc86ff,0x3fe0fea7,0x2dfffd07,0x3fe600f8,0xfff32fff,0x7fec001f,
    0xff5002ff,0x3fea5fff,0x7ffc01ff,0x4000384f,0xffffff53,0xffffffff,
    0x3fff6fff,0xffffffff,0xf74fffff,0x7dcd7fff,0xefe887ff,0xc8bfffb1,
    0xf9007fff,0xf9000bff,0x3fffe23f,0xdfffb001,0x54ffff90,0x5ff50cff,
    0x27fffee0,0x7ffcc05b,0x17fffc3f,0x5ffffb00,0x3fffe600,0x017fffc2,
    0x0e13fffe,0x26627000,0xbfd99999,0x11999999,0xf3333333,0x3333333f,
    0x3bfffea1,0x317ffee0,0x7fec3fff,0x7fffdc5f,0x7fffb801,0x8bffa200,
    0x003ffff8,0xf90dfff7,0x7efccdff,0x2202ffef,0x02ecffff,0x207fffcc,
    0x2003ffff,0x002ffffd,0xf81ffff3,0x7fc03fff,0x000384ff,0x02fd801c,
    0x803fc400,0x5c1ffff9,0x3fe24fff,0x2fffec7f,0x01bfffea,0x80bfffea,
    0x3a1fff20,0xa8406fff,0xffd87fff,0x1a88624f,0xffeeeee8,0xeeeeffff,
    0x3fffe60e,0x01ffff40,0x05ffffb0,0x03fffe60,0xf807fffd,0x00384fff,
    0x2fd801c0,0x03fc4000,0xc81fffb0,0x3fea2fff,0x3fff60ff,0x3ffffe85,
    0x3fffe298,0xff12c80f,0xffff70ff,0xffe87607,0x00fffd87,0x95555500,
    0x555bffff,0x7ffcc155,0x1ffff40f,0x5ffffb00,0x3fffe600,0x01ffff40,
    0x0e13fffe,0x36007000,0x7c40002f,0x3ffe6007,0x2a27ff42,0xffceffff,
    0x7d436fff,0xb89cffff,0x7ffffe45,0x3ee5c98c,0xeb88cfff,0x30bfffff,
    0x1fffa87b,0x00027ffc,0x0ffffe20,0x03fffe60,0x4007fffd,0x002ffffd,
    0xe81ffff3,0x7fc03fff,0x000384ff,0x02fd801c,0x003fc400,0x2a1dffbd,
    0xfff885ff,0xfffaafff,0x7ffe41ef,0xd80effff,0xefffffff,0x3ffffe20,
    0xfffa9eff,0x705fffff,0x2ffdcbff,0x7fc40000,0xff9803ff,0x7fff40ff,
    0x3fff6003,0xfff3002f,0x3fffe81f,0x427fffc0,0x801c0003,0x998802fd,
    0x9ff99999,0x90999999,0x3f7ff629,0x3ffaa04e,0x07bff60c,0x6fffffd4,
    0x3ffff200,0xfffb80ce,0x7ff4c2ef,0x7d403eff,0x003ffdef,0xeeeeee80,
    0xeeeeffff,0x3ffe60ee,0x1ffff40f,0x5ffffb00,0x3fffe600,0x01ffff40,
    0x0e13fffe,0x36007000,0xfffd802f,0xffffffff,0x014fffff,0x04001531,
    0x0d440020,0x4002a600,0x5544009a,0x05544000,0x55550000,0x5bffff75,
    0x7cc15555,0x7ff40fff,0x3ff6003f,0xff3002ff,0xfffe81ff,0x27fffc03,
    0x00e0001c,0x76400f64,0xeeeeeeee,0x3eeeeeee,0x00000000,0x00000000,
    0x00000000,0xff980000,0xff9803ff,0x7fff40ff,0x3fff6003,0xfff3002f,
    0x3fffe81f,0x427fffc0,0x001c0003,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfff30000,0xfff5009f,0x4ffff83f,0x3ffffa00,0xffff5003,
    0x04ffff83,0x213fffe2,0x989c0003,0x99999999,0x09999999,0x00000000,
    0x00000000,0x00000000,0x00000000,0x77fffe40,0x7fffdc00,0x17fffe22,
    0x7ffffc40,0xffff7005,0x2ffffcc5,0x1fffff70,0xccccccb8,0xcccccccc,
    0xfffff34c,0xffffffff,0x00007fff,0x00000000,0x00000000,0x00000000,
    0xdb500000,0xbfffffff,0xfffffb05,0xfffff37f,0x3f6e01df,0xceffffff,
    0xfffffb01,0xfffff37f,0x3fb2a1df,0x3dffffff,0x774c0000,0xeeeeeeee,
    0x02eeeeee,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x88000000,0x00000000,0x80300060,0x3eeeeeeb,0x7dddddd9,0x5c37bb62,
    0x0deeeeee,0x0017bbb2,0x00018013,0x80008110,0x9bbbbb61,0x82eeeeea,
    0xeeeeeeeb,0xdb14eeee,0xb19ddddd,0x8801bddd,0x2005901d,0xdb88003b,
    0x0efd42de,0x70000000,0x3bbbb2fd,0xcfffd88e,0x7ffff900,0x83ffffc8,
    0x7ffdc0ef,0x64bf707f,0xf91eeeee,0x7ec43dff,0xeeb80dff,0xffb31eee,
    0xcb897e65,0xd8fea1bc,0x7fd47fff,0xadfc82ff,0xffffe999,0x3ffff622,
    0xd8017fc4,0x7001f906,0x744005ff,0x30efffff,0x0017dfff,0xff930000,
    0x7fffe4df,0x4fffffea,0x117fffa0,0x5d09ffff,0x41ffffa0,0x7ffe40fa,
    0xfffffeaf,0xfffef98f,0xffff705f,0x2dffff33,0xfffcdff9,0x2ffbdfff,
    0xf11fffee,0x0b905fff,0x10bffff5,0x7c4fffff,0x705fb002,0x3fea007f,
    0x7dfd1002,0x5c4dff73,0x001cffff,0xfffda800,0x7fffd42d,0x3ffff52f,
    0x03fffee0,0x688fffff,0x07fffea0,0x3ffea132,0x3fffa3ff,0xffff31fe,
    0x5ffff303,0x4cbfffdd,0xcabcffff,0x7d42ffff,0xffff87ff,0xffe82c82,
    0xfff500ff,0x6400f67f,0x00ffb86f,0xfb8006a0,0xb505ff06,0x0017dfff,
    0x7fffdc40,0xffff301c,0x02ffff85,0x4c7ffff1,0x2e2fffff,0x2ffffc04,
    0x7ffcc0fc,0x7fffe43f,0x417fff41,0x53effff8,0x0efd83dd,0xfa86fd88,
    0xffff87ff,0xfffb8182,0x7fff403f,0xff9005bf,0x003ffa85,0x817ec000,
    0x3f2204fc,0x2001cfff,0x03efffd9,0x40ffff98,0x3603ffff,0x3ab26fff,
    0x007a4fff,0x541ffff7,0x3ffff105,0xe87fffb8,0xff883fff,0xff9806ff,
    0x2a1ff400,0xfff87fff,0xfff8802f,0xfff9806f,0xffb800ff,0x003ffcc5,
    0x807fc000,0xfd5006f9,0x2e205dff,0x001dfffe,0xd03fffe6,0x7d407fff,
    0xf71f1fff,0x201a6fff,0x364ffff8,0x3ffff102,0xe87fffb8,0xff884fff,
    0x3fc804ff,0x7d46fa80,0xffff87ff,0xffffd802,0xffffb002,0x1fffb803,
    0x320fffe6,0xeeeeeeee,0xeeeeeeee,0x7e40bfa3,0x7fe4c005,0xfff914ff,
    0xf300017f,0xffe81fff,0x7fffc03f,0xffff15ac,0x3f200795,0x440d37ff,
    0x7dc1ffff,0xfffe87ff,0x3ffff884,0x8801fd80,0x3fffd47f,0x2017fffc,
    0x005ffffa,0x817fffe6,0x7fc6fff9,0xfffd80ff,0xffffffff,0x324fffff,
    0x007ff06f,0x2ffff910,0x001ffffa,0x03fffe60,0xc807fffd,0x362dffff,
    0x000fdfff,0x795ffff3,0x0ffffc40,0x3a1fffee,0xff884fff,0x0fe802ff,
    0xffa8ff00,0x2ffff87f,0x07ffff40,0x3ffff200,0x87fff201,0x9882fffa,
    0x99999999,0x09999999,0x2e2fbfe2,0x64c006ff,0x2a0bffff,0x00befffd,
    0x07fffcc0,0x300ffffa,0xfa8fffff,0x74006fff,0x200fefff,0x5c1ffff8,
    0xffe87fff,0xffff884f,0x802fd801,0x7ffd45f8,0x02ffff87,0x00ffffee,
    0x17ffffa0,0xfb8bff90,0x0000006f,0xdffffff5,0x3ffaa003,0x7e4402df,
    0x3001cfff,0xfe81ffff,0xffe803ff,0x7fffc44f,0x7ffd4003,0x7ffc404f,
    0x3fffdc1f,0x4427fff4,0xb801ffff,0x42fb805f,0xff87fffa,0xfff102ff,
    0xcb8120df,0x401ffffc,0x7fdc1ffd,0x80004002,0x804efec8,0x0cffffc8,
    0xfffda800,0x7ffcc02e,0x1ffff40f,0x40fffdc0,0x8000fffc,0x4401ffff,
    0x7dc1ffff,0xfffe87ff,0x1ffff884,0x202ff880,0x7fcc0ff9,0x3ffe60ff,
    0xffffb02f,0x3a609505,0x06ffff88,0x6fc86fd8,0x003fe600,0xffb50000,
    0x200005df,0x0cffffc9,0x40ffff98,0x8803fffe,0xbff306ff,0x17fee000,
    0x07fffe20,0xfd0ffff7,0xfff109ff,0x3ff6003f,0x886ffb84,0xff12ffff,
    0xff507fff,0x07f30bff,0x7ffdc5d1,0x17f4402f,0xfc801fec,0x8800003f,
    0x01cfffeb,0x3faa0000,0x3fea2dff,0x7fffc1ff,0x407fb004,0xf10002fe,
    0xfff3005f,0x7fffc85f,0x985fffe8,0xb801ffff,0xfeefffff,0xfc85ffff,
    0xffbfefff,0xfffe85ff,0x5ff9330f,0x3e60fe88,0x4400ffff,0x200db06e,
    0x00000ee9,0x00beffa8,0x32600000,0x3ffee7ff,0x3fffe62f,0x401f5005,
    0x320000fc,0xffff7006,0x1ffffd87,0x21bfffe2,0x403ffffa,0xffd9affa,
    0x3ff99eff,0xf2ffffd8,0x7dcbffff,0xffffffff,0xffb12fff,0xfffd55bf,
    0xd8807fff,0x0002d881,0x2da80000,0x40000000,0xffffb6b8,0xffff37ff,
    0x28801dff,0x20001440,0xfffc8018,0xfffb4fff,0xfff35fff,0x3f21dfff,
    0x00dfffff,0x302660b2,0x000d440b,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x36200000,0x9801d880,0x00005000,0x0005f500,
    0x5bd93000,0xb9826d40,0xb5000bde,0x3b2e2017,0x6eedc02d,0x55555442,
    0xaaaaaaaa,0x2aa22aaa,0xaaaaaaaa,0x02aaaaaa,0x33331011,0x404cccc4,
    0x00001dc9,0xed800000,0x2600fc80,0x2fd400ef,0x4000f6c0,0xed9807ff,
    0x4c1deb82,0x224fffff,0xf984fffc,0x7645ffff,0x1ffff50c,0x5ff51fa8,
    0x2fdcbfa0,0xfffffff5,0xffffffff,0x7fffd4ff,0xffffffff,0xe887ffff,
    0x43fffd80,0x7c44fffc,0x00000fff,0x7cc00000,0x100ef885,0x3ea01dfd,
    0x27fd403f,0x0fffee00,0x4c1fffd0,0x4d746fff,0xb330fffc,0x32e889ff,
    0x3fea1fff,0x7ffffd4f,0x9ff34fe8,0x7fccff70,0xdddddd32,0x9999999b,
    0x7774cff9,0xeeeeeeee,0xd86eeeee,0x3ffe20cf,0xa8dffb03,0x0004ffff,
    0xd8000000,0x00efc85f,0xfa81dfd1,0x4ff9803f,0x3f7fe200,0xffff100f,
    0x87fffdc5,0x207ff418,0xfe804ffb,0x65bfff66,0x6d46ffff,0xfd09ff52,
    0x002ffc4f,0x00007f80,0x51fff440,0xffd809ff,0x0bfffe61,0x00000000,
    0xf113fe60,0x77f440bf,0x2207ff50,0x0350ffc2,0x04feafec,0xfa87fffe,
    0x37f406ff,0x2a027fdc,0x3fff20ff,0x0ffffd35,0x217ff36a,0x1bfe27ff,
    0x003fc000,0x27fc4000,0x3f6009fb,0x0037fec4,0x00000000,0xffc87ffb,
    0x2fbfa205,0x3ffe03ff,0x3ff62d72,0xf50ff981,0x3fffa03f,0x817ffe20,
    0xffb81ff8,0xbfffb104,0x10fffee1,0x13fb11be,0x4dff0bff,0x00006ff8,
    0x4cccc4ff,0x99999999,0xfa819999,0x800bf11f,0x0001886d,0x40000000,
    0x3e23fff9,0x3fa204ff,0x7ffc03ff,0xfff9c9bf,0x6c3fe81f,0x0dff905f,
    0x7e407ffd,0x409ff703,0xf13fffd9,0x89f303ff,0x0bff14fe,0x27fc4ffd,
    0x2a7f8000,0xffffffff,0xffffffff,0x88bbbee7,0x00188001,0x00000000,
    0x87fffa00,0x2e03fffc,0x6cc00fff,0xeeeeeeee,0x987fa82d,0x4ffa82ff,
    0xf301ffc8,0x027fdc07,0xffd2ffdc,0xff883f20,0x40dffdae,0x1ff30ff9,
    0xa9fe0000,0xffffffff,0xffffffff,0x00000007,0x00000000,0x3ffe2000,
    0x5037ff44,0x001dfdff,0x7c01674c,0x10df902f,0x0ff505ff,0x5c688be6,
    0x9ff004ff,0x0fdc2fe4,0x7f46fff4,0xd9dfa81e,0x0000001e,0x00000000,
    0x00000000,0x32000000,0x77fdc5ff,0xd17ff500,0x7f9001df,0x3ee019f1,
    0x20ffe206,0x85f880fe,0x4ffeefe8,0x32627fe4,0x7f507f42,0x02601ed8,
    0x01aa8803,0x20c00088,0x541c9818,0x4444441c,0x44440888,0x88888888,
    0x00008888,0x80000000,0xefe85ff8,0x447ff500,0x3f600efe,0x881dff1f,
    0x7fdc01ff,0x87d035c0,0xffffffe8,0x837ff623,0x1ebadffc,0x00330fc4,
    0xd9800000,0x4c02cfff,0xf99bff65,0x1fff50ff,0x3fffffe2,0x3ffe67ff,
    0xffffffff,0x003fffff,0x00000000,0x7fdc37e4,0x107ff500,0xff301dfd,
    0x261ffe4d,0x8155002a,0x5302a029,0x21555555,0x0aaaaaa9,0x380b32ea,
    0x00000000,0x7fffffd4,0x34d80bef,0x3ee5ffff,0x5fff93ff,0x3fffffe2,
    0x3ffe67ff,0xffffffff,0x003fffff,0x00000000,0xff103be2,0x80ffe603,
    0xfe886fe8,0x0007fe62,0x00000000,0x00000000,0x74000000,0xffeb98ad,
    0x1febbdff,0x229ffff7,0xfff30fff,0x3ffffe21,0x00007fff,0x00000000,
    0x203b2000,0x01e401fb,0x10101744,0x00000001,0x00000000,0x00000000,
    0x5403e200,0x3ffffffd,0x887fffe2,0x2605440a,0x19999999,0x00000000,
    0x10000000,0x000b601b,0x00000000,0x00000000,0x00000000,0x30000000,
    0xbdb71009,0x003b9305,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_bold_36_latin1_x[224]={ 0,2,2,0,1,2,1,2,1,0,1,0,1,0,
1,0,1,2,0,0,0,1,1,1,1,1,2,2,0,0,0,1,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,0,1,0,1,0,1,1,0,0,0,0,0,0,3,0,1,2,-1,0,1,0,1,1,1,1,1,1,0,
-1,1,0,1,1,1,0,1,1,1,0,1,0,0,0,0,0,2,2,1,0,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,2,2,0,0,0,
2,1,0,0,0,0,0,0,0,-1,0,0,0,0,3,1,0,1,2,1,0,0,1,1,0,1,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,2,1,0,0,0,0,0,0,0,1,1,
1,1,1,1,1,1,1,1,1,1,-1,0,-1,-1,1,1,1,1,1,1,1,0,1,1,1,1,1,0,0,0,
 };
static signed short stb__times_bold_36_latin1_y[224]={ 28,5,5,6,5,5,5,5,5,5,5,8,23,18,
23,5,6,6,6,6,6,6,6,6,6,6,12,12,9,13,9,5,5,6,6,5,6,6,6,5,6,6,6,6,
6,6,6,5,6,5,6,5,6,6,6,6,6,6,6,6,5,6,6,32,5,12,6,12,6,12,5,12,6,5,
5,6,6,12,12,12,12,12,12,12,7,13,13,13,13,13,13,5,5,5,16,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,28,12,6,5,9,6,
5,5,6,5,6,13,13,18,5,2,6,8,6,6,5,13,6,14,27,6,6,13,6,6,6,12,-1,-1,-1,0,
0,0,6,5,-1,-1,-1,0,-1,-1,-1,0,6,0,-1,-1,-1,0,0,10,5,-1,-1,-1,0,-1,6,5,5,5,
5,6,6,5,12,12,5,5,5,6,5,5,5,6,5,6,5,5,5,6,6,10,12,5,5,5,6,5,5,6,
 };
static unsigned short stb__times_bold_36_latin1_w[224]={ 0,7,14,16,15,29,25,5,10,10,14,18,7,11,
6,10,15,12,15,15,15,15,15,15,15,15,7,7,18,19,18,14,29,24,21,21,23,21,19,24,25,12,17,26,
21,31,23,24,19,24,24,16,20,23,24,33,24,24,22,7,10,7,15,18,8,15,17,13,17,13,13,15,17,9,
10,18,9,26,17,15,17,17,13,11,11,17,16,24,16,16,14,10,3,10,18,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,7,13,16,16,17,
3,14,11,24,11,16,19,11,24,18,12,18,9,9,8,18,18,6,6,8,10,16,23,23,24,14,24,24,24,24,
24,24,33,21,21,21,21,21,12,12,12,12,23,23,24,24,24,24,24,15,24,23,23,23,23,24,19,17,15,15,
15,15,15,15,22,13,13,13,13,13,10,10,11,11,15,17,15,15,15,15,15,18,15,17,17,17,17,16,17,16,
 };
static unsigned short stb__times_bold_36_latin1_h[224]={ 0,24,12,23,26,24,24,12,30,30,14,18,11,5,
6,24,23,22,22,23,22,23,23,23,23,23,17,22,17,8,17,24,31,22,22,24,22,22,22,24,22,22,23,22,
22,22,23,24,22,29,22,24,22,23,23,23,22,22,22,28,24,28,12,4,7,17,23,17,23,17,23,24,22,23,
31,22,22,16,16,17,23,23,16,17,22,16,16,16,15,23,15,30,31,30,6,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,24,28,24,16,22,
31,31,5,24,10,15,8,5,24,3,12,18,12,12,7,23,30,6,8,12,10,15,23,23,23,24,29,29,29,28,
28,28,22,30,29,29,29,28,29,29,29,28,22,29,30,30,30,29,29,15,25,30,30,30,29,29,22,24,24,24,
24,23,23,24,17,23,24,24,24,23,23,23,23,22,24,22,24,24,24,23,23,15,17,24,24,24,23,31,31,30,
 };
static unsigned short stb__times_bold_36_latin1_s[224]={ 253,103,103,137,59,150,205,147,117,158,72,
107,153,222,249,194,89,76,223,165,194,181,197,229,1,17,244,236,20,204,1,
19,70,127,105,92,27,83,152,67,1,70,43,1,172,210,61,231,53,141,28,
111,37,232,1,135,211,186,163,172,183,26,87,234,240,161,85,177,117,191,103,
114,19,222,55,51,242,99,39,228,187,205,126,244,239,157,82,57,190,26,175,
128,66,217,184,89,89,89,89,89,89,89,89,89,89,89,89,89,89,89,89,
89,89,89,89,89,89,89,89,89,89,89,89,89,89,89,89,89,253,175,202,
68,140,1,16,1,210,42,161,207,184,222,17,107,243,126,118,137,231,203,139,
203,224,128,173,39,141,179,154,160,166,26,1,1,216,34,73,25,97,119,125,
180,241,191,204,241,107,217,72,47,228,51,76,56,75,193,169,1,101,147,131,
100,180,134,118,121,213,238,205,33,196,210,224,63,245,130,77,151,52,58,128,
144,1,105,47,224,145,85,1,34,169,38,20,100, };
static unsigned short stb__times_bold_36_latin1_t[224]={ 1,123,307,173,94,94,123,307,1,1,307,
267,307,316,307,123,173,267,197,148,221,148,148,148,173,173,244,244,290,307,290,
123,1,221,221,148,221,221,221,148,221,221,197,244,221,221,197,123,244,33,244,
123,267,173,197,197,244,244,244,64,123,94,307,316,307,267,197,267,197,267,197,
148,267,173,1,221,221,290,290,267,197,197,290,262,197,290,290,290,290,197,290,
1,1,1,316,267,267,267,267,267,267,267,267,267,267,267,267,267,267,267,267,
267,267,267,267,267,267,267,267,267,267,267,267,267,267,267,267,267,1,123,64,
123,290,267,1,1,316,148,307,290,307,316,148,286,290,267,307,307,307,173,1,
316,307,307,307,307,148,173,173,123,33,64,64,94,64,94,244,33,33,33,64,
64,33,33,33,64,244,33,33,33,1,64,64,307,94,1,1,33,64,64,244,
94,94,94,94,173,148,94,267,173,94,94,94,173,148,148,173,244,123,267,123,
123,148,173,173,290,267,123,123,123,197,1,1,1, };
static unsigned short stb__times_bold_36_latin1_a[224]={ 130,173,289,260,260,520,433,145,
173,173,260,296,130,173,130,145,260,260,260,260,260,260,260,260,
260,260,173,173,296,296,296,260,484,376,347,376,376,347,318,405,
405,202,260,405,347,491,376,405,318,405,376,289,347,376,376,520,
376,376,347,173,145,173,302,260,173,260,289,231,289,231,173,260,
289,145,173,289,145,433,289,260,289,289,231,202,173,289,260,376,
260,260,231,205,115,205,270,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,130,173,260,260,260,260,115,260,
173,389,156,260,296,173,389,260,208,285,156,156,173,300,281,130,
173,156,172,260,390,390,390,260,376,376,376,376,376,376,520,376,
347,347,347,347,202,202,202,202,376,376,405,405,405,405,405,296,
405,376,376,376,376,376,318,289,260,260,260,260,260,260,376,231,
231,231,231,231,145,145,145,145,260,289,260,260,260,260,260,285,
260,289,289,289,289,260,289,260, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_36_latin1_BITMAP_HEIGHT or STB_FONT_times_bold_36_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_36_latin1(stb_fontchar font[STB_FONT_times_bold_36_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_36_latin1_BITMAP_HEIGHT][STB_FONT_times_bold_36_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_36_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_36_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_36_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_36_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_36_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_36_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_36_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_36_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_36_latin1_s[i] + stb__times_bold_36_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_36_latin1_t[i] + stb__times_bold_36_latin1_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_36_latin1_x[i];
            font[i].y0 = stb__times_bold_36_latin1_y[i];
            font[i].x1 = stb__times_bold_36_latin1_x[i] + stb__times_bold_36_latin1_w[i];
            font[i].y1 = stb__times_bold_36_latin1_y[i] + stb__times_bold_36_latin1_h[i];
            font[i].advance_int = (stb__times_bold_36_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_36_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_36_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_36_latin1_s[i] + stb__times_bold_36_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_36_latin1_t[i] + stb__times_bold_36_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_36_latin1_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_36_latin1_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_36_latin1_x[i] + stb__times_bold_36_latin1_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_36_latin1_y[i] + stb__times_bold_36_latin1_h[i] + 0.5f;
            font[i].advance = stb__times_bold_36_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_36_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_36_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_36_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_36_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_36_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_36_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_36_latin1_LINE_SPACING
#endif

