// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_38_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_38_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_38_latin1_BITMAP_WIDTH         256
#define STB_FONT_times_bold_38_latin1_BITMAP_HEIGHT        362
#define STB_FONT_times_bold_38_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_bold_38_latin1_FIRST_CHAR            32
#define STB_FONT_times_bold_38_latin1_NUM_CHARS            224

#define STB_FONT_times_bold_38_latin1_LINE_SPACING          25

static unsigned int stb__times_bold_38_latin1_pixels[]={
    0x26662131,0x00000199,0x00155553,0x00026202,0x00006620,0x01555400,
    0x00013000,0x01aaaa80,0xaaaa8800,0x30000000,0x00015555,0x00d554c0,
    0x88776600,0x5bea02dc,0x1fffffd8,0xffd80000,0x9ff9005f,0x540037d4,
    0xffeeffed,0xb800002d,0x0002ffff,0x33ffffaa,0x7fd40000,0xb00000ff,
    0x00009fff,0x0ffffa00,0xfff88000,0x7fc0006f,0x03fff65f,0x3ff637d4,
    0x400001ff,0x3005fff8,0x3ea1ffff,0x9ff93006,0x7f953013,0x3fe20000,
    0xb0006fff,0x3ff625df,0x3ff20001,0x6c00001f,0x000007ff,0x004fff98,
    0x7fffe400,0xff30002f,0x0ffffcff,0x7fe46fa8,0x400001ff,0x2e005ffa,
    0xdf52ffff,0x005df700,0x0000de98,0x7ff77fe4,0x07fe4002,0x8001ffe6,
    0x00001fff,0x0005ffd0,0x04ffc800,0x7ffc4000,0x20006ffd,0x3fee4ffe,
    0xf71bea06,0x00003fff,0x44006fd8,0xdf50ffff,0x0027ec40,0x40003b20,
    0xdfb14ff9,0x437fc400,0x8001fffa,0x00001ffa,0x0013fa20,0x009fd000,
    0x23ffb000,0x20002ffa,0x5402981a,0x7fffdc6f,0x77c00001,0x1cd98000,
    0x7fc41bea,0x0bb00002,0x360ff600,0xfff5003f,0x00fff981,0x0001fc80,
    0x007e8800,0x017e6000,0x03be6000,0x00000df3,0xf71bea00,0x00003fff,
    0x00000544,0x17ec1bea,0x05f10000,0x3201e980,0x9fff3007,0x20005b70,
    0x0000001a,0x000002a2,0x8000014c,0x00fa204c,0x3ea00000,0x0ffffdc6,
    0x00000000,0x7e437d40,0x6a800004,0x80000000,0x0004ffff,0x00000000,
    0x00000000,0x00000000,0x99999950,0x66664c59,0x3ee37d43,0xfeb89fff,
    0xccca80be,0x3262cccc,0x66443ccc,0xdf50cccc,0xe9806f98,0x3ccc89ef,
    0x777440e8,0xeeeeeeee,0x777775c2,0x7ffe40ee,0x774401ef,0xeeeeeeee,
    0x77775c2e,0xb9800eee,0xacdeffec,0x65cc0000,0x0acdeffe,0x765cc000,
    0x00acdeff,0xfffffd88,0x40dfe983,0x7ffdc6fa,0xfffffe9f,0x7ffec40f,
    0xdfe983ff,0xffffe980,0x1fd8df51,0x6cdffdc0,0x3d83fffb,0xfffffd10,
    0x7fd4401b,0x3fff601e,0xfe8803ff,0x200dffff,0x001effa8,0x5159fff9,
    0x0007fffb,0x22b3fff2,0x003fffda,0x159fff90,0x007fffb5,0x407ffffa,
    0x46fa80fc,0x8cfffffb,0xd05fffd9,0x3203ffff,0x3ffee00f,0x7c4df51f,
    0xb27fec06,0x9703fffd,0x7ffffd40,0x803fb002,0xeffffff8,0x7fffd400,
    0x03fb002f,0x03fffd50,0x007bffa2,0x80ffff54,0x001effe8,0x203fffd5,
    0x401effe8,0xb04ffffa,0xf71bea09,0xff88bfff,0xfffa83ff,0xa809b04f,
    0xdf51ffff,0xff701fdc,0x3fffe41f,0x3fe605a8,0xf7001fff,0xffcdd801,
    0x2600efff,0x001fffff,0xffb801f7,0x7fcc02ff,0x7fdc01ff,0x7fcc02ff,
    0x7fdc01ff,0x7fcc02ff,0x7ffc01ff,0x500f887f,0xffffb8df,0x07fffd81,
    0xf10fffff,0xffffa801,0x07f4df51,0x742fff98,0x0b304fff,0x0fffffcc,
    0x76c07a80,0xdfffff30,0x3fffe601,0x80f5001f,0x004ffff8,0x201dfffb,
    0x004ffff8,0x201dfffb,0x004ffff8,0x401dfffb,0x542ffffb,0xfffb8005,
    0xffffb81f,0x2ffffb80,0x7fd402d4,0x7cdf51ff,0x21fffa05,0x9502ffff,
    0x7ffffcc0,0x640f5001,0x7ffec44f,0xffff304f,0x01ea003f,0x005ffffd,
    0x413fffea,0x002ffffe,0x209ffff5,0x002ffffe,0x409ffff5,0x6c6ffff8,
    0xfffb8002,0xffffb81f,0x6ffff881,0x7fd4016c,0x22df51ff,0x9fff504f,
    0x00ffff88,0x7ffcc079,0x0f5001ff,0xffc81ffc,0xfff981ff,0x0f5001ff,
    0x03ffffdc,0x5fffff10,0x07ffffb8,0x3ffffe20,0x3ffffdc2,0xfffff100,
    0x7fffe405,0x2e000f11,0xfa81ffff,0xff903fff,0x401e23ff,0xf51ffffa,
    0x7f40fe6d,0x7ffdc1ff,0xf980ba05,0x5001ffff,0x81bfe60f,0xf983fffc,
    0x5001ffff,0x7ffff40f,0x7fff4005,0x7ffff45f,0x7fff4005,0x7ffff45f,
    0x7fff4005,0x3ffe605f,0x2000975f,0xa81ffffb,0xf303ffff,0x012ebfff,
    0xa8ffffd4,0xf305f56f,0xffff0fff,0xf301e207,0x2003ffff,0x9fff507a,
    0x4c1ffec0,0x001fffff,0x3ffe20f5,0x7ec004ff,0x3fe26fff,0x6c004fff,
    0x3e26ffff,0x4004ffff,0x406ffffd,0x1e8ffffd,0xffff7000,0x5ffff503,
    0x47fffec0,0xfff5001e,0x7d5bea3f,0x45fffb82,0x501ffffb,0xffff9809,
    0x20f5001f,0x503ffff8,0xfff303ff,0x1ea003ff,0x27ffffcc,0x3ffff600,
    0xfffff30f,0xfffd8009,0xffff30ff,0xffd8009f,0x3ea00fff,0x0006efff,
    0x207fffee,0x200ffffb,0x06effffa,0x47fffea0,0x907f16fa,0x7f449fff,
    0x03d106ff,0x1fffff98,0x7ec0f500,0x7d40dfff,0xfffff307,0x5c1ea003,
    0x003fffff,0x8fffffe4,0x03fffffb,0x7ffffe40,0x7fffff71,0xffffc800,
    0x7fff401f,0x44e9803f,0xb81ffffb,0xfe807fff,0x2a003fff,0xdf51ffff,
    0x7ffec2fc,0x13fff363,0x7fcc01f4,0xf5001fff,0x7ffff440,0x4c0bf21e,
    0x001fffff,0x3fff20f5,0x7e4002ff,0xff92ffff,0xc8005fff,0xf92fffff,
    0x8005ffff,0x02fffffc,0x007fffdc,0x3fee37d4,0xfffd81ff,0xffffb805,
    0x3ffea000,0x36cdf51f,0x6cf7ffec,0xc83fffcc,0xffff3006,0x01ea003f,
    0x7fffffb1,0x7fcc03f7,0xf5001fff,0x3ffffee0,0x7ffe4003,0xffff72ff,
    0xffc8007f,0xfff72fff,0xfc8007ff,0x4402ffff,0xf5005fff,0xeffffb8d,
    0x03fffe20,0x017ffe20,0x23ffff50,0x2e1f26fa,0xf76fffff,0x20db85ff,
    0xffff3058,0x01ea003f,0x7fffffe4,0x7fffcc01,0x20f5001f,0x04fffffa,
    0x7ffffe40,0x9fffff50,0xffffc800,0xfffff50f,0xfffc8009,0xffc800ff,
    0xb8df5002,0xabedffff,0x2001ffff,0x54002ffc,0xdf51ffff,0x3fe60fd4,
    0xfff10dff,0x7909d73d,0x3ffffe60,0x400f7001,0x05fffffb,0x0fffffcc,
    0xff307b80,0xd8009fff,0x3e67ffff,0x4004ffff,0x267ffffd,0x004fffff,
    0x03ffffec,0x2a007f88,0x7fffdc6f,0x2effffb9,0x003fc400,0xa8ffffd4,
    0x6d436c6f,0xdefc984e,0x2606880b,0x001fffff,0xfe9800d7,0x3e603fff,
    0x7001ffff,0x7ffffc0d,0x7fff4005,0x7ffffc6f,0x7fff4005,0x7ffffc6f,
    0x7fff4005,0x0136006f,0x7fdc6fa8,0x002a61ff,0xa8004d80,0xdf51ffff,
    0x00003f88,0xff880b20,0xd9001fff,0xfff91000,0x3ffe201f,0x0d9001ff,
    0x037fffe4,0x0bffffe0,0x00dffff9,0x42fffff8,0x006ffffc,0x017ffffc,
    0x7d4001f0,0x0ffffdc6,0x003e0000,0x47fffe60,0x00fb86fa,0x805b8000,
    0x001fffff,0x82b880bb,0x3e02fffb,0xb001ffff,0x7fffc40b,0xfff3001f,
    0xffff10df,0x3fe6003f,0xfff886ff,0xff3001ff,0x50aa0dff,0x46fa800b,
    0x001ffffb,0x005a8550,0x0ffff982,0x01760df5,0x200b9000,0x002ffffe,
    0x3ffd807f,0x3a03ffe8,0xf002ffff,0xffffb807,0xffff9004,0x3fffee03,
    0xffff9004,0x3fffee03,0xffff9004,0x6c7ff903,0x237d4001,0x001ffffb,
    0x0763ffc8,0xff8b7dc0,0x441bea7f,0xc80001ed,0x3ffee004,0x00fd805f,
    0x7e427ffc,0x3ffee01f,0x00fd805f,0x00ffffd8,0x01ffffc4,0x003ffff6,
    0x807ffff1,0x400ffffd,0xf03ffff8,0x001a6dff,0xfff71bea,0xfff0003f,
    0xfe801a6d,0x24fff88f,0x27d406fa,0x004ea800,0x27ffff44,0xfd007f90,
    0x80ffd07f,0x04ffffe8,0xfb800ff2,0x7fec04ff,0xfff7002f,0x2fffd809,
    0x09fff700,0x202fffd8,0x01fbfffd,0x7ec6fa80,0xd8002fff,0x001fbfff,
    0x3fe23fee,0x201bea0e,0x4401aed8,0x10000ceb,0x37bffffd,0x2007fd95,
    0x3ee24ff9,0xffe8801f,0xeca9bdff,0xff98003f,0x3f6a20df,0x7cc000ef,
    0x36a20dff,0x4c000eff,0x2a20dfff,0x4c00effd,0x0002fffe,0x3fee2df5,
    0x000aefff,0x00bfffa6,0x37fbbf60,0x50037d41,0xdb9bddb9,0x000019df,
    0x3ffffff2,0x4c001dff,0x0dffeffe,0x7fffe400,0x001dffff,0x3fff7220,
    0x00bdeffe,0xfffb9100,0x017bdffd,0x3ff72200,0x0bdeffef,0x0002a600,
    0x55512a88,0x00355555,0x80001530,0x00aa2019,0x009a9880,0x5d4c0000,
    0x400009ab,0x80000a99,0x009abba9,0xaba88000,0x51000000,0x00000157,
    0x0002aea2,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x54000000,0x00002aaa,0x01300000,
    0x44000008,0x0000aaaa,0x40000031,0x10000221,0x00035555,0x55554c00,
    0x554c0000,0x5100001a,0xa88002a0,0x76c01aaa,0x2005eeee,0x000ffffa,
    0x2006a800,0xdeffffda,0x065da21b,0x3fff2000,0x3b726005,0x01bdefff,
    0xa97faa00,0xb0001dff,0x0000bfff,0x027fff40,0x37fff400,0x37fd4000,
    0x4003fff1,0x8806fffc,0x4006fffa,0x0002fffa,0x2003ba60,0xadfffffb,
    0x6edffdba,0xf8000fee,0xf91005ff,0xf95139ff,0xe88007ff,0x5ff701ef,
    0x3fff6000,0xf8800000,0xb80004ff,0x002fffff,0xb97ffec0,0x64004fff,
    0xff001fff,0xff7000df,0x3ea0000b,0xfffd8805,0x3ffaa02f,0x4002fd46,
    0xf5006ffa,0x3e603fff,0xfb001eff,0x3ffd803f,0x05ffb000,0x9ff70000,
    0xfff10000,0x8000dffb,0xff51fffc,0xff90007f,0x1bffa007,0x007fdc00,
    0x003fe600,0x03fffff1,0xfb0dfd10,0x0efc8009,0x2ffffb80,0x0ffffd40,
    0x201bfea0,0x20007ffa,0x800005fe,0x900005fe,0x0ffea3ff,0x43fd8800,
    0xb0000cfc,0x3ffa00df,0x0bf20006,0x04ff9800,0x02ffffe8,0x3ea1be60,
    0x03be003f,0x13fffe20,0x077ffec0,0x500dff90,0x20003fff,0x00000fe8,
    0x400017e2,0x7fcc0ef9,0x00000000,0x2007f600,0x40006ffe,0x3fa0001a,
    0x7ffe401f,0x06c8004f,0x51005ffd,0x3fffa001,0xfff5002f,0x3ffec09f,
    0x017ffdc0,0x00015100,0x00001440,0x0fa201b9,0x00000000,0xffd00150,
    0x0000000d,0x2602ffd4,0x001fffff,0xdff70688,0xffb80000,0x3e2007ff,
    0xf902ffff,0xffc803ff,0x0000001f,0x00000000,0x5cc00000,0xacdeffec,
    0xd0000000,0x77744dff,0xeeeeeeee,0x777775c2,0x1fff40ee,0x3fffff20,
    0x22070000,0x774c1fff,0xeeeeeeee,0x3ffffa3e,0x7fff4005,0x5fff505f,
    0x987ffd80,0xeeeeeeee,0xeeeeeeee,0x7774c4ee,0xeeeeeeee,0x4eeeeeee,
    0x7777774c,0xeeeeeeee,0x9004eeee,0xb5159fff,0xe9807fff,0xeeeeeeee,
    0x6ffe83ee,0xfffffe88,0x3fea200d,0x2fffa81e,0x3ffffe20,0xff000007,
    0x3ff620bf,0x7c41efff,0x4004ffff,0x306ffffd,0xff807fff,0x3ff6206f,
    0xccccdfff,0x105ffffd,0x9bfffffb,0xffffb999,0x3fff620b,0xdccccdff,
    0x5405ffff,0xd101fffe,0xd8803dff,0x01efffff,0x7d41bffa,0xb002ffff,
    0x3fffa03f,0x3fffe601,0xb000005f,0x3e603fff,0xf983ffff,0x4004ffff,
    0x80fffffd,0x7c03fff8,0x7fcc05ff,0xfb102fff,0x7ffcc0bf,0xffb102ff,
    0x7fffcc0b,0xbffb102f,0x17fffdc0,0x07fffe60,0x7fffff30,0x306ffe80,
    0x003fffff,0x7ffc03ee,0x7fffd407,0x9000003f,0x3e207fff,0xfb82ffff,
    0x4003ffff,0x01fffffc,0xfd803fff,0x7ffc404f,0x2fd402ff,0x5fffff10,
    0x2205fa80,0x402fffff,0xfff105fa,0x3ff6009f,0x3fe200ef,0x7f402fff,
    0xffff306f,0x41ea003f,0x6407fff8,0x002fffff,0x9fff9000,0x3ffffe20,
    0xfffffc82,0x7ffe4002,0x7ff982ff,0x405ffa80,0x02fffff8,0x3fe205d8,
    0x5d802fff,0x3ffffe20,0xfd05d802,0x2a005fff,0x2204ffff,0x402fffff,
    0xff306ffe,0x2a003fff,0x0ffff307,0x3fffffc8,0xff700000,0x3ffe20bf,
    0xfffb82ff,0x7e4003ff,0xfc82ffff,0x1ff9001f,0x7ffffc40,0x102d4282,
    0x505fffff,0x3fe205a8,0x54282fff,0x7ffffb85,0x3fffe200,0xffff102f,
    0x6ffe805f,0x3fffff30,0x7dc1ea00,0x7fdc07ff,0x00005fff,0x20dfff70,
    0x82fffff8,0x04fffffa,0x7ffffec0,0x007bf220,0x2203df90,0x582fffff,
    0xfff102c4,0x588b05ff,0x3ffffe20,0x742c4582,0x4005ffff,0x105ffffe,
    0x805fffff,0xff306ffe,0x2a003fff,0x0dfff907,0x6fffffa8,0xff700000,
    0x3ffe20ff,0xfff982ff,0x7ec004ff,0x37e27fff,0x3ee20001,0xfffff885,
    0x220034c2,0x4c2fffff,0x7ffc4006,0x4034c2ff,0x04fffff8,0x37fffec0,
    0x2fffff88,0x9837ff40,0x001fffff,0x3ffee0f5,0x7fffc406,0x7000007f,
    0x3e20ffff,0xff02ffff,0xe800bfff,0x3626ffff,0xb50000cf,0xffff107f,
    0x4006c85f,0x42fffff8,0x7fc4006c,0x03642fff,0x27ffffcc,0x3ffff600,
    0xffff880f,0x37ff402f,0x1fffff98,0x3ea0f500,0xffc807ff,0x00000fff,
    0x106fffb8,0x205fffff,0x006ffffc,0x417ffffc,0x22003fe9,0xff100cfe,
    0x37cc5fff,0x3fffe200,0x001be62f,0x45fffff1,0xffb806f9,0x64003fff,
    0x881fffff,0x402fffff,0xff306ffe,0x2a003fff,0x0ffff307,0x7fffff30,
    0xff700000,0x3ffe20bf,0xfff102ff,0x3ea003ff,0x3ee06fff,0x1ffb003f,
    0x7ffffc40,0x006ffb9b,0x5fffffc4,0x4006ffb9,0x9bfffff8,0xfc806ffb,
    0x4002ffff,0x82fffffc,0x02fffff8,0xf9837ff4,0x5001ffff,0x1fffe20f,
    0x37fffe40,0xf901d400,0x3fe209ff,0x3ee02fff,0xfb004fff,0x7c403fff,
    0x7fdc00ff,0x7fffc405,0x06ffffff,0x7ffffc40,0x006fffff,0x7fffffc4,
    0xb806ffff,0x003fffff,0x17ffffe4,0x17ffffc4,0x4c1bffa0,0x001fffff,
    0x7fffc0f5,0xffffd000,0x01fdc007,0x2207fff9,0x402fffff,0x400ffffd,
    0x804ffff9,0x7ec02fff,0x7ffc404f,0x6ffb9bff,0x7fffc400,0x06ffb9bf,
    0x7ffffc40,0x806ffb9b,0x04fffffa,0x7ffffe40,0xfffff880,0x837ff402,
    0x01fffff9,0x7fe40f50,0xffd1001f,0x7f9007ff,0x00fffe80,0x05fffff1,
    0x809fff90,0x8803fffd,0x7fc04fff,0x7ffc405f,0x01bea2ff,0x5fffff10,
    0x220037d4,0x2a2fffff,0xfff9806f,0x7ec004ff,0xff107fff,0xfe805fff,
    0xffff306f,0x81ee003f,0x4002fff8,0x9beffffb,0x01efdb98,0x2204fff8,
    0x002fffff,0x981bfff7,0x5002fffe,0xfe807fff,0x7ffc406f,0x003642ff,
    0x0bffffe2,0xff8800d9,0x03642fff,0x05fffff8,0x37ffff40,0x2fffff88,
    0x9837ff40,0x001fffff,0x4ffd80d7,0xffeb8800,0x04efffff,0x401fff10,
    0x02fffff8,0x3fffaa20,0x00adfffe,0x007ffee0,0xf880fffb,0x3542ffff,
    0xfff88088,0x883542ff,0xfffff880,0x20883542,0x006ffffc,0x817ffffc,
    0x02fffff8,0xf8837ff4,0x9001ffff,0x0fff980d,0x3ee62000,0xffb8001a,
    0x7fffc405,0xff50002f,0x2000bfff,0x6400fffc,0x3e201fff,0x3442ffff,
    0xfff881c8,0xc83442ff,0xfffff881,0x21c83442,0x01fffff8,0x0dffff30,
    0x17ffffc4,0xf81bffa0,0xb001ffff,0x07ff900b,0x009fb000,0x1003ffa0,
    0x005fffff,0x7ffffec0,0x7ffd8002,0x02fffb80,0x0bffffe2,0x7c407c06,
    0x0182ffff,0xffff101f,0x03e0305f,0x009ffff7,0x807ffff2,0x02fffff8,
    0xfd037ff4,0x3e005fff,0x00dfb003,0x03fff980,0x400ffd40,0x02fffff8,
    0x3fffe200,0x7e4000ff,0xfff9806f,0x3fffe200,0x20f7002f,0x02fffff8,
    0x3fe20f70,0xf7002fff,0x03ffff60,0x07ffff10,0x2fffff88,0x7037ffc0,
    0xb00bffff,0x17f4001f,0x17fe6000,0x2005fd00,0x02fffff8,0x7fffcc00,
    0x3e6001df,0x6ffa807f,0x7ffffc40,0x106fa802,0x005fffff,0x3fe20df5,
    0xfa802fff,0x13ffee06,0x005fffb0,0x05fffff1,0x1037ffc4,0x409ffffd,
    0x744003fc,0x3ea0001f,0x0bf6003f,0xfffff980,0xfe880003,0xabdfffff,
    0x00bff200,0xf9801ffd,0x5c03ffff,0xfff305ff,0xffb807ff,0xfffff305,
    0x05ffb807,0x106fffcc,0x001dffb5,0x0fffffe6,0x1bfff6ea,0xbffffd10,
    0x07fd9537,0x0017dc00,0x4013ff6a,0x5c000de8,0x005fffff,0x3ffb6600,
    0x5c00ceff,0x7ecc0cff,0xfffb801e,0xba99bfff,0x704ffffc,0x37ffffff,
    0xffff9753,0x3fffee09,0xcba99bff,0x8804ffff,0xffefffdc,0x2e000bde,
    0x885fffff,0x00099999,0xfffffff9,0x100003bf,0x09aa8009,0x88006a00,
    0xffffffec,0x00002def,0x5cc0004c,0x00b3aa7d,0xfffffd91,0xffffffff,
    0x6445ffff,0xfffffffe,0xffffffff,0x3fb222ff,0xffffffff,0xffffffff,
    0xaba88002,0x7f644000,0xdeffffff,0x54c00002,0x00009abb,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xddb99973,0x007ddddd,0x00aaaa60,0x31035000,0x35551000,
    0x881a8000,0x80c40001,0x54000002,0x40002aaa,0x000aaaa9,0x15028800,
    0x00dc0000,0x00aaa980,0x3fffee00,0xffdcceff,0x3fe0000a,0x500003ff,
    0x3217dffd,0xfffd8004,0xfeb8000f,0x009b0bef,0xf137fd40,0x000001ff,
    0x003ffff3,0x09fffb00,0x6ff98000,0x0007ffe2,0x20003e20,0x005ffff8,
    0xffffffb0,0x001fccbf,0x00fffe60,0x7fffd400,0x001fffff,0x27ffffd4,
    0x3fffee00,0x001fffff,0x647fffa0,0x00004fff,0x001fffb8,0x0fffd100,
    0xfffd8000,0x00bfff72,0x2000b700,0x02fffffc,0x7ffffe40,0x0fe65fff,
    0x09ff9000,0x7f7f4000,0x007fffff,0xfffdffe8,0x3fbfa000,0x006fffff,
    0xb87ffec0,0x00003fff,0x0002ffe8,0x00fff440,0x3fff9000,0x000fffea,
    0x26000ba0,0x06ffdfff,0x3ffffe60,0x3e65ffff,0x27fc0002,0x447e0000,
    0x001dffdb,0xfe99ffdc,0x5c43e004,0x0001cffe,0xf911f6c4,0xf3000009,
    0x2000005f,0x00004fe8,0x9f90ff62,0x07980001,0x2a3dfb00,0xff9002ff,
    0xbfffffff,0x300017cc,0x3000009f,0x22000220,0x0ff441ff,0x00110180,
    0x00000000,0x0002fb80,0x003f4400,0x00000000,0x7d400264,0x8037cc0e,
    0xfffffffd,0x00be65ff,0x00002980,0xb7000000,0x00176201,0x00000000,
    0x06600000,0x54400000,0x00000000,0x000fc000,0x05d30264,0xfffffff0,
    0x17ccbfff,0x00004000,0x7ff65cc0,0x0000acde,0x3bbbaa00,0x75404eee,
    0xd15eeeee,0xdddddddd,0xeeeb85dd,0x0000eeee,0x04000000,0xeeee9800,
    0xeeeeeeee,0x04eeeeee,0x0ffff6d4,0x00008000,0xfffffffd,0x017ccbff,
    0x00003400,0x22b3fff2,0x403fffda,0xeeeeeee9,0x3223eeee,0x03ffffff,
    0x881effa8,0x0dfffffe,0x07bfea20,0xddddddd9,0x3aa01ddd,0x002eeeee,
    0xd88000d0,0xccdfffff,0x5ffffdcc,0x3ee7bf60,0x680004ff,0xffff9000,
    0x4cbfffff,0x7d40002f,0xfea80002,0xffd101ff,0xffd8803d,0x3201efff,
    0x01ffffff,0x3ea01fc8,0xb002ffff,0x3ffa603f,0x8801ffff,0x0001dffb,
    0x980005f5,0x102fffff,0x3fa0bffb,0x5ffff11f,0x017d4000,0x7ffffd40,
    0x3e65ffff,0x37f40002,0x3ffee000,0x7ffcc02f,0x7ffcc01f,0x7fc403ff,
    0x400fffff,0x3fe600fa,0xf7001fff,0x7fffc401,0xdf1000ff,0x06fe8000,
    0x7fffc400,0x42fd402f,0x3fee6ffb,0x3a0004ff,0xff88006f,0x5fffffff,
    0x98000be6,0x10001fff,0x2009ffff,0x200efffd,0x02fffff8,0x7fffffc4,
    0x203cc06f,0x01fffff9,0xff700f50,0x2e009fff,0x3e60001f,0x220001ff,
    0x802fffff,0x25fff85d,0x003fffce,0x003fff30,0xffffff70,0x017ccbff,
    0x0bfffb00,0x3ffffa00,0xffff5002,0x7fffc409,0x7cfc402f,0x204fffff,
    0x7ffcc079,0x0f5001ff,0x3fffffa0,0x0004f800,0x002fffec,0x5fffff10,
    0x7d45a850,0x3aef34ff,0xffb0000c,0x3ea000bf,0x25ffffff,0xf10002f9,
    0x8001ffff,0x007ffffb,0x0bffffe2,0x17ffffc4,0x7ffd5e20,0x0f303fff,
    0x1fffff98,0x2a00f500,0x404fffff,0x7c40006b,0x0000ffff,0x05fffff1,
    0x7fe4588b,0x0000995f,0x03ffffe2,0x7fffd400,0x00be65ff,0x7ffffe40,
    0x7fff4004,0x7ff4005f,0xfff105ff,0x278805ff,0x1ffffffc,0x7fcc0798,
    0xf5001fff,0x7fffec00,0x005f100f,0xfffffc80,0xfff10004,0x806985ff,
    0x03f6fffd,0x3fff2000,0x4c0004ff,0x3e65fdcb,0xfef88002,0x1000ffff,
    0x009fffff,0x06ffffd8,0x05fffff1,0x7ffec788,0x03cc0fff,0x07ffffe6,
    0xf3003d40,0x360bffff,0x77c40005,0x000fffff,0x2fffff88,0x7ff40364,
    0x00006aff,0xfffffdf1,0x2fc00001,0xd70005f3,0x07fffff3,0x3ffffe60,
    0x7ffec004,0xfff880ff,0x23c402ff,0x6fffffe8,0x3fe603cc,0xf5001fff,
    0xffffd800,0x0007d41f,0x3ffe7ae0,0xf88003ff,0x3e62ffff,0xffffc806,
    0xd700003e,0x07fffff3,0xf32fc000,0x3a5f0005,0x7006ffff,0x007fffff,
    0x1fffffc8,0x2fffff88,0x7fcc3c40,0x1e64ffff,0x3fffff30,0x1001ea00,
    0xe8dfffff,0xd2f80004,0x000dffff,0x37fffff1,0xf700dff7,0x0001ffff,
    0x7fff4be0,0x3e00006f,0x5000be65,0x7ffffd4f,0xffffc802,0x7fe4002f,
    0xff882fff,0x3c402fff,0xffffffa8,0xff980f32,0xf5001fff,0xffff9000,
    0x0001ae5f,0xffffa9ea,0x7fc4002f,0xffffffff,0xffff9806,0x7a80000f,
    0x0bffffea,0xf32fc000,0x743e8005,0xb805ffff,0x003fffff,0x17ffffe4,
    0x17ffffc4,0xffb81e20,0x0799ffff,0x0fffffcc,0x88007a80,0xf8efffff,
    0x43e80002,0x005ffffe,0x5fffffc4,0xd006ffb9,0xb10dffff,0xfd0fa001,
    0x0000bfff,0x002f997e,0xfff703e6,0xffa803ff,0x64004fff,0x880fffff,
    0x402fffff,0x7ffec078,0x4c07aeff,0x001fffff,0x3ee000f5,0x005fffff,
    0x7dc0f980,0x2001ffff,0x22fffff8,0xff1006fa,0xd737dfff,0x703e6003,
    0x003fffff,0x17ccbf00,0xff109b00,0xf980bfff,0x4004ffff,0x107ffffd,
    0x805fffff,0x7ff44078,0x4c07ffff,0x001fffff,0x7f4000f7,0x0001ffff,
    0xfff884d8,0x3e2005ff,0x3642ffff,0xfffff500,0x6c005fff,0xfffff884,
    0x25f80005,0x3f1002f9,0x3fffff20,0x7ffffc00,0x7fff4005,0xffff106f,
    0x8078805f,0x7ffffff8,0x7ffffcc0,0x000d7001,0x07ffffdc,0x407e2000,
    0x00fffffc,0x5fffff10,0x881106a8,0x2dffffef,0x6407e200,0x000fffff,
    0x05f32fc0,0x3bbbbf20,0xfffffeee,0x7fffe404,0x7fffc006,0xffff102f,
    0x0078805f,0x0ffffff3,0x1fffff88,0x4000d900,0x00fffffa,0x7777e400,
    0xffffeeee,0xfff1004f,0x906885ff,0x03515b83,0x3bbbf200,0xffffeeee,
    0x2fc0004f,0x9f1005f3,0xd9999999,0x880fffff,0x001fffff,0x40dffff3,
    0x02fffff8,0xff7003c4,0xfff00fff,0x176003ff,0xffffa800,0x3e20000f,
    0xcccccccc,0x007ffffe,0x05fffff1,0x05d03e03,0x999f1000,0xffd99999,
    0xf8000fff,0x2e00be65,0xffffa806,0x7ffdc03f,0xfff9004f,0x7ffc403f,
    0x03c402ff,0x01ffff20,0x00bffffa,0xf50001fc,0x0001ffff,0x7fd4035c,
    0xf8803fff,0x7002ffff,0x0000798f,0xfff500d7,0x7c0007ff,0xf100be65,
    0x3fffa005,0xfffd806f,0x7ffc400f,0x7ffc403f,0x07cc02ff,0x01fffa00,
    0x017fffee,0xa80003f6,0x000fffff,0x3a005f10,0x8806ffff,0x802fffff,
    0x002646fa,0xe8017c40,0x0006ffff,0x402f997e,0xff7000fb,0xf7005fff,
    0xffd809ff,0xfff8802f,0x0fe402ff,0x01ffe200,0x13ffffa2,0x40003fc8,
    0x00fffffa,0x2001f700,0x02fffffb,0x1fffffcc,0x3f17fee0,0x01f70000,
    0x3ffffee0,0x4cbf0002,0x01be202f,0x6fffff88,0x1bfff300,0x077fed44,
    0xfffff980,0x03bfa603,0x200ff300,0xbdffffe8,0x003feca9,0xfffffb80,
    0x06f88001,0x3ffffe20,0x7fffdc06,0xcba99bff,0x1aa4ffff,0x01be2000,
    0x6fffff88,0x7ccbf000,0x05ffd302,0x3ffffe20,0xfb91004f,0x7bdffdff,
    0x7ffdc001,0xffea85ff,0x2002dfff,0x7fe4007a,0x1dffffff,0xfffb0000,
    0xe98007ff,0xff1002ff,0xc889ffff,0xfffffffe,0xffffffff,0x000662ff,
    0x005ffd30,0x3fffffe2,0x221a8004,0xffffc80a,0xffb504ef,0x3fffffff,
    0x0aba8800,0x7ff64400,0x2defffff,0x00700000,0x26aeea60,0xedc80000,
    0xefffffff,0x7ffe403c,0xfb504eff,0xffffffff,0x00000003,0xffff9000,
    0x3f6a09df,0xffffffff,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0004c0a0,0x801881a8,
    0x1eeeeeea,0x00bda800,0x0006a000,0x70013100,0x70000001,0x2000bfff,
    0x000aaaa9,0x01310131,0x00355551,0x15555300,0x31000080,0xff1000a0,
    0x017ff43f,0x17dffd50,0x3fea0132,0xf88000ef,0x0001febe,0x000efdc4,
    0xffffd910,0x0fc819df,0x00efe4c0,0x3ffffe20,0xfffd8001,0x20bfa005,
    0xfff903fd,0xffb0000d,0x7ff440bf,0x9bfea003,0x9000fff8,0x3fe69fff,
    0xfff5006f,0x03ffffff,0x007fff50,0x00991ae0,0x3bf7fee0,0xb1002cff,
    0xb7137fff,0x3f719fff,0xfcacf880,0x3fff2001,0x7c4005ff,0x3e2005ff,
    0x201ff80f,0x0000fffc,0x9017ffe2,0x7400ffff,0xfff91fff,0x3ffea009,
    0x00bfff13,0x3ffffbfa,0xff5006ff,0x0fa0005f,0xfd8800f3,0xff717f0e,
    0x7ffd401f,0xffff301e,0xc8b9005f,0x3dff3005,0x54003ffb,0x7cc005ff,
    0xc807f887,0x2a0003ff,0xffe805ff,0xffb001ff,0x0fffee1f,0x2e0cfc80,
    0x23f001de,0x01dffeb9,0x005fff50,0x00b71720,0x8fe2ffc8,0xff701ffa,
    0xffb803ff,0x43e801ff,0x1bfb007a,0xfb0037e4,0x0bf7000d,0x3f600df5,
    0x1bf60006,0x03fffe40,0x6447db10,0x0000004f,0x00044060,0x000bffea,
    0x17dce7c4,0xf8fff300,0x7cc0fe43,0xfd005fff,0x8b700dff,0x04fa804c,
    0xdf1005f7,0x07f90001,0x7ec009f7,0x0ef88000,0x05df9100,0x00000000,
    0x00080000,0x005fff50,0x016fecc0,0xf87ffee0,0x3e20fc43,0x8802ffff,
    0x404ffffe,0x01fdbef8,0x00cc0298,0xe8000544,0x003fd82f,0x54400054,
    0x00000000,0x774c0002,0xeeeeeeee,0x00d0003e,0x00bffea0,0x0005f500,
    0x3e1dfff9,0x7fdc1d83,0xfdb007ff,0x8803ffff,0x00000ceb,0x44000000,
    0x01fe80ff,0x00000000,0x01a00000,0xffffb100,0x540003df,0xffa8002f,
    0x7f40002f,0xfffb8006,0xd003f9ff,0x900dffff,0x9fffff1d,0xdb800000,
    0x7002ceff,0x2059dffb,0xfffffffa,0xffffffff,0xbffdb703,0x3b6e0017,
    0x1800bdff,0x02fa8000,0x7fffcc00,0x7f40003f,0xfffa8006,0x3fe60002,
    0x7fcc001f,0x803fffff,0x05fffff9,0xfffd8fdc,0x3fb6e06f,0xfd800bdf,
    0x06ffa8cf,0x7d467fec,0xffffa86f,0xffffffff,0x774c3fff,0x0ffffa9b,
    0x2a6fba60,0x6c00ffff,0x37f40001,0x3ffe2000,0x260002ff,0x54001fff,
    0x20002fff,0x8005fffd,0xeffffffc,0x7fffd401,0xd87ea04f,0xe987ffff,
    0xffffa9be,0x91bffa00,0x3ffa0bff,0x222ffe46,0x99cfd999,0x099dfc99,
    0xff513fea,0x9ff501df,0x00efffa8,0xf98000be,0x220001ff,0x002fffff,
    0x017fff60,0x005fff50,0x3ffffe20,0xfffc8000,0x2e04ffff,0x303fffff,
    0xffffc85f,0x513fea1f,0xf501dfff,0xfff989ff,0x227ffd44,0x3a04fff9,
    0xb03fd82f,0x7fcc1fff,0xfffd82ff,0x0bfffe60,0xb00027c4,0x4000bfff,
    0x02fffff8,0xfffff100,0x7ffd4001,0xfff90002,0x2e0009ff,0xefffffff,
    0xfffffc80,0xfc84f883,0x3f62ffff,0x3ffe60ff,0x2fffe82f,0xd07fffc4,
    0xff885fff,0x0ff880ff,0xfff01ff8,0x7fffcc5f,0x22ffff82,0x302ffff9,
    0x3e2000bf,0x0000ffff,0x05fffff1,0x3ffff200,0x3fea004f,0xef88002f,
    0x000fffff,0xfffffd30,0xfffb83ff,0x82f443ff,0x22fffffc,0x3e62ffff,
    0x7fd42fff,0xffff81ff,0x03ffff52,0xf305ffff,0x640ff10f,0x3fe60fff,
    0xfffc83ff,0x0ffffe60,0xc8003fd4,0x004fffff,0x5fffff10,0xffdf1000,
    0x2a001fff,0xb8002fff,0x3fffff9e,0x7ffe4000,0x7fcc7fff,0x02f44fff,
    0x43fffffb,0x3e60fffc,0x7fdc3fff,0xffff81ff,0x03ffff74,0xf709ffff,
    0x980df50b,0x3fff660b,0x4c17303f,0x903ffffd,0xf88001ff,0x00fffffe,
    0xfffff880,0xf9eb8002,0x5003ffff,0xf0005fff,0x1bffffa5,0x3fffe000,
    0x3fe23fff,0x03b64fff,0x0fffffd8,0xffb305cc,0xfffc87ff,0x5ffff80f,
    0xf01ffff9,0x3ba6bfff,0xeeeeefff,0x202eeeff,0xffffcfd9,0xfcfd9803,
    0xffd03fff,0xf9eb8005,0x8003ffff,0x02fffff8,0xfffd2f80,0x3fea00df,
    0x53d4002f,0x005fffff,0xfffecf80,0x7ffff46f,0xfe801f95,0x6cc05fff,
    0x43ffffcf,0xf80ffffd,0xfffb6fff,0xdffff01f,0x3fffffea,0xffffffff,
    0xaffd883f,0x203ffff9,0xff9affd8,0xfff883ff,0xfe97c004,0x88006fff,
    0x002fffff,0xffff53d4,0xfff5005f,0x743e8005,0x1005ffff,0x3ffa2fe0,
    0x7fffe47f,0x7c401fbe,0xb102ffff,0xffff35ff,0x0ffffc87,0xf95ffff8,
    0xfff01fff,0x3feea2bf,0xbffaaaab,0x7fd40aaa,0x7ffff31f,0x4c7ffea0,
    0xfa83ffff,0x9ea006ff,0x02fffffa,0x7ffffc40,0x3a1f4002,0xa805ffff,
    0x26002fff,0x7fffdc0f,0xf824c01f,0x88ffff33,0x02fffffe,0x07ffffa8,
    0x3e63fff5,0x7fd43fff,0xffff81ff,0x03ffff54,0xf989ffff,0x5407f887,
    0x3fe63fff,0xfffa83ff,0x0ffffe63,0x003ffff2,0x3fffa1f4,0x7fc4005f,
    0x26002fff,0x7fffdc0f,0x7ffd401f,0x22136002,0x405fffff,0x7f47f079,
    0xffff985f,0xffffb004,0x47fff503,0x443ffff9,0x7c41ffff,0xfff12fff,
    0xffff883f,0x7d42fdc2,0x3fffe206,0x0ffffe61,0x4c3ffff1,0xfd83ffff,
    0xf9801fff,0x7ffffdc0,0x3ffe2001,0x136002ff,0x17ffffe2,0x005fff50,
    0x7fe407e2,0x3e600fff,0x3ffa3f82,0x1ffff903,0x3ffff880,0x21ffff88,
    0xc83ffff9,0x7fcc2fff,0x17ffe46f,0x321bffe6,0x204fc83f,0x2e3ffff9,
    0x7cc3ffff,0x3fee3fff,0xffff83ff,0x884d802f,0x005fffff,0x0bffffe2,
    0xfc80fc40,0x2a00ffff,0xf9002fff,0xfddddddd,0x4c09ffff,0xf99fc1ff,
    0x3ffe206f,0x7fff406f,0x7ffff304,0x41ffffdc,0x7dc4fff8,0x7ffc42ff,
    0x417ffdc4,0x03fd81fe,0x37ffffe6,0x8cffffee,0xbfffff31,0x19ffffdd,
    0x1fffffc3,0x7e407e20,0x1000ffff,0x005fffff,0x3bbbbbf2,0x4fffffee,
    0x00bffea0,0x333333e2,0xffffeccc,0x2fffe607,0x1dfd57f0,0x7ffdeec0,
    0x3ffae21d,0x3ffe601e,0xfffeedff,0x7fcc18cf,0x40bffe0f,0x3fe0fff9,
    0x80ff882f,0x7ff401ff,0xfffd4fff,0x7fff41df,0xffffd4ff,0x7fffec1d,
    0x7777e400,0xffffeeee,0xfff1004f,0x9f1005ff,0xd9999999,0x540fffff,
    0x6b802fff,0xfffffa80,0x3fff6e03,0x403efffe,0x3ffaa0ed,0x02dfffef,
    0x9fffffd0,0x03bffffa,0x3ffbff62,0x7fec401e,0xf301effe,0x300ff10d,
    0x74c3bffb,0x7ecc0dff,0x3ffa61df,0x27ff4c0d,0x33333e20,0xfffecccc,
    0xfff1007f,0x0d7005ff,0x7fffff50,0x00bffea0,0x3fa005f1,0x98806fff,
    0x9800cfaa,0x5753100f,0xfd980013,0x3ffa61df,0x09a9800d,0x009a9800,
    0x15440d44,0x80080100,0x05400400,0x7d4035c0,0x8803ffff,0x402fffff,
    0xffd002f8,0x3fea0dff,0x007dc02f,0x2fffffb8,0x1001fc00,0x04000000,
    0x00000020,0x00000000,0x00000000,0x017c4000,0x06ffffe8,0x2fffff88,
    0xb8007dc0,0xa82fffff,0x3e202fff,0x3ffe2006,0x0d4006ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x03ee0000,0x7ffffdc0,0x7fffcc02,
    0x01be203f,0x6fffff88,0x303fffa8,0x22005ffd,0x04ffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x22000000,0x3fe2006f,0x7dc06fff,
    0xd305ffff,0x3e2005ff,0x544fffff,0x90abffff,0x09dfffff,0x3fffff6a,
    0x0001ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x7ff4c000,
    0xffff1002,0xfec889ff,0xdeffffff,0xdfffff92,0x3fff6a09,0x11ffffff,
    0x01333333,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfff90000,0x36a09dff,0xffffffff,0x0000001f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00088000,0x40000cc0,0x2aa20009,0x510000aa,0xfa803555,0x001006ff,
    0x17ffee00,0x0d555440,0x4c004000,0x33000001,0x31000000,0x00000801,
    0xefc80000,0xfa8004fe,0xfec88006,0xd803efff,0x90004fff,0xfd00bfff,
    0xb9005fff,0x8801d503,0x001fffff,0x000dfff9,0x0bbfff6a,0x400017ec,
    0xefffffd9,0x5c40000c,0xefffffec,0x30012a1b,0x9bdffd97,0xfd100015,
    0x01dff11f,0x0007fe20,0x3ee3fff5,0x7ec00eff,0xfff0007f,0xffff700d,
    0x37f200df,0xc801ee98,0x005fffff,0x0003fff2,0xfffffffb,0x000bf50b,
    0x5677ff4c,0x00dfffda,0xbffffa80,0xeffca989,0x3f2004fc,0xfda8acff,
    0x7e4003ff,0x017ff65f,0x2a001fec,0x7fdc3fff,0x7ff4405f,0x77fcc001,
    0x4fffc400,0xf5002ffd,0x3e6005ff,0x02ffd9ef,0x800fff20,0xfffffffd,
    0x03fc43ff,0x00adfc80,0x400bfae6,0x404fffd8,0x804fffd8,0x101fffea,
    0x1003dffd,0x7fe49fff,0x037d401f,0x217ffec0,0x400ffffa,0x64004fe8,
    0xefc800ef,0x2201bf20,0xb003fffc,0x037e41bf,0x5c01bf60,0xfffda9cf,
    0x01fd86ff,0x2001fec0,0x7c403fd8,0x32005fff,0x7fdc04ff,0x7fcc02ff,
    0x7fd401ff,0x0bfff24f,0x8001ff88,0x7cc1ffff,0xe8802fff,0x0077c007,
    0x3fa82fcc,0x3f633ee0,0x827d404f,0x7ec002fb,0x540f4400,0xfb87ffff,
    0x22bee004,0x09999999,0x7f403f90,0xfd8007ff,0x3fffe204,0xdfffb004,
    0x27ffdc01,0x6c09fff9,0xff88003f,0x7ffcc1ff,0x0151001f,0x4c002a20,
    0xdc814c02,0x80fffe21,0x000cc029,0x80660054,0xf886fffe,0x269f3007,
    0xffccfffd,0x407740cf,0x004ffffb,0x3fa04f88,0xf5002fff,0x7dc09fff,
    0x3fff24ff,0x000df503,0x307fffea,0x2001ffff,0x00020000,0x7dc00008,
    0x000001ff,0xf9000000,0x07fa09ff,0xfff11b60,0x2237fec5,0x7fffcc3f,
    0x0990000f,0x01ffffee,0x2fffff88,0x649fff50,0xff882fff,0xfff50001,
    0x3fffb83f,0x677fed40,0xeffda800,0xffda800c,0xca8800ce,0x00efffaa,
    0x2f7ffb6e,0xdffb7000,0x7ec00059,0x09f700ef,0xfff83f88,0xb07ffea2,
    0x7ffffd8d,0x740e2000,0x4005ffff,0x105ffffe,0x7fecbfff,0x003fd80f,
    0x47fffea0,0x400cffb8,0xefd8affc,0x22bff201,0x3f201efd,0x01efd8af,
    0x3fb3bff2,0xee984fff,0x0ffffa9b,0x5467fec0,0xf88006ff,0x037cc05f,
    0x3ffe03ee,0x30fffe22,0x7ffffc3f,0xf8800006,0x4004ffff,0x206ffffd,
    0x3ffa6ffb,0x0006fa83,0x98ffffd4,0x3600cfff,0x1bfe23ff,0xff11ffec,
    0x88fff60d,0xfffb06ff,0x23ffff41,0x7fd44ffa,0xdffd00ef,0x4005ffc8,
    0xfe804ffe,0x7fc17600,0x03ffee2f,0x7fffc4fe,0x9800005f,0x004fffff,
    0x07ffffec,0xff33ff90,0x003ff109,0x1ffffa80,0x5417ffd4,0x7ff40fff,
    0x207ffd43,0x7fd43ffe,0x21fff40f,0x7d43fffb,0x3ff62fff,0x3fffe60f,
    0x44fffa82,0x4404fff9,0x0effffeb,0x4e80ff20,0x3a25fff0,0x2a9d04ff,
    0x004fffff,0xffffb800,0x7fe4003f,0x65401fff,0x9fb01cee,0x7d400c40,
    0xffd81fff,0x437ff40f,0x7ff46ffd,0x746ffd86,0x6ffd86ff,0x260ffffc,
    0x3fe4ffff,0x3ffe62ff,0x2fffe82f,0x007fffc4,0xfffffffb,0x81be601f,
    0xbdfff03f,0xaec03dff,0x03fffffb,0xfffc8000,0x7e4002ff,0x0002ffff,
    0x3aa0df50,0xf500dfdf,0xff903fff,0x2fffccbf,0xf987ffec,0xfffd85ff,
    0xb0bfff30,0x3fea1fff,0x7ffc41ff,0x83fff25f,0x543ffff9,0xff81ffff,
    0x7dc402ff,0x203fffff,0x20bd00ff,0x6ffdbfff,0xfffba7c0,0x800003ff,
    0x03fffffb,0x7ffffe40,0xff880002,0xfb2ffd81,0xffff503f,0x4ffff903,
    0xcccefffa,0xf51fffec,0xd9999dff,0x3fea3fff,0xfeccccef,0xffff71ff,
    0x6ffff881,0xffb305cc,0xfffb87ff,0x4ffff81f,0xfffff300,0xd81fe40b,
    0xf15fff07,0x4fe605ff,0x04fffff9,0x66666654,0xff51cccc,0xc8009fff,
    0x000fffff,0xfa84fd80,0x03bfee7f,0x903ffff5,0x3ee1ffff,0xcccccfff,
    0xfff71ccc,0x9999999f,0x3fffee39,0xcccccccc,0x81ffff91,0x206ffff8,
    0xffffcfd9,0x07fffe43,0x002ffffc,0x40fffff1,0x03f905fa,0x3ff25fff,
    0x7fc5f706,0xc9806fff,0x1cffffff,0x13ffffe6,0xfffffb00,0x0df50000,
    0xffa9fffa,0x7fffd43f,0x1ffffc81,0x400ffff9,0x2007fffc,0x2007fffc,
    0x440ffffd,0xd885ffff,0xffff9aff,0x07fffec3,0x0037fffc,0x803fffee,
    0x83f980ff,0xfff12fff,0xffe8fb07,0x3fa007ff,0xfff06fff,0xfe800bff,
    0x40006fff,0xff881ff8,0x17ffe66f,0x703ffff5,0x3ee3ffff,0xf7000fff,
    0x2e001fff,0x7000ffff,0xf881ffff,0x7fd43fff,0x7ffff31f,0x80ffffc8,
    0x8005ffff,0x7ec06fff,0xff98bd02,0x03ffee3f,0xffffc89f,0x3fffa007,
    0xffff905f,0xffff800d,0x7ec0002f,0x4dfff304,0x7d46fff9,0xffb81fff,
    0xffff50ff,0x3ffea005,0xfff5002f,0x3fe6005f,0x7ffc41ff,0x8fffea2f,
    0x543ffff9,0xff81ffff,0xfd8004ff,0x82fd404f,0xfffb32fa,0x3bffa17d,
    0xff883f91,0xfb001fff,0x3e209fff,0x3001ffff,0x000dffff,0x3e606fa8,
    0x3ffe66ff,0x0ffffd46,0xf337ffcc,0x84c0dfff,0x206ffff9,0xdffff309,
    0xfff884c0,0x7fffc41f,0x43ffff10,0x443ffff9,0x7c41ffff,0xc8002fff,
    0x3fc402ff,0x33311fb0,0x26621333,0xf503fa89,0x3600bfff,0x2e04ffff,
    0x9004ffff,0x0003ffff,0x3e00ffc4,0x3ffea7ff,0x8ffffd44,0x8bffd3fe,
    0x983ffffe,0x1fffff46,0x3fffa34c,0x7ec6983f,0x7ffcc2ff,0x8ffffe65,
    0xc83ffffb,0x7fcc2fff,0x006fe46f,0x3f6009ff,0x003dd101,0xfc80bf70,
    0xfd801fff,0x7ec04fff,0x7c400fff,0x40003fff,0xffd804fd,0x70bffee7,
    0xff33ffff,0xf503ff2d,0x7139ffff,0xffffa85d,0x42eb89cf,0x9cfffffa,
    0x7f442eb8,0x077fdc4f,0xdbfffff3,0x319ffffd,0x2e27ffc4,0x3fe62fff,
    0x0ef981ef,0x4409f700,0xd9800bfe,0xfff9005f,0xfffd801f,0xfffb804f,
    0x17ffec04,0x01bea000,0xfc87ffc4,0xffffd85f,0x0bf6dfd1,0x7fffffdc,
    0xfff703ff,0x207fffff,0xfffffffb,0x1ffd103f,0x3a07ffe2,0xfd4fffff,
    0xf981dfff,0x0bffe0ff,0x5dfffff1,0x4001bf71,0xffc807f8,0xfda88ace,
    0x74c002ff,0x4c0adfff,0x003ffffe,0x441bfff3,0x000effda,0x000ffc40,
    0xbff19ff5,0xfffffe81,0x05bffb31,0xdffffea8,0x7fff5402,0x7f5402df,
    0x4402dfff,0x1cffdfec,0x43bffb30,0x100dffe9,0x3dffdffb,0x3ffffea0,
    0xd0001eff,0xff91003f,0x17dfffff,0x7fed4000,0xffffeeff,0xdc88001c,
    0xdeffefff,0xfc80000b,0xedc88004,0x0000003d,0x88002a88,0x2a88002a,
    0x00351000,0x30002004,0x2a600135,0xa80001aa,0x5d4c001c,0x800001aa,
    0x09aaba98,0x5d440000,0x0000000a,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x08000000,0x20000800,
    0x00100098,0x00400660,0x00009880,0x00000188,0x04c00000,0x02620020,
    0x20000020,0x04000019,0x5554c000,0x7dc0000a,0x7ecc00df,0x7cc002df,
    0x1bae200e,0x8813f600,0xf98006eb,0xfb10000e,0x0003dfff,0x677ff6cc,
    0x001aaaaa,0xbdffffb5,0x6c034437,0xdfb5102f,0x36600017,0x0cefffff,
    0x7fed4400,0xfd0001be,0x880009ff,0x2603ffff,0x00ffffef,0x6cc0bfa0,
    0x54006fff,0xfffb306f,0x05fd000d,0x2affee00,0x8002fffe,0xfc8afffc,
    0x403fffff,0xadfffffb,0x6edffdba,0xfa80ff80,0x007ff53f,0x5677ff4c,
    0x00dfffda,0xe88dfe88,0x7c4003ff,0xa80004ff,0xd105ffff,0x00fffa25,
    0x711027e4,0x7c400dff,0xff71101f,0x04fc800d,0xf89ff300,0x7e4007ff,
    0x77ff43ff,0xffb101aa,0x7f5405ff,0x42fd406f,0x7fec6ffa,0x0adfc801,
    0x00bfae60,0x7fd43ffb,0x3fee002f,0xff100005,0x7e4007ff,0x0ff9801f,
    0x006ffa80,0x3ea013f6,0x3fe6006f,0x5ffd0000,0x001fffd8,0xc81ffff3,
    0x3e202fff,0x8801ffff,0x1fe406fe,0x3ee27ff4,0x01fec06f,0x6c0ff620,
    0xfffe87ff,0x00bfd001,0x04fea800,0x400bfe20,0xff5002fe,0x01bea00d,
    0xd0037fd4,0x3e60005f,0x7ffd43ff,0xffff7000,0x05fffb81,0x00bffffa,
    0x7fc06f98,0x21fffd40,0xf704fffa,0x43773105,0xf883f918,0xfffd87ff,
    0x005f8806,0xf9000000,0xfc803dff,0x1bfea004,0x4007fe20,0xf9006ffa,
    0x7fd40009,0x037fcc5f,0x70ffff90,0x3f20ffff,0xc8004fff,0x361be606,
    0x7fcc2fff,0x444f986f,0xefcabffc,0xfa83ba3e,0xfffc86ff,0x0014400f,
    0xd5000000,0x7cc0dfff,0x3fea000f,0x004fc806,0x2601bfea,0x2e0000ff,
    0x3f20ffff,0x3fea001f,0x5fffb87f,0x1fffff98,0x32068800,0x2ffff83f,
    0x6c3fffcc,0x4077f4c6,0xc8fe23fb,0xffb87fff,0x000002ff,0xa8001800,
    0x5fd00fff,0x06ffa800,0x2a0037d4,0x2fe806ff,0x7ffd4000,0x003df93f,
    0x40ffff88,0xfc83fffb,0x0000ffff,0x220ff407,0x7cc2ffff,0x0fe21fff,
    0x1f403ffd,0x7fffd9b6,0x94ffffa8,0x64399999,0x000ccccc,0x74001260,
    0x00bf907f,0x440dff50,0x7d4001ff,0x02fe406f,0x7fffc400,0x20003fee,
    0x7ec2fffc,0x7ffc40ff,0x800007ff,0xfff986f9,0x7fffcc2f,0xffc83ee2,
    0x3e615405,0x81ffffb1,0xb15ffff9,0x74c7ffff,0x0001ffff,0x8151012e,
    0x0ff985fb,0x07ffa800,0x2a0013f2,0x3fe607ff,0xffd00000,0x33260bff,
    0xfb81cccc,0x1dff50ef,0xbfffff30,0x9f700000,0x85ffff50,0x363ffff9,
    0x0027ffc5,0xffff93f8,0x6ffff883,0x90ffffee,0x0003ffff,0xff900ba2,
    0xd01dd117,0x3ee0005f,0x00df507f,0xe81ffee0,0xd500002f,0x101fffff,
    0x017dfff7,0x3bfbffa2,0x3fffea03,0xe800003f,0xffffb81f,0x2ffffcc2,
    0x1fffc49d,0xff74e800,0xfff987ff,0x3fffe65f,0x0ffffdc3,0x403f4c00,
    0x03efffd9,0x42a80bf9,0x2ceeedc9,0x80407fa2,0x2ceeedc9,0x0aa02fe4,
    0xfff7fd50,0x7fec0dff,0x4ccedc00,0xffffc800,0x4400002f,0xffffb07f,
    0x6ffff985,0x2fff98fe,0x3e2bb000,0x7fcc6fff,0x3ffe64ff,0x7fffd43f,
    0x27fd4001,0xff300200,0x0037d401,0x7ecc4fc8,0x98000bef,0x1bea00ff,
    0xff50efd8,0x3f607fff,0x003fa202,0x3fffff20,0x7dc00003,0x5ffffb04,
    0x25ffff98,0x0fffe65e,0xff727c00,0xff933dff,0x7ffcc7ff,0x7fffd43f,
    0x3fff2001,0x7f400000,0x01bfe602,0x3fa1bea0,0x8004ffff,0x3fe602fe,
    0xd87ffd06,0xf82fffff,0x00ffe405,0x7ffffdc0,0x7ec00005,0x5ffff702,
    0x24ffff98,0x13ffe27d,0xf70fe600,0xffffffff,0x7ffcc1ff,0x7fffd43f,
    0xbfff9001,0x5fc80000,0x01bffe20,0xbc83fd10,0x00fffd88,0xf8817f20,
    0xfffc86ff,0x7ffffcc1,0xf003ee1f,0xdddddfff,0xffa81599,0x00006fff,
    0xffa81fe2,0x7ffcc2ff,0xfe87f23f,0x2fb8006f,0xe9cddb88,0x7fcc6fff,
    0x7ffd43ff,0xfffa801f,0x2600001f,0xf9d100ff,0x4fc800df,0x03ffc418,
    0x2201ff30,0x7c46ffce,0xffc83fff,0x2f98efff,0xffffff80,0x1fffffff,
    0x1fffffe2,0x05fa8000,0x30bfffe6,0x7cc5ffff,0x807ffe63,0x26007d81,
    0x7cc2ffff,0x7fd43fff,0xffc801ff,0x06f540ff,0xd80bfa00,0x2006ff9c,
    0xf8800ef9,0x0bfa004f,0x46ff9cd8,0xb05ffffa,0x9ddfffff,0x3ffff200,
    0xffffffff,0x3ffff20f,0xfb00000f,0x7fffc405,0x07fffcc2,0x1dff717a,
    0x009f0d50,0x4c37ffe4,0x7d43ffff,0xfe801fff,0x5ffe87ff,0xc817f200,
    0x200dff35,0xf7001fe8,0x17f2001f,0x8dff35c8,0x80fffffc,0xffffffe8,
    0x3ffee000,0xffffffff,0x3fffe62f,0xff00003f,0x2fffe801,0x543fffcc,
    0x67ff542f,0x1fc83eca,0x07fffe00,0x50ffffe6,0xf003ffff,0xffd0ffff,
    0x03fe600f,0x6ff9875c,0x4009f900,0xff3001fe,0x7cc3ae01,0x7fffdc6f,
    0xffff105f,0xa8503dff,0xaaaaacfe,0x643fffca,0x8006ffff,0x2017ea3a,
    0x7cc3fffb,0x01fb05ff,0x50137953,0x7fe4007f,0xffff303f,0x1ffffa87,
    0x1ffffd80,0xe8037fe4,0xdddf102f,0x980dfffd,0x5f9000ef,0x8817f400,
    0xfffeeeef,0x3ffffe66,0xffff305f,0x96e17fff,0xfa803ffa,0xffffe80f,
    0xc8fee003,0xfff8803f,0x807ffdc4,0xb8001ee8,0x3ff2005f,0x3ffe203f,
    0x7fffec3f,0xffffa801,0x401ffcc3,0x3fe205fc,0x07ffffff,0x54007fa2,
    0xfc81221f,0x3fffe205,0x7ec7ffff,0x9befffff,0xfffffeb9,0x20ffffff,
    0xfa802ffc,0xffffd105,0xf87f9007,0xbff7000f,0x4404ffd8,0xd9800bfe,
    0x3ff2005f,0xffff801e,0x3fffff25,0xffff9002,0x4c027dc7,0x4ccc00ff,
    0x201effa9,0xbf5004fc,0x2609db99,0x4ccc00ff,0x441effa9,0xfffffffe,
    0xfe98dfff,0x42ffffff,0x7301fff8,0xffb801bf,0xb989beff,0x37cc1efd,
    0x447fee00,0x3f2005ff,0xda88acef,0xb5002fff,0x2a0019ff,0xbeffffff,
    0x2004ffff,0xefffffea,0x005fd002,0x4c0dff30,0xff9800ef,0xd02fffff,
    0xff30005f,0x7fffdc0d,0xfc81dfff,0x7102efff,0xdfdddfff,0x75c4007b,
    0xefffffff,0x0007f904,0x07ffdfd7,0xffff9100,0x8017dfff,0x002dffc8,
    0x2bffff90,0x05fffffa,0x004d4c40,0x2000bf90,0x3fa04ee8,0xeeed8802,
    0xfc80eeee,0x9dd10005,0x0aba9880,0x000ba880,0x0006aa62,0x0d5d4c40,
    0x000065c0,0x20000351,0x001aaba9,0x8000026a,0x000000aa,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x0004fffc,0x00000000,0x00004cc0,0x01980040,0x00400001,
    0x510004c4,0x10003555,0x417dd500,0x50fae069,0xddb0019d,0x9ddddddd,
    0x30131000,0xca819999,0xf88004cc,0x2600ffff,0x88cccccc,0x800befeb,
    0x1defffeb,0x3fbf6200,0x710000df,0x75407fdb,0x322dffff,0x3ff6a200,
    0x440ba63e,0x1dfffffc,0x05fffd80,0x40fbf660,0xbefffffe,0x5fff504e,
    0x3013ffe2,0xffffffff,0xfd0005ff,0x3ffff70b,0x007fffc8,0x5fffffd8,
    0x7ffff4c0,0xffffffe9,0x17ffd300,0x100bffb3,0x3bff25fd,0x3ff66000,
    0x3bf6202d,0xdffc989c,0x5fff300f,0x5ff9bf91,0xf911bf50,0xfb009fff,
    0x3f2001ff,0x7fdc0fff,0x1fffffff,0x2a9fff90,0x7dc06fff,0xffffffff,
    0x5ffc8007,0x41ffffb8,0x4007fffc,0xffe9eff9,0x7fffe401,0xfffd98cf,
    0x44fff885,0x2204fff8,0x3ffea7ff,0x1dff9005,0x201ffb00,0xf880ffe9,
    0x7fff40ff,0x217fcc2f,0x802ffffb,0xff002ffd,0x9dd87fff,0x05ffffeb,
    0xff87ffe6,0x7fff403f,0x04ffffff,0x42fffd40,0x641ffffb,0x74007fff,
    0x202fec5f,0x445ffffb,0x7f43ffff,0xfffe80ff,0x54fff901,0x6c407fff,
    0xfb800eff,0x07fcc04f,0x2e1bffa2,0x7e42ffff,0x6ffff85f,0x200bfd00,
    0x5c2fffff,0x400e5c40,0x401a80a8,0xccccccf9,0x22000ccc,0xfb85ffff,
    0x7fe41fff,0x0fea007f,0xff700fe4,0xfffb03ff,0x17fffc4f,0xf81fffdc,
    0xfff10fff,0x77ff440d,0x07ffd000,0xffd83f70,0xffffa83f,0x7c3fff42,
    0x8800ffff,0xfffd007e,0x0000003f,0x000d9000,0xbffffb00,0x83ffff70,
    0x2007fffc,0x700d401a,0xf703ffff,0x3fea1fff,0xfffa84ff,0x1ffff983,
    0xfd80bbee,0x3fe001ff,0x41f800ef,0xfa82ffff,0x7fe42fff,0x7ffff40f,
    0x00151000,0x001ffff9,0xf0000000,0xfb800009,0xfb85ffff,0x7fe41fff,
    0x0000007f,0x40ffffdc,0xf31ffffb,0xfb81ffff,0xfffa80ff,0x7fdc002f,
    0x3fe2006f,0x0e400eff,0x505ffff1,0xe985ffff,0x6ffff84f,0xff700000,
    0x7fedc0df,0xdb7002ce,0x4c017bff,0x01bcefff,0xffd5f300,0xffff70bf,
    0x07fffc83,0x0e666664,0x01999999,0x503ffff7,0x7fc7ffff,0x3f60efff,
    0xffff505f,0x7ffc4009,0x7ff4003f,0x82202eff,0xa81ffffa,0x2002ffff,
    0x323ffff8,0x321ccccc,0x4c0ccccc,0xffb04fff,0x40dff519,0xffa9bee9,
    0xfff900ff,0x003bffff,0xfffea7c4,0x1ffffb85,0x203fffe4,0x23ffffd8,
    0x81ffffe9,0xa81ffffb,0x3f23ffff,0xf8afffff,0xfff500df,0x7fdc00bf,
    0x01aa98ff,0x7fffffe4,0xfffc802e,0xffffa81f,0x3ffee002,0x3fff620e,
    0x3fffa63f,0x82fff81f,0x7fe46ffe,0x544ffa85,0xff80efff,0xffffffff,
    0x3a6d800c,0xffb85fff,0x7ffe41ff,0xffffb807,0x0ffffe43,0x40ffffdc,
    0x222ffffa,0xeffffffe,0xff53304f,0x01333dff,0x7f7ffff4,0xf301efff,
    0xdfffffff,0x7fffe403,0x2ffffa81,0x03bffa00,0x90ffffee,0xfb03ffff,
    0x4fffa81f,0x3627ffcc,0x3fe60fff,0x7ffd42ff,0xffffffff,0xfd07dc06,
    0xfff70bff,0x7fffc83f,0x3ffff980,0x40ffffdc,0xb81ffffb,0x7440ffff,
    0x1fffffff,0xffffff98,0x304fffff,0xf77dffff,0x2a05ffff,0xffffffff,
    0xfffb80cf,0xffffa82f,0x09ff5002,0x21ffffcc,0xb81ffffb,0x2fffe86f,
    0xf07fffc4,0x7fcc5fff,0x7f75c2ff,0xffffffff,0xe85f304f,0xffb85fff,
    0x7ffe41ff,0x7ffcc067,0x7fffd43f,0x1ffffb81,0x107fffb8,0xfffffffb,
    0xfffff985,0x04ffffff,0x447ffff5,0x700ffffe,0xffffffff,0xfffa83df,
    0xffffa83f,0x805fd002,0x543ffff9,0xfa81ffff,0x0ffffd45,0xf917fffc,
    0x7ffcc1ff,0xffc9803f,0x441fffff,0x5fffe84e,0x22ffffb8,0xb1ffffe8,
    0x0ffffe60,0x703ffff5,0xfb03ffff,0x3f660bff,0x1fffffff,0x3ff6aaa2,
    0x701aabff,0xfb85ffff,0x3a604fff,0xffffffff,0x2ffff41f,0x017fffd4,
    0x7cc017cc,0x7fd43fff,0x44f881ff,0xf81ffffb,0x05cc4fff,0x07ffffb3,
    0xfffffa80,0xffe836c3,0xffffb85f,0xfffffb14,0x3fe60d37,0x7ffd43ff,
    0xffffb81f,0x3fffe20e,0xf9bffc80,0x207fffff,0x800ffffa,0x442ffffc,
    0xa805ffff,0xfffffffe,0x0ffffdc6,0x05ffffd1,0x3e600950,0x7fd43fff,
    0xc85f01ff,0xff80ffff,0x3f6605ff,0x003ffffc,0x24fffe88,0xfffd01fb,
    0xfffff70b,0xffff1bff,0x3fe603ff,0x7ffd43ff,0xffffb81f,0xffffabed,
    0x30fffc81,0x03ffffff,0xc803fffc,0xff82ffff,0x3ee007ff,0x42ffffff,
    0xfccffffc,0x802ffffd,0xfff3002b,0xffffa87f,0xffd83d01,0xffff80ff,
    0x9affd886,0x0003ffff,0x3e2bfff1,0xfcccccce,0x323cefff,0x23ffffef,
    0x203ffffa,0x543ffff9,0xfb81ffff,0xfffb9fff,0xfff882ef,0x7ffff445,
    0x01bff604,0x41ffffdc,0x1267fffe,0xfffff910,0xfffff907,0x05ffff53,
    0x3e600150,0x7fd43fff,0xc81501ff,0xff80ffff,0x7ffd45ff,0x07ffff31,
    0x89ffe400,0xffffffff,0x25ffffff,0x101a98fd,0xff980155,0x7ffd43ff,
    0xffffb81f,0xfa802a61,0xfffb84ff,0x17fea06f,0x27fffcc0,0xd337fff4,
    0x3fffea00,0xfa82a604,0x00002fff,0x21ffffcc,0x001ffffa,0x207fffea,
    0x3ea4ffff,0x3ffe63ff,0x3ea0003f,0xfffff10f,0xffffffff,0x000ffcbf,
    0x3fffe600,0x0ffffd43,0x00ffffdc,0x20ffff60,0x886ffff8,0x2a04ffa9,
    0x213fffe2,0x3e64fffd,0x7fff9001,0xffffa800,0x7cc00002,0x7fd43fff,
    0x3e2001ff,0x7fc41fff,0xffff12ff,0x1ffffcc3,0x44df3000,0xffffffff,
    0x15ffffff,0x800007ff,0x543ffff9,0xfb81ffff,0x64001fff,0xffb04fff,
    0x7ffecc9f,0x7dcc0cff,0x217fffa1,0x3e62fffd,0x3fff3005,0xffffa800,
    0x00eed402,0x21ffffcc,0xb81ffffa,0x7ffe41ce,0x337ffcc2,0x7dc7ffff,
    0x7f4c3fff,0x00bf200d,0xa8bfffd0,0x400005ff,0x6c3ffff8,0xfb81ffff,
    0x5c001fff,0xffb05fff,0x7edf745f,0xffffffff,0x3ffe60ff,0x07fff40f,
    0xf5007ff3,0xff5000df,0x7fcc05ff,0x7fc400ff,0x7ffec3ff,0x37ffdc1f,
    0xf713ffe2,0x7ffcc5ff,0xfffeedff,0xfff918cf,0x005d107f,0xb8bfffd0,
    0x800007ff,0x3f25ffff,0xfb82ffff,0xe8001fff,0x7fc40fff,0xfc83e64f,
    0xffffffff,0x43fffb85,0x7fcc1fff,0x0fff402f,0x7fffd400,0x3ffff202,
    0x5ffff803,0x0bfffff2,0x985ffffd,0x3ffe0fff,0xfffffe82,0x1dffffd4,
    0x3bffffe6,0x0001fc9b,0xfc8bfffd,0xa800007f,0xbeffffff,0xfd84ffff,
    0x98002fff,0x7fe45fff,0xefa97c45,0xfffffffe,0x5cdff900,0xfff982ff,
    0x7fe4c0df,0xfff70002,0x7ffd407f,0xfffa802f,0xfffbefff,0x7fffe44f,
    0xfeffd880,0xffb301ef,0x6fff4c3b,0x7ffffdc0,0x20001cef,0x7cc5fffe,
    0x9000004f,0x3eabffff,0xf915ffff,0x035dffff,0xdfffc880,0xff702eff,
    0x3ffee1df,0x7edc01ef,0xf302dfdf,0xdbdfd735,0x30001bff,0x9ffffff7,
    0x01bffa01,0x55ffffc8,0x4cbfffff,0xa9804fff,0x08010009,0x001aa980,
    0x17fffa00,0x00000062,0xa88002aa,0x1aaaaaaa,0x35531000,0x10351001,
    0xa8800355,0xa9828801,0x200009ab,0xaaaaaaa9,0x0006600a,0xa8000554,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00400008,
    0x80000400,0x6ecc0000,0x500bb221,0x434c17dd,0xeeeeeee8,0x75c2eeee,
    0x00eeeeee,0x99999950,0x66664c59,0x7543eb83,0xeeee980c,0xeeeeeeee,
    0x0aaaaa0e,0xec809800,0xeeeeeeee,0xddddd00e,0x000205dd,0x0fbffb2a,
    0x677ff5c0,0x07e4c001,0x00034000,0xffc9bffa,0xffffd00f,0x4409d7df,
    0x0dfffffe,0x07bfea20,0xd88bbf22,0x983fffff,0x7fdc0dfe,0x09fff12f,
    0xfffffff7,0xa8ffffff,0x2000ffff,0x44efefea,0xdffffffa,0xfffc8800,
    0x007ff903,0x3fe6bfee,0x3ffa206f,0x801fffff,0x000fffd9,0x80017d40,
    0xfd0ffff8,0xfff705ff,0x03ffffff,0x2fffffa8,0x3203fb00,0xffe87fff,
    0x01f901ff,0x3ea9fff9,0xfffd86ff,0xffffffff,0x3fffa84f,0x89ffe880,
    0x7fdc3fff,0x22003fff,0xfff300ff,0x3ffc801f,0x2213fff2,0xfffffffe,
    0xffd501ff,0x80001fff,0x360006fe,0x1ffee5ff,0x7ff5ceec,0xff9805ff,
    0xf7001fff,0x3ffffe01,0x27fffd42,0xfff304d8,0x7c1fffc1,0xffffffff,
    0xf501ffff,0xfffb00bf,0x3a1bffe2,0x2006ffff,0x3fee02f9,0x3fea02ff,
    0x1bffea0f,0x3fffbff2,0x7546ffff,0x0ffffffe,0x3ffe6000,0x20aa0001,
    0x7102e029,0x3fe60039,0xf5001fff,0x07fffec0,0x443ffffc,0x202a200f,
    0xefff881a,0xffeeeeee,0x007fdc07,0x7e4ffff3,0xffffb81e,0x80d9001f,
    0x200ffff8,0xfff87ffe,0xb8867c45,0x20fffffe,0x3ffffe20,0x3ff60000,
    0x0000005f,0x3e600000,0x5001ffff,0x27ffcc0f,0x42ffffb8,0xa800005a,
    0x27fc00bf,0xf701fdc0,0x7c400fff,0xf004ffff,0x03bb5007,0x5437ffcc,
    0x9825c0dd,0x202fffff,0x000ffffd,0x1fffff10,0x00020000,0xfff30000,
    0x1ea003ff,0xff8802a0,0x0016c6ff,0x5401e400,0x035001ff,0x003fffe4,
    0x03fffff2,0x80000f50,0x4007fffa,0x7ffff400,0x3ffff600,0xfff90000,
    0x540009ff,0x800ceffd,0x0bdffedb,0xfffff980,0x000f5001,0x47ffff20,
    0xffb70078,0x4006059d,0x200007fc,0x4007fffc,0x03fffff8,0x200001f4,
    0x000ffffc,0x1bffee00,0x01ffffb0,0xfffdf100,0xf90001ff,0x03dfb15f,
    0x3ea6fba6,0x7cc00fff,0x5001ffff,0x3e60000f,0x00975fff,0xff519ffb,
    0x27fc000d,0xcccccc88,0x7fff65c0,0xfb001ccf,0x7cc0ffff,0x33332200,
    0xfff900cc,0x6400003f,0x7ec04fff,0xb8000fff,0x3fffff9e,0x11ffec00,
    0x9ff50dff,0x00efffa8,0x07ffffe6,0x00003d40,0x3d1ffffb,0x646ffe80,
    0xf98005ff,0x3ffa602f,0x7fff41ff,0x002fffff,0x05fffff3,0x3fa60136,
    0xff701fff,0x400005ff,0x6c02fffe,0x8000ffff,0xdffffd2f,0x07ffd400,
    0xffb0fffa,0x7fffcc1f,0x3fffe602,0x00f5001f,0x7fffd400,0x7ffd406e,
    0x027ffcc4,0x3201ff20,0xf901ffff,0x3a000fff,0xf886ffff,0xffff9000,
    0x3fffea03,0xff100005,0xfffb00bf,0x27a8001f,0x02fffffa,0xfb0dffd0,
    0x2ffff8df,0x80bfffe6,0x01fffff9,0x80000f50,0x403ffffe,0x7c42fffe,
    0x3e000fff,0xfffb804f,0xffff901f,0x3ffee000,0x002e41ff,0x203ffff7,
    0x03fffff8,0x0fffa800,0x0ffffd80,0x3fa1f400,0xf9805fff,0xfffd85ff,
    0x983fff20,0x2603ffff,0x001fffff,0x67ecc0f5,0xffffb801,0x3fffea00,
    0x02ffff81,0x5005ff30,0x3203ffff,0x20007fff,0x224fffff,0x3fea001f,
    0x3ff601ff,0x01c80fff,0x2005ff90,0x000ffffd,0xfff703e6,0xffa803ff,
    0xfeccccef,0x305cc1ff,0x407ffffb,0x01fffff9,0x7ffc0f50,0x7fc400ff,
    0x7ffdc05f,0x4ffff81f,0x200ff900,0x901ffffa,0x4000ffff,0x70fffffc,
    0xfffa800d,0x3ffe201f,0x3ea9ceff,0x009ff100,0x007fffec,0xfff109b0,
    0xffb80bff,0xccccccff,0x3f6601cc,0x203ffffc,0x01fffff9,0x3fea0f70,
    0xfc802fff,0x7ffe402f,0x5ffff80f,0x200bff00,0x901ffffa,0x4000ffff,
    0xd3fffff8,0xfffa8005,0x7ffd401f,0x004fffff,0xfb0017f6,0x22001fff,
    0xffff901f,0x7ffe401f,0xffb10007,0x07ffff35,0x0fffffcc,0xff106b80,
    0xf100bfff,0xffffb00f,0x0dffff01,0x2005ff30,0x901ffffa,0x8000ffff,
    0x6aeffffd,0xffffa800,0xfffe9801,0x3ee003ef,0xfffd8005,0xddf9000f,
    0xfffddddd,0x7fdc09ff,0x7d4000ff,0xffff31ff,0x7fffc407,0x40d9001f,
    0x006ffffb,0xfff9009b,0xbffff01f,0x400ff900,0x901ffffa,0x8000ffff,
    0x3ffffff9,0xffffa800,0x03722001,0x440bf300,0x1ffffb01,0x9999f100,
    0xfffd9999,0x7ffd40ff,0x3fea002f,0x3fffe63f,0x7ffffc03,0x100bb001,
    0x03e009f3,0x07fffea0,0x2013fffe,0x3ea005fe,0xff901fff,0xfd0000ff,
    0x0001ffff,0x003ffff5,0x100177c4,0xb01d80dd,0x7001ffff,0xffff500d,
    0x3ffe607f,0x7c42606f,0x3fe61fff,0x7ff403ff,0x07f002ff,0x8550bee0,
    0xfff1005a,0xffff883f,0x017fcc02,0x03ffff50,0x001ffff2,0x13fffee0,
    0x7fffd400,0x3fff2001,0x557fb000,0x01fb7555,0x003ffff6,0x3fa005f1,
    0x3fa06fff,0x26983fff,0x2e3ffff9,0x5c03ffff,0xd805ffff,0xc8dd000f,
    0x800763ff,0x7cc2fffc,0xffc806ff,0x3ffea000,0xffff901f,0x3ffe0000,
    0xff50000f,0xfc8003ff,0xfffc802f,0x6fffffff,0x07ffff60,0x2e001f70,
    0x502fffff,0x139fffff,0x7ffcc5d7,0xfffeedff,0xfd1018cf,0x7e409fff,
    0xf83f7003,0x800d36ff,0x7dc4fff8,0x5fe802ff,0x7fffd400,0x0ffff901,
    0x17ff2000,0xffffa800,0x07fec001,0x3ffffea0,0x05ffffff,0x807ffffa,
    0x3e2006f8,0x2e06ffff,0xffffffff,0xfffffe83,0x1dffffd4,0x7ffff440,
    0x3feca9bd,0xd80ed880,0x001fbfff,0x3e0fff98,0xff9802ff,0x7ffdc002,
    0xffff902f,0xff100001,0x7fdc0003,0xdb8802ff,0x7fcc02ff,0xffffffff,
    0xfff303ff,0x3fa60bff,0xfff1002f,0x75409fff,0x302dffff,0x74c3bffb,
    0xf9000dff,0xbfffffff,0x980b2003,0x0002fffe,0x3ffbff62,0x1ff7001e,
    0xffffd800,0x5ffffd04,0x01760000,0x9ffffb00,0x00335100,0xfffffff1,
    0x45ffffff,0xfffffec9,0xff92dfff,0x2a09dfff,0xfffffffd,0x0aa201ff,
    0x00040080,0x13577530,0x2a600000,0x2a600000,0x15540009,0xffffd300,
    0x3fb21dff,0x01efffff,0x8000cc00,0xffffffe9,0x0000000e,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7fff9800,0x35555100,0x3bbbbbaa,0x7775404e,0xec885eee,0x400675c3,
    0xeeeeeee8,0xdd35eeee,0x8001dddd,0xeeeeeeec,0xdddd70ee,0x03dddddd,
    0x00dddddb,0x7777775c,0x777774c1,0x77776c1e,0xdd30002e,0xdddddddd,
    0x3bbba27d,0x0eeeeeee,0xeeeeeed8,0x0011005e,0x7ffffd00,0x1dfff700,
    0x7ffffe44,0xeffa803f,0x23fff701,0x4003fff9,0x3ffffffb,0x1ffffd88,
    0xffffb800,0xffd883ff,0x4c01ffff,0x44000dff,0x882ffffd,0x441ffffe,
    0x003ffffc,0x7fffec40,0xffb101ef,0x8803ffff,0x001dfffe,0xefc880b6,
    0xfffffa82,0x77fec00f,0xfffff900,0x03f9003f,0xfb9fffec,0xfe8005ff,
    0x3ee06fff,0x90001fff,0x403fffff,0x007ffffe,0x2a0001fb,0xf902ffff,
    0xff503fff,0x300007ff,0x807fffff,0x04fffff8,0x8007ff70,0x3ff202fb,
    0xcaffe87f,0x3fe204ff,0x3ffe200e,0x5400ffff,0x3ffea00f,0x005fff10,
    0x0dffffb0,0x00ffffd4,0xfffff980,0x3fffee03,0x004d802f,0x0bfffea0,
    0x40ffffd4,0x003ffff9,0xfffff880,0x7fffc402,0x1ef9803f,0x017fcc00,
    0x5c5fffff,0x03fea1ef,0x22007fdc,0x6fffffff,0x54403cc0,0x80005440,
    0x205ffffd,0x001ffffa,0x1bffff60,0x5fffff88,0x0000fc40,0x205ffff3,
    0x881ffffa,0x0003ffff,0x2fffff88,0x3fffff80,0x0006fcc0,0xd80bffa2,
    0xbf10ffff,0x3609f301,0xf9f8801f,0x204fffff,0x00000079,0x17ffff60,
    0x01ffffa8,0x3fffea00,0x3fff201f,0x01ae00ff,0x5ffff300,0x07fffea0,
    0x00ffffe2,0x3fffe200,0xffff802f,0x013ee03f,0x0bfffe60,0x264fff98,
    0x1a814402,0x3feaf100,0xf303ffff,0x40000000,0x205ffffd,0x001ffffa,
    0x2fffffc0,0x7fffff30,0x20001f40,0x502ffff9,0xf103ffff,0x00007fff,
    0x05fffff1,0x07fffff0,0x2a000bf2,0xccdfffff,0x00001504,0xf93c4000,
    0x303fffff,0x9999990f,0x66666643,0x3fff6000,0x3ffea05f,0xbefec89f,
    0xffffc800,0xffff100f,0x003e60df,0x277ff6a2,0x502ffff9,0xf103ffff,
    0xccc87fff,0x3e204ccc,0xf802ffff,0x7443ffff,0xff98001e,0xffffffff,
    0x33322000,0xcc880ccc,0x2200cccc,0x7ffffec7,0x6c43cc0f,0x3a63ffff,
    0x2001ffff,0x205ffffd,0xefbffffa,0x400fffff,0x03fffff8,0x3ffffff7,
    0x3fa00b90,0xffcfecff,0xfff502ff,0xffff103f,0xafffc887,0x3fffe200,
    0xffff802f,0x0037e63f,0x5ffff500,0xffe98000,0xffd301ff,0x23c403ff,
    0x6fffffe8,0xfffb83cc,0x7fffe43f,0x3fff6001,0x3ffea05f,0xfff911ff,
    0xfffd801d,0xfff7d06f,0x005f09ff,0x7d43fffb,0xf502ffff,0xff103fff,
    0x1df307ff,0xfffff100,0xfffff005,0x0017fea7,0x0bfffea0,0x3fff2000,
    0x3fff201f,0x261e201f,0x24ffffff,0xffff3079,0x1ffffb87,0x3ffff600,
    0x3fffea05,0x05ffff82,0x0fffffd4,0x7fffe5ea,0x7dc03d47,0xfffc85ff,
    0xffff502f,0x7ffff103,0x22001bb0,0x802fffff,0xfcbfffff,0x40003fff,
    0x002ffffa,0x1ffffb80,0x07fffee0,0xfff50788,0x41e65fff,0x543ffff9,
    0x2001ffff,0x205ffffd,0xc81ffffa,0xff807fff,0x9a6c5fff,0x362fffff,
    0x3fffe804,0x02ffff98,0x103ffff5,0x5d87ffff,0x7fffc400,0xffff802f,
    0xffffffff,0x3fea0001,0xa80002ff,0x2a01ffff,0x2201ffff,0x3fffee07,
    0xf30799ff,0xffa87fff,0x3f6001ff,0x3ea05fff,0xffb81fff,0x7fe401ff,
    0x41f10fff,0xf15ffffe,0xffff8803,0x2ffff982,0x03ffff50,0x647ffff1,
    0xfff88006,0xfff802ff,0xffffceff,0xf50000ff,0x64405fff,0xfff502ef,
    0x7ffd403f,0xb01e201f,0xf5dfffff,0x0ffffe60,0x003ffff5,0x02ffffec,
    0x703ffff5,0x8805ffff,0xb93fffff,0x8fffffb8,0xfff9806b,0xffff981f,
    0x3ffff502,0x27ffff10,0x44001ffd,0x802fffff,0xfb3fffff,0x000dffff,
    0x80bfffea,0xa80ffffc,0x2a01ffff,0x2201ffff,0x7fff4407,0xff307fff,
    0xfffa87ff,0x3ff6001f,0x3fea05ff,0xfffa81ff,0xfffd803f,0xff885f6f,
    0x803ebfff,0x981ffffb,0xf502ffff,0xff103fff,0xdfffb7ff,0xffff8800,
    0xffff802f,0x3ffffa3f,0xffa8005f,0x3ffe02ff,0xfffa82ff,0x3ffea01f,
    0x201e201f,0x7ffffff8,0x87ffff30,0x001ffffa,0x817ffff6,0xa81ffffa,
    0xa802ffff,0x06cfffff,0x1ffffffb,0x3ffff900,0x05ffff30,0x207fffea,
    0xfffffff8,0x22003fff,0x802fffff,0x223fffff,0x03ffffff,0x17fffd40,
    0x01ffffb0,0x403ffff5,0x201ffffa,0xfff30078,0x3fe60fff,0x7ffd43ff,
    0x20ef541f,0x205ffffd,0xa81ffffa,0xf000ffff,0x207fffff,0x05fffffa,
    0x03ffff70,0x205ffff3,0x881ffffa,0xfe8dffff,0xf1001fff,0xf005ffff,
    0xfa87ffff,0x001fffff,0x80bfffea,0xf504ffe9,0x7d403fff,0x1e201fff,
    0x7ffffb80,0x87ffff30,0x221ffffa,0x7fec6fff,0x3fea04ff,0xfffb81ff,
    0x3fff2007,0x3ffe00ff,0xff7002ff,0xfff305ff,0x3ffea05f,0xffff881f,
    0x0dffff53,0x3ffffe20,0xfffff802,0xfffffb83,0xfff3000f,0x4015005f,
    0x201ffffa,0x201ffffa,0x7fe40078,0xffff307f,0x1ffffa87,0xd87fffee,
    0x2a03ffff,0xfb81ffff,0x3e2005ff,0x7e404fff,0x3e6007ff,0xff984fff,
    0xfff502ff,0xffff103f,0x27fffe47,0x7ffffc40,0xfffff802,0xfffffb03,
    0x3ffe600d,0x5400022f,0x2a01ffff,0x2601ffff,0x7ff4000f,0x7ffff107,
    0x21ffffd8,0x7ec6fffa,0x3ea01fff,0xffd81fff,0x7fec002f,0x7ffcc01f,
    0x7fff4004,0x2ffffc86,0x03ffff50,0xe87ffff1,0x4401ffff,0x802fffff,
    0x103fffff,0x0bfffffd,0x29ffff10,0xff500048,0x7fd403ff,0x07f201ff,
    0x40fff100,0x3f25ffff,0x3e22ffff,0x7fff42ff,0x7fffd404,0x01fffc43,
    0x8037fd40,0x54001ffe,0x3ea3ffff,0xf703ffff,0xff305fff,0xfff989ff,
    0x3fe600ef,0x7c403fff,0x2a04ffff,0x04ffffff,0xeeffffb8,0xfff70000,
    0x7ffdc05f,0x1dfd302f,0x207f9800,0xeffffffa,0x4c4ffffb,0xfff70bff,
    0xffff500b,0x027fe41f,0x2005ff00,0xf70006fb,0xf7fbbfff,0xd819ffff,
    0xfa84ffff,0xffe86fff,0x3fee05ff,0x7dc05fff,0x2206ffff,0xdfffffff,
    0x6fff5c00,0x3ff60001,0x3ff604ff,0x7ff544ff,0x2002dfff,0x7ffe407a,
    0xfffff55f,0xfeffd98b,0x9f5004ef,0x37ffbfa6,0x03e40003,0x40007f10,
    0x98effffb,0x222bdfff,0xeffffffe,0xffffffb0,0x3fffee1d,0xfd911fff,
    0xbdffffff,0x3fffb225,0x20deffff,0xfffffffb,0x00805fff,0x7fff4c00,
    0x3a60efff,0x0effffff,0x00700000,0x880002aa,0x44000aba,0x0002a981,
    0x17000a20,0x43530000,0x000000a8,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7774c000,0xdeeeeeee,0x0001bccc,0xb305f754,0x3bbbba60,
    0x4000eeee,0xeeeeeeeb,0xdddddd4e,0xeeec83dd,0xddddd30e,0x27dddddd,
    0xeeeeeeec,0x3b626eee,0xeeeeeeee,0xeee8800c,0xceeeeeee,0xdd500aac,
    0xbddddddd,0x20015799,0x03eeeeec,0xeeeeea80,0xbcceeeee,0x33aa000a,
    0x20077660,0xcfffffe9,0xeffffdcc,0x7ffc4001,0x03ebdfff,0x7ffffec4,
    0x7ffc003f,0x74c2ffff,0x880dffff,0xfd882ffb,0x501effff,0x19ffffff,
    0x3ffff620,0xc88000cf,0xecdfffff,0x300cffff,0x99fffffd,0x05dffffb,
    0x4ffffc88,0x3ffa2000,0xfeccdfff,0x7c403eff,0x1bffa4ff,0x7ffffd40,
    0x4ffffc80,0x3ffff200,0x800fffff,0x6ffffff9,0x3fffea00,0xfff505ff,
    0x01fcc0df,0x07fffff3,0x07ffffd8,0x0fffff98,0x3ffe2000,0x3ffa61ff,
    0xfff701ff,0xfffa81ff,0x3fea00df,0x540004ff,0x4c1fffff,0x501efffe,
    0x3fe2dfff,0xff9800ff,0xffb00fff,0x33a007ff,0x4ffffeb9,0xfff7f100,
    0x33a005ff,0x204ffffe,0x700ffffe,0x7ffc401f,0x7fe403ff,0xff9807ff,
    0x40000fff,0x541fffff,0xa80effff,0x880fffff,0x101fffff,0x0009ffff,
    0x1fffff98,0x05ffffd0,0xffd8fffe,0xffff3005,0x3ffe601f,0x9817006f,
    0x3e2000cb,0x05fffff8,0xfffe8f98,0x3ffee04f,0x8809b03f,0x402fffff,
    0x806ffffc,0x00fffff8,0x7ffffc00,0x3ffffe81,0x0fffffa8,0x1dffff50,
    0x09ffff10,0xffff9800,0xffff301f,0x2a06a01f,0x3ffe6002,0xfff100ff,
    0x000001ff,0xffb8f880,0xae400fff,0x204ffffe,0x886ffff8,0x7ffc401f,
    0x7fe402ff,0xff8806ff,0xbccccfff,0x3fffe002,0xffffd81f,0xfffffa85,
    0x3ffffa00,0x4ffff885,0x7ffcc000,0x3ff601ff,0x000006ff,0x07ffffcc,
    0x07fffff0,0xf8800000,0x4fffff88,0x7ff4be20,0x7fec04ff,0x4035c0ff,
    0x02fffff8,0x037fffe4,0x67ffffc4,0x02effffe,0x81fffff8,0xa86ffffc,
    0x200fffff,0x40fffffb,0x004ffff8,0x7ffffcc0,0x3fffea01,0x2000001f,
    0x00fffff9,0x05fffff1,0x4b33332e,0x802dffd9,0xffff90f8,0xfe9ae01f,
    0x7d404fff,0x01ec3fff,0x17ffffc4,0x1bffff20,0x3ffffe20,0x37fffee0,
    0x3ffffe00,0x5ffffd81,0x0fffffa8,0x3ffffe20,0xa7fffc44,0x801dffd9,
    0x01fffff9,0x17ffffe2,0x19999991,0xffff9800,0xffff500f,0x3ff6201f,
    0xffffacff,0x87c401ff,0x03fffff9,0x7ffff47d,0x6ffff804,0x3e2007e2,
    0x6402ffff,0x8806ffff,0x640fffff,0x3e06ffff,0xfe81ffff,0xffa83fff,
    0x7fc00fff,0x7fc47fff,0xffffacff,0x7fcc01ff,0x7f401fff,0x74c0ffff,
    0x4001ffff,0x00fffff9,0x809ffffb,0xaefffffa,0x406fffe9,0x3fffa0f8,
    0x3a0f986f,0xc804ffff,0x0d71ffff,0x3ffffe20,0x7fffe402,0xffff8806,
    0x7fffcc0f,0xfffff02f,0x6ffffa83,0x1fffff50,0xfffffe80,0x3ffffe20,
    0x6fffe9ae,0x7ffffcc0,0x7fffec01,0xffffc81f,0x7ffcc001,0x7fec40ff,
    0xff8805ff,0x3fea0fff,0x83e201ff,0x41fffffa,0x7ffff44c,0xffffa804,
    0x3e2007d4,0xaaacffff,0xfffdaaaa,0xfff8806f,0xffff80ff,0xfffff04f,
    0x77fff4c3,0xfffff501,0xffffe801,0x3fffe20f,0x3fffea1f,0x7fee64c0,
    0xccccdfff,0x3fffff60,0x1ffffb82,0x7fffcc00,0xfffedccf,0xff1001df,
    0xfffa89ff,0xf03e202f,0x7c4bffff,0x27ffff41,0x8fffff80,0xfff1000f,
    0xffffffff,0xdfffffff,0xfffff100,0xbffffd01,0x37ffffe0,0x0cffffec,
    0x3ffffea0,0x7fffec00,0x3fffe21f,0x17fffd44,0x3fff7326,0x0ccccdff,
    0x0bfffff2,0x007fffea,0x9fffff30,0x0bfffffb,0x4ffff880,0x017fffd4,
    0xfffb81f1,0xfd0d70ff,0x55509fff,0xdffffd55,0x2055555f,0x02fffff8,
    0x037fffe4,0x07ffffc4,0x81fffffc,0xccdfffff,0xff5002bc,0xfd801fff,
    0x3e21ffff,0x7fcc4fff,0x3fe602ff,0x7e401fff,0xfa82ffff,0x4c001fff,
    0xfb0fffff,0x4005ffff,0x4c4ffff8,0x2202ffff,0x7fffc40f,0xffd05d4f,
    0xffff09ff,0xffffffff,0x101fffff,0x805fffff,0x806ffffc,0x40fffff8,
    0x01fffff8,0x003fffff,0x7ffffd40,0x7ffff400,0x27fffc47,0x80bfffe6,
    0x01fffff9,0x07ffffec,0x00ffffd4,0x3ffffe60,0xffffff10,0x3ffe2001,
    0x7fffcc4f,0x3203e202,0x07afffff,0x009ffffd,0x007ffff4,0x5fffff10,
    0x6ffffc80,0xfffff880,0x3ffffd40,0x03fffff0,0x7fffd400,0x7fffc00f,
    0x7fffc46f,0x17fffcc4,0x3fffff30,0x7ffffe80,0x03ffff50,0xfffff980,
    0x3ffffea0,0xffff1005,0x2ffff989,0x3e603e20,0xd03fffff,0x4009ffff,
    0x4007fffe,0x02fffff8,0x037fffe4,0x07ffffc4,0x01dfffd1,0x00fffffc,
    0xfffff500,0x7fffc401,0x7fffc45f,0x17fffcc4,0x3fffff30,0x6fffff80,
    0x03ffff50,0xfffff980,0x7ffffec0,0xffff8803,0x17fffcc4,0x3fa01f10,
    0xfd00ffff,0x33309fff,0xffffd333,0x20333333,0x02fffff8,0x037fffe4,
    0x5fffffc4,0x0dffffdc,0x0fffffc0,0xffff5000,0x7ffcc01f,0x7ffc42ff,
    0x7fffcc4f,0x3fffe602,0x3ffe201f,0xfff503ff,0xff98003f,0x7f440fff,
    0x4401ffff,0x7cc4ffff,0x3e202fff,0xbffff500,0x27ffff40,0x7ffffffc,
    0xffffffff,0xfff880ff,0x7fe402ff,0xff8806ff,0xceeeefff,0xffff001b,
    0x7d40003f,0x3200ffff,0xf885ffff,0x7fcc4fff,0x3fe602ff,0x3ee01fff,
    0x3ea06fff,0x4c001fff,0x980fffff,0x406fffff,0x4c4ffff8,0x2202ffff,
    0x3fffe00f,0x3ffffa01,0x99999984,0x999ffffe,0xfff10199,0xffc805ff,
    0xff8806ff,0x40000fff,0x001fffff,0x3ffffea0,0xfffff100,0x9ffff101,
    0x02ffff98,0x07ffffe6,0x01fffff8,0x007fffea,0x1fffff30,0x3fffff20,
    0x3fffe204,0x17fffd44,0x7dc01f10,0x7fffc06f,0x3ffa004f,0x3e2000ff,
    0x6402ffff,0x8806ffff,0x000fffff,0x0fffffc0,0xffff5000,0x3ffee01f,
    0xffff103f,0x2ffff989,0x3ffffe60,0x9ffff501,0x1ffffa80,0x7fffd400,
    0x3fffa01f,0xfff102ff,0xffffa8bf,0x8807e603,0x7ffc03ff,0x3fe005ff,
    0x26000fff,0x403fffff,0x807ffffd,0x00fffff9,0x3fffe200,0x3ea0002f,
    0xfb81ffff,0x3e201fff,0x7fd44fff,0x3fe603ff,0xffa82fff,0xffb802ff,
    0x7e4002ff,0x2203ffff,0x81ffffff,0x646ffffa,0xb105ffff,0x07e401df,
    0xdfffff50,0xffff5001,0x7fdc009f,0x3e205fff,0x401fffff,0x03fffffc,
    0x3fffee00,0x3f60005f,0xbaadffff,0x400cfffd,0x646ffffa,0x3205ffff,
    0xaadfffff,0x00dfffdb,0x09ffffb0,0xffffdb30,0x701bdfff,0x4dffffff,
    0x6ffffffc,0xdffffffb,0x7ffffec4,0xd904981e,0xffffffff,0xffed987b,
    0x1defffff,0xffffec88,0xb72defff,0xffffffff,0x7ff6449b,0x0cefffff,
    0xfffed880,0x01deffff,0xffffeda8,0xceefffff,0xffff9001,0x3fff6dff,
    0x3b266fff,0xffffffff,0x2002ceef,0xffffffe9,0x0000000e,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x77774000,0xeeeeeeee,0x644eeeee,0xeeeeeeee,0xddd500ee,0x3ba65ddd,
    0xeeeeeeee,0x77777545,0x3bba25ee,0xeeeeeeee,0x5eeeeeee,0xddddddd3,
    0xdddddddd,0xee989ddd,0xeeeeeeee,0x3bb2004e,0xeeeeeeee,0xeeeeeeee,
    0xeea8003e,0xeeeeeeee,0xeeeeeeee,0x3bba60ee,0xeeeeeeee,0x2200accc,
    0xaaaaaaaa,0xaaaaaaaa,0xf1010202,0x9999dfff,0xffffffb9,0xffffd303,
    0xf71003ff,0xffd883bf,0x200effff,0x100cfffc,0x9bfffffb,0xffffb999,
    0xffffd88f,0xfdccccdf,0xfb105fff,0x003dffff,0x99dfffb0,0x99fffffb,
    0x009fffd9,0x7fffec40,0xdcccdfff,0x880fffff,0xccfffffd,0x05fffffd,
    0x43800033,0xeabeffea,0x00effcc0,0x09fffffb,0x7fffffc4,0x80df1000,
    0x06fffffe,0x4401ffc4,0x203fffff,0xff987ffb,0xfb102fff,0x7ffcc0bf,
    0xfb0003ff,0xffff981b,0x027fcc0f,0x3febee00,0xff502fff,0x3ffe601f,
    0x7ffec0ff,0x000cc0ef,0x9cffa8e0,0x7cc0fffb,0x7fffcc05,0xfffb806f,
    0x3f7004ff,0xfffff880,0x013ea02f,0x1fffffc4,0x3e21fa20,0x5402ffff,
    0x3ffe605f,0xfb0002ff,0xfffff301,0x0009f101,0xffff8de8,0x03fa202f,
    0x07ffffcc,0x237fffec,0xd1c00019,0x40fe88df,0xfffe807a,0xffd002ff,
    0x9f001fff,0x3fffee00,0x05e880ff,0x1fffffc0,0x7fc43e40,0x5d802fff,
    0x3ffffe20,0x207b0001,0x00fffff9,0x7dc0009b,0x2fffff88,0xf8807dc0,
    0xfa80ffff,0x0660ffff,0x3fe67000,0x2e0fc41f,0x7fffdc04,0x3fea005f,
    0x35c04fff,0x3ffff600,0x000ec85f,0x01fffffc,0x7ffc43cc,0x2d4282ff,
    0x3fffff10,0x4c036000,0x500fffff,0x4be20009,0x82fffff8,0x7c403e22,
    0xf880ffff,0x0663ffff,0x3fee7000,0x320e41ff,0x3fffe200,0x7ec000ff,
    0xf100ffff,0xfff88005,0x03ee2fff,0x3ffffe00,0x44244883,0x582fffff,
    0xfff102c4,0x060003ff,0x0fffff98,0x2ec00060,0x85fffff1,0xf8806c49,
    0xf880ffff,0x0663ffff,0x3fea7000,0x00023fff,0x0ffffff6,0x3fffe600,
    0x000bb05f,0x3fffffee,0xf0002f98,0x9507ffff,0xfffff100,0x44006985,
    0x001fffff,0xffff9800,0x5400000f,0x3fffe20f,0x10025c2f,0x501fffff,
    0x198fffff,0xfff1c000,0x0001dfff,0x0dfffff5,0x7fffec00,0x0007d41f,
    0xbfffffb0,0x7fc0007f,0x04d83fff,0x2fffff88,0x3e200364,0x0001ffff,
    0xfffff980,0x3e200000,0x7ffffc43,0xf10026c2,0xfb01ffff,0x01989fff,
    0xfff71c00,0x4003ffff,0x1ffffff8,0x3ffe2000,0x002746ff,0x3ffffe20,
    0x7fc0005f,0x27d43fff,0x7ffffc40,0x1001be62,0x003fffff,0xffff3000,
    0x6400001f,0xfffff886,0x88013ea2,0x6c0fffff,0x1984ffff,0x3f21c000,
    0x00ffffff,0x9fffff90,0xfff90000,0x001ae5ff,0x7ffffd40,0x3fe0000f,
    0xfca8bfff,0xfff8804f,0x6ffb9bff,0x7fffc400,0x9800001f,0x000fffff,
    0xf103f300,0xfd77ffff,0x7fc4009f,0xffedcfff,0x03300bef,0xffa83800,
    0x9804ffff,0x00efffff,0xffff8800,0x0002f8ef,0x3fffff60,0x3ffe0005,
    0xffffffff,0xffff8804,0x06ffffff,0x7ffffc40,0xf9800001,0x0000ffff,
    0x3fe209d0,0xffffffff,0x3ffe2004,0xfffffeff,0x003302df,0xfe881380,
    0xfe806fff,0x0002ffff,0x3ffffee0,0x4400005f,0x02ffffff,0x7fffff00,
    0x009fff93,0x37fffff1,0x8800dff7,0x001fffff,0xffff9800,0xfb80000f,
    0xffffffff,0xfb8affff,0x3fe2004f,0xfb310fff,0x1985dfff,0x84a9c000,
    0x5c07fffd,0x005fffff,0xffffe800,0x4c00001f,0x0fffffff,0xfffff800,
    0x44027dc3,0x2a2fffff,0x7fc4006f,0x00001fff,0x0fffff98,0x4dfc4000,
    0xff999999,0x13ea2fff,0xfffff880,0xfffffc80,0x70000662,0x3ffa07ea,
    0x3fffe206,0x000800ff,0x07ffffdc,0x97f10000,0x00bfffff,0x07fffff0,
    0xfff1009b,0x006c85ff,0x0fffffc4,0x7fcc0000,0x40000fff,0x7ffc405d,
    0x0026c2ff,0x01fffff1,0x43fffffa,0x99c00019,0x04ffc86f,0x0ffffff6,
    0xf5000e40,0x0001ffff,0x7f453a20,0x4002ffff,0xa83fffff,0xffff8804,
    0x0883542f,0x1fffff88,0x26012600,0x000fffff,0xf1003ea0,0x4b85ffff,
    0xffff1010,0x3fff201f,0x000332ff,0x25bff338,0xf500efe8,0x400dffff,
    0x3fea000e,0x00000fff,0xffff98db,0x3fe000ff,0x04883fff,0x2fffff88,
    0x881c8344,0x001fffff,0x3fe600f2,0x10000fff,0xfff1007f,0x884985ff,
    0xfffff884,0xfffff500,0x70000669,0x3fbfb7e6,0xfff100df,0x2a003fff,
    0x7ffd4007,0xc80000ff,0xffffc80f,0x3ffe005f,0x100303ff,0x305fffff,
    0x3fe203e0,0xf1001fff,0xffff3005,0x1b20001f,0x7ffffc40,0x883c8182,
    0x500fffff,0x267fffff,0x189c0001,0xf9002aa2,0x4009ffff,0x7fd4006e,
    0x40000fff,0x3ffa01fa,0xff003fff,0x40007fff,0x02fffff8,0x3fe20f70,
    0xf7001fff,0xffff3003,0x3f30001f,0x3fffe200,0x82f8802f,0x00fffff8,
    0x23fffff9,0x01c00019,0x3fffe600,0xfd8800ff,0x7ffd4005,0x260000ff,
    0x7ffcc03f,0xff800fff,0x20003fff,0x02fffff8,0xff306fa8,0xf3005fff,
    0xfff5003f,0x9d0001ff,0x7fffc400,0x0fec402f,0x07ffffc4,0x2fffff44,
    0x03800033,0x7ffff400,0xfffb802f,0x7ffdc004,0xf30001ff,0x3fff600f,
    0x7fc406ff,0x20003fff,0x03fffff9,0xf982ffdc,0x4c03ffff,0xfa800fff,
    0x4001ffff,0x3e2002fc,0x2203ffff,0xff980ffe,0x7f442fff,0x0660efff,
    0x40007000,0x9efffffb,0xebaa9999,0x4004ffff,0x03fffffd,0x17ffdc40,
    0x7ffffe40,0x3ffee05f,0x2e0006ff,0x9bffffff,0xffffcba9,0xfffff904,
    0xb753357f,0x3600ffff,0x004fffff,0xc8013fee,0x9aefffff,0x7fffdba9,
    0xdfffff90,0xffffd955,0xcccd9817,0xcccccccc,0x0005cccc,0xfffffff1,
    0xffffffff,0x007fffff,0xfffffdb9,0xc8079dff,0x4effffff,0xfffffea8,
    0xd912ffff,0xdfffffff,0xfd91005b,0xffffffff,0xffffffff,0x7fff64c5,
    0xffffffff,0x06ffffff,0x3ffffb6a,0x301cefff,0x0bffffff,0xffffdb91,
    0xffffffff,0x6c4dffff,0xfffffffe,0x0bcdefff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00132200,0x00016540,0x00003004,0x10000400,0x00800000,
    0x00000000,0x51800000,0x59999999,0xa9e66644,0x8ccccccc,0xccccccc9,
    0x03999912,0x00020000,0x00007f98,0x2a0007f9,0x364effed,0x3ffb6e05,
    0xd95000bd,0xb5007dff,0x30019dff,0x447bffd7,0x801dfffd,0x02ceffdb,
    0x25999997,0x002dffd9,0x17eb8800,0x07fffff9,0x3621bfd1,0x2a0effff,
    0x443fffff,0x3332e2fe,0x3bf6a2cc,0x16ffecc0,0x003fcc00,0x8003fc80,
    0xfea8cffb,0x7dd306de,0x01ffff53,0xff9affb8,0x2bff206f,0xf501efd8,
    0xdffd737f,0xff915ff5,0x467fec07,0xfd886ffa,0xfffacfff,0x00001fff,
    0xe8ffff93,0xf901ffff,0x7ffff881,0x82ffffc8,0xffffb84d,0x47ffff74,
    0x1ffffef9,0x003fcc00,0x4003fc80,0x7fdc7ffc,0x44ffa81f,0x900efffa,
    0x7ffe47ff,0x223ffd84,0x3ffa86ff,0x27ffffc4,0x3fa0bffa,0x42ffe46f,
    0xaefffffa,0x006fffe9,0x77fff540,0x7fffdc0b,0x3ee09d04,0x7fcc2fff,
    0x881f85ff,0xffacffff,0x44ba4fff,0x4c004ffe,0xf900007f,0x7ffcc007,
    0x42fffcc5,0x3e60fffd,0xffa82fff,0x1bffea0f,0xfe81fff5,0x43fff43f,
    0x5c0ffffe,0x7ffd46ff,0x227ffcc4,0x20fffff8,0x001ffffa,0x6ffffe44,
    0x37fffc01,0xff8807c4,0x7ffe45ff,0xf81a60ff,0xe9afdfff,0x3ff201ff,
    0x03fcc001,0x003fc800,0xf313fff6,0xfff85fff,0x3fffe62f,0xf87ffe82,
    0x37ff45ff,0x3fe37fec,0x7ffec2ff,0x21fffa87,0x7c42fffe,0x3fe20fff,
    0x7ffd44ff,0xffb5002f,0x2e0017ff,0x2642ffff,0x83ffff60,0x22ffffce,
    0x3fffe03c,0xf1004c4f,0xff30005f,0x0ff20000,0x1ffffc40,0x89ffffd1,
    0x3e60fffc,0x7fcc3fff,0x20dda86f,0xfd85fff9,0x3fff20ff,0x437ffec0,
    0xff53fffa,0xffff03ff,0x27fffc45,0x80bfffea,0x2dfffeb8,0xffff8800,
    0x3ea00fc6,0x3ed33fff,0x803e5fff,0x000fffff,0x007bfff2,0x0000ff30,
    0x7cc00ff2,0x3b3a3fff,0x0b986fff,0x0fffff66,0x400ffff5,0xcccefffa,
    0x541fffec,0x7fffdc0b,0xffcaaaae,0x3ffff74f,0x449ffff0,0x7cc4ffff,
    0xfc982fff,0x0001cfff,0xa8ffffec,0xdffff006,0x7fffe4f2,0x7ffc06a8,
    0x7ecc007f,0x555446ff,0xaffcaaaa,0x32aaaaaa,0xd5555555,0x555555bf,
    0x3fffee35,0x3fffabb3,0x7e7ecc07,0x7fe43fff,0xff7000ff,0x999999ff,
    0xdfb80399,0xcccefffe,0xf93ccccc,0xfff01fff,0x7fffc4bf,0x17fffcc4,
    0x02ffffe6,0x7ffcc000,0x32005b4f,0x30f9ffff,0x07b7ffff,0x006ffff8,
    0x543fff50,0xffffffff,0xffffffff,0xfffffb7f,0xffffffff,0x3ee9ffff,
    0x3a6bafff,0xfb107fff,0x7ffff35f,0x01ffffc8,0x00ffff90,0xfc9ffdc0,
    0x3f6006ff,0xfff80fff,0x3fffe26f,0x17fffcc4,0x33ffff62,0xffd00000,
    0x4c00f3ff,0x745effff,0x400fefff,0x0005ffff,0xee983ff6,0xffeeeeee,
    0x5eeeeeee,0xddddddd9,0xddddddff,0x3ffea7dd,0x3ffa0edf,0x1fffa85f,
    0xb87ffff3,0x7002ffff,0x8001ffff,0x3f21ffd8,0xf9000fff,0xfff01fff,
    0x7fffc4bf,0x17fffcc4,0xdffffc88,0x7fd40002,0x74003fff,0x7dc2ffff,
    0xff805fff,0x0a8804ff,0x26002fdc,0xf900007f,0x3ffe6007,0x7fff41ff,
    0x31fffd43,0xfa87ffff,0xf5005fff,0x44005fff,0x7fdc4fff,0xff5002ff,
    0xffff03ff,0x27fffc49,0x00bfffe6,0x2fbfffaa,0xffff0000,0xffb8001f,
    0x7ffc40ff,0xffff802f,0x8bffc804,0x4c000ed8,0xf900007f,0x7fffc007,
    0x22ffff83,0x261ffff8,0x7c43ffff,0x9803ffff,0x2606ffff,0x307fff20,
    0x280dffff,0x883ffff1,0x3e22ffff,0x7fcc4fff,0x326002ff,0x001dffff,
    0x002fffdc,0xe827ffc4,0xff800fff,0xfd9804ff,0x30003eff,0x320000ff,
    0x3fee003f,0x7fffc43f,0x8ffffe60,0xd83ffffb,0xc80fffff,0x0fffffa1,
    0xffff89a6,0x3ffffe82,0x7ffe45b0,0x237ffcc2,0x544ffff8,0x8002ffff,
    0xbefffeb8,0x1fff8800,0x05ffb000,0x7c017fee,0x04004fff,0x03fcc000,
    0x003fc800,0xf317ffe2,0xfff983ff,0xfffeedff,0x3fe218cf,0xea9cefff,
    0x7ffffd43,0x2a2eb89c,0xa9aeffff,0xcffffffd,0x7c44da89,0x7ffdc4ff,
    0x2ffffc42,0x00ffffea,0xffff9300,0x00df9009,0xf103fd40,0x3ffe005f,
    0x0000005f,0x00007f98,0x6ec007f9,0x3ffa2ffe,0xfffffd02,0x3bffffa9,
    0x7ffffd40,0xff704fff,0x07ffffff,0xffffffff,0x3fffff27,0xff305fff,
    0x417ffc1f,0x646ffffa,0x0005ffff,0x00ffd710,0x440005f3,0x803ec04f,
    0x006ffff9,0x7f980000,0x55555300,0x555bfd55,0x97235555,0x2dffeffc,
    0x877ff660,0x300dffe9,0x07dffffd,0xdffffea8,0xffffd502,0xfffeb819,
    0x7ec403ef,0xc81effef,0xb6ffffff,0x0dffffff,0x00598000,0x01500005,
    0xffb80188,0x003effff,0x1fe60000,0x7ffffec0,0xffffffff,0x1014ffff,
    0x00800353,0x15510004,0x002a8800,0x2a2002a6,0x9a980009,0x00000000,
    0x00000000,0x00000000,0x80000000,0xdd9005e9,0xdddddddd,0x7ddddddd,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x33320000,0x33321ccc,0x00220ccc,
    0x00011000,0xccccc983,0x2ccccccc,0x99999991,0x99999539,0x1b80ea00,
    0x00ae0191,0x80072600,0x800a0018,0x00440000,0x00800100,0x666665c0,
    0x87dfdb12,0x80cefec8,0x23ffffd8,0x21ffffe9,0x80002df9,0x666545e8,
    0xff717e42,0xfff75579,0x7ff4c3ff,0x3fee0fff,0x03f9800b,0xf506e8f9,
    0x7fc40005,0x03fd1007,0xf9009f90,0x3fe2000d,0x3fb22000,0x3f6a02df,
    0xfc8801cf,0xfff9cfff,0xffd14fff,0x3ee0dfff,0x7fe43fff,0x3ffe61ff,
    0xf30000bf,0xffffd5bf,0x45ff97ff,0xfffd81fb,0xffff884f,0x4007ee1f,
    0x87f706f9,0x05fd05fa,0x01ffe200,0x3201ffd8,0x7fc403ff,0xffc8001f,
    0xfffd1004,0xff309fff,0x3001ffff,0x15fdffff,0x9f9ffff9,0x07ffff51,
    0xb87ffff3,0x64c1ffff,0x001dffff,0xceffff98,0x2ffffecb,0x7ffd425c,
    0xfff500ff,0x880174bf,0x07fb82ff,0x3ff309fd,0x00726000,0xf903ffb0,
    0x3ffa007f,0x7ffcc000,0x7ff4401f,0x43ffd98b,0x4fffa8ae,0xfffff880,
    0x1fffffc1,0x261bfffa,0x7d43ffff,0x3aa01fff,0x000befff,0x7dc0ffee,
    0xfe81a85f,0x7f403fff,0x004cafff,0xff50dfd1,0x213fea07,0x00001ffd,
    0x90ffec00,0x82a207ff,0x200545fc,0x405ffdfd,0x7fb80ffb,0x09ff9062,
    0x213fffe0,0xfd86fffe,0xfff987ff,0x7fffd43f,0xfffc9801,0x3ff801cf,
    0x4007fd40,0x806ffffb,0x0feffff9,0x42ffe880,0x7f406ffa,0x07ffcc3f,
    0xb1000000,0x07ff93ff,0x2f8a7ff4,0x7d40fff5,0x202ffa9f,0x3ff104fd,
    0x800ffe40,0xfe84ffff,0xfffd86ff,0x3ffff987,0x00ffffd4,0xdfffd710,
    0x00df7017,0xff1013f6,0x36003fff,0xd004ffff,0xfff98dff,0x17ffd403,
    0xa983bff6,0xaaaaaaaa,0xaaaaaaaa,0xffffd101,0xdfffe807,0xffffb8e8,
    0x7f49fd00,0xd807fe06,0x017fa03f,0xe84ffff8,0xffd86fff,0xffff987f,
    0x0ffffd43,0xfffda800,0x00ff21cf,0x3f602fdc,0x26004fff,0xd807ffff,
    0x3fe61fff,0xfffd006f,0x877ffcc3,0xfffffffd,0xffffffff,0x3fe204ff,
    0xefd9804f,0xdfeeefee,0x4c1ff702,0x07fd03ff,0xef9817fc,0x3fffe000,
    0x86fffe84,0xf987fffd,0x7fd43fff,0x440001ff,0x3f67fffd,0x40df3002,
    0x00fffffa,0x1ffffe40,0x43ffff10,0x9005fffa,0xfff89fff,0xddddd91f,
    0xdddddddd,0x6407dddd,0x8001ffff,0xff1004db,0x901ff907,0x07fea0ff,
    0xf0003ba2,0xffd09fff,0xffffb0df,0x87ffff30,0x001ffffa,0x3ffff6a0,
    0x5400ff63,0x3fffa06f,0xff98003f,0x3e600fff,0x7ffdc5ff,0x2fffc401,
    0x000bffee,0xbffc8000,0xb1001ffd,0xf900376f,0x213fe20d,0xf712dff8,
    0xa83b60bf,0x4ffff801,0xd86fffe8,0xff987fff,0x7ffd43ff,0x7dc4001f,
    0xfc82dfff,0x209f9004,0x106ffffb,0xffffed80,0x0fffcc04,0xf9017ff2,
    0x3fff88bf,0x32000000,0x07ff63ff,0x3ee9ff50,0x05ff303f,0x7d407fdc,
    0x0efffeff,0xfdcccfc8,0x4ffff801,0xd86fffe8,0xff987fff,0x7ffd43ff,
    0xffb3001f,0x7cc039ff,0x17fc401f,0x0fffffc4,0xf1d50154,0xa801ffff,
    0x1ffd85ff,0xf70dff10,0x1730007f,0x83ffc800,0x3fe01ffd,0x01fff32f,
    0xbfd00dfb,0x3ffffa60,0xfffff904,0x3ffe00ff,0x6fffe84f,0x887fffd8,
    0x7ec3ffff,0x75401fff,0x000befff,0x3a201dfb,0xffffb06f,0x7c407a09,
    0x09ffff71,0xfb03ff50,0x103bf20d,0xf10009ff,0x7fe400df,0x407ff603,
    0x07ff47ff,0x2a007ba6,0x26a200ee,0xddddd500,0x3fe009dd,0xfffe84ff,
    0x07fffd86,0x7e4bffff,0xc882ffff,0x001dffff,0x89bfffd8,0x40efffb9,
    0x80fffffa,0xf89d01fc,0xb801ffff,0x42fe885f,0x4fc80ef8,0x0fff1000,
    0x100ffe20,0x07260dfd,0x00000593,0x00000000,0xf0bffff1,0xffd0ffff,
    0x3ffea0ff,0xfffbefff,0x3fff624f,0xfb0000be,0xffffffdf,0x741dffdf,
    0x998bffff,0x6c40ffeb,0x7fffec2f,0x81fc800e,0x407e46e8,0x540005f8,
    0x00e6002d,0x00000644,0x00000000,0xfff30000,0xffff88ff,0x3fffe20f,
    0xffff901f,0x3ffffeab,0x005bff35,0xb51ff980,0x3e65bfff,0xfffff72f,
    0xffffffff,0x67ffff44,0xffffffd8,0x104c802f,0x5c07623b,0x00000005,
    0x00000000,0x00000000,0xfffc8000,0xffa9ffff,0xf9afffff,0x03ffffff,
    0xc98002aa,0x06a00000,0x00005300,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x26660000,0x99999999,
    0x01999999,0x2eee2011,0x2e00001b,0x36e02bbb,0x59800ade,0x19b30fae,
    0x66666644,0xddd32ccc,0xdddddddd,0x25dddddd,0xccccccc9,0xcccccccc,
    0x000002cc,0x02008000,0x04002010,0x99880200,0x99999999,0x19999999,
    0x3fffffe6,0xffffffff,0x05b07fff,0xd517ffee,0xcfea819f,0x43fffd40,
    0xffffffe8,0x7cd3201d,0x97ffe3ff,0xfffffff8,0xffff34ff,0xffffffff,
    0x267fffff,0xffffffff,0xffffffff,0x8000003f,0xd7103efb,0x81bfd30f,
    0x3f61efe9,0xfebb982f,0x3b3f200d,0x7fffd41e,0xffffffff,0x267fffff,
    0xffffffff,0xffffffff,0x81dfb87f,0x7fc0effe,0x7fffc4ff,0x41fffb84,
    0xfffdcefc,0x3ea0beff,0x26bfff72,0x3fe27fff,0x4fffffff,0x55555551,
    0x55555555,0x2eee2355,0xbbbbbbbb,0x01bbbbbb,0x7fd40000,0x3ff264ff,
    0x4fffd87f,0xfaafffec,0xf1fd47ff,0x44ffa0df,0x3ffea1ff,0xffffffff,
    0x07ffffff,0x21fe2000,0x7fc46ffe,0x7fffd40e,0x1ffffea7,0x13e27fdc,
    0x3fffff6a,0x3fe26ffe,0x893ffa1f,0xeeeeeeee,0x0000003e,0x00000000,
    0x3ffffec0,0xf0fff711,0xfff8dfff,0x3ffff96f,0x0ffd37f4,0x37f43ff7,
    0x00000000,0x7f41fe20,0x44077dc7,0x3e25ffff,0x3ee05fff,0xb8803e27,
    0x40effffe,0x001a80a8,0x00000000,0x00000000,0x3fffff90,0xfe87ffa8,
    0x7ffec5ff,0x41ffff75,0x1fff12da,0x3f60ffe8,0x0000001f,0x21fe2000,
    0x07745ff8,0xc83fff90,0x7e401eff,0x54c00511,0x0000001b,0x00000000,
    0x00000000,0x17fffec4,0x3f61ffea,0x7ffe43ff,0x20dfff33,0x40ffedc9,
    0x3ff60fff,0x00000002,0xc99fe200,0x00540efe,0x00310144,0x00000054,
    0x00000000,0x00000000,0x21000000,0x3ffd41fc,0x2a0fffdc,0x3ffe1fff,
    0xffd3fc84,0x360fff81,0x999932ff,0x99999999,0x00999999,0x533fc400,
    0x00000013,0x00000000,0x00000000,0x00000000,0x20000000,0x87ffa87f,
    0xff887ff8,0x3217fec7,0xb03ffa6f,0x8ffec1ff,0xfffffffa,0xffffffff,
    0x200007ff,0x000004c8,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3ea0be60,0x20bfd07f,0x07fdc5fe,0xff53fff1,0x21ff983f,0x333265fe,
    0xcccccccc,0x04cccccc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x5417a200,0x07f907ff,0x0df30fee,0xffb7fffd,0xa8dfb83b,
    0x000000ef,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x813ea000,0x3f507ffa,0x13e07e60,0x5dc42ee2,0x059b9300,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0x7fdc01c9,
    0x0780f107,0x0000005b,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x776dcc00,0x000002ce,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__times_bold_38_latin1_x[224]={ 0,2,2,0,1,2,1,2,1,0,1,0,1,0,
1,0,1,2,0,0,0,1,1,1,1,1,2,2,0,0,0,2,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,0,1,0,1,0,1,1,0,0,0,0,0,0,3,0,1,2,-1,0,1,0,1,1,1,1,1,1,0,
-1,1,0,1,1,1,0,1,1,1,0,1,0,0,0,0,0,2,2,1,0,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,2,2,0,0,0,
2,1,0,0,0,0,0,0,0,-1,0,0,0,0,3,1,0,1,2,1,0,0,1,1,0,1,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,2,1,0,0,0,0,0,0,0,1,1,
1,1,1,1,1,1,1,1,1,1,-1,0,-1,-1,1,1,1,1,1,1,1,0,1,1,1,1,1,0,0,0,
 };
static signed short stb__times_bold_38_latin1_y[224]={ 30,6,6,6,6,6,6,6,6,6,6,9,24,20,
24,6,6,6,6,6,6,7,6,7,6,6,13,13,10,14,10,6,6,6,7,6,7,7,7,6,7,7,7,7,
7,7,7,6,7,6,7,6,7,7,7,7,7,7,7,7,6,7,6,35,6,13,7,13,7,13,6,13,7,6,
6,7,7,13,13,13,13,13,13,13,8,14,14,14,14,14,14,6,6,6,18,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,30,13,7,6,10,7,
6,6,7,6,6,14,14,20,6,3,6,9,6,6,6,14,7,15,29,6,6,14,6,6,6,13,-1,-1,-1,0,
0,1,7,6,-1,-1,-1,0,-1,-1,-1,0,7,0,-1,-1,-1,0,0,11,6,-1,-1,-1,0,-1,7,6,6,6,
6,7,7,5,13,13,6,6,6,7,6,6,6,7,6,7,6,6,6,7,7,11,13,6,6,6,7,6,6,7,
 };
static unsigned short stb__times_bold_38_latin1_w[224]={ 0,7,14,17,16,30,27,6,11,11,15,19,7,11,
7,10,15,13,16,16,16,15,16,16,15,15,7,7,19,20,19,14,31,25,22,22,24,22,20,26,27,13,17,28,
22,32,24,25,20,25,26,17,21,25,25,35,25,25,23,8,10,7,16,19,8,16,18,14,18,14,13,16,18,10,
10,19,10,27,18,15,18,18,14,12,12,17,17,25,17,17,15,11,3,10,19,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,0,7,14,17,17,18,
3,15,12,25,11,17,20,11,25,19,13,19,10,10,8,19,19,7,7,8,11,17,25,24,26,15,25,25,25,25,
25,25,34,22,22,22,22,22,13,13,13,13,24,24,25,25,25,25,25,16,25,25,25,25,25,25,20,18,16,16,
16,16,16,16,23,14,14,14,14,14,11,10,12,12,15,18,15,15,15,15,15,19,16,17,17,17,17,17,18,17,
 };
static unsigned short stb__times_bold_38_latin1_h[224]={ 0,25,12,25,27,25,25,12,31,31,14,19,13,4,
7,25,25,24,24,25,24,24,25,24,25,25,18,24,17,9,17,25,32,24,23,25,23,23,23,25,23,23,24,23,
23,23,24,25,23,31,23,25,23,24,24,24,23,23,23,30,25,30,13,3,7,18,24,18,24,18,24,25,23,24,
32,23,23,17,17,18,25,25,17,18,23,17,17,17,16,24,16,31,32,31,6,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,0,25,30,25,17,23,
32,32,5,25,11,16,9,4,25,3,13,19,13,14,7,24,31,7,8,13,11,16,25,25,25,25,31,31,31,30,
30,29,23,31,31,31,31,30,31,31,31,30,23,31,32,32,32,31,31,15,26,32,32,32,31,31,23,25,25,25,
25,24,24,26,18,24,25,25,25,24,24,24,24,23,25,23,25,25,25,24,24,15,18,25,25,25,24,32,32,31,
 };
static unsigned short stb__times_bold_38_latin1_s[224]={ 253,159,18,194,102,1,95,33,27,62,192,
1,1,181,131,163,174,33,16,145,216,200,72,173,38,216,247,131,164,64,47,
126,57,47,201,140,169,98,77,199,99,191,68,205,121,47,25,226,148,88,1,
89,144,105,216,105,51,25,1,67,162,246,208,193,139,58,86,75,141,90,202,
123,194,242,42,171,160,1,145,129,19,107,228,243,234,29,184,202,101,139,85,
114,53,126,148,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,
224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,253,246,239,
54,67,80,1,115,168,190,40,119,85,181,173,213,225,21,239,243,114,233,27,
123,106,9,52,137,69,44,17,1,190,47,1,41,1,76,166,39,137,160,183,
216,232,74,99,27,213,113,157,183,209,73,206,175,119,1,131,89,138,164,127,
32,212,229,112,88,183,145,105,1,51,66,81,73,190,14,1,238,96,28,129,
178,162,167,157,155,41,141,232,1,50,24,5,235, };
static unsigned short stb__times_bold_38_latin1_t[224]={ 1,182,344,98,98,130,156,344,34,34,326,
306,344,343,343,156,156,208,208,130,182,182,182,208,182,156,233,208,306,344,326,
182,1,208,282,156,258,282,282,130,258,233,233,233,282,258,233,130,258,34,258,
182,282,208,208,233,282,282,282,98,130,34,326,343,343,306,233,306,233,306,208,
156,258,208,1,233,233,326,306,306,182,182,306,282,233,326,306,306,326,208,326,
34,1,34,343,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,1,98,66,
182,326,258,1,1,343,156,344,326,343,343,130,343,326,306,326,306,343,182,66,
343,343,344,344,326,156,156,156,156,66,66,67,98,99,98,282,34,34,34,34,
66,34,34,66,98,258,66,1,1,1,66,34,326,98,34,1,1,66,66,258,
130,98,98,130,208,182,98,306,208,130,130,130,208,208,233,233,258,130,258,130,
98,98,182,208,326,306,182,156,182,233,1,1,1, };
static unsigned short stb__times_bold_38_latin1_a[224]={ 137,183,305,275,275,549,457,153,
183,183,275,313,137,183,137,153,275,275,275,275,275,275,275,275,
275,275,183,183,313,313,313,275,511,396,366,396,396,366,335,427,
427,214,275,427,366,518,396,427,335,427,396,305,366,396,396,549,
396,396,366,183,153,183,319,275,183,275,305,244,305,244,183,275,
305,153,183,305,153,457,305,275,305,305,244,214,183,305,275,396,
275,275,244,216,121,216,286,427,427,427,427,427,427,427,427,427,
427,427,427,427,427,427,427,427,427,427,427,427,427,427,427,427,
427,427,427,427,427,427,427,427,137,183,275,275,275,275,121,275,
183,410,165,275,313,183,410,275,220,301,165,165,183,316,296,137,
183,165,181,275,412,412,412,275,396,396,396,396,396,396,549,396,
366,366,366,366,214,214,214,214,396,396,427,427,427,427,427,313,
427,396,396,396,396,396,335,305,275,275,275,275,275,275,396,244,
244,244,244,244,153,153,153,153,275,305,275,275,275,275,275,301,
275,305,305,305,305,275,305,275, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_38_latin1_BITMAP_HEIGHT or STB_FONT_times_bold_38_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_38_latin1(stb_fontchar font[STB_FONT_times_bold_38_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_38_latin1_BITMAP_HEIGHT][STB_FONT_times_bold_38_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_38_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_38_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_38_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_38_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_38_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_38_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_38_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_38_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_38_latin1_s[i] + stb__times_bold_38_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_38_latin1_t[i] + stb__times_bold_38_latin1_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_38_latin1_x[i];
            font[i].y0 = stb__times_bold_38_latin1_y[i];
            font[i].x1 = stb__times_bold_38_latin1_x[i] + stb__times_bold_38_latin1_w[i];
            font[i].y1 = stb__times_bold_38_latin1_y[i] + stb__times_bold_38_latin1_h[i];
            font[i].advance_int = (stb__times_bold_38_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_38_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_38_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_38_latin1_s[i] + stb__times_bold_38_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_38_latin1_t[i] + stb__times_bold_38_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_38_latin1_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_38_latin1_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_38_latin1_x[i] + stb__times_bold_38_latin1_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_38_latin1_y[i] + stb__times_bold_38_latin1_h[i] + 0.5f;
            font[i].advance = stb__times_bold_38_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_38_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_38_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_38_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_38_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_38_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_38_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_38_latin1_LINE_SPACING
#endif

