// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_40_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_40_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_40_latin1_BITMAP_WIDTH         256
#define STB_FONT_times_bold_40_latin1_BITMAP_HEIGHT        394
#define STB_FONT_times_bold_40_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_bold_40_latin1_FIRST_CHAR            32
#define STB_FONT_times_bold_40_latin1_NUM_CHARS            224

#define STB_FONT_times_bold_40_latin1_LINE_SPACING          26

static unsigned int stb__times_bold_40_latin1_pixels[]={
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0x440deeed,0x01aaaaaa,0x40020000,0x445511a9,0x3e20002a,0x0000efff,
    0x2ffffc80,0xfff50000,0x8000009f,0x003ffff8,0x7fffec00,0xd8000001,
    0x40006fff,0x77e44fe9,0xfff30001,0x3ffae03f,0x800004ff,0x7f5402ea,
    0x261ff32e,0xf50000ff,0x00001dff,0x00bfffa0,0xdfff5000,0xfd800000,
    0x00007fff,0x004fffd8,0x7ffcc000,0x3a0003ff,0xfff31fff,0x3ff2000d,
    0x7ffe402f,0x2200004f,0x7fe402fd,0xf987fcc2,0xffb0000f,0x2000001d,
    0x0003fff9,0x03fff700,0x3fe60000,0x0003ffff,0x006ffd80,0x7fff4000,
    0x3e0007ff,0xfff52fff,0x3ffe000f,0xffffa802,0xff100004,0x85ffb803,
    0x1ff30ff9,0x1dff1000,0x7e400000,0x4000003f,0x00004ffb,0xff59ffd0,
    0xd000001f,0x000003ff,0x3f67bfea,0xff90003f,0x004fff8f,0x5002ff98,
    0x0009ffff,0x8807fd10,0xff982fff,0x0001ff30,0x00001ff5,0x0003fe80,
    0x00df7000,0x45ff7000,0x00003ff9,0x0004fe88,0x641bfd00,0x530000ff,
    0x640006a0,0x3fea003f,0xe80004ff,0x7fd400ff,0x30ff982f,0xfb0001ff,
    0x98000001,0x0000004f,0x00000fe4,0xfd103df1,0xd1000001,0xf700000d,
    0x000fee09,0x55000000,0xffffa800,0x7fec0004,0x3fffb804,0xff30ff98,
    0x00000001,0x00000000,0x20000000,0x072200c9,0x00000000,0x4a805900,
    0x00000000,0xfffa8000,0x3e20004f,0xffa800ff,0x30ff984f,0x260001ff,
    0x00000001,0x00000000,0x00cc0000,0x01980000,0x00000000,0xaaaaaa98,
    0x5555542a,0x55555531,0xaaaaa855,0xa7fffd41,0x400bedb8,0xf1006ffc,
    0x1ff30dff,0x22003fe6,0xeffffedc,0xfe8801cd,0xffffffff,0x7ffe40ee,
    0xfd12efff,0xffffffff,0xfffc81dd,0x8802efff,0xeffffedc,0x440001cd,
    0xeffffedc,0xfe8801cd,0xffffffff,0x7ffe40ee,0xfd32efff,0x985dffff,
    0xfd31dffc,0x985dffff,0x7d41dffc,0xfff9cfff,0xff105fff,0x7ffc00bf,
    0xf30ff987,0xfffb801f,0xfff930ad,0x3ff20019,0x9801ffff,0x3f200eff,
    0x801fffff,0x7000eff9,0x2615bfff,0x000cfffc,0x0adfffb8,0x019fff93,
    0x3fffff20,0xeff9801f,0xfffff880,0xf103fe04,0x7c09ffff,0xffffa80f,
    0xfffd9cfe,0x4fffc82f,0x21fffa00,0x1ff30ff9,0x13fffa60,0x02ffff88,
    0x6fffff88,0x100bf200,0x00dfffff,0x74c017e4,0x3e204fff,0xd3002fff,
    0x7c409fff,0xf8802fff,0x2006ffff,0x3fee02fc,0x40fe06ff,0x206ffffb,
    0xffff503f,0xffffc87f,0x017fff40,0xf30dffb0,0x203fe61f,0x805ffff9,
    0x403ffff9,0x05fffff8,0xf1007ee0,0x400bffff,0x7fcc01fb,0xff9805ff,
    0x7fcc03ff,0xff9805ff,0x7fc403ff,0x2e005fff,0x7fffc01f,0x200f981f,
    0x981fffff,0xffff500f,0xbffff30b,0x002ffff8,0x3e613ff6,0xd01ff30f,
    0x2001ffff,0x401ffffd,0x005fffff,0x3fe003ea,0x2a005fff,0x7fff400f,
    0xfffb000f,0x7fff403f,0xfffb000f,0xffff803f,0x03ea005f,0x09ffff70,
    0xfffb8099,0x2a04c84f,0xff04ffff,0x7ffc4fff,0xdff1002f,0x221ff301,
    0xffffc82a,0x3ffea005,0x7fffc06f,0x03ea005f,0x17ffffe0,0x3200fa80,
    0x2005ffff,0x906ffffa,0x400bffff,0x406ffffa,0x005fffff,0xff1003ea,
    0x01f81fff,0x07ffffc4,0xfffa807e,0xffffd04f,0x07fffe61,0x98077e40,
    0x7fcc00ff,0x22003fff,0x203fffff,0x005fffff,0x3fe003ea,0x2a005fff,
    0xffff300f,0x7fc4007f,0x7fcc3fff,0x22003fff,0x203fffff,0x005fffff,
    0x3f2003ea,0x01aa3fff,0x51ffffe4,0xffffa80d,0x3ffffb04,0x007fffee,
    0x4c017fd5,0x7fec00ff,0x7c000fff,0x3e07ffff,0x2005ffff,0xfff800fa,
    0x3ea005ff,0xfffffb00,0xffff8001,0x7fffec7f,0x7ffc000f,0x3ffe07ff,
    0x3ea005ff,0xffff9800,0x7cc00f67,0x00f67fff,0x209ffff5,0xf73ffffd,
    0x7c403fff,0x0ff9800e,0x3fffffc0,0x7fffec00,0xfffff00f,0x007d400b,
    0x02fffffc,0x3fe01f50,0xd8007fff,0x3e0fffff,0x8007ffff,0x00fffffd,
    0x00bfffff,0xfd8007d4,0x00f8afff,0x2bffff60,0x7fd400f8,0xfffb04ff,
    0x3fffea5f,0x0efecc01,0x4401ff30,0x007fffff,0x2fffffd8,0x0bfffff0,
    0x7c007d40,0x2005ffff,0xfff880fa,0xfd8007ff,0xff12ffff,0xb000ffff,
    0x205fffff,0x005fffff,0x7d4003ea,0x005befff,0x5f7fffd4,0xffffa805,
    0x3ffffb04,0x007fffe6,0xf980ffdc,0x3ffe600f,0xfc8006ff,0xff03ffff,
    0x5400bfff,0xffff800f,0x03ea005f,0x1bffffe6,0x3ffff200,0xfffff33f,
    0xfff9000d,0x3ffe07ff,0x3ea005ff,0x3fffa000,0xfe8002ff,0xa802ffff,
    0xfd04ffff,0x7ffc4fff,0x3ffe001f,0x200ff981,0x06fffffb,0xfffffc80,
    0xbfffff05,0x4007d400,0x005fffff,0x3fee03ea,0xc8006fff,0xf75fffff,
    0x000dffff,0x0bfffff9,0x017ffffe,0x2e000fa8,0x0007ffff,0x00fffff7,
    0x413fffea,0x7fc6fffe,0x3f6002ff,0x30ff984f,0x3ffee1ff,0xfc8006ff,
    0xff05ffff,0x5400bfff,0xffff800f,0x03ea005f,0x1bffffee,0x3ffff200,
    0xfffff75f,0xfff9000d,0x3ffe0bff,0x3ea005ff,0x3ffe2000,0xff10004f,
    0x3ea009ff,0xff985fff,0x7fff43ff,0x1fff6003,0x7fcc3fe6,0xdfffff50,
    0xffff9000,0x3fffe09f,0x03ea005f,0x17ffffe0,0xfa80fa80,0x8006ffff,
    0x54fffffc,0x00dfffff,0x9fffff90,0x17ffffe0,0x4000fa80,0x0001fffc,
    0x4007fff2,0x43fffffa,0xfa85fffc,0x3fa004ff,0x87fcc0ff,0xfff30ff9,
    0xfb000fff,0x3e05ffff,0x2005ffff,0xffff007a,0x83d400bf,0x07fffff9,
    0xfffffd80,0xffffff32,0xffffb000,0x3fffe05f,0x01ea005f,0x001bfe20,
    0x400dff10,0xdfdffffa,0x00ffffdb,0x7c00bfff,0x0ff987ff,0x7ffc1ff3,
    0x6c000fff,0xf01fffff,0x400bffff,0xffff007b,0x03dc00bf,0x01ffffff,
    0xfffffd80,0x3fffffe1,0x7ffec000,0xffff01ff,0x03dc00bf,0x0003fd80,
    0x2a003fd8,0xfe8cffff,0x2e01dfff,0xff3007ff,0x21ff30bf,0x3ffa0ff9,
    0x74001fff,0x3e07ffff,0x2005ffff,0xffff007b,0x03dc00bf,0x03fffffd,
    0x7ffffe80,0x0ffffff4,0x3ffffa00,0x3ffffe07,0x001ee005,0x400007d4,
    0x3ea000fa,0x0aa24fff,0x017ffc40,0x4c27ffd4,0x41ff30ff,0x02fffff9,
    0x3ffffe20,0x3ffffe03,0x401b2005,0x005fffff,0xfff981b2,0x3e2002ff,
    0x7cc3ffff,0x2002ffff,0x03fffff8,0x017ffffe,0x970006c8,0x012e0000,
    0x09ffff50,0x06ffb800,0x983fffb8,0x81ff30ff,0x005ffffd,0x01bfffea,
    0x00dffffd,0xffe802f4,0x17a006ff,0x0bffffb0,0x37fffd40,0x05ffffd8,
    0x1bfffea0,0x0dffffd0,0x06202f40,0x0310007a,0xffa8003d,0xc80004ff,
    0x7fd401ff,0x30ff982f,0xfff881ff,0xffb001ff,0xffc805ff,0x7f1007ff,
    0x3ffff200,0x807f1007,0x01fffff8,0x05ffffb0,0x07ffffe2,0x17fffec0,
    0x1fffff20,0xf501fc40,0x200354bf,0x01aa5ffa,0x13fffea0,0x02fec000,
    0x7cc1fffc,0x501ff30f,0x3009ffff,0x3007ffff,0x805fffff,0xf3000fe8,
    0x8805ffff,0xffa800fe,0xff9804ff,0x7fd403ff,0xff9804ff,0xff9803ff,
    0x74402fff,0x9fffa00f,0x7ff4002d,0x2a000b67,0x0004ffff,0xf700bf60,
    0x21ff30df,0xfd300ff9,0x7f4405ff,0x3f2001ff,0x3601ffff,0x7fe4002f,
    0x3f601fff,0x3ffa6002,0x3ffa202f,0xffd3001f,0x7ff4405f,0x3ff2001f,
    0x3f601fff,0x57ffec02,0xffd8005c,0x70005caf,0x000bffff,0x5c04fb80,
    0x3fe60cff,0x4401ff30,0x220bfffd,0x000effeb,0xdfffffc8,0x02ffdb9b,
    0xfffff900,0x5ffb737b,0xfffb1000,0x7ff5c417,0x7ec4000e,0x3ae20bff,
    0xc8000eff,0x9bdfffff,0x9802ffdb,0x000effff,0x0effff98,0xfffd8800,
    0x400000ff,0x7ecc03c8,0x261ff33f,0xeca800ff,0xdeffeeff,0x7f4c0003,
    0xcfffffff,0x7f4c0000,0xcfffffff,0x76540000,0xdeffeeff,0x76540003,
    0xdeffeeff,0x7f4c0003,0xcfffffff,0x2f6e2000,0x36e20000,0xee98000b,
    0x05eeeeee,0x44000000,0x3a21dd11,0xba98000e,0x88000009,0x009abcaa,
    0x65544000,0x000009ab,0x00137530,0x4dd4c000,0xa8800000,0x0009abca,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0a880000,
    0x4c400000,0x00019aaa,0xa9801440,0x0002009a,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfd800000,0x44000fff,0x00004ffd,0x37bfff66,
    0x001cffed,0x80fffe40,0xcffefffa,0x0002ea80,0x3fffea00,0xf8800004,
    0x00005fff,0x017fffcc,0xfff10000,0xf30000bf,0xe8005fff,0x0000ffff,
    0x001fffec,0x000efe98,0x15bfd710,0x03bee620,0x3fffe200,0x222ffd84,
    0xdfa80eff,0xfd800000,0x000004ff,0x000bfff7,0xdffffd00,0x7dc00000,
    0x80000eff,0x006ffffd,0x017fff44,0x037ff400,0x00dff700,0x0019fd30,
    0x4002fc88,0x5c6ffff9,0x5ffd83ff,0x0001ff30,0x027ffc40,0xdffd0000,
    0xff500000,0x0005ffff,0x03bff600,0x3ffea000,0x44003fff,0x80005ffe,
    0x0000ffe8,0x4005fff1,0x40001efb,0x7f4003fa,0x07ffc3ff,0xf903ffec,
    0x2a00001d,0x000005ff,0x0003bfe2,0x2afffe00,0x800006ff,0x0000eff8,
    0xff57ffd0,0xffd1000f,0xfd100001,0x3fe20007,0x1bfb005f,0x07ea0000,
    0x442ec880,0xffd82fff,0x01bfe206,0x002fec00,0x03bee000,0x3fee0000,
    0x000ffe61,0x001df700,0x98bfee00,0xe88003ff,0xd100002f,0x3fe6000d,
    0x05fb806f,0x006c8000,0x0dfff100,0xfd803bb1,0x7c40004f,0xe8000005,
    0x8800000e,0x07e980ef,0x007ec000,0x81ef8800,0x88000fe8,0x0000005f,
    0x09fff500,0x0000ff98,0x0001f880,0x01dfffd0,0x03ffe600,0x00000000,
    0x20000000,0x072200ca,0x00000000,0x32200c98,0x00000001,0xffb80000,
    0x0bfa203f,0x2237b660,0x04b82aaa,0x0d555554,0x0bffffee,0x027ff400,
    0x00000000,0x00000020,0x00000008,0x00000000,0xfe980000,0xffffffff,
    0xffffffff,0x3fff205f,0x2013ee02,0xfbcbcffb,0x407986ff,0x85ffffea,
    0x0dfffffd,0x07ffec00,0xfffffff9,0x7dc09dff,0x004fffff,0x00000b50,
    0x4c0016a0,0xfffffffe,0xffffffff,0x7f4c5fff,0xffffffff,0xffffffff,
    0x7fff4c5f,0xefffffff,0xfffffb80,0xfdcbaaae,0x3fa05fff,0x07fa00ff,
    0x6f47ffb0,0x01f03fff,0x05ffffa8,0x3dfffffd,0x27ffdc00,0x3fffff62,
    0x3fea004f,0x3fa0000d,0xe8000000,0x7dc0000f,0xaaaeffff,0x5ffffdcb,
    0x3ffffee0,0xfdcbaaae,0x3ee05fff,0x802fffff,0x206fffff,0x3205ffd8,
    0x1be607ff,0xfd8fff90,0x03d01fff,0x85ffff88,0xfffffdf9,0xfff5002f,
    0x3ffffa0d,0x3be2004f,0x3fe60000,0x4c000004,0xf80004ff,0x2206ffff,
    0x7fc05ffd,0x36206fff,0x7ffc05ff,0xfff007ff,0xbf700dff,0x903ffd40,
    0x7ffd407f,0x03fffec2,0xfff8805b,0xfa9fcc5f,0x802fffff,0xf307fff9,
    0x001fffff,0xb00007ee,0x00001fff,0x007ffec0,0x3ffffe00,0x405fb806,
    0x806fffff,0x7ffc05fb,0xffd006ff,0x17600dff,0x3a05ffb0,0xdfff100f,
    0x409ffff0,0x7ffc401e,0xd11fe65f,0x801fffff,0xb00ffff9,0x009fffff,
    0xf100013e,0x00007fff,0x0ffffe20,0xffffd000,0xd017600d,0x200dffff,
    0x7fff405d,0xfffd006f,0x0b5060df,0xdf01bfb0,0x21fffe40,0x202ffff8,
    0x7ffc400f,0x6417f65f,0x4c05ffff,0xf102ffff,0x801fffff,0x640000fb,
    0x0006ffff,0xdffff900,0xfffe8000,0x05a8306f,0x837ffff4,0x3fa02d41,
    0xfd006fff,0x8930dfff,0x9fd50058,0x7c417e21,0x7fd40fff,0x00f300ff,
    0x7cbffff1,0x3ffee07f,0x3ffe200f,0x3fff203f,0x0fe205ff,0xffff1000,
    0x800005ff,0x2ffffff8,0x3fffa000,0x2c44986f,0x1bffffa0,0xe80b1126,
    0xd006ffff,0x970dffff,0x2fc80010,0x3fee09f3,0x5fffe86f,0x3e2016e0,
    0xfff35fff,0x17ffe405,0x09ffff10,0x7fffffc4,0x0000db01,0xdffffff7,
    0xffb80000,0x0006ffff,0x21bffffa,0x7f40084b,0x84b86fff,0x7ffff400,
    0xffffd006,0x20009b0d,0x3ea2efc8,0x87fffd03,0x203ffff9,0xfff8802d,
    0x3ffff35f,0x100fff40,0xb807ffff,0x985fffff,0xbf80001f,0x01fffffd,
    0x3f6fe000,0x0001ffff,0xb0dffffd,0xfffd0009,0x0009b0df,0x00dffffd,
    0x31bffffa,0xfd10009f,0x3e09f10b,0x7fec2fff,0x00d101ff,0xf97fffe2,
    0xf902ffff,0xffff980f,0xffffe802,0x0002742f,0x7ffd47d4,0x500005ff,
    0xfffff51f,0x3ffa000b,0x027cc6ff,0x37ffff40,0x3a0013e6,0xd006ffff,
    0x7d4dffff,0xffe8004f,0xff10bf02,0x7ffd43ff,0x400fa06f,0x2a5ffff8,
    0xd84fffff,0x7ffcc04f,0xfffa800f,0x003ee6ff,0xffe93a00,0x80000fff,
    0x3ffffa4e,0xffe8000f,0x13fea6ff,0x3ffffa00,0x0013fea6,0x01bffffa,
    0x77fffff4,0x4004ffff,0x1ba07ff9,0x4c7fffea,0x905fffce,0x7ffc400d,
    0x7fffe45f,0x00bf30ef,0x400ffff3,0x8afffffe,0xf980003f,0x3ffffee0,
    0x07cc0004,0x09fffff7,0xfffffd00,0x009ffffd,0xdfffffd0,0x0009ffff,
    0x00dffffd,0x33fffffa,0x4004fffe,0x3f207ffc,0x6ffffcc0,0x3fffd9fa,
    0x22000fb8,0xfa85ffff,0x5eafffff,0x0dfff500,0x7ffffcc0,0xb00006de,
    0xfffff88b,0x22ec0007,0x07fffff8,0xfffffe80,0x004fffec,0xcfffffe8,
    0x8004fffe,0x006ffffe,0x44dffffd,0x7ec004ff,0x03f700ff,0x27ffffff,
    0x75c2fffc,0xff1025c1,0x3fe60bff,0x2006ffff,0x4003fffc,0x1ffffffd,
    0x81f88000,0x03fffffc,0xf903f100,0x8007ffff,0x226ffffe,0xfe8004ff,
    0x3fe26fff,0xfffe8004,0xfffd006f,0x004f98df,0x9817ffe4,0xffffd83f,
    0x2bbffe23,0x07440deb,0x0bffff10,0x7fffff44,0x1fffb002,0xffff9800,
    0xd900006f,0x3ffffe60,0x20d90006,0x06fffff9,0x37ffff40,0x3a0013e6,
    0x7cc6ffff,0xfffe8004,0xfffd006f,0x8009b0df,0x3203fffb,0x16fdc40f,
    0x05f7764c,0x7fc403c8,0xffd805ff,0xfe801fff,0xffd0004f,0x10000dff,
    0x3333337f,0x05fffffd,0x999bf880,0xffffe999,0x3ffa002f,0x004d86ff,
    0x86ffffe8,0xffe8004d,0xffd006ff,0x20970dff,0x4fffa818,0x00002f40,
    0x3e201a20,0xf5005fff,0xf980dfff,0xfd0000ff,0x0000dfff,0xfffffff7,
    0xbfffffff,0xffffb800,0xffffffff,0x3fa005ff,0x04b86fff,0x3fffa031,
    0x3104b86f,0x1bffffa0,0x37ffff40,0x982c824c,0x7cc05fff,0xd1000002,
    0xffff1003,0xe8817509,0x7fec07ff,0x3ffa0004,0xf80006ff,0x9999999b,
    0x1fffffe9,0x2666fe00,0xffe99999,0xfd001fff,0x0930dfff,0x7fff40b2,
    0x5904986f,0x1bffffa0,0x37ffff40,0x3e01f100,0x0fc804ff,0x17440000,
    0x89ffff00,0xffa85ffb,0x0bff101f,0xffffe800,0x03dc0006,0x4fffffa8,
    0x2a00f700,0x004fffff,0x00dffffd,0xffe807c4,0x3e2006ff,0xdffffd00,
    0x3ffffa00,0x441f2006,0xdb001fff,0x3a600005,0xff9bea01,0x3fff43ff,
    0x3f207ff8,0xffe80005,0x7c0006ff,0x3fffe004,0x04f800ff,0x3fffffe0,
    0xffffe800,0xe81f2006,0x2006ffff,0x3fffa07c,0xffff006f,0x1bee00df,
    0x2002ffdc,0x10000cfa,0xffe803f9,0xd83fffd1,0x5ff886ff,0x0000df50,
    0x01bffffa,0x2002fb80,0x04fffffc,0xf90017dc,0xf009ffff,0x200dffff,
    0x3ffe06fb,0xdf7006ff,0x37ffffc0,0x7fffff80,0x42ffe440,0x10005ffa,
    0x644005fb,0xffc800cf,0xf307ffd1,0x03ff90df,0x000019f7,0x01fffffe,
    0x0007fc40,0x1ffffff3,0x8003fe20,0x0ffffff9,0x3fffffc0,0x817ff220,
    0x407fffff,0x3e05ffc8,0xa807ffff,0xbdffffff,0xfffdcaaa,0x0bbfa64f,
    0x3bfaa000,0xecba9abd,0x3e2000bf,0x205ffbdf,0xffcbeffa,0x000cb80e,
    0x3fffea00,0x74c002ff,0x3e6004ff,0x40efffff,0x2004ffe9,0xeffffff9,
    0xfffff500,0xb95557bf,0x2a09ffff,0xbdffffff,0xfffdcaaa,0xffff504f,
    0xfd9105ff,0xffffffff,0xffffffff,0x0000c47f,0x9b975100,0x44000357,
    0x8800bddc,0x001bcdcb,0xfeca8000,0xefffffff,0x7ffe402c,0xd900deff,
    0xffffffff,0x3ffff27f,0xfd900def,0xffffffff,0x3fffb227,0xffffffff,
    0x3fffffff,0x3ffffb22,0xffffffff,0x23ffffff,0xfffffec8,0x000cefff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x22000000,0x00c01aa9,0x7073fae0,
    0xbd500009,0x001f6443,0xfdddb950,0x7fffffff,0x03551000,0x19d70000,
    0x0001f644,0xb83bfd70,0xffff9805,0x800cc5ff,0x405ffff9,0x002ffff9,
    0x01ffffb0,0x3f6a0000,0xbcefffff,0x7ec003e0,0xfbceffff,0x7fc40002,
    0x0bffee6f,0xfffff700,0xdfb559ff,0x7f64c001,0x2defffff,0x7ffcc000,
    0x007fff25,0x3ffff200,0x803fbcff,0x440ffff9,0x5c00effe,0xfe805fff,
    0x10006fff,0x0007fffd,0xfffffa80,0xffda99be,0xf9800ffe,0xffffffff,
    0xffa80007,0x9fffd0ff,0x7fffe400,0x3ee1ffff,0x3ffee002,0xfff730ad,
    0x3ee0001b,0x3fffa7ff,0x7fc40003,0xffffffff,0x6fff9800,0x04ffffb8,
    0x54037ff4,0x02ffffff,0x0bffd100,0x7ffe4000,0x3fa600cf,0xbec800ff,
    0x4fffffeb,0xfff88000,0x007ffee5,0x7fffffdc,0x07ee1fff,0x13fffa60,
    0x02ffff98,0x24fff880,0x0001fffc,0x7ff5dfdc,0xf3005fff,0xfffd0bff,
    0x77fc40df,0x5fffc400,0x20006ffa,0x0000ffe8,0x05ffffe8,0x001ffd10,
    0x1dec9879,0x2f220000,0x8800e540,0xffffffff,0x007ee1ff,0x00bffff3,
    0x007ffff5,0x39505930,0x98990000,0x26001deb,0xffe85fff,0x3bee06ff,
    0x21ffc800,0x20002ff9,0x40003fe8,0x00effffc,0x0003fe20,0x00000000,
    0xffff9000,0x43ffffff,0x7ff401fb,0xffb000ff,0x000003ff,0x00000000,
    0x217ffe60,0x205ffffd,0xef8800ee,0x0006e980,0x50002f44,0x001fffff,
    0x00001f70,0x33000000,0x3fff6000,0x1fffffff,0xffc807ee,0x3ee005ff,
    0x00006fff,0x26000000,0xfff30001,0x7ffff70b,0x012a0000,0x00000391,
    0xfffff800,0x21f10005,0xfffffffa,0x7ff5c02f,0x8801ffff,0xeffffedc,
    0xffe801cd,0xffffffff,0x7cc07ee1,0x2003ffff,0x23fffff8,0xffffffe8,
    0x640eefff,0x2effffff,0xffedc880,0x801cdeff,0xf985fff9,0x00001fff,
    0x08000000,0x3ffea000,0x320004ff,0x7ffffd40,0xff9800ff,0xfff7001e,
    0x3ff2615b,0x3ffa00cf,0xffffffff,0x7ec07ee1,0x4000ffff,0x907ffffe,
    0x03ffffff,0x001dff30,0x42b7ffee,0x00cfffc9,0x2217ffe6,0xfd30ffff,
    0xffffffff,0x3ffa61df,0xffffffff,0x0b50000e,0x7ffff400,0xa800002f,
    0x06ffffff,0xd3005f70,0x7c409fff,0xff902fff,0xffffffff,0xff80fdc3,
    0xd8007fff,0x880fffff,0x006fffff,0x3a600bf2,0x3e204fff,0xff302fff,
    0x1bffa0bf,0x7fffffdc,0x7fffdc02,0xe80002ff,0xff88000f,0x0001ffff,
    0xffffff00,0x03f300bf,0x05ffff98,0x83ffff98,0xfffffffa,0x07ee1fff,
    0x1fffffe2,0x3ffff600,0xffff882f,0x07ee005f,0x0bffff30,0x07ffff30,
    0x320bfff3,0x3ffe04ff,0xfff007ff,0x30000fff,0xf30009ff,0x000fffff,
    0x7ffffc00,0x7cc03fff,0x7ffff400,0xffffb000,0xfffff883,0x2e1fffff,
    0xffff981f,0xffc8006f,0xfff03fff,0x7d400bff,0x7ffff400,0xffffb000,
    0x05fff983,0x7fc05ff5,0xff006fff,0x0000dfff,0x8001fffb,0x06fffffa,
    0x3abe0000,0x01ffffff,0xffc803e6,0x3ea005ff,0xffd86fff,0x1fffffff,
    0x3fee07ee,0xc8006fff,0xf05fffff,0x400bffff,0x3ff200fa,0x3ea005ff,
    0x7fcc6fff,0x01ff105f,0x037ffff4,0x06ffffe8,0x7fffc400,0x7ffdc003,
    0x000006ff,0x3fffe6be,0x1f300fff,0x3ffffe60,0x3ffe2003,0xfffd83ff,
    0x2e1fffff,0xffffb81f,0xffb8006f,0xfff05fff,0x7d400bff,0xfffff300,
    0x7ffc4007,0x3ffe63ff,0xfd01fe05,0x3a00dfff,0x0006ffff,0x037fffe4,
    0x3ffffee0,0x3e000007,0xffffff52,0x6c03e60d,0x000fffff,0x83fffffc,
    0xfffffffd,0x3ea07ee1,0x8006ffff,0x04fffffc,0x00bfffff,0xffd807d4,
    0x7c000fff,0x3e67ffff,0x01ba05ff,0x00dffffd,0x01bffffa,0xfffff880,
    0x3fea002f,0x0000ffff,0x7fdc5f00,0xf984ffff,0xffffff00,0xffffb000,
    0x3ff6e01f,0x07ee1fff,0x1fffffe6,0x3ffff600,0xfffff02f,0x807d400b,
    0x007fffff,0x0fffffd8,0x640bfff3,0x7ffff405,0xffffd006,0x7fdc000d,
    0x2006ffff,0x1ffffff8,0x85f00000,0x3ffffffd,0x7fc407cc,0xd8007fff,
    0x402fffff,0x2e1fda98,0xfffff01f,0xffe8001f,0xfff01fff,0x7d400bff,
    0xfffff880,0xfffd8007,0xbfff32ff,0x3fa01dc0,0xfd006fff,0x4000dfff,
    0xfffffdbf,0x3fffa001,0x000002ff,0xfffe885f,0x03e61fff,0x1bffffe6,
    0x3ffff200,0x87ee003f,0xfffd01fb,0xff8003ff,0xff00ffff,0x5400bfff,
    0xffff980f,0xffc8006f,0xfff33fff,0x3a00440b,0xd006ffff,0x000dffff,
    0x3ffea3ea,0x3ea005ff,0x0004ffff,0xff105f00,0x261fffff,0xffffb80f,
    0xffc8006f,0x2e005fff,0x4c07ee1f,0x002fffff,0x0fffffe2,0x05fffff8,
    0x3ee03ea0,0x8006ffff,0x35fffffc,0x8000bfff,0x006ffffe,0x00dffffd,
    0xfffe93a0,0x3fe000ff,0x20007fff,0x7cc0be00,0xf35fffff,0xfffff701,
    0xfff9000d,0x7dc00bff,0xfd807ee1,0x2e005fff,0x7c06ffff,0x2005ffff,
    0xfffb80fa,0xfc8006ff,0xff35ffff,0x200440bf,0x006ffffe,0x00dffffd,
    0x7fdc1f30,0x26004fff,0x003fffff,0x80be0498,0xcffffffb,0xfffa80f9,
    0xfc8006ff,0x2004ffff,0x807ee1fb,0x01fffff9,0x05ffffd0,0x05fffff8,
    0x3ea03ea0,0x8006ffff,0x34fffffc,0x3f20bfff,0x3fffa04f,0xfffd006f,
    0x8bb000df,0x07fffff8,0x7ffffdc0,0x813ea001,0x7ffec02f,0x980fcfff,
    0x007fffff,0x2fffffd8,0xfb87ee00,0x7fffd401,0xffffa804,0xfffff804,
    0x4c1ea005,0x007fffff,0x2fffffd8,0xf50bfff3,0x3fa07fff,0xfd006fff,
    0x8800dfff,0xffffc81f,0x7fdc003f,0xfc801fff,0x74017c03,0x0fffffff,
    0x1ffffff0,0xffffd800,0x87ee001f,0xff9801fb,0x3fa202ff,0xfff003ff,
    0x3dc00bff,0x1ffffff0,0xffffd800,0x0bfff31f,0x20bffffb,0x006ffffe,
    0x00dffffd,0xfff306c8,0xd3000dff,0x335bffff,0x003dfd95,0xfff1005f,
    0x3a01ffff,0x001fffff,0x03fffff4,0x1fb87ee0,0x7fffd100,0x7fffd441,
    0x3fffe002,0x81ee005f,0x01fffffe,0x3fffff40,0xf70bfff3,0x3fa07fff,
    0xfd006fff,0x4400dfff,0x999999bf,0x02fffffe,0xffffb500,0x007dffff,
    0xff98017c,0xf300ffff,0x4005ffff,0x03fffff8,0x3f70fdc0,0xfffc9800,
    0x02dfffee,0x5fffff80,0xf981b200,0x2002ffff,0x23fffff8,0xe885fff9,
    0xffd00eff,0x3fa00dff,0x2e006fff,0xffffffff,0x05ffffff,0x76d4c400,
    0x05f0000a,0x7ffffd40,0x3ffff600,0x3ffea005,0x1fb8006f,0xd80007ee,
    0x003fffff,0x1bffffa0,0x7ec05e80,0x2a005fff,0x7cc6ffff,0x006605ff,
    0x00dffffd,0x01bffffa,0x99999bf8,0xffffe999,0xf880001f,0x0be0002e,
    0x1ffff900,0x7ffffc40,0xffffb001,0x43f70005,0x260001fb,0x006fffff,
    0x1fffff20,0x2201fc40,0x001fffff,0x985ffffb,0x40005fff,0x006ffffe,
    0x00dffffd,0x7fd401ee,0x80004fff,0x8001fffc,0xfd8002f8,0x7fd400ff,
    0xff9804ff,0xf70003ff,0x0000fdc3,0x0ffffff2,0x7fffcc00,0x07f4402f,
    0x27fffd40,0x1ffffcc0,0x002fffcc,0x1bffffa0,0x37ffff40,0x3e004f80,
    0x000fffff,0x003ffc80,0x88004fa8,0xe9800ffe,0x3a202fff,0x20001fff,
    0x007ee1fb,0x3ffff200,0xff90003f,0x7ec03fff,0x3ffa6002,0x3ffa202f,
    0xbfff301f,0xffff8000,0xffff006f,0x05f700df,0x7ffffe40,0xffc80004,
    0x7fec4002,0x0ff98002,0x7fffb100,0x77ff5c41,0x0fdc0000,0x200003f7,
    0xbffffffb,0xfc800889,0xb9bdffff,0x88002ffd,0x220bfffd,0x200effeb,
    0x00affff9,0xffffff00,0x3ffffe00,0x007fc407,0xffffff30,0x3ee60001,
    0x3fa6005f,0x004fffff,0x2a0007d4,0xffeeffec,0x700003de,0x000fdc3f,
    0xffff9100,0x2007ffff,0xffffffe9,0x40000cff,0xfeeffeca,0xc8803def,
    0x003ccccc,0x7fffffd4,0x7fffd402,0xffd302ff,0x7ffcc009,0x4000efff,
    0x0002cde9,0x00380000,0x009ba980,0x21ea8000,0x800000ea,0x009aba98,
    0x57955100,0x20000013,0x00009ba9,0x7f644000,0xefffffff,0xfffd910c,
    0x19dfffff,0x3bfffff2,0xfffd900d,0x07ffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x000e8800,0xec8833ae,0x31000003,0x0ceb8000,0x2000fb22,0x1dc1ceeb,
    0x7ffff640,0x0cea801f,0x8000fb22,0x0000004a,0x0d4c4000,0x006aa000,
    0x00199980,0x20002a80,0x3fe6006a,0x07fff25f,0xffc88000,0xff98003e,
    0x07fff65f,0xfffffc80,0x2002fbbe,0x401ffff8,0x3f25fff9,0x5cc002ff,
    0x0001bcfe,0x004d54c4,0x677e40b6,0xf98003ff,0xff50000f,0x540005ff,
    0x0fa0006f,0x27fffb80,0x0003fffe,0x3ee27b60,0x7ffdc001,0x00ffffe7,
    0x7fffffcc,0xd8007fff,0x7dc01fff,0x3fffa7ff,0xbbff5004,0x017fffbf,
    0x3ffff220,0x641dffff,0x92ffd81f,0xfe800bff,0x3ffa0003,0x360006ff,
    0x1f10003f,0x27ffc400,0x0003fff9,0x09b07e20,0x24fff880,0x7000fffc,
    0xfffff77d,0xff90009f,0xfff8803f,0x007ffee4,0x8be47ff6,0x6c407ffd,
    0xb511cfff,0x3f73bfff,0x261fff70,0xf9002fff,0x7fdc000b,0x0002ffff,
    0x320003ff,0x82c98005,0x200001ca,0x8006b87a,0x01ca82c9,0xbd950f20,
    0x3ff20003,0x82c9801f,0xffc801ca,0x0ffb1f24,0x01ffff4c,0x05fffff3,
    0x7c4ffff1,0xff9807ff,0xfff10000,0x000dff55,0x7c000df5,0x00000002,
    0x3e85f000,0x00000000,0x7e400000,0x000001ff,0x643fff10,0xff307e87,
    0xff5009ff,0xfff305ff,0x07fffc4f,0x8000ffa0,0x3fe61efc,0x027e4003,
    0x00006a80,0x90000002,0x001fd79f,0x40000000,0xffc80000,0x0000001f,
    0x3e47fff5,0x7ffc43d4,0xffd001ff,0xfffa81ff,0x07fffe27,0x20005fc8,
    0xfe880ef8,0x007fe000,0x17bbb2a2,0x002d4000,0x5ff4c000,0x7ff4c000,
    0xffffffff,0x0b50000e,0x3fff9000,0x3fffffa6,0xffffffff,0x645fffff,
    0x0f91ffff,0x3ffff61e,0xfffd1006,0x7fffa8bf,0x407fffe2,0x20000ff9,
    0x00e44029,0xf9807f98,0x0efffadf,0x007f4000,0x07f40000,0x3ffee000,
    0x80002fff,0x640000fe,0xffb81fff,0xbaaaefff,0x45ffffdc,0xcafffffb,
    0xfff98107,0xffb002ff,0x7cc7ffff,0x3ffe27ff,0x007fd00f,0x90000000,
    0x5ffa809f,0x001fffee,0x0004ff98,0x027fcc00,0x7ffffc00,0xff980007,
    0x7fe40004,0xfffff01f,0x2ffec40d,0x3fffffe6,0xfff9007f,0x1f9003ff,
    0x44ffffff,0xff30ffff,0x017f20df,0x55555540,0x2aaaaa62,0x202fe802,
    0x3fa2fff8,0xb0002fff,0x00001fff,0x007ffec0,0x3ffffe00,0xffd80006,
    0x3f20000f,0xffff01ff,0x0bf700df,0xfffffff9,0xffff8805,0x8fdc00ff,
    0x20fffffe,0xff30fffb,0x01ff303f,0x3fffa600,0x3fff226f,0x1fe600ff,
    0x261fff90,0x003fffff,0x03ffff88,0xfff10000,0xfe80007f,0x40006fff,
    0x003ffff8,0x407fff20,0x006ffffe,0xfffd10bb,0x201bffff,0x07fffff9,
    0xfffb17d4,0x2ffe83ff,0x3fa09ff9,0x7fcc0003,0xffff86ff,0x817ee00f,
    0x3327fff8,0x8000fffa,0x006ffffc,0xffff9000,0xffe8000d,0x640006ff,
    0x0006ffff,0x7407fff2,0x8306ffff,0x3fff605a,0xa82fffff,0x207fffff,
    0x7ffe43f9,0xcffb83ff,0x0bf902ff,0xffff1000,0x1ffffd0d,0xf5017f40,
    0x188fcfff,0xffff1000,0x800005ff,0x2ffffff8,0x3fffa000,0x3e20006f,
    0x002fffff,0x203fff90,0x986ffffe,0x3ee02c44,0x3fffffff,0x37ffffdc,
    0xffc84f88,0x26604fff,0x403fe600,0x100bceca,0xfb0dffff,0x3e201fff,
    0x3ffee00f,0x00006a8f,0xdffffff7,0xffb80000,0x0006ffff,0x01bffffa,
    0xfffffb80,0xff90006f,0x3fffa03f,0x0084b86f,0xfffffe88,0x3ffee3ff,
    0x05e886ff,0x0bfffff9,0x883fe800,0x2ffc9ffd,0x86ffff88,0x700ffffd,
    0xfffc80bf,0x00003daf,0xfffffb7f,0x5fc00003,0x01fffffd,0xdffffd00,
    0x7edfc000,0x8001ffff,0xfd01fffc,0x09b0dfff,0xffffd800,0xfff30fff,
    0x01dd0fff,0x13fffff2,0xd05fc800,0x3ffe27ff,0x37fffc41,0x807fffec,
    0x7fe403fd,0x0000fcff,0xfffa8fa8,0x500005ff,0xfffff51f,0x3ffa000b,
    0xf50006ff,0xbfffff51,0x3fff9000,0x1bffffa0,0xc80009f3,0x3fffffef,
    0x8ffffff1,0x3ff600fd,0x30003fff,0xfff701ff,0x2237ffc5,0xfd86ffff,
    0xff880fff,0x7fffdc00,0x9d00005f,0x07fffff4,0xfd274000,0x0001ffff,
    0x00dffffd,0xfffe93a0,0x7e4000ff,0xfffd01ff,0x027fd4df,0x3fa3f200,
    0x3ffa5fff,0x03f90fff,0x2fffffd8,0x207fd000,0x3fa1fffe,0x3ffe21ff,
    0xffffd86f,0x9806fa80,0x002fffff,0x3ee0f980,0x0004ffff,0xfff707cc,
    0xfd0009ff,0x3000dfff,0x7fffdc1f,0x7fe4004f,0xffffd01f,0x09ffffdf,
    0x45f20510,0x3f66fffe,0x2fb9ffff,0x6fffff80,0x40bf9000,0x3fa1ffff,
    0x3ffe23ff,0xffffd86f,0x8803fd80,0x205fffff,0xf88bb000,0x0007ffff,
    0x3ffe22ec,0xfe8007ff,0xd8006fff,0x7ffffc45,0x7ffe4007,0xfffffd01,
    0x009fffd9,0xfb9f20d1,0x3ffe65ff,0x8803fcff,0x003fffff,0xf300ff98,
    0x7ff43fff,0x3fffe24f,0x0ffffd86,0xf7001ff8,0xb507ffff,0xf903f100,
    0x0007ffff,0x3ff207e2,0x74003fff,0x4006ffff,0xfffc81f8,0x3f2003ff,
    0xfffd01ff,0x027fc4df,0x33e40fc4,0xffc89fff,0xf7004fff,0x0001ffff,
    0x7fc407fd,0x3fffa1ff,0x1bfffe23,0x503ffff6,0xffd800df,0x6dbbefff,
    0x3e60d900,0x0006ffff,0x3ffe60d9,0x7f4006ff,0x64006fff,0xfffff306,
    0x7ffe400d,0xdffffd01,0xf8804f98,0x3fe67c84,0xffffe81f,0xffffd000,
    0x0df90005,0x7c3fffd0,0x7ffc1fff,0xffffd86f,0x20027e40,0xfffffff8,
    0xbf8800ef,0xfe999999,0x4002ffff,0x99999bf8,0x2fffffe9,0x3ffffa00,
    0x26fe2006,0xffe99999,0xf9002fff,0x3ffa03ff,0x804d86ff,0x93e44ff8,
    0x3fe607ff,0xffa805ff,0xf98004ff,0xfffc800f,0x3e1bffe2,0x7fd47fff,
    0x0ffc0fff,0x7fff7400,0xf7000cef,0xffffffff,0x00bfffff,0xffffffb8,
    0xffffffff,0x3fffa005,0x3fee006f,0xffffffff,0x9005ffff,0x3fa03fff,
    0x04b86fff,0x37ffe231,0xffc8fc8a,0x7ffff404,0x3fffe203,0x07fd0003,
    0xf89fff40,0xfffd81ff,0xfffff52f,0x003fcc3f,0x00a987cc,0x9999bf80,
    0xfffe9999,0x2fe001ff,0x99999999,0x01fffffe,0x0dffffd0,0x4cccdfc0,
    0xfffe9999,0xffc801ff,0xffffd01f,0x8b20930d,0xffffffda,0x7e401dff,
    0x21bfffda,0x01effec9,0x800df700,0xffc8efe9,0xfffff103,0xffffb5ff,
    0x40027e47,0x7b80005c,0xfffff500,0x401ee009,0x04fffffa,0x0dffffd0,
    0x7d401ee0,0xc804ffff,0xffd01fff,0x7c400dff,0x3fb55300,0xc987ee00,
    0xfffeffff,0x3e60002d,0xfb70000f,0xfea8019d,0xfffb1fff,0x0072ebff,
    0x200007e0,0x3ffe004f,0x4f800fff,0x3ffffe00,0xfffe800f,0x009f006f,
    0x07fffffc,0x407fff20,0x006ffffe,0x03e401f2,0x26202f88,0x00009aba,
    0x00000000,0x00000a98,0x0000d500,0x7e4005f7,0x5c04ffff,0x3ff2002f,
    0xff804fff,0xfb806fff,0x3fff2002,0x7fec04ff,0xfffff01f,0x01bee00d,
    0x0010014c,0x00000000,0x00000000,0x01ec0000,0x003fe200,0xffffff98,
    0x001ff100,0x7fffffcc,0x7ffffc00,0x007fc407,0xffffff30,0x0ffff401,
    0x07fffff8,0x002ffe44,0x00000000,0x00000000,0x00000000,0x80003e20,
    0x2004ffe9,0xeffffff9,0x027ff4c0,0xffffff30,0x3ffea01d,0xfd302fff,
    0x7fcc009f,0x440effff,0xa81ffffa,0xbdffffff,0xfffdcaaa,0x0000004f,
    0x00000000,0x00000000,0x1cc00000,0xffff9000,0x3b201bdf,0xffffffff,
    0xfffff93f,0x3fb201bd,0xffffffff,0xffffd913,0x219dffff,0xdefffffc,
    0xffffd900,0x2e7fffff,0x10cccccc,0xffffffd9,0xffffffff,0x0007ffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00199980,
    0x20000a88,0x044001aa,0x00015000,0x998006aa,0x99880019,0x000a8001,
    0x00002a88,0x7776c000,0x7744000d,0x22000dee,0x30180aaa,0x000bdddd,
    0xfff98000,0xffd5002f,0xfa8001bf,0xffb3000f,0x3f22003b,0xffa8001f,
    0xffff3000,0x7ffcc005,0xffc8803f,0x04fd8001,0x74c3df90,0x7fcc004f,
    0xfa8001ff,0xf5001fff,0x15dfffff,0xffffa81a,0xefc88000,0xffffd002,
    0xfdbf300d,0x7c4009ff,0x277a002f,0x7ecc07d9,0x44001fff,0x3fa002ff,
    0x36006fff,0x300fffff,0x003ffffb,0xf5006fb8,0x7ffecbff,0x3fff2002,
    0xfffb0002,0x9ffb1003,0x3fffecc3,0x00fffee0,0x01ffff60,0x3fffffea,
    0xff906c03,0x02fec00f,0x405f0f50,0x003fff30,0x2e005fd8,0x03ffffff,
    0xffffffa8,0x3ffe6103,0x07fe2001,0xd37ffdc0,0x7c007fff,0xf10002ff,
    0x3f6003ff,0x1ffea02f,0x001bfee0,0x05fffff1,0xff9afff8,0x3fea000f,
    0x01ff5004,0x026c3640,0x000fffcc,0x22001ff5,0x7ff9afff,0xf9bffe80,
    0x3fe600ff,0x13f6001f,0x23fff880,0x3000fffb,0x540005ff,0xff5002ff,
    0x00ff700d,0xd0003fee,0x5c01ffff,0x0ffa61ff,0x1005fd80,0xf98005ff,
    0x22007e20,0xf1001fff,0x7fe4005f,0xb80ffa61,0x13fa21ff,0x001fff88,
    0x51000df7,0x40015303,0x6c0003fc,0x3ff6002f,0x400fb006,0x7d4003fc,
    0x3be205ff,0x400fe880,0x803fffeb,0xfb0005fd,0x2200df77,0xfb001fff,
    0x077c400b,0x7c407f44,0x00fd880e,0x1003fff1,0x000003ff,0x00055000,
    0xff800350,0x0f9801ff,0x20006a00,0x014c01a8,0x3faa00e4,0x3ea01fff,
    0x3aa0000f,0x3fe2003e,0x0ffa801f,0x3200a600,0x5c00a881,0x03fff102,
    0x00009fb0,0x00000000,0xffff0000,0x001d003f,0x00000000,0xfffa8000,
    0x005ff104,0x3e200000,0x7fc401ff,0x00000002,0xfff88000,0x0037dc01,
    0x45555555,0x02aaaaa9,0x0e776dc4,0x2aaaaaa8,0x0aaaaaa6,0x0ffffffa,
    0x6dc40150,0x00001cee,0x77f65cc0,0xffc8002d,0x000bfb04,0x6f7f65cc,
    0x1fff8802,0x0002fec0,0x037ddb71,0x6776dc40,0x0fffc401,0x4003ff10,
    0x26ffffe9,0x0fffffc8,0xf93dfd30,0xfffd307f,0x7ffe44df,0x7ffe40ff,
    0x8002efff,0xffc9efe9,0x4005c003,0xffebbefc,0x7fc4004f,0x000ffa82,
    0xfd77df90,0xff8809ff,0x03fea01f,0x5fffcc00,0x4c02ffea,0x3ffc9efe,
    0x807ffe20,0xf98004fd,0xfff86fff,0x6ffa80ff,0x7cc17ff4,0xfff86fff,
    0x7ffcc0ff,0x01efffff,0xfe8dff50,0x803a002f,0x7fc46fe8,0x1efb82ff,
    0x3fe213ea,0x6fe88002,0x017fffc4,0x2205fff3,0xf50002ff,0x7ffcc3ff,
    0xe8dff501,0xfff302ff,0x001bea05,0x437fffc4,0x440ffffe,0x7fd43fff,
    0x6ffff887,0x80ffffe8,0xfffffffb,0x3e200dff,0x3ffd43ff,0x7dc07880,
    0x7ffec1ff,0xcefffb87,0x00bf903e,0xb07ffee0,0xb510ffff,0xc815bfff,
    0xff10005f,0x1fffb0df,0x543fff88,0x7ed447ff,0x3e20adff,0xff10001f,
    0xfffb0dff,0x1fffc81f,0x221fffcc,0xfd86ffff,0xff900fff,0xffffffff,
    0x07fff207,0x8807fff3,0x7fff406d,0x07fffec4,0x804d5d44,0x3f400ffa,
    0x3627fff4,0x4c40ffff,0x20999999,0x3f400ffa,0x642fffe4,0x7fe46fff,
    0x1fffcc1f,0x33333331,0x64c27ec1,0xfff100bd,0xffffb0df,0x40ffff81,
    0x7c45fff9,0xffd86fff,0x3fee00ff,0xffffffff,0x40ffff84,0x2205fff9,
    0x7fec02fe,0x7fffe44f,0x3fe20001,0x6c3fec02,0x7fe44fff,0xf10001ff,
    0x47fd805f,0xb84ffff8,0x3fe0ffff,0x7ffcc0ff,0x0efa8005,0x27ffffec,
    0x437fffc4,0x260ffffd,0xff887fff,0x7fffc46f,0x0ffffd86,0x7fffe440,
    0x263fffff,0xff887fff,0x0fff306f,0x441bfb10,0x001ffffd,0xf9017f20,
    0x1bfb10ff,0x0ffffec4,0x405fc800,0x7fd47ffc,0xfffb83ff,0x0ffff31f,
    0x800dfff1,0x67d41ff8,0x440ffffd,0xfd86ffff,0x3fea0fff,0xffffffff,
    0x7ffc47ff,0xffffd86f,0xfffb3000,0x7d4fffff,0xffffffff,0xffb87fff,
    0x3ee0003f,0x001fffff,0x5401ff50,0x2e007fff,0x01ffffff,0x200ffa80,
    0x7dc7fffa,0xffa83fff,0xffff53ff,0xffffffff,0x84fd800f,0x0bffea0d,
    0xb0dffff1,0x7dc1ffff,0x9999afff,0x7fc41999,0xfffd86ff,0x36600c0f,
    0x72ffffff,0x3335ffff,0xfb833333,0xb8000fff,0xffffcbff,0x2fe88001,
    0x1ffebe60,0x3f2ffee0,0x44001fff,0x2be602fe,0x7ffe47ff,0xffffa83f,
    0x35ffff75,0x03333333,0x80077d40,0x7fc40fff,0xfffd86ff,0x3fffee0f,
    0x7ffc4002,0xffffd86f,0x7dc01a20,0xff73ffff,0x7c4005ff,0x4c005fff,
    0xfff91ffe,0xbf90003f,0x7fc57c40,0x47ffa607,0x001ffffc,0x5f102fe4,
    0xffc8fff1,0xfffb83ff,0x5ffff74f,0x3fe20000,0x0bff1002,0xb0dffff1,
    0x7d41ffff,0x44003fff,0xfd86ffff,0x03e20fff,0xa7fffd40,0x003ffffa,
    0x20ffffee,0x3ff20cec,0x3ffff21f,0x07fd4001,0xfff13e88,0xc87fff20,
    0x2001ffff,0x7d100ffa,0xff71ffe2,0xfff707ff,0x3fffea7f,0x9fb00003,
    0x407fdc00,0xd86ffff8,0x3e60ffff,0x44006fff,0xfd86ffff,0x0fe20fff,
    0x32fffd80,0x400dffff,0x543ffffd,0xfff73fff,0x1ffffc8b,0x80bfa200,
    0x21ffe24d,0x7e45fffb,0xd1001fff,0xf126c05f,0xffff98ff,0x2ffffb84,
    0x00dffff3,0x001df500,0xff807fa2,0xfffd86ff,0x3fffe20f,0x3fe1202f,
    0xfffd86ff,0x003fe20f,0xf887ffdc,0x9202ffff,0x542ffffe,0xffff5fff,
    0x1ffffc89,0xa817f200,0xfffeeeef,0x13fffe1e,0x003ffff9,0xefa817f2,
    0x1efffeee,0x3213fffa,0xff10ffff,0x02405fff,0xd800bfe2,0x7fffc01f,
    0x7ffffd47,0x7ffffe40,0xfff84c80,0x7fffd47f,0x01bfe20f,0x3f22ffec,
    0x4c80ffff,0x10fffff6,0xfff39fff,0x3ffaa1df,0xff5001ff,0x7fffd401,
    0xf32fffff,0x3aa1dfff,0xa801ffff,0x3fea00ff,0x2fffffff,0x3617ffea,
    0x7fe44fff,0x04c80fff,0xf90027ec,0x3f607443,0xfff52fff,0xff883fff,
    0xda9bffff,0x5ffffb06,0x3fffffea,0x037ffe21,0x440eff98,0x9bffffff,
    0x7ffd46da,0x8affd86f,0xfeffffff,0x0abffffe,0x000bfa20,0xff11ffe2,
    0xfdfdffff,0x20157fff,0x88002fe8,0xfffd07ff,0x40fffe81,0xbffffff8,
    0x7d406da9,0xddf7000f,0xff10dfdd,0xfb5fffff,0xff307fff,0x1fffffff,
    0x3ffffe20,0xffffdaff,0x3ffffe23,0x0f7f5c42,0xffffff98,0xffc80fff,
    0xb27e43ff,0x31dfffff,0x80bfffff,0xf10005fc,0xffffb0ff,0xffff31df,
    0x02fe40bf,0x107ff880,0x7fdc9ffd,0xffff300e,0x401fffff,0xf5002ff8,
    0x09ffffff,0x47ffffaa,0x85fffffd,0xceffffe8,0x7fff5400,0xfffffb1f,
    0x36e6fe2b,0x3fffdeff,0xffffe880,0x3fee00ce,0x43fdbeff,0x643effd9,
    0x7cc04fff,0xdd10000f,0x7dffb30d,0x204fffc8,0x10000ff9,0xffc80ddd,
    0x8804ffef,0x0ceffffe,0x88027ec0,0xeeeeeeee,0x00054c02,0x00054c40,
    0x2200054c,0x1acba882,0x00a98800,0x33772e20,0x1002200b,0x00000000,
    0x00080110,0x20000000,0x88000aa9,0x000000a9,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x51000000,0x0002aa05,0xa9880000,
    0x0000c01a,0x04406200,0x10020180,0x000bdddb,0x00d54c00,0x4d544000,
    0x00000001,0x44002aa2,0x000eeeed,0x00000155,0x3e217f20,0x43df901f,
    0x50004fd9,0xdffffffb,0x2607c179,0x177dc4fe,0x17dffb10,0xffb10264,
    0x4026417d,0x001ffff9,0x7fffe400,0x440002ff,0xffffeffd,0x21efc803,
    0xd8804fe9,0x801dffff,0x002ffff9,0x7dc009f9,0x1fec003f,0xff983fcc,
    0x0bfff66f,0xfffffa80,0xffda99be,0x7fec0ffe,0x0dfff31f,0x7ffffff4,
    0x3fa01fde,0xfdefffff,0x9fff5001,0x3fa60000,0x3fffea9d,0x7fff3000,
    0x81bfff22,0x3f65fff9,0x3fe602ff,0x2007ff25,0x5005fff9,0x3fea00df,
    0x3fe002ff,0xf706fb82,0x7fff4fff,0xffff9004,0x7ff4c019,0x9ffffc0f,
    0xa80ffffa,0xffffffff,0x3ffea07f,0x07ffffff,0x003ffd40,0x261ffe80,
    0x4000ffff,0xfe86fff9,0xfff704ff,0x81ffff4f,0x3e21fff9,0xfff3006f,
    0x003fe001,0x017ffff6,0x7e407fc4,0x49fff104,0xe800fffa,0x1005ffff,
    0xffb81ffd,0x413ffa0f,0xfffd99eb,0x27ae03ff,0x3fffffd9,0x01ffa800,
    0x43ffdc00,0x4001fffe,0xfd85fffc,0xfff107ff,0x807ffdc7,0xfff86ffe,
    0x05ff5004,0x2e00ff60,0x5003ffff,0x00ffa0ff,0x00173035,0x01dffff9,
    0x4c07fc40,0x2e01a80a,0x005e5442,0x02f2a0ae,0x004fb800,0x207ffec0,
    0x4000fffc,0xfc84fffe,0x35101fff,0x3e601730,0xfffe85ff,0x00bf5002,
    0x3e201bea,0xf9000fff,0x003ff10b,0xfffa8000,0xfb8000ff,0x00000000,
    0x00000000,0xff800055,0x37fd41ff,0x27fffc00,0x007fffe4,0x7ffe4000,
    0x04fffd85,0x7c400a60,0x0055000f,0x7f983fd8,0xff800000,0x10005fff,
    0x0000001f,0x00000000,0x7fc00000,0x0ffec4ff,0x3fffe200,0x07fffc84,
    0xfffd0000,0x0dfffb0b,0x17ec0000,0xeee98000,0xeeeeeffe,0x301eeffe,
    0x05bdfd97,0x4fffffa8,0x44032000,0x001ceedb,0x037ddb71,0x77f65cc0,
    0x2aaaa02d,0x2aaa62aa,0x3fe002aa,0x5ff70fff,0xffff3000,0x05fffd09,
    0x1beedb88,0x42ffffc0,0x2607fffd,0x02defecb,0x00005fb8,0xfffffff3,
    0xffffffff,0x77df905f,0x7409fffd,0x002fffff,0x9efe9800,0x7cc03ffc,
    0x2ffeabff,0x75df7e40,0xfd304fff,0x7e44dfff,0xb000ffff,0x9fdbffff,
    0x3fe60001,0x3fee24ff,0x7ffcc01d,0x882ffeab,0xfd85ffff,0xefc80fff,
    0x04fffebb,0x5c007fc4,0x37332203,0xfcccccff,0x3a21ccdf,0x7fffc46f,
    0xfffff882,0x5400001f,0x17ff46ff,0x261fffa8,0xfe881fff,0x17fffc46,
    0x86ffff98,0x000fffff,0x19fffff7,0x55555510,0x4ffff985,0x50033ffa,
    0x7fcc3fff,0x7fffcc1f,0x1ffffd84,0xff11bfa2,0x2fe805ff,0x32004c80,
    0x01ff885f,0xfd83fff7,0xfff987ff,0x400007ff,0x7d43fff8,0x6fff887f,
    0x5c0fffd8,0x7fec1fff,0xffff107f,0x1ffffd0d,0x3fffee00,0xfffb305f,
    0xfff987df,0x3ffaa24f,0x6fff880d,0x2a0fffd8,0xfd84ffff,0x3fee3fff,
    0x3fffec1f,0x36017ee0,0x20ff6006,0x3ffa07f9,0x7fffec4f,0x7ffffd40,
    0x7e400006,0x7ffcc1ff,0x42fffe43,0x7f46fffc,0x7ffec4ff,0xffff880f,
    0x0ffffd86,0x7ff7f540,0x3f602fff,0xffff304f,0x09fff309,0xf90bfff9,
    0x7ffe4dff,0xffffd84f,0xb13fffa4,0x4c01ffff,0x007e807f,0x1bee0bfe,
    0x644fffd8,0x7dc1ffff,0x0006ffff,0x207fffc0,0x3e25fff9,0xffb84fff,
    0x3fff60ff,0x0ffffe44,0x437fffc4,0x100ffffd,0xfff11bfd,0x3ee01fff,
    0x3fffe606,0x45ffff04,0xb84ffff8,0xff90ffff,0xfffb09ff,0x27ffec9f,
    0x007ffff2,0x0ff803fd,0xc80ff880,0x37f6204f,0x3ffff620,0x7ffffdc1,
    0x3e600007,0xfff887ff,0x0ffffea6,0x887fffee,0x3f620dfd,0xff881fff,
    0xfffd86ff,0x0fff980f,0x17fffff2,0xff300fec,0x3ffe09ff,0x3fffea5f,
    0x1ffffb83,0xb09ffff7,0x6c47ffff,0x3ff620df,0x27e401ff,0x2205ff30,
    0xaaaffcaa,0xaaacfeaa,0xffffb800,0x7ffd41ff,0x00000fff,0xfffffff5,
    0x5cffffff,0xfa83ffff,0xfb803fff,0x881fffff,0xfd86ffff,0x7fc40fff,
    0xffffe85f,0x2027c44f,0xd04ffff9,0x7fdcffff,0xfffa83ff,0x9ffff53f,
    0x05ffffb0,0xffffff70,0x207f9803,0xff304ffb,0xffffffff,0x05ffffff,
    0x7fe5ffdc,0x7ffc41ff,0x00001fff,0x335ffff7,0x64333333,0xfa83ffff,
    0x3ee05fff,0x1ffffcbf,0x86ffff88,0x6c0ffffd,0xffa84fff,0x1b63ffff,
    0x13fffe60,0xc87ffff4,0xfa83ffff,0xfff35fff,0xffffb09f,0x65ffdc03,
    0xf801ffff,0x0dffb01f,0x3fffffe6,0xffffffff,0xffe982ff,0x03ffff91,
    0x05fffffd,0x3ffee000,0x3ff2002f,0xfffb83ff,0x1ffe984f,0x103ffff9,
    0xfb0dffff,0x7fc41fff,0xfffb06ff,0x01f75fff,0x09ffff30,0x647ffffa,
    0xfb83ffff,0xfff14fff,0xffffb0bf,0x23ffd301,0x801ffffc,0xffff04fc,
    0xf705ff00,0x3fff900d,0x40ffffe4,0x04fffffa,0xffff5000,0x7ffdc007,
    0xffffb83f,0x90fffe43,0xf103ffff,0xffb0dfff,0x7ffd41ff,0xfffd00ff,
    0x2007ffff,0xd04ffff9,0x3ee1ffff,0xffb83fff,0x3fffe3ff,0x87fffd85,
    0x3f21fffc,0xfa801fff,0x1ffff886,0x3603fe20,0x7ffdc04f,0x0ffffe45,
    0x07fffff8,0xfff98200,0x3fe6006f,0xfffb84ff,0x17ffee2f,0x103ffff9,
    0xfb0dffff,0x7fdc1fff,0xfd104fff,0x005fffff,0x413fffe6,0x3e67fffd,
    0xffb84fff,0x3fff62ff,0x45fffd85,0x7e45fffb,0xff001fff,0x3ffffa81,
    0x7f41fea0,0x27fffc02,0x407ffff2,0x03fffff9,0x3fe24980,0xd1202fff,
    0xff909fff,0x7fffc1ff,0x0ffffe44,0xd86ffff8,0x3ea0ffff,0x303fffff,
    0x9fffffff,0x7ffcc350,0x7fdc264f,0x27fff45f,0x307fffe4,0xffb0dfff,
    0x4ffff85f,0x00ffffe4,0x7fe43fd8,0x17f204ff,0xf9807fe2,0xfd50efff,
    0x7dc03fff,0x2001ffff,0x7ffe44fa,0x544c80ff,0xffd85fff,0x3fffe64f,
    0xffffd50e,0x1ffffe03,0x41fffff5,0xfffffff8,0xfffff702,0x8d715bff,
    0xf94ffff9,0x87fff13f,0xfd85fffa,0x7ffe84ff,0x7cc6fff8,0xfd50efff,
    0x2a003fff,0x7fffec6f,0x2a0ff606,0x7ffc407f,0xffefefff,0xf700abff,
    0x9003ffff,0xffff107f,0x0db537ff,0xfd03fffa,0x7ffc41ff,0xffefefff,
    0x7ec0abff,0xfff52fff,0xffb83fff,0x9befffff,0xffffffda,0x42ffffff,
    0xfd4ffffa,0x741bfa5f,0x7ff40fff,0x0fff980f,0xf107ffe6,0xdfdfffff,
    0x0157ffff,0x3fa0ff88,0x3fe06fff,0xd806fb81,0x98efffff,0x405fffff,
    0xadffffe9,0x1efeca99,0x3ffffe60,0xd100ffff,0x77fdc9ff,0xfffffd80,
    0xfffff98e,0xfffff885,0xffffdaff,0xfffffd83,0x33ffffff,0xfffffffd,
    0x9ffff909,0x3fe2ffea,0x49ffd100,0x2600effb,0x0bff24ff,0x77ffffec,
    0x5fffff98,0x7e45fb00,0xff105fff,0x3009fb01,0xfc87dffb,0x36a004ff,
    0xffffffff,0xffd1003e,0x90019dff,0x09ffdfff,0x21f7fecc,0x2a04fffc,
    0xfb1ffffe,0xd50bffff,0x7fffffff,0xfffff901,0xfffffd07,0x0e77f5c9,
    0x7f7ffe40,0xffb3004f,0x6cc03dff,0x7fe43eff,0x97ee004f,0x102ffff9,
    0x006aa055,0x00040088,0x15755310,0x054c4000,0x00aa9800,0x00100220,
    0x4000054c,0x8009aba9,0x00001ba8,0x2aa60001,0x15510000,0x02004400,
    0x91132200,0x00000039,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x4c400000,0x00a01aaa,0x09aaa980,
    0x2aa20000,0x06662001,0x6f776c00,0x29880000,0x4d554c00,0x4c000000,
    0x99800001,0x01510001,0x37776c40,0xaba88000,0x7776c000,0xfedb800d,
    0xadffffff,0xd9800d30,0xdfffffff,0x3faa0002,0x4c02efff,0x4003ffff,
    0x001ffffa,0x077ffaa0,0x3ffff660,0x0002dfff,0xfffedc88,0x8001cdef,
    0xeffefffb,0x77edc401,0xf9801cef,0x40002fff,0x0cffedfd,0x1ffff980,
    0x67fff4c0,0xfff73109,0x3a600dfd,0xa999acff,0x4001effb,0xfffffffd,
    0x3fffa03f,0x7fe4007f,0xfc88001f,0xe9800bef,0xa999acff,0x0001effb,
    0x215bfff7,0x00cfffc9,0x50cffe98,0x7ec09ffd,0x03fff71f,0x00bfff30,
    0xff97fa20,0xfffc806f,0x77ffe402,0x7ffe4401,0x02efb806,0x2007fd50,
    0xfffffffc,0xffa81fff,0x2003ffff,0xa8002fff,0x2e003fff,0xfd5002ef,
    0x7ff4c007,0x3ffe204f,0x3ffe202f,0x83fffa86,0x7ff44ffd,0x7ff9800f,
    0x47ffd000,0x7c03fffd,0x7ff402ff,0x3ee001ff,0x06fdc06f,0x2027ec00,
    0xffc9acfa,0xfe84ffff,0x00fff9bf,0x8002ffa8,0x2003fffc,0xd8000dfb,
    0xfff9804f,0xfff9805f,0x7fffb03f,0xf91fffe0,0xfffa85ff,0x2ffa800e,
    0x1fffd400,0x4c0bfffb,0x7fe402ff,0xfc8003ff,0x4413e606,0x64620aba,
    0x740ba02f,0x7dc5ffff,0x013fa21f,0x36000bf2,0x26004fff,0x3333334f,
    0x017e4033,0x003ffffa,0x40ffffec,0xfd04ffff,0x7fffc3ff,0x2ffffcc1,
    0x4005fa80,0x3ee4fffe,0x0ff204ff,0x1fffff30,0x441ba000,0xbefe986f,
    0x363edfda,0x2e02980f,0x3e24ffff,0x00fe880e,0x7dc000d4,0x3e2005ff,
    0x33ffff26,0xfd83effe,0xbffff900,0x7fffd400,0x3ffffcc6,0xf31fffd8,
    0xff883fff,0x0a6006ff,0x4bffff00,0x2a01efe8,0x7fff4402,0x1ae0004f,
    0x3ff207e4,0x223fd884,0xff88004f,0x002a21ff,0x30000057,0x4005ffff,
    0x3ffec0fc,0xf889fff1,0xfffff984,0x3ffe2003,0x3ffe23ff,0x7ffe82ff,
    0x207fffee,0x000fffff,0xffff1000,0x2000010d,0x03fffffc,0x45f83400,
    0x3e206ffa,0x20007e43,0x0005fff8,0xbeedb880,0x7fffe801,0x7e42fc00,
    0x0fffe47f,0xfffb03f2,0xff8001ff,0x7ff47fff,0x3fe22fff,0x3ffff64f,
    0x2ffffe82,0x37ddb710,0x3fffe600,0x2aaa2007,0xffd81aaa,0x00002fff,
    0x3fe21fa8,0x261e402f,0x7fdc003f,0x55555104,0xfff98035,0x302ffeab,
    0x04c9ffff,0xff903f50,0x42fffa8f,0x7fffc3f9,0xffd8007f,0x3ff20fff,
    0xff73ffff,0x7fffec1d,0x3ffffd82,0xeabfff98,0x7fc402ff,0x2e000fff,
    0xf84ffffe,0x001fffff,0x7e47c800,0xe80800ff,0x3ffe6005,0x3fffae00,
    0x3ffea04f,0x207ffe61,0xfecffffc,0x07c83eff,0xffc8fff9,0x3e25e81f,
    0x8007ffff,0x22fffffd,0xfffffff8,0xffc84ffd,0xfffc83ff,0x0fffd45f,
    0xf803fff3,0x4001ffff,0x444ffffb,0x007fffff,0xfd8db000,0x1b60007f,
    0x3fffae20,0x3ffee01f,0xdfff104f,0x441fffb0,0xfdffffff,0x36c5ffff,
    0x7fc7ffc8,0x7ccdb06f,0x8006ffff,0x43fffffc,0xfffffff9,0xffff704f,
    0x9ffff90b,0x6c37ffc4,0x3ba60fff,0xeefffffe,0x7fd401ee,0x7ffd44ff,
    0x000007ff,0x07fff8bd,0xf701f200,0x7fffffff,0x13fffea0,0x642fffe4,
    0x3fe66fff,0x3ff626ff,0x6417a4ff,0xfffb9fff,0x7dcf900c,0x8006ffff,
    0x85fffffc,0xffffffe8,0xffff883f,0x7fffec0f,0x217fff23,0x3e66fffc,
    0xffffffff,0x7cc01fff,0x7fdc4fff,0x00006fff,0x7fff89d0,0x101f2000,
    0xffffffd7,0xffff301f,0x9ffff109,0x21ffff70,0x445ffffa,0x9d0fffff,
    0x3f3fff20,0x73e403ff,0x00dfffff,0xbfffff90,0x3ffffe60,0xffc84fff,
    0x3ff60dff,0xffff12ff,0x1ffff709,0x3ffbbba6,0x01eeefff,0x227fffcc,
    0x07fffff9,0xe8bb0000,0x360007ff,0x3ffea006,0xff982fff,0xfffa84ff,
    0xffffb83f,0x0bffff71,0x367ffffb,0x36fff905,0x9b600fff,0x06fffffa,
    0xfffffc80,0x7e7fe444,0x42ffffff,0xcfffffd8,0x50fffffe,0xf707ffff,
    0x3e603fff,0x4c004fff,0xff84ffff,0x5c00ffff,0xfffffffd,0xfc8f93ef,
    0xbd0000ff,0xfffe9800,0xffff984f,0x3ffffb84,0x93ffffa8,0xf50bffff,
    0x41f2bfff,0xfff37ffc,0xff32f409,0xb000ffff,0x445fffff,0xfff34ffe,
    0x3ee0ffff,0xfffcffff,0x3fffee5f,0x3ffffa83,0x013fffa0,0x09ffff30,
    0x03fffffd,0x3ffffe60,0xf30fd42f,0xf10007ff,0xfff30007,0xffff30df,
    0x7ffff909,0x2bffff50,0xa85ffffb,0x3f56ffff,0x7e4fff90,0x43f880ff,
    0x00ffffff,0x7ffffec0,0x987fff61,0x01ffffff,0x7ffdc6a2,0x3ffff22f,
    0x5ffffa83,0x00ffff20,0x09ffff30,0x05fffff9,0x3fffffc0,0x7ffe44f8,
    0x03f21200,0x2fffec00,0x427fffcc,0xb83ffffc,0xff34ffff,0xfff30dff,
    0x7e427cdf,0x13ffe27f,0xfffd03f2,0xfe8003ff,0x3fe27fff,0xffff987f,
    0x3ffa003f,0x7fffe47f,0x4ffffb83,0x007ffe60,0x09ffff30,0x07fffff5,
    0x3fffff40,0x3f620fc8,0x21ec40ef,0x2a0005f8,0xff984fff,0xfffb84ff,
    0xffffb83f,0x0fffff13,0x649ffff3,0x0ffff40f,0x7c45fff7,0xfffff985,
    0x3ffe2002,0x3ffea3ff,0xbffffb06,0x3fffe600,0x1ffffdc2,0x01ffffdc,
    0x8001fff1,0xb04ffff9,0x400bffff,0x106ffffe,0xdfff50bf,0x3fb01bfb,
    0x7ffc4000,0x4ffff982,0x84ffff98,0x3a2ffffb,0xff887fff,0x4d7e22ff,
    0x25fffffe,0x3fb2fffe,0x17ffff60,0x6ffffa80,0xa82fffe4,0x9004ffff,
    0xff309fff,0xfff709ff,0xff79305f,0x7cc1e80f,0xfd104fff,0x3a003fff,
    0x2a06ffff,0x0353104f,0x00101fdc,0x3e60dff1,0xffd04fff,0xffff909f,
    0x07fffe41,0x503fffe2,0xfb80009f,0x3fffe203,0xfffb001f,0x6fffb85f,
    0x05ffff10,0x40dfff50,0xfc84fffe,0x3fea0fff,0x99bfffff,0x4c0feba9,
    0x2604ffff,0xd005ffff,0xc80dffff,0xbf90005f,0x7017ff40,0x3fe603ff,
    0xfff504ff,0x89fffb0b,0x4c3fffe8,0xbf905fff,0x017f2000,0x013fffea,
    0x20ffffe6,0xf107fff9,0xfa801fff,0x3ea00dff,0xfffd85ff,0x7f5d6f44,
    0xffffffff,0xffff987f,0x7fff4c04,0xffffe805,0x02efb806,0x4c09fd30,
    0xfb03ffff,0x7fffcc07,0x03fffa04,0xf301fffd,0xeffb8dff,0x00bbee00,
    0x30027f4c,0x4405fffd,0x3601fffe,0xffb82fff,0x7ffd402f,0x1fffd003,
    0x260fffe8,0x3fffea0f,0x83ffffff,0x006ffffa,0x159ffff7,0x4ffffe98,
    0x37dff300,0x3ffae623,0xffffe802,0x02fea8ae,0x037fffd4,0x7dc9ffd1,
    0x3fea00ef,0x01dfd12f,0x337dff30,0x0bffae62,0x3fff6200,0x3ffae20b,
    0x7ff4400e,0x0fffa60f,0x01dffda8,0xb93ffa20,0x33f80eff,0xfffff9ff,
    0x3ff20dff,0xb1000fff,0xfddfffff,0x00039fff,0x3fffff6a,0x2a002eff,
    0xfffffffe,0xfffc800c,0x7fe400ff,0x3004ffef,0x19dfdff9,0xfffda800,
    0x002effff,0xeffeca80,0x003deffe,0x7f6fffdc,0xffc880df,0x320000be,
    0x04ffefff,0x4cbfffea,0x40dffffe,0xfffffff8,0x554c003f,0x0009aabc,
    0x2aea6200,0x2a600009,0xf10009aa,0x7fffffff,0x00155300,0x000054c0,
    0x04d5d4c4,0x75300000,0x53000013,0x4d401355,0xa9800000,0x40aa000a,
    0x00000aa9,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x037bbb60,0x026aa620,0x402004c0,
    0xfffffff8,0x0fffffff,0xffffff90,0x8807ffff,0x00001100,0x80000004,
    0x2a6000aa,0xddddb001,0x54c00001,0x42aaaaaa,0x001aaaaa,0x55544031,
    0x2aaaa81a,0xfff50000,0xefd8803f,0x401effff,0x2f4c0cfa,0xffffffa8,
    0x5fffffff,0x3fffffe0,0x100fffff,0x6c17dffb,0x0b500003,0xff500000,
    0xffff7005,0x7fc401bf,0x3bf203ff,0x4c37f621,0x2efffffe,0x00effe4c,
    0xfa817f22,0xfff84fff,0xf900006f,0xef9803ff,0x7ffffb30,0xd8bff980,
    0x3fff203f,0xffffffff,0xfff502ff,0xbfffffff,0x7fffff40,0x0001fddf,
    0x00001fd0,0x017ffc40,0xffffffd1,0x7fcc01df,0xdfff305f,0xf11fffe4,
    0x7c09ffff,0x3ff6600f,0x3ffea05f,0x6ffff84f,0x5fff0000,0xe84ff880,
    0x4401ffff,0x7400dffe,0xffffffff,0xb00fffff,0xffffffff,0x3fea05ff,
    0x6fffffff,0x9ff30000,0x7f400000,0x3ffa02ff,0xefffffff,0x03ffe600,
    0xfd9fffea,0x7ffdc4ff,0x540fe06f,0x05fffffe,0x213fffea,0x0006ffff,
    0xb802ffa8,0xfffb87ff,0x7ffdc05f,0x3ffe200f,0xeeeeeeef,0x9bf105ff,
    0x99999999,0x7eccf640,0x0002ffff,0x001fffb0,0xffff9000,0x3bfff205,
    0x4fffffff,0xf81ffcc0,0x3ffea4ff,0x1fffff81,0x6f4c0f98,0x05fffffe,
    0x213fffea,0x0006ffff,0xfb002fc8,0xfffa85ff,0x35dd506f,0x3e603fff,
    0x17fd401c,0x40000fa8,0x01e5442b,0xffff1000,0xfa800007,0xbf02ffff,
    0x7fffed43,0x05f9806f,0x402e206a,0xc84ffffb,0x7ffec084,0x3ffea05f,
    0x6ffff84f,0x001a8000,0xf50fffee,0x5f70dfff,0xb81fffc8,0x01ff9005,
    0x000001b6,0xff900000,0x40000dff,0x2ffffff8,0x3ffa05a8,0x29800fff,
    0xff880000,0x00fc0fff,0x02ffffdc,0xf09ffff5,0x0000dfff,0x1dfd1000,
    0x04ffffb8,0x21bffe20,0x417fe002,0x1abdeff8,0x00000000,0xffffff10,
    0x3ba00005,0x982ffffb,0x3fffee00,0x00000006,0x23ffffc8,0xfff5006a,
    0x7ffd40bf,0x6ffff84f,0x3b2e6000,0x01802def,0x805ffff9,0xfffc8a98,
    0x7ff50004,0x3ffffee0,0x2aa01eff,0x32a2aaaa,0x20000bde,0x6ffffffb,
    0xb8fc8000,0x8002ffff,0x884ffff8,0x81aaaaaa,0x1aaaaaa8,0x7ffff980,
    0x7fd400f6,0x3fea05ff,0xffff84ff,0x7df90006,0x009fffd7,0x81bfffa0,
    0xffffffe9,0xc8001fff,0xfffd00ff,0x3bffffff,0xfffffb30,0x1bfffff2,
    0xffdbf800,0x20001fff,0xffff72f9,0x3ffe0005,0xfffd702f,0x3ffae09f,
    0xffb004ff,0x001f15ff,0x817fffea,0xf84ffffa,0x44006fff,0x7ffc46fe,
    0x7fd4002f,0xfff300ef,0x27fffdc9,0x882ffc00,0xffffffff,0xf882ffff,
    0xdbedffff,0x8004ffff,0xffffa8fa,0x9f10005f,0x017fffdc,0x07fffcc0,
    0x09ffff70,0x027fffdc,0xbeffffa8,0x3ffea005,0x3ffea05f,0x6ffff84f,
    0x0fffdc00,0x001ffff6,0x7cc09ffb,0xfffe86ff,0x1ffcc007,0xffffffb8,
    0x0fffffff,0x46fffff8,0x8007fffe,0x3ffffa4e,0x46d8000f,0x002ffffb,
    0x405fffb8,0x204ffffa,0x004ffffa,0x0bfffffa,0x5ffffa80,0x13fffea0,
    0x001bfffe,0xfd89fffd,0xf3000fff,0xfffd805f,0x2ffffd85,0x403ff200,
    0xfecaa998,0x86ffffff,0x6c0fffff,0x2000ffff,0x3ffee0f9,0x7dc004ff,
    0x17fffdc1,0x077fec00,0x13fffe60,0x04ffff98,0x1ffffee0,0xbffff500,
    0x27fffd40,0x1737fffc,0x44fffd80,0x001ffffc,0xff8805f9,0xfffc83ff,
    0x1bfe003f,0x7ffe4c00,0x7ffc0fff,0xffffd87f,0xf1176001,0x400fffff,
    0xfffb83f9,0xfff8002f,0xffff9801,0x3fffe604,0x3ffe2004,0x7fd4004f,
    0x3fea05ff,0x7ffdc5ff,0xb100d0ff,0x7fec41bf,0x03f001ff,0x07ffff50,
    0x009ffff7,0x0000ffe6,0x85ffffd1,0xfd87ffff,0xf1001fff,0xfffff903,
    0x20bd1007,0x002ffffb,0x9801ffd4,0x2604ffff,0x4004ffff,0x4001fffc,
    0x205ffffa,0x88fffffa,0xbffffffb,0x3ee0005b,0x001fffff,0x3ffee00f,
    0xffffb83f,0x01ff9005,0xfffd1000,0x87ffff89,0x001ffffd,0x3ffe60d9,
    0x0ed806ff,0x05ffff70,0x002ffc40,0x409ffff3,0x004ffff9,0x40037fc4,
    0x205ffffa,0xfffffffa,0xfffffa9f,0xffb8001f,0x01ffffcb,0xff900588,
    0xfff707ff,0x1bfa009f,0xfff88000,0x43ffffc3,0x801ffffd,0x99999bf8,
    0x2fffffe9,0x3ffffe20,0xffffffff,0x5fd804ff,0x7fffcc00,0x3fffe604,
    0x03fd8004,0x5ffffa80,0x3fffbee0,0x3fff60ef,0x7f4c002f,0x3ffff91f,
    0x7e400200,0xffb83fff,0xff9803ff,0x7f400003,0x3ffffc0f,0x00ffffec,
    0x7fffffdc,0xffffffff,0x3fffe205,0xffffffff,0x7d404fff,0xfff98006,
    0x3ffe604f,0x0fa8004f,0xffffa800,0x2a2bf205,0x0155100a,0x21fffc80,
    0x001ffffc,0x7fffd400,0x1ffffb83,0x000ffc80,0x7c37e400,0xffd87fff,
    0x9bf801ff,0xe9999999,0x101fffff,0xffffffff,0x9fffffff,0x90077cc0,
    0x9ffff303,0x27fffcc0,0x80025c00,0x205ffffa,0x000003fe,0x322fffdc,
    0x1001ffff,0x3fffe200,0x0ffffb83,0x2006fe80,0xf09f9001,0xffb0ffff,
    0x07b803ff,0x9fffff50,0x66666640,0xdffffdcc,0x01dd102c,0xfff983cc,
    0x3ffe604f,0x3a06204f,0xfff50001,0x02ffc0bf,0x3ffe0000,0x7fffe44f,
    0x0eff5401,0x427fffc0,0x9807fffc,0xff9803ff,0x4077c03f,0xfd87ffff,
    0x27c01fff,0xffffff00,0x3fee0001,0x6fec02ff,0xfedccccc,0x9ffff306,
    0x27fffcc0,0x1aa5ffa8,0xffffa800,0x00fff305,0x7ffcc000,0xfffd50ef,
    0xffff803f,0x5fffb805,0x803fffd8,0xfc800ffc,0xeb81efff,0x0fffff00,
    0x403ffffb,0x3f2002fb,0x0004ffff,0x405ffff7,0xfffffffb,0xf304ffff,
    0x7cc09fff,0xffd04fff,0x500016cf,0x2a0bffff,0x00001fff,0xffffff10,
    0x7ffffdfd,0xffff5015,0xdff9001f,0x200dfff0,0xff1006fe,0xd75bffff,
    0xfffff80b,0x0fffff40,0x2000ff88,0x0ffffff9,0xffffb800,0xfffff502,
    0x7fffffff,0x1bfffea0,0x06ffffa8,0x0b95fffb,0xffffb800,0x05fff706,
    0x7fec0000,0xff98efff,0xff105fff,0x7ec00dff,0x03bfee3f,0x800ffe60,
    0xefffffea,0x7ffcc03d,0x3ffe21ff,0xffe983ff,0x3ffe6004,0x4000efff,
    0x982ffffb,0xffffffff,0x901fffff,0x201fffff,0x80fffffc,0x00effff9,
    0x3fffa200,0xfffa82ff,0x26000000,0x7e43effd,0x7fe404ff,0x7edc002f,
    0x000befee,0x30001551,0x32001555,0xbfffffff,0xfffffff9,0x3fffff26,
    0xffd900de,0x7fffffff,0x7fffdc00,0xfffffe82,0xffffffff,0x7ffffc40,
    0x3fe23fff,0x83ffffff,0x8000bdb8,0xfffffed8,0x2e0defff,0x0000001d,
    0x20008011,0x54400028,0x0000000a,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3fffffff,
    0x40d54c00,0xffffffe8,0x640eefff,0x2effffff,0xfffffff9,0x3a209dff,
    0x04ffffff,0x359bfdb7,0x44013333,0x260cdfda,0x5555441e,0x7db711aa,
    0x3ffff201,0x3a4fffff,0xffffffff,0xfffa83ef,0x005305ff,0x7fffff6c,
    0xf55effff,0x5fffffff,0xffffeb80,0xffff31ff,0x880009ff,0x801fffff,
    0x4fffcffa,0xffffff90,0x1dff3003,0xfffffd30,0x7fe4001f,0xeffe983f,
    0xffffffb9,0x5dffb02f,0x3ff75ff7,0x9ffffd70,0xbffffff3,0x3ffffe60,
    0xfffd106f,0xf7003fff,0x3fff605f,0x3ffa2000,0xf500ffff,0x01ffffff,
    0x203dff30,0x004ffffd,0x1ffffd80,0xfba7fec0,0xfff882ff,0x3f2006ff,
    0x3fffe602,0x7fc4007f,0x46fff980,0x1ccdfffb,0x7dc5ffc8,0xf901ffff,
    0xb39fdfff,0x2e05ffff,0x205fffff,0x0ffffff8,0xf305f880,0xa8009fff,
    0x404fffff,0x6ffffffa,0x5c05f700,0x0004ffff,0x01ffffd8,0x7e4bffee,
    0xfff883ff,0x3ee005ff,0x7fffec01,0x0fe2001f,0x2227fff4,0x3ee06fff,
    0xffff82ff,0xffff501f,0xffffc87f,0xfffff880,0x7fffe407,0x01f9803f,
    0x00bffff5,0x3fffffa8,0xffffff80,0x01f9805f,0x013fffe6,0x3ffff600,
    0x5ffff101,0x7c037fa2,0x2005ffff,0x7fd400fa,0x2e005fff,0xffffa80f,
    0x83ffff83,0xfd07fffa,0x3ea03fff,0xff985fff,0xfff905ff,0x7fcc05ff,
    0x6b806fff,0x017fffc0,0x3ffffe60,0xfffff803,0x7cc03fff,0x3fffe600,
    0xffd80004,0xfff301ff,0xfff8007f,0x3ea005ff,0xffffe800,0x209d000f,
    0xf82ffffb,0xffd84fff,0xffffb05f,0x3fffea03,0x0fffff04,0x17ffffe6,
    0x3fffffd0,0x6cc03e80,0xff98002e,0xaf803fff,0x1ffffffe,0xf9803e60,
    0x80004fff,0x501ffffd,0x8007ffff,0x005fffff,0x3ea003ea,0xa804ffff,
    0xffff700f,0x0bfffd05,0x360bffff,0xf501ffff,0x3fa09fff,0xffd00fff,
    0x7d401fff,0x2604ffff,0x4000000f,0x03fffff9,0xffff9af8,0x1f300fff,
    0x27fffcc0,0x2dfdb880,0x203ffffb,0x003ffffb,0x02fffffc,0x3e001f50,
    0xd807ffff,0x3fffe204,0x42ffff82,0xb04ffff8,0x2a03ffff,0xfb04ffff,
    0x3ea03fff,0x2603ffff,0x207fffff,0x8000005c,0x03fffff9,0xffff52f8,
    0x03e60dff,0x04ffff98,0xfeffffb8,0x41ffffdc,0xcffffcaa,0xffff002a,
    0x07d400bf,0xfffffc80,0xd003e602,0xfff07fff,0xffffa81f,0x3ffffb04,
    0x13fffea0,0x01ffffec,0x40ffffff,0x2ffffffb,0x2aa205f0,0x4001aaaa,
    0x03fffff9,0x3ffee2f8,0x0f984fff,0x13fffe60,0x4cdfff30,0x41ffffff,
    0xfffffffe,0xffff006f,0x07d400bf,0xfffff880,0x26017606,0x7fd46fff,
    0xffffc83f,0x3ffffb03,0x13fffea0,0x017fffec,0x05fffff9,0x3fffff7e,
    0x75c07a85,0x4004ffff,0x03fffff9,0x7ffec2f8,0x07cc3fff,0x09ffff30,
    0x20ffffc4,0x41fffff9,0xbffffb98,0xffff0009,0x07d400bf,0xfffffb00,
    0x2003f103,0xfb8cffe9,0xfff701ff,0x3fff609f,0xffff501f,0x3ffff609,
    0x3fffe601,0xfe8fa85f,0x26c0ffff,0x27fffdc0,0x3fffe600,0x442f803f,
    0x1ffffffe,0xff9803e6,0x3ff604ff,0xffffb06f,0x3fffee03,0x7fffc003,
    0x03ea005f,0xfffff980,0xc8006c85,0x00bdffff,0x417fffea,0x501ffffd,
    0x3a09ffff,0xfe807fff,0xa6c0ffff,0x23fffffb,0xffa801f8,0x7cc004ff,
    0xf803ffff,0xfffff882,0x401f30ff,0x204ffff9,0xfb05ffff,0x3ee03fff,
    0x7c003fff,0x2005ffff,0x7f4000fa,0x17c0ffff,0x00037200,0x41bfffe2,
    0x501ffffd,0x3a09ffff,0xfa806fff,0x3e63ffff,0xdfffff11,0xff98035c,
    0x7cc004ff,0xf803ffff,0xfffff302,0x9803e6bf,0xf104ffff,0x3f609fff,
    0xff701fff,0xff8007ff,0x2a005fff,0x7fd4000f,0x01ae3fff,0x0002fe88,
    0x203ffff6,0x501ffffd,0xf30bffff,0x3e007fff,0x1b27ffff,0x23fffffb,
    0xfff3003e,0xff98009f,0x2f803fff,0x3ffffee0,0x2600f9cf,0xf304ffff,
    0x3f609fff,0xff701fff,0xff8007ff,0x2a005fff,0xffff0007,0x7001f4ff,
    0x4c0009ff,0x7e45ffff,0xf501ffff,0xfc87ffff,0x3f2005ff,0x85f2ffff,
    0x9cfffff9,0xfff3000f,0xff98009f,0x2f803fff,0x7ffffec0,0x3e600fcf,
    0xff704fff,0x3ff609ff,0xfff701ff,0xfff8007f,0x1ee005ff,0x7fffdc00,
    0x2000faaf,0xeeeffffe,0x500aceee,0xdd9fffff,0x203ffffd,0xdfdffffa,
    0x00ffffdb,0x3ffffe60,0xfffd07ad,0x4c00bbff,0x4004ffff,0x03fffff9,
    0xffe802f8,0x200fffff,0x704ffff9,0x3609ffff,0xf701ffff,0xf8007fff,
    0x2005ffff,0xff10007b,0x009bdfff,0xffffffe8,0x0effffff,0x9fffff50,
    0x407ffff6,0xe8cffffa,0x001dffff,0xefffffe8,0xfffff703,0x7fcc005f,
    0x301104ff,0x007fffff,0xfff1005f,0x4c01ffff,0xf704ffff,0x3f609fff,
    0xff701fff,0xff8007ff,0x32005fff,0x3ff60006,0x4000ffff,0xfffffffb,
    0x06ffffff,0x3ff60d4c,0xfff501ff,0x0015449f,0x3ffffea0,0xffff100f,
    0xff9800ff,0x5ffc84ff,0x17ffffcc,0xf98017c0,0x200fffff,0x504ffff9,
    0x360bffff,0xf701ffff,0xe8007fff,0x2006ffff,0x3e60005e,0x0005ffff,
    0xfffffff7,0x01ffffff,0x3ffffb00,0x13fffea0,0x7ffc0000,0x7fec05ff,
    0x7cc004ff,0x7fcc4fff,0x3ffe61ff,0x02f802ff,0x3ffffea0,0x3fffe600,
    0xfffff104,0x07ffff60,0x01ffffdc,0x1fffff20,0x0001fc40,0x007ffffa,
    0x2f37f220,0xfffcbaaa,0xffd8002f,0xfff501ff,0x2000009f,0x401ffffc,
    0x001ffffa,0x227fffcc,0x263ffffb,0x800fffff,0x7fe4002f,0x3fe600ff,
    0x3ff204ff,0x7ffc42ff,0xfff701ff,0xff98007f,0x74402fff,0x7d40000f,
    0xf98005ff,0x0ffb005f,0x3ffff600,0x9ffff501,0x3e600000,0xfff006ff,
    0xfff3000d,0xffffa89f,0x1bfffea0,0x2000be20,0x2600fffd,0x2605ffff,
    0x3a26ffff,0x703fffff,0x0007ffff,0x03fffff9,0x800017ec,0xb8002fff,
    0xbf9003ff,0x3fff6000,0xffff501f,0x74000009,0xff9003ff,0xfff30007,
    0x3ffe889f,0x00ffffdc,0x440027d4,0x3ea00ffe,0x7cc06fff,0xdcfdefff,
    0x40cfffff,0x004ffffb,0xbfffff90,0x05ffb737,0x037dc000,0x00fff880,
    0x800077d4,0x702ffffe,0x000bffff,0x003fd400,0x50001ff3,0xf10dffff,
    0x3ffe21bf,0xffd8801f,0x0ff98002,0x3fffff20,0x7fff4c00,0x7bdffb4f,
    0xbffffb03,0x7ff4c000,0x0cffffff,0x1fc40000,0xbffb5000,0x9ffd9779,
    0x7ffd4000,0x7f4c1dff,0x0001ffff,0xd0013e00,0x3ff2000b,0xfc880fff,
    0x02dfffff,0x7fffff4c,0x07d4004f,0x7fffff44,0xaa8803ff,0xec802660,
    0x4fffffff,0x32aa2000,0x000009ab,0x4c0000e0,0x1abdecca,0x3bba2000,
    0x31eeeeee,0xdddddddd,0x5000001d,0x001a8001,0x7fffffc4,0x775103ff,
    0x00000003,0x00000038,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xe9800000,0x004fffff,0xfffffe98,
    0x30efffff,0xfffffffd,0x3ba3dfff,0xffffffff,0xfffd32ef,0xdfffffff,
    0x6c037bdd,0x007fffff,0xfffffd10,0x209fffff,0xfffffffe,0x3fffa61f,
    0xffffffff,0x5fffffff,0x7fffff4c,0xb8004fff,0xffffffff,0xfffffb2e,
    0x7ffc000d,0x444fffff,0xda87ffff,0x82dda82d,0x004ffffc,0x7ffffdc0,
    0x7ffdc02f,0x3e603fff,0x404fffff,0xadfffffb,0xdfffffdc,0xfffff500,
    0xfff50000,0x36007fff,0x5c00dfff,0xaaefffff,0xffffdcba,0x3fffee05,
    0x74000fff,0x04ffffff,0x00dffff5,0x7fffec40,0x07bf200f,0x4c5ffff5,
    0x7d42ffff,0x80004fff,0x007fffff,0x00ffffff,0x03fffffd,0x89fffff0,
    0x1effffe8,0x00fffff0,0x3ffffe00,0x7ff7000f,0x7ffffc00,0x17ff6206,
    0xfffffdf0,0x7f7cc007,0xf101ffff,0x8000dfff,0x00fffff8,0x3ff603f2,
    0x3fff65ff,0x7fffcc5f,0xfff80004,0xfff006ff,0xffb00fff,0xff001fff,
    0xfd109fff,0x3fe0dfff,0xd00007ff,0x200fffff,0x7c001ff9,0xb806ffff,
    0x7fdfc05f,0x36006fff,0x0fffffcd,0x01bfffe0,0x3ffff600,0x7ec17a03,
    0x3ff25fff,0x7ffcc5ff,0xfe80004f,0xfd006fff,0xf900dfff,0xf001ffff,
    0x3209ffff,0xf81fffff,0x00007fff,0x00fffffd,0xd0001df5,0x200dffff,
    0x7e57c05d,0x8802ffff,0x7ffffcaf,0x037fffc0,0x7fffd400,0x2605f106,
    0x3e61ffff,0x7fcc2fff,0xe80004ff,0xd006ffff,0x900dffff,0x200fffff,
    0x504fffff,0xf07fffff,0x0000ffff,0x01fffffa,0x740009f7,0x8306ffff,
    0x7cd7c05a,0xb805ffff,0x0fffff96,0x006ffff8,0x3fffff00,0xcc980f50,
    0x981dd981,0x0004ffff,0x06ffffe8,0x0dffffd0,0x0fffff90,0x13ffffe0,
    0x27ffffcc,0x003ffffc,0x7ffffe80,0x0000ff60,0x30dffffd,0x97c05889,
    0x01fffffe,0xffffc9f4,0x37fffc07,0xfffc8000,0x0004d84f,0x7fffcc00,
    0x037dd934,0x1bffffa0,0x37ffff40,0x3ffffe40,0x4fffff80,0x1fffff70,
    0x54fffff0,0xd000adec,0xd10fffff,0xfd00003f,0x0970dfff,0xff52f801,
    0x7d409fff,0x0fffff90,0x446ffff8,0x02aaaaaa,0x11bfffe6,0x8000005f,
    0xfbcffff9,0x805fffff,0x006ffffe,0x00dffffd,0x00fffff9,0x413ffffe,
    0xf05ffffe,0x3ff2ffff,0xfd006fff,0xef98ffff,0xffd00000,0x009b0dff,
    0x7fff45f0,0x649b00ff,0x7c07ffff,0x75c46fff,0x7401cfff,0x1ea1ffff,
    0x3e600000,0xc8aeffff,0x7404ffff,0xd006ffff,0x900dffff,0x200fffff,
    0xd84fffff,0xf00effff,0xb7dbffff,0xd009ffff,0x7dcfffff,0x3a00001f,
    0x7cc6ffff,0x2e2f8004,0x883fffff,0x3ffff21f,0x37fffc07,0x7001efc8,
    0x26c9ffff,0x7cc00000,0x7dc0efff,0x3fa02fff,0xfd006fff,0xf900dfff,
    0x3e00ffff,0xb99dffff,0x403efffe,0x746fffff,0xfe807fff,0xfff97fff,
    0x3a00001f,0x3ea6ffff,0x22f8004f,0x86fffff8,0x7fffe46c,0x37fffc07,
    0x26000ee8,0x3f17ffff,0xf3000000,0xff109fff,0x7ff40dff,0xffd006ff,
    0xffffffff,0xffffffff,0x3fffe00f,0xffffffff,0xffff801d,0x7fffec0f,
    0x7ffff400,0x6fffffef,0xfffd0000,0x9ffffdff,0xfc85f000,0x17c2ffff,
    0x01fffff2,0xdb0dffff,0xfffd0001,0x4c00f75f,0x7cc06600,0xffd04fff,
    0x7fff40ff,0xfffd006f,0x999999ff,0xfffffd99,0x3ffffe00,0xfffdba9d,
    0x3ffe03ff,0xffffd87f,0x7ffff401,0xffffffef,0xffe80004,0xfffecfff,
    0x4c2f8004,0x2a5fffff,0x7ffffc87,0x237fffc0,0xf70000ed,0x009bbfff,
    0x4419ffd5,0x7cc0effe,0xffd04fff,0x3ffa03ff,0xffd006ff,0xff900dff,
    0x3fe00fff,0xffa84fff,0xff80efff,0xfffc87ff,0x7fff401f,0xfffff77f,
    0xfe80007f,0x3fe26fff,0xd82f8004,0x9b1fffff,0x0fffff90,0x366ffff8,
    0xdddd003f,0xffffffdd,0xe8dddddd,0x3ee3ffff,0x7fcc3fff,0xfffb04ff,
    0x3fffa05f,0xfffd006f,0xfff900df,0x3ffe00ff,0xfff504ff,0xffff0dff,
    0x3ffff90f,0x7ffffe80,0x3ffffff6,0x3ffa0001,0x027cc6ff,0x7fd417c0,
    0x80f9cfff,0x407ffffc,0xffb6ffff,0x5555001f,0xdffffd55,0x4c555555,
    0x3a6fffff,0x7cc6ffff,0xffb04fff,0x3ffa07ff,0xffd006ff,0xff900dff,
    0x3fe00fff,0x3fe04fff,0x7fc2ffff,0xfffc87ff,0x7fff401f,0x3fffa27f,
    0xd0000fff,0x9b0dffff,0x3a05f000,0x05dfffff,0x80fffff9,0xffdfffff,
    0x2e0006ff,0xd004ffff,0x2e3fffff,0x7cc3ffff,0xffb04fff,0x3ffa03ff,
    0xffd006ff,0xff900dff,0x3fe00fff,0x3f204fff,0x7fc4ffff,0xfffc87ff,
    0x7fff401f,0x7fffc47f,0xfd0005ff,0x0970dfff,0xb817c062,0x01ffffff,
    0x80fffff9,0xfeefffff,0x70003fff,0x2009ffff,0x11ffffea,0xf981dffd,
    0xffb04fff,0x7fff40ff,0xfffd006f,0xfff900df,0x3ffe00ff,0x3fee04ff,
    0x7ffc5fff,0xffffc87f,0x7ffff401,0xfffffa87,0xffe8004f,0x904986ff,
    0x7c40be05,0x3206ffff,0x7c07ffff,0xff98ffff,0x2aa01fff,0xfffdaaaa,
    0x2aaaaadf,0x3303fa10,0x13fffe60,0xd02fffec,0x200dffff,0x806ffffe,
    0x007ffffc,0x409fffff,0x44fffffc,0xfc87ffff,0x7f401fff,0xff907fff,
    0x8005ffff,0x006ffffe,0x017c03e2,0x407ffff9,0x407ffffc,0x3f26ffff,
    0x3fe06fff,0xffffffff,0x7fffffff,0x3001be20,0x3e09ffff,0x3fa04fff,
    0xfd006fff,0xf900dfff,0x3e00ffff,0x3a04ffff,0x7c2fffff,0xffc87fff,
    0x7ff401ff,0x3ff607ff,0x2001ffff,0x006ffffe,0x202f81f2,0x200ffff9,
    0x407ffffc,0x7f46ffff,0x5c004fff,0x8004ffff,0x7cc002fb,0xff884fff,
    0x3ffe00ef,0xfff006ff,0xffb00fff,0xff001fff,0x3e609fff,0xff85ffff,
    0xfffd87ff,0x7fff401f,0x3ffe207f,0xf000ffff,0x200dffff,0x00fe06fb,
    0xfd809ffb,0x3e00ffff,0x7fcc7fff,0x32001fff,0x4005ffff,0xf98005e8,
    0xffb87fff,0x7fffc01f,0xffff007f,0xfffd00ff,0xfff003ff,0xfff30dff,
    0xfff01dff,0xfffe81ff,0x7fffc02f,0x7ffd407f,0xf800efff,0x4407ffff,
    0x9f105ffc,0x401ffa80,0x01fffffe,0x90fffff1,0x001dffff,0x017ffff6,
    0x30004fa8,0x449fffff,0x7d402fff,0x402fffff,0x2ffffffa,0x3ffffe60,
    0x7ffdc04f,0xfdbacfff,0xf302efff,0x7c45ffff,0x2a04ffff,0x02ffffff,
    0x3fffffe6,0x3fea01ff,0xaabdffff,0x4ffffdca,0xe805ffb0,0x7fffcc05,
    0xfff504ff,0xfff883ff,0x7cc00dff,0x801fffff,0x260002eb,0xeffd88df,
    0xd9101cff,0xffffffff,0x3fb2219d,0xefffffff,0xffffd90c,0x23bdffff,
    0xfffffed8,0xdeffffff,0x3fff202c,0xff9bffff,0x226fffff,0xffffffec,
    0x7fec4eff,0xffffffff,0xfffd912f,0xffffffff,0x7fffffff,0x7ffff6c4,
    0x3205705f,0xfffffffe,0xfff91def,0x7f47ffff,0x41ffffff,0xfffffed9,
    0x100cefff,0x10310000,0x00000355,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x10000000,
    0xfffffffd,0x179bddff,0x3ffffa60,0xeeffffff,0x0000acde,0xffffdb00,
    0xffffffff,0xbfffffff,0xfffffe98,0xceeeffff,0xffd3001b,0xdfffffff,
    0xfffd0009,0xffffffff,0x8bffffff,0xfffffffc,0x3ee04eff,0xf34fffff,
    0xffffffff,0xffec87df,0x800effff,0xffffd102,0xffffffff,0x0fffffff,
    0x3ffffea0,0xffffecbe,0x3fff200c,0xfcbaadff,0x0002ffff,0x3fbfe200,
    0xcbadffff,0x05ffffdc,0x3bfffff2,0xffffecca,0x3ffee004,0x20000fff,
    0xaabeffff,0xffffdaaa,0xffd880ff,0x2004ffff,0xfb80dffa,0x02ffffff,
    0x0027ffdc,0xfff500b7,0x97555fff,0x00fffff9,0x22fffff4,0x01fffffa,
    0x09fffff1,0x1bffffb1,0x3fa00000,0x03fffffa,0xf8817ff2,0xfa85ffff,
    0xf001efff,0x0009ffff,0x2201eff8,0x03ffffff,0x27fffff4,0x401df100,
    0x2ffffffc,0x001ffc40,0x3fe00bf3,0x7dc07fff,0x3ff6007f,0xfffc85ff,
    0xffff00ef,0x7fff409f,0x9800004f,0xfffff9bf,0x202fdc03,0x105fffff,
    0x005fffff,0x009fffff,0x20077c40,0x06fffffc,0xffffff98,0x003f7000,
    0x0dfffffd,0x74004fa8,0xfffd005f,0x0fd100ff,0x2ffffec0,0x1fffffc4,
    0x04fffff8,0x01ffffee,0x7cd7a000,0xe803ffff,0x7ffffc05,0x3fffea05,
    0x7fffc01f,0x3e60004f,0x7fffcc00,0xffb001ff,0x3e009fff,0xffff3004,
    0x17e209ff,0x00bffb00,0x01fffffa,0xffb003d4,0x3ffe0bff,0xffff05ff,
    0x7ffcc09f,0x200001ff,0xffff30fb,0x05b8307f,0x02fffffc,0x03bffffa,
    0xcefffff8,0xa800abcc,0xffffe805,0x3fe2005f,0x5c00ffff,0x3ff2000f,
    0xed81ffff,0xfffb1000,0x3fffa00b,0x801e007f,0xf05ffffd,0x3e0dffff,
    0x2204ffff,0x004fffff,0x7cc7f100,0x4683ffff,0x7fffc058,0x7ffe405f,
    0x3ffe03ff,0xffffeeff,0x00ae00df,0x1ffffff7,0xffffc800,0x00fe205f,
    0x3fffffa0,0x88007dc6,0xaaeffffe,0xffffd01a,0x00d0a60f,0x82ffffec,
    0xf06fffff,0x4c09ffff,0x003fffff,0xff98db00,0x08783fff,0x2fffffc0,
    0x3ffffe60,0x3ffffe06,0x3ffffa24,0xfff10003,0x10007fff,0x03ffffff,
    0x7cc001b6,0xf54fffff,0x3ffe2005,0x4fffffff,0x0fffffd0,0xfd8000f2,
    0xff885fff,0xfff04fff,0x7fdc09ff,0x80002fff,0x7ffcc1fa,0x003d43ff,
    0x02fffffc,0x0ffffffc,0x44fffff8,0x05ffffe8,0xfffffd80,0x3fee0006,
    0x1f985fff,0x3ffee000,0x003fafff,0x3fffea62,0xfd00999e,0x0fa0ffff,
    0xffffd800,0xfffffb85,0x9fffff00,0x37fffec0,0x984e8000,0x743fffff,
    0xffff8007,0xfffe805f,0xffff02ff,0xffff709f,0x7fd4003f,0x0001ffff,
    0x17fffff4,0x3a00013a,0x04ffffff,0xbffff100,0x3ffffa00,0x0003fa87,
    0x117ffff6,0x407fffff,0x904fffff,0x003fffff,0xf301f900,0x3ae7ffff,
    0x9998807f,0x99efffff,0x7fff4199,0xffff03ff,0xffff509f,0x3fe2009f,
    0x0004ffff,0x6fffffa8,0x200003ee,0x4ffffff9,0xffff1000,0x3fffa00b,
    0x01ffdc7f,0xdffffb00,0xfffff753,0xfffff805,0xffdba99d,0x80001cff,
    0xfff302f9,0xfffffdff,0xfffff500,0xffffffff,0xfffffd8f,0x9fffff04,
    0xbfffff10,0x3ffff200,0x3a00006f,0xf8afffff,0x3ee00003,0x001fffff,
    0x05ffff88,0xdfffffd0,0x007ffffd,0x7ffffec0,0x02deffff,0xfffffff0,
    0x1bffffff,0x67f40000,0xffdccccc,0xffebdfff,0xffff8007,0xfffd805f,
    0xffff04ff,0xffff109f,0xfff3009f,0x00005fff,0x77ffffcc,0xe800006d,
    0x006fffff,0x05ffff88,0x9fffffd0,0x007ffffd,0x77fffec0,0x3fe00019,
    0xffc9dfff,0x00006fff,0x3bbbbbee,0xfffffeee,0x2001fee3,0x805fffff,
    0x03fffffd,0x509fffff,0x005fffff,0x0bfffffd,0xfffb0000,0x00003fff,
    0xffffff70,0xfff88009,0xfffd005f,0x1ffdccff,0xffffb000,0xfff0000b,
    0x7fff49ff,0x880004ff,0x7ffcc03f,0x003ec3ff,0x02fffffc,0x0ffffff4,
    0x84fffff8,0x00fffffb,0x7fffffdc,0xf9800000,0x0006ffff,0xfffdf980,
    0x22001fff,0xd005ffff,0xf50fffff,0x7fec0007,0xf80005ff,0x3e24ffff,
    0x002fffff,0x7cc036c0,0x3d43ffff,0x7ffffc00,0xfffff805,0xfffff00f,
    0x9ffffd09,0xfffff880,0x0033003f,0x06ffffe8,0xda744000,0x00efffff,
    0x0bffff10,0x1fffffa0,0xfb0001f4,0x0000bfff,0xb89fffff,0x00ffffff,
    0x3003f500,0xf07fffff,0x7ffc0620,0x7fc405ff,0x3fe07fff,0x3f624fff,
    0xfd803fff,0x2006ffff,0x7ff4002c,0x400006ff,0x3fffe26d,0xff1004ff,
    0x3fa00bff,0x07707fff,0x7fffec00,0xfff80005,0xfffd84ff,0x9d0005ff,
    0x3fffe600,0x0590583f,0x017ffffe,0x07fffff5,0x777ffffc,0x02effffe,
    0xffffffa8,0x0007a001,0x00dffffd,0x2a07e400,0x02ffffff,0x05ffff88,
    0x0fffffd0,0xfd8000ea,0x80005fff,0x884fffff,0x03ffffff,0x98007640,
    0x003fffff,0x3ffe03f1,0x7fec05ff,0x7ffc06ff,0xaabcceff,0x3fffa000,
    0x3ea004ff,0x7fff4000,0xf700006f,0x3ffff603,0x7fc400ef,0xffd005ff,
    0x00040fff,0x0bffffb0,0xfffff000,0x3fffea09,0x5f3001ff,0x7fffcc00,
    0x40f7003f,0x205fffff,0x01fffff9,0x027ffffc,0x3ffff200,0xff1000ff,
    0xffffd000,0x7f50000d,0x7ffffc40,0x7ffc404f,0xffe80c6f,0x000007ff,
    0x00bffffb,0x9fffff00,0x7ffffe40,0x800dd006,0x03fffff9,0x3fe07fb8,
    0x3f605fff,0xff803fff,0x20004fff,0x2ffffff9,0x00dfd500,0x0dffffd0,
    0x805f9800,0x2ffffffa,0x87ffff40,0xffffd01c,0x3a00000f,0x0006ffff,
    0x2fffffc4,0x3fffffa0,0x0027e405,0x13ffffea,0x7c0bff90,0xd886ffff,
    0xf001efff,0x0009ffff,0x2ffffff4,0x2fffec40,0x7ffffc00,0x3fe60007,
    0xffffd002,0x7fcc01ff,0x3e03ffff,0x0007ffff,0xfffff980,0x3ee0001f,
    0x200fffff,0x3ffffff9,0x001dff70,0x7fffffec,0xffdbaaac,0xfff704ff,
    0xd9759fff,0x20019dff,0x0efffffb,0xffffa800,0xaaaaacff,0xfffffcba,
    0x7ffd4005,0x44002fff,0xd005fffb,0x1dffffff,0x1effed40,0xffffff50,
    0x3b600007,0xffffffff,0xfdd3005e,0xdfffffff,0x3fffee09,0xfff31fff,
    0x9503dfff,0xfffffffd,0xffffffff,0x764c7fff,0xffffffff,0x001beeff,
    0xfffffd91,0x2007bfff,0xfffffff8,0xffffffff,0x04ffffff,0xffffeca8,
    0x02ceffff,0x7fffffe4,0xfffc81df,0x4fffffff,0xec880440,0xffffffff,
    0x000001ce,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x74c00000,0xffffffff,0x36002eff,0xffffffff,
    0xffffffff,0x5105ffff,0x5019dfd9,0xfffffffd,0x379dddff,0x33333200,
    0xcccccccc,0x4004cccc,0x100001cb,0x00000099,0x3b2e6011,0x22002def,
    0x00cefeca,0x1ceedb88,0xbddb7100,0x6ff64417,0x8031000c,0x2ffffffb,
    0xbfffb000,0xffffd559,0xfffb955f,0xd5dfd10b,0x7ec05fff,0xccbdffff,
    0x403efffe,0x00380004,0x80001ff4,0x220007f9,0x20cdfecb,0xbbefc84d,
    0x8804fffe,0xfffeaefe,0x27bfa602,0x36203ffc,0xfffebbef,0xfeabffaa,
    0x3ffae02f,0xfff880cf,0x360007ff,0xfffe80ef,0x45fe986f,0x3fe66ff9,
    0xfff301ff,0xfff709ff,0x001203df,0x7fd000e0,0x1fe60000,0x5fff4400,
    0x46cbffea,0x7fc46fe8,0x3fe602ff,0x07fffe66,0xffd1bfea,0xb0dfd105,
    0xf89fffff,0xfff982ff,0xfff04fff,0x6c000dff,0xffffd01f,0xf897e20d,
    0x7fffc3ff,0xfffff303,0x3fffe609,0x8000481f,0x01ff4003,0x007f9800,
    0x7c3fff98,0x7fdc0fff,0x3fffec1f,0x7c3fff88,0x7fc43fff,0x43ffd43f,
    0x7d40fffc,0xffc87fff,0xffd32e86,0xfffff01f,0x026c000b,0x40dffffd,
    0x07ffee5c,0x2209fff9,0x204fffff,0x40fffffb,0x00380004,0x80001ff4,
    0xfe8007f9,0x7ffec0ff,0x227fff42,0xb80ffffd,0x7fe41fff,0x0fffe44f,
    0xfd0fffe6,0xfff989ff,0x2fffa86f,0x03ffea0c,0x017ffffe,0x3fa01d80,
    0x96606fff,0x7cc1ffff,0xfff101ff,0x7fc409ff,0x00246fff,0x3fa001c0,
    0xff300003,0x7fffb800,0x6c6fffb8,0x7fe44fff,0xffff81ff,0x20fffcc1,
    0x7cc0ffff,0x7ffec5ff,0x2ffffcc5,0x2027ffd4,0xfff05ff9,0x14000bff,
    0x1bffffa0,0x3fffe670,0xff880300,0x7ec04fff,0x0121ffff,0xfd000e00,
    0x3e600007,0x7fffc007,0x7ffffc46,0x8837f622,0x4c1ffffd,0x0300ffff,
    0xf10ffff3,0xdfd98dff,0x1ffffd40,0x202fffcc,0xfff01ffc,0x00000bff,
    0x037ffff4,0x02ffffa8,0xfffff100,0xffffa809,0x2000124f,0x01ff4003,
    0x007f9800,0x897fffe2,0x04ffffee,0xffffffb8,0x17fffd41,0xfffff500,
    0xffffffff,0x3fff6600,0xffffffff,0x7f407fff,0x3ffffe03,0x3a000005,
    0x7006ffff,0x0007ffff,0x13ffffe2,0xffffff10,0x0e000121,0x33333333,
    0x333339fd,0x26662333,0x9ffa9999,0x09999999,0x6cbffff3,0x05ffff9d,
    0x3ff2ffee,0x7ffdc1ff,0x3fee003f,0x99999aff,0x7ecc0199,0x9dffff9c,
    0x19999999,0xff00ff20,0x0000bfff,0x37ffff40,0x4ffffb80,0xffff1000,
    0xffff009f,0x000123ff,0xfffff98e,0xffffffff,0xfb7fffff,0xffffffff,
    0xffffffff,0x3fffee9f,0x3ffe6d95,0x1ffe986f,0xb83ffff9,0x2004ffff,
    0x002ffffb,0x7c4bff20,0x20005fff,0x7fc142fa,0x00005fff,0x1bffffa0,
    0x37fffd40,0xffff8800,0xffff804f,0x000092ff,0x7ffffcc7,0xffffffff,
    0xfb7fffff,0xffffffff,0xffffffff,0x3fffea9f,0xfff30ebd,0x1fffc8bf,
    0x507ffff2,0x400dffff,0x003ffffa,0x7c2ffe98,0x30007fff,0x0b9555bf,
    0x00bfffff,0x7fff4000,0xfff3006f,0xf10005ff,0xd009ffff,0x127fffff,
    0x3330e000,0x9fd33333,0x33333333,0x26666662,0x9999ffa9,0xff309999,
    0x7cc1ffff,0x3fee3fff,0x7fffe45f,0x7ffffcc1,0xffff3002,0xfff9800d,
    0x1ffffe86,0x7fffcc00,0xfff83fff,0x000005ff,0x01bffffa,0x0efffff8,
    0x3ffe2010,0xffe804ff,0x00093fff,0x3fe80070,0x0ff30000,0x7ffffc40,
    0x0ffffd41,0xfc89ffff,0xfff81fff,0x44100eff,0x202fffff,0x427fff44,
    0x405ffffc,0x3ffffe64,0xfff82fff,0x000005ff,0x01bffffa,0x4fffffb8,
    0xfff10698,0xfff009ff,0x00125fff,0x7fd000e0,0x1fe60000,0x0dfffb00,
    0x261ffff5,0xd50effff,0xf703ffff,0xd309ffff,0x0fffffc8,0x3ffe64c8,
    0xffffa86f,0x4c45b03f,0x01999999,0x00bfffff,0x7fff4000,0x7ff4006f,
    0xecabefff,0xfffff100,0xfffff009,0x2000121f,0x01ff4003,0x007f9800,
    0x5c37ffcc,0x3fe25fff,0xfefeffff,0x740abfff,0xabefffff,0x7ffc40ec,
    0x6da9bfff,0x6fffffcc,0xfffefda9,0x5eb9adff,0xffff0000,0x003000bf,
    0x01bffffa,0xfffffd10,0x7c403fff,0x4404ffff,0x127fffff,0xd000e000,
    0x2600007f,0xfff8007f,0x437ff40f,0x8efffffd,0x85fffff9,0xffffffe8,
    0xfff301ff,0x01ffffff,0xfffffffd,0x3ffff61b,0x000dffff,0xbfffff00,
    0xd0059800,0x000dffff,0xbfffffb1,0xffff8803,0x7ffcc04f,0x000126ff,
    0x07fd000e,0x01fe6000,0x1bffbbb0,0x2603bfea,0x7e43effd,0x3f6204ff,
    0x401dffff,0xceffffe8,0xffffd300,0xffff905d,0x800007bf,0x005fffff,
    0xffe8026c,0x540006ff,0x3fe2001f,0x7dc04fff,0x0122ffff,0xfd000e00,
    0x3bbb2007,0xeffeeeee,0x3eeeeeee,0x77ffd4d7,0x04400cef,0x35300020,
    0x01531000,0x8800d4c0,0x2000001a,0x005fffff,0x7f400fe2,0x40006fff,
    0xf1000bfd,0xe809ffff,0x0245ffff,0x3a001c00,0xfffb003f,0xffffffff,
    0x9fffffff,0x02aa6022,0x00000000,0x00000000,0x40000000,0x006fffff,
    0x7f400bee,0x20006fff,0x1004fffa,0x409fffff,0x40fffffa,0x00380004,
    0xcb800e5c,0xcccccccc,0xcccccccc,0x0000002c,0x00000000,0x00000000,
    0xfff80000,0xff5006ff,0x3fffa003,0x7cc0007f,0xfff1006f,0x7ff409ff,
    0x000482ff,0x00000038,0x00000000,0x00000000,0x00000000,0x20000000,
    0x07fffff8,0x001fffa8,0x00ffffff,0x005ff980,0x0bfffff3,0x01dfffd1,
    0x00e00012,0x00000000,0x00000000,0x00000000,0x00000000,0xfffb8000,
    0xaaaadfff,0x0ffffecb,0xfffffa80,0xea88002f,0xff9001ef,0xb757ffff,
    0xe807dfff,0xcccccccc,0xcccccccc,0x00000006,0x00000000,0x00000000,
    0x00000000,0x64c00000,0xfffffffe,0xffffffff,0x32207fff,0xfffffffe,
    0xdd000cef,0xeda80179,0xffffffff,0x000bdeff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0xaaaaaaa9,0x55555551,0x2aaaa235,0x0c000221,0xa8000031,0x2a2aaaaa,
    0x5300bdec,0x64c55555,0xeca81cee,0x555100bd,0x2a555555,0x2a62aaaa,
    0x6d42aaaa,0x002a203e,0x1beedb88,0x2aaaaaa0,0x2aaaaa62,0x7bfd9102,
    0x00000953,0x555554c6,0x5554c2aa,0xffffd31a,0x3ffa619f,0x3aa0bfff,
    0x41dd11df,0x6c1bccb9,0x005bf31f,0x3fff6600,0xfffff97f,0x3fff660d,
    0xfffff77f,0x7fffec3f,0xffd700ff,0x3aa3bfff,0x3f221cff,0x3ff67fff,
    0x7ff540ff,0x7fcc00df,0x82ffeabf,0x26ffffe9,0x0fffffc8,0x7e5f7f44,
    0x200005ff,0xffd37eb8,0xb885dfff,0x3fe21dff,0x7fcc1fff,0x47c80fff,
    0xffd9eff9,0xfd9dffff,0x9ffff31f,0xff880001,0xfdbedfff,0x3fe04fff,
    0xfbbedfff,0xbee9ffff,0x205ffffc,0x44fffff8,0x3ffe01fd,0xfffff97f,
    0x7ff6fcc5,0x3ffea05f,0x207ffe61,0xf86ffff9,0x7e40ffff,0x017f621f,
    0x3fff2600,0x3ffffe27,0x2e03be04,0xfd84ffff,0x83d83fff,0xdefffff9,
    0x1fffffed,0x6ffffecc,0x3ffe0002,0x7fff46ff,0x3ffffa07,0x3fffee0e,
    0x7ffff45f,0x3fffea00,0xe805f10f,0xecfbffff,0xc8360fff,0xfff107ff,
    0x81fffb0d,0xe86ffff8,0x7fc0ffff,0x0005e81f,0x2fffffaa,0x37fffdc0,
    0x3fe207f0,0xfffe87ff,0xa807c46f,0xfe981eff,0x3fae203f,0x4000bfff,
    0x6c0fffff,0xfd00ffff,0xff983fff,0xfffc86ff,0x7fff401f,0xfd007b4f,
    0x6dc3ffff,0x827fcc02,0xfc85fffc,0x7ffc46ff,0xffffd86f,0x03bffea0,
    0xfc8800d3,0x7c02efff,0xfa81ffff,0x3ffff600,0x3fffbe22,0xfd81aa0f,
    0x02ff4406,0xdffffda8,0xfffff001,0x03ffffb0,0x261ffffa,0xfc85ffff,
    0x7cc02fff,0x006cffff,0x00bffffd,0x7c417f60,0xffb84fff,0x3ffe20ff,
    0xffffd86f,0x3ffffea0,0xfda801c2,0x7001cfff,0x9b09ffff,0x5ffffa80,
    0x3fffef2e,0x7fcc0f63,0x01ff9801,0x3ffff220,0x3ffe00be,0xffffd87f,
    0x0ffffd01,0x90bffff3,0xb005ffff,0x003fffff,0x00fffffa,0x07fffd70,
    0x707ffff5,0x7c43ffff,0xffd86fff,0x7fffc0ff,0xf71005ff,0x0017dfff,
    0x0fffff88,0x3fe003e2,0xf13d0fff,0x03e2dfff,0xfb002fdc,0x3faa0007,
    0xff81cfff,0xfffd87ff,0xffffd01f,0x0bffff30,0x005ffff9,0x03fffff3,
    0x0bffffa0,0xffffd500,0x3ffffb85,0x23ffffa8,0xd86ffff8,0x7e40ffff,
    0x01efffff,0x3bffffb3,0xfffd8000,0x64016e3f,0x269bffff,0x5b9ffffd,
    0xc8013f20,0x64c0005f,0x7fc6ffff,0xfffd87ff,0xffffd01f,0x0bffff30,
    0x005ffff9,0x01bffff2,0x007ffff4,0x44fff980,0xa83ffffc,0x3e25ffff,
    0xffd86fff,0x7ff440ff,0x221fffff,0x00cffffe,0xffff3000,0xf9800f4d,
    0x2a4cefff,0x02ecffff,0xfc800ff6,0x75c40005,0x7ffc7fff,0xffffd87f,
    0x0ffffd01,0x90bffff3,0x2005ffff,0x02fffff8,0x00ffffe8,0x913fee00,
    0xf707ffff,0x7fc49fff,0xfffd86ff,0xfffe880f,0x3fe67fff,0x00001dff,
    0x557ffff4,0x7fff4006,0x3ffe21ff,0x3f200fff,0x013f6005,0x7fffe4c0,
    0x7ffff82e,0x01ffffd8,0xf30ffffd,0xff90bfff,0x7f4005ff,0xfe806fff,
    0x440007ff,0x7ffdc2ff,0xffffb83f,0x1bfffe23,0x803ffff6,0x1ffffffc,
    0x3bffff26,0xfa80000b,0x003ddfff,0x437fffdc,0x405ffffd,0xf8800ffa,
    0x7ed4002f,0x3e01cfff,0xffd87fff,0xfffd01ff,0xbffff30f,0x05ffff90,
    0x3ffff720,0x7fff402f,0x43df5007,0xfff984f9,0xffffb84f,0x1bfffe22,
    0x883ffff6,0x7ffffd40,0xffffd504,0xff800039,0x4000ffff,0x983ffff8,
    0xe802ffff,0x06fd805f,0xdffff710,0xffff0017,0x3ffffb0f,0x21ffffa0,
    0xc85ffff9,0x9802ffff,0x6ffffb8f,0x03ffff40,0xecefffa8,0x13fffa03,
    0xf03ffff2,0xffb0dfff,0x4434c1ff,0x4c04fffe,0x02effffc,0x9ffff700,
    0x3fff6000,0x00ffff00,0x22037fea,0x6cc03ffd,0x001dffff,0x6c3ffffc,
    0xfd01ffff,0xff981fff,0xfffc85ff,0xd174402f,0x7407ffff,0x22007fff,
    0x5400aab9,0xffd85fff,0x7ffff84f,0x07ffffd4,0xfff507f3,0x3fae2005,
    0x2000cfff,0x000ffff8,0x640bff50,0xfe8804ff,0xfcbbcfff,0x5c40efff,
    0x00bffffe,0x1fffff00,0x01ffffe8,0x983fffff,0xfd86ffff,0x36c02fff,
    0x03ffffee,0x007ffff4,0x3ffa0000,0x07fff40f,0xa97fffec,0x21ffffff,
    0x7fc40ff9,0xfd98000f,0xb002dfff,0xf8000bff,0x07fe602f,0xfd7ffd10,
    0xf7dfffff,0x3ffe61df,0x4c0002df,0x221fffff,0x983fffff,0x5c3fffff,
    0x220fffff,0x104ffffe,0xfff98bfb,0xfff886ff,0x000002ff,0xf727ff44,
    0x3fe201df,0xfdafffff,0x3fe23fff,0x05ff90bf,0xffeb8800,0x2ff9806f,
    0x403e4000,0x1ff8807e,0x98b3bb2e,0x39ff30ef,0xfff90000,0xff37ffff,
    0x5cdfffff,0x5fffffff,0xfffffffb,0xffffff35,0x3ffa21df,0xffeb8dff,
    0xf72fffff,0x1bffffff,0xfc800000,0x804ffeff,0xb1ffffea,0x22bfffff,
    0xfffffedf,0x6d400002,0x00dd007f,0x33005100,0x20006200,0x0000a609,
    0x00000000,0x00000000,0x00000000,0x01553000,0x00015300,0x0001a985,
    0x9801c400,0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x55510000,0x55555555,0x02a00155,0x440510a8,
    0x77100002,0x28005000,0x40001980,0x150000a8,0x028802a0,0x03300298,
    0x2aa20062,0x9806a000,0xffffffff,0xffffffff,0x3ffe67ff,0xffffffff,
    0x7fffffff,0x337bfea0,0xfffffecc,0x900fd800,0x17e05e8f,0x0fff2000,
    0xb003fd80,0x1ffd407f,0x00bf9000,0x260ffdc4,0xffc84fff,0x7ffec40e,
    0xdffb01df,0x4177fec1,0x0dfcbfd8,0x9ff77970,0xffffff30,0xffffffff,
    0x7ccfffff,0xffffffff,0xffffffff,0x213ea07f,0x03fffff8,0x7f903fc8,
    0x9f705fa8,0x4ffd8000,0x00fff600,0x7ec07ffb,0xff30006f,0xffd9805f,
    0x7ffe41ff,0x3fffe20f,0x3ffffa24,0x7fcc1fff,0xffff52ff,0x7e4bfd0f,
    0x3f25fa86,0x5555442f,0xaaaaaaaa,0x27fcaaaa,0xaaaaaaa8,0xaaaaaaaa,
    0x1aa02aaa,0x037fffec,0x6fb83fdc,0x3fe09fd0,0x37620004,0x1ffec000,
    0x5c03ffd8,0xfd0004ff,0xf3080dff,0xfffe83ff,0x3fffea1f,0x119ffd15,
    0x7dc3ffd7,0xfffb4fff,0x1ffdc5ff,0xffe87ff5,0x0007ff70,0x000ff300,
    0x50750000,0x805fffff,0xffa83ffb,0x707ff502,0x000007ff,0xb0fff600,
    0x21a887ff,0x02e21ff8,0x7ff9ff50,0x83fff100,0x220ffffd,0xff54ffff,
    0xfa93fe03,0xfff73fff,0x17fecbff,0x3d98dff5,0x0009ffb1,0x000ff300,
    0xd0110000,0xa80bffff,0x6ffa86ff,0x7417ff40,0x000002ff,0x367ffb00,
    0xdffd83ff,0x2ffe4db0,0x7ff57fa0,0x0fffc400,0x3e1bffee,0x0df92fff,
    0xfff137e4,0x3fff223f,0xa8bffe5f,0xbd9107ff,0x000009ff,0x99998ff3,
    0x99999999,0x01999999,0x7ffffdc0,0x0bffea00,0xa805fff3,0x7fdc2fff,
    0x4cccc42f,0x99999999,0x00999999,0x0fffbff6,0x5c77fff4,0x06fffd8c,
    0x7fcc3fee,0x0fffc404,0x3613ffe6,0x07fd0fff,0xffd07fc4,0xe93ea10f,
    0x1ffea2ff,0x3fee37ea,0xf9800004,0x3ffffe67,0xffffffff,0x007fffff,
    0x0fffffe2,0x4c6fff98,0xfd006fff,0xfffe83ff,0x3fffff61,0xffffffff,
    0x404fffff,0x2603fffd,0xfedffffe,0xf101efff,0x00ffd87f,0x3e07ffe2,
    0x6ffb82ff,0xffa817fa,0xc817ff20,0xa8bff62f,0x87fdc5ff,0x00004ffb,
    0x3fe67f98,0xffffffff,0xffffffff,0x3fff6007,0x3ffe206f,0x3fffe22f,
    0xffff5002,0x87fffd41,0xfffffffd,0xffffffff,0x7ec04fff,0x6c4003ff,
    0x1ff2000d,0xf8817fe2,0x0ffd81ff,0x3f24ff98,0xa8dfd00f,0x51be03ff,
    0x17fdc7ff,0x3f623ffe,0x3000004f,0x99999983,0x99999999,0x50019999,
    0x805fffff,0x7e45fffc,0xff9004ff,0x5fffb8bf,0x26666662,0x99999999,
    0x36009999,0x003ffeff,0x003d57d5,0x3f205ff3,0x3fff101f,0x7fc0df70,
    0x8877fe62,0x7fc43ffb,0xf903f701,0x7fc27ecb,0x3effceff,0x00000000,
    0xffd00000,0x3f600bff,0x7ffec1ff,0x2fffc400,0x001bffe2,0x3ff60000,
    0xc807ffb3,0x04ff88ff,0xff1037f4,0x07ffe20d,0x0fd813e6,0x7ef7ffdc,
    0x10fd05ff,0x775403fb,0x7bb502ee,0x00006764,0x00000000,0x7ffffdc0,
    0xffd80980,0x404ffd85,0x7e40effc,0x000000ef,0x361ffec0,0xdff903ff,
    0xfa82fff4,0x17fdc01f,0xf817ffcc,0x7dc1ae02,0x00cfffff,0x00ce88b7,
    0x00000000,0x00000000,0x7fffc400,0xd101b03f,0xffe883ff,0x81dff100,
    0x8000eff8,0x6c000de9,0x7ffb03ff,0x7dc7ffd0,0x00bfd07f,0xfca89bfa,
    0x0040adff,0x7bb71004,0x00808803,0x00000000,0x00000000,0xffffb000,
    0xe881e60d,0x05fe885f,0xff901df9,0x3ff60001,0x0fff6004,0xfb87ffb0,
    0x40ffa20e,0x33100099,0x4cccccc4,0x00000009,0x00000000,0x00000000,
    0x40000000,0x82fffffa,0x7fc407f9,0x441ff881,0x1ff880ff,0x0fff2000,
    0xb003fd80,0x0008007f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7fff4000,0xfdb999ef,0x05f9806f,0x01fc8bf3,0x880003f9,0x0028002b,
    0x00000014,0x00000000,0x00000000,0x00000000,0x00000000,0x3fffee00,
    0xffffffff,0x03d3005f,0x80ec43a6,0x000002e8,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x30000000,
    0x0055d440,0xdddd8710,0x37720505,0x17d7105d,0x11110000,0x88111111,
    0x88888888,0x88888888,0x2eeeee20,0xbbbbbbbb,0x001bbbbb,0x00000000,
    0x00000000,0x00000000,0x16e00000,0x6fffffd4,0xf32dc00b,0xffb83fff,
    0x7fffcc3f,0x46fffd82,0x3f661efc,0x3ffffe24,0xf30fffff,0xffffffff,
    0xffffffff,0x3fffe65f,0xffffffff,0x02ffffff,0x00000000,0x00000000,
    0x00000000,0xf1000000,0xffff985d,0x01cfffff,0x0fffe47d,0x4c3ffffc,
    0x7fc45fff,0xfff31fff,0x897ffecb,0xffffffff,0xffff30ff,0xffffffff,
    0x25ffffff,0xeeeeeee9,0xeeeeeeee,0x00001eee,0x00000000,0x00000000,
    0x00000000,0x1fffb000,0x6d445fec,0xabefffff,0x3ffe0ffc,0xfffff981,
    0x4c7ff982,0xf71fffff,0x7fff4dff,0xffffff13,0x4cc1ffff,0x99999999,
    0x99999999,0x00000000,0x00000000,0x00000000,0x00000000,0x7ec00000,
    0x5c40fe3f,0xfffffffe,0xf80bfe63,0xf300ffff,0x6fffe85f,0xfb8fffe2,
    0x777710ff,0x01777777,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3e23ff90,0xfffc9800,0x2017e42f,0x5403fffb,0x0676444f,
    0x02e606e2,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3ee60000,0x4400045f,0x54003500,0x00053000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x50000000,0x000059bd,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_bold_40_latin1_x[224]={ 0,3,3,0,1,2,1,2,1,0,2,0,1,0,
1,0,1,2,0,0,0,1,1,1,1,1,3,2,0,0,0,2,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,0,1,0,1,0,1,1,0,0,0,0,0,0,3,0,1,2,-1,0,1,0,1,1,1,1,1,1,0,
-2,1,0,1,1,1,0,1,1,1,0,1,0,0,0,0,0,2,2,1,0,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,3,2,0,0,0,
2,1,0,1,0,0,0,0,1,-1,1,0,0,0,4,1,0,1,2,1,0,0,1,1,0,2,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,2,1,0,0,0,0,0,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,-1,0,-1,-1,1,1,1,1,1,1,1,0,1,1,1,1,1,0,0,0,
 };
static signed short stb__times_bold_40_latin1_y[224]={ 32,7,7,7,7,7,7,7,7,7,7,10,26,21,
26,7,7,7,7,7,7,8,7,8,7,7,15,15,11,16,11,7,7,7,8,7,8,8,8,7,8,8,8,8,
8,8,8,7,8,7,8,7,8,8,8,8,8,8,8,8,7,8,7,37,7,15,8,15,8,15,7,15,8,7,
7,8,8,15,15,15,15,15,15,15,9,15,15,15,15,15,15,7,7,7,19,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,32,14,8,7,11,8,
7,7,7,7,7,15,16,21,7,3,7,10,7,7,7,15,8,17,31,7,7,15,7,7,7,14,-1,-1,-1,1,
1,1,8,7,-1,-1,-1,1,-1,-1,-1,1,8,1,-1,-1,-1,1,1,12,6,-1,-1,-1,1,-1,8,7,7,7,
6,7,7,6,15,15,7,7,6,7,7,7,6,7,7,7,7,7,6,7,7,12,14,7,7,6,7,7,7,7,
 };
static unsigned short stb__times_bold_40_latin1_w[224]={ 0,6,14,18,16,32,28,6,11,11,15,20,7,12,
7,11,16,14,17,16,17,16,16,17,16,16,6,8,20,21,20,15,32,26,23,24,25,23,21,27,28,14,18,29,
23,34,26,26,21,26,27,18,22,26,26,36,26,26,24,8,11,8,17,20,9,17,19,15,19,15,14,17,19,10,
11,20,10,29,19,16,19,19,15,12,12,18,18,26,18,18,16,11,4,11,20,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,0,6,15,18,18,19,
4,16,12,26,12,18,21,12,26,20,13,20,10,10,8,20,20,7,7,9,12,18,26,26,27,14,26,26,26,26,
26,26,36,24,23,23,23,23,14,14,14,14,25,26,26,26,26,26,26,16,26,26,26,26,26,26,21,18,17,17,
17,17,17,17,25,15,15,15,15,15,11,11,12,12,16,19,16,16,16,16,16,20,16,18,18,18,18,18,19,18,
 };
static unsigned short stb__times_bold_40_latin1_h[224]={ 0,26,13,26,28,27,26,13,33,33,15,20,13,5,
7,26,26,25,25,26,25,25,26,25,26,26,18,24,18,9,18,26,33,25,24,26,24,24,24,26,24,24,25,24,
24,24,25,26,24,32,24,26,24,25,25,25,24,24,24,31,26,31,14,3,7,18,25,18,25,18,25,25,24,25,
33,24,24,17,17,18,25,25,17,18,24,18,18,18,17,25,17,33,33,33,7,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,26,31,26,18,24,
33,33,6,26,11,17,9,5,26,4,13,20,14,14,7,25,32,7,8,14,12,17,27,27,27,26,33,33,33,31,
31,31,24,32,33,33,33,31,33,33,33,31,24,32,34,34,34,32,32,16,28,34,34,34,32,33,24,26,26,26,
27,26,26,27,18,24,26,26,27,26,25,25,26,25,26,25,26,26,27,26,26,16,19,26,26,27,26,33,33,33,
 };
static unsigned short stb__times_bold_40_latin1_s[224]={ 255,248,138,1,146,190,133,167,221,99,94,
110,174,78,39,242,198,214,152,56,134,70,103,52,174,191,248,239,50,230,136,
19,37,107,65,38,64,139,228,1,36,21,196,109,1,163,215,147,1,158,23,
206,25,36,63,148,188,161,136,239,233,113,110,112,47,169,1,187,1,203,21,
90,89,185,70,198,242,177,157,1,128,108,226,37,215,18,71,90,207,195,1,
233,245,25,9,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,
90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,255,245,1,
225,117,219,250,82,65,29,195,18,208,78,120,91,153,131,245,242,30,229,137,
57,1,128,182,37,65,125,19,241,31,138,165,86,17,44,51,58,1,192,216,
122,240,1,16,71,88,83,109,1,82,212,110,77,163,55,28,136,185,111,114,
162,215,1,1,96,20,47,219,48,225,171,109,63,170,244,73,182,35,87,208,
86,92,79,181,56,152,114,187,223,152,182,201,163, };
static unsigned short stb__times_bold_40_latin1_t[224]={ 1,70,366,164,104,104,164,366,1,36,366,
322,366,384,384,104,164,218,218,191,218,218,191,218,191,191,271,271,347,366,346,
218,36,218,271,164,322,271,297,191,271,271,245,271,322,271,245,191,297,70,297,
136,322,245,245,245,297,297,297,70,164,104,366,384,384,322,271,322,245,322,245,
245,271,245,36,271,245,346,346,347,245,245,346,347,297,347,347,346,346,218,366,
1,1,36,384,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,1,164,104,
191,346,271,1,36,384,191,366,366,366,384,191,384,366,322,322,346,384,218,70,
384,384,366,366,366,136,136,136,136,70,36,36,104,104,104,297,70,36,36,36,
104,36,70,70,104,297,70,1,1,1,70,70,366,104,1,1,1,70,36,297,
164,164,218,136,164,164,136,322,322,136,136,136,164,218,191,191,218,218,218,191,
191,136,164,164,366,322,164,136,104,136,1,1,1, };
static unsigned short stb__times_bold_40_latin1_a[224]={ 144,192,321,289,289,578,481,161,
192,192,289,329,144,192,144,161,289,289,289,289,289,289,289,289,
289,289,192,192,329,329,329,289,538,417,385,417,417,385,353,450,
450,225,289,450,385,545,417,450,353,450,417,321,385,417,417,578,
417,417,385,192,161,192,336,289,192,289,321,257,321,257,192,289,
321,161,192,321,161,481,321,289,321,321,257,225,192,321,289,417,
289,289,257,228,127,228,301,450,450,450,450,450,450,450,450,450,
450,450,450,450,450,450,450,450,450,450,450,450,450,450,450,450,
450,450,450,450,450,450,450,450,144,192,289,289,289,289,127,289,
192,432,173,289,329,192,432,289,231,317,173,173,192,333,312,144,
192,173,191,289,433,433,433,289,417,417,417,417,417,417,578,417,
385,385,385,385,225,225,225,225,417,417,450,450,450,450,450,329,
450,417,417,417,417,417,353,321,289,289,289,289,289,289,417,257,
257,257,257,257,161,161,161,161,289,321,289,289,289,289,289,317,
289,321,321,321,321,289,321,289, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_40_latin1_BITMAP_HEIGHT or STB_FONT_times_bold_40_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_40_latin1(stb_fontchar font[STB_FONT_times_bold_40_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_40_latin1_BITMAP_HEIGHT][STB_FONT_times_bold_40_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_40_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_40_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_40_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_40_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_40_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_40_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_40_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_40_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_40_latin1_s[i] + stb__times_bold_40_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_40_latin1_t[i] + stb__times_bold_40_latin1_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_40_latin1_x[i];
            font[i].y0 = stb__times_bold_40_latin1_y[i];
            font[i].x1 = stb__times_bold_40_latin1_x[i] + stb__times_bold_40_latin1_w[i];
            font[i].y1 = stb__times_bold_40_latin1_y[i] + stb__times_bold_40_latin1_h[i];
            font[i].advance_int = (stb__times_bold_40_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_40_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_40_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_40_latin1_s[i] + stb__times_bold_40_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_40_latin1_t[i] + stb__times_bold_40_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_40_latin1_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_40_latin1_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_40_latin1_x[i] + stb__times_bold_40_latin1_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_40_latin1_y[i] + stb__times_bold_40_latin1_h[i] + 0.5f;
            font[i].advance = stb__times_bold_40_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_40_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_40_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_40_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_40_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_40_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_40_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_40_latin1_LINE_SPACING
#endif

