// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_41_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_41_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_41_latin1_BITMAP_WIDTH         256
#define STB_FONT_times_bold_41_latin1_BITMAP_HEIGHT        414
#define STB_FONT_times_bold_41_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_bold_41_latin1_FIRST_CHAR            32
#define STB_FONT_times_bold_41_latin1_NUM_CHARS            224

#define STB_FONT_times_bold_41_latin1_LINE_SPACING          27

static unsigned int stb__times_bold_41_latin1_pixels[]={
    0x00000000,0x55554c00,0xb8000001,0x0003eeee,0x7775c000,0xc800002e,
    0x00004eee,0x05eeed98,0x3a200000,0x00005eee,0x03dddd30,0x00000000,
    0xffe8ad40,0x00005fff,0x03bfffa0,0xb00000ee,0x0000dfff,0x4ffff800,
    0xffa80000,0x00001fff,0x01ffffa8,0xff700000,0x000001df,0x017ffffa,
    0x27eda800,0x3ff11ff8,0x640ed980,0x0005ffff,0x1dfff300,0x000176c0,
    0x001fffb0,0x3fe60000,0xd000004f,0x00bfffff,0x3ffea000,0xd0000003,
    0x00001fff,0x3ffffee0,0x7440001f,0x8ffc43ff,0x3ee01ff8,0xffffb80e,
    0xf9000005,0xbf9001ff,0x7fec0000,0x90000003,0x00000bff,0x3fefffee,
    0x7000002f,0x00000dff,0x003fff30,0x3ffe2000,0x0005ffdd,0x2203ffa2,
    0x03ff11ff,0xff981fea,0x000005ff,0x6c003ffd,0xd100004f,0x000000df,
    0x000017fe,0xe9877fc4,0x2000006f,0x00001ffb,0x000ffdc0,0x47ff9000,
    0xb0001ffc,0x3fe20bff,0xf303ff11,0x7ffcc07f,0x9800005f,0x7cc001ff,
    0xd100004f,0x8000001f,0x000005f9,0xfd1037f2,0x64000005,0x4000003f,
    0x000001fe,0x3ee0bfe2,0xfff88006,0x223ff103,0x7ffcc1ff,0x3fffe600,
    0xfc800005,0x7ffd0001,0x02a20000,0x05300000,0x27c40000,0x00001b60,
    0x00000350,0x000001a8,0x5f50076c,0x5fffa800,0x3e23ff10,0x027ff41f,
    0x017fffe6,0x20000000,0x0000fffa,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x441bffe6,0x43ff11ff,0x4c01fff9,0x5445ffff,
    0x00000000,0x20027ffc,0xcdedca98,0x1000009a,0x59bdb953,0x22000013,
    0xacdedca9,0x99910009,0x99999999,0xcccc9859,0x33224ccc,0xcccccccc,
    0x6664c2cc,0x3224cccc,0xcccccccc,0x664c2ccc,0x104ccccc,0x3e20ffff,
    0x6c3ff11f,0xff9807ff,0xfffd55ff,0xffff905b,0x7d43ffff,0x3600ffff,
    0xf9000fff,0xfd959dff,0xc80007ff,0xecacefff,0x40003fff,0xcacefffc,
    0x3003fffe,0xffffffd5,0xba88135d,0x4c1befff,0xffffffea,0x5d4409ae,
    0x4c1befff,0xffffffea,0x5d4409ae,0x201befff,0xf880ffff,0x263ff11f,
    0xf9806fff,0xfefadfff,0xfc82ffff,0x3a06ffff,0x7fdc00df,0x7ff4c03f,
    0xdffd302f,0xffe98003,0xdffd302f,0xffe98003,0xdffd302f,0x3ffe2003,
    0xf5000fff,0xfff8801f,0xf5000fff,0xfff8801f,0xf5000fff,0xfffb001f,
    0x223ff103,0x9fff91ff,0xfffff300,0x3fff665f,0xffffd80f,0x2007ee06,
    0x3207fffa,0x4403ffff,0x9004ffff,0x8807ffff,0x9004ffff,0x8807ffff,
    0xf004ffff,0x400fffff,0xfff006f8,0x7c400fff,0xfffff006,0x037c400f,
    0x881fffc8,0x23ff11ff,0x9803fffe,0x442fffff,0xf985ffff,0xbb00ffff,
    0x3fffe600,0x4ffffb81,0x7ffff900,0x4ffffb80,0x7ffff900,0x4ffffb80,
    0x7ffff900,0xffffff00,0xf005f800,0x800fffff,0xffff005f,0x05f800ff,
    0x220fff70,0x23ff11ff,0x9803ffff,0xfd06ffff,0xffb03fff,0x00be09ff,
    0x217fffc4,0x00fffff8,0x1fffff10,0x3ffffe20,0xffff1000,0x3ffe201f,
    0xff1000ff,0xff801fff,0x74007fff,0xfffff004,0x004e800f,0x00ffffff,
    0xffb004e8,0x447fe20b,0xffff89ff,0xffff9803,0x7ffff905,0x0fffff30,
    0x7fc400d5,0x7fff43ff,0x7fec006f,0xfffd05ff,0xffd800df,0xfffd05ff,
    0xffd800df,0x7ffc05ff,0x274007ff,0x7fffff80,0xf8027400,0x4007ffff,
    0xeff8804e,0xff886600,0x02ffff99,0x05ffff98,0x209ffff7,0x6c2ffffe,
    0x3ffe2003,0x3fffee4f,0x7fe4003f,0x7fdc2fff,0x64003fff,0x5c2fffff,
    0x003fffff,0x17ffffe4,0x0ffffff0,0xff004e80,0xe800ffff,0xfffff004,
    0x404e800f,0x4000efd8,0xfffa9ff8,0xfff9802f,0xffff505f,0x3fffee0b,
    0xf0003e26,0x7fecbfff,0x54001fff,0x6c5fffff,0x001fffff,0x2fffffd4,
    0x07fffff6,0xfffff500,0x7ffffc0b,0x80274007,0x007fffff,0xfff80274,
    0x274007ff,0x0005bf90,0x3fee7fe2,0xff9802ff,0xfff505ff,0x7fffc0ff,
    0xf000b71f,0x7ffcdfff,0x4c001fff,0x7c6fffff,0x001fffff,0x37ffffcc,
    0x07fffffe,0xfffff300,0x7ffffc0d,0x80274007,0x007fffff,0xfff80274,
    0x274007ff,0x40005df0,0xfffa9ff8,0xfff9802f,0xffff505f,0x7fffe40b,
    0xff0005d5,0x3ffe2bff,0x44000fff,0x10ffffff,0x01ffffff,0xfffff880,
    0xfffff10f,0xff88001f,0xff00ffff,0xe800ffff,0xfffff004,0x004e800f,
    0x00ffffff,0x7fdc04e8,0x9ff88003,0x803ffff9,0x705ffff9,0x4409ffff,
    0x07afffff,0x4ffff880,0x1ffffff5,0xffff8800,0xffff51ff,0xf88001ff,
    0xf51fffff,0x001fffff,0xffffff88,0xffffff01,0xf004e800,0x800fffff,
    0xffff004e,0x04e800ff,0x4004ff98,0xffff1ff8,0xffff3007,0x3fffee0b,
    0x7fffec03,0xff88004f,0xffff72ff,0xff1000ff,0x3ee5ffff,0x8007ffff,
    0x2ffffff8,0x0ffffff7,0xfffff100,0x3fffe05f,0x0274007f,0x07fffff8,
    0xff802740,0x74007fff,0x07ffd004,0x23ff10cc,0x9803ffff,0xf905ffff,
    0xf9803fff,0x8001ffff,0xf51ffff8,0x000fffff,0x5ffffff1,0x1fffffea,
    0x3fffe200,0xffff52ff,0xff1000ff,0x3e05ffff,0x4007ffff,0xffff004e,
    0x04e800ff,0x0ffffff0,0xf7004e80,0x47fe20ff,0xfffb1ff8,0xffff3009,
    0x1bfffa0d,0x037fff40,0x0ffff980,0x1ffffff3,0xffff8800,0xffff31ff,
    0xf88001ff,0xf31fffff,0x001fffff,0xffffff88,0xffffff01,0xf004e800,
    0x800fffff,0xffff004e,0x04e800ff,0x103fff90,0x47fe23ff,0x9805fffa,
    0x545fffff,0x5001ffff,0x20007fff,0x3e25fffb,0x001fffff,0x3fffffcc,
    0x3ffffff1,0xffff9800,0x3fffe27f,0x7cc001ff,0x3e07ffff,0x4007ffff,
    0xffff004e,0x04e800ff,0x0ffffff0,0xfb004e80,0x3ff105ff,0xffe87fe2,
    0xffff9807,0xfffcbeee,0x7ffc002f,0xfff90000,0xffffff83,0x7ffcc002,
    0x7fffc6ff,0x7cc002ff,0x7fc6ffff,0x4002ffff,0x06fffff9,0x01fffffe,
    0x3fe009f0,0x7c007fff,0xfffff004,0x004f800f,0xf101fffd,0xa87fe23f,
    0x7cc00fff,0xfffb5fff,0xf70007df,0x7fec000b,0xfffffc85,0x7ffdc002,
    0x7ffe43ff,0x7dc002ff,0x7e43ffff,0x4002ffff,0x03fffffb,0x01fffffa,
    0x3fa007f0,0x7c007fff,0xffffd003,0x803f800f,0xf107fff8,0xd07fe23f,
    0xff9809ff,0x02aa25ff,0x002f8800,0x103fff10,0x009fffff,0x0fffffd8,
    0x27ffffc4,0x3ffff600,0x7fffc40f,0x7fec004f,0x3fa00fff,0x22007fff,
    0xfffd002f,0x17c400ff,0x7ffffe80,0x200be200,0xf106fff9,0x507fe23f,
    0xff980fff,0x800005ff,0x3ee00069,0x3fff205f,0x3fa000ff,0xff903fff,
    0x74001fff,0xf903ffff,0x4001ffff,0x403ffffe,0x007ffffd,0x7ec007ea,
    0x2a007fff,0xfffb001f,0x0fd400ff,0x82fffd40,0x3ff11ff8,0x4c07ff70,
    0x0005ffff,0x000f6062,0x2200eff8,0x003fffff,0x40dffff5,0x03fffff8,
    0x0dffff50,0x1fffffc4,0x6ffffa80,0xfffffa80,0x400fb001,0x01fffffa,
    0x7d400fb0,0xb001ffff,0x3ffe600f,0x223ff104,0x0df901ff,0x02ffffcc,
    0x225ffa80,0xdf70000f,0xfffd3001,0x3fffa00d,0x7ff4c00e,0xfffd006f,
    0xffe9801d,0xfffd006f,0xfff1001d,0x7f7009ff,0x7fffc400,0x03fb804f,
    0x3ffffe20,0x003fb804,0x7c413ffa,0x403ff11f,0xfff303fd,0x3f6000df,
    0x000970ff,0x88003fe6,0x6404fffd,0x22005fff,0x6404fffd,0x22005fff,
    0x6404fffd,0x54005fff,0x204fffff,0xfa8005fa,0x2a04ffff,0xffa8005f,
    0x3ea04fff,0x3ffdc005,0xff11ff88,0xa84fb803,0x0006ffff,0x1f35fffb,
    0x01bf5000,0x37ffee00,0x3fff6a21,0xfff70003,0x7fed443b,0xff70003f,
    0x7ed443bf,0xf70003ff,0x559dffff,0x4000bffb,0xcefffffb,0x005ffdaa,
    0x3ffffee0,0x5ffdaace,0x19ff5000,0xff11ff88,0xc8b91003,0x000fffff,
    0x2fffffa8,0x001ea800,0xfffec980,0x01cdfffe,0x7ff64c00,0x1cdfffef,
    0x7f64c000,0xcdfffeff,0x7ec40001,0xefffffff,0xfd880002,0xefffffff,
    0xfd880002,0xefffffff,0x7ecc0002,0x447fe24f,0x4c2001ff,0xffffffff,
    0x7ed4001e,0x0010001d,0x55d44000,0x44000000,0x00000aba,0x0055d440,
    0xcaa88000,0x00000aac,0xaaccaa88,0xa8800000,0x000aacca,0x3e229800,
    0x003ff11f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xbdddb000,0x2e200001,0x000d80bd,0x440cb880,0x000000bc,0x007bbbb2,
    0x3bbb6000,0xccc88003,0x0000cccc,0xfffdd971,0x4c0017bd,0xb8001bdf,
    0x002dfffd,0x00067ecc,0xbdfdb951,0x00000157,0x00ffffcc,0xffff9800,
    0x007b8bef,0x44fffd00,0x00005fff,0x07ffff10,0xfff70000,0xf88001ff,
    0x001adfff,0xaacefda8,0xdfdca989,0x9ff91001,0x2fbfa600,0x000effb9,
    0x200bfffd,0xcacefffc,0x0004fffe,0x05fff900,0x7fff4000,0x04ffffff,
    0xffff8800,0x01ffff52,0xfff70000,0xf1000007,0x009fffff,0x00ffff88,
    0x02dffa80,0x800ff620,0x7c404ffb,0x06ffb86f,0x0fffff98,0x0bfffa60,
    0x00f7ffcc,0x0bffe000,0xdef98000,0x2fffffff,0xffff0000,0x01bffe61,
    0x27fec000,0xffc80000,0x001fffbe,0x001fffe2,0x80003bf2,0xff1005fa,
    0x17fec05f,0x400fffdc,0x3206ffff,0x5403ffff,0x0004ffff,0x0005ff30,
    0x36e27980,0x00002eff,0xdd70fbaa,0xf1000003,0x2000009f,0xff30eff8,
    0x7ffc400b,0x17fa2006,0x01f44000,0x3e05ffe8,0xfffb82ff,0x2fffb802,
    0x09ffff70,0x0ffffee0,0x00ff2000,0x44022000,0x00000001,0x7dc00000,
    0x36000004,0x01fe984f,0x00dfff10,0x0000ffa2,0xff003f30,0x3ffe20ff,
    0x00fff985,0x7fc40510,0xf1000fff,0x0001ffff,0x000002a8,0x00000000,
    0x30000000,0x4c000005,0x017a203f,0x8037ffc4,0x000004fd,0xfff880d9,
    0x0ffffe07,0x800002a2,0x006ffffe,0x02fffff4,0x00000000,0x37b72a62,
    0x000009ac,0x9bdb9531,0x00000135,0x00000000,0x3ffe2000,0x006fb806,
    0x1e880066,0x81bffea0,0x004ffffd,0x7ffdc000,0x7dc003ff,0x32a2ffff,
    0xcccccccc,0x3332204c,0xc801cccc,0xecacefff,0x40003fff,0xcacefffc,
    0x0003fffe,0x00000b00,0x22000580,0x7c406fff,0xfffa801f,0x907ddd96,
    0x27ffdc09,0xdfffff10,0x7ffc4003,0x7fec7fff,0x54001fff,0x225fffff,
    0xffffffeb,0x7dd401af,0x2600beff,0xd302fffe,0x98003dff,0xd302fffe,
    0x00003dff,0x000017d4,0x0002fa80,0xc80dfff1,0x3ffc804f,0x05ffff59,
    0x7ffe40d5,0x7fffcc03,0x7dc003ff,0x7ffc7fff,0x4c001fff,0x986fffff,
    0x05ffffff,0x20077dc0,0x403ffffc,0x004ffff8,0x807ffff9,0x004ffff8,
    0x000bfb00,0x017f6000,0x037ffc40,0xffb007fe,0x3ffffd4b,0x3ff20798,
    0xfffd802f,0x1000efff,0x7c4fffff,0x000fffff,0x7fffffcc,0xfffffb80,
    0x03f6000f,0x09ffff70,0x0fffff20,0x09ffff70,0x0fffff20,0x3fff3000,
    0xf9800000,0xf88001ff,0x1bea06ff,0x443fff90,0x1e05ffff,0x401fffa8,
    0xffffebfb,0xfff000ef,0x7fffd4ff,0x7c4000ff,0xd01fffff,0x009fffff,
    0xff100fe6,0x22001fff,0x100fffff,0x001fffff,0x03ffffe2,0x4fffd800,
    0x7ec00000,0xf88004ff,0x0bf606ff,0x544fffa8,0x3e03ffff,0x05fff100,
    0xfffb17dc,0xff001dff,0x7ffdcfff,0xff0007ff,0x2607ffff,0x00ffffff,
    0xffe806d8,0x7ec006ff,0xffd05fff,0xfd800dff,0x10005fff,0x001fffff,
    0x3ffe2000,0x7c4000ff,0x03fa06ff,0x207fffc4,0x100ffffb,0x05ffa80f,
    0xfff50ff5,0xfff00bff,0x7fffdcff,0xfff0007f,0x7ec05fff,0x4c05ffff,
    0x7ffdc01f,0x7e4003ff,0x7dc2ffff,0x4003ffff,0x02fffffc,0xfffffc80,
    0xf9000003,0x8007ffff,0x3e06fff8,0x17ffee07,0xa81bfff6,0x82ffa806,
    0xffd106fd,0xfff803ff,0x3fffe67f,0x7c4000ff,0x201fffff,0x1ffffff9,
    0x3f6017a0,0x4001ffff,0x45fffffa,0x01fffffd,0x7ffffd40,0xffff8005,
    0x000007ff,0x0fffffff,0x06fff880,0x7ffc0df1,0x4ffff83f,0x5c401720,
    0x03ffe2ef,0x027fff44,0xf89ffffe,0x001fffff,0x3fffffcc,0x7ffffe40,
    0xf001f705,0x003fffff,0x6fffff98,0x0ffffffc,0x3fffe600,0x6fdc006f,
    0x002fffff,0x7fefdc00,0x22002fff,0xbf306fff,0x03fffea0,0x403ffff7,
    0x3ee2003d,0x409fff34,0x7c05fff8,0x7ffc7fff,0x54002fff,0x806fffff,
    0x1ffffff8,0x7c401fc4,0x000fffff,0x7fffffc4,0xffffff10,0xfff88001,
    0x3a000fff,0x6fffffac,0x56740000,0x006fffff,0x4c1bffe2,0xdfffb04f,
    0x80ffffd0,0xefd8800f,0x13fffe22,0x7c04ffb8,0x7fe47fff,0x5c003fff,
    0x004fffff,0x8dfffff9,0xfff5006d,0x88001fff,0x51ffffff,0x01ffffff,
    0xfffff880,0x21f5001f,0x01fffffe,0x3a1f5000,0x001fffff,0x220dfff1,
    0xbfffd05f,0x05ffffa8,0x3fa2016a,0x9ffffd06,0xf00bfe60,0xff88ffff,
    0x64004fff,0x000fffff,0x5ffffff1,0x7dc00be6,0x8007ffff,0x2ffffff8,
    0x0ffffff7,0xfffff100,0xb976005f,0x005fffff,0x7fdcbb00,0xf1005fff,
    0x83740dff,0x3a23ffff,0xd102ffff,0x07ffd001,0x3bffffe6,0x7c03fdc0,
    0xffc87fff,0xf1000fff,0x8007ffff,0xd6fffffb,0x7ffd400b,0xf88007ff,
    0xf52fffff,0x000fffff,0x5ffffff1,0x7c43f300,0x000fffff,0xff10fcc0,
    0x1001ffff,0x3ec0dfff,0x8a7fffc4,0x01ffffae,0xfff30079,0x7fffd403,
    0x01dd12ff,0x10fffff0,0x007fffff,0x01bfffee,0x7fffff40,0x3e6000fe,
    0x000fffff,0x7fffffc4,0xffffff31,0xfff88001,0x5d801fff,0x4fffffc8,
    0x642ec000,0x804fffff,0x3206fff8,0x7fffc41f,0xfff9cebf,0x2e00b907,
    0x7cc01fff,0xedcfffff,0xfffff000,0x1bfffa60,0x077fff40,0xffffa800,
    0x7c4003ff,0x001fffff,0x3fffffcc,0x3ffffff1,0xffff9800,0x82f8807f,
    0x0ffffff8,0x105f1000,0x01ffffff,0x206fff88,0xfffd82fa,0xffff16ff,
    0x82d84d88,0x8802fffc,0x1ffffffe,0x1ffffe00,0x04fffe88,0x0077ffe4,
    0x3ffffa00,0xfff8001f,0x4c002fff,0x7c6fffff,0x002fffff,0x37ffffcc,
    0xffb03640,0x20007fff,0x3fff606c,0x7fc403ff,0x213e206f,0x20dffffb,
    0xecacfffd,0xff705983,0x7fec007f,0x3e005fff,0x6c407fff,0x6cc1dfff,
    0x00005fff,0x03fffff9,0xfffff900,0xfffb8005,0x7ffe43ff,0x7dc002ff,
    0xf803ffff,0xcaaaaaad,0x006fffff,0x55555bf0,0xdfffff95,0x06fff880,
    0x77540fdc,0xdefda883,0x7d407a02,0x7dc005ff,0xf004ffff,0x2200ffff,
    0xffefffeb,0x00000bef,0x07fffff2,0x3fffe200,0x7fec004f,0x7fc40fff,
    0x6c004fff,0x400fffff,0xfffffffb,0xffffffff,0x7ffdc002,0xffffffff,
    0x2202ffff,0x6e806fff,0x4a800000,0x01bffe60,0x3ffffa60,0x7ffff800,
    0xffffb800,0x9000006f,0x003fffff,0x3fffff20,0x3fffa000,0xffff903f,
    0x7ff4001f,0x03e803ff,0x6fffffa8,0x5401f400,0x206fffff,0x8806fff8,
    0x2000003f,0x3fe200e9,0x405cc07f,0xf802fffd,0xd0006fff,0x005fffff,
    0xffff9000,0x3e20003f,0x5003ffff,0x440dffff,0x003fffff,0x00dffff5,
    0x3fe001f5,0x5001ffff,0x3ffe001f,0xff101fff,0x07ee00df,0x07aa0000,
    0xa81bffe0,0xfff886ff,0x6ffff804,0xffff5000,0x800001df,0x01fffffc,
    0x3fffa600,0xdfffd006,0xfffe9801,0xdfffd006,0x400bd001,0x05fffffb,
    0x7dc00bd0,0xf105ffff,0x7ec00dff,0x3aa00002,0x07fff000,0x6c0fffec,
    0xd37542ff,0x4000bfff,0x0efffffb,0x3ff20000,0x40001fff,0x404fffd8,
    0x2005fffc,0x404fffd8,0x5005fffc,0x7fc4005f,0x5401ffff,0x3fe2002f,
    0xf881ffff,0x7d4007ff,0x3220000d,0xdff5000e,0x83ffe401,0x7ff40ffd,
    0x007fffb1,0xfffffa80,0x400009cf,0x02fffffd,0xbfff7000,0x7ffed443,
    0xfff70003,0x7fed443b,0x5ff1003f,0xffffd800,0x0bfe205f,0xfffffb00,
    0x7ffff10b,0x02fd8800,0x0067e440,0x400ffe98,0xff987ff9,0xfb1ffd84,
    0x220000df,0xfffffffc,0x7cc001ff,0x005fffff,0x3ffb2600,0x1cdfffef,
    0x7f64c000,0xcdfffeff,0xdffd3001,0xffffe800,0xffe983ff,0x7fff4006,
    0x77443fff,0x000ceeee,0x46b37faa,0x0bfdca98,0x19ffb100,0x2b7fee00,
    0xf303ffda,0x01fff39f,0x99550000,0x2a001357,0xffffffec,0x000cdfff,
    0x02aea200,0x75100000,0xff900015,0x203dffff,0xffffffda,0xff91ffff,
    0x203dffff,0xffffffda,0x0001ffff,0x3b2a6200,0x002bcdef,0x80009a88,
    0x1bdefec8,0x567f6d40,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0xccbaaaa9,0x004ccccc,
    0x59302f22,0x41ca8000,0x40000cb8,0x0004eeed,0x405ee440,0xeed88005,
    0xeed8002e,0x000000de,0x3bbae000,0x8000002e,0x001eeeec,0x17777640,
    0x7f644000,0xeeeeffff,0x2001bdff,0x3fe66fff,0xff90004f,0x07ffec3f,
    0xffffa800,0xf500000f,0x917bffff,0xfff9000d,0xff9800df,0xc98002ff,
    0x0abdffee,0xffd802cc,0x4000005f,0x003ffff8,0x0bfffd00,0xfffe9800,
    0x3e24ffff,0xfffa8006,0x0ffff91f,0x53fffe00,0x002ffff8,0xffffff88,
    0xffd00005,0x7fffffff,0xffff9800,0x3f2003ff,0x75c002ff,0xecdfffff,
    0x05eaceff,0x01fffd10,0x7fd40000,0x2200003f,0x20007ffe,0xfffffff9,
    0x017e24ff,0xa9fffe20,0xb0005fff,0x7ff45fff,0xffc8000f,0x001fffbf,
    0x7feefd40,0x000fffff,0x7fe77fec,0x5fff000f,0x7ffec400,0xffb80adf,
    0x3a2005ff,0x000002ff,0x00013ff6,0x00bffa20,0x7fffff40,0x3e24ffff,
    0x5dd50004,0x0001dfc8,0xee989fb1,0xeff88003,0x000bff30,0x3fae26b8,
    0x7d4002df,0x00ffea5f,0x9800ffe6,0x802fffff,0x4005ffd8,0x00005fe8,
    0x0009ff10,0x02ff4400,0x7ffffd40,0x224fffff,0x0000004f,0x00000000,
    0xfe885fd8,0x40220001,0x7fd00008,0xc801ff30,0x3fe2003f,0x22004fff,
    0xe88005fe,0xa800000f,0x8000005f,0xfc8007e8,0xffffffff,0x0013e24f,
    0x00000000,0x07f30000,0x000036c4,0x0bee0000,0x15404e98,0x3ffffa00,
    0x05f88005,0x00015100,0x00005300,0x00054400,0x3ffffffa,0x3e24ffff,
    0x99999104,0x59999999,0xcccccc98,0x0000004c,0x64c00000,0x1ccccccc,
    0x66666440,0x000003cc,0xffff9000,0x1760001f,0x00000000,0x00000000,
    0xfffff800,0x24ffffff,0x3aa604f8,0xaeffffff,0x7fdd4409,0x3ff21bef,
    0x21ffffff,0x10fffffa,0x99999999,0x99999999,0xa8819999,0xeffffffd,
    0x7ffdcc00,0x999911be,0x99999999,0x33333225,0x2ccccccc,0x1bffffe2,
    0x9915a800,0x99999999,0x99999999,0xccc88199,0xcccccccc,0xcccccccc,
    0x0580000c,0xfffffb00,0x449fffff,0xfff8804f,0xf5000fff,0x3fff201f,
    0x37fa06ff,0x7ffed4c0,0xffeeefff,0x01ffffff,0x3ffffff2,0x01ff3005,
    0xfffffb53,0x54c137ff,0xfffffffd,0x3ffee09b,0x0c0005ff,0xfffffb53,
    0xffffdddf,0x5303ffff,0xdffffffb,0xffffffdd,0xa80003ff,0xffb8002f,
    0xffffffff,0x7c013e24,0x2007ffff,0x7fec06f8,0x07ee06ff,0xffffff88,
    0xfffea880,0x7ffff401,0x0dd004ff,0x5ffffff0,0xffffff00,0x3ffffe05,
    0x8800003f,0x80ffffff,0x01fffea8,0x3fffffe2,0xfffea880,0x2fec0001,
    0x7fffcc00,0x24ffffff,0xfff004f8,0x5f800fff,0x7ffffcc0,0xfd00bb00,
    0xb801ffff,0x7ff401ff,0x802fffff,0xfffe805d,0xffe800ff,0xff880fff,
    0x0002ffff,0xfffffd00,0x01ffb801,0x07fffff4,0x0007fee0,0x001fff98,
    0x7fffffc4,0x3e24ffff,0xfffff004,0x804e800f,0xf04ffffd,0xffffd005,
    0x03f9001f,0xfffffde8,0x026c01ff,0x07fffff4,0x7fffff40,0xfffff980,
    0xd000000f,0x001fffff,0xffe803f9,0xfc800fff,0x3ff60001,0xffc8004f,
    0x4fffffff,0x7fc013e2,0x74007fff,0xffff9804,0xfd006a87,0x1001ffff,
    0xfbbe803f,0x00efffff,0x3ffa0136,0xfe800fff,0xfb80ffff,0x0007ffff,
    0x3ffffa00,0x01f8800f,0x07fffff4,0x8000fc40,0x00fffff8,0xfffffe80,
    0x13e24fff,0x3fffffc0,0x74013a00,0x1ec2ffff,0xfffffe80,0x401d8580,
    0xfffff93e,0x4026c0bf,0x00fffffe,0x0fffffe8,0xffffffb8,0xfd000000,
    0x0b01ffff,0xfffe803b,0x1d8580ff,0xffff9000,0x3f20007f,0x24ffffff,
    0xfff004f8,0x4e800fff,0xdffff700,0xfe8007c4,0x8780ffff,0xfb1f401a,
    0x209fffff,0xfffe804d,0xffe800ff,0xffa80fff,0x0001ffff,0xfffffd00,
    0x80350f01,0x80fffffe,0xf0001a87,0x00ffffff,0x7fff5c40,0x4013e24f,
    0x007fffff,0xfff00274,0x8016e3ff,0x40fffffe,0x47d00078,0xffffffe8,
    0xfe804d82,0xe800ffff,0x980fffff,0x02ffffff,0xfffd0000,0x007881ff,
    0x1fffffd0,0x20000788,0xfffffdfb,0xf5100002,0xf8027c49,0x4007ffff,
    0x3ff2004e,0x4005d5ff,0x40fffffe,0x87d0007c,0xfffffff9,0x7f4026c0,
    0xe800ffff,0x880fffff,0x03ffffff,0xfffd0000,0x007c81ff,0x1fffffd0,
    0x200007c8,0xffffface,0x3e600006,0x7c013e24,0x4007ffff,0x3fe2004e,
    0x4007afff,0x20fffffe,0x7d0007f9,0xffffff50,0x74026c1d,0x800fffff,
    0x00fffffe,0x09fffffb,0x3ffa0000,0x1fe60fff,0x7ffff400,0x001fe60f,
    0xffe87d40,0x00001fff,0x027c49f3,0x07fffff8,0x36002740,0x004fffff,
    0x4ffffff4,0x0007ffb9,0x3fff207d,0x01365fff,0x03fffffa,0x3fffffa0,
    0xfffff300,0x3a00000d,0xb99fffff,0xfd0007ff,0xf733ffff,0x360000ff,
    0x3ffffee5,0x9f300005,0xff8027c4,0x74007fff,0x7ffcc004,0x7f4001ff,
    0xffffffff,0x07d0007f,0x7fffffec,0xffd009b3,0xfd001fff,0x7401ffff,
    0x001fffff,0x7fff4020,0x7fffffff,0xffffd000,0x0fffffff,0x443f3000,
    0x00ffffff,0x224f9800,0xffff004f,0x04e800ff,0x06fffe80,0xfffffe80,
    0x007ffcba,0x7f4407d0,0x4d9fffff,0xfffffe80,0xffffe800,0x3ffe200f,
    0x3b0005ff,0x3fffffa0,0x007ffcba,0x5fffffd0,0x000fff97,0xfff90bb0,
    0x300009ff,0x8027c49f,0x007fffff,0x7d400274,0xfe8003ff,0x3ee0ffff,
    0x807d0007,0xfffffff9,0xfffe804e,0xffe800ff,0x7d400fff,0x2003ffff,
    0xffd00fd8,0x3fdc1fff,0xffffe800,0x001fee0f,0xff105f10,0x0001ffff,
    0x13e24f98,0x3fffffc0,0x40013e00,0xe8000fff,0x6c0fffff,0x007d0007,
    0xfffffff5,0xffffd009,0xfffd001f,0xff5001ff,0xf5007fff,0x7fff401b,
    0x003ec0ff,0x0fffffe8,0x320003ec,0x3ffff606,0x7cc0003f,0x74013e24,
    0x4007ffff,0xbf70003f,0x3fffa000,0x003d40ff,0xff7003e8,0xd009ffff,
    0x001fffff,0x01fffffd,0x3ffff620,0xfdb99abf,0xfffe803f,0x003d40ff,
    0x0fffffe8,0x3e0003d4,0xcaaaaaad,0x006fffff,0x9f127cc0,0x3ffffa00,
    0x00be2007,0x80017c40,0x40fffffe,0x3e812078,0x3ffff600,0xfffe804f,
    0xffe800ff,0x4c000fff,0xfffffffc,0xfd001def,0x7881ffff,0xfffe8120,
    0x903c40ff,0xfffffb80,0xffffffff,0x260002ff,0x4013e24f,0x007ffffd,
    0x4c0007ea,0x3ffa0006,0x10680fff,0x2001f40d,0x804ffffe,0x00fffffe,
    0x0fffffe8,0x3eea6000,0xffd0001b,0x20d01fff,0x3fffa068,0xd10680ff,
    0xfa803e80,0x0006ffff,0x04f893e6,0x3fffff50,0x2201f600,0x20003d81,
    0x00fffffe,0x03e81720,0x27fffc40,0x7fffff40,0xffffe800,0xfd80000f,
    0x3ffa0003,0x32000fff,0x3ffffa05,0x8172000f,0xfff000fa,0x20003fff,
    0x013e24f9,0x27ffffc4,0x2a01fdc0,0x003e25ff,0xfffffe80,0x209f3000,
    0xf98004f8,0xffe804ff,0xfe800fff,0x0000ffff,0x0027ffd4,0x0fffffe8,
    0x7409f300,0x000fffff,0x02f409f3,0xbfffff70,0x893e6000,0x3fea004f,
    0x3ea04fff,0x0fffd805,0xfe800097,0x8800ffff,0x0bf503ff,0x013fee00,
    0x03fffffa,0x3fffffa0,0xffa80000,0xfffd0007,0xff1001ff,0x7ffff407,
    0x3ff8800f,0x44005f50,0x01ffffff,0x3e24f980,0x7ffdc004,0xfdaaceff,
    0xfffb005f,0x80001f35,0x01fffffe,0x207ffee2,0x000bffd8,0xfe804fc8,
    0xe800ffff,0x000fffff,0x005ff980,0x3fffffd0,0x0fffdc40,0x3fffffd0,
    0x0fffdc40,0x20017fc4,0x05fffffd,0x3e24f980,0xffd88004,0x2effffff,
    0x3fffea00,0x7d40002f,0xabefffff,0xffffdcaa,0x3fffaa0f,0x4000dfff,
    0x7ffd404e,0x7d404fff,0x004fffff,0x017fecc0,0x7ffffd40,0xdcaaabef,
    0x500fffff,0x7dffffff,0xfffb9555,0xffe981ff,0x7fff4006,0x4c003fff,
    0x0013e24f,0xaaccaa88,0xbfb50000,0x3b220003,0xffffffff,0xffffffff,
    0x000007ff,0xfec88288,0xffffffff,0xfffd912d,0x5bffffff,0x6777c400,
    0x3fb22001,0xffffffff,0xffffffff,0x7ff6447f,0xffffffff,0xffffffff,
    0x7ffffe47,0xffb501ef,0xffffffff,0x00000003,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x01ddddb0,
    0x00198000,0xbc981771,0x5e440000,0x700164c0,0x03999999,0x00000000,
    0x2405e5c4,0x302f2600,0x00c40059,0x00000000,0x20000000,0x7f440002,
    0x400003ff,0xdffd002e,0x002fffc4,0xf99bffe0,0x731004ff,0x0007ffff,
    0x0005bfb3,0xfffff300,0x400d915b,0x3ea5fff8,0x5f7003ff,0x7f644001,
    0xf50001de,0xb880001f,0xbcefffed,0x7540fc80,0x7fc400bf,0x2600006f,
    0xffff3007,0x01fffee3,0x1ffffa80,0x000ffff9,0x8007fffb,0x03fcadfa,
    0x7fff4000,0x04ffffff,0x43fffee0,0x2e06fffd,0xcefffffd,0x5dbfea01,
    0x7c4004ff,0x3620002f,0xfdacdfff,0x3f70cfff,0x04ffff98,0x000fff98,
    0x22009b00,0xff30ffff,0x7c4000df,0x3ffea7ff,0xfffc8005,0x2e26c003,
    0x3e600006,0xffffffde,0x3fe6001f,0x13ffee6f,0x3ea77fa6,0x41effeb9,
    0xff12fff8,0x2fec007f,0xffff5000,0x3fffea05,0xfffc82fc,0x7ff3007f,
    0x03f10000,0x2e177540,0x540001df,0x0efe42ee,0x1fffe400,0xf883f100,
    0x4d500001,0x02effeb8,0x221dfb80,0x7fc40cfc,0x3a23f50f,0x7ffec2ff,
    0x003fffe1,0x40003fea,0x401ffffd,0xb06ffff9,0x001fffff,0x20001be6,
    0x0000006b,0x00000000,0x003fffc8,0x001ea1f4,0x03101980,0xfd000000,
    0xd10fd47f,0x7fffc45f,0x00bfffa0,0x20005ff1,0x005ffffb,0xb05ffff9,
    0x800fffff,0x3e800029,0x00000000,0xc8000000,0x5c003fff,0x004ea8af,
    0x00000000,0x3ffe6000,0x5f307ea3,0xd07fffcc,0xfd809fff,0xfff50005,
    0x3e6003ff,0x7dc0ffff,0x00006fff,0x03eaa600,0x33333322,0xcccccccc,
    0x00cccccc,0x00005800,0x8007fff9,0x00cfffc8,0x00580000,0x33333220,
    0x2ccccccc,0x7d4dfff7,0x3fea2e81,0x3fffa0ff,0x003fea05,0x37ffffc0,
    0xfffffd00,0x4ffffa8b,0xcccccc88,0x02cccccc,0x7fffffb3,0x3fff6a60,
    0xffeeefff,0x01ffffff,0x0017d400,0x01fffe40,0x0002fa80,0x005f5000,
    0x7ffed4c0,0x709bffff,0x3eabffff,0x3fe62a81,0x3fffa0ff,0x005ff104,
    0x3ffffea0,0xffbfb003,0x7fc45fff,0xfb5302ff,0x37ffffff,0x327ff701,
    0xf100dfff,0x101fffff,0x003fffd5,0x0005fd80,0x003fffc8,0x0000bfb0,
    0x0017f600,0x7fffffc0,0xfffffa82,0xf8801fbe,0x3ffe1fff,0x00bfb02f,
    0x7ffffec0,0xfa9fc802,0x7f44ffff,0xfff800ff,0x3f202fff,0x3fffea5f,
    0x3ffffa03,0x0ffdc00f,0x3fff3000,0xfffc8000,0xfff98003,0x4c000001,
    0x80001fff,0x00fffffe,0xfffffffd,0x3fffa003,0x203fffe1,0x10000ffa,
    0x05ffffff,0xfff32fb8,0x7ffc8dff,0xfffffd00,0x8bffe201,0x206ffffd,
    0x00fffffe,0x20001fc8,0x0004fffd,0x001fffe4,0x0027ffec,0x3fff6000,
    0xffe80004,0xff500fff,0x03dfffff,0x225fff30,0xff882fff,0x3fe60002,
    0x2a01ffff,0x3fffe23f,0x02ffd47f,0x0fffffe8,0x223fffb0,0x205fffdf,
    0x00fffffe,0x10001f88,0x001fffff,0x01fffe40,0x3ffffe20,0xf1000000,
    0x0001ffff,0x0fffffe8,0x3ffffee0,0xfa803fff,0x207ff75f,0x540005fd,
    0x00ffffff,0xfff889f3,0x3fe21fff,0xffffd003,0xffff101f,0x0f7ed6e3,
    0x1fffffd0,0x0003b0b0,0x0ffffff2,0x3fffc800,0x7fffe400,0x9000003f,
    0x007fffff,0xfffffe80,0x7fffd400,0x400effff,0x01defec8,0x00801ff5,
    0x3fffffdc,0xff885e88,0x7fc2ffff,0xffffd001,0xffff501f,0xfd000ba3,
    0x0f01ffff,0x3fe00035,0x0007ffff,0x000ffff2,0x0fffffff,0x3ffe0000,
    0x40007fff,0x00fffffe,0xfffffd88,0x00001fff,0x36a05ff1,0xfa80deef,
    0xe887ffff,0xffff880e,0x007f42ff,0x0fffffe8,0x9affffb8,0x7ff4000f,
    0x03c40fff,0xffbf7000,0x20005fff,0x2003fffc,0xfffffdfb,0x7dc00002,
    0x02fffffd,0x3ffffa00,0x3fee000f,0x00ffffff,0x905fd800,0x0bff67ff,
    0x1ffffff1,0xff100fd8,0x7c83ffff,0x3ffffa00,0xffffc80f,0xfe8004cb,
    0x3e40ffff,0xf59d0000,0x000dffff,0x800ffff2,0xffffface,0x67400006,
    0x06fffffa,0x3ffffa00,0x7fd4000f,0x004fffff,0x5c07fd40,0xfff50fff,
    0xffffff83,0xf9807f21,0x5c0fffff,0x3fffa006,0xfffb80ff,0xe8001fdf,
    0x260fffff,0xf500007f,0x3fffffa1,0xfffc8001,0x3a1f5003,0x001fffff,
    0x3fa1f500,0x0001ffff,0x01fffffd,0xfffdfa80,0x220007ff,0xfff882ff,
    0xd1bffe67,0x2e5fffff,0x7ffcc02f,0x004986ff,0x03fffffa,0x1bffffea,
    0x7ffff400,0x07ffb99f,0x7dcbb000,0x8005ffff,0xb003fffc,0x7ffffdcb,
    0x4bb00005,0x05fffffb,0xfffffd00,0xc9fa8001,0x000fffff,0x3ea0bf90,
    0x3ffe26ff,0x3ffff20f,0xb803fabf,0x003fffff,0xfffffe80,0xfffff880,
    0xfffd0004,0xffffffff,0x43f30000,0x0ffffff8,0x1fffe400,0xff10fcc0,
    0x0001ffff,0x3fe21f98,0x8000ffff,0x80fffffe,0x323f5038,0x8001ffff,
    0xff700ffa,0x7fffc4df,0x3ffffe21,0xffb004fd,0x00001fff,0x01fffffd,
    0x03bffffe,0xfffe8044,0x7ffcbaff,0xc85d8000,0x004fffff,0x401fffe4,
    0xffffc85d,0x2ec0004f,0x27ffffe4,0x7ffff400,0xf507880f,0x03fffe23,
    0x407ff100,0x3e26fffc,0x7fd42fff,0x3e005fff,0x3104ffff,0x7ffff400,
    0xffff500f,0x201d30bf,0x20fffffe,0x440007fb,0xffff882f,0x3f2000ff,
    0x17c403ff,0x7fffffc4,0x05f10000,0x1ffffff1,0xffffe800,0xa82f880f,
    0x01fffa1f,0xf7017f20,0x7ffc4dff,0xffffd81f,0xffff5002,0x07bff20d,
    0x3fffffa0,0x3ffff200,0x01fdbcff,0x03fffffa,0x6c8000fb,0x3fffff60,
    0x3fff2003,0xfb036403,0x0007ffff,0xfffd81b2,0x7f4003ff,0xf880ffff,
    0x3fe1fa85,0x7fd4004f,0x37ffd400,0x101ffff3,0x001fffff,0x301ffffd,
    0xd00bffff,0x801fffff,0xfffffffe,0x7fff402f,0x003d40ff,0x2aaab7e0,
    0xfffffcaa,0x3fff2006,0x5556fc03,0xffffcaaa,0x5bf0006f,0xff955555,
    0xe800dfff,0x880fffff,0xa8fd45ff,0x744006ff,0xffe8803f,0x817ffe67,
    0x405ffffd,0x901efffd,0xd00fffff,0x801fffff,0xdfffffed,0xffffe801,
    0x0903c40f,0xffffffb8,0xffffffff,0xfff9002f,0x7fffdc07,0xffffffff,
    0x5c002fff,0xffffffff,0x2fffffff,0x3ffffa00,0xefff880f,0xffb9fa8a,
    0x2fe4000e,0x21fff500,0xf900fffa,0x15bfff95,0x13fffae2,0x0bffff50,
    0x1fffffd0,0x1a98fc40,0x7ffff400,0x0d10680f,0xffa803e8,0xf9006fff,
    0x01f407ff,0x37ffffd4,0x2a00fa00,0x006fffff,0x03fffffa,0x7ffffed4,
    0x8003efff,0x5c000ffa,0x1efe8cff,0x7dc45f70,0xefffefff,0xfffb000b,
    0xffffd003,0x0035c01f,0x7fffff40,0xa8172000,0xffff000f,0xff9003ff,
    0x003ea07f,0x0ffffffc,0xf000fa80,0x003fffff,0x03fffffa,0x2ff2aa60,
    0x7fd10000,0x3fb26000,0x07f100cd,0x0d5654c4,0x20029800,0x00fffffe,
    0x3a0000fa,0x000fffff,0x02f409f3,0xbfffff70,0x07fff900,0xffb8017a,
    0xbd005fff,0x7fffdc00,0xfffd005f,0xfa8001ff,0x00000001,0x00008000,
    0x74000000,0x300fffff,0xfd00001f,0x1001ffff,0x0bea07ff,0xfffff880,
    0x7ffe401f,0x2002fa83,0x1ffffff8,0x10017d40,0x03ffffff,0x1fffffd0,
    0x000a8800,0x00000000,0x00000000,0xffffe800,0x000b900f,0x3fffffa0,
    0x3ffee201,0x002ff881,0x2fffffec,0x10ffff60,0xfd8005ff,0x2205ffff,
    0x7ec002ff,0xe805ffff,0x000fffff,0x00000000,0x00000000,0x3a000000,
    0xf00fffff,0xff500003,0x557dffff,0xfffffb95,0x06ffe981,0x7fffff40,
    0xffff303f,0x037ff4c7,0x3fffffa0,0x6ffe983f,0x7ffff400,0x3fea03ff,
    0x0004ffff,0x00000000,0x00000000,0xff500000,0xb309ffff,0x7f644000,
    0xffffffff,0xffffffff,0x7fffe47f,0xfb501eff,0xffffffff,0x3bbbb23f,
    0xffff92ee,0x36a03dff,0xffffffff,0xffff91ff,0x36a03dff,0xffffffff,
    0xffd911ff,0xbfffffff,0x00000005,0x00000000,0x80000000,0xfffffec8,
    0x002dffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00d55554,0x05555544,0x55530000,0x00000035,0x00555554,
    0x17776c00,0x7dddb000,0x00000000,0x2007dddb,0x00adfda8,0x8806fc80,
    0xf88003eb,0x1f5c403f,0x006fc800,0x03bfffe0,0x17fffdc0,0xffff0000,
    0x36e6001d,0x801deffe,0x003ffffa,0x7ffffdc0,0xfffb8000,0xfa8000ff,
    0xb80bf907,0x800fffff,0x04fffffd,0x300ffcc0,0x0007fffb,0x7ecc0bfb,
    0xf98003ff,0xff50001f,0xfc8001df,0x500005ff,0x2001dfff,0xfc9aeffb,
    0x7dc00dff,0x220006ff,0x03ffffff,0x7ffffc40,0x6fb8004f,0x7c407fd0,
    0x403fffff,0xfffd98cc,0x80ffa000,0x03fffcba,0xa807fd40,0x003fffcb,
    0x20003fe8,0x0000effc,0x0001fff9,0x001dff90,0xfb07fff6,0xff700bff,
    0x3f20001f,0x00fffcff,0x3f3fff20,0x7ec000ff,0x6405ff04,0x0fffcfff,
    0x1fff30a0,0x401bf200,0x2003fff8,0xf8803ff8,0x7e4003ff,0x77fc0006,
    0x7fe40000,0xeff80002,0xffff7000,0x03ffff70,0x0007ff90,0x3ea1dff3,
    0xdff1004f,0x0013fea1,0x1ff307ff,0x543bfe60,0x3ea004ff,0x3ff3002f,
    0x0fffe200,0x1005fc80,0x4c007fff,0x2a0001ff,0xb00000ff,0xfa8000bf,
    0x3ffa000f,0xffffa86f,0x00df9003,0xff30bfb0,0x30bfb001,0x3e2001ff,
    0x207fb81f,0x0ff985fd,0x00efea80,0x44007fd0,0xf5003fff,0x3fe2001f,
    0x0ffa003f,0x003f9000,0x000fd800,0xf0007f20,0xff50dfff,0x7e4009ff,
    0x80fea000,0x1fcc04e9,0x2a009d10,0x20bf907f,0x13a603fa,0x3fffffb0,
    0x4006fc80,0x8803fff8,0x3e2003ff,0xdf9003ff,0x00000000,0x00000000,
    0x0dffff10,0x007ffff5,0x22000000,0x03100001,0x7f41bee0,0x00c40003,
    0x027fff54,0x88003ff3,0xfc803fff,0x7ffc4005,0x01ff9803,0x00000000,
    0x0a980000,0xdffff100,0x03ffff50,0x0006aa60,0xa9800000,0x9999801a,
    0x99999dfd,0x98009bff,0x3f60000a,0x013fa06f,0x00fffe20,0x88001ff5,
    0xfe803fff,0x3fff6004,0x3ffe67ff,0x7fec4fff,0x3fe67fff,0x5404ffff,
    0x0bdffffe,0x1bfffe20,0x700ffff6,0x5dfffffd,0x3fffff60,0x3ffffe67,
    0x7ff5c04f,0xf302efff,0xffffffff,0xbfffffff,0x3ffffaa0,0x7cc000bd,
    0x00df705f,0x80fffe20,0x88003fe8,0x7dc03fff,0xfffb8006,0x7fff447f,
    0xffffb84f,0x7ffff447,0x47bff204,0xf100effa,0x7eccdfff,0x3fa600be,
    0x3ffff50b,0x1ffffee0,0x09ffffd1,0x7d42ffa6,0xff981fff,0xffffffff,
    0x85ffffff,0xff51effc,0xf035101d,0x03ff305f,0x0fffe200,0x10005fc8,
    0x7cc07fff,0xff88001f,0xfffc87ff,0xffff884f,0x4ffffc87,0xd83fff90,
    0xfff106ff,0x67ffdcdf,0x81fff101,0x880ffffc,0xfc87ffff,0xff884fff,
    0x7fffe40f,0xffb99980,0xdfd99999,0x7ffe4099,0x6437fec1,0x09f50cff,
    0x980013fa,0xff503fff,0x3fe60001,0x013fa03f,0x87ffff80,0xf04ffffb,
    0xff70ffff,0xfff309ff,0x0bfff50f,0x70dffff1,0xff909fff,0xffffb87f,
    0x0fffff03,0x909ffff7,0xffb87fff,0x37e403ff,0xff303fe8,0xbfff50ff,
    0xeefffe98,0x300df701,0xfffec981,0x0ffa22cf,0x3ffb2600,0x37dc2cff,
    0xfff804c0,0xffffb87f,0x0fffff04,0xb09ffff7,0xff30dfff,0xfff883ff,
    0x3fffd06f,0x547fffe8,0xff04ffff,0xfff70fff,0xffffd09f,0x04ffffa8,
    0x1ff827ec,0x30dfffb0,0x2603ffff,0x00ffcc01,0xc80017ee,0xcffda85f,
    0x3fe60001,0xf82fdc01,0xffb87fff,0xffff04ff,0x9ffff70f,0x85ffff88,
    0x443ffff8,0xf906ffff,0xfffb8dff,0x27fffd45,0xb87ffff8,0xfb84ffff,
    0x7ffd45ff,0x41ffc04f,0xff880ff9,0xfff885ff,0x3fa0003f,0x02ffd404,
    0x540ff980,0x02ffffff,0xa809fd00,0xffff05ff,0x9ffff70f,0x21ffffe0,
    0x544ffffb,0xf885ffff,0x7fc45fff,0xfff906ff,0x20bda83f,0x04ffffd8,
    0xf70fffff,0x36a09fff,0x3fff620b,0x07fe204f,0x7fd41bea,0xfff885ff,
    0xdf70005f,0x05fff980,0x443fe880,0x6fffcabe,0x406fb800,0xff05fff9,
    0xfff70fff,0x3fffe09f,0x4ffffb87,0x427fffdc,0x447ffff8,0xf906ffff,
    0xc8805fff,0x04ffffef,0xf70fffff,0x22009fff,0x4ffffefc,0x67fee644,
    0xcefecccc,0xffff73cc,0xfffff109,0x03ff3000,0x02fff7c4,0x0d437e40,
    0x3001fff6,0x77c403ff,0xffff05ff,0x9ffff70f,0x21ffffe0,0x644ffffb,
    0xf884ffff,0x3e20ffff,0xff906fff,0x3f2209ff,0x4ffffaaf,0x70fffff0,
    0x8809ffff,0xfffaaffc,0x7fffcc4f,0xffffffff,0xff95ffff,0xfff109ff,
    0xfe8001ff,0x3f33a204,0x7fcc005f,0x09ff7000,0x2204fe80,0xf05ffcce,
    0xff70ffff,0x3ffe09ff,0xffffb87f,0x27fffdc4,0x23ffffc4,0x906ffff8,
    0xf50bffff,0x3ffea3ff,0xfffff04f,0x09ffff70,0xfa8fffd4,0x774c4fff,
    0xeeeeefff,0x74eeeeff,0xf109ffff,0xb800ffff,0xfcaec06f,0x3fa2005f,
    0x07ff2003,0x6c06fb80,0x3e0bff95,0xffb87fff,0xffff04ff,0x9ffff70f,
    0x84ffffa8,0x447ffff8,0xf706ffff,0xffc87fff,0x3fffea1f,0x0fffff04,
    0x209ffff7,0x3ea1fffc,0x3fe04fff,0x500ff983,0xf109ffff,0x4c00ffff,
    0xc9b201ff,0x3f2005ff,0x027fc006,0x6403ff30,0x7c17ff26,0xffb87fff,
    0xffff04ff,0x9ffff70f,0x85ffff98,0x445ffff9,0xf506ffff,0x7fdc5fff,
    0x7fffd46f,0x0fffff04,0x709ffff7,0xffa8dfff,0x3ff104ff,0x7cc0df70,
    0xff985fff,0x3fa005ff,0xfc83ae04,0x1ff3005f,0x002fdc00,0x0eb813fa,
    0x7fc17ff2,0x7fdc0fff,0xffff04ff,0xffffb81f,0x86fffe84,0x442ffffa,
    0x4a66ffff,0x3e0ffff8,0x7fd45fff,0xffff04ff,0xffffb81f,0x45ffff84,
    0x504ffffa,0x017f60ff,0xf50dfffd,0x2e005fff,0x7fff406f,0x807fffff,
    0x3e6003fe,0x037dc004,0x3ffffffa,0xfffe87ff,0x3fffe20f,0xffffd04f,
    0x7ffffc41,0x86fffa84,0xf886fffa,0x7ff56fff,0xff99bff6,0xffd31fff,
    0x3ffa09ff,0x3ffe20ff,0x7ffcc4ff,0xfffd31ff,0x41bf209f,0x7fd403fe,
    0x6fffa86f,0x803ff300,0xfffffffe,0x037e407f,0x05a89f30,0xfd007fe6,
    0xffffffff,0x29ffff90,0x4fffffe9,0x29ffff90,0x4fffffe9,0xd83fffb0,
    0xffa82fff,0x2bff96ff,0x3fe21ffb,0xfdfeffff,0x6439efff,0xfd34ffff,
    0xf889ffff,0xdfefffff,0x439effff,0x2ff884fd,0x41fffd80,0xd002fffd,
    0x3f20009f,0x07fcc05f,0xeeeff880,0x13fa03fe,0x82ffe400,0xffffffe8,
    0x06ffffbc,0xffffffd1,0x0dffff79,0xf986ffec,0xfff901ff,0x237fe2df,
    0xfffd83fd,0xfffd1eff,0xffe881ff,0xffbcffff,0xfffd86ff,0xfffd1eff,
    0x82ff81ff,0xfb000ff9,0x3ffe61bf,0x00df7001,0x202ffe40,0xfd1003fe,
    0x03ffffff,0xc8001bee,0x3fa605ff,0xfff73fff,0xfd303fff,0x3fee7fff,
    0xf701ffff,0x01dffdff,0x9bfffffa,0x102dffda,0xea89dff9,0xfd301dff,
    0x3fee7fff,0x3221ffff,0x7f544eff,0x07fc41df,0x2e0037dc,0x0effefff,
    0x003ff300,0x902775c0,0x776400df,0x80eeeeee,0x20001ff9,0xa9804eeb,
    0x35300001,0x55440000,0x00400001,0x00880110,0x80003530,0x88044008,
    0x0079504c,0x0006aa20,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x55540000,0x000000aa,0x00000000,0x00000000,0x00000000,0x00000000,
    0x764c0000,0x5551000b,0xa9800055,0xed801aaa,0x260003ee,0x5c01aaaa,
    0x8003ffff,0x01b302da,0x001ff880,0x37ffbb26,0x002cc0ab,0x37bff6e2,
    0xdb700001,0x15417dff,0x50000ff6,0x0019dfdb,0x01f7f6cc,0x3fef7f20,
    0xffff9000,0x7ffc0003,0x7fd400ef,0xf0000fff,0x7001dfff,0x2000bfff,
    0x9f910dfb,0x06fa8001,0xfffffd70,0x59dffd9b,0x7fd400bd,0x04ffffce,
    0x37ffa600,0xebdffcaa,0x80037dc2,0xffffffe9,0xbffc803f,0xf001efda,
    0x36003e85,0x30004fff,0x8801dfff,0x04ffffff,0x0efffa80,0x03ffee00,
    0x7effd400,0x9fb0000d,0xffffd880,0xfffb80ad,0xbff5005f,0x017fffc4,
    0x4077fcc0,0x443fffc8,0x7cc000ff,0xffffffff,0x93ff601f,0x5401fff8,
    0x6c006b87,0xf90006ff,0xff9001df,0x001fff9f,0x000effc8,0x0003ffc8,
    0x0003bff2,0x3e601ff8,0x8802ffff,0xf8805ffd,0x7ffe42ff,0x7ff44005,
    0x41ffdc02,0x3e2002fe,0xfffffdef,0xfff706ff,0x407ffd83,0x002e40f9,
    0x4000ffec,0xf8800fff,0x09ff50ef,0x000eff80,0x20017f20,0x0effceea,
    0x207f9800,0x04fffff8,0x2017fa20,0x7d41fffb,0x7e4005ff,0x07fb007f,
    0x76400bf7,0x7ffff540,0x87fff80f,0x7403fffc,0x0005f50d,0xf30013fa,
    0x17f6003f,0x54007fe6,0xd80000ff,0x7fb3000f,0x00077fec,0xffe813f2,
    0xf88005ff,0x3fffc805,0x4004fff8,0x8800fffd,0x00ff983f,0xff700e98,
    0xffa81fff,0x7fffb87f,0x27f7f540,0x00dd1000,0xf3001fc8,0x802f4407,
    0x000001fc,0xf8819300,0x7fc006ff,0xfffff902,0x01760001,0xf117fffa,
    0xff8003ff,0x079005ff,0x02200bfa,0x86ffff88,0xfb86fffc,0xb9800fff,
    0x00000000,0x0c400000,0x4c000000,0xf900000a,0x3e6007ff,0xfffff107,
    0x02d4000d,0x707ffff4,0xff0005ff,0x7500bfff,0x00017f20,0x741ffff4,
    0xffa86fff,0xaa9801ff,0x15310001,0x01531000,0x00153100,0x0006aa60,
    0x7bffffd5,0x372e2001,0x01ffffcc,0xff705fc8,0x8000bfff,0xffffd801,
    0x001efd8c,0xffffffb0,0x1fe60005,0x27ffc000,0xa86ffff8,0xd703ffff,
    0x05dfffff,0x3ffffa60,0xffe9800e,0xe9800eff,0x800effff,0xefffffeb,
    0x1effc802,0xb801dff5,0xffebcfff,0x2fe805ff,0x7ffffff0,0xf7000000,
    0x07dfffff,0xffffb800,0x8002efff,0x540001ff,0xfff104ff,0xffff50df,
    0x50bfe989,0xb803ffff,0x07ffa4ff,0x3fa4ffb8,0x93fee01f,0xfd301ffe,
    0x3fffea17,0x07fff201,0x7dc0dffb,0x3ffe23ff,0x3fe200ff,0xfffff880,
    0x8000002f,0x05fffff8,0x33333332,0x7ffff442,0x001effff,0x980013f2,
    0xff304fff,0xfff50dff,0x07ffc4bf,0x403ffff2,0x7fd46ffb,0xa8dff706,
    0xdff706ff,0xf886ffa8,0x7ffe40ff,0x7fff980f,0xa85fffa8,0xffb87fff,
    0x17ee04ff,0x7fffffcc,0x44000000,0x1ffffffc,0x7dfffb30,0xfffff101,
    0x01bfffff,0x5000ff50,0x1dfffffb,0x86ffffa8,0x327ffffa,0x7fdc3fff,
    0xfff883ff,0x21fffc43,0x7c43fff8,0x7ffc43ff,0x21fffc43,0x7dc3fffc,
    0xffd83fff,0xffff986f,0x42fffec1,0x206ffffa,0xfff703fe,0x00000fff,
    0x7fe77e44,0x3e206fff,0x7fcc00ef,0xffffffff,0x01ff801f,0x3ffffea0,
    0x3f20ffff,0xffa86fff,0xfffd0fff,0x4ffffa8f,0xf82fffd8,0x7ffec7ff,
    0x6c7fff82,0xfff82fff,0x23ffff47,0x444ffffa,0xf885ffff,0x3fe63fff,
    0xfff985ff,0x01ff107f,0x3fffffee,0xf9800000,0x3ffff65f,0x007fe04f,
    0x7ffffec4,0x402fffff,0x5c4003fd,0x3ffffffe,0x21bffff2,0x2e7ffffa,
    0x7fd45fff,0x7ffc44ff,0x0ffff81f,0xf03ffff1,0x3fe21fff,0xffff81ff,
    0x517ffee0,0xfa89ffff,0xff885fff,0x3ffea5ff,0xffff984f,0x540df707,
    0x01ffffff,0x7ffd4000,0x3ffffe20,0x005f982f,0xfffffe98,0x2a00ffff,
    0x3f60006f,0x3ee6ffff,0xffa86fff,0x05ed46ff,0x89ffffb1,0x99affff9,
    0x32ffff99,0x3335ffff,0x265ffff3,0x999affff,0x542ffff9,0x3ff620bd,
    0x7ffdc4ff,0xffff884f,0x13fffee7,0x03ffffe6,0xff980ff6,0x0002ffff,
    0x217ffe60,0x1ffffffb,0x50000764,0xfffffffd,0x007fc409,0xfffff900,
    0x1bfffea1,0x017fffea,0xffffdf91,0xfffffa89,0xffffffff,0xffffff53,
    0x7fffffff,0x3fffffea,0x3fffffff,0x7ff7e440,0x7ffe44ff,0xffff884f,
    0x9ffff90f,0x0fffff30,0x7c403ff1,0x003fffff,0x1bfffa00,0x7ffffff4,
    0x07003f50,0xffffff50,0x003fd80d,0x97ffff40,0xa86ffff9,0x9104ffff,
    0xffff55ff,0x2ffffb89,0x3fffee00,0x3ffee002,0x3220002f,0xffffaaff,
    0x27fffdc4,0x73ffffc4,0xf309ffff,0xdf50dfff,0xfffffb00,0x3e200009,
    0xf980ffff,0xf9efffff,0x10078804,0x80fffffb,0x540006fb,0xff10ffff,
    0xfff70dff,0x3fff507f,0x713fffea,0x4007ffff,0x003ffffb,0x00ffffee,
    0xa8fffd40,0x7d44ffff,0xff884fff,0x3ffe67ff,0xffff985f,0x9804fd84,
    0x006fffff,0xfffff500,0x3fffea05,0xf1006fff,0x3ffa2005,0x07fc407f,
    0x1fffe000,0xf70dffff,0xffc83fff,0x3fffea1f,0x2ffffd44,0xbffff500,
    0x7fffd400,0xfffc8005,0x13fffea1,0x30bffff3,0x7c4bffff,0xff985fff,
    0x01ff83ff,0x3fffffd0,0xffb84000,0x3ee06fff,0x00efffff,0x2a004f88,
    0xfe806fff,0x7ff40002,0x437ffe45,0x2e0ffffb,0x7fd46fff,0x7ffcc4ff,
    0xff3000ff,0x26001fff,0x000fffff,0xf51bffee,0xffd09fff,0xffff50df,
    0x85fffe85,0x4c1ffffa,0x3fe2007f,0xb0005fff,0x3ffffe63,0x3fff605f,
    0x0d82ffff,0x22003ff1,0xfb804fff,0xfd001305,0x7fff883f,0x7c4fffb8,
    0x7fd45fff,0xffff84ff,0xff8ae04f,0x8ae04fff,0x204fffff,0x17fffe2b,
    0x509ffff5,0xff50dfff,0xdfff50df,0x90dfff70,0xffa8009f,0x22003fff,
    0x3fffe0fd,0xff105fff,0x39ffffff,0x7ffc49b3,0x0fffa800,0x740ff980,
    0x3fe203ff,0x81fffb03,0x3e60fffd,0xfd31ffff,0xff709fff,0x8d505fff,
    0x82fffffb,0x7fffdc6a,0x3e66a82f,0xfd31ffff,0x3f609fff,0x7ffec1ff,
    0x81fff702,0xff81fffd,0xfffa8002,0xdfa803ff,0x7ffffd40,0xfcaadfff,
    0xffffffef,0x3e20ffff,0x7f400eff,0x8bfa002f,0x80dffff9,0x3fa206fb,
    0x227ffc2f,0xeffffff8,0x9effffdf,0x3ffffe23,0x41fdaadf,0xdffffff8,
    0x7c41fdaa,0xaadfffff,0x3ffe21fd,0xffdfefff,0xfd839eff,0x3fff30df,
    0x265ffc80,0x7f982fff,0x3ff62000,0xb99abfff,0x3f203ffd,0xffffffff,
    0xfff70cff,0x883fffff,0x40bfffff,0x4003ffda,0x7fff45fc,0x3fda9bff,
    0x70efe880,0x3ff609ff,0xffd1efff,0xfe881fff,0x2fffffff,0xfffffd10,
    0x3a205fff,0xffffffff,0xfffffd82,0xfffffd1e,0x3bffee01,0xb7000eff,
    0x039dfdff,0x200017f2,0xffffffc9,0x9801deff,0xfffffffe,0xffff980d,
    0x9bf881ef,0xffdeffda,0xf98000df,0x7ffff4c7,0x2000dfff,0x3ffeffd8,
    0x13bff220,0x203bffd5,0xdfffffd8,0x7ffec401,0x6c401dff,0x01dfffff,
    0xa89dff91,0x8801dffe,0x4c0001aa,0x01cb800a,0x6554c000,0x2a60001a,
    0x53000abb,0x55038017,0x80001359,0xbaa980cc,0xa980000a,0x10022000,
    0x00d4c001,0x0001a980,0x04400353,0x00000220,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x10000000,0x00000000,0x00000000,0x00000000,0x64400000,0x00164c0b,
    0x99990000,0x99999999,0x00000599,0x3b72a620,0x00009acd,0x3ffb2e60,
    0x1dc0bdef,0x3ffb2600,0xc980003e,0x71001dec,0x17bdffdd,0x3ae20000,
    0x00bdeffe,0x2fbb2a00,0x3fb66001,0x4400beef,0x3fe66fff,0x3ae2004f,
    0x2600acef,0xffffffff,0x01ffffff,0x90007c88,0xd959dfff,0x80007fff,
    0xacdfffe9,0xbbeffeca,0x3fea003f,0x006ffe9a,0x1cffeb88,0xbdffb500,
    0x3bffdb99,0x3ff6a000,0xffedccde,0x3fea001d,0x01fffcad,0x7fdce7ec,
    0x3ea02fff,0xfff90fff,0x3ffee00f,0x700effff,0xffffffff,0x80ffffff,
    0x4007ffc9,0x302fffe9,0x8003dffd,0x01efffc8,0x0fffff66,0xf72ffd40,
    0x7dc00bff,0x32000bff,0x32600bff,0x7e4003ff,0x3f2600bf,0x6ff9803f,
    0xc807fff4,0x7fff445f,0xffff101f,0x402fffd4,0xfffffffa,0xffc80eff,
    0xffffffff,0xfb304fff,0x6400ffff,0x4403ffff,0x5004ffff,0x400dffff,
    0xf003fffb,0x7ffdc9ff,0x7fec400f,0x3fa2001f,0x2fec4004,0x0027f440,
    0xf9817f62,0x7ffcc4ff,0x43ffcc0e,0x206ffffa,0x6fe42eeb,0x7fffcc00,
    0x5fffffff,0xffffffe8,0x1fffffff,0x7fffff54,0xfff7007f,0x3ff2009f,
    0x7fc403ff,0x5c000eff,0xffb803ff,0x3fffea5f,0x3fffa600,0x017f4002,
    0xe809f700,0x3ee0002f,0x07fffd04,0xfc8bffff,0x7ffcc2ff,0x000000ff,
    0x7ed5efec,0x20ffffff,0x9aabeff8,0x47fe9999,0xfffea9ca,0xfff8807f,
    0xff1000ff,0x7f401fff,0x90003fff,0xfffd007f,0x037ffc4d,0x000bfffa,
    0xfb9305f9,0x64d157bd,0x365f902f,0xccdeeeee,0x442fc80b,0xfe82ffff,
    0x3ff21fff,0x7fffc44f,0x2000002f,0xffe982f8,0x07ea2fff,0x5013fe20,
    0xd00fffff,0x800dffff,0x705ffffd,0x001fffff,0x3e00fe20,0x664c7fff,
    0x17fff600,0xf709f300,0x3fae219f,0x3e607f47,0x27fff624,0xe84fffc9,
    0x3fffe60f,0x2ffffd82,0xf10fffe6,0x0001ffff,0xf501dc00,0x1e47ffff,
    0x402ffb80,0x407ffff9,0x03fffffb,0x7ffffe40,0x7ffffcc2,0x01e40005,
    0x03ffffe2,0x5ffff500,0x740fd800,0x8ff103ff,0x207ec3f9,0x3ee1fffb,
    0x71fcc3ff,0xf907ffff,0xbda89fff,0x37fffcc0,0x4ffffffb,0x4ffffff9,
    0xffff8800,0xffd0000f,0xfffff300,0xfffffd80,0x7ffd4001,0x7ffe45ff,
    0x440004ff,0x7fffc402,0x7ff4001f,0x27c4007f,0xf701ffee,0x427c4dd0,
    0x3e21fffa,0x366e85ff,0xfb83ffff,0x2a006fff,0x7dc4ffff,0x7f447fff,
    0xb0004fff,0x2000dfff,0xf9804ff8,0x7fc07fff,0x4001ffff,0x46fffff9,
    0x03fffffe,0xfff00000,0x7d4007ff,0xbca8cfff,0x443f7009,0x85803fff,
    0x503f71fb,0xfff83fff,0xffb1fb86,0xfff509ff,0x7ff400ff,0xffff886f,
    0x4ffffc87,0x9fffb000,0x0bfee000,0x1ffffe60,0xffffff88,0x7ffc4000,
    0x3ffe0fff,0x00002fff,0x3ffe6660,0x00999cff,0x3fbffff6,0xc82fffff,
    0x017ffdc7,0x0f92f980,0xfa87ffea,0x72f983ff,0xf50bffff,0x3001ffff,
    0x3e01bfff,0xffb87fff,0xfd0004ff,0x3a0005ff,0xfff3007f,0x7ffd40ff,
    0x44000fff,0x31ffffff,0x03ffffff,0x3fe60000,0xffffffff,0xfff104ff,
    0xfffb7bff,0x646d87ff,0x10001fff,0x7d41b67f,0xdffb11ff,0x3ea7f101,
    0x7d40ffff,0xfb007fff,0xffff809f,0x4ffffb87,0x5fff8800,0x0bff1000,
    0x1ffffe60,0x7fffffb8,0xffff8800,0xffff52ff,0x000001ff,0x3fffffe6,
    0x04ffffff,0x98fffff3,0x3a0fffff,0x007fff45,0x417a9f00,0xffddfffa,
    0xfd27c04f,0xffa85fff,0xff8806ff,0x7ffff802,0x04ffffb8,0x00fffb80,
    0x005ff700,0x81ffffe6,0x07fffffa,0xfffff880,0xfffff52f,0x2000001f,
    0xfffdccc8,0x502cccff,0xfb0fffff,0x22f4bfff,0x0001fffe,0xfa82f53e,
    0x0fffeaff,0xfff527c0,0x3ff227ff,0x1fb805ff,0x0fffff00,0x009ffff7,
    0x0005ffd0,0xf3003fec,0x7cc0ffff,0x000fffff,0x7fffffc4,0xffffff11,
    0x99998803,0x09999999,0x01bfffe0,0x437fffdc,0x367ffffa,0x017ffe46,
    0x0db3f880,0x3e67ffea,0x0fe204ff,0xfdfffff7,0x007fffff,0x7ffc005d,
    0xffffb87f,0x27fd4004,0x0bff1000,0x3ffffcc0,0xffffff10,0xfff98003,
    0x7fffc7ff,0x6dcc02ff,0xefffffff,0x3fff600c,0xffff9006,0xfffff10d,
    0xfff71f21,0x4be60007,0x3fff507c,0x4c03fff6,0xfffd982f,0x0fffffbe,
    0x3e000e80,0xffb87fff,0x3a2004ff,0x7dc0005f,0x3fe6002f,0x7ffc07ff,
    0x4c002fff,0x6c6fffff,0x003fffff,0x1bfffff2,0x027ffd40,0x07ffffa8,
    0x263fffff,0x1bffa22f,0xf987e400,0x11fffa82,0x3f209fff,0xfff30400,
    0x001a00bf,0xf70fffff,0x6c009fff,0xfd80005f,0x3fe6000f,0x7fe407ff,
    0x5c002fff,0x5c3fffff,0x004fffff,0x13ffffea,0x01fffc40,0x07ffff98,
    0x741fffff,0x017ffd46,0x745f8877,0x22fffb86,0x7c41fffc,0x7ffe4005,
    0xf000001f,0xff70ffff,0x3ea009ff,0x7c40000e,0x7fcc005f,0x7fc407ff,
    0x6c004fff,0x4c0fffff,0x005fffff,0x0fffffea,0x402ffe80,0x03ffffe0,
    0xf71ffffa,0x43fffb83,0x41fb84c9,0x7ffec1fb,0x83bffe24,0x7fc001fb,
    0x000004ff,0x2e1ffffe,0x9804ffff,0x012600ef,0x3000bfea,0x900fffff,
    0x001fffff,0x81fffff4,0x00fffffc,0x7fffff50,0x7f66d440,0xfd93200f,
    0xffe81fff,0x207f445f,0xdfefffc8,0xe885f981,0xffffe98f,0xffff71ff,
    0xb800bf31,0x0c006fff,0x3ffffe00,0x27fffdc0,0x8803ba20,0x0ffd802e,
    0x7fffcc00,0xffff8807,0xfff5003f,0xfffd80df,0xfff5003f,0x3fea07ff,
    0xabcfffff,0x323fdca9,0xfe82ffff,0x05f983ff,0xef880262,0x000bf300,
    0x2000ef88,0x001ffffa,0x2007ffd5,0x220ffffe,0x404fffff,0xeeeeeefd,
    0x4401ffee,0xf98005ff,0x9800ffff,0xd006fffe,0x8801dfff,0x800ffffe,
    0x03fffffa,0xfffb33bd,0xffffffff,0x27fffc45,0xb807fffc,0xfa8000ef,
    0x077dc01f,0x00ffd400,0x01dfff50,0x07ffff40,0xa7fffe40,0x4fffffe9,
    0x3ffffee0,0x07ffffff,0x8002ffa8,0x00fffff9,0x09fffb10,0x005fffc8,
    0x03bfff62,0x7fffff50,0x7fcc3f30,0xffffffff,0x47fffa86,0x5401fff8,
    0xc8800bff,0xff5001ef,0xdf910017,0x7ffd4003,0x7ffcc004,0xfe8802ff,
    0xfbcfffff,0xff506fff,0xffffffff,0xffb00dff,0xfff50001,0xfb8003ff,
    0x36a21dff,0x50003fff,0x3019ffff,0x03dffff9,0x7e7f4d3a,0x1fffffff,
    0x6c9fff50,0xfd1002ff,0x5311359f,0x8001bffb,0x89acffe8,0x0dffda98,
    0x5bffb500,0x3fffa000,0xffd3000f,0x3ffee7ff,0x3fe61fff,0xffffffff,
    0x7c404fff,0xfe88005f,0x8005ffff,0xfefffec9,0x0001cdff,0xeffffec8,
    0x0bdffffe,0x9ffffd40,0x1effffd8,0x777f64c0,0xd98002df,0xffffffff,
    0x6cc0001c,0xffffffff,0xffb8801c,0x5c0000ce,0x98004fff,0xffd0001a,
    0xffffffff,0xc9807fff,0xfdb1001c,0xffffffff,0x2a20005b,0x000000ab,
    0x2af2eaa2,0x15500019,0x00035510,0x20000351,0x01abba98,0xba988000,
    0x554001ab,0xa8800001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2e200000,0x00bceeec,0xc9800000,0x203440ce,0x164c0bc8,0xccccc980,
    0x004ccccc,0x44000055,0x1791000a,0x5d402c98,0x71072a00,0x00000039,
    0x15555500,0x55555400,0x05dddb01,0x3101a880,0x4e7ffdc0,0x0003fffc,
    0x7d405fd8,0xd9beffff,0x337ffc06,0xfb009fff,0xffffffff,0xfff980bf,
    0xffff300e,0x3ffaabff,0x7ffc02df,0x413ffe66,0xfb81fffe,0x3fff61ff,
    0x002c0000,0x0ffffee0,0x0effff80,0x07ffffb8,0xffffdb88,0x3209f50d,
    0x7fcc1fff,0x3ee0003f,0x3ffe205f,0x3fffffff,0x47fffea0,0x4407fffc,
    0xffffffff,0x7e402fff,0x36203fff,0xefadffff,0x502fffff,0x3f21ffff,
    0xfffa87ff,0x4fffe85f,0x007ffff1,0x00017d40,0x4017ffee,0x880efffa,
    0x03ffffff,0x6433ffa2,0xa84ffcef,0xffb06fff,0xff30003f,0x6efd40bf,
    0x0fffffff,0xa9fffe20,0x7d405fff,0xffffffff,0xfffe807f,0x7ffdc05f,
    0xffb32fff,0xfff101ff,0x42fffd4f,0xc87ffffc,0x3ffa3fff,0x3f60001f,
    0xffc80005,0xeffd800f,0xf9dff900,0x3ffa01ff,0x4ffffe85,0x904fffe8,
    0x88007fff,0x2e05ffff,0x37ff6e25,0x42eea801,0x7ec00dfc,0xffffffff,
    0xfffb804f,0x7ffcc02f,0x7ffc42ff,0x85dd705f,0xffa80dfc,0x4fd884ff,
    0x0001f6cc,0x0003fff3,0xf007ff90,0x3fe601df,0xb09ff70e,0xff905fff,
    0xfff889ff,0xbfff707f,0xffffd800,0x04402205,0x22000000,0x999999cf,
    0xc8800999,0xff9804ff,0xfffd06ff,0x9000003f,0x00001bff,0x3fff6000,
    0xbf900004,0x200ffa80,0x0ffa84fd,0x203fffee,0x4c4ffffb,0xb81fffff,
    0x2e003fff,0x005fffff,0x00000000,0x000003ee,0xfff98002,0xffff905f,
    0x04000007,0x10000000,0x001fffff,0xd803f600,0x80fea01f,0x3fff64e9,
    0x9ffff707,0x1dfffff0,0x001fffc8,0xbffffbf3,0x01aa9800,0x006aa600,
    0x00004f74,0xfff30000,0x3ffee0bf,0x00a9804f,0x2a620000,0xffc80000,
    0x00003fff,0x10000000,0x837fffc3,0xd84ffffa,0x20efffff,0xd1006ffe,
    0x0bffff3b,0xfffffd70,0x3fae005d,0x202effff,0xcefffff8,0x20000002,
    0x505ffff9,0x2a0bffff,0x0bdffffe,0xfe980080,0x0000efff,0x1ffffffe,
    0x00000000,0x3ffe2000,0xffff505f,0xfffff509,0x1bff55ff,0x3e63f600,
    0x3a605fff,0xffff50bf,0x85ff4c03,0x701ffffa,0xffffffff,0x0aa0003d,
    0x2ffffcc0,0x87ffffa8,0xff51effc,0x202d401d,0x3ffa4ffb,0xfdfb8001,
    0x4002ffff,0x6ffffff9,0x7fffffcc,0xfffff306,0xffff50df,0x3fffea0b,
    0xfffff904,0x4007ffff,0xffff31fb,0x03ffe20b,0x101ffff9,0xffc81fff,
    0xfffe80ff,0xdfffffff,0x80164000,0x505ffff9,0xfc8bffff,0x37fec1ff,
    0x7fdc0d70,0x0037fd46,0x7fffd674,0xffb0006f,0x3ff60dff,0x7fec06ff,
    0xfffb86ff,0xffff505f,0x7fffec09,0x3000efff,0x7fffcc9f,0x87fff905,
    0xc83ffffb,0x7fdc3fff,0x7ffcc3ff,0xffffffff,0x07a000ef,0x2ffffcc0,
    0x24ffffb8,0xfa87fff9,0x20f905ff,0x7c43fff8,0x3ea003ff,0x3fffffd0,
    0xffff5000,0x3fffea0d,0x7fffd406,0x6ffffb86,0x09ffff50,0xffffffb8,
    0x46e801ff,0xd05ffff9,0xffa8ffff,0xfffe84ff,0x27fffd47,0x3fffffae,
    0x5fffffff,0x4c00fb00,0xf705ffff,0x7fec7fff,0xffff986f,0xfd80fd81,
    0x7fff82ff,0xffb97600,0x98005fff,0xf306ffff,0xf980dfff,0xffa86fff,
    0xfff506ff,0xfffa809f,0x01ffffff,0xfff303f2,0x3ffee0bf,0x27fffd45,
    0x2a2fffdc,0x4404ffff,0xfffffeb9,0x3fa202ff,0x3ffe6004,0xffff905f,
    0x17fffe23,0x20ffffe2,0x7ffc42fe,0x0ffff81f,0x3e21f980,0x000fffff,
    0x837fffcc,0x406ffff9,0x886ffff9,0xf507ffff,0x3a209fff,0xffffdaff,
    0x2fa80fff,0x05ffff98,0xfd882f6a,0x7b504fff,0x7fffec41,0x7fed4004,
    0xff304fff,0x7fcc001f,0xfffd06ff,0x2ffffd4d,0x22ffffc4,0x7fcc3ff8,
    0xf9999aff,0x5d802fff,0x4fffffc8,0x7fffcc00,0xdffff306,0x6ffff980,
    0x05ffff90,0x309ffff7,0x7fec9fff,0x7c42ffff,0xbffff304,0x7f7e4400,
    0x91004fff,0x09ffffdf,0x3ffff200,0x05fffb86,0x7ffffcc0,0x0ffffd45,
    0x109ffff7,0xfa8fffff,0x7fffd45f,0xffffffff,0x417c403f,0x0ffffff8,
    0x3fffe600,0xdffff306,0x6ffff980,0x1dffff30,0x27ffffd4,0x360fffec,
    0x745fffff,0xa999999f,0x019effff,0x3eabff22,0x64404fff,0xffffaaff,
    0x3fee0004,0x7fffdc7f,0x7ffcc001,0xffcbeeef,0x7ffe42ff,0xffff884f,
    0x71fff20f,0x0005ffff,0x7fec0d90,0x26003fff,0xf306ffff,0xf980dfff,
    0x3e606fff,0xcfecffff,0x7c44ffff,0xffd80fff,0x7fffc7ff,0xffffffff,
    0xff507fff,0x3fffea3f,0x47ffea04,0x004ffffa,0xf137fec0,0x3000dfff,
    0x3f6bffff,0xfb83efff,0xff884fff,0x7fff47ff,0x0ffffee1,0x2ab7e000,
    0xfffcaaaa,0x3e6006ff,0xff306fff,0xff980dff,0x7f4c06ff,0xffa8efff,
    0x7ffd44ff,0xfffff507,0x7fffffc1,0xffffffff,0x1fffc87f,0x413fffea,
    0x3ea1fffc,0x40004fff,0x3fea3ffb,0x1dea85ff,0x25ffff98,0x3ea00aa8,
    0xff884fff,0x3ffe27ff,0x3fffea3f,0x7fdc0005,0xffffffff,0x002fffff,
    0x20dffff3,0x406ffff9,0x006ffff9,0x7fd41551,0x7ffe44ff,0xfffff107,
    0xfffffff8,0xffffffff,0x237ffdc7,0xb84ffffa,0x7fd46fff,0x4c0004ff,
    0x3fff61ff,0x86fff84f,0x005ffff9,0x85ffff98,0x265ffff9,0x3e64ffff,
    0x0000ffff,0x3fea00fa,0xf3006fff,0x3e60dfff,0x7cc06fff,0x40006fff,
    0x5c4ffffa,0x3f607fff,0x666645ff,0xfffdcccc,0x7ffc4cef,0x7fffd45f,
    0x45ffff84,0x884ffffa,0x47f9800a,0x444ffffe,0x7cc0ffff,0xd0005fff,
    0xff50dfff,0x7ffdc5ff,0x7ffffc6f,0x7d40ae04,0xfffff000,0xfff3003f,
    0x3ffe60df,0x7ffcc06f,0x7d40006f,0x7fcc4fff,0xfffd01ff,0xfff98005,
    0xffff985f,0xffffd31f,0xfffff989,0x9ffffd31,0x00cfff98,0xfff90bf6,
    0x0fffb0bf,0x00bffff3,0x21bffea0,0x7e46fffa,0x7fdc7fff,0x06a82fff,
    0xffb8017a,0xf9805fff,0xff306fff,0xff980dff,0x540006ff,0xfc84ffff,
    0xfff984ff,0xfff98005,0xffff885f,0xfffdfeff,0xfff139ef,0xffbfdfff,
    0x3ee73dff,0xf982ffff,0x7ffffa84,0xf985ffb8,0x20006fff,0x7ec1fffd,
    0x7ffec2ff,0x3ffe20ff,0xfdaadfff,0x4005f501,0x1ffffff8,0x37fffcc0,
    0x06ffff98,0x037fffcc,0x3fffea00,0x45fffd04,0x000dffd9,0x05ffff98,
    0x3dfffffb,0x83fffffa,0x1efffffd,0x21fffffd,0xeffffff8,0x3603febb,
    0x7cc4ffff,0xffffb80f,0x7fec0006,0x03fff30d,0x10fffff9,0xfffffffd,
    0x0bfe205f,0xfffffb00,0xffff980b,0xfffff307,0x7ffff980,0x7ffdc000,
    0x3ffaa06f,0x002effde,0x17fffe60,0x2277fe44,0x441dffea,0x7544effc,
    0x7f541dff,0x0bdfffff,0x7fffe440,0x881eebbe,0x01fffffd,0x77ffdc00,
    0xff300eff,0x3f6209ff,0x301dffff,0xe800dffd,0x03ffffff,0x07fffff2,
    0x07fffff2,0x1fffffc8,0x3fff6000,0x554c01ff,0x9800009a,0x4405ffff,
    0x22004400,0x22004400,0x30000aaa,0x05bdfdb9,0x3fffffe6,0x40001eff,
    0xb5001aa8,0x3530017d,0xfffffc80,0xffb501ef,0xffffffff,0x7ffffc43,
    0xfff15fff,0x88bfffff,0xffffffff,0x7ffec005,0x005fffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x65400000,0xcccccccc,0x333332a4,0x80cccccc,0x12ccccca,0x99999999,
    0xc9859999,0x04cccccc,0x6666665c,0x10cccccc,0x07999999,0x332e0000,
    0x0002cccc,0x01a98800,0xccca8000,0x4ccccccc,0x333332a0,0x999931cc,
    0x88039999,0x3ccccccc,0x8819d930,0xd980c406,0xbfffffff,0x3fffaa21,
    0x101affff,0x4c39ffd7,0xffffffea,0x5d4409ae,0x401befff,0xfffffb98,
    0x7541aeff,0x0005ffff,0xffff7300,0x3b6e009f,0x3a603eff,0xeeefffff,
    0xfd984eee,0x7ffe4c0c,0x01adffff,0x3ffff2a2,0xfffb510c,0x9801dfff,
    0x81befffb,0xbdfffffa,0x3ff605d9,0xffffb01e,0x7ff440df,0xf5004fff,
    0x7fffc40b,0xff5000ff,0xfff30001,0x7d401fff,0x00005fff,0x27fffdc0,
    0x2a3ffa60,0xffc82fff,0xffff90cf,0xffff0bff,0x3fffee09,0x7e4000ff,
    0x3fff201f,0xf3005fff,0x3ffe201f,0x3fffffff,0x0bffff50,0x3fffffe6,
    0x3fffea00,0x03f5006f,0x07fffff8,0x4001be20,0x06fffff8,0x02ffffcc,
    0x3fea0000,0x3fe204ff,0x8ffff55f,0x7c47fffa,0x54099eff,0x3a07ffff,
    0x002fffff,0x7f4017e4,0x004fffff,0x6efd40dd,0x0fffffff,0x0fffffb0,
    0x17ffffec,0x3fffffe0,0xf806c801,0x4007ffff,0x3fe0005f,0x7cc06fff,
    0x00005fff,0x27fffd40,0x229fffb0,0x3fe24fff,0xfffd84ff,0xbffff103,
    0x7ffffdc0,0x80374005,0xfffffffe,0x2e05d802,0x33ff6e25,0x3fffee01,
    0x3fffea05,0x7ffe405f,0x03e804ff,0x07fffff8,0xf0002740,0x980dffff,
    0x0005ffff,0x7fffd400,0x9ffff104,0x3fea15cc,0xfffd84ff,0x0bfff206,
    0x1ffffff0,0x400be200,0xffffffde,0x1026c01f,0x22002201,0x7402fffe,
    0x200fffff,0x07fffff8,0x7fc007cc,0x74007fff,0x3ffe0004,0x7fcc06ff,
    0x000005ff,0x827fffd4,0x804ffff9,0xc83ffffb,0x2200ffff,0xffff7002,
    0x01b2009f,0xffffbbe8,0x13600eff,0x5d400000,0xffffb800,0x7fff404f,
    0x017202ff,0x03fffffc,0xf80013a0,0x4c06ffff,0x54c5ffff,0x20a88000,
    0x504ffffa,0x5009ffff,0xf907ffff,0x40000fff,0x0ffffff8,0xd0017c40,
    0x3fffff27,0x0013605f,0x00000153,0x3fffffc4,0x3fffffa0,0x2005f105,
    0x007fffff,0xff000274,0xf980dfff,0xfff75fff,0xfb7005bf,0xfff53dff,
    0x3ffea09f,0xffff004f,0x0bfffb09,0xfffd8000,0x03dc03ff,0xfffd8fa0,
    0x09b04fff,0xbffffd50,0xb0000017,0x205fffff,0xfffffff9,0x3e007a80,
    0x4007ffff,0x3fe0004e,0x7cc06fff,0xfdfdefff,0x3603ffff,0xdfebdfff,
    0x7f44ffff,0xffffffff,0x17fff600,0xf30bfffa,0x00dfffff,0x0dfffff3,
    0x1f4003e8,0xffffffd1,0xfc809b05,0x1dff51ef,0xffa80000,0x9bb05fff,
    0xb07fffff,0x7fffc009,0x0274007f,0xdfffff00,0xfffff980,0x3ffff225,
    0x46fffb81,0x44fffffb,0xfffffeec,0x3fa200ee,0x3ffe20ff,0x3ffff604,
    0xffffd006,0x003ea03f,0xfff987d0,0x26c0ffff,0xd83fff90,0x800006ff,
    0x40fffffe,0xffff9af8,0x000fc46f,0x00ffffff,0x3e0004e8,0x4c06ffff,
    0xf886ffff,0x3e60ffff,0xffd81fff,0xfff504ff,0x7e44009f,0x2fffbaef,
    0x37fffd40,0xfffffa80,0xd0009d05,0xfffff507,0x9826c1df,0xffa87fff,
    0x5c00005f,0x5c4fffff,0x3fffffa7,0xff001ae1,0xe800ffff,0x3ffe0004,
    0x7fcc06ff,0xfffb05ff,0x3fffec5f,0x04ffffa8,0x009ffff5,0x59dddf70,
    0xffff3001,0x7fffc00d,0x007cc0ff,0xffc81f40,0x1365ffff,0x4c37ffec,
    0x3501ffff,0xffff8800,0xff71f47f,0x01f49fff,0x1fffffe0,0x40009d00,
    0x406fffff,0x705ffff9,0x7fc7ffff,0xfff506ff,0x3ffea09f,0x0764004f,
    0xffff3000,0x7ffdc00d,0x002ec4ff,0x3ff603e8,0x09b3ffff,0x10bffff1,
    0xfa87ffff,0x36001dff,0xf52fffff,0x7ffffc41,0xf8001f37,0x4007ffff,
    0x3fe0004e,0x7cc06fff,0xff705fff,0x3ffe2bff,0xffff505f,0x3fffea09,
    0x07fd1004,0xffff9800,0x3ffe2006,0x007e27ff,0xfd101f40,0x9b3fffff,
    0x0bffff50,0xe8bffff1,0x000fffff,0x2bfffff5,0xffffd85d,0xf8005caf,
    0x4007ffff,0x3fe0004e,0x7cc06fff,0xff505fff,0x3ffe6dff,0xffff505f,
    0x3fffea09,0x1bff7004,0x7ffcc000,0x7fec006f,0x00d92fff,0x3e601f40,
    0x4effffff,0x84ffffb8,0x227ffff8,0x02ffffff,0x3fffffa0,0xfffa81fa,
    0x8002feff,0x007fffff,0xff00027c,0xf980dfff,0xff505fff,0x3ffeedff,
    0xffff505f,0x3fffea09,0xffffd004,0x7bddffff,0x3fffe603,0x7ffcc006,
    0x002f8eff,0x3ea00fa0,0x84ffffff,0x884ffffc,0x3a0fffff,0x003fffff,
    0x3fffffee,0x3ffffe06,0xffd0007f,0x3f800fff,0xfff814c0,0x7fcc05ff,
    0xfff505ff,0x3fffee9f,0x9ffff505,0x13fffea0,0x7fffff40,0xffffffff,
    0x6ffff982,0xffffe800,0x740006df,0xffff7003,0xfff709ff,0xffff109f,
    0xffffe98f,0x3ffe2003,0x3f203fff,0x0004ffff,0x00fffffd,0xffd017c4,
    0xfffff81f,0x7fffcc05,0x5ffff505,0x41bfffea,0x504ffffa,0x2009ffff,
    0xfffffffb,0x1fffffff,0x037fffcc,0x7ffffd40,0x1f40003f,0xfffffb00,
    0x9ffff509,0x0fffff10,0x20017ec2,0x407ffffd,0x01fffff8,0xfffffb00,
    0x980fd400,0x3e23ffff,0x4c05ffff,0xf705ffff,0x3fe63fff,0xfff507ff,
    0x3ffea09f,0x3fea004f,0xffffffff,0x7fcc4fff,0xff0006ff,0x0000ffff,
    0xffe8007d,0xfff984ff,0xffff985f,0x0007fc05,0x013fffea,0x001bfffa,
    0x1fffffa8,0x7dc0fb00,0x3fe24fff,0x7cc03fff,0xff906fff,0xfffff8ff,
    0x5ffffa80,0x09ffff50,0x333bee20,0xffeccccb,0x7fffcc5f,0xfff70006,
    0x7d00009f,0xffff8800,0x0dfffd04,0x405ffff5,0xfd0004f9,0xff5001ff,
    0x7c40007f,0xb804ffff,0x3ffe603f,0x3fffe20f,0x7ffcc01f,0x5fffd06f,
    0x84ffffb8,0x505ffffe,0x1009ffff,0xf7001dff,0xffff987f,0xfff10006,
    0xf880001f,0xfff98004,0x0dfff504,0xd80dfff5,0xff70000e,0x3ffe200b,
    0x7fd40000,0x3ea04fff,0x44ffe805,0x803ffffa,0x41fffff9,0xf883fff9,
    0x3f61ffff,0xf506ffff,0xf7009fff,0x3fe6009f,0x37fffcc0,0x09ff9000,
    0x00bf5000,0xd813fee0,0x7fec1fff,0x01dd102f,0x017fc400,0x0000bf90,
    0x3bffffee,0x05ffdaac,0x223dff10,0x3004fffe,0x21bfdfff,0x2604ffd8,
    0xefdfffff,0x3efffffb,0x037fffdc,0x2007ffcc,0xff983fd8,0x260007ff,
    0x440001ff,0x8000bffd,0x7fec04fc,0x03fff30d,0x000033aa,0x5f3001b6,
    0x7ec40000,0xefffffff,0x7fe44002,0x003dffff,0x7fdc37e6,0x9803dffe,
    0xf55ffffe,0xd8159bff,0x800fffff,0x9aacffea,0x901ffdca,0x003fffff,
    0x50002f40,0xbffffffd,0x804e8001,0xeffefffb,0x00000600,0x00900053,
    0x32aa2000,0x40000aac,0x0001ba98,0x03531051,0x882aa200,0x3ffb200a,
    0x00efffff,0xdffedca8,0xff8809ac,0x05ffffff,0x00003300,0x02880000,
    0x0006aa20,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x01353000,0x42ffffcc,0x881ffffd,
    0xcccccccc,0x9952cccc,0x99999999,0x3332e199,0x440004cc,0x0164c0bc,
    0x66665c00,0xc88000cc,0xcccccccc,0xcccccccc,0x99912ccc,0x99999999,
    0x00135557,0xcccccc88,0x03cccccc,0x66540000,0xcccccccc,0xcccccccc,
    0x4c002ccc,0x0cfffffd,0x85ffff98,0x301ffffd,0xffffffb5,0x2e62137f,
    0xdfffffff,0x3fff661a,0xf10000ff,0x7ffccbff,0xb3068803,0x001fffff,
    0x3fff6a60,0xffeeefff,0x23ffffff,0xfffffea9,0xffffeeef,0x2a6001ef,
    0xeffffffe,0x0000009a,0x7fff54c4,0xffffffff,0x4fffffff,0x233fea00,
    0x4c0efffa,0xfd85ffff,0xff801fff,0x5402ffff,0x206fffff,0x00fffff8,
    0x1ffff500,0x201bfff2,0x7fffc07d,0xfe80000f,0xb300ffff,0xff107fff,
    0xfd50dfff,0x88009fff,0x01ffffff,0xf7000000,0x0fffffdb,0x013fff26,
    0x3fa3ffdc,0x7ffcc5ff,0xffffd85f,0xffffe801,0x7ffcc00f,0x7ffc05ff,
    0xf30000ff,0x7ffdcdff,0x203fdc05,0x000fffff,0xfffffd80,0x81ff5400,
    0x206fffff,0x00effffe,0x3fffffa0,0x00000000,0xffffd1f9,0x04ffa80f,
    0x644fff88,0x7fcc7fff,0xfffd85ff,0xfffd801f,0x7fcc00ff,0x7fc05fff,
    0x20000fff,0x6fe41eeb,0x01ffe600,0x001ffffd,0xfffffb00,0x207f1001,
    0x206fffff,0x03fffff9,0x1fffffa0,0x4c000000,0xfffffd3f,0x9009f500,
    0xff987fff,0x7fffcc6f,0x1ffffd85,0xfffffd80,0x7fffcc00,0x7fffc04f,
    0x0000000f,0x01fffe60,0x001ffffd,0xfffffb00,0x740f6001,0x7c06ffff,
    0x2007ffff,0x007ffffe,0x4db00000,0x007ffffe,0xfff8809f,0x42efc82f,
    0xd85ffff9,0xd801ffff,0x400fffff,0x04fffff9,0x007ffffc,0xfa800000,
    0x7f407fff,0x80000fff,0x00fffffd,0xffd03b81,0xffe80dff,0xfd000fff,
    0x0000ffff,0x743f5000,0x8b07ffff,0x7ffcc04c,0x7fcc002f,0xfffd85ff,
    0xfffd801f,0x7fcc00ff,0x7fc04fff,0x00000fff,0xffffb800,0x747fffff,
    0x0cc0ffff,0x3ffff600,0x0288d00f,0x80dffffd,0x01fffffd,0x0fffffd0,
    0xf8800000,0x3fffff44,0x500e22cc,0x8007ffff,0xd85ffff9,0xd801ffff,
    0x400fffff,0x04fffff9,0x107ffffc,0x5fffffff,0xffffff98,0xfffdd306,
    0xe8bdddff,0xff90ffff,0x3f6009ff,0x6a80ffff,0x3ffffa00,0x7ffffc06,
    0x3fffa007,0x0000007f,0x7fff4364,0x8005b87f,0x005ffffb,0x42ffffcc,
    0x801ffffd,0x00fffffd,0x27ffffcc,0x03ffffe0,0xb00bffee,0x880dffff,
    0x7407ffff,0xffd9ffff,0xd803ffff,0xc80fffff,0x3fffa006,0x3ffe606f,
    0x3fa005ff,0x00007fff,0x3a0be600,0x5e87ffff,0xffffb800,0x7ffcc006,
    0xffffd85f,0xffffd801,0x7ffcc00f,0x7ffc04ff,0x0ef980ff,0x6ffffa80,
    0x3ffffc40,0x3fffffa0,0xffffe99d,0x7fffec01,0x0037d40f,0x40dffffd,
    0x01fffffc,0x1fffffa0,0x5e800000,0x8fffffd0,0xfa8005fb,0x2000ffff,
    0xd85ffff9,0xd801ffff,0xaabfffff,0xffbaaaaa,0x7fc04fff,0x0ee80fff,
    0xdffff300,0x7ffff880,0x2fffff40,0x00ffffee,0x11fffffb,0x400dff95,
    0x906ffffe,0x005fffff,0x07ffffe8,0x1f700000,0x3fffffa0,0x005fffb9,
    0x4fffff88,0x3fffe600,0x2ffffd85,0x3fff6071,0xffffffff,0xffffffff,
    0x7ffffc04,0x300076c0,0x880dffff,0x7407ffff,0x7d40ffff,0x7ec04fff,
    0xffffffff,0x3fa006ff,0xeccaefff,0x00cffffe,0x7ffffe80,0xf8800000,
    0x3ffffa02,0x05ffffff,0xfffffd00,0xfff30403,0xffff98ff,0x3f60773f,
    0x9999ffff,0xfffa9999,0x7ffc04ff,0x003b60ff,0x0dffff30,0x07ffff88,
    0x207ffff4,0x404ffffa,0xbbfffffd,0x2006fffe,0xeefffffe,0x00ffffff,
    0x3ffffa00,0xd8000007,0xeeeeeeef,0xa9ffffff,0x50005ffd,0x10dfffff,
    0x7fffcc3d,0xffefa8af,0xb01eaeff,0x801fffff,0x04fffff9,0xd87ffffc,
    0x7cc000ef,0x7c406fff,0x7f407fff,0x7fd40fff,0x7fec05ff,0x3f620fff,
    0x3fffa006,0xfffff16f,0x7f40009f,0x00007fff,0x5555fd40,0xffffaaaa,
    0x002fe47f,0xffffffd0,0xfa85f95b,0xbfffffff,0x4ffffff8,0x3fffff60,
    0x7fffcc00,0x7fffc04f,0x04fffd8f,0x37fffcc0,0x1ffffe20,0x81ffffd0,
    0x405ffffa,0x80fffffd,0x3ffa006e,0x3ffea6ff,0xd0001fff,0x000fffff,
    0x401fc400,0xe87ffffe,0x3f620005,0x3fffffff,0xffffefa8,0x3fffea1e,
    0x3fff600d,0x7fcc00ff,0x7fc04fff,0xffffdfff,0x3fe6002f,0x7fc406ff,
    0x7ff407ff,0x7ffd40ff,0x7ffec05f,0x006a80ff,0x91bffffa,0x01dfffff,
    0xfffffd00,0x90033000,0x3fffa00d,0x0005c87f,0xdfffffc8,0x5517f902,
    0x400d5401,0x00fffffd,0x27ffffcc,0x3bffffe0,0x00fffffc,0x0dffff30,
    0x07ffff88,0x207ffff4,0x405ffffa,0x80fffffd,0x3ffa0068,0x7ff446ff,
    0xe8005fff,0x8007ffff,0x00fcc01d,0x87ffffe8,0x8003505a,0x4fd803f9,
    0xffb00000,0xf9801fff,0x7c04ffff,0xffd0ffff,0x3e600bff,0x7c406fff,
    0x7f407fff,0x7fd40fff,0x7fec05ff,0x00b00fff,0x437ffff4,0x2ffffff9,
    0x7ffff400,0x007c4007,0xffe8013a,0x3a0b07ff,0x067dc000,0x0001bfe0,
    0x7ffffec0,0x7fffcc00,0x7fffc04f,0xfffff30f,0xffff3005,0xffff880d,
    0x7ffff407,0x2ffffd40,0x3fffff60,0xffe80000,0xfff906ff,0x74001fff,
    0x4007ffff,0x007dc07b,0x0fffffd0,0x22003d40,0x3e206fff,0x800000ff,
    0x00fffffd,0x27ffffcc,0x83ffffe0,0x00fffffc,0x037fffcc,0x0a3ffffc,
    0xa81ffffd,0x6c05ffff,0x000fffff,0x6ffffe80,0x3fffffa0,0x3fffa006,
    0x1fe2007f,0x74003f88,0x2007ffff,0xff88006d,0x3fff500f,0xffb00000,
    0xf9801fff,0x7c05ffff,0x7f40ffff,0x7cc05fff,0xfd806fff,0xe8571fff,
    0x7d40ffff,0x7ec05fff,0x0001ffff,0x06fffff8,0x3fffffe2,0xffffd003,
    0xdfd1001f,0x74003740,0x400fffff,0xf0005fd8,0x7ffdc0ff,0xfe800003,
    0x4c01ffff,0x405fffff,0x4c0fffff,0x203fffff,0x807ffff9,0x5ffffff8,
    0x41fffff8,0x405ffffb,0x01fffffe,0xfffff800,0x7fffdc07,0xfff802ff,
    0x74401fff,0x0bf905ff,0xffffff00,0x27ff4c01,0x0fff2600,0x001fffa8,
    0x7fffd400,0x7fec04ff,0xf301ffff,0xfd07ffff,0x3205ffff,0x801fffff,
    0x40beffd9,0x43fffff9,0x00fffffd,0xbffffff3,0xfffb8000,0x7ec02fff,
    0x201fffff,0xfffffffa,0xfecaaaab,0x7dc44fff,0x3ea001ff,0xabefffff,
    0xffffecba,0x37bba003,0x003ec802,0xfffd9100,0x5bffffff,0x3fffff6a,
    0x90ceffff,0xdfffffff,0x7fffffe4,0x3fffe25f,0x2005ffff,0xfffff900,
    0x3fffabff,0xd912ffff,0xffffffff,0x3a6005bf,0xffffffff,0xff880eef,
    0x226fffff,0xffffffed,0xffffffff,0x2a3fffff,0x2effffff,0xffffdc88,
    0xffffffff,0x2fffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xcccccc88,0x70003ccc,
    0x99999999,0x3ffff219,0x3ea1ffff,0x9910ffff,0x99999999,0x00355599,
    0x99999991,0x00199999,0x66666664,0x09aacccc,0x0cec9800,0xccc982c4,
    0xcccccccc,0x440019aa,0xcccccccc,0xcb82cccc,0xcccccccc,0xcccccccc,
    0x6666541c,0x04cccccc,0x33333322,0x9999911c,0xffd53079,0x001fffff,
    0xffffff88,0x7fe41adf,0x3fa06fff,0x7ff54c0d,0xfffeffff,0x200dffff,
    0xfffffda9,0x4c001adf,0xffffffda,0x2efffffe,0xfffff500,0x220bb37b,
    0xfffffea9,0xffffffef,0xfb53002d,0x37ffffff,0xfffffd01,0xffdddddd,
    0x710dffff,0xfffffffd,0xffba8035,0x3faa0bef,0x7fc06fff,0x004fffff,
    0x7fffffdc,0x3fff600f,0x807ee06f,0x26fffff8,0xefffffa8,0xfffff800,
    0xffd00007,0x7fe4cfff,0x3e201fff,0xffffffff,0xfff8802f,0x7fe4c7ff,
    0x3e000dff,0x402fffff,0x2a02dfff,0x02ffffff,0x3fffffe6,0x077dc005,
    0x06ffffb8,0x7ffffef4,0x3f3a000f,0x4c06ffff,0xb00fffff,0xffffd00b,
    0xffffd10d,0xfffe803f,0xfb00006f,0xff70ffff,0x3ee01fff,0xffffffdd,
    0xffff000f,0x3ffe60ff,0xffd003ff,0xff801fff,0x7fffc404,0xffb805ff,
    0x2000ffff,0x3fe600fd,0x6e7406ff,0x003fffff,0xfffff3f5,0xffffb00d,
    0x3a00be09,0xf506ffff,0xe809ffff,0x0006ffff,0x0fffff90,0x41bffffe,
    0x3ff6e25b,0x3ffa001c,0x3fea07ff,0xfe802fff,0x2200ffff,0xfffc804f,
    0xfd000fff,0x2009ffff,0x7fcc03f9,0x4e7406ff,0x006fffff,0x3ffffebb,
    0xffff9806,0xfd006a87,0x3e20dfff,0x7406ffff,0x0005ffff,0x0fffff90,
    0x03fffff6,0x00044022,0x03fffff4,0x03fffff6,0x1fffffd0,0x26007cc0,
    0x03ffffff,0x3ffffe60,0x806d800f,0x406ffff9,0xfffffd4e,0xff1f8803,
    0x3a00dfff,0x1ec2ffff,0x6ffffe80,0x3fffffa0,0x3ffffa00,0xbdefffff,
    0xffff9000,0x3ffff20f,0x0000002f,0x80fffffd,0x05fffffa,0x07fffff4,
    0xffd00b50,0xb000dfff,0x80bfffff,0xff9801f9,0xaa7406ff,0x405fffff,
    0x3ffffe6c,0xffff7006,0xe8007c4d,0x3e06ffff,0x7406ffff,0xcbaeffff,
    0x804fffff,0x707ffffc,0x005fffff,0xfe800530,0xff807fff,0x3a01ffff,
    0x200fffff,0x7ffdc019,0x98001fff,0x01ffffff,0x7fcc017a,0xf27406ff,
    0x401fffff,0x3ffffe3f,0x3fffe006,0x7400b71f,0xf306ffff,0xe807ffff,
    0x7cc5ffff,0x6405ffff,0xf907ffff,0x3f23ffff,0xf90fffff,0x3a009fff,
    0xc807ffff,0x204fffff,0x00fffffe,0x3fffe200,0x320004ff,0x705fffff,
    0x3fe6001f,0x927406ff,0x209fffff,0x3fffe0fa,0x3ff2006f,0x4005d5ff,
    0xb06ffffe,0x801fffff,0xa85ffffe,0x202fffff,0xd07ffffc,0xfa8fffff,
    0xffd9ffff,0xe804ffff,0xb807ffff,0x207fffff,0x00fffffe,0x3ffff600,
    0x220000ff,0x41ffffff,0x3e6003f8,0x27406fff,0x0ffffff1,0xfffff13a,
    0x7ffc400d,0x74007aff,0x6c46ffff,0x800effff,0x885ffffe,0x207fffff,
    0x987ffffc,0xf82fffff,0x99dfffff,0x401ffffe,0x807ffffe,0x07fffffa,
    0x03fffffa,0x7fffd400,0xc80002ff,0x6c6fffff,0x7ffcc006,0x3627406f,
    0x4c2fffff,0x7ffffc1f,0x7ffec006,0x7f4004ff,0xfdccffff,0x2001cfff,
    0xd05ffffe,0x201fffff,0x4c7ffffc,0xf04ffffe,0xfb8bffff,0x664c3fff,
    0xcffffffc,0x3ea1cccc,0xd00fffff,0x001fffff,0xfffffd10,0x3e20000b,
    0xf32fffff,0xfff98005,0x2627406f,0x646fffff,0x6fffff85,0x7fffcc00,
    0x7ff4001f,0xffffffff,0xd000adff,0x360bffff,0x901fffff,0xb97fffff,
    0x405dffff,0x540ffffe,0x74c4ffff,0xffffffee,0x262eeeee,0x01ffffff,
    0x01fffffd,0xfffff900,0x5c00001f,0xbd6fffff,0xffff3000,0xfe84e80d,
    0x5f11ffff,0x0dfffff0,0x0dfffd00,0xdffffd00,0x7ffff544,0xfffe803f,
    0xffffd05f,0x3fff201f,0xbceeeeff,0xffffe801,0x27fffd40,0x1fffffa0,
    0x3ffffe60,0xffffd01f,0xff98001f,0x0003ffff,0xfffffe80,0xf98000fe,
    0x27406fff,0xafffffd4,0xfffff07b,0xfff5000d,0xfffd0007,0x3fff60df,
    0x7ff405ff,0xffff05ff,0x7ffe40df,0x7f40007f,0x7fd40fff,0x7ff404ff,
    0xffa807ff,0x3fa07fff,0x4000ffff,0x06fffffe,0xfff50000,0x20007fff,
    0x406ffff9,0xfffff04e,0x3fe07d1f,0xf0006fff,0xfd0001ff,0x7ec0dfff,
    0x3a04ffff,0xf885ffff,0x3203ffff,0x0007ffff,0x207ffff4,0x404ffffa,
    0x807ffffe,0x06fffffb,0x03fffffa,0xfffffb80,0x2000001f,0x01fffffe,
    0xdffff300,0xff904e80,0x201fbfff,0x006fffff,0x2000bf70,0x206ffffe,
    0x07fffffb,0x217ffffa,0x00effffc,0x01fffff2,0x1ffffd00,0x04ffffa8,
    0x03fffff4,0x2fffffe4,0x1fffffd0,0x3fffe200,0x012004ff,0x3fffff20,
    0xfff30001,0x104e80df,0x0bffffff,0x037ffffc,0x0002f880,0x40dffffd,
    0x1ffffff9,0x4bffffd0,0x05ffffc9,0x07ffffc8,0x7ffff400,0x27fffd40,
    0x1fffffa0,0x3fffff20,0x3ffffa03,0xfffb000f,0x22001fff,0xfffc8006,
    0xf30001ff,0x4e80dfff,0x3fffff60,0x3ffffe01,0x00d30006,0x37ffff40,
    0x3fffffe0,0xfffffd02,0x7dffffff,0x3ffff200,0x7ff40007,0x7ffd40ff,
    0x7fff404f,0xfffe807f,0x7fff406f,0xffa800ff,0x2002ffff,0xffc8005a,
    0x30001fff,0xe80dffff,0x3fffe604,0x7ffffc06,0x1ec0c406,0xffffd000,
    0x7fffcc0d,0xfffd00ff,0x135555df,0xffffc800,0x7ff40007,0x7ffd40ff,
    0x7fff404f,0x7ffd407f,0x7ff402ff,0xfe800fff,0x4005ffff,0xffc8004e,
    0x30001fff,0xe80dffff,0x17fff404,0x1bffffe0,0x3e25ffa8,0x3ffa0000,
    0x3fee06ff,0x3fa06fff,0x00005fff,0x00fffff9,0x0ffffe80,0x027fffd4,
    0x01fffffa,0x00bffffd,0x01fffffd,0xffffffc8,0x013f2001,0x3fffff20,
    0xfff30001,0x404e80df,0x7c407ffa,0x3606ffff,0x00970fff,0x6ffffe80,
    0xfffffd10,0x7ffff403,0xffb00006,0xe8000fff,0x7d40ffff,0x7f405fff,
    0x3ea07fff,0xe800dfff,0x200fffff,0x4ffffff9,0x07ffb100,0xfffff900,
    0x3fe60003,0x17e206ff,0xf1013fe0,0x6c0dffff,0x00f9afff,0x7ffffc00,
    0x7fff440f,0x7ffc02ff,0xb00006ff,0x001fffff,0x0fffffc0,0x017fffee,
    0x01ffffff,0x009ffff7,0x07fffff4,0xdfffffb0,0x3fffee00,0xfffd8002,
    0xf30002ff,0x7e40ffff,0x007e403f,0x3ffffff2,0xfffff502,0xffa80005,
    0xdbbeffff,0x00cfffff,0x7fffffd4,0x7fcc0001,0x0004ffff,0x87fffff3,
    0x00fffffd,0xbffffff7,0xbfffd977,0x7ffd4003,0xff504fff,0x5559ffff,
    0xffd97555,0x98003fff,0x05ffffff,0xfffff900,0x7fffec43,0x05880eff,
    0xffffffb5,0xa819dfff,0x10001dfd,0xffffffdd,0x9bdfffff,0x7f644017,
    0xefffffff,0x3fb6000c,0xffffffff,0xfff9001e,0x3fabffff,0x32ffffff,
    0xffffffdb,0x59ddffff,0x7ff64400,0xdfffffff,0xffffff12,0xffffffff,
    0xffffffff,0xffd95001,0xbfffffff,0xfff88019,0x005fffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x64400000,0xcccccccc,0x666444cc,0x223ccccc,0xcccccccc,0x99504ccc,
    0x89999999,0xcccccccc,0x1ccccb83,0x99999995,0x99999999,0x23999999,
    0xccccccca,0x09aabccc,0x66664400,0xcccccccc,0xcccccccc,0x4ccccc40,
    0x99999999,0x20009999,0x40000099,0x30000098,0x00190135,0xea803553,
    0xefffffff,0xfffc981a,0x6d4c0adf,0xbfffffff,0xfff93101,0xffb837df,
    0xa82dffff,0xff91effc,0xfffdffff,0xfffddfff,0x2e625fff,0xffffffff,
    0x1cefffff,0xfffb5300,0xffdddfff,0x83ffffff,0xaaaaaaad,0xaaaaaaaa,
    0x3fe004aa,0x7e400002,0x3f660005,0xbb0dffff,0x7ffff5c0,0x3fa202ef,
    0x803fffff,0xfd003ffd,0x4005ffff,0x7d404fff,0x2201ffff,0x0effe46f,
    0x87fffff2,0x982fffa8,0x4c6fffff,0x00dffffc,0xffffff10,0xfffd5101,
    0x90000483,0x0017fc00,0x0017f200,0xfa8fffd4,0xe980edff,0xffff50bf,
    0x7fffc403,0x4fd806ff,0x3ffff600,0x5ff5001f,0x3ffffa00,0xf90be603,
    0x3ffff209,0x82fe881f,0x06fffff8,0x05fffff5,0x3fffffa0,0x20ffdc00,
    0x00900004,0x000017fc,0x2e0017f2,0x7fe43fff,0x0fff882f,0x007fffe4,
    0x7ffffff7,0x2002fcc0,0x00fffffd,0x2001ef98,0x206ffffb,0x3206c86c,
    0x501fffff,0xffff105f,0x7ffdc0df,0xffe801ff,0xfc800fff,0x48000241,
    0x000bfe00,0x800bf900,0x541ffff8,0xffc86fff,0x7fffdc3f,0x7fffec03,
    0x00dd01ff,0x1fffffb0,0x000dfa80,0x0fffffc4,0x203c84e8,0x01fffffc,
    0x7fffc0ba,0x7fff406f,0x7ff400ef,0xf8800fff,0x48000241,0x000bfe00,
    0x800bf900,0x4c0ffffb,0x7f43ffff,0x7ffd47ff,0x7ffc404f,0x0fc86fff,
    0xffffd800,0x013f200f,0x4ffffd80,0x01c81f98,0x07fffff2,0xffff02b8,
    0xfffb80df,0x7ff404ff,0xd8580fff,0x48000241,0x000bfe00,0x800bf900,
    0x7c47ffff,0x7dc6ffff,0x7ffd45ff,0xfffb804f,0x07ee3fff,0x7fffec00,
    0x02fd880f,0x7fffd400,0x80106b86,0x01fffffc,0x7fffc022,0x7ffc406f,
    0x3fa00fff,0x8780ffff,0x8000241a,0x00bfe004,0x00bf9000,0x13ffffc4,
    0x0fffff9d,0x7ec417b5,0xfb004fff,0xf33fffff,0x7fec0005,0x774c0fff,
    0xfff00001,0x003e83ff,0x3fffff90,0x3fffe000,0xfffd806f,0x3ffa03ff,
    0x03c40fff,0x09000048,0x00017fc0,0x98017f20,0x5767ffff,0x400fffff,
    0xffffefc8,0xffff1004,0x0009fdff,0x0fffffd8,0x00003bea,0x24ffffc8,
    0xf90000f9,0x0003ffff,0x01bffffe,0x17fffff2,0x0fffffe8,0x004803e4,
    0x2aaa6900,0xcffaaaaa,0x2aaaaaaa,0x2aaaaaa2,0xaaaefdaa,0xf51aaaaa,
    0xf9b2ffff,0x9101ffff,0xffff55ff,0x7ffd4009,0x80006fff,0x90fffffd,
    0x00001dff,0x93ffffcc,0x7fe4000d,0xf0001fff,0x900dffff,0x40dfffff,
    0x20fffffe,0x009007f9,0x7ffed200,0xffffffff,0x7fffffff,0x3fffffe6,
    0xffffffff,0xf53fffff,0x41f7ffff,0xa80fffff,0xfff51fff,0xffd8009f,
    0x0001ffff,0x4fffffec,0x005ffffd,0x7ffffc00,0x640007d2,0x001fffff,
    0x0dfffff0,0xffffff70,0x7fffff40,0x007ffb99,0x6d200009,0xffffffff,
    0xffffffff,0x3ffe67ff,0xffffffff,0xffffffff,0xffffff33,0x86ffff83,
    0x3ea1fffc,0x44004fff,0x06ffffff,0x7fffec00,0xffffffff,0x3f200003,
    0x00f9dfff,0x3ffff200,0xfff0001f,0xff500dff,0x3a01ffff,0xffffffff,
    0x009007ff,0xff801200,0x7e400002,0x7fffc005,0x4ffff82f,0x2a37ffdc,
    0x8004ffff,0x4ffffffa,0x3fff6000,0xffffdeff,0x998001ff,0xffffa999,
    0x99999edf,0xffff9000,0x3fe0003f,0xfa806fff,0x3a07ffff,0xcbafffff,
    0x009007ff,0xff801200,0x7e400002,0x7ffe4005,0x3ffff887,0x2a2ffffc,
    0x8004ffff,0xfffffffa,0xfffb0001,0xfffd11ff,0xf8001fff,0xffffffff,
    0xffffffff,0xfff9003f,0x3e0003ff,0xb806ffff,0x206fffff,0x20fffffe,
    0x009007fb,0xff801200,0x7e400002,0x7ffc4005,0x77ffcc0f,0x3ffffe60,
    0x9ffffd31,0xfecf8800,0x0006ffff,0x21fffffb,0x6ffffff9,0x4ccccc00,
    0x9fffffc9,0x00099999,0x03fffff9,0x3ffffe00,0xffffc806,0x3fffa05f,
    0x803ec0ff,0x00900004,0x000017fc,0x3a0017f2,0x7fdc2fff,0x7fffc41f,
    0xfffdfeff,0xe88039ef,0xffffff35,0xfffb0009,0x7ffd41ff,0x80005fff,
    0x007ffffa,0xfffffc80,0xffff0001,0xfffb00df,0x7ff407ff,0x03d40fff,
    0x09000048,0x00017fc0,0xb0017f20,0x223dff9b,0xffb02fff,0x3fa3dfff,
    0xd800ffff,0x3ffff20e,0x7ec001ff,0x7e40ffff,0x003fffff,0x3ffffd40,
    0x7ffe4000,0xff0001ff,0xfd00dfff,0x7405ffff,0x440fffff,0x00049207,
    0x17fc0090,0x17f20000,0xfd30eb80,0x405bffdf,0x544effc8,0xc801dffe,
    0xffffe80f,0x7fec006f,0xffe80fff,0xc801ffff,0xffdccccc,0xcccccfff,
    0xfff9001c,0x3e0003ff,0x4406ffff,0x406fffff,0x80fffffe,0x0024d106,
    0xdddd9480,0xddffdddd,0x0ddddddd,0x2005fc80,0x01aa8808,0x02200440,
    0xf9817d40,0x004fffff,0x03fffff6,0x3fffffe2,0x7777400f,0xfffffeee,
    0x02eeeeee,0x3fffff90,0x3fffe000,0x7ffdc06f,0x7ff401ff,0x32000fff,
    0xa4000125,0xfffffffd,0xffffffff,0x64007fff,0x0000005f,0x26000000,
    0x7ffe404f,0xfb001fff,0x2601ffff,0x06ffffff,0xfffff500,0xfff90000,
    0x3e0003ff,0x7c06ffff,0xe804ffff,0x000fffff,0x000249f3,0x99999548,
    0x99999999,0x00999999,0x00003ca8,0x00000000,0xfd100df3,0x001dffff,
    0x03fffffb,0x7fffffdc,0xfffb8005,0xfc80007f,0x8001ffff,0x06fffff8,
    0x017fffee,0x07fffff4,0x091ffc40,0x00012000,0x00000000,0x00000000,
    0x2007ff30,0x5ffffffa,0xfffffe80,0x7ffff401,0x7dc005ff,0x0000ffff,
    0x17ffffec,0x7fffc400,0xffff907f,0x7fff4007,0x3ee201ff,0x000121ff,
    0x00000024,0x00000000,0xb8800000,0xa800efff,0xcfffffff,0xfffff300,
    0xfffd80bf,0x800dffff,0x4fffffe8,0x3ffe6000,0xc8005fff,0xadffffff,
    0x1dfffecb,0x3fffea00,0xcaaabeff,0x20fffffd,0xcccccccd,0xcccccccc,
    0x000004cc,0x00000000,0xc8000000,0xefffffff,0xffffea83,0x12ffffff,
    0xffffffd9,0x7d41dfff,0xffffffff,0x76c40eff,0xffffffff,0xfd9002df,
    0xffffffff,0x7f6d407b,0xffffffff,0x2001ceef,0xfffffec8,0xffffffff,
    0x007fffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20004d4c,0x88000a98,0x26a200a9,0x01530000,0x00000000,0x0d4c0000,
    0x00000006,0x29800031,0x7ffffe40,0xffff75ff,0x7fe4dfff,0xffff91ff,
    0x7cc3ffff,0x0000ffff,0x30053015,0x19fffffb,0xffffe980,0x7fdc400e,
    0xd30dffff,0x003dffff,0x7bffffd5,0x08825c01,0x16cc1b10,0xffa80000,
    0x007cdfff,0x6c793000,0x3ff21eff,0xff90ffff,0x7fdc09ff,0x7fd43fff,
    0xef984fff,0x7ffffdc0,0xb83bf607,0x21ffffff,0x3fa1fffc,0x9ff503ff,
    0x01dfff51,0xffe93fee,0x139ff301,0xff7dfff5,0x80fffa67,0xff51effc,
    0x27ff501d,0x2dfffec8,0x7fccdfd1,0x300000be,0xff911bff,0xda80000f,
    0xffff53ff,0xfffffa8b,0xffffffd9,0x3ffff604,0x5ffffd84,0x3ff605f0,
    0x03f206ff,0x27ffffe2,0x55ffffe8,0xb85fffff,0x7fff47ff,0x546ffb85,
    0x6ff986ff,0x5fffffa8,0x6407ffd4,0x7fec1fff,0xffbffb06,0xddffffff,
    0x7ff443ff,0x40001dff,0x3fcc1ffd,0x7fdc4000,0xfffb1eff,0xffff81ff,
    0xffe99dff,0xfff301ff,0xffff50df,0x7cc0f50f,0xbb00ffff,0x4fffff40,
    0xb5fffffd,0x44dfffff,0x7fe44fff,0x1fffc47f,0xf90fffe2,0xfff887ff,
    0x4fff82ff,0x543fffcc,0xffb05fff,0xfb5337df,0x32603fff,0x00beffff,
    0x427ffc40,0xb50000fa,0xb83bffff,0xff86ffff,0x7fdc5fff,0x3ffa03ff,
    0x7ffe41ff,0x202642ff,0x883ffffd,0x3fff601f,0xfffa9edf,0xffffff52,
    0x261fffe4,0x7fec6fff,0x47fff82f,0xff86fffe,0xffe81fff,0x1bfff60f,
    0x207fffe6,0x3ea04ffa,0xfeb8806f,0x5001cfff,0x1d09ffff,0x7ff5c400,
    0xfd100cff,0xfffd05ff,0xffffa81f,0x3fffee04,0x7fffefc4,0x3ea00fc5,
    0x06b87fff,0x17ffffec,0xfdff906a,0x0bfffe2f,0xff88bbf2,0xffff81ff,
    0x217ffee0,0xfb07ffff,0x3ffe23ff,0xffff885f,0xa805fe83,0x366002ff,
    0x402effff,0x0efffff9,0x3f260026,0x2002efff,0xfffd00ba,0xffffa81f,
    0x3fffe204,0x3ffe3aa7,0x200d50ff,0x742ffffe,0x7fffec02,0x3e622006,
    0x05ffff36,0x57fffcc0,0xffff9999,0x2a05edc2,0x999fffff,0x52fffe99,
    0xf10bffff,0xffa8bfff,0x00df9000,0xfffff710,0x3fffa039,0xd5002fff,
    0x0039ffff,0xffffd000,0x4ffffa81,0x97fffec0,0x7ffffb3d,0x7fdc0136,
    0x201e66ff,0x004ffffd,0xfff54fb8,0x7fd4007f,0xffffffff,0xea803fff,
    0xfffffffe,0x4fffffff,0x109ffff7,0xfb8fffff,0x01fea006,0xffffb500,
    0xffffb85b,0xf9104fff,0x0017dfff,0x7fff4000,0x7fffd40f,0x7fffd404,
    0xfff50f8d,0x2003f1df,0xb1fffff8,0xffffb007,0x21fd0007,0x005ffffb,
    0x00bfffee,0x3a9fd500,0x64007fff,0xf884ffff,0x3f60ffff,0x03fe6004,
    0x3ff22000,0x7ffec3ff,0x7cc4ffff,0x0002dfff,0xffffd000,0x4ffffa81,
    0x7ffffc40,0x7ffffc5c,0x7fe4006c,0x800f8dff,0x002ffffd,0xfff71fd4,
    0x7fdc00df,0xb10003ff,0x7fff45ff,0x3fee001f,0xfff884ff,0x002fe47f,
    0x80001ff3,0x1effffc8,0xffffffc8,0x3fffa22f,0x000001cf,0x40ffffe8,
    0x804ffffa,0x42fffffd,0x03fffffc,0x7ffffcc0,0xfffb005c,0x17e4003f,
    0x03ffffea,0x2ffffd40,0x17ffcc00,0x00bffff6,0x84ffffa8,0x5c7ffff8,
    0x1fee006f,0xfffda800,0x7fd402df,0xda84ffff,0x002effff,0x3fffa000,
    0x7fffd40f,0xffff9804,0x7fffcc0f,0xffd8000f,0xfb001fff,0x36003fff,
    0xffff881d,0xfff3004f,0x7cc001ff,0xfffc87ff,0x3fe6005f,0xfff985ff,
    0x017fcc5f,0x44005fe8,0x0cffffeb,0xffe88310,0x3ee207ff,0x000cffff,
    0xfffd014c,0xffffa81f,0xbffff004,0x01bfffa0,0x37fffd40,0x3ffffb00,
    0xffd00600,0xf0403fff,0x5c09ffff,0x217fffa2,0x01fffff9,0x6fffe8aa,
    0x82ffffa8,0x7e400ffd,0xff93001f,0xf3005dff,0x0ffffb01,0x3ffff6a0,
    0x7ff4402d,0xffffe82f,0x27fffd40,0x02fffc80,0x0007fff7,0x0017fff4,
    0x003ffffb,0x3fffea00,0x2e1e886f,0xa82fffff,0x3ffffe66,0x7ffffc40,
    0x2a0e980e,0xffa86fff,0x5fff506f,0x00dffb10,0x39ffffd5,0x4427cc00,
    0x44005fff,0x0beffffc,0x85ffffb8,0x540ffffe,0x3005ffff,0x7fc40fff,
    0x3ee0000f,0x7fec007f,0x200001ff,0xdffffffe,0x7fc42fca,0xdaadffff,
    0x3fffe61f,0xfdfcabef,0xa9bfffff,0xfffd82fd,0x417ffec1,0xdeffffe8,
    0x4fffffdc,0xeffffc88,0xff88000b,0x002ffe81,0x3ffffaa0,0x3ffff61d,
    0x7ffffc0f,0x2ffffdc1,0xd809fd00,0x7c40005f,0x7ff4004f,0x200002ff,
    0xffffffd8,0xffd103ff,0x05ffffff,0xfffffffd,0x3fffee3d,0x202fffff,
    0xff30dffd,0x5fff303f,0xfffffffb,0x7cc9ffb7,0x0001dfff,0xb867ffc4,
    0x300004ff,0x2a7ffff9,0x7cc5ffff,0x7ec3ffff,0x7000ffff,0x02fa803f,
    0x000fc800,0x13ffffe2,0x3ff20000,0x4402dfff,0x1dfffffd,0xdffffd30,
    0xffffd507,0xff7005df,0x201dffdf,0x32e61fe8,0x317ec2cd,0x000017ff,
    0x3fff77e2,0x800004ff,0x3f63feb8,0x3fff21ef,0xffd5ffff,0x005fffff,
    0x00320091,0xb800e200,0xefffffff,0xa9800002,0x03530002,0x4004d440,
    0x8000aaa8,0x11001aa8,0x05106000,0x530a0000,0x20000003,0x00014419,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x88000000,0x0054400a,
    0x4ffffffb,0x4ffffff9,0xffffffa8,0x5fffffff,0xfffffff1,0xffff91df,
    0x05b1001f,0x002001e4,0x1ec05d10,0x00000000,0x00000000,0x00000000,
    0x7fdc0000,0xff71ffff,0xfeb83dff,0xff701eff,0xffe88fff,0xcffa84ff,
    0xfffc999a,0x3ff221ff,0x7fdc5fff,0x403fa002,0xfd1001fc,0x01fc8007,
    0x1d3005f9,0x6c016c00,0x3f6a002f,0x3e6000ad,0x7f5cc006,0x36e200bd,
    0x75c401cf,0x983fda83,0xfd9fffff,0xb0efffff,0x1dffffff,0x0fffff10,
    0x509ffff9,0xffff105f,0x3fff60bf,0x000fdc6f,0x17ee07fb,0x007ffb80,
    0x7c407fc4,0x077f401f,0x5007fec0,0x3f600fff,0x2004ffff,0xf7002ffd,
    0x01ffffff,0x13fffffa,0x20ffff66,0xfe83ffff,0xf91effff,0x23bdbfff,
    0xf04ffffc,0xff70ffff,0x20d509ff,0x00fffffd,0x27fffff1,0x3f6002f8,
    0x00ffb80f,0x0017fe60,0x3ee03bf2,0x3bfea01f,0x00fff600,0x9900fff7,
    0x01fffb31,0x00ffff50,0xfd79fff7,0xcbec81ff,0x2ea0ffff,0x7d43fffb,
    0xffe85fff,0x7ffc0eff,0x7ffc46ff,0xfffff06f,0x09ffff70,0xffff3075,
    0xfffb807f,0x2004d8ff,0xffa83ffc,0x00298004,0x881dff10,0x3ea00fff,
    0x3ffd80ef,0x805ff880,0x007ffc42,0x01fffff4,0xe9819ff3,0xff51226f,
    0x7fff105f,0x85ffffa8,0xf81ffffd,0xff80ffff,0xffff07ff,0x9ffff70f,
    0x7ffff400,0xfffff006,0x3ee001fd,0x0fffa86f,0xc8000000,0xeffb85ff,
    0x83bfea00,0xee983ffd,0x5fb87f61,0x401ffd40,0x0ffe9ffb,0x2e01ff70,
    0x3fe200ff,0x87fff00f,0xd83ffff8,0xff81ffff,0xfff80fff,0xfffff07f,
    0x09ffff70,0x3ffffee0,0xffff7001,0x3fee005f,0x27ffcc2f,0x88000000,
    0x7fc45fff,0x3fea00ef,0xd03ffd9e,0x45aa9fff,0xd302fffe,0xff8801df,
    0x3609ff34,0x0bfe205f,0x3e05ff98,0xffff83ff,0x1ffffd82,0x80ffffe8,
    0xff07ffff,0xfff70fff,0xfff1009f,0xfe800bff,0xfa805fff,0x7ffcc6ff,
    0xaaaa980f,0xaaaaaaaa,0x02aaaaaa,0xf713fff2,0xffa80dff,0x3f203fff,
    0xeadadfff,0xfd80ffff,0x3201ffff,0x07ff60ff,0x7fd013fa,0xf007fe40,
    0xfffb07ff,0x3ffffb01,0x01ffffd0,0x3e0fffff,0xffb87fff,0xffd804ff,
    0x54000fff,0x201fffff,0x743ffff8,0xffb05fff,0xffffffff,0xffffffff,
    0x7fffcc0f,0x027fffc2,0x2013ffea,0xcfdcccca,0x2a00bccc,0xf305fffe,
    0x85ff887f,0x3fea07fd,0x803ff102,0xffb83fff,0x3ffffb06,0x01ffffd0,
    0x3e0fffff,0xffb87fff,0x7fd404ff,0xd0003fff,0xb80bffff,0x7fcc6fff,
    0xfffd80ff,0xffffffff,0x7fffffff,0x517ffee0,0xd801dfff,0x4000efff,
    0x90004be9,0x1bf60fff,0x3ee17fe4,0x01ffb02f,0x3fe007f6,0x04ff883f,
    0xd03ffffb,0xff01ffff,0x3ffe0fff,0xffffb87f,0x7ffff404,0x3ffa0006,
    0x7dc01fff,0x7ffd43ff,0x00000004,0xfd0dfff1,0xffd801ff,0x9000effc,
    0x0007be7f,0xff50bff3,0x21bfe205,0xfd51cffe,0xb07f207f,0x207fff01,
    0xfffb01fe,0xffffd03f,0x0fffff01,0x2e1ffffe,0x2e04ffff,0x881fffff,
    0x7fef5c03,0xffc805ff,0x00fffa87,0xfc800000,0x7ffd40ef,0xa9ffec01,
    0x3a200eff,0x07ffb1ff,0x05ff0351,0xffb80dfd,0x7ffffcc3,0xbf705fff,
    0xf10fdb99,0x81f207ff,0xe81ffffd,0xff80ffff,0xffff07ff,0xffffb81f,
    0xfffff104,0xf980ee09,0x2fffff99,0xb83ffd80,0x010004ff,0x03bfe200,
    0xfb007ffa,0x0effa87f,0x7dcfff90,0x67fe41ff,0xff709f50,0x81ffd003,
    0x3fffffd8,0xffffff70,0x9fff10bf,0xffd81aa0,0xfffe81ff,0x7ffff80f,
    0x41ffffd0,0x04fffff8,0x01fffffb,0x8fa205d1,0x006ffffd,0x3ff20ffb,
    0x0ffa2000,0x203ff200,0x7ec02ffa,0x1dff503f,0x7c49ffb0,0x7ff4c1ff,
    0xff881eef,0x09ff3005,0x54026aa2,0xffffffff,0x3fffb263,0x7f4002cf,
    0xfff81fff,0xffff80ff,0x9ffff907,0x3fffffa6,0xfffffa84,0xb02fe883,
    0xfffff98d,0x207fd003,0x3f2004fd,0x7fc4007f,0xd805fd01,0x7fd403ff,
    0x2066c40e,0x00cc03ea,0x00000000,0x00000000,0x20bffffa,0x441fffff,
    0x880fffff,0xcffffffe,0xe86ffffb,0x999fffff,0x441fffda,0xffff86fd,
    0xfe8801ff,0x2001fb00,0x64005ffa,0x007f701f,0x3ea007f7,0x00000005,
    0x00000000,0x00000000,0x89fffff1,0x44fffff9,0x02fffffb,0x27ffffd3,
    0x1ffffffb,0xfffffff7,0x1fffffff,0x3bffffa2,0xfffffea9,0x2d8805ff,
    0x29800f60,0x3602d800,0x30006003,0x00000000,0x00000000,0x20000000,
    0xfffffffb,0xffffff76,0x3ffff6df,0x2a605fff,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x55555544,0xaaaaaaaa,0x511aaaaa,0x55555555,
    0x55555555,0x40220355,0x000bddca,0x55553072,0xaa81b881,0x880402aa,
    0x542c983c,0xaaaaaaaa,0x5555510a,0x55555555,0x26555555,0xeeeeeeee,
    0xeeeeeeee,0x000004ee,0x3bae0000,0x01dfc882,0x405bdd73,0x982deed9,
    0xffffffff,0xffffffff,0xfff33fff,0xffffffff,0xffffffff,0x3f20d307,
    0x02efffff,0x3ffe07c4,0x2fffdc5f,0x20bfffee,0x3e23efd9,0x3ffea5ff,
    0x3fffffe3,0xff32ffff,0xffffffff,0xffffffff,0x3ffffe6d,0xffffffff,
    0x006fffff,0x50000000,0xfc81ffff,0x92fc46ff,0x4ff705ff,0x7ffcc5fd,
    0xffffffff,0xffffffff,0xffffff33,0xffffffff,0x887fffff,0x77fcc2ee,
    0xcffffffe,0x3ea3ec41,0xffff86ff,0x2fffdc1f,0xb87ffff4,0xffb0ffff,
    0x7ffffcdf,0xf32fffff,0xffffffff,0xffffffff,0x333322df,0xcccccccc,
    0x03cccccc,0x00000000,0xf87ffffb,0x3f60ffff,0x88bff50f,0x0ffe64ff,
    0x0ffa0000,0x7e400000,0x887ba2ff,0xefffffda,0x7ec3ffcc,0x7ffcc0ef,
    0x7ffc83ff,0x9fffffcc,0x3ee6fff9,0x3fffe4ff,0x02ffffff,0x00000000,
    0x00000000,0x7fffec00,0x23ffffc2,0xdff50ffc,0x3e63ffc8,0xe800007f,
    0x0000003f,0x03f93ff2,0x3fffff22,0x0eff85ff,0x03ffffd0,0xff88bff2,
    0x37ee2fff,0xa837f221,0xaaaaaaaa,0x0000000a,0x00000000,0x7dc00000,
    0x7fec1fff,0xfd70986f,0x23ffe8df,0x0000fff8,0x0001ff40,0x27ff7000,
    0x3b6a0078,0x0efa83ef,0x013ffea0,0xfffc89f9,0x00000006,0x00000000,
    0x00000000,0x3ffea000,0x04fffc87,0x8dff59f7,0x3fe23fff,0x7400001f,
    0x5555513f,0x55555555,0x43555555,0x000efea8,0x00764000,0x0db000a8,
    0x00000593,0x00000000,0x00000000,0xff000000,0x5fff30bf,0xff53fe88,
    0x223ffe8d,0x00000fff,0xfff99ff4,0xffffffff,0xffffffff,0x019bdf53,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3fe07ffb,
    0xa87fec0f,0x1ffe46ff,0x0000dff3,0x3fe67fd0,0xffffffff,0xffffffff,
    0x0000003f,0x00000000,0x00000000,0x00000000,0x00000000,0x7fdc0000,
    0xff0dfb01,0x8fffd59f,0x3fea4ff8,0x00000002,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x98000000,0x213ee07f,0xff9cfffd,
    0x2bfa60df,0x00003fe8,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xf9817e00,0x5cc37502,0x06f72a02,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7b000000,
    0x00000f80,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_bold_41_latin1_x[224]={ 0,3,3,0,1,2,1,2,1,0,2,0,1,0,
1,0,1,2,0,0,0,1,1,1,1,1,3,2,0,0,0,2,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,0,1,0,1,0,1,1,0,0,0,0,0,0,3,0,1,2,-1,0,1,0,1,1,1,1,1,1,0,
-2,1,0,1,1,1,0,1,1,1,0,1,0,0,0,0,0,2,2,1,0,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,3,2,0,0,0,
2,1,0,1,0,0,0,0,1,-1,1,0,0,0,4,1,0,1,2,1,1,0,1,1,0,2,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,2,1,0,0,0,0,0,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,-1,0,-1,-1,1,1,1,1,1,1,1,0,1,1,1,1,1,0,0,0,
 };
static signed short stb__times_bold_41_latin1_y[224]={ 32,6,6,6,6,6,6,6,6,6,6,9,26,21,
26,6,6,6,6,6,6,7,6,7,7,6,14,14,10,15,10,6,6,6,7,6,7,7,7,6,7,7,7,7,
7,7,7,6,7,6,7,6,7,7,7,7,7,7,7,7,6,7,6,37,6,14,7,14,7,14,6,14,7,6,
6,7,7,14,14,14,14,14,14,14,8,15,15,15,15,15,15,6,6,6,19,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,32,14,7,6,10,7,
6,6,7,6,6,15,15,21,6,3,6,9,6,6,6,15,7,16,31,6,6,15,6,6,6,14,-1,-1,-1,0,
0,0,7,6,-1,-1,-1,0,-1,-1,-1,0,7,0,-1,-1,-1,0,0,11,6,-1,-1,-1,0,-1,7,6,6,6,
6,7,7,6,14,14,6,6,6,7,6,6,6,7,6,7,6,6,6,7,7,11,14,6,6,6,7,6,6,7,
 };
static unsigned short stb__times_bold_41_latin1_w[224]={ 0,7,15,18,17,33,29,6,11,11,15,21,8,12,
7,11,17,14,17,17,18,17,17,17,17,17,7,8,21,21,21,15,33,27,24,24,26,24,22,28,29,14,19,30,
24,35,26,27,22,27,28,19,23,27,27,37,27,27,25,9,11,8,17,20,9,17,19,15,19,15,15,17,19,10,
12,20,10,29,19,17,19,19,15,13,12,19,19,27,18,19,16,12,4,11,21,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,0,7,15,18,19,19,
4,16,12,26,12,18,21,12,26,20,13,21,11,11,8,20,21,7,7,9,11,18,27,26,28,15,27,27,27,27,
27,27,37,24,24,24,24,24,14,14,14,14,26,26,27,27,27,27,27,17,27,27,27,27,27,27,22,18,17,17,
17,17,17,17,25,15,15,15,15,15,11,11,12,13,17,19,17,17,17,17,17,21,17,19,19,19,19,19,19,19,
 };
static unsigned short stb__times_bold_41_latin1_h[224]={ 0,27,13,27,29,28,27,13,34,34,15,21,13,5,
7,27,27,26,26,27,26,26,27,26,26,27,19,25,19,9,19,27,34,26,25,27,25,25,25,27,25,25,26,25,
25,25,26,27,25,33,25,27,25,26,26,26,25,25,25,32,27,32,14,3,7,19,26,19,26,19,26,26,25,26,
34,25,25,18,18,19,26,26,18,19,25,18,18,18,17,25,17,34,34,34,7,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,0,26,32,27,19,25,
34,34,6,27,12,17,9,5,27,3,14,21,14,15,7,25,33,7,8,14,12,17,28,28,28,26,33,33,33,32,
32,32,25,33,33,33,33,32,33,33,33,32,25,33,34,34,34,33,33,17,28,34,34,34,33,33,25,27,27,27,
27,26,26,27,19,25,27,27,27,26,26,26,26,25,27,25,27,27,27,26,26,17,19,27,27,27,26,34,34,33,
 };
static unsigned short stb__times_bold_41_latin1_s[224]={ 255,245,1,218,165,183,158,247,1,53,165,
198,247,164,125,121,238,239,203,220,19,74,77,221,1,149,155,245,133,64,97,
167,1,170,57,133,104,131,136,29,38,175,67,29,188,1,200,1,105,77,159,
188,80,39,172,1,1,216,190,245,208,85,193,177,133,238,87,1,107,17,127,
143,116,161,64,68,244,1,163,59,108,235,231,119,103,31,211,183,68,37,51,
233,251,35,94,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,
156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,255,146,16,
58,77,60,246,47,151,95,17,87,42,164,122,198,211,176,225,181,116,17,1,
143,86,237,30,128,57,30,1,92,228,189,217,122,57,94,213,153,178,203,71,
32,1,138,123,150,148,96,65,93,121,133,161,147,217,149,177,205,23,105,82,
143,162,67,200,38,56,1,33,1,19,35,51,154,198,210,222,89,103,128,85,
125,237,227,128,106,220,105,85,180,183,33,13,51, };
static unsigned short stb__times_bold_41_latin1_t[224]={ 36,105,395,139,105,105,167,376,1,1,376,
330,356,395,395,167,167,196,196,167,224,224,196,196,224,196,356,251,356,395,356,
196,36,224,304,167,330,330,278,196,278,304,251,330,278,304,251,196,304,36,278,
167,330,251,251,251,330,304,304,36,167,105,376,395,395,330,251,356,251,356,251,
251,278,251,36,278,304,376,356,356,224,224,356,356,278,376,356,356,376,304,376,
1,1,36,395,330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,
330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,36,224,105,
196,356,330,1,36,395,196,395,376,395,395,196,395,376,330,376,376,395,278,71,
395,395,376,395,376,139,139,139,224,71,36,36,105,105,105,278,71,71,71,71,
105,105,71,71,105,304,71,1,1,1,36,36,376,105,1,1,1,71,36,304,
139,139,168,139,224,224,168,356,278,168,168,168,224,224,224,224,278,167,304,167,
139,139,251,224,376,330,139,139,139,196,1,1,71, };
static unsigned short stb__times_bold_41_latin1_a[224]={ 148,197,329,296,296,592,493,165,
197,197,296,338,148,197,148,165,296,296,296,296,296,296,296,296,
296,296,197,197,338,338,338,296,551,428,395,428,428,395,362,461,
461,231,296,461,395,559,428,461,362,461,428,329,395,428,428,592,
428,428,395,197,165,197,344,296,197,296,329,263,329,263,197,296,
329,165,197,329,165,493,329,296,329,329,263,231,197,329,296,428,
296,296,263,233,130,233,308,461,461,461,461,461,461,461,461,461,
461,461,461,461,461,461,461,461,461,461,461,461,461,461,461,461,
461,461,461,461,461,461,461,461,148,197,296,296,296,296,130,296,
197,443,178,296,338,197,443,296,237,325,178,178,197,341,320,148,
197,178,196,296,444,444,444,296,428,428,428,428,428,428,592,428,
395,395,395,395,231,231,231,231,428,428,461,461,461,461,461,338,
461,428,428,428,428,428,362,329,296,296,296,296,296,296,428,263,
263,263,263,263,165,165,165,165,296,329,296,296,296,296,296,325,
296,329,329,329,329,296,329,296, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_41_latin1_BITMAP_HEIGHT or STB_FONT_times_bold_41_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_41_latin1(stb_fontchar font[STB_FONT_times_bold_41_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_41_latin1_BITMAP_HEIGHT][STB_FONT_times_bold_41_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_41_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_41_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_41_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_41_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_41_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_41_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_41_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_41_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_41_latin1_s[i] + stb__times_bold_41_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_41_latin1_t[i] + stb__times_bold_41_latin1_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_41_latin1_x[i];
            font[i].y0 = stb__times_bold_41_latin1_y[i];
            font[i].x1 = stb__times_bold_41_latin1_x[i] + stb__times_bold_41_latin1_w[i];
            font[i].y1 = stb__times_bold_41_latin1_y[i] + stb__times_bold_41_latin1_h[i];
            font[i].advance_int = (stb__times_bold_41_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_41_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_41_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_41_latin1_s[i] + stb__times_bold_41_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_41_latin1_t[i] + stb__times_bold_41_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_41_latin1_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_41_latin1_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_41_latin1_x[i] + stb__times_bold_41_latin1_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_41_latin1_y[i] + stb__times_bold_41_latin1_h[i] + 0.5f;
            font[i].advance = stb__times_bold_41_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_41_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_41_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_41_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_41_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_41_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_41_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_41_latin1_LINE_SPACING
#endif

