// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_14_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_14_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_14_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_arial_14_latin_ext_BITMAP_HEIGHT        134
#define STB_FONT_arial_14_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_14_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_14_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_14_latin_ext_LINE_SPACING           9

static unsigned int stb__arial_14_latin_ext_pixels[]={
    0x26003188,0x00003000,0x806e0166,0x20044009,0x02220111,0x00880110,
    0x0ccc004c,0x446004c0,0x46004c00,0x00000008,0x18022100,0x00801011,
    0x77b00000,0x200d5009,0x3ff6a05b,0x9803b00c,0x22026406,0x10366c04,
    0x402d803b,0x402dc01c,0x3aa00aaa,0x0075ec06,0x5bb700be,0x2037ba60,
    0x5c2effd9,0x36b6069c,0x207b3200,0xd00aaa05,0x81ff4405,0x4150028a,
    0x75402a00,0x0020b911,0x900a00ee,0x0054402e,0x402802e9,0x80280174,
    0x5c640174,0x20072201,0x202c8009,0x2e98972d,0x01088ba6,0x16400544,
    0x037303a8,0x81aa01c4,0x501dffea,0x81d5dffb,0x7c0cffda,0x14dc0c81,
    0xf6980ee0,0x23c40f81,0x40f81f69,0x40fb4c78,0x03e3c40f,0x3c40f8f1,
    0x2067fed4,0x6d43c40f,0xfea80cff,0x204d81df,0x8333a82e,0x21e207c2,
    0x680cffda,0x199e207c,0x40eed414,0x0fb88bea,0x2fb85f54,0x25c88f54,
    0x06e60078,0x03080db0,0x3087881f,0x087881f0,0x47881f03,0x03e3c40f,
    0x911ea8f1,0x23c40f8b,0xa8b911ea,0x40fb88be,0x07c40efb,0x7c5996a0,
    0x47aa3c40,0x3e2d85c8,0x4cb53c40,0xf81cea85,0x21fc5c81,0x640fc5dd,
    0x2e200d50,0x3bd100bc,0x07c28510,0x214289e2,0x8513c40f,0xf1e207c2,
    0x207c7881,0x0640fc78,0x0fc7881f,0xb903f064,0x262fbacc,0xf8a665c7,
    0x440f85b0,0x20640fc7,0x4f103e3c,0x3a05b0f8,0x4f307981,0x9e6b60f8,
    0x00788078,0x2e0d957d,0x3c6985bc,0x34cf103e,0x27881f1e,0x103e3c69,
    0x23c40f8f,0x0f13c40f,0x44f103e0,0xf3079807,0x223f32d4,0xc9eeaa0f,
    0x207c0f8b,0xb801e278,0xc8f103e4,0x20f00f8b,0x2a1f106a,0xa87c4f26,
    0x3f03f006,0xe80f88a2,0x234c0f89,0x99e207c7,0xf103e3c6,0x81f1e34c,
    0x1e207c78,0x1aa7881f,0xa9e207c0,0xf106a806,0x21d86ec1,0x3a67982e,
    0x3c40f84a,0xf25c00d5,0x574c7881,0x3e60d304,0x5da67a80,0x00789ea4,
    0x517223f5,0x6981fdd9,0x478d30f6,0x8d33cc1f,0x99e60fc7,0xf307e3c6,
    0x3e3cc1f8,0x00f13cc1,0x3c4f307e,0x3d407cc0,0x3e626fdc,0xee8db30a,
    0x13cc1f81,0x3f16400f,0x01ee8798,0x641fc0b5,0x1762e7c5,0xeb83f03f,
    0x2ba60cff,0x67640f88,0xf13cc6dc,0xf335c2e8,0xd70ba3c4,0x2e8f13cc,
    0xd70ba35c,0x3e35c2e8,0x70ba1f81,0x21f81f8d,0xd105c83f,0x9fffb307,
    0x85d06b81,0x0fc0fc6b,0x35c2e83a,0x4079035c,0x1ec88bea,0x0ec88fe4,
    0x05c88fd4,0x5cb501d1,0x4cccfc0f,0x3dc3e22f,0x1274c3b2,0x1d91ee1f,
    0x70f893a6,0x9d30ec8f,0x89d30ec8,0xa89d30ec,0xec8b911f,0x1fa89d30,
    0x8bea8b91,0x98641ec8,0x5c036606,0x3a61d903,0x5c88fd44,0x4c3b22cc,
    0x3603b84e,0x6ffed402,0x7ffd6cc1,0x9ffd701d,0x2212e201,0x2a1ebeed,
    0x6fe45c85,0x4fffc86a,0xc86adfc8,0xdfc84fff,0x4fffc86a,0x209fff90,
    0xd704fffc,0xff9019ff,0x3ffae09f,0xdffda80c,0x04dadc81,0x1d710b66,
    0x827ffe40,0x6c0cffeb,0x44fffc81,0xfa980eb8,0x04100000,0x17700100,
    0x105b0040,0x0020001f,0x80000400,0x02001000,0x00080040,0x64c00001,
    0x64416402,0x02001001,0xc8804038,0x00059501,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x08000000,
    0x10800060,0x10040440,0x0c000001,0x010400c0,0x10022000,0x03111004,
    0x40000044,0x08088008,0x88880000,0x3ff60a80,0x0282ffff,0x18098122,
    0x6e831011,0x17e40d50,0xdb00e954,0xeea80e85,0xfc80f6c0,0xbb016e02,
    0x03bbb809,0x403dffb1,0x2d6cc03d,0x440997b0,0x66f4400f,0x803ba603,
    0x07e41ee8,0x2deeeb98,0x3e0b76a0,0x24c07b00,0x5c2eeeb8,0x81ecc86e,
    0x0a816a3c,0x4b091910,0x448b980e,0x2198a80e,0x8c8838b8,0x28802a04,
    0x201a8015,0x201f50be,0x40153002,0x80330052,0x99a80318,0x20e6aa01,
    0x20ae983c,0x20ee03d8,0x03d80bfa,0x4e5a216a,0x5c04c546,0xa84a8502,
    0x2881dffe,0xb303a3b8,0x80745dff,0x145dc41e,0x7ec42833,0x2207c1ef,
    0x1dffea87,0x1f0dc0f8,0xffd98788,0x1e207c2e,0x2077ffaa,0x7543c40f,
    0xfd881dff,0x221dc1ef,0xb151750e,0x1effd885,0x0f602fea,0x5a628ba8,
    0xffd8ba04,0x8ba2ffff,0x445f544a,0x743440fb,0x22e983a0,0x3a01d2e9,
    0x87ed6741,0x17d1665a,0x440f83ea,0x5c45f547,0x80df640f,0x3a63c40f,
    0x40f8ba62,0x445f5478,0x2207c0fb,0x5c45f547,0xfa85f40f,0x363b12a0,
    0x4498fdac,0x7c1f50be,0x33a07b00,0x173a0fea,0x207b02e8,0x03f0f22e,
    0x478688b9,0x4ea0ba0e,0x3543d00d,0x6c3e21f3,0xf86e07c2,0x207e3c40,
    0x3efda85c,0x5d1e207c,0x2207c750,0x22e40fc7,0x07e3c40f,0x1b81f172,
    0xb92ed166,0x1b81f1a7,0x4c1ec03e,0xfb883e66,0x7b02e82f,0x262e4ba0,
    0x4688f307,0x0f887478,0x4b87a000,0x1f17907c,0x1f01bec8,0x4c1e6788,
    0x1f175407,0x003e2788,0x3ccf103e,0x2207c798,0x23cc1e67,0x56e01bec,
    0x8ad43b58,0xf80df644,0x89707b00,0x40fac80f,0x3a07b02e,0x83543d32,
    0xf11a20f8,0xcb8f30e8,0x50f4014c,0x5d307c4b,0x0fbf6a09,0x1aa7881f,
    0xb86987c4,0x4cf103e4,0x1f2665c7,0x441aa788,0x4f103e0f,0xa81f106a,
    0x97443efd,0xb9e43f59,0x43efda81,0xb507b00f,0x292987c4,0x3d81741e,
    0xf31dc5d0,0x8688f501,0x07c43a0e,0x403af755,0x0fc8fc1e,0x75400f74,
    0x4cf307e2,0x5fc7a80f,0x20fc5d10,0xaa83e279,0x4f307e7b,0x7c7a80f9,
    0x01f33cc1,0x22ea80f5,0xf54dbc4a,0x5d500b55,0x81ec0fe4,0x3e61f91f,
    0x02e878c8,0x4a8ba07b,0x222e41fc,0xe83a2d86,0x2a1d7982,0x5d9307e2,
    0x6986b81f,0xd70ba4b8,0x445c83f8,0x1743fffd,0xf305d1ae,0x7f1ae174,
    0x5c2e8b90,0x32e41fc6,0x225c970d,0xedbee89d,0x25c34c12,0x4c022011,
    0x3ee0faec,0xb02e82ef,0x44a8ba07,0x1ec88bea,0x1d2cc34c,0x6d9857cc,
    0x07cd6a1d,0x1dc3c431,0x45d10bf8,0xa89d30ec,0x01ec88be,0x4c3b20b7,
    0x9857cc4e,0x74c3b26d,0x6445f544,0xe987641e,0x6445f544,0xe885fc1e,
    0x03f10ee2,0x442fe2e4,0x1ec1662e,0x160f10c4,0x207b02e8,0xb50ba62e,
    0x5c883bff,0xb303a1b0,0x83a19fff,0xabe83ffd,0x403ae24d,0xc83fffd8,
    0xfb504fff,0x0f4c03bf,0x304fffc8,0xc819fffb,0xfb504fff,0x3ff203bf,
    0xbffb504f,0x7fffb103,0x6f4c174c,0x884ecaab,0x2443fffd,0xb57f00a8,
    0x02e80207,0x750ba07b,0x20175000,0x38080728,0x0b2e2008,0x00200391,
    0xb8800002,0x02000801,0x20000020,0x80800000,0x6655403a,0x8000800a,
    0x00b2e201,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x64c00000,0x008801cc,0x81880188,
    0x2ccc8808,0x44600980,0x22004400,0x80880088,0x00deffff,0x0300b7b9,
    0x18440060,0x36c02230,0x11001880,0xcb814c00,0xf804c03c,0xb9c83c40,
    0x4c4b6003,0x07c40099,0x3201ef40,0x5440f884,0x074c01aa,0x4403d970,
    0x376e01ee,0x7c07c402,0x44c1b220,0x802dc00a,0x3dea804c,0xd103d990,
    0x07bd003b,0x9000ee98,0x00266201,0xf103e0b7,0x6c0662a0,0x5a6152b9,
    0x400cc00f,0x014028a8,0x1e207c33,0x02b80098,0x2e00c4cc,0x1f018802,
    0x7f540f88,0x002a01df,0x80770028,0x0b79702c,0x54028a88,0x36540198,
    0x01dffea8,0x3c40f814,0x40efff54,0x308ba2b8,0xfffffe80,0x4d50b94f,
    0x0ffffff9,0x3c40f8ba,0x3fe60db0,0xdb00ffff,0x6f7fffc0,0x7fffffc0,
    0x45c883e3,0x0fb88bea,0x06f7fffc,0x1b600db0,0x227a05d0,0xfffff00f,
    0x8bd0f67f,0x1bab724c,0x1f7117d5,0x3ffffff8,0xea8f103e,0xe80fb88b,
    0x050a2ba2,0xe8807daa,0xd9007e22,0xf103e2e8,0x40077a20,0x03bd106c,
    0x7c6c883e,0x7ffffc00,0x2e40fc0b,0x106c883e,0xde8803bd,0x9a60ba01,
    0x5c01f03d,0x1e83fa25,0x3f0e6ef1,0x400f8b90,0x07e3c40f,0xae8ba172,
    0xf2e83c69,0x4d87d401,0x8ba07d40,0xcb83c40f,0x00fa805b,0x03e0b797,
    0x2007c1f1,0x7985d30f,0x440f8f30,0x05bcb80f,0x5d02de5c,0x0db99d90,
    0x2e79803e,0xb4cf12db,0x8f307985,0x260fc00f,0x43cc1e67,0xf1a6ba2e,
    0x4cd7cd50,0x0356e409,0xf8ba07e6,0x89e83c40,0x807e600f,0x0f80f89e,
    0x335f1722,0x3e60f833,0x07c41aa1,0xe82e441f,0x27a00f89,0xf05d00f8,
    0xf05f3333,0x0f833335,0x896a973b,0x106a8a96,0x4ccd7c1f,0xa9ae16c1,
    0x2e81f106,0xd0f1a6ba,0x17ffffc7,0xe8807fa2,0x20fc5d03,0x0f669879,
    0x4d301f44,0xfffff83d,0x77777c0b,0x4d703e0e,0x7c7a80f9,0x980bffff,
    0xb34c0f66,0x0b50ba07,0xddddf0b9,0xd179641d,0xd359f0f2,0x23d407cc,
    0x20eeeeef,0x4c9d30eb,0x2e87a80f,0x4789e6ba,0x00fcccf9,0x026c05b8,
    0x1ae1745d,0x41b733b2,0x6676404d,0x5d30f86d,0x80f801f0,0x1720fe4e,
    0x640ba61f,0xd906dcce,0x0ba0db99,0xf81f105b,0xd2ce5400,0xeef981d1,
    0x22e41fc1,0xffeb800f,0x85c83f84,0x43e2ba2e,0x55566c7b,0x204b800f,
    0xd917406c,0x27e13a61,0x3642f999,0x7ccccfc0,0x83f307c2,0x40ee000f,
    0x1ec88bea,0xf03f307c,0xf05f3333,0xd05f3333,0x3e122005,0x91e74400,
    0x540360d5,0x41ec88be,0xa816000f,0x81ec88be,0x6fe4ba2e,0x03e1e66a,
    0x075412e0,0xfff90ba0,0x4b90b509,0x42d400ea,0x1ae07c5c,0x3ea2001f,
    0x3bffb500,0x546b81f0,0x42d45c85,0x1002e85c,0x4007c35d,0x213aa0ee,
    0x7fed4039,0x2000f81d,0xffb5019e,0x2e8ba03b,0xfff83d80,0xb04b86ff,
    0x45ffffff,0x16c0102e,0xfffd87c4,0x20b62fff,0x3a03e0f8,0x3fffffe4,
    0x0001c984,0x364e80f8,0x0b60f882,0x005d03e2,0xffff05cc,0x446c89ff,
    0x0000882f,0x9ffffff0,0x00006e60,0x000000ba,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00c22000,
    0x0fe036b1,0x400440f1,0x00446008,0xbfffd710,0x204113f6,0xf134c078,
    0x06204401,0x9ffffffc,0x883e2078,0x8088884e,0x41a6f168,0x1b3b1059,
    0xff881910,0x205b0f11,0x10026008,0x00000004,0xa9440b9d,0x1e20ff80,
    0x3e2007c4,0x203b3601,0xff93dee8,0x444b8d17,0x203c45bd,0x4403e269,
    0x0f81e41f,0x0f881e20,0x37aa09d1,0x14462883,0x07260498,0x21e20644,
    0xee982d81,0x5406db80,0x3f6a04ac,0x67e4c0cf,0x7c02a200,0x9b3e3c40,
    0x10033078,0x101c8803,0x8bffe863,0x414425c6,0x6982c9f8,0x414c03e2,
    0x78803e02,0xe88f8866,0x2881dc04,0xfb30a251,0x8bb885df,0x1145dc42,
    0x82d8288f,0xa8a8198a,0xd5014c00,0x25d17223,0x3c43f85b,0x8f8f103e,
    0x42e4f13e,0x1e21fc6a,0x205bffff,0x22fff22e,0xffff25c6,0x2bbe27ff,
    0x1f134c5d,0x00f89a60,0x886666be,0x47c41d77,0x3fffe04e,0xbc5a23ff,
    0xe98ba669,0x83f6b3a2,0xf10fdace,0x222d8788,0x0f103e07,0x903f036c,
    0xf81f1a61,0x81f1e20f,0x47cc7c78,0xf88ba278,0x8f107fc1,0xd07f510f,
    0x345fec45,0x2200f92e,0x26987e0f,0x44d300f8,0x3bbbe00f,0x1d5f10ee,
    0x00fdef88,0xf168801f,0x3a82e9a6,0x6a87ccd5,0x223c43e6,0x81e22d87,
    0xe883c40f,0x9807881d,0x9b3e0fc6,0x1e207c78,0x51e3ae1f,0x33e1361f,
    0x981f1e26,0x8bb82e87,0x401f25c6,0x4d316c68,0x44d300f8,0x8803e00f,
    0xb3f886ff,0xd1003e0b,0x0f8b4de2,0x5c3e25c0,0x447887c4,0x23e22d87,
    0xf103e0bb,0x2a16f2e0,0xf717f006,0xf13e8f85,0x3e3c40f8,0x3721f3a0,
    0x27d1f06a,0x0fc07c78,0x1a2ee0ba,0x4ccd7c97,0x4c3d1e21,0x34c03e26,
    0x007c01f1,0xf887b1f1,0x35f07d10,0xf1688333,0x32e3cda6,0x87c4b54c,
    0x3c43e25a,0xf88b61e2,0x26be6dad,0x13d07a99,0x3007881f,0x8f83b7d9,
    0x0fc788f9,0x7cc1f1e6,0xf01fe887,0xf8f11f31,0x41742e80,0xf25c68bb,
    0x221ddddd,0x34c1f32f,0x89a601f1,0x8803e00f,0x07c43f17,0xeeef83f3,
    0xbc5a20ee,0x5541f169,0x07e47e7b,0x3c43f23f,0xf88b61e2,0x7777cf10,
    0x366987ee,0x21f81f83,0x5c3e0740,0x2e17478e,0x41f207c6,0x75c3e05b,
    0x0fc07c78,0x1a2ee0ba,0xf1007c97,0x26983ddb,0x33fffff8,0xff007c4d,
    0x9e29ffff,0xd903e26b,0x5a2007c1,0x4174d378,0x3ebb2679,0x43ebb260,
    0x16c3c478,0x81f0f8f1,0xdccec878,0xb911fa86,0xf85a87c4,0x1d91f3a0,
    0x03b813a6,0x741f025c,0x3e607c7c,0x45dc1740,0x401f25c6,0x03260178,
    0x7c4d30ee,0x2c816000,0x00f81640,0xf334c34c,0x0c5b6615,0x4f10c4f1,
    0x22c1cc78,0x40f87c78,0x9999f878,0xcffeb82f,0x406f7540,0x321fe60f,
    0x2a204fff,0xf812e00f,0x21f1fe60,0x82e83e98,0x932668bb,0x301e200f,
    0x4c3f307d,0xe8003e26,0x103dc419,0x8803e0f7,0x26264c5c,0x3a0cfffd,
    0x55f44dab,0x4c2be24d,0x4467a09d,0x440f87c7,0x02e42d47,0x07c01001,
    0x980081f2,0xf025c01c,0x7ffc7c81,0x305d03ef,0x3e1a98a3,0x514fffff,
    0x2c882c80,0xffff134c,0x20e4c07f,0x06ea01ba,0xa7fffffc,0x005d40ba,
    0x20b2e201,0x0aa82cb8,0x11b982ea,0x881f0f8f,0x07c416c7,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00100000,0x00000000,0x64059bb8,0x40000003,
    0x80000008,0x000000e9,0x1ccc9800,0x00088000,0x21100000,0x76c00000,
    0x37ff6be1,0x5c266dc0,0x0a6e01ee,0x7fdc0fc4,0x47ffffae,0x7c40cfd9,
    0x289982e9,0xae880cc0,0x41deb80e,0x1006c5db,0x9dfb501f,0x6cc0a201,
    0x6fec40df,0x1dffea80,0x50133310,0x0f639ffd,0x84cbd839,0x442effd9,
    0xb1c80eae,0x441eae81,0x26e60eae,0x2ecc7be3,0x69b4425c,0x14c06e60,
    0x07fa8754,0x54c5b96c,0x3542e438,0x1ffffff3,0x53d81c98,0x932cb44d,
    0x1f981a80,0xffff8b93,0x2e47a3ff,0x3aa2e4fa,0x7c0fb88b,0x2a3fffff,
    0xa8fb88be,0x9849c342,0x930ba62e,0x44343a01,0x9839302c,0xf30be1cc,
    0x220e64c1,0x42885b8f,0x320e64c2,0x43e03ec2,0x4450a279,0x9007e22e,
    0x6983730d,0x6ceeb10c,0x8e72e200,0x03e3e82b,0x699a6288,0xb903f07c,
    0x41fc00f8,0x4c2c43db,0x3a82e81c,0x3eaa1654,0x32e22eba,0x261c980b,
    0x03f1faae,0x3eaba63f,0x4c06fe41,0xf55d33c6,0x27ee07c3,0x6d6e4099,
    0xfa8f1a63,0x0fa809b0,0xb526d6ec,0xd9e817b5,0x2baa04a8,0x333312fb,
    0x007c9933,0xd16a3ea8,0x23cc1e63,0x207e600f,0x361d40f9,0x03e25dad,
    0xa8f6b760,0x3a2dcadc,0x56ec6cab,0x4221d55d,0x1d52e81f,0x15ee9822,
    0x1d53c698,0x7cc3c422,0x6f543eee,0x90f1a62e,0x1f980d5b,0xcfb9a344,
    0xd8dc46c9,0x3723b030,0xffffff55,0x4ccd7cbf,0x2e2ed981,0x106a96c4,
    0x4ccd7c1f,0x07c41ea1,0x87c68876,0x9a665c79,0x32750e27,0x10f88a22,
    0x7df90f8d,0xf90f40fc,0x744fc47d,0x8f1a61eb,0x20fc3efc,0xf89e607b,
    0xe8878d30,0x20fa201f,0x72feeefa,0x29500f8f,0x5d5e26be,0x9901f169,
    0x0777777c,0xe8b50f88,0x8f501f31,0x30eeeeef,0x8d0f501f,0x0f896c4b,
    0x02ddeeaa,0x457d59b5,0x970feeca,0xfa7542d8,0x75407c41,0x237ccd54,
    0x7541e279,0x40fb0f64,0x2799745a,0xd80b7078,0x3540b304,0xa547407a,
    0x2eb3f11d,0xf87a0b65,0x23d0a200,0x07f07c69,0x7c00f8b9,0x224c5c83,
    0x05d1745a,0x5c51a6f3,0xd33cfccf,0x16a1f115,0xfa5cb55d,0x25a97211,
    0x3e63f14b,0x3dc3e21f,0x3d525cb5,0x0e881faa,0x7b87c4f3,0x03640970,
    0x3d07c47e,0x4cea03e6,0x447743b4,0x644bae3e,0x1f1007c7,0x16a3d1a6,
    0x3d9117d5,0x5f5400f8,0x15c1ec88,0x260f98fc,0x7cdb30af,0x8b168b51,
    0x1f83ee5a,0x3bbb21f3,0x033f63f0,0x6d41ddd9,0x7e46b9ee,0x777646ad,
    0x7d77fdc0,0x36a0ffff,0x56fe42de,0x3aa09706,0x1776cc00,0x7407bb26,
    0xdbb16fa0,0xbfff709d,0x75400f81,0x776cc1de,0x1dffda80,0xfda800f8,
    0xa80d81df,0xfd981eed,0x3b6a0cff,0x21d5661d,0x21ebeed8,0x0081eeda,
    0x00100400,0x00100200,0x09700000,0x3ffffff6,0x22008002,0x20018181,
    0x3ffffe00,0x0000084f,0xffffff80,0x00010004,0x42200020,0x00001008,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x55440000,0x0000001a,0x0001332e,
    0x00000040,0x00200000,0x0001b7d5,0x00000080,0x012aae00,0x204000ee,
    0x13ea2c8d,0x7403aba2,0x5406a803,0xd880dffd,0x2aa21eff,0x66eedc1a,
    0x19bbb700,0x98155540,0x86b81eee,0x260b7058,0x05f901f6,0xe86a8264,
    0x980cc600,0x16ecc1f6,0x01fdc162,0x301320b9,0x07700311,0x2a24c35c,
    0x03232098,0x01c40726,0x2faa00b8,0x5f40eb88,0x42e81f50,0x3206cc2c,
    0xdb006cc2,0x4c5a9740,0x2e00d86a,0x32206100,0x17012048,0x036c02b8,
    0x0f2220c2,0x0919101b,0x3601201c,0x260db006,0x2e83446a,0x50a21654,
    0x97105950,0xf8179317,0x207c4c82,0x5751741b,0x54b11bbd,0x589ddd8b,
    0x3e03bd10,0x591a0970,0x882f2e20,0x22851142,0x28511428,0x1de88126,
    0x32207260,0x1c980b23,0x32603930,0x0077a201,0x23403bd1,0x6ec5d01d,
    0x8f1a63da,0x5f43dadd,0x26baefda,0x646980f9,0x58ba01be,0x2b2cae55,
    0x5c16312b,0x07cf05bc,0xbe812668,0x4f1a66ca,0x78d33c69,0x2068f1a6,
    0x5bb05bcb,0x9acd5cbb,0x176b7604,0xdd8bb5bb,0xb79705da,0x205bcb80,
    0x32e80ea6,0x78d31c4f,0x8a2389e6,0x354b60f9,0xefda8788,0x75562e83,
    0x0dac324e,0xf89e80c8,0x201f1780,0x88621d13,0x234c3e22,0x34cf1a67,
    0x363c699e,0x81f13d00,0xbb887c68,0x44310e88,0x7c6887c6,0xe80f8d10,
    0x27a00f89,0x562700f8,0x5b9740a8,0x2dcf1a60,0x3bfbb260,0x01f34eee,
    0x42ea80f3,0x2cd5562e,0x2712bacb,0x20f66985,0x1d80bea7,0xfdd9513a,
    0x34cf1a61,0xd33c699e,0x34c1dc78,0x16c4b87b,0x4b93a1d8,0x96c4b96c,
    0x9a616c4b,0x1ecd303d,0x3ab66360,0x8a34cba0,0x4699e279,0x03ccba62,
    0x4cb918be,0x71744b86,0x962ee557,0x89dcc8bb,0x6dccec85,0x5407cc78,
    0xae992f63,0x44f30f88,0x26789e67,0x22799e27,0x67642c47,0x3a2d46dc,
    0x92f63a82,0x45a9745a,0x42e8b52e,0x906dccec,0x5c0db99d,0xf8ba3442,
    0xb87c4b51,0x2e5a8fc7,0x21e8bf25,0x0fec8aea,0x42e885fc,0x3661642e,
    0x03661640,0x0be6667e,0x2207c32f,0x5436f6e5,0x87c43ee5,0x3dc3e27b,
    0xf89ee1f1,0x3f0d0f70,0x1f85f333,0x2e5881f3,0x4c7e0dcd,0x07cc7e0f,
    0x3f03e63f,0x3f05f333,0xb305f333,0x51740e98,0xdfc83bdb,0x0ef6d46a,
    0xdd17ddb1,0xbffd507d,0xfffd889d,0xddb82e83,0xbbb700cd,0xb90b5019,
    0xb07dd778,0xb12d4c41,0x7e43d7dd,0x56fe46ad,0x2356fe46,0x1c86adfc,
    0xb517216a,0x441b03dd,0x776d45a9,0x20f76d41,0x2d41eeda,0x3216a2e4,
    0x9f307445,0x00017419,0x00202000,0xd0040702,0x20000005,0x000f882d,
    0x010100c4,0x00000000,0x220b6088,0x8062000f,0x40000000,0x360f882d,
    0x0660f882,0x02e83331,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x50000000,0x00000d19,0x80000000,
    0x0097bb00,0x80000040,0x3001ccd8,0x01b983f3,0xb94459b7,0x00c9d80b,
    0x50175280,0x15551059,0x800d9d88,0x9800baa8,0x001901cc,0x0725c540,
    0xc8146202,0x01f6982f,0x82e405f9,0x3ff6a04c,0x44c40eae,0x2eed880a,
    0xf69829b8,0x22613201,0x64435429,0x36b764fc,0x222ee444,0xc986cadf,
    0x3e203cc1,0x56ec6dbd,0x0555443d,0x22e80e4c,0x5d30cdf8,0x0fd574cb,
    0x983a6064,0x8a447c5e,0x3fe4fd87,0x3223ffff,0x22061048,0x900e048c,
    0x7dc2faa0,0x91e21fc2,0x37303e27,0x20900c20,0x0d40bcb8,0x344f3971,
    0x88baa61a,0x37303e1f,0x11f88090,0x30713ccf,0x20726039,0x5407c429,
    0x0443aa0c,0xb83506e6,0x157f51b9,0xf8788bea,0x05e5c400,0x1b980dcc,
    0x2e603730,0x2eec3f81,0x7c7883fe,0xbcb88260,0x205e5c40,0x5f40bcb8,
    0x9d0546ca,0x777d4fd5,0x3af722fe,0x6c1f1e27,0x26a24dad,0xf1e22c98,
    0x5bb016e1,0x5dadd8bb,0x3c42eaa2,0xf905d544,0x4dadd87d,0xfa82a02a,
    0x788bea0b,0x55f400f8,0x26d6ec6c,0xbb136b76,0xdadd89b5,0x9ad83e24,
    0x8f1367c7,0x32afa01f,0x23655f46,0x8a26cabe,0x354760f8,0xf102ccf3,
    0x7c7887c4,0xdd868d10,0xf8f12fbb,0x1a228d30,0x21f1a21f,0x0d10cdf8,
    0xd5019bf1,0x0ecd1a29,0xf103e0ec,0x99af8788,0x0f88a219,0xd1a268d1,
    0x4689a344,0xf13c9aa6,0x789f47c1,0x510bfff6,0x222887c4,0x07c4510f,
    0x6c1fdd95,0x8fc78971,0x2d8950f8,0xdf50f8f1,0x24d85fdd,0x20f8f13c,
    0x225cb51f,0x12d8972d,0xf886881f,0x2a972d40,0x3b2feeef,0x6c0f83b0,
    0x3be1e26f,0x32a0eeee,0xddf50fee,0x3bbea5fd,0xdddf52fe,0x3bbbea5f,
    0xa92ed32f,0x447cc7c7,0xd95025c7,0x776541fd,0x3fbb2a0f,0x1f115d30,
    0x1e25a8ec,0x2d45ddb3,0x43e3c47a,0x2e2d8059,0x2a0f8f14,0xd16a1ded,
    0x225d16a5,0x07886887,0x1661ddd9,0x7c1d81d8,0x21e23c40,0x22ba600f,
    0x4c0b30f8,0x59816605,0x1762e7c0,0x91e3ae1f,0x222ba607,0xf115d30f,
    0x3e22ba61,0xb07dcb50,0x83dc3e23,0x0d50f885,0x223f0391,0x09716c0f,
    0x2036607c,0x8fc1f31f,0x2a0d10f9,0x4b81a20b,0x361f11f8,0x207c1d81,
    0x07c3c478,0xf07dcb50,0x11f83e23,0x0f88fc1f,0xf907c47e,0x1f03b223,
    0x33d33e74,0x43ee5a84,0x2d43ee5a,0x3bb621f7,0xfa8761eb,0x835d07be,
    0xd881ded9,0x82eed985,0x2e212e2d,0xda82da86,0x776d41ee,0x174c1a21,
    0x03aa20d1,0x0ec5ddb3,0xb07f60ec,0x03e1e21f,0x1ebeed88,0xb30bbb66,
    0xeed985dd,0x31776cc2,0x03bfff5b,0xd93fcc1f,0x3627ffb9,0xdb11ebee,
    0x3b623d7d,0xb0041ebe,0x03930003,0x00017700,0xc984b8b6,0x00001a81,
    0x88590688,0x80015106,0x0001d81d,0xfffff0f1,0x0000089f,0x08200000,
    0x81f207c0,0x00400808,0x00000002,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x9101a800,0x83555101,
    0x4000bcb8,0x20ba0c9d,0x2800004c,0xdd500054,0x0f4000dd,0x1a27881f,
    0x5dc40198,0x36205428,0x666c42bc,0x20555441,0x0a20d9d8,0x00000005,
    0xf002aaa2,0x103e00b7,0x40b203ef,0xaaa880c8,0x23655f41,0x64c0eae8,
    0x42641741,0x21e4fc4d,0x4c3d1e4b,0x4de41cfd,0x16f75419,0x2207c3d0,
    0x24a81a27,0x36b3a5fb,0x33303e0f,0x10531305,0x39301555,0xf503c698,
    0x220fc409,0x55440eae,0x3247c00a,0x440f8d5d,0x201101b7,0xbcb882ca,
    0x40f88a20,0x5e5c41c9,0x21320ba0,0x7dc11183,0x9743d1e4,0x3f00f46a,
    0x3e1e81e6,0x71d13c40,0xd50f4107,0x0bfa87cc,0x1c982851,0x4288a144,
    0x640f1a62,0x205300c8,0x037301c9,0x833f3971,0x2207c0ca,0xb05b039f,
    0xabe87b5b,0x7f76546c,0x55f41440,0x5320ba6c,0x0a817728,0x20f92f72,
    0x21f8711e,0x0e20cecf,0x0f87a03d,0xb5bf13c4,0x0bfa9ccb,0x7f50f897,
    0xdd8f1a61,0x4f1a65da,0x78d33c69,0x4a215054,0x512aaaa9,0xb5bb02ee,
    0x47eace89,0x3e2aaaa9,0xfa80fc40,0x44713cc0,0x574c3e22,0x23c40f88,
    0x1743e228,0xcadf8a64,0x92e10ec6,0x7cc07e0f,0x0d715d10,0x7c3d0354,
    0x41f13c40,0x2fea951f,0xf07c4b50,0x689e34c1,0x33c6987c,0x789e278d,
    0x952f99e4,0x44feaaa6,0x1a26cadf,0x98f3354d,0x03e3faaa,0x207e60f1,
    0x7765405b,0x07dcb50f,0x3bb2a1e2,0x29905d0f,0x1d83e1f8,0x7ccfe4b8,
    0x7402e881,0x3a00ea81,0x44f307e1,0x3a4b96c6,0x20fc8fc0,0x5cf1a60f,
    0x3c6996c4,0x43e278d3,0x4dcad47b,0x7c4b905b,0x777d43e1,0x078972fe,
    0x7983f172,0x51a605d0,0x87c4574c,0x41ebeed8,0x44574c78,0x64715d0f,
    0x360f8f13,0x3f7e4b81,0x217cc1ee,0x0fc0f428,0x0ba1f8aa,0x43a3c4d7,
    0xd9303a5b,0xf307c1f5,0x2e8b53c4,0x4f33c4f3,0x356fdc78,0x87b4f5e2,
    0x43e3c46b,0x7896a059,0xb85d0d70,0xf1e43d06,0x2e5a96a3,0xf10b040f,
    0x743ee5a8,0x225d0f8a,0x703b07c7,0x5f300bc9,0x21e61f10,0x1f35a858,
    0x24e98764,0x2e4d33f8,0x8f10c41d,0x3dc3e20f,0xf887cc7e,0xb87c4f70,
    0xb56c2c07,0x207545ae,0x23f07c78,0x2e3f10f8,0xec80ea87,0x3ae09d30,
    0x3b6a0fbb,0x2fbb621d,0x88af601e,0x75f76c47,0x93fee5d1,0x03b07c78,
    0x3f103c97,0x80677540,0x907ffb01,0xbe889fff,0x0e9721de,0x3226d5f4,
    0x1ab7f21f,0xfc83ddb5,0x56fe46ad,0xd70cf406,0x1f98bf29,0xb307c788,
    0xbefa85dd,0xf900fcc7,0xab8809ff,0x20008000,0x041e20a8,0x0f8f1000,
    0x0292e076,0x07ffffee,0x0040f100,0x22980004,0x0165c40e,0x00000000,
    0x3e20b980,0x7fec1f52,0x0f8f17ff,0x3ff60000,0x000107ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x26a20000,
    0x453b882c,0x81e01419,0x4ffffffe,0xff8990f6,0x7fcc2dff,0x3fe0ffff,
    0x03e24eff,0x5401f1fc,0x36097f10,0xbffff106,0x3e2b9d83,0xff82dfff,
    0x4d13ffff,0x221fc078,0x3fffffe7,0x3ff61d40,0x3722ffff,0x7c6aaa3b,
    0x22d33c40,0x22bcd807,0xf880f178,0x56745dad,0x05996a7d,0x01f6a83c,
    0x40f887cc,0x807d510f,0xe9887c6c,0x8fe01f13,0x11d819af,0x3bd1071f,
    0x1ee61f10,0x510f8571,0x2200f87f,0x1ff01e26,0x5003f3c4,0x5441ec07,
    0x46aaa0a8,0x2d33c40f,0x544c4078,0x440788c0,0x33547e0f,0x42d87c4f,
    0x5d079cb8,0x3699003e,0x03cc0f83,0x5c0f81f5,0x8ba01f15,0x80dfffff,
    0xbcb809f8,0x07c0f885,0x7981f02a,0x44d1007c,0x6cf80d8f,0x2601f9e2,
    0x3d82aaaa,0xf82a02a0,0x22d33c40,0x77288667,0xb8f89441,0x4b63440b,
    0x22f23c4b,0x3f56740f,0x3335f354,0xf06af881,0x3f303f01,0xf13d81f0,
    0x3e2e8221,0x03c426c0,0xf881f13d,0x1d85b999,0x5f0fc07c,0xa7c43333,
    0xd1f02ef8,0x99af9e27,0x3eaaa609,0x07603d83,0x999af876,0xbbc5a67a,
    0x32b7e20e,0x56fc5e26,0x47a3c46d,0x5d31e259,0x21e66a89,0x3ffffe3e,
    0x33bfb2a2,0xe8fbbfa2,0xef81f442,0x1f10efee,0x03e1d972,0x260f10b7,
    0xddf10f66,0xf83b07fd,0x3bbe2e80,0x21f50eee,0x263e01f9,0x3ffe788f,
    0xb8b902ff,0x1d81cdec,0x3bbbe1d8,0x7c5a67ee,0xf0fc40ea,0x887c5e21,
    0x0f997c47,0x7743dc7e,0xf31e25c1,0x4401f999,0x7c099f99,0x026c1f80,
    0xf883557f,0x1f0ec110,0xf1089744,0x1b733b20,0x217441f1,0x0fc07c1d,
    0xfd37401f,0xf1d70f80,0x435c00fc,0xd809be98,0x103e1d81,0x6ff8b4cf,
    0x7887c788,0x3e20f8f1,0x76cc1eed,0x5a86b87d,0x5559b1e2,0x7f75c01f,
    0x2607c2ee,0x03e03647,0x41700f88,0x3a5feeef,0x267e0f12,0x03e22f99,
    0x07c1d899,0x200f83e6,0x1f01e269,0x803f3e74,0x80f600ea,0x03e1d81d,
    0x8f8b4cf1,0x43e3c43d,0x20f8f178,0x21e00178,0xf70f883b,0x4007c3cc,
    0x4c43e078,0xf003aa3e,0x8807c401,0x2a066be0,0x90b50f11,0x5d307c4b,
    0x9887c1d8,0xd1007c3e,0x983e03c4,0xf9807e7f,0x3b01ec01,0x2207c3b0,
    0xf8bc5a67,0x221f1e21,0x220f8f17,0xd713c007,0x9efbea01,0xfffff83d,
    0x3fe07886,0x7fec3eff,0x03e2ffff,0x3fffff88,0x47007c5d,0xf882d878,
    0x7dffff10,0xffff83b0,0xfffff83e,0x7fc4d14f,0x903e3fff,0xffb00fcf,
    0x407b0fff,0x03e1d81d,0x278b4cf1,0x21f1e26b,0x20f8f178,0x91140028,
    0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x34cba000,0x05bffff0,0x227f30df,
    0x033f500f,0x227441f1,0xdd53c40f,0x1f105ddd,0xfb3542e4,0x7c5fffff,
    0x260defff,0x1f12e41f,0xf883d932,0x645e87b0,0x0a20e4c4,0x4cccc515,
    0x4e5c4199,0xca80dcc3,0x32602ee3,0x731c981c,0xcb8850a2,0x442ca80b,
    0x265d0b9a,0x75443e06,0x3f20ffc3,0x3f201f13,0x887c40cc,0x666fdc4e,
    0x33313fcc,0x41fb01f5,0x407e22e8,0x6441f03d,0x41d535c6,0x354730f8,
    0x744b725c,0xadd87a0f,0xd3f1a65d,0x2baa1804,0x36b762fb,0x776d6ec4,
    0x2ba63dac,0x36b761fa,0x478d359d,0x6ec6cabe,0x937a23da,0x07c0d32e,
    0xe879f1e6,0x2201f13d,0x47c41777,0x9af884e8,0x5d01fa99,0xfa81f970,
    0x81ec09b0,0x3607c40f,0x87c41f8c,0x87a0fc1a,0x44b6ee79,0x261f1a27,
    0x0c024bc6,0x3457723b,0x137c699a,0x1088754d,0x8d33af8d,0x30f88a27,
    0x81f11c4f,0x3e06d32e,0x9a7e1f80,0x01f13cc9,0x8936f7e2,0x2be04e8f,
    0xb707a999,0x3203ed30,0x81ec06ad,0x2217220f,0x00f883ef,0x0f869932,
    0xb96a973b,0x7c6996c4,0x788c020b,0x3bead375,0xc8b52fee,0x320feeef,
    0x9b12e3ef,0xd951e34c,0x8816e1fd,0xf1d32e87,0xd1f77f41,0x9391ebc5,
    0x7c403e27,0x6f7c4f11,0xddddf00f,0x3a07e0fd,0x3fd101f1,0xfff03d80,
    0x3f6017ff,0x2600f880,0xbcb20f26,0x22d47968,0x43c4f32e,0x567e2300,
    0x34c0b35b,0xa7540176,0x4f31745a,0x222ba678,0x2228d30f,0x06d32e86,
    0x7787e03e,0x0f89e5a7,0xf10f8f10,0x207c1767,0xcc86a878,0x5b80af99,
    0x21f03d80,0xbbd502e9,0x1e801f10,0x4b39501f,0x98fc0e8e,0x1ee5f10f,
    0x11dd0c02,0x0f88fc7d,0x98ffcc7a,0xf25cb50e,0x0f883e63,0x1f72d4f7,
    0x1a25a8fc,0x1f034cba,0xae9bc798,0x403e2794,0x0f887c78,0x881f07d1,
    0xeec83d87,0x04b81efe,0x4c1f03d8,0x744fc41f,0x2e007c43,0x79d105ac,
    0x76d43564,0x356fe41e,0x3b761804,0x1776cc4e,0x3eabfb66,0x777641ee,
    0x207bb6a0,0x3626adfc,0x36a1ebee,0x3a1a21de,0x887c0d32,0x3dd3c3e9,
    0x8807c4f2,0x20f887c7,0x2207c1f9,0x0f801e87,0x07b00970,0x4d8d703e,
    0x00f887e6,0xdd016fc4,0x00027541,0x99999980,0x04000062,0x00002004,
    0x40000080,0x7fc0d32e,0x2e783eff,0x7ffc4f26,0x0f8f13ff,0x20ec81f1,
    0x03c3c40f,0x009700f8,0x3a03e07b,0x44d70d74,0xc83fffff,0x3e236407,
    0x00000002,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x45e5c400,
    0x00900bc9,0x5c4f26a0,0x040bb942,0x442e0a82,0x0014c532,0x2a577773,
    0x02238150,0x80054000,0x15154511,0x800d1000,0xaa880000,0x55511aaa,
    0x00008355,0xab575426,0x00082a25,0x55f41300,0x886baefd,0x8966b207,
    0xeacdeadf,0x4d959d11,0x90edfde9,0x8a54be65,0x46c1e89e,0x75554c3b,
    0x5a92e3b3,0x96c077e6,0x200e80e8,0x2ed13fb8,0x6ecc720e,0x260a1aa3,
    0x2226c2dd,0x8f7625cd,0x34edddd9,0x587bbbbb,0xd1dc3cc8,0xad5ab6a5,
    0xd5ddfeea,0x8f447e25,0x225d59bc,0x42d83e62,0x83ab3078,0x9dcf50f8,
    0x17d1e1f8,0x4dbad4b7,0x41ef4c59,0x97203d59,0x416cf11d,0x574c2eda,
    0xb301d03e,0x7574417d,0x4d622200,0xfffff76a,0xd98ee225,0x43aa620e,
    0x04a80b2b,0x223bdb50,0x350e9893,0x0a4d2726,0x98442ee2,0x010894c2,
    0x3bbfbb26,0xffff74ee,0x225cf45f,0x14a96678,0x89e3c78f,0x361ad3d7,
    0x21aaf606,0x15b0ec6b,0x544f980f,0x7fffcc4f,0x2207f34f,0x1d9806ef,
    0x81131134,0x8eeb23c8,0x2390eadb,0x6452a00d,0x36e2cccc,0x37125e42,
    0x00104214,0x5d300000,0x41e201e6,0x334469bc,0x3c68a54b,0x2b62d4ba,
    0xee88b5d6,0xa8973d02,0x5b50ec0e,0x833b2609,0x4442ece8,0x16f5409e,
    0xd301ede2,0x43c46835,0x22d159aa,0x4c7ef2e6,0x88c405bd,0x4a1bbbbb,
    0x40000082,0x2aaa4eeb,0x2aa22aaa,0x5b82aaaa,0x441e8bf2,0x4591d107,
    0x14a96668,0x3fba678d,0x653ae0ee,0x07c56c2e,0x1d31a2ee,0x41ef83b0,
    0x27b02ee8,0x200e80e9,0x22d12ed9,0x5dd4260f,0x5c4041c3,0x50e4750b,
    0x00144111,0x00000000,0x5c46aa60,0x223bbbbb,0x82aaaaaa,0xee8beed8,
    0x8cc0503e,0x2a599a23,0x46278d14,0xf52f8830,0x38b72dc1,0xffffd833,
    0x886c83b6,0x01700001,0x5b9a2310,0x000000ba,0x00000000,0x00000000,
    0x10000000,0xffff7010,0x0000005f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__arial_14_latin_ext_x[560]={ 0,1,0,0,0,0,0,0,0,0,0,0,1,0,
1,0,0,1,0,0,0,0,0,0,0,0,1,1,0,0,0,0,0,-1,0,0,0,0,1,0,1,1,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,
-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,0,0,0,-1,
1,0,0,0,0,0,0,0,0,-1,0,0,0,0,1,0,0,1,0,0,0,0,0,0,0,0,-1,-1,-1,-1,
-1,-1,0,0,0,0,0,0,0,0,-1,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,1,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
-1,0,-1,0,-1,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,1,0,0,0,-1,-1,-1,-1,-1,-1,0,0,1,1,1,0,0,-1,0,0,0,0,0,0,
-1,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,-1,0,-1,-1,0,
0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,-1,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__arial_14_latin_ext_y[560]={ 11,2,2,1,1,1,1,2,1,1,1,3,9,7,
9,1,1,1,1,1,2,2,1,2,1,1,4,4,3,4,3,1,1,2,2,1,2,2,2,1,2,2,2,2,
2,2,2,1,2,1,2,1,2,2,2,2,2,2,2,2,1,2,1,12,1,4,2,4,2,4,1,4,2,2,
2,2,2,4,4,4,4,4,4,4,2,4,4,4,4,4,4,1,1,1,5,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,11,4,2,1,3,2,
1,1,1,1,1,4,4,7,1,0,1,3,1,1,1,4,2,5,10,1,1,4,1,1,1,4,-1,-1,-1,0,
0,0,2,1,-1,-1,-1,0,-1,-1,-1,0,2,0,-1,-1,-1,0,0,3,1,-1,-1,-1,0,-1,2,1,1,1,
1,2,1,1,4,4,1,1,1,1,1,1,1,1,2,2,1,1,1,2,1,4,4,1,1,1,1,1,2,1,
0,2,-1,2,2,4,-1,1,-1,1,-1,2,-1,1,-1,2,2,2,0,2,-1,2,0,2,2,4,-1,1,-1,1,
-1,2,0,2,1,1,-1,-1,2,2,-1,2,0,2,-1,2,2,2,0,4,2,2,-1,1,2,2,4,-1,-1,2,
2,2,2,2,2,2,2,-1,1,2,4,-1,1,1,1,4,0,2,-1,2,-1,1,1,4,-1,1,2,4,-1,1,
-1,1,-1,1,1,4,-1,1,2,2,-1,2,2,2,-1,2,0,2,-1,2,-1,1,-1,1,2,4,-1,1,-1,1,
0,-1,1,0,2,-1,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,1,3,3,1,3,3,3,
3,3,3,3,3,3,3,3,3,3,1,4,3,3,3,3,3,3,3,3,3,3,3,3,3,2,4,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,-1,1,-1,1,-1,
1,-1,1,-1,0,-1,-1,-1,-1,-1,-1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,-2,-1,-1,1,-1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static unsigned short stb__arial_14_latin_ext_w[560]={ 0,2,4,7,7,11,9,2,4,4,5,7,2,4,
2,4,7,4,7,7,7,7,7,7,7,7,2,2,7,7,7,7,13,10,8,9,9,8,7,9,8,2,6,9,
7,10,9,10,8,10,9,8,8,9,9,12,9,9,8,4,4,3,6,9,3,7,7,7,7,7,4,7,7,2,
3,7,2,10,7,7,7,7,5,6,4,7,7,9,7,7,6,4,2,4,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,0,2,7,7,7,8,
2,7,4,10,5,7,7,4,10,9,5,7,4,4,3,7,7,2,4,3,5,7,11,11,11,7,10,10,10,10,
10,10,12,9,8,8,8,8,3,4,5,4,10,9,10,10,10,10,10,7,10,9,9,9,9,9,8,8,7,7,
7,7,7,7,11,7,7,7,7,7,3,3,5,4,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
10,7,10,7,11,8,9,7,9,7,9,7,9,7,9,8,10,7,8,7,8,7,8,7,8,7,8,7,9,7,
9,7,9,7,9,7,8,7,9,7,5,5,5,5,5,5,4,4,2,2,8,5,7,5,9,7,7,7,3,7,
4,7,4,7,5,7,3,9,7,9,7,9,7,8,8,7,10,7,10,7,10,7,13,12,9,5,9,5,9,5,
8,6,8,6,8,6,8,6,8,4,8,5,8,4,9,7,9,7,9,7,9,7,9,7,9,8,12,9,9,7,
9,8,6,8,6,8,6,4,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,9,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,11,8,7,7,7,7,7,7,7,7,7,7,7,7,7,11,9,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,10,7,5,5,10,
7,9,7,9,7,9,7,9,7,9,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,10,7,12,11,10,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7, };
static unsigned short stb__arial_14_latin_ext_h[560]={ 0,9,4,11,12,11,11,4,13,13,5,7,4,2,
2,11,11,10,10,11,9,10,11,9,11,11,7,9,7,5,7,10,13,9,9,11,9,9,9,11,9,9,10,9,
9,9,9,11,9,11,9,11,9,10,9,9,9,9,9,12,11,12,6,2,3,8,10,8,10,8,10,10,9,9,
12,9,9,7,7,8,10,10,7,8,10,8,7,7,7,10,7,13,13,13,3,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,0,10,12,11,7,9,
13,13,3,11,6,7,5,2,11,2,5,8,6,6,3,10,12,3,4,6,6,7,11,11,11,10,12,12,12,11,
11,11,9,13,12,12,12,11,12,12,12,11,9,11,13,13,13,12,12,7,11,13,13,13,12,12,9,11,11,11,
11,10,11,11,8,10,11,11,11,11,10,10,10,10,10,9,11,11,11,10,11,6,8,11,11,11,11,13,12,13,
11,10,12,10,12,10,13,11,13,11,13,10,13,11,12,10,9,10,11,10,12,10,11,10,12,10,12,11,13,13,
13,12,12,12,13,13,12,12,9,9,12,9,11,9,12,9,12,12,11,7,10,12,13,13,12,12,7,12,12,12,
12,9,9,9,9,9,9,12,10,12,10,12,10,10,11,10,12,10,13,10,13,11,11,8,12,10,12,10,12,10,
13,11,13,11,13,10,13,11,13,13,12,10,9,10,13,10,12,10,13,10,13,11,13,11,12,10,12,10,12,13,
11,12,10,11,9,12,10,10,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,11,8,8,13,8,8,8,
8,8,8,8,8,8,8,8,8,8,11,8,8,8,8,8,8,8,8,8,8,8,8,8,8,10,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,12,11,12,10,13,
11,13,11,13,12,13,13,13,13,13,13,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,13,13,12,11,13,11,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8, };
static unsigned short stb__arial_14_latin_ext_s[560]={ 254,92,220,232,228,114,24,225,23,223,200,
116,217,228,252,201,161,172,185,153,76,193,106,68,63,246,140,104,124,192,100,
201,183,112,123,236,138,148,179,214,215,1,209,48,32,21,169,169,75,37,103,
48,94,216,131,141,113,84,66,193,157,75,165,233,243,233,226,241,25,188,237,
242,246,243,157,227,224,29,40,154,1,9,249,209,250,225,92,56,66,17,82,
1,28,178,228,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,
172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,254,234,198,
71,48,46,41,177,247,74,172,21,184,228,63,243,206,13,143,160,239,177,67,
236,212,148,178,74,105,239,181,103,136,55,75,162,217,228,33,33,217,96,176,
1,41,251,236,251,55,61,137,6,158,115,236,108,50,116,107,77,11,31,95,
96,117,95,10,103,87,79,1,172,42,34,26,18,111,229,233,167,131,235,209,
201,193,9,173,152,180,149,141,133,125,238,88,195,85,119,225,142,164,127,23,
17,136,1,156,111,213,224,51,75,10,115,180,67,79,147,144,221,121,123,148,
98,31,52,117,177,167,185,185,220,216,208,58,40,61,203,57,209,247,132,203,
198,253,89,150,161,44,17,138,130,132,113,109,101,96,123,107,84,4,161,157,
41,159,21,139,1,59,155,8,164,206,180,87,188,1,206,49,196,126,196,105,
202,86,208,68,42,169,1,98,214,197,17,211,206,242,239,194,245,148,1,45,
17,203,25,228,34,127,71,226,33,185,42,22,60,79,32,52,89,187,66,84,
250,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,134,172,172,246,
172,172,172,172,172,172,172,172,172,172,172,172,172,189,216,172,172,172,172,172,
172,172,172,172,172,172,172,172,91,162,172,172,172,172,172,172,172,172,172,172,
172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,147,240,
158,136,166,248,146,9,126,1,106,98,88,80,70,62,172,172,172,172,172,172,
172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,
172,172,172,51,43,9,25,12,126,172,172,172,172,172,172,172,172,172,172,172,
172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,
172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,
172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,
172,172,172,172,172,172,172,172,172, };
static unsigned short stb__arial_14_latin_ext_t[560]={ 1,102,123,55,15,55,55,123,15,1,123,
123,123,127,123,55,55,90,90,55,113,90,55,113,55,42,123,102,123,123,123,
90,15,102,102,42,102,102,102,55,102,113,90,113,113,113,102,55,102,67,113,
67,113,90,113,113,113,113,102,42,67,42,123,127,123,113,90,113,102,113,90,
90,102,102,42,102,102,123,123,113,102,102,113,113,90,113,123,123,123,102,123,
15,15,15,123,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,
113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,1,90,29,
79,123,102,15,1,123,67,123,123,123,127,67,127,123,123,123,123,123,90,42,
123,123,123,123,123,67,67,67,90,29,29,29,67,67,67,102,1,29,29,29,
79,29,15,15,67,102,79,15,15,15,29,29,123,79,1,15,15,42,42,102,
67,67,79,79,79,79,79,123,79,79,79,79,79,79,79,79,90,79,102,67,
67,67,91,67,123,113,67,67,67,67,1,42,1,67,90,42,90,29,90,1,
67,1,67,1,90,1,55,42,91,113,79,55,91,42,79,55,79,42,79,42,
55,15,15,15,42,42,42,1,15,42,42,113,113,42,102,67,102,29,102,42,
42,29,123,90,42,15,15,42,42,123,42,42,42,42,113,102,102,113,102,102,
42,90,42,79,42,91,79,55,79,29,79,15,79,1,55,55,113,29,79,29,
79,29,79,15,55,15,55,15,79,15,55,15,15,15,79,102,79,15,91,29,
91,1,91,1,55,15,55,29,91,29,91,29,15,55,29,91,55,102,29,91,
79,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,55,113,113,1,
113,113,113,113,113,113,113,113,113,113,113,113,113,55,113,113,113,113,113,113,
113,113,113,113,113,113,113,113,91,113,113,113,113,113,113,113,113,113,113,113,
113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,29,55,
29,90,1,55,1,67,1,29,1,1,1,1,1,1,113,113,113,113,113,113,
113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,
113,113,113,1,1,29,67,1,55,113,113,113,113,113,113,113,113,113,113,113,
113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,
113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,
113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,
113,113,113,113,113,113,113,113,113, };
static unsigned short stb__arial_14_latin_ext_a[560]={ 56,56,71,112,112,178,134,38,
67,67,78,117,56,67,56,56,112,112,112,112,112,112,112,112,
112,112,56,56,117,117,117,112,204,134,134,145,145,134,122,156,
145,56,100,134,112,167,145,156,134,156,145,134,122,145,134,189,
134,134,122,56,56,56,94,112,67,112,112,100,112,112,56,112,
112,45,45,100,45,167,112,112,112,112,67,100,56,112,100,145,
100,100,100,67,52,67,117,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,56,67,112,112,112,112,52,112,
67,148,74,112,117,67,148,111,80,110,67,67,67,116,108,56,
67,67,73,112,167,167,167,122,134,134,134,134,134,134,201,145,
134,134,134,134,56,56,56,56,145,145,156,156,156,156,156,117,
156,145,145,145,145,134,134,122,112,112,112,112,112,112,178,100,
112,112,112,112,56,56,56,56,112,112,112,112,112,112,112,110,
122,112,112,112,112,100,112,100,134,112,134,112,134,112,145,100,
145,100,145,100,145,100,145,123,145,112,134,112,134,112,134,112,
134,112,134,112,156,112,156,112,156,112,156,112,145,112,145,112,
56,56,56,56,56,56,56,45,56,56,147,89,100,45,134,100,
100,112,45,112,45,112,58,112,67,112,45,145,112,145,112,145,
112,121,145,112,156,112,156,112,156,112,201,189,145,67,145,67,
145,67,134,100,134,100,134,100,134,100,122,56,122,75,122,56,
145,112,145,112,145,112,145,112,145,112,145,112,189,145,134,100,
134,122,100,122,100,122,100,45,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,151,150,150,112,150,150,150,150,150,
150,150,150,150,150,150,150,150,172,131,150,150,150,150,150,150,
150,150,150,150,150,150,150,171,134,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,134,112,56,45,156,112,145,112,145,112,145,
112,145,112,145,112,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,134,112,201,178,156,122,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_14_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_14_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_14_latin_ext(stb_fontchar font[STB_FONT_arial_14_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_14_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_14_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_14_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_14_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_14_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_14_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_14_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_14_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_14_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_14_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_14_latin_ext_s[i] + stb__arial_14_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_14_latin_ext_t[i] + stb__arial_14_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_14_latin_ext_x[i];
            font[i].y0 = stb__arial_14_latin_ext_y[i];
            font[i].x1 = stb__arial_14_latin_ext_x[i] + stb__arial_14_latin_ext_w[i];
            font[i].y1 = stb__arial_14_latin_ext_y[i] + stb__arial_14_latin_ext_h[i];
            font[i].advance_int = (stb__arial_14_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_14_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_14_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_14_latin_ext_s[i] + stb__arial_14_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_14_latin_ext_t[i] + stb__arial_14_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_14_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_14_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_14_latin_ext_x[i] + stb__arial_14_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_14_latin_ext_y[i] + stb__arial_14_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_14_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_14_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_14_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_14_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_14_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_14_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_14_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_14_latin_ext_LINE_SPACING
#endif

