// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_16_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_16_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_16_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_arial_16_latin_ext_BITMAP_HEIGHT        162
#define STB_FONT_arial_16_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_16_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_16_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_16_latin_ext_LINE_SPACING          10

static unsigned int stb__arial_16_latin_ext_pixels[]={
    0x26666200,0x26130999,0x02980602,0x0d400a88,0x54033288,0x0a00a880,
    0x42218151,0x00d44009,0x01a80350,0x00501040,0xb19702a6,0x1e46cc01,
    0x40b50020,0x26606eeb,0x10076019,0x0957903d,0xffff9057,0x5cb27fff,
    0xf101f03e,0x440b9003,0xb7986edf,0x2e07b609,0xddb16206,0x0b27b1f8,
    0x3f73bb22,0x03bae00d,0x1540ff54,0x0e42ddec,0xd10bbee0,0x0dd9007d,
    0x3600cd98,0x4c0a1302,0x54c0eeee,0x88264029,0x401e80ff,0x35459079,
    0x20053018,0x3e93200e,0x1f101118,0x21d802e0,0x110c5749,0x2033a0b2,
    0xa8c880eb,0xd0753902,0x10155105,0x8443e80b,0x1c980618,0x07f77ee0,
    0xa888a22a,0x222a0671,0x19c6a222,0x8a8288a8,0x4c02e828,0x834c5907,
    0xb802a80a,0x043b2039,0x78851066,0xd30a20cc,0x261502a0,0x513d8591,
    0x20d53317,0x20cc51b9,0x3073a628,0x20b60a37,0x0fa1cfa9,0xdfd303e2,
    0x373d05ff,0x4d53f0d7,0x7c0f883e,0x220fa6a9,0x4354fc0f,0x8dc46a9f,
    0x8b20f302,0xa981f079,0x01dd400a,0x8d503df1,0x1aa3c45c,0x1f03c8b9,
    0x8b27b1f8,0xdd9bd14b,0xd9f70767,0x972354fb,0x33ee2dfb,0xa85a87de,
    0x20fa2cfd,0x833e60f8,0x2e3e62fa,0x7d044601,0x11181f10,0x207c41f4,
    0x82230111,0x307decfb,0x20f0b20f,0xa803c80f,0xf73d105f,0x5d0fc419,
    0xd0fc4698,0x81f02e85,0xd8b27b1f,0xb8fdc9d2,0x27d87e23,0x5d0ba1f8,
    0x30fb0fc4,0x0fa1aa0f,0x704e83e2,0x501cde8f,0x883e9441,0xd2882a0f,
    0x0541f107,0x25105451,0x3cc1f21f,0x206e42c8,0x015dd40f,0x9aa03f36,
    0x79a645e9,0x9a641f4c,0x81f01f87,0x23e07b1f,0x5c3e60f9,0xc8f51ea4,
    0x545d0f34,0x07c43d47,0x441f42e4,0x2203f10f,0x0fbf620f,0x3ebd41f1,
    0x41f10f88,0x1f107d7a,0xf17a83e2,0x2a3cfd41,0x0b20f307,0x320f85f3,
    0xf104fcbe,0x47f107d1,0x265e61f8,0x4cbcc1b2,0x40f80fc4,0x2d107b1f,
    0x45b3546b,0x5e63cc6b,0x1ae2e84c,0xb01f10f3,0x1f107d07,0x82f803e6,
    0x83e25fcb,0x1f107d7a,0x7d7a83e2,0x83e21f10,0x7d41f17a,0x7983cc6b,
    0xf81e8590,0x835c1d10,0x3ea0d75b,0xfae8788d,0xf5d05b81,0x03e05d03,
    0x88d4f63f,0xd34e8d57,0x21ee0f88,0x22e81fae,0x261ee0f8,0x07d05d07,
    0x407e61f1,0xf99b82f8,0xebd41f10,0x1f10f883,0xf883ebd4,0x8bd41f10,
    0x83e3ea0f,0x320f307b,0x207c1e22,0x5d07db98,0x7ec407e2,0x306eb81e,
    0x6c1bae0d,0xb1f81f03,0xf89e8b27,0x1facfc8b,0x87ea9de8,0x419b06eb,
    0xa87ea9de,0x09b03f06,0xa827c1f3,0x226ef50f,0xbd41f10f,0xf10f984d,
    0x984dbd41,0xbd41f10f,0x6f5ea0f8,0x0f307ea9,0x1f0798b2,0x43e5efe4,
    0x05d999f9,0x1fc417d4,0x07f10788,0x3e07c12e,0x4c8b27b1,0x3bf95dd5,
    0x1ef3ae06,0x2fdc0fe2,0x2e1ef3ae,0x0b907984,0xdb06c8f7,0x2e55dfc4,
    0x0b97b87e,0x5ee1f8f7,0x0fc7b85c,0x4f70fcf7,0x3107bceb,0x88698b20,
    0x3dc1f50f,0x7f777764,0x10b70dc0,0x441e201f,0x881f100f,0x164f600f,
    0x3e8809d1,0xf10b5062,0xa8310c01,0x06a81e85,0x7f7119f3,0xfd517dd0,
    0x0dfff981,0xf37e8a7c,0xf87f7119,0x33e6fd14,0xa7c3fb88,0x7453e7e8,
    0xa835418f,0xb912c80f,0x43e67a88,0xe82f87e8,0x274cf5c3,0x2f809b31,
    0x77013662,0x5d103d44,0x37bd10b2,0xd07f9511,0x4c47d317,0x7d0fc04d,
    0x44a87d31,0x3aa04d98,0xd9103eff,0x15c03bff,0x27aeffa8,0xa83effea,
    0x3aa7aeff,0xffa83eff,0x3bfea7ae,0x7d315d7a,0xc9641220,0x321fdc1f,
    0x2a0faeef,0xfd70d907,0x400df889,0x01bf13fb,0x981fdcd0,0x2a0590cf,
    0x00cdffed,0xf887dfb3,0xb306c00d,0xb81d07df,0x001000ef,0x40088004,
    0x00800800,0x04008008,0x301f7ecc,0x04000003,0x0be209b0,0x00000000,
    0x00000000,0x0a000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x54005900,0x001bc805,0x4000c0bb,
    0x220fa600,0x2004c019,0x06011099,0x2204cccc,0x54404bae,0xc801dc00,
    0x0190c803,0x99880b70,0x01f54009,0x500a66e6,0x2a5100a3,0x4003a601,
    0x0553303c,0x533007a0,0x0b9b9005,0x01b0007e,0xec85d5d1,0xf017ea07,
    0x3e20fa9d,0xfffffb10,0x01f8db8b,0x03dfdfd3,0x3e20066e,0x01f74c00,
    0x7ff401e8,0x3ebe603f,0x07b6ba01,0x403fdcb8,0x4c807b7a,0x4440e980,
    0xb980671a,0x2a221309,0xaa980671,0x68003f02,0x30355510,0x007e6c0f,
    0x7c41f43f,0x96efff70,0x260c2088,0x2113643f,0x1b98063a,0x98060110,
    0x0601101c,0x44055544,0x2a660300,0x0aaa8801,0x50186088,0x441f4137,
    0x777f4c0f,0x107d0ebf,0xeefe881f,0x1bb9f84f,0xd1099710,0x7985ffdf,
    0x407d1f10,0x3e20fa1f,0x96efffd0,0x360f883e,0x07d1d885,0xefe981f1,
    0x441f42ff,0x7f7f4c0f,0x7c41f42f,0x7ff7f4c0,0x07c41f42,0x0bffbfa6,
    0x17ff7f4c,0x883e20fa,0x7d2ffefe,0x67cc1f10,0x83e8fee1,0x113a20f8,
    0xfcdff89d,0x1fee7cc2,0x20fb8376,0x1aeb7079,0x220fa1f8,0x2efffb0f,
    0x83e20fa5,0x883e802f,0xa833e60f,0x3e20fa2f,0xfa833e60,0x83e20fa2,
    0x8bea0cf9,0x260f883e,0x30bea0cf,0xd17d419f,0x6ec1f107,0x20fa3ee0,
    0x3a1360f8,0x3e20fa7d,0x22d41760,0x27d1ea4f,0x6c1f45ae,0x89741e61,
    0x1f43f01f,0x7ff987c4,0x7c41f4b7,0x7d001f30,0x82741f10,0x3e20fa7b,
    0xd3dc13a0,0x2741f107,0x220fa7b8,0x3dc13a0f,0x7d3dc13a,0x41f41f10,
    0x0f883e9d,0x3f37b07e,0xe83e20fa,0xf88be002,0x20b11f11,0x1e600bfc,
    0x176667e6,0xf107d0fc,0x74b77b81,0x3f10f883,0x1f107d00,0x87c407e2,
    0xf10f883e,0x1f43e203,0x01f887c4,0x220fa1f1,0x2203f10f,0x2203f10f,
    0x1f107d0f,0x1f405fe4,0x20f987c4,0x41f4be4c,0x983f10f8,0x3e07c199,
    0x40551f12,0x4c0beffc,0xeeeeec87,0x1361f80f,0x2ef103ea,0x83e20fa5,
    0x0fa3502f,0x007cc3e2,0x3e20fa5f,0x97c01f30,0xf30f883e,0x83e97c01,
    0x401f30f8,0x7c01f32f,0x81f107d2,0x7d0beffc,0x43e61f10,0x1f4be24b,
    0x21f887c4,0x3e1ffff8,0xd9f83e62,0x3ae60488,0x0be1e61f,0x5c87e0fa,
    0xb77887c8,0xb07c41f4,0x0fa5f10d,0x80fcc3e2,0xf107d2f8,0x7c407e61,
    0x21f107d2,0x25f101f9,0xf30f883e,0x7ccbe203,0x0fa5f101,0x75cc03e2,
    0x0f984d9f,0xfb8b53f1,0x41f309b0,0x7c3f103e,0x6ec5d88d,0xd8144995,
    0x20f51e64,0x3e61f86c,0x883fb98c,0x4c26cb77,0x5477a20f,0x3e61365e,
    0x87d413e0,0x3e0f984d,0x1361f504,0x504f83e6,0x3e61361f,0x07d413e0,
    0x6c3ea09f,0x0510f984,0x1ee17336,0x64db0ddb,0x07647b85,0xff9f0fc4,
    0x1bffb01b,0x32640fc4,0x5f104d8f,0x7fe4c1f8,0x96ef103e,0xd987b85c,
    0x1720beff,0x360d91ee,0x91ee1726,0x85c9b60d,0x6d83647b,0xd91ee172,
    0x20d91b60,0x9ee1726d,0xf9cc81f8,0x543fb88c,0x41dd51df,0x3fb88cf9,
    0xea88aed8,0x90047e0f,0x22bb6015,0x01e62fa8,0x501f8588,0x4b778807,
    0x3fb88cf9,0x67cc12e0,0xee83fb88,0x260fea8b,0x83fb88cf,0x0fea8bee,
    0x3ee233e6,0xea8bee83,0x2233e60f,0x8bee83fb,0xbee80fea,0x3e60fea8,
    0x6c3fb88c,0x52fa88ae,0xe887dffd,0x80dfffd9,0x203effea,0x40ceffec,
    0xc806801f,0x2a22efff,0x863a2007,0x014b80af,0x3aa2dde2,0x6c403eff,
    0x7dffd503,0x37ffb220,0x3effea81,0x3bffd910,0x07dffd50,0x077ffb22,
    0x40fbffaa,0x01dffec8,0x03bffd91,0x207dffd5,0x102efffc,0x08002040,
    0x0e802200,0x11001c40,0xc800dd90,0x2213ba3e,0x2ab102ed,0x3e600204,
    0x2000800d,0x08002000,0x00800200,0x00080020,0x20010004,0x00000008,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x33333100,0xb00b6013,0x6c6cc01b,0x80513502,0x403009a9,
    0x6c02d8da,0x053005ba,0x71c02dc0,0x3103d700,0x26001333,0x1880980e,
    0x8002600c,0x269102ea,0x30088303,0x80bd0044,0x32009998,0x7fff459b,
    0x06a83fff,0x32035ee4,0x3e6fa05e,0xffefe880,0xdb007c42,0x03f5a80b,
    0x7c401b60,0x03eea801,0x3a07d7cc,0x02ffeeee,0x217c074c,0xf00fc3f9,
    0x3ebe6005,0x201bd901,0xf103ba1f,0x03b81721,0x102f7754,0x403e83df,
    0x110c1108,0x4c062613,0x844440ac,0x2e0dd831,0x9803e20f,0x15cc400c,
    0x800bb880,0xaa8800b9,0x04d4c400,0x80f910fa,0x262f80a8,0x3e01f83f,
    0x11331002,0x41806a60,0xc87c44fe,0x80a37305,0x221101a9,0x3a01f460,
    0x07d0f883,0x77f441f1,0x220fa2ff,0x8760fa0f,0xefe980f8,0xefe981ef,
    0xdfd102ff,0x3fa609fd,0xfe881efe,0xfd304fee,0x41f43dfd,0xefe981f8,
    0x7ccbe1ef,0xf0d43f03,0x983cc005,0xa82ffefe,0xf88bf3a0,0xd9f70b90,
    0xfdfd30fb,0x440ee85f,0x1f403e8f,0x883e87c4,0xfb83760f,0x41f107d0,
    0x3e200bfc,0x1b21fcc0,0x17d419f3,0x89d113a2,0x223643f9,0x2627444e,
    0x07d3643f,0xc87f30f7,0x80fe6be6,0x17c1db1f,0x9f30f300,0x87e17d41,
    0x1f10ecae,0x6c3f1172,0xf5067cc7,0x3e227f45,0xffffffe8,0x21f107d0,
    0x3a0f883e,0x107d1d83,0xbeffc81f,0x17607c40,0x704e8762,0x8b505d8f,
    0x361d885d,0x85d8b505,0xddddd1d8,0x10bb05dd,0x0fff3e3b,0x2f85d9f8,
    0x13a1e600,0x2e87e3dc,0x2e43e29d,0x4e8f51ea,0x17e74f70,0x555bd1f1,
    0x220fa155,0x1f107d0f,0x3e805fe4,0xd7300f88,0x3e07c43f,0x101f8802,
    0xf001741f,0x800ba005,0xbade802f,0x200be06e,0xf01faaff,0x005f01fd,
    0x407e23cc,0x2e87e0f8,0x321f15f3,0x89e635c5,0x3a1f101f,0xd1f10eca,
    0xf883e807,0x81f107d0,0x3a0beffc,0x0510f883,0x260f8936,0x00f9800f,
    0x260fc4be,0x003e6199,0x333307e2,0x1f4007cc,0x003e617a,0xbf06d8fe,
    0x4005f0bb,0xf007cc79,0x645d0fc5,0x88b90f9f,0x0f99ee0f,0x4e974be0,
    0xe807d1f1,0x07d0f883,0x3ae601f1,0x1f107d1f,0x893207e2,0x2007e20f,
    0x25f101f9,0x3ffe21f8,0x1003f11f,0x7fffc43f,0x7d003f11,0x0fc44f88,
    0x09f117c0,0x2f85f13f,0x3f31e600,0x21f8be20,0xc87ef42e,0x7ea9de85,
    0x97c407e6,0x1f15f32e,0x1333339d,0x6c3e6136,0x0510f984,0x7cc26d36,
    0x2a22bb60,0x5f03e22f,0x504f86a0,0xf881f41f,0xd0d40be1,0x2f87e207,
    0x2e0fa350,0x1a817c1f,0x7c2fa85f,0x4dfc1f51,0x0f300999,0xf83ea09f,
    0x1ff30ba1,0x5e75c172,0x0fa827c7,0x47cfe45d,0x5ffffffe,0x2e4f70b9,
    0x903f13dc,0x21ee1729,0x442efffc,0x7c436c0f,0x236c1b22,0x21f880ec,
    0x322f886d,0x361f880e,0x07d2f886,0xf10db1ba,0x83f20be5,0xfff9761f,
    0x54b73fff,0x8db06c87,0x3f20ba1f,0x54188b90,0x26d83645,0x407ef42e,
    0x4467cc58,0x233e63fb,0x576c3fb8,0x9f32fa88,0x7c07f711,0xe8839102,
    0xdd0bd51d,0xb01fd517,0x1fd5115d,0x5ea8ef44,0xea88aed8,0x5477a20f,
    0x880b205e,0x20bd51de,0x05cc01c8,0x57c41c88,0x17dd05d8,0x02c41fd5,
    0x3a0360b2,0xee83e98b,0x3a0fea8b,0x4c07fcc2,0x77ff5415,0x3effea83,
    0x85dfff90,0x403effea,0x261b2079,0x880beffd,0x201dffec,0x80ceffec,
    0x00beffd9,0x019dffd9,0x017dffb3,0x3f6603dc,0x1b600bef,0x3dc09d10,
    0x88077f5c,0x4c1dffec,0x361ee016,0x1f7ecc09,0x1dffec88,0x807e4174,
    0x200103fd,0x10011000,0x3a05b900,0x1000402e,0x20008800,0x80022000,
    0x003ed800,0x80bba002,0x7db01df8,0x80100040,0x83ed83ec,0x40000dea,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x55100000,0x0b636601,0x4a201320,0x09d30019,
    0x4c02ec40,0x0054400e,0xd803b1b5,0x00ba2002,0x6d4005a8,0x003ea800,
    0x22640a35,0x236a01e8,0x0cca201d,0x74c00a80,0x8806cc00,0x10bb105d,
    0x209fddfd,0x0f8805ed,0x05c8f980,0x003eae88,0x3d80999b,0x7401f980,
    0x0035404e,0x0f60016e,0xf8802e80,0x6ed402ea,0x640f985f,0x404ed804,
    0x37009b7a,0xd8099007,0x21373603,0x13a25ccd,0x54cc49d1,0x35331009,
    0x088c2201,0x99882213,0x30884c09,0x30884c4c,0x4d4ccc18,0x2a666219,
    0x2a660999,0x54c01999,0x00999999,0x05440066,0x004ccc40,0x14402622,
    0x53330066,0x26620333,0x03ba8009,0x13353331,0x2666a662,0x35335310,
    0xbb0cc4c1,0xeeee96a0,0x77742ffe,0x7dc2ffee,0x31726c81,0xf70f88df,
    0x0774d903,0x7ffc43e2,0xff91ffff,0x227fffff,0x1fffffff,0xffffff50,
    0x17ea05ff,0xa802fd40,0x0bf5005f,0x202f83e2,0xfffffff8,0x200bf501,
    0xfffd05fa,0x3ffa7fff,0xffd3ffff,0x5c87ffff,0x43e80174,0x221f47c8,
    0x7cc6d87c,0x1fb71ea1,0xf31b635c,0x3e227f43,0x7982f400,0x9d02f400,
    0x66c001f1,0x0fcd800f,0x800fcd80,0x0f880fcd,0x17a000be,0xd800fcd8,
    0x403e80fc,0x801f403e,0x3307e25c,0x7c41f433,0x07e20fa1,0x221f47f1,
    0xd8bab61f,0x87d1fc44,0x03e22fce,0x0f300ed8,0xfa8076c0,0xf1000f88,
    0x8f8807d1,0x747c403e,0x1f47c403,0x005f07c4,0x1f100ed8,0xe8f8807d,
    0x1f403e83,0x2e400fa0,0x7ffc43f1,0x8f707d1f,0xf707b83e,0x44ba0d91,
    0x20be4c8f,0xae86c8fb,0x201f10ec,0x01e601fb,0x29d00fdc,0x2b7000f8,
    0x6badc06b,0x406badc0,0x1f10d75b,0x3f70017c,0x406badc0,0x07d0d75b,
    0x01f403e8,0x881f45c8,0xdddddd1f,0xeeeee85d,0x3fb602ee,0x4daa9900,
    0x7f6c0f17,0x229d2e80,0x402fa80f,0x02fa8079,0x777c43ea,0x225d05ee,
    0x7c4ba01f,0x0fc4ba01,0x107e25d0,0xa8017c1f,0xf897402f,0x0fc4ba01,
    0x3ffffffa,0xffffffd0,0x3fffffa1,0x3b22e40f,0x5bd1f880,0x2b7a0dd7,
    0x3f8806eb,0x3f1e5a60,0x81fc40b5,0x1f15f32e,0x79804f88,0x3a027c40,
    0xaabfa99d,0x999f982a,0x333f305d,0x267e60bb,0x33f305d9,0x20f88bb3,
    0x04f8802f,0x2ecccfcc,0x5d999f98,0x555556f4,0x55555bd0,0x2aaab7a1,
    0x76c2e40a,0xd0fea88a,0x43e85e87,0x402f805e,0x32b61e8f,0x2e817c03,
    0xbd03e7f2,0xbd01e600,0xfffff980,0xeeec800f,0xeec80fee,0xec80feee,
    0xc80feeee,0x20feeeee,0x200be0f8,0xeeec805e,0xeec80fee,0x0fa0feee,
    0x03e807d0,0x3fb20b90,0x10fa0cef,0x7c43e89f,0x36017c04,0x00f65c7b,
    0x3a1740be,0x003b60fd,0x01db03cc,0x007c44d8,0x7c1f417c,0x82f83e82,
    0x3e82f83e,0x402f83e2,0x82f800ed,0x3e82f83e,0x807d00fa,0x80b9003e,
    0xf707d03c,0x0fdc1f43,0x5fb805f0,0x17c03f4c,0x87fcc2e8,0x99999afb,
    0x5f707980,0x26133333,0x4cd7c40f,0x641ea099,0x46c83d46,0x7a8d907a,
    0xf07c4d90,0x2e133337,0x099999af,0x2a3641ea,0x4e74d907,0x39d09999,
    0x33a13333,0x64099999,0x74174405,0x81f4dd03,0x300be06e,0xf00bd05f,
    0x3f20ba05,0xffffffb0,0x360f305f,0x2fffffff,0xffff10bb,0x8826c7ff,
    0x7c41362f,0x17c41362,0x44be209b,0x3ffffe0f,0xfffffb3f,0x8826c5ff,
    0x7c41362f,0xffffffd2,0x3fffffab,0xfffffd5f,0x2a05c8bf,0x000000df,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x530622a2,0x220288a8,0x83d30513,
    0x066660e3,0xb83a6000,0x26f20b8b,0x8288a80d,0x03d702eb,0x46cc0298,
    0x591b303c,0x56c24520,0x2036a05a,0x440ffff9,0xa850298a,0x22880a88,
    0x26155102,0x54a09999,0x2054c02c,0x36010428,0x22ec1fec,0x76406a9f,
    0xeb8b701e,0x7777443d,0x0dfff701,0x4dbd98f6,0xaf8177c4,0x0fcfcc7a,
    0xd803ebea,0x406ec806,0x3baa05ec,0x201ef981,0xb804402e,0x45981f8e,
    0x2b304deb,0xfeefb878,0x24fffffa,0x983fcddf,0xf52efefe,0x4445abc8,
    0x4c466181,0x2009a99a,0x260a2009,0x4ccccc41,0xa8026009,0x54c40880,
    0x1999809a,0x88844226,0x4c431108,0x20099aa9,0x3533100a,0x26662133,
    0x20cc0999,0xc8130608,0x20731705,0x2e04b83c,0x22f98b33,0x93e00ffa,
    0x5067cc6b,0x1751123f,0x87c40ee8,0xfffffd5c,0x817ea07f,0x7f45c85c,
    0x503fffff,0x642e40bf,0x7fffff45,0x80fc5c84,0xfd0f883e,0x207fffff,
    0xfffd05fa,0x3ffa7fff,0x2e43ffff,0x21b207ee,0x4057105c,0xaa82a80e,
    0x2e2dcace,0x3e00fc85,0x20bd1e62,0x82a81beb,0xc87c44fe,0xcd8007d5,
    0xb90b900f,0x66c003e8,0xb90b900f,0x227d43e8,0x3e80fc5c,0x007d0f88,
    0x3e80fcd8,0x5c801f40,0x40fcc6d8,0xfdcfb85c,0x33aa3442,0x33f2e2fc,
    0x20f63dec,0x987e00fa,0x7c407e27,0x17e67542,0x87c45f9d,0x44007d5c,
    0x0b903e8f,0x2003e8b9,0xb903e8f8,0xa83e8b90,0x13f1720f,0x7c41f457,
    0x7c4007d0,0x403e83e8,0x10b9003e,0x5c81f47f,0xa8d50fc4,0x88b51744,
    0x305f03a7,0x7c3fffff,0x00f99e61,0x2d45d0fe,0x3e21d95d,0x800fab90,
    0x1720d75b,0x4007d172,0x1720d75b,0xf107d172,0x37be2e45,0xf107d3fc,
    0x5b800fa1,0xe807d0d7,0x2e0b9003,0x17206c8f,0x320f88f5,0x2eaabe22,
    0x43c56a0f,0x999f983f,0x4cf30fc1,0x445f101f,0xd0fbaaaf,0xc87c53a5,
    0xffffffd5,0x07e25d01,0xfd172172,0xd01fffff,0x17207e25,0x3a07d172,
    0x5c7f1723,0xffffffd6,0x3ffffa1f,0xf12e80ff,0xfffffe83,0xfffffd0f,
    0x3605c81f,0x517200fe,0x2a3c5f0d,0xb1cccccf,0x49dfddfd,0x200fa85d,
    0x09f1e61f,0xccfa83ea,0x265d1ccc,0x2b90f8af,0x0aaaaade,0x2ecccfcc,
    0x3a2e42e4,0x40aaaaad,0x85d999f9,0x1f45c85c,0x3f1723e8,0x999cebcc,
    0x55bd0fa9,0x9f981555,0x56f45d99,0x5bd0aaaa,0x5c815555,0xb900fe20,
    0x43e60f88,0x8a07c459,0x09cc9be8,0x003f61ea,0xd83ec798,0xe8a07c46,
    0x643e7f22,0x3b2007d5,0x640feeee,0x01f45c85,0xfeeeeec8,0x22e42e40,
    0x2e45f03e,0x07d7987e,0x400fa1f1,0x0feeeeec,0x007d00fa,0x805f0172,
    0xd88cd85c,0x43360ee6,0x82d87c6c,0xfec89df8,0x71009999,0xd517dd0b,
    0x3219b01f,0x1fbd0ba6,0xf801f572,0x42e43e82,0xf801f45c,0x42e43e82,
    0x7dc1f45c,0x4c3f1720,0x21f107d7,0xd05f003e,0x0fa01f47,0x0be02e40,
    0xff910b90,0x6440ec1b,0xe9a21dff,0x3bffd300,0x20dfffff,0xfec882ed,
    0xff9101df,0x3e61743b,0x273ab90f,0x1ea09999,0x32172364,0x4ccce745,
    0x3641ea09,0x9d172172,0xc87f9533,0x3af30fc5,0x39d0f883,0x3d413333,
    0x2673a6c8,0x339d0999,0x05c81333,0x0172017c,0x20800060,0x00001001,
    0xe8000080,0x2b90fc82,0x5ffffffe,0x917c4136,0xffe8b90b,0x1365ffff,
    0x90b917c4,0xdffffe8b,0x30fc5c82,0x43e20faf,0x5ffffffe,0xe97c4136,
    0xd5ffffff,0x8bffffff,0x0017c05c,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x18044000,0x0d4c2211,0x10005440,0x00880443,0x04102262,
    0x10144544,0x02a20015,0x4c026666,0x2a011002,0x00a20cc0,0x2a2002a2,
    0x30002080,0x41445405,0x02a0151a,0x540a22a2,0x80350288,0x41f40a1a,
    0xb9d4d8f8,0xd501ffdf,0x4c01dfdf,0x20b92fca,0x1afea05c,0x3760b77b,
    0x3fbf503e,0xff309b00,0x5df30dff,0x203b7ba0,0x2e46a86b,0x5d802ec0,
    0x550b5790,0x82fdee88,0xcea84ddc,0x901dd905,0x2a7e07bb,0x301eea86,
    0x1f40ec1f,0xfe9cc7c4,0x7f11b663,0xa980764c,0x320b92fc,0x2225ea05,
    0x80f200aa,0x0900b92e,0x22ae016e,0x20331884,0x3a1f880b,0x32004802,
    0xd0175100,0x41aa5b85,0x2032e03b,0x7902b8c8,0x9c8088c0,0x3b835039,
    0xc9f883e8,0x43f30bd1,0x7309d05a,0xc82e4f55,0x4fd55cc5,0x73015c41,
    0x26cfe015,0xc8e6b260,0x80ab9803,0x5730a20a,0x41e69901,0x15731bba,
    0x2a059710,0x0e74c2bb,0x1054285d,0x882bba85,0x057102cb,0x82a2882a,
    0x12882a28,0x9f107d0d,0x17c42743,0x67dc6c80,0x641727ee,0x1fbb3ee5,
    0x50bf73ee,0xf503f99f,0x3ba201bd,0x32fa1feb,0xfccfa81d,0x27a83e21,
    0x4c1fccfa,0x97db0997,0x41fb9fdf,0x646dbde8,0x3ee4fcbe,0xf8813a2d,
    0xcbec9ea0,0x36f7a24f,0x17ee7dc6,0xf8bd41f1,0x507c5ea0,0x20fa074f,
    0xe81f40f8,0xdddddd33,0xb0fc4fdd,0x15c82e4f,0x3e23ec3f,0x22f89aa1,
    0x00ffb84b,0x3e3fd976,0x3e24fcbe,0x20f892e2,0x25c5f17a,0x3a20fd74,
    0x25c87f20,0x0e886479,0x7545d1ae,0x20f884ce,0x35c1d17a,0x3f10c8f3,
    0x541f1354,0x8bd41f17,0x42c9ea0f,0x740f883e,0x2fe67d03,0x27caaaaa,
    0x0b93dc7a,0x1ee3d572,0xf30f88f5,0x6e9ed801,0x7973f83b,0xf99ea0cb,
    0x7a83e200,0xdd7001f3,0xaafdb980,0x2fba27ba,0x8fb73101,0x0abf262e,
    0x447a83e2,0x3ba27db9,0x3e23d41b,0x8bd41f10,0x07c5ea0f,0x136254f5,
    0x207d03ea,0x3607f13f,0x64f31ae7,0x31aeb905,0x52f86a8f,0xf10f880f,
    0x599f81fb,0xf51f80d7,0x5ea0f880,0x07f1007a,0x33f2f7f2,0x2e20cccc,
    0x37f20efe,0x261747cb,0x7a83e207,0x11f2f7f2,0x1aa1dfd7,0xf507c4be,
    0xf17a83e2,0xc8f13d41,0x83e87c85,0x221b61f9,0x7b83e64f,0x2991ed72,
    0xf11ee0f9,0x0f887cc1,0x260f98e6,0xb0ebe85f,0x0f983a29,0x3e1cc1f1,
    0x307c5ee1,0xf501f107,0x88a23e41,0x07d4fa22,0x25c2e8f7,0xf57b87e0,
    0x44513dc1,0x7cc1f13e,0x3e7b87e0,0x2e1f9ee1,0x19f30ec7,0x47d07f71,
    0x6fcc6d89,0x740eea8a,0x5727e98c,0x3a3f99eb,0xcd87e98c,0x466c6d88,
    0x446f43d8,0x97e43ffd,0x6c53a1fa,0x1ec466c5,0x9b3f453e,0x6cc47b11,
    0x3e61f504,0x7c49b13f,0x43e65d11,0xa866c7e8,0x20989abf,0x3e6fd14f,
    0x8fc4fd10,0x223362e8,0x7e8a7c6d,0x9f3f453e,0xa8771fa2,0x7d03effe,
    0x2603bfe6,0x880dfffd,0x5727bdfe,0x7445ffc8,0xfc887adf,0x7fe440df,
    0x8dffc884,0x6ffee46a,0x06ffecc2,0x2a13ff22,0x3227aeff,0x06fc44ff,
    0xd33ddf90,0xffd709ff,0xfaeefc89,0x67657ee0,0x3ea2ffec,0x3bf27aef,
    0x3fae0fae,0x6ffe444f,0x3d77fd40,0x54f5dff5,0x2cc7aeff,0x00100010,
    0x00004002,0x00000010,0x00228008,0x00200001,0x04040000,0x00020040,
    0x10020110,0x10000100,0x20040080,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x08802a20,
    0x11500440,0x0d401005,0x02980d40,0x08828dcc,0x4c060110,0x0544009a,
    0xa80a22a0,0x5301a801,0x4006a600,0x15015400,0x54010051,0x5301a801,
    0x00601980,0xfe883e80,0x7f74c0df,0x10d53f05,0xd501d9dd,0x80fcc03d,
    0xd9f701f9,0x1dbb10fb,0x107c41f4,0x305ffdfd,0x205dfdfd,0xdd506a9f,
    0x980fcc03,0x3bfa601f,0xeeb882ff,0x00aa981e,0xdd10d53f,0x3dd501d9,
    0xe880fcc0,0x0fdef883,0x40e400f8,0x9b14d838,0x4613a3e8,0x03518808,
    0x2a80e672,0x0fc414c0,0x87db90fb,0x360f883e,0xf983ee0d,0x4607ee0c,
    0x07339008,0x40a60154,0x0bea0cf9,0x3c82e4b9,0x8c404460,0x0733901a,
    0x20e20154,0x03e0f65d,0x510543f0,0x227983e2,0x2e21720b,0x880ae202,
    0x80ae202b,0x547a82b8,0x20faa987,0x3a0f883e,0x413a1d83,0xa805506c,
    0x2a015402,0x9ee09d02,0x2a0a20f8,0x577502bb,0x540aeea0,0x577502bb,
    0x7d0aeea0,0x5cc7c174,0x7c4e7d41,0x223cdea0,0xb85f300f,0x7dc2fdcf,
    0x67dc2fdc,0x6e7dc2fd,0x7ee7dc2f,0xa8f31ae2,0x0fa5fede,0x0bfc83e2,
    0x3e603f10,0x0bf33aa0,0xa85f99d5,0x7542fcce,0x07e22fcc,0xb8f987c4,
    0xfcbec80b,0x27e5f644,0x913f2fb2,0xec89f97d,0x5f644fcb,0x354be4fc,
    0x23fcdef8,0x20f8adfb,0x03f0f57a,0x21f88bfd,0x6a87e26a,0x226a87e2,
    0x1f89aa1f,0x2e0f89aa,0x74f71747,0x7e40f883,0x03e60bef,0x5a8ba2f8,
    0x2e8b5174,0x2d45d16a,0xa97c01f3,0x222fcdee,0x0e89ae0e,0x2e0e89ae,
    0x26b83a26,0xe89ae0e8,0x992f9ae0,0x20fa93e0,0xbd41f11f,0xb301f87a,
    0x43e23d4d,0x7a87c47a,0x447a87c4,0x0f88f50f,0x99faa77a,0x83e8fc47,
    0xfd7300f8,0x7c407e63,0xf7555f11,0x2eaabe21,0x7555f10f,0x2aabe21f,
    0x203f30fb,0x545f52f8,0x87db9886,0x9887db98,0xdb9887db,0x87db9887,
    0x4be7db98,0x221f83f9,0xf13bf71f,0x4479bd41,0x543e600f,0xf0d52f86,
    0x54be1aa5,0xf0d52f86,0x27bceb85,0x09b1f86a,0x6c0a21f3,0x87cc0fe4,
    0x1cccccfa,0x399999f5,0x333333ea,0x99999f51,0x0fa827c3,0x90fc41f5,
    0xfc8f97bf,0x6fe47cbd,0x5efe47cb,0x65efe47c,0x3e5efe47,0x3e2f4c5f,
    0x1cfa8fc0,0x0f8bdc3f,0x260d99ea,0x7cc1f10f,0x87cc1f10,0x443e60f8,
    0x7c43e60f,0x20c43e60,0x7983e65a,0xf89ee172,0x99b64c81,0x03e25d8b,
    0x88a07c45,0x81f1140f,0x26d83642,0x543e60f8,0x0fa9ee0f,0x2e0fa9ee,
    0x27b83ea7,0xfa9ee0fa,0x442f9ee0,0x4798be0f,0x3f453e1f,0xe87d31b9,
    0x8cd89b14,0x4466c6d8,0x6c466c6d,0x36c466c6,0xd1b62336,0xce87d317,
    0x33e64d88,0x76c3fb88,0x222fa88a,0x0ffd8aee,0x6c6c866c,0x0cd8d90c,
    0xd90cd8d9,0xfd517dd0,0x4bb15d81,0x4cfd10f9,0x7ccfd10f,0x87ccfd10,
    0x443e67e8,0x7443e67e,0x3cd6ebe7,0xf13627be,0x3d77fd47,0xb309fd71,
    0xfc8819ff,0x7fe440df,0x6ffe440d,0x06ffe440,0x3037ff22,0xfd107dfb,
    0xffea817f,0xdfff903e,0xbffd9105,0x7fe441bd,0x6ffe441d,0x0effe441,
    0x2077ff22,0x01dffec8,0xfc81bfd7,0x3f20faee,0x3f20faee,0x3f20faee,
    0x3f20faee,0x3f20faee,0x15f0faee,0xeaf85dfb,0x227e40cf,0x00080000,
    0x00000000,0x00200000,0x00088004,0x00001a81,0x02000000,0x40040080,
    0x00800800,0x10008008,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xaa880000,0x300a8800,
    0x20660665,0x8804c019,0x1101309a,0x03100600,0x041002a6,0x2a81a94c,
    0x260054c0,0x02201300,0x80980544,0x20815009,0xa8165c40,0x4ca20a88,
    0x26666622,0x982a8099,0x1004c0c2,0x7f77f441,0xdfdfd304,0x40fbf883,
    0x40744ddb,0xfe985f2a,0x220ebfee,0x2600dfed,0x3ae3d407,0x7b01edbc,
    0x1d57d0b7,0xeb80aa98,0xfb81edbc,0xfd986982,0x07df545f,0x20bee1a6,
    0x25bbd85a,0xb86dbde8,0x2ecd84de,0x3ffffff2,0x3f33aa3f,0x40f8be22,
    0x7457602f,0x3e627444,0x0e4c3643,0x412a787c,0x67cc352e,0x4990fee1,
    0x501e603d,0x0f4425cf,0x4e205544,0x9707901b,0x6d443d10,0x24d81e82,
    0x740ea84d,0x2216d441,0x20aa880e,0x25c06479,0x1e602c88,0x5316a2e8,
    0xd80be07c,0xb16a0bb5,0x5c43b10b,0x21f3c42c,0x39ce980e,0x23ef426c,
    0x7981ae2f,0xb57aab98,0x1a2377aa,0x41514415,0x52882a28,0x34537beb,
    0x220f2164,0x36e1e60f,0x42c80f20,0xd106602d,0x32a5037d,0x2aaaaa22,
    0x5f107981,0x0cc1f755,0x849af81f,0x7c005d5d,0xdbde8802,0x4ab4cec6,
    0x3f05bf70,0x321f9bd8,0x2603e99e,0xbf767dc7,0x2530e89c,0xbd41f11c,
    0x7c5ea0f8,0x268e5ea0,0x22c8391d,0xf98f3059,0x2d4b6350,0x404b8b20,
    0xefeb884c,0x53f377e0,0x83fdccc9,0x999f5079,0x9f264399,0x64076fc1,
    0x4ccc1f8d,0x26003e61,0x3bb30647,0x982e803a,0x42f9320f,0x3cc05ffe,
    0x56bec3f1,0x07c4ea09,0x7a83e2f5,0x26bd41f1,0x70ea6baf,0x2e803a23,
    0xa76c47f2,0x98dc00e8,0x1444c806,0xd727c7d1,0xf9531760,0x207c4157,
    0x44f8a642,0xf19900df,0x8ffffc43,0xee8801f8,0xd74a801b,0x7cc17419,
    0xd17c4970,0x4c0bb319,0x36f71ea7,0x12b84498,0x0f8bd41f,0xf507c5ea,
    0x70f57c36,0x8f316c05,0x01fdedfb,0x7407a8b6,0x4c83ddb1,0x22e88fc4,
    0x1b61e62f,0x0733f72a,0x991b219b,0x02fd83f6,0xf881f52e,0x10d40be1,
    0x7401dfd7,0x17477698,0x2e2d4fc4,0x7c41f30f,0x235cf300,0x647a5779,
    0xa83e21b3,0x8bd41f17,0x695dea0f,0x4b806cd1,0x46a21fa6,0x74c9700f,
    0xb94cf207,0x7f5c2643,0x8f30fc4f,0x81e600ec,0x641dffc8,0x17dc1f54,
    0x203b2770,0x221b61f8,0x1f44512f,0x966974b8,0xb0ddb02e,0x43e23ccd,
    0x0f99ea5b,0x64474dee,0x21f8b53d,0x27b87e7b,0x474dee1f,0x4416aae5,
    0x851e7a26,0x744d1079,0xd30b5079,0x1d304c83,0xf53cc3f0,0xa8079803,
    0x207c9903,0xed82202f,0x20fea88a,0x4bd51de8,0x205d11f8,0xd92ab30e,
    0x51dfa80c,0x913e81dd,0x2ec57c4b,0x99fa633a,0x3e16a21e,0x8a7cfd14,
    0x3f453e7e,0x02d443d3,0x1fe7643d,0x740ba27b,0x10ff3b21,0xc80ea81d,
    0x87e16e04,0x3003f379,0x9029500f,0x26fe07c9,0xc8330999,0x980ceffe,
    0x5c0beffd,0x89704ffe,0x17ee1ece,0xbfffb3d1,0x19ff9301,0x440efeb8,
    0x64c7bdfe,0xff503eee,0x77fd4f5d,0x2bbfea7a,0x1f7764c7,0xf9988790,
    0x40fbf660,0x07ccc43c,0x59bf30b6,0x1ce884c8,0x7ede61f8,0x7986ffff,
    0x642ed880,0xffff03e4,0x441767ff,0x02002000,0x80030150,0x10000040,
    0x40000080,0x00200400,0x80c02800,0x10601400,0x01333105,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x44c09826,0x08802881,0x4c0055cc,
    0x09999999,0x2531654a,0x0a835029,0xaa800440,0x15428150,0x644060a6,
    0x10540ccc,0x26666205,0x00601100,0x20880053,0x220d9001,0xcc80cccc,
    0x999880cc,0x11013009,0x7c5f0026,0x2607d7c2,0x0edee80f,0x807f33ea,
    0xfffffffa,0x3f377e2f,0x503f7d14,0x200fc41f,0x26fd803e,0x7c43e22e,
    0xf88bbe61,0x41555500,0x741ea0f8,0xe84fffff,0xf100f883,0xeded807d,
    0x40557f51,0x5555103a,0x202aaaa0,0x84fffffe,0x05f3f85c,0x3f0ae2f8,
    0x4c620019,0x04b8be21,0xf003e33a,0x059335c9,0xd003206a,0x07e03339,
    0x2987c45d,0x1f124d5c,0x3e20ae20,0x21f41ea0,0x3bbf24ea,0x80efeeee,
    0x4a00c8aa,0x0f37f219,0x015402a8,0x0fa05775,0x22f889d5,0x5f00be6b,
    0x20e7e06c,0xf3066079,0x223ea001,0xf317c00f,0x2ca940a8,0x2ee26322,
    0x3fffffa1,0x88ba0fc5,0x8330330f,0xdcfb80f8,0x7a83e22f,0x21f507d0,
    0xbaaaadea,0x42982a3f,0x7c2ca942,0x67541b89,0x667542fc,0x7e5f642f,
    0x0fa83e84,0x3e2f8b5c,0x3e017c02,0x2640d501,0x14e801ea,0x261f801f,
    0x377e0fc7,0x677544fc,0xfa87d1fd,0x445d07e4,0x8990990f,0x50fc40f8,
    0x0f507c4d,0x7d17c0fa,0xb2641f10,0xbbf1e61f,0x66f7c9f9,0x45a8ba4f,
    0x0e896a2e,0x7c0fa1ae,0x7c5cbe82,0x3e017c02,0x3202f981,0x07307c44,
    0x3bbe21f5,0xf30fc5ee,0xd727c1f8,0x75362fa8,0xd07e6c83,0x84c87cc7,
    0xa647c44c,0x3f07c47a,0x66fe43dc,0xffe8fa0c,0x2a0fffff,0x2264bbe6,
    0x24f9ae4f,0x7555f16b,0x2aabe21f,0x6dcc40fb,0x0666fe47,0x7fdcc47d,
    0x16c5f09a,0x983f00be,0x6c26402f,0xde83d88c,0xaaabfa99,0xf8f30fc2,
    0xa8f317c1,0xd83ea647,0x11dd07e4,0x321321fb,0xa9d47c44,0x453a2f86,
    0xaadfa87e,0x99ce8fa0,0x3e20fa99,0x85d4ce98,0x22f9e62f,0x9999f579,
    0x3333ea39,0x2f7f21cc,0x556fd47c,0xfeeb8fa0,0x645f2eef,0x07e017c1,
    0x1099009b,0xff309ff9,0xf801ffff,0xf83f1e61,0xc8d51e61,0xf95339d4,
    0x3f7a0fc3,0x90990fcf,0x7c40f889,0xff983e60,0x207d07ae,0x3e20fa1f,
    0x7565d6c0,0x9e61f878,0x07c5e61f,0x5140f88a,0x1f43dc1f,0x366621f8,
    0x805f099d,0x360fc02f,0x81321f44,0xf889b02f,0x3e077000,0xa8f30fc1,
    0xfffea646,0x3a0fc2de,0x99099012,0x8cd80f88,0x126106d8,0xd07dc1f4,
    0xdb81f107,0xf85bf89d,0x261f9e61,0x23643367,0x7ccd90cd,0x07d0fd10,
    0x7f75c1f7,0x805f2eef,0x209999bf,0x5c57d41f,0xf502640f,0xaf881f30,
    0xf9809999,0x30fc1f82,0xea646a8f,0x1741f803,0x88990990,0xdffc880f,
    0x740ad400,0x42fca99c,0x440f883e,0x3e0bfa7f,0x261f9e61,0x077ff227,
    0xc83bff91,0x740faeef,0x02fca99c,0x266fe132,0x3fffe099,0x2a07e3ff,
    0x04c81cfd,0x10bb05bb,0x87ffffff,0x41f80dfa,0x8d51e61f,0x3f007d4c,
    0x213201d8,0x0007c44c,0xfe85db00,0x3e82dfff,0x25e80f88,0x261f80fb,
    0x007987e7,0xfd002000,0xc805bfff,0xffffff84,0x00000003,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x100aeea0,0x25314415,0x15054419,0x66664457,0x88a86d80,0x984c0332,
    0x09802200,0x33062031,0x26033333,0x99999881,0x26004c01,0x2e2a288b,
    0x0c404c1b,0x20013333,0x2200c180,0x83009999,0x310a9801,0x22133333,
    0x80999999,0x7e5f6408,0x1f513604,0x9b07efa2,0x5544eef8,0xf83a80aa,
    0x305ff7aa,0xfb80bedf,0x42746c81,0x3fffe24e,0x37ea1fff,0x3fffa1ee,
    0xbf500fff,0x3eedfdc0,0x7c5f9bdf,0xfff1fcc2,0x36405fff,0x201f83e2,
    0x84fffffe,0xfb807e1f,0xfffff51e,0x3ffffa5f,0x117c43ff,0x09035c1d,
    0x0910b260,0x1441507f,0x11302ae6,0x3f217be3,0x46d805f6,0x917cc1f9,
    0x7d17a00d,0x8007d35c,0x1f880fcd,0x9ea4f9f6,0x5f0fe62f,0x8df507b8,
    0xe807e0f8,0xf0627d43,0x64026c03,0x3aa00fa6,0x7db9882f,0x0d555544,
    0x2a2b8a89,0xf107e2b8,0x99f53d41,0x33e1983f,0x05f6ce87,0x40fa3f88,
    0x800fa8fb,0xf11220ed,0xf8800fa1,0x5c7a83e8,0xf1f88be7,0x0be0fe65,
    0x6be883f1,0x543f07c4,0x83ea0fa1,0x8ae27e0a,0x3e602dea,0x5f500fa0,
    0xcbdfc85f,0x7ee664c7,0x4eef8d13,0x40f93bbe,0x7c5ea0f8,0x7c9912e2,
    0x5afa62ea,0xc8fb802f,0x017eec06,0x35c00fdc,0xbadc007d,0xf3cc6a86,
    0xf35f2f81,0x0d70be07,0x0f88d55b,0x7d076c7e,0xf0fc5f10,0x3ae7f9bd,
    0x7d0fa04e,0x545f0880,0xbb01ee0f,0x3e0fe3c4,0x07c40f83,0x9003e6f5,
    0x792dd7c9,0x6c00bed7,0x2fc400fe,0x5c017d40,0x3bbbba1f,0x3e25d01e,
    0x4f707c41,0x67c3e62f,0xffff03ff,0xd55b83ff,0x367e0f88,0x47d03e85,
    0x26b8fe1f,0x3a1ea03d,0x80ffffff,0x7443e62f,0x8f31b607,0x0f81f81f,
    0x2af507c4,0x2be4c807,0x7dae3e79,0x007f1002,0x7c403ff9,0x741f9804,
    0x980aaaad,0xd85d999f,0x37e7e98c,0x2bfe5d88,0x99bf81fa,0x21d31fca,
    0xdf07c46a,0x3a07d01f,0x261f87e3,0x84d80f67,0x0aaaaade,0x777e42f8,
    0x40ec80fa,0x3e03e0f9,0x21f80f80,0x1cc1f17b,0x35d2f932,0x0017daeb,
    0xd9fa805f,0x64017a06,0xd9003e84,0x881fdddd,0x33e7cffc,0xd8fe0dff,
    0xb4d82f86,0x219fb99d,0x1777e0f8,0x3f17c0fa,0x1ecf30fc,0x03e80f88,
    0x0b040be0,0x41f503f5,0xc880f80f,0x27e8a7c1,0x643d88cd,0x966dcbe4,
    0x7c005f6b,0x744fe202,0x3000ed84,0x3e007d03,0x2a103e82,0x17c047e7,
    0xd82f89f1,0x9fb99975,0x89f83e21,0x7dc1f42f,0x261f87e0,0x835c0f67,
    0x00be003e,0x07e633d1,0xf01f07d4,0xff51b201,0x7fe44f5d,0x4cbe4c84,
    0x2fed70ff,0x5f009999,0x8be62ec0,0x99999afb,0x03e81a80,0x80d907a8,
    0x2f807e7a,0x337f17d4,0x1aa05f73,0xfa8fc1f1,0x32a673a0,0x43f0fc3f,
    0x2640f679,0x99999ce8,0xdb802f80,0xdfffffb3,0xf80f83a6,0x0102ee80,
    0x45f26400,0x7ffdae5e,0x05f03fff,0x43f203ee,0xfffffffd,0x03e84d82,
    0x05f104d8,0x7c01d2cc,0xfff0fc82,0x35405bff,0x361f83e2,0x37ffffa5,
    0x987e1f82,0x81f40f67,0x5ffffffe,0x000002f8,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x33119800,
    0x44220133,0x09999999,0x04406011,0x4c04c044,0x884c0110,0x4ccc4300,
    0x66664409,0xb8817cc0,0x05711262,0x597102a8,0x21cd64c0,0x57302bba,
    0x4c6eea01,0x20aa00ab,0x29999999,0x428a882a,0x7710a20a,0x2a20dd43,
    0x8331aaaa,0xeaec3328,0x42ffeeee,0xfffff95c,0x220fa7ff,0x37fba60f,
    0x8df31721,0x260d90f8,0xf881dd0f,0xbfffffd0,0x02aaaa21,0xb9f70391,
    0x67dcd55f,0x107902fd,0xe88db7bd,0x3b21febe,0x67d44fcb,0x65f6c1fc,
    0x40fdcfef,0x062fccea,0x7d41f118,0x541f10f9,0x2ff33ea7,0x930ddbed,
    0x1ae7fb99,0x1f413299,0x30b91f22,0x3e20fa0f,0x2a5c8f60,0xd707edc7,
    0xd2e407cc,0x7d0f889f,0x20cc4e88,0x11aaaaa8,0xf14bd43f,0x83c83543,
    0x4bb06479,0x5c1d13fd,0x24b8be26,0xc87f20e8,0x0cb51745,0x7a83e230,
    0x2f507c49,0xb1fea2f8,0x1f897609,0x3e82647e,0x21721f88,0xf107d079,
    0x0f983a21,0x1756c3f1,0x2f83e89b,0x0f88bf3a,0x4c8d907d,0x9fee664c,
    0xa86fc47a,0xeea87c47,0xdd11eeef,0x32e7f037,0x3edcc45b,0x2e6001f3,
    0x27baaafd,0x0fbaaaf8,0x20f88c03,0x83e23afa,0x5df0f37a,0x0db0db55,
    0x04c9aa7b,0x5c8f707d,0x107d0798,0x3a3dc01f,0x7c991f12,0xd1ea35c2,
    0x43e21d95,0x2644d83e,0xf86a9760,0x44be1aa2,0x20aaddaa,0x3e0efeb8,
    0x7e4d7599,0x01ea7cbd,0x33f2f7f2,0x9f50cccc,0x80639999,0x07d41f11,
    0xf57a83e2,0x99999dd0,0xb6a80ec8,0xeee82647,0x2e42eeee,0xfffe83cc,
    0xf300ffff,0x26d54c87,0x43f10f17,0x14e9744d,0x2eab7a1f,0xb02641fd,
    0x3e60f88d,0x0f983e20,0x222883c8,0x6c3afa3e,0x13dc1f54,0x1f51cc1f,
    0xf88a23e4,0xf0c03140,0x21f83dc3,0x7c41f17b,0x03f50cc6,0x49907d7c,
    0xdd75bd19,0x41e61720,0xfa9999ce,0x6984f980,0x82d4fc79,0x2e81f14d,
    0x3a1f15f3,0xc81ceeee,0x9b01d904,0x19b0db11,0x20f20db1,0x645d11f8,
    0x3e63f52f,0x8cd8fd10,0x4c3ea3d8,0xd89b13ff,0x300cd90c,0xf07e8a74,
    0x8dd9fa29,0x5d12ffc8,0xbd9007e6,0x1f5764c8,0x2617217a,0x1f107d07,
    0x23e03f98,0x40f2b61e,0x45d0b77a,0x07d0f9fc,0x07ea1320,0x406ffe44,
    0x220dffc8,0x20999a99,0x6e44ffeb,0x77e42dff,0x3f220fae,0x9eefc84f,
    0xc884ffe9,0x18061dff,0x41ebbfea,0x227aeffa,0xfea8effb,0x3ffff64f,
    0x3217cc6f,0x221f5224,0x3cc2e44f,0x20f883e8,0x3dec02fa,0x9f807b2e,
    0x6f42e82e,0x32007d0f,0x0000fcc4,0x7fffdc00,0x450082ff,0x80000400,
    0x26000080,0x82999999,0x02002000,0x20000002,0x3f707d1b,0xe83cc2e4,
    0x9f10f883,0xbf703333,0x6e407e98,0xff985d07,0x132007d0,0x0dfffffb,
    0x00000000,0x00000000,0x00000000,0x00000000,0x07d00000,0x7985c9ba,
    0x21f107d0,0x1ffffffb,0x02f417cc,0x417413e2,0x0007d0fc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0x42986a0a,0x4a0c0c1a,0x503731ba,0x57150b2a,0x22330510,0x85305401,
    0x14418802,0x1c92ab10,0x0988001b,0x205440a8,0x40999999,0x5103c809,
    0x33333303,0x10c40981,0x26154263,0x22008080,0x2311440a,0x44ee530a,
    0xd87c0aaa,0x1f99fc45,0x3f3bb3e6,0x33f737e0,0x6efc4ece,0x13bbe4fc,
    0x7c57616a,0x7ec9902e,0x7e4c0f30,0xad80fdc3,0x2e3a60e8,0x266992e4,
    0xd9d10fbd,0x447afa63,0x23ffffff,0x882a81fb,0x3fe22dbe,0x9113ffff,
    0x2f33d411,0x65e4bb2f,0xffd89662,0xd1364aac,0xb91fadc7,0x0fffdcee,
    0x7d41767e,0xa9ec83f9,0x4fd1fc3e,0x4d727c6a,0x4016a03f,0x9aa0bfeb,
    0xd50992ef,0x0b7f019f,0x5320f6d7,0x7f39f12e,0x4cea1d50,0x900b6114,
    0x64c72a27,0x261ccccc,0x74c005ca,0x799ea5ee,0x9159225f,0xb73754c8,
    0x122485ff,0x20000211,0x3f200fef,0x22d43d05,0x4799721f,0x41f9e62f,
    0x2ccedcc8,0xf13fc980,0x8ba99d31,0x56a02ef8,0x0fc5f40f,0x3e25cbd4,
    0x2e1b703f,0x804c8b32,0xbb98e43c,0x7d50bbbb,0x888888b7,0x9a22ecc0,
    0xc86e3d68,0x03bd12cb,0x88800000,0xf0088888,0x27dc0bbb,0x3f16e2e8,
    0x1f8f3264,0x6440f9e6,0x802ccedc,0x2eb62fda,0x74478eac,0x325d00bf,
    0x42dc7cc3,0x3e60f8ae,0x32d8d44f,0x0f62793b,0x20721e40,0x5d8cb82b,
    0x3fffffe2,0x8306e323,0x00098032,0xe8800000,0x0eeeeeee,0x882f88f8,
    0xbec81fbf,0x990fc4fb,0x7987e3cc,0x805a803e,0xdb82efb8,0x305bf89d,
    0x33cc3bfb,0xa8ba970f,0x45fcc795,0x513b624f,0x1f775c7b,0x1e40e400,
    0x2224e644,0x00008888,0x00000000,0xf8000000,0x74e81f70,0x6edfcc1d,
    0x4c87e0fb,0x3cc3f1e6,0x4c2d401f,0x4403bf11,0x100bfa7f,0x030227f7,
    0x0a15144e,0x0002c477,0x00000000,0x3bba2000,0x000eeeee,0x00000000,
    0x20f80000,0x5e83ae5d,0xc87e0404,0x4c3f1e64,0x828803e7,0x3a00115d,
    0x08003ee5,0x00000000,0x00000000,0x44000000,0x00888888,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_16_latin_ext_x[560]={ 0,1,0,0,0,0,0,0,0,0,0,0,1,0,
1,0,0,1,0,0,0,0,0,0,0,0,1,1,0,0,0,0,0,-1,1,0,1,1,1,0,1,1,0,1,
1,1,1,0,1,0,1,0,0,1,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,
-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,0,0,0,-1,
1,0,0,0,0,0,0,0,0,-1,0,0,0,0,1,1,0,1,0,0,0,0,0,0,0,1,-1,-1,-1,-1,
-1,-1,0,0,1,1,1,1,0,0,-1,0,-1,1,0,0,0,0,0,1,0,1,1,1,1,0,1,1,0,0,
0,0,0,0,0,0,0,0,0,0,0,1,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
-1,0,-1,0,-1,0,0,0,0,0,0,0,0,0,1,0,-1,0,1,0,1,0,1,0,1,0,1,0,0,0,
0,0,0,0,0,0,1,0,0,0,-1,-1,-1,-1,-1,-1,1,0,1,1,1,0,0,-1,1,0,0,1,0,1,
-1,1,0,1,0,0,0,1,0,1,0,1,0,0,1,0,0,0,0,0,0,0,0,0,1,0,1,0,1,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,1,0,1,0,1,0,1,0,1,0,0,0,0,0,
0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,-1,0,-1,-1,0,
0,1,0,1,0,1,0,1,0,1,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,-1,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__arial_16_latin_ext_y[560]={ 12,1,1,1,0,1,1,1,1,1,1,3,10,7,
10,1,1,1,1,1,1,1,1,1,1,1,4,4,3,4,3,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,13,1,4,1,4,1,4,1,4,1,1,
1,1,1,4,4,4,4,4,4,4,1,4,4,4,4,4,4,1,1,1,5,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,12,4,1,1,3,1,
1,1,1,1,1,5,4,7,1,0,1,3,1,1,1,4,1,6,11,1,1,5,1,1,1,4,-1,-1,-1,-1,
-1,-1,1,1,-1,-1,-1,-1,-1,-1,-1,-1,1,-1,-1,-1,-1,-1,-1,3,1,-1,-1,-1,-1,-1,1,1,1,1,
1,1,1,1,4,4,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,4,4,1,1,1,1,1,1,1,
-1,2,-1,1,1,4,-1,1,-1,1,-1,2,-1,1,-1,1,1,1,-1,2,-1,1,-1,2,1,4,-1,1,-1,1,
-1,1,-1,2,1,0,-1,-1,1,1,-1,1,0,2,-1,1,1,1,-1,4,1,1,-1,1,1,1,4,-1,-1,1,
1,1,1,1,1,1,1,-1,1,1,4,-1,1,1,1,4,-1,2,-1,1,-1,1,1,4,-1,1,1,4,-1,1,
-1,1,-1,1,1,4,-1,1,1,1,-1,1,1,1,-1,1,-1,2,-1,1,-1,1,-1,1,1,4,-1,1,-1,1,
-1,-1,1,-1,2,-1,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,1,3,3,1,3,3,3,
3,3,3,3,3,3,3,3,3,3,1,4,3,3,3,3,3,3,3,3,3,3,3,3,3,1,4,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,-1,1,-1,1,-1,
1,-1,1,-1,-1,-1,-1,-1,-1,-1,-1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,-3,-2,-1,1,-1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static unsigned short stb__arial_16_latin_ext_w[560]={ 0,2,5,8,8,12,10,3,5,5,6,8,2,5,
2,4,8,5,8,8,8,8,8,8,8,8,2,2,8,8,8,8,15,11,8,10,9,8,8,11,9,2,7,9,
7,10,9,11,8,11,10,9,9,9,10,14,10,10,9,4,4,4,7,10,4,8,8,8,7,8,5,8,7,3,
4,8,3,12,7,8,8,7,5,7,4,7,7,11,8,8,7,5,2,5,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,0,3,8,8,8,9,
2,8,5,11,6,7,8,5,11,10,5,8,5,5,4,7,8,2,4,4,5,7,12,12,12,7,11,11,11,11,
11,11,14,10,8,8,8,8,4,4,6,4,11,9,11,11,11,11,11,7,11,9,9,9,9,10,8,8,8,8,
8,8,8,8,13,8,8,8,8,8,3,3,6,4,8,7,8,8,8,8,8,8,8,7,7,7,7,8,8,8,
11,8,11,8,12,9,10,8,10,8,10,8,10,8,9,9,11,8,8,8,8,8,8,8,8,8,8,8,11,8,
11,8,11,8,11,8,9,7,11,7,6,6,6,6,6,6,4,4,2,2,9,6,8,5,9,8,8,7,4,7,
5,7,5,7,5,8,4,9,7,9,7,9,7,9,9,8,11,8,11,8,11,8,14,13,10,5,10,5,10,5,
9,7,9,7,9,7,9,7,9,4,9,6,9,4,9,7,9,7,9,7,9,7,9,7,9,9,14,11,10,8,
10,9,7,9,7,9,7,5,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,11,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,12,9,8,8,8,8,8,8,8,8,8,8,8,8,8,11,10,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,11,8,6,5,11,
8,9,7,9,7,9,7,9,7,9,7,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,11,8,14,13,11,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8, };
static unsigned short stb__arial_16_latin_ext_h[560]={ 0,11,5,12,14,12,12,5,15,15,5,8,5,2,
2,12,12,11,11,12,11,12,12,11,12,12,8,11,8,6,8,11,15,11,11,12,11,11,11,12,11,11,12,11,
11,11,11,12,11,12,11,12,11,12,11,11,11,11,11,14,12,14,7,2,3,9,12,9,12,9,11,12,11,11,
15,11,11,8,8,9,11,11,8,9,12,9,8,8,8,12,8,15,15,15,4,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,0,11,14,12,8,11,
15,15,3,12,6,7,6,2,12,2,5,9,6,7,3,11,14,2,4,6,6,7,12,12,12,11,13,13,13,13,
13,13,11,14,13,13,13,13,13,13,13,13,11,13,14,14,14,14,14,7,12,14,14,14,14,13,11,12,12,12,
12,12,12,12,9,11,12,12,12,12,11,11,11,11,12,11,12,12,12,12,12,6,9,12,12,12,12,15,14,15,
13,11,13,12,14,11,14,12,14,12,14,11,14,12,13,12,11,12,13,11,13,12,13,11,14,11,13,12,14,15,
14,15,14,14,14,16,13,13,11,11,13,11,12,10,13,11,14,14,13,8,12,15,14,15,14,14,8,13,13,14,
14,11,11,11,11,11,11,13,11,14,11,13,11,11,12,12,14,11,14,12,14,12,12,9,13,11,14,11,13,11,
14,12,14,12,14,11,14,12,16,15,13,12,11,12,14,12,14,11,14,12,14,12,14,12,14,11,13,11,13,15,
13,13,11,13,10,13,11,11,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,12,9,9,15,9,9,9,
9,9,9,9,9,9,9,9,9,9,12,9,9,9,9,9,9,9,9,9,9,9,9,9,9,12,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,13,12,13,11,14,
12,14,12,14,14,14,14,14,14,14,14,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,15,15,13,12,14,12,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9, };
static unsigned short stb__arial_16_latin_ext_s[560]={ 173,253,197,200,195,32,82,193,88,158,186,
55,203,248,242,186,9,248,38,18,180,102,170,230,64,150,64,1,88,177,67,
114,110,132,171,13,202,239,123,1,28,15,73,161,74,63,73,158,83,110,4,
100,18,90,62,47,93,82,104,91,249,73,97,242,226,152,242,161,81,184,224,
72,216,212,29,193,189,28,41,117,152,144,49,135,177,213,243,76,10,137,235,
73,20,23,217,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,
193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,173,19,54,
182,19,236,107,55,236,89,170,105,147,248,125,186,206,126,141,129,231,101,106,
245,212,156,135,113,137,172,159,15,127,139,151,163,198,210,39,125,222,231,240,
14,35,68,249,90,145,1,146,168,190,212,224,121,52,236,10,20,40,159,86,
233,224,215,206,197,188,179,170,30,149,140,131,122,235,109,113,58,81,181,63,
54,45,36,27,161,143,1,241,233,225,79,45,64,56,215,23,168,78,1,101,
128,124,111,146,49,66,73,80,54,224,35,47,206,143,246,113,197,1,226,134,
191,33,126,112,149,89,225,1,1,103,95,157,189,73,23,170,92,40,185,220,
205,11,251,44,100,184,94,157,167,1,180,175,176,60,1,9,246,120,244,239,
72,68,210,54,246,200,76,13,224,234,126,193,64,77,177,209,221,24,29,135,
35,13,23,246,160,63,208,50,192,30,24,10,144,92,45,216,251,202,120,180,
41,158,101,136,117,115,109,96,135,46,169,61,135,35,102,11,82,99,188,208,
95,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,23,193,193,164,
193,193,193,193,193,193,193,193,193,193,193,193,193,233,107,193,193,193,193,193,
193,193,193,193,193,193,193,193,1,202,193,193,193,193,193,193,193,193,193,193,
193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,122,199,
152,62,183,216,173,191,212,222,230,240,23,248,1,204,193,193,193,193,193,193,
193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,
193,193,193,43,34,112,146,11,93,193,193,193,193,193,193,193,193,193,193,193,
193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,
193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,
193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,
193,193,193,193,193,193,193,193,193, };
static unsigned short stb__arial_16_latin_ext_t[560]={ 16,103,152,63,1,103,77,152,1,1,152,
152,152,152,152,63,90,128,140,90,128,77,90,128,103,103,152,140,152,152,152,
128,1,128,128,103,128,128,128,103,140,140,103,128,128,128,140,90,140,90,140,
90,140,90,140,140,128,128,128,18,77,18,152,155,152,140,90,140,103,140,128,
90,128,128,1,128,128,152,152,140,128,128,152,140,77,140,140,152,152,77,140,
1,1,1,152,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,
140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,16,128,18,
77,152,116,1,1,152,103,152,152,152,152,103,158,152,140,152,152,152,116,18,
152,152,152,152,152,103,103,103,116,48,48,48,48,48,48,116,18,48,48,48,
63,63,63,48,63,116,63,18,18,18,18,18,152,103,18,33,33,33,63,116,
90,90,90,90,90,90,90,140,116,90,90,90,90,103,116,116,128,90,116,90,
90,90,90,90,152,140,90,77,77,77,1,18,1,63,116,63,77,18,128,33,
77,33,77,33,128,33,77,63,77,116,77,63,116,63,63,63,116,33,103,63,
63,18,1,33,1,33,33,48,1,63,63,116,116,63,116,63,140,63,103,33,
33,63,140,77,1,33,1,33,33,152,48,48,33,33,116,116,116,116,103,103,
48,116,33,116,33,103,116,77,63,33,116,33,77,33,63,63,140,48,128,33,
128,48,128,18,77,18,77,33,103,33,103,1,1,48,103,103,90,18,77,18,
128,18,103,18,103,18,103,18,116,48,116,48,1,48,48,128,48,140,48,103,
116,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,77,140,140,1,
140,140,140,140,140,140,140,140,140,140,140,140,140,63,140,140,140,140,140,140,
140,140,140,140,140,140,140,140,77,140,140,140,140,140,140,140,140,140,140,140,
140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,63,77,
63,116,1,77,1,77,1,1,1,1,18,1,18,1,140,140,140,140,140,140,
140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,
140,140,140,1,1,48,77,18,77,140,140,140,140,140,140,140,140,140,140,140,
140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,
140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,
140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,
140,140,140,140,140,140,140,140,140, };
static unsigned short stb__arial_16_latin_ext_a[560]={ 64,64,81,127,127,204,153,44,
76,76,89,134,64,76,64,64,127,127,127,127,127,127,127,127,
127,127,64,64,134,134,134,127,233,153,153,165,165,153,140,178,
165,64,115,153,127,191,165,178,153,178,165,153,140,165,153,216,
153,153,140,64,64,64,108,127,76,127,127,115,127,127,64,127,
127,51,51,115,51,191,127,127,127,127,76,115,64,127,115,165,
115,115,115,77,60,77,134,172,172,172,172,172,172,172,172,172,
172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,
172,172,172,172,172,172,172,172,64,76,127,127,127,127,60,127,
76,169,85,127,134,76,169,127,92,126,76,76,76,132,123,64,
76,76,84,127,191,191,191,140,153,153,153,153,153,153,229,165,
153,153,153,153,64,64,64,64,165,165,178,178,178,178,178,134,
178,165,165,165,165,153,153,140,127,127,127,127,127,127,204,115,
127,127,127,127,64,64,64,64,127,127,127,127,127,127,127,126,
140,127,127,127,127,115,127,115,153,127,153,127,153,127,165,115,
165,115,165,115,165,115,165,141,165,127,153,127,153,127,153,127,
153,127,153,127,178,127,178,127,178,127,178,127,165,127,165,127,
64,64,64,64,64,64,64,51,64,64,168,102,115,51,153,115,
115,127,51,127,51,127,67,127,77,127,51,165,127,165,127,165,
127,138,166,127,178,127,178,127,178,127,229,216,165,76,165,76,
165,76,153,115,153,115,153,115,153,115,140,64,140,86,140,64,
165,127,165,127,165,127,165,127,165,127,165,127,216,165,153,115,
153,140,115,140,115,140,115,51,172,172,172,172,172,172,172,172,
172,172,172,172,172,172,172,172,172,172,127,172,172,172,172,172,
172,172,172,172,172,172,172,172,196,150,172,172,172,172,172,172,
172,172,172,172,172,172,172,196,153,172,172,172,172,172,172,172,
172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,
172,172,172,172,172,153,127,64,51,178,127,165,127,165,127,165,
127,165,127,165,127,172,172,172,172,172,172,172,172,172,172,172,
172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,
172,172,153,127,229,204,178,140,172,172,172,172,172,172,172,172,
172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,
172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,
172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,
172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,
172,172,172,172,172,172,172,172, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_16_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_16_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_16_latin_ext(stb_fontchar font[STB_FONT_arial_16_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_16_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_16_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_16_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_16_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_16_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_16_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_16_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_16_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_16_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_16_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_16_latin_ext_s[i] + stb__arial_16_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_16_latin_ext_t[i] + stb__arial_16_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_16_latin_ext_x[i];
            font[i].y0 = stb__arial_16_latin_ext_y[i];
            font[i].x1 = stb__arial_16_latin_ext_x[i] + stb__arial_16_latin_ext_w[i];
            font[i].y1 = stb__arial_16_latin_ext_y[i] + stb__arial_16_latin_ext_h[i];
            font[i].advance_int = (stb__arial_16_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_16_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_16_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_16_latin_ext_s[i] + stb__arial_16_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_16_latin_ext_t[i] + stb__arial_16_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_16_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_16_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_16_latin_ext_x[i] + stb__arial_16_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_16_latin_ext_y[i] + stb__arial_16_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_16_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_16_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_16_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_16_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_16_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_16_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_16_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_16_latin_ext_LINE_SPACING
#endif

