// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_18_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_18_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_18_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_arial_18_latin_ext_BITMAP_HEIGHT        192
#define STB_FONT_arial_18_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_18_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_18_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_18_latin_ext_LINE_SPACING          12

static unsigned int stb__arial_18_latin_ext_pixels[]={
    0x0c400260,0xcccccca8,0x004002cc,0x2a200530,0x400d4401,0x3a9dc03b,
    0x2c801930,0xaa801950,0x4400002a,0x9800a88a,0x2a35000a,0x5416e201,
    0x0a6001a9,0x80159710,0x12e000a9,0x3a003f50,0xffddd705,0x02d45ddd,
    0x0fe200d3,0x36007640,0x0e4401fe,0x203f7f30,0x201dc04e,0x1555405e,
    0x02de7ec0,0x2601773a,0x5f7005df,0x827e401f,0x3e2004d8,0x3af7e203,
    0x80274406,0x01f402f8,0xbd000ea8,0x0b902e40,0x1d8012a0,0x02dc6d40,
    0xca81e2f1,0xbc409102,0x88122078,0x8d880f17,0x6f4401cb,0x2d8bd800,
    0xe805d900,0x01e2f103,0x99ae0254,0x802cc01f,0x6400002a,0x20bd000c,
    0x0b702ee9,0x26399730,0x47220774,0x2e39103b,0x70e44c33,0x2e570ae5,
    0x9130cee2,0x2e2b95c3,0x80e44c33,0x3b80bcca,0x32a03910,0xcca800bc,
    0x770ba00b,0x501c8986,0x3ea01799,0x79950021,0x05305301,0x27100395,
    0x320bd003,0x95440eff,0x677f4428,0x0bb1fdfe,0x882ecbe2,0x3e20bb2f,
    0x36275762,0x882ec9d5,0xb275762f,0xd30be20b,0xd89fd9df,0xe985f105,
    0x304fecef,0x09fd9dfd,0x220bb0be,0x677f4c2f,0x07fd04fe,0xfecefe98,
    0x13a07d44,0x1ed80252,0x2e40bd00,0x36f6ffcc,0x5fb85bd1,0xd97c4176,
    0x1765f105,0x800017c4,0x005f105d,0x117c4176,0x23fa83bf,0x445f105d,
    0x21fd41df,0x1fd41df8,0x4417617c,0x5077e22f,0xdfbdd87f,0x541df880,
    0xf88fe23f,0xf001ca81,0x817a007f,0x3e65d85c,0xbd103f26,0x7c41763f,
    0x4be20bb2,0x2a5f105d,0x4c0a94c0,0x4be20bb2,0x05d94c0a,0x807e45f1,
    0x220bb1fb,0x5c03f22f,0x5c03f21f,0x1761ea1f,0x01f917c4,0xd33cc7ee,
    0x700fc85f,0x0d73643f,0xa8015751,0x0bd006bf,0xb07e22e4,0x4dec274d,
    0x3e20bb3f,0x4be20bb2,0x3e5f105d,0x643fae43,0x4be20bb5,0x05dae43f,
    0x1027c5f1,0x7c41765f,0x2f8813e2,0x72f8813e,0x220bb03f,0xf8813e2f,
    0x47d83f32,0x98be204f,0xefa87d0f,0x37602ffd,0x05e801f8,0xd70f5172,
    0x7c9b0be2,0x4be20bb4,0x365f105d,0x0fe5f105,0x2b90feb9,0x3e5f105d,
    0x105dae43,0xd00fe25f,0x97c41769,0x8a7403f8,0xeaa7403f,0x5f105d83,
    0x49d00fe2,0x443e62fd,0x3a27403f,0x22740f9b,0x3a5f105e,0x3205e805,
    0x5b20fcc5,0xbd1722f9,0xd97c4176,0x1765f105,0x643f97c4,0xbb5c87f5,
    0x21fcbe20,0x3e20bb5c,0x5e805f12,0x44be20bb,0xf8af402f,0x1f12f402,
    0x25f105d8,0x22f402f8,0x225c8dfc,0x2e2f402f,0x6c4085ce,0x07dcf706,
    0x1ec817a0,0x7c5ba1fc,0x367f0d73,0x1b63f306,0x306d8fcc,0x2b90fe3f,
    0x06dae43f,0xb90fe3f3,0xf0fcc1b6,0x0db3f807,0x403f87e6,0x7f00fe3f,
    0x9836c1f8,0x7f00fe1f,0x7f0bfd30,0x7fc43f80,0xfffdb882,0x1fc49d06,
    0xff9817a0,0x3f66ff21,0x303ab7a6,0x7d41ee3f,0x43ea0f70,0x3e1f507b,
    0x643fae43,0x43ea0f75,0x07bae43f,0x302ec1f5,0x7d41ee3f,0x1f981760,
    0x41f98176,0xfa83dc2f,0x1f981760,0x0bb07f60,0x43ec0fcc,0x0d91bee8,
    0xdfddddf3,0x76400000,0x3fea6cae,0x3f537440,0x40fd4f90,0x3207ea7c,
    0x3ebd0fe7,0x81faaf43,0x2bd0fe7c,0x547c81fa,0x2a6d882f,0x7d47c81f,
    0x7d46d882,0x2e86d882,0x23e40fd4,0x46d882fa,0x3ea2742a,0x9b06d882,
    0x86e81f50,0xfdccccec,0x9d017a01,0x3e64c818,0x0efc99cf,0x7edcdff4,
    0x6dcdff42,0x5cdff42f,0x227f62fd,0x913fb5fc,0x5cdff4bf,0x227f62fd,
    0x26ffa5fc,0xefb82fdb,0x740efc9b,0x82fdb9bf,0xefc9befb,0xc9befb80,
    0xe84e80ef,0x82fdb9bf,0xefc9befb,0x3f887d40,0xfc9befb8,0x880f980e,
    0xf0df913f,0x5c817a07,0x98fa25c0,0xff55d13f,0xfb1019df,0xfb107dff,
    0xfb107dff,0xfe887dff,0xffd15bcf,0x7fec4b79,0x7ff443ef,0x3ff625bc,
    0x3f6a03ef,0xfd880cef,0x36a03eff,0x2a00ceff,0x500ceffd,0xfffd88df,
    0x3ff6a03e,0xfdfb00ce,0x3ff6a01b,0x1ffc40ce,0xf59ffd70,0xfc807d41,
    0x1d807700,0x227f7f54,0x01000441,0x00100040,0x01000801,0x00020010,
    0x80008002,0x30008000,0x04000405,0x2001a880,0x0800d400,0x7f102ec0,
    0x33000060,0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x15100000,0x0003902a,0x89c83993,
    0x0e5d2a1c,0x20379950,0x5997301c,0x2a201400,0x00195001,0x332e0e54,
    0x01310950,0x40ee0aa0,0x00aa01c8,0x200a62a6,0x0015002a,0x1880d46a,
    0x6405500a,0x90732a01,0x007f0d9d,0x221cef88,0x56e2f8af,0xefe887da,
    0x43f83ffd,0xefdcdfe8,0x2e034400,0x07ff000f,0xe83b3e60,0xf50b70ce,
    0xb05f1005,0x540be20b,0x46ec03ef,0x807d803f,0x7d9004aa,0x2eba201d,
    0xf807dc05,0x20bf2a03,0x003f80dd,0x5c0007d4,0x1f707e25,0x204c0fc8,
    0x037440ed,0x003b012a,0x5c01afea,0x2e1f4572,0xb801c985,0x3e20bb03,
    0x1e9ad882,0x00951b10,0x12aa00aa,0x4c01ed80,0x02c800bc,0xa85f007f,
    0x4dfc1bcc,0x3f6a202b,0x4a60a60a,0x1760fc5b,0x5c150ba2,0x301f300f,
    0x665405b7,0x7c6ec01b,0x4a60a601,0x2a22dc3e,0x32e60512,0xf882ec0a,
    0x81597302,0x2039103b,0x1dc0acb9,0x4c072215,0x81dc0acb,0x220771c8,
    0x0d447f1c,0x6f7f44be,0x37fbe3ff,0xffe980ff,0x9d03ea1e,0xfb85f16e,
    0x363f800a,0xfced8005,0x6f7f441e,0x25f103ff,0xd03ea05e,0x4cb70fa9,
    0x446dedff,0x22ffddfe,0x885f105d,0x22ffddfe,0x885f105d,0x22ffddfe,
    0x885f105d,0x22ffddfe,0x365f105d,0x4fe5f105,0xf72f85e8,0x1ff0fc81,
    0x107d02f4,0x5b8fc47f,0x6ffec174,0x27c7f01b,0x3663b200,0x3207dc5e,
    0x3ee7b80f,0x7c47f100,0x3a5b87d1,0xde89be65,0x05d87e40,0x06f445f1,
    0x882ec3f2,0x9037a22f,0x7c41761f,0xf9037a22,0x97c41761,0x3e5f105d,
    0x25f05e8b,0xbf2e885d,0x05f00fb8,0x16e6b9b2,0x3fae20b9,0x7f13f84f,
    0x22eeee98,0xd831573e,0x4e82e885,0x26c80fe2,0x2330fa6b,0xf93742f9,
    0x1767d101,0x01f917c4,0x441767d1,0x2203f22f,0x3e20bb3e,0x3a203f22,
    0x4be20bb3,0x3e5f105d,0x5cbe05ec,0x30fe00af,0x203f303f,0x2dc7d0f9,
    0x3ee2036c,0x88bd1fc3,0x5f13faaa,0x057dc03a,0x77777cc0,0x743e606f,
    0x87a80fa3,0x6c013a6b,0x2743f306,0x5f105d80,0x05d80274,0x802745f1,
    0x365f105d,0x3fe5f105,0x6c5f00ef,0x1fc1bdff,0x01ea03ea,0x2dc1f37d,
    0x80f453e6,0x0d91fc6d,0x1a2be3f8,0x037bffb0,0x373333b2,0x3e6fa01f,
    0x1f980fa0,0x2007f364,0x7c1f507c,0x220bb003,0x6c00fe2f,0x1fc5f105,
    0x5f105d80,0xf97c4176,0x85f04f8d,0x3e4ffeb8,0x06c83e45,0x16e2e75c,
    0x9b04e87b,0x413e63f8,0x4eb363f8,0xffd7106b,0x17a07f09,0x1f45ceb8,
    0xb7c3f92a,0x3f5003f8,0x01fc4f90,0x25f105d8,0x0bb003f8,0x01fc4be2,
    0x25f105d8,0x3e5f105d,0x05f05f53,0xbff9fdc4,0x0bb03fa8,0x2dc2ff88,
    0x35bf50be,0x43f83fb5,0xfca9bdfa,0x267bea1f,0x3fb8802f,0x07e403ea,
    0x1f42ff88,0xd9bfc96e,0xf8013e6f,0x42fdb9bf,0x20db004f,0x4013e1f9,
    0x7c3f306d,0x260db004,0x3e60db1f,0x2076c7f1,0xdb01e8af,0x80fffb3e,
    0xb87d803e,0x7f540fc5,0x83f81eff,0x0ceffed9,0x443effb8,0x2ecdb01e,
    0x3ec07f10,0xd916e1f4,0x02ecb95d,0x7ffec49d,0x3a05d83d,0x83ea0f74,
    0x3dd3a05d,0x81760fa8,0x3ea0f74e,0x43ea0f70,0x5f13e23f,0x3fa6c13a,
    0xb005f001,0x01f8b709,0x03f803ae,0x076600f4,0x009b04e8,0x21360344,
    0x9032dc3e,0x7d41fd49,0x7d401d01,0x3f51fa83,0x83fa8f90,0x903f51fa,
    0xfa83fa8f,0x4f903f51,0x907c81fa,0x6fd4be05,0x7f1fda9a,0x3003ea00,
    0x7ccb701f,0x44172200,0x00fcc01f,0xadfa8059,0x2001fda9,0x203e6069,
    0x47d2dc3e,0x4e7e43f9,0x03a05fc9,0xf9339f90,0xdb9bfe8b,0x99cfc82f,
    0x4dff45fc,0xcfc82fdb,0x7f45fc99,0x742fdb9b,0x02fdb9bf,0x545f05f5,
    0x3e1efffe,0x02ffdc03,0x56e07ff1,0x3faa06fb,0x200efc83,0x03a00fec,
    0x3bfffaa0,0x0fee8001,0x3fa07ff1,0x7fd4b71f,0xffb704fe,0x77e4017b,
    0x37ff6e03,0x7ffec40b,0x3ff6e03e,0x7fec40bd,0x3f6e03ef,0x7ec40bdf,
    0xfd883eff,0xfd703eff,0x0817fec1,0x1a880130,0x46601a80,0x300c4029,
    0x10033005,0x00001000,0x2201a813,0x26606619,0x4c001000,0x04002000,
    0x00800400,0x00100080,0x440c4004,0x00000099,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x33332e00,
    0x04402ccc,0xcb801a80,0x10054c00,0x2e599997,0x01abcccc,0x4c002088,
    0x10a21702,0x9104b879,0xb8188a01,0x26019702,0x43900acb,0xb710002b,
    0x2a200157,0x91d40298,0x41911c83,0x20024c0d,0x777ec01a,0x7cc3eeee,
    0xec802edf,0x1b7ea01f,0xe885ef98,0xb4ffeeff,0x7ffddddf,0x05b9e880,
    0xea85df98,0x17ef42eb,0x03f107fb,0x3a0b6b6e,0xe882fc85,0xf82ffddf,
    0xd90017a3,0x09fd97bf,0xd013ebb0,0x44fe1fc1,0x1f712a1f,0xb003ee00,
    0x544d400b,0x5b9e9802,0xd80e4b20,0x7fdc2d8c,0x82ec9b3f,0x5e4c00fc,
    0x2d8bd800,0x464c0a98,0x103ff64a,0x8165403f,0x4417e45e,0x207e40de,
    0xb8017a3f,0x409d101e,0x5c0598d8,0x1e818004,0x16c003ee,0x1dc02ec0,
    0x97301c88,0x89544059,0x41bcca82,0x49b3fffe,0x405f305d,0x5002ccb9,
    0x144aa207,0x8ddbb02a,0x799501f8,0x17e4bd01,0x3e880fc8,0x200bd1fc,
    0x222aa0ea,0x32a04e89,0x83f100bc,0x0a88d41a,0x801f72dc,0xccccccca,
    0x3601764c,0xe885f105,0x40efdcdf,0x26dedff9,0x3ffdefe8,0x26cffff6,
    0x203ea0bb,0xefdcdfe8,0x7cc36c00,0x1fc6dedf,0xf88fe776,0x7677f4c1,
    0x2fcaf44f,0x7f0013a0,0x87cc02f4,0x36ceeef9,0xd9dfd30d,0x7f0d709f,
    0x883f13f8,0xe801f71f,0xeeeeefee,0x33333f66,0x220bb0cc,0x22076c2f,
    0xdf32f46e,0x43f207dc,0x49b3fffa,0xfcbaaaed,0xe881db04,0x2f436c06,
    0x6c3f8df3,0x87e21f95,0x1fd41df8,0xf80df9bd,0xbd1fc003,0x8fe2b700,
    0xf883e4fc,0x321fd41d,0x89fc3f85,0x1f72f81f,0x0fd4fd40,0x3bbbbf60,
    0x220bb0ee,0x4c03ee2f,0x6e85f30f,0x98ba2176,0x7ec9b3fd,0x701dffee,
    0x803e601f,0x3a17cc6d,0xe9761fc6,0x07e43f16,0x7ffd1fb8,0x00fe209f,
    0x402f47f0,0x2f98d93d,0x700fc8ba,0x1fc26c3f,0x740fc4fe,0xaf401f73,
    0x02ec01fa,0x22f882ec,0x21ea005d,0x002bee6b,0x1764d9f4,0x017603f9,
    0x87a8db00,0x9761fc6b,0x3e1f8bf9,0x7f4be204,0x13e05f71,0x02f47f00,
    0x7cc3e8fc,0x204f83e1,0x3e0fe2f8,0x81f89fc3,0x2a01f75d,0xd803f51f,
    0xf105d805,0xf30027c5,0x7fec6c83,0x6cfa01bd,0x03f61764,0xdb00013e,
    0x23641f98,0x3f22ec3f,0x807f11fa,0x0fd8bd4e,0xf13a05d8,0x3e202f47,
    0x53dc2f88,0x3a01fc4f,0xf0fe0fa4,0x53607e27,0x54bd00fb,0x22ccccdf,
    0x105d805d,0xd30fe25f,0x21fc5ddd,0xffeb886f,0xd9367d04,0x7c46f885,
    0x177774c3,0xf87f0db0,0x21761fc6,0x05f11fee,0xf88bd5e8,0xfa83fa86,
    0x00bd1fc1,0x2bd13a5d,0x00be22f8,0x1fc2ecbd,0x7c0fc4fe,0x3f501f73,
    0x777777d4,0x2aaabb63,0x260db2aa,0x55117a1f,0x4dfe47f5,0x7dc406fd,
    0x6c9b3e83,0x5e87f705,0x01fd5544,0xb37f90db,0x2ec3f8df,0x07f0ffcc,
    0xf50bd3f8,0x9339f909,0x7747f0bf,0x320aaaaa,0xdfd35f94,0x807f09d7,
    0x0fe1ae3f,0xf107e27f,0x3fa03ee3,0x401fdccc,0xfffffffd,0x83ea0f76,
    0x321fc06c,0x3d15caee,0x6cfa1b60,0x0fd81764,0x227f01b2,0xeec82ec2,
    0x361fc5ca,0x2ec3f905,0x417a3f30,0xffdb82fc,0x3a3f80bd,0x22ffffff,
    0x73df90ea,0x5d8225df,0x87987e60,0x1f89fc3f,0x40fb87cc,0xfdccccf9,
    0x543a8001,0x7cc7c81f,0x40c7f104,0x26c13a4c,0x2604d9f4,0x413e600b,
    0x741f33f8,0x7c4c8184,0xa805cc03,0x206d882f,0x05d000ba,0x0ba80e44,
    0xf7001db0,0x6c417d43,0x20342e86,0x572641f9,0x03f50db0,0x7fd07700,
    0xf505fb73,0x3ff9537b,0x547f31f4,0x1fda9adf,0x4409b3e8,0x5efd406d,
    0x3e1ffca9,0x3e82fb9c,0x01f88fe6,0xdf7036c4,0x401df937,0x3f3005e9,
    0x6c40fdc0,0x837fd105,0xfb82fca8,0x80efc9be,0xf501e26a,0x30b20f88,
    0x557f505f,0x7cc01555,0x3fff625e,0x3fb6603e,0x7fd40cef,0xffea84fe,
    0x367d01ef,0x009db104,0x19dffdb3,0x503ffea8,0x7e49fdff,0x0276c406,
    0x033bff6a,0xc803fd98,0x1dd900fe,0x5403fd98,0xcffeeffe,0x3bff6a00,
    0xee8b600c,0x322fec1e,0x6daf7d43,0xffffff50,0x2018803f,0x30008000,
    0x10010013,0x04c40221,0x00800400,0x02981330,0x04000988,0x30009880,
    0x31019803,0x09a98001,0x31000800,0x28198098,0x00000310,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xdd001a88,0xa8d40bdd,0x5eeee801,0x546a0380,0x00035101,
    0x53298055,0x05445440,0x550006a0,0x00054c00,0x2a22a200,0x00000000,
    0x014c006a,0x54400544,0x0542a201,0x00fde880,0x202aaaa8,0xa800fbec,
    0x36a02aaa,0xfbec81df,0x1001b600,0xece8805f,0x02ee7403,0xf98003ee,
    0x009d005d,0xd01af7f2,0x33200bbb,0x700fd000,0x009f001f,0xfbd100db,
    0x0366ec01,0x20132b70,0xed80572b,0x17995001,0x3f3afea0,0xd801ed80,
    0x4012e001,0x5d8804e9,0x6c002d80,0x2cc02d8b,0x1ca8d880,0x4006ec40,
    0x17200738,0x16a01640,0x2e003620,0x6ec40995,0x59307700,0x9d5d8950,
    0x4c00ca80,0x84fecefe,0x2617ad3e,0x000ca804,0x825c032a,0x999950c8,
    0x32e59999,0x001abccc,0x412e0195,0x032a00c8,0xccccccc8,0x807b600c,
    0xcccccccc,0x99999970,0x33332e59,0x33322ccc,0x970ccccc,0xccb8e440,
    0x3dc1abcc,0x02ec37e4,0x880ffe00,0x11fd41df,0x0f701a5f,0x7c007ff0,
    0x107fb03f,0x3fbbae3f,0xdfb2eeef,0x007ffddd,0x0ff607ff,0x3ff807e2,
    0x3bbbbba0,0x0ffe01ff,0xfeeeeee8,0xddddfb1f,0x3bbf67dd,0x3ba3eeee,
    0x31ffeeee,0xfd9ba09f,0x23ffeeee,0x07e741f9,0x14c0a8fe,0x3206bfa8,
    0x743f700f,0x03dc068d,0x5401afea,0x1ffb06bf,0x0bd01f88,0x007e4176,
    0x3f60d7f5,0xa80fc40f,0x7cc006bf,0x01afea05,0x02ecbf30,0xf30002ec,
    0x7dc1fc8b,0x07e41761,0x17cfc47f,0x321fc3f3,0x03f1bb05,0x22f8813e,
    0x700bfff9,0x1f8dd80f,0x81f8dd80,0x0fc46edd,0x20bb05e8,0x237602f9,
    0x46edd81f,0xf1bb01f8,0x01ba2003,0x2003f1bb,0x402ec6e8,0xdd10005d,
    0x43f89ba0,0x6c5f305d,0xd72edaa5,0x442e43f8,0x7f10bd2f,0xffa84e80,
    0x2207b81f,0xf880bd2f,0xf3bb0bd2,0x5e80fc47,0x03ea0bb0,0xd85e97c4,
    0x07e23f9d,0x802f4be2,0x4be200fd,0x81fb005e,0x005d805d,0x3e601fb0,
    0x20bb0db3,0x4d9ae0fa,0x0fe26cf5,0x7dcf70b9,0x3a017c40,0x70db1d05,
    0x1f73dc0f,0x81f73dc0,0x3e21f95d,0x3b60bd01,0x04fcbaaa,0x6c0fb9ee,
    0x07e21f95,0x400fb9ee,0x73dc01fc,0x81fc801f,0xccccccfd,0x99999fb0,
    0x007f2019,0xdb01f7f9,0x89f97555,0x3e25f0f9,0x643f85f1,0x0fe24e85,
    0x227f00fe,0x2e07d5a2,0x3f893a07,0x43f893a0,0x0fc5ba5d,0xddfb05e8,
    0x4e803bff,0x74bb0fe2,0x49d03f16,0x0fea03f8,0x03f893a0,0x77ec0fea,
    0xfb0eeeee,0x01dddddd,0x3fa007f5,0xffddfb03,0x3e6be03b,0xf03e6fa0,
    0x77cc5c87,0x5d86feee,0x97cc7e60,0x20f70d76,0x6feeeef9,0xfddddf30,
    0x2fe65d8d,0x20bd01f8,0x300fe45d,0x8dfddddf,0x3e2fe65d,0x77777cc1,
    0x00bf306f,0xdfddddf3,0x5d817e60,0x26005d80,0x81ee005f,0xd80fe45d,
    0x35ee45bc,0xd917a1fc,0x83fb9999,0x46d882fa,0x83e9e9ee,0x999d907b,
    0x9d903fb9,0x6c3fb999,0x80fd7e45,0xfb0bb05e,0x3333b201,0x91761fdc,
    0xcec83f5f,0x441fdccc,0x99d9006e,0xe883fb99,0x6c02ec06,0x00dd1005,
    0x217607b8,0x3dea80fd,0x7ec1ef54,0x1fc5fc89,0xbefb85e8,0x7440efc9,
    0x0f703fff,0x7c2f40fe,0x42ecbd03,0x0bd01fee,0x41be2176,0x2ecbd03f,
    0x0fe0ff74,0x003f62f4,0x6c5e81fc,0x402ec00f,0x01fb005d,0x17607b80,
    0x3fe21be2,0xe881ff81,0x3ea5bcff,0xb501f900,0x44019dff,0x7d43dc06,
    0x7d41f900,0x1761f900,0x2f407fe6,0x87f705d8,0x21f900fa,0x21ff985d,
    0x21f900fa,0xaaaaacfb,0x6403ea0a,0x5559f70f,0x2bb61555,0xdb2aaaaa,
    0x25555555,0xaaaaacfb,0x6c0f700a,0xfd07f705,0x40101f60,0x00fe205d,
    0x2e01c001,0x3e205d87,0x3f881763,0x407f20bb,0x6c0bb05e,0xf881760f,
    0x87f20bb3,0x64fe205d,0xffffffff,0x3f881763,0xfffffff9,0x3ffff67f,
    0xfffb6fff,0x3f2dffff,0x3fffffff,0x02ec0f70,0x000001fb,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x98053000,0xa981cccc,0x6c00a600,0xab5405d2,0x00d46a05,0x25300882,
    0x814c0029,0x54405109,0x00044300,0x0000bf00,0x210402a8,0xa81540a8,
    0x11329702,0x91035555,0x65c07999,0x27b00ccc,0x9809f02d,0x5e81cccc,
    0x6c00fe20,0xab5405d2,0x03afb205,0x203b3990,0xf903fbf8,0x542efcc1,
    0xbd103dad,0x5b37b01d,0x03dbee88,0x9f1009d0,0x883efb80,0x9763ddff,
    0x3efb81f9,0xe88994b8,0xcc884eee,0x2aa603cc,0x367b00aa,0x0ee04a82,
    0x00d98e44,0xcca8012a,0x9103b80b,0x1003db03,0x4ea805b7,0x8bd83ae0,
    0x202ca82d,0xb910995b,0x19717507,0x02ccb980,0x5b101f44,0x532983d3,
    0x10790d88,0x32e3d35b,0x42cccccc,0x00ca8049,0x99999997,0x9c8812e5,
    0x882ec02b,0x04b8722f,0xdfd30722,0x05d89fd9,0x3332e5f1,0x2a02cccc,
    0x7999700c,0x93093035,0xccccccb8,0x9999972c,0x5c498599,0xe8819104,
    0x20efdcdf,0xcccccccb,0x07220752,0x24c93093,0xeefd8072,0x3dc3eeee,
    0xfd81ffc0,0x33eeeeee,0x2f5ba09f,0x17c41760,0xe827cc7f,0x2a0efc46,
    0x7c41763f,0xdddddfb2,0x81ffc07d,0xdffeeefd,0xb1ee1ee0,0x7ddddddf,
    0x3bbbbbf6,0x3f63dc3e,0x76c1f883,0xdfb37440,0x367ddddd,0x7b85f106,
    0x7f1ee7b8,0xf7002ec0,0xb06bfa80,0x707f200b,0xbb017a3f,0x43f8be20,
    0x20fdc1fc,0x23f700fc,0x365f105d,0x6bfa8005,0x49f50bb0,0x2ec7b87b,
    0xf7002ec0,0x7c40ffd8,0x7cc03ee1,0x0db00bb0,0x70f70be2,0x80fe3dcf,
    0x01ee005d,0xbb03f1bb,0x7f137400,0x417602f4,0x3a0fe2f8,0x13e0fe26,
    0x20bb2f88,0x000bb2f8,0xbb03f1bb,0x43dc7ea0,0x6c02ec7b,0xbb1ee005,
    0x361f88dd,0x20176005,0xb85f106d,0xf1ee7b87,0x05d82ea7,0x2f881ee0,
    0x400bb0bd,0x5e8db3f9,0x2f882ec0,0x6cfe60fe,0x7403f886,0x4be20bb4,
    0x97c4005d,0xf105d85e,0xb1ee1ee7,0x400bb00b,0x1fceec7b,0x0027c3f1,
    0x20db00bb,0x5c3dc2f8,0xbdbf1ee7,0x333f63ff,0x3dc0cccc,0x207dcf70,
    0xccccccfd,0x40fbfc80,0x882ec05e,0x7e40fe2f,0x02f880fb,0xf105daf4,
    0x33333f65,0x2e7b80cc,0x9f02ec0f,0xfb1ee1ee,0x21999999,0xccccccfd,
    0x65763dc0,0x3e23f10f,0x977774c3,0xccccccfd,0xdddddfb0,0xb87b85fd,
    0x41ff1ee7,0xddddfb4e,0x207b81dd,0xfb0fe24e,0x01dddddd,0x017a0ffa,
    0xf87e60db,0xf80ffa03,0x06d9fc03,0x3bbf63f3,0x4e80eeee,0x40bb0fe2,
    0x8f70f75e,0xeeeeeefd,0xdddddfb0,0x2ec7b81d,0x5e87e2dd,0xd9fd5544,
    0x0eeeeeef,0xb99999fb,0x7b87b85f,0x6c89f1ee,0x83dc00bb,0x6feeeef9,
    0x3dc002ec,0x83dc05e8,0xb80fe0fa,0xf302ec07,0x87d41ee3,0x3be6005d,
    0x2ec6feee,0x2e1ee9f0,0x2ec02ec7,0x25d8f700,0x321f8bf9,0x05d9fc06,
    0x85f106d8,0x1ee7b87b,0x0bb6c87f,0xcec83dc0,0x361fdccc,0xd07b8005,
    0xc81fa80b,0x0f701fc7,0x6d882fa8,0xd9f207ea,0x333b2005,0x1761fdcc,
    0xb87b9fcc,0x2ec02ec7,0x45d8f700,0x3e61fafc,0x1767f104,0x17c41b60,
    0x7b9ee1ee,0x2edb21fc,0x0fe0f700,0x000bb2f4,0x2017a0f7,0x2fdb9bfe,
    0x00f701fc,0xdf937df7,0xdb9bfe81,0xf801762f,0x82ecbd03,0x1ee1ee7d,
    0x00bb00bb,0x3a1763dc,0x5efd41fe,0xbb1ffca9,0x3e20db00,0x73dc3dc2,
    0xdb643f8f,0x2aaaaaae,0x807d43dc,0x555db0fc,0x1ee05555,0x55555774,
    0x3bfff620,0x1ee03f83,0x677fed40,0xefffd880,0x555576c3,0x403ea2aa,
    0x555db0fc,0x43dc5fd7,0x55576c7b,0x55db2aaa,0x7b855555,0x0ffcc2ec,
    0x677ff6cc,0x2aaabb60,0x220db2aa,0x3dc3dc2f,0xb643f8f7,0xfffffffd,
    0x02ec3dc6,0x3fff67f1,0xf706ffff,0x3fffffa0,0x3f80102f,0x02001ee0,
    0x3ff60080,0x366fffff,0x7ecfe205,0x5c1defff,0x7fec7b87,0xfb6fffff,
    0x8dffffff,0xfc82ec7b,0xffb00401,0x36dfffff,0x7b85f106,0x7f1ee7b8,
    0x000006c8,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0x2ba05d2d,0x319102e8,
    0x45400019,0x309300ba,0x2072a0a1,0x1c46a04a,0x402ee22a,0x3202c8bc,
    0x80357503,0x2aea0009,0x70388544,0x22150ae5,0x5cc02603,0xcccc89bc,
    0x326751cc,0x2ee200bc,0x0a897000,0xaba8814c,0xe96ce400,0x05d15d02,
    0x2642776c,0x3ff3e2d4,0x363d56e2,0x56dc6efd,0xd300f41e,0xefce87b7,
    0x5cfcc1ff,0xb01f500e,0x2607fbbf,0x2f72003f,0x8175f4c7,0x74c0ecf9,
    0x07f302eb,0xf7fd9df5,0x363ddddd,0x1ffddfce,0x00fdcf98,0x90fe17c4,
    0xffbdf50b,0x04987c05,0x3c800ca8,0xf8b909d0,0x8b2ec08f,0x2e5d0262,
    0x2a2016e4,0x17a0fe81,0x2b806e55,0x41ae1f88,0x572002c8,0x5401a885,
    0x4035101c,0x5c5f81c8,0x17f601ff,0x25d81fd3,0x7c1d403e,0x22742e43,
    0x3dcd305e,0x2a01ffc0,0x16f541ab,0x427c5dd3,0x2a2aaee9,0x2a3f14c0,
    0x2e2007a5,0x43645e80,0x2aea00b9,0x400efc41,0x2ea200b8,0xb982adc8,
    0x2a0dcc00,0x0dcc14c0,0x07f603e6,0x2fa80fd8,0x402f8b6c,0x321fc1b9,
    0x836c4085,0xf501ee4c,0x6efec0d7,0xc97bf63f,0x907f0eff,0x43f81dff,
    0xb9e4b65c,0x7efec405,0x4d70fa0d,0x40dfdfe9,0x543fddfd,0x6c40cfff,
    0x7cc0dfdf,0xe985efdf,0x7440dfdf,0x90fe6fdf,0x37eff44b,0x807ee0d7,
    0x987f107d,0x3a205edf,0x90fe6fdf,0xfffb710b,0x07b87a0d,0x440fc6ec,
    0x09d1ae1f,0xbb03f8b9,0x4cb90fe0,0x801f0ede,0x3e97625e,0x221bd35c,
    0x6b87e24e,0x741fd930,0x4bd17625,0x10de85f9,0xf10de89d,0x74b90fe5,
    0x1765f10d,0x26666fd4,0x742f40db,0x886f405f,0x45c87f2f,0x0d91bee8,
    0x2207b8f1,0xbf10bd2f,0x2e427403,0xf82ec0fe,0x970c2e43,0x85f30ae2,
    0x6b87d0fa,0x226b85f3,0x889301df,0xfa85f32f,0x45e85f30,0xf135c2f9,
    0xc87f0887,0xf0887f15,0x3bbbe609,0x5d81b65e,0x547f7ba6,0x2110fe20,
    0x3ea2f43e,0x22d43740,0xfb9ee07b,0x0cfffa80,0x8b91bffa,0x3e0bb03f,
    0x1f102e43,0x7d4b97f1,0xd1ffffff,0x81f56b87,0x3ffea1f9,0x5c467c0c,
    0xfffff50f,0x903ea3ff,0x7cc0fa8b,0x1fc01f31,0xd007cd72,0xd807ea0b,
    0x25e93a06,0x3e62f9fe,0x3227b600,0xc89fc45f,0x3dc3c86f,0x01fc49d0,
    0x2741fd93,0x6c0fe2e4,0x05c87f05,0x0f8b552e,0x333335f5,0x7d5ae1f4,
    0x64c0fcc0,0x3ff6a0fe,0x266bea1f,0x907e6199,0x7cc0fa8b,0x1fc03f31,
    0xb00fcd72,0xd807f20d,0x17c53e06,0x1f98dff1,0x2f3ffa20,0xacffeb85,
    0x1ee07c0f,0x7f7777cc,0x8be224c6,0x2c85c84e,0xe87f05d8,0x96e1f105,
    0xc987f11f,0x1fcdae00,0x7c4499f2,0x3f883e82,0x43f8864c,0x321fcc5e,
    0x29b0fe27,0x3f8af43f,0x442f9a6c,0x41b601ff,0xb87f11fa,0x361fc45f,
    0x04059044,0x7b869893,0xb9999d90,0xb88cf83f,0xd907760f,0x7642fa83,
    0xfc89fd81,0x8b4c9905,0x4f997e47,0x15db26c0,0x88cf89f7,0x82f880fb,
    0xc89f32fc,0xd85fc8ae,0x644fb8ae,0xfb1fa8ae,0x764bf913,0x3f61fa8a,
    0xabfdfb8c,0x4cdb1aaa,0x5fe46eaa,0x645fefa8,0x201fa8ae,0x42b5002c,
    0x7f07b84b,0xffb517a0,0x20ffa83f,0x1fb71ff9,0x7441ff98,0xf885bcff,
    0x541f6f40,0x3e204efd,0x27ff542f,0x40fffed4,0xfb500efd,0x3bff209d,
    0x9ffd505c,0x88bbfaa0,0x545bcffe,0xffc82efe,0xfffff9cf,0x7fe4db4f,
    0x7ffec40d,0xfea81f53,0x277d402e,0x16dbfa20,0x807d43dc,0x000100fc,
    0x04000310,0x00980c40,0x200a8004,0x04401000,0x00100080,0x02008004,
    0x00040040,0x08080080,0x01880020,0x0f701820,0x01fc40bb,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x26000000,0x2a012a04,0x30017103,0x95001599,0x771c8159,0x71267220,
    0x072a0ae5,0x03c80ca8,0x257015cc,0x2028602b,0x1c9801ca,0x39003910,
    0x14722162,0xa5403730,0x0ae7704a,0x95c1dcee,0x8065c02b,0x07b8711a,
    0x7664c1ee,0x3f7f624f,0xddff880d,0xdfd301ff,0x4be29fd9,0xf55f105d,
    0x4c4eaec1,0x09d00ecf,0x6ff403ea,0x13abb05f,0x982f7ef4,0x2f400fcf,
    0x43e01b20,0x09df506a,0x40bfbdf1,0x9f302fde,0x1f9f101f,0xb813abb0,
    0xb7d305df,0x1ee07b87,0xd176d544,0x76c2ec4b,0xf107f220,0x372fa83b,
    0x457c4176,0x2b9dc005,0x41540488,0x007f30ec,0x9dc03140,0x0032202b,
    0x32798032,0x80fceb84,0x440be25d,0x00e5402c,0x90000393,0x2a203915,
    0x1ee07b81,0x99722ea2,0xd307d42f,0x1f91be03,0x5d92bee0,0x54935f10,
    0x4c0a94c0,0x15298152,0xd90fe298,0x73002e60,0x400b9801,0x05cc00b9,
    0x75576554,0x2e544c1d,0x2213a0dc,0x2e600aba,0x414c0a80,0x55d400b8,
    0x81575101,0xf31ee07b,0x7d4bdfbf,0x01ffffff,0x04f83f20,0x20bb17e2,
    0x21fc4df8,0xf5c87f5c,0xc87f5c87,0x47a83f15,0x40dfdfe9,0x40dfdfe9,
    0x40dfdfe9,0x40dfdfe9,0x20dfdfe9,0xefeeefec,0x3ffbf224,0x2a17d403,
    0x4c2ffdef,0x3e0dfdfe,0xbfb12e43,0xbbfb01bf,0xfdefa87f,0x7b81ee2f,
    0x54bf32f4,0x219999af,0xccccccc8,0x07f11fdc,0x882ec5e8,0xae43f82f,
    0x43fae43f,0x35c87f5c,0x3a0fa81f,0xde89d10d,0x0de89d10,0x10de89d1,
    0xd10de89d,0x21e25d09,0x20dd30ec,0x44e83fe9,0xe886f45e,0x74b90fe4,
    0x3f117625,0xbd13a35c,0x4cf703dc,0x7f12f42f,0xddf10c98,0x5fdddddd,
    0x8bd00be2,0xf05f105d,0xc87f5c87,0x7f5c87f5,0x981f35c8,0x6b85f30f,
    0x4cd70be6,0x5f335c2f,0x70be66b8,0x21aa1f0d,0xb983e42f,0x362042fd,
    0x4d70be66,0x2f9ae43f,0x3bf107d4,0xb9b62040,0x0fa9ee07,0x4cbf22e4,
    0xf7027c4f,0x0fe02fc3,0x207e60db,0x43fae43f,0xf5c87f5c,0x83f35c87,
    0xf303ea7a,0x3f303ea3,0x23f303ea,0xa8fcc0fa,0xba8fcc0f,0x31addaaf,
    0x401f981f,0x7fedc46d,0xf303ea6f,0x2ab90fe3,0x1fffffff,0x2067ffd4,
    0x26fffdb8,0x27b8517b,0x542e40fa,0x07e84efd,0x00fd83fa,0x507b83f3,
    0x5c87f01f,0x87f5c87f,0x15c87f5c,0x3ea6a83f,0x0fa8fcc0,0x40fa8fcc,
    0x981f51f9,0xf981f51f,0xdfddfd91,0xf503e69d,0x887d4041,0x54d91bee,
    0x3f8fcc0f,0x99afaae4,0x3b260199,0x237dd10f,0x0fc5ee6c,0x3e1fc4d9,
    0x7dc03a05,0x7d44f982,0xfa86d883,0x87f07c81,0xf5e87f5e,0xe87f5e87,
    0x4cbb13a5,0x7f33e43f,0x90fe67c8,0x9f21fccf,0x323e43f9,0x90fe07e3,
    0x9b21fc4b,0xf33740fa,0xd0fe7c87,0x1930fe2b,0x54be224c,0x4f73740f,
    0x644fa9de,0x205fc8ae,0x2b7f600f,0xfb80efd9,0x00efc9be,0x5fb737fd,
    0x3f227f60,0xbf913fb5,0x57f227f6,0x25fc89fd,0x41fc8bfa,0x44fb8aed,
    0x44fb8aed,0x44fb8aed,0x44fb8aed,0x44fb8aed,0x3b60f12e,0x7642fb8a,
    0x3e22fb89,0xed8df913,0x3f64fb8a,0x3f25fc89,0x19f09f32,0x4fe21f71,
    0x99ee6fc8,0xff905ffd,0x77ec0b9d,0x9fffd902,0x77fed401,0x3ff6200c,
    0x3fa203ef,0xffd15bcf,0x3ffa2b79,0x9ffd15bc,0x2efda8b7,0x209ffd50,
    0xd504ffea,0x3faa09ff,0x9ffd504f,0xc816a1f0,0xeb882dff,0xffeb82df,
    0x7f540fac,0x67ff444f,0x277ed45b,0x41fffda8,0x0facffeb,0x00080040,
    0x00220026,0x00200020,0x04008010,0x80040020,0x02001000,0x20080040,
    0x00200221,0x10004004,0x00100080,0x00002004,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xc9801ca8,0x30039301,0x2aaaa037,0x4039502a,0x50c0572b,
    0x4c00e540,0x4059100c,0x8a80bcb8,0x1ca80bb8,0xa800b260,0x1077000c,
    0x26019539,0x50931ccb,0x3b9d4057,0x00565cc0,0x300b32e6,0x57315037,
    0x00fcf980,0x81b202f4,0x446fdfe8,0x905fffff,0x09d5d812,0x4c17bf7a,
    0x2f400fcf,0x3a203ea0,0xfcf87dbe,0x04a41fee,0x2003f9d1,0x03f3003f,
    0x3a213ad9,0x1fdfecef,0x03ff3f62,0x4407f3e2,0x82ffddfe,0xefdcdfe8,
    0x2feff4c0,0x03ff7f7e,0x2202b9dc,0xd00c800c,0xf98be21b,0x00395000,
    0xb8062500,0x02440573,0x7c7b81b8,0x8bd07fc2,0x2a9501ca,0x20039803,
    0x0911902a,0x5fb85bd1,0x209b07dc,0x1bd102c9,0x076c0fc8,0x21d91ba2,
    0xe83fe3e8,0x1002e205,0x80b88017,0xd70443f8,0x02aea200,0x88055d44,
    0x75100aba,0x2aea2015,0x81575100,0xbf07e25d,0x298156c8,0x75101b98,
    0x802ae615,0x815299ba,0xd103f229,0x261fc3fb,0x32017102,0x2e3e880f,
    0x7c1f300f,0xb8bf3642,0x7efec40f,0x7efec40d,0x7efec40d,0xb003e60d,
    0x3ea05739,0x7d42ffde,0x7d42ffde,0x7d42ffde,0x7d42ffde,0x7d42ffde,
    0x9362ffde,0xb643f85c,0xfd12e43f,0xddfa8dfb,0x2feefcff,0x87ff77e4,
    0x09d2e43f,0x3e27f37b,0xfb100a89,0x04e81bfb,0xf9801760,0x987f3d41,
    0xbb12f41f,0xd17625e8,0x3f32ec4b,0xefdefe80,0xd17a2741,0x22745e89,
    0x17a2745e,0x2745e89d,0x5f14d97a,0x7f6c87f0,0x4437a5c8,0x3ff0fe2f,
    0x22fb87d4,0x5c87f2fe,0x3e4d85f1,0xbfdf7f34,0x17625e81,0x027c007f,
    0x21fb0fa0,0xf307d43f,0x5f30fa85,0x85f30fa8,0xd87f10fa,0x45e88f24,
    0x10236c40,0x36c408db,0x408db102,0x362046d8,0x40df9366,0x43fb643f,
    0x0887f15c,0x7f0dd106,0xf4dcc9b6,0x45f35c87,0xefaaf45c,0x17cc9d31,
    0x01fc43ea,0x774c3f88,0x26fee2ee,0xc8bf0fec,0x7ffffd47,0xffff51ff,
    0x3fea3fff,0x321fffff,0x401fa8ae,0x3f6e20fb,0x7edc46ff,0x7edc46ff,
    0x7edc46ff,0x7edc46ff,0x7edc46ff,0xe99366ff,0x2d90fe0e,0x0f9ae43f,
    0x7ffedc40,0xf4ffffff,0x3fae5aa9,0xd73f8ae4,0x70fe67f0,0x7ffffd4f,
    0x8013e1ff,0x7d55445e,0x3ceff543,0x87f517ff,0x19999afa,0x26666bea,
    0x2666bea1,0x2efea819,0xe887cc04,0x744d91be,0x744d91be,0x744d91be,
    0x744d91be,0x744d91be,0x26cd91be,0x643f9f62,0xf35c87f6,0x8df74403,
    0x099999de,0x57a1d19d,0x5bd2e43f,0xf11f981d,0x5f50fa83,0x5d833333,
    0x406c93a0,0x9f3d403f,0x7f107ffd,0x87f10c98,0x987f10c9,0x440dc80c,
    0x1f53643f,0xd03ea6e8,0x9ba07d4d,0xf53740fa,0x03ea6e81,0x260a6cdd,
    0x3e0dcc1f,0x43f8af43,0x6f81f54d,0x1eed8ec4,0xbd0fe9f1,0x3a207fd4,
    0x89f21f46,0xf5064c3f,0x7cc3f507,0x16c7f104,0x8013f976,0xc89f32fc,
    0xfc89f32f,0x36209f32,0xfb89ec84,0x7e44fe23,0x7e44fe26,0x7e44fe26,
    0x7e44fe26,0x7e44fe26,0x7e44fe26,0x64fe3366,0x360fc886,0x325fc89f,
    0xf11fa8ae,0x233fb627,0x23be66d8,0x13fb0fd9,0x67fccbf9,0x5c0efc99,
    0xfc87f52f,0x9f909f32,0xf50bf933,0x3ff9537b,0x07dc4f64,0x7ed4007f,
    0x9dfb504e,0x413bf6a0,0xeb881eeb,0xffeb83ff,0x3fae0fac,0x3ae0facf,
    0x2e0facff,0x20facffe,0x0facffeb,0x3eb3ffae,0x3bfaa9b0,0x22376442,
    0x545bcffe,0x7f5c2efe,0x3bffd34f,0x0e7fef54,0x2b79ffd1,0xefffaae8,
    0x9fff700c,0x813bf6a0,0x00bdffdb,0x19dffdb3,0x41dffc88,0x0008003f,
    0x02002001,0x80040040,0x02001000,0x00080040,0x04013004,0x08040080,
    0x01002150,0x0800220c,0x00800100,0x20100040,0x00000009,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x4c0d4000,0x05e5401b,0x40ee0398,0xa80512a8,0x0acca883,0x006c01c8,
    0x202b32a2,0x5039103b,0xb9803799,0xcca800ac,0x9875000b,0x8330b203,
    0x98ba8828,0x50530532,0x402f2a05,0x9001c83b,0x57999703,0x7c4b2203,
    0x1bf7fa23,0x07f6fbe2,0x03a60bf9,0x1b7b7fe6,0xacea8b90,0x01fc2eda,
    0xacea80f2,0x82ec2eda,0x3bfa22f8,0xff883ffd,0xd303ffce,0x009fd9df,
    0xa82fe4db,0x23d44d86,0x55dfdef9,0x5e84e81f,0x984d9e98,0xf003f80e,
    0xfdddfb07,0x20ec81bf,0x2f89ae09,0x44d907e4,0x203d05aa,0x901be65e,
    0x7440754b,0x0b500fe2,0x8ba203aa,0x5c5f105d,0xd107e40f,0x443fb83b,
    0x01fd41df,0x42d545b6,0x544d80f8,0x2bf32f47,0x207e23f8,0x20b66008,
    0x2005501e,0xfa85d83f,0xd82a0e44,0x117a2ec4,0x0990b505,0x88dd0be6,
    0x1d35c8ba,0x87453bf6,0x7881553f,0xeeeb8e98,0x41761d13,0x221762f8,
    0xfc81b62e,0x7dc03f20,0x0b51b601,0xf513605d,0xc97a17c4,0x01541ae6,
    0x204c87b7,0x0ab98a8c,0xa82ec1fc,0x2175151f,0x7cc3ee1e,0x5a8036c3,
    0x70f50354,0x77effccd,0x2c936775,0x3f7b7e57,0x4ee1741e,0x4ae1f12c,
    0x5c5f105d,0x01f400af,0x1027c5f1,0x2a36c05f,0x8bb02dc5,0xb903ea7a,
    0xb03e87cc,0xa9e63309,0xfbf9f006,0x36167c3f,0x7e7cfe05,0xefc83d2f,
    0x557ecc3f,0x1e896a01,0x4d907e60,0x8ed7e65e,0x3feb300f,0x44b8bd11,
    0x4f53791d,0x3e20bb59,0x0deffec2,0x29f00be2,0x027403f8,0x3a65a8db,
    0x4f717600,0x3a2e41f8,0x2f980f9b,0xd14ecf98,0x443fe003,0xe987fe4f,
    0xfa74199e,0xfa8be08f,0x3ae1edbd,0x82203eef,0x0fe0dc3d,0xbd0be6df,
    0x2d103c3a,0xd307dc5f,0x1ddd90e8,0xf105db44,0x9ffd7105,0x53a00fcc,
    0x02f402f8,0x3d1088db,0x46d82f26,0x17a1f47c,0x9f30b9d7,0x87b05440,
    0x5d89f01b,0xeffe87f3,0x84faf45e,0x0db13e2f,0x45b8007f,0x4dfe42fc,
    0xc81f56fd,0x3a876595,0x3f30fe75,0x964b20f8,0x836cea2d,0x7dc401f9,
    0x47f00fe3,0xb01fc03f,0xaf9a640d,0x2a33f66c,0x64575c7f,0x217fc45f,
    0x2dc004f8,0x217c0bf2,0xbb07fd5c,0x443f9fc0,0xf983f33f,0x98007e20,
    0x20bbaa0e,0xf55caeec,0x2a955c81,0x23b0ebbe,0x3607d43f,0xf89652a2,
    0x541ee3b0,0x3603d10f,0x2f9817a6,0x11f98176,0x8d505d85,0x7f6ecd30,
    0xdfea87bf,0x6c87d85d,0xd5074c00,0xb90be05d,0x41760fe2,0xf887f2f9,
    0xb8d70be3,0xd3174005,0x4c8185b1,0x365f87f1,0xf2e42ea3,0x45a87c89,
    0x326609bd,0x1f207ea5,0xfa93609d,0x51ba7722,0x4cdb105f,0x3e213a0f,
    0x5361fa80,0x21721000,0x7c46c84d,0x474c5d03,0x5c85f02d,0x6c1760fe,
    0x4f887f0e,0x51f547b2,0x173579bf,0xfeed8990,0x3f98fa0e,0x17f22bb2,
    0x22e4c39b,0x83fb8cff,0x261cd878,0xb9bfe85c,0x56fd42fd,0x7dc1fda9,
    0x81ffe9ae,0xefc9befb,0x17dce7c0,0x20f5c1ec,0x8b90004d,0x23f880f9,
    0xed89907c,0x42f80efe,0x3b60fe5c,0x21febaaa,0x7127c43f,0xceb87dfd,
    0x4c2fffdc,0x3ea16c06,0xffc84fef,0xffdb85ce,0xefcaf83d,0x36e07a02,
    0xfb103dff,0x3aa07dff,0xb701efff,0x05db9dff,0x019dffb5,0xb707ffd5,
    0x21dddf50,0x2b90004d,0x3ae03ff8,0x06982eff,0x642f816c,0x3ff60fe5,
    0x1fc1cfff,0x4000804c,0x4400a809,0x08013300,0x80080000,0x02000008,
    0x40800100,0x0800403a,0x266202a0,0x40002219,0x4c006a08,0x11002a00,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x50ddddb0,0x06540ee7,0x003900ae,
    0x3333332a,0x900ae4cc,0xc98ae573,0x83263220,0x51188663,0x3333332a,
    0x500722cc,0x3a072207,0xeed85eee,0x00f2205e,0x970ee057,0x4c035799,
    0x40f20130,0x401100ca,0x5905eeed,0x32db8872,0x55419319,0xfcf882aa,
    0x09d09d01,0xddd003f8,0x4ddddddf,0xaedfc05e,0xdb07ea5e,0x0ebdc89d,
    0x2e9dfbf1,0xeeeffeee,0x0155bf52,0x20be20db,0xaa82aaaa,0x3b7602aa,
    0xf503ee03,0xfeeefd85,0x77f640df,0xf301f507,0x40dd01d9,0xf502aaaa,
    0x22cfd8d9,0x5d443edd,0x2059300a,0xf809d039,0xfa9fa803,0x3e02f401,
    0x0d8bd48b,0x415303c8,0x2f403118,0x41ccdfc8,0xeeeeeffc,0x0b881efe,
    0x4c14c0a8,0x3a00c98c,0x42ec2f45,0x098544fa,0x64ae0370,0x5cc03b82,
    0x3a065c00,0x7d43c884,0x22a2ffde,0x222a0bb8,0x1ca740bb,0x55e803f8,
    0x405e803f,0x4cbd0bbf,0x40ba8a85,0xe8051028,0x0554fe05,0x55555dd3,
    0x7ec419f7,0x90fe0dfd,0xa83506ab,0x1fa8fcc0,0x23f505d8,0x220bb88a,
    0x40aaaaaa,0x55554428,0x37fa60aa,0x2aaa20df,0x207f0aaa,0x97a2741a,
    0xf1feefcf,0x743fddf9,0x807f05dd,0x803f51fa,0x3a1fc05e,0x7fe7c025,
    0x07b83dc2,0xddbf02f4,0x8836c3ff,0xbb12f42f,0x2ed721fc,0x40fc4bf1,
    0x17609d6d,0xddf9f3f8,0x3bbba63f,0x263dc2fe,0x22feeeee,0x4c9d10de,
    0xf2feeeee,0x8810fe07,0x5e83fe6d,0xfd2f41ff,0x0e45fc07,0x99bf52f4,
    0x912f4599,0x017a1fc3,0x1ee023fe,0x817a03dc,0xfd97a0ff,0x2feeeeee,
    0x21f50be6,0x27aae43f,0x441ea7fa,0xee980fdf,0xffa74199,0x274417a0,
    0x93a203dc,0x1035c2f9,0x3f81fc9d,0x37ffedc4,0x8bf6c8bf,0xf80bf36c,
    0x0fd42f9b,0x7dddddf5,0x7c5f32f4,0x27c02f43,0x21ee0f70,0x1ffffffa,
    0xfd9b22fc,0x2fdccccc,0x3fffffea,0x15c87f1f,0x6c7f323f,0x7ffffdc4,
    0x3bffa2ff,0x45faf45e,0x2e0bd06c,0x3ea2f407,0x5e80fcc0,0x223f81fc,
    0x7cd91bee,0x643fb643,0x3f809fd6,0x37333fa0,0x202f401f,0x7c02f43f,
    0x3dc1ee03,0x43f817a0,0x7c41b66c,0x2666bea2,0x4b90fe19,0x3e7b3f4d,
    0x57d4cc41,0xf02ec099,0xb0d90fe7,0xd81ee01d,0x2607d40e,0x7c0ed81f,
    0x07d47f03,0xb643f9ba,0x4e8b643f,0xcf981fc0,0x401fdccc,0x3a1fc05e,
    0x2e03f805,0x5e80f707,0x6cd90fe0,0x7c45f106,0x43f864c3,0x5de7ae5e,
    0xdcca879d,0x2ec1cccf,0xc87f2f98,0xf7007e46,0x3e603f20,0x07e43e43,
    0x223f81fc,0x7cdf913f,0x643fb643,0x07f013a6,0x007ea1b6,0x743f80bd,
    0x2e03f805,0x5e80f707,0x6cd90fe0,0xfc85f106,0x4fec9f32,0x33e25fc8,
    0x530b9f35,0x81557f75,0x3e1db05d,0x03f73643,0x01fb87b8,0x13ee2bb6,
    0x40fe03f7,0x67ff5c3f,0x6c87f0fa,0x37a6c87f,0x7f0aaaaa,0x7f505f30,
    0x3a155555,0xf0aaaaae,0xaaaaee87,0x7b80fe0a,0x05e80f70,0x36cd90fe,
    0xfda82f88,0x67ff444e,0xff1ff45b,0x200f9805,0xfebaaaed,0x2ad90fe1,
    0x409999cf,0x4ce7d47b,0x7ff54099,0x4cce7d44,0x0fe07f09,0x6c87f004,
    0x3fa6c87f,0x7f2fffff,0x3fea0db0,0xfd1fffff,0x3e5fffff,0x7fffff43,
    0x7b80fe2f,0x05e80f70,0x36cd90fe,0x00202f88,0x361fc801,0x007cc00f,
    0x39fffffb,0xfcb643f8,0x5c5fffff,0x7ffffe47,0x3f20105f,0x7f5fffff,
    0x00000fe0,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x800ee000,0x641930ca,0x5c0ae392,0xb81b980c,
    0x800abccc,0x66665c2a,0x99952ccc,0x86549999,0x0ca8002b,0x47220750,
    0x65c0391c,0x8e433202,0x2a12601c,0x3260ee4d,0x412e4a82,0x65c530c8,
    0xa882accc,0x70aaaaaa,0x03579999,0x22016544,0x7f002ec4,0x9fd3e5d8,
    0x4c2fc85e,0x3a0efdff,0x02ffeeef,0xddfb13e6,0x3f27dddd,0x90eeeeee,
    0x20017a1f,0x20db03ff,0x0fe7f2f8,0xff306fe8,0x701fcfe3,0x2e3dfa8f,
    0x5d86fc87,0x47e20ff6,0x3bbbf67c,0x3fe60ffe,0xfb1fffff,0x07ffdddd,
    0x03fd7df3,0x333db1f6,0x1220e603,0x05f917a0,0x17a4e8b9,0x27f441f2,
    0x01b20176,0x002f43f2,0x36c1afea,0x3e7f2f88,0x203fba03,0x03f81feb,
    0xf30d91ee,0x7c0fce83,0xf103ff63,0x985d8623,0x365e805f,0x5d81f905,
    0x1ffa22ec,0x9ffffffb,0x44288288,0x05f92f42,0x3a7b85b1,0xcc81f985,
    0x6402ec4d,0xbd0fc806,0x1f8dd800,0x25f106d8,0x8d447f3f,0xfce83ece,
    0x5d4fe351,0xaeda9ee0,0xf3f11fc0,0xdbb0fcc5,0xbb01f88d,0x1d901f20,
    0x22f982ec,0xf33d41d8,0x99ed8f7b,0x1ee4fb99,0x5e8f71ee,0x6d8005f9,
    0x2a1ee17a,0x02ec4d8e,0xd3dc0364,0xe97c400b,0x5f106d85,0x5e89fcfe,
    0x3f31af3a,0x76fcfe3f,0x6cf71ffd,0x52ec2eff,0x6c6b976d,0x07e23f9d,
    0x205d82ec,0xa82ec1f9,0x226d800f,0xb05d8f52,0x23dc3dcd,0x37e6f47b,
    0xee8fe600,0x441fedcc,0xcfd89b1f,0xf90ccccc,0x5c199999,0x7b8017a7,
    0xddfb03ee,0x3e5fdddd,0xe8bd17f3,0x27320f9c,0x83fe7f1f,0x06c8f74e,
    0x27aa6cd7,0x0fcaec4d,0x317603f1,0x42f405f7,0xfcbaaaed,0x501fc804,
    0x4d905d8f,0x3dc7b87b,0x013efffa,0x33ba2fcc,0x26c4fedc,0xeeefd89b,
    0xddf90eee,0xd3543ddd,0xf127400b,0xccccfd87,0x3e7f2fdc,0x7d4e85ec,
    0x3f8fccf4,0x8f76c89f,0x3e1f306c,0xb0be3f12,0x01f8b74b,0x9ffffffb,
    0x7ec17cc0,0x801dffee,0xb1ea01fb,0x3dc7f10b,0xfd1ee3dc,0xf500bee3,
    0x7f30bd09,0x5d89b1ae,0x69806c80,0x77cc017a,0x36c6feee,0x3e7f2f88,
    0xba740eff,0x7c7e6f36,0xf76c87f3,0x26be06c8,0x03e6fa0f,0x7c5fccbb,
    0x5576c951,0x8364009a,0x200fe45d,0x23d402f8,0xffeeeefd,0x71ee1ee0,
    0x07ec5e8f,0x0bd04fa8,0x7fffedb6,0x00bb0fff,0x74b300d9,0x999d9005,
    0x836c3fb9,0x37e7f2f8,0xf9a744f8,0x3e3f34c8,0xf76c87f3,0x2f3606c8,
    0x6c35ee45,0xc8fd7e45,0x3e001767,0x1fb0bb03,0x2a007cc0,0x666676c7,
    0x3dc3dc0a,0xf88bd1ee,0x3a03fa86,0x2662bd05,0x1761de99,0xd0401b20,
    0x740fe00b,0x97c41b65,0x8bea7f3f,0x4c7efa4e,0x90fe7f1f,0x40d91eed,
    0x6f543dea,0xfee85d83,0x4005d9a1,0x10bb01f9,0xa80180df,0x7b802ec7,
    0x3a3dc7b8,0x3e24fa85,0x3a2aaaae,0x1fdbaaae,0x55db1360,0x1b255555,
    0xaaee92a0,0x03ea0aaa,0x106d87e4,0xb1fcfe5f,0x6fb93a1d,0x3f9fc7e6,
    0x3647bb64,0xff03ff10,0xff30bb03,0x005d92a3,0x05d807d4,0x032607f7,
    0x005d8f50,0x7b8f70f7,0x52fc82f4,0x1fffffff,0x37bffffa,0x3f626c01,
    0x96ffffff,0x7f4f900d,0x362fffff,0x36cfe205,0x3e7f2f88,0x12753e23,
    0x3f8fcc7f,0x8f76c87f,0xd83f406c,0x3f20bb07,0x4005d811,0xd817606b,
    0x401fa80f,0x0000007a,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x99999500,0x00ee5999,0x2f332e59,
    0x302c881a,0x66666419,0x40970ccc,0x744001c8,0x5d444eee,0x4015730a,
    0x488299ba,0x260ab980,0x2aea201b,0x20a60540,0x260541b9,0x0b880a8a,
    0x26005cc0,0x2ea1260b,0x14c0cc1a,0xb88a8605,0x8a83710a,0xddd70bb8,
    0x2e5dddff,0x363f500f,0x0dffeeef,0x13e207e4,0xffdddddd,0x37413e63,
    0x53333335,0x50d55544,0xdf9ffbbf,0xeefc85fd,0x00f980ff,0x93dfbfd1,
    0xfa83ddbf,0x0fe2ffde,0x7eff44b9,0xf3b90fe6,0x6fefec43,0x6feff4c0,
    0x6feff4c0,0x6efec7b8,0x4fa1ee3f,0xfddfdcf8,0x5dfbf9f0,0x7e7cdfbf,
    0x05e81fee,0xd9b607f1,0x7444fa85,0xf9802f46,0x3ee0fe45,0x28808061,
    0x50ffc3f8,0xfe8bee1f,0xdb00f982,0xf90ffec4,0xf97a2741,0x21bd2e43,
    0x5c87f2f8,0xbb12f439,0x89d10de8,0x96bd10de,0xf89ae1f8,0xcfb83e62,
    0x43fe2fda,0x21f30ff9,0x3a17a0ff,0x3e21b605,0x0fd41763,0x007e4fe6,
    0x26e83744,0x0100c3f8,0x6e8830f7,0x664db3f8,0x9fb9934d,0x50be2199,
    0x022f88bf,0x321fcdb1,0xf0887f15,0x7ccb5c87,0x2f987d42,0xb85f335c,
    0x077e22bf,0xb91725d8,0x9f13e3e8,0x6c8bf2f8,0x03ea05e8,0x882ec1f5,
    0x2fbfb83f,0x2601fb00,0x4030db3f,0xdb887b80,0xffffffff,0x65aa9f4f,
    0xddfddd35,0xf103e61d,0x47ffffff,0x26fffdb8,0x0f9ae43f,0x17f90fe0,
    0x7fffffd4,0xf981f51f,0x3f981f51,0x40cfffa8,0x3d85f0fa,0x3f87f2e4,
    0x3643f97c,0xd0fe02f4,0x13e05d89,0xfc8027f4,0x07dfe401,0x8f70100c,
    0x3bd1bee8,0x33a13333,0xf30bd0e8,0xf983f101,0x1099999c,0xf9b237dd,
    0x01f9ae43,0xf50b90fe,0x54333335,0xfa8fcc0f,0x9300fcc0,0xfaaf81fd,
    0x2f8875c0,0x2f87f0fe,0x5e86c87f,0x83f13640,0x7417a05d,0x03fa805f,
    0x80607fd0,0x07d47b80,0x363b11be,0x309f11ee,0xf70fa01f,0x1f51c88d,
    0xbd0fe6e8,0x3e9b0fe2,0x1fc42f43,0x21fcc326,0xf90fe67c,0x42f88930,
    0xffd84ddc,0xf0fe4ffd,0xc87f2f87,0x7cc05e86,0x40bb0d71,0x2fbfc84f,
    0xb8017e60,0xb8080607,0xed89fc47,0x266d88cf,0x80fd98ef,0x17f700f9,
    0xb119fdf5,0xfc89fc4d,0x3f227f66,0x3ea2bb25,0xbf913db1,0x27ccbf20,
    0x13ee2bb6,0x09f715db,0x03ee233e,0x9e883ff3,0x7f0e99ca,0x3f97c3f8,
    0x402f4364,0x0bb07d4e,0x25f50fe6,0x06e880fd,0x40303dc0,0xfeb87b80,
    0x3bffd34f,0x0e7fef54,0x55555551,0x54ffda81,0xeb83bffd,0xd10facff,
    0xea8b79ff,0x3ffa22ef,0x3f6a05bc,0x9ffd504e,0x813ffaa0,0xd01fffda,
    0x21fc000d,0x43f97c3f,0xb805e86c,0x05d80f9e,0x225f88fb,0x000fd86f,
    0x040303dc,0x020103dc,0xff500854,0x203fffff,0x00100100,0x00802001,
    0x00100080,0x00010002,0x00000000,0xef8805e8,0x7555db05,0x40ed85fd,
    0x2b3ee3f9,0x700aaaaa,0x4cccd40f,0x007b8299,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfc802f40,0xdffffb01,0x901fb83b,
    0x3ffff23f,0xf703ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0x0aaaaaa8,0x2a617515,
    0x541a8d40,0x8c400541,0x1446a20a,0x802880a8,0x2772b829,0x2000772c,
    0x5e540bb8,0x32a05b00,0x201d500b,0x23981cc9,0x08888888,0x22222222,
    0x065c1d40,0x40875171,0xc982e24a,0x9db50b21,0x3aa4ce21,0x77774c73,
    0xd30eeeee,0x3e5fdddd,0x49f12ffc,0x7c4bb0fc,0xda807e25,0x97a27f3f,
    0xf105f07b,0x31ee017d,0x3e61f31f,0x716a1f88,0x3365fc4b,0xdf50d95d,
    0x209b3d30,0xaae880d9,0xff97ee0f,0x3e3fffff,0x13ffffff,0x2f231753,
    0x9f27e669,0xf99ee0f8,0x21f51761,0xffffdce9,0x3ddaef74,0x26666666,
    0xf93a2019,0x4d7d408f,0x7fa9ea2f,0x3fae21ea,0x17a2fe1c,0x440be0f7,
    0x0c41cfeb,0xd90fa7d1,0xf75e89ae,0x843d2d47,0x01fbd86a,0x555445b3,
    0x5cc42aaa,0x4cb5511f,0x23e99999,0x09999999,0x9a5dfdd3,0x8d93f31c,
    0x1f9960fa,0x0446a032,0x11005951,0x22f40000,0x13bb204f,0x47f323f1,
    0x05f7e44d,0x3dc2f67c,0x3559f555,0x4077f6a0,0x7f10d96d,0x3fee893e,
    0xea85b25c,0x82dc7cc1,0x3ffea3da,0x9f30ffff,0x805a83d7,0xee88003e,
    0x1f1aaee1,0x75376cb7,0x000007c4,0xb0000000,0x7c03f81d,0x367e9b07,
    0x0f7c43f3,0xb81dfff0,0xffffff17,0x1fe4407f,0x40fa8fb8,0x5c2f89f9,
    0xf88e986f,0x57203ae0,0x3cc660f8,0x7c52e010,0x1f402d42,0x39999999,
    0x2ea2cde4,0x026289c0,0x55544701,0x2a2aaaaa,0x017bbaa4,0x01f90000,
    0x1ffd407f,0x9dbbcf5c,0x83efc987,0x3dc4f8df,0x7ecc02f8,0x4da6c02e,
    0x7dc5da6c,0x3eec85eb,0xf8977bee,0xecf99361,0xd101f504,0x05a87b9d,
    0x377762c8,0x00002ddd,0x33220000,0x0ccccccc,0x1dddccf7,0x3f700000,
    0x5fc40fe0,0xae7c41fb,0x2e205cf9,0x2a7f0cff,0x17c1ee1f,0x001cfeb8,
    0x2a3f11f1,0x9fd41d36,0x333005e8,0x12624c33,0x05c40131,0x00018800,
    0x00000000,0x00000000,0xcfa80000,0x07f09999,0xfe86d9b6,0x5400bfe3,
    0x876c7f3d,0xf105f07b,0x4c254017,0x0cc26331,0x000510a2,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3ffff200,0xf707f5ff,0x3f227c41,
    0x40003f61,0x3dd3e23f,0x2e000098,0x00000007,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_18_latin_ext_x[560]={ 0,1,0,0,0,0,0,0,0,0,0,0,1,0,
1,0,0,1,0,0,0,0,0,0,0,0,1,1,0,0,0,0,0,-1,1,0,1,1,1,0,1,1,0,1,
1,1,1,0,1,0,1,0,0,1,0,0,0,0,0,1,0,0,0,-1,0,0,1,0,0,0,0,0,1,1,
-1,1,1,1,1,0,1,0,1,0,0,1,0,0,0,0,0,0,1,0,0,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,1,0,0,0,-1,
1,0,0,0,0,1,0,0,0,-1,1,0,0,0,1,1,0,1,0,0,0,1,0,0,0,1,-1,-1,-1,-1,
-1,-1,0,0,1,1,1,1,0,1,-1,0,-1,1,0,0,0,0,0,1,0,1,1,1,1,0,1,1,0,0,
0,0,0,0,0,0,0,0,0,0,0,1,-1,0,0,1,0,0,0,0,0,0,1,1,1,1,1,0,1,0,
-1,0,-1,0,-1,0,0,0,0,0,0,0,0,0,1,0,-1,0,1,0,1,0,1,0,1,0,1,0,0,0,
0,0,0,0,0,0,1,1,0,0,-1,-1,-1,-1,-1,-1,1,0,1,1,1,1,0,-1,1,1,1,1,0,1,
-1,1,1,1,1,0,0,1,1,1,1,1,1,0,1,1,0,0,0,0,0,0,1,0,1,1,1,1,1,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,0,
0,0,0,0,0,0,0,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,2,0,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,1,1,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,-1,0,-1,-1,0,
0,1,1,1,1,1,1,1,1,1,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,-1,0,0,0,0,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static signed short stb__arial_18_latin_ext_y[560]={ 14,2,2,2,1,2,2,2,2,2,2,4,12,9,
12,2,2,2,2,2,2,2,2,2,2,2,5,5,4,5,4,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,16,2,5,2,5,2,5,2,5,2,2,
2,2,2,5,5,5,5,5,5,5,2,5,5,5,5,5,5,2,2,2,7,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,14,5,2,2,4,2,
2,2,2,2,2,6,5,9,2,0,2,4,2,2,2,5,2,7,13,2,2,6,2,2,2,5,-1,-1,-1,-1,
0,-1,2,2,-1,-1,-1,0,-1,-1,-1,0,2,-1,-1,-1,-1,-1,0,4,2,-1,-1,-1,0,-1,2,2,2,2,
2,2,2,2,5,5,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,5,5,2,2,2,2,2,2,2,
0,3,-1,2,2,5,-1,2,-1,2,-1,2,-1,2,-1,2,2,2,0,3,-1,2,-1,2,2,5,-1,2,-1,2,
-1,2,0,2,2,1,-1,-1,2,2,-1,2,0,3,-1,2,2,2,-1,5,2,2,-1,2,2,2,5,-1,-1,2,
2,2,2,2,2,2,2,-1,2,2,5,-1,2,2,2,5,0,3,-1,2,-1,2,2,5,-1,2,2,5,-1,2,
-1,2,-1,2,2,5,-1,2,2,2,-1,2,2,2,-1,2,0,3,-1,2,-1,2,-1,2,2,5,-1,2,-1,2,
0,-1,2,-1,2,-1,2,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2,3,3,2,3,3,3,
3,3,3,3,3,3,3,3,3,3,2,5,3,3,3,3,3,3,3,3,3,3,3,3,3,2,5,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,-1,2,-1,2,-1,
2,-1,2,-1,0,-1,-1,-1,-1,-1,-1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,-3,-2,-1,2,-1,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static unsigned short stb__arial_18_latin_ext_w[560]={ 0,3,5,9,9,14,11,3,5,5,6,9,3,5,
3,5,9,6,9,9,9,9,9,9,9,9,3,3,9,9,9,9,16,12,9,11,10,9,9,12,10,3,7,10,
8,12,10,12,10,12,11,10,10,10,11,16,11,11,10,4,5,4,8,11,4,9,8,8,8,9,6,8,7,2,
4,7,2,12,7,9,8,8,5,8,5,7,8,12,8,8,8,6,2,5,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,0,3,9,9,9,10,
2,9,5,12,6,7,9,5,12,11,5,9,6,6,4,8,9,3,5,4,6,7,14,14,14,8,12,12,12,12,
12,12,16,11,9,9,9,9,4,4,6,5,12,10,12,12,12,12,12,8,12,10,10,10,10,11,10,9,9,9,
9,9,9,9,14,8,9,9,9,9,4,4,6,5,9,7,9,9,9,9,9,9,8,7,7,7,7,8,8,8,
12,9,12,9,14,10,11,8,11,8,11,8,11,8,10,10,12,9,9,9,9,9,9,9,9,9,9,9,12,8,
12,8,12,8,12,8,10,7,12,8,6,6,6,6,6,6,4,5,3,2,11,6,9,6,10,7,7,8,4,8,
5,8,4,8,5,9,4,10,7,10,7,10,7,10,10,7,12,9,12,9,12,9,15,15,11,5,11,5,11,6,
10,8,10,8,10,8,10,8,10,5,10,7,10,5,10,7,10,7,10,7,10,7,10,7,10,9,16,12,11,8,
11,10,8,10,8,10,8,4,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,12,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,14,11,9,9,9,9,9,9,9,9,9,9,9,9,9,13,10,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,12,9,6,6,12,
9,10,7,10,7,10,7,10,7,10,7,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,12,9,16,14,12,8,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9, };
static unsigned short stb__arial_18_latin_ext_h[560]={ 0,12,5,13,15,13,13,5,16,16,6,9,5,2,
2,13,13,12,12,13,12,13,13,12,13,13,9,12,9,6,9,12,16,12,12,13,12,12,12,13,12,12,13,12,
12,12,12,13,12,13,12,13,12,13,12,12,12,12,12,16,13,16,7,2,3,10,13,10,13,10,12,13,12,12,
16,12,12,9,9,10,13,13,9,10,13,10,9,9,9,13,9,16,16,16,3,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,0,13,16,13,9,12,
16,16,3,13,7,8,6,2,13,2,5,10,7,7,3,13,16,3,5,7,7,8,13,13,13,13,15,15,15,15,
14,15,12,16,15,15,15,14,15,15,15,14,12,15,16,16,16,16,15,8,13,16,16,16,15,15,12,13,13,13,
13,13,13,13,10,13,13,13,13,13,12,12,12,12,13,12,13,13,13,13,13,7,10,13,13,13,13,16,16,16,
14,12,15,13,16,13,16,13,16,13,16,13,16,13,15,13,12,13,14,12,15,13,15,13,16,13,15,13,16,16,
16,16,15,16,16,17,15,15,12,12,15,12,14,11,15,12,16,16,15,9,13,16,16,16,16,16,9,15,15,16,
16,12,12,12,12,12,12,15,12,16,13,15,12,12,13,13,15,12,16,13,16,13,13,10,15,12,16,13,15,12,
16,13,16,13,16,13,16,13,17,17,15,13,12,13,16,13,15,12,16,13,16,13,16,13,16,13,15,12,15,16,
14,15,12,15,12,15,12,12,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,13,11,11,16,11,11,11,
11,11,11,11,11,11,11,11,11,11,13,10,11,11,11,11,11,11,11,11,11,11,11,11,11,13,10,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,15,13,15,12,16,
13,16,13,16,15,16,16,16,16,16,16,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,17,17,15,13,16,13,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11, };
static unsigned short stb__arial_18_latin_ext_s[560]={ 255,89,193,186,52,63,208,209,208,227,180,
59,205,229,225,250,126,247,39,206,59,40,190,215,5,235,79,200,38,170,69,
237,178,102,49,210,24,69,79,222,115,161,147,28,93,137,189,134,204,121,225,
110,1,99,12,172,35,58,47,123,80,251,122,243,218,137,71,155,49,175,165,
40,153,150,60,129,126,235,248,185,245,179,10,207,35,147,216,25,16,188,1,
192,40,43,223,70,70,70,70,70,70,70,70,70,70,70,70,70,70,70,70,
70,70,70,70,70,70,70,70,70,70,70,70,70,70,70,70,70,255,1,78,
15,225,168,128,223,233,58,148,83,160,229,86,213,187,111,115,131,213,170,55,
239,199,155,108,91,25,155,206,197,69,82,129,153,7,177,43,151,201,211,117,
204,186,191,100,1,179,134,233,210,166,142,38,99,177,232,63,74,51,26,1,
110,100,90,80,70,60,50,87,31,21,11,1,244,17,12,209,22,196,192,176,
166,156,146,136,138,102,118,110,102,94,246,12,31,221,1,72,10,99,239,140,
220,163,136,186,172,209,155,85,134,237,32,234,137,107,78,158,124,1,42,62,
200,22,35,77,100,145,131,65,41,168,196,124,115,179,97,214,80,127,90,233,
214,96,56,20,220,90,109,140,243,48,1,21,169,163,74,69,60,37,27,232,
142,19,116,120,95,11,221,197,88,39,225,127,145,195,96,181,121,117,250,65,
41,244,83,88,106,44,1,49,115,1,20,24,35,106,47,104,29,11,55,10,
147,221,164,198,128,175,169,152,229,1,155,232,114,244,221,200,190,216,166,235,
244,70,70,70,70,70,70,70,70,70,70,70,70,70,70,70,52,70,70,21,
70,70,70,70,70,70,70,70,70,70,70,70,70,65,195,70,70,70,70,70,
70,70,70,70,70,70,70,70,80,164,70,70,70,70,70,70,70,70,70,70,
70,70,70,70,70,70,70,70,70,70,70,70,70,70,70,70,70,70,26,216,
62,249,179,226,155,236,131,18,112,104,199,96,85,123,70,70,70,70,70,70,
70,70,70,70,70,70,70,70,70,70,70,70,70,70,70,70,70,70,70,70,
70,70,70,11,1,238,145,50,160,70,70,70,70,70,70,70,70,70,70,70,
70,70,70,70,70,70,70,70,70,70,70,70,70,70,70,70,70,70,70,70,
70,70,70,70,70,70,70,70,70,70,70,70,70,70,70,70,70,70,70,70,
70,70,70,70,70,70,70,70,70,70,70,70,70,70,70,70,70,70,70,70,
70,70,70,70,70,70,70,70,70, };
static unsigned short stb__arial_18_latin_ext_t[560]={ 1,155,181,99,53,85,85,181,36,36,181,
181,181,185,185,85,99,155,155,99,155,114,114,155,128,114,181,155,181,181,181,
155,36,155,155,114,168,155,155,114,155,155,128,155,155,155,155,128,155,128,155,
128,168,128,168,155,168,168,168,19,128,19,181,181,181,168,128,168,128,168,155,
128,155,155,19,155,155,168,168,168,114,128,181,168,85,168,168,181,181,128,181,
1,19,19,181,168,168,168,168,168,168,168,168,168,168,168,168,168,168,168,168,
168,168,168,168,168,168,168,168,168,168,168,168,168,168,168,168,168,1,128,19,
128,168,142,19,1,181,128,181,181,181,185,128,185,181,168,181,181,181,128,36,
181,181,181,181,181,128,128,128,128,53,53,53,53,85,53,142,36,53,53,69,
69,69,69,69,85,142,69,1,1,1,1,69,181,114,19,1,1,69,69,155,
114,114,114,114,114,114,114,168,114,114,114,114,99,155,155,142,155,99,142,99,
99,99,99,99,181,168,99,99,99,99,1,19,19,69,142,69,100,19,85,19,
85,19,114,19,85,19,85,69,85,128,99,69,142,69,85,69,85,36,99,69,
114,36,36,36,36,69,19,19,1,69,69,142,142,69,142,69,168,69,142,36,
36,69,181,99,36,36,36,36,19,181,69,69,36,36,142,142,142,142,142,128,
53,142,36,114,53,142,128,85,85,53,142,36,85,36,85,85,168,53,128,36,
85,53,142,19,85,36,100,19,85,19,85,1,1,53,85,142,85,36,85,69,
142,19,85,19,114,19,114,19,85,53,142,53,19,69,53,142,53,142,53,142,
142,168,168,168,168,168,168,168,168,168,168,168,168,168,168,168,99,168,168,19,
168,168,168,168,168,168,168,168,168,168,168,168,168,99,168,168,168,168,168,168,
168,168,168,168,168,168,168,168,99,168,168,168,168,168,168,168,168,168,168,168,
168,168,168,168,168,168,168,168,168,168,168,168,168,168,168,168,168,168,53,99,
53,142,1,99,1,99,1,53,1,1,1,1,1,1,168,168,168,168,168,168,
168,168,168,168,168,168,168,168,168,168,168,168,168,168,168,168,168,168,168,168,
168,168,168,1,1,36,114,1,114,168,168,168,168,168,168,168,168,168,168,168,
168,168,168,168,168,168,168,168,168,168,168,168,168,168,168,168,168,168,168,168,
168,168,168,168,168,168,168,168,168,168,168,168,168,168,168,168,168,168,168,168,
168,168,168,168,168,168,168,168,168,168,168,168,168,168,168,168,168,168,168,168,
168,168,168,168,168,168,168,168,168, };
static unsigned short stb__arial_18_latin_ext_a[560]={ 72,72,92,143,143,229,172,49,
86,86,100,151,72,86,72,72,143,143,143,143,143,143,143,143,
143,143,72,72,151,151,151,143,262,172,172,186,186,172,157,201,
186,72,129,172,143,215,186,201,172,201,186,172,157,186,172,243,
172,172,157,72,72,72,121,143,86,143,143,129,143,143,72,143,
143,57,57,129,57,215,143,143,143,143,86,129,72,143,129,186,
129,129,129,86,67,86,151,193,193,193,193,193,193,193,193,193,
193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,
193,193,193,193,193,193,193,193,72,86,143,143,143,143,67,143,
86,190,95,143,151,86,190,142,103,141,86,86,86,149,138,72,
86,86,94,143,215,215,215,157,172,172,172,172,172,172,258,186,
172,172,172,172,72,72,72,72,186,186,201,201,201,201,201,151,
201,186,186,186,186,172,172,157,143,143,143,143,143,143,229,129,
143,143,143,143,72,72,72,72,143,143,143,143,143,143,143,141,
157,143,143,143,143,129,143,129,172,143,172,143,172,143,186,129,
186,129,186,129,186,129,186,158,186,143,172,143,172,143,172,143,
172,143,172,143,201,143,201,143,201,143,201,143,186,143,186,143,
72,72,72,72,72,72,72,57,72,72,189,114,129,57,172,129,
129,143,57,143,57,143,75,143,86,143,57,186,143,186,143,186,
143,156,186,143,201,143,201,143,201,143,258,243,186,86,186,86,
186,86,172,129,172,129,172,129,172,129,157,72,157,97,157,72,
186,143,186,143,186,143,186,143,186,143,186,143,243,186,172,129,
172,157,129,157,129,157,129,57,193,193,193,193,193,193,193,193,
193,193,193,193,193,193,193,194,193,193,143,193,193,193,193,193,
193,193,193,193,193,193,193,193,221,169,193,193,193,193,193,193,
193,193,193,193,193,193,193,220,173,193,193,193,193,193,193,193,
193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,
193,193,193,193,193,172,143,72,57,201,143,186,143,186,143,186,
143,186,143,186,143,193,193,193,193,193,193,193,193,193,193,193,
193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,
193,193,172,143,258,229,201,157,193,193,193,193,193,193,193,193,
193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,
193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,
193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,
193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,
193,193,193,193,193,193,193,193, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_18_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_18_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_18_latin_ext(stb_fontchar font[STB_FONT_arial_18_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_18_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_18_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_18_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_18_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_18_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_18_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_18_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_18_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_18_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_18_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_18_latin_ext_s[i] + stb__arial_18_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_18_latin_ext_t[i] + stb__arial_18_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_18_latin_ext_x[i];
            font[i].y0 = stb__arial_18_latin_ext_y[i];
            font[i].x1 = stb__arial_18_latin_ext_x[i] + stb__arial_18_latin_ext_w[i];
            font[i].y1 = stb__arial_18_latin_ext_y[i] + stb__arial_18_latin_ext_h[i];
            font[i].advance_int = (stb__arial_18_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_18_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_18_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_18_latin_ext_s[i] + stb__arial_18_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_18_latin_ext_t[i] + stb__arial_18_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_18_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_18_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_18_latin_ext_x[i] + stb__arial_18_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_18_latin_ext_y[i] + stb__arial_18_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_18_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_18_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_18_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_18_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_18_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_18_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_18_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_18_latin_ext_LINE_SPACING
#endif

