// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_20_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_20_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_20_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_arial_20_latin_ext_BITMAP_HEIGHT        232
#define STB_FONT_arial_20_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_20_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_20_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_20_latin_ext_LINE_SPACING          13

static unsigned int stb__arial_20_latin_ext_pixels[]={
    0x7775c000,0x03eeeeee,0x76400000,0x4c400000,0x40098800,0x84402618,
    0x00188008,0x80530013,0x00009998,0x00000000,0x00000000,0x20000000,
    0x999505f8,0x05999bfb,0xf8805f88,0x2007f100,0x7e8800fd,0x4c05d880,
    0x3a01fabf,0x2fc400ec,0x7c007640,0x37ffec01,0x200bf100,0x3fea04fd,
    0xf881ea01,0xfa806f8e,0x00fec003,0x07a827f4,0xf5000ec8,0x00ec8005,
    0x00ea03c8,0xf1004e88,0x29a99807,0x980ffee0,0x364029a9,0x00a2a660,
    0x119805f3,0x00764005,0xf880e7d4,0x0f500ecc,0x007d47dc,0xf3000fb8,
    0x7f3f9005,0x2e880f50,0x000bea00,0x07981015,0x01440004,0x53d80530,
    0x6c02a80d,0x00a80d53,0x4c06a9ec,0x6a9ec02e,0x64002a00,0x1a894c06,
    0x98d40f50,0x80054001,0x31a88029,0x9c80f505,0x05f5000c,0x4fbfb2a0,
    0x93026c7a,0xdfb70019,0x4c754059,0x4403ae1e,0x3a63aa2e,0x74403ae1,
    0x87a63aa2,0x05d100eb,0x75c22353,0x2e05d100,0x6402cefd,0x677edc05,
    0x6dc0f502,0x1d702cef,0x075cba20,0x01d72e88,0x203d4ba2,0xf5000b8c,
    0x77bfd005,0x7cc5fdfb,0x80a62e01,0xfebcffe8,0x3d31d505,0x3f9807e4,
    0xc87a63aa,0x547f300f,0x3f21e98e,0x6c47f300,0xf95ddfff,0xd10fe601,
    0x0bfd79ff,0xffe882ec,0x7a85febc,0xebcffe88,0x300fc85f,0x4c03f27f,
    0x2601f93f,0xf980f53f,0x00bea006,0x8df703db,0x0264407a,0x17ea0bfa,
    0x4c03f200,0x03f2003f,0xf9001fcc,0xfc8fe601,0x3f2bfb32,0xfe87f300,
    0xbb05fa82,0x3ea0bfa0,0x17f43d45,0x03f22fd4,0x00fc9fcc,0x403f27f3,
    0xc80f53f9,0x5f5001ff,0x74417dc0,0x301b22fe,0x0bee0355,0x20222fb8,
    0x2601f908,0x2110113f,0x27f300fc,0x1f908808,0x44e8fe60,0x201f95f8,
    0x80bee3f9,0xb83e82fb,0xa8bee02f,0xf7017dc7,0xf9807e45,0x3e601f93,
    0x3e601f93,0xebf80d33,0x405f5004,0xbf19d06d,0xefe8836c,0x03ec0eff,
    0x9d0bd27c,0x9fcc03f2,0x1f94e85e,0x42f4fe60,0x2601f94e,0xbd05f13f,
    0x1fcc03f2,0x4c9f00fb,0x807d80ed,0x0fb1ea4f,0x807e49f0,0x201f93f9,
    0x201f93f9,0x3f5003f9,0x5f5001f9,0xf2ec2f40,0x0fd82f4f,0x00bf0fea,
    0xa742f4dd,0x27f300fc,0x1f94e85e,0x42f4fe60,0x2601f94e,0xbb03f53f,
    0x1fcc03f2,0x5cdd00bf,0xd00bf01f,0x017e3d4d,0x300fc9ba,0x4c03f27f,
    0x2601f93f,0x26db003f,0x02fa803f,0x6c6c89f1,0x41541b67,0x2013e24f,
    0x53a17a7d,0x27f300fc,0x1f94e85e,0x42f4fe60,0x2601f94e,0xbf07f13f,
    0x9fcc03f2,0x27d804f8,0x27c41fb8,0x44f53ec0,0x327d804f,0x327f300f,
    0x327f300f,0x227f300f,0x3747f101,0x9f017d40,0xb9b6075c,0x7ee54c07,
    0x36c02fc5,0x3f29d0bd,0x17a7f300,0x9807e53a,0x29d0bd3f,0x47f300fc,
    0xfcafd46d,0x2fc7f300,0x41f436c0,0x2a6d805f,0x36c02fc7,0x4fe601f9,
    0x27f300fc,0x27f300fc,0x5c1f707a,0x017d401f,0x3e03eadf,0x3e603e64,
    0x6c5fbdff,0x17a5e806,0x980fdd3a,0x29d0bd2f,0x25f301fb,0x3f74e85e,
    0xefa8be60,0x3f75ffcb,0x06d8be60,0xd84d85e8,0x1ea5e806,0x5cbd00db,
    0x2e5f301f,0x2e5f301f,0x2a5f301f,0x3333dd07,0xf70000bf,0x45f503f7,
    0x077c42f8,0x403f717e,0x3e17a3fa,0x3ea05f34,0x269f0bd1,0x3a3f502f,
    0x05f34f85,0x9fb507ea,0x40be69d1,0x807ee1fa,0xb85d83fa,0xa8fea01f,
    0xf500fdc7,0xfa817cc7,0x3ea05f31,0x3ea05f31,0xfff30f51,0x401fffff,
    0x3fe202fa,0x6c0ee882,0x3e617cc5,0x44077445,0xf31b60ee,0x3f417e29,
    0xf14f98db,0x46d9fa0b,0x20bf14f9,0x13f8047e,0xd11fa0bf,0x01dd101d,
    0x01dd10d9,0x23d41dd1,0xee880ee8,0x3f417e20,0x89fa0bf1,0x3d4fd05f,
    0x4ccccfe4,0x0baa03fa,0xaabfff88,0x1f880efc,0x7fd44f7c,0xaabfe885,
    0x67dc0efb,0x3ee4fea9,0x22ffdabd,0x4fea9cfb,0x3f6af7ee,0x2a73ee2f,
    0x2f7ee4fe,0x2f42ffda,0xbdfb8bea,0xe882ffda,0x0efbaabf,0x3fa20d90,
    0x40efbaab,0xabfe887a,0xfb80efba,0x42ffdabd,0xffdabdfb,0x6d5efdc2,
    0x3e1ea2ff,0x1b01ba05,0x7fec5f40,0x16e00cef,0xf95dffb5,0x3bffae20,
    0x5fffb00c,0xfffeb89b,0xafffd82d,0x7fff5c4d,0xafffd82d,0x7fff5c4d,
    0xdcdfa82d,0xfffeb84f,0x3fae202d,0x3e600cef,0xffeb882e,0x107a80ce,
    0x019dffd7,0x16ffff5c,0x2dfffeb8,0x5bfffd70,0x017d47a8,0x012a03f7,
    0x6c001103,0x88000880,0x18002000,0x00c00100,0x20060008,0x1802bdb8,
    0x20008800,0x004403da,0x002201a6,0x00300060,0xfb1a6018,0x0005f880,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x000000c0,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00003880,0x3a201d70,0x02666622,
    0x4c806f4c,0x4f9800f2,0x9dfd9500,0xb100f501,0x75c405df,0x800aceff,
    0x01befdb8,0x016f7f5c,0xf101ffa8,0xcb80bf1b,0x4c09f902,0xd800befc,
    0x03be000f,0x000bfe20,0x27f40097,0xf9807e40,0x13ffffa3,0x7417b3e2,
    0x6c003e25,0x79dfb005,0x07b85ff9,0x700bbfc8,0xdb737bff,0x77f4403f,
    0xe883fecb,0x04fecbef,0x4076dfc4,0x400fb8eb,0x0bf26094,0x027dd774,
    0xfb800be6,0x3f7bd000,0xc800ec00,0x7e403f9f,0x0007f300,0x40072695,
    0x0015004c,0x1fb105f9,0xe8027f22,0x201fe406,0x03fb01fc,0x82fa83fb,
    0x44a601fd,0x0351a81a,0x4e807990,0x03ee1fa8,0x0cc00298,0x0550a880,
    0x1007aa88,0xf900a635,0xea8fe601,0x40621e98,0x3e604408,0x7dfb7100,
    0x980fea03,0x09fff92f,0x2a039f31,0x2e30d44f,0x8817dc1f,0xe983e44f,
    0x2e1f4402,0x2e5d100e,0xe85d100e,0x0043f984,0x205bdfd7,0xeeeeeeed,
    0x5403d71e,0x7f7fd42e,0x3eb835c5,0x01f93e88,0x98ea8fe6,0xf107ea1e,
    0x84e85e87,0xfecbefe8,0x0400fc83,0xffff81ee,0x3ea4e80f,0x7d0fbdff,
    0xfa8007c8,0x13e20003,0x4fe601f9,0x87f300fc,0x809f905d,0xfecbefe8,
    0xcccccb84,0x1df11ffc,0x4fa8df10,0x0fd47fb9,0x97d437f4,0x07f300fc,
    0x3ea27c40,0x43642f40,0x41fd81fd,0x07b8006d,0x27980fd4,0x4ffb13f9,
    0x8003745b,0x000adffd,0x01f913e2,0x807e4fe6,0x542e43f9,0xf501efde,
    0x2003fb05,0x427d44fb,0x1d36c1fd,0x221fc457,0x87e40fcf,0x27f300fc,
    0x1f208808,0xf70bd0bd,0x9f102fb8,0xccca85f8,0xf901ee3c,0x98bf35c0,
    0x0bf1e65f,0x7ffed400,0x44f8801e,0x27f300fc,0x87f300fc,0xfd32f86b,
    0x3a60f909,0xb05f9802,0x741fd43f,0x22f40d35,0x2f42f8fb,0x4fe601f9,
    0x3e64e85e,0x0bd05f12,0x003e41f5,0x7ffe4374,0xdb01ee6f,0x41f9a6c0,
    0xdd1ea4f8,0xf9510000,0x44f8805f,0x27f300fc,0x87f300fc,0x83f31de8,
    0x01fd44fc,0x201df100,0x20df16f8,0x3e40774f,0x7f12f576,0x2f980fdc,
    0x5e89d0bd,0x2a17a0f7,0x2001ba1f,0x737400fc,0x3e05e80f,0x45f30f72,
    0x2603ec5c,0x5f8804c1,0x3f227c40,0x3f27f300,0xf507f300,0x1f606fc7,
    0x002b7ff6,0x7d401fe8,0x2bd00fcb,0x0fa8331d,0x3f33dcfe,0x1fa817d4,
    0x7b89d0bd,0x2e17a09d,0x20017e0f,0x737402fa,0x3a03f80f,0x21f70f93,
    0x80fdc2f8,0xb027c6f8,0x644f880f,0x327f300f,0x987f300f,0x8bfe60bf,
    0xfffb506b,0x02fd803d,0x6407ffb0,0xf113a78f,0x8fcc3e65,0xe82fc47b,
    0x89d0bd0f,0xbd01fbf8,0x006e8d90,0x3e605fb0,0x2606fea6,0x7d57602f,
    0x85e9be61,0x1fc80fe8,0x27c40fec,0x1f913e20,0x07e4fe60,0x83643f98,
    0x03fadfe8,0x817fe544,0x3e2004fb,0x4ef7c406,0xd94e80fc,0xf90bb3f8,
    0x45fd757b,0xfd84e85e,0x17617a06,0xb01980fb,0xffb757bf,0x542ff445,
    0x745ee00f,0xebffebae,0x59df300e,0xfd309fd7,0x03ff7579,0x0fdc4f88,
    0x03f72f98,0x80bb0be6,0x00983ffb,0x0bf30bf1,0xf300bf00,0x5b205bff,
    0x02faec4e,0x85bfffd7,0xfa84f85e,0x0fe17a03,0x1be203f7,0x4efffdb8,
    0x4c07b800,0x71bfb12f,0x4c04c9df,0x00adffec,0x1bfffdb1,0x0fe20e98,
    0x47ea05f3,0x83f502f9,0x0fe8804e,0x88fb027c,0x5f8000ef,0xa8013f00,
    0x4fdc2f9f,0xb034c00f,0xfa84f98d,0x1f517a00,0xfc80fe88,0x400f9801,
    0x700db07c,0x3b62005f,0x0003aa00,0x517c407f,0xd05f883f,0x7e82fc4f,
    0x4c4984e8,0x440fec2f,0x000ff44f,0x069805f8,0xf10f9f10,0x40d500d9,
    0x4fea9cfb,0x227c05e8,0x59df303e,0x22009fd7,0x41ea00fb,0x19fb004f,
    0x007fa620,0xfa800d93,0x3aefba03,0xabdfb80f,0x6fdc2ffd,0xf82ffdab,
    0x3ea2f984,0x55e7f4c2,0x3bee1ffb,0x1ccccccc,0x0f2017e0,0xfd05fe80,
    0x599f1009,0x9b5fffb0,0xda80ff6c,0x9301aa2f,0x0015bffd,0x5401fb51,
    0x007f7665,0xccdffea8,0x4400cffe,0x332007db,0x3ff6602f,0x3ffae01e,
    0xffd702df,0x1fea85bf,0x0dfbbfb0,0x37fffb62,0x7ffffe40,0x3e03ffff,
    0x2000a805,0x05f903fb,0x0802f2a0,0xdb807720,0x01001641,0x80379300,
    0x00b72a09,0x5e6e5540,0x1793000a,0x800de400,0x000c0008,0x402db806,
    0x11003dc9,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x400edb6c,0x803f9afa,0x1320d31e,0x00999998,0x91793000,0x20000005,
    0x4400f269,0x300398ab,0x2a002a25,0x8fd80551,0x000000fc,0x50000000,
    0x000001ff,0x775c2ea8,0xef883934,0x9df9001f,0x0bfbea00,0xffff02f4,
    0x17fc405f,0x03ff6fe0,0x40fe8df1,0xefc805fd,0xfbd9000e,0x23ee007f,
    0xb4f802f9,0x03fdd00d,0x70027cc0,0xfa8001df,0x6dbf8803,0x8007f200,
    0x76ea985e,0x0035307f,0x018002a8,0x4ccccc00,0x07ef7a00,0x2f980218,
    0xf9fc83f5,0x40008803,0x4c00310a,0x35001512,0x06a200aa,0x4c00db00,
    0x74005eaf,0x2a253005,0x40176000,0x45b600c8,0xd100eb9a,0x33bf6e05,
    0x2201d702,0x1d70222e,0x1510ba20,0x201d706a,0x198cc2e8,0x5c0531a8,
    0x7002cefd,0x20059dfb,0x702cefdb,0x20ba201d,0x002defeb,0x89540015,
    0x0151000a,0x0b7bfae0,0x06202880,0x74db6044,0x7f300fc9,0xebcffe88,
    0x300fc85f,0x3f22f47f,0x3ae7f300,0x3eeeeeee,0x8fe601f9,0x303d31e9,
    0x3ffa203d,0x2205febc,0x5febcffe,0x2f3ffa20,0x00fc85fe,0x77f447f3,
    0x75c4fecb,0x980baa01,0x2f4c005e,0x32fbfa20,0x5e9804fe,0x7f107ea0,
    0xf95f56d8,0xfd0fe601,0xfc8bf505,0x2f47f300,0x9fcc03f2,0xccccccfc,
    0x2601f92c,0x7d4bea3f,0xfd02fa82,0x3a0bf505,0xd05fa82f,0xc8bf505f,
    0x547f300f,0x221fd82f,0x06f880ef,0x9000ffe4,0x17d403ff,0x3f200fec,
    0xa89f101f,0xafab6c0f,0x47f300fc,0x8bee02fb,0x47f300fc,0x9807e45e,
    0x9001f93f,0xa8fe601f,0xf505f52f,0x5c05f705,0x7017dc2f,0x202fb85f,
    0x403f22fb,0x4c1f23f9,0x6c27d42e,0x275fc01f,0x409d7f00,0x805d307c,
    0x1f204ebf,0x3eadb0bd,0x7f300fca,0x927c03ec,0xe8fe601f,0xf9807e45,
    0xf9001f93,0xfa8fe601,0x5f505f52,0x89f00fb0,0x6c4f807d,0x3f24f807,
    0x7d47f300,0x50fec003,0xc9fa807f,0xc9fa800f,0x007f500f,0x03f27ea0,
    0x82f897cc,0x1f95f56d,0x05f8fe60,0x403f26e8,0xf917a3f9,0x7e4fe601,
    0x300fc800,0xfa97d47f,0x5f82fa82,0x02fc6e80,0x2017e374,0x4c03f26e,
    0x56ffec3f,0xf8b7c400,0x7f36d806,0x0fe6db00,0x00adffd8,0x80fe6db0,
    0x5b60f75e,0x300fcafa,0x2013e27f,0x4c03f27d,0x1f917a3f,0x5fe4fe60,
    0x90aaaaaa,0xa8fe601f,0xf505f52f,0xd804f885,0x36013e27,0x36013e27,
    0x7cc03f27,0xefffda83,0x3f2fea01,0xdd1fc400,0x1ba3f880,0x3dfffb50,
    0x0dd1fc40,0xdb04ebdc,0x403f2bea,0x2017e3f9,0x4c03f26d,0x1f917a3f,
    0x7fe4fe60,0x91ffffff,0xa8fe601f,0xf505f52f,0xdb00bf05,0x46d805f8,
    0x326d805f,0x407f300f,0x202ffca8,0xfb803ffd,0xfb807ee0,0x22007ee0,
    0xf702ffca,0xf880fdc1,0x2adb01fb,0xf301fbaf,0x2f4036c5,0x8be603f7,
    0x980fdc5e,0x3333f92f,0x80fdc333,0x54bea2f9,0xd82fa82f,0x36c5e806,
    0x01b62f40,0x301fb97a,0xf8804c5f,0x401be205,0x5f9999ee,0x26667ba0,
    0xf100985f,0x2667ba0b,0x1bf605f9,0xf35f56d8,0xfb87ea05,0xf98fea01,
    0x2f43f502,0x8fd40be6,0x2f9800fc,0x97d43f50,0x82fa82fa,0x0fea01fb,
    0x1fd403f7,0x3fa807ee,0x0fd40be6,0x203ec09f,0xfff9805f,0x980fffff,
    0xffffffff,0x0fb027c0,0xfffffff3,0x80fea01f,0xbf15f56d,0x1dd11fa0,
    0x7c41dd10,0x40e8fd05,0x64fd05f8,0x05f8800f,0xf52fa8fd,0xd105f505,
    0x81dd101d,0xee880ee8,0x44077440,0x417e20ee,0x440fec7e,0x402fc04f,
    0xa99999fc,0x999fc83f,0x7ec3fa99,0xfc84f881,0x3fa99999,0xb6c01f50,
    0x57bf72fa,0xfd105ffb,0x01df7557,0xffb57bf7,0xdfb80f85,0x322ffdab,
    0x7bf7000f,0xfa85ffb5,0x5f505f52,0x2aaffa20,0xfd100efb,0x01df7557,
    0x2eaaffa2,0xbdfb80ef,0x74c2ffda,0x1ffbabcf,0x2fc02fc0,0x40bf0dd0,
    0x5e7f4c6e,0x5f81ffba,0x02f41ba0,0xd717d5b6,0x4405bfff,0x00ceffeb,
    0x0b7fffae,0xfd70ef7a,0xcfc85bff,0x44cccccc,0x82dfffeb,0x505f52fa,
    0x7f5c405f,0x5c400cef,0x400ceffe,0x0ceffeb8,0x37fffae0,0xfffdb102,
    0x80bf001b,0x87ee02fa,0x07ee02fa,0x1bfffdb1,0x7dc05f50,0x5c07fb61,
    0x205f56fe,0x00088001,0x0de44018,0x7ffe4030,0x207fffff,0xfa97d401,
    0x1002fa82,0x00220001,0x0c000440,0xf0002200,0x4407d80b,0xf101f65f,
    0x3600440b,0xb92fc407,0x01e65403,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x90000000,0x36000009,
    0xeeeb8d74,0x9003cdee,0x00001623,0x70005e98,0x744001df,0x2e000004,
    0x0001fb9f,0x3bbbae00,0x3103eeee,0x00001333,0x2000d440,0x800005fc,
    0x5e8005ea,0x205f8800,0xcfc8d74d,0x05ffdccc,0x803fdfa8,0x7e4001fd,
    0x5fcc001f,0x17e6005e,0x2005f880,0x50003fed,0xccfc807f,0x902ccccc,
    0x500dffff,0x3fa8007f,0x0febea00,0x05e8de88,0xd813afe6,0x20017a6f,
    0x320000ec,0x005f900f,0x5f100151,0x09d7f000,0x01512a80,0x07640000,
    0x00055100,0x07e402f4,0x32000000,0x00d44007,0x300a6550,0xa5c01ddf,
    0xfafb80c9,0x002aabd4,0x880c402a,0x3e601f90,0x3bfb2a04,0x000a600c,
    0x003f27ea,0x0df7edc4,0x2fbf6e20,0x1000a801,0x0037dfb7,0xfc800a88,
    0xefdb8000,0x002a002c,0x033bfb2a,0x19dfd950,0x8800a980,0x32a8111a,
    0xfdfddd15,0xeeeeeb8b,0x83f53eee,0x201f93f8,0x9dfb02fa,0x75c5ff97,
    0x03cdeeee,0x007f36d8,0xfd97dfd1,0x2fbfa207,0x0f5c3fec,0x7f442e88,
    0x003fecbe,0xdddddddb,0x003f29dd,0xebcffe88,0xeeeeb85f,0xfd83eeee,
    0x02ffcbce,0xff979dfb,0xe880f5c5,0x6effff42,0x6ff40995,0x67e47f70,
    0x12cccccc,0xf90fa89f,0xff733333,0x3620bf20,0x9999f90f,0x7c40bffb,
    0x3f601ba3,0xfd81fd81,0x3f21fd81,0x6c3f880e,0x401fd81f,0xccdfddfb,
    0x57f92ccc,0xe8155555,0x645fa82f,0xcccccccf,0x6c417e42,0x4417e40f,
    0x01df90fd,0x997e47f1,0x740bd5fd,0x1f93740f,0x4bd1f200,0xfffffffc,
    0x203fa80b,0x201f92f9,0x41f702fc,0x0bee01fb,0x0bee27c4,0x9ff927c4,
    0x17dc7f10,0xb7404f88,0x7fe401fb,0x21ffffff,0x8bee02fb,0x7f5000fc,
    0x7f517cc0,0xffc97cc0,0xbf13f884,0x40bd5f98,0xf90fc86e,0x44be6001,
    0x2aaff22f,0x03f204fc,0x9807e410,0x333dd04f,0x03e40bf3,0x32003e40,
    0x1fc42fcf,0xfa8000f9,0xfc803f72,0x41999999,0x324f807d,0x01f9000f,
    0x2007e408,0x10bf3f20,0x3e0be67f,0xe86a6bd5,0x1f90fb84,0x47baf400,
    0x827dc0fc,0x07e4006d,0xff982fa8,0x00ffffff,0x0dd000dd,0x0ee8fc80,
    0x006e8fe2,0x03f73740,0xbf000fc8,0x07e4dd00,0xd8006d80,0x747e4006,
    0x7d4fe20e,0xfbdd5d81,0xb0dd1dff,0x5555fe4f,0xebdc0aaa,0x7ec07e44,
    0xcca85f83,0x333f93cc,0x320ff733,0xfa99999f,0xf000bf03,0xf37c800b,
    0x0bf1fc49,0xf71fd400,0x21555557,0x4f8800fc,0x2ff27d80,0x20aaaaaa,
    0xcccca85f,0x332a17e3,0x3e6f93cc,0x43f8fe24,0x219fd5f8,0x7c0febfb,
    0x3fffff25,0x5fc41fff,0x4407e41f,0x643740ff,0xff96ffff,0x017fffff,
    0xd06e817e,0x00dd000d,0x44bf27c8,0x8001ba3f,0x7fffdc6e,0x01f91fff,
    0x9b6017e0,0xfffffffc,0x3f21ba1f,0x21ba6fff,0xf96ffffc,0x23f897e4,
    0x7eafd46d,0x9aefecf8,0x267f21fd,0xfb019999,0x2a01f90d,0x2007e45f,
    0x9557f96e,0x017d409f,0x80fb03f7,0x2603ec19,0x8ee89f21,0x301f63f8,
    0x3339f503,0x333335f9,0x666667e4,0x201b64cc,0x2667f25e,0x07e41999,
    0x00fc9ba0,0x3a27cb74,0x3ea3f88e,0xdd5ffcbe,0xff9bdbd0,0x000fc83d,
    0x07e41fd4,0x17d45fb0,0x207e5ba0,0x80fb04fb,0x01fb85f8,0x01fb8df1,
    0x263e4df1,0x3ee3f8cf,0xfd0df101,0x03ffffff,0xffffffc8,0x807ee7ff,
    0x003f23fa,0x9ba017d4,0xcb7402fa,0x1fc67cc7,0x53a33f6a,0x25ede85e,
    0x8001f900,0x157000fa,0xf302fd80,0x3f603f2d,0x20f10003,0x1fc80fe8,
    0x7e407f44,0x2ff21f21,0x203fa23f,0x567cc1fc,0x001fdaaa,0x1dd10590,
    0x7e41dd10,0x40bf6000,0x817ec6f9,0xf90f96f9,0x3f8047f7,0x0bdbd0bd,
    0xe8001f90,0x017aa005,0x36eaf7f6,0x101f92ff,0xf30001ff,0x5d677cc0,
    0x9df304fe,0x7c89fd75,0x4c3ffe88,0x4febacef,0x1fb80fd8,0x2205d000,
    0xefbaabfe,0x20007e40,0xfdbabdfd,0xabdfd82f,0x0f92ffdb,0x2ec7ffd1,
    0x742f4bea,0xcfc805ed,0x24cccccc,0x73001fed,0x3f6e00bd,0x07e44eff,
    0xf0005fa8,0xfd93079b,0x64c015bf,0x640adffe,0x307ff507,0x815bffd9,
    0x9bf704f9,0xc8099999,0xfeb885be,0xcfc80cef,0x04cccccc,0x09dfffb7,
    0x4efffdb8,0x3ffa83e4,0x93f73bea,0x03bde85e,0xffffffc8,0x007727ff,
    0x8000acb8,0xd803f201,0xbc98002f,0x08000400,0x7f903e40,0x07ec0080,
    0xffffffb8,0x165c407f,0xff900220,0x0fffffff,0x80600030,0x30ff207c,
    0x85e859b7,0x0000005e,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x74407ae0,0xdd900d92,0x98723a87,
    0x0015402e,0x926c0000,0x3b262dc9,0x3a63eeee,0x6c41b20d,0x4c00991d,
    0x6e801512,0x059300dd,0xd81b6dd0,0x2e00ed8f,0x7dc7e43f,0x20298d41,
    0x88ec01a8,0x01c8ea05,0xf91b15b7,0x367f101d,0x81aed807,0x17cc6ddf,
    0x3f201fe0,0x00fee00e,0x2f92f4bd,0xfccffff8,0x4dbbd12d,0x22fe887d,
    0x23ee005e,0x77c402f9,0x04fa800f,0x200fef88,0x7401fee8,0xf05fdb05,
    0xc9c81f69,0x13b3aa00,0x2a0dddd0,0xff95fdbe,0x1f67f109,0x03501760,
    0x04c805f3,0xd02f57d4,0x200bd009,0x8be7fffb,0xfb2c88ca,0x2f41fe88,
    0x02a25300,0x44006a60,0x0353001a,0x48803510,0x8d40aa20,0x02e32029,
    0x26003710,0x7e402201,0xd9fc42fc,0x2205d807,0x0be6111a,0x50111a88,
    0x0a202a25,0x44112f40,0x7cffffd1,0x13ec0882,0x88bd03fd,0x5403d709,
    0xddddd72e,0x76c7dddd,0x1eeeeeee,0x3bbbbbb6,0xdddd71ee,0x936079bd,
    0xeeeeeeeb,0x3007a63e,0x03d300df,0xd300bd30,0x07747e43,0x201f67f1,
    0xbfffd05d,0x740be6bb,0xd75ddfff,0x364ba201,0x92f4bd00,0xf9ffff6f,
    0x8bec5e82,0x4cbd01fe,0x203be25f,0x3332a6f8,0x22cccdfd,0xfccccccb,
    0x33332e1f,0x9f91ffcc,0x0bffb999,0x6667e4bd,0x3ea2cccc,0x00ffe402,
    0x3f200bea,0x917d401f,0x3f893e6f,0x90bb00fb,0x4d7f665f,0xb32fc82f,
    0x4c03f2bf,0x7400fb3f,0xf57c97a5,0x7417cfff,0x1ff47ec5,0x213e6bd0,
    0x01fd84fa,0x2e000bea,0x49f7004f,0x85f900fc,0x4003f25e,0x75fc02fa,
    0x4017d404,0x7d404ebf,0x12fc9f22,0x3601f67f,0x3e62fc45,0x5f885f35,
    0x00fcafcc,0x801f67f3,0x27c97a5e,0x20be7ffc,0x77f7ec5e,0x9f3bd00f,
    0x7f50fec0,0x4002fa80,0xbf3005f9,0x9f300fc8,0x003f25e8,0x3f5017d4,
    0x17d401f9,0x03f27ea0,0x89f22fa8,0xfb3f88ee,0x2f98bb00,0x985f35f8,
    0x1f95f82f,0x03ecfe60,0xf92f4bd0,0x7417cf90,0x7cc77ec5,0x03ffdd06,
    0x06f8b7c4,0x22002fa8,0xef8800ef,0xfa807e40,0x01f92f42,0x6d80bea0,
    0x17d407f3,0x01fcdb60,0x263e45f5,0x0fb3f8cf,0x81fa8bb0,0xfa85f35d,
    0x01f95d81,0x003ecfe6,0x0f92f4bd,0x2f417cf7,0x84fb83f6,0x5406ecfe,
    0xa800fcbf,0x07fa002f,0x7e40ff40,0x7fb99999,0x2aff25e8,0x2a0aaaaa,
    0x747f102f,0x880bea06,0xfa81ba3f,0x2ff21f22,0xbb00fb3f,0x35f887f0,
    0xf887f05f,0x99999f95,0x01f67fb9,0x7c97a5e8,0x3a0be7b8,0x0fec3ec5,
    0x201fd5ba,0xf5003ffd,0x00bf6005,0xffc817ec,0x80bfffff,0x3ffff25e,
    0x3ea1ffff,0x7dc1f702,0x5c05f501,0x5407ee0f,0x3a21f22f,0xb00fb3ff,
    0x5fa8db0b,0xa8db05f3,0xfffff95f,0x1f67ffff,0xc97a5e80,0x20be7b87,
    0x7c43ec5e,0x1fd97a0f,0xa801be20,0x04fb802f,0x7e409f70,0x204fcaab,
    0x2667f25e,0x17d41999,0xf9999ee8,0x7405f505,0x05f9999e,0xa83e45f5,
    0x999fb3ff,0x21763999,0x5ffcbefa,0x7df505f3,0x03f2bff9,0x007d9fcc,
    0x1f25e97a,0x5e82f9ee,0x25fa83ec,0xf01be25e,0x017d400b,0x7cc017e6,
    0x2e07e405,0x7e4bd04f,0x305f5000,0xffffffff,0x2605f501,0xffffffff,
    0x1f22fa80,0xfffb3fc8,0x1765ffff,0xa7467ed4,0x9fb502f9,0x403f29d1,
    0x400fb3f9,0x87c97a5e,0x17a0be7b,0xe9fec0fb,0xbf01fd45,0x1017d400,
    0xdf1001df,0xd80fc801,0x3f25e83f,0x905f5000,0xf533333f,0x3205f507,
    0xfa99999f,0x5c02fa83,0x40e4400a,0x27f0085d,0x4fe0104a,0x27f300fc,
    0x80b2007d,0x0be7b86c,0x00b2017a,0x17e002ea,0x3a02fa80,0x03fd001f,
    0xff101f90,0x03f25e81,0x2fc17d40,0x05f50dd0,0xa86e817e,0x02f5402f,
    0x0bb0ff22,0x972fa8bb,0x25f51760,0x27f300fc,0x0fee007d,0x5f3dc2ec,
    0x7f7007f0,0xf807d980,0x40bea005,0xcccccefb,0x99df71cc,0x32399999,
    0xe8bf500f,0x33333f25,0x0bea4ccc,0x0fdc05f5,0x0bea0bea,0x17d41fb8,
    0xa80bd730,0x1f7ec2fb,0x49fb9df5,0x3ea1ccf9,0x3f24fdce,0x3f67f300,
    0x21cccccc,0x7ecc3fba,0xa8be7b83,0x7dd402fd,0x01f6a603,0x2fa8017e,
    0xffffff90,0x3ff27fff,0x3fffffff,0x17ec01f9,0x7fffe4bd,0x3ea7ffff,
    0x3e203ec2,0x3ec17d45,0x5f517e20,0x200565c0,0x2ccb82cc,0x54166dcc,
    0x2cdb982c,0x3f9807e4,0xfffffffb,0x6d416645,0x70e49302,0x0599005b,
    0x0000bca8,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x9f300000,0x998809f1,0x80000199,0xa80351b8,0x8ab8801c,0x542a2039,
    0x40db6e81,0x2253003c,0xb8fc800a,0x3c9a601f,0x00000000,0x00000000,
    0x00000000,0xfffff980,0x2f7d4111,0x3ffffd40,0x13ffffa0,0x03ffdbf0,
    0xdc802fc8,0x3e603ffe,0xfdf109f2,0x5dffd701,0x03f57d80,0x200bfba0,
    0x2200eefc,0x802cefdb,0x402defeb,0x01befdb8,0xbffb31d7,0xdfd95005,
    0xefdb8019,0xdb83ec1c,0x55102cef,0x51ba1555,0x33310015,0x99988033,
    0x098a2009,0xa800a980,0x0a880310,0x206a6035,0x0fdbccf9,0x00544a60,
    0x22002a88,0x5eff4400,0xfd105fec,0x209fd97d,0xeb98acfa,0xbdfcfc83,
    0x3f603feb,0x82ffcbce,0xfebbdfe8,0xffd11b26,0x4c0bfd79,0x775ddc1e,
    0xeb82ceee,0x3eeeeeee,0xeb817a60,0x3ae5d101,0x3eeeeeee,0xeb817a60,
    0x3eeeeeee,0xbaec0f4c,0x74c04f8a,0x02f4c005,0xddddddd7,0xa81ee87d,
    0xd82fa84f,0x880fd41f,0x40ffe44e,0x82fc81fd,0x0ff40fd8,0x7458a7d4,
    0x505fa82f,0x333f205f,0x320efeec,0xcccccccf,0x407ff202,0x3f880efc,
    0x999999f9,0x0ffe4059,0xcccccfc8,0x417d42cc,0x2002574f,0x32001ffc,
    0x99f901ff,0x5c599999,0x90bf202f,0xf88ba60f,0x227dfd51,0x4c0ff22e,
    0x301fd43f,0x701fdc5f,0x17dc395f,0x5f505f70,0xf707cbc8,0x80007e4b,
    0xff904ebf,0x3f27f109,0x9d7f0000,0xa8003f20,0x2b8ee82f,0x013afe00,
    0xf904ebf8,0x101b6001,0x003fa89f,0x744be695,0x017e4952,0x400fc8bf,
    0x7fc03ec0,0x27c03ec0,0x333217d4,0x7e4bee07,0xc9fa8000,0x2fcfc80f,
    0x00fc9fc4,0x0fc9fa80,0x2a000fc8,0xceff982f,0xfc9fa800,0xfc9fa800,
    0xf000fc80,0xfb0bf009,0x4b6015bf,0x64d1045c,0xdb1ba01f,0xd00bf000,
    0xdd00bf0f,0xccd85f50,0x7e53e607,0xf36d8000,0x1dd1f907,0x00fc9fc4,
    0x07f36d80,0x7d4001f9,0x7fff9102,0x07f36d80,0x20fe6db0,0x3f8800fc,
    0xfb507d80,0xb0e83dff,0x1f90f807,0x217e3ec0,0xf13cccca,0x441fb009,
    0xa87d804f,0x03e6ec2f,0x555fe5be,0xf880aaaa,0x4df21ba3,0x7e4fe24f,
    0x0aaaaaab,0x21ba3f88,0xaaaaabfc,0x2017d40a,0xf103fdcb,0x3e203747,
    0x2ff21ba3,0x20aaaaaa,0x406e804f,0x362ffca8,0xf1088972,0x8dd007e4,
    0xffffc86e,0x1b6017e6,0x21b6017e,0x3e7742fa,0x7ffe5fa0,0xb81fffff,
    0xf907ee0f,0x93f897e4,0xffffffff,0x7dc1f703,0x7ffffe41,0x17d41fff,
    0xb83f4ae0,0xb807ee0f,0xf907ee0f,0x3fffffff,0x22fc02f4,0x5cbf1009,
    0xa9ec1f14,0x6f803f25,0x9ba007e4,0xd85e806d,0xfa85e806,0x203e7742,
    0x3333f96e,0x27ba0333,0x3e45f999,0x27f11dd1,0x999999fc,0x3333dd01,
    0x999fc8bf,0x2fa81999,0xf92b8ec4,0x26667ba0,0x267ba05f,0x4fe45f99,
    0x64199999,0x87f70c1f,0xf89f604f,0x6cbfbd70,0x7c403f22,0x3a017d44,
    0xfa807ee6,0x2a01fb83,0x7c2fa83f,0xcafc07cf,0x3fe6000f,0x20ffffff,
    0x7c67cc7c,0x4c001f93,0xffffffff,0xa8003f20,0x2575f82f,0xffff984e,
    0xf980ffff,0x0fffffff,0x744003f2,0x1beffa0e,0x13e207f6,0x9b04c1d7,
    0x3f900fc8,0x3e605fb0,0x2203ba26,0x0ee880ee,0xfa80ee88,0x503e7fc2,
    0x8003f27f,0xa99999fc,0x3f21f23f,0x001f93fb,0x4ccccfe4,0x003f23fa,
    0xcfc82fa8,0xfc81fcbc,0x3fa99999,0x99999fc8,0x003f23fa,0xeaabff88,
    0xcfe982ff,0xb81ffbab,0x0bd711be,0x7e55c1f9,0x2af7f606,0x7442ffdb,
    0x0efbaabf,0x2aaffa20,0x5f500efb,0xf107cff8,0xf0007e4f,0x0f93740b,
    0x3f27ffd1,0xe817e000,0xa8003f26,0xbfff902f,0x6e817e05,0xc9ba05f8,
    0x7644000f,0x84fdbeff,0x0dfffed8,0x37ffb260,0x3a21f902,0x6dc00dff,
    0x2204efff,0x00ceffeb,0xceffeb88,0x990bea00,0xfb9999f9,0x6667e43f,
    0x3ea4cccc,0x3e47ee02,0x9f93ffa8,0x49999999,0x47ee02fa,0xccccccfc,
    0x2017d44c,0x80bea03c,0x80bea1fb,0x999f91fb,0x88099999,0x02202cc0,
    0x08000200,0x10003000,0x00440001,0xff902fa8,0xc819dfff,0xffffffff,
    0xbf101f67,0x93fc81f2,0xffffffff,0x3e203ecf,0xffffff95,0x02fa8fff,
    0x80fb00d4,0x101f65f8,0x3ffff2bf,0x0007ffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00001000,0x04000000,0x00008000,0x5d100eb8,0x355307d1,
    0x407b6200,0x01befda8,0x04d803ea,0x035c01f5,0x1003bf93,0x4037dfb7,
    0x1ae03eec,0x7f5c405d,0xceec881c,0x2dc35c00,0x033260d7,0x2dc0ef5c,
    0x15bfd930,0x0ddddddd,0xca801993,0x20f53efe,0x81befdb8,0x17f300fc,
    0x7f7f447f,0x676c00ef,0xcbefe80f,0x0ffc83fe,0x3ff20d70,0x2201f300,
    0x5407dadf,0x3eb98acf,0x81f98d98,0x882e40f9,0x21fdabfe,0x06eabee8,
    0x9926c1ec,0x2e0a62e0,0x01f87b9e,0x9ff79ff3,0x099999bf,0x7f405317,
    0x2fefdbbd,0xecbefe88,0x9807e43f,0x07ec553f,0x8e4c07f5,0x5c0fe42c,
    0x407c5c2f,0x1f1701f9,0x7dc05d10,0x3ea05f10,0x2209d101,0x982e886c,
    0x5e85f707,0x01fa87ea,0x3e8ba07e,0x93609910,0xfe816e1f,0x8017fdc0,
    0x07b604c8,0x0fec1bee,0x01f90fec,0xa8762fe6,0x54404f82,0x3e04f882,
    0x3e80f887,0x2e407c40,0x0fd47ee0,0x7774cfc4,0xb505d11d,0x3e05c81b,
    0x22987c81,0x9807dc7b,0x26be6627,0xaa980af9,0x44ba3e81,0x207f501f,
    0x404402fe,0x220bee08,0x17dc2fee,0x03f24f88,0x981777cc,0x3205fdca,
    0x4003ffff,0x207c41fc,0x40f8805c,0x774400ea,0x269505fa,0x1254f516,
    0x01d51f41,0x007e41ec,0x5c09d1b2,0x3fffffa5,0x3fa25fff,0x5320effe,
    0x640b70f8,0x805f700f,0x1b64e85e,0x322fc674,0x807e4007,0xfff303f9,
    0x3ee0bf7b,0x2aa1f90b,0xcaaaaaaa,0xf307c43f,0x441f1001,0x9ff5001f,
    0x226996c0,0xbafa9a27,0xb803f11f,0x6402fa86,0x2e803ee6,0x361ae5b8,
    0xf98fea0f,0x403f16db,0x2b3ea07d,0x217a1aaa,0x97617a4e,0x2003747f,
    0x07f300fc,0x05f81df1,0xf89c88df,0xffffffff,0xf10c84ff,0x41900445,
    0x7d40444d,0x4c3a04fe,0x07c2eeef,0x226c3995,0xf907c408,0xd903ffff,
    0x0f880fdc,0x2a1324d8,0x164c4f82,0x1ba044b9,0xffffffa8,0x453a17a4,
    0x1f63644f,0x0fc800bf,0x5f307f30,0x3f885f98,0x4cccf7c0,0x403fa999,
    0x03bbba4d,0x45e88d70,0xf15fb4fb,0xc9e996c5,0x35c03c45,0x88ba17a2,
    0xd9019ee9,0x35417f44,0x980fa2f8,0x4405fdca,0x6c9ff91f,0x266fea07,
    0x3a17a099,0x40eb93e4,0x2003746d,0x05f301fb,0x3fea27be,0x7402f985,
    0x80bf200f,0x03e9266a,0x8bfd03e6,0x07eff45e,0x24d9a697,0x207cc05a,
    0xe84c85fe,0x36236405,0x3b22643f,0x4eefeeef,0x3ef7ffe6,0x8f9ae405,
    0x5c0f91e8,0x742f402f,0x407d5be4,0x2603ec4f,0x7d40be61,0x5dffb501,
    0x509f10f9,0xfe80ff21,0x2603f100,0xbb0fa01f,0x2227c4b7,0x4c7c45ff,
    0x016c7e26,0x0b7bb0fa,0x403f88d5,0x7c1f906c,0x6557e542,0x1df11aaf,
    0x43e205f8,0x17d5326b,0x2f402fd8,0x3f7f727c,0x1fb85f50,0x2fc4df10,
    0x208807e8,0xf88df03b,0xf501df12,0xfb81f409,0x1d717202,0xfd86e8b7,
    0x204f5c0e,0x2e404d88,0x2216e3ae,0x3201ae1f,0x98fd4316,0x435cb707,
    0x02fcc2f9,0x4b92dc99,0x17fd40ef,0x49f31b60,0xee882ff8,0x6407f440,
    0x55f7dc1f,0xd8002feb,0xb33bf503,0xa9befa8d,0x0d700efc,0x0fa807b2,
    0x727ffff4,0xfbfd55df,0x11beb81d,0x0fa80bd7,0x427ffff4,0x9bddf73d,
    0x65b21955,0x16e6d9af,0x3e09b26c,0x05ffa89e,0x5d3cc1f1,0x7ece7fd4,
    0xcccccdfc,0xfd539f71,0x55fffc49,0xf300efca,0x09fd759d,0x0b7fffae,
    0x076fd400,0x2073ffea,0x04efffd9,0x3bee03e6,0x017c43ee,0x3ffee16e,
    0x9303f51e,0x8805bffd,0xb82dc02f,0xfd759f75,0xfd9b23ff,0x7c0f61df,
    0x7ed40fa2,0x9b07caef,0x981dddb0,0xff9beffe,0x362fffff,0x3a4dafff,
    0xcefffd8b,0x7ff64c00,0x001800ad,0x04035300,0x33001100,0x02666620,
    0x40110053,0x00800808,0x02200a60,0x006200c4,0x41804c04,0x80044009,
    0x1003300a,0x06008000,0x00400022,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x5c07d300,0x3a61eb8e,0x5407aa01,0x02b92602,0x1006f4c0,0x2b92609d,
    0x03d51d50,0x107b0000,0x4c073177,0x200000de,0x07ae005d,0x003a8dc8,
    0x75c1aef6,0x02b92604,0x23aa0154,0x37a601e9,0x2206d800,0x2fa89f3f,
    0x3f407ee0,0x103f77a0,0x67c41ffb,0x803ee05d,0x76c07dde,0xffff903f,
    0xffeed80d,0x1ffeeec5,0x206dde88,0x204ffffd,0x4f8803f8,0x001efe80,
    0x3e61ef3a,0x377a03fb,0x007f400f,0x203d31d5,0x4406dce8,0x24ce600c,
    0x3f7017d4,0x0a6012e0,0x32a167e4,0x03701c88,0x79100530,0x04cccc40,
    0x0b7eaaa0,0xca802215,0x33101c88,0x03980133,0x6f4c0498,0x6a74006d,
    0x401953b8,0x01970029,0x2232a000,0x00aa201c,0x0bea02aa,0x2a881fb8,
    0x6c0d54c0,0x10880886,0x2aa01101,0x20154400,0x54c01aa9,0x055409d1,
    0x22005540,0x0aa800aa,0x8806aa20,0x2603e988,0x10579d1a,0xaa880355,
    0x00554400,0x51002aa2,0x7ffe4015,0xffffc83f,0xf7017d44,0x3ffffc83,
    0x77ff7f44,0x217a1760,0x89d0bd4e,0x904ffffc,0xe887ffff,0xe80effef,
    0xc84fdfff,0xf904ffff,0x3f209fff,0xff904fff,0xdff509ff,0xffd503df,
    0xfffd01ff,0x3fea09db,0xffc81efe,0xfff904ff,0x3fff209f,0xffff904f,
    0x3217f709,0x5c4ff20f,0xb80bea3f,0x642fee1f,0xfa83f60f,0x217a1763,
    0x49d0bd4e,0x87f713fc,0x41f90bfb,0x90fea0fd,0x913f665f,0x90fee27f,
    0x70fee27f,0x90fee25f,0xf0fee27f,0x3ee27c49,0x644fd98c,0x209fb32f,
    0xf713e24f,0xf70fee25,0xf70fee25,0xf70fee25,0xdf0fee25,0x0bf11c88,
    0x7017d4fd,0x32237c3f,0xd93e0aa1,0xd4e85e85,0x17e29d0b,0xc88df1fa,
    0xf13e0aa1,0x3e24f98b,0x17e27e85,0xfb0bf1fa,0x13f42fc4,0x3e20889f,
    0x22fc6f86,0x44f884f9,0x3ec2fc08,0xbf1f617e,0xd85f8fb0,0xf300fe27,
    0x3ea1f907,0x7c47ee02,0x372a6003,0x17a1765f,0xa742f53a,0x10fc83f9,
    0x654c007f,0x20fe65fd,0x320fe64f,0xf907f30f,0x33337e61,0x07f30fec,
    0x67fec1f9,0x7c83f982,0x413e0fe6,0xf982cffd,0x0feccccd,0xd9999bf3,
    0x3337e61f,0xbf30fecc,0x21fd9999,0x0fd402f9,0x02fa8fd4,0x017cc7ee,
    0x7defffcc,0x217a1765,0x29d0bd4e,0x31fa81fa,0xfff3005f,0x0fd4bf7b,
    0x503f5274,0x2a07ea3f,0xddddf31f,0x07ea1ddd,0xffb507ea,0x5c17cc5f,
    0x9d03f51f,0x17ffed40,0xddddddf3,0x3bbbe61d,0xdf30eeee,0x21dddddd,
    0xeeeeeef9,0x1509f10e,0xa9f20fe6,0x0fb8972f,0x221509f1,0xbb2fc0ef,
    0x3a9f0bd0,0x07f34f85,0x5427c4f9,0x5f81df10,0x993e0fe2,0x3e67c83f,
    0x0fe27c83,0x1f20fe60,0x3e27ea88,0x7f10fd83,0xd51009f0,0x4401fc4f,
    0x03f8803f,0xdf003f88,0x0df12f88,0xfb97d4df,0x88df1f20,0xf985f32f,
    0x31b61765,0x9f31b69f,0xf1be1be2,0x5f32f88d,0x237c5f98,0x21be24fa,
    0x3e1be26f,0x12ec37c6,0x7ccdf0df,0x0dd07dc2,0x7d46f8df,0x7dc2f984,
    0xf1761be0,0x86f8bb0d,0x2ec37c5d,0x1b6677ea,0x5fb53bf7,0xadf897d4,
    0x4efd45fb,0x44f7c6d9,0x21765ffa,0x4fea9cfb,0x9fd539f7,0x7ed4efdc,
    0x6ccefd42,0x7d44f7c6,0x5cefd45f,0x4efdc4fe,0x6fdc2fda,0x7d42fda9,
    0x5c2fc9ad,0x42fda9df,0x46ea8aed,0x1fea9dfb,0x7f54efd4,0xd515db04,
    0xc9adfa8d,0x4d6fd42f,0x56fd42fc,0x6fd42fc9,0xfa82fc9a,0xffb81cff,
    0x517d42ef,0x3ea0bffb,0x7ed41cff,0x1767caef,0x26d7ffec,0x89b5fffb,
    0x502efffb,0xda839fff,0xa87caeff,0xb84dbffe,0xf702efff,0x3ea05dff,
    0xff703dff,0xffb105df,0xffd501bf,0x3ffaa03d,0xffb104db,0xfff501bf,
    0x3ffea07b,0xbfff503d,0x37ffea07,0x08800403,0x01000800,0x02ec0110,
    0x44002002,0x11001000,0x11000400,0x44002200,0x20011000,0x20011000,
    0x10008000,0x40022001,0x00110008,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x005d80bb,
    0x6dc40551,0x80baa02d,0x101e98ea,0x4c073157,0x0bb000de,0x75401eb8,
    0x80002e98,0x53601aa8,0x1a98444d,0x07b17b10,0x00ba6ba6,0xcccb8176,
    0x0baa02cc,0xea82b926,0xae981e99,0x54c222e9,0x3f504c81,0x6403f980,
    0x7c43ffff,0x3604fdbe,0x3a63aa06,0x5ffbbb01,0x01b73a20,0x17a007ee,
    0x05d31d50,0x217ffff6,0x81efeffa,0x6ec0fdf9,0xf706fffd,0x5efc80db,
    0x3e01fa80,0x203eeeee,0x1f77a05e,0x3204eed8,0x7ee745ee,0x417a0eff,
    0x4073002b,0x41f90bfb,0x407ee0fc,0xa80000c8,0x46540110,0x015c01c8,
    0x20000488,0xf8099998,0x65413e24,0xf70dfd81,0x20032e07,0x02b800cc,
    0xc8800be2,0x22014c00,0xe84c804c,0x747f50cf,0x400aa885,0x8df00aa8,
    0xf30ee1c8,0x40440447,0x54c01aa9,0x0d54c01a,0x3006aa60,0x15500355,
    0xf1015500,0xaa880889,0x27c1fd81,0x2200d54c,0x0aa800aa,0x44001f50,
    0x2022552a,0x10155008,0x03fa1101,0x3f22f49f,0xff904fff,0x03f889ff,
    0x2f43f900,0xfdfd1274,0xefe881df,0x7f440eff,0x7440effe,0x440effef,
    0x80effefe,0x904ffffc,0xfb09ffff,0x3fea059f,0x21b61efe,0x3fbfa25e,
    0xfffc80ef,0xffff904f,0x80a6f709,0x1fffefd9,0xfc89d0bd,0x42f44fff,
    0x4bd0dd4e,0x225f71de,0x897dc3fb,0x00be63fb,0x5e87fb70,0xa83f64e8,
    0xf507ec3f,0x3ea0fd87,0x7f507ec3,0x0fea0fd8,0x0fee27f9,0x0fee27f9,
    0xf0bfff6a,0x0bb27c49,0xf507ecbd,0xf712fb87,0xf713fc87,0xfffefd87,
    0xf98f7c44,0x49d0bd0f,0x47f713fc,0x0bd4e85e,0x5fb7f4bd,0x6c2fc7d8,
    0x02a13e27,0xbd0fffa2,0x7c1549d0,0x227c1544,0x1544f82a,0x3e0aa27c,
    0x9fa17e24,0x207e85f8,0x13e27ea8,0x2f42ec11,0x5f89f055,0x217e27d8,
    0xc897f47e,0xdc87f22f,0x29d0bd3f,0x3a7e85f8,0xd0bd4e85,0x6fcc774b,
    0x30fecccc,0xfd9999bf,0x0be237c1,0x42f49f50,0xfdca984e,0xbfb95305,
    0x17f72a60,0x82fee54c,0x265fdca9,0xf30fc83f,0x3e61f907,0xffb07dc2,
    0xbd0bb059,0x4bfb9530,0xeccccdf9,0xf907f30f,0x3ecbd001,0x42f57ad7,
    0xf907f34e,0x753a17a1,0x2bfb5e85,0xeeeeeef9,0xddddf30e,0x6fd41ddd,
    0xdd006d99,0xf32742f4,0x98bf7bff,0x45fbdfff,0x5fbdfff9,0x7defffcc,
    0x5efffcc5,0x2a07ea5f,0xf503f51f,0x754576c3,0x2fffda86,0xf997a176,
    0x265fbdff,0xeeeeeeef,0x3f503f50,0x5ba1f700,0x17abd0f9,0x540fd53a,
    0x29d0bd1f,0xbd75e85e,0x3e200fe2,0x3ffea003,0x3e40dc1c,0x3e29f0bd,
    0xdf12fc0e,0x3be25f81,0x1df12fc0,0x03be25f8,0x641fccbf,0x1f20fe67,
    0x01bfffb1,0x0bb3f544,0xf03be2bd,0x4c01fc4b,0x2a27c83f,0x23f67c81,
    0x17a9f12e,0x641fcd3e,0x753e17a7,0xf97a5e85,0x437c5d86,0x203f305d,
    0x1b64f86e,0x30be69f3,0x2617ccbf,0xf30be65f,0x3e617ccb,0xbf30be65,
    0x137c37c4,0x2e0df0df,0x5c2f980e,0xf9af400f,0x1be2fcc2,0xf86f8976,
    0x727c3746,0xd9fd49df,0x6f8a7cc6,0xf31b66f8,0xbd015909,0x7e4d6fd4,
    0x64d6fd42,0x03f5102f,0x1fb539f5,0x7f54e7dc,0x3ea27be4,0x544f7c5f,
    0x44f7c5ff,0x4f7c5ffa,0x77c5ffa8,0x5c5ffa89,0x42fda9df,0x2fda9dfb,
    0x3b60d910,0xf806ea8a,0x3ea27be4,0x4d6fd45f,0x4efdc2fc,0x67d42fda,
    0x3e21fea9,0x2e6fc9bf,0x24fea9cf,0x2fda9dfb,0x3faa73ee,0x5e84fb84,
    0x81efffd4,0x103dfffa,0x36a01fd9,0xffd81cff,0x3f6a4daf,0x6d47caef,
    0x547caeff,0x47caeffd,0x7caeffda,0x6577fed4,0x2efffb87,0x05dfff70,
    0x6c417b2a,0x2a00dfff,0x3ff6a2fd,0xffa87cae,0xfff703df,0x3ff6a05d,
    0x7fe74c1e,0x7ffec0be,0x7ffdc4da,0xafffd82e,0x4275d44d,0x2001105e,
    0x05544008,0x80080040,0x00110008,0x00440022,0x02200088,0x2a600440,
    0x2e001001,0x4001102d,0x00110008,0x010cc022,0x00220010,0x01597002,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20037600,0x8883dda8,0x536181a8,0x03008808,
    0x711769b1,0x8ea87117,0x030001e9,0x26005544,0x4c22111a,0x07d1000a,
    0x0003d800,0x075c04c4,0x20312e88,0x111a8808,0x2e022062,0x36a00bdd,
    0x166d401c,0x400be600,0x745fdcfd,0xb3d47fec,0x213a17ab,0xfa8fb86c,
    0x1ffeee41,0x907a63aa,0x7a8bffff,0x09ffff90,0x5377fbf6,0x05fefede,
    0x7f5c4f88,0x5cc4e803,0x3ea00bee,0xf300fc82,0x7f107ea7,0x5ddfffe8,
    0xfd8d90f9,0x9fd07fcc,0x9ff10bf9,0x154009fb,0x3ea1fb80,0x70673fa2,
    0xe85e9ccf,0x72b86d84,0x00221505,0x04cccc40,0x44bee1ee,0x897e43fb,
    0x21bfd4fd,0x27c403fb,0xd0015bf3,0x75df7cc9,0x9039300f,0x44fe601f,
    0xf907d44f,0x3e57f665,0x445f5364,0xf50fd43f,0x3e60fb83,0x44355302,
    0xd0bd00aa,0xfc883f4b,0xd0bd0d89,0x109ed889,0x20221101,0x21101108,
    0xf9108808,0x3ec2fc13,0x3a9f317e,0x2203740f,0x9807ea4f,0x23e49d1a,
    0x640604f8,0x647f300f,0x8bf12f47,0xd90f95f9,0x3214c2f4,0x17a1fc47,
    0xfdfd117a,0x9ffff7bf,0x74d907f0,0x89fffb06,0x7f44e85e,0x9d0bd2ff,
    0x2f53a17a,0x4e85ea74,0x3e69fff9,0x0feccccd,0x3a9f07f3,0x2200fc86,
    0x033f714f,0x49fbfffd,0xf307c83d,0x2601f903,0x7c4be63f,0x57e0be62,
    0x4fe6c87c,0xa87ee008,0x320fe22f,0xff9076c6,0x7f117d47,0x702f4f90,
    0x13a17a0f,0x9d0bd1b6,0x2f53a17a,0x4e85ea74,0xdddf31ee,0x3ea1dddd,
    0x709d4e82,0xea7c401f,0x97e47fff,0x5e804fd9,0x1f901f70,0x2bd0fe60,
    0x6c0fd47b,0x22d90f95,0x02effdaf,0xd07fbbf9,0x41b8ff0b,0x266e86f8,
    0x17a7b82f,0xf0bd07b8,0x85e8db09,0x29d0bd4e,0x0bd4e85e,0x3e23dc9d,
    0xf84f9803,0x80fb0dd4,0x203ee4f8,0x2027cc5f,0x05f981fd,0x0fe601f9,
    0x0fe13af7,0x361f2bf1,0xb35bff36,0xffdf703f,0x7dc5f707,0xfdca880f,
    0x27ecccce,0x3a7c82f8,0x36c1ee05,0x9fd713e6,0x753a17a3,0xd0bd4e85,
    0xb93a17a9,0x45d86f87,0xfea7cc6e,0x3e202fc0,0x7f303ee4,0x17ec09f0,
    0xfc8077cc,0xf887f300,0x546d81fb,0x7c43f95f,0x89f0ff36,0x113ea1fd,
    0x8f9dfdfb,0xefbdefe9,0x10eeeeee,0x2f4d907f,0x33ee0f70,0x75c4fea9,
    0x9d0bd1cf,0x2f53a17a,0x4e85ea74,0x2b7ea1ee,0x6fd42fc9,0xdfd4fea9,
    0x8803fb35,0xf503ee4f,0x3ee09d03,0x200ee882,0x05f301fb,0x3bea0dfb,
    0xdf95ffcb,0x3e2dfb55,0x427c7c84,0x7159306d,0xf106fc4d,0x3613e009,
    0x07b817a5,0x136bfff2,0x9f0bd1b6,0x2f53e17a,0x4f85ea7c,0x7ffd41ee,
    0x7ff9303d,0x3ff37a9d,0xf1074c1e,0x3e207dc7,0x0db04f83,0x5f3003ea,
    0x3ea07ea0,0x233f6a03,0xdff9f94e,0x3e427cd9,0x01f705f1,0x217ccbb0,
    0x646e86fb,0x2ae1fc47,0x20807b80,0x36c6d81e,0x2636d3e6,0x4f98db4f,
    0x2e4f98db,0x08025c07,0x2012f53a,0xb87ea2f8,0x7d46f80f,0x3ee07b04,
    0x5f897cc0,0x03ea0fd0,0x2f93f804,0xbf0db008,0x6c5e85d8,0x37e1fc45,
    0x9dfdfb89,0x77c41fc9,0x5ea86faa,0xf001bfa8,0x2e17f901,0x74fea9cf,
    0x29fd539f,0x4fea9cfb,0x9fd539f7,0x4c80dfd4,0x0bd4e800,0x3faefba0,
    0x3ea03ee0,0x004feb9d,0x236c4f88,0xffdabdfb,0x2ec0bd02,0x403e4bea,
    0x1fd99df9,0x7ecce7d4,0x7545fcc1,0x1effea85,0x205bffd3,0x4c1dfff9,
    0x5fe885eb,0x4c97db00,0x3fff64fe,0x3fff64da,0x3fff64da,0x3fff64da,
    0x17fa24da,0x800667d4,0x2600bd4e,0x7dc1effd,0xb7ffd500,0xfb813609,
    0xeb82ffce,0xed82dfff,0x33bea01f,0x401f24fd,0x502effe9,0x2e039ffb,
    0x0200cffe,0x40100088,0x00000aca,0x04003791,0x40040040,0x3ca80000,
    0x01dcae00,0x07dc0220,0x037c0020,0x2002b2a2,0x400ee401,0x2542cdb9,
    0x04002200,0x00000100,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00990000,0x6777775c,0x91621b02,
    0x201d7009,0x04eb82e8,0x40091175,0x8e4c006b,0x984e881b,0x2f42e9ae,
    0x7b117600,0x105c87b1,0x8d91b27d,0xeeeeeeeb,0x13ae03ee,0x8fa65d50,
    0xd700eacc,0x70054c03,0x3641b71b,0x00bd26c0,0x776667e4,0x76f5c0ef,
    0x1333bf23,0x3f9807e4,0x2a1fdfd4,0x3e65ffde,0x0f91ffff,0x7ff67c40,
    0xf900fc80,0x400bb0bd,0xedfa81fa,0x7e41fcc0,0x547d8fb0,0xccdfdccc,
    0x7f7f502c,0x43f22f40,0xf881fade,0x1017dc04,0x07d85fbd,0x8017a5e8,
    0x10bf507c,0xccefc815,0xfffffd84,0x24ffffff,0x0cc1953b,0x43333303,
    0x019999fc,0x03900c51,0x04980cc8,0x0cb80ae0,0x27cc1fb0,0xfa80d0fb,
    0x32a79002,0x1b80c880,0x01cc16bd,0x32600e54,0x5e807d83,0x900d457a,
    0x0c17dc0f,0x983535e8,0xaaaaabfd,0x88181dfb,0x40c03530,0xfffffffc,
    0x4c220603,0x1a98441a,0x553089d8,0x441a8888,0x4f881a88,0x5c7d83f6,
    0x8817d404,0x82204c40,0x1cef4301,0x06666666,0x83333333,0x21999999,
    0x3a5e807d,0x905fffce,0x7cc4f80f,0xfffdee81,0x4c03f20e,0x741f983f,
    0x40efffdc,0x55fe41f9,0x983feaaa,0x7fee741f,0xffb9d0ef,0xfbbb01df,
    0x3b3a1dff,0x3ff6747f,0x43f98fc8,0x7d400c7d,0x3fb8db02,0x4c1f99fc,
    0xff30bd1f,0x263fffff,0x1fffffff,0xfffffff3,0x97a01f63,0x07f70dfe,
    0x4c6e80f9,0x70cfe81f,0x6667e47f,0x983fdccc,0xa867f41f,0x320fcc3f,
    0x3e61fa07,0xfa867f41,0x3ea19fd3,0xf50dfd83,0xd0673fa9,0x3e20339f,
    0x007d86ec,0x1f502fa8,0x23f32ff4,0xe8fcc1f9,0x809f3005,0x27cc04f9,
    0x2f4298fb,0x7c7e81fd,0x744fffff,0x7f40fcc7,0xfff927c0,0x07ffffff,
    0x40fe83f3,0x320fcc4f,0xf303f207,0xa7c0fe83,0x6c27c0fe,0x07eaf41f,
    0xecc981fa,0xfb1cceff,0x3f732200,0x4fe20ccd,0x99b27df8,0x5e8fcc1f,
    0x4405f880,0x22fc405f,0xbd07e47d,0x307e4374,0xe81333fb,0x3740fcc5,
    0x201f92f4,0x41f983f9,0x7cc5e86e,0x0bf03e41,0xe86e83f3,0xb0bd0dd5,
    0x81badb0f,0x3332606e,0xfb1cccef,0x3f732200,0xaaec0ccd,0x4c9d1f9f,
    0x5e8fcc1f,0x10077440,0x774401dd,0xd0a63ec0,0x07dc274b,0x989f01f2,
    0x5e85e81f,0x1fcc03f2,0x217a0fcc,0x320fcc5e,0xfda9999f,0x2f41f982,
    0x5e85eaf4,0xbd6d86d8,0xbd002f40,0x2a001f60,0xae5ee02f,0x3e61f8bf,
    0x05e8fcc1,0x3f6007ec,0x6c07ec00,0x1ba5e807,0xa81f21f6,0x740fcc2f,
    0x03f25e85,0x0fcc1fcc,0xf317a17a,0xfffffc83,0x83f304ff,0x0bd5e85e,
    0xdb0db0bd,0x205e817a,0xfffffffb,0x5000fb2f,0x74fcc05f,0xf98f7bb3,
    0x05e8fcc1,0x3fb007f6,0xfb01fd80,0x07f4bd00,0x441f21be,0xe81f986f,
    0x03f25e85,0x0fcc1fcc,0xf317a17a,0xaaabfc83,0xd07e6009,0x217abd0b,
    0x6d86d85e,0x102f40bd,0x333bd333,0x2a001f61,0x8fef402f,0x0fcc4efa,
    0xc82f47e6,0x017e402f,0x07d80bf2,0x2bffa5e8,0xcfc81fe9,0x81ffdccc,
    0xe85e81f9,0x7cc03f25,0x2f41f983,0x907e62f4,0x83f3000f,0x0bd5e85e,
    0xdb0db0bd,0x005e817a,0x667ec17a,0xf501cccc,0x227fc805,0x20fcc2ff,
    0xf50bd1f9,0x2355555b,0xaaaaadfa,0x5555bf51,0x3333f635,0x74bd1ccc,
    0x900cffcc,0x19dfffff,0x17a07e60,0x300fc97a,0xe83f307f,0x0fcc5e85,
    0x3e6001f2,0xeaf42f41,0x86d85e85,0x2f40bd6d,0x3f60bd00,0x02ffffff,
    0x5f9805f5,0x20fcc3f4,0xf90bd1f9,0x29ffffff,0xfffffffc,0xffffff94,
    0x3ffff69f,0x40bd2fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x70000000,
    0x059ddddd,0x805d35d3,0xeeeeeeed,0x3209b4ee,0x2b74d805,0xcdeeeeeb,
    0x3b63c803,0x1eeeeeee,0x975403d7,0x1cdeeeec,0x7777775c,0xdddd53ee,
    0x1321dddd,0xc817a600,0x0eb80994,0x4baa5d10,0x9f6c05eb,0x2ceeeeeb,
    0xeeeeeeb8,0x5bb5100b,0x42623d30,0x7e41a888,0x0efeeccc,0x2e02f7e4,
    0xcccdfddf,0x360bd2cc,0x2b74d807,0xfdccccfc,0xb93ee05f,0xffcccccc,
    0xf101df11,0x76e67ecd,0x333f23fe,0xf72ccccc,0x49999999,0xffc8005e,
    0x017abd01,0x4fe601f9,0x05ff93fb,0x67e53fe2,0x20efeecc,0xfedcccfc,
    0x667fc41f,0x54bea0ff,0x8ffd9d2f,0x90bf507c,0xf76e8019,0xfb05e803,
    0x807e4000,0x7fe442fc,0x544fb804,0x361fd84f,0x3f21fb07,0x800fb800,
    0xebf8005e,0x6405e804,0x2e7f300f,0x209df93f,0x20f94feb,0x4c1f25fb,
    0x3e23dc6f,0x8e4cbea3,0x3e419cfe,0x00885f70,0x01fb97d4,0xb37d82f4,
    0x807e4180,0x757fc4f9,0xd82fcc04,0xfb0fea1f,0x07e47ea0,0x74007dc0,
    0xfa804c45,0xd0880fc9,0x1f906a6b,0x9fd4fe60,0xf7d07cfc,0x2fb81f29,
    0xd07ec0f9,0x17d4db09,0x01f207e8,0x7405e89f,0xbd007ee6,0x80fe7f60,
    0x403f21f9,0x4e8642fa,0x4403be20,0xfb0df16f,0x07e43f20,0x74007dc0,
    0x6d817e65,0x3abd07f3,0x90efffde,0x54fe601f,0x83f3f92f,0x0f94f9f9,
    0x207ca7cc,0x54df006e,0x640dd02f,0x17a37407,0x2fee3fa8,0xbd0aaaaa,
    0x02ffd8aa,0x33f90fcc,0x80ff7333,0x007fa04e,0xb01f97f5,0x5fb7555f,
    0x55555fe4,0x557f70aa,0x9af41555,0xe8fe204f,0x19fd5e86,0x667e4fee,
    0x33fdcccc,0x2275f25f,0x01f29f6b,0x7d41f2df,0x2a3fa804,0x3e0bd02f,
    0x744fffff,0x8dd02f47,0xfffffffb,0xfe9babd1,0x321f9801,0xbfffffff,
    0xfd827400,0x07ffb002,0x3ffffff6,0x3ffff21e,0xff71ffff,0x741fffff,
    0x7dc04f9d,0x2bd07ee0,0xff94f87e,0x7fffffff,0x7bbe47e6,0x0f94f9f4,
    0xdddf97e8,0x9801fffd,0xe817d45f,0x333fb305,0x82f45e81,0xfc999cfa,
    0x3a19999a,0x01ff6555,0x57f90fcc,0x3a009f95,0x2004fb84,0x11f606f8,
    0x27f25fb3,0x2e199999,0x419999af,0x7401ffee,0x45f9999e,0x2bd0dd5e,
    0x27f300fc,0x3e6f91f8,0x653e1f31,0xefcb7407,0x400bceee,0x17d40dfa,
    0x01f205e8,0xfd05e89f,0x03ffffff,0x07dd85e8,0x07e43f30,0x13a013ee,
    0xbf000bf3,0x2bf03ec0,0x0fb800fc,0x06ecfe80,0x3fffffe6,0x2f57a0ff,
    0x300fcaf4,0x3e43e27f,0x94f9729d,0x0f95f80f,0x5417ea00,0x17a3d52f,
    0x0bea07c8,0x559f30bd,0xe803fb55,0x2600fb05,0x3603f21f,0xf127403f,
    0x0bf0001d,0x32dd03ec,0x00fb800f,0x207f56e8,0xa99999fc,0x42f57a3f,
    0x2601f95e,0x2e7c9a3f,0x7ca7c5d7,0x03e4fea0,0xf5027dc0,0x02f4bea5,
    0x21be20f9,0xb80fd85e,0xd82f401f,0x643f3007,0x00ff880f,0x001fe93a,
    0x83ec0bf0,0x001f95f9,0x4bd001f7,0x205f81fd,0x42f57a6e,0x2601f95e,
    0x7ccf903f,0x3e53e0fb,0x01f27f88,0xfa809f50,0x7e400722,0x1ffdcccc,
    0x827cc5e8,0xcccccdfb,0x33f60bd4,0x261ccccc,0x5403f21f,0x7dd3a05f,
    0xccccccce,0xfd817e01,0x1ffccccc,0x999999f9,0x2003ee99,0xf51be25e,
    0x5e8fdc05,0x3f2bd0bd,0x3aa7f300,0x45fe8f92,0x9999f94f,0x03e43ffb,
    0x9999ff10,0x6897d499,0xc8ba23aa,0x0cefffff,0x00fd8bd0,0xfffffff7,
    0x7fec17af,0x262fffff,0xd803f21f,0x3f29d02f,0xffffffff,0xfd817e03,
    0x21ceffff,0xfffffffc,0xd001f77f,0x1f63fa8b,0x757abf10,0x01f95e85,
    0xc97d4fe6,0x53e17dc7,0xcefffffc,0xf5003e40,0x4fffffff,0x754112fa,
    0x00002e88,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3bbae000,0x73eeeeee,0x5cba203d,0xd107d706,
    0x220f4407,0xcccccccc,0x37620d90,0x3e880b91,0x86dc0bb1,0x9998806c,
    0x51019999,0x4c155005,0x2110110c,0x01aa9809,0x51006aa2,0x00790015,
    0x553002aa,0x20055443,0x55440aa8,0x544c4300,0xccdfdccc,0x101df92c,
    0x3a07ea7f,0x202fa86f,0x777442fe,0xfb0ffeee,0x7d45fd10,0xfa87ea02,
    0x1f63fa84,0xc8110060,0xfc83ffff,0x21f74fff,0x3f9ce85e,0x3bffbfa2,
    0x77f7fd40,0x4ffffc81,0x3f202740,0xfe884fff,0xfffbdffe,0xffff904f,
    0x13ffff2b,0x20bea3f3,0x9ff902fa,0x0fe27f10,0xfc81f9f1,0x005ff700,
    0x447d8fe6,0x205f81fe,0x221fd86d,0x0c03ec5f,0x0bfb8220,0x89fe41f9,
    0xbd0e9afb,0x6c5b19d0,0x9f0fea0f,0x4bee27c4,0x13a03fb8,0x7f713fc8,
    0x3ff20ed8,0x7f70bea3,0xf51fffdc,0x1c98fcc5,0x9f902fa8,0x3a3f885f,
    0x217c7dc5,0x5f7f305e,0x7d8bd100,0x7e407fa2,0xe883f880,0x7d81fd0f,
    0xf0440180,0xbf11c88d,0x2f4b1dd0,0x0aa1ca74,0x444f893e,0x13ec2fc0,
    0x333bd333,0x23f42fc4,0x7437c41b,0x37ec2f46,0x003f3374,0x23f205f5,
    0xc8fe20ee,0x225eaec7,0xf9be883f,0x6c0fc802,0x4c03fd17,0x300fb83f,
    0xfb03f9bf,0x10880300,0x83f9807f,0x217a0dfc,0x95305bde,0xcffd8bfb,
    0xcccdf982,0xfff50fec,0x261fffff,0x880fc83f,0xcccefdca,0x20fe27ec,
    0xeccccefb,0x5003f30f,0x7cdf205f,0x0fa8fe24,0x3f33dcfe,0x00be6d90,
    0xd1fb07f3,0xd0dd007f,0x03ffc80b,0x880300fb,0xfa805f30,0x2f41fa81,
    0x7fcc1774,0xda85fbdf,0x3be62fff,0x10eeeeee,0x333bd333,0x0fd40fd4,
    0xdf7bdfd3,0x21dddddd,0xeef982f9,0xf30eeeee,0x205f5003,0x7c4bf27c,
    0x87ccbe23,0xf50f71f9,0xf900be61,0xfdfdfb01,0x260fb801,0x0ffc402f,
    0x401807d8,0x1509f108,0x21f20fe6,0xf884f85e,0x5102fc0e,0x001fc4fd,
    0x83f98274,0x8837e27c,0x84f8804f,0x1f9804fc,0xf902fa80,0x1fc47744,
    0x4fe3653a,0xf31fc45d,0xfb05f805,0x880df31d,0x3a01f23f,0x00fb06ff,
    0x1be08803,0x21be25f1,0x7cc6d86f,0x7cc2f984,0x1f70be65,0xd02ec37c,
    0x3e1be209,0xdf70be66,0xe86e8dd0,0x3e65d87f,0x902fa801,0x3f8cf98f,
    0xaec4eb64,0x6667ec2f,0x3f504dfd,0x4fb83f60,0x809f36c0,0xd84fbafc,
    0x04401807,0x8db33bf5,0x1fda9dfb,0xfea9cfb8,0xf513df04,0xa8aed8bf,
    0x4d6fd46e,0x80f202fc,0x2fda9dfb,0x6fdc4efc,0x41fc99df,0xdfd9aefa,
    0x21fc9adf,0x505d31f9,0x321f205f,0x4fd43fbf,0x07cfdc2f,0x3ffffff6,
    0x206d80ff,0x201fd87d,0x200fa9fa,0xb07f64f9,0x0880300f,0x40e7ffd4,
    0x201efffb,0x04dafffd,0xf95dffb5,0x0dfffd88,0x43dfffa8,0xaaaaaaa8,
    0x2efffb82,0x31effea8,0x2a05bffd,0xfd52efff,0x51f987bf,0x205f505f,
    0x3ffe887c,0x7c43e7c4,0x05f3006c,0x10fb02fc,0x6e7c01ff,0xf11be205,
    0x0c03ec1f,0x80040220,0x00020008,0x80040011,0xffff5008,0x2201ffff,
    0x02200800,0x00880440,0x902fa800,0x20ffea0f,0x09fd05fe,0x7c40be60,
    0x7d41f603,0x80bfb205,0x25fa81fd,0xccccccfd,0x33333351,0x00000133,
    0x00000000,0x00000000,0x00000000,0x5f500000,0x3fc81f20,0x5f903fb8,
    0x4c0be600,0xd81f602f,0x40ff103f,0x4ff203fb,0xfffffffd,0x00000002,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2a880000,
    0x42202255,0x3304c408,0x4c433333,0x30884c40,0x220d4435,0x40883530,
    0x18844098,0x0001c130,0x0c40a198,0x4ea37244,0x500000c8,0x00136009,
    0x00000000,0x41f76400,0x13bae0f9,0x3fbf6600,0x9d0bd1ff,0x265fa97a,
    0x1fffffff,0xd0ee8df1,0xf57fffb9,0x373a1dff,0x8db0efff,0xfb9fc3fb,
    0x9ff1fc40,0x7fd50001,0x33bb37e2,0x1f54d87e,0x262ec7e2,0xf702641e,
    0x36017e00,0x0bfd980f,0x3e0eff54,0x2fffffff,0x3ffffffe,0x1f31b32f,
    0x9f987f64,0x883c43f9,0x21ff31ef,0x2bd4e85e,0x4f9804f9,0x21fc9fd4,
    0x3dfb14fe,0x867f4be6,0x741f53fa,0x7c47e65f,0xf7107dc3,0xfc8805bf,
    0x67fd42df,0x47dc1ffc,0x447643f8,0x647fa22f,0x001ee03f,0xf83ff880,
    0x47e23e9b,0x5ddddc5c,0x2eee1bbb,0x442fbbbb,0x807c5c6c,0x71d1712e,
    0x3f721fc8,0x3a9d0bd3,0xf8804f9d,0x87f7f905,0x3a27d47e,0x14f81fd5,
    0xc9f7e27f,0x817a36c6,0x260befda,0xf500bffd,0x7f30fcc1,0x653e21b6,
    0x3f7fa20f,0xfa83dc03,0x0fffffff,0x9aa35f5c,0x3edcc46a,0x42f80000,
    0x40f80dd9,0x3ff665e8,0x6b9f60df,0x53a17abd,0x4401ffee,0xbfd100ee,
    0x42f98dd0,0x4bd0dd5e,0x23f3f55d,0xf98fd44e,0x23fd8802,0x85c802ff,
    0x3e63f24e,0x7f31f903,0xff04ff88,0x27ffffff,0xaaaaaaa8,0x22f8bf82,
    0xef99e65b,0x444447cc,0x3e000888,0x7c1f4112,0x76c0fe60,0x21f36e84,
    0x29d0bd5e,0x6c06ecfe,0x427ec00f,0x3a0fcc5e,0x5cbd0bd5,0x3e2feb97,
    0x00f94f81,0x7e43dfd5,0x11ee00cf,0xfca7c45f,0x86d9fc40,0xaa81fffc,
    0x00aaafda,0xd87dc079,0x2e5b9e66,0xffff1f26,0x2005ffff,0x3f75f52f,
    0x2f7e61f0,0x0ba3ae1b,0x3e25d1fb,0x3a9f0bd4,0x3f607f55,0x17efd401,
    0xe83f317a,0x4cbd0bd5,0xf7bb3e9f,0x8827df20,0x7101cffc,0xbf305bfd,
    0xfa81fb53,0xf36d89d0,0xfe8bfc83,0x7c01ee01,0x1f997a05,0xf98bf7f6,
    0x2aa0fddd,0x00aaaaaa,0x0e654130,0x999950c8,0xdf701085,0x46d9fd49,
    0x7ecbd4f9,0x22017e41,0x2f41fb5f,0x3abd07e6,0x7ef45e85,0x2609df51,
    0xffd80fcf,0x3f6a000b,0xffdfd11f,0x26b90bfd,0x0fa1f30f,0x02f447f5,
    0x402600f7,0x262f41fa,0x02a15102,0x00000000,0x3fe20000,0x3ee6fc9b,
    0xbd4fea9c,0x5bf537c4,0x7ec35555,0x22f4bf10,0x5eaf41f9,0x13fe45e8,
    0x37f405ff,0x440002e8,0x984c322c,0x198d4504,0x02206051,0x000007b8,
    0x00000000,0x00000000,0xeffce980,0x57ffec0b,0x3fa8bd4d,0xfffffff9,
    0x7f70bee9,0xe83f317a,0x98bd0bd5,0x2e03f45f,0x0000003f,0x00000000,
    0x22000000,0x3d30442e,0x50ba6fa2,0x3a218179,0x131076c5,0x442aaaa2,
    0xcccccccc,0x005d30cc,0x010010cc,0x00000000,0x00000000,0x00000000,
    0x00000000,0x32200000,0xe87f10ce,0x67c4bea2,0xffff13f9,0x7dc9d9bf,
    0x5f51fc40,0x44bfffea,0xbbbbbbbb,0x005f50bb,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x8a5cee00,0x3917543f,0x4cfe6fe2,
    0xeffda88b,0x31cc06e1,0x00444439,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20000000,0x517cd10d,0x5f1a27f7,0x0000007e,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3272a000,0x22cc8323,0x00c86408,0xeeeee980,0x000eeeee,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00005b50,
    0x55440000,0x2aaaaaaa,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_20_latin_ext_x[560]={ 0,1,0,0,0,1,0,0,1,1,0,0,1,0,
1,0,0,1,0,0,0,0,0,0,0,0,1,1,0,0,0,0,0,-1,1,0,1,1,1,0,1,1,0,1,
1,1,1,0,1,0,1,0,0,1,0,0,0,0,0,1,0,0,0,-1,0,0,1,0,0,0,0,0,1,1,
-1,1,1,1,1,0,1,0,1,0,0,1,0,0,0,0,0,0,1,0,0,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,0,0,0,-1,
1,0,0,0,0,1,0,0,0,-1,1,0,0,0,1,1,0,1,0,0,0,1,0,0,0,1,-1,-1,-1,-1,
-1,-1,0,0,1,1,1,1,0,1,-1,0,-1,1,0,0,0,0,0,1,0,1,1,1,1,0,1,1,0,0,
0,0,0,0,0,0,0,0,0,0,0,1,-1,0,0,1,0,0,0,0,0,0,1,1,1,1,1,0,1,0,
-1,0,-1,0,-1,0,0,0,0,0,0,0,0,0,1,0,-1,0,1,0,1,0,1,0,1,0,1,0,0,0,
0,0,0,0,0,0,1,1,0,0,-1,-1,-1,-1,-1,-1,1,0,1,1,1,1,0,-1,1,1,1,1,0,1,
-1,1,1,1,1,0,0,1,1,1,1,1,1,0,1,1,0,0,0,0,0,0,1,0,1,1,1,1,1,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,0,
0,0,0,0,0,0,0,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,2,0,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,1,1,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,-1,0,-1,-1,0,
0,1,1,1,1,1,1,1,1,1,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,-1,0,0,0,0,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static signed short stb__arial_20_latin_ext_y[560]={ 16,3,3,2,2,2,2,3,2,2,2,5,14,10,
14,2,3,3,3,3,3,3,3,3,3,3,6,6,5,6,5,2,2,3,3,2,3,3,3,2,3,3,3,3,
3,3,3,2,3,2,3,2,3,3,3,3,3,3,3,3,2,3,2,18,3,6,3,6,3,6,2,6,3,3,
3,3,3,6,6,6,6,6,6,6,3,6,6,6,6,6,6,2,2,2,8,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,16,6,3,2,5,3,
2,2,3,2,2,7,6,10,2,1,2,5,3,3,3,6,3,8,15,3,2,7,2,2,2,6,-1,-1,-1,0,
0,0,3,2,-1,-1,-1,0,-1,-1,-1,0,3,0,-1,-1,-1,0,0,5,2,-1,-1,-1,0,-1,3,2,3,3,
3,3,3,2,6,6,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,6,6,3,3,3,3,3,3,3,
0,3,0,3,3,6,-1,3,0,3,0,3,0,3,0,3,3,3,0,3,0,3,0,3,3,6,0,3,0,3,
0,3,0,3,2,2,-1,-1,3,3,0,3,1,3,0,3,3,3,0,6,3,3,-1,3,3,3,6,-1,0,3,
3,3,3,3,3,3,3,-1,3,3,6,-1,3,3,2,6,0,3,0,3,-1,3,2,6,-1,3,3,6,0,3,
-1,3,0,3,2,6,0,3,3,3,0,3,3,3,0,3,0,3,0,3,-1,2,-1,3,3,6,-1,3,-1,3,
0,-1,3,0,3,0,3,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,2,4,4,2,4,4,4,
4,4,4,4,4,4,4,4,4,4,2,6,4,4,4,4,4,4,4,4,4,4,4,4,4,3,6,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,3,0,3,0,
3,0,3,-1,0,-1,-1,-1,-1,-1,-1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,-3,-1,-1,3,-1,3,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static unsigned short stb__arial_20_latin_ext_w[560]={ 0,3,6,10,10,14,12,3,5,5,7,10,3,6,
3,5,10,6,10,10,10,10,10,10,10,10,3,3,10,10,10,10,18,13,10,13,11,10,10,13,11,3,8,11,
9,13,11,14,11,14,12,12,11,11,12,17,12,12,11,4,5,4,8,12,5,10,9,9,9,10,6,9,8,2,
4,8,2,13,8,10,9,9,6,9,5,8,9,13,9,9,9,6,3,6,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,0,2,10,10,10,11,
3,10,6,14,7,8,10,6,14,12,5,10,6,6,5,8,10,3,5,5,7,8,15,15,15,9,13,13,13,13,
13,13,17,13,10,10,10,10,4,4,7,5,13,11,14,14,14,14,14,9,14,11,11,11,11,12,11,10,10,10,
10,10,10,10,16,9,10,10,10,10,4,4,7,5,10,8,10,10,10,10,10,10,9,8,8,8,8,9,9,9,
13,10,13,10,15,12,13,9,13,9,13,9,13,9,11,12,13,10,10,10,10,10,10,10,10,10,10,10,13,9,
13,9,13,9,13,9,11,8,13,9,7,7,7,7,7,7,5,5,3,3,12,6,10,6,11,8,8,9,4,9,
5,9,5,9,5,10,4,11,8,11,8,11,8,11,12,8,14,10,14,10,14,10,17,17,12,6,12,6,12,7,
12,9,12,9,12,9,12,9,11,5,11,7,11,5,11,8,11,8,11,8,11,8,11,8,11,10,17,13,12,9,
12,11,9,11,9,11,9,5,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,13,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,15,12,10,10,10,10,10,10,10,10,10,10,10,10,10,14,11,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,13,10,7,6,14,
10,11,8,11,8,11,8,11,8,11,8,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,13,10,17,16,14,9,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10, };
static unsigned short stb__arial_20_latin_ext_h[560]={ 0,13,5,15,16,15,15,5,18,18,7,9,5,3,
2,15,14,13,13,14,13,14,14,13,14,14,10,13,10,7,10,14,18,13,13,15,13,13,13,15,13,13,14,13,
13,13,13,15,13,15,13,15,13,14,13,13,13,13,13,17,15,17,8,2,3,11,14,11,14,11,14,14,13,13,
17,13,13,10,10,11,14,14,10,11,14,11,10,10,10,14,10,18,18,18,4,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,0,14,17,15,9,13,
18,18,2,15,8,9,7,3,15,2,6,11,7,7,3,14,17,3,5,7,8,9,15,15,15,14,17,17,17,16,
16,16,13,18,17,17,17,16,17,17,17,16,13,16,18,18,18,17,17,9,15,18,18,18,17,17,13,15,14,14,
14,14,14,15,11,14,14,14,14,14,13,13,13,13,14,13,14,14,14,14,14,8,11,14,14,14,14,17,17,17,
16,14,16,14,17,14,18,14,17,14,17,14,17,14,16,14,13,14,16,14,16,14,16,14,17,14,16,14,17,17,
17,17,17,17,18,18,17,17,13,13,16,13,15,13,16,13,17,17,16,10,14,17,18,17,17,17,10,17,16,17,
17,13,13,13,13,13,13,17,13,17,14,17,13,13,15,14,17,14,17,14,18,14,15,11,17,13,17,14,16,13,
18,14,17,14,18,14,17,14,19,18,16,14,13,14,17,14,17,14,17,14,18,15,18,14,17,14,17,13,17,17,
16,17,13,16,13,16,13,14,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,15,12,12,18,12,12,12,
12,12,12,12,12,12,12,12,12,12,15,11,12,12,12,12,12,12,12,12,12,12,12,12,12,14,11,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,16,14,16,13,17,
14,17,14,18,17,18,18,18,18,18,18,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,19,18,17,14,18,14,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12, };
static unsigned short stb__arial_20_latin_ext_s[560]={ 255,188,188,125,94,147,47,174,42,1,246,
157,184,222,242,119,18,76,230,33,43,192,222,54,233,244,252,245,107,204,96,
160,52,150,108,204,206,119,130,200,176,241,134,65,103,192,13,230,218,144,63,
159,1,181,77,25,90,95,83,23,91,247,179,229,212,159,1,124,150,180,143,
203,167,164,249,141,251,49,63,202,124,114,249,170,97,11,86,72,39,193,29,
174,196,133,195,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,
113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,255,253,189,
97,118,147,251,140,249,172,196,129,215,222,60,206,168,191,239,226,206,213,89,
218,178,233,188,138,31,15,75,171,223,196,182,61,105,212,22,71,186,11,58,
75,81,86,91,206,1,38,59,159,181,114,129,147,189,215,227,239,144,169,82,
108,97,86,75,64,53,136,213,23,12,1,244,233,200,195,57,57,177,65,156,
181,134,123,108,168,1,44,71,62,79,237,1,22,24,101,234,45,72,233,7,
1,88,246,102,35,128,91,1,188,11,112,13,145,133,211,50,222,160,103,195,
170,211,237,45,28,197,44,21,137,54,247,43,33,248,94,245,74,226,25,38,
40,252,248,22,82,98,100,107,119,20,66,190,13,76,159,205,241,40,46,251,
116,102,1,242,225,111,120,187,150,171,119,99,80,200,11,162,230,59,132,32,
29,177,139,151,167,210,201,85,130,156,140,15,35,141,36,169,55,69,70,46,
88,28,213,121,180,109,61,218,44,200,181,176,239,128,164,211,153,221,165,231,
56,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,1,113,113,41,
113,113,113,113,113,113,113,113,113,113,113,113,113,214,134,113,113,113,113,113,
113,113,113,113,113,113,113,113,218,147,113,113,113,113,113,113,113,113,113,113,
113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,119,159,
86,15,13,222,1,233,147,230,125,116,104,95,83,74,113,113,113,113,113,113,
113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,
113,113,113,1,48,142,1,27,203,113,113,113,113,113,113,113,113,113,113,113,
113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,
113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,
113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,
113,113,113,113,113,113,113,113,113, };
static unsigned short stb__arial_20_latin_ext_t[560]={ 1,187,224,111,94,111,111,224,1,21,215,
215,224,224,224,111,157,187,187,142,201,142,157,201,157,157,201,187,215,215,215,
157,21,187,187,111,187,187,187,94,187,187,157,201,201,187,201,94,187,94,187,
94,201,157,201,201,201,187,187,76,111,40,215,224,224,201,172,201,157,201,157,
157,187,187,21,187,172,215,215,201,157,157,187,201,157,215,215,215,215,157,215,
1,1,21,224,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,
201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,1,94,21,
111,215,172,1,21,198,94,215,215,215,224,111,228,224,201,215,215,224,157,76,
224,224,215,215,215,111,111,111,157,40,40,40,94,94,76,187,21,58,58,40,
94,40,40,40,76,187,94,1,1,1,40,40,215,111,1,1,1,40,40,172,
111,142,142,142,142,142,111,201,142,142,142,127,127,172,172,172,187,127,172,127,
142,127,127,142,215,215,142,127,127,157,40,58,58,94,127,76,127,58,111,21,
127,58,111,58,127,58,127,94,127,172,127,94,127,94,127,94,127,58,157,76,
142,58,58,58,76,58,76,21,1,76,58,172,172,76,172,94,172,76,172,76,
40,40,201,127,76,21,76,76,76,215,76,76,76,76,172,172,172,187,187,142,
58,172,76,142,58,172,172,94,142,58,142,40,127,1,127,111,201,58,172,58,
157,76,172,21,127,40,127,21,142,40,142,1,21,76,157,172,157,40,157,40,
157,40,142,21,111,21,157,21,157,21,172,21,21,76,21,172,76,172,76,172,
127,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,111,201,201,21,
201,201,201,201,201,201,201,201,201,201,201,201,201,94,201,201,201,201,201,201,
201,201,201,201,201,201,201,201,111,201,201,201,201,201,201,201,201,201,201,201,
201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,94,142,
94,187,40,142,40,142,1,21,1,1,1,1,1,1,201,201,201,201,201,201,
201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,
201,201,201,1,1,58,157,1,142,201,201,201,201,201,201,201,201,201,201,201,
201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,
201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,
201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,
201,201,201,201,201,201,201,201,201, };
static unsigned short stb__arial_20_latin_ext_a[560]={ 80,80,102,159,159,255,191,55,
95,95,111,167,80,95,80,80,159,159,159,159,159,159,159,159,
159,159,80,80,167,167,167,159,291,191,191,207,207,191,175,223,
207,80,143,191,159,239,207,223,191,223,207,191,175,207,191,270,
191,191,175,80,80,80,134,159,95,159,159,143,159,159,80,159,
159,64,64,143,64,239,159,159,159,159,95,143,80,159,143,207,
143,143,143,96,74,96,167,215,215,215,215,215,215,215,215,215,
215,215,215,215,215,215,215,215,215,215,215,215,215,215,215,215,
215,215,215,215,215,215,215,215,80,95,159,159,159,159,74,159,
95,211,106,159,167,95,211,158,115,157,95,95,95,165,154,80,
95,95,105,159,239,239,239,175,191,191,191,191,191,191,286,207,
191,191,191,191,80,80,80,80,207,207,223,223,223,223,223,167,
223,207,207,207,207,191,191,175,159,159,159,159,159,159,255,143,
159,159,159,159,80,80,80,80,159,159,159,159,159,159,159,157,
175,159,159,159,159,143,159,143,191,159,191,159,191,159,207,143,
207,143,207,143,207,143,207,176,207,159,191,159,191,159,191,159,
191,159,191,159,223,159,223,159,223,159,223,159,207,159,207,159,
80,80,80,80,80,80,80,64,80,80,210,127,143,64,191,143,
143,159,64,159,64,159,83,159,96,159,64,207,159,207,159,207,
159,173,207,159,223,159,223,159,223,159,286,270,207,95,207,95,
207,95,191,143,191,143,191,143,191,143,175,80,175,107,175,80,
207,159,207,159,207,159,207,159,207,159,207,159,270,207,191,143,
191,175,143,175,143,175,143,64,215,215,215,215,215,215,215,215,
215,215,215,215,215,215,215,216,215,215,159,215,215,215,215,215,
215,215,215,215,215,215,215,215,246,188,215,215,215,215,215,215,
215,215,215,215,215,215,215,245,192,215,215,215,215,215,215,215,
215,215,215,215,215,215,215,215,215,215,215,215,215,215,215,215,
215,215,215,215,215,191,159,80,64,223,159,207,159,207,159,207,
159,207,159,207,159,215,215,215,215,215,215,215,215,215,215,215,
215,215,215,215,215,215,215,215,215,215,215,215,215,215,215,215,
215,215,191,159,286,255,223,175,215,215,215,215,215,215,215,215,
215,215,215,215,215,215,215,215,215,215,215,215,215,215,215,215,
215,215,215,215,215,215,215,215,215,215,215,215,215,215,215,215,
215,215,215,215,215,215,215,215,215,215,215,215,215,215,215,215,
215,215,215,215,215,215,215,215,215,215,215,215,215,215,215,215,
215,215,215,215,215,215,215,215, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_20_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_20_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_20_latin_ext(stb_fontchar font[STB_FONT_arial_20_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_20_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_20_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_20_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_20_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_20_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_20_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_20_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_20_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_20_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_20_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_20_latin_ext_s[i] + stb__arial_20_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_20_latin_ext_t[i] + stb__arial_20_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_20_latin_ext_x[i];
            font[i].y0 = stb__arial_20_latin_ext_y[i];
            font[i].x1 = stb__arial_20_latin_ext_x[i] + stb__arial_20_latin_ext_w[i];
            font[i].y1 = stb__arial_20_latin_ext_y[i] + stb__arial_20_latin_ext_h[i];
            font[i].advance_int = (stb__arial_20_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_20_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_20_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_20_latin_ext_s[i] + stb__arial_20_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_20_latin_ext_t[i] + stb__arial_20_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_20_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_20_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_20_latin_ext_x[i] + stb__arial_20_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_20_latin_ext_y[i] + stb__arial_20_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_20_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_20_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_20_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_20_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_20_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_20_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_20_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_20_latin_ext_LINE_SPACING
#endif

