// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_24_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_24_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_24_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_arial_24_latin_ext_BITMAP_HEIGHT        324
#define STB_FONT_arial_24_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_24_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_24_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_24_latin_ext_LINE_SPACING          16

static unsigned int stb__arial_24_latin_ext_pixels[]={
    0x55555553,0x88035555,0x2cb80019,0x00220000,0x20004c40,0x33000098,
    0x2006a600,0x002aa2a8,0x55400355,0x8006aa00,0x001aaaaa,0x98800262,
    0x31000620,0x884c4001,0x45950009,0xfffffffb,0x6c05ffff,0x37cc003f,
    0x74403a80,0x05fd0004,0x00fff440,0xc8017ee0,0xabfc801f,0x077cc05f,
    0x4c03fb80,0x3bb2007f,0xff3003ee,0x99fe800d,0x17f4005f,0x3f6bf500,
    0x24ffc801,0xdfcaaaa9,0x2601aaaa,0x0fd8005f,0x5404f980,0x4f98000f,
    0x7f57ec00,0x003be000,0x0045d444,0x3601bbfa,0x9c88801f,0x01fd4008,
    0x20022088,0x005f9ef8,0x003bbbe2,0xc8004fa8,0xdf003fdf,0x009f5003,
    0x44000db8,0x09f3004e,0xa8004fb8,0x99e4c004,0x0193002c,0x809d2740,
    0x2c800cc8,0x02749d00,0x24e801dc,0x71ca804e,0x77540039,0x00254000,
    0x22009db0,0x09f5004f,0x2b200000,0x6fd4403a,0x007d7009,0x5c2bca88,
    0xa8803512,0xa8803512,0xa86a3512,0x51542a89,0x42a8aa05,0x4d4351a8,
    0x551542a8,0x54351a88,0x73102a89,0x0d440159,0x4c40aa20,0x22000acb,
    0x9800acb9,0x09f5003f,0x00066cc0,0x3f202c56,0x15303fff,0xffeb804c,
    0x2faaefff,0x5f980bf3,0x5f980bf3,0x5f980bf3,0xf06f8b7c,0xbf31be2d,
    0xb7c5f980,0x02fcc6f8,0x3fee17e6,0x982effff,0x42fcc05f,0xeffffffb,
    0x7fffdc02,0x3e602eff,0x009f5003,0x20024c6c,0x5cc01eea,0x7f4c1adf,
    0xb83faeff,0xfc999bff,0x017e63ff,0x017e6bf3,0x017e6bf3,0x913c8bf3,
    0x1e44f207,0xbf3017e6,0x987913c8,0x22fcc05f,0xda99bffd,0x02fcc1ff,
    0x7ffb17e6,0x03ffb533,0x2a66fff6,0x7f301ffd,0x8013ea00,0x5c00498d,
    0x4f9802ff,0xfc9dff88,0x06fdc3ff,0x3e62ffb8,0xf9afcc05,0xf9afcc05,
    0x002fcc05,0x017e6000,0xf3000bf3,0x2e5f980b,0x3ff500df,0x3e602fcc,
    0x54037ee5,0x06fdc1ff,0xfa81ffa8,0x009f5002,0x20006ecc,0xf9806fee,
    0x7c43fd84,0x403fe23f,0x3e66fef8,0xf9afcc05,0xf9afcc05,0x18afcc05,
    0x40621310,0x80bf3098,0x220315f9,0x980bf309,0x801ff15f,0x017e66fb,
    0x03fe2bf3,0x7fc4df70,0x6c37dc00,0x09f5000f,0x000d4c40,0x803f99f3,
    0x80ff84f9,0x413ea3fd,0x31ff8ee8,0x35f980bf,0x35f980bf,0x95f980bf,
    0x325f703f,0xf32fb81f,0xf95f980b,0x3e65f703,0xfbafcc05,0x261fd004,
    0xbafcc05f,0x21fd004f,0x1fd004fb,0xa800ff66,0xffe9804f,0xfc802fff,
    0x7cc04f99,0xfb837c44,0x7740bf23,0x17e67fd0,0x17e6bf30,0x17e6bf30,
    0x07f2bf30,0x40fe4bee,0x80bf32fb,0x703f95f9,0x3017e65f,0x400bf2bf,
    0x80bf32fd,0x005f95f9,0x017e4bf6,0x09f52fd8,0x4c04fa80,0xffda9bff,
    0x1ff3fc00,0x3e627cc0,0x7f47f504,0x3f20fd81,0xf980bf34,0xf980bf35,
    0xf980bf35,0x5f703f95,0x4bee07f2,0xafcc05f9,0x32fb81fc,0xb5f980bf,
    0x4fee003f,0xafcc05f9,0x7f7001fd,0x7dc007f6,0x4007f913,0x17e404fa,
    0x9f5017ec,0x9f301fe4,0x7f905f88,0x07f207fc,0x017e69f7,0x017e6bf3,
    0x017e6bf3,0x207f2bf3,0x703f92fb,0x3017e65f,0x2e07f2bf,0x980bf32f,
    0x2001fd5f,0x80bf34fa,0x001fd5f9,0x007f53ea,0x07e44fa8,0x4404fa80,
    0x6c05f701,0x881be61f,0xe80ff85f,0xfb87fa3f,0xbf33fb81,0xbf35f980,
    0xbf35f980,0x3f95f980,0x07f25f70,0x02fccbee,0x40fe57e6,0x80bf32fb,
    0x003fb5f9,0x02fccfee,0x00fed7e6,0x03fb3fb8,0x3f50fee0,0x4013ea00,
    0x3ffedba8,0x3fd0df10,0xf7167fc0,0xb1ffd41b,0x6c0bea5f,0xa80df11f,
    0xa80df14f,0xa80df14f,0xf703f94f,0x3ee07f25,0xfa80df12,0x5f703f94,
    0x9f501be2,0x7e400bee,0xfa80df11,0x32005f74,0x2005f71f,0x017cc1fc,
    0xfd804fa8,0x03fdceff,0xb5555bf7,0x2ffdc09f,0x3bff7ff6,0x3eb7ea3f,
    0x7f8ff103,0x0ff1fdc0,0x01fe3fb8,0x207f27f7,0x903f92fc,0x2e03fc5f,
    0xf903f93f,0x3ee03fc5,0xf100bf33,0x7dc07f8f,0xf100bf33,0x4402fccf,
    0x003f987f,0x056fec00,0x3ffa07f7,0x0fffffff,0xdfdb8040,0x7ff42fba,
    0xfd13f204,0xfd17ec03,0xfd17ec03,0xfc97ec03,0x5f92fd82,0x0ff45fb0,
    0x0bf25fb0,0x01fe8bf6,0x02fe8bf6,0x07fa2fe4,0x0bfa2fd8,0x2fe8bf90,
    0x7c42fe40,0x407d5003,0x07fb07f8,0x55555df3,0x3a207fb5,0x707ee004,
    0x17f205ff,0x3ee03bee,0x203bee0e,0x3bee0efb,0xf70efb80,0xf72ff989,
    0x2e2ff989,0x0efb80ef,0x2ff989f7,0x3ee03bee,0x40ffa20e,0x0efb86fc,
    0x3a20efb8,0x10df903f,0x1bf207fd,0xfb8027c4,0x261fe204,0x02fc83ff,
    0x37c41be6,0x83fa03b6,0xcceffee8,0x3f605fed,0x0ffedcef,0xedceffd8,
    0xeffd80ff,0x220ffedc,0xfdfcadff,0xf95bff12,0xeffd85fb,0x220ffedc,
    0xfdfcadff,0x6e77fec2,0xff980ffe,0x0efedcce,0xdb9dffb0,0xdff301ff,
    0x01dfdb99,0x3733bfe6,0x3fe00efe,0x026cc009,0x3f2ab7f2,0x807f83fe,
    0x98b701fe,0x4fd989df,0x7fe44774,0x6400bdff,0x01cefffd,0x33bfff72,
    0x3fff7201,0xffe981ce,0x3a62f9bf,0x82f9bfff,0x1cefffdc,0x9bfffe98,
    0xfffdc82f,0x36e201ce,0x400bdfff,0x1cefffdc,0x3fff6e20,0x6dc400bd,
    0x400bdfff,0x2d804ffb,0x77ff6440,0x27d46f8a,0x2e82fdc0,0x4fffffd8,
    0x00188098,0x26000260,0x00098000,0x00220011,0x04400260,0x80004c00,
    0x00260001,0x060000c0,0x500aa600,0x80088009,0xff8802fd,0x2ea60180,
    0x00000009,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x98000000,0x00040001,0x054c1544,0x57951000,
    0x531a8801,0x565cc001,0x00154400,0x88164cb2,0x00d4402a,0x260004c4,
    0x98060001,0x1aaaaaaa,0x2a880000,0x98003510,0x144a200a,0x0009fb00,
    0xc8003732,0x001fc83f,0xfffffea8,0x5cfee04f,0xfff1003f,0x2ffb803f,
    0x7fdd3e00,0x201ffa85,0x1ff805f9,0x013fee00,0x3fa60fc0,0x4fffffff,
    0x8800ffc0,0x4fa84ffe,0x200fe400,0x74003edd,0x9ac4000f,0x20bf1003,
    0x7d4001fc,0xfea99acf,0x32a59306,0x339f9001,0x00dfdd00,0x81fb127c,
    0xf300effa,0x003fb80b,0x00bef7e6,0xfff98f30,0x1bfeaaff,0xd800ffc0,
    0x7d42fcaf,0x00f5c004,0x00117911,0x6c000e44,0x151001c9,0x98007f20,
    0x0ff600ef,0x03fa0000,0x0fe67cc0,0x0fd44f80,0x4c13ffea,0x001dc05f,
    0x006ec3b6,0xfffd8b70,0x2003f27f,0x25510019,0x027d42a8,0x9d274000,
    0x15973100,0x3710d440,0x00989544,0x4c7f2131,0x007fe00a,0x804c4df1,
    0xff330098,0x33f90033,0x513e009f,0xffcfa85f,0x2205f982,0x5c4001cb,
    0x3aa6001c,0x3fffff42,0xcb8801f9,0x44026201,0x8009f509,0x1a8d4418,
    0x2e0aa26a,0x2effffff,0x7cc05f98,0x3f209f55,0xfffd7f92,0x005f981b,
    0xc827d413,0xffffa82f,0x3e7f806f,0x544f800f,0x7d67d42f,0x642fcc0e,
    0x0dffffff,0x3fffff20,0xfff900df,0x7fff41bf,0x6403f27f,0x0dffffff,
    0x2fc827d4,0xfc8009f5,0xf3017e61,0x99bffd8b,0x7cc1ffda,0xff2fcc05,
    0xfffc9fe0,0x7d45fd9b,0x41fe0004,0xbf95107f,0x24fa8035,0x44f803fc,
    0xda7d43f9,0x322fcc4f,0xfdb9acef,0x359df906,0xbf70dfb7,0x7dcdff93,
    0x03f27fff,0x2e6b3bf2,0xf07f86fd,0x20027d4f,0x017e61fc,0x06fdcbf3,
    0x3e61ffa8,0xf92fcc05,0x3f24f985,0x3f23fc87,0x0bf20002,0x2fb809f3,
    0x7cc3fb00,0x7c44f806,0xff8a7d43,0x6fb97e62,0xdf70ff60,0xdf31fec0,
    0xf897edec,0x03f27fff,0x1fec0df7,0x49f30bf2,0x7e4004fa,0xf3017e61,
    0x7003fe2b,0x202fccdf,0x913e65f9,0x542fe43f,0x2207f65f,0x21eeeeee,
    0x00fe44f9,0x3e2003f6,0x7c01fe86,0x27d46f84,0x57e61df5,0x3e201ff8,
    0x403ff10f,0x45f70ff8,0x3260a89f,0x883f27ff,0x3fe201ff,0x3f913e60,
    0x320027d4,0x3017e61f,0x4013eebf,0x80bf30fe,0x3e3f45f9,0x7c417e46,
    0x3e20ff26,0x742fffff,0x3f4037c7,0xaaadfb80,0x27c04fda,0x4fa8efcc,
    0x55f9a7ec,0xfa81009f,0x8fe40804,0x64fd0079,0x2013ea0f,0x46f8fd00,
    0x7e4004fa,0xf3017e61,0x6c00bf2b,0x980bf32f,0xfa97dc5f,0x7e807e43,
    0x7e4017ea,0x3fa97dc2,0xfd006f80,0xffffffff,0xfb827c01,0xff889f54,
    0x07f75f9a,0x0007f700,0x401721fd,0xfb83f27d,0x4bee0003,0x027d43fa,
    0x5f987f20,0x1fdafcc0,0x3e67f700,0x222fcc05,0xfc81fb5f,0x37c4df01,
    0x7c42fc80,0xf9801fb5,0xaaef9805,0x03fdaaaa,0x477ee13e,0x9ffa84fa,
    0x0003fb5f,0xf90003fb,0x3ec00ba3,0x00fec1f9,0x3f6bf100,0x20027d40,
    0x017e61fc,0x003fabf3,0x05f9a7d4,0x47ec2fcc,0x982fc85f,0x402ff44f,
    0xf8fd82fc,0x803fa805,0x1be602fc,0x545f84f8,0xbfdfb04f,0x3a0007fa,
    0xafa8001f,0x209f30f8,0xfe83f27d,0x47ec0001,0x004fa85f,0x0bf30fe4,
    0x03fb5f98,0x2fccfee0,0x3ea17e60,0x0efc82fd,0x3fa217ec,0x2ffc880d,
    0x802fdfa8,0x07f802fb,0x89f01fe8,0x827d43f9,0x5f95fff8,0x005f9000,
    0x6cd7df10,0x7e4fb00f,0x0000bf20,0xf505fbf5,0x21fc8009,0xafcc05f9,
    0x3f9002fb,0x9f501be2,0x7e41ffe0,0x04ffbcff,0xdb9dffd1,0x7fc05dff,
    0x801fb007,0x5fb804fa,0x43fa89f0,0x3fea04fa,0x13007f75,0x04c01fdc,
    0x3fab7fee,0x0fc9f604,0x02600fee,0xff507ff8,0x1ddddddd,0x1be21fc8,
    0x17e69f50,0x0ff1fe20,0x9f903fb8,0x3ff6bf20,0x76dc403e,0xc803efff,
    0x00fd004f,0xff1005fb,0x2fa89f01,0x3f6027d4,0xfd00bf35,0x3a017e67,
    0x77ffdc3f,0x1f93ec03,0x7f402fcc,0x2a09f903,0xffffffff,0x3e0fe40f,
    0xfd1fdc07,0x745fc805,0x40bf601f,0x23f900fc,0x09d00008,0xf000fc80,
    0xf880000d,0x2fa89f00,0x74015500,0x83fea03f,0x3fea03fe,0x8004fd40,
    0xfd03f27d,0x807fd407,0x371000fc,0x7f41fc80,0xe88bf601,0x70df903f,
    0x1df701df,0x1fc817e0,0x04fd8000,0x7cc017e0,0x3cc00004,0x02fb89f0,
    0x2605fd50,0x4fe982ff,0x74c17fcc,0x4004c84f,0xf303f27d,0x09fd305f,
    0xf91002fc,0x2e07ec0b,0x0efb80ef,0x6e677fcc,0xffb00efe,0x81ffdb9d,
    0x3202fdaa,0xfb00001f,0x17ed5401,0x03fb3310,0x8bf88000,0x75453e0a,
    0x13e6000f,0xfccfffa8,0xfff505ff,0x20bfff99,0x93ec002f,0x9fff501f,
    0x550bfff9,0xfb0005fb,0xb07e9881,0xffdb9dff,0x3ff6e201,0x6e400bdf,
    0xd81cefff,0x0fe404ff,0x9fff3000,0x404ffd80,0x0006fffa,0x43fffb00,
    0x009ff74f,0x3003fff6,0x05dfffd9,0xefffec98,0x8001f302,0x4c03f27d,
    0x02efffec,0x4c009ffb,0xffe84fff,0x3fff7203,0x006001ce,0x5cc00980,
    0x00018801,0x4c005544,0x1ba8801b,0x0cc00000,0x002b9964,0x220006a6,
    0x09880009,0x18800080,0x04c40062,0x10006e60,0x02ea0155,0x00000980,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x19800000,0x06a20262,0x2aa25510,0xaaaaaaaa,0x1984cc02,
    0x20006600,0x26001cb8,0xc800002a,0x00881102,0x01530000,0x98051054,
    0x54c000ab,0x4c001bcc,0x4019100a,0x54033098,0x00131002,0x0ff8cfb8,
    0x7cc05f98,0xffffff35,0x440dffff,0x005fb8ff,0x32009ff7,0x0dffffff,
    0x00bffe20,0xf826c3f1,0x17c1f304,0x83549b00,0x233602fc,0xffd104d8,
    0xfd700bff,0x5bffffff,0x3203f900,0x2a3fe205,0x003fe05f,0x36001bea,
    0xbf301fdf,0xdf35f980,0x55555555,0xee8fe405,0xfcdf9800,0x5677e402,
    0x3a06fdb9,0x6401fd9f,0x9f00fedf,0x037f7ec0,0x0ff77e60,0xfd300f5c,
    0x4bf201df,0xfd102fd8,0x32a2159d,0x0fe402fe,0x5f700fc4,0x0ff803fa,
    0x8005f700,0x3e602ed8,0xf9afcc05,0x89640005,0x21db001c,0x0df700dd,
    0x8d441fec,0xab9802a8,0x73013e00,0x2ee20003,0x03300001,0x437cc6f8,
    0xfb003fe8,0x6c0fe405,0x1c89dc05,0x70007fc0,0x1cb88007,0xf3017e60,
    0x10017e6b,0x02a88035,0x402af2a2,0x3e201ff8,0x4c15100f,0xa8803510,
    0x5cc413e2,0x544000ac,0x13100abc,0x0260a880,0xfb0181ff,0x3f601309,
    0xf983f902,0x565cc402,0x4407fc00,0x4154401a,0xdffffffc,0x2602fcc0,
    0x800bf35f,0x2fcc05f9,0x7fffff54,0x804fa84f,0xdfffd300,0x017e67f5,
    0x5c27cbf3,0x2effffff,0x7ffff540,0x02fc84ff,0xf5dfffd3,0x401ffa87,
    0x7ffe44fa,0xc82f4df5,0x2e03ec1f,0x2effffff,0xbf301ff0,0x7e45f980,
    0x6fdb9ace,0x3e602fcc,0x9800bf35,0x22fcc05f,0xa99acffa,0x01fdc6fe,
    0xc9dfe880,0x0bf33fff,0xb13e5f98,0xfb5337ff,0x33fea03f,0x46fea99a,
    0xdfe882fc,0x4c3fffc9,0x1ba04fff,0xfdf739fb,0x1fc83e49,0x7ffb02fc,
    0x03ffb533,0x0bf301ff,0x1bee5f98,0x17e63fd8,0x3fe6bf30,0xeeeeeeee,
    0xf3017e61,0xb0077ccb,0x000fec7f,0x7fc43fd8,0xf980bf33,0x0dfb93e5,
    0xf983ff50,0xc8ff600e,0x443fd82f,0x26fee3ff,0x1fc41efe,0x3ffa87f9,
    0x87f207e6,0x1bf704f9,0xff07fea0,0x980bf301,0x403ff15f,0x0bf30ff8,
    0xfff35f98,0x3fffffff,0x3e602fcc,0xf1007fe5,0x8000ff4d,0x33fd80ff,
    0x25f980bf,0x801ff12c,0x00ffc6fb,0x82fc9be2,0x23fd80ff,0x327fe45e,
    0x221be23f,0x20fe21ff,0x20fea1fc,0x7dc00ff8,0x7cc07fc6,0xfaafcc05,
    0x2fcc0804,0x2fcd7e60,0x3017e600,0x4017e6bf,0x000bf209,0x9fdc1be2,
    0x2fcc05f9,0xfd004fb8,0x4c017e61,0xdf10bf20,0x85f8fee0,0x21f72ffa,
    0x98fd03fa,0x2e1fc82f,0x004fb82f,0x407fc1fd,0xafcc05f9,0xf98003fb,
    0xf9a7d406,0x02fcc005,0x027d57e6,0x9803fb80,0x7cc13e60,0xf980bf33,
    0x2005f905,0x009f52fd,0x9f30bf20,0x2fe8fe60,0x64db6f98,0xfb8df01f,
    0x3f21fc80,0xb002fc81,0x4c07fc5f,0xdafcc05f,0x7f88001f,0x5f99fdc0,
    0x202fcc00,0x005f95f9,0x3a017e60,0x2a0bf13f,0x980bf33f,0x003fb05f,
    0x017e4fee,0x7c42fc80,0x7cc7f505,0x4db6f84f,0x44fa80fd,0x5c3f906e,
    0x001fd82f,0x407fc7f7,0xafcc05f9,0xff0001fe,0xf997ec03,0x02fcc005,
    0x40fed7e6,0x1eeeeee8,0xffa80ffa,0x3f203fe0,0xf980bf33,0x007f4fa5,
    0x03fb4fa8,0x3dddddd1,0x03fe0bf2,0xdfd30ff2,0x87dcfe63,0x22fe82fc,
    0x43f901fc,0x00fe83f9,0x07fc9f50,0x3e602fcc,0x20005f95,0x6fb80efb,
    0xf30017e6,0xf95f980b,0xfffff107,0x417fcc5f,0x6fdc4fe9,0x7ccffea0,
    0x9f2fcc05,0x7dc007f6,0xff107f93,0x3f25ffff,0x2a0dfb82,0xbff903ff,
    0xfa97d49f,0xfb8ffe45,0xf887f204,0x7001fd85,0x4c07fc7f,0xbafcc05f,
    0x4409803f,0xfedceffe,0x3bbfe61f,0x0eeeeeee,0x4fa80df1,0x3f200bf5,
    0x667ffd42,0xffb05fff,0x227fdffb,0xf27d406f,0x6400bee9,0x200bf51f,
    0x205f92fc,0xfeffdffd,0x83bfa603,0x33ff64f8,0x4ffefeee,0x1ba0fe40,
    0x7e400bee,0x3e203fe1,0xf9a7d406,0xc83fe805,0x41befffe,0xfffffff9,
    0x1fe0ffff,0x1be27f70,0x64c17e40,0x402efffe,0x3fbadfeb,0x47f701fe,
    0x100bf34f,0x8037c4ff,0x405f92fc,0x3fbadfeb,0x7745fd80,0x7553bb20,
    0x320662df,0x2607ec1f,0x47f8805f,0x80ff00ff,0x80ffa3fb,0x3e200ffa,
    0x01f10001,0x2fd807fa,0x3f2017fa,0x002be202,0x3fa2fb80,0x4f8bf601,
    0xbf900bfa,0xfc805fe8,0xf7000992,0x7f40d445,0x0007fe20,0x20ae0ff6,
    0x02fe83f9,0x807e2fe4,0x8bf601fe,0xfe982ff9,0x0007c404,0x3bee07a8,
    0x220efb80,0xfc880dfe,0x0bf6602f,0x1fd01dd0,0x7dc077dc,0xfe893e0e,
    0xd10df903,0xff9101bf,0x07740fa5,0x0df107f4,0x2ffa81fd,0x209fd100,
    0x43ec0fec,0xdf903fe8,0x3ee00f88,0x40efb80e,0xffccfffa,0x33f8805f,
    0x197d4001,0xedceffd8,0xffe880ff,0x2effedce,0x6405f880,0x4fda89df,
    0xedceffd8,0x2627c0ff,0xfedcceff,0xdffd100e,0x45dffdb9,0x3f2188ed,
    0x84fda89d,0x6fc99cfc,0x379dfd50,0x7ffb9511,0x7c42fb80,0xcceff982,
    0x7c40efed,0xdffb0133,0x201ffdb9,0x2efffec9,0x07fff600,0x01fffd00,
    0x39dfffb9,0x7ff6dc40,0xffc803ef,0xfffc801f,0x3f7204ff,0x4f81ceff,
    0xdfffdb88,0x76dc400b,0xfa83efff,0x7ffe44ff,0xffb104ff,0xea801dff,
    0xffffffff,0x1bffe00c,0xfdb88364,0xfb00bdff,0x3f7203ff,0x1001ceff,
    0x2a600013,0x01550000,0x22000130,0x00d4c000,0x0004dcc0,0x802c8013,
    0x00440001,0x37300544,0x006ea001,0x026aea60,0x91005540,0x4c003001,
    0x00026002,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0002a600,0x800cc131,
    0x000abca8,0x2aa200cc,0x009aaaaa,0x131000e6,0x98d554c0,0x2002a60a,
    0x83550098,0x155401a8,0x98835553,0x22000660,0xcdb80019,0x4cc02f89,
    0x30001999,0x26200003,0xf9131000,0x8fe88005,0xffc804fa,0x7004ffff,
    0x7fcc09ff,0xffffffff,0x2001f881,0x3ff203fe,0x7e45f94f,0x437fd401,
    0x3ea0fffa,0xb83bf204,0x7f444fff,0xd8003fb8,0x67c4004f,0x7cc07ffd,
    0x001fffff,0x00027fdc,0x3003bfe6,0x005f91ff,0x00bfdf30,0xd7337dfb,
    0xcdf980df,0x55df302f,0x3ffd9555,0x3e600d70,0xa7dcc404,0x807ae1eb,
    0x264faef8,0x3ea6f8ef,0xb81df904,0xdf9809bf,0x5f88005f,0x0a228800,
    0x2aaaaa20,0x37ea000a,0xd10003fb,0xfc80bf3f,0x20005f91,0x7c400dea,
    0x403ff00f,0x301bb0dd,0x84fd80bf,0x04a802f8,0x00013ea0,0x4c32e395,
    0x3ea3530a,0xb80efc84,0x06f5c02f,0x80065400,0x954401a8,0x154401a8,
    0x0cc865c0,0x951ca800,0xfc8f6203,0x2a201982,0x3ea00abc,0x8813ee04,
    0xf300abca,0xb06f980b,0xabca880d,0x98a7d400,0x15400620,0x89f50310,
    0x5f700efc,0xaaaaaa88,0x2aa2009a,0x009aaaaa,0xbf3017e6,0xbf3017e6,
    0x0aa802a6,0x01aa8aa0,0x854c2a88,0x827ec2fc,0x4ffffffc,0x4000ff30,
    0x4ffffffc,0x7d405f98,0x3207f505,0x04ffffff,0x917e53ea,0x40ff003f,
    0x927d41fc,0x17dc01df,0x3fffffe6,0xf981ffff,0xffffffff,0x405f981f,
    0x80bf35f9,0x207f75f9,0xbf304ff9,0x36007fd4,0xfc8fe44f,0x7ec0ff62,
    0x6feb99be,0x0037ffd0,0x5ccdf7ec,0x02fcc6fe,0x2fc05fd1,0x5ccdf7ec,
    0x29f506fe,0x007f22fc,0x41fc81fe,0x01df94fa,0x77cc2fb8,0xfecaaaaa,
    0x5577cc1f,0x1ffecaaa,0x3e602fcc,0xf980bf35,0x3f20bf35,0xd87f707f,
    0x21bee05f,0x365f91fc,0x01ff103f,0x7fec07fe,0xf100bdff,0x987fe01f,
    0xecccccef,0x237406ff,0x3ff00ff8,0x8bf29f50,0x07f801fc,0x99f507f2,
    0xfb801fff,0x3602fcc2,0x202fcc4f,0x02fcc4fd,0x02fcd7e6,0xd07f97e6,
    0x3fb03f9d,0xf882ff88,0xf91fc81f,0x7d407fb5,0x9813ee04,0x82ffffeb,
    0x93ee04fa,0xfffffff9,0x47d803df,0x13ee04fa,0x917e53ea,0x40ff003f,
    0x7ffd41fc,0x7dc05fdd,0x2602fcc2,0x202fcc6f,0x02fcc6f9,0x02fcd7e6,
    0x41fd97e6,0xf83facf8,0xd81ff507,0x323f903f,0x2601ffff,0x2200007f,
    0x7cc3ffda,0x4efcc007,0x003fea99,0x03fcc3fb,0x5f94fa80,0x3fc00fe4,
    0xffa83f90,0x5c07fd15,0x202fcc2f,0x02fcc5fa,0x0bf317ea,0x0bf35f98,
    0x0fee5f98,0xf317e5f5,0xf52fec0b,0xfc8fe40b,0x3a00efcf,0x00001bff,
    0x3ffa1bea,0x85f9801b,0xfc803fe8,0x00dfff42,0x8bf29f50,0x07f801fc,
    0x8bf507f2,0x5f701ff9,0x3a205f98,0x102fcc2f,0x05f985fd,0x05f9afcc,
    0x8bf12fcc,0xfb8fb0fc,0x22bfe202,0x47f200ff,0x809f93fc,0x0bdffffd,
    0xfe801fd0,0xdffffd80,0x305f980b,0x0fd803ff,0xbdffffd8,0x7e53ea00,
    0x3e007f22,0xf507f207,0x701df909,0xccef985f,0x86ffeccc,0xcccccef9,
    0x5f986ffe,0x5f9afcc0,0x1fa2fcc0,0xfb17dcbf,0xfcefa801,0xfc8fe402,
    0x7300bfa2,0x905ffffd,0x207f805f,0x2ffffeb9,0xff902fcc,0x7303f401,
    0x205ffffd,0x645f94fa,0x207f801f,0x827d41fc,0x42fb85fe,0xfffffff9,
    0xfff303df,0x07bfffff,0xbf3017e6,0xbf3017e6,0x47f30fc8,0x401be4f9,
    0xfc805ffd,0x77cc5f91,0xffb51000,0x903ff987,0x36a2009f,0x017e63ff,
    0x02fc09fd,0x83ffda88,0x645f94fa,0x207f801f,0x827d41fc,0x17dc2ff8,
    0x2a6677e6,0x37e603fe,0x03fea999,0x9f501be2,0x9f501be2,0x83f72fa8,
    0x2009f16f,0xfc800ff8,0x4fc85f91,0xa86fa800,0xffdcdfff,0x6fa8000d,
    0xff3017e6,0x0009f103,0x29f50df5,0x007f22fc,0x41fc81fe,0x3fee04fa,
    0xbf30bee0,0x2607fd10,0x03fe885f,0x47f701fe,0x21fdc07f,0xfb0fb4f8,
    0x7c005f51,0x323f9007,0xd17fc42f,0x80fe801f,0x4efffed9,0xfe801fd0,
    0xf900bf30,0xfe85f50d,0x2a07f400,0x7e45f94f,0x0ff05711,0x13ea0fe4,
    0x17dcdfb0,0x7fcc17e6,0xf305f981,0x807fa03f,0x807fa2fd,0xf8ee82fd,
    0x0fc9fa84,0x6401fe00,0x2015501f,0x03fc02fc,0x3f200674,0x5403fc02,
    0x90dd000a,0xa87f805f,0x4c7f204f,0x9037c45f,0x00ae003f,0x05f985f7,
    0xbf303ff2,0x5c07fe40,0x0efb80ef,0x3ee03bee,0x2fafc80e,0x005ebf88,
    0x1fc803fc,0xf303fd70,0x013f207f,0xff3017f2,0x2013f207,0x7cc02fea,
    0x903ff982,0x409f509f,0x41ff10fd,0x03f605fb,0xb807f640,0x202fcc2f,
    0x02fcc4fe,0x7fec13fa,0x80ffedce,0xfedceffd,0x1fdf500f,0x000ffba0,
    0x07f200ff,0xff503f98,0x1bffb9bf,0x801fb100,0xfdcdfffa,0x9f3000df,
    0x3ea06d80,0xdffdcdff,0x213ee620,0x7fec7e98,0x9881ffdd,0x17dc006e,
    0xf309bfb8,0x21ff980b,0x7fcc05f9,0xdfffb901,0x7fee4039,0x3e201cef,
    0x07ff206f,0x3200ff00,0x0fffd81f,0x3fffb660,0xfff9804e,0xffdb3003,
    0x3f6009df,0x07e600ff,0xdfffdb30,0x09fff909,0xfc887ffb,0xffd02eff,
    0x1bffe007,0xf34fffb8,0x4cdf900b,0x06fc805f,0x09800098,0xa813fa00,
    0x07f8007f,0x15503f90,0x00098800,0x310000cc,0x01a98001,0x4c4003a8,
    0x02666200,0x013002ea,0x2a000ba8,0x4ccc400a,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00013100,0x4c000266,0x0c413001,0x001310cc,0x00d446a2,0x00a9854c,
    0x30009880,0x00555555,0x0004c131,0x40003310,0x51006209,0x20155555,
    0x40026098,0x2098802b,0x00660009,0x0003ff00,0xb0001df3,0x3fb007ff,
    0x19f70bf3,0x3e6001ff,0xf9009f55,0x20007f25,0xffb001ff,0xf100dfff,
    0x8000bf2d,0x3a0003fd,0x5405f99f,0x00ffffff,0x05f91ff1,0x00befc98,
    0x017edbe6,0x20009f90,0xfb0003fb,0x99f70003,0xeef8803f,0x3fbfb00e,
    0xc99e4400,0x951ca802,0x03fb8001,0x26666620,0x9fbf5000,0x02fcc000,
    0x3bbbe200,0x4cccc400,0x7f7cc019,0x7fffec04,0x37ee01ff,0x0fe8003f,
    0x0003b800,0x32000591,0xd3007914,0x176c403d,0x2200d440,0x5973102a,
    0x00770001,0x00acb988,0x0002f640,0x2000032a,0x55001ee9,0x1e540154,
    0x2f237ee0,0x276406f9,0x401c8800,0x0d4402a8,0x8000aa20,0x154002a8,
    0x55555544,0x017e6009,0xfff70bf3,0x4c05dfff,0xaaaaaaaa,0xfffb80aa,
    0x5302efff,0x55555555,0x55530015,0x55555555,0x00551005,0x446f8b7c,
    0xb0d4402a,0x97e4f23f,0xaaaaaaa9,0x4401aaaa,0x1ffa802a,0xf7017e60,
    0x3ee0005f,0x21fe002f,0xfffffffa,0x05f981df,0x3ff62fcc,0x1ffda99b,
    0xffffff90,0xfd85ffff,0xffda99bf,0xfffffc81,0x802fffff,0xffffffff,
    0xb807ffff,0x279002ff,0x0ffd43c8,0x87f4bf30,0xfffb813c,0xffffffff,
    0x017fdc05,0x4c03bfea,0x37f7405f,0x06fee800,0x3bea1fe0,0xffecbaaa,
    0x2602fcc2,0x4037ee5f,0xaa981ffa,0xffcaaaaa,0x54037ee1,0x5554c1ff,
    0x1ffcaaaa,0x7f56fdc0,0x2aaaaaac,0x006fee80,0x03bfea00,0x25f92fcc,
    0x5555303c,0x35555bf9,0x406fee80,0xf304fffa,0x7e67cc0b,0x667cc001,
    0x50ff001f,0x07fe40bf,0x5f980bf3,0xfb801ff1,0x1ff44006,0xfb801ff1,
    0x0ffa2006,0x0fec7fe0,0xf99f3000,0x9880c403,0x209fff50,0x33fe65f9,
    0x13ea003d,0x3f99f300,0x17fe7d40,0x3f902fcc,0xfc8009f3,0xff004f99,
    0xfc80bf50,0xf3017e64,0x74013eeb,0x13fa000f,0x3fa009f7,0x009fd000,
    0x00fecbf7,0x9f33f900,0x7dc0fe40,0x05ff9f52,0xfffa8bf3,0x4fa801be,
    0x7ccfe400,0x3eb3ea04,0xf02fcc0e,0xf0007fcf,0x7c007fcf,0x4c05fa87,
    0x3017e66f,0x400bf2bf,0xdf9002fd,0x36005f90,0x06fc802f,0x0fec3fd0,
    0x7fcff000,0xf703f900,0x3beb3ea5,0xea82fcc0,0x7d403fff,0xff3fc004,
    0x7ed3ea01,0xfa82fcc4,0x5400ff24,0x200ff24f,0x405fa87f,0x0bf30ff8,
    0x03fb5f98,0x2e00fee0,0x01fd80ff,0xfb807f70,0x45fa800f,0xf50001fd,
    0xfc81fe49,0x9f52fb81,0x0bf313f6,0x017fe5e4,0x7d4009f5,0x7d40ff24,
    0x7cc5ff14,0x7cc3fb05,0x4c3fb006,0xa87f806f,0x31fe805f,0xd5f980bf,
    0x13ea001f,0x3a03ff30,0x09f5000f,0xe800ffcc,0x7777ec1f,0x3602eeee,
    0x641be61f,0xf52fb81f,0xf98bfe29,0x2fd4f205,0x6c009f50,0x541be61f,
    0x4c3bea4f,0xe86f885f,0x437c401f,0x43fc01fe,0x2fd805fa,0x5f980bf3,
    0x3ee003fb,0x80ffe203,0x7f7001fd,0x400ffe20,0xfffd85fa,0x103fffff,
    0x903fd0df,0x2a5f703f,0x4c3bea4f,0x13c8ea5f,0x027d40df,0x1fe86f88,
    0xa7ec4fa8,0xadfb85f9,0x404fdaaa,0xdaaaadfb,0x543fc04f,0x11fe805f,
    0x74fa80df,0x07f2005f,0x7dc04fe8,0x203f9002,0x3fa004fe,0x1fe9999b,
    0xaadfb800,0xfc84fdaa,0x9f52fb81,0x4bf34fd8,0x3e6790ff,0x4013ea05,
    0xdaaaadfb,0x444fa84f,0xe85f9aff,0xffffffff,0x3fffa00f,0x00ffffff,
    0x017ea1fe,0x407f83fe,0x00bf33fb,0x37e40ff1,0x4402fcc0,0x00df907f,
    0x7fffffd4,0xe8001fff,0xffffffff,0x640fe40f,0xf889f52f,0x3f65f9af,
    0x80ff2793,0xffd004fa,0x1fffffff,0xffa84fa8,0x577cc5f9,0x3fdaaaaa,
    0x5555df30,0x7c07fb55,0x5405fa87,0xb00ff46f,0x2017f45f,0x1ff705fc,
    0x900bfa00,0x01ff70bf,0x6666fec0,0x4001fecc,0xaaaaaef9,0x17e43fda,
    0x84fa97ec,0x265f9ffa,0x6fedddff,0x4c027d40,0xaaaaaaef,0x827d43fd,
    0x7e45fefd,0x641be602,0x81be602f,0x405fa87f,0x077dc2fe,0xfd1077dc,
    0x4c1bf207,0x3a2001ff,0x30df903f,0x7cc003ff,0x0007f606,0x37cc05f9,
    0x5ff313ee,0x77ec13ea,0x7fff4c5f,0x27d400df,0xf3017e40,0xf104fa8d,
    0x807f8bff,0x807f81fe,0x50ff01fe,0x1bf620bf,0x76e77fec,0xeff980ff,
    0x80efedcc,0x98002ff8,0xfedcceff,0x017fc40e,0xfd80bf60,0x403fc001,
    0x37fe21fe,0xf52fdfca,0x17ffe209,0xa80066c4,0x807f804f,0x813ea1fe,
    0x13ea5ffa,0x9f517ee0,0x3e0bf700,0xeeeffa87,0x200efffe,0x1cefffdc,
    0x3fff6e20,0xdff900bd,0xdddddddd,0xfffb7107,0xdff9017b,0xdddddddd,
    0xfb01be67,0xdddddddd,0x5c027d43,0x7fff4c5f,0x09f52f9b,0x7902ffd4,
    0x2027d400,0x5fb804fa,0xbfb013ea,0x7c4017ec,0x200bf60f,0x87f80ff8,
    0xeffffffa,0x004c002d,0xff900180,0xffffffff,0x9003009f,0xffffffff,
    0x0ff69fff,0xffffffb0,0x17ec3fff,0x4407fc40,0xb013ea00,0x000440bf,
    0x2fd809f5,0x000ff880,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x025c6ee2,0x19880000,0x00131000,0x10198066,0x03300881,
    0x20002620,0x3a2000cc,0x3304c00e,0x03300000,0x44004c40,0x09880009,
    0x2c833220,0x0ee20166,0x332a8aa0,0x7fffdfb0,0x0f526c00,0x2000ff60,
    0xfc800ff8,0x505fb83f,0xfd807c4d,0x00ffc403,0x8007fe20,0x7f400ff9,
    0x3b205f99,0x2e00f9ac,0xffd004ff,0x006fa803,0x88077fcc,0x333ea0ff,
    0x3aac803f,0x3eff3fc0,0x05731c87,0x3fddf980,0x0004f980,0x9f5005f9,
    0x00ef85f9,0x8813fbfa,0x017dc06e,0x000f7440,0xdf100551,0x2fea01dd,
    0x3e606ffd,0x7e403fbd,0x7e400fea,0xf3fd1002,0x5033220b,0x456005b9,
    0x29926405,0xacb9887f,0x1bb88000,0x40009500,0x6499002c,0x26007264,
    0x01c9801b,0x2a2000f2,0x51000abc,0xde9804c1,0x0188a600,0x00cc865c,
    0x00f26791,0x8e5400ee,0x205501ca,0x3baa002a,0x7f855001,0x7fffffdc,
    0x0aa2002e,0x54006a20,0x02a8801a,0x510aa055,0x55555555,0x54455055,
    0xaaaaaaaa,0xfffd502a,0x74c09fff,0x13faefff,0x55555555,0x20aa0555,
    0x954401a8,0xaa8800a9,0xaaaaaaaa,0x2aaaaa22,0x7c2aaaaa,0x5c00ff07,
    0x8ff002ff,0x26fff67f,0x001ffda9,0xfa805ff7,0x01ff5004,0x0ff04fd8,
    0xffff31fe,0x0dffffff,0x7fffccff,0x86ffffff,0xa99acffa,0xdfe886fe,
    0xf33fffc9,0xffffffff,0x261fe0df,0xcafcc05f,0xfff9801f,0x6fffffff,
    0x3fffffe6,0x3fc6ffff,0x3ba007f8,0xf8ff006f,0x2a01bf77,0xfee801ff,
    0x0027d406,0x37dc0bfb,0x31fe0ff0,0x555555df,0x4cff0555,0xaaaaaaef,
    0x077cc2aa,0x3fd87fb0,0xef99ffc4,0xaaaaaaaa,0xbf30ff02,0x3f95f980,
    0x555df300,0x4c555555,0xaaaaaaef,0xf83fc2aa,0xf99f3007,0xff8ff003,
    0x7dc00ff8,0x7e67cc06,0x8013ea01,0xff882ff8,0x3fc1fe01,0x7c0017e6,
    0x20017e67,0x37c401ff,0x4ff603fe,0x3e0005f9,0x4c05f987,0x3003f95f,
    0x5f9800bf,0xff07f800,0x3e67f200,0x7fc7f804,0x1fd004fb,0x27ccfe40,
    0xa8009f50,0x01fec0ff,0x263fc1fe,0x4ff0005f,0x7cc005f9,0x7c413005,
    0x3e67f706,0x21fe0005,0xafcc05f9,0x303511fc,0x5f9800bf,0xff07f800,
    0x0ff9fe00,0x33fe3fc0,0x05fb002f,0x201ff3fc,0xfd8004fa,0x3e017ea5,
    0x5f98ff07,0x7ccff000,0x027d4005,0xf304f980,0x80017e67,0x405f987f,
    0xfb5f95f9,0x2fcc3fff,0x0017e600,0x403fc1fe,0x00ff24fa,0x1fdff8ff,
    0x2a07f700,0x540ff24f,0xff88004f,0xf800ff8a,0x5f98ff07,0x7ccff000,
    0x017e4005,0xf505f880,0x80017e67,0x405f987f,0x7dff95f9,0x3e61ffb5,
    0x02fcc005,0x07f83fc0,0x1be61fd8,0xfeff8ff0,0x209f5000,0x41be61fd,
    0xf50004fa,0x3e005f9d,0xff98ff07,0xeeeeeeee,0x3fe67f81,0xeeeeeeee,
    0x3a207f61,0x3e1eeeee,0xf33fc80f,0xdddddddf,0x261fe03d,0xffffffff,
    0x1df95fff,0xdff31fe8,0x3ddddddd,0x77777fcc,0x3fc1eeee,0x37c407f8,
    0x8ff00ff4,0x7001fdff,0xd0df107f,0x009f503f,0x002ffec0,0xf31fe0ff,
    0xffffffff,0x7ccff03f,0xffffffff,0x220ff21f,0x22ffffff,0x3fea0dfb,
    0xffffff33,0x3e03ffff,0xeeeff987,0x95feeeee,0x265f707f,0xffffffff,
    0x3ffe61ff,0x1fffffff,0x407f83fc,0xdaaaadfb,0x5c1fe04f,0x03f9002f,
    0xb5555bf7,0x009f509f,0x0007fc40,0xf31fe0ff,0x99fe000b,0x2fd4005f,
    0x7ec2fc80,0x33feffdf,0x3fc000bf,0x3e602fcc,0x7f505f95,0xf30017e6,
    0x20ff000b,0x7fff407f,0x00ffffff,0x017e60ff,0x7ff41fe2,0x0fffffff,
    0x200027d4,0x83fc007f,0x002fcc7f,0x017e67f8,0x3200df10,0xadfeb82f,
    0x00bf33fb,0x2fcc3fc0,0x0fe57e60,0x05f99fd4,0x4002fcc0,0x4c0ff07f,
    0xaaaaaaef,0x40ff03fd,0x2fe402fe,0x555577cc,0x7d43fdaa,0x03fc0004,
    0x23fc1fe0,0xff0005f9,0x74002fcc,0x02fc805f,0x17e65f70,0xf987f800,
    0xfcafcc05,0xbf33fa81,0x005f9800,0x40ff07f8,0x1be602fc,0x7fd103fc,
    0x7e41bf20,0xf51be602,0x07f80009,0x47f83fc0,0xff0005f9,0x44002fcc,
    0xfc880dfe,0x3a03ba2f,0x000bf30f,0x02fcc3fc,0x40fe57e6,0x00bf33fa,
    0xf8005f98,0x3fc0ff07,0x3fc0ff40,0x333bfe60,0xff00efed,0x7d43fd00,
    0x03fc0004,0x23fc1fe0,0xff0005f9,0x88002fcc,0xfedceffe,0x4efe42ef,
    0x3e64fda8,0x21fe0005,0xafcc05f9,0x33fa81fc,0x5f9800bf,0xff07f800,
    0x2e013ea0,0x8807f85f,0x0bdfffdb,0xf7009f50,0x7777fd4b,0x7c00eeee,
    0xf83fc007,0x7777fcc7,0x40eeeeee,0x3bbfe67f,0x0eeeeeee,0xfffedb88,
    0x3fff203e,0x77fcc4ff,0xeeeeeeee,0x5f987f80,0x1fcafcc0,0xdff33fa8,
    0xdddddddd,0x3bbbfe61,0x20eeeeee,0x360ff07f,0x0ff8802f,0x00c003fc,
    0xf8802fd8,0xfffff50f,0xf801ffff,0xf83fc007,0x7ffffcc7,0x40ffffff,
    0x3fffe67f,0x0fffffff,0x4c000880,0xfff9809b,0xffffffff,0x5f987f80,
    0x1fcafcc0,0xfff33fa8,0xffffffff,0x3ffffe61,0x00ffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x19999980,0x2a615300,0xb0bc9800,0x00795005,
    0x54004c98,0x2a800aa2,0x4cc400aa,0x91000999,0x7cc0f217,0x401fffff,
    0x3000acb9,0x0131019b,0xa88c4262,0x51054000,0x2a022040,0x5401530a,
    0x1a995443,0xfffff980,0x92fb801f,0xfef8805f,0xfc800fff,0x03fd4005,
    0x037c5fe0,0x01fe1fd0,0x37ffffe4,0xfffeef80,0x99999101,0x3fff2019,
    0x6c01efff,0x04fa8498,0x3e7f25f9,0xc815c1ff,0xf905c88d,0xf305f59d,
    0x4e80df1b,0x01ff9fe4,0xaaaaaa88,0x951ca800,0x32a49803,0x00795001,
    0x64004c98,0xcb800f24,0x2a600990,0x8802aaaa,0x2003930c,0x5f7e402a,
    0x01ffdb99,0x3fc12636,0x3bbf27f8,0x8817dc6c,0xf981effe,0x2e05feba,
    0x3e200fff,0x1fd57e22,0x200aa200,0xaaaaaaa8,0x0aa22aaa,0x2aa23510,
    0xaaaaaaaa,0x555554c2,0x400aaaaa,0x1aa802a8,0x2a22a880,0xaaaaaaaa,
    0x02a8802a,0xbf703fc0,0x403fea01,0x5f900cd9,0x1bf24f98,0x0c402fb8,
    0xa8008310,0x107d401a,0x2000a615,0x7cc02ffb,0xffffffff,0x807fea6f,
    0xffff35f9,0x8dffffff,0xfffffffc,0x7dc02fff,0x07fd402f,0xff993f60,
    0xffffffff,0x02ffb806,0x7fcc1fe0,0x312fe400,0x4f982620,0x07f90fe4,
    0x1886ff22,0x40621310,0x0aa88098,0x203136c0,0xfdd00098,0xaaef980d,
    0x22aaaaaa,0xf300effa,0x2aabbe6b,0x4c2aaaaa,0xcaaaaaaa,0x7f7401ff,
    0x205fd806,0x577cc6fb,0x2aaaaaaa,0x006fee80,0x01fdc1fe,0x207f27f8,
    0x3e3f42fb,0xfe817e46,0x03f91fff,0x207f25f7,0x7ffec2fb,0x647f01ef,
    0x802fb81f,0x201fccf9,0x7d4005f9,0x2bf304ff,0x400005f9,0x7cc03fe8,
    0x7c401fcc,0x41ff882f,0x980005f9,0xf001fccf,0x4007f20f,0x703f91fe,
    0xf52fb85f,0xb501fc87,0x07f2159f,0x40fe4bee,0x2b3f22fb,0x1f987fb9,
    0x0bee07f2,0x13e67f20,0x54005f98,0xf982ffcf,0x0000bf35,0xfc804fe8,
    0xfa804f99,0x4c1fec0f,0xfc80005f,0xff004f99,0x64003fa0,0xf703f93f,
    0x1fb5f885,0x3ee01fc8,0x7dc0fe42,0x5f703f92,0x20f6437c,0x5c0fe47b,
    0x3e7f802f,0x00bf300f,0x0efacfa8,0x05f9afcc,0x01bf2000,0x001ff3fc,
    0x82fd4bfb,0xf80005f9,0x3e003fe7,0x5c00ff07,0xf703f94f,0x0bf1fb05,
    0x17dc03f9,0x4bee07f2,0x22fb81fc,0x8bd002fe,0x02fb81fc,0x07f927d4,
    0xf50017e6,0xbf313f69,0x400017e6,0xfa800ffb,0x2200ff24,0x00ff8aff,
    0xa8000bf3,0x200ff24f,0x001fd07f,0x40fe4bf2,0xfdfa82fb,0xdb01fc82,
    0x07f21ddf,0x40fe4bee,0x3ffea2fb,0x42f880ad,0x02fb81fc,0x0df30fec,
    0x3bbbbfe6,0x3ea1eeee,0x7cc5ff14,0xddddff35,0x9803dddd,0x3fb001ff,
    0xfa8037cc,0x3e602fce,0xeeeeeeef,0x987f601e,0x907f806f,0x47fa005f,
    0x02fb81fc,0x07f20fff,0xc866fedc,0xf92fb81f,0xd985f703,0x7d44ffff,
    0x7dc0fe40,0x3a1be202,0xffff981f,0x21ffffff,0x43bea4fa,0xffff35f9,
    0x03ffffff,0x8801ffc4,0x001fe86f,0xf980bffb,0xffffffff,0xd0df101f,
    0x507f803f,0x1ff100bf,0x0bf207f2,0x1fc827e4,0x3f90bee0,0x07f25f90,
    0xfc980bf2,0x3f21b24f,0x2e02fc81,0xfdaaaadf,0x4005f984,0x9a7ec4fa,
    0x000bf35f,0x2e004fe8,0xfdaaaadf,0x01ff1004,0x20005f98,0xdaaaadfb,
    0x883fc04f,0xd97541ff,0x360bf23f,0x401f902f,0x85f701b8,0x92fd82fc,
    0x225fb05f,0x3a6f982b,0xfd82fc84,0x3ffffa02,0x4c0fffff,0x27d4005f,
    0x57e6bfe2,0x320005f9,0x7ff4006f,0x0fffffff,0xf300ff00,0x7ff4000b,
    0x0fffffff,0xff981fe0,0x1bfff662,0x2ff989f7,0xfd980bf0,0x7dc3fa84,
    0xfb97fcc4,0xfd17fcc4,0x3f34fa81,0xff989f70,0x555df302,0x987fb555,
    0x27d4005f,0x9afcffd4,0xff70005f,0x577cc001,0x3fdaaaaa,0xf300ff00,
    0x3be6000b,0xfdaaaaaa,0xf301fe03,0xfffb99df,0xcadff889,0x36aa2fdf,
    0x50dd002f,0x3fe239ff,0x12fdfcad,0xfbf95bff,0x65677d45,0x220f71ff,
    0xfdfcadff,0x4c05f902,0x002fcc6f,0x77ec13ea,0x000bf35f,0xc8003ff3,
    0x01be602f,0x2fcc03fc,0x202fc800,0x01fe06f9,0x37fffae6,0x3a62ffcb,
    0x22f9bfff,0x7d404ffd,0x7ff902ff,0x4dffff4c,0x3fffa62f,0x7edc2f9b,
    0x81761eff,0xf9bfffe9,0xfd00ff02,0x2002fcc3,0xfff104fa,0x10017e6b,
    0xff0005ff,0xf003fd00,0x00bf300f,0x3fa01fe0,0x8800ff01,0x0884d880,
    0x4400dcc0,0x2201001a,0x80011000,0x11001301,0x2013ea00,0x3bfe65fb,
    0xeeeeeeee,0x7d409f50,0xdddff35f,0x21dddddd,0xeeeeeffc,0x3ea3eeee,
    0x805fb804,0xeff9807f,0xeeeeeeee,0x2e013ea0,0x000ff05f,0x00000000,
    0x00000000,0x00000000,0x2200bf60,0xffff30ff,0x1fffffff,0xbfb013ea,
    0x3fffffe6,0xf90fffff,0xffffffff,0x017ec9ff,0x3e007fc4,0xffff9807,
    0x0fffffff,0x3e200bf6,0x0000000f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0x30000998,0x2882a015,0xa98a9800,0x05515400,
    0x54c03510,0x002b9802,0xaa800d4c,0x02a05400,0xb880aa20,0x20032201,
    0x88001a98,0x02a001bb,0x05544015,0x5544d540,0x4570ee00,0x3ff62098,
    0x99800dff,0xdc80bfc9,0xb8005c88,0x1d41fdaf,0x5403fcfd,0x807fa04f,
    0x01ffffe8,0x401fff98,0x2e00effc,0x3200d90d,0xbfbfb04f,0xfd301b20,
    0x9005ffff,0x1bfffffd,0x0d90db80,0x0f7fffec,0x4fb8ef88,0xb8fe2740,
    0x2ab7fa5f,0x7fc406fe,0xe886ffff,0xb8001eff,0x3e61faaf,0x807f9ee4,
    0x07f504fa,0x0bf52fc8,0x0fe8fe88,0x0bf3bf50,0x00f7ff44,0x2f982fc4,
    0x02f883f3,0x36a6ffe6,0x3bf600ff,0x05fda9ac,0x80f7ff44,0x7fb9acfc,
    0x01ba3f90,0x717cc7f1,0x3213eebf,0x64ccc02f,0x006200bf,0x98d2fb80,
    0x07f9a24f,0x05304fa8,0x00fd8df0,0x80d446a6,0x801550aa,0x02a20018,
    0xc87f07dc,0x6c17e406,0x01ff702f,0x062017ee,0x03d90df0,0x5002a235,
    0xd007dc3f,0x40bf303f,0x805f70a8,0x15100099,0xa8932bee,0x3e2d89df,
    0x884fa807,0x07fc00aa,0x155100ff,0x44006600,0x06600099,0xf997a3ec,
    0xfb80c402,0xd805fd02,0x06a6202f,0x98002fe8,0xf9331009,0x413fb333,
    0x9999ff0a,0xfd30df99,0x105f7bff,0x01bfffd7,0x2f7fffa6,0x7ffe40af,
    0x403fc0bf,0x7ffec4fa,0x1bf901ef,0xffd807fb,0xfd881eff,0xfb104eff,
    0x2201bfff,0x644efffd,0x36c7f10f,0xfdb75100,0x5400c07f,0xfffe984f,
    0xfffa82ff,0xfd7100ad,0xffd81bff,0xffffffff,0xfff13f14,0x8fffffff,
    0xffc9dfe8,0x577fc42f,0xfe886fea,0x82fffc9d,0xf81adfb9,0x324fa807,
    0x07fb9acf,0x900ffffa,0x0ff7359f,0x5fb55dfb,0xfd55bfd0,0x2abbf60d,
    0x54fea2fd,0x2005f30f,0xfdcefffd,0x37c40003,0x36a6ffe6,0xffd980ff,
    0x77fc44ff,0x5546feaa,0xdfbaadfa,0xff15f11a,0x442fc800,0x41fec2ff,
    0x217e43fd,0x9f302ff8,0x7d403fc0,0x07b21be4,0x2013ff62,0x321ec86f,
    0x2e0ff83f,0x642fc84f,0x320ff83f,0x01b64fff,0xf7056fec,0xdddddb07,
    0xffdddddd,0x7ec17e41,0x27fe4c02,0x07fb07fb,0x217cc7f1,0x105ff2f9,
    0xf907e859,0xdf507f85,0x05f907e8,0x07f813e6,0x0bfa4fa8,0x7fe7fcc0,
    0x00bfa021,0xd04cc1f6,0xd8bf303f,0xa8813307,0x0b887e60,0x3fd83fc4,
    0xffffffe8,0x0fffffff,0x117dc062,0x7cdf3057,0xf50df507,0x3e607dc3,
    0x7fb0bf73,0x2fb82fc4,0x3fc417e2,0x0bee0bf1,0x0ff027cc,0x7fd49f50,
    0xff980adf,0x9f51df91,0x0adfffa8,0x3fe006f8,0x6fcccccc,0x6c00037c,
    0x893fbf25,0x83ff987f,0x0ff001fd,0x3ffb6ea2,0x3ea07f43,0x3e20bf14,
    0x43647b87,0x33ffa3fa,0x2fcc5fdb,0x17e62fa8,0x0bf30fe8,0x27cc0bea,
    0x9f500ff0,0x4ffffd98,0x37f617e4,0xffd981fd,0x01be24ff,0x7fffffc4,
    0x1be27fff,0x263f3000,0x7e41f52f,0x3fefcaad,0xf8802fc8,0xcefffd87,
    0x677d43fd,0xbf31ffca,0xfec87f40,0xeeffeeef,0xffc89f53,0x05f80bef,
    0x02fc45f9,0xf906f8df,0xf813e605,0x9f503267,0xf27fe4c0,0x0dffd10f,
    0x7c9ff930,0x00ff1006,0x740006f8,0x1fc43ee5,0x15dffd91,0x00bf70df,
    0xadfd8bf7,0x36e0fee0,0x3e21efff,0xfec9be05,0xeeefeeee,0x16e09f73,
    0x0bfa0fd0,0xd17e20ff,0x4c0bfa0f,0xfc9fe04f,0x2b89fdc2,0x07f66f98,
    0x57113fe6,0x07f4df30,0x05ff0fe4,0x80fe8591,0x87ea01fc,0x0882fc6d,
    0x01ff80fc,0x7f887fe2,0x2ec07fb0,0x17e20ff0,0x40fcc5f1,0x809905fb,
    0x17fcc4fc,0x7fb113f2,0x7fcc4fb8,0x7c0bf102,0x3fd17ee7,0x93ea07f4,
    0x7fec0dfa,0x2a07f43f,0xf113ee4f,0xfd85fb8d,0x3e227dc3,0x9ee2f406,
    0x1f3003f8,0x2207fee0,0x43fc45fe,0x3ae03ff9,0xd889f906,0xf70fd43f,
    0x320bf901,0xdfb0188f,0x885fdfb7,0x4ffcbffe,0xdf97dfb0,0x167fc05f,
    0x9dff13fc,0xcefa8bfd,0x7f41ffca,0xfbdfeccf,0x2b3bea3f,0x77f41ffc,
    0xfe82febb,0xd05fdbcf,0x05fd77df,0x4be20fd4,0xbf1000fa,0xdffb8173,
    0x80dffdbc,0xefcaadfc,0x1fb3303f,0xf97ffd10,0x6c8f709f,0x3e60bf90,
    0xff9105ff,0x9105f59f,0x4407dfff,0x2facfffc,0x3e17fee0,0x6ffff4c7,
    0xefffdb80,0xefffd881,0xfb707ea3,0x3f203dff,0x3f202dff,0x3200beff,
    0x7402dfff,0x09fdfb05,0x80effb80,0x3effffda,0x3bffb220,0xff886f8a,
    0x3ff2203e,0xe8db03ef,0x440bf905,0x0003002a,0x00180011,0x03100010,
    0x013000c0,0x4c003002,0x00022000,0x01910013,0x100005c4,0x20006200,
    0x00260008,0x40880110,0x00131009,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4c000000,0x55510aca,
    0x20355555,0x902bcba8,0x51006a27,0x45506a65,0x00aa202a,0x2aa00aa8,
    0x00266000,0x515400d4,0x00981005,0x54001544,0x0154c01a,0x02a61550,
    0x30021a98,0x01333333,0x50154551,0xfb101545,0xff37ffff,0x07ffffff,
    0xdffffff7,0x5f9b7c45,0x3fcafcc0,0x206f8b7c,0xf9804ffe,0x4027dc06,
    0x103ffffc,0x407ffffb,0xd80df17f,0x401fbbef,0x22004ffe,0x7f4400ef,
    0xf1bf3001,0xf99f900d,0x3fffea05,0x5f902fff,0x5fdc07f7,0xbfd104fa,
    0xbfbfb315,0x83555555,0xda99bffd,0x7cdb23ff,0xfbafcc05,0x03c89e43,
    0x805f95f9,0x0fd800fd,0x3eebbee0,0xa9cfe83f,0x649903fe,0x3aebea03,
    0x5d7e405f,0x03f9003f,0xb8017e20,0xe9800fff,0x37f201ff,0x201ccccc,
    0xfd805ffe,0x41bee05f,0xf7004ffc,0x4bfe601b,0x980bf349,0x4000725f,
    0x500aa2a8,0x980d4003,0x507f445f,0x006f889f,0x40081100,0x400aa2a8,
    0x014c001a,0x36006aa0,0x3602fccf,0x05510007,0xf802aa20,0x09ff101f,
    0xa803ff10,0xbf31d8ef,0x1d15f980,0x884c4062,0x06213101,0x101884c4,
    0x5c17e413,0x3a03ae3f,0x0026600f,0x26000998,0x02660009,0x10009980,
    0x11500353,0x006f81ba,0x0c402660,0x1be60988,0xf7009fb0,0x83bfa009,
    0x77cc05f9,0x207f21fc,0x703f92fb,0x2e07f25f,0xf703f92f,0x4f983ec5,
    0xb887f980,0x100dfffe,0x01bfffd7,0x37fffae2,0xfffd7100,0x3fae201b,
    0xfd300dff,0x6405ffff,0x884fefff,0x2e20024f,0x640dfffe,0x2a2fb81f,
    0x027dc05f,0xfd8017e4,0x2602fcc3,0x0fe40aef,0x81fc97dc,0x703f92fb,
    0x2e07f25f,0x7c41fa2f,0x21fed405,0xfeaaeff8,0xaaeff886,0xeff886fe,
    0xf886feaa,0x86feaaef,0xfeaaeff8,0xa9bff986,0xffe80ffd,0x541fffcb,
    0x04fffccf,0xfd55dff1,0xfb81fc8d,0xf7013ee2,0x4bdddddf,0x9f7001fe,
    0x7cc05f98,0xf703f905,0x3ee07f25,0x5f703f92,0x8bee07f2,0x20df106f,
    0xfd83fff9,0x7ec3fd83,0x7ec3fd83,0x7ec3fd83,0x7ec3fd83,0x7e43fd83,
    0x7dc2fd82,0x2e1ff444,0x6ffdceff,0x3fd83fd8,0x8bee07f2,0x7fd403fc,
    0x3a7fffff,0x8bf5000f,0x2fcc05f9,0x2fb81fc8,0x25f703f9,0x92fb81fc,
    0x225f703f,0x4c1be06f,0x3fc3ffdc,0x83fc6fa8,0xa83fc6fa,0xfa83fc6f,
    0x6fa83fc6,0x42fb80c4,0x44fb80ff,0x1ff443eb,0x937d41fe,0x5c5f703f,
    0x027dc04f,0xfb800fec,0x2602fcc3,0x703f905f,0x2e07f25f,0xf703f92f,
    0x3ee07f25,0x2fc41be2,0xf897f440,0x7c4ff105,0x7c4ff105,0x7c4ff105,
    0x7c4ff105,0x220ff105,0x23ffedba,0x0df106f8,0xbf137dc0,0x1fc9fe20,
    0x13ea2fb8,0xf7009f90,0x107f2005,0x04fa80df,0x25f703f9,0x92fb81fc,
    0x325f703f,0x3a2fb81f,0x2009f107,0x40bf34fa,0x40bf30fe,0x40bf30fe,
    0x40bf30fe,0x40bf30fe,0x7ffec0fe,0x3e23fdce,0x8801fe05,0xe817e67f,
    0xf703f90f,0x3a037cc5,0x05f9804f,0x0ff07f88,0x3f903fb8,0x07f25f90,
    0x40fe4bf2,0x903f92fc,0xf983f45f,0xb7c40623,0x89be05f8,0xf89be05f,
    0x5f89be05,0x05f89be0,0x15bfb1be,0x41fe1fdc,0xf10087f8,0xdf02fc4d,
    0x17e40fe4,0x7fcc0bf6,0x805fd004,0x03fd05fc,0x2fc817ec,0x05f92fd8,
    0x20bf25fb,0xb05f92fd,0x6417e45f,0x2a03fa2f,0x7c41fe5f,0x5f883fc5,
    0x45f883fc,0xf8bf107f,0x7c4bf107,0xfd87fb07,0x7f45fb81,0x3fc3fb81,
    0x0bf25f88,0x3df50bf6,0x004ffe88,0x3f207fd1,0x203bee06,0x9f700efb,
    0x9f72ff98,0x9f72ff98,0x9f72ff98,0x3e22ff98,0xf51be60e,0x7e47fd09,
    0x321fec44,0x21fec44f,0x1fec44fc,0x7fb113f2,0x7ec44fc8,0x3e61fe23,
    0x2227dc3f,0x227d42fe,0x27e40fe8,0x4fb8ff62,0x7dc17fcc,0xfaffcacf,
    0x4eeeeeef,0x6e677fcc,0x7ec00efe,0x0ffedcef,0x32b7fe20,0xbff12fdf,
    0x225fbf95,0xfdfcadff,0xf95bff12,0xbffc85fb,0xdfe81ffc,0x7445ffcb,
    0x84ffcbff,0xffcbffe8,0xcbffe884,0xffe884ff,0xe884ffcb,0x84ffcbff,
    0xefcaadfc,0x5f7f443f,0xbfd05ffc,0xd109ff97,0x89ff97ff,0xdfcadff8,
    0xfffd502f,0xfffff33b,0xb710bfff,0x0017bfff,0x33bfff72,0xfffe9801,
    0x3fa62f9b,0x262f9bff,0x2f9bfffe,0x26ffffa6,0xdfffb82f,0xfffd7102,
    0x3fff2207,0x3ff2203e,0x3f2203ef,0x32203eff,0x2203efff,0x103efffc,
    0xf15dffd9,0x3ffff20d,0x3fff6203,0x3ff2203f,0xffd303ef,0x3005f37f,
    0x00600000,0x40002600,0x00110008,0x00440022,0x08800220,0x10002200,
    0x00088001,0x02200044,0x88000880,0x0004c000,0x00440022,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80000000,0x2b2e62a8,0x0aa2a800,0x2000aa20,0x154c01aa,0x8800cc00,
    0xcd9800a9,0x0aa2a800,0x88013020,0x1aa8002a,0x80055440,0x86200bb9,
    0x221881a8,0xa8aa200a,0x01550002,0x5702aa00,0xffb1bf30,0x7c01dfff,
    0xfd00df17,0x77c4009f,0x00ff4400,0x277ffec4,0x1bffff70,0x4024c6c0,
    0xd80df17f,0x400fbbef,0x26004ffe,0x3fc800ef,0x7ffff440,0xfd8fc80e,
    0x27ee1fff,0xb01ffffd,0x0005f95f,0x2e000bf7,0xf986d85f,0xea89beee,
    0x3c93205f,0x1fdd7e40,0x1001fc80,0x5dfb00bf,0xbf905fb5,0x6c0bf935,
    0x14c80498,0x5d7d4079,0x57e404fe,0x3f9003fb,0xb007f400,0x07f7117f,
    0xf957ddf9,0x55f77dcf,0xfe880ffd,0x1dd0004f,0x541ba000,0x077fcc0f,
    0x0001ff44,0x00aa2a88,0x0a6000d4,0x1ff07f90,0x3f2077c4,0x001bb301,
    0x00811000,0x00551544,0x1510006a,0x1be17e20,0x4bf61bf2,0x01fd86fb,
    0x22000551,0x1510000a,0xff30be20,0x1037d403,0x26200133,0x13310009,
    0x80266200,0x6413307d,0x101b881f,0x26200353,0x3531001a,0x006a6200,
    0x8800d4c4,0x89f301a9,0x83fc85f8,0x707f72fb,0x800cc05f,0x029809a8,
    0x21b86a60,0x403fcc4e,0x7fec40ff,0xfb100dff,0x2201bfff,0x00dffffd,
    0x1bffffb1,0x7f400df0,0x3ffa6000,0xfd302fff,0x2605ffff,0x02fffffe,
    0x5fffffd3,0x3ffffa60,0xfffd302f,0x43fa85ff,0x82fc81fc,0x505f73fa,
    0xfffd887f,0xffff304e,0xffff71df,0x3ffea01b,0x1f21fcff,0x3fd00ff3,
    0xfeaadfe8,0xd55bfd06,0x2b7fa0df,0xbfd06fea,0xf88dfd55,0x6ddfe006,
    0xbff982df,0x4c0ffda9,0xffda9bff,0x54dffcc0,0x7fcc0ffd,0x40ffda9b,
    0xfda9bff9,0x4dffcc0f,0x3ea0ffda,0x7e417e23,0x5f73fa81,0xefd87f50,
    0x7cc2fdaa,0xfffda9ae,0xa86fc9be,0x5feb9cff,0x0df30fcc,0x27dc5fb0,
    0x13ee17e4,0x09f70bf2,0x84fb85f9,0x0037c2fc,0xffddf9df,0xfd82fc89,
    0x7ec17e42,0x7ec17e42,0x7ec17e42,0x7ec17e42,0x7ec17e42,0x3fb8fea2,
    0x7f503f90,0x8fea0bee,0x20ff83fc,0x86ff80fd,0x03fe24fb,0x23f83ffd,
    0x2fd805f9,0x17e607fa,0x8bf303fd,0x45f981fe,0x45f981fe,0x11fc80fe,
    0x7f545fff,0x17dc0621,0x217dc062,0x885f7018,0x1885f701,0x01885f70,
    0x51fd45f7,0x03f901df,0x20bee7f5,0x4c1f63fa,0x7ec06209,0x3ea6f883,
    0x21fdf644,0x2017e65d,0x333fe1fe,0x7c6fcccc,0xfccccccf,0x66667fc6,
    0x67fc6fcc,0x46fccccc,0x137c44fb,0x0bf707ff,0x7ffdb751,0x3fb6ea20,
    0xdb75103f,0x2ea207ff,0x5103ffed,0x207ffdb7,0x3ffedba8,0x3dfb0fea,
    0x3fa81fc8,0x47f505f7,0x9730006f,0x9999bffd,0x8bee1fd9,0x5c4f98fa,
    0xd00bf30f,0x3fffe21f,0x227fffff,0xffffffff,0x3fffe27f,0x227fffff,
    0xffffffff,0xbbefe87f,0x407fc2fe,0x7ffec6f8,0xfd83fdce,0x83fdceff,
    0xfdcefffd,0xcefffd83,0xfffd83fd,0xfd83fdce,0x23fdceff,0x2ffc83fa,
    0x4fea07f2,0x13fa82fb,0xffc800df,0xffffecef,0xf91fffff,0x2fc4be65,
    0x02fccbe2,0x07f887fc,0x8801fe20,0x1fe2007f,0x6fffe400,0xf880fe82,
    0xb82b7f66,0x056fec3f,0xadfd87f7,0xbfb0fee0,0x361fdc15,0x0fee0adf,
    0x7dc15bfb,0x7d40fea3,0x3ea07f27,0x7f505f73,0xbfb0037c,0x800fec15,
    0x264e8bfb,0xbf34e84f,0x7fc5fb80,0x7fc2c882,0x7fc2c882,0x7fc2c882,
    0x2a02c882,0x207f600f,0x20ff14fa,0x41fe23fd,0x41fe23fd,0x41fe23fd,
    0x41fe23fd,0x41fe23fd,0x80fea3fd,0x003702fc,0x07f47f50,0x06f88fe4,
    0xa8f205fd,0x1fdc6ddf,0x205f9b64,0x2fdc2ff8,0x17ee1fec,0x0bf70ff6,
    0x85fb87fb,0x3f2603fd,0xd81df302,0xf30ff12f,0x4c3fc47f,0x21fe23ff,
    0x1fe23ff9,0x7f88ffe6,0x3e23ff98,0x2a3ff987,0x0fd8b93f,0x4006fc88,
    0x113ee2fb,0x5c37c4df,0x27dc0eff,0x7cc1fff1,0xf98fa80f,0x2ffe7645,
    0xfdbcffe8,0xb79ffd05,0x33ffa0bf,0xffd05fdb,0x440bfb79,0x3f203fb9,
    0x644ffbbe,0xfefcaadf,0x6556fe43,0x6fe43fef,0x43fefcaa,0xefcaadfc,
    0x556fe43f,0x7e43fefc,0x3fefcaad,0x56fe4fea,0x07e405fc,0x207ecc40,
    0x2febbefe,0x7ed56fe4,0xfdabefbc,0xdacffb86,0x37f102ff,0x7ffec4bf,
    0x77ffe404,0x3fff200b,0x3ff200be,0x3f200bef,0x3600beff,0x7dc00dff,
    0xec884eff,0x46f8aeff,0x8aeffec8,0x7ff6446f,0x6446f8ae,0x6f8aeffe,
    0x577ff644,0x7f6446f8,0x2a6f8aef,0x2ffff23f,0x04fff880,0x320bff90,
    0xc882dfff,0x3aa2effe,0x7c41ceff,0x01cfffdc,0x000c02ec,0x01100022,
    0x44000880,0x00031000,0x00220011,0x08800110,0x20004400,0x00440008,
    0xaa880100,0x002e6000,0x200c0026,0x03122008,0x00000440,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x22031000,0x79510009,0x2a602b85,0x2aa2a800,0xabca8800,0x00353000,
    0x22130544,0x44002a21,0x024c01ba,0x054402c8,0x1bb98013,0x2054c000,
    0x41c88049,0x4c0000a9,0x0d4401bb,0x04c4aa20,0x207f2098,0x7f5c02fb,
    0xfaaeffff,0x7fffe442,0x7d67dc04,0x7fff5404,0x3a604fff,0x2203efff,
    0x2fadfffe,0xbfffd3f9,0x3fff6201,0x07fa82ef,0xfd300fc8,0x107f5dff,
    0xbffdbffb,0x45f70001,0x85e807fa,0xd88001fc,0x0dffedff,0x7cc05f98,
    0x9f107f55,0x17dc0fe4,0x3337ff70,0xf907fff9,0x807fb53b,0x7d406ffd,
    0xfea99acf,0xaaeff886,0xcfe882fe,0xf92fffc9,0x0bfb37ff,0x3fd473f6,
    0xf301fbf6,0x277fa205,0x7443fffc,0x3baa20ad,0xd97dc000,0x07e407ef,
    0x22000fe4,0x3aa20ade,0x202fcc0e,0x107f55f9,0x5c0fe49f,0x01bf702f,
    0xdf10bfee,0xaa880df0,0x803be600,0x427e43fd,0x217e41fe,0x0ff92ff8,
    0x87f987f9,0x03dca3fb,0x1fec09f1,0x5e88ffe2,0x2000ed80,0x81ee52fb,
    0x03f902f9,0x6c02f440,0x3017e60e,0x220feabf,0x2e07f24f,0x00ff882f,
    0xfa8dfdf1,0x2201fc83,0x07fe0099,0x1fe8df10,0x83f44fb8,0x50bf92fc,
    0x904fa8bf,0x36c0f705,0x3f603fe0,0xffe997a3,0xa881b61d,0x07b85f70,
    0x8fe409d1,0x557a00a9,0x36c3deee,0x5f980bf3,0x49f107f5,0x82fb81fc,
    0x1dd104fa,0x437cc3ff,0xffd880ff,0x2fcc0dff,0x83fc0980,0x417e26f8,
    0x105f92fa,0x005fa8df,0x01fb83dc,0x9fdc1be2,0x139f30f9,0x303e61f9,
    0x5f7bfffd,0x80db07b8,0xdfffeafc,0x9eb87cc0,0x43e65ea9,0xafcc05f9,
    0x24f883fa,0x82fb81fc,0x21dd02fc,0x4e7ec3fe,0xbfd04fd9,0xfa8dfd55,
    0x03fe0004,0x05f99bea,0x403f25f5,0x003fc47e,0x00fe21ee,0x4fe609f3,
    0x86e1b66b,0x277fa22f,0x3dc2fffc,0x3f200fd4,0x46feabff,0x8f71ae6b,
    0x980bf32f,0xf309f55f,0x7e40fe49,0xfd81fe82,0x3f213f20,0x9f703fff,
    0x17e45f90,0xb07fd000,0xb83fc4ff,0x3e03f92f,0x2affea66,0x743dc00a,
    0x505f8805,0x03f8f67f,0x10bf24c8,0x447b85ff,0x0ffc803f,0x5c7b1fe4,
    0x644ea99e,0xf980bf34,0x9f309f55,0x17ec17dc,0x07f207fc,0xcffb89f7,
    0x1fe82ffd,0x07f65f98,0x3bbbbba2,0x222ffea1,0x0ffc7ffc,0x82fc97f4,
    0x3ffee4f9,0x14c03fff,0xf07203f2,0x3a7f901f,0xb7005f12,0x42fc83f4,
    0x75137429,0xf884fc83,0xfffb8ba6,0xbf35b83f,0xbf55f980,0x27d49f50,
    0x3fa0bfe6,0x3ee07ee1,0xe8837ee3,0x6667fc2f,0x3f26fccc,0xfffff883,
    0x7fffe42f,0x27dc6eaf,0x77e4bfe6,0x7d417ec0,0x0be60004,0x1bf70ff2,
    0x24c9ffd4,0x4f60984f,0x05f705f8,0xbdf10fb8,0xf817e4ff,0xf36b9327,
    0x17e67b07,0x3feabf30,0xff127f41,0x05fbf97b,0x40bea5fb,0x207fa1fd,
    0x3ffe24fa,0x27ffffff,0x5f9005fa,0x3e37b930,0xfcbefe84,0x9fff92ff,
    0x3ea09ff7,0x09d10004,0xffb07ff7,0x2a7fdffb,0x45f11b67,0x2a0bf31f,
    0xb8be602f,0x3f25f50d,0x73d4ff01,0x47e0fd4d,0xa7d406f8,0xfeccfffa,
    0x7fff4c4f,0xdfa82f9b,0x8ff103fa,0xf89fe06f,0x01be2007,0xf98017e4,
    0x79fff903,0x3f6bf25f,0x0bf203ef,0x7d436c00,0xbfd703fa,0x47e27f75,
    0x25fccfe8,0xfc82fc7a,0xf7017a02,0x3e20bf21,0x235c7e26,0x0ff1ea6d,
    0xb9f53fb8,0x209f3fff,0xfe81aa08,0xf13f204f,0xff1be60f,0xfe859105,
    0x2a2fc805,0x402fc80c,0x8fe4bee1,0x006e8008,0x3f983f50,0x17dc007f,
    0x1664c3f9,0xd07e87f3,0x803b205f,0x20ff23fb,0x54fe45fb,0x1fcce443,
    0x2fd807fa,0x000227f5,0x5ff702dc,0x3f217f20,0x7dc3fd84,0x7443fd85,
    0xffc880df,0xbf313ea2,0xf92fb800,0x4cfe4003,0x20fe2000,0x21dfaaef,
    0x40fe80ee,0x0fe601fc,0x5ff313f2,0x7ec03f50,0x36077e42,0x201fc82f,
    0x0efb83f9,0x7f50efb8,0x23f70000,0x3bffba21,0x105fedcc,0xdfd75bff,
    0x36f3ffa0,0xdffd105f,0x05dffdb9,0x1ff759fd,0xf92fb800,0x3ffee003,
    0x07dcdfff,0x3bbba0db,0x277f23ef,0xf904fda8,0x7fd7337b,0x7edf7ec0,
    0x027c42fe,0xddf903fb,0x640bff77,0xfeb99bdf,0x33bff603,0x3ea0ffed,
    0xff880003,0x3223ba6f,0x00bdffff,0x33ffff62,0x3bfff200,0x3b6e200b,
    0x2203efff,0x001cfffc,0x03f92fb8,0x2eab3e60,0x5c0efffd,0x907f000f,
    0x809fffff,0x1bdffeb9,0x67ffe440,0x9036c2fa,0x327fffff,0x03fffd9f,
    0xbdffeb98,0xfffdc801,0x01fd41ce,0x09835000,0x33000188,0x00008800,
    0x00300011,0x03109880,0x03310080,0x01a800b2,0x100026e6,0x2600c000,
    0x2aaaa00c,0x003101aa,0x13000020,0x00004c40,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x44000000,
    0x2c800aba,0x0565cc40,0x0002a800,0x00157951,0x1000e5c4,0x0054c013,
    0x06a602aa,0x401ed800,0x9aaaaaa8,0x4402a600,0x3153001a,0x00072a15,
    0x555554c0,0x82aaaaaa,0x2aa20440,0x5440aaaa,0x2a60d4c1,0x80fd9dd0,
    0x3fee00fc,0x002effff,0x901d43fc,0x09ffffff,0xffffffc8,0x02fdc00d,
    0x2fd403f9,0x20004fb8,0x7fd402ff,0x1dffffff,0x9f501fc8,0x3f2bf200,
    0x00005fb1,0x3ffffffe,0x647fffff,0x4c1facef,0x42ffffff,0x227dc4fa,
    0xf50c89fc,0xd80bea03,0xfda99bff,0x31fe001f,0x2fbf609f,0x906feb99,
    0xfb7359df,0x205fb80d,0x03fa01fc,0x500027dc,0xaefa8015,0x2ffdcbaa,
    0x4fa80fe4,0x3d55f900,0x200007aa,0xacfeadfb,0x262aaaaa,0x305febaf,
    0xa8133333,0x3227544f,0x882f5c1f,0x037ee04f,0xf800ffd4,0x7c427cc7,
    0xb83ff00f,0x00ff606f,0x2203f900,0x093ee01a,0x00266200,0x7fd40bf5,
    0x7d407f20,0x1a5f9004,0xff00001d,0x44007f63,0x04cc0041,0x43c84fa8,
    0x067f41fc,0x1ff1036c,0xf006fb80,0x04efd44f,0x27dc09f5,0x7c403ff1,
    0x4035100f,0xa88621fc,0x1a29f701,0x3ffff620,0x80bf500d,0x407f24fc,
    0x5f9004fa,0x209a5c97,0x5fb800a9,0x260007f6,0x3ffae201,0x227d40df,
    0x40fe41e8,0x00fdc4f8,0x3fa009f7,0x3f27f800,0x1fe63fff,0x1009f500,
    0x3203fa80,0xfb1f909f,0xcfb83fff,0xdfe805f9,0xf506feaa,0x326f880b,
    0x009f501f,0x7c302bf2,0x04ffffac,0x03fb0ff4,0x3e20ff00,0x46feaaef,
    0x640d44fa,0x9f10ea9f,0x3f201fc4,0x005fb002,0x56fdccff,0x00dfff41,
    0x40001fdc,0x37f202fb,0x957ddf95,0x5fefb8ff,0xfc84fb80,0xf805fa82,
    0x2a03f90f,0x05f9004f,0xebadfef8,0xd8bf503f,0x07f8001f,0x47fb07fb,
    0x3f9004fa,0xe83bfbfa,0x001fd805,0x8ff007f7,0x3ff604f9,0xfd80bdff,
    0x7fcc0001,0x64bff200,0x2e2fd86f,0x3fd003ff,0xfca8bf30,0xfe82aaae,
    0x43ba3f91,0x227544fa,0x17fc02fc,0x0ff41be6,0x3bbbbbf6,0x20ff02ee,
    0x54df507f,0x43f9004f,0x407e41a9,0x4003fa1c,0x47f804fa,0x75cc04f9,
    0x7f42ffff,0x3fe20001,0xc8bfa202,0x362fb83f,0x33fe004f,0x46fccccc,
    0x7fffffff,0x23f91fd8,0xa89f50ff,0x2017e45f,0xf50ff07f,0xfffffb0b,
    0x1fe07fff,0x3fc417e2,0x3f2009f5,0x6417cc01,0x4007f63f,0x47f803fb,
    0x2a2004f9,0x0bf23ffd,0x017f4400,0x2fc87ffa,0x9ffb3fa8,0x3fffe200,
    0xa87fffff,0x90fe805f,0x4fa8aa3f,0x0bf20d44,0x21fa0df0,0xe9999bfe,
    0x87f8001f,0x43fa05f9,0x3f9004fa,0x7dc27440,0x400bee3f,0x47f801fc,
    0xf50004f9,0x4c01fdcd,0x6c017f40,0x207f21fc,0x09f9d3fa,0x2001fe20,
    0x27f805fa,0x09f501fc,0xdf00bf20,0xfff51fa0,0x03ffffff,0xbf10ff00,
    0x09f537c0,0x6d807f20,0x263fafa8,0x27f8805f,0x4c7f82b8,0x400fe84f,
    0x00bf30fe,0x417e27fd,0x3f21fc80,0xf713fa81,0x417fc009,0x05fa82c8,
    0x03f92fd4,0x7e4013ea,0x7e837c02,0x66666fec,0xf8001fec,0x3e20ff07,
    0x64013ea5,0x983f501f,0x2fe87f3f,0xbf32fe40,0x27cc6f88,0x1fe017e4,
    0x7fd407fd,0x3f20bf30,0x1fc87f23,0x13ee3fa8,0xfd85fb80,0x7405fa83,
    0x5407f23f,0x05f9004f,0x4cfd06f8,0x007f606f,0x27e41fe0,0x4fa8ff62,
    0xf103f900,0xbf55df07,0xc81ff443,0x707fc46f,0x985f88bf,0x89f903ff,
    0xfe982ff9,0xf103fe24,0xf90fe41f,0x7dc7f503,0x67ff4004,0xbf505fdb,
    0xf917f620,0x4013ea03,0x837c02fc,0xd80bf67e,0x07f8001f,0xff97ffd1,
    0x9004fa89,0x3a0dd03f,0x4c3efeee,0xfedcceff,0xddffd80e,0x2cff81ff,
    0x6e6fffd4,0xffa80dff,0x85fffccf,0xfea8befc,0x3f90fe44,0x77dc7f50,
    0x0eeeeeee,0x0befffc8,0xddddff50,0xfc81dfff,0xdddff501,0x3f21dddd,
    0x7e837c02,0xefd80df3,0x1eeeeeee,0x3f2207f8,0xffa83eff,0x0eeeeeee,
    0x00fb83f9,0x36e207f0,0x100bdfff,0x205dfff9,0xed985ffb,0x4c04efff,
    0x02efffec,0x13fffff2,0x81fc87f2,0x3ffee3fa,0x00ffffff,0x3fea0022,
    0x02deffff,0x3fea03f9,0x0fffffff,0x06f805f9,0xb00ff6fd,0xffffffff,
    0x200ff03f,0x3ffea008,0x90ffffff,0x0016443f,0x00060035,0x40040026,
    0x98800098,0x15551000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x51051054,0x000a9815,0x2a880351,
    0x10551544,0x01555555,0x2aaaaaa2,0x3ba20009,0x53044001,0x55555555,
    0x55544355,0x05540aaa,0xa8805510,0x55554002,0x2a9800aa,0xa9805540,
    0x01551541,0x20aa2351,0x3530cca8,0x215446a6,0x46e4aa2a,0x84fb85c8,
    0xbf3001fc,0xfc85f980,0xffa83fba,0xf501ffff,0xbfffffff,0x03ff1003,
    0x1f56ffdc,0xfffffff7,0x7ccbffff,0x5c2fffff,0x00bfa04f,0x22009ffd,
    0x02ffffff,0x3f201ff8,0x40ff886f,0x204facfb,0x441fd8fe,0xdf10fffe,
    0x17f41fd1,0xfe8bfcfd,0xf86f81ef,0x00ffffff,0x5f980bf3,0x220bffd0,
    0x20199999,0xcbaaaefa,0xaa802ffd,0x3f6afe00,0x2aaaa60e,0x1aaaadfc,
    0x04cccccc,0x37d407f4,0x0bf2bf20,0x4cccccc0,0x501fd400,0xfb89f39f,
    0x80dffb02,0xfa82fff8,0x7ffd419d,0x49737441,0xa880c44c,0xaacfda80,
    0xfffff902,0xffffffff,0x802a881f,0x7d400998,0x003fea05,0x00418033,
    0x06204fa8,0x17ea04c4,0x2a8807fa,0xa98800aa,0xa8053001,0x1541550a,
    0x30015510,0x80bee055,0x015101aa,0x88c40cc0,0xa88fe40a,0xaaefc980,
    0xefbaaaaa,0x0544620a,0x6ffffec4,0xc80bf500,0xfffd884f,0x3510c44e,
    0xc813ea00,0xe82fb81f,0x3317ee1f,0x02620260,0x5fffffd3,0x33333330,
    0x4c066033,0x03510c41,0x26666666,0x880bf219,0x33033009,0x27f21fe0,
    0x2bf21fff,0x4c1efffd,0x42fcc05f,0x41fff9fc,0x6feaadfe,0xf880bf50,
    0xdaaefd86,0x3f63f22f,0x7d401fff,0x2e07f204,0x3e6f982f,0x2a07ec0f,
    0x260fc86f,0xffda9bff,0x3ffffe20,0x0ff07fff,0xfb1f91fe,0x7fc43fff,
    0x27ffffff,0x0bf202fc,0xf83fc3fc,0x6ceefc87,0x6d5fffe4,0x017e60ff,
    0xddf90bf3,0xc84fb8d9,0x805fa82f,0x20ff20ff,0x7ddf90ff,0xfa80ff95,
    0x2e07f204,0xf75fb02f,0xfc87f707,0x3f237c0f,0x2a22fd82,0x4feaaaaa,
    0x91fe0ff0,0xff957ddf,0x55555544,0x80bf24fe,0xf0ff02fc,0x3f21fe0f,
    0x3a1bf206,0x3fffe61f,0x5fffffff,0x3fa06fc8,0x6545f981,0xe82aaaef,
    0x4cc1f61f,0x5fb0df90,0xf9027d40,0x2205f703,0xbf107fef,0x3e62fee8,
    0x2fb80c43,0x3e05fb80,0x6fc8ff07,0x7dc02fd8,0xf9017e45,0x1fe1fe05,
    0x01fe43fc,0x45f707f9,0xeeeeeff9,0xfc85feee,0x3333fe03,0x7fc6fccc,
    0xd87fffff,0x6401be1f,0x742fb83f,0x7fffffff,0x17dc0fe4,0xfffffff5,
    0x13f43fff,0x0fe49f7f,0xffedba88,0x0077d403,0xf91fe0ff,0x5405f707,
    0x017e40ef,0x21fe05f9,0xf90ff07f,0x5417e405,0x3017e63f,0x205f90bf,
    0xfffffff8,0x05fa87ff,0x0df10fe8,0x3ea0bf20,0x6fe55543,0x40fe42aa,
    0x333262fb,0x0ccccffc,0x747dc7ee,0x7fec1ba6,0x203fdcef,0x3fc00ff9,
    0x417e47f8,0x1ff303fa,0x7e405f90,0x0ff0ff02,0x807f21fe,0x23fa81fc,
    0x2fcc05f9,0x7f880fe4,0x805fa800,0xc8037c7f,0x203fa81f,0x07f204fa,
    0x0df00bf2,0x32db3f98,0xfd84f88f,0x40fee0ad,0x7f801ff8,0x81fc8ff0,
    0x1ff883fa,0x7e405f90,0x0ff0ff02,0x807f21fe,0x23fa81fc,0x2fcc05f9,
    0x5ff00fe4,0xbf505910,0x7f45fa80,0x3f91fc80,0x7d407f50,0x360bf204,
    0x3bbba62f,0x40eeeeff,0x2fe69f6f,0x83fc41fb,0x2fe883fd,0x1fe0ff00,
    0x87f503f9,0x3f202fe8,0x7c0bf202,0x0ff07f87,0x0fe403f9,0x0bf31fd4,
    0x1fc85f98,0x3f617ee0,0x7405fa83,0x2227dc3f,0x2a07f26f,0x813ea03f,
    0x17fcc4fb,0x9ff99993,0xafc81999,0x21f77e2f,0x3ff987f8,0x3e003fe8,
    0x1fc8ff07,0x1ff43fa8,0xfc80bf20,0x0ff0ff02,0x807f21fe,0x23fa81fc,
    0x2fcc05f9,0x3fa00fe4,0x505fdbcf,0x17f620bf,0x7f5df7f4,0x3ea07f22,
    0x8813ea03,0xfdfcadff,0x54037c02,0x3ff60fef,0x955bf904,0x4fd87fdf,
    0x7f83fc00,0x1fd40fe4,0x5f9009fb,0x7f817e40,0x90ff07f8,0x40fe403f,
    0x017e63fa,0x03f90bf3,0x17dfff90,0x3bbbfea0,0x200efffe,0x642dfffc,
    0x203fa81f,0x7f4c04fa,0x402f9bff,0x8dff006f,0xd9102ffb,0x4df15dff,
    0xcccccffb,0xf07f80cc,0xfa81fc8f,0x9999ff73,0x0bf21999,0x0ff02fc8,
    0x321fe0ff,0x207f201f,0x017e63fa,0x03f90bf3,0x7d400440,0x2defffff,
    0x7e402600,0x2a03fa81,0x0011004f,0x3f600df0,0x8803fcc4,0x7fffe400,
    0xf81fffff,0x1fc8ff07,0xfff93fa8,0x23ffffff,0x0bf202fc,0x003fc3fc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x54400000,0x00d44001,0x55401a88,0x006aa602,0x1aa88550,
    0x510aa980,0x55555555,0x510aa855,0x881a8805,0x5440acca,0xaaaaaaaa,
    0x2aaaaa22,0x002a601a,0x2aaaaaa2,0x2615301a,0xa833000a,0x10d4c00a,
    0x35555555,0x4b2e6001,0x99999999,0x2fd45519,0x4013ea00,0x3bf204fa,
    0xffffe980,0x46fa801e,0xfd807ffa,0xfffff31f,0x44dfffff,0x03ff50ff,
    0x3fea2fcc,0x3e62ffff,0xffffffff,0xfffff50f,0x5f909fff,0xfffff500,
    0xfc87ffff,0xf1003f92,0x2206fc8f,0x3ffe60ff,0x1fffffff,0x7cfffee0,
    0xffffffff,0x02fd4ff7,0x54013ea0,0x01df904f,0xfb53bff1,0x37fc401f,
    0x8807ffea,0x5df31fff,0x55555555,0xffa87fc4,0x4cbf300e,0xffb88bff,
    0x5555df31,0x6fd45555,0x5ffcbaaa,0x7d4017e4,0xfcbaaaae,0x7e47ae3f,
    0xe87f8801,0x985fd03f,0xcaaaaaef,0x5ff01ffe,0x33333211,0x4ff5fecc,
    0x99999dfa,0x2009f500,0x0efc84fa,0x7fb09f90,0x2a37fec0,0x3ee04fdf,
    0x00bf31fe,0xff50ff88,0xd97e609f,0xf34fc84f,0x827d400b,0x0bf20ff8,
    0xfa817ea0,0x0007f207,0xfc83ff10,0x6c05f984,0x006f884f,0x53fc3fe2,
    0xffffffff,0x004fa85d,0x0efc89f5,0x3e607fa0,0x8df5f705,0x3607ecfa,
    0x0bf31fde,0xf50ff880,0xbf305ff9,0xb7cc07ec,0x3ea005f9,0xfc8bf204,
    0x17ea1982,0x42623fd0,0x003511fc,0x37d4df70,0x7cc05f98,0x04efcc46,
    0x4ff17ec0,0xcccccefa,0x13ea2ffd,0xdf927d40,0x3ea03001,0x8df4f884,
    0x881fccfa,0xbf31fdbf,0x2a1ff000,0x4c0efacf,0x29f3005f,0x3ea005f9,
    0xfc83f604,0xbf527ec2,0x5f91fe80,0x3fff6bf2,0x67ec001f,0xbf300ff8,
    0x7ec5fa80,0x7d406fff,0x0bf53fc5,0x09f53fdc,0x77e53ea0,0x17f40000,
    0x546f8774,0xfb84f9cf,0x0bf31fd8,0xa7d4ff00,0x02fcc4fd,0x5f98ff44,
    0x5c13ea00,0xfb17e45f,0x2605fa87,0x7e4bf26f,0x0ffdabef,0x3fbfe200,
    0x8817e602,0x77dd42fe,0x03fe202a,0x202fd4ff,0x009f51ff,0x3fff33ea,
    0x1bea0000,0x546f87ee,0x2bd0fd4f,0xddff31fd,0x83dddddd,0x7c53ea7e,
    0x1017e62f,0x77fcc5fd,0x546eeeee,0xffffffff,0x7fb2fc85,0xd730bf50,
    0xfc97e47f,0x000ff40e,0xf3013fea,0xfd99999d,0x017e20df,0xa9fe13ee,
    0xa8ff405f,0xfff5004f,0x2000bfbb,0x27cc0ffa,0x329f51be,0x7ecfe21f,
    0xffffff31,0x6e83ffff,0x0efa93ea,0x7f440bf3,0x7ffffcc3,0x7fd47fff,
    0x2ffffeee,0x81fed7e4,0xfffffffa,0x4bf20dff,0x02fb83fc,0x2037fd40,
    0xfffffff9,0x17e203df,0x9fe07fa0,0x9be605fa,0xff5004fa,0x000ffa2b,
    0x0dd03df7,0xf34fa8df,0x1fd87dc9,0xdb000bf3,0x53f627d4,0x13f205f9,
    0xfa8017e6,0x647fd304,0xf501ffff,0x379ddddf,0x0bf25f90,0x20198fea,
    0x203feff8,0xea999df9,0x02fc403f,0x53fc17e6,0x7fb710bf,0xfa8027d4,
    0x800ffcc5,0xcfc80efc,0x2aefaaaa,0xbd3f49f5,0x05f98fec,0x13ea5d80,
    0x0bf35ff1,0x05f983f4,0xf9813ea0,0x3bf3ff26,0x4005fa80,0x503f92fc,
    0xd81fe27f,0x301ff9bf,0x07fd10bf,0x3f202fc4,0x7fd4ff02,0xefffffff,
    0x54013ea0,0x00efc84f,0xfd8077e4,0xffffffff,0x4fdc9f56,0x4c7f62f9,
    0x25c8005f,0x9ffa84fa,0x4c1be05f,0x13ea005f,0x4ff21ff0,0x05fa84fc,
    0x1fc97e40,0x0ff13fa8,0x0efb97ee,0xff305f98,0x8817e203,0xfa9fe07f,
    0x3ceeeeef,0xf5004fa8,0xd817fa09,0x5554c05f,0x52aefaaa,0x7de7cc9f,
    0x2fcc7f60,0x9f504400,0x817fbf60,0x00bf3009,0xff1027d4,0x85fd17e4,
    0x7e4005fa,0x7f503f92,0x07fcc3c4,0x17e613f6,0xf880ffc8,0xf817e605,
    0x50017ea7,0x13ea009f,0x7d417fc4,0x237c0005,0x2f7f44fa,0x02fcc7f6,
    0x09f50cc0,0x9817ffe2,0x400bf301,0xbfb104fa,0x1df317e4,0x32002fd4,
    0xf503f92f,0x3fe22dc7,0x4c2ff882,0x427f405f,0x0fea05f8,0x017ea7f8,
    0xddddff50,0x13ea1ddd,0x7fc0ffb8,0x4eeeeeee,0x27d46f80,0x3fb0bfee,
    0x3bbbbfe6,0x3e0eeeee,0x5409f50f,0x0ff105ff,0xfa8017e6,0xffeeeeef,
    0xf90bf20e,0x2002fd49,0x503f92fc,0x3f606c7f,0x983fea04,0x0ffcc05f,
    0x2fc817e2,0x05fa9fe0,0x7ffffd40,0x9f50ffff,0x3e66fd80,0xffffffff,
    0x7d46f806,0x7ec3fcc4,0xffffff31,0x7c1fffff,0xd809f50f,0x20ff105f,
    0x3ea005f9,0xbeefffff,0x3e217e40,0x800bf52f,0x503f92fc,0x037dc07f,
    0x0bf32fec,0x5f88df90,0x7f807f60,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0xaaaaaaa9,
    0x1551aaaa,0x2200aa00,0x2288002a,0x2a8801aa,0x2aaaaaa2,0x006a2009,
    0x802a6551,0x30aa00aa,0x55555555,0x0bb20155,0x55555544,0x55555510,
    0x22015555,0x136001a9,0x51009980,0x800cc001,0x029809a8,0x3ffee0cc,
    0xffffffff,0xf3009f95,0x05ff700d,0xff53f440,0x2a4fd801,0xffffffff,
    0x405f981d,0x207f75f9,0xbf304ff9,0xffffffc8,0xfd02ffff,0x3fffe607,
    0x140051ff,0x3fffffa6,0xd805f802,0xf50dffff,0x2203dfff,0x304efffd,
    0x71dfffff,0xf01bffff,0x55554c1f,0x1aaaadfc,0x5f900ff1,0x00dfdd00,
    0xbfb1ff62,0x3ea37dc0,0xfecbaaae,0x202fcc2f,0x20bf35f9,0x7f707ffc,
    0xaaaaaa98,0x5501ffca,0x4ccccc03,0x262800a1,0xffda9bff,0x3602fc00,
    0xbefeaadf,0x1ffc9bff,0xfdaaefd8,0x54d77cc2,0xc9befffd,0x400ff86f,
    0x17ec04fa,0x3e601fe0,0x7d401fcc,0x17fc47ff,0x3ea0ffc4,0x983ff205,
    0xf2fcc05f,0x07f3ba0f,0xe88007f6,0x4ccccc3f,0x03301999,0x5f914005,
    0x5f805fb0,0x3f217ee0,0x22fcc0ff,0x20ff83fc,0x86ff80fd,0xf50004fb,
    0x204fa809,0x9fc804fa,0x3fee04f9,0x0ffa87ea,0x2fd41fec,0x5f993f20,
    0x3fb2fcc0,0x83facf88,0x27f4007f,0x3fffffe2,0x50ff07ff,0x20311400,
    0x3bba22fb,0x25eeeffe,0x5ff980fd,0x83ec1fd0,0x6c062099,0x006f883f,
    0xff009f50,0x7c00fec0,0x66403fe7,0x97f60fd0,0x0bf505fa,0x17e66f98,
    0x1fdcbf30,0x262fcbea,0x1bf2005f,0x2aaaaaa2,0x50ff04fe,0x5d441400,
    0x3e23ffed,0xffffffff,0xdff81fe7,0x1feccccc,0x5cc001be,0xcccdffec,
    0x8000fecc,0x2fc804fa,0xfa806f88,0x7400ff24,0xf15ff107,0x017ea01f,
    0x17e61ff1,0x2fc4bf30,0x2e3ec3f2,0x1ff7002f,0xf02fdc00,0x2140050f,
    0xfdcefffd,0xf882fc03,0x3ffff606,0xf12fffff,0xfffc800d,0xfffffece,
    0x8001ffff,0x5f9804fa,0xfd803fb8,0x7401be61,0x3f3bea07,0x2017ea02,
    0xffff31fe,0xbfffffff,0xf72fc7e8,0x4c007ec5,0x3ea001ff,0x0a1fe00e,
    0x2b7f6280,0xbf00fee0,0xff807fc0,0x801be003,0x3f60adfd,0xfa800001,
    0xe81fd004,0x437c400f,0x07e801fe,0x2a02ffec,0x32fd805f,0xddddddff,
    0x0fc8bfdd,0xf27cc7f3,0x07ff100d,0x2007fcc0,0x4a00287f,0x07fb07f8,
    0x0bfa05f8,0x5dc17fe6,0x3f203fa0,0x3fa0df11,0x20007902,0x7f7004fa,
    0x7dc02fcc,0x4fdaaaad,0x7c407e80,0x02fd400f,0x05f98ff4,0x4bea2fcc,
    0xf8b7c1fb,0x004fe804,0x3e007fe2,0x44a00287,0x03ff987f,0x0bf702fc,
    0xf983fffb,0x3e227dc5,0x3ee1be26,0x227dc0ef,0x04fa8019,0x0fe4df10,
    0x7fffff40,0x7400ffff,0xa807f807,0x30ff805f,0x45f980bf,0xfb0fb4f8,
    0xfc805f51,0x0bfa2006,0x00143fc0,0x6556fe45,0x04c03fef,0x3eef7fa0,
    0xcadffbdf,0xbefe80ff,0x6fe42feb,0xefbcfdaa,0xff86fdab,0x0027d400,
    0x201be1fb,0xaaaaaef9,0x3f403fda,0x7d403fc0,0xf337d405,0xe85f980b,
    0x9fa84f8e,0x3fee00fc,0x00ffa000,0x200287f8,0x3bffb222,0x3ba26f8a,
    0x5eeeeeee,0x24ffffc8,0x01dfffe9,0x20b7fff2,0x22effec8,0x81ceffea,
    0x27d400ff,0x7f37f500,0x4c05f900,0x403f406f,0x05fa807f,0x0bf317f4,
    0xafc85f98,0x5ebf882f,0x8007fe60,0x3fc004fd,0x22050014,0x7fffc400,
    0x207fffff,0x2000c008,0x88030009,0x9f500000,0x0fcee800,0xfe807f80,
    0x3e01fa01,0x105fa807,0x05f98dfb,0x77d42fcc,0x07fdd00f,0xb800bfe2,
    0xccccccff,0xaa87f80c,0xaaaaaaaa,0x0000002a,0x00000000,0x00000000,
    0xf90013ea,0x09f500bf,0x3f40bf70,0x7d403fc0,0xfffeeeef,0x202fcc0e,
    0x6ff885f9,0x6407ff20,0xeeeeeeff,0xfff93eee,0x03ffffff,0x000000ff,
    0x00000000,0x00000000,0x27d40000,0x00bfe200,0x3e200bf6,0xf00fd00f,
    0xffff500f,0x2605bdff,0x82fcc05f,0x1fea04fe,0xffffffc8,0x004fffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x22031000,
    0x4cc01309,0x01331000,0x20015510,0x8054c099,0x0c46e1a9,0x40310988,
    0x20131098,0x4ccccc19,0x88621999,0x1881980a,0x446206a2,0x04c0660a,
    0x301884c4,0x02a01983,0x70a88544,0x06540003,0x49835000,0x35f703f9,
    0xffeb88bf,0xffb100df,0x3f601bff,0xb881efff,0xf90dfffe,0xfffffa85,
    0x703f91fc,0x6c0fee5f,0xa83ff11f,0x3fffe25f,0x3f27ffff,0xf35fffe9,
    0x47e45dff,0x321ffffd,0xfb1fff9f,0xfc86fa81,0x7f443f90,0x77e5ffc3,
    0x4dd06fbc,0x00bbfa6d,0x10003f20,0xbfd45ff9,0x9afb81fc,0x2bbfe25f,
    0xbfd06fea,0xf90dfd55,0x88ff7359,0x6feaaeff,0x67fd45f7,0x3f25feb9,
    0xdf12fb81,0x6fa8df10,0xaa883fe2,0x24feaaaa,0xfeaadefc,0x26fbadfd,
    0xfcabeefc,0x9b3bbf27,0x07fe43fb,0x361fc9be,0xefff983f,0xfb80effe,
    0x7e4c5f71,0xf9000bff,0x3ff6a001,0x2fdfb0be,0x52fb81fc,0x7ec1fec9,
    0x7e427dc3,0x0f6437c2,0x25fb09fb,0xe81ff10d,0x703f91ff,0x2a0fec5f,
    0xfd3fd83f,0x917ee005,0x27fcc1df,0x437e47f2,0x20df92fd,0x17f745f8,
    0xd8fe47f3,0xa87fe03f,0xf15f985f,0x3ffae20b,0x007e401d,0x03bffd71,
    0x40fe5ee5,0x3fc592fb,0x0ff46fa8,0x0bfa2fcc,0x3ea07fe0,0x913ea5ae,
    0x07f27f7d,0x44fa8bee,0xcfe880fd,0x1df5004f,0x1ff83fc8,0x83fc9fd4,
    0x407f92fb,0x93efe27e,0x36bf21fc,0x213e603f,0xd87f40fd,0xffd9801f,
    0xfb55551e,0x3f215557,0x7b800bef,0xb7f703f9,0xf882fc4b,0x66667fc7,
    0x7fd46fcc,0x3fc40adf,0x7dc4ff88,0x53e63ea2,0x42fb81fc,0x9817e26f,
    0xff3006ff,0xff05f901,0x0bf27f50,0x017e4fea,0x3a3ee3f7,0xfdf91ba6,
    0x40fd403f,0x4d7ea1fb,0x7fd4005f,0xffffffd2,0x3bfa5fff,0x7e5ee000,
    0x4c2efb81,0x443fa05f,0xffffffff,0xfffd987f,0xe817e64f,0xf997e40f,
    0x07f2bf12,0x23f90bee,0x3fe202fb,0x01ff8805,0x50ff03f9,0x2a07f27f,
    0x4c03f93f,0x23f2db3f,0x67fe44f8,0x213e206f,0xfb0fe87e,0xffeb8803,
    0xfb33310c,0x3aa13335,0x7b801dff,0x05f903f9,0x137c0bf1,0xc98000ff,
    0x20ff14ff,0x8bfb86f8,0x7e53e64e,0x7cc2fc81,0xefc80fd4,0x0bfa202f,
    0x87f81fc8,0x503f93fa,0xf007f27f,0x5dfcd3ed,0xfc9fe41f,0x222ffa04,
    0x15f985fc,0x3ff260bf,0x07e400be,0x0fbff660,0xb05f97b8,0x441fe05f,
    0x4417fc5f,0x260ae22c,0x2a07fe6f,0x6ddfa85f,0x82fc9fdc,0xf9fe82fd,
    0x3e37ea04,0x807fd00f,0xa87f81fc,0xf503f93f,0xf9007f27,0x3eefc5f5,
    0x03fd0fe4,0xfffffff5,0x2a3f703f,0x37ffaa2f,0x003f2002,0x067ffe44,
    0x2627dca6,0x89f902ff,0x2fdc3fd8,0x03fa1fec,0x227e49f5,0xff883fd8,
    0x5c3fe60f,0x417fcc4f,0xf101fdfb,0x3617ea1f,0x81fc804f,0xf93fa87f,
    0x3f27f503,0x07f7d401,0x3f909ffb,0x4f7437d4,0x05f9adda,0x9fd36cdb,
    0x01f90003,0x405fd500,0xdfcadff8,0x7ffd102f,0x3fa09ff9,0xa85fdbcf,
    0x1ffcacef,0x3f2fffa2,0x33fee04f,0x3e22ffda,0x2fdfcadf,0x3606ff88,
    0xf71fec3f,0x9999999f,0x1fe07f21,0x40fe4fea,0x003f93fa,0x2ffb8dff,
    0x27e41fc8,0x10098022,0x0002a183,0x20000ca8,0x7ff4c019,0x2202f9bf,
    0x403efffc,0x00befffc,0x03dfffb7,0x07dfff91,0x7ffee7c4,0xfffe981c,
    0x7fb02f9b,0x3e217ee0,0xfffff91f,0x3f23ffff,0x3fa87f81,0x27f503f9,
    0x4fd801fc,0x1fc83fcc,0x0000ffc4,0x00000000,0x08800000,0x00022000,
    0x00180011,0x31220026,0x00002200,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x44000000,0x00002a22,0x2202aea2,
    0x02ae602b,0x5dcc04b8,0xc82f4401,0xeeeeeeee,0x5504a81e,0x77777764,
    0x05d41eee,0x221a9954,0x00220180,0x0ee20dd4,0x11111111,0x44c81111,
    0x5cc6e208,0x37777711,0x3bbbbba6,0x00eeeeee,0x22000000,0x26417a4f,
    0xd9dd0f44,0x2ffffb8f,0x40ffefec,0xbf901ff9,0x3fc409fb,0xffffffd8,
    0x05b81fff,0x7fffecff,0x3a1fffff,0x47fc2fce,0xf51fe4fb,0x39ffff50,
    0xd8df3254,0x3fffe62f,0xffffffff,0x54ff1fe0,0x3e67f54f,0x9913ffff,
    0x99999999,0x00000199,0xf51fb800,0x224fe885,0x2a1912ff,0x2ec53a1f,
    0x213e23d3,0x45b05ffc,0x00aa207b,0x77d0fd40,0x03fc3b5b,0x234cb500,
    0x3e4fb8ff,0xff0f7547,0xffdffffb,0x9f12fb89,0x99999988,0x5c199999,
    0x25933fc3,0x555512c9,0x00000035,0xee800000,0xfe881fd0,0xd702ff8c,
    0x1f50fccb,0x9f10be60,0x32a601f9,0x555510fe,0x00555555,0x7f6447ea,
    0x01fe1def,0xf1e24b80,0x8788feef,0xf93163f9,0x25501bff,0x00000039,
    0x00000000,0x00000000,0x85f9a7d4,0x203fffe8,0x41f50cfe,0x85f981f9,
    0x444f89fb,0x10fdcefe,0xffffffff,0x07ea00ff,0x4dd05ff1,0x88888888,
    0x3227e208,0x22f9b6c4,0x03bff65b,0x00000040,0x00000000,0x00000000,
    0x87f40000,0x5ff981fe,0x5f14f880,0x827dc3dc,0xfb83f66f,0x99983f21,
    0x01999999,0x67443f50,0xfb2e42fa,0xffffffff,0x2067f543,0x06c3f15c,
    0x00000153,0x00000000,0x00000000,0x80000000,0x10bf34fa,0xea89fdff,
    0x57749f10,0x817e44ea,0x98fea2fa,0x01ffb8bf,0x26000551,0x01c9220b,
    0x6666665c,0x00080ccc,0x00000001,0x00000000,0x00000000,0x00000000,
    0x440fe9ba,0x44fe8bff,0x260efefe,0x3ea0cffc,0x1fa5ffff,0x39ff91ba,
    0x01fe205f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xa8fdc000,0x11ffc42f,0x01a987fd,0x55554c02,0xd707d32a,0x26440003,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xa7c40000,
    0x107704f8,0x0000001b,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x88620000,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__arial_24_latin_ext_x[560]={ 0,1,0,0,0,1,0,0,1,1,0,1,1,0,
1,0,0,2,0,0,0,0,0,1,0,0,1,1,1,1,1,0,1,-1,1,1,1,1,1,1,1,2,0,1,
1,1,1,1,1,0,1,0,0,1,0,0,0,0,0,1,0,0,0,-1,0,0,1,0,0,0,0,0,1,1,
-1,1,1,1,1,0,1,0,1,0,0,1,0,0,0,0,0,0,1,0,0,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,1,0,0,-1,
1,0,0,0,0,1,1,0,0,-1,1,0,0,0,2,1,0,1,1,1,0,1,1,1,0,1,-1,-1,-1,-1,
-1,-1,0,1,1,1,1,1,0,1,-1,0,-1,1,1,1,1,1,1,1,0,1,1,1,1,0,1,1,0,0,
0,0,0,0,0,0,0,0,0,0,0,1,-1,0,0,1,0,0,0,0,0,0,1,1,1,1,1,0,1,0,
-1,0,-1,0,-1,0,1,0,1,0,1,0,1,0,1,0,-1,0,1,0,1,0,1,0,1,0,1,0,1,0,
1,0,1,0,1,0,1,1,0,0,-1,-1,-1,-1,-1,-1,1,1,1,2,2,1,0,-1,1,1,1,1,0,1,
-1,1,1,1,1,0,0,1,1,1,1,1,1,1,1,1,1,0,1,0,1,0,1,0,1,1,1,1,1,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,0,
0,0,0,0,0,0,0,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,2,2,0,2,2,2,
2,2,2,2,2,2,2,2,2,2,1,0,2,2,2,2,2,2,2,2,2,2,2,2,2,1,1,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,-1,0,-1,-1,1,
0,1,1,1,1,1,1,1,1,1,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,-1,0,0,0,0,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static signed short stb__arial_24_latin_ext_y[560]={ 19,3,3,3,2,3,3,3,3,3,3,6,16,12,
16,3,3,3,3,3,3,3,3,3,3,3,7,7,6,8,6,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,21,3,7,3,7,3,7,3,7,3,3,
3,3,3,7,7,7,7,7,7,7,3,7,7,7,7,7,7,3,3,3,9,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,19,7,3,3,6,3,
3,3,3,3,3,8,8,12,3,1,3,6,3,3,3,7,3,10,18,3,3,8,3,3,3,7,-1,-1,-1,0,
0,0,3,3,-1,-1,-1,0,-1,-1,-1,0,3,0,-1,-1,-1,0,0,6,3,-1,-1,-1,0,-1,3,3,3,3,
3,3,3,3,7,7,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,7,7,3,3,3,3,3,3,3,
0,4,-1,3,3,7,-1,3,-1,3,-1,4,-1,3,-1,3,3,3,0,4,-1,3,0,4,3,7,-1,3,-1,3,
-1,3,0,4,3,2,-1,-1,3,3,-1,3,1,4,0,3,3,3,0,7,3,3,-1,3,3,3,7,-1,-1,3,
3,3,3,3,3,3,3,-1,3,3,7,-1,3,3,3,7,0,4,-1,3,-1,3,3,7,-1,3,3,7,-1,3,
-1,3,-1,3,3,7,-1,3,3,3,-1,3,3,3,0,3,0,4,-1,3,-1,3,-1,3,3,7,-1,3,-1,3,
0,-1,3,0,4,-1,3,3,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,3,5,5,3,5,5,5,
5,5,5,5,5,5,5,5,5,5,3,7,5,5,5,5,5,5,5,5,5,5,5,5,5,3,7,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,-1,3,-1,3,-1,
3,-1,3,-1,0,-1,-1,-1,-1,-1,-1,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,-3,-2,-1,3,-1,3,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static unsigned short stb__arial_24_latin_ext_w[560]={ 0,4,7,12,11,17,14,4,6,6,8,11,4,7,
4,6,11,7,11,11,11,12,11,10,12,12,4,4,11,11,11,11,21,16,13,14,14,13,12,15,13,3,10,14,
11,16,13,15,13,16,15,14,13,13,15,21,15,15,13,5,6,5,10,14,5,12,11,11,11,12,7,11,10,3,
5,10,3,16,10,12,11,11,7,10,6,10,11,16,11,11,11,7,3,7,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,0,3,10,12,12,13,
3,11,7,16,8,10,11,7,16,14,7,11,7,7,5,10,12,4,5,4,8,10,17,17,18,11,16,16,16,16,
16,16,21,14,13,13,13,13,5,5,8,6,16,13,15,15,15,15,15,10,16,13,13,13,13,15,13,12,12,12,
12,12,12,12,19,11,12,12,12,12,5,5,8,6,12,10,12,12,12,12,12,11,11,10,10,10,10,11,11,11,
16,12,16,12,18,14,14,11,14,11,14,11,14,11,14,14,16,12,13,12,13,12,13,12,13,12,13,12,15,11,
15,11,15,11,15,11,13,10,16,11,8,8,8,8,8,8,6,5,4,2,13,8,12,7,14,10,10,11,5,11,
6,11,6,11,7,12,5,13,10,13,10,13,10,12,14,10,15,12,15,12,15,12,20,20,15,7,15,7,15,8,
14,10,14,10,14,10,14,10,13,6,13,9,13,6,13,10,13,10,13,10,13,10,13,10,13,12,21,16,15,11,
15,13,11,13,11,13,11,6,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,15,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,17,14,12,12,12,12,12,12,12,12,12,12,12,12,12,17,13,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,16,12,8,7,15,
12,13,10,13,10,13,10,13,10,13,10,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,16,12,21,19,16,11,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12, };
static unsigned short stb__arial_24_latin_ext_h[560]={ 0,16,7,17,20,17,17,7,21,21,7,11,7,3,
3,17,17,16,16,17,16,17,17,16,17,17,12,16,11,7,11,16,21,16,16,17,16,16,16,17,16,16,17,16,
16,16,16,17,16,18,16,17,16,17,16,16,16,16,16,21,17,21,9,3,4,13,17,13,17,13,16,17,16,16,
21,16,16,12,12,13,17,17,12,13,17,13,12,12,12,17,12,21,21,21,5,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,0,17,21,17,11,16,
21,21,3,17,9,11,7,3,17,2,7,13,9,9,4,17,21,3,6,9,9,11,17,17,17,17,20,20,20,19,
19,19,16,21,20,20,20,19,20,20,20,19,16,19,21,21,21,20,20,10,17,21,21,21,20,20,16,17,17,17,
17,17,17,17,13,17,17,17,17,17,16,16,16,16,17,16,17,17,17,17,17,9,13,17,17,17,17,21,21,21,
19,16,20,17,21,17,21,17,21,17,21,16,21,17,20,17,16,17,19,16,20,17,19,16,21,17,20,17,21,21,
21,21,20,20,21,22,20,20,16,16,20,16,18,15,19,16,21,21,19,12,17,21,21,21,21,21,12,20,20,21,
21,16,16,16,16,16,16,20,16,21,17,20,16,16,17,17,20,16,21,17,21,17,17,13,20,16,21,17,20,16,
21,17,21,17,21,17,21,17,23,22,20,17,16,17,20,17,20,16,21,17,21,17,21,17,21,17,20,16,20,21,
19,20,16,19,15,20,16,16,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,17,14,14,21,14,14,14,
14,14,14,14,14,14,14,14,14,14,17,13,14,14,14,14,14,14,14,14,14,14,14,14,14,17,13,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,20,17,20,16,21,
17,21,17,21,20,21,21,21,21,21,21,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,22,22,20,17,21,17,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14, };
static unsigned short stb__arial_24_latin_ext_s[560]={ 254,97,126,239,109,153,90,101,224,73,92,
226,134,203,190,235,102,48,42,114,54,217,80,240,31,73,249,195,238,106,214,
116,195,31,141,69,72,83,128,57,87,251,36,27,15,66,102,20,166,147,216,
54,1,229,15,101,200,56,123,146,249,95,48,170,158,171,200,217,170,28,232,
141,184,180,248,155,252,126,143,15,98,86,154,41,47,79,90,162,102,175,114,
246,129,133,145,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,254,252,185,
110,190,134,129,183,195,153,59,203,80,203,212,211,118,184,40,23,164,243,196,
185,139,250,31,1,123,182,1,84,135,166,183,121,74,229,196,88,187,97,201,
18,91,71,62,246,139,32,15,214,184,1,238,12,14,1,95,81,224,46,1,
170,157,144,131,118,105,92,229,68,55,42,29,16,243,199,190,249,204,98,178,
165,152,139,126,68,67,91,80,69,58,45,57,85,1,165,17,202,110,171,155,
141,170,116,209,86,15,205,209,40,69,14,107,56,77,128,46,126,44,1,139,
44,72,103,149,171,111,127,69,52,162,176,30,18,153,218,138,149,220,1,247,
165,215,253,65,101,110,123,131,1,179,34,250,236,217,240,176,164,156,113,96,
152,102,141,183,95,205,183,1,194,15,227,133,27,231,226,1,196,168,10,57,
187,152,47,80,79,42,105,27,215,12,224,1,45,121,55,109,195,184,213,198,
123,115,202,31,164,58,242,30,1,212,148,234,224,91,1,178,60,137,31,216,
228,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,186,158,158,97,
158,158,158,158,158,158,158,158,158,158,158,158,158,22,52,158,158,158,158,158,
158,158,158,158,158,158,158,158,40,1,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,67,191,
200,235,230,230,200,243,170,84,145,134,1,123,109,159,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,28,15,45,217,64,237,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158, };
static unsigned short stb__arial_24_latin_ext_t[560]={ 1,260,308,153,91,153,153,308,46,69,308,
294,308,308,308,133,171,277,260,171,260,171,189,260,207,207,277,260,294,308,294,
260,46,277,260,225,277,260,260,207,277,260,225,260,260,260,260,225,260,133,260,
225,277,207,277,277,260,277,277,69,189,69,308,308,308,277,207,277,207,294,260,
207,260,260,24,260,225,294,294,294,207,207,294,294,225,294,294,294,294,133,294,
1,24,24,308,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,
277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,1,153,24,
207,294,243,46,46,308,207,308,294,308,308,207,308,308,277,308,308,308,207,24,
308,308,294,308,308,207,207,225,225,91,90,90,133,133,112,225,46,112,112,112,
133,112,112,112,112,225,133,24,1,1,112,90,308,207,47,1,1,90,112,260,
189,189,189,189,189,189,189,277,189,189,189,189,189,243,243,243,243,171,243,171,
171,171,171,171,308,294,171,171,171,171,24,24,24,133,243,112,153,24,153,24,
153,24,153,24,243,46,189,90,153,243,153,133,243,112,153,133,225,46,153,112,
207,46,46,46,46,112,112,24,1,112,112,243,243,112,225,133,277,112,243,46,
46,112,112,153,69,69,69,69,69,294,112,69,24,46,225,225,225,225,225,225,
90,225,24,189,91,243,225,189,189,91,225,46,153,46,153,171,277,69,243,69,
133,69,243,69,153,69,153,69,153,69,133,1,1,91,153,243,133,69,133,69,
243,46,133,24,133,46,133,46,207,69,243,69,24,133,91,243,133,277,91,243,
243,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,153,277,277,24,
277,277,277,277,277,277,277,277,277,277,277,277,277,171,294,277,277,277,277,277,
277,277,277,277,277,277,277,277,171,294,277,277,277,277,277,277,277,277,277,277,
277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,91,171,
90,243,1,171,1,171,1,91,1,1,25,1,1,1,277,277,277,277,277,277,
277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,
277,277,277,1,1,91,189,1,189,277,277,277,277,277,277,277,277,277,277,277,
277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,
277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,
277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,
277,277,277,277,277,277,277,277,277, };
static unsigned short stb__arial_24_latin_ext_a[560]={ 95,95,122,191,191,306,229,66,
114,114,134,201,95,114,95,95,191,191,191,191,191,191,191,191,
191,191,95,95,201,201,201,191,349,229,229,248,248,229,210,267,
248,95,172,229,191,286,248,267,229,267,248,229,210,248,229,324,
229,229,210,95,95,95,161,191,114,191,191,172,191,191,95,191,
191,76,76,172,76,286,191,191,191,191,114,172,95,191,172,248,
172,172,172,115,89,115,201,258,258,258,258,258,258,258,258,258,
258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,
258,258,258,258,258,258,258,258,95,114,191,191,191,191,89,191,
114,253,127,191,201,114,253,190,137,189,114,114,114,198,185,95,
114,114,126,191,287,287,287,210,229,229,229,229,229,229,344,248,
229,229,229,229,95,95,95,95,248,248,267,267,267,267,267,201,
267,248,248,248,248,229,229,210,191,191,191,191,191,191,306,172,
191,191,191,191,95,95,95,95,191,191,191,191,191,191,191,189,
210,191,191,191,191,172,191,172,229,191,229,191,229,191,248,172,
248,172,248,172,248,172,248,211,248,191,229,191,229,191,229,191,
229,191,229,191,267,191,267,191,267,191,267,191,248,191,248,191,
95,95,95,95,95,95,95,76,95,95,253,153,172,76,229,172,
172,191,76,191,76,191,100,191,115,191,76,248,191,248,191,248,
191,208,249,191,267,191,267,191,267,191,344,324,248,114,248,114,
248,114,229,172,229,172,229,172,229,172,210,95,210,129,210,95,
248,191,248,191,248,191,248,191,248,191,248,191,324,248,229,172,
229,210,172,210,172,210,172,76,258,258,258,258,258,258,258,258,
258,258,258,258,258,258,258,259,258,258,191,258,258,258,258,258,
258,258,258,258,258,258,258,258,295,225,258,258,258,258,258,258,
258,258,258,258,258,258,258,294,230,258,258,258,258,258,258,258,
258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,
258,258,258,258,258,229,191,95,76,267,191,248,191,248,191,248,
191,248,191,248,191,258,258,258,258,258,258,258,258,258,258,258,
258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,
258,258,229,191,344,306,267,210,258,258,258,258,258,258,258,258,
258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,
258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,
258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,
258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,
258,258,258,258,258,258,258,258, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_24_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_24_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_24_latin_ext(stb_fontchar font[STB_FONT_arial_24_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_24_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_24_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_24_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_24_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_24_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_24_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_24_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_24_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_24_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_24_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_24_latin_ext_s[i] + stb__arial_24_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_24_latin_ext_t[i] + stb__arial_24_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_24_latin_ext_x[i];
            font[i].y0 = stb__arial_24_latin_ext_y[i];
            font[i].x1 = stb__arial_24_latin_ext_x[i] + stb__arial_24_latin_ext_w[i];
            font[i].y1 = stb__arial_24_latin_ext_y[i] + stb__arial_24_latin_ext_h[i];
            font[i].advance_int = (stb__arial_24_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_24_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_24_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_24_latin_ext_s[i] + stb__arial_24_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_24_latin_ext_t[i] + stb__arial_24_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_24_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_24_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_24_latin_ext_x[i] + stb__arial_24_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_24_latin_ext_y[i] + stb__arial_24_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_24_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_24_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_24_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_24_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_24_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_24_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_24_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_24_latin_ext_LINE_SPACING
#endif

