// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_27_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_27_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_27_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_arial_27_latin_ext_BITMAP_HEIGHT        202
#define STB_FONT_arial_27_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_27_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_27_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_27_latin_ext_LINE_SPACING          18

static unsigned int stb__arial_27_latin_ext_pixels[]={
    0x000aaa00,0x9998804c,0x99999999,0x00d54019,0x3002f640,0x20440155,
    0x8804c418,0x3104b809,0x98800cc1,0x06a62a80,0x9806b260,0x99999999,
    0x40b80999,0x4c03264b,0x2aa000ac,0x23971002,0x004c4098,0x01bcaa88,
    0x2b2e2000,0x2a609300,0xeeee8802,0x4732005e,0x32a004c8,0x200072e3,
    0x0f6c4000,0x005dd300,0x801b51d5,0x03db14eb,0x26004eb8,0xa88002ee,
    0x262001ac,0x41999999,0x09880019,0x000cccc4,0x2000bfe6,0xfff702fa,
    0xffffffff,0x3fee03ff,0x3fe2001f,0x013fa001,0x2a3641f5,0xb09f905f,
    0x7c57ea0f,0x43fd800f,0x07fb0ff8,0x2fffff5c,0x7fffffc4,0x42ffffff,
    0x3a3ec0fe,0x01dff704,0x805fff30,0xbf53fff8,0x6d402fd8,0xefffffff,
    0xff30001c,0x213a09ff,0x4403fff9,0x003ccccc,0x017f5bea,0xdf53fd10,
    0x800fa000,0x7ec001fd,0x0bfb6005,0x3f6bfa20,0x007f7003,0xc88037dc,
    0x2efffffe,0x3fffff20,0x3e67ffff,0x44fb8007,0x000ffffb,0x6c0013f2,
    0x3bbbaa05,0xeeeeeffe,0xf9ff981e,0x07f9000e,0xe8037d40,0x7d42fedf,
    0xfb09f905,0x7fc57ea0,0x443fd800,0x207fb0ff,0xfeb9bff8,0x7777fc42,
    0x2eeeeeee,0x51f607fc,0x9fb5101f,0xff9ff880,0x42fbee01,0x817ec5fa,
    0x9bdfffe8,0x03fffdb9,0x1bbefd80,0x7f440fb8,0x2a201fea,0xf9000a60,
    0xf30009fd,0x10001ffd,0xa9a8803f,0xdf100298,0x35351001,0xfff30053,
    0x5315100b,0x0bf20053,0x2f3bff60,0xfe83fffd,0xffeeffff,0x001fe66e,
    0xf55313ee,0x17e2001f,0x002ef800,0xe88027ec,0x200bf72f,0x07f4003c,
    0x81bda880,0x09f90098,0x442620fb,0x3fd800ff,0x43fc8000,0x0ffc46fa,
    0x6c0ff800,0x3e604e87,0xfa9ff406,0x885fb00e,0x4404c409,0xfa801dfe,
    0x0ffc004f,0x9fb07f10,0x7c403fe6,0x36001b62,0x3ae0005e,0x0f70001e,
    0x036c5f10,0xf1000ca8,0xca8036c5,0x22f8800c,0x00f2006d,0x3f201dfb,
    0x3fffee1f,0xf30bf25f,0x09f7000f,0xea8007fc,0x7ff0000d,0x004fd800,
    0x00000000,0xc8000000,0x1007d84f,0x7fb001ff,0x05fd0000,0x0ffc4199,
    0x33ff2a00,0x3f70fb0c,0x0001be20,0x00003fa0,0x98007fd1,0xff1003ff,
    0x0000fc80,0x53054466,0x95300262,0x00330015,0x13600262,0x260a88cc,
    0x1a981312,0x22330551,0x04c4a60a,0x415446a6,0x94c15119,0x88d4c098,
    0x00ffc82a,0xffd97fa2,0x0bf25fff,0xf7000ff3,0x4007fc09,0x20009368,
    0x7ec00099,0x5ee54004,0x36a03c88,0x980f2a03,0x17b9503c,0x40f26791,
    0x307d84fc,0x003fe259,0x01e54ff6,0x0efb8793,0x001ff880,0x8fffffe4,
    0x205f887d,0x203ca86f,0x40fe83c9,0x20e5c3c9,0x2cc983fc,0x01fa2551,
    0x199ffb97,0x64c05f88,0x800ff882,0xfff703fd,0x2207dfff,0x3fd800ff,
    0x83fedb98,0xfd800ff8,0x7f99fe43,0x6c007fc4,0xf99fe43f,0x4007fc47,
    0x99fe43fd,0x802ff87f,0x3fffe4ea,0x30bf25ff,0x9f7000ff,0x44007fc0,
    0xb8800b15,0x03c88bdc,0xf88027ec,0x6fbfffff,0x20771b10,0x7f900ff9,
    0xffffff88,0x20bf56fb,0x507d84fc,0x003fe2bf,0x07fccff6,0xffe83fc8,
    0x00ffc402,0x867fe620,0x203fd07d,0x00ff987f,0x81fd07f9,0x317ec5fa,
    0xffff88bf,0x3ee6f9cf,0x3ffffa01,0x402fc87f,0x0ff885fa,0x7443fd80,
    0xffcabdff,0x00ff884f,0x7fdc3fd8,0x7c43ffff,0x43fd800f,0x88ff33fc,
    0x3fd800ff,0x47f99fe4,0xfd800ff8,0x7f99fe43,0xd0003fcc,0x64bfffff,
    0x003fcc2f,0x1ff027dc,0x00bb7600,0xfffffe98,0x27ec06fb,0xb8aefe80,
    0x27506fff,0x40bfa049,0x577f40ff,0xf56fffb8,0x3613f20b,0x3e2bf507,
    0x23fd800f,0x81ff02fe,0x00dfffe9,0x20003ff1,0xb83ec0ff,0x3a0ff03f,
    0xf01ff02f,0xfd8bf50f,0xfe887f22,0x4fefc88b,0xd9980fe6,0x0fe819bf,
    0x7c42fd40,0x43fd800f,0xff501efe,0x800ff889,0x4bfea3fd,0x3e21ffec,
    0x03fd800f,0x001ff100,0x220007fb,0x3fd800ff,0x00df5000,0x7ffffe40,
    0xff30bf25,0x409f7000,0xffb000ff,0x3bfe2005,0x80dffd32,0x5fc804fd,
    0x6740dff0,0x217ee01e,0x82fe45fa,0x20bf56ff,0x507d84fc,0x003fe2bf,
    0x85fb8ff6,0x46fd45fa,0xf882fffb,0xffffffff,0x40ff85ff,0x209f507d,
    0x85fb80fe,0x50ff05fa,0x3a2fd8bf,0x7ec1fec7,0x7402fc2f,0x201fe01f,
    0x0ff885fa,0x3ee3fd80,0x1ffd400f,0xfb001ff1,0xbf87fe27,0x03fe25fc,
    0x4000ff60,0xfd800ff8,0x1ff10003,0x0007fb00,0x880017f2,0x325fffff,
    0x003fcc2f,0x1ff027dc,0x0dfff100,0x7fc1bee0,0x4027ec06,0x0df701fd,
    0x7fc400a8,0x3f617ec0,0x3eadf701,0xd909f905,0x7fc57ea0,0x223fd800,
    0x217ec0ff,0x3ff620fd,0x7ffffc45,0x85ffffff,0x983ec0ff,0x107f905f,
    0x82fd81ff,0x45fa84fa,0xfa97e2fd,0xd81ff706,0x100ff807,0x0bf500df,
    0xfb001ff1,0x400bfe27,0x03fe26fb,0x2fccff60,0x443511f3,0x3fd800ff,
    0x4b260593,0xfd800ff8,0x32605933,0xb001ff12,0x4c0b267f,0x0009fb2c,
    0x25fffe98,0x03fcc2fc,0xff027dc0,0xfd7f7001,0x207fd003,0x27ec06fd,
    0xf9807fc0,0xcddca886,0xf88ff602,0xf300ff87,0x7e417ead,0x8afd4004,
    0x3fd800ff,0x0ff11fec,0x93fee0ff,0xf0001ff8,0xf107d81f,0x02ffa20f,
    0x23fc47fb,0xfa81ffb8,0x3f997ec5,0x3fcc0ff2,0x1fe60374,0xfa805fa8,
    0x800ff885,0x00ff53fd,0xff887fcc,0xf73fd800,0xff1035c9,0x2e7fb001,
    0x22bf504f,0x3fd800ff,0x57ea09f7,0xfd800ff8,0x3ea09f73,0x0000bf75,
    0x2fc97ee6,0x5c003fcc,0x003fe04f,0x013ee7fa,0x37dc07fe,0xf1013f60,
    0x2a37c40f,0x5fffffff,0x27dcdf50,0x6f881fe2,0x13f20bf5,0x7fcbf500,
    0x542fe801,0x3613ee6f,0x21ff503f,0xf0001ff8,0x3e07d81f,0x85fd100f,
    0x513ee6fa,0x17ea01df,0xe87ee5fb,0x88bf501f,0x02fd405f,0xbf500bf7,
    0xb001ff10,0x001bee7f,0x03fe23ff,0x1fe4ff60,0x07fc409b,0x4fb9fec0,
    0x3fe2bf50,0xf73fd800,0x7c57ea09,0x73fd800f,0x557ea09f,0x2600007f,
    0xf30bf25f,0x09f7000f,0x3e6007fc,0xf880ff17,0xb01be607,0x0ff8809f,
    0x7fc4df30,0x05ff731b,0x20ff43fe,0xdf300ff8,0x27e417ea,0xfe97ea00,
    0xf81ff802,0xf503fd0f,0x447fa07f,0xff0001ff,0xff107d81,0x7c0ffdc0,
    0xf983fd0f,0xd8bf503f,0x3e21f92f,0xf50ff207,0x204fb807,0x5fa805fa,
    0xd800ff88,0x800bf93f,0x01ff13fe,0x53f27fb0,0x3fe202f8,0xf73fd800,
    0x7c57ea09,0x73fd800f,0x457ea09f,0x3fd800ff,0x57ea09f7,0xf8800ff8,
    0x64bf301d,0x003fcc2f,0x1ff027dc,0x3fa4fc80,0x403fe202,0x27ec06f9,
    0xfa80ffc0,0x7ec17ee6,0xdf17f904,0x7d407fe0,0x3f20bf56,0xbf501884,
    0x3e201ff4,0xf8bfc80f,0x07bfee06,0x00ffc4fd,0x3ec0ff80,0xbf506f98,
    0x37c5fe40,0xbf507fb0,0x43f72fd8,0x2ff880ff,0xfb003fa2,0x4037c405,
    0x0ff885fa,0x9fb3fd80,0xf14fd800,0x27fb001f,0x2c8f55fa,0x36003fe2,
    0x2a09f73f,0x001ff15f,0x413ee7fb,0x01ff15fa,0x13ee7fb0,0x07ff2fd4,
    0x2601ff90,0xf30bf25f,0x09f7000f,0x3fe007fc,0xff01bee1,0xb01bea03,
    0x09f9009f,0x00989bfa,0x3be60bf7,0x09f903fb,0x82fd5bfa,0x507d84fc,
    0x0077dcbf,0x3be60ff9,0x7f4c03fb,0x224fc8cf,0xfd0001ff,0x9f507d83,
    0xf9807f60,0x3e203fbe,0x7ec5fa86,0x1ff43f32,0x5fd07fe4,0xf803fd00,
    0x885fa807,0x3fd800ff,0xfe8009f9,0xb001ff13,0x2e5be27f,0x07fc4df5,
    0x4fb9fec0,0x3fe2bf50,0xf73fd800,0x7c57ea09,0x73fd800f,0xa97ea09f,
    0x3fe602ff,0xfc97e605,0x4003fcc2,0x03fe04fb,0x7fc46fa8,0x7413f201,
    0x027ec06f,0xd9867fc4,0x32a206ff,0x3fa05ffd,0x9ff100fe,0x55bff661,
    0xb09f905f,0xf897ea0f,0x2ffb81ef,0x003fbfa0,0x217fffe4,0xb0001ff8,
    0x41f63dff,0x01ff03fc,0x400fefe8,0x6c5fa87f,0x7dc9f12f,0x23fff21e,
    0xff005fd9,0x401fd801,0x03ff05fa,0x1bea5fd0,0x7fc3ff00,0x3a2fe801,
    0x7fd13fcf,0xfe801ff8,0x3ea09f72,0x3a007fe5,0x2a09f72f,0x2007fe5f,
    0x209f72fe,0x57fe45fa,0x03bfae20,0x0bf25f98,0xf7000ff3,0xb007fc09,
    0x409fb07f,0xfb30cff8,0x04fd80df,0xffdfff50,0xffd98dfb,0x205fefff,
    0x7d405ffb,0x6fdffeff,0x13f20bf5,0x22fd41f6,0xfeeffffa,0x7fdc04ff,
    0x7ff4c005,0x7ffffc41,0x6fffffff,0x7d9fff4c,0x1fe03fb0,0x2017fee0,
    0x6c5fa87f,0xffb1fa2f,0xffff7ffd,0x1be6009f,0xf500bf20,0x200bfa0b,
    0x01ff11ff,0x5fd1fe20,0x7443ff00,0x85ffcbff,0x1ff802fe,0x97ee0bf7,
    0x1ff802fe,0x97ee0bf7,0x1ff802fe,0x17ee0bf7,0x3f7bfff6,0x7cc01fff,
    0xff30bf25,0xffffffff,0x3e04fb89,0x35ff100f,0x01ff7333,0x7ff7ffd4,
    0x27ec06fd,0x3bfd9300,0x77fccbf5,0x40bf51bc,0xc9802ff8,0x55fa9dfe,
    0x213f20bf,0x30bf507d,0x5dfffffb,0x005ff100,0xf883ff60,0xffffffff,
    0x41106fff,0x7c0ff07d,0x02ff8807,0x2fd40fe8,0x43fb8bf6,0xff90ceeb,
    0xa804c45b,0x04fa805f,0x3fc82fd4,0xff07fc40,0x917f6009,0x0ff8807f,
    0x16ffff44,0x7c403fc8,0x320bf70f,0x100ff25f,0x417ee1ff,0x00ff25fc,
    0x17ee1ff1,0xfeb82fe4,0x800cffff,0x30bf25f9,0xffffffff,0x04fb89ff,
    0x7fdc03fe,0xffffffff,0x6ff64c03,0x00005fa9,0xfe97ea00,0xf80bf904,
    0xafd40007,0x6c13607b,0x980bf507,0x3fc000af,0x2fe814c0,0x2e017c00,
    0x3ea1f61c,0x7c01be04,0x001fd007,0x05fb0bf6,0x807fd400,0x1fd004fb,
    0xfb82fd40,0x31ff200e,0xffa803ff,0x90077dc1,0x0273a0ff,0x6401df70,
    0x741bea7f,0x803bee5f,0x41bea7fc,0x03bee5fe,0x1bea7fc8,0x3ea02ff4,
    0x2fcc000a,0x153005f9,0x7fc02a80,0xddddfd00,0x00dfdddd,0x97017ee0,
    0x203d9005,0x407fe3fd,0x13ee05fd,0x3f603d90,0x81f40b93,0x809f707d,
    0x7dc000f9,0xd81ff804,0x03e6002f,0x43ec5fb0,0x0df100fe,0x36009f70,
    0x83fd000f,0xc8003ff8,0x0bf601ff,0xf701fd40,0x07bfa209,0x3ea0bfee,
    0x05ff903f,0xf703dfd1,0x003f105f,0x2e07bfa2,0x0bfe62ff,0x7f44bff7,
    0x22ffb81e,0x7fdc2ff9,0x207bfa25,0x3fe62ffb,0x202ffdc2,0x4c002efb,
    0x200bf25f,0x3f205fea,0x301ff02f,0x1ff880ff,0x7fb01ec8,0xb804fe80,
    0x07fdc0ef,0xbff907fb,0x801fd308,0x7fdc0efb,0x82fc0fb0,0x807fb07d,
    0xd30802fa,0x1bf7001f,0x30007fd4,0x22fb805f,0x701fd47d,0x7f4c20bf,
    0x007fb000,0xfd301ff1,0x2a20159d,0x3e202efd,0x81fa000f,0x3fe203fd,
    0x3fffeeff,0x37bffee0,0x2202fffe,0xffeeffff,0x800f703f,0xfeeffff8,
    0xdffd83ff,0x445fcfec,0xffeeffff,0xcdffd83f,0x7c45fcfe,0xfffeefff,
    0xecdffd83,0xff005fcf,0x325f9800,0x07f6002f,0x1ff06f88,0xfd009f90,
    0xb81df709,0x27e400ff,0x6f7ff440,0x7fd41fff,0x6fdfecbd,0x401fffe4,
    0xffdeffe8,0x3b3bea1f,0x43f7bf22,0x0fff6c7d,0x1777fe20,0x001fffe4,
    0x7fffdfff,0xbbbff000,0x23ec1f30,0x5fff506d,0x00ffff20,0x882eff98,
    0x75406ffe,0xeeceffff,0xdf103fff,0xf98009ff,0x00fff6c2,0x3bfffb26,
    0xfdb9802c,0x9801bdff,0x2cefffec,0x26001760,0x2cefffec,0x2bbfff20,
    0xfec985f8,0x3202ceff,0x5f8aefff,0xefffec98,0x3fff202c,0x2e05f8ae,
    0x4c005fdc,0x500bf25f,0x3320df99,0x3ffee4fd,0x801ff80f,0xffe80ffa,
    0x001fffde,0x32a2005b,0xb701cdfe,0x3fe3dfff,0x8013bee1,0x1cdfeca8,
    0x220beeb8,0xf1f63dfc,0x36a005df,0x9df701cf,0xffec8800,0xfb50002d,
    0x7d89b05b,0x7fdc0be6,0x013bee03,0x2a0ffee0,0x95000eff,0x59bdffdb,
    0x6fff4c01,0x7c6d8000,0x098003ff,0x0000c000,0x02c8004c,0x40009800,
    0x01300009,0x30000980,0x00098001,0x0005efec,0x01eb93a2,0xe80df7dc,
    0x3baa0bdf,0x03fd40ee,0xc883ff88,0x001bdffe,0x000001f7,0x00000310,
    0x00000000,0x00000000,0x00000000,0x00000020,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x004fd800,0x00001bf2,0x0000005c,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x44033260,0x01310009,
    0x91cc8800,0x05990059,0x0015c400,0x80003310,0x80014429,0x2a0003cb,
    0x9910004c,0x53060003,0x01333310,0x8000aa88,0x80001cc9,0x50002cc8,
    0x00000199,0x9912cb80,0x21991001,0x751003ca,0x99000137,0x33260007,
    0x4004cc00,0x1e5c0098,0x00265c00,0x000d40a8,0x73000dd7,0x99980157,
    0x00199999,0x13310033,0x20002cc8,0x17ea05fd,0x0002fd40,0x077dd7f2,
    0x0007fd40,0x00165744,0x0002ffd8,0x02ec4be6,0x000ffc40,0x20005ff0,
    0x2000fffe,0x4eacffe9,0x02ffffa8,0x8001ffcc,0xd80005fc,0xe8002fef,
    0xeea8003f,0x9801fa9b,0x004fd8ff,0x07fe37f2,0xfffffd10,0x3f6001bf,
    0x7c4002fe,0x3fe206ff,0x203fd805,0x54001ff8,0xe8004fef,0xc8007e65,
    0xffb7007f,0x101dffff,0xffffffff,0x3e607dff,0x077fcc07,0x5fe83fea,
    0x2a037cc0,0x0bf5005f,0xfd0ff800,0x01fe4003,0x00589d40,0x006fff88,
    0x0ffffec0,0x001fe400,0x20009f70,0x006facfc,0x3fff2bb2,0x0aaefa81,
    0x001ffcc0,0x40003fd0,0x01ff8dfb,0x20017ea0,0x6fffddf8,0x17fbea00,
    0x0bfbfa00,0x97bfff30,0xb801dffd,0x001ff8ef,0x417eeffa,0x6c02fff8,
    0x00ff203f,0x7fb1ff30,0xfeffa800,0x03fe4005,0x2f3bffa2,0x442ffecb,
    0xcccccdff,0xf984fffe,0x03bfe607,0x0bfd1fe4,0x7d400ca8,0x00bf5005,
    0x2c88e4c0,0x0003b800,0x7000595d,0x0003fd7f,0x20002b88,0x25c0003c,
    0x325e9800,0x1835003e,0x30017ea0,0x64400013,0x19910002,0x4b800f2a,
    0x22193000,0xdec8002a,0x3ed88000,0xd105fd80,0x30cc80bf,0x93aa0079,
    0xfff882ed,0x80ff600f,0x2cb8003c,0x88001991,0x000001ba,0xfd80bffa,
    0x803fe20f,0x7cc1ffc8,0x01bff307,0x98b2e3b8,0x2a131001,0x0bf5005f,
    0x31001980,0x98800cc1,0x85710660,0x4ff40098,0x066004fb,0x22004c40,
    0x98001aca,0x10000aca,0x19803595,0x3ea13100,0x2b2a2005,0xaca98001,
    0x00cc0000,0x40d65440,0x5654c01c,0x5dd44000,0x65440009,0x00ffc01a,
    0x95300ff7,0xba880015,0xdff1009b,0x81fec0bf,0x2009bba8,0x01310019,
    0x00157730,0x6445ee54,0x2003fee3,0x03fe23fd,0xf987ff10,0x805ff987,
    0x44262098,0x3fd800ff,0x19930bf5,0x5eedd7ea,0x800ff880,0x01ff13fd,
    0x3fe27fb0,0x203fd800,0x00ff17f9,0x36003fe2,0xffec883f,0xb802efff,
    0x3effffff,0xfffec880,0xff882eff,0xf53fd800,0xffec880b,0xb802efff,
    0x3effffff,0x01ff8800,0xfffffd90,0x5c0fee5f,0x3effffff,0x7ffff440,
    0x32200dff,0x2efffffe,0x6c00ff88,0xffff700c,0xe8807dff,0x0dffffff,
    0x17fcffc4,0x7f443fd8,0x40dfffff,0xfd800ff8,0xffffb703,0x7c401dff,
    0x6fbfffff,0x7d400ffa,0x2003fe24,0x23fcc4fd,0xfb005ff9,0xff89fec7,
    0xf53fd800,0x2a3ff98b,0xfffffeef,0x4007fc42,0x01ff13fd,0x3fe27fb0,
    0x203fd800,0x00bfa4fc,0x36003fe2,0xceffd83f,0x103fffdb,0xf957bffd,
    0xffd809ff,0x3fffdbce,0x6c007fc4,0xd80bf53f,0xffdbceff,0xbffd103f,
    0x09fff957,0x801ff880,0xdbabdffd,0xe884feff,0xffcabdff,0xbfff304f,
    0x01dffd97,0x36f3bff6,0x5fe83fff,0xbffd1000,0x09fff957,0x32f7ffe6,
    0x3e20effe,0xfb01ff97,0x5efffcc7,0x220effec,0x3fd800ff,0x5e77ff44,
    0xd02ffecb,0xfff715df,0x00007fcd,0xff001ff1,0x3e67f985,0x8ff6005f,
    0x01ff13fd,0x97ea7fb0,0x7fd42ff9,0x1ffc88cf,0x36003fe2,0x001ff13f,
    0x03fe27fb,0xff80ff60,0x2201bee1,0x3fd800ff,0xfc8077ec,0x01efe81f,
    0x3f609ff5,0x43ff900e,0xfd800ff8,0x7ec0bf53,0x03ff900e,0x3ea03dfd,
    0x3fe2004f,0x80f7ec01,0xdfd07ffa,0x213fea03,0xbfd105fd,0x3201dfb0,
    0x7ffd41ff,0xdfd000ac,0x213fea03,0xbfd105fd,0x0bfd3fc4,0x82fec7fb,
    0x3fe25fe8,0x743fd800,0x3ff602ff,0xff82fe40,0x8000ff36,0x7ec00ff8,
    0xff37f986,0x23fd800b,0x01ff13fd,0x57ea7fb0,0xffa82ff9,0x3e26fb82,
    0x13fd800f,0x7fb001ff,0x36003fe2,0x88df503f,0x7fc401ff,0x323fd800,
    0x3fa200ff,0x2007fdc5,0x7fe43ffa,0x897fa200,0x3fd800ff,0x3ff20bf5,
    0x717fa200,0xffa801ff,0x03ff1003,0x3e6037e4,0x07fdc2ff,0xff0ffea0,
    0x323fdc03,0x3fa200ff,0xfffffa85,0x1ff701ce,0x7c3ffa80,0x89fee01f,
    0xb0bfe67f,0x700ffc7f,0x007fc4ff,0x1ff71fec,0xfd87fb00,0x3eedf701,
    0x7fc40006,0xfedccccd,0x9ff983ff,0x2000ffff,0x44ff63fd,0x3fd800ff,
    0x05ff3bf5,0x27f81bea,0xfd800ff8,0xb001ff13,0x003fe27f,0x1fec0ff6,
    0x3e2027ec,0x23fd800f,0x4ea802ff,0x5c00bfe2,0x4017fc6f,0x03fe24ea,
    0x2fd4ff60,0xea802ff8,0x400bfe24,0xff1006fb,0x1017fc03,0x7c4dfbdf,
    0x4df7002f,0x66c00ff8,0x2a00bfe0,0xffb7104e,0xff889fff,0x44df7002,
    0x866c00ff,0x07fe47f8,0x03fe27fb,0x3fe219b0,0x3a3fd800,0x89f5003f,
    0x2df300ff,0x3bba05fc,0xff11eeee,0xffffffff,0x3ffe603b,0x2005fecf,
    0x44ff63fd,0x3fd800ff,0x01dffdf5,0x1fe817ea,0xfb001ff1,0x2003fe27,
    0x01ff13fd,0xff107fb0,0xff733335,0x007fc401,0x07f99fec,0x801fea00,
    0x0ff30ff9,0x007fc400,0x85fa9fec,0x2a0007f9,0x3fe6007f,0x01ff8800,
    0x77440df3,0xff51ffa8,0xd07fcc00,0x7f9800bf,0xd7300000,0x1fea1dff,
    0x3a0ff980,0x3fc4005f,0x47fb2ff4,0x7c4005fe,0x23fd800f,0x220000ff,
    0x5dbe207f,0x3fffe06f,0x7ff11fff,0x07ff9555,0xf34fff98,0x8ff6007f,
    0x01ff13fd,0x3fea7fb0,0x9f504fef,0xff897ec0,0xf13fd800,0x27fb001f,
    0xfd800ff8,0xfffffb83,0x203fffff,0xfd800ff8,0x4000df53,0x7fc006fb,
    0x4000df51,0xfd800ff8,0xdf50bf53,0x037dc000,0x22007fe0,0x0bf701ff,
    0x2ff88ff4,0xff800df7,0x2b3ffea1,0x0037d400,0x97fdc000,0x7fc006fb,
    0x2b3ffea1,0x4c3fc400,0x547fb2ff,0x400acfff,0xfd800ff8,0x8000ff33,
    0xdf300ff8,0x4cc03fe6,0xf11ff999,0x09ff301f,0x3ee27fcc,0x23fd801f,
    0x01ff13fd,0x3fea7fb0,0xfa81ff99,0x7c47f604,0x13fd800f,0x7fb001ff,
    0x36003fe2,0xeeefe83f,0x06feeeee,0x36003fe2,0x000bf93f,0x3a002fe4,
    0x000bf93f,0x6c007fc4,0xf90bf53f,0x2fe4000b,0x200ffa00,0x9f901ff8,
    0x7fd07f60,0xfd0017f2,0xfffffa87,0x05fc81ce,0x20072e00,0x00bf94fc,
    0x7fd43fe8,0x881cefff,0xb1ff907f,0xffffa87f,0xff881cef,0xf73fd800,
    0x3ff0000d,0x1ff9bea0,0x7c47fe00,0x07ff500f,0x77ec1fe6,0xfb1fec00,
    0x2003fe27,0x5cbf53fd,0x02fd40ef,0x03fe21fd,0x7fc4ff60,0xf13fd800,
    0x87fb001f,0x7fc407f9,0x001ff101,0x013f67fb,0x4004fd80,0x009fb4fd,
    0x4007fc40,0xb0bf53fd,0x7ec0009f,0x027ec004,0xfe80ffc4,0xfd82fc83,
    0xd8009fb4,0xffdb884f,0x27ec4fff,0x009f9000,0x013f6bf7,0xb7109fb0,
    0x889fffff,0x377fa07f,0xffdb883f,0x7fc44fff,0xf93fd800,0x7777740b,
    0x413f21ee,0x017f66fe,0x1ff11ff8,0x4c0ffe40,0x0bff107f,0x4ff63fd8,
    0xfd800ff8,0x4fe8bf53,0x7cc07fd4,0x2003fe26,0x01ff13fd,0x3fe27fb0,
    0x643fd800,0x04fe804f,0xfb001ff1,0x80017ee7,0x7f4004fc,0x4000bf73,
    0xfd800ff8,0xbf70bf53,0x027e4000,0x2200ffa0,0x89fb01ff,0x25fd03fc,
    0x7f4004fc,0xffeb9803,0x000bf70e,0x3600ffcc,0x8009f93f,0xeb9803fe,
    0x0ff10eff,0x01ffffcc,0x877ff5cc,0xfd800ff8,0x7fc0df73,0x221fffff,
    0xffb30cff,0x402ffd4d,0x1ff11ff9,0x4c37f440,0x0ffea07f,0x8ff63fd8,
    0x2fe801ff,0x2ff98bf5,0xe9837fea,0x400ffc3f,0x007fe2fe,0x01ff8bfa,
    0x0ffc2fe8,0xf807fd40,0x52fe801f,0x7d4000ff,0xa8ffc006,0x7fc0007f,
    0xf52fe801,0x000ff50b,0x3e0037d4,0x1ff8801f,0x27dcbf90,0x1bea1ff0,
    0x8003ff00,0x0ff52ffb,0x0bffe800,0xfa87fec4,0x00ffc006,0x7c4bfee0,
    0x1fffe407,0xf8bfee00,0x32fe801f,0x266601ff,0x7d41ff99,0x6fdffeff,
    0x1056ffe4,0x223fffb3,0x7fd400ff,0x3603fcc3,0x47fb01ff,0x00bfa3fd,
    0x42fd47fe,0xfff50efc,0xd09ffb9f,0x43ff005f,0x1ff802fe,0x3fe00bfa,
    0x4401fea1,0x05fd03ff,0x3fe23ff0,0x11df8800,0x3e2001ff,0x2003fe27,
    0x0bfa1df8,0x2fd47fe0,0x44007fc4,0x01ff11df,0x2021fe20,0xff500ff8,
    0x7f9817ea,0x44003fe2,0x20072e7f,0x01ff14fc,0x6c43bf10,0xfffeffff,
    0x003fe21e,0x03973fc4,0x1fe29f90,0x65cfffa0,0x3a4fc801,0x21ff802f,
    0x3fe001ff,0x9dfec981,0xfffb85fa,0xcffffeef,0x2003fe20,0x1fe60ffd,
    0x360dff10,0xfc8ff63f,0xa87fc403,0x2a9fd05f,0x3efffadf,0xf8807f90,
    0x100ff20f,0x01fe41ff,0x4fd83fe2,0x641bf200,0x07fc403f,0xff9007ff,
    0xd8027fc1,0x401ffc5f,0x0ff20ffc,0x3ea1ff10,0x9007ff05,0x027fc1ff,
    0x1fe65fd8,0x9fd01fe2,0x45fd80bf,0xbfb004ff,0x7dc027e4,0x3200ffe5,
    0xffeb80ff,0xff80ceff,0x64bfb004,0x15fb804f,0x7ff300ff,0x3ee013f2,
    0xf100ff25,0x002fec1f,0x7d4003ff,0xffdb7105,0xff103bdf,0x4bff1001,
    0xff9807f9,0x3f63fd84,0xc803bee3,0xa80d407f,0xf700225f,0x23fe401d,
    0x3f200efb,0x90077dc7,0xd90000ff,0x90077dc0,0x02ffa8ff,0xff317fe6,
    0x41ffa803,0x3e602ffa,0x0077dc5f,0x82fd4ff9,0x3e602ffa,0x00ffcc5f,
    0xff887fea,0x2a037cc1,0x3ee00eff,0x00ffcc1f,0xff987fea,0xf51fec01,
    0x2ffcc05f,0x30033e20,0xffa803ff,0xb007fe61,0x0153007f,0x3600ffcc,
    0x803bee3f,0x2ffd47fc,0xd90ffcc0,0x400ff603,0x54c0006e,0x00d40000,
    0x1fec7fb0,0xf703dfd1,0x1ffe805f,0x22002fd4,0xffb81efe,0x40f7f442,
    0x7f442ffb,0x02ffb81e,0x2204d800,0xffb81efe,0x20affc82,0xa80efeb8,
    0x5ff903ff,0x882bff20,0x7440efeb,0x2ffb81ef,0xffc817ea,0x3bfae20a,
    0x903ffa80,0x19fd05ff,0xf1017fa2,0xffb107ff,0x40ffea03,0xffe82ffc,
    0x07fec40b,0xb882bff2,0x74c00efe,0x3ffa804f,0xfd05ff90,0xffd8817f,
    0x03ffc800,0xb102fffa,0x77f441ff,0xc82ffb81,0x2620adff,0x3ee1fffd,
    0x007fdc0e,0x0000cfe8,0x40007ff9,0xfd801ffe,0xff10ff63,0x7fffddff,
    0xf513ea00,0xfff1000b,0x07fffddf,0x3bbfffe2,0xff103fff,0x7fffddff,
    0x01fa0000,0xfddffff1,0x7fec07ff,0x1ffffdef,0x37bffee0,0x6c02fffe,
    0xfffdefff,0xffff101f,0xa87fffdd,0x7ffec05f,0x01ffffde,0x3b7bffee,
    0xff502fff,0x401fffdf,0xefffdfe8,0x401fffed,0xfedefffb,0xffb102ff,
    0x3dfffdff,0x37bfff60,0x2001ffff,0xffb801fd,0x2fffedef,0xdffffb10,
    0x4003dfff,0x3f6207f8,0xefffefff,0xeffff881,0x2e03fffe,0xffeeffff,
    0x7f440cff,0x01fffdef,0x0001fdc0,0xa8000ff1,0x23fd804f,0xfec983fd,
    0x4402ceff,0x7d42fecc,0xfd930005,0x98059dff,0x2cefffec,0x7fff64c0,
    0x200002ce,0x981fdffb,0x2cefffec,0xffffeb80,0xdb9800cf,0x001bdfff,
    0x9fffffd7,0xffec9801,0xffa82cef,0xffd702ff,0x30019fff,0x37bfffb7,
    0xdffffa80,0xd98fec01,0x01bdffff,0xbfffb730,0xffd70037,0xb8019dff,
    0x0cfffffe,0x06feca80,0x3fff6e60,0xfeb801bd,0x000cefff,0x700bfb97,
    0x19dffffd,0x7fff64c0,0xdb8802ce,0x01defffe,0x337fb2a2,0xff993001,
    0xfb970003,0xd991000b,0x47fb005f,0x009803fd,0x20b3fa60,0x300004ea,
    0x004c0001,0x00001300,0x801eedc0,0x33100009,0x00180001,0x0004cc40,
    0xee980130,0x4cc401ee,0x000c0000,0x06600188,0x180000c4,0x004c4000,
    0x0004cc40,0x0002f7b2,0x4c400018,0xbdfd8000,0x004c4000,0x40000980,
    0x00000018,0x001677d4,0x000bdfd8,0x002dfe98,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x23991000,0xc88002cc,0x43b8001c,0x19910049,
    0x66400f26,0x40009931,0x00002cc8,0x4000e644,0x0ccccccc,0x53000000,
    0x00355555,0x0000cca8,0x965c0000,0x64c004c8,0x6540000c,0x00000004,
    0x0001e5c0,0x64400599,0x3320002c,0x0b322002,0x00166400,0x70016644,
    0x00332259,0x59901554,0xe99f5c00,0xcc880005,0x66664001,0x1d800ccc,
    0x2e03cc80,0x001ff56f,0x001fffb0,0x09d32fa8,0x7f477dc0,0xd1df5001,
    0x7ec0005f,0x200002fe,0xff0006fc,0x003fffff,0x6c006fd8,0x04ffffff,
    0x017fbe60,0x456fe440,0x3fe6006d,0xd8002fd8,0x3e20005f,0xea80002f,
    0x3e60000d,0xdf50001f,0x07fb8001,0x001ff500,0x0017f7ec,0x20003fea,
    0x3002fefd,0x007fb1ff,0x7d40bfe2,0x53f2000f,0xc80007f9,0xfff8006f,
    0x2a01ffff,0xf500aefd,0xd87f401f,0xdfb8001f,0x6c000ef9,0x4000efff,
    0x4003fefd,0x0003fefc,0x07fe37ee,0x03fe2000,0x4ccccc00,0x6fd80019,
    0x55554c00,0xff1001aa,0x70009f93,0x07fffd9f,0x04fffb80,0x001fd100,
    0x00013ee0,0x00024da2,0x740005fb,0x7f90001f,0x003fd000,0x07fc6fdc,
    0x0003fd00,0x01ff1bf7,0x017fbee0,0x3fa04fc8,0x89654001,0x7c40004c,
    0x9998000f,0xff501999,0xb05fffff,0x8964405f,0xee88002c,0x10007d70,
    0x36200035,0x9db0004e,0x86644000,0x980003ca,0x54c0001c,0x950000ac,
    0x20033007,0x8f2a0098,0x1dc000cc,0x2e000373,0x6440004c,0x00970002,
    0x02c56200,0x40007900,0x640002c8,0x01644003,0x32a19910,0x00591003,
    0x32a19910,0x017b2003,0x16440bb0,0x31001980,0x01c98001,0x2a235300,
    0xf8cff882,0x3221ffca,0x15953002,0x55dcc000,0xaca98000,0x4cccc400,
    0x99999999,0x4ccccc41,0x20999999,0x04cc0098,0x22002620,0xff700019,
    0x407dffff,0x99999998,0x3e209999,0x03fd800f,0x80001988,0x26600198,
    0x80098800,0x26600198,0x01999999,0x0176ec00,0x98800998,0x44003310,
    0x26666609,0x09999999,0x26666666,0x26099999,0x99999999,0x26620999,
    0x99999999,0x80066209,0x26666098,0x10019999,0x40033013,0xfd800ff8,
    0x33331003,0x33333333,0xf33fc813,0x8fcdf70f,0x004c44fe,0xdffffff7,
    0x3ff6e007,0x800effff,0xeffffffb,0xfffff703,0xffffffff,0x7ffffdc3,
    0x26ffffff,0x3fe206fb,0x00bfe00f,0x8800bff6,0xfcabdffe,0xfff704ff,
    0xffffffff,0x4007fc4d,0xffd803fd,0x7fec0002,0x05ff8802,0xfd803fd8,
    0xfff8802f,0xefffffff,0x2ffd8003,0x805ff880,0x05ff53fd,0x3e25ff30,
    0xffffffff,0xfff12fff,0xffffffff,0x3fffe25f,0xffffffff,0x3ffffee2,
    0x26ffffff,0xf9802ffa,0xfffff12f,0x07dfffff,0x1fe627dc,0x800ff880,
    0xff8803fd,0xffffffff,0x7e43ffff,0x7f90ff33,0x6c2c98fc,0xdffe883f,
    0x04fffcab,0x2f3bffa2,0x102ffecb,0xf957bffd,0xddd509ff,0xddddffdd,
    0x777543dd,0xffeeeeee,0xfa81fe66,0x0ff302ff,0x00dfff10,0xfa80f7f4,
    0xeeeea84f,0x6ffeeeee,0x36003fe2,0x7ffc403f,0x3fe20006,0xfff8806f,
    0x201fec02,0x8806fff8,0xcccccdff,0x2004fffe,0x8806fff8,0x7ec02fff,
    0xd003ff63,0x777fc4bf,0xeeeeeeee,0xddddff12,0x25dddddd,0xeeeeeff8,
    0x2a2eeeee,0xeeeeeeee,0x7fec6ffe,0xf12ff400,0xd99999bf,0x3ee09fff,
    0x1003fcc4,0x7fb001ff,0xfddff700,0xdddddddf,0x7e40005d,0x7fb007e4,
    0x2a03dfd0,0x5ffd04ff,0x7407fec0,0x9ff501ef,0x0013f600,0x3e0ffdc0,
    0x9f9fb01f,0x2e017ee0,0xb801febf,0x7fd400ff,0x1ffb8003,0x36003fe2,
    0x75fdc03f,0x7f70001f,0xff8803fd,0x0ff600ff,0x03fd7f70,0x2200ff88,
    0xf7001ffc,0xf8803fd7,0x3f600fff,0xc813fe23,0x07fe20ff,0x003ff100,
    0x0001ff88,0x883ff700,0x3ff204ff,0x8803fe20,0x4fb81ffc,0xf1003fcc,
    0x07fb001f,0x1bee7ff0,0xdf500000,0x7fb007e1,0x5400ffb8,0x07fdc3ff,
    0x3ee1fec0,0x1ffd400f,0x00027ec0,0x7ec1ffd4,0x0df1ff03,0x3fa00ff6,
    0x7c404fb9,0x0df7002f,0x443ffa80,0x3fd800ff,0x27dcff40,0xfb9fe800,
    0x7f7fc404,0xd00ff605,0x8809f73f,0x7fc400ff,0xf73fd003,0xfeff8809,
    0xf50ff605,0x83ff305f,0x44001ff8,0x7c4001ff,0xa800001f,0x5ff503ff,
    0xf883ff30,0x1ffc400f,0x1fe627dc,0x800ff880,0x3fdc03fd,0x64c00df7,
    0x74459302,0x6c01fbff,0x00bfe23f,0x0ffa37dc,0xff127d40,0x01bee005,
    0x300013f6,0x17ee09ff,0x407f57e6,0xbfcc01ff,0x3fd407f8,0x001ff300,
    0x3e213fe6,0x03fd800f,0x03fc5fe6,0x7f8bfcc0,0x7fcffc40,0x4c07fb02,
    0x880ff17f,0x4fd800ff,0xff17f980,0xff9ff880,0xfb07fb02,0x884fe81d,
    0x7c4001ff,0x7fc4001f,0x7cc00001,0x077ec04f,0x3fe213fa,0xb84fd800,
    0x003fcc4f,0xfb001ff1,0x2e3ff807,0x13ee006f,0x3fa22fd4,0xfb01ceff,
    0x3003fd47,0x007fc1ff,0x400ff500,0x7ec00ff9,0x3fa20004,0x2e1fe206,
    0xf887f92f,0x3a4fc807,0x01bee02f,0xd1003ff0,0x03fe20df,0xfc80ff60,
    0x9000bfa4,0x1017f49f,0x203ff2ff,0x93f203fd,0x3fe202fe,0x802ff800,
    0x80bfa4fc,0x01ff97f8,0x9ff107fb,0xff8837dc,0x0ffc4001,0x007fe200,
    0x06fe8800,0x3ee4ff88,0x001ff106,0x89f705ff,0x3e2007f9,0x03fd800f,
    0x0df71fee,0xfa827dc0,0xffff9305,0x7dc7fb09,0x98ffc006,0x7dc0007f,
    0x00ffc006,0xd80013f6,0x0ff400ff,0x22fd43fa,0x1ff805fa,0x5fc81bee,
    0x401ff400,0xff100ffd,0x407fb001,0x01bee1ff,0x37dc3ff0,0x2ff4ff10,
    0x3ff01fec,0xff1037dc,0x006fd801,0x037dc3ff,0x42ff4ff1,0x3ff503fd,
    0x3e203ff1,0x7fc4001f,0x0ffc4001,0x1ffb0000,0x227fea00,0x1ff101ff,
    0xf706fd80,0x2007f989,0xfd800ff8,0xf70ffa03,0x827dc00d,0x6dfc05fa,
    0x91fec3ff,0x3fe800bf,0xc8000df7,0x1ff4005f,0x40013f60,0xfc801ffc,
    0x8ff1be22,0x37d402fc,0x7ec07fe2,0x027ec004,0xf8807ff2,0x03fd800f,
    0x1ff88df5,0xf88df500,0x4cff101f,0x81fec2ff,0x0ffc46fa,0xcccdff88,
    0x03fffedc,0x7fc46fa8,0x7ccff101,0xb01fec2f,0x4409fbdf,0xffffffff,
    0x3fe25fff,0xffffffff,0x3fffe25f,0x5fffffff,0x001ffc80,0x027ef7ec,
    0x9999bff1,0x207fffdb,0x03fcc4fb,0xb001ff10,0x03fea07f,0xfffffff7,
    0x827dcdff,0xb8fc05fa,0xfb1fec7f,0x94fd8009,0x777740bf,0x09fb1eee,
    0x6c04fd80,0xffa8004f,0x549f5002,0xfd0fec4f,0xd83fd801,0x009f904f,
    0x3ea03fe8,0x07fc402f,0xfd81fec0,0xb004fd83,0x209fb07f,0x07fe47f8,
    0x0ff607fb,0x7fc413f6,0xffffffff,0x07fb001d,0x1fe209fb,0x1fec1ff9,
    0x80dfff10,0xfffffff8,0x3e25ffff,0xffffffff,0x3ffe25ff,0xffffffff,
    0x017fd405,0x037ffc40,0x3fffffe2,0x201dffff,0x03fcc4fb,0xb001ff10,
    0x20ffa07f,0xfffffffb,0x413ee6ff,0x47e045fa,0x8ff61ff8,0x7f4004fc,
    0x7fc0df73,0xf91fffff,0x03fe8009,0x260027ec,0x3e2004ff,0x7f707f26,
    0xff101be2,0xff733335,0x800df501,0x9ff301ff,0x2007fe00,0xaff882fe,
    0x0ffb9999,0x4cd7fc40,0x880ffb99,0x365fe87f,0x9aff883f,0x80ffb999,
    0xcaaabff8,0x3e2003ff,0xfb9999af,0xe87f880f,0x700ff65f,0xff8803ff,
    0x0ffc4001,0x007fe200,0x009ff300,0x200ffdc0,0xcaaabff8,0x4fb803ff,
    0x3e003fcc,0x82fe801f,0x6fb80ffa,0x5413ee00,0x1f87fa5f,0x23fd87fe,
    0x7fc006fa,0x2601ff31,0x51ff9999,0x1ff800df,0x10027ec0,0xfd000bfd,
    0x57e61fe1,0x7fdc04fa,0xffffffff,0x000ff883,0x3fa20ff1,0x00bfa005,
    0x3fee07fe,0xffffffff,0x7fffdc03,0x83ffffff,0x2ff987f8,0xfff707fb,
    0x7fffffff,0xf301ff10,0x3fee009f,0xffffffff,0xf987f883,0x9807fb2f,
    0x1ff8807f,0x00ffc400,0x0007fe20,0x0005fe88,0x7c403fcc,0x04ff980f,
    0x1fe627dc,0xf005fd00,0xffffd03f,0x00dfffff,0x5fb82fdc,0xf51f93f6,
    0x3e23fd8f,0x8ff1000f,0x3fe001ff,0x2001ff11,0x4fd807f8,0x003bf600,
    0x17e6bf20,0x401fcbfc,0xeeeeeefe,0x9ff06fee,0x6c17f600,0x3f2000ef,
    0x407fc403,0xeeeeeefe,0x7f406fee,0xeeeeeeee,0x907f886f,0xd07fb1ff,
    0xdddddddf,0x1ff10dfd,0x200ffea0,0xeeeeeefe,0x7f886fee,0x7fb1ff90,
    0x8807f980,0x7c4001ff,0x7fc4001f,0x3bf60001,0x3fcc0000,0xa807fc40,
    0x13ee03ff,0xfc800ff3,0x207fc403,0xfffffffa,0x2e006fff,0x5cbf905f,
    0xfb13f2ff,0x7fc3fd8b,0xd8bfb004,0x87fe005f,0xbfb004ff,0x2009fb00,
    0x50001ffc,0x3607f79f,0x7cc07e8f,0x40ffc407,0x7d401ff9,0x01ffc81f,
    0x90077dc0,0x80ff30ff,0xff301ff8,0x441ff880,0x377fa07f,0x203fcc3f,
    0x7fc41ff8,0x807ff200,0x7fc407f9,0xfd03fc41,0xf9807fbb,0x01ff8807,
    0x000ffc40,0x40007fe2,0x80001ffc,0xff8807f9,0x407ff200,0x03fcc4fb,
    0xc803bee0,0x204fd87f,0x3ea006fb,0xfd8bfd06,0x0fffdfdf,0x3fe61fec,
    0x20ffd401,0xf9805ffa,0x007fe61f,0xfb003ff5,0x05ff5009,0x7eefc400,
    0x0bf7f501,0xfe804fc8,0x207ff504,0xffa82ffc,0xefe88002,0xc82ffb81,
    0x04fe804f,0x9fd009f9,0x3e607f88,0x27e43fff,0x3e227f40,0x1bfa200f,
    0xfe804fc8,0xf303fc44,0xf9807fff,0x01ff8807,0x000ffc40,0x20007fe2,
    0x00002ffa,0xff100ff3,0x837f4401,0x03fcc4fb,0x207bfa20,0x7fcc2ffb,
    0x801bee00,0x7fdc2ff9,0xfffffc85,0xa83fd80d,0x5ff903ff,0x82b7ff20,
    0x41fffd98,0xff903ffa,0x013f6005,0x00007ff3,0x7c40dffd,0x0ffc03fe,
    0xb807fd40,0xffedefff,0x03ff982f,0x3fffe200,0xf03fffee,0x1ff5003f,
    0xf5003ff0,0x203fc41f,0x7fc3fffc,0x20ffa801,0x7d400ff8,0x003ff03f,
    0x3fc41ff5,0x00ffff20,0xff100ff3,0x1ff88003,0x00ffc400,0x000ffe60,
    0x8807f980,0x7fd400ff,0x7cc4fb83,0xfff88007,0x83fffeef,0x37dc05fd,
    0x337ff600,0x2605fcfe,0x0ff600bf,0x76f7ffdc,0x7dc02fff,0xfffeefff,
    0xfff700cf,0x05fffdbd,0x2e027ec0,0xffffffff,0x700fffff,0xffe809ff,
    0x401fea01,0x2e603ff8,0x01bdfffd,0xfffffff7,0x01ffffff,0x9dfffd93,
    0x401fea05,0x3fd43ff8,0x223ff880,0x3ffe807f,0x7c401fea,0x003fe23f,
    0xff503ff6,0x88ffe200,0x3ffe807f,0x4403fcc0,0xffffffff,0xff16ffff,
    0xffffffff,0x3ffe2dff,0xffffffff,0xfffff76f,0xffffffff,0x807f9801,
    0xfd800ff8,0x2627dc0f,0xffffffff,0xfec984ff,0xf982ceff,0x7ffdc01f,
    0x6fffffff,0x4577ffe4,0x200fc05f,0x36e603fd,0x001bdfff,0xdfffdb71,
    0xfb73003b,0x80037bff,0x7fdc04fd,0xffffffff,0xff300fff,0x407fc805,
    0x3f2004fd,0x5c006006,0xffffffff,0x800fffff,0x04fd8009,0x9fb1bf20,
    0xf137e400,0x47ff300f,0x3f2004fd,0x2003fe26,0x27ec5ff8,0x7c4df900,
    0x03ff9807,0x7c403fcc,0xffffffff,0xfff16fff,0xffffffff,0x3fffe2df,
    0xffffffff,0xffffff76,0x1fffffff,0x8807f980,0xff8800ff,0x3e627dc5,
    0xffffffff,0x4009804f,0xffb805fd,0xffffffff,0x50001306,0x003fd801,
    0x0c400006,0x0000c000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0e647950,0x00a82880,0x4ea8f6c0,0x05707200,
    0x1cc8b2a0,0x32e4c980,0x84409802,0x07930cc8,0x400bba20,0x00003cc8,
    0x40144130,0x00001cc9,0x401e5c00,0x407b65e9,0x227d71ed,0x01999999,
    0x0ee8a754,0x75c3b600,0x55553003,0x55400355,0x000aaaaa,0x20003751,
    0x2620aca9,0x19999999,0x2000dcc0,0x55401808,0x55402aa1,0x51002aa1,
    0x18800377,0x40590018,0x202bca98,0x2a60cc2a,0x155000ac,0x3e202aa2,
    0x2005fb9f,0x003ee3f8,0x17ee3fd0,0x3f50ed80,0x2e7fe200,0x2ffa005f,
    0x8d9006fa,0x3a37f24e,0x7ff1001f,0x0bfbf600,0xd1037ec0,0x80dd7bff,
    0x000fffe8,0xbb15bf91,0x09fdf700,0x07fa6fa8,0x54fc8ffc,0x0fffffff,
    0x1ff15fb8,0xfc8ffc00,0xffffb004,0x3e2009ff,0x01ffffff,0x3ffffb22,
    0xff9803df,0xffb4ffff,0x0fffffff,0x07bfffaa,0x0d907d40,0x5fc8efa8,
    0x3ee3fe60,0x3fff6205,0x9801dfff,0x3003ee1f,0x3fff205f,0x7c43ffff,
    0x3627fe0f,0x01efffff,0x04fcb7dc,0x001bfbe6,0x013fffee,0x164c32e0,
    0xbffff300,0xefef9800,0x3bfe2000,0xbdf3000f,0xfefd81ff,0x0bba2003,
    0x3fe37ee0,0x206fd801,0x2ffebafb,0x77cdfec0,0xfecfb800,0x7fcc02ff,
    0x32602fe8,0x664032e3,0x33265950,0x5404cccc,0x8009912c,0x005950cc,
    0x2aaaaaa6,0x26666001,0x3fa20199,0xfffdbbdf,0x33bfe603,0xefdcfeba,
    0x06eeeeee,0x0df937ff,0x1ff6ff40,0x037efe40,0x8077efdc,0xcbcefff9,
    0xfd801ffe,0xfc803fee,0x5efff4c0,0x10dfffca,0x7e7fc1ff,0xfffcabdf,
    0x2fefec00,0x0006f5c0,0x0000bb88,0x0002b2a6,0xb800054c,0xe98001ee,
    0x6dc4001e,0x04ed880b,0x0055dcc0,0x0f2a1991,0x2980f2e0,0x93260044,
    0x23b802cb,0x1cb801b9,0x00cc4993,0x09881310,0x10002620,0x4ccc0033,
    0x99999999,0x01988009,0x26666660,0x40999999,0xff500efd,0x20dff107,
    0x4002fffd,0x00ff44fb,0x40037b50,0xfb000ffe,0x077fc03f,0xa800efb8,
    0x0dd001cc,0x3e603dfd,0xfff1e26f,0x0dfd101d,0x3301dfd0,0x33333333,
    0x33100133,0x3ffee000,0x2603efff,0x99999999,0x98800999,0x26666001,
    0x44001999,0x00262009,0x3fffff6e,0x04c400ef,0x99999998,0x88099999,
    0x20033009,0x00266098,0x004c4262,0x9802ffa8,0x01fec2ff,0xfd8007fb,
    0xfff8802f,0xffffffff,0x2ffd802f,0xfffff880,0x2fffffff,0x3ee01bf6,
    0x007fdc2f,0xd8005fff,0x0017ec3f,0x00000000,0xc805ff70,0x8800006f,
    0x007fdc4f,0x22dcffea,0x3e200fff,0x3e20003f,0xffffffff,0xfd802fff,
    0x3fa2002f,0xfffcabdf,0xfffff884,0x2fffffff,0x802ffd80,0xfffffff8,
    0xfd801dff,0x880ff603,0xcbbceffe,0x3f602ffe,0xfffff883,0x2fffffff,
    0x3ff03fd8,0x3e27fb00,0x53fd805f,0x7fec00bf,0x6c2ff400,0x00ff603f,
    0x806fff88,0xeeeeeff8,0x402eeeee,0x8806fff8,0xeeeeeeff,0xff12eeee,
    0xd17f6003,0x2ffb807f,0x8877dc00,0x3b2a007f,0xeca800bc,0x02c980bc,
    0x02f5c593,0x32a02ff8,0x7d400bdd,0x400ffe21,0xff85bffb,0x205fd804,
    0x7c41bdb9,0xeeeeeeef,0x7c402eee,0x3fa006ff,0x89ff501e,0xeeeeeff8,
    0x402eeeee,0x8806fff8,0xfeeeeeff,0x7ec04fff,0xe80ff603,0x3ff602ff,
    0xf107fb00,0xdddddddf,0x7fb05ddd,0x36007fe0,0x05fff13f,0x0bf53fd8,
    0x9027fc40,0x07fb01ff,0xf7001fec,0xf8803fd7,0xf700001f,0xf8803fd7,
    0x37d4001f,0x7c4ff500,0x17fcc01f,0x2b7fa200,0xfe9803ff,0x302fffff,
    0x5ffffffd,0xbf504fb8,0x41fe4000,0xffffffd8,0xff51f602,0x827fc400,
    0x7fa802ff,0xffffffb0,0x0007fe21,0x0ff5fdc0,0x2007fdc0,0x3fe23ffa,
    0x7f700001,0xff8803fd,0x80bff600,0x0ff603fd,0x6c007fdc,0x107fb03f,
    0x6c0003ff,0x003ff03f,0x3ffe27fb,0x54ff600f,0x7fd4005f,0xb01ff982,
    0x01fec07f,0x09f73fd0,0x0001ff88,0x09f73fd0,0x4001ff88,0x3e2004fb,
    0x801ff30f,0x98002ff8,0xd002ffff,0xffb517df,0x517dfd03,0x27dc3ffb,
    0x20005fa8,0xbefe85fb,0xf01ffd98,0x4006fb8b,0x05ff03ff,0xfd81ff30,
    0x15fc98be,0x200003ff,0x404fb9fe,0xf7002ff8,0x000ffc4d,0x4fb9fe80,
    0x2007fc40,0x7fb00ffd,0xfe81fec0,0x209f5003,0x1ff883fd,0x40ff6000,
    0x3fd801ff,0x40bfdff1,0x00bf53fd,0xfe81dfb0,0xd80ff604,0x2ff3003f,
    0x7fc407f8,0x7f980001,0xff880ff1,0x01fec001,0x3fd4bfe0,0xffffff80,
    0xff703fff,0x1bee007f,0x1bee37dc,0x09f737dc,0x7fff57ea,0xffffffff,
    0x7fd47fff,0xf985fb80,0x2002fe43,0x03ff04fe,0x7d41ff10,0xff13fd06,
    0xff300003,0xff501fe2,0x887fcc00,0x980001ff,0x880ff17f,0x3fe800ff,
    0x7ec07fb0,0x0001ff03,0x3e20ff60,0x3f60001f,0xb003ff03,0x3e7fe27f,
    0x2a7fb02f,0x059d955f,0xdf727fc4,0x3603fd80,0x49f9003f,0x3fe202fe,
    0x4fc80001,0xff880bfa,0x01ff4001,0x37dcffa0,0xffffff80,0x7ec43fff,
    0xe801ffdf,0xe87fe02f,0x5c7fe02f,0x36bf504f,0xffffffff,0x47ffffff,
    0x1ff104fd,0x27ec0fb8,0x7c13f600,0x0ff8801f,0x454c0ff2,0x80001ff8,
    0x80bfa4fc,0x7fc006fb,0x0003ff11,0x17f49f90,0x7001ff10,0x80ff60bf,
    0x07f983fd,0x20ff6000,0x20001ff8,0x03ff03fd,0x5fe27fb0,0x3fd80ffc,
    0xffffbbf5,0x4ffd409f,0x7ec01ff8,0x400ff603,0x81bee1ff,0x80001ff8,
    0x81bee1ff,0x6c001ff8,0x97fc003f,0x5ff007fa,0xe877f400,0xf83df0ef,
    0xf8bf600f,0x5cbf600f,0x32bf504f,0x1fea004f,0x555559fd,0x86d83ff5,
    0x7f4004fc,0x3003ff03,0x801fe8ff,0x80001ff8,0x81bee1ff,0x7f4005fc,
    0x0003ff13,0x37dc3ff0,0x5001ff10,0x80ff60df,0x06fb83fd,0x20ff6000,
    0x20001ff8,0x35ff03fd,0xd3333333,0xfe9fe27f,0xff53fd85,0x5ff9317f,
    0x27ef7ec0,0xfb01fec0,0x88df5007,0xfff101ff,0xffffffff,0x2237d40b,
    0xfff101ff,0xffffffff,0x1002fdcb,0x03fe63ff,0x2005ff10,0x6ffc46fa,
    0x03fc46fa,0x03fc4ff2,0x827dcff2,0x00bf75fa,0x3ffe37dc,0xffffffff,
    0x3ea13e22,0x80ffc006,0x7fa801ff,0x7c4007fc,0xffffffff,0x1bea05ff,
    0x3f603ff1,0x8a7ec004,0xffffffff,0x3ea05fff,0x880ffc46,0x7f9800ff,
    0x7ec07fb0,0x3a05fc83,0x81eeeeee,0xfff883fd,0xffffffff,0x3e07fb05,
    0xffffffff,0xff13ffff,0x3f617fcc,0xfb05ff53,0x37ffc407,0x3603fd80,
    0x83fd803f,0xfff104fd,0xffffffff,0x6c1fec0b,0xffff104f,0xbfffffff,
    0xf30037cc,0x200ffc4f,0xfb002ff9,0x7ffff307,0x3600ff88,0x401ff12f,
    0x20bf72fd,0x00ff55fb,0x2bfe2fec,0x99999999,0x3e20bea0,0x0ff3000f,
    0x7dc00ffc,0x4400ffc6,0xffffffff,0x3f605fff,0xf904fd83,0x13fe8009,
    0xffffffff,0x7ec0bfff,0xf104fd83,0x1ff3001f,0x7ec07fb0,0x3e06fb83,
    0x81ffffff,0xfff883fd,0xffffffff,0x3e07fb05,0xeeeeeeef,0xff13ffee,
    0x3f60ffc8,0x3ee0ff53,0x00ffdc05,0x3f603fd8,0x4d7fc403,0x80ffb999,
    0x20001ff8,0x9999aff8,0xff880ffb,0x83ff8001,0x362ff438,0x17fe404f,
    0xf703fe80,0x03ff01ff,0x03ff07f4,0x05fb87f4,0x01ffcbf9,0x3fa0ffcc,
    0x807e4003,0xbfb004ff,0x6c00ffc0,0x9817f44f,0x001ff8ab,0x266bfe20,
    0xa80ffb99,0x8ffc006f,0x20001ff8,0x9999aff8,0xff880ffb,0xb07fa800,
    0x41fec07f,0x33300ff9,0xfb03ff33,0x003ff107,0xff81fec0,0xf13fd801,
    0x7ecbfd0f,0x3ea0df53,0x003fcc05,0x1fec07fb,0x3ffffee0,0x883fffff,
    0x2e0001ff,0xffffffff,0x1ff883ff,0x40ffb800,0x0ffcbffb,0xf8807fd4,
    0xdf7002ff,0x20bffe20,0x8ff304fd,0x4ff304fd,0x4bfd06fa,0x7ec00ffb,
    0xf306fd86,0xf502f41d,0x1ffa803f,0xf3007fe0,0xb04fc83f,0x003ff19f,
    0x7ffffdc0,0x883fffff,0xff1000ff,0x0000ffc4,0xfffffff7,0xff107fff,
    0x20df7001,0x0ff603fd,0xff000ffc,0xf107fb03,0x7ec0003f,0xb003ff03,
    0x261fe27f,0x2a7fb2ff,0x80bf505f,0x3f6007f9,0xd00ff603,0xdddddddf,
    0x3ff10dfd,0x777f4000,0x6feeeeee,0x0001ff88,0xfea87ff7,0x3dfd02ff,
    0x02fefe98,0x4c19ff10,0x4c2fffff,0x27f4c3ff,0xfd30ffe6,0x2e17fcc9,
    0x3ffa25ff,0x81ffe882,0x7f40bff8,0xf500fe23,0x07ff207f,0x10883ff0,
    0x5ff10dfd,0xff89ff98,0x3bfa0001,0xfeeeeeee,0x2009ff06,0x07fe25fd,
    0xeeefe800,0x86feeeee,0xfd800ff8,0x6c07fb05,0x00bfb03f,0x1fec0ffc,
    0x0000ffc4,0x07fe07fb,0x3fc4ff60,0x3fd8ffc8,0x17ea0bf5,0x6c00ff30,
    0x80ff603f,0x7fc407f9,0x000ffc41,0x7c407f98,0x00ffc41f,0xbdfff900,
    0x019ffffd,0xfb9bffb1,0xfffffb3f,0x7e45ffff,0x8dffecff,0x7fe41ffe,
    0x905ffecf,0xbffd9fff,0xfd9bffb0,0xffd88bf9,0x1effeddf,0x373ffee0,
    0x00fdc6ff,0x76f7ffdc,0xff802fff,0x7fff7f41,0xb9fff701,0x07fe29ff,
    0x203fcc00,0xff981ff8,0x10ffd401,0x260003ff,0x0ffc407f,0xf3003fe2,
    0x80ff605f,0xbff503fd,0xb03ff300,0x03ff107f,0xf81fec00,0x13fd801f,
    0x6eff40ff,0x2a0bf53f,0x03fcc05f,0x7ec07fb0,0x2013f203,0x0ffc44fe,
    0x804fc800,0x0ffc44fe,0x3fae6000,0xffdabdff,0xbfffd903,0x3fffff65,
    0x7d42ffff,0x3623efff,0xdfffd506,0xfffea807,0x3fff203e,0xd705f8ae,
    0x019dffff,0x7dfffd30,0x26007d81,0x1bdfffdb,0x6c43ff00,0x4c01efff,
    0x221cfffe,0xf90001ff,0x209fd009,0xff903ffa,0x001ff885,0xfd009f90,
    0x400ff889,0x0ff606fd,0x3f203fd8,0x36620adf,0x3fd81fff,0x0001ff88,
    0x0ffc0ff6,0x7f89fec0,0x4ffffe60,0x0bf505fa,0x36007f98,0x80ff603f,
    0xffa801ff,0x0007fe20,0x7d400ffc,0x007fe20f,0xd5018800,0x00018809,
    0x02009880,0x88001310,0x00260009,0x20000c40,0x00022009,0x30000018,
    0x10188001,0x3e0003ff,0x0ffa801f,0xdbdfff70,0xff105fff,0x07fe0003,
    0xf883fea0,0x7f5cc40f,0x80ff601f,0x7fdc03fd,0xffffeeff,0x107fb00c,
    0x6c0003ff,0x003ff03f,0x01fe27fb,0x3ea7fff9,0x980bf505,0x0ff6007f,
    0xff503fd8,0x88ffe200,0xffffffff,0x3ea6ffff,0x47ff1007,0xfffffff8,
    0x006fffff,0x00000100,0x00000000,0x00000000,0x00000000,0x00000000,
    0xf8800000,0xffffffff,0x1fea6fff,0x301ffc40,0x37bfffb7,0x3ffffe20,
    0x6fffffff,0x7c401fea,0x3fffe23f,0x2fffffff,0xfb01fec0,0xfdb71007,
    0xd803bdff,0xffff883f,0xffffffff,0xff03fd86,0x227fb003,0x3ffe807f,
    0x17ea0bf5,0x6c00ff30,0x40ff603f,0x3f2004fd,0x3ffffe26,0x6fffffff,
    0xfc8013f6,0x3ffffe26,0x6fffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x10000000,0xffffffff,0x7ecdffff,0x01bf2004,
    0xfff10018,0xffffffff,0x0027ecdf,0x7ffc4df9,0x0bdeffff,0x3603fd80,
    0x0188003f,0x7c41fec0,0xffffffff,0x3fd86fff,0xfb003ff0,0x2601fe27,
    0x20bf53ff,0x000005fa,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x4c400000,0xa8554400,0x84c4001a,0x262a9809,
    0x3551001a,0x355154c0,0x2200cc00,0x088000aa,0x300aa980,0x01950057,
    0x67654b26,0x40301102,0x19809818,0x26213100,0x4007b500,0xb95001aa,
    0x2aa8017b,0x2a000553,0x46a6002a,0x154c02a8,0x40355100,0x04c002a9,
    0x20013100,0x005511a9,0x2a600220,0x03550002,0x4c01aa88,0x0059302c,
    0x00000133,0x4c415540,0x2e131000,0x2fd40003,0x77ddbf20,0x4efd4000,
    0x8afe886f,0xdf9000ff,0x4cffc401,0x443200ef,0x2fff407f,0xf35bfb30,
    0x209fd007,0x203ffffa,0x333ea05f,0x984fffff,0xf981b21f,0xff103ee1,
    0x327fb001,0x3b8d984f,0x00fffc80,0x3fffff62,0x25ff102f,0xf88003ff,
    0x4ff2002f,0x3fe607f9,0x1df7002f,0x2017fc40,0x02ffffd9,0x0bbfff6a,
    0x1fe69f90,0xf359fd30,0x3fff9805,0x007fd400,0x3ee037e4,0x500bf504,
    0x207f75ff,0xffffffff,0x40ffcc04,0x7fb003fd,0xff7001f6,0x105fffff,
    0x007fa1ff,0x1ba77ea0,0x017f7fcc,0xa800ff88,0x3a01feef,0x640fd10f,
    0xdb04fccf,0x803fffd9,0x23ba06fa,0x1fb81fd8,0x273ffea0,0xfe82ffc9,
    0x7ec03fed,0xff884fee,0xf93fd800,0x01267509,0x40df5df5,0xfd98befe,
    0xf74fc81f,0x13f2000b,0x3e67f900,0xfd5fd107,0x003ff003,0x7fc40df3,
    0xa83ffcbf,0x2ffdbdff,0x3fcd3f20,0x3fff3ba0,0x2bfa200f,0x3fa001fe,
    0x80bf6002,0x0bf504fb,0x02fffea0,0x3fffffe6,0x1fe404ff,0xfb003fd8,
    0x98007ea7,0x1cefdccc,0x07f52fb8,0x2d57ea00,0x4007ff50,0x3f2002fb,
    0x307fc02f,0xfe9bea0d,0x02e62c82,0x7c403f60,0xbf113ea4,0xd82ffa80,
    0x037b504f,0x440732a0,0x3fd800ff,0x3b3a0791,0x647fe201,0x80ffa84f,
    0x3a5f85fb,0x5f88000e,0xfd800000,0x5c01df54,0x0bee003f,0x3fe627ec,
    0x3ea0ff40,0x64400007,0xfb002e61,0x2003fe69,0x744004f9,0x5413ee06,
    0x77e4405f,0x09f500ff,0xd817e200,0x27fb003f,0x2a0004f8,0x0000005f,
    0x001ed7ea,0x00000000,0x009907fc,0x00000000,0x22fc45f7,0x3fd401fb,
    0x00005fb8,0x007fc400,0x405b1fec,0x6c00000a,0x01ff104f,0x00000000,
    0x00000000,0x07f98000,0x837dc7f9,0x000001fe,0x00000000,0x4fb80000,
    0xeb80bf50,0x3f20bf32,0x36000003,0x47fb003f,0xdca8806e,0x5405fa8b,
    0x4400bcec,0xdfa8bdca,0xbb951048,0xecb88059,0x32a0d92c,0xfca81bde,
    0x4c049ccf,0x2c981bdb,0x2e605930,0x22fb81bd,0x017e25f8,0xb7d41bea,
    0x059302c9,0x059bb951,0xfb001ff1,0x164c3aa7,0xeca82c98,0x59fd01bd,
    0x3ff55555,0x164c0b26,0x0de765c4,0x30159b73,0x4cb26059,0x2659302c,
    0x2659302c,0x2e59302c,0x44df304f,0x405fd01a,0x800bceca,0x800bceca,
    0x800bceca,0x800bceca,0xb80bceca,0x00bf504f,0x05fb5751,0x950003fb,
    0x7fb037bd,0xfc8ff600,0x3fffe200,0xd305fcef,0x05ffffff,0x3bffffe2,
    0x3fea05fc,0x505fffff,0xffffffff,0xfffffd05,0xffffc87f,0x7ffec01f,
    0x13ee0fff,0x7fec2fd4,0x3ea0ffff,0x0fc93ea4,0xf305fa80,0x7d413eed,
    0x7ffffd45,0x07fc45ff,0x076efec0,0x17ea09f7,0x7ffffffd,0xfffffff0,
    0x3ee5ffff,0xfa8bf504,0xbbffffff,0x42ffffff,0x2bf504fb,0x2bf504fb,
    0x2bf504fb,0x2bf504fb,0x0ff102fc,0x2603fea0,0x2ffffffe,0xfffffd30,
    0x3ffa605f,0xd302ffff,0x05ffffff,0x3fffffa6,0xa827dc2f,0x7ffec05f,
    0x3fc0ffff,0xffe80353,0x7ec3ffff,0x4c7fb003,0x2bbfa02f,0xd05fffb8,
    0xffb517df,0x715dfd03,0x3e20bfff,0x5ff731bf,0xd52eff98,0x1dfc81ff,
    0x4c43ff51,0x7ec019ff,0x25fc98be,0x8bf504fb,0xfc98befd,0x3627be25,
    0x2009f11f,0x2df305fa,0x4bf504fb,0xf731bff8,0x007fc45f,0x7dc067ec,
    0x7e4bf504,0x83ff511d,0x99999aff,0x09f70999,0xaff897ea,0x7dfff930,
    0x5c1ff711,0x2ebf504f,0x2ebf504f,0x2ebf504f,0x36bf504f,0x803fe02f,
    0xfd03ffb9,0x3ffb517d,0xb517dfd0,0x7dfd03ff,0xd03ffb51,0xffb517df,
    0x517dfd03,0x2fdc3ffb,0x3fa05fb8,0x3fffb9cf,0x3fff3fe2,0x1dfc81ef,
    0x7ec3ff51,0xf87fb003,0xf10bf705,0x20df70bf,0x42fdc6fb,0xbf705ff8,
    0x9fd13f60,0xfe89ffd0,0xff83ec81,0xe837d400,0x2a09f71f,0x741bea5f,
    0x3bffaa1f,0x54003f22,0x2edf305f,0x5cbf504f,0x449fb05f,0x3fd800ff,
    0x3ea09f70,0x3b207fa5,0x7001ff43,0xc97ea09f,0x03fff03f,0x827dcdf7,
    0x209f75fa,0x209f75fa,0x209f75fa,0x403fd5fa,0xfff900ff,0x5c1bee07,
    0xb837dc6f,0xb837dc6f,0xb837dc6f,0xb837dc6f,0x6417ea6f,0x01df505f,
    0x7ffd4bfb,0x41fffdbd,0x23ec81fe,0x7fb003fd,0x05fb07d8,0x0bfa17f2,
    0x0bf61ff8,0x09882fe4,0x7fc4bf70,0x23fd7e40,0x3e000dfd,0x81fe400f,
    0x209f70a9,0x40ff25fa,0x442980a9,0x540aa24f,0x2edf305f,0x44bf504f,
    0x44bf7009,0x3fd800ff,0x3ea09f70,0x40037f65,0x1df306fd,0x2fd413ee,
    0x1bf60131,0x4fb87fc4,0x13eebf50,0x04fbafd4,0x413eebf5,0x403ff5fa,
    0xfd9901fe,0x405fd07f,0x80bfa1ff,0x80bfa1ff,0x80bfa1ff,0x80bfa1ff,
    0x20df31ff,0x07fb05fd,0x0efa9fe2,0x3f637f44,0x03fd800d,0x1fb87fb0,
    0xbf500ff8,0x7ec01ff0,0x7d403fe2,0xfb951005,0x2e37ccbf,0x7d41ff2f,
    0x7c00bdff,0x00ff400f,0xbf504fb8,0x80000ff4,0xfffd30fc,0xf305fa87,
    0x7d413eed,0x3f72a205,0x007fe25f,0x27dc0ff6,0x3fea5fa8,0x3e200bdf,
    0x71ff40bf,0x817ea09f,0xadffdba8,0x1feaaaaa,0x57ea09f7,0x2bf504fb,
    0x2bf504fb,0x2bf504fb,0x03fe01fe,0xff13fa60,0xff17ec01,0xff17ec01,
    0xff17ec01,0xff17ec01,0xf897ec01,0x82ffdc2f,0x03fa01ff,0xf507fd40,
    0x36017bff,0x87fb003f,0x03fc43f8,0x07f88bf3,0x07f89fe4,0xfd9817e6,
    0x25feffff,0xf8fe65fa,0x7fff4c1f,0x01ff02ef,0xf7000ff8,0xff97ea09,
    0x4f880000,0x8bf22bf2,0x2df305fa,0x8bf504fb,0xefffffd9,0x400ffc5f,
    0x09f702fe,0xffd317ea,0x3ee05dff,0x46ffdcff,0x8bf504fb,0xfffffed8,
    0xffffffff,0x209f73ff,0x209f75fa,0x209f75fa,0x209f75fa,0x405fb5fa,
    0x9bee007f,0x9fe407f8,0x9fe407f8,0x9fe407f8,0x9fe407f8,0x1fe407f8,
    0x9fd9bff9,0x01ff10bf,0xf88017ec,0x7fff4c2f,0x01fec2ef,0x85e83fd8,
    0x8bf300ff,0x3f600ff8,0x7cc03fe2,0x79dff305,0x6fa97ea3,0x00ff8bd1,
    0x07fffd73,0x1ff801ff,0x2e0bf700,0x0007fe5f,0x25f83f60,0x417ea5f8,
    0x20bf76f9,0x3bfe65fb,0xe8bf51bc,0x01ff802f,0x17ee0bf7,0x1ffff5cc,
    0xbefffe98,0xfb82fdc0,0x2b3ffe65,0x33339fb1,0x3ee13333,0x3eebf705,
    0x3eebf705,0x3eebf705,0x3f6bf705,0x400df102,0x1ff11ff8,0xff897ec0,
    0x7c4bf600,0x44bf600f,0x4bf600ff,0x3f600ff8,0x577ffe42,0x01ff05f8,
    0xfd0017f4,0x3ffae605,0x010ff63f,0x03f20ff6,0x17ea03fd,0x0fe807fe,
    0x2fd407fa,0xbf904fe8,0x07ec7fcc,0x36200ff1,0x400ff86f,0x257302fe,
    0x4bf905fb,0x057302fe,0x13e64f98,0xb7cc00df,0x4bf905fb,0x8bf904fe,
    0x7fc403fc,0x320bf700,0x6fd8805f,0x3ee04e80,0x7f4bf905,0x4009fb04,
    0x2bf905fb,0x2bf905fb,0x2bf905fb,0x2bf905fb,0x4bf504fc,0x3ff101eb,
    0x1fd00ffc,0x1fd00ffc,0x1fd00ffc,0x1fd00ffc,0x1fd00ffc,0x00f98220,
    0x8ffc03ff,0x3ff101cc,0x6cdfb100,0x3a07fe3f,0x642fa82f,0xb0bfb04f,
    0x91fe609f,0x417f609f,0x8bfb01ff,0x7dc1fdff,0x2203fa26,0x007fc0ff,
    0xa7ec13f2,0x4bfd06fa,0x09fb04fc,0x0fea0fd8,0xafd400ff,0x4bfd06fa,
    0x8bfb01ff,0x3f200efb,0x741bea07,0x101fd15f,0x03f801ff,0xaff41bea,
    0xff880ff8,0x2a1ff106,0x2abfd06f,0x2abfd06f,0x2abfd06f,0x26bfd06f,
    0x6c7f907f,0xd8ff705f,0xd8ff304f,0xd8ff304f,0xd8ff304f,0xd8ff304f,
    0x00ff304f,0x09fb03dc,0x06fd9fea,0x07f44ff7,0x3fd87fc4,0x07fe0ffa,
    0x5ff313e2,0xf985ffb8,0x227f4c3f,0x7fdc2ff9,0xf907fb05,0x44ffc8bf,
    0x27e41ffb,0x0ff42fdc,0xf30bfe20,0x70bfe63f,0x17fc4bff,0xf9807fe6,
    0xdf12fcc3,0xf9a7e400,0xb2ffdc2f,0x8bff907f,0xfb81efe8,0x0bfe602f,
    0x27e4bff7,0x2fc02fdc,0xfb85ff30,0x360ffa5f,0x4fd84fff,0xff70bfe6,
    0xf70bfe6b,0x70bfe6bf,0x0bfe6bff,0x27ecbff7,0x5ff51be6,0x7cc4fe98,
    0x227f4c3f,0x7f4c3ff9,0x261ffcc4,0x1ffcc4fe,0xff313fa6,0x004fe987,
    0x7fcc07ee,0xf51ff542,0x43fea85f,0x25fb84fc,0x87bf23fd,0x21b607fc,
    0xeffceffa,0x9fff905f,0x3ea0bffd,0x5feffcef,0xd97bff50,0xff98dfbf,
    0x84fffcdf,0xfeccfff8,0x1effe81f,0x373ffee0,0x6ffec4ff,0x5c5fcfec,
    0x4ffdcfff,0x7f407ec0,0xd9007f91,0x6ffec5ff,0x2a5fcfec,0xdfecbdff,
    0xffff886f,0x803fffee,0xcfecdffd,0x33ffe25f,0xd801ffec,0xffd87def,
    0x25fcfecd,0xffdbdffa,0xfccefe9b,0xcdffd86f,0x3f65fcfe,0x5fcfecdf,
    0x3fb37ff6,0x37ff65fc,0x265fcfec,0x1ffdbdff,0xfeceffc8,0x9fff906f,
    0x3f20bffd,0x05ffecff,0xffd9fff9,0x33fff20b,0xff905ffe,0x00bffd9f,
    0x44ecff98,0xffecfffb,0xebeffc85,0xfff885ff,0x361ffecc,0x3bffe23f,
    0x3ee02fff,0xbfffda80,0x3faa05f9,0x6d403eff,0x05f9cfff,0x47bfff6e,
    0x36fba1ff,0x2602efff,0x01dffffe,0x9807ffd3,0x901cfffe,0xbf15dfff,
    0x39fffd30,0xd303f980,0x3a009fff,0xfffc83ff,0x6dc5f8ae,0x3ff1efff,
    0xdfffd930,0x7fe40059,0x4c5f8aef,0x01dffffe,0x207df910,0xf8aefffc,
    0x6fffedc5,0x3bfff621,0xdfff900b,0xffc8bf15,0x645f8aef,0x5f8aefff,
    0x4577ffe4,0x7fff445f,0x3ffea02d,0x7f5403ff,0x75403eff,0x5403efff,
    0x403efffe,0x03efffea,0x1f7fff54,0x1ceeb800,0x3ffffea8,0x3bfffee0,
    0x3fffa603,0x21fec1df,0x03efffe9,0x03101fcc,0x00026200,0x06200031,
    0x00260640,0x22001988,0x80062000,0x00c40009,0xb9801950,0x09800000,
    0x00006200,0x09800013,0x00066200,0x80026000,0x00088018,0x00980026,
    0x09800260,0x10006200,0x09880013,0x0004c400,0x31000262,0x00988001,
    0x04c00000,0x40013100,0x22000198,0x00260009,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x10000000,0x2604a859,0x2005511a,0x550002a9,0x01aa8803,
    0x0aa86a60,0xa8003300,0x2353003d,0x130002a8,0x00055300,0x2aa006aa,
    0x055cc002,0x22f72a00,0x407953c8,0x262003c9,0x80001310,0x4000aba8,
    0x40000bb9,0x1c81aca8,0x98026a60,0x20131001,0x0009bba8,0x0005654c,
    0x5cc00660,0xa88000ab,0x057001ac,0x2b80b220,0x98039500,0x0aa8800a,
    0x70059100,0x004c4059,0x0dd0bea0,0x07f9a7e4,0x003fff98,0x64007fd4,
    0x3fe6006f,0x6c406fa8,0x400befff,0xc803b8d8,0xa80ff34f,0x02f99cfe,
    0x001fffcc,0x26003fea,0xffa801ff,0x4400dfff,0xfbffffff,0x3201ff36,
    0x57ea003f,0xb50005fa,0x805fffff,0xffffffda,0x3fb2001c,0xf72fffff,
    0xfffff507,0x001ff107,0xffe887fb,0x400dffff,0xeffffffb,0x1ff88003,
    0xfffffb70,0xec8801df,0x02efffff,0x7ec013f6,0x1009fb00,0x7ffd40bf,
    0xfdf902df,0x01fb009f,0x7dc09fb0,0x10fe4004,0x9a7e40bf,0x57f4407f,
    0x3fa001fe,0x00bf6002,0x00ffefa8,0x3f2fbfa2,0x499d406f,0xff34fc80,
    0xfffcee80,0x2bfa200f,0x3fa001fe,0x017ee002,0xfb539ff3,0x8aefe809,
    0x3fa6fffb,0x4001ff02,0x00bf55fa,0xb55bff30,0x3bea05ff,0x07fae61b,
    0x2af7ff60,0x84feffdb,0xffdbeffa,0x4007fc45,0x3ffe63fd,0x0effecbd,
    0xabdffe88,0x4004fffc,0x7f441ff8,0xfecbbcef,0x3bff602f,0x43fffdbc,
    0xb804fffa,0x4fffa82f,0xf900fd80,0x85ffb7ff,0x803fa4e8,0x7d9002fb,
    0x20027dc0,0x001fcc7d,0xf9a7ec00,0x04fa800f,0x20037440,0x7e401ffc,
    0x200ff445,0x00001ece,0x05d43910,0x7fcd3f60,0x004fa800,0x3f601fc8,
    0xc807fc43,0x5cdff05f,0x005fa85f,0x05faafd4,0xfc84fe80,0xd804fa86,
    0x07bf601f,0xff83ffd4,0xf10ffcc3,0x47fb001f,0xbfd105fd,0x2a03dfd0,
    0x3e2004ff,0x017ff41f,0xdfb01ffb,0xd87ff201,0x7cc04f8b,0x09f17b04,
    0xff302fb8,0x200ff987,0x13e606f9,0x09f70000,0x0fdc5f80,0x00000000,
    0x00000000,0x501ff100,0x001500bf,0x00000000,0x00000000,0x3fe03fe0,
    0x2e03fb00,0xb03fe26f,0x5fa8005f,0xf8800bf5,0x20ff881f,0x355554fa,
    0xfc81fd81,0x17ffcc06,0x3f603fe6,0x2003fe23,0x807fe3fd,0x07fdc7fb,
    0x400ffea0,0x3fee1ff8,0x643fd800,0x3fa200ff,0x7404f885,0x204f8806,
    0x1bf204f9,0xefc82fe4,0x1001ba00,0x027dc013,0x33bf332e,0x00ccfecc,
    0x0017bb95,0x0017bb95,0x0017bb95,0x0017bb95,0x2017bb95,0x510004fc,
    0x88059bb9,0x402cddca,0x02cddca8,0x166ee544,0x33772a20,0x6ee54402,
    0xa87f882c,0x403fe05f,0x11fec6f9,0x6e5440ff,0xbf55fa8b,0x4c06f76e,
    0x9f0100ff,0x1ffffffc,0x80bfe1b6,0x4c6fdef8,0x447f907f,0x3fd800ff,
    0xcd801ff1,0x2005ff10,0xff1006fb,0xa801ff43,0x4017fc4f,0x04f884ea,
    0x3e2007f2,0xfd01ba04,0x4c1fe607,0x1fc80eeb,0x701fe400,0xfffd809f,
    0xffffffff,0x7ffec40f,0xfb102fff,0x205fffff,0xffffffd8,0xffffb102,
    0x3f6205ff,0xd82fffff,0x7d40042f,0x05ffffff,0xfffffff5,0x3fffea0b,
    0xff505fff,0x20bfffff,0xfffffffa,0xfffff505,0x87f88bff,0x0ff101fe,
    0x9bea37c4,0xfff104fb,0x2abf9dff,0xfffffddf,0x001ff883,0x3227c3f3,
    0xf983ea0f,0x2a3ba206,0x217f41ff,0x3fe21ff8,0x3a3fd800,0x3fd4005f,
    0x001ff300,0x07fc3ff1,0x00ff3000,0x2a09f100,0x09f1003f,0x3ff007f2,
    0xa807fe20,0x001fd43f,0x9f7017ec,0xafd99880,0x819df999,0xfd98befe,
    0x8befe81f,0xfe81ffd9,0x1ffd98be,0xd98befe8,0xbefe81ff,0x741ffd98,
    0x4fffe99f,0x2637ff10,0x7fc42ffb,0x85ff731b,0xf731bff8,0x1bff885f,
    0xf885ff73,0x5ff731bf,0x731bff88,0x23fc45ff,0x3fe206fa,0xff0df300,
    0x7f407fa1,0x5fffb8ae,0xb319fff5,0x07fd03ff,0xa89f1ee0,0xfb8be21f,
    0x7c47fa05,0x4e7fd42f,0x7fc44feb,0x2a3fd800,0x400acfff,0x7fc006fb,
    0x31ff8801,0xfa8000ff,0x4f880006,0x22005f88,0x803fa84f,0x3ff503fe,
    0x21fc8fea,0xf98005f8,0x013ee00f,0x81fcc7d8,0x5fb80ffa,0x7dc07fd4,
    0x5c07fd45,0x407fd45f,0x07fd45fb,0x2ffe2fdc,0x86fffeff,0x89fb05fb,
    0x89fb05fb,0x89fb05fb,0x89fb05fb,0x89fb05fb,0x49fb05fb,0x01fec7f8,
    0x37d407fe,0x837c5fe4,0x5ff885fb,0xdf705ff5,0x6677f64c,0xcf8bb01c,
    0x4e86ea99,0x0fec13f2,0x3fe20ffa,0xff883fff,0x543fd800,0x1cefffff,
    0x74005fc8,0x1ff8803f,0xc8000df7,0xf880005f,0x2000fd84,0x02fc44f8,
    0xffb06fc8,0x2ffffec5,0xf10003f6,0x74fb809f,0x2e2fc0ff,0x209fb01f,
    0x13f60ff8,0x9fb07fc4,0xfd83fe20,0x6c1ff104,0x41ff104f,0x3aa1dfff,
    0xb804c43f,0xb804c45f,0xb804c45f,0xb804c45f,0xb804c45f,0xb804c45f,
    0xf91fe25f,0x827e401d,0xbef986fe,0x205fb03f,0x40df55fc,0xffff70ff,
    0x13a05fff,0x019fffff,0x641ff4bb,0x4c4fd82f,0x2ffecffe,0x6c007fc4,
    0xffdb883f,0x27ec4fff,0x2013f600,0x0bf91ff8,0x77777774,0x00009fb1,
    0x205f706a,0xfd83501a,0x3e6054c0,0xfff711cf,0x5c0ab885,0xd103502f,
    0x29f700bf,0x89f107fb,0x59fd00fd,0x3ff55555,0x555567f4,0x3fa1ffaa,
    0xfaaaaaac,0x2ab3fa1f,0x21ffaaaa,0xaaaaacfe,0x3ffe1ffa,0x4407fb80,
    0x405ffdca,0x05ffdca8,0x2ffee544,0x3ff72a20,0x7ee54405,0x6e54405f,
    0x11fe25ff,0x3e203dff,0xdffb30cf,0x403fbfa0,0x2bf500ff,0x47fa04fa,
    0x999ff998,0x9cf8d900,0x6c7f03fb,0xe81fe44f,0x30bfe62f,0x07fc47fd,
    0x4c01fec0,0xf90effeb,0x03fe8009,0xdf71ff88,0x7fffffc0,0x000bf71f,
    0x6c13e600,0x45f7004f,0x5c6ffffa,0xdcffefff,0x09f3001f,0xbfd113f6,
    0x5453ee00,0x567e54c2,0x42aaffaa,0xffffffff,0x3ffe2fff,0xffffffff,
    0x3fffffe2,0x3e2fffff,0xffffffff,0x3fffe2ff,0x2fffffff,0x7fc417fa,
    0x7fffecc0,0xfd985fef,0x85feffff,0xefffffd9,0xfffd985f,0xd985feff,
    0x5fefffff,0xfffffd98,0x21fe25fe,0xf502ffe8,0xdfbffdff,0x4417fee0,
    0x557e607f,0x20bf604f,0x0fa800ff,0x4c1fb93e,0xfb97f21f,0xfc83fe04,
    0xff8df705,0x002fe801,0x6fa97fdc,0x400ffc00,0x1ff31ff8,0x3e666660,
    0x000ff51f,0x3203ba00,0x5f9804ff,0x1fdc3be2,0x74f7ffa6,0x01dd001f,
    0x5fc89ff9,0xb013ee00,0xffffffff,0x7fc1ffff,0x9999999a,0x266bfe09,
    0x20999999,0x99999aff,0x2bfe0999,0x99999999,0x2666bfe0,0x3a099999,
    0x987fe02f,0xf51bceff,0xbceff98b,0xff98bf51,0x8bf51bce,0x51bceff9,
    0xceff98bf,0xf98bf51b,0xbf51bcef,0xff903fc4,0x37fb2605,0xff105fa9,
    0x9807fc05,0x740bf55f,0x803fcc2f,0xfd13e2f8,0x5fea3dc1,0x1fe605fa,
    0x0ffc05fd,0x3ff005fd,0x3f20072e,0x2001ff14,0xf88087f8,0x8007fe0f,
    0x01ff11ff,0xc803bf10,0x4fdfa81f,0x04c0ee80,0x7fc007f5,0xa81fc800,
    0x0ff44fdf,0x404fb810,0xb999fe98,0x7f4199bf,0x01ff4003,0xd000ffa0,
    0x3fe8007f,0x8827ec00,0x413fa0ff,0x827f45fc,0x827f45fc,0x827f45fc,
    0x827f45fc,0x827f45fc,0x01fe25fc,0xfa800bf7,0xfd01fe05,0x7d57ea03,
    0xf703fe06,0xf8774009,0x5f8a7cc4,0x405fcfe8,0x00ffc5fd,0x01fe43ff,
    0x27e43fe2,0x9ff2fdc0,0xf997f600,0x7ec7f887,0xf87fe005,0x0ffc803f,
    0x3e60fe60,0x7e404f8d,0x107f4401,0x201be601,0x8df983f9,0x407fe24f,
    0x013ee6fb,0x807ee2fc,0x1df306fd,0xef9837ec,0x7cc1bf60,0x4c1bf60e,
    0x41bf60ef,0x1be60ef9,0x07fe37dc,0x07fe2fec,0x07fe2fec,0x07fe2fec,
    0x07fe2fec,0x07fe2fec,0x4ff12fec,0x3237cc08,0x207fb01e,0x27e404fb,
    0x0ff55fd8,0x03fa1fea,0x098ee880,0x80ef8988,0x2e00effa,0x81fec1ff,
    0x3bee0ffa,0xf99ff200,0x31fec01f,0xffa803ff,0xf307fe21,0x805ffa8d,
    0x3fea1ff9,0x817fe602,0x15f886e8,0x01fcc09f,0x5fb87fe6,0xf8807f90,
    0x9f16f886,0x9fd04fe8,0x7cc027dc,0x3e203ec4,0x21ff40bf,0x7f40bff8,
    0x205ffc43,0x5ffc43fe,0x3e21ff40,0x41ff40bf,0x1ff4c4fe,0x3ff20ff6,
    0x7e41fec5,0x641fec5f,0x41fec5ff,0x1fec5ffc,0x3f62ffe4,0x225ffc83,
    0x641df37f,0x2077dc3f,0x74c20ffb,0x17fcc00f,0x7fd57fee,0x3617f4c5,
    0x0c09abcf,0xf300f744,0x3ffe201d,0x81ffd883,0x7f442ffa,0x40f7f445,
    0x7ff42ffb,0x07fec40b,0x7e40ffea,0x10cfe82f,0xbff90bfd,0x7fecc415,
    0x057fe41f,0x401dfd71,0xeefc80fd,0x6f884ffe,0x74077d40,0x402fdc0f,
    0xeefc80fd,0x3fee4ffe,0x43ff910a,0x2fa804fb,0x7fdc037c,0x706ffdcf,
    0xdffb9fff,0x373ffee0,0xfff706ff,0x2e0dffb9,0x6ffdcfff,0xfb7dff30,
    0x7bff509f,0xa8dfbfd9,0xdfecbdff,0x5effd46f,0x546fdfec,0xdfecbdff,
    0x5effd46f,0x546fdfec,0xdfecbdff,0xfd9fe26f,0x440ffdbe,0xfffdeffe,
    0x01fffe41,0xffceffa8,0xdfdf55fe,0xfb8bffb9,0xefffffff,0xefe882ff,
    0x0effdaac,0xfffbfd10,0x03fffdbd,0x7edeffe4,0xfff880ef,0x83fffeef,
    0xfeffffd8,0xff701eff,0x5fffdbdf,0x3fbffea0,0xfff700ff,0x9ffffddf,
    0x3bfff601,0x201ffffd,0x999502fa,0x1fb07df9,0xf702fdc0,0x01ffb7bf,
    0x99502fa8,0xfd87df99,0x42fffdff,0x0fc804fb,0x74c013e2,0x200befff,
    0x0befffe9,0x3bfffa60,0x3ffa600b,0x3a600bef,0x200befff,0x04efffd8,
    0x47bfff6e,0x7fedc1ff,0xb83ff1ef,0xff1efffd,0xefffdb83,0xfdb83ff1,
    0x83ff1eff,0xf1efffdb,0xf91fe23f,0x2a2039ff,0xb81cdfec,0x6d4004ef,
    0x55f9bfff,0x7ffff59f,0x7335bf30,0x407ffffd,0x1beffec9,0xfd98fec0,
    0x801bdfff,0x04fffffa,0x77fff64c,0x7ff5c02c,0x4c00ceff,0x1bdfffdb,
    0x6ffffd40,0x7f6dc401,0xb801deff,0x0cfffffe,0x88017e20,0x202fa84f,
    0x5ffffff9,0x0e77fed4,0x88017e20,0xdffb504f,0x009f703b,0x00013031,
    0x01300013,0x30001300,0x00130001,0x0c400130,0x4000c400,0x01880018,
    0x88001880,0x00180001,0x10000000,0x40088003,0x00066200,0x80cc0011,
    0x26200018,0x00130000,0x80002620,0x00310001,0x10000c40,0x32a00133,
    0x640d4000,0x55554c03,0x001101aa,0x2a000654,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x98005dcc,0x19809881,0x2204c400,
    0x26603309,0x00199999,0x166ee544,0x037b7300,0x99999988,0x220aa600,
    0x10260009,0x20013001,0x99999998,0x40999999,0x81310019,0x0adc89c9,
    0x2007ba60,0x09999999,0x26666660,0x21550019,0x902642a8,0x00eea809,
    0x00def654,0x26666662,0x220aaa00,0x99999999,0x20019999,0x20554418,
    0x40aa8838,0x54c00019,0x06602aa1,0x26666200,0x55100099,0x4004cc00,
    0x02aa8019,0x22035510,0x805510aa,0xffffffda,0x90ff301c,0x007f98df,
    0x37ea27d4,0xfff887f8,0x1dffffff,0x7ffffd40,0xffd805ff,0xfd00ffff,
    0x407fffff,0x05fa83ff,0x5c7d1760,0x00fb9bee,0xffffff88,0xffffffff,
    0x6c00ffc3,0x7f5fd43f,0x3fea00ff,0xfffff801,0xfff102ff,0x3bffffff,
    0x3fdafe40,0x07f81fe2,0xfd007fdc,0x407fffff,0x4ffffffd,0xb85fff50,
    0xffffffff,0x441fffff,0x45d8bdfc,0x837cc6fc,0x03fe25fe,0xa8ff9800,
    0x007f986f,0xffffffe8,0x4ffe8803,0xc80bf900,0x0ffcc06f,0x200efc80,
    0x405fd4fc,0x2e61befa,0x87f981fe,0x03fcc6fc,0xbf513ea0,0xdff10fd1,
    0xffffdddd,0x46ffe209,0x3602ffb9,0x5fc98bef,0x99999970,0x3617ee03,
    0x06eeeffe,0x43ff7fe6,0x6fffddf8,0xfddff700,0xdddddddf,0x801ff85d,
    0x7ffd43fd,0x7fd404bc,0xccccc801,0xdff101cc,0xffffdddd,0x27eff409,
    0x07f81fe2,0xfc807fdc,0x03ff511d,0x3333332e,0xff9ff882,0x3bbbbaa0,
    0xeeeeeeff,0x7ff67dc1,0x303fe23f,0x43fa20df,0x40000ff8,0x980ffefa,
    0xccb8007f,0xd801cccc,0x8803fdbf,0x5ff102ff,0x1003fd80,0xbfd003ff,
    0x027d409f,0x1fe60fec,0x0ff31722,0x7d44fa80,0x1ff10d35,0x20bff220,
    0x09fb05fb,0x0ff41bea,0x80ee8000,0x6eeeffed,0x3056dc40,0x800aa219,
    0x00df73ff,0x7777ff5c,0xffeeeeee,0x00bfea6e,0x10000000,0x3f2201ff,
    0x0dff102f,0x03fc0ff1,0x640ff400,0xfd00003e,0xb003bea7,0x88ee009f,
    0x4c17e41b,0x453e606f,0xc80000ff,0x0ff301ff,0xfb800000,0x7003ff16,
    0x017f20df,0x7dc00bf1,0x0bff1002,0x795127d4,0x3e61fd83,0x7f987b07,
    0x2a27d400,0xff10995f,0x40ffb801,0x0bf70098,0x054c0ff2,0x00bceca8,
    0x0017ea00,0xfb800000,0xc801bee7,0xffffffff,0x7fffffff,0xca801fea,
    0xca800bdd,0x3e200bdd,0x07fdc00f,0xf03fc400,0x0dedcc0f,0x4000dfd8,
    0x02cddca8,0x04fd8000,0xfb700000,0xff10099f,0x79bddddd,0x3e600001,
    0x059301c7,0x00000b26,0xff987fd0,0x00000001,0xe893e000,0x360efdef,
    0x3ae1fe66,0x2003fcc0,0x46fd44fa,0x001ff104,0xca8807fd,0x3fd05ffd,
    0xfffe9800,0x4e4c2fff,0x3ea0adc8,0x4037b955,0x072a01ca,0x3ee3ff80,
    0x01ff8006,0x37d43fd8,0x7fffec40,0xffb102ff,0x2205ffff,0x3fe800ff,
    0x56e44e4c,0x3e20ff10,0xfffffb07,0xdfffa81f,0x7ffd400b,0x2a05ffff,
    0x13f6001c,0x3b2a3930,0x3a0e542c,0xca87ffff,0xffffff11,0x985fffff,
    0x059d951c,0x7036cff3,0x5d7ea09f,0x703c981c,0x41ff5019,0x999904fd,
    0x21999999,0x59d951c9,0x99999990,0x47e61999,0x93e21ee8,0x10ff30fa,
    0x800ff301,0xbf508cfa,0x800ff880,0xffd985fc,0xf05fefff,0xefe8001f,
    0x21ffda8b,0x0fffebfa,0x3fff77ea,0x07f905ff,0xfb801fe4,0x40037dc7,
    0x3fd801ff,0x7f402fd4,0x1ffd98be,0xd98befe8,0x0ff881ff,0x7d45fc80,
    0xf10fffeb,0x361fe20f,0x5fc98bef,0xeffffe98,0x31bff882,0x3f205ff7,
    0x013f6003,0xffff97f5,0x221fe4bf,0xfc819efa,0x3335ff13,0x43ffd753,
    0xffffcbfa,0x747fcc5f,0x413ee02f,0x907f95fa,0x07f881ff,0x07fcd3f6,
    0xfffffff8,0x97f50fff,0xf8bfffff,0xffffffff,0x1fccf70f,0x265f10cc,
    0x1fe6007f,0x23fdf500,0x7fc405fa,0x4c6fb800,0xf51bceff,0x8007fe0b,
    0x4df706fb,0x44bcfffa,0xc99cfffa,0x03fc82ff,0x7f400ff2,0x40037dc3,
    0x99999aff,0x543fe999,0x07fd405f,0x3fea2fdc,0xf885fb80,0x46fb800f,
    0x24bcfffa,0x8ff107f8,0x03fd06fa,0x0ffffae6,0x13f60bf7,0xfb001fe4,
    0xcfffa809,0xf92ffb89,0x640df307,0x401ff13f,0x3fea5fe8,0x2ffb89cf,
    0x007fbfe6,0x57ea09f7,0x2ffe86fa,0xff3027d4,0x4cc07fb1,0x4ff99999,
    0x2273ffea,0x26662ffb,0x24ff9999,0x4003ee5d,0x400ff34e,0x87fb87f9,
    0x17ea5ffa,0xaabffba8,0x747f982a,0x20bf904f,0x457302fe,0x47fe02fe,
    0x3ea02ffa,0xc84fd82f,0x00ff203f,0xff703fea,0xdfffffff,0xfffffff0,
    0x87ffffff,0x27ec05fa,0x3f60ff88,0x541ff104,0x2aaabffb,0x7fd47f98,
    0x301ff102,0x303fc8ff,0xdfb10015,0xbf700988,0xd800ff20,0x17fd404f,
    0x83fca7e4,0x4ff206f9,0x7dc00ff8,0x320bfea6,0x03bfe64f,0x7d413ee0,
    0xef883fe5,0x2017ec4f,0x0006fefc,0x2ffa8bfb,0xfd804fc8,0x00f92745,
    0x007f9aec,0x1fee1fe6,0x0bf517f2,0x7ffffffc,0x20ff986f,0x0bfb01ff,
    0x27ec13f2,0x97ec01ff,0x3fd407fa,0x3fc85fb8,0x3a00ff20,0xffffb83f,
    0xf86fffff,0xeeeeeeef,0x7d43ffee,0x5567f405,0x21ffaaaa,0xaaaaacfe,
    0x3ffe1ffa,0x986fffff,0x81fea0ff,0x7fb82ff8,0xe8800ff4,0x00ff880f,
    0x17ff72a2,0xff901fe4,0x5fffffff,0xbf707fa8,0xffb70ff2,0x227f9079,
    0x3fd400ff,0x97ee0ff5,0xf7000ffb,0xfd97ea09,0xf1befee2,0xfffff30f,
    0x09ffffff,0xfa81df90,0xc80bf707,0xf73640ef,0x7ccfe003,0x21fe6007,
    0x27fec2a8,0xf99817ea,0xa80999af,0x641fec7f,0x5ff105ff,0xff11ff98,
    0xdf53fc80,0xf505fa80,0x6407f90b,0x07fd403f,0x7c0037dc,0x43fd801f,
    0x7ffc05fa,0xffffffff,0x3fffffe2,0x262fffff,0x0999aff9,0x37d47fa8,
    0x4c1dff10,0x007fc7ff,0xbf709f90,0xfffffb30,0x0ff20bfd,0xefeccca8,
    0x37d41ccc,0x87f95fa8,0xc86ffffe,0x801ff13f,0x41bea6fd,0x0fff95fa,
    0xfa827dc0,0x8fd93ea5,0x30bf30fe,0xdffddddd,0xfb807ddd,0x506fa80f,
    0x07fdc0bf,0x83fa87d4,0x7cc7e67c,0x01fe6007,0x7d44fdf8,0x007fc405,
    0x3fea2fdc,0x6fdfecbd,0x373ffee0,0x03fe24ff,0x0bf52fd8,0xbf505fa8,
    0x7e407f90,0x7ffff403,0x006fffff,0xfd801ff8,0x3e02fd43,0x999999af,
    0x26bfe099,0x09999999,0x5c007fc4,0x102fd45f,0xffdbffff,0x001ff8ff,
    0x3b33ffe2,0x77fcc1ff,0x20bf51bc,0x3f6003fc,0xa82fd404,0xf307f95f,
    0xf89fe40d,0x93fe600f,0x2bf505fa,0x2e007fdf,0x44bf705f,0x97e5be6f,
    0xbf5002fc,0x01ffa800,0x17ea0bf5,0xf880ffd4,0x2e233f62,0x7f99ee2f,
    0x801fe600,0x2fd44fa8,0x2003fe20,0xffdb84fd,0x403ff1ef,0x81cfffe9,
    0x43fa01ff,0x2fd405fa,0x3fc85fa8,0xfa80ff20,0xffffffff,0x1ff8006f,
    0x7d43fd80,0x001ff405,0x22000ffa,0x4fd800ff,0xff102fd4,0xfd3dfff3,
    0x57302fe8,0xdffffe98,0xf904fe81,0x800ff20b,0x2fd404fd,0x07f95fa8,
    0x9fe40df3,0xcccccff8,0x7d46ffec,0x26abf505,0x17ee007f,0x27f62fe4,
    0x3a9f54f9,0xaaaa880f,0x1aaaaefc,0x5405ff30,0x30bf505f,0x0ee805ff,
    0x49ffffb1,0x01fe65f8,0x54007f98,0x202fd44f,0x7cc00ff8,0x3a06202f,
    0xd80dd003,0x54ff304f,0x82fd405f,0x03fc85fa,0x4fd80ff2,0x2001bee0,
    0x3fd801ff,0x37ec0350,0x3f60ef98,0x881df306,0x7fcc00ff,0xf102fd42,
    0x3f20044f,0x2a09fb04,0x80ffc03f,0x07f905fd,0x2a027ec0,0x32bf505f,
    0x206f983f,0xffff13fc,0x19ffffff,0xbf505fa8,0xf5003fcc,0xf717fa0d,
    0x3be25f77,0xfff305f8,0xffffffff,0x809ff109,0x8bf505fa,0xe8804ff8,
    0xf106a20e,0x003fcc1d,0xfa800ff3,0x2202fd44,0x37ec00ff,0x8017c400,
    0xff300efc,0x2a4fe987,0x82fd405f,0x03fc85fa,0x7fcc0ff2,0x001bee00,
    0x3f6007fe,0x103ffd03,0x3fe817ff,0x3a05ffc4,0x00ff883f,0x2fd437ec,
    0x8800ff10,0x0ffcc2ff,0x3604fd98,0x05ffc83f,0x7ec007f9,0xa82fd404,
    0xf307f95f,0xf89fe40f,0x9aaaaabf,0x2a0bf500,0x801fe65f,0x7fdc2ff9,
    0x07eefcc5,0x4c07f9fd,0x99efb999,0x2ff44099,0xfa82fd40,0x8017fa25,
    0x3e601ee8,0x003fcc0e,0xfa800ff3,0x2202fd44,0x75cc40ff,0xf88000ff,
    0x3fb8030d,0x3b3fff20,0x02fd45ff,0x2fd417ea,0x7f901fe4,0xf7017f60,
    0x03ff000d,0x7d407fb0,0xb9fff704,0x3fee0dff,0x106ffdcf,0xeb9881ff,
    0x05fa80ff,0x2e001fe2,0x4ffdcfff,0xf500fe80,0xfbfd97bf,0x800ff20d,
    0x2fd404fd,0x07f95fa8,0xf90dfff1,0x0003fe27,0x2fd417ea,0xfd800ff3,
    0x5fcfecdf,0x7dc6ffe8,0x3ea000ff,0x005fd805,0x97ea0bf5,0xe88005fd,
    0xffdaacef,0xffff980e,0x34ffffff,0xffffffff,0x227d49ff,0x7fc405fa,
    0xffffffff,0x3f60002f,0xfee987ff,0x7ff5400f,0x05fa83ef,0x5fa82fd4,
    0x3f203fc8,0x401ff983,0xfffffffb,0x0ffc6fff,0x3221fec0,0x3a602fec,
    0x200befff,0x0befffe9,0xffffff10,0x205fffff,0x1fe205fa,0x7fff4c00,
    0x3ffb201c,0x7ffedc05,0xf903ff1e,0x027ec007,0xafd417ea,0xffd503fc,
    0xff13fc81,0x0bf50001,0xfff997ea,0x4fffffff,0x4577ffe4,0x43ffc85f,
    0x54006ff9,0x77fdc05f,0x3eeeeeee,0x57ea0bf5,0xeeeeeffb,0x32603eee,
    0x201beffe,0xfffffff9,0xfff34fff,0x9fffffff,0x17ea27d4,0xffffff10,
    0x00005bdf,0x32606f2a,0x262000ad,0x5017ea00,0x217ea0bf,0x0ff203fc,
    0x3ee017f6,0xffffffff,0x400ffc6f,0x6ff4c3fd,0x00026002,0x3fe20026,
    0x2defffff,0xd102fd40,0x0188000b,0x40037b70,0x1fe40018,0xa809fb00,
    0x32bf505f,0xfc80403f,0x0001ff13,0x97ea0bf5,0xfffffff9,0x01304fff,
    0x3e07fe60,0x2fd4003f,0x3ffffee0,0xf54fffff,0x7dd7ea0b,0xffffffff,
    0x0011004f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x98664400,0x059d951c,0x1aa8b2e6,0x00d4c2aa,
    0x1a985540,0x98800666,0x4cccccc1,0x09880199,0x40026200,0x13530019,
    0x02e00000,0x814c0133,0xc88bdca8,0x372e5932,0x5e54c00b,0x01988002,
    0x26666660,0x44262009,0x26660009,0x88019999,0x20013109,0x99999998,
    0x10199999,0x4ccc3795,0x99999999,0x26666609,0x20999999,0x21310019,
    0x20066098,0x00cc0998,0x22002660,0x26666609,0x26201999,0x2004cc00,
    0x00266098,0x019884cc,0x99882620,0x99999999,0xf88b2e09,0xff97f51f,
    0xffc8bfff,0x2e3fe66f,0x0017ee5f,0x9afdcbfa,0xf8803fff,0xffff11ff,
    0x7dffffff,0xd801bf20,0x07fa804f,0x6fffffdc,0x7fffff40,0x742fffff,
    0x882ffc0f,0xffff887f,0x9f55faef,0x05fffffb,0xdfffffb1,0x17fec005,
    0x7ffffcc0,0xfb84ffff,0x2200bf54,0xffffffff,0x2bf501df,0xff7005fa,
    0xffffffff,0xff883fff,0xffff12ff,0xffffffff,0x7fffffc5,0x3e4fffff,
    0xb3fd801f,0x301fe67f,0x3fcc1dff,0x00bff100,0x3ffe27fb,0xcfffffff,
    0xf1037dc0,0x17fc01ff,0xfc803ff7,0x200bfea6,0x3fee2ff9,0xffffffff,
    0xe893fa6f,0x39fff51e,0x3e25ff71,0x6fdc2adf,0x017ee0ef,0xafdcbfa0,
    0xa806fff9,0xbff11fff,0xffd99999,0x03ff309f,0x8803ff10,0x3ff207ff,
    0x20fffdbe,0xfffffffe,0x07fc1fff,0x3ff417fe,0xffb8eff4,0x19fff55f,
    0xfd83ff91,0x1ffeb9cf,0x06fff880,0xeeeeff98,0x2e0efffe,0x200bf54f,
    0xeeeeeff8,0xfa84ffff,0x2a00bf55,0xeffeeeee,0x6c1eeeee,0xff10abef,
    0xdddddddd,0x777fc5dd,0x3eeeeeee,0x3f6007fe,0x1fe67fb3,0x4c0eff98,
    0x3fe2007f,0x89fec02f,0xeeeeeeff,0x3fcc6ffe,0x205fff50,0x06fe87f9,
    0xffb03fea,0x545fe801,0xeeeeeeee,0x0fb66ffe,0xf905ff50,0xfb01fe69,
    0x0009703f,0x1fdff300,0x11fffd80,0x7e4401ff,0x804fe81f,0xffd806fb,
    0x883ff307,0x3f6005fe,0x7fc0ff85,0x23fff4c5,0x5ff885fb,0xdf705ff5,
    0x7ec0ffd4,0xfebfb806,0x303fcc01,0xaa7dc7ff,0x1ff1005f,0x2217fec0,
    0x000bf509,0xfd004fd8,0x003ff105,0xf8003ff0,0xb3fd801f,0x4c1fe67f,
    0x7f980dff,0x3fffe200,0x7c4ff600,0x0ffee00f,0x33f603ff,0x10bf704f,
    0x5ff109ff,0x6409ff10,0xfb8000ff,0x2a08801f,0x2abf707f,0x1740005f,
    0x7fcc0000,0x37e203fc,0x01ff11fe,0xfa83ff88,0x403fe807,0xf907fdfb,
    0x401fea0d,0x3f2a0efa,0x4bfd0ccf,0x6c7feffc,0x2abf902f,0xfd9fe06f,
    0x801ff305,0x404fb9fe,0x2fdc07f9,0x017ea9f7,0x36007fc4,0x17ea00ff,
    0x009fb000,0x3fe207fa,0x01ff8001,0x6c00ffc0,0x3e67fb3f,0x205ff987,
    0x3e2007f9,0x3f605fef,0xc801ff13,0xf81fec5f,0x7fb06f8f,0xfd07fea0,
    0x417fd409,0xa8001ff9,0x4bb003ff,0x2bf506fa,0x1e4c05fa,0x951ca9dc,
    0x072a039b,0x40df3ff3,0xf11feafa,0x09fb001f,0x7c403ff1,0x27be600f,
    0x205d707f,0x7c400ff8,0x7fffe41f,0x3ea9fd1f,0x7fc7f8bf,0x3eabf500,
    0x6547fa05,0x9803fe01,0x980ff17f,0x737d407f,0x2617ea9f,0x01ff10cc,
    0x9e4c7fd0,0x59d955fa,0x7013f600,0x4459bff9,0xff8001ff,0x00ffc001,
    0x33fd9fec,0x05ff98ff,0xf1003fcc,0x3605ff3f,0x801ff13f,0x42fdc7fa,
    0xf01fd5f9,0x877ec03f,0xefd806fc,0x40027f40,0x36004ff9,0x7d417ea6,
    0xfa80bf55,0x7ed7e405,0xfc84ffff,0x0febfcc3,0x23fd1fb0,0xff800ff8,
    0x6409f902,0x447f404f,0xff70007f,0x3109fb00,0xa7ec33ff,0x44ff10ca,
    0x557e607f,0x00bf604f,0x3f2037d4,0xf980bfa4,0xf727e407,0xff317ea9,
    0x4007fc47,0x557ea5fb,0xfffffddf,0x404fd804,0x24fffffd,0xf8001ff8,
    0x0ffc001f,0x3fd9fec0,0x2ffccff3,0x1003fcc0,0x203ff2ff,0x01ff13fd,
    0x3fc47fc8,0x43fc97dc,0x7f4407f8,0x8801ffac,0x01bee4ff,0x001bfa20,
    0xa82fd4dd,0xa80bf55f,0x77fe405f,0x40ffc88b,0xcbfcc3fc,0xfd5f883f,
    0xb003fe23,0x03fcc0df,0x9fe403fd,0xfd0007f8,0x407fa809,0x81fec0ff,
    0x807fc7f8,0x409f55f9,0xff9801fd,0xf70ffc02,0x443fcc0d,0x3ee0efc9,
    0x7fccbf54,0x4007fc42,0x557ea6fa,0xfc98bfff,0x027ec02f,0x826bfa62,
    0xf8001ff8,0x57fc001f,0x99999999,0x267fb3fe,0x00bff37f,0xf8801fe6,
    0x3f617fa7,0xf801ff13,0x741fe85f,0xfa8bf50f,0xffff9805,0x27fea003,
    0xd8001ff8,0x3f4000ff,0x57ea0bf5,0x2fd405fa,0x3a03ff20,0x261fe43f,
    0xf70df37f,0x7fc47fa5,0xfedccccd,0x17f403ff,0xbf3037cc,0x5c003fc4,
    0x1ff400ff,0x7f903fe0,0x3fd1fe20,0x2fd57ea0,0xf9801fd0,0x237d403f,
    0xff301ff8,0xdfffffff,0xbf54fb81,0x3e20bfe6,0x27f9800f,0x05ff55fa,
    0x4fd807fb,0xf103fd00,0xffffffff,0xffff8bff,0x42ffffff,0xffffffff,
    0xfb3fffff,0x3fe7fe67,0x7f9800ff,0xf99fe200,0xf89fec2f,0xffd9980f,
    0x3e22fc81,0x0bf23fc6,0x002ffe40,0x027ef7ec,0x000ffe40,0x20bf53fc,
    0x80bf55fa,0x2fe405fa,0x1fe44fc8,0x40fe9fe6,0x7c47fa7d,0xffffffff,
    0x5fb801df,0xfd103fc8,0x2003fc41,0x7cc02ffb,0x207fc00f,0x8ff102fc,
    0x2bfb04fc,0x6f980ffa,0x4027fcc0,0x04fd83fd,0xfffffff3,0x4fb89fff,
    0x05ff3bf5,0x26003fe2,0x2abf50ff,0x80bf707f,0x3fd004fd,0xffffff10,
    0xf8bfffff,0xffffffff,0x7777fc2f,0xffeeeeee,0x3fe67fb3,0x805fecff,
    0x3e2007f9,0xfb07fe47,0x3ffffe27,0x03ffffff,0x227d49f5,0x003fa1fd,
    0x40037fe4,0x8006fff8,0xf0002ffa,0x5417ea1f,0xa80bf55f,0x827e405f,
    0x21fe44fb,0x88ff27f9,0x7c47fa4f,0xffcaaabf,0x83fe2003,0x5fb00ff8,
    0x32007f88,0x5fc802ff,0x7dc0ff80,0xf88ff102,0xaaffdc3f,0x3fa60dff,
    0x4027f403,0x9999aff8,0x7f980ffb,0x5cdfd530,0xdffdf54f,0x003fe201,
    0x55fa9fea,0x017ea0df,0x3fa009fb,0x001ff881,0x9999aff8,0x0ffc0999,
    0x3fd9fec0,0x3e69fff3,0x03fcc03f,0xbfd0ff10,0xfff89fec,0x0cdeffff,
    0x1fc9be20,0x06f89fdc,0x09ffff50,0x003ff700,0xa804ff98,0x543fe21a,
    0x2abf505f,0x02fd405f,0x27dc0ff2,0x4ff30ff2,0xe8bee6f9,0x301ff11f,
    0x7ec009ff,0x7d417ea2,0xb007f885,0x3fe005ff,0x5c0ff801,0x70ff101f,
    0xffff9fff,0x33fffeab,0x7c404ffd,0xffff7007,0x07ffffff,0xff880ff3,
    0x3fea9f72,0xff104fef,0x54df7001,0x2a0bf55f,0x027ec05f,0xff881fe8,
    0x01ff8001,0x6c00ffc0,0x3e67fb3f,0x00ffdc4f,0x7c400ff3,0xfb2ff987,
    0x0003fe27,0x21fe1fd0,0x009f55f9,0x3ff57ff1,0x007f9800,0xe802ff44,
    0x547fe24f,0x2abf505f,0x02fd405f,0x27dc0ff2,0x8ff30ff2,0xfe8fd0fe,
    0x2a01ff11,0xbf5003ff,0xffd817ec,0xffffffff,0x03ffb01f,0x7c01bea0,
    0x880fd40f,0xfffd307f,0x37eabf57,0x803efffa,0xdfd005fa,0xfddddddd,
    0x900ff30d,0x7d53ee9f,0x881ff99f,0x5fd800ff,0x82fd57ea,0x27ec05fa,
    0xf881fe80,0x1ff8001f,0x400ffc00,0x267fb3fd,0x01dfb07f,0xf8801fe6,
    0xfb1ff907,0x0003fe27,0x0bf35f90,0x400fe5fe,0x03ff66fd,0x4007f980,
    0xfd000efd,0x9817fcc9,0x80bf500a,0x1fe405fa,0x1fe44fb8,0x17f71fe6,
    0xf11fe89f,0x0ffe401f,0x6f88ff80,0x3bbbbb20,0x41eeffee,0x2000efd8,
    0x1ff003fd,0xff100e98,0x57ea1880,0x800225fa,0x7f9803ea,0x260ffc40,
    0x75fc807f,0xfb97ea9f,0x007fc40e,0x5fa8bfe6,0x17ea0bf5,0x3a009fb0,
    0x01ff881f,0x4001ff80,0x3fd801ff,0x41fe67fb,0xff305ff8,0xd03fc400,
    0x3e27fbbf,0x7d40000f,0x1fb03fbc,0x1ff700fd,0x3002ffc4,0x7fe400ff,
    0xf31ec001,0x17fea05f,0xbf5017ea,0xf703fc80,0x7cc3fc89,0x0fdf7cc7,
    0x07fc47fa,0x200dfd10,0x003fbbfc,0x7ec0ff10,0x17f4000e,0x4001fe80,
    0x7d4007f8,0x0000bf55,0x2013f200,0x03fcc4fe,0xa7dcffa2,0x227f45fa,
    0x7ec00ff8,0x5faafd46,0xfd80bf50,0x103fd004,0xff0003ff,0x01ff8003,
    0x27fb3fd8,0x3fea07f9,0x2007f983,0x3fe607f8,0x01ff13ff,0xfddf8800,
    0x0bf7f501,0xfa82ff98,0x0ff3003f,0x000bfea0,0x17fcc3f1,0xbf503fa0,
    0x6405fa80,0xc89f703f,0x743fcc3f,0x11fe87ef,0xffa801ff,0xfedf8803,
    0x0ff10000,0x20003fea,0xffb000ff,0x4406aa3d,0xafd4007f,0x260005fa,
    0x01ff802a,0x3e60ffa8,0x1ffd5107,0x22fd53ee,0x3fe22ff9,0x7ff5cc40,
    0x5faafd41,0xfd80bf50,0x103fd004,0xff0003ff,0x01ff8003,0x27fb3fd8,
    0x7fec07f9,0x1003fcc1,0xfffc80ff,0x0001ff13,0x440dffd0,0x3a203fef,
    0x03ff204f,0x2601fe60,0x4d8003ff,0x65417fcc,0x05fa86fd,0x3f202fd4,
    0xfc89f703,0x7dc3fcc3,0xf11fe84f,0x1ffb001f,0x00bffb00,0xff83fc40,
    0xffffffff,0x003fc40f,0x3fa7ffd3,0x800ff104,0x00bf55fa,0x2a037e40,
    0x7ff1007f,0x7fffffcc,0x2e2fffff,0xf90bf54f,0x3fffe21d,0x2fffffff,
    0x0bf55fa8,0x9fb017ea,0x2207fa00,0xffffffff,0x3fe6ffff,0x00ffc001,
    0x33fd9fec,0x6ff880ff,0x7fffffcc,0xff14ffff,0x227ffd00,0xb80000ff,
    0x7ff404ff,0x201bf601,0x7f9806fe,0xfffffb80,0xffffffff,0x03dd3010,
    0xf5037df9,0x405fa80b,0x89f703fc,0x43fcc3fc,0x1fe81ff9,0xf1001ff1,
    0x5ff500bf,0x43fc4000,0xfffffff8,0x7d40ffff,0x3a088006,0x00ff104f,
    0x09d54ea8,0x2037e400,0x3f2004fd,0x3ffffe66,0x5c0ceeff,0x3a0bf54f,
    0xfffff14f,0x2017bdff,0x20bf55fa,0x27ec05fa,0xf881fe80,0xffffffff,
    0x07fe6fff,0xb003ff00,0x7ccff67f,0x24ff9807,0xfffffff9,0x0ff14fff,
    0x3e27ff30,0xf980000f,0x03fe402f,0xf3003ff7,0x07f9809f,0xffffffb8,
    0x0fffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x201ee980,
    0x21999999,0x99999999,0x64c01999,0x44000002,0x261bcecb,0xc980acdb,
    0x2a059302,0x3a20bcec,0x2605930e,0x9503972c,0xa88037bd,0x9802cddc,
    0xca801bdb,0xca800bdd,0xb9800bce,0x65440bdd,0x82c981cd,0x03950cc9,
    0x333200cc,0x0ccccccc,0x99304004,0x00399103,0x65472610,0x2f6e61bd,
    0xeca8e4c0,0x3016542c,0x26072e59,0x0219703c,0x32272600,0x225970ad,
    0x20032a2c,0x880b223b,0x2a028009,0x44017300,0x575100aa,0xc9815c01,
    0x00554402,0xff980391,0xfffff302,0x2666e1ff,0xa9999999,0x4013ea00,
    0xd92cecb8,0xffffff50,0xfffff77f,0x504fb85f,0xfffe98bf,0x1ff12fff,
    0xafd413ee,0x7fff43fe,0xff503fff,0x40bfffff,0x0ffffffd,0xfffffd88,
    0xfffd302f,0x7ec05fff,0xf32fffff,0xa89fffff,0x917fcc5f,0x203fc07f,
    0xffffffff,0x4c3b20ff,0xfd83b61b,0x4005fd86,0xfb7f55ea,0xff31ffff,
    0x5fd49fff,0x25fffffc,0x4bf606f9,0x0ffc83fc,0x17d93fc4,0x3fafea00,
    0x6c9fd0ff,0xa80bf11f,0xc803fa3f,0x41fec06f,0x7fecc6fa,0x7ffdc0df,
    0x7f7fcc6f,0xb04fd82f,0x7f7e40ff,0x805f104f,0x99102ff9,0x01499999,
    0x27d40130,0x7ffffd40,0x7fc42fff,0xdfff930a,0x41ff7117,0x8bf504fb,
    0xfda8befe,0x3ee7c89f,0x3fabf504,0x54477f22,0x5ffc41ff,0xb05ff731,
    0xbf9317df,0xb317dfd0,0x7dfd03ff,0x903ffb51,0x3ff665df,0xfd51cffc,
    0xff32fd49,0x3e03fc85,0x4ccccc07,0x7e44ff99,0xfeffffef,0xa8ffe20e,
    0xfc8800ff,0x5fff55ff,0x5bfdfd51,0x3ea3ff71,0xffb89cff,0x3e207fa2,
    0x3fa1bea7,0xf927d42f,0xfa8039ff,0x3b24bcff,0x3fb9be23,0x1fdcdf10,
    0xf501bf20,0x217fd47f,0x25fb8afe,0xe8bf25f8,0x7d4bd10e,0xfff884ff,
    0x3fa4e883,0x64d7c720,0x14000000,0x7d401300,0x977fcc04,0x7e40ffea,
    0x703fff03,0xa827dcdf,0x5c1bee5f,0x27dcd34f,0xe87a5fa8,0x5c3ec81f,
    0xa89fb05f,0x543fd06f,0x45fb80ff,0x8df706fb,0xffa80ffa,0x50ff884f,
    0x20bfe6bf,0x01fe03fc,0xfd82fec0,0x0fffdbef,0xff88ffa8,0x7ffed402,
    0x30bfea1c,0x27fb0dff,0x4fc82ffa,0x13ee13ee,0x7f7c41ff,0x32617ec4,
    0xf502dfff,0x4fc8005f,0x47fa07fa,0x098806f9,0xfabffa80,0x3a27cc2f,
    0x2fa8220f,0x367e9884,0xbfb84f8b,0x26f9806f,0xffefeff8,0x99999992,
    0x39501999,0x004c0050,0x4fe809f5,0x4c44ffe8,0x220dfb00,0x209f70ff,
    0x80bfa5fa,0x3ee2d8ff,0x07cbf504,0x22001bfb,0xc8bf7009,0x6c15303f,
    0x41ff104f,0x87fe02fe,0x3ffa04fc,0x3ea9fb00,0xf902ff9d,0x4003fc07,
    0x7fb00efc,0xf900ff88,0x2e209fbb,0xa80beffe,0x907ff07f,0x5c1fea9f,
    0x3a1fe25f,0xf717ec1f,0x207f8df7,0x0bfffeb8,0x7c001fea,0xfb8df51f,
    0x3320bfa5,0xcccccccc,0xffffa81c,0x7e42fa82,0xd98fd101,0xf887ffff,
    0x03f97f84,0x6cc077e4,0x3ffe0aef,0x0fffffff,0x00283fc8,0x77774426,
    0x1eeeeffe,0xafc81ff1,0x6dd4407f,0xaaaaadff,0x09f71fea,0x00ff97ea,
    0x9f70bff6,0x0fa77ea0,0x017bfff5,0x7fee5440,0xd000ff45,0x5555559f,
    0x007fc3ff,0x017ec5fb,0x55555df9,0x3beabf95,0x4ff206ff,0xcffcccca,
    0x3ee03ccc,0x641fe00f,0x1bffa02f,0x00efffdc,0x0ffc1bea,0x06faa7dc,
    0x22fe8bf5,0x24fa86f9,0xf30fe8fd,0x3ff6600b,0x000df53f,0x33fe9bea,
    0x217f23ff,0xfffffff8,0xf902ffff,0x90fea0bf,0x43df501f,0x7d8acff8,
    0xa7dc4f88,0x3ae605f9,0x1fe7cc0e,0x26666666,0x07f904ff,0xf884c005,
    0xffffffff,0xb8df32ff,0xd881ff2f,0xfffffffe,0xffffffff,0x3ea09f73,
    0xfc80ff15,0xf504fb83,0x3fa607df,0xb302efff,0xbfdfffff,0x3e000ff8,
    0xffffffff,0x80ff12ff,0x807fe3fc,0xfffffffb,0xfff56fff,0x4ff209fd,
    0xfffffffc,0xff505fff,0xa82fcc03,0x0ffea04f,0xa8017fe4,0x701ff05f,
    0x5417ea9f,0xf92fd45f,0xb7cdf107,0x005f92fc,0xbf55ff98,0x453f2000,
    0x4cbfa1ff,0xaaaa80ff,0x0aaaaaaa,0x83ffffa8,0x5c3f45f9,0x117d40df,
    0xe89f10ff,0x5003fa0f,0xfcb7c47f,0x205fd802,0x200283fc,0x2e666609,
    0x509999df,0xff1fccbf,0x567ffcc3,0x33339fb1,0x3ee13333,0x3e2bf705,
    0x20bf600f,0x0bf705fb,0x3fffae60,0x5e77fcc3,0x1ff8bf51,0x266bfe00,
    0x10999999,0x17ec01ff,0x77e405ff,0xaaaaaaaa,0xff33ff52,0x2a67f903,
    0xaabffaaa,0x02ff982a,0x2fd80ff8,0x203fffa0,0x402efffa,0x01ff05fa,
    0x417ea9f7,0x87fc45fa,0x33fb00fe,0x7f53ea9f,0xfffb5000,0x20017ea7,
    0x313f26f9,0x013f21ff,0x3ea00262,0xd83ffaaf,0x643fdadf,0x55df104f,
    0x4f881ffd,0x49f517ea,0x507f23fa,0x77e401c3,0x0a0ff200,0x3ea00980,
    0x745bea04,0x9fd07fc5,0xb8013f60,0x7cbf905f,0x203fa01f,0x0bf905fb,
    0xe8dfb100,0xe8bf904f,0x7457302f,0x0ffc003f,0x27ec1fd0,0x2001ffb0,
    0x21bf25fa,0x01fe03fc,0x6c013fe2,0x903fcc4f,0x540bf9bf,0xa80cfffd,
    0x701ff05f,0x5417ea9f,0xf9afc85f,0x3eefee05,0x0bf1df12,0x2effeb88,
    0x74002fd4,0x2e0df31f,0x9003fa4f,0x3ffa80df,0xd710ffea,0xfffa85df,
    0x3fae4fff,0x7c42faad,0x3fe0bf64,0x17ffff60,0x03fee000,0x00507f90,
    0x09f5004c,0x07ec7fcc,0x07fc4ff1,0xf8837fc4,0x3a0df50f,0x4c13f65f,
    0x20df507f,0x1fd105fd,0x7fc1ff10,0xfc8bfb01,0x7ec9fb04,0x6c1df306,
    0xc8ff304f,0x5fff106f,0x2fd4bf60,0x07f913fa,0x3fa203fc,0x3fff6005,
    0xa81fffec,0x02ff88ff,0x16fffe4c,0x03fe0bf5,0x82fd53ee,0xcdf985fa,
    0x377e602f,0x0ff3fa0f,0x0efffecc,0x54005fa8,0xd803f64f,0xc80bf30f,
    0x41fec06f,0x4c0205fa,0x81aaaaaa,0x3a235000,0xb885d705,0xfa80000a,
    0x83fc801f,0xa8026002,0x7effc04f,0x3fa37dc1,0x84fffd83,0x0bfe64fd,
    0x7fccbff7,0x9827f4c3,0x2ffdc1ff,0xbf709f90,0xffc83fd8,0x2617fc45,
    0x2ffe21ff,0x3e61ff40,0x227f4c3f,0x7f4c3ff8,0x37d41eff,0x1ff98bf5,
    0x07f80ff2,0xfb002fec,0xfbdfffbd,0x517fc41f,0xf71001ff,0x417eabff,
    0x54fb80ff,0x417ea0bf,0xfe807ffe,0x07ffdc6f,0x0067ffe4,0x1aa817ea,
    0x403fa9ba,0x807f25f8,0x20280098,0x00000001,0x00000000,0x017fcc00,
    0x00283fc8,0x04fa8026,0x3ee27fe4,0x5effd41f,0xefe9bffd,0xfd86ffcc,
    0x5fcfecdf,0x7f67ffe4,0x6ffec04f,0x205fcfec,0xfeccfff8,0x5effd41f,
    0xb86fdfec,0x4ffdcfff,0xfdcfffb8,0x9fff906f,0x3ea0bffd,0x8dffecef,
    0xffeceffd,0x3f217ea2,0x7f80ff26,0x3bbbfee0,0x2e3eeeee,0x2e41510e,
    0x1bf617f6,0x3eabb500,0xf701ff05,0x7d417ea9,0x009ff705,0xff987ff9,
    0x4005d906,0x93fa05fa,0x44006209,0x000004c1,0x00000000,0x00000000,
    0x13fe2000,0x0283fc80,0x20000260,0xffcdfff9,0xfffb704f,0x7ffec43b,
    0xfff900be,0xd50bf15d,0x2007dfff,0xf8aefffc,0x7fff4c05,0xffb701df,
    0x207fe3df,0x01cfffe9,0x2fbfffa6,0x3fffaa00,0x7ff4c03e,0x7ff644ef,
    0x42fd42cf,0x07f94fe8,0xfff700cc,0x9fffffff,0x0ffb8000,0x8003ff88,
    0x3fe0bf50,0xbf54fb80,0x7c417ea0,0x1ff9801f,0x00103ff8,0x7f40bf50,
    0x00000004,0x00000000,0x00000000,0x22000000,0x7e4005fe,0x42600283,
    0xfffffff8,0x3ba2ffff,0x02efffdb,0x00880188,0x31000260,0x00260001,
    0x20019880,0x03100018,0x88001300,0x00980009,0x000000c4,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0bfb0000,0x0507f900,0xfff884c0,0xffffffff,0x00130322,
    0x00000000,0x00000000,0x00000000,0x00000000,0x10000000,0x33333333,
    0x26662133,0x09999999,0x81b88133,0x2a133099,0xa9804c1a,0x02a98201,
    0xa8aa2555,0x3723550a,0x2aaaaaa3,0xbb300000,0xbbbbbbbb,0x00007bbb,
    0x00000000,0x00000000,0x00000000,0x00000000,0x77777fdc,0xfc83eeee,
    0xaaaaac83,0x00caaaaa,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7e400000,0xffffffff,0xfffff95f,0x3abfffff,0x3bfbee3f,
    0x97fcffa0,0x2a1fc3fe,0x21cfffff,0x307fe669,0xe9be63ff,0x3f69fb1f,
    0xffffff14,0x3ffffea3,0xffffffff,0xdddddd35,0x9ddddddd,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7fdc0000,0xffffffff,0x0003fc84,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0xeeeeeeeb,0xddd74eee,0xbfdddddd,0x362f8ffa,0x97fcffa3,0x8fbe63fe,
    0xffffffff,0x2fd47ffe,0x26f98ff6,0x2e9fb1fe,0xddddd12c,0x2eeee63d,
    0xbbbbbbbb,0x0000002b,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0x2a7fd5f9,0x27fd3546,0x360f62ff,0x75cc3d1f,
    0xfb83ffff,0x00009f11,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x5f980000,0xb83e23fb,0x0fecbf65,
    0x9bf6ea3f,0x0026a600,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3f2bf300,0x87f2fb60,
    0x361f90fb,0x0073bf24,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80000000,0xfffffffc,0x26005fff,
    0x9d50b55f,0x096a6983,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3fff2000,0x5fffffff,
    0x0017e600,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_27_latin_ext_x[560]={ 0,2,1,0,0,1,1,1,1,1,0,1,2,0,
2,0,1,2,0,1,0,1,0,1,0,1,2,2,1,1,1,1,1,-1,1,1,1,1,1,1,1,2,0,1,
1,1,1,1,1,1,1,1,0,1,0,0,0,0,0,1,0,0,0,-1,1,0,1,0,0,0,0,0,1,1,
-2,1,1,1,1,0,1,0,1,0,0,1,0,0,0,0,0,0,2,0,1,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,2,1,0,0,-1,
2,0,0,0,0,1,1,0,0,-1,1,0,0,0,2,1,0,2,1,1,0,1,1,1,0,1,-1,-1,-1,-1,
-1,-1,0,1,1,1,1,1,0,1,-1,0,-1,1,1,1,1,1,1,1,0,1,1,1,1,0,1,1,0,0,
0,0,0,0,0,0,0,0,0,0,0,2,-1,0,0,1,0,0,0,0,0,0,1,1,1,1,1,0,1,0,
-1,0,-1,0,-1,0,1,0,1,0,1,0,1,0,1,0,-1,0,1,0,1,0,1,0,1,0,1,0,1,0,
1,0,1,0,1,0,1,1,0,0,-1,-1,-1,-1,-1,-1,1,1,2,2,2,1,0,-2,1,1,1,1,0,1,
-1,1,1,1,1,0,0,1,1,1,1,1,1,1,1,1,1,0,1,0,1,0,1,0,1,1,1,1,1,0,
1,0,1,0,1,0,1,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,0,
0,0,0,0,0,0,0,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,1,3,3,0,3,3,3,
3,3,3,3,3,3,3,3,3,3,1,0,3,3,3,3,3,3,3,3,3,3,3,3,3,1,1,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,-1,0,-1,-1,1,
0,1,1,1,1,1,1,1,1,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,-1,0,0,0,0,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static signed short stb__arial_27_latin_ext_y[560]={ 21,3,3,3,2,3,3,3,3,3,3,6,18,13,
18,3,3,3,3,3,3,3,3,3,3,3,8,8,6,8,6,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,24,3,8,3,8,3,8,3,8,3,3,
3,3,3,8,8,8,8,8,8,8,4,8,8,8,8,8,8,3,3,3,10,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,21,8,3,3,6,3,
3,3,3,3,3,9,8,13,3,0,3,6,3,3,3,8,3,11,20,3,3,9,3,3,3,8,-1,-1,-1,-1,
0,-1,3,3,-1,-1,-1,0,-1,-1,-1,0,3,-1,-1,-1,-1,-1,0,7,3,-1,-1,-1,0,-1,3,3,3,3,
3,3,3,3,8,8,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,7,7,3,3,3,3,3,3,3,
0,4,-1,3,3,8,-1,3,-1,3,-1,4,-1,3,-1,3,3,3,0,4,-1,3,-1,4,3,8,-1,3,-1,3,
-1,3,0,4,3,2,-1,-1,3,3,-1,3,0,4,-1,3,3,3,-1,8,3,3,-1,3,3,3,8,-1,-1,3,
3,3,3,3,3,3,3,-1,3,3,8,-1,3,3,3,8,0,4,-1,3,-1,3,3,8,-1,3,3,8,-1,3,
-1,3,-1,3,3,8,-1,3,3,4,-1,3,3,4,-1,3,0,4,-1,3,-1,3,-1,3,3,8,-1,3,-1,3,
0,-1,3,-1,4,-1,3,3,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,3,5,5,3,5,5,5,
5,5,5,5,5,5,5,5,5,5,3,8,5,5,5,5,5,5,5,5,5,5,5,5,5,3,8,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,-1,3,-1,3,-1,
3,-1,3,-1,0,-1,-1,-1,-1,-1,-1,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,-4,-2,-1,3,-1,3,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static unsigned short stb__arial_27_latin_ext_w[560]={ 0,3,7,14,13,20,15,3,7,7,9,12,3,8,
3,7,12,8,13,12,13,12,13,12,13,12,3,3,12,12,12,12,23,18,14,16,16,14,13,17,15,3,11,16,
12,18,15,17,15,17,17,14,15,15,16,23,16,16,15,6,7,6,11,15,5,13,12,12,12,13,8,12,11,3,
6,11,3,18,11,13,12,12,8,12,7,11,12,18,12,12,12,8,3,8,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,0,4,12,13,13,15,
3,13,8,18,9,11,12,8,18,15,8,13,8,8,5,12,14,3,6,5,9,11,19,19,20,13,18,18,18,18,
18,18,23,16,14,14,14,14,6,6,9,7,18,15,17,17,17,17,17,12,18,15,15,15,15,16,15,14,13,13,
13,13,13,13,21,12,13,13,13,13,5,5,9,7,13,11,13,13,13,13,13,13,13,11,11,11,11,12,12,12,
18,13,18,13,20,15,16,12,16,12,16,12,16,12,16,15,18,14,14,13,14,13,14,13,14,13,14,13,17,12,
17,12,17,12,17,12,15,11,18,12,9,9,9,9,8,8,7,6,3,3,15,9,14,9,16,11,11,12,6,12,
7,12,7,12,7,13,6,15,11,15,11,15,11,14,16,11,17,13,17,13,17,13,23,22,17,8,17,8,17,9,
14,12,14,12,14,12,14,12,15,7,15,10,15,7,15,11,15,11,15,11,15,11,15,11,15,14,23,18,16,12,
16,15,12,15,12,15,12,7,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,17,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,20,16,13,13,13,13,13,13,13,13,13,13,13,13,13,19,15,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,18,13,9,8,17,
13,15,11,15,11,15,11,15,11,15,11,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,18,13,23,21,18,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13, };
static unsigned short stb__arial_27_latin_ext_h[560]={ 0,18,7,19,22,19,19,7,24,24,8,13,7,3,
3,19,19,18,18,19,18,19,19,18,19,19,13,17,13,9,13,18,24,18,18,19,18,18,18,19,18,18,19,18,
18,18,18,19,18,20,18,19,18,19,18,18,18,18,18,23,19,23,10,2,4,14,19,14,19,14,18,19,18,18,
24,18,18,13,13,14,18,18,13,14,18,14,13,13,13,19,13,24,24,24,5,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,0,18,23,19,13,18,
24,24,4,19,10,12,8,3,19,3,7,15,10,10,4,18,23,3,6,10,10,12,19,19,19,19,22,22,22,22,
21,22,18,23,22,22,22,21,22,22,22,21,18,22,23,23,23,23,22,11,19,23,23,23,22,22,18,19,19,19,
19,19,19,19,14,18,19,19,19,19,18,18,18,18,19,18,19,19,19,19,19,11,15,19,19,19,19,24,23,24,
21,18,22,19,23,18,23,19,23,19,23,18,23,19,22,19,18,19,21,18,22,19,22,18,24,19,22,19,23,24,
23,24,22,23,23,25,22,22,18,18,22,18,21,17,22,18,24,24,22,13,19,24,23,24,23,23,13,22,22,23,
23,18,18,18,18,18,18,22,18,23,18,22,18,18,19,19,22,18,23,19,23,19,19,14,22,18,23,18,22,18,
23,19,23,19,23,18,23,19,25,24,22,19,18,18,23,19,22,18,23,19,23,19,23,19,24,19,22,18,22,24,
21,22,18,22,17,22,18,18,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,19,16,16,24,16,16,16,
16,16,16,16,16,16,16,16,16,16,19,14,16,16,16,16,16,16,16,16,16,16,16,16,16,19,14,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,22,19,22,18,23,
19,23,19,23,22,23,23,23,23,23,23,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,25,24,22,19,23,19,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16, };
static unsigned short stb__arial_27_latin_ext_s[560]={ 510,161,263,1,491,136,365,250,285,198,502,
240,271,325,317,453,336,165,126,349,112,461,86,140,303,453,391,506,293,224,369,
200,247,213,232,396,263,321,336,378,350,366,366,370,387,58,400,348,416,323,77,
333,296,317,95,432,456,473,490,195,503,503,481,350,296,146,238,160,225,173,312,
199,284,280,121,251,247,306,325,187,187,174,382,133,153,88,337,350,280,212,253,
228,194,206,282,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,510,1,353,
251,266,457,117,157,308,1,465,407,237,325,265,334,254,38,456,493,302,273,467,
321,275,475,446,395,413,433,466,487,234,111,180,199,255,271,164,450,323,338,353,
274,500,505,141,237,61,192,219,144,336,271,35,433,284,58,1,400,439,306,384,
184,170,156,142,128,114,100,66,96,58,44,30,16,378,364,326,50,447,352,418,
404,390,376,362,419,52,324,312,300,288,76,29,144,289,312,16,181,90,80,127,
123,162,98,202,286,304,499,87,30,244,1,308,230,53,439,151,216,171,240,1,
72,19,49,416,89,123,434,447,20,176,208,188,132,166,154,245,14,104,145,109,
102,507,236,487,237,237,293,483,17,224,426,419,482,495,20,53,33,501,412,46,
290,486,369,6,218,400,35,482,157,130,109,37,381,1,16,341,201,253,123,465,
207,401,263,385,474,354,227,321,299,289,74,33,186,55,87,336,370,179,111,164,
426,111,169,74,215,42,254,128,432,87,438,384,215,220,368,473,148,1,71,498,
18,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,421,24,24,271,
24,24,24,24,24,24,24,24,24,24,24,24,24,461,100,24,24,24,24,24,
24,24,24,24,24,24,24,24,195,117,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,68,46,
113,26,319,395,337,409,303,479,366,382,394,410,422,438,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,1,62,455,266,252,60,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24, };
static unsigned short stb__arial_27_latin_ext_t[560]={ 1,158,191,118,51,98,75,191,1,1,177,
177,191,191,191,75,98,158,158,98,158,98,118,158,118,118,177,158,177,191,177,
158,1,158,158,118,158,158,158,118,158,158,118,158,158,158,158,118,158,75,158,
118,158,118,158,158,158,158,158,27,98,1,177,191,191,177,118,177,118,177,158,
118,158,158,1,158,158,177,177,177,158,158,177,177,158,177,177,177,177,118,177,
1,1,1,191,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,
177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,1,158,1,
118,177,138,1,1,191,138,177,177,191,191,118,191,191,177,177,177,191,138,1,
191,191,177,177,177,118,118,118,118,51,51,51,51,75,51,138,1,51,51,51,
75,27,51,75,75,138,75,27,27,27,27,75,177,118,27,27,27,51,51,138,
118,118,118,118,118,118,118,177,138,118,118,118,118,138,138,138,158,98,138,98,
98,98,98,98,177,177,98,98,98,98,1,27,1,75,138,75,98,27,138,27,
98,27,98,27,138,27,75,75,98,138,98,75,138,75,75,75,138,1,98,75,
118,51,1,27,1,75,27,27,1,75,75,138,138,75,138,75,177,75,138,1,
1,27,177,98,1,27,1,27,27,177,51,51,1,1,138,138,138,118,138,138,
51,138,27,158,51,138,158,75,98,51,138,51,75,51,98,75,177,51,138,27,
138,51,138,27,98,27,98,27,138,27,98,1,1,51,98,138,138,27,98,51,
138,27,98,27,98,27,98,1,98,51,138,51,1,75,51,138,51,177,51,138,
158,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,75,177,177,1,
177,177,177,177,177,177,177,177,177,177,177,177,177,75,177,177,177,177,177,177,
177,177,177,177,177,177,177,177,98,177,177,177,177,177,177,177,177,177,177,177,
177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,75,98,
75,158,1,75,1,75,1,51,1,1,1,1,1,1,177,177,177,177,177,177,
177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,
177,177,177,1,1,51,98,27,98,177,177,177,177,177,177,177,177,177,177,177,
177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,
177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,
177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,
177,177,177,177,177,177,177,177,177, };
static unsigned short stb__arial_27_latin_ext_a[560]={ 107,107,137,215,215,344,258,74,
129,129,150,226,107,129,107,107,215,215,215,215,215,215,215,215,
215,215,107,107,226,226,226,215,393,258,258,279,279,258,236,301,
279,107,193,258,215,322,279,301,258,301,279,258,236,279,258,365,
258,258,236,107,107,107,181,215,129,215,215,193,215,215,107,215,
215,86,86,193,86,322,215,215,215,215,129,193,107,215,193,279,
193,193,193,129,100,129,226,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,107,129,215,215,215,215,100,215,
129,285,143,215,226,129,285,214,155,212,129,129,129,223,208,107,
129,129,141,215,322,322,322,236,258,258,258,258,258,258,387,279,
258,258,258,258,107,107,107,107,279,279,301,301,301,301,301,226,
301,279,279,279,279,258,258,236,215,215,215,215,215,215,344,193,
215,215,215,215,107,107,107,107,215,215,215,215,215,215,215,212,
236,215,215,215,215,193,215,193,258,215,258,215,258,215,279,193,
279,193,279,193,279,193,279,238,279,215,258,215,258,215,258,215,
258,215,258,215,301,215,301,215,301,215,301,215,279,215,279,215,
107,107,107,107,107,107,107,86,107,107,284,172,193,86,258,193,
193,215,86,215,86,215,113,215,129,215,86,279,215,279,215,279,
215,234,280,215,301,215,301,215,301,215,387,365,279,129,279,129,
279,129,258,193,258,193,258,193,258,193,236,107,236,145,236,107,
279,215,279,215,279,215,279,215,279,215,279,215,365,279,258,193,
258,236,193,236,193,236,193,86,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,291,290,290,215,290,290,290,290,290,
290,290,290,290,290,290,290,290,332,254,290,290,290,290,290,290,
290,290,290,290,290,290,290,330,259,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,258,215,107,86,301,215,279,215,279,215,279,
215,279,215,279,215,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,258,215,387,344,301,236,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_27_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_27_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_27_latin_ext(stb_fontchar font[STB_FONT_arial_27_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_27_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_27_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_27_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_27_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_27_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_27_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_27_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_27_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_27_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_27_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_27_latin_ext_s[i] + stb__arial_27_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_27_latin_ext_t[i] + stb__arial_27_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_27_latin_ext_x[i];
            font[i].y0 = stb__arial_27_latin_ext_y[i];
            font[i].x1 = stb__arial_27_latin_ext_x[i] + stb__arial_27_latin_ext_w[i];
            font[i].y1 = stb__arial_27_latin_ext_y[i] + stb__arial_27_latin_ext_h[i];
            font[i].advance_int = (stb__arial_27_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_27_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_27_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_27_latin_ext_s[i] + stb__arial_27_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_27_latin_ext_t[i] + stb__arial_27_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_27_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_27_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_27_latin_ext_x[i] + stb__arial_27_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_27_latin_ext_y[i] + stb__arial_27_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_27_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_27_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_27_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_27_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_27_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_27_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_27_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_27_latin_ext_LINE_SPACING
#endif

