// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_19_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_19_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_19_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_arial_bold_19_latin_ext_BITMAP_HEIGHT        230
#define STB_FONT_arial_bold_19_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_bold_19_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_bold_19_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_bold_19_latin_ext_LINE_SPACING          12

static unsigned int stb__arial_bold_19_latin_ext_pixels[]={
    0x33333331,0x10000033,0x04eb8005,0xd500bd70,0x0554401b,0x2a601540,
    0x44d40550,0x00d5400a,0x554c0554,0x2aaa02aa,0x0554400a,0x00550a98,
    0x95401bd5,0x0a9800a9,0x980cc131,0x26666622,0x0aa88199,0x7ffffe40,
    0x7cc07fff,0x05f8800f,0x4003be20,0x77c400ef,0x027e405f,0xdf101f4c,
    0x77dc07f7,0x0077cc03,0x7fdc0bea,0xddd106ff,0x03fd801d,0x00bf3be2,
    0x640bfdf1,0x74405fbf,0x269fb0ff,0x365e80ff,0xffffffff,0x5c04fc81,
    0xeeeffeee,0x800fec06,0x36a002fa,0x003b5000,0x803d51b9,0x232200fd,
    0xbff500b8,0x05cce440,0x64401fb0,0x99880b88,0x5c910099,0x2013e200,
    0xdc804ffa,0x3fa02ea8,0x67fdc00f,0x3fe69fb0,0xffb17dc0,0x03dddddd,
    0xff8003f2,0x80136003,0x2a6007fb,0x1e4405c0,0x4c01a880,0x4c42b99a,
    0x98666e49,0x4c42b9aa,0x98666e49,0x4c42a8aa,0x98666e49,0x9988550a,
    0x4c4666e4,0x44662188,0x20198809,0x1a880198,0x0003fc80,0x05fd83fe,
    0x22260988,0x01ffc019,0x1002cca8,0xfff70033,0xb07f97df,0x7f5403b3,
    0xfc81dfff,0x84fd8ff2,0x7cbf27fb,0x7dc27ec7,0x23fcbf27,0x27fb84fd,
    0xfd8ff2fc,0x9fb7fb84,0x13f6ff70,0xffa81fee,0xfffff700,0x90ff2019,
    0xa83ba27d,0x402fec5f,0x07fb84fd,0xca801ffc,0xdfc8803c,0x7fec1ed8,
    0x04ffffef,0x3ea01d99,0x0effeeff,0x6c4c8e54,0x2a7fb84f,0x4fd8991c,
    0x472a7fb8,0x5c27ec4c,0x26472a7f,0x5fee13f6,0xb7fb84fd,0x40ff709f,
    0xffd80ffa,0x80efffef,0x9a7ec2fd,0xb0fee0ff,0x555555df,0x3fdc27ec,
    0x5c00ffe0,0x7fd404ff,0x2a1fffff,0x3ff21cff,0x7cc02a05,0x13fe61df,
    0x2e13f600,0x27ec007f,0x36003fdc,0x007fb84f,0xbfdc27ec,0xb7fb84fd,
    0x40ff709f,0x7fdc0ffa,0x09ff711c,0x34fd83fd,0x217ec1ff,0xfffffffd,
    0x3ee13f66,0x801ffc07,0x7fc07ffe,0x21ffc88d,0x7ffcc5fe,0x6f7edc0f,
    0x5407fe41,0xe88bb21b,0xf709fb0e,0xee88bb2f,0xff709fb0,0x0ee88bb2,
    0x2ff709fb,0x43ba22ec,0xb7fb84fd,0x36ff709f,0x207fb84f,0x37f40ffa,
    0xfb30ffb8,0x3e69fb0d,0xfb07fa0f,0x4799999d,0x07fb84fd,0x7cc01ffc,
    0xff102fff,0xff0ffcc5,0x7fd77c47,0x3ffbfee2,0x8017fa0f,0x43fe23fe,
    0xd7fb84fd,0xd87fc47f,0xfd7fb84f,0xfd87fc47,0x7fd7fb84,0x4fd87fc4,
    0x09fb7fb8,0x213f6ff7,0x3fea07fb,0xf881ffc0,0xb03ff72f,0xf83fe69f,
    0x402fec0f,0x07fb84fd,0x7e401ffc,0xff306fdd,0xff31ff81,0x3e23fa25,
    0x7c47b23f,0xc87ff11f,0x7fd0cccc,0x4fd87fc4,0x47fd7fb8,0x09fb0ff8,
    0x88ffaff7,0x709fb0ff,0xf88ffaff,0xf709fb0f,0x3ee13f6f,0xff709fb7,
    0xf107fd40,0xa9ffc05f,0x34fd86fe,0x20ffc1ff,0x4fd805fd,0x7fc07fb8,
    0x4d7fc403,0x2ff881ff,0x7fc47fe6,0x3fe23fd2,0x2ffca883,0xfff88bfe,
    0x447fd1ff,0x70bfb0ff,0xf88ffadf,0xf70bfb0f,0xff88ffad,0xdf70bfb0,
    0x0ff88ffa,0x2df70bfb,0xb6fb85fd,0x40df70bf,0x3fe20ffa,0x447ff103,
    0x9a7ec1ff,0xb07fa0ff,0x0bfb00bf,0x3ff80df7,0x9fd3fdc0,0x36237fe0,
    0x36ffe1ff,0x987fe62f,0x22ffeffd,0x7ee644fe,0x7c47fd1f,0xf90bfb0f,
    0xff88ffad,0xdf90bfb0,0x0ff88ffa,0x2df90bfb,0x43fe23fe,0xb6fc85fd,
    0x36df90bf,0x206fc85f,0x2ffc0ffa,0x7ec1ff98,0xff9a7ec2,0xffb0bf20,
    0x27ffffff,0x06fc85fd,0x3fa01ffc,0x7cc1ff24,0x21ffefff,0x7e42fffe,
    0x219ff10f,0x03ff22ff,0x1ff47fe6,0x1bf21ff3,0x31ff57f2,0x21bf21ff,
    0x4c7fd5fc,0x90df90ff,0xf98ffabf,0xf90df90f,0x3f21bf2b,0xbf90df95,
    0x87fb97ae,0xffc80ffe,0x3f61fec0,0x7dc1ff34,0x7ffffec4,0x0df93fff,
    0x30000bf9,0xffddddff,0x237f6a05,0x3bfea1ff,0x4c9ff911,0x45ff10ff,
    0xd30beff8,0xb97f63ff,0x17ff70ff,0x2fed3fea,0x3fee1ff7,0x369ff50b,
    0x5c3fee5f,0x9ff50bff,0x0ffb97f6,0x3ea17ff7,0x217ff74f,0x7ff74ffa,
    0x7cd3fea1,0x986fd89f,0xffb32eff,0x9807f909,0xf006f87f,0x50bffb83,
    0x3fe809ff,0x3fffff20,0x09a86fff,0xffb83fe2,0x86fffeff,0x3ffebdff,
    0x7fffffcc,0xbff70dff,0x7f41fffb,0x70ffffff,0x1fffbbff,0x7ffffff4,
    0xfbbff70f,0x7fff41ff,0xff70ffff,0x741fffbb,0x0fffffff,0x3ffffffa,
    0x3ffffa0f,0x3ffe0fff,0xff902fff,0x01dfffff,0xd7017df7,0x803f70ff,
    0xfffe82f8,0x7400ffff,0x273fe02f,0x41ffb999,0x7fc9affd,0x3fb277e6,
    0xffd503ef,0xd930bf99,0xfb05bfff,0x441ff3df,0x41dffffd,0x0ff9effd,
    0x37ffff62,0x7cf7fec1,0x3fff620f,0x77fec1df,0x3f620ff9,0x6c41dfff,
    0x441dffff,0x41dffffd,0x403effc9,0x03efffea,0x3e03ffe2,0x04f884ff,
    0x3622efe8,0x801dffff,0x1ff500fa,0xf989ff10,0x141fffff,0x00080044,
    0x00100088,0x00040044,0x40010011,0x20008008,0x00110008,0x00040022,
    0x1951000c,0x25405970,0x8805dc40,0xb026c000,0x83fe40bf,0x0000abb9,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00080000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x1a980000,0xa8009880,
    0x1a98001a,0x2a60aa60,0x2a001530,0x4026200a,0x200005eb,0x13106619,
    0x00154c00,0x0a981551,0x13333330,0x13101310,0x32a83310,0x45544035,
    0x00aa602a,0x4cc00750,0xfff88000,0x2027ec01,0x22000ff8,0xfb02fffe,
    0x3f23f705,0x37fdc03f,0xdf307fd0,0x81dc009f,0x740faae9,0xffd1003f,
    0x20ff2007,0x7ffe41fb,0x7ec2ffff,0x13f60dff,0x76f89fee,0x657ec07f,
    0x03fa203f,0x401de540,0xd8004ffb,0x7ec06e9f,0x000fe404,0x20377fea,
    0x23f703f9,0xf300ffda,0x3fa09f3b,0x03d75d83,0xeeb80b60,0x9003fe83,
    0x8801fb3f,0x5c3f704f,0xffffffff,0x3f6fbee2,0x3ee13f65,0x01ca9e47,
    0x009f17f3,0x36a009f1,0x7ffe803b,0x9aaa9800,0x5013f600,0x5fc80037,
    0x3f700c40,0x00000ff8,0x0009a980,0xfe8000f1,0x26000003,0x21fb809c,
    0xfb9ffffe,0x3c8afec3,0x1fee13f6,0x44666200,0x2e201989,0x9d426202,
    0xfff98198,0x3fee002f,0xfb00cfff,0x3fffee09,0x3faa00cf,0x13b21eff,
    0x20fdcbd3,0xbf9101fe,0x2ec83db1,0x27ffffdc,0x01fffd98,0x3db1bf91,
    0x0bbaeffa,0x85e989d9,0x44fffffb,0x3fffa1fb,0x7d43fb9f,0x709fb04f,
    0xd313b2ff,0x7dc27ecb,0xfffffb87,0x5c27ec0c,0xfddfc87f,0xdfffb006,
    0xfb01dfff,0xfdfffb09,0x3f201dff,0x3ea0ffff,0x3f72fe47,0xffa81fe8,
    0x741fffff,0x37bfee3f,0x7fcc2fff,0x7d41ffff,0xd1ffffff,0x4dffdfff,
    0x22fe47fa,0xfffdeffb,0xffc87ee2,0x543fb9ff,0x7ec1efff,0xff57fb84,
    0x13f65fc8,0xfffb1fee,0x6c1dfffd,0x447fb84f,0x01ff9aff,0xb88e7fdc,
    0x44fd84ff,0xf711cffb,0x0ffc409f,0x8bfe2ff8,0x41fec1fb,0x07ff25ff,
    0x227ec7fd,0x46ff45fd,0x2ffc4fdf,0x3ffa3ff9,0x7fc5ff51,0x9fb0bfe2,
    0x87ee5fd8,0xfb9fffe8,0x3fefbe23,0x2e13f63f,0xff8bfe7f,0x3ee13f62,
    0x4473fee7,0x13f64ffb,0x4ff71fee,0x37f404fe,0x7ec0ffb8,0xfb837f44,
    0x40ff300f,0xb8ff55fc,0x11ffd41f,0x0ffcc5ff,0x0dfd8ffa,0xaff88aa2,
    0x2ff880e9,0x2ff47fe6,0x55fc93fa,0x41bfb0ff,0x540622a8,0x2a3fb9fe,
    0x25ffb15f,0x26fb85fd,0xd8ff55fc,0x3a7fb84f,0x21ff706f,0x47fb84fd,
    0x01ff24fe,0x3fe207ff,0x3fe27ec2,0x205ff103,0x5fe606fb,0x40fdc4fc,
    0x83fe67fc,0x1ff41ff8,0x017bfff3,0x20791ff3,0x3fe20ff9,0x5fd87fd1,
    0x427e5fe6,0x00bdfff9,0x3fb9fd80,0x5fd8bfe6,0x4df90bfb,0xd89f97f9,
    0x3e7fb84f,0x25ff103f,0x27fb84fd,0xfeeeeff9,0x05ff102f,0x93f61ffc,
    0x3fe02ff8,0xe80bf903,0x7dc1ffaf,0x3e2ffcc1,0xd07fe62f,0xffffc87f,
    0x2bfe20df,0x7fc0989e,0x7f47fe62,0x3fa27f45,0xff901ffa,0x4001bfff,
    0x743fb9fd,0x32bf33ff,0x746fc86f,0x7ec1ffaf,0xff17fb84,0xfd9ffc05,
    0x3f27fb84,0x6fffffff,0x2207ff10,0x127ec3ff,0x3fe207ff,0xb807fd03,
    0x1fb86fef,0x6fec27ec,0x741ffd88,0xffeb883f,0xdb77f46f,0x446fec5f,
    0x3ffd1ffd,0xdf70ffe2,0xfeb880df,0x407ee6ff,0x443fb9fd,0x72feeffd,
    0x3fe617ff,0x437f7dc4,0x16fb85fd,0x3fe207ff,0xdf70bfb3,0x4ccce7fc,
    0xbff01ffb,0xfb07fe60,0xf305ff89,0x00bfe03f,0xf707fff1,0xfa81fe83,
    0x41ffefff,0x3220c3fe,0x3ffea1ff,0x7fd40ffe,0xfd1ffeff,0x10dffbff,
    0x20c07fff,0x3f71ffc8,0x0fee7f60,0x3a27ffe4,0x0fffffff,0x6c1fffc4,
    0x3e6fc85f,0x23ff305f,0x56fc85fd,0x9ff101ff,0x3203ffa0,0x227ec0ff,
    0xffc80ffe,0x800ff880,0x1fb80ffd,0xfea80ff4,0x7f41ff8d,0xff05ff13,
    0x2dfffa87,0xff1bfd50,0x3ff6ffa3,0x01ffb00b,0x7ff05ff1,0x4fec07ee,
    0x3fa603fb,0x3fff220f,0x1ffb01df,0xbf90df90,0x7e407ff4,0xf90df90f,
    0xfc817f6b,0x25dff307,0xdd84ffd9,0x9977fcc3,0xff504ffd,0x5c17f600,
    0x5407fc1f,0xd03fe209,0x88f7ec5f,0x0fc41ffc,0xff8826a0,0x20027fd0,
    0x3bf605fd,0x2e3ff911,0xf73fb01f,0xff11cb87,0x3600fa03,0x17ff705f,
    0xff993fea,0x49ffb32e,0xff50bffb,0x202dc009,0xfffffffc,0x41fd980e,
    0xfffffffc,0x2ff55c0e,0x05ff9510,0x7fe4c7ee,0xc9aefd80,0x8bff667f,
    0xfffffff9,0xfd805a85,0x3a7fc9ae,0x7e54403f,0x3ffe602f,0x3ee5ffff,
    0x7f73fb01,0x7fbaefb8,0x65440fe0,0x3ffa02ff,0x640fffff,0xefffffff,
    0x7fffff40,0x1b2000ff,0x3bfffaa0,0x06ecc883,0x07dfffd5,0x980bfffe,
    0x3ee05fff,0x260bff91,0x22ffffff,0x7540effc,0x5b04efff,0xfffff300,
    0x201ff45f,0xa805fff9,0x5c4efffe,0xf73fb01f,0xffffe887,0x313bf203,
    0xd880bfff,0x501dffff,0x207dfffd,0x1dffffd8,0x02f7d400,0x0d544018,
    0xbba80180,0x402cb801,0x805750ca,0x4c0abba8,0x004c00ac,0x5d440022,
    0x00d540ab,0x4c00165c,0x26019500,0x7100a98a,0x1ba88015,0x44002cb8,
    0x2000c000,0x5cc00008,0x00000002,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x88551cc0,0x2a600999,
    0x00554001,0x26214466,0x13b60099,0x0001aa80,0x0e600133,0x00550a88,
    0x32a800cc,0x400a8815,0x088009a9,0x45540022,0x905c01aa,0x01310000,
    0xa8800554,0xfbcf8002,0x41fffe41,0x03fffffb,0x7dc05fb8,0x7fec5eef,
    0x5fdf702f,0x400ff600,0xeffffec9,0xd013ee04,0xea807f7d,0x201dffff,
    0xf885fbfc,0xfffff704,0xe99e9809,0xf8ef9801,0x6df5c00e,0xd00bfb05,
    0x17fee09f,0xfb03fd40,0xa81dc987,0x7fec3fec,0x403fffef,0xb9ac806e,
    0x0e6fec1c,0x005da744,0xff3005d9,0xdf95337b,0x9809f901,0x7fd405ff,
    0x406ffeef,0x1fb00ffe,0xffdeffb8,0x27fe402f,0x0fc8ed80,0x2017b500,
    0x4fe805fd,0x03fadf98,0x3f605e98,0x1988098b,0x9ff51fec,0x501ffa21,
    0x20262037,0x005fb198,0x54c00353,0x202fcc01,0x3ff20ee8,0x06a601ef,
    0x261dff98,0x26a604ff,0xfd89f500,0x2202fec4,0x2a66001a,0x06a2000a,
    0xfe805fd8,0x99866624,0x806a2019,0xb84fd9aa,0xfd1fec7f,0x7015930b,
    0xd87fffff,0xfb7fb84f,0x7fffdc05,0x3ffee03f,0x26f983ff,0x9beb9eec,
    0x3ffff62f,0xfffffb81,0x7507fc83,0xfffff703,0x6c1ff109,0x40aa20df,
    0x1dffffea,0x3ffffee0,0x3ffee00c,0x2fec0cff,0x9fb27f40,0xfd50ff70,
    0xfe83bfff,0x7fb84fdc,0x07ff1fec,0xfefffd80,0x213f63ff,0x205fb7fb,
    0xfffefffd,0xfefffd83,0xd87643ff,0xb3fffcef,0xfb04fc8b,0x87fffdff,
    0x7dc005fe,0x82fffdef,0x3ffe61fe,0x3fea00bd,0x80effeef,0xfffefffd,
    0xefffd80e,0x3f60efff,0x364fe805,0x547fb84f,0xeffeefff,0x13f73fa0,
    0x27fb1fee,0x2a002ff8,0xffd10cff,0xbfdc27ec,0xcffa82fd,0xfa8ffd10,
    0x8ffd10cf,0x7d4bf74e,0x4fc8f71f,0xd10cffa8,0x21ffc4ff,0x360ccccc,
    0x6c2fec4f,0x7fffe43f,0x6ffcc0df,0xf713fe61,0x3fee239f,0x88e7fdc4,
    0x17f64ffb,0x4fd93fa0,0x3fe67fb8,0xe93fe61d,0xfb84fdcf,0xff89fec7,
    0x217fa002,0x09fb0ac9,0x20bf6ff7,0x0ac985fe,0x2b2617fa,0x83f65f10,
    0xf91ae7f9,0x930bfd09,0x88ffe215,0x361fffff,0x20aa20df,0xfeb884fc,
    0x07fe46ff,0x1bfa0dd4,0xdfd07fdc,0x7ec3fee0,0x364fe805,0x327fb84f,
    0x21ba80ff,0xb84fdcfe,0xff1fec7f,0x0ffe0a07,0x7dc27ec0,0x7ff05fb7,
    0x801ffc00,0x547f88fa,0x9f91366f,0x7c007ff0,0x7fee646f,0x2f7ffe61,
    0x8317ee00,0x3fa1ffc8,0x81ffc005,0x0ffe2ff8,0x5fd97fc4,0x3f64fe80,
    0x3fa7fb84,0x373fa005,0x6c7fb84f,0x2e1bf63f,0x05ff10ff,0x3ee13f60,
    0xff885fb7,0x05ff1002,0x1be63ea0,0x907e69f9,0x02ff88bf,0x2603ff60,
    0x7ffe41ff,0x4fb80dff,0x7ff05ff1,0x9990ffe2,0x0bfe2199,0x5ff13ff8,
    0x5fd9ffc0,0x3f64fe80,0xff17fb84,0x0ccccc87,0x70bfb9fd,0x263fd8df,
    0x9ff51dff,0xd8017fc4,0xfb6fb85f,0x002ff885,0x22005ff1,0x3e21ff2f,
    0xfc86f8af,0x05ff11ef,0x88f7fc40,0xb881ffeb,0xfc86fffe,0x6447bf63,
    0x88bfe1ff,0xf11fffff,0x4ffe207f,0xff103ff8,0x3a017f67,0x2e17f64f,
    0xf88bfe6f,0x9fd1ffff,0x8df90bfb,0x7ffe43fd,0x7fc0ffff,0x85fd8503,
    0xf05fb6fc,0x3fe0a07f,0x329d0503,0xfefffcef,0x2fff880e,0xa8140ffe,
    0xffffffff,0x3f220c0d,0xf317ec1f,0x8bffffff,0x7ee644fe,0x4c17fe1f,
    0x417fe1ff,0xfffb1ff9,0x7f4dffff,0x3f217f64,0xb9913fa6,0x333fa3ff,
    0x6c5fc86f,0xeffea83f,0xb86fd81c,0x90df90ff,0x360bf6bf,0x20ffb86f,
    0x0ffb86fd,0x37ae27f2,0x988bdfb9,0x86fd8180,0xfd980ffb,0x7c42dfff,
    0x7c3ff82f,0x7fff540f,0x80ffc84e,0x3ffa1ff9,0x3a0ffc80,0x0ffc80ff,
    0xfffffffb,0xdf927f4d,0x7fe4bf90,0xfd1ff980,0x2a17ff79,0x81fec4ff,
    0x3e603fe8,0x49ff51df,0xff50bffb,0x3e60bf69,0x89ff51df,0xff51dff9,
    0x802fe889,0x17ec0ee9,0x7d477fe6,0x077ec04f,0x3223dfb0,0x813e61ff,
    0xff101dfb,0x3ffa617d,0x4cbbfe61,0x7fcc4ffd,0x09ffb32e,0x0ba05bd1,
    0x3ea17ff7,0x2fbfe24f,0x3a3ffd30,0xfffffd4f,0x3faa61ff,0x900fd403,
    0x1fffffff,0xffffffe8,0x8159fb0f,0xfffffffc,0xfffffc80,0x59fb00ff,
    0x077e54c3,0x7fe40fec,0x800fffff,0x3fe603f8,0x5c5fffff,0x206e800f,
    0xfffffff9,0x7ffe40df,0xc80effff,0xefffffff,0xf01fd300,0xfffffd07,
    0xfff981ff,0xd0dfffff,0x3fff629f,0x3fff21df,0x06ecc883,0x1ceffea8,
    0xdffffd88,0x20bfff61,0x01ceffea,0x073bffaa,0xfffffd90,0x1ea019df,
    0x1ceffea8,0x007ee5c0,0x13bfffaa,0xfdca817e,0x7ff64c03,0x3faa02df,
    0x75403eff,0x9303efff,0x3bf60bf9,0x3ffff623,0xffd9301d,0x84fe85bf,
    0x15553008,0x20006aa0,0x54022000,0x00400aaa,0xb9800040,0x0039001b,
    0x0aaa8002,0xc8804c00,0x002aa601,0x03000110,0x2a200600,0x02ea201a,
    0x02200044,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x03333310,0x4c400988,0x20199880,
    0x06aa00aa,0x80988262,0xa854c098,0x001aa801,0xdddd5006,0xeeeee809,
    0x54454c01,0x02aa2001,0x9800aa80,0x54403512,0xdd30000a,0x37ae0003,
    0x01551000,0xffb00988,0xd09fffff,0x45fd807f,0x3e02ffe8,0x1fff502f,
    0x3ff64fd8,0x3e237d40,0x7d401fcd,0x80be2006,0x404eeeea,0x401eeeee,
    0x001fddf8,0xfc8013f2,0xdcf9805f,0x027e400f,0x00eeee80,0x02ff7cc0,
    0xfe804fc8,0xfddffb03,0x3fe89fff,0x3f62fec0,0x40f6c02f,0x6c5f9ef8,
    0x513ff64f,0x09ff50df,0x91001dd0,0x4c43dfff,0x22019880,0x3fee001a,
    0x013e2003,0x02fbbfa8,0x9003ffb8,0x9eb8001f,0x6e4003e9,0x7c401eb8,
    0x207fd004,0x47fd85fd,0x2fec03fe,0x00005ffb,0x3fff6000,0x4cc5bea1,
    0x21999999,0x8019a998,0x26fefefb,0x87fb84fd,0x0cfffffb,0x20009980,
    0x310009a8,0x26201333,0x26009880,0x1026600a,0x41988133,0x43310099,
    0x26218898,0x26666660,0x217f6099,0x4ffa0ffa,0x57f63ed8,0x64403ffc,
    0x641ed8df,0x363ec82e,0x5bea6fff,0xfffffffc,0x3ffff67f,0x1fd04fff,
    0x3f619b5f,0x7ec7fb84,0x0efffeff,0x8013fee0,0x2e004ffb,0x3ff604ff,
    0xfb837d40,0x717f604f,0x46fc8bff,0x6fe81ffc,0xdf503ff6,0x3fffffe2,
    0x897f66ff,0x5ff45fd9,0x6fec6fe8,0x7d404ffc,0x41ffffff,0x24fd83fe,
    0xf53ffdfd,0x3ffbbaed,0x3ff66eee,0x84ffffee,0xfd81f9fe,0x3ee7fb84,
    0x9ff711cf,0x003fff40,0x7400fffd,0x3ff607ff,0xfe837d44,0xd1fee07f,
    0x84fd8fff,0x0ffdc6fe,0x6fa89ffb,0xfdddddd1,0x7fffecbf,0x7f41efff,
    0x7ec0efdb,0x200fffff,0x07ff25ff,0x49fb07fd,0xa8ffcbfd,0x207ff06f,
    0x87fd85fd,0xfd82fffc,0x3fa7fb84,0x301ff706,0x3005ffff,0x3005ffff,
    0x3605ffff,0x1bea1fff,0x40bfffe6,0xfff10ffa,0x5417fc3f,0x89ff13ff,
    0x3ea1fffd,0x87ffa206,0x3ffffffd,0x03ffffd0,0x9ff9fffb,0xf98bfe20,
    0x6c1ff41f,0x7f4ff64f,0x7ff06fad,0x3ea17f60,0x7fff440f,0x2e13f60c,
    0x440ffe7f,0xddfc82ff,0xddfc806f,0xddfc806f,0xdfffb06f,0x6fe437d4,
    0x5ff106fd,0x4cff7bea,0x1ffb00ff,0xffd81ff9,0xd81bea6f,0x8afec2ff,
    0xffe80efe,0x3ffd85ff,0xff305ff9,0x3a0ffc41,0x364fd83f,0xdfbff53f,
    0x7ec0ffe0,0x817f6625,0xfb0ffffa,0x3e2ff709,0x10ffe02f,0x03ff35ff,
    0x7fcd7fc4,0x26bfe201,0xfdfd81ff,0xf88df53f,0xd01ff9af,0x3ef3f29f,
    0x7c40df75,0xfd82ffdf,0x0df53ffd,0x3f613fee,0x3a1bfe25,0x6c1ffaff,
    0x03bfe25f,0x1ff98bfe,0x27ec1ff4,0x7ffec7fb,0x3607ff06,0xefffffff,
    0x97f5fc01,0x16fb85fd,0x3fe207ff,0x9fd3fdc3,0x9fd3fdc0,0x9fd3fdc0,
    0x1ff97fb0,0x27fb8df5,0x2bf904fe,0xf97f9afe,0x5fffb809,0x1ff97fb0,
    0xbff50df5,0xff517f60,0xdf93fe89,0x7fd45fd8,0xd88dfd84,0x41ff41ff,
    0x88ff64fd,0x7ff06fff,0x3fffff60,0x3e77103f,0x0bfb4fa9,0x82ffcdf9,
    0x27f41ff9,0x27f40ff9,0x27f40ff9,0x27fb0ff9,0x746fadfe,0x541ff24f,
    0xff0ff8ff,0xfd007fd3,0x74ff601f,0x7c46fadf,0x0bfb00ef,0x9ff43ffb,
    0x17f62ff8,0xff507ffa,0xe83ffdff,0x364fd83f,0x837fdc3f,0x2bfb03ff,
    0xff00efe8,0x323fb3f5,0x3a5fc86f,0x0ffc80ff,0x3bbbbfe6,0xeff982ff,
    0x982ffeee,0xffeeeeff,0xffa9fec2,0x3bfe66fd,0x882ffeee,0x3f66fcff,
    0xfc801ffb,0x7d4ff606,0x3fa26fdf,0x217f600f,0x8ffa6ff8,0x0bfb0ffb,
    0xfd50dff3,0xfe83ff1b,0x3f64fd83,0xff06fe83,0xf897f607,0xffff906f,
    0x85ffdcdf,0x3fe64ffa,0x89ffb32e,0xfffffffc,0xffffc86f,0xfc86ffff,
    0x6fffffff,0xfffb1fec,0x7ffffe4d,0xffd06fff,0x3fffdc9f,0x3606fc80,
    0x9bfff63f,0x22002ffd,0xce9802de,0x016f4401,0x0ff8826a,0x01741ff4,
    0xff005bd1,0xf517f607,0x3ffee09f,0x7ffff40b,0x7fe40fff,0x40efffff,
    0xb9999cff,0x4e7fc1ff,0x41ffb999,0xb9999cff,0x88ff61ff,0x33fe6fff,
    0x1ffb9999,0x261fffc8,0xf9005fff,0xf11fec0d,0x0ffeedff,0x401fa600,
    0x7e9806ea,0x64d77ec0,0x0bff667f,0x0fd300fe,0x3f607ff0,0x201ffd85,
    0xfffb101f,0x3faa03bf,0xffa83eff,0x2a4ff880,0x4ff880ff,0x3e203fea,
    0xf70ff64f,0x203feadf,0xffb84ff8,0x003fff87,0x1fec0df9,0x7ff5bfee,
    0x87ffffff,0x4c04fcc9,0x32603fcc,0x7fcc04fc,0x3f22ffff,0x3efd80ef,
    0x4027e64c,0x0bfb03ff,0x0ec0dff1,0x06000440,0x7e40bfb0,0xfc817f67,
    0xfc817f67,0x3fa0ff67,0x7e40bfb6,0xd85ff987,0xdf9001ff,0x7f41fec0,
    0xffffffd6,0x15510fff,0x80155300,0x51000aa8,0xab981577,0x88375100,
    0x000000aa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x01a854c0,0x2200aa88,0x0aa6002a,0x54405530,
    0x8d440551,0x4404cc2a,0x243700aa,0x5000aa20,0x29d30035,0xbed801ec,
    0x104401fa,0xe89ec801,0x0550a985,0x401532a8,0x76c400aa,0x9106a602,
    0xa86aa1cc,0xfbbf101a,0x009f9003,0x3fa005fb,0x07ffe202,0x403fbee8,
    0x3e64fbfe,0x203fc80e,0x5c05dbeb,0x3fe2006f,0xfb5f9800,0xfdbe9803,
    0xe89f8806,0x7c57ec02,0x1fcdf886,0x02fdfe40,0xfd80dff7,0xfff980fe,
    0x5175eec0,0x206f98df,0xf8804ffa,0x00dd1004,0x9fd805f5,0xbff300ee,
    0xc8dff100,0x804f881f,0x75400bda,0x007f2004,0x801aaa98,0x2001a888,
    0x26204ffb,0x83333099,0xfd004ffa,0x2b7e201f,0xb15d504f,0x8df3dd09,
    0x07742db8,0x266617d4,0x4c099999,0x09999a99,0x26a66662,0x2aa66219,
    0x2a621999,0x2219a99a,0x10019999,0x880aa813,0x26666201,0x26621999,
    0x4c199999,0x0cc41109,0xcfffffb8,0x3fffee00,0x099800cf,0x3ee13f60,
    0x01333317,0x4cccccc4,0x188aa219,0x8cc404c4,0x88199998,0x4404d409,
    0x3fffe21a,0x3e26ffff,0x6fffffff,0x3ffffff6,0xffffb1ff,0x3f63ffff,
    0x1fffffff,0xfffffffb,0x3627f409,0xb017f64f,0xffffffff,0x3fffff63,
    0x3ff21fff,0xfd86fe81,0x0efffeff,0xffefffd8,0x3fee00ef,0x2e13f604,
    0xfffffb7f,0xfffd819f,0xfb1fffff,0xb85fd807,0xe827f47f,0x7427f44f,
    0x3bbba24f,0x3a25ffee,0x5ffeeeee,0x3bbbbff6,0xddffb1ee,0x3f63dddd,
    0x1eeeeeef,0xfffddffb,0xb13fa09f,0x202fec9f,0xeeeeeffd,0xdddffb1e,
    0x6fe83ddd,0x3ee0ffdc,0x9ff711cf,0x711cffb8,0x7ff409ff,0x2e13f607,
    0xffdffb7f,0x7fec1fff,0xb1eeeeee,0x85fd807f,0x827f47fb,0x427f44fe,
    0x7f4404fe,0x7ff4401f,0x36017f61,0x05fd805f,0x7fd85fd8,0x4fd89fd0,
    0xbfb017f6,0x400bfb00,0x9ff13ffa,0x3ee0dfd0,0x5c1bfa0f,0xfff980ff,
    0x709fb02f,0xf517f6ff,0x402fec9f,0x2fec03fd,0x13fa3fdc,0x13fa27f4,
    0xffb013fa,0x85ffb005,0x5fd805fd,0xd805fd80,0x80ffa85f,0xb27ec4fe,
    0x05fd80bf,0x6c005fd8,0x80ffc8ff,0x5ff103ff,0xff881ffc,0x6fddfc82,
    0xff709fb0,0x3fee17f6,0xfb00bfb0,0x6c1bf917,0x747fb85f,0xe89fd04f,
    0x204fe84f,0xfb804ffb,0xaaefd84f,0x3bf62aaa,0x362aaaaa,0x2aaaaaef,
    0xfd9897f6,0xfd89fd05,0xfb017f64,0x4555555d,0xaaaaaefd,0xffbff102,
    0x405ff105,0x05ff13ff,0x3fe21ffc,0xfd81ff9a,0xbfb7fb84,0x3f63ff30,
    0x22aaaaae,0x6ffefefd,0x2aaabbf6,0x827f47fd,0x427f44fe,0xbff504fe,
    0x20bff500,0xfffffffd,0x3fffff66,0x3fff66ff,0x3f66ffff,0x1effffff,
    0x4fd89fd0,0xffb017f6,0x6cdfffff,0x6fffffff,0x417ffee0,0xff103ff8,
    0x440ffe27,0xd3fdc3ff,0x70bfb09f,0x2217f6df,0xffffb2ff,0x7fecdfff,
    0x3f61ff50,0x7fffffff,0x4fe827f4,0x27f427f4,0x20077fc4,0xfb00eff8,
    0x4799999d,0xcccccefd,0x3333bf63,0x3fff63cc,0x7f403fff,0xbfb27ec4,
    0xcccefd80,0x33bf63cc,0x7403cccc,0x17fe00ff,0xbff0ffcc,0xfd07fe60,
    0x7ec3fe49,0xbfb6fc85,0x3f65ff10,0x23ccccce,0x47fe25fd,0xdccccefd,
    0xe827f47f,0x7427f44f,0x07ff444f,0x803ffa20,0x5fd805fd,0xd805fd80,
    0x01dfd15f,0x93f627f4,0x2fec05fd,0x8002fec0,0x7ff406fc,0x3a0ffc80,
    0x0ffc80ff,0x3bbbbfe6,0x437e42ff,0x30bfb5fc,0x017f63ff,0x1ff893f6,
    0x8ff70bfb,0x89fd04fe,0x44fe84fe,0xfd802ffd,0x02fec02f,0x7ec02fec,
    0x225fd805,0x13fa06ff,0x02fec9fb,0x3f6017f6,0x0df90005,0xb32eff98,
    0xeff989ff,0xc89ffb32,0xffffffff,0xa85ffdc6,0x70bfb4ff,0x017f61ff,
    0x1ff88ff6,0x8ff70bfb,0x89fd04fe,0x24fe84fe,0xfb803ffb,0x05fd803f,
    0xfd805fd8,0x545fd805,0x89fd04ff,0x017f64fd,0xbfb00bfb,0x01bf2000,
    0x3ffffff2,0xfffc80ef,0x7c0effff,0xfb9999cf,0x7ffff41f,0x4bfb0fff,
    0x3f63ffa8,0x223fd805,0x70bfb1ff,0xd04fe8ff,0xe84fe89f,0x3ffffa4f,
    0x3fa7ffff,0x7fffffff,0x3ffffff6,0xffffb3ff,0x3f67ffff,0x3fffffff,
    0x3ffb0bfb,0x4fd89fd0,0x3ffffff6,0xfffffb6f,0x3ff67fff,0x03ffffff,
    0x75401bf2,0x5403efff,0xa83efffe,0x4ff880ff,0x6ffffec4,0x3fffff61,
    0x7ffec6ff,0xfb3fffff,0xfd8ffc47,0x7f47fb85,0xfe89fd04,0x3fa4fe84,
    0x7fffffff,0x3ffffffa,0x3fff67ff,0xfb3fffff,0x7fffffff,0x3ffffff6,
    0x10bfb3ff,0x89fd0dff,0x3fff64fd,0xffb6ffff,0x27ffffff,0xfffffffd,
    0x01bf203f,0x00c00060,0x7fc817f6,0x7fec0220,0xfd83efff,0x3fffffff,
    0x8ffc47fb,0x47fb85fd,0x89fd04fe,0x04fe84fe,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x31007d90,0xcadfa814,0xddddd304,0x13a63b20,0x00baabd0,0x774c00aa,
    0x57a206bb,0x775c02ea,0x27d304ee,0x06a600ec,0x0f777740,0x801532a8,
    0x2aa601aa,0x98d442a8,0x4055100a,0x05406228,0x55100005,0x00bf3000,
    0x20fbdff3,0x302ffcce,0x3a0ddddd,0x7c05f98f,0xca807f77,0xecdc802c,
    0x5dbe203f,0x7775c03f,0x369f504e,0xffffb81f,0x3bba00df,0xf7f701ee,
    0x406fa80d,0xc81fd9fe,0x3ea05fbf,0x3a6be206,0x8b93b902,0x0dfeb9ec,
    0x003ffe88,0x5d4006dc,0x31301cb8,0x01310013,0x804cccc4,0x9a99aa98,
    0x80f32a01,0x04c40998,0x26213333,0x04cc0199,0x03333310,0xfffdfffb,
    0x9999881f,0xffd01999,0x200ee801,0x103f9afa,0x75401ffd,0x02775405,
    0xfe83bf91,0xc86ffefe,0x9800fd9f,0x99999999,0x40098819,0xfe804ffb,
    0x027fdc04,0xfffffffb,0x13fee03f,0x7d40ffd8,0x3a07ff26,0x13fee06f,
    0x3ea13fa0,0x9ff711cf,0xffffffd8,0x4c0001ff,0x00000020,0x80000000,
    0x1ff50ffe,0xfff50000,0xffffffff,0xfe809fd0,0x04fe807f,0xfb03fff4,
    0x3ddddddf,0xd81fffa0,0x237d44ff,0x0ffdc6fe,0xd00fffd0,0x20dfd09f,
    0x3ff60ffb,0x41eeeeee,0xb104efc8,0x885d5bfd,0xb882efec,0xc880cdfd,
    0xfd9104ef,0x3bf2205d,0xff127f44,0x66fedc43,0x7f6ff400,0x85eeeeef,
    0x3fe604fe,0x27f402ff,0x05ffff30,0xf30017f6,0x3f605fff,0x51bea1ff,
    0x13fe27ff,0x02ffff98,0x1ffc27f4,0x3f62ff88,0xfdff5005,0xefff88bf,
    0x7ff446ff,0x77ec4fff,0x7fd45fed,0x7f445ffe,0x7d44ffff,0x3fa5ffef,
    0xfd87fe23,0x2605fede,0x007fb8ff,0xdfc813fa,0x27f406fd,0x0dfbbf90,
    0xf90017f6,0x3f60dfbb,0x21bea6ff,0x0ffc8ffd,0x1bf77f20,0xff889fd0,
    0xfd8ffe02,0x13ff8805,0x86fec3ff,0x3bfa1ffd,0x3e23ff71,0x2217910f,
    0x43ff13ff,0x3ff71efe,0x7fc4ffe2,0x7fc47fd1,0x3221ff11,0x2ebfb00b,
    0x13fa007f,0x7fcd7fc4,0x4413fa01,0x81ff9aff,0xaaaaaefd,0xf9aff882,
    0xffdfd81f,0xff10df53,0x7c405ffb,0x201ff9af,0x17fc44fe,0x77ec7ff0,
    0x262aaaaa,0x4fd999ff,0x37b25ff1,0xf85ff14f,0x2f7ffa4f,0x4ccffcc0,
    0x85ff14fd,0x33ff34ff,0x8ffa9fb3,0x3ffa1ff8,0x3fe600bd,0x5555ff71,
    0x209fd035,0x813fa7fb,0x4ff704fe,0xfffd84fe,0xfb86ffff,0x3f613fa7,
    0x6fa8ffcb,0x80bfff70,0x813fa7fb,0x03ff84fe,0x7fec3ff3,0x2a6fffff,
    0x5fffffff,0x73f51ff3,0xb03fe6bf,0x7fffccbf,0x3fffea4f,0x1ff35fff,
    0xfff55fd8,0x3fabffff,0xf987fe23,0xf904ffff,0x7ffffdcd,0x04fe83ff,
    0x03fe49fd,0x93fa09fd,0xcefd87fc,0xfe83cccc,0x3f61ff24,0x0df5bfd3,
    0x3a007ff4,0xe81ff24f,0x326fe84f,0x360ffc9d,0x3cccccef,0x26667fe6,
    0x3f7ff109,0x17fc53f6,0x3b2a13fa,0x33ff32ff,0x3fe21333,0xff9a7f42,
    0xfd099999,0x540ffc47,0x7c42ffec,0x333fee2f,0x4fe81ccc,0xeeeeff98,
    0x09fd02ff,0xfddddff3,0x005fd85f,0xfddddff3,0xf53fd85f,0x7e40dfbf,
    0x777fcc06,0xfd02ffee,0x55bff309,0xfd89ffff,0x6c5ff005,0x44bffa1c,
    0x437fa2ff,0x8bb32ffa,0xd8bfe3fe,0x5437fa1c,0xd8bfe2ff,0x43fe601c,
    0x21ff45d9,0xfffffffc,0x213fa007,0xfffffffc,0x909fd06f,0xffffffff,
    0x9005fd8d,0xffffffff,0x3f63fd8d,0x1bf206ff,0xffffff90,0x13fa0dff,
    0x7ff7ffe4,0x02fec2ff,0xefddffc8,0x3f7bfea0,0x77ffcc5f,0x677f45ff,
    0x3ff20ffd,0x3e60efdd,0x645ffeff,0x00efddff,0x7f41ffd7,0x220ffdce,
    0xffffffff,0x213fa007,0xb9999cff,0x84fe81ff,0xb9999cff,0x017f61ff,
    0x4ccce7fc,0x8ff61ffb,0x3206fff8,0x4e7fc06f,0x81ffb999,0x3faa04fe,
    0x25ffeeff,0x3f2005fd,0x6ef41dff,0xfb304fff,0xfd9107ff,0xfff9039f,
    0xfffb303b,0x37fff207,0x117ffa01,0xb839ffd9,0xfc9999ff,0x513fa007,
    0x9ff101ff,0xffa89fd0,0x364ff880,0xffffffff,0xf101ff53,0x2e1fec9f,
    0x1bf206ff,0xf880ffa8,0x004fe84f,0x3f63fb83,0x3fffffff,0x00214010,
    0x20010008,0x04002000,0x0402cb80,0xff709ff0,0x81ffffff,0x02fec4fe,
    0x89fd0ff9,0x9ff205fd,0xfffffffd,0x640bfb3f,0x3a0ff67f,0x81bf206f,
    0x1ff205fd,0x800013fa,0xfffffffd,0x0000003f,0x00000000,0x00000000,
    0x2e07fee0,0xffffffff,0x00027f40,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80003300,0x32a80aa8,0x2a153015,0x80aa6001,0x03310098,0x0aa60330,
    0x15510000,0x20000600,0x05406228,0x2a153015,0x30032e02,0x54c00d40,
    0x33333310,0x0c466003,0x881542a6,0x01ec9dfc,0x419ff553,0x703fd9ed,
    0x3efee0bf,0x3f9bf106,0xd00ffc00,0x21fea09f,0xd103fe39,0x36e207ff,
    0x3f200cdf,0xd99ff303,0x077bf6e0,0x8174d7c4,0xd106b9db,0x32605f9d,
    0x5fff704a,0x3e600fb8,0xfffadfff,0xf801ffff,0x3f21fe9f,0xfff50ff2,
    0x2e05ffff,0x3a1fffff,0xbd03ffef,0x201ffd80,0x2e004ffa,0x827f402f,
    0xf27dc7fa,0xfd9fc81f,0xfedefd80,0x6409f105,0xfb82fdbc,0x500fffef,
    0x7e4409dd,0x17fe601d,0xdd03ce88,0x204f8bf1,0xfffefff8,0x1eeeeeff,
    0x1fe9ff80,0x7426472a,0x05ff90df,0xd0ffe662,0x060133ff,0x20000000,
    0x04fe8008,0x24fc8ff5,0xff100078,0x2202f221,0x3d900001,0x00007fe2,
    0x14c00000,0x5cfd4f88,0x4bbf600f,0x0005ffb8,0x0007c7fe,0xff98bfe2,
    0x7c5f6442,0x8827f41f,0xb80cdfdb,0xd981defd,0xdb501cef,0x3bff95bf,
    0xff504fe8,0x74f7ffe4,0x1cefd983,0x00bdffe8,0xc839dfb3,0x203ba22e,
    0x642ffca8,0x703ba22e,0x9103bdfb,0x2ec85dfd,0xa7c43ba2,0xf8817e6e,
    0x005fe83f,0x3ff17d93,0xd117649b,0xf07fe61d,0x7fffd45f,0x1ff41fff,
    0x5fedefd8,0x7fff7fdc,0x3ffffe60,0x7f7fd40f,0x1ffeffff,0x3fd413fa,
    0x013ffffb,0x1ffffff3,0x4fffff98,0x7fffffcc,0xff88ffa0,0x3fbff660,
    0xf11ff42f,0x7f7fdc1f,0x3ffa20ff,0x8ffa4fff,0x2bf60ff8,0x4c01f74f,
    0xaefc81ff,0x7fdc2aaa,0x409fffff,0x43fe23fe,0x3fe62ff8,0x7e437fe2,
    0x441ff41f,0x417910ff,0x43ff11ec,0x89fb0dfe,0x43bfe2db,0x413fa6fa,
    0x027e47fa,0x27ec37fa,0x22ffeca8,0x49fb0dfe,0x43fe23fe,0x5ff0cff8,
    0x3fe23fe8,0x7fc47b20,0x7dc7bfa1,0x7c47fd1f,0x233f660f,0x7fd405f8,
    0xfffffb80,0xfb2ffc5f,0x447fd03f,0xc97fa0ff,0x45ff12ff,0x1ff41ff9,
    0x00bdffe8,0x44bff2a2,0x310022ff,0xf3339ff7,0xfa827f4f,0xf1027e47,
    0x2ecc045f,0x17fc4ffa,0x7c47fd01,0x221ff30f,0x11ff42ff,0xf95101ff,
    0xf0bfe25f,0xf88ffa9f,0x447dc00f,0x3fea0ceb,0xcccffc81,0xa8bfe23c,
    0x23fe81ff,0x3fea0ff8,0xf32fffee,0x20ffc41f,0xfff303fe,0xffd989ff,
    0x1ff32ffe,0xffffb300,0x1fffffff,0x3fd413fa,0xff9813f2,0xdcefe800,
    0x01ff30ff,0x3fe23fe8,0x3faf7fe0,0xf11ff43f,0x77fecc1f,0x81ff32ff,
    0x447fd5fd,0x57e200ff,0x3e65ebfb,0x405fe81f,0x3fe20ff9,0x3e23fe81,
    0x57ff540f,0x43ff12ff,0x1ff41ff9,0x4bffb2a0,0x5ff0cff8,0x0988bfe2,
    0xcfe8effc,0x3fa19999,0x1fee4ebc,0x7fc409f9,0xd9102622,0x7fc439ff,
    0x3fe82622,0xfea83fe6,0x7f45fccf,0x7c43fe63,0x225ff0cf,0xea7f42ff,
    0x803fe63f,0x3f2dd1fb,0x3fe13fe0,0x30ffcc05,0x47fd03ff,0x7c100ff9,
    0xfc93fe2f,0x2067541f,0x99ff45d9,0x45ff10ff,0x897f24ff,0x4dff10ff,
    0x2b3fa3d9,0x46fd89ff,0x27fc05fc,0x37ea0bf9,0x3f24ff82,0xffb97f65,
    0x3616e080,0x4c3fee5f,0x45ff10ff,0x5ff50dfe,0x0ffb97f6,0xcb7cbf10,
    0x22fff21f,0xf805ffc8,0x207ff24f,0x03fee5fd,0xffb8bfe0,0x441fffee,
    0xcefe85fa,0x37fe0ffd,0x3ee3ffeb,0x740ffeff,0xefffebef,0x53fa3ffc,
    0x41ffffff,0xf701effc,0x801ffdff,0xefffb87c,0x37fee0ff,0x6400fffd,
    0xfddffb86,0x2f7fe0ff,0x3fe63ffe,0x3ee5ffef,0x00fffddf,0x7dbec3f7,
    0x7fffffc4,0xfffffffe,0x3fbbfee3,0xdffb81ff,0xf800fffd,0x4ffed42f,
    0x3f32a1fe,0xcffec882,0x667ff541,0x6fffd45f,0xaeffda82,0x744effe9,
    0x5dff934f,0x405fff30,0x302dfffa,0x3ea0bf99,0xffd82dff,0x5400ff9e,
    0x77fec6ef,0x3faa0ff9,0x6cc5fccf,0xffd83fff,0xf880ff9e,0x427ffd45,
    0xfacfffd8,0x43ffffff,0x1fe9efea,0xff3dffb0,0x20155001,0x00554c00,
    0x10004004,0x00080200,0x20018008,0x00aa8800,0x00010008,0x80040ae6,
    0x04004000,0xa880a880,0x80001800,0x00008000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x30000000,
    0x01550013,0x55103550,0x0c06a001,0x01542a60,0x00aa8030,0x2a203550,
    0x06a6000a,0x00660262,0x10131008,0x15306633,0x441310aa,0x54caa00a,
    0x10055300,0x00aa6055,0x35500000,0x77fffec4,0x80dff700,0x9f900ef9,
    0xfb87f300,0x15f905ff,0x33fe60ff,0x1bfee07b,0xb803be60,0xfffb804f,
    0x07fd0cff,0x320b9df5,0x3f60beff,0xff9ffb84,0x0bf3ba20,0xfffb1bfb,
    0x3f2df10b,0x02fff883,0xff8817ec,0x33bf6600,0xfffffd01,0xfe83be65,
    0x41fffeff,0x204facf9,0x07e400ed,0xff987ee0,0x1ca84ffe,0x36b72099,
    0xf3bf303f,0x800fc809,0x3ff600fc,0xe8ffffef,0x0ffe983f,0x4ffdffc8,
    0x3fee13f6,0x7fcc0ff9,0xeffefd85,0x9e444fff,0xe9fd81ca,0x807f300f,
    0xfff303f9,0xfff01fff,0x83f25fff,0x3faa2ffb,0x004c0006,0x23ec0098,
    0x01ff54fd,0x00000000,0x0130004c,0x5c473fea,0x442f9cff,0xff85fa9d,
    0x27ecff52,0x007abfdc,0xd30dffd8,0x000001ff,0x02200310,0x4fd86ff4,
    0x4cccffcc,0x83b98130,0x45d91ffb,0x45d90ee8,0x45d90ee8,0x46f80ee8,
    0x10bfe2ff,0x2205dfd9,0x9102efec,0x32205dfd,0xd9102efe,0x0ffd05df,
    0x203f3ff6,0x442fecda,0x4fd9fea1,0x25d8ffb8,0x43ba22ec,0x7fd40ffd,
    0x8277e441,0x9104efc8,0x3f2209df,0x117fc44e,0xec817ea0,0x27ff1003,
    0x43fe23fe,0x43fe23fe,0x03fe23fe,0x0ffc49f1,0x7ff447ff,0x7f444fff,
    0x7444ffff,0x444fffff,0x44fffffe,0x4fffffe8,0xffa82ffc,0x7fff441e,
    0xff700fff,0x7dc27ec7,0x11ff43ef,0x21bf61ff,0x3fea2ff8,0x7fd45ffe,
    0x7fd45ffe,0x7fd45ffe,0x3fe65ffe,0xffffc800,0x7cd3f60c,0xffffffff,
    0x7c47fd4f,0x7c47fd0f,0x7c47fd0f,0xf317d40f,0xfd27f43f,0xe87fee3d,
    0x43ff71ef,0x3ff71efe,0xffb8f7f4,0x7dc7bfa1,0x205ff11f,0xefd83ff8,
    0x981ffd8a,0x427ec5ff,0x47fd07fb,0x0bfb0ff8,0x3fe27ff1,0x3e23ff13,
    0x223ff13f,0x23ff13ff,0x3ff13ff8,0x0988bfe2,0x7fff7fec,0x3fe29fb0,
    0xffffffff,0x7fc47fd4,0x7fc47fd0,0x7fc47fd0,0xff307e40,0xff8a7f43,
    0xff8a7fc2,0xff8a7fc2,0xff8a7fc2,0xff8a7fc2,0xff8a7fc2,0x887ff103,
    0x0ffe23ff,0x6c3bf6a2,0xd06fb85f,0xd87fc47f,0x33ff885f,0x9fb333ff,
    0x36667fe6,0x333ff34f,0x27fe69fb,0x3fe4fd99,0x59517f24,0x27ecbfa2,
    0x5ff109ff,0x0ff88ffa,0x87fc47fd,0x03fe23fe,0x21ff88dd,0x81ff33ff,
    0x81ff35fd,0x81ff35fd,0x81ff35fd,0x81ff35fd,0x417fe5fd,0x7fcc1ffb,
    0x3a02fec1,0xf90bfb3f,0xf88ffa0d,0xf10bfb0f,0x3fffea7f,0xfff55fff,
    0x3eabffff,0x55ffffff,0xbfffffff,0x7ff7ffdc,0xfb5fc800,0x7e43fec9,
    0x7cc7fd0f,0x7cc7fd0f,0x7cc7fd0f,0x3e13e20f,0x7c4bfe2f,0xf8a7f42f,
    0xf8a7f42f,0xf8a7f42f,0xf8a7f42f,0xfd27f42f,0x81ffb01f,0x27f42ff8,
    0xf94fd855,0x3a0bf90d,0x6c3fe63f,0x32ff885f,0x133333ff,0x26667fe6,
    0x333ff309,0x27fe6133,0x7d409999,0x42982dff,0x4c9fb5fc,0xbff50cff,
    0x1ff72fec,0x0ffb97f6,0x07fdcbfb,0x29fb05f5,0x37fa0ff9,0x7f45ff50,
    0x745ff50d,0x45ff50df,0x5ff50dfe,0xffa86ff4,0x4cbbfe62,0xbfd04ffd,
    0xff8bfea1,0x3ee3ff12,0x09ff30bf,0x0ffb97f6,0xffc84bfb,0x1cd8bfe1,
    0x21cd8bfe,0xf87362ff,0x2a07362f,0x47fd02ef,0xb89fb2fe,0x0effffff,
    0x3ff77fee,0xfbbff70f,0x37fee1ff,0x3f20fffd,0xffeffa80,0x7f7ffcc4,
    0x77ffcc5f,0x7ffcc5ff,0x7fcc5ffe,0x7cc5ffef,0xc85ffeff,0x6fffffff,
    0x3fbffea0,0x7f7fdc5f,0x7ffff46f,0xff700fff,0x361fffbb,0x17fffe5f,
    0x1dfbbff9,0x77eeffe4,0x3f77ff20,0x377ff20e,0x41f200ef,0x0fffeffa,
    0xffb509fb,0xdffb019d,0x7fec1ff3,0x3f60ff9e,0x3a0ff9ef,0x17ffea06,
    0x81fffecc,0x303fffd9,0x2607fffb,0xb303fffd,0x75407fff,0x9803efff,
    0xd704fffe,0xfc8817df,0x6c01dfff,0xb0ff9eff,0x37ffa6bf,0x1dfffc80,
    0x81dfffc8,0xc81dfffc,0xc981dfff,0x3f6e05fc,0x013f60ef,0x04002001,
    0x004c0080,0x40010004,0x08002000,0x03000200,0x04002200,0x08001880,
    0x08008800,0x00200100,0x02aa2004,0x00000040,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x79100000,
    0x01a89540,0x05510088,0x2a605510,0x40054402,0x0003512a,0x81545544,
    0x026002a8,0x0a980000,0x8008805c,0x28801000,0x331002a0,0x80a20000,
    0x8866000a,0x6cec0009,0x0feeff01,0x40fafbf2,0x7ec03ffe,0x201fd103,
    0x202efffc,0x7649f56f,0xc80dfeb9,0xf504fbbf,0xbfffb00d,0x4efc8801,
    0x3bfffee0,0x7f4c3fcb,0x7f5c41df,0x9ffd703f,0xa80fd881,0x77ffdc06,
    0x775cf6c2,0xa80fd882,0xe8ffc006,0x7664003f,0x0b269900,0x203baebe,
    0x100fd9fc,0x84f8809f,0x06fdbffb,0xd8bee9f3,0x46ffefef,0x540bd4f8,
    0x577d405e,0x3fea04fc,0xffd85ffe,0x44ffffef,0x46fefff8,0x44ffeffc,
    0x25ffdffa,0x2f80fef9,0x3f73fee0,0x3ffbfa0f,0x3fbe66ff,0x7c002f80,
    0x0007fd1f,0x00000015,0x40062000,0xf34fc808,0x9cfb988f,0x43ff62fd,
    0x00000ffa,0xff15fc80,0x7c4ffe20,0x873fea1f,0x2fe45ffc,0xb8ffc5fd,
    0x44bfa0ff,0x1f7110ff,0x1fec05b8,0x8fff47fd,0xf7112ffa,0xf8005b81,
    0x4007fd1f,0xb81defdb,0xdb81defd,0xfdb81def,0xefdb81de,0xdefdb81d,
    0x2fe4ff61,0x3ffffffa,0x449fb1ff,0x445d91ff,0x77ecc0ee,0xb5ff501c,
    0x27fe609f,0x3fa4fd99,0x07fffcc5,0x3fcc05ff,0x97f45ff1,0x07dc0ff8,
    0x2fe803f1,0xfd17fa02,0x3e20fb89,0x45f64401,0xb37fd1ff,0x3bfee05d,
    0x3fee0fff,0x3ee0fffe,0x2e0fffef,0x20fffeff,0x0fffeffb,0x3fffbfee,
    0x07fe7fd0,0xdf99ff97,0xf893f619,0x7c47fd1f,0x3fffe60f,0xfffb00ff,
    0x7fffd40b,0x8ffe5fff,0x12ffaef8,0x985b73ff,0xa8ffe27f,0xb85fdbef,
    0x3601320f,0x21ff404f,0x907dc5fd,0xffffa809,0xfffd1fff,0x3d90dffd,
    0x1ec87fe2,0x8f643ff1,0x47b21ff8,0x47b21ff8,0x47b21ff8,0x37fd1ff8,
    0x4dbe05ff,0xf11fec4f,0xf88ffa3f,0x6c37fa0f,0xffff984f,0x267fe600,
    0x5ff30999,0x3fe23fa2,0xffffff33,0xff72fe8d,0x06fffc89,0x003e61f7,
    0x05fffffd,0x44fe8bfd,0x801f30fb,0x3ff90dff,0x7fd47ffa,0x5ff95102,
    0x05ff9510,0x105ff951,0x5105ff95,0x95105ff9,0x74ffa5ff,0xba7cc1ff,
    0xf11fec2f,0xf88ffa3f,0x045ff10f,0xdffdffa8,0x22ff83d8,0x25ff11cd,
    0x27ff11fe,0xfe88dff9,0x3ffffee1,0x36ffee4f,0x21ec00ef,0x3ffb60fb,
    0x0ffe81ee,0x3d807ff1,0x3e219db3,0x747fe62f,0x2627fc5f,0x22ffeffd,
    0x2ffeffd9,0x3ffbff66,0x3fbff662,0x3bff662f,0x3ff662ff,0x27fd2ffe,
    0xfdb0efe8,0x23ddffdd,0x47fe23fd,0x43fe23fe,0xfe800ff9,0x0dfdff54,
    0x1dfbbff9,0x317edffc,0x8ffe23ff,0x4e64c4fc,0xe87fe3fe,0xf51aa02f,
    0x00ff981f,0x3ff7fffa,0x5bd35406,0x883fe69f,0xd87fd1ff,0x433fe25f,
    0x19ff12ff,0x67fc4bfe,0x3fe25ff0,0x3e25ff0c,0x225ff0cf,0x25ff0cff,
    0x53fe23fe,0xfffffffe,0x7c47fb1f,0x7cc7fd1f,0x445ff10f,0xc87fe209,
    0xff903fff,0xfffe83bf,0xff07fe42,0x3e02fdc7,0x6c1ff32f,0xf88ba04f,
    0x037dc0fc,0x2fff6ffa,0x11117400,0x987fe29f,0xe89fd1ff,0x443fe64f,
    0x21ff32ff,0x1ff32ff8,0x7fccbfe2,0x3e65ff10,0x265ff10f,0x25ff10ff,
    0x97f213fe,0x440bf17e,0x25fd82de,0x93fe0ffb,0x31ff45fc,0x1f807fff,
    0x223dff50,0x77ec4ffc,0x8ff45fd0,0x5ff10ffa,0x26b80ffc,0x260fabe8,
    0x4110aaff,0x2e0013fe,0x3e0ef986,0x747ff24f,0x85ff31ff,0x3ffebdff,
    0x3ffaf7fe,0x3faf7fe3,0x3af7fe3f,0x2f7fe3ff,0x37fe3ffe,0x7fd3ffeb,
    0x7c5ffbf7,0xe9809f36,0x6effdc0f,0x3fee0fff,0x7dc0ffef,0xfffffeef,
    0x2e05f105,0xfffeffff,0xfffff986,0x7ff7fe47,0x7feffec3,0x7d43f106,
    0x3ff67fff,0x3a5fffff,0x07e2003f,0xdff70bf3,0x3fa3fffd,0xa86ffdff,
    0x25fccffe,0x5fccffea,0x3f33ffaa,0x333ffaa5,0x33ffaa5f,0x3ffaa5fc,
    0x17fd5fcc,0xa7cc9ffd,0xf99302fb,0x27bff60b,0x7ffd40ff,0xffff702d,
    0x7403f719,0x277e63ef,0x203effec,0x440cffe9,0xd703fffc,0x172019ff,
    0x543f7331,0x6fffdcdf,0x5c800ffa,0x545ffff8,0xd1fe9ffd,0x017ffb5f,
    0x10008004,0x00400200,0x44040008,0x54403109,0x2000801a,0x02022000,
    0x82817710,0x40020008,0x15001000,0x08801440,0x15000d54,0x01aaaa88,
    0x00004001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x30000000,0x40130015,0x4003501a,0x026200a9,
    0x4d4c0662,0x00351000,0x54c01988,0x51000001,0x8804c403,0x2a854c09,
    0x30000988,0x33333333,0x00d54033,0x31013100,0xa8003303,0xeeeea81a,
    0xfdffb105,0x7ffd107d,0x1ba01f30,0xdfdffb10,0xf709fb07,0xfffffb8f,
    0x3fffee04,0xffa800cf,0xfffffb80,0xb1bf9103,0xfffd503d,0x04fd83bf,
    0xcee889fb,0x006fc82f,0xffffffa8,0xf507ffff,0x805fd81d,0x47fb85fd,
    0x7d4007f9,0x5eeeea86,0x2a21de88,0x86da4c3f,0x403f203d,0x3ea21de8,
    0x7dc27ec3,0x3f7bfee7,0xfffd82ff,0x400efffe,0x7fec0ffa,0x543fffef,
    0x1fffffff,0x7f77ffd4,0x413f60ef,0x5ff984fd,0x8004df90,0xeeffedfe,
    0x1db05eee,0xec80bfb0,0xfdccccef,0x00ff30cf,0x10003f70,0x4c6ea2bd,
    0x543fd83f,0x4417d406,0x31aaa9de,0x5c27ec7f,0xfb13f67f,0x11cffb8b,
    0xfa809ff7,0x433fea0f,0x2ffc7fe8,0x7fcc3ff9,0xd93fe61d,0x009fb04f,
    0x0265bf20,0x3fdc7fcc,0x7ec02600,0x7ffffc05,0x0fffffff,0x044001ea,
    0x50bbfb22,0x4ff7fa2d,0x20fc887a,0x427c402e,0x7fd9d96a,0xb84fd9e6,
    0x8837f67f,0xb837f42a,0x3fea00ff,0x32617fa0,0x4c5ff10a,0x03ff21ff,
    0x04fd86ea,0x27b279fb,0x7e40dfeb,0xfd803fde,0xd900ff75,0x6c1bfd73,
    0x85fd805f,0x4e6c47fb,0x83efd8de,0x3ffa23ec,0x5d364fff,0xa8fc950f,
    0x0d70fc9f,0x65361ba0,0xfb1f9b25,0x7ccff709,0xff00bdff,0x80bfe207,
    0x0ffe0ffa,0xf107fcc0,0x002ff43f,0x3ff609fb,0xffdfdfb4,0x03fffc8d,
    0xff71ff98,0x6c355555,0x26ffefef,0xefd805fd,0x47fdaaaa,0xdfdff349,
    0x24fd87ff,0x3ff71efe,0x7b02ec7e,0x1f8977e4,0x1f81f900,0x6c7f97d9,
    0xff709fb3,0xdfffffc8,0xf80bfe20,0x43fea03f,0x3e002ff8,0x447fe62f,
    0x666643ff,0xff59fb0c,0x1ffb2fec,0xffc83fea,0x5cdf9001,0x3fffffff,
    0x7fd43ff6,0x2fe4bfb0,0x3ffffff6,0x3fe607ff,0x9fb17fa4,0x9ff0bfe2,
    0x7b02e4ba,0x07dc5c80,0x64ba17d4,0xd9ec3fde,0x886fb85f,0x226fffeb,
    0x7ff103ff,0xf887fd40,0x37f6002f,0x3e1ffd88,0x3fffe22f,0xff59fb1f,
    0x4fd93fea,0x7fd47fe2,0x45ff1006,0xcccccffb,0xff893f61,0x2fe4bfb1,
    0x33333bf6,0x3fe607fd,0x9fb17f21,0xbfb03fe6,0x6b87d532,0x20f8807e,
    0x4f880ffa,0x3f75ca64,0xc85fd8fc,0x3f220c6f,0x4c17fe1f,0x3fea01ff,
    0x4140ffe0,0xffeffffa,0xb9913fa1,0x233f63ff,0x6c9ffd19,0x747fe24f,
    0xff9006ff,0x00ffffff,0x8ffc49fb,0xb02625fd,0x40ff70bf,0x17ee0ff9,
    0x0bfe29fb,0x6c3aa9fd,0x80f52fef,0x03f3e24d,0x323aa374,0xf93d57a5,
    0x3e2bf90d,0x3a3ff82f,0x0ffc80ff,0x23fdcbd7,0x0ffb86fd,0x7fc6ff54,
    0x2603ff21,0x109fb1ff,0x11fec9fb,0x1bf2e3ff,0x3ffffe20,0xfd807fff,
    0x7ec7fe23,0xb85fd805,0x83fe607f,0xd27ec5fb,0x8bfea1bf,0x2a1510ed,
    0x443e602f,0xf900fabe,0x54c53db0,0x2ffee2fa,0x7ec9ff50,0x43ff911e,
    0xfb32eff9,0x44ffcc9f,0x6ffcc6fd,0x9a89ff51,0xf883fe20,0xffd30bef,
    0x7ec13f63,0xff88ff64,0x2e01bf21,0xfc9999ff,0x223fd807,0x00bfb1ff,
    0x0ff70bfb,0xbf707fcc,0x3fe64fd8,0xed85ffef,0x805f730b,0x3fffea3e,
    0xdb03f507,0x20bee617,0xfffffffe,0x3ffffe60,0xfffc85ff,0x7c0effff,
    0xc82fffff,0x0fffffff,0x7e4d77ec,0xfffff987,0x9fb0dfff,0x3fd93f60,
    0xffc87fe2,0x3e7fffff,0xffffb84f,0x7fb0ffff,0xffd8ffc4,0x366fffff,
    0x207fb85f,0x17ee0ff9,0xffd989fb,0x3ffae03f,0x235402df,0x101fb998,
    0x3ffae07f,0xffb102df,0xfd503bff,0x75409dff,0x9303efff,0x75407dff,
    0xf981ceff,0x302fffff,0x85bfffd9,0x49fb04fd,0x87fe23fd,0xfffffffc,
    0xf703ff77,0x1fffffff,0x1ff88ff6,0xfffffffb,0x7dc2fecd,0xb83fe607,
    0x1027ec5f,0x5000c400,0x26014403,0x2000c400,0x00260008,0x00080030,
    0x5dd44004,0x0011000a,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3db00000,0x88a63510,0x457aa1ee,0x40009889,0x99999998,
    0x0288a219,0x2620e602,0xddddb000,0x5eeeea83,0x01333310,0x01333310,
    0x2ec83550,0x53003ba2,0x98099805,0x77776c09,0x2a201802,0xa8374c0a,
    0x0009880a,0x310aa151,0x6c0bfe03,0x3fe24fbf,0x67edfea1,0xf8bfb3fc,
    0xfffff91f,0x9be8ffff,0xf7bfd13d,0x7f544fb8,0x776c02ad,0x777541ee,
    0xffffb05e,0x3f6019ff,0x80cfffff,0x3fa0fff9,0x8803fe23,0x3f202fff,
    0x3607fdc6,0x7cc2eeee,0x3f207bcf,0xff07f984,0x200bfb03,0x5c2fcee8,
    0x2039907f,0x3e20efe8,0x7edfea1f,0x8bfb3fcc,0xfddd71ff,0xd98ddddf,
    0xfb5b70cf,0x7ec4fc87,0x00007fff,0x7f7fec00,0xfd80ffff,0x0fffffef,
    0xe97e7be2,0x803fe23f,0x100fe9fd,0x01ffc5ff,0x3fdadc80,0x32209f10,
    0xfb03dd04,0x2ffcc00b,0x1cb83fdc,0x21ff8800,0x369fb7fa,0x1f98bfb2,
    0x00007ff0,0x23dfff90,0x4019cfe8,0x7644efc8,0xfb03ba22,0xd84ffa8b,
    0x027fd45f,0x7fc47fd0,0x3f600000,0xb701ff76,0x40003bdf,0x0015c018,
    0x77777fec,0x0ff70003,0x4f6c07fe,0x43ff13fd,0xd79fb7fb,0x81ae2fec,
    0x1f6403ff,0x3ff61f64,0x2eff61ff,0x7fd40dfe,0x8ffa5ffe,0x2fec0ff8,
    0x3f607fdc,0x640ffb85,0xf11ff43e,0xd717641f,0xf307744b,0xf707fd3f,
    0x321fffdf,0x20dfeb9e,0x5eeeeeea,0xdddd5274,0x7ffecbdd,0x3aa5ffff,
    0x2a5eeeee,0x207fd87f,0xf13ffefe,0xfdbfdc7f,0x362fec0c,0xb00ffe01,
    0x909fb09f,0xdfffb09f,0x9ffc4dff,0x47fd1ff8,0x2fec0ff8,0x3f60ffcc,
    0x6c1ff985,0xf31ff44f,0xfd2fdc1f,0x361bee1f,0xec80ffef,0x3f63ff11,
    0x2a6ffefe,0x46ffffff,0x3fffea5f,0x277f66ff,0xf50ffd99,0x4cdfffff,
    0x00ffec6f,0x22133ffd,0x6dffa5ff,0x805fd84f,0x19bff998,0x9fb09fb0,
    0xffb09f90,0x7cc3fea1,0xd4fd999f,0xd07fc47f,0x223ddfff,0x3fffa2ff,
    0x85ff11ee,0x72fec4fd,0x8bfcc1ff,0x47fb2fff,0xfffffffc,0x5ff95107,
    0x7fd43ff6,0xff913310,0x33137c45,0x7ec5ff91,0x989ffc45,0x262ffc89,
    0x007ff25f,0xfff109fd,0x3f6fffdd,0xc805fd84,0x07ffffff,0x89fb09fb,
    0x360ffffe,0x547fe25f,0x5fffffff,0x07fc47fd,0x2199dfd9,0x3fb22ff9,
    0x5ff30cce,0x7fdc4fd8,0x740fffdd,0xf4fefa9f,0x7fffe41f,0x7ecc7fff,
    0x9fb2ffef,0x7dc0ffc4,0xb83fc43f,0x22fec3ff,0xffb82ff8,0x3ff2fc43,
    0x0ffa0998,0x33ff3fe2,0xfb09fb7f,0xff55300b,0x13f60559,0xdfb513f6,
    0x3e24fd85,0x333ff31f,0x98ffa133,0x42fec0ff,0x2fec1ffa,0x3f60ffd4,
    0xf9effd84,0x7e67e40f,0x446faefa,0x199efc99,0x7fc33fe2,0x7fc49fb2,
    0x4c27fd41,0x84ffa87f,0xfeaaaefd,0x827fd41f,0xf887fa4f,0x220ffa2f,
    0xfd8089ff,0x4005fd84,0x27ec03ff,0x2fe427ec,0x3ff11fec,0x239b17fc,
    0x03fee5fd,0x0ff90bfb,0x0ff90bfb,0x3f0409fb,0xd1fddf30,0xffc87fbf,
    0x267fffff,0x25ff10ff,0x87fe23fd,0xff505ff9,0xd82ffcc1,0x3fffffff,
    0x5b02ffcc,0x7f5df7dc,0x220ffa0f,0x13f601ff,0xff0017f6,0xd84fd807,
    0x1effb84f,0x1ff88ff6,0x3bf77ff2,0xffbbff70,0x265fd81f,0x5fd84ffb,
    0x3613fee6,0x01f8804f,0x3feedfff,0x7f775c1f,0x6ffc5eef,0x7fb3ffeb,
    0xff88ffc4,0x443fea05,0x3ff605ff,0x7c41ccde,0x90aa205f,0xe81dffff,
    0x01ff883f,0x3ff613f6,0xf06fffff,0x84fd807f,0xffe884fd,0xff88ff62,
    0x0efffe41,0x3fe7bff6,0x7ffffec0,0xfffb06ff,0x360dffff,0x5bfd004f,
    0xff33ffc8,0x206fb80d,0x5fccffea,0x8ffc47fb,0xfffffffd,0x3f61ff50,
    0xb0ffffff,0xfffb00bf,0x3ea1ffff,0x3a035307,0x4015503f,0xfffd84fd,
    0xff06ffff,0xd84fd807,0x3f60204f,0x0407fe23,0x7fec0040,0x3603efff,
    0x03efffff,0x5c4013f6,0xf0ffd40b,0x06fb809f,0x88ff6008,0xffffb1ff,
    0x8aa21fff,0xfffffffd,0xfb00bfb0,0x21ffffff,0x000007fa,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x10998800,0x2a60aa35,0xbd313b22,0x00aa8d44,0x4c404c40,0x8804cc19,
    0x88039819,0x4cccc409,0x44022000,0x31098809,0x43333333,0x99999998,
    0x02621310,0x42620100,0x04c40098,0x0d4c0cc4,0x80333331,0x20331098,
    0x26662099,0xf3130019,0x7dff4bff,0x3ea1ff84,0x9f52fe47,0x02fec3fa,
    0xffd117f6,0xe81ffc85,0x4027dc6f,0x7ffec4fe,0xb500cfff,0x7ec17dff,
    0xfdb7d40f,0x1fffffff,0xfffffffb,0x1ff53f69,0x1cffeb80,0x01fed3f6,
    0x9fee17f6,0x3f67ffe8,0x84ffffff,0x8bff34fe,0x3ff63ffa,0xb00dffff,
    0x457dfbbf,0x2fa86ff8,0x8bfe2ff8,0x361972c9,0x22fec05f,0xdfd02ffd,
    0x7e41ffb8,0x227fe404,0xffffeffd,0x66ffcc0f,0x13ff65fe,0x3bff6df5,
    0xfb1eeeee,0x27dddddf,0x007fd4fd,0x4dffdff9,0x807fb4fd,0x27fb85fd,
    0x3f63bffa,0x4ffffeef,0x3ff727f4,0x3ff637f4,0xb86ffffe,0x003fedff,
    0x2bf90088,0x7ec007fa,0xfb2fec05,0x9ffd405f,0x7fe44ff8,0xfff981ef,
    0x3ea2fec4,0x3e27ec4f,0x43fffb1f,0x00bfb6fa,0x4fd80bfb,0xff8807fd,
    0x3605ff12,0x42fec03f,0x21bee7fb,0x47fd85fd,0xbb7f44fe,0x22fec1ff,
    0xffd31ffb,0x3207fdbf,0x7ecf6c3e,0x27e5fe63,0x2fec3ec8,0x7fe57f60,
    0xc8ffd803,0x7ffec0ff,0x4fefe81f,0x7fdc2fec,0x7fb02ea0,0xfa9bfff6,
    0xfb00bfb6,0xfd4fd80b,0xa88fb627,0x764ffa0c,0xbf917fb3,0x7dc2fec1,
    0x47dffd97,0x0ffa85fd,0x9ff313fa,0x0bfb09ff,0x377f27ff,0xfb03fedf,
    0x3ffefe89,0x80ffd7f4,0x02fec4fd,0x13ff37f6,0x7feffc40,0x3209f902,
    0x7ec4fdbf,0x401ff985,0xfbfb1ffb,0x7edbea7f,0x22aaaaae,0x09999dfd,
    0x45ff53f6,0xff8806fe,0x3bf69fb2,0x3f66ffef,0x7fdaaaae,0x6c9ffffb,
    0x17f6625f,0xfff909fd,0xf517f60d,0x6fe46e5f,0x89fb03fe,0x5c099ffe,
    0x3f606fef,0x3602fec4,0x00ffffff,0x40bfff70,0xb6f984fc,0x885fd89f,
    0x3fee02ff,0x3ff2ff62,0xfffb6fa8,0x7ecdffff,0x365fffff,0xdfb7fd4f,
    0x26fe8801,0x21ffb4fd,0xfffb0ffa,0x5cffffff,0xffffd86f,0x7f41efff,
    0x205fff04,0xffedcefd,0xfedfc80f,0xfe89fb03,0x0fffe204,0x2fec4fd8,
    0x3f3fff60,0x3ffa004f,0xd113f200,0xfb13f63f,0x205ff10b,0x9fec2ffa,
    0xfb6fadfe,0x4799999d,0x4eeeeffd,0x7fff53f6,0x7ff4401f,0x2fed3f61,
    0x3bf63ff1,0x27fdcccc,0xfffd86fb,0x9fd03fff,0x209fff50,0xfffffffd,
    0x7fdbf901,0x7fd13f60,0x200ffd80,0x02fec4fd,0x7fe4fff6,0x80df9002,
    0x677e44fc,0x3f64efec,0xb01ff985,0x2a7fb07f,0xbfb6fdff,0xd80bfb00,
    0xbffffd4f,0x20fff440,0x449fb4fd,0x70bfb1ff,0x6c37dcff,0x01dfd15f,
    0xfff889fd,0xaefd82ff,0x6fe401aa,0x89fb03fe,0x2fec03fe,0xbfb13f60,
    0x3e25fd80,0x6fc800ef,0x3f22fe40,0x27ffffff,0x0ffb85fd,0x7fb03db0,
    0xfdb7ffec,0x405fd805,0xf5ffd4fd,0x07ffa03f,0x11fed3f6,0x217f63ff,
    0x21bee7fb,0x1bfe25fd,0x3ffb13fa,0x5fd81dfd,0x7f6fe400,0xfe89fb03,
    0x2ffca883,0x3f627ec0,0x2a2fec05,0x6fc804ff,0xa8f7fe40,0x4efecccc,
    0xffa897f6,0x3602aa03,0x5bffe23f,0x5fd805fd,0x3fea7ec0,0x7ff90df9,
    0x53f61333,0x47fe23fd,0x27fb85fd,0x45fd86fb,0x27f44ffa,0x3fe69ff5,
    0x2002fec4,0xb03fedfc,0x983fe89f,0xfd805fff,0x7ffffec4,0xd0bfb6ff,
    0x6fc803ff,0x017ffc40,0xfffd89fb,0x7406ffff,0x5c3fd83f,0xffffb6ff,
    0x3f67ffff,0xfea7ec05,0x7c45ff13,0xb4ffffff,0xf88ff69f,0xf70bfb1f,
    0x7ec37dcf,0x3a1ffd85,0xc8dff14f,0x017f62ff,0x07fdbf90,0x07fd13f6,
    0x7ec00b2e,0x7ffffec4,0x30bfb6ff,0x6fc80dff,0x9fb00300,0xefffffd8,
    0xd83fe803,0xfb6fe83f,0x7fffffff,0x9fb017f6,0x0ffb8ffa,0xfffffff5,
    0x1fed3f69,0x17f63ff1,0x86fb9fee,0x6ff885fd,0x0ffe53fa,0x7ec3bfa2,
    0x02fe4005,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x26000000,0x99866009,0x2204cc40,0x26666219,
    0x33331009,0x4c433333,0x01998809,0x40099800,0x99999999,0x774d7aa0,
    0x035106ee,0x00000000,0x98000000,0x19999999,0x00000000,0x40000001,
    0x1ff706fd,0xbff717f6,0x3ff66fc8,0x643fffff,0xffffffff,0xd03fff67,
    0x3ffe6fff,0xf705ffff,0x7ffc409f,0x2a6fffff,0xddddd37f,0xc8817ea0,
    0xdb882efe,0xfd980cdf,0xfd9101ce,0x0b7fb25b,0x06277e44,0xefec8830,
    0xdb81dd32,0xed881def,0x6d42eadf,0xdffcadfe,0x1fecf6c1,0xbfd03ff5,
    0x3ffa3fdc,0xffb27ec7,0x45fffddd,0xeeffeeeb,0x8bfff66e,0xff37fff8,
    0x209fffff,0x3a207ffe,0x5ffeeeee,0x2a001326,0xfffd105f,0xdefd89ff,
    0x7ffcc5fe,0x7f440fff,0xefffffff,0x77fd42ff,0x430065ff,0xcfffffe8,
    0x3fee0ff9,0x3e20fffe,0x546ffeff,0xfffffeff,0x3bfa1ffe,0x13fe23ff,
    0x7fd45ff1,0x43ffff10,0x117f62ff,0x1ffc0bfd,0x2a4fffd8,0x26667fff,
    0xf980ffa9,0x22002fff,0xec801ffe,0x77e554c3,0x47bfa2aa,0x1ff11ffb,
    0xdfe82f22,0xefd89fb0,0x50fffc89,0x89ffc4df,0x218031ff,0x3ff71efe,
    0xf11ec8fb,0xd86fec3f,0xf8b6e1ff,0x74df50ef,0x7ec099ff,0x3e23fdc6,
    0x7fbdf52f,0x5fd83fe6,0x3fe04fc8,0x4dfbfb03,0x3607fdfc,0xfbbf902f,
    0x17fec00d,0x7e44fd80,0x17ffffff,0x24ff85ff,0x440bdffe,0x7fc022ff,
    0x2677fe23,0x3ff31ff9,0x0069fb33,0xff0bfe23,0x32a20db7,0x25ff12ff,
    0x9884fdec,0xf999cffb,0xfa813fa7,0x3a13fa1f,0xbf79f94f,0x5dfb1bee,
    0x403ff955,0xf7fb03ff,0x1feffe1f,0xff882fcc,0xb801ff9a,0x3f6004ff,
    0x7ff775c4,0x81ff35ee,0x3ffe65fd,0x03fe64ff,0xfe83ff30,0x51ffffff,
    0xbfffffff,0x3fe63006,0x20f7fec0,0x2ffeffd9,0x73f51ff3,0x7ffeccbf,
    0xffffffff,0xff807fd0,0xf903ff14,0x5fe6bfab,0x7ffec4fc,0x7c03ffff,
    0xfb7fb03f,0x0ff5df35,0x3fdc07fa,0xffa809fd,0xfd855105,0x2217ea04,
    0x427f42ff,0xf12ffeca,0xf104c45f,0x99dff85f,0x3ff30999,0x00613333,
    0xfd0bfe23,0x219ff10b,0xf7ff12ff,0xdff93f63,0x33339fd1,0x3201ff43,
    0x2a0ff77f,0xff0ff8ff,0xefd87fd3,0x03ffeecc,0x5fec0ffe,0xfacfbcfb,
    0x3a06fa87,0x881ff24f,0xff500eff,0x3ea04fd8,0x2a1bfd05,0xe8bb32ff,
    0xfc93fe3f,0xfb86ff45,0xff13667f,0x4018e6c5,0x7d437fa1,0x10ff980f,
    0x97ff45ff,0x1ff12ff8,0x3d99bfe2,0xff300ffa,0x3e209fb3,0x2ff66fcf,
    0x42fec1ff,0x7ff00ffb,0x3be6ff60,0xd87faafd,0xddff303f,0xd105ffdd,
    0x37d401ff,0x5fa813f6,0xffdfff30,0xfdcefe8b,0x3bffee0f,0x7ffcc0ff,
    0xfcfffffe,0x6effe43f,0x218030ef,0x4ffefff9,0x3faf7fe0,0x37bfea3f,
    0x5f7f45ff,0xffcefffe,0x3a00ffa3,0x3a01ffdf,0x3fee4fff,0x885fd87f,
    0x07ff02ff,0x7fffcff6,0x0ff87fa8,0xffffff90,0x5ffb0dff,0x4fd8d500,
    0x4cccccc4,0x7ffecc19,0xcffec883,0x2dfffa81,0x17fffd30,0x3209dffb,
    0x0061dfff,0x3fffd983,0x667ff540,0x3ff77a5f,0xeffda84f,0x44effe9a,
    0xffc803fe,0x7ffe406f,0x217ffe61,0x7fec45fd,0x3607ff01,0x2adffb3f,
    0xf03fc47f,0xf733339f,0x01ffdc3f,0x13f6174c,0xfffffff9,0x0080040f,
    0x80440010,0x26a01000,0x02999999,0x28010002,0x01004004,0x7fff3000,
    0xf87ffb80,0xfffd83ff,0x205fffff,0x27fb03ff,0x8ff54ffb,0x1ff506fa,
    0x7f49ff10,0x7fffffff,0x913f60a6,0xffffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3003ffa0,0x3ffb0bff,0xffffffb0,0x03ff807d,
    0x4bfe67fb,0x82fdc7fa,0x9ff205fd,0xfffffffe,0x0000007f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0x019802a9,
    0x477445d9,0x445d91ee,0x000000ee,0x04020000,0x01442a00,0x774c4ec8,
    0x21311880,0x5eeeeeea,0x4ed87baa,0x25eb8bb2,0x25d90ee8,0x9ba64ed8,
    0x0c4263ec,0x02a80130,0x20a20266,0x4c053018,0x06fb8080,0x3fe83fc4,
    0x4bfe3fe2,0x83fe23fe,0xd83a20e8,0xd73eec9e,0xeb9ec89f,0x2f3a20df,
    0x4403facd,0x7df30ffb,0x7e47fa80,0x1fb6f885,0x3fffffea,0xffcb7f46,
    0xffe97ee0,0x5ff4df70,0x3fd46fe8,0x5c7ec9fb,0x1fff442f,0xfe82ffa8,
    0xb1f621ff,0x86b81dff,0x3f65ffe8,0x22027543,0x447fd07f,0xfd1fc8ff,
    0xfd07fc47,0x7cbfd11d,0xfeffefef,0x3bf64ffe,0x3e66ffef,0x04ffffff,
    0x21ffff93,0x00cffff8,0x417fc5ff,0x224fb9fd,0x42ffc899,0x42ffdff8,
    0x5fff17f9,0xdbfe8ff6,0xb264c0ef,0xfeb7cc9f,0xe836d260,0x4c5c45ff,
    0x54fdf34f,0x9b73f9af,0x546d4d7d,0x3317fb0f,0x4c133333,0x2199ff99,
    0x23fe23fe,0x447fd0f9,0x3bfa20ff,0x9bfe0efe,0x4df91ffe,0x1ff50ffd,
    0x7fe577ec,0x6fffed40,0xbfffb502,0xdf55fc83,0x1ff3bf70,0x540ffee0,
    0x3fd04fff,0x3fe9fdf5,0x07ffffa0,0x3f227ec0,0x3fd85fab,0x41feef98,
    0x5114ffeb,0x26dd3e4f,0x440ceffc,0x3f22666e,0x36ffffff,0xffffffff,
    0xff88ffa3,0x88ffa2ed,0x7ff440ff,0xf91ffc0e,0x9fb3fd4d,0x3ff0ffc4,
    0xdff317f4,0x3ee20017,0x23fe20ff,0xd9ff83fd,0x09ff503f,0xf901ffe8,
    0xf5df5f99,0x5ffffe8d,0xf889fb00,0x6442fe8f,0x7ddfec0f,0x13e6bee5,
    0x5f87dcf5,0x3a213be6,0xffff900e,0x3fe6dfff,0xd1ffffff,0x417fcc9f,
    0x03fe63fe,0xf81dffd1,0xfa97f22f,0xff893f67,0x1fe87fa1,0x0033ffe6,
    0x207ffe44,0xc80ffcfd,0xf986facf,0x7ffdc05f,0x1fddf306,0xfe87fbfd,
    0xd801ffaf,0x7cefdc4f,0x1f93f50f,0x7fc47fcc,0x89fb9f70,0x3f7be27a,
    0x887e73a2,0x0000aaff,0x3f60ff10,0x3603fee5,0x883fee5f,0x20efeefe,
    0xa97f22ff,0xf88ff67f,0x36fbf21f,0xfffd987f,0xfffb502d,0xbfff503b,
    0x17e47f40,0xf880bff1,0xff03ffcf,0x07ffeedf,0x11bf27fd,0xf127ec55,
    0xfc83fb1f,0xfb27ec2e,0x0eeb6e29,0x41dc98f5,0xfffc8108,0x0275401f,
    0x7fdc1fe2,0xb80fffdd,0x0fffddff,0x3fe23bfa,0x5fc8bfe5,0x23fd9fea,
    0xfff31ff8,0x2209ffff,0xf10ffffc,0xf8019fff,0x57e602ff,0x3ffff67e,
    0x5bfa0fff,0xffc81ffb,0xfd0dff33,0xfa8ffe27,0xafc93f67,0x4cc004fa,
    0x00002620,0xb8000000,0x03fc406f,0x1ff3dffb,0x3e7bff60,0xe883620f,
    0x5fc8bfe0,0x23fd9fea,0x59d11ff8,0x8805f579,0x7df30feb,0x403fe400,
    0x3f615329,0x70ffffff,0x437f41ff,0x13fe1ffa,0x0ffb8ffa,0x527ecff5,
    0x00000a65,0x00000000,0x802a9800,0x00044019,0xff800004,0x7fa97f22,
    0x1ff88ff6,0x2a000402,0x00000510,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x26133018,0x3ffffe61,0xfff30fff,
    0x4c1fffff,0x32a0660a,0x19d70441,0x05511544,0x11111111,0x55555411,
    0x9931aaaa,0x544aa199,0x00001531,0x00000000,0x00000000,0x00000000,
    0xf5000000,0x9bff83df,0xffff30ff,0x3e61ffff,0x0fffffff,0x8ffccffa,
    0xccffffe9,0xf92f442e,0x3e22fd87,0xffffffff,0xffffff13,0x3fea7fff,
    0x3eaff0ff,0x00007fb4,0x00000000,0x00000000,0x00000000,0x7f000000,
    0x9bff89b1,0x266660ff,0x4ccc1999,0x3a0fe999,0x2a3ff33f,0xfffffddf,
    0x225fb951,0xaa8bd04f,0x0aaaaaaa,0x22222222,0xbbbb3088,0xd964d321,
    0x0000003f,0x00000000,0x00000000,0x00000000,0xb8fc4000,0x7fc57fc6,
    0x33333310,0x03fa0033,0x4c3fe25d,0x7305e541,0x00080105,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x1fe76c00,0xf33fc3f6,
    0x1fffffff,0x3641fd00,0x000001fa,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x22000000,0x220883ec,0x3ffffe60,0xed800fff,
    0x001102a0,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_bold_19_latin_ext_x[560]={ 0,1,0,0,0,0,0,0,0,0,0,0,0,0,
1,-1,0,1,0,0,0,0,0,0,0,0,1,1,0,0,0,0,0,0,1,0,1,1,1,0,1,1,0,1,
1,1,1,0,1,0,1,0,0,1,-1,0,0,-1,0,1,-1,0,0,-1,0,0,1,0,0,0,0,0,1,1,
-1,1,1,1,1,0,1,0,1,0,0,1,0,0,0,0,0,0,1,0,0,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,1,0,0,0,0,
1,0,0,-1,0,0,0,0,-1,-1,0,0,0,0,1,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,-1,0,1,1,1,1,-1,0,-1,-1,-1,1,0,0,0,0,0,0,0,1,1,1,1,-1,1,1,0,0,
0,0,0,0,0,0,0,0,0,0,-1,1,-1,-1,0,1,0,0,0,0,0,0,0,1,1,1,1,0,1,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,-1,0,1,0,1,0,1,0,1,0,1,0,0,0,
0,0,0,0,0,0,1,1,0,0,-1,-1,-1,-1,-1,-1,0,0,1,1,1,1,0,-1,1,1,1,1,1,1,
-1,1,1,1,1,0,0,1,1,1,1,1,1,-1,1,1,0,0,0,0,0,0,0,0,1,1,1,0,1,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,0,0,-1,0,
-1,0,0,0,0,0,0,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,2,-1,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,1,1,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,-1,-1,0,
0,1,1,1,1,1,1,1,1,1,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,0,-1,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static signed short stb__arial_bold_19_latin_ext_y[560]={ 15,2,2,2,1,2,2,2,2,2,2,4,12,9,
12,2,2,2,2,2,2,2,2,2,2,2,6,6,4,6,4,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,16,2,5,2,5,2,5,2,5,2,2,
2,2,2,5,5,5,5,5,5,5,3,6,6,6,6,6,6,2,2,2,7,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,15,6,2,2,4,2,
2,2,2,2,2,6,6,9,2,0,2,3,2,2,2,6,2,7,15,2,2,6,2,2,2,6,-1,-1,-1,0,
0,0,2,2,-1,-1,-1,0,-1,-1,-1,0,2,0,-1,-1,-1,0,0,4,2,-1,-1,-1,0,-1,2,2,2,2,
2,2,2,2,5,5,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,4,5,2,2,2,2,2,2,2,
0,3,-1,2,2,5,-1,2,-1,2,-1,2,-1,2,-1,2,2,2,0,3,-1,2,-1,2,2,5,-1,2,-1,2,
-1,2,-1,2,2,1,-1,-1,2,2,-1,2,0,3,-1,2,2,2,-1,6,2,2,-1,2,2,2,6,-1,-1,2,
2,2,2,2,2,2,2,-1,2,2,5,-1,2,2,2,5,0,3,-1,2,-1,2,2,5,-1,2,2,5,-1,2,
-1,2,-1,2,2,5,-1,2,2,3,-1,2,2,3,-1,2,0,3,-1,2,-1,2,-1,2,2,6,-1,2,-1,2,
0,-1,2,-1,2,-1,2,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,2,4,4,2,4,4,4,
4,4,4,4,4,4,4,4,4,4,2,5,4,4,4,4,4,4,4,4,4,4,4,4,4,2,6,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,-1,2,-1,2,-1,
2,-1,2,-1,-1,-1,-1,-1,-1,-1,-1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,-3,-1,-1,2,-1,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static unsigned short stb__arial_bold_19_latin_ext_w[560]={ 0,4,8,10,9,15,13,4,6,5,7,10,4,6,
3,6,9,6,9,9,10,9,9,9,9,9,4,3,10,10,10,10,17,13,11,12,11,10,9,13,10,3,9,12,
9,12,10,13,10,14,12,11,11,10,13,17,12,13,11,5,6,5,9,11,5,9,9,10,10,9,7,10,9,3,
5,9,3,14,9,10,9,10,6,9,6,9,10,14,10,10,9,7,3,7,10,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,0,4,10,10,10,10,
3,9,6,14,6,9,10,6,14,11,7,9,6,6,5,9,11,3,5,5,6,9,15,14,15,10,13,13,13,13,
13,13,18,12,10,10,10,10,5,5,7,7,13,10,13,13,13,13,13,10,13,10,10,10,10,13,10,9,9,9,
9,9,9,9,15,10,9,9,9,9,5,4,7,7,10,9,10,10,10,10,10,9,10,9,9,9,9,10,9,10,
13,9,13,9,13,11,12,10,12,10,12,10,12,10,11,13,13,11,10,9,10,9,10,9,10,9,10,9,13,10,
13,10,13,10,13,10,10,9,13,10,7,7,7,7,6,6,5,5,3,3,12,8,10,7,12,9,9,9,4,9,
6,9,6,9,6,10,5,10,9,10,9,10,9,12,11,9,13,10,13,10,13,10,17,16,12,6,12,7,12,7,
11,9,11,9,11,9,11,9,11,6,11,9,11,6,10,9,10,9,10,9,10,9,10,9,10,10,17,14,13,10,
13,11,9,11,9,11,9,5,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,12,9,9,11,9,9,9,
9,9,9,9,9,9,9,9,9,9,15,13,9,9,9,9,9,9,9,9,9,9,9,9,9,14,12,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,13,9,7,7,13,
10,10,9,10,9,10,9,10,9,10,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,13,9,18,15,13,10,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9, };
static unsigned short stb__arial_bold_19_latin_ext_h[560]={ 0,13,6,14,16,14,14,6,17,17,7,10,6,3,
3,14,14,13,13,14,13,14,14,13,14,14,9,12,10,6,10,13,17,13,13,14,13,13,13,14,13,13,14,13,
13,13,13,14,13,15,13,14,13,14,13,13,13,13,13,17,14,17,8,3,4,11,14,11,14,11,13,14,13,13,
17,13,13,10,10,11,14,14,10,11,13,10,9,9,9,13,9,17,17,17,4,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,0,13,17,14,10,13,
17,17,3,14,7,9,6,3,14,3,6,12,7,8,4,13,17,4,4,7,7,9,14,14,14,13,16,16,16,15,
15,15,13,17,16,16,16,15,16,16,16,15,13,15,17,17,17,16,16,10,14,17,17,17,16,16,13,14,14,14,
14,14,14,14,11,14,14,14,14,14,13,13,13,13,14,13,14,14,14,14,14,10,11,14,14,14,14,17,17,17,
15,13,16,14,17,14,17,14,17,14,17,14,17,14,16,14,13,14,15,13,16,14,16,14,17,14,16,14,17,17,
17,17,17,17,17,18,16,16,13,13,16,13,15,12,16,13,17,17,16,9,14,17,17,17,17,17,9,16,16,17,
17,13,13,13,13,13,13,16,13,17,14,16,13,13,14,14,16,13,17,14,17,14,14,11,16,13,17,14,16,13,
17,14,17,14,17,14,17,14,19,17,16,14,13,13,17,14,16,13,17,14,17,14,17,14,17,13,16,13,16,17,
15,16,13,16,13,16,13,13,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,14,11,11,17,11,11,11,
11,11,11,11,11,11,11,11,11,11,14,11,11,11,11,11,11,11,11,11,11,11,11,11,11,14,10,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,16,14,16,13,17,
14,17,14,17,17,17,17,17,17,17,17,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,18,17,16,14,17,14,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11, };
static unsigned short stb__arial_bold_19_latin_ext_s[560]={ 253,251,9,71,98,197,113,45,224,151,237,
11,40,103,117,44,51,249,165,143,85,241,151,70,171,161,181,106,92,18,103,
108,87,80,33,101,96,130,141,125,189,221,91,51,41,57,119,77,238,136,208,
65,45,54,1,15,225,64,94,55,32,12,207,79,73,211,244,149,233,177,200,
114,179,175,82,155,151,56,71,128,208,1,248,139,78,35,114,156,145,22,135,
207,59,63,50,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,
187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,253,215,100,
197,81,174,155,171,110,1,217,125,29,103,39,91,1,118,245,200,67,20,159,
252,61,224,230,190,181,218,16,1,186,147,161,28,50,75,173,18,25,36,47,
64,248,242,227,128,112,89,214,22,1,144,130,45,137,242,160,227,172,116,230,
61,51,41,31,21,11,1,232,230,220,210,200,190,239,251,140,33,132,195,105,
94,83,72,61,1,221,34,24,14,245,48,122,192,114,185,158,166,239,144,31,
123,61,102,74,102,112,52,183,231,126,12,151,92,94,225,105,204,231,127,195,
162,62,71,169,111,238,37,125,27,216,206,212,81,20,66,42,110,235,59,221,
56,252,186,79,215,182,48,24,14,171,84,79,211,15,37,30,202,139,162,146,
232,192,62,82,175,152,226,178,235,119,245,197,214,183,183,213,160,85,15,1,
24,58,12,143,32,88,245,157,113,139,194,1,105,73,92,47,74,44,134,108,
102,1,156,228,187,203,92,181,148,200,159,218,132,100,13,205,243,220,1,241,
1,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,1,187,187,36,
187,187,187,187,187,187,187,187,187,187,187,187,187,116,197,187,187,187,187,187,
187,187,187,187,187,187,187,187,153,22,187,187,187,187,187,187,187,187,187,187,
187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,133,42,
71,7,193,176,171,168,149,139,128,118,107,97,86,76,187,187,187,187,187,187,
187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,
187,187,187,13,52,1,63,38,172,187,187,187,187,187,187,187,187,187,187,187,
187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,
187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,
187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,
187,187,187,187,187,187,187,187,187, };
static unsigned short stb__arial_bold_19_latin_ext_t[560]={ 1,169,222,139,57,109,139,222,1,39,211,
211,222,222,222,124,124,183,183,124,183,124,139,197,139,139,211,197,211,222,211,
183,39,197,197,154,183,183,183,154,183,183,154,183,183,197,183,154,183,92,183,
154,197,154,197,197,183,183,197,39,154,39,211,222,222,197,139,197,139,197,183,
154,183,183,21,183,183,211,211,197,139,109,197,197,183,211,211,211,211,183,211,
1,21,21,222,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,
197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,1,169,21,
139,211,169,21,21,222,154,211,211,222,222,154,222,222,197,211,211,222,169,21,
211,222,211,211,211,139,139,154,169,57,57,57,92,92,92,154,39,75,75,75,
92,75,75,75,92,169,92,21,21,21,75,75,211,139,1,1,39,75,75,169,
139,139,139,139,139,139,139,197,124,124,124,124,124,154,124,169,183,124,169,124,
124,124,124,124,211,197,124,124,124,109,21,21,21,92,169,75,109,21,109,39,
109,39,109,39,139,39,109,75,109,169,109,92,169,75,92,75,92,1,139,75,
92,1,21,39,21,39,57,39,1,75,75,154,169,92,169,92,197,75,169,39,
57,39,211,109,1,1,57,57,57,211,75,75,39,21,169,169,154,154,154,154,
57,154,57,139,57,154,154,124,92,57,154,39,92,39,92,109,197,57,183,57,
109,75,169,21,109,21,92,39,109,39,92,1,39,57,109,169,169,39,109,57,
169,39,109,21,109,21,139,21,169,57,169,57,21,92,75,169,57,169,75,169,
183,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,124,197,197,21,
197,197,197,197,197,197,197,197,197,197,197,197,197,124,197,197,197,197,197,197,
197,197,197,197,197,197,197,197,124,211,197,197,197,197,197,197,197,197,197,197,
197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,57,109,
75,183,1,109,1,124,1,1,1,1,1,1,1,1,197,197,197,197,197,197,
197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,
197,197,197,1,1,92,109,1,92,197,197,197,197,197,197,197,197,197,197,197,
197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,
197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,
197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,
197,197,197,197,197,197,197,197,197, };
static unsigned short stb__arial_bold_19_latin_ext_a[560]={ 76,91,129,151,151,242,197,65,
91,91,106,159,76,91,76,76,151,151,151,151,151,151,151,151,
151,151,91,91,159,159,159,166,265,197,197,197,197,181,166,212,
197,76,151,197,166,227,197,212,181,212,197,181,166,197,181,257,
181,181,166,91,76,91,159,151,91,151,166,151,166,151,91,166,
166,76,76,151,76,242,166,166,166,166,106,151,91,166,151,212,
151,151,136,106,76,106,159,204,204,204,204,204,204,204,204,204,
204,204,204,204,204,204,204,204,204,204,204,204,204,204,204,204,
204,204,204,204,204,204,204,204,76,91,151,151,151,151,76,151,
91,200,101,151,159,91,200,150,109,149,91,91,91,157,151,76,
91,91,99,151,227,227,227,166,197,197,197,197,197,197,272,197,
181,181,181,181,76,76,76,76,197,197,212,212,212,212,212,159,
212,197,197,197,197,181,181,166,151,151,151,151,151,151,242,151,
151,151,151,151,76,76,76,76,166,166,166,166,166,166,166,149,
166,166,166,166,166,151,166,151,197,151,197,151,197,151,197,151,
197,151,197,151,197,151,197,196,197,166,181,151,181,151,181,151,
181,151,181,151,212,166,212,166,212,166,212,166,197,166,197,166,
76,76,76,76,76,76,76,76,76,76,214,151,151,76,197,151,
151,166,76,166,76,166,105,166,130,166,76,197,166,197,166,197,
166,193,197,166,212,166,212,166,212,166,272,257,197,106,197,106,
197,106,181,151,181,151,181,151,181,151,166,91,166,130,166,91,
197,166,197,166,197,166,197,166,197,166,197,166,257,212,181,151,
181,166,136,166,136,166,136,76,204,204,204,204,204,204,204,204,
204,204,204,204,204,204,204,198,204,204,151,204,204,204,204,204,
204,204,204,204,204,204,204,204,232,193,204,204,204,204,204,204,
204,204,204,204,204,204,204,226,197,204,204,204,204,204,204,204,
204,204,204,204,204,204,204,204,204,204,204,204,204,204,204,204,
204,204,204,204,204,197,151,76,76,212,166,197,166,197,166,197,
166,197,166,197,166,204,204,204,204,204,204,204,204,204,204,204,
204,204,204,204,204,204,204,204,204,204,204,204,204,204,204,204,
204,204,197,151,272,242,212,166,204,204,204,204,204,204,204,204,
204,204,204,204,204,204,204,204,204,204,204,204,204,204,204,204,
204,204,204,204,204,204,204,204,204,204,204,204,204,204,204,204,
204,204,204,204,204,204,204,204,204,204,204,204,204,204,204,204,
204,204,204,204,204,204,204,204,204,204,204,204,204,204,204,204,
204,204,204,204,204,204,204,204, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_19_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_bold_19_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_19_latin_ext(stb_fontchar font[STB_FONT_arial_bold_19_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_19_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_bold_19_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_19_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_19_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_19_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_19_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_19_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_19_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_19_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_19_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_19_latin_ext_s[i] + stb__arial_bold_19_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_19_latin_ext_t[i] + stb__arial_bold_19_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_19_latin_ext_x[i];
            font[i].y0 = stb__arial_bold_19_latin_ext_y[i];
            font[i].x1 = stb__arial_bold_19_latin_ext_x[i] + stb__arial_bold_19_latin_ext_w[i];
            font[i].y1 = stb__arial_bold_19_latin_ext_y[i] + stb__arial_bold_19_latin_ext_h[i];
            font[i].advance_int = (stb__arial_bold_19_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_19_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_19_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_19_latin_ext_s[i] + stb__arial_bold_19_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_19_latin_ext_t[i] + stb__arial_bold_19_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_19_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_19_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_19_latin_ext_x[i] + stb__arial_bold_19_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_19_latin_ext_y[i] + stb__arial_bold_19_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_19_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_19_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_19_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_19_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_19_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_19_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_19_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_19_latin_ext_LINE_SPACING
#endif

