// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_14_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_14_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_14_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_consolas_14_latin_ext_BITMAP_HEIGHT        130
#define STB_FONT_consolas_14_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_consolas_14_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_14_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_14_latin_ext_LINE_SPACING           9

static unsigned int stb__consolas_14_latin_ext_pixels[]={
    0x80002211,0x200000a8,0x000000a8,0x01edc406,0x14000035,0x21c93bae,
    0x3201a83b,0x77416402,0x5c00371e,0x22059953,0x351a80ed,0x704d8800,
    0x0c4a0331,0x100007b5,0x57023301,0x1660b65b,0x1d057d10,0x0ba216a0,
    0x7ec44e88,0xd10f01ff,0xdb90b735,0x09ff9105,0x221e4688,0xdb91ba3f,
    0x207b7b05,0x25d03dbd,0x4db6003d,0x019b04da,0x3aa136b9,0x0655c4ff,
    0xec8077d4,0x440f4c2e,0x0b204eee,0x741ddb95,0x7905b2db,0xb8688880,
    0x6441f985,0x67415403,0xefec8810,0x181d0b60,0x3a633606,0x22ffe444,
    0x2044083c,0x80000061,0x80007b2e,0x8603f04c,0x288aeb81,0x20001e44,
    0x00097008,0x3a0201d8,0x0005b2db,0x3a0bff91,0x64e41f43,0x441b9501,
    0x36f3a01f,0x2662d309,0x13ff223b,0x360f98f3,0x0f23fd8c,0x3f23b876,
    0xb31667ff,0xd04eeec8,0x643d8f65,0x82644eee,0x9e63cc0f,0x98f301f8,
    0x3bbbf627,0x5c798f30,0x51e63cc4,0x31e61dfd,0x2d96df4f,0x03bbbf62,
    0x307fb19b,0x3c88354f,0xdb072ee0,0x8773f105,0x3adde9bb,0xb93a2336,
    0x7cf31f85,0x87a0f27a,0x1ea6624c,0x2622e45f,0x365d05c9,0x93310bb3,
    0x30f04c8b,0x81aa798f,0x29b3cc79,0xf31e62f8,0x263cc5a8,0x427e7ae7,
    0xb7b3cc79,0xf14d8b65,0x1ebe7985,0xf104d8fc,0xf702b80d,0x42dee85d,
    0x4acbad9d,0xb90f98f3,0xa556e3f0,0x43d0790f,0x5c8f304c,0xd05b807e,
    0x20136f65,0x32a2645b,0x73cc7984,0x3cdbfe2b,0x8ba2e9e6,0x3a23cc79,
    0x2798f31b,0x23cc689f,0x6c26b679,0x5c2e8ba2,0x3603e955,0x3f6e07d3,
    0x04ffea80,0x5df70fea,0x55e47c74,0x2e3f0b73,0x32b91f85,0x3a0f23f2,
    0x23cc1321,0x5c0698f9,0x3f765d05,0x2645b800,0x31e60f6e,0x4da6354f,
    0x53b93cc7,0x1e63cc1f,0x263ccb32,0x98b31f17,0xd85b3cc7,0x03ea7722,
    0x40fcb2b9,0x2b605d4c,0x5f31983d,0x7df42dc0,0x3276f1d3,0x2a3f0b92,
    0x3ab73cc7,0x3a0f21f0,0x43cc1321,0x2dc04cbe,0x1d77b2e8,0x82645b80,
    0x33cc7987,0x479b4c1f,0x07373679,0x2d4798f3,0x574f31e6,0x9e63cc4a,
    0xb9b16c09,0x43ab7039,0x07b3e80f,0x900d71f1,0x84d88229,0x2fa7ad77,
    0x3e16e6ce,0x31f453e0,0x3c9e6b3f,0x4c1321e8,0x400fea87,0x4f65d05b,
    0x322dc06c,0x47981f04,0x6986ec79,0x2be798f3,0x3cc79819,0x798f312e,
    0x4c2b37ee,0x5b373cc7,0x019af8b6,0x41e6b3f3,0x2b70b71f,0x7764c0f8,
    0x9ffff34f,0xa74f4cc4,0x21b8b9ad,0x3a63cc7a,0x8bee84ff,0x87a0f23e,
    0x3e0f504c,0x5d05b805,0x2e05d8f6,0x89ffffd5,0x1aa3cc0f,0x269fff91,
    0xdddb3547,0x1aa3cc7f,0x35479897,0x3cc33bea,0xb2dcf9aa,0x1ff776c5,
    0x41f45f74,0x7b03e66a,0x4c8b61f4,0x3fa204c4,0x2012e3ef,0x3607d14f,
    0x89fff103,0x2a3d803c,0x1f885d88,0x85d04c80,0x444c8008,0x27f03d00,
    0xf03104d8,0x07c53627,0x9b13f8f5,0xb13f84b8,0x27f01d09,0x5b2d84d8,
    0x887a83e2,0x2f884fff,0xffff12e4,0x9d31f8df,0x212a05b0,0x98288cf8,
    0x3e604ffe,0x403a23dd,0x54cc09cc,0x837ff21f,0x26a04e98,0x174cc2fa,
    0x7d4d40b6,0x1dc816c2,0xb027ff4c,0x49ffd305,0x46c98af9,0x2a24ffe9,
    0x4ffe982e,0x3ffa60f0,0x4cb65b04,0x886c98af,0x7417600e,0x20f88d53,
    0x584cdffb,0x76440660,0xa880002d,0xdd700c42,0x002deb89,0xbdb00f6e,
    0x583ddd05,0x160b7b60,0x0000db88,0x3b6a000b,0x36a000ce,0x01620003,
    0xa8b65b00,0x1880ceed,0x36710240,0x00003e83,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x000164b2,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00051000,0x00350298,0x2a201510,0x20289400,
    0x05900029,0x023301a8,0x00c30530,0x8284c057,0x05101519,0x05300c4a,
    0x80c30164,0x32a0351a,0x0a6002e0,0x710006a0,0x2e13a0e2,0x4ffea80f,
    0xedc81e98,0x3ae03b82,0x5401d700,0x03d300ee,0xf83fffb1,0x50bb7204,
    0x2601ddb9,0x079bcc1e,0x5de9813e,0xf703ee88,0x205dd901,0xdbd85ce9,
    0x90f37983,0x0754136b,0xb9d3007a,0x3ba226c0,0x0d36984e,0x3ea02079,
    0x0088288a,0x201e40c3,0x10022008,0xce804401,0x21801010,0x01100201,
    0x03100000,0x88020044,0x00442200,0x0030c000,0x108803d0,0x00001101,
    0x3faa0440,0x3cc0be4f,0x5e63cde6,0x33eeefeb,0x3f22798f,0xfffd884f,
    0x113ff221,0x0fbae03f,0x10fffec4,0xfb109ff9,0x7fe443ff,0xeeefd884,
    0x227ff540,0x7544ffea,0x3ff224ff,0x49ffd504,0x30eeefd8,0x3f22798f,
    0x9662cc4f,0x540dfdae,0x7f544ffe,0x13ff224f,0x16c598b3,0x265115d7,
    0x2f31e607,0xd98bcc79,0x98f3099c,0x13a23367,0x19b0219d,0x82ed89d1,
    0x19d04c98,0x9d119b02,0xcd810ce8,0x8a6c4e88,0x44575c2f,0x8a22bea2,
    0x36288afa,0x75c4e88c,0x4536288a,0x4f31e62f,0x7c4e88cd,0x8afe9722,
    0x222bea4d,0x8a22bea2,0x7c4e88cd,0x225b1722,0x4c0f501f,0x4c79bcc7,
    0x23cc1e47,0x0f98f379,0x31e603f1,0x82efb81f,0x301f884c,0x3f10f98f,
    0x41f31e60,0x1f88ba2e,0x02f80be0,0xf10f98f3,0x45d17403,0x479bcc79,
    0x1f9720f9,0x0be6a8ba,0x98f302f8,0x41f9720f,0x7c40d53d,0x3798f300,
    0x41e4798f,0x85bbcc79,0x2e0bb61f,0x7f501f85,0x05db04c8,0x76c3f0b7,
    0x21f85b82,0x2a0fa9dc,0x7981e606,0x547e16e0,0x7d4ee406,0x2ef31e60,
    0x23e61f85,0x2d30f469,0xb81e6079,0x23e61f85,0x2b73d869,0x40fa6ff8,
    0x479bcc79,0x3cc26479,0x0fc2e5e6,0x85c8bbee,0x9916e01f,0xb9177dc0,
    0x2efb83f0,0xcd87e172,0xf8adc1cd,0x3d40f56f,0x2e3f0b90,0x66cdff15,
    0x263cc1cd,0xe83f0b97,0xb50f44cb,0x207a81ea,0x5f41f85c,0x8d53d84c,
    0x8c2ff269,0x479bcc79,0x26075479,0xf85bbcc7,0x16e7f500,0x9b10443e,
    0x3fa804c8,0x2a01f0b7,0x41f0b73f,0x46a819af,0x2601f369,0x1f0b700f,
    0x57cd31aa,0xbcc79819,0x7540f85b,0x2e89740f,0x03e601f3,0x2a07c2dc,
    0xf33e80fe,0x3fea34c1,0x36a8f34f,0xffd86a8f,0xf56a8f34,0xaadc0798,
    0xfff33cc7,0x7ffff49f,0x47aadc04,0x7aadc079,0x3bbb63cc,0x6983e63f,
    0x0fe207f1,0xf99e63d4,0xeeed9a60,0x2d51e63f,0x5f83cc7a,0x223fffe8,
    0x207f103f,0x5f83cc7a,0x986ec790,0x13f83c86,0x4d89fc9b,0xb13f8088,
    0x23e8a7c9,0x4f936208,0x01f107d1,0xd88221d8,0x11f453e4,0x29f26c41,
    0xa83e23e8,0x26986ec7,0x7e430bfc,0xe8a7c30b,0x16986ec3,0x4fe3d41f,
    0x7453e4d8,0x1e81f883,0x90c2ff20,0x14f8617f,0x003f107d,0x213fff22,
    0x4ffe981e,0xd827ff4c,0x44ffe982,0x7cc4ffe9,0x7f4c4fff,0x880d104f,
    0x3fffe61f,0x227ff4c4,0x4c4ffff9,0x57cc4ffe,0x7e446c98,0x7ffe44ff,
    0x327ffe44,0xf9109ffd,0x22be69ff,0x7ff4c6c9,0x227ff4c4,0x03d04e98,
    0x644fffc8,0x3fa64fff,0x0274c44f,0x00000080,0x00001600,0x00000110,
    0x002212a0,0x40001100,0x200ceeda,0x00000000,0xceeda808,0x6dc00000,
    0x00007603,0x03db8000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3e25c980,0x7ffd5a63,
    0x28940fff,0x206993e2,0x4014c02a,0x0051281a,0x21e63cc0,0x8806a008,
    0x006a8332,0x40a601b5,0x7c18601a,0x02981361,0x0144a013,0xeffe8391,
    0x08802602,0x21fffff4,0x40c4a061,0x3fe22bf8,0x3a662d30,0x0eea819c,
    0x834c3fe2,0x07a600db,0x3baa09b0,0x799e2000,0x0372a3cc,0xec80bb72,
    0xc8806a85,0xb903d300,0x1e6f305d,0xe981723f,0x3aa09f01,0x857d100e,
    0xf01fa8ae,0x20372a09,0x0f37983d,0x09705dd9,0x21a699f1,0x2204403d,
    0x060d33df,0x01100220,0x53b80088,0x71e63cc9,0x00c30397,0x95035406,
    0x18044059,0x2a7e0006,0x8802200e,0x26002200,0x207d1745,0x03977008,
    0x0440007b,0xf8f883d8,0x883d8698,0x4fc5a64f,0xeffe8d37,0x0d327c42,
    0x7d4bfffa,0x900fffff,0x0f31e607,0x2d83c857,0x2a177ff4,0x2136a606,
    0x7d0bb06a,0x5fcfa176,0xffff881f,0xfffff16f,0x3ffffe2d,0x22ff6446,
    0xfe83f32e,0x02b83fff,0xffff907b,0x9fffff47,0x221acfaa,0x7b0d3997,
    0x5a61ff10,0xe8d37d78,0x3e21fa8a,0xfd30d30f,0x9ce99881,0xeeefeb81,
    0x6cf31e63,0x6c1e4ee1,0x0fd45741,0x509900d5,0x6b87e60d,0x3e6b87e6,
    0x2666605f,0x3e66663f,0x0fe66663,0x747dd19b,0x0f601eff,0x3613ffaa,
    0x3d804c83,0x11667e64,0x361abe2f,0xd33df883,0x234f55e2,0xdf88fa2e,
    0x1f590d33,0xb3101ec0,0x23cc1339,0x74c87a79,0x22e83d09,0x3201aa3e,
    0x97206a84,0x45f2e42f,0x6b802faf,0x46b81ae0,0x74d3b379,0x0f602e8a,
    0x3617cc66,0x3d804c83,0x27880f88,0x883d86ec,0x9e2d379f,0xf99746ce,
    0x34de7e21,0xd80cfde2,0xf303c803,0x4c87a6a8,0x2074b697,0x3543f32e,
    0x03542640,0xf10b75f1,0xf99f8b75,0x4c07e601,0xa83f301f,0x974f1596,
    0x200f607a,0x6e41ec4c,0x307b0199,0x6f89e20f,0x7d7883d8,0x6fa9e2d3,
    0x220f7ff4,0x4b8d37d7,0x07b01ddf,0x89fc0790,0x54c87a4d,0x3a07d7eb,
    0x03541eff,0x20354264,0xfd701feb,0x01d71f83,0x203e80fa,0x31d7883e,
    0x207d174f,0xfeec983d,0x77e41ec4,0xa83d81ee,0x86b8f106,0x3d57883d,
    0xe8dd1e2d,0xabc42e8a,0x0f8f469e,0x13200f60,0x745ffe98,0x656d5321,
    0xe8ae878f,0x2ffffd42,0x40354264,0x7c27404e,0x81ae1761,0xe81ae06b,
    0x51749b5d,0x8b60f60d,0x7ffffd4c,0x41ec0264,0x216e004c,0x33a78808,
    0x25d00886,0xd9d3c47a,0x007f77cc,0x01d5007b,0xf54c82d8,0x2f277a69,
    0x20f52e87,0x2a132008,0x6c03d806,0x7c402203,0x2203f101,0x3fbe201f,
    0x3d801104,0x109d31f8,0x6c02641d,0x4007ee63,0x882d83e9,0x0b61bea7,
    0x3c47d174,0x1f1e4df5,0xfd801ec0,0xd303f04f,0x5ba297bf,0x3a2e86ea,
    0x13202d83,0x00f601aa,0xe816c07b,0x37a1999d,0x277a1999,0x400e8199,
    0x5c1ec02d,0xe984cdff,0x8f601320,0x0f6001ca,0x3747882c,0x3545d02c,
    0x1f16e8f1,0x1ec17ffc,0x01950000,0x0df27c40,0x82c3545d,0x2a4ffffe,
    0x3d85ffff,0x20b01ec0,0x37fffff9,0x26ffffff,0x447fffff,0x3fa05802,
    0x70003fff,0x1ffffe47,0x007ffffd,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2a000000,0x414c0001,
    0x80a88119,0x01e4401b,0x13722035,0x05441362,0x5cc02330,0x886a03cc,
    0x0053000a,0x540a2500,0x3ffffc81,0x26019944,0x1280c300,0x22000003,
    0x5018606f,0x16429803,0xee885db9,0xa83d304e,0x75c0eedc,0x2b602d40,
    0x42edc83c,0xab829bf8,0x501d700c,0xfc81ddb9,0x03e06cdf,0x1e9801d7,
    0xa81f1900,0x2edc80ee,0x2f640264,0x4de613e0,0x885dd907,0xee884eee,
    0x80fdb84e,0xdb90f379,0x7d07a605,0x2200030c,0x01100400,0x3002e01f,
    0x8803e60c,0x2004403c,0xabfff880,0x0220b506,0x5fc00110,0x18601105,
    0x80180264,0x04400008,0xb5b00000,0x01860007,0x3f27b011,0x3ffa3fff,
    0x3fff23ff,0x3ffffa3f,0x8fffff23,0x2603d03c,0x3df13cc7,0x7f41be20,
    0x37c43fff,0x355fffcc,0x06f881e8,0x1f801be2,0x43ffffc8,0x99dc86f8,
    0x0ef7fcc1,0x21ffffe4,0xfff906f8,0x906f887f,0x7c47ffff,0xfffe86b8,
    0x3ffffa3f,0x2a7d0bb3,0x07b00991,0x907b0099,0x1e83c409,0x36798f30,
    0xfdb84fab,0x6dc0f600,0xabffe80f,0xfb706986,0x403f6e01,0xc81feed8,
    0x207edc04,0x261eeefc,0x4c85f537,0x6407edc0,0x407edc04,0x7c56e04c,
    0x1ec07b00,0x906b87e6,0x9907b009,0x09907b00,0xfdae82d8,0x7cf31e64,
    0xdad87d11,0x56c0f603,0xabfd883d,0xb5b03d86,0x40f6b607,0xc81f88ce,
    0x21ed6c04,0xd71e604c,0x6d6c04c8,0x56c04c83,0x3604c83d,0x01ec0fa3,
    0x17cb907b,0xb0199dc8,0x0333b907,0x267720f6,0x9fe86a81,0x333f31e8,
    0x5b86e4f5,0xd81ae3e2,0x06b8f883,0x883c46a8,0x8f886b8f,0x0fc7a86b,
    0x220ccee4,0x02646b8f,0x6e4798f3,0x5c7c4199,0x4199dc86,0xdc86b8f8,
    0x3ffe2199,0x407b06ff,0x5baf883d,0x07bbbf20,0x3bbf20f6,0xfc83d81e,
    0x41e81eee,0x77cd322e,0x57e47eee,0x07c56e2e,0xf15b83d8,0x25c6a801,
    0xb81f15b8,0x45b81f15,0xeeefc81f,0x907c56e1,0x3e23cc09,0x87bbbf20,
    0xfc81f15b,0x456e1eee,0x7777e40f,0x80f88d51,0x5c0f603d,0x013201fe,
    0x201320f6,0xb804c83d,0x26990f44,0x374c3cc7,0x7b03e8f6,0x201f47b0,
    0x3d807c6a,0x1f47b0fa,0xc81f896e,0x23e8f604,0x263ffffc,0x09907d47,
    0x4c87d1ec,0x643e8f60,0x07d07b04,0xd01ec07b,0xd804c809,0x3d804c83,
    0x0f8804c8,0x8f34c87a,0x7c4f3079,0x7b06ffff,0x6fffff88,0x20b52640,
    0x26fffff8,0x46fffff8,0x81fd89f9,0xffff104c,0x983a20df,0x41323647,
    0x46fffff8,0xffff104c,0x2004c8df,0x203d80e8,0x900f603d,0x9907b009,
    0x09907b00,0x321e8f20,0x2e798f34,0x11aa5eba,0x6a87b01f,0x97d307c4,
    0x6a816c3f,0x446a87c4,0x7577e40f,0x8d504c81,0x20ea80f8,0xc83f9379,
    0x0f88d504,0x22354132,0xb801320f,0x3603d80d,0xf900f603,0x7ff47fff,
    0x3fff23ff,0x3ffffa3f,0x0fffff23,0xa643d144,0x9953cc79,0x23e83d85,
    0x7b3ffffe,0x0bb987d0,0x7d07b014,0x000fa0f6,0xd9ffffe4,0x47703e83,
    0xc81dfff9,0x07b3ffff,0x7fffe47d,0x647d07b3,0x2203ffff,0x3ffffa3b,
    0x0fffffa3,0x000000f6,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x03128000,0x01198298,0x2606e000,
    0x39800099,0x70198b80,0x40662e05,0x0133303a,0x17505537,0x00999819,
    0x27103317,0xa8059038,0x4003260c,0x71388002,0xc8062ee0,0x4c0ca802,
    0x504a800c,0x5dd90267,0x32a0f4c0,0x66540eed,0xdfd903d2,0x002ccc89,
    0x5003e697,0x413e01df,0x0d900efa,0x3a60b332,0x3207f605,0x1df502cc,
    0x361a6d30,0x01d503db,0x059801d5,0xb4c9ffd5,0x5fbba869,0x5407b7b0,
    0x401d500e,0x7e445bdb,0x400880df,0xa9804008,0xd31068cd,0x4d500017,
    0x0000d11e,0x00000000,0x00000000,0x00000000,0x2e17fb22,0x000288ae,
    0x00000000,0x0fd54c00,0xffe837c4,0x4c9f13ff,0x76409906,0x3eec82fe,
    0x00320d50,0x3b20fbb2,0x27ff543e,0xd50f7ecc,0x7dd909ff,0x443dfb30,
    0xec884eec,0x8ee1d84e,0x21d8ee1d,0x23b8763b,0x223ee8cd,0x3bb2201f,
    0x84eec884,0xc884eec8,0xeec884ee,0x83dfb304,0xfdb86feb,0xff10f600,
    0x82641a61,0x642e89dd,0x0d507d15,0x9067ed64,0x15c8fa2b,0x2f98cc7d,
    0x98262be6,0x8ae45f31,0x262be63e,0x13a63360,0xe89d319b,0x321e9321,
    0x3a4c87a4,0xd9bcd321,0x9b01aa69,0x8cd89d31,0x4c66c4e9,0x74c66c4e,
    0x274c66c4,0xc8262be6,0x56c2f88d,0xf10f603d,0x2641a67b,0xf85b07c4,
    0x81aa16a0,0x3e3e8afd,0x2a0f96a0,0x04d93205,0x2a0f9320,0x23cc1365,
    0x8d51e66a,0x21e9321e,0x24c87a4c,0xcb55321e,0x7c56e78a,0x26a8f36f,
    0x8f335479,0x4d51e66a,0x13635479,0x44b707c4,0x0f606b8f,0x41a6f3f1,
    0x16c7984c,0x0dfffff1,0xb71ec0d5,0x5bffffe2,0x26fffff8,0x3a4feec9,
    0x3fbb2602,0xdfffff14,0x446a8174,0xe8f11aa7,0x321e9321,0x3a4c87a4,
    0x8ebc5321,0x2d31aa79,0x8d53c46a,0x4f11aa78,0x8d53c46a,0x79817478,
    0x3e2b7354,0xd7887b00,0x21320d37,0x3f117479,0x16c0d500,0x4407e2b7,
    0x4c8b601f,0x322d8132,0x26403f14,0xf334c798,0x990f4698,0x0f4990f4,
    0x4990f499,0x7cc9b5de,0x263cda60,0x4cd31e66,0x98f334c7,0xc8d31e66,
    0x25b8f304,0x1ec0fa3d,0x834f55e2,0x3f25f04c,0x2a006ec2,0x25b8b606,
    0x01bb00dd,0xf3274c7e,0x3a63f045,0x7cc03764,0x0f63e822,0x5321ec7d,
    0x7d5324fa,0x927d5324,0xef893ea9,0xd30dd84f,0x3e87b1f4,0x1ec7d0f6,
    0x1f43d8fa,0x822f987b,0x3e27d13e,0x7b06ffff,0x41b3a788,0x97ff504c,
    0x3fefd885,0xb8b606a8,0x8ffbf625,0x2e3fefd8,0x6d44cdff,0x37fee2ff,
    0x3fbf624c,0x317fed43,0xfd309ffd,0x7bfd309f,0x25eff4c9,0x4c97bfd3,
    0x0744bdfe,0x49fff910,0xe984ffe9,0xffe984ff,0x84ffe984,0xb504ffe9,
    0x7ff4c5ff,0x01f11aa4,0x3ea7887b,0x27ffff46,0xfa802000,0xb8b65fff,
    0x00080105,0x00400000,0x00000000,0x51000000,0x00000400,0x00000000,
    0x741ec000,0x4fffffa3,0x00037478,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x44000000,0x00b20713,
    0x0064c195,0x389c4000,0x59018bb8,0x3260ca80,0x8039b500,0x8c88002a,
    0x000000c9,0x005c3177,0x999806a6,0x00590000,0x00154dc0,0x706e4400,
    0x54072203,0x37ff620c,0x6c34da60,0x01d503db,0xfffb81d5,0x0fffec42,
    0x7751a6d3,0x07b7b0bf,0x03aa03aa,0x401f73d7,0x13bb624c,0x307a27a2,
    0x447ffffb,0xbba84ffc,0xfa807a5f,0x599903fc,0xd89ffd50,0x3ffc83db,
    0x0ee0bd30,0x2ef203b8,0x0ba20b55,0x453a0754,0x0000004e,0xd07d4100,
    0x00000219,0x1e800000,0xd14c807e,0x22002e45,0x19b03f2f,0x0f4009d1,
    0x0016e7b0,0x00a22bea,0x02e88dd8,0x0f203c80,0x0e8e8ad8,0xb1740000,
    0xc83eec87,0x3eec83ee,0x3e03eec8,0x75403f10,0x7ff544ff,0x227ff544,
    0x7544ffea,0x2ec7e4ff,0xbba7ff5c,0x221e8dc8,0xf2dc4eec,0x07cc7983,
    0xdae9dc3b,0x1ed360df,0x17c770ec,0xf89bfb20,0x3fb21b20,0x3bbbfae6,
    0x7dddfd73,0x03cbdea8,0xec83dfb3,0x75d7d46f,0x91f45720,0x15c8fa2b,
    0x3e8ae47d,0x0bb62dc4,0x262f98cc,0x98cc5f31,0x17cc662f,0x4fcbe633,
    0xd89dc85b,0x7139b3b4,0x274c66c7,0xb84d7c79,0xc87a1f85,0x49b15fd4,
    0x43d04ef9,0xdb80f34c,0xff934c10,0x4c410db8,0xb31099cd,0x33301339,
    0x262be60d,0x640436e0,0xb507c3ff,0x07cb507c,0x4b507cb5,0xefb83ffc,
    0x99026402,0x09902640,0x0eb9fa64,0x23a990fc,0x23cd2a0e,0xeef8f66a,
    0x743f0b91,0xd5175321,0x22447f64,0x03d5321e,0x23aa07ae,0x0f5c78ce,
    0x01e40790,0x409b01e8,0x51b901eb,0x3fffe27f,0xfffff16f,0x3ffffe2d,
    0xdfffff16,0x3ea07d10,0x93fbb263,0x264feec9,0x3264feec,0x3b264fee,
    0x3b63f4fe,0x3b4c8f31,0x354ee179,0x07e4d9e2,0x0f41f0b7,0x56987a99,
    0x3d1abb2d,0x400f9a64,0x3fe62efc,0x5df90f12,0x0fffffcc,0x2f3200f2,
    0x3201745f,0xb83e22ef,0x3e203f16,0x2203f101,0x4099001f,0x24c8b65b,
    0x22d9322d,0x24c8b64c,0x90fd322d,0x94d83e2d,0x23d1b917,0x4d934c79,
    0x1e63d41f,0x21ea643d,0x27f4995a,0x7f14c87a,0x7c4bea00,0x2fa81aa1,
    0x80990264,0x645b68e9,0x7c5f5004,0x00dd9762,0x037601bb,0x3a6006ec,
    0xf26c4112,0x31f93a63,0x4e98fc9d,0x3f274c7e,0xd50fd3a6,0xd14fb9f4,
    0xd8fa2dc3,0x40fcfe23,0x4c87d14f,0x744ba9f5,0x0fee1d52,0xfc93ea99,
    0x8fa0430b,0x4085d14d,0xa807543e,0x5a27a00e,0x208be62c,0xfff51f40,
    0x7f7ec41b,0x8ffbf623,0x223fefd8,0xffd3fefd,0x7fffcc5d,0x266ffdc4,
    0x5c99bff7,0x3ee4cdff,0x3fee4cdf,0xff93f4cd,0x25e7fd43,0xd309ddb1,
    0xffd509ff,0x7ff4c7ff,0x4bdfe984,0xfc87fff9,0x3a61fbef,0x7fe44bdf,
    0x13fff64f,0xfb07ffb1,0x3ff609ff,0x5c4ffd84,0x36a1bb64,0x3fff62ff,
    0x80100104,0x20200400,0x00004400,0x00000000,0x00000000,0x00000000,
    0x10000000,0x00010000,0x40000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x93191000,0x32198b81,0x2065400b,0xffd500c9,0x70317709,0xdfd90553,
    0x4ec71388,0x032a04fd,0x77640654,0x570b32a3,0x1f503bd7,0x22370f66,
    0x4c88dc4c,0x640170dc,0x4eca86fe,0x664198b8,0x04ccc00c,0x2c815c3b,
    0x20031770,0x3667fffc,0x44f441ef,0x20efa81e,0x1d502fca,0x46603aa0,
    0x3eeea2f9,0xdb85e985,0x4d369810,0xa81e89ee,0x901d500e,0x6d4cfa2b,
    0x2e467644,0x27a886cc,0x5a97325a,0x3a5a9732,0x86dc2eef,0x414df5c0,
    0x7d540efa,0xd1666401,0x6dec1e43,0x32fddd43,0x4cc45ffb,0x1315f37a,
    0x3ea00000,0x64000000,0x3ae00004,0x322e8001,0x07c00004,0x2e44c8b5,
    0xec8820b3,0x8ad40e88,0x0e8ad40e,0xd7026be6,0x0000fa03,0x0f40007e,
    0x64000079,0x2f301f52,0x770ec04d,0x3e0ee1d8,0x9f99fd31,0xc983eeb8,
    0x36764fee,0x6f5d5c4f,0x2e177e41,0x990f43ee,0x2e27ecec,0x3e21deba,
    0x6e46ffff,0xd100994c,0x41e47e4c,0x2b50795a,0x1cb9e83c,0x07e177e4,
    0x3e03eeb8,0xd0fbae01,0x3bae1e43,0x403eeb83,0x05d7982e,0x3d1321e8,
    0x44d73264,0x443d5e88,0x322d84c9,0x87a27ba4,0x505c8cec,0x2264c45f,
    0x9ee9321e,0x233b21e8,0x8807e25c,0x101323fd,0x34c544d7,0x11069888,
    0x2f3ba0d3,0x3e2fa81f,0x81326200,0x9931061f,0x310f61e8,0x09931099,
    0xdbcc0fc4,0x8990f404,0x5fcd321e,0x20b65b00,0x9d31f84c,0x2e499174,
    0x20fa04b3,0x4990f44c,0x25c9322e,0x5406ec59,0x102644ee,0x007a057f,
    0xd01e803d,0x1f409ec9,0x4099001f,0x9907f71f,0x209f54e8,0xc813204c,
    0x8beaf305,0xe8990f40,0x4434d321,0x82eeefee,0xcdffb84c,0x324c87a4,
    0x13fff604,0x4c87a264,0x1324c87a,0x27fdfb10,0x204c8990,0x3633205b,
    0x86eacc84,0x0f44d8cc,0x13fff699,0x4099001f,0x9905f51f,0x2f9dfee8,
    0x413204c8,0x54f500ec,0x90f42fff,0x45321e89,0x80794c82,0x3a0e804c,
    0x804c9321,0x4413202e,0xc9321e80,0x3207a004,0x0d701104,0x262e6da6,
    0xb6983a16,0x1321e8b9,0x9001f013,0x6400fc09,0x4c800f44,0x03ae1320,
    0x3c8bb115,0x913ea990,0x424d3ea9,0x6405e8ad,0x3d0f4c04,0xf0099264,
    0x05b04c80,0x0992643d,0x13207e20,0x0aee816c,0x87b7e67a,0x9e87b11e,
    0x87a1edf9,0x07c16c4c,0x03f02640,0x001e8990,0x32264099,0xff90999f,
    0xd301e81b,0xfe9897bf,0x981f74bd,0x20ffd9ef,0x204ffffe,0x24c87a4b,
    0x3fa0004c,0xe82c4fff,0x004c9321,0xffffe92a,0x4f6e02c4,0x21d7314b,
    0x5c7bf24b,0x741d7314,0x3e0b1321,0x3ffffa00,0x3fffff34,0x29ffffd0,
    0x7fff401d,0x3ffffa4f,0x0dfffff4,0x00000000,0x00000080,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x27ecec00,0x881ffff9,0x54dc1fec,0xca805702,0x30cda880,
    0x3f62798f,0x21640eee,0x5c00ee1d,0x8002c800,0x432a001b,0x740dfd9d,
    0x54b31664,0xdfd702cc,0x262a9b87,0x64503cc7,0x0ef7fc04,0x20fa83cc,
    0x0510a0f9,0xbffd0df1,0x8f44f747,0x744199cc,0x05e9819b,0x00ea813e,
    0x1e6153bb,0x2f8a6cf3,0x990f44f8,0x3d2efe98,0x883dbd80,0x00f63ffd,
    0x15dd0754,0x3e2fc49b,0x4da99722,0x44d89dc8,0x263cc5e9,0x1321db07,
    0x85f511f0,0x3d936079,0x1726abe2,0x13d03f6e,0x4c8ba3d3,0x001ec079,
    0x3e200000,0xd3cc7980,0x74041745,0x225f1321,0xe80003d1,0x00f63f13,
    0x01aa2e80,0x4c81f972,0x00990fc4,0xe88f31e6,0x83e02644,0x1647cc6b,
    0x2a1aa3e6,0xad80ffef,0x27b0f43d,0x56e5321e,0x41aa9f81,0x7644fd9d,
    0x3bae2eee,0x1e60f303,0x7d4ee4f3,0x3d0fbae0,0x3a0f3264,0x20ae4fda,
    0xb4c8f31c,0x3bb21ec7,0x34c3d2ee,0x834c7cc0,0x9323cc4c,0xf32eeeec,
    0x20fa6798,0x15f30c4c,0x3ef983e2,0xb703db90,0x71f107e2,0x1ea9be8d,
    0xdcaa643d,0x97df10ef,0x744f747f,0x83ee6621,0x77544c98,0x31e65eef,
    0x20e6e6cf,0x90f44c98,0x9fe83cc9,0xe82971e8,0x7b5a8f31,0x2e662176,
    0x22dc3d0f,0x20997d00,0x9363c44c,0xf30fb998,0x203b6798,0x7f4fee4c,
    0x3ee1f14e,0xd82fc407,0x22b70ba3,0x37fbba0f,0xf82643d0,0xd3541f13,
    0x17c42645,0x7d4c44c8,0xf31e6199,0x9900cd7c,0x2a9f54c8,0x8ba6ffff,
    0x7cfab54c,0x57aeb7a0,0x7c404dbd,0x2174cba2,0x00fea85f,0x3ee5f099,
    0x1e62f884,0x640ec8f3,0x20f8bea4,0x40f530fa,0x644ffffe,0x23d83f16,
    0xaec47a3e,0x26c1321e,0x43d3cc3f,0x3203e84c,0x1e60f304,0x7f776cf3,
    0x7f4c4c83,0x741e64bd,0x7474d321,0xbaca878e,0xe801fbb4,0x41ffff43,
    0x640bf07d,0x4ccffa84,0x2a3cc3e8,0x1321fa86,0x263641f0,0xf503d807,
    0x7fc41fdd,0xb87a6fff,0x3f307b06,0x0f49b26c,0x6405c899,0x1e60f304,
    0x7a83e2b9,0x30f404c8,0x14c87a0f,0x80d5d77f,0x01d77b2d,0x9007a172,
    0x6403f10b,0x2e44c804,0x209b13f8,0xf80990e9,0x3cc2fc98,0x47ddfdb0,
    0x25c89af8,0x1e87c46a,0x23f509d3,0x7441effd,0xc87a0dff,0x99003aa4,
    0xdbcc1e60,0x315f31ef,0x4c0990d9,0x0f41e61f,0x75c77c99,0x365d9885,
    0x01d50d93,0x83b6203d,0x26404e98,0x01d52640,0x8013ffa6,0x7c3ffffc,
    0xff981dff,0x503d85ff,0x3a0f6288,0x107dffd3,0x2000085b,0xffe9321e,
    0x3fffa4ff,0x0003cc4f,0x7419ddb5,0x9704ffff,0x5bffffea,0x16e9321e,
    0x43efd87f,0xffd1763d,0x440769ff,0x3a03db81,0x2e04ffff,0x13ffffa3,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xeeeeea80,0x7c37540e,
    0x3e601def,0xfd002606,0xf80625ff,0x301e96e0,0x32dfffff,0x9643ffff,
    0x3fffea0e,0xbdff30ff,0x3ffffc83,0x1ffffff5,0xf30bbffa,0xffff1798,
    0x4fa176df,0x643ea0fa,0xb07d2d83,0x2a4d87e7,0x47dffd06,0xfe9f62f9,
    0x49f13fff,0x13bb2269,0x1ca9a93a,0x436f6c17,0xd02fa88f,0x3016c0db,
    0x83f981fd,0x1edaabfa,0x998179bd,0x33b94c99,0x88f1d813,0x2619ce99,
    0x2645f537,0x19ce9988,0x987ea2ba,0x33333cc7,0x6b87e67f,0x1e45d26c,
    0x7c46b8ec,0xd51723f0,0x53aa27a0,0xb0fd15e9,0xd30ff887,0x1274c66c,
    0x9d88d4bf,0x7c35c60b,0x2b6e1ae0,0xac80b606,0x5c4e880f,0xd1edccdf,
    0x2205f959,0x3260991f,0xd81cfcdf,0x935c7983,0x5d07b009,0x798f31f4,
    0x3e5c8d70,0x22e4fc42,0x1f11e84b,0x1d53f354,0x5c3d06a8,0xf771f956,
    0x3df887b0,0x0d51e6d3,0x02eb21a8,0x215f31ae,0x2a3e20f8,0x66f66446,
    0x819fbc44,0xb83e0dd8,0x705b87a5,0xf988264b,0x3d809ea9,0xb93cc798,
    0x20f60333,0x7cc3f32e,0xf987a999,0x82dd7c41,0xda5c0feb,0x7b1f41d2,
    0x3540fdfc,0x655b21e8,0x6c0f8ebc,0x69bcfc43,0x540788d5,0x70175d89,
    0xf14efe8d,0x446a9ec1,0x5c2aceaa,0xf301ddf4,0x2fffffc5,0x1f835c3d,
    0xf07ffff2,0x3fff2166,0x1f11e61f,0x207bbbf2,0x1effe83d,0x3f7777cc,
    0x1feb81f4,0x2b50bf10,0xf35c1f5f,0x6a82ffc1,0x25f737d0,0x81f5e9cb,
    0x9bebc43d,0x40698f36,0x202e489a,0x3ea0f86b,0xb0354b50,0x807c7a05,
    0xb707c2fa,0xb84e88f4,0xfb982645,0x07b02dca,0x990fa8f3,0x15d07b00,
    0x3cc7985d,0x409d01ae,0x56d41fec,0x47c478fc,0x417d7c6a,0x39ddd06a,
    0x81f2ea5c,0x9eabc43d,0x743d8fa6,0x0b8626a4,0x320f86b8,0x3fffff66,
    0xf982d82f,0x1eb80fee,0xee96e0f8,0xc83f04fe,0xbb5d9304,0x1e60f605,
    0x6c0264d9,0x98f52e83,0x03f13cc7,0x71f303d8,0xbc9de98d,0x7c3dbe87,
    0x83541f99,0x3d09701e,0x9d3c43d8,0x227ff4cd,0x8e66a5f8,0x27b2620b,
    0x0bf263e0,0x3c8006a8,0x201b303e,0x9be96e0f,0x0990d700,0x3602ca54,
    0x3f937983,0x41ec0264,0x4798fa2e,0x26677a79,0x47d03d81,0x755ba24e,
    0x7c0fdb86,0x83541d71,0x3d07901e,0xf53c43d8,0xcda8000d,0x3f60eccc,
    0x3ffe6fff,0x2235401d,0xf15fffff,0x8017ffc1,0x01e96e0f,0x7026417c,
    0x83d80b69,0x641dfff9,0x3d83ffff,0x799aa2e8,0xffff9bcc,0x6b83d87f,
    0x24f88fcc,0xf86f886f,0xfffa9761,0x0f203d5f,0x7ffff47a,0x006e8f13,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x13eeff20,0x5400dfd9,0x3fa64ffe,0xeec84fcc,
    0x40f7ecc3,0x0ee1d808,0x6edd4000,0x3f6763e9,0x877aeae4,0x05934c6a,
    0x21cca859,0x2e88f62c,0xeeeec96e,0x0c108832,0x221101a8,0xb907dd70,
    0x1e440819,0x3e8066dc,0x0401cc98,0xa8266666,0x70e8ef8d,0x3fdd021b,
    0x225f3198,0x643d5e88,0x2be67d15,0xe84f8098,0x2ffc9321,0xb3f507b0,
    0x44f74f1b,0xb919d91e,0x3b9321f8,0x37770f41,0x426cb63b,0x220f98fa,
    0x2b90fa88,0x8f2991e8,0x74099b89,0x132223d2,0x4f88f666,0xb5709dd3,
    0x4c1d7709,0x53a27a9e,0xdddd15f8,0xb4d9e49d,0xb5007ae5,0xb2d84c80,
    0x36b507c5,0x1e81a804,0x079b4d32,0x4f2b507b,0xb93c8ba7,0x1f932244,
    0x10f9ed2a,0x5ed6b73b,0x0bb7204d,0x3b761744,0xa8f44f42,0x56e0dcdd,
    0xc884b84c,0x12e3741e,0x5ab443d8,0xdf10e92e,0x24b817e2,0x45dddb2d,
    0x6e6c2efc,0xa7f764c5,0x2eeefee8,0x2dfffff1,0x3333102e,0x2990f433,
    0x4cc43e5b,0x656a19bd,0x2970f4f2,0x6abcc03c,0x27b746cc,0x36b4d9b9,
    0x17e200fd,0x86f983d8,0x77d4794b,0xb81e9741,0x644da884,0x85d825c4,
    0x4754b62c,0x5000446a,0x404d9647,0xb91d32fa,0xa65322d8,0x901f883c,
    0x3bbbaa09,0xa643d0ee,0x3aa6a9f9,0xb50eeefe,0x5c3d3cb2,0xb5d00794,
    0xaebae887,0xaced4ec6,0xb900ebad,0xd10b703f,0x4c74cbb5,0x8b26ef26,
    0x0970d569,0x3b66bb33,0xe88b76a0,0x8a21c2ae,0x00001ddb,0x2077c65c,
    0x75b91f40,0x369d31f8,0x1bb05e8a,0x00045f30,0xda93ea99,0xb507b00c,
    0x5c3d3cb2,0xfb700794,0xbd71df01,0xb0daada8,0x23ea1725,0x203aa0fa,
    0xd964b62c,0x25901c81,0x36225c2c,0xc88310cd,0x333264cc,0x00000004,
    0x3f2ffa20,0x49fffb0f,0x2e0aaaa8,0xdf34cdff,0x6c41ffb3,0x3f6a3fef,
    0xe983e82f,0x55514bdf,0xb507b015,0x5c3d3cb2,0xbf100794,0x427c5ba0,
    0xbb16c2a8,0x74d917c4,0x0004ffff,0xffd00010,0x000009ff,0x00000000,
    0x30100800,0x00019999,0x40002004,0x664c002d,0x001b80cc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2a095191,0x2aaaaa0c,0x03260042,0x2660e271,0x9998f209,0x33333331,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x10000000,
    0x1d50d71f,0x13ccccc8,0x2a064bfd,0x434da60e,0x443a2ccc,0xdddd5eee,
    0x00007ddd,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0b51f100,0x50444440,0x001efb2b,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x33800000,0x7fffc005,0x0e54115f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_14_latin_ext_x[560]={ 0,2,1,0,0,0,0,3,2,1,1,0,1,1,
2,0,0,0,1,1,0,1,0,0,0,0,2,1,0,0,1,2,0,0,1,0,0,1,1,0,0,1,1,1,
1,0,0,0,1,0,1,0,0,0,0,0,0,0,0,2,1,1,0,0,0,0,1,1,0,0,0,0,1,1,
0,1,1,0,1,0,1,0,1,1,0,1,0,0,0,0,1,1,3,1,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,
3,0,0,0,1,0,0,1,0,0,1,0,1,1,0,1,0,2,2,1,1,1,0,0,0,1,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,-1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,1,0,0,0,0,1,1,1,0,0,1,
1,-2,-1,1,0,0,1,0,0,0,1,0,0,0,0,1,0,0,0,0,0,0,0,0,-1,0,1,1,-1,0,
0,0,0,0,0,1,0,0,0,0,0,-2,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,
0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,-1,0,-1,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0, };
static signed short stb__consolas_14_latin_ext_y[560]={ 10,0,0,1,-1,0,0,0,-1,-1,0,2,7,5,
7,0,0,1,0,0,1,1,1,1,0,0,3,3,2,4,2,0,0,1,1,0,1,1,1,0,1,1,1,1,
1,1,1,0,1,0,1,0,1,1,1,1,1,1,1,0,0,0,1,11,0,3,0,3,0,3,0,3,0,0,
0,0,0,3,3,3,3,3,3,3,0,3,3,3,3,3,3,0,-2,0,4,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,10,3,-1,0,1,1,
-2,0,0,0,0,3,5,5,0,0,0,1,0,0,0,3,0,4,10,0,0,3,0,0,0,3,-2,-2,-2,-2,
-2,-2,1,0,-2,-2,-2,-2,-2,-2,-2,-2,1,-2,-2,-2,-2,-2,-2,3,-1,-2,-2,-2,-2,-2,1,0,0,0,
0,0,0,-1,3,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,1,0,0,0,0,0,0,0,
-2,0,-2,0,1,3,-2,0,-2,0,-2,0,-2,0,-2,-1,1,0,-2,0,-2,0,-2,0,1,3,-2,0,-2,0,
-2,0,-2,0,0,-1,-2,-2,1,0,-2,0,-2,0,-2,0,1,0,-2,3,1,0,-2,0,1,0,3,-2,-2,1,
0,-1,-1,1,0,1,0,-2,0,1,3,-2,0,-1,1,3,-2,0,-2,0,-2,0,0,3,-2,0,1,3,-2,0,
-2,0,-2,0,0,3,-2,0,1,0,-2,-1,1,0,-2,0,-2,0,-2,0,-2,-1,-2,0,1,3,-2,0,-2,0,
-2,-2,0,-2,0,-2,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,-4,-3,-2,0,-2,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,3,1,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static unsigned short stb__consolas_14_latin_ext_w[560]={ 0,3,5,8,7,8,8,2,4,5,6,8,4,5,
3,7,8,7,6,6,8,6,7,7,7,7,3,5,7,7,6,5,8,8,6,7,8,6,6,7,7,6,5,7,
6,8,7,8,6,8,7,7,8,7,8,8,8,8,7,4,6,5,7,8,5,7,6,6,7,7,8,8,6,6,
6,7,6,8,6,8,6,7,7,6,7,6,8,8,8,8,6,6,2,6,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,0,3,7,7,8,8,
2,7,7,8,6,7,7,5,7,6,6,7,6,5,7,7,7,3,3,6,6,6,8,8,8,5,8,8,8,8,
8,8,9,7,7,7,7,7,7,7,7,7,8,7,8,8,8,8,8,6,8,7,7,7,7,8,6,6,7,7,
7,7,7,7,8,6,7,7,7,7,7,7,7,7,7,7,8,8,8,8,8,8,8,7,7,7,7,8,6,8,
8,7,8,7,8,7,7,7,7,7,7,7,7,7,9,10,8,8,7,7,7,7,7,7,6,7,7,7,7,8,
7,8,7,8,7,8,7,7,8,7,7,7,7,7,7,7,6,7,7,6,7,7,7,7,7,7,7,7,7,6,
6,9,9,7,9,7,6,7,7,7,6,7,7,7,7,6,8,8,8,8,8,8,8,8,9,8,7,7,9,8,
7,7,7,7,7,6,7,7,8,7,8,10,8,7,7,7,7,7,7,7,7,7,8,8,7,6,8,8,8,8,
8,7,7,7,7,7,7,7,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,7,9,8,9,9,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,7,6,8,7,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8, };
static unsigned short stb__consolas_14_latin_ext_h[560]={ 0,11,4,9,13,11,11,4,14,14,7,8,6,2,
4,12,11,9,10,11,9,10,10,9,11,10,8,10,9,4,9,11,13,9,9,11,9,9,9,11,9,9,10,9,
9,9,9,11,9,13,9,11,9,10,9,9,9,9,9,13,12,13,5,2,4,8,11,8,11,8,10,10,10,10,
13,10,10,7,7,8,10,10,7,8,11,8,7,7,7,10,7,13,15,13,4,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,0,10,13,10,9,9,
15,12,4,11,8,7,4,2,7,4,5,9,6,6,4,10,12,4,3,6,8,7,10,10,10,10,12,12,12,12,
12,12,9,13,12,12,12,12,12,12,12,12,9,12,13,13,13,13,13,7,13,13,13,13,13,12,9,11,11,11,
11,11,11,12,8,10,11,11,11,11,10,10,10,10,11,10,11,11,11,11,11,8,11,11,11,11,11,13,13,13,
12,11,12,11,12,10,13,11,13,11,13,11,13,11,12,12,9,11,12,11,12,11,12,11,12,10,12,11,13,13,
13,13,13,13,13,14,12,12,9,10,12,10,12,10,12,10,12,13,12,7,10,13,13,13,12,13,7,12,12,12,
13,11,11,9,10,9,10,12,10,12,10,12,10,11,12,10,13,11,13,11,13,11,11,8,12,10,12,10,12,10,
13,11,13,11,13,10,13,11,12,13,12,12,9,11,13,11,13,11,13,11,13,12,13,11,12,10,12,10,12,13,
12,12,10,12,10,12,10,10,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,12,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,14,14,12,11,14,12,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,13,10,12,13,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9, };
static unsigned short stb__consolas_14_latin_ext_s[560]={ 252,252,1,92,62,1,187,253,32,26,176,
79,204,57,242,106,220,10,234,66,27,8,15,77,26,111,250,142,188,15,54,
18,70,239,248,204,110,119,85,186,143,226,241,195,203,217,233,163,210,88,135,
73,126,180,186,177,168,159,151,106,41,144,223,63,32,24,180,49,128,41,47,
64,95,73,158,119,157,88,97,241,135,164,104,10,245,65,112,121,146,148,155,
172,4,221,23,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,252,251,236,
87,230,221,1,64,38,136,17,183,246,57,130,46,231,36,216,198,7,210,98,
238,53,209,72,169,152,143,134,128,114,123,151,89,185,72,44,9,33,17,1,
240,81,10,236,228,18,18,49,66,79,99,116,162,97,41,17,25,184,244,70,
121,113,105,97,89,81,225,32,247,58,50,42,34,33,39,218,73,247,49,230,
221,212,203,194,56,177,169,161,153,145,201,210,242,202,103,1,87,219,41,225,
10,217,239,150,95,142,119,167,132,204,36,211,45,194,71,177,79,160,105,143,
111,167,175,134,204,1,125,188,7,56,48,61,161,25,226,9,202,248,184,233,
83,217,191,56,111,119,136,167,150,138,141,133,126,165,53,26,196,192,213,113,
53,88,35,81,27,23,63,10,1,233,127,158,136,192,145,154,1,43,96,209,
120,116,57,108,18,91,212,75,66,58,229,18,33,71,80,101,237,244,172,228,
196,213,10,196,99,179,1,91,80,107,102,149,127,158,175,127,183,31,191,172,
176,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,37,46,61,24,16,199,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,54,169,18,33,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1, };
static unsigned short stb__consolas_14_latin_ext_t[560]={ 13,1,124,105,1,70,69,44,1,1,115,
115,115,124,115,44,69,105,82,69,105,94,94,105,69,94,105,94,94,124,105,
82,1,94,94,69,105,105,105,57,105,105,82,105,105,105,105,69,105,1,105,
69,105,94,105,105,105,105,105,1,44,1,115,124,124,115,69,115,69,115,94,
94,94,94,1,94,94,115,115,105,94,94,115,115,69,115,115,115,115,94,115,
1,1,1,124,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,
105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,13,17,1,
94,94,94,1,44,124,69,115,115,115,124,115,124,115,105,115,115,124,82,44,
115,124,115,115,115,82,82,82,82,44,44,44,44,44,44,105,17,44,44,44,
31,44,57,44,44,105,57,17,17,1,17,17,115,1,17,17,17,17,44,105,
69,69,69,69,69,69,31,115,82,69,69,69,69,82,94,82,82,57,82,57,
57,57,57,57,115,57,57,57,57,57,17,17,17,44,57,57,57,44,82,17,
70,17,57,17,57,17,57,44,44,94,57,44,57,44,57,44,57,44,82,44,
57,17,17,17,1,17,17,1,1,44,44,105,82,44,82,44,82,31,82,31,
17,31,115,94,1,1,1,31,1,115,31,31,31,1,57,57,94,82,94,82,
31,82,31,82,31,94,57,31,94,17,57,17,57,17,69,69,115,31,82,31,
82,31,82,17,70,17,69,17,82,17,69,31,17,31,31,105,69,1,69,1,
69,1,82,1,31,1,82,31,94,31,94,31,1,31,31,94,31,94,31,94,
82,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,31,
105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,
105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,
105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,
105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,
105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,
105,105,105,1,1,31,82,1,31,105,105,105,105,105,105,105,105,105,105,105,
105,105,105,105,105,105,105,105,105,105,105,105,105,1,82,31,17,105,105,105,
105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,
105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,
105,105,105,105,105,105,105,105,105, };
static unsigned short stb__consolas_14_latin_ext_a[560]={ 123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_14_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_14_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_14_latin_ext(stb_fontchar font[STB_FONT_consolas_14_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_14_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_14_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_14_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_14_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_14_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_14_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_14_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_14_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_14_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_14_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_14_latin_ext_s[i] + stb__consolas_14_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_14_latin_ext_t[i] + stb__consolas_14_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_14_latin_ext_x[i];
            font[i].y0 = stb__consolas_14_latin_ext_y[i];
            font[i].x1 = stb__consolas_14_latin_ext_x[i] + stb__consolas_14_latin_ext_w[i];
            font[i].y1 = stb__consolas_14_latin_ext_y[i] + stb__consolas_14_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_14_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_14_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_14_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_14_latin_ext_s[i] + stb__consolas_14_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_14_latin_ext_t[i] + stb__consolas_14_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_14_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_14_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_14_latin_ext_x[i] + stb__consolas_14_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_14_latin_ext_y[i] + stb__consolas_14_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_14_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_14_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_14_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_14_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_14_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_14_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_14_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_14_latin_ext_LINE_SPACING
#endif

