// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_16_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_16_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_16_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_consolas_16_latin_ext_BITMAP_HEIGHT        162
#define STB_FONT_consolas_16_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_consolas_16_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_16_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_16_latin_ext_LINE_SPACING          11

static unsigned int stb__consolas_16_latin_ext_pixels[]={
    0x00034cd3,0x0cc00000,0x00310000,0x000984c0,0x2aa60100,0x00000002,
    0x00004000,0x5100c453,0x37a20355,0x802aa600,0x019304d8,0x98003103,
    0x33cc0440,0xa80ff60f,0x3ee01e9d,0xf882e801,0x74c17e26,0x744026c3,
    0xbd100bb3,0x3b207ee0,0x7fe440fe,0x647fb00d,0x00ff6005,0x3ffea9f1,
    0xe89bf601,0x2eef983f,0xd10b37b0,0xd101ffdf,0x11a7a209,0x6e47b83f,
    0x507fc2e9,0x99e63ead,0x02d8cb87,0x3f500fb2,0xdd00e880,0x0dc42fc4,
    0x12f4026c,0x203d807f,0x03e601fa,0x65c35c7d,0x200b92d8,0x2202d8cb,
    0xf501f84f,0x1e61ea01,0x36132a20,0x0e54020e,0x1f88b7d0,0x0fb223dc,
    0xf56a8ffe,0x003ccf31,0x00000000,0x86be8800,0x207dc04d,0x000001fa,
    0xd09907cc,0x00172003,0x203f0000,0x260fc05b,0x3fbf6207,0xd8803f85,
    0x22511869,0x27b83f11,0x3efe1881,0x263ead50,0x3fae1e67,0x7f5c0eee,
    0x7f5c0eee,0x7f5c0eee,0x90f20eee,0xd86be887,0x1fc4feac,0x503a65d8,
    0x00f7754b,0x443e21f3,0x3bae3c88,0x6c4b93ee,0x4b503a63,0xf83eeeeb,
    0x2f80b701,0x11d903cc,0x02fd87ff,0x3e235744,0x41f8bdc1,0x7b83f17b,
    0xab553a7e,0x51e6798f,0xa83f913f,0x541fc89f,0x541fc89f,0x6c1fc89f,
    0x064c2744,0x97d4f76c,0xf8f701f9,0xf3312ec4,0x5a87cc03,0x44979fd9,
    0x2b94e999,0x6c4f85e8,0x13a66625,0x2026407e,0xf883cc2e,0xd88f7b72,
    0x02a603ef,0xf17b83f1,0x83f17b83,0x23ea7e7b,0x4911f56a,0x0be26c79,
    0x26c2f89b,0x2f89b0be,0x3613a26c,0x320ed84f,0x07cc0f75,0xf817c4f9,
    0x5e43e601,0x40957b69,0x0bd1b94e,0x202f89f2,0xe881f84e,0xf306e402,
    0xf9ad9ea0,0x20efc980,0x222effd8,0x1f8bdc1f,0x5c1f8bdc,0xb56747e7,
    0x6c8f3079,0x4cd903e6,0x1f33640f,0xb03e66c8,0x6fc44e89,0xcb5c4d87,
    0x5f117c06,0x201f81ee,0x2995b0f9,0x53a04b9e,0x3e205eec,0x84e80f72,
    0x8027ec1f,0x2e0f33fd,0x807e23e7,0x266e64f8,0xb83f11fc,0x17b83f17,
    0x47e7b83f,0x20f36cf9,0x7e77d479,0x4fcefa84,0x84fcefa8,0xd84fcefa,
    0x27aa2744,0x5ae26c1f,0xb0be206b,0x01f8136b,0x9ecf43e6,0x53a03b8f,
    0x3600fcdc,0x84e809b5,0x402e981f,0x5c1e60dc,0x007e2b57,0xf13f80bb,
    0xb0be7b83,0x4f707e2d,0xbcdbf61f,0x57b1e628,0x2aaf6015,0x01557b00,
    0x6c02aaf6,0x75362744,0x4d7626c4,0xa83f300f,0x07e01f9f,0x7b3d0f98,
    0x4e8076f3,0x5403b6b9,0x27401f9f,0x405c80fc,0x7983cc2e,0x5443e679,
    0x442fa989,0x3f13fcca,0x227b67b8,0xb83f12fb,0x86f987e7,0x5dd1e679,
    0x55dd0135,0x355dd013,0x1355dd01,0x224e89b0,0x0dd8d91f,0xb817c3f7,
    0x310ddf07,0xf30137f3,0x3b7ae7a1,0x5ca7406c,0x377c03ba,0xf998a740,
    0x202dc09b,0xf883cc2f,0x7c4d91fa,0x7cc3efff,0x3f13eaac,0x3ff627b8,
    0xf707e23f,0x755b60fc,0xf71e6798,0xfb89ffdd,0x7dc4ffee,0x7dc4ffee,
    0x26c4ffee,0x3e67a8fa,0x07bfff61,0x6413a09d,0xffffc82f,0x5b0f984f,
    0xd002a22a,0x05e89729,0x29d005f9,0x44fffffc,0x2617c05b,0x2e3ff207,
    0x3603302f,0xd85f1f44,0x2f80f885,0x5d7202ec,0x89e6799f,0x5f13dc2f,
    0x70be27b8,0x1ee17c4f,0xaaed8fe0,0x301364fa,0x900fb85f,0x207a200d,
    0x000b70f9,0x320060fe,0x0307f006,0x30be035c,0x2effd80f,0x8af41e60,
    0x227b63fd,0xb05c82fb,0x405f713d,0x33cc23f9,0x9b21fc4f,0xf13643f8,
    0x0fe26c87,0x8fdc10d9,0x6eeeeef8,0x43ea0136,0x05f502f9,0x87cc1ae0,
    0x86020cf8,0x203cc1fb,0x7dc302fa,0x3f103cc1,0x0f303ee0,0x5b800ae8,
    0x7b7fff30,0x81fffec4,0xffd887e9,0x417e603f,0xff91e679,0xffc83dfd,
    0x7fe41efe,0x7fe41efe,0xffa81efe,0x3e61ea3f,0x4f2009b1,0x02ffb83d,
    0xeec9fa20,0x3bbfa60f,0x83ffff83,0x05ff705b,0x5c1ffffc,0xf1376405,
    0x5ddf307f,0x00440090,0x00004002,0x4c010008,0x26621e67,0x80266200,
    0x26200998,0x204c4009,0x0227f05d,0x00c40200,0x01998800,0x00cc0131,
    0x40062011,0x40022019,0x266600c0,0x00000000,0x00000000,0x00030600,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x33100000,0x20001333,0x00000098,0x80c06a60,0x19999998,
    0x000b92e8,0x00ccc400,0x33108813,0x88001333,0xaa980440,0x6c13e600,
    0x5d5d904f,0x2bb00c80,0x009881fb,0x57600008,0x806001fb,0x22fffffa,
    0xb059dfd8,0x5d7c409f,0x7d417e06,0x83cc6fff,0xfffffffa,0x404b8ec0,
    0x5d3b905f,0x83ffffc8,0x7e5aa0ff,0x3623ffff,0x326c59df,0xfefe885f,
    0x901d880f,0x3ae05b19,0x4b80f801,0xffd881b3,0x6ffe985f,0x4d2e016e,
    0x443f700d,0x880f501f,0xbf105b72,0x01dda80f,0x82fea0f6,0x7cc03cc1,
    0x0f600000,0xae41f644,0x1ffc1fc8,0x880f98d5,0x14d85b72,0x041db09d,
    0x5300aa98,0x02aa6015,0x18818798,0x44f98764,0x01f8824e,0x6cc00988,
    0x3d407e20,0xd5062060,0x1a9803f3,0x09f06a60,0x7777f754,0xe980f983,
    0x35102d40,0x97202620,0x53e7c2f8,0x2200f98d,0x0bb4d809,0xdfd100fe,
    0x77f441ff,0x3bfa20ff,0x7ff4c0ff,0x7b83f10e,0xf8f70be2,0xd8813603,
    0x99885fff,0x01f88999,0x20fc40f5,0x04ea6c7b,0xa8dffff5,0x1f36ffff,
    0x4cfdcc40,0xf00f9809,0xff985d89,0x3ff625ff,0x3f52e45f,0x8d53f9f8,
    0xffd880f9,0x07666c5f,0x3b602fd8,0x041db020,0x7cc083b6,0x07e22dcb,
    0x7cc3d4f7,0x7cc13f61,0x3e61d900,0x7ffffe44,0xdf501f8b,0x07e21ddd,
    0x6c8fc4f7,0xa860bfa8,0x53d460bf,0x80798799,0x44f900f9,0x3067cc2f,
    0x24f98764,0xf83fdcec,0xf98d56b9,0x9f30ec80,0xb1007f6c,0x807f07df,
    0x201fc03f,0x1f88995d,0xf10d73dc,0x07babae5,0x70be20fa,0xf883e60f,
    0x3333f501,0xa9ee0fc4,0x09f07e67,0x99ea04f8,0x403cc6da,0x25f100f9,
    0x2205d87b,0x7d93dc2f,0x3e27e0bd,0x207cc6aa,0xbb3dc2f8,0xdf93009d,
    0xfb017ec1,0xf017ec05,0x83f10b67,0x3e21ee7b,0x20fe47d1,0xf987a86a,
    0x3e20f981,0x7c40f501,0x55db3dc1,0x007cc9f5,0x07cc01f3,0x300f31ae,
    0x4daec01f,0x21ea02f8,0x3e2b91f9,0xd5d91f83,0x43d40f98,0x5f39b1f9,
    0xd893e200,0xefd883ef,0x83efd883,0x1f883d4e,0xf30f53dc,0xf09b1761,
    0x2f887b83,0x07e20f98,0x83f103d4,0xddddf17b,0x9953d4dd,0x3cca9ea7,
    0x4c6b89f1,0x007cc00f,0xf983f3f5,0x3e21ee01,0x7c3dcb92,0xf98dbf11,
    0x97c43dc0,0x2003f74d,0x0efc985d,0x980efc98,0x23b20efc,0x2e0fc40f,
    0x4d90be27,0x909b0de8,0x1f887b8b,0x07e20f98,0x84cccfd4,0x7abdc1f8,
    0x4cf51f98,0x54cf56da,0x2273ee6d,0x088ce86c,0x77c00f98,0x2e02f986,
    0x4b91f887,0xf90fc3f8,0x267ee62d,0x23f10f70,0xa883b64d,0x202fa989,
    0x13e204f8,0x3ba24f88,0x83f10dcf,0x5c57ec7b,0x7efec42f,0x1ea0f880,
    0x83e603e6,0x50999af8,0x225fffff,0x05dbdc1f,0xd703e67f,0xa8d703e6,
    0xda84fffe,0x00f984ff,0x27c417e4,0x21f30f50,0x87e3e45c,0xffff96f9,
    0x3e61ea7f,0x12f449b0,0x007dffff,0x405d80bb,0x42cfb85d,0x7e42ec2f,
    0x13e602ef,0x90be23d8,0xf883e60d,0xd305ffff,0x017617c1,0x713e21d3,
    0x0d713e2d,0x80130066,0x3a06c801,0xd90be206,0x400c0060,0xc85f10e9,
    0x0b900306,0x5f531351,0x3ea626a2,0xf5313512,0x3b60b505,0xf302fb89,
    0x540d7001,0x7dc57ec7,0x0601f302,0x13db1360,0x44d805f7,0x26c89cfb,
    0x86c89cfb,0x203cc079,0x017d4079,0x45337df3,0x82fb8afd,0x80798079,
    0x5c57ec4c,0xd807982f,0xeffff883,0x3bfffe23,0x3bfffe23,0x36209703,
    0x77403fff,0xf75552cb,0x7e42e809,0xfb9882ef,0x201e6099,0x3ff625ea,
    0x46ea803f,0x544fffea,0x5b84fffe,0x16e02dc0,0x4c017fdc,0x7e43effe,
    0x00b702ef,0x8dd300b7,0xb702effc,0x01801500,0xc8018018,0x91000803,
    0x37baa39d,0x0103a802,0x1fffffe4,0x010000b7,0x08008000,0x01100220,
    0x00310088,0x11002000,0x00001100,0x00008801,0x00000000,0x00000000,
    0x20000000,0x00000008,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xccb80000,
    0x7440002c,0xefa80dcb,0x30019300,0x80d4409f,0xb00004fd,0x0076c43d,
    0x3f604f98,0xb9740004,0x5d059805,0x3332e16e,0x00054c02,0x51003b62,
    0x20000001,0x807ea4fd,0x7ffed42f,0x40d55545,0x2059dfd8,0x53b304d8,
    0x069e881b,0xff980ec4,0x6c6645ff,0x2cefec42,0x02dc0970,0x19900ec4,
    0x80fdc05b,0x5440751c,0x0ea3904c,0xa806aaaa,0x2e9dc82f,0x6fcc0b70,
    0x2e9dc80e,0x902e9dc8,0x07ea5b19,0x3fff2354,0x009885c8,0x100b6e51,
    0x80d44035,0x310305be,0x0c3067cc,0x36e510c4,0x4406a202,0x004c4009,
    0x1b300262,0xd8804c40,0x88185fef,0x4c062061,0x307d9100,0x331a8310,
    0x2207d910,0x333103ec,0xf0fa0013,0x44b91fff,0x2205fffd,0x3ffe6009,
    0x7fffcc5f,0xf880c985,0x40bb3dc1,0x133dc1f8,0x7ffcc088,0x3fff625f,
    0x5fffd885,0x85fffd88,0x20999998,0xc85fffd8,0x223ff88e,0x1f8bdc1f,
    0x3fff53dc,0x13333310,0x6cf707e2,0x4cccc404,0x70098809,0x1a2dffff,
    0xfff107cc,0x8764b91f,0x09fb04f9,0x261833e6,0x3f6060cf,0x3dc1f884,
    0x20fc405f,0x6a83fe7b,0x321833e6,0xec89f30e,0x0ec89f30,0xfffa89f3,
    0x4c3b22ff,0x6dcbe24f,0xf707e27b,0x20f707e2,0xffffc81f,0x7b83f13f,
    0xfff50136,0x09fb05ff,0xc83cdb20,0xc8fffe84,0x87b85f15,0x0bb07df8,
    0xdf8805d8,0xbdc1f887,0x07e201f9,0xd51ffcf7,0x85f102ec,0xf70be27b,
    0x51ee17c4,0x2e17c40f,0xf9ad9ea7,0x17b83f10,0x3f07b83f,0x3e207cc0,
    0x809b3dc1,0x7df8807a,0x03e6d900,0xfff303f1,0x261eab91,0x0fcf541f,
    0x00be017c,0xf107e7aa,0x05f17b83,0xf9ee0fc4,0x02f9aa7c,0x547e61ea,
    0x0f51f987,0x503d43f3,0x9ee3f30f,0x3f11f88f,0xb83f17b8,0x7cc03f07,
    0x9ee0fc40,0x542efbcd,0x1f9ea807,0x81f36c80,0x5c9d406b,0xd85f10f7,
    0x01f989d4,0x536007e6,0x2e0fc44e,0x1f8813a7,0x27f3f3dc,0x5c03f36a,
    0x0f72f887,0x221ee5f1,0x7b81ea2f,0x2af72f88,0x07e23f15,0xf707e2f7,
    0x0f9807e0,0xd9ee0fc4,0x2a0fb9ef,0x09d4d807,0xd03e6d90,0x7bae4005,
    0x47e21f88,0x3017cc6c,0x91f8805f,0x3dc1f88d,0x20fc40d9,0x55ae7e7b,
    0x3dc05f36,0x887b8fc4,0x3f10f71f,0x877777d4,0xf31f887b,0xf887ccf2,
    0x41f8bdc1,0x4c03f07b,0x2e0fc40f,0x547f1b67,0x220eeeef,0xd900d91f,
    0x007a83ea,0xf987aae4,0x21f99ea0,0x13e204f8,0x10fccf50,0x3e67b83f,
    0x3f1299be,0x3e27e7b8,0x409f16aa,0xf50f987a,0x21ea1f30,0x267ea0f9,
    0x3e61ea19,0x323f5f10,0x2f707e26,0xf83dc1f8,0xf103e601,0xd1367b83,
    0x0cccfd49,0x401f99ea,0x1ec3f56c,0x17c57200,0x555db1b2,0x7406e89f,
    0x55576c06,0x17617c4f,0x7c7dffb1,0x323f2ec2,0x881ba6ae,0x5f13642f,
    0x90be26c8,0x3e207a8d,0x3ff23642,0x217c2fb8,0x0bb0be5d,0x80f9807e,
    0x89b2ec2f,0xdb01ea4e,0xd809f555,0x03e23f55,0x57ec9d00,0x3be22fb8,
    0x7cc6eeee,0x3e6299be,0xdf1299be,0xed8ddddd,0xf882fb89,0xfb89ed80,
    0x36fc47e2,0x45337df3,0x42fb8afd,0x42fb8afd,0x42fb8afd,0x457ec07a,
    0xeffd82fb,0xfb89ed82,0x3ee27b62,0x7cc03f02,0xfb89ed80,0x549d1362,
    0x3bbbe207,0x5cd546ee,0x02e4313f,0x207ed674,0x3d42effc,0x3fa60fcc,
    0x7ff4c3ef,0x3f30f53e,0x81fffec4,0xfffb106a,0x1bf21f87,0xc87dffd3,
    0xff902eff,0x3bff205d,0x9999fa82,0x8177fe40,0x3f6200ae,0x7fec43ff,
    0x5fccc43f,0x27ee6209,0x3fff6209,0xa93a26c3,0xf509999f,0x7fd43f30,
    0x2007203f,0x0201cec9,0x003f82ec,0x3f82ec00,0x80198010,0x37cc3f00,
    0x02001000,0xfff50040,0x900205ff,0x00800800,0x49fffff9,0x03fffffc,
    0x49d13601,0xb2fffffa,0x0000fe0b,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x000efa80,
    0x000014c0,0x05d5d900,0x109f3000,0x9801d79b,0x2000004f,0xf980b72e,
    0x2009fb04,0xeaec81ed,0x51000002,0x95013f60,0x0babb203,0x000b332e,
    0x5c175764,0x980fdc1f,0x3620da9d,0x172059df,0xb1007b60,0x407ae0ff,
    0x101db3e8,0x00dc803b,0x3a200ec4,0x82eaeb85,0x6c40751c,0x05b19901,
    0x0f5c04b8,0x0c02f440,0x5b1990d5,0xb81a7620,0x3555501e,0x205d5d70,
    0x87fb01eb,0x0d4c00d9,0x2216dca2,0x700ffffd,0x8dc80739,0x902204c0,
    0x333036a7,0x99881333,0x7b000c01,0x026175c0,0x08813044,0x99806206,
    0x33331099,0x01ec0333,0x04c773cc,0x35744088,0x04cccccc,0x01333331,
    0x333105d7,0x26288133,0x54099999,0x2626ffff,0x3b609999,0x3c800ad9,
    0x7fc0be20,0x3e001aa0,0x646fffff,0xf883ffff,0x64000001,0xff17c40f,
    0x41f8b541,0xddff707b,0x3ffffea3,0x4c0000ff,0xf103f207,0xff015305,
    0x7e4dffff,0x4003ffff,0x02fffffa,0x37fffffc,0xf90c17f5,0x9fc7ffff,
    0x3ffaa01f,0x7c03e602,0x43c9aa3f,0x217cc03c,0x883f915c,0x7fed401f,
    0x25ffda85,0x3e36c4f8,0x0fc5aa3f,0x036f41ee,0x3f6203e6,0xea83fd9e,
    0x223eeefe,0x0f236c4f,0x417cc079,0xdfb300f9,0x80007a85,0x4013e2f9,
    0xfaed80f9,0xff75f700,0xcf81ea05,0x744d9aa7,0x2e42f404,0x01f885f1,
    0x30a66be6,0xfb85335f,0x7cf83f30,0x2e0fc5aa,0x406be987,0xd9a980f9,
    0x4c40f9bf,0x5c0999fb,0x4d83f30f,0x20bd0274,0x9af980f9,0x201ea1fb,
    0xf997a028,0x101f3000,0x4be07ffb,0x7ff45cbc,0x7cfc3fff,0x3a26cd53,
    0x3203ee04,0x3f107ea5,0xf5007d40,0x0bb5e801,0x45aa7f3f,0x66c3dc1f,
    0x007cc06b,0x981743e6,0x0bb5e807,0xf704e89b,0x3603e601,0x00f52ec4,
    0x41f707f9,0x20f32a7a,0x3fea00f9,0x47c3e20e,0x7c0bb07a,0x26cd56b9,
    0x817c413a,0x883fdcec,0x33fa201f,0x01cfe881,0x3f01f7f5,0x77c5aad7,
    0x7c47eeee,0x981eefb8,0x9fb7300f,0x01e607f9,0x3603efea,0x17c42744,
    0x9bf01f30,0x77d4dd99,0x27cc0eee,0x4cf50be2,0x00f986da,0xf997a32e,
    0x3a0f5698,0x2be27e04,0x09d1366a,0xebec817a,0x5003f105,0x3f6a0bfb,
    0x3e09fb05,0xf16aaf89,0xb8fb5559,0x26033d75,0xfbcfa80f,0x0f301aaa,
    0x26c13f60,0x3017a13a,0x999bf01f,0x4ccfd479,0x2f43f881,0x21ae07cc,
    0x6cf200f9,0x6b9e57c5,0xc8fc07f0,0xe89766ae,0x3200fb84,0x3f107f15,
    0x3017cc00,0x201f505f,0x22d5d91f,0x37a3dc1f,0x07cc06ca,0x800f9a6c,
    0x0fa800f9,0x22744bb0,0x07cc00fb,0x01ea02f4,0x80fb8dd7,0x4c35c4f8,
    0x66cdc40f,0x47f642fc,0x02f882fa,0x536fc47e,0x889fb13f,0xf72e402f,
    0x84c03f10,0x44261fa8,0x00f981fa,0x45b7e23f,0xdf33dc1f,0x0f980ddd,
    0x8cfd8dc8,0x04467400,0x3f500f98,0x17c49fb1,0x7dc07cc0,0x03d4110b,
    0x405f10b2,0x86c89cfb,0x7fec40f9,0xfffb02df,0xf803ea07,0xfd89bf21,
    0x4f6c4dbf,0x12e41999,0x99af887f,0x3fffee09,0x1ffffdc3,0x43f00f98,
    0xb83f16fc,0x99eb9367,0xe980f980,0x00fff9bf,0x4c13ff6a,0x7ffb100f,
    0x4ccf6c9b,0x27ee6219,0x7fffdc09,0x26667ea2,0x4ccf6c00,0x7fff5419,
    0x267ee624,0x5e400f80,0x80bd7300,0x021be61f,0xffffff88,0x11f22e47,
    0x10bfffff,0x4c008801,0x7cc3f00f,0x17b83f16,0x1fffdc3f,0x010007cc,
    0x007cc000,0x7fffc402,0x3fff27ff,0x501103ff,0x405fffff,0x7ffffff8,
    0x3fff2020,0x403443ff,0x033ae00b,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3332e000,
    0x00000002,0x2f362054,0x0000000e,0x20000040,0x000001ca,0x0076c400,
    0x3b620000,0x0b332e00,0x0005b974,0x5f700000,0x04fd8000,0x2076cfa2,
    0xf801aaaa,0x01e9da82,0x201f1f30,0x2fa200dc,0x407fb05c,0x00fd44f8,
    0x3b105fa8,0x201db00d,0x077445e8,0x3b5016e0,0xb8026c3d,0x06aaaa05,
    0x6d43a8e4,0x9cfd81e9,0xa803f705,0x3a76a00d,0x02d8cc81,0x31036a79,
    0xf3013333,0x7d90bfff,0x42d7cc00,0xbb100199,0x40b632e0,0x017c43f8,
    0x442646cc,0x025c06ae,0x404c80f6,0x1f640098,0x33310136,0x01310133,
    0x02666662,0x917107d9,0x407ea05d,0xec801998,0x00880443,0xfffffa80,
    0x017f3302,0x203e6000,0x02effff8,0x26000000,0x2600000f,0x0000000a,
    0x0009fb00,0xfff90136,0x09fb07ff,0x0bffffea,0x64000000,0x8003ffff,
    0xea85d05c,0x807a82ef,0xa82feeda,0x3ae02efe,0x1f880fef,0x3b205f71,
    0x7fed41df,0x23bfd905,0x3fb2001c,0x3bff621d,0x83bfd902,0xd982efd9,
    0x7df882ef,0x45dffb10,0x304feacd,0x1f7e201f,0xc87903d4,0x98790f23,
    0x15c82efd,0xdfb303f9,0x22e82dc5,0x42fb9afb,0x4e7d407a,0x4d7dc2fa,
    0x9bec82fb,0x41f880fb,0xb9aee86d,0x0a66be61,0xb86e6bba,0xee83eeab,
    0x26e61b9a,0x57741fc9,0x26be61b9,0x26be61fb,0x7cf541fb,0xfc99b981,
    0x5f53ddb1,0x3aa01f30,0x207a81f9,0x89b2744d,0x2e6be64e,0x5f12e41f,
    0x1fb9af98,0x3f87e0d7,0xf01ea364,0x21fc2f89,0xf30fcc6c,0x7a83f101,
    0x1f5007d4,0xd9007d40,0x7d43f53d,0xf51fc000,0x97626c01,0x5362ec4d,
    0x367f004e,0x3e61720e,0x213a9b00,0x9d13607a,0x4d93a26c,0xfa9722ec,
    0x557626c1,0xf88fcb16,0x3bea3d40,0x85f10eee,0xf503e22f,0x407cc7a8,
    0x907cc1f8,0x1cfe880b,0x07e405c8,0x4402e49b,0x1723fcca,0xdd999bf0,
    0x376666fc,0x441b23f1,0x89b3fcca,0x880f986b,0xdf50d91f,0xd1361ddd,
    0xf93a26c9,0x646ecccd,0xdf83fdce,0x2d56eccc,0x3e61f1fb,0x27ea3d40,
    0xf07e6199,0x1ea07cc5,0x880f98f7,0xb907d41f,0x917f6a00,0x2e45c80b,
    0xacf980b9,0xf01723ea,0x7c79999b,0x2a3ccccd,0x9f307e67,0x71367d55,
    0xf501f30d,0x27ea0fcc,0x9d136199,0xdf93a26c,0x7643cccc,0x99bf05eb,
    0x775e6799,0x85f10f8c,0xf103d46c,0x5f117d45,0x907d46c8,0xd83f101f,
    0x30007cc7,0x9007cc5f,0x03e65c8b,0xf31f44d8,0x3a02f401,0x55576c05,
    0x4fa26c4f,0x7cc2ec4d,0xfaaaed80,0x4bb03d44,0xe89764e8,0x572017a4,
    0x205e83f8,0x79f9f8f9,0x42fa8f64,0x5477407a,0xa8f642fe,0x5c67c42f,
    0x21f880fe,0x8adf85f8,0x7d442609,0x04c56fc1,0x6fc5c8b9,0x457a098a,
    0x456fc3fd,0x442fee09,0x8442fee0,0x6eeeeef8,0xb3fd8af4,0x2607ee1b,
    0x7777c40f,0x503d46ee,0x549fb13f,0x2e4fd89f,0x5c8110bf,0x42fee1ee,
    0x3a99f108,0x7ffe447b,0x9999fa82,0x3a3bfa60,0x17ffe442,0x0f8dffa8,
    0xefc9af88,0x1ffeb980,0x20ffffee,0x321ffeb9,0x3ae62e45,0x3ffe61ff,
    0x7f5cc3db,0x7fffdc1f,0x97fffdc2,0x261f987a,0xd73dbfff,0xb9883dff,
    0x30f5099f,0x4ccfd43f,0xb7ffb109,0x6dffec49,0x17fffdc4,0xb83f8972,
    0x3be2ffff,0x0040dd91,0x05fffff5,0x08004001,0xbefff880,0x00440000,
    0x05c8b900,0x40000100,0x36044008,0x00107f05,0x7ffffe40,0xa8fe0bb3,
    0x042fffff,0x00880040,0x2207c8b9,0x1be67f80,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00027cc0,0x000013f6,0x2dcba000,0x00009f30,0x88000000,0x000000ed,
    0x3e600000,0x0013f604,0xf3013f60,0x4ba00109,0x0040005b,0xb101fb80,
    0x321f4003,0x7fb02d8c,0x7445e880,0x1d47200e,0x9fb01d88,0x01fec0b3,
    0x77442f44,0x2205b800,0x37f24acf,0x0b39fb01,0x1d882f44,0x80b63320,
    0xb19903fd,0xd1076205,0x320fc4df,0x1fec0751,0x221fffe4,0x03fd80ee,
    0x1f400131,0x81333331,0x3602d8cb,0x4c413203,0x26209999,0x2e209999,
    0x19702ec8,0x403d805b,0x2666204c,0x77fec099,0x10bf2624,0x6c05d917,
    0x808804c3,0x232e0098,0x4cccc42d,0x26666209,0x64ba9909,0x5c013104,
    0x43ee2d8c,0x884c80fb,0x8013f602,0x3ffff23e,0x0000003f,0x7fffff90,
    0x17ffffd4,0x00000000,0xfffff500,0x00fc9a85,0x900000f9,0xd82f881f,
    0x3ea0004f,0x3f22ffff,0x2793ffff,0xfb00e9ad,0x99360009,0xf100000f,
    0x776cc0fb,0xc80f983f,0xc8791e43,0x30790f23,0x500f501f,0x3aa05dfd,
    0xdfd502ef,0x0bbfaa05,0x3b6601ea,0x441f504f,0x6c42effd,0x13e22eff,
    0x0fbf10db,0x2a177ecc,0xa81f3007,0x102e8fce,0x3f620fbf,0x74cfa2ef,
    0x177fec44,0x81f9ea80,0x83f99cf9,0x744d80f9,0x6c9d1364,0x07cc2744,
    0x2bee03d4,0x57dc2fb9,0x57dc2fb9,0x57dc2fb9,0x03d42fb9,0x03ee6fea,
    0x933731b2,0x64cdcc3f,0x7cc3ee1f,0x81f9ea81,0x21fb9af9,0x01f3007a,
    0x540b9173,0x9b981f9e,0x3e7d1fc9,0xfc99b984,0x4ea6c061,0x4c1f45e8,
    0x2744d80f,0x1364e89b,0x501f309d,0x3643f80f,0x3f8d90fe,0xd90fe364,
    0x21f407a8,0x0077fa4e,0xe87f00fe,0x75360bb5,0x52ec4d84,0x803e600f,
    0x753600f9,0x2fa7f004,0x27f002f8,0xc8fc43fc,0x41f42f86,0x744d80f9,
    0x6c9d1364,0x07cc2744,0x877777d4,0xf13d40f8,0x03e27a81,0x2a07c4f5,
    0x77777d47,0x25c83f10,0x332a203e,0x7e65443f,0x407dfd43,0xbf0d91f8,
    0x7d4dd999,0xf980eeee,0x06e6ba00,0x441b23f1,0x27d3fcca,0xcca882fc,
    0x7a85f93f,0x41f887e6,0xd80f983e,0xe89b2744,0x309d1364,0x333f501f,
    0x9ea07cc3,0xf33d40f9,0x03e67a81,0x999fa8f5,0x4d907e21,0x559f302d,
    0x5567cc7d,0x504fd83e,0x37e0fccf,0x3ea3cccc,0x1f301999,0x3efab6e0,
    0x41f99ea1,0xd3eaacf9,0x9f31fdc7,0x6c047d55,0x7c4faaae,0x3e60fe63,
    0x93a25d80,0x5d93a25d,0x03e613a2,0x42f881ea,0xd90be26c,0x89b217c4,
    0x1ea3642f,0x004d85f0,0x1363e89b,0x201f507d,0x44faaaed,0x803d405e,
    0xc8f980f9,0x5576c7b3,0x3a26c4fa,0x366c87d3,0xdf101f44,0xed8ddddd,
    0xf983ee99,0xfd89fa80,0x3f627ea4,0x3f627ea4,0x7a80f984,0x2fa8f640,
    0x42fa8f64,0xc85f51ec,0x7a85f51e,0x1fb8f640,0xd8af40fa,0x7ec57a3f,
    0xf880f983,0x5c6eeeee,0x3d4110bf,0x3e80f980,0x77c4bab9,0xaf46eeee,
    0x447d3fd8,0x7ec57a6d,0x43d41933,0x3bfa21f9,0x3ee623d9,0x3ff62099,
    0x3ff624db,0x3ff624db,0x3ee624db,0x267ea099,0x3ff22099,0xfffc882f,
    0x2fffc882,0x82fffc88,0x209999fa,0x222fffc8,0x7fff305f,0x5fffcc7b,
    0xa80f983d,0x7dc1f987,0x27ea2fff,0x2e620999,0x44b7099f,0x261ea5fe,
    0x2fffe61f,0xdff17d3d,0x6dfffcc3,0x82ec9fd3,0x3f20083f,0x0083ffff,
    0x32008008,0x2a3fffff,0x102fffff,0x00400200,0x3ffea008,0x020102ff,
    0x20020020,0xf05d80f9,0x3ea02207,0x3f22ffff,0x4003ffff,0x0107f05d,
    0x3aa01000,0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x66654000,0x3a000001,0x325d0b92,
    0x07300005,0xdda83103,0x88198002,0x000a8000,0x5c974000,0x25d00000,
    0x5000005c,0x9950bffb,0x5dfb3039,0x2177fec4,0xed8ca800,0x3ba2040c,
    0x02aaa600,0xcfd85e88,0x0971d859,0x6d412e3b,0x21e401e9,0xf53dc1f8,
    0x41805f77,0x1fffaa2e,0x1f8fffd4,0xffe83fd8,0x4971d806,0x4401fffa,
    0x0971d85e,0x4d8b39fb,0x0a66be60,0xf302aaa6,0x2e63f735,0xfd31fc99,
    0xeea8fc43,0x07ee4e9b,0x6c000132,0x2ec8b883,0xec800000,0x85ffd503,
    0xb93dc1f8,0x23f10274,0x042fe658,0x5c2ccfc0,0x0d702d8c,0x200fc000,
    0x1710003d,0x7fffc5d9,0x0000fa87,0xf817626c,0x24c8baa3,0xfa9ae2fa,
    0x7fec4000,0x2000002e,0xea82efd9,0xf70002ef,0x7c45ff75,0x22d73dc1,
    0x407e202f,0x01f8006c,0x6406b800,0x00fc1e43,0x2effd880,0x0cef4c00,
    0x980e7f44,0x66fc2efd,0x32a26ecc,0x4d3b23fc,0x4311ea0e,0x3bbaa0fa,
    0xfc99b981,0x207bbaa1,0x4c2efbac,0x2e1fb9af,0x542fb9af,0x92f81eee,
    0x20fc4b97,0x13f7e27b,0x13603f10,0x75407e00,0x01ae01ee,0xbf84e89b,
    0x3beeb23d,0x7e4cdcc2,0x207bbaa1,0xa80bb8cd,0x4d7cc5fd,0x3337e1fb,
    0x559f33cc,0x753aa27d,0x12203d42,0x2003f331,0x07e6623f,0x83ee77b6,
    0x87f2ec4d,0x0fccc46c,0x3d47c3e2,0x227b83f1,0x220514fe,0x0009b01f,
    0x3e66203f,0x9b01ae01,0x5ffcc4e8,0x3ee77b60,0x3311fc00,0xd9fbb03f,
    0x9b17cc0f,0xd817a5d8,0x92b89f44,0x8000f50b,0xf995101f,0x1b607e07,
    0x6666fc7f,0x7a81f16e,0x31f307e0,0x41f89ead,0x3f99f17b,0x407e20d7,
    0x01f8004d,0xa9ae01f8,0x29d1364f,0x6d82ffd8,0x332a21fc,0xfb03f03f,
    0x510997c3,0x6666fc3f,0x442fee6e,0x0ff62bd0,0x01ea03e6,0x4c0fc051,
    0xf03eaacf,0x24e89b03,0x33ccccdf,0x3e07a81f,0xd73caf81,0x5dee0fc4,
    0x44177b67,0x0009b01f,0x403f003f,0x4d9bf26b,0x1f8c9a74,0xf32744d8,
    0x3e07d559,0xb9f44d81,0x6fc3ffff,0x7dc3cccc,0xfff32fff,0x515d07b7,
    0x3fa03d43,0x89b03f03,0x9b03f03e,0x8817a4e8,0x3f03642f,0x5f51fd90,
    0x5db20fc4,0x440bfa27,0x0009b01f,0x403f003f,0x5d82e26b,0x207e13a2,
    0x89b2744d,0x9b03f03e,0xe81444e8,0x203e6005,0xb5b81d10,0x7ec060bd,
    0x2bd03f02,0x03f03fd8,0x3ee4e89b,0x8f64110b,0x407e02fa,0x7c43fffd,
    0xf34e9889,0x209fd517,0x009b01f8,0x03f003f0,0x27ea035c,0x81f84fd8,
    0x2bd2744d,0x03f03fd8,0x3cc4e89b,0x0110bfb8,0x98b90132,0x985bea8f,
    0xf3310207,0x7ffcc137,0x3e6623db,0x9d13609b,0x22ffffb8,0x882fffc8,
    0x6409bf99,0xf33f100b,0x7ffd41bf,0xaf882fbc,0x009b0999,0x026fe662,
    0x4137f331,0x1019ec99,0x229b7ffb,0x3609bf99,0xfff32744,0x7ccc47b7,
    0x9d13609b,0x3fee05b8,0x0dd302ff,0x3a7d3f4c,0x02dc2fee,0x9fffff90,
    0x7ffe4010,0x9d1364ff,0x40100220,0x44fffffc,0x0000000b,0x5fffff88,
    0x3ff2009b,0x7fe44fff,0xfff14fff,0x80401fff,0x24fffffc,0x0042744d,
    0x49fffff9,0x0222744d,0x00000220,0x0dc9896e,0x00f88044,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x35400000,0x005df759,0x3eeb2000,0x8790f22e,0x3101ccca,0x5305e801,
    0x06003015,0x22000000,0x03000009,0x641ccca8,0x26a616c3,0x99881000,
    0x0c40c199,0xdfd70310,0x035301dd,0x4cc40400,0x76c31099,0x75c0fb9d,
    0xd5d702ea,0x7dcef6c5,0x4c4e89b0,0x7ec40aaa,0x11ba05ff,0x261ffdfd,
    0x4c7e20fe,0x707e20fe,0x3ee05d5d,0x09fdf901,0x0f301fec,0x6c0aaa98,
    0xfdf71f44,0x7ff5c07f,0x4fffff51,0x223dc1f8,0x3ea1fffc,0x7441fc89,
    0x09b0efef,0xffb83f70,0xf8db06ff,0x5c02eb83,0x4fe36c2e,0x2002744d,
    0x009f30ec,0x5541076c,0xfaa9320f,0x175c1320,0x1d703f50,0x232e0be6,
    0x000f302d,0x811f44d8,0x823f507c,0x707e206a,0x9b01de8f,0xf136c2f8,
    0x3ea01367,0x4d836401,0x40000274,0x44da744d,0x2790f24e,0xb83dc2f8,
    0x87c01fc3,0xd30f80e9,0x3e000001,0x54002ec3,0x43eeefee,0x26c2efea,
    0x80f980fa,0x440d504c,0x0d73dc1f,0xb03e66c8,0x009b3e89,0x4d836400,
    0xdb195274,0xefbac819,0x369d1362,0xe89b2744,0x03f30f54,0x402fd899,
    0x43e05d0f,0xeeeeb82e,0x3bbbae1e,0x3621f11e,0x96c0ee7f,0x0999fb98,
    0x8bee6bee,0xb901f44d,0x4f540fa0,0x3dc1f880,0xf503317b,0x7f509f9d,
    0x2f361f91,0x3bbaa2ef,0x4d836401,0x37dd5274,0xb9ded89d,0xb4e89b0f,
    0x89b2744b,0x5f10f74e,0x36227e4c,0x172503ef,0x2620b928,0x2620fc99,
    0x1f30fc99,0x2dcf5bd3,0xf03cc2f8,0x89766c87,0x077f543f,0xbdddfdd3,
    0x1177ffd4,0x3be7b83f,0x2f60efef,0x3fea00aa,0x2e7bf60f,0x03f3310f,
    0xe89b06c8,0x46b8bea4,0x44d9fc6d,0xfb13f54e,0x5d3a26c9,0x33e1f887,
    0x1df93009,0xf9801f30,0x202f9800,0x3efe62f9,0x59b54f53,0x3f7221f1,
    0x503e24cc,0x7f44fecf,0x87ed4c44,0x2aadeaa8,0x3e23f930,0xe89f3dc1,
    0x026abba5,0x43befb62,0x0fc1fc6d,0x226c1b20,0x8311ea4e,0x44da744d,
    0xb7ffb13e,0x553a26c9,0x1f30f987,0x3a13e200,0x15d01c9a,0x813a2035,
    0x0f7c44e8,0xafcbccf5,0x2bf2a279,0xf503e62a,0x7d5fff6c,0x0fa13a02,
    0x83f13f80,0x4f70fe7b,0x44ffeefb,0x26d3e25d,0x9007e13a,0x1ea0300d,
    0x409d1360,0x20e8843f,0x7c53a25d,0x03f33642,0x656e2ec0,0xedadc0fb,
    0x5d80bb05,0x224d87d0,0x86adce8f,0x42f880f9,0x2001366c,0x2003e83e,
    0x4bb0be3f,0x2f8b5c4e,0xd90fe3dc,0x3f09d136,0x3cc05d80,0x44d807a8,
    0x203f704e,0x6c4fd45b,0x2e2bf64f,0x1057ec2f,0x45f53135,0x983e60f9,
    0xb85bea8f,0x403ee00f,0x41fb89fb,0x05bf8ebf,0x7641119d,0x026c5f51,
    0xe80fc982,0x076cc103,0x45f713db,0x227f31fa,0x3ba3643f,0xd1369f31,
    0x9aa83f09,0x82dc03fb,0x744d807a,0x2603fc84,0x2fff627e,0x177fe44d,
    0xff12ffc8,0x23e87dff,0xee9f41ea,0x26fe62fe,0x26fe6099,0x77fdc099,
    0x9db3ee81,0x893ff6a0,0x26c2fffc,0x077fff60,0xfffc81f4,0x7ffec40c,
    0x43fffb83,0x41efeffc,0x364fffd8,0xf998a744,0x7fff509b,0x1ea01100,
    0x109d1360,0x80040001,0x03011000,0x25fff16e,0x8372625b,0x24fffffd,
    0x04fffffd,0xfb8fe401,0x88040003,0xe8008800,0x04002203,0x13310040,
    0xe89b0100,0x9fffff94,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00262000,0x26666600,
    0x09fd5590,0x000d4400,0x3bb66000,0x5300183d,0x16a074c3,0x09980304,
    0x221dfec8,0x06660099,0x09999988,0x81333331,0x2620b92e,0x22310300,
    0x31099999,0x99998260,0x08811099,0x80a9800c,0x405fdee8,0x77f4c5e8,
    0x3ddb3fff,0x3ffea5f5,0xbffff301,0xbd100172,0x7f339f30,0x7fd40798,
    0xbb13e6ff,0x441e2d50,0x3ba3fefe,0x3ffa1b9a,0x7ffc42ff,0x7ffd42ef,
    0xffff52ff,0x0971d85f,0x07e213f6,0x3ffff2f7,0xfb85f13f,0xffffff10,
    0x22f9936d,0x3ba201f8,0x361f43fe,0x53a0f605,0x320ed87a,0xcf981f85,
    0x2002e460,0x3e8bd03d,0x17f503cc,0x17c4f90c,0xbb069ad4,0x200fa844,
    0x445f713e,0x545f711f,0x0001ea07,0x7c43efc4,0x03e63dc1,0x017c43f2,
    0x9d14da6c,0x97601f88,0x32ad71f9,0x2a001f8c,0x71361ea7,0x0bb03f0d,
    0xf00002e4,0xfdd53e85,0x027c7ddd,0x223dcbe2,0x1cfdceec,0x405c817c,
    0x3f136c3e,0xa81ea6d8,0x0f775407,0x441f9ea8,0x3e63dc1f,0x01729d00,
    0x5da6c3e6,0x3f101f88,0x7f37b4e8,0xeeeb8f25,0x3d4b91ee,0x3e1b226c,
    0x97202f81,0x6c6543d8,0xd07e20ce,0x267ee627,0xb001f309,0xbb51136b,
    0x2f815bb5,0x43e80b90,0xf507e27a,0x80f503d4,0x9b01f998,0xb83f113a,
    0xfa807cc7,0x24d801fa,0xf880eccd,0x5c83f101,0x24b8993d,0xb0fc9998,
    0xd8f77d49,0x20fc2f44,0x457201f9,0x9beea85e,0x7f317c4e,0x54f50798,
    0x7cfd43cc,0x11325b01,0x54799bf9,0x3ddfd00f,0x20fc43e6,0xdddf50f9,
    0x3bbbea1d,0xf103f00e,0xddf11b23,0x0f98fddd,0x26013f60,0x403fb60f,
    0x437a01f8,0x8b75d5e9,0x6c5f304b,0x6c267ea5,0xf81fc88d,0xb9017cc1,
    0x8bea0bd1,0x74c76c6b,0x7a83cc3f,0x3be1b6a6,0x21e4ba06,0x22aacfa8,
    0x3098adf8,0x887d439f,0xfa87d41f,0x2bea1999,0x207e02aa,0xf887e67a,
    0x4c7daaac,0xbfca980f,0xbb17601a,0x807e209d,0xb4eeffd8,0x0f699f17,
    0x54f913a2,0x1efffd87,0x04f883f0,0x7a817bb2,0x3bfa20c4,0x983cc3e9,
    0x7e435c0f,0xfeefeb82,0x2202f86e,0x0fa1fffd,0x360fc4fb,0x07a81ea7,
    0x2bb607e0,0x07e24faa,0xa80f98f7,0x301ccfdc,0x2f9cd83f,0x6c001f88,
    0x22aa2d53,0xfa85d80f,0x009b0f50,0xc81ba07e,0x0f500fcd,0xf987d040,
    0x35c4f880,0x9f988364,0x02f81af9,0x21f40fc4,0xf887e25f,0x07a81ea5,
    0xddf107e0,0x0fc4dddd,0x101f31ee,0x20133f73,0x3f74d85d,0x26001f88,
    0x7443760f,0xdd00fb84,0x36133f55,0xf303f004,0x5725337d,0x007a80ed,
    0x119d07d0,0x644e7dc1,0xf1017d46,0x4dfcc07c,0xe8354099,0x220efc9c,
    0x20efc9af,0x509999fa,0xbf99880f,0x3f30f509,0x22f707e2,0x32099fb9,
    0x982eefee,0x3b64d81f,0x2666be20,0x0ff2a620,0x260fbff2,0x220999bf,
    0xb3fffffd,0x5fccc409,0x77ff4c09,0x20774b93,0x07d0007a,0xea89ffb5,
    0x5ff74fff,0x30f17980,0x8bffffff,0x9dffd019,0xbefff881,0x7ffffd40,
    0xffc80f52,0x20bb4fff,0x7b83f13f,0x07fffff9,0x82ec01f3,0xf897a24d,
    0x3f25ffff,0x360001de,0x004fffff,0xfff90044,0x2e4009ff,0x007a8bd1,
    0x08000110,0x000000c4,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x4ccc4098,0x0a981999,0x09804c40,0x98026620,
    0x66540c40,0x82204c1c,0x26004408,0x33310999,0x99880310,0x4c401101,
    0x33333009,0x99999833,0x42201309,0x02218818,0x11009844,0x312ffed4,
    0x20333333,0x4c0c8848,0xd300a203,0xffffa87f,0xffd30fff,0x827ec07f,
    0x3fffa02f,0xf12fc42f,0x8155530f,0x3e9aa0ff,0xdff702ec,0x3ffff63d,
    0xff901ee4,0x204d87ff,0x264efffd,0x0ecccccd,0x5bfffffe,0x897c40fc,
    0x0b936c3f,0x3f836cba,0x545335f3,0x0fffffff,0x53bd0798,0x17a209d3,
    0x203fcfd8,0x323a80f9,0x04eea80f,0xb89f405f,0x543fe62f,0x3ff8007e,
    0x6677ddaa,0xdbd02eec,0x53ea29b0,0xc8ae407b,0x2f33b61f,0x31fa9360,
    0x03217b35,0x89f12f98,0xf987dc6d,0xa97416e1,0xfa87cc0f,0x400f9800,
    0xfdff1079,0x3013e60d,0x0f980fe1,0x7c41f880,0xb35f04da,0x336c3e83,
    0x51ef67bd,0xf9f03ddd,0xccefbb54,0xbe982eec,0xbb6c4d86,0x5f12e407,
    0x8ff5d6ec,0x2299fc4d,0x2f40196a,0x40fcc3ee,0x06b89d5e,0xd90fe23f,
    0x300e7f44,0xf955101f,0xb8fcc555,0x0017dc0f,0x00f980fe,0xdaec0f98,
    0xd07fdf04,0x2ba67a87,0x220f8f8e,0xf9f81f99,0x361f4d53,0xb0d79b05,
    0x80f76d89,0x4d87ea5c,0x3ea4daf4,0x0c9e8531,0x2bd01f70,0x1fbf305d,
    0x0fcb16a8,0xda83e8bb,0x101f305f,0x4999fb99,0xfc87e26b,0x983f8001,
    0x200eefee,0x4d87d45d,0x74067ec4,0x21f31eef,0x1f19bf6a,0x2e7e07e0,
    0x66774d56,0xb8f885ec,0x549b1eef,0x2fb8f73f,0xd87fb9d9,0xeefdb644,
    0xb5cca62f,0x502f880c,0x7e401f7f,0x23f76a82,0x7cc3ea0f,0x260be600,
    0xb83cc00f,0xde887e27,0x441fc000,0x900abfca,0x1362e81f,0x3e605f79,
    0xb543ea1c,0xf00f89fc,0x55f13f03,0x7666774d,0x33d75b85,0x71fff7ec,
    0x7d94fd8f,0x5e89b0bd,0x25f955bb,0x40643b29,0x027ec05e,0x75e617fa,
    0x3e20f8ce,0x51098d72,0x801f303f,0xb39f3079,0x001db10d,0x01f301fc,
    0x2bee0fdc,0x7c0adeaa,0x4fb0fa02,0x80fc736b,0x5d91f81f,0x21761f4d,
    0xdd86cade,0x223dc09a,0x0fe2b90b,0x23fb53bb,0x529b6c4d,0x007dc0c8,
    0xafc803ea,0x4fc7cc2f,0x7d5d879f,0x03ffffb8,0x048801f3,0x01fdfdf5,
    0x1fc007f2,0x3f201f30,0xfeeeeb81,0xd017c1ef,0x416e5f87,0x3f03f01f,
    0x43e9b7e2,0x7777cc5d,0x1ee04d86,0x363dcb90,0x1361deff,0x9064a6db,
    0x4c017c41,0x325f300f,0x7533e20f,0x0f9fa87b,0x0f980f50,0x13333330,
    0x40db0fe2,0x3e66206b,0x80f9809c,0x00999afb,0x4cdfc136,0x3f273a09,
    0x0fc16e0e,0x4137f331,0x3e9bf21f,0xeb9362ec,0x5c09b099,0x3209999f,
    0x04d8fe25,0x4bee6776,0xb0641729,0x3033333d,0xf897a01f,0x6ec8f7c4,
    0x2e06ef88,0xf807cc05,0x065fffff,0xfc800062,0xf985ffff,0xfffffe80,
    0x7fc13606,0x3ffa5fff,0xf82e40ce,0x3fffff22,0x26f987e4,0x3f12ec3e,
    0x4d9fffdc,0x3ffffee0,0x6cf91722,0x37fff604,0x3bbbba62,0xffff10fe,
    0x01f30fff,0x21fb83f7,0x6c1be67f,0x3006603f,0x0000001f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfb101400,0xbfd905df,0x02efd983,0xfb1bd700,0x85dfd507,
    0x3fd9efd8,0x792ffed4,0x880303c8,0x98133009,0x0772d40e,0x76c654b6,
    0x13226c0c,0xeeeeeb80,0x21ec4971,0x77dd6408,0x98080102,0x23faafbc,
    0x0201eeea,0x20086008,0x9b980de8,0x2bba1fc9,0x26be61b9,0x307981fb,
    0x1f5bdb3f,0x17dcd7dc,0xf37fb353,0x8a66be61,0x7e42744d,0x85fdf702,
    0x1fc1fddc,0x5f05b976,0x13a6fbaa,0x207ea5f5,0xc9998878,0x17a2b90f,
    0x6f6cdffb,0x3f660fb9,0x22edeb81,0x6adebde9,0x3207e662,0x3fea0eff,
    0x1f8b541e,0x2003b620,0x6c01f53f,0x83cc2ec4,0x8ba5f55b,0xf983643f,
    0x403ea5d0,0x64c2744d,0x0f71f880,0xf89b21ec,0xf8acdaa1,0x435c5f50,
    0x9543f9fc,0x45f30176,0x2205e8dc,0x13f8db2f,0xbcb83f7d,0x31f32d9c,
    0x3f01f13f,0x227f1130,0x97c4d71f,0x83f9004d,0xb93fcca8,0xecccdf80,
    0x29907986,0xf13ecdf9,0x6dcc7a81,0xfd13fccf,0x2744d839,0x4799e600,
    0x7c44feea,0xf9798d71,0x223d4f35,0xb10bfd01,0xe8819ddb,0x902f7644,
    0x13a26cdb,0x3636d07e,0x45e6f358,0x2601f80f,0x93c4f32f,0xb8003aab,
    0xd559f32f,0x9bf01727,0x3ba67999,0x990eeefe,0x4c6aafe6,0x9f53d40f,
    0xa83555f7,0x9d1365fd,0x3bbbbba6,0x1ae5f10e,0x5361363f,0x6747c43e,
    0x801ea6ad,0x9fb104fd,0x9b90bb01,0x4feea01f,0x0fc2744d,0x9b47bab1,
    0x203e2f37,0x449f301f,0x8b54d91f,0x1bd1001f,0x3e67d136,0xa8817a00,
    0x322abfca,0x5f105f55,0x7cd366c8,0xbb2f9800,0xaaa8a744,0x7fdc2aaa,
    0x26f76c1e,0x7c07cfd4,0x2a5bf8eb,0x5f5f7007,0x1eae9ea8,0x6d7203ee,
    0x26d3a00e,0x2d07e13a,0x2f358c9d,0x3f01f179,0x54139f70,0xaa6c1eff,
    0x227cc00e,0x7c7fb15e,0x3ee098ad,0x0f30110b,0x237f63ea,0x7d47b208,
    0x33f63722,0x7d442608,0x9fb13f51,0x08020020,0xdd05ef80,0x07a93b67,
    0x41f72f98,0xbf982d10,0x74b90999,0x43bffa0e,0xfff2744d,0xeb9654df,
    0x7c5e6f31,0x137f3310,0x0037fffc,0xf700e4b1,0xb7fff307,0x0fff5cc7,
    0x20bfffee,0x23bf6079,0x3f221ffe,0x5ff4c2ff,0xff70fff9,0x7fec47ff,
    0x81fb84db,0x266eeee9,0xf906eeee,0x7dc7f205,0x9f101ea3,0xd84886e8,
    0xb94fffff,0x81312f44,0x5002744d,0x9bcc3bdd,0x3ff21f17,0x00004fff,
    0x401e8800,0x01100000,0x00200244,0x11008001,0x06cc0040,0x4c199998,
    0x00001999,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20c10000,0x40300408,0x02080829,0x99999820,
    0x0e665409,0x205c1bd7,0x7774b92e,0xdddb3eee,0x3fffffe9,0x000005ff,
    0x00000000,0x00000000,0x00000000,0x5c000000,0x87643f15,0x02fc82f9,
    0x22ec45fb,0x3a20bd5f,0x3fffffa4,0x985554c4,0x0f88edbf,0x2aa3a8ec,
    0x5553eaaa,0x26666635,0x00000999,0x00000000,0x00000000,0x00000000,
    0x80000000,0xaed8d73e,0x06ae883f,0x749909f5,0x05b109d4,0x325a8000,
    0xd80004ff,0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,
    0xd87d0f88,0x0f65b03f,0x53a00be2,0x2eee004d,0x20002bbb,0x57000018,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xf987e2d7,
    0xf134c0ee,0xb802f5c1,0x66400572,0x0003cccc,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3e200000,0xd9fcc9d1,0x2770720e,
    0x000002c8,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2c4ea000,0x0003b0ea,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_16_latin_ext_x[560]={ 0,3,2,0,0,0,0,3,2,2,1,0,1,2,
3,0,0,1,1,1,0,1,0,0,0,0,3,1,1,1,1,2,0,0,1,0,0,1,1,0,0,1,1,1,
1,0,0,0,1,0,1,0,0,0,0,0,0,0,0,2,1,2,0,0,0,1,1,1,0,0,0,0,1,1,
1,1,1,0,1,0,1,0,1,1,0,1,0,0,0,0,1,1,3,1,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,0,0,0,0,
3,1,0,0,1,1,0,2,0,0,1,0,1,2,0,1,0,3,3,1,1,1,0,0,0,1,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,-1,-1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,1,0,0,0,0,1,1,1,0,0,1,
1,-2,-2,1,0,0,1,0,0,0,1,0,0,0,0,1,0,0,0,0,0,0,0,0,-1,0,1,1,-1,0,
0,0,0,0,0,1,0,0,0,0,0,-2,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,
0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,-1,0,-1,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0, };
static signed short stb__consolas_16_latin_ext_y[560]={ 11,-1,-1,0,-1,-1,0,-1,-1,-1,-1,2,8,6,
8,-1,0,0,0,0,0,0,0,0,0,0,3,3,2,4,2,-1,-1,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,-1,-1,0,13,-1,3,-1,3,-1,3,-1,3,-1,-1,
-1,-1,-1,3,3,3,3,3,3,3,0,3,3,3,3,3,3,-1,-2,-1,5,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,3,-1,0,1,0,
-2,-1,0,0,0,3,6,6,-1,0,-1,1,-1,-1,-1,3,-1,5,11,-1,0,3,-1,-1,-1,3,-2,-2,-2,-3,
-2,-3,0,0,-2,-2,-2,-2,-2,-2,-2,-2,0,-3,-2,-2,-2,-3,-2,3,-1,-2,-2,-2,-2,-2,0,-1,-1,-1,
-1,-1,0,-1,3,3,-1,-1,-1,0,-1,-1,-1,0,-1,-1,-1,-1,-1,-1,0,2,1,-1,-1,-1,0,-1,-1,0,
-2,0,-3,-1,0,3,-2,-1,-2,-1,-3,-1,-2,-1,-2,-1,0,-1,-2,0,-3,-1,-3,-1,0,3,-2,-1,-2,-1,
-3,-1,-3,-1,0,-1,-2,-3,0,-1,-3,-1,-2,0,-3,-1,0,-1,-3,3,0,-1,-2,-1,0,-1,3,-2,-3,0,
-1,-1,-1,0,-1,0,-1,-2,-1,0,3,-2,-1,-2,0,3,-2,0,-3,-1,-2,-1,0,3,-2,-1,0,3,-2,-1,
-2,-1,-2,-1,0,3,-2,-1,0,0,-2,-1,0,0,-3,-1,-2,0,-3,-1,-3,-1,-2,-1,0,3,-2,-1,-2,-1,
-2,-2,-1,-3,-1,-2,-1,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,-5,-3,-2,-1,-2,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0, };
static unsigned short stb__consolas_16_latin_ext_w[560]={ 0,3,5,9,8,9,9,3,5,5,7,9,5,5,
3,8,9,7,7,7,9,7,8,8,8,8,3,5,7,7,7,6,9,9,7,8,9,7,7,8,8,7,6,8,
7,9,8,9,7,9,8,8,9,8,9,9,9,9,8,5,7,5,8,9,6,7,7,7,8,8,9,9,7,7,
6,8,7,9,7,9,7,8,8,7,8,7,9,9,9,9,7,7,3,7,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,0,3,8,8,9,9,
3,7,7,9,7,7,8,5,8,7,7,8,6,5,8,8,8,3,3,6,7,7,9,9,9,6,9,9,9,9,
9,9,10,8,8,8,8,8,8,8,8,8,9,8,9,9,9,9,9,7,9,8,8,8,8,9,7,7,8,8,
8,8,8,8,9,7,8,8,8,8,8,8,8,8,8,8,9,9,9,9,9,9,9,8,8,8,8,9,7,9,
9,8,9,8,9,7,8,8,8,8,8,8,8,8,10,11,9,9,8,8,8,8,8,8,7,8,8,8,8,9,
8,9,8,9,8,9,8,8,9,8,8,8,8,8,8,8,7,8,8,7,8,8,7,7,8,8,8,8,8,7,
7,10,11,8,10,8,7,8,8,8,7,8,8,8,8,7,9,9,9,9,9,9,9,9,10,9,8,8,10,9,
8,8,8,8,8,7,8,8,9,8,9,11,9,8,8,8,8,8,8,8,8,8,9,9,8,7,9,9,9,9,
9,8,8,8,8,8,8,7,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,8,10,9,10,10,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,8,7,9,8,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9, };
static unsigned short stb__consolas_16_latin_ext_h[560]={ 0,13,5,11,14,13,12,5,16,16,8,9,6,2,
4,14,12,11,11,12,11,12,12,11,12,11,9,11,10,5,10,13,16,11,11,12,11,11,11,12,11,11,12,11,
11,11,11,12,11,14,11,12,11,12,11,11,11,11,11,16,14,16,6,2,5,9,13,9,13,9,12,12,12,12,
16,12,12,8,8,9,12,12,8,9,12,9,8,8,8,12,8,16,17,16,4,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,0,12,14,11,10,11,
17,14,4,12,9,7,4,2,8,4,7,10,8,8,5,12,14,3,3,8,9,7,12,12,12,12,13,13,13,14,
13,14,11,14,13,13,13,13,13,13,13,13,11,14,14,14,14,15,14,7,14,14,14,14,14,13,11,13,13,13,
13,13,12,13,9,11,13,13,13,12,12,12,12,11,13,12,13,13,13,13,12,9,12,13,13,13,12,16,16,15,
13,12,14,13,15,12,14,13,14,13,15,13,14,13,13,13,11,13,13,12,14,13,14,13,15,12,13,13,14,16,
15,16,15,16,15,16,13,14,11,12,14,12,13,11,14,12,15,16,14,8,12,16,14,16,15,16,8,13,14,15,
16,12,12,11,12,11,12,13,12,15,12,13,12,13,15,12,14,12,15,13,14,13,12,9,13,12,15,12,13,12,
14,13,14,13,14,11,14,13,15,15,13,13,11,12,15,13,14,12,15,13,15,13,14,13,15,12,13,12,13,16,
13,13,12,14,12,13,12,12,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,14,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,16,15,13,13,15,14,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,15,12,15,15,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11, };
static unsigned short stb__consolas_16_latin_ext_s[560]={ 252,252,154,111,28,204,84,251,76,82,155,
34,141,212,251,1,117,1,19,165,27,183,200,220,219,246,250,250,243,169,1,
132,113,183,139,46,148,158,166,92,193,202,244,229,238,56,75,53,105,211,122,
70,214,191,196,186,176,166,157,181,229,107,132,218,147,9,220,17,11,25,173,
209,228,236,150,55,38,210,186,54,30,74,136,74,83,82,116,126,145,101,163,
165,5,173,185,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,
147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,252,252,192,
121,233,210,1,221,195,1,108,243,203,212,201,177,235,224,228,180,160,156,10,
250,251,194,100,116,89,79,232,63,201,1,167,29,214,57,94,76,114,65,186,
247,228,195,20,56,46,94,112,122,132,137,151,124,161,207,67,85,171,157,131,
233,241,148,224,139,171,165,64,130,192,183,177,37,1,19,125,174,123,28,104,
94,84,74,46,90,65,47,38,29,145,88,68,82,237,10,234,211,26,224,103,
174,48,156,92,138,39,120,109,97,138,77,68,206,225,39,142,19,9,215,241,
232,10,9,36,19,45,29,54,39,143,216,84,189,19,180,223,66,198,56,129,
98,247,220,75,49,244,123,147,131,171,97,189,1,157,94,113,113,134,37,154,
134,162,120,1,58,19,147,243,28,19,146,101,87,237,58,20,44,28,64,111,
242,86,9,165,106,174,129,156,206,183,115,72,63,163,183,9,137,17,10,180,
44,234,1,216,205,201,67,225,36,48,127,195,140,124,77,11,1,108,214,99,
105,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,48,
147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,
147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,
147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,
147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,
147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,
147,147,147,58,207,152,173,187,37,147,147,147,147,147,147,147,147,147,147,147,
147,147,147,147,147,147,147,147,147,147,147,147,147,198,198,72,63,147,147,147,
147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,
147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,
147,147,147,147,147,147,147,147,147, };
static unsigned short stb__consolas_16_latin_ext_t[560]={ 15,1,153,119,50,79,93,93,1,1,144,
144,153,153,99,35,106,132,132,106,132,106,106,119,106,119,79,50,132,153,144,
79,1,119,132,119,119,119,119,119,119,119,106,119,119,132,132,106,132,18,132,
106,132,106,132,132,132,132,132,1,18,1,153,153,153,144,64,144,79,144,106,
106,106,106,1,119,119,144,144,144,119,119,144,144,119,144,144,144,144,119,144,
1,1,1,153,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,15,35,18,
119,132,119,1,18,153,119,144,144,153,153,144,153,144,132,144,144,153,106,35,
89,104,144,144,153,106,106,93,106,64,79,79,35,79,35,132,35,79,79,79,
64,64,79,79,79,132,35,35,35,35,18,35,153,35,35,35,35,35,79,132,
79,79,79,79,79,93,64,144,119,64,64,79,93,93,93,93,119,79,93,79,
79,79,79,93,144,93,79,79,79,93,1,1,18,64,93,35,64,18,93,35,
64,35,64,18,64,35,64,64,64,119,64,64,93,35,65,35,65,18,93,50,
50,50,1,18,1,18,1,18,1,50,35,132,93,50,93,50,132,35,93,18,
1,18,144,93,1,35,1,18,1,144,50,35,19,1,93,93,132,93,132,93,
50,93,18,106,50,106,64,1,106,35,106,18,64,18,64,119,144,65,119,18,
93,50,106,18,50,18,64,18,132,18,50,18,18,50,50,132,106,18,65,35,
106,1,65,1,50,18,50,1,106,65,106,50,1,50,50,119,50,106,50,106,
93,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,50,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,1,1,50,50,1,50,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,1,93,18,18,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132, };
static unsigned short stb__consolas_16_latin_ext_a[560]={ 141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_16_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_16_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_16_latin_ext(stb_fontchar font[STB_FONT_consolas_16_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_16_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_16_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_16_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_16_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_16_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_16_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_16_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_16_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_16_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_16_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_16_latin_ext_s[i] + stb__consolas_16_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_16_latin_ext_t[i] + stb__consolas_16_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_16_latin_ext_x[i];
            font[i].y0 = stb__consolas_16_latin_ext_y[i];
            font[i].x1 = stb__consolas_16_latin_ext_x[i] + stb__consolas_16_latin_ext_w[i];
            font[i].y1 = stb__consolas_16_latin_ext_y[i] + stb__consolas_16_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_16_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_16_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_16_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_16_latin_ext_s[i] + stb__consolas_16_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_16_latin_ext_t[i] + stb__consolas_16_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_16_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_16_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_16_latin_ext_x[i] + stb__consolas_16_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_16_latin_ext_y[i] + stb__consolas_16_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_16_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_16_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_16_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_16_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_16_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_16_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_16_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_16_latin_ext_LINE_SPACING
#endif

