// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_17_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_17_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_17_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_consolas_17_latin_ext_BITMAP_HEIGHT        178
#define STB_FONT_consolas_17_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_consolas_17_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_17_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_17_latin_ext_LINE_SPACING          11

static unsigned int stb__consolas_17_latin_ext_pixels[]={
    0x0001c872,0x20040098,0x00000001,0xb700e540,0x640b6203,0x05a86d44,
    0x3a60b620,0x1ecc03ee,0x3202ea80,0x9807b305,0x36600cdc,0x00eab303,
    0xb8025c33,0x2a201912,0x3bff6a01,0x44be2f83,0x3b6002df,0x5b81ea00,
    0xfff885c8,0x307fff97,0x0bee07fb,0xa81b9eb8,0x741ff05f,0x5400f72f,
    0x4eaa885f,0x00fafe60,0x0ff805f5,0xa81f5fcc,0x980ec9af,0xee883ebf,
    0xb91ec01f,0x0fd57e00,0xfa80ebe8,0x2f82baac,0x00fb98be,0x1fd403a8,
    0x87f107d0,0x33119af8,0x013bf07f,0x3e200591,0x0aa01500,0x2003dc73,
    0x1027400a,0x01300621,0x22110530,0x2640f981,0x26018844,0x1722e800,
    0x9e802040,0xf005e81d,0x01f417c5,0x5e803b36,0x1fa804c0,0x43e807e2,
    0x3afa01f9,0x8dffb301,0x5301aaa8,0x511ee288,0x35555503,0x015109d0,
    0x2a02a235,0x05555531,0xd86aaaaa,0x554c7983,0x555502aa,0x1cfb9835,
    0x5106a6b9,0x79303501,0x17c01ba0,0xf809b05f,0x01f702d8,0x20d55554,
    0xe807e26d,0x65e03d43,0xfeadf982,0x413fba64,0x4f73d45c,0xecfe85f9,
    0x884e83ef,0xf897c43f,0xeeb97c43,0xecfe87ee,0x711f33ef,0x75c1f179,
    0xcfe87eee,0x37f63efe,0xdf9b93df,0x221fc47f,0x5d03d12f,0x3e0177d4,
    0x01360be2,0x027407b5,0x87dfd9fd,0x403f10f9,0x2e03d43e,0x67cbd05f,
    0xb904e82f,0x7c5ee7a8,0x13a0fb85,0x5c6d8274,0x1f71b60f,0x41f71ee0,
    0x66ed6e4e,0x23dc01f7,0xfb93a0fb,0x92fe4799,0x3ee36c1f,0x87f05f10,
    0x5f03ffe9,0x202dc17c,0x05f305ea,0x884e83ee,0x7403f12f,0x55103543,
    0xd31f9815,0x6413a0fa,0xf1f73d45,0x0bb1b20b,0xd0fd413a,0x13a1fa89,
    0x363647b8,0xb5de6f65,0xd91ee01f,0x355765d8,0x545f11b2,0x2f893a1f,
    0x9fb303f8,0x4c04c5f0,0x1ffb02ce,0x1b203f50,0x7c53a0bb,0x75ccfa01,
    0xffddf303,0xb4c87d45,0x17209d0b,0x0377dcf5,0x40fe23f7,0x7cd3a04e,
    0x03f34e81,0x447ee3dc,0x656eba3f,0x23dc01f4,0x747f11fb,0xf85c8b74,
    0x21f9a742,0x403f82f8,0x8017c0fb,0xfaf886fb,0x3ee07b83,0x5b607f11,
    0x5cfa01f8,0xe81100de,0xdb1e9ee6,0x517209d0,0x827cfdcf,0x205feff9,
    0x35dee04e,0xb80d77b8,0x2ff7fcc7,0x45ed327a,0x3e63dc07,0xcaec5fef,
    0x0be22e44,0x5f11aef7,0x0fa807f0,0x0354017c,0x3ea1b6f5,0xbfdff300,
    0x01f8af40,0x400b90fa,0x9e23ea7b,0xb904e85d,0x7d5ee7a8,0x0098cd83,
    0xd5f10274,0x0fabe207,0x98cd8f70,0xf8dc9e80,0x23dc05aa,0xfa8098cd,
    0x2a2e43da,0x1f57c40f,0xb8fe0be2,0xf86ea999,0x81720722,0xf881f55d,
    0x01319b02,0x403f14f8,0x7303d43e,0x4fccfddd,0x4cc53a5b,0x22e419de,
    0x3fb9ee7a,0x20d55f6c,0x019de998,0x7ec01ffb,0x363dc00f,0x56c1aabe,
    0x01eedefa,0x2afb63dc,0xedffc81a,0x9d513d93,0xf103ff60,0x3fa27f05,
    0x2f80cfff,0x441320be,0x9d07f12f,0x06aafb60,0x01f897cc,0x260f50fa,
    0x7c7c99bf,0x323f32dc,0x20ffffff,0x8f73d45c,0x3bbea2fc,0xfff90ffe,
    0xbf501fff,0xb805fa80,0x7f777d47,0x54667b0f,0x7d47b801,0x4c0ffeee,
    0xfff90acf,0x42fd407d,0x417c42f8,0x5f17c009,0x83ea0990,0xa80ec85e,
    0x40ffeeef,0xe807e26c,0x45d83d43,0x557fd47b,0x4026405f,0x43f8007c,
    0xf50004f8,0x801fa803,0x3e21fc6c,0x64000d54,0x13e21fc6,0x400b90f1,
    0xa89f01fa,0x7c05f01f,0x41360be2,0x0fecccfd,0x21fc2f44,0x88be64f8,
    0xf30fa01f,0xf911db01,0x09fff90f,0x74401f88,0x7f105f05,0x02f83f88,
    0x9f3013e6,0x224f8820,0x7f1fc43f,0x27c41008,0x43f887f1,0x3005c869,
    0x457e409f,0x01f305ea,0xf885f17c,0xcccdf883,0x22f983fc,0x89fc43f8,
    0xd00fc45f,0xfd307f07,0x17b0f59f,0x221f7400,0xf980efee,0xfdbdfb00,
    0xd501f30b,0x2ff540bf,0x81dfddd0,0x45fedefd,0xd07dcdf9,0xfd81dfdd,
    0x5b85fede,0x7f5405c8,0xdfffc805,0x2f805100,0x077f44be,0x82f407d4,
    0x76f7ec7b,0x3e21b25f,0x7fdd75ee,0x0105df70,0x110001b0,0x14405550,
    0x402aaa60,0x80353028,0x554401a9,0x02aaa601,0x510154c4,0x5554c035,
    0x2014c000,0x004001a9,0x8be2f800,0x5c17601a,0x5530300f,0x55008815,
    0x06aaa655,0x00000098,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00054150,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2552a000,
    0x01363b50,0x54675c05,0xc8035101,0xd03d100d,0x02aaa985,0x3ba603b1,
    0x203eeeee,0xb8db80dc,0xc813aa04,0x9d701b12,0x13aa0351,0x6e400260,
    0x6f41b800,0x03720f40,0x016f775c,0xddd306e4,0x13aa09dd,0xffd10ba2,
    0x6ec7e605,0x6c41e600,0x7d01efc9,0x80ec801d,0x543f82f8,0x3f104ccc,
    0x33eeaa20,0x01db01aa,0xea8077e4,0x269d05da,0x7e4ec41f,0x5daea81e,
    0xb007fb60,0x81f1001d,0x6417c3ff,0xdbafc80e,0x503b603f,0x5055557f,
    0x3f98bb5d,0xc9800000,0x40002dfe,0x20001d9e,0x003f82f8,0x5567dd4c,
    0x0000be02,0x00000000,0x53a80000,0xfd980009,0x7c7ef86f,0x3a364002,
    0x00fa8006,0xd13f8800,0x07a25d03,0xdbbf50ba,0x740f4457,0x4c03c982,
    0x17c44efd,0xe81e89fc,0xdddfdd52,0xb3017c0d,0x3f6a09df,0xefd983ef,
    0x09dfb304,0x5413bf66,0x25c3effd,0x3effda80,0x27f56fcc,0x12f8febe,
    0x1b25d03d,0x740f44db,0x74401f52,0x27f12e81,0xf13f82f8,0x95e87f05,
    0x7f05f109,0x7cc0bd50,0x3e25fbad,0x05f13f82,0x001f887f,0x2b7e605f,
    0x567d45fb,0x56fcc2ba,0x56fcc5fb,0x56fcc5fb,0x567d45fb,0x402e42ba,
    0x42baacfa,0xf8bf3e5e,0x7c4be6ca,0x54d93f82,0x3e0be23f,0x13335f53,
    0x89fc17c4,0x7f05f12f,0xd0fe0be2,0x0be20f6d,0x03ff60fe,0x44bea2f4,
    0x5f13f82f,0x01f887f0,0x517a05f0,0x7402f45f,0x8bd17d45,0xf517a2fa,
    0x2e402f45,0x3e602f40,0xaf8fad31,0x3e25f2f8,0xfff93f82,0xf82f885d,
    0x9fffff53,0x89fc17c4,0x7f05f12f,0x70fe0be2,0x5f105ddf,0xfaf887f0,
    0x4e81f983,0x227f05f1,0x7c43f82f,0xf305f001,0x03749d03,0x4d3a07e6,
    0x3f34e81f,0x403749d0,0xdd01555c,0x2990fa80,0xfb64be5d,0x27f05f12,
    0x442fa9ec,0x1f53f82f,0x9fc17c40,0xf05f12f8,0x0fe0be27,0xf10fbf66,
    0xb7a87f05,0xbb01f50d,0x25f10be2,0x443f82f8,0x505f001f,0x7d4bb01f,
    0xb01f502e,0x57603eab,0x2a5d80fa,0x377202ef,0x77d42fee,0xd8f4f702,
    0x7cfccbe6,0x27f05f12,0xf883f26c,0x01f53f82,0xf1fc17c4,0x4fe0be25,
    0x103f82f8,0x17c4bf9f,0x7d5761fc,0x26c83dc0,0xf88fd44f,0x03f83f82,
    0x20f705f0,0x1fff4c6c,0x7bb641ee,0x641eed90,0x41fff4c6,0x261764fc,
    0x47d43ffe,0x22f97678,0x05f12fdd,0x3f89b27f,0x54fe0be2,0x20be200f,
    0x17c47a3f,0xf82f89fc,0x47eaf303,0x223f82f8,0xfb87f12f,0x2bf25d80,
    0x0be26ea8,0x26bb60fe,0x3ee0be01,0xfb305d80,0xaec07dc9,0xf75d80fb,
    0x3660bb01,0x1ee3644f,0x3e64fd98,0x2f93a5b9,0x17c4bfe6,0x3e46c9fc,
    0x2a7f05f1,0x220999af,0xf103f82f,0x5f12f885,0x2d502f88,0x885f11fa,
    0x5e83ea2f,0x22740fd4,0x220dfffc,0x4c17c42f,0x0be07ffd,0x013a07ea,
    0x207ea1f7,0x9d03f54e,0x013a07ea,0x2a2e41f7,0x3e0fb807,0x7c3f32dc,
    0x2f897f42,0x446c97c4,0xf885f13f,0xdfffff52,0x4be217c4,0xf513e3f9,
    0x87ea27c3,0x5fbedac8,0xd87ea27c,0x20fecccf,0x80fcc4f8,0xfa89f02e,
    0xf1000001,0x5401f989,0xf989f10f,0x1f989f11,0x01f989f1,0xa8b907d4,
    0x2a0fa807,0x005faaff,0x01fa89f0,0x07ea27c0,0x2a27c2e8,0x7e49f31f,
    0x7e45ea8a,0xed85ea8a,0xafc83eff,0x37e25ea8,0x643fcccc,0x505fa9bf,
    0x5457e40f,0x200be05e,0x537f902f,0xa999b8bf,0x54dfe46e,0x54dfe45f,
    0x54dfe45f,0x54ccdc5f,0x1ea2e46e,0x0dd53337,0xf809fff9,0xd515f902,
    0x7e40be0b,0x2a05ea8a,0xea8afc87,0x7ffe4045,0xdfffc80d,0xf900ba00,
    0x07d41bff,0x7ffdc2f4,0x407be204,0x300dfffc,0x00f9801f,0xd113ffee,
    0x7019ffff,0x3ee09fff,0xfff704ff,0xffffe889,0x9ea2e40c,0x0cffffe8,
    0xf9800bd8,0x37fff200,0x3200f980,0x2200dfff,0x7ffe41ef,0x4002000d,
    0x2003f000,0x3ee0bb00,0x00c00100,0x40144004,0x30010028,0x04002001,
    0x00980080,0x260f5172,0x88006c00,0x28801002,0x01800100,0x00000002,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xd8964000,0xa8077600,0x27609b1d,0x954a81d8,0x5eeeeeb8,
    0x202aaa98,0x217a05ea,0x80fa601e,0x3f6e01dd,0x01d700df,0x22640eb8,
    0x45ec40db,0x7409802d,0x009d5002,0x233201b9,0x4088003d,0x103effda,
    0x5c6dc035,0x4d3a0a84,0xface881f,0x1bb1f981,0x4417fee0,0x5d4c2ffe,
    0xcca82acf,0x03ff604c,0x40be1ffc,0x59d103f9,0xacfe883f,0x01fb02da,
    0x32ec0fd8,0x0bfa205f,0x3f81dd10,0x05daea80,0xfe8803b6,0x547d0004,
    0xd02baacf,0x77e403d7,0x0002fd40,0x00000000,0x00005f00,0x3e07f5f1,
    0x000be0fd,0x000fc800,0x5d808004,0x200007f1,0x0007f029,0x10000000,
    0x5e83e23b,0x00165e00,0x81e89c88,0xdffdb82e,0x0277ecc0,0x3037ff6e,
    0x17c09dfb,0x209dfb30,0x2be0db7a,0x36e0be4e,0xfdb80def,0x007f10de,
    0x406f7edc,0xbb0dffdb,0xdfb7017a,0x1f774c1b,0x774c03f8,0x037a1eee,
    0xdeeeb83d,0x810fc402,0x17ee006e,0x3bbbbba6,0x0be2263e,0xacfe88fe,
    0x2b7e62da,0xcfe885fb,0x37e62daa,0x05f05fba,0x17eeb7e6,0x7c07d576,
    0xd85f0fba,0x6c1daacf,0xf31daacf,0x2b3f6003,0x33fa21da,0xd9bb2daa,
    0xdaacfd80,0x413aaa21,0x5554403f,0xf0ffe1fb,0xfdbafc85,0xacfba983,
    0x0177d42a,0x2a228853,0x21aacfba,0x3f82f8af,0x8bd003f2,0x007e42fa,
    0xf05f517a,0x5f517a05,0x83f897c4,0xb8be9d2f,0x00fdc01f,0x3ffe61f5,
    0xf9007ee2,0x017fec01,0x274003f7,0x7cc003f8,0x85f1fbe1,0x7543746c,
    0x986eeefe,0x45c83ffe,0x7c0be07a,0x13f82f8a,0x81f9807f,0x300fe24e,
    0x5f09d03f,0x49d03f30,0x3e17a0fa,0x745f1f52,0x5405e805,0xe8be660f,
    0x201fc405,0xbd00fcdd,0x7f04e800,0x3e1f9800,0xd90be3fa,0x07e206d8,
    0x3227ecc0,0x05f03d45,0x3e0be2be,0xfa803f33,0x07e65d80,0x0bb01f50,
    0xb01f505f,0x76667ecb,0xf9d17c0f,0x1fc01fc5,0x8be0be60,0x00fcc03f,
    0x7c077576,0xf8274003,0xf0fcc003,0x3217cd95,0xf880fea6,0x907dc001,
    0x0be07a8b,0x7c17c57c,0x3fe61f53,0x9b20f72f,0x5fff30fa,0x7c3641ee,
    0x2d907b82,0xfccccdf8,0x5ff517c3,0x5f300be6,0x25f0dd00,0x87d402f9,
    0x2bb2fff9,0x017cc5f8,0x01fc13a0,0x8af87e60,0xffc85f2f,0x0fc402ef,
    0x5c83ea00,0x105f03d4,0x7f05f17f,0x2f9983ea,0x54bb01f7,0x5cbe660f,
    0x3315d80f,0x07dc137f,0xe80faaec,0x4bfa17c5,0x27c404f8,0x4cd6fcc0,
    0xa809f12f,0x6cbe660f,0x4f88fea5,0xbf827400,0x7cc01999,0x2fb64be1,
    0x017d4f64,0x99b807e2,0x22e46ea9,0x220be07a,0x7c42f8bf,0x25f05f32,
    0x264e81fa,0x3f52f82f,0x3fff29d0,0x207ea6ff,0x3ee0bb4e,0x45f50be0,
    0x006f806f,0x43dfffb3,0x417cc06f,0x1fb8bb2f,0x09d001be,0x03fffffe,
    0x4cbe1f98,0x93642f9f,0x103f801f,0x819ffffd,0x5f03ec6c,0x513e7f10,
    0x97c3743f,0x20fcc4f8,0x9f12f86e,0x8f601f98,0x00fcc4f8,0x0fcc01ec,
    0x0fd801fb,0x0fd80400,0x017c3740,0xe8003f60,0x3ee00004,0x2fdd8be0,
    0x807f1364,0xf7019aed,0x322be601,0x220be07f,0xd515f93f,0x99adf98b,
    0x2a6ff22f,0x9adf985f,0x26ff22f9,0x21e605fa,0x05fa9bfc,0xfc800f98,
    0x2677fe20,0x277fe21b,0x205f01b9,0x1b99dff8,0x3e66b7e6,0xff102f82,
    0x3a03733b,0xba817c04,0x317c5ea9,0x646c85ff,0x3ffecc07,0x7fe406b8,
    0x20be07ad,0x3fff21a8,0xfffd980d,0x27ffdc1e,0x3dfffb30,0x404fffb8,
    0x7fdc1ef8,0x3dd1004f,0x6c417f40,0x6c40dfff,0xf980dfff,0x3fff6200,
    0x7ffecc0d,0x1007cc1e,0x441bfffb,0x9819de99,0xbfff500f,0x17f42f81,
    0x007f11b2,0x02003300,0x020017c0,0x00080080,0x20004004,0x20001008,
    0x2002a008,0x28801000,0x00400200,0xc8040051,0x40ffffff,0x00008028,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0x06e400dc,0x36e02e88,
    0x71b704b8,0x06c4b209,0x101764c0,0x0fa6009b,0xd8802e88,0x2013aa04,
    0x552a04ea,0x26035104,0xb9702aaa,0x8ceb83dd,0x4c2d401a,0x04a84efd,
    0xda813aa0,0x00dc80de,0xd8006e40,0x0076c00e,0xefc809f3,0x403bf200,
    0x9803f34e,0x9d102adf,0x300fe600,0x1ce8809f,0x40bb5d50,0xd105daea,
    0x3afa05ff,0x44ccca81,0x1fbcfff9,0x07bf2762,0xadf987d0,0x00fc45fb,
    0x642ed754,0xd900babf,0x003b6001,0x00800000,0x00000000,0x000006c8,
    0x44400400,0x000000f8,0x02cbc000,0x8bfffe80,0x7cc0001f,0x0bea2f40,
    0x3e00009b,0x00000004,0x776c02e8,0x3b61eeee,0x3a1eeeee,0xddb0f40d,
    0x1723dddd,0x03f806dc,0x00b7bbae,0xb8bdddd1,0x305eeeee,0x705c8b95,
    0x2cc12e1b,0x0bddddd7,0xddd70bf7,0x7fffcbdd,0x3bae1f8b,0x13605eee,
    0xa89d03f3,0xd05d100f,0x5400fec5,0x05ea805e,0xaaa807f0,0x2aa0fdaa,
    0x3e0fdaaa,0x55517c3f,0x3e61fb55,0xf8827c43,0x36ebf202,0x2ffae03f,
    0x67dd4c2a,0x7f7ec42a,0xf10fe61f,0x26a835c9,0x42acfba9,0x54c0aaa8,
    0x3fe2acfb,0x261f8bff,0x102acfba,0xd80fa83f,0x5f103e85,0x3ffa27f0,
    0x03ff600c,0xf001ffb0,0x03f88007,0x1fbe1fc4,0x21fc405f,0x503f20fd,
    0x90559f75,0x2fa06e8d,0x902f801f,0x41fbf11d,0xb83f20fd,0x0be0d706,
    0x0bffbbe6,0x7ffe417c,0x05f01f8b,0x907b86b8,0x3e20d70d,0x2ad93f82,
    0xfaf881ee,0x0febe203,0xdd000fe0,0xf5f0dd00,0x0dd017c7,0x20fe29f1,
    0x85eefeed,0xf9836c6c,0x02f801f9,0x87e36e5f,0xa87f14f8,0x5f05b827,
    0xf06e8110,0x22fff205,0xf805f01f,0x5d80fb82,0x2f882f88,0x7449b3f8,
    0x40db7a86,0x7f00db7a,0x200fdc00,0x6caf81fb,0x80fdc0be,0x5c06c8fb,
    0x7f536407,0x26be3360,0x3e20be00,0xf70fe5d1,0x22f50d91,0x0be0b92f,
    0x02f83dc0,0xf80fc444,0x7d41ea02,0x0b904e81,0xf33337f1,0x0f987ee7,
    0xb00faaec,0x7f003eab,0x100fe200,0x3e2be07f,0x07f105f2,0x2017efc4,
    0x7ffe406c,0xf13f102e,0x417c0bff,0x7f0f89f8,0x982fdf88,0x4132bf57,
    0xddd7302f,0x4400be0f,0x7405f01f,0xf989f104,0xf881f301,0x23ffffff,
    0x441f73fd,0xf107f12f,0x7f00fe25,0x3601b600,0xfb64be06,0xfa806d82,
    0x6405d805,0xd702fa9e,0x0be007e2,0x1f9addf4,0x1f305fa8,0x209b1f9b,
    0x99bf982f,0x2005f07c,0x205f01f8,0x2ff200f9,0x26c05fa9,0x50fe0be2,
    0x0fa85fdf,0xe83ea17a,0x5c01fc05,0x00fdc01f,0x0be7e65f,0x0be003f7,
    0x4d9013e0,0xccee80fc,0x702f801f,0x40bd35df,0x1f3f102f,0x0be07b7d,
    0x3e0f7176,0x203f3002,0x900b902f,0xf5009fff,0x83f82f88,0x67ec0fd8,
    0x7ec0fecc,0x200feccc,0x01fc403f,0x45f00fe2,0x0fe22fdd,0x7c402f80,
    0x7f136402,0x1fcccfa8,0x3ee02f80,0x0be00cff,0x7bd76cf8,0x23b60be0,
    0x05f07fc8,0x17c03ee0,0x7f000fc4,0x5f117c00,0x8be607f0,0xfccccdf8,
    0x33337e23,0x26fe03fc,0x557ec199,0x2bf60aaa,0x8be0aaaa,0x2bf62ff9,
    0x5f00aaaa,0x003faa60,0x2ec7c8d9,0x988335f1,0xdb809bf9,0x7c05f000,
    0x445ff33f,0x2609bf99,0x227acffe,0x7409bf99,0x4c44fcac,0x1ae09bf9,
    0x0957fb00,0x20be26b8,0xfd73553f,0x2f407d41,0x40bd01f5,0x10ffffff,
    0x5fffffff,0x3fffffe2,0x5fd0be2f,0x3fffffe2,0x2e05f02f,0x46c801df,
    0x443f13f8,0x7fe47fff,0x02c86fff,0x0fe80be0,0xfffc8bfa,0x320086ff,
    0x4c6fffff,0xffc83eed,0x00b66fff,0x019fd910,0x82f88744,0x19dfd53f,
    0x21f705d8,0x001f705d,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x50000000,0x233ae09d,0x809d501a,
    0x901a8ceb,0x96403625,0x5c6dc0d8,0x07b19904,0x206f7edc,0x4402aaa9,
    0x40dc802e,0xdc80954a,0x815554c0,0x225904ea,0x0006e40d,0x12a95030,
    0xb9000dc8,0x3312e001,0x4cc402aa,0x405e5409,0x6c45daea,0xea81efc9,
    0x93b105da,0x4d3a03df,0x3e69d01f,0x100efc81,0x67ec09fd,0x66541daa,
    0x027cc04c,0x3fa203b6,0x203b602f,0xea84ccca,0xf34e85da,0x4001d903,
    0xfe886bbd,0x0076402f,0x332003b6,0xdbb91cfe,0xddd505fd,0x02fec98b,
    0x00000000,0x00000000,0x00fdc000,0x00008000,0x00000000,0x20000000,
    0x00003dce,0xd9900000,0xd93f239f,0x8fe40005,0x24eeeee9,0x540f40de,
    0x05ea805e,0x3ae05ea8,0x3a65eeee,0x3a24eeee,0x5e80cdee,0x9817aa00,
    0x264eeeee,0x264eeeee,0x2e4eeeee,0x265eeeee,0x2e4eeeee,0x265eeeee,
    0x264eeeee,0x804eeeee,0x17aa00ce,0x5eeeeeb8,0x2036e0b9,0x3645daa8,
    0x0554c1ee,0x55fd53e0,0xf0ffe2aa,0x801ffb05,0x7ec00ffd,0x9f75300f,
    0x555fd455,0x2eb3e22a,0x001fc2fe,0x3ea01ffb,0x3ea2aaab,0x3ea2aaab,
    0x2a62aaab,0x3ea2acfb,0x2a62aaab,0x3ea2acfb,0x3ea2aaab,0x5302aaab,
    0xffd809d5,0x59f75300,0x9f10fe65,0x8bfddfb0,0x7e43d45c,0x4fe01fed,
    0x1fbe00fa,0x3faf885f,0x80febe20,0xf803faf8,0x2200fa82,0xf887e42f,
    0x7f5f1002,0xfa803ea0,0x4003ea00,0x000fa82f,0x401f505f,0x7f4400fa,
    0x3e204fee,0x82f803fa,0x703f20fd,0x1722e43f,0x320fa8f5,0xa87ed4c6,
    0x8febe00f,0x06dbd42f,0xf5036dea,0x20be01b6,0x0be200fa,0x8027c7f1,
    0x3ea0db7a,0xa803ea00,0x505f000f,0x20be001f,0x03ea00fa,0x02741bd0,
    0x3e01b6f5,0x7f14f882,0x645c89f0,0x313a3d45,0x505fe43f,0x7c13335f,
    0xbb0be6ca,0xaaec03ea,0x3eabb00f,0x7d417c00,0x3e20999a,0x01b64f82,
    0xa80faaec,0x2a0999af,0x2a0999af,0xf00999af,0x3335f505,0x3ea0be01,
    0x3ea0999a,0x3e60999a,0x2bb02742,0x817c00fa,0xf886c8fb,0x51722e42,
    0xeeeeef8f,0x3ea1722f,0x2be4ffff,0x7c45f2f8,0x5f107f12,0x4be20fe2,
    0x417c03f8,0x24fffffa,0x2e5e82f8,0x897c400f,0xffffa83f,0x3fffea4f,
    0x3fffea4f,0xf505f04f,0x3e09ffff,0xfffffa82,0x3ffffea4,0x09d03ea4,
    0x01fc4be2,0x7efc40be,0x2e42f882,0xcf8f5172,0x2e099999,0x3e00fa83,
    0xfa8bed92,0x83ea17a0,0x3a0fa85e,0x7d417c05,0xf10be200,0x4ceff449,
    0x5e83ea1b,0x3ea00fa8,0x4003ea00,0x000fa82f,0x401f505f,0x03ee00fa,
    0xe83ea09d,0xf5017c05,0xbf127c0b,0x001b6000,0x4be00fa8,0x3f62f9f9,
    0x6c0feccc,0x40fecccf,0x0fecccfd,0x03ea0be0,0x1fd42f88,0xb06fffdc,
    0x81fd999f,0x03ea00fa,0x5f000fa8,0x3e001f50,0x2a00fa82,0xa87ea00f,
    0x999fb04f,0x017c01fd,0xaafd80be,0x40be05ee,0xe8311cfa,0x3e00fa86,
    0x7c4bf762,0x23fccccd,0xfccccdf8,0x33337e23,0x20be03fc,0x8be200fa,
    0x07d00fd8,0xf9999bf1,0x2a00fa87,0x003ea00f,0x007d417c,0x00fa82f8,
    0x3df003ea,0xbf109dd7,0x407f9999,0x1017c02f,0x20b75dfd,0x3faa00f9,
    0x543f45ff,0x3e0999af,0x7d4bfe62,0x03ea5e80,0xe80fa97a,0x4dfccc45,
    0x2666bea0,0x3f26fe20,0x503f102f,0xfa8bd01f,0x3ea0999a,0x3ea0999a,
    0x2620999a,0x3ea09bf9,0x2620999a,0x3ea09bf9,0x3ea0999a,0x7cc0999a,
    0xfa84d9ef,0x4cc45e80,0x05f009bf,0x00a20010,0x7fd40008,0xd0be6fff,
    0x7dc1765f,0x43ee0bb0,0x641f705d,0x2a6fffff,0x226fffff,0x201cefff,
    0x2e0bb028,0x3fffea0f,0x3fffea6f,0x3fffea6f,0x3ffff26f,0x3fffea6f,
    0x3ffff26f,0x3fffea6f,0x3fffea6f,0xbb00106f,0xffc83ee0,0x05f06fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xb309b100,0x0aa980ea,0x8000b620,
    0x4c413201,0x8ad88099,0x04ccc42d,0x5c075598,0x2b84d88d,0x0f660191,
    0x36217540,0x6c018004,0x03225705,0x980ccf2a,0x85d5003d,0x440004d8,
    0x8113d881,0x1000aaa8,0x3fba209d,0x3fdbf901,0x40017ea0,0x541fe07a,
    0xff305eee,0x0bddd509,0x5407fba2,0xbf05e89f,0x2fe607ea,0x817d403e,
    0x3e2005e8,0xf0bbbb00,0x7d107eab,0x7f305ffd,0x02fa807d,0xdd300bd1,
    0x3661ae7d,0x3be63fff,0x08802ffe,0x1f500980,0x00150364,0x2604c8ba,
    0x01880001,0x4c013000,0x02040310,0x4c018844,0x4c009800,0x4c3105ca,
    0x26002040,0x00621100,0x80130013,0x07d4eaa8,0x0881fbbd,0x554c0374,
    0xd0155300,0xa981f989,0x223f800a,0x102aa600,0x54c01555,0x00aa980a,
    0xa9802aa6,0x2885300a,0x530a214c,0x2214c288,0x7ff7ec42,0x202aa601,
    0x2a600aa9,0x02aa600a,0x2600aa98,0x29d000aa,0x017ee201,0xefe981ee,
    0xfedfc85e,0x777777c1,0x7f6fe42f,0x4c01fc01,0x3e65eefe,0x74c2ffee,
    0x3f625eef,0x7ec42fee,0x7ec42fee,0x45c82fee,0x1ea2e47a,0x2e47a8b9,
    0xf11d91ea,0xefe981fb,0x3bbf625e,0x777ec42f,0x777ec42f,0x777ec42f,
    0x777ec42f,0x404e802f,0x4c1feefc,0xf107eeeb,0x83ea041b,0x4cce7c6c,
    0xc83ea099,0x2201fc06,0x408820df,0x0837e26e,0x20fc83b2,0xc83f20ec,
    0xb903f20e,0x2a2e47a8,0x91ea2e47,0xb97c7a8b,0x37e21f8d,0x320ec820,
    0xfc83b20f,0x0fc83b20,0x20fc83b2,0x003f20ec,0xb0fdc09d,0x64cdfccb,
    0xe801f707,0x0db0fcc4,0x01f989d0,0x01f700fe,0x03ee7b80,0xf17c43f8,
    0x0fe2f887,0x545c85f1,0x91ea2e47,0x22e47a8b,0x9747e27a,0xf803ee3f,
    0x87f17c43,0xf10fe2f8,0x8be21fc5,0x2017c43f,0xf513a04e,0x20f71761,
    0xeeef806c,0x33ea2fee,0xeeef8311,0x0fe02fee,0xd7300d90,0x10364fdd,
    0x3e27f03f,0x03f13f81,0x3d45c87f,0x5c8f5172,0xf51723d4,0xf87c4fc4,
    0x1f881b23,0xf03f13f8,0x4fe07e27,0xf13f81f8,0x4e807f03,0x1f985f10,
    0x0ff911db,0x273e01f2,0x75409999,0x4e7c5fff,0x3e009999,0x2603e403,
    0x327c99bf,0x3e0be207,0x27f05f13,0x643f82f8,0x51723d45,0x23d45c8f,
    0x2fa3d45c,0x3e43f35b,0x27f05f10,0xf13f82f8,0x0be27f05,0x7c17c4fe,
    0xf8827403,0xfe98fcc2,0x5f707acf,0x44006d80,0x8006d83e,0x017dc03f,
    0x3ee7b8bb,0x3f313e02,0xf87e627c,0x1b20fcc4,0x3ec6c8fb,0x6c8fb1b2,
    0x2bbee3ec,0x017dc5e9,0x3e1f989f,0x89f0fcc4,0xf313e1f9,0x07e627c3,
    0x227c09d0,0x07b040fb,0x214cdf74,0x40311cfa,0x239f507a,0x401fc018,
    0x36299bee,0x747fc88e,0x3ee299be,0x7dc5e98a,0x7dc5e98a,0xf985e98a,
    0x7cc7fc8a,0x7cc7fc8a,0x7cc7fc8a,0xfb87fc8a,0xbee80cff,0x22bee299,
    0x457dc5e9,0x457dc5e9,0x457dc5e9,0x457dc5e9,0x04e805e9,0x13ea2bee,
    0x36200f98,0xfea84fff,0x3be205ff,0x5fffea81,0x0cccdfc0,0x327ffec4,
    0x88f59ffd,0x7dc4fffd,0xfff704ff,0x13ffee09,0x87adffc8,0xc87adffc,
    0xfc87adff,0x0db87adf,0x27ffec40,0x5c13ffee,0xff704fff,0x3ffee09f,
    0x09fff704,0x0cef4cc4,0x804fffb8,0x200002ee,0x10026000,0x3ffffe00,
    0x0010000f,0x00800400,0x80040010,0x02001000,0x80000590,0x02001000,
    0x80080040,0x0ffffffc,0x01100020,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0x8cc1b54b,
    0x00f4c0aa,0x201912b8,0x5d5003d9,0x59804d88,0x0a614c75,0x2a0644ae,
    0x7b30333c,0x6c45d500,0x0b7b2204,0x24d88db8,0xaa814429,0x06a25101,
    0x5cb513ae,0x82ea8004,0xa98cc3d9,0x036a9701,0xaaa98b50,0x640efd80,
    0x222feedd,0x2abf004f,0x3ebf981f,0xe8817d40,0x0ff74405,0x5f86b8b9,
    0x75f443f5,0x75fcc2ff,0x220bea03,0xcadf885e,0xe89fa82f,0x21ea2e45,
    0xfa83fefe,0x3aa5fef9,0x645f13e9,0x417d4005,0x3723ebf9,0xfb03fefc,
    0x6cf7001d,0x1302eeef,0x22ec9f90,0x0081002e,0x13006211,0x13001300,
    0x0435c5c8,0x11013002,0x40098062,0x13a36409,0x2e40c426,0x321f71ea,
    0xf31ffa87,0x5cadd321,0x026002e4,0x3f218844,0x04c03f25,0x03f37b80,
    0x6c815530,0x800bd3dc,0x2a600aa9,0x02aa600a,0x5100aa98,0x2e2e4155,
    0x80aaa886,0xa880aaa8,0xaaa880aa,0x20aaa880,0x530fe65d,0x2a2e4288,
    0x50d73dc7,0x2b92e83f,0xae40f9cd,0x2aa601a9,0x0aaa980a,0x982f88d9,
    0xaa880aaa,0xc807f37c,0x1721fedf,0xa994c4f5,0x3fdbf900,0x03fdbf90,
    0x903fdbf9,0xf983fdbf,0x8b92ffee,0x7f77cc6b,0x3fbbe62f,0x3fbbe62f,
    0x3fbbe62f,0x3fbbe62f,0x0fea9b2f,0x5c8f5172,0x26be63d4,0x200fa83f,
    0x82e8efe8,0x83fefcdc,0x6c2eeefd,0x0b92eeef,0xeeefd85f,0x3ff77e42,
    0xfa839ff7,0x545c9b20,0x7f7e75c7,0x8d907d43,0xf51b20fa,0x83ea3641,
    0x5ba0446c,0x02235c5c,0x9ba044dd,0x81137408,0x2dd0226e,0x17209d4d,
    0x3d45c8f5,0xfa81ffec,0x64172000,0xf983f25f,0x6407e601,0x3f317cc5,
    0x8f717dc0,0x13a3feb8,0xf51723f3,0x8d90dfb8,0x9d0fcc4e,0x313a1f98,
    0x3e62743f,0x46cbdc01,0x407b807d,0x203dc07b,0x4dbdc07b,0xa8b901db,
    0x51f63647,0xa8721dff,0x01f3000f,0x4c5f11b2,0x40fe603f,0xf307dc5c,
    0x1ee2f407,0x3bbbe6d8,0xa8b92fee,0x1f307dc7,0x7f77777c,0x3bbbbbe2,
    0x3bbbbe2f,0x3bbbe2fe,0x75cc2fee,0xb37f97ee,0xeeb983fd,0x7775cc7e,
    0x3f775cc7,0x31fbbae6,0x536fddd7,0x22e41ef9,0x6457cc7a,0x3e6fe27f,
    0x03ea2f8d,0x06ed5f40,0xfb85f0b9,0xcffb81cf,0x3ee27b21,0x41cffb84,
    0x999bdc3f,0x273e5e98,0x8b909999,0x3e63dc7a,0x266673e0,0x26673e09,
    0x2673e099,0x273e0999,0x3e609999,0xfd97c99b,0x7ccfd19f,0x3e67c99b,
    0x3e67c99b,0x3e67c99b,0x3e67c99b,0x49b7c99b,0x51720fe8,0xf5bff90f,
    0x3fbf53dc,0x75c007d4,0x1726caf8,0xfd7105f1,0x27fd7107,0x203efffc,
    0x0fe3feb8,0x3fffeaf7,0x2001b60d,0x3e63dc7c,0x1b601b60,0x1b601b60,
    0x32f71760,0x2e2ec015,0x6cf71767,0xb8bb3dc5,0x36f71767,0x8d917c44,
    0x726c207d,0x0037e41f,0xf36a9f98,0x003ea2e4,0xb96d80db,0x5e9b6000,
    0x20311fa2,0x40311cfa,0x263dc5e8,0x4473ea0f,0x188e7d41,0x4188e7d4,
    0xd8311cfa,0xb97fc88e,0xf911db00,0x7e4476cf,0x3f223b67,0x3f223b67,
    0x3f223b67,0x3ea669b7,0x3f22be61,0xf107cc07,0x01ffb53b,0xf99f40be,
    0x227b26a8,0x44ccc4ea,0x226665e9,0x300b95e9,0x64bd3133,0xf87ee9af,
    0xbfffd502,0xf703be60,0x7f540f98,0xffea85ff,0xfffea85f,0x5fffea85,
    0xbd67ff4c,0xffe9805c,0x3ffa67ac,0x3ffa67ac,0x3ffa67ac,0x3ffa67ac,
    0x3fe9b7ac,0xadffc83f,0x2a2ee807,0x0ee9dffe,0x235c07cc,0x3faa1ffd,
    0xfffa83ef,0x3ffea0df,0x500b90df,0x441bffff,0x4c7abffd,0x4400800f,
    0x0f98f702,0x80040020,0x00801000,0x40040053,0x00800800,0x02000008,
    0x80002200,0x00000028,0x40c40188,0x00620029,0x00028801,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x55000000,0x55103555,0x333ca853,0x88133310,0xacc1a80a,0x500a203a,
    0x4cf2a05d,0x40aaa981,0xb101912b,0x207b3003,0x4000eeec,0x026c42ea,
    0x265d05d1,0xde883eee,0x07ae2d41,0x541eb8b5,0x01b54b85,0x75402ea8,
    0x01b54b82,0xfecfe815,0x7f77e43e,0x3ffafa27,0x45eeea82,0x217c43f8,
    0x3601fee8,0x205f502f,0x42ffebe8,0x7c2eeefd,0x3f103f55,0x83ebf980,
    0x2000fcaa,0x0bd102fa,0x44fe0be2,0xbb304eaa,0x5fb917c4,0x5fb917c4,
    0xefd817c4,0x2017d400,0x3bf602fa,0x3ee6fb80,0x45f713a0,0x0002607b,
    0x807dc6d8,0x8064c009,0x30260009,0x2040803f,0x2aacfba9,0x54031088,
    0x0026000f,0x20be2026,0xfd04e83f,0x22f82e47,0x2e45f05c,0x02600260,
    0x02600260,0xd8d927d4,0x99ee2f45,0x10a61442,0x13a1fa85,0x11028853,
    0x03512a98,0xf302aa33,0x0d554407,0x7777f754,0x00d55446,0x551003ea,
    0x2aaa2035,0x3f82f881,0x2f9074e8,0x265f00f9,0x3e65f00f,0x03512880,
    0x2606a251,0x23301551,0x3f7000aa,0xb87f0fe2,0xc8f51727,0x9a743d45,
    0x1ea2e41f,0xbfbf3354,0xddc85fbf,0x7fdc2fee,0x27f74c1c,0x74c03f10,
    0x07d404fe,0x413fba60,0xf884fee9,0xfee83f82,0x174ffe66,0xf80ba5f0,
    0x27ea05d2,0x4fd45fef,0x6ee45fef,0x6ee42fee,0xf9802fee,0x42f85fef,
    0x8f51727b,0xbdc3d45c,0x3d45c86b,0x29f307a8,0xbb27e46c,0x207fd710,
    0x007e204e,0x83ea0274,0x2013a029,0xf82f884e,0x04177dc3,0x017200b9,
    0x3ff502e4,0x1ffa83e6,0xb27e41f3,0x1764fc8b,0x40263360,0x5c9fa24f,
    0xf51723d4,0x907d5f10,0x7ecc7a8b,0x23d4be07,0x3603dc6c,0xff109d06,
    0x7407ffff,0xf887d404,0xd009d02f,0x7f05f109,0x3013fbe2,0x01f3001f,
    0x7d401f30,0x83f51741,0x8f71b22e,0x3223dc6c,0x06aafb61,0x9fba67f2,
    0x1723d45c,0x03ff60f5,0xce8f5172,0xeefeeb80,0x9ea2e47e,0x05e98999,
    0x2fea609d,0x013a0099,0x0bfe21f5,0x42740274,0x513f82f8,0x367d013a,
    0xbb57d00e,0x076cfa03,0x1f5003ea,0x23d45c80,0x3ee3d45c,0x3fbbbea7,
    0x2fff620f,0x8f51727b,0xfa83d45c,0x27a8b905,0x9afb81f9,0x2e4199bf,
    0xffffa9ea,0xf809d00d,0xa809d003,0x4e80620f,0x2f884e80,0x027417cc,
    0x203f6ed7,0x70b9336b,0xf503f6ed,0x400fa801,0x1723d45c,0x3e7f88f5,
    0x70427c43,0x91f6364f,0x3f507d8d,0x44fb1b20,0x0fe5d83f,0x4c3d45c8,
    0x2027401f,0x3a019aed,0x0007d404,0x109d009d,0x03f6665f,0x4cfcc13a,
    0x0fcc0f9f,0x99f987d1,0x07d40f9f,0xb9003ea0,0x2a2e47a8,0x87f16e87,
    0x33dc03f8,0x98ff915f,0x987fc8af,0x22be604f,0x217ec7fc,0x89efd8eb,
    0x21ea2e41,0xbd331079,0x3ff66033,0x4ef4cc47,0x4cfdccc1,0x3bd33100,
    0x9de99883,0x7ffcbe21,0x277a6622,0xfffc9f41,0x07d31f47,0x1ffff27d,
    0x0fa801f5,0x91ea2e40,0x3f2a7a8b,0x3fb7bf61,0x7e47b805,0xffc87adf,
    0x17faa7ad,0x1eb7ff20,0x7f457ff2,0x644ffe8c,0x81443d45,0x0ffffffc,
    0xffffc800,0x3fffe0ff,0xfff904ff,0x7fe41fff,0x4000ffff,0x0ffffffc,
    0x6b83e0d7,0x0d73ffec,0x801f503e,0x22e400fa,0x9ea2e47a,0xaaa980cd,
    0x02053000,0x01a98040,0x14c40040,0x00000220,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2620554c,
    0x27950099,0x2eedb819,0x7ecc012e,0x26025c3e,0x05a83eee,0x216ffecc,
    0x31eeeee9,0x505ddddd,0x5c407dfb,0x01d883ed,0xa80daa5c,0xda83effd,
    0x55980cef,0x105d5007,0xdb51005b,0x1bdfb707,0x21bffb70,0x542e81e8,
    0x20eeeefe,0x777f4c0a,0x42f77545,0x42ffebe8,0xd92aacfd,0x3e60399d,
    0x1724fb9d,0x709d5510,0xdaab980f,0x2eaaa21f,0x5555f51f,0xea9afb83,
    0x1acefa85,0xfd801f88,0xaacfa80e,0x54dfd42b,0x1fee886e,0xfa817d40,
    0x2bbef805,0x0ed567ec,0x5b559fd1,0xc8fe0be2,0x22acfabf,0x837e26fb,
    0x40980000,0x9dd902fa,0xf71b2039,0x4e801721,0x7c4007b8,0x3d47e604,
    0xe8447e20,0xa980fe23,0x202aacfb,0xb00bd009,0x02607b8d,0x01500260,
    0x3f700f98,0x2200fc80,0x5f13f82f,0x93ea0be2,0x2aa200fb,0x3555101a,
    0x05c80f70,0xc97e43f8,0x27401555,0x806a23dc,0x547e602f,0xefcae407,
    0x501b26aa,0x8ddddfdd,0x42aaaaa9,0x20fb806e,0x0d55446d,0x2aaaaa98,
    0x9006aaa2,0x2202f40d,0x417c403f,0x17c4f73f,0x74c06c80,0xfdd304fe,
    0xdc80d909,0x3e20cfea,0x327fdd11,0xd02feedd,0x2fccf709,0x2602eccc,
    0x0579f51f,0x7c41f37b,0x059959d0,0xeea807e2,0x77d45fee,0x36ffa202,
    0x27f74c1e,0x5feeeea8,0x2213fba6,0x0999ed99,0x03f300fe,0x93f82f88,
    0x004dfc4d,0x04e801ee,0x406c84e8,0x24eaaffc,0xe8dfa9f9,0x82ec9f94,
    0xbf17b84e,0x807fff30,0xfd9931f9,0x435d743f,0xf99bfd1f,0x4003f10b,
    0xffe981fa,0x07fff103,0x3f5004e8,0x3fea13a0,0xf33fffff,0xf30fa805,
    0x20be25ff,0x7fc4bb3f,0x017cc06f,0x84e804e8,0x907e406c,0xf1fefc4d,
    0x20f71b27,0x5f8fb84e,0x2605ea80,0x6cdf101f,0xf87c479b,0x3e217cc4,
    0x807f3001,0x6f4c4fd9,0x13a04fc9,0x4e80fe60,0x4f883640,0xf3307d40,
    0x4fe0be25,0x540be26c,0x14cdf740,0x84e804e8,0x2a2e406c,0x4be0f7c7,
    0x4e83d45c,0x2006efb8,0x03f300fb,0x3fa993e4,0x213a79ad,0x400fc43f,
    0x3ee005e8,0x03f71760,0x0bd1013a,0x036404e8,0x82f980df,0xf885f12f,
    0x0be21f92,0x3fee1bee,0xd009d04f,0x5c80d909,0xf517a3d4,0x20f51721,
    0x4f9fb84e,0x7dc0f700,0x0f99b600,0x46d93631,0x803f82f8,0x3ea000ed,
    0x03f313e0,0x01db013a,0x036404e8,0x86e801fb,0x3f513e2f,0x417c4be6,
    0x807d05fa,0xc84e804e,0x1ea2e406,0x49f517f5,0x4e83d45c,0x887f57b8,
    0x2a3fb999,0x2625ea9b,0x7642fc99,0x7cc1d911,0xdb06d98b,0x03f70335,
    0x3754ccdc,0x3f662bf6,0x7dc09d00,0x6404e801,0x277fe206,0x2b7e61b9,
    0x2bf22f99,0x67f45ea8,0x80419bf9,0xe99881f8,0x74cc419d,0x901b219d,
    0xffa87a8b,0x9ea2e44f,0x219de998,0xfc8fee7b,0x7fd42eff,0x3ffee0df,
    0xbffd701d,0x1bfff501,0x31fff660,0x4433339f,0x40cffffe,0x41dfffd8,
    0x419de998,0x21999cf9,0x019de998,0xffd880d9,0x7fecc0df,0x7ffe41ef,
    0x7ffec40d,0x28800fff,0xffffff90,0x7ffffe41,0x5c80d90f,0x320103d4,
    0xfff93d45,0x91ee1fff,0x0400445f,0x00000110,0xff900001,0x0260ffff,
    0xfff90040,0x7fe41fff,0x3ff27fff,0x6c80ffff,0x00400200,0x00000004,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x10000000,0x77ecc05b,0x200f6604,0x009905ea,0x00e980f6,
    0x01677764,0x417bbba2,0x3a63efea,0x3ba4eeee,0xd31eeeee,0x3a29dddd,
    0x75c0cdee,0x36e5eeee,0x7774c2ef,0x1003eeee,0x76c5d05d,0x74c01cde,
    0x74c04c06,0x23eeeeee,0x0e881809,0x6c174c59,0x260bf503,0x985fbadf,
    0x7ec03ebf,0x099ed80f,0x0fa813a0,0x7e5576c0,0x2affae03,0xda9cfa82,
    0x55557f50,0x7e555554,0x55557f31,0x3faeb3e2,0x2b3eea62,0x5f957f72,
    0x122099cc,0x82f8974c,0x36eb7a3f,0x01ffa03f,0xf755105f,0x13e23559,
    0x3a7985f3,0x03ee36c2,0xa8bd00a8,0x0188442f,0x360febe2,0xe80dffff,
    0x00fa8314,0xe81b22ec,0x817601fb,0x364000fa,0x0be203f3,0x105f01f9,
    0x6e4e64e8,0x49f50915,0x3a3f82f8,0x75c07e44,0x4017c07b,0xbdbf502f,
    0x99fb98bd,0x44fe21af,0xaaaa983f,0x3a07e62a,0x20a20334,0x4bb0db7a,
    0xfbce86e9,0x36007d43,0x9f983645,0xa813a01f,0x8be2000f,0x85f101f9,
    0x802f83f8,0x1790e65e,0x7c43fb89,0x113a3f82,0x7a9f887f,0x17c017c0,
    0x45fb5dd0,0xfffffff9,0x83647e47,0x25feeeea,0xd95d80fa,0x55761ee0,
    0x3e62ec0f,0x540f7f41,0x3db0d40f,0x33605f73,0x4e809af8,0x2666bea0,
    0x3f31b200,0x13e0be20,0x47f100be,0x9245dc39,0x337f103f,0x37a67f33,
    0x29b13e09,0x7f77447a,0x05f02eee,0xb84f87e6,0x7ef40f15,0x5c3f5002,
    0x09eed907,0x225f1172,0x3e62ec3f,0x5409ff52,0x6c3fea0f,0x881dffff,
    0x25fff89f,0x0ffffff9,0x13ffffea,0x3fe617c4,0x05f14fff,0xd805f0bd,
    0x6f54e60f,0x205f9488,0xfffffff8,0x747ffff3,0x43d43ee5,0x1aacfaaa,
    0x13ffffe6,0x642ec1f5,0x2fd40f34,0x7dc3f980,0x22f35d80,0x0fa89b3f,
    0xfc8bb17a,0x5409d570,0x6c3fe60f,0xd703f665,0x67cc07e2,0x007d4199,
    0x9af986c8,0x885f1099,0x3202f84f,0x22b9cc1f,0x220bf248,0x13a3f82f,
    0xa8be29f1,0x33017c07,0x1fa8137f,0x9cd9893a,0x3bae09eb,0x3a205eef,
    0x4e81fa85,0x3abf51f1,0x76667ec3,0x36ebb60f,0x2a04e83f,0x8bb04c0f,
    0x667742f9,0xa813a01f,0x83f8800f,0x85f101f9,0x902f83fa,0x8267303f,
    0x221fdc48,0x13a3f82f,0x333f27f5,0x5f03cfdc,0x77c05f00,0x3ff21fcb,
    0x264fffff,0x202acfba,0x44f880ed,0x2f67e1f9,0x37e22f8f,0x363fcccc,
    0x9d01ceef,0x36007d40,0x9f50fd45,0x27403f99,0xd9001f50,0x7c407e60,
    0x3e03f622,0x7301fc82,0xf98488b2,0x8fe0be25,0xca87ec4e,0x03cfdccc,
    0x205f0039,0x85eefdfa,0x3310991f,0x3ee0337f,0x2a6ff201,0x6c7df45f,
    0x203ea1fb,0x7401765e,0x3ea1999d,0x76c09999,0x2ec5eb99,0xf98335f1,
    0x3ea1999c,0x7c40999a,0x2203f303,0x22ffc9bf,0x709bf998,0x2155559f,
    0x82443339,0xf05f11e8,0x7ed4ef47,0x4c43d402,0x3e019999,0x7cc4f882,
    0xb83c8fc2,0x985eefee,0xb81999cf,0x5ed84fff,0x82ec1ff7,0x200bb0fb,
    0x50fffffe,0xd8dfffff,0x7c43efff,0x99fffe21,0x1fffffff,0x8dfffff5,
    0x407e607c,0x41cefff8,0xb6fffffc,0x25ffffff,0xeeeeeee9,0xf05f1004,
    0x0ef7ff47,0x7ff43d40,0x5f01ffff,0x3e20c060,0x02f807b0,0x1ffffff2,
    0x44bf2008,0x0000007f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7f540000,0xcdeed82e,
    0xd30bb501,0x27dddddd,0xdb06dc4c,0x323ddddd,0x3a61b705,0x0971ec42,
    0xea826566,0x1bd00ba0,0xb8bd11e8,0x5bddd92e,0x82deeeb8,0x98074c3c,
    0x555300aa,0x44155301,0x10a60aaa,0x3512a985,0xa80554c0,0x52883512,
    0x00fa06a1,0x85f737f5,0x23fdbade,0xa886ffe9,0xb1aacfba,0x2aa17ccb,
    0xf30fdaaa,0x7ec4f887,0x06b83f20,0x3603eed5,0x3fe01fc6,0x0ff897c3,
    0x5d76cffa,0x2ebf25fd,0x262743fd,0x777ec40f,0x7777ec2f,0x57bbfa62,
    0x92ffeef9,0x37e67a8b,0xc82fdfdf,0x76c1fedf,0x262feebf,0x1feaeece,
    0x89f027d4,0x3f22746c,0x00db1b90,0x3e2bb05f,0x6c3f8803,0xf103f20f,
    0x0d70be69,0x7c1fc5ae,0x3be01fc3,0x3df897c7,0x71767bd3,0x4dd1b23f,
    0xfffffffd,0xfc83b20f,0x3e203f30,0x3a04420d,0x307a8b96,0x1f51b29f,
    0xf31f3364,0xf4f996ed,0x37e60f6d,0x3ea17c40,0x07f113a0,0xb05f00db,
    0x374017ab,0x03f8a7c4,0xf50bd3f7,0x22f4b704,0x201fc0fa,0x4cbe3faf,
    0x29b796af,0x6c97cc5d,0x33bd136c,0x43f85f73,0x207f32f8,0x5ee000fb,
    0x5f03d45c,0xf989d1ea,0x7aa7cb71,0x4d97c3e6,0x3f81dd10,0x9de98fcc,
    0x01b613e0,0x1b3760be,0xfb80fdc0,0x7ff406c8,0x25f17a80,0x6c83ee5c,
    0x657c03f8,0x9fbccbe6,0xb8bb4d8f,0x1fd4d91f,0x441f313a,0x3ee3f81f,
    0x301b21cf,0x172fddd7,0xefeeb8f5,0x7777c7ee,0x7cb92fee,0xf9e67eee,
    0x37c409b2,0x3faeaff2,0x747ffff1,0x2f806d85,0x8802ffd8,0x3f7e203f,
    0x982fd402,0x8932bf57,0x0fe0fe2f,0x3e5f15f0,0x6dbb2f52,0xbf733db4,
    0x4177ffe4,0x0ffffffe,0x10fe0be2,0x81f27fd7,0x97c99bf9,0x2bee7a8b,
    0x7c199bf9,0x9099999c,0x30cce7cb,0x104d97cf,0x9db701dd,0x222741f7,
    0xf806d84f,0x00fcdd82,0x2fd4036c,0x4c0ff740,0x4d8fcd8f,0xf80f9af4,
    0xf6c97c03,0xc9fcdea5,0x87dfffb5,0xe82fa9ec,0x40fb999d,0xb00fcc4f,
    0x2ec0beed,0x9f6365ee,0x6d80fe5d,0x05f8b5c0,0x84d97cf3,0x1ee005f9,
    0xd83fa89d,0x5d82f806,0x07ee01dd,0x3f2017c0,0xf9f886e8,0xbdc3dbe8,
    0xf807f06c,0x2a5f3f32,0xedae42a6,0x0fc9b201,0x703e6274,0x4cbd315f,
    0x3a5e9899,0x1db299be,0x2be6ff91,0x23ae7fc8,0x54189efd,0x7cc311cf,
    0x218affc9,0x226cbe79,0x3e2004fa,0x03f62743,0x20be01b6,0xf10bf15d,
    0x3017c007,0x3e0fe67f,0x987bd76c,0x07f03faf,0x4bf762f8,0x176b906b,
    0x21fc4d90,0x5c07cc4e,0x7fd44fff,0x3f620dff,0x9ffd34ff,0x56ffe4f5,
    0x3a33fa27,0xffea84ff,0x647fe45f,0x2f9e64ff,0x4402e89b,0xde85fca9,
    0x2a62fda9,0xf00aaeea,0x1fd4bb05,0x2aaaabf6,0x37405f00,0x27ff03f2,
    0xfee82ff9,0x33337f00,0x4bfe62f8,0x176d906b,0x747c8d90,0x01007cc4,
    0x02000188,0x01100020,0x00404010,0x77dc0000,0xbdffd02d,0xfffffb83,
    0xbb05f01f,0xfff11fb8,0x3e05ffff,0xf883f702,0x5fd07f46,0x7fc0df70,
    0x0be0ffff,0x5c1b25fd,0x46c80bb6,0xf313a3f8,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x4c000000,0x6c401551,0x1a80a882,0xa98bbf62,
    0x0a62aaaa,0x44066351,0x406aaa22,0x2a21efea,0x1288d441,0x201c8035,
    0x3601cec8,0x30677541,0x91cc19db,0x31cc3203,0x3d984989,0xddb83910,
    0x1102e881,0x11011111,0x666665c0,0x436eb90c,0x4ccc43d8,0xfddbb901,
    0x2213ea05,0xbb17c43f,0x3baa3f93,0x99ee5fee,0x3dc1b25f,0x2609fdd3,
    0x07e46c89,0x3e7ea1f9,0x40be05fe,0x23d99be8,0x54c61d08,0x3af2e4ea,
    0x43647e65,0x4f98fa6b,0x4ffd87f3,0x56ecdf70,0x07eec0fb,0x3ffffffc,
    0x94b93ff6,0x21999999,0x3e21f76d,0xaa777543,0x2ec9f95f,0x2e36c030,
    0x03f87e27,0xf8bdc3f5,0x2e413dc5,0x36e604e8,0x45f36e87,0x01f31ffa,
    0x66cec0be,0xb5f50e8e,0x1f4c4bd3,0x7d35c6c8,0x986c8fc4,0xd8a83fdf,
    0x3e2df104,0x9b698fa0,0xf5111110,0x4efd4fcc,0x5db6004e,0x6400fe27,
    0x47b8d97f,0x09999999,0x224e87ea,0x3e60be2f,0x42fc7dc3,0x1367f179,
    0xbadc8274,0x44ecf987,0x331741fa,0xb41337f3,0x644595bd,0x17fe41ef,
    0xb9fc1fd4,0x80fc5b27,0x026c06fb,0x3e87e2bd,0x400fc4ba,0xfe992679,
    0x9999990e,0x23d57219,0x2591002f,0xff33d45c,0xf89fffff,0xaee83f34,
    0x42f440fc,0x1f106efb,0x740fabf5,0x0fb39d04,0x03ea1bee,0xffffff98,
    0xca66da4f,0x3bbdd712,0x1fdc1f70,0x223e875c,0x9f30b91f,0x5426c09f,
    0x36fb60fd,0x06c8d50f,0x5c080388,0x10bbbbbb,0x80002041,0x2663d45c,
    0x64099999,0xbdb10d97,0xf701db03,0x367e09f3,0x9d02f8fb,0x416b76a0,
    0x07d40ffd,0x26fe6660,0x36367609,0x23a950e9,0x4dd5334a,0xf10bbdfd,
    0xe9ae1b23,0x27ccfe63,0xd82f7aea,0x066dc40c,0x000b8835,0x00000000,
    0x7a8b9000,0xaf8802a0,0x9999983f,0xbdc07ee0,0x8fbe83fa,0x09d01fbd,
    0x70266666,0x0fa8dd3f,0x7440be00,0x3d02ea9b,0x360ceec8,0x4731dddd,
    0x8e61901c,0x3721cc39,0x00001ddd,0x00000000,0xc8000000,0x4fa83d45,
    0x2207f6c0,0xf33fffff,0x3dc33339,0x75ed87f7,0x74cc41ff,0x3ffe219d,
    0x44fe63ff,0x8003ea4f,0x336e202f,0x00002a01,0x00000000,0x00000000,
    0x00000000,0xa8b90000,0xa805b107,0xffc8004f,0x91ee7fff,0xf897e45f,
    0x7ffffe47,0x8bf1000f,0x001f52fb,0x00000054,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80000000,0xb83911da,0x26441912,
    0x1999897c,0x3bbbbbba,0x000001ee,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xa8000000,0xbf1bf22f,0x4bb107ea,0xffffb0f8,
    0x2aaaaaa1,0x00000aaa,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0x022fdc09,0x23884c01,0x00008888,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00200000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_17_latin_ext_x[560]={ 0,3,2,0,0,0,0,3,2,2,1,0,1,2,
3,0,0,1,1,1,0,1,1,0,0,0,3,2,1,1,1,2,0,0,1,0,0,1,1,0,0,1,1,1,
1,0,0,0,1,0,1,0,0,0,0,0,0,0,0,2,1,2,1,0,0,1,1,1,0,0,0,0,1,1,
1,1,1,0,1,0,1,0,1,1,0,1,0,0,0,0,1,1,3,1,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,1,0,0,0,
3,1,0,0,1,1,0,2,0,0,1,0,2,2,0,1,0,3,3,1,1,1,0,0,0,1,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,-1,-1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,1,0,0,0,0,1,1,1,0,0,1,
1,-3,-2,1,0,0,1,0,0,0,1,0,0,0,0,1,0,0,0,0,0,0,0,0,-1,0,1,1,-1,0,
0,0,0,0,0,1,0,0,0,0,0,-2,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,
0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,-1,0,-1,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0, };
static signed short stb__consolas_17_latin_ext_y[560]={ 12,0,0,1,-1,0,0,0,-1,-1,0,3,9,6,
9,0,1,1,1,1,1,1,1,1,1,1,3,3,2,5,2,0,0,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,-1,0,-1,1,14,0,3,0,3,0,3,0,3,0,0,
0,0,0,3,3,3,3,3,3,3,1,3,3,3,3,3,3,-1,-2,-1,5,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,12,3,-1,1,1,1,
-2,0,0,1,1,4,6,6,0,0,0,1,0,0,0,3,0,5,12,0,1,4,0,0,0,3,-2,-2,-2,-2,
-2,-3,1,1,-2,-2,-2,-2,-2,-2,-2,-2,1,-2,-2,-2,-2,-2,-2,4,-1,-2,-2,-2,-2,-2,1,0,0,0,
0,0,0,-1,3,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,1,0,0,0,0,0,0,0,
-2,0,-2,0,1,3,-2,0,-2,0,-2,0,-2,0,-2,-1,1,0,-2,0,-2,0,-2,0,1,3,-2,0,-2,0,
-2,0,-2,0,1,-1,-2,-3,1,0,-2,0,-2,0,-2,0,1,0,-2,3,1,0,-2,0,1,0,3,-2,-3,1,
0,-1,-1,1,0,1,0,-2,0,1,3,-2,0,-1,1,3,-2,0,-2,0,-2,0,1,3,-2,0,1,3,-2,0,
-2,0,-2,0,1,3,-2,0,1,1,-2,-1,1,1,-2,0,-2,0,-2,0,-3,-1,-2,0,1,3,-2,0,-2,0,
-2,-2,0,-2,0,-2,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,-5,-3,-2,0,-2,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,3,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static unsigned short stb__consolas_17_latin_ext_w[560]={ 0,3,6,9,9,10,10,3,6,5,7,9,5,6,
3,9,9,8,8,8,9,8,8,9,9,9,3,5,7,8,8,6,10,10,8,9,9,7,7,9,9,7,7,8,
8,9,9,9,8,10,8,9,9,9,10,9,10,10,9,5,8,5,8,10,6,7,8,7,8,9,9,9,8,8,
7,8,8,9,8,9,8,8,8,7,9,8,9,10,9,9,8,7,3,8,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,0,3,7,9,9,9,
3,8,8,10,7,8,9,6,9,7,7,9,6,6,8,8,9,4,3,7,7,8,10,10,10,6,10,10,10,10,
10,10,11,9,8,8,8,8,8,8,8,8,9,9,9,9,9,9,9,8,9,9,9,9,9,10,8,8,8,8,
8,8,8,8,10,7,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,8,9,
10,8,10,8,10,8,9,9,9,8,9,8,9,8,10,12,9,10,8,9,8,9,8,9,8,9,8,9,9,9,
9,9,9,9,9,9,9,9,10,9,8,9,8,9,8,9,8,8,8,8,9,9,8,8,8,8,8,9,9,8,
8,12,12,9,11,9,8,9,9,9,8,9,9,9,9,8,9,9,9,9,10,10,10,10,10,9,8,8,10,9,
9,8,9,8,9,7,9,8,9,9,9,11,9,9,9,9,9,9,9,9,9,9,10,10,9,8,9,10,10,9,
10,9,9,9,9,9,9,7,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,10,8,11,10,10,10,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,7,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9, };
static unsigned short stb__consolas_17_latin_ext_h[560]={ 0,13,5,11,15,13,13,5,17,17,8,9,6,3,
4,14,12,11,11,12,11,12,12,11,12,11,10,12,11,5,11,13,16,11,11,12,11,11,11,12,11,11,12,11,
11,11,11,12,11,14,11,12,11,12,11,11,11,11,11,17,14,17,6,2,4,10,13,10,13,10,12,13,12,12,
16,12,12,9,9,10,13,13,9,10,12,10,9,9,9,13,9,17,18,17,5,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,0,13,16,11,11,11,
18,14,4,12,9,7,5,3,8,4,6,11,7,7,4,13,14,4,3,7,9,7,12,12,12,13,14,14,14,14,
14,15,11,14,14,14,14,14,14,14,14,14,11,14,15,15,15,15,15,7,15,15,15,15,15,14,11,13,13,13,
13,13,13,14,10,12,13,13,13,13,12,12,12,12,13,12,13,13,13,13,13,9,13,13,13,13,13,16,16,16,
14,13,14,13,15,13,15,13,15,13,15,13,15,13,14,14,11,13,14,13,14,13,14,13,15,13,14,13,15,16,
15,16,15,16,15,17,14,15,11,12,14,12,14,12,14,12,15,16,14,9,12,16,15,16,15,16,9,14,15,15,
16,13,13,11,12,11,12,14,12,15,13,14,12,13,15,13,15,13,15,13,15,13,12,10,14,12,15,13,14,12,
15,13,15,13,14,12,15,13,15,15,14,14,11,12,15,13,15,13,15,13,16,14,15,13,15,13,14,12,14,16,
14,14,12,14,12,14,12,12,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,14,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,17,16,14,13,16,14,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,15,13,15,15,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11, };
static unsigned short stb__consolas_17_latin_ext_s[560]={ 254,251,232,234,22,182,162,239,29,46,123,
103,180,34,10,182,47,30,147,84,194,101,121,111,160,10,250,250,166,223,1,
249,177,32,72,209,129,103,121,219,174,139,93,49,111,130,120,11,140,192,149,
150,39,229,100,90,79,68,58,52,203,58,194,41,23,195,193,187,238,223,199,
1,57,190,159,75,66,244,1,169,220,11,94,179,130,203,20,56,84,40,38,
64,1,9,213,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,
156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,254,252,207,
93,224,244,5,222,14,110,76,154,203,34,113,243,186,204,138,131,1,79,163,
251,30,172,30,145,199,188,177,60,231,242,20,31,42,42,81,82,166,112,1,
157,199,130,148,53,184,10,53,103,123,143,133,163,183,203,222,241,1,208,43,
133,124,115,106,97,88,145,212,1,60,50,40,30,148,138,116,96,234,78,211,
201,191,181,171,10,152,142,132,122,112,149,215,224,92,63,188,70,71,244,92,
1,102,162,122,54,151,72,71,175,20,219,139,239,121,11,103,31,232,21,62,
1,11,167,32,197,132,120,112,36,212,163,158,37,173,19,154,9,136,170,52,
92,95,67,158,101,180,188,142,111,47,1,161,171,130,41,221,62,126,52,168,
189,230,193,230,31,240,20,82,11,61,81,42,91,21,101,239,233,72,220,213,
173,199,210,173,202,153,211,222,88,113,229,93,83,242,210,214,106,32,20,73,
30,1,50,234,232,11,142,63,153,126,21,115,139,51,11,180,21,1,41,140,
29,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,62,
156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,
156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,
156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,
156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,
156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,
156,156,156,18,72,83,67,81,104,156,156,156,156,156,156,156,156,156,156,156,
156,156,156,156,156,156,156,156,156,156,156,156,156,244,247,93,83,156,156,156,
156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,
156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,
156,156,156,156,156,156,156,156,156, };
static unsigned short stb__consolas_17_latin_ext_t[560]={ 1,20,162,137,20,96,96,162,1,1,162,
162,162,172,172,52,124,150,137,124,137,124,124,137,124,150,124,110,137,162,150,
67,1,137,137,124,137,137,137,124,137,137,124,150,150,150,150,137,150,52,150,
124,150,124,150,150,150,150,150,1,52,1,162,172,172,150,96,150,96,150,124,
110,124,124,1,124,124,150,162,150,96,110,162,150,124,150,162,162,162,110,162,
1,1,1,162,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,
137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,1,36,1,
137,137,137,1,52,172,124,162,162,162,172,162,162,162,137,162,162,172,96,52,
162,172,162,162,162,110,110,110,110,52,52,67,67,67,20,137,67,67,67,67,
67,67,67,67,67,137,67,20,20,20,20,20,162,20,20,20,20,36,67,137,
96,96,96,96,96,96,52,150,124,96,96,96,96,110,110,110,110,82,110,82,
82,82,82,82,162,82,82,82,82,82,1,1,1,67,82,67,96,36,82,36,
82,36,82,36,82,36,82,67,67,150,67,67,67,67,82,67,82,20,82,67,
96,36,1,36,1,36,1,36,1,52,20,150,124,52,124,52,124,52,124,36,
1,52,162,110,1,36,1,36,1,162,52,36,36,1,82,82,137,110,137,110,
36,110,20,67,52,110,96,36,96,36,82,36,82,36,82,124,150,52,110,20,
96,36,110,20,96,20,96,36,110,20,96,20,20,36,36,137,110,20,110,20,
110,20,110,1,36,20,96,20,96,52,137,52,1,52,52,124,52,137,52,124,
124,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,52,
137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,
137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,
137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,
137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,
137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,
137,137,137,1,1,52,110,1,52,137,137,137,137,137,137,137,137,137,137,137,
137,137,137,137,137,137,137,137,137,137,137,137,137,1,96,20,20,137,137,137,
137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,
137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,
137,137,137,137,137,137,137,137,137, };
static unsigned short stb__consolas_17_latin_ext_a[560]={ 150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_17_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_17_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_17_latin_ext(stb_fontchar font[STB_FONT_consolas_17_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_17_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_17_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_17_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_17_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_17_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_17_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_17_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_17_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_17_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_17_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_17_latin_ext_s[i] + stb__consolas_17_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_17_latin_ext_t[i] + stb__consolas_17_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_17_latin_ext_x[i];
            font[i].y0 = stb__consolas_17_latin_ext_y[i];
            font[i].x1 = stb__consolas_17_latin_ext_x[i] + stb__consolas_17_latin_ext_w[i];
            font[i].y1 = stb__consolas_17_latin_ext_y[i] + stb__consolas_17_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_17_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_17_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_17_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_17_latin_ext_s[i] + stb__consolas_17_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_17_latin_ext_t[i] + stb__consolas_17_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_17_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_17_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_17_latin_ext_x[i] + stb__consolas_17_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_17_latin_ext_y[i] + stb__consolas_17_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_17_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_17_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_17_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_17_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_17_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_17_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_17_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_17_latin_ext_LINE_SPACING
#endif

