// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_19_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_19_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_19_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_consolas_19_latin_ext_BITMAP_HEIGHT        210
#define STB_FONT_consolas_19_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_consolas_19_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_19_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_19_latin_ext_LINE_SPACING          12

static unsigned int stb__consolas_19_latin_ext_pixels[]={
    0x00006231,0x33301550,0x00022003,0x04430355,0x2298006a,0x80020038,
    0x2000802b,0x04404008,0x01100110,0x5555400c,0x22000312,0x00000400,
    0x4c400a98,0x22aaaa20,0x7440f77b,0x9bfc801e,0x07fffe20,0x2007fd10,
    0xf17f03fb,0x402efd85,0x00bea5f8,0x3e2007fa,0x200ff402,0xe81effe9,
    0x440ff42f,0x3fa203fe,0x6c01f983,0x01f74eef,0xf306f980,0xc87e409d,
    0x3ffd100f,0xd3077c40,0x2ef73fdd,0x4c00ee07,0x4cc0f99c,0x33a201fb,
    0x0e4403f9,0x220bff50,0x207f406d,0x17f400fc,0x3a007dc0,0x44fea02f,
    0x21ff41fb,0x4e7442ff,0xf9ce883f,0x3600fcc3,0x4000fb85,0x1e7907fa,
    0x01f90fc8,0x9f100bf2,0x77b9f980,0x007db10f,0xf50364c4,0x0310c403,
    0x040176c4,0x7e403ea0,0x0880dd02,0x31001100,0x26c17c40,0x220a60a2,
    0x88620621,0x3600fcc1,0x8000fb85,0x0dbd5009,0x402f4000,0xb9f98018,
    0xf17b0f77,0xfffe9801,0x1007ea06,0x90355555,0x2a201f17,0x7c41aaaa,
    0x2604f882,0x5555104f,0x55551035,0x05555435,0x98f505c8,0x55442982,
    0x06a22aaa,0x4c1f98d4,0x1f70bb1a,0xaa881551,0x984c2aaa,0x80d44262,
    0xa884e81a,0x3f303501,0x3ae1eef7,0x577cc06c,0x3f504ff9,0x7ff77dc0,
    0x0f9cc84f,0xfffeefb8,0x7dc17c44,0x7dc36c01,0x5c4fffee,0x14fffeef,
    0xf103ffff,0x3e2eee65,0x8f903ee0,0x25fffffa,0x33f985f8,0xbb2fd43f,
    0xffff3f70,0x7ffffd45,0x9fcc27c5,0x83f985f8,0x985f884e,0x7b9f983f,
    0x0032e0f7,0x3f3ea1fb,0xf301fa81,0xd881fd47,0x2a3f982e,0xe82f883f,
    0x260fc807,0xf30fea3f,0xfa81fd47,0xfbf37a81,0x40fb87ed,0x645e807c,
    0xf987e40f,0x85d8bf51,0x0dd13ffb,0x4c27c5e8,0xf903f23f,0x3f207f01,
    0x7cc07e40,0xf10f77b9,0xb27c409f,0x3f507f19,0x0bf03ee0,0x3ee0aaa6,
    0x0ee82fc0,0x0fd402fc,0x5c5f81f7,0xfa82fc0f,0x369d5c81,0x207dc3f4,
    0x4c5e807c,0x3f32fc3f,0x70bb0bf3,0x201fb85f,0x7cc27c5e,0x0bf0fe63,
    0x0fe603f5,0x2e7e60bf,0xddf50537,0x25f17cc0,0x701fa85f,0x7c27c43f,
    0x2e0effff,0x4413e21f,0x009f17fd,0x10fdc7f1,0x221fb89f,0xb03f504f,
    0x7cfe5f19,0x0f903ee1,0x54dd0bd0,0x17f3e62f,0x207dc2ec,0xf17a02f9,
    0x6e87f309,0x1ffb8bea,0x05f53740,0xb01ee7e6,0x3ea03f7d,0x54374f31,
    0x55df101f,0x541501fd,0x2abbe25f,0x57f700fe,0x3e200fe2,0x3aabbe24,
    0x5577c40f,0x03f500fe,0x5f11f37d,0x207dc1f1,0xb85e807c,0xcf98fb1f,
    0xf70bb05f,0x3a02f981,0x1fcc27c5,0x263ec7ee,0x3ee00eda,0x4fcc0fb1,
    0x22fe207b,0x323f504f,0x07ea1ba5,0x06f76fd4,0x6fd4dd00,0x0fe00dee,
    0x8fe6017a,0x80deedfa,0x00deedfa,0x2afa07ea,0x4799f98f,0x403e40fb,
    0xf8cf885e,0x27d4fcc4,0x207dc2ec,0xf17a01fa,0xf887f309,0x0fe04f8c,
    0x04f8cf88,0xa81ee7e6,0x3e60dd1f,0x542fc7d2,0x000db01f,0x36cdd553,
    0xf905f100,0x36c5f700,0x54006d80,0x8f9be81f,0x7dc5c8fc,0x2f403e40,
    0x4c1fbfd8,0x5d89f71f,0x036c0fb8,0xf309f17a,0x03f7fb07,0x2ff60274,
    0x2e7e601f,0x2e6d8f77,0x1f19f01f,0x65544fe6,0x6fe42acf,0xfc80accc,
    0x3f26feee,0x880acccd,0x401fb82f,0x666fe47d,0x66fe40ac,0x2aa20acc,
    0x4f62acfc,0x40feddef,0x403e40fb,0x0dff305e,0xb1fe43f3,0x9337f70b,
    0x7c5e805f,0xf983f984,0x2027406f,0x7cc06ff9,0x7c4f77b9,0x7f40fe64,
    0x7d43f66c,0x447fffff,0x0fffeeef,0x44db0be6,0x0fffeeef,0x27cc17c4,
    0xef889f10,0x220fffee,0x0fffeeef,0xfffffff5,0x02a252e4,0x00f903ee,
    0x417f40bd,0xd97ec1f9,0xeffffb85,0x2fc5e801,0x2fe817d4,0x7f402740,
    0xbdcfcc02,0x266fea7b,0xbff106f9,0x20007fb5,0x364fa86e,0x0dd37447,
    0x02f989f5,0x03fa03f7,0x749f50dd,0x6c04fa86,0x40001ea4,0x205f806e,
    0x2ec0006e,0x7c0007dc,0x07e43ec5,0x05e806e8,0x9f9806e8,0x7fecf77b,
    0x501fffff,0x5c05dfff,0xf30bf00f,0x7dcdfe47,0x3e617e6f,0xfb00fdc3,
    0x5f83fb81,0x217e3f98,0x03ea03f9,0xf880009f,0xc81fd405,0x80fb802f,
    0x000fb85d,0x37ea1fd4,0xf904fdaa,0xc80f7005,0xb9f9802f,0x2b7e2f77,
    0x503fbaaa,0x0bb0011f,0x7e55efec,0x3bff620e,0x2f7f66ba,0xfb50efca,
    0x265f880b,0x57bfb04f,0x6fec1df9,0x200efcab,0x37ea2df9,0x66405baa,
    0x5e6c0ffc,0x7f64c6fd,0x360bb004,0x01f72aae,0x06fdbcd8,0x987fffd5,
    0xf1004fec,0x3fb2619d,0x3f2aa204,0x3eaf77b9,0x1360dd01,0x6dc02d80,
    0x00403dee,0xb0f7bb6e,0x88a6007b,0x6f76dc04,0x7bddb703,0x9306e600,
    0xeb8039dd,0xeeda80ce,0x002dea83,0x777640b6,0xda801d54,0x201003ee,
    0x44002dea,0x05bd51db,0xb9eeee98,0xc81f6f77,0x0000000f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2b500000,
    0x0000005a,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x26014431,0x2018000a,
    0x4402aa2a,0x80455001,0x54006628,0x04c0260a,0x00403330,0x33333333,
    0x4cccccc1,0x0530a980,0x86200a98,0x00155028,0x4c40054c,0x80554000,
    0x86600998,0x2200220a,0x1f90fd81,0x003bbee0,0x2e0fff26,0xd305f92f,
    0x76c0bfff,0xbf02ecfe,0x5f9005f9,0x23f984f8,0x1ffffec8,0xfff306d8,
    0x229fffff,0x05ffffff,0x5c03f9db,0x1fb00eef,0x3f6203f2,0x0eefb801,
    0x8013fe20,0xffea82fc,0xb9f503ff,0xfd806e8f,0x20731cc0,0xb00771c9,
    0x1c88135d,0x5df30393,0xb8a0df93,0x0b32202c,0x13e03260,0x7ffc4fe6,
    0x6e81fb9f,0x27f66660,0x339f1099,0x065c0133,0x40ee3930,0x7700e639,
    0x0771c980,0x980377d4,0x9adf980c,0x332a01a9,0x7ec03740,0x304c0260,
    0x7c402601,0x02601303,0x41fb81fb,0x04c13009,0x4c026098,0x27f309f0,
    0x3f57fffd,0x2abbaaa2,0x220f902a,0x4cc4003f,0x8800c400,0x04c02601,
    0x36009988,0x98801fbe,0x0007ec09,0x01ba0cc4,0x984f83f6,0x3e613e3f,
    0x3e01f703,0x3e23f984,0x27c4f884,0x309f1fcc,0x7cc27c7f,0x27f309f3,
    0x3f57ffff,0x3fffffea,0x220f907f,0xffd5003f,0xffd307ff,0x3ffa60bf,
    0xf984f85f,0x7ffff543,0x4f8bf883,0x3ffffaa0,0xb8003f63,0xdd1fffff,
    0x27c1fb00,0x309f1fcc,0xf81f207f,0x3e63f984,0x84f8bd02,0x2613e3f9,
    0x3e613e3f,0x27f309f3,0x3f57fffe,0x1f200dd0,0x7cc01fc4,0x4c1a99ad,
    0x46fb9aef,0x6fb9aef9,0x31fcc27c,0x035335bf,0x4c1ba3f5,0x21a99adf,
    0xfd802efa,0xdd1ca9ad,0x84f8f900,0x2613e3f9,0x3fa6623f,0x4c27c099,
    0x7407ea3f,0x1fcc27c6,0x7c7f309f,0x09f3f984,0x3fff27f3,0x0dd03f57,
    0x7fc41f20,0x7ec4ffff,0x5c0fd800,0xf703f61f,0x1fcc27c3,0x9b6001fb,
    0x00fd81fb,0x703effa8,0x806e807f,0x7cc27c7c,0x8fe613e3,0x6ffffffd,
    0x71fcc27c,0x9f1ba03f,0x427c7f30,0x2613e3f9,0x7f309f3f,0x1fabffec,
    0x0f9006e8,0x2aaab7e2,0x22007ec1,0xf14f884f,0x27c9f109,0x01fb1fcc,
    0x1fcc9f10,0xd70007ec,0x806f83df,0x7c7c806e,0x13e3f984,0xf9988fe6,
    0x427c099d,0x40bea3f9,0x7cc27c5f,0x8fe613e3,0x9f3f984f,0x4b987f30,
    0x00dd03f5,0x01fc41f2,0xf30177d4,0x17cd7a05,0x2613e5e8,0x00bbea3f,
    0xdf3337f5,0x8005df50,0x00fe26fa,0xf1f201ba,0x27c7f309,0x1fcc1fcc,
    0x47f309f0,0x43f984f8,0x3e3f984f,0x13e3f984,0x542fcfe6,0x40fd402f,
    0x20f9006e,0xff5003f8,0x203f507d,0x3a03f56e,0x0fe613e6,0x3607dff5,
    0x1fffffff,0x003effa8,0x917cc3f2,0x01ba3ddd,0xf309f1f2,0x1fcc27c7,
    0x09f017d4,0x40fe87f3,0x4c27c0fd,0x3e613e3f,0x4fe613e3,0x400fc87d,
    0x00fc81fa,0x07f107c8,0x21efeb80,0x2add01fa,0x27cdd01f,0xfeb81fcc,
    0x2ab7e21e,0x2e03fbaa,0xfc801efe,0x6e545f50,0x5300dd2f,0x23f984f8,
    0xb83f984f,0x2613e01f,0x55f7cc3f,0x984f83fd,0x3e613e3f,0x4fe613e3,
    0x4fdaadfa,0xf981fa80,0x0f9029ad,0x2aaab7e2,0x266fa801,0x3e6bf02f,
    0x427cbf02,0x37d403f9,0x01ba03f5,0xaabd9bea,0x0fe64fca,0x55774be6,
    0x3e0442aa,0x17e2fa85,0x03f20bea,0x82fa85f8,0xf02effea,0x2fc5f50b,
    0x50bf17d4,0x7fff545f,0x201f7004,0xf907ffdb,0x3ffffe20,0x21f9005f,
    0x13f984f8,0x7c7f309f,0xc802fa85,0x7e40fb0f,0xfd0fc800,0xdf07dfff,
    0x3ffa5f30,0x3fa0ffff,0x83f21f61,0xe80fc87d,0x7e43ec06,0xd803f200,
    0x1f60fc87,0xc87d83f2,0x000fa80f,0x000201f6,0x2005f100,0xb03f60fc,
    0x3607ec1f,0x3f21f60f,0x000fc800,0x03f2009d,0x42fc8031,0x7f4002f9,
    0x36ab7ea1,0x556fd44f,0x3f2624fd,0x556fd403,0x6fcc04fd,0x56fd4399,
    0x6fd44fda,0x7d44fdaa,0xd04fdaad,0x64d75c09,0x003ee04f,0x176001f7,
    0x3f2aaaf6,0x6d5f7cc4,0x55f7cc3f,0x56fd43fd,0x55ec4fda,0x7004fcaa,
    0x95557b0f,0x403ee09f,0xfcaadfe8,0x01007dc2,0x207fffd5,0x643fffea,
    0xfd5005ff,0x3ee007ff,0x7f540eff,0xffd503ff,0x3ffaa07f,0x413ba03f,
    0x403fffd9,0x005d805d,0xffe833f2,0xfd303eff,0x3fa605df,0xffd502ef,
    0xffffd07f,0x67d4007d,0x3bffffa1,0x32017603,0x6c1dfffe,0x00040005,
    0x10000c01,0x00331000,0x10004001,0x10097100,0x3600b600,0x032a2002,
    0x00100062,0x10010004,0x0e4c0003,0x02d800c4,0x02d80620,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40019988,0x04c0621e,0x018804b8,0x455004c0,0x154400aa,
    0x54033144,0x01530022,0x980c4010,0xa8055100,0x15503512,0x44155000,
    0x22009881,0x001b8019,0x33331037,0x15440133,0xfa944310,0x4403ffff,
    0xf10ffa1f,0xfb813605,0xf9800fff,0x3f25f700,0x806fc402,0xdb02fcdf,
    0x2e05d9fd,0xdf300eef,0xf10ffa09,0x07fdd105,0x882f6fcc,0x3f2001fd,
    0xdd107e42,0xfffff701,0x201bea03,0xfffa86fa,0xdd106fff,0x643f607f,
    0xeb9afa8f,0xe83e602f,0xb317c47f,0xfa85ffff,0x2200999b,0x239106c9,
    0x03b801c9,0x45016644,0x239302cb,0x41e7903b,0x417c47fe,0x4403933b,
    0x003b803c,0x41f90193,0xadfd81fd,0x7b101ca9,0x3107b100,0x20133fb3,
    0x7303933b,0x221fa9cc,0xcfeb985f,0x7c47fbd0,0x79f7df32,0xd3007d83,
    0x1880dfff,0x2004c400,0x80310018,0x50199999,0x3f7a0dbd,0x9880be23,
    0x40098800,0x20310018,0x705f70fc,0x1310007f,0x64033100,0x40662007,
    0xa8999999,0x3ee2fc1f,0xb9d2efee,0x8fd97c4d,0x09f701f8,0xff9aef98,
    0x5fffe984,0x77fffdc0,0x2ffff4c0,0x85fffe98,0x0ffffff8,0x33a01950,
    0x705f10fc,0x701dffff,0x981dffff,0xd305fffe,0x8fc8bfff,0x00df03f9,
    0x0effffb8,0x1fffffb8,0xffb807c8,0x3fe21fff,0x1fadffff,0x95f98fee,
    0x12f9ce8b,0x3e63f65f,0x03dff900,0x7e7d43f6,0x2e6bbe61,0x35bf906f,
    0x577cc395,0x77cc6fb9,0xaa86fb9a,0xf880fdaa,0x9f19d04f,0x5bf90be2,
    0xdfc83953,0x3e61ca9a,0x4c6fb9ae,0x26fb9aef,0xf104f9fc,0x56fe4007,
    0x6fec1ca9,0x7c81ca9a,0x54d6fec0,0x2673e21c,0xeeefa899,0x4d87e44f,
    0x5f16ea74,0x541f3bea,0x444fe9af,0x8fe3364f,0x20fdc0fd,0x0fd804f9,
    0x81fb0fdc,0x07dc01fb,0x4e8377d4,0x4c5f11f9,0x04f9804f,0x0fdc0fd8,
    0x91fb81fb,0x17cc0ddf,0x7cc3ddd9,0x003fb804,0x03fb81f2,0xbf503f88,
    0x7cdb0bf9,0x8afaa743,0x0fffee2f,0x4c9f71f2,0x8afcbe2f,0x6c4f884f,
    0x427c400f,0x109f14f8,0x80fb809f,0x4e81fbed,0x6c5f19f1,0x00fd800f,
    0xa7c427c4,0x94f884f8,0x3ea05f9f,0xd8bf72a2,0x006f800f,0x00df03e4,
    0x8fd40fe2,0x3f3e43fa,0x3e37a4e8,0x21effd82,0xf53e41fb,0xf36e9e63,
    0x0bd17a05,0x57a05f30,0x80bd02f9,0x45fc40fb,0x3f24e84f,0x4017a2fa,
    0x02f9805e,0x740be6bd,0x03fb1f95,0x45f307f3,0x03f8805e,0x3f883e40,
    0x2a07f100,0xfa83f61f,0x72740f99,0x39b05f5f,0x70ffc4ff,0x2e47ea1f,
    0x7407eadd,0x7d4027c6,0x07eadd01,0x03ee0374,0x3a1ba3f5,0xf8bf7e24,
    0x5009f004,0x7d5ba03f,0x23f2dd01,0x86f80ef8,0x2013e2f9,0x3bbb22f9,
    0x5f307c81,0xf10f7764,0xf59fffff,0xff11fcc3,0x227422f9,0x73e82fef,
    0x4e7f443f,0x1f4be65e,0x7407eabf,0x2a013e26,0x3eadd01f,0xfb80dd01,
    0x83f736c0,0x897fdc4e,0x04f8804f,0x2dd01fa8,0x32dd01fa,0xf90bf30f,
    0x9f12f985,0x6545f500,0x507c82fd,0x17ee545f,0x35555bf1,0x20fe83f5,
    0xd2ffffd9,0xf82ffb89,0xff701fb2,0x0f8cf81d,0x40be67f3,0x4c02fc5f,
    0x3e6bf02f,0xfb80bf02,0x3f993e20,0x8bfe2274,0x00bf005f,0x4d7e05f3,
    0x3f2bf02f,0xfd10fee0,0x7c5f955b,0x983f9805,0x5fb5512f,0x4c1fcc55,
    0x540fe22f,0x6c1fd41f,0xf113a09e,0x33ef3a5f,0x3fa204fe,0xfb367f40,
    0x3e613e21,0x22007f43,0xf13f984f,0xc807f309,0x266fea0f,0x5c2746f9,
    0x2003fa2f,0x27c400fe,0x84f89fcc,0xd81f93f9,0xfffec81f,0x2003fa1d,
    0xf52f986f,0xf8dfffff,0x3e22f986,0x13600003,0xeffec800,0x41fb802d,
    0x3fdadff8,0x03f607ec,0x1fb009f5,0x03f60fd8,0x47e801fb,0xfffffffd,
    0x2a1fb801,0x04fa804f,0x07ec0fd8,0x00fd81fb,0xf5018800,0x985f9009,
    0x90ba202f,0x222f985f,0x00fb803f,0x03ee01f4,0x26a607a8,0xff506fb9,
    0x7df305df,0x3f607fb5,0x261dbabe,0x43fdabef,0x3fdabef9,0x1feddecc,
    0x75555bf1,0x81fb007f,0x1dbabefd,0x6dd5f7ec,0x36afbe61,0x55f7cc3f,
    0x01f703fd,0x7ec01f70,0x221dbabe,0x2fcaadfe,0x3fa21b20,0x222fcaad,
    0x41aaaadf,0x402f805d,0x502e405d,0x201bffff,0x74c008fa,0x75c02eff,
    0x74c0deff,0xfd302eff,0xffd105df,0xd01fa87f,0x81ff4c0d,0x80deffeb,
    0x40deffeb,0x302effe9,0x6c05dffd,0x700bb005,0x901bdffd,0x403bfffd,
    0xfec81cfb,0x3fe21dff,0x16c5ffff,0x0b600540,0x01300110,0x010009b0,
    0x00200100,0x36010008,0x4c03f207,0x4001002d,0x04001000,0x2d8016c0,
    0x18800400,0x88032a00,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20045500,0x155002a8,
    0x2a0054c0,0x5506ffff,0x00a98001,0x26005540,0x9854c00a,0x01443102,
    0x2a0008aa,0x000aa80a,0x03980554,0x10c40398,0x20153005,0x86206628,
    0x004c4028,0xeed80455,0xdd102ecf,0x405f9001,0x2200eefb,0xb1009999,
    0x3bee003f,0x05f9000e,0x400eefb8,0xfb01fced,0x76c03f21,0xc802ecfe,
    0x03fb102f,0xfe80bf20,0xb017f402,0xb803f21f,0x9bf00eef,0x321fb05f,
    0xffffb80f,0x67f76c0e,0x0b2e282e,0x193003b8,0x03b8e4c0,0x07700188,
    0x00ee3930,0x39300326,0x032e00ee,0x280e6398,0x32600b2e,0x9803b800,
    0x006dc00c,0x2398036e,0x5c726039,0x20599103,0x3f20e639,0x141ca9ad,
    0x33310597,0x4cc41333,0x0980c401,0xe9801310,0x4c405fff,0x0c403100,
    0x06601310,0x40620988,0x4c403309,0x44013100,0x41999999,0x09999998,
    0x26666662,0x26666620,0x26666209,0x02620199,0x99999988,0x26666620,
    0x26666209,0x013e6099,0xf504c062,0x54dfffff,0xe83fffff,0x4417c43f,
    0x3be604ff,0xf106fb9a,0xb81ee09f,0x209ff107,0x41fb02fc,0xc97c43fe,
    0x101fb02f,0x7fec09ff,0x2a1fffff,0x26ffffff,0x6ffffffa,0x3fffffea,
    0x3fffff66,0x4ff881ff,0x3ffffea0,0x3fffea6f,0x3ffea6ff,0x03f66fff,
    0x5f10ffa0,0x4cfeccc4,0x3ae6bea0,0x223ff42f,0x06efa82f,0x03f703f6,
    0x1ee0ddf5,0xddf507b8,0x3e61be20,0x3e23ff43,0x7f30df12,0xa81bbea0,
    0x0ffaaaaa,0x267f6662,0x27f66620,0x3f666209,0x2aaaa099,0xfa80ffaa,
    0x3666206e,0x2662099f,0x262099fd,0x3a099fd9,0x88ffd005,0x2a0f902f,
    0xbd17e21f,0x6c17c47f,0x4f881fbe,0xbed84f88,0x900fa81f,0x07efb60d,
    0x21ba17dc,0x8be23fde,0xb03742fb,0x5c003f7d,0x201f202f,0x007c807c,
    0x5f6c0bee,0x807c801f,0xf07c807c,0x8ff7a009,0x20f902f8,0x3a2fc1fa,
    0x10be26dc,0xf309f17f,0x7f117a05,0x01f509f1,0x22fe2172,0xfa9ba04f,
    0x226dce82,0x5f53742f,0x13e2fe20,0x3202fc40,0xc807c807,0x20bf1007,
    0x804f8bf8,0x807c807c,0x004f887c,0x17c4db9d,0x43f507c8,0x7ce743fb,
    0x1fa85f12,0x203f50dd,0x6e8fd46e,0x6cf71f98,0x0dd1fa85,0xd06e9fd4,
    0x0be25f39,0xa81ba7f5,0x3600dd1f,0x403e400f,0x007c807c,0x47ea01fb,
    0x807c806e,0xf07c807c,0x3e73a00b,0x1f205f12,0x27f777d4,0x5f16ea74,
    0x507ee6d8,0xdb1ba03f,0x47e60fdc,0xdb09b1fe,0x7fd00fdc,0xb753a03f,
    0xfbfe82f8,0x1fb9b601,0x64017dc0,0xc807c807,0x202fb807,0x9007ee6d,
    0x900f900f,0x2003fa0f,0x0be2dd4e,0xcdfa83e4,0x3ea9d05f,0x93e22f8a,
    0x817cc3f9,0xf993e25f,0x77c57c43,0x24f889d4,0x3fe603f9,0x57d53a05,
    0x5ff982f8,0x3f993e20,0x64017e20,0xc807c807,0x102fc407,0x201fcc9f,
    0x807c807c,0x009f507c,0x3e2bea9d,0x3ea0f902,0x49d07f51,0x3ea2f8de,
    0x446f999b,0x2a3f984f,0x86f999bf,0x7d7bdbaf,0xf999bfa8,0xd007ec06,
    0x817c6f49,0x2fea00fd,0x3606f999,0x00f9000f,0x80f900f9,0x2fea00fd,
    0x6406f999,0xc807c807,0x2afbf607,0xde93a1db,0x20f902f8,0xd03f61fa,
    0xb17d7dc9,0x3fffffff,0x07ec0fd8,0xfffffffb,0xf8bebf83,0x7ffec3ea,
    0x3201ffff,0x5f727407,0xb01f205f,0x3fffffff,0x64005f70,0xc807c807,
    0xb00bee07,0x3fffffff,0x3e403e40,0x3ae03e40,0x93a0deff,0xf902fafb,
    0x3f987ea0,0x4bfbe274,0xbaaaadf8,0x55f7cc3f,0x2b7e23fd,0x7c3fbaaa,
    0x45fbd0fc,0xbaaaadf8,0xd01f203f,0x902fef89,0x556fc40f,0x7c43fbaa,
    0x403e4005,0x107c807c,0xadf880bf,0x203fbaaa,0x807c807c,0x01fa807c,
    0x22fef89d,0x2aafdaa8,0x41fd07ea,0xa97fdc4e,0xd30dd01f,0x1fa85dff,
    0x26fe8dd0,0x07ea2ffb,0x80f90374,0x817fdc4e,0x407ea07c,0x666fec6e,
    0x2aa21ccc,0x2a22aafd,0x222aafda,0x22aafdaa,0xcccccdfd,0x1ba03f51,
    0x555fb551,0x557ed544,0x2bf6aa22,0x740d902a,0xf517fdc4,0x54dfffff,
    0x9d1fd41f,0x0fb2ff88,0x201007e4,0xd83f207d,0xd87fe23f,0x6403f207,
    0x3e227407,0x6c0f902f,0xff83f207,0x22ffffff,0x6ffffffa,0x3fffffea,
    0x3ffffea6,0x3ffffe6f,0x40fb2fff,0x3ffea0fc,0x3fea6fff,0x3ea6ffff,
    0x906fffff,0x3e227407,0x0000002f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x02aa0000,0x88026620,
    0x054c02ed,0xaa803100,0x0a615300,0x8006a2a8,0x05fb0019,0x0310aa20,
    0x37fffd40,0x30530a98,0x5400a615,0x8015300a,0x02aa0039,0x288198a2,
    0x54550066,0xdffff501,0x3fb10530,0x3ffffaa0,0x3fade883,0x001ddf70,
    0x02fc817a,0x100fe76c,0x6c00bdbd,0x00ed802f,0xf981bf10,0x33331001,
    0x0fe76c01,0x801fced8,0xddf702fc,0x4017f401,0x337e02fc,0x5f9bf02f,
    0x05ede880,0x10266662,0x20ee07ff,0x1a99adf9,0x30310d44,0x2600ee39,
    0x0019301f,0x3220032e,0x0a7b6003,0x2000cccc,0x2017a03b,0x2e013009,
    0x0065c00c,0x1c98064c,0x006dc077,0x99100326,0x01664405,0x4cc03c88,
    0x3e209999,0x4ccccc3f,0x7001fb09,0x3009801f,0x03336401,0x333104c4,
    0x33103333,0x6b8c4003,0x01ffff88,0x83333310,0x427c00fa,0x4cccc3f9,
    0x26666099,0x4cc09999,0x4cc09999,0x4cc09999,0x04409999,0x99999980,
    0x98013100,0xfff88019,0x21445fff,0x5ffffff8,0x1f7001fb,0x2f984f80,
    0x17e47f10,0x3ff60fd8,0x541fffff,0x403fffff,0x3303eaa8,0x3f6003f7,
    0x03f87fff,0x11fcc27c,0x2bffffff,0xfffffff9,0x3fffe24f,0x3ffe25ff,
    0x3fe25fff,0x3745ffff,0x7ffffc40,0x04ff885f,0x0efffffc,0x4ccce7c4,
    0x99cf8800,0x05df5099,0x27c00fb8,0x0fb817cc,0x0fe61be2,0xff555555,
    0xeb9afa81,0xfdff702f,0x00fd401d,0x0ccff7c4,0x213e03e4,0x273e23f9,
    0x26660999,0x220999fd,0x209999cf,0x09999cf8,0x266673e2,0x7c403740,
    0xa809999c,0x4efc06ef,0x7c42feba,0x07f10003,0x703effa8,0x9f03511f,
    0x13a05f30,0x00dd0bee,0x87ea0bee,0x73fa85f8,0x0fd40dfd,0x203e75c0,
    0x213e02f8,0x00fe23f9,0x0fe207c8,0xf8807f10,0x8806e803,0xf7db003f,
    0x7f427c03,0x4000fe20,0xfd7003f8,0xffafb83d,0x2613e0ef,0xd01fa82f,
    0x44017d4d,0xf83f505f,0x2afa6e85,0x003f501f,0xdb00f97d,0x1fcc27c0,
    0x3e4007f1,0xf8807f10,0x401fc403,0x03f8806e,0x04f8bf88,0x88fea13e,
    0x21ed803f,0x7d4003f8,0xf997fdc6,0x0be613e3,0xd3fa8176,0x403f600d,
    0x20fee1fa,0x5f13f14f,0xf5007ea0,0x3f500f91,0x8fe613e0,0x1f2003f8,
    0x7c403f88,0x401fc403,0x03f8806e,0x40dd1fa8,0x224f884f,0x44ffffff,
    0x3ffe25ff,0x7e404fff,0x4db0bee0,0xffffffff,0x3a017c42,0xfb801fbf,
    0x3bbbea02,0xd73f884f,0x01fa81fc,0x6fffcaec,0x427c13a0,0x3ffe23f9,
    0x0f904fff,0x7fffffc4,0x3ffffe24,0x3fffe24f,0x403744ff,0x4ffffff8,
    0x203f736c,0x7c4bf04f,0x5c1aaaad,0x2ab7e25f,0x07e401aa,0x3e7c81f7,
    0x2fbaaaae,0x7fcc0364,0x405f8805,0x205fcdfa,0x0be27d4e,0x5f100fd4,
    0xb80aabf2,0xf984f80f,0x2aab7e23,0x440f901a,0x21aaaadf,0x1aaaadf8,
    0x2aaab7e2,0x7c403741,0x221aaaad,0x7c0fe64f,0x1fc4bf04,0x7f11fcc0,
    0x65555ec0,0x3207dc4f,0x0be613e7,0x03f6007f,0xf5003f60,0x7ec0fea3,
    0x201f71f9,0xc9f201fa,0xf07f1007,0x7c45f50b,0x881f2003,0x01fc403f,
    0x1ba00fe2,0xf500fe20,0x20df3337,0x224f884f,0x3ba6203f,0xfe80fe20,
    0xfb83efff,0x309f3e40,0x8007dc5f,0x02fb807c,0x03f61fa8,0x3ee7ffe6,
    0xf807ea04,0x2007ffff,0xfc87d86c,0xc800fe20,0x100fe207,0x03f8807f,
    0x3f8806e8,0x7ffffec0,0xb84f81ff,0xc80fe22f,0x01fc40cf,0x1f702f44,
    0x2613e7c8,0xc8013a2f,0x802fc407,0x40fe61fa,0x403ffff9,0x57f501fa,
    0x7cc00fb5,0x6d56fd42,0x001fc44f,0x01fc40f9,0x7f100fe2,0xf100dd00,
    0x556fc407,0x4f83fbaa,0x37e237cc,0x4011aaaa,0x1aaaadf8,0x03ee03f8,
    0x7cc27cf9,0x64003f32,0x666fec07,0x0fd41ccc,0x2be203fa,0x3f2aa200,
    0x3236c2ac,0x5e802aaf,0x83fffea8,0x1aaaadf8,0x6fc40f90,0x3e21aaaa,
    0x221aaaad,0x41aaaadf,0x42aaaaee,0x1aaaadf8,0x21ba03f5,0x0efdbadf,
    0x7fffffc4,0xffff8805,0x0074c5ff,0x3e7c81f7,0x0db2f984,0x7fc07c80,
    0x42ffffff,0x41fd41fa,0xfffa806b,0x0be27fff,0x500ffff9,0xf100401f,
    0x20bfffff,0x3ffe207c,0x3fe25fff,0x3e25ffff,0x745fffff,0x20ffffff,
    0x5ffffff8,0x207e40fb,0x00bdffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00880000,
    0x2000c431,0x0980c989,0xffff5022,0x2200080d,0x15018009,0x30198000,
    0x98660044,0x18098801,0x0110c022,0xfffa8010,0x1886206f,0x0002b800,
    0x40011000,0xd0053098,0x3e73a20b,0x32fe2003,0x1f93f706,0x00999988,
    0x3e2013ee,0x077e400e,0x6c000bf3,0x5f17f03f,0x3fb97dc0,0x7c077c40,
    0x17f02f8b,0x01fe805f,0x80266662,0x803f9ce8,0xff70be20,0x0fc83939,
    0x7fd101f9,0x3a1df100,0xffeeb82f,0x03fe882e,0x01f5fc40,0x99881ff7,
    0xf7009999,0x804f880b,0x3a0ed9ec,0x03db0006,0xf502ffd4,0xf100bea5,
    0x02ffd409,0xfd00bff5,0x00131005,0xdb007fd1,0x754ec3d4,0xc87e40ef,
    0x7ce7440f,0xd913e203,0x5df55301,0x20006201,0x44009bf8,0xfffffa80,
    0x2200606f,0x04c13001,0x0310009b,0x98220040,0x10018800,0x04400200,
    0x8027fc40,0x44dd0018,0x88000000,0x01880621,0x17a6a620,0x8801a988,
    0x8803faaa,0x26620aaa,0x510099fd,0x85544155,0x554400a9,0x0001bf0a,
    0x22015551,0x554401aa,0x2aaa8801,0x44055530,0x54c401a9,0x0377d401,
    0x44155544,0x2aaaeeaa,0x5314c14c,0x4c14c530,0x54a60a62,0x7ffffd45,
    0xdfdff305,0x3ffff201,0x7ffe403f,0xc80f905f,0xff35ffff,0x03fdf9ff,
    0x897ffff2,0xfc805512,0xffb85fff,0xffb81eff,0xff501eff,0xfff83ffd,
    0x7fcc0eff,0xff980efe,0x7db00efe,0x77fd403f,0x7ffd41ff,0x7dc7ffff,
    0x81f73e40,0xf903ee7c,0x5df207dc,0x74477e67,0x3e24f885,0xf30bfc85,
    0x885fe407,0x7e40f901,0x4462310b,0xf90bb2fe,0xafa86217,0xfc82fffe,
    0xcf98310b,0xcf98df30,0x17e0df30,0x2fd41501,0x22fc49f1,0x217e24f8,
    0x204f8bf8,0x1ba0045f,0x27c81f70,0xf73e40fb,0x03ee7c81,0x0fd9eef9,
    0x207e42f4,0x117e20fb,0x013e207f,0x09f107c8,0x88f73e40,0x9ffd404f,
    0x027c45e8,0xd17d4374,0xf885f50d,0x64dd0004,0xf907dc0f,0x7d40fb81,
    0x13e20dd1,0xfb80dd00,0x81f73e40,0xf903ee7c,0x65f207dc,0x217a1be7,
    0xfcaaaaed,0x7f10fe61,0xc8007ea0,0x5003f507,0x8f955fb5,0x27d401fa,
    0x003f51f2,0x7c7f109f,0xfd83f884,0x554c00bd,0x2aabb66e,0x2bb61fca,
    0x6c1fcaaa,0x7ec07ee6,0x06e800bd,0xb9f207dc,0x1f73e40f,0x903ee7c8,
    0x427c3f2f,0xeeefe85e,0x07ea1eee,0x07ee07f1,0x3f707c80,0x7f77f440,
    0x0fdc6eee,0x1f707ea0,0x3e200fdc,0x7f13f883,0x3ae07f10,0xeefc84ff,
    0x3bbfa6fe,0x3fa1eeee,0x21eeeeee,0x80fe64f8,0x7404ffeb,0x3207dc06,
    0x4f903ee7,0xf73e40fb,0x21f97c81,0x7d85f85f,0xf985f500,0x4007f503,
    0x407f507c,0x401f70fb,0x0fd403fa,0x03fa83ee,0x22f984f8,0x402f984f,
    0x0be64fc9,0xd803ecdb,0x337f5007,0xf9300df3,0x2e037409,0x1f73e40f,
    0x903ee7c8,0x5f207dcf,0xfc8fd0fc,0x8802fc85,0x40ffa24f,0x1f2006f8,
    0x4d9037c4,0x1be201fc,0x0fb83f50,0x3f601be2,0x1fb07e40,0xdd000fc8,
    0xc9ba23ec,0x02fc802f,0xffffffd8,0x40dd001f,0x87e600fc,0x987e67f9,
    0xf987e67f,0x7f987e67,0x2b7ee1f9,0xff885eed,0xfe82999c,0x203fdeac,
    0x03b9befc,0x5f7e40f9,0xd73f53b9,0xf90535df,0x7d47737d,0x3f207dc1,
    0x7cc3b9be,0x4c4fc9ae,0x84fc9aef,0x4fc99ab8,0x3fee6ff2,0x2673fe26,
    0x4e7fc429,0x2b7e2299,0x443fbaaa,0x04fc99ab,0x20a6b7e6,0x47efaaef,
    0x47efaaef,0x47efaaef,0xb7efaaef,0x46ffe41f,0xfffb105d,0x9ffd10bf,
    0xffd700fe,0x7ed5447f,0xffeb82aa,0x31dfb13f,0x3ae09ffd,0x07ea3fff,
    0xffd701f7,0xdffd307f,0x3bffa607,0xfffff303,0xaeffd887,0x7ffec46b,
    0xfffd885f,0x7407ea5f,0x7ffffcc6,0x7ffdb803,0x7baffea8,0x3dd7ff54,
    0x1eebffaa,0x2f75ffd5,0x100000ec,0x80001001,0xfffffa80,0x8080406f,
    0xf5010008,0x0400fb83,0x00200080,0x004004c4,0x02200110,0x80fc81f6,
    0x00800098,0x20010008,0x00001000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20880000,0x44300198,
    0x005db100,0x02200000,0x98813100,0x330cc001,0x08800660,0x20176c40,
    0x0c022008,0x00088000,0x066204c4,0x00000310,0x4c400000,0x1fd84400,
    0x2fe013f2,0xf17902f8,0x3f21f901,0xc9cffb80,0x007fd101,0x3f203be2,
    0x2e5f7004,0x757f903f,0x80ffa203,0xd100f8bc,0x89ffb07f,0xf90fc86c,
    0x00ffa201,0x7e4077c4,0x1003ee04,0x3f203bff,0xffb81f90,0x3e201c9c,
    0xfdb6c00e,0x2a01fd40,0x273205ff,0xf90fc80f,0xdfd53b01,0x7f39d101,
    0x5404f880,0xa97d403f,0xfffb502f,0xf39d103d,0x03e73207,0xb8fe73a2,
    0x3f50fa8f,0x03f21f90,0x00fe73a2,0x3fa809f1,0xa8801f70,0x0fc82ffb,
    0xea9d81f9,0x09f100ef,0x407e5b60,0x88010018,0x000002ed,0x80310c40,
    0x80310018,0xdc802608,0x886206fb,0x205db101,0x15c86218,0x0009d13f,
    0x200c4310,0x20310018,0x7f4000fb,0x10000000,0x7cb6c003,0x298a60a6,
    0x260a6298,0x401aa882,0x54401aa8,0x0d54401a,0x4c06aa20,0x6cc02982,
    0x2aaa203f,0x40555302,0x47dc2aa9,0x4406c8f9,0x54c401a9,0x00d4c401,
    0x3ee06a62,0x5400aa88,0x02aa983f,0xa980aaa6,0x36aa602a,0x207dc316,
    0xf903ee7c,0x71f207dc,0x703dffff,0x703dffff,0x703dffff,0x703dffff,
    0xb83dffff,0xf983e40f,0xfa80ffff,0x7fc1ffef,0x7fc0efff,0xfd10efff,
    0x4c03f37f,0x980efeff,0x980efeff,0x980efeff,0x2e0efeff,0x02ffff9f,
    0xffff0be6,0xffff81df,0x7fffc0ef,0x3ffa60ef,0x81f706ff,0xf903ee7c,
    0x99f207dc,0x98df30cf,0x98df30cf,0x98df30cf,0x98df30cf,0xb8df30cf,
    0x7c43e40f,0xbf09f10d,0x3ea0a808,0x8bf50545,0x7c409d09,0x9f117e24,
    0x93e22fc4,0x127c45f8,0x89ffdcbf,0x87d9986e,0x1517ea0a,0xa82a2fd4,
    0x6c3bf15f,0x03ee1f56,0x3207dcf9,0x4f903ee7,0x3a2fa86e,0x1ba2fa86,
    0xa86e8bea,0x3ea1ba2f,0x0f903ee2,0xf88fb0f9,0x00dd0004,0x803b20dd,
    0x907dc0fc,0x320fb81f,0xf907dc0f,0x5f70fb81,0x3fe61fb8,0x00dd002d,
    0x32dd00dd,0x26cb6c1f,0xf73e40fb,0x03ee7c81,0x7c427cf9,0x8fe213e3,
    0x3e3f884f,0x13e3f884,0x40fb8fe2,0xfb85e87c,0x005efec1,0x4c1baaa6,
    0xaf986eaa,0xaaed81a8,0x3b61fcaa,0x21fcaaaa,0xfcaaaaed,0x2aaabb61,
    0x981f71fc,0x200be62f,0x5306eaa9,0x2aa60dd5,0x2db0dd6e,0xf903ee2c,
    0xb9f207dc,0x3f8be40f,0x07f13f88,0x20fe27f1,0x107f13f8,0x220fe27f,
    0xf903ee3f,0x03f509f0,0xf909ffd7,0xfc8dfddd,0xce86feee,0x7f43fef9,
    0x21eeeeee,0xeeeeeefe,0x3bbbbfa1,0x3bbfa1ee,0x1f71eeee,0x07e62f98,
    0x6feeefc8,0x37f777e4,0x5bfbbbf2,0xf706d85f,0x03ee7c81,0x3207dcf9,
    0x8be613e7,0x3e2f984f,0x13e2f984,0x984f8be6,0xf903ee2f,0x03f70bf0,
    0x5f327e4c,0xb0be66d8,0x75d8fb8d,0xfb007d8f,0x6c01f600,0x540fb807,
    0x4c02a21f,0x5f336c2f,0xb0be66d8,0x41b61bad,0x99fe61f9,0xf99fe61f,
    0x0fd9fe61,0x81fb07e4,0x903f60fc,0x3207ec1f,0xf903f60f,0xff30fcc1,
    0x07d81fb0,0x223ecdd0,0xdd11f66e,0xf33e97c4,0xfc802fc8,0x802fc802,
    0x07dc02fc,0x7d8061b6,0x88fb3744,0xdd11f66e,0x40df71f6,0x47efaaef,
    0x47efaaef,0x27efaaef,0x4fc9aef9,0x7e4d77cc,0x64d77cc4,0x4d77cc4f,
    0x577cc4fc,0xaef84fc9,0xef987efa,0x5c42fc9a,0x324fc99a,0x26ffb9bf,
    0x6ffb9bfc,0x6c8ed97a,0x4cce7fc4,0x4ce7fc42,0x4e7fc429,0x67fc4299,
    0x2fee2999,0x7e42fc99,0xf737f904,0x5cdfe4df,0x26ff26ff,0x5df56ffb,
    0x7540dbf9,0x7547baff,0x7547baff,0x74c7baff,0xfd303eff,0x3fa607df,
    0xffd303ef,0x3ffa607d,0x5ffd503e,0x3ffa60f7,0xffff982f,0x77fec43f,
    0x3ff626ba,0x41f76bae,0xd881efe8,0xd885ffff,0xd885ffff,0xd885ffff,
    0x3665ffff,0xfb81efff,0x5dffb103,0x77fec4d7,0x3ff626ba,0x3fee6bae,
    0x00806b9e,0x80020010,0x08002000,0x00800200,0x00880010,0x00800988,
    0x00100010,0x00440022,0x01100088,0x02001000,0x80080040,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x44031000,0x00cc4019,0x04c40000,0x44004c40,0x59999102,
    0x00055530,0x32200c40,0x53102ccc,0x26666603,0x0000c409,0x33333300,
    0x1809804c,0x40310022,0x0a613009,0x126000a6,0x3ffa61a8,0x809f904f,
    0x0fc804fc,0xef8801f9,0x0077c400,0xccc8835c,0x7ffffc2c,0x9cffb80e,
    0x7fff441c,0x59999104,0x1dfdff30,0x7fffffc4,0x5c007dc2,0xb81c9cff,
    0x0fffffff,0xf07f309f,0x3a605f17,0x84f84fff,0xc81f72f9,0x17604407,
    0x9df8bfcc,0x7f502fc8,0x6403fa80,0x4401f90f,0x04f8804f,0x001f5544,
    0x42fd4150,0x20efea9d,0x4fb89ef8,0x449f1000,0x266fe25f,0x3bfba099,
    0x3aa7606e,0x4e7dc0ef,0x13e199fc,0x3fea0fe6,0x2617f505,0x7cc27c6e,
    0x07c81f72,0x440be374,0x7c41f75e,0x22006204,0x18800001,0xfb803100,
    0x5300efef,0x01ba0055,0x3f607dc0,0xc81a9880,0xf887dc0f,0x55fed402,
    0x24f80002,0x984f80fb,0x7c40203f,0x9f1fc423,0x03ee5f30,0x0c6e80f9,
    0x2fb8f900,0x2a055530,0x2aa00aaa,0x2aaa00aa,0x5555100a,0x73fa8355,
    0xffff0dfd,0xd55301df,0x0351298d,0x42fd88bd,0x20efeff9,0xfcaaaaed,
    0xf7005f11,0x15555001,0x07dc3f50,0x21fcc27c,0x6b80aaaa,0x4f71ffd3,
    0xf72f984f,0x37407c81,0x93e4f200,0x3fffe07f,0x3ffe20ef,0xffff101f,
    0x3fffe203,0xfffff501,0x2fa6e8bf,0xf50541fa,0x7f777e4b,0x7ffd7dc6,
    0xfe993e1e,0xf893e23f,0x3bbbbfa5,0x359f11ee,0x77e47dc0,0x0ffffc43,
    0x203ee3dc,0x223f984f,0x4d81ffff,0x43e611bd,0xf72f984f,0x37407c81,
    0x9be53a00,0xfa82a02f,0x5003f505,0x03f5003f,0x53e0fe40,0x802f89f8,
    0x6d85f36e,0x4f997fdc,0x23bee7f1,0xf703f24f,0x3e201f61,0xfb84ffff,
    0x502fdaee,0xfb8f903f,0x2613e7ff,0xd03f503f,0x1f885f17,0x2e5f309f,
    0x3a03e40f,0x653a6006,0xe8005f57,0x5003f506,0x03f5003f,0x7f10fea0,
    0x5303f9ae,0xd11f6dd5,0xb6c2fb8d,0x3e4fdbf8,0x2aaabb64,0x005f91fc,
    0x2e27ed44,0xfa82f45f,0x5fdc7c81,0x3e613e2a,0x7d03f503,0xf1f885f1,
    0x3e65f309,0xdd01fe61,0x27dfd300,0x805fd17c,0xf506eaa9,0x003f5003,
    0xbf1003f5,0xf89f53a0,0x7f777e42,0xff737f96,0x3e40fb8d,0x1fc45fff,
    0xddddddfd,0x2673fe23,0x237c4029,0xa83e40fb,0x2e1fc81f,0xf984f80f,
    0xb903f503,0x87cc6776,0x3e2f984f,0x407efaae,0x40ed806e,0x20ffa27c,
    0x06feeefc,0x3f5003f5,0xd003f500,0x3e7f601d,0x17cc1f71,0x77fec5b6,
    0x207dc6ba,0xf503fa7c,0xd8803ec3,0xd805ffff,0x1f207dc7,0x1fdc0fd4,
    0x50bf01f7,0x207ea05f,0x71df937b,0x17cc27cd,0x0f75ffd5,0x84f806e8,
    0x261fd87c,0xfa836c2f,0x801fa801,0x0fe401fa,0xf73fff30,0x37447d89,
    0x7dc3e884,0x83f73e40,0x0017e46d,0x3e2007ea,0x1f207dc5,0x2fc40fd4,
    0x90fb01f7,0x407ea01f,0x3e2f884f,0x1081fb84,0x806e807d,0xf987c86f,
    0x0dd11f62,0x3ea007ea,0x201fa801,0xff9803fa,0x9bfc83ff,0x1ee06ffb,
    0x44f903ee,0x42fd9aef,0x2999cff8,0x26a21760,0x7dc0eeb9,0x1fa83e40,
    0x7f939f90,0x556fd455,0x07ea04fd,0x7d44e7d4,0xeb99a7c5,0x201ee00f,
    0x44fb806e,0x3fb3317c,0x7fdcdfe4,0x33f2aa26,0x7e55442a,0x655442ac,
    0x77cc2acf,0xf882aaaa,0x3ff6200a,0x3ee06bae,0xf903ee1c,0x02effd88,
    0x0bffffb1,0xff5067e4,0x1f7019ff,0x32aa27c8,0xfeb82acf,0x2a0fffff,
    0xa883fffe,0x982acfca,0x4f83effd,0xa803dff7,0x2bba01cf,0xffc82aaa,
    0xdff77cad,0xaeffd885,0x3fffea6b,0x7ffd47ff,0x7fd47fff,0x7dc7ffff,
    0xb87fffff,0x20004006,0x903ee1ca,0x1100040f,0x88195100,0x207dc009,
    0x3fffea7c,0x000207ff,0x7fffd401,0x000407ff,0x40395000,0x0ffffffe,
    0x0003db98,0x00000002,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4cc00000,0x4cc12a19,
    0x00999880,0x85999910,0x44001999,0x06a25309,0x94c310c4,0x200881a8,
    0x10300881,0x2aa20601,0x004c402a,0x5bd71002,0x22026200,0x14c2cccc,
    0x310c414c,0x33100100,0x81886201,0x2201510a,0x8bb1ffff,0x20effffa,
    0x1005fffc,0x7c459999,0xf1001fff,0x3febee1d,0x4e7441ef,0x3febee3f,
    0x0dfd11ef,0x42fec4d9,0x217f626c,0x7f7fd46c,0xffffb81f,0x7406d80e,
    0x2e03fecf,0x6444ffff,0x07dc2ccc,0x273a21b6,0x80ff403f,0x83ffffea,
    0x443f9ce8,0x04fffcaf,0x8be3f733,0x6fa89df9,0x0017a662,0x01fb9980,
    0x7fdc4f88,0xfd109f32,0xf32ffb87,0x3ea0fb89,0xf51772e1,0x2a2ee5c3,
    0x2022fc1f,0x1ca9adfc,0x8be606e8,0x359f705f,0x1f700013,0x7fd106d8,
    0xf305fd00,0x2035335b,0xef883fe8,0x5401f90e,0x40fc831f,0x300bd07d,
    0x3f505305,0x5f703100,0x703106d8,0x3fa6d85f,0x3609d10e,0x2ec13a25,
    0x04f889d1,0x2a2027cc,0x22aaaeea,0x7c17a2fa,0x03551006,0x206d81f7,
    0x20110018,0x0c4000fd,0x3e60ef88,0x5407ea02,0x5e82f42f,0x3e40fb80,
    0x261c4fd4,0x0fb83512,0x2a2533e4,0x1f207dc1,0xd81b27f3,0x25d81b25,
    0x17bfb06c,0xfa801fb0,0x27ffffff,0x305f95f8,0xfff7007f,0x207dc3df,
    0x5555446d,0x555441aa,0x03f61aaa,0x40a88540,0x200983f8,0x7fd101fa,
    0x17a03fb3,0x0f903ee0,0xfb8dfbf5,0xf71efffa,0x2bee7c81,0x1f71efff,
    0x1ffd17c8,0x9aec03f3,0x7cd7601f,0x13ffae01,0x06e800bd,0xa817f7e4,
    0x867cc02f,0xb03ee6f9,0xfffffa8d,0x7fffd45f,0x0bbea5ff,0xfff95f10,
    0x4001fc49,0x7fec01fa,0x0217a01f,0x447c81f7,0xffb82efc,0x03ee9f32,
    0x997fdcf9,0x7c81f74f,0x4404e866,0xd08809d0,0x93f26009,0x0374004f,
    0x21a8bff2,0x437402fa,0xd81f72fa,0x801fc806,0x77fd41fc,0x21ddf103,
    0x007f10fc,0x7d403f50,0xbd01efde,0x1f717f44,0x3ffee7c8,0x6d85f701,
    0x2e7c81f7,0x0fbb6c2f,0x00ec83e4,0x32001d90,0x8b74000e,0xff99004f,
    0x57ec3999,0x2a2f98ff,0x4427c02f,0x7cc5f73f,0x401fd406,0x3fae03fa,
    0x3077c41e,0x000fe25f,0x27d407ea,0x997a0df3,0x903ee5ff,0x80fd5fcf,
    0xfbbe40fb,0x81f73e40,0x7c81f77c,0x40332f98,0x202a8af9,0xb88332f9,
    0x3e4fc99a,0xdffdd005,0x4cfe65dd,0x3ea1faef,0x220fe202,0xf75df73f,
    0x17e205fb,0x54017e20,0x4c1fc46f,0x50007f10,0x2e1f203f,0x7645e81f,
    0x0f903ee1,0x03ee03f5,0xf903eef9,0x5df207dc,0xa743e40f,0x29d00ffb,
    0x29d04fee,0x3fe60ffb,0x07f43fff,0x3ea0dd00,0xf51ffee1,0xf984f805,
    0x15ffdf72,0x003ba0fd,0xfc8003ba,0xf100fe20,0x03f50007,0x207ee1fa,
    0x21f9805e,0x01fa87f9,0x007c81f7,0x01f207dc,0xf88fb8dd,0x10fb80fb,
    0x223ee172,0x09880fbf,0x64009f50,0x6c3fa80f,0x2017d45f,0xb87e40fd,
    0x07f20017,0x90007f20,0x001fc41f,0x203f5000,0x6fb99dfb,0x3be00bd0,
    0xfa87efaa,0x7c81f701,0x0fb80fb8,0x4bf103e4,0x5f5bb2f8,0x17d42f88,
    0x7d6ecbe2,0x3601f702,0x81dbabef,0xd129adf9,0x3fffb57f,0x3e6017d4,
    0x2e4fc9ae,0x07f5000f,0x5ec07f50,0x444fcaaa,0x03ee003f,0xacfcaa88,
    0xcffffb82,0x2bbeaaa0,0x3ffaa01a,0xf95517ba,0x40fb8559,0xf705d87c,
    0xff707c81,0xffff2f41,0x5fe45e8f,0xffff2f41,0xd701760f,0x2e01bdff,
    0x3f627ffd,0x50ff9cff,0xffd3005f,0x800fb87d,0x2aaaaef9,0x555577cc,
    0x3bffffa2,0x2003f883,0x7ffd405d,0x02207fff,0x7ffffffc,0xff500803,
    0xfb8fffff,0x816c3e40,0xc83e40fb,0x2603ee0c,0xff03ee0f,0x4c07dcff,
    0x4005b00f,0x01002000,0x04002fa8,0xfb800ea8,0x5c7fffff,0x87ffffff,
    0x01fc4018,0x000005b0,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20018000,0x04400199,0x44006666,
    0x4c062000,0x44015512,0x801aaaaa,0x26002008,0x262029aa,0x40131001,
    0x33003100,0x0d443333,0x001101a8,0x0ccc40cc,0x44260130,0x40999999,
    0x04c40018,0x00fcc530,0x0fffffe2,0x127ff644,0x8803ffff,0x7f4c03fe,
    0x7cfdc5ff,0xefb82fff,0x7104fffe,0x0db0bffd,0x37ffff4c,0x0fffffdc,
    0x3a01df10,0x200fb81f,0x0ffffff8,0x07f30bf1,0xe9807fd1,0x3fee4fff,
    0x427c3dff,0xffff52f9,0x007c8dff,0x7c413fe2,0x8803f33f,0x41fea99b,
    0x409acff9,0x2201fb99,0xf303f9ce,0x5cdf735d,0x98dd13ff,0xc80fea3f,
    0x6e8199bf,0x36c3bf10,0x32a6b7f6,0xe809f101,0x400fb82f,0x20fdaaaa,
    0x207e40fc,0x103f9ce8,0x5cb513bf,0x22fca99f,0x312f984f,0xc8133fb3,
    0x1bbea007,0x1f99ffc4,0x743fa800,0x03f5000e,0x360310c4,0xfb8fdc0f,
    0x1f70fdc2,0x413a05f8,0xaaaeeaa8,0x26d81f92,0x0c4003fb,0x0fb80c40,
    0xf307dc00,0x21885f87,0x401f7018,0x9f3740fb,0x0f905f30,0x6c0113e4,
    0x45101fbe,0x00d4c1f9,0x00fd43f3,0x05303f50,0x109f114c,0xf303ee9f,
    0x9f10fdc5,0x7d40be60,0xd7ffffff,0x037cdb0d,0x202a2150,0xfb80aaaa,
    0xfb801a88,0x05f53740,0x64015555,0x3a07dc07,0x0be613e6,0xc8fc81f2,
    0xf17f102f,0xa87e6009,0x91b6205f,0xa802aa6f,0x3207b81f,0xaf40be67,
    0x117cc0fb,0x01fd55df,0x1ba00be6,0xf8b6c2fc,0xf95f1003,0x7ffc49ff,
    0xffafb81f,0x03ee00ef,0x221f63f7,0x3201ffff,0xf707dc07,0x17cc27c5,
    0xdff903e4,0x6e8fd405,0x3ea3f300,0x81dfff05,0x2ffefffd,0x1f503f50,
    0x01fa9b60,0xf703eedd,0x6f76fd43,0x7ffffcc0,0x06e83fff,0x3e6db0bd,
    0x887bbb22,0x01f90eef,0x5ff703f5,0x0fb80fe6,0x027c67c4,0x3b2207ea,
    0x7dc4cccf,0x7fc3ffff,0x82ffffff,0x2ffc887c,0x07ee6d80,0x17e67e60,
    0x21fecaa8,0x03f622fe,0x47e607ea,0x1fa9767b,0xd03eedd0,0xa8806d8f,
    0x0aaacfca,0xb8fb06e8,0x6545f56f,0x83be22fd,0x81fa82f9,0x7036c2fb,
    0x3f7fb01f,0xc881fa80,0x5c4cccfe,0x24fdbabf,0xfbaaaaef,0xeec87c82,
    0x264f8807,0xf30ca83f,0x6e800bf9,0x20be61b6,0xd2f881fa,0x2f993a3f,
    0x26feebf0,0x6fe42fea,0xf300accc,0x2a0dd005,0x36efc9df,0x445f307f,
    0xfa80983f,0x3e40fb81,0xff301f70,0x403f500d,0x207dc07c,0xf309f1fc,
    0x3210f905,0x99bfa807,0xa7fc46f9,0x4005fcf9,0x3e61f27c,0x7f01fa82,
    0x88be9bf1,0xf73f984f,0xf103dfff,0x01fffddd,0x0dd005f3,0x364f7fdc,
    0x445f30df,0x07ea003f,0x40f903ee,0x05fd00fc,0x3e403f50,0x5f503ee0,
    0x20be613e,0x201f207c,0xfffffffd,0x9f997f41,0x9ba004fa,0x40fdc1fb,
    0xb79d01fa,0xfd83f1f5,0x0fb87ec0,0x4fa86e80,0xfc802f98,0x64db0400,
    0xf117cc2f,0x40fd4007,0xd03e40fb,0xa803740f,0x701f201f,0x9f0fd81f,
    0x0f905f30,0x37e203e4,0x83fbaaaa,0x27dc7e60,0x3fae66a6,0x7dcd77c1,
    0x3603f505,0x0fcf8aed,0x7ed5f7cc,0x3e003ee3,0xf983f985,0x9adf9802,
    0xfd136c02,0x445f955b,0x07ea003f,0x26f903ee,0x903fdbbd,0x07ea005f,
    0x55557ed4,0xd757f70a,0x7cc27c9f,0x55fb5512,0xaaaafc85,0x37407ea2,
    0x3fc87e60,0x077fffee,0x10ffff62,0x8559f955,0x0ffb0ffb,0x70bbffa6,
    0x7bfb001f,0xf301df95,0x3ff6e005,0x76436c07,0x3e21dfff,0x7e554403,
    0x903ee2ac,0x0ffffa2f,0x8809fd93,0x22acfcaa,0xfffffff8,0xbdfff71f,
    0x2f984f85,0xdffffff5,0xffffffc8,0x07e40fb0,0x2fd83f30,0x00800262,
    0xfffffff5,0x1bea5fa8,0x00754020,0x03deedb8,0x01000be6,0x01881720,
    0xffa807f1,0x3ee7ffff,0xa8043e40,0xffa802de,0x0007ffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x10000000,0x98818813,0x33300110,0x02601333,
    0x884c40cc,0x06661301,0x26601880,0x20999999,0x99999999,0x81555440,
    0x26602608,0x20999999,0x19988009,0x44000620,0x51019999,0x06662155,
    0x99999988,0x00c40c41,0x99998066,0x80774099,0x107e46fe,0x101ba1dd,
    0x8bffffff,0x3ff03fea,0x87fd3fe8,0xfffff2f8,0xffff703b,0xfffff985,
    0xfff34fff,0x549fffff,0xd81ffeff,0xddf107e4,0x269ddddd,0xfffb803f,
    0x007dc3ff,0x3ffffec0,0xaaffffe4,0x743fffff,0x1fffffff,0x203ee1f6,
    0x443ffffa,0x25ffffff,0xefb83ff8,0x3fb07e46,0x33e20374,0xfd309999,
    0x93fe07fd,0x8ffd3ff9,0x753bf2f8,0x4dfd45fd,0x4ccc1fe9,0x260999fd,
    0x0999fd99,0x4fa0117e,0x99a441f8,0x01fcd260,0x7edccfdc,0x026afee5,
    0x267fbe20,0x1885fe41,0x5fd735f5,0x6d555554,0x333fb10f,0xcfa85f93,
    0x3e22fc88,0x6409999d,0x36dfc44f,0x217dc3f2,0x01fc406e,0x107f35d7,
    0x9fee4fbf,0x4be23fde,0x020fe84f,0x03e409f3,0x09f107c8,0x207ccbe0,
    0x267d9748,0xf7007f34,0xff70fd81,0x5c01bfff,0x09f107ce,0x0bf10fd4,
    0x7ffecbd0,0x20ffffff,0x3e26e86e,0x6c2fa804,0x98fc8db6,0x4406e83f,
    0x07f3003f,0x2be3f5f1,0x44db9d4e,0x7f509f2f,0xf9027c40,0xfd81f200,
    0x7ffc40bd,0x227fffff,0x9a4cfc44,0x40fb803f,0x221f72fa,0x32fa06fb,
    0x5403f507,0x2a02fc1f,0x267f621f,0x27c2fc99,0x04f887dc,0x3f51baa2,
    0x9f3f91b6,0x7f101ba0,0x220fe600,0x9d7acd9f,0x7c4be73a,0x09f109f2,
    0x0f901fcc,0xfd701f20,0x9afa989f,0x212219ec,0x07f349ae,0x7e40fb81,
    0x1fc81f71,0x707c8fa8,0x70fd403f,0xd85e807f,0x2fc0fb87,0x04f88fdc,
    0x4f8833f6,0x0ddf91b6,0x3fe20374,0xf984ffff,0xdfa9f983,0xb753a9d4,
    0x3e09f2f8,0xc803f605,0x3ffba207,0x3f2602ee,0x10b93cc4,0xa4c76549,
    0x87fd43f9,0xb9be60fb,0x6c17d40f,0x4cdfff95,0x3bbea03f,0x0fd404fe,
    0x766667ec,0xb317e40f,0x3bbfe23f,0x1b2012ee,0x2fcfc8db,0xdf880dd0,
    0xf981aaaa,0x3ff0f983,0xafaa757a,0x3e09f2f8,0xc805f905,0x67f66407,
    0x546e802c,0x45221727,0x1fcd262f,0x77dcbff2,0x3ee0effe,0x3e20fe40,
    0xf8555f92,0x3f37ea06,0xfb06e805,0x81fddddd,0xfeffffd8,0x9999df10,
    0x4cdfd403,0x1f919ee9,0x80dd03fb,0x7f3003f8,0xd9b21f50,0x7c6f49d5,
    0x09f109f2,0x0f9007f9,0x55c41f20,0xd953fc99,0x459dd99f,0x3498b148,
    0x2e5e987f,0xfb82bccf,0x9f217ea0,0x2fbee07c,0x2a3f53b9,0x40bea03f,
    0x100fb87d,0x7c4f7135,0xfc86dc04,0x7fffffff,0x81df11f9,0x01fc406e,
    0x0fa83f98,0xfb93abb0,0xf709f2fa,0x9003fc85,0x4c1f200f,0x2a3fffff,
    0xcdfcceec,0xa4c09222,0x0fb803f9,0x7ff77dc0,0xfffff80e,0x7fff4c07,
    0x07ec3f53,0x21f606e8,0x4bd000fb,0x3fe604f8,0xd5555534,0x4c3f255f,
    0x2203745f,0x07f3003f,0x75b601f5,0x4f97f7c4,0x0ff237cc,0xf9007c80,
    0x3607d880,0x55220be4,0x1fcd260f,0x2e007dc0,0xf502bccf,0x500fb557,
    0x261fa83f,0x202fa83f,0x800fb87d,0x813e20fc,0x36c03ff8,0x23fb83f2,
    0x22aaaaee,0x1aaaadf8,0x99dfb993,0xb6c03ee1,0xf97fdc4e,0x20efdbad,
    0xcccccefb,0x3200f901,0x3a04e807,0x192207e4,0xaadf9a4c,0x007dc2aa,
    0x1b6003ee,0x320555f9,0x7f41fa86,0x1f603740,0x975103ee,0x04f885ff,
    0x236c00c4,0xe8fec0fc,0x10ffffff,0x2bffffff,0xfffffffa,0xeb640f71,
    0xff97fc44,0x7e40bdff,0x02ffffff,0x01f200f9,0xf13e80b6,0xddddf103,
    0x3fe69ddd,0x7dc5ffff,0x2007dc00,0x7ffe42f8,0x3f507907,0x0fea3fa8,
    0x81f70fb0,0x880bdefa,0x0000004f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x66440000,0x099882cc,
    0x26666620,0x98806619,0x82601310,0x09862018,0x99882620,0x44026200,
    0x0cc05301,0x02000038,0x22055544,0x554401a9,0x54c2a601,0x45555100,
    0x2a229829,0x2601530a,0x3014c2aa,0x55555445,0x804cc41a,0xd82cccc8,
    0x6c1dffff,0x1fffffff,0x43f605f9,0x23fa86f8,0xfd9ee07b,0x7ec3f700,
    0x7c41dfff,0xf904f885,0x3ee07f40,0x50003762,0xffffc83f,0x3bfbfe65,
    0xeffffb80,0x7cf7fe41,0x77fd41ff,0xc81f71ff,0xf9ffff37,0xffff83fd,
    0x640f70ef,0x3ffffea7,0x3fffe65f,0x27f60001,0x2aa3feba,0x10ffaaaa,
    0xb87f30df,0xf71ba22f,0x05f53dc0,0x753fb1ba,0x42fb87fd,0x40f900fd,
    0x4fdfedf9,0xc80077cc,0x885fe44f,0x2fc49f11,0x37cc33e6,0x6d3fa5f1,
    0xfb822fc5,0xd118be40,0x4151765f,0x201f55fa,0x10fe406d,0x55542f41,
    0xfd0fb00a,0x2e17dc01,0xfe83742f,0x0fa83f90,0x42fc4d90,0x743ec3f8,
    0x5f33740f,0x3f203e40,0xe880ffcd,0x217ec01f,0x03f204f8,0x543741f7,
    0x97e4f72f,0xb813e27b,0x7c83e40f,0x4dba01ee,0x02ecf71f,0xd95107f5,
    0x1ffff88b,0x07f50fb0,0x537417e2,0x273e605f,0x900fa84f,0x7dc0fd8b,
    0x1fd43ec0,0x74374fea,0x2eeefeee,0x407f52fc,0x1fe883fd,0x3b601fa8,
    0x21fcaaaa,0xf73f884f,0x23e55fdc,0x7dc0bdfd,0x36aa3e40,0x5307caaf,
    0x74be2dd5,0x3e209d1f,0x5eabf985,0x3ec07ea0,0x0fd827c4,0x01ba7f50,
    0xf301ddf9,0x545d9ee3,0x3ec3742f,0x5fec27c4,0xfeccc81f,0x0fe61ccc,
    0x24fc809f,0x3f700ef9,0x77777f40,0x107f11ee,0xefb9b27f,0x7f5c0eee,
    0xf903ee4f,0x3bfbbfa2,0x777e46ee,0x3e2fe6fe,0x3ba05f4d,0x0bd16c80,
    0x7ffc0fd4,0x7dc2fc7f,0x0fdff402,0x4c0bfe20,0x1363fd1f,0x21fc4bf1,
    0x2fc7ffff,0x64027fc4,0x9f13e607,0x3a23fc80,0x407f501f,0x309f007d,
    0x1fc9ee5f,0x2e9f9300,0x0fbbe40f,0x0be601f7,0x56de74db,0x1fc81f8f,
    0x0bbdff30,0x7f540fd4,0x3e22fc2a,0x05ff9805,0xf105ff98,0x13a9df15,
    0x540fb9f6,0x32fc2afe,0x0557fd55,0x43be03e4,0x5fb102fb,0xf105fb10,
    0x4017e40d,0xb87e40fd,0x8007fb0f,0x7cc3f36e,0x80fe4d97,0xbb37447d,
    0x81f9f15d,0x111803fa,0x7d80fd40,0x07ec4f88,0xe800fd80,0x75f02fce,
    0x2a0faf7b,0x1f60db2f,0xfffb93e2,0x1f206fff,0x1ffdffb0,0xc803dd30,
    0x9befc83f,0x339ff13b,0x9aef9853,0x2f3e24fc,0x2229bfef,0x24fc99ab,
    0x57efaaef,0x35dfd73f,0x7dcdfe45,0x6c3fee6f,0x5577cc7f,0x3332e2aa,
    0x03f501cc,0xb8bee1f6,0x01f2002f,0xf8374bee,0x3eaf8beb,0x03f8cf88,
    0x205f70fb,0x4031007c,0x6fbcccfa,0xb80077d4,0xfffeb85f,0x3ffff623,
    0x3effe985,0xfe8bffb8,0x3fffe65f,0x57ff543f,0x31dfb17b,0x7ec49ffd,
    0x3ea6baef,0xff71bea5,0x65cfffff,0xf501cccc,0xdf31f603,0x32002fc4,
    0xf52fcc07,0x3a1f9f09,0xf7fb02fd,0xdf31f601,0xccfecc98,0x55555543,
    0x2a17a0aa,0x2001762f,0x100201ea,0x02002001,0x00262011,0x00880801,
    0x00000002,0x3f2aa200,0x5d7ec2ac,0x37f61efc,0x901ccccc,0x6c0fe80f,
    0xf737f41f,0x1bfea05f,0xefcbafd8,0x67f664c1,0x7fffec3c,0x40221fff,
    0x00000001,0x00000000,0x00000000,0x00000000,0xfffff500,0xefffd8ff,
    0x7ffffc0b,0x0f902fff,0x37c41fdc,0x1ff88ff6,0x6c07ff10,0x400befff,
    0x0000007c,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x10254000,0x30062013,0x23880880,0x2a8aa048,
    0x50910310,0x04402205,0x55554c11,0x377722aa,0x00005ddd,0x20110222,
    0x510551ed,0x40a88543,0x50d4c0a8,0xb9001555,0x06a25301,0x4ca20110,
    0x206202a2,0x203501a8,0xdfff307c,0x03bffa61,0x35403fd7,0x83f89fc4,
    0x889f14f8,0x3e62fffd,0x7f413ea5,0x4ff2fb81,0xfffffffd,0xd9999990,
    0x3f21f90f,0x703be200,0x94ffa87f,0xf10fd87f,0x4c9fff95,0xf897ea1f,
    0xff801fff,0xfffafb82,0x7f77441e,0x5ffd7c43,0x3ff61ffd,0x2617e22f,
    0x220f903f,0x26e27f30,0x3f7f64fa,0x8a6b5281,0xd83f71fb,0x27b21b66,
    0x37ea0fc8,0xbbd504fa,0x01fa5f70,0xfc87b800,0x3a201f90,0xf88fe604,
    0x7dc3fa2f,0x643bbe22,0x3ea3f30f,0x2007ea05,0x25ff7039,0x2afe24f9,
    0x3be23d8a,0x327f5ec8,0x320fd89f,0xc807e40f,0x07ee6207,0xfa8993e2,
    0x5ed6f4c1,0x4dd36c4f,0xf03f71fa,0x3ea17c47,0x3e2ba04f,0x26e8fd42,
    0x08888888,0x80007b80,0x08088008,0x227c6fc4,0x4be60ef8,0x405f99f9,
    0x5c0001fa,0x57b36c2f,0x221f1b7b,0x53a3f74f,0xf98be64e,0xddd127c3,
    0x547dddff,0x1fd81eff,0xff501fa8,0x2f4db019,0x207ea5f5,0xf50be64f,
    0xfb9ae0bf,0xb36c7ea0,0x1fffffff,0x00002980,0xff500000,0x1307f10d,
    0x2017f3e6,0xeee881fa,0xf73eeeee,0x2a3a7c81,0x3e25b4bd,0x5ea74f72,
    0x54dd07e6,0x3b33221f,0xe882cccf,0x5407fa26,0xeeed981f,0x0fb87dc3,
    0xf90db36c,0xcfa8dd57,0x20fc45fa,0x2198624e,0x19999999,0x00000000,
    0x83fe8000,0x67cc03f8,0x81fa805f,0xccccccc8,0x7c81f72c,0x6c7b6a3a,
    0xe9ee5f12,0x03f23f94,0x901b63f7,0x56f9820f,0x4c4335df,0x2be61afb,
    0x7f35d8d9,0x53e20fe2,0xdfec84f8,0x5fa93e60,0x0036a12e,0x66644000,
    0x313fa62c,0x2eeeeee5,0xdd51bbbb,0xefc80bdd,0x201fc40f,0x404fa9f9,
    0x5c0001fa,0x57b3e40f,0x221f1d39,0x8a74f72f,0xf881fffe,0x3e403f8c,
    0xb1efffb8,0x2e1fffff,0x420fffff,0x711c426a,0x00331540,0x002a8388,
    0xc8800000,0x33be3ccc,0x3babb0df,0xeeeeeeee,0x0bbbbb52,0x237c5fd4,
    0x8fcc03f8,0x07ea04fb,0x07dc12a0,0x71ae89f2,0x7b97c49b,0xd803313a,
    0x3e400fbf,0x4c419988,0x26621999,0x00b50199,0x00000000,0x00000000,
    0x3e63f300,0x00002fee,0x3ea5f980,0xf300fe25,0x5511fe43,0x7c0559f9,
    0x640fb82f,0x1fef74c7,0x9d3dcbe2,0x0733332e,0x26017fea,0x00000002,
    0x00000000,0x00000000,0x83100000,0x00002dc8,0x640fe880,0x9807f13f,
    0xfa97ec1f,0x207fffff,0x40fb80db,0x2203107c,0xba74f72f,0xf01ccccc,
    0x0000005f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__consolas_19_latin_ext_x[560]={ 0,3,2,0,1,0,0,4,2,2,1,0,2,2,
3,1,0,1,1,1,0,1,1,1,1,0,3,2,1,1,1,2,0,0,1,0,1,1,1,0,1,1,1,1,
2,0,1,0,1,0,1,1,0,1,0,0,0,0,1,3,1,2,1,0,0,1,1,1,1,1,0,0,1,1,
1,1,1,0,1,0,1,1,1,1,0,1,0,0,0,0,1,1,4,2,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,1,0,0,0,
4,1,0,0,2,1,1,2,0,0,1,0,2,2,0,1,1,3,4,2,2,1,0,0,0,1,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,-1,-1,0,0,0,0,0,0,0,0,1,1,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,1,1,0,0,0,1,1,1,0,0,2,
1,-3,-2,1,1,0,1,0,0,1,1,0,0,0,1,1,0,0,0,0,0,0,0,0,-1,0,1,1,-1,0,
0,0,0,0,1,1,0,0,0,0,0,-2,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,0,0,
0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,-1,0,-1,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0, };
static signed short stb__consolas_19_latin_ext_y[560]={ 14,0,0,1,0,0,1,0,0,0,0,4,11,8,
11,0,1,1,1,1,1,1,1,1,1,1,4,4,3,6,3,0,0,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,1,16,0,4,0,4,0,4,0,4,0,0,
0,0,0,4,4,4,4,4,4,4,1,4,4,4,4,4,4,0,-2,0,7,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,14,4,0,1,2,1,
-2,0,0,1,1,5,8,8,0,1,0,2,0,0,0,4,0,7,14,0,1,5,0,0,0,4,-2,-2,-2,-2,
-2,-3,1,1,-2,-2,-2,-2,-2,-2,-2,-2,1,-2,-2,-2,-2,-2,-2,5,-1,-2,-2,-2,-2,-2,1,0,0,0,
0,0,0,0,4,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,2,0,0,0,0,0,0,0,
-1,1,-2,0,1,4,-2,0,-2,0,-2,0,-2,0,-2,0,1,0,-1,1,-2,0,-2,0,1,4,-2,0,-2,0,
-2,0,-2,0,1,0,-2,-2,1,0,-2,0,-1,1,-2,0,1,0,-2,4,1,0,-2,0,1,0,4,-2,-2,1,
0,0,0,1,0,1,0,-2,0,1,4,-2,0,-1,1,4,-1,1,-2,0,-2,0,1,4,-2,0,1,4,-2,0,
-2,0,-2,0,1,4,-2,0,1,1,-2,0,1,1,-2,0,-1,1,-2,0,-3,0,-2,0,1,4,-2,0,-2,0,
-2,-2,0,-2,0,-2,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,-5,-3,-2,0,-2,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,4,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static unsigned short stb__consolas_19_latin_ext_w[560]={ 0,4,7,11,9,11,11,3,7,6,8,10,5,6,
4,8,10,9,9,9,10,9,9,9,9,10,4,5,8,9,9,7,11,11,9,10,9,8,8,10,9,8,8,9,
8,10,9,10,9,11,9,9,10,9,11,11,11,11,9,5,9,6,9,11,7,8,9,8,8,9,10,10,8,9,
8,9,9,10,8,10,9,8,9,8,9,8,10,11,10,10,9,8,2,7,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,0,3,8,10,10,10,
2,9,9,11,7,9,9,6,10,8,8,10,7,6,9,9,9,4,3,7,7,9,11,11,11,7,11,11,11,11,
11,11,12,10,9,9,9,9,9,9,9,9,10,10,10,10,10,10,10,9,10,10,10,10,10,11,9,9,9,9,
9,9,9,9,11,8,10,10,10,10,10,10,10,10,10,9,10,10,10,10,10,10,10,9,9,9,9,10,9,10,
11,9,11,9,11,9,10,10,10,9,10,9,10,9,11,13,10,11,9,10,9,10,9,10,9,9,9,10,10,10,
10,10,10,10,10,10,10,9,11,9,9,10,9,10,9,10,9,9,9,9,9,10,9,9,9,9,9,10,10,8,
9,13,13,10,11,10,9,10,9,9,8,10,9,10,9,8,10,10,10,10,11,11,11,11,11,10,9,9,11,10,
10,9,10,9,9,8,10,9,10,9,10,12,10,9,10,9,10,9,10,9,10,9,11,11,9,9,11,11,11,10,
11,10,10,10,10,10,10,8,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,11,9,12,11,11,11,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,9,8,10,9,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10, };
static unsigned short stb__consolas_19_latin_ext_h[560]={ 0,15,6,13,17,15,14,6,18,18,9,10,7,2,
4,16,14,13,13,14,13,14,14,13,14,13,11,14,12,6,12,15,18,13,13,14,13,13,13,14,13,13,14,13,
13,13,13,14,13,17,13,14,13,14,13,13,13,13,13,18,16,18,7,2,5,11,15,11,15,11,14,14,14,14,
18,14,14,10,10,11,14,14,10,11,14,11,10,10,10,14,10,18,20,18,4,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,0,14,17,13,12,13,
20,17,5,14,10,8,5,2,10,4,8,12,9,9,5,14,17,4,3,9,10,8,14,14,14,14,16,16,16,16,
16,17,13,16,16,16,16,16,16,16,16,16,13,16,17,17,17,17,17,8,17,17,17,17,17,16,13,15,15,15,
15,15,15,15,11,13,15,15,15,15,14,14,14,14,15,14,15,15,15,15,15,10,14,15,15,15,15,18,18,18,
15,14,16,15,17,14,17,15,17,15,17,15,17,15,16,15,13,15,15,14,16,15,16,15,17,14,16,15,17,18,
17,18,17,18,17,18,16,16,13,14,16,14,15,13,16,14,17,18,16,10,14,18,17,18,17,18,10,16,16,17,
18,14,14,13,14,13,14,16,14,17,14,16,14,15,17,14,16,14,17,15,17,15,14,11,16,14,17,14,16,14,
17,15,17,15,16,13,17,15,17,17,16,15,13,14,17,15,16,14,17,15,18,15,17,15,17,14,16,14,16,18,
16,16,14,16,14,16,14,14,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,17,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,19,18,16,15,18,16,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,17,14,17,17,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13, };
static unsigned short stb__consolas_19_latin_ext_s[560]={ 19,250,195,122,30,139,161,252,81,89,137,
103,250,245,251,42,106,40,81,11,1,138,21,208,15,230,250,249,135,203,125,
205,128,238,198,140,71,31,241,115,208,218,156,12,22,50,61,53,156,46,198,
225,91,181,69,57,45,33,23,182,122,249,185,233,243,216,195,144,243,153,85,
74,147,137,198,1,31,73,53,163,64,106,12,186,96,195,92,225,1,165,237,
229,1,73,222,134,134,134,134,134,134,134,134,134,134,134,134,134,134,134,134,
134,134,134,134,134,134,134,134,134,134,134,134,134,134,134,134,134,19,252,11,
187,114,92,4,40,223,202,247,156,213,245,62,213,166,103,121,114,233,193,101,
250,252,129,84,146,119,107,95,248,47,71,24,118,182,116,176,224,1,164,174,
246,141,151,194,214,12,235,160,171,153,95,164,175,50,175,80,12,1,51,166,
1,11,233,129,223,213,119,204,189,184,173,162,151,21,43,176,32,98,96,75,
64,53,42,31,42,65,1,242,232,222,238,188,218,177,76,215,145,197,86,73,
101,138,80,203,58,149,38,227,24,81,1,239,117,205,155,184,166,132,128,143,
13,235,41,230,62,214,96,192,107,31,21,218,148,246,158,48,1,204,191,225,
118,161,32,214,140,106,151,182,172,22,194,98,241,31,234,1,145,25,227,47,
13,57,20,67,95,76,90,128,86,36,182,84,112,61,123,169,174,1,126,1,
246,74,235,209,135,186,109,11,113,142,189,121,111,153,199,102,151,58,212,132,
37,69,11,207,21,34,86,91,224,59,41,83,161,106,130,54,171,214,63,203,
173,134,134,134,134,134,134,134,134,134,134,134,134,134,134,134,134,134,134,23,
134,134,134,134,134,134,134,134,134,134,134,134,134,134,134,134,134,134,134,134,
134,134,134,134,134,134,134,134,134,134,134,134,134,134,134,134,134,134,134,134,
134,134,134,134,134,134,134,134,134,134,134,134,134,134,134,134,134,134,134,134,
134,134,134,134,134,134,134,134,134,134,134,134,134,134,134,134,134,134,134,134,
134,134,134,134,134,134,134,134,134,134,134,134,134,134,134,134,134,134,134,134,
134,134,134,7,52,109,68,19,86,134,134,134,134,134,134,134,134,134,134,134,
134,134,134,134,134,134,134,134,134,134,134,134,134,220,131,121,111,134,134,134,
134,134,134,134,134,134,134,134,134,134,134,134,134,134,134,134,134,134,134,134,
134,134,134,134,134,134,134,134,134,134,134,134,134,134,134,134,134,134,134,134,
134,134,134,134,134,134,134,134,134, };
static unsigned short stb__consolas_19_latin_ext_t[560]={ 20,22,197,170,40,108,140,107,1,1,197,
197,170,203,197,75,124,170,170,155,170,124,155,170,140,170,155,75,184,197,184,
108,1,155,155,140,170,170,170,155,155,155,155,170,170,170,170,155,170,22,170,
140,170,124,184,184,184,184,184,1,75,1,197,203,197,184,108,184,108,184,155,
155,155,155,1,155,155,198,198,184,155,155,198,184,155,184,198,184,198,155,184,
1,1,1,203,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,20,92,40,
155,184,184,1,40,197,124,184,197,197,203,198,203,197,184,197,197,197,140,22,
178,114,197,198,197,140,140,140,124,58,58,58,58,58,40,170,58,75,75,75,
40,58,58,58,58,184,58,40,40,22,40,22,197,40,22,22,22,22,75,170,
124,124,108,108,108,108,108,184,170,108,108,108,108,124,124,155,124,108,124,108,
108,108,108,108,198,124,108,92,92,92,1,1,1,92,124,75,92,22,124,40,
92,40,92,40,92,40,92,75,92,184,92,75,124,75,92,75,92,22,124,75,
92,40,1,22,1,40,1,40,1,75,75,170,124,57,124,92,184,58,124,40,
1,58,198,124,1,40,1,40,1,198,75,75,22,1,124,140,170,140,155,140,
58,140,40,140,58,140,92,40,140,58,140,40,92,40,92,124,184,58,155,40,
140,75,140,22,92,22,108,75,170,22,92,22,22,75,92,170,140,22,92,75,
140,22,108,1,108,22,108,22,124,58,155,58,1,58,58,124,58,140,75,140,
140,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,22,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,1,1,75,92,1,75,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,22,140,22,22,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170, };
static unsigned short stb__consolas_19_latin_ext_a[560]={ 167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_19_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_19_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_19_latin_ext(stb_fontchar font[STB_FONT_consolas_19_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_19_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_19_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_19_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_19_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_19_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_19_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_19_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_19_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_19_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_19_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_19_latin_ext_s[i] + stb__consolas_19_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_19_latin_ext_t[i] + stb__consolas_19_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_19_latin_ext_x[i];
            font[i].y0 = stb__consolas_19_latin_ext_y[i];
            font[i].x1 = stb__consolas_19_latin_ext_x[i] + stb__consolas_19_latin_ext_w[i];
            font[i].y1 = stb__consolas_19_latin_ext_y[i] + stb__consolas_19_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_19_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_19_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_19_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_19_latin_ext_s[i] + stb__consolas_19_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_19_latin_ext_t[i] + stb__consolas_19_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_19_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_19_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_19_latin_ext_x[i] + stb__consolas_19_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_19_latin_ext_y[i] + stb__consolas_19_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_19_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_19_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_19_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_19_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_19_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_19_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_19_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_19_latin_ext_LINE_SPACING
#endif

