// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_23_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_23_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_23_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_consolas_23_latin_ext_BITMAP_HEIGHT        294
#define STB_FONT_consolas_23_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_23_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_23_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_23_latin_ext_LINE_SPACING          15

static unsigned int stb__consolas_23_latin_ext_pixels[]={
    0x442a6153,0x65c00009,0x9988e003,0x01880099,0x0001bd50,0x06202980,
    0x01333330,0x40000000,0xd9000deb,0x01f6c01b,0x99007db0,0x764016c4,
    0xd30bf502,0x21f6c01d,0x7e4004e8,0x3fea3f91,0x4fd8001e,0x7ecfee00,
    0x3ee05fff,0x0dfa807f,0xd00bf600,0x8807f40b,0xb02fffff,0x3b22005f,
    0x3ee002df,0x1bf9000d,0x01fefec0,0x301fefec,0x01fee1ff,0x3f60bff1,
    0x817fe41f,0x3e63fdfd,0xc8fe4005,0x1ffb711f,0x6d975c00,0xaa877d40,
    0xff705fba,0x01a88059,0x302ffcc0,0x82fd407f,0x80aaaef8,0xf9806ff8,
    0x804fdbbe,0x326003e9,0xeb8ee402,0x75c77202,0x2d88f202,0xf702fd80,
    0x80ffa81d,0x265d71dc,0x8fe4005f,0x03fc81fc,0xf8813e00,0x20bf101f,
    0xffb801fe,0x17f4001f,0xfc803d70,0xb005f884,0x0df8805f,0x000017dc,
    0x0000fb62,0x00000000,0x00100400,0x2002fcc0,0x303f91fc,0x76dc009f,
    0x0ff602fe,0x0df05f88,0x0026cbe0,0x3fa00000,0x0002fc42,0x2f403ba0,
    0x00988066,0x8807f5bd,0x209999aa,0x98262019,0x44026201,0x209999aa,
    0x33013009,0x26133333,0xc806a65f,0xf103f91f,0xdffd1009,0x17ea0bff,
    0x1be0bf10,0x01fd6f40,0x13333333,0x2666aa20,0x447f9809,0x2666205f,
    0x80bea009,0x407fe0fc,0x323f03fc,0xffffb105,0x0ffcbfff,0x07fe3fc8,
    0x3f621fe4,0x35ffffff,0xf0df10bf,0x27ffffff,0xfffe9df9,0x3f23f905,
    0xe804f881,0x09fff0cf,0x5f8805fb,0x32200df0,0x7fffc03d,0x7ec43fff,
    0x05ffffff,0x02fc43fb,0x409ffffb,0x4cc4cc6d,0x7c13f21f,0x5f7db00f,
    0x7d433f20,0x413f21bf,0x413f20ff,0x867e40ff,0xbf31bffa,0x5550df10,
    0x3e67fb55,0x4feaaefe,0x03f91fc8,0x5fb80bf1,0x887fefe6,0x2fc400ff,
    0x991005f8,0xaaaaa807,0x867e43fd,0xf701bffa,0x5302fc47,0x3e209f95,
    0x37fffd13,0x4c3fc45f,0x0f72205f,0x17e437c4,0x17e61fe2,0x8bf30ff1,
    0x22fc86f8,0x06f885f9,0x3fe67f70,0x3207fc45,0x3a03f91f,0xf70ff406,
    0x37d47f71,0x7cc2fc40,0x1fff5003,0x223fb800,0x202fc86f,0x017e25f9,
    0x1fa827d4,0xf15f93fd,0x7e42fd85,0x15553102,0x7f70bf30,0x2fc85fb0,
    0x17e42fd8,0x8fee17e6,0x06f885f9,0x1be67f70,0x47ae0fec,0x5bf701fc,
    0x35e8ff01,0x402fdc9f,0x3faa65f8,0x7fbfb000,0x263fb800,0x203fb85f,
    0x017e27f8,0x37c827d4,0x3e27ee7f,0x1fe2fd43,0x7fffffdc,0x3607fc44,
    0x7c5fa82f,0x7f8bf507,0x7ec0ff88,0x3e217e62,0x267f7006,0x805f905f,
    0x3fe601fc,0x7f137c46,0x03fc9be6,0xdff15f88,0x27be2001,0x1fdc005f,
    0x2fd81ff1,0x5f887f40,0x3609f500,0x45f63f96,0xf50ff82f,0x266b6e09,
    0x6fe42ffc,0x3e06fc99,0x7c09f50f,0x3209f50f,0x46fc99df,0x06f885f9,
    0x17e67f70,0x3f2017e4,0x855bf501,0x447ea5f9,0x200fee7f,0xdf7515f8,
    0x3e7f5001,0x0fee000f,0xdf933bf9,0x3e23fd00,0x209f5005,0x9b74fb6d,
    0xfb3fc81f,0x44fb8003,0x0dfffffd,0x0fecff20,0x07f67f90,0x6fffffec,
    0x7c42fcc0,0x267f7006,0x803fb05f,0x40dd01fc,0xf89b66f9,0x22017e66,
    0x803f985f,0x005fb1fd,0x3ff61fdc,0xf800dfff,0x200bf10f,0x3abd04fa,
    0x407d57e7,0x006f8ef8,0x4fe65f98,0xef880099,0x77c406f8,0x27f306f8,
    0x0bf30099,0x3ee00df1,0x1fe0bf33,0x3e207f20,0x4f9be205,0x07f897e6,
    0x0bf05f88,0x17ea6f88,0x3e63fb80,0x26001333,0x4017e27f,0x36bd04fa,
    0x81b29f37,0xa803fdfd,0x2e5fcccb,0xfd8000df,0xdfd803fd,0x01bf703f,
    0xdf10bf30,0x7ccfee00,0xeb84fc85,0x9f103f91,0x43f57e80,0x007f44fb,
    0x037c17e2,0x0ff893ea,0x7dc7f700,0x5fb8000d,0x7d4017e2,0x2beedb04,
    0x203f9efe,0x2a00fffa,0x5feeefff,0x3bffffe2,0x3fea00ce,0xfffa800f,
    0xfffff100,0x2fcc19dd,0xfb8037c4,0xb77bff33,0x647f20df,0x404f881f,
    0x7f47cbfd,0x22017e41,0xd80df05f,0x8017ec1f,0x3ffe23fb,0x200ceeff,
    0x817e22fd,0xccefdccc,0x6ff4db24,0xff805ff9,0x10bfe204,0xeeefd8bf,
    0x3e00fffe,0x13fe004f,0xfddddfb0,0x217e61ff,0x7f7006f8,0x3bffffe6,
    0x7e47f203,0x4c04f881,0x17f25eff,0xbf101bea,0x7f881be0,0xf7005fa8,
    0xeeeefd87,0x6f880fff,0xfff02fc4,0x64ffffff,0x8008820f,0x3ea01ff8,
    0x3ee5f884,0x104fd883,0x3e2003ff,0x20fee01f,0xf9804fd8,0x265fb005,
    0x3f20015f,0x9f303f91,0xd9dff500,0x13f601df,0x0df05f88,0x7fffffd4,
    0xfd800fff,0x3620fee2,0x442fe84f,0x3f98005f,0x90000be6,0x45fa80bf,
    0x07fa5fe9,0x5fc827dc,0xd017f200,0x013ee03f,0x7fc013ee,0xc800bf30,
    0xf703f91f,0x3fff6007,0x3fa200cf,0x3a0bf101,0xdddfb00f,0x005ffddd,
    0x80ff41ff,0x437e44fb,0x6e8005f8,0x984006e8,0x7c400efc,0x5fefdbcf,
    0xff3037f6,0x077e4c23,0x03bf2610,0xf981bfb0,0xff70c41f,0x3f661a83,
    0x90017e65,0xa887f23f,0x3bd001fe,0x077cc001,0xdfc82fc4,0xf703fc41,
    0xbfb30d4b,0x7cc0dfd8,0x203be61f,0x7c4005f8,0x206fd40e,0xefffa819,
    0xfffd5000,0xfff997e7,0x2a2fffef,0x5400efff,0x9800efff,0xfffeffff,
    0xfffff882,0xfffffb83,0x0017e60e,0x547f23f9,0xf1004fff,0x4fea0007,
    0x105ffffd,0x27d4fffd,0x7fdcff10,0x7cc0efff,0x2fffefff,0xff880ff4,
    0xfc802fff,0x777fdc4f,0x2bc983fe,0x20011000,0x982cccca,0x793002bc,
    0x99950005,0xbccb8059,0x59997101,0xc8007910,0x3263f91f,0x02a2001b,
    0x332e2800,0x25d403cc,0x2fe805fb,0x80599971,0x302cccca,0x66664403,
    0x0151001c,0x00179951,0x00000000,0x00000000,0x00000000,0x91fc8000,
    0x0000003f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0x001950ca,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x21d30000,0x6400006b,0x5d83eeee,0x406ea000,0x039500cb,0x20064c95,
    0x4403cedb,0x00cdeedb,0x401439b5,0x172000ea,0x32219910,0x9999880c,
    0x2025c009,0xcccccccc,0x209952cc,0x50cb81ca,0xc8800039,0x360cc883,
    0x7ef7c42e,0x906d8005,0xff09fddd,0x3f7f2000,0xf901fd81,0xff9bf507,
    0x7ffff440,0xfffa80ef,0xfa81ffef,0x00fddffe,0xdd0007dc,0xfd12fd80,
    0x3ffffa05,0x01be203f,0xffffffff,0x0bff29ff,0x3fa20bee,0x76cc04fd,
    0x42fcc5ef,0x41ff43fd,0x8000ced9,0x84fa804f,0x25d0007f,0x901fd83d,
    0x37b6a07f,0x4c33fa00,0x5ffc46fd,0x714404c0,0x75cc03bd,0x09f002cf,
    0x01bb175c,0x0d555554,0xd800df10,0x0dff902f,0x3b6205f7,0x667fdc03,
    0x322fcc5c,0x002fe85f,0x5fddb700,0xff09f500,0x3efb6000,0xf901fd82,
    0x5fb80007,0x3ea1fe88,0x4c000005,0x1ffffffe,0x0001fc40,0x26660000,
    0x009999ef,0x6fe40bf6,0x0017dc3f,0x3003be20,0xe837d4bf,0x99aa882f,
    0x7ff44099,0xfa805ffe,0x13307f84,0x6c0b6e20,0x5c7f901f,0x7439500c,
    0x5c9f701f,0x032e005f,0xcff88e54,0x700a8de9,0x5c1bfffb,0xb839500c,
    0x2639500c,0xffffffff,0x40bf606f,0x7dc7f9fc,0xdeedb882,0x4037cc0c,
    0x01df15f9,0xffd88bf6,0x745fffff,0x09fff0cf,0x87f84fa8,0x032e0dfd,
    0x01fd8e54,0x80fec7f9,0x981fe3fc,0x00ffe65f,0x3fc80fec,0x1027cbf7,
    0x1fdfdffd,0x3fc80fec,0x3fc80fec,0x55df7551,0x17ec0555,0x23fc9fc8,
    0x7ffd42fb,0xfe81ffef,0x746fcc04,0xc8bf601f,0x37ff50cf,0xf7f32fdc,
    0x427d403f,0x6c2fe47f,0x367f901f,0x6c7f901f,0x227f901f,0x71be206f,
    0xfd805dff,0x3f27f901,0x7e407f14,0x3fb01f75,0x3fb0ff20,0x3e20ff20,
    0x817ec006,0x70ff89fc,0x05ffc45f,0xdffb1026,0x3f77e603,0xf897ec02,
    0x7f42fc86,0x0fee3ee1,0x27f84fa8,0x03fb05fc,0x80fecff2,0x407f63fc,
    0x40bf33fc,0xffea87f8,0x203fb03f,0x55ff53fc,0xc9be605f,0x3203fb07,
    0xc80fec3f,0x006f883f,0x1fc817ec,0xa8bee9f7,0x2ff6005f,0xff984ffc,
    0x31fd806f,0xf87f70bf,0x04f9af47,0x65fe13ea,0x407f605f,0x203fb3fc,
    0x407f63fc,0x40bf33fc,0x3f6606f8,0x80fec0ef,0x3fff23fc,0x6c9f501f,
    0x3203fb06,0xc80fec3f,0x006f883f,0x1fc817ec,0xb8bee3fe,0x4bf3005f,
    0x3e60efe9,0x7ec04fdd,0xfd81ff11,0x3f89be22,0x27d40df3,0x202fe7fc,
    0x27f901fd,0x47f901fd,0x27f901fd,0x17e606f9,0xfb17fa20,0xd50ff203,
    0x7f707fff,0x01fd82f4,0x01fd87f9,0x0df107f9,0xf902fd80,0x17de7dc3,
    0xf5007ff3,0x7cc9fb09,0x3202fe8d,0x2677f21f,0x52fcc6fc,0xa81fe23f,
    0x6fbff84f,0xfc80fec0,0x3f603fb3,0x7e407f62,0x2e01ff13,0x1ff1004f,
    0x3fc80fec,0x41dfffb0,0x6c13e4fa,0xd87f901f,0x107f901f,0x2fd800df,
    0xcfe83f90,0x177fdc2f,0xf881df10,0x7fcd7e67,0x7ec3f901,0x4c0dffff,
    0x6f89b66f,0x5fe13ea0,0x07f605fc,0x02fc9fe4,0x80fec3ff,0x40ff63fc,
    0x3fe001fe,0x7e407f60,0xdfb1bd03,0x03f8b7c4,0x0ff203fb,0x0ff203fb,
    0xfb001fe2,0xf507f205,0xffd505ff,0x03bf207f,0xa97e61fd,0x30ca80ef,
    0x4402667f,0x5f993e6f,0x9fe13ea0,0x03fb05fd,0x437d4ff2,0x80fec6fb,
    0x07fea3fc,0x2e008df9,0xc80fec6f,0x7fc9f03f,0x0beb7f60,0x3fc80fec,
    0x3fc80fec,0x6c003ff0,0xd03f902f,0x7ecc05ff,0x3ffc80ef,0x22fccbf3,
    0xdfb805fc,0x3eafd000,0xfa813ee1,0x3fa27f84,0xf901fd84,0x7e677ec7,
    0x80fec1ff,0x6ffe43fc,0x76c0efec,0x1ffecccd,0x3fc80fec,0x1ff13f88,
    0x6effff4c,0x6407f60f,0xc80fec3f,0x9bff703f,0x817ec099,0x2ffa81fc,
    0x505fe880,0x4c1ffdfd,0x5c4fe85f,0xfffff10d,0xbfd819dd,0x320ff47c,
    0x4ccefdcc,0x44ff88ff,0x87f901fd,0x81dffffc,0x05fb01fd,0x019fffd7,
    0x9ffffff9,0x3603fb01,0x457cc32f,0xfff706fc,0x80fec19d,0x80fec2fd,
    0x3fee02fd,0x0bf606ff,0x2fe80fe4,0x401ff100,0x2fcc2ffc,0xff897fc4,
    0x3bbbbf65,0x3fe60fff,0x3e17f25e,0x7fffffff,0x47ff30ff,0x05fb01fd,
    0x2fc80fea,0x7ec01ff0,0x80198801,0x21ff02fc,0xffefeefd,0xc81f600f,
    0xc81ff02f,0x001ff02f,0x00000031,0x7fc003fd,0x0037d400,0x3fb9ff40,
    0x7d44fd88,0x00efecef,0x3f200000,0x3e01ff02,0x5c37d406,0x06fd406f,
    0x50175403,0x5cdf70df,0x03deffed,0x1bea06e8,0x1bea1bee,0x5d501bee,
    0x000baa00,0x20083fe2,0x6f8806fb,0x82017540,0x09f701fe,0x019ffffb,
    0xea805d50,0x2e1bea02,0x01df106f,0xffccefd8,0xdffe801f,0x01f902fe,
    0xffccefd8,0x800f901f,0x677ec04f,0xfb01fffc,0x03fff99d,0xf9000fc8,
    0x4fd98001,0x76666f6c,0xa88d41ff,0x07e404fd,0x981bfb00,0x09de81ff,
    0x2007e400,0x77ec00fc,0x201fffcc,0x7e403ffc,0x1000dfff,0x2019dfd9,
    0xfff9006e,0x036c01bf,0xf9007f10,0xc801bfff,0x800dffff,0x01ba006e,
    0xc81dff30,0x0cffffff,0x5ffffff8,0x4c006e80,0xfffeffff,0x0003f882,
    0x00dd00dd,0x037ffff2,0x44002a20,0xc8000000,0x80044002,0x0ba2003b,
    0x88000880,0x00164000,0x2c880059,0x5400cc40,0x9000bccb,0x332a0005,
    0x02a202cc,0x64016400,0x00044002,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0x2cb802cb,
    0x02cc8800,0x2c987970,0x01aa8000,0x66403322,0xb800bccc,0x6ec00ee3,
    0xeecb8800,0x00dd402d,0x20033220,0x19910cc8,0x2a004c40,0x57003264,
    0x266202b8,0x97000999,0x33332e05,0xfd882ccc,0xdfb103fe,0x7f44007f,
    0x81bf9003,0x6c0004fa,0x3bbe604f,0x7fffc41f,0x7e403fff,0xfa804fdd,
    0x7ffd402f,0xf901ffff,0x3e6003fb,0x7ec01fee,0x5405fd12,0x3ea00eff,
    0x7cc07fcd,0xfe81fea7,0x4403ffff,0xfd83fefd,0x84ffffff,0x905d71dc,
    0x400bae3b,0x7d5001dc,0x80013ea0,0x376202fd,0x3e20dd88,0x007fee66,
    0x22009dd9,0x3fee00ee,0x7406e20b,0xbb1007b2,0x2e01bb11,0xb803762e,
    0x201fe9cf,0xc800deda,0xaa80f223,0x6401aaaa,0xfd85d71d,0x00000001,
    0x50000000,0x0000009f,0x361be200,0x0000004f,0x0003ff10,0x0005f7db,
    0x09800000,0x0000004c,0x00000000,0xcb800fec,0x883ccccc,0x00cdeedb,
    0x0b3bb2e2,0x66f76dc4,0xc8013ea0,0x8803eeee,0x222deecb,0x204fb86f,
    0x02deecb8,0x0b7bb2e2,0x220009f9,0x2e2002db,0x2e02ceec,0x3a203ced,
    0xcedb8004,0x54032e03,0x79db701c,0xca8065c0,0x36003fb1,0x46ffffff,
    0xffeffffa,0xfffff301,0xfffa81ff,0x3ea1ffef,0x3bbb2004,0x7ffd404f,
    0xdf11ffff,0x3ea07fb0,0x81ffffff,0xfffffffa,0x40003fa1,0xf3003cc8,
    0x81ffffff,0xefffffe8,0x2005f980,0xefffffe8,0xf901fd80,0xffffe887,
    0x01fd80ef,0x007f67f9,0x3e26f880,0x5404c0bf,0x82e60bff,0x04c0bff8,
    0x2a0009f5,0x2ffee04f,0x7fc46e20,0x706fc999,0x0dc417ff,0xb882ffee,
    0x33311fe1,0x3ffea013,0x05ffd400,0x0cfe8173,0xbf30dfb1,0x8867f400,
    0x01fd86fd,0x0cfe87f9,0x3fb0dfb1,0x67ecff20,0x800aaaaa,0x017ea6f8,
    0x2a005fd0,0x09f5005f,0x4413ea00,0xff8801ff,0x880cffff,0xff1001ff,
    0xc8df3003,0xfb02ffff,0x2fe807fb,0xd10bf700,0x005f983f,0x3fd10bf7,
    0x7f901fd8,0x7f442fdc,0xfc80fec1,0xffffffb3,0x4df1005f,0x3ea005fb,
    0x017ee006,0xa80027d4,0x009f904f,0x3ff2bfe2,0x4009f901,0xdf1004fc,
    0x82fdaa98,0x205f9ef8,0x3fa006fa,0xf989f701,0x3fa05515,0xfd89f701,
    0x7f47f901,0xfd89f701,0x3f67f901,0x0099999a,0x3fe66f88,0x007f9003,
    0x5401ffcc,0x9f50004f,0x44003fa0,0x203fe26f,0x3fa000fe,0xc81fe000,
    0xff3fa82f,0x800ff201,0x317e607f,0x9ffff5bf,0x17e607f8,0x8ff203fb,
    0xb17e607f,0x6cff203f,0x3e20001f,0x0177fdc6,0xf70007f6,0x27d405df,
    0xf04fa800,0x0999988f,0x84fc8df1,0x4cccc47f,0x33311fe0,0xc80ff413,
    0xfb1fd82f,0x4007f605,0x1be206f8,0xd53bfdf3,0x881be23f,0xc80fec6f,
    0x440df13f,0xc80fec6f,0x0003fb3f,0x7f5437c4,0x03fd03ff,0x7fffd500,
    0x20009f50,0x46f984fa,0xf12ffffc,0x260ff88d,0x7fffe46f,0xffc8df32,
    0x417ee2ff,0x537c42fc,0x007fa0bf,0xff102fcc,0x7d44ff98,0x7c40bf33,
    0xfc80fec7,0x7c40bf33,0xfc80fec7,0x40003fb3,0x3f6606f8,0x00ff40ef,
    0x1dffb300,0xa80027d4,0x4c6f884f,0xdf12fdaa,0x37c49f90,0x44bf6aa6,
    0x7ed54c6f,0x7e427fc2,0xff127d42,0x2003fd01,0x1be205f9,0x2bf10df3,
    0x1be205f9,0x4ff203fb,0x1be205f9,0x4ff203fb,0x220001fd,0x5fe8806f,
    0x400017ec,0x3fea5fe8,0x406eeeee,0x40ff04fa,0x10df12fc,0x903fc1ff,
    0xf903fc5f,0xcdfff985,0x0fec2ffc,0x0bf60bf6,0xf3037c40,0xf885f98b,
    0x7cc0df16,0xfc80fec5,0x7cc0df13,0xfc80fec5,0xdddddfb3,0x0df3007d,
    0xfc83fe20,0xff100004,0x3ffffea1,0x27d407ff,0x5f901fe8,0x1fec1be2,
    0x8bf203fd,0x05f901fe,0x9ffffd91,0x7d43fc41,0x2004fc85,0x89f700ff,
    0x26f885f9,0x89f700ff,0x45fb01fd,0x89f700ff,0x25fb01fd,0xfffffffd,
    0x005fb804,0x0ff983fe,0x01ff0000,0x413ea000,0x05f905fb,0xc82fdc00,
    0x6417ee2f,0x804c402f,0xfffffffa,0x07fcc0ff,0xfd02fd80,0xf885f983,
    0x7f40bf66,0xff817e41,0x7f40bf60,0xff817e41,0x0a0fe400,0x70047fd1,
    0x01dfb0df,0xdf700411,0xa800baa0,0x213fe04f,0x05d502fc,0x2fc84ff8,
    0x17e427fc,0x7ec05d50,0xffeeeeee,0x880efd82,0xf907fe60,0xf10bf30b,
    0x320ffccd,0xb86fa85f,0x20ffcc6f,0x86fa85fc,0x1fcc06fb,0x37feef7c,
    0x3b3337b6,0xffe881ff,0x360fedce,0xffecccde,0x4001f901,0x3fe604fa,
    0x02ffccdf,0xff9801f9,0x42ffccdf,0xfccdfff9,0x403f202f,0x17ee07f8,
    0x373bffa2,0x6ffe40fe,0xf980efec,0x7e46f885,0x00efecdf,0xfff99dfb,
    0xd9bff903,0x3bf601df,0x401fffcc,0xfffc84fa,0xffffc84f,0x76400cff,
    0x320cdfff,0x0cffffff,0x33201ba0,0x84ccefdc,0xcffffec8,0x2200dd00,
    0x0cffffec,0xffffec88,0xa81ba00c,0x81fe204f,0x0cdfffec,0x0cfffeb8,
    0xdf10bf30,0x19fffd70,0xdffffc80,0x3fffae00,0x7ffe400c,0xfe8800df,
    0x8800881f,0x00200019,0x2c800662,0xffffff80,0x04c407ff,0x44001640,
    0x02620009,0x5fb01640,0x0802fe80,0x7cc00400,0x0406f885,0x40004400,
    0x00088000,0x00000530,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x03760000,0x065c7910,0xb803cb80,
    0x1cc8802c,0xca826540,0x403cb801,0x44015c2b,0x9b5003cc,0xcccc8143,
    0xc882cccc,0x215c001c,0x0165c02b,0x2a003991,0x2b80a1cd,0x3cb8015c,
    0x980f2e00,0x017fd402,0x017f77d4,0x2200dfc8,0x9803fefd,0x3ff201ff,
    0x6402fb83,0x9fe600df,0xffa807fa,0x7f7d400f,0xff80fddf,0x05ffffff,
    0x26003ff3,0x441fea7f,0x2603fefd,0x77d401ff,0x980fddff,0x201fea7f,
    0xf9000dfc,0x0ffe201b,0x3000ee88,0x3aa003dd,0xd71dc803,0x01bb1005,
    0x3ee1bff2,0x400faa02,0x200f223c,0x4403fdfd,0x20077ae2,0xbb1002fd,
    0xc88f2001,0x3ae3b903,0x80376202,0x8077ae28,0x500f223c,0x1f54007d,
    0x000ffe20,0x00000000,0xf9000000,0x02fb85fb,0x88000000,0x0005f9ef,
    0x0017ec00,0x00000000,0x00000000,0x00000000,0x32e20298,0x2e202cee,
    0x65c2ceec,0x2e039500,0x32e03ced,0x3f239500,0x817dc6fa,0x7003cedb,
    0xf50079db,0x2e003fe7,0xfb003ced,0x33b6e005,0x66666403,0x66642ccc,
    0x642ccccc,0x2ccccccc,0x0e54132a,0x3333332e,0x54132a2c,0x6666641c,
    0x98002ccc,0x0fffffff,0xffffff98,0x6407f60f,0x7fff443f,0x1fd80eff,
    0x27f27f90,0x10bee2fd,0x1dfffffd,0x3ffffa20,0x47f600ef,0x3fa202fd,
    0x400effff,0x7f4402fd,0xf00effff,0xbfffffff,0xfffffff8,0x7ffffc5f,
    0x3ff25fff,0x7ec2fb83,0x24ffffff,0x2fb83ffc,0x7ffffffc,0xf50fb05f,
    0x205cc17f,0x2e60bffa,0x7e407f60,0xd8867f43,0x901fd86f,0x3e67f27f,
    0x9fd0bee6,0x741bf621,0x0dfb10cf,0x05fa9be2,0x7ec433fa,0x2017ec06,
    0xdfb10cfe,0x2005fb00,0x5fb002fd,0x2e1bff20,0x400fec2f,0x2fb86ffc,
    0x3600bf60,0x2002fe87,0x3fb002fe,0x5fb8ff20,0x7ec1fe88,0x3f27f901,
    0x8bee3fb1,0x1fe885fb,0x7f442fdc,0x3e24fa81,0x885fb80f,0x0bf601fe,
    0xfe885fb8,0x8017ec01,0x5fb002fd,0x70bf7f20,0x801fd85f,0x7dc2fdfc,
    0x200bf602,0x0037d47e,0x7ec00df5,0x7f47f901,0xfd89f701,0x3f27f901,
    0x8beebf51,0x89f701fe,0x09f701fe,0x82fd83fb,0x09f701fe,0x3fd017ec,
    0xfb013ee0,0x00bf6005,0xafc817ec,0x3617dc6f,0xfafc801f,0xfb017dc6,
    0x3fff2605,0xc800ff20,0x07f6003f,0x40ff1fe4,0x80fec5f9,0x743f93fc,
    0x1fe2fb9f,0x03fc5f98,0x87f88bf3,0x207f85fa,0x0bf605f9,0x17e607f8,
    0x36005fb0,0x05fb002f,0xb8bf67f2,0x400fec2f,0x2e2fd9fc,0x40bf602f,
    0x7ec2acff,0x007f6001,0x7f901fd8,0x6f881be2,0x3fc80fec,0x5e7d43f9,
    0x440df12f,0x881be26f,0x7fffd46f,0x220fffff,0x81be206f,0x0df102fd,
    0x3f6037c4,0x005fb002,0x4fe40bf6,0xb0bee6f9,0x1555559f,0x737ccfe4,
    0x417ec05f,0x07fa04f9,0x2001fe80,0x27f901fd,0x1fe205f9,0x4ff203fb,
    0x7e7f41fc,0x7c40bf32,0xf8817e67,0x77777ec7,0x3e62ffee,0xd81fe205,
    0x40bf302f,0x17ec07f8,0xb002fd80,0x6c7f205f,0xfd85f71f,0x22ffffff,
    0x2e3fb1fc,0x20bf602f,0x07fa03fc,0x2001fe80,0x27f901fd,0x1be205f9,
    0x4ff203fb,0x7ffdc1fc,0x7c40bf32,0xf8817e66,0xfb81fe26,0xf8817e65,
    0x4c0bf606,0x01be205f,0x3f6005fb,0x205fb002,0x2ebf51fc,0x4cd7ec2f,
    0x47f20999,0x405f75fa,0x04fc82fd,0xfd800bf6,0x407f6002,0x40df13fc,
    0x80fec5f9,0xf03f93fc,0x81be25ff,0x81be25f9,0x813ea5f9,0x81be27f8,
    0x7f7745f9,0x3e24eeef,0xb017e606,0x0bf6005f,0xfc817ec0,0x0bee7fa1,
    0x3f9003fb,0x017dcff4,0x3ff305fb,0xc8013f20,0x07f6004f,0x01ff17ec,
    0x03fb13ee,0x40fe4bf6,0x03fe2ffb,0x03fe27dc,0x05fb27dc,0x03fe2fe8,
    0x3ffe27dc,0x7c5fffff,0x809f700f,0x5fb002fd,0x640bf600,0x3ef3ea1f,
    0x6400fec2,0x3ef3ea1f,0x5c0bf602,0x3e61acff,0x1ff3000f,0x7c0bf200,
    0x740bf60f,0xf817e41f,0x3f60000f,0xfd83fd02,0x8003fd02,0x817ec4f8,
    0x3f7001fe,0x3fd02fd8,0xb002fd80,0x0bf6005f,0x33fa0fe4,0x400fec2f,
    0x7e7f41fc,0xa80bf602,0x3f61ffff,0x7ec0880e,0x3ea0880e,0x7cc6fb86,
    0x542fe41f,0x206fb86f,0x3fe602ea,0x7cc2fe41,0x002fe41f,0x0ffcc3ec,
    0x7c4017f2,0x641ff984,0x02fd805f,0x36005fb0,0xb83f902f,0x0fec2fff,
    0x3ee0fe40,0x0bf602ff,0xe8832a60,0x0fedceff,0x6e77ff44,0x677ec0fe,
    0xfc81fffc,0x00efecdf,0xfff99dfb,0x2007e403,0xefecdffc,0xd9bff900,
    0xff0001df,0xd9bff901,0x3e6001df,0xd9bff904,0x3bba01df,0x744eeeff,
    0x4eeeffee,0x777ff774,0x3e07f24e,0x777ec2ff,0x3f23eeee,0x742fff81,
    0x4eeeffee,0xfffd9000,0x3fb2019b,0xfc80cdff,0x2e00dfff,0x400cfffe,
    0x00dffffc,0xfeb80374,0x75c00cff,0x0000cfff,0xfd70bff7,0xe80019ff,
    0xffeb82ff,0x3ffe00cf,0x7c5fffff,0x5fffffff,0x7ffffffc,0x2e07f25f,
    0x7ffec2ff,0x3f24ffff,0x7c2ffb81,0x5fffffff,0x80008000,0x00022000,
    0x00220002,0x008002c8,0x20000100,0x000400a8,0x01002a20,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x6c007322,0xedcb8005,
    0x32e00eee,0x2a197002,0x02cb801c,0x2e00edc0,0xcb8015c2,0x0ae15c02,
    0x0064c950,0x33103cb8,0x99101333,0x8736a003,0x9dd97102,0x00f2e005,
    0x70039910,0x7d100059,0xc801ff98,0xffd3001f,0x103ffddf,0x1007fdfb,
    0x8809fbfd,0x2003fefd,0x9fe605ff,0x7ec407fa,0x4ff303fe,0x6fd407fa,
    0xbf9007fc,0x3ffffa01,0x03ff303f,0xddffefa8,0x7fffcc0f,0x7e400fff,
    0x3fa2000d,0x7f7ec402,0x40fe4003,0x7cc00dd8,0xffff8804,0xb903fb2f,
    0x2200bae3,0x1dc803ed,0x3f2005d7,0x7911e402,0x5d71dc80,0x03c88f20,
    0x800deda8,0x555403ea,0x36201aaa,0xeb8a200d,0x05ffd41d,0x1f540173,
    0x400eec00,0x005d71dc,0xd800037c,0x7ffdc00f,0x003fb2ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2fe80000,0x00000000,0x7d400000,
    0x00799103,0xffd807f5,0x23fb2fff,0x065401c9,0x472a0995,0x0e5c02cb,
    0x33333332,0xb805972c,0x66665c1c,0x99102ccc,0x99999007,0xccb85999,
    0x642ccccc,0x2ccccccc,0x6666665c,0x6666642c,0x0df52ccc,0x9700b2e0,
    0x79999903,0x54032e01,0x503f401c,0xdf001fff,0xfffffc80,0x0fea3fb2,
    0x3ffc8fb0,0x1ff52fb8,0x3fe1fe60,0x55ffffff,0x1fe601ff,0x3ffffff6,
    0x1fff504f,0xffffff80,0x7ffec5ff,0x7fc4ffff,0x45ffffff,0xfffffffd,
    0x7fffffc4,0x007f95ff,0x7cc03fea,0xfffff887,0x01fd83ff,0x27cc05f9,
    0x007fbfb0,0x7fdc05f7,0x23fb2fff,0x23ec03fa,0x2fb86ffc,0x17ec13f6,
    0x7ec0bf60,0xfb05fb04,0xfdfd8003,0x80bf6003,0xfd8001fd,0x0007f602,
    0x07f60bf6,0xfb04fd80,0x5ccdf105,0x80fec1ff,0x03f602fc,0x02fcf7c4,
    0x3fa02fc4,0x23fb2fff,0x23f404f9,0x7dc2fdfc,0xf503fe62,0x205fb00d,
    0x37d40ff9,0x22001fd8,0x2005f9ef,0x07f602fd,0xd80bf600,0x2fd8001f,
    0x26001fe8,0x837d40ff,0x44fd86f8,0x05f901fd,0x3fa817e2,0x1fb001ff,
    0x97ffec40,0x809f31fd,0x37d7e46e,0x8bf90bee,0x2fd801fe,0x3fd17f20,
    0xa8007f60,0x2001ff3f,0x07f602fd,0xd80bf600,0x2fd8001f,0x64001fe8,
    0x880ff45f,0x6c4fb86f,0x205f901f,0x47f602fb,0x4f9802fd,0xfb1ba880,
    0x0ea93e23,0xfb3f91be,0x3e217dc5,0x200bf51f,0x3fe202fd,0x7ec0bf51,
    0x6c7f6001,0x05fb002f,0x6c000fec,0x007f602f,0x3f60bf60,0x8ffc4002,
    0x1be205fa,0x03fb0ff6,0x03740bf2,0x02fd4df1,0xfb0007e8,0x2fd97e23,
    0xf33f917e,0x7dc17dcd,0x36001fd5,0xeafdc02f,0x2b3f600f,0x7c40aaaa,
    0x6c017ea6,0x2b3f602f,0x3600aaaa,0x2b3f602f,0x3600aaaa,0x004fc82f,
    0x01fd5fb8,0x64ccffc4,0xaabfd86f,0xa82fdaaa,0x893ea03f,0x2fa800ff,
    0x3e1fd800,0x2fcbff15,0xb8fec7f2,0x9f9fd02f,0x4017ec00,0x6c04fcfe,
    0x2fffffff,0x1ff127d4,0x6c05fb00,0x2fffffff,0xfd80bf60,0x02ffffff,
    0x3fe60bf6,0xfcfe8000,0x7fffc404,0xffd80cff,0x2fffffff,0x3f600fd8,
    0xf8017ec1,0x21fd8006,0x11fbf56f,0xf51fc89f,0x7d40beeb,0x3f6000ff,
    0x0fffa802,0x4ccd7ec0,0x20fec099,0x2fd802fd,0x2666bf60,0x0bf60099,
    0x9999afd8,0x40bf6009,0x00880efe,0x8801fff5,0x01ffcaff,0x333335fb,
    0x04f985fb,0x17ea1fe2,0x2000fe40,0x76dba1fd,0x644f8bfa,0x3ee7fa1f,
    0x000ffa02,0x3fa005fb,0x801fd803,0x05fa87f8,0x3f602fd8,0x02fd8001,
    0x360007f6,0xdffd102f,0x7401fdb9,0x26f8803f,0x1fd80ff8,0x1fc85f90,
    0x3ffffea0,0x8800ffff,0x07fc005f,0x3be7f1fd,0x50fe43f8,0x6c05f79f,
    0x17ec002f,0xd802fd80,0xfffa801f,0x00ffffff,0x3fb017ec,0x405fb000,
    0xfd8001fd,0x3ffae202,0x3f600cdf,0x646f8802,0x901fd84f,0x2037c45f,
    0xeeeeeefd,0x1fb002ff,0xfb1be600,0x3ebf21f5,0x3fa0fe42,0x0bf602fc,
    0x2005fb00,0x1fd802fd,0xeeeefd80,0x6c02ffee,0x007f602f,0xfd80bf60,
    0x02fd8001,0x36004fa8,0x46f8802f,0x0fec0ff8,0x0bee2fc8,0x3ee07f88,
    0xd07f5005,0x85fd7139,0x37ea6dfc,0x2e0fe42f,0x3f602fff,0x017ec002,
    0xfd802fd8,0x703fc401,0x02fd80bf,0x360007f6,0x007f602f,0x3200bf60,
    0x0bf6001f,0x3f21be20,0xfc80fec4,0x9f501fa2,0xd003fc40,0xffffe88f,
    0x43ffc84f,0x0fe41fff,0xfb017ffc,0xffddd005,0x7ec09ddd,0xeeefd802,
    0x09f53eee,0x77743fc4,0x6c4eeeff,0x3eeeeeef,0x777ff774,0x7777ec4e,
    0x77743eee,0xd04eeeff,0x02fd800d,0xff886f88,0x7e407f60,0xfd809f32,
    0x8017f402,0xacb980a9,0xc83ff701,0x40fe41ff,0x3f602ffb,0xfffff802,
    0x3f605fff,0xffffd802,0x05fb4fff,0x7ffc2fe8,0x6c5fffff,0x4fffffff,
    0x7ffffffc,0x7fffec5f,0x7ffc4fff,0x505fffff,0x02fd8003,0x7fb06f88,
    0x2fc80fec,0x00000153,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x97000000,0x50e6d407,0x80076e00,
    0x197002cb,0x3c88072a,0xcb800332,0x7f5cc003,0x3950cb82,0x01664400,
    0x54007970,0x1db800de,0x4ccccc40,0x19325400,0x00c992a0,0x04ccccc4,
    0x03950cb8,0x337bb6e2,0xfc80fb60,0xffdf500d,0xff001fbb,0xfdfb100b,
    0xfbfd1007,0xfdbf5009,0x06fe4003,0x5ddff500,0x09fbfd10,0x001ff440,
    0x2a001bf9,0xbff000ef,0xfffffe80,0x7e6fd403,0x3f37ea07,0xffffe807,
    0xfbfd103f,0x3fffea09,0x0ffa1ffe,0x8a201f54,0xf9001deb,0x2e3b9005,
    0x3ed8802e,0x0077aa00,0xe8003ea8,0x3ed8801f,0x000ee400,0x74c007d5,
    0x5f900774,0xaaaaaa80,0x0deda801,0x006f6d40,0x0d555554,0x2207db10,
    0xb04c0bff,0x0000007f,0x00000000,0x00000000,0x00bf3000,0x00000000,
    0x00fe2000,0x00000000,0x00000000,0x4017ea00,0x999952fd,0x20199999,
    0x65403cc8,0xcccccccc,0x80799100,0xccccccca,0xcccc80cc,0xcc8800bc,
    0x01fe4003,0x3333332e,0x6665402c,0x02c984cc,0x1f955100,0x333332e0,
    0x799102cc,0x99999700,0x33220599,0xccccb803,0x33322ccc,0x2ccccccc,
    0x3f600bf7,0xffffff92,0x3ea03fff,0x3ff200ff,0x1fffffff,0x401fff50,
    0xfffffffc,0x7ffc41ff,0x5403ffff,0x36000fff,0x7ffec02f,0x7c04ffff,
    0xa87fffff,0xffc8004f,0xffb02fff,0x209fffff,0x6c00fffa,0x4fffffff,
    0x801fff50,0xfffffffd,0x3fffffe4,0xff34ffff,0x22153007,0xfc999999,
    0x0ff7f606,0x99999988,0x37f606fc,0x2666203f,0x886fc999,0x07fee66f,
    0x003fdfd8,0x3fb007fa,0x5fbf5000,0x4004fa80,0xfffaadfd,0x4001fd82,
    0x6c03fdfd,0x6fec001f,0x00fec03f,0xf7017ec0,0x100005df,0x3be203ff,
    0xf88005f9,0xf3df101f,0x3ff1000b,0x9fb0df10,0x17e7be20,0xeffeeea8,
    0x01fd84ee,0x02fbed80,0xf50027d4,0x43fd7dcb,0x3e2001fd,0x7ec05f9e,
    0x27be2001,0x00fec05f,0x2a017ec0,0x0003fffe,0x3fa80ff6,0xfd8001ff,
    0x7fcfea03,0x81fec000,0x04fb86f8,0x403fe7f5,0xeeffeeea,0x001fd84e,
    0x017de7cc,0xfd8013ea,0x20fe57a1,0x3ea001fd,0x7ec01ff3,0x7cfea001,
    0x007f600f,0x4c00bf60,0x4000effd,0x8fec06fa,0x3ea002fd,0xfd8fec06,
    0x81bea002,0x03fd86f8,0x00bf63fb,0x3f6017e6,0x5c7e4001,0x027d402f,
    0x4fe61fd0,0x00fec3fb,0x0bf63fb0,0x36001fd8,0x6c05fb1f,0x2fd8001f,
    0x02ff4400,0x4403ff10,0x4017ea6f,0x3e201ff8,0x44017ea6,0x3fe201ff,
    0x106fc999,0x402fd4df,0xcfd804fa,0xf00aaaaa,0x0aab3eeb,0x7e8013ea,
    0x227d43ee,0xaaaaacfd,0xbf537c40,0x55567ec0,0x537c40aa,0x567ec0bf,
    0x3600aaaa,0xff88002f,0x807fb000,0x03fe24fa,0xf500ff60,0x4007fc49,
    0x7fc403fd,0x500cffff,0x007fc49f,0x3f600fee,0x82ffffff,0xffff72fa,
    0x4009f50d,0x7dcbd0fd,0x7ffffec3,0x127d42ff,0x3ff601ff,0x542fffff,
    0x403fe24f,0xfffffffd,0x000bf602,0x7d4007fc,0x6c1fd806,0x037d402f,
    0x0bf60fec,0xf100df50,0x403ff95f,0x017ec1fd,0x3f600bf2,0x8099999a,
    0x266fee7e,0x2004fa80,0x363f9afb,0x4cd7ec1f,0x0fec0999,0x57ec0bf6,
    0x6c099999,0xd817ec1f,0x099999af,0x0040bf60,0xff100df7,0xa87f8803,
    0x07fe205f,0xbf50ff10,0x400ffc40,0x03fe26f8,0x17ea1fe2,0xfb003fb0,
    0xb93e6003,0x027d402f,0x21f9ff30,0x01fd86fa,0x5fa87f88,0xf1003fb0,
    0x360bf50f,0x2fd8001f,0xd999bdb0,0x7fb003ff,0xfffff500,0x3601ffff,
    0xfffa803f,0x00ffffff,0x3e2007fb,0x7d427e46,0xffffffff,0x2003fe00,
    0xdf9001fd,0xa805fddd,0x7fdc004f,0xd81ffdbe,0xfffa801f,0x80ffffff,
    0xffa801fd,0x0fffffff,0xd8001fd8,0xffff902f,0xf50019df,0x3bbf600d,
    0x82ffeeee,0xdfb006fa,0x5ffddddd,0x4400df50,0x207fc46f,0xeeeeeefd,
    0x0df302ff,0x22007f60,0x2feeeeff,0x40027d40,0x00dffffb,0xdfb003fb,
    0x5ffddddd,0xfb003fb0,0xffdddddd,0x0003fb05,0xf98805fb,0x07fe2007,
    0xfb81fe20,0x400ffc45,0x17ee07f8,0x44003ff1,0x224fc86f,0x097ee07f,
    0x36007fb3,0x43fb801f,0x27d402fb,0x004fdc00,0x3e200fec,0x3617ee07,
    0x03fc401f,0x03fb0bf7,0x1005fb00,0x7fe4009f,0x1eeeeeee,0x3fc409f5,
    0x3bbbbff2,0x09f51eee,0x3ff23fc4,0x1eeeeeee,0x7fc437c4,0x7c409f50,
    0x03bffee7,0x77777ec0,0x703fa3ee,0xa81999bf,0x6eeeeeff,0xfd8017a0,
    0x53eeeeee,0x43fc409f,0xeeeeeefd,0x7c409f53,0xeeeefd87,0x0bf603ee,
    0xd800bea0,0xffffffff,0xe805fb2f,0x3ffff62f,0xfb2fffff,0x362fe805,
    0xffffffff,0xd837c42f,0xe805fb3f,0x0057932f,0xffffffd8,0xf70bf34f,
    0xfa81ffff,0x07ffffff,0xffd8006a,0xfb4fffff,0x6c2fe805,0x4fffffff,
    0x2fe805fb,0x7fffffec,0x00bf604f,0x000002a6,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xc8800000,
    0xb1003323,0x5100007d,0x30d40003,0x76c40005,0x00000003,0x0006f540,
    0x36205db1,0x440dd88d,0x4000aaa9,0x266203ea,0x4cc40199,0x43a60199,
    0x05d9006b,0x30026a60,0x0a21ae1d,0x0ff6fd40,0x01fd6f40,0x17dcf640,
    0xf13fa800,0x37a0005f,0xefe983fa,0x6c40dc81,0x5400cefe,0x8800efdf,
    0x77cc02fe,0x7ffdc1fe,0x54c04fff,0xc81adfca,0x201fffff,0x01fffffc,
    0x00bfbdf1,0xfa80bff1,0x2203ffff,0xff85fdef,0x03bd5005,0x002e47e0,
    0x803ecfec,0xfb07e44b,0x647e0007,0x7f5f7c45,0xff30fea0,0x4c0dfd9b,
    0xb009b13e,0x3b66001b,0xc99adb81,0x3ff202ff,0x9884ffff,0x4c401999,
    0x6cc01999,0x5fb000ce,0x544f7dc0,0x3b6602fe,0x005ff80c,0x3efb6000,
    0xd9fd8002,0x6c6f8803,0x80017d44,0x7dc2fbed,0x1ba25f51,0x03fd07fa,
    0x00000000,0x1027dc00,0x0139f733,0x00000000,0x1ff10000,0x40006f88,
    0x332e00a9,0x91002bcc,0x3f60007b,0x01be2001,0x44000dd3,0x30fb83dc,
    0xf107f25f,0x8805f90b,0x4c401aa9,0xa98801aa,0x0bf3001a,0x027dcd4c,
    0x22004d4c,0x9800aaa9,0x3530009a,0x3a09f501,0xaaa9880f,0xfffb0000,
    0x2603dfff,0x4c401300,0x9801fd9a,0x9999ef99,0x400037e0,0x540aaa98,
    0x9f33f72f,0xff989f30,0x3ffff200,0xffff904f,0x7ffe409f,0xccba84ff,
    0xfffb85fc,0x3ea04fff,0xf703ffff,0x209fffff,0x03fffffa,0x0fffffea,
    0x99999bf7,0xfffb83fd,0x0fdc4fff,0x32623fb0,0x42fcc2ff,0xffd886f8,
    0x4c01ffff,0xffffffff,0x2aa0986f,0x3fffee00,0x7f7f44ff,0x93ea0dd5,
    0x3fa01ffa,0xe83ca9be,0x03ca9bef,0x79537dfd,0x7777ffd4,0x4e7fe45f,
    0xdf704fda,0x705fd513,0x5ff9335b,0xea89efb8,0x89efb82f,0x3ff22fea,
    0x1fffffff,0x7e4cd6dc,0xd807f22f,0x4c6fa81f,0x446f885f,0xfeb9beff,
    0x7dd54401,0xf82aaaae,0x0dfffe8d,0xfc99adb8,0x64b2e22f,0x229f501f,
    0x1bee00ff,0x70037dc0,0x2ff880df,0x0df32fc4,0x1ff109f5,0x2e006f88,
    0x103fe24f,0x40ff88df,0x00fee6f8,0xf927dc00,0xe80fec03,0x2217e62f,
    0x6c1fe46f,0x1be2001f,0x5577f7c0,0x3ee003fe,0xa813e604,0xe809f54f,
    0x03fd001f,0x2a00ff40,0x325f884f,0xa84fa82f,0x001fd04f,0x04fa97e6,
    0x827d41fd,0x00df50fe,0xfc97e600,0x5c07f601,0x2217e63f,0xfd83fc6f,
    0x01be2001,0xbf3077fc,0xd02fcc00,0x9a7d401d,0x01fe00ef,0x3fc007f8,
    0x3a62fd40,0x2a07f65f,0xccdfb84f,0x501feccc,0x5cbf9997,0xecccccdf,
    0x3337ee1f,0xf11feccc,0x9750005f,0x17e4bf99,0x3ea03fb0,0x3e217e65,
    0x7ec17e26,0x01be2001,0x03fc07fc,0x0bf99975,0x20dd4bee,0x07bf64fa,
    0x7c401be2,0x01be2006,0x3f6f3fe2,0x203fa5fe,0xfffc84fa,0x41ffffff,
    0xfeeefffa,0x3fffff25,0x3f21ffff,0xffffffff,0x2b3ffea1,0xfffa84cb,
    0x3f25feee,0x4c07f602,0x2217e66f,0x6c17e66f,0x1be2001f,0x0fe83fc0,
    0x7777ffd4,0xe8df985f,0x13ea3fff,0x7f885ffb,0x400ff100,0xfd5007f8,
    0xfe97e7ff,0xfb84fa81,0x0bfe2003,0x01fdcbf1,0x98007f70,0x44fffffd,
    0x2fc42ff8,0x0fec05fb,0x17e65fa8,0x06f99be2,0x7c4003fb,0x3a0ff006,
    0x10bfe20f,0xf71fd0bf,0x84fa9f63,0x0ffc0ffb,0x2001ff80,0x822001ff,
    0x10ff62fa,0x0df509fd,0x7c427d40,0xa801bea5,0x3e60006f,0xf109f506,
    0xfb017ecb,0xf893ee03,0x3e26fa86,0x001ff987,0x3fc01fe2,0x13ea0fe8,
    0x25f717e2,0x7d47ee6d,0xfb85fb04,0x77dc081e,0x1efb8081,0x22fc4008,
    0x27fec5fa,0xa8017fc4,0x12ff4c5f,0x3e2005ff,0x3f70002f,0xfd317ea0,
    0xfb01fecb,0xfd0bf603,0x3a37fcc1,0x07ffe62f,0xf003ff00,0xfa83fa0f,
    0xf12ff4c5,0x21f73ecb,0x05f904fa,0x9d99dffd,0xd99dffd0,0x33bffa09,
    0x2fcc04ec,0x57fe77fc,0x9fff504f,0xff889975,0x45fefdbc,0xcbacfffa,
    0xacfffa84,0x0fec04cb,0xfdbcff88,0x80ff65fe,0x0ffa81fd,0x6fe67fdc,
    0x6effd46f,0x4001fcdf,0x84ccdffb,0x441fd07f,0xfefdbcff,0xcfb83f65,
    0x553ea5fa,0x2e06fdbc,0x702efffe,0x405dfffd,0x02efffeb,0x3a22ffd8,
    0x04f98dff,0x3fffff66,0x3fffea84,0xfffb30bf,0x3f6609ff,0x4c04ffff,
    0xffd506ff,0x3fd97e7f,0xff707f60,0x7ffd7105,0x3ffee1ba,0x70003f74,
    0xff0dffff,0xfd503fa0,0x7d57e7ff,0x20effc83,0x9fff74fa,0x30006001,
    0x10003000,0x80001015,0x00880098,0x20009880,0x0cc00098,0x59700220,
    0x7f777ec0,0x001802ff,0x44000004,0x7f41fe01,0x80001100,0x00011000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xdfffb000,0x0000017d,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x402d8932,0x75c003ed,0x00ef540d,
    0x93203b80,0x376e02d8,0x0fb600e2,0x2037ae00,0x32001dea,0x2205d71d,
    0x130261ed,0x00000aa2,0x26427440,0x7db005b1,0x01bd7000,0x13003bd5,
    0x45f70260,0x0ff70ff9,0x801fefec,0xff300dfb,0x03f88003,0x1fee1ff3,
    0x777f6fdc,0x3f7f600f,0x037ee003,0x2001ff98,0x5c03fdfd,0x261ffeff,
    0x4ffffacf,0xdc8177f4,0x4c5f8800,0x80ff70ff,0x2003fdfd,0x3e600dfb,
    0x217e601f,0x207ec6f8,0x640b623c,0x9805d71d,0x0dd8803e,0x07e55440,
    0x816c4790,0x80776e28,0x005d71dc,0x362007d3,0x0fb6000d,0xcfffff98,
    0x4eff7cc2,0x3eaa1feb,0x1003fa87,0x6c4790bf,0x75c77202,0x003e9802,
    0x3e601bb1,0x3746f885,0x00000000,0x3ff20000,0x00002fff,0x00000000,
    0x00000000,0x0ffa6f66,0x7f513fe6,0x3a22fdcc,0x017e2006,0x00000000,
    0x42fcc000,0x260d46f8,0x00981300,0x13009813,0x6c130098,0x2fffaadf,
    0x0026a620,0x20026a62,0x88009a98,0x988009a9,0x3530009a,0x1ff93001,
    0x5f886f98,0xfc83bfae,0x7d554c01,0x0026a605,0x98004d4c,0x3530009a,
    0xf10bf301,0x885f980d,0x2217e66f,0x2217e66f,0x2217e66f,0x7dcbf56f,
    0xfff907fa,0x7fe407ff,0x3f203fff,0x3203ffff,0x203fffff,0x03fffffc,
    0x0fffffea,0x2fffffd4,0x1be217e6,0x027ccbf2,0xbffffff5,0x7fffff50,
    0x7ffffd40,0x3fffea03,0x3ffea03f,0x42fcc3ff,0x2fcc06f8,0x0bf337c4,
    0x42fccdf1,0x217e66f8,0x743fb6f8,0xefd83f95,0xd83ffb9a,0x3ffb9aef,
    0xfb9aefd8,0x9aefd83f,0xefd83ffb,0xb83ffb9a,0x2fea89ef,0x754df7dc,
    0x2217e61f,0x43ff766f,0x33fee06e,0x7dc5fc99,0x82fea89e,0xfea89efb,
    0xa89efb82,0x9efb82fe,0x3e62fea8,0x4c06f885,0x266f885f,0x266f885f,
    0x266f885f,0xfd6f885f,0x1fdcfe61,0x1ff10df3,0x7fc437cc,0x3e21be60,
    0x221be60f,0x21be60ff,0x3fe20ff8,0xdf137c40,0x3e64fb81,0x3326f885,
    0x2203f90c,0x12fc40ff,0x46f881ff,0x37c40ff8,0xdf103fe2,0x7c40ff88,
    0x3e217e66,0x442fcc06,0x2217e66f,0x2217e66f,0x2217e66f,0x87dcfd6f,
    0x40bf24fa,0x40bf22fd,0x40bf22fd,0x40bf22fd,0x40bf22fd,0x413ea2fd,
    0x107f70fe,0x442fccff,0x813e606f,0x25f883fb,0x41fd04fa,0x41fd04fa,
    0x41fd04fa,0x21fd04fa,0x06fa86f8,0x37c42fcc,0x4df10bf3,0x26f885f9,
    0xb6f885f9,0x3fb97a1f,0x1fdc03fa,0x8fee01fd,0x47f700fe,0x47f700fe,
    0x47f700fe,0xcccccdfb,0x203fb1fe,0x10bf30fe,0x007740df,0x4bf105f9,
    0xcccccdfb,0x337ee1fe,0x21fecccc,0xcccccdfb,0x337ee1fe,0x21fecccc,
    0x1bfe60fe,0xdf10bf30,0x37c42fcc,0x4df10bf3,0x76f885f9,0x7ec7f35f,
    0x4fa81fe1,0x24fa81fe,0xf93ea07f,0x7f93ea07,0xffc93ea0,0x1fffffff,
    0x47f601fd,0x06f885f9,0xb0aa65f7,0x64bf103f,0xffffffff,0x3ffff21f,
    0x321fffff,0xffffffff,0x3ffff21f,0x2e1fffff,0x6fdfccff,0x7c42fcc0,
    0x3e217e66,0x3e217e66,0x3e217e66,0x21f9ff36,0x807f46fa,0x403fa2fb,
    0x403fa2fb,0x403fa2fb,0x403fa2fb,0x00fee2fb,0x1fe80fec,0x0df10bf3,
    0x3ffe2bf3,0x3e20bf20,0xb800fee5,0x0fee003f,0x2003fb80,0xdd3ffeb8,
    0xfa86f880,0x3ea1be26,0x3ea1be26,0x3ea1be26,0x36fbfee6,0x817ec1ff,
    0x40bf61fe,0x40bf61fe,0x40bf61fe,0x40bf61fe,0x01bea1fe,0x3fc41fe4,
    0xd87f4000,0x13f20fde,0x06fa97f6,0xa801bea0,0x1bea006f,0x05f50c00,
    0x7fcc1fd0,0xff307f46,0x3e60fe8d,0xf307f46f,0xffffb8df,0x40ef980d,
    0x077cc5fa,0x1df317ea,0x77cc5fa8,0x3e62fd40,0x222fd40e,0xff9802ff,
    0xd5027e40,0xfa97dc05,0x3be60fc9,0xf897ff20,0x5ff1002f,0x00bfe200,
    0x00017fc4,0x7fdc017e,0x5c6fdfcc,0x6fdfccff,0x6fe67fdc,0x667fdc6f,
    0x4fdc6fdf,0xbcffd800,0xffd81ffd,0xd81ffdbc,0x1ffdbcff,0xfdbcffd8,
    0xbcffd81f,0xffa81ffd,0x644cbacf,0x0efdbcff,0x7c403f20,0x13fb3fe5,
    0xf5fd9ffd,0xacfffa8b,0xfffa84cb,0xfa84cbac,0x84cbacff,0xcbacfffa,
    0x00df8804,0xd3ffeb88,0x3ffeb88d,0xffeb88dd,0xfeb88dd3,0x05e8dd3f,
    0x6ffff5c0,0x3fffae00,0x3ffae00d,0x3fae00df,0x3ae00dff,0x2600dfff,
    0x84fffffd,0x00cffffb,0x41fb0374,0x20effeed,0xbf2effd8,0xfffffb30,
    0x3fff6609,0xffb304ff,0x36609fff,0x004fffff,0x0c007ffb,0x03000600,
    0x01a80180,0x88001100,0x00044000,0x01100022,0x10013100,0xa8164001,
    0x803f203f,0x00988000,0x88002620,0x02620009,0x0002a200,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x44000000,0x3101aaa9,0x26403333,0x376e05b1,0x07db00e2,0x540deb80,
    0x1d3001de,0xa98261ae,0x88aa8801,0x20deb801,0x44262019,0x5750004e,
    0x37ae0003,0x005e9800,0x00aa0000,0x0000a980,0xfff7054c,0x3ff20fff,
    0xff981fff,0xbf70ff70,0x201fddfd,0x7003fdfd,0x3fe601bf,0xfdef8801,
    0x7f4e7cc5,0xfff505ff,0xfb80bfff,0xc80ffc0d,0x800bf33f,0x03ffffe8,
    0x8006fdc0,0xdb301ffc,0x20007dff,0x3bbb205f,0xfd81ba3e,0x5dbfe202,
    0x03a999ef,0x40333331,0x220b623c,0x640776e2,0x9805d71d,0x0dd8803e,
    0x40ced980,0xeaaefef9,0x4e7fdc4f,0x3a605fc9,0x3e09f903,0x800bf30f,
    0x1ffa9cfd,0x8007d300,0xfff506f9,0x64c07b99,0xd9017d42,0x13e29fdd,
    0xf5037fc4,0x0007f6ff,0x00000000,0x00000000,0xbff30000,0xff10ff88,
    0x0005f881,0x97e61fe2,0x3fc005f9,0x00000ff2,0x02ff8800,0x3ae27d40,
    0x2a9f5000,0x00bf600e,0x013f25fb,0x8809804c,0x2200aaa9,0x2200aaa9,
    0x2200aaa9,0x2200aaa9,0x1300aaa9,0x837cc260,0x10bf71fd,0x2aa620bf,
    0x642fd81a,0xa997e62f,0x5f91fe01,0xa88554c0,0xaa98800a,0x20017ee1,
    0x540004fa,0x8000004f,0x301cfff8,0xb8df10bf,0x84ffffff,0x4ffffffb,
    0xffffffb8,0xfffffb84,0xffffb84f,0x42fcc4ff,0x20bf36f8,0x107f92fc,
    0xffff70bf,0xf8bf50ff,0x7f4efcc7,0x25fd05ff,0xfff00ff9,0x1dfff5ff,
    0x7ffffe40,0x50005f94,0xfa80009f,0x4cccc404,0xffc88000,0x42fcc2ef,
    0x4d6dc6f8,0x6dc2ffc9,0x42ffc99a,0xffc99adb,0x64cd6dc2,0x4d6dc2ff,
    0x3e62ffc9,0xbf36f885,0x0fecbf20,0x3bee2fc4,0xff03a999,0xdf313ea1,
    0x09fd55df,0x03ff7ff5,0x7ffdcd6c,0xdfd04fa9,0x3f679537,0x04fa8001,
    0x2027d400,0x004ffffd,0x317fed40,0x00df10bf,0x7dc013ee,0x009f7004,
    0x7dc013ee,0x3e217e64,0x3f60bf36,0xbf103f91,0x32001fd8,0xf983fb3f,
    0x407fc45f,0x4000dffe,0x2e1fa3fd,0x00fec06f,0x00027d40,0x553013ea,
    0x200009f9,0x217e64fb,0xbf3006f8,0x4017e600,0xbf3005f9,0xf997e600,
    0xbf36f885,0x83fc9fe0,0x027e45fd,0x0df1df10,0x07f60df3,0x6549fff9,
    0xf90fe401,0x6c01fe81,0x4fa8001f,0x027d4000,0xca809f50,0xf327dc00,
    0x2a0df10b,0x505fcccb,0x20bf9997,0x05fcccba,0x0bf99975,0x97f332ea,
    0x36f885f9,0x24fc88bf,0x2ffe46f9,0x0073ffe2,0x260ff7f6,0x645f905f,
    0xf92ff9df,0xbfd97505,0x7f83fd99,0x8001fd80,0x540004fa,0x13ea004f,
    0x9bd6ff98,0x4c3ffb97,0x546f885f,0x5feeefff,0x7777ffd4,0x77ffd45f,
    0x7fd45fee,0x545feeef,0x5feeefff,0x5be217e6,0xffcbdff9,0xfecefe86,
    0xffc885fb,0x3fea02ef,0x905f980f,0xfa9fe25f,0x7ec1fd9f,0xeeeefeef,
    0x201be20e,0xfa8001fd,0x27d40004,0x4409f500,0xfffe8fff,0x2fcc1dff,
    0x5ff137c4,0x3fe25f88,0xff12fc42,0x3e25f885,0xf12fc42f,0x265f885f,
    0xf36f885f,0x207dffff,0xf8aeffd8,0x17fed405,0x3e609ff0,0x3e63fb05,
    0x23fffdc5,0x03f90dfa,0xfd807f88,0x04fa8001,0x0027d400,0xffb809f5,
    0xf8806660,0x3ea6fa86,0x3ea5f884,0x3ea5f884,0x3ea5f884,0x3ea5f884,
    0x3e25f884,0xbf36fa86,0x7c410002,0x209f7005,0xbf301ff8,0x85f99fe0,
    0x0fe44ffd,0x3ff007f9,0x8001fd80,0x540004fa,0x13ea004f,0x5d50ff30,
    0xff307f40,0x3a62fd4d,0xd317ea5f,0x262fd4bf,0x317ea5fe,0x22fd4bfd,
    0x07f45fe9,0x17e6dff3,0x017e2000,0x5fc827dc,0x3f217e60,0xf707fe24,
    0xf12fb89f,0x3df700bf,0x0007f610,0x500013ea,0x27d4009f,0x3f20ff60,
    0x333fee00,0x3fe26fdf,0x25fefdbc,0xefdbcff8,0x2f3fe25f,0x3e25fefd,
    0x5fefdbcf,0x3f6f3fe2,0x67fdc5fe,0xbf36fdfc,0x8bf10000,0xffdcbcde,
    0x03bf2611,0xdbbdff98,0xccffb86f,0x263fffff,0xefddebef,0xdffd04bb,
    0x07f69d99,0x0013ea00,0x54009f50,0x4ffe884f,0xeb880dd0,0xea8dd3ff,
    0xa8bf3fff,0x8bf3fffe,0xbf3fffea,0xf3fffea8,0x3fffea8b,0xffeb88bf,
    0x017e6dd3,0xfd17e200,0x543bffff,0x4400efff,0x03efffeb,0x233fffaa,
    0x3ff21ffa,0x0bfffb15,0x977fff5c,0xfa8001fd,0x06eeeeef,0x33bf7332,
    0xfdccc84c,0x39b14cce,0x03001640,0x11000440,0x10004400,0x00044001,
    0x003c8806,0x3303c880,0x00af2603,0x00400040,0x00062020,0x0003fb03,
    0xfffffff5,0x7ffffc0f,0xfff87fff,0x007fffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x04eb93aa,0x13333551,0x510c4000,0xb8ee4015,0x09804c2e,0x1303ed80,
    0x33100aa2,0x0e980333,0x49d500d7,0x2b3ae4eb,0xb7000000,0x40001c5b,
    0x005eeee9,0xc800ef54,0x2605d71d,0x0cb8d70e,0xf3003950,0x2217ee1d,
    0xfffffffd,0x77f6d405,0x3ffeafb4,0x3f7f603f,0x7cc2fcc3,0x1fefec05,
    0x3ffeb3e6,0xffff904f,0x6f7c403f,0x877cc05f,0x7ffdc5fb,0x03fd982f,
    0xedfb81b9,0x3660feef,0x261b903f,0x8007feee,0xfb001ff9,0x77c407fb,
    0x80fec5fd,0x6ec402fc,0x3f209d30,0x037ff50c,0xaf677fdc,0xfc9cfcfd,
    0x20fb600f,0x05f985f9,0x3175c772,0xfd73bfdf,0x33333103,0x019db300,
    0x4e986ec4,0xb8bff220,0x3fa83fff,0x8776e288,0xfa83fffb,0x4001fe03,
    0xdb000dd8,0x19db3007,0x5f901fd8,0x6f880000,0x3e202fc8,0x85ffb01f,
    0xf30002fd,0x000bf30b,0x7d44ff98,0x00000003,0x4df50000,0x7443f9a9,
    0x4d4c0006,0x2037443f,0x0000007f,0x3fb00000,0x1300bf20,0x0bf30260,
    0x2fd407f7,0x7f907fb0,0x86aaa620,0x05f985f9,0x30d554c4,0x20bf10df,
    0x88009a98,0x988009a9,0x3fe0009a,0x3f21fcc1,0x02601301,0x01fc87f3,
    0x262003fc,0x42600999,0x266202a8,0x01fd8099,0x2fcc05f9,0x3fe237c4,
    0xf7017ec0,0x000fec07,0x9fffffee,0x05f985f9,0x9fffffee,0x86f885f9,
    0x03fffffc,0x0ffffff2,0x3fffffc8,0xf983fd00,0x7cc13e63,0x7cc6f885,
    0x3e013e63,0x7ffec007,0xf59f304f,0xffb09fff,0x03fb09ff,0x5f980bf2,
    0xdfc86f88,0x5c06fc99,0x007f603f,0xa999efb8,0x3e617e63,0x333df705,
    0x442fcc75,0x4d77ec6f,0xefd83ffb,0xd83ffb9a,0x3ffb9aef,0x7cc37c40,
    0x5f981ba3,0x1fcc6f88,0x01fe00dd,0x09f95530,0x2e77fbe6,0x6554c1fe,
    0x901fd84f,0x42fcc05f,0xfffd86f8,0xccc80dff,0x1ccccefd,0x7ec003fb,
    0x4c2fcc01,0x803fb05f,0x26f885f9,0x0ff886f9,0x3fe21be6,0x3e21be60,
    0x7fee4c0f,0x3f92c883,0x7c42fcc0,0x1fc96446,0x3950ff00,0xf304fa80,
    0x203fa89f,0x01fd84fa,0x2fcc05f9,0x4fe637c4,0xfff10099,0x7fffffff,
    0xfc8007f6,0x5c37cc04,0x809f905f,0x26f885f9,0x45fb02fc,0x45fb02fc,
    0x85fb02fc,0x9800befb,0x42fcc04f,0x13e606f8,0x7fcc7f80,0x413ea00f,
    0x05f886f9,0x07f613ea,0xbf3017e4,0xdfb8df10,0x03fb8000,0xf88007f6,
    0xff981cff,0x441bfea0,0xf981cfff,0x3fa6f885,0x7f47f700,0x7f47f700,
    0xfa87f700,0x003ba002,0x0df10bf3,0xff000774,0x200fffa8,0x0bf304fa,
    0x27d40df1,0x2fc80fec,0x3e217e60,0x7ffffc46,0x3ee00cee,0x0007f603,
    0x45dfff91,0xcfdcfff9,0xff9104fe,0x42fcc5df,0xa81fe6f8,0xfa81fe4f,
    0x4fa81fe4,0xfb8017d4,0xbf305532,0x3ee0df10,0x7f805952,0x7d404fe8,
    0xf10bf304,0x6c27d40d,0x405f901f,0x86f885f9,0xffeeeefd,0x407f700f,
    0x2a0001fd,0xddf32ffd,0x03fea7ff,0x265ffb50,0x3a6f885f,0x745f700f,
    0x745f700f,0x985f700f,0x15f9801c,0x5f981fff,0x5f986f88,0x7c09fdf9,
    0x13ea0007,0x37c42fcc,0x3fb09f50,0xf880bf60,0x7dc6fa86,0x704fd883,
    0x0000007f,0x0afcd3ee,0x27dc0010,0x5fb2fcc0,0x2fd87fa0,0x17ec3fd0,
    0x20001fe8,0x1fbdb0fe,0x6fa86f88,0x3a110fe8,0x8001fe06,0x0bf304fa,
    0x27d40df1,0x7fc40fec,0xf307f400,0x701fe8df,0x00fee09f,0xb8001754,
    0x000bf34f,0x64027dc0,0x503be64f,0x40ef98bf,0x077cc5fa,0x076a17ea,
    0x27ea5f70,0x20fe80fc,0x17dc6ff9,0x0ff027cc,0x9827d400,0x206f885f,
    0x91fd84fa,0x700bff99,0xdfbf99ff,0x7cc0dfd8,0x007f701f,0x9bd003f2,
    0x263ffb97,0xcde8005f,0x201ffdcb,0x7ec1ffb8,0x81ffdbcf,0xffdbcffd,
    0xdbcffd81,0x06ff81ff,0xecff97e2,0xccffb84f,0x17e26fdf,0x999717ee,
    0x801999ff,0xccefdccc,0x3e217e64,0x77ee6646,0x2e3fb4cc,0x71004fff,
    0x31ba7ffd,0xfffdffff,0x801fdc05,0xfffe806e,0x17e61dff,0x3ffffa00,
    0x7fe401df,0xbfffd703,0x7fff5c01,0x3ffae00d,0x09fb00df,0xfddb07ec,
    0xfeb881df,0x07ecdd3f,0xfd8abbf2,0x1fffffff,0x7fffffc0,0x217e67ff,
    0x7fffc6f8,0x0407ffff,0x54003000,0xb802cccc,0x0059003f,0x3c880ccc,
    0x00666000,0x08801ba8,0x20004400,0x54030008,0x003f203f,0x741fd403,
    0x0000ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x76400000,0x6dc03eee,
    0xecb80e2d,0xddd9502c,0x3332e039,0x5100cccc,0xb9103997,0x5c0017bd,
    0x71dc80de,0xdddd905d,0x00bb2007,0x059dd971,0x16f765c4,0x79999997,
    0x00f3b6e0,0x71037ae0,0x5c19bddb,0x1039500c,0x40059db7,0xa98803ed,
    0xeeec81aa,0x3b7ee04f,0x6c40feef,0xd84ffeff,0x83fffeef,0xfffffffd,
    0xfffffc80,0x7f7ffd42,0xdfb801ff,0x0ff7f600,0x027f7764,0xf302ffc4,
    0x01ffffff,0xfffffff5,0x3fffff63,0x7fff446f,0xf7000eff,0xffffa81b,
    0x07f61ffe,0x3fe61fe4,0x400dfece,0x2e03fdfd,0x407fffff,0xb8a204fa,
    0x24fd81dd,0x104c3fe8,0x0fd81ff7,0x035dfb00,0x17f217fc,0x36007d30,
    0x09f5003e,0x7d40bf60,0x702e60bf,0x0dc417ff,0xcfe8df10,0x300dfb10,
    0x17ff107d,0x407f6098,0x03be63fc,0x8ee40df5,0x9efb82eb,0x7d403a99,
    0xdf300004,0x3e00df10,0x4007ec1f,0x5f9805fb,0x00007f88,0x027d4000,
    0x002fe800,0x20003ff1,0x217ee6f8,0x20001fe8,0x3fb005fa,0x06e8ff20,
    0x20000fea,0xfa8001fd,0x15442604,0xff882fc8,0x6c0fe801,0x00fe800f,
    0x5fa86f88,0x40551098,0x002aa218,0x330e29f5,0x21333333,0x3f2006fa,
    0x9be20004,0x09f701fe,0x33333333,0x6c017ee1,0x2a7f901f,0x27ffd33f,
    0x1002627e,0x40027e43,0x59f304fa,0xfd89ffff,0x017ffd40,0x03f617e6,
    0x6c009f30,0x85fd30df,0xffffacf9,0xfff57d84,0x66fd407f,0x7ffffc6f,
    0x07f94fff,0x00007f40,0x303fcdf1,0xfffff0bf,0x3fe69fff,0x901fd803,
    0x3e23ee7f,0x23f72abf,0x87ec02fb,0x001cfff8,0x3be609f5,0x21feb9df,
    0x7e7fe47e,0x6fe55443,0xceeefd80,0x7f667dc1,0xffd882ef,0xef982ffd,
    0x41feb9df,0xfc9cfcfd,0x9fff500f,0xbaaaaa81,0x003fb2ff,0x266623fc,
    0x45be2009,0x21be206f,0xffbaaaaa,0x80bbfee2,0x27f901fd,0xf305f77d,
    0xfd00fea5,0x2efffc88,0xf9827d40,0xff1fd44f,0x3ea37fa2,0x67fffd44,
    0xfffeec80,0x37ffee4f,0xfd03ffdc,0x3fe609ff,0x3f61fd44,0x2217ec2f,
    0x2000effc,0x007fa4fc,0x3ff237cc,0x5be202ff,0x1fe205f9,0x75427e40,
    0x1fd83fff,0x65ba7f90,0xf13f880f,0x81be14c9,0x2a02ffda,0x10df304f,
    0x7fd7fcbf,0x33113ea3,0x8803ff95,0x09f93ffa,0x7f441ff3,0x4c0effbd,
    0x6c5f886f,0x2a3fc83f,0x2004feff,0x00ff45fb,0x554c6f88,0x5be202fd,
    0x1be205f9,0xb3017ee0,0x0fec1dff,0x2adb3fc8,0x3e2f981f,0x2fc4bf65,
    0xf5027dc0,0x2217e609,0x07fffa6f,0xbf7007f7,0x7dd7f200,0x7fc5fb03,
    0xf317f622,0xfd8df10b,0xf5199001,0x03fe6009,0x3fc005fb,0x7c405f90,
    0x7cc0df16,0x007fcc05,0x3f65fe88,0x5f27f901,0xf5189df8,0x2bff3743,
    0x4fb804f9,0x7cc13ea0,0x3f66f885,0x002fc80d,0x5be600ff,0x27f904fa,
    0x0ff884fa,0x1be217e6,0xf50003fb,0x03fd1009,0x7f4009f9,0x4c05f901,
    0x5c03fe6f,0x07fa204f,0x361ff100,0x2e5fb01f,0x29fff92f,0x7d5f60fc,
    0x3a2fa8fd,0x1ffdcbcd,0x7cc13ea0,0x3ee6f885,0x2200ff04,0x29f5006f,
    0x23fb06f9,0x43fd03fc,0x46f885f9,0xfa8001fd,0x303fd804,0x3ee001ff,
    0x5c05f905,0x740bf65f,0x00ff601f,0x2fc87fc0,0x22fc1ff0,0x644f889a,
    0xbafaed8f,0x3ffffa1f,0x27d401df,0x6f885f98,0x13f20ffc,0x4401fec0,
    0x307fa1ff,0x4c37dcdf,0x442fcc7f,0x000fec6f,0x3ee027d4,0x4077ec05,
    0x6427fc08,0x3fe8852f,0xbf907fe6,0x0102fdc0,0x0df537dc,0x84fb8df7,
    0x57dc0fe8,0x01f9bf3f,0x2a003fb1,0x10bf304f,0xbcffa8df,0x33220dfe,
    0xd85ffccc,0x43ffdccc,0xffcacffa,0x2f3bfa21,0x2fcc3ffc,0x07f637c4,
    0x9813ea00,0x7f4400ef,0x40fedcef,0xfccdfff9,0xffbbdf2f,0xd9bff90d,
    0x3be601df,0x3337b600,0x7ec1ffec,0x81fffcce,0xfecabdfc,0x91fdfa82,
    0x03f40fbf,0x33bf7332,0x2217e64c,0xeffe986f,0xfffff884,0xfffff02d,
    0x3ffa603b,0xffc880df,0x5f982eff,0x0fec6f88,0xefdccc80,0x37fe24cc,
    0xc84ccccc,0x80cdfffe,0xcffffec8,0x09ffff90,0x067fff5c,0xcccdff88,
    0xffff94cc,0x3f2019ff,0x2a00dfff,0x300dfffd,0x37fccdff,0x7fc04f88,
    0x27ffffff,0x06f885f9,0x004cc004,0x0c000998,0xf9803100,0x7ec6f885,
    0xfffff001,0x7fc4ffff,0x07ffffff,0x02620004,0x00400088,0x7fffffc4,
    0x00cc47ff,0x02000220,0x3fe1ffc0,0x00015105,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0x99880deb,0x376e0199,0x009d10e2,0x80b624c8,0xb901aa98,0x5c00bae3,
    0x012e00de,0x666f6e4c,0x0fb600cc,0x4e8812e0,0x00005d80,0xcccca800,
    0x003c884c,0x15799993,0x33333320,0x1972cccc,0x80054c00,0xff900dfb,
    0xbf703fff,0x2a1fddfd,0x00aaaefb,0x3fdc3fe6,0x4fffffc8,0x007fbfb0,
    0xf88037ee,0xeeffb806,0xb01fffff,0x7c407fbf,0x2017e606,0x03ee007f,
    0x3fe00f54,0xf887ffff,0xffff7006,0x55f05fff,0x99555555,0x7c4007fa,
    0x03e9806f,0x80ccccc4,0xf8776e28,0x01ffffff,0xd05b11e4,0x079537df,
    0xe9801f6c,0x406f8803,0x09f51ef9,0x0bae3b90,0xbf3037c4,0x5c00ff00,
    0x01ff885f,0x100bf7ea,0x93ee00df,0x93c2ffb9,0x3fd4a835,0x01ffea00,
    0x00000000,0x0333df53,0x037dc000,0x98000000,0x9999ef99,0x4fa87f60,
    0x26660000,0x309999ef,0x00ff00bf,0xeeffdfd8,0x7df6c02f,0x0a37c402,
    0x37d427dc,0x2a5fcc9e,0x6c003fd4,0x3333102f,0x4cccc401,0x26666200,
    0x400bf300,0xd0099998,0x2666003f,0x44099999,0xf302aa21,0xffffffff,
    0x9f51be6d,0x09999880,0xffffff98,0x2bf36fff,0x307f82a8,0xdeff8813,
    0x67cc06ff,0xb7c402fb,0x09f707ea,0xe8878bf6,0x007fa954,0xffffd800,
    0x3ffff604,0x3ffff604,0x3aebf304,0xfffd80be,0x400ff04f,0xffffffff,
    0xfffabec4,0x3eeaa23f,0xf52aaaae,0x6c04fa87,0xa884ffff,0xaaaaefba,
    0xfff5bf32,0x7ec3fc9f,0xf12fdc0d,0x5c7e403f,0x77fc402f,0x09f702ef,
    0xd70793ee,0x000ff52a,0x9f955300,0x27e554c0,0x09f95530,0x3fbf77e6,
    0xfcaa987f,0x2006f884,0xffbaaaaa,0x4e7e7ec2,0x6f880ffc,0xbf50fee0,
    0x95530555,0x06f8809f,0x2a77fbe6,0xfc8ff1fe,0xfd83fb05,0x67dd7e02,
    0xeffa82aa,0x2b7f2a02,0x20f2fd42,0x07fa955d,0xa8000f26,0x09f5004f,
    0x7cc13ea0,0x80bf22ff,0x00ff04fa,0xfd84fc80,0x4417ec2f,0x50bf206f,
    0xa80fffff,0x037c404f,0x3fa89ff3,0xd02fe4ff,0x503fb81f,0x3fffee5f,
    0x01bffa66,0x83fffffe,0xfe99e6f9,0x07fa951e,0x4000bffe,0x9f5004fa,
    0x4c13ea00,0x027cc1ff,0x07f609f5,0xd82fdc00,0x2e3fc83f,0xccccffcc,
    0xcfa85f90,0x27d40199,0xf981be20,0x2ff5f886,0x17f405fc,0x73f40bf2,
    0x75c1337f,0xfb9806fb,0xf2fd419c,0x752a074c,0x1fffc41f,0x13ea0031,
    0xa8027d40,0x10bf304f,0x827d40df,0x20081efa,0x3fb00ff9,0x3ffffa00,
    0x7f70ffff,0x2a004fa8,0x037c404f,0x2df10bf3,0xc805fcff,0x203fe24f,
    0x40bee4f9,0x2e00df10,0x3c9f704f,0x3fa950d3,0xd10efb81,0x09f5009f,
    0x54013ea0,0x10bf304f,0x027d40df,0x9d99dff9,0xd807fa20,0x37c4001f,
    0x4fa8bf50,0x1013ea00,0x42fcc0df,0xdf7ff6f8,0xd9dff300,0x3bbf20bf,
    0x7c402fee,0x209f7006,0x2a01e2fd,0x2a003fd4,0x4fa807ff,0x2009f500,
    0x0bf304fa,0x27d40df1,0x3bfffa60,0xd807fb02,0x3fc4001f,0x4fa8ff10,
    0x1013ea00,0x42fcc0ff,0x3f2ff6f8,0x7ff7e405,0x7fc42fff,0x402feeee,
    0x9f7006f8,0x73c1ff30,0x3fd4a81d,0x013fa200,0x7d4013ea,0x209f5004,
    0x06f885f9,0x3ea013ea,0x402fdc04,0xff8001fd,0xfa93f201,0x013ea004,
    0x2fcc07fe,0x367fb7c4,0x22bf505f,0x2e0ff989,0x2017dc3f,0x9f7006f8,
    0x73c3ffa8,0x3fd4a81f,0xf5000800,0x013ea009,0x5f9827d4,0x3ea06f88,
    0x201fc804,0xfd800ef9,0xdffb8001,0x3bfa24cc,0x0cccefdc,0x2e013ea0,
    0xf34ccdff,0x9fedf10b,0x0fc84fe8,0x07f43f90,0x033337ee,0xdddddff1,
    0xfeeefb8d,0xa80783ff,0xdddddfd4,0x9990007d,0xc8999dfb,0x4ccefdcc,
    0x677ee664,0x2217e64c,0x7ee6646f,0x0fd04cce,0x6666ffc4,0x00fec4cc,
    0x6ffffb80,0x7ffffec4,0x66641fff,0x204ccefd,0xf36ffffb,0x1fedf10b,
    0x80109ff1,0x3ee17e60,0x7c40ffff,0x47ffffff,0x0beefffb,0xfffffff0,
    0x3ffa9fff,0x004fffff,0xfffffff8,0x7ffffc7f,0x7ffc7fff,0x267fffff,
    0x7c6f885f,0x7fffffff,0x7fc40350,0x47ffffff,0x440001fd,0xf0008801,
    0xffffffff,0x5f983100,0x30ff6f88,0x000007ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x44c8164c,0x326003c8,0x800abccc,0xcc83dedb,
    0xcccccccc,0x26019912,0x33332a3c,0x99972ccc,0x98059999,0x999902cc,
    0x25999999,0x79500cc8,0x5e666644,0x99999901,0x00726599,0x0072e195,
    0x3332e395,0x079102bc,0x8b201991,0x002c984a,0x39910797,0x1fe09f50,
    0x7dc00bf3,0x02ffffff,0xdfddffd1,0x7fffffc1,0x3f64ffff,0x7ec5fb04,
    0xb4ffffff,0x9fffffff,0x81fffc40,0xffffffff,0x213f24ff,0x3fe61ff8,
    0xf86fffff,0x5fffffff,0x27d807f5,0x8ff404fc,0xeffffffd,0x7ec2fcc1,
    0x3e47f103,0xfd8027d4,0x21ffdc0f,0x9999cfb8,0x3be61ff9,0x3ee01aaa,
    0x20bfee64,0x201d44fc,0x3fe202fd,0x3f62fd40,0x000fec02,0x801fefe4,
    0x3fe202fd,0x3e627e41,0x813fa625,0x03fa82fd,0x40ff33ec,0x447f66f9,
    0x3e62ffc9,0xf302fe45,0x27d436c5,0x742ffe80,0x7ffe43fe,0xffffffff,
    0xffffff31,0x509f707f,0x001ff0df,0xfb805fb0,0x3f60ff45,0x000fec02,
    0x00fef7e6,0x3ea017ec,0xf303be66,0x6c0bf50b,0x404f982f,0xb80ff47e,
    0x2a07f63f,0xfa97e66f,0xdd0fd406,0x3a009f50,0x3f3e65ed,0x556fe4c3,
    0x30bffaaa,0xff7333df,0xfb04fb87,0x80037c45,0x1fe802fd,0x05fb09f7,
    0x74001fd8,0xb003fb8f,0x27fb005f,0x85f982fe,0x0bf605f9,0x8dd013e6,
    0x41fd04fc,0x25fd01fd,0x01df15f9,0x3ffffffe,0x9f50ffff,0x43f37e00,
    0xfa84f9fc,0x5f98ff04,0x3ee0ff98,0x7c49f704,0x05fb0006,0x1ff1df50,
    0xfd805fb0,0x5cbf2001,0x05fb003f,0x0bf9ff10,0x0ff217e6,0x4f882fd8,
    0x4c6f83aa,0x6c6f887f,0x267f701f,0x201fe8df,0xfbaafdaa,0x09f50aad,
    0x7cfe77e0,0x4fa84f8c,0x05f98ff0,0x37f2a3fb,0xa9afd42a,0x009999ef,
    0x337fb331,0x17f7ec01,0x9999bfd8,0x2aab3f61,0x72fcc0aa,0x0bf6007f,
    0x807ffdc0,0xfdbaaef9,0x4417ec03,0x5f8bf65f,0x1fdc1fe8,0xafd407f6,
    0x002fddf9,0x541fc4f9,0x3abf004f,0x84f89fae,0xfffffffa,0xe82fcc7f,
    0xffffff2f,0xfffb7cc1,0x905fffff,0x5fffffff,0xb02ffc40,0x3fffffff,
    0x3ffffff6,0xf707f42f,0x00bf6007,0xf3027fc4,0x05dfffff,0x2bf02fd8,
    0x217e5ff8,0x207f44fc,0x2df301fd,0x2006fff9,0x2a0be66d,0x74f8804f,
    0x217e2ddf,0xcccccefa,0x442fcc7f,0x39f730ff,0xf755fa83,0x2035555d,
    0xaacfeaa9,0x7f555440,0x67ec2aac,0xfb0aaaaa,0x41333335,0x01fdc3fb,
    0xf9002fd8,0x3be603ff,0x04ffba99,0xab7c0bf6,0x84f88fdf,0x21be26f9,
    0x2bf501fd,0x004fddf9,0x540fd4bd,0x14f8804f,0x217e27ff,0x98ff04fa,
    0x22fec45f,0x49f704fb,0xfb0006f8,0x7fffc405,0x7ec5ffff,0x200fec02,
    0x03fb85f8,0xf3005fb0,0x3e60df7f,0xb00ff885,0x76dba05f,0xd04f8bfa,
    0x360fee3f,0x269f701f,0x502fe8df,0xfb99df99,0x027d459b,0x41fb27c4,
    0xf04fa85f,0xeccef98f,0x27dc0eff,0x1be22fd8,0x0017ec00,0x17ec05fb,
    0xf7007f60,0xffffffff,0x02fd80ff,0x07fd2fe8,0x0bf60bf3,0x8fe817ec,
    0x07f1df3f,0x407ecff2,0x25fb01fd,0x03ff35f9,0xfdddfdd5,0x27d47ddf,
    0x81127cc0,0xf04fa86f,0xfffff98f,0x309f703e,0x037c41ff,0x2002fd80,
    0x0bf602fd,0xea803fb0,0xefeeeeee,0x017ec06e,0x0ff99bee,0x7fc42fcc,
    0x3605fb01,0xf5f90faf,0x3e3be605,0xf503fb06,0xfa97e61f,0x647f100e,
    0x3009f507,0xa86f809f,0xf98ff04f,0x4fb8009e,0x3e21ffd4,0x05fb0006,
    0x7fffffc4,0x017ec5ff,0xb80007f6,0x05fb003f,0x3f20ffc4,0x3222fcc5,
    0x40bf606f,0x37ea6dfc,0x3f3fa02f,0xfb83fb03,0xf917e62f,0x6d8be60b,
    0xf5009f50,0xfa87f807,0x5f98ff04,0x3bbbee00,0x7e643fff,0x0ccccccf,
    0x5500bf60,0x85559fd5,0x77ec02fd,0x803eeeee,0x5fb003fb,0x7c427ec0,
    0x333be62f,0x7740fffe,0x24eeeffe,0x7ffc3ffc,0x03fff201,0x7ff777ec,
    0x742fcc2f,0x3a1fa84f,0xdddff506,0x01fd4ddd,0x413ea1fe,0x002fcc7f,
    0x17ddfff7,0xfffffff0,0x7ec03fff,0x80bf6002,0x7fec02fd,0x804fffff,
    0x5fb003fb,0x5c03fee0,0xffff30ff,0x3ffe07dd,0x2e5fffff,0x0ffe41ff,
    0x6c0dff30,0x80beefff,0x2ff885f9,0x20bf07dc,0xfffffffa,0xfd00fea7,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3333332a,0xbb500ccc,0x1cedb980,0x073b7220,
    0x39700b2e,0x8e54132a,0x439500cb,0x80bccccc,0x1bccccc8,0xcccccca8,
    0x99100ccc,0x30220007,0x0032a000,0x300d54c4,0x40260135,0x2a154409,
    0x2155300a,0x53100aa8,0x2a620155,0x7ffe41aa,0x41ffffff,0x2e06ffea,
    0x83ffffff,0x3ffeeffa,0xf9807fd4,0x2e0fff27,0x3203fb2f,0xfffff12f,
    0xfff987ff,0x7ec5ffff,0xffffffff,0x01fff501,0xf50ee880,0x03f90009,
    0x9fffff90,0x3fffffa8,0x37c42fcc,0x3fadfff1,0x7fffc0ef,0x40efffaf,
    0x4ffffffb,0x3fffffdc,0x26666662,0x3ffa26fc,0x3bd106fd,0xff107fd4,
    0x360ff443,0x645fb04f,0xb2fb86ff,0x44bf203f,0x87fee66f,0x3fae25f9,
    0x26666625,0xfb00ff99,0x7cc007fb,0x037f623f,0x7401fc80,0x23ca9bef,
    0xfea89efb,0x3e217e62,0x3beebfa6,0x56c4fabf,0xfa9fffb9,0x64cd6dc4,
    0x33df72ff,0x3e200753,0x2637e21f,0x7ec0206f,0x3ea0ff22,0x2a07fcc5,
    0x17efe46f,0x80fecbee,0xb0df12fc,0x4c2fcc9f,0x4fa800ff,0x0bf3df10,
    0x640bfea0,0x3f9000ef,0x22037dc0,0x337c40ff,0x22df10bf,0x7d97fa4f,
    0x0fd1fec0,0x0fed3ee0,0x107fb000,0x640037cc,0x7c07f63f,0x7f45fc87,
    0x237d7e41,0x203fb2fb,0x70df12fc,0xe82fcc9f,0x00fe802f,0x003fe7f5,
    0xfb801df9,0xdaaaa81f,0x3a1aaacf,0x827d401f,0x10bf30fe,0xfc8beadf,
    0xfc803f24,0x26003f21,0x0009f95f,0x3e601bea,0x22fd8006,0x81fd01fd,
    0x0bf51ff8,0x5c5fb3f9,0x3203fb2f,0xfb0df12f,0xfe82fcc7,0xb027d401,
    0x440bf63f,0xf3000dfd,0xffffe87f,0x3e3fffff,0xccdfb807,0xf31feccc,
    0x3eedf10b,0x3b33bf22,0x7f65d41f,0xa81feccd,0xf15fcccb,0x220039ff,
    0x6f9801ff,0x907fc400,0x207fa09f,0x901fd5fb,0x7dcdf33f,0x55557fb2,
    0x3fe25fb5,0x4c6fc999,0x00ffa85f,0x6f8807f4,0x3fa217ea,0x4fe88004,
    0x33f6aaaa,0x0df11aaa,0xffffff90,0x17e63fff,0x70fddbe2,0x41dddddf,
    0xeefeeffd,0x3fea0eee,0x225feeef,0x402efffc,0xdf3003fd,0x443fd800,
    0xfeb99cff,0x9f9fd00f,0x8fec7f20,0xffffb2fb,0x225fffff,0x0cffffff,
    0xfd732fcc,0x204fa807,0x03fe24fa,0x30003bf6,0x0fe405ff,0xfb807f88,
    0x10bf3003,0xfc8beedf,0x6437ea04,0x0bfe201f,0x3f6a0bf1,0x00df502f,
    0xf90037cc,0x3fffa60b,0x3ea07edf,0x23f900ff,0x365f75fa,0xd99999af,
    0xf95ff12f,0xffff303f,0xfd007fff,0x360fec03,0x03ff702f,0x9007fee0,
    0x00ffc03f,0x7c401bea,0x5f56fa86,0x3f902fec,0x9f501fe4,0xfb80bf10,
    0x001ff884,0x7e401be6,0xf09a9806,0x203fe80d,0x2e7fa1fc,0x3203fb2f,
    0x7c4df12f,0x6f7fcc0f,0x5fa800ac,0x3ea1fe20,0x00bfea05,0xf9001df9,
    0x40f7dc03,0x2005ff10,0x5bfe60fe,0x1fff15f9,0x7fc4bee0,0xd317ea05,
    0x84fb80bf,0x7cc003fd,0x00efc806,0x6c05f980,0xa87f202f,0x3fb2fbcf,
    0x37c4bf20,0x0bf313f2,0xa807fa00,0xffffffff,0x13fa600f,0xa8017f62,
    0x77ff400c,0x3fea4ecc,0x5c4cbacf,0x6fdfccff,0x3f3fb3fa,0x3be65ccf,
    0xbbefddeb,0x36f3fe24,0x79bd5fef,0xfa83ffb9,0x06f98006,0x800077e4,
    0x17ec00fe,0xcfe83f90,0x3203fb2f,0xf88df12f,0x0017e60f,0xdfb017ea,
    0x5ffddddd,0x265fe880,0x000004fe,0x0bbfffae,0x9fffffb3,0xd3ffeb88,
    0xb9fff44d,0x7fe45fff,0x8bfffb15,0xbf3fffea,0x37fffffa,0x000ffc41,
    0xbf9037cc,0x0ffa6000,0xfc80bf60,0xd97ffdc1,0x225f901f,0x264fc86f,
    0x1fe8005f,0xfb81fe20,0x744bb005,0xcccc9802,0x400ccccc,0x00131001,
    0x04c02003,0x88031010,0x20199800,0xeeeeeffc,0x3bbba1ee,0xf50eeeff,
    0xdddddddf,0x7fff76c3,0x405fb003,0x2fff81fc,0x4bf203fb,0x0ff886f8,
    0xfa800bf3,0x1027d406,0x000000ff,0xfffffff7,0x000001ff,0x00000000,
    0x00000000,0x3ffffff6,0x3ffe2fff,0x51ffffff,0xffffffff,0x5ef7fc5f,
    0x80bf6000,0x2ffb81fc,0x4bf203fb,0x27fb06f8,0x7f4005f9,0x2017ec02,
    0x000002fe,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0009a988,0x4c350980,0x99999982,0x40262099,0x80131098,0x3100cc18,
    0x0aa88621,0x30551098,0xa8026603,0x0bf2000c,0x00999988,0x39ddb300,
    0x0073b2a0,0x54281500,0x20c41501,0x00ea8019,0x2ea13f66,0xfffffc80,
    0x7bfd9103,0x39ff97f0,0x7ffc1fff,0x2e4fffff,0x8ffc40ff,0x07ec02fb,
    0x4ff203ff,0x7ffff57d,0x7ffd67cc,0x3f61fe4f,0x007f200d,0xfb02ffc4,
    0xff909fff,0xdcdc83bf,0x777dc0ff,0x7fecc2ff,0x2a5f981d,0xb83ff14f,
    0x7c43be5f,0xb107a806,0xffa89fff,0x5cd77ec6,0x56fcc3ff,0x7efc5ea9,
    0x2fbbeee9,0x3eeaaaaa,0x3a2fec2f,0xd00fea3f,0xff04fc8f,0x273f3f61,
    0xfdf30ffc,0x3e3fd73b,0x6402fe47,0x0bf6001f,0x84fcaa98,0x406fdccc,
    0x997e22fb,0x7f6ff46f,0xf88ff40f,0x5c7fea0e,0xb93ea0ef,0x2f33d83f,
    0xf79f12e8,0x267ffc89,0x10ff886f,0x3a7bd57d,0xb7e4ffe4,0x27e404f8,
    0x5fb97f44,0xf85327c4,0x7d43fc46,0xfb0bff65,0xf513fe65,0x05fc9fe7,
    0x00003f90,0x74027d40,0x7ee5440f,0x1fd0bea3,0xfb8bfa04,0x3ea07f63,
    0xfc80efcf,0xdf703fa2,0x845df7d7,0x27fcc4fa,0x4bf605f9,0x33f3b76b,
    0x2fc9be1f,0x2fdc09f1,0x1df3ff30,0x897ecbf0,0x6c2fd85f,0x320ff62f,
    0xf10df33f,0x02fe5feb,0x00003f90,0xa9827d40,0x66fe44fc,0xb0fee3fd,
    0x88ff401f,0xa813ea6f,0x3fa00eff,0x3ee0bf30,0x13ea02ef,0x5c03fa04,
    0x2b6e993f,0xc9be5f0f,0x2609f11f,0x7fdc00ff,0x7fcdd01f,0xbf509f35,
    0x07f63fc4,0x3e217e60,0x80bf9ff6,0xffffffff,0x3fffe5ff,0x05ffffff,
    0x3ff209f5,0xfa97e23f,0x6f897ea3,0xef897f20,0x7dc0bf30,0x4df101ff,
    0xffd984fa,0x09f500bf,0x4fa81fe0,0xe8fbae9b,0x88fe4df2,0x01fe884f,
    0x3605ff88,0xf51fbf57,0x7d43fe05,0x4c00fec4,0xff6f885f,0xeee80df7,
    0x4eeeeffe,0x3bbbbbba,0x9f504eee,0x8ff66620,0x43ffbaef,0x82febdfe,
    0x4fa85fd8,0x3bee0bf2,0x1fd81ffa,0xcfd81fd1,0xa83fe9ea,0x01fd004f,
    0xcbadcbee,0xdf0f88f9,0x84f88fe4,0xffb003fd,0x363f205f,0x01fbafae,
    0xb03fa7f9,0x0bf3003f,0x7e5fedf1,0x007f2005,0x04fa8000,0x3faa4fc8,
    0x7ec43f9d,0x3ff982ef,0x0fe87f60,0x7fd43bee,0x2fc8fee1,0x0dcf51b8,
    0x0bdffddd,0x3fd02fd8,0x5ed2e7e2,0x1fc9be5c,0x05fb89f1,0x3ff1bf70,
    0x3e7f5f70,0xdf300fcd,0x03fb0bf1,0xdf10bf30,0x005fd9fe,0x008003f9,
    0x33213ea0,0x0001ffdb,0xddfff300,0x266f88bd,0xa81df14f,0x5f89ba5f,
    0x3fe07a80,0x4c06ffff,0x22fd40ef,0x1fb10bfb,0x223f937c,0x003be64f,
    0x77d43fe6,0xc8fefd40,0x67f407df,0x801fd82f,0xf6f885f9,0x4027f44f,
    0x3fa001fc,0xf09f5003,0x64c3bfff,0x30cccccc,0x19999999,0x3fffffe6,
    0x04418186,0x00440818,0x8000024c,0xffdbcffd,0xdfffe981,0x23f937c0,
    0x9bff14f8,0x7c499999,0x262fec2f,0x1bfe66ff,0x360fff70,0x85f9801f,
    0xf88ff6f8,0x00fe404f,0x3205ff88,0x4ccefdcc,0xfffff700,0x3ffee1ff,
    0x0000ffff,0x00000000,0xb8000000,0x400dfffe,0xfc9be018,0x3fe29f11,
    0x27ffffff,0x3ff884fe,0x17fe1ffc,0x3609ff10,0x85f9801f,0xf30ff6f8,
    0x0054c07f,0x7fc01b70,0x07ffffff,0x00000000,0x00000000,0x00000000,
    0x00000022,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xb8000000,0x40bb800c,0x889d91ee,0xfffb802a,
    0x90ffffff,0xffffffff,0x88f2008d,0x1bd7002d,0x13333310,0x8881eea8,
    0x00000888,0x00000000,0x00000000,0x00000000,0x3efeb800,0x5017fe60,
    0x91ff8bff,0x77ffcc9f,0xdddaaec1,0x70dddddd,0xfbbbbbbb,0x2617fa2d,
    0x00ff70ff,0x3f201bf7,0xf981ffff,0x7ffffc1f,0xffffff4f,0x09ffffff,
    0x00000000,0x00000000,0x00000000,0xfd9bfb00,0x0befb607,0x7fc7ff98,
    0x5ff49f91,0x0bf11ffb,0x5dbe0000,0x23c80fff,0x275402c8,0x26666620,
    0x741db100,0x993eeeee,0x99999999,0x00000599,0x00000000,0x00000000,
    0xfa800000,0x8fd43f43,0x23fe406e,0x227f70fe,0x3f7fe65f,0xf000002f,
    0x001bfe6d,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x1fc83f70,0x409f32f4,0xb87f46fa,0xe983713f,0x3ffee3ff,0x00ffffff,
    0x005ccdf0,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfd0bee00,0x3f60fdc1,0x542fe880,0x04002a22,0x66666654,0x01000ccc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3be60000,
    0x3e25fb88,0x3a65f885,0x000003ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfffb8000,0x402a20ef,0x017b30a9,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00015d44,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_23_latin_ext_x[560]={ 0,4,2,0,1,0,0,5,3,2,1,0,2,2,
4,1,0,1,1,1,0,1,1,1,1,1,4,2,1,1,2,3,0,0,1,1,1,2,2,0,1,1,2,1,
2,0,1,0,1,0,1,1,0,1,0,0,0,0,1,3,1,3,1,0,0,1,1,1,1,1,0,1,1,1,
1,2,1,1,1,1,1,1,2,2,0,1,0,0,0,0,1,1,5,2,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,1,1,0,0,
5,1,0,0,2,1,1,2,1,0,2,1,2,3,0,1,1,4,4,2,2,1,0,0,0,2,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,1,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,-1,-1,0,1,0,0,0,0,0,0,2,1,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,1,1,1,0,0,1,2,2,0,0,2,
1,-3,-2,2,1,0,1,0,0,1,1,0,0,0,1,1,0,0,0,0,0,0,0,0,-1,0,1,2,-1,0,
0,0,0,0,1,2,0,0,0,0,0,-3,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,0,0,
0,0,0,0,0,0,0,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,-1,0,-2,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,1,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0, };
static signed short stb__consolas_23_latin_ext_y[560]={ 17,1,1,2,0,0,1,1,0,0,1,5,13,9,
13,1,2,2,2,2,2,2,2,2,2,2,5,5,4,8,4,1,0,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,1,0,2,19,1,5,1,5,1,5,0,5,1,0,
0,1,1,5,5,5,5,5,5,5,2,5,5,5,5,5,5,0,-2,0,8,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,17,5,0,2,2,2,
-2,0,1,2,2,6,10,9,0,1,0,3,0,0,1,5,1,8,17,1,2,6,0,0,0,5,-2,-2,-2,-2,
-2,-3,2,2,-2,-2,-2,-2,-2,-2,-2,-2,2,-2,-2,-2,-2,-2,-2,6,-1,-2,-2,-2,-2,-2,2,0,1,1,
1,1,1,0,5,5,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,5,3,1,1,1,1,1,1,1,
-2,1,-2,1,2,5,-2,1,-2,1,-2,1,-2,1,-2,0,2,1,-2,1,-2,1,-2,1,2,5,-2,1,-2,1,
-2,1,-2,1,2,0,-2,-3,2,1,-2,1,-2,1,-2,1,2,0,-2,5,2,1,-2,1,2,1,5,-2,-3,2,
1,0,0,2,1,2,1,-2,1,2,5,-2,1,-1,2,5,-2,1,-2,1,-2,1,2,5,-2,1,2,5,-2,1,
-2,1,-2,1,2,5,-2,1,2,2,-2,0,2,2,-2,1,-2,1,-2,1,-3,0,-2,1,2,5,-2,1,-2,1,
-2,-2,1,-2,1,-2,1,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,-5,-3,-2,1,-2,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,5,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static unsigned short stb__consolas_23_latin_ext_w[560]={ 0,4,8,13,11,13,13,3,7,8,10,12,7,8,
5,10,12,11,11,11,13,10,11,11,11,11,5,7,10,11,10,8,13,13,11,11,11,9,9,12,11,10,8,11,
10,13,11,13,11,13,11,11,12,11,13,13,13,13,11,7,11,6,11,13,8,10,11,10,10,11,12,11,10,10,
9,10,10,11,10,11,11,10,10,9,11,10,12,13,12,12,10,10,3,9,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,0,4,10,11,12,13,
3,11,11,13,9,10,10,8,11,10,9,11,8,7,11,12,11,5,4,8,9,11,13,13,13,8,13,13,13,13,
13,13,14,11,11,11,11,11,11,11,11,11,12,12,13,13,13,13,13,10,13,12,12,12,12,13,11,11,11,11,
11,11,11,11,13,10,12,12,12,12,11,11,11,11,11,11,12,12,12,12,12,12,11,11,11,11,11,12,11,12,
13,11,13,11,13,11,12,12,12,11,12,11,12,11,13,15,12,12,11,12,11,12,11,12,10,11,11,12,12,12,
12,12,12,12,12,12,12,11,13,11,11,11,11,11,11,11,11,11,11,10,11,11,10,10,11,10,10,12,11,10,
10,15,15,11,14,12,10,12,11,11,10,12,11,12,11,10,13,12,13,12,13,13,13,13,13,12,11,10,13,12,
12,11,12,11,11,9,12,11,12,11,12,15,12,11,12,11,12,11,12,11,12,11,13,13,11,11,13,13,13,12,
13,12,11,12,11,12,11,9,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,13,11,14,13,15,13,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,11,9,12,11,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12, };
static unsigned short stb__consolas_23_latin_ext_h[560]={ 0,17,6,15,20,18,17,6,22,22,10,12,8,3,
5,19,16,15,15,16,15,16,16,15,16,15,13,16,14,6,14,17,22,15,15,16,15,15,15,16,15,15,16,15,
15,15,15,16,15,20,15,16,15,16,15,15,15,15,15,22,19,22,8,3,5,13,17,13,17,13,17,17,16,17,
22,16,16,12,12,13,17,17,12,13,16,13,12,12,12,17,12,22,24,22,6,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,0,17,20,15,15,15,
24,20,5,16,11,10,6,3,12,5,9,14,10,11,5,17,19,5,4,9,11,10,17,17,17,17,19,19,19,19,
19,20,15,19,19,19,19,19,19,19,19,19,15,19,20,20,20,20,20,10,21,20,20,20,20,19,15,18,17,17,
17,17,17,18,13,16,17,17,17,17,16,16,16,16,17,16,17,17,17,17,17,12,17,17,17,17,17,21,21,21,
19,17,19,17,20,17,20,17,20,17,20,17,20,17,19,18,15,17,19,17,19,17,19,17,20,17,19,17,20,21,
20,21,20,21,20,22,19,20,15,16,19,16,19,16,19,16,20,22,19,12,16,21,20,21,20,21,12,19,20,20,
21,17,17,15,16,15,16,19,16,20,17,19,16,18,20,17,20,17,20,17,20,17,16,13,19,16,20,17,19,16,
20,17,20,17,19,16,20,17,20,20,19,18,15,16,20,17,20,17,20,17,21,18,20,17,20,17,19,16,19,21,
19,19,16,19,16,19,16,17,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,19,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,22,21,19,17,22,19,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,20,17,20,20,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15, };
static unsigned short stb__consolas_23_latin_ext_s[560]={ 253,251,43,215,127,84,155,252,35,98,229,
121,35,138,249,245,24,13,25,37,99,49,60,111,72,37,248,248,137,65,148,
139,127,123,140,132,191,89,79,144,75,152,157,203,229,240,63,166,99,88,87,
192,113,204,177,163,126,49,1,107,15,43,23,147,129,233,143,171,176,182,27,
15,147,237,75,158,1,25,99,1,95,107,88,244,135,194,75,61,48,130,37,
50,5,9,52,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,
223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,253,247,139,
40,169,65,1,227,94,216,166,195,77,138,13,118,13,159,186,158,106,63,27,
88,251,240,176,217,148,174,162,247,1,82,41,14,118,138,182,192,168,144,106,
210,185,235,173,161,210,197,147,79,40,121,93,206,14,54,27,232,205,204,15,
98,71,59,47,35,23,72,219,61,226,213,200,187,203,1,123,49,139,12,113,
100,87,74,61,134,49,37,25,13,1,141,241,192,175,185,201,235,107,147,25,
122,152,110,1,183,14,135,1,27,27,159,215,172,189,197,163,210,245,223,109,
126,74,166,99,1,112,205,125,85,232,179,1,37,180,25,156,13,132,227,135,
115,80,147,239,218,1,230,239,39,110,136,62,51,28,205,221,236,188,197,109,
222,84,67,151,53,215,59,202,88,218,99,191,112,165,125,109,205,218,84,87,
40,68,96,38,118,12,76,240,244,214,51,189,177,227,43,52,97,114,162,164,
11,75,83,50,15,150,1,63,239,39,230,66,179,92,1,180,28,120,55,72,
195,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,96,
223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,
223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,
223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,
223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,
223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,
223,223,223,61,154,121,169,19,149,223,223,223,223,223,223,223,223,223,223,223,
223,223,223,223,223,223,223,223,223,223,223,223,223,102,1,189,177,223,223,223,
223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,
223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,
223,223,223,223,223,223,223,223,223, };
static unsigned short stb__consolas_23_latin_ext_t[560]={ 1,26,283,238,26,130,168,110,1,1,270,
270,283,283,270,90,204,254,254,204,238,204,204,254,204,254,221,168,254,283,254,
186,1,254,238,204,238,238,238,204,254,238,204,238,238,238,254,204,254,26,254,
204,238,204,238,238,238,254,254,1,90,1,283,283,283,254,168,254,150,254,186,
186,221,168,1,221,204,270,270,270,168,168,270,254,221,254,270,270,270,168,270,
1,1,1,283,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,
221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,1,130,26,
238,221,238,1,26,283,204,270,270,283,283,270,283,283,254,270,270,283,186,90,
283,150,270,270,270,186,186,150,69,90,110,110,110,90,48,221,90,90,90,90,
69,69,69,69,69,221,69,69,69,69,69,69,270,26,69,69,48,48,90,238,
130,168,168,168,168,168,130,254,221,150,150,150,150,186,221,221,221,150,204,150,
150,150,150,150,270,150,150,150,150,150,1,1,1,110,130,110,130,69,130,48,
130,48,130,69,168,69,130,130,130,238,130,110,130,110,130,110,130,48,130,110,
150,48,1,48,26,48,1,48,1,90,48,238,221,90,221,90,221,90,186,69,
1,90,270,186,1,48,1,26,26,270,110,48,48,26,168,168,221,186,221,204,
69,204,69,150,90,186,130,26,186,48,186,48,186,48,186,221,254,90,221,48,
186,110,204,48,168,48,186,110,204,26,186,26,26,110,130,238,221,26,186,26,
168,26,168,26,130,26,186,26,150,90,204,90,1,90,110,204,110,204,110,221,
168,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,110,
221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,
221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,
221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,
221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,
221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,
221,221,221,1,1,110,168,1,110,221,221,221,221,221,221,221,221,221,221,221,
221,221,221,221,221,221,221,221,221,221,221,221,221,26,168,26,26,221,221,221,
221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,
221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,
221,221,221,221,221,221,221,221,221, };
static unsigned short stb__consolas_23_latin_ext_a[560]={ 202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_23_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_23_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_23_latin_ext(stb_fontchar font[STB_FONT_consolas_23_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_23_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_23_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_23_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_23_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_23_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_23_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_23_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_23_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_23_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_23_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_23_latin_ext_s[i] + stb__consolas_23_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_23_latin_ext_t[i] + stb__consolas_23_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_23_latin_ext_x[i];
            font[i].y0 = stb__consolas_23_latin_ext_y[i];
            font[i].x1 = stb__consolas_23_latin_ext_x[i] + stb__consolas_23_latin_ext_w[i];
            font[i].y1 = stb__consolas_23_latin_ext_y[i] + stb__consolas_23_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_23_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_23_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_23_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_23_latin_ext_s[i] + stb__consolas_23_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_23_latin_ext_t[i] + stb__consolas_23_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_23_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_23_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_23_latin_ext_x[i] + stb__consolas_23_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_23_latin_ext_y[i] + stb__consolas_23_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_23_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_23_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_23_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_23_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_23_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_23_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_23_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_23_latin_ext_LINE_SPACING
#endif

