// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_26_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_26_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_26_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_consolas_26_latin_ext_BITMAP_HEIGHT        192
#define STB_FONT_consolas_26_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_consolas_26_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_26_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_26_latin_ext_LINE_SPACING          17

static unsigned int stb__consolas_26_latin_ext_pixels[]={
    0x4c3b61db,0x001aaaaa,0x000c8000,0x30000000,0x4b8007db,0x00000640,
    0x220066a0,0x402aaaaa,0xf0000a98,0x0000003f,0x04d887aa,0x0007ff30,
    0x7fb0d54c,0xf9374000,0xfffff503,0x3fee0009,0x03ff9803,0x0007ff30,
    0x88000000,0x01cdeecb,0x98013026,0x360004c0,0x0000c00f,0x00000000,
    0x0054c000,0x99700ee6,0x99999999,0x74ffe619,0x3f21fd0f,0x5004ffff,
    0x7e4009ff,0x80bfa205,0xfe882fe8,0x02ff9802,0xf7037c40,0x7ecc001d,
    0xfff103df,0x7ffd403d,0xff9106ff,0x3fe8805f,0x220007fe,0xdff002fe,
    0x2600ffdc,0x8003feff,0x1fec4ff9,0xf9bf9000,0x3fbbaa0d,0xffb8004f,
    0xfeff9801,0x7f7fcc03,0x17fee003,0xf30efc80,0xffff909f,0x3e209fff,
    0xf880bee5,0xf000bee5,0x1fffd40f,0x0bff203b,0x017fee00,0x0ef88bf2,
    0x400fd800,0x7ff404fc,0xffffffff,0x3a5ff11f,0x3f21fd0f,0xa801aaad,
    0x400a9aff,0x3ee01ffb,0x1bff205f,0x3201bff2,0x3fb8000c,0x4017fa20,
    0xdfebcefc,0x06ffda80,0x1beeaaa2,0x005effe4,0x1ff9ffea,0x06ffb800,
    0x37cc5f90,0x3623be60,0x3fe6003f,0x0003fd82,0x007bff62,0x2e0027e4,
    0xef9800df,0xf303fd88,0x007fb11d,0x007f57f3,0x3fe61df7,0x9acffc82,
    0x3f602b99,0x6c00efff,0x000effff,0xbdf9837c,0x201ffffe,0x32002ffa,
    0x200efcdf,0x07fea4fe,0x3201be00,0x5555404f,0xaaaacffa,0x3fa5ff10,
    0x0ff21fd0,0x36199100,0x0ffe600f,0x5407ff30,0x5ffa85ff,0x000b3260,
    0x3e600ff4,0x42fe404f,0x3fe205fb,0x10df3002,0x7c4003ff,0x0007fe5f,
    0x00013fea,0x33026200,0xd8055400,0x0100003f,0x4004fc80,0x02620019,
    0x30262033,0x3a1f5003,0x70664404,0x07ff1039,0x05eedc00,0x00bddb80,
    0x8502fc40,0xc8801cdb,0x23c9800c,0x032603ca,0xd9710077,0x9f9007fb,
    0x403ff000,0x21fd2ff8,0x007f90fe,0xfe80df00,0x50031005,0xf3015405,
    0x30007f9b,0x07fee003,0x1fb02fd4,0x98027ec0,0x007f986f,0x00ffc288,
    0x00002980,0x2e000000,0x07fb04ff,0x32000000,0x0000004f,0x88000000,
    0x0002fdef,0x000ffa80,0x00000000,0x02fbf6e6,0x00000000,0x54000000,
    0x86ffffff,0xefffeee8,0x3e01eeee,0x4bfe201f,0x321fd0fe,0x65c4003f,
    0x3ee03fde,0x0000000f,0x0bb3dc00,0xdfb00000,0xfa803fa0,0x4013ee03,
    0x05fa86f9,0x2e3ff000,0x00002dfd,0x774405db,0xe880bb61,0xf59f301e,
    0xb107fb09,0x7f6d409d,0x901eeeee,0x0176c09f,0xeec83dd1,0x203eeeee,
    0xeeeefeda,0x0b72601e,0x32602ca8,0x0017fcc4,0x264c0595,0x02cdcb88,
    0x7ffffec4,0x980b2a3f,0x980b2a4c,0x980b2a4c,0x9b97104c,0xacffb805,
    0x7cc4fff9,0xffffffff,0x07fe01ff,0x1fd2ff88,0x01fe43fa,0xffffff50,
    0x4017fc0d,0xeeeefeda,0x6c07b61e,0xf7bf301e,0x7f6d4007,0x881eeeee,
    0x027d41ff,0x09f502fc,0x3ea1be60,0x3bbbb205,0x27fe3eee,0x23fffffe,
    0x03eeeeea,0xdf7037e4,0x3ee06fc8,0x86c9ee06,0x77f443fd,0xfdbffb00,
    0x3203ffff,0x81bf204f,0xfffe86fb,0xfb04ffff,0xfffffdbf,0x93016543,
    0xf5027e49,0x005ffd0f,0x7fa813f2,0xffffffa8,0xbefe880e,0x3f22bbfd,
    0xfc9fea04,0xfc9fea04,0x2a1fea04,0x0effffff,0x6fcc9ff0,0x6cccc3ff,
    0x019999cf,0x3fe00ffc,0x43fa1fd1,0xff7003fc,0x09fff359,0xfd801ff3,
    0xfffffedf,0x7fc07fe1,0x00f76a01,0xffedffd8,0x9fd01fff,0x336a0fd8,
    0x7d40dd4b,0x50df3004,0x7fff40bf,0x3fe4ffff,0x1ff913ff,0x13ffffea,
    0x3a03ff30,0x80ffcc3f,0x2fea03fe,0x23fd84e9,0xf700efe8,0x01ffc41d,
    0xff9813f2,0x4007fd01,0x0efb84fc,0x3f20ffe2,0xfc9fea04,0x261fea04,
    0x200befff,0x1fea04fc,0xf7359ff7,0x0efc81df,0x09f901fb,0x09f93fd4,
    0x09f93fd4,0x3fee3fd4,0x0effb9ac,0x2bee37dc,0x13f206fc,0xf007fe00,
    0x7f43fa3f,0x3e007f90,0x3ff7e64f,0x2e037e43,0x0ffe20ef,0x0ffc07fe,
    0x20079930,0x3fe20efb,0x3e3fe403,0x57ffff65,0x017ea07d,0x27d437cc,
    0xff27e400,0x207fd03f,0x4fe804fc,0xfe80ff98,0x400ff984,0xfd80dffc,
    0x401dfd13,0x06fb82fe,0x3fa027e4,0x000ff984,0x0bfa13f2,0x13f21bee,
    0x13f27fa8,0xf9107fa8,0xf9019fff,0x3e3fd409,0x43ff984f,0x641fa2ff,
    0xc9fea04f,0xc9fea04f,0xf1fea04f,0x87ff309f,0xf8bec3fe,0x0013f207,
    0x3ff007fe,0xc87f43fa,0x46fb803f,0x746fcafb,0x417f404f,0x01ff86fb,
    0x7fec03ff,0x82fe800f,0x7fd406fb,0x57ea7f30,0x440fb4fb,0x0df3006f,
    0xf90005f9,0xfb817fc9,0x7009f905,0x20bf70ff,0x05fb87fb,0x8bfd8020,
    0x1ff805fe,0x7e406fa8,0x5c3fdc04,0x27e4005f,0x37d40ffc,0xff5027e4,
    0xff5027e4,0xffffb880,0xf5027e41,0xf7037dcf,0x1be3fccd,0xff5027e4,
    0xff5027e4,0xff5027e4,0xdf7037dc,0x97e21ff8,0x09f901ff,0xf803ff00,
    0x3fa1971f,0xfd007f90,0x8ff17d87,0x0ffc03ff,0x0ffc37d4,0xff101ff8,
    0x3ff005ff,0xf880df50,0x3f65f71f,0x03f65f91,0x201adfd8,0xdf7336f9,
    0x49f90001,0x0df501ff,0x3e2013f2,0x8817f42f,0x017f42ff,0x19dffd95,
    0x05fecfd8,0xbf707fd0,0x4404fc80,0x017f42ff,0x3fa13f20,0xfc85fb83,
    0xfc9fea04,0x801fea04,0x3f20fffa,0xfe9fea04,0x547fe203,0x6417e27f,
    0xc9fea04f,0xc9fea04f,0xe9fea04f,0x47fe203f,0x8fea0ff8,0x09f902fe,
    0xf803ff00,0x321fd01f,0x21ff803f,0x447fe5f8,0x1ff401ff,0x0ffc2fdc,
    0xbf501ff8,0x7fd00bf9,0xff00bf70,0x9be23f25,0x500fb1fd,0x3e603fff,
    0x0007fff6,0x03ff27e4,0x27e41bea,0x3e65fd80,0xf32fec07,0x7fffcc0f,
    0x3f61ffff,0xf7003ffd,0x017fd43f,0x3f6013f2,0x2001fe65,0x1ffb84fc,
    0x3f20bfea,0xfc9fea04,0x001fea04,0x27e45ff1,0x0ffcff50,0x7fccbfe0,
    0x3f209f30,0xfc9fea04,0xfc9fea04,0xff9fea04,0xf997fc01,0xfd83f60f,
    0x0009f903,0x0ff803ff,0x0ff21fd0,0x7d41ff10,0x7fc4bfa3,0x50ffdc00,
    0x03ff05ff,0x5fec07fe,0x7dc00ff9,0x00bfea1f,0x4c7ecffa,0x3ec3fa5f,
    0x0337faa0,0xffdcb7cc,0x49f90004,0x0bf701ff,0x7cc013f2,0x9809f90f,
    0x409f90ff,0xfd5109c9,0x7fd5fecd,0xffff9803,0xfc803fff,0x90ff9804,
    0x9f90009f,0xffffff30,0x813f207f,0x813f27fa,0xfd8007fa,0xfa813f24,
    0xe801ff17,0x2a5ff13f,0x409f903f,0x813f27fa,0x813f27fa,0x01ff17fa,
    0x1ff13fe8,0x40ffa37c,0xff8004fc,0xe807f401,0x9807f90f,0xd83f60ff,
    0x300bfe3f,0x7fffffff,0x7fc07fe0,0xff0ff881,0xffff9805,0xff003fff,
    0xf27d5f65,0x3fe0374f,0x446f9800,0xfc8001fe,0x7e407fe4,0x4009f904,
    0x003ff3fe,0x007fe7fd,0x7fb3fd40,0xfd00bfee,0x0039bd95,0x7f4013f2,
    0x90003ff3,0xd95fd09f,0x27e4039b,0x27e4ff50,0xd000ff50,0x5027e45f,
    0x003fe6ff,0x46ff47fb,0x09f902fb,0x09f93fd4,0x09f93fd4,0x0ff9bfd4,
    0x3ff1fec0,0x05ff13e6,0x3e001bee,0xd00c401f,0x100ff21f,0x3a37c1ff,
    0xd013fe3f,0x039bd95f,0x1ff80ffc,0x17f26fa8,0x9bd95fd0,0x47fe6003,
    0x3e29f57e,0x7cc09f16,0x70df3005,0x9f90007f,0x7fc40ffc,0x4009f901,
    0x006faefb,0x00df5df7,0x7fb1ff80,0xf880ffe4,0x27e40006,0x6faefb80,
    0x889f9000,0x4fc8006f,0x4fc9fea0,0x0331fea0,0xfc83ff22,0x7cdfea04,
    0x51ff400f,0x533fbdff,0xf5027e45,0xf5027e4f,0xf5027e4f,0xd003fe6f,
    0xfc97f47f,0x5403fe21,0x7fc002ff,0xe8554001,0xf007f90f,0xff13e63f,
    0xf102ff45,0x03ff000d,0x8ff607fe,0xdf100ffa,0x27fb8000,0x3f2bf37d,
    0x7d403f76,0x50df3005,0x9f9000bf,0x3f620ffc,0x8013f205,0x003feff8,
    0x007fdff1,0x3eaaaa62,0xfd87fb1f,0x9cff981f,0x3f200199,0xfdff1004,
    0x13f20007,0x33339ff3,0x2a04fc80,0xa813f27f,0x777fe47f,0x642fffee,
    0x45fea04f,0x17f401ff,0x3fffffea,0xa813f23f,0xa813f27f,0xa813f27f,
    0x803ff17f,0x757f22fe,0x3a03fdc7,0x01fedfff,0xff8807fe,0x43fa1fd2,
    0x2fe803fc,0x07fc43f9,0x7fcc0ff7,0x7c01999c,0x883ff01f,0x817fc1ff,
    0x1999cff9,0xfd97f600,0x7fbf9ff0,0x04fa80df,0xbf50df30,0x7c9f9000,
    0xeffdceff,0x0013f200,0x4001fffb,0xc800fffd,0xffffffff,0xffd07fb1,
    0xfffffb01,0xeec87dff,0x2eeefffe,0x003fff60,0x7ec27e40,0x3effffff,
    0x3ea04fc8,0xfa813f27,0x7ffff5c6,0x4fc81cff,0x2ff9bea0,0x2207fe20,
    0x20acdffb,0x9bea04fc,0x9bea04fc,0x9bea04fc,0x3fe202ff,0x13ebfee1,
    0xfc8807fd,0x3e01ffff,0x57fee01f,0x321fd0fe,0xd5fc803f,0x7c47fb8f,
    0x3fff601f,0xf83effff,0xa83ff01f,0x205fd86f,0xfffffffd,0x917f403e,
    0x26ffee1f,0x7d400eff,0x50df3004,0x9f9000bf,0x77fffffc,0xffeeec83,
    0x5402eeef,0x7d4004ff,0xbffc804f,0xb1ff9999,0x1dfd107f,0xeedcefb8,
    0x3ffa4fff,0x2fffffff,0x0013fea0,0xefb84fc8,0x4fffeedc,0xdf5027e4,
    0xbf902fdc,0x5c00ccc0,0xe97f205f,0x01fea05f,0x02fdc0df,0x02fdcbf9,
    0x02fdcbf9,0x02ff4bf9,0xfffb0ff5,0x001ff625,0x20000131,0x21fd2ff9,
    0x007f90fe,0xe89f5ff7,0x205fd83f,0xfeedcefb,0x80ffc4ff,0x427ec1ff,
    0x3bee07fa,0x4fffeedc,0x2fb8df50,0x4fa80040,0xf50df300,0x49f9000b,
    0x740189ff,0xffffffff,0x07fd402f,0x003fea00,0x3fe05ff1,0x7fd40001,
    0x000ff900,0x000ffa80,0xff50ff60,0xf71ff201,0xf52fe40b,0x401ffc0f,
    0x1fea01cb,0x3fea3ff8,0x4407fd00,0x81fea05f,0x81fea3ff,0x81fea3ff,
    0x03fea3ff,0x7f441ff4,0x01effeef,0x5c003970,0xfd04401c,0x1fe43fa1,
    0x12fffd80,0x3fe60ffb,0x900ffa83,0x7fc400ff,0x3337fe20,0xa82ffccc,
    0x0ff900ff,0x5f985ff1,0x09f50000,0x3ea1be60,0x23fd8005,0x880001ff,
    0x2ff400ee,0x402ff400,0x3ff307f9,0xf90072e0,0x807fcc09,0x3fa001cb,
    0x3fe20005,0xf3027e42,0xf03fd41f,0xb84ff87f,0x0fe800ff,0x7dc27fc0,
    0x10f7fc0f,0x3fa80ffb,0x7dc27fc0,0x5c27fc0f,0x427fc0ff,0x77fc0ffb,
    0x981ff621,0x00dfffff,0xe8003fa0,0x87f4000f,0x007f90fe,0x3fbbffa2,
    0x3ff201ef,0xf3027e41,0x1fea001f,0xfffffff5,0x9f90bfff,0x3a07fcc0,
    0x001fd06f,0x2009fb00,0x0ff986f9,0xf8bfe200,0xfd80001f,0x03bf6201,
    0x00efd880,0x7dc2ff88,0x01fd01ff,0xf900ffd8,0x4007f40d,0x8800efd8,
    0x6c0ffb80,0x0df900ff,0x1ff709ff,0xeddfffa8,0x6f8802ff,0xddfffa80,
    0xfe982ffe,0x01effeef,0x3ea017dc,0x2ffeddff,0xeddfffa8,0xfffa82ff,
    0x982ffedd,0xeffeeffe,0x026fea01,0x801be200,0xfe8006f8,0x0ff21fd0,
    0xfffff980,0x46fe800d,0xdf900ffd,0xb17f6200,0x555555bf,0x1ffb0ff9,
    0xff91bf20,0x403bea01,0x02ff8800,0xff10df30,0xff701107,0x0000ffc1,
    0x7ee4c3fc,0xdc9801ff,0x36001fff,0xedffddff,0x806f881f,0xcbbdeffa,
    0xdf101ffe,0x7ffee4c0,0x99bf5001,0xff505fff,0xffd977bd,0xbbfff503,
    0x36605ffd,0x001dffff,0x366009f5,0x201dffff,0x0dffffd8,0x9801fc80,
    0x01dffffd,0x37ffff66,0x3fff6601,0x3f6201df,0x6c00dfff,0x3ea0000f,
    0x013ea004,0x87f43fa0,0x02cccdfc,0x00026fea,0x7fd49fd1,0xffecbbde,
    0xffb9b901,0x201ff81f,0x7fd42ff8,0xffecbbde,0x9007fe61,0xbd7559df,
    0x037ff640,0x0dfb9993,0x5473ffee,0x2fffccdf,0x40000ffc,0x3fe64efd,
    0xff3000df,0xd88001bf,0x3fb3efff,0x2a009f50,0xcffffffd,0x9813ea00,
    0x2000dfff,0x1efffff9,0x3ffff6a0,0x36600cff,0x001dffff,0x13100011,
    0x00011000,0x01880011,0x88000880,0x00088000,0x17600088,0x00131000,
    0x740004c4,0x3f21fd0f,0x3604ffff,0x3e20000f,0x7fffed43,0x3f200cff,
    0x7d40efff,0xa84fd807,0xcffffffd,0xb8017cc0,0x02dffffe,0x4019fff1,
    0x06fffffa,0x7ccbffee,0x981effff,0xd7300001,0x3000198d,0x02600003,
    0x40009880,0x10009998,0x00198013,0x0004ccc0,0x00013331,0x00000011,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0x221fd0fe,
    0x20099999,0x0080005d,0x80026662,0x9fb00998,0x440ff700,0x00400999,
    0x9800cc40,0x33331000,0x81310013,0x00000999,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfe87f400,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x44000000,0x00000621,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0000004c,
    0x00031062,0x44000000,0x00acedca,0x66665c00,0x599300ab,0x0000f220,
    0x00cc8000,0x00000797,0x90000000,0x00000019,0x01800260,0xcc980000,
    0x0c079101,0x33332600,0x000003cc,0x00000000,0x04c09800,0x00000000,
    0x00000000,0x26027fec,0x03fd89ff,0x7009ffb0,0x05fd31df,0x2003ff50,
    0xf5005ffb,0x88007ec9,0x7dc00efe,0x7fdc005f,0x005fffff,0x7ff49ff3,
    0xb83fffff,0x0bf306ff,0x2002ffdc,0x3ff05ffb,0x3201ff70,0x003be22f,
    0x3fe61df9,0x1dfd1004,0x80003ff0,0xa800efe8,0x7fd401ff,0xfc80763f,
    0x6ffb802f,0xff50bf30,0xfb80ec7f,0x405fffff,0x03be22fc,0x900bff70,
    0x440005ff,0xbf100efe,0xff9817dc,0x3203fd89,0x3f6002ff,0x8001df54,
    0x2000efe8,0x404fdcfd,0x003ffff9,0x009fb9fb,0x003ffff5,0x3200fff2,
    0x800efcdf,0x005ffffe,0xf3009fd1,0xd1007f57,0xb5537bff,0x85ff300b,
    0xfecaacfe,0x17ffdc2f,0xdfc82fcc,0xfc800efc,0x7fc0efcd,0xd00ffd41,
    0x00ffd49f,0x3fe61df7,0x09fd1002,0x10000ffc,0x7e4009fd,0x2f7e603f,
    0x401ffffe,0x7dc02ffa,0x45f982ff,0xfffebdf9,0x3333101f,0x4fe80133,
    0xfc807fea,0x5400efcd,0xe88002ff,0xfffd804f,0x3fe600ef,0xffa803ff,
    0x3fff2002,0x7f44000e,0x71654004,0x2cc88059,0x65c59500,0x01cca802,
    0x30037620,0x401e5479,0x2003ddb8,0x1f5002cb,0x3ff2013a,0x33200202,
    0xfe82fe81,0x437f7dc6,0x23c985f9,0x1e4c03ca,0x21ff8795,0x64c02ff8,
    0x99101dc0,0x7000e5c1,0x01ff8059,0x000b2e00,0x42801bb1,0x91001cdb,
    0x7f7dc019,0x4285f986,0x00001cdb,0x03b81930,0x03ca8f26,0x4000cc88,
    0x36e002cb,0xcc8800bd,0x03322002,0x000ccb80,0x00002cb8,0x00000000,
    0x00000000,0x00000000,0xfdef8800,0x017fc402,0x0bfa0000,0xd9f71fee,
    0x005f985f,0x3fe00000,0x00013fa1,0x00000000,0x00003ff0,0x00000000,
    0x67dc0000,0x02fcc3fe,0x372e2000,0x0000002c,0x00000000,0x00000000,
    0x00000000,0x65440000,0x7100aced,0x8039bdd9,0x02cddca8,0x166ee544,
    0x33b72a20,0xdd97100a,0xca88039b,0x7100aced,0x8039bdd9,0xfc802dc9,
    0x65440006,0x0bfa2cdd,0x79f71fea,0x105f98df,0x98059b97,0xcccccccc,
    0x2fe47fe0,0xc980b2a0,0x59b97104,0x66e5c400,0x4007fe02,0x132602ca,
    0x2cddca88,0x0b372e20,0x166e5c40,0x47facfb8,0x0b3265f9,0x7fd41e44,
    0x700effff,0x99999999,0x99999709,0x99709999,0x89999999,0x79102cc9,
    0xcccccc98,0x0b3264cc,0x33261e44,0x84cccccc,0x0abccccb,0x666665c0,
    0xf7004ccc,0x0bffffff,0xfffffff9,0x7fffdc09,0xff704fff,0x209fffff,
    0xfffffffb,0xfffffc85,0x3fee04ff,0xc85fffff,0x4fffffff,0x401e64c0,
    0x2e0003fd,0x4fffffff,0x8bfb05fd,0x21ff8cfb,0xfffa85f9,0xf700efff,
    0x1fffffff,0x077dcffc,0xfa813f20,0xfffffa87,0x7fd400ef,0xf80effff,
    0x09f9001f,0xffb83fd4,0xa84fffff,0x0effffff,0x3ffffea0,0xea7dc0ef,
    0xfb97e63f,0xb8bf306f,0xffb9acff,0xffffe80e,0x740fffff,0xffffffff,
    0x7ffff40f,0x2e0fffff,0x8bf306ff,0xfffffffb,0x41bfee7f,0x7ffdc5f9,
    0xe87fffff,0x3fffffff,0x3fffffa0,0x2200ffff,0xaa9bdffe,0x567fe45d,
    0xf902b999,0x9b7537bf,0x537bff90,0xffe889b7,0x45daa9bd,0x999acffc,
    0xdffe882b,0x645daa9b,0xb999acff,0x07ffec02,0x3310bfe0,0xbff90133,
    0x3a9b7537,0xffda99bf,0x5fca7dc0,0x9ff717e6,0x01dff735,0xf7555553,
    0x7fdffc1f,0x204fc800,0x67fdc7fa,0x00effb9a,0xf7359ff7,0x01ff81df,
    0x7d409f90,0x9bdffc87,0x7fdc4dba,0x0effb9ac,0xb9acffb8,0x53ee0eff,
    0x4bf30ffa,0xf982fffb,0x7cc27fc5,0xfaaaa83f,0xaa82aacf,0x2aacffaa,
    0xcffaaaa8,0x7ffdc2aa,0x7dc5f982,0x2aaaaaae,0x260bffee,0x5577dc5f,
    0xfe82aaaa,0x2ffecaac,0x9ff55550,0xffc80555,0x3ff88202,0x01ffd400,
    0x203ffa81,0x1017fe40,0x2001ffc4,0x88202ffc,0xf10003ff,0x7c405fff,
    0x7fffec1f,0x101ffd46,0x3ffffffa,0xf14fb80d,0xff17e63f,0x007ff309,
    0xfff07fc4,0x13f200bf,0x27fc7fa8,0xff81ffcc,0x7c3ff984,0x09f9001f,
    0x3fea3fd4,0x09ff0203,0x9ff07ff3,0x7dc7ff30,0x2fcd3fa4,0xf30dfdf7,
    0xf7037dcb,0x003ff00d,0x7c001ff8,0x3fbee01f,0x7dc5f986,0xdfdf7006,
    0x6fb8bf30,0x7417f400,0x03ff006f,0x800bfe20,0x74000ffa,0x27f4004f,
    0x005ff100,0x10007fd4,0x7d4005ff,0xbf50000f,0x7fc40bf9,0x37ee65c1,
    0x7f4013fa,0x701efdcd,0xf9afe49f,0xfb81bee5,0x83fe2006,0x802ffbff,
    0x9fea04fc,0x1bee06fb,0x6fb81bee,0xfc800ffc,0xfd1fea04,0x037dc009,
    0x06fb8df7,0x24fb9bee,0x25f98ff9,0x4c2fecfb,0x880ffa5f,0x0ffc01ff,
    0x0007fe00,0x67dc03ff,0x22fcc2fe,0x9f7006fb,0x45f985fd,0x7f4006fb,
    0xf007fb82,0x1bf2003f,0x005ff300,0x50007fd4,0x7e4001ff,0x17fcc006,
    0x800df900,0xb0002ff9,0x401ff37f,0x9bea02ff,0xfd000ffa,0x5c07fdc5,
    0x263fe64f,0x880ffa5f,0xff1001ff,0x7fdcffc1,0x5027e401,0x101ff4ff,
    0x03fe83ff,0x1ff87fe2,0x5409f900,0x003fea7f,0x3e203fe8,0x880ffa1f,
    0xd89f71ff,0x3ee5f9cf,0x2fcc6fbc,0x2ff803ff,0x2000ffc0,0x7fc001ff,
    0x3ef3ee01,0x3ee2fcc6,0xf79f7006,0x7dc5f98d,0x417f4006,0x3ff007fa,
    0x000ff600,0x5c00bffa,0x37dc006f,0x000ff600,0x6c00bffa,0xffe8003f,
    0x87fc4002,0x0ffa02ff,0x1bee6fa8,0x7ec2fe80,0x7ec4fb84,0x07fe5f9c,
    0x22005ff0,0x6c7fe0ff,0x13f200ef,0x07fe7fa8,0x1ff85ff0,0x3ff17fc0,
    0xa813f200,0x001bee7f,0x2ff803ff,0x5ff007fe,0x5ff313ee,0x7c67dcbf,
    0x7c57e61f,0x01ff400f,0xff0007fe,0x01ff8003,0x87fe33ee,0x037dc5f9,
    0x1ff8cfb8,0x0df717e6,0xfd82fe80,0x003ff005,0x33310bfe,0xefff9813,
    0x017f200b,0xf800bf90,0x4cccc42f,0x5f7ffcc0,0x310bfe00,0xff981333,
    0xfa800bef,0xfc817f26,0xfc9bea07,0x30bfa005,0x44fb81ff,0xf15faff9,
    0x03fe801f,0x7fc1ff10,0x640bfd11,0x45fea04f,0x1ff400ff,0xfe801ff1,
    0x64007fe3,0xc9fea04f,0x3fe2005f,0xf89ff400,0xb9ff400f,0x5fefd84f,
    0x32fe53ee,0x003fe6bf,0x1ff807fb,0x000ffc00,0x4fb807fe,0x22fccbf9,
    0xcccccffb,0x7e53ee2c,0xff717e65,0x05999999,0xfb5337fd,0x07fe001f,
    0xfb07fe20,0xf910dfff,0xfb019fff,0x04fd8009,0xfb07fe20,0xf910dfff,
    0xf8819fff,0x7fffec1f,0xffffc886,0xa8ff600c,0x7ff100ff,0x4fd9bea0,
    0x3a0bfa00,0x7427dc4f,0x1ff35fdf,0x1003fd80,0x30ffc1ff,0x13f207ff,
    0x1ff37fa8,0x3e63fd80,0xf1fec00f,0x13f2003f,0x13f67fa8,0x400ff980,
    0x01ff33fd,0x09f73fd8,0x7dcbfff3,0x3e63ff14,0xe801ff35,0x00ffc03f,
    0xf0007fe0,0x8a7dc03f,0xb8bf31ff,0xffffffff,0x7fc53ee5,0xffb8bf31,
    0x85ffffff,0xdffffffe,0x007fe000,0x99707fe2,0x7dc40dfb,0x27ec1fff,
    0x8013f600,0x665c1ff8,0x3ee206fd,0x3fe21fff,0x37ee65c1,0x3ffff710,
    0xff83ff10,0x037fee02,0x027ecdf5,0xff505fd0,0x7d427dc1,0x01ff35ff,
    0xf1003fe8,0x2e0ffc1f,0x04fc81ff,0x07fcdfea,0xff98ffa0,0xff1ff400,
    0x813f2003,0x013f67fa,0x7400ff98,0x801ff33f,0x209f73fe,0x93ee5ffd,
    0x22bf35fc,0x17f401ff,0xf0007fe0,0x1ff8003f,0x5fc93ee0,0xaefb8bf3,
    0x2e1aaaaa,0x7cd7f24f,0x55577dc5,0xdfe81aaa,0x4001efdc,0x5ff001ff,
    0xa8037d40,0x17f20fff,0x800bf900,0x1bea02ff,0xf07ffd40,0x037d405f,
    0x540fffa8,0x405fd86f,0xfeeffffc,0x8017f26f,0x49fd02fe,0xbffd04fb,
    0xfd007fe2,0x83fe2005,0x0ffd81ff,0xff5027e4,0xfd007fe2,0x200ffc45,
    0x3fffe2fe,0x323fffff,0xc9fea04f,0x3fe2005f,0xf897f401,0xb97f401f,
    0x4bff104f,0x23fe64fb,0x80bfe5f9,0x7fc01ff8,0x00ffc001,0xfb807fe0,
    0x3e63fe64,0xb8037dc5,0x263fe64f,0x0037dc5f,0x0ffb8bfa,0x4007fe00,
    0x1bea03fe,0x2e2ff880,0x37dc006f,0xa80ffa00,0x3fe2006f,0xfa80ffa2,
    0x0bfe2006,0x0ff509fb,0xfffffb30,0x0037dc5b,0x3fee05fd,0x3ea09f70,
    0x880bfe5f,0xff1001ff,0x7440ffc1,0x5027e46f,0x1017fcdf,0x02ff83ff,
    0xfff87fe2,0x23ffffff,0x9bea04fc,0x7fc006fb,0xf87fe202,0x47fe202f,
    0x97f204fb,0x4e7ec4fb,0xa817fa5f,0x01ff807f,0x2000ffc0,0x13ee01ff,
    0xb8bf39fb,0x89f7006f,0x5c5f9cfd,0x17f4006f,0xff8013f6,0x40ff9001,
    0x7ec006fa,0x800bfea4,0x32002ffa,0x01bea07f,0x3fe49fb0,0xd800df50,
    0x337fe24f,0x02ffcccc,0x7d402620,0x0000002f,0x205fe800,0x3ea007fa,
    0xbf700007,0xbfd2fe40,0x7f43fd40,0x001fea05,0x7e40bf70,0x800bfea5,
    0x1fea05fe,0x3fd40bfd,0xfb97f200,0x2fd7fcc4,0x3fa01ff5,0x001ff803,
    0x3e000ffc,0x313ee01f,0xfb8bf5ff,0x989f7006,0x7dc5faff,0x217f4006,
    0xff000ff9,0x0ffe2003,0x3a0037d4,0x0077f42f,0x2001dfd0,0xdf503ff8,
    0x222fe800,0x0df503ff,0x3ea2fe80,0xffffffff,0x0397005f,0x8000efe8,
    0x65c001cb,0x403fea01,0x3f2003fe,0x200e5c06,0x8ffe07fa,0x7fd00ffa,
    0x3a01ff50,0x8072e03f,0x0ffe07fa,0x2a001dfd,0x87fd00ff,0x7fd00ffa,
    0x2e3fe800,0x5fdfe84f,0xfb10f7fc,0x007fe00f,0xf8003ff0,0x213ee01f,
    0x7dc5fdfe,0xd09f7006,0x6fb8bfbf,0x7417f400,0x03ff004f,0x206ffdc0,
    0x440666fa,0x7fcc0ffc,0x7cc2a81e,0x5c2a81ef,0x37d40dff,0x3ff22033,
    0x206ffdc0,0x440666fa,0x37f60ffc,0xfcaaaaaa,0x801fd007,0x2a81eff9,
    0xe8001fd0,0x0f7fc00f,0x0b20ffb1,0xfe807ff5,0xb84ff800,0x0f7fc0ff,
    0x7fc0ffb1,0x01ff621e,0x4ff801fd,0x7cc0ffb8,0x7c2a81ef,0x1ff621ef,
    0xfb10f7fc,0x1ffa800f,0x3fea13ee,0x77ff4c5f,0xf001effe,0x1ff8003f,
    0x700ffc00,0xbfff509f,0xf7006fb8,0x8bfff509,0x7f4006fb,0x800ffa82,
    0x7e4001ff,0x6ffeefff,0x3bbbbff2,0xff502fff,0x09fffdff,0xffdffff5,
    0xffff909f,0x7e4dffdd,0xfffeeeef,0xdffff902,0x7fe4dffd,0x2fffeeee,
    0xff100ffc,0x006f8805,0xffdffff5,0x00df109f,0xe9806f88,0x1effeeff,
    0xfffdffb0,0x006f880d,0xfdbbfff5,0xdffd305f,0x4c03dffd,0xeffeeffe,
    0x201be201,0xfeddfffa,0xffff502f,0xe989fffd,0x1effeeff,0xfddffd30,
    0x3a2003df,0x827dc4ff,0xfd885ffe,0x3a00dfff,0xffffffff,0x7ffff40f,
    0x740fffff,0xffffffff,0x7413ee0f,0x7ffdc5ff,0x2e7fffff,0x8bffd04f,
    0xfffffffb,0xd02fe87f,0xffffd09f,0x001fffff,0xbfffffb3,0x7ffff5c5,
    0x6c401cff,0x01cefffe,0x9dfffdb1,0x3fff6603,0x3fae2dff,0x01cfffff,
    0x7ffffecc,0x3fffae2d,0x7d41cfff,0x404fd807,0x362004fa,0x81cefffe,
    0x7d4004fa,0xfffb1004,0x7ecc01bf,0xfa804eff,0x3ff66004,0x36201dff,
    0x800dffff,0x0dffffd8,0x98027d40,0x01dffffd,0x77fff6c4,0xfffd881c,
    0x7ec400df,0x2000dfff,0x4fb83ffa,0x880bff50,0xffffd000,0xe81fffff,
    0xffffffff,0x7ffff40f,0x2e0fffff,0x8bff504f,0xfffffffb,0x5413ee7f,
    0x7ffdc5ff,0xe87fffff,0x81ff702f,0xfffffffe,0x4c4000ff,0x00199800,
    0x018000c0,0x98009880,0x26200019,0x40199800,0x7fb804fd,0x00004c40,
    0x00131003,0x88000988,0x00098000,0x44000262,0x00088000,0x98800220,
    0x00088000,0x01100060,0x40002200,0x00000018,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x95000000,0x00264c05,0x07dd5000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20006200,0x3332e018,0x204ccccc,0x002cdcb8,0x00013026,
    0x26000000,0x030004c0,0x00f32600,0xb3000060,0x0000007d,0x00000000,
    0x00000000,0x99993000,0x3ee00799,0xd8800001,0x205dd11e,0x01df54fd,
    0x3fd409f9,0x1df117e4,0x007ff300,0x20077f44,0xf7005ffb,0x7dc000bf,
    0xbff7003f,0x77f44000,0x3e22fc80,0x7f44000e,0x7f44000e,0x1ffcc00e,
    0x207ff300,0xfffffffe,0xfffa80ff,0x4400efff,0x980bee5f,0x03fd89ff,
    0x0ef88bf2,0x5f72fc40,0x47fff500,0x7ffec01d,0x7fff5000,0x7fcc00ec,
    0xff7003ff,0x3faa000b,0x2ffdc07f,0x27fcc000,0x01dfd100,0xfd89ff98,
    0x7fffdc03,0x1f9005ff,0x002ffc80,0x3ff6bff7,0x3bfff207,0x5409f900,
    0x2a4fe87f,0x6ec401ff,0x13fa2001,0x3bf37f20,0x3f37f200,0x77dc000e,
    0xf9bf9001,0xfe88001d,0xfa93fa04,0x3fa2001f,0x4fe88004,0x00bff500,
    0xaa82ffd4,0x2aacffaa,0xb9adffa8,0x7ec00eff,0x4c00efff,0x7403ffff,
    0x007fea4f,0x03bffff6,0xffd7bf30,0x7fc403ff,0xdf9802ff,0x01ffffeb,
    0x7ec4f7d4,0x7e6fe404,0x3ff2000e,0x37f207ef,0x30000efc,0x744005ff,
    0x3fe6004f,0x998803ff,0x4c009999,0x200abfeb,0xf9802ffa,0x80fffb4f,
    0x3f200ccb,0x261fea04,0x0001dc0c,0x30059700,0x981e5479,0x800f2a3c,
    0x93000cc9,0x2001e547,0x064c02cb,0x597000ee,0x00b2e000,0xd8003db0,
    0x03ff001e,0xff984ff8,0x0bddb803,0x00599100,0x003b8193,0x4002f76e,
    0x200e6dc2,0x005fcdfa,0x001cdb85,0xa8f26000,0x7ff3003c,0x2a3c9801,
    0x3990003c,0x002cb800,0x0002cc88,0x3fffea00,0x64404fff,0x2228800c,
    0x900002ed,0x03fd409f,0x7fffd400,0x0000004f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x07fe0000,0x3ee06fb8,0x00000007,0x00000000,
    0x7fb00000,0x00001ff3,0x0001ff80,0x0df70000,0x00000000,0x00000000,
    0x99301654,0x77df7fdc,0x000003cb,0x33332a00,0x13f201ab,0x664c7fa8,
    0x44cccccc,0x04ffeeea,0x26000cc8,0xcccccccc,0x91007934,0x79999705,
    0x00f2e015,0x99303326,0x29999999,0xcc9803cb,0x93007970,0x66664c19,
    0x42cccccc,0xcccccccb,0x66664c4c,0x02cccccc,0x1ff403ff,0x9703ff30,
    0x99999999,0xcccccc98,0x2602cccc,0xc98003cc,0x9997003c,0x20999999,
    0x05ff0ff8,0x801e64c0,0x32a001ff,0xb00f2602,0xcc98007f,0x332e0003,
    0x2602cccc,0xccb803cc,0xcccccccc,0xa813f20c,0x265ff17f,0x3326004f,
    0x800ec803,0xfffffffc,0x204fc81e,0x7ffdc7fa,0x407fffff,0x1ff804fc,
    0x3fffee00,0xbf57ffff,0xfd09f500,0x07ffffff,0xfe805ff5,0xfffffb85,
    0x5ff57fff,0x3ea5fe80,0x22ff402f,0xfffffffa,0x7ff45fff,0x0fffffff,
    0x3fffffea,0xff05ffff,0x200ffc03,0xfffe82ff,0x20ffffff,0xfffffffa,
    0x3f605fff,0x7ec000ff,0xffe800ff,0x0fffffff,0x17f26fa8,0x00fffd80,
    0x32001ff8,0x01bea04f,0xfd8005ff,0xf98000ff,0x04ffffff,0xd003fff6,
    0xffffffff,0x27e43fff,0x9feaff50,0x3f6003fa,0x07f400ff,0x5556fe40,
    0x7e42fffc,0xf71fea04,0x5555555d,0xf804fc80,0x3bee001f,0x32aaaaaa,
    0x09f500df,0xfd9559fd,0x40dfd05f,0xefb80ffa,0x22aaaaaa,0x3fea06fe,
    0xf5037f40,0xaaaa881f,0x43ffbaaa,0xacffaaaa,0x5555442a,0x03ffbaaa,
    0x3fe203ff,0x541ff400,0xaacffaaa,0x55555442,0x103ffbaa,0x4005ffff,
    0x802ffff8,0xacffaaaa,0x547fb02a,0xff8800ff,0x1ff802ff,0xa813f200,
    0x07fe206f,0x2ffff880,0xcfefc800,0xff100999,0xaaa805ff,0xaaacffaa,
    0xa813f20a,0x2e3ff57f,0xfff1002f,0x01fe805f,0xfc884fc8,0xa813f20f,
    0x0037dc7f,0xff009f90,0x037dc003,0x7dc037cc,0xfe82fe83,0xd02ff986,
    0x01bee07f,0xfe817fcc,0xd02ff983,0xdfb0007f,0x0003ff00,0x3ff037ec,
    0xb003fe60,0x03ff009f,0x5037ec00,0x400bf9bf,0x005fcdfa,0x7c401ff8,
    0x4017fc1f,0x805fcdfa,0x3f2001ff,0x981bea04,0x3ea000ff,0x44005fcd,
    0x5003fcef,0x000bf9bf,0x4fc803ff,0x7fc5fea0,0x5001fcae,0xe80bf9bf,
    0x04fc801f,0x04fc93fa,0x0df71fea,0x4027e400,0x3ee001ff,0x807f8806,
    0x82fe83fb,0x0dfb07fb,0x3ee01ff7,0x21bf6006,0xdfb00ffb,0x8001ff70,
    0xff800ffa,0x1ff50001,0xf980ffc0,0x01ff400f,0xa8000ffc,0x2ff600ff,
    0xfb000ff9,0x8001ff37,0x37d401ff,0x7ec02fec,0x7c00ff9b,0x2dfec89f,
    0x3ea04fc8,0x3fbbba66,0x200eeeef,0x00ff9bfd,0x0ff2fee0,0x7fcdfec0,
    0x00ffc000,0x7fa813f2,0x03ffffe6,0x7fcdfec0,0xcb87fe00,0xf7027e40,
    0xf5027e4f,0x0006fb8f,0x3fe013f2,0x01bee001,0x3f201fe2,0xfa82fe82,
    0xf87ff107,0x01bee02f,0x7fc3ff88,0xf0ffe202,0xff88005f,0x003ff003,
    0xf807ff10,0x03ff101f,0xff802fe8,0x3ff88001,0x7fc3fe20,0xf0ff8802,
    0x1ff8005f,0x7d427ec0,0xf87fc407,0x757fc02f,0x642fffff,0x99bea04f,
    0xffffffff,0x1ff101ff,0xfe800bfe,0xf8803fc8,0x8005ff0f,0x27e401ff,
    0xfc88ff50,0x2200cfff,0x405ff0ff,0x8dff91ff,0x3fe604fc,0x7d409f90,
    0x00037dc6,0x3ff009f9,0x8037dc00,0xf907f47f,0xfb05fd05,0xb87fe40b,
    0x037dc06f,0x7dc3ff20,0x70ffc806,0xdfb000df,0x000ffc00,0x7fc037ec,
    0x880bfe01,0x1ff801ff,0x406fd800,0x017f26fa,0x05fc9bea,0xf100ffc0,
    0xf99999bf,0x937d405f,0xffff80bf,0xfc8dfb32,0xc81bea04,0x9bea005f,
    0xbf3005fc,0x3ea00ff2,0xf0017f26,0x04fc803f,0x7fc41fea,0xdf501fff,
    0x5ff02fe4,0x9f91fff6,0xfb8ffc40,0xf717f205,0x5999999f,0xf804fc80,
    0x3fee001f,0x22cccccc,0x45ff10ff,0x9bfe81fc,0x200ffda9,0x1ff8bff8,
    0x6667fdc0,0xff882ccc,0x8801ff8b,0x01ff8bff,0x000ffd40,0xfa8003ff,
    0x01ff801f,0x7fa817fa,0x8003ff00,0x7ec01ffa,0xb003fea3,0x007fd47f,
    0x7d403ff0,0xffffffff,0xa8ff605f,0x3ffe00ff,0xf907fcc1,0xb999999d,
    0x027ec0df,0x7fd47fb0,0xf92fc800,0xfb01555b,0x0007fd47,0x4fc803ff,
    0x7c41fea0,0xd80ffead,0x403fea3f,0x89ff52ff,0x97fc04fc,0x0ffe07fa,
    0xfffffff7,0x04fc80bf,0x2e001ff8,0xffffffff,0x7fdc3fa5,0x3fa07f65,
    0x00dfffff,0x05fcffb8,0xffffffb8,0x9ff705ff,0x7fdc00bf,0x7c4005fc,
    0x0ffc003f,0x007ff100,0xffa807fe,0x2007fd00,0x3e2001ff,0x0ffc403f,
    0xff880bfe,0xf0017fc1,0x56fec03f,0x7fcaaaaa,0xff83ff10,0x7c0bfe02,
    0x3ffff21f,0x06ffffff,0x7c400bfa,0x2017fc1f,0x3fff27f8,0x0ffc42ff,
    0xff800bfe,0x5027e401,0x44fe60ff,0x0ffc43fe,0x17fc0bfe,0x409f9011,
    0x13fe1ff8,0xdf703fee,0x03555555,0xff804fc8,0x2bbee001,0x3a1aaaaa,
    0x21fdfb0f,0xcdfe80fd,0x3a001efd,0xfb801fff,0x1aaaaaae,0x007fffa0,
    0x003fffd0,0xf8006fd8,0x1bf6001f,0x7c01ff80,0x3ff621ef,0x003ff000,
    0x7d4037ec,0x2a05fd86,0x005fd86f,0x1ff807fe,0x2a0bfe20,0x205fd86f,
    0x43ff01ff,0xaaaaaefc,0x3fe06fca,0xb0df5001,0x24fb80bf,0x40aaadfc,
    0x05fd86fa,0xf9007fe0,0xa83fd409,0xf517f62f,0x3e0bfb0d,0x04fc802f,
    0xffa87fe6,0x82ffeddf,0x320006fb,0x01ff804f,0x6c01bee0,0x3fccf89f,
    0x45fd01fd,0xf5000ffb,0x1bee009f,0x027fd400,0x0027fd40,0x20007fea,
    0xff5001ff,0x7ffff403,0x4c0fffff,0xfffeffff,0x007fe001,0x6c00ffd4,
    0x207fa84f,0x07fa84fd,0x7d407fe0,0xd84fd807,0x207fa84f,0x43ff01ff,
    0x1bea04fc,0xd8007fc4,0x407fa84f,0x00ff21fe,0x0ff509fb,0x3200ffc0,
    0x41bea04f,0x87ff11fb,0x87fa84fd,0x0bf63ff8,0x3fd409f9,0x6ffffecc,
    0x000df701,0x7fc027e4,0x01bee001,0x4d7d57e4,0x3fa0fd6f,0xf0027ec2,
    0x1bee003f,0x001ff800,0x44003ff0,0xff0003ff,0x07ff1003,0xffffffe8,
    0xfc980fff,0x4000cfff,0xff8801ff,0xcdff8803,0x82ffcccc,0xccccdff8,
    0xff002ffc,0x2013f603,0x6ffc47fb,0x2ffccccc,0x3fe03ff0,0xfa813f21,
    0x200ff306,0xccccdff8,0xff302ffc,0x407fb555,0xccccdff8,0xff002ffc,
    0x205fb803,0x323555fc,0x20ffda9f,0xccccdff8,0x7fc42ffc,0x9f903fe3,
    0x3202ff40,0x037dc03f,0xf009f900,0x37dc003f,0x27dafc80,0xfd07f8fe,
    0x000ff985,0x3ee003ff,0x07fe0006,0x000ffc00,0x7c000dfb,0x06fd801f,
    0x4027d400,0xff0001ff,0x00dfb003,0x3fffffea,0xfa85ffff,0xffffffff,
    0x03ff005f,0xa83fb000,0xffffffff,0x03ff05ff,0x04fc87fe,0x37dc1bea,
    0xfffffa80,0xb05fffff,0x7fffffff,0x7ffffd40,0x005fffff,0x7fa803ff,
    0x7fe4ffe0,0x1fffffff,0x7fffffd4,0x7c45ffff,0xf90df13f,0x807ff209,
    0x6fb805f9,0x013f2000,0xfb8007fe,0xbf7f7006,0xe837dfdc,0x004fe82f,
    0x3ee003ff,0x07fe0006,0x800ffc00,0x20001ffa,0x7fd401ff,0x1be20001,
    0x0042fec0,0x3ea00ffc,0x5bfb001f,0xff955555,0x5555bfb0,0x200ff955,
    0x5c0001ff,0xaadfd83f,0x07fcaaaa,0x87fe03ff,0x1bea04fc,0xfd8027f4,
    0xcaaaaaad,0xaaff887f,0x3603fdaa,0xaaaaaadf,0x3ff007fc,0xf709ff00,
    0x3ffb261f,0xbfb03def,0xf9555555,0x3661330f,0x2624fc83,0x7dc03ffe,
    0x006fb804,0x3e013f20,0x1bee001f,0x317f7dc0,0x3fa0dfdf,0x800ffa82,
    0xdf7001ff,0x00ffc000,0x8801ff80,0x99999cff,0x0ffc0099,0x3339ff10,
    0xa8013333,0xdff3005f,0xff00bd77,0x4e7fc403,0x20999999,0x3fe201ff,
    0xf100ffc2,0x03ff005f,0xf82fd800,0x0bfe201f,0x0ffc07fe,0x37d409f9,
    0x4007fee2,0x3fe201ff,0x7e427dc2,0x8807fe03,0x1ff802ff,0xddfffa80,
    0xbf102ffe,0x4403ff00,0x320002ff,0xffffffff,0x2dff9802,0x3ffffee0,
    0x77647fff,0x2eeefffe,0xfffffff8,0x7ffdc3ff,0x2a7fffff,0x7ff40fff,
    0x3a05fd05,0x01ff804f,0xffffff70,0x1ff80fff,0x003ff000,0xfffffff7,
    0xffe8dfff,0x0fffffff,0x3fffffee,0x4406ffff,0xfb803dff,0x740dffff,
    0xffffffff,0x3fffee0f,0x56ffffff,0x49fb00ff,0x4fd807fa,0xffffffe8,
    0x5c000fff,0x0ff51cef,0x3ff09fb0,0x4fc87fe0,0x7fddbea0,0xff5005ff,
    0xfe89fb00,0xeeeefc81,0xfb00ff54,0x003ff009,0x37ffff66,0x5013e601,
    0x09fb00ff,0x7fffe400,0x2a000ade,0x3fee03ed,0x47ffffff,0xfffffffe,
    0xffff82ff,0x5c3fffff,0xffffffff,0x2e17fea7,0x05fd05ff,0xff003fee,
    0x3ffee003,0x407fffff,0xff0001ff,0xffff9003,0x8dffffff,0xfffffffe,
    0x3fff20ff,0x6fffffff,0x004ec980,0x3a037751,0xffffffff,0x3ffff20f,
    0xb6ffffff,0x4ff7009f,0x7fb804fd,0xffffffe8,0x44000fff,0x09fb1edb,
    0x3ff0ff70,0x4fc87fe0,0x7fd5bea0,0x13f6003d,0x6fa9fee0,0xbfffff90,
    0x3ee013f6,0x001ff807,0x7f500088,0xb804fd80,0x0000007f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000310,0xccccccc9,0x7fe4004c,
    0x7765c403,0x999301cd,0x00007999,0x664c0000,0x3f63cccc,0xccc98002,
    0x20003ccc,0xb95100ff,0x3722059b,0x004ffffe,0x0000e5c0,0x01db8000,
    0x00000000,0x01970000,0x303bfa20,0x01bdffd9,0x07fb27e4,0x401fc9ba,
    0x00999999,0x7403fcc0,0x64007f26,0x37ea00ef,0xf300bf70,0x3ee0007f,
    0x05ff983f,0x8802a800,0x7cc01aca,0x3ffae03f,0x7fcc00ef,0x44ffcc03,
    0x3ffee3fd,0x007fffff,0xf9007bf2,0x09ffffff,0x3fffffee,0x04ffb805,
    0x2013fee0,0x5ffffffb,0x2e0017ea,0x05ffffff,0x2e09f500,0x4fffffff,
    0x777fffe4,0x7e4004fe,0x74401ff4,0x2fdc002f,0x44006ff8,0xfa80dffd,
    0x9fffd505,0xff100001,0x213fa200,0xfffefffb,0x7f6fe401,0x3f37f203,
    0x7fffc406,0x999803ff,0x32019ffa,0x9006fcdf,0x5401dfdf,0x9805fdef,
    0x4003feff,0x36201ffb,0x37c0005f,0x3ffffee0,0x20ffe603,0xfeeeffe8,
    0x02ffd400,0x21ffffcc,0xaaaaaefb,0x1bf7002a,0x33ff2055,0x102b999a,
    0x01333333,0x04facf98,0x04facf98,0x4cccccc4,0x20007f40,0x09999998,
    0x903fd000,0xb7537bff,0x7ffffe49,0xc8009f92,0x5c05f9cf,0x7fc005ff,
    0x007fc81f,0x22fee7f4,0xffd80ff8,0x000fffee,0x04fa8773,0xf982fe88,
    0xc800982f,0x7ec403ff,0x554401ef,0xf801aaaa,0x1fffffff,0x03dffb10,
    0x3bea9f90,0x017fea00,0x3f623be6,0x01bf7003,0x40017ee0,0x3fe603fa,
    0x102ffcac,0x1bf907ff,0x007b6000,0x7dc16644,0x21980006,0x03ff886f,
    0x3dc00000,0x64f700d9,0x3ee00006,0x00000004,0x7fd437cc,0x7ffcc203,
    0x09f92fff,0x2fbcfc80,0x001ffcc0,0x3e203ff6,0xe93ea006,0x2e0ff20f,
    0x13fa20ef,0x3f227e40,0x70098801,0x130000bf,0x00000800,0xffb99900,
    0x00100199,0x0026204c,0x02620031,0x00660033,0x2a002620,0x201fffec,
    0x827ec4fc,0x2fe82ff8,0x00000000,0x00001bee,0x1ff507f5,0xccccb800,
    0x2a04cccc,0xa804e9bf,0x2604e9bf,0xcccccccc,0x4001fe24,0x20003cc9,
    0x04fe82fd,0xffffff70,0x90013f25,0x2200319f,0x20130001,0x3ee003fb,
    0x2fcc7f22,0x5fb82fe8,0x1889f900,0x3ff50000,0x00000000,0x26000000,
    0x0000007f,0x00000000,0x00000000,0xdffdfffb,0xf90ff601,0x6c17fc09,
    0x3326005f,0x44cccccc,0xccccccc9,0x000df74c,0x1fffeca8,0x4002ff98,
    0xfffffffe,0x3ff200ff,0xbff9000d,0x7fffdc01,0x7ec7ffff,0xfffd8002,
    0x87f88000,0xf9000ffa,0x325fffff,0x27e4004f,0x40000000,0x7d4004ff,
    0x07f43f63,0x4fd80ff8,0x0009f900,0x0f7bb726,0x0017bffd,0x1ef76e4c,
    0x03dfec98,0x677ff654,0x37b72600,0x765407fd,0x9800ceff,0x303deedc,
    0x6c07bfd9,0xd83db01e,0xd83db01e,0x643db01e,0xdfdf51ef,0xfe89f901,
    0x2607fe03,0xfb801eff,0x7fffffff,0x7fffffdc,0x00df77ff,0x7f7ffec0,
    0x2ffe80ef,0x3eaaaa00,0x1002aacf,0x2e002000,0xaaaaaaef,0x20037cc2,
    0x002ffff8,0x6fb84fb8,0x3fffea00,0x409f92ff,0x4fedeeca,0x7bfd9300,
    0x3bb72600,0x3000373d,0x32df55df,0x81ff103f,0xdd100ffc,0xddddfffd,
    0x7ffe403d,0x7e447fff,0x6401dfff,0x87ffffff,0xeffefffa,0xfffff981,
    0xffb81fff,0x207fffff,0xfffffff9,0x3fff201f,0xffa87fff,0xf81effef,
    0xf83ff01f,0xf83ff01f,0x223ff01f,0x3a7f60ff,0x90ffa83f,0x7ec000df,
    0x2e00cfff,0xaaaaaaef,0x55577dc2,0x9ff72aaa,0x40599999,0xfdf51efc,
    0xefff981d,0x0ffc000b,0x76c07b60,0xeffeca81,0x00df700c,0x2a001fe8,
    0x8005fcdf,0x05fc80ff,0x3ffffe60,0xd109f92f,0x9fffffff,0xfdfff500,
    0x7fe403df,0x7647ffff,0x707dfd71,0xdf33dfff,0xfb07fc40,0x7ffcc01d,
    0xffffffff,0x417ff901,0xffb71049,0x2fff205f,0x5ff31260,0x64c37ec4,
    0x8dfd5109,0x3ee22ffb,0x44272607,0xff906fea,0x3e624c17,0x21bf622f,
    0x83ff01ff,0x83ff01ff,0x23ff01ff,0x5dbe25fb,0xfddfd05f,0x3f20001d,
    0x01effc8d,0x7dc00df7,0xffffb806,0xf105ffff,0x7f4fec1f,0xffffc883,
    0x03ff000c,0x3ff01ff8,0xffffff98,0x06fb81ff,0xb002fd40,0x001ff37f,
    0x4fd82fd4,0x7fffe400,0xfd09f92f,0x027ec43b,0xfd88bfe6,0x417ff906,
    0x7ed7ec49,0xa984ffff,0x4403fd0a,0x01df70ff,0x39fb3330,0x3e603333,
    0x3620002f,0x02ff987f,0x3fe07fb0,0x89fea002,0x07f981ff,0xf30ff500,
    0x0ff6005f,0x07fe17fc,0x07fe0ffc,0x07fe0ffc,0x23fc8ffc,0x20df33fa,
    0x1003fffa,0x74c1ff03,0x06fb82ff,0x2e01bee0,0xaaaaaaef,0x7c4bf701,
    0x5c40bf76,0xf801ffff,0x80ffc01f,0x84e4c1ff,0xfb86fea8,0x00ff8006,
    0x5ff0ff88,0xd80fec00,0xffb8004f,0xb89f92ff,0x809f906f,0x85ff03fd,
    0xfb002ff9,0x3ff227ff,0x2027dc00,0x09fb0ff8,0x4009f900,0x980005fc,
    0x02fe40ff,0x3f207f88,0xa8ffc004,0x00ff306f,0x3f20ffc0,0x40ff1005,
    0x80ffc4fc,0x80ffc1ff,0x80ffc1ff,0x6c5fb1ff,0xa81ff10f,0x3223ffff,
    0xf12ffd44,0x703ff60f,0x37dc00df,0x40037dc0,0x4cfea3fc,0xfff5006f,
    0x401ff801,0x03ff01ff,0x7dc3fd40,0x03fc8006,0x17f26fa8,0xf9037cc0,
    0x2ea2000b,0xfe89f91c,0x4409f902,0x913f207f,0x7fec00bf,0x2602ff82,
    0x0ff8806f,0xc8001df7,0x0ff6004f,0x0ff90040,0x3ea007fb,0xdaaaaaaf,
    0x5553105f,0x13ee3ff5,0x4c403fcc,0x41ffaaaa,0xff5003fd,0xfb555555,
    0xff01ff8b,0xff01ff83,0xff01ff83,0x37c4ff23,0xaff98ff1,0x8df51ffc,
    0x3fe0fffe,0xfb85fd02,0x01bee006,0x36001bee,0x7c43f62f,0x5ff1000f,
    0x7c01ff80,0x003ff01f,0x7fdc1ff8,0x02cccccc,0x7fb00df1,0x64007fd4,
    0x01bee03f,0xf89f9000,0x409f900f,0xaaaaaffa,0x1fec5fda,0x3609fb00,
    0x4c7fa03f,0x10ff881a,0x64003dff,0x0bfe004f,0x6e6f7ec0,0x2ff82fff,
    0xfffff700,0x90bfffff,0xffffffff,0x7cc0ff63,0x7fffe407,0x7fc1ffff,
    0xffff7002,0x8bffffff,0x83ff01ff,0x83ff01ff,0x23ff01ff,0x547f54fb,
    0xfd1ff46f,0xfd8bf71f,0x0bfee0ff,0x9ff70ff2,0xb8599999,0xccccccff,
    0x9000df72,0xf89be27f,0x027ec007,0x3ff007fe,0x4c407fe0,0x41ffaaaa,
    0xfffffffb,0x80bf605f,0x17fc1ff8,0x9803fe20,0x200002ff,0x81fe24fc,
    0x3fee04fc,0xffffffff,0xb0017fc5,0x40ff207f,0xbfffb4fb,0x3a60ff88,
    0x9f9002ff,0x8017f400,0xdffffffc,0x2005fd01,0xaaaaaefa,0x7fe41aaa,
    0x1ff9999b,0x1fe609fb,0x999bffc8,0x17f41ff9,0xaaaefa80,0x7c1aaaaa,
    0xf83ff01f,0xf83ff01f,0x263ff01f,0x360fd8ff,0x883fe24f,0x444fdeff,
    0x4ffd82ed,0x3fee17f4,0x45ffffff,0xfffffffb,0x000df75f,0xa8fea9f7,
    0x17f4006f,0xff007fe0,0x3207fe03,0xffffffff,0x55577dc1,0x3ea01aaa,
    0x361bea05,0x027dc05f,0x000077f4,0x3fe24fc8,0x5409f900,0xaaaaaaef,
    0x017f41aa,0x3f207fb0,0x9f76f883,0x7fc47fb3,0x00ffec40,0xfb0027e4,
    0x19988009,0x3004fd80,0xff8800ff,0x3f23ff02,0x220ff706,0x83ff02ff,
    0xff3004fd,0x203ff000,0x80ffc1ff,0x80ffc1ff,0x3f7fa1ff,0xf983fee6,
    0x7fffcc0f,0xeffb8001,0xefb86fca,0x41aaaaaa,0xaaaaaefb,0x000df71a,
    0x41fb1ff3,0x440664fd,0x7fc00ffc,0xf80ffc01,0x4dffe41f,0x5c1ff999,
    0x3fa0006f,0xf509fb01,0x801fe80f,0x2a81effa,0xff13f200,0x9813f605,
    0x4fd8007f,0x640ff600,0xfd1fd83f,0x1ff12fcc,0x32017f60,0x3fee004f,
    0x01cb8000,0x44007fdc,0x3e6002ff,0x2e3ff307,0x07ff987f,0x3fe60ff3,
    0x4007fdc1,0x74002ff8,0x41ffc83f,0x1ffc83fe,0x7fe41ff4,0x37bffa21,
    0x7fc42ffe,0x306ffb81,0x3f6205dd,0x6fb80eff,0x201bee00,0xfffffffb,
    0x3f7fa07f,0xfc83fee6,0xfffeeeef,0x401ff802,0x43ff01ff,0x3ff02ff8,
    0x20006fb8,0xdff884fb,0x2ffccccc,0x5400bf50,0xfffeffff,0xf13f2004,
    0x09ff907f,0x20017fc4,0xfb000ffb,0xf70ff207,0x4bf13fc9,0xff500ff8,
    0x400df700,0x0280eff8,0xff1003fa,0xffc8501d,0x85ff1001,0xff11fffb,
    0x83ff7d49,0x7fdc2ff8,0x077fc41f,0x007ff214,0x3f20efd8,0x077ec1ff,
    0xfd83fff9,0x07fff20e,0x1bffffd1,0xd983bfa0,0xffe81fff,0x82ffd407,
    0x3ee006fb,0xffffb806,0x2207ffff,0xffedeffe,0x7ffff5c2,0xff001bef,
    0xc83fe803,0x41fe61ff,0x37dc1ff9,0x81ff1000,0xfffffffa,0x5fb05fff,
    0xfffc9800,0x3a001cef,0x8977dc3f,0x6404fefc,0x3e2001ff,0x7ec280ef,
    0x7c47f903,0x7cc3fa0f,0x6403fe24,0x2ffa805f,0x3bffea00,0xdf107fee,
    0x3bffea00,0x7f447fee,0x0fedcdef,0x7feeffec,0x3ff21fed,0x07f9efee,
    0x3ff77ff6,0xffa81fed,0x447feeef,0xedcdeffe,0x6fffcc0f,0x4c1fdcfe,
    0xdcfedfff,0x6fffcc1f,0x441fdcfe,0xf98009ef,0xefffeeff,0x3fffc0ff,
    0x5c0ffcc0,0x1bee006f,0x807f7000,0x0dffffe8,0x0037d4c0,0x3f600ffc,
    0x87fff20e,0x7fdc2ff8,0x0037dc1f,0xbfb0ff20,0xf9555555,0x000ff10f,
    0x880027e4,0x7ffc42ff,0x04fbcffe,0x66f7ff44,0xffa80fed,0x6c7feeef,
    0x6c7f903f,0x75f7dc2f,0x643fe21f,0x001ffedd,0x3fdbfffd,0x7fff6440,
    0x009f504f,0x7ffff644,0xffffd704,0xfffb10bf,0xf907f67d,0x81fe1bff,
    0xb3efffd8,0x3fb2203f,0xfd704fff,0x2a0bffff,0x3fb3ffff,0x27ffff50,
    0xfffa81fd,0xfa83fb3f,0x7fec4003,0x6ff88cef,0x4401ffdc,0x06fb80ff,
    0x8001bee0,0xef8806f8,0x27dc0009,0x200ffc00,0xcfedfff9,0x6ffec1fd,
    0x41fedffd,0x4c0006fb,0x100ffc6f,0x03fc85ff,0x7007fa00,0x1bfaa15d,
    0xa9f7ff44,0xffd7004f,0x6440bfff,0x6c4ffffe,0x2a7f903f,0x5fff905f,
    0xffb0ff88,0x644003bf,0x001fffff,0x00262006,0x4cc00180,0x80013000,
    0x004c0001,0x33000600,0x00062001,0x06200062,0x000075c0,0x98110001,
    0xb837ecc0,0x1bee006f,0x804fb800,0xfb0003fa,0xffffd003,0x501fffff,
    0x3f67ffff,0x77ffec41,0xffb83fb3,0x07ffffff,0x1fea3fd0,0x1ff13f60,
    0x01be2000,0x3ffffff6,0x0004401e,0x00013300,0xc81fec03,0x0004003f,
    0x22000026,0x00000009,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3f600000,0x00ffffff,0xfffffff7,0xffffb8ff,0x4c07ffff,
    0x3ae02dff,0x00db0000,0x3ffffffa,0x06200fff,0x5c002600,0xffffffff,
    0x367d5007,0x27fb804f,0x260004e9,0xfd95003e,0x0000007b,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x17bdfdd7,0x7ffffdc0,0x7fdc7fff,0x07ffffff,
    0x0003eda8,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x026c43d5,0x0b877b66,0x003ff980,0x4c0ffee0,0xea8005ff,
    0xfc813621,0xf300620f,0xb000007f,0x01dd103d,0x04d887aa,0x0003ff98,
    0xff307ff7,0xff70000b,0x26002007,0x402e1ded,0x813621ea,0x02e1ded9,
    0x09999998,0x41ffdc00,0xe8005ff9,0x3a207f26,0xeda802de,0x01eeeeef,
    0x95000000,0x1e4c0003,0x09999998,0xeeb89f54,0x000ffc0d,0x76c3ff00,
    0x807ba202,0x4ffea5fd,0x5bfd916d,0xff800000,0x4407fee6,0xfddffeff,
    0x7f7fcc03,0x1ffb8003,0x002fec40,0x1ffb9bfe,0x3ff7bfa0,0x3fbfe603,
    0x7ff54003,0x103ff1ef,0x9bfe01ff,0x3e601ffb,0x5c003fef,0x3f6201ff,
    0x3fee0005,0x7ffed401,0xfeff886f,0xff03fddf,0x440ffdcd,0xfddffeff,
    0xfffff103,0x7fdc007f,0x017f6201,0x0df9bf90,0x0bbfffe2,0x7ff6ffec,
    0x3a201fff,0x7400002f,0xffff500f,0x441fe49f,0x43ffffff,0xfffe9cfb,
    0x007fe0ff,0x321ff800,0x81bee06f,0x8bfe65fc,0xffffe9ff,0x07fe442f,
    0x3f205fa8,0x1b01be62,0x3013ffa6,0x07fb11df,0x0006fdc0,0x7e400bf7,
    0x7641be62,0x01ceffff,0x7fb11df3,0x3bfff600,0x103ff2fe,0x8bf201ff,
    0x3be606f9,0x7003fd88,0x3ee001bf,0x0dfb8005,0x777ffec0,0x3a61b07e,
    0x8bf204ff,0x4c3606f9,0x2a204ffe,0x001aaaaa,0x2e001bf7,0x3f62005f,
    0x2a6201ef,0x77dc2ffe,0x200ffe20,0xc8005ffb,0x5037c40c,0x749ffddd,
    0xaaaa880f,0x7f7dc1aa,0x7c9fd31e,0x3e00001f,0x407fe61f,0x4bf703fe,
    0x7ffc1ff9,0x54dfb32f,0xf880ffff,0x0000000f,0x4c098800,0x00066001,
    0x000004c4,0x3ff9bff0,0x0cc09880,0x8057fd40,0x0ff881ff,0x04c40000,
    0x00cc0066,0x20004c40,0xbffb8019,0x00000000,0x00000000,0x88001980,
    0x00080009,0x3fa0ffd8,0x9806fb82,0xff8003ff,0x9001fdc1,0x0017e29f,
    0x703bfee0,0x000ffcdf,0xfe83ff00,0x300ff984,0xff809883,0x987fcc1f,
    0xfc80fe9d,0x00000003,0x00000000,0x00000000,0x003bf204,0x06fc8000,
    0x7fc40ffc,0x00000000,0x00000000,0x00bfe000,0x00000000,0x00000000,
    0x00000000,0xff1ffc00,0x200df503,0x3ff00018,0x7e400188,0x00001314,
    0xff501ff7,0x00000ffc,0x87fb83ff,0x200005fb,0x03ff02ff,0x05f981fd,
    0x19bfd930,0x9bfd9300,0xbfd93001,0xfd930019,0xd930019b,0x76c019bf,
    0x7303db01,0x5409ffdb,0x00ceffec,0x7fc03fe8,0x200ff881,0x803dfec9,
    0x803dfec9,0x803dfec9,0x503dfec9,0x3ae5bfdb,0x03fe20ce,0xdb01ed80,
    0xdffd9503,0x7f654019,0x64c00cef,0x65403dfe,0x200ceffe,0x0ceffeca,
    0x66ff64c0,0xe93f6000,0x005fb83f,0x01ff8000,0x804fc800,0x23db01ed,
    0xf86605fb,0x05bfb71f,0x7ef76dc4,0x217fc41f,0x03db02fe,0x01ff87b6,
    0x81fd03ff,0xffc800fe,0x201fffff,0xfffffffc,0x3ffff201,0x3f201fff,
    0x01ffffff,0x3ffffff2,0x203ff01f,0x7ffd41ff,0xf980ffff,0x1fffffff,
    0x3e017f40,0x00ff881f,0xdffdfff5,0x3bffea03,0xff501eff,0x203dffdf,
    0xeffefffa,0x7fffff41,0x266ffffd,0x0ffc007f,0x7fcc1ff8,0x81ffffff,
    0xfffffff9,0xdfff501f,0xff303dff,0x03ffffff,0xfffffff3,0x3fff203f,
    0xb001ffff,0x50ffdc9f,0x3bb205ff,0x05eeeeee,0x00003ff0,0x3ff009f9,
    0x2fdc7fe0,0xffd3ff00,0xff507fff,0x03ffffff,0x03fccbfb,0x87fe03ff,
    0x03ff01ff,0x01fe41fd,0xfd317fdc,0x45ff701f,0xfb80ffe9,0x03ffa62f,
    0xfe98bfee,0x22ffb80f,0xff80ffe9,0x7d43ff01,0x0bfb10bf,0x3aa21393,
    0x017f406f,0x3fe207fe,0x222ff980,0x2ff986fd,0x3e61bf62,0x21bf622f,
    0x3f622ff9,0xdff705c6,0x07fa8ff4,0xff80ffc0,0xa884e4c1,0x09c986fe,
    0xf30dfd51,0x437ec45f,0xfd5109c9,0x2213930d,0xffb86fea,0x003ffa62,
    0x7fcc5ff3,0x203fffff,0xfffffffd,0x03ff007f,0x009f9000,0x47fe03ff,
    0x3fe005fb,0x1ff913ff,0xf505ffcc,0x21ff303f,0x07fe04fc,0x03ff0ffc,
    0x43fa07fe,0xff8806f9,0xf889fd01,0x889fd01f,0x89fd01ff,0x9fd01ff8,
    0xfd01ff88,0x3e03ff09,0x2a0ffa1f,0x3ea000ff,0x7ff776c7,0x3e5eeeee,
    0x80ff881f,0x85ff03fd,0x85ff03fd,0x85ff03fd,0x05ff03fd,0x9f717fc4,
    0xff001fea,0x8007fe03,0x7d4007fa,0xff03fd87,0x03fd4005,0xff11fea0,
    0x3613fa03,0x7f45ffee,0x401cdeca,0xf9999998,0x03ff003f,0x009f9000,
    0x47fe03ff,0x3fe005fb,0x3a3fe81f,0x203ff03f,0x403ff3fe,0x43ff01ff,
    0x03ff01ff,0x400ff431,0x1bee05fb,0x37dc0bf7,0x6fb817ee,0xdf702fdc,
    0x3ee05fb8,0xff01ff86,0xfe81fea3,0xf0ffc002,0xffffffff,0x41ffcfff,
    0x3fc40ffd,0x3fc49f90,0x3fc49f90,0x3fc49f90,0xfe809f90,0x3fd57ea1,
    0x7c07fe00,0x0ffc001f,0xf887fe00,0x0013f207,0xff8003ff,0xfb817ee1,
    0x41cffe86,0x400006f8,0x3fe005fd,0x4fc80001,0xff01ff80,0xf8017ee3,
    0x26bf702f,0x407fe07f,0x406faefb,0x43ff01ff,0x03ff01ff,0xf9004fb8,
    0x323fcc09,0x91fe604f,0x23fcc09f,0x1fe604fc,0x3fcc09f9,0x1ff80ffc,
    0x27ec0bf7,0xfaaaa988,0x00bfa01f,0x7fe41dff,0x557fd42f,0x25fdaaaa,
    0xaaaaaffa,0x3fea5fda,0xfdaaaaaa,0x2aabfea5,0x445fdaaa,0xaabfeaa9,
    0x00ff55fc,0x3ff01ff8,0x2aaaa620,0x553101ff,0x7d43ff55,0xdaaaaaaf,
    0x5553105f,0x26203ff5,0x21ffaaaa,0x1fe604fc,0x7fcc07fa,0x0001999c,
    0x7c001df9,0xfc80001f,0xf01ff804,0x8017ee3f,0x2df501ff,0x07fe05fa,
    0x01ff7fc4,0x0ffc07fe,0x07fe03ff,0x36006f98,0x83fe203f,0x3fe203fd,
    0xf880ff60,0x880ff60f,0x80ff60ff,0x0ffc0ff8,0x09f91ff8,0x7fe42fe4,
    0x01ffffff,0xfff00bfa,0xff99ffbf,0x7ffffdc7,0x2e5fffff,0xffffffff,
    0x3ffee5ff,0x5fffffff,0x3fffffee,0x3ea5ffff,0xffffffff,0x00ff55ff,
    0x3ff01ff8,0xffffff90,0xfff903ff,0x5c3fffff,0xffffffff,0xfffc85ff,
    0xc81fffff,0xffffffff,0xf880ff61,0xb00ff40f,0xdfffffff,0x07fea007,
    0x0003ff00,0xff009f90,0x7dc7fe03,0x407fe005,0x40bf76fa,0x3ff601ff,
    0x80ffc00f,0x407fe1ff,0x47fa01ff,0x7fb00998,0x3f63fcc0,0xfb1fe603,
    0x363fcc07,0xb1fe603f,0x43fcc07f,0x23ff01ff,0x17f204fc,0x33337ff9,
    0x17f403ff,0x3fff3fe0,0x7d49fd13,0xaaaaaaae,0x2abbea1a,0x21aaaaaa,
    0xaaaaaefa,0x3bea1aaa,0xaaaaaaaa,0xd339ff11,0x2133335f,0x7fc007fa,
    0xfc83ff01,0xff9999bf,0x4cdffe41,0x3ea1ff99,0xaaaaaaae,0x4dffe41a,
    0x641ff999,0xf9999bff,0x980ff61f,0x200fd87f,0xfeedcefb,0x7fc404ff,
    0x01ff8003,0x804fc800,0x23ff01ff,0x3fe005fb,0x3eebf701,0xa807fe05,
    0x1ff804ff,0x0ffc3ff0,0x9f701ff8,0xfc81fff4,0xf91bea04,0x3237d409,
    0x91bea04f,0x237d409f,0x1bea04fc,0x8ffc07fe,0x8ff605fb,0x3ff02ff8,
    0x3e017f40,0xf302030f,0x07f9800f,0x2003fcc0,0x3ee007f9,0xf5017f45,
    0x01ff800f,0x17fc43ff,0x3fe21ff8,0x7cc3ff02,0x17fc4007,0x3fe21ff8,
    0x7e43ff02,0x221bea04,0x403fea01,0x27f407fc,0x001ff800,0xf804fc80,
    0x003ff01f,0xfc80ffc0,0x3e60ff74,0x03fea01f,0x7fc07fe0,0xdf100001,
    0xa81fefdc,0x87fd00ff,0x7fd00ffa,0xfd00ffa8,0xd00ffa87,0x00ffa87f,
    0x07fd07fd,0x3fea3ff9,0x261ff880,0x03ff307f,0x3fe017f4,0x17fc4001,
    0x005ff100,0x10017fc4,0x3f2005ff,0xf501ff43,0x83fe800f,0x1fe61ffc,
    0xff30ffcc,0xf887fe60,0x1fe6002f,0xff30ffcc,0xfa87fe60,0x007fd00f,
    0x7cc09f90,0x00df900f,0x0000ffc0,0x7f4027e4,0x701ffc83,0x40ffc039,
    0x1ff31ff8,0x201ffe88,0x7fd005fe,0x5c03ff90,0x31fd801c,0x7407f5bf,
    0x07fe40df,0x3f206ff4,0x40dfe80f,0xdfe80ffc,0x7407fe40,0x07fe40df,
    0xff9077ec,0x1077f43f,0x2ff88dfb,0xd00fffdc,0x01ff805f,0x001ffc80,
    0xc8007ff2,0x3f2001ff,0x25fa801f,0xf501effd,0x0efd800f,0xf887fff2,
    0x0fffdc2f,0xffb85ff1,0x00ffe41f,0x7dc2ff88,0x0bfe21ff,0xfe83fff7,
    0x207fe40d,0xffb02fe8,0x541bf201,0x3e0000ff,0xfc80001f,0x20efd804,
    0xfd01fffc,0x220ffc01,0x86ff45fd,0x881fffe9,0xfb000efd,0x0fffe41d,
    0xfb801fd0,0x0fea3fa4,0xfddfff98,0xfff302ff,0x205fffbb,0xffddfff9,
    0xbfff302f,0x2605fffb,0xfffddfff,0xdbfff302,0x7cc3fb9f,0x0fffddff,
    0xffddffd8,0x3fa01fed,0x000ffc02,0x66f7ff44,0x7f440fed,0x0fedcdef,
    0x66f7ff44,0x7f440fed,0x0fedcdef,0x3abfb7fe,0xf52ecdff,0xfff9800f,
    0x41fdcfed,0xdffddffd,0x6ffec1fe,0x41fedffd,0xdcdeffe8,0x6ffec0fe,
    0x41fedffd,0xdffddffd,0x7ffcc1fe,0xa82fffdd,0xdff505ff,0x3ffd977b,
    0x0005ff30,0x80001ff8,0xff9804fc,0x1fdcfedf,0x7fc06f88,0x0effdcef,
    0x7ff7ffd4,0xfb931fe9,0x7cc003ff,0xfdcfedff,0x880df101,0xffff30ff,
    0x7ec409ff,0x4400dfff,0x00dffffd,0x6ffffec4,0x7ffec400,0x7ec400df,
    0x5400dfff,0x3fb3ffff,0xcffffd88,0xdfffb100,0xfe807f67,0x000ffc02,
    0xfffffd70,0x7fff5c0b,0x3fae05ff,0x2e05ffff,0x45fffffe,0xfb12efea,
    0x1fea3fff,0x3fffea00,0xfd883fb3,0x83fb3eff,0xb3efffd8,0x3ffae03f,
    0xfd885fff,0x83fb3eff,0xb3efffd8,0xfffb103f,0x3fe201bf,0x3fff6a03,
    0xfd00cfff,0xdddddddf,0xfffff003,0x3207ffff,0xeefffeee,0xffff502e,
    0x3ea07f67,0x7ffed404,0x3fea03ef,0x263fd1df,0x8000dfff,0xfb3ffffa,
    0xb013ea03,0x6e66445f,0x011002ef,0x40002200,0x01100008,0x20002200,
    0x00880018,0x740004c0,0x000cc02f,0x80013300,0x4cc00099,0x004cc000,
    0x7d409802,0x00620007,0x26000260,0x02660000,0x4c0004c0,0x00110000,
    0x4cc40022,0xfffe8009,0x02ffffff,0xfffffff8,0xfffd03ff,0x05ffffff,
    0x26200188,0x20004000,0x00033000,0x31000620,0x202fd401,0x000003fa,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x645b6000,0x4cc02dfe,
    0x88009999,0x2fec01ee,0xbf507ff5,0x70017ee1,0x937407ff,0x76dc403f,
    0x2601ecce,0x5cdb03ff,0x00002dfd,0x6666ee54,0x0dfa83cc,0xed980bf7,
    0x3e602e1d,0x3b2a005f,0x4000ceff,0xbf503ffb,0x70017ee1,0x7ffd47ff,
    0x0ffc04ff,0x2602ca80,0xfffff13c,0x4ccc000d,0x37400999,0x764c03f9,
    0xfb8003df,0x37b6603f,0xff3002e1,0x443d5007,0x6e5c404d,0xb951001b,
    0x3b2e2059,0xcc980bce,0x01cccccc,0x222cba98,0xbf500ffc,0x500dffd8,
    0x7f4ffcbf,0xf102ffff,0x007fffff,0x7e40bff7,0xa80bfe65,0x4005fdef,
    0x7e401ffb,0x3ea06fcd,0x1fffffff,0x07fdff30,0xffffb1ff,0x0bfa207f,
    0xfffffb10,0x2a0dffff,0x4405fdef,0xfddffeff,0x00bfb103,0xfffffff3,
    0x3fee003f,0x7ef7d401,0x0ffdc005,0x13ffbbaa,0x4cd7fccc,0xa813f201,
    0xfdddd16f,0x3fe2000d,0x6403ffff,0x2a06fcdf,0x1effefff,0x403ff700,
    0xddffeff8,0x3bfe603f,0x737fc03f,0x3fee03ff,0x200dffff,0x4ffffff9,
    0xffffffb8,0x7fffdc3f,0x7103ffff,0x2abfffff,0xf880ffff,0x27ed540f,
    0xfff07fc4,0x41bf665f,0x1aaaaaa8,0x703ffa80,0x00ffccbf,0x2002ffd4,
    0xd8800dfb,0xff501eff,0x40ffcc17,0x3fd88ef9,0xc89ff7fc,0x6ffb80ff,
    0x64577f40,0x200999df,0x1b005ffa,0x2013ffa6,0x4e4c05fb,0x00dfd510,
    0x2a001bf7,0x7dc005ff,0x04fc800d,0xffffffff,0xa813f203,0x00df506f,
    0x2aaaaa20,0x7fec401a,0x45ff301e,0xfb806fd8,0xd30d800d,0x77cc09ff,
    0x3203fd88,0x6c1be62f,0x3bf261df,0x89cff980,0x4dd44ffa,0x21ffdb99,
    0xaaaaadfb,0xcffe881a,0xd3b31aac,0x107f901f,0x7f909f93,0x7cc1fff8,
    0x3000000f,0x2620cc03,0x00062000,0x00400066,0x0ffc0ffa,0xf06604c4,
    0x07fd03ff,0x7d409ff5,0x0017ee0e,0x00000031,0x50000988,0x003300ff,
    0x33000310,0xc827e400,0x0cccdffc,0x7d409f90,0x000df506,0x40080000,
    0x05ff03fd,0x00000198,0x00cc0988,0x40bf5000,0x84fd85fb,0xf8800ff9,
    0x0013ee3f,0x3a001bfd,0xb82fcc0f,0x2fcc1fff,0x1ff817fc,0x00000000,
    0x00000000,0x3fcc0000,0x80003ff0,0x0bf702ff,0x85fd00a6,0x000005fb,
    0x00000000,0x00003ff0,0x80000000,0x3fe044fc,0x409f9001,0x0df506fa,
    0x00000000,0x9f903fc4,0x00000000,0xe8000000,0x742aea0f,0x403fe21f,
    0x9fb004fd,0xf50027dc,0x40fe800d,0xf75100fe,0xff80fe8f,0x2603ff01,
    0x000cdfec,0xfec980db,0xec9800cd,0x2600deff,0x80deffec,0x23db01ed,
    0x07fe05fa,0x6f7ff64c,0x7d407fe0,0x1ff10006,0x75405fb8,0x01bdd713,
    0x6ff645b6,0xddddd502,0x55531007,0xeea83ff5,0xb6c03eee,0xb02dfec8,
    0x0b7fb22d,0x07ee9f90,0x4054c3ff,0x1bea04fc,0x540037d4,0x403eeeee,
    0x03eeeeea,0x55555ff5,0x3ea8bfb5,0x201bdd71,0x03eeeeea,0x1f777754,
    0x3bbbbaa0,0x3a29f503,0x49f55fff,0xdff505fb,0xfb87fa00,0x00bfa004,
    0x1fe41fd0,0x643fea10,0x203ff03f,0xfffc81ff,0xe801ffff,0x3ffff207,
    0x3ee01fff,0x01fffeff,0xfffdfff7,0x3e03ff03,0x7c0bf71f,0xefffb81f,
    0x07fe1fff,0xeeeab7d4,0x0df303ee,0xcfb80bf7,0x0fffffe9,0xfffe9ff8,
    0xfffa82ff,0x7fe404ff,0x41ffffff,0x04fffffa,0x7fff4ffc,0xe9ff82ff,
    0x202fffff,0x40fffefc,0xffffa9ff,0xa813f20d,0x00df506f,0x9fffff50,
    0xfffffa80,0xfffff704,0xb8bfffff,0xffffe9cf,0xffffa80f,0x7ffd404f,
    0x7fd404ff,0x5f704fff,0xf8a277f2,0x3f213f26,0x6fa807ff,0xff0027dc,
    0x3fa004c1,0xfe80df30,0x40df33ff,0x83ff01ff,0x3fa62ffb,0x407fc00f,
    0x3fa62ffb,0x82ff980f,0x82ff9809,0xf01ff809,0xf817f23f,0x417fcc1f,
    0x5c07fe09,0xfffff55f,0x2e17ea09,0x5c2cccef,0xfd31efef,0x25ffff09,
    0xfc806fd9,0x26fff204,0x401ff999,0x7ffc04fc,0xf0dfb32f,0x3f665fff,
    0x2ffff606,0xcffcff80,0x13f24ffe,0xdf506fa8,0x09f90000,0xf504fc80,
    0x5555555d,0xefefb835,0x9009fd31,0x4fc8009f,0xc827e400,0x3a01ff1f,
    0xfe88ff67,0xbaa87fbf,0x7fdc0dfd,0xf982deff,0x4ffffebe,0x00ff4310,
    0x1fe82aaa,0x7fc07fe0,0x7407fe21,0x1ff9304f,0xfd01ff88,0x800bf709,
    0x7fc005fb,0x3ee3ff01,0xb83ff305,0x03ff005f,0x27e413f2,0xffb85fb8,
    0x7fdc4fff,0x7c37dc0e,0x07fcc1ff,0x7c413f20,0x803ff02f,0x7ffc04fc,
    0x3e07fcc1,0x07fcc1ff,0x8037ffee,0x3ee0dfff,0xfa813f27,0xb30df506,
    0x09f9001b,0xf304fc80,0xdff7000f,0xc806fb81,0x27e4004f,0x6c13f200,
    0x3606f88f,0x3ea5fd0f,0x40ff88ef,0x41cffffe,0xffffeeea,0x3fffea0e,
    0x406ffdcd,0xf70004fb,0xf01ff809,0x702fdc3f,0xfffe98df,0x702fdc0f,
    0x03ff50df,0x000ffd40,0x47fe03ff,0x7f440ff9,0x00ffd41f,0x7fc40ffc,
    0x2e09f902,0xaaefb85f,0x407fdc1a,0x02ff87fa,0x4fc803ff,0x3e60ff30,
    0x027e401f,0x0ffc0bfe,0x8ffc0bfe,0x04fefff8,0x7fc437fc,0x7d409f90,
    0xfd0df506,0x09f900df,0xf104fc80,0xffb8005f,0xc807fa80,0x27e4004f,
    0x6c13f200,0x3a07f88f,0x3ff2bf67,0x5503fe24,0x405ffd75,0x2a5ffb98,
    0x3ff982ff,0x2000df30,0x1ff806f9,0x27e43ff0,0xdfe8ff30,0x9813f200,
    0x7bffd07f,0x7bffd001,0xf01ff801,0xd327f43f,0xffd03fff,0x07fe017b,
    0x7e40bfb1,0xf70df704,0x205fb80b,0xf01ff819,0x04fc803f,0xffb85ff1,
    0x027e401f,0x0ffc07fe,0x8ffc07fe,0x04fc8cf9,0x1ff80ffc,0x37d409f9,
    0xfff86fa8,0x004fc807,0xff9027e4,0x02fdc003,0x09f90033,0x4004fc80,
    0x23f904fc,0x6cdf01ff,0x7cc2ffff,0x01ff7007,0x3ea1ff50,0x741bf206,
    0x2003531f,0x813311fe,0x43ff01ff,0x3fe203fd,0xd801ff30,0x03fe203f,
    0x37ffff22,0x3fff2201,0x03ff01df,0xeffa87fe,0x81ff9ffd,0x1dffffc8,
    0x7ee77ffc,0x13f200ef,0x2fdc37d4,0x20017ee0,0x03ff01ff,0x3f604fc8,
    0xfedffddf,0x2027e401,0x83ff01ff,0x23ff01ff,0xf013f208,0x647fe03f,
    0x41bea04f,0x4ffd86fa,0x4004fc80,0x3fa204fc,0x0fedcdef,0x40002fdc,
    0x7e4004fc,0x827e4004,0xbdff73fb,0xffc97e2b,0x006fa80e,0x3e200bfe,
    0x540ff31f,0xf94fb87f,0x4fb80dff,0x3ff0fffa,0x3fd87fe0,0x7fa9fe60,
    0x2603fd80,0x7edc407f,0x6dc402ff,0x1ff82fff,0xffb83ff0,0x403ff1df,
    0x22fffdb8,0x3effffff,0xf104fc80,0x405fb83f,0xff8005fb,0xc803ff01,
    0x3ff6204f,0x803fb3ef,0x0ffc04fc,0x0ffc1ff8,0x9f901ff8,0xff01ff80,
    0xfa813f23,0x2a0df506,0x009f9002,0xeb804fc8,0xb85fffff,0xfc80005f,
    0x027e4004,0x7c413f20,0x64f7faa6,0xc81fee3f,0x0bfa004f,0x7c43fe20,
    0x88df500f,0x3f66ea6f,0x7dcdf102,0x3e2003fd,0xa813f20f,0x007fe66f,
    0x37d409f9,0x00ffb100,0x7fc3fec4,0x0203ff01,0x6c4007fe,0x0627fe7f,
    0x6c09f900,0x202fdc4f,0xff8005fb,0xc803ff01,0x4c13004f,0x04fc805f,
    0x1ff80ffc,0x1ff80ffc,0xff809f90,0x3f23ff01,0x5417f604,0xfc80006f,
    0x027e4004,0x5c03fe60,0xfc80005f,0x027e4004,0xfc813f20,0xf11be202,
    0x03ff105f,0x2003fe60,0x81ff47fb,0x80fec4fc,0x23fb02fc,0x003fadf9,
    0x1ff51fea,0xbfd0ffa0,0xd00ffa80,0xff98007f,0x03fe6000,0x3ff907fd,
    0x000ffc00,0x07fe1ff3,0x5027e400,0x02fdc7ff,0x3e0017ee,0x803ff01f,
    0xfd0004fc,0x809f9001,0x83ff01ff,0x03ff01ff,0x3ff013f2,0x27e47fe0,
    0xa81ffcc1,0xfc80006f,0x027e4004,0xfb80bf20,0x4fc80005,0x0027e400,
    0xff8813f2,0xc82fe983,0x1bfa20ef,0x4027f4c0,0x7fdc2ffb,0xf70ffd41,
    0x5c1bee09,0x3ea3fa4f,0x0bfb1003,0xffc81bfd,0x00effd40,0xffc81bfd,
    0x1ff20080,0xd87fc802,0x3fff20ef,0x107fe001,0x3ff3fe40,0x013f2000,
    0xffdbfff9,0x5fb8bddd,0xf01ff800,0x04fc803f,0x9006f980,0x01ff809f,
    0x01ff83ff,0x13f203ff,0x3fe03ff0,0x777c9f91,0x1bea06ff,0x013f2000,
    0xf8009f90,0x017ee00f,0x0013f200,0xfc8009f9,0x677f4c04,0xb102ffdb,
    0x1dffbbff,0xfeedeee8,0x76f76c5f,0xffd03fff,0x447ffd9b,0x05fd80ff,
    0x3fe61ff1,0x6404ffff,0xff980fff,0x02fffddf,0x85dffff5,0xffddfff9,
    0x9bdfb02f,0xfb05fffb,0x5fffb9bd,0xfdbfff30,0x7c003fb9,0x66f7ec1f,
    0x3fe2fffd,0x09f90001,0xfffffb50,0x5fb8dfff,0xf01ff800,0xfeeec83f,
    0x002eeeff,0xeec87bff,0x2eeefffe,0x1ff80ffc,0x1ff80ffc,0xdfffddd9,
    0x01ff85dd,0xe93f23ff,0x3ae0cfff,0xeeeffeee,0xfeeec803,0x642eeeff,
    0xeefffeee,0x677e402e,0x8005fb80,0xefffeeec,0x777642ee,0x42eeefff,
    0xefffeeec,0xfec882ee,0xfc801def,0xfe80ceff,0xd81dffff,0x00cfffff,
    0x0effffe4,0x3ff60bf6,0x117ec2cc,0x05dfb999,0x2200efe8,0x00dffffd,
    0x417ff5c4,0x0dffffd8,0x3fffff20,0xfff901df,0x5403bfff,0x3fb3ffff,
    0x320ffc00,0x1dffffff,0xec800ffc,0xeeefffee,0xb8004c02,0x1ff8005f,
    0xffe83ff0,0x2fffffff,0xe8bd9300,0xffffffff,0xf80ffc2f,0xf80ffc1f,
    0xfffffd1f,0xff85ffff,0x1003ff01,0x3fffff20,0xe804ffff,0xffffffff,
    0x7ffff42f,0x402fffff,0xfb80edb8,0xfffe8005,0x42ffffff,0xfffffffe,
    0x7fff42ff,0x02ffffff,0x08800044,0x80099980,0x31000198,0x7f417ea0,
    0x17ea5fff,0x13007f50,0x00008800,0x00110026,0x20019988,0x44001998,
    0x01980001,0x19806662,0x3ffffa00,0x002fffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x5e76e4c0,0x205dd100,0x0bf70dfa,0x2cddca88,0x3000ee60,0xcb880077,
    0xcb8802cd,0x3ea1cdee,0x2004ffff,0x0acedca8,0x99999993,0x980b2a19,
    0x0ffe604c,0x36003fd8,0x3e3db01e,0xf700001f,0x66665c7f,0x0ccccccc,
    0x99999997,0x00019999,0x6401cc88,0x33b2e01c,0x200f260b,0x0332a2c8,
    0x99991e64,0x32201579,0x26072e04,0x00deffec,0x4001e64c,0xdba804ca,
    0x654000cd,0xcccca83c,0x82cccccc,0x001cddb9,0x6666665c,0x57999992,
    0x40599103,0x33221cc8,0x3001abcc,0x6c7bddb9,0x2fffffff,0x2a07ffd8,
    0x5c05fdef,0x4fffffff,0xc8009f90,0x3fea004f,0x900effff,0x9fffffff,
    0x27ff7754,0xfffffb80,0xffff75ff,0x3f21ffff,0x4c1fea04,0xfb03feff,
    0x80ffc007,0x003ff1ff,0xe83ff700,0xffffffff,0x99bd1fff,0xf9999999,
    0xe880b621,0xf5037e41,0xfffd301f,0x17ea3fff,0xffc93ea0,0x3e6ff983,
    0xcfffffff,0xfb03fcc0,0xfefffb87,0x7fec01ff,0xffd5000f,0x7ffec40f,
    0xf1003fff,0xfff70bff,0xbfffffff,0xffffffc8,0xffff3003,0x3ffe9fff,
    0x40dfffff,0xdfb00ffc,0xffffff98,0x3ff201ef,0xff97ffff,0x1ffd5117,
    0x5407ffd8,0x7fe405ff,0x04dba9bd,0xfc8009f9,0x59ff7004,0xc81dff73,
    0xb999acff,0x1013f202,0x5537bffd,0x2aaaa6bb,0x9f90ffba,0x7cc3fd40,
    0xd83fd88e,0x07fe003f,0x01ff8ffc,0x406fdc00,0xcffaaaaa,0x23d0aaaa,
    0x7e43e018,0x88df900f,0x2ff883ff,0x3263bfd0,0x500df31f,0x437fe49f,
    0x2bfe7ffc,0x45ffeb99,0x8ff607f9,0x00982ff9,0x00bfffe2,0x0fffffd3,
    0x6ccd6ff4,0xffd801ff,0xaaaa985f,0x24feaaaa,0xff512efc,0x9fdf9005,
    0x33fe1333,0x45ffcaaa,0xff984ff8,0x5557fcc1,0xfc83ffec,0x7fd260bf,
    0x441ff983,0x018802ed,0x0101ffd4,0xf90013f2,0x213fe009,0x3fe23ff9,
    0x09f90003,0x0202ffc8,0x3f21ff10,0x221fea04,0x7ec0cc09,0x407fe003,
    0x003ff1ff,0x7c001980,0x7e47a01f,0xfd07c1df,0xff559959,0xb81ff703,
    0x00df706f,0x7f700df3,0xf10fefec,0x40ffcffb,0xffd73ffa,0xffdddddd,
    0x0017eebd,0x02fe6fd4,0xff75dff1,0x4fe81c40,0x2fdf7d40,0x98ffc400,
    0x06fa80ff,0x81fe77c4,0x0ffa81ff,0x3fa0ffd4,0xf907f984,0x017fcc1f,
    0x0ffc07fe,0x7f400000,0xfddd1004,0x3dddddff,0x3fffbba2,0x2e1eeeee,
    0xa9bee06f,0xf90000ff,0x017fc409,0x643fe200,0x01fea04f,0x800ff600,
    0x23ff01ff,0x000001ff,0x3a01ff80,0xf8bf6621,0x3ffffe20,0x3fa02fff,
    0x6407fe24,0x07f8804f,0x2bf63fb8,0x9febea4f,0x2bfd01ff,0xfffffffc,
    0xf56fffff,0x7fb0003f,0x1e401ff3,0x32000ff7,0x27fe206f,0xfc8005fb,
    0xff817ee5,0x3f2fee01,0xf103ff03,0x5cdfb03f,0x07f980ef,0x05fc93fa,
    0x7fa84fd8,0xeeeec800,0x3ea5eeee,0xfff3000f,0xffffffff,0x3ffffe63,
    0x21ffffff,0x3fe203fe,0x0005ff31,0x6fc813f2,0x0ff88000,0xbfd409f9,
    0x4e9803ea,0x9db107fb,0x1ff80ffc,0xbfd913ff,0x3bbbb205,0x7c05eeee,
    0x6c07a01f,0x7ffb03e7,0x4c03ffd7,0x409fb0ff,0x7f8803fd,0x3fa2fc80,
    0x7f5f66f8,0x3ee03ff0,0xfd81fe66,0x05efff43,0xff87fc40,0x01fee002,
    0xf9037dc0,0x10017ee9,0x027ec3ff,0x47f405fb,0x03ff03fc,0x3fe20ff3,
    0xf302ff8a,0xfb3fdc0f,0x1bff5007,0x2000ffea,0xfffffffd,0x001bee7f,
    0x339fb333,0xd9998333,0x419999cf,0x17fc01ff,0x90005ffd,0x01fec09f,
    0xc87fc400,0x55fea04f,0xb4fb805f,0x0efe887f,0x8ffc07fe,0xffffeaff,
    0xffffd82f,0x7c07ffff,0x5c07a01f,0x7fcc1f0f,0x36027f41,0x200ff9df,
    0x8ff003fd,0xe8bf20fe,0x29f13f97,0x203ff0fe,0x81fe65fc,0x7fe443fd,
    0x3ea01dff,0xb8017f26,0xbf90007f,0x5fb9be60,0x322fdc00,0x40ff605f,
    0x207f95f9,0x05fd81ff,0x817f7fee,0x3fe607f9,0x2a005ff0,0x02ffefff,
    0x33333100,0x2fe47ff3,0x009f9000,0x7c404fc8,0x31ff400f,0x0017dfff,
    0x2ff813f2,0x004cccc4,0x27e43fe2,0x1be6ff50,0x1fecff20,0xff81dfd1,
    0x3fe3ff01,0x0dfb32ff,0xf3333331,0xf999887f,0x0f4099af,0x5c1f3744,
    0x406fc86f,0x102feff8,0x33339fd3,0x3e21ff03,0x7e87f22f,0x3a3f79f3,
    0xd103ff0f,0x4cffcc7f,0x03fe9999,0x05fffb71,0x0ffa8ff6,0x000ff700,
    0x3fa03ff1,0x88017ee1,0x07fd41ff,0x5f904fc8,0x42aab7f2,0xfecbacff,
    0x0fffe803,0x799ffb90,0x5fd1ff88,0x7fffd400,0x6c00000d,0x0027ec5f,
    0xc8009f90,0x07fcc04f,0xf910ff60,0xc8019fff,0x83ff104f,0x406ffffd,
    0x09f90ff8,0x47f8bfd4,0xfd97ec4b,0xf01dfd13,0x7c7fe03f,0x07fcc1ff,
    0xfa85fd80,0x4fffffff,0x3dfd90f4,0x50bf907c,0xdff700df,0x7fffff40,
    0x0fe87fff,0x0fecbff7,0xd377f4ff,0xb987fe3f,0x7ffcc6fe,0x3fffffff,
    0x887fd880,0x017fc1ff,0xd8007fb8,0xb89f905f,0x1bee005f,0x5ccd77f4,
    0x7f884ffe,0x4bfffff2,0xffffffff,0x04ffa803,0x1bfffffe,0x027ecbfe,
    0xffddffa8,0x02ff981e,0xfd81df90,0x13f20004,0x3bfb32a0,0x3e62cccc,
    0x81ff400f,0x01ffffb8,0x7fc413f2,0x37ee65c1,0x7e43fe20,0xff9fea04,
    0x1fe87fe0,0x0bfd17fb,0x7fe41ff4,0x3fe05ff1,0x80efc801,0xcdffccc9,
    0x3db0f42c,0x437dc1f0,0x333105fb,0xb83337ff,0xccccdffc,0xdfb0fe84,
    0x7f83f61f,0x1fd8fff2,0xffffddff,0xeeff981d,0x03ffeeee,0xfa81ff30,
    0x7005fd86,0xffc800ff,0x5c0ff980,0x5ff1005f,0x3ffffa60,0xfb83feff,
    0x2aab7f24,0xb7559ff0,0xffe80dff,0x5ff7500f,0x71ff8855,0xffb801ff,
    0x903ffe62,0xff500fff,0x000bf903,0x7e4027e4,0xffffffff,0xd007fe23,
    0xfff5005f,0xf813f201,0x01bea02f,0x13f21ff1,0x47f67fa8,0x43fe4ffa,
    0x405fecfd,0x3ff20efd,0x3e03ff1f,0x0ffd401f,0x3a01ff80,0x507c1321,
    0x04fd81ff,0xfffffffd,0x07fb03ff,0x33e27f60,0x7c1fd3fc,0xfd83fe67,
    0xbdfffff2,0xd81fe605,0x6fc8023f,0x7fa84fd8,0x400ff700,0x5fd01ffc,
    0x2e00bf70,0xbcba806f,0x3fd05fb2,0x1ff81fe4,0xf703ff98,0x7cc0bfbd,
    0x447fe607,0xff280eff,0xa87ff105,0x3e201fff,0x00df703f,0x44027e40,
    0x999cfd99,0x1017fc09,0x3e2003ff,0x409f902f,0x1bea03fe,0x3f21ff10,
    0xfc9bea04,0x3fcfdf92,0x807ffbfb,0xcfedfff9,0x203ff1fd,0x3fe201ff,
    0x807fe003,0x07c0661e,0x3f22bbfe,0xf555500f,0xb015559f,0x2bf2007f,
    0xfd6f9afa,0xb0ee3fc4,0x8007fe5f,0x8ff607f9,0xffdcdefd,0x66ffc42f,
    0x02ffcccc,0xf9007fb8,0x33fea03f,0xcffdcccc,0x00bfe02c,0x7cc1ff80,
    0x03fdaaaf,0x17f203ff,0x3fe6bfe6,0x540ff303,0x77ffcc7f,0x07f9ffee,
    0x3ff617f6,0xa813fa01,0xf90002ff,0x04fc8009,0x3ea05fe8,0x827ec007,
    0x1ff204fc,0x7d406fa8,0xfc817ee7,0x66fcfee5,0x3f66f8af,0x5403ffab,
    0x3fb3ffff,0x0ffc07fe,0xf8009fd0,0x1987a01f,0x7ff441f0,0x001fffff,
    0x7fb003ff,0x9f6bf200,0x3e27f8fe,0xff2fd806,0x03fcc003,0x7ffe47fb,
    0xfa81dfff,0xffffffff,0x07fb805f,0x2e01ffc8,0xffffffff,0xf704ffff,
    0x2fd4000d,0x7fffffec,0x203ff03f,0x25fe85fc,0x7f980ffc,0x32617fa0,
    0xfacfffff,0x2e13f607,0x01bf207f,0x20003bfa,0x7dc006fb,0x00ffa806,
    0xfe8007fd,0x4409f902,0x0df503ff,0x1fea6fc8,0x33ea3ff8,0xf9df9af9,
    0x7fdcff64,0x3e618802,0x7fc07fe5,0x000df901,0xf0f403ff,0xdfd83e0f,
    0x0ffccedc,0xdffcccb8,0x3fd80ccc,0x4bf7f700,0x3e66fbfb,0xff3fc806,
    0x03fcc003,0xff3107fb,0x556fec03,0x07fcaaaa,0x7e407fb8,0x5554401f,
    0xaefdaaaa,0x005ff01a,0xf107fe60,0x7fb5555f,0x3e207fe0,0x107fdc4f,
    0x0ff30bfd,0xfc807fee,0x213fe20c,0x7f442ffa,0x001ff504,0x5503dff3,
    0x800bfea0,0xff802ffa,0x31ff621e,0x03ff2203,0x3ee027e4,0xcb7d40df,
    0x3e1ffd42,0x20ffb84f,0xfd0fcdf9,0x91fec7f7,0xfe8003ff,0x7fc07fe0,
    0x000ffa81,0x87a01ff8,0x3ee1f03b,0xd0bfd00f,0xffffffff,0x007fb03f,
    0xf98bfbee,0x01be66fe,0x00ffcff2,0x7ec0ff30,0xf80df103,0x0bfe201f,
    0x7e40ff70,0x999999af,0x80bf7000,0x4c4006fb,0x4fb84ffc,0x3ff03fc8,
    0x107fed44,0x5ff509ff,0x36627f98,0x0ff404ff,0x76efffdc,0x3fb2a4ff,
    0x005ff306,0x7f7fffd4,0x3ffa04ff,0x3a01fedf,0x41fedfff,0xffeeffe9,
    0x777fe41e,0x202fffee,0xffc804fc,0xb6ffeeff,0x0dfffdff,0xfdbbfff5,
    0x5fef885f,0xfd8bfbf2,0x800ffec3,0x80ffc6f9,0x17fcc1ff,0x201ff800,
    0x999999ae,0x7d50f999,0x4c41fcc0,0x199aff99,0x7777ff64,0x3ea3eeee,
    0x2fff40ff,0x7f900df3,0xf98007fe,0x540ff607,0x01fea04f,0xfffb13f6,
    0x29ffffff,0xfffffff8,0xf7005fff,0x803ff80b,0x2efffffd,0xdf903fd0,
    0x3ffe9ddd,0x41ffffff,0x3ff606fd,0x3ffffe60,0x7c403fff,0x3fffaa07,
    0x1fff42ef,0xddddffd0,0xdb103ddd,0x4039dfff,0x1fffffc8,0x3ffff220,
    0xfffd881f,0xffeb80df,0x641cffff,0xeefffeee,0xfffb302e,0x3f665bff,
    0x36604eff,0xf01dffff,0x7ffcc5ff,0x3fa0ff61,0x9bfd000f,0x0ffc07fe,
    0x3bbbbffa,0x3fe01eee,0x3ffffa01,0x0fffffff,0x3ff00000,0x7fffff40,
    0x2a4fffff,0x5ffb85ff,0x3f201bea,0x4c003ff4,0x40ff607f,0x13f601eb,
    0xffb1fee0,0x9fffffff,0x3fffffe2,0x7005ffff,0x03fdc0bf,0x03cdefd8,
    0x7fe41bea,0xffff5fff,0xff507bdf,0x327fcc05,0x17bdffff,0x2007d300,
    0x20026019,0xfffffffe,0x001802ff,0x88001310,0x00110009,0x3fa00ccc,
    0xffffffff,0x40098802,0x00440009,0x3fa07fec,0x220ff60f,0xc9800efe,
    0x3e03ff5e,0x7ffff41f,0x002fffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x97000000,0x99999999,0x640072e0,
    0x5479700c,0x0cc8003c,0x79999100,0x00664035,0x32602ca8,0x99999933,
    0x0b326999,0xccc99e44,0x2ccccccc,0x99300797,0x2f3332e1,0x4195000a,
    0x6664c1c9,0x974ccccc,0x21991005,0x1abcccca,0x333332e0,0x00cccccc,
    0x2a000000,0x00ea000a,0xea86f6cc,0x3fb2604f,0x3b2600cd,0xca80deff,
    0x200ceffe,0xb3deedc9,0x207b603d,0x503dfec9,0x3ae5bfdb,0xc80000ce,
    0x44ed882e,0xbd700eeb,0x3bbbbaa1,0xddddd903,0x8b6cbddd,0xa6c2dfec,
    0x19d70cfb,0x3a202ed8,0x3fffa00e,0x80ffffff,0x3ff003fd,0x7dc1ff70,
    0x01ff8005,0xffffff30,0x03ff03df,0xfa813f20,0xffffff76,0x1bfeefff,
    0xfffaafcc,0x5fffffff,0xfe805ff5,0x3fffffa5,0x1fc803ff,0xfff50bee,
    0x32ffffff,0x26fb807f,0xfffffffc,0xffffe81e,0x1fffffff,0x5400012e,
    0x800ff405,0x7cc04ffa,0xfff9efff,0xffffc85f,0xffb81fff,0x4c1fffef,
    0xffffffff,0xfffffc81,0x3e03ff7f,0x77ffd41f,0x7ff41eff,0xffffdfff,
    0xb00ffc06,0x0efe887f,0x7cc2ff44,0x3fffea2f,0xffffb04f,0x7fcfffff,
    0x2fffffe9,0x2fffebba,0x7e44fffb,0x501bee06,0x559ff555,0x400ff605,
    0x0ffd41ff,0x3e0017ee,0x5ff3001f,0x87ffd955,0x64009aff,0x5dbea04f,
    0xaaaaaaef,0x305fff72,0x2aaaa2bf,0x23ffbaaa,0x3fea06fe,0x32ab3fa0,
    0x7ec02ffe,0xff507f20,0x25555555,0x7f401ff9,0x2aab7f23,0x5542fffc,
    0xaacffaaa,0x1bff10aa,0x17fe4000,0x2e003fd0,0x97ec05ff,0x3fd2fffc,
    0xfd317fdc,0x417fcc1f,0x884e4c09,0x7fe46fea,0x0ffd260b,0x3fe61ff8,
    0x171bf622,0x3fd37fdc,0xfb00ffc0,0x8077f447,0x27f43ff9,0x4c413f20,
    0x3ff99999,0x6ccbfffe,0x7cfffa6f,0xf98df3fe,0x007fd00f,0xfd801ff8,
    0x443ff003,0x05fb82ff,0x3001ff80,0x83ff20ff,0xceffffff,0xf5027e40,
    0x2e01beed,0x5f986fef,0xf98dfb00,0xe87fd02f,0x406fe82f,0x2a07ec7e,
    0x09fd006f,0x9f90ffc4,0x801ff910,0x7f4401ff,0xffd8000e,0x000ff402,
    0x3fc401b9,0xa7dcbff1,0x9fd01ff8,0x80002fdc,0x0bfe67fa,0x3fe03ff0,
    0x7fc0ff61,0xb8bfe202,0x807fe04f,0x1dfd13fd,0xf90ffb80,0x009f900d,
    0x7ffc5fd8,0xfe87fcc1,0x0fe9bfa6,0x7fcc1ff4,0x00ffc000,0x01d31fec,
    0x827f43ff,0xff8005fb,0x40ff3001,0x3bbfe4fe,0x322fffee,0x5dbea04f,
    0xecfb806f,0x402fcc2f,0x6fd80ffa,0x7f40ffb8,0xaa87fb82,0xfeaaaffa,
    0x00df51ab,0x6fb81bf2,0x9fd027e4,0xb001ff80,0x3a2003ff,0x1fe800ef,
    0x2fcc0000,0x75f993fe,0x537dc0bf,0x200003ff,0x00bf91ff,0x47fe03ff,
    0x13f207f8,0x2fd43fd0,0x7ec03ff0,0x2005fe8b,0x00ff9efd,0x32004fc8,
    0x817fc0ef,0x745fd1ff,0xf703fa1f,0x000bf90d,0x7fb003ff,0xff01ffd3,
    0xfb817f23,0x01ff8005,0x7dc0ff30,0xfb107fe7,0xa813f23f,0x700df76f,
    0xf98df79f,0x81ffc405,0x17fc3ff8,0x3fd417f4,0x7ffffff4,0xf55fffff,
    0x07fe600d,0x13f21fec,0x7fc07fb8,0x0fff2001,0x501bff30,0x9bff9999,
    0xa8000999,0x556ff44f,0x409f95fb,0x6fff47f9,0xaa98800b,0x7fb1ffaa,
    0x3e03ff00,0x555ff51f,0x88bfb555,0xaabfeaa9,0x07fe05fc,0x05fecfd8,
    0x17fffc40,0x5004fc80,0x03ff03ff,0xd07f47fe,0x2207f41f,0x017fc1ff,
    0x6c00ffc0,0xf01dffff,0x401df73f,0xff8005fb,0x40ff3001,0x03ff0ff9,
    0x027e53fa,0x01beedf5,0x87fe33ee,0x37ec05f9,0x7dc3ff20,0xfb05fd06,
    0x3bf5310b,0x2133df33,0x3fa006fa,0x640ff883,0x03fe604f,0x54001ff8,
    0x9ff504ff,0x7ffffe40,0xdb7fffff,0xdddddddd,0xd13ee1dd,0x2dffffff,
    0x3fe203fd,0x3ffff220,0xffff901d,0x3fe3ffff,0xf01ff802,0x3fffee3f,
    0x25ffffff,0xfffffffa,0xddb5ffff,0xddddffdd,0x3ff7f61d,0x5ffa8003,
    0x2013f200,0x3ff03ff8,0x07f47fe0,0x407f41fd,0x01bea4fd,0x2600ffc0,
    0x7c01dffe,0x5c00ffbf,0x83bb105f,0xfdc801ff,0x7fc43ccf,0x3f203ff1,
    0x9999df95,0x3eedfb99,0x2ccccccf,0x997f29f7,0x07fea05f,0xff17ff10,
    0x266ffa03,0x2600ffda,0x2a17e24f,0x999999ff,0x7d437e40,0x2204fc86,
    0x07fe01ff,0x837fe600,0x54c02ffb,0xaabffaaa,0xffffff2a,0x23ffffff,
    0x4e7f44fb,0x07fb0999,0xdb883fcc,0x7fe42fff,0x1ff9999b,0x3ff005fd,
    0x77d47fe0,0xaaaaaaaa,0xd339ff11,0x2133335f,0xffffffff,0x7fb1ffff,
    0xe8007ff5,0xf9001fff,0x409fd009,0x23ff01ff,0xe83fa0fe,0x367fa80f,
    0x3ff0003f,0x0ffff620,0x02ffffc0,0xffe82fdc,0x7c00ffc7,0xf86fffff,
    0x3203ff2f,0xfffff96f,0x2edfffff,0xffffffff,0x3fe29f75,0x3e20bf31,
    0x9ff7003f,0x7fff40bf,0x5400dfff,0x2a13e63f,0xffffffff,0x3607fcc4,
    0x404fc83f,0x07fe02ff,0x83bfa200,0xe8001ffd,0x5400001f,0x9027fc4f,
    0x037d409f,0xff13fec4,0x7ec7fe05,0xf01ff804,0x801fe63f,0x017f45fb,
    0xfd807fe0,0x2005ff73,0x00efcefc,0x7e404fc8,0xf80ffc06,0x7f41fd1f,
    0x7fc03fa0,0x0000ff8a,0x37ea03ff,0x7ff003fe,0x5fb805ff,0x7c1ffff0,
    0xffba801f,0x8ffc42aa,0x29ff01ff,0xaaaaaefc,0x5df76fca,0x2e355555,
    0x7cd7f24f,0x800dfb05,0x3a01fffe,0x01efdcdf,0x0fea2fb8,0x33333fea,
    0x23fe82cc,0x4fc80ff8,0xf807fe20,0x7f4c001f,0x03ffb80d,0x0000ff40,
    0xff89be60,0x403fea06,0xff3003fe,0x7cc1fe61,0x801ff71f,0x1ffc83fe,
    0x32005ff1,0x001ff43f,0x3fd807fe,0xf5007ff2,0x2017fa3f,0x3fea04fc,
    0xf80ffc00,0x7f41fd1f,0x7e403fa0,0x20005fbd,0x363301ff,0x73ff003f,
    0x2fdc03ff,0x7fc5ffc8,0x40ff3001,0x03ff1ff9,0x13f23ff5,0x0df76fa8,
    0x7fcc9f70,0xffa85f98,0x27fd4001,0xffb8bfa0,0xcfdaa880,0x22adfcaa,
    0x7e4006fa,0x7e41bea6,0x807fe604,0x3ea001ff,0x27fd404f,0x4003fd00,
    0x87fc00cb,0x3a02fffc,0x07fe40df,0xf13fe401,0x1fffb85f,0x2501dff1,
    0x3ff20efd,0x007ff21f,0xeffd97ea,0x807fe001,0x0ffec3fd,0x3e63ff98,
    0x827e403f,0xff802ff9,0x3fa3ff01,0x0fe83fa0,0x05fdff10,0x400ffc00,
    0x3ff003fd,0x7dc03bf6,0x3fe0a605,0x40ff3001,0x26bfe7fa,0x324ffeb9,
    0x5dbea04f,0x44fb806f,0x445f9cfd,0xff0003ff,0x6c2fe803,0xffffb84f,
    0x7fffffff,0xf3001bea,0x640ff61f,0x01fea04f,0x3ee003ff,0xbff3003f,
    0x003fd001,0xf9013fea,0xdff5dfbf,0x7ffcc5db,0x6c2fffdd,0xfffdcdef,
    0x7eeffec2,0x3ea1fedf,0x37feeeff,0xb9fdbfff,0x77ff443f,0x3e0fedcd,
    0xffeafedf,0x3fe02ecd,0x3a0ff601,0x2ff440ff,0xdd917fdc,0x5dddfffd,
    0x3bbbbffa,0x03ff1eee,0xd07f47fe,0xb007f41f,0xf8000fff,0x03fd801f,
    0x3fa23ff0,0x000bf705,0x3e6003ff,0xff97fa07,0x43ffffff,0x5bea04fc,
    0x4fb806fb,0x22fd7fcc,0x3e0006fd,0x217f401f,0x55440ff9,0xbfeaabfe,
    0x001bea2a,0x03fe2ffe,0xbfd027e4,0xd801ff80,0x744001ff,0x00c400ef,
    0x9009ff70,0x3fee3dff,0x7fec41ff,0xffc80dff,0x881dffff,0xfb3efffd,
    0xfffec883,0x3fffea4f,0xfd703fb3,0xea8bffff,0xfffb12ef,0x00ffc03f,
    0xdfd107fb,0xd807fec1,0xffffd0ff,0x3a5fffff,0xffffffff,0x3e03ff2f,
    0x7f41fd1f,0xfa803fa0,0x7fc0004f,0x003fd801,0x1ffcc3ff,0x7c002fdc,
    0x0ff3001f,0xeff87fee,0xfc80acde,0x7ddbea04,0xe84fb806,0x3fea5fdf,
    0x07fe0001,0x9fd05fd0,0x03f63f40,0x32001bea,0x3206fadf,0x03ff904f,
    0x3a201ff8,0x360000ef,0x400001ff,0x402000cb,0x00088008,0x4c003331,
    0x88030000,0x01330001,0x20026008,0x00000019,0x00000000,0x00000000,
    0x3ff00000,0x2007fb00,0x0ffdc1ff,0x3e0017ee,0x4ff3001f,0x7c4ffd98,
    0x09f9001f,0x06fbb7d4,0xffa84fb8,0x339ff15f,0x80133333,0x17f401ff,
    0x6f807fd4,0x06fa83f4,0x3fdff980,0xe9893f20,0x1ff803ff,0x00006e40,
    0xeee98764,0x3eeeeeee,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfffffe80,0xfd80ffff,0x3fffffff,
    0x3ff607fe,0x3ffffee0,0xfff07fff,0x47ffffff,0xfffffff9,0x001ff83f,
    0xb7d409f9,0xfffffffb,0x3a09f77f,0xffff75ff,0x0dffffff,0x7f401ff8,
    0x3e09fd02,0x6fa83fc6,0x1ffff000,0x7ffffe40,0xff002fff,0x00000003,
    0x7fffffcc,0x0004ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xe8000000,0xffffffff,0xffffd80f,0x3fe3ffff,
    0x2e6fe881,0xffffffff,0xffffff07,0x7fcc7fff,0xf00bdeff,0x13f2003f,
    0xfff76fa8,0x2effffff,0x2bff504f,0xfffffffc,0x7fc06fff,0xb817f401,
    0x22fc40ff,0x00df506f,0x901bff20,0x15bdffff,0x000ffc00,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3ea80000,
    0xca84e980,0xbb9501cd,0x713ea819,0x00001bdd,0x00000018,0x0803ec00,
    0x00000000,0x00019900,0xdfb3fe40,0x4cccccc0,0xdddddd50,0xb503dddd,
    0x54426c43,0x7f4c002b,0x2ffb8005,0x3ffffff2,0x99999996,0x19999999,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x36a00000,0x5fa83eff,0x3a24fb80,0x4c2fffff,0x20fffeff,0xfffe9cfb,
    0x807540ff,0x3fffe64c,0xc83d302d,0x79106d43,0xec80f900,0x3aa02eff,
    0x07fea04f,0x00fbff62,0x3e609ff7,0xffffffff,0x7ecff94f,0xfffff106,
    0x3fffee7f,0x81ffffff,0x87fee5ff,0x40efffe8,0x5fd882eb,0x907fee00,
    0x2fffffff,0xffffffff,0x01ffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xacfd8000,0x3e60efb9,0x323fc806,
    0x0ffb88df,0x5c7fb062,0xfd31efef,0x640efe89,0xd9bd30ff,0xa8bfa0ff,
    0xf127e46f,0x9b24a81f,0x3fbfee4b,0x7ff541ff,0x1bff604f,0xbffbbff3,
    0x07fbbe20,0x3bbbbba6,0xdf93eeee,0xbb8837e4,0x2221bbbb,0xfe888888,
    0x3a22fc81,0x7f5f7e46,0xb807f60e,0x0dfb805f,0x88888888,0x33333330,
    0x03333333,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x93f70000,0x44dd1379,0x3f625c7f,0x5ff03fe2,0xf727dc40,
    0x46fb81df,0xff90efe8,0x5c2ff801,0x207fe25f,0x917ee2fe,0xfb1d73df,
    0x0ffe228d,0x409fb9fd,0x3fa0fffb,0x3207fa22,0x0006f99f,0x2fe4df70,
    0x3fa00000,0x07fc0001,0x0ff97ffb,0x01100110,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3e5f1000,
    0x23f88fcc,0xe87fe0ff,0xf90ff11f,0xffffdb87,0x2a03fee4,0xcefe887f,
    0x7fcc00ff,0xfd83fe20,0x741ff303,0x7f7ecc3f,0x3fe802ef,0x404fc84c,
    0x21be27fe,0x92fc43fc,0xf700007f,0x0002fdcd,0x0007fa00,0xffd86f88,
    0x000002ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3e7a8000,0xfd9765f2,0x7fc9ff51,0xfd81ff10,
    0x2e677ea2,0x9817ee4f,0x1fffd101,0x20ffffc0,0x017ea3fd,0x07fccbf7,
    0xa802ffdc,0x13f201ff,0x37ccdfb0,0x83f61fe4,0x33220ff8,0xcccccccc,
    0x2fdcbf52,0x3b200000,0x26000001,0x000001bc,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7cd90000,
    0xfc9b24ee,0x3fcfdf92,0x0ff88ffa,0x24fb87f6,0x320005fb,0x37200eff,
    0x8bfa2ffe,0x37d404fc,0x7f543ff1,0x2e03feee,0x27e403ff,0x7c45ff10,
    0xf30ff40f,0x7cc9f709,0xffffffff,0x0000004f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xdbf9ee00,0xf3fb9724,0x8df15f9b,0x3ffceffa,0x7fedefe4,
    0x40017ee4,0x00efeffc,0x3be66fc8,0x7c40bfa0,0xfd93f61f,0x0df96b8d,
    0xf9005ff9,0x0bff9509,0xbfd75df9,0x3fd00fe8,0x4ccccccc,0x00000999,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x47e60000,0x49d1f9af,0xf9af9cfa,
    0xffa84f9d,0xffd882ef,0x17ee4f9d,0x223ff200,0x7ec00efe,0xff327e46,
    0x7d47fb01,0x4cd91cc6,0x007bfa23,0x7ffc27e4,0xffffb102,0x30164c1b,
    0x00000079,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xbd000000,0x07de6cbe,
    0x3a1f9bf3,0x02203fbf,0x0bf70020,0x220ffc80,0x99950efe,0xff885ffd,
    0xdf717ee1,0x3e402fe8,0xffffffd0,0x7ff75c3f,0x00130eef,0x00002aa2,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x37e20000,0xf10bf220,
    0x7f7e4bfd,0x4cccccc2,0x26666099,0xbf709999,0x880fb800,0x3fffee5e,
    0xe87f502e,0xe983ee0d,0x3a06c805,0x1fffffff,0x3ffffff2,0x0000000f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xb1000000,0x203dfdff,
    0x3fe62fff,0x3fffe21f,0xff13ffff,0x27ffffff,0x008005fb,0x40026202,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x01aa8800,0x3fa07fec,0x5555540f,0x2aaa0aaa,0xf70aaaaa,
    0x0000000b,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_26_latin_ext_x[560]={ 0,5,3,0,1,0,0,5,3,3,2,1,3,3,
4,1,1,1,1,2,0,2,1,1,1,1,5,3,1,1,2,3,0,0,2,1,1,2,2,0,1,2,2,1,
2,0,1,0,2,0,2,1,1,1,0,0,0,0,1,4,2,3,1,0,0,1,2,2,1,1,0,1,2,2,
1,2,2,1,2,1,2,1,2,2,0,2,0,0,0,0,2,2,6,2,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,5,1,1,1,0,
6,1,0,0,2,1,1,3,1,0,2,1,3,3,0,2,1,5,5,2,2,1,0,0,0,2,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,2,1,0,0,
0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,2,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,-1,-1,0,1,0,0,0,0,0,0,2,1,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,2,0,2,1,1,0,0,1,2,2,0,0,2,
2,-4,-2,2,1,0,2,0,0,1,2,0,0,0,1,2,0,0,0,0,0,0,0,0,-1,0,2,2,-1,0,
0,0,0,0,1,2,0,0,1,0,0,-3,1,0,0,0,0,0,0,0,0,0,0,0,1,2,0,0,0,0,
0,0,0,0,0,0,0,3,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,-1,0,-2,-2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,2,1,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__consolas_26_latin_ext_y[560]={ 19,1,1,2,0,0,1,1,0,0,1,5,14,11,
15,1,2,2,2,2,2,2,2,2,2,2,6,6,4,8,4,1,0,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,1,0,2,22,1,6,1,6,1,6,0,6,1,0,
0,1,1,6,6,6,6,6,6,6,2,6,6,6,6,6,6,0,-2,0,9,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,19,6,0,2,2,2,
-2,0,1,2,2,6,11,11,0,1,0,3,0,0,1,6,1,9,19,0,2,6,0,0,0,6,-3,-3,-3,-3,
-3,-4,2,2,-3,-3,-3,-3,-3,-3,-3,-3,2,-3,-3,-3,-3,-3,-3,6,-1,-3,-3,-3,-3,-3,2,0,1,1,
1,1,1,-1,6,6,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,5,3,1,1,1,1,1,1,1,
-2,1,-3,1,2,6,-3,1,-3,1,-3,0,-3,1,-3,0,2,1,-2,1,-3,1,-3,0,2,6,-3,1,-3,1,
-3,1,-3,0,2,0,-3,-3,2,1,-3,1,-2,1,-3,1,2,0,-3,6,2,0,-3,1,2,1,6,-3,-3,2,
1,0,0,2,1,2,1,-3,1,2,6,-3,1,-1,2,6,-2,1,-3,1,-3,1,2,6,-3,1,2,6,-3,1,
-3,1,-3,1,2,6,-3,1,2,2,-3,0,2,2,-3,1,-2,1,-3,1,-4,-1,-3,1,2,6,-3,1,-3,1,
-3,-3,1,-3,0,-3,1,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,-6,-4,-3,1,-3,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,6,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static unsigned short stb__consolas_26_latin_ext_w[560]={ 0,4,9,14,12,15,15,4,8,8,11,13,7,8,
6,12,13,12,12,11,14,11,12,12,12,12,5,7,11,12,11,9,15,15,11,12,13,10,10,13,12,11,10,13,
11,14,12,14,11,15,12,12,13,12,15,14,14,15,12,7,11,7,12,15,9,12,11,10,12,12,14,13,11,11,
11,12,11,13,11,13,11,12,12,11,13,11,14,14,14,14,11,10,3,11,14,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,0,4,11,12,13,14,
3,12,12,15,10,12,12,8,12,11,10,12,9,8,13,12,12,5,4,10,10,12,15,15,15,9,15,15,15,15,
15,15,15,12,12,12,12,12,13,13,13,13,14,13,14,14,14,14,14,12,14,13,13,13,13,15,11,12,13,13,
13,13,13,13,14,10,13,13,13,13,13,13,13,13,12,13,14,14,14,14,14,13,13,13,13,13,13,14,11,14,
15,13,15,13,15,12,13,13,13,12,13,12,13,12,15,17,14,14,12,13,12,13,12,13,11,12,12,13,13,14,
13,14,13,14,13,14,13,13,14,13,13,13,13,13,13,13,11,12,13,11,12,12,12,12,13,12,12,13,13,11,
11,17,16,13,16,13,11,13,13,12,11,13,13,13,12,11,14,14,14,14,15,14,14,14,15,14,12,12,15,14,
13,13,13,13,12,11,13,13,13,13,14,17,13,13,13,13,13,13,13,13,13,13,15,14,12,11,14,14,15,14,
15,13,13,13,13,13,13,11,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,14,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,15,13,15,14,16,16,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,12,11,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13, };
static unsigned short stb__consolas_26_latin_ext_h[560]={ 0,19,7,17,22,20,19,7,25,25,11,14,10,3,
5,21,18,17,17,18,17,18,18,17,18,17,14,18,16,8,16,19,25,17,17,18,17,17,17,18,17,17,18,17,
17,17,17,18,17,22,17,18,17,18,17,17,17,17,17,25,21,25,9,3,6,14,19,14,19,14,19,19,18,19,
25,18,18,13,13,14,19,19,13,14,18,14,13,13,13,19,13,25,27,25,6,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,19,23,17,17,17,
27,22,6,18,13,12,6,3,13,6,10,16,11,12,6,19,21,5,4,11,13,12,19,19,19,19,22,22,22,22,
22,23,17,21,22,22,22,22,22,22,22,22,17,22,23,23,23,23,23,12,23,23,23,23,23,22,17,20,19,19,
19,19,19,21,14,17,19,19,19,19,18,18,18,18,19,18,19,19,19,19,19,14,19,19,19,19,19,24,24,24,
21,19,22,19,22,18,23,19,23,19,23,20,23,19,22,20,17,19,21,19,22,19,22,20,22,18,22,19,23,24,
23,24,23,25,23,25,22,22,17,18,22,18,21,18,22,18,22,24,22,13,18,25,23,24,23,24,13,22,22,23,
24,19,19,17,18,17,18,22,18,23,19,22,18,20,23,19,22,19,23,19,23,19,18,14,22,18,23,19,22,18,
23,19,23,19,21,17,23,19,23,23,22,20,17,18,23,19,22,19,23,19,24,21,23,19,22,18,22,18,22,24,
22,22,18,22,19,22,18,19,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,22,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,25,24,22,19,25,21,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,23,19,23,23,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17, };
static unsigned short stb__consolas_26_latin_ext_s[560]={ 511,506,190,173,472,263,489,505,34,102,112,
399,145,277,505,165,461,376,389,475,402,487,499,417,1,430,506,14,255,177,243,
327,111,360,459,36,215,107,188,117,94,1,131,27,55,306,118,77,321,230,160,
92,229,142,199,291,471,144,131,9,137,139,164,286,253,335,427,348,439,371,117,
337,195,166,158,170,105,477,465,309,154,127,51,323,49,359,491,14,426,452,453,
147,5,127,238,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,
235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,511,501,394,
278,249,263,1,1,225,445,40,86,212,277,1,200,153,267,124,77,263,132,191,
505,506,134,29,99,494,1,17,60,485,427,395,336,274,113,443,178,465,131,71,
30,410,494,396,382,486,353,325,255,183,310,448,64,463,420,282,434,225,160,82,
279,298,284,103,256,242,110,384,501,187,173,159,145,222,249,417,431,90,208,61,
46,31,16,1,280,475,461,447,433,76,279,170,195,149,363,290,392,320,236,143,
310,29,406,296,236,43,336,1,204,67,377,124,270,438,349,14,222,40,375,27,
419,1,307,85,252,57,43,129,87,366,352,333,303,306,403,82,347,246,361,218,
182,190,441,317,58,198,294,211,239,413,57,43,270,267,365,383,41,330,13,291,
424,277,170,482,451,263,249,340,33,367,45,379,312,239,70,178,294,99,388,157,
414,478,193,99,99,71,140,69,348,15,85,492,478,443,292,221,63,406,228,458,
400,365,113,322,96,336,467,17,183,84,155,115,210,144,176,207,204,351,260,22,
216,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,380,
235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,
235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,
235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,
235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,
235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,
235,235,235,71,225,411,201,17,52,235,235,235,235,235,235,235,235,235,235,235,
235,235,235,235,235,235,235,235,235,235,235,235,235,352,324,492,478,235,235,235,
235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,
235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,
235,235,235,235,235,235,235,235,235, };
static unsigned short stb__consolas_26_latin_ext_t[560]={ 1,1,176,158,53,76,76,76,1,1,176,
158,176,176,90,76,119,139,139,119,139,119,119,139,139,139,53,139,158,176,158,
99,1,139,139,139,158,158,158,139,158,158,139,158,158,139,158,139,139,53,158,
139,158,139,158,139,139,158,158,1,76,1,176,176,176,158,99,158,99,158,99,
99,139,119,1,139,139,158,158,158,119,119,176,158,139,158,158,176,158,99,158,
1,1,1,176,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,
139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,1,53,1,
139,139,139,1,76,176,119,176,176,176,176,176,176,176,158,176,176,176,99,76,
84,68,176,176,176,99,119,119,119,53,53,53,53,53,29,139,76,29,53,53,
53,29,29,29,29,139,29,29,29,29,29,1,176,1,1,29,1,29,53,158,
76,99,99,99,99,99,76,158,139,99,99,99,99,119,119,119,119,99,119,99,
99,99,99,99,158,76,76,76,76,99,1,1,1,76,76,53,76,53,119,29,
76,29,76,29,76,29,76,53,76,158,76,76,99,29,76,76,76,76,119,76,
76,29,1,29,1,29,1,29,1,53,53,139,119,53,119,76,119,53,119,53,
1,53,158,119,1,29,1,29,1,158,53,53,29,1,99,99,158,119,158,119,
29,119,29,99,29,119,76,29,119,29,119,1,99,29,119,119,158,53,119,29,
99,29,119,29,119,29,119,76,139,29,119,1,1,53,76,139,139,1,99,53,
99,1,119,1,76,1,99,53,139,53,139,53,1,53,53,139,53,99,53,139,
99,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,53,
139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,
139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,
139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,
139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,
139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,
139,139,139,1,1,53,99,1,76,139,139,139,139,139,139,139,139,139,139,139,
139,139,139,139,139,139,139,139,139,139,139,139,139,1,76,1,1,139,139,139,
139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,
139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,
139,139,139,139,139,139,139,139,139, };
static unsigned short stb__consolas_26_latin_ext_a[560]={ 229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_26_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_26_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_26_latin_ext(stb_fontchar font[STB_FONT_consolas_26_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_26_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_26_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_26_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_26_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_26_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_26_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_26_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_26_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_26_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_26_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_26_latin_ext_s[i] + stb__consolas_26_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_26_latin_ext_t[i] + stb__consolas_26_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_26_latin_ext_x[i];
            font[i].y0 = stb__consolas_26_latin_ext_y[i];
            font[i].x1 = stb__consolas_26_latin_ext_x[i] + stb__consolas_26_latin_ext_w[i];
            font[i].y1 = stb__consolas_26_latin_ext_y[i] + stb__consolas_26_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_26_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_26_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_26_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_26_latin_ext_s[i] + stb__consolas_26_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_26_latin_ext_t[i] + stb__consolas_26_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_26_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_26_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_26_latin_ext_x[i] + stb__consolas_26_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_26_latin_ext_y[i] + stb__consolas_26_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_26_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_26_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_26_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_26_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_26_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_26_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_26_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_26_latin_ext_LINE_SPACING
#endif

