// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_18_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_18_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_18_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_consolas_bold_18_latin_ext_BITMAP_HEIGHT        200
#define STB_FONT_consolas_bold_18_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_consolas_bold_18_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_bold_18_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_bold_18_latin_ext_LINE_SPACING          12

static unsigned int stb__consolas_bold_18_latin_ext_pixels[]={
    0x0002a8aa,0x00000266,0x0f200220,0x801cc980,0x179505db,0x4c006640,
    0x0a894c00,0x50f7774c,0x5016cc1b,0x26055005,0x7775c00a,0x01555515,
    0x01552d98,0x2a02e980,0x055006e3,0x9fe2aa80,0x202e887f,0xefc804fd,
    0x27c00b50,0x2007fea0,0x00a9aff9,0xfe88bffb,0xff981fff,0x027f6402,
    0xa83fb9f5,0x3fe1eeff,0x7dc1ff64,0x13ff605f,0xdd700ff6,0x3fffeaff,
    0xfdb7f401,0x00fe4002,0x40df53ff,0xfb004ffd,0x0ff3fc1b,0x072a09fd,
    0x9fb13ae0,0x01dfb980,0x22003ba2,0x3e20fb09,0xf32fe80e,0x801fd10f,
    0x7e406a9f,0xb04fa83e,0x5427d43f,0xeb83e9ae,0x1fec2ea9,0x2662ff00,
    0x9fdc01fe,0x2ec002fd,0x81ec5720,0x402ea9eb,0x3e7f83eb,0xfc837e47,
    0x05e4403f,0x3a20bfa2,0x001fffff,0x13f32a00,0x17dc27d4,0xc8000bea,
    0x540003ff,0x0000004f,0x003fd800,0x007fa1fe,0x00005fb0,0x00000000,
    0xfa9fe7f8,0x7a9f880f,0x4c2f6f40,0x6eff41ff,0xfea80cbf,0xe882ffff,
    0xf506ffff,0x2662df09,0xffff54f9,0x42255103,0xfffea82a,0x209f52ff,
    0x917ee2fd,0x64bfffff,0xfb4fd85f,0x7f837ec7,0x7fe41fe8,0xb5fb5fff,
    0x3faa09ff,0xbf92ffff,0xfea89fb0,0xbf92ffff,0xf9fe9fb0,0xed80bf67,
    0x2a7e203f,0x7c49f707,0x3ea07c9f,0x81cffcbe,0x5ffeadfd,0x5fcc3fa8,
    0x55fbfffb,0xf303ffdd,0x7d41ff0f,0x51cffcbe,0xb8bf609f,0x77775c5f,
    0x883fe65f,0x327fb0ff,0xd0ff00ef,0xeeeeb83f,0xfdfffb5f,0xcbefa89f,
    0x1ff31cff,0xdf507fc4,0x2639ff97,0x43fe20ff,0x7fc5fe7f,0x006f2600,
    0x3e209ffb,0x036effc6,0x40ff45f9,0xfdf88ff9,0x2e17e40f,0xfafcef9f,
    0xf981fe85,0x3f20ff87,0x4fa87fa2,0x2fdc5fb0,0x7fd17ea0,0x57fb2fdc,
    0x43fc01ff,0xafd401fe,0x8ff50ffd,0xd07fa2fc,0x322fdc7f,0xfd07fa2f,
    0x4ff2fdc7,0xe80df57f,0x01a805ff,0xfff707fc,0xd8bf207f,0xf55fa81f,
    0x3fee3fd5,0xbbfafd85,0x1fe85f9f,0x0ff87f98,0x21fd8bf2,0x45fb04fa,
    0x2fd405fb,0x22fe9bee,0x401ffdfd,0x401fe87f,0x445fb5fa,0xd8bf20ff,
    0xfd37dc1f,0x3f62fc85,0x5fd37dc1,0x04fbbfc0,0x4c1fffe2,0xb03ffffd,
    0xfffda85f,0x65ffd41f,0x329f706f,0xff73fd8f,0x95f7dd09,0x3fd0bf3f,
    0x1ff0ff30,0x37e5ffd4,0x17ec13ea,0x5fa80bf7,0x3fc4ffc4,0x003bfff6,
    0x803fd0ff,0xf85fb5fa,0x32ffea1f,0x89ff886f,0xcbffa87f,0x89ff886f,
    0xfbbfc07f,0x3fb3ee04,0xfcccea82,0x883fc82f,0x7d46ffdf,0xf900dffe,
    0x21fe57e9,0x7df741fd,0xe84f8fc9,0xf87f981f,0x3ffbea0f,0xd827d40d,
    0x5017ee2f,0xf79f90bf,0x5febfd89,0x0ff43fc0,0x17ed7ea0,0x77d41ff1,
    0x9f900dff,0xfdf509f7,0x33f201bf,0xabfc04fb,0x32bf605f,0x09f9004f,
    0x53f305fb,0x000fe8ff,0x365f39f7,0x3a1fd42f,0xfbffafbe,0xf981fe82,
    0x3fa0ff87,0xd827d400,0x5017ee2f,0xfddf30bf,0xff8bfd83,0x3fa1fe03,
    0xfdafd401,0x1fd1bf22,0x3fbbe600,0x3000fe81,0x7f83fddf,0xf03fc5fe,
    0xa981beaf,0x1ff84fda,0x3f23ee31,0x66777ec6,0x1f9df502,0x89f507fe,
    0xffeff9fd,0x37ff32e6,0x3e1fe63c,0x33bbf60f,0xd827d42c,0x5017ee2f,
    0x1bffa0bf,0x17fd4ff6,0xff9977f8,0x57ea079b,0x1ffdcdfd,0x166777ec,
    0x360dffd0,0x202cceef,0x27f86ffe,0x2a07fa7f,0x883ff15f,0x44fffffe,
    0x3ffe66f9,0x7d41ffff,0x886fffff,0x0df76fff,0xa8fc89f5,0x3f60b98b,
    0x226fffff,0x2a3fc47f,0x26ffffff,0x45fb04fa,0x2fd405fb,0xfd82ffb8,
    0x3e03ff23,0xffffffb7,0x7ed7ea0d,0xfa81efff,0x706fffff,0x3fea05ff,
    0xf706ffff,0x3fcff05f,0x47f90bf9,0x867f43fd,0x11fec4fb,0x839dffdb,
    0x3fe20ff8,0xfeeffa81,0x545f882f,0x7f50003f,0x9bea1ff8,0x3fe20ff8,
    0x64009f51,0x827e404f,0x200006fb,0x3f20007f,0x44035fb4,0x07fe20ff,
    0x7fc41bee,0x2e07fe20,0x3fcff06f,0xffe87fd1,0x7fc5ffff,0xffb93f61,
    0x7cc09d00,0x403fe60f,0x201efffd,0x87fe1afe,0xc87f8029,0x22ffccff,
    0x3fe60ff9,0x2033bf50,0x0b85fd30,0x54c45ff5,0x37c401ff,0xd87f9988,
    0xffa85c1f,0xf9805fb2,0x443fe60f,0xf301ffa9,0x887fcc1f,0xff01ffa9,
    0x47fe63fc,0xfeeeeff9,0x3b3bfa0f,0x05ff34ff,0x3ffa01fc,0x3a02ffee,
    0xffa8009e,0x3ffffe67,0x20eff804,0x82ffffc8,0x2ffeeffe,0x207fffea,
    0xff86fffc,0x7fdc5fff,0x03f9803f,0xdf0ffff9,0x4bfffff0,0xffe802fd,
    0x3ee2ffee,0x7ff403ff,0x3ee2ffee,0xf9fe03ff,0x9f75fa87,0x7f4c5ff0,
    0x7fb4fadf,0xca800980,0x3a200bcc,0x44298003,0x71002ccb,0x50022017,
    0xa8817999,0xcca80aaa,0x03999503,0x26001795,0x5555300c,0x99950590,
    0x5000aa83,0xca817999,0x9995000b,0x00bca817,0x8a0ff3fc,0x84fc82fd,
    0x00051008,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x4c932000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7d100000,
    0x50098003,0x05510599,0x55553055,0x07951003,0x40713bd7,0x5103ccca,
    0x32201599,0x9503cb8c,0x55555101,0x53101555,0x9ca81555,0x002602c9,
    0x99103310,0x03326003,0x500332a0,0x88db8199,0x7015402e,0xa88713bd,
    0x07ffd102,0xfb10be60,0x7cc1dfff,0x7e40ff87,0x7c403fff,0x37e20fff,
    0x7c40effe,0x540fffff,0x882fffff,0x104fc9ee,0xfff301ff,0x443fffff,
    0x0ffffffc,0x3204ffd8,0xdf7004fe,0x007fe603,0x403fdbf3,0x7d401efa,
    0xffff981e,0x217ff600,0x0effedf8,0xdf101fe6,0xfb07ea00,0x4cbff95d,
    0x440ff87f,0x6c009999,0x2a0819df,0x99dfd80a,0x45ff40b9,0x30988098,
    0x407fc401,0xaaffbaa8,0x3ffff60a,0x03300ff9,0x9806a9f8,0x04c400ce,
    0x20098620,0x80330019,0x32a00aa8,0x2a082c99,0x403fcc0a,0x7e4400fd,
    0xf983fe60,0xff0ff31f,0x0aa0aa21,0x2a881ff8,0x017fc2a8,0x551027fc,
    0xfffb8550,0xf884ffff,0xfffff107,0x332a03fe,0x07ff903c,0x32a05d80,
    0x6665402c,0x80599503,0x2a23ccca,0x05542a82,0x982cca80,0x01fc807f,
    0x54ffffd3,0xf32ff85f,0x3e61ff0f,0xf880ff87,0xff0ff307,0x20177f41,
    0xf980dffe,0x3aa0ff87,0x83eeeffe,0xfff307f8,0xf883feff,0x980fffff,
    0x3e6001cc,0xffffe883,0x7fffc40e,0x3ffa20ff,0x7fc40eff,0xff30ffff,
    0x17ec1ff0,0x3ffffa20,0x201fe60e,0xeff882fc,0x213ee6ee,0xf0ff33fe,
    0x3e1fe61f,0x306f980f,0x541ff0ff,0x640befff,0x4c3fffef,0x880ff87f,
    0x3fc400ff,0xf7ffff88,0x4cefec1f,0x5ffe80b9,0x1ffff540,0x7fe577ec,
    0x4ccefec5,0x32bbf60b,0x4efec5ff,0x0ff30b99,0x017ec1ff,0x3ff2bbf6,
    0x2a01fe65,0xeafe40cf,0x7ec27e44,0x1ff0ff33,0x83fe1fe6,0x4ffffffe,
    0x03fe1fe6,0x21dfffb3,0xffd88ff8,0x3fe1fe63,0x400ff880,0x3ffa07f8,
    0x7fc1ff7f,0x7fff8802,0x3ff7fea0,0x983fe62f,0x80bfe0ff,0x3fe60ff9,
    0xf980bfe0,0x3f60ff87,0x983fe602,0x00ff30ff,0x7f47ff91,0x86fa87f2,
    0xf0ff32fe,0x3e1fe61f,0x3bfb2e0f,0x21fe62cc,0xff9100ff,0xfc8bfe2b,
    0xff0ff30f,0x801ff101,0x3f6207f8,0x7f41ff7f,0x767dc02e,0xf35fd02f,
    0x42fd4dfd,0x0bbfa2ff,0x17fc2fd4,0x3e605dfd,0x3f60ff87,0x3ea4ffda,
    0xff32ff85,0x47dfd100,0x4c2f8afe,0xf31ff87f,0x3e67f88f,0xfc80ff87,
    0xff0ff303,0x3a6fc801,0x21ff12ff,0x80ff87f9,0x7c400ff8,0xff3a8807,
    0x5f7ffd41,0x4fcafd80,0xf1f96f98,0x3a13f21f,0x3bffea3f,0x3a13f20b,
    0x3bffea3f,0x3e1fe60b,0x3bfff60f,0xd09f92ff,0x201fe67f,0x9cfc83fb,
    0x70cff81f,0x50ffc4df,0x7c3fccbf,0x302fd80f,0x0c1ff0ff,0xffd12fe4,
    0x3fccdf9d,0x1ff807fc,0x4003fc40,0x7fecc0ff,0xfabfc0ef,0x2dd5fa86,
    0xb09f91fe,0xfffd987f,0xfb09f90e,0xefffd987,0x1ff0ff30,0x4fc87fec,
    0x27fb09f9,0x1fc807f9,0xcbfeffa8,0x3fbfff20,0x667fe42f,0x21fe62ff,
    0x01fe80ff,0x21ff0ff3,0xffeeeff8,0x1ffffb82,0x03fe1fe6,0x41e677f4,
    0xff8007f8,0x4bff9100,0x83ff15fa,0xff3f9ef8,0x3fa1bee1,0x2bff9102,
    0x02fe86fb,0x3e6bff91,0x3f60ff87,0x37dd7ee2,0xeff997f4,0x0fe44eee,
    0x0fffffb8,0x8177ffdc,0x441efffc,0xf83fc47f,0x88ff100f,0x3fffa27f,
    0x3fa202ef,0x3e23fc46,0x3fffa607,0x8007f884,0x37e400ff,0x41fec7f9,
    0x6fa8fdff,0x07fe1fea,0x1feadf90,0xdf9007fe,0x8ff11fe2,0x557ee2fd,
    0xf31ff87f,0xc8bfffff,0x2ffa201f,0x801ff101,0x3ff00ef8,0x2fd437d4,
    0x6fa87fe0,0x2a001988,0x2a1ff87f,0x0098806f,0xff504400,0x3a5fc818,
    0x85ffffff,0x2ffdfffb,0x7dc33fe2,0x8afe40c6,0x8df70cff,0x3fe5fc81,
    0x5fb1bea1,0xcff8afdc,0x2000df70,0x02ec00fd,0x417677f4,0x3ff203fb,
    0x3762ffcc,0x7fe402ff,0xf102ffcc,0x3f337e0d,0xccffc84f,0x1be202ff,
    0xfd80df10,0x3e23ffdd,0x32ffeeef,0xffddddff,0x5dfff901,0xffdfff90,
    0x7777fc45,0x3fff22ff,0x3fe22ffe,0x322ffeee,0x42ffccff,0xc97ee2fd,
    0x02ffefff,0x7fa983fb,0xe9804f80,0xffa84fff,0xffff9104,0x803dff85,
    0x02ffffc8,0x7ff40fe6,0xff9103ff,0x3f9805ff,0x2601fcc0,0x7442effd,
    0x2e2effff,0xc82ff84f,0x7fdc009f,0x7ff441ef,0xffb82eff,0x7ff441ef,
    0x7e442eff,0x2fd82fff,0xfff717ee,0x2237c03d,0x3f802fff,0xa8026600,
    0x0008802c,0x98008800,0x4400000c,0x80193000,0x200000c9,0x05fb0198,
    0x009b09f9,0x0cc40088,0x4c400880,0x6c011001,0x4417ee2f,0xaa82c800,
    0x00013000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x806aaaaa,0xc981365c,
    0x02a6000c,0xa8003991,0x199100cc,0x33260797,0x3a236e00,0x826cb902,
    0x401aaaa9,0x1aa883cb,0x2aa20154,0x55555531,0x10355303,0x402a8355,
    0x95102cc8,0x1e5c0579,0x6440bee0,0x5510cb8b,0x2aa35555,0x3fa2aa20,
    0xf885ffff,0xf307f98f,0x36003fdb,0x003ff307,0x74407bea,0xf304fc9e,
    0x3e603fdb,0xff880fff,0xff907f98,0x67e407ff,0x237fc44f,0x9fd100fe,
    0x7fffffe4,0x885ffe84,0x807f46ff,0xff703fe8,0x3f20ffff,0x17f604fc,
    0x2a1fff98,0xd3ffffff,0xfeaff45f,0xa82ffcac,0x30c40ae2,0x27e65401,
    0x26001310,0x0984c401,0x20098620,0x8aa00aa8,0x3333102b,0x41884c01,
    0x3fa2fff8,0x98859700,0x44099ffa,0xff887fff,0x4403fa2f,0x59ff7009,
    0x44260b75,0x10072601,0xaaefa813,0x2e5fd1aa,0x6c3fd0ef,0x0599504f,
    0xd102cca8,0xa88dffff,0x0aa22a82,0x166540aa,0x02a82a88,0x55105995,
    0x332a0550,0x5e654402,0xe9bffe22,0x2aaaa20f,0x5c0ff100,0x7c42fecf,
    0x203fa6ff,0x221ccca8,0x2a2003ff,0xca881ccc,0xcca881cc,0x740df51c,
    0x3a1ff9af,0xd10ff61f,0x881dffff,0x40effffe,0x5ffeadfd,0x43fe1fe6,
    0x20ff87f9,0x0effffe8,0x07fc3fcc,0x1dffffd1,0x07fc3fcc,0x1dffffd1,
    0xffffff70,0xe97eefc4,0x3fffea0f,0x6c0ff101,0x7c44fcaf,0x81fd1fed,
    0x26fffff9,0x3e6007f9,0x7cc6ffff,0x7cc6ffff,0xdf56ffff,0x1ff57f40,
    0x3bf6f3fa,0x7e577ec0,0x6577ec5f,0x23fe65ff,0xf30ffdf8,0x3e61ff0f,
    0x3f60ff87,0x4c5ffcae,0x360ff87f,0x25ffcaef,0x20ff87f9,0x5ffcaefd,
    0x5d567fdc,0x5be77e25,0x3a6620fe,0x40ff101f,0xf88df57f,0x41fd5fad,
    0x4b9aeff8,0x4ccc9bee,0x5cd77fc4,0x26bbfe24,0x2bbfe24b,0xddff54b9,
    0x3fbfa3dd,0xcffffe86,0xf307fcc0,0x983fe61f,0x2abf50ff,0xff31feaf,
    0x1fe61ff0,0x07fcc3fe,0x3fcc1ff3,0x0ff987fc,0x3fcc3fe6,0x0ff987fc,
    0x7fc43fe6,0xfdafc403,0x3fd00fea,0x7d41fe20,0x7c43ff15,0x41fd3ff5,
    0x2fdc05fd,0x7ec1ffff,0x202fec05,0x3fea05fd,0xdfd2ffff,0xf77fd0df,
    0xf85fa83f,0xff0bf52f,0x47e53ee5,0xf0ff33fd,0x3e1fe61f,0xff0bf50f,
    0x7fc3fcc5,0x5ff0bf50,0x43fe1fe6,0x32ff85fa,0x2bf100ff,0xd00feef9,
    0x41fe203f,0x88ff63fc,0x1fd9f75f,0x3ee017fc,0xf83fe666,0x017fc02f,
    0x6fa80bfe,0x0ffebfa0,0x917f23fd,0x327fd09f,0xf93fe84f,0x99fe57e9,
    0xf30ff87f,0x3f21ff0f,0x3e63fe84,0x9f90ff87,0x1fe67fd0,0x427e43fe,
    0x64df73fe,0xd97e24cc,0x3fd00fff,0x7f41fe20,0x225fffff,0x1fdff15f,
    0xf3003fe2,0xf10ff81f,0x07fc401f,0x5401ff10,0x2abfa06f,0x447fa1ff,
    0x213f21ff,0xb09f93fd,0x3e73ee7f,0x1fe65fb2,0x43fcc3fe,0xb09f90ff,
    0x7c3fcc7f,0xfb09f90f,0x3fe1fe67,0x7fb09f90,0xffff97ee,0x7fccbf10,
    0x203fd00f,0xeff987f8,0xf10ffeee,0x987ffe4b,0x5fe800ff,0x0ff987fc,
    0x9803fe60,0x1bea00ff,0x4dfb2fe8,0xb97f61fe,0xf72fe86f,0x3ea5fd0d,
    0x23ff0fce,0x30ff87f9,0x2e1ff0ff,0x262fe86f,0xf70ff87f,0x3e65fd0d,
    0xdf70ff87,0x9bee5fd0,0xbf10ff99,0xfd00ffe8,0xeffeeb83,0xff09f73e,
    0xff897e25,0x003ff10f,0xffddfff5,0x8807fe21,0x3fe201ff,0x3bbfea01,
    0x225fd2ee,0x4c3fd3ff,0xf0ff51ff,0x3e1fea3f,0x2dfff11f,0x11fe26fb,
    0x223fc4ff,0x3e1fea7f,0xf11fe21f,0x7fc3fd4f,0x7f88ff11,0x47fe1fea,
    0x87fc0ff9,0x07fcc5f8,0x7fe41fe8,0x5fb4ffff,0x17e29f90,0x1ffc1ffb,
    0xffffe980,0x3e01ffc5,0x01ffc03f,0x7ffffff5,0x1ffb8bfa,0x433fe200,
    0x33fe26fb,0xffa8df70,0x7fc2ffee,0x3ff1bea1,0x9ff137d4,0x3fe1bee1,
    0xff89bea1,0xff8df70c,0xff89bea1,0xfe8df70c,0x22007fc5,0x007fa07f,
    0xdd1003f6,0x0ffe4000,0x32013006,0xff90c1ff,0x07ff2183,0x0007ec03,
    0xff9037c4,0xfc85ffdf,0xd82ffeff,0xfc81efff,0x642ffccf,0x42ffccff,
    0x2ffefffc,0xffccffc8,0x7f7ffe42,0x667fe42f,0x7ffe42ff,0x7fd42ffe,
    0x200ffeef,0x3fa06fc8,0x4027cc01,0x0df102fb,0x7f7fffc4,0x440df106,
    0x26feffff,0x6feffff8,0x3fbfffe2,0xf109f506,0x201fcc0d,0x701efffb,
    0x3a03dfff,0x3f22009e,0xfc882fff,0xff702fff,0x3f2203df,0xff702fff,
    0xff9103df,0x3fee05ff,0xffd301ef,0xfff80bff,0x6ffe65c1,0x0bff303c,
    0xf983ffb8,0x7ffe4403,0x807f304f,0x44ffffc8,0x44ffffc8,0x04ffffc8,
    0x3f98bff3,0x44003260,0x44011000,0x0044003e,0x01100088,0x08800440,
    0x22001100,0x40026000,0xfffd80bc,0x32606fff,0x981ca803,0x0022000c,
    0x04400193,0x04400440,0x32616540,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x016e7d00,
    0xcc9805f7,0x40199300,0x502c99ca,0x00059339,0x101e5c00,0x99500179,
    0x80cca801,0x664c05e8,0x502f4400,0xb9059339,0xcc88026c,0x2e88db82,
    0x30799950,0xa8035555,0x4ef5c0cc,0x97197038,0x7fe40001,0x02fec04f,
    0x983fdbf3,0x3601fedf,0x7fec04ff,0x07f70004,0xbd006fe4,0x1efa80bd,
    0xa80f7d40,0xdbf301ff,0x0ffd403f,0xf109ffb0,0x100ff31f,0x3fe607fd,
    0x7ffc40ff,0x7fe40fff,0x3bea03ff,0x7ff6fc41,0x2fff980e,0x4ffd9fd8,
    0x93003550,0x8130c403,0x33002618,0xa8006600,0x4c01fb0c,0x3d4fc401,
    0x0cc00660,0x43101dc0,0x401dc009,0x2b8aa019,0x44009880,0x9dfd80aa,
    0x4cc40b99,0x80660099,0x98802aa0,0xfdfffb00,0xbcca885f,0x57995102,
    0x2aaaaa88,0x23510153,0x11541aa8,0x55555555,0x6c3fe201,0x1aaaaa85,
    0x2227fec0,0x2a1541aa,0x22aaaaaa,0x2aaaaaaa,0x43530353,0x1aaaaaa9,
    0x2aaaaaaa,0x35303532,0x05555540,0x35555553,0x2a6017fc,0x221aaaaa,
    0x5554c02a,0x55541aaa,0x0ffd81aa,0x7ffdc9f9,0xfffb87ff,0x7ffd47ff,
    0x303f97ff,0xd1bfe29f,0x3fffe61f,0xf101ffff,0xfffe801f,0x40cc05ff,
    0x07f46ff8,0xdffffffd,0x7ffffff4,0x3ff0df56,0x7fffffe4,0x3fffffa4,
    0xff0df56f,0x3fffea03,0x3ffff23f,0x0bbfa4ff,0xffffffc8,0xf901fe64,
    0xe89fffff,0x6c5fffff,0x7dd7ee2f,0x5c5baacf,0x45baacff,0x97fa9998,
    0x227f303f,0x43fa2fff,0xaaffbaa8,0x7fffdc0a,0xcfe84fff,0x7ec2ffca,
    0x7fc53ee2,0xaa83fa2f,0x2a5ffaaa,0x25ffaaaa,0x117ee2fe,0x4133ff53,
    0x5ffaaaaa,0x05fb8bfa,0x8267fbf6,0x099ffa98,0x02fbffea,0x133ff531,
    0x26203fcc,0x74099ffa,0x22ffcacf,0x237ee2fd,0x7fc403ff,0x77f98003,
    0x227f503f,0x03fa6fff,0xdd501fe2,0xd07dddff,0x3627ec3f,0x7c53ee2f,
    0x803fa6ff,0x3ee00ffb,0x7c5bea0f,0x00ff101f,0x6fa83fee,0x3e203ff1,
    0x3e200fed,0x3fff6607,0x307f880e,0x1fe200ff,0x93f61fe8,0x277ee2fd,
    0x07f9807f,0x3eeff300,0x44beadd2,0x1fd1fedf,0x2200ff10,0x0ff400ff,
    0x22fd87fb,0xfdbf14fb,0x7cc03fa3,0x0bfe602f,0x817eebfa,0xff9807f8,
    0x5fbafe82,0x03fabee0,0xc8807f88,0x07f885ff,0x3e200ff3,0xfd87fa07,
    0xdfb8bf63,0x933326fb,0x133326fb,0x2beeff30,0x12fa8ff8,0x3fabf5bf,
    0x1007f880,0xcfe801ff,0x7ec0efdb,0x6fc53ee2,0x201fd5fa,0x2ff405fe,
    0x01feefa8,0x3fa01fe2,0x3fddf505,0xeefebf40,0x2007f881,0x07f886fc,
    0x3e200ff3,0x36f3fa07,0xb8bf60ef,0x3fe5fbdf,0x7cbf70ff,0x3e600fff,
    0x7ff75f57,0x7d7e23f5,0xf880fe9f,0x01ff1007,0x0cffffe8,0x53ee2fd8,
    0xfd3ff5f8,0x401ff701,0x3fa00ffb,0x03fc405f,0xfe803fee,0x753e605f,
    0x7f881fff,0x10bf9030,0x01fe60ff,0xffd03fc4,0x2fd819ff,0x99bef7ee,
    0x4df70ff9,0x2600ff99,0xfbb7f57f,0x57e23f7b,0x880fecfb,0x1ff1007f,
    0xffbbfe80,0x3ee2fd81,0x33eebf14,0x17fc40fe,0xa805ff10,0x3fc401ff,
    0xa805ff10,0x47f201ff,0x1fe200fe,0x3fbbbfe2,0x307f882f,0x1fe200ff,
    0x1ffbbfe8,0x207fcc00,0x81ff30ff,0x5fe600ff,0xcfdbfbf9,0x3e2bf10f,
    0x7f880fef,0xd007fe00,0x3617f23f,0x229ff33f,0x1fdff15f,0x7f405fe8,
    0x807f8805,0x17fa07f8,0xff01fe20,0x4401ffff,0xfffe887f,0x0ff102ef,
    0x7c401fe6,0x7e47fa07,0xfd0df105,0x3fa0ff8b,0xc8107fc5,0x51fdf35f,
    0x97e21fdf,0xf880fffc,0x33bfa007,0xf11fe83c,0xfdffb83f,0x64bf14ff,
    0x3fee0fff,0x003fee00,0x3e201fe2,0x001ff707,0x6fd40ff1,0x2200ffcc,
    0x13ea207f,0x3e60ff10,0x40ff1007,0x03ff11fe,0xfff507f3,0x7d41ffdd,
    0x20ffeeff,0x12ffdcfb,0x3ffe2dff,0x7fc4bf10,0x007f880f,0x213fffa6,
    0x117f61fe,0x29f5bffb,0x3ffe25f8,0x3fffffe0,0x3ffffe7f,0x07f887ff,
    0x3bbffbae,0x3fffffe3,0x207f887f,0x3bbfa0fd,0x3bffbae2,0x701fb83e,
    0x47ddffdd,0x4eeeeff9,0x3bbffbae,0xbfb0ff43,0x3a601930,0xe985ffff,
    0x7d45ffff,0x3fe23fff,0x5f89ff63,0x7c407fec,0x00988007,0x0ffcc3fd,
    0x45f88044,0xfff10ffd,0x3e2fffff,0x87ffffff,0x3ff207f8,0xff14ffff,
    0x10ffffff,0xd1be20ff,0x7fe47fff,0x4a84ffff,0x3fffff20,0x3fffe64f,
    0x3fff25ff,0x0ff44fff,0x40003ff3,0x80130009,0x00000008,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00e64400,0x4c0332a0,0x37ae00cc,0x6cb90389,0x20332604,0x2a001cc8,
    0x1a8800cc,0x0164ce54,0x2a20332a,0x32a01ccc,0x405e880c,0x700cb8cb,
    0x5305d11b,0x2a603555,0x8db81aaa,0x1cc882e8,0x79100000,0x2000aa81,
    0x3e600cc9,0x3df5001f,0x07fb7e60,0x3bffb7e2,0x7cc7fc40,0x3fdbf307,
    0x5003ff30,0x3f2003df,0x404ffd83,0xff981efa,0xdf506fff,0x807fea03,
    0x2602fff9,0xfc80ffff,0xff903fff,0xfff307ff,0x07fe601f,0x0fe8aa80,
    0x7e45ede8,0xfdbf3003,0x8004c403,0x130c4019,0x500aa820,0x218815c5,
    0x00131009,0x7fc40033,0x33003300,0x26bbfe20,0x7003304b,0x00131007,
    0x26201551,0x33100999,0x2aa20133,0x0004c400,0xf10bf5fd,0x06f88f53,
    0x3004c310,0xaa980355,0x00d54c01,0x53006aa6,0x2aaa2035,0x2aa61aaa,
    0x3531aaaa,0x7dc03530,0x55555444,0x2aaaa61a,0x017f61aa,0x35555551,
    0x55555544,0x26aaaa21,0x55555100,0x03553035,0x2aaaaaa2,0x101aa981,
    0x03555555,0xb02ebfe8,0x05fb09ff,0x81541544,0x7f405ffe,0x2fff405f,
    0xd017ffa0,0x3fea0bff,0x3f23ffff,0xf54fffff,0x7403ff0d,0x7fffd41f,
    0x3fff23ff,0x0bfe4fff,0xffffff50,0x7ffffd47,0x3fffe63f,0xfffa83ff,
    0xffe83fff,0xfffff505,0x0bffd07f,0x3fffffea,0x400ff403,0x40bf301a,
    0x43fc47f8,0x2207fff8,0x3e207fff,0x3fe207ff,0x3ffe207f,0x555df507,
    0x7fd4c435,0xb8bfa099,0x217ea05f,0x1aaaaefa,0x267fea62,0xa801ff10,
    0x21aaaaef,0x1aaaaefa,0x3f6abfe6,0x5577d43f,0x7ffc41aa,0x555df507,
    0x7fff8835,0x5555df50,0xffffeb83,0xffffb301,0x2203fd07,0x5c3fc47f,
    0xf702fecf,0x3ee05fd9,0x9f702fec,0x33ee05fd,0x06fa82fe,0x3ea0ff10,
    0x6c03ff16,0x006fa82f,0x1ff30ff1,0x5406fa80,0x237cc06f,0x037d47fb,
    0x417f67dc,0xcfb806fa,0x06fa82fe,0x7fee7fec,0xf999d501,0x104fb85f,
    0xd87f88ff,0xfb04fcaf,0x3f609f95,0x5fb04fca,0x2bf609f9,0x06fa84fc,
    0x7f40ff10,0x3e205fba,0x200df506,0x1ff887f8,0x2a037d40,0x237cc06f,
    0x1bea1ff8,0x13f2bf60,0x3f601bea,0x6fa84fca,0xfe83fea0,0x213f2001,
    0x47f880ff,0xf57f87f8,0x37d5fe0d,0x20df57f8,0x3e0df57f,0xff50df57,
    0xf103dddd,0x7f77d40f,0x540ff201,0x81eeeeff,0x07ff07f8,0xeeeeffa8,
    0x3bbbfea1,0x3e1be61e,0x3bbfea2f,0xfabfc1ee,0xeeeffa86,0x6fabfc1e,
    0xeeeeffa8,0x1fe89f91,0x27ed54c0,0x7fc41fe4,0x547feeee,0xa83ff15f,
    0xa83ff15f,0xa83ff15f,0xa83ff15f,0xa83ff15f,0x82ffffff,0x7ff407f8,
    0xa807fc05,0x82ffffff,0x3ff907f8,0x3fffea18,0x3ffea2ff,0x1be62fff,
    0xfffa8bfe,0x57ea2fff,0x7fd41ff8,0x3ea2ffff,0xfa83ff15,0xfb2fffff,
    0xd101fe87,0x109fffff,0xffff10df,0x3fc8ffff,0x47f90ff6,0xb1fe43fd,
    0x363fc87f,0xfb1fe43f,0x1006fa87,0x1ffa80ff,0xfa813ee0,0x20ff1006,
    0x6fefffe8,0xdf501bea,0x7cc6f980,0x901bea1f,0x2a1fec7f,0xb1fe406f,
    0x206fa87f,0x80ff43fd,0x09f70cfe,0x8ff10bf6,0x7fff47f8,0x7ff45fff,
    0x7f45ffff,0x745fffff,0x45ffffff,0x5ffffffe,0xf88037d4,0x203fc407,
    0x1bea01fe,0xb103fc40,0x7d49ffff,0x2037d406,0x07fdc6f9,0xffe80df5,
    0x7d45ffff,0x7ffff406,0x037d45ff,0x0ffe4bf7,0x13f61ff8,0x1fe22fd4,
    0x77fccff1,0xf30ffeee,0x1ffddddf,0x3bbbbfe6,0xddff30ff,0x3e61ffdd,
    0x0ffeeeef,0x7c401bea,0x303fc407,0x06fa80bf,0xfb00ff10,0xa80df503,
    0x8b7cc06f,0x37d44feb,0xddddff30,0x037d41ff,0xfddddff3,0x1037d41f,
    0x3fffddff,0x3fb3bfa0,0x887fa04f,0xf73fc47f,0x3ee5ff09,0x9f72ff84,
    0x13ee5ff0,0x427dcbfe,0x3bfea2ff,0x3bae2eee,0xf883eeff,0x500bf607,
    0x45ddddff,0x3eeffeeb,0x3fea0df0,0x3ea2eeee,0x262eeeef,0x0dfffeff,
    0x77777fd4,0x5ff09f72,0x77777fd4,0x5ff09f72,0x77777fd4,0x32fffea2,
    0xbffd301f,0x27dc09f5,0x27f88ff1,0xb4fc82fd,0x369f905f,0xfb4fc82f,
    0x3f69f905,0x3ea4fc82,0x323fffff,0x84ffffff,0x0bd107f8,0xffffff50,
    0x7ffffe47,0x2a05904f,0x23ffffff,0x3ffffffa,0x0b7bffe6,0x7fffffd4,
    0x9f905fb3,0x7fffffd4,0x9f905fb3,0x7fffffd4,0x44000983,0x89762000,
    0x003fc47f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xb9000000,0xa894c26c,0xa81a9800,0x33103512,
    0x01e40133,0x544a6000,0x26620000,0x032a0099,0x222a8544,0x2a00002d,
    0x02a806e3,0x5550aaa0,0xa9800000,0x20dc7500,0x6f5c0aa8,0x6cb90389,
    0x10199304,0x50ff31ff,0x5403fb9f,0x7cc2dfda,0xffb80eed,0x3ff502ff,
    0xa8bf3000,0xd881fdcf,0xffb82eff,0x13fe02ff,0x2a2fcfd8,0x6cfec07f,
    0xa9ff84ff,0x09ffb06f,0xe881bfb0,0xaaa8804f,0xfa85f98a,0xa9ff80ef,
    0x107fcc6f,0x81dffdbf,0x87f98ff8,0xa81fedf9,0x77e40ae2,0x7ffff403,
    0x300de985,0x22015555,0x154400ee,0x7df905f7,0xff9bff10,0x0aaaa983,
    0xdb00bf20,0xfd80fd07,0x642ffeff,0x3d707b15,0x1f5c05d5,0xf500bb20,
    0x85f73fff,0xc84d8cd8,0xff987b15,0x20155040,0x8620ae2a,0x55554409,
    0x700001aa,0x0000009f,0x5cff3000,0x7e40100e,0x00417ea3,0x3fc80000,
    0xfc87fec0,0x00000004,0xd3310000,0x0000b73f,0x510ff980,0x54c2a835,
    0x261aaaaa,0x21aaaaaa,0x3ffffffa,0x4177fec4,0x84ffffd9,0x882effd8,
    0xd882effd,0x3e602eff,0x7ffecc07,0x555ff43f,0x3ff667fb,0xffd703ff,
    0xfffd705f,0x3f600725,0x2fd97ee2,0x22fd93ee,0xb8bf64fb,0xf717ec4f,
    0x401fe809,0x4c2fffeb,0x7c42effe,0xfd1bfe27,0x7ffffe41,0x3ffff24f,
    0x2bbea4ff,0x3fe21aaa,0x3e61ffcd,0x444fecdf,0x21ffcdff,0x1ffcdff8,
    0x3ff37fe2,0xa80ff301,0x22ffccce,0x7fffffff,0x3ff333aa,0x7f77fec2,
    0x7f77fec2,0x3ff2bf22,0x7dc5fb0d,0x4fb8bf65,0x24fb8bf6,0xb13ee2fd,
    0x2027dc5f,0x3ff601fe,0x3fea2fee,0x3e22fffe,0xe8bffe27,0x3fea620f,
    0x3ea62099,0x1bea099f,0x2fd47f90,0x227dc7fd,0xc97ea3fc,0xfc97ea3f,
    0x7cc17ea3,0x24fc8007,0xfc8000ff,0x4107fea4,0xf9041ffa,0x369ffdff,
    0xfd97ee2f,0x2fd93ee2,0x22fd93ee,0x717ec4fb,0x01fe809f,0x3a083ff5,
    0xf89ff23f,0xe9bffe27,0x407f880f,0x0df507f8,0xfbaabfe8,0x7dc1ff17,
    0x5d55ff44,0x2aaffa7f,0x2affa7fb,0xff307fba,0x3f6aa600,0x4c00ffa4,
    0x3f24fdaa,0x2027e404,0x2bf72ffc,0xd97ee2fd,0xfd93ee2f,0x2fd93ee2,
    0x45fb13ee,0x0ff404fb,0x3e604fc8,0xff07fcc7,0xe8ff6fc4,0x407f880f,
    0xdff507f8,0x7ffc3ddd,0xff37ffff,0x7ffc4fb8,0x3fe7ffff,0x3e7fffff,
    0x07ffffff,0xfe880ff3,0x3e64ffff,0x223dccdf,0x24fffffe,0x1fec03fd,
    0x6f993f20,0xb2fdc5fb,0xfb27dc5f,0x5fb27dc5,0x8bf627dc,0x0ff404fb,
    0x3ea03fd8,0x9fe1ff86,0xfd5fadf8,0x880ff101,0xffff507f,0x007fc5ff,
    0x27dc1ff3,0x1ff003fe,0x2000ff80,0x67f407f9,0xfea89f70,0x33fa2fff,
    0x27ec9f70,0xf9013f60,0x2fdb7cc7,0x22fd97ee,0xb8bf64fb,0xfb8bf64f,
    0x9f717ec4,0xfb01fe80,0x107fcc09,0xf11541ff,0x03fa7feb,0xff101fe2,
    0xfd01bea0,0x98ffc407,0x01ff44ff,0x7fd00ffa,0x203fcc00,0x413f61ff,
    0x0ffc0ef8,0x0ffdc9fb,0x041ffb82,0x037cc7f9,0x99fec9f9,0x4cff64ff,
    0x4cff64ff,0x99fec4ff,0x0ff404ff,0x8841ffb8,0x51bee3ff,0xcfbafc45,
    0x07f880fe,0x6fa83fc4,0x666ffcc0,0x3f7ff63d,0x6ffcc4ff,0x3fe63dcc,
    0x3e63dccd,0x303dccdf,0xcefe80ff,0x7f504ffe,0xffd9dfd0,0xfeeffe89,
    0x7f77ff43,0x6f98ff23,0x7dc5ff50,0x2e4fffdf,0x24fffdff,0x4fffdffb,
    0x7ffeffdc,0xd00ff404,0x647fddff,0x22ffdeff,0x2bf11ffa,0x880feff8,
    0x83fc407f,0xfea806fa,0x3fa22fff,0xea84fadf,0x7542ffff,0x7542ffff,
    0xf302ffff,0x4c9ddddf,0x04fadffe,0xfe989ff5,0x6444fadf,0x6442ffff,
    0x3f22ffff,0x3ea1be63,0x6ffec45f,0x3ff624fa,0x3f624fad,0x6c44fadf,
    0xb84fadff,0x83cdffcc,0x42ffffc8,0x4c2efffb,0x64bf10ff,0x7f880fff,
    0xfa83fc40,0x102eeeef,0x00044013,0x09880131,0x26004c40,0x85ffffff,
    0x0b2a0008,0x01100044,0x47f90110,0x01c986f9,0x00220022,0x00440022,
    0x7fffffec,0x22004406,0x5f882200,0xeb83ffe2,0x2e3eeffe,0x23eeffee,
    0x3ffffffa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3e200000,0xf907fec5,0x649fffff,0x04ffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x98000000,0x0550022b,0x5542aa80,0x05530002,0x40261553,
    0x002000a8,0x0aa62aa2,0x47506a20,0x800aa01b,0x015542aa,0xb98115cc,
    0x71d41a81,0x00457303,0x15540055,0x2ea00aaa,0x0000002b,0x3f7bffe2,
    0x009ffb00,0xfd1037f6,0x1ffa8009,0x1ffefe88,0x205fffd8,0x03ffffd9,
    0x05ff17fb,0x9ff8bf70,0x9ffb06fa,0x881bfb00,0x3fe204fe,0xdf30fdef,
    0x3e0fdc9f,0x7c46fa9f,0xd80fdeff,0xdfd804ff,0xb027f440,0x6c1dffff,
    0x444ffd9f,0x077cc0ff,0x5c0bb667,0x5c02ea9e,0x0176403e,0xf880de98,
    0x5c0affff,0x503feadf,0x85ff999d,0x001bb3ea,0x22b917ee,0xea9eb83d,
    0x900fae02,0xed99c05d,0xf8b65f22,0x07b15c84,0x2e0bb667,0x2e02ea9e,
    0x4176403e,0x2fe89efb,0x3ffbfff6,0xf907fea4,0x0000007f,0x00000000,
    0x05ff5371,0x013ea3fd,0x00004fc8,0x00002fdc,0x00000000,0x1db7cbe4,
    0x00080040,0x08002001,0x1fec7f90,0x1fea1ffb,0x43ff3077,0x302effe9,
    0x2605dffd,0xd302effe,0x75c05dff,0xfd982fff,0xb2fd86ff,0xdaa9805f,
    0x77ff4c4f,0x3fff6602,0x77fec45f,0x2effd882,0x02effd88,0xd85dffb1,
    0x7cd3ee2f,0x982fadfd,0x4c3ffffd,0x4c3ffffd,0x4c3ffffd,0x983ffffd,
    0x363ffffd,0x6c1df72f,0xa83fe22f,0xfdff5002,0xeffa85ff,0x7fd42fff,
    0x7d42fffe,0xd82fffef,0x4c2feeff,0x42ffcdff,0x205fdffa,0x4fffffe8,
    0x3fffbfea,0xecdff982,0x337fe25f,0x37fe21ff,0x3fe21ffc,0x7c41ffcd,
    0x361ffcdf,0xda93ee2f,0x9d504f8c,0x7545ff99,0x2a2ffccc,0x22ffccce,
    0x2ffcccea,0x7fe66754,0x1ff35fb2,0x0ffc2fd8,0x8ffa00df,0x91ff47fc,
    0x323fe8ff,0xf91ff47f,0x041ffa8f,0x85fc8ffa,0x7f403ffe,0x7f49f70c,
    0x3fa1ff23,0x3fc97ee3,0x23fc97ea,0xa8ff25fa,0xf51fe45f,0x9f717ecb,
    0xc8003f60,0x027e404f,0x9f9013f2,0x3f69f900,0x2fd85fba,0x07f83fe2,
    0xf31fe611,0xf31fe61f,0xf31fe61f,0xf31fe61f,0x2027e41f,0x1fea0ff8,
    0x3fa9fffb,0x9fb0ffc0,0x1ff31fe6,0xbf707fc4,0x7dd55ff4,0x2eaaffa7,
    0x2aaffa7f,0x55ff47fb,0x8bf67fba,0x12fa84fb,0x27ed54c0,0x427ed54c,
    0x984fdaa9,0x5304fdaa,0x2bf69fb5,0x17ec3ffa,0xa87f8df9,0xf86fa9ff,
    0xff0df51f,0x3fe1bea3,0x3ff0df51,0x3e601fec,0xbf53fcc7,0xd0ff7ff1,
    0x29ffd9df,0x21ff86fa,0xf2fdc7f9,0x4fffffff,0x7fffffff,0x3ffffffe,
    0x7fffffc7,0xfb8bf67f,0x7fd6fc44,0x7ffff445,0x3fffa24f,0x3ffa24ff,
    0x3fa24fff,0x7444ffff,0xfb4fffff,0xfd93ff25,0x221ffdcd,0x9cffb87f,
    0x43fe20ff,0x3fe20ff9,0x7c41ff30,0x441ff30f,0x013f60ff,0x3fd41ff3,
    0x3ffe67f9,0xadffe985,0x441ff34f,0x71fe60ff,0x2007fcbf,0x07fc00ff,
    0x36007fc0,0xfb13ee2f,0x745f5bf1,0x749f70cf,0x749f70cf,0x749f70cf,
    0xe89f70cf,0x369f70cf,0x6c7fee2f,0x441effff,0xf19fd07f,0xf137dc7f,
    0xf137dc7f,0xf137dc7f,0x2e37dc7f,0xff1041ff,0x9f92fec5,0x11017fdc,
    0x1ffc47f2,0x1ff88df7,0x1ff4bff1,0xfd00ffa0,0x807fd007,0x49ff33fd,
    0x7f3f8afa,0x49fb0ffc,0xf93f61ff,0xff93f61f,0x3ff13f61,0x42fda7ec,
    0x035fb2fe,0x3fc83fc4,0x5ffbdff9,0xffdeffc8,0x7ef7fe42,0x6f7fe42f,
    0xeffe82ff,0x77fe43fe,0x3fe61ffe,0x806ffecd,0x77fe45f8,0xffd82ffd,
    0x3e65fffd,0x263dccdf,0x23dccdff,0x3dccdff9,0x6e66ffcc,0x3ff7fee3,
    0x6f4bd14f,0x33bfa2fa,0x3bfa4ffe,0x3fa4ffec,0x3a4ffece,0x44ffecef,
    0x4ffecefe,0xff9955fb,0xf300bf61,0x237e541f,0x702efffb,0x2e05dfff,
    0xf702efff,0x32205dff,0xfc82ffff,0xffa82eff,0x405fdbff,0x7fdc6ff8,
    0xffb102ef,0xfea8bf3b,0x7f542fff,0x7f542fff,0xfea82fff,0x3f622fff,
    0x1f94fadf,0x3a62ff54,0x264fadff,0x24fadffe,0x4fadffe9,0x3eb7ffa6,
    0x56fff4c4,0xff95fb4f,0x2017ec5d,0x0fbe0ff9,0x01100088,0x04400220,
    0x11001100,0x20001100,0x001103c9,0x04c40022,0x31002620,0x40131001,
    0x20080008,0x80088008,0x00088008,0x20220011,0x554400aa,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x4cccc400,0x02a25300,0x15501353,0x26666200,0x03512a80,
    0x54000004,0x02aa802a,0x155100aa,0x00000553,0x00544a60,0x00551cc0,
    0x45730555,0x5505d800,0x44aa06a2,0x0b32a01a,0x51154154,0x7dc55555,
    0x9f502fff,0xfffb83fb,0xb8017ec4,0xf982ffff,0x7f540eed,0x2efea6ff,
    0x7ec00eff,0x06fec00d,0x3604ffd8,0xa82ff8bf,0x42fffffe,0x45efffd9,
    0x701fdcfa,0xf15fd0bf,0x06fec01f,0x3f7bffe2,0x4c0fe600,0xf980eedf,
    0xfd880eed,0x3e20efff,0xff53fc47,0x554cffff,0x3bf200aa,0x5ffeca83,
    0x54c00bf6,0xbd300aaa,0xcbcff981,0x3bbffea5,0x00fae05f,0x9eb80fae,
    0xb3ea82ea,0x97df501b,0x7fcc39ff,0xfc85fecd,0x21ff603e,0x5c09b0db,
    0x76cce03e,0x3fffea82,0x98037a60,0x3df900de,0x3fc49fd3,0x99989fe2,
    0x000007fa,0x3f63ff50,0x02000002,0xffa81bf2,0x0000ff13,0x00010004,
    0x1fe8bf20,0x0bf71ff4,0x00164c00,0xf5000000,0x005fffbf,0x0ff88000,
    0x3fc43fe6,0x7f981fe2,0x40bbffa6,0x402effe9,0xfb5fb2ff,0x5c5fb09f,
    0x7fff544f,0x02b7fea6,0x224c8df5,0x4ffbdffe,0x06fffea8,0xd8dfffd5,
    0x3213ee2f,0xf887f62f,0xfd97ee0f,0x2a213ee2,0x0ffffd41,0x27fecfec,
    0x27fecfec,0x3fbe6bfa,0x7fecfec6,0x7fddfd44,0xe99be60e,0x88ff11ff,
    0x55fe607f,0x42fffeff,0x2fffeffa,0x3f63ff30,0x6c4ffeff,0xf993ee2f,
    0x7e45cbcf,0x17ea4fff,0xbff97b30,0x67fcc3fd,0xcff985cb,0x717ec5cb,
    0x97ff509f,0x5c7f98df,0xfb8bf65f,0x7544fa84,0xffd81ffe,0x7ec2ffef,
    0xf32ffeff,0x83fe3f2d,0x2ffefffd,0x3fbbffea,0x7fdd7ea5,0x88ff12ff,
    0x75fe607f,0xfd1ff23f,0x3b23fe47,0x43ff65ff,0x717ec7fa,0x4037e49f,
    0xf52ffda8,0xf37f800b,0x64037e47,0x717ec06f,0xffdf509f,0x5c7f981b,
    0xfb8bf65f,0xd027ed44,0x21ffb03f,0x87fec4fc,0x3abf54fc,0x7fec3fd6,
    0x7fd49f90,0x6fdcff13,0x12fd9efd,0x207f88ff,0x4c7f9ff9,0x98ff30ff,
    0x0b7f60ff,0x07fc45fb,0x527dc5fb,0xd0015bff,0x4017ea7f,0x4fbaefa9,
    0x402b7fea,0xd80adffa,0x3a13ee2f,0x8ffc400f,0x8bf65ff8,0x3fff64fb,
    0x3607fa04,0xfb17ee2f,0xef8afdc5,0x6c1ff3f9,0xfa97ee2f,0xfff52646,
    0x7f88ff4b,0xff303fc4,0x23ff0df5,0x21ff86fa,0x42fd81fd,0xb8bf61ff,
    0x7fffe44f,0x3f2f3724,0x880bf51f,0xfffffffe,0x27fffe44,0x44ffffc8,
    0x213ee2fd,0x82cceefd,0x5fffdffd,0x54fb8bf6,0x3fd003ff,0x2fdc5fb0,
    0x25fb8bf6,0x6fa8fdff,0x4bf717ec,0x7fcc05fa,0x7c43fe22,0xf303fc47,
    0x7c41ff3f,0x441ff30f,0x202a60ff,0x83fe22fd,0x213ee2fd,0xf92ffda8,
    0x7d45dfff,0x5e97e405,0x2ffda880,0x45ffb510,0x213ee2fd,0x6ffffffa,
    0x7deffec4,0x4fb8bf65,0x3fa00df7,0x3ee2fd81,0xbf717ec5,0x7fefffdc,
    0xbf717ec2,0x7f402fd4,0x7f897ee2,0xfc813fcc,0x3ee3ff8d,0xfb8ffe26,
    0x7ec06546,0x7fb1bf22,0xfd013fe6,0x00009987,0x003fc5f6,0x3fa00ffa,
    0x7fccff63,0xf107fc44,0x3ee1103f,0x7fccff65,0xd003ff54,0x5c5fb03f,
    0xf717ec5f,0x2efffc8b,0x97ee2fd8,0xffb805fa,0x3e21ffdd,0x5cbfdbb7,
    0xf92ffdcf,0xc85ffbdf,0x42ffdeff,0xcdfd84ff,0x7fdc1ffd,0x3724fffd,
    0x441ffcbc,0x41be206f,0xadffdcfc,0x32f3721c,0x5e6e41ff,0x3fee1ffc,
    0x7cc4fffd,0x003fe60f,0x6ffdcbf7,0x3ffa4fff,0x3f32e1cd,0x8bf63cdf,
    0x717ec5fb,0x009fc8bf,0x25fb8bf6,0xff5005fa,0xb7f883df,0x7fd41bff,
    0x7ffdc3ff,0xdfff702e,0xf907fd05,0xb103dfff,0x649f5bff,0x982effff,
    0x40fe603f,0xffd8efe9,0x3ffff21f,0xffffc82e,0x6ffec42e,0xeffe84fa,
    0xfb802ffe,0x2b7ff625,0x3fff624f,0x3fffff63,0xfb8bf66f,0xbf717ec5,
    0x2fd804d8,0x05fa97ee,0x01000440,0x00440088,0x40040088,0x30011001,
    0x0064c013,0x44080193,0x20026601,0x00440099,0x00bccca8,0x01103510,
    0x00015510,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x32a20000,
    0x555510bc,0x2202a801,0xaaa810bb,0x0de4402a,0x0aaa00d4,0x20350351,
    0xb880aaa8,0xaa800bcc,0x2aaaaa22,0x3999710a,0x40aaaa88,0x213f22fe,
    0x1aabccb8,0x4aa00aa6,0x995101a8,0x79951039,0x00b32a05,0x999500f2,
    0x15415447,0xfffff500,0x07fffea3,0xfd04ffd8,0x7fc3fbff,0x6e5405ff,
    0xc807ee0f,0x13fea0ef,0xffd883f7,0x7ffc41ff,0x3f601fff,0x3fffea0d,
    0xffff71ff,0x7fffd4bf,0x9f917f41,0xffffff98,0x017f624f,0x301ddbf3,
    0xb8dfffff,0x447fffff,0x00effffe,0xff103ff5,0x3e61ffff,0xdf30ff87,
    0x99bff881,0x3fd33109,0x0baa7ae0,0x30fb662a,0xb900bf73,0xa813e21d,
    0x24f9884e,0x77f444f8,0x67ec0aab,0xd704fc88,0x999df507,0x2e66a619,
    0xfd3311ff,0x3f22fe83,0x7f4e7f44,0x04eb8099,0x7c406f4c,0x2e4b9aef,
    0x45baacff,0x5ffcaefd,0xfb01dd10,0x2617333b,0xf90ff87f,0x005fb87f,
    0x000023fd,0x2017ea00,0x01db2fdc,0x3b64f800,0x7402fdc0,0x0017ea2f,
    0xff0013ea,0xfe83fd03,0x6fa93f22,0x000003fa,0xf8817f60,0x07fcc03f,
    0xf0001ff3,0x43fcc05f,0x83ff30ff,0x9fd003fc,0x7fffd49d,0x1ffffa81,
    0x53017ea0,0x505f55f7,0x7c03ffff,0x5fd05f54,0x89efc802,0x2efea2fe,
    0x33ea0eff,0x20ff3000,0x917f41fe,0xfd27dc9f,0x3ffff501,0xffffff90,
    0xf3017fc7,0xf0bf500f,0x7fffe45f,0x0bbfa3ff,0x07fc3fcc,0xe801fec0,
    0x3baa2fff,0xfeea81ff,0x117ea01f,0x4f8aceb8,0x03ffdd50,0xf827c564,
    0x40dfffef,0x43ffffd8,0x5feefffa,0x0bbfffea,0x203dfdd3,0x917f41fe,
    0xfd1fe49f,0x7f7545dd,0xffffc81f,0x01ff13ff,0x999937dc,0x1ff427e4,
    0x7ffffff9,0x05f7ffd4,0x01ff0ff3,0xea807fb0,0x3fa00cff,0x500ff401,
    0x8077e4bf,0x1fe800fd,0xf880fd80,0x85ffddff,0x544ffffb,0x4cff13ff,
    0x21fffdcc,0x80dfffe9,0x99ff41fe,0xe8ff64ff,0x3fd03fff,0x7ccbfb00,
    0xf97ee00f,0x09f90fff,0x2fec07fb,0x877ffecc,0x00ff87f9,0x3e603fd8,
    0x7f401fff,0x500ff401,0x40fffcbf,0x3fd002fa,0xf102fa80,0x707fcc3f,
    0x49ff73df,0x202646fa,0xbfb104fe,0xffe83fd0,0xf92ffffd,0x3a007f47,
    0x07fdc01f,0x7dc03ff1,0x5c3fe666,0x702fe86f,0x7e4401ff,0xff0ff35f,
    0xfb03ba21,0x7f464c07,0x200ff401,0x97ea01fe,0xafc40efd,0x07fa05fd,
    0x8bfb5f88,0xf07fc1ff,0xf537d43f,0x0bf9000b,0x0ff437d4,0x3e37fffa,
    0x7f49f73f,0x500ff400,0x07ff03ff,0x3fe07fcc,0x3ff0ff50,0x2003ff50,
    0x88ff16fc,0xb0fff27f,0x07fa007f,0xfe803fd0,0x0317ea01,0x17bea3f6,
    0x3f601fe8,0x7ec5efa8,0x3ff1fea4,0x0bf537cc,0x204ff880,0x41fe85fc,
    0xf30c09fe,0xd003fa1f,0x0ffe203f,0xe860ffe4,0xf887fc5f,0x10df70cf,
    0x320607ff,0xfa87fe5f,0xfb07fe66,0x007fa007,0x1fe803fd,0x2a017ea0,
    0x05daf8af,0x57d407fa,0x7cc5daf8,0x6c3ffcdf,0x23ffccef,0x66dc05fa,
    0x9b90effe,0xfd03ffd9,0xe801fe83,0x3eeffdff,0x3fa03fd0,0x3fffe205,
    0x3ffea6fe,0x3f20ffee,0xe82ffeff,0xddff105f,0x7fe45ffd,0x0442ffcc,
    0x99701fec,0x65c79bff,0x2e3cdffc,0x13cdffcc,0x399dfb99,0x3feabd10,
    0x3f32e3ff,0x57a23cdf,0x543ffffa,0xd883ffff,0x7d43ffff,0x7fffe405,
    0x3ffff60c,0x3ff32e1d,0x005fd3cd,0xffffffb1,0x6ffe65c9,0x3bbff23c,
    0x7fe443ee,0x7ff4c4ff,0xfffb85ff,0xeeffc81e,0xfffd13ee,0xffc885df,
    0x3f6002ff,0x3ffff603,0x3fff66ff,0x3ff66fff,0xff36ffff,0x905fffff,
    0x3b66621f,0x3fffff60,0x4c43f26f,0x01100ed9,0x2fd40260,0x33004c40,
    0x3ffff601,0x001556ff,0x7ffec008,0x3ff26fff,0x2204ffff,0x88009800,
    0x3ffff200,0x00cc44ff,0x00000088,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x95000000,0x15540057,
    0x501a8544,0x4ccc4019,0x80400009,0x531a81a8,0x2e2fd801,0x90054c4f,
    0x2a9fb0bf,0x65d4000a,0x400cc80b,0x80ca802a,0xaaaaaaa8,0x5505530a,
    0x2aaaaa21,0x82aa0aaa,0x002a82a8,0x50555554,0x22013555,0x7f77ec40,
    0x80dfd805,0x882fcdf9,0x3fea00ff,0xffeb84ff,0x3fffaa2f,0xf713fea6,
    0xfb00ff63,0xfd527dc5,0x1ff3055b,0x2fd87fc4,0x3ffff600,0xb017fcc1,
    0x7fc409ff,0xfffff980,0x3ff11fff,0xcfa87fcc,0x21fccccc,0x11be60ff,
    0x3ea001ff,0x3fe3ffff,0x7d43ffff,0xf983b61f,0x700fae05,0x3fe209fd,
    0x2aaaa200,0x7f77fec1,0xb979ff32,0x9f127cc4,0x3f601fec,0xfff93ee2,
    0x47fd05ff,0x00bf65fb,0x04ccf7d4,0x75c03fa2,0xff102ea9,0xff755101,
    0x37dc1555,0xdebd47fb,0x77fe47e3,0x224ffeee,0x6c0110ff,0x3e099fef,
    0x23ffdabf,0x23f34ffd,0x000fabdb,0x3ffee000,0x4004ffff,0xfc841ffa,
    0x3b64f806,0xfb00ff60,0xfb327dc5,0x9bee0139,0x00bf62fe,0x00001fe4,
    0xfffffb80,0x07f884ff,0x237d57f4,0xf1bf977a,0x3fffffa3,0x3fe25fff,
    0xbf101fc8,0x41ff01fd,0x47fea7fb,0x3e7bfb6c,0x3fffff23,0x7fffd43f,
    0x77ff7541,0x3ffea3ee,0x5027e41f,0x3e015bff,0x3fd85f54,0x22fd9bf6,
    0x4d7e44fb,0x4ffc41cc,0x6d7ec7f8,0x07fb04ff,0xd07fffea,0x2abf101f,
    0x3eeeffee,0x7d407f88,0x23d41fee,0x3fe1f9fa,0xff11be60,0x3ee01dff,
    0x0ff80fea,0x20887fe2,0x2745f8dd,0x7ffffff9,0x01ffeea8,0x3aa01ff1,
    0x1fec1ffe,0x13ffff20,0x3613e2b2,0x6c1df93f,0xf913ee2f,0xc81ffffb,
    0x7ec4fbcf,0x912ffeff,0x4999bfd9,0x6c1ffeea,0x444f981f,0xf75100ff,
    0x7fec055f,0xfb317a85,0x66ffc3f1,0x7fdc6fdc,0xfebf402e,0xddffd1ee,
    0xce80bfe1,0xb02ec4f8,0x81fe80bf,0x02abffba,0x09f907fa,0x05ffb510,
    0x2ff603f6,0x9fec0ffa,0x7fe44ff9,0x7cc3fe9b,0x7fec1fee,0x3fe69f90,
    0xd07fffff,0x552fc83f,0x1ff10fea,0x3ffffe60,0x01ff300f,0x7c77f2f5,
    0x3fffffe1,0x03fff66f,0x3ffa9f30,0x1fffff1f,0xb1544bfe,0x27467feb,
    0x7400ffb8,0x7fffc41f,0x07fa07ff,0x20083ff3,0x12fa83fe,0x81ffdfd8,
    0x4fffdffb,0x09f927e4,0x5fb0dffd,0x1fec2fdc,0x3ee0ff40,0x2fb8ff8b,
    0x53007fc4,0xff9033ff,0xbd49ffff,0x5ff0fc5b,0x5dcdf533,0x8fe400ff,
    0x20ff80fe,0x1ff11ff9,0x33fee3ee,0x1ffa82f8,0x9981fe80,0x3a0199ff,
    0xeeffe81f,0xf979b93f,0xfadf883f,0xdfffb0ef,0x5bffb101,0x2e3fc89f,
    0x82ffb84f,0x217ee2fd,0x1fe803fd,0x5ffde7cc,0x07fc41fc,0x9881fe20,
    0x2a099ff9,0x3e1f8337,0xf11be60f,0xffff801f,0x20ff80ff,0x4ff10ffb,
    0xd91314f8,0x2007ff10,0x07fe01fe,0x7dc07fa0,0xfff92fff,0x11fb05df,
    0x2ff65f53,0x642205fe,0xf71fe41f,0x360df709,0x3617ee2f,0x41fe803f,
    0xdefeedf8,0x8803ff07,0x3f32a07f,0x6dea2ccf,0x41ff0fc7,0x07fc46f9,
    0xff99bf50,0xd711ff01,0x7e47f89f,0xe82fda9c,0x07fa005f,0x03ccefe8,
    0x07f403fd,0x5f506f98,0xbfd87744,0x7c403ff8,0x3ee3fc85,0x03ff5314,
    0x85fb8bf6,0x1fe803fd,0xffcbfff8,0x799dfd07,0x75c0ff10,0x2a3eeffe,
    0xf999ba9f,0x6f983fe1,0x77777fc4,0xefe83f65,0x3ffbfe2e,0x5c37c0df,
    0xfc81effe,0x5c3eeeef,0x83cdffcc,0x2e4fffe9,0x83cdffcc,0x20fe605f,
    0x2bbe65e8,0x3fea7fb0,0x91bfe202,0xfba7dc7f,0x8bf603ff,0x03fd85fb,
    0x79bff997,0x7fd4fff4,0x9fffd305,0xf100ff10,0x3fffea0f,0x3fe1ffff,
    0xff11be60,0x3e2fffff,0xf1ffff46,0x0005bdff,0xfffc8022,0x7fec4fff,
    0x2206ffff,0x7fffec09,0x00e446ff,0x41f90193,0x7fb4fffc,0x93007fe4,
    0x3ee3fc87,0xd8017954,0x3617ee2f,0xffffb03f,0xf37ecdff,0x0098809f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x002aa000,0x97002022,
    0x801a9859,0x2009aaaa,0x4c1530a8,0x51aaaaaa,0x22553035,0x9809aaaa,
    0x511a981a,0x26355555,0x9855442a,0x981a880a,0x0e5c01aa,0x0aa882aa,
    0x2a0b32a2,0x880aa61a,0xaaaa82aa,0x65c42aaa,0x2015442c,0x2aaaaaaa,
    0x20550551,0x9805fd08,0x441fe85f,0x325ffffe,0xffff804f,0x25f503ff,
    0x3fff20fc,0x0bfb4fff,0x3ffe69fb,0x37d43fff,0xfffa8ffc,0x5ff13fff,
    0x03f937e4,0xbffd09f3,0xd0fffaa0,0xf52ff45f,0x7c4bffff,0xd81ffa5f,
    0xffff85ff,0x3fe66fff,0x1fe65fff,0xffffffd0,0xff11fe2d,0xffd1ff50,
    0xfe8819df,0xc86fcccc,0x321c89df,0xabff804f,0x1fb83ffd,0xffa988f9,
    0xf0ff5099,0x2abfe63f,0x17f43ffd,0x577d4bf7,0x5bf21aaa,0x07f22ff8,
    0xfff10fe6,0x7ffffb0f,0x1df72fe8,0x7fe4dfd4,0x3e2fff11,0xbfff507f,
    0xfd999990,0x7d4e7f4d,0xa80ff32f,0x15ffaaaa,0xc87f88ff,0xfeefebff,
    0x7ffcc1ff,0x2fe80fff,0x3e013f20,0xe89fee0f,0x2effeefe,0x7fc43fc4,
    0x6f99fe61,0x5bea3fdc,0x1bea1ff8,0xdf95ff10,0x3fa81fb8,0x217f67dc,
    0x743fd8db,0x081ff9af,0xfef89ff4,0x440fdfba,0xf005faff,0xf91fe65f,
    0x7001fe6b,0x11fe21ff,0xd7fd10ff,0x11bf665f,0x01ff53df,0x27e401ff,
    0xf883fe04,0xddffd11f,0x7f885dff,0x2fdc9fb0,0x1ff88df3,0x22fdd7f4,
    0xefb806fa,0xe97dc1ff,0xafd85f56,0x0ff604fc,0x007fd5fd,0x7dfccbfa,
    0x640fcedc,0xb805f9bf,0xf51fe66f,0x9801fe6d,0x11fe22ff,0x3abf60ff,
    0xa83fe62f,0xa88bf23f,0x641aabff,0x74ffe24f,0x5ff0eeff,0x4417e7d8,
    0x74df707f,0x3e1be62f,0x7f77d42f,0x7777fd41,0x85ffe81e,0xa8ff8afb,
    0x6fabfc2f,0xdfd0ff60,0x3fe600df,0x7fdb5f30,0x9b7cc1f9,0x22ff805f,
    0xfc99cff8,0x7400ff37,0x777fc45f,0x7e547fee,0x3fcc5fd5,0x22fb8fee,
    0x5ffffffa,0xdff727e4,0x7c3ffffe,0x4f8b742f,0x3e20ff10,0x260ff88f,
    0xe82ff86f,0xfffa85ff,0xffe82fff,0xffbafa84,0x57ea1fab,0x7fb01ff8,
    0x806fefe8,0x2bea3ff8,0x21fc8ffb,0x80bf31fe,0xfffc86fb,0x0ff36fff,
    0xf103fee0,0x4fffffff,0x4bfa3ef8,0x2fcc5fd8,0x7fcc41fd,0x27e4099a,
    0x07fc7ff1,0x3f2a3ff3,0x884efccf,0x2abfa07f,0x2637cc5f,0x1ffa81ff,
    0xfa806fa8,0x5fd41fff,0x21fbdfdd,0x40ff63fc,0x7d7f43fd,0x13fa203f,
    0x32df35f5,0x533bf71f,0x3fa013df,0xf9799303,0x2201fe6b,0x47f882ff,
    0xffe807f8,0x7c40ffff,0xff07feff,0x2227e401,0xff707fc0,0x3fffff21,
    0x07f887ff,0x30ff37f2,0x80ffb8df,0x0df507f8,0x8bfb7fd0,0xcfdbfbf9,
    0x3ffffa0f,0x87fb05ff,0x81ffaafe,0x2fb84fe8,0x7e4bee59,0x3fffffff,
    0x32007fa8,0xd00ff33f,0x11fe20bf,0xddfd00ff,0xfdf9017b,0x1ff09fdf,
    0x7c027e40,0x44feb88f,0x205f54f8,0x3fe607f8,0x8b7cc0ff,0xff104feb,
    0xf701bea0,0xf98bfe6f,0x0fefa8fe,0xfddddff3,0xe87fb01f,0xe88dfb2f,
    0x703f704f,0x33332a5f,0xfe82cefd,0x21ff7003,0x7fdc07f9,0xf88ff100,
    0x2f777727,0x7fd402fe,0x74c7fe20,0x25eeeeff,0x2eeeeffc,0x6ffff7fc,
    0x1fb9fcc0,0x777ff75c,0x986fff83,0x0dfffeff,0x3ea0ff10,0xf12eeeef,
    0xf137ec7f,0x43ffe2df,0x92ff84fb,0x2fffffff,0x47ff12fe,0x7ffffffd,
    0x05f703f7,0xffa82fcc,0xfffdd700,0x7777fcc5,0x3ffffe4e,0x88ff17ff,
    0x3ffff67f,0x2a802fec,0x3ffea2a8,0x3f26ffff,0x7c3fffff,0xf502deff,
    0xff903f25,0xf909ffff,0xdfff309f,0x07f8805b,0x7ffffff5,0x7ff31bf2,
    0x7fd8ffe2,0x53f20bf6,0x7ffffffc,0x8ffdc5fd,0x7ffffffe,0x07f703f9,
    0x3fe82fcc,0x033bff20,0xbffffff3,0x3fffffe2,0xf88ff17f,0x02666627,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x88000000,0xaaaaaaaa,0x01555550,0x22a83551,0x881aaaaa,
    0x50aaaaaa,0x00015555,0x00400530,0x08000170,0x00000000,0x0000bd00,
    0x32603775,0xb8bf61cc,0x8000004f,0x00002cc9,0xf33b806a,0x3fffffff,
    0x37fffffa,0xfd1bfe20,0x3fffffa1,0x7ffffd45,0xfffffd2f,0xf57ff50d,
    0x027fc47f,0x80dfffd5,0xffeb86fc,0x3fff662f,0x37ffa23f,0xfd884ffb,
    0xffe982ef,0x6c3fc02e,0x444ffd9f,0xc85fcced,0x5fb1fecd,0xbbfaa7dc,
    0x2bee0eff,0x5c4fd9ff,0x3e04ffff,0x81ffa807,0xbaa8bffc,0xfd0aaaff,
    0x44bff759,0x43fa2fff,0x2ffcacfe,0x2aaabbea,0xff535fd0,0x7fe6fc45,
    0x3fe61fdd,0xcbcff985,0x83dfb105,0x22feeffd,0x2ffcccea,0xdbff97b3,
    0x66ffc43f,0x3bfea1ff,0x1fe02fff,0x3ffbfff6,0x2b7b3762,0x27f5104e,
    0x553ee2fd,0x25feefff,0xeeffdffb,0x3fc57e0f,0xdf300ff0,0x889ff901,
    0x545fd07f,0x9bffe27f,0x6c3fd0fe,0xe81bea4f,0xfb97ee1f,0x3f98ff88,
    0xf9077f44,0x1bfd100d,0x0041ffa8,0x9bfc13f2,0xfa8ff23f,0x7fc8ffa5,
    0x667fe664,0x3f21ffb4,0xb9791f14,0xfeffa8f3,0xa7dc5fb3,0x4ff13ffa,
    0xf73ff5fb,0x0fd93e65,0x10000ff0,0x07f88199,0x87fc45fd,0xfd1fedf8,
    0x3fd87fa1,0x1fe81bea,0x3e7c8ff6,0xd884fbaf,0x5bff51ff,0x209ff301,
    0x553004fc,0xefa989fb,0x2ffa4fba,0xff37fbaa,0xff10ff98,0x36ffffff,
    0xb557ee2f,0x7c3f1eec,0x8bf67f56,0xc8df54fb,0xbb7cbee4,0xf11df12f,
    0x7fe664cd,0x99930ccc,0x00199999,0x8bfa0ff1,0x2b7e26fb,0x3fa1fd5f,
    0x2a0efdbc,0x3a2aaaef,0x6c4feeef,0x13ffffe7,0xff927fd4,0x1ffd89ff,
    0xe8807fb0,0xd14fffff,0x9fffffff,0x7ffffffc,0x3ff0df57,0x8bf61fe0,
    0x332f35fb,0x6ff41f1e,0x5c5fb3ff,0xb80bf54f,0x8beedf2f,0x2a2ffffc,
    0xffffffff,0xffffff51,0x443f43ff,0x979fd07f,0xfafc45ff,0xffd0fe9f,
    0xffa819ff,0xffd0ffff,0x3ec5ffff,0x7ff700ff,0x85ffb510,0x4fd82ffc,
    0xfb867f40,0x817a5f94,0x3fe600ff,0x7c03fe20,0x3ee2fd87,0x3aef2be5,
    0x545e446b,0x3fe67fb0,0xfb80bf54,0x50beedf2,0x07f80379,0xf109f000,
    0x3ffffa0f,0xfbafc42f,0x77fd0fec,0x9efa83ff,0x447fa199,0x223f27fc,
    0x3ff200ff,0xa83fe802,0x0ffdc4ff,0x3f61ff82,0x81fe2fb4,0x3fe203fe,
    0x7f81bee3,0x97ee2fd8,0x1fb88bfa,0xb9555554,0x54fffdff,0xf2fb80bf,
    0xaaa8beed,0x01fe02aa,0x81c881dc,0x39fd07f8,0x7c57e201,0x23fd0fef,
    0x037d45fc,0x87fcc3fd,0xadffccfa,0x03dfb11b,0x3ff979b9,0xfd17fe60,
    0x7f47fddf,0xf94ffece,0x395bffb9,0x6e66ffcc,0x3f7bff23,0x2fd8002f,
    0xffb317ee,0xffff883b,0x5bffb17f,0x7017ea9f,0x97ddbe5f,0x07fffff8,
    0x3fea01fe,0x83fc4001,0x2fc402fe,0x3fa1fff9,0x7d43ff11,0xfb87fa06,
    0x7ddffec7,0x403b21ff,0x02effffc,0x3f221f44,0x3fa62fff,0xfd34fadf,
    0x83fffb1d,0x42ffffea,0xb82efffb,0xb3cccccc,0x002fdc5f,0x2a011000,
    0xf97dc05f,0x40005f76,0x05e8804c,0xfd07f880,0x225f8805,0x43fd0fff,
    0x81bea5fd,0x3ffeeefe,0x00062088,0x00000998,0x40088022,0x26200c40,
    0xfd004400,0x00bfffff,0x00000000,0x00000000,0x22000000,0x805fd07f,
    0x87fec5f8,0x47fe61fe,0x3ffa06fa,0x00001bdf,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x1c1c0000,
    0x7fcc5ff3,0x03ffff50,0x407f4154,0xb0bf95f8,0xfd8bf29f,0x3fffff26,
    0xc983023f,0x204180bc,0x5dd40aa8,0x7300ae01,0xaaaaa837,0x0b7661aa,
    0x06e2a813,0xcc811111,0x2a3ccccc,0x0aaa002a,0x22551155,0x08888888,
    0x80000000,0xb93f24fd,0x547fd0ff,0xd081ffee,0x981fd82b,0x441ff34f,
    0x325f90ff,0x3fff20ef,0x23f93fff,0x3fff60fe,0x7d57e60f,0x6c3fff73,
    0xfb81ffff,0xffff701f,0x7fffff47,0x9ffff15f,0x53ff0bea,0xffffb8df,
    0x3fffffe2,0x013fa24f,0x3ff037f6,0x3fffedf5,0x006fffff,0x7cc00000,
    0x6c0efccf,0x3a05fcdf,0x6ecf541f,0x2a5f91fa,0x1ff47f52,0x5d7e4bf7,
    0x2fec00ff,0x4bf51df1,0x9fe83fe0,0xfd990ff8,0x1ff454c3,0x221bb3e2,
    0x54cfd15f,0xf71aaaaa,0x1ffdfd37,0x987b15c8,0x2220aaaa,0xc84f9888,
    0x40fb203e,0x995f98fe,0x79999999,0x00000000,0x101dfff3,0x7401ffff,
    0x7fff541f,0xf17f71ef,0x7dc5f71f,0xdfc8bfa6,0x7fdc01ff,0x3fca7d40,
    0x4fb93fba,0x03fd05fb,0x8fc83ff1,0x91fcc3fa,0x85cc001f,0x0003ffd8,
    0x013e2000,0x4c7f4000,0x0000005f,0xffd80000,0x013fee04,0xffd103fd,
    0x7de7cc1b,0x3e21fcbf,0x7e47f89f,0x7fd406ff,0x9f56f881,0xfd97fe64,
    0xfe80ff89,0x261ffcc1,0xf883f63f,0x3f67e88e,0x404fffff,0x80000000,
    0x000002b8,0x0013e2fb,0x00000000,0x109ffdf9,0x7401ffff,0x777fdc1f,
    0xddbf12ff,0x9f90fbdf,0xebfc89f7,0x07ff105f,0x03fe27fa,0xab7cd3f2,
    0x2bfa625f,0x4137ff30,0x322fcc6e,0x3b22ffff,0x004eeeee,0x00000000,
    0x00000000,0x00000000,0xff98efc8,0x37ee7f43,0x8d983fd0,0x3fe0d8de,
    0x987ffcbf,0x7e41feef,0xfe83ff8a,0x3f67f905,0x83ffffe2,0x365fb4fb,
    0xffd5ffff,0x44044bff,0x001bb980,0x00000000,0x00000000,0x00000000,
    0x30754000,0xf8b7e43d,0x3ff32e3f,0xd06e83cd,0x0bff53ff,0x3f21bffa,
    0x7e45ff52,0x713eeeef,0x26f2e254,0x21911d80,0x552aaaa9,0x00005555,
    0x00000000,0x00000000,0x00000000,0x00000000,0xff50ffd4,0x3fffff63,
    0xfb00986f,0xfb827fcd,0x322fc82f,0xffff90ff,0x000009ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_bold_18_latin_ext_x[560]={ 0,3,1,0,0,0,0,3,2,2,1,0,1,2,
3,0,0,1,1,1,0,1,0,0,0,0,3,1,0,1,1,2,0,0,1,0,0,1,1,0,0,1,1,1,
1,0,0,0,1,0,1,0,0,0,0,0,0,0,0,2,1,2,0,0,0,0,1,1,0,0,0,0,1,1,
1,1,1,0,1,0,1,0,1,1,0,1,0,0,0,0,1,1,3,1,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,0,0,0,0,
3,0,0,0,1,1,0,2,0,0,1,0,2,2,0,1,0,3,3,2,1,1,0,0,0,1,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,1,0,0,0,0,1,1,1,0,0,1,
1,-3,-2,1,0,0,1,0,0,0,1,0,0,0,0,1,0,0,0,0,0,0,0,0,-1,0,1,1,-1,0,
0,0,0,0,0,1,0,0,0,0,0,-2,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,
0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,-1,0,-2,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0, };
static signed short stb__consolas_bold_18_latin_ext_y[560]={ 13,0,0,1,-1,0,0,0,-1,-1,0,3,9,7,
9,0,1,1,1,1,1,1,1,1,1,1,3,3,3,5,3,0,0,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,1,14,0,3,0,3,0,3,0,3,0,0,
0,0,0,3,3,3,3,3,3,3,1,4,4,4,4,4,4,0,-2,0,6,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,13,3,-1,1,1,1,
-2,0,0,1,1,4,7,7,0,0,0,2,0,0,0,4,0,6,13,0,1,4,0,0,0,3,-2,-2,-2,-2,
-2,-3,1,1,-2,-2,-2,-2,-2,-2,-2,-2,1,-2,-2,-2,-2,-2,-2,4,-1,-2,-2,-2,-2,-2,1,0,0,0,
0,0,0,-1,3,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,2,0,0,0,0,0,0,0,
-2,0,-2,0,1,3,-2,0,-2,0,-2,0,-2,0,-2,-1,1,0,-2,0,-2,0,-2,0,1,3,-2,0,-2,0,
-2,0,-2,0,1,0,-2,-3,1,0,-2,0,-2,0,-2,0,1,0,-2,4,1,0,-2,0,1,0,4,-2,-3,1,
0,-1,-1,1,0,1,0,-2,0,1,3,-2,0,-1,1,3,-2,0,-2,0,-2,0,1,3,-2,0,1,3,-2,0,
-2,0,-2,0,1,3,-2,0,1,1,-2,-1,1,1,-2,0,-2,0,-2,0,-3,-1,-2,0,1,4,-2,0,-2,0,
-2,-2,0,-2,0,-2,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,-5,-4,-2,0,-2,-1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,3,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static unsigned short stb__consolas_bold_18_latin_ext_w[560]={ 0,4,7,10,10,10,11,4,6,6,8,10,6,6,
4,9,10,8,8,8,10,8,10,9,9,9,4,6,9,8,8,7,10,10,9,9,10,8,8,10,10,8,7,9,
8,10,10,10,9,10,9,9,10,10,10,10,10,10,9,6,9,5,10,10,7,9,9,8,9,9,10,10,8,8,
7,9,8,10,8,10,9,9,9,8,9,8,10,10,10,10,8,7,3,8,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,0,4,9,10,10,10,
3,10,8,10,7,8,9,6,10,8,8,9,6,6,10,9,10,4,4,6,8,8,10,10,10,7,10,10,10,10,
10,10,11,9,9,9,9,9,9,9,9,9,10,10,10,10,10,10,10,8,10,10,10,10,10,10,9,9,9,10,
9,9,9,9,10,8,9,10,9,9,9,10,9,9,10,9,10,10,10,10,10,10,10,9,10,9,9,10,9,10,
10,9,10,9,10,9,10,10,9,9,9,9,9,9,11,12,10,10,9,9,9,9,9,9,8,9,9,9,10,10,
10,10,10,10,10,10,10,9,10,9,9,9,9,9,9,9,8,9,9,8,10,10,8,9,9,9,9,9,9,8,
8,12,12,9,12,9,8,10,10,10,8,10,9,9,10,8,10,10,10,10,11,11,10,10,11,10,9,9,11,10,
9,10,9,9,9,8,9,9,10,9,10,12,10,9,10,9,10,9,10,9,10,9,11,11,10,9,10,10,10,10,
10,9,10,9,9,9,9,8,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,9,11,10,12,11,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,9,8,10,9,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10, };
static unsigned short stb__consolas_bold_18_latin_ext_h[560]={ 0,14,5,12,17,14,14,5,18,18,9,10,8,3,
5,15,13,12,12,13,12,13,13,12,13,12,11,14,11,6,11,14,17,12,12,13,12,12,12,13,12,12,13,12,
12,12,12,13,12,16,12,13,12,13,12,12,12,12,12,17,15,17,7,3,5,11,14,11,14,11,13,14,13,13,
17,13,13,10,10,11,14,14,10,11,13,10,9,9,9,13,9,17,19,17,5,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,0,14,17,12,12,12,
19,16,5,13,10,8,5,3,10,5,7,11,8,8,5,13,16,4,3,8,10,8,13,13,13,14,15,15,15,15,
15,16,12,15,15,15,15,15,15,15,15,15,12,15,16,16,16,16,16,9,16,16,16,16,16,15,12,14,14,14,
14,14,14,15,11,13,14,14,14,14,13,13,13,13,14,13,14,14,14,14,14,10,13,14,14,14,14,17,17,17,
15,14,15,14,16,14,16,14,16,14,16,14,16,14,15,15,12,14,15,14,15,14,15,14,16,14,15,14,16,17,
16,17,16,17,16,17,15,16,12,13,15,13,15,13,15,13,16,17,15,9,13,17,16,17,16,17,9,15,16,16,
17,14,14,12,13,12,13,15,13,16,14,15,13,14,16,14,16,14,16,14,16,14,13,11,15,13,16,14,15,13,
16,14,16,14,15,13,16,14,16,16,15,15,12,13,16,14,16,14,16,14,17,15,16,14,16,13,15,13,15,17,
15,15,13,15,13,15,13,13,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,16,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,18,18,15,14,17,16,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,16,14,16,16,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12, };
static unsigned short stb__consolas_bold_18_latin_ext_s[560]={ 44,250,206,54,44,162,67,250,9,37,30,
229,249,249,250,118,226,149,168,126,188,117,85,199,96,209,248,249,91,139,73,
23,87,138,52,185,85,107,43,195,238,65,248,158,219,177,22,206,12,20,33,
227,1,237,74,127,116,96,228,130,11,179,119,214,187,110,31,101,101,131,132,
124,123,143,194,82,135,209,162,141,234,135,199,82,163,190,50,39,10,112,71,
79,5,1,148,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,44,244,10,
22,11,184,1,85,159,1,182,96,177,249,171,168,130,152,112,89,195,144,129,
251,251,105,220,80,74,71,52,155,32,43,54,65,76,150,227,148,232,158,87,
32,97,138,22,12,239,1,173,194,22,236,11,1,33,44,55,78,100,107,1,
224,214,203,193,183,173,1,120,53,142,131,121,111,165,63,19,163,56,184,34,
23,12,1,239,240,194,206,195,185,175,245,202,223,200,126,221,106,163,79,185,
45,207,229,217,136,227,146,178,242,43,52,211,73,190,42,168,83,237,116,128,
63,122,234,1,119,12,55,196,212,21,226,206,102,225,29,205,43,185,23,154,
98,142,21,237,137,23,148,246,169,61,215,144,247,185,93,216,33,39,217,10,
100,173,174,247,43,205,156,133,166,111,1,89,12,66,89,154,62,78,106,1,
70,235,215,205,91,184,102,195,62,140,51,118,108,54,65,173,33,64,152,42,
41,215,145,108,90,96,112,31,92,32,152,131,158,162,111,12,121,217,152,175,
1,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,53,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,16,27,173,80,66,161,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,75,61,118,108,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195, };
static unsigned short stb__consolas_bold_18_latin_ext_t[560]={ 19,88,189,163,1,105,105,155,1,1,189,
176,163,172,149,72,120,163,163,135,163,135,135,163,135,163,135,105,176,189,176,
120,1,163,176,135,163,163,176,135,163,163,120,163,163,163,176,135,176,21,176,
135,176,135,163,163,163,163,163,1,73,1,189,189,189,176,120,176,105,176,149,
120,149,149,1,149,135,176,176,176,105,120,176,176,149,176,189,189,189,149,189,
1,1,21,189,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,
149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,19,105,21,
163,163,149,1,21,189,149,176,189,189,172,176,189,189,176,189,189,189,135,21,
176,181,189,176,189,135,149,135,120,72,72,72,72,72,21,149,72,72,72,72,
88,72,72,89,89,149,89,21,21,39,21,39,189,39,39,39,39,39,72,163,
105,105,105,105,105,105,73,176,149,105,105,105,105,135,135,135,120,105,120,105,
105,105,105,88,176,120,88,88,88,88,1,1,1,72,88,72,88,39,105,39,
105,39,88,39,88,39,88,72,72,163,88,72,88,72,88,72,88,39,88,72,
88,39,1,56,1,56,1,39,1,73,21,149,149,56,135,56,149,56,149,39,
1,56,189,120,1,56,1,39,1,189,56,39,21,1,88,88,163,135,149,135,
56,120,39,56,56,120,88,39,88,39,120,39,120,39,105,135,176,56,135,39,
120,56,120,21,120,21,120,56,149,21,120,21,21,56,56,149,149,21,105,21,
120,21,120,1,56,21,120,21,149,56,149,56,1,56,56,149,56,135,56,135,
135,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,21,
149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,
149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,
149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,
149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,
149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,
149,149,149,1,1,56,120,1,21,149,149,149,149,149,149,149,149,149,149,149,
149,149,149,149,149,149,149,149,149,149,149,149,149,21,120,21,21,149,149,149,
149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,
149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,
149,149,149,149,149,149,149,149,149, };
static unsigned short stb__consolas_bold_18_latin_ext_a[560]={ 158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_18_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_bold_18_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_18_latin_ext(stb_fontchar font[STB_FONT_consolas_bold_18_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_18_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_bold_18_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_18_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_18_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_18_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_18_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_18_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_18_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_18_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_18_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_18_latin_ext_s[i] + stb__consolas_bold_18_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_18_latin_ext_t[i] + stb__consolas_bold_18_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_18_latin_ext_x[i];
            font[i].y0 = stb__consolas_bold_18_latin_ext_y[i];
            font[i].x1 = stb__consolas_bold_18_latin_ext_x[i] + stb__consolas_bold_18_latin_ext_w[i];
            font[i].y1 = stb__consolas_bold_18_latin_ext_y[i] + stb__consolas_bold_18_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_bold_18_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_18_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_18_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_18_latin_ext_s[i] + stb__consolas_bold_18_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_18_latin_ext_t[i] + stb__consolas_bold_18_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_18_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_18_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_18_latin_ext_x[i] + stb__consolas_bold_18_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_18_latin_ext_y[i] + stb__consolas_bold_18_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_18_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_18_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_18_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_18_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_18_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_18_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_18_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_18_latin_ext_LINE_SPACING
#endif

