// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_21_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_21_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_21_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_consolas_bold_21_latin_ext_BITMAP_HEIGHT        265
#define STB_FONT_consolas_bold_21_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_bold_21_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_bold_21_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_bold_21_latin_ext_LINE_SPACING          14

static unsigned int stb__consolas_bold_21_latin_ext_pixels[]={
    0x017a6bd3,0x00ccc000,0x91008001,0xd5001dc3,0x5ffb009d,0x40002a98,
    0x2a200aaa,0x37971002,0x03511a80,0xd9804d98,0x02ded80d,0x74c05510,
    0xfe86ec44,0x55103fff,0x409d5001,0xff32fec8,0x5fea1fff,0x0fee07fa,
    0x01ffe880,0x3a2007d1,0xff57fd84,0x07ff5003,0xf901bfb0,0x7fec000f,
    0x13ffe202,0x7fffff50,0x1fedffc0,0x900bff60,0xfffb07ff,0x4fff8807,
    0x7e43ffd0,0x7ffffd3f,0x00bffd10,0x3fa03fff,0xffff32ff,0x7d5fea1f,
    0x4007fa07,0x1ca8dfe8,0x2200ffd4,0xafdc0efe,0x64400ff9,0x0bc9801c,
    0x2000ff90,0x3a200efd,0xf504fc9f,0x05ff515f,0x2017ffea,0x7dc00ffb,
    0x81ff201f,0x84fc9fe8,0x3fee0ffd,0xfd807fd1,0x7ec05fba,0x01ffb80f,
    0xbfd43fe6,0x1ff307fa,0xfd866200,0x200ffc81,0x08101ffd,0x803bd700,
    0xf906ecfb,0x0331000f,0x40cc1310,0x2fd41ff8,0x4c003310,0x88033000,
    0x413101ff,0x13013019,0x13101ff4,0x02a004c4,0x3e6027e4,0x3eaff50f,
    0x54400007,0x3fa06fcc,0x43ffb80e,0x155102a9,0x80fd9f70,0xf901f76d,
    0x5306ee6d,0x202aa205,0x2aaaccb8,0x07fc13ee,0x555665c4,0xaaccb882,
    0x2aaaaa2a,0x260ffc00,0x2155102a,0xd15442a9,0x2aaa207f,0x2aa22aaa,
    0xfb02aaaa,0x50ff9807,0x221feaff,0x02aaaccb,0x3bffffea,0xf09ff100,
    0x05ff509f,0x55b20ff9,0x3ffe600f,0xff9df904,0x17fd47ff,0x7fdc3fe4,
    0x3e6fffff,0xdcccc88f,0x7fffdc1f,0x7fdc6fff,0xf16fffff,0xf805ffff,
    0x417fd41f,0x51ff27fc,0x40ffa1ff,0x7ffffffb,0x3fffffee,0x9807fb07,
    0x2aff50ff,0x7fffdc7f,0xff306fff,0x40bfff9d,0x07fd46fc,0x7fc45ff8,
    0x0ddbf504,0x32037970,0xffecefff,0xff117fe0,0xb9bff989,0x1df32cff,
    0x5f9bffff,0x7dcdffcc,0x2ffe62cf,0x912cffb9,0xe805ffb9,0x445ff83f,
    0x51ff24ff,0x40ffa1ff,0x7fdcccc9,0x3f733326,0x9807fd07,0x2aff50ff,
    0x26ffe67f,0xfb02cffb,0x0ffffe1d,0xdfb07fd4,0xf507fe40,0x066d403f,
    0x417ffe60,0x3fe65ffc,0xfa83ff23,0x3637dc1f,0x3f33ee5f,0x22fccfcd,
    0x22fec6fb,0x82fec6fb,0x7e402ff9,0x507fe40e,0x23fe43ff,0x07fd0ffa,
    0x2e03fdc0,0x01ff987f,0x5e987fcc,0x237dcff5,0x5ff305fd,0x417fb3ea,
    0x17fe2ff8,0x3f63ff98,0x59995106,0x7fffdc01,0xff87fc80,0xfd8ffe64,
    0x7e46fb86,0x27fabf64,0x2e2fcbfc,0x2e27e46f,0x9827e46f,0x7ec402ff,
    0xd8ffe66f,0x2a3fe46f,0x007fd0ff,0x3ee03fdc,0x013ffaa7,0x7d403fe6,
    0x9f91bee7,0x7e43fea0,0x3fa06fca,0xe807ff14,0x205ff16f,0x1fffffff,
    0x05ffbfd0,0x8bfd0ff9,0x05ff16fe,0xff539ff3,0xcbfcfec5,0x3e62fcaf,
    0x42ffa9cf,0xffa9cff9,0x805ff302,0x7f47ffc8,0xfc85ff16,0xfe87fd47,
    0x01fee003,0x77fdcff7,0x00ff9801,0x67fccff5,0xf702ffa9,0x07fbbfcf,
    0x0ffc57f6,0x3ee3fea0,0x2e6afa07,0x9ff886ff,0x87fc84ff,0x47fd44ff,
    0x3ffa07fb,0x4ff44fff,0x3fb5fb7f,0x4fffffe8,0x9fffffd0,0x2017fcc0,
    0xffa81efc,0x7fc87fb8,0x3fe87fd4,0x701fee00,0x0ffc88ff,0xa807fcc0,
    0x7ffff47f,0x4dff204f,0x201ff75f,0x00ffe4fe,0x013faffe,0xff50ff70,
    0x1ff21ff2,0x7ff07ff1,0x37ee09fd,0x9fe81aba,0x8fd3fd7f,0x01abadfb,
    0x03575bf7,0x7402ff98,0x3affe02f,0x547fc84f,0x007fd0ff,0x3ee03fdc,
    0x9805ff07,0x2a9930ff,0x2eb7ee7f,0xcbfdc01a,0x7c0ff72f,0x2017f63f,
    0x801ffffc,0x40ffcaa9,0x83ff55fd,0x3ff627fc,0x1ffffc80,0xd801bfb0,
    0xdffcff9f,0x006fec5f,0x30006fec,0x1ff805ff,0x07ffff20,0x1ff51ff2,
    0xfb800ffa,0xd83fdc07,0x87fcc03f,0x6cff57fa,0x3e6000df,0xdf90fe8f,
    0xfb8bfe60,0x6fff9807,0x7ffff540,0x897fc0ff,0x77fe44ff,0xf303fffe,
    0x7fd40dff,0x362defff,0xffdffc9f,0x7fffd41f,0x7fd42def,0x2e2defff,
    0xffffffff,0x2601ff82,0xff906fff,0x7fd0ffa8,0x203fdc00,0x07fb07fb,
    0xff50ff98,0xfffa9fea,0xf102deff,0x27fcbfbf,0x7fcc7fb8,0x02ffe800,
    0x32af7fea,0x83fe60ff,0x7ffe46fe,0x7f401eff,0x3bfe202f,0xf92ffffe,
    0x4054caa7,0xfffeeff8,0x3bbfe22f,0xff72ffff,0x05ffffff,0xffe803ff,
    0xfa8ff902,0x4007fd0f,0x3fdc07fb,0x7cc03fd8,0x3eaff50f,0x3fbbfe27,
    0xffb02fff,0x01ffb17f,0xbff09ff1,0xd80dfd00,0x907fd46f,0xfffdddff,
    0x00c7fe41,0xfe80dfd0,0xfaaff444,0x227f4006,0x13fa5fe8,0xf980bfd1,
    0x401ff80e,0xfb8006fe,0xd800ffa7,0x837ec06f,0x7fcc04fc,0x9feaff50,
    0x2ff444fe,0xfffffe88,0x01ffb03f,0x7e407ff5,0x33ff402f,0x7ff41fff,
    0x23ffffff,0x7e4007fc,0x0ffe202f,0x83fe93fa,0xe83ff881,0xd07ff14f,
    0x81fe809f,0x3f200ffb,0x6fd8002f,0x220c0ffa,0xff1065ff,0x803fee0b,
    0x2ff50ff9,0x07ff17fa,0x7fd409fd,0xff902eff,0x50ffdc05,0x7009fffd,
    0xffffdfff,0x2aaffe21,0x3f25ffaa,0xfffea807,0xbcfff804,0x3ea1ffec,
    0xf06eccdf,0xffd979ff,0x65e7ffc3,0x7fc01ffe,0x09fff92d,0x009fffd5,
    0x8ffff7a2,0x362eeefe,0x21fffeef,0x1fffeefd,0x23dfff10,0x50ffeee9,
    0xff9feaff,0x1ffecbcf,0x80273ee0,0xfd804ffa,0x07fff70f,0x46fffec0,
    0x20ff70ff,0x01ff27fd,0x400fffee,0xdfffffd9,0xffffea81,0xffffb303,
    0xffd983bf,0xc801dfff,0x07dfb5ff,0x800fffee,0x744ffff8,0x3f63ffff,
    0x7ec1efff,0x4401efff,0xfff32ffd,0x55fea1ff,0x3fff667f,0x7f401dff,
    0x004e8801,0x0019893a,0x7ec01310,0x005ff505,0x20003310,0x31001998,
    0x06662003,0x00066620,0x0662000c,0x004cc400,0x20099880,0x00000998,
    0x7fabfd40,0x20019988,0x00020019,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x23310000,0x00000198,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x55400553,0x54000aaa,0x37ae00aa,0x01304c01,
    0x83550155,0x00accba8,0x054402a8,0x4cc26600,0x2a0d4401,0x881a982a,
    0x12a2000a,0xaaaaaa88,0x99801aaa,0x0cc13101,0x2a133100,0x0098001a,
    0x3ee004c0,0xffff1007,0x7fec005f,0x1b6fea02,0x4fc9ef88,0x7f417fc4,
    0x3ffffee4,0x027c403f,0x3f79fff7,0x7ec77ec0,0x21fcc01e,0x27e42fff,
    0x3ef3ffee,0x881ff201,0xffffffff,0x17fec05f,0x4fdafe88,0x7cbff500,
    0x3fa2004f,0xffe8803f,0x801fee03,0x002ffbaa,0xfb801bd7,0x7fdc07b8,
    0x17fc40ef,0xeffaa7f4,0x2203eccc,0x7bb00cfb,0x3601fffd,0x00dfd8cf,
    0x7ffc2fa8,0x37627e46,0x200fffeb,0x3ba207fc,0x4eeeffee,0x10037f60,
    0x2a007ffd,0x027fc2ff,0x4fdbfe88,0x3f6ffa20,0x000ff704,0x70005ff3,
    0x3ffa2019,0x101a8803,0x29fd05ff,0xf5000ffd,0x009fffff,0x42620155,
    0x3ee00198,0x917fffc1,0x80aa809f,0xaaffdaa8,0x01fee02a,0x31000cc4,
    0x404cc001,0x131004ff,0x413100cc,0x98ff7019,0x5ff301aa,0xa87f8800,
    0x86aa130a,0x11aa80aa,0x29fd05ff,0xfa800ffe,0x44feffff,0x21aa80aa,
    0x01aa80aa,0x43dffd91,0x3f26feff,0x02bca884,0xfffffff5,0x03fdc0ff,
    0x4015e544,0x00accba8,0xf8af2e62,0x32a2004f,0xcba8802b,0x27fb80ac,
    0xf300eff8,0xb951005f,0x82ff889f,0x05ff14fe,0x0bfe29fd,0x77fe53fa,
    0x6dbfa00b,0x82ff8827,0x05ff14fe,0xfff509fd,0x57fc5fff,0xa89f92ff,
    0x40efffff,0xccffecc9,0x01fee04c,0x1dfffff5,0x3ffffee0,0xffff703f,
    0x013fe3ff,0x77ffffd4,0xfffff700,0x74ff707f,0x3fe600ff,0x7fffd402,
    0x0bfe20ef,0x17fc53fa,0x2ff8a7f4,0xffd14fe8,0xbff019ff,0x17fc41fa,
    0x2ff8a7f4,0x7fc44fe8,0x3e1aefbf,0x9f96fc9f,0x7f6fffcc,0x01ff207f,
    0x3e607fb8,0x87ffedff,0xeccceffa,0xcdfffc83,0x009ff1fe,0xffdbfff3,
    0x99dff50f,0x2ff707d9,0x7cc01ffd,0x37fe602f,0xf10efffc,0x229fd05f,
    0x14fe82ff,0x49fd05ff,0x2fffffc8,0x82fefff4,0x4fe82ff8,0x9fd05ff1,
    0x0bf1ffb8,0x95ff13ff,0x7077f49f,0x1ff207ff,0x3a07fb80,0x0ffee0ef,
    0xf1001ffb,0xff0881df,0x41dfd009,0x7fec3ffb,0xf9ff7000,0x5ff3005f,
    0xdfbb7f40,0x05ff12ff,0x0bfe29fd,0x17fc53fa,0x75c427f4,0x3fe60fff,
    0x7c40cfff,0xf14fe82f,0xd89fd05f,0xff09f17f,0x53f3bf23,0x6ff83ff9,
    0x5c00ff90,0x07ff307f,0x0ffe8dff,0x401ffc80,0x7fcc04ff,0x7f46ff83,
    0xfff7000f,0x3fe600bf,0x7ecbfe02,0x5ff14fe9,0x3fe29fd0,0xff14fe82,
    0xd807fd05,0x7fe442ff,0x3fe22fff,0xff14fe82,0xfd89fd05,0x3ff07f36,
    0x553fffe2,0x07fe81ff,0x7dc00ff9,0xd03ff507,0xbeffc8ff,0x201bfa00,
    0x7fd404ff,0x7e47fe81,0x7dc00bef,0x9803ffbf,0x3ff302ff,0x457f6df1,
    0x14fe82ff,0x49fd05ff,0x01ff84ff,0xfb817fd4,0xff11fffe,0x3e29fd05,
    0x5c4fe82f,0xf82fb8ff,0x53fff21f,0xffc80ffb,0x2007fc80,0x1ff707fb,
    0x7441ff90,0xf80cffff,0x04ff805f,0x7e407fdc,0x3fffa20f,0x2ff700cf,
    0x7cc02ffd,0x73ff102f,0x7c57f67f,0xf14fe82f,0x6c9fd05f,0x43ff20ff,
    0x3ffa60ac,0xff71f900,0x3a0bfe27,0xd05ff14f,0xcdff889f,0x87fe089f,
    0xff94fff8,0x701ff701,0x3ee005ff,0x701ff907,0xffc881ff,0x3fe22fff,
    0x99cff804,0x03ff2199,0xf9103fee,0xf705ffff,0x803ffa2f,0x3fe02ff9,
    0x29ff1feb,0x4fe82ff8,0x9fd05ff1,0x7ff7ffcc,0x3ffffe3f,0x5f603fff,
    0x5ff13ff9,0x3fe29fd0,0xfe84fe82,0x3e3fefff,0xba7fe41f,0x07fc81ff,
    0x0fddfff3,0xffb83fdc,0x2207fc81,0x3e0fffeb,0xffff805f,0xff71ffff,
    0x440ff903,0x5c0fffeb,0x83bfe67f,0xfffffffb,0xb7ffec2f,0x5ff10ffc,
    0x3fe29fd0,0x74c4fe82,0x7f41efff,0xd82effff,0xffeafe9b,0xfd05ff10,
    0x3a0bfe29,0xfffd504f,0x220ffc5f,0x07ff54ff,0x7fd40dfb,0x1fee07ff,
    0x7ec1ffd4,0x45ffb006,0xfff806fe,0xf51fffff,0x00dfb07f,0xff70bff6,
    0x3ee5ffb8,0x2fffffff,0x7fffff44,0x7c27fc4f,0x3e13fe3f,0x01df303f,
    0x3fe00ccc,0x42ffffff,0x23ff84ff,0x03ff84ff,0xf0004f7c,0x113fe29f,
    0x131009ff,0x4ff88000,0xa8027fc4,0x0bff62ff,0x27fc4000,0x54013fe2,
    0x000002ff,0xdffff100,0x641ffb05,0x83ff60ff,0x5fb00ffc,0x640bd500,
    0x80cefffd,0x3ff20ffd,0xfc83ff60,0x013e200f,0x7ec5ff50,0x0ffd98bf,
    0x54017aa0,0x2fff605e,0x640ffd98,0x83ffa60a,0x989bfff8,0xb01ed81c,
    0xffb317ff,0x3a60ac81,0x17aa00ff,0x4c01ed80,0x3e6009ef,0x44fffeff,
    0xfffefff9,0x00b7fa04,0x7f5009f9,0xfefff980,0x7ffcc4ff,0x4c04fffe,
    0xffd1003f,0xfffff98d,0x27e403ff,0x2604fc80,0x3fffffff,0xfffffff8,
    0xffffb83f,0x3fc41fff,0xffffff30,0xfffff07f,0xfc807fff,0x00ff1004,
    0x3a6007f7,0xd303ffff,0xb807ffff,0x0fec06ff,0x4c00fdc0,0x303ffffe,
    0x007ffffd,0x3e2005f5,0xffd880df,0x1fd802ef,0x8803fb00,0xd02efffd,
    0x05dfffff,0x6ffffecc,0x2202fd40,0xd02efffd,0x05dfffff,0x2a003fb0,
    0x0018805f,0x04c00130,0x06200600,0x20006540,0x00260009,0x26000c98,
    0x40013000,0x00620018,0x26600130,0x20088001,0x02600098,0x2000ccc0,
    0x02620018,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00131000,0x43101998,
    0x05440098,0x4de5d440,0x13555530,0x8004cc40,0x2aaaaaaa,0x98018830,
    0x03555000,0x19984cc0,0x30004cc4,0x260004c1,0x03950019,0x3300620c,
    0x262004c4,0x53055500,0x2002aa63,0xb001fffa,0x33ee05ff,0x7fc01fd9,
    0x7fffe405,0xffff94ff,0x3f6209ff,0x7ffc402f,0xfd87ffff,0x2203ff15,
    0x7cc03ffe,0xdfb005ff,0xd883dfb1,0xef8802ff,0x36004fc9,0x3fb002ff,
    0x7fc57f60,0x3abbea01,0x3ffea01f,0x643fff81,0x803ff94f,0x01ffaefa,
    0x3a006fec,0x7c404fff,0x3fffa06f,0xff94fedd,0x409fffdd,0x3e202ffa,
    0x85eeeeef,0x05ff35fd,0x09fb7fd1,0x007fffdc,0x37f633f6,0x00bfea00,
    0x003bffee,0x51006fec,0x7ec0df99,0xa805ff35,0x3ea01fff,0x7fc1ffae,
    0xfca7e46f,0x310cc00f,0x000cc401,0x32600153,0x109ff700,0xff89bf23,
    0x100cc407,0x2a2007ff,0x04c40aa0,0x7eff4033,0x4426202f,0x03310019,
    0x88006a20,0x7ffd4019,0x15100eff,0x09880154,0x81310cc0,0x3f22ffff,
    0x1001ff94,0x10137975,0x40159975,0x009bcba8,0x21379751,0xfc806ff8,
    0x5103fe46,0x3fe20579,0xa80aa803,0x2a02aa1a,0x7cffc41a,0x5e54404f,
    0x54055402,0x2bca881a,0x2aa02aa0,0x3f3bfe61,0x32a205ff,0x9731002b,
    0x65cc4057,0x37f7fc2b,0x03fee9f9,0xffffff90,0xfffffb89,0xffff903f,
    0xfff909ff,0x3fe69fff,0x746fc802,0xffff506f,0x3ff881df,0x7417fc40,
    0xd05ff14f,0xf97fa89f,0x7fffd40f,0x2ff880ef,0x7fd44fe8,0x7c40efff,
    0x364fe82f,0x7ffff0ef,0xdfffff50,0x7fffdc01,0xfffb81ff,0x2ffe1fff,
    0x2e9f91ff,0x7fff407f,0x3ea4fedd,0x83ecccef,0xfeddfffe,0x6effff44,
    0x23ff54fe,0xf93eeee8,0x03ffd99f,0xffdbfff3,0xfffff88f,0x0bfe25ff,
    0x17fc53fa,0x57f627f4,0xff981ffa,0x887ffedf,0x24fe82ff,0xffedfff9,
    0x7417fc47,0x2a5ff34f,0x7cc5fecf,0x07ffedff,0xfd9bfff9,0xcdfffc83,
    0x367fe1fe,0x3ee9f95f,0x213fee07,0x003ff618,0x86213fee,0x71884ffb,
    0x3ffe23ff,0xfffff94f,0x83bfa01b,0x3fe23ffb,0x225fffff,0x14fe82ff,
    0x89fd05ff,0x09ff12ff,0x7fdc1dfd,0x7417fc43,0xb83bfa4f,0x0bfe23ff,
    0x87fd53fa,0x746fcafc,0x0ffee0ef,0x0881dff1,0x1103bfe2,0x4ffd4ffc,
    0x20ff54fc,0xfd006ff8,0x6ff8801f,0x806ff880,0xf5511ffa,0x3afbf29f,
    0x3ff981ff,0x3fe26ff8,0x2209999b,0x14fe82ff,0x49fd05ff,0x1bfa0ff9,
    0xdff07ff3,0xfe82ff88,0xff07ff34,0x7417fc4d,0xbfcff74f,0x0ffe67fb,
    0x3ff91bfe,0x003ff900,0x333fa3ff,0x260ff54f,0xff9002ff,0x3fe6017d,
    0x02ff9802,0xfe83ff98,0x3fa2df94,0xe81ffa86,0x00ffe27f,0x9fd05ff1,
    0x3fa0bfe2,0x3bbbff24,0x3fea0fff,0x7c47fe81,0xf54fe82f,0x44ffd03f,
    0x94fe82ff,0x7dd7e6ff,0xd03ff50f,0x006fe8ff,0x3fe00dfd,0x29fbff71,
    0x3ff506fa,0x88fbbba2,0x40cffffe,0xddd11ffa,0x447fea7d,0xff13eeee,
    0x3f29fd0d,0xf70bfee6,0x21ff901f,0x7c403ff8,0xf14fe82f,0x749fd05f,
    0xffffffff,0x3203fee3,0x0bfe20ff,0x07fdd3fa,0xff887fe4,0xff74fe82,
    0x73fdcbf2,0x1ff901ff,0xff802ffc,0x7c3ff005,0x0bd34fff,0x7fc47fee,
    0x7fe444ff,0x3fee2fff,0x29ffff11,0xfff11ffb,0x4f7fdc9f,0xdf94fe88,
    0x3f237fc4,0x10ffb80f,0x333337ff,0x7f417fc4,0xfd05ff14,0x2aaffe29,
    0x3f25ffaa,0x20ffb80f,0x4fe82ff8,0xff701ff9,0x3a0bfe21,0xfd1ff34f,
    0xffc9bf21,0xf10ffb80,0x9ff1009f,0xfb87fe00,0xff5004ff,0x13feaa23,
    0x87fff5c4,0xf5511ffa,0x447fea9f,0x7ec4ffaa,0x94ffffff,0x22ffc8df,
    0x7fc81ffb,0x3fffffe2,0x20bfe27f,0x05ff14fe,0x41fee9fd,0x07fee7fd,
    0x5ff11ff2,0x3fee9fd0,0x3e27fc81,0xf14fe82f,0x27fcbfbf,0xff903ff7,
    0xff005ff8,0x887fe00b,0x0bd34fff,0x3fa0ffe6,0x32ffd804,0x29fd07ff,
    0x4fe83ff9,0xdffffeb8,0xff88df91,0x360ffea5,0x3fffe26f,0x3fe27fff,
    0xff14fe82,0x3f69fd05,0x2a5ff505,0x46fd83ff,0x4fe82ff8,0xdfb07ff5,
    0x7f417fc4,0x22ffff64,0x3fea0ffd,0x7f46fd83,0x00dfd006,0x9ff907fe,
    0x3e20bff6,0x804fe86f,0xdff12ffa,0x3fe29fd0,0x4c04fe86,0xff880001,
    0x4027fc44,0x427fc3fc,0x213fe3ff,0x5fb003ff,0x3e227fc4,0xf84ff84f,
    0x889ff13f,0x427fc4ff,0x3ffa23ff,0x7c43ffff,0x227fc44f,0xfd802ffd,
    0x5c00002f,0xdff700ff,0x649fd113,0x83ffa60a,0xe889effb,0x27bfee4f,
    0xd504fe88,0x80bd500b,0xfd98bffd,0x437cc00f,0x3ff20ffd,0xfc83ff60,
    0x86fa800f,0xfd98bffd,0x20ffd80f,0x3ff60ffc,0x40ffd98b,0x3ff20ffd,
    0x77fffd40,0x317ffb02,0xff881ffb,0x21c989bf,0x989bfff8,0x40bd501c,
    0x7ffec008,0x3fe4ffff,0x83ffffff,0xfffffffd,0x7ffffec4,0x09f904ff,
    0xf9809f90,0x03ffffff,0x261bffa8,0x4fffefff,0x7ff7ffcc,0x7ff7004f,
    0x7ffffcc1,0xfff303ff,0xf989fffd,0x83ffffff,0xfffefff9,0x009cfb84,
    0x7fffffcc,0xffff703f,0xffb83fff,0x901fffff,0xd700009f,0x743bffff,
    0x02efffff,0x37ffffae,0xffffeb81,0x003fb01d,0xfb1003fb,0x22005dff,
    0x7f4c2ffe,0xfd303fff,0x44007fff,0x7ec41ffe,0x74c02eff,0xb103ffff,
    0x4c05dfff,0xd03ffffe,0x7ec4003f,0x6cc02eff,0x980dffff,0x00dffffd,
    0x800003fb,0x00ccc019,0x33000cc0,0x22003100,0x00098001,0x00980110,
    0x88000260,0x40004c00,0x00260009,0x01980130,0x20002600,0x00220008,
    0x00000062,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2a600000,0x20155442,0xaaa880a8,0x4c02aaaa,
    0x19826200,0x98031060,0x00266200,0x4c019980,0x00ccc000,0x2ea20026,
    0xeb800acc,0x0333003e,0x2a983106,0x00054400,0x3ba20026,0x13004eee,
    0x6fc96440,0x3e00ffec,0xffffb85f,0xfd107fff,0x2bfa207f,0x2bfb04fd,
    0xfe881ff8,0x5ffb103f,0x05ffb000,0x400fffa2,0xfd102ffd,0x7ffdc07f,
    0x7dc03fff,0x5ffb002f,0x3fe2bfb0,0x4003fea1,0x1fbcfffb,0x807ffd10,
    0x05fffff9,0xd81fff44,0x2a6fc9ff,0x7fc404ff,0xffecc986,0xbfe884cc,
    0xffd104fd,0xf9afec07,0x6dff442f,0x0bfea04f,0x100dfd80,0x809fb7fd,
    0xfd100dfd,0xff509fb7,0x407d999d,0xfb000aa8,0x4d7f601b,0x01ff42ff,
    0xfffebdd8,0xfdbfe880,0x74400004,0xfc84fdbf,0xff16fc9f,0x0032600d,
    0x09880ff7,0x00988066,0x10550544,0x2200cc13,0x03310019,0x80660988,
    0x04c40198,0x01ffb033,0x02aaaaa0,0x51006620,0x37dc1541,0x100aa800,
    0x2200cc13,0x4c402bca,0x46e20660,0x03ff96fc,0x05797310,0x55501fee,
    0x55415555,0x5541a982,0x222aaaaa,0x2aaaaaaa,0x55555544,0x4c15542a,
    0x5555541a,0x2aaa22aa,0x2a02aaaa,0x1ffd01aa,0xfffff100,0x400d5405,
    0xaaaaaaa8,0x2017fc42,0x31a982aa,0x20554035,0x0efffffa,0xaa881554,
    0x4f7e4260,0xffb803ff,0xfb81ffff,0x3fffe207,0x3ffe1fff,0xff127e43,
    0x5cffffff,0x7fffffff,0x7fffffdc,0x21fffc7f,0x3ffe24fc,0x3ee7ffff,
    0x07ffffff,0x320bfff3,0x5400beff,0x3e02ffba,0xfffb804f,0xfc87ffff,
    0x21fffc05,0x409f94fc,0x3ffe60ff,0x7dc7ffed,0x2a6fd82f,0xbfdff96f,
    0x9bfff900,0x0ff703fd,0x7ee66644,0x91bffe1f,0x777fc49f,0x33265eee,
    0x4c4ccffe,0x4ccffecc,0x3f237ffc,0x3bbbfe24,0x3b3265ee,0xf704ccff,
    0xfd101fff,0x98019fff,0x13fe02ff,0x3ffb3260,0x1ff984cc,0xf91bffe0,
    0xff813f29,0xfb83bfa0,0x2637f43f,0x65bea3ff,0x4405ffff,0x40440eff,
    0x7cc007fb,0x8bfffe1f,0x0ffe24fc,0x7007fb80,0x7fffc0ff,0xff893f22,
    0x01fee003,0x40bff7fa,0x2fffffc8,0xf80bfe60,0x3fdc004f,0xff027f40,
    0xba7e45ff,0xf99fe04f,0x5c6ff83f,0x51bf61ff,0x3efbf2ff,0x07ff202f,
    0x4007fb80,0x3bfe1ff9,0xf893f26f,0x1fee003f,0xff03fdc0,0x127e4dfd,
    0x7dc007ff,0x7cffc407,0x7f5c404f,0x5ff300ff,0x20027fc0,0xffa807fb,
    0x4dfdff00,0x54bf74fc,0x1ffa9fe1,0x5fe87fe8,0x7fa87ff3,0x03ffadf9,
    0x2e0037f4,0x7fcc007f,0x47feffe1,0x0ffe24fc,0x7007fb80,0x7dffc0ff,
    0x7c49f91f,0x1fee003f,0x1ff2ff50,0x302ffd80,0x27fc05ff,0x401fee00,
    0xf7ff03ff,0x7d53f23f,0x9fe2df35,0xffc80ffb,0x7e4ffdc0,0xdf97fb86,
    0x7fc17fe6,0x03fdc005,0xff87fe60,0x49f95fd9,0xfffffff8,0x200ff705,
    0x27fe07fb,0x449f95fd,0x5fffffff,0xfd80ff70,0x2003ff55,0xff302ffa,
    0x0027fc05,0x7dc01fee,0xbfb3ff06,0xbafd53f2,0x326f89ff,0x0ffb80ff,
    0x82ffdfe8,0x64df97fb,0x27fc43ff,0x001fee00,0x4ffc3ff3,0x24fc9ffa,
    0xfffffff8,0x200ff705,0x27fe07fb,0x24fc9ffa,0xfffffff8,0xf80ff705,
    0xc89ff12f,0x03ffa60a,0xff017fcc,0x07fb8009,0xff05ff10,0x9f93ff53,
    0x5fff5be6,0x07fee6f8,0x7fdc1ff2,0x91ff706f,0x07ffc4df,0x3ee017fe,
    0x07ffffff,0x3fe1ff98,0x49f99fd1,0x9999bff8,0x200ff700,0x47fe07fb,
    0x224fccfe,0x09999bff,0x7cc0ff70,0xff1bfa0f,0x09ffffff,0xff017fcc,
    0x07fb8009,0x3fe17f60,0x29f99fd1,0xefef8ef9,0x0ffea5f9,0xffe81bf6,
    0xf91ff902,0x745ffa8d,0xfffb806f,0x9807ffff,0x5c7fe1ff,0x3e24fdff,
    0x1fee003f,0xff03fdc0,0x93f7fee3,0x2e003ff8,0x3bff207f,0x3a0fffee,
    0x02efffff,0xff017fcc,0x07fb8009,0xff03fe60,0x53f7fee3,0xffafbef8,
    0x13fe25fa,0x7e409ff1,0x003ff207,0x0017fec0,0xfa804fc8,0xff87fe1f,
    0x0ffe24ff,0x7007fb80,0xf0ffc0ff,0x7fc49fff,0x81fee003,0xfffffffe,
    0x04fd983f,0x7c05ff30,0x3fdc004f,0xff13fa00,0x8a7fffc3,0xfbf97dff,
    0x98bffd8b,0x3ee00ffd,0x503ff207,0xfff880bd,0x201c989b,0x10b987f9,
    0x21ff8ffd,0x3e24fffb,0x019999bf,0x3ee00ff7,0xfb87fe07,0x2ffe24ff,
    0xf7019999,0x2affe20f,0xb05ffaaa,0x3fe6003f,0x2673fe02,0x1fee0199,
    0xff8ff500,0x453ffee1,0xfff35fff,0xfffff989,0x3fdc03ff,0x804fc800,
    0xfffffffb,0x86ffea01,0x3ffffff9,0xfff10ffc,0x7ffffc49,0x3ffee7ff,
    0x7dc7ffff,0x47ffffff,0x3ffe21ff,0x3ffffe24,0x3ffee7ff,0x3ee7ffff,
    0x3e0ffb07,0x7fffdc06,0x7fc2ffff,0x21ffffff,0xfffffffb,0x7c7ff007,
    0x93ffe21f,0x3ffe2fff,0xefffd884,0x007fb802,0x26003fb0,0x00dffffd,
    0xd88bffa2,0xff82ffff,0xf127fe41,0x4fffffff,0xfffffffb,0x7ffffdc7,
    0x20ffc7ff,0x3fe24ffc,0x2e7fffff,0x7fffffff,0x7fd417f6,0xfff70002,
    0xf85fffff,0x1fffffff,0x3fffffee,0x4131007f,0x27fe41ff,0x7fe41fff,
    0x70004c03,0x062000ff,0x20004400,0x00026008,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00266200,0x02bcb988,0x220c00d4,0x00ccc001,0x26009988,0xbd700260,
    0x01883003,0x51000544,0x98866001,0x00ccc000,0x4c007bb2,0x01998000,
    0x54403330,0x266202bc,0x00350000,0x200bff62,0x1ffffffb,0x6c01ff90,
    0x003ff15f,0x2600bff6,0xdf100dff,0x7d409f93,0xafec06db,0xff701ff8,
    0x2e03f79f,0x01fbcfff,0x03fd5df7,0x9017fec0,0x4403ffbf,0x36003ffe,
    0xffd802ff,0xfffff302,0x5ffb101d,0x00ffc800,0xc80bfea0,0x1fecdfff,
    0x6c03ff90,0x005ff35f,0xf3001bfb,0xfff7007f,0x5c7dc01d,0xf9afec07,
    0xfd7bb02f,0x2f7601ff,0x2a00fffe,0x36001fff,0x4aa200df,0x7fd102a8,
    0xbfb009fb,0x01bfb001,0x3fb7ffe6,0x0bfea07f,0x001ffc80,0xff880cc4,
    0xc880440e,0x55054402,0x40033100,0x2a200098,0x3ffe8801,0x05505440,
    0x50005540,0x01310015,0x2600cc40,0x8262002a,0x00cc4019,0x7ec01988,
    0x80ffee0e,0x32200198,0x2aaaa002,0x3ff22aaa,0xaaaa8801,0x0aaa2aaa,
    0x2aa05544,0x982aaaaa,0x2009aaaa,0xaaaaaaa8,0x00732e02,0xa800d554,
    0x2aa201aa,0x982aaaaa,0x5009aaaa,0x82aa2055,0x355007fc,0x554c3550,
    0x00aaaaaa,0x3e603555,0x206ff83f,0x2a601aaa,0x0aaaaaaa,0xffffff10,
    0x8037f4ff,0xfffffffb,0x360bfee7,0x7fffc46f,0xffc87fff,0xf704ffff,
    0x0fffffff,0x2017ffe6,0x9805fff9,0x3ee05fff,0x87ffffff,0x4ffffffc,
    0xfd82ffb8,0xf803fe46,0x364ff83f,0xffffffff,0x05fff982,0xffd03ff5,
    0x817ffe60,0xfffffffd,0xddff102f,0x2ffcbddd,0xffecc980,0x237f44cc,
    0x7fc43ff9,0xc85eeeee,0x4fffeeff,0xcffecc98,0xffff704c,0xffffb801,
    0x7fffdc00,0xffd99300,0xdff90999,0xfd09fffd,0x643ff98d,0x07ff007f,
    0x777649ff,0xb82fffee,0xfb80ffff,0x80ffc80f,0x900ffffb,0xfffddddd,
    0x80ffe205,0xb8004ff8,0x87fee07f,0x3ff886fd,0x7c4df900,0x03fdc07f,
    0x017feff4,0x00bff7fa,0x005ffbfd,0x6fc80ff7,0x3ee1ffe2,0x321bf61f,
    0xf037956f,0x809ff07f,0xbfd05ff9,0x1ff905ff,0xfd01ff70,0x4c005ffb,
    0x3fe205ff,0x002ffc03,0x3fa03fdc,0xf107ff35,0x1bf2007f,0x7fb80ff9,
    0x7fcffc40,0x3e7fe204,0x27fe204f,0x7fb804ff,0x3f237e40,0x3e6bfd07,
    0xfdefc83f,0x1ffc2fff,0x3fa027fc,0xf9ff880f,0x81ffb84f,0x9ff887fc,
    0x3fa004ff,0x0ffe200f,0x7000dfd0,0x9ffb80ff,0x7ff106fc,0xfd1bf200,
    0x407fb80d,0x40ff97fa,0x40ff97fa,0x00ff97fa,0x6fc80ff7,0xffb837f4,
    0xff906fc9,0xf8dff9df,0x204ff83f,0xff503ffb,0x3fea1ff2,0xfa86fd83,
    0x2e00ff97,0x7fc403ff,0x325fffff,0x7dc002ff,0xffdfe807,0xfffff102,
    0x9ff90bff,0xb803ffd9,0xaafec07f,0x2bfb01ff,0xbfb01ffa,0xf7007fea,
    0xccffc80f,0x3fa01ffe,0xff902ffd,0xff07fdcb,0x9fffffff,0xd817fe60,
    0x983ff55f,0x27fc44ff,0x1ffaafec,0x402ffcc0,0xfffffff8,0x26fffe25,
    0xff701c98,0x0dfff700,0x7fffffc4,0xffffc85f,0x7fb800df,0xff897fc0,
    0x3e25ff04,0x225ff04f,0x3fdc04ff,0x3fffff20,0x7ffdc00d,0xf51ff206,
    0x7ffffc1f,0xfd04ffff,0x897fc01f,0xbffe84ff,0xf80ffd98,0x809ff12f,
    0xf8800ffe,0x409999bf,0xfffffffb,0x200ff701,0x3e202ffe,0x809999bf,
    0x1ffebefc,0x2607fb80,0x21bfa0ff,0x1bfa0ff9,0x6fe83fe6,0x3203fdc0,
    0x01ffebef,0x3202ffe8,0xf07fd47f,0xff33339f,0x405ff709,0x1bfa0ff9,
    0x3fffffe6,0x20ff983f,0x3fee06fe,0x07ff1002,0x3ffff6a0,0x00ff700d,
    0xff101ff2,0x45bf2007,0x7fb806fe,0x3bbbff20,0x7fe40fff,0x40fffeee,
    0xffeeeffc,0x01fee00f,0x1bfa2df9,0xf901ff20,0x3e0ffa8f,0x4c4ff83f,
    0x7fe405ff,0x80fffeee,0x02efffd9,0xffdddff9,0x0bff301f,0x001ffc40,
    0x3ee00bfe,0x80ff7007,0xf9003ff8,0x2017fdcd,0x3ffa07fb,0x43ffffff,
    0xfffffffe,0x7ffff43f,0x2e03ffff,0x737e407f,0x7fb805ff,0x3ea3fe40,
    0x3e0ffe0f,0x007ff44f,0x3ffffffa,0x1fee03ff,0xffffffd0,0x1ffd07ff,
    0x4dffc400,0xdf101999,0x401fee00,0x7fc407fb,0xc819999b,0x01bfe26f,
    0x3fe20ff7,0x5ffaaaab,0x2aaaffe2,0x3fe25ffa,0x5ffaaaab,0xf901fee0,
    0x2037fc4d,0x3fe407fb,0x3ff83fea,0x3fee4ff8,0x1099999c,0xf55557ff,
    0x6ffcc0bf,0x2ffe24b9,0x45ffaaaa,0x9999cffb,0xffff1009,0x3ea0ffff,
    0x3fffee03,0x3ee07fff,0x7fffc407,0x6fc87fff,0x3ee17fe4,0x27ffffff,
    0x4ffb07fb,0x4ffb07fb,0x8ffb07fb,0xfffffffb,0x7e46fc87,0x01fee02f,
    0x0ffa8ff9,0x93fe0ffe,0xffffffff,0x360ff73f,0x7ffec07f,0x20ff72ff,
    0x7fffc7fd,0x103fffff,0xffffffff,0x7ffdc000,0x2e07ffff,0x7ffc407f,
    0xfc87ffff,0x2e2ffc46,0x7fffffff,0x7fd417f6,0x3ea0bfb2,0x2a0bfb2f,
    0x3ffee2ff,0xfc87ffff,0x702ffc46,0x47fc80ff,0x0ffe0ffa,0xffff93fe,
    0xfb3fffff,0x00bfea0b,0x7ec5bdb5,0x7c5ff505,0xffffffff,0x00000003,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2aaaa600,0x3304c41a,0x3bbbba20,0x02aa2004,0x400cc131,
    0x7302ccb8,0x44005999,0x00d40099,0x4c009826,0x82620260,0x98866019,
    0x3bbba200,0x0ef5c04e,0x26000000,0xeeeee881,0x40330004,0x2e201deb,
    0xffffea81,0x57f445ff,0xfff304fd,0x7dc00bff,0xfdafe886,0x7fffcc04,
    0xfffffd84,0x0bff5005,0xf100ffc8,0x4409f93d,0x884fc9ef,0x204fdafe,
    0x01feaefb,0x17ffffe6,0x887ecfb8,0x540000ff,0xf986fa9a,0x8005ffff,
    0xcfb80ff9,0x8bffa07e,0xeafffff9,0x3ffe885f,0x7fc00000,0x07ffd103,
    0x8357ffd0,0x3b99cffb,0x802ffa80,0x3ee01ffc,0x7dc00eff,0xfd100eff,
    0xfff5007f,0xd9000003,0x7ff303ea,0xccfe8000,0x2200003f,0x6417ee4a,
    0x3fe01f56,0x3ffffa4f,0x2620bfb6,0x2a02aa00,0x07fd401a,0xf3001310,
    0x07fe405f,0x8004cc00,0x1a8802c8,0x2006a200,0x26200098,0x55554400,
    0xbf502aaa,0x00ff60dd,0x1fd9fd00,0x55555550,0xf93fe405,0x1bb7ea05,
    0xff10ffc8,0x97f6dfff,0xaaaaaaa9,0xd05ff10a,0x04fe809f,0x55555555,
    0xb803fea0,0x22000eff,0xa82aaaaa,0x02aaaaaa,0xaa803555,0x512aaaaa,
    0x55555555,0x1aaaaa83,0x7ffffdc0,0x336a07ff,0x000fea80,0x40ce7f40,
    0xfffffff8,0x189ff207,0x20066d40,0x7ffffc40,0x7fecbfb6,0x12ffffff,
    0x09fd05ff,0x7c40ffcc,0x07ffffff,0xffd80ff7,0xff9004ff,0xff88ffff,
    0x987fffff,0x3e205fff,0x17ffffff,0xffffffff,0x7fffc4bf,0x99302fff,
    0x98999ffd,0xbf15442a,0x79530003,0x7fc409ff,0x445eeeee,0xaaaffdaa,
    0x59995102,0xffff8001,0x764bfb6f,0x2fffeeee,0x9fd05ff1,0xf882fe40,
    0x25eeeeef,0x99efd998,0x7fe7fe41,0x7ffc01ef,0x7fc44cdf,0xb85eeeee,
    0xf100ffff,0x2bdddddf,0xeffeeee8,0x3bfe24ee,0x404fffee,0x1bf207fb,
    0x95441ff5,0xfc882cc9,0x204fffff,0xfa803ff8,0x7fffffff,0xfffffff0,
    0x7ffe4003,0x980bfb6f,0x0bfe25ff,0x7fc413fa,0x807ff102,0xfffffffc,
    0x74d3fe0f,0xbf500fff,0x3fe203ff,0xffbfd003,0x00ffe205,0x3e207fb8,
    0x07ffa22f,0x3f207fb8,0xf507fd46,0x89ffff7d,0xffbacffd,0x00ffe204,
    0x33ffb326,0x357d04cc,0x9b30dff7,0x36dfff90,0x07ff405f,0x9fd05ff1,
    0xf881bee0,0x7e65403f,0x3e0cccef,0x81ffe46f,0x101ffafd,0xff1007ff,
    0x3e209ff3,0x1fee003f,0x7cc2ff88,0x81fee04f,0x07fd46fc,0xfd9ffff5,
    0xd0ffe61f,0x1ffc409f,0x001ff200,0xffe87fb8,0xfb5cb883,0x21ffdc0b,
    0x4fe82ff8,0x7c407fd0,0x0ffe003f,0x3e0dffd8,0xff7f885f,0x00ffe203,
    0x83fe5fea,0x2e003ff8,0x0bfe207f,0x7fb817fa,0xff51bf20,0xa877fd41,
    0x81ff71ff,0x3fe204fe,0x205fffff,0x54c007fc,0x7f40ffca,0x0bfb005f,
    0x3e217fe6,0xa84fe82f,0x3fe200ff,0x885fffff,0x3fe202ff,0x84ff8aff,
    0xbddff4fb,0xffffff88,0xfaafec5f,0xffff881f,0xff705fff,0x6c17fc40,
    0x81fee06f,0x07fd46fc,0x7fc43ff5,0x9fd0ff92,0x7ffffc40,0x1ff205ff,
    0x7ffff540,0x2ffc40ff,0xfd05fd80,0x05ff101f,0x09fb09fd,0xffffff88,
    0x01ff985f,0x7ffffec4,0xff1fe80f,0xfff88dff,0x7fc5ffff,0xf109ff12,
    0x0bffffff,0xff881fee,0x2e07fd82,0x51bf207f,0x07fd41ff,0x1ff65ff1,
    0xff8813fa,0x2009999b,0xffa807fc,0x80ffcabd,0xbfb003fe,0x2205ff70,
    0x44fe82ff,0x7c401ff9,0x809999bf,0xf5000ffa,0xdf303fff,0x2204d7fc,
    0x09999bff,0x6fe83fe6,0x999bff88,0x40ff7009,0x6fe82ff8,0xfc81fee0,
    0xf507fe47,0xc97fc41f,0x13fe60ff,0x4003ff88,0x6fd807fc,0xf7107fd4,
    0x13fe001d,0xff80bff3,0x7e43ff84,0x03ff8806,0x8800ff70,0xefd81ffd,
    0xf101ffcc,0xeffc807f,0x440fffee,0x3ee003ff,0x10bfe207,0x3fdc09ff,
    0xf913ff70,0x07fd41ff,0x3fea5ff1,0x409ffd33,0x5c003ff8,0x3ff402ff,
    0x3f61fff3,0xf98501ef,0x007ff42f,0xffc83ff6,0x200bfe20,0xfd003ff8,
    0x3ff5000b,0xffffff88,0x07ff101f,0xffffffe8,0x1ffc43ff,0x440ff700,
    0x17fdc2ff,0x7c40ff70,0x0ffeffff,0xff883fea,0x3fffffa2,0x3fe204fe,
    0x2019999b,0x87eefff9,0xfffefffb,0x4c03550f,0x46ffddef,0x9999cffb,
    0x3bffe609,0x3fdc4fff,0x99bff880,0xfff99199,0xcccee805,0xaefb87ff,
    0xf101ffaa,0x2333337f,0xaaaabff8,0x5ffc45ff,0xf7019999,0x4dffc40f,
    0xfb85ffc9,0x87ffffff,0xff8dfffb,0xf883fea0,0x3fffa22f,0x3e204fca,
    0x07ffffff,0x83ffffd4,0xff8dfffd,0x3ffa6000,0x7ffc1eff,0x43ffffff,
    0x83ffffe9,0xff1003fe,0x3affffff,0xfe803eff,0xe81effff,0x7ffffc3f,
    0x3ffffe20,0x20ff77ff,0x7ffc47fd,0xf707ffff,0x7fffc40f,0xfb80dfff,
    0x07ffffff,0x1ff50026,0x0c417fc4,0x3fffe200,0x31007fff,0x00098801,
    0x20355300,0xffffffff,0x9802603f,0x3ffe2001,0x1537ffff,0x5554c400,
    0xf81ff300,0x3e20ffff,0xb7ffffff,0x8bfea0bf,0xfffffff8,0x440ff707,
    0x02ceffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x09ddddd1,0x01550aa8,0x23500554,0x2a6001a8,0x0551001a,0x004ccccc,
    0xa806a235,0x4cc03511,0xca880999,0x6cc00acc,0x02cca804,0x81544aa2,
    0x100ee1c8,0x55500055,0x000d54c1,0x39101970,0x459701dc,0xffff9801,
    0x5f7d405f,0x3fff205f,0x7fb7ff00,0x013fea00,0x15ff9551,0x4fffff88,
    0x0ff6ffe0,0x03fdbff8,0x09fffff1,0x3fffffff,0x9817fec0,0x00effffe,
    0x205fd9fb,0x03ff57fd,0x8013ffe2,0xffd82ffd,0x07f88002,0x07feaffb,
    0x3f3bfff6,0x2a000002,0x33f205ff,0xffa80ef9,0x5ff5005f,0xfffff300,
    0x9999905f,0x2fffd405,0x017ffea0,0xd0599999,0x0dff7357,0xfe807fdc,
    0x206feaae,0x3ee02ffd,0xd101ff35,0xb009f93f,0x7fdc01df,0xfdca8802,
    0x3e6bf704,0xfd9bb80f,0x555000ef,0x200c4003,0x44026219,0x02660019,
    0x7fe55440,0x3100000a,0x00662003,0x0ff70000,0x1ff70098,0x1300ffcc,
    0x22008100,0x31006609,0x00262003,0x1dfffff5,0x44001020,0x3ffe6000,
    0x59751005,0x2b2ea203,0x5510aa61,0x0d65d440,0x1ff72ea0,0x44059950,
    0x400accca,0x2a202cca,0x2600accc,0x500ffcaa,0x5dfb0599,0x205ff755,
    0x55302cca,0x154c2a88,0x85530aa2,0x2154c2a8,0x6ffcc2a8,0x880efffc,
    0x54402bca,0x3ee002bc,0x7dc00fff,0xfb85ffff,0x3f25ffff,0x5c07fd46,
    0x505fffff,0x0fffffff,0x3bffffa6,0xffffff80,0xfffe981f,0xffff80ef,
    0x7f541fff,0x4c0fffff,0x20effffe,0xfffffffe,0x7fff4c3f,0x237e40ef,
    0x1bf20ffa,0x37e41ff5,0x6fc83fea,0xdfd07fd4,0x50bff7ee,0x03dfffff,
    0x3dfffff5,0x5ffbfd00,0x667ffdc0,0x67ffdc5e,0x51bf25ec,0xfffb81ff,
    0xff985ecc,0xd07fdabe,0x0dfd55df,0xdff7357d,0xfd55dfd0,0xf7357d0d,
    0x5effd4df,0x7f40ffca,0x3a6feaae,0xaaaaaadf,0x75577f40,0x2a37e46f,
    0x51bf20ff,0x237e41ff,0x1bf20ffa,0x97fc1ff5,0x264fe9fd,0x6ffeceff,
    0x7f677fcc,0x4ffc406f,0xdff104ff,0x3bfe2081,0xa8df9040,0x3bfe20ff,
    0x07fec040,0x1ff70ff7,0x5c00ffcc,0x307fdc7f,0xff7003ff,0x3fea37ec,
    0xf983fee0,0x200dfb1f,0x3fe60ffb,0xff51bf21,0x3ea37e41,0xf51bf20f,
    0x2a37e41f,0x13ff30ff,0xfe97f6df,0xe8ffee0e,0x0ffee0ef,0x0ff97fa8,
    0xf5007fea,0x46fc803f,0x3fea0ffa,0xb89ff001,0xaaefd87f,0x5302ffba,
    0x7ec1ff95,0x2ffbaaae,0x1ff95530,0xfff99ffa,0x2aabbf60,0x7ff72ffb,
    0xaaefd810,0x3f22ffba,0xf907fd46,0x320ffa8d,0x907fd46f,0x10ffa8df,
    0x367f73ff,0xf10ffe5f,0x221ffc9f,0x57f604ff,0xffc81ffa,0x007fe400,
    0x1ff51bf2,0x44007fe4,0x43fdc3ff,0xfffffffe,0x7fff543f,0x3ffa0fff,
    0x43ffffff,0xffffffea,0xffdfff70,0x7fff41ff,0x3a3fffff,0x47feefff,
    0xfffffffe,0xf51bf23f,0x2a37e41f,0x51bf20ff,0x237e41ff,0x2ffe0ffa,
    0x269ff1fe,0x35fe82ff,0x0bfd05ff,0x4ff897fc,0x5c00ffb8,0x37e400ff,
    0xffb83fea,0x43ff8800,0xadfe87fb,0x2a0aaaaa,0xffcabdff,0x2aab7fa0,
    0x3fea0aaa,0x20ffcabd,0xff8dfffd,0x2aab7fa0,0x7fe40aaa,0x6ff45fff,
    0x20aaaaaa,0x07fd46fc,0x0ffa8df9,0x1ff51bf2,0x3fea37e4,0x65bfff60,
    0x07ff10ff,0x0ffe2bfd,0x7fcc17fa,0x3ea1bfa0,0x1ffd403f,0xff91ff20,
    0x801ffd41,0x43fec5ff,0xdfb006fd,0x3f60ffa8,0xa8dfb006,0xb84c40ff,
    0x0037ec4f,0x7ec0ffcc,0xc8ff9006,0x91ff20ff,0x23fe41ff,0x1ff20ffc,
    0x7f441ff9,0x7c4fffff,0xf1ffc45f,0x03ff88bf,0xffdddff9,0xbfff881f,
    0x7ffc4530,0x7fdc530b,0x20fffc89,0x530bfff8,0x3f23ffd0,0x83ffb87f,
    0xff33ff40,0x41ffdc1f,0xff33ff40,0x43fc401f,0x20083ffb,0x7ff704fc,
    0x89ffb810,0x3ee0fffc,0x0fffc89f,0x3f227fee,0x27fee0ff,0x440fffc8,
    0xd82effff,0xffd88bff,0x222fff60,0xffd00ffd,0x07ffffff,0xdffffff5,
    0xffffffa8,0x3ffffe26,0x7fd40ffe,0xfa86ffff,0x07feffff,0xffddfffd,
    0xffefffb8,0x7fff40ff,0x7fdc7fee,0x00ffffef,0xfd06ffe6,0x40ffddff,
    0xffd03efd,0xf88ffddf,0x0ffeffff,0x3bffffe2,0x3ffe20ff,0x220ffeff,
    0xffefffff,0x004f7cc0,0xfffffff3,0xfffff987,0x7ff103ff,0x0bff5555,
    0x13ffffa6,0x13ffffa6,0xff1bfff7,0xffffd301,0x33ffee09,0x3ff207f8,
    0xffd85fff,0xc80ff8df,0xd85fffff,0x0ff8dfff,0x641ffec0,0x205fffff,
    0x3f207ff9,0xfb85ffff,0x40ff8dff,0xff8dfffb,0x46fffdc0,0x7ffdc0ff,
    0x7dc0ff8d,0xfffd3003,0x3ffa605d,0x1fee02ef,0x04403fec,0x04c00880,
    0x98004400,0x01988000,0x220004c4,0x004c4019,0x4c400880,0x20022001,
    0x00980198,0x09800260,0x22002600,0x00130001,0x2fec004c,0x0002ffa8,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x8002a880,0x2aa60aaa,0x22154c01,
    0x2155502a,0x33333018,0x1a88d401,0x02666660,0x55115530,0x1dc39105,
    0x2000aa20,0x2aa60aaa,0x18b2e001,0x17999510,0xa980bb88,0x0770e440,
    0x8803165c,0xaaa8002a,0x0006aa60,0x4009fff1,0xffd82ffd,0xf51bf202,
    0xfdff701f,0xffff109f,0x6dffc09f,0xffff103f,0x9ffc409f,0x7fd80efe,
    0x3e203ff5,0x3f6004ff,0x02ffd82f,0xfcefffd8,0x7ffffd42,0x3fffe21f,
    0x3f61be22,0xfb03ff57,0x205f9dff,0x2004fff8,0xffd82ffd,0x93fd1002,
    0x1dfb009f,0xc817fdc0,0x207fd46f,0x2dfffffd,0x05999990,0x202fffd4,
    0x202ccccc,0x409fb3fe,0x01ff35fb,0x09f93fd1,0x5c01dfb0,0x4ddc02ff,
    0x3e20effd,0x20ba9adf,0x364f8afb,0xf35fb81f,0xfb37701f,0x3fd101df,
    0xdfb009f9,0x017fdc01,0x803304c4,0x13100198,0xff51bf20,0xffdcde81,
    0x4c400001,0x4c400001,0x10200660,0x03304c40,0x31001988,0xa8088001,
    0x8fe402ff,0x0409f76f,0x20088002,0x10066098,0x02620033,0x015e5440,
    0x100af2a2,0xdf905795,0xa880ffa8,0x2a206ffc,0x654402bc,0x8855302b,
    0x22154c2a,0x2cca802a,0x802cca80,0xca802cca,0x8855302c,0x33ffe62a,
    0xbf37f501,0x65440df1,0x95100acc,0x2a201599,0x5100accc,0x22015999,
    0x200accca,0x1efffffa,0xefffffa8,0xfffffa81,0xf51bf21e,0xffffa81f,
    0xfffa83ff,0xffa81eff,0x7e41efff,0xf907fd46,0x300ffa8d,0x01dffffd,
    0x1dffffd3,0xdffffd30,0xffffd301,0x546fc81d,0x3ffee0ff,0xffff83ff,
    0x3fe01fd9,0xf81fffff,0x81ffffff,0x1fffffff,0xfffffff8,0xffffff81,
    0xceff981f,0x7fcc6ffe,0x4c6ffece,0x6ffeceff,0x1ff51bf2,0x755f7fcc,
    0x677fcc7f,0x7fcc6ffe,0x646ffece,0x907fd46f,0x00ffa8df,0xdfd55dfd,
    0xfd55dfd0,0xd55dfd0d,0x55dfd0df,0x46fc8dfd,0x75c40ffa,0x9ba84fff,
    0x55f404fa,0xbe86ffb9,0xe86ffb9a,0x86ffb9ab,0x6ffb9abe,0xffb9abe8,
    0x2e0efe86,0x83bfa3ff,0x3bfa3ffb,0x7e4ffee0,0xfb07fe47,0xd0ffdc1f,
    0x1ffdc1df,0x7fdc1dfd,0xff51bf23,0x3ea37e41,0x20ffb80f,0x3fee1ff9,
    0xfb87fe60,0xb87fe60f,0x87fe60ff,0x07fd46fc,0x440fff30,0xfb8000ef,
    0x00ff7007,0x7dc01fee,0xf0ff7007,0x24ff887f,0x27fc43ff,0x4ff887ff,
    0xff913ff7,0x2627fc1f,0x10ffe3ff,0x21ffc9ff,0x1bf24ff8,0x37e41ff5,
    0x3f603fea,0x2ffbaaae,0x2eaabbf6,0x2bbf62ff,0x362ffbaa,0xffbaaaef,
    0xff51bf22,0x1bfa0221,0x26002fd8,0x300ffcaa,0x201ff955,0x00ffcaa9,
    0x01ff9553,0x83ff2aa6,0x5fe82ff9,0xbfd05ff3,0x3fa0bfe6,0xdfffff15,
    0x0ffe21ff,0x3fe67ff1,0xff35fe82,0x7e4bfd05,0xf907fd46,0xe80ffa8d,
    0xffffffff,0x3fffffa3,0x3ffa3fff,0x23ffffff,0xfffffffe,0xf51bf23f,
    0x37bbea1f,0x9f503fff,0xd503bfd3,0x81ffffff,0xffffffea,0x7ffff540,
    0x7ff540ff,0x7540ffff,0x20ffffff,0x5fe83ff8,0xbfd07ff1,0x3fa0ffe2,
    0x237ffee5,0x87ff10ff,0x7ff13ff8,0x3fe2bfd0,0x3f25fe83,0xf907fd46,
    0xe80ffa8d,0xaaaaaadf,0x2aab7fa0,0x37fa0aaa,0x20aaaaaa,0xaaaaadfe,
    0xf51bf20a,0x3fffea1f,0x1ff103ef,0xfa8bf9ff,0x0ffcabdf,0x32af7fea,
    0x37fea0ff,0x2a0ffcab,0xffcabdff,0x2af7fea0,0x2ffc0ffc,0x5ff8ffe2,
    0xbff1ffc4,0x0983ff88,0x45ff89f7,0x17fe2ffa,0x2ffc7ff1,0x7fc8ffe2,
    0xff907fe4,0xfd80ffc8,0x00dfb006,0x7ec01bf6,0xc8ff9006,0x04cc40ff,
    0x53e6bf20,0x51bf60fd,0x237ec1ff,0x1bf60ffa,0x37ec1ff5,0x6fd83fea,
    0x3f607fd4,0x0ffd88bf,0x3622fff6,0x2fff60ff,0x200ffd88,0x2ffe87f8,
    0x7ec1ffd1,0x0ffd88bf,0x3622fff6,0x27fee0ff,0x2e0fffc8,0xfffc89ff,
    0x083ffb80,0x2041ffdc,0x5c083ffb,0x7dc083ff,0x0fffc89f,0x3ea05ea8,
    0x83f67f35,0x3ffe67fe,0xff99ffa0,0xf99ffa0f,0x99ffa0ff,0x9ffa0fff,
    0x7cc0fff9,0x43ffffff,0xfffffff9,0x7ffffcc3,0x7fcc03ff,0x3fffe61c,
    0x7fcc3fff,0x4c3fffff,0x3fffffff,0x77ffffc4,0x3ffe20ff,0xd00ffeff,
    0x0ffddfff,0xffddfffd,0xfddfffd0,0xddfffd0f,0xffff88ff,0xfc80ffef,
    0x7c1fd104,0x7fdc6fbe,0x20ffffef,0xfffefffb,0x3bffee0f,0x3ee0ffff,
    0x0ffffeff,0x3ffbffee,0xffe980ff,0xffd302ef,0x3fa605df,0xfb002eff,
    0xfffe987f,0xfffd302e,0x3ffa605d,0xfff702ef,0xfb81ff1b,0x00ff8dff,
    0x17fffff2,0x2fffffe4,0x5fffffc8,0xbfffff90,0xf1bfff70,0x203fb01f,
    0x77f542fc,0x8dfffd81,0x7ffec0ff,0x7ec0ff8d,0x40ff8dff,0xff8dfffd,
    0x46fffec0,0x004c00ff,0x04c00130,0x31004400,0x0004c001,0x00260013,
    0x31000098,0x00662003,0x98800cc4,0x10009801,0x20040003,0x13100098,
    0x40026200,0x13100098,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0bccb880,0x37951a98,
    0x4de5d440,0x2205530b,0xaaa800aa,0x51155300,0x009aa855,0x800054c4,
    0x0aa60aaa,0x4c000553,0x09880009,0xaaaccb88,0x2f2a3532,0x98aa2001,
    0x4aa2002a,0x1dc802a8,0xa9815440,0x55037951,0x3ea0b2e2,0x641fffff,
    0x3ffffdcf,0xfffffea8,0x905ff50f,0x5ffb00ff,0x7f4ffe20,0x3fffe20e,
    0xffffa80b,0x3ff6000d,0x3ee37e42,0x1ff10007,0x42aaaaa0,0x7ffdc2ff,
    0x9f96ffff,0x005ffffb,0x3fe43fea,0x3fb3f600,0x02ffd402,0xf909fff1,
    0x45ffffb9,0xffffbff8,0x2ab7fe25,0x7ffe45ff,0x260ffece,0xffdabeff,
    0xff117fe0,0x00efd809,0x427ecffa,0x45ffffe8,0x4ffcdff9,0x901dfb00,
    0x807fb8df,0x41bea1aa,0x9afffff8,0x4dffcc7f,0xff92cffb,0x00dff9df,
    0x3fe43fea,0x017fec00,0xe881ffc4,0x7e44fc9f,0x26ffceff,0xfdcffff8,
    0x643ff52f,0x32ffe46f,0x07fec7ff,0x7fe41ff5,0x8807fea0,0x304c4019,
    0x7ffb3003,0x0df737e4,0x7e403310,0x7c03fdc6,0xa80ff24f,0x4fbaffba,
    0x97f637dc,0x3fee5ffc,0x90ffa800,0x026000ff,0x26201880,0xbff90660,
    0xff887fdc,0x7dcffe1f,0xf917fa27,0x7fc9ff0f,0xf307fd44,0x1037ec7f,
    0x20179995,0x2002bca8,0x97f25ff8,0x797306fb,0xfc839711,0x7c03fdc6,
    0x4c00624f,0x5c098aff,0xf927e46f,0x500ffa8f,0x321ff997,0x4037736f,
    0x00bccca8,0x206b2ea2,0x20bccca8,0x87fd47fc,0x965c3ff8,0x1dfd17fc,
    0x5fe87fc8,0xffa87ff1,0xff8b7f40,0xfffff502,0xffff503f,0x3fe003df,
    0x3e63fea6,0xffff883f,0x322fffef,0x403fdc6f,0xf30004ff,0x67fcc05f,
    0x3f22ffa9,0x2a07fd47,0x0ffffffe,0xffff9df9,0xfffff507,0x3ffee03f,
    0x7ffd45ff,0x1ff21fff,0x3fe21ff5,0xfcbfe402,0xf87fc80f,0xa87ff14f,
    0x47fd40ff,0xbff107fb,0xf9817535,0x06ffecef,0x7f44ffb8,0x39104fff,
    0xdf79ffb3,0x1fee37e4,0x40013fe0,0x7f402ff9,0x7e44ffff,0xf107fd47,
    0x1ffb57df,0x3b3bfff2,0x37fe20ff,0xfb80ba9a,0x225eccff,0x0ba9adff,
    0x1ff51ff2,0xf900bfe2,0x7e41bf6f,0xff1ffc47,0xf80ffc89,0xf504febf,
    0x1dfd005f,0x7cc1ffdc,0x7e40efff,0x3e6001ff,0x3fe43fa7,0x3fe01ffa,
    0x5ff30004,0x55d6fdc0,0x7d47fc81,0xa83ff60f,0x4bff90ff,0x3fea3ff9,
    0x0eff8802,0x805ff504,0x87fd47fc,0x7e402ff8,0xf909ff97,0xd07fec4f,
    0xfff911ff,0x3ffff901,0x073ffe60,0x7fc43ff8,0x83eff884,0xf93ffffb,
    0x27bea609,0x3ff91fe9,0x801fffb1,0xf30004ff,0x06fec05f,0xff51ff20,
    0x3ea27fc1,0xff0ff90f,0x0e7ffcc9,0x9803ff50,0xf901cfff,0xf10ffa8f,
    0x17fc805f,0xffc8bffd,0x543fffee,0xffffffff,0x06fff980,0x1fffffdc,
    0x3fa0bfe6,0x980ff885,0xdaffcbff,0x7fffe43f,0xf91fffff,0xfffdffff,
    0x0027fc01,0x2a02ff98,0x2defffff,0x1ff51ff2,0xff50ffe2,0x3fa1ff21,
    0x7ffffdc5,0x800ffc83,0x43fffffb,0x87fd47fc,0x7e402ff8,0xc93ffa27,
    0x01efffff,0xff5bfff7,0x00bffa01,0x93fffae2,0x5fe83ff8,0xfb80ee88,
    0x8bffff67,0xaefbaefa,0xfff90aaa,0x803ffabf,0xf30004ff,0x77fc405f,
    0xf92ffffe,0xf10ffa8f,0x90ffa87f,0x109ff0ff,0xb89fffd7,0xd71000ff,
    0x3fe49fff,0x7fc43fea,0x743fe402,0x063ff26f,0x1ff50980,0x2001bfa0,
    0x2ffc7ff9,0x2000ffe2,0x3ffa26fc,0x6f997ec7,0x30237f20,0x004ff801,
    0x7405ff30,0x02ff444f,0x89ff1ff2,0x8ff90ffc,0x7cc03ff8,0x01ffd47f,
    0x003ffcc0,0x43fe4000,0x01ff26fd,0x901ff500,0x808805ff,0x5ffec6fe,
    0x980ffd88,0x2ffb81ff,0x7fb1bfee,0x7e407ff2,0x13fe0006,0x817fcc00,
    0x4fe83ff8,0xfd1bfa20,0x1fff911f,0xffd89ff2,0x1bfa0220,0x2617fff1,
    0x1bfa0222,0x75402f54,0x3b6ff905,0x1ff23ffe,0x21ff5000,0x804fffea,
    0xfffdeefa,0x7ffffcc3,0x9ff903ff,0xfddfff10,0x7fd49fff,0x6dcffefd,
    0xf8001bf2,0x019999cf,0x3e02ff98,0xffecbcff,0x83fff901,0xfefffffa,
    0xfddff90f,0xeefa87ff,0xfa83fffd,0x2a6fffff,0x3fffdeef,0xf9009f90,
    0x7f5ff209,0x03fe43ff,0x5c3fea00,0xf5003fff,0x207dffff,0x02efffe9,
    0x6c40bfea,0xffcbffff,0x369ffb12,0x1bf25fff,0xfffff800,0xffb81fff,
    0x42ffffff,0xdfffffd9,0x40bbf201,0xff8dfffb,0xdffffd50,0xfffff503,
    0x7ff4c07d,0x3ffea4ff,0x3f603eff,0x001fd801,0x00000026,0x40006620,
    0x26000998,0x20011000,0x88110009,0xf8000009,0x1fffffff,0xffffffb8,
    0x333102ff,0x4c002200,0x20031000,0x44000998,0x00266200,0x00c40062,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x95440e4c,0xaaaa82a8,0x5555500a,0x99998801,
    0x2a255100,0x02aaa002,0x2002a8aa,0x2aaa0aaa,0x553001aa,0x0bcc8805,
    0x32e20a98,0x2e20a980,0x880a980c,0x2e602bba,0x55501bcc,0x44035555,
    0xca881aa9,0x32e600ac,0xbcb982cc,0x2e20aaaa,0xb01fff01,0xf885fd9f,
    0xf882ffff,0x7402ffff,0x3606ffff,0xb002fecf,0x2ff605ff,0xff9005fc,
    0x5ffffd87,0x80ffee00,0x7c46feea,0x107ffea6,0x0fffd4df,0x3fa61be2,
    0x7cc0efff,0x445fffff,0x4fffffff,0x4ffffd98,0x7fffffdc,0xfffffc82,
    0x7ffffe45,0x3ffa1fff,0xb00fff82,0x2eaa05ff,0xf75502ff,0xcccb805f,
    0x17fec03c,0x200efd80,0x800effe9,0xaaa81efc,0x7cc005fe,0x1bea203f,
    0x7ee443fb,0xb910fec1,0x441fd83f,0x6ffdbeff,0x7f65e74c,0x3fffe23f,
    0x7fcc4fff,0x3ea3eeef,0x47febadf,0x3aaacffb,0x3ff37fee,0x3ffe0ccd,
    0x4c01c984,0x02ff9800,0x00017fcc,0x31000980,0x00662003,0xfe800998,
    0x01988005,0x4fb93ff6,0x27dc3fb0,0x13ee1fd8,0xffb83bf2,0x12ffc402,
    0xdff001ff,0x2a37e403,0x013fe0ff,0x817fc9ff,0x09880ffc,0x1bca8d4c,
    0x166bfe60,0x55017fcc,0x2a201555,0x82aaaaaa,0x2059712a,0x200aaaaa,
    0x800aaaaa,0x2aa005fe,0xb3100aaa,0x6c0df13f,0x6c0df11f,0xf10df11f,
    0x04ff987f,0x3fe23fe8,0x007fdc00,0x7fb83ff2,0xfa80bfe6,0x080bfe1f,
    0x9f913ee0,0x205ffffb,0x307feff9,0x3fe205ff,0xff502fff,0x88ffffff,
    0x5ffffbff,0x17ffffc4,0x2fffff88,0x1005fe80,0x705fffff,0x07f6dfdd,
    0x03fb1fd8,0x81fd8fec,0x3fea1ff9,0x0ffdc05f,0x20337ff1,0x81a98efd,
    0xffaaeff9,0xb807fe63,0x0017fc7f,0x3f22fec4,0x06ffceff,0x207ffff5,
    0x99102ff9,0x3a605ffb,0x45ffeeee,0xfdcffff8,0x3f73222f,0xfb99102f,
    0x8bfd005f,0xfdcc8829,0x89bc982f,0x454c04fa,0x454c04fa,0x1ff504fa,
    0x0dfdffb1,0x883fffdb,0x44ffffff,0xeffffffe,0x7ffffd42,0x900ffcc3,
    0x6eeff8df,0x5fffd880,0xff72ffe4,0x67ffecc1,0x00bfe600,0x4400bfe6,
    0x7fc40ffe,0x4c0ffe1f,0xff9802ff,0x2a5fe802,0x3fe606ff,0x00ef8802,
    0x2001df10,0xff500ef8,0xff75ffd5,0x3dfffff0,0x7fff7744,0x3bfffe4f,
    0x3a20fffe,0x260dffff,0x1bf601ff,0x350fffff,0x21e77fec,0x07fd47fc,
    0x805ffffd,0xf9802ff9,0x3ffb002f,0xcb87ff10,0x005ff302,0xfd005ff3,
    0x807ffecb,0xfd802ff9,0x00bf6002,0x3ea02fd8,0xdf90dfff,0x07ff5440,
    0x7fcfff10,0xe89ffcc5,0x26ffdaef,0x3f201ff9,0xfd817fc6,0x204ff8af,
    0x07fd47fc,0x805ff37d,0xf9802ff9,0x3ffb802f,0x8005ff10,0xf9802ff9,
    0x25fe802f,0x3e607ffb,0xba7d402f,0x59f500ee,0x3ea03dfd,0x7cc1dd74,
    0x02fec3ff,0x2e017fcc,0xd0bfd1ff,0xc83bf2bf,0x03ff32ff,0x0bfe3fdc,
    0x7fce7ffc,0xf51ff203,0x05ff301f,0x9802ff98,0x7fcc02ff,0x00bfe205,
    0x3005ff30,0xbfd005ff,0x3e600ca8,0x23fe202f,0xf881fef9,0x86fbc98f,
    0xfef98ff8,0x3e22ffc1,0x2ff9803f,0xfd87fe40,0x9fd4ff87,0xff33ff88,
    0xf0ffd403,0x27ff205f,0x3f205ff8,0x4c07fd47,0x7fcc02ff,0x02ff9802,
    0x8803bfe2,0x7cc002ff,0x2ff9802f,0x8005fe80,0x3f202ff9,0x903f7dd2,
    0xc85f985f,0x83f7dd2f,0x1ff62ffc,0x21ffd301,0x537fdc40,0x97fdc7ff,
    0x3fea0ffe,0xf803ff31,0x405ff0ef,0x2fbff608,0xf51ff20a,0x05ff301f,
    0x9802ff98,0x3ffa02ff,0x7c41999a,0x7fcc002f,0x02ff9802,0x98005fe8,
    0x2bf502ff,0x543fdcfb,0x20f7cc5f,0xfb9f75fa,0xfefff887,0x7ffe42ff,
    0x3ea2ffff,0x40ffffff,0x5ffffffe,0x3fbbffea,0x007fe65f,0xfffffff7,
    0xfe8803ff,0x1ff24fff,0x3fee1ff5,0x72ffffff,0xffffffff,0x7ffffdc5,
    0x3fea2fff,0x447fffff,0xffb802ff,0x22ffffff,0xfffffffb,0xfffff12f,
    0x7dc0bfff,0x2fffffff,0x3ff21fd1,0x1fd10fff,0x8855ffd4,0xffff90fe,
    0xfffd881f,0xffffc81e,0x7ffd41df,0xff900cff,0xffd507ff,0x7fcc19ff,
    0xfffea801,0x5001ffff,0x3fe49fdb,0x7fdc3fea,0x72ffffff,0xffffffff,
    0x7ffffdc5,0x3fee2fff,0x447fffff,0xffb802ff,0x22ffffff,0xfffffffb,
    0xfffff12f,0x7dc0bfff,0x2fffffff,0x87ee05f9,0x7ffe42fc,0x2e05f90f,
    0x4400c01f,0x01988019,0x4c4004c0,0x003ff300,0x00000018,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x5d440000,0x09b301ac,0x0af2e620,0x09bcba88,
    0x2aaaaaaa,0x02bca880,0x440aaa80,0x540accba,0x881aa80a,0x51001bca,
    0x99951005,0x22551017,0x42f2a02a,0x4002a881,0x510062cb,0x1dc59005,
    0x0d540d54,0x44055540,0x20ee604a,0x05fffffb,0xfb805ffb,0xc81fffff,
    0x14ffffff,0x3fffffff,0xefffffa8,0x85ffb000,0x3ffffffb,0x3fa0bfe2,
    0x7ffffcc4,0x27ffc405,0xffffff50,0x3fb3f603,0x9ffff702,0x57fed49f,
    0x7ffec01a,0xff102fce,0x47fdc09f,0x1ffc3ff9,0x3f6027fc,0x40ff902f,
    0x3fee0ffb,0xf705eccf,0x7ffe401f,0x7f41fecd,0x14feddff,0x3ffb9999,
    0x7f6fffcc,0x0efd807f,0x66677fd4,0x20bfe23e,0x47bea4fe,0xfd106fb8,
    0xff109f93,0x4017535b,0x32a02ffd,0x3e0fffc9,0x405fffff,0x0effd9bb,
    0x4fc9fe88,0x3fa2df30,0x7fc1ffc1,0x803bf604,0x9fee07fc,0x0040eff8,
    0x77fc4013,0x9ff70440,0x7fcc0310,0xfb83bfa1,0x4066203f,0x7c400ffd,
    0x3a4fe82f,0x0bee260e,0xa8198262,0x098002ff,0x6e40c400,0x4003ccff,
    0x98262008,0x3e020201,0x104ff83f,0x36aa2033,0x2e2aaaff,0x007fea7f,
    0x55555551,0x401ffc85,0x30006ff8,0x0ffe63ff,0x55511bfe,0x7f455555,
    0x17fc400f,0x73faa7f4,0xaa9babff,0x7cc2aa01,0x95401cff,0x55502cb8,
    0x9fee0155,0x2a353008,0x555501bc,0x55554015,0xf07ff00a,0xca8d4c9f,
    0x7fffd41b,0x3ea7ffff,0x5003ff27,0xffffffff,0xf9806fe8,0xff30002f,
    0x3a07fea3,0x7fffd47f,0x3ff27fff,0x5ff100be,0x23f29fd0,0x1f93bff9,
    0x2fe813f6,0x0fffffee,0x3ffeffe2,0x7fffc45f,0xd3ff702f,0xcfc81bff,
    0x442ffffd,0x102fffff,0x205fffff,0x24ff83ff,0xffffdcfc,0x3ffb3262,
    0x8f264ccc,0x74c00ffb,0x45ffeeee,0xffa805ff,0x07dddd11,0xffb8ffcc,
    0x260ffc80,0x5ffeeeee,0x33ffffa2,0x7417fc40,0x0ff2fb4f,0x817f23f7,
    0x7f5c40ff,0x7ffc44ff,0x222ffdcf,0x702ffdcc,0x9fffffff,0xfcefffc8,
    0x7ee6446f,0xfb99102f,0x20ffe05f,0x3fff24ff,0xf906ffce,0x3ff9800f,
    0x07ff4400,0xf7009ff1,0x3fffe23f,0x647fe604,0x0ffb80ff,0x103ffa20,
    0x45fffff9,0x4fe82ff8,0xf50bf6fb,0x9e45bee5,0x7fcc07f8,0xf0fffc47,
    0x0bfe607f,0xfd8fffdc,0xf72ffe46,0x0bfe601f,0x7c0bfe60,0x324ff83f,
    0x83fee5ff,0xaaaffdaa,0xffd26cc0,0xfd80a617,0x805ff81f,0xf5511ffa,
    0x8ffcc09f,0x7fc81ffb,0x100ffec0,0x221fffd7,0xb4fe82ff,0x3f717f2f,
    0x47fddfea,0x3a0226f9,0x21ffc46f,0x5ff302cb,0xfb87fee0,0x3ea3fe47,
    0x05ff300f,0x3e05ff30,0x324ff83f,0xf07fd47f,0x5fffffff,0xff54fff8,
    0x2e0dffff,0x0dfd03ff,0xfd07ff30,0xa8ffcc09,0x06fd83ff,0xd800ffee,
    0x05ff12ff,0x267ee9fd,0x21fb5fff,0xbffe8ff9,0x3bbea5fa,0x7c43fffd,
    0x7fcc002f,0xfb8ff702,0x3ea3fe47,0x05ff300f,0x3e05ff30,0x324ff83f,
    0x907fd47f,0x3999ffd9,0xb12fffc4,0xf309ffff,0x17fec0bf,0x3a1bfe20,
    0x47fea04f,0x7fc44ff8,0x00bff304,0x3fe2ffa8,0x9f33ff84,0x97e33b66,
    0xefffaff8,0x3ffea4fb,0xff883eff,0x17fcc002,0x3fdc7fb8,0x1ff51ff2,
    0x200bfe60,0x7ff02ff9,0x3fe49ff0,0x3f203fea,0x20ffe407,0xff101ff8,
    0x7ffc401d,0x2e1c989b,0xfe889eff,0x3fa21734,0x4c5ffec7,0xff880ffd,
    0x4c15900e,0x3ff60ffe,0xfd83ff20,0x7fc1fd82,0x3fdffbfd,0x2206fb88,
    0x7cc002ff,0xb8ff702f,0x2a3fe47f,0x5ff300ff,0x205ff300,0x3fe633ff,
    0xff51ff23,0x805ff701,0x205fa808,0x1999affe,0xffffffb8,0x7fffec1f,
    0xfff34fff,0xff987fff,0xd03fffff,0x433335ff,0xffffffff,0x7f7ffcc3,
    0x6ff4c4ff,0xfd83febb,0x2fffc8ff,0x7c407f70,0x7fcc002f,0xfb8ff702,
    0x3ea3fe47,0x05ff300f,0x3e05ff30,0xfffff8bf,0xff51ff20,0xddfff301,
    0x817dc00f,0xfffffffa,0xffffb307,0xfffd701b,0x3ff623bf,0xffb102ff,
    0x3fea05df,0x3a7fffff,0x02efffff,0x07ffffd3,0x0bbfff62,0xff9b7fe4,
    0x401fb01f,0xfb802ff8,0x2fffffff,0x8ff71fee,0x07fd47fc,0xfffffff7,
    0x7fffdc5f,0x3fe2ffff,0x41efff8b,0x07fd47fc,0x07ffffa8,0x3ffee000,
    0x8807ffff,0x30066000,0x2004c001,0xfffffffb,0x40019987,0x00220009,
    0x7ffc7ff7,0x3fe20000,0xffffb802,0x3ee2ffff,0x3f23fdc7,0xf707fd47,
    0x5fffffff,0x7fffffdc,0x804402ff,0x07fd47fc,0x00002620,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0xd982ccca,0x0254400d,0x2a600553,0xbca88002,0x00055502,
    0x45555551,0xaaaaaaa8,0x010041aa,0x80355555,0x20aa81aa,0x555002a9,
    0x55440355,0x1aaaaaaa,0x53001551,0xa8553015,0x22aaaaaa,0x2aaaaaaa,
    0x55555551,0xbca88355,0x7ff44001,0x3ffc85ff,0xf703fe40,0x01ff200f,
    0xdfffff50,0x8005fd81,0x27fffffc,0xfffffff8,0x01fb15ff,0xfffe87f7,
    0xbfb02fff,0x3f22ff88,0xffffd007,0xfff305ff,0x2bffffff,0xf8800ffa,
    0x127fc45f,0xbfffffff,0x3fffffe2,0xfffff17f,0x322bffff,0x005fffff,
    0x0eaafff6,0xf9007fee,0x803fdc0f,0x3e2007fc,0x40eebcff,0xff8005fd,
    0x3a24cdff,0xeeeffeee,0x226bff14,0x7ff44ff8,0x544fffee,0xfbaaaefe,
    0x99ff90cf,0x3bffa035,0x7cc4fffe,0xaaec2aa9,0xff7000ff,0xf107fdc3,
    0x29dddddf,0xeeeeeff8,0xffdddd15,0x3fee9ddd,0x003fffcd,0x066009ff,
    0x57fed544,0x01fee2aa,0xf5003fe4,0x5fd8083f,0xdfa80571,0x7fb801ff,
    0x3ffffea0,0x24fe86ff,0x3f61ffe8,0xffffffff,0xfffff92f,0x24fe83df,
    0x3e61ffe8,0xbb2fffc9,0xe8003fea,0x887ff15f,0x3fe203ff,0x81fee003,
    0x017fe21c,0xaa80bfe2,0xffa80aaa,0x27ffffff,0x0d54c7fb,0x06f2adf9,
    0xfd803fdc,0x6c02ffbe,0xb801ffaf,0x77fec07f,0x4fe82fff,0xff727fcc,
    0xbff9999d,0x3b33ff23,0x13fa0fff,0x8fcc9ff3,0x55d8fe98,0x7d4001ff,
    0xf886fcaf,0x0ffe203f,0x4007fb80,0xff8806fe,0xfffff102,0xffd99305,
    0x3fdc9999,0x7e41dff1,0x82ffffde,0xffb006fc,0x7c4019ff,0xf7003ff7,
    0xd13fe80f,0xd09fd09f,0x445fd8bf,0x91ff22ff,0x427f47ff,0x707e65fe,
    0x3feabb5f,0xfd805440,0xff882ffe,0x00ffe203,0x7c007fb8,0xffff105f,
    0x227fffff,0x402ffdcc,0x9fee07fc,0x7fe40ffe,0x226ffcef,0x4cccffec,
    0x00cfffb8,0xddff4fb8,0x9ffd990b,0x647f8839,0x7ffffc5f,0xdfb1bf67,
    0x45ff9999,0xa7fc47fc,0x367fffff,0x54c7e66f,0xff55d8fe,0x407ffc41,
    0xf105fff9,0x259999bf,0xfffffff8,0x400ff705,0xff102ffa,0x7fffffff,
    0xc805ff30,0x6dfee07f,0x5ffc81ff,0x7fcc3fee,0x647fffff,0x3a005fff,
    0x0dffff1f,0x7fffffff,0x2fdc7f98,0xd9fffffe,0x7fffec7f,0x3f22ffff,
    0xff9ffc47,0x9ff67fff,0x25dff1f9,0x541ff55d,0xff903fff,0x3fffe203,
    0xfff13fff,0x2e0bffff,0xbff3007f,0x00bfe200,0xf900bfe6,0x7e7fdc0f,
    0xa8ff902f,0xdfb510ff,0xedc85555,0x4df3005f,0xcc809aff,0xf81ccffe,
    0xf30ff21f,0x37f433bf,0x2eaabbf6,0x71ff22ff,0x37fe65ff,0xf99bfa19,
    0xf55d87f1,0x0fffc41f,0xfffffff7,0xccdff88f,0x37ff12cc,0x3ee01333,
    0x0efe8807,0x005ff100,0xfc805ff3,0x3fffee07,0xf51ff205,0x406fc81f,
    0x3600bfb0,0x01ffccef,0x7ec07fb8,0xe81ffcbe,0x227fc44f,0x17fc45fd,
    0xffd99ff9,0x7c44fe8b,0x0d47e64f,0x207fd576,0x6e64c1c9,0x7c44ccff,
    0x0ffe203f,0x4407fb80,0x22000efe,0xff9802ff,0x703fe402,0x207ff7ff,
    0x07fd47fc,0x7ec01bf2,0xffff8805,0xfb801fff,0x3fffa207,0x4fe83fff,
    0x3f617fdc,0xf917fc45,0x819fffff,0x17fdc4fe,0xd89f13f3,0x0001ff55,
    0x7fc40ff7,0x00ffe203,0x3a207fb8,0x7c4000ef,0x2ff9802f,0xb817fdc0,
    0x905ffb7f,0x20ffa8ff,0x9999efd9,0x4cf7ec09,0x3bee0999,0x801ffaaa,
    0x3ff607fb,0x41ffcccb,0xffc99dfe,0x7c45fd85,0x2f3ff22f,0x33bfd00a,
    0x9f98bff9,0xfaaec5f9,0x809999af,0xfffffffb,0x101ffc47,0x333337ff,
    0x7441fee0,0x0aaaabff,0x4017fc40,0x7cc02ff9,0x3ee7eeff,0xc81ffd17,
    0x987fd47f,0xffffffff,0x7fffec2f,0x0ffa3fff,0x201fffff,0x5ff307fb,
    0xffe8dfd0,0xd80dffff,0x917fc45f,0x3ffa00ff,0x4c0dffff,0xaaaabacf,
    0xfffff55e,0xb9930dff,0xf88999ff,0x3ffe203f,0xf707ffff,0x3ffff20f,
    0x4402ffff,0xfff702ff,0x205fffff,0x2e7ffffa,0x83bfe67f,0x87fd47fc,
    0xfffffff9,0x7ffec2ff,0xff33ffff,0x0fffff81,0x1cc0ff70,0xfffe8388,
    0x17f602ce,0x3fe45ff1,0xcefffe80,0xfffff302,0x3eabffff,0x06ffffff,
    0xff103fdc,0x7fffc407,0xff707fff,0x3fffff20,0x7c402fff,0xffff702f,
    0x8805ffff,0x2e3fdc09,0x51ff25ff,0x000001ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0aa98000,
    0x2aa02aa8,0x5555101a,0x554c5555,0x035301aa,0x02aa8554,0x95303551,
    0x55555037,0x55015555,0x55306a21,0x5542aa88,0x2aa01aaa,0x40d54001,
    0xaaaaaaa9,0x0aaa600a,0x2aa61554,0x54c15540,0x2aa06aa1,0x13555531,
    0x2a205550,0x3555530a,0x22ffc401,0xff303ffa,0x3ffee0bf,0x3f27ffff,
    0x21dfffff,0x43fe04fc,0xffa80ffd,0x7ffffe41,0x7fffff45,0x0fe82fff,
    0x46fc87f7,0x3fe21ffd,0xf82fffff,0xfff7004f,0xfffffb07,0x7f405fff,
    0x43fff07f,0x7ffc3ffd,0x7ff27e43,0x3ff29ff0,0x2e0dffff,0x26fd82ff,
    0x4ffffffc,0xfe87ff20,0xffff700f,0xffd99301,0x67fe4999,0x3f26ffec,
    0x7d43fe04,0x5c7fc82f,0x3ffdbdff,0x3ffffffa,0x327f82ff,0xf537e42f,
    0xeeff889f,0x7fc4fffe,0x7fff5404,0xeeeec83f,0xf702fffe,0x3ffe0fff,
    0xf87fff13,0xf27e46ff,0x329ff07f,0x6ffedcff,0x3fe637f4,0x3fbbff23,
    0xdff104ff,0xfe80ffea,0x7dc02ffd,0xfc8df907,0x7c09f70f,0x3e13fe27,
    0x362ffc4f,0x7fec00ff,0x267fe660,0x5bf21bfd,0xff886ff8,0xf87ffa22,
    0x5ffdc04f,0xff3003ff,0x3f7fe20b,0x2adfff07,0x7ffc4fff,0xff93f22f,
    0xff94ff83,0x3ee2ffc8,0xf91bf61f,0x703ffc4d,0x40dfd5ff,0x04ff9ff8,
    0x6fc83fdc,0x5fb87fdc,0x7f47f86a,0xf117fcc7,0x01ffa85f,0xfff13fe6,
    0x1fffffff,0x0ffe5bf2,0x3e617fc4,0x1013fe4f,0xe801ffc7,0x5bfb00ff,
    0xfbdf10ff,0xf89f9fb1,0x93f26fef,0x94ff83ff,0xe89ff0ff,0xc87ff35f,
    0x203fe46f,0x202ffffe,0x80ff97fa,0x4df907fb,0x57ea5fe8,0xb8ff16f9,
    0x83fee1ff,0x7fcc4ff8,0x903ff602,0x9ff99dfb,0x7fcf7e49,0xd05ff103,
    0x0027fcbf,0x3ee00ffe,0x51ff503f,0xf7df10ff,0xf89f5df7,0x9f91ffbf,
    0xa7fc1ffc,0x44ff87fc,0x86fc9ffb,0x037f46fc,0xb01bffea,0x807feabf,
    0xdff907fb,0x7d41bffd,0xdf13ff75,0x3fa3ff98,0x99bfff85,0xff103ffc,
    0x7f93ea09,0x05feffc8,0x3f60bfe2,0xf0013fe6,0x5ff9807f,0x3fd4ffa0,
    0x7f7cf7c4,0x4ffc5fab,0x7c9f95fd,0xffffffff,0xffa8ff94,0x2ffdfe82,
    0xfeccffc8,0x7ffcc01f,0xf897fc05,0x41fee04f,0xfffffffc,0x7ff5be64,
    0x5fe86f8b,0xff507ff1,0x05ffffff,0x7dc03ff2,0xff90df13,0x7fc40bff,
    0x3fe7fd82,0x01ffc004,0x7e403ffa,0x3e61fea6,0xbf53fff5,0x9ffa9ff8,
    0x3fffe4fc,0xf94fffff,0x0dff955f,0x641bffee,0x00dfffff,0x01ffffe8,
    0x37f41ff3,0x3f20ff70,0x25ffb516,0xefef8ef9,0x8ffc85f9,0xdb300ffa,
    0x103ff9bf,0xfb5309ff,0x435df75b,0x02ffbefc,0xdfd05ff1,0x3e0027fc,
    0x0bfee03f,0xff50ffcc,0x5bf2bf30,0xe8ffc5fa,0x3fe4fccf,0x4ff9999c,
    0xdffffff9,0x817ff401,0x1ffebefc,0x7fe7fd40,0xdddff906,0x3ee01fff,
    0xf88df907,0x5f7df15f,0xf30bf5ff,0x800df95f,0xffc80ffb,0xfffffc80,
    0x3f24ffff,0xf101ffd6,0x24ff885f,0x7fc004ff,0x40bff303,0xfffffffc,
    0x2bf50fff,0xf8df34fa,0x9fbff71f,0xa7fc1ffc,0x02bccffc,0x3f207fc8,
    0xe80dfd16,0xd05ff96f,0xffffffff,0x641fee07,0x8a7fc46f,0xfbf97dff,
    0x3fb3fe0b,0x42ff4003,0xf9505ff8,0x59dfb9bf,0x5ff9b7e4,0x7dc2ff88,
    0x0013fe2f,0x3ffa07ff,0x3ffff200,0x50ffffff,0xf1be60bf,0x27fffc3f,
    0x29ff07ff,0xfb8007fc,0xfb9bf207,0x25ff702f,0x3e20fff8,0xffaaaabf,
    0x320ff705,0x4bff666f,0xff35fff8,0x3fff609f,0x7333101f,0xff903ffd,
    0xf70fe803,0x7e4df907,0x4dffc43f,0x7fc5ffc9,0x2219999c,0x99cff999,
    0x3339ff70,0x26662133,0x219ffb99,0x8ff305fa,0x3ffee1ff,0x3fe0ffe4,
    0x7000ff94,0x137e40ff,0xdff10dff,0x3ee4ffb8,0x7dcffb07,0x27ffffff,
    0xfffffffc,0xff17ffc5,0x3ffea09f,0x3fffee07,0x5ff882ff,0x0bf27f80,
    0xfff89bf2,0x3ffffe20,0x7ffc0dff,0xf71fffff,0x7fffffff,0x3ffffffe,
    0x3fd403ff,0x7f9827dc,0xfff10ffc,0x7fc1ffc9,0x7000ff94,0x237e40ff,
    0x7fe42ffc,0xd87ffc42,0x25ff505f,0xfffffffb,0x3bffff27,0x20fff82d,
    0xff103ffc,0x7ffdc09f,0x3ff900bd,0x3f67f880,0x7d46fc81,0x3fffe25f,
    0xffff02ce,0x3ee3ffff,0x3fffffff,0xffffffff,0x87fa807f,0x8ff104fb,
    0x27fe41ff,0x29ff07ff,0xfb8007fc,0xf11bf207,0x000000bf,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000800,0x880f2600,0x200accca,0xa81acba8,0x42a982cc,0x22ca82a8,
    0xbcb981ca,0x0001cb88,0x17999510,0x40af2a20,0x5441bcca,0x43932c98,
    0xaaaaaaa8,0x05997102,0x85540355,0x155102a9,0x2aa06aa2,0x2cb89542,
    0x1bca8d4c,0xf8837950,0x0009f30f,0x1bea0bd3,0xfffffff8,0xfffffb81,
    0x3ffffa65,0xf51bf20e,0x67ffe41f,0x3e22fffd,0xfffeffff,0x403bee02,
    0x1ffffffa,0xefffffa8,0x3ffbfe61,0x3fff3ea1,0xff53fffa,0x70ffffff,
    0x41dfbbdf,0x4bfa04fd,0x7fc82ffa,0xff50ffec,0x7fdffc45,0x373f25ff,
    0x3a22ffff,0x3ea4ffff,0x0037ff25,0x540fffd4,0x26afa06f,0x7fdc6ffb,
    0x3fa5eccf,0x326feaae,0x887fd46f,0xacffd9ef,0x3667226f,0x206fbcff,
    0xff881ffd,0x4c0ba9ad,0x6ffeceff,0x2a4fa822,0xceffcdff,0xddddd35f,
    0xccf98bff,0x3f26e9bc,0xff83fe05,0x2227fc45,0x8bff16ff,0xfdcffff8,
    0x9dfff92f,0x4efe4dff,0x85f91ffa,0x5c00effb,0xdf500eff,0x227fb800,
    0xfb840eff,0x647fe60f,0xb87fd46f,0x3e1ff53f,0x74ff300f,0x20bf500f,
    0xfe802ffa,0x98ffee0e,0x3ea5fecc,0xf99ff98f,0x81ffd106,0x8decf8ce,
    0x322df73f,0xffc8ff13,0x2a07fea0,0x40ffdcff,0x3fe1fff8,0x7dcbff93,
    0x7ec3fd0f,0x1fff9802,0xff0bff90,0x7fffffff,0x1ff95530,0xfd807fea,
    0x2ffbaaae,0x0ffa8df9,0x27fe65f9,0xfa981fe9,0x001fe99e,0x039fff30,
    0x3fe21ffc,0xbfb9ff54,0x36f9afd4,0x07ff60ff,0xbb5f13f1,0xfbbfd536,
    0x7cc6f98f,0xc81bf63f,0xf882ffff,0xfc965c3f,0xfe87fd47,0x4400bf61,
    0x3f622ffe,0xfffff04f,0x7547ffff,0x90ffffff,0x7ff401ff,0x93ffffff,
    0x90ffa8df,0x3fffe65f,0x3fff21ff,0x11ffffff,0x99999999,0x7fffdc79,
    0x417fcc3f,0x2e7fb5fe,0x7cd7ea5f,0xff70ff36,0xdf11f307,0x7fcdb21d,
    0x5fabffe8,0x5ff16fe8,0x82fffc40,0x7e402ff8,0xfd87fd47,0x000ffa8d,
    0x7e47ffe6,0x0df5005f,0x32af7fea,0x01ff70ff,0x55556ff4,0xa8df90aa,
    0x265f90ff,0x50aaaaff,0x55df75df,0x3ffe6155,0x45ffffff,0x24fffeb8,
    0x5fe83ff8,0x4bffdff7,0x26df35fa,0x82ffcc7f,0x3e9f8af8,0x3ebfe29b,
    0xa84fbeff,0x407fb8ff,0x880ffff9,0x3fe402ff,0x7fcc3fea,0x26003fff,
    0x7fe41fff,0x837d400d,0x87fd46fd,0x3f603ffa,0x647fc806,0x2a5f90ff,
    0x4cbf607f,0x2aaa206f,0x01aaaaaa,0xbff1ffe6,0x32e3ff88,0x57ea2c8b,
    0x44ff36f9,0x3b600eff,0x2fafb8f8,0x3feff7fe,0xd7ff03fd,0x77fc409f,
    0x2ff885ff,0x3ea3fe40,0x0733220f,0x00effb80,0x5401dff7,0x4cffd06f,
    0xfff10fff,0x7fdca617,0x27fee083,0xf70fffc8,0x6c0bfee9,0x003ff93f,
    0x3fa02200,0x445ffec6,0x33310ffd,0x57ea1333,0x74ff36f9,0x41999aff,
    0x17ea0df8,0xff91fffb,0x3fff205f,0x23ff601f,0x7fc43ffc,0x2a3fe402,
    0x333310ff,0xffc80133,0x7ffd400d,0x2e079301,0xffffefff,0x3ffffea0,
    0x3bfffa6f,0x3ffe27fe,0xf10ffeff,0x99ffdf9f,0x77effd4b,0x2e06dcff,
    0xeefa80ef,0x7cc3fffd,0x23ffffff,0x2ffffffd,0x4dbe6bf5,0xfffff57f,
    0xffd10fff,0xdff907ff,0x4c07ffe6,0x3ee06fff,0x883ffa2f,0x3fe402ff,
    0x7fec3fea,0x3602ffff,0x3a6004ff,0xfb0001ff,0x81ff1bff,0x44ffffe9,
    0x45fffffc,0xff8dfffb,0x2e7ffee0,0x3f625fff,0x0bfffb4f,0x7d40ffec,
    0x303effff,0xb85dfffd,0x51cccccc,0x7cdbe6bf,0xffffff77,0x04d4c0ff,
    0x3fe3ffb8,0x0fffa00f,0x3e62ffcc,0x00bfe26f,0x0ffa8ff9,0x39999997,
    0x4001fcc0,0x3fff24e8,0x440fffff,0x00440009,0x01300662,0x20131060,
    0x2004c408,0x4cc405ea,0x00026000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3fffff20,0x00000fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xaaaa8000,0x4c2a880a,
    0x132601aa,0x05510000,0x220e65cc,0x9300cccc,0xb82e6019,0x00930d40,
    0x3ea80551,0x542ccb88,0xcccccccc,0x99999990,0x4cee6199,0x3bf620bb,
    0xbb800cc1,0x8888880b,0x8770e440,0x000004d9,0x3fe20000,0x7fb82fff,
    0xa803bfe2,0xb07d107f,0x5417e607,0x2a2fffff,0x261fffff,0xfd01fffd,
    0xffa9fea7,0x6c03ff88,0x3ffe01ff,0x3ffffe22,0x3fffff25,0xffff0fff,
    0x321fffff,0x741ff57f,0xff12ffff,0x205ffb00,0x644fffff,0x223ff57f,
    0x00003fff,0x99100000,0xff705ffb,0x5003ffa2,0x8ffee0ff,0x22ba0ffd,
    0x56c3d8cf,0x4c625ffa,0x3fbea2ff,0xf16fb81f,0xf55fd85f,0x3fbea01f,
    0xd93ffa06,0x32ffa8cf,0x55555555,0x2aaaaaa1,0x2df70ffa,0x3df30ffa,
    0x0bfb9ff9,0x3200efd8,0x7dc2cccc,0x3e21df35,0x000004ff,0xff980000,
    0xffb7fb82,0x40ff5003,0x1ffdbffd,0x3b7f7fea,0x89ff106f,0x4c0ffca9,
    0x7fcc1ff8,0xff109fb1,0x7f417f25,0xff302fd8,0x7f907fc9,0x0ff80000,
    0xb9fe6df7,0x3ffff24f,0x00066201,0x7ec04080,0x0000001f,0x2ff98000,
    0x1ffcffb8,0xffb99910,0xffd87999,0xffc881ff,0xffd102ef,0x0cfffb81,
    0x7e41ff88,0x3201ff35,0xb83ff36f,0x201ff13f,0xd87fe2ff,0x9999953f,
    0xff001999,0x3fcd7ea1,0x000e64c0,0x10000000,0x00000001,0x0bfe6000,
    0x817fffee,0xfffffff9,0x7ffc45ff,0xffffb304,0x1efe8817,0x86fea988,
    0x7fc41ff8,0xff30bfb1,0xdf113f63,0x7e444fc8,0x7e577ec6,0xfffff91f,
    0x33001fff,0x03c8964c,0x00000000,0x00000000,0xf3000000,0xf7ff705f,
    0x2aaa207f,0x41aaaffc,0x543ffffd,0x6fedfcff,0x8aafffa6,0x44bfb118,
    0x5c2bffba,0x42ff88ef,0x81ff73fe,0x8ffc42fd,0x7440dffe,0x2a63ffff,
    0x0aaaaaaa,0x2ea00000,0xcccc981b,0xdddddd4c,0x005ddddd,0x00000000,
    0x7cc00000,0xfb7fb82f,0x0ff5003f,0x7fecffec,0xca7c4ec3,0x3ffffee3,
    0xfffff90f,0x7ffffd43,0xfaa7f40f,0x7fc5bea6,0x13101982,0x555006ae,
    0x00000001,0xa85ff900,0xff7fffff,0xffffffff,0x0000007f,0x00000000,
    0x5c17fcc0,0x01ffd17f,0xff707fa8,0x4c07fec3,0x9999505f,0x4de65499,
    0x666664c0,0x4c142984,0x00000a20,0x00000000,0x3ff50000,0x9dddddcc,
    0x99999999,0x00000999,0x00000000,0x7fffdc00,0xff72ffff,0x2a037fcc,
    0x3207607f,0x00055101,0x00000000,0x00000000,0x00000000,0x0004c400,
    0x00000000,0x00000000,0xfffffb80,0x8ff72fff,0x2a205ffb,0x00000002,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__consolas_bold_21_latin_ext_x[560]={ 0,4,2,0,0,0,0,4,2,2,1,0,2,2,
3,0,0,1,1,1,0,1,1,1,1,0,3,2,1,1,1,2,0,0,1,0,0,1,1,0,0,1,1,1,
2,0,0,0,1,0,1,1,0,0,0,0,0,0,1,3,1,2,0,0,0,1,1,1,0,1,0,0,1,1,
1,1,1,0,1,0,1,0,1,1,0,1,0,0,0,0,1,1,4,2,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,1,0,0,0,
4,0,0,0,2,1,1,2,0,0,1,1,2,2,0,1,0,3,4,2,2,1,0,0,0,1,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,1,1,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,1,0,1,0,0,1,1,1,0,0,2,
1,-3,-2,1,0,0,1,0,0,0,1,0,0,0,0,1,0,0,0,0,0,0,0,0,-1,0,1,1,-1,0,
0,0,0,0,1,1,0,0,0,0,0,-2,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,
0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,-1,0,-3,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0, };
static signed short stb__consolas_bold_21_latin_ext_y[560]={ 15,0,0,1,-1,0,0,0,-1,-1,0,4,11,8,
11,0,1,1,1,1,1,1,1,1,1,1,4,4,3,6,3,0,0,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,1,17,0,4,0,4,0,4,0,4,0,0,
0,0,0,4,4,4,4,4,4,4,1,4,4,4,4,4,4,0,-2,0,7,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,15,4,-1,1,1,1,
-2,0,0,1,1,5,8,8,0,0,0,2,0,0,0,4,0,7,15,0,1,5,0,0,0,4,-3,-3,-3,-3,
-3,-3,1,1,-3,-3,-3,-3,-3,-3,-3,-3,1,-3,-3,-3,-3,-3,-3,4,-1,-3,-3,-3,-3,-3,1,0,0,0,
0,0,0,-1,4,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,2,0,0,0,0,0,0,0,
-2,0,-3,0,1,4,-3,0,-3,0,-3,0,-3,0,-3,-1,1,0,-2,0,-3,0,-3,0,1,4,-3,0,-3,0,
-3,0,-3,0,1,-1,-3,-3,1,0,-3,0,-2,0,-3,0,1,0,-3,4,1,0,-3,0,1,0,4,-3,-3,1,
0,-1,-1,1,0,1,0,-3,0,1,4,-3,0,-2,1,4,-2,0,-3,0,-3,0,1,4,-3,0,1,4,-3,0,
-3,0,-3,0,1,4,-3,0,1,1,-3,-1,1,1,-3,0,-2,0,-3,0,-3,-1,-3,0,1,4,-3,0,-3,0,
-3,-3,0,-3,0,-3,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,-5,-4,-3,0,-3,-1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,4,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static unsigned short stb__consolas_bold_21_latin_ext_w[560]={ 0,4,8,12,11,12,12,4,8,7,10,11,6,7,
5,11,12,10,10,10,12,10,10,10,10,11,5,6,9,10,10,8,12,12,10,11,12,9,9,11,11,10,9,11,
9,12,11,12,10,12,11,10,11,11,12,12,12,12,10,6,10,7,11,12,8,10,10,9,11,10,11,11,10,10,
9,11,10,11,10,11,10,11,10,10,11,10,12,12,12,12,10,9,3,8,12,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,0,4,9,11,12,12,
3,11,10,12,8,10,10,7,11,9,9,10,8,8,11,11,11,5,4,8,8,10,12,12,12,8,12,12,12,12,
12,12,13,11,10,11,10,10,11,11,11,11,12,11,12,12,12,12,12,10,12,11,11,11,11,12,10,11,11,11,
11,11,11,11,12,9,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,12,10,12,
12,11,12,11,12,10,11,12,11,10,11,10,11,10,13,14,12,12,10,11,10,11,10,11,10,10,10,11,11,11,
11,11,11,11,11,11,11,11,12,11,11,11,11,11,11,11,10,10,11,10,11,10,10,10,11,11,11,11,11,9,
10,14,14,11,14,11,10,11,11,11,10,11,11,11,11,10,12,11,12,11,13,13,12,12,13,11,11,10,13,11,
11,11,11,11,10,10,11,11,11,11,11,14,11,11,11,11,11,11,11,11,11,11,13,13,11,10,12,12,12,12,
12,11,11,11,11,11,11,9,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,12,11,13,12,15,12,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,10,10,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11, };
static unsigned short stb__consolas_bold_21_latin_ext_h[560]={ 0,16,6,14,19,16,16,6,21,21,10,11,8,3,
5,18,15,14,14,15,14,15,15,14,15,14,12,15,13,7,13,16,20,14,14,15,14,14,14,15,14,14,15,14,
14,14,14,15,14,18,14,15,14,15,14,14,14,14,14,20,18,20,8,3,5,12,16,12,16,12,15,16,15,15,
20,15,15,11,11,12,16,16,11,12,15,12,11,11,11,16,11,20,22,20,5,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,0,16,19,14,14,14,
22,18,5,15,11,9,6,3,11,5,8,13,9,9,5,16,18,5,4,9,11,9,15,15,15,16,18,18,18,18,
18,18,14,18,18,18,18,18,18,18,18,18,14,18,19,19,19,19,19,10,19,19,19,19,19,18,14,16,16,16,
16,16,16,17,12,15,16,16,16,16,15,15,15,15,16,15,16,16,16,16,16,12,16,16,16,16,16,20,20,20,
17,16,18,16,19,16,19,16,19,16,19,16,19,16,18,17,14,16,17,16,18,16,18,16,19,16,18,16,19,20,
19,20,19,20,19,21,18,18,14,15,18,15,17,15,18,15,19,20,18,11,15,20,19,20,19,20,11,18,18,19,
20,16,16,14,15,14,15,18,15,19,16,18,15,17,19,16,18,16,19,16,19,16,15,12,18,15,19,16,18,15,
19,16,19,16,18,15,19,16,19,19,18,17,14,15,19,16,18,16,19,16,19,17,19,16,19,16,18,15,18,20,
18,18,15,18,15,18,15,15,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,18,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,20,20,18,16,21,19,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,19,16,19,19,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14, };
static unsigned short stb__consolas_bold_21_latin_ext_s[560]={ 255,247,190,98,84,181,84,250,45,37,79,
56,151,208,245,37,170,146,241,183,168,194,205,87,216,75,250,248,12,168,1,
75,128,14,38,23,123,219,209,35,206,27,47,111,136,181,194,57,218,214,242,
82,229,93,62,49,1,229,157,209,189,247,139,216,199,33,187,44,175,54,1,
152,48,13,227,36,33,146,231,125,13,24,220,114,24,65,194,181,207,36,158,
237,5,176,199,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,
172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,255,251,122,
59,109,196,1,72,234,105,137,117,179,208,169,224,158,22,90,99,212,110,1,
250,251,108,242,128,157,144,131,1,227,201,129,113,100,87,83,12,1,49,106,
59,82,117,70,177,122,200,73,181,228,144,198,68,185,148,173,109,97,152,148,
1,242,230,218,206,194,236,89,1,146,134,122,110,119,92,190,202,48,178,25,
13,1,240,228,102,216,204,192,180,168,103,92,54,1,110,109,86,121,122,206,
48,223,25,13,210,211,14,145,195,159,61,210,74,122,98,98,133,86,145,49,
156,1,116,25,141,37,153,49,9,177,165,135,166,126,154,159,44,75,80,25,
165,24,33,214,198,36,216,1,1,44,165,153,218,13,122,137,184,104,71,22,
94,226,235,233,47,10,183,132,164,225,60,160,72,134,61,237,76,61,68,61,
244,138,142,13,49,241,221,142,131,194,198,169,157,133,221,97,238,96,158,25,
84,49,36,37,171,108,96,61,37,212,118,238,185,36,189,70,240,11,13,56,
227,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,60,
172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,
172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,
172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,
172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,
172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,
172,172,172,79,67,84,97,21,24,172,172,172,172,172,172,172,172,172,172,172,
172,172,172,172,172,172,172,172,172,172,172,172,172,73,170,169,157,172,172,172,
172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,
172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,
172,172,172,172,172,172,172,172,172, };
static unsigned short stb__consolas_bold_21_latin_ext_t[560]={ 1,45,252,224,24,141,158,192,1,1,252,
252,252,258,252,104,175,224,208,175,224,175,175,224,175,224,175,104,239,252,239,
158,1,224,224,192,224,208,208,192,224,224,192,224,224,224,224,192,224,85,224,
192,208,192,224,224,224,224,224,1,65,1,252,258,258,239,158,239,158,239,208,
158,208,208,1,208,175,239,239,239,158,158,239,239,208,239,239,239,239,158,239,
1,1,1,252,208,208,208,208,208,208,208,208,208,208,208,208,208,208,208,208,
208,208,208,208,208,208,208,208,208,208,208,208,208,208,208,208,208,1,65,24,
208,208,208,1,104,252,192,239,252,252,258,239,252,252,239,252,252,252,158,104,
199,239,252,239,252,175,175,175,175,85,85,65,85,85,85,208,85,85,85,65,
65,65,65,65,65,208,65,45,24,24,24,45,252,45,45,45,45,45,85,208,
158,141,141,141,141,141,104,239,192,141,141,141,141,175,175,192,192,141,192,141,
141,141,123,123,239,123,123,123,123,123,1,1,1,123,123,104,123,45,123,24,
123,45,123,65,158,45,123,104,104,208,123,104,123,104,123,104,123,45,123,104,
123,45,1,45,1,45,1,45,1,85,85,208,192,85,192,104,175,85,175,65,
1,85,252,192,1,65,1,65,24,252,65,65,24,24,158,158,208,175,208,175,
65,192,45,158,65,175,104,24,158,65,141,45,141,45,158,175,239,85,175,45,
158,85,192,45,158,24,158,65,192,24,158,24,24,104,104,208,192,24,141,104,
141,24,123,24,104,24,141,24,141,65,192,65,1,85,85,192,85,192,104,175,
175,208,208,208,208,208,208,208,208,208,208,208,208,208,208,208,208,208,208,104,
208,208,208,208,208,208,208,208,208,208,208,208,208,208,208,208,208,208,208,208,
208,208,208,208,208,208,208,208,208,208,208,208,208,208,208,208,208,208,208,208,
208,208,208,208,208,208,208,208,208,208,208,208,208,208,208,208,208,208,208,208,
208,208,208,208,208,208,208,208,208,208,208,208,208,208,208,208,208,208,208,208,
208,208,208,208,208,208,208,208,208,208,208,208,208,208,208,208,208,208,208,208,
208,208,208,1,1,104,158,1,24,208,208,208,208,208,208,208,208,208,208,208,
208,208,208,208,208,208,208,208,208,208,208,208,208,24,141,24,24,208,208,208,
208,208,208,208,208,208,208,208,208,208,208,208,208,208,208,208,208,208,208,208,
208,208,208,208,208,208,208,208,208,208,208,208,208,208,208,208,208,208,208,208,
208,208,208,208,208,208,208,208,208, };
static unsigned short stb__consolas_bold_21_latin_ext_a[560]={ 185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_21_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_bold_21_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_21_latin_ext(stb_fontchar font[STB_FONT_consolas_bold_21_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_21_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_bold_21_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_21_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_21_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_21_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_21_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_21_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_21_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_21_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_21_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_21_latin_ext_s[i] + stb__consolas_bold_21_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_21_latin_ext_t[i] + stb__consolas_bold_21_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_21_latin_ext_x[i];
            font[i].y0 = stb__consolas_bold_21_latin_ext_y[i];
            font[i].x1 = stb__consolas_bold_21_latin_ext_x[i] + stb__consolas_bold_21_latin_ext_w[i];
            font[i].y1 = stb__consolas_bold_21_latin_ext_y[i] + stb__consolas_bold_21_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_bold_21_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_21_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_21_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_21_latin_ext_s[i] + stb__consolas_bold_21_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_21_latin_ext_t[i] + stb__consolas_bold_21_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_21_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_21_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_21_latin_ext_x[i] + stb__consolas_bold_21_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_21_latin_ext_y[i] + stb__consolas_bold_21_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_21_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_21_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_21_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_21_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_21_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_21_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_21_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_21_latin_ext_LINE_SPACING
#endif

