// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_17_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_17_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_17_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_courier_17_latin_ext_BITMAP_HEIGHT        144
#define STB_FONT_courier_17_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_courier_17_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_17_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_17_latin_ext_LINE_SPACING           8

static unsigned int stb__courier_17_latin_ext_pixels[]={
    0x40060020,0x0350000a,0x07001400,0x25004430,0x70013002,0x32a00980,
    0x805102cc,0x202a00c1,0x01980608,0x88038028,0x200e0060,0x05100002,
    0x750198a8,0x2b803a80,0x40570048,0x0032603e,0x6540a915,0x393300c9,
    0x4a04a803,0x5977028c,0x25403060,0x40193b10,0x5959103b,0xc80b2ea0,
    0x032600db,0x44093190,0x32b2200d,0xc880b800,0x4126ea00,0x4014402a,
    0x00035018,0x02880130,0x03880e1c,0x140170e2,0x431070e0,0x00a21502,
    0x44038013,0x5100b801,0x00a09814,0x0ab88031,0x21500260,0x03048028,
    0x03a80a50,0x326015d4,0xa9824392,0x2cb882aa,0x30721b03,0x0732a599,
    0x9930721b,0x1b0732a5,0x25993072,0x41551cca,0x259931a9,0x5e441cca,
    0xca9664c1,0x80de441c,0x79101bc8,0x26f2e203,0x654b3261,0x4de5c41c,
    0x654b3261,0x2a59931c,0x543501cc,0x64c6a60a,0x4439952c,0x81ce028a,
    0xb87b32c8,0x44999881,0x10b710c8,0x1c40b804,0x102e0104,0x0b804107,
    0x441931c4,0x87102e0d,0x0b83b33c,0x6ccf21c4,0x41d99e41,0xd883b33c,
    0x88171aa0,0x8d506c43,0x02e1c40b,0x3262c071,0x40b83620,0x200bb838,
    0x441700b8,0x2402443c,0x1a892032,0x881702aa,0x0aa86a23,0xa88e205c,
    0x81702aa1,0x70a62438,0x20a63881,0x98e205c5,0x960a6582,0x40645829,
    0x90e205c2,0x440b8501,0x40e205c3,0x214c482a,0x9931c40b,0x80dd4409,
    0x05c25624,0x26009120,0x81706e23,0x3711cc38,0x261c40b8,0x81706e23,
    0x7091cc38,0x5c0e3881,0x1c7102e1,0x46e071b8,0x80243703,0x0121c40b,
    0x170e205c,0x260b0388,0x7102e123,0x37105570,0x32388751,0x40488170,
    0x438801c4,0x0e205c1a,0x05c1a871,0x1a8710e2,0x520e205c,0x1c40b839,
    0x40b8a609,0x494c1238,0x14c12530,0x7102e009,0x88170048,0x20e205c3,
    0x41cd2029,0x4a41c40b,0x86e90900,0x22401904,0x1a871004,0x710e205c,
    0x2205c1a8,0x706a1c43,0x4b983881,0x12388170,0x38817154,0x50495412,
    0x49154125,0x02e1dcc8,0x33224871,0x87102e1d,0x0241c40b,0x205c12e6,
    0x80b9c438,0x9c86cccb,0x20388243,0x1c400744,0x2983506a,0x3506a1c4,
    0x2a1c4298,0x40a60d41,0x2983503c,0x1a83606a,0x1b03514c,0x0d43606a,
    0x5120d06c,0x48342983,0x350a60d4,0x401cc298,0x2983503c,0x0dc3885c,
    0x03716a12,0x44989024,0x07664848,0x4c903891,0x40e2441d,0x89107664,
    0x44881203,0x11262443,0x26244389,0x44931224,0x20ea24c4,0x2a0e2444,
    0x0e244483,0x01907122,0x0e244090,0x8916aab6,0xcbcad858,0x2c41cc01,
    0x4065df54,0xa85bccbb,0x97702bbd,0x77b50b79,0x2f32ee05,0x02bbda85,
    0xbbda8071,0x04dbc882,0x910577b5,0xb79109b7,0x09b79109,0x20f2b3aa,
    0xd502bbda,0x7b507959,0x2ef6a057,0x1c401c42,0x30aef6a0,0x54373337,
    0x264dabac,0x95080020,0x00440199,0x08008002,0x00200200,0x39b97008,
    0x00100100,0x02002002,0x00c40020,0x80188004,0x20001000,0x0801cdcb,
    0x00212090,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x88675c00,0x540003ec,0x2006e600,0x40306009,
    0x20002899,0x00310608,0x18220131,0x40500540,0x380280c1,0x144060c0,
    0x66400070,0x8544cccc,0x26062028,0x0a800000,0x33263991,0x5c000000,
    0x5c039c03,0x515501cb,0x03632605,0x2b2007c4,0x200e4c2b,0x319105aa,
    0xd881dc09,0xc9c980ca,0x300cac81,0x2b8ba809,0x6884ac98,0x92483e80,
    0x50498ec4,0x401a8599,0x26039cdb,0x7102e19c,0xd3440062,0x5c400c40,
    0x20286601,0x04ca01b9,0x80d40060,0x4409001a,0x403100ab,0x05c40621,
    0x0140504c,0x22180dcc,0x90130000,0x8a000924,0x5557950a,0x4802a210,
    0x93388170,0x10082001,0xcc986597,0xb8839952,0x9664c32c,0x5e441cca,
    0x2a22ea01,0x41965c40,0x1205531a,0xb881bc88,0x8ba809ac,0x2b2e20a8,
    0x26b2e209,0x0a88ba80,0x10a88ba8,0x2aa85555,0x866f2e20,0x25532922,
    0x664c1aa9,0x335712cc,0xca9664c3,0x8170481c,0x55002e38,0x1910d4c1,
    0x881716e2,0x5b886443,0x790e205c,0x33910766,0x864415b9,0xbc8d45b8,
    0x4cf20900,0x2e88641d,0x2b726722,0x91744320,0x9c88ba21,0x3220adc9,
    0x310adc99,0x04988933,0x483541b1,0xa988c988,0x806a1203,0x3aa1c40b,
    0x2205c2ef,0x02ae62e3,0x906c4193,0x440b8901,0x2e240643,0xb0531c40,
    0x0640e848,0x00ae6a24,0x4cb05309,0x1d090cc2,0x14c6614c,0x40e84866,
    0x41200e84,0x20501904,0x03882e04,0x0b806a12,0x170481c4,0x2732e388,
    0x0a6241da,0x7102e009,0x88170048,0x090dc0e3,0xb5004817,0x20709009,
    0x7090121b,0x20240481,0x5c240b84,0x48241200,0x41702400,0x06a12038,
    0x481c40b8,0x2e298350,0x091cc584,0x7102e007,0x88170038,0x0914c123,
    0x3500381b,0x04848093,0x05e5c453,0x97103612,0x0bcb8817,0x21206c24,
    0x8241200d,0x17024004,0x530901c4,0x40e205c0,0x1b891204,0x90734848,
    0x87102e00,0x38817004,0x47515412,0xa80240ea,0x24240731,0x439102a8,
    0x8803aa3a,0x5439101c,0x47503aa3,0x241200ea,0x87732248,0x0b83cecb,
    0xc8241ce2,0x102e3cbb,0xbc981207,0x4241dc2c,0x001d04b9,0x07429835,
    0xa8a60d40,0x664c0d81,0x200740aa,0x25bd11da,0x52ccecca,0x24061b03,
    0x182ab326,0x26240690,0xc980aacc,0x99200aac,0x1a1ccecc,0xdcb80824,
    0x909389cc,0x20d404c0,0x48809029,0x0ae25d70,0x444981e4,0x260e2444,
    0x71222444,0x4024c488,0x12224c0b,0x24404004,0x0d42c926,0x542c82e0,
    0x401a8591,0x200b800b,0x07502984,0x4c003a09,0xd01c4193,0x4c389101,
    0x83c801c9,0x200ccb9b,0x65df5404,0x02bbda80,0x501977d5,0x7910577b,
    0x20b1009b,0x880cbbea,0x20a62039,0x5644dbc8,0x2c403cbb,0xc8f2eeb2,
    0x4403cbba,0x22058805,0xd503b884,0x00e07959,0x777910c8,0x7b501c01,
    0x000a8857,0x388005c0,0x01001100,0x00200220,0x19993002,0x2a200880,
    0x0100a200,0x6664c010,0x40100200,0x9300ccc9,0xbcc98199,0x00620000,
    0x10599700,0x00200001,0x80170000,0x0001cdcb,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x000266d4,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0c0c1800,0x14030606,0x18305100,
    0x004d65c4,0xaa980a80,0x3999701a,0x110c0280,0x66443060,0x009881cc,
    0x1330700e,0x4c020510,0x10414403,0x08085555,0x80e00144,0x003100c1,
    0x930193b1,0x93b101b3,0x01959101,0x9c980d88,0x2e88641c,0x077007c4,
    0x00026662,0x20195910,0x5500c9c9,0x2a388551,0x1c81dd45,0xad8b3ae0,
    0x1d406441,0x036201d4,0xb8333312,0x801dc242,0x3276201c,0x00779501,
    0x7007100e,0x40288540,0x14c0b802,0x28806066,0x9952cc98,0x20390d83,
    0x1c40510a,0x1c40dcc0,0x130710a6,0x12688640,0x15109014,0x91120280,
    0x30489037,0x70009801,0x20131401,0x24cccccc,0x99104cc9,0x33221999,
    0x64419910,0x912ccccc,0x02419999,0x21999991,0x20ccccc8,0x1041c40b,
    0x32619950,0x3999912c,0x99999910,0x106e1c45,0x07333227,0x64448224,
    0x2120cccc,0x999905aa,0xd99e4901,0xcc992241,0x41332604,0x8732a2ca,
    0x92404cc9,0x20155c24,0x01b87304,0x438a4179,0x105e5c44,0x890e2487,
    0x3511c40b,0x24120554,0x3885a8e2,0x975b11c4,0x51c47105,0x0903770b,
    0x81204824,0x414d2038,0x2ae12245,0xa8155c02,0x55c0e20d,0x21249202,
    0x2e048094,0x2ea60711,0x0371c520,0x2e388e44,0x5c1b8e21,0x88e61c40,
    0x2249241b,0x0e214c38,0x0d99c88e,0x530e2388,0x2048f2a0,0x81204884,
    0xb81d2038,0x94808321,0x2aa09480,0x04a40e23,0x2710a48a,0x2901200b,
    0x0a2e2e04,0x24062442,0x24421221,0x710e205c,0x1caa41a8,0x20dc3889,
    0x47103338,0x0e238848,0x091b8037,0x09016c24,0x412901c4,0x38816a29,
    0x05ce2017,0x83885c54,0x09001738,0x1203885c,0xba403d30,0x0b21206c,
    0x04809035,0x1c438817,0x5232906a,0x165d6c44,0x4416e744,0x88e21cc3,
    0x14c2cbad,0x20902432,0x03881204,0x122a8252,0x20710b85,0x2150710b,
    0x22170714,0x2b604803,0x201205aa,0x236b6204,0xac843702,0x21b83cbb,
    0x0d410dc0,0x1a8710a6,0x911294a4,0x27101b33,0x22764419,0x9c88e23c,
    0x5e64c0d9,0x9048122c,0x08710240,0x906c0d52,0x2d556c48,0xa85aaad8,
    0x5b071550,0x20900b55,0x01b999b9,0x55409009,0x239860c9,0x47304838,
    0x2388e638,0x26481c48,0x9b9cdc1d,0x10911c43,0x88020707,0x20488e23,
    0x24120485,0x2e1c4090,0x89312290,0x33373244,0x999b9837,0x7190541b,
    0x1b999b98,0x09048240,0x24812012,0x2224520b,0x1221cc43,0x87112271,
    0x7702bbda,0x1ca8b799,0x4c388593,0x44241c43,0x1c471029,0x024240e6,
    0x20481209,0x22485c38,0x24484dbc,0x12091209,0x121e4415,0x3cecb824,
    0x764433ae,0x199d9913,0x5c3cecb8,0x5cccea9e,0x879999b5,0x666d40a8,
    0x999b53cc,0x02002079,0x221e8d30,0xc89e44ec,0x885cccce,0x32259702,
    0x40c1e44e,0x9d9911cd,0x99524c19,0x6ee4599d,0x1070dccc,0x3ae706e0,
    0x2e7d910c,0x27d910ce,0xb8f22dd8,0x07d910ce,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0x0732a2ca,0x203800ea,0x2a032cb8,0x14028800,0x304c0150,0x83379710,
    0x2800cccc,0x95c01500,0x3220a03a,0x2219914c,0x100ccccc,0x06332205,
    0x00834566,0x0c183060,0x04000c18,0x2a0502e0,0x2a20e20d,0x101c8028,
    0x4416e219,0x4036200d,0xd880cac8,0x83939100,0x221aa0d8,0x0cac8803,
    0x20595930,0x65644040,0x40721c40,0x8806c404,0x04102b88,0x5407c448,
    0x4ec42a8a,0x5515501c,0x03207c40,0x5407c164,0x5dc0e23a,0x19004c00,
    0x0a028090,0x280a2150,0x406405c0,0x0a803882,0x40833051,0x39952cc9,
    0x9c428854,0x501200c8,0x01bc8801,0x05703791,0x700dcc03,0x801b9801,
    0x01884981,0x442e2a0f,0xa82664c3,0x48732a2c,0xccccc880,0x9999912c,
    0x33332259,0x999912cc,0x33332219,0x880122cc,0xca965c03,0x2e00ee24,
    0x99911c40,0x645c4199,0x66442400,0x9e419910,0xd99e41d9,0x99991341,
    0x33332219,0x1799970c,0x22099930,0x22cccccc,0x026ea20d,0x38a42a0f,
    0x36a05570,0x20070e20,0x8711c438,0x0710e238,0x4710e209,0x100e2004,
    0x01c41a87,0x240e205c,0x400ddd88,0x21b87304,0x20a65829,0x20241265,
    0x80e44904,0x887102ab,0xa8ac8ae3,0xa8541a0e,0x4129038a,0x090e23aa,
    0x388e0e20,0x20e0e238,0x24707104,0x3883b991,0x8350e204,0x02e03538,
    0xac412071,0xb81200c8,0x37038711,0x03b8dc0e,0x90904809,0x83882520,
    0x20c492a3,0x1c641505,0x8a80b9c4,0x00e8710b,0x71033388,0x0cce2066,
    0x0cce2090,0x43884834,0x8350e20b,0xb8498ad8,0x10481c40,0x80902447,
    0x4a609094,0x40ae5304,0xa8482404,0x880b9c41,0x4c930333,0xa81c1ccc,
    0x42e0f220,0x2290a838,0x112224c3,0x9d105b9d,0x5b9d105b,0xdce88240,
    0x88483a82,0x99d105c3,0x5c4883b9,0x40e205c0,0x00c87104,0x481e9809,
    0x95412550,0x0480903a,0x10b85309,0x05b9d107,0x00722075,0x41e45bb1,
    0x0a85aaad,0x7d507155,0x33388197,0x22066710,0x88240333,0x33aa0333,
    0x66ee43ca,0x50e20dcc,0x20d43883,0x84814c1a,0x4b624ec8,0x00ccecc8,
    0x43606a09,0x0b30d81a,0x21209012,0x2d556c19,0x2c8199c4,0x0062a837,
    0x999b9802,0x7190541b,0x83880640,0x388e0e23,0x07104838,0x02006a07,
    0x220d4388,0x71220d43,0x20040240,0x91048029,0x93122498,0x240480d8,
    0x4dcc4848,0x41c41b99,0xcabcb9a3,0x98807e64,0x15120903,0x39881e44,
    0x1c490710,0x90907124,0x22120e20,0x81cc4039,0x0e20d438,0x577b5035,
    0x0e620240,0x02403b88,0x9109b791,0x907509b7,0x39890480,0x41c44824,
    0x04060754,0x3ae02a20,0x227d910c,0x440f22dd,0xccec880a,0x99d915cc,
    0x33b22b99,0xd9915ccc,0x33b22199,0x0a885ccc,0x64405440,0x641bb52e,
    0x201bb31d,0x99d99100,0x00015101,0x101e765c,0x91380100,0x322199d9,
    0x9d70ccec,0x0ceb8799,0x3b227d91,0x0075cccc,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0c182000,0x8a80cb26,0x06aaa619,0x28018183,0x0c1802a0,0x27003750,
    0x0c66440a,0x18220140,0x88150010,0x02cccccc,0x8300b800,0x4c40a881,
    0xaa981999,0x8009801a,0x8084c009,0x2228752b,0xcad89660,0xa81c98c0,
    0x4ccc448b,0x215c5d40,0x9591039b,0x2a039101,0x1ce02b8b,0x220ea720,
    0x32202b88,0x32b200ca,0x9879b701,0x21c42cad,0x801f1038,0x2e2ea02c,
    0x71dcde42,0x88195557,0x5c400999,0x101dc403,0x0810d377,0x530d47e6,
    0x99991050,0xc8831819,0x5cc0cccc,0x98288cc1,0x260180a0,0x005cc01b,
    0x4cc980c6,0x150060c0,0x70aa72a0,0x01c1c458,0x98018803,0x0124081b,
    0x66666449,0x5d99502c,0x5c403880,0x33332238,0xabc982cc,0x04dd441a,
    0x802e2048,0x2e02e204,0x9ba880b8,0x5440b880,0x1a882aa1,0x21a882aa,
    0x055700aa,0x80aa8551,0x22a200b9,0x44370e0b,0x0b980333,0x40646e20,
    0x404800b9,0x10e21c44,0x51071375,0x22a07137,0x38871038,0x4099ab88,
    0x480ea8ac,0x20971790,0x09717904,0x56437115,0x22f20ea8,0x3711cc4b,
    0x306e2398,0x9480dc47,0x0d881b10,0x112e2b22,0x26799599,0xb9d10d42,
    0x2e2b2205,0x2fa8bc84,0x425c5644,0x0a602da8,0x56c47071,0x56c43bc9,
    0x4e4c3bc9,0x707103bb,0x22403524,0x98350901,0x4c1a8482,0x120aee22,
    0x88a60d43,0x50e20d43,0x40d43883,0x2c901738,0x70cc0b89,0x98354a81,
    0xb80cce22,0x64170cc0,0x06605c3a,0x88480b26,0xc81b0333,0x90f206c3,
    0x267103c8,0x9806a581,0x90901ccc,0x41212120,0x302e6334,0x48243999,
    0x388350e2,0x350e20d4,0x2a0e2170,0x6c299d99,0x124ccccc,0x10d429ac,
    0xcccd8707,0x91c924cc,0x4cccccd8,0x442406e0,0x98482dce,0x121cc243,
    0x373a2073,0x4006a682,0x048481c8,0x12090909,0x1c880e51,0x54389209,
    0x106a1c41,0xaad81a87,0xc8cb885a,0x81c01c0a,0x1c438712,0x5d200e24,
    0x30007122,0x27105305,0x43a85819,0x2a243a85,0x20667103,0x20dc0a67,
    0x4298482a,0x4298481a,0x71984c1a,0xa8532a83,0x903b3241,0xb3240ecc,
    0xb999b983,0x30994c81,0x2a0d4105,0x32238960,0x4c5cccce,0x98b6a082,
    0x088414c2,0x3880b824,0x87b07238,0x82e1ec1c,0x4707103d,0xb9e5de47,
    0x0904cabc,0x240b2f2a,0x702cbca8,0x655e5c75,0x4165e544,0xb85bccbb,
    0xbb85bccb,0x48245bcc,0x2a0b52d8,0x5dc2dbbc,0x6decc2aa,0xca80a800,
    0x332e2dbb,0x779503cb,0x32f7625b,0x20e20902,0x74f5ee44,0x74f5ee42,
    0x36b6f222,0x16483881,0xc8818022,0x8080ccec,0x80ccecc8,0x00600800,
    0x01000801,0x0ceb8020,0x80007d91,0x02004008,0x1101b980,0x44002288,
    0x22000200,0x85ccccec,0x80088008,0x66764400,0x000005cc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x030c4000,0x8001d4ae,0x15009998,0x50099980,0x88ea5701,0x09993001,
    0x0cc00c18,0x2a202228,0x802802aa,0x9802a028,0x014018ac,0x00540288,
    0x54540ccc,0x20140000,0x0d159828,0x8165dc0c,0x207d0040,0xac82aaad,
    0x4e66441c,0x8102b80b,0xb8003260,0x2a2e602a,0x93025403,0x0cccc095,
    0x20195910,0x072200c9,0x9101c98c,0x064c01b5,0x5c407220,0x5c5c1999,
    0x87259300,0xc980cac8,0xfb804100,0xcc881983,0x11019910,0x14110120,
    0x18839cb2,0x19999910,0x1290005c,0x05003710,0x664c0510,0x0c060c04,
    0x22ca8300,0x060c1cca,0x380c0018,0x44252044,0x4187b32c,0x33260181,
    0x71032204,0x1b873023,0x04811b88,0x86c11b88,0x02371073,0x1b88b824,
    0x8805ce20,0x257101ba,0x550d4438,0x300aae01,0x005cc017,0x41b50173,
    0xaa86a238,0x0aa86a20,0x20aa86a2,0x84a403c9,0x220f220b,0x4017100b,
    0x2ee002ab,0x11b85c98,0xb9317707,0x5c1cddd8,0x52e5c98b,0xc98bb873,
    0x332e0905,0x10b80ca9,0x75137107,0x91995150,0x406e2398,0x22b22094,
    0x5c56444b,0x25c56444,0x4c388eaa,0x47306e23,0x711cc1b8,0x440c89c3,
    0x922cecec,0xb8bc8958,0x825c5e44,0x29862094,0x26129038,0x99204382,
    0x3a5d4382,0x8240e0a6,0xaad8485b,0xe809005a,0x2a1c4330,0x70173881,
    0x302e1981,0xa86605c3,0x388710b8,0x350e20d4,0x350d4388,0x444a41d4,
    0x1a85c323,0x14c1a94c,0x2f405ce2,0x81e98007,0x0e530003,0x0038e700,
    0x4482b824,0x81b999b9,0x6446cccb,0x24cccecd,0x85c0d438,0xccccd838,
    0x3333364c,0x3333364c,0x38a42a4c,0x7106a1c4,0x2a1c41a8,0x33885cc1,
    0xa415b5b5,0x2904921b,0x710b8904,0x002e1f98,0x0002e090,0x70005c6a,
    0x12000b8e,0x412241dc,0x1b120dc4,0x1a87102c,0x385aaad8,0x80380380,
    0x8871550a,0x50e20d43,0x80d43883,0x3b3138ab,0x2439c83b,0x44825209,
    0x25c5aaad,0x0480a0e2,0x20cc5071,0x9c0a0e24,0x240a0e23,0xd71c46b8,
    0x48fb2219,0x2e8922c4,0x20ecc902,0x41b999b9,0x20a60829,0x0a820a60,
    0xd9920e32,0x20766481,0x49807664,0xb8b50948,0x26350a61,0x33730d42,
    0xca814373,0x81201bbb,0x221bbbca,0x6541cbdc,0x0e701bbb,0x20377795,
    0xcbdada84,0x5950e003,0x5e449b57,0x5c1dbccc,0x8245bccb,0x2dbbca84,
    0x216dde54,0x2a2dbbca,0x2ee0f220,0xcbb85bcc,0xccbb85bc,0x8850265b,
    0xbcad838b,0x2cbca81c,0x12165e54,0xb8010024,0x00203cec,0x54401002,
    0x10081c8c,0x20199d99,0x40ba8000,0x100c1800,0xc88675c0,0x8801103e,
    0x36204400,0x0040f22d,0x4c010008,0x5440bbab,0x00104c28,0xceb80801,
    0x0007d910,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x98000000,0xa828001c,0x4054c02b,0x11418302,
    0x40280003,0xa80a200a,0xc981a800,0x1d87428b,0xb028bc98,0x664c0721,
    0x03a95c2c,0x88041101,0x0a986a00,0x20a17930,0xcca811b8,0x5999501c,
    0xcc89ccb8,0x2591063c,0x473220da,0x07384cc9,0xca8673a2,0x6d6c42c9,
    0x806564c0,0xac883cca,0x16564c0c,0x3910064c,0x30b26ea0,0x80410726,
    0x08203931,0x2004ccc0,0x64173220,0x40350499,0x9106e239,0x770e76a5,
    0x9988b931,0x02666201,0x47f72412,0x02e1c40b,0x202e2071,0x048900d8,
    0x92014405,0x89060c0b,0x03000c0c,0x0171090e,0x2a203751,0x2a1a881b,
    0x2017300a,0x209080b8,0xbc980aa8,0x2a1c42aa,0x31a205c1,0x1ba88705,
    0x02aa1a88,0x20c89209,0x440b8904,0xc81ba883,0x71091202,0x20375101,
    0x75102e38,0x22298903,0x375101ba,0x322c4510,0x26e24b8b,0x44dc43a8,
    0x2e23983a,0x25c56441,0x2412e2f2,0x57102aa8,0x54388133,0x01c58241,
    0x41d44dc4,0x0906e239,0x17038812,0x710e205c,0xa8d87513,0x43b8bb82,
    0x2e24b8bc,0x8b883a89,0x544dc44d,0x5c4ee2c3,0x4dc43a89,0xbc8d43a8,
    0x405306a5,0x43884804,0x46605c1a,0x82414c1a,0x806a0499,0x0710d438,
    0x8000b86e,0x20d43884,0x90480904,0x401c40b8,0x224d6644,0x06a1ece8,
    0x1c424053,0x64c48093,0x01204ab9,0x92531512,0x6665c904,0x86cccb86,
    0x3360d438,0x2094cccc,0xb8240484,0x4c903cdd,0x20c8241d,0x665c2838,
    0x0d43886c,0x43b32412,0x440b8904,0x46cccb83,0x2c58a61d,0xcccb9209,
    0x71543886,0x1510d999,0x36665c73,0x2a36665c,0x48249488,0x20dc4837,
    0x20d43884,0x48482403,0x80350240,0x244bccbb,0xbbbca868,0x710906e1,
    0x20aa41a8,0x43a8fee3,0x0a60d42b,0xa4244837,0x9048d429,0x8710906e,
    0x40483738,0x5c48371c,0x64caa241,0x91a8530d,0x16224588,0x2983b324,
    0x81a85308,0x05302404,0x0e605c10,0x4481c057,0x0ecc9058,0x04198d52,
    0x440e5ecc,0x16224244,0x4890d453,0x112350a6,0x8d4e710b,0x49502c44,
    0xb1122c44,0x5e540488,0x2aeb2a2c,0x2aeb2a4d,0xbccbb84d,0x2dbbca85,
    0x240b2f2a,0x97790120,0x4c1aa807,0x26203dbc,0xdabaca83,0x5bccbb84,
    0x12f673ae,0x5010bd80,0x59505b7b,0xbcb89b57,0x20e5e4c3,0x32a2cbca,
    0x3224daba,0x56549776,0x3aee4dab,0x6d5d6543,0x36aeb2a4,0x02010e44,
    0x10008008,0x01004400,0x2199d991,0x02ccecca,0x02000011,0x00802a20,
    0x00080010,0x80f2eaee,0x01000800,0x00802004,0x04008040,0x10020020,
    0x000059bb,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0b980000,0x01c00988,0x22051038,0x9a81512a,
    0x182602b9,0x206a0004,0x2001801a,0x20026001,0x06202881,0xc98c188a,
    0x01830002,0x1001302a,0x25701375,0x2084c44a,0x15950018,0x22013105,
    0x5544b8ac,0x32007205,0x2620ee01,0x74c39cac,0x5910598c,0x1001d839,
    0x029898bf,0x0254012a,0x2a02cbb8,0x20e2a21d,0x564c4bbc,0x3906e40c,
    0x5b103f10,0x710ee01b,0xd5159007,0xad540801,0x3003930e,0x16aa0326,
    0x1206605c,0x00440044,0x202e8054,0x15005c48,0x26000070,0x080e081b,
    0x050c401c,0x21c06b22,0xb814401a,0x28030380,0x66e4c0c0,0x26031204,
    0x2a1d200b,0xaa86a201,0x33360900,0x50484ccc,0x2e66a055,0x24055502,
    0xa8350e20,0x33502b99,0x55004057,0x3220e3b8,0x2a3b81c2,0x06a2e02a,
    0x200da82e,0x05c002aa,0x54155555,0x2aa0aaaa,0x54e20aaa,0x83999302,
    0x904b8ac8,0x2154c6a0,0x2406e239,0x0af20038,0x33a60933,0x04998598,
    0x1a871012,0x42cc674c,0x70598ce9,0x32671081,0x2032a1c0,0x2660ecc3,
    0x886a7104,0x30064c13,0x99995093,0x27225b99,0x26722599,0x26672259,
    0x24c56c45,0x40b87220,0x23504819,0x2a1c40bc,0x05306901,0x1201ea81,
    0x2402e244,0x54388090,0x102e2441,0x425c0b89,0x393c8ab9,0x2eb26aaa,
    0x2e6aaa2a,0x92090393,0x82aaa61a,0x1a84800b,0x8190c350,0x06430321,
    0x0dc17122,0xccccd8aa,0x7350484c,0x0350e205,0x2f2a1eb2,0x012aa2db,
    0x0350e209,0x333b2a12,0xd8976443,0x106a1c45,0x00321a87,0x70aaa195,
    0x260e1119,0x0905550c,0x00573393,0x2412002e,0x64039048,0x0e207201,
    0x655e5c35,0x209001c4,0x50e204da,0x17101203,0x44120240,0x40480d43,
    0x1c401000,0x1a87106a,0x5c455012,0x0a606e29,0x4145c475,0x4caaa884,
    0x4005c144,0x82a83704,0xb806e01b,0x01a87101,0x2020a609,0x40933504,
    0x02407664,0x40480ae2,0x01a87104,0x44024409,0x1a871039,0x1b86a1c4,
    0x3baa80aa,0x55401540,0x1a80483b,0x002e0322,0x2cbca812,0x2a8622a8,
    0x8622a862,0x4c40d438,0x5b779503,0x1cc6a090,0x05bccbb8,0x332a0009,
    0xd9952cce,0x4bb22599,0x3b32a5d8,0x400d42cc,0x2ec880a8,0x97644bb1,
    0x5e6545d8,0x2e03b800,0x297003ac,0x82ccecca,0x91030ddb,0xd995079d,
    0x44020599,0xd12dccce,0x3a25b999,0x3722dccc,0xa881bb31,0x32a04400,
    0x3b52ccec,0x8020b7a2,0x02ccecca,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0700a600,0x43510026,0x262a60aa,
    0x260e00ab,0x44000bcc,0x4b2e2009,0x01ccc981,0x30337971,0xc8859999,
    0x3999301b,0x33333330,0x390304c1,0x99507971,0x9acb8859,0x0351b980,
    0x20151175,0x2aa01303,0x664c6a60,0x4d439952,0x404402b9,0x0902c9bc,
    0x47300771,0x332e21b8,0x86881da9,0xa8241225,0x2219105a,0xc8865c5b,
    0x0d506c43,0x3b33c848,0x47910cb8,0x95906008,0x2619b103,0x204ccc44,
    0x6445d10c,0x220ccc9a,0x40adc99c,0x203500c8,0xb83620c9,0x33a61c40,
    0x97790498,0x3a61214c,0x4401c40a,0x212e0d43,0x03502005,0x01904809,
    0x8d5cd549,0x00a0321b,0x2a582989,0x23735532,0x02a06008,0x5c4242c4,
    0xb86614c0,0x3a121e40,0x79500980,0x14c48555,0x4887102e,0x8006a05c,
    0x1e62ee0b,0x22057371,0x206e0d43,0x64015544,0x48240480,0x444ca580,
    0x22400125,0x84d63703,0x40115888,0x02a25511,0x8bc89071,0x2120244b,
    0x105c2439,0xb882a255,0x91cc199a,0x44388170,0x57b50d43,0x12244015,
    0x598bd883,0x2e0d4388,0x024cc483,0x7665c3b5,0x070483cc,0x4915e490,
    0x04890004,0x14815253,0xac988c01,0x5c1c439c,0x22298350,0x5c240bcb,
    0x3106c243,0x1a873959,0x0b839a40,0x350e21c4,0x804cce4c,0x22014c48,
    0x992205c4,0xb8975c1d,0x20240902,0x80482404,0x9248a2a4,0x9071dcc8,
    0x15255048,0x20c01148,0x2e0e202e,0x64412090,0x1ecc3261,0xe80ea8ea,
    0x73006a02,0x87102e09,0x02e0d438,0x08901910,0xd106a1c4,0x9b8b7997,
    0x81200ccb,0x41202400,0x9c4e400e,0x241a39a8,0xd81a8909,0x22e6e390,
    0x20c01139,0x91c1c404,0x44480d20,0xc9838bcb,0x40480aac,0x503c801a,
    0x0f642983,0x2200b835,0x0ef32604,0x5c41a871,0x90005c00,0x90120140,
    0xc8911260,0x07512619,0x88710649,0x843224c4,0x41802248,0x3241c404,
    0xa8591a85,0x5c01c401,0x014c0480,0x03891024,0x300b8170,0x22090089,
    0x00e20d43,0x7048002e,0x1200c07f,0x40cbbea8,0x80cdadd8,0x223cacea,
    0xc880bbbc,0xadd884db,0x180220cd,0x227b2024,0x65e542bb,0x0f2eeb22,
    0x0b100e20,0x32ef2012,0x36a01c43,0x709002bb,0x33333601,0xdc88481d,
    0x0281bb32,0x950266d4,0x818599d9,0x53cccccb,0x20599d99,0x10018008,
    0x04004403,0x33310180,0x32a33333,0x08803cce,0x20010020,0x664c2dcc,
    0x6676540c,0xb9702203,0x30010039,0x6764c179,0x000000cc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2ccca800,0x4cccccc8,0x106f3322,0x75105199,0x2f332203,0xc8866441,
    0x2333320c,0x99997300,0x40f33225,0x2a028bc9,0xcccc883c,0x4cb2a2cc,
    0x0666643c,0x880cccc8,0x999911a5,0x3332e599,0x6666440b,0x19950001,
    0x6644b326,0x19970ccc,0x8800f322,0x419914cc,0x709952cb,0x22492401,
    0x8849510b,0x544dc42b,0x12a21703,0x3881b873,0x171590ae,0x20133324,
    0x4a603931,0x2417901a,0x3881a871,0x10402980,0x92388710,0xb51c41c8,
    0x9048b500,0x24824120,0x6438803c,0x206a1c41,0x9242cccb,0x45502e24,
    0x209002aa,0x46e1540b,0x05471039,0x54905c55,0x5733502a,0x5d4c0240,
    0xeeeed920,0x9803885e,0x88155402,0x11212383,0x59302987,0x12092490,
    0xb30e20dc,0x0c89c405,0x5c0d4388,0x19219260,0x9332405c,0x41b332e0,
    0x0948480b,0x8b8901c4,0x9824cc12,0x150598ce,0x828b8b80,0x9c40d438,
    0x0577302b,0x99c41266,0x221a8481,0x0f220dc3,0x41239548,0x00b89104,
    0x91710395,0x0350e201,0x9910b817,0x6ee4199d,0x2e12122c,0x66ee4241,
    0x35d73122,0x5c480e20,0x2441206c,0x19bb902e,0x44365d20,0x881dccce,
    0x07aa0573,0x6e744120,0x22298482,0x6dc2cbad,0x948ca400,0x02448120,
    0x3776225c,0xb999d100,0x90581703,0x242405c0,0x05c16224,0x06766624,
    0x5c4821c4,0x1c412028,0xb102406a,0x871051b5,0x1043881a,0x09008599,
    0x4240cce2,0x36672219,0x90065c40,0x40904a52,0xcb803529,0x80c8ac40,
    0x5dc0d438,0x40901cba,0x4241c40b,0x84dabaca,0x2aa1c40b,0xb87102ad,
    0x0305c530,0x0350e209,0x64d54071,0x0d438860,0x4442e1c4,0x82405c29,
    0x12123838,0xc8824471,0x26e73703,0x09480903,0x23880e54,0x0d438848,
    0x1200cd5c,0x240640b8,0x05c0cc10,0x22024032,0x2e3905c3,0x1c412120,
    0x4502e06a,0x0e2482e4,0x0b871035,0x1202e14c,0x989241c4,0x80e61c43,
    0x98e542d9,0x9b80902c,0x4402c983,0x50e20643,0x02ccda83,0xd8859d95,
    0x32a0cccd,0x2202ccec,0x3337622b,0x1cec980c,0xdcccddc8,0x66676540,
    0x599d9955,0x2ec4bb22,0x4b3333ae,0xcccea9eb,0x6eccbb25,0x33337720,
    0x3337720d,0x9d9950dc,0x333b2259,0x999d75cc,0x644ec887,0xd1a61403,
    0x66766443,0x0280e880,0x3624ec88,0x36a5d912,0x0000000d,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x01999900,0x52c88395,0x30e65459,0x33220999,0x19910ccc,0x66443322,
    0x32a19910,0x5c000bcc,0x41cccccc,0x33320cca,0x99914ccc,0xa8551059,
    0x026ea20a,0x440e2171,0x261a860b,0x06ea218a,0x2e201730,0x550d4411,
    0x0646e201,0x712b8824,0x35102e20,0x815102a2,0x32264038,0x07106d45,
    0x90e20aae,0x260dc398,0x442e0dc3,0x2120903b,0x92482429,0x44598e24,
    0x5906c40d,0x27221d51,0x5e448c9c,0x8e62bcb8,0x13712cb8,0x71591075,
    0x5c98bb89,0x903711cc,0x0a05f517,0x24665454,0x9892e2f2,0x45439cac,
    0x2f201c43,0x3aa89910,0x884a40e2,0x446e06e3,0x20e63703,0x9048240b,
    0x48244330,0x530e2492,0x22449648,0x987c42e1,0x44698352,0x21200d43,
    0x8298cc0b,0x706a1c43,0x0001d641,0x20d4661d,0x2a016c29,0x23201c43,
    0xb8a89173,0x2e710710,0xa4091080,0xb824e404,0x49048240,0x48a03203,
    0x541c388a,0x4c299d99,0x9d121ccc,0x22c12999,0x32e0d438,0xcccd86cc,
    0x220074cc,0x1c920d43,0x666665c9,0x99d9b913,0x12241299,0x03882e20,
    0x151294a4,0x885c1c52,0x3d301203,0x5700f880,0x665c7933,0x33323cce,
    0x06e95705,0x7e674412,0xac8cb884,0x22472200,0x71120906,0x0906e1a8,
    0x8800b807,0x15d20d43,0x0b06c009,0x88122412,0x021c4150,0x2a24b669,
    0x5b071550,0x086e0b55,0x07770090,0x4802aaee,0x55481c90,0x21c41209,
    0x8994c849,0x31a9541b,0x5429843b,0x48766481,0x8414c2c4,0x26482838,
    0x5316d41d,0x45d12400,0x241a8530,0x87106aa0,0x5122920b,0x2e61c641,
    0x1cc1b999,0x55012071,0x4002e0ae,0x6c900904,0x20e20901,0x45a96c0b,
    0x644cabcb,0x543b795b,0x97702cbc,0x5d654979,0xbbca84da,0x2eef2a2d,
    0x5bccbb81,0x01e5e65c,0x9997910d,0x65e543b7,0x0f33b2a2,0x905c3880,
    0x64415120,0x12248243,0x48812071,0x4002e064,0x99500904,0x220903b7,
    0x0c000583,0x00200810,0x88002002,0x80200200,0x80200228,0x000100c1,
    0xcccddc80,0x2219d70d,0x45bb13ec,0x4433ae3c,0x999b53ec,0x3cecb879,
    0xec88674c,0x80599b51,0x01cceb81,0x3cecb804,0x33333b22,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x4ce26600,
    0x5044100b,0x0a985555,0x85544351,0x11010aa8,0x4055c454,0xa954c020,
    0x0006a60a,0x9882040c,0x03870620,0xb8177101,0x950dcc3d,0x20999999,
    0xccccccc8,0x31064400,0x50547660,0x22599999,0xbbbbbbbb,0x2eeeeee1,
    0x000003bb,0x917b37d3,0x44362770,0x6cc5a99c,0x5dc45b10,0x32217710,
    0x3660cccc,0x31c8498b,0x2b63b109,0x0b812660,0xfd6f84a8,0x98dd17d4,
    0x83d30394,0x1b9cc908,0x9200aa55,0x752b8003,0xa564cfee,0x3227f729,
    0x13333310,0x44444444,0x4cccccc0,0x00000199,0x29712492,0x0190c0e8,
    0x22407293,0x90910c84,0xb52d80b8,0x24019190,0x1c088b8c,0x3e66da74,
    0x3d305f11,0xca832910,0x4954aa5b,0x298a4024,0x77777771,0x91043001,
    0x00018087,0x00000000,0x32492480,0x0e403f35,0x85c03d30,0x1c244848,
    0x6b97402a,0x21201ee4,0x1c0bdec9,0x3e25b9ec,0x12b20d70,0x26924432,
    0x2352eec5,0x1514802a,0x04444444,0x00000000,0x00000000,0x92492000,
    0x2e07b0e9,0x10256402,0x091202e7,0x0e980a87,0x4093487b,0x0e099104,
    0xd9a1d4ae,0x44931c81,0xaab984c1,0x001b9802,0x00000003,0x00000000,
    0x00000000,0x0d989249,0x0622a85b,0x94812219,0x21333320,0x43620543,
    0x406a483c,0xa88a6904,0x0104002b,0x00000102,0x00000000,0x00000000,
    0x00000000,0x5b1eb800,0x864910f2,0x12dccce8,0x03b663bd,0x10260766,
    0x6c477223,0xa82a86c4,0x664cb63e,0x00822cce,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_17_latin_ext_x[560]={ 0,3,1,1,1,1,1,3,4,2,0,1,2,1,
3,1,1,1,1,1,1,1,2,1,1,2,3,2,0,0,0,0,1,0,0,0,1,0,1,0,0,1,1,0,
0,0,0,0,1,0,0,1,1,0,0,0,0,0,1,0,0,0,1,0,3,1,0,1,0,0,1,0,0,1,
1,1,1,0,0,1,0,0,1,1,1,0,0,0,0,1,1,0,4,0,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,3,1,0,1,0,
4,1,2,0,0,0,0,1,0,-1,2,1,2,2,3,0,1,3,3,2,2,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,1,1,1,1,-1,0,0,0,0,0,0,1,0,0,0,0,0,0,1,0,1,1,
1,1,1,1,0,1,0,0,0,0,1,1,1,1,0,0,1,1,1,1,1,1,0,0,0,0,0,1,0,1,
0,1,0,1,0,1,0,1,0,1,0,1,0,1,1,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,0,0,1,1,0,1,1,0,1,0,
1,0,1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,1,0,1,0,1,0,0,0,1,0,1,0,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,
0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,0,
1,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,1,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__courier_17_latin_ext_y[560]={ 12,2,2,2,2,2,4,2,2,2,2,3,9,7,
10,1,2,2,2,2,2,2,2,2,2,2,5,5,3,6,3,3,2,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2,1,2,2,15,2,5,2,5,2,5,2,5,2,2,
2,2,2,5,5,5,5,5,5,5,3,5,5,5,5,5,5,2,2,2,6,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,12,5,2,3,4,3,
2,2,2,3,2,5,7,7,3,1,1,2,2,2,2,5,2,6,11,2,2,5,2,2,2,5,0,0,0,1,
1,0,3,3,0,0,0,1,0,0,0,1,3,1,0,0,0,1,1,5,2,0,0,0,1,0,3,2,2,2,
2,3,3,2,5,5,2,2,2,3,2,2,2,3,2,3,2,2,2,3,3,4,5,2,2,2,3,2,2,2,
1,3,0,2,3,5,0,2,0,2,0,2,0,2,0,2,3,2,1,3,0,2,0,2,3,5,0,2,0,2,
0,2,0,2,3,2,0,0,3,2,1,3,1,3,0,2,3,2,0,5,3,2,0,2,3,2,5,0,0,3,
2,3,2,3,2,3,2,0,2,3,5,0,2,2,3,5,1,3,0,2,0,2,3,5,0,2,3,5,0,2,
0,2,0,2,3,5,0,2,3,3,0,2,3,3,0,3,1,3,0,2,0,2,0,2,3,5,0,2,0,2,
1,0,2,0,2,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,3,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,3,5,2,2,2,2,2,2,2,2,2,2,2,2,2,2,5,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,0,2,0,
2,0,2,0,1,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,-3,-1,0,2,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static unsigned short stb__courier_17_latin_ext_w[560]={ 0,3,7,7,7,7,7,3,3,3,6,7,4,7,
3,7,7,7,7,7,7,7,6,7,7,6,3,4,8,9,8,6,7,9,9,9,8,8,8,9,9,7,8,9,
9,9,9,8,8,9,9,7,7,9,9,9,9,9,7,3,6,3,7,10,3,8,9,8,9,8,8,9,9,7,
6,8,7,9,9,7,9,9,8,7,7,9,9,9,9,8,7,4,1,4,7,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,0,3,7,8,7,9,
1,7,5,9,5,8,8,7,9,11,5,7,5,5,3,9,7,3,3,5,5,9,9,10,9,6,9,9,9,9,
9,9,9,9,8,8,8,8,7,7,7,7,9,9,8,8,8,8,8,7,9,9,9,9,9,9,8,8,8,8,
8,8,8,8,9,8,8,8,8,8,7,7,7,7,8,9,7,7,7,7,7,7,9,9,9,9,9,8,9,8,
9,8,9,8,10,8,9,8,9,8,9,8,9,8,8,10,9,9,8,8,8,8,8,8,9,8,8,8,9,9,
9,9,9,9,9,9,9,9,9,9,7,7,7,7,7,7,7,7,7,7,9,8,8,6,9,8,7,9,7,9,
7,9,7,9,7,9,7,9,9,9,9,9,9,9,9,8,8,7,8,7,8,7,9,9,9,8,9,8,9,8,
7,7,7,7,7,7,7,7,7,7,7,7,7,8,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,8,
9,7,7,7,7,7,7,8,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,7,9,9,9,
9,9,9,9,9,9,9,9,9,9,10,8,9,9,9,9,9,9,9,9,9,9,9,9,9,10,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,8,7,7,8,
7,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,8,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9, };
static unsigned short stb__courier_17_latin_ext_h[560]={ 0,11,6,11,12,11,9,6,12,12,7,9,6,2,
3,13,11,10,10,11,10,11,11,11,11,11,8,9,9,4,9,10,11,9,9,10,9,9,9,10,9,9,10,9,
9,9,9,10,9,11,9,10,9,10,9,9,9,9,9,12,13,12,5,2,3,8,11,8,11,8,10,10,10,10,
13,10,10,7,7,8,10,10,7,8,10,8,7,8,7,10,7,12,12,12,3,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,0,10,10,9,7,9,
12,11,3,10,5,7,5,2,10,2,5,10,6,6,3,10,11,3,4,6,5,7,10,10,10,10,12,12,12,11,
11,12,9,12,12,12,12,11,12,12,12,11,9,11,13,13,13,12,12,6,11,13,13,13,12,12,9,11,11,11,
11,10,10,11,8,10,11,11,11,10,10,10,10,9,11,9,11,11,11,10,10,8,8,11,11,11,10,13,13,13,
11,10,12,11,11,9,13,11,13,11,13,11,13,11,12,11,9,11,11,10,12,11,12,11,11,10,12,11,13,13,
13,13,13,13,12,13,12,12,9,10,11,9,11,9,12,10,12,13,12,7,10,13,13,13,12,13,7,12,12,12,
13,9,10,9,10,9,10,12,10,12,10,12,10,10,10,10,12,10,13,11,13,11,9,8,12,10,12,10,12,10,
13,11,13,11,12,10,13,11,13,13,12,11,9,10,13,10,12,10,13,11,13,11,13,11,12,10,12,11,12,13,
11,12,10,12,10,12,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,12,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,8,10,10,10,10,10,10,10,10,10,10,10,10,10,11,8,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,12,11,12,10,13,
11,13,11,13,12,13,13,13,13,13,13,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,15,14,12,11,13,11,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10, };
static unsigned short stb__courier_17_latin_ext_s[560]={ 238,249,105,206,152,49,95,113,189,237,92,
78,117,205,197,229,141,167,1,187,242,29,31,195,38,81,251,250,188,169,225,
55,106,31,111,78,169,160,86,98,244,207,108,234,1,11,21,117,69,1,178,
173,103,227,215,197,59,49,41,160,30,138,130,213,201,168,71,186,222,177,246,
191,17,47,37,87,70,1,56,233,37,181,241,131,210,195,38,121,28,218,20,
172,195,206,189,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,
136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,238,252,9,
103,48,55,211,198,179,126,138,11,156,205,88,224,144,62,250,250,250,27,46,
185,165,99,150,66,224,213,203,196,213,223,243,103,240,11,112,31,41,50,59,
243,68,164,135,63,18,158,133,152,170,171,180,122,214,189,209,219,125,161,1,
63,97,88,72,131,122,22,223,213,149,140,131,70,149,131,234,152,132,93,65,
232,224,114,159,215,205,188,178,168,140,237,1,11,121,222,218,92,81,36,20,
54,40,37,44,20,79,1,209,232,45,212,203,150,119,178,228,159,149,114,76,
123,179,123,199,159,184,69,85,149,105,115,122,52,17,28,33,85,201,175,153,
176,193,84,241,202,211,169,143,89,76,185,177,95,98,65,79,132,106,142,123,
21,139,1,166,233,176,186,155,237,197,165,106,41,60,25,75,139,142,201,128,
157,109,146,115,241,141,57,55,62,133,9,194,220,1,1,10,183,228,96,79,
231,50,73,30,83,246,93,246,192,99,113,27,114,10,71,44,63,28,47,36,
1,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,18,136,136,238,
136,136,136,136,136,136,136,136,136,136,136,136,136,202,149,136,136,136,136,136,
136,136,136,136,136,136,136,136,11,158,136,136,136,136,136,136,136,136,136,136,
136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,9,54,
19,10,161,46,142,111,123,89,104,94,84,74,64,54,136,136,136,136,136,136,
136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,
136,136,136,1,11,37,101,20,168,136,136,136,136,136,136,136,136,136,136,136,
136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,
136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,
136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,
136,136,136,136,136,136,136,136,136, };
static unsigned short stb__courier_17_latin_ext_t[560]={ 28,44,135,69,31,57,125,135,44,44,135,
125,135,135,135,1,57,81,104,57,92,69,81,57,81,81,81,69,115,135,115,
104,81,125,125,104,115,115,125,104,115,115,104,115,125,125,125,104,125,81,115,
104,125,104,115,115,125,125,125,31,1,31,135,135,135,125,69,125,57,125,104,
104,104,104,1,93,104,135,135,125,104,104,125,125,104,125,135,125,135,104,135,
31,31,31,135,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,
104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,28,57,104,
115,135,115,31,69,135,104,135,135,135,135,104,135,135,104,92,125,99,104,69,
135,135,135,135,135,92,92,92,92,31,31,31,57,69,44,115,44,44,44,44,
57,44,31,44,69,115,69,1,1,1,44,44,135,69,1,1,1,44,44,115,
81,81,81,81,81,81,81,125,81,69,69,69,93,92,92,92,115,57,115,57,
69,69,81,81,125,125,69,69,69,81,1,17,16,69,81,44,69,69,115,15,
69,15,69,1,69,15,69,44,57,115,57,57,81,31,57,44,57,57,92,44,
57,1,15,1,15,15,15,44,15,44,44,115,93,57,115,57,115,44,81,44,
15,44,135,81,15,15,15,44,15,135,31,31,44,15,115,93,115,93,115,92,
44,92,44,92,31,92,92,104,104,31,104,15,57,15,57,115,125,31,104,31,
92,31,104,15,44,15,57,31,93,15,57,15,15,31,57,115,81,15,93,31,
81,15,57,15,57,1,57,15,81,31,57,31,1,69,31,93,31,93,31,93,
93,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,93,104,104,15,
104,104,104,104,104,104,104,104,104,104,104,104,104,81,125,104,104,104,104,104,
104,104,104,104,104,104,104,104,81,125,104,104,104,104,104,104,104,104,104,104,
104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,31,81,
31,93,1,81,1,69,1,31,1,1,1,1,1,1,104,104,104,104,104,104,
104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,
104,104,104,1,1,31,69,1,57,104,104,104,104,104,104,104,104,104,104,104,
104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,
104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,
104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,
104,104,104,104,104,104,104,104,104, };
static unsigned short stb__courier_17_latin_ext_a[560]={ 144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_17_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_17_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_17_latin_ext(stb_fontchar font[STB_FONT_courier_17_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_17_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_17_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_17_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_17_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_17_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_17_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_17_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_17_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_17_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_17_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_17_latin_ext_s[i] + stb__courier_17_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_17_latin_ext_t[i] + stb__courier_17_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_17_latin_ext_x[i];
            font[i].y0 = stb__courier_17_latin_ext_y[i];
            font[i].x1 = stb__courier_17_latin_ext_x[i] + stb__courier_17_latin_ext_w[i];
            font[i].y1 = stb__courier_17_latin_ext_y[i] + stb__courier_17_latin_ext_h[i];
            font[i].advance_int = (stb__courier_17_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_17_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_17_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_17_latin_ext_s[i] + stb__courier_17_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_17_latin_ext_t[i] + stb__courier_17_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_17_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_17_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_17_latin_ext_x[i] + stb__courier_17_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_17_latin_ext_y[i] + stb__courier_17_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_17_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_17_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_17_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_17_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_17_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_17_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_17_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_17_latin_ext_LINE_SPACING
#endif

