// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_18_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_18_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_18_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_courier_18_latin_ext_BITMAP_HEIGHT        164
#define STB_FONT_courier_18_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_courier_18_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_18_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_18_latin_ext_LINE_SPACING           8

static unsigned int stb__courier_18_latin_ext_pixels[]={
    0x20010000,0x00601800,0x00600080,0x800c3000,0x00008800,0x2015554c,
    0x00300000,0x88011000,0x00000800,0x00020008,0x1b102800,0xd8803900,
    0xc8076201,0x2542cc02,0x9dc04980,0x032ea03a,0x09300b20,0x26203d98,
    0x07720099,0x2a059a4c,0x36236204,0x12016600,0xb9013660,0x200b3003,
    0x1003a01d,0x440c81bb,0x801d800d,0x4006c00d,0x4c0a202b,0x64446c04,
    0xb405b501,0x00e40750,0x2a07231b,0xe8ae0933,0x20570d80,0x049804d9,
    0x49803362,0x9d401d00,0x0723b058,0x01b00498,0xc86c4038,0x00510321,
    0x0702006e,0x00088011,0x00062130,0x00062130,0x00062130,0x22000000,
    0x40000000,0x00000008,0x00000000,0x44000022,0x1c5c0c80,0x793014a0,
    0x66443999,0x666440ec,0x3bbba60e,0x44398dc2,0x87d913dd,0xdd88731b,
    0x1b87d913,0x13dd8873,0xcdc987d9,0x27bb14e8,0x33223ec8,0x4f7620ec,
    0x7bb13ec8,0xcc88fb22,0x4f7620ec,0x6e4c3ec8,0x7bb14e8c,0x1f5cfb22,
    0x31f5cbd3,0x777950bd,0x00775c37,0x23777795,0x201cdc0c,0x419303a9,
    0xc883626a,0x06441b10,0x1a800298,0x03500048,0x206a0009,0x4d9864c4,
    0x1b1240d4,0x90350644,0x362481a8,0x81a83220,0x4d9864c4,0x216240d4,
    0x20dc2c1b,0x0b81d839,0x323b0730,0x40100180,0x642f220e,0x50393a81,
    0x1ec4a607,0x481a87d5,0x43ea8f62,0x8f62481a,0x240d43ea,0x03512a12,
    0x51d40e49,0x481a8903,0x1a8ea072,0x22542448,0x20dc481a,0x24241b84,
    0x900b8098,0xc9864260,0x376e03ec,0x4c6c581c,0x205ac0b2,0x48485305,
    0x424240d4,0x24240d44,0x91206a24,0x481a8910,0x206a5816,0x0b240d44,
    0x4890352c,0x240d4488,0xb9203724,0x05c00481,0x540c8048,0x41902059,
    0x0b487238,0x4c1605ac,0x06a24242,0x35121212,0xa8909090,0x2e064481,
    0x0b240d44,0xa890352c,0x25816481,0x2064481a,0x4240d44b,0x48dc091b,
    0x00b80090,0x54819009,0x41a88803,0x05a4c574,0x260b02d6,0x06a24242,
    0x35121212,0xa8909090,0xa864c481,0xb240d44d,0x890352c0,0x5816481a,
    0x1931206a,0x9035136a,0x79006f20,0x17001603,0x88320160,0x666e4123,
    0x3224dc1e,0x32750592,0x85303a82,0x241cc484,0x20e62424,0x1cc48484,
    0x45edc424,0x59241cc4,0x241cc750,0x82c920e6,0x2120e63a,0x4c48bdb8,
    0x00b70483,0x200ec0b7,0x43ccecc9,0x1706401d,0x06a05c24,0x362598d3,
    0x06c43260,0x90aa0193,0x14c584b8,0x31612e24,0x584b8905,0x4244014c,
    0x41b114c5,0x0a62c0c9,0x06c45316,0x14c58193,0x262c2440,0x37003702,
    0x0ae06c40,0x5c0d8812,0xdccce872,0xb0762242,0x71059795,0xcb881b99,
    0x503600dc,0x985d3779,0x79503bbe,0xbe985d37,0x3779503b,0x3bbe985d,
    0x7d305700,0xb9971077,0x0777d301,0x220eefa6,0xe980dccb,0x057003bb,
    0x2c0777d3,0xce980580,0x015902db,0x40b6f3a6,0x5e4c4829,0x4312dbab,
    0x44008800,0x02dcca80,0x20020011,0x10010008,0x91002001,0x800807b9,
    0x10008008,0x01001100,0x403dcc88,0x07bb9700,0x400f772e,0x88008008,
    0x05c06400,0x00000004,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x75c00000,0x00776e1c,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x10000040,0x02100002,
    0x00037000,0x00000422,0x01333101,0x00000020,0x02571000,0x1c89d800,
    0xdd88014c,0x667666c0,0x0066cc2d,0x90d41549,0x2e078b20,0xa80ec02d,
    0x751b0121,0x640b34a8,0x351c4499,0xda8054a0,0x4438a983,0x05d912dd,
    0x2aaa6072,0x4c04a802,0x6664c04d,0x50b34984,0x29309b51,0x20372059,
    0xb1488029,0x8a619241,0x2a01b149,0x333204cc,0xc8243502,0x00360771,
    0x4e405999,0x409b3039,0x997048ab,0xb81dcc07,0x299a8753,0x390481a8,
    0x200c4260,0x599d403a,0x04d98000,0x2026cc00,0xeeeeb808,0x9202200e,
    0x0010530c,0x00000022,0x00002000,0x22006000,0x00004400,0x20aa6e00,
    0xb800481a,0x00000731,0x644f7620,0x7bb1003e,0x5000fb22,0x4c377779,
    0xbbbd9802,0x4106411d,0x984ccbca,0x4c1dbbbd,0xd54e8cdc,0x88bdd33d,
    0x2a0cddcc,0x3624ccbc,0x227d913d,0x47d913dd,0x444ccbca,0x6440eccc,
    0x37620ecc,0x3a67d913,0x7b512eee,0x481a8599,0x02666674,0xccddec80,
    0xcc873aa6,0x89206a0e,0x2a2ccecc,0x66674481,0x8760e64c,0x642cc029,
    0x98900c81,0x30e42cc5,0x2a136619,0x90550242,0x240d4598,0x9891206a,
    0x0c883625,0x506441b1,0x314c0903,0x1a835939,0x44322448,0x640faa3d,
    0x26091229,0xc8240d43,0x24481a80,0x41304832,0x20024029,0x4183880c,
    0x09509004,0x0aa04855,0x81a83071,0x71240d44,0x9d40e430,0x06a3a81c,
    0xba429812,0x1c481a80,0x30909055,0xe921c537,0x481a8532,0x90350190,
    0x0090aa38,0x800900a6,0x4015700c,0x09109004,0x0aa04855,0x81a802ae,
    0x2e240d44,0x5ac0b00a,0x0481a960,0x76764ca6,0x8241cc2c,0x70909048,
    0x29033531,0x1a8354b9,0x35019048,0x12122090,0x01201c40,0x65c40190,
    0x81900484,0x0242a84b,0x132e2055,0x0351206a,0x58997109,0x54b02d60,
    0x90a60481,0x81545812,0x9090900d,0x5d20b766,0x81a81749,0x03501904,
    0x01603609,0x20dcacb8,0x9526e645,0x4880199d,0x9937322c,0x5509b50c,
    0x00550948,0x4481a891,0x2440481a,0x9605ac0b,0x0a60481a,0xcbd98129,
    0x12043703,0x22b73a12,0x93548b80,0x32090730,0xb8483980,0x2001d821,
    0x3501b018,0x2240a010,0x5c41a80d,0x372e48bd,0x2a1293cd,0x1cc48141,
    0x2920e624,0x9d416490,0x0e63a82c,0x4a429812,0x90e60480,0x4a625c48,
    0x49a86229,0x53160971,0x262c0320,0xd8921cc2,0x816c15c0,0x6c0d40c9,
    0x22443c82,0x200d40c9,0x03290048,0x84887909,0x262c14c5,0x44910f22,
    0x6c43260d,0x98b03260,0x1290aa02,0x21606ae0,0x74dde544,0x5314c322,
    0x2099164c,0x3203bbe9,0x0777d300,0xbce9890b,0x4c01502d,0xa80cbade,
    0xccbbab80,0xcbade980,0x44015c00,0x206ef324,0x80ccbbab,0xd303bbe9,
    0xbbab8777,0x665c40cc,0x6e65c40d,0x03bbe980,0x40c00024,0x86ccccda,
    0xb35d7008,0x7c45b99b,0x201012e0,0x02ccecc8,0x33336a01,0x0801106c,
    0x04013100,0x09880040,0x407b9910,0x0440dcca,0x00100080,0x22002002,
    0x04004400,0x002ccc98,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0x330000c8,0x80e00100,0x01ea82a3,0x0401c530,
    0x00072000,0x00880040,0xe99f640c,0x804c5002,0x00600009,0x140200a0,
    0x0934a805,0x29304d98,0xb11b1059,0x76640b81,0xb957302c,0x4ccbca83,
    0x171c0590,0x453001a8,0x77025403,0x3222412a,0x2603ccce,0x006c404d,
    0x07324072,0x580d4320,0x502cc64c,0x39999109,0x03620064,0xb3012619,
    0x0b33a807,0x9b101366,0x80240901,0x85989008,0x50088019,0x75000003,
    0x2407b300,0x9d41cc48,0x98091058,0x3242ebbc,0x1d400007,0x075026c4,
    0x80488088,0x01d06458,0x00000000,0x20240900,0x220eccc8,0x0775c183,
    0x40eccc88,0x20cddb9a,0x7d913dd8,0x04800000,0x00000909,0x9920cc48,
    0x75c1dd33,0x01b17a63,0x99910000,0x8000c81d,0x3260ee0c,0x3db103ec,
    0xeccd975c,0x9d912dcc,0x2048d999,0xc8836204,0x32002ae0,0x3220d880,
    0x4598baa0,0x3b62481a,0x7644bae1,0x20903ccc,0x33221d44,0x9d912cce,
    0x00320799,0xb03b9cc9,0x2a344370,0x220cccce,0xb12ccecc,0x07306441,
    0x2599d991,0xb3502cc3,0x49154580,0x4848530c,0x32048166,0x65c43a81,
    0x07203204,0x2b85a8ea,0x5161206a,0xb8398905,0x01eeef83,0x1cc48064,
    0x24056644,0x0dc05973,0xb090b312,0x50390320,0x00640487,0x035481a2,
    0x92448a44,0x28490a61,0xb284812e,0x209102c0,0xa960580c,0x206a3882,
    0x20914884,0x40d98484,0x01900ee4,0x39301212,0x0037a648,0x21660dc9,
    0x40c83884,0x40531605,0x8834400c,0x19370123,0x24083208,0x48481209,
    0x0902ac0b,0x25816032,0x06a0b85a,0x8064dc12,0x48241d44,0x2019015c,
    0x24041d44,0x401b3992,0x90d1091b,0x0b032120,0x81902c2c,0x20b82cc2,
    0x6402d804,0x41333a00,0x02d21204,0x20910f2b,0xa960580c,0x1a8950bd,
    0xf80b6048,0x20901eee,0x40320584,0x4981eeef,0x239921cc,0x406f200d,
    0x19090486,0x0aa16058,0x3a832064,0x05b999d0,0x006400b8,0xcc8481c9,
    0x594cccce,0x2eeae750,0x901900cc,0x54d47505,0x483981cd,0x2e4802e0,
    0xcec88903,0x03207660,0x99107724,0x36690799,0x2dc13b23,0x09048570,
    0x3a82c819,0x190320b0,0x2414c06c,0x019002e0,0x8090d424,0x64c1b100,
    0x06400b80,0x419306c4,0x298b001a,0x5c4802e0,0x80040482,0x02b8900c,
    0x00424032,0x916201b8,0x88190730,0x5403260d,0x88640c81,0x01701905,
    0x8032005c,0x03621a84,0xccb88244,0x4048880d,0xb997100c,0xd3001a81,
    0x00b80777,0x80591612,0x900c8049,0x320640b0,0x5804884c,0x91121b80,
    0x32e20320,0x642400dc,0xd70171c0,0x20eedc39,0x540cceca,0x3220ccec,
    0x01dcccce,0x08803710,0x32606e20,0x1104ccec,0x0019bb50,0x99d95002,
    0x30676441,0x06e2003b,0x96676644,0x3660cec8,0x2e200181,0x07bb9701,
    0x66667540,0x333b3220,0x21000882,0x02ccecc8,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000e00,0x20440000,0x000002ee,0x22000600,0x001dd700,0x02000001,
    0x000ea000,0x00200080,0x800003a8,0x02200001,0x0aa00020,0xd9116693,
    0xda8d9999,0x4c0fb226,0x21a8240d,0xc83b9504,0x2c82ccec,0x90036200,
    0x204d9801,0x12a0121a,0x254090d4,0xfc867644,0xc801b102,0x2095002d,
    0x5003ecc9,0x204d9809,0x81dbbbd9,0x16001dda,0x909026c4,0x10485950,
    0xccc81209,0x64161b82,0x44015c00,0x54019004,0x66640b13,0x3201d402,
    0x802202cc,0xb1003624,0x802b8640,0x02cd4008,0x452601d4,0x41c85985,
    0x26002e29,0x50920003,0x02419550,0x85000240,0x0000c81a,0x000c8000,
    0x00000000,0x37777950,0x0001b148,0xbbd98000,0x035481db,0x01200000,
    0x2c000f62,0x3ec89b6a,0x45540924,0x226da924,0xec8893ec,0x8a26cccc,
    0x980c82da,0x32603ecc,0x80c803ec,0x6ccccec8,0x901f664c,0x991059d9,
    0x41cc599d,0x102ce41d,0x8d9999d9,0x2603ecc9,0x91c41c85,0x9999d910,
    0xd913eb8d,0x00900243,0x85950730,0x204cce84,0x9512372a,0x42412485,
    0x15564aa4,0x0b350064,0x1900b350,0x9a824240,0x19004805,0x9d026090,
    0x04848099,0x00240b35,0x90902417,0x00489090,0x20320012,0x92120caa,
    0x8958aa03,0x04920caa,0xa4aa2849,0x5200c82a,0x01aa401a,0x28490064,
    0x09006a90,0x80120320,0x42480e65,0x2406a902,0x5b999d00,0x09050920,
    0x26e64589,0x100f2e32,0x4922aa09,0x1541a848,0x48aa8955,0x42490492,
    0x9055392a,0x2048e201,0x01901238,0x91c40924,0x01900480,0x03224009,
    0x91c40924,0x414c0120,0x09024904,0x41a80d89,0x0c806e2f,0x4246e550,
    0x21541a84,0x91b9545d,0x84cce824,0x90597139,0x20482e01,0x0190120b,
    0x17026674,0x64012024,0x11200580,0x81333a07,0x322c120b,0x2e0324dc,
    0x204cce80,0x4c4cccce,0x2120d40c,0x15409104,0xccec892b,0x37621dcc,
    0xac551e63,0x10724124,0xccecc80b,0x16e66742,0x42dccce8,0x84ccecc9,
    0xccce80e4,0x20a1202d,0x4401d80c,0x21360cec,0xccce80e4,0x1a80d82d,
    0x6edc39d7,0x42407241,0xcbade984,0x1b824240,0x04aa8aa0,0x50040388,
    0x20925545,0x08b21a84,0x120a6090,0x008120a6,0x0530d424,0x64242409,
    0x15c0d880,0x1a848008,0x326120a6,0x0cc00d40,0x2120d424,0x24026604,
    0x15404824,0x01dc0176,0xbb0aa091,0x2a121674,0xc826ee41,0x05c0640a,
    0x4c02e032,0xc86a1204,0x90900b80,0x33a60190,0x012202db,0x40643509,
    0xbade980b,0x42b8800c,0x24241a84,0x24240910,0x8f762008,0xb8800079,
    0x263dd881,0x333b2207,0x10001dcc,0x36e1ceb8,0x5c39d71d,0x40dc41dd,
    0xdccccec8,0x6dc39d71,0x333b321d,0x9d9914cc,0x10022059,0x33b22037,
    0x9d71dccc,0x880eedc3,0x32200009,0x21dcccce,0x07d913ec,0x8bb20371,
    0x000002ec,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00288000,0x006e0022,0xa8084002,0x00983ccc,
    0x019b9971,0x00a8e039,0x0dc40208,0x39000080,0x06600000,0x30100000,
    0x0714c1c5,0x000dc000,0x5c000000,0x5de54038,0x405b01bb,0x3203cbc9,
    0x0e14c499,0x261b9955,0x32038a8e,0x2005c701,0x2702c8d8,0x440ec403,
    0x260b204d,0x9a544ccc,0x0ee55cc5,0x01b11b10,0x714c0ec4,0xb301c530,
    0xa80b2009,0x0486a121,0x73702435,0x00ec1cc0,0x0b3064c0,0x83309157,
    0x2a590200,0x00000038,0x5540571b,0xa4c06c03,0x400000d8,0x100004d9,
    0x00d801bb,0x34980000,0x3320000b,0x0599902c,0x06016664,0x93026090,
    0x0749d19b,0x9750015c,0x33b32205,0x0e2a592c,0x4599d991,0x0003ecc9,
    0x00000040,0x2299999d,0x002ccecc,0x000fb326,0x33221000,0x3db12cce,
    0x4400175c,0x06ccccec,0x98000000,0x01203ecc,0x44d9864c,0xcda89305,
    0x401751c1,0x454f440c,0x9a803203,0x7547b105,0x3ea8f623,0x115e6e44,
    0x224579b9,0xc880c80c,0x59a82bcd,0x80e65c40,0x82cacdb8,0x22a8b00c,
    0x42f545e9,0xccb88484,0x8839b501,0x540faa3d,0x24012059,0x24071254,
    0x8711dc3b,0x5101902b,0x0064071b,0x484806a9,0x2a244848,0x51c95124,
    0x51203205,0x4406a909,0x3b10ae0c,0x100c82ec,0x54121229,0x22142481,
    0x43b0ae0c,0x9048483b,0x4802c06a,0x2982c488,0x45709035,0x2a00c81a,
    0x44032038,0x84848123,0x820ec484,0x0244041d,0x4083b019,0x405c1238,
    0x17570dc3,0x64dc0190,0x125b0b80,0x202e0924,0x121206a3,0xb048e212,
    0x4b819003,0x0485c064,0x17393035,0x1c540190,0x482e0190,0x21212120,
    0xa84dca84,0x401b04dc,0x09b9500c,0xccd82417,0xb920dccc,0x80190532,
    0x9915302d,0x82667412,0x0dcccccd,0x90906a09,0xd8824170,0x219315c0,
    0x3064c4da,0x006405c9,0xa8032019,0x74032038,0x0902dccc,0x98090909,
    0x43712604,0x49800c80,0x416e6674,0x4574800b,0x5c00c80b,0x2326f200,
    0x0b81c904,0x206405c0,0xccce8484,0xb79d302d,0x917b7105,0x885b7b10,
    0x38332444,0x38a80320,0x20a60320,0x484b8904,0x2905525c,0x90e6482a,
    0x482a8190,0x122120a6,0x223d9822,0x0b801904,0x8164d320,0x21221a84,
    0x84889108,0x20a625c4,0x1000dc04,0x20836e09,0x260bcbc9,0x3201caac,
    0xac9ca880,0x80c80c80,0x9bbca80b,0x4dde542e,0x9957952e,0x332af2a1,
    0x03212160,0x41995795,0xc980b80c,0x665c4cbb,0x01900ccb,0xf8f200b8,
    0x98350900,0x64c4cbbc,0xbca80bcb,0x20322e9b,0x0091100b,0x5de5c15c,
    0x000081cc,0x0b33b322,0xccecc880,0x6dc39d72,0x8800881d,0x22008800,
    0x66666d40,0x599d9916,0x1ceb8110,0x0440776e,0x66440228,0x76542cce,
    0x910000cc,0x03b9999d,0x10010022,0xb873ae01,0x02b881dd,0x000f7322,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00020054,0x80000002,0x00100cca,
    0x00020000,0x29810001,0x0000000e,0x20000080,0x00001000,0x00000010,
    0x260ec020,0x95504ccc,0x01b301b9,0x4d980ee0,0x880e4760,0x57025403,
    0x06e4412a,0x1c800d98,0x8a61d400,0x50b34a83,0x54ee0645,0x64412a04,
    0x6cc01ccc,0x3006cc00,0x8095009b,0x26cc04d9,0x02e82540,0x2c400800,
    0x293015c0,0x80772059,0x200ea00b,0x11b103da,0xb016201b,0x225bb103,
    0x260002ec,0x0b33204d,0x07501ed4,0x00b10000,0x2cd260b1,0x34980750,
    0x02cd260b,0xc88ec075,0x2a6cccce,0x00fb226d,0x00000000,0x000000c8,
    0x40000000,0x7644481a,0x0006cccc,0x4c000000,0x00003ecc,0x00000000,
    0x6c000000,0x32a24241,0x0e6d4242,0x1eccee54,0x9501cda8,0x764c1559,
    0x839b504c,0x20faa3d8,0x2e0aacca,0x99501cdd,0x240d4155,0xcda84848,
    0x81cddb81,0xdb81cddb,0x166a01cd,0x88399710,0xb70faa3d,0x32e2039b,
    0x3997101c,0x8faa3d88,0x90faa3d8,0x2a142483,0x43b120ca,0x22bb043b,
    0xc8770ec4,0x03203e21,0x090770ec,0x83e21c89,0x88720640,0x41206a0f,
    0xb8761424,0x81032043,0x4032040c,0x83220354,0x0448482b,0x5c191032,
    0x05706442,0x89090909,0x2a09240c,0x81a9248a,0x51c57104,0x0c144903,
    0x481a80c8,0x20a24848,0x44351101,0x240d4182,0x206a1248,0x20351104,
    0x51101a88,0xb8247103,0x04848380,0x80b83511,0x241c05c3,0x0a242424,
    0x9541333a,0x1a82491b,0x999d9bb3,0xb8d4121b,0x12032000,0xb92120d4,
    0xeccdc800,0x06a002e1,0x42667412,0x66e43504,0x666e41ec,0x7666e41e,
    0x6c120b81,0x40dccccc,0x666e4484,0x66666c1e,0x333360dc,0x24240dcc,
    0x72402424,0x5c958aa0,0x2b8b0c80,0x2a190170,0x2e032001,0x24240c80,
    0x540b8035,0x0e6006a1,0x17072412,0x3502e190,0x0b86a05c,0x666740d4,
    0x9000b82d,0x06a05c90,0x00170017,0x12121212,0x21a84815,0x4892aa2a,
    0x25d89244,0x44889109,0x10481984,0x5c484889,0x448cc244,0x0cc241d8,
    0x21205516,0x2488911a,0x8890ec44,0x83b1121d,0x84884829,0x492e2408,
    0x21220ec4,0x02212208,0x5c484b89,0x50913e24,0x31761543,0x6c417979,
    0x44dcbddb,0x4c0bcbc9,0x2663bbcc,0x32f2603b,0x9bbca80b,0x2ef3262e,
    0x2eaef263,0x2ef3262d,0x03dbe983,0xbc986a12,0x2ef260bc,0x77932dba,
    0x2f265b75,0x0322dbab,0x2ef2602e,0x9bbca84c,0x7577932e,0xcbbc985b,
    0x4cbbc984,0x2e9bbca8,0x174dde54,0x66676441,0x47bb11dc,0x41801079,
    0x22002008,0x1000a880,0x11001100,0x00880040,0x33b22008,0x0081dccc,
    0x04004004,0x6dc39d70,0x8801101d,0x11000400,0x08801100,0x00000880,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2e000000,0x00c42601,0x80143100,0x002ee60d,0x2ea00008,
    0x1dda81a9,0x01004000,0x00014310,0x01026000,0x01ccb880,0x1885406e,
    0x00400130,0x2e2004c0,0x9880401c,0x8dc05280,0xb1193039,0x10912981,
    0x028a0c85,0x26480d88,0x83dda882,0x1b90363a,0x3b006c40,0xb7123980,
    0x873b2e59,0xd504ccca,0x4c711bb7,0x64384ccc,0x42e05900,0xdccba829,
    0x2950b200,0x6e65dc59,0x20191c80,0x656640d8,0x0001d4c4,0x0000cd88,
    0x38a22853,0xca806c40,0x0643104c,0x43627312,0x800d881c,0x05c0001c,
    0x0c880024,0x20001366,0x80000038,0xd980e400,0x44900404,0xa8905883,
    0x23d88041,0x2a0003ea,0x7775c1cd,0x05dd40ee,0xda800000,0x0242449c,
    0x71000000,0x90170399,0x7039bb70,0x9b505701,0xb8839003,0xcddb81cc,
    0x01cddb81,0x39b50000,0x0005c520,0x66edce20,0xbc890901,0x21d83dda,
    0x50014c3b,0xddabc877,0x880eeb83,0x1ccd932d,0x201dd724,0xdd700eeb,
    0x2b832201,0x2042405c,0x4398240c,0x7640ee1d,0x85706443,0x19020640,
    0x23eeeee8,0x363eeeee,0x76520ee1,0x664d7622,0xc811c880,0x3f848480,
    0x4481a8aa,0x2eea2029,0x02a8fe00,0x1d017017,0x02e120a6,0x00b80170,
    0x80b87017,0x886a2204,0x481a9203,0x80b83260,0x20351103,0x36241a88,
    0x06a1b120,0xc8571212,0x0195063b,0x90903511,0xa82490b0,0x30980a61,
    0x41216077,0x2170480b,0x00b84838,0x402e005c,0x0dcccccd,0x3721202e,
    0x98241ecc,0x200d4123,0x33333364,0x3b33720d,0x0f666e41,0x39041c82,
    0x4241a824,0x21201644,0x481eccdc,0x2e484848,0x00a60c80,0x0909051c,
    0x21c0e02e,0x005c0cc4,0x2017002e,0x388b800b,0x41a81712,0x02e2c80b,
    0x05c90032,0x5c3502e0,0x01b80d40,0x1901706e,0x00244848,0x1206a05c,
    0x44909097,0x00e22444,0x484838a2,0x88530170,0x2e090643,0x2e005c00,
    0x41109100,0x8912388b,0x306441d8,0x12444889,0x21222981,0x21d88908,
    0x15c0ec44,0x88910570,0x12249484,0x6c4482a0,0xe9bbca81,0x32624242,
    0xabb80bcb,0x0baa80cc,0x01704848,0x102eeeea,0x02e05b7b,0x00b80170,
    0xb932ef26,0x41cbcacd,0x2dbabbc9,0x982edf54,0x3220bcbc,0xbc983cbe,
    0x2ef264cb,0x77932dba,0x21d45b75,0x64c90ea4,0x3b220bcb,0x0241dca8,
    0xbbc993ea,0x00882dba,0x82ec8fb2,0x01003000,0x32ec8fb2,0x20999d99,
    0xcc980800,0x33264cce,0x33264cce,0x02204cce,0x80020040,0x03001001,
    0x40040110,0x3333e200,0x9999f15c,0x2040010b,0x80ccceca,0x00000101,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0x36000029,0x47020394,0x980deeeb,0x00000000,
    0x004402e4,0x44000022,0x20399300,0x3ba64dd9,0x01303eee,0x98004000,
    0x00008800,0xd8000220,0x99930002,0x3b825c09,0x15520095,0x87332f26,
    0x5ccbb804,0x99300510,0xdaa88099,0x2f6b320a,0x5ddd544b,0x54014c0a,
    0x731bbbbc,0x2076a064,0x3721c419,0x6ec41eca,0x6547d913,0xadc84ccb,
    0xccc881ec,0xddcc880e,0x5ddecc0c,0x5b00e81d,0x00d88d88,0x1ed40000,
    0x1930a900,0x10012354,0x000014c0,0x7c16d544,0xb0b70dc4,0x41cc0298,
    0x2248891d,0x190dc005,0x06a15c42,0x64598912,0xd88ae199,0x2a803220,
    0x381c8598,0x40dd8800,0x20faa3d8,0x000aacca,0xd049dd98,0x1905e441,
    0x2a3d8833,0x77775c3e,0x1ccb880e,0x091bbb30,0x8098e616,0xddddd729,
    0x16130481,0x24002b92,0x6ce62a57,0x389206a0,0x26e2ae18,0x20721b0a,
    0x120aa03a,0x00008000,0x44391212,0x403bae0f,0x160b9139,0x56e4531b,
    0x424240cb,0x70644029,0xd910c985,0x40122120,0x00900a64,0x91b35437,
    0x9ac90059,0x0350dc20,0x4b00ab89,0x2058dca2,0x0120aa05,0x0c807764,
    0x0664d762,0x18289212,0xd3120170,0x090e4710,0x112121c4,0x02e03375,
    0x07881b0e,0x6665d209,0x0a65cccc,0x32f60090,0x263b90cb,0x05486a03,
    0x8481a8a2,0x77244cb8,0x16059449,0x400482a8,0x7901900b,0xb92120c7,
    0x2402e000,0x4c57482c,0x12122404,0x36055975,0x20dccccc,0x9c120b05,
    0x14c91029,0xd0880160,0x448120e4,0x21b84335,0x2440481a,0x2370a94b,
    0x15425605,0x2137322c,0x5903b00b,0x06a48480,0x88900b80,0x2c893706,
    0x21212240,0x4005c029,0x22120d05,0x5305c123,0x54001d80,0x240906e4,
    0x58dd54ae,0x205241cc,0x5c326ae4,0x4ea0b258,0x80d81a84,0x3b00b81a,
    0x4b890090,0x05c0cc24,0x4c1ae1a8,0xa8532cc6,0x2212e241,0x04424403,
    0x0906b857,0x12615c35,0x40d88071,0x220d982b,0xc8298244,0x22c15c41,
    0x8910f229,0xb115c41c,0x40c864c1,0x1a819304,0x905b00b8,0xd3779500,
    0x1dde64c5,0x372e00b8,0xbcad84db,0x3cbeb82c,0x2e9bbca8,0x40ccacb8,
    0xb84cbbc9,0x20cdaebd,0x309772eb,0x32e07979,0x674c0dca,0x37aee2db,
    0x00cbda80,0x32fb2017,0x777d301e,0x0ccbbab8,0x81ecbec8,0x640dccb8,
    0x3a601bbc,0x0b80cbad,0x200903b0,0x98088008,0x104ccecc,0x0010c401,
    0x20008801,0x18008801,0x02004400,0x804400c0,0x00001001,0x20020011,
    0x10011000,0x10004401,0xcecc9813,0x6765404c,0x000000cc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40102e40,0x45d81cdb,0xeeb801ea,0x0032a1b8,
    0x01bba800,0x00000654,0x01f4c7b1,0x36201880,0x00006003,0x000dc000,
    0x00e6dc40,0x01cddb80,0x2f201dd7,0x00643dda,0x03204800,0x2640c86e,
    0x519000d4,0x99000a85,0x1209359d,0x664002a0,0x121202ce,0x98399991,
    0x5441dcbc,0x06400aad,0xd99bbd90,0x1d913ea8,0x9d990590,0xb100c805,
    0x8107999b,0xf803200c,0x001b8aa3,0x40640900,0x1a801cc4,0x2a0a3200,
    0x48901500,0x50540ecc,0x01206601,0x20001212,0x0aada880,0x27200640,
    0x01212122,0x014c0240,0x2205506a,0x803201a8,0x4000a485,0x8848ddd9,
    0x7161bcdb,0xa9a80885,0x403202dd,0x4816c40a,0x79124066,0x903c80a8,
    0xd7090900,0x03bae01d,0x203db8c8,0x8a6e600c,0x666675c3,0x3bbbba1e,
    0x3b601483,0x2240d402,0x201eccdc,0x8909008c,0x203ddabc,0x90d910c9,
    0x97b31541,0x7d505509,0x980c82cc,0x401970ab,0x54e66a04,0xa855cc0d,
    0x83d5200d,0x002e0484,0x3717c017,0x6667665c,0x0cd4c5c1,0x36244848,
    0x2a03cd80,0x8d40d402,0x9900d40b,0x3e121207,0x206c0aa3,0x6cc04878,
    0x033224ba,0x3202e16a,0x9da99980,0x40481bab,0x4b72d889,0xb73c9999,
    0x44814520,0x7002e04b,0xc8242401,0x16ecd200,0x44cccce8,0x03ae0720,
    0x6ee40550,0x22246a4c,0x401d701d,0x04858484,0xb012160b,0x54019398,
    0x00c83883,0x9071092e,0x730cb850,0x2e21b509,0xca850904,0x1701e9bb,
    0x21200b80,0x67401904,0x909008ad,0x95b106e0,0x5402a850,0x77930b81,
    0xc9985b75,0x7647d900,0x05824242,0x8844390d,0x4a809484,0x500c81a8,
    0x21207103,0x31290aa4,0x21209485,0xb80e2104,0x09005c00,0x94c03209,
    0x90906229,0x48480570,0x206a0154,0x1901c085,0x48480100,0x706b8570,
    0x2a24179b,0x3ea48371,0x000c8240,0x048480e6,0x88036ae2,0x48480dab,
    0x0b815c40,0x909005c0,0x530c8060,0x5121214c,0x44848487,0x2e0d402a,
    0xc80bb801,0x12048800,0xaebdb812,0x880c80cd,0x32e23cbc,0x9b5b51cc,
    0x7664c397,0x56c404cc,0x333b323a,0x0d9804cc,0x3320d980,0x804cccce,
    0x33b32608,0x33b3264c,0xd917644c,0x333332e5,0xbb35d71c,0x9f645b99,
    0x99f12ec8,0x67664b99,0xbb914ccc,0x99bb1019,0x32600059,0x7104ccec,
    0xec8fb203,0x03800c02,0x02200004,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x90000000,
    0x4407bb57,0x2a004c00,0x2ae0aacc,0x003aaaaa,0x19935d88,0x015e6e44,
    0x1f547b10,0x22f4c7d7,0x00000eeb,0x0732e200,0x40000a8a,0xb9100da8,
    0x3aa1b93b,0x440cddb9,0x0f601cdd,0x80eeb800,0x2c8802e9,0x175c3db1,
    0xbc81a8be,0xb997502d,0x83e21c81,0xddc88601,0x5e40eccd,0xda544863,
    0x42dccecc,0x0dc2c484,0xcdda80c8,0x999bb104,0x15c19107,0x76441b92,
    0xac883ccc,0x910c980c,0x2cc5d50d,0x9a80c836,0x01f664c4,0x80398064,
    0x0aa2c6f9,0x04551212,0x0c144040,0x21b11806,0x05903229,0x192420ec,
    0xb89090a6,0x20190241,0x06a009b9,0x0380b855,0x20398900,0x3c40c80c,
    0x1895c2d4,0x825221cc,0x00c8059a,0x102a0073,0x24241229,0xb579006a,
    0x1800b87b,0x4530dc60,0xdca80483,0x8530c924,0x06e48484,0x759300c8,
    0x89035079,0x0dcccccd,0x84803bae,0x41203204,0x03882a85,0x412190e6,
    0x00c80354,0x003ba673,0x0900c9b8,0x3f803989,0x1801a8aa,0x26a62460,
    0x49800901,0x121200c8,0x2320246e,0x06e14c0b,0x05c35035,0x22401700,
    0x2e03203a,0x42d43c40,0x488b100b,0x4048e212,0x0ee7300c,0x3eaa054c,
    0x248481ad,0x1602cecc,0x0c330912,0x5bb31230,0x482a8120,0x20b33b32,
    0x1bc825c5,0x260f4640,0x9bb92442,0x10910d49,0x77c01701,0x406401ee,
    0x50db31d8,0x4412a17b,0x7090640d,0x40320241,0x3f602cb9,0x3b201900,
    0x24024242,0x2ef32624,0x836300c3,0x765408a9,0x2f2a0ccc,0x00c80cca,
    0x0ba6ef3e,0x4032016e,0x06a15c29,0x9779302e,0x24802e09,0x8806403b,
    0x9a848cdb,0x1b101cda,0x1daaad98,0x016e6674,0x037a6019,0x765c17c4,
    0x909001cc,0x2e090900,0x3b8c0300,0x008188a6,0x803200b8,0x01b8008c,
    0x99b300c8,0x0b03507b,0x802e005c,0x019015c4,0x400d4240,0x999880d8,
    0x120a60d9,0x367300c8,0x06406a80,0x42a83500,0x44242409,0xb0c03048,
    0xb8298a65,0xc8122201,0x05801200,0x26e60190,0x03706a00,0x802e015c,
    0x00320584,0x4401a848,0x19120084,0x40320170,0x01503639,0x880f3b26,
    0x667d43cc,0x91f644cc,0x501b885d,0x85333333,0x2dccddc9,0x371005d4,
    0x2099d930,0x1eee5c04,0x4ccecc98,0x4413376a,0x402cccdd,0xcecc9808,
    0x833b224c,0x9d9911d9,0x67654059,0x2019bb50,0x84cccccc,0x39d72eca,
    0xcc98eedc,0x8f664cce,0x000004ec,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x002c8800,0x007d1000,
    0x13a33726,0x000736e2,0x00000000,0x00000000,0x0004c400,0x00000000,
    0x20000000,0x028c4000,0x308000c0,0x667644df,0x333aa0cc,0x980480cc,
    0x3209b30c,0xcccec880,0xb873ae6c,0x44fae1dd,0x9d9911ec,0x433b2259,
    0x676642fc,0xde84ea82,0x7644db50,0xb515ddc3,0x66c5999b,0x3a2dccec,
    0xdb14cccc,0xdd8975c3,0x6754bee1,0x6d43b321,0xd85ccccd,0x30cc8801,
    0x8032005b,0x22cacdb8,0x2244480a,0x48048584,0x402984a8,0x5c064484,
    0x19048480,0x200d8920,0x75066404,0x4242ca87,0x2170a604,0x8914c324,
    0x20aa2c0c,0x2090ae0d,0x0240dc39,0xb500cb80,0xb100c803,0x84802ec3,
    0x321c4244,0x88483dda,0x1f7776c4,0x0710a124,0x64121209,0x00362900,
    0x3239c809,0x90655439,0x2214c0b0,0x22986493,0x45220aa3,0x21269104,
    0x2e14cba4,0x2a001411,0x0197001d,0x570dc032,0x5c490017,0x17c48240,
    0x25c0c857,0x04920154,0x21205512,0x27201904,0x94809005,0x1550e6a6,
    0x981e4249,0x83209542,0x26e04880,0x4172600c,0x706a9734,0x999702e3,
    0x01723999,0x665c7a60,0xb921ccce,0x20f62532,0x241ddcce,0x26242448,
    0x5509b50c,0x204cce80,0xcce8121a,0x201904cc,0x04804cce,0x8734aaa4,
    0x3912372a,0x564c9519,0x801904ca,0x4016c00d,0x526e902e,0x06e6dc0b,
    0x002da800,0x40320197,0xf985c574,0x121b8486,0x22121224,0x2a848bdb,
    0x14807240,0xc8242409,0x201ccb00,0x33d92284,0x22562a87,0x9b989914,
    0xb8032009,0x2005c021,0x48b80d9b,0x2a370935,0x0ed40000,0x06401da8,
    0x11223d98,0x84922120,0x40242439,0x2402a848,0x01ba40d4,0x80641212,
    0x90900644,0x2a1cc124,0x5c912aa2,0x0c8014c4,0x17048730,0xa8589cc0,
    0x37097149,0x5c007600,0x2005b30c,0x9799700c,0x2e120019,0x09091122,
    0x55057009,0x981a8480,0x8242404a,0x0388900c,0x73049212,0x262ec2a8,
    0x0a63cccc,0x48580640,0x31220170,0x1322c989,0x4000006e,0x01800518,
    0x3220008a,0x2a3cccce,0x220cccce,0x87d913ec,0x6443dcc8,0x3222ccdd,
    0x01dcccce,0x89f6407b,0x9d9913ec,0x833b2259,0x6676644d,0x439d74cc,
    0x7bb11ddb,0xda8083cc,0x9d9504cd,0x6666d419,0x6676546c,0xec877a60,
    0x44b83e24,0x0003cdda,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40e6d400,
    0x107b34da,0x1ec579b9,0xddb877d3,0xd51ec41c,0xd99dca87,0x0e39b503,
    0x4c2ab32a,0x442f545e,0x3db81ccb,0x44703b91,0xb5595972,0x301b9709,
    0x6d4e2265,0x66c3db8c,0x5bb32dcc,0x44713722,0x57220082,0x2af20cc9,
    0x83aa83dc,0x2ee02600,0x1d812a0b,0xb93388ee,0x44a89122,0x32043e84,
    0xb0448480,0x5c3b122b,0x1f10e44d,0x6441a824,0xb8720ae0,0x41b12c81,
    0x406a991e,0xd95b700b,0x890391c1,0x2120e20c,0x4390b25a,0x831de40c,
    0x2230aa3e,0x260b2f22,0x2070a201,0xe82e481a,0x4083b122,0x2a220484,
    0x71048481,0x3b0351c5,0x42e0c144,0x7017092d,0x36072720,0x2e483d13,
    0x402e0510,0xd9b82e0c,0x240e4100,0xd86d406a,0x640e4e43,0xb8242c02,
    0x57924150,0x40da8975,0x246a0903,0x50373332,0x090909b9,0x903d99b9,
    0x766ecc90,0x2090dccc,0x26002e2a,0x9b094c8a,0x201b9999,0x5f15c83e,
    0x02885c90,0x43512017,0x15c00ddb,0xb9016298,0x207d0fe2,0x44484804,
    0x4c382e0b,0x070e01ee,0x21c3202e,0x9126001d,0x0d40b890,0x2b8b2424,
    0x54190170,0x19379001,0x64001709,0xa97441c9,0x2217240e,0x8ae01702,
    0x806445c5,0x039a402a,0x322dc7a6,0x480481c9,0x46672248,0x5cc3bac8,
    0x3154541c,0x44488139,0x126c4a64,0x89120aa1,0x0762244b,0x36249712,
    0x22244265,0x64198484,0x09105934,0x0ae1c811,0x4916a3d1,0x02e0510b,
    0x8b332f62,0x90ea1623,0x22019350,0x21c8b50e,0x4240241c,0x30266624,
    0x26224901,0x4c04ccc0,0x6640bcbc,0x2a4cba8d,0x540ccabc,0x261e9bbc,
    0x42dbabbc,0x12e9bbca,0x9b97bb7b,0x80bcbc98,0xc83bbcc9,0x5e4c03e3,
    0x4bb624cb,0x32c43fc8,0x8a5cfae7,0x9bd9931e,0xea8c0449,0x3e21b70d,
    0x9b05cccd,0x00488640,0x06667654,0x02ec8fb2,0x00000000,0x00881002,
    0x80088022,0x18011000,0x20010044,0x44000008,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xa9800000,0x702e0040,
    0x5b999999,0x27b10dc4,0x4023954b,0x08888880,0x88065408,0x8629d13d,
    0x26666622,0x88881999,0x3ee08888,0x0007ffff,0x00000000,0x00000000,
    0x00000000,0x1fb00000,0x5d412f26,0xae8a6004,0x5f69f13c,0x450931fb,
    0xccccccc8,0x59399262,0xf9afcc93,0x55124535,0x45555555,0xccccccc8,
    0x000002cc,0x00000000,0x00000000,0x00000000,0x89f00000,0x8a440cb9,
    0x8e653004,0xf9b64fe5,0x03889620,0x0ea01d40,0x00000002,0x00000000,
    0x00000000,0x00000000,0x00000000,0x83e60000,0x22c0b8ac,0x3629803a,
    0xadcba3b9,0x88dc4078,0x2ccccccc,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x90000000,0x43ebac87,0x20880080,0x298642c9,
    0x0000000e,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80400000,0x00000889,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_18_latin_ext_x[560]={ 0,3,2,1,1,1,1,3,4,2,0,1,2,1,
3,1,1,1,1,1,1,1,2,1,1,2,3,2,0,0,0,0,1,0,0,0,1,0,1,0,0,1,1,0,
0,0,0,0,1,0,0,1,1,0,0,0,0,0,1,0,0,0,1,0,3,1,0,1,0,0,1,0,0,1,
1,1,1,0,0,1,0,0,1,1,1,0,0,0,0,1,1,0,4,0,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,3,1,0,1,0,
4,1,2,0,0,0,0,1,0,-1,2,1,2,2,3,0,1,3,3,2,2,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,1,1,1,1,-1,0,0,0,0,0,0,2,0,0,0,0,0,0,1,0,1,1,
1,1,1,1,0,1,0,0,0,0,1,1,1,1,1,0,1,1,1,1,1,1,0,0,0,0,0,1,0,1,
0,1,0,1,0,1,0,1,0,1,0,1,0,1,1,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,0,0,1,1,0,1,1,0,1,0,
1,0,1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,1,0,1,0,1,0,0,0,1,0,1,0,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,
0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,0,
1,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,1,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__courier_18_latin_ext_y[560]={ 13,3,3,2,2,3,4,3,3,3,3,4,10,8,
11,2,3,3,3,3,3,3,3,3,3,3,6,6,4,6,4,3,2,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2,3,3,16,2,6,3,6,3,6,3,6,3,2,
2,3,3,6,6,6,6,6,6,6,3,6,6,6,6,6,6,3,3,3,7,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,13,6,2,3,5,3,
3,3,3,3,2,6,8,8,3,1,1,3,3,3,2,6,3,7,12,3,2,6,3,3,3,6,0,0,0,1,
1,0,3,3,0,0,0,1,0,0,0,1,3,1,0,0,0,1,1,5,3,0,0,0,1,0,3,3,2,2,
2,3,3,2,6,6,2,2,2,3,2,2,2,3,3,3,2,2,2,3,3,4,5,2,2,2,3,2,3,3,
1,3,0,2,3,6,0,2,0,2,1,3,0,2,0,3,3,3,1,3,0,2,1,3,3,6,0,2,0,2,
0,2,1,3,3,2,0,0,3,3,1,3,1,3,0,2,3,2,1,6,3,2,0,2,3,3,6,0,0,3,
3,3,3,3,3,3,3,0,2,3,6,0,2,3,3,6,1,3,0,2,0,2,3,6,0,2,3,6,0,2,
0,2,0,2,3,6,0,2,3,3,0,3,3,3,1,3,1,3,0,2,0,2,0,2,3,6,0,2,0,2,
1,0,2,1,3,0,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,6,3,3,3,3,3,3,3,3,3,3,3,3,3,2,6,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,2,0,2,0,
2,0,2,0,1,0,0,0,0,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,-3,-1,0,2,0,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static unsigned short stb__courier_18_latin_ext_w[560]={ 0,3,6,8,7,8,7,3,4,3,6,8,4,8,
3,7,7,7,7,7,7,7,7,7,7,7,3,4,8,9,8,6,7,10,9,9,8,9,8,9,9,7,9,10,
9,10,9,8,8,9,10,8,8,9,10,10,9,9,7,3,6,3,7,11,4,8,9,8,10,9,8,9,9,8,
6,9,8,10,9,8,9,10,8,7,8,9,10,10,9,9,7,4,2,4,8,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,0,3,7,9,7,9,
2,8,6,10,6,8,9,8,10,11,5,8,5,5,4,9,8,3,3,5,6,9,10,10,10,6,10,10,10,10,
10,10,10,9,9,9,9,9,7,7,7,7,10,9,8,8,8,8,8,6,9,9,9,9,9,9,8,8,8,8,
8,8,8,8,10,8,9,9,9,9,8,8,8,8,8,9,8,8,8,8,8,8,9,9,9,9,9,9,9,9,
10,8,10,8,10,9,9,8,9,8,9,8,9,8,8,10,10,10,9,9,9,9,9,9,10,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,7,8,7,8,7,8,7,8,7,8,10,8,9,6,10,9,8,9,8,9,
8,9,8,9,8,9,8,9,9,9,9,9,9,9,9,8,8,8,8,8,8,8,10,10,10,8,10,8,10,8,
8,7,8,7,8,7,8,7,8,8,8,8,8,9,9,9,9,9,9,9,9,9,9,9,9,10,10,10,9,9,
9,7,7,7,7,7,7,8,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,8,9,9,9,
9,9,9,9,9,9,9,9,9,9,10,9,9,9,9,9,9,9,9,9,9,9,9,9,9,10,10,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,10,8,7,8,8,
8,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,10,8,10,10,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9, };
static unsigned short stb__courier_18_latin_ext_h[560]={ 0,11,5,13,13,11,10,5,13,13,6,9,6,1,
3,13,11,10,10,11,10,11,11,11,11,11,8,9,9,4,9,11,13,10,10,11,10,10,10,11,10,10,11,10,
10,10,10,11,10,12,10,11,10,11,10,10,10,10,10,13,13,13,5,2,4,8,11,8,11,8,10,10,10,11,
14,10,10,7,7,8,10,10,7,8,11,8,7,8,7,10,7,13,13,13,3,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,0,11,11,10,7,10,
13,12,2,11,6,7,5,1,11,2,5,10,6,6,4,10,12,3,4,6,6,7,10,10,10,11,13,13,13,12,
12,13,10,13,13,13,13,12,13,13,13,12,10,12,14,14,14,13,13,7,11,14,14,14,13,13,10,11,12,12,
12,11,11,12,8,10,12,12,12,11,11,11,11,10,11,10,12,12,12,11,11,9,9,12,12,12,11,14,13,13,
12,11,13,12,13,10,14,12,14,12,13,11,14,12,13,11,10,11,12,11,13,12,12,11,13,10,13,12,14,14,
14,14,13,13,13,14,13,13,10,10,12,10,12,10,13,11,13,14,12,7,11,14,14,14,13,13,7,13,13,13,
13,10,10,10,10,10,10,13,11,13,10,13,11,10,11,10,13,11,14,12,14,12,10,8,13,11,13,10,13,11,
14,12,14,12,13,10,14,12,14,14,13,11,10,11,13,11,13,11,14,12,14,12,14,12,13,10,13,12,13,14,
12,13,11,12,10,13,11,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,11,10,10,12,10,10,10,
10,10,10,10,10,10,10,10,10,10,11,8,10,10,10,10,10,10,10,10,10,10,10,10,10,12,8,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,13,12,13,11,14,
12,14,12,14,13,14,14,14,14,14,14,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,16,15,13,12,14,12,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10, };
static unsigned short stb__courier_18_latin_ext_s[560]={ 253,251,41,160,168,48,130,37,200,249,234,
231,1,120,81,1,85,175,204,170,212,59,155,163,20,147,250,250,213,57,222,
249,64,220,1,137,11,49,195,231,70,80,221,88,99,109,120,212,138,32,164,
192,147,182,59,184,174,164,156,50,231,176,13,96,48,40,35,80,1,100,40,
30,20,241,49,240,231,129,211,1,194,183,202,21,128,49,174,89,110,106,166,
41,253,133,72,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,
49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,253,250,12,
20,149,1,246,51,89,171,6,120,21,120,201,108,31,146,221,241,67,96,68,
85,53,247,227,185,86,54,75,28,80,91,181,156,85,1,155,12,171,213,111,
125,238,214,149,187,134,11,40,31,136,56,83,195,49,155,174,194,102,112,125,
231,96,162,202,197,188,1,59,40,182,211,221,120,111,102,93,155,76,30,21,
68,41,222,30,204,240,192,241,231,10,214,92,190,171,141,121,144,202,214,224,
105,243,87,150,20,1,50,205,38,203,97,1,87,54,226,216,178,19,145,31,
167,20,116,48,58,192,22,233,184,223,243,166,136,60,127,140,118,142,67,72,
234,77,140,130,68,77,153,160,180,157,132,74,46,102,65,45,97,116,184,224,
40,57,30,233,9,20,243,108,11,222,161,134,236,125,42,59,10,157,240,138,
70,122,1,87,116,39,124,65,79,116,148,30,11,22,39,87,77,237,67,219,
10,96,245,143,106,106,96,169,107,208,205,12,204,195,179,206,132,176,247,214,
194,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,118,49,49,59,
49,49,49,49,49,49,49,49,49,49,49,49,49,150,70,49,49,49,49,49,
49,49,49,49,49,49,49,49,114,29,49,49,49,49,49,49,49,49,49,49,
49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,1,153,
229,29,165,135,145,77,126,187,106,96,86,76,66,56,49,49,49,49,49,49,
49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,
49,49,49,1,12,197,30,21,177,49,49,49,49,49,49,49,49,49,49,49,
49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,
49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,
49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,
49,49,49,49,49,49,49,49,49, };
static unsigned short stb__courier_18_latin_ext_t[560]={ 15,75,156,18,33,88,136,156,33,33,147,
136,156,156,156,47,88,125,125,88,125,100,100,100,113,100,135,125,136,156,136,
88,47,125,136,100,136,136,136,100,136,136,100,136,136,136,136,100,136,61,125,
100,136,100,136,136,136,136,136,47,33,33,156,156,156,147,113,147,113,147,136,
136,136,100,1,125,125,147,147,147,125,125,147,147,100,147,147,147,147,125,147,
33,1,33,156,125,125,125,125,125,125,125,125,125,125,125,125,125,125,125,125,
125,125,125,125,125,125,125,125,125,125,125,125,125,125,125,125,125,15,100,113,
125,147,125,33,61,156,100,156,147,156,156,100,156,156,113,147,147,156,125,61,
156,156,147,147,147,113,113,113,113,47,47,47,61,61,61,113,61,47,47,47,
75,33,33,33,61,125,75,1,1,1,33,33,147,100,1,1,1,33,33,125,
88,75,75,75,88,88,88,147,125,75,75,75,88,88,88,88,125,88,125,75,
75,75,88,88,136,136,75,75,75,88,1,33,33,75,88,47,75,47,113,1,
75,1,75,47,100,18,75,33,100,113,100,75,100,47,61,61,88,47,125,33,
61,18,1,18,18,47,61,47,1,47,47,113,113,61,113,61,113,47,88,47,
1,61,147,88,18,18,18,47,33,147,47,33,33,47,113,113,113,125,113,113,
47,88,47,113,47,88,113,100,125,33,88,18,61,18,61,125,147,33,88,33,
125,33,101,18,61,18,61,33,125,18,61,18,18,33,88,125,100,18,100,18,
100,18,61,18,61,18,61,18,113,18,61,33,1,61,18,88,61,113,18,88,
113,125,125,125,125,125,125,125,125,125,125,125,125,125,125,125,100,125,125,75,
125,125,125,125,125,125,125,125,125,125,125,125,125,88,147,125,125,125,125,125,
125,125,125,125,125,125,125,125,75,147,125,125,125,125,125,125,125,125,125,125,
125,125,125,125,125,125,125,125,125,125,125,125,125,125,125,125,125,125,33,75,
18,100,1,75,1,75,1,18,1,1,1,1,1,1,125,125,125,125,125,125,
125,125,125,125,125,125,125,125,125,125,125,125,125,125,125,125,125,125,125,125,
125,125,125,1,1,18,75,1,61,125,125,125,125,125,125,125,125,125,125,125,
125,125,125,125,125,125,125,125,125,125,125,125,125,125,125,125,125,125,125,125,
125,125,125,125,125,125,125,125,125,125,125,125,125,125,125,125,125,125,125,125,
125,125,125,125,125,125,125,125,125,125,125,125,125,125,125,125,125,125,125,125,
125,125,125,125,125,125,125,125,125, };
static unsigned short stb__courier_18_latin_ext_a[560]={ 153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_18_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_18_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_18_latin_ext(stb_fontchar font[STB_FONT_courier_18_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_18_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_18_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_18_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_18_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_18_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_18_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_18_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_18_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_18_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_18_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_18_latin_ext_s[i] + stb__courier_18_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_18_latin_ext_t[i] + stb__courier_18_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_18_latin_ext_x[i];
            font[i].y0 = stb__courier_18_latin_ext_y[i];
            font[i].x1 = stb__courier_18_latin_ext_x[i] + stb__courier_18_latin_ext_w[i];
            font[i].y1 = stb__courier_18_latin_ext_y[i] + stb__courier_18_latin_ext_h[i];
            font[i].advance_int = (stb__courier_18_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_18_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_18_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_18_latin_ext_s[i] + stb__courier_18_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_18_latin_ext_t[i] + stb__courier_18_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_18_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_18_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_18_latin_ext_x[i] + stb__courier_18_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_18_latin_ext_y[i] + stb__courier_18_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_18_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_18_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_18_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_18_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_18_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_18_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_18_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_18_latin_ext_LINE_SPACING
#endif

