// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_19_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_19_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_19_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_courier_19_latin_ext_BITMAP_HEIGHT        172
#define STB_FONT_courier_19_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_courier_19_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_19_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_19_latin_ext_LINE_SPACING           9

static unsigned int stb__courier_19_latin_ext_pixels[]={
    0x00000aa0,0x98004400,0x00000004,0x00000000,0x45300000,0x0333301a,
    0x44000aa0,0x00080009,0x00006e00,0x9000006a,0x77002e20,0x4c005300,
    0x00d5c404,0x02b80166,0x26019498,0x20075003,0x588049ab,0x92a02b80,
    0xaaaa882c,0x4c025c00,0x4003b985,0x2093005d,0x2d83cad8,0x0f2f20d3,
    0x78072910,0x201d9d98,0x2003b002,0x2899804a,0x05900140,0x54072b30,
    0x54038a99,0x093a9c04,0xa9a806cc,0x44110389,0x80662980,0x00d98028,
    0x01880073,0xa82a04a8,0x86602040,0x571b101a,0x81c38180,0x01a803ba,
    0x0aa01030,0x30017710,0x26018600,0x00600a20,0x200c0505,0x0000a209,
    0x0000cc31,0x4c4e600c,0x0c004c00,0x26000000,0x00184400,0x8039c000,
    0x1cda8009,0xc9332219,0x144541cc,0x99926644,0xcc933223,0x6499911c,
    0x499911cc,0x99911ccc,0x3260e664,0x9991099c,0xcca8e664,0x912dcc8b,
    0xb8e66499,0x2a17644e,0xdb9851cc,0xbdb84dbd,0x64c1cccd,0x666440ad,
    0xd913ae5c,0x666dedc5,0x056e4c1c,0x5d733326,0x2617644e,0x36f6e02b,
    0x46ec1ccc,0x05d42eb8,0x80ee0771,0x50ee20ba,0x2a1dc417,0x750ee20b,
    0x2ea1dc41,0x1570ee20,0x20ba83ea,0x543883b8,0x3b882ea2,0x570e6064,
    0x07e62ed4,0x1ea1cc75,0x402cc76e,0x98e60645,0x8edc3d43,0x03258059,
    0x16664473,0x543d4398,0x0a616cc3,0x802620aa,0x14c2a829,0x2a0a6154,
    0x215414c2,0x4242a829,0x0aa0a60c,0x14c550e2,0x19122154,0x262c4154,
    0x47824b05,0x2c049849,0x82419122,0x024c24c7,0x20644896,0x20905d98,
    0x25620e87,0x990aa0a6,0x05301b77,0x2a829855,0x2615414c,0x414c2a82,
    0x14c0242a,0x2a1c4154,0x20aa0a62,0x2048730c,0x164824c0,0x0340762c,
    0x21cc3216,0xd01d8b05,0x39864580,0x0b055550,0x121b1616,0x88055053,
    0x42a82984,0x14c2a829,0x2a0a6154,0x215414c2,0x05300ac9,0x2a871055,
    0x220aa0a6,0x20058193,0x06e48879,0x06e068f1,0x81938858,0x81a3c41b,
    0x2711601b,0x5c2c900c,0x39243c41,0x55053064,0x26166a60,0x414c2a82,
    0x15414c2a,0x530aa0a6,0x32e20550,0x415414c3,0x05315438,0x21272055,
    0x47366005,0x4c7620d9,0x03502c6d,0x8849c82c,0x058db31d,0x9c85806a,
    0x20649104,0x90db31d8,0x8298d0ea,0x5d5ee42a,0x42a82985,0x14c2a829,
    0x2a0a6154,0x015414c2,0x550530dc,0x4667665c,0x0aa0a62a,0x003407c4,
    0x405b9373,0x06c48cda,0x441600d8,0x2336a00f,0x00d806c4,0x5c03e216,
    0x66d40e61,0x4c4aa848,0x705c2445,0x70910b03,0x40b84881,0x2440b848,
    0x2e12205c,0x88e602a0,0x55000b84,0x8805c244,0x26007904,0x77120003,
    0x220901a0,0x0ee24004,0x12216034,0x06ccccd8,0x441f3090,0x1220d81d,
    0x1b05b819,0x220d8244,0x82441b04,0x06c1220d,0x0c85b891,0x4009106c,
    0x09106c0d,0x41d88064,0x8001cc59,0x0e41d858,0x00320550,0x641d8588,
    0x0320ea01,0x200dc1c4,0xcccad858,0x779d101e,0x9bbbd881,0xbbce884e,
    0x1779d100,0x02ef3a20,0x805de744,0x5c0bbce8,0x882dbcba,0x2200bbce,
    0xce882ecc,0x766540bb,0x36fb6204,0x00e6ecc4,0x4406e664,0x6442cbdd,
    0x766544cc,0x06e66404,0x2165eec4,0x32a5dcc9,0x101704ec,0x81b99909,
    0x44002218,0x22000400,0x20011000,0x00110008,0x00220022,0x00cc0022,
    0x99988044,0x31018800,0x13300133,0x0cc01100,0x40099988,0x00880099,
    0x33310266,0x4c59d701,0x004cc3ec,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x88260000,0x04400041,0x0001a8e6,0x00000002,0x880298e2,0x00b86a04,
    0x00998055,0x4006cc00,0x4100004b,0x0cc01800,0x1c432051,0x22081c38,
    0x00802200,0x46c40390,0x2a02c0d8,0x32a03662,0x700ec03c,0x10075009,
    0x5ecc298b,0x400d8804,0x25c01dbc,0x2c8035d0,0x203b1970,0x200d9ad8,
    0x2d9a6094,0x5b003ea0,0x2f6201b5,0x3937900d,0xa825c3e0,0x1d42cccc,
    0x2e202c80,0x2a02a80b,0x01980322,0x20240590,0x40d9803b,0x5002882a,
    0x4002a001,0x5900b00a,0x044060c0,0x02ce2011,0x2a001000,0x53005002,
    0x18800001,0x006001d0,0x5502c013,0xc9332224,0x480601cc,0x501800c0,
    0x00adc985,0x3c81e279,0x789e40f1,0x200c4058,0x64451cca,0x3073324c,
    0x49991167,0x66541ccc,0x92664451,0x1cca8399,0x015b9305,0x9102b726,
    0x70e66499,0x056e4c07,0x6666dedc,0x91540aa1,0x1dc41750,0x480b3322,
    0x202ccc88,0x2a4ccccc,0x82cc76e2,0x20880208,0x58082200,0x99999990,
    0x8bb515c5,0x20ee20ba,0x41750929,0xb515c3b8,0x2e20ba8b,0x8bb515c3,
    0xb70b31db,0x82ea1663,0xb83443b8,0x4398b31d,0x8aa0b07a,0x82a82984,
    0x03205d98,0x9d817662,0x4c625999,0x00004984,0x882c0000,0x54999d9d,
    0x8298b105,0x7f776c2a,0x8aa0a61e,0x14c5882a,0xb1055154,0x9324c24c,
    0xa8298930,0x98498782,0x1b83c124,0x530972a8,0x2aaa0550,0x5501b302,
    0x03916055,0xb9134076,0x97223644,0x12e446c8,0x2d6058d9,0x4c081291,
    0x89a82a82,0x22a82983,0x50530204,0x0ec10245,0x23407668,0x0e82a829,
    0x416680ec,0x2550b105,0x2a82985a,0x0ca82c90,0x75141648,0x58370340,
    0x2090b048,0x3882c485,0x20058c2b,0x9b82a829,0x2a829839,0xa8298016,
    0x70340162,0x261b81a3,0x40e82a82,0x20dc6e06,0x55072078,0x15414c24,
    0x19019244,0x10064910,0xa816330b,0x858242c1,0x05890b04,0x0b16ba35,
    0x315414c0,0x419bb9d9,0x0162a829,0x162a8298,0x163502c0,0x2a0a61a8,
    0x2a058782,0x1b663b11,0x09154488,0x37055053,0x1b8241cc,0xa80d80e6,
    0xb03601b2,0x41216090,0x2482c485,0x300345ae,0x2a905505,0x22a82981,
    0x2a0a6006,0x806c01a2,0x83601b0d,0x2cc2a829,0x540d806c,0x064048cd,
    0x42442455,0xccccd80b,0x999b0486,0x088ae0d9,0x4340ee55,0x090b0485,
    0x3a0b1216,0x03c815cc,0xb0170910,0x2e12206e,0x24400f20,0x7007905c,
    0xd03b9a07,0x640b8488,0x00d03b82,0x8aa48809,0x1220d80b,0x0906e0e2,
    0x48837071,0x0762a954,0x07989039,0x98907989,0x8b14c2c7,0x85983b13,
    0xbac1220d,0x22441b00,0x6c2cc1d8,0x83b11220,0x0720ec59,0x0d81c83b,
    0x1d81a122,0x016200e4,0x3b114c32,0x80bbce88,0x0f24880b,0x1b12202e,
    0x6c4532a8,0x7b302cbd,0x7b309957,0x7b309957,0x16749957,0xd8962c17,
    0x9d104dbe,0x06520177,0x80bbce88,0x104dbed8,0xb101779d,0xbb109b7d,
    0x7bb10597,0x2f3a2059,0xb101540b,0x3320597b,0x008800dc,0x3ae01100,
    0x80fb262c,0x3b262ceb,0xb9999b33,0x10008805,0x01000400,0x8beb84cc,
    0x886cccec,0x00011001,0x0c400440,0x18800880,0x08800880,0x80001100,
    0x004cc008,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x05000035,0x6666665c,0x5300d983,
    0x4c4000d4,0x50044000,0x1004a809,0x01331039,0x00010000,0x02000000,
    0x000c0387,0x20266000,0x00019818,0x22059000,0x09039bdd,0x4cddccec,
    0x816c6545,0x0e403ccb,0xb1002544,0x0366f201,0x980366f2,0x654c3b9d,
    0x2002c402,0x5400e405,0x4c075003,0x01e4ddc3,0x039001f5,0x42d54162,
    0x7505c85c,0x88053007,0x805cc200,0x162a9604,0x00660183,0x1004805b,
    0x1886201b,0x418060c4,0xb3005301,0x22073001,0x003b801d,0x880e8077,
    0x4400800a,0x806cc01d,0x04c80885,0x7db300e7,0x37260005,0x66765c0a,
    0x122a923c,0x26015b93,0x0c4099cc,0x4cc40240,0x26732600,0x1456e540,
    0x83ccccc8,0x00110029,0x40022019,0xb3006001,0x0515b950,0x10515b95,
    0x2c022001,0x5c999999,0x54057304,0xdca8d50c,0x1663b702,0x702a8024,
    0x2ae1663b,0x332e1f50,0xde8a403c,0xb81654c3,0x5dc1f50a,0x2620bb10,
    0x829809d9,0xccccccc8,0xcc889101,0x911ccccc,0x95017999,0x321ccc87,
    0x5d885dc2,0x45d885dc,0x20cccccc,0x40cccccc,0x96666765,0x1666443b,
    0x0a601090,0x12126126,0x424c1540,0x88642449,0xba4009d9,0x84814c03,
    0x00e0750c,0xb1029816,0x20553333,0x999d880c,0x267622a9,0x21ea83b9,
    0x750f43a8,0x8703a8e0,0x4409bb98,0x25809bb9,0x10750e45,0x01d40bb3,
    0xd01d8298,0x20aa0090,0x0048d01d,0x00b3200b,0x120240a6,0x14c0b000,
    0x910530b0,0x1614c2c0,0x98b73032,0x240123c2,0x26014c00,0x0ea29602,
    0x0aaaa055,0x2603cc98,0x906e0682,0x81a0aa00,0x802b261b,0x0077f005,
    0x02b26053,0x40b00016,0x02196029,0x0865806e,0x2e60dc2c,0x41f0a63a,
    0x3000b005,0x16029805,0x24022162,0x4c16600b,0x906a0582,0x0b055010,
    0x1e5c40d4,0x0754802c,0x65c40298,0x13331163,0x05302c02,0x1602d56c,
    0x2c0b55b0,0x36730971,0x161e8530,0x11613331,0x05301333,0x36160298,
    0x0c922000,0x2980c808,0xa81b00d8,0x3263dcbc,0x40362cdd,0x160dc00d,
    0x4c075240,0x22c6e002,0x0190eaa9,0x5b014c0b,0x200dc0b5,0x3ba05aad,
    0x227302fe,0x162c8534,0x3161d553,0x05301d55,0x57160298,0x1b819844,
    0x588d10e6,0x33377322,0x981a0771,0xd03b8000,0x161cc054,0x3a64c98e,
    0x0a82982d,0x96059398,0x3262440c,0x2c1ccddc,0x96016045,0x06c4b022,
    0x853371cc,0x92c0b259,0x014c1605,0x122580a6,0x3361fa55,0x66446ccc,
    0x01900cdd,0x32039076,0x1d826404,0x190b70e4,0x0000c858,0x3216e0a6,
    0x5cb01b10,0xb00005c2,0x5802a920,0x42c45890,0x6c14ec39,0x44b01b10,
    0x0530580d,0x0d960298,0x1c408954,0x402a80dc,0xbdd8819c,0x100e202c,
    0x32f76207,0x6de5d5c2,0x880c8582,0x5c14c00c,0x442dbcba,0x5c2dbbee,
    0x2c402bbd,0x005960b0,0x750b160b,0x416d4398,0x2efba248,0x5df7442d,
    0x9805302d,0x9b35cb82,0x5c05b999,0x05504880,0x02200a88,0x20060060,
    0xb8088008,0x0eccccec,0xb99303b8,0x0110399b,0x00c00988,0x764415c4,
    0x025ccccc,0x9999d910,0x073b22b9,0x8337627b,0x0262002d,0x33201310,
    0x3320ccdd,0x1310ccdd,0x1675c000,0x01107d93,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0170d400,0x020803b8,0x02f33322,0xb80aa398,0x6643ca83,
    0x32a0001c,0x2000051c,0x1a8a603b,0x33003b10,0x0dcc0133,0x5c267326,
    0x99103ccc,0x820665c7,0x1b8aa008,0x88599990,0x19951ccc,0x820351cc,
    0x2f200440,0x6d56c02d,0x416cd300,0x03b999d8,0x6c40f36a,0x0f540d9a,
    0x32e60751,0x2ed45700,0x01556ecc,0x2e01b55b,0x919503bc,0x2aef6e05,
    0x4337900b,0x221f50ab,0x2ea009d9,0x43e0ee20,0x1665c04b,0x88762000,
    0x03cca81e,0x0fd16cd3,0x20880150,0x85800008,0x8806200c,0x8b730220,
    0x03315029,0x410b1055,0x0882203a,0x0c180660,0x028a8ad4,0x03212091,
    0x5505300b,0x00660000,0x96015b93,0x006600d8,0xcc882a80,0x59900bcc,
    0x5990664c,0x2160664c,0x990f2a1b,0x66666439,0x98eae60c,0x12077102,
    0x990f2a08,0xa8b32a39,0x333322cc,0x1666444c,0x051512c8,0x580240a6,
    0x42a82980,0x2202ccc8,0x36e02ccc,0x6cd60b31,0x99999900,0x33333221,
    0x9d8801cc,0x85983b99,0x0ec2cc1d,0xd509712c,0x2621d443,0xd9cc09bb,
    0x16000530,0x2a21ea80,0x16604ec3,0x10b3333b,0x452e0bb3,0x6654428a,
    0x00564c0a,0x5505300b,0x880bb310,0x309305d9,0x401d3b09,0x4409bb98,
    0x12a9999d,0x40642c01,0x1540ea2a,0x3fbba075,0x298b7302,0x44e60530,
    0x12e44534,0x260058d9,0x99614c5b,0x01c8b121,0x33205555,0x654428aa,
    0x797100ac,0x505300b0,0x00aaaa05,0x03b05555,0x07673a1a,0x4c2c0530,
    0x5c2c0552,0x80b11b01,0x8960588d,0x23ab980d,0x26053029,0x160a66e3,
    0x5cc00d12,0x6cb0a63a,0x01d45125,0x155102c9,0xb800a605,0x0a61c2c1,
    0x80b240aa,0x1b81a164,0x2980362c,0x1d421960,0x1025c4b0,0xcc880199,
    0x30b11600,0x9814c367,0x29d87302,0x01e44858,0x0a61b398,0x12199119,
    0x649102c4,0x40a2a200,0x3980a829,0x0910642c,0x06491019,0x0b032488,
    0x073160d4,0xb55b014c,0x77740770,0x003b802f,0x3a858077,0x053489cc,
    0x2a1cc0a6,0x4448582d,0x4e62cc1d,0xa8b85348,0x1b038aaa,0x40730dc0,
    0x053028a8,0x858190b7,0x0b106c0c,0x3703986e,0x6c0361cc,0x5302c2c0,
    0x5c2d56c0,0x00d89604,0x0298014c,0x3d839d91,0x0299b8e6,0x19bb1053,
    0x4242c16c,0x984dbed8,0x350a66e3,0x2e0a7219,0x999b0222,0x145440d9,
    0xcbab8298,0x33b2e2db,0x6440eccc,0x99b00ccc,0x33360d99,0x681dc6cc,
    0xda873b22,0x29602982,0x88b02642,0x98014c05,0x87300002,0x0053029d,
    0x40f31200,0x3b0e6039,0x2b65a985,0x88aa2442,0x15101b83,0x53002e05,
    0x00640000,0x38837071,0x320ec1b8,0x02980001,0x204ca416,0x0a603a85,
    0x588014c0,0x05b50e60,0x032200a6,0x4cabbd98,0x21cc02e0,0x71e442da,
    0x1540d839,0x75091017,0x2a623937,0x200c8805,0x29b800c8,0xb8910170,
    0x6ec44880,0x064402cb,0xb0580a60,0x41cec880,0x66ee4c3d,0x59bb9302,
    0xd8815c40,0x990b60cd,0x2e0199bb,0x71001003,0x83376207,0x3e61f82d,
    0x33333660,0x4c59d72d,0x2e2003ec,0x403b8802,0x2026003b,0x3b262ceb,
    0x64c59d73,0x7000883e,0x66ee6407,0x999d910c,0x00000b99,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xeea80000,0x999300de,0x22000039,0x9704b800,0x23989999,0x0510cc1a,
    0x80620041,0x8000a219,0x4c40a648,0x0032e019,0x5400012e,0x32228adc,
    0x41cccccc,0x0cc0aa38,0x202ea051,0x4002ccc8,0x0006601c,0xbb100000,
    0x05d80737,0x10366b62,0x95013773,0x36ab6079,0x405b34c0,0x6d56c06c,
    0x29add980,0x32097b30,0x6c40b99a,0x2b202c89,0x177100d9,0x2ec42ee0,
    0x2a666762,0x403cda82,0x6440daad,0xd9880d99,0xb80b6005,0x27900399,
    0x24cc8878,0xb9841ccc,0x11004400,0x40298044,0x00154019,0x2a800880,
    0x4403a820,0x20985102,0x88620009,0x50511501,0x26160e07,0x2a003102,
    0x81cc1502,0x18802aaa,0x220071c0,0x105d4020,0x2ccc8877,0x33333320,
    0x99999910,0x97053039,0x64799999,0x320ccccc,0x910ccccc,0x43999999,
    0x3202ccc8,0x910ccccc,0x43999999,0x802d404a,0x40f324ca,0x5800903b,
    0x3332a086,0xcccc882c,0x160e1ccc,0x16640b24,0x071c1993,0xa8298000,
    0x205d9882,0x4409bb98,0x82a9999d,0xbb99d829,0x2ee62599,0x4ddcc409,
    0x4cccec40,0x02ecc42a,0x88137731,0x72a9999d,0x02c03913,0x03620d88,
    0x002c0262,0x9d816ab6,0x6c40da99,0x712a9999,0x92217322,0x3b0b300c,
    0x0330bb88,0x43644b91,0x5502a829,0x20298055,0x82982985,0x29858aa5,
    0x30b014c0,0x80555505,0x4a616029,0x32c0ea0b,0xcc848580,0x222c0dbb,
    0x556c0999,0x21221205,0x2e732985,0x1cc370b1,0x301d4550,0x48580577,
    0x902a8298,0x580a602c,0x48298086,0x029848aa,0x10cb014c,0x0a602c90,
    0x8ae08658,0x5dd6c0c8,0x0090b01c,0x554c5891,0x20452c0e,0x86581904,
    0xd8596730,0x6c06cccc,0x1bb88588,0x26121600,0x24882a82,0xd80a600c,
    0x014c05aa,0x805300aa,0x16ab6029,0x98032488,0x816ab602,0x83d0e0b9,
    0xb5555b05,0x322cd4c0,0x120b0b02,0x55b06a09,0x26ee730b,0x00dc1c45,
    0x4c101991,0x242c02bb,0x5c15414c,0x02980e61,0x53016ab6,0x14c02a80,
    0xaad80a60,0x03986e05,0x5aad80a6,0x2c2bab80,0xaaaad824,0x5babdc85,
    0x2c2c06c4,0x42a82458,0x25885aad,0x4405c4a9,0x1c01dc04,0x88485807,
    0xccd80b84,0x80a606cc,0x372e08a5,0x805504cd,0xb014c029,0xcccd8114,
    0x580a606c,0x206e008a,0x890b0485,0xee88581b,0x3b222dbb,0x245ccccc,
    0x0452c0b8,0x22ceb80d,0x0a603ec9,0x224038e0,0x2441b079,0x980dc1c4,
    0x64241602,0x26015400,0x0b014c02,0x01b83892,0x1482c053,0x48581a85,
    0x40c890b0,0x0026205b,0x0b048170,0x223b920b,0x5300e000,0x80577300,
    0x84cabbd9,0xb80bbce8,0x05304880,0x19c8582c,0x05300aa0,0x2c160298,
    0x26091017,0xc8ac1602,0x90b03baa,0x7b112160,0x2209d377,0x0d5c000c,
    0x20b03909,0x00ee75c5,0x0a601770,0x00200080,0x59d70088,0xb991f64c,
    0x3b22199b,0x885ccccc,0xcddc980a,0x666ee642,0x33377320,0x9999d910,
    0x98b3aeb9,0x377323ec,0x99d910cc,0xc800b999,0xd913aa3e,0x1033b219,
    0x8001dc00,0x37333aa0,0x66676441,0x000005cc,0x02cddc98,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40511c00,0x1ba44018,0x054c0910,0x20cccccc,0x43306209,
    0xcccc9819,0x04cccc41,0x0c401544,0x38700401,0x00200e60,0x7100c413,
    0x2024a600,0x002a8048,0x999930e0,0x4c141883,0x33320620,0x36b6a03c,
    0x65e66dc0,0x03a8d882,0x37b101b3,0x55564c1b,0x6c4ec46a,0x004bbc80,
    0x06aaaf20,0x403b5397,0xd90699d9,0x80ececc0,0x3ea04acb,0x36276200,
    0x01b5b500,0x2201cacc,0x25de400d,0x9971e644,0x22760009,0xd89d881c,
    0x03880000,0x2130b07a,0x21c80e03,0x21602248,0x0aa00bb8,0x33333322,
    0x0100321c,0x0389b809,0x00c88031,0x05014c51,0x1c017710,0x01894051,
    0x98660054,0x2e20ba81,0xcccccc82,0x100ddc40,0x99910177,0x2c011005,
    0x4c008824,0x980b0d00,0x09801103,0x53333b10,0x2c000645,0x2009b8c4,
    0x400c4008,0x000c4009,0x00006200,0x20000310,0x9882a829,0x098809bb,
    0x26200880,0x32f2a05d,0x4c48581c,0x6cc1cbcc,0x642c6cbb,0x99306e00,
    0xbbd98397,0x2298586c,0x4401ccac,0x5ee65c3c,0x39979501,0x4bcbcc88,
    0x2365decc,0x24bcbcc8,0x21b225c8,0x24bcbcc8,0x21b225c8,0x24bcbcc8,
    0x3b220ce9,0x80aa0a62,0xb7799029,0x39979501,0x220aaaa0,0x44858584,
    0x96160c84,0x1600b848,0x58583212,0x2ea08658,0xbd704b88,0x207e2298,
    0x20645848,0x322c2c4b,0x242c25c0,0x1612e064,0x89703212,0x3122110b,
    0x14c05505,0x42444880,0x05c2c905,0xa921614c,0x272e3981,0x00b84880,
    0x3981a891,0xad80272e,0x3012005a,0x5c0ec249,0x20712980,0x4404e5c1,
    0x890b0303,0x90b03038,0x2a830388,0x0530a699,0x2014c055,0x405c59a9,
    0x81924429,0x2ccccccd,0x02490fae,0x42eca88b,0x83500d85,0xd9511604,
    0x00b55b05,0x2c6e00d4,0x6666c0e4,0x00172ccc,0x17176544,0x2e242c00,
    0x71216000,0x66d22001,0x5414c0b8,0x6e40a602,0x666c5bab,0x0dc2cccc,
    0x0001b873,0x23981a92,0x1a160c80,0x3981a848,0x14b03202,0x5c00c801,
    0x3703d091,0x01003980,0x5800e619,0xb001cc48,0x20039890,0x884a9a9c,
    0x0a600b84,0x0371606e,0x1b333360,0x880310b1,0x499206c4,0x3a8ae0c8,
    0x9206c120,0x82c0c849,0x12441734,0x98e64883,0x1885881f,0x24c91036,
    0x4881b064,0x06c3cc48,0x0f312122,0xcc84881b,0x98360990,0x06414c04,
    0x310b116e,0x260dc1c4,0x901dcbcc,0xccc98199,0x2eef661c,0x03dcc83c,
    0x6664c06a,0x2eef661c,0x5cb0583c,0x7640ccce,0x66dc0ccc,0xcc981dbd,
    0x33221dcb,0x2f660cbb,0x66443cbb,0xbd980cbb,0x66444cab,0xbd980cbb,
    0x66444cab,0x25b80cbb,0x9b9d103c,0xd8829801,0x4c4e9bbb,0x2e1dcbcc,
    0x00604880,0x80110022,0x00044008,0x02200440,0x33333b22,0x0080085c,
    0x400c0008,0x08008800,0x00400100,0x00020008,0x99002200,0x008199bb,
    0x1675c0c0,0x00007d93,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x54150000,0x20661980,0x00002a0a,
    0x06e002a8,0x98800710,0x007bb500,0x2a00a980,0x7101b802,0x8100b800,
    0x22024400,0x404400ba,0x2a80002a,0x07101b80,0x40000130,0x3203cad8,
    0x95b104bb,0x0789dc07,0x64025ddc,0x40095002,0x50dd82c9,0x216cd30b,
    0xbc80dabc,0x500b204b,0x980b2009,0x36603ddd,0x066b2e00,0x2b625b83,
    0x5b34c1da,0x64097790,0xdb825402,0x911cccdb,0x2e03644b,0xb802a801,
    0x40104401,0x19806619,0x2200cc00,0x0ea3ddcc,0x4c0820ea,0x198662c2,
    0x03300198,0x2f620198,0x900e00d9,0x91544805,0x01042441,0x0cc0cc33,
    0x21cc1980,0x4090b07a,0x00880098,0x00000000,0x26000000,0xd00e8530,
    0x70320220,0x08801101,0x43100440,0x20488008,0x80498e18,0x41616044,
    0x20044008,0x24044008,0x2090b078,0x980dbbcc,0x3221cbcc,0xb911b225,
    0x97223644,0x12e446c8,0x225c88d9,0xddbeb86c,0x41b02c2a,0x321cbcc9,
    0x79931640,0xcbcc9839,0x0e5e64c1,0x2f676eee,0x5eee64c3,0x6ede64c1,
    0x654042e3,0x15c2ccce,0xccbca895,0x0e65e541,0x50732f2a,0x82c39979,
    0x20090b05,0x40c84848,0x090b0485,0x242c1216,0x22544858,0x190242f8,
    0x24986424,0x832123c9,0x32120c84,0x885cf700,0x488fa20d,0x9b190edc,
    0xdb00905b,0x258488bd,0x21225848,0x1b961225,0x048583c4,0x06a2cd4c,
    0x2090b0e6,0x090b0485,0x242c1216,0x0b0b6036,0x47303534,0x3538bcda,
    0x2606a730,0x98730353,0x05ca24ba,0x5dc3725c,0x84837248,0x644e5404,
    0x5ca602e2,0x30172980,0x44a602e5,0x1a0db31d,0x2af720f3,0x58b0245b,
    0x2090b048,0x090b0485,0x2a0b1216,0x92c40dc2,0x123502c0,0x04ac0958,
    0x6e55ecd6,0x22092ccc,0xb963b965,0xb01214c2,0x66666cb0,0x9999b2cc,
    0x33336599,0x999b2ccc,0xcda85999,0x577bd048,0x4581b899,0x42c3981a,
    0x16090b04,0x58242c12,0x16c06c48,0x543b0762,0x43603981,0x0353981a,
    0x4e606a73,0x30382cc5,0x911d45c7,0x090a61cc,0x0370c848,0x00dc01b8,
    0x8240006e,0x5c0c8015,0x24240d85,0x1e6241e6,0x2241e624,0x47989079,
    0x44174c49,0x0d81dbdd,0x6c2d9824,0x89036240,0x6419240d,0x6c244627,
    0x81913a20,0x82160645,0x8589220b,0x2310b118,0x0b118858,0x582c4031,
    0x3777b100,0xcccc989d,0xcabbd981,0xcabbd984,0xcabbd984,0xcabbd984,
    0xcabbd984,0x56edf544,0x022da83d,0x54399993,0xcc981eeb,0x6664c1cc,
    0x66664c1c,0x2f36f621,0x2ee61ecd,0x666d41bb,0xccd881cc,0x2dcbca82,
    0x30333322,0x4c3b9799,0x261dcbcc,0x261dcbcc,0x641dcbcc,0x00900dcc,
    0x00220008,0x20008002,0x08002000,0xda801300,0x880cddcc,0x02200300,
    0x00880110,0x00401026,0x00400447,0x0011004c,0x03003003,0x004cc030,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x806e0055,0x44020038,0x004c0009,
    0x01310022,0x10002620,0x0066664c,0x33322011,0x7009881c,0x3332a799,
    0x20426623,0x33100998,0x44002601,0x428189cc,0x41445102,0x44188cc8,
    0x4f20cccc,0x644eb878,0x025de42e,0x012a00b2,0xb983b7b3,0xdb7b7003,
    0x21ff85b5,0x4dbddbda,0xb502c980,0x99883239,0x99795019,0x81333303,
    0x440dbbcc,0x832a60ab,0x4c69aca9,0x595302ca,0x44c016a0,0x8ac80db8,
    0x36b2e03a,0x0db88980,0x22099998,0x26064020,0x20330cc3,0x80660019,
    0x401cc244,0x4c17c439,0x1d41f982,0x46ec14c0,0x09882eb8,0x220b0910,
    0x35091000,0x22a60730,0x29805303,0x03eefe88,0x32a004c4,0x88039802,
    0x98804400,0x01912200,0x09880131,0x16004c40,0x40627309,0x2002c80c,
    0x4260b059,0x3661d429,0x06dde642,0xca8a602e,0x35301ccb,0x0730350b,
    0x029802a6,0x00cb014c,0x001b7799,0x26013100,0x64c1cbcc,0x2f321cbc,
    0x261900db,0x0dbbcc83,0x80dbbcc8,0xb00dbbcc,0x32e60766,0xb82c3dbd,
    0x04981882,0xaddbeb89,0x12b10742,0xcccd8910,0xb0912ccc,0x85babdc8,
    0x5303981a,0x54c02980,0xcbbad81a,0xca848801,0x799b702d,0x4190905b,
    0x09100c84,0x440064e2,0x88048804,0x036e6b04,0x2a2b83f3,0x83a82e81,
    0x12a48879,0x86c585f1,0xb8b35304,0x94c05c01,0x81a8581b,0x98053039,
    0x05d504ca,0x54c0b07a,0xe80a6059,0x2606a2c2,0x98730353,0x1272059a,
    0x4c0b3530,0x26a6059a,0x698b0b05,0xb912d890,0x4c066445,0x6c1b31cd,
    0x39242d80,0x757b9064,0xb188588b,0x25999999,0x8d42dc0c,0x014c0e60,
    0xb910aaa6,0x64242c05,0x2605babd,0x09121602,0x6e5604ac,0x3e205bab,
    0xb757b900,0x0b757b90,0x20b757b9,0x40e61a85,0x299cda84,0xc9b98032,
    0x8550582d,0x06e68754,0x32f32616,0xd880371d,0x544e9bbb,0x29814cb1,
    0x988814c0,0x37121602,0xb014c0b0,0x3981a890,0x03773035,0x1b82440b,
    0x22c0dc58,0x50b0581b,0x804834c5,0x07301629,0xa85b01b0,0x8192cc4a,
    0x2206e05b,0x2a041885,0x03258d40,0x00a6014c,0x2242c053,0x5302dc0c,
    0x06c242c0,0x19481b12,0x403205b8,0x0322dc0c,0x2dc0c8b7,0x98321758,
    0x4c00dc2f,0x1cc906e2,0x0ba624c0,0x10ec41f3,0x09d3777b,0x3326026e,
    0x5d401dcb,0x9b57bb72,0x26014c09,0x0b014c02,0x9bbbd889,0x2c05304e,
    0x66664c24,0x8e6664c1,0x4e9bbbd8,0x4413b32a,0x24e9bbbd,0x4e9bbbd8,
    0x3a6eef62,0x3627b224,0x3b2f6a3c,0x6e4402db,0x9b99912d,0x50073766,
    0x47b5bb7d,0x01ecccad,0x400c4001,0x04400001,0x666ee64c,0x99bb9931,
    0x33773263,0xea8fae1c,0x664c0084,0x3b22ccdd,0x04413aa4,0x20040220,
    0x04009998,0x00100080,0x80020020,0x44080999,0x13000999,0x00088620,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xa8000000,0x0009800a,0x00020026,0x40e600e2,0x33006619,
    0x1cb88881,0x36a00320,0x07300a3c,0x4ee0a82a,0x1cc02dca,0x44710100,
    0x03002602,0x03319910,0x00333322,0x04048800,0x444c0620,0x800dd404,
    0x02d801ba,0x4036b6a0,0x25de404a,0xa8977950,0x101b30ae,0xa86ec01b,
    0x816a048c,0xcd83cad8,0x12a0570b,0x5ed4ee44,0x80daca85,0x906cbbd9,
    0x03322300,0xc8099998,0xd881b225,0x6441b200,0x4c44bcbc,0x2001a804,
    0x000b801a,0x0070288e,0xa80900aa,0x07103883,0x803aa0ea,0x3a037003,
    0x70070582,0x4073007b,0x00090585,0x242c0000,0x01880150,0x5444b819,
    0x406a4b84,0x4a80d43b,0x00009881,0x09100000,0x74002400,0x09880d00,
    0x02c16000,0x8002b804,0x5009cb80,0x445999d9,0x911b225c,0x8583644b,
    0x71000004,0xd885c060,0x07660d42,0xb87b106a,0xa82dbccd,0x5b9502dc,
    0x1f3333a0,0x55440997,0x21caaaaa,0x40b02dca,0x5e66dc0d,0x02dca82d,
    0x9dc8920b,0x01b85bda,0x2f6a7722,0x02eca885,0x2090b009,0x090b0485,
    0xe8f9999d,0x02e7cccc,0x65caeee0,0x27bb70a8,0x6edc29cc,0xe8131b53,
    0x805302c2,0x81c89029,0x2aaee048,0x981caaaa,0x03204882,0x14c0b0ba,
    0x7b709058,0xdb801b80,0xa8320203,0x0b01aadb,0x2c121609,0x90722424,
    0x000e61c8,0x20b665b3,0x0489b9d9,0xb0b665b1,0x2014c090,0x101c8029,
    0x1901c409,0x681a0530,0x14c090b0,0x05709058,0x05700370,0x3106424c,
    0x2160133b,0x12090b04,0x401c80f3,0x2440d81c,0x88a7225c,0x1970903c,
    0x121614e4,0x014c0298,0x404880ae,0x0a609104,0x582c4164,0x2c0a6048,
    0x2a01b848,0x702ccddc,0x5ddecc03,0x0b00903c,0x4c121609,0x704cabbd,
    0x9102b805,0x19819779,0x03514c5c,0x8b85306e,0x30242c29,0x2a029805,
    0x2a024403,0x4c03220c,0x0c83b102,0x14c090b0,0x03709058,0x006e0020,
    0x0212014c,0x98907989,0x50190407,0x9803a807,0x26e64002,0x64003220,
    0x0242c4dc,0x30298053,0x02441b89,0x0066664c,0x5ef4c053,0x8121601c,
    0x773eb829,0x20037039,0x800dc03a,0x2f2a00c8,0x5decc2dc,0xbbd984ca,
    0x339004ca,0x4986e24c,0x006440dc,0x7b00f220,0x97100195,0x49d52764,
    0x1ccddcc9,0x399bb993,0x0ee6667c,0x10039d99,0x66ee64c0,0xc801101c,
    0xc993aa4e,0x201ccddc,0xccddca81,0x2a037302,0x102ccddc,0x00260077,
    0x80004001,0x3333e0a8,0x3333e1dc,0x01dc41dc,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x01310000,0xbccb8800,
    0x51004400,0x22031003,0xc980bccb,0x1cca81cd,0x515b9505,0x33320050,
    0x026623cc,0x37260330,0x4ccccc0a,0x664c0999,0x80131099,0x33324cc8,
    0x13026601,0xc881a800,0x3033262c,0x2ccb8399,0x0a60f326,0x16de66dc,
    0x4984b87c,0x2ddb82c8,0x01b53950,0x6424c36c,0x22c88742,0x77176a2b,
    0x01217621,0x304eccc4,0x82a80595,0x018b31db,0x3ea1570c,0x75009510,
    0xca81dc41,0x016a24bb,0x21660590,0x4488d81d,0x80d981d8,0x0b0ba02a,
    0x22e20441,0x2102e2ab,0x2445882a,0x89c45ab8,0x414172aa,0x54b10554,
    0x00090703,0x2e014c0b,0x9261260c,0x19090c01,0xa8298048,0x00b00902,
    0xa8aa0088,0x15402983,0x202a814c,0x23800485,0x055048a2,0x2d621602,
    0x4048e38e,0x00904095,0x0f333b2e,0x30298160,0x076b937b,0x12180334,
    0x414c0240,0x5804882a,0xb0000131,0x00e60b11,0x73311216,0x48581337,
    0x2382dca8,0x2a824712,0x21909100,0x090099c5,0x5802c766,0x2c002400,
    0x70320530,0x8031b81a,0x4802b261,0x82987bd1,0x6676642a,0xdbccd80c,
    0x402dca82,0xeaa80cc8,0x4883201a,0x55665554,0x530242c2,0x122d5c70,
    0x06c40154,0x099c5922,0x2c197090,0x4ccc4580,0x16010240,0x2c090298,
    0x03006350,0x2e907971,0x05505303,0x583d0091,0xdaa80a60,0x575542ad,
    0x01b8e202,0x048580aa,0x8e28e0a6,0xd8805504,0x27160d80,0x0b848228,
    0x54c58034,0x190240ea,0x5814c0b0,0x186c0360,0x906e00c0,0x5414c059,
    0x85804882,0x2a00a604,0x25802402,0xec815405,0x14c13aa4,0xa98e44d4,
    0x44055029,0xccce980d,0x5dcc6a4e,0x0f200532,0x242c0b20,0x20488190,
    0x22175029,0x019a0773,0x43980a8c,0x212203bf,0x5804880b,0xa80a6048,
    0x0b02acca,0x500e66a0,0x14c00005,0x204981c8,0x401b102a,0x640d9999,
    0x83504981,0xb12cc1d8,0x21090b01,0x53005c2b,0xb05eecc0,0x30061c83,
    0x2903216e,0x4883603a,0x90b00910,0x154014c0,0x32090730,0x4004400c,
    0x014c00c8,0x80795797,0x0c0d882a,0x55e5c160,0x10df303c,0xd109b7db,
    0x9505b77d,0x5edc7b97,0x2014c02b,0xcbdd882a,0x55c600c2,0x2482dbcb,
    0x779d103a,0x16012201,0x22029812,0x7d40cddc,0x901dcccc,0x33332e0b,
    0x207703cc,0x1ccddcc9,0xdcc80110,0x99990ccd,0x3b260d99,0x22002204,
    0x22006200,0x20098009,0x37732601,0x202981cc,0x33335008,0x01103333,
    0x16f4c993,0xd9910088,0x49d90999,0xb9930ceb,0x0000399b,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x99970000,0x4ca80007,0xccc88f32,0x66419951,0x64433262,0x0033262c,
    0x2f333220,0x79997000,0x81666440,0x81bcccc8,0x202cccca,0x90189cc8,
    0x25999999,0xccccccc8,0x99999971,0x5e666447,0x59950000,0xb7116654,
    0x13cccb89,0x00cccc98,0x22059997,0x22cccccb,0x98009d98,0x6c41b102,
    0x3d10ec40,0x4c1d8598,0x00b61d85,0x2c999ba8,0x3b310fe8,0x05d98801,
    0x12e66762,0x036a6676,0x4036e226,0x4999d9d8,0x2a666762,0x337733b2,
    0xc999ba8b,0x4ec5a802,0x04722cc0,0x0f427662,0x9980272a,0x99da8099,
    0x0584999d,0x48580aa0,0xa806c4b0,0x51d40ea2,0x3005b507,0x7fc41907,
    0x555002c0,0x20dc2c05,0x26204884,0x1225ac00,0x2a96530b,0x01907316,
    0x19960b66,0xb8b00b12,0x01667440,0x912c4880,0x55002ab0,0x358242c0,
    0x588d801b,0x2024ce40,0x20e601db,0x014b0038,0x2e160592,0x2e0c8241,
    0x102dbccd,0x32c18567,0x438aa384,0x6c438839,0x125d9603,0x40c58055,
    0x950b2638,0x1581905b,0x440b7606,0x4099bb99,0xb05aaaad,0x991001d3,
    0x200bb001,0x66540cc8,0x1580242a,0x0c92205f,0x079555b0,0x85d06a09,
    0x16ba3505,0x2a02d56c,0x85599502,0xc8019914,0xc890cc88,0x22016025,
    0xb0530583,0xd910b5d0,0x6ee65401,0x5556c3cc,0x3b39d05a,0x32007700,
    0x50f62005,0x12c15599,0x7004b035,0xaad81cc3,0xa8240cca,0x248242c2,
    0xb55b05ae,0x333772e0,0x82ab32a0,0x17001b75,0x64715555,0x0581b399,
    0x53048388,0x88b5d0b0,0x5503859d,0x458242c0,0x4014c00d,0x64403aab,
    0x9107300c,0x1c2c0fe4,0x8366666c,0xb8245885,0xce8242c0,0x2296015c,
    0x0e602a80,0x00cc8922,0x14e4326a,0x42c1664b,0x41261c43,0x0ac1c829,
    0x2a032160,0x2c121602,0x805300e6,0x6dc06e49,0x15c1cc01,0x8321609d,
    0x0581b838,0x0b0b0489,0x0e2c5309,0x80aa120b,0xd882b839,0x56cb5303,
    0x583cc2e2,0x333a20c8,0x2a0a604d,0x2160a2c4,0x1602a80c,0x202c2c12,
    0x36162029,0x4c00b6a0,0x01f32543,0x80b83216,0x45885848,0x48581c84,
    0x58b160b8,0x4c0550b0,0x36602543,0x3971e442,0x06dedec4,0x03883216,
    0x85ec0a60,0x99d972c5,0x01101d99,0x676433b2,0x5439d910,0x66ee4c2d,
    0xb516f442,0xd8800a3d,0x14c3dccd,0x6666765c,0x4c59d70e,0x99d913ec,
    0x675419b9,0x4ec81dcc,0x8beb93aa,0x916cccec,0x4b99999d,0x441cddc9,
    0x003dccdd,0x0f987e0a,0x99d97008,0x3b261d99,0xdcc980cc,0x6f5c2ccd,
    0x0006ccce,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x332e0000,0x9913cccc,0x33201799,
    0x4ee44ccc,0xccccc828,0x0799970c,0x4f260b2a,0x0e6643ca,0x31e5c995,
    0x95059999,0x03999999,0x40110031,0x4c402208,0x44009800,0x00044040,
    0x14c04000,0x00044310,0x001c3100,0x9bb99d81,0x26676259,0x9999d83b,
    0x40edc225,0x2209bb98,0x176009d9,0x21ea8376,0x106c43a8,0x999ca81b,
    0x4ccddc1c,0x2f3222b9,0x65e544bc,0x4cede41c,0x5de643bd,0xcbbd980d,
    0x4e5e64c6,0x32f32639,0x6c897221,0x27b225c8,0x77702983,0x74c77b3b,
    0x30bb220c,0xe87bb799,0xa961c40f,0x8190b162,0x30000e45,0x56c02c05,
    0xb7316e62,0x55754298,0x41c42daa,0x91541545,0x21224b81,0x2e5d8a65,
    0x21612200,0x122ec245,0x2090b032,0x0000bc85,0x42e0b9ee,0x44889108,
    0x087fc1db,0x45524271,0x8a0dc2c4,0x02dca83a,0xb00b014c,0x5cc58c96,
    0x3b10a63a,0x3883b333,0x10315448,0x980b8607,0x71264172,0x970b3530,
    0xb3035013,0x161cc0d4,0x22242c12,0x40999999,0xa8a24ba9,0x370a6992,
    0x2e0245dc,0x540cddcd,0x04b89602,0x80530162,0x56016029,0x398b489b,
    0x2b60a61b,0x43885aaa,0x1dd65449,0x666c005c,0xa892cccc,0x3722cccd,
    0x95105bab,0x24b0245d,0xb04858b0,0xccccb890,0x957b33cc,0xa445999b,
    0x72c0b8cd,0x06c802c7,0xfeee80aa,0x26006c02,0x0b014c02,0x458de4b0,
    0x20a69139,0x885aaaad,0xca84dcce,0x803983ba,0x9905c01b,0x021606e0,
    0x1cc0d432,0x85873035,0x00090b04,0x4e40598b,0xa8b84a9a,0x2ea01223,
    0x2c055049,0x88ae01b1,0x14c02980,0x325870b0,0x4dc73165,0x88485829,
    0x0312a803,0x2c491036,0x176388c4,0x98b70323,0x90360c84,0x448481b0,
    0x07989079,0x4f906404,0x4c866418,0x20644e88,0x80a8e0ee,0x0b11602a,
    0x2982a891,0x90b014c0,0x4c5822c1,0x42c14ec3,0x2a803884,0xcbbcc880,
    0x6e5e64c0,0x3627b321,0x777b11db,0x5decc9d3,0x6664c3cb,0xcccc981c,
    0xcabbd981,0xcabbd984,0x7b109704,0x83d9b79b,0x36a0f25b,0x7c41cccc,
    0x0154000f,0x40d8750b,0x4c02982a,0x58321602,0xda873160,0x38848582,
    0x04002a80,0x02020180,0x80110004,0x80088008,0x00002000,0x0000204c,
    0x01100447,0x166ee4c0,0x3d839d91,0x5b9999b3,0x33377326,0x33377322,
    0x9999d970,0x98b3ae1d,0x19bb13ec,0xb93ae16c,0x99d930ce,0x199bb501,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x14142a88,0x664400aa,0x44444443,0x98ae2088,
    0x1105dc40,0x04033044,0xaaaaaaa8,0x46e00002,0x20440038,0x2666626d,
    0x00000099,0x00062130,0x40080000,0x11010098,0x40000000,0xc9664889,
    0xea8e2321,0x5154223e,0xb7777777,0x21aa97e4,0xfb0c88c8,0x83fcbf33,
    0x5555505c,0x44db8555,0xa8590621,0xf12d9664,0x543fe21f,0x42dddddd,
    0x5c7cccce,0xeb8fee4f,0x23bcbdbc,0x376e3dd9,0x4406c3b2,0x45bda9dc,
    0x42dbccdb,0x0daccad8,0x39f33bb5,0xa83623b0,0x0ea202dc,0xd24039b3,
    0x2dcc986c,0x4c6e9200,0xf93882e1,0x43749f11,0x200049ab,0x41b5b329,
    0x260310b8,0x22ec0821,0xc8900008,0x20ae4a81,0x2c2c950d,0x225d1064,
    0x807b701e,0x46d42c2e,0x6c4d42c8,0x3d12d881,0x3b880a60,0x449105d8,
    0x05524365,0x4c2f8a40,0xf71a8e61,0x398b91fc,0xbbbbb0ae,0x0a201bbb,
    0x00000771,0x1c800000,0x2c0b3260,0x10dc2c53,0x3e65d109,0x85802b81,
    0x51220c84,0x27d101b7,0x00a602e9,0x98b33912,0x2e4ddb83,0x9000dccc,
    0x9706616a,0x45d35479,0x0024244b,0x00000000,0x2e000000,0x9605d802,
    0xc9221629,0x1f21f700,0x1216006e,0x6d448832,0x17a6d84c,0x2eee0530,
    0xb14986e2,0x00088977,0x2a044600,0x0c3002cc,0x00000066,0x00000000,
    0x07500000,0x96093390,0x58641629,0x07aa3f30,0x1216006e,0x50b2232a,
    0x29b112a3,0x00a602e8,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2e24c000,0xb0b30e41,0x2e60b14c,0xd31e881a,0x16006e01,0x5995b112,
    0x0190d41b,0x4c0ba27b,0x44400002,0x20888888,0xccccccc8,0x00000ccc,
    0x00000000,0x00000000,0x7c000000,0xb11dcccc,0xb876dc7d,0x0f63b33e,
    0x360d82ec,0xccddca80,0x3aa4ec82,0x54220224,0x905d11dd,0xdcc986c3,
    0x40001ccd,0xccccccc8,0x000002cc,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__courier_19_latin_ext_x[560]={ 0,4,2,1,1,1,2,3,4,2,0,1,2,1,
3,1,1,1,1,1,1,1,2,1,1,2,3,2,0,0,0,0,1,0,0,1,1,0,1,1,0,1,1,0,
1,0,0,0,1,0,0,1,1,0,0,0,0,0,1,0,0,0,1,0,3,1,0,1,1,1,1,1,0,1,
1,1,1,0,0,1,0,1,1,1,1,0,0,0,0,1,1,0,4,0,1,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,4,1,1,1,0,
4,1,2,0,0,0,0,1,0,-1,2,1,2,2,3,0,1,3,3,3,2,1,0,0,0,0,0,0,0,0,
0,0,0,1,0,0,0,0,1,1,1,1,-1,0,0,0,0,0,0,2,0,0,0,0,0,0,1,0,1,1,
1,1,1,1,0,1,1,1,1,1,1,1,1,1,1,0,1,1,1,1,1,1,0,0,0,0,0,1,0,1,
0,1,0,1,0,1,1,1,1,1,1,1,1,1,1,1,-1,1,0,1,0,1,0,1,0,1,0,1,1,1,
1,1,1,1,1,1,0,0,0,0,1,1,1,1,1,1,1,1,1,1,0,0,1,1,0,1,1,1,1,1,
1,1,1,1,1,0,1,0,0,0,0,0,0,0,1,0,0,1,0,1,0,1,0,0,0,1,0,1,0,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,
0,1,1,1,1,1,1,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,2,1,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,1,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,1,1,1,0,
1,0,0,0,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,1,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static signed short stb__courier_19_latin_ext_y[560]={ 13,2,2,1,1,2,4,2,2,2,2,3,10,7,
11,1,2,2,2,2,2,2,2,2,2,2,5,5,3,6,3,3,2,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2,1,2,2,16,2,5,2,5,2,5,2,5,2,2,
2,2,2,5,5,5,5,5,5,5,3,5,5,5,5,5,5,2,2,2,6,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,13,5,2,3,4,3,
2,2,2,3,2,5,7,7,3,1,0,2,2,2,2,5,2,6,12,2,2,5,2,2,2,5,-1,-1,0,0,
0,-1,3,3,-1,-1,0,0,-1,-1,0,0,3,0,-1,-1,0,0,0,5,2,-1,-1,0,0,0,3,2,2,2,
2,3,2,1,5,5,2,2,2,2,2,2,2,2,2,3,2,2,2,3,2,4,5,2,2,2,2,2,2,2,
1,3,0,2,3,5,-1,2,0,2,0,2,0,2,0,2,3,2,1,3,0,2,0,2,3,5,0,2,0,2,
0,2,0,2,3,1,0,0,3,2,0,3,1,3,0,2,3,2,0,5,3,2,0,2,3,2,5,-1,-1,3,
2,3,2,3,2,3,2,-1,2,3,5,0,2,2,3,5,1,3,0,2,-1,2,3,5,-1,2,3,5,0,2,
-1,2,0,2,3,5,0,2,3,3,0,2,3,3,0,3,1,3,0,2,-1,1,-1,2,3,5,0,2,0,2,
0,-1,2,0,2,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,3,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,3,5,2,2,2,2,2,2,2,2,2,2,2,2,2,2,5,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,0,2,0,
2,0,2,-1,1,-1,0,-1,0,-1,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,-3,-1,-1,2,-1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static unsigned short stb__courier_19_latin_ext_w[560]={ 0,3,6,8,8,8,7,4,4,4,7,8,4,8,
4,8,8,8,8,8,8,8,7,8,8,7,4,5,9,10,9,6,8,10,10,9,9,9,9,9,10,8,9,10,
9,10,10,9,9,10,10,8,8,10,10,10,10,10,8,3,7,3,8,11,4,9,10,9,9,8,9,9,10,8,
6,9,8,10,10,8,10,9,9,8,8,10,10,10,10,9,8,4,2,4,8,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,0,3,7,8,8,10,
2,8,6,11,6,9,9,8,11,12,6,8,5,6,4,10,8,4,4,4,6,9,10,11,10,6,10,10,10,10,
10,10,10,9,9,9,9,9,8,8,8,8,10,10,9,9,9,9,9,6,10,10,10,10,10,10,9,9,9,9,
9,9,9,9,10,9,8,8,8,8,8,8,8,8,8,10,8,8,8,8,8,8,10,10,10,10,10,9,10,9,
10,9,10,9,11,9,9,9,9,9,9,9,9,9,9,10,10,9,9,8,9,8,9,8,10,8,9,8,9,9,
9,9,9,9,9,9,10,10,10,10,8,8,8,8,8,8,8,8,8,8,10,9,9,7,10,9,8,9,8,9,
8,9,8,9,8,10,8,10,10,10,10,10,10,10,9,9,9,8,9,8,9,8,10,10,10,9,10,9,10,9,
8,8,8,8,8,8,8,8,8,8,8,8,8,9,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,9,
10,8,8,8,8,8,8,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,10,9,9,8,9,9,9,
9,9,9,9,9,9,9,9,9,9,11,9,9,9,9,9,9,9,9,9,9,9,9,9,9,11,10,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,10,9,8,8,9,
8,10,10,10,10,10,10,10,10,10,10,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,10,9,10,10,10,10,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9, };
static unsigned short stb__courier_19_latin_ext_h[560]={ 0,12,6,14,14,12,10,6,14,14,7,10,6,2,
3,14,12,11,11,12,11,12,12,12,12,12,9,10,10,4,10,11,13,10,10,11,10,10,10,11,10,10,11,10,
10,10,10,11,10,12,10,11,10,11,10,10,10,10,10,14,14,14,5,2,3,9,12,9,12,9,11,12,11,11,
15,11,11,8,8,9,12,12,8,9,11,9,8,9,8,12,8,14,14,14,4,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,0,12,11,10,8,10,
14,13,3,11,6,8,6,2,11,2,6,11,6,7,3,12,13,3,4,6,6,8,11,11,11,12,14,14,13,13,
13,14,10,13,14,14,13,13,14,14,13,13,10,13,15,15,14,14,14,7,12,15,15,14,14,13,10,12,12,12,
12,11,12,13,9,11,12,12,12,12,11,11,11,11,12,10,12,12,12,11,12,9,9,12,12,12,12,15,15,15,
12,11,13,12,13,11,15,12,14,12,14,12,14,12,13,12,10,12,12,11,13,12,13,12,13,11,13,12,14,15,
14,15,14,15,13,16,13,13,10,11,13,10,12,10,13,11,13,14,13,8,11,15,14,15,13,14,8,14,14,13,
14,10,11,10,11,10,11,14,11,13,11,13,11,11,11,12,13,11,14,12,15,12,10,9,14,11,13,11,13,11,
15,12,14,12,13,11,14,12,14,14,13,12,10,11,14,11,13,11,14,12,15,13,15,12,13,11,13,12,13,15,
13,14,11,13,11,13,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,13,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,9,11,11,11,11,11,11,11,11,11,11,11,11,11,12,9,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,13,12,13,11,14,
12,14,12,15,13,15,14,15,14,15,14,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,16,15,14,12,15,12,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11, };
static unsigned short stb__courier_19_latin_ext_s[560]={ 22,251,172,166,12,243,176,179,195,248,248,
235,155,245,240,154,38,42,51,93,60,84,171,47,188,105,243,55,155,193,34,
81,211,71,82,88,93,125,101,98,244,39,117,1,48,58,69,144,91,85,10,
164,1,183,244,165,23,12,21,130,21,238,184,125,223,141,61,111,100,121,194,
233,204,215,239,173,127,21,63,170,89,72,53,151,108,179,32,221,10,11,1,
32,29,59,204,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,
154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,22,249,136,
235,74,224,84,129,228,69,138,92,145,245,30,137,131,1,125,111,218,243,139,
235,213,160,165,43,144,132,121,82,48,64,128,23,187,1,114,87,144,163,43,
239,229,220,56,80,144,97,1,191,58,30,227,118,110,87,54,155,175,232,194,
51,41,31,21,208,1,160,210,111,224,215,206,197,214,175,166,21,151,103,131,
122,113,238,96,201,232,64,53,42,31,150,170,209,244,121,99,225,220,149,160,
183,145,162,186,141,207,122,191,102,44,75,74,140,201,235,89,113,180,131,119,
1,115,219,200,11,210,181,170,12,149,138,80,197,110,30,216,204,71,218,53,
21,34,102,159,129,125,201,219,87,83,77,97,166,135,184,170,61,179,224,188,
184,235,65,10,45,227,155,1,10,209,247,217,56,229,20,213,130,173,11,34,
21,1,31,109,29,106,132,157,41,68,65,49,40,62,179,135,50,237,60,12,
71,196,151,33,76,65,172,176,82,108,193,12,246,23,75,93,242,102,119,184,
193,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,203,154,154,148,
154,154,154,154,154,154,154,154,154,154,154,154,154,223,160,154,154,154,154,154,
154,154,154,154,154,154,154,154,204,190,154,154,154,154,154,154,154,154,154,154,
154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,198,1,
230,246,87,11,37,20,139,1,118,97,98,108,76,119,154,154,154,154,154,154,
154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,
154,154,154,1,44,134,140,22,160,154,154,154,154,154,154,154,154,154,154,154,
154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,
154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,
154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,
154,154,154,154,154,154,154,154,154, };
static unsigned short stb__courier_19_latin_ext_t[560]={ 17,33,161,18,34,63,140,161,33,18,151,
139,161,161,161,33,77,128,128,77,128,77,90,77,90,90,151,140,140,161,140,
128,63,140,140,128,140,140,151,128,139,151,128,140,151,151,151,128,151,90,151,
128,151,128,128,140,140,140,151,18,18,33,161,168,161,151,103,151,103,151,128,
90,128,128,1,128,128,162,162,151,103,103,162,151,128,151,162,151,162,103,162,
18,18,18,161,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,
128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,17,49,128,
128,162,128,18,63,161,128,161,162,161,161,128,168,161,128,161,161,161,90,49,
161,161,161,161,162,115,115,115,103,18,18,49,63,49,34,140,49,33,33,63,
49,33,33,49,63,140,49,18,1,33,33,18,161,103,1,1,18,18,63,140,
103,103,103,103,103,103,63,151,116,90,90,90,90,115,115,115,128,90,140,90,
90,90,103,90,151,151,90,90,90,90,1,1,1,77,103,63,77,63,103,1,
77,18,77,18,77,18,77,63,77,140,90,77,103,63,77,63,77,63,103,63,
77,33,1,33,18,33,1,63,1,63,63,151,103,63,151,77,140,63,103,63,
33,63,162,103,1,33,1,49,33,162,33,33,49,33,140,103,140,103,139,103,
33,115,49,128,49,103,115,116,77,49,103,18,77,1,77,140,151,33,116,49,
116,49,116,1,77,33,77,49,116,33,77,33,33,63,90,140,116,18,116,63,
116,18,77,1,49,1,77,49,116,49,77,49,1,49,18,116,33,116,49,115,
115,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,115,128,128,49,
128,128,128,128,128,128,128,128,128,128,128,128,128,115,151,128,128,128,128,128,
128,128,128,128,128,128,128,128,77,151,128,128,128,128,128,128,128,128,128,128,
128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,49,90,
49,115,18,90,18,90,1,63,1,18,1,18,1,18,128,128,128,128,128,128,
128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,
128,128,128,1,1,18,90,1,90,128,128,128,128,128,128,128,128,128,128,128,
128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,
128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,
128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,128,
128,128,128,128,128,128,128,128,128, };
static unsigned short stb__courier_19_latin_ext_a[560]={ 161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_19_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_19_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_19_latin_ext(stb_fontchar font[STB_FONT_courier_19_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_19_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_19_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_19_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_19_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_19_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_19_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_19_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_19_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_19_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_19_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_19_latin_ext_s[i] + stb__courier_19_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_19_latin_ext_t[i] + stb__courier_19_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_19_latin_ext_x[i];
            font[i].y0 = stb__courier_19_latin_ext_y[i];
            font[i].x1 = stb__courier_19_latin_ext_x[i] + stb__courier_19_latin_ext_w[i];
            font[i].y1 = stb__courier_19_latin_ext_y[i] + stb__courier_19_latin_ext_h[i];
            font[i].advance_int = (stb__courier_19_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_19_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_19_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_19_latin_ext_s[i] + stb__courier_19_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_19_latin_ext_t[i] + stb__courier_19_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_19_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_19_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_19_latin_ext_x[i] + stb__courier_19_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_19_latin_ext_y[i] + stb__courier_19_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_19_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_19_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_19_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_19_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_19_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_19_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_19_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_19_latin_ext_LINE_SPACING
#endif

