// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_20_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_20_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_20_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_courier_20_latin_ext_BITMAP_HEIGHT        188
#define STB_FONT_courier_20_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_courier_20_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_20_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_20_latin_ext_LINE_SPACING           9

static unsigned int stb__courier_20_latin_ext_pixels[]={
    0x03001220,0x80080010,0x5000400b,0x00008100,0x26000022,0x06209802,
    0xcc8800cc,0x183103cc,0x0a0c0900,0x235005c0,0x0033000b,0x000a8031,
    0x6c40e02e,0x880f2001,0x449101dd,0x2601e404,0x015400dd,0xd8859966,
    0xb80b601d,0x4ea2202b,0x3b33b100,0x408016c0,0x0b62f200,0x8046c444,
    0xc802c8cc,0x27722203,0xa805a800,0x076203cd,0xc8240b20,0x880b6000,
    0x32e0790d,0x00ae01dc,0xb8036297,0x8711c405,0x702d88d9,0x701ca203,
    0xb9007427,0x98059001,0x1b501625,0x403a1dc0,0x02b801ea,0x405908ec,
    0x2a398049,0x37006403,0x01dc4240,0x80100010,0x200ba800,0x00008000,
    0x2e000100,0x5300002b,0x2a298054,0x00000000,0x8800c400,0x53000241,
    0x88000054,0x12018801,0xaa980cce,0x3260aaa0,0x64c2a89b,0x9442a89b,
    0x2a0aa983,0x89bc982a,0x2a35532a,0x555512aa,0x15555445,0x0ced8800,
    0x23a87d95,0x0e47501c,0x65433b62,0x219db13e,0x9db13eca,0xd88fb2a1,
    0x9b104cbc,0x362395b7,0x87d950ce,0xcb80723a,0x3620ccec,0xcd884cbc,
    0xba8484cb,0x883d100c,0x6d46642c,0x2a3320cc,0x3ac80ccd,0x16441e88,
    0x3336a332,0x262b3310,0x36666659,0x1b333310,0x65433b62,0x02c0e23e,
    0x03880000,0x88b0388b,0x541d8b03,0x22ec0d83,0x0000b038,0x541d80c8,
    0x90ea0ec3,0x20aa0020,0x31f41cc5,0x00407d07,0x8398b055,0x40b0b03e,
    0x3883200c,0x4b0388b0,0x10d542a8,0x441aa855,0xb0388b03,0x1dcb0388,
    0x930ee1d8,0x44b03889,0x400d542a,0x1d81dc0c,0x24876077,0x400eecc8,
    0x5c1215c5,0x221dc123,0x71602cca,0x20770485,0x80320585,0x22c0e20c,
    0x4598b038,0x262cc3a9,0x4581c43a,0x0388b038,0x23a80ecb,0x10dd620e,
    0x98b31607,0x6c0c803a,0x40767501,0x1cec123a,0x05858aa0,0x43b82c77,
    0x504a88ab,0x3b82c2c5,0x0640b0b0,0x581c4190,0x858581c4,0x43985839,
    0x0388b038,0x34b0388b,0x4362cb10,0x42c0e248,0x0c803985,0x81ab1034,
    0x2ce61258,0x2a82aac0,0x3a0aa3e8,0x55604803,0x03e82a82,0x00640b0b,
    0x4581c419,0x30b0b038,0x88730b07,0xb0388b03,0x034b0388,0x44592cb1,
    0x2c2c0e24,0x032031cc,0x206ac40d,0x5c321258,0xb02d5401,0xd8799317,
    0x883cc98b,0x5500dbcb,0x64c5ec0b,0x40b0b03c,0x3883200c,0x0b0388b0,
    0x30b0730b,0x88b03887,0xb0388b03,0x323a80ec,0x711dc4a8,0x8e616160,
    0x0ec0c81b,0x2a03b3a8,0x04896123,0x66cc02e8,0x9cd98399,0x4ccdec39,
    0x300ba00d,0x75c7339b,0x40b1eefe,0x3883200c,0x0710d0b0,0x30b0730b,
    0xd0710d07,0x710d0710,0x261d825c,0x4340e85b,0x23985838,0x04b8481b,
    0x0ec12e3b,0x402c2a89,0x80298005,0x03206e29,0x02980058,0x200c8160,
    0x41c4340c,0x05c0642c,0x441707d1,0x0642c83e,0x32032164,0x50b60642,
    0x25c2f887,0x2e032164,0x43b8fa20,0x3a85b039,0x890ea16c,0x02dccccd,
    0x072000aa,0x541b8720,0x0005500f,0x80e60039,0x21643404,0x597bb00c,
    0x26b2f620,0x565ec42e,0xcbdd82e9,0x0b2f7602,0xb02cbdd8,0x75b0997d,
    0x6ec07b7b,0x97b102cb,0x5ed45d35,0x2fb600bc,0x997db04c,0x45824410,
    0x400aeaa9,0x5503daaa,0xbcd887b5,0x5532ec9b,0xaaa8015d,0x32aa203d,
    0x3b75510d,0x80f5d544,0x4402cbdd,0x0c003000,0x22001100,0x10011000,
    0x0030a203,0x800c0022,0x20062001,0x20370018,0x2aaaa20c,0x00555400,
    0x04401555,0x01555510,0xa800aaa8,0x881aa81a,0x044009aa,0x00000000,
    0x00000000,0x00000000,0x00000000,0x77e40000,0x007bb623,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x05138000,0x09830054,0x38800530,0x05002880,
    0x04404418,0x0007d506,0x43307117,0x8301400b,0x1881a801,0x8000000c,
    0x0006a002,0x93000000,0x64001100,0xb7900d8a,0x12e36a03,0x36200790,
    0x025ecc01,0x2e01b7b1,0x932c0361,0xbb800910,0x322b80d8,0x01b7b100,
    0x9701621b,0x016c56c0,0xecccd895,0xdbd82dcc,0xf1025c00,0xf1002c05,
    0xa806a805,0x03273004,0x220190e4,0x0057002d,0x26488019,0x41621b04,
    0x2601ddb8,0x04880bdd,0x000dce60,0x884986c0,0x0aa01cdc,0x3c807ae0,
    0xc8552458,0x0ea01b11,0x00580720,0x980000e4,0x18800002,0x00001880,
    0x06000000,0x880000c0,0x201bcb8c,0x41553018,0x803102aa,0x80188018,
    0x45814018,0x00620aa4,0x20310062,0x0aaaaea9,0x37930060,0xb1000551,
    0x8fb2a19d,0x884cbcd8,0x10cbcbcd,0x3b2a19db,0x2a19db13,0x19db13ec,
    0xdc88fb2a,0x3221dccb,0xb11dccbd,0x8fb2a19d,0x2da8bdd8,0x2265e6c4,
    0x216441e8,0x24bcbcc8,0x884cbcd8,0x20cbcbcd,0x24bcbcc8,0x24283eea,
    0x65e6c413,0x2f3220cb,0x2f3624bc,0x3b310cbc,0x7b910333,0x46643b99,
    0x2a60ccda,0x581c401a,0x1b0ea0ec,0x40e21f88,0x44581c45,0x441d8b03,
    0x3d10761e,0x7c4581c4,0x50760e81,0xc8582a87,0xa83b2640,0x87e206c3,
    0x0482640c,0xf1036048,0xd9320643,0x0160fc40,0x263d1076,0x4cc43e83,
    0x2581c404,0x0ae3b03b,0x1607105c,0x07116071,0x21302b96,0x1c41302b,
    0x2a834458,0x8b076077,0x7288582b,0x815c7607,0x40a2160b,0x05704804,
    0x7288582e,0x80b02e05,0x4121302b,0x7101203b,0x7501d960,0xb0388012,
    0x388b0388,0x048024b0,0x222c0e20,0x40765505,0x20b1543a,0x5407600b,
    0x005c0093,0x12090090,0x01200b80,0xb00480b0,0x40480ee0,0x1034b038,
    0x0388016b,0x88b0388b,0x5802cb03,0x22c0e200,0x81a580f8,0x20555858,
    0x0341bcb8,0xb88016b1,0x402401bc,0x5c400b04,0x2002c1bc,0x2a802c05,
    0x101203e8,0x22069607,0x81c400b5,0x44581c45,0x2a22cb03,0xaa88b2aa,
    0x22c0e22a,0x47932dd8,0x2aa16206,0x23b51005,0x002d6206,0x0901da88,
    0x40016090,0x800b1da8,0x55116084,0x64c5ec55,0x7101203c,0x7501d960,
    0x81c40076,0x44581c45,0x3106cb03,0x98836593,0x2c0e22c9,0x02f6e322,
    0x740ea03b,0x03b58002,0x0000ecea,0xee982416,0x000ec5ef,0x3000ed60,
    0x3619b97b,0x30b26620,0x2407339b,0x971c4340,0x10254760,0x86838868,
    0x23886838,0x0ee3703b,0x0e21a0dc,0x20970091,0x1540b01d,0x47609758,
    0x8154204a,0x54000905,0x58154204,0x18804095,0x803703b8,0x3fbb6229,
    0xc85904ee,0xb0ea16c0,0x1641d885,0x190b2032,0x6c0c8590,0x20761b81,
    0x0321641b,0x50b60091,0x6a80aa07,0x750b63a8,0xa8ec42d8,0x80903a86,
    0xb10b606a,0xd8ea1aa3,0x3540ec42,0x803703b0,0x2003701c,0xdb02cbdd,
    0x2ff20997,0x97bb00dc,0x165eec05,0x10597bb0,0x419b79fb,0x0cdbcfd8,
    0x4c2cbdd8,0xed801adb,0x7554c4cb,0x7bd7500a,0x997db09b,0x8372ff20,
    0x04dbdeba,0xf9016012,0x75d41b97,0xbfc84dbd,0x881600dc,0x40cdbcfd,
    0x2e03daaa,0x00110018,0x00260031,0x00440022,0x03300088,0x01100330,
    0x4006aaa2,0x55551018,0x88011001,0x88013001,0xefeee980,0x3001984e,
    0x98008801,0x9800cc00,0x002aaa01,0x00000351,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xb8000000,
    0x91013282,0x10000e5b,0x01440183,0x028806a0,0x00e43062,0x33000031,
    0x25ec8133,0x02400c18,0x00903022,0x00388000,0x3ba0a007,0x0e200004,
    0x99101c38,0x2eb02a8b,0x05b50881,0x3b2a19d9,0x016c5e42,0x2e0099b3,
    0x81336604,0x42c2d8bc,0x84bcbcc8,0x555100fa,0x27b16055,0x0076202d,
    0x703b35b1,0x66764403,0x06cc02dc,0x2200b620,0x3b222c0d,0x405fb12c,
    0x48b300d9,0x80640320,0x44000195,0x03aa0b03,0x50126488,0x09324407,
    0x205c06d4,0x24c2640c,0xeb858000,0x9000e401,0x2016201b,0x09101c85,
    0x33200720,0x160b1edb,0x404801b1,0x40b0241d,0xb112b00c,0x8fb2a19d,
    0x0000b038,0x00000000,0x221605c0,0x33b62002,0x0587d950,0x40000000,
    0x0482c00c,0x85500000,0xd9960b0b,0x43440000,0x40c81204,0x209d9d98,
    0x0388b038,0x676666cb,0x499d52dc,0x3360ddc9,0x3b22dccc,0xcc8bb223,
    0x02e2ccec,0xcccd8017,0x2c0e22dc,0xb9999b2c,0x07766445,0xdcccec88,
    0x85809102,0xceccc839,0x999d912c,0x5806e05b,0xc88166b0,0x25ccccce,
    0x76c4484b,0x640d84ef,0x223ceced,0xb0388b03,0x162a922c,0x06c2c2a8,
    0x24039072,0x5e5c41b8,0x220d8581,0x42cb0b03,0x8073b00d,0x01901c85,
    0x02654cec,0x0390b024,0x20b015b1,0x05803ead,0x900c1e4b,0x59cc1360,
    0x388b0388,0x2a922cb0,0xb06a5a96,0x265881c8,0x2e882404,0x22c3b510,
    0x8581c41c,0x26039165,0x090580b3,0xdaad8126,0x82c09004,0x58f72604,
    0xb016e9b0,0x4002d8e0,0x7710b104,0xb03883b3,0x214b0388,0x990c8264,
    0x24c102e3,0x12016750,0x82580254,0x0b038849,0x6409304b,0x4c2c0370,
    0x22c03603,0x1604804b,0x595c00e6,0x9603a8b0,0x4002d81a,0xdc983204,
    0x0e22cecd,0x01cc2c2c,0x39d8dc09,0x6402c409,0x3704801c,0x58858154,
    0x16160710,0x244b0162,0x099533b0,0x570b0398,0x26760480,0x730304ca,
    0xb02c2c16,0x09903b99,0x01902409,0x07109137,0x0190b216,0x27355024,
    0x400e40b5,0x2e090058,0x20ea1aa0,0x1607101c,0x2a807216,0x9b55b02c,
    0x582c1600,0xb55b0240,0x1b10fc09,0x81542c16,0x5981c99d,0x64091048,
    0xd0489b80,0x336e0710,0x5302402d,0x54163237,0x200901c3,0x75d41704,
    0x43a84dbd,0x2c1c4343,0xccd870ea,0xb8b02dcc,0x3622a804,0x80f4c3ef,
    0x20971604,0x161dddbc,0x5e87dfb1,0x3a042258,0x20398240,0x0398c81b,
    0x2a00c859,0x5c409002,0x16216aa5,0x09004816,0x88244032,0x32164585,
    0x96162580,0x2160b048,0x0005802b,0x2b858120,0x0002c240,0x1dc37058,
    0x00d98892,0x0a690762,0x402cbdd8,0x024009aa,0xd84d8976,0x40120580,
    0x15c04b84,0x6ec2c06c,0xb35542cb,0xc80dcb01,0x700b0580,0x4800e405,
    0x1202c160,0x02b80aba,0x22c1b82c,0x4002f224,0x00220000,0xfdd302a8,
    0x7d0ba0bd,0xeeeeef88,0x2f7f74c5,0x9777f76c,0x220de400,0x05eeeeef,
    0x44662011,0x95eeeeef,0x776c47df,0x987dfb11,0xbb80c01e,0x3bfbb600,
    0x87dfb12e,0x330501e9,0x4406ee01,0xeeeeeefd,0x00002041,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x03100000,0x4ccc0510,0x22395019,0x20b11d80,0x0c412a58,0x0000000a,
    0x01c00510,0x800800c4,0x40604403,0xd500000b,0x1000007d,0x2200e207,
    0x4009b102,0x88066141,0x40cbcbcd,0x55504bd9,0xb7171055,0x01442a0b,
    0x17900c45,0xccec885b,0x7e545ccc,0x4c0fb2a0,0x01d8800d,0x40f6f362,
    0x2a00ecc9,0x20932c05,0x665c01d8,0x70901cce,0x400199d9,0x400d980c,
    0x01604bd9,0x682d8bc8,0x43f10360,0x0c412648,0x0c400c40,0x0f540000,
    0x362160b0,0x00360585,0x503600e4,0x01624989,0x5eecc073,0x48012200,
    0x00160480,0x20064162,0x02c12648,0x1e407aa0,0x000b815c,0x4265e6c4,
    0x884cbcd8,0x6c44cbcd,0x07d950ce,0x88382c00,0x0002c1bc,0x1b03b800,
    0x00002c2c,0x00900000,0x64002c09,0xb0000001,0x80005554,0x32004868,
    0x362ccecc,0x50761d41,0x21d41d87,0x7e54b038,0x4b0fb2a0,0x22d2201a,
    0xd911f645,0xca83f2a5,0x1dc03a3e,0xd910d88b,0xc8b99999,0x222ccecc,
    0x9000eecc,0x002c0900,0x99d97162,0x999d9101,0x6e4b0b99,0x6e66f541,
    0x00583d04,0x36077090,0x5c760771,0x81c43b03,0x42c2ec45,0x2201dccd,
    0x0e42c754,0xb0bb1072,0x24522058,0xb0581b7b,0x1cec0240,0x20480480,
    0x580dc005,0x56160b00,0xb302e03b,0x000585b0,0x4ea03b09,0x0767501d,
    0x160711d4,0xd8583791,0x92201c99,0x4cb10b0d,0x2c1bc884,0x29148816,
    0x7058191b,0x2ce60240,0x20480480,0x0b02c005,0x6ec1c160,0x15c05c03,
    0x0003b0f2,0x6ac40d09,0xb1035620,0xa44581c4,0x2112c2c5,0x2d224880,
    0x5220b3a8,0x5c0322c5,0x06432913,0x04801a96,0x4801b864,0x22160480,
    0x01602a84,0x5740352c,0x2c02e00d,0x040950b6,0x56206848,0x10356206,
    0x44581c4b,0x82c2c754,0x2722441b,0x44073205,0x0ea2c754,0x7b148874,
    0x1dccd83b,0x912c0480,0x40900900,0x40584885,0x3b99b005,0x700d8ac0,
    0xb03d1601,0x0901d885,0x0ecea03b,0x2a03b3a8,0x222c0e23,0x82c2c364,
    0x2ec2441b,0xb2440b10,0x950b6161,0x36054c68,0x04801c99,0x0900b0aa,
    0x2442c090,0x200b00ea,0x9601c99d,0xb00b80d8,0x32ff2068,0x12e1200d,
    0x3b04b8ec,0x1a0ec12e,0xa44910e2,0x3bbbf625,0x3fa21eee,0x0901aa1e,
    0x41691244,0x0d83dbeb,0x00422580,0x66666c09,0xefeec82d,0xdfddd31e,
    0x3bbfb29d,0x402c4eee,0x112c4885,0x3a26d882,0x24405c5f,0x00190095,
    0x8750b609,0x0b61d42d,0x0c859075,0x01672244,0x2000014c,0xb3912204,
    0x4c10b660,0x5c16060d,0x41220901,0x00006e05,0x1600e600,0x06e0b122,
    0x15c05c00,0x0055001d,0x265f6c09,0xb04cbed8,0x6ec0997d,0xd84882cb,
    0x80553005,0x4409002b,0xde985d84,0x7dc2eddc,0x370583dd,0xc80dc120,
    0xc8031700,0x0d815c01,0x2c488580,0x405701b8,0x0931d40b,0x3b603790,
    0x1882eefe,0x18801880,0x3a201100,0x801aa1ef,0x806ee008,0x445efee9,
    0x01aa1efe,0xefd88000,0x361eeeee,0xf92eefee,0x0f76c47d,0x17700d44,
    0x0180ddc0,0x77777f64,0xdddfb14e,0x37703ddd,0x37bbbaa0,0x00000043,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0ee20000,0x061401c0,0x03022000,0x0060c400,0x8002a000,
    0x80604401,0x001aaaa9,0x400a0071,0x4cccc028,0x40100000,0x33332200,
    0x23950003,0x01865400,0x03338030,0x8cb80b50,0x007d403c,0x1ea04996,
    0x01d8ad88,0x001dd991,0x64403b79,0x581dccbd,0xaaa88126,0x01d8800a,
    0x2e025ecc,0xaa882dad,0xcdda82aa,0x04b8ec40,0x0e1207b9,0x2e226edc,
    0x2a605db8,0x6c404dc9,0x0065d401,0x0f4c0398,0x6cc02440,0x012600bd,
    0x4ec0036e,0x0190dc03,0x303d1076,0x14c017bb,0x80190015,0x140930c8,
    0x124c000a,0x205bb10b,0x1070971d,0x00002d88,0x00362000,0x00000004,
    0x00000000,0x0b398000,0x4c0ae000,0x91d40000,0x80000003,0xd999005d,
    0x2e064599,0x82040101,0x0ec01db8,0x03bb3220,0x2cceccc8,0xd9910020,
    0x7666401d,0x99d912cc,0x7644b999,0x225ccccc,0x5cccccec,0x16676664,
    0x001dd991,0x64406e19,0x00900eec,0x00776644,0x9dbb7000,0x67541d99,
    0x0583bb51,0xc8190480,0x04565cc1,0x1c22b2e6,0x00910195,0x090039d8,
    0x0e4cb2e2,0x2400e760,0x416160b0,0x240b0585,0x2c01cec0,0x073b0091,
    0x1cec0016,0x0d542a88,0x206458b8,0x00583985,0x513b3048,0xea89ca8b,
    0x3aa272a2,0x542b8552,0xb3980551,0xc8d41200,0x7302c8db,0x0b024016,
    0x2c1c160e,0x73012038,0x05855016,0x88b059cc,0xb3982aaa,0x0ea62cc0,
    0x42c245ac,0x15915839,0x3bee0480,0x86606c0f,0x1930cc0d,0x57b3924c,
    0x0dc3201b,0x07c40240,0x00dc3209,0x00d4b024,0x54b00d4b,0x86404801,
    0x3333601b,0x5c3202dc,0x26620d81,0x0370c82c,0xa441cc2c,0x1cc2c035,
    0x4059966c,0x36619504,0x206b3660,0x7101acd9,0x20eb8cc5,0x0244b038,
    0xebca8824,0x44b04999,0x33604804,0x333601dc,0x3733601d,0x12c04801,
    0x02c12209,0x81dc244b,0x8122581b,0xb2a83985,0x333601d9,0x41d83dcc,
    0x42c1202a,0x0dca882a,0x300dca88,0x2c1cc779,0x12016154,0x2ba66b6a,
    0x21540aaa,0x27604805,0x267601c9,0x3267601c,0x0aa04801,0x06406e0b,
    0x0ec16154,0x0b0aa0dc,0x8641cc2c,0x33b00c9d,0x30b07533,0x98582407,
    0x80926023,0xb10e2049,0x9999b0b0,0x8584805b,0xccccd807,0x4b02402d,
    0x844b0108,0x00422580,0x66666c09,0x11f7e42d,0xccd83ddb,0xfd882dcc,
    0x66c0cdbc,0x0b02dccc,0x0d99d073,0x0b0730b0,0x2a824073,0x2730b32c,
    0x20e39859,0x10e60c83,0x90901609,0x41517dc3,0x0480b048,0x4160dc16,
    0x01b82c1b,0x02c12209,0x209106a0,0x4880cc05,0xe882e0b0,0x298b1cc3,
    0x42c1cc2c,0xdb812039,0x32f622dc,0x32f624db,0x5d56c4db,0x0799b00c,
    0x48032037,0xdcbdbd88,0xc80dc3ec,0x70581200,0x58370583,0x5c120370,
    0x54001901,0x06406e3a,0x406e0570,0xacbd880c,0x4586e2e9,0x41cc2c39,
    0x776c3985,0x00102eef,0x26603003,0xf9008009,0x0f76c47d,0x85ddfddb,
    0x77e40c08,0xd87bb623,0xb12eefee,0x3ddddddf,0x3bbbbf62,0xddfb11ee,
    0x76c3dddd,0xdf92eefe,0x00f76c47,0x8fbf2110,0xbb81eed8,0x223efc81,
    0x40301eed,0xdddfb5fb,0xb8f7ec7d,0x997f23ee,0x000002ee,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0c32e000,0x02002ee0,0x88011180,0x03000800,0x01cc0808,0xb8040804,
    0x1d84dcdc,0x010000b1,0x20061801,0x13001000,0x4ccc0100,0x12a58809,
    0x0004a962,0x454c0002,0x1c6604ec,0x2e0136e0,0x36600d8b,0x4016e400,
    0x6436602c,0x4910fe42,0x16659048,0xa81ce5d1,0x6e440510,0x361b300d,
    0x21656602,0x92212248,0x442d4048,0x2a20971d,0x44502aaa,0x980c4501,
    0x14b80ddd,0x0003541b,0x79015644,0x3b3a8166,0x36202540,0x07700971,
    0x8080eec4,0x2e01dccb,0x1ce5b84d,0x5886c000,0x88077620,0x332e0775,
    0x3b99701d,0x37602540,0x00000002,0x0b10e880,0x4f50376a,0x3b2a0fca,
    0x40801103,0x04008200,0x01000800,0x00200010,0x1ce3b804,0x80776644,
    0x0201dc29,0x00080080,0x02001001,0x66667644,0x6766645c,0x999d912c,
    0x641c8b99,0x11a60101,0x1544b0bb,0x965406aa,0x3550aa21,0x530cb2a0,
    0x502aa815,0x332a2039,0x50aa2502,0x03971035,0x201ce1d3,0x9019039d,
    0x06aa1544,0x97100e54,0x201ca803,0xa808acb9,0x02c1601c,0x34582c09,
    0x196541cc,0x837911a6,0x0ea62cc5,0x8f9315b3,0x261d4c59,0x227c98ad,
    0x2164409d,0x40db8adb,0x444a88ab,0x87531665,0x40cb89cc,0x4c074cc9,
    0xd50ea0b3,0x21d4c598,0x40db8adb,0x40cb89cc,0x40db8adb,0x22ea89ca,
    0x80db8adb,0xb0240705,0x4910b0e0,0x27c98ad9,0x2c5a4459,0x4121cc2c,
    0x24398586,0x2388d468,0x80488485,0x26162c44,0x80e60e63,0x1b864073,
    0x0b931d88,0x8848730b,0x90e60e64,0x4c0d8910,0x96122121,0x9604801a,
    0x4910b01a,0x222c4d04,0x42c2c754,0x5800e239,0x400e2398,0x5161d738,
    0x32e21203,0x0b1a60db,0x4ccce473,0x01ce0499,0xdc88244b,0x4730b0b3,
    0x4ce4901a,0x06a49999,0x06b36624,0x33612035,0x204801dc,0x0b01dccd,
    0x2200e291,0x161b2445,0x01a8e616,0x1a8e6160,0x45d6d600,0x21b80644,
    0x20d999bd,0xb1cc2c69,0x05555555,0x5855039c,0x26161200,0xd8dc0323,
    0x22aaaaaa,0x5103700c,0x5c0321b9,0x00e4cec1,0x3933b024,0x0d4ea160,
    0x91244080,0x88e61616,0x8e616004,0x52360048,0x581cc2ad,0x7a83206e,
    0x0551cc2c,0x66c0e700,0xb802dccc,0x26398582,0x40154b03,0x9808b039,
    0x96160734,0xb0240108,0x206c0844,0x2000912c,0x5c2ce448,0x0390fa20,
    0x3a20b837,0x20dc0e43,0xb01991cb,0x506e2b81,0x82e3d41f,0x5406c3e8,
    0x1220e700,0x5c12e02c,0x81b0fa20,0x05406c2b,0x1662b81b,0x15c0d8e6,
    0x0901b82c,0x92a1b82c,0x8dc0e459,0x2ec24439,0x74d65ec4,0x332f6e22,
    0x9acbd882,0x32f6e22e,0x1e66982c,0x216e6dc4,0xec9bbcd8,0x597b1062,
    0x5e5c45d3,0xb5aa82dc,0x41901b85,0x2203dcba,0x22e9acbd,0x882dcdb8,
    0x442dcbcb,0x6c42dcdb,0x5c44dbcb,0x20b02dcd,0x82c0901b,0x06e6dc1b,
    0x8b32f6e2,0x3dfd11fc,0x40030354,0x0c003001,0x40080000,0x00300008,
    0x2131004c,0x88fbf218,0x00221eed,0x40020018,0x30008009,0x3f620100,
    0x21eeeeee,0x12eefeed,0xddddddfb,0x03001103,0x00000004,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00060081,0x00ccccc0,0x0004a962,
    0x18009801,0x01800100,0x20030018,0x000800ba,0x0400c006,0x01440080,
    0x01447000,0x00602ec4,0x488a6003,0x4405902c,0xaa81cccb,0x222802aa,
    0x203a8001,0x00ec405a,0x6c4016e4,0xc803c802,0x40394403,0x16c402dc,
    0xb900b620,0x302dc805,0x120b7b7b,0x403a9620,0x7901d998,0xfe804a80,
    0x007736a3,0x5886e077,0x32000000,0x07d950ce,0x00ec0254,0x2025c762,
    0x00ee001d,0x075900ee,0xb025c762,0x4403b003,0x3b10971d,0x5806012e,
    0x55500000,0x002c815d,0x81db80b5,0xa8002000,0x03bb3222,0x3b223ec8,
    0x202c0e22,0x02001000,0x08000801,0x00100100,0x04002008,0x00800400,
    0x3aa6072a,0x32a02aaa,0x2c732a01,0x00040008,0x440b32a2,0x32002cca,
    0xc8073b01,0x40e20e41,0x3b965405,0x2a881ca8,0x85510d54,0x50aa21aa,
    0x03971035,0x440b32a2,0x95102cca,0x0e5c4059,0xb88072a0,0x715b701c,
    0x4cecc41b,0xb8adb819,0x64ce640d,0x01aa985b,0x70006aa6,0x57095115,
    0x54409511,0x0167303d,0x1c424cb1,0x515b7058,0xb8adb89d,0x2a62cc0d,
    0x0ea62cc3,0x643a98b3,0x5c0cb89c,0xab84a88a,0x8ab84a88,0x89cc84a8,
    0x456dc0cb,0x44e640db,0x244240cb,0x2442402c,0x310d9075,0x2ccc40b3,
    0x04809910,0x0edcc090,0xa80370c8,0x2c0e20b3,0x9172e244,0x730b0910,
    0x0b0730b0,0x1cc1cc73,0x00480240,0x43983989,0x20e64884,0x72406a39,
    0x350799d9,0x6980d920,0x205802c0,0x5e5c43fb,0xdbcb880d,0x2581c800,
    0x01cc8048,0x86e16071,0x406a194a,0x58398584,0x39858398,0x26666672,
    0x0dbcb884,0x80dbcb88,0x320dbcb8,0x24999999,0x4ce4901a,0x03249999,
    0x190160dc,0x0d02c6e0,0x6c0b0058,0x6cccdec6,0x6cccdec0,0x15448800,
    0x88162016,0x254b0b03,0x0dc03255,0x2160e616,0x23985839,0x2aaaaaad,
    0x06cccdec,0x036666f6,0x41b3337b,0x2aaaaaad,0xad8dc032,0x262aaaaa,
    0x980b0b03,0x540e4b03,0x05802c06,0x640dc3f1,0x003206e0,0x9999b122,
    0x5809005b,0x4aaa8388,0x2160732c,0x98583985,0x2a398583,0x0c81b802,
    0x1b83206e,0x200aa0c8,0x0154b039,0x2415c0d8,0x45703604,0x01b620d9,
    0x24c1600b,0x5c1f506e,0x15107d41,0x2c1220c8,0x90b20240,0x87513a01,
    0x05c15c0d,0x441707d1,0x3a20b83e,0xb85406c3,0x83707d41,0xf506e0fa,
    0x20a80d81,0x03615c0d,0xdcdb882a,0x9b97b302,0x16e6dc41,0x7476674c,
    0x1600b00d,0x9bbcd880,0x779b12ec,0x6f5c5d93,0xc80dc2dc,0x6ec02400,
    0x99b502cb,0x9b7105b7,0x32f6205b,0x5ec42e9a,0x6c42e9ac,0x222e9acb,
    0x222dcbcb,0x2ec9bbcd,0xd93779b1,0x26ef3625,0x2f2e22ec,0x66dc42dc,
    0xcbcb882d,0x4400202d,0x08800800,0x3bfbba20,0x3fbba25e,0x011005ee,
    0x02200110,0xed88fbf2,0x77f74c1e,0x0e004405,0x0c002001,0x00c00300,
    0x00440130,0x00440044,0x00100130,0x00000026,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0a238000,0x2a288002,0x00000000,0x33006200,0x00288054,
    0xb8808800,0xb501552c,0x05771017,0x010200c0,0x800e4010,0x24188009,
    0x0c403660,0x01597298,0x32a040c4,0x21265880,0x1d40320c,0x3bb62039,
    0x9a6edc4e,0x7641cecc,0xdbca80bd,0x0723a84b,0x216f6f66,0x203eeee8,
    0x4ce640d9,0x33a81dcc,0x4005470b,0x5a96c04b,0x104b8ec4,0x32ee605d,
    0xcd880dcb,0x4241cadb,0x7bb1d70d,0x8add885b,0xdbcd8859,0x03fd8714,
    0x0f336600,0x53000000,0x588b6160,0x40000180,0x0d980001,0x583641cc,
    0x0198e0dc,0x3dc801dc,0x8000b760,0x6c2cc0fa,0x222c2ec0,0x0360eec2,
    0x06c2a83b,0x1004132a,0x20080397,0x10d542a8,0x4c1aa855,0xb8388b02,
    0x1aa85511,0x88166544,0x95102cca,0x0c804059,0x848b0688,0x008048aa,
    0x20040040,0x029832ca,0x3261dc17,0x2aabaa64,0x42a80d82,0x40ee3985,
    0x4e64001e,0x554c0cb8,0x75316601,0x21d4c598,0x2a00b029,0x87531662,
    0xb84a88ab,0xab84a88a,0x55544a88,0x22090aaa,0x413aab06,0x95475129,
    0x72a80bcb,0xaaaa8179,0x22b660aa,0x8e2007c9,0x88dd620e,0x581999d9,
    0x39858730,0x3815c03a,0x44398398,0x4c2c0599,0x4c398583,0x0b100b02,
    0x0900730b,0x36240120,0x731e9999,0xb8960d70,0x40bba884,0x0d98add8,
    0x6cc56ec4,0x3a666760,0x99334121,0x4b999999,0x2c4886c5,0x2c3882c0,
    0x2440b1cc,0x4cce42d4,0x01604999,0x30b0730b,0x00b02987,0x0730b01b,
    0x101b7971,0x7101b797,0x321c1b79,0x6dc45ec1,0x22750b05,0x076010bb,
    0x2a83b055,0x01c4390e,0x4ccccdd4,0x22c96599,0x82c02c48,0xb1cc2c38,
    0x19b12440,0x555555b0,0x21602c05,0x43985839,0x22058329,0x8730b01d,
    0x40d999bd,0x40d999bd,0x00d999bd,0x4f726057,0x22160b05,0x398584ab,
    0x57039858,0x049801a8,0x44a8c92a,0x82c02c3b,0x7317f238,0x322b8074,
    0x2000aa00,0x41cc2c05,0x594c3985,0x201d882c,0x206e3985,0x83206e0c,
    0x3a80c81b,0xb0582c00,0x21614470,0x83985839,0xd004883a,0x5b987601,
    0x2c02c0e8,0x22980298,0x02c1d03b,0x5805406c,0x07d105c0,0x261f4417,
    0x220e61b2,0xd105c00d,0x83ea0dc7,0x3707d41b,0x22540fa8,0x26b05800,
    0x14470733,0x2160e616,0xc8225439,0x11261b81,0x5c2f8897,0x16040c84,
    0x205c005c,0x06e1d42d,0x65e5c435,0xb101602d,0x885d3597,0x92e9acbd,
    0x1b7b1bdd,0x20440d88,0x2e9acbd8,0xd93779b1,0x26ef3625,0x779b12ec,
    0x21665d93,0x42baaa04,0x1b9b3fd8,0x0b095710,0x4730b073,0x36e24859,
    0xcd982ccb,0xdbad83fc,0x97b303db,0x553ee19b,0x32aa03cc,0x3cbed883,
    0x0dbacd88,0xddb10130,0x00c0bddf,0x20300030,0x3eeeeeeb,0x00110030,
    0x40110011,0x04eeeeee,0x0200aaaa,0x437f6020,0x37f62ee8,0x3ba5dd10,
    0x0304eeee,0x21440620,0x20011001,0x4014c008,0x00a88008,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0x00810080,0x367d3000,0x05cd64c1,0x04018000,0x00004980,
    0x03000988,0x20044000,0x02a89bc9,0x07d51762,0x00001880,0x00000000,
    0x8bdddd50,0x4c530198,0x4b60590d,0xeeed885a,0x85748804,0xd881eec9,
    0x1e404eee,0xd5009b70,0xceccb801,0x5d56540c,0xcbdc880c,0x5002c1dc,
    0x6d466409,0x885800cc,0x979b1004,0x2666a197,0x32a29999,0x02cb803b,
    0x54005970,0x372b7201,0xbb11ff41,0x004db803,0x444a4400,0x0000910b,
    0x5a964059,0x80c80000,0x1d83901b,0x80160f44,0x7d073029,0x01221600,
    0x0c7e206c,0x4005c060,0x00a60029,0x161601a8,0x200103b7,0x00e5c400,
    0x98091595,0x3950399b,0x02040080,0x2001cb88,0x5645540c,0x302b922a,
    0x2aabaa61,0x7048000a,0x16399507,0x5c165522,0x30061702,0x41104d88,
    0x29826029,0x201a8220,0x2a600c80,0x4c2aa01a,0x5c4e642b,0x6645ec0c,
    0xbb57b704,0xdb8adb8b,0x2b985540,0x9900d54c,0x90019713,0x5098a481,
    0x6cc40123,0xaa981999,0x90ee0b01,0x10b79339,0x45b517b9,0x01803004,
    0x260cb839,0x02989902,0x6f6d41b7,0x2202c01d,0x2aa60599,0x0732a9cb,
    0x13615473,0x091ea122,0xcbaa9891,0x166622a9,0x401cc1cc,0x7335240c,
    0x2c0059c4,0xa824cc40,0x20ea3e82,0x581f886c,0x8600c016,0x416cc6a0,
    0x4c0ed429,0x0c416c42,0x05d50191,0x0ba602c0,0x4ccccce4,0x70950324,
    0x80d43e01,0xb002e984,0x26666720,0x20640649,0x3886e6a4,0x42aaa88b,
    0x7b024005,0x06c79931,0xb834434c,0x300600b1,0x34c95e54,0x6455dd47,
    0x2eea3bab,0x00731b72,0xfb04a873,0x03980b05,0x2aaaaab6,0x16126162,
    0x2e0190c8,0x0b001cc1,0x2aaaaab6,0x903206e2,0x6c6a1514,0xb0b26620,
    0x6cc04800,0x6816399c,0x36730588,0x80c01801,0x209911d9,0x071299da,
    0x013225b3,0x7f40662c,0x014c0583,0xb8370055,0x4cb00a84,0x00530b03,
    0xb802a82c,0xc8a98481,0x03b922e2,0x24005837,0x81c8a600,0xc80f886a,
    0x01840950,0x1913220c,0x5303d889,0x12320cc8,0x01000a60,0xd8053016,
    0x44910a80,0x3b81b04e,0x260ae06c,0x0d816002,0x398770a8,0x81910570,
    0x4241b81d,0x39001200,0x0db106cc,0x6c4989d1,0x4018ec42,0x24aa0c41,
    0x221d4026,0x322494c1,0x00ee06c0,0x80530160,0x42dcbcb8,0x84f9ecda,
    0x882bbbb9,0x5302dcdb,0x97102c00,0xbda85b97,0x2f2a00bc,0xfd880cca,
    0x6cc0cdbc,0x0900cdcb,0x983daaa8,0x0de8ecce,0x7b9d59d5,0x1b97f901,
    0x2600600c,0x2b800daa,0x41b55300,0x4c1dcdea,0x774400ff,0x3265eefe,
    0x4c05eeed,0x02000c00,0xedc98040,0x777445ee,0x02605eef,0x01880030,
    0x06200660,0x3bbfbba2,0x400aaa85,0x800c0008,0x9999a809,0x2a002999,
    0x5565c00d,0x101b5003,0x00004401,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xd1000000,0x205ddddd,
    0x80098801,0xa8551018,0x1880001a,0xbcb89a98,0x550554c1,0x77540005,
    0x20000003,0xdd503eea,0x00000367,0x817972a8,0x0000001c,0x5100c400,
    0x4000bb00,0x0902a838,0x065d5654,0x4265e6c4,0xb11d4c59,0x8fb2a19d,
    0x14bcbcc8,0x5b517bb5,0x0b220f44,0x00199d97,0x4c33aa09,0x99d970dd,
    0x29009001,0x199d971c,0x5eeed855,0xb315bb10,0xd90015c1,0x2e176447,
    0x0ecccede,0x22075e5c,0x980dbdbd,0x2e60099d,0x4806403b,0xb0720370,
    0x98583a83,0x64581c43,0x03f12640,0x02c1541d,0x1604800b,0x900160e6,
    0x31612900,0x20ec000b,0x32000e2a,0x58b60e41,0x01896064,0x5754404c,
    0x00b8602a,0x2b372616,0x2aaa6550,0x1d81dc92,0x0e21cc2c,0x88a2162c,
    0x5c585506,0x09001602,0x373333ae,0x12002c1d,0x0d458120,0x0b006aa6,
    0x7972a873,0x44996201,0x88322c3a,0x01aa9803,0x200ac8ac,0x930e6048,
    0x47247a21,0x40763518,0x21cc2c3a,0x00b8b038,0x542a82c4,0x0aeb0162,
    0x4c2c0520,0xb00ee583,0x0b024097,0x580b3310,0x56ec4398,0x27500d98,
    0x01ac0c85,0x16662016,0x416659b0,0x32064039,0x03148440,0x8b1034e2,
    0x81c43985,0x40de5c45,0x2b0580f8,0x00eec02a,0x66c0fac8,0x2583dccc,
    0x00baa04c,0x16002c09,0x3b0730b0,0x073602a8,0x703b3616,0xb00199d9,
    0x21541d80,0x0585803a,0x271028a4,0x41b16206,0x581c43e8,0xd8876a20,
    0x2a07932d,0x01b6605a,0x26760a90,0x80583a99,0x04804bd8,0x580b0016,
    0x39858398,0x0ccecca8,0x10327616,0x16001593,0xbc8730b0,0xc83880bb,
    0x46239200,0x0ea03b1a,0x5d3597bb,0xb00581c4,0x05edc644,0x46440ba0,
    0x40904885,0x88583985,0x04804844,0x02c12216,0x3ba21bfb,0x201cc2c2,
    0x80585904,0xb016000b,0x37000730,0x43223b30,0x24777129,0x2b076097,
    0x23886801,0x0244b02a,0x885802c0,0x4c2c0904,0x90488583,0x442c0900,
    0x40000b04,0xba983985,0xb1660aad,0x2002c298,0x21cc2c05,0x701600ca,
    0x882b817d,0x0ea16c0c,0x642c8016,0x88ea1aa0,0x80154004,0x40904885,
    0x88583985,0x40900904,0x00b04885,0x730b015c,0x47320480,0x90931cc5,
    0x30b01601,0x9103fe87,0x5e540900,0x7db00cca,0xb0016099,0xeba8597b,
    0x36e64dbd,0x3aaa601a,0x3bfb200a,0xdd34eeee,0x7e49ddfd,0x325dd50d,
    0x4eeeeefe,0x9ddfddd3,0x3bbfbba6,0xddddfd94,0x3fbb629d,0x06ee05ee,
    0xee886fec,0x02efed82,0xddddfdb5,0x3bbbbe67,0x3fbb624d,0x32fe45ee,
    0x006545dd,0x06201200,0x00200c40,0x02200220,0x8806aaa2,0x0000aaaa,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xa8800000,0x028802cc,0x3b6a0000,0x032ca81d,0x00382a00,
    0x40000000,0x4d883eea,0x4c980000,0xec805d88,0x42aa0281,0xacb982b9,
    0x42a80008,0x40b301aa,0x00001cb8,0x51157000,0x5edecc09,0xdccec885,
    0x980ae01d,0x267c98ad,0x3902ccec,0x8e754162,0x1f951dda,0x5ea9f654,
    0x0900de98,0x6666c02c,0x2f62dcce,0x32016049,0x2a60481f,0x2a2a9cba,
    0x9b2ea89c,0x45b99d99,0x981d4459,0xb89cc80e,0x6676440c,0xdbb701dd,
    0x4801d999,0x44880600,0x480b00d8,0x0000b0d0,0x6c439858,0x20dec585,
    0x581202bc,0x05524580,0xfb805812,0x174c0480,0x8b1981b0,0x730b0aa4,
    0x39839800,0x806c4488,0x2206458b,0x2a80dbcb,0x12201797,0x40b55162,
    0x3bbe0038,0x0d54c0bd,0x910e6160,0x2c6c5837,0x02405591,0x8b05554b,
    0xb0240aa4,0x0f502f2e,0x98073012,0x922c1acd,0x21cc2c2a,0x90aaaaaa,
    0x09333333,0x560b1091,0x266f6245,0xadd880d9,0x04880d98,0x502cc419,
    0x1622c003,0x8580b331,0x2c5a4439,0x2a9b8656,0x37258120,0x00992141,
    0x4c56ec09,0x6655a60d,0x4c0cccec,0x1b951002,0x16044906,0x3333b0e6,
    0x2aaab63d,0x904882aa,0x206b4881,0x3b00c81b,0x676642a8,0x81606e2c,
    0x2a160048,0xccd80b02,0xaa443dcc,0xad22b163,0x7581202a,0x24012007,
    0x8c2a83b0,0x199d9998,0x4c040298,0x2ab6ea64,0x1c398580,0x9002a872,
    0x0dc599d9,0x20766caa,0x5807d41b,0x4e544398,0x01606e09,0x85837039,
    0x9d80b039,0x2443a999,0x564b161b,0xb0240552,0x8024007b,0x00e61604,
    0x980a6024,0x2eaa3985,0x20b81aad,0x20ae03e8,0x2a20a80d,0x906e099c,
    0xb1032761,0x05d93779,0x0910730b,0x2e202c16,0x4582ccbd,0x580b00d8,
    0x91244398,0x553ccb16,0x1b5d0240,0x02401200,0x1200730b,0x2f776e4c,
    0x136f2f62,0x65ec4048,0x03a81e9a,0x05b97971,0x33a16091,0x1c08806c,
    0x48839858,0x400b0488,0x66f77c04,0x30b01600,0x2ce44887,0x1202a816,
    0x9001b158,0x98581200,0x00009003,0x10048048,0x022540d4,0x848802aa,
    0x98b1cc48,0x2c0ac802,0x222441cc,0x5c00b00d,0x0b001602,0x24439858,
    0x2a8162ec,0x36258120,0x04802400,0x0400e616,0x2b802cc0,0x4dc00240,
    0x2e121661,0xb1122018,0x73161b81,0x1bfb0200,0xee88bba2,0xed80cdee,
    0x0de404ef,0x41777f4c,0x5eefeee8,0xeeb8f7ec,0x543dfd13,0xdb0fbee6,
    0x3fbba63d,0x44db14ee,0x7f74c5fe,0xefeed85e,0x5437f62e,0xeeeb83ee,
    0x5c41eeee,0x881bc803,0x4004efee,0x3bbbba2a,0x101a884e,0x819bdddd,
    0xdddfb5fb,0x0000007d,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00600000,0x000007a6,0x00000000,
    0x01800000,0x14260000,0x97300000,0x00000115,0x000e76d4,0x00000000,
    0x80000000,0x8bb223ec,0x3601dbd8,0x7766442a,0x999d9100,0x447db07b,
    0x99d932fc,0x67644399,0x7545fb12,0x0377264c,0x0034c024,0x0b6a1991,
    0x8ee59500,0x52ea89ca,0x66764497,0x215c02dc,0x64479d70,0x99d951dd,
    0x3b22b999,0x645ccccc,0xd52ccecc,0xcb89b99b,0x99b00cce,0x41c85b99,
    0x5c005c1c,0x0e7602aa,0x1b0570b0,0x2c4581c8,0x1603622c,0x401202a8,
    0x203b7000,0x56dc01db,0x206c4ea8,0x642c2419,0x03701601,0x16091032,
    0x7048160b,0x80585981,0x32c40d85,0x58803709,0x02ce6055,0x86c42c16,
    0x8730b03a,0x52c03665,0x00900d4b,0x20076a00,0x44880cc8,0x566cc5cb,
    0x120b0901,0x06aabaaa,0x910b1091,0x80e0b0e0,0x85701704,0x80e45805,
    0x01620b3a,0x8640aa39,0x0ea1601b,0x0b02c64c,0x80b35873,0x82e3990c,
    0xaaadbaa9,0x55555530,0x000b6615,0x21b83362,0x9510194a,0x9858481b,
    0x999d9883,0x882a8580,0x06a580e4,0x5805c120,0x0930402c,0xdc881cc8,
    0x5524c332,0x36048960,0x5c05eccc,0x1b31600e,0x5c03ead8,0x531273b1,
    0x4c555b75,0x0aaaaaaa,0xb30007b3,0x2a92a587,0xb0912602,0x58099533,
    0x882c2a80,0x33606cce,0x704801dc,0x400b1601,0x70588058,0x41b0ed63,
    0x02c2a82a,0x0973333b,0x99d00ee4,0x2e9b019b,0xace6aa05,0x80002405,
    0xcc8802da,0x2c4aaa80,0x2ea730b3,0x36ab60bc,0x4b005804,0xb3391048,
    0x00e4cec0,0x8b00b824,0x40072005,0x1264cb04,0x83dddddf,0x02dccccd,
    0x4ea0aa0b,0x1600b00d,0x46ea6075,0x8024058c,0x203b7001,0x227401db,
    0x2f2f623a,0x4b8b004d,0x90c802c0,0x20192201,0x09004225,0x0b12202e,
    0x01c3a891,0x02e86a09,0x2c122154,0x49873058,0x5802c162,0x54b71058,
    0x4c02405a,0x43322006,0xcda801da,0x00c02dbc,0x580ae160,0x88169100,
    0x06e0b004,0x2b80b824,0x0b12442c,0xb990240b,0x215407d5,0x0b01901b,
    0x540d8876,0x50b00584,0x4d897605,0x000000c0,0x43800a11,0x0b000000,
    0x36005816,0x4012202a,0x41203705,0x42c1d40b,0x31603648,0x020bdfdd,
    0x647bb620,0x3bb623ef,0xddddfb11,0x1277443b,0x3bfa69fd,0x3efd882e,
    0x3a1742f4,0x00000003,0x00000000,0x43efd880,0x3bfb61e9,0x03ea01ee,
    0x40f77754,0xeeeeefd8,0x3bfbb61e,0xbdddd52e,0xeeefec87,0xdddf14ee,
    0x00000bdd,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x4b2e2000,0x872a01c9,0x81665442,0x814d542a,0x554c32ca,
    0x5c415540,0x00e5401c,0x220e4c77,0x2a0d542a,0x9545730a,0xa883953b,
    0x88aaa62a,0xaa99c423,0x2aa2aa89,0x2a60aaaa,0x1015530a,0x2e550c43,
    0x8060c0bc,0x03801aa9,0x54010000,0x8591b791,0x59db8adb,0x4254455c,
    0x22ed4459,0x27c98ad9,0x164409d8,0x032e2732,0x81b715b7,0xb8d8ca9d,
    0x0ea62cc2,0x55397553,0x336e3762,0x876620c8,0x6edc1d98,0x17510ddc,
    0x999d82ba,0x88b621e9,0xd11e883c,0x4c56ec43,0x05a92e0d,0x0900b331,
    0x7930c857,0x01cbcb87,0x848907c4,0xb04801f8,0x1a090930,0x4c58e235,
    0x44243983,0x20fc8a64,0x98398584,0x2683602e,0x15c0d82a,0xb98b124c,
    0x0e4381d8,0x883b8ec4,0x3b05d11e,0xb72e42a8,0x32570580,0x0ecb22b8,
    0x848710b8,0x999ebca8,0x406c06a4,0x580dbcb8,0x801c4398,0x9161d738,
    0x49333333,0x3064901a,0x0b09333d,0x58073073,0x8730552c,0x20c83905,
    0x2b801ec9,0x7cc166c0,0x21607d32,0xd90dd839,0x6dc41601,0x81dc82cf,
    0x890a64c8,0xaae99ada,0x2e0190aa,0x6cccdec1,0x54398580,0x5d6d6001,
    0x55556c48,0x5c0322aa,0xaaae88b1,0x41cc2c0a,0xa962c029,0xa81ccb02,
    0x367662c2,0x3200ea01,0xf90ec81d,0x20e61601,0x205f32f9,0xd8166c05,
    0x1d86e02d,0x20785877,0x81b8b039,0x4398580c,0x52360048,0x401542ad,
    0x50d4b039,0x0730b00f,0x52c58053,0x806caa05,0x4c5b8ae8,0x89501b13,
    0x90392c80,0x9858364b,0x2f897c43,0x1b2b8160,0x504591d8,0x640e5443,
    0x20a8bee1,0x06e15c0d,0x441701f5,0x1b81c83e,0x80cc8e5c,0x0360a80d,
    0x5991c457,0xe882e054,0x22c02983,0x48d80aa5,0x75973b10,0x98931cc7,
    0x32164485,0x216e5c82,0x47a23985,0x302c02e8,0x0c8370c4,0x88005775,
    0xecdcbdbd,0x16e6dc43,0x64dde6c4,0x565ec42e,0x5edc41e9,0x266982cc,
    0xb9797107,0x2dcdb885,0xb7b2dcb8,0x3597b107,0x3bb7265d,0x7f2fdc5e,
    0x075c07aa,0x77542010,0x77743763,0x37fa4eee,0x7707fd50,0x21bfb1d4,
    0x64392ee8,0xefeee881,0x0000005e,0x00604400,0x80022002,0x0000c001,
    0x00800980,0x06002044,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2aaaaaa6,0x002620aa,
    0x0664b2a0,0x2db88991,0x80130600,0x6eeec0c0,0x7732dddd,0x11c77777,
    0x4cccccc5,0xbb109999,0xbbbbbbbb,0x00000001,0x00000000,0x00000000,
    0x00000000,0x2aaaaaa6,0x595931ca,0x4bee1220,0x913ea0fe,0x17ec3b37,
    0x22dbc876,0x000b21c3,0x5dddddcc,0x771ccb13,0x77777777,0x00000005,
    0x00000000,0x00000000,0x00000000,0x0d400000,0x2f609551,0x47d8fd43,
    0x495340fd,0x188762fe,0x85507732,0x2222223b,0x00000088,0x00000000,
    0x00000000,0x00000000,0x00000000,0xa8000000,0x90933771,0x90f98723,
    0x8ad84f8d,0x20020c1d,0x2081bc80,0xcccccccc,0x00000002,0x00000000,
    0x00000000,0x00000000,0x00000000,0x58d40000,0x6c2b8b91,0xf3254f10,
    0x005d9101,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x26110000,0x20e1b9bc,0x00310028,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_20_latin_ext_x[560]={ 0,4,2,1,1,1,2,4,5,2,0,1,2,1,
3,1,1,1,1,1,1,1,2,1,1,2,3,2,0,0,0,0,1,0,0,1,1,0,1,1,0,1,1,0,
1,0,0,0,1,0,0,1,1,0,0,0,0,0,1,0,0,0,1,0,3,1,0,1,1,1,1,1,0,1,
1,1,1,0,0,1,0,1,1,1,1,0,0,0,0,1,2,0,4,0,1,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,4,1,1,1,0,
4,1,2,0,0,0,0,1,0,-1,2,1,2,3,3,0,1,3,3,3,2,1,0,0,0,0,0,0,0,0,
0,0,0,1,0,0,0,0,1,1,1,1,-1,0,0,0,0,0,0,2,0,0,0,0,0,0,1,0,1,1,
1,1,1,1,0,1,1,1,1,1,1,1,1,1,1,0,1,1,1,1,1,1,0,0,0,0,0,1,0,1,
0,1,0,1,0,1,1,1,1,1,1,1,1,1,1,1,-1,1,0,1,0,1,0,1,0,1,0,1,1,1,
1,1,1,1,1,1,0,0,0,0,1,1,1,1,1,1,1,1,1,1,0,0,1,1,0,1,1,1,1,1,
1,1,1,1,1,0,1,0,0,0,0,0,0,0,1,0,0,1,0,1,0,1,0,0,0,1,0,1,0,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,
0,1,2,1,2,1,2,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,2,1,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,1,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,1,1,1,0,
1,0,0,0,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,1,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static signed short stb__courier_20_latin_ext_y[560]={ 14,2,3,2,2,3,4,3,3,3,3,4,11,8,
11,2,2,3,2,2,3,3,2,3,2,2,6,6,4,7,4,3,2,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2,3,2,18,2,6,3,6,3,6,3,6,3,2,
2,3,3,6,6,6,6,6,6,6,3,6,6,6,6,6,6,3,3,3,7,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,14,6,2,3,5,3,
3,3,3,3,2,6,8,8,3,1,1,3,2,2,2,6,3,7,13,2,2,6,2,2,2,6,0,0,0,1,
1,0,3,3,0,0,0,1,0,0,0,1,3,1,0,0,0,1,1,5,3,0,0,0,1,0,3,3,2,2,
2,3,3,2,6,6,2,2,2,3,2,2,2,3,3,3,2,2,2,3,3,4,5,2,2,2,3,2,3,3,
1,3,0,2,3,6,0,2,0,2,0,3,0,2,0,3,3,3,1,3,0,2,0,3,3,6,0,2,0,2,
0,2,0,3,3,2,0,0,3,3,1,3,1,3,0,2,3,2,0,6,3,2,0,2,3,3,6,0,-1,3,
3,3,3,3,3,3,3,0,2,3,6,0,2,3,3,6,1,3,0,2,0,2,3,6,0,2,3,6,0,2,
0,2,0,2,3,6,0,2,3,3,0,3,3,3,1,3,1,3,0,2,-1,2,0,2,3,6,0,2,0,2,
1,0,2,0,3,0,2,3,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,3,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,3,6,2,2,2,2,2,2,2,2,2,2,2,2,2,2,6,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,0,2,0,
2,0,2,0,1,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,-3,-1,0,2,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static unsigned short stb__courier_20_latin_ext_w[560]={ 0,3,7,8,8,8,7,3,4,4,7,9,5,8,
4,8,8,8,8,8,8,8,8,8,8,8,4,5,9,10,9,7,8,11,10,9,9,10,9,9,10,8,10,11,
9,11,10,9,9,10,11,8,9,10,11,11,10,10,8,3,7,3,8,12,4,9,10,9,10,9,9,9,10,9,
7,10,8,11,10,9,10,10,9,8,9,10,11,11,10,10,7,4,2,4,8,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,0,3,8,9,8,10,
2,9,6,11,6,9,10,8,11,12,6,9,6,5,4,10,9,4,4,5,7,9,11,11,11,7,11,11,11,11,
11,11,11,9,10,10,10,10,8,8,8,8,11,10,9,9,9,9,9,7,10,10,10,10,10,10,9,9,9,9,
9,9,9,9,11,9,9,9,9,9,9,9,9,9,9,10,9,9,9,9,9,9,10,10,10,10,10,10,10,10,
11,9,11,9,11,10,9,9,9,9,9,9,9,9,9,10,11,10,10,9,10,9,10,9,11,9,10,9,9,9,
9,9,9,9,9,9,10,10,10,10,8,9,8,9,8,9,8,9,8,9,11,9,10,7,11,10,9,9,8,9,
8,9,8,9,8,10,8,10,10,10,10,10,10,10,9,9,9,9,9,9,9,9,11,11,11,9,11,9,11,9,
8,8,8,8,8,8,8,8,9,9,9,9,9,9,10,10,10,10,10,10,10,10,10,10,10,11,11,11,10,10,
10,8,7,8,7,8,7,9,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,9,10,10,10,
10,10,10,10,10,10,10,10,10,10,11,10,10,10,10,10,10,10,10,10,10,10,10,10,10,11,11,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,11,9,8,9,9,
9,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,11,9,11,11,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10, };
static unsigned short stb__courier_20_latin_ext_h[560]={ 0,13,6,14,14,12,11,6,14,14,7,10,6,2,
4,14,13,11,12,13,11,12,13,12,13,13,9,10,10,4,10,12,14,11,11,12,11,11,11,12,11,11,12,11,
11,11,11,12,11,14,11,12,11,12,11,11,11,11,11,14,14,14,6,1,4,9,12,9,12,9,11,12,11,12,
16,11,11,8,8,9,12,12,8,9,12,9,8,9,8,12,8,14,14,14,4,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,0,12,12,11,8,11,
14,13,2,12,6,8,6,2,12,2,5,11,7,7,4,12,13,3,4,7,6,8,12,12,12,12,14,14,14,13,
13,14,11,14,14,14,14,13,14,14,14,13,11,13,15,15,15,14,14,7,12,15,15,15,14,14,11,12,13,13,
13,12,12,13,9,11,13,13,13,12,12,12,12,11,12,11,13,13,13,12,12,10,10,13,13,13,12,16,15,15,
13,12,14,13,14,11,15,13,15,13,15,12,15,13,14,12,11,12,13,12,14,13,14,12,14,11,14,13,15,16,
15,16,15,15,14,16,14,14,11,11,13,11,13,11,14,12,14,15,14,8,12,16,15,16,14,14,8,14,15,14,
14,11,11,11,11,11,11,14,12,14,11,14,12,11,12,12,14,12,15,13,15,13,11,9,14,12,14,11,14,12,
15,13,15,13,14,11,15,13,15,15,14,12,11,12,14,12,14,12,15,13,16,13,15,13,14,11,14,13,14,16,
13,14,12,14,11,14,12,11,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,14,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,9,12,12,12,12,12,12,12,12,12,12,12,12,12,13,9,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,14,13,14,12,15,
13,15,13,15,14,15,15,15,15,15,15,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,17,16,14,13,15,13,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12, };
static unsigned short stb__courier_20_latin_ext_s[560]={ 255,163,138,16,210,134,105,252,246,248,224,
190,146,199,159,197,144,232,55,21,113,234,213,1,176,44,251,250,210,188,220,
243,128,122,134,177,65,45,35,115,168,56,92,166,75,190,179,31,156,117,1,
63,222,52,23,178,145,94,85,219,169,132,129,228,183,24,166,46,155,68,13,
145,241,135,93,211,202,121,193,78,72,113,111,241,125,100,133,56,172,83,164,
11,252,98,169,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,
187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,255,252,10,
218,145,195,251,203,208,19,122,183,111,199,103,215,152,1,249,240,164,41,22,
249,178,250,246,204,222,210,198,247,157,145,88,222,32,1,82,1,137,235,216,
133,13,189,11,124,116,167,232,242,12,30,40,232,194,32,43,54,50,95,148,
124,11,149,139,85,75,129,1,138,119,159,179,1,240,230,72,158,42,105,232,
76,169,189,209,200,230,108,97,86,21,13,96,117,30,95,110,1,76,94,147,
210,185,189,204,173,22,153,238,31,70,219,113,21,44,74,33,82,72,60,22,
12,65,24,75,34,224,234,100,65,145,156,114,238,234,228,167,163,148,11,169,
244,55,214,43,75,221,85,223,227,154,206,166,187,178,153,144,125,105,94,135,
106,143,84,173,61,154,184,215,225,20,52,137,84,107,64,206,88,198,62,177,
11,157,11,195,94,128,194,103,21,157,185,175,214,47,205,30,199,25,64,121,
32,85,1,101,178,1,199,36,40,57,220,78,54,42,69,105,112,52,136,165,
128,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,183,187,187,1,
187,187,187,187,187,187,187,187,187,187,187,187,187,235,13,187,187,187,187,187,
187,187,187,187,187,187,187,187,53,34,187,187,187,187,187,187,187,187,187,187,
187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,64,242,
89,1,178,103,156,53,145,122,167,210,199,123,112,134,187,187,187,187,187,187,
187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,
187,187,187,1,44,133,243,188,65,187,187,187,187,187,187,187,187,187,187,187,
187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,
187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,
187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,
187,187,187,187,187,187,187,187,187, };
static unsigned short stb__courier_20_latin_ext_t[560]={ 1,80,180,35,35,108,158,146,35,50,171,
158,180,180,180,50,80,146,108,94,158,121,65,134,65,80,121,94,158,180,158,
121,50,158,158,121,159,159,159,121,146,159,121,158,159,146,146,134,158,50,159,
134,146,134,159,158,158,158,159,35,35,35,180,180,180,171,121,171,121,171,159,
121,146,121,1,146,146,171,171,171,134,108,171,158,121,171,171,171,171,134,171,
35,1,35,180,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,
121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,1,79,134,
134,171,134,35,65,180,134,180,171,180,180,121,180,180,147,134,171,180,134,80,
142,180,158,171,171,121,121,121,108,50,35,65,65,80,65,147,50,50,35,50,
80,65,35,50,80,146,79,1,1,19,50,50,171,108,19,19,19,50,50,146,
108,94,94,94,108,108,94,171,146,94,94,94,108,94,94,121,146,121,146,79,
94,94,94,94,158,158,94,94,94,108,1,19,19,94,108,65,94,65,146,19,
79,19,79,19,108,19,80,50,121,147,94,80,121,65,80,65,121,50,147,65,
80,19,1,19,1,19,19,65,1,65,65,134,134,65,134,65,134,50,108,50,
19,65,171,108,1,1,1,35,50,171,50,19,50,50,134,134,134,134,134,134,
50,108,50,134,50,108,134,108,108,50,121,19,80,19,80,134,171,35,121,35,
147,35,121,19,80,19,65,35,147,19,65,19,19,35,108,147,94,35,108,35,
108,19,80,1,79,19,79,35,147,35,79,35,1,94,35,108,35,147,35,108,
146,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,108,121,121,35,
121,121,121,121,121,121,121,121,121,121,121,121,121,108,171,121,121,121,121,121,
121,121,121,121,121,121,121,121,94,171,121,121,121,121,121,121,121,121,121,121,
121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,65,79,
35,121,1,80,1,80,1,65,1,1,1,1,1,1,121,121,121,121,121,121,
121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,
121,121,121,1,1,65,65,1,94,121,121,121,121,121,121,121,121,121,121,121,
121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,
121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,
121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,
121,121,121,121,121,121,121,121,121, };
static unsigned short stb__courier_20_latin_ext_a[560]={ 170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_20_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_20_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_20_latin_ext(stb_fontchar font[STB_FONT_courier_20_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_20_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_20_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_20_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_20_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_20_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_20_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_20_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_20_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_20_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_20_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_20_latin_ext_s[i] + stb__courier_20_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_20_latin_ext_t[i] + stb__courier_20_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_20_latin_ext_x[i];
            font[i].y0 = stb__courier_20_latin_ext_y[i];
            font[i].x1 = stb__courier_20_latin_ext_x[i] + stb__courier_20_latin_ext_w[i];
            font[i].y1 = stb__courier_20_latin_ext_y[i] + stb__courier_20_latin_ext_h[i];
            font[i].advance_int = (stb__courier_20_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_20_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_20_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_20_latin_ext_s[i] + stb__courier_20_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_20_latin_ext_t[i] + stb__courier_20_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_20_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_20_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_20_latin_ext_x[i] + stb__courier_20_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_20_latin_ext_y[i] + stb__courier_20_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_20_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_20_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_20_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_20_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_20_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_20_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_20_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_20_latin_ext_LINE_SPACING
#endif

