// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_24_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_24_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_24_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_courier_24_latin_ext_BITMAP_HEIGHT        256
#define STB_FONT_courier_24_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_courier_24_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_24_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_24_latin_ext_LINE_SPACING          11

static unsigned int stb__courier_24_latin_ext_pixels[]={
    0x05100000,0x40300000,0x40180000,0x00130001,0x14450000,0x26000c00,
    0x65400000,0x3001cccc,0x80000221,0x80000080,0x013002cb,0x8007a200,
    0x009001e9,0x0dc05d10,0x0f6200ae,0xb1000990,0x698ba003,0x01d9da80,
    0xb5002640,0x16e1e880,0x01999988,0x01d11d30,0x101e892e,0x4990588b,
    0xc94c01e9,0x000e9800,0xd5000f4c,0x000ae001,0xbe8803d3,0x2e8806b9,
    0x6400b700,0x44073588,0x2600dbcd,0x00911934,0x26320136,0x5ec40734,
    0x2e15c04d,0x74474c01,0x0f575401,0x0b6a7320,0x801ebeb8,0x26001929,
    0x01d1001e,0x36000980,0x8005c006,0xa800aca8,0x80154001,0x5c01d40c,
    0x58849803,0x19002a80,0x02c803a8,0x200e42b8,0x2600350a,0x3793000c,
    0xb8009300,0x01c4002c,0x64001b88,0x0031003c,0x41620a88,0x06a20029,
    0x103986e0,0x01998133,0x9881cc37,0xb80ccc09,0x4cc40e61,0x5100ccc0,
    0x204cc403,0x04cc4199,0x13310666,0x2a201998,0x88053000,0x20ccc099,
    0x0ccc0998,0x20055190,0x1300171a,0x3f37a600,0x6f4c1e9d,0xbb300ddc,
    0x3a0b5fd9,0x77ec1aa2,0x09ddd30d,0xfd83545d,0x9ddd30de,0xd83545d0,
    0xddd30def,0xfecdd989,0x86f7ec5a,0x3f64eee9,0x9ddd30de,0xe986f7ec,
    0x66f4c4ee,0xde986bdd,0xefd80ddc,0x49ddd30d,0xdd30defd,0x01c5209d,
    0x64048b98,0x5fd8efdf,0x0fea0754,0x985981b5,0x003ec40d,0x01260680,
    0x09303400,0x4981a000,0x1f6206cc,0x0684981a,0x4981a126,0x07e40744,
    0xd05981b5,0x303424c0,0x00665409,0x66c01730,0x3a03baa0,0x1a25db80,
    0x880744a8,0x40d00007,0x0d000049,0x6800024c,0x201d1260,0x12606878,
    0x0684981a,0x3403d126,0x342540d1,0x4c0d0930,0x00333304,0x41aa0088,
    0x4c1dc0fb,0x880b23f6,0xe8300e67,0x40ffe44f,0x9fd12606,0x0681ffc8,
    0xc89fd126,0x260681ff,0xd0300e64,0x303424c0,0x324c0d09,0x10164009,
    0x424c0d0f,0x3b212606,0x6cc01efe,0x3c83eddf,0x881b03e0,0x0036790e,
    0x20006e3b,0x0d039049,0xc824c24c,0x21260681,0x0d039049,0x0003724c,
    0x03424c0d,0x24c0d093,0x006c0057,0x24c0d076,0xe8093034,0x64044049,
    0x81d00e41,0x352a1d86,0x000d9dc0,0xd0390498,0x824c24c0,0x1260681c,
    0x340e4126,0x0006c930,0x0d093034,0x9303424c,0x00d000e4,0x12606877,
    0x2a04981a,0xb10001d3,0x81f304b8,0x2930f20e,0x03b3b806,0x07209300,
    0x4984981a,0x4c0d0390,0x03904984,0x03b24c0d,0x424c0d00,0x81a12606,
    0x55107249,0x2e01a355,0xd0930343,0x21b024c0,0x5dd4402b,0x407445aa,
    0x5a96c0fc,0xd801b2b8,0x93000591,0x981a0720,0x03904984,0x24c24c0d,
    0x260681c8,0x1a000b24,0x26068498,0xb9260684,0x9fe66442,0x1a0ec00d,
    0x26068498,0x02c4b104,0xb9557bf5,0x9d539f50,0x069cb81b,0x7880b23b,
    0x1260012a,0xb80ec0e4,0x03904982,0x260ae03b,0x03b03904,0x8004a8ae,
    0x3b05701d,0x40760ae0,0x1b00ea2b,0xd87880b2,0x03b05701,0x3615c0ae,
    0x0b101d00,0x06cb3722,0x12cc0774,0x07625c0d,0xd824c1a8,0x20b04a81,
    0x9503b049,0xd824c160,0xb0b04a81,0x12a0d403,0x0b04a82c,0x3a22c12a,
    0x03443600,0x16095097,0x3a058254,0x81d42540,0x406c0059,0x2074c2ed,
    0x442d40ea,0x8d05c81e,0x2e881fd8,0xd88d025c,0x5c2e881f,0x3fb11a04,
    0x84b85d10,0x885c81e8,0xe8825c2e,0x2e8825c2,0x80f4c25c,0xb503aa0e,
    0x0970ba20,0x20970ba2,0x6ffffff9,0x05fb8588,0x74e64340,0xd300dece,
    0x22019b9b,0x203edced,0xec9edcea,0xbdcee882,0x3b73aa00,0xee882ec9,
    0x3aa00bdc,0x82ec9edc,0x00bdcee8,0x07db9db1,0x05ee7744,0x17b9dd10,
    0x5ee77440,0x999dd100,0xb9bd307d,0x67744019,0x3ba200bd,0x03900bdc,
    0x373ae072,0x401ef9ce,0x4c4483d8,0x40031000,0x02600198,0x98003100,
    0x000c4000,0x03100026,0x1000cc40,0x00188003,0x266000c4,0x40018800,
    0x00c40018,0x4c0b3034,0xdddd3001,0x00000005,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x001d0126,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x17776400,0x000bbfb2,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2a001800,
    0x004c3002,0x31029800,0x33333333,0x40150660,0x80198002,0x00010008,
    0x800c4002,0x0c004000,0x004c0044,0x00040000,0x01880098,0x0f620136,
    0x54006dc0,0x49901d36,0x416e01d8,0xeefeeeeb,0x743d81fe,0x90013202,
    0x800e9809,0x2e000dea,0x1f75403f,0x5c013ae0,0x3615c04f,0x01775c01,
    0x764000e6,0x00754003,0x1c8137a6,0x6400ba20,0xd31d3005,0x0f575c01,
    0x115c12a0,0x42c81c8b,0x006dc01d,0x03aa03b8,0x07aa36e0,0x036e9b10,
    0xd82e4372,0xa6c01d54,0x7bd100eb,0xb14c809b,0x20024c09,0x200b92e8,
    0x70ea805c,0x5409301b,0xb8006001,0x1b300350,0x222b8000,0x00000e45,
    0x1c00006a,0x01c43880,0x030550aa,0x02985303,0x4c029853,0x0281800a,
    0x83500126,0x801c401a,0x04980981,0x80000062,0x00620029,0x4588ae00,
    0x5300001c,0x02980000,0x44006a20,0x00099999,0x22002980,0x0013000a,
    0xffff9800,0x99884fff,0x2620ccc0,0x300ccc09,0xda849801,0xf31ccdcd,
    0x0eff98df,0x06ee6f4c,0xccdcdda8,0x8837ff41,0x7d411620,0x9fffb3ff,
    0x0ddcde98,0x3fffffe8,0x06ee6f4c,0xafecdd98,0x3fbbb605,0x3fff61ee,
    0xcde983ff,0x9bd300dd,0xbf90d7bb,0x26bfb1df,0x77fcc6ff,0xfd8024c0,
    0x9ddd30de,0xe986f7ec,0x7efe44ee,0x1265fd8e,0x545f303a,0x1b503a04,
    0x981d0598,0x4401a02f,0x95077005,0x016606d4,0x981b51d4,0x6c40d985,
    0x400b1007,0x2606d43a,0xfc80e885,0xeea83360,0x01d02540,0x30340093,
    0x224c0d09,0x03baa0cd,0x5b03a8b1,0x443a80e8,0x07512a06,0x100680b6,
    0x2a0ee00b,0x02540d14,0x2a0689d4,0x07880744,0x1d400b10,0x3a2540d1,
    0x706a9a01,0x7501d01f,0x06801260,0x4981a126,0x407dc1aa,0x020550dc,
    0x5903a12a,0x40aa3c40,0x58803400,0x29507700,0x201e202c,0x3c40593a,
    0x10018073,0x591d400b,0x00933c40,0x501f01e4,0x12601d09,0x21260680,
    0x03c92606,0x3d0fa03e,0x09507400,0x741d801b,0x10068001,0x2a0ee00b,
    0x01d801b4,0x6c00d9d4,0x20000371,0xd8ea0058,0x02b8ec00,0x00e80720,
    0x9302541d,0x09303400,0x03924c0d,0x22166074,0x2a00acdb,0x201a03a4,
    0x566dc43b,0xb1006800,0x52a0ee00,0x5403b806,0x367700d3,0x0b100000,
    0x700d1d40,0x4b800727,0x92a01f30,0x8012600e,0x81a12606,0x7cc12e49,
    0x2e2024c0,0x12a3a04d,0x101dc034,0x006809b7,0x20ee00b1,0x07700d4a,
    0x7700d3a8,0x20100076,0x68ea0058,0x88393b80,0x1d11aaaa,0x47401f90,
    0x0506804a,0x03424c0d,0x64074493,0x90024c0f,0x403b2a07,0x800ec00d,
    0xd901a03c,0x5c05ddfd,0x801b4a83,0x0d9d401d,0x002c8ec0,0x002c4126,
    0x36006c75,0xccc88571,0x2a73ea3f,0x32a00dce,0xccea800e,0x260683ed,
    0x51260684,0x1b9d539f,0xb1014498,0x05902740,0x5880a3c4,0x3bbfbbb2,
    0xdd90003e,0x52a9dddd,0x201e202c,0x3c40593a,0x824c0095,0xc8ea0058,
    0x03a9e202,0x3372206c,0x04e801b2,0x3b004cc0,0x40760ae0,0x2cdc882b,
    0x3e23981b,0x07407700,0x125c0d10,0x640ee01f,0x000b5001,0x5c0d13a8,
    0x0d13a804,0xa807625c,0x006e0931,0xb81a23a8,0x0d803a24,0x0e801b00,
    0x2a016a00,0x412a0b04,0xb306c005,0x2606fc43,0x2a012a06,0x3e22d40e,
    0x0b034c0d,0x00007440,0x2a075459,0x7543b005,0x0f442d40,0x885d12e4,
    0x2a064005,0x74c2d40e,0x1a001d01,0xe8800950,0x2e174400,0x4b85d104,
    0x20723400,0x1decdfad,0x74c003a0,0xad80cdcd,0x201decdf,0x2c401dda,
    0x981d5000,0x800cdcde,0xdcde986a,0xb9db100c,0x373b207d,0x416a000c,
    0x00cdcde9,0x7d999dd1,0xe807b100,0x802c4000,0x00bdcee8,0x02f73ba2,
    0x4001ec40,0xfddd3019,0x00c4007d,0x00000330,0x774c0013,0x006200de,
    0x401bdddb,0x06620018,0x76c004c0,0x0c400bee,0x98026600,0xe982eeee,
    0x2003efee,0x00c40009,0x3a600620,0x00002eee,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x08000000,
    0x14000080,0x03100040,0x00001400,0x02000000,0x31001540,0x01a88028,
    0x000000c0,0x800a0001,0x204cc400,0x000a0198,0x7f7000c4,0x015c1c80,
    0x5d900f62,0x000ba200,0x224b8172,0x74c9901e,0x0ec49700,0x66c03ec8,
    0x3203dbec,0x6cc0be26,0x405afecd,0xd12dc05b,0x00dea803,0x36201320,
    0xbdfb00de,0xd81f7744,0x3376a004,0x4d881ccd,0x2ba201b9,0x174406b9,
    0x01367d10,0x136003d8,0x007abaa0,0xb801d7b7,0x2e881eae,0x0ae200b9,
    0x36601020,0x9903ec40,0x07abaa00,0x007aa990,0x3d5007b1,0x30340ba6,
    0xd005c809,0x2a82f981,0x59710154,0x1a803500,0x007000d4,0x0c9800a6,
    0x4c009300,0x1a83500d,0x26604cc4,0x2604cc41,0x78807419,0xc9800730,
    0x0e214400,0x40200530,0x024c0d00,0x40ea00d4,0x8806202d,0x10ccc099,
    0x43333333,0x88330198,0x99999999,0x4ccccc40,0x4ccc0999,0x33300999,
    0x99998803,0x4cccc199,0x6f7ec099,0x6c9ddd30,0xddd30def,0x44300e69,
    0x4c433019,0x19999999,0x30033330,0xc8133333,0x3034003e,0x00666609,
    0xda8040aa,0x361ccdcd,0xddd30def,0x3bbbbaa9,0x85dfb0fe,0x3bb62eec,
    0x44eeeeee,0xeeeeeeed,0x3fbbaa4e,0x77640eee,0x3baa01ef,0xd50feeee,
    0x81dddfdd,0x81a12606,0xd8006e49,0x977642ef,0xeefeeeeb,0x7f7641fe,
    0x3bbaa01e,0x1d40eeef,0x84981a00,0x801efeec,0x303a001e,0x9260685f,
    0x2545983a,0x303a80e8,0x12607509,0x127a0058,0x205983a8,0x09303405,
    0x01b24c0d,0x41d04a80,0x0391622b,0x0b0024f4,0x034003a8,0x049e8093,
    0x00acdb88,0x0d0b6075,0x1d07524c,0x503c83b0,0x0ea12607,0x200b024c,
    0x0ea01d3a,0x3405803a,0x4c0d0930,0x36000764,0x88ae1e41,0xd3a80e45,
    0x75016001,0x9303400c,0x000e9d40,0x0aa136e2,0x49303404,0x68816429,
    0x843a8166,0x8843a818,0x86c01601,0x2c85302b,0x981a02c0,0xc9260684,
    0x26688002,0x91622b85,0x015c3603,0x755d4058,0x40d00cec,0x15c36049,
    0x1e83c800,0x024c0d00,0x1d4a80b5,0x80751d40,0x2c00ea3a,0x00b12c40,
    0xd016016a,0x303424c0,0xa8002549,0x441101d4,0x22588045,0xea80b005,
    0x01c82544,0x58962057,0x885880a0,0x0d00acdb,0x00e8824c,0x75403dd8,
    0x75403eee,0x0b003eee,0x400d8570,0x405800e8,0x81a12606,0x3500ec49,
    0x4400f760,0x0d857005,0x82d40580,0x0d04a80e,0x2203615c,0x8807700f,
    0x260684db,0x22003b04,0xb99ca806,0x5cce5403,0x1d00b003,0x00ec04a8,
    0x93034058,0x2224c0d0,0x2205c81e,0x40162006,0x2c02540e,0x806c0ea0,
    0x1d025c2e,0x0df884a8,0x0f20034c,0x25c24c0d,0xa8068062,0x47500623,
    0x980b0018,0x06ffffff,0x1603112e,0x20ae03b0,0xb105701d,0xd007db9d,
    0x4c02c400,0x06ffffff,0xd81d4058,0x7d9d9100,0x7ffffcc0,0x9bf5b06f,
    0x440503bd,0x42b80ec5,0x1a049868,0xa8580ea0,0x40581603,0xd103901c,
    0x50160930,0x82541609,0x000ec405,0x402c400d,0x5803901c,0x00d81d40,
    0x80e4025c,0x102cc01c,0x950ee01f,0x2607a160,0x0ea01a04,0xb01d40d8,
    0x40d01601,0x4981e859,0x42e880b0,0xb85d104b,0x2003c804,0x20162006,
    0x0b016606,0x801b03a8,0x2606801b,0xf102c805,0xe886981b,0x40f225c2,
    0x2a01a049,0x07503603,0x2605806c,0x07907404,0x4402c126,0x200bdcee,
    0x00bdcee8,0x680126e2,0x93016200,0x01600e80,0x10036075,0x012607b9,
    0x126e601d,0xdecdfad8,0x7b9dd101,0xeeeeed81,0x7f7644ee,0xeeed83ee,
    0x20feeeee,0xeeeeeeed,0xfddd50fe,0x3bb23ddd,0x977f642e,0xeeeeeeed,
    0xddfddd54,0x000c403d,0x0a980062,0x777f7640,0xddfdd903,0x42eeec85,
    0xdd52efec,0x5c3dddfd,0x177ec4ee,0x5ddd9000,0x302efec8,0x00660015,
    0x00000188,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x10000000,0x22001881,0xa831001b,
    0x0007f540,0x4c370000,0x13333103,0x80000400,0x10000008,0x80001000,
    0x08000808,0x8001b800,0x000c0018,0x07600b00,0x232005d1,0x227b802a,
    0x0001b02f,0x20074c7b,0x76c1aa2e,0x00beeeee,0x800ae0e4,0x00b001e9,
    0xd9001f64,0x03a60005,0x7754003a,0x7c403a8c,0x0074c005,0x0da80b70,
    0x805885b1,0x200f6059,0x10200714,0xc80006c0,0x00000dbd,0x02dc43a8,
    0x01ae6ba2,0xd3000ea8,0xb92e8803,0x09b3e880,0x9500ea80,0x0cd98600,
    0x2a000a80,0x0132000e,0x440f5754,0x1c01d805,0x00066540,0x441b0053,
    0x000ea000,0x3903a800,0x002cb880,0x6ec4005c,0x83506edb,0x3506a01a,
    0x07402400,0x44005300,0x000e001a,0x0c880071,0x86880b10,0x00999999,
    0x26003333,0xb00ddcde,0x05ddbf91,0x80133331,0x7fcc6ff9,0x3a81d40e,
    0x20066660,0x80099998,0x26234c1d,0x09999999,0x4cc40ccc,0x33333300,
    0x803b8333,0x00ddcde9,0xb5fd9bb3,0x20066660,0x44019999,0x16200999,
    0xeeea8590,0x7640eeef,0x6d401efe,0xcdd82cc0,0xddb0b660,0x2017dddd,
    0x2a03a04a,0xd900e883,0xed803dfd,0x80beeeee,0xeed83068,0x24eeeeee,
    0x76c3eefa,0x77f4c0ee,0x40feeeef,0x2606d406,0x6c40d985,0x1efeec87,
    0x3bbfbae0,0xdddfd301,0x205883bd,0x20058068,0x81a2049e,0xf106d84a,
    0x05b88750,0x540ea03a,0x01dca99c,0x750093d0,0x01d05b88,0x224c0ea0,
    0xb00dc01c,0x5c0d8391,0x2540d102,0x203c403a,0x00d0049e,0x020f4434,
    0x005802b8,0x16403a75,0x405b0f10,0x1c81d41d,0x201d0950,0x006dccea,
    0x2a0074ea,0xbb303903,0x981d4015,0xc85115c4,0x360e5a00,0x02c83440,
    0x0c0399e2,0x2003a750,0x3441a006,0x01600d00,0x1b02b86c,0x00ec1d80,
    0x7503a857,0x40950740,0xd802dc3a,0x03a80570,0x76dc4075,0x18843a81,
    0x6c3d91d4,0x70727500,0x00360b20,0x80006e3b,0x0d00570d,0x00770340,
    0x20160077,0x03416258,0xe81361dc,0x07441d41,0x50074950,0x58809507,
    0x10750162,0x21a2001d,0x4980ea3a,0x32068eba,0xd1012391,0x367700d0,
    0x44b10000,0x1a006805,0x0740a488,0x42b80580,0x3b80680d,0x42d407ec,
    0x1dca99ca,0x404a8e80,0x5c05b03a,0x395006c2,0x0103b953,0x3bbaa0e4,
    0x6c52203e,0x32681a68,0x41d805ee,0x03b3b806,0x01b0ae00,0xd01a0068,
    0x8012a162,0x2540e805,0xb076006c,0x1db539d5,0x0db99d50,0x20076540,
    0x740d103a,0x9d502540,0x81640db9,0x3b99ca86,0x8d9d5620,0x564b1058,
    0x6c598059,0x02c8ec00,0x04a81d00,0x580d0034,0x4001d0b1,0x7fffcc05,
    0x202c86ff,0xdb88d878,0xb70ea03c,0x36027400,0x2eb83eee,0x7fffffcc,
    0x0b70ea06,0x36a26fb2,0x00623a83,0x2455c76d,0x11ffffa8,0x02c87600,
    0x8004a9e2,0x6ffffff9,0x34298340,0x95162930,0x0e405800,0x703441c8,
    0xa8001b09,0x1d004a83,0x0e400000,0x507501c8,0x7fb31509,0x8580ea01,
    0x81ce4cd6,0x0110720d,0x5c0d124c,0x83500ec4,0x3403901c,0x570343a8,
    0x8001b162,0x0b303405,0xb05a81d5,0xb03a8001,0x8004a805,0x206802d8,
    0x36075059,0x75016202,0x12b606c0,0x391a075d,0x507403a8,0xe885a81d,
    0x20685c81,0x1d41a059,0x4b134c1a,0x20580059,0x4c074049,0xb00cdcde,
    0x103a8001,0x4000e80d,0x24c049a8,0x40ea03a0,0x50162068,0x37206c07,
    0x24c16e42,0xa8075072,0x66e6f4c4,0xdb9db100,0x0e809307,0x8d0ea0d0,
    0x151c0ea8,0xdfddd500,0x3bbb23dd,0x8177f642,0x3bfaa018,0xeeed803e,
    0xdd32eb83,0xa8007dfd,0x3bbb200a,0xb177f642,0x5d707ddd,0xeeed8120,
    0x40feeeee,0x20fd40fb,0xefe9aeec,0x4803eeee,0x4c400310,0x85ddd901,
    0xdd72efec,0x7ddddddf,0x3bbbbfa6,0x0000000b,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x01620000,
    0x00000001,0x31013300,0x80004013,0x009db008,0x2620ccc4,0x30075401,
    0x08133333,0x20037000,0x776c00a8,0x06666605,0x440054c0,0x80c8800a,
    0x98804eed,0x200a0c40,0x20e401e9,0x4436e02b,0xd83a602d,0x262ff543,
    0x7f904fee,0x200e9800,0x3bb60049,0x80fff63e,0xddd301fb,0x0e41bddf,
    0x05f880ae,0x5eee6f4c,0xeeb82c06,0x36201eef,0xbd303ecd,0x7e401bb9,
    0xc8812a02,0xf13644cd,0x40074c05,0x806b9ae8,0x9801eaea,0x37602eae,
    0x3d884981,0x03aa00b9,0x3a800930,0x00800ea8,0x9ae88160,0x200a806b,
    0x00fc80e8,0x6c01a016,0x03aa0ec2,0x00a201d3,0x201dc095,0x00040040,
    0x44005971,0x0722000c,0x0930d3b0,0x4801a835,0xa8009300,0x4c006d43,
    0x71016000,0x01510059,0x580d00f4,0x85980680,0x5a80744a,0x26666662,
    0x03a04a81,0x40cc0662,0x26205eed,0x09999999,0x4cc404cc,0x26666620,
    0xb8d80999,0x026224c3,0x80998131,0x724c0998,0x47501dff,0xfdfc805b,
    0x0b05fd8e,0x04cccccc,0x5eee6f4c,0xb0001266,0x05700d00,0x3e01dcb1,
    0xdddddd51,0x1a04a81f,0x3b2177ec,0xed81602e,0x4eeeeeee,0xdd317faa,
    0x77776c9f,0x0d84eeee,0xdd324c1d,0x43bfa61d,0x774c5fea,0x1d524c4f,
    0x804c9d40,0x03baa0cd,0xfddd5058,0x07441ddd,0x002b87e4,0x403402c0,
    0xd97ae21c,0x83a96c00,0x1a04a859,0x801d04a8,0x4981d405,0x84981dd8,
    0x1b09303a,0x1d44992a,0x81dd80d8,0x0b949849,0x019db950,0x00fb8354,
    0x3d02c016,0x00039340,0xd8068058,0x34b15d10,0xe83aa540,0x775c4a80,
    0x41d81eef,0x5405803c,0xd3b09303,0x20750930,0x4760d849,0x0d81d449,
    0x849869d8,0xf5004dc9,0x1e403ae5,0x802c01f0,0x64009305,0x0d555441,
    0xb00d00b0,0x0d2c4721,0x590a6950,0x406812a0,0x2c016668,0x06210ea0,
    0x0930ee36,0xb0310875,0x5449ac41,0x71b01b03,0xbf984987,0x4c4a800e,
    0x07403905,0x5c1600b0,0x910ae002,0x02c07f99,0x21b29834,0x006cb10d,
    0x502d40f6,0xa5403409,0xa80b000e,0x21b00ea3,0x8ea1260e,0x3206c03a,
    0xd81d449a,0x4c1d0d80,0x01d34984,0xb82c83a8,0x2c01f304,0x00390580,
    0x803601d4,0x27506805,0x4b13b50d,0x440fc03b,0x6812a00e,0x4007bb00,
    0x77775405,0x24a86c03,0xeeeea849,0x3a206c03,0x7777544a,0x50d80fee,
    0x324c24c9,0x441d401d,0xfc80e886,0x82c01600,0x5555441c,0x06c01d11,
    0x2a0d00b0,0x7764c3b3,0x82d403a0,0xd025401d,0xb001a200,0x3b99ca80,
    0x263b06c0,0x3b99ca84,0x275406c0,0x2666672a,0x4760d80d,0x75449849,
    0x07607500,0x33aa73ea,0x2c01600d,0x666442b8,0x7407a63f,0x41a01600,
    0x2600973a,0x5c074c0d,0x812a0c44,0xb001a006,0x00623a80,0x849ac41b,
    0xfd80623a,0x2a26c0ee,0x41b01b03,0x4ed89358,0x3b62f7e4,0x42f4c3ee,
    0x41b2cdc8,0xdeefeee9,0x00ea0b00,0xccee881b,0x7776c3ec,0xdd73eeef,
    0x7ddddddf,0x9b9001a6,0x30d101bb,0x0d104a89,0x01600340,0x06c2c075,
    0x0ea126b2,0x3a800058,0xc81b01b0,0x0000049a,0x201b0000,0x220b001c,
    0x9803600e,0x00000009,0x980c42d8,0x207a00ae,0x3a825449,0x0b001a00,
    0xb03603a8,0xa84ae881,0x79003603,0x80d81d40,0x0257440d,0x0f2000f2,
    0x01606800,0x407a6058,0x400f200e,0x079002d8,0x0f766ec4,0x5e77f7dc,
    0x5260793d,0x74c24b98,0xb001a000,0x03603a80,0x509d501b,0x35006c07,
    0x0d81d409,0x04ea80d8,0x3500126a,0x07b10009,0x16006ed4,0xd999dd10,
    0x4024d407,0x9a8049a8,0x20098804,0xdb0d4c1a,0x29dddddd,0x33b62ccc,
    0xefeec801,0xfeeed83e,0x3bb63eee,0x0feeeeee,0x9b03bbf6,0xeeeeeed8,
    0x2a600fee,0x21ddd900,0x3f63efe9,0x3026c0ee,0x0a980015,0x2eeee980,
    0x3bbaa000,0x2601eeef,0x00a98009,0x53001550,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xa8311260,0x00e29000,0xb81da800,0x7c1eeeee,
    0xeeed82ee,0x0010b05e,0x03ddddd5,0xc880064c,0x4cc01b00,0x10000019,
    0x00220283,0x22050620,0x99999999,0x10004400,0x01000003,0xf89ee174,
    0x09358802,0x7402cc88,0x06666600,0x2c40001a,0x07519dd7,0x90066666,
    0x0bee003f,0xfeec82dc,0x1e64001e,0x40fc4d90,0x03b8ceea,0x20be26c8,
    0xeeeeeeed,0x33bae04e,0xdbf703b8,0x80f32e07,0x542edeb8,0x10008106,
    0x21700eab,0x26212604,0x0d0ccc09,0x220e61b8,0x00cda8a5,0x014400a6,
    0x0fc40510,0xa80127a0,0x02040171,0x0019b30c,0x81d40102,0x4da86049,
    0x21641b50,0x16406a29,0x981ec591,0x52600199,0x245d403a,0xbdfb0930,
    0x353bba61,0x886a8ba0,0x26666665,0xddcde980,0x99999980,0x4ccccc40,
    0x02640999,0x4c003a75,0x2666048b,0x33300999,0x33331003,0x75013333,
    0x02661260,0x41c82662,0x0902e0e8,0x3e2b10d1,0x1efeec80,0x00ae9300,
    0x049802e6,0x00d24c0d,0x77556200,0x2a0eeefe,0x3aa2cc0d,0x20eeefee,
    0xeeeeeeed,0x1b03cc4e,0x0b9800ae,0xddfddd50,0xefeec81d,0x77776c01,
    0x3a84eeee,0x7f541884,0xd27f74c5,0x2a298720,0x2ed04981,0x4049e806,
    0xcdecedc9,0x824c0002,0x00692606,0x4160b100,0x5812a068,0x84981d40,
    0x1625881f,0x16000880,0xa8049e80,0x47509303,0x81dd803a,0x43b83449,
    0x03a03ccb,0x750172b5,0xcca8803a,0x3fa1abda,0x2e0ffe44,0xd24c0d03,
    0xff913fa0,0x90582c43,0x0b03c405,0xd09303a8,0x00d85707,0x0fb77f66,
    0xe9d40160,0x4981d400,0x03eeeea8,0x449869d8,0x2027441d,0x2faa2db9,
    0x809b0ec9,0x5700570d,0xc824c072,0x03403b21,0x09303493,0x0b058872,
    0x203b0036,0x4421d405,0x40e83d81,0x3202204a,0x0d802c01,0x843a8057,
    0xb99ca818,0x43b8d803,0xe88f4c49,0x0bdb9859,0x647fdfb0,0x05896204,
    0x2601b1c8,0x0f4c3904,0x06926068,0xb10e4126,0x5c034160,0x23a80b03,
    0x261ec03a,0x06ffffff,0x02c05880,0xa80b12c4,0x47500ea3,0x1d0d8018,
    0x6f6d424c,0x02f32489,0xb9e445b0,0x01b0ae06,0x3ffffffa,0x1c824c0f,
    0x260681d4,0x904981a4,0xd0582c43,0x01607700,0x807dddd5,0x1c80e42f,
    0x2aaeea20,0x15c02c05,0xeeea8036,0xb01d403e,0x93254360,0x2208ea00,
    0x41661ccc,0x20740f56,0x0686c04a,0x260e4126,0xd24c0d04,0x21c824c0,
    0x0360b058,0x501603b0,0x44077339,0x0b30341f,0x32aaf7ea,0x07402c05,
    0x99ca812a,0xb01d403b,0x98ec1b01,0x2e03b004,0x3902b920,0x3ffe603e,
    0x86c06fff,0x0e412606,0xb80ec126,0x904981a2,0x90582c43,0x0b03c405,
    0x980623a8,0x03a024c6,0xb016203a,0xfffff980,0x188ea06f,0x01b01d40,
    0x049ac41b,0x351205a8,0x09934122,0x68072039,0x3b04981a,0x20950498,
    0x20930345,0x82c1621d,0x5812e068,0xd8b01d40,0x90bbbb23,0x81d45dfd,
    0x3202c059,0x0ea03901,0x77776c58,0xd80feeee,0x2024d640,0x482e00eb,
    0xf98ee16c,0x40b30340,0x44680b16,0x8824c1fd,0x01a25c2e,0x221fd88d,
    0x07540b05,0xa80b016a,0x07c43603,0x16205c00,0x80b017ee,0x1d416606,
    0x064001b0,0x257440d8,0x200fb736,0x6442cbc8,0x23d83ece,0x68074049,
    0xdcea80b1,0x16c2ec9e,0x0bdcee88,0xcea80cf4,0xb12ec9ed,0x9bd30160,
    0x4058019b,0x1e43603a,0xeb814800,0x1ef9cedc,0x2024c0b0,0x3603a80e,
    0x6c052000,0x0984ea80,0x01800800,0x177764a2,0x820bbfb2,0x10013000,
    0x900c4017,0x004c0399,0x77f7754e,0x403101ee,0xeeefeeea,0x3bbbbb61,
    0x0070feee,0x1981e440,0x77f77540,0x5ddd91ee,0x362efec8,0xeeeeeeee,
    0x0f26000f,0x4d81ddfb,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0xeeb81818,
    0xdc981eee,0xb504ddce,0x0303b999,0x02200011,0x0f77775c,0x02002e00,
    0x818060a0,0x40606008,0x01cc0181,0x50011030,0x00881801,0x46a00710,
    0x40011029,0x974402e4,0x333302e8,0x5523d703,0x03309301,0x7e41d857,
    0x09bbd902,0x00066666,0x66e4c07b,0x5c97203e,0x07547aa0,0xc826c9b0,
    0x9b00b90d,0x03b0ae00,0x2e01edc8,0x74c00ec2,0x1d35a801,0xb005ff50,
    0x37201327,0x3333301e,0x5522f813,0x01101701,0x909b7bd1,0x203e885f,
    0x99999998,0x01744009,0x203b81b1,0xe9803eea,0x5dd7005d,0x003dea80,
    0x37a20172,0x4fa204db,0x7bd102e8,0x01d5009b,0x01d11d30,0x79007fe6,
    0x00a8012e,0xdddfddd5,0x06a91e61,0x5440025c,0x200f4000,0xeeeeeeed,
    0x000c404e,0x001880d0,0x00260014,0x00c000c4,0x18801510,0x00544018,
    0x44260018,0x0c300000,0x2c003100,0x0d520f88,0x0032ab62,0x25c00188,
    0x09303a80,0x80011022,0x0c400006,0x08800600,0x00006200,0x18800600,
    0x31000c00,0x80000000,0x00dfdefa,0x521b902c,0x7910d41a,0xdfdefa80,
    0x8006c180,0xe989303a,0x07bd75dd,0x89fd12e0,0xfe981ffc,0xdb100dfd,
    0xd98b39d9,0x2603eddf,0xe80dfdfe,0x40ffe44f,0x59ceced8,0x0dfdfe98,
    0x39d9db10,0xbfbfd30b,0xfe804401,0x640ffe44,0xb01aa20d,0x355dda80,
    0x80d981b0,0x11aa20dc,0x03b9368d,0x106210ea,0x0792edc1,0x24c13f2a,
    0x117541c8,0x41e881d7,0x640446e8,0x2e22ea81,0x3904980e,0x37441e88,
    0x0eb88baa,0x1ba20f44,0x075c45d5,0x412602b8,0xc807cc1c,0x54801604,
    0x8b20b203,0x449900f9,0x26ba7626,0x0ea3a85c,0x1e22f880,0x4c06e544,
    0x0fc43904,0x8816c5b8,0xf88b1006,0x0930b701,0x2205b072,0x2dc07e26,
    0xf13440b6,0xd7116e03,0x1c824c03,0x4cccce5c,0x80160699,0x06d40354,
    0x9999cb92,0xd1e66999,0xeea8390d,0x5d4403ee,0x0e9999fa,0x824c34c0,
    0x7881a61c,0x2a20203c,0x34c5aabb,0x20930f10,0x98203c1c,0x80f1e206,
    0x27881a60,0x049802e9,0xeeeec839,0x1605eeee,0x70035480,0xeeec9227,
    0x265eeeee,0x224c0f47,0x103b99ca,0xddf957db,0x59003ddd,0x5c390498,
    0x05886c03,0x555efd40,0x3601dc5c,0x21c824c0,0x00ee0058,0xb801621b,
    0x01c86c03,0x70720930,0x002c0009,0x74c006a9,0xa8012e1b,0x22c40e47,
    0x16c0623a,0x3a80007c,0x2a1c824c,0x0789e205,0x22c40740,0x261e205a,
    0x03c43904,0x13c40b50,0x102d400f,0x0930034f,0x001f1072,0x35480160,
    0xf102e010,0xa83ea001,0x01d42b84,0x0be206cb,0x12606c00,0x201f10ec,
    0x4101745b,0xf88b303a,0x0930b700,0x0405d076,0xd16e01f1,0x01f10405,
    0x2982c96e,0xb81d824c,0x1605981d,0x09035480,0x2076e032,0x3b03ea59,
    0x80ea0744,0x7f44950d,0x05ec3665,0xb11a0971,0x541da83f,0x54174c0e,
    0xbf70b10e,0x0ea83b50,0x41fd88d0,0x20ea82e9,0x207541da,0x20ea82e9,
    0x107541da,0x341e445d,0x75407f62,0x200dedce,0xbaccc405,0x4ccce41a,
    0x33baa03c,0x03ea0ded,0x505fbdb1,0x9b906c07,0x5fbd7b5d,0x5eef7e44,
    0x3db9d500,0xcefa85d9,0x9fd300df,0xceb8179b,0x41ef9ced,0x00dfcefa,
    0x327b73aa,0x6e7f4c2e,0xcefa80bc,0x9fd300df,0xdf50179b,0xd9301bf9,
    0x33aa05bd,0x202ec9ed,0xddd50198,0xa883dddf,0xa985532a,0x31000aaa,
    0x40620003,0xeeeeeeed,0x204c40fe,0x00044018,0x04cc0013,0x98009880,
    0x004cc001,0x4c400130,0x00133000,0x4cc00262,0x04c00000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x98062060,0x80881803,0x02eeeeea,0x012000a0,0x00e60398,
    0x04800140,0x12000730,0x00500140,0x00a00730,0x200200a0,0x02880004,
    0x87500003,0x2026c02b,0x201d51ea,0x10019999,0x3a200bbd,0x801d5002,
    0x37a2004d,0x00fa2005,0x3a2004d8,0x06eec403,0x400bbd10,0x6f4400ea,
    0x0bbd1005,0x3e8807d4,0x31026620,0xecda8973,0x405db883,0x9005dbdd,
    0x05de980b,0xa800cccc,0x4401d51e,0x01b5001e,0x3a6016e0,0xe8801d51,
    0x805b8002,0x8f4c02e8,0x51ea81e9,0x00da801d,0x00ea8f54,0x407547aa,
    0x02e880fb,0xdd12f7ec,0x3626417d,0x0166fae2,0x030002a2,0xfdd900a0,
    0x1103003d,0x03000440,0x81300300,0x00044008,0x00110030,0x81818813,
    0x1800c008,0x22060088,0x0880fa80,0x224c0d00,0xb1059868,0x44001100,
    0x40011000,0x0620049e,0x11001880,0x00006200,0x00000000,0x008800c4,
    0x04400110,0x000c40a6,0x1103d400,0x224c0d00,0xb101d05a,0x3b77f660,
    0xdbbfb303,0x3b3ba607,0x074ea05c,0x37f7fa60,0xbfbfd300,0x9d9dd301,
    0xbfbdf50b,0xfc89fd01,0x3227f41f,0x227f41ff,0xefa81ffc,0xee980dfd,
    0x7ecc5cec,0x3a603edd,0x40eacedf,0x40dfdefa,0xff986ff9,0xbfb31e66,
    0x303407db,0x03b03b89,0x320220b1,0x41c80881,0x807cc0d8,0x7540570d,
    0xd503ae22,0xb1075c45,0x3720f981,0x24c1aa20,0x904981c8,0x07209303,
    0x235441b9,0x107cc0d8,0x5d503901,0x06e41fc8,0x80930d51,0x20223cc6,
    0x24c0d01c,0x4415c072,0x002c4005,0x070598b1,0xf1058962,0x1f896e03,
    0x382ccb70,0x426403e6,0x93039049,0x41260720,0x6403e61c,0x801c1664,
    0x2607c458,0x403e64ae,0x4912c44c,0x88034458,0x224c0d05,0xb105701c,
    0x555dd440,0x55775105,0x0137bb0b,0x4c06c2b8,0x0699e206,0x137bb1e2,
    0x33333970,0x20930d33,0x3904981c,0xb8720930,0x9999999c,0x004deec6,
    0x8b557751,0x26874c5a,0x999999cb,0x47b26869,0x54434449,0x0d05aabb,
    0x5c07224c,0xbf505882,0xf50b9557,0x20b9557b,0xd01eeca9,0x03b84a81,
    0x6c03b86c,0x0f7654c0,0xddddddd9,0x320930bd,0x03904981,0xec872093,
    0x5eeeeeee,0x41eeca98,0x5caabdfa,0x641d315c,0xdddddd91,0x3a390bdd,
    0xa8305749,0x05caabdf,0x0ae24c0d,0xe82c40ec,0x80e85880,0x83d10058,
    0x6ffffff9,0xa9e205a8,0x2201e205,0x3000971e,0x12607209,0xc824c0e4,
    0x200012e1,0x2203a1e8,0x40e9a4c5,0x5000970e,0x006da937,0xd82c4074,
    0x03a85701,0x750b101f,0x20751660,0x87702c59,0xf883901c,0x07c4b700,
    0x3b8165b8,0x498001f1,0x209303b0,0x3b04981d,0x058007c4,0x5981d4ee,
    0x3540e9e8,0xc98001f1,0x500d392c,0x25416607,0x69868848,0x70b10b10,
    0xfb8588bf,0x07441f45,0xda85981a,0x36a07541,0x07d07541,0x40edc1d1,
    0xfd88d059,0x1fd88d01,0x41fd88d0,0x3a5981db,0x0b10e883,0x85f70bf7,
    0x40edc1ea,0x6ccdd059,0x0b11db85,0x0ba20bf7,0x3b0f2097,0x675c1620,
    0x21ef9ced,0xf9cedceb,0xd9997b1e,0x7404985b,0xdfcefa80,0xbf9df500,
    0xecccbd81,0xdceea82d,0xb9d500de,0xd505d93d,0x05d93db9,0xd93db9d5,
    0xedceea85,0x3332f60d,0x6e75c2de,0xd11ef9ce,0x03df9db7,0x37b73baa,
    0x83e89b00,0x373ae3fd,0x881ef9ce,0x200bdcee,0x7541cced,0x41eeefee,
    0x00660019,0xddd90188,0x02efec85,0x26600133,0x10018800,0x004c0033,
    0x13000260,0x400cc400,0x40198018,0x4002621c,0x40000198,0x00033018,
    0x00440031,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x70011000,0x87301cc3,0x0c87300c,
    0x10188110,0x00800301,0x00620018,0x4c03a832,0x50000002,0x200f6003,
    0x0001ceb8,0x0005c800,0x000006a0,0x47fd40a0,0x202eedfc,0x5b81aa2e,
    0x135407a2,0x4cba603d,0x225d101e,0x72ffb82e,0xed881bbd,0xfa859cec,
    0x3d00dfde,0xd99902dc,0x3bb207b5,0x5c800eee,0xb00bf100,0x75c03665,
    0x7301eeee,0x00730d30,0x2daddcd8,0x3bbbbae0,0x01bbb101,0x2d983376,
    0x00000000,0x03b76200,0x9007b760,0xd10cc9b5,0x6e46e883,0x0001aa20,
    0x00057104,0x08009b00,0x024c4980,0x2b849800,0x10400498,0x4c000037,
    0xdb03d31e,0x00001e20,0x00c40031,0x005000a0,0x05b00bf2,0x900f99a2,
    0x10004409,0x00044001,0x50030003,0x0c404887,0x980424c0,0x00000004,
    0x206204c0,0xfe87602d,0x4c0ffe44,0x500dfdfe,0x001bfbdf,0x80200013,
    0x0407802c,0x33333397,0xddfd98d3,0xbbfb303e,0x37f6607d,0x008003ed,
    0xb39d9db1,0x806cc750,0x40dfdfe9,0xfffffff8,0x7ffffc43,0x44fe83ff,
    0x27f41ffc,0x80007ff2,0x930ae01d,0x45d50720,0x06e40eb8,0xabfa8d51,
    0xfb80eede,0x01bbd72f,0x00588059,0x3bbbbbb2,0x640445ee,0x81c80881,
    0xfb81c808,0x41bbd72f,0x437441e8,0x503df73a,0x4075c45d,0x01260049,
    0x30390498,0x3fa07209,0xe813606f,0x21c824c1,0x4cb701f8,0xea89900f,
    0xb5902d45,0x01640cc9,0x04b801e2,0x400b1000,0x81620058,0xd8664dac,
    0x8750d102,0x407e22e9,0x2004985b,0x41260049,0x3904981c,0x03f60680,
    0x6412616a,0x27881a61,0x999999cb,0x0e82d469,0x32005f90,0x8202e802,
    0x544000f8,0x5105aabb,0x220b5577,0x205aabba,0x203c02fc,0x21d03a80,
    0x261e2069,0xcedc9804,0x412600cc,0x3904981c,0x3ab60680,0x980eda9c,
    0x01dc3904,0x77776436,0x1d45eeee,0x005900d8,0x174c0164,0x03b70754,
    0xabdfa8b3,0xbdfa85ca,0xdfa85caa,0x3205caab,0x4002c402,0x0ee7703a,
    0x804981b0,0x0199cb98,0x981c824c,0x06803904,0x0f36e236,0x54390498,
    0x04b9e205,0x00d81d40,0xeee88059,0xd303eeee,0x50179b9f,0x81bdb9dd,
    0x0e85880e,0x880e8588,0xf100b205,0x26075000,0x43c40b54,0x01260049,
    0x30390498,0x0d007209,0x1260006c,0x201f10ec,0x8003e25b,0x3201b03a,
    0x44000002,0x0377000d,0x2a2cc0ea,0x03a8b303,0x401640b3,0x4ea0202e,
    0x07c4ae19,0x004985b8,0x04980126,0x3609303b,0x01b03401,0x1fd88d00,
    0x03aa0ed4,0xa8b303b7,0x0b201b03,0xc800b500,0x58809002,0x42c45fb8,
    0x5c2c45fb,0x200b205f,0x40ea82e9,0x506c913a,0xd00ea83b,0x141a0510,
    0x80fec468,0x200fec46,0x20003606,0xec9edcea,0x6fe77d42,0xdb9dd500,
    0x1b03a81b,0x99800b20,0x49b9800c,0x20199300,0xf9cedceb,0x3b73ae1e,
    0x3ae1ef9c,0x1ef9cedc,0xfd3002c8,0xed8179b9,0x507dbb1e,0x401bf9df,
    0x02edccda,0x05db99d5,0x327b73aa,0xedcea82e,0x21a02ec9,0x003eefea,
    0x26600098,0x20331000,0x77ec5eec,0xdddddd11,0x00d4407d,0x00001530,
    0x0cc00330,0xe8803300,0x03eeeeee,0x040004c4,0x30004cc0,0x02660013,
    0x260004c0,0x7f776c00,0x00004eee,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x05440000,0x200220b1,
    0x9bdb8008,0x1848805b,0x0d4c0088,0x22001300,0x1540080a,0x002a2088,
    0x1fd3000c,0x066625f1,0x03033331,0x0276c003,0x8805c000,0x00710180,
    0x2fc8014c,0x3bf9bd30,0xddee983d,0xcecee982,0x09dd7105,0x3d503d30,
    0x3ab603aa,0x7d42edcd,0x00eedeab,0x21bb9bd3,0x2036e049,0xdced8bea,
    0x3eafe60e,0x1b000ced,0xa77f64f2,0x42efeed8,0x100b90dc,0xd701b533,
    0xd805dddd,0x07512603,0x666c02e4,0xff883dae,0x7d40ea86,0x3b1074c3,
    0x03e606c4,0x803a25b5,0x37a601e9,0xd103be05,0x2d45ea85,0x23a60754,
    0xa80b902d,0x2a2cc2ed,0xd802544e,0x220681b0,0x00f7aa05,0x0f7f776c,
    0x00ba2000,0x201b6f72,0xb88200db,0x3a0b6e02,0x0e45db80,0x0e0b32c4,
    0x01302c40,0x203f00a0,0x7416a0e8,0x3fa80740,0x07ea0060,0x3a0b506c,
    0x04360880,0x880b1034,0x24c11001,0x06200620,0x2000a880,0x00188009,
    0x7da60ee0,0x360d8021,0x366009bd,0x002badef,0x64008000,0x706c0ea3,
    0x4c00f807,0x1c80ea00,0x3606c0ea,0x200d9edf,0x00016206,0x26bbbbae,
    0xbfbdf504,0x00000001,0x7eff4c00,0x206c000d,0x100790e8,0x3dd9530d,
    0xbb50bea8,0x7ffffd49,0xffff50ff,0x98001fff,0xb06c0ea4,0x3ea2d801,
    0x80eedeab,0x3a8ae03a,0xd51e41b0,0xb103401d,0xb81bffa0,0x2133661d,
    0x41aa20dc,0x7f406ffe,0x37ff406f,0x75c45d50,0x1a04cc40,0xd804a876,
    0xf11e8802,0x83a97601,0x9320ea4c,0xeeeeeee9,0x40ea5eee,0x12a01a0d,
    0xa85a8bd5,0x03a8ea03,0x07d42c1b,0x402c40d0,0x3e20f106,0x4c807cc4,
    0x00d00340,0x701f8834,0x740ffb8b,0x80930f20,0x27702c3d,0x189ea04b,
    0x9706225c,0x99999ca8,0x0ea59999,0x9500d06c,0xa81d05a8,0x03a8aa03,
    0x3e20ea1b,0x05881a00,0x6c095068,0x4ccce5c4,0x03406999,0x983400d0,
    0x5fd1e206,0x2e16a5b0,0x0fa0f602,0x200e43a2,0x2a016a07,0x49806885,
    0x1b06c0ea,0x81d42d80,0x5501d40d,0x390d81d4,0x206803a0,0x39068058,
    0x3bb22540,0x05eeeeee,0x400d0034,0x0d807706,0x272e0bf1,0x0f603b06,
    0x6f6665ec,0x06880ae2,0x40d300d3,0xec95c01f,0xb8f7ec5e,0x0ea07c03,
    0xb80ea06c,0x1b09dd72,0x803e20ea,0xd00931a6,0x44c812e0,0x0340004b,
    0xa83400d0,0x1fb9e205,0x16603ba0,0x2c400b62,0x20ea0598,0x074400e8,
    0x03440b50,0x2d403a00,0x540d81d4,0x6c007203,0x01f50b10,0x802b8d34,
    0x3e20f106,0x00007c44,0xd003400d,0x2dc03e20,0x42ed809b,0x017440e9,
    0x42e40b20,0x4c0e886a,0x83303a21,0x400e984d,0x303aa03c,0x06c0ea0b,
    0x200580ea,0x1db31ec5,0x06c3b340,0x41970340,0x1db84dd9,0x00340598,
    0xb503400d,0x0020ea83,0xbd9dd399,0x1701e881,0x2e049b98,0xe80decde,
    0x207a2b81,0xdcdeb82b,0x024d400d,0x037737a6,0x2e0d81d4,0x3b9b34ee,
    0xdd10b200,0xc87db3fb,0xdce8cefe,0xfb80d003,0x1ef9afdd,0x6f6e7754,
    0x0d003400,0x3bea0340,0x24000dfc,0x77cc0262,0x80feeeee,0x099800a9,
    0xdddddf70,0x3bbbee5d,0x26602eee,0x00153000,0xbdd90062,0x4401efd8,
    0x02ded801,0x13000062,0x77f776c0,0x003304ee,0x3b601988,0x24eeefee,
    0xeeefeeed,0x3bfbbb64,0x013304ee,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00074c00,
    0x14c00153,0x00005300,0x008000c4,0x98000100,0x77777400,0x7406203e,
    0x0feeeeee,0x13333310,0x3113b600,0x33333333,0x4c099883,0x800a9819,
    0x54009804,0x510000fe,0x007ee003,0x0b72af72,0x0ddcde98,0x0e602dc0,
    0x00eeb6a0,0x2e00365c,0xbf90006c,0x34bfb1df,0x9b9bb500,0x00d81639,
    0x3ddfdddb,0x00512600,0x0defd862,0x3b29ddd3,0xb101ddbc,0x57f77dc0,
    0x006c0ff9,0x3fb37660,0x2200405a,0xb509701d,0x25405981,0x16001260,
    0x16000b00,0xea833600,0x1d00340e,0x22012f98,0x000b1006,0x31002893,
    0x86926068,0x320b1069,0x4137661c,0x0366000d,0x00c40fb1,0x519ba836,
    0x09503447,0x20049800,0x02c003ca,0x35400580,0x80340fb8,0xa805b03a,
    0x100b1003,0x400a24c1,0x49303418,0x7d703903,0x7c41a611,0x00441b04,
    0x2a1e201d,0x5c0dfdef,0x19344322,0x007880b2,0xffffff30,0x412e609f,
    0x2a02c1e9,0x36202c0e,0x207c0792,0x0aa01556,0x8006c004,0x3bbae058,
    0x801449ae,0x09303418,0x4df54570,0x640776ea,0xdbf71b04,0x0c03985f,
    0x46a88372,0x954106a5,0xd10ec00d,0x04980dff,0x06e41c80,0x80dd882c,
    0x1c87ae05,0x7bfd03a0,0x003d03bb,0x058801a0,0x266cc3b7,0x1a0c400a,
    0x07440498,0x80b2d10d,0x4399b04a,0x8006e2ea,0x2c9900f9,0x00d48807,
    0x26034077,0x4b10a804,0x2a1603e9,0x3a61602e,0x1f304b83,0xb8858808,
    0x4a800acd,0x1e216200,0x400a27c4,0x09303418,0x04987ae2,0x04e816e1,
    0x6c3e60db,0x2672e000,0x96699999,0x8069c403,0x9301a03b,0x11799300,
    0xcb9321b9,0xb9cd8bcc,0x799970bc,0xd125c7b2,0x2001f901,0x136e200d,
    0x22010390,0x13604a85,0x0d062005,0xb82e824c,0x4c074402,0x7407b04f,
    0x764003b1,0x5eeeeeee,0x55042996,0x403b0036,0x40024c06,0x816ea2ea,
    0x824cb1eb,0x516e63e9,0x1b9d539f,0x6400ea00,0x41261a03,0x2a01c858,
    0x41880144,0x83412606,0x9df98059,0x3b04aeda,0x002c9dc0,0x22a8012e,
    0x4363c8bb,0xd01e202c,0x22004980,0x42d620dd,0x216204e8,0x42d620dc,
    0x01b2cdc8,0x22028f20,0x09309305,0xc812e162,0x41880144,0x0005701d,
    0x5c43885d,0xb0498bcd,0x04a8ec07,0xd8003e20,0x22a82a20,0xd012e068,
    0x3a004980,0xe88b0c82,0x5b036201,0xd8016390,0xf11f8020,0x1640ee01,
    0x881b824c,0x0289f107,0xb04a8310,0x33b22000,0x093001dd,0xb07c41b6,
    0x3b70d403,0x01d88b30,0xa81d5097,0x06806805,0x2ab66005,0x0326001e,
    0x0f5574c0,0x221ec680,0x3037e25c,0x2e88340d,0x419702c4,0x80144dd9,
    0x2e174418,0x8807d704,0x824c000e,0x0b660cdd,0x50b903d1,0x01bdb9dd,
    0x0b72f36e,0x0cdcde98,0xcea80680,0x31003edc,0x2a001d33,0x4ccc4004,
    0x41ec400e,0xd84fddeb,0x01decdfa,0xdcec8091,0x6efdc00c,0x051ef9af,
    0x3ba20620,0xdfd00bdc,0x98005880,0x7dc7f544,0xdb102fed,0x98807db9,
    0x00062001,0xeeed8031,0x2604eeef,0xd9100009,0x999d5003,0x0f64400b,
    0x00bbbba6,0x03300131,0x00098000,0x2aaa00cc,0xbaaaaaaa,0x22006201,
    0x2005800a,0x401efeed,0x03310019,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x26000a88,
    0x001c000a,0x03333300,0x7fe43fe8,0x26204c40,0x105eed80,0x26066033,
    0x20144002,0x4cc003ec,0x02200099,0xd82f76c0,0x99880004,0x26621999,
    0x41999999,0x0ffdc4fd,0xff31bfe6,0x4c17e41d,0x06bddcde,0x05b957b9,
    0xeeb80b10,0x775c2eee,0x50191eef,0xee883207,0x803bf625,0xc85dfb05,
    0x373362ee,0x337203da,0x800ea02f,0x01eefeeb,0x0fb77f66,0x00b50580,
    0x3bfbf620,0xdd70feee,0x3fdddfdd,0x50390498,0xff107409,0xfc80e88d,
    0x25c07620,0x00001620,0x7507d11a,0x20750320,0x9502c00d,0x5c4103a0,
    0x84892602,0x0deeeed8,0x02200d00,0xb82c0072,0x21e98001,0x22b86c1c,
    0x1260e458,0xa80e80e4,0x0f42db83,0xaa98d8d0,0x5880ea0a,0xc8680000,
    0x41903a80,0xaaaaadc9,0xb01600be,0x80003c83,0x08ea001c,0x10001a00,
    0x80c1600b,0x3903a009,0x2c4570d8,0x32093072,0x01d09501,0x2b801260,
    0x40322a8e,0x6ffe8058,0x75028680,0xadc98320,0x00beaaaa,0x2ccd1016,
    0xb80dffd0,0x3aaea001,0x13400cec,0xaabba880,0x5026b005,0x1ddbd57f,
    0x1c1c83a8,0x0322c457,0xe8072093,0x2b8012a0,0x23871600,0xfdddd52a,
    0x3401dddd,0x07500340,0x36075032,0x701aac00,0x034003a9,0x5ea800e6,
    0x367a0254,0x2af7ea04,0xd9d005ca,0x5a8bd501,0x848e40e4,0x26022c40,
    0x25403904,0x00e4001d,0x1b99b8b0,0x002c4122,0xa801a01a,0xeea81b04,
    0x400feeee,0x37606f8d,0x75c1a003,0x5401eefe,0x3e201d05,0x4407401e,
    0x202fb805,0x06c1d05a,0xa882f764,0x80aaaeba,0xe803b049,0x82a604a8,
    0x5555441c,0x43bac8b1,0x800b1038,0x2a006806,0x2a07ec46,0x0d99999c,
    0x6c41aac0,0x804eefee,0x067a6606,0x406c0ea0,0x03a806eb,0x2e74c0b3,
    0xb06c0ea0,0x20b35901,0xaaaebaa8,0x1fd88d00,0x88076540,0x910ae5ff,
    0x47167f99,0x2c40aa1a,0x41a01a00,0x6e775429,0x0ea2ec9e,0x4016006c,
    0x40340058,0x6c0ea006,0x98346740,0x0bf70b12,0x1d40584c,0x320720d8,
    0x00b10011,0x327b73aa,0x2027400e,0xb00ea5ff,0x70644aa1,0x02c40361,
    0x541a01a0,0x40099d43,0x5801b03a,0x33f33220,0x6806804c,0x06c0ea00,
    0x5c750682,0xef9cedce,0x0ea02c01,0x3909506c,0x00b10088,0x20036098,
    0x220c400e,0x8d83600e,0x0aaa22a9,0x80680090,0x03a87506,0x006c0ea0,
    0x002c4016,0x0609301a,0xd006c0ea,0x50660ea0,0x3a80b005,0x640d81b0,
    0x05881d41,0x2a012200,0x07a60004,0x203b1074,0x6800004b,0xa8750680,
    0x6c0ea003,0x58802c00,0x03603400,0x0d81d434,0x801d41a0,0x0160088b,
    0xd1036075,0x07507215,0xb7000162,0x0000740b,0x3b333ba2,0xb979b703,
    0xddddd505,0x76c1dddd,0x74eeefee,0xdddddfdd,0x7003987d,0x77f44bdd,
    0x3bfbbb62,0x7f7543ee,0xeeed80ee,0xff14eeef,0x85dddddd,0x77ec4eeb,
    0x3bbfbae2,0x1003eeee,0x7776c177,0x3b23eeef,0x40f7ec5e,0xeeeefeeb,
    0x77f75c3e,0xd300001e,0x0007dfdd,0x44002660,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x01e98000,0x20066662,0x30019999,0x33331005,0x95eed801,
    0x6f7ed40b,0x00cccc41,0x33333330,0x0dc39833,0x026204c4,0x404c4033,
    0x3b605eed,0x40662004,0x980ccc19,0x001f6c19,0x33333331,0x77ed4013,
    0x3333311d,0x99999833,0x202fb809,0x2deeeefd,0x1eefeeb8,0x6d766640,
    0x5eeeed83,0xb834d600,0x3bf6020b,0x2602deee,0xeeeefefe,0x85d1aa0f,
    0xfd30eee9,0x40bfaa1d,0x01601efc,0x77ec0093,0xec97f642,0x77f642ee,
    0xdb001d42,0x9ddddddd,0x2a082ee0,0x0feeeeee,0xdddfddd5,0x81b00101,
    0x801a03d8,0x3a80ae20,0x40eab000,0xb1036006,0x41c8d807,0x0750000d,
    0x20d77036,0x202c01ce,0x825c0049,0x1a024c1e,0x0ea001d4,0x5406824c,
    0x01605983,0x1d806c00,0x026000d0,0x03999b50,0x05880d60,0x00ec0360,
    0x001b072d,0x206c0ea0,0x65dc1cab,0x12602c01,0x0590b600,0x7504981a,
    0x40ea004c,0x54058849,0x21600e83,0xfffffffa,0x0b300d80,0x2afea01a,
    0x9500eede,0x803d9333,0x00bff305,0x5059806c,0xfd070727,0xd81d40df,
    0x3a2cd5c0,0x202c01c8,0x03bfee49,0x204a8744,0x2a03902b,0x00eedfbb,
    0x54310875,0x1fffffff,0x580590a6,0xb04c83a8,0x2e683401,0x545ea81f,
    0x01a07505,0x2005880b,0x8e41a00d,0x81a0091c,0x2b81b03a,0x00e5261b,
    0x75493016,0x069e9800,0x2a0682c4,0x3a82d44e,0x00b100ea,0x885805a8,
    0x7f6425c1,0x406c2eee,0x16a07aa6,0xb81d4074,0x0b101602,0x5dddfd90,
    0x3b2680d8,0x540d005e,0x0feeeeee,0x21b4a95c,0x2602c01c,0xfb800b94,
    0x1d40d800,0x203a0b50,0x403eeeea,0x03a20058,0x416a0160,0x40999e98,
    0x0ea00d06,0xb81d406c,0x0b101602,0x1333d310,0x2b258868,0x540d0059,
    0x0d99999c,0x64b3d15c,0x32602c01,0x2ed8004d,0x006c3a80,0x2a036075,
    0x4403b99c,0x40076005,0x6c034c05,0x98341a00,0x406c0ea2,0x200e983a,
    0xb002c405,0x7fd43401,0x1a0011ff,0xb81b03a8,0x01c8bae2,0x3afe602c,
    0x0f52e000,0xa80b1340,0x47501b03,0x802c4018,0x0580c44b,0x036003a2,
    0x7506824c,0xa80d81d4,0x01ecaaad,0x8016202c,0x1b09300d,0x680220e4,
    0x206c0ea0,0x0072142b,0x1d34980b,0x0744b300,0x2015c720,0x7501b03a,
    0x402c42c0,0x0b049868,0xb03303a2,0x1a03d101,0x360751d4,0x2bccda80,
    0x05880b00,0x07a20360,0x03a8391a,0x1b03a81a,0x00e402b8,0x74c93016,
    0xb503a200,0x500d5980,0x0ea03607,0x402c40d8,0x0b04981e,0x360ae07a,
    0x0d00ecc0,0x1b03a8ea,0x16000750,0x06c00b10,0x91260766,0x81a03a83,
    0x2b81b03a,0x01600e40,0xb00ea893,0x5d00f203,0x36075009,0x03603a80,
    0x303c80b1,0x3bee1609,0x6c2eeeee,0x81ceeeef,0xeeeefeeb,0x8bdd93ee,
    0x3bb61efd,0x3bb605ee,0xd53eeefe,0x6c01ddfd,0x81ceeeef,0xefe9aeec,
    0x3b63eeee,0x94eeefee,0x3fa61ddd,0x85ddd73e,0x3b62efeb,0x23eeefee,
    0x2f7e44ed,0xed87dfd1,0x007ee04f,0x7f44bdd9,0x3bbbb63e,0xd70feeee,
    0x41bdddfd,0xeeeeeeed,0xddfddd54,0x0000003d,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x1980cc40,
    0x200ccccc,0x99999998,0x22026609,0x20666099,0x3a600998,0x09999886,
    0x09999880,0x33333310,0x26660333,0x41998801,0x99988198,0x4ccc4019,
    0x00c02000,0x20000c00,0x04002201,0x40c40044,0x7ec4cc40,0xb977642e,
    0x101eefee,0xddddddfd,0x317faabd,0x3bea9fdd,0x07776c3e,0xeed869d8,
    0xb00beeee,0x85bddddd,0xeefeeeeb,0x7f7641fe,0x7776c01e,0xdb0fff63,
    0x817ddddd,0xdeeeefe9,0x8bddb101,0xb10002eb,0x31366000,0x207dbbfb,
    0xbd71edd9,0x3f7fa607,0x0ffb8d0d,0x3403a095,0x16203900,0xc89303bb,
    0x4a80dc01,0xb710ea0d,0x92e21d40,0x0391622b,0x1d4024f4,0x83a80754,
    0x3d10d069,0x6c402390,0x02c4001d,0x22077220,0x31d81c80,0x2a1e4b3b,
    0x12fae22e,0x641d89fd,0x1c801a03,0x869d8b10,0x85115c49,0x41a1d00c,
    0x2a03903a,0x88ae1b03,0xd3a80e45,0x6d43a801,0x15c0ea00,0x06868834,
    0x40033a60,0x0bae0058,0x89116200,0xf89e22fc,0x7c41f701,0x0b33440f,
    0x08720068,0x30ee360c,0x87b23a89,0x41a3b80d,0x2a07503a,0x88ae7503,
    0x70d80e45,0x16e3a805,0x41dc0ea0,0x03b0ee06,0x8803ea80,0x003ea805,
    0x8b557751,0x4ccfd42b,0x440d30d9,0x4a81fd47,0x2006801d,0x0d80721c,
    0x92624c1d,0x1a21a3ae,0x3a20ea0d,0x47607500,0x20116208,0x75016258,
    0x41d40132,0x220680e9,0xb8002cc4,0x2eaaa22e,0x3a62aaae,0x7bf5000c,
    0x40d8b955,0x1eeeeef8,0x320d8077,0x401eec07,0x3bbb2006,0x2543601f,
    0x1b148893,0x1a0ec34d,0x6e54ce54,0xb910ea01,0x2b802c40,0xdb95006c,
    0xddd50019,0x01a03fdd,0x15176c4d,0x5445d700,0x2aaaebaa,0x740033a6,
    0x21645880,0x102d407a,0x34402e8f,0x2b200680,0x83601d99,0x5588931d,
    0xb3162367,0x333aa0d0,0xeeea806d,0x02c402ee,0x502540e8,0x5003ae5f,
    0x5b533339,0x23a580d0,0x5403d168,0x8058803e,0x81d403ea,0x3f225c59,
    0x5c03e201,0x200d0005,0x21c85306,0x5883600a,0x5c76d093,0x666ec48a,
    0x43a83fcc,0x001d405b,0x7fcc02c4,0x2a06ffff,0x0ea02cc4,0x930340e8,
    0x02bca926,0x220019d3,0x40bae005,0xe85fb858,0x644b3b10,0x1d5076a0,
    0x3401a000,0x000e43a8,0x849ac81b,0x21ce4cd6,0x2eaaaaaa,0x204a83a8,
    0x0588003a,0x203901c8,0x2a02c83a,0x40d0ae03,0x86d8b12b,0x44000dd9,
    0x0f644005,0x4e76e75c,0x3b7661ef,0x505dbb71,0x001bf9df,0x50680340,
    0x36001c87,0x6c257440,0x801d744a,0x0b607506,0x2c4001d4,0x20b30340,
    0x2a06883a,0x20d07203,0x6d886c69,0x88000f64,0x0bb10005,0x88180066,
    0x00099801,0x20d00680,0xb000e43a,0xb909d501,0xd002dc85,0x83440ea0,
    0x0588003a,0x203a024c,0x2a03b03a,0x88d0b503,0x7eecc0ea,0x00032ebc,
    0x01800010,0x00000000,0xefeec800,0x77f75c3e,0xd33eeeee,0x6c09dddf,
    0x426c0eef,0x00fd40fb,0xed8bfdd1,0x22eb83ee,0x405eeeed,0x42eefeec,
    0x7642eeec,0x3bbb62ef,0x3b62f4c3,0x44eeeeee,0xbeeeefe9,0x00002600,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x08800600,0x0018814c,
    0x00008811,0x10008804,0x02204003,0xff9804c0,0x746ff986,0x00ffe44f,
    0x00e98010,0xff98c405,0x4c3ffe26,0x3fe26fff,0x4fffe26f,0x90ee2ffe,
    0x3fffea05,0x85900fff,0x2200c41d,0x859ceced,0xeacedfe9,0x6fef7d40,
    0x75dde980,0x89fb07bd,0x260d9ffb,0x985cecee,0x640dfdfe,0xec8edcbf,
    0x755fd43e,0x04980eed,0x39049834,0xbd72ffb8,0xb812201b,0x1e9bdb9d,
    0x01b503a6,0x6c0ae039,0x7d107b10,0x41d41744,0x6c4bb04c,0x40e56644,
    0x237441e8,0x20fe42ea,0x21aa20dc,0x3c976e08,0x49b90498,0x507cc0d8,
    0x2075c45d,0x349f31fb,0x216a2f54,0x05892258,0x64072093,0x000664da,
    0x2fb8aec8,0x40b50e98,0x46c0d059,0x93a202e8,0x2e0c43f9,0x2f44db04,
    0x40b61220,0xd303e268,0xc807cc95,0xf117c404,0x30720930,0x01f88e0b,
    0x2343b8b7,0x0e82d41c,0x24c7b268,0x20390498,0x400002fc,0xe881dc0d,
    0x540d805b,0x007eb603,0x04f997e2,0x43ba216a,0x36a205e8,0xb5040781,
    0x65cd0e98,0x69999999,0x99faba88,0x824c0e99,0x09bdd81c,0x71e20698,
    0x2a0e4685,0x23901b03,0x2605749e,0x0b203904,0x55555530,0x21621555,
    0x007ee068,0x6c01d12a,0xfb800ecd,0x1a60bf24,0x01fd0fec,0x02c42ca8,
    0x9074c570,0x3bbbbb23,0x3b625eee,0xeeeefcab,0x1c824c1e,0x43dd9530,
    0x5706c03b,0x0ea0e468,0xa4dd406c,0x412601b6,0x8805901c,0xaaaaaaaa,
    0xb824c342,0x0e801e8d,0xd30d8093,0xf32fc401,0x2201d109,0x00bd10ee,
    0x4c00f116,0x70e81d34,0x7c16c009,0x39049800,0x2d47a200,0x342b8f10,
    0x36075072,0x392cc980,0x1d824c0d,0x00000590,0x5c0ec479,0x77007a25,
    0x4c1b0076,0x7cc9d105,0x0cc0e883,0x445e8976,0x80ba1261,0x2a074f40,
    0x6c003e26,0x4c017c40,0x20583b04,0x2e01f13b,0x391a15c5,0x201b03a8,
    0xd017666e,0x5901fd88,0xce880000,0x25c5dede,0x1d100f44,0x1d81b00b,
    0x40fa24e8,0x5d82b81e,0x599513a2,0x3aa0ba60,0x3d50bee0,0x25981db8,
    0x997fa24a,0x7ec4680d,0x07441f41,0x40ea83b5,0x5072342b,0x26c03607,
    0xb9d500fa,0x5905d93d,0x36059800,0xdfb2b821,0x01ff744b,0x7f4405d9,
    0x3b97e63e,0xeefb8164,0x5902eeee,0xe98001d8,0x220bcdcf,0x1efcedbe,
    0xbdb9dd50,0xdaecdc81,0xd502fdeb,0x43d93db9,0x2decccbd,0x0dfcefa8,
    0x4bf1f75c,0x8bdd92ec,0x00001efd,0x3ba20098,0x403eeeee,0x00000059,
    0x00000000,0x00000000,0x20131000,0x4002621c,0x04c40198,0x004c0062,
    0x26600310,0x00000000,0x00000000,0x5cc00000,0xbb10000b,0x888936e5,
    0x08088888,0x01b980e6,0x320b9890,0x3333322f,0x00003ccc,0x00000000,
    0x00000000,0x06ffe800,0x100402a8,0xb9850288,0x0c44ff80,0x5dddddcc,
    0x5910bbbb,0x81a603b5,0x32bf91ff,0xeeeeeeee,0x2132243e,0x8e63dada,
    0x57fe22d8,0x33326ff8,0x003ccccc,0x00000000,0x00000000,0x03400000,
    0x85cc815c,0x0f60cabb,0x32af625b,0xdf71ff44,0x55554c5d,0x40daaaaa,
    0xbe884aa8,0x3ee1ff05,0x21640004,0x3332245b,0xff03d10e,0x0000edcb,
    0x00000000,0x00000000,0xd0000000,0x2895c2a0,0x89114458,0x20dc7b3d,
    0x7c4bf20c,0x19000d50,0x2132f366,0x4fb0791d,0x730003fa,0x53003093,
    0x00310088,0x00000000,0x00000000,0x00000000,0x37ae0d00,0x0583eddd,
    0x21f6c15c,0x47ee3a85,0x20007c5a,0x644a8b0c,0x99b20ec3,0xdddddb2f,
    0x54c7dddd,0x00000000,0x00000000,0x00000000,0x00000000,0x22034000,
    0xb81600ff,0x2b87db02,0x221f5064,0x9000b50f,0x3bbaef21,0x41d10b52,
    0x0000744a,0x00000000,0x00000000,0x00000000,0x00000000,0x2e034000,
    0x641603cb,0x88f65b01,0x3cc3dacd,0x0007bbee,0x130a9832,0x80008802,
    0x88888888,0x190e6088,0x37777762,0x04dddddd,0x00000000,0x00000000,
    0x00000000,0x981a0000,0x222c07a5,0x6c3d860d,0x20101443,0x00020001,
    0x76c40000,0xeeeeeeee,0x744b71ee,0x22222221,0x00888888,0x00000000,
    0x00000000,0x00000000,0xa81a0000,0x99990a20,0x4f333267,0x00005028,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3bfbbb60,0x000004ee,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_24_latin_ext_x[560]={ 0,5,2,1,2,1,2,4,6,3,0,1,3,1,
4,2,2,2,1,2,2,2,2,2,2,2,4,3,0,1,0,0,2,0,0,1,1,0,1,1,1,2,1,0,
1,0,0,0,1,1,0,1,1,0,0,0,0,1,2,0,0,0,2,0,4,1,0,1,1,1,2,1,0,1,
1,1,1,0,1,1,0,1,1,2,1,0,0,0,1,1,2,0,5,0,1,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,5,2,1,2,1,
5,1,3,0,0,0,0,1,0,-1,3,1,3,3,4,0,1,4,4,3,3,1,0,0,0,0,0,0,0,0,
0,0,0,1,0,0,0,0,2,2,2,2,-1,0,0,0,0,0,0,2,0,0,0,0,0,1,1,0,1,1,
1,1,1,1,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,0,1,0,1,
0,1,0,1,0,1,1,1,1,1,1,1,1,1,1,1,-1,1,0,1,0,1,0,1,0,1,0,1,1,1,
1,1,1,1,1,1,1,0,1,0,2,1,2,1,2,1,2,1,2,1,0,0,1,1,0,1,1,1,1,1,
1,1,1,1,1,0,1,0,1,0,1,0,1,0,1,1,0,1,0,1,0,1,0,0,0,1,0,1,0,1,
1,2,1,2,1,2,1,2,1,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,
1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,2,1,2,2,2,
2,2,2,2,2,2,2,2,2,2,1,1,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,1,2,1,0,
1,0,0,0,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,1,0,0,0,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static signed short stb__courier_24_latin_ext_y[560]={ 17,3,4,3,2,3,5,4,4,4,4,5,13,10,
14,2,3,3,3,3,4,4,3,4,3,3,8,8,5,8,5,4,3,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,2,4,3,21,3,7,4,7,4,7,4,7,4,3,
3,4,4,7,7,7,7,7,7,7,4,8,8,8,8,8,8,4,4,4,9,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,17,7,3,4,6,4,
4,4,4,4,3,8,10,10,4,2,1,4,3,3,3,8,4,9,16,3,3,8,3,3,3,7,0,0,0,1,
1,0,4,4,0,0,0,1,0,0,0,1,4,1,0,0,0,1,1,7,4,0,0,0,1,0,4,4,3,3,
3,4,4,2,7,7,3,3,3,4,3,3,3,4,4,4,3,3,3,4,4,6,7,3,3,3,4,3,4,4,
2,4,0,3,4,7,0,3,0,3,1,4,0,3,0,4,4,4,2,4,0,3,1,4,4,7,0,3,0,3,
0,3,1,4,4,2,0,0,4,4,1,4,2,4,0,3,4,3,1,8,4,3,0,3,4,4,8,0,0,4,
4,4,4,4,4,4,4,0,3,4,7,0,3,4,4,7,2,4,0,3,0,3,4,7,0,3,4,7,0,3,
0,3,0,3,4,7,0,3,4,4,0,4,4,4,1,4,2,4,0,3,0,2,0,3,4,8,0,3,0,3,
1,0,3,1,4,0,3,4,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,4,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,4,7,3,3,3,3,3,3,3,3,3,3,3,3,3,3,7,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,3,0,3,0,
3,0,3,0,2,0,0,0,0,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,-4,-1,0,3,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static unsigned short stb__courier_24_latin_ext_w[560]={ 0,3,8,10,9,10,9,4,4,4,8,11,5,10,
4,9,9,9,10,9,9,9,9,9,9,9,4,5,11,11,11,8,9,13,12,11,11,12,11,11,11,9,12,13,
11,13,12,11,11,11,13,10,11,12,13,13,12,11,9,4,8,4,9,14,5,11,12,11,12,11,10,11,12,10,
8,12,10,13,11,11,12,12,11,9,11,12,13,13,11,12,9,5,2,5,10,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,0,3,8,11,9,11,
2,11,7,13,7,11,12,10,13,14,7,11,6,6,5,12,11,4,4,6,7,11,13,13,13,8,13,13,13,13,
13,13,13,11,12,12,12,12,9,9,9,9,13,12,11,11,11,11,11,8,12,12,12,12,12,11,11,11,11,11,
11,11,11,11,13,11,11,11,11,11,10,10,10,10,11,11,11,11,11,11,11,11,11,12,12,12,12,12,12,12,
13,11,13,11,14,12,11,11,11,11,11,11,11,11,11,12,13,12,12,11,12,11,12,11,13,11,12,11,11,11,
11,11,11,11,11,11,11,12,11,12,9,10,9,10,9,10,9,10,9,10,13,11,12,9,13,12,11,11,10,11,
10,11,10,11,10,12,10,12,11,12,11,12,11,12,11,10,11,11,11,11,11,11,13,13,13,11,13,11,13,11,
10,9,10,9,10,9,10,9,11,11,11,11,11,11,12,12,12,12,12,12,12,12,12,12,12,13,13,13,11,12,
11,9,9,9,9,9,9,10,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,10,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,13,13,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,13,11,9,10,11,
11,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,13,11,13,13,12,11,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12, };
static unsigned short stb__courier_24_latin_ext_h[560]={ 0,15,6,16,17,15,13,7,16,16,8,12,8,2,
4,17,15,14,14,15,13,14,15,14,15,15,10,12,12,5,12,14,16,13,13,14,13,13,13,14,13,13,14,13,
13,13,13,14,13,16,13,14,13,14,13,13,13,13,13,16,17,16,7,2,4,11,14,11,14,11,13,14,13,14,
18,13,13,10,10,11,14,14,10,11,14,10,9,10,9,13,9,16,16,16,4,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,0,15,14,13,9,13,
16,15,2,14,7,9,7,2,14,2,7,13,8,8,4,13,15,3,5,8,7,9,14,14,14,15,17,17,17,16,
16,17,13,17,17,17,17,16,17,17,17,16,13,16,18,18,18,17,17,8,14,18,18,18,17,17,13,14,15,15,
15,14,14,16,11,14,15,15,15,14,14,14,14,13,14,13,15,15,15,14,14,10,11,15,15,15,14,18,17,17,
15,14,17,15,16,13,18,15,18,15,17,14,18,15,17,14,13,14,15,14,17,15,16,14,16,14,17,15,18,18,
18,18,17,17,17,19,17,17,13,13,16,13,15,13,17,14,17,18,16,9,14,18,18,18,17,17,9,17,17,17,
17,13,13,13,13,13,13,17,14,17,14,17,14,13,14,14,16,14,18,15,18,15,13,11,17,14,17,14,17,14,
18,15,18,15,17,14,18,15,18,18,17,14,13,14,17,14,16,14,18,15,18,16,18,15,17,13,17,15,17,18,
16,17,14,16,13,17,14,13,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,16,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,11,14,14,14,14,14,14,14,14,14,14,14,14,14,15,11,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,17,15,17,14,18,
15,18,15,18,16,18,18,18,18,18,18,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,21,19,17,15,18,15,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14, };
static unsigned short stb__courier_24_latin_ext_s[560]={ 255,206,182,20,129,235,165,138,1,129,98,
187,250,241,231,1,236,246,14,100,64,116,63,137,246,225,249,248,199,191,175,
199,195,112,140,243,153,212,25,1,122,246,147,126,13,134,37,27,88,205,74,
126,100,186,185,50,172,1,236,63,180,227,172,191,208,211,230,1,160,25,225,
104,199,39,95,159,148,87,101,75,1,217,140,65,50,127,186,113,174,236,224,
44,81,250,214,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,
173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,255,59,208,
121,164,98,251,35,206,13,164,234,151,241,13,214,143,27,114,246,225,62,23,
236,203,107,130,212,90,76,62,232,229,213,179,171,6,21,97,143,47,60,139,
185,11,193,107,161,83,212,83,104,151,189,35,121,1,242,225,212,130,155,49,
171,13,210,156,123,111,149,37,87,83,134,180,39,225,203,245,111,35,37,159,
61,49,236,27,152,13,121,108,95,14,12,47,74,35,135,101,1,134,159,64,
208,116,184,201,159,154,135,239,140,11,178,73,191,12,47,116,1,198,99,38,
1,163,238,205,175,148,116,160,27,64,203,75,133,84,110,13,39,138,214,128,
48,106,87,153,71,128,141,102,89,200,227,1,183,172,50,61,25,87,146,172,
76,105,51,80,25,51,183,117,129,94,183,52,196,25,220,196,223,115,147,87,
75,60,63,1,73,1,146,243,25,37,25,59,200,167,195,210,207,117,219,50,
232,12,171,229,31,179,241,216,222,152,192,35,187,243,25,47,217,1,97,57,
72,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,67,173,173,232,
173,173,173,173,173,173,173,173,173,173,173,173,173,92,237,173,173,173,173,173,
173,173,173,173,173,173,173,173,222,51,173,173,173,173,173,173,173,173,173,173,
173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,83,147,
73,167,217,123,192,110,166,68,141,128,115,102,89,76,173,173,173,173,173,173,
173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,
173,173,173,1,15,166,86,39,168,173,173,173,173,173,173,173,173,173,173,173,
173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,
173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,
173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,
173,173,173,173,173,173,173,173,173, };
static unsigned short stb__courier_24_latin_ext_t[560]={ 1,130,244,97,61,97,220,245,97,97,245,
220,220,244,244,61,130,130,161,114,220,176,114,176,97,97,191,161,220,244,220,
176,79,220,220,176,220,206,220,191,206,206,176,220,220,206,220,176,220,79,220,
176,220,176,206,220,206,220,206,97,61,79,244,250,244,220,176,234,176,234,206,
176,206,176,23,206,206,234,234,234,146,176,234,234,176,234,234,234,234,191,234,
97,97,23,244,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,1,114,176,
191,234,191,61,114,250,176,244,234,245,244,191,250,245,191,245,234,244,191,114,
244,244,245,245,234,176,176,176,114,42,61,42,97,97,61,206,42,42,42,61,
97,61,42,42,97,206,97,23,23,23,61,61,245,161,1,23,23,42,42,206,
146,130,130,130,146,146,97,234,146,130,130,130,146,161,161,146,206,161,206,114,
130,130,161,146,234,234,130,130,130,146,23,61,61,130,146,61,130,97,191,1,
114,23,114,61,146,1,114,61,161,206,161,114,161,79,114,97,176,97,146,79,
114,23,23,1,23,79,79,79,1,79,42,191,191,97,191,114,191,79,161,79,
23,97,245,161,23,23,23,79,79,234,61,79,79,79,191,206,206,191,191,191,
79,161,79,161,79,146,191,161,161,97,146,1,114,23,114,191,220,61,146,61,
146,61,146,23,130,42,130,42,161,23,130,23,23,42,146,191,146,42,146,97,
146,42,114,1,97,1,114,42,191,61,130,42,23,79,42,161,79,206,42,161,
206,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,161,176,176,79,
176,176,176,176,176,176,176,176,176,176,176,176,176,161,220,176,176,176,176,176,
176,176,176,176,176,176,176,176,130,234,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,42,114,
42,161,1,114,1,114,1,97,1,1,1,1,1,1,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,1,1,61,114,1,130,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176, };
static unsigned short stb__courier_24_latin_ext_a[560]={ 203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_24_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_24_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_24_latin_ext(stb_fontchar font[STB_FONT_courier_24_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_24_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_24_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_24_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_24_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_24_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_24_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_24_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_24_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_24_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_24_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_24_latin_ext_s[i] + stb__courier_24_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_24_latin_ext_t[i] + stb__courier_24_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_24_latin_ext_x[i];
            font[i].y0 = stb__courier_24_latin_ext_y[i];
            font[i].x1 = stb__courier_24_latin_ext_x[i] + stb__courier_24_latin_ext_w[i];
            font[i].y1 = stb__courier_24_latin_ext_y[i] + stb__courier_24_latin_ext_h[i];
            font[i].advance_int = (stb__courier_24_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_24_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_24_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_24_latin_ext_s[i] + stb__courier_24_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_24_latin_ext_t[i] + stb__courier_24_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_24_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_24_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_24_latin_ext_x[i] + stb__courier_24_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_24_latin_ext_y[i] + stb__courier_24_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_24_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_24_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_24_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_24_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_24_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_24_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_24_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_24_latin_ext_LINE_SPACING
#endif

