// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_25_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_25_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_25_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_courier_25_latin_ext_BITMAP_HEIGHT        276
#define STB_FONT_courier_25_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_courier_25_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_25_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_25_latin_ext_LINE_SPACING          12

static unsigned int stb__courier_25_latin_ext_pixels[]={
    0x30004b80,0x00001000,0x00980000,0x40000000,0x0010206a,0x00040000,
    0x99998800,0x00000009,0x64402000,0x0808000c,0x5c805140,0x800b7000,
    0x01d9005c,0xb000baa0,0x001eb800,0x06a801aa,0x4002d532,0x0f2001d8,
    0x93000f20,0x30079999,0x25b0001b,0x2099004b,0xe8001ea8,0x34c0be25,
    0x80026c0d,0x026c004c,0x0174e6c4,0x40136772,0x39b1005a,0x01d7007d,
    0xd5181440,0x74400269,0x32d84c02,0x44009b00,0x22600c40,0x7b0031e9,
    0x026c016e,0x0cc000ec,0x1d1ec02a,0x2a000260,0x801e4003,0x640b622d,
    0x7cc025c3,0x1642c801,0x40000b50,0x01f410f9,0x9fc00f44,0x99001f10,
    0x0d717200,0x1f1113f8,0x0059a5c0,0x0076007b,0x41f10000,0x03bca80e,
    0x000164c0,0x00000000,0x00000000,0x55554c13,0x8010082a,0x40200420,
    0x00210400,0x20100202,0x00000000,0x159731d8,0xa982aa88,0x01d1320a,
    0x5d200249,0x982aa881,0x055510aa,0x79501553,0x6540aa23,0xa985511b,
    0x2a02aaaa,0x41d13dec,0x26cccccb,0x3321cccc,0x265e80cc,0x1cccc82f,
    0x3a033332,0x3320be65,0x333321cc,0xc8733320,0xeda80ccc,0xceda801c,
    0x5f6cec01,0x3b621fea,0xf176dc0c,0x9ab80e85,0x14ce6004,0x2e0676c4,
    0x19db12ed,0x3a22edb8,0xceadebbe,0x3aefba20,0x32e0cead,0xb906cccc,
    0x03ddd513,0x09ad99a0,0x0cc07e66,0x26b6602a,0x4c07e660,0x56cc0541,
    0x307e6609,0x7ccc135b,0xb931cd81,0x5c98e6c0,0x3a60ff60,0x22c81a20,
    0x5502c1f9,0x01997000,0x442c81a2,0x05d0b206,0x705d09f7,0x5c34009f,
    0x3400db04,0x00068036,0x00680360,0x06803600,0x1e43401b,0x703c84b8,
    0x3c81b609,0x2a344164,0xcccca807,0x59000001,0x20b20d10,0x9f035468,
    0x013e06a8,0xda834468,0x0d8d002d,0x106a61a0,0x401b0355,0x5441a986,
    0x1a00d81a,0x698d006c,0x80d30f40,0x2203d81e,0x21643446,0xd998807b,
    0x9731005b,0x2c868805,0xb8590d10,0x07713203,0xb8d00264,0x06a8e982,
    0x1a00d8d0,0x9b93176e,0x5c3401b0,0x426e4c5d,0x06c1a00d,0x6401c8d0,
    0x07900723,0x6434405b,0x01ea1a22,0xd30036d0,0x403d7579,0x5901a22c,
    0x701e4344,0x12e03c89,0x220ec680,0x1a00f10e,0x5983401b,0x401b0930,
    0x1260b306,0x1b068036,0x3003a340,0x1660074b,0x885b81b6,0x03e60b26,
    0x01d52a09,0x9a206880,0x5934402c,0x22740d50,0x8013a06a,0xd0b60746,
    0x00d8d001,0x4982cc1a,0x4c1a00d8,0x01b09305,0x1a00d834,0x0069a00d,
    0xd105fb0d,0x41a2b203,0x6c0741f8,0x6c000d11,0x01a2b200,0x3d034564,
    0x03d09f50,0x234009f5,0x01a1321d,0x06803634,0x361260b3,0x82cc1a00,
    0x1a00d849,0x068d006c,0x2201a688,0x9aeead86,0x33a202fd,0x81d0f602,
    0x2200e468,0x00eccecc,0x4400b3a2,0x37a602ce,0x984addaa,0x4addaade,
    0x2a791a00,0xb1a00d05,0x05983401,0x3401b093,0xb0930598,0x00d83401,
    0x4b801b1a,0xb0970036,0x002f72a3,0xe8f301b2,0x81261d40,0xea99acfa,
    0x20036400,0x59b7006c,0x2cdb812a,0x2a340095,0x04a80e8e,0xd102c8d0,
    0x424c1660,0x260d102c,0x05909305,0x881641a2,0x8f601dc6,0x6c1ec03b,
    0x00f20001,0x56c0e8ba,0xd00e9999,0x79003601,0x0003c800,0x0950012a,
    0x40f74340,0x44a800e8,0x22095069,0x0d309705,0xb82c412a,0x09506984,
    0x742541a6,0x0e81d100,0x03b01d10,0x5401a200,0xeef883a6,0x4a82eeee,
    0x34401d10,0x0001a200,0x02c80059,0x17fb0750,0x6cc01744,0x3a60bd82,
    0x9f903600,0x0e982f60,0x09f90360,0x00e982f6,0x80e982f6,0x407441e9,
    0x807441e9,0x0770001d,0x02b89240,0x3a61a0b1,0x000ee00f,0x75400077,
    0x003aa000,0xb19703a6,0x3603db9f,0x3602feee,0x4c00cdcf,0x5f9bfdce,
    0x019b9fb0,0x9bfdce98,0x9b9fb05f,0x9b9fb001,0x6e6f4401,0x337a201d,
    0xefe981dd,0x776c405e,0x680005ef,0x6f5406c0,0x15fd8dec,0x40bdfddb,
    0x05efeed8,0x0deeed88,0x37bbb620,0x5bddd900,0x400988b0,0x31000998,
    0x80033000,0x01980018,0x44000c40,0x004c4001,0x99801310,0x99980099,
    0x4c000099,0x3301d404,0x99999801,0x4ccccc00,0x00331000,0x4c400cc4,
    0x00000009,0x00000000,0x00000000,0x00000000,0x00000000,0x3ff20000,
    0x37ffcc4f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xc8b90000,0x00002005,
    0x8006e200,0x00000000,0x00b106e0,0x0000002a,0x0ae0e400,0x00000100,
    0x00000010,0x00002000,0x32050011,0x3d802e45,0x05a9e400,0xb001c9d8,
    0x03a60007,0xe88074c0,0xf5005b11,0x00754009,0xe9807a20,0x5b8009b2,
    0x1760fa80,0x26000f40,0x02dc000e,0x950003d8,0x980e8077,0x36200cc1,
    0xeaa64003,0x0389cc00,0xd5001360,0x007aa003,0x2005bfb3,0x754001c8,
    0x003d3000,0xc8005db1,0x2a871004,0x2005d100,0x2e4001e9,0x0009b100,
    0x003a0249,0x4002e800,0x2001d15a,0x64000dbc,0x001d3004,0x000003a6,
    0x034c0000,0x10400744,0x001e4002,0x0b620000,0xc8001d30,0x00790004,
    0x74049ab8,0x22355510,0x00002aaa,0x00040000,0x00000000,0x5446f2a0,
    0x22379502,0x0000002a,0x017ccbd0,0xceda8000,0x00000001,0x00000000,
    0x30e802a8,0x332a9b99,0x8733327c,0x3320cccc,0x333321cc,0xc8733320,
    0xeda80ccc,0xdeb9801c,0xeb88188c,0xbee8851c,0x20ceadeb,0xadebbee8,
    0x333320ce,0x4c333321,0x2ccccccc,0xa8054198,0xb001cccc,0x64172639,
    0xcccccccc,0x33333224,0xccc982cc,0x82cccccc,0x001cccca,0x80399995,
    0x4d04980e,0x26609ad9,0x04d6cc1f,0xad983f33,0x207e6609,0x40b931cd,
    0xdec989db,0x64c56e43,0x7dc1745e,0x4fb82e84,0x2609ad98,0x266621f9,
    0x0000999e,0x05bd9988,0x309703c8,0x333333b5,0x4ccceccd,0x779303c9,
    0x10973339,0x200b7b33,0x405bd998,0x8d04980e,0x06c1a00d,0x680360d0,
    0x709703c8,0x688fe209,0xf0354b90,0x13e06a89,0xe80d006c,0xa8835300,
    0x00db401a,0x303d01a6,0x10933409,0x43a8d80d,0x00db4049,0x3a00db40,
    0xd8d04980,0x006c1a00,0x4680360d,0x1a0f4069,0x881d4770,0x44c80ee4,
    0x6c13203b,0x01d01a00,0x9b93176e,0x203aa540,0x4c1e401c,0xe8499604,
    0x4c3ab401,0x01d52a04,0xe80ea950,0xd8d04980,0x006c1a00,0x4680360d,
    0x731e401c,0x90048800,0x0f225c07,0x401b04b8,0xb3007406,0x11d81260,
    0x2600740d,0x88144985,0x52601e41,0x3b00413a,0x11d801a2,0x24c0740d,
    0x0d006c68,0x1b068036,0x3003a340,0x6400164b,0xd035401c,0x13a06a89,
    0xe80d006c,0x24c16600,0x680e4688,0x44930d00,0x700b3006,0x2006cea5,
    0x4400e468,0x80e80e46,0x00d8d049,0x0d006c1a,0x03468036,0x40007268,
    0xe81bdeb8,0x1e84fa81,0x01b04fa8,0x9803a034,0x0ea09305,0x2201a093,
    0x6ffff986,0xe800e880,0x801fdd50,0x54024c3a,0x80e824c3,0x00d8d049,
    0x0d006c1a,0x03468036,0x00039344,0xe985d510,0x84addaad,0xaddaade9,
    0x03401b04,0x3059803a,0x2666b609,0x400d80e9,0x1a24984b,0x3a200b60,
    0x801b3b99,0x0e9999ad,0x4cccd6c0,0xff90e80e,0x234dffff,0x06c1a00d,
    0x680360d0,0xb92e006c,0x1a200003,0x04a966dc,0x8254b36e,0x1d01a00d,
    0x84982cc0,0xeeeeeef8,0x1ec03b82,0xb500a24c,0xdddd5070,0x3bbe2007,
    0x2202eeee,0x2eeeeeef,0x234000e8,0x320d102c,0x0b20d102,0xb00ee344,
    0x0e002cc7,0x12a001b0,0x0b209500,0x803a0344,0x57097058,0x80741620,
    0x204980e8,0x1a03a23a,0x8283a872,0x5c0b102b,0x01d0b102,0x41a62cc0,
    0x2a0d304a,0x12a0d304,0x2074403a,0x1f92602c,0x16400d10,0x34c0b200,
    0x007404a8,0xd09f9036,0x1e980d80,0x04980744,0x0d01d8ea,0x68683a8d,
    0x406806c0,0x8800740d,0x260bd83d,0x982f600e,0x982f600e,0x441e980e,
    0x983e880e,0xb107be1e,0x003aa005,0x2f600ea8,0x1d003a60,0xbfdce980,
    0x501265f9,0x3737a207,0xa812601d,0x22340973,0x26341d45,0x24c1d404,
    0x44090ea0,0x3603feed,0xd800cdcf,0xd800cdcf,0x2200cdcf,0x201ddcde,
    0x0decdec8,0x6f6774ec,0xbdddb103,0x7776c401,0xdcfd800d,0xffffa80c,
    0x06604fff,0x4c4fffc8,0x26206fff,0x7ffff400,0xfb3fffff,0x4fffffff,
    0xfffd3ffc,0x7fe4ffff,0x37ffcc4f,0xf989fff9,0x262006ff,0x00031000,
    0x03100031,0x40009880,0x09880099,0x20019880,0x18800198,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x000750ae,
    0x005d1000,0x000930ea,0x001ec400,0x04000000,0x00481a80,0x01a84800,
    0x00008000,0x40070035,0x1332e04b,0x664c0140,0x2ccccccc,0x00dca6c4,
    0xd50009b0,0x576009b5,0x07d400eb,0xcae980bb,0x0264000d,0x3d007a20,
    0x1e41b300,0xc801d880,0x6c401a23,0x46774c02,0x00eb8048,0xbcd88068,
    0x0eaaa80e,0x5dc02c40,0xa999e999,0x2007f704,0x000ebbe8,0x802641b5,
    0x871004fb,0xa87a202a,0x00136006,0x5d1005d3,0x07ddd500,0x4400ba20,
    0x8801deec,0xb50a802e,0x805c805d,0x80abefc8,0xe803a62e,0x5c02c400,
    0x08126343,0x74c3d100,0x10000000,0x00000000,0x44003d80,0x0b62001e,
    0x3d100040,0x44002000,0x2000001e,0x32e98038,0x200003f7,0x5d75100e,
    0x43b85555,0x76d424c6,0x9000001c,0x66643999,0x8733320c,0x3320cccc,
    0x333321cc,0x01ceda80,0x00000000,0x90e66640,0x00201999,0x115bb730,
    0xccc80003,0x8333321c,0x0ec04ccb,0x6f5cc0e4,0x01d0188c,0x3333b322,
    0x8d0aa0cc,0xc98e6c48,0x33332a05,0x09ad9801,0x5b307e66,0x20fccc13,
    0x26609ad9,0x931cd81f,0x9059930b,0x66643999,0x24cccccc,0xccccccc9,
    0x9826b662,0x0b32e1f9,0x5d709993,0x547db511,0x202ccccc,0x26609ad9,
    0x0755541f,0x4edc00d0,0xd03dec98,0x00058801,0x9703c80d,0x16f66620,
    0x20d006c0,0x06c1a00d,0x2e0790d0,0x207ecc44,0x2a609e99,0x6999999d,
    0x267a6662,0x8d006c09,0x75440cc8,0x47b03541,0x0099e998,0xe80d006c,
    0x70032e00,0x740fe209,0x8002c400,0x3d01a606,0xb001b680,0x00d83401,
    0x8d006c1a,0x640f4069,0x1260d05b,0xd803a068,0x03a21a00,0x8803a076,
    0x06c00d01,0x400e80d0,0x0681bdeb,0x400e81dc,0x40d00058,0x501e401c,
    0x03600ea9,0x3401b068,0x391a00d8,0xd9c83c80,0x40930681,0x0d803a05,
    0x2e2d41a0,0x20004984,0x68036006,0xa8800740,0x8000e65d,0x002c400e,
    0x3003a068,0x0688ec0b,0x6c1a00d8,0x006c1a00,0x2cc00e8d,0x834344e4,
    0x0e801449,0x20680360,0x0ae0d12d,0x36006800,0x01d01a00,0x00b27700,
    0x2c400e80,0x01a06800,0x0e468834,0xb0680360,0x00d83401,0x21a00d1a,
    0x3068771c,0x0e803449,0x20680360,0x3901d8e8,0xb0034000,0x03a03401,
    0x39598044,0x20074000,0x40d00058,0x75068806,0x006c0498,0x0680360d,
    0x01a3401b,0x0e8721a2,0x7fffcc1a,0x6c01d006,0x9d501a00,0x66640e40,
    0x200681cc,0x1d01a00d,0xc96412e0,0x003a0001,0x680a6036,0x09700360,
    0x3a6666b6,0x06803600,0x0d83401b,0xb801b1a0,0x692a1c84,0x80344930,
    0x6803600e,0x0ee00e80,0x20372aaa,0x68036006,0xdeb80740,0x0ee5da9a,
    0x9800e800,0x40cedcde,0x46fffffc,0x441ec03b,0x2eeeeeef,0x83440b20,
    0x320d102c,0x03b8d102,0x360e41ec,0x051260d1,0x02c803a0,0x401d00d1,
    0x681d4049,0x220591a0,0x89807406,0x2cc1cfb8,0xfffffb00,0x54401fff,
    0x01d00000,0x40ae03a2,0x541a6058,0x12a0d304,0xe84a834c,0x3901d100,
    0x1260d698,0x401d03a8,0xd0095069,0x2a01e801,0x26340d03,0x0e809506,
    0x01640d00,0xb1000093,0x80362001,0x807441e9,0x7b006c06,0x7b0074c1,
    0x7b0074c1,0x74c074c1,0x1c807441,0x09306bc8,0x400e81d4,0x003a60bd,
    0x05d1003a,0x0d0340ee,0x0074c17b,0x1034003a,0x203d307d,0x07b1003c,
    0xd100f620,0x2603bb9b,0x3601d404,0xd800cdcf,0xd800cdcf,0x2200cdcf,
    0x201ddcde,0x306e881c,0x0e81d409,0x0cdcfd80,0xb1001d00,0x019d99bd,
    0x9fb0681a,0x01d0019b,0xbd910160,0x22601bd9,0x80036005,0x0131000d,
    0x2627ffe4,0x0c406fff,0x4000c400,0x04c40018,0x50bfffa0,0xfffffd0f,
    0x3ea7ffff,0x04ffffff,0x7fe40062,0x53006fff,0x3fffea03,0x207fffff,
    0x7ffec018,0x000fffff,0x54009980,0x0051001c,0x00000144,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00880000,0xd80e6154,0x40d40640,0x40079004,0x079702d8,0x98004400,
    0x80000007,0x675c403c,0x18000051,0x800ec400,0xa8570061,0x0ddb8003,
    0x1aaaaa88,0x06498750,0xd8803fa0,0x74c03d54,0x1d103e8a,0x2fa201e4,
    0x574c00dc,0x005ba84d,0x3cc01fa0,0x4005b800,0xc80dcbe8,0x85ec98ad,
    0x301760fa,0x2baa009f,0x01a6803e,0x003729b1,0x301317d0,0x40599999,
    0x25c1d75d,0x7dc01720,0x03db1005,0x404eeea8,0x981aa1e8,0x1621ae0e,
    0x1005c800,0x00b90005,0x11aa1e88,0x0e21720d,0x02d88055,0x01320da8,
    0x3fb8034d,0x0004a800,0x2213ee00,0x0200000f,0x00800200,0x10000000,
    0x0000000b,0x0001e400,0x12207500,0x00000000,0x10034d00,0xc8036000,
    0x33321ccc,0x26c0100c,0x4466f5cc,0x51ceb881,0x2337ae60,0x1ceda818,
    0x8addb980,0x39d71018,0x5544b10a,0x5bb7300a,0x2aa98311,0x97000000,
    0x44799999,0x85997004,0x33224cc9,0x262ccccc,0x66543ccc,0x40d1682c,
    0x001cccca,0x2b6600e8,0x987e6609,0x2ccccccc,0x313b71e6,0xadc87bd9,
    0xdb85ec98,0x43dec989,0x40b931cd,0xeda88aeb,0xc98adc83,0xdd12c45e,
    0x115d7059,0xccb87db5,0x3333200f,0x22000acc,0x409ae999,0x664401cc,
    0xb30f5440,0x47933333,0x4c409ad8,0x58ac40e9,0x16f66620,0x55f55440,
    0x23401b01,0x999e9998,0x104b97c0,0x5c83447f,0x23f8825c,0xd509703c,
    0x41a21ec0,0x1d72c45c,0x03d81aa0,0x9da9803a,0x0004eb99,0x6f5c401b,
    0xd80e881b,0x434424c1,0xd52c402b,0x1ddfddfd,0x9800db40,0xb02ccfcc,
    0x03a03401,0x3b80d4d8,0x1a2440ea,0xd01a6770,0x06200e83,0xb1122075,
    0x401d0172,0x3003a018,0x2000b209,0x5d51000d,0x984b8b50,0x23a81e84,
    0x261262e8,0x29500954,0x0074003a,0x74068036,0x00e77200,0x0e600910,
    0x1e401c80,0x09100093,0x202ef440,0x07400049,0x03441260,0x220006c0,
    0x41a25b06,0x4981e418,0xa83a936e,0x23b00754,0x00740068,0x74068036,
    0x00b3ae00,0x59007320,0x26007400,0x64000ae5,0xdaf8801c,0x0000ae02,
    0x1049801d,0x701b000b,0x8e880d80,0x40b3001d,0x2b9a7658,0x32e72e62,
    0x0391a201,0x03600740,0x90074068,0x2200039b,0x0e41bdeb,0xc9a00d00,
    0x3ae20001,0x365881bd,0x80003902,0x4424c00e,0x80d8002e,0x540d101f,
    0x01d1004e,0x6476d344,0x3bbbbb61,0x987503ee,0xb003a004,0x03a03401,
    0x0001ccd8,0x0722ea88,0x26880680,0xccccc81c,0x21754401,0x0e416c58,
    0x80e66664,0x6674c00e,0x80a01dec,0x441ef80d,0x8007402d,0x2936802d,
    0x25701b3a,0x4cd6c01c,0x1d000e99,0x01a00d80,0x1ddf401d,0x5cd10000,
    0x70036003,0x55541dc9,0x8d1000dc,0x2e174458,0x0dcaaa83,0xae9801d0,
    0x16202fba,0xee9d80d8,0x0e803dec,0x68385a80,0x40756259,0x7c40391c,
    0x02eeeeee,0x02c801d0,0x100e80d1,0x3800b31f,0x005986c0,0x4c7b00ee,
    0x00e1d404,0xf517f61b,0x501265ff,0x7ffffe47,0x444986ff,0x740b102e,
    0x0006c400,0x80e8801d,0x3a0e8d86,0x0363b068,0x00b102b8,0x20d300b1,
    0xc807404a,0x24980b25,0x2c8d101f,0x100e9260,0x2a01e81d,0x06880fc3,
    0x7500f400,0x12600ea0,0x416207a2,0x00970048,0x40760074,0x5646ac86,
    0x803a1b06,0xb1006c06,0x982f6005,0xf807400e,0x3a60fa21,0x5b107be1,
    0x1e983e88,0x01d107a6,0xf0ee05d1,0x202d883d,0x8174404b,0x3001903b,
    0x3a21a609,0x54401d83,0x01d000c8,0xb70d025c,0x1d05d987,0x5404981a,
    0x002ded83,0x0066e7ec,0x442d4074,0x40decdec,0x3decee9d,0xbd9bd910,
    0xbb9bd101,0x66f6c403,0x74ec0cec,0x2603dece,0x76c400d8,0x300ceccd,
    0x024c07bb,0x377ae059,0x0395002c,0x6fffffc8,0xffffffd8,0xf81fa87f,
    0xfc80c304,0x7ffcc4ff,0x0c400006,0x3ffffea0,0x980174ff,0x00988009,
    0x22002660,0x0d4c0009,0x98009880,0x0d4c001c,0xfffe8000,0x2606f885,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0x01aaaaa8,0x97001d88,0x2a019999,0x666424c3,0x5000accc,0x0e404987,
    0x1664c0ae,0x970e6664,0x6665c199,0x80730aa0,0x910002d8,0x2a33002a,
    0x002ccccc,0x6f5cc000,0x3a20188c,0x66400002,0x3332a3cc,0x93039990,
    0xa8079999,0xaa803eae,0x3200aaaa,0xb5301d75,0x009d7333,0x007aa372,
    0x881367d1,0x74cc0fd9,0x106b6209,0x54d883f3,0x6d74c03d,0xd52c8004,
    0x4c433201,0x540099e9,0x2e01760f,0x3dec989d,0x809b5d50,0x261760fa,
    0x3ae209da,0x0006abe1,0x09906d40,0xfa800808,0x2c824c04,0x800bf500,
    0xb79002fc,0xd006c1a0,0x5006fdc0,0x1002dc1d,0x0688498d,0x5438801a,
    0xf8825c02,0x1320da83,0x98154388,0x0340da84,0x000e76d4,0x3e65e800,
    0x49800802,0x00400d10,0x27200080,0x01b0681d,0x00002034,0x1621e400,
    0x00068166,0x1dc06800,0x98000000,0x40682dc4,0x70b931cd,0x4cc98599,
    0x4c0a8330,0xcccccccc,0x58824c2c,0xcc82cc98,0x333321cc,0x9c800acc,
    0x01b06868,0x33332234,0x33222ccc,0x00b3321c,0xb30b10d1,0x99500340,
    0x03980399,0x66666640,0x66644ccc,0x84cccccc,0x06813249,0x2225c0f2,
    0x0f5440cc,0x266ee000,0x44a999e9,0x882e8849,0x74cc0fd9,0x2676a609,
    0x8e404eb9,0x00d8343b,0x3333b31a,0x09da8793,0x770036e6,0x40b30b10,
    0x36662006,0x0016405b,0x266676a6,0x4ed4c699,0x98699999,0x306809b4,
    0x7441e80d,0x1a981d80,0x8770d544,0x33a624c6,0x6401decc,0x1260d05b,
    0x74390164,0xd006c1a0,0x98688498,0x1d009304,0x40b30b10,0x036d0006,
    0x498001c8,0x681261a0,0x03fcdd98,0x3200e41a,0x825c5a83,0x26e4c5db,
    0x224c6877,0x02fbaae9,0x0681d9c8,0xc81a2093,0x1b0692a1,0x3a126340,
    0x09304981,0x703e04a8,0x54003407,0x00e40754,0x30b024c0,0x97cc2c09,
    0x3a0d03d8,0x2d82cc00,0x305980d1,0x911a1549,0x01744498,0x41a1a272,
    0x640b1049,0x1b068ec1,0x79062340,0x024c1260,0xd2fb803a,0x41a0680f,
    0x1dc0d11d,0x00a24c00,0x24c02893,0x068340ec,0x363a20d0,0x4982cc01,
    0x424c0340,0x5c7201e8,0x88498343,0xd307202e,0x58815c1a,0x09302cc0,
    0x404a8126,0x680b622e,0x391a21a0,0x26001660,0x49301a24,0x4424c068,
    0x100d0686,0x4027540d,0x68093059,0x0d304980,0x8341d0e4,0x1deccce9,
    0x35e40e40,0x40590688,0x3fe600e8,0x204fffff,0x2616201e,0xa8681a05,
    0x059024c3,0x3ffe624c,0x7ffcc06f,0xd824c06f,0x400d8341,0x4007404b,
    0x68093059,0x0b204980,0x834950e4,0x02fbaae9,0x06e881c8,0x406a82f6,
    0x9824c02d,0x5880b304,0x681a0598,0xe9999ad8,0xd307d100,0x01a24983,
    0x26034493,0x7068b304,0x7403d807,0x93059800,0x7ff40680,0xc86f885f,
    0x93068ec1,0x3fa02e88,0x203d42ff,0x200cecfb,0x824c385a,0x8803b049,
    0x7fd45985,0x7fffffff,0x777777c4,0x37b2202e,0x44980dec,0x80a24c02,
    0xfe85fffe,0x880740d3,0x4007400e,0x68097058,0x0e400000,0x849835a6,
    0x000001e8,0x3a2006cc,0x9824c680,0x58806984,0x70000598,0x6c016205,
    0xa8126009,0x075024c3,0x3a606800,0x74007441,0xfc81b000,0x64003404,
    0x79039003,0x34c1260d,0x98009700,0x8d01d803,0x59093049,0x0b109300,
    0x40680970,0x404b800d,0x930ea049,0x12e01d40,0x66f44068,0x01d001dd,
    0x2ff73a60,0x001a05f9,0x07200b13,0x024c1ba2,0x1b130059,0x705cd800,
    0x41263409,0x44034449,0x4c05b02d,0x809300d8,0x0645c03a,0x21d40930,
    0x980ea049,0x033f00d8,0xfc800988,0x3006ffff,0xffff9003,0x039500df,
    0xa85fffd0,0x85fffe87,0x0e4c06f8,0x7fec0000,0x327fffff,0x3ffa2fff,
    0x5b00350f,0xc9816440,0x89fff901,0x2606fff9,0x3fffa02c,0x23ffffff,
    0xfffffffe,0x072603ff,0x0003eee8,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x74400000,0xec880002,
    0xbb7300a2,0x00243115,0x99991018,0x03505999,0x4240d409,0x65c24c3a,
    0x00f6602c,0x930240d4,0x80100588,0x41aaaaa8,0x980a2dc8,0x0803cccc,
    0x1ef65402,0x2a200080,0xa81ccccb,0x0fa84dae,0x322ae136,0x2bae04ee,
    0x323eda88,0x827d4002,0x0999e999,0x80f20e88,0x640f20d9,0xaa81ea8d,
    0xb9ec885b,0x906cc02e,0xe98eb807,0x204f9801,0x42ccccc9,0x04eec9bc,
    0x09333379,0xb90b53c8,0x88036e63,0x5f64402e,0xda81d99c,0xa8711320,
    0x2a018802,0x0688f606,0x74016c40,0x4eeea800,0x03eeea80,0x26006f54,
    0x02442985,0x801f7754,0xb1000ee9,0x31000005,0x90240e60,0x09703aa9,
    0x07b101aa,0x012192ec,0xdb500000,0x10074039,0x00002c83,0x004001d0,
    0x00100040,0x002cb966,0x00800080,0x6664c000,0x9932cccc,0x98599999,
    0xe9260102,0x0ba03440,0x87e20b60,0x9993090c,0x32659999,0x42cccccc,
    0x30b931cd,0x80b30009,0xccccccc9,0x65401d02,0x64c01ccc,0x12cccccc,
    0x03799999,0x01326598,0x99999990,0xcccc8999,0x644ccccc,0xcccccccc,
    0x27a66624,0xd3331099,0x764c1333,0x15c00001,0x88001ae0,0x4424320f,
    0x0999e999,0x333d3331,0x44b81e41,0x03b0002b,0x4cf4ccc4,0x4401d009,
    0x4405bd99,0x0999e999,0x32a667e6,0x498b301e,0x4ced4c00,0x54c69999,
    0x6999999d,0x4ccced4c,0x003a0699,0x3c8e603a,0x03797100,0x3078803b,
    0x8fe03797,0x01d0090c,0x80d301d0,0x4000721e,0x003a0059,0x0db4003a,
    0x06803a00,0x98b301d1,0x20498004,0x21a04986,0x0e81a049,0x43980e80,
    0x37ee02d9,0x00744fca,0x59fb1074,0x25f309f9,0x01d0090c,0x803901d0,
    0x3320723c,0x00e81ccc,0x01d001d0,0x800ea950,0x4a81a00e,0xb9a4c598,
    0xb024c00b,0x4c2c0930,0x00e81604,0x507700e8,0x440da819,0x1e00364c,
    0x220f209b,0xd0090edb,0x1d01d001,0x20ee5980,0xa80dcaaa,0xd001d004,
    0x1a23b001,0x01a00e80,0xcc98b30d,0x2604daad,0x51260144,0x80144980,
    0x200e800e,0x886c40da,0x0e47e01f,0x20699aa0,0x243200f8,0x07400740,
    0x12668034,0x00740750,0x00740074,0x200391a2,0x3901a00e,0x427cc598,
    0x3449300d,0x40689260,0x7401a249,0x4400e800,0x0699c43c,0x6404a9e4,
    0x2aaab6e4,0x3202daaa,0x001d0090,0xd100d01d,0x80ea01e8,0x800e804a,
    0x261d400e,0x3401d004,0x98b30720,0x3e607505,0x7cc06fff,0x7cc06fff,
    0x1d006fff,0x26001d00,0x0952b88d,0xe807a4a8,0x333336e0,0x3201cccc,
    0x001d0090,0xb801b01d,0x3b817444,0x03a00740,0x35b003a0,0xd001d333,
    0x07203401,0x950498b3,0x40689260,0x9301a249,0x00e80344,0x6ec000e8,
    0x47b01a61,0x217441e8,0x8640005a,0xe800e804,0x1ec03b80,0x7666f6c4,
    0x201dc00c,0xffff980e,0x77c43fff,0x802eeeee,0x0d01a00e,0x950498b3,
    0x98051260,0x51260144,0x3a003a00,0x20e20100,0x881f102e,0x881edced,
    0x4320001e,0xe800e804,0x3a201d00,0x000d4c00,0x400e80d1,0x8815c03a,
    0x1a00e805,0x4c598688,0x12609504,0x5024c3a8,0x0ea04987,0x80740074,
    0xe983980b,0xe881ed42,0x4174c00c,0x243202c8,0x07400740,0x07441e98,
    0x640025c0,0x19003a02,0x006c0680,0x3a06803a,0x824c5981,0x5409304a,
    0x875024c3,0x740ea049,0x5700e800,0x201b7333,0x02fecfe9,0x979ddff3,
    0xd9bfd30d,0x2326605d,0x03a009d8,0xde8803a0,0x89801ddc,0x0344000d,
    0x3dd9801d,0x01d40498,0xda86803a,0x262d4c42,0x12609504,0x5024c3a8,
    0x4ea04987,0xfffffffa,0xffffff54,0x55554c9f,0x80351001,0x177311aa,
    0x2200cc40,0x0aa89aaa,0x3fffffea,0xfffff54f,0x026209ff,0x0001c980,
    0x3fffea37,0x64004fff,0x7fcc4fff,0x3fffea6f,0xfff14fff,0xdb039dff,
    0x237fe49d,0x7ff46ffc,0x3fffffff,0x3ffffffa,0x3ffa3fff,0x3fffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00800000,0xa8000040,
    0x8001cccc,0x020001c9,0x66666664,0x800404cc,0x200a2ec8,0x01aaaaa8,
    0x64402000,0x55100a2d,0xc9803555,0x00044002,0x00000400,0x01d88000,
    0x1ae006b8,0x98807d10,0x44005bd9,0xe8800194,0x333b5302,0x2e80d333,
    0xeec8ab80,0xcccc9804,0x3600003c,0xeec8ab80,0x66664c04,0x01ba402c,
    0xd3003d30,0x005d1007,0xd3001f4c,0x201fcc07,0x0172005c,0x001b93d5,
    0x2a80036d,0x17440035,0x40681260,0x0c4003e8,0x32e00000,0x3732e0cc,
    0x00031005,0x014ce600,0x75c00f4c,0x3e8805d9,0x05d9eb80,0x105d9eb8,
    0x0025c05f,0x20d98097,0x3aa5405a,0x00266400,0x8126007a,0x5405b005,
    0x5001cccc,0x10039999,0x0f98835b,0x6641664c,0x333321cc,0x204ccccc,
    0x74400ccb,0x25c4b800,0x12e02d80,0x2e25c097,0x8002f884,0x80000000,
    0x0000d11d,0x44980000,0x98800002,0x31005bd9,0x3600b7b3,0x36621a00,
    0x04f4cc0f,0x33333b53,0x000000d3,0x00000000,0x0be00000,0x698565c4,
    0x010aca88,0x40215951,0x5300e468,0x881aa883,0x402e61cb,0x2201a249,
    0x5a002cb9,0x0db4000d,0x81a00d80,0x260d05bc,0x2e621a04,0xbcb8802c,
    0x0de5c401,0x806f2e20,0x2a02cb98,0x4155502a,0xbadfb81f,0x5f5c0ede,
    0x75c3edba,0x503edbab,0x36e04987,0x2a26e4c5,0xaebaeabd,0xffff982d,
    0x55e74c06,0xaa5401eb,0x1d52a003,0x40d006c0,0x30681d9c,0x33a62c09,
    0xf701ebab,0x2e09f95b,0x704fcadf,0x309f95bf,0x83d7579d,0xdc80ced8,
    0x1b707e1e,0x82c46e98,0x1e41623c,0xe9999ad8,0x24c16600,0x81d1fe20,
    0x4001a249,0x688ec068,0x03447600,0x640d006c,0x93068689,0x86880028,
    0x226440da,0x226440da,0x026440da,0x40588688,0x1f10742b,0x222d8e98,
    0x3e20880f,0xef880880,0x202eeeee,0xd0093059,0x224c4b89,0x40360002,
    0x4400e468,0x03600e46,0x1dc72068,0x0d124c1a,0x1f883600,0x00fc47e0,
    0xf807e23f,0x4d01b001,0x1d0362f8,0x547a62d4,0x055efd45,0x00abdfa8,
    0x302c40ae,0x32a1260b,0xbaaabecd,0x075024c5,0x1d99d991,0x00930ea0,
    0x6c049875,0x21c81a00,0x7fcc1a0e,0x664406ff,0x1a60ecce,0x901a6790,
    0x87901a67,0x0eccecc8,0x349b50d8,0x1e98ee04,0x765441a2,0xbd95100d,
    0x00d80d01,0xe99260b3,0xccce99ad,0x5024c3cc,0x99acfa87,0x335b00ea,
    0xad801d33,0x200e9999,0x1c81a00d,0x4930692a,0x2b3ea068,0x12a0ea99,
    0x5012a950,0x495012a9,0xea99acfa,0x2d3b2b80,0xd16a8058,0xb7004b83,
    0x09316e00,0x20b303a8,0x0ba07649,0x43a81260,0xf101b00e,0x05dddddd,
    0x777777c4,0x440b202e,0x23b07206,0x20289306,0x34c1b00e,0x2034cf60,
    0x3d80d33d,0x4c06c03a,0x0755968c,0xf03d5d10,0x268806c3,0x7e4d100d,
    0x7ffcc4ff,0x49705886,0x7405e81c,0xffffffff,0x74412a3f,0x0b102b80,
    0x2058815c,0x64095069,0x9306b4c1,0x104a9d40,0xf102e81d,0x0f881741,
    0xa87c40ba,0x3a01d104,0xa839b33a,0x261fd43e,0x2c82ec4d,0x00164176,
    0xc81b0244,0xffb16a4f,0x98012e23,0x0fe98683,0x6806c068,0x17b006c0,
    0x0390074c,0x81260d79,0x3fa61a3a,0x36a174c0,0x36a174c3,0x36a174c3,
    0x07f4c343,0x03ba0de8,0x65f44df9,0xbd83fece,0x6c4edcdc,0x04edcdcb,
    0x26025300,0x5f9bfdce,0x276fb3ae,0x5c004fdf,0x766f5410,0x1265fd8d,
    0x80930750,0x6e7ec03a,0x440e401e,0x5409306e,0x37b37aa3,0x7f4c5fd8,
    0xfd302fec,0x3a605fd9,0xea82fecf,0x5fd8decd,0xa83646c8,0x00330720,
    0x0098004c,0x202cb800,0x80988019,0xcc880009,0x32009981,0x7fcc4fff,
    0x13fff26f,0x880dfff3,0xfffe8019,0x7ff43d42,0x3fffffff,0x22000998,
    0x0351001a,0x26006a20,0x00000009,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x1005bfb3,
    0x44000000,0x10004000,0x00000008,0x44001100,0x07372200,0x1500e200,
    0x812a25c0,0x0102c41b,0x98e5c001,0x6c00cc02,0x95007622,0x17b5019d,
    0x16cc7a60,0x44005d10,0x3a6000dd,0x003aa001,0x2016c3a2,0x7d3003e9,
    0x800f4c00,0x273a01e9,0x260602da,0x80bf303f,0x4405c8eb,0x7405b11e,
    0x5400be65,0x7401f93c,0x4dec400f,0x26fa602e,0x545f4c18,0x3441d82e,
    0x2600f620,0x9801eaae,0x036e001e,0x01ec7a20,0x701767ae,0xd300bb3d,
    0x807a6003,0x5880d84a,0x07220190,0x4c00fe60,0x0cc02dfd,0x23a8002a,
    0x9001d405,0x00f4c03d,0x0b31a076,0x80b6003a,0x803a60e8,0x12a000e8,
    0x80952c80,0x4b82dc4a,0x01d1025c,0x3b003a20,0x30b10930,0x00000005,
    0x40000000,0x0000373a,0x401e8800,0x1dc59058,0x00000744,0x00000000,
    0x00000000,0x00000000,0x3aea2c0d,0x2602aaaa,0x2a201bcb,0x1a9810ac,
    0x2a60d544,0x440d5441,0x100752cb,0x44025995,0x3b812cca,0x45906880,
    0x83bb6a1c,0x0d5441a9,0x812cca88,0x0d5441a9,0x812cca88,0x0d5441a9,
    0x355106a6,0x006f2e60,0x44037973,0x07a02cb9,0xcecc89e6,0xfd884ccc,
    0xeb84fcac,0x5c3edbab,0x226e4c5d,0x26e4c5db,0x2f7ab7a2,0x5d5f5403,
    0x5f541eed,0x321eedba,0x7987b000,0x1b0e88e4,0x37262edc,0xdbabea84,
    0x3176e1ee,0x57d509b9,0x6dc3ddb7,0x2e26e4c5,0x226e4c5d,0x4fcacfd8,
    0xfcacfd88,0xbabce984,0xed84b81e,0x4d802c40,0xc82c4790,0x09305983,
    0x5b1260b3,0x3a603fb8,0x3a62f980,0x55a2f980,0xed881dee,0xb8e40edc,
    0x20b30362,0x4c074c49,0x4982cc2f,0x17cc074c,0x4c24c166,0x04d89305,
    0x7904d879,0x66c1a200,0x441cae99,0x22069805,0x1101f10f,0x21260b30,
    0x06893059,0x901ec07f,0x43901ec3,0x85b31dae,0x41edbed8,0x206c751c,
    0x3d893059,0x20b30720,0x3901ec49,0x30930598,0x0699260b,0x1034c3e2,
    0x2036001f,0x81b1cdb8,0xaadb8058,0x22daaaaa,0x200abdfa,0xb3093059,
    0xb03a9260,0xf0007c07,0x20774001,0x3a217458,0xd9be8720,0x44982cc1,
    0x82cc000f,0x20007c49,0xb3093059,0xaadb9260,0x72daaaaa,0x5555555b,
    0xcecc885b,0x21a000ec,0xccdb8058,0x81cccccc,0x980deca8,0x0b309305,
    0x7702b926,0x68801a20,0x0d816400,0x3c8ee0b3,0x16616e54,0x000d124c,
    0x689260b3,0x93059800,0xb9260b30,0xcccccccd,0x9999b71c,0x7d439999,
    0x00ea99ac,0x00b10950,0x2e0000b5,0x09305985,0x499260b3,0x007c07b0,
    0x1dc001f0,0x260750d8,0x598016a4,0x000f8930,0x7c4982cc,0x982cc000,
    0x49305984,0x016a005a,0x003601d0,0x016203a2,0x06c007a2,0x70588688,
    0x12e0b109,0x6c07f10d,0x809b0c04,0x89a21a61,0x03c43906,0xb12e0b10,
    0x82c41809,0x06026c4b,0x2212e0b1,0x0f449705,0x5001e880,0x5003a209,
    0x4c0ec03d,0x3220ba61,0x40b20bb2,0xd827e40d,0x33227e40,0x4407bb10,
    0x1174c0be,0x42e9817d,0x790f223b,0x444c86a8,0x4fc81b02,0x3a605f44,
    0x27e40d82,0x5d302fa2,0x04fc81b0,0x4c4fc81b,0x262c882e,0x1a2c882e,
    0xb9b03fa6,0xde98019d,0x74c0dedc,0x362eecdf,0x04edcdcb,0x26ff73a6,
    0xfdce985f,0x6fec5f9b,0x100efabf,0x039b9bfb,0x39b9bfb1,0x213f7b20,
    0x00cedeb8,0x207fb9d9,0xf9bfdce9,0x6e6fec45,0xfb9d301c,0xfd88bf37,
    0xd301cdcd,0x0bf37fb9,0xf37fb9d3,0xecdfe98b,0xcdfe982e,0x66f542ee,
    0x4c5fd8de,0x00988000,0x13001988,0x2000cc00,0x00310019,0x44002620,
    0x00260009,0x00d44006,0x26200198,0x80066000,0x06600098,0x44003300,
    0x03310019,0x00001330,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x08000000,0x20000004,0x41d104c9,0x66665c68,0x41542ccc,
    0x0130a205,0x00058837,0x00100220,0x83700408,0x40000058,0x200e5400,
    0x03cccccb,0x0020200c,0x0bdb8800,0x2073b220,0x4417a0fb,0x9800e3fd,
    0x2aba606a,0x5555ec1e,0x11e84caa,0x6f5c4079,0x11e880ce,0x00fa605b,
    0x0ba00f44,0x0bb07d40,0x016c47a2,0x00a25db3,0x2e3b01ec,0x2aaaf602,
    0x3e03402a,0x6c407ea4,0x27760e3f,0xae884da8,0x21442ea8,0xd7137019,
    0x9995007f,0x3762079f,0x05700b80,0x4407bd93,0x200eacec,0xd502dfd9,
    0x74c01b93,0x804d8801,0xb300cc28,0x89c805bf,0x74402fec,0x4090a603,
    0x4068000d,0x9b80a20a,0x1443feb8,0x221640e8,0x00800006,0x35d55530,
    0x01d00000,0x2cc19800,0xb516a000,0x32000740,0x00000003,0x2d800880,
    0xd8120d40,0x00068000,0x5c000800,0x21641e23,0x4401bcb8,0x5cc01bcb,
    0x5cc0d0ac,0x162001bc,0x200b2e62,0x20771a98,0x0001bcb8,0x98000000,
    0x5cc01bcb,0x835301bc,0x80001aa8,0x06c0550d,0x79ddb300,0x02cb9881,
    0x00165cc4,0x2a0b50ec,0x3f2b7ee4,0xf95bf704,0x3ab3f609,0xcfd8868e,
    0x77004fca,0xebabce98,0xdf9df701,0x95bf70d5,0x0555309f,0x4c02aa98,
    0x7ec402aa,0xd884fcac,0xb84fcacf,0x226e4c5d,0x06e21aa8,0x0a88b2e2,
    0x4073b2b6,0x987e61cb,0x81ebabce,0x1ebabce9,0x25c5b880,0x881b5598,
    0x2206d44c,0x74c1e44c,0x07904d87,0x1a2001b0,0x1dd5076e,0x132206d4,
    0x5c01f997,0x32e00fcc,0x413600fc,0x3c826c3c,0x98930598,0xb97d93dc,
    0x21665440,0x86d98bdd,0xd1003706,0xf3034400,0x220570bf,0x47e01f8d,
    0x447e01f8,0x0d31f207,0x0d1007c4,0x03e20d80,0x01f88fcc,0x8006c07e,
    0x201b000d,0x4c3e2069,0xb303e206,0x76541260,0x332a2043,0x2a1c8001,
    0x00d80004,0xd9880360,0x9d8815c3,0x0699e406,0x2604a9e4,0x55556dc7,
    0x2a02daaa,0x99d99103,0x3a025c1d,0x03c80d33,0x0036001b,0xaadb806c,
    0x72daaaaa,0x5555555b,0x9305985b,0x9900bea0,0x26000443,0xc8800ea5,
    0x880eccec,0x00eccecc,0x9815c790,0xaa5404ad,0x02ca5404,0x33336e3c,
    0x201ccccc,0x9acfa81d,0x00b20ea9,0x95012a57,0x06c00360,0x9b700d80,
    0x39999999,0x3333336e,0x82cc1ccc,0x00075049,0x78009779,0xacfa8034,
    0x7d40ea99,0x00ea99ac,0xa81d4d10,0x99ec069c,0x05a9ec06,0x000b51e6,
    0x3601d068,0x23b012a0,0xd81ec069,0x2001b000,0x400b500d,0x0598005a,
    0x000ea093,0x98014c35,0x39106646,0x740d8074,0x34001b00,0x174f20b3,
    0x40ba0f88,0x201f10f8,0x000f447d,0x104a84a8,0x8807441d,0x0f881746,
    0x036001b0,0x1e8806c0,0x8003d100,0x2a097058,0x12424003,0x77542640,
    0x4412a2dd,0x74412a0e,0x0e877000,0xa85d30e8,0x2a174c3d,0x710ed43d,
    0x105d30db,0x34072059,0x3aa07f4c,0x3a617440,0x1b01ed42,0x6c003600,
    0x220ba600,0x220ba62c,0x7e40d82c,0xa8007504,0x40dc8a62,0x403a00ea,
    0x340fe986,0x39b07f4c,0x5c5b86a8,0x7f67f4c4,0xfd9fd302,0x3f7baa05,
    0xfe989fd4,0x1a02eecd,0x8decdea8,0x66fd45fd,0x9fd301ed,0x00d805fd,
    0x036001b0,0xdd9bfd30,0xd9bfd305,0x373a605d,0x3a85f9bf,0x84ccc800,
    0x00efcdea,0xd9bd5034,0x754bfb1b,0x5fd8decd,0x07bf3bee,0x102f675c,
    0x06a20035,0x22000c40,0x26000019,0x02620009,0xfd80d440,0x0fffffff,
    0xfffffffb,0x3ffff61f,0x3100ffff,0x00662003,0x776c0198,0x1006ffff,
    0x00098801,0x0013300b,0x4c400266,0x00098800,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x6c000000,
    0x0d401642,0x0d4c1510,0x04006aa2,0x54c15544,0x0000400a,0x00332213,
    0x542b2ea0,0x2615511a,0x32e00acb,0x17731a80,0x409512e0,0x05511bca,
    0x400590b6,0x32a304c9,0x71000cde,0x99910155,0x54000599,0x7466c43b,
    0x76675403,0x36e6fc81,0x4026e4c5,0x0ced884c,0xd30176dc,0x9ef65401,
    0x03d510e8,0x6d5fec40,0xd933ce9f,0x3fd57db3,0xd989ff30,0x04dabdcd,
    0x101b91d7,0xd5bd77dd,0xd39b1019,0x06a98007,0xd5115bbd,0x5def4405,
    0xaaaa883c,0x89fecc2a,0xf706fc83,0x2cc1d003,0x416616cc,0x1026c049,
    0xd501640d,0x544ee401,0x01d81eee,0x1fa60f60,0x074c1fec,0x27cc0e5c,
    0x03f980ec,0x013ee0ba,0x680007ae,0x03e60bd0,0x2000015c,0x83feb89b,
    0x4c0005fb,0xb3000d85,0x03c81260,0x206882c8,0x412e00d9,0x2003b06d,
    0x6c1ee079,0x3000f206,0x40012a0b,0x0013e06a,0x0d834000,0x003416a0,
    0x4006f2e6,0x9889f500,0x424c02cb,0x4c166005,0x86880004,0x1a20002c,
    0x8ec16ed4,0x03b82cb9,0x101ec1e2,0x3059800d,0x03797109,0x4c264077,
    0x80d5441a,0x00d0acb9,0x01eaa3c0,0x7e567ec4,0x202aa984,0x2f3a63f9,
    0x29301eba,0x30501eb8,0x1a89260b,0x2c805973,0x2aaa21a2,0x0ae1aaaa,
    0x361aa3a6,0x1eeabfc9,0xb07880ee,0x14434405,0xb8930598,0x644fcadf,
    0x36e12e03,0x6c26e4c5,0x068eeacf,0x66443600,0x3209b007,0x807665c3,
    0x068802f8,0x037b2293,0x260b303a,0x2b737664,0xc9a205da,0xcccce982,
    0xd10763fc,0x0fb61e21,0x703543e6,0x5b81b60f,0x20b304a8,0x91036a49,
    0x09d03549,0x3224c166,0x7cc7e983,0xffffffff,0x980681ff,0x6c03e206,
    0x6c003600,0x0ea84980,0x5c166074,0x0ec27cc4,0x260d1590,0x20744b84,
    0x1f60742d,0x220ba4d8,0x105fb07e,0x8176443d,0x3e293059,0x81e87e01,
    0x20b304fa,0x7c81e249,0x81d8024c,0xaaadb806,0xb02daaaa,0xecc88001,
    0x04980ecc,0x7cc1f895,0x16627e40,0x59d10254,0x3616a0c0,0x361a1321,
    0xee89a604,0xb06afc9a,0x5fb35dd5,0x1660174c,0x64069a4c,0x36ab7a63,
    0x20b304ad,0x79812a49,0x834007c4,0xcccdb806,0xb01ccccc,0x567d4001,
    0x4980ea99,0xe983f1a0,0x5f9bfdce,0x2024c166,0x41a6006c,0x21a0b53c,
    0x65c3402d,0x4760d0bd,0x0e40bdca,0x303bfee0,0x095012a9,0x412a59b7,
    0x16493059,0x100fa1e0,0x16a01a0d,0x2000d800,0x9301b00e,0x985f1340,
    0x05980335,0x003c8093,0x23aa01d3,0x4d84a80e,0x068016a0,0x001a003b,
    0x2034d2a0,0x2095003d,0x2d493059,0x80d30f30,0xd100d01d,0x00360003,
    0x80e88254,0x12c47149,0x2005985f,0x44093059,0x801d1006,0x80e881ee,
    0x007b00fd,0x9001d834,0x0dc01205,0x003e205d,0x70588164,0x7d807c49,
    0x3d881b70,0x174c01a0,0x00d81644,0x03fa61a0,0x88ee6926,0x3002cc3f,
    0x3b81260b,0x4381e880,0x0ba20bfd,0xb910ee6c,0x03b06800,0x0d507a20,
    0x42e98d30,0x1d5003da,0x13f206c0,0x36dc43b5,0x3db9bd50,0x3a600680,
    0x202eecdf,0x37aa000d,0x25fd8dec,0x9bd72ffe,0x12217c41,0x49305980,
    0x05efeed8,0x32e6816c,0x81edcfd8,0xdefa9ffa,0xfdd5004f,0x3bbfa69d,
    0xeded9805,0x39dd901d,0x5fd9fd30,0x37bbb620,0x7ee74c00,0x77545f9b,
    0x409fd4fd,0x3fea00a8,0x31003fff,0x3ffff603,0x9800ffff,0x01100009,
    0xff900002,0x32ffdc1f,0x54013333,0x6fffffff,0x00013116,0x99800133,
    0x26666099,0x20062000,0x03510018,0x30003310,0x000c4003,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0x81ccccc9,0x01aa81a9,0x160e6006,0x6dc4b2a0,0x2a25c0bd,
    0xd9802a04,0xeca81660,0x85b05c2d,0xb98d442c,0x0059702c,0xc98000d4,
    0x2602cccc,0x2a201bcb,0xcdb810ac,0x016a2001,0x80016a20,0x981a60e8,
    0xb81aaaaa,0x826e445d,0x225d0058,0x9ca8804b,0xb85b89be,0xf300dc8e,
    0xeb9ea80b,0x2e63b900,0x66c41d0e,0xcdd983e8,0xc985daad,0x001b6004,
    0x0d555544,0x7e567ec4,0xdbabeb84,0x0058663e,0x2a00166a,0x74c00059,
    0x00001eaa,0x8824c166,0x7dd93005,0x03ba6001,0x00fe60ee,0x13a20072,
    0xbbb504b8,0xf9807ee0,0x37221d84,0x2601ccce,0xd8000004,0x82c47904,
    0x0003603c,0x002c000b,0x2006ec40,0x4c02cb98,0xd7509305,0x00055555,
    0x9100e980,0x00000000,0x00b901a2,0x89505980,0x00aaadca,0xb8800032,
    0x206981bc,0x101f10f8,0x2805f901,0x58288058,0x30000500,0x03d7579d,
    0x2224c166,0x4ccccecc,0x4002aa98,0xaa8b4049,0x511aaaaa,0x23555555,
    0x059731a8,0x98588057,0x82cc02aa,0x77349849,0xb98d4401,0x2b7ee02c,
    0x556dc4fc,0x22daaaaa,0x400abdfa,0x82ea81d8,0x2c0f5c05,0x5510fa60,
    0x1000dc43,0x24c1660d,0x99700588,0x024c001d,0x666674da,0x999d33fc,
    0x37667f99,0x6c5daadc,0xccb86801,0x4c16600f,0xaadcd984,0xb9bb304d,
    0x1b50bb55,0x336e4c88,0x1ccccccc,0x00deca88,0x00dd88aa,0x4033a20b,
    0x2607b205,0xb97d93dc,0x2cc06c00,0x00b10498,0x24c001b0,0x25c24da0,
    0xf9897093,0x003a1d84,0x200d803a,0xf3093059,0x3e601b09,0x07e21d84,
    0x000b51f8,0xa8ac96e0,0x4cc0baa5,0x027ae19e,0xe9867a66,0x43eca803,
    0xccecc880,0x9705880e,0xeeefeea8,0x2000d802,0xa8334049,0x4c2d4185,
    0x006c9505,0x98036034,0x0b309305,0xa82cc0ea,0x27901a64,0x01b001e8,
    0x223751a2,0x543d50dd,0x8ce9aaaa,0x2aaa3cbc,0xd50dc8aa,0x200bea05,
    0xea99acfa,0x4fc81b00,0x1b000b10,0x1a024c00,0x834c034c,0x0e493059,
    0x803602c0,0x93093059,0x82cc1260,0x95012a49,0x9644174c,0x5c05905d,
    0x806f622e,0x0e4171ec,0x2f622ea8,0x3a007502,0x3a601b00,0x84f9bfdc,
    0x00d80058,0x30d01260,0x00e9801d,0x4a9260b3,0x03602540,0xf707ffe4,
    0x930498bf,0x324c1660,0x74c3d80d,0x362eecdf,0x04edcdcb,0x371b09d1,
    0x0d807d30,0x23606ec4,0x5007502b,0x3003a209,0x05881dc3,0x26000d80,
    0x1d116604,0x2600e880,0x01d89305,0x001b003a,0x93049800,0x224c1660,
    0x201f102e,0x01b001d9,0x373b81d8,0x0e400d88,0x2b9d4164,0x21a00750,
    0x24000fe9,0x40660360,0x8126000d,0x8e07a21c,0x166381e8,0x107a624c,
    0x001b003d,0x4126025c,0x260b3049,0x36a174c4,0xb8002e03,0xd99f0004,
    0x01d88009,0x82ee67c0,0x9bd5003a,0x00bfb1bd,0x74c1eecc,0xb00dedcd,
    0x57faa001,0x16c4dce8,0x3340b668,0x3a21260b,0xb002ddce,0x03626001,
    0x20930498,0xd3093059,0x9805fd9f,0x22a202cc,0x0dc0000c,0x0001b300,
    0x007502b8,0x00000998,0xfb013100,0x1fffffff,0x54098800,0x6fffffff,
    0xfffffff5,0xb83fff2d,0x013105ff,0xffffffd8,0x039300ff,0x3f237fdc,
    0x07ffe46f,0x2a20bff7,0xca800001,0x2f5c0001,0x5b999f00,0x6c5db800,
    0x06ffffee,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xaa880000,0x99706e21,
    0x66665c99,0x665c0004,0x99970714,0x93000800,0x97059999,0x36e20099,
    0xa8800bdd,0x080812cc,0x64399990,0xdb880ccc,0x39800bdd,0x002dc980,
    0x555cc197,0x3aaaaaaa,0x405bdb71,0x9801ceda,0x8188cdeb,0x93dc9802,
    0x74c4b97d,0x2b666219,0x0e3fd881,0x3e63aaaa,0x00755543,0x551001d0,
    0x55503555,0x41da801d,0x2faa03d9,0xf51eedba,0xad9836c1,0x207e6609,
    0x41ecc1da,0x5c07dec8,0x202eb8ad,0x00261ed9,0xd930bf94,0x172639b0,
    0xec989db8,0x5002c43d,0x068087d9,0xb89b806c,0xc87403fe,0xe8003a00,
    0x3a000000,0x95012a00,0x5f301d30,0x6c0330a2,0x012a1a00,0x0d0a9895,
    0xd0344354,0x8004c3b3,0x3c8720d2,0x20970970,0x002c43f8,0x01a005f5,
    0x4004001b,0x0740398e,0x54c01d00,0xd00d5441,0x564d6201,0x7b0720ba,
    0xb0000e40,0x99623401,0x0391bbbb,0x32017034,0x4c3b4a82,0x4c025000,
    0x41e80d35,0xba89dc06,0x502aaaae,0x36034007,0xcb98d440,0xd000e802,
    0x70074001,0x04dc98bb,0x870e403a,0x8003e2c3,0x0d802aa9,0x224391a0,
    0x0068161b,0x361d0750,0x01400261,0x3200e526,0xc8800e63,0x0cccccec,
    0x01a003a8,0xdcdd981b,0x07405daa,0x984a8e80,0x9999e999,0x04982cc0,
    0x90e2c03a,0x7001a258,0x0d801f99,0x00ccb1a0,0xd0006816,0x98763c81,
    0x74c05000,0x259801d1,0x0588002c,0x06800ea0,0x427cc06c,0x4003a01d,
    0x76cc0dee,0x2eeeefee,0x204982cc,0x7160da8e,0x20c83975,0x01b0000f,
    0x4b1a00d8,0x0d00c803,0x46887b00,0x1400261d,0x00d0f6cc,0x88001c9a,
    0x800ea005,0x2cc06c06,0x003a04a8,0x74003f91,0x4982cc00,0x587f63a0,
    0x22c0c89c,0x0d80c04d,0x58d006c0,0x340b006a,0x0b60f200,0x28004c3b,
    0x880682d8,0x22000726,0x800ea005,0x26036026,0x07409305,0x001d5d50,
    0x41660074,0x0623a049,0x8b121c19,0x174c0be8,0x006c00d8,0x88910c8d,
    0x20068160,0x1d85983d,0x64140026,0x25c00d80,0x0b100077,0xffffddb0,
    0xe83b340d,0x09305980,0x3a110074,0x3003a000,0x0e81260b,0x98722750,
    0xbfb10753,0x06c039b9,0x23440b20,0x96e7663a,0x6c01a03a,0x9999bb03,
    0x400265bd,0xb00ee002,0x44002cc7,0x9a000005,0x2cc1a21d,0x003a0498,
    0x01d00074,0x40970588,0x2627200e,0x2202c441,0x801b000d,0x39095069,
    0xd0162098,0x4c407b00,0x30ad9999,0xd000a001,0x5903a201,0x016224c0,
    0x4d001b30,0x2cc0ea4b,0x003a0498,0x00900074,0x409f9036,0x40f6200e,
    0x04b800da,0x17b001b0,0x1ec4074c,0x03400da8,0x360005d1,0x21400261,
    0x83d305fb,0x83e880e8,0x980d81e9,0xb01544c2,0x3772dfff,0x260b300d,
    0x74003a04,0xe9800000,0x05f9bfdc,0x79b7001d,0x151007b9,0x001b0019,
    0x003373f6,0x07b979b7,0x817441a0,0x130ec029,0x1ffb0a00,0x37737a20,
    0x337b2201,0x9bd300de,0x3b8819db,0xc8062000,0x3fee0fff,0xffffffb5,
    0x3fff61ff,0xf30fffff,0xffffffff,0xfb00cc07,0x1fffffff,0x20004c40,
    0xfffb01ca,0x401fffff,0x09880018,0x7ffffd40,0xffff14ff,0x3609ffff,
    0x55732fff,0x75555555,0x98800a88,0x004cc000,0x00000a88,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xdb980000,0x2e0188ad,0x83cccccc,0xb851ceb8,0x0f2e04cc,0x0aab8800,
    0x9800165c,0x30b32e07,0x3ae20999,0xcccc981c,0x932ccccc,0x81e64039,
    0x65409bb8,0x8802cccc,0xccccccca,0x66666542,0x33333202,0x2a0a800c,
    0x302ccccc,0x59999999,0x8b33332a,0x544575c0,0x266203ed,0x6e409ae9,
    0x545ec98a,0xb7500eaa,0x77bd1000,0x004ca899,0x66c40f30,0xe80f5440,
    0x5dc1eb8b,0xa999e999,0x2a0bb714,0xbbe980dd,0x4f4cc40d,0x5675c009,
    0x44b999cb,0x0099e998,0x006676a6,0xe9989ff6,0x33310099,0x2621333d,
    0x4db099e9,0x800f606a,0xb906880d,0x0b100740,0x26005700,0x80510004,
    0x301d80e8,0x21dc0889,0x1b7524c6,0x0720b3d0,0x8b700680,0x0d024c3a,
    0x3a0024c0,0x800680ff,0x3443400e,0x000c401d,0x2207501b,0x58803a04,
    0x26006800,0x54000004,0x057025c5,0x24c68770,0x8d989575,0x34003d05,
    0x21d43440,0x9801a049,0x202dffff,0x000d01c9,0x2b86801d,0xd8000093,
    0xd0004880,0x5512c401,0x57d54415,0x29301aaa,0x2a602cb9,0x225b002a,
    0x5401cc06,0x3a922342,0x82c4ec1d,0x201a004a,0x2213a83b,0x200b9a01,
    0x0035c449,0x3a005468,0x57043400,0x00d80000,0x0e800399,0xcee89620,
    0x333f3262,0xb99303cc,0x32e09b55,0x8e8800fc,0x0034401d,0x3b9d4068,
    0x0e8162d1,0x03900d00,0x3a003675,0x824c03ea,0x2668003b,0x2007405f,
    0x0000e406,0xeb880360,0x007401bd,0x20075cb1,0x20fe6006,0x2007401d,
    0x819dec99,0x03eefeeb,0xb47501a0,0x9d30b12b,0x80681d4b,0x0fffa80d,
    0x4006fcc0,0x2661a049,0x401c8d00,0x3203400e,0x1ccccc81,0x1000d80a,
    0x007405d5,0x340172b1,0x12a0b300,0xaaa801d0,0x3200aabe,0x54068001,
    0x8589ab23,0x40ba590e,0x3a81d806,0x1fb2201b,0x8d104980,0x00d01ffa,
    0x406801d0,0xdcaaa83b,0x006c0b10,0x00e81a20,0x680177a2,0x25412600,
    0x0e8003a0,0xd0003900,0x8fe23a80,0x3d12c458,0x2ed0340b,0x3e803a82,
    0x2126340d,0x027e42d8,0x00e8340d,0x8093d034,0x0e81623a,0xe806c038,
    0x0b6be200,0x09300340,0x401d012a,0xcccfccc8,0x20003a01,0x1021d406,
    0x02fa8d0b,0x50b3681a,0xd0340507,0xedbaad98,0x1a00ff82,0x6801d068,
    0x7500f5a0,0xf04882c4,0x0e81a203,0x802d9620,0x54126006,0xd0007404,
    0x220d1001,0x07501a01,0x2a2c8588,0x2681a01f,0x0341d42d,0x2b66340d,
    0x05f301aa,0x0741a068,0x5d1681a0,0x83e88ee0,0x883df01d,0x8803a02d,
    0x01a016c5,0x80950498,0x003a000e,0xd01640b6,0x2c403a80,0x7ceeeec4,
    0xd1340d06,0x81a0ea19,0x00931a06,0x681a0172,0x206801d0,0x3337b626,
    0xddeb80ce,0x3ba7602c,0x07403dec,0x02e88b10,0x5049801a,0x4c00e809,
    0xd02fffff,0x9fffffff,0xdfffff90,0x4c4fffb8,0x03106fff,0x7fffffd4,
    0xfdb87fff,0x47ffffff,0xfffffffb,0x3fffa7ff,0x201101ff,0xfffffffa,
    0xffff57ff,0x3fea9fff,0x7fffffff,0x26003530,0x804c4000,0xfffffffd,
    0xfa8bfb0f,0xffff72ff,0xffb05fff,0x87ffec1f,0xfffffffd,0x0000000f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x6666664c,0x99932ccc,0x99910599,0x4c1665c1,0xcccccccc,0xccccc82c,
    0x999900ac,0x20666547,0x0acccccc,0xcccccc88,0x4c40cccc,0x666402cb,
    0x44cccccc,0x0acccccc,0x320b3260,0x59971ccc,0x3224cc98,0x8b3321cc,
    0x1bccccc8,0x33333320,0x99999102,0x2ccb8599,0x3322664c,0x400bcccc,
    0x99e999bb,0x555514a9,0x1076a035,0x2f2601b7,0x84b999cb,0xeb999ad9,
    0x209da982,0xad981eb8,0x982eb999,0x999999bc,0x2af3a61d,0x3b5301eb,
    0x98d33333,0x4eb999da,0x981fb310,0x199109e9,0x6d41ea88,0x3036e609,
    0x3d95333f,0x7333b530,0x999d989d,0x5f443c99,0x260f5440,0xeda999da,
    0x4c687700,0x20930004,0x1d46c049,0x440ec126,0xda84981e,0x3a207600,
    0x07203b81,0x04981a20,0x1641261a,0x21a0b790,0x981d80e8,0x41a09304,
    0x904980e8,0x834424c3,0x301e80e8,0x1dc0ea09,0x554c931a,0x3bbfaa02,
    0x205feeee,0xb0498756,0x1261a203,0x203b00b7,0x3203b868,0x2601b001,
    0x41261604,0x07672068,0x12e2d41a,0xd049824c,0x824c2540,0x07a12658,
    0x301e4598,0x42a83409,0xd9971c46,0x49824c01,0x209d5260,0x0e403b00,
    0xb004c926,0x8ee0e403,0x76644018,0x89300ecc,0x58824c02,0x1a1a2720,
    0x4c0d12d8,0x01a09304,0x1340930d,0x4b803c83,0x104980b5,0xb003400b,
    0x49824c01,0x0d9d4ae0,0x87700ec0,0x6c009b49,0x4770ee01,0x2b3ea04a,
    0x9300ea99,0x21260344,0x5c7202e8,0xb1d10343,0x49824c03,0x4c1c80d0,
    0x2cc09704,0x801d7b00,0x00f54449,0x999f9991,0xf3006c05,0x09ffffff,
    0x0feea874,0xdfffffd0,0x66ecc3a8,0x7fff403f,0x2e1d46ff,0x3a04ffff,
    0x3e601b00,0x74c06fff,0x401deccc,0x40683a1c,0x7fcc04ea,0xd04fffff,
    0x124c1c80,0x3a201d93,0x00be2000,0x3fffffe6,0x9e999804,0x80360099,
    0x22093049,0x01b3b99e,0x30ea01d8,0x200f625f,0x770ea01d,0x104a8254,
    0x6892601d,0x7dd574c0,0x92a1c802,0x4c00e806,0x01a09304,0xeeef9839,
    0x0016c02d,0x12601b36,0x34003ae2,0x24c01b00,0xddd50498,0x00ec007d,
    0x1d849839,0x83900ec0,0x8680623b,0x89300fe9,0x3a224c02,0x4760e402,
    0x4c00e806,0x01a09304,0xa800930d,0x5d2e0385,0x95024c04,0x0d801a00,
    0x824c1260,0x40a0ea1c,0x1261a01d,0x403b01a2,0x2a003b86,0xfd8decde,
    0x0ea04985,0x403d1093,0x806b4c1c,0x9824c00e,0x43440d04,0x03a20049,
    0x0f234c1a,0x80340498,0x98036006,0x51a09304,0x40760d07,0x3b04983c,
    0x83c80ec0,0x0998003b,0x2a049824,0x069824c3,0x01af2072,0x2093003a,
    0x0f40d049,0x03b0024c,0x3a03a21a,0x2cc09301,0x03600680,0x10930498,
    0xb0683a8b,0x9304c983,0x41d81660,0x007704c9,0x2604e200,0x0930ea04,
    0x881c8164,0x400e806e,0x1a093049,0x024c0b6a,0x361a04b8,0x9301d102,
    0xfb807a60,0x7ec5ffff,0x0fffffff,0x7ec1fff7,0x74fff26f,0x87ffffff,
    0x2dfffffe,0xd0bfffd0,0xffffe87f,0xfff882df,0x5c0006ff,0x3ffffa2c,
    0x3a3fffff,0x6f885fff,0x2a17fff4,0xfffff907,0x45fff90d,0xff10fffe,
    0x2039dfff,0x01fffffe,0xfffffffb,0x5c5ffe8f,0x3ffa1fff,0x01dfffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80399995,0x6543ccc9,0x599972cc,0x404ccc98,
    0x00080004,0x00164b22,0x201bcb88,0x02e61cb8,0x26aa06a6,0x165cc428,
    0x2e600500,0x835301bc,0x15541aa8,0xa880aaa8,0x951012cc,0x402a0215,
    0x0621bcb8,0x00b98571,0x02deccc4,0x31026b62,0x272e21d3,0x00ed4c40,
    0x32e2003a,0x2e00d30a,0x007b623e,0x4fcadfb8,0xbaeabda8,0x2edc2dae,
    0x98eb3722,0x01ebabce,0xfb1017c4,0xb709f959,0x224dc98b,0xedc80ced,
    0x6dd5f541,0x2afae1ee,0x3fec3edb,0xa7e56fdc,0x536bae3c,0xd003dadb,
    0x80570036,0x32034458,0x5c00e802,0x0edebadf,0x98067540,0x06d400de,
    0xff101322,0x982cc0e8,0x068800cf,0xc826c018,0x89305983,0x2615c058,
    0xb12f980e,0x1ffd0f20,0x372206d4,0x8d7b1a26,0x3aa5400e,0x45d11d40,
    0x1a01c849,0x1b700740,0x36606e98,0x19d5000d,0x0fc03f10,0x989713a0,
    0xd8009305,0x81a60000,0x982cc0f8,0xd8be2684,0x23901ec0,0x440880f8,
    0xf807e21c,0x89f512e2,0x688ec04b,0x49b724c0,0x9504983a,0x7c403a00,
    0x216c74c0,0x70001ec8,0x6406987d,0x5f66e543,0x2cc5baaa,0xd9910498,
    0x40001d99,0xaaaaaadb,0x982cc2da,0x49b50d84,0x2a000f86,0x2000abdf,
    0x5b1e4069,0xbaaabf88,0x0391a205,0x5cd3b2c4,0x20360d02,0xeefeeee9,
    0xe98b53ee,0x017dcb51,0xa8f6c400,0xde9a5404,0xcccce99a,0x4982cc3c,
    0xa99acfa8,0x3bbba60e,0xb73eeeee,0x99999999,0x09305983,0x2c5a7657,
    0x544001a2,0x4a800dec,0xd01b2540,0x40799999,0xd1024c3a,0x20391db4,
    0x3302c42b,0x43333d33,0x6887a63b,0x8000bb22,0x01a62ec8,0x0ba0767b,
    0x424c1660,0x9981b00e,0x09999999,0x0b3000b5,0x5a326126,0x00f83aac,
    0x9805b800,0x8591ec06,0x56c001f8,0x200e9999,0x06cea936,0x0015c688,
    0x745aa01d,0x764425c1,0x81f5c001,0x321f102e,0x58805e81,0x104a8970,
    0x7440001d,0xb82c4001,0x36675d04,0x8c04d81c,0xc98d100d,0x0f881741,
    0x009f516a,0x777777c4,0x8965a02e,0xd06c01d5,0xd100e800,0x403f03d5,
    0x75400dd9,0x50ba600c,0x3f62d47b,0x1b09711f,0x98684fc8,0x4c0000fe,
    0xd82c882e,0xde827e40,0x3a203ba0,0x5d974c0b,0x0ffe8590,0x07b50ba6,
    0x8363623d,0x2205704a,0xe83a3605,0x49a54068,0xf5007400,0x5004d987,
    0x0ce9819d,0xfd9fd300,0xb7d9d705,0x2609fbf3,0x4f9bfdce,0x46f66f54,
    0x03d105fd,0xeecdfe98,0x7fb9d302,0xc8d90bf3,0x337f6206,0x372f61cd,
    0x7fd84edc,0x2fecfe98,0x265fbb10,0x0d00cfce,0x8d5900d8,0x396806ac,
    0x3a206800,0x03fececb,0x3b91eb80,0x006a2000,0x00130131,0x04cc0033,
    0x44007600,0x00660019,0x02620000,0x026004c0,0x03001a88,0x40498026,
    0x987b703a,0x06ac805d,0x30720080,0x10880003,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x9fff9000,0xa86fff98,0x9804f81f,
    0x0000003f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80000000,0x06e21aa8,0xca8ee353,0x98555501,
    0x11010aaa,0xcb98d440,0x26355502,0x0aaa21aa,0xaa981553,0x2aaaa202,
    0x20201aaa,0x0b104591,0x51018800,0x02f2e20b,0x02f32200,0x33000266,
    0x6dc26621,0xdddddddd,0x8000503d,0x93dc9800,0x6ed4b97d,0xeaccccad,
    0x066f6440,0x3aa39f97,0x6cc03aa0,0x45daadcd,0xbf73dec8,0x7067ecc7,
    0xfccb85dd,0x9999d300,0xb0f607f9,0x3b7b3a29,0x6c0741ec,0xb3504a80,
    0xb12c4360,0x21503bdd,0x317fd458,0x9ff05bdb,0x44447fea,0x98888888,
    0x9104ea84,0x400903bf,0x2a043eca,0x04a93e0e,0x2e166075,0x4c03ae0e,
    0x1c81d84f,0x21ec07d1,0x806c00e9,0xe884b849,0x1b717624,0xb074c2dc,
    0x0b012a07,0x02c40d02,0x44df9162,0xfe85910d,0x8001ff33,0x16c74c48,
    0x5c3dce6c,0x005f5003,0x1620d875,0x3203b068,0x2607f21f,0x33909505,
    0x2a99003d,0x200d800e,0x2f442d41,0xd03b0bd1,0xb0f67a60,0x1b719537,
    0x542c8058,0x3f206dec,0x8390ffc1,0xf897ec58,0x22488007,0x47887a1e,
    0x0191512d,0x0ea00750,0x5702c41b,0x0fec0688,0x305983fb,0x005f9909,
    0xd8006ee4,0xd10d3000,0x3407744d,0x09f301d8,0x37dffb71,0x642c80b0,
    0xe880d11c,0x41c8bf30,0xdf0fe458,0x16c91000,0x363c43a2,0x54006ea2,
    0x0d875003,0x64688162,0xf337cc02,0x0930598d,0x2007d3b9,0x036004fa,
    0x3f603a60,0x0ec0ff22,0x01d9b034,0x20b00f74,0x322681d8,0x3f71c806,
    0x70b20d88,0x4002f41f,0x92a09548,0x0006cadd,0x43a801d4,0x3901620d,
    0x897e2034,0x982cc0ee,0x07b11c84,0x200995a8,0x0074400d,0x40fe43fb,
    0x209911da,0x7901d33d,0x33d310d3,0x51cccf44,0xc8bf7dbb,0x41365a8a,
    0x3883ddda,0x008000d4,0x00beb880,0xa801d400,0x80b106c3,0x74407559,
    0x2cc17a25,0x741c8498,0x05b8b700,0x07a200d8,0x7e41f90e,0x3bb6fa21,
    0x261ec2eb,0x44b96a0e,0x2a22aaaa,0x40082aaa,0x40041ba8,0x00000000,
    0x40000000,0xd875003a,0x23601620,0xbb13a00e,0x84982cc0,0x2dc2d41c,
    0x006c05b8,0x3ae1a05b,0x10e43ae0,0x04c062c4,0x00000303,0x00000000,
    0x00000000,0x776c0000,0xfc86ffff,0x7c47f64f,0x7027d406,0x3f204b87,
    0x57fee0ff,0x7f45fff8,0x6c1fffb2,0xfffb0eff,0x2a1fffff,0x6fffffff,
    0x004a8970,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xa9800000,0xaaaaaaaa,0x04c0e442,0x75c11002,0x4102040c,0xeeeeeeee,
    0x2aaaaa1e,0xaaaaaaaa,0x3bbbbba0,0x05eeeeee,0x00000000,0x00000000,
    0x00000000,0x00000000,0x75000000,0x77777777,0x360ffe87,0xe881747f,
    0x4c3aab71,0xaf41f70e,0xaaaaaaaa,0x7777710a,0x77777777,0x88888883,
    0x00008888,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0x07ff47fd,0x21e987b1,0x10f6f4c3,0x00001985,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x44400000,0x88888888,0x0e440980,
    0x001b11c8,0x00000006,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xdc800000,0xdddddddd,0x00000005,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_25_latin_ext_x[560]={ 0,5,2,2,2,2,2,5,6,3,0,1,3,2,
4,2,2,2,1,2,2,2,2,2,2,2,4,3,0,1,0,0,2,0,0,1,1,0,1,1,1,2,1,0,
1,0,0,0,1,1,0,1,1,0,0,0,0,1,2,0,0,0,2,0,4,1,0,1,1,1,2,1,0,2,
1,2,2,0,1,1,0,1,1,2,1,0,0,0,1,1,2,0,6,0,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,5,2,1,2,1,
6,1,3,0,0,0,0,2,0,-1,3,1,3,3,4,0,1,4,4,4,3,1,0,0,0,0,0,0,0,0,
0,0,0,1,0,0,0,0,2,2,2,2,-1,0,0,0,0,0,0,2,0,0,0,0,0,1,1,0,1,1,
1,1,1,1,0,1,1,1,1,1,2,2,2,2,1,1,1,1,1,1,1,1,1,0,0,0,0,1,0,1,
0,1,0,1,0,1,1,1,1,1,1,1,1,1,1,1,-1,1,0,1,0,1,0,1,0,1,0,1,1,1,
1,1,1,1,1,1,1,0,1,0,2,2,2,2,2,2,2,2,2,2,0,0,1,1,0,2,1,1,2,1,
2,1,2,1,2,0,2,0,1,0,1,0,1,0,1,1,0,1,0,1,0,1,0,0,0,1,0,1,0,1,
1,2,1,2,1,2,1,2,1,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,
1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,2,1,2,2,2,
2,2,2,2,2,2,2,2,2,2,1,1,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,1,2,2,0,
1,0,0,0,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,1,0,0,0,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static signed short stb__courier_25_latin_ext_y[560]={ 18,4,4,3,3,4,6,4,4,4,4,6,14,11,
15,3,4,4,4,4,4,4,4,4,4,4,8,8,6,9,6,5,4,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,4,3,4,4,23,3,8,4,8,4,8,4,8,4,4,
4,4,4,8,8,8,8,8,8,8,5,8,8,8,8,8,8,4,4,4,10,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,18,8,3,5,7,5,
4,4,4,5,3,8,11,11,5,2,1,4,4,4,3,8,4,9,17,4,3,8,4,4,4,8,0,0,0,2,
1,0,5,5,0,0,1,1,0,0,1,1,5,2,0,0,1,2,1,7,4,0,0,1,1,0,5,4,3,3,
3,4,4,3,8,8,3,3,3,4,3,3,3,4,4,4,3,3,3,4,4,6,7,3,3,3,4,3,4,4,
2,5,1,4,5,8,0,3,1,3,1,4,1,4,1,4,5,4,2,5,1,4,1,4,5,8,1,4,1,3,
1,4,1,4,5,3,1,1,5,4,2,4,2,5,1,4,5,4,1,8,5,4,1,3,5,4,8,0,0,5,
4,5,4,5,4,5,4,0,3,5,8,1,4,4,5,8,2,5,1,4,0,3,5,8,0,3,5,8,1,4,
0,3,1,3,5,8,1,4,5,5,1,4,5,5,1,4,2,5,1,4,0,3,0,3,5,8,1,3,1,3,
1,0,3,1,4,1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,5,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,5,8,4,4,4,4,4,4,4,4,4,4,4,4,4,3,8,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,4,1,4,1,
4,1,4,0,2,0,0,0,1,0,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,-3,-1,0,3,0,3,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static unsigned short stb__courier_25_latin_ext_w[560]={ 0,3,9,10,9,10,10,4,5,4,9,11,5,10,
5,9,9,9,10,10,9,10,10,9,9,10,5,6,11,12,11,8,9,14,12,11,12,12,12,12,12,9,12,13,
11,14,13,12,12,12,14,11,11,13,14,13,13,12,10,4,9,4,9,15,5,11,12,11,12,11,11,12,13,10,
8,11,10,14,11,11,12,12,12,10,11,12,13,13,12,12,9,5,2,5,10,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,0,3,9,11,10,12,
2,11,7,14,8,11,12,10,14,15,7,11,7,7,5,12,11,5,5,6,8,12,14,14,14,8,14,14,14,14,
14,14,14,11,12,12,12,12,9,9,9,9,13,13,12,12,12,12,12,9,13,13,13,13,13,12,12,12,11,11,
11,11,11,11,13,11,11,11,11,11,10,10,10,10,11,11,11,11,11,11,11,11,12,12,12,12,12,12,12,12,
14,11,14,11,14,12,11,11,11,11,11,11,11,11,12,13,13,12,12,11,12,11,12,11,13,11,12,11,12,12,
12,12,12,12,12,12,12,13,12,13,9,10,9,10,9,10,9,10,9,10,14,11,12,9,13,11,11,11,10,11,
10,11,10,11,10,12,10,13,11,13,11,13,11,12,11,10,12,11,12,11,12,11,14,13,14,12,14,12,14,12,
11,10,11,10,11,10,11,10,11,11,11,11,11,11,13,12,13,12,13,12,13,12,13,12,13,13,13,13,12,12,
12,10,9,10,9,10,9,11,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,13,12,12,11,12,12,12,
12,12,12,12,12,12,12,12,12,12,13,12,12,12,12,12,12,12,12,12,12,12,12,12,12,14,13,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,14,11,9,10,12,
11,13,12,13,12,13,12,13,12,13,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,14,11,14,13,13,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12, };
static unsigned short stb__courier_25_latin_ext_h[560]={ 0,15,7,17,18,15,13,7,17,17,9,12,8,2,
4,17,15,14,14,15,14,15,15,15,15,15,11,13,12,5,12,14,16,13,13,14,13,13,13,14,13,13,14,13,
13,13,13,14,13,16,13,14,13,14,13,13,13,13,13,17,17,17,7,2,4,11,15,11,15,11,14,15,14,14,
19,14,14,10,10,11,15,15,10,11,14,11,10,11,10,15,10,17,17,17,4,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,0,15,15,13,9,13,
17,16,3,14,8,10,7,2,14,2,7,14,8,8,4,15,16,4,5,8,8,10,14,14,14,15,18,18,18,16,
17,18,13,17,18,18,17,17,18,18,17,17,13,16,19,19,18,17,18,9,15,19,19,18,18,18,13,15,16,16,
16,15,15,16,11,14,16,16,16,15,15,15,15,14,15,14,16,16,16,15,15,11,12,16,16,16,15,20,19,19,
16,14,17,15,16,13,19,16,18,16,18,15,18,15,17,15,13,15,16,14,17,15,17,15,16,14,17,15,18,20,
18,19,18,19,17,20,17,17,13,14,16,14,16,13,17,14,17,18,17,10,14,19,18,20,17,18,10,18,18,17,
18,13,14,13,14,13,14,18,15,17,14,17,14,14,14,15,17,14,18,15,19,16,13,11,18,15,17,14,17,14,
19,16,18,16,17,14,18,15,18,18,17,15,13,14,18,15,17,14,18,15,19,16,19,16,17,14,17,16,17,20,
17,18,15,17,14,17,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,17,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,11,14,14,14,14,14,14,14,14,14,14,14,14,14,16,11,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,17,15,17,14,18,
15,18,15,19,17,19,19,19,18,19,19,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,21,20,18,16,19,16,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14, };
static unsigned short stb__courier_25_latin_ext_s[560]={ 247,250,204,189,198,179,151,251,247,251,147,
45,189,57,14,148,246,166,176,235,187,190,233,50,244,123,220,215,70,1,82,
210,1,1,239,232,188,120,94,1,175,234,14,66,162,136,148,219,201,217,133,
27,124,137,30,16,225,162,214,249,47,115,227,84,26,134,92,197,189,158,62,
163,74,88,104,50,39,14,56,94,118,105,1,209,244,170,29,183,80,55,104,
164,252,158,38,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,
197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,247,26,201,
112,126,99,253,193,49,151,172,114,214,57,99,68,237,63,164,181,32,30,242,
20,245,157,195,43,174,159,144,131,222,155,14,104,182,237,37,197,183,98,209,
222,111,132,1,11,80,149,55,208,71,21,170,137,78,118,13,29,57,135,202,
13,92,111,224,223,211,176,106,114,230,99,87,129,118,107,96,126,72,29,212,
188,200,13,1,146,57,11,36,74,182,28,221,234,119,202,77,60,36,107,68,
49,208,24,1,209,25,221,102,195,52,25,163,228,134,141,160,146,78,121,147,
38,50,54,148,92,87,105,34,67,135,120,24,82,183,240,173,13,92,240,67,
100,57,93,14,1,126,80,235,75,68,161,187,170,220,244,41,222,88,189,52,
84,43,96,70,67,33,96,1,140,1,109,37,84,195,205,174,239,111,166,52,
1,81,189,80,14,63,25,139,133,13,158,243,231,40,134,1,228,173,153,227,
75,121,169,41,51,27,61,110,214,175,236,14,41,151,196,68,164,23,124,13,
216,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,202,197,197,215,
197,197,197,197,197,197,197,197,197,197,197,197,197,45,226,197,197,197,197,197,
197,197,197,197,197,197,197,197,134,120,197,197,197,197,197,197,197,197,197,197,
197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,200,1,
241,59,1,151,43,176,167,27,140,127,113,142,181,154,197,197,197,197,197,197,
197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,
197,197,197,1,16,207,64,90,1,197,197,197,197,197,197,197,197,197,197,197,
197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,
197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,
197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,
197,197,197,197,197,197,197,197,197, };
static unsigned short stb__courier_25_latin_ext_t[560]={ 19,117,256,62,43,151,213,167,1,62,256,
242,256,267,267,81,151,198,198,151,198,151,134,151,134,134,242,213,242,267,242,
198,134,242,228,198,228,228,228,213,228,213,213,228,213,213,228,198,228,99,228,
213,213,198,242,242,228,228,228,81,99,99,256,267,267,242,167,242,167,242,213,
167,213,213,1,213,213,256,256,242,167,167,256,242,198,242,256,242,256,167,256,
81,23,81,267,198,198,198,198,198,198,198,198,198,198,198,198,198,198,198,198,
198,198,198,198,198,198,198,198,198,198,198,198,198,198,198,198,198,19,167,151,
213,256,213,1,99,267,198,256,256,256,267,198,267,256,198,256,256,267,167,99,
267,256,256,256,256,183,183,183,167,23,23,43,117,81,23,228,81,23,43,81,
81,43,23,99,99,228,117,23,1,43,99,23,256,167,23,23,43,43,43,213,
167,117,134,117,151,151,117,242,198,99,134,134,151,151,151,151,198,151,198,117,
117,117,151,151,242,242,134,134,134,134,1,1,1,117,182,99,151,117,228,23,
134,43,134,62,134,62,134,99,134,228,151,117,167,99,151,99,134,117,183,99,
151,62,1,43,23,62,23,99,1,81,99,228,183,99,167,99,228,99,182,99,
62,99,256,198,23,62,1,81,62,256,43,43,81,43,213,198,213,198,213,198,
43,167,81,183,81,183,183,183,167,81,183,62,151,1,99,213,242,62,151,81,
198,81,183,23,117,62,117,62,183,62,134,43,43,81,134,228,182,43,151,62,
198,43,134,23,117,23,134,81,182,62,117,81,1,62,23,167,62,183,81,183,
167,198,198,198,198,198,198,198,198,198,198,198,198,198,198,198,167,198,198,62,
198,198,198,198,198,198,198,198,198,198,198,198,198,183,242,198,198,198,198,198,
198,198,198,198,198,198,198,198,117,242,198,198,198,198,198,198,198,198,198,198,
198,198,198,198,198,198,198,198,198,198,198,198,198,198,198,198,198,198,62,167,
62,183,43,167,43,167,1,81,1,1,1,23,1,1,198,198,198,198,198,198,
198,198,198,198,198,198,198,198,198,198,198,198,198,198,198,198,198,198,198,198,
198,198,198,1,1,23,117,1,117,198,198,198,198,198,198,198,198,198,198,198,
198,198,198,198,198,198,198,198,198,198,198,198,198,198,198,198,198,198,198,198,
198,198,198,198,198,198,198,198,198,198,198,198,198,198,198,198,198,198,198,198,
198,198,198,198,198,198,198,198,198,198,198,198,198,198,198,198,198,198,198,198,
198,198,198,198,198,198,198,198,198, };
static unsigned short stb__courier_25_latin_ext_a[560]={ 212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_25_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_25_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_25_latin_ext(stb_fontchar font[STB_FONT_courier_25_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_25_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_25_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_25_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_25_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_25_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_25_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_25_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_25_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_25_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_25_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_25_latin_ext_s[i] + stb__courier_25_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_25_latin_ext_t[i] + stb__courier_25_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_25_latin_ext_x[i];
            font[i].y0 = stb__courier_25_latin_ext_y[i];
            font[i].x1 = stb__courier_25_latin_ext_x[i] + stb__courier_25_latin_ext_w[i];
            font[i].y1 = stb__courier_25_latin_ext_y[i] + stb__courier_25_latin_ext_h[i];
            font[i].advance_int = (stb__courier_25_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_25_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_25_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_25_latin_ext_s[i] + stb__courier_25_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_25_latin_ext_t[i] + stb__courier_25_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_25_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_25_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_25_latin_ext_x[i] + stb__courier_25_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_25_latin_ext_y[i] + stb__courier_25_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_25_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_25_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_25_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_25_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_25_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_25_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_25_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_25_latin_ext_LINE_SPACING
#endif

