// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_26_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_26_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_26_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_courier_26_latin_ext_BITMAP_HEIGHT        154
#define STB_FONT_courier_26_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_courier_26_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_26_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_26_latin_ext_LINE_SPACING          12

static unsigned int stb__courier_26_latin_ext_pixels[]={
    0x00005880,0x0c880000,0x439802e0,0x003800c8,0x809800b8,0x80000009,
    0x0002001c,0x5915c000,0x4c058800,0x14c00180,0x30050130,0x02c40009,
    0xb8002c40,0x8006a002,0x02c4002b,0xd3000350,0x401bdddd,0x2001dc4a,
    0x0051002b,0x2600a062,0x000a2001,0x220a0053,0x00140a01,0x02b80051,
    0x174c0004,0x80174400,0x07e2002a,0x5c07b7a2,0xd1007cc6,0xbb1003db,
    0x4459805d,0x0009d006,0x65c009b1,0x05fd502c,0x03dcc800,0x2a00f4c0,
    0x4007d11e,0x4ba601ea,0x1d7004d8,0x002e9800,0x6c000f4c,0x0fb72005,
    0x2001f440,0x2e8800da,0xd7000000,0x372005d8,0x0dde9800,0x0b91f440,
    0xa803eeb8,0xbd7004ee,0x261d7009,0x950b202e,0x0137aa00,0x0b2006e4,
    0x8001e980,0x016002e8,0x1e983d10,0x98b505d3,0x263d500e,0x44fa202e,
    0x5dee404e,0x06f8802e,0x20017440,0x00590124,0x546a3d10,0xd864f606,
    0x07b3a603,0x8800eb80,0x54002ecd,0x03d3000e,0x4001ea80,0x9d1004d8,
    0x4d801762,0x36733d80,0x800fa203,0x000f446a,0x2009b000,0x003d51eb,
    0x5d807dbb,0x86e40372,0x437600ec,0x674c00ec,0x5674400e,0x0eb800ec,
    0x026c01d7,0x15000cd8,0x003d1000,0x40001fcc,0x0001440a,0x301440a8,
    0x57100703,0x00044001,0x23200066,0x00164048,0x203980c8,0x4401a81a,
    0x0024000c,0x198000dc,0x50001500,0x00510001,0x000540cc,0x35035007,
    0x26001900,0x00000c83,0x41c00710,0x80370029,0x0700a828,0x260a2033,
    0x40048801,0x20e001c9,0x90071019,0x40bbd99d,0x98002dc8,0x000dc000,
    0x00000000,0x00000000,0x00000000,0x6400bc88,0x0ccc4002,0x26620ccc,
    0x3a819981,0xc8750164,0x400a8802,0x19981998,0x31002a20,0x80333033,
    0x896609a8,0x01998199,0x331002a2,0x75033303,0x333102c8,0x76c43330,
    0x06f7541d,0x4c001530,0x0666200a,0x00980666,0x44006a60,0x054c000a,
    0x40035300,0x00999999,0xc85a8026,0x005c2e05,0x00059770,0x77777640,
    0xddddd70e,0x53bb661d,0xb12eeed9,0xdeea83bd,0x96ff6c40,0x7f6c43ed,
    0xd887db2d,0x27db2dfe,0x7541ded8,0x066620de,0x22b20666,0xd80bdfec,
    0x3bb23eef,0x8fbbf64e,0x2e44eeec,0x745c813a,0x373ba204,0x7ddfb03e,
    0x22277764,0xb03edcee,0x77647ddf,0xdced884e,0x3f61e8cf,0x3bbb23ee,
    0x76e77444,0x47ddfb03,0x2e44eeec,0x777ec13a,0xa93bbb23,0x0fcc409e,
    0x77ee76c4,0xdced8868,0x77ec68ef,0x93bbb23e,0xdbeddec8,0xfecdec80,
    0xdcee886b,0x33b6203e,0xd9068efd,0x40d7fd9b,0xeeeeeeeb,0x3b77b221,
    0x2203a0db,0x005c2e01,0x36202490,0x27db2dfe,0x1d999998,0x3b333331,
    0x4c5a6662,0x27aa2c99,0x260fcc40,0xfbeb89cf,0x2273e609,0x2609fbeb,
    0xfbeb89cf,0x1027aa09,0xeefd83f3,0x913bbb23,0x3b6a3bd7,0x0ee01c80,
    0x003b8072,0x3d300000,0x807207b0,0x6c0f4c3b,0x1dc03903,0x3f661744,
    0x0ee01c82,0x207b03d3,0x000ee01c,0x07700e40,0x6c12a03b,0x2d87ea82,
    0x01c87ea8,0xf90790ee,0x7e884d81,0x81ec0f4c,0xd87ea82d,0x2007e884,
    0xf907904a,0x44000ec1,0x46c003dc,0x273e6049,0x009fbeb8,0x207600ec,
    0x1d857068,0x203d0950,0xfd01e87e,0x41fa03d0,0x3209501d,0x3f20ee01,
    0x0390b702,0x700e41dc,0x00000007,0xc81d807a,0x03d0ee01,0x700e40ec,
    0x3b205b07,0x0ee01c83,0x640ec03d,0x0000ee01,0x307700e4,0x0f603a0b,
    0x501ec7a8,0x1dc0390f,0xc83e20d1,0x03d1e204,0xa80f60ec,0x0f102647,
    0x83442540,0x02fa60f8,0x004cccc0,0xe802ee20,0x3600fd01,0x3440ec01,
    0xe82cc2b8,0x8f703540,0xd51ee06a,0x05983dc0,0xb807201d,0x3e206c83,
    0x07700e40,0xd91dc039,0x646ed88b,0x2376c45e,0x6434c04a,0x04a8ee01,
    0x700e434c,0x3b506987,0x2e01c81f,0x0d3012a3,0xd91dc039,0x906ed88b,
    0x1e81dc03,0x40344254,0x21201a24,0x498ee01c,0x4100d0a0,0xd134c04a,
    0x08068900,0x12612a00,0xcedb8828,0xdfddd701,0x0d500000,0x01d803dc,
    0xb83440ec,0x42541e82,0x771e203b,0x80ee3c40,0x9507a078,0x07700e40,
    0x642c8079,0x0720ee01,0x21a623b8,0x434c4699,0x400ec699,0x8ee01c85,
    0x1c85801d,0x30570ee0,0x0390ba1d,0xb003b1dc,0x11dc0390,0x20d330d3,
    0x4c0ee01c,0x01d40745,0x64000ea0,0x01b0ee01,0x1d800930,0x000ea580,
    0xa8000093,0x20001b04,0x55c03ea8,0xfeca801d,0x203b80be,0x803b0078,
    0x5706881d,0xb80e8b30,0x0971e604,0x9812e3cc,0x01d16607,0x907700e4,
    0x0e42d809,0x40390770,0x0d03443b,0x03a340d1,0x40390720,0x32003a3b,
    0x87700e41,0x790f441c,0xe8ee01c8,0x0e41c800,0x20688770,0x1dc03906,
    0x5c16a3d0,0x0015c002,0x30ee01c8,0x0ae0157b,0x39001d00,0x057000ae,
    0x304a8000,0x2000157b,0x02547406,0x35442b22,0x00f3025c,0x103b0076,
    0x8f40ae0d,0x640f305a,0x8f903cc7,0xd01f2079,0x039016a3,0x807e41dc,
    0x700e40f9,0x1dc03907,0x688681a2,0x2e00f1a0,0x47700e42,0x1c857007,
    0xd81b0ee0,0x80722543,0x15c01e3b,0x443b8072,0x00e41a06,0x1eacc077,
    0x2c800590,0x5c039000,0x89dd7103,0x803c002c,0xc800592b,0x25400002,
    0x313bae20,0x59807403,0x42c8001a,0x401f2079,0x440ec01d,0x56605706,
    0x220f601e,0xf883d87f,0x7f883d87,0x401eacc0,0x320ee01c,0x3909904f,
    0x00e41dc0,0x1a068877,0x074681a2,0x80720e40,0x32003a3b,0x87700e41,
    0x0ee12e2d,0x1d1dc039,0x01c83900,0x340d10ee,0x00ee01c8,0x015c0b7d,
    0x64000ae0,0x5c00ee01,0xdd90570e,0x2003abdd,0xb800571c,0x5eeeec82,
    0x4004a812,0x2a0d70eb,0x02c8b205,0x07b07500,0x07600ff1,0x20d103b0,
    0x016fa02b,0x3fb57dd1,0xb57dd10f,0x7dd10f3f,0xd00f3fb5,0x403900b7,
    0xcfdac83b,0x03904fc9,0x700e415c,0x21a06885,0x03b1a068,0x5c0390b0,
    0x21600762,0xb70ae01c,0x321641a6,0x01d8ae01,0x2e01c858,0x20d03442,
    0x300ae01c,0x0025403f,0x0e40012a,0x95c00570,0xf999884a,0x54b003b0,
    0x44254004,0x0d10f999,0x95c00254,0xeda9bdeb,0x80b31a01,0x3eeffed9,
    0xfdabee88,0x803b0079,0xfffff91d,0x980ae3ff,0x7b95001f,0xbdca81e1,
    0x5ee540f0,0x03f300f0,0x415c0390,0x039b952c,0x503b0254,0x1a20ec09,
    0x1a068868,0xa8698095,0x04a87604,0xb025434c,0x80e8f883,0xb02540e8,
    0x1a602543,0x441d812a,0x02541a06,0x4059803b,0x03440068,0x87604a80,
    0x068a5404,0xd3012a78,0x1a200344,0x2e0689e0,0x8a540482,0xa803bd50,
    0x7d500e84,0x9501dc43,0x6c01e17b,0x2000ec01,0x0016602b,0x01e001e0,
    0x016601e0,0x903b0254,0x20f10005,0x107880f8,0x1e60d01f,0x1e879834,
    0x41e20760,0xb00f40f8,0x3e20f103,0x7902fd80,0x03e20f10,0x440ec03d,
    0x0d01f107,0x883c41e6,0x400ec00f,0x9706c04b,0x83c40d80,0xd80fe0f8,
    0xe8f00f61,0x09707601,0xf00f60d8,0x3e0b0344,0x16407603,0x555566c0,
    0x2a01d03d,0xf0078003,0x3d000d00,0x20000ec0,0x02c40058,0x07601620,
    0x0f883c40,0x990002c8,0x9901f441,0x2c81f441,0x42c83f54,0x82e987ea,
    0x8833202d,0xd82e983e,0xe8833202,0xc839fb03,0xe8833205,0x2d82e983,
    0x3e883320,0x07ea8590,0x03e88332,0x1bb002cc,0x0dd83e88,0x0cc81f44,
    0x83ff0fa2,0x81f445b8,0x6c174c78,0xe881bb02,0x7881f443,0x40ee06ec,
    0x02dc41ff,0xcce88059,0x5986cccc,0xb1000f20,0x3b80b700,0xb3035400,
    0x005d0000,0x174002e8,0x99001660,0x2c81f441,0x377f2000,0xddfc803f,
    0x377a203f,0x441fe8df,0xfe8dfdde,0x76e76c41,0xfddfc803,0x373b6203,
    0xddfc803e,0xfb1b703f,0xf9007fbb,0x6c407fbb,0xc803edce,0x2203fddf,
    0xfe8dfdde,0x7fbbf901,0x9bd99910,0x337ee001,0x37ee01ee,0x7e401eec,
    0xe8d83fdd,0x900dfddf,0x05dd99bf,0x07db9db1,0x1eecdfb8,0x3b337f20,
    0xdcdfa82e,0x37fa3603,0x07200dfd,0x40ec0770,0x01f7440e,0x99970ba0,
    0xecccb8bf,0x7666400c,0x3b33220e,0x999000cd,0xccc807fb,0x666403fd,
    0xccc883fd,0x32000cde,0xc983fddf,0x0000ccde,0x99800133,0x80033000,
    0x05440019,0x8004cc00,0x998000a8,0x19883600,0x00099800,0x33000151,
    0x00066001,0x555004cc,0x53000555,0x0054c001,0x22002660,0x35100099,
    0x00151001,0x22000a98,0x0198009a,0x0004cc40,0x12a00e80,0x2bbb37aa,
    0xccc81ffa,0xaaa983fd,0x002aa980,0x55402aaa,0x2a002aaa,0xaa8009aa,
    0xaaa8009a,0x2aaaa009,0x1330002a,0x0aaaaa20,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20000000,0x22068059,0x2aaa000a,0x00000009,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3a17fff2,0x00002fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0x39801818,
    0x33333116,0x00033333,0x01c92200,0x30110072,0x00000001,0x8004c044,
    0x26666200,0x05031009,0x20223db8,0x19981998,0x88050330,0x00000a81,
    0x4c0001a8,0x1006a00a,0x00980303,0x64001d40,0x04c04400,0x00130110,
    0x06050130,0x99999880,0x6c400000,0x75400000,0x30310001,0x000a8001,
    0x4c0002e2,0x824c0003,0x301722e9,0xdd50f61d,0xfddddfdd,0x44000d01,
    0x2f80b92e,0x21a22cc0,0x76c007ec,0x459802fe,0x409b0068,0x04eeeeec,
    0x702e47d1,0x03d9d939,0x75c5ddf9,0x12e983ee,0x23e8809b,0x2b8e405c,
    0x002eec80,0x904cde98,0x1f4405dd,0xbbd910d9,0x6e401b7d,0x00fa2000,
    0x980d1166,0x76c07445,0xd11ea86e,0x6c007607,0x1ceeeefe,0x8809ddf0,
    0x73d9803e,0xb817e405,0xec93a203,0xde9a2000,0x59d7d500,0x03d5003d,
    0x01d5006e,0x2026e6c4,0x7507b1e9,0x3c06c2c8,0xb72e8800,0xbb003d00,
    0x03c07d77,0x36005900,0x4403ebbd,0xb000003e,0xa88007db,0x3b807200,
    0x00fb3620,0xc803edd8,0xa6c40591,0x074004d8,0x13629b10,0x904ddd88,
    0x3601f907,0x01744005,0x07d77bb0,0x07d77b90,0xd9d10688,0x1002d405,
    0x0f07b30d,0x6c00ba60,0x40300b21,0x6ee400f8,0x5c3b8004,0x02da8103,
    0x0b200eb8,0x57000dc8,0xa81c3300,0x20361643,0x1c510007,0x55c40000,
    0x90003c00,0x055c4005,0x1d401740,0x806e00b2,0x19981998,0x00ee01c8,
    0x06e0006e,0x201c8ec0,0x3000b829,0x0b829809,0x068815c0,0x000e01f1,
    0x2e200066,0x2ee2000a,0x5c068800,0x1000e800,0x803c340d,0xc8d10019,
    0xd802a602,0x0002a804,0x4406881d,0x200e000a,0x3000a02c,0x802a2001,
    0x4361643a,0xeeeefed8,0x8199882e,0x10000199,0x000f0015,0x33310164,
    0x80003330,0x9882745c,0x6c099999,0x3bb23eef,0x7700e44e,0x00266660,
    0x33333331,0x6c3a0333,0x88099981,0x01640099,0x83310133,0x19999999,
    0x4cc28126,0x10199999,0x33333333,0x99999883,0x33009999,0x9a200133,
    0x00999998,0x0d1004a8,0x4c41e164,0x88009999,0x3b621646,0x5468efdc,
    0x09999887,0x6884b800,0x7db9dd10,0x26202660,0x99988b21,0x20999999,
    0xdbeddec8,0x76e77440,0x21642983,0x4ccfccc3,0xeefd8099,0xb93bbb23,
    0x74401eee,0x1e03edce,0x2c80bddb,0xc8fbbf60,0x3bb64eee,0x2600002f,
    0xeeeefeee,0x07700e40,0x5c1dc039,0x5406feee,0xeeefeeee,0x03a680fe,
    0x4c1dddf5,0x3200efee,0x88bdf902,0xddf13efe,0x0d8fdddd,0xeeeef880,
    0xfee887ee,0x0feeeefe,0x3bbbbfb6,0xeeb83eee,0x4d1006fe,0xceeeefed,
    0x44007401,0x20f03a06,0xceeeefed,0x8591a201,0xe87ea82d,0x3bbbfa22,
    0x1d000cee,0x03d30d10,0x45efc87b,0x4593efe8,0xeeeeefed,0x320f23ee,
    0x3607a60f,0xf002c803,0x2e01c800,0x0164cc43,0x207b03d3,0x200cf5c7,
    0x700e402c,0x00016407,0x1c805900,0x80720ee0,0x0ed5c03b,0x6c2c8750,
    0x3a67e660,0x200ae099,0xefee981c,0x8834c0de,0x2d41620e,0x4402af66,
    0x5d40b505,0x3440e868,0xdab80770,0x34468801,0x09701ecc,0x07d30d10,
    0x6cc3440f,0x22c8d103,0x361ea03d,0x75c40e85,0x6882d400,0x307601e8,
    0x2c83a20d,0x22770344,0x0f41f106,0x02c803b0,0x01c800f0,0x202c80ee,
    0x9e07601e,0x059000eb,0x80ee01c8,0x88bd902c,0x016406ed,0xc83b8072,
    0x1d00ee01,0x321d4095,0xfed986c2,0x2a2eefee,0x40360443,0x9019bc99,
    0x85885b07,0xdd7100e8,0x0e885889,0x3a1a2720,0x07703440,0x8804a8e8,
    0x80d03446,0x777c400e,0x40f00dfe,0x2c41a068,0x240344b2,0xa807435c,
    0x6880f405,0x21a60254,0x0542d83c,0x933b81a2,0x98095140,0x78016406,
    0x7700e400,0x04a81640,0x05cbc34c,0x07201640,0x40b203b8,0x06998698,
    0x80720164,0x2e01c83b,0x20696603,0x0361643a,0x249834d1,0x640345f8,
    0x16a0e802,0x800b6162,0x5b0b10eb,0x0b0d1680,0x300cc0d1,0x2344034b,
    0xb80b2068,0x4ccf4403,0x440f00ec,0x7910b206,0x000752c8,0xd803a1ea,
    0x3e80b301,0x74160076,0x344016a0,0x4006c330,0x6405801d,0xc800f002,
    0x2c80ee01,0xf0b003b0,0x2c8001fb,0x07700e40,0x40d10164,0x32016406,
    0x0720ee01,0xc8b202b8,0x42c85302,0x20d15883,0x683b2a59,0x69802c80,
    0x970201d1,0x20457000,0x68acc04b,0x32344031,0x16459000,0x40d11a20,
    0x101a200e,0x0f01d50d,0xe81d0344,0x02b9640f,0x0e81f300,0x00ec12a0,
    0x400753ea,0x1d16981c,0x0191a200,0x7402af66,0x3201c800,0xc800f002,
    0x2c80ee01,0x839001d0,0x2000eaaf,0x700e402c,0xd1016407,0x00b20340,
    0x541dc039,0x46803a04,0x80b20059,0xaebaeba9,0x59593442,0x00b201a2,
    0x980165e4,0x04a80906,0x227700d3,0x3a204b9e,0xd000e999,0x23440598,
    0x803e9868,0x5c1a202c,0x21a20784,0xc89903e9,0x2a000592,0x16200e87,
    0x787a01a6,0x2f205700,0x27a2002c,0x5c400e99,0xb803c4ee,0x3400b202,
    0x3b807200,0x803c0b20,0x01d53c2b,0x03900b20,0x405901dc,0x5901a068,
    0x0ee01c80,0x2a05983c,0x59000e84,0x6e76e5c0,0x23a784ce,0x5900b34a,
    0xd002f400,0x1d80fe03,0x23b003d0,0x2204dcf8,0x800fcccf,0x2200e84a,
    0x7f777c46,0x40d1000d,0x0f0b6068,0x6ff777c4,0x25916200,0x0d70002b,
    0x6c2c401d,0x03a34402,0x05e80720,0x999f106e,0x0eb8001f,0x4039001d,
    0x3057002c,0x1dc03907,0x003a0590,0x05a8f072,0x01c80590,0x202c80ee,
    0x5901a068,0x0ae01c80,0x05b30664,0x6d55566c,0x50059003,0xd1681269,
    0x2c8049b4,0x6400b200,0x7107fe03,0x7c00f20b,0x40736baa,0x6c007468,
    0x03daaaac,0x333d11a2,0x16c001d9,0xf1a20688,0x64ccf440,0x591a200e,
    0x2ec0012a,0x88b30074,0x0ec68806,0x80b202c0,0x03a3442c,0x00ecae00,
    0x7fffdc2c,0x3b6201ff,0x1c82eedc,0x02c80ae0,0x0f0b003b,0x805900b7,
    0xc80ae01c,0x0681a202,0x812a0164,0x3b7aa01d,0x333a201d,0x9006cccc,
    0x12a77005,0x2363b8d8,0x002c803a,0x216a00b2,0xbbfd1b2a,0x50b501bf,
    0x6ccce985,0x0c18d100,0x66666744,0xd11a206c,0x26001d50,0x0ffffe86,
    0x440f2fc8,0xd100ea86,0x000d12c8,0xb803a07e,0x34401643,0x80d3012a,
    0xd10b202c,0x54048c18,0x06980954,0x01a88000,0x5c3b0254,0xffffffff,
    0x26980952,0x7ffc47fc,0x3fffff66,0x02543fff,0x2016403b,0x2c80f306,
    0x0f883c40,0x3b801e80,0x0b200760,0x901dcae0,0x15ddc3b3,0x0b200340,
    0x07701d10,0x3a201591,0x11643b80,0x0688530d,0x3b01dc34,0x20d11a20,
    0x0076004b,0x0d103c00,0x3234412e,0x41b012e2,0x6c01d06a,0x34401a21,
    0x803b00f4,0xd10b202c,0x6c07f680,0x01d807a1,0x0b60016c,0x07c41e20,
    0x07a00d88,0x000001d8,0x1f107880,0x0b201640,0x02c80fd5,0x0fa20cc8,
    0x00e802c0,0x00b2012a,0x57015cb2,0x401cd98d,0x0164004b,0xa81dc0b6,
    0x2e05b00d,0x50d10743,0x43c06889,0x4412a00e,0x05b03446,0x12e01660,
    0xb03440f0,0x42c8d105,0x21f440dd,0x3201d03e,0x58801dc4,0x02d82e98,
    0x10b202c8,0x83ff780d,0x4174c5b8,0x006d802d,0x0cc8036c,0x02a80fa2,
    0x016c174c,0x4b80036a,0x3a20cc80,0x22016403,0xfe8dfdde,0x32005901,
    0x2003fddf,0x0b301dcc,0x005900d0,0xda80b239,0xed80de85,0x164000be,
    0x41dc0970,0x04b8398a,0x344688ee,0xf01a2254,0x10680598,0x1a20688d,
    0x5c201e80,0x06881e01,0x5916c1a2,0x3dd9bf70,0x303a0798,0x2001d0b9,
    0xb9db103c,0x80b2007d,0x5e03442c,0xdfddfe8d,0xedced880,0x80075003,
    0x37f2003a,0x66c403fd,0x373b6205,0x03a8403e,0x32006e10,0xc803fddf,
    0x98033002,0xffffffff,0x0004cc00,0xfffc8044,0x42fffe85,0x1ffffffb,
    0xf3004430,0x0040f905,0x3ffffee0,0x7fffe41f,0xca83ffff,0xffffc80b,
    0xff93ffff,0x3fffff6b,0x3fffa4ff,0x27ffffff,0xfe85fffc,0x4dffd2ff,
    0xc80ffffe,0x2039802f,0x7ffc03ca,0x03ffffa4,0x27910bf2,0x402a601b,
    0xffff882b,0x03982dff,0x151007b0,0xfffff700,0x3fa1b83f,0xffffffff,
    0x80099887,0x024000a8,0x99800240,0x44006000,0x1793000a,0x000f2a00,
    0x3ff60133,0x03ffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x33310000,
    0x22019881,0xea800981,0x4c026200,0x20c88099,0x06c40049,0x40000e40,
    0x0e6000d8,0x98006a00,0x5b91001a,0x40153000,0x00099999,0x498000ec,
    0x09306440,0x26000d40,0x002a8001,0x40130110,0x07600982,0x26207500,
    0x10099999,0x22024c19,0x0000000b,0x99998002,0x3ffe6000,0x15100fff,
    0x1260c880,0x4c001710,0x1a8800ab,0x3e600000,0xb00fffff,0x3a61ddfd,
    0x49d103ff,0x2fc800ec,0xd90dfd50,0x43f309dd,0x5d1000fa,0x000ba200,
    0x2a003e88,0xb9000dde,0xcdec807d,0x42e06bfe,0xced8800b,0x3aa68efd,
    0x4006eefe,0x754001e9,0xf50fcc01,0x07db9001,0x400fbae0,0x401eddd8,
    0x0d11663b,0x803ae5d8,0x1d7001e9,0xddfddd10,0xa87e60bd,0x9d7d500f,
    0xec8803d5,0x903cecde,0xeeb803b7,0x000006fe,0x3a73b3aa,0x1f50fcc2,
    0x2b3afaa0,0xf97d701e,0x373b6205,0x66ec404e,0x00000ecc,0x00ea8344,
    0x4004ddc8,0x704ec801,0x26000007,0x1f44001e,0x00174c00,0x803ae1b9,
    0x20bb13e8,0x207e884d,0x5b00170b,0x0760fd50,0x002e8800,0x000001d7,
    0x05d8a744,0x02ec5362,0x01e98ba2,0xbbdd81f1,0xddeb803e,0x402e8800,
    0x00b2005c,0x36a04000,0x4c5fd402,0x091c4092,0x000ed5c0,0xa81002a2,
    0x8100002d,0x88b502da,0x6417440f,0x02e03605,0x33303331,0x016e1a20,
    0xa9800550,0x40756401,0x40ccc43b,0x00540199,0x33000500,0x01982800,
    0x9902a066,0xb9103c40,0x5407b007,0x80003b07,0x00070028,0x06600151,
    0x5414402a,0x2e400000,0x2000ab88,0x01440039,0x4059000e,0x99999998,
    0x33330099,0x94cbd001,0x01d46c04,0x200951d0,0x03edcee8,0x13333331,
    0x99999988,0x99804c40,0x0b203a09,0x441e405b,0xefd81503,0x13bbb23e,
    0x880991a2,0x01333009,0xd7fd9bd9,0x770b5590,0x323eefd8,0x02624eee,
    0x4cc04ccc,0x26600099,0x26600099,0x99880099,0x03409999,0x09999804,
    0x82403440,0x3331001d,0x81333333,0x80099999,0x03edcee8,0x33333331,
    0x81988133,0x02f64099,0x33107e20,0x98813333,0x99999999,0x4ccccc40,
    0x4cccc409,0x80b20099,0xeeeeefed,0xeeeb83ee,0x30fc406f,0x05930125,
    0x300d2cc0,0xe987b03d,0x0eeeefee,0xdddfddd3,0x21bfaa1d,0x0b34eeec,
    0x440698ea,0x6400580e,0x3440ee01,0x6fea809b,0x6c4eeec8,0x2c87e884,
    0x1c83b85b,0x6fea8ee0,0x5c4eeec8,0x7006feee,0x200dfddd,0x406feeeb,
    0xeeefeee9,0x2000930e,0x406feeeb,0x0760003a,0x7777f6c0,0x3aa3eeee,
    0x4c06eefe,0xed83d81e,0xeeeeeeef,0xc8fbfa63,0x02c40efe,0xddd31aa0,
    0x6c1ddddf,0xeeeeeefe,0x3fbba63e,0xdd30eeee,0x01ddddfd,0x40d100b2,
    0x0ed5c03b,0x09298be0,0x64590000,0x3b00f402,0x2c801640,0x3b827640,
    0xb936a0ea,0x3322c802,0x039000dc,0xe8e881dc,0x413b2006,0xf102643b,
    0x771a2590,0x41dc0390,0x807704ec,0x5c001dab,0x55c001da,0x40b2001d,
    0xab80002b,0x000ae01d,0x1a2001d8,0x003b03b8,0x881d807a,0x0d10ee06,
    0x4005883c,0x2016404e,0xc80ee068,0x20059002,0x7034402c,0x04a8e807,
    0x912532ec,0x06ed88bd,0x4a816634,0x059034c0,0xd5900b20,0x51647701,
    0x00ec999d,0x362399dc,0x2e01c803,0xd95dd103,0x01d59003,0x80806877,
    0x83b8f22c,0x320ee01c,0x403b80ea,0x74004a8e,0x474004a8,0x40b2004a,
    0x8e80002c,0x000b204a,0x1a2001d8,0x003b03b8,0x88698095,0x0d10ee06,
    0x4005883c,0x2016403f,0xc80ee068,0x20059002,0x3034402c,0x00d2cc03,
    0x112555db,0x40d330d3,0x3b00e84a,0x01640b00,0x556402c8,0xe8b23b85,
    0x40074950,0x076a164a,0x40ee01c8,0x003aa1f8,0x4770b559,0x85900049,
    0x0390770e,0x2d5641dc,0x34b301dc,0x0034b300,0x590034b3,0x3bb20ae0,
    0x34b305ee,0x6c000570,0x06881101,0x400ec066,0x6885801d,0x40d10660,
    0x3faeb107,0x402f881c,0x3034402c,0xc8016403,0x88059002,0x2c800646,
    0x36e600b2,0x340d1092,0xb55559b0,0x32003a07,0x32005901,0x42d96402,
    0x5254b23b,0x1dc00ec9,0x207901b3,0x440ee01c,0x96405a86,0x0571dc2d,
    0x2b50b200,0x2e01c83b,0xb85b2c83,0x02c8b203,0x80164590,0x6400b22c,
    0x33109502,0xc8b201f3,0x40009502,0x6887701d,0x00ec0064,0x20e40074,
    0xd1006468,0xbee883c0,0x1f883d50,0x1a201640,0x00b20019,0x02c80164,
    0x074ccf44,0x002cc680,0x81a21253,0x9999d106,0x401e0d99,0x2005902b,
    0x6896402c,0x9a2591dc,0x3200b24a,0x2541ec42,0x207700e4,0x6403b068,
    0x323b8d12,0xb0590002,0x40390773,0x8d12c83b,0x0b31a03b,0x200b31a0,
    0x2c802cc6,0x40f00d10,0x06882cc6,0x1dc07600,0x03a667a2,0x01e00760,
    0x267a215c,0x27a200e9,0x10799999,0xf88b305f,0x22016402,0x000e999e,
    0x00b20059,0x33e20164,0x4a800fcc,0x253000e8,0x41a06884,0x3a07603b,
    0x5901c800,0x5900b200,0x164771e4,0x34c997b9,0x6d403a20,0x700e4241,
    0x2cc1a207,0x771e4590,0x7776415c,0x74c1645e,0x2e01c83b,0xb8f22c83,
    0x01d09503,0x400e84a8,0xc800e84a,0x0f00f602,0x5c03a12a,0x0ec06c04,
    0x667c43b8,0x01d800fc,0x41c800e8,0x00fcccf8,0x333333e2,0x3c0b107c,
    0x00b201fc,0x01f999f1,0x16400b20,0x34402c80,0x2b36003a,0x3003daaa,
    0x681a2125,0x425401d0,0x3205801d,0xc8059002,0x2e3b8742,0x36265c44,
    0x3200f203,0x01c84a8b,0xd03440ae,0x21d0b201,0x26212a3b,0x81640f99,
    0x201c83ec,0x8742c82b,0x5559b03b,0xacd807b5,0x6c03daaa,0x03daaaac,
    0x0fa202c8,0xaacd83c4,0x37603daa,0x1d81f440,0x74688770,0x1101d800,
    0x22160076,0x0d100746,0x1e05883c,0x80590136,0xc8007468,0x20059002,
    0x0634402c,0x9999d103,0x4a600d99,0x21a06884,0x4a868059,0x059034c0,
    0x85900b20,0x034c775a,0x0b907d10,0x4a80f540,0x3ffa0760,0x07fdc0ff,
    0x8eeb50b2,0x7f478068,0x41fc43ff,0x3207604a,0x883bad42,0x6cccccce,
    0x33333a20,0x33a206cc,0x806ccccc,0xcdfc802c,0xce882eec,0x406ccccc,
    0x41eecdfb,0xfffffffa,0x23443fff,0x701d80c1,0x0d3012a7,0x220c18d1,
    0x02c41e06,0x2c80d50f,0x03063440,0x02c80164,0xfffffff1,0x8680d10d,
    0x2007603b,0x4c1a0929,0x42fffe47,0x0f42fffe,0x016403b0,0x416402c8,
    0x00f43b9d,0x7fbbd910,0x102c0220,0x0003e20f,0x2760b200,0x1e01ec3b,
    0x10788000,0x3b05901f,0x6c077077,0x0ec07701,0x007603b8,0x4d440059,
    0x1d80ee00,0x0000bb80,0x83406880,0x0f47701d,0x80d103b0,0x20f03446,
    0x17c1e058,0x06880590,0x20059034,0x00d8802c,0x3a1e0344,0x26012a00,
    0xd50b2092,0x4064000f,0x402d82e9,0x8059002c,0x43be982c,0x3600985a,
    0x580d401d,0x7d106640,0x4006d400,0x43be982c,0x00f103e8,0x199001b5,
    0x82c81f44,0x00e83be9,0x5007412a,0x4a803a09,0xb5001640,0x2a00e801,
    0x000d9804,0x0d10036a,0x2e03b078,0x0b60ba63,0xd11e0344,0x205883c0,
    0x1640b907,0x40f01a20,0x0059002c,0x80d10055,0x03402cc7,0x02767733,
    0xd1bfbbd1,0x4090003f,0x03edced8,0x059002c8,0x07d902c8,0x01df99d7,
    0x579ddfd1,0x4ccd547b,0xdfc801da,0x542003fd,0xd902c803,0x3337f207,
    0x3a8402ee,0x7fbbf900,0x3ec81640,0x4c3402cc,0x05986805,0x80164068,
    0x02cc0750,0x0e62a034,0x4403a840,0x01d83c06,0xdced8877,0xf01a203e,
    0x441e0688,0x07c41e05,0x034402c8,0x9002c81e,0x0b9b1005,0x3ffffffa,
    0x3ff27fff,0x2fffe85f,0x5552aaa8,0x80000660,0x15100cca,0x7ffffcc0,
    0xfff30fff,0x741fffff,0x1fc43fff,0x2a00aa88,0x2cb9899b,0x05555544,
    0x00026600,0xfe801793,0x01fc43ff,0x4c0026a2,0x4cc000bc,0x0ffffa00,
    0x7ffe47f1,0x92fffe85,0xffd0bfff,0x17fff25f,0x7ccbfffa,0x0fffffff,
    0x32017930,0xffe85fff,0x0199502f,0xe802f260,0xffffffff,0x3fffea7f,
    0x03ffffff,0xffe80151,0x7fffffff,0xfc8ffff2,0x3ffee3ff,0x20bffe60,
    0xfffff32a,0x7ff41fff,0x7fffffff,0x3fffffe6,0xffff30ff,0x0c01ffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x30644000,0x00274009,0x99988011,
    0x00999999,0x0024c191,0x026c00bb,0x1ffffff3,0x080660a0,0x02600000,
    0x4c04c026,0x3a800000,0x006a00b1,0x00000000,0x09809800,0x305102a0,
    0x00001503,0x200dcb10,0x00a60038,0xff300ae0,0x5001ffff,0x2004c003,
    0x00009818,0x7cc00360,0x000fffff,0x01988013,0x00071000,0x00003500,
    0x01f50fcc,0x2e00df10,0x3fb602cb,0x3eeeeeee,0x07d43f30,0x8803fc40,
    0x6400006f,0x9503d50d,0x2f400397,0x81a22cc0,0x6cc34459,0x8039fd75,
    0x802e88ea,0x30003edc,0xbd0007dd,0x3e2dd900,0x01a22cc2,0x20ba63d5,
    0x201763e8,0x5d1001eb,0xbbd5016e,0x04eeb801,0x00001720,0x4407db90,
    0x102edcdc,0xdd901d0d,0x4c05dddd,0x4000001e,0x982dedeb,0x9882edef,
    0x4b999819,0x40005fd5,0xdd903edc,0x00fddddd,0x20011000,0x40d10124,
    0x2000003b,0x80220008,0x09999998,0x40377aa0,0x7f880244,0x7d77b900,
    0x3ebbdc80,0x2619bd30,0x3a1d301e,0xd89f4402,0x80ee0005,0x2200d505,
    0x2f720f26,0xce9803eb,0x1f6e401e,0xd002fc80,0x1d7016e7,0x926c07ae,
    0x404d801b,0x99999998,0x13e88099,0xb107a0bb,0x3aefae03,0x20003904,
    0x999802e8,0x20d98009,0xb10f40e9,0x22eefc81,0x640beeeb,0x13e88002,
    0x3c0390bb,0x4004cccc,0x09999998,0x10126360,0x4cc1dc0d,0x4c419880,
    0x99999999,0x4cccccc0,0x3fbba619,0x2200eeee,0x0370a603,0xb8800220,
    0x1571000a,0x2cc17c40,0x30051098,0x2a001503,0x81eeeeee,0x22005907,
    0x55c40366,0x8005c000,0x8004001a,0x07002a28,0x15051033,0x76c01440,
    0xeeeeeeef,0x00a81983,0xba881260,0x80007200,0x7775c028,0xb81d806f,
    0x21a212a3,0x640ee01c,0xa8198002,0xb8930040,0x4c06feee,0xeeeefeee,
    0x80177100,0xf9066068,0x3efe88bd,0x3bbbbfb6,0x3be23eee,0x207eeeee,
    0x2200002c,0x00000244,0x68800000,0x000001e0,0x40770000,0xb4400307,
    0x00000018,0x00000000,0x00000000,0x20688000,0x2000003b,0x1c800068,
    0x2e000000,0x41a201da,0x06c07668,0x903b8072,0x00000005,0x3b570164,
    0x00016400,0x00323440,0x203a20d3,0x588ee068,0x01640b50,0x80ef7f5c,
    0xb803c9cb,0xec81defe,0x70376c45,0x2203bdfd,0x45ec9a06,0x76c46ed8,
    0x85eea81d,0x773dfdb8,0xeeefed88,0xbfb301ee,0xfb500d15,0xfd9803bf,
    0xdb828bef,0xb3039bef,0x20517dff,0x401dffda,0x28beffd9,0x39befdb8,
    0x17dffb30,0x1dc0d105,0x01dffda8,0x76542640,0x23900bef,0xefeb8008,
    0x951d001d,0x24b81e80,0x1c83700e,0xb9640ee0,0x5ec83efe,0xd00376c4,
    0x004a8e80,0xfd9500b2,0x4f44017d,0x3c800e99,0x40d102d8,0x3a21623b,
    0xe880b200,0x207d712d,0x88f260a8,0x87d712de,0x86998698,0x7d712de8,
    0x31340d10,0xb50d330d,0x83f31013,0x7bb52de8,0x333f3307,0x54fe6033,
    0x5f6c06be,0xb703fc88,0x2e2fe4c3,0x70fb511c,0x42fe4c3b,0x3fc88bed,
    0x7e4c3b70,0xda88e5c5,0x3261db87,0x2606885f,0xc88bed81,0x6ed4c03f,
    0xa8856440,0xbdfdb906,0x225bd103,0xd2cc03eb,0x3aa1ea80,0x0fe20f21,
    0xc81dc039,0x1dd52dea,0x34cc34c4,0x96605980,0x880b2006,0x40d510ac,
    0x00fcccf8,0x102d41d0,0x0b10cc0d,0x202c805b,0x401f103d,0x1ec0bdc9,
    0x03440f88,0x3e207b0d,0x88d03440,0x22341a06,0x40f61620,0x801e03fb,
    0x2e06f81d,0x0d307a05,0x220d12e4,0x8b9034c6,0xd307a05b,0x20d12e40,
    0xb9034c68,0x200c8d10,0x4407a05b,0x64000ffd,0x3661ba82,0x0f881ec4,
    0x402c8b20,0x4c1ffefa,0x32266c0e,0x7e40ee01,0x06889903,0x9015c01a,
    0x2c801645,0x22059000,0x69800746,0x234401d1,0x0970200c,0x01a60590,
    0x0bdc9897,0x44b80d30,0x0d31a068,0xd03444b8,0x6c1a0688,0x444a97a0,
    0x780fe207,0x03641a00,0x3635c03f,0x07d0a203,0x14407b02,0x6c6b807e,
    0x07d0a203,0x14407b02,0x074ccf44,0x035c03f0,0x75000f4c,0x6987c400,
    0x98d025c0,0x2ab7a205,0xebcfb85d,0x700e449b,0xf881f207,0x00681a20,
    0x1663401d,0xa8001640,0x0c18d103,0x100b2f20,0x001d333d,0x816401a6,
    0xcccccceb,0x982f26cc,0x66675c0b,0x446ccccc,0x99d71a06,0x8d999999,
    0x0d11a068,0xdb32c834,0x80950b21,0x5401e03d,0x1a60d304,0x000f8f10,
    0x05677ec4,0x0d30007c,0x0007c788,0x02b3bf62,0x3e20003e,0xd300fccc,
    0xd1007880,0xddffdb30,0xd72d8007,0x99999999,0x03a12a0d,0x4c25c0f4,
    0x1c8750bb,0x02640ee0,0x1a0688b6,0x84a81620,0x402c800e,0x3eeffed9,
    0x80680d10,0xccf8805e,0x03d000fc,0x56dc0b20,0x2aaaaaaa,0xb8b26f20,
    0xaaaaaaad,0x8d03442a,0xaaaaaadb,0x3ffee2aa,0xd0344681,0x965652a0,
    0x3201dc0d,0x1dc01e03,0x00b30698,0x20003c1f,0x03c3eca8,0x83e01660,
    0x65440007,0x88003c3e,0x05980746,0x439000f8,0x0ee21bea,0x2b6e7900,
    0x2aaaaaaa,0xb55559b0,0x1e20d107,0x80720e40,0xc807902b,0x80681a22,
    0x2ab3603b,0x2c803daa,0xb886faa0,0x0780d103,0x468802c8,0x003c800e,
    0x003cc0b2,0x1e648710,0x4681a200,0x68000079,0x220d0344,0x4c3566d5,
    0x0f01fc06,0x835c1620,0xd1aa00f8,0xf1004005,0xf1001741,0x0ba35401,
    0x83e20080,0x4688002e,0x401f10c1,0xe8b2006a,0xe8007500,0x22000f31,
    0x6cccccce,0x003a0498,0x204a81f1,0xf80d901d,0x80681a21,0x999d100d,
    0x5900d999,0x03a80740,0xc80780d1,0x20c68802,0x02a85a81,0x001f4059,
    0x7d0641a8,0x1e60d000,0x880000fa,0x40f30685,0x4167a59e,0x407f501f,
    0x3a03a006,0x3d80f606,0x642602dc,0x05b87202,0x6c07b04c,0x42602dc3,
    0x5b87202c,0x01a204c0,0x0f603d8d,0x05987c40,0x7cc030f2,0x2e000fa0,
    0x03a07603,0x20b60126,0x201f1078,0xd0d501fc,0x0d101e60,0x803b01dc,
    0x640b302c,0xfffffe83,0xc807ffff,0x34068802,0x40ee03a2,0x02fa202c,
    0x91220b71,0x5c40be88,0x3f542c85,0x2e205f44,0x32076005,0xdb03f542,
    0xe981f5c5,0x701e75c2,0x1db87307,0x7440db91,0x741b260b,0xd92ec41c,
    0x39d0d501,0x5f445d88,0x6741b260,0x1d92ec41,0x839d0d50,0x406885d8,
    0x9305f447,0x6cc2dc8d,0x3ba20743,0x3aa0f5c3,0x2205f442,0x2a00e85b,
    0x3a60ca84,0xc80fa601,0xc80fa20c,0x07ae22ec,0x80fd50b2,0xa803a03a,
    0x1d016404,0x0003ee88,0x0059001b,0x16c780d1,0x805903b8,0xcfecdfd8,
    0x072f2a00,0x3fb37f62,0xfdde880c,0x6c41fe8d,0x00cfecdf,0x440f732a,
    0xfe8dfdde,0x0fcc7b81,0x1dfbfd30,0xdb103ff7,0xf905ddb9,0x07ff1bfb,
    0x13fb7f62,0xddcefc88,0x6e6e5e42,0xefc881ef,0xfb102ddc,0x64409fdb,
    0x642ddcef,0x1efdcdcb,0xddcefc88,0x8780d102,0x04fedfd8,0x07fdbfd7,
    0x55dd9bd5,0x676cc3ff,0xbfb102fe,0x59819fd9,0xdbb50680,0xdeddc83b,
    0xfddfc801,0xd35ff303,0x2203dfbf,0xfe8dfdde,0x16603901,0x405901a0,
    0xaaeecdea,0x0e2001ff,0x34401640,0x2e04b9e0,0xffffff33,0x266201ff,
    0x44004000,0x03300099,0x00099880,0x06600351,0xa8800000,0x01a88000,
    0x88000a88,0x33100099,0x400ccc00,0x26200198,0x03310009,0x4400ccc0,
    0x7fff4019,0x07ffffff,0x22002662,0x00a88019,0x98800cc0,0xbfff9009,
    0x205fffd0,0x00066008,0x440004cc,0x0033000a,0x17fff200,0x7ccbfffa,
    0x0fffffff,0x00000a88,0xfff709b7,0xffd03fff,0xffffffff,0x7fffffe4,
    0x000003ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x02540000,
    0x440000d8,0x002c8005,0x05900351,0x06c012a0,0x00000000,0x02a00d44,
    0x540c4051,0x00000000,0x54000d40,0x15000004,0x98000050,0x06c00000,
    0x2004a800,0x001c801a,0x8322024c,0x00000049,0x22003500,0x280a800b,
    0x802b8750,0x1d4000a8,0x00b88000,0x024c1910,0x00080d44,0x4003ae00,
    0xd30001e9,0x804d8003,0x203dcee9,0x01d7004d,0xd9807a60,0xbdfec89e,
    0x26b3a200,0xeddea84c,0x3a63d501,0x5d8fa202,0x4b7fb620,0x7f6443ed,
    0x201bd54e,0x2e003edc,0xee98000e,0x3a25d303,0x41351003,0xea817e59,
    0x1e9800be,0x80075c00,0x74c03edc,0x801d5001,0x903ea1f9,0x3ae000fd,
    0x3b201def,0x75f5403e,0x2e982eac,0xd1b207d1,0x767ec409,0x00dc801d,
    0x2faa02ec,0xf301eace,0xd8807d43,0x1664edce,0x0dfffff5,0x44000dc8,
    0x0754002e,0x7007d100,0x07d1003d,0x10003720,0x2f66205d,0x01db51de,
    0x4c17fecc,0x4403a20e,0xb9001ece,0x4e7cc07d,0x209fbeb8,0x9db51df9,
    0x227d1039,0x00dc805d,0xd101dc00,0xdb1003d9,0x43d19fb9,0x2e19705f,
    0x005d1006,0x3a200372,0xe880bb13,0x00075c02,0x44007800,0x87d712de,
    0x081764d8,0x9d1016d4,0xe800003d,0xb90074c3,0x8101fe00,0x200002da,
    0x795c82e8,0x000a0000,0x05400288,0x2a00a200,0x800a2005,0x00a20002,
    0x216e05f9,0xb0b71ce9,0x0b809705,0x3a00d400,0x05d0fd01,0x40cc0fee,
    0x0001400a,0x00b803b8,0x7ecc2e88,0x40e82f42,0x0051001d,0xa819800e,
    0x0e01c400,0x00f00000,0x41f103d8,0x0000a828,0x00000b80,0x203b8254,
    0x00022002,0x0b200000,0x0000dfc8,0x00000000,0x11980000,0x0000001d,
    0x36400000,0x2e001f10,0x1a203e23,0x2a000000,0x0f31ee06,0x00001fc4,
    0x07700000,0xc816c000,0x3442743e,0x000001d4,0x00000000,0x3bfae000,
    0x9801e01d,0x00025c06,0x02fbfb2a,0x88bd9000,0x200986ed,0x40000006,
    0x401dffda,0x981dffda,0xca83c406,0x7640befe,0x32376c45,0x8376c45e,
    0xdd70dfeb,0x5f7ed403,0x00750e98,0x1cdf7edc,0x01dffda8,0x00effed4,
    0x982c8079,0x261d2cdc,0x45ec9e06,0x36a06ed8,0x03b81dff,0xc80771e2,
    0x37bfae03,0x6f7f5c01,0x37f6e201,0x3b2a0773,0x0d300bef,0x4e83e76a,
    0x80f44688,0x00befeca,0x02fbfb2a,0x0befeca8,0x405ddd90,0x2202eeec,
    0x07d712de,0xb8bddb1e,0xccccccce,0x1777646c,0x2a215910,0x05ddd906,
    0x1a661a62,0x7744d100,0x226eeeee,0x6eeeeeee,0xfc88bed8,0x9117db03,
    0xc802b87f,0xa8856441,0x4cc34c46,0x4cc34c46,0x7d50b986,0xdb03d31b,
    0x43fd5117,0x65c06a1c,0xdb0fb511,0x207f9117,0x3fc88bed,0x42d80990,
    0xceeb9cfd,0x88740952,0xb0699869,0x87f9117d,0x971e604b,0xde883d80,
    0xd107d712,0x20fae25b,0x7bb52de8,0x22159107,0xd305706a,0x883d8ba1,
    0x2207fb16,0x20d510ac,0x0d510ac8,0x35442b22,0x202c9988,0x3602c998,
    0x8f01f103,0x56dc19eb,0x2aaaaaaa,0x00164cc4,0xc99882c8,0x0681a202,
    0x33d116c0,0x7449b333,0x44d99999,0xb707a05b,0x00390f40,0x21640057,
    0x1a21a068,0x41fb0068,0x74c2645a,0x33ee3a3d,0x441a21dd,0x83d02dc6,
    0x3207a05b,0x641f300f,0x0ee9f504,0x681a21d8,0x987a05b8,0x1f31f207,
    0x0f60fe20,0x40f607c4,0xb81ec0f8,0x4164003f,0x790f441c,0x533441ec,
    0x02c8009d,0x32001640,0xb8015c02,0x4b80d302,0x4c03ae78,0x015c0007,
    0x15c03a80,0x00340d10,0x5b858899,0x7c2dc2c4,0x03f1ae01,0x5001b35c,
    0x221d4009,0x81a21a06,0x1f0b9006,0x33d103e2,0xd306d74f,0x1f8103e8,
    0x403f1ae0,0x904fc86b,0xdb007cc9,0x221d80ee,0x807e1a06,0x7c41ec6b,
    0x7f904d87,0x325c0698,0x1e24b80d,0x54003f88,0x21ec0d83,0x1a20f24a,
    0x07500264,0x54003a80,0xb8015c03,0x9999d702,0x2f0d9999,0x003e805c,
    0xdb300ae0,0xb807ddff,0x0681a202,0x3aa00990,0x4c0ea800,0x0d33c406,
    0x20072788,0xffed982b,0xd03443ee,0x44340d10,0xccdeefdb,0x88b51ecc,
    0x07e47a1e,0x9dfb10ec,0x44069815,0x0f101a67,0xf939fb59,0xbd405a89,
    0x6883a04a,0x880d31a0,0x6d5f7447,0xcfd8879f,0x5c3bcfc9,0xccccccce,
    0x3333ae6c,0x2a6ccccc,0xd981ec04,0xd83eeffe,0xc8ee12e2,0x03a06882,
    0x7ddffdb3,0x3bffb660,0xffdb303e,0x02b807dd,0x2b6e0570,0x2aaaaaaa,
    0x8800fdf8,0x02dc40be,0x0df54057,0x02b80771,0xd80681a2,0x001d3004,
    0x00b301d3,0x3e01661f,0x83900570,0x0ee21bea,0x344340d1,0x11bea8d0,
    0x155555b9,0x6c1e892a,0x412a0771,0x1663eca8,0x402cc3e0,0xdca9640f,
    0x4403b81c,0x11e20b36,0x0166340d,0x2f72a03e,0x5ee540f0,0xaadb8771,
    0x22aaaaaa,0xaaaaaadb,0x900ee2aa,0x4437d507,0x0d35b83b,0x81a200b2,
    0x886faa2c,0x21bea83b,0x1bea83b8,0x05700ee2,0x03cc0ae0,0x00eaaf80,
    0xfecdfd88,0xe80ae00c,0x2b807500,0x40681a20,0x01d1004d,0x3e201d10,
    0x0f89aa00,0x40699aa0,0x7500e878,0x221a0688,0x903b1a06,0x3d17980b,
    0x20b50f98,0x87c4013a,0x89aa00f8,0x321aa00f,0x50166002,0x23541a2b,
    0x1f11a068,0x1e003540,0x0f30ee00,0x4c007980,0x0741fc06,0xe8f883a8,
    0x8800e880,0x00e8ee06,0x2a01d075,0x07500e83,0x057002b8,0x53c001f4,
    0x2ba2001d,0x26057000,0x5700f205,0x40f30680,0x03d1004d,0x3d803d10,
    0x407b0f60,0x7901e43d,0x20f20598,0x41a0f306,0x7ec16479,0x4175f400,
    0x3603a25c,0xb0e40591,0x0f61ec07,0x002c83d8,0x6c5b00f4,0x30683c82,
    0x1ec07b0f,0x7000b100,0xe8007d07,0xa80fc003,0x7902cc3f,0x1e40bf60,
    0x1b126880,0x4c3c8166,0x0b30f205,0x00ae01e4,0x17d1015c,0x54785b88,
    0x80053005,0xd103a02b,0x402b807d,0x443f542c,0x20ba003e,0x05c1740b,
    0x364c17d1,0xd9305f44,0x09907d10,0x07dd103a,0x907ea859,0x34c7ea85,
    0x1e993ff2,0x1d9313ea,0xc9aa0d98,0x7446a80e,0x221b260b,0x41b260be,
    0x0fcc002c,0x983a62ec,0x7ea85906,0x3260be88,0x00174006,0x05f441dc,
    0x17d116e2,0x174c5b88,0x03a0f3ae,0x3f607dd1,0x3a62e41c,0x4c726886,
    0x3ba20746,0x77440e83,0x77440e83,0xb8015c03,0x66fec402,0xb8780cfe,
    0x0097b005,0xcdea80ae,0x01ffaaee,0xdde88057,0x3a1fe8df,0x207b1602,
    0x0e40f61c,0x13fb7f62,0x4fedfd88,0x1f6e76c0,0x5dd9bd50,0x6f443ff5,
    0x41fe8dfd,0xe8dfdde8,0x33b3aa1f,0x21ededab,0xfedecbe8,0xddbd700c,
    0x6e6e5e41,0xdfd881ef,0x3f6204fe,0xec984fed,0xd3000ccd,0x2a07fb9d,
    0xd101eddf,0x3fd1bfbb,0x4fedfd88,0x1fee6640,0x9bb99100,0xecdfd881,
    0xdfd880cf,0xe980cfec,0xffb8efdf,0x3bb37aa1,0x36e1ffaa,0x83fddfd8,
    0x3ffa0ffa,0xa83dbd34,0xfaaeecde,0x3b37aa1f,0x2a1ffaae,0xfaaeecde,
    0xfffffb1f,0x3ff67fff,0x03ffffff,0x3f201331,0x037ffc47,0xffffb00c,
    0x5107ffff,0xffffd801,0x3303ffff,0xfffff880,0x3fea7fff,0x51ffffff,
    0xffffffff,0x00266203,0x30004cc4,0x00544001,0x19800330,0x06602a00,
    0x001330b2,0x06660026,0x40026620,0x55100998,0x31000555,0x40066003,
    0x4cc40019,0x09aaa800,0x2aaaa800,0x40026620,0x51000998,0x00544001,
    0x8033106c,0x10060009,0x05440015,0x00015100,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00002a62,0x80000200,0x4c409818,0x4cccc099,
    0x00000001,0x15031000,0x001c8570,0x5cc00000,0x00000000,0x0ff60000,
    0x18000d44,0x40006000,0x00054408,0x00002600,0x00098288,0x8bd901b1,
    0x76c46ed8,0x06f7541d,0x00d4c000,0x0000cc14,0x2000a980,0x4c0009a8,
    0x2666001a,0x2a200999,0x04d44000,0x36320000,0xc80eecdf,0xfda8005e,
    0xeffd9802,0x3607428b,0x8777f641,0x43efeeeb,0x0ffffff9,0x77ff64c0,
    0x3a200581,0x22ec1763,0x3ffe603e,0xeed80fff,0x9d709d2f,0xdb01d57d,
    0x017a05fd,0x017f76c0,0x36a1bfe2,0x332005aa,0x7664000e,0xab754000,
    0xd805ecef,0xddec884e,0x3bb60dbe,0x2e5d802f,0x03e8800e,0x0f330d31,
    0xf98813d5,0x3ae00d01,0x3203edcd,0xd981d70d,0x405bfd75,0x8efdced8,
    0xb759d506,0xcdec803b,0x3ae06bfe,0x41eeeeee,0x03edcee8,0x6edd6754,
    0x2fbf6e01,0xa83fe839,0x2005881f,0x402cacf9,0x17f261db,0x409b77d7,
    0x0012a00d,0x0083d100,0x7db9000f,0x00000000,0x4085b964,0x02c801db,
    0x590000d5,0x70015300,0x000d8005,0xd10001b0,0x204c81d9,0x83c84ad9,
    0x005900fc,0x4c0137ae,0xd034402e,0x02540760,0xb103e00f,0x06ef5405,
    0x9866f4c4,0xd505b02e,0x36207b0f,0xfd109b03,0xe9825400,0x07b03d81,
    0x472e0f62,0x04e87da8,0xfffe89aa,0x0b2004ff,0x21720698,0x06c00ba8,
    0x80000950,0x001e003b,0x000000d4,0x15cb2000,0x40b20000,0x2c80003a,
    0x1b510000,0x0000d800,0xbf10001b,0x953d0340,0x01f10688,0x029800b2,
    0x1a200660,0x3a0b3068,0x82401e00,0x201cc059,0xd86983f8,0x1391ea03,
    0x41c81333,0x801e204c,0x6c03d04a,0x846a0e41,0x3441a21c,0x2216c014,
    0x80b20005,0x000a203d,0x225401b0,0x376c45ec,0xed8803b0,0x01eeeeef,
    0xefeca800,0x77f5c00b,0x852c801d,0x376c45ec,0x00140b20,0x00002c80,
    0x362019b5,0x3a6006c1,0x322006c0,0x01901a23,0x09312a95,0x00059014,
    0x0d100000,0x4a83d034,0xeeefed88,0x01a002ee,0x4781a200,0x52648068,
    0x6c4a9ab8,0x800201a0,0x4c04a84a,0x98ba9266,0x03e8364b,0x112e0001,
    0x0073faeb,0x000f80b2,0x20177764,0x3112a00d,0xd88d330d,0xf99801fe,
    0xe8819999,0x46eeeeee,0x0d510ac8,0x75c4b7a2,0x98816403,0x64069986,
    0x75d76602,0x02c802df,0x09500488,0x401b05d7,0x200d81ec,0x203443ea,
    0x4a87442c,0x2c8000d8,0x3faebb30,0xd75d982d,0x81a205bf,0x01d16606,
    0x26667e66,0x98d10009,0x0fb6a4ed,0x0ea340d1,0x30541900,0x00499545,
    0x0ec25400,0x424192c0,0xefd88aa2,0x999980ac,0x5a999999,0xea85ef44,
    0x0f016401,0x05933100,0x212a00d8,0x2661a068,0x401e001d,0xd99999e8,
    0x360b2004,0x6401f103,0x0681a202,0xe9880964,0x805d30cd,0xb300ebac,
    0xdd88ea00,0x9d301b00,0x6ec406c0,0x15c06880,0xd984a8f2,0x059000ab,
    0x4c337a62,0x66f4c42e,0x0d105d30,0x2d47a034,0xd50003c0,0xd8da9883,
    0x1a21d89d,0x20015c68,0x4c370545,0x80000573,0xc800e84a,0x26014cb1,
    0x47d95103,0xcccccce9,0x7c45dccc,0x16405983,0x5c0005d0,0x95006c02,
    0xb0340d10,0x8803c003,0x54005b85,0x12e034c3,0x81a202c8,0x1fd56406,
    0x034c1fc4,0x322033f2,0x997b902e,0x2e19975c,0x3d90ccec,0x6765c153,
    0x0a67d50c,0x222b80d1,0xd7102546,0x202c809d,0x886983f8,0x7886983f,
    0xd5980f30,0x5000f003,0x7744019d,0x8d034402,0x2a2c002c,0xca441ebb,
    0x25400002,0x4b2b803c,0x00a4401a,0x802cc3e2,0x0f02c459,0x016e02c8,
    0xb00ae013,0x34425401,0x200ec0d0,0x4eeefee9,0x4c03aa00,0x43eeffed,
    0xcccccceb,0x80b206cc,0x5901a068,0x40d107f3,0x205fb307,0x4c3002e9,
    0x5017664e,0x0726b67d,0xdb10dd88,0xb15c0688,0x2e004a85,0x4405900e,
    0x81a21e06,0x7542f887,0x005be807,0x0059000f,0x0d1003f1,0xb000ae34,
    0x398750a8,0xdddd9057,0xd095024b,0x99639001,0x02c9cc03,0x77006872,
    0x901e0588,0x441ce805,0xb00ae05d,0x10950221,0x03b0340d,0xe98003c0,
    0x4437d500,0x5556dc3b,0x202aaaaa,0x681a202c,0x1a201640,0x2cae9868,
    0xd9000390,0xb1058d83,0x20b0661b,0x2346c2eb,0x5995c068,0x15c004a8,
    0x81a202c8,0x21a06886,0x8cfddef8,0x07e601fe,0x0dc003c0,0x68802c40,
    0x800951a0,0x21a82a0c,0x3310952b,0xa81a21f3,0x25801d84,0x5c51120c,
    0x8d501d92,0x441d802d,0x05901e05,0xddcefc88,0x36015c02,0x883a8770,
    0x01d81a06,0x3a2001e0,0x1d403a00,0x590001e6,0x80d03440,0xd034402c,
    0x00d02c80,0xb2b84e98,0x3a807d50,0x4ee06744,0x47203446,0xfeeeeeec,
    0x20950125,0x681a202c,0x221a0688,0xb3000336,0x00003c00,0xff900b10,
    0x8fffc45f,0x8a4c0068,0x962720bc,0x1a278068,0x404a82b8,0xbd892669,
    0x5e4b10db,0x41efdcdc,0x212e00e8,0x5901e058,0x800ae200,0x3b86c02b,
    0xf30680ec,0x0d000ec0,0x2601e880,0x0fa0f205,0x3402c800,0x01640798,
    0x640681a2,0x20e05902,0x1165981c,0xb84a8019,0xd11a5882,0x25400d80,
    0x901d80fe,0x0d034405,0x344340d1,0x80076000,0x22000006,0x2e000005,
    0x15706c04,0x0e444133,0x344f00f6,0xb00f40b0,0x20442b83,0x806ee01c,
    0x105c81ea,0x0b203c0b,0x7000da80,0x1d30d805,0x542c81a2,0x8007607e,
    0x2e83982b,0xd103a0b8,0x817d107d,0x00b205b8,0x407ea859,0xd034402c,
    0x3d102c80,0xbb000e88,0xc8003d99,0x666e4003,0x5881a22f,0x0ffc4a80,
    0x02c816e2,0x688681a2,0x001a21a0,0x15c00598,0x077dc1cc,0x54001620,
    0x206ec00d,0x104c83e8,0x207d105b,0x2e06ec78,0x360ba603,0x36209902,
    0x2006d402,0x03fdcee9,0x64078162,0x07315002,0x7fec0ae0,0x2ecea8ff,
    0x37f77a20,0x01d81fe8,0x3b73b620,0x1c81ec2e,0x2bbb37aa,0x7ec41ffa,
    0x200cfecd,0x6ef4402c,0x901fe8df,0x1a068805,0x76d40590,0x20003edc,
    0x00762005,0xeffa9a00,0x003d9bb0,0xdfe8d895,0x0b200dfd,0x221a0688,
    0x01a21a06,0xcdeccc88,0xb9db1000,0x5ff905dd,0x08005880,0x9bf70075,
    0x6ed403dd,0x6400ddcb,0x82eeccdf,0x803dcdfa,0x03edced8,0x6ee5eed4,
    0x01cc5400,0x7dc01a88,0x3ffe60ff,0xffffff32,0x2f2a01ff,0xfffffb00,
    0x31009fff,0x2600cc00,0x006fffff,0x7fd406a2,0x81ffffff,0x4c4000a8,
    0xffffb009,0x2607ffff,0x7fffec01,0x3f23ffff,0x3ffe22ff,0xffffffb1,
    0x035107ff,0x00f64c00,0x06cccdd8,0x4017e4c0,0xfffc8019,0xb0133106,
    0xffffffff,0x88bfff27,0xfff91fff,0x20fffc45,0x55554000,0x1a88002a,
    0x3fa01a80,0x02ffffff,0x30005e4c,0x00980015,0x8009a880,0x0a880019,
    0x20009800,0x00000bca,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x58800000,
    0x00003700,0x80000390,0x880004d8,0x41998199,0xaaaaaaaa,0x00000aaa,
    0x998001a8,0x5c419999,0x6cc00000,0x30fb6a4e,0x10013333,0x10013333,
    0x30133033,0x44013333,0x21988099,0x06ed85eb,0x20033333,0x4cc400b8,
    0x19999999,0x33333310,0x33310333,0x33330013,0x01a80013,0x10498322,
    0x33333333,0x99998813,0x404ccc00,0x4ccc0998,0x44199880,0x41988099,
    0x40998198,0x99999998,0x26662099,0x4cc0cc40,0x4cc00999,0x30026200,
    0x00b2005d,0x07bffb26,0x0bdb017c,0x2607fd40,0x80ffffff,0x3b23eefd,
    0x400314ee,0x5f7f6542,0x400b2000,0xeeefeffb,0x7d9d70fe,0xfff983d5,
    0xa9880fff,0x1d89dd8d,0x0dddfdd5,0xdddddfb0,0x5dfb101b,0x3aa2ff5c,
    0x3205eefe,0x77f445ef,0xd310d313,0x7dddfdb0,0xacebea80,0x7777542e,
    0x40feeeef,0xeefefee8,0x77ec0fee,0xa80deeee,0x916eefee,0x07767540,
    0x01f50fcc,0xdddddfdb,0x77f447dd,0x540ceeee,0x3a60eeef,0xddd90efe,
    0x2efee88b,0xfd117bf2,0x8fbfa67f,0xdd10efec,0xdddddddf,0x8777f6cb,
    0x3aa3ffe9,0x2a06eefe,0x3bf604fe,0x4003d301,0x2174402c,0xb1007a00,
    0x0001a800,0x11dc0390,0x59114003,0xc801aa21,0x88674402,0xdb810e86,
    0x3a200001,0x003b002e,0x81ea82c8,0x3b01e068,0x7441a600,0x20d03440,
    0x2a040068,0x1643a82d,0x345d4036,0x54164074,0xf307601e,0x04a83a05,
    0x5c0d1000,0x75c40e83,0x0e4015c0,0x541a0166,0x6881d105,0x102541e0,
    0x1d50688b,0xc9800ec0,0x01dd980e,0xcd88002a,0x0000ee00,0x00001620,
    0x2e01c800,0x02800623,0x0b200590,0xe86887b0,0x20000000,0x076001f8,
    0x1a205900,0x266667a6,0x007601f9,0x882d83c8,0x57441a06,0x200001aa,
    0x0361643a,0x074344e4,0x20688164,0x4980d81d,0x1a200000,0x500e83b8,
    0x20443a8b,0x2a00e80d,0x0b60f204,0x950781a2,0x21a22c40,0x001d805b,
    0xb5907793,0xd9100003,0x3b0bdb79,0x0b100000,0x7fed4000,0xb807201d,
    0x02800623,0x0b200750,0xd8688698,0x80bbbb20,0x8802eeec,0x000ec005,
    0x263b80b2,0xccccccfc,0x003b01cf,0x4416a0e8,0x67c41a06,0x260bedcc,
    0x05bfd75d,0x06c2c875,0x20b0d168,0x6c0ee02c,0x04981cc1,0x00bbbb20,
    0x740cc0d1,0x24987600,0x3b8345f8,0x43d00760,0x3c0d104c,0x10e204a8,
    0x3b004c8d,0x22352600,0x4ed983b6,0x0770fb6a,0x3bfb62b7,0x7640deee,
    0xcac401ee,0x03502efe,0x7f9117db,0x23b80720,0xb30a0018,0x107ddffd,
    0x99bd9999,0xb4415c79,0x59331018,0x0164cc40,0x876002c4,0x1016404b,
    0x01e0688b,0x3007b13b,0x34403a2b,0x5c1a20d0,0x4337a624,0x320c42e9,
    0xd1598142,0x40590062,0x4003b058,0x26620068,0x3234402c,0x95007400,
    0x41d952cc,0x1a20d106,0x81aa3a20,0x2541e068,0x26cd1016,0x26003b00,
    0x1d9dc594,0x6ec6d4c4,0x181a1d89,0x2666b666,0x02c99881,0xe985f744,
    0x02dc2c82,0x5c03903d,0x22800623,0x0ee21bea,0x336aaaa2,0x20762aaa,
    0xb804b9e8,0x10057002,0x3e1d800b,0x9bd9880f,0x4f446819,0x40799999,
    0x32002edd,0x81a202db,0x0740d106,0x00d307f1,0x44ee0059,0xb3104b9e,
    0x20d03337,0xe998801d,0x0ae00199,0x1d333d10,0x96200e80,0x44b2b268,
    0x0ee07206,0x10077540,0xf333333d,0x1e6676a0,0x00dd1d10,0x293001d8,
    0x80ec3a68,0x12a02ee8,0xc8003b00,0x4c17c402,0x00fc3d85,0x5c0390d7,
    0x22800623,0x2007500e,0x2203602c,0x2b804dcf,0xb1005700,0x0661d800,
    0x6666f664,0x333e23c0,0x2a07cccc,0x2eaa004f,0x0d02aaef,0x703441e6,
    0x10f03445,0xdfffffff,0x67c47601,0x9bd9904d,0x3b078199,0x9bd99500,
    0x2015c009,0x00fcccf8,0x78b10074,0x02cd2a3a,0x4001d0b3,0x667c404e,
    0xd507cccc,0xe880f999,0xb001ecae,0x9d926003,0x7c40764a,0x2002c401,
    0x0164001d,0x3d878162,0x90f101a6,0x0311dc03,0x32059940,0x64059003,
    0x00736881,0x00ae0057,0x03b00162,0xd00b2022,0x261e0688,0x81101edd,
    0x099bd999,0x07ea8590,0xd10ec0d1,0x01640340,0x736baaf8,0x83402c80,
    0x7701101d,0x88057000,0x03a00746,0x268b4598,0x20e80936,0x36f20059,
    0x0781a202,0x7c407895,0x36003aa1,0x324c1101,0x880ec3bb,0x4003b005,
    0x0164001d,0x4d878162,0x903e0166,0x03115c03,0xe881d140,0x4059003e,
    0x4006882b,0x4057002b,0xfffffffe,0x1dc07602,0x88b30164,0x6cb61e06,
    0x16405701,0x6feeecc0,0x83440fe8,0x0d03445d,0x9d300590,0x16400d99,
    0x40760b30,0x8002b83b,0x0634402b,0x1dc01d03,0xa8d8ee36,0x0591dc03,
    0x807456a0,0x2541e068,0xb50d1006,0x8ee03b00,0x0762f449,0xbea802c4,
    0x03b09910,0x2c402c80,0x7c49d0f0,0x12a1aa00,0x800621d8,0x3bb37aa2,
    0x6401ffaa,0x1a21a602,0x8015c0a2,0xb000002b,0x0b20ee03,0xf03443c8,
    0x87701d80,0x3eeefeed,0x01b10cc0,0x7fb999f1,0x40340d10,0x222c802c,
    0x02c82986,0xb80ec0f2,0xb8001c83,0x1a034402,0x641d803a,0x0aeee1d9,
    0x401a2d10,0x203a60e8,0x2541e068,0x0ec1a200,0x31dc0760,0x2203b009,
    0x3bf22005,0x8003b02d,0xf02c402c,0x203d8bd0,0xf107883d,0x05000c41,
    0x801c8151,0x221e401a,0x05704a86,0x6c400ae0,0x2e03b001,0x0b502c83,
    0x3603c0d1,0x16407701,0x22055000,0x1009aaae,0x1640340d,0x50d10740,
    0x16a05909,0x887701d8,0x02b80e06,0x3a1e0344,0xd5709900,0xd801cd98,
    0x03d004a9,0x3c0d10b7,0x344004a8,0x80ec0598,0x3601263b,0x9000b101,
    0x4001d805,0xf02c402c,0x0be88bf0,0x0cc81b26,0x00310fa2,0x00490014,
    0x688eec00,0x005704a8,0x222200ae,0x2e03b005,0x75cc2c83,0x01e06880,
    0xc80ee03b,0x2e6c0002,0x068801a2,0x100b201a,0x84a8688d,0x0075cc2c,
    0x790ee03b,0x02b81660,0x3a1e0344,0xda82e4c0,0xa800de85,0x03d800ec,
    0x3c0d10f6,0x344004a8,0x80ec01d0,0x3601263b,0x9000b101,0x4001d805,
    0xf02c402c,0xbfb10bf0,0xbf9009fd,0x003107fb,0x19930014,0x3fffffe6,
    0xdb507fff,0x9fffffff,0x3ffffff6,0xffffb4ff,0x9109ffff,0x7ffd4039,
    0x3fffffff,0x6ffffff4,0x2fffb80b,0xfa8bffee,0xffffffff,0x7fffc43f,
    0xd060006f,0x207fffff,0x3e22fffc,0x7ffd41ff,0x7fe40fff,0xffffffb5,
    0xffffe89f,0xffa80bdf,0xffffffff,0x3fffffa3,0x3ff61eff,0x23ffffff,
    0xfffffffe,0x3ffe27ff,0x2602dfff,0x2007c82f,0x6fff806f,0xfcafffcc,
    0x3fff23ff,0xffffff13,0x7ffff403,0xfa87fdc0,0xffffffff,0x0dfff73f,
    0x7f47fffd,0x02ffffff,0x7ffd40dc,0x7ec6ffff,0x3fffffff,0xfb87fff2,
    0x880263ff,0x4cc00099,0x55557100,0x05555555,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x88000000,0x41333009,0x09999998,0x00666662,
    0x2004cccc,0x99999998,0x4cccc199,0x04cc1999,0x26620cc4,0x4c400999,
    0x0c009999,0x00791000,0x00008030,0x00000000,0x000000cc,0x00000000,
    0x00000000,0x40ef6c40,0x17b25eea,0x0000ddb1,0x07900000,0x09101e44,
    0x37bb6217,0x897bbaa1,0xee98deed,0x5276cc1e,0x221547db,0x21100203,
    0x3aa1ded8,0x1777645e,0x3bba2000,0x5006eeee,0xfea87bfd,0x34eeec86,
    0xddddfddd,0x3bbbfb61,0xddd701ce,0xeeea80df,0x0feeeefe,0xddddddf1,
    0x222f7e4f,0x3fb63efe,0x80adeeee,0xceeeefed,0x0003d901,0x26007ffb,
    0x4016404e,0xdd70dfeb,0xb877aa03,0x3f6a00de,0x540e98be,0x400befec,
    0x161dffda,0x45f7fecc,0x3bdfd702,0x4df7edc0,0x3b617ae3,0xffb501b6,
    0x0276a03b,0x69887e62,0x5f5c6998,0x3bf92ed9,0xbfd75d98,0xd80f6005,
    0x43e883ff,0x20de4c5d,0x64c1bd98,0x1039d11c,0x13bb1b53,0x9b0be23b,
    0x45dcd6a0,0x82bea1e8,0x4cc41eb8,0x1058802c,0x9b33333d,0x1d30ffdc,
    0x8276402a,0x880b203b,0x5c03d986,0x90ea01da,0x20b10d85,0xe8834c5a,
    0x4c886880,0x07b30d10,0xb80037a6,0x76c402ff,0x4c02c801,0x31b7d50b,
    0xea8dc83d,0x81e98da8,0xfea88bed,0xa8856441,0x222fb606,0xdb869bfc,
    0xd117f261,0x20fae25b,0x4fb511cb,0xae988698,0xc88bed86,0x2088d03f,
    0x1a068858,0xbd11bf71,0xbd311669,0x000ba619,0xd30bfee0,0x69836c49,
    0x89dc0d10,0x2ee8802e,0xbd11fcc0,0x3eefbee0,0x260e981f,0x4015c00e,
    0xb70b1058,0x0b20ffa8,0x5c075640,0x6880b203,0xa8e80d10,0x8590ea04,
    0x1d10b10d,0x205b0790,0x2203a068,0x9d501a06,0x88026001,0x0b2002ec,
    0x5a83f600,0x41fd51a6,0x74c2645a,0x20b2003d,0x307ba05b,0x0f62e40d,
    0x20d107c4,0x7d034468,0x07a05b81,0x12a5e836,0x6a8681a2,0xf103a2e4,
    0x0000d307,0x449f3026,0x207600ee,0x3a6ee03b,0x003f1001,0x0de893e6,
    0x980742d4,0xb800e98e,0x112c4102,0x3e607540,0xac8025c7,0x3203b85a,
    0x2c81a202,0x75034b30,0x5886c2c8,0xa83a02d8,0x2c81a205,0x00b20688,
    0x70000fae,0x0590007d,0x21f0b900,0x0f85f84c,0x99e881f1,0x3e0ea007,
    0x0f61ae01,0x701a6288,0x88103e89,0x00fc1a06,0x366590d7,0x0d10590e,
    0x0ae25434,0x1e06881b,0x2fd40000,0x5a801dd1,0x3f6e00e8,0x00162005,
    0x077cc9f5,0x4c07703b,0x057000ee,0x36faf3f2,0x101d302e,0x900688df,
    0x40770b65,0xd81a202c,0x81645901,0x10e16429,0x8b4c04b8,0x441a200e,
    0x3a06880e,0x05d91000,0x000cea80,0xdb880590,0xccccdeef,0x9bb05b1e,
    0x16a3d999,0x260f43d1,0x43eeffed,0x7c3c4069,0x333ae000,0x46cccccc,
    0x80acefd8,0x1a61a068,0x32950f10,0xd101b2ca,0x2e254340,0x81a206c2,
    0x7ffffcc6,0x6406ffff,0x4017ea3f,0xb7016a0e,0xb1001d91,0x20ef9800,
    0x2a03a1fe,0x007baa04,0x3faa015c,0x803a201c,0x401f445f,0x03b8d12c,
    0x506880b2,0x0166340d,0x1a6002c8,0x20165e40,0xeca999e8,0x7d30d102,
    0x509f5000,0x0017dc55,0xfffffff3,0x8df54fff,0xaaaaadc8,0x559903b0,
    0x892a1555,0x7d50ec1e,0x1661dc43,0x800f03e0,0xaaaaaadb,0x32a202aa,
    0x0d03443e,0x881f00b3,0x883566d5,0x712a1a06,0x03440d85,0x5c00000d,
    0x2017e63f,0x7700764b,0x16200754,0x360ee880,0x0ec1dc1f,0x01e98ea8,
    0x674402b8,0xd007a204,0x887574c9,0x4791641e,0x880b203b,0x0edbaaae,
    0x001d0950,0x01e800b2,0x3e2017a0,0x02fedccc,0x1bfdddf1,0x82ec8800,
    0x674c3ff9,0x40590000,0x6405c81d,0xbcc04f83,0xd07cc1e8,0x1f10ea01,
    0x01743540,0x00800f30,0x206883e2,0x2a00f886,0x4f4b3d06,0x43cc1a05,
    0x03615c4a,0x000340d1,0x17d41e44,0x22d009f3,0x25c3b806,0x74401620,
    0x7cc07645,0xa80fc88b,0x7007a20e,0x05b2d805,0x1a82e0ba,0x83bacc76,
    0x03b8742c,0xccf880b2,0x566c02bc,0x9003daaa,0x000f2005,0x40d10059,
    0x999e884c,0x3ae000ec,0xa81bee02,0x02c8003e,0x803f60b2,0x40374c5a,
    0x25c82ebe,0x360f2059,0x16e0f603,0x001f4130,0x1a0e4059,0x203d83cc,
    0x5c5db03d,0xd50b203e,0x42b8950f,0x0d03440d,0x07ffb000,0x01f443f5,
    0x2e00b2f2,0xb1007c43,0x1d917600,0x7dd95d10,0xd105b8b7,0x95015c03,
    0xc81ec344,0x1d5b1a01,0x775a8590,0x0d101640,0xcccce880,0x059006cc,
    0x40550b50,0x4068802c,0x7543440e,0x401f5400,0x2eb801fe,0x6980b200,
    0x3d327fe4,0x3b9d8974,0x44fa87a6,0x20740ec9,0xbe883ee8,0xce81b260,
    0x3a22ec41,0xd92dc40b,0x8590d501,0x17d107ea,0x8f70364c,0x37a201f9,
    0x21fe8dfd,0x03615c4a,0x740340d1,0x40bfee04,0x10074459,0xfff880df,
    0xfd17ee0f,0x85ffffff,0xb806c44b,0x7fec6e01,0x4fffee1f,0xfffffffd,
    0x3ea0403f,0x1fffffff,0x04f883a0,0x0773b059,0x00d10164,0x007603b8,
    0x01d100b2,0x40164077,0x22164068,0x3a609706,0x04f8800c,0x200bb220,
    0x7675402c,0x1ededabc,0xbb27ee44,0x65f445dd,0xa80cfede,0xfaaeecde,
    0x76fec41f,0x77e4404f,0xfb102ddc,0x6419fd9b,0x1efdcdcb,0x8dfdde88,
    0xdfd880fe,0x000004fe,0x3ff200cc,0x2fd93ee6,0x7c45fff9,0x00b201ff,
    0x00000013,0x00000000,0x00000000,0x00000000,0x9f325c00,0x2fa60b20,
    0x6880b203,0x95007400,0x2d805900,0x01640770,0x103a0344,0x37616c0d,
    0x003ea001,0x59017660,0x06602a00,0x90310130,0x88009985,0x4cc4000a,
    0x00662000,0x30009988,0x00330033,0x00013310,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xd9edec88,0xec81641f,
    0x6880b203,0x1a016600,0x04b80b20,0x802c80ee,0x109b1068,0x0023440d,
    0x10000620,0x00000080,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffe80310,0xf31fc43f,0x1fffffff,0x0ffffffa,0x742fffe4,0x7fdc2fff,
    0x7e41ffff,0x3fffffff,0x7fffffdc,0xfffffe81,0xffe83dff,0x02fc80ff,
    0x00000000,0x40351000,0x01811009,0x00055506,0x77457b60,0x402b2ea3,
    0x00400bb8,0x80405dc4,0x6eedc008,0x2ddddddd,0x44791036,0x3229503c,
    0x88889260,0x32088888,0xcccccccc,0xff12cccc,0xffffffff,0x0000dfff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x98b55b50,0x3b2e4bac,0x31ec2641,
    0x7ffe49ff,0xffffffff,0x4ff97fa0,0x90b73571,0x6c05b55b,0x3f73ea03,
    0x3bb20d40,0x99988c43,0x09999999,0x2ffc87a6,0x0eb87ff9,0xe87d43f3,
    0xffffffff,0x26666664,0x09999999,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x370e2b80,0x364d81b8,0x0007fdc3,0xe93f60d8,0x4c68983f,
    0x5b970684,0x544c8ba0,0x9a6c990c,0xe880001e,0x3ee5ff72,0x0003721f,
    0x33333331,0x00000013,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0x03600da8,0x0f736037,0xd8000ff6,0x1fd8ff20,0xc8f99db3,0x8ad41c81,
    0xd507c40e,0xb8194c54,0x2aaa62ee,0x0aaaaaaa,0x13066288,0x00000028,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x9b500000,0x06e07601,
    0x3fc437c4,0xfa836000,0x206c3f22,0x223424c5,0x8f61a60e,0x002f2a3d,
    0x333332a0,0x001ccccc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2a000000,0x1b80ec43,0xfa89b7b0,0x306c0003,0x15b3dc3f,
    0x8bd83fd7,0x5c0f43c9,0x077f74c5,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0xb803663a,0xc9363d81,
    0x40d80006,0x2f6e2181,0x66d40cb8,0x017014c1,0x00000035,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x1265ee40,
    0x2a7b999f,0x07b1cdec,0x0000227b,0x00000002,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00180000,
    0x00100400,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_26_latin_ext_x[560]={ 0,5,2,2,2,2,2,5,6,3,0,1,3,2,
5,2,2,2,1,2,2,2,3,2,2,3,5,3,0,1,0,0,2,0,0,1,1,0,1,1,1,2,1,0,
1,0,0,0,2,1,0,2,1,0,0,0,0,1,2,0,0,0,2,0,4,1,0,1,1,1,2,1,0,2,
2,2,2,0,1,1,0,1,1,2,1,1,0,0,1,1,2,0,6,0,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,5,2,1,2,1,
6,1,3,0,0,0,0,2,0,-1,3,1,3,3,4,1,1,5,4,4,3,1,0,0,0,0,0,0,0,0,
0,0,0,1,0,0,0,0,2,2,2,2,-1,0,0,0,0,0,0,3,0,0,0,0,0,1,2,0,1,1,
1,1,1,1,0,1,1,1,1,1,2,2,2,2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,
0,1,0,1,0,1,1,1,1,1,1,1,1,1,1,1,-1,1,0,1,0,1,0,1,0,1,0,1,1,1,
1,1,1,1,1,1,1,0,1,0,2,2,2,2,2,2,2,2,2,2,0,0,1,2,0,2,1,1,2,1,
2,1,2,1,2,0,2,0,1,0,1,0,1,0,1,1,0,1,0,1,0,1,0,0,0,1,0,1,0,1,
2,2,2,2,2,2,2,2,1,1,1,1,1,1,0,1,0,1,0,1,0,1,0,1,0,1,0,0,1,1,
1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,2,1,2,2,2,
2,2,2,2,2,2,2,2,2,2,1,1,2,2,2,2,2,2,2,2,2,2,2,2,2,0,1,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,1,2,2,0,
1,0,1,0,1,0,1,0,1,0,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,1,0,0,0,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static signed short stb__courier_26_latin_ext_y[560]={ 19,4,5,3,3,4,6,4,4,4,4,6,15,11,
16,3,4,4,4,4,4,4,4,4,4,4,9,9,6,10,6,5,4,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,4,3,4,4,24,4,8,4,8,4,8,4,8,4,4,
4,4,4,8,8,8,8,8,9,8,5,9,9,9,9,9,9,4,4,4,10,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,19,9,4,5,7,5,
4,4,5,5,4,9,11,11,5,3,2,5,4,4,4,9,4,10,18,4,4,9,4,4,4,9,1,1,1,2,
2,1,5,5,1,1,1,2,1,1,1,2,5,2,1,1,1,2,2,8,4,1,1,1,2,1,5,4,4,4,
4,5,5,3,8,8,4,4,4,5,4,4,4,5,4,5,4,4,4,5,5,7,8,4,4,4,5,4,4,5,
3,5,1,4,5,8,1,4,1,4,2,4,1,4,1,4,5,4,3,5,1,4,2,4,5,8,1,4,1,4,
1,4,2,4,5,3,1,1,5,4,2,5,3,5,1,4,5,4,2,9,5,4,1,4,5,4,9,1,0,5,
4,5,4,5,4,5,4,1,4,5,8,1,4,4,5,8,3,5,1,4,1,4,5,8,1,4,5,9,1,4,
1,4,1,4,5,8,1,4,5,5,1,4,5,5,2,5,3,5,1,4,0,3,1,4,5,9,1,4,1,4,
2,1,4,2,4,1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,5,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,5,8,4,4,4,4,4,4,4,4,4,4,4,4,4,4,8,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,4,1,4,1,
4,1,4,1,2,1,1,1,1,1,1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,-3,-1,1,4,1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static unsigned short stb__courier_26_latin_ext_w[560]={ 0,4,9,10,10,10,10,4,5,5,9,12,6,10,
4,10,10,10,11,10,10,10,9,10,10,9,4,6,12,12,12,9,10,14,13,12,12,13,12,12,12,10,13,14,
12,14,13,12,11,12,14,10,12,13,14,14,13,12,10,4,9,4,10,15,5,12,13,12,13,12,11,12,13,10,
8,12,10,14,12,12,13,13,12,10,12,12,14,14,12,13,10,5,2,5,10,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,0,4,9,12,10,12,
2,12,8,14,8,12,13,10,14,16,7,12,7,7,5,12,11,4,5,6,8,12,14,14,14,9,14,14,14,14,
14,14,14,12,13,13,13,13,10,10,10,10,14,13,12,12,12,12,12,8,13,13,13,13,13,12,11,12,12,12,
12,12,12,12,14,12,12,12,12,12,10,10,10,10,11,12,12,12,12,12,12,12,12,12,12,12,12,13,13,13,
14,12,14,12,15,13,12,12,12,12,12,12,12,12,12,13,14,13,13,12,13,12,13,12,14,12,13,12,12,12,
12,12,12,12,12,12,12,13,12,13,10,10,10,10,10,10,10,10,10,10,14,12,13,8,14,12,12,12,10,12,
10,12,10,12,10,13,10,13,12,13,12,13,12,13,12,11,12,12,12,12,12,12,14,14,14,12,14,12,14,12,
10,10,10,10,10,10,10,10,12,12,12,12,12,12,13,12,13,12,13,12,13,12,13,12,13,13,14,14,12,13,
12,10,10,10,10,10,10,11,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,11,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,14,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,14,12,10,10,12,
12,13,12,13,12,13,12,13,12,13,12,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,14,12,14,14,13,12,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13, };
static unsigned short stb__courier_26_latin_ext_h[560]={ 0,16,7,18,19,16,14,8,18,18,10,13,8,3,
4,18,16,15,15,16,15,16,16,16,16,16,11,13,13,5,13,15,17,14,14,15,14,14,14,15,14,14,15,14,
14,14,14,15,14,17,14,15,14,15,14,14,14,14,14,18,18,18,7,2,4,12,16,12,16,12,15,16,15,15,
20,15,15,11,11,12,16,16,10,12,15,11,10,11,10,15,10,18,18,18,5,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,0,15,15,14,10,14,
18,17,3,15,7,10,8,3,15,1,7,14,9,9,4,15,17,4,5,9,7,10,15,15,15,15,18,18,18,17,
17,18,14,18,18,18,18,17,18,18,18,17,14,17,19,19,19,18,18,9,16,19,19,19,18,18,14,16,16,16,
16,15,15,17,12,15,16,16,16,15,15,15,15,14,16,14,16,16,16,15,15,11,12,16,16,16,15,20,20,19,
16,15,18,16,17,14,19,16,19,16,18,16,19,16,18,16,14,16,16,15,18,16,17,16,17,15,18,16,19,20,
19,20,18,20,18,21,18,18,14,15,17,14,16,14,18,15,18,19,17,10,15,20,19,20,18,19,10,18,19,18,
19,14,15,14,15,14,15,18,15,18,15,18,15,15,15,16,17,15,19,16,19,16,14,12,18,15,18,14,18,15,
19,16,19,16,18,15,19,16,19,19,18,16,14,15,18,15,17,15,19,16,20,17,19,16,18,14,18,16,18,20,
17,18,15,17,15,18,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,18,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,12,15,15,15,15,15,15,15,15,15,15,15,15,15,16,12,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,18,16,18,15,19,
16,19,16,19,18,19,19,19,19,19,19,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,22,21,18,16,19,16,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15, };
static unsigned short stb__courier_26_latin_ext_s[560]={ 511,259,229,218,500,117,1,507,276,433,486,
163,208,337,317,452,128,29,425,375,282,399,55,501,438,449,379,143,150,293,130,
381,459,49,101,417,385,371,455,445,442,26,458,468,483,496,12,472,37,470,115,
293,64,79,413,398,428,88,77,391,366,346,257,348,306,219,474,246,218,259,24,
165,47,36,42,351,304,338,353,297,102,178,425,272,368,325,397,310,462,354,496,
411,417,463,282,93,93,93,93,93,93,93,93,93,93,93,93,93,93,93,93,
93,93,93,93,93,93,93,93,93,93,93,93,93,93,93,93,93,511,61,14,
347,451,239,495,483,328,485,239,384,215,337,430,364,268,121,184,176,322,341,369,
312,276,192,248,438,254,239,224,214,85,100,115,354,1,154,304,169,195,498,235,
340,307,318,130,434,197,445,304,249,436,469,222,199,245,235,262,290,57,482,266,
264,277,290,303,388,128,27,176,40,410,205,192,338,316,327,377,360,116,278,89,
76,362,459,472,366,206,14,1,488,412,126,154,358,423,499,331,386,394,107,372,
335,385,311,420,285,449,261,439,234,319,207,348,141,317,154,68,128,40,364,293,
104,423,87,462,100,30,113,141,29,249,262,212,15,423,149,93,160,282,53,329,
65,16,475,64,60,475,51,1,89,412,209,127,182,102,334,154,184,178,225,203,
71,328,43,404,16,315,189,269,167,410,66,76,248,12,298,134,191,396,1,376,
171,351,391,489,65,412,324,280,500,1,274,25,38,205,221,291,104,162,165,496,
79,113,141,140,381,51,179,176,252,229,192,256,73,55,291,437,82,448,269,117,
92,93,93,93,93,93,93,93,93,93,93,93,93,93,93,93,1,93,93,244,
93,93,93,93,93,93,93,93,93,93,93,93,93,485,232,93,93,93,93,93,
93,93,93,93,93,93,93,93,459,283,93,93,93,93,93,93,93,93,93,93,
93,93,93,93,93,93,93,93,93,93,93,93,93,93,93,93,93,93,190,232,
151,401,222,152,398,139,344,138,182,209,168,196,317,331,93,93,93,93,93,93,
93,93,93,93,93,93,93,93,93,93,93,93,93,93,93,93,93,93,93,93,
93,93,93,1,16,302,27,276,42,93,93,93,93,93,93,93,93,93,93,93,
93,93,93,93,93,93,93,93,93,93,93,93,93,93,93,93,93,93,93,93,
93,93,93,93,93,93,93,93,93,93,93,93,93,93,93,93,93,93,93,93,
93,93,93,93,93,93,93,93,93,93,93,93,93,93,93,93,93,93,93,93,
93,93,93,93,93,93,93,93,93, };
static unsigned short stb__courier_26_latin_ext_t[560]={ 1,81,143,24,1,63,130,130,44,24,130,
130,143,143,143,24,81,98,81,63,98,63,81,63,63,63,130,130,130,143,130,
98,44,130,130,98,114,114,114,98,114,130,98,114,114,114,130,98,130,44,130,
98,130,114,114,114,114,130,130,24,24,24,143,143,143,130,63,130,81,130,114,
81,114,114,1,81,98,130,130,130,81,81,130,130,98,130,130,130,130,98,130,
24,24,24,143,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,1,114,114,
114,130,114,24,44,143,98,143,130,143,143,98,143,143,114,143,143,143,98,44,
143,143,143,143,130,98,98,98,98,44,44,44,44,63,44,114,44,44,24,44,
44,44,44,44,44,114,44,1,1,1,24,44,143,81,1,1,1,44,24,114,
81,81,81,81,81,98,63,130,98,63,81,81,81,81,81,81,114,81,114,81,
81,63,81,81,130,130,81,81,63,81,1,1,1,63,81,24,63,44,114,1,
63,1,63,24,63,1,63,24,63,114,63,63,98,24,63,63,63,63,81,44,
63,1,1,1,1,44,1,44,1,44,44,114,98,44,114,63,114,44,98,44,
24,63,130,98,1,1,1,44,24,130,44,24,44,24,114,98,114,98,114,98,
44,98,44,98,44,98,98,98,63,44,114,24,63,24,63,114,130,24,114,24,
114,24,98,1,81,1,63,24,98,24,63,24,24,24,63,114,98,24,98,44,
98,24,63,1,44,24,63,24,114,24,63,24,1,63,24,81,63,81,24,98,
98,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,98,114,114,24,
114,114,114,114,114,114,114,114,114,114,114,114,114,81,130,114,114,114,114,114,
114,114,114,114,114,114,114,114,63,130,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,24,81,
24,81,1,81,1,81,1,24,1,1,1,1,1,1,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,1,1,24,81,1,81,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114, };
static unsigned short stb__courier_26_latin_ext_a[560]={ 220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_26_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_26_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_26_latin_ext(stb_fontchar font[STB_FONT_courier_26_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_26_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_26_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_26_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_26_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_26_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_26_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_26_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_26_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_26_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_26_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_26_latin_ext_s[i] + stb__courier_26_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_26_latin_ext_t[i] + stb__courier_26_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_26_latin_ext_x[i];
            font[i].y0 = stb__courier_26_latin_ext_y[i];
            font[i].x1 = stb__courier_26_latin_ext_x[i] + stb__courier_26_latin_ext_w[i];
            font[i].y1 = stb__courier_26_latin_ext_y[i] + stb__courier_26_latin_ext_h[i];
            font[i].advance_int = (stb__courier_26_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_26_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_26_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_26_latin_ext_s[i] + stb__courier_26_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_26_latin_ext_t[i] + stb__courier_26_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_26_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_26_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_26_latin_ext_x[i] + stb__courier_26_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_26_latin_ext_y[i] + stb__courier_26_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_26_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_26_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_26_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_26_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_26_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_26_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_26_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_26_latin_ext_LINE_SPACING
#endif

