// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_27_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_27_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_27_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_courier_27_latin_ext_BITMAP_HEIGHT        164
#define STB_FONT_courier_27_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_courier_27_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_27_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_27_latin_ext_LINE_SPACING          13

static unsigned int stb__courier_27_latin_ext_pixels[]={
    0x70003500,0x00002000,0x26000200,0x00000004,0x03100000,0xa8000044,
    0x2000e001,0x2cccccc8,0x00100000,0x00510cc0,0x4c0c0000,0xcccccccc,
    0x020002cc,0x00010004,0x50000014,0x051000c4,0x04002010,0x00020100,
    0x30002005,0x00020005,0x00010000,0x0020002a,0x4000ec80,0xde98002c,
    0x740fa800,0x001bd303,0x859807aa,0x409d003a,0x10000ee8,0x00f4c05d,
    0x80036e00,0x9998005b,0x36e00999,0xe9803a60,0x2200f621,0x5401e9bd,
    0x8007a60e,0xaaada85c,0xd4caaadc,0xe82c8001,0x004fb800,0x27402744,
    0x0f4d3200,0x4c03e880,0x6c403b85,0xb859803f,0x009b1003,0x7fc005fb,
    0x01fe4001,0x03d887a2,0x70013ee0,0x7f44001d,0x005d8002,0xeb8005d0,
    0x7d401eb9,0x4f5c1f40,0x076401eb,0x01d31740,0x575413a0,0x74c002ea,
    0x002e9802,0x038a5ca6,0x0716a94c,0x401a8388,0x801eb9eb,0x802e9be9,
    0x02e1d90b,0x01eaaea8,0x22541760,0x03ba544a,0x5c88f440,0x0ec8dd80,
    0xd003e880,0xe8ae4009,0x005d3001,0x007542fa,0x00bb17d3,0x003aa17b,
    0x7d300fa2,0x16e009b1,0xdd8ce880,0x3a6fa600,0x91bb1003,0x01b9001d,
    0x27457540,0x40007500,0x836e006d,0x20a200e9,0xd306dc1a,0x93002401,
    0x54005bdd,0x3a20e981,0x003d1002,0x5c800f44,0x97203dc1,0x0fa80f70,
    0x6f4c0274,0x00f6c000,0x02f882f8,0xb0006f44,0x12a25409,0x2001e295,
    0x400befc9,0x7403543d,0x4006a002,0xe800b65a,0x3fae2001,0x2e0f401c,
    0x67f5c404,0xd005d001,0x00004c83,0x202dc2e8,0x36001ed8,0x12e03543,
    0x3c81d100,0x00039300,0x00000000,0xcc880000,0x00000001,0x40000000,
    0x00000080,0x80000000,0x00000410,0x00000000,0x44a80821,0x0792544a,
    0x00000000,0x00000000,0x00150000,0x00000000,0x40000000,0x000000a9,
    0x00000020,0x80000000,0x4001c8c8,0x000000a9,0xc8000000,0x02a600b0,
    0x02a60000,0x1f900000,0x666407e4,0x3333263c,0x98f33320,0x3320cccc,
    0x333263cc,0xf907e40c,0x47999901,0x320cccc9,0x33263ccc,0xdec980cc,
    0xc83f200b,0x12a0c40f,0x10034411,0x3319ddb5,0x4f7b6e20,0xdedb8809,
    0x30000133,0x10017bd9,0x3a659db7,0x0bdec980,0x05ef64c0,0x263cccc8,
    0x5440cccc,0x8818aded,0x818adeda,0xc8efcffa,0xeda881ff,0xa88198ce,
    0x2018aded,0xccccccc9,0x98f33323,0x3320cccc,0x333263cc,0x0e23700c,
    0x77e7fd40,0xff11ffc8,0x3fff887f,0x3e2ffff5,0xfff76fff,0x92c09fff,
    0x7e7fd401,0xf91ffc8e,0xa89fffff,0xfc8efcff,0x87fff11f,0x1cc3fff8,
    0x566d40e6,0x50beea21,0x5d44359b,0x0d66d42f,0x7305f751,0x59b50398,
    0x217dd443,0x2a21acda,0x8aeb82fb,0x87302ea8,0x00950039,0x39d10059,
    0x307dd731,0xbdb7137d,0xb89be985,0x3fee2ded,0x8aeb804f,0x3aa02ea8,
    0x1ecea89b,0xea88aeb8,0x5115d702,0x359b505d,0x2617dd44,0x4eeb89ce,
    0x75c4e74c,0x2e17544e,0x39d102de,0x987dd731,0x4eeb89ce,0x3eaaaa20,
    0x2b36a1aa,0x50beea21,0x5d44359b,0x36b6202f,0x5c2ea801,0x00e882de,
    0xd10780f2,0x32a04a80,0x70baa03c,0x92a005bd,0x16f5c2ea,0x07900744,
    0x880b2000,0x34405906,0x01a202c8,0x2202c800,0x34405906,0x0f4406dc,
    0x02540000,0x0ba2034c,0x03a21fc4,0x01d117d4,0x024c0bea,0x07a2036e,
    0x42fc03a6,0x41e880db,0x81e880db,0x361a202c,0x01d89f01,0xb817c49f,
    0x102e882f,0x9f01d87f,0x0b207800,0x40590688,0x00a88068,0x5f702f88,
    0x03440ee0,0x2a03441e,0x3e200804,0x2005f702,0x2e05f14a,0x2207702f,
    0x0b200006,0x40590688,0x44059068,0x0b200006,0x40590688,0x10074468,
    0xa800001d,0x6c05b004,0x0ba15403,0x201745b0,0x4409302d,0xd03a200e,
    0x883f7203,0x443a200e,0x903a200e,0x1a234405,0xa81a24a8,0x2f881aa4,
    0x115403d8,0x2002540d,0x6880b207,0x83440590,0x804cccc9,0x40be206a,
    0x403c80e8,0x4a80d107,0x6a806a20,0x5400be20,0x17c40d54,0x43c80e88,
    0x3ffd87fd,0x41a202c8,0x641a202c,0xffb1a202,0x5907ffb0,0x02c83440,
    0x900771a2,0x3f61ff63,0x8025403f,0x2001a069,0xd1088068,0x12601100,
    0x21c803b8,0x932d505a,0x771c803b,0x02c83900,0x080b11a2,0x1dc10162,
    0x001a0b20,0x80010162,0x6880b207,0x83440590,0x02debaa8,0x80b201dc,
    0x3c03443b,0x42540688,0x84edcefc,0x8016403b,0x2c80774a,0x40d10ee0,
    0x0b20ee07,0x40590688,0x44059068,0x41dc0f06,0x641a202c,0x03b1a202,
    0x2e078750,0xd0025403,0x5000b303,0x004a8009,0x03b024c0,0x441dc750,
    0x00ecd50e,0xa801d9d4,0x0d101643,0x01e40079,0x217405a8,0x07900059,
    0x5903c000,0x02c83440,0x26ee01a2,0x3a02d405,0x0791a202,0x501a20f0,
    0x85901309,0x8017405a,0x2e80b54a,0x40791a20,0x0b20ee07,0x40590688,
    0x44059068,0x41dc0f06,0x641a202c,0x01d1a202,0x2e078b10,0x50025403,
    0x7000770b,0x003b8007,0x01d024c0,0x740e4b10,0x800e9e22,0xb1001d58,
    0x21a202c8,0x201bcec8,0x101bcec8,0x70be601f,0x3b220007,0x1e0001bc,
    0x41a202c8,0x201a202c,0x7c401d0e,0xb805f300,0x41e00d13,0x00254068,
    0x300f88d1,0x452a005f,0x805f300f,0x0780d13b,0x880b20ee,0x34405906,
    0x41a202c8,0x0b20ee07,0x40590688,0x68803c68,0xa807703c,0x2e0f4004,
    0x003b8003,0x260001dc,0x34401e04,0x0e84c83b,0x03da200f,0x10164688,
    0x3edb980d,0x41f6dcc0,0x176c40dc,0x260000ee,0x78003edb,0x06880b20,
    0x20344059,0xb900ee59,0x402ed881,0x1e007768,0x012a0344,0x3721e133,
    0x80176c40,0xb103724a,0x7768805d,0x20ee0780,0x641a202c,0x1641a202,
    0xb81e0d10,0x1a202c83,0xe8d10164,0x03c49800,0xffff5077,0x895009ff,
    0xffffa83b,0xb800972f,0x024c0004,0x6493001d,0x1d3c16e4,0x003a9300,
    0x44059126,0x00f62006,0x67ec1ec4,0x5c2cbfda,0xfffffa83,0x343d8802,
    0x202c81e0,0x44059068,0x0d116406,0x7fb59fb0,0x1d970059,0x03441e00,
    0x3bfaa12a,0x9fb07fee,0x00597fb5,0xb59fb12a,0x9700597f,0x2e07801d,
    0x1a203b83,0x20d101dc,0x3c1a203b,0x40770770,0x44077068,0x15c01646,
    0x0003b81e,0x02cc1d00,0x800b31dc,0x24c00059,0x45700590,0xb301d36b,
    0xc95c0164,0x1dc2b802,0x68800d10,0x64c1a200,0x598591bd,0x22003b80,
    0xb81e03c6,0x1dc1a203,0x40e80d10,0xbdc9801d,0x7f100591,0x7ffffe40,
    0xa80d14ff,0x3c057544,0x3237b930,0x93095002,0x200b237b,0x207803f8,
    0x2a06983b,0x2d40d305,0x416a0698,0x1a60ee07,0x40d305a8,0x74034c5a,
    0x807703c1,0x24b8003b,0x21dc00e8,0x0074000e,0xffffff70,0x4034cdff,
    0x07a7e21e,0xd00d31ec,0x07a01a63,0x362d40d3,0x00d87c00,0x8590007c,
    0xb1dc00e8,0x81e0f801,0xa81a6068,0x2d40d305,0x00950b50,0x74401640,
    0x06880000,0x7803a254,0x5002c800,0x40164009,0x80e800e8,0x203f03d8,
    0x6c07e03d,0x1ec07e03,0x03d880e8,0xf80f603f,0x05b07b01,0x4407425c,
    0x007e403d,0x04b83e20,0x701aa1dc,0x12e03549,0x80b600f4,0x502fb84b,
    0x25c05b0d,0xf04b80b6,0x09d0f603,0x5409d354,0x5c0ec006,0x09d1dc04,
    0x4b81e354,0x03d80fc0,0xb01ec07e,0x0f99999b,0x5c00ec00,0x09500004,
    0xa81661d8,0x001d8007,0x00ec005b,0x43b8025c,0x3d703ee9,0x0f5c06c8,
    0x83d701b2,0xd30ee06c,0x907ae07d,0x641eb80d,0xb707d106,0x7dd30ee0,
    0x90005880,0xd880dd87,0xec80eb83,0x764075c0,0xe8804880,0x9f905b83,
    0x7d103d50,0x07d10b70,0x20f5c0b7,0x40bfe86c,0x02ffa2ea,0x35c005d5,
    0x7b101bb0,0x3aa05ff4,0x3a607642,0x320f5c00,0x320f5c06,0x2aaba206,
    0x8002daaa,0x001d006b,0x4c05d100,0x7ec81d86,0x88035c00,0x00d7000f,
    0x76c4003a,0x05fb9efd,0x01bfbdf5,0x1bfbdf50,0xbfbdf500,0x7ef6c401,
    0xf505fb9e,0x5001bfbd,0x801bfbdf,0x204eddfd,0xb9efded8,0x0007205f,
    0x6f7dc344,0xd500bfec,0x5409fb9d,0x404fdcee,0x7ec01cbd,0x2d504edd,
    0x00deddfb,0x0276efec,0x013b77f6,0x037f7bea,0x3f7bf636,0x77ec6c2e,
    0x2aa02efd,0x5c00edba,0x0bfecdef,0x3f7bf636,0xd9dd302e,0x3bea003d,
    0xfa800dfd,0x2a00dfde,0x55016604,0x2a01db75,0x001aecaa,0x31fe5554,
    0x305db555,0x3e7fd9db,0xdbaaa85f,0xdaaaa80e,0xb755501f,0x32aaa01d,
    0x2a2001ae,0x00a98000,0x8000a980,0x2a2000a9,0x00a98000,0x4000a980,
    0x02a20019,0x80000000,0x22001a98,0x06a2001a,0x26001980,0x2a607401,
    0x000cc000,0x2a600066,0x03531000,0x50035310,0x88005555,0xa98801a9,
    0x00351001,0x20002a60,0x01d800a9,0x55550074,0xaaaaa805,0x5554001a,
    0x0d554c0a,0x50005440,0x55405555,0x2aa00aaa,0x555402aa,0x00001aaa,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x01a20000,
    0x000000ee,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x64000000,0xffc87fff,0x0000007f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x01000000,0x0b722002,0x00008080,0x20001980,0x4c00310a,0x26005000,
    0x050001cc,0x20001000,0x00198003,0x04ccb804,0x80a000e6,0x80188100,
    0x00010000,0x00054002,0x05409800,0x0a000a00,0x26000a80,0x66400043,
    0x2e00203c,0x000cc001,0x301c000c,0x06a00039,0x80040200,0x5030000a,
    0x01aa2e40,0xfb802432,0x26003ee1,0x005d3006,0x00ba2d50,0x5d80075c,
    0x003da880,0x220001d0,0x362001fe,0x00f54004,0xaa82fe88,0x8012a07a,
    0x43d104d8,0x302543d8,0x220019fd,0x3a2001fe,0x01ea802f,0x03d887a2,
    0x01fc47f1,0x5c800bb0,0x2007aa00,0x3075c1db,0x0aabe01d,0x1ccbbf62,
    0x75400baa,0x027ec001,0x23220b70,0x33e6001c,0x4c05b9ce,0xd3003a85,
    0x23f98003,0x27ae03f9,0x325800ec,0x1c438800,0x1000f540,0x8754007d,
    0x01b9003d,0xb800ec80,0x001d0003,0x07d35d30,0xb8007d10,0x15d5000e,
    0xea83c09d,0x3a203adf,0x74df4c03,0x3db04a82,0x5d300bae,0x5d5007d3,
    0x3f3009d1,0x1f4df4c0,0x001502a0,0x4d8009d1,0x401f9800,0xd73d500e,
    0x4aa03c03,0x5981fed9,0x2000eb80,0x801b93e8,0x223701f8,0xda822003,
    0x50bd800c,0x174c001d,0x01502a00,0x26004f98,0x000003cd,0x44000754,
    0x70e8801d,0x0012a007,0x03b804b8,0x88001d00,0x3601ec1e,0x006cc002,
    0x81e40e88,0xda89ce87,0x4005d00f,0x209501ed,0x3a202882,0x1d101ec1,
    0x0e9803c8,0x0007f620,0x80079000,0x3a60003d,0xbd101e00,0x08007801,
    0x036603c0,0x05a85d00,0xb5b1035c,0x40000003,0x001cfeb8,0x00000e88,
    0x00400000,0x00540000,0x00000000,0xb8000000,0x7c406a23,0x6fffffff,
    0x00000000,0x3c000000,0x0007412a,0x2e4a8000,0x0000004c,0x20000000,
    0x8f333200,0x000cccc9,0x00000000,0x0f00003c,0x017bd930,0x0000003c,
    0x5100fa00,0x33332001,0x03333263,0x00000000,0x802f7b26,0x133dedb8,
    0x931e6664,0x3fe21999,0x1fffc43f,0x20059995,0x900bdec9,0x664c7999,
    0xdec980cc,0x7999900b,0x2066664c,0xfedfe9bb,0x26003a04,0x6640cccc,
    0x999913cc,0xc9859999,0xc8804ccc,0x2ccccccc,0xc800ec78,0x1ccccccc,
    0x99999993,0x992a5999,0x665c007a,0x2e4ccb84,0xcccccccc,0x3333224c,
    0x3322cccc,0x21cccccc,0x2a21acda,0x3332e2fb,0x24cccccc,0xccb84ccb,
    0x333332e4,0x4784cccc,0x1ccccccb,0x2bae03c0,0x8f02ea88,0x1ccccccb,
    0x99999300,0x9301f300,0x2a009999,0x2ea21acd,0xcccc982f,0x33326004,
    0x2bae004c,0xe982ea88,0x2dedb89b,0xa886b36a,0x007442fb,0x4caa9879,
    0xa88aeb80,0x1acda82e,0x2e0beea2,0x82ea88ae,0x2a21acda,0xbedb82fb,
    0x07413660,0x4156ec40,0x2aa1ebaa,0x40aaadca,0x02debaa8,0xaadcaaa8,
    0x0254780a,0x555557c4,0x555b52ea,0x299555b9,0x4c00784a,0x2ed982ec,
    0x2aaabea6,0x55547aaa,0xf10aaadc,0x5d555555,0x31a202c8,0x555555f5,
    0x41764cf5,0x3ea62ed9,0x7aaaaaaa,0x557d4c78,0x0f02edaa,0x0f4406dc,
    0x2abea63c,0x4402edaa,0x402debaa,0xd755106c,0x80b2005b,0xd7551068,
    0x2aa2005b,0xdb802deb,0x3a21e880,0x2c85f500,0x81dc1a20,0x20254068,
    0x81e880db,0x2e1a202c,0xc81e880d,0x7dc1a202,0x03a0be02,0x24c02540,
    0x5dc00950,0x02540059,0x80df6c3c,0x254d5068,0x12a9512a,0x40f4001e,
    0x780f00e8,0x834412a0,0x2202c86a,0xe8780f06,0x0f00e881,0x07834478,
    0x220f01d1,0xf03a200e,0x03a20f01,0x202cddc0,0x59bb805d,0x34405900,
    0x002cddc0,0x2202cddc,0x743a200e,0x0b216c02,0x01d10688,0x204a8079,
    0x03a200e8,0x22344059,0x903a200e,0x7b834405,0x00742640,0x2a2544a8,
    0xe8012a04,0x254001d0,0xfdb983c0,0x3a21a20d,0xa89512a0,0x544f0954,
    0x3c869800,0x540f01e0,0x1d10d104,0x83440590,0x434c3c07,0x4f01e03c,
    0x540f03e9,0x00770784,0x3c1dc839,0x43a00950,0x2013a00e,0x59001d0e,
    0x87403440,0xe874000e,0x3200ee00,0x40880689,0xb81a202c,0x25403443,
    0x83900770,0x771a202c,0x02c83900,0x2025c1a2,0x3000e868,0x0ee0ef8b,
    0x4b3004a8,0x012a003b,0x9075401e,0x544a85b0,0xf84aa544,0x01decdd8,
    0x780d325c,0x25403044,0x3205b090,0x23c1a202,0x325c0608,0x3044780d,
    0x20780fec,0x03b07859,0x44f98750,0x26016607,0x04e80ee5,0x900772cc,
    0x26034405,0x59800ee5,0x801d80ee,0x90004aba,0xd1034405,0x04a803c8,
    0x90ea0076,0x07634405,0x40590ea0,0xa80d7068,0xd1000e85,0x0591df4c,
    0x22c80254,0x012a0068,0x203b801e,0x2541885b,0x77c25422,0x8f4034c1,
    0x0ee3c01e,0xb7002540,0x0d101640,0x3a00771e,0x5c7803d1,0x03c16a03,
    0x03a0f05b,0xf03d1620,0x164016c0,0x202f40d1,0x3201a22c,0x5901a202,
    0x45900344,0x2003a068,0x90003bd8,0x2e034405,0x12a00d13,0x458800e8,
    0x1d1a202c,0x02c8b100,0x00fdc1a2,0x4003b07d,0x1d966ee7,0x074012a0,
    0x02540076,0x1dc0733c,0x95000e88,0x80fc2540,0x1e74c01d,0x1f6667c0,
    0xd1004a80,0xd1016401,0x0fb333e0,0x401e74c0,0x403ecccf,0x3eb98f07,
    0x4401e0f0,0x5cc783c6,0xd81d003e,0x0e80db01,0x80b200ec,0x36074068,
    0x1d81d001,0x2fa200f0,0x40590003,0x3bb44068,0x03c09500,0x10164688,
    0x8d10078d,0x5c1a202c,0x506a80de,0x0e85710b,0x200e9e3b,0xa85a804a,
    0xf0095004,0x07c407d4,0x12a001e8,0x320784a8,0xf006c803,0x2007b555,
    0x803d004a,0x7c1a202c,0x2003daaa,0x555f006c,0xff07807b,0x3c01dfff,
    0x449800e8,0xdfffff07,0x2a16a001,0x2d40f704,0x80b20254,0x2a16a068,
    0x4a85a804,0x793001d0,0x80b20009,0x0ecb8068,0x07409500,0x80b224c0,
    0x4c007468,0x0d101644,0x2eb7eeee,0x37b201ef,0x8ec0cfed,0x2a034767,
    0xcccdd804,0x095007cc,0x5eef54f0,0x09902eda,0x12a04a80,0xa803c81e,
    0x02b8f004,0x09900950,0x83440770,0x950015c7,0x80571e00,0x03e98f07,
    0x5c01641e,0x74c783c2,0x999bb003,0x07e20f99,0x666666ec,0xd101dc07,
    0x66666ec0,0xccdd807c,0x05907ccc,0x000b3570,0x806880ee,0x12a003f8,
    0x42b802c8,0x591a203b,0x03b85700,0xb99dc1a2,0x266002cd,0xa96a7200,
    0x404a80f4,0xaaaaaae8,0x804a802d,0x176cc627,0xa81a0d30,0x81e12a04,
    0x004a803c,0x9500880f,0x98d06980,0x03c16a06,0x004a8022,0x83c0880f,
    0x0f03d887,0xf07a01a6,0x00f621e0,0x555555d1,0x2217205b,0xdaaaaaae,
    0x5a81a602,0x55555d10,0x574405b5,0x82daaaaa,0x1d1e8069,0x540d3000,
    0x000e8805,0x8069812a,0xb5034c1e,0x41e80698,0x5c16a069,0x01dc0003,
    0x1d11655c,0x5404a80d,0x2a016604,0x12a07804,0x06881e88,0x784a812a,
    0x12a00f20,0x40ee03c0,0x207a204a,0x7b01f868,0x407701e0,0xb80f004a,
    0xd10783c3,0x016c0f03,0x0f068897,0x04a807a2,0x207cc166,0xf016604a,
    0x2540f603,0x02540b30,0xb80b60b3,0x09701aa4,0x200f603f,0x0254004b,
    0xf04b80b6,0x0b60f603,0x203f04b8,0x0007703d,0x5d400fc8,0x202d740e,
    0x200ec04a,0x4025400e,0x3d812a07,0x02540d10,0x1e40f095,0x07802540,
    0x204a81dc,0xd70d103d,0x01e06c83,0x80254077,0x0f21dc07,0x0786a81e,
    0x216e0fa2,0x3540f04b,0x00e803b0,0x7401d87b,0xd907ae00,0x03a00ec0,
    0x203a00ec,0xb85b83e8,0xb80ec80e,0xe803641e,0x20254000,0x205b83e8,
    0x883641eb,0x2e05b83e,0x7703641e,0x80588000,0x04db86d9,0x00d10254,
    0xd04a8077,0x82540fff,0xa81a205a,0x81e12604,0x004a803c,0x9503b80f,
    0x068816a0,0x01bfbdf5,0xa80ee03c,0x3b80f004,0xb01e2ec4,0xb06fff85,
    0x9d09dbbf,0x05b01e01,0x207700d1,0x2e01a268,0x7ef7d403,0x700d100d,
    0x7700d107,0x276efec0,0x9fb9dd50,0xdfdefa80,0x5d955500,0x80254003,
    0x804eddfd,0x00dfdefa,0x0276efec,0x06fef7d4,0x0556ed44,0x4c00e400,
    0x443f984f,0xffffffff,0x90ffff93,0x7fc4ffff,0x03ffffff,0xfff70080,
    0xa8dfffff,0x04ffffff,0xd117ffdc,0xfff50dff,0xffd0bfff,0xffffffff,
    0x3ffffe27,0xfff73fff,0x80dfffff,0x3ffa00a9,0xffffffff,0x7ffffd43,
    0xffffe85f,0x03ffffff,0x40fffff4,0x330007f8,0xffffd000,0x7e4ff103,
    0xfffc87ff,0x3fffe407,0x403fffe4,0x3ff200a9,0x7fffc87f,0x321ffff2,
    0x0cc07fff,0x80035100,0x555400a9,0x3f201aaa,0x7fffffff,0x4c000cc0,
    0x00cc000a,0x510054c0,0x00015555,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40002000,0x332a01b8,0x0201002c,0x02004020,0x20100804,
    0x19800100,0x03302800,0x40001995,0x840001b8,0x00620028,0x66440010,
    0xcb81cccc,0x001ccccc,0x36a200c0,0xeb818ade,0xb80deeee,0x33222ccc,
    0x540980cc,0x983cc980,0x7300cccc,0x0dfc9800,0x23100730,0xcccc8828,
    0x9971cccc,0x2665c399,0x66666644,0x666664c1,0xeda8801c,0x020198ce,
    0x40c00000,0x3b6e2002,0x0044133d,0x02e887a6,0x03d887a6,0x55302fd4,
    0x45d10099,0x174404d8,0x42cc07b1,0x3b85983b,0x005c87d0,0xb90007aa,
    0x3aa61e60,0x17ee0000,0x0954b800,0x4400ba60,0x2aa002fd,0xa981aaaa,
    0x2edaaaaf,0x301f4400,0x9dd7139d,0x33333310,0x502b3660,0x47f105f7,
    0xfda883f8,0x057d5442,0xb5001fe8,0x01ff8065,0x550599dc,0x21555b95,
    0x260aafa9,0xaaa882ed,0x55440aaa,0x4400aadd,0xeeb989ce,0x31efd883,
    0x23df9007,0x263f9839,0x9be9803f,0xf12dedb8,0xaae9805f,0x9be9802e,
    0x01c8802e,0x3a200950,0xd1003e9c,0x7b007d39,0x5ec03aa1,0x36201d50,
    0x2e004d9d,0x1362000e,0x003a07d0,0x0001c880,0x5402543a,0x17d3001e,
    0x4000009d,0x2001d107,0x80ec02e9,0x4010104f,0xa81a202c,0xd9700540,
    0x09501e01,0x4a800740,0x00953b80,0xb7078095,0x3b800001,0x2205d100,
    0xdb32a83f,0xb33a803d,0x502a05fd,0x500e8801,0x00bfe25f,0xb0003b62,
    0x2000003d,0x0fe4004a,0x800f6400,0x201cfeb8,0x801cfeb8,0x36a002fb,
    0x401e4000,0x0001d07a,0x52d40000,0x000e8809,0x904c83d1,0x664c7999,
    0x9503c0cc,0xd1007a00,0x07e42540,0x80b201f9,0x5c000068,0x000f04bb,
    0x00002c40,0xa804a964,0x02e43c04,0x005ef64c,0x01ec00ee,0x000400aa,
    0x00000110,0x222d805d,0x00000000,0x4f7b6e20,0x00095009,0x00000000,
    0x00000000,0x7c000000,0x88000e82,0x198ceeda,0x02543d00,0x54000000,
    0x2ea21acd,0x1660782f,0x40588000,0x01cc3980,0x2e344059,0x4ccb84cc,
    0x0f03d3b8,0x99999999,0xc8812a03,0x2ccccccc,0x500772c8,0x026c7809,
    0x7544575c,0x3400ee02,0x99993000,0x99991009,0xc9859999,0x68804ccc,
    0x26000880,0x8804cccc,0xcccccccc,0x5c4df4c2,0x09502ded,0xbcccccc8,
    0x30799301,0x32e19999,0xcccccccc,0x33333224,0x99972ccc,0x49999999,
    0xcc983cc9,0x999930cc,0x85c80399,0x0bfff20e,0x2e6273a2,0x45a803ee,
    0x6666444a,0x22cccccc,0x3263ccc8,0x202c82cc,0x16c0f068,0x1a614c40,
    0x00000079,0x26344059,0x2ed982ec,0x8f0b53b8,0xaaaaaaf8,0xa809502e,
    0x0aaadcaa,0x500771d8,0x07d17809,0x3d101b70,0x16600ee0,0xebaa8800,
    0xcaaa802d,0x5440aaad,0x5402deba,0xa8800004,0xa802deba,0x0aaadcaa,
    0x17d403a2,0x675404a8,0x40debaaa,0x5442fda8,0x5f530afa,0x8f555555,
    0xaaadcaaa,0x5555f530,0x6d44f555,0x57d5442f,0x55bb5510,0x740fa801,
    0x74407aa0,0xb007f102,0xeba84a83,0x4caaabea,0xb510d7d4,0x4405901b,
    0x3eb98f06,0x76ef6c40,0x76441eac,0x800001bc,0x741a202c,0x7700e881,
    0x0d11e16c,0xffff11aa,0x04a807ff,0xbd9bd991,0x20254099,0x4402fe8f,
    0x203a200e,0x003b803b,0x00b37700,0x2ee004a8,0x001dc059,0x9bb801cc,
    0xd0254005,0x9502d805,0x1ae03900,0x0780765c,0x12a0780f,0xcb8780f0,
    0x1dc0f00e,0x0e83f300,0x01ec01d7,0x10d300aa,0x20752a03,0x0ee0784a,
    0x20d10164,0x00efffff,0x27dc1f44,0xb0fb6e60,0x07ffb0ff,0x98344059,
    0x8ee03c86,0x21a23c68,0x012a00e8,0x3eaa04a8,0x202aceab,0x4d77c04a,
    0x200ee05e,0xb803b81c,0x21d00003,0x012a000e,0x5c01d0e8,0x005a8003,
    0xa8003a1d,0x1100d104,0x072012a0,0x4bbb82d8,0x0f01e0f0,0xf01e0254,
    0x1e097770,0x3e2003b8,0x402ecf42,0x05b00006,0xa81d2c80,0x40ee0784,
    0x3c1a202c,0x07b00fa6,0x2001f7d1,0x2e0783d8,0x1a202c83,0x701a64b8,
    0x121e3c87,0x009500b6,0x3b3c0254,0x1f809500,0x801d8264,0x4a03b83a,
    0xffffa83b,0x1dcb302f,0x26009500,0x04b80ee5,0x59805b80,0x04a800ee,
    0x4a800095,0x1a201c80,0x83c0f4ee,0x54030447,0x18223c04,0x0f03d3b8,
    0x5f1001dc,0x4c02eee8,0x06880005,0x881d0e80,0x40ee0782,0x3c1a202c,
    0x86881ec4,0x4007b2e8,0x0ee07868,0x406880ee,0x3b803d1e,0xb8078744,
    0x2004a805,0x03a7804a,0x20f012a0,0x8800e81e,0x4de03b85,0x3203b805,
    0x4a801a22,0x03445900,0x0d7000b3,0x00344590,0x000ee095,0x03900950,
    0x5a9dc0e8,0x03b8f078,0x5c780950,0x85a9dc03,0x9800ee07,0x1745741f,
    0x90000770,0x3a688007,0x2e0780b0,0x34405903,0x503d1078,0x96a2e889,
    0x1e07c00d,0x206983b8,0x1e74c05b,0x7ad41dc0,0x54007440,0x5412a004,
    0xccfccfcc,0x0f012a01,0x4401e16a,0x45e03b86,0xd01dc00e,0x95001d81,
    0x03b03a00,0x1ae00074,0x003b03a0,0x001dc12a,0x072012a0,0x363b83b0,
    0xcccf83c2,0x8095003e,0x403ecccf,0x40f0b63b,0x03ea003b,0x5c0ba21d,
    0x03c40003,0x67477093,0x6667c07c,0x5903eccc,0x20783440,0x3a25a86a,
    0x409d2cc2,0x0ee0786a,0x803e80f4,0x2077006c,0x00f407ad,0x12a004a8,
    0x7d575d4c,0x012a01aa,0x03a0740f,0x80ee1260,0x077012e7,0x4012a16a,
    0xa85a804a,0x9701aa04,0x216a03e4,0x2095004a,0x2540004b,0x07600e40,
    0x41e34477,0x003daaaf,0xaaaf8095,0xd11dc03d,0x800ee078,0x3a20e86b,
    0xffa83b82,0x03c82fff,0xbe87612a,0x5557c07a,0x7703daaa,0x40783440,
    0x7447c42d,0x2ffa3b82,0x03c17540,0x887ae077,0x0095006c,0x03f4c0ee,
    0x02540099,0x25980950,0x78095007,0x005912e0,0x3c077057,0x0f620376,
    0x666666ec,0xb0095007,0x0f99999b,0x0ec80eb8,0x99bb01f2,0x2a00f999,
    0x8000b304,0x401c804a,0x8f21dc0d,0x002b8f07,0x15c78095,0x3c790ee0,
    0x36140770,0x17440e83,0x20ee0166,0x212a00f8,0x070fcccf,0x4c0ee078,
    0xffd16a06,0x8ff103ff,0x0e883ecd,0x3f7bf636,0x1dc0f02e,0x1bfbdd30,
    0x3a012a00,0x07c85fff,0x2541a0d3,0x59809500,0x3ffe20d1,0xfb2fffff,
    0xff883fff,0x23d00d33,0xfffffffa,0xefb87fff,0x880bfecd,0xdaaaaaae,
    0x4404a802,0xdaaaaaae,0x6e775402,0x2207d84f,0xdaaaaaae,0x3a04a802,
    0x3fff2000,0xc87fffff,0x21dc3401,0x01e0f0e8,0xf012a011,0x21dc0880,
    0x1dc0f0e8,0xf907ccf0,0x3fffd81f,0x83b801d1,0x2625404b,0x000eaaad,
    0x3f01dc0f,0x00000f60,0x2e981bf3,0xd0072a20,0xb007b101,0x04a80017,
    0x0f440000,0x001d8344,0x2295012a,0x0003d006,0x25c05b00,0x54c40000,
    0xb3025401,0x4a809500,0x6cc01660,0x4a81f601,0x12a01660,0x025c06a8,
    0x5a807200,0x0f5a83b8,0x2a07701e,0x0ee03c04,0x81eb5077,0x05c9e03b,
    0xb8097000,0x25400e83,0x0901d0ee,0xd701dc0f,0xb3006c83,0xebbe8803,
    0x8801eece,0x261dc01d,0x005803ee,0x22000950,0x881ec01d,0x54006986,
    0x059a5404,0x6c400488,0x5c1f4401,0x001d8805,0x07600762,0x04a801d0,
    0x003a00ec,0x02980762,0x801d0076,0x4075c04a,0x03b300ec,0x01d301c8,
    0x41eb6077,0x4a81dc07,0x70ee03c0,0xb81eb607,0x00fc5e03,0x37600762,
    0x2543d880,0xd03a2540,0x20781d01,0x6f7d403b,0x930800df,0x05443c80,
    0xb1016180,0xbf73dfbd,0x003bcb80,0x4420012a,0x68816a05,0x80039ddb,
    0x599dc04a,0x80397b00,0x3f600b10,0x10804edd,0x02c4200b,0x00ee01a2,
    0x40344095,0x0584c03b,0x7700d100,0xea804a80,0x4204fdce,0x260e4049,
    0x207700eb,0xb80f07e9,0x07809503,0x4c0ee1dc,0x780ee07e,0x0b108095,
    0x3b37bee0,0x400f40bf,0x03a1a239,0x1dc0f03a,0x2000a980,0x00001cd9,
    0x001cda80,0x22000151,0xffffa801,0x9b3005ff,0x7fffdc03,0x0226ffff,
    0x7ffffc40,0x88443fff,0x20066001,0x4c001cd9,0x07366001,0x900e6cc0,
    0xff90ffff,0x7fffc4ff,0xff93ffff,0xffff90ff,0x00166d40,0x643fffe4,
    0x3fe27fff,0x03ffffff,0x366006a2,0x3fffe01c,0xfd00bdff,0xe8f90bff,
    0xffffffff,0xffff13ff,0x3fa7ffff,0xffffffff,0x17fffa3f,0xffff51f2,
    0x0fffffff,0x000e6cc0,0x24c06a62,0xcb7fe400,0xffffffff,0x54bfff90,
    0x0000ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x81300000,0x66665c0a,0x304ccccc,0x1cc00a81,0x00000200,
    0x04cccc98,0xccccb980,0x40000802,0x40000009,0x00000609,0x20008000,
    0x00001cc8,0x99997510,0x91000039,0x80399999,0x80020001,0x00140001,
    0x00600000,0x0001000c,0x00140002,0x08860028,0x40073260,0x00000001,
    0x99100000,0xb8039999,0x7c47f105,0x5557d4c3,0xf887aaaa,0xfd00fe63,
    0x5dfb1003,0xbff900e6,0x3aeaa203,0x276a002d,0x22049999,0xd50001ed,
    0x35c3e801,0x84d874c0,0x403a60db,0x00f621e9,0x32003db1,0xa85980b0,
    0x3b59f703,0x41b70377,0x2aaa00e9,0x75c01aaa,0x07b62000,0x400075c0,
    0x20db805c,0x6c0000e9,0x200fa201,0x5c001ed8,0x02e4003f,0x64013620,
    0x46c03d14,0x01d70058,0x20b30d10,0xb303a859,0x55540750,0x7ec01aaa,
    0x00a81500,0x8150780f,0x8025400a,0x03fdb32a,0x01ea85f4,0xb002cddc,
    0x5f4c1220,0x75c003e9,0xd8dd8800,0xc8f4c00d,0x3ae7ae05,0x74df4c01,
    0x74df4c03,0x00325803,0x5c074c5d,0x7014d20f,0x0003d53d,0x400f5400,
    0x003e9be9,0x2ec003d5,0x3d73d700,0x44599970,0x2606dccc,0x9be9802e,
    0xb1bb003e,0x00bb001b,0xb9003e88,0x249007a2,0x9003d500,0xe807a617,
    0x2e803a62,0x000003a6,0x780001f6,0x000003c0,0x97002000,0xd0e80970,
    0x81816001,0x00f621e8,0x2e0006dc,0x2a3d003f,0x00df9805,0x8803db10,
    0x500f621e,0xd9300799,0x913a05bd,0x1bd300a6,0x333332e0,0x9804cccc,
    0xb10f4406,0x401a6007,0xdf98003d,0x8159b300,0x0f401fba,0x7b10f440,
    0x035c3d80,0x0ba000f6,0x005d2d40,0x98007997,0xdfec8806,0x6f764c02,
    0x6f764c02,0x33332602,0xcb8f9004,0xcccccccc,0x83044784,0xccccccc8,
    0x9999972c,0x64c99999,0xcccc983c,0x81a203a0,0x2600ee59,0x0000002e,
    0x00020000,0x40002000,0x10000000,0x2f801000,0x008029a4,0x55557d4c,
    0x00007aaa,0x00000000,0x2c800800,0x00001a20,0x00000000,0x00000000,
    0x00000110,0x00200020,0x2aa20020,0x6c802deb,0x55557d4c,0x5c787aaa,
    0x6e555403,0x5f530aaa,0x4f555555,0x5442fda8,0x40b30afa,0x0688b207,
    0x00264d6c,0x22002aa2,0x2005440a,0x31000aa8,0x40000015,0x51000a98,
    0x00d44003,0x74015510,0x44029a44,0x3c07801a,0x00003510,0x000aa880,
    0x22001551,0x0b2009a9,0x01980688,0xa9880000,0x10000009,0x00001353,
    0x80000000,0x262001a8,0x4000000a,0x6b8059bb,0xcf8780f0,0x2a003ecc,
    0x21e03c04,0xa8f00ecb,0xd03f64c4,0x87301d81,0x7f4c02da,0xe880dfdd,
    0xdbf94ece,0xfbbfd303,0x37b2201b,0x3fec1eec,0x6441ffec,0x901eecde,
    0x409db9df,0x04edcefc,0x37f77fa6,0x4d21fa80,0xdb9df902,0x21e03c09,
    0x84edcefc,0x3ffd87fd,0xdfddfe98,0xfbbfd300,0x66f5c01b,0x1640dbfe,
    0x6fec0d10,0xff32ddec,0x7fff307f,0x7fd9bd70,0x361ff61b,0x9bd703ff,
    0x3f61b7fd,0x363ffd87,0x23ffd87f,0x3ffd87fd,0x4edcefc8,0x3b37b220,
    0x6c3fec1e,0xe87403ff,0x07835c00,0x6d557c3c,0xf012a003,0x4bbb8780,
    0x3aa3b8f0,0x50b5078a,0x6dc06c09,0x220af980,0x674180fb,0x15f31a65,
    0x1f407dc4,0x703c0f54,0x3d507d07,0x20590130,0xf982c809,0x203ee20a,
    0x0534bdea,0x3c0b2026,0x80981822,0x1dc0f02c,0xfb882be6,0x71057cc0,
    0xb109b01f,0x2202c83f,0x5f307906,0x41640344,0x41fd884d,0x1360ee07,
    0x40f07f62,0x0ee0783b,0x0983b81e,0x507d02c8,0x1dc0f03d,0x201dcb30,
    0x2088f05b,0x0015c781,0x04478095,0x207a7703,0x3c1d1dc7,0xcccccdd8,
    0x220f6207,0xb701f42d,0x2e85f500,0x645b80fa,0x81e1a603,0xd301e43b,
    0x20034400,0x2e03e868,0x14d2a205,0x23c1a200,0x0d10003b,0x1f43b81e,
    0x203e8b70,0xf103545b,0x1a202c83,0x741b807c,0xa81d0e60,0x0f07e206,
    0x881aa1dc,0x07703c1f,0x03c1dc0f,0x43440077,0x1e1a603c,0x88b203b8,
    0x4782d406,0x2203c03b,0x8f012a00,0x5a9dc03b,0x4689dc78,0xaaaae887,
    0x6dc02daa,0x00d31c81,0x1ea2201d,0x74034d2a,0xf0b201e0,0x201e1dc0,
    0x3c26602c,0x4c784cc0,0xa400e806,0xf0998029,0x0fb333e0,0x20f09980,
    0x0698ee07,0xd00d30e8,0x20601ec1,0x641a202c,0x22c800ad,0x0f61e0fd,
    0x1dc0f030,0x0f0300f6,0x7703c1dc,0x201dc0f0,0x00f0f099,0x0ee07859,
    0x300ec0e8,0x3b333e07,0x0ee03c03,0x667c04a8,0xb1dc03ec,0x3d1dc785,
    0xb302543c,0x39879100,0xddddddd7,0x7ecc5fdd,0xeeeeffee,0xddddd75e,
    0x265fdddd,0x03c3b805,0x5c02cc77,0x7777f543,0xddfd507f,0xeeeb8ffd,
    0x2feeeeee,0xd5029a40,0x20ffdddf,0x403daaaf,0x7feeefea,0xd71dc0f0,
    0xdddddddd,0x3bbbae5f,0x22feeeee,0x02c8000e,0xeeda81a2,0x3a27503d,
    0x01d0b32c,0x21dc0f00,0x2078000e,0x0ee0783b,0xea83b81e,0x4c7feeef,
    0x03c3b805,0x2a16a077,0x555f0004,0x5c07807b,0x5f012a03,0x3b807b55,
    0x24b8f1a2,0x6c0fcde9,0x98007401,0x3b50db9d,0x33333333,0xea82baa1,
    0xb5099999,0x33333333,0x2e016613,0x4c7703c3,0x3aa3b805,0xaea8780a,
    0x4ced4780,0x09999999,0xea829a40,0xb8f0780a,0x202baa02,0x51dc0f07,
    0x3333333b,0x2676a133,0x09999999,0x01dc001e,0x32a200d1,0x9cbacc0e,
    0x000f0755,0x03c3b81e,0x20ee0780,0x81e0ee07,0x4057543b,0x1dc02cc7,
    0xbb03b81e,0x00f99999,0x780571e0,0x09501dc0,0x2e015c78,0x6a8f1e43,
    0x1a20aa98,0xe8800ee0,0xb0007c42,0x4401f503,0x403c000f,0x87703c2d,
    0x03a2d807,0x1e00e878,0x900001f1,0x7803a0a6,0x3a0880f0,0x703c1e00,
    0x10007c47,0x01d8001f,0x16a06980,0x2f097002,0xb0391d1d,0x5c0f0003,
    0x3c000ec3,0x5c0f0770,0xd0ee0783,0x403c3c01,0x07703c2d,0x555555d1,
    0x80f0005b,0xfffffd08,0x407fffff,0x2203c04a,0x43a21dc0,0x64007c47,
    0xffc87fff,0x2a80447f,0x0b2004d8,0x09b00fee,0x1a604c80,0x90f6203a,
    0x0b334c09,0xa81663d4,0x80004d87,0x20598534,0x3b80f07a,0xe83d40b3,
    0x26c3d880,0x50013600,0x1f82880b,0x407907b0,0x2e69d859,0x405a80eb,
    0x6c407428,0x0a202d43,0xd07b101d,0x1d07b101,0x02cc7b10,0x4c0990f5,
    0x3d880e86,0x416604a8,0x5c0781fe,0x500ae003,0x1dc07809,0x43d6a0ee,
    0x4c00002d,0x03902984,0x5d5039d1,0xeefb83a6,0x1ce89720,0x41f42ea8,
    0x4c3b81ea,0xa83e83ee,0x7640ec1e,0x7ec81d87,0xea81ce88,0xd829a402,
    0x0f07ec81,0x320763b8,0xe987707e,0x40e7443e,0x073a22ea,0x019b0baa,
    0x83d503f7,0x103f906c,0x4c7d703d,0x2033606e,0x261dc1fb,0x80cd83ee,
    0x261dc1fb,0x4c3b83ee,0x4c3b83ee,0x640ec3ee,0xd507d07e,0xee987703,
    0x07401d83,0x01e0bfe2,0x402c0077,0x2e03c04a,0x7ad81dc3,0x00c40e98,
    0x9b981b80,0x6404c999,0x41dfdcef,0xbcadedfa,0xdf903fdf,0x3203bfb9,
    0x100eecde,0xf73dfbdb,0xdd9bd90b,0xfd9db301,0xed997fe7,0x0bff3fec,
    0x3bfb9df9,0x5d566620,0x7f676cc1,0x4078bff3,0x3b3b663b,0xd88bff3f,
    0x5fb9efde,0xdfdcefc8,0xfb9df901,0x337ee03b,0x3ea00bde,0x7700dfde,
    0x07ffbbdb,0x809d07ea,0x0bdecdfb,0x9efded88,0xcdfb85fb,0xed880bde,
    0x45fb9efd,0xb9efded8,0x7ef6c45f,0x3665fb9e,0xbff3fece,0x1dd9bd90,
    0x3bf7b620,0x01a25fb9,0x3c0620ee,0xda800ee0,0x7809502d,0x40ee1dc0,
    0x7bf707e9,0x220005fd,0x333223dc,0x2a6001bc,0xa8819801,0x001a9800,
    0x22001531,0x2a62000a,0x000a8800,0x260002a2,0x4ccb801a,0x15101995,
    0xfffffe80,0x883fffff,0x0544000a,0x8006a600,0x2a6001a9,0x0054c000,
    0x00035310,0x00153000,0x530002a2,0x002a2001,0x22000a88,0x0151000a,
    0x000a9880,0x7fe40151,0x7fffc87f,0xfffffe80,0x003fffff,0x7ffffc40,
    0xfffd3fff,0x7fffffff,0x642ffff4,0x006aa207,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00280000,0x40002000,0xcedb8802,
    0x0c002001,0xccccc880,0x8800001c,0x002e000a,0x40033bae,0x10550cc9,
    0x04017db7,0x510dc004,0x00800001,0x00080280,0x53000808,0x037db700,
    0x6cc00808,0x4cb8002e,0x30006200,0xda800001,0x4408800b,0x04cb8000,
    0x000005cc,0x99999995,0x00062039,0x00398000,0x000002a0,0xe9817200,
    0xd880f621,0x02e4001e,0x3aa26faa,0x802fc804,0xaaa800eb,0x85d01aaa,
    0x6c7fc45c,0x5401dece,0x44eec05f,0xea8800eb,0x57541f91,0xf882eb88,
    0xb500fe23,0x32017dbf,0x220511df,0x172001ed,0x44003ae0,0x200fe23f,
    0x2bb201fe,0x1f900eb8,0x9de807e4,0x2a001ec8,0x05d3007a,0x3200f540,
    0x590511df,0xb1f60166,0x0f55000f,0x017af7a2,0x65c5b87d,0x2daaaaaa,
    0x06dc0950,0xb80c01d3,0x9db7102f,0x7fc43a65,0x1fffc43f,0x5d80bfa2,
    0x3e9be980,0x0fa6fa60,0x3a6026c0,0x3a209b00,0xea804e8c,0x74400001,
    0x3be04d8c,0x362034c2,0x16e16a02,0x071a1d80,0x2e05c1a2,0x333b6a00,
    0x3aa32a05,0x9be982fd,0x005d803e,0x05c007aa,0x036e002e,0x73068868,
    0x50950398,0xf999700b,0x00f54059,0xca801d70,0x442fdea8,0x0a601544,
    0x83c00053,0xb101643b,0x1a81bb1b,0x02540760,0x007aa7ae,0x2a03a01d,
    0xecea89be,0x79007441,0x360dff70,0x07b62003,0x0f621e88,0x03d007b0,
    0x642e80e8,0x91069804,0x59999999,0x3e017e40,0x80003b01,0x2001f02e,
    0x6c00591d,0x1b880001,0x013001ec,0x01ec43d1,0x1f30009b,0x80000000,
    0x0005904a,0x003a01d0,0x055f5555,0xda8003a6,0x10130000,0x00003987,
    0x10f07800,0x007f700b,0x02540d10,0x74006f4c,0x0e982b80,0x40ee0bf0,
    0x05fd1068,0x00008000,0x02d40000,0x0000025c,0x2b72aaa0,0x400400aa,
    0x4c40ee07,0x201f009a,0x361a882c,0x00e80011,0x04001531,0x0a988076,
    0x00000000,0x0aa88002,0x20155100,0x0009301d,0x407a01d0,0x0003c1a8,
    0x1a880000,0x400322c0,0x2a2001a8,0x698783c1,0x2a000100,0x55bfd504,
    0x01d00040,0xfdc80f40,0x3c80e880,0x006a2000,0x53100198,0x02a62001,
    0x034401dc,0x2a620033,0x40095000,0x703c01a8,0xfd9bd707,0xb81a61b7,
    0x47f6fdc3,0x86b8001d,0x1eecdec8,0x2bbfbf20,0xcdec885a,0x000001ee,
    0xfd300000,0x2601bfbb,0x40dfddfe,0x7ecb303c,0x643ffd87,0xfe886984,
    0x100f2fed,0x80c00035,0x04edcefc,0x8085b993,0x04edcefc,0x4bfb7fa2,
    0x17544f07,0x5b000c00,0xfb31ce88,0x3fa20001,0x85ffffff,0x132d505a,
    0x001a21dc,0x276e77e4,0xbbd9bfb0,0xecdec885,0x9bd9101e,0x001c83dd,
    0xbd9bfb0f,0xcdec885b,0x825401ee,0xeced8ff9,0x1dc0f01f,0x47f62136,
    0xeb92a05a,0x4007bae1,0x3e80dfcb,0x67441ea8,0x3a1b7220,0x7e41ea83,
    0x7fe404ff,0x7ffe404f,0x1057cc04,0x0af981f7,0x05a83ee2,0x1dc0f0dd,
    0x3b2677a2,0xb505f441,0xd8ff98f7,0xf981fece,0x0bb7f27f,0x04059013,
    0x01309b71,0x417d1059,0x74f07bda,0x7ff980ef,0x200bb7f2,0x41d03e87,
    0xd004fffc,0x220ee001,0x1a20d50e,0x02600079,0x260f20b2,0x7541f42f,
    0x1ea83e81,0x90740076,0x3e85f307,0x12a01ea8,0x07987df0,0x0d51dc0f,
    0x204a8fc4,0x3ee07e4a,0x09d95001,0x3634c079,0x3c83f203,0x04981a60,
    0x49801260,0x8b701f40,0xe896e03e,0x1e075ec2,0xfff883b8,0xf103e83f,
    0xf30fbe0f,0x224e8f80,0x440d1003,0x88002cdb,0xff103e86,0x05d511e0,
    0x0712747c,0x103c4598,0x0e8024c0,0x45d03900,0x344ee078,0x400332e0,
    0x3700f868,0xc8d301e4,0x02c9a603,0x3700f8f0,0x40d301e4,0xd817c04a,
    0xd8ee0782,0x40950c03,0x3e60d34a,0x20eb8001,0x1f32c807,0x201e1f80,
    0x4009302c,0x81260049,0xd30e8069,0x77441d00,0x0781d3ec,0x117d30ee,
    0x007c45d5,0x6c0be0f9,0x000bbe02,0xb711e133,0x13300039,0x6401f11e,
    0x07a20f07,0x6400177c,0x98002cc2,0x2001d004,0x0742641d,0x44077688,
    0x84cc05ff,0x400adc87,0x01e2c807,0x4c01dcb2,0x20056e45,0x9502c807,
    0x20ee0780,0x00e8ee07,0x74b81660,0x8000f409,0x7700b33b,0x4cb6016a,
    0x9303b805,0x30024c00,0x77775c09,0x72feeeee,0xdddddddd,0x685305fd,
    0x5d0ee078,0x012a1f10,0x3b81e0f3,0x754007e0,0x547feeef,0xd50164c1,
    0xa8ffdddf,0x0783cc04,0x000fc12a,0x000e80e8,0x01d00498,0xf05b9320,
    0x200ecb80,0xfea80ffa,0xb507feee,0x05987bdd,0x700b33b8,0x5b003a27,
    0x87bddb50,0x503b8059,0x8ee07809,0x3b82fffa,0x40d1001e,0x0f40952d,
    0x0b359800,0x2012a770,0x7700b31d,0x49801260,0xda812600,0x99999999,
    0x3333b509,0x00133333,0x1dc0f0b3,0x4a9e40d1,0x20783cc0,0x5401e03b,
    0x640780ae,0x15d50b33,0x4c04a8f0,0x83440f07,0x20b30007,0x24c0103c,
    0xd7000e80,0x016603a6,0x3fc807f1,0x0780aea8,0xb30eca88,0x01667700,
    0x2604c8ee,0x0eca8806,0x207700b3,0x7703c04a,0x0763b800,0x87e01f00,
    0x0003f306,0x2d80796a,0x3c1f00d3,0x049816c0,0x49801260,0x88003e20,
    0x5d00000f,0xd11dc0f0,0x00f89dc0,0x7703c1f2,0x00e803c0,0x42a8901e,
    0x1f11e00e,0x20783e40,0x2000f068,0x23bd103b,0x09300ec9,0x7c4003a0,
    0x807b01e9,0x837c00e8,0x8011e00e,0x8b601e4b,0x2ec2d807,0x70020f54,
    0x816c03c9,0x7703c04a,0x16a0d800,0x4c264510,0x0fdc0ec6,0x1323e800,
    0x5016c698,0x1a604c8b,0x12600498,0x26c04980,0x00013600,0x44074172,
    0x4680ec3d,0x20ff103e,0x0780ee07,0x81ea0598,0x0b31c439,0x881f43d4,
    0x50e4f07f,0x74001e09,0x16ff5400,0x0ec01260,0x2a05f700,0x4c04b806,
    0x2a05981f,0x4b301e47,0x991a604c,0xdfc834c0,0x03c80ded,0x2604c966,
    0x0f012a06,0x0b3001dc,0x43f7019b,0x50ba21f8,0x80f75c5d,0x1b260bec,
    0x107aa0fa,0xd01f505f,0x4c03d507,0x80126004,0x0e744049,0x39d11754,
    0x36205d50,0xe987700d,0x910f4c3e,0x2a0be889,0x5c0f07be,0x0ec01e03,
    0x91603f64,0x7ec81d81,0x3aa0be88,0x8a54f07b,0x1000f01d,0x4012a00d,
    0x10b50049,0xa84fc837,0x400e801e,0x32076028,0x440fe47e,0x7541f41e,
    0x1ea83e81,0xc802bae0,0x741e881f,0x2a01ea83,0x07703c04,0x80eedd44,
    0x0bdecdfb,0x02fdee98,0xfb1ddbf7,0x3b7faa0d,0x9bd900cf,0x3f6201dd,
    0x3200dfdd,0x400eecde,0x01260049,0xdf900498,0x3203bfb9,0x21dfdcef,
    0x403eeddc,0xb9efded8,0x76f6cc5f,0xffbfd102,0x40f17fe5,0x4c01e03b,
    0xff3feced,0x0f6f660b,0x4ffb3b66,0x6ff445ff,0x36bff2ff,0x0fb7a6ff,
    0x03a80078,0x12600950,0xeeddec80,0x6fddaa0c,0x55500ded,0x400035d9,
    0xf3feced9,0x37b6eebf,0xbd903ffd,0x76401dd9,0xb100eecd,0xd7379dbf,
    0x7eef6ddc,0xd9bd903f,0x904a801d,0xffe89fff,0x00355105,0x0cc002a6,
    0x80005440,0xa9880099,0x01331000,0x6402a620,0xffffffff,0xfffff90f,
    0x3f21ffff,0xffffffff,0x8006a600,0x006201a9,0x88002a20,0x80151001,
    0x7f44fffc,0x3ffffa5f,0x2a206fff,0x10010000,0x0a880015,0x3a026000,
    0x6fffffff,0x40e60000,0xfffffffc,0x04cc00ff,0x0054c0e8,0x06aaaaaa,
    0x002a2000,0x8801a988,0x531000a9,0x99bc9801,0x3100cdba,0x15310035,
    0x3ffffe20,0x00003fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0001a980,0x40351000,0x3cccccca,0x00007326,0x54c00000,
    0x002a2000,0xedc98050,0xeca93264,0x0014c02d,0xcb800000,0x20000004,
    0x5c2cedc8,0x44000550,0x00cccccc,0x11abca88,0x880079b9,0xb88001db,
    0x2e20001d,0x401ccccc,0x971001a8,0x22039999,0x01cccccb,0x1a880006,
    0x23999970,0x04ccccc9,0x54c40066,0x59995009,0x000400e6,0x40001551,
    0x21bf9101,0x6c3fec29,0xdfe983ff,0x20bff3fe,0x2ffea04e,0x84fedfe9,
    0x1aaaaadb,0xd000f6a2,0x87a60b30,0xcffa83d8,0x81ffc8ef,0xbb000fff,
    0x0c457640,0x22f76f51,0x0bfa04d9,0x3ff21ff2,0x4477f203,0x4007a982,
    0x0530dfc8,0x7544df54,0x007ec7a4,0xaaaaa880,0x5675c00a,0x15c333cb,
    0x00393500,0x00039350,0x55555544,0xdb9df901,0xaaaa8809,0x555101aa,
    0x07403555,0x76c7fcc0,0x754c1fec,0xf55510ac,0xd9bfb055,0x9bd705bb,
    0x54c1b7fd,0x803f74ca,0xdfe9804a,0xff980dfd,0x70bb7f27,0x03fbd517,
    0x74c3b81e,0x01f7660b,0x7db7009d,0x0ee26cc1,0x64003b80,0x4c03d10c,
    0xea83e9be,0xd016f5c2,0x09b100df,0x4ef80274,0x036a05b0,0x540ee078,
    0x82fdea8c,0x02aaafaa,0x7ef545dc,0x3601d301,0x001626cc,0x01a20000,
    0x39000750,0x000e4000,0x20260000,0x0000002c,0x7c001d00,0x1d83cc3e,
    0x983c8340,0x6c426c2f,0x02c9501f,0x2be60254,0xf803ee20,0x200e24e8,
    0x3b81e009,0x80ff0174,0x02fb801a,0x2003b8be,0x75c4003b,0xed8803de,
    0xf702f881,0x0f600005,0x0fe005b8,0x1e0004a8,0x026003b8,0x1e667e5c,
    0x3d004c00,0x0720de80,0x006a2000,0x5eb801dc,0x001c8180,0x06003903,
    0x0000a988,0x155100d1,0x03a00000,0x05b02f80,0x1f06803b,0x206a86e0,
    0x2e9501f8,0x7404a803,0xef816e03,0x0f000002,0xc80f31dc,0x0f700007,
    0x800ee4c8,0x0026a23b,0x54020002,0x000be206,0x003e2000,0x002c4078,
    0x401dc0f0,0x227801a8,0x2a00000a,0x8044a805,0x77e401a8,0x1dc04edc,
    0x26059300,0x5401c84e,0x4401c83e,0xcdec885d,0x099801ee,0x6eff4c0f,
    0x43fec0df,0x3fa23ffd,0x05ffffff,0x0ec1dc0f,0x056e41a0,0x40300f60,
    0x12a0014a,0x00e80698,0x87fd803f,0x20783ffd,0xf1012e3b,0x012e0000,
    0x5d45dcd1,0xfd17700a,0x00007fdb,0x3201dc00,0xa8000002,0x2203c004,
    0x3fffffe6,0x7703c2ff,0xced8ff98,0x363e01fe,0xf901decd,0x01dc0bff,
    0x47fcc2c4,0x301feced,0xffd05901,0xd70d0007,0x64407205,0x5c03901e,
    0xd507d03f,0xdddfd503,0x82be60ff,0x20780fb8,0x4001d03b,0x0760ee07,
    0x776d40d0,0x0000e83d,0x0950012a,0x7777775c,0x0f02feee,0xf07703c0,
    0x80d51dc0,0x4fffc87a,0x2d406b80,0x5fd7bff7,0x5417d970,0x2fffe44e,
    0x3fffffe0,0xe80b52ff,0xfff03402,0x2e5fffff,0x3c039932,0x16e0f340,
    0xdf03b81e,0x3be07987,0x2cc034c2,0x81e00390,0x003cc3ef,0x403b81a2,
    0x19d31d42,0x1f540e40,0x37620720,0x34c07900,0x41e02baa,0x1e16e03e,
    0x001d03b8,0x3b07703c,0x95100680,0x20003c1d,0x3bba604a,0x2eeeefee,
    0x333333b5,0x01e01333,0x1e0ee078,0x807e23b8,0x4024c07e,0x88fa01fb,
    0x7dc0f981,0x2603f103,0x25b83c05,0x05f300f8,0x2e0f03cc,0x2afee765,
    0x4d00f05e,0x0780ea85,0xd817c0ee,0x07605f02,0x00ec0b30,0x6c0be068,
    0x0784cc02,0x9bb500ee,0x0c98f647,0x22733732,0x20bca9dd,0xf71ccdcc,
    0x00f03265,0x0f007459,0x781d00d3,0x7d550ee0,0x20780555,0x3401d83b,
    0x1d92e004,0x1012a000,0x333b7333,0x00007c43,0x7703c00f,0x87d101f0,
    0x07fb80db,0x6f5c024c,0x32006a80,0x99007dc4,0x50b01660,0x440dc81d,
    0x3ed882ed,0xd83aa160,0x0782c85c,0x01d30344,0x40f6203a,0x03c0ee07,
    0x20598077,0x3c0d002c,0xdfd50770,0x1dc0ffdd,0x3a274c00,0xd9f5c01d,
    0xce980b12,0x05987360,0x540b33b8,0xeeeeeb87,0x3c2feeee,0x7e64c770,
    0x1e00cccc,0x401d83b8,0x96603c86,0xa814405a,0x20254004,0x01e0004d,
    0x3e0ee078,0x641f74c3,0x78efcadf,0x5dc024c0,0x1efbadfb,0x0b71a600,
    0x00b30698,0x9fb00e98,0x98597fb5,0x0e98002e,0x42cc07dc,0xe8834407,
    0xdd30ee00,0x03b81e07,0x2601dc0f,0x26012a05,0x43b81e04,0x20780aea,
    0x3b22003b,0x880e5641,0x057060dd,0x39570bb2,0xb1dc02cc,0xb50fd903,
    0x33333333,0x0ee07813,0x40f00074,0x0511d83b,0xd103f90d,0xfb80cd83,
    0xa8009501,0x40e74404,0x400f02ea,0x37e0ee07,0x5fb9efde,0x1e2cdb98,
    0x27700930,0x8002cdb9,0x2602dc69,0x4400b306,0x5ee4c00e,0x002c8591,
    0x04a80e88,0x5880f03a,0x6c401e88,0x4fb9efde,0x3c0ee078,0x05980770,
    0x05b003a2,0x0e87703c,0x003b81e0,0x32b307d5,0x4402eb81,0x4c274c0d,
    0xd8078395,0x3fb3b662,0x07c4bff3,0x07703c00,0x3ff2003a,0x22fff44f,
    0x8788b31d,0xffddedbb,0xbd9bf703,0x00254017,0x77e4012a,0x7f41dfdc,
    0x06ffffff,0x8bc1dc0f,0x0780000a,0x01dc024c,0xfb8b9000,0x2cc13200,
    0x0001e880,0x8001d0b2,0x40d101e8,0x41d40786,0x82a2002e,0x1dc0f02d,
    0x300ee078,0x2604b80b,0x47703c05,0xb81ea059,0x3a017003,0x80170390,
    0xb01a80d9,0x40990721,0x88151069,0xe8004d84,0x3b03d880,0x1d800000,
    0x4406a8b3,0x195001da,0x50012a00,0x01bd8009,0x880e8000,0x0000783d,
    0x4024c078,0x8026003b,0x881fdc2e,0x200b301f,0x0ec0002e,0x740cc0b2,
    0x25416c02,0x7b03603c,0x02c00930,0x0781dc0f,0x00b300ee,0x801d50bb,
    0x03b0ee07,0x01dc0fd9,0x3fbbea00,0x00da8005,0x2f777d40,0x00f541f4,
    0x33a206a0,0x1dc2ea81,0x2540fba6,0x3b100dc4,0x43d11d80,0x01d8803c,
    0x2a003b10,0x00144004,0x00f20012,0x07dd30ee,0x0f00000f,0x03b80498,
    0xbb30bea0,0x5419d970,0x2016604e,0x7004983d,0x7901d10d,0x224983d8,
    0xfa87a61e,0x7d9d71ff,0x00b304c8,0x81e1e5e4,0x1dc0f03b,0x7dc01660,
    0x7800cedd,0x9db30ee0,0x217fe7fd,0x6400003b,0x0025c001,0xbd901c80,
    0x20001dd9,0xcefc84dc,0xed881dfd,0x05fb9efd,0x19ddbbd9,0xfd82c420,
    0xede99fff,0x20161804,0x02540161,0x656c0000,0x22016000,0xfb9efded,
    0xa80003c5,0x9302afba,0x556ed440,0xeded8800,0x45ffcc4f,0x402ffdfd,
    0x98264059,0xedbaaa85,0xd97bd700,0x5982643d,0x017f774c,0xfff30510,
    0x00bfffff,0x3fff2198,0xf72fff44,0x7ff445ff,0x3fffff26,0x2600ffff,
    0x9fff9001,0xa885ffe8,0x7fffcc00,0x640001ff,0x33aa005e,0xc8003dcc,
    0x02a6205e,0x2a600000,0x00151001,0xb3001330,0x02600039,0x400e6d40,
    0xff901cda,0x4fffffff,0xfffffff9,0x05403fff,0x001eec40,0x00500151,
    0x2aaaaa00,0xffffff92,0x2aa21fff,0x4c000aaa,0x06a20009,0x7fffffe4,
    0xfff30fff,0x50bfffff,0x26005555,0x7ffcc1ab,0x105fffff,0x00000003,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x337b2a00,0x16665403,0x00b332a0,0x1ef6e446,
    0x3cdeca80,0x22004040,0x418adeda,0x3263cccc,0x65400ccc,0xeda881ab,
    0x710198ce,0xa8267bdb,0x26002ccc,0x3ccccccc,0x2666666a,0x22029999,
    0x37b2604c,0x7ddb700b,0x97001401,0x0cca8009,0x803b8800,0x9802dec9,
    0xba800bed,0x2ccccccc,0x33333326,0x99999300,0x99910239,0x33203999,
    0x0733222c,0x2f33332e,0x99999301,0x00599999,0xccccc980,0x0999701c,
    0x665c9997,0x2e4ccb84,0x0acccccc,0x70e6665c,0x6664c999,0x99101ccc,
    0x16664c79,0x4417b100,0x955301da,0x4caa9809,0x89becd80,0x7b100ec9,
    0x440ed441,0x4c0fe23f,0x4eeb89ce,0x510d66d4,0x675c05f7,0x67443cba,
    0x83eeb989,0xedb89be9,0x132aa62d,0xfaaaa880,0x2800a1aa,0x75c1f360,
    0x7c2ea88a,0x02fb889c,0x1eaa001d,0x001d5300,0x2026f75c,0x0ec99be9,
    0x0db33b70,0x5fd5ef4c,0x2a24caaa,0x100aacda,0x2155bb55,0x2aaaa25f,
    0x35f501aa,0xd980dda8,0x0edbaaad,0x6e5556d4,0x3104caaa,0x2aa26985,
    0x9300aadd,0x45db305d,0xed982ec9,0x2aabea62,0x3ea63fda,0x8bb660aa,
    0x0aaddaa8,0xa886bea0,0x0bfa20dd,0x16c401b1,0x4a8012a0,0xd700ed80,
    0x6c401b10,0x805c0b82,0x5909f01d,0x0d103440,0x3e205d10,0xfa807443,
    0x80009502,0x81400507,0x01b70f69,0x6983c3d1,0x078001d0,0x22001d00,
    0x7c40951b,0x81d04a81,0x741e9809,0x02c82540,0x02d41dc0,0x07703c00,
    0x20ea81dc,0x12a2544a,0x59dbbdb1,0x800ee03d,0xd00e881e,0x1e01d103,
    0x5c1e0744,0x800ee00d,0xff70ee07,0xabb88d8d,0x95006c1b,0x6c025400,
    0x83626402,0x0363abb9,0x2a068800,0x1a202c84,0x03d803a8,0xb00ba154,
    0x00012a05,0x02800a0f,0x01d11e3d,0x3a028744,0x3c000e81,0x0000e800,
    0xd01d4095,0x3a005981,0x82540e81,0x41dc002c,0x3260002b,0xeccccccf,
    0x5c07703d,0xa89512a4,0x3ee0fa24,0x9800ee04,0x1a603c86,0x2a0780f2,
    0x402e43c4,0xb81e003b,0x7517f443,0x24c55144,0x25400950,0x53cc0040,
    0x4cd10dc7,0x01620004,0x34405901,0x00d00770,0x01100d10,0x0f00012a,
    0x4b82800a,0x3900771e,0x3fe25900,0x06ffffff,0xe801a89e,0x00950000,
    0x01a21640,0x440e82d4,0x400c5902,0xffc8283b,0x2bea205f,0x1ddaaaaa,
    0x50e80770,0xb2544a89,0x01f7d107,0x499000ee,0x264b8069,0x8d103c06,
    0x3b8026c7,0x03b81e00,0x12144190,0x5002540b,0xf0000669,0x41848321,
    0x027ffe45,0x059000f2,0x3ffe2344,0x263fffff,0x004a8005,0x20002540,
    0x21400507,0x03b1e0e8,0x06980750,0xe8f8001d,0x3a01fece,0x80bfff20,
    0x03a0004a,0x40f2003a,0x35900b0e,0x0077009d,0x40f00b30,0x900ee03b,
    0x4212a043,0x7b2e8868,0x02fb8ee0,0xd001e8f4,0x40f007a3,0x03e8bc5a,
    0x07800ee0,0x222c00ee,0x00d85712,0xb5006695,0xccc883d9,0xcccccccc,
    0x40144b1e,0x8809300d,0x6401bcec,0x3b81a202,0x5c001dc0,0x02540003,
    0x00141e00,0x3a3c3c85,0x71058800,0x0003a03f,0x207985df,0x2007aa0e,
    0x47b0004a,0x0ccdecc9,0x333a03b0,0x01eec807,0xb3000770,0x99999f00,
    0xbd9707d9,0x43b83999,0x999db998,0x45d112a0,0x7e47705a,0x01e74c02,
    0xf0079d30,0xd1f07ea0,0x01dc005f,0x999999f0,0xb116007d,0x201903d9,
    0x200ff8ca,0x55d303fc,0x55555555,0x8029963d,0x4009300c,0x5903edb9,
    0x07703440,0x3b8003b8,0x00254000,0x500141e0,0x01e3c344,0x05fd4344,
    0x1f8001d0,0x5c3a03b0,0x0095000e,0xcaa88990,0x03b00aad,0xf701eafa,
    0x003b8009,0xaaf80598,0xa83daaaa,0x40aaadda,0x3bbb623b,0x96a2eeef,
    0xb82cc2e8,0xf9970043,0x9001999f,0x3333e00d,0xaef81eec,0x077005e9,
    0x555557c0,0x88b003da,0x540b0322,0x3baa0994,0xe801a204,0x058058b0,
    0x6c400126,0x1a202c83,0x41dc03b8,0x72fffffa,0x04a80009,0x0141e034,
    0x23c16c50,0xb849800e,0x4000e803,0x4f40f207,0x0254005d,0x09301720,
    0x1c3a0590,0x202ccea8,0x40a03b82,0x2e078059,0x5900ee03,0x1f102540,
    0x207705d1,0x4a80a03b,0xf004a800,0x7c035555,0x1dc02641,0x0ee07850,
    0x10e43b91,0xa8162445,0x254ec404,0x327801e0,0x2c3886e1,0x44000930,
    0x1a203b86,0x02cc03b8,0x000b31dc,0x203c04a8,0x99400507,0x802c8f05,
    0xe801982b,0x7903c000,0x000bbba0,0x02e40095,0x81dc0254,0x2c8e400e,
    0x780ee1e0,0x40f00b30,0xd00ee03b,0x36025401,0x00e883ec,0x2623c077,
    0x00099db9,0x001e0095,0x77007a0f,0x3b81e3c0,0x2b137fdc,0x652a2dc8,
    0xa8012a02,0x5c01e404,0xb7971624,0x09301643,0x303e006c,0x7702d40d,
    0x5c00e880,0x50000743,0x1a207809,0x3ee50014,0x1fffffff,0x003d00d3,
    0x1e000740,0xd15d03c8,0x80254005,0x0077004d,0x901d01d1,0xb8780b20,
    0x02cc1e03,0x5c07703c,0x9501a603,0x4c0df980,0x780ee02e,0x6676e65c,
    0x004a800c,0xb507800f,0xf1e03b80,0x3fea1dc0,0x25402544,0x4a8012a0,
    0xd1007440,0x4a804a81,0x09d024c0,0xb01f8354,0x5c01dc07,0x1aa1dc04,
    0x012a0970,0x02825c0f,0x361e00a0,0x00012e02,0x2078003b,0x3a21d03c,
    0xb0095002,0xa8074009,0x203a12e1,0x1e02c80e,0xb30780ee,0x01dc0f00,
    0x007a2077,0x5df44095,0x401eecee,0x4a81e03b,0xf004a800,0x03a07800,
    0x0f1e03b8,0xb80c41dc,0x500b900d,0x40254009,0x01ea82e9,0x017201b7,
    0x0bfe8126,0x1eb81754,0x00ee0364,0x1ec406ec,0x0764075c,0x076404a8,
    0x001403a6,0x7d10f005,0x3fea0b70,0x5c42d402,0x40f20782,0x200ba20e,
    0x00f6204a,0x81d104c8,0xd01d0aec,0x43c05901,0x2cc1e03b,0x407703c0,
    0x00f5c43b,0x88790254,0x4077000a,0x20012a07,0x800f004a,0x3b812e07,
    0x1dc0f1e0,0x666ecc00,0x095002dd,0xd8802540,0x400dedde,0x2ddccdd9,
    0x46c09300,0x02efdefd,0x06fef7d4,0xfb800ee0,0x00bfecde,0x09fb9dd5,
    0xee9804a8,0x00a01eec,0x36078028,0x3204eddf,0xdec803ff,0x0780cfed,
    0x220740f2,0xd025402e,0xffd15c07,0x07ffffff,0x3ffffb26,0xff50ffff,
    0xffffffff,0x3ffffeaf,0xf97fffff,0xffffffff,0x893ffea1,0xffe86fff,
    0x201befff,0x3ffffff9,0xfff50000,0xffffffff,0x3fffffd0,0x7ffffd40,
    0xffffd85f,0xffffb06f,0xf53ff883,0xffffffff,0x97fff2ff,0x000ffffa,
    0xff900330,0x4fffffff,0xfffffffc,0x04cc407f,0x6400cc00,0xffffffff,
    0x01a9880f,0xf50054c0,0x3fffffff,0x001a9880,0x7fe406a2,0x07ffffff,
    0x2b2006a2,0xaaaaaaaa,0xffff504a,0xa800cc03,0x804cc002,0x3e23fffc,
    0x1ff90fff,0xf13fffd8,0x7fffffff,0x7ffffffc,0x000003ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x066e2000,0x66666644,0x3262cccc,
    0x0f32202c,0x2f33332e,0x30799301,0xc9819999,0xcb804ccc,0x202ccccc,
    0xcccccccc,0x33320ccc,0x9701bccc,0x2e079999,0x01cccccc,0xccccccc8,
    0x9999911c,0x665c5999,0x264ccb84,0xcccccccc,0x999932cc,0x73cccc81,
    0x99709999,0x66665c99,0x324ccccc,0xc8800002,0x8800e601,0x000440a9,
    0x800d4400,0x005440a8,0x000cc000,0x35310180,0x01531001,0x2002aa20,
    0x800a8819,0x00000008,0x30000000,0x3207bb70,0x2ea05ebe,0xcaaabeae,
    0x403bae24,0xdd981edc,0x40edbaaa,0x5442fda8,0x55440afa,0x54c02deb,
    0x4ecaaaaf,0xaaaaeba8,0x3aa1eaaa,0x0debaaac,0x15557d4c,0xaaaafa98,
    0x55f102ed,0x545d5555,0x0aaadcaa,0x3260b766,0x2aab6a2e,0x14caaadc,
    0x755055bb,0x0abb263d,0xa98b72a6,0xaaaaaaaf,0x00077a67,0x2a01f5c0,
    0xcdec8804,0x3e6971ee,0xfff983ff,0x76e77e43,0x9d9dd104,0xfd87b7f2,
    0xd83ffd87,0x92ddecdf,0x57ff90ff,0xfd9bd709,0xdec881b7,0xfd301eec,
    0xb101bfbb,0x7ef64bdd,0x3003ec01,0x3f23c81d,0x3fa204ff,0x5fff89ff,
    0xbf93ffcc,0x43a8665d,0xea540068,0x33662540,0x204ae883,0x701d503b,
    0x201e01d9,0x0f0059bb,0x202c40ec,0x6b80e41d,0x107800f0,0x2a0d101d,
    0xd1012a06,0x4a83d103,0x4a92a254,0x00e84980,0x3c0780ec,0x80006754,
    0x4a800cea,0xaea83e80,0x3201a20e,0x02c80982,0x1a65ce83,0x1e43b81e,
    0xb81e17cc,0x4426c1ed,0x541f41fd,0x1057cc1e,0x323e81f7,0x301a659c,
    0xb0be6005,0x54024c0d,0x3e013a24,0x4c0e24e8,0x32001dc4,0x4c4a81d2,
    0x49cb868d,0x84b80ee0,0x00f04bbb,0x1e003a1d,0x40588598,0x5b00e41d,
    0x59ddddf0,0x884a81e0,0x2a00e886,0x6c0e9804,0x22544a83,0x89512a4a,
    0x2202c84a,0x40f01e06,0x3a6003eb,0x012a000d,0x41fcc079,0x01d0e60e,
    0xfa803440,0xb81e1742,0x41b807c3,0x1aa12e07,0x80f21f88,0xb701f469,
    0x217fc354,0xfa80002e,0x9803b623,0x5d34a804,0x200bbe00,0x034c0eea,
    0x220743a0,0x742dacc2,0x00ee0498,0x03d3b81d,0x0ee5980f,0x885981e0,
    0x07206045,0x999f8688,0x20784eb9,0x05b09059,0x4b5004a8,0x4a89505b,
    0xef8b3254,0x81a20ee0,0x4111e03b,0x01764401,0x50003db1,0x2c807809,
    0x783f62c8,0x80f09980,0x44a87a88,0x5b90ee07,0x1dc0f001,0x0f0601ec,
    0x201a6590,0x0fb0990e,0xfa800095,0x3003fa24,0x3d595009,0x1000fc00,
    0x2005b079,0x302c3a68,0x935a966b,0x07201dc0,0x01e16a77,0x3c034459,
    0x45882e88,0x200e401d,0x83b03c0e,0x5c00b607,0x2004a805,0x062069cc,
    0x9a208895,0x40b23be9,0x3c01d01e,0x362000ee,0x00bb221e,0x9db99998,
    0x00b30999,0x3a275077,0x3aa0b32c,0x987feeef,0xeeffeefd,0x703c5eee,
    0x7bddb507,0xe83b81e0,0x20166000,0xddddd73b,0x365fdddd,0xeeeefb82,
    0x2666665e,0xf7099999,0x400ff44b,0xfeea8049,0x4001e001,0xb8037446,
    0x981f33a3,0x498ec7a5,0xcccdecb8,0xd8ee1dc1,0xb03a03c2,0xccccf803,
    0x99f102fd,0x01c803d9,0x4a81e0ec,0x00fae63c,0x25400744,0x0003fa00,
    0x5dcf0095,0x25407659,0x333e02cc,0xd30003ec,0x800fee1b,0xcedcccc8,
    0x00b32ccc,0x32eb3077,0x5d507559,0x0aea8f01,0x266667aa,0x807703c0,
    0x03c0eca8,0x9800f077,0x3b53b805,0x33333333,0x276e0b61,0x99109999,
    0x99999999,0xfe897ea5,0xa8049801,0xf003e98e,0x324c1300,0x42f4793d,
    0x81eafa1d,0x99a32a59,0xaaddaa84,0x8ee1dc0a,0x0b503c68,0xaaaf8095,
    0xe881edca,0x6401eaaa,0x81e0ec01,0x7ffffc68,0x007a000e,0x3fa00254,
    0x40254000,0x0e9e3b0e,0xf00b21a0,0x8007b555,0xec881ed8,0x80950002,
    0x2f02d807,0xd0391d1d,0x20763c01,0x207800fa,0x8970023b,0x0760ee07,
    0x25b00f00,0x12e000f8,0x400001f6,0x07f625fa,0x49500930,0x807802d8,
    0x360bcdd9,0x7c1a63a1,0x4070fccc,0x9316f459,0x0b201dc0,0x81e3c877,
    0x7cccccdd,0x83d103c0,0x3200e458,0x81e06c01,0x0fa63c4b,0x95002640,
    0x03566400,0x476012a0,0x32034767,0x2e3c03c2,0x05d91002,0x8003db10,
    0x3026404a,0x7734ec0d,0x2a05981d,0x1fdc1647,0x1ec40740,0x3a2cc079,
    0x5a83d880,0x40991440,0x30026c69,0x0003df0d,0xdb13e600,0x54024c01,
    0x1e007444,0x9b51e000,0xd555b305,0x7b8b3001,0x8077024c,0x3a21dc0e,
    0x2aba20f0,0x202daaaa,0x16225407,0x68039001,0x40eb8878,0x4c03d887,
    0x012a0d06,0x40099354,0x5a9c804a,0x96603d2a,0x4407804a,0x8003eb80,
    0x95000de9,0x3d507d00,0xdd31f5c0,0x1fb20760,0x777dc1d3,0x98771720,
    0x207f23ee,0x261dc1e8,0x019b03ee,0xa83e83f7,0x40e7441e,0xbc8f62ea,
    0x10172269,0xd90fe600,0x2a012601,0x03c04c84,0x1f60e400,0x1203a1dc,
    0x409300b3,0x2e1a603b,0x2a0f5a83,0x07816604,0x00162344,0xf85a8072,
    0x80cfeeee,0x2203d107,0x9506881e,0x2d81d100,0x57009500,0x03474459,
    0x7801d874,0x19d51dc0,0x0cea8000,0xec802540,0x5400eecd,0xd982741f,
    0xbff3fece,0x656f6fd4,0xd883fdfb,0x5fb9efde,0xffbbdb77,0xdfbdb107,
    0x3ee09f73,0x900bdecd,0x401dd9bd,0x1dfdcefc,0xd72f7644,0x07c809fb,
    0x27703a20,0xfffffffc,0xfffd10ff,0xfd0ffc43,0x0dffffff,0x3fa0d980,
    0x40740e80,0x2601660e,0x7440ee04,0xf5b03b81,0x01d00760,0x5889701e,
    0xd301c800,0x03333f01,0x6c1aa078,0x12a0d103,0x07a20ba0,0x2ea012a0,
    0x402d740e,0x0f0068bb,0x003bb3b8,0x201fb800,0x2a62004a,0x88000000,
    0x2066000a,0x054400a8,0x801a9880,0xa98000a8,0x01531000,0x4400d4c0,
    0x75001880,0x00000000,0x00000000,0x7d5f6f5c,0x203a1a25,0x2601660e,
    0xd710ee04,0x74c0ee03,0x3b806887,0x03ae20f0,0x839000b1,0x00f00eb9,
    0x2a16c078,0x2541a205,0x0e980f20,0x6cc02540,0x8804db86,0x80f003be,
    0x0000013b,0x00004004,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x13000000,0x7e5bff20,0x0fffffff,0xc81ffff7,
    0xffe87fff,0xd01befff,0x8f90bfff,0xfc87fffc,0x3fffa7ff,0x40ceffff,
    0x04ffffff,0x6ffffffc,0xffffd80b,0xffffd06f,0x7dcff103,0x6fffffff,
    0xfffffff1,0x07fff47f,0xf507fffa,0x209fffff,0x03f984f9,0xfe801fb0,
    0xffffffff,0x0000003f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x01177440,
    0x5ddddd43,0x33223bbb,0xcccccccc,0x2ea1cccc,0xbbbbbbbb,0x00003bbb,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x22000000,0x51000cc2,0x00000003,0x20930154,0x89203903,0x400603ca,
    0x550aaa80,0x26206205,0x99999999,0x0665c099,0xcc98f32e,0x44405102,
    0x08888888,0x4018a010,0x1dc8803a,0x8fe2dff7,0xffffb3f8,0x541fffff,
    0xaaaaaaaa,0x2e0aaaaa,0xbbbbbbbb,0x0003bbbb,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x50000000,0x7c405d0b,0x3fe63fff,
    0xb7bf92ff,0x0dbdb1db,0xd9db1ff3,0xfffff03f,0x3fe25fff,0x8fffe63f,
    0xacfebbe8,0x3a60f01e,0x95531ec1,0x84edee88,0x361ddec9,0x911ff67f,
    0x66543dff,0xcccccccc,0x71bfe24d,0x3ff995c7,0xff903dd0,0xffffffff,
    0x25c8388d,0xeccd80eb,0x2bff7240,0x702e3ff9,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xd8000000,
    0x500be60e,0x7cc2d409,0x02c93f24,0x787987df,0x83e88b70,0x8cf881e9,
    0x81e03eb8,0x2607b1e9,0x0f41d804,0xc9ff21d1,0x64475c6f,0x54950006,
    0x562041ff,0x9bd82ff8,0x2200000e,0x3aa1361d,0x9ae98f20,0x113fe63e,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x07f5076c,0x303b00e8,0x8254698d,0x8585b02f,
    0x4c7b00ea,0x950b501e,0x77178564,0x2604ee98,0x2ecdb984,0x7dcea126,
    0x45d17ee5,0x4a8001f8,0x3b1017f2,0xa96e0ffc,0xac300005,0x809a603c,
    0x01882ed8,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x9f70f744,0x834c1dc0,0x12a2cc59,
    0x9807703c,0x74dec00e,0x33407601,0x39fbfbf9,0x24c03fd0,0x8b666b6e,
    0x9f54983a,0x88fa27d4,0x24a8000f,0x076201fe,0x6434c1fd,0x2eeeeea4,
    0x2a3bbbbb,0x000001dd,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x1fe88000,0x434413f2,
    0x598b302c,0x2e078254,0x4003a203,0x416400fd,0x409f9068,0x9301e9bd,
    0xd0b620e8,0x98fe63b0,0x6cd7543f,0x22950005,0x2036605f,0x7403a27d,
    0x55555532,0x00055555,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0x0ff20ef8,
    0x981a22c8,0x412a2cc5,0x7440ee07,0x09bd5001,0x984b8598,0x23d80e9e,
    0x5c4981e9,0x21deedad,0x7c4ebcea,0x7f540fc1,0x2950000b,0x189500fb,
    0x220189b2,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x22000000,0x00fee0ee,
    0xb301dcd3,0x78254598,0x01740ee0,0x40990ea8,0x3fc9adf9,0x4d8d52e8,
    0x3732a698,0x54c6e63c,0x00002980,0x18840000,0x933333a0,0x00000018,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x5c1dd100,0x3a3b002f,0x8b316600,
    0x1dc0f04a,0x2a24c1ec,0x7442e40e,0x2e9bedaa,0x004390ea,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x45d80000,
    0x36a002fa,0x262cc04a,0x20782545,0x5982643b,0x22e403aa,0x000e201a,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x25400000,0x7f4000f4,0x43fff201,0x4ff50ff9,0x7f44fffc,0xfffff35f,
    0x3ff6bfff,0x1fffe23f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__courier_27_latin_ext_x[560]={ 0,5,3,2,2,2,2,5,7,3,0,1,3,2,
5,2,2,2,1,2,2,2,3,2,2,3,5,3,0,1,0,0,2,0,1,1,1,1,1,1,1,2,1,1,
1,0,0,0,2,1,1,2,1,0,0,0,0,1,2,0,0,0,2,0,5,1,0,1,1,1,2,1,0,2,
2,2,2,0,1,1,0,1,1,2,1,1,0,0,1,1,2,0,6,0,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,5,2,1,2,1,
6,1,3,0,0,0,0,2,0,-1,3,1,3,4,5,1,1,5,5,4,3,1,0,0,0,0,0,0,0,0,
0,0,0,1,1,1,1,1,2,2,2,2,-1,0,0,0,0,0,0,3,0,0,0,0,0,1,2,1,1,1,
1,1,1,1,0,1,1,1,1,1,2,2,2,2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,
0,1,0,1,0,1,1,1,1,1,1,1,1,1,1,1,-1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,0,1,0,2,2,2,2,2,2,2,2,2,2,0,0,1,2,1,2,1,1,2,1,
2,1,2,1,2,1,2,0,1,0,1,0,1,0,1,1,0,1,0,1,0,1,0,0,1,1,1,1,1,1,
2,2,2,2,2,2,2,2,1,1,1,1,1,1,0,1,0,1,0,1,0,1,0,1,0,1,0,0,1,1,
1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,1,1,2,2,2,2,2,2,2,2,2,2,2,2,2,0,1,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,1,2,2,0,
1,0,1,0,1,0,1,0,1,0,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,1,0,0,0,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static signed short stb__courier_27_latin_ext_y[560]={ 19,4,4,3,3,4,6,4,4,4,4,6,15,11,
16,2,4,4,4,4,4,4,4,4,4,4,8,8,6,9,6,5,3,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,4,2,4,4,24,3,8,4,8,4,8,4,8,4,3,
3,4,4,8,8,8,8,8,8,8,5,8,8,8,8,8,8,4,4,4,10,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,19,8,3,5,7,5,
4,4,4,5,3,8,11,11,5,2,1,4,4,4,3,8,4,10,18,4,3,8,4,4,4,8,0,0,0,1,
1,0,5,5,0,0,0,1,0,0,0,1,5,1,0,0,0,1,1,8,4,0,0,0,1,0,5,4,3,3,
3,4,4,3,8,8,3,3,3,4,3,3,3,4,4,4,3,3,3,4,4,6,7,3,3,3,4,3,4,4,
2,5,0,3,5,8,0,3,0,3,1,4,0,3,0,4,5,4,2,5,0,3,1,4,5,8,0,3,0,3,
0,3,1,4,5,3,0,0,5,4,1,4,2,5,0,3,5,3,1,8,5,3,0,3,5,4,8,0,-1,5,
4,5,4,5,4,5,4,0,3,5,8,0,3,4,5,8,2,5,0,3,0,3,5,8,0,3,5,8,0,3,
0,3,0,3,5,8,0,3,5,5,0,4,5,5,1,4,2,5,0,3,0,3,0,3,5,8,0,3,0,3,
1,0,3,1,4,0,3,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,5,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,5,8,4,4,4,4,4,4,4,4,4,4,4,4,4,3,8,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,3,0,3,0,
3,0,3,0,2,0,0,0,0,0,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,-4,-1,0,3,0,3,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static unsigned short stb__courier_27_latin_ext_w[560]={ 0,4,9,11,10,11,10,4,4,5,9,12,6,11,
4,10,10,10,11,10,10,10,10,10,10,10,4,6,12,13,12,9,10,15,12,12,13,12,13,13,13,10,13,13,
12,15,14,12,11,13,14,11,12,14,15,14,14,13,10,5,9,5,10,16,5,12,13,12,13,12,11,13,14,11,
8,12,11,15,12,12,13,13,12,10,12,12,14,14,13,13,10,5,2,5,11,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,0,4,10,12,10,13,
2,12,8,15,8,12,13,11,15,16,8,12,7,7,5,12,12,4,4,6,8,13,15,15,15,9,15,15,15,15,
15,15,15,12,12,12,12,12,10,10,10,10,14,14,12,12,12,12,12,9,14,14,14,14,14,13,11,11,12,12,
12,12,12,12,14,12,12,12,12,12,11,11,11,11,12,12,12,12,12,12,12,12,13,12,12,12,12,13,13,13,
15,12,15,12,15,13,12,12,12,12,12,12,12,12,13,14,14,13,12,12,12,12,12,12,13,12,12,12,13,13,
13,13,13,13,13,13,13,14,13,14,10,11,10,11,10,11,10,11,10,11,15,12,13,9,13,12,12,12,11,12,
11,12,11,12,11,12,11,14,12,14,12,14,12,13,12,11,12,12,12,12,12,12,15,14,14,12,14,12,14,12,
11,10,11,10,11,10,11,10,12,12,12,12,12,12,14,12,14,12,14,12,14,12,14,12,14,13,14,14,13,13,
13,10,10,10,10,10,10,11,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,14,13,13,11,13,13,13,
13,13,13,13,13,13,13,13,13,13,14,13,13,13,13,13,13,13,13,13,13,13,13,13,13,15,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,15,12,10,11,12,
12,14,12,14,12,14,12,14,12,14,12,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,15,12,15,14,14,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13, };
static unsigned short stb__courier_27_latin_ext_h[560]={ 0,16,8,18,19,16,14,8,19,19,9,13,8,2,
4,19,16,15,15,16,15,16,16,16,16,16,12,14,13,6,13,15,18,14,14,15,14,14,14,15,14,14,15,14,
14,14,14,15,14,17,14,15,14,15,14,14,14,14,14,19,20,19,7,2,5,12,16,12,16,12,15,16,15,16,
21,15,15,11,11,12,16,16,11,12,15,12,11,12,11,16,11,19,19,19,4,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,0,16,16,14,10,14,
19,17,3,15,8,11,8,2,15,2,8,15,8,9,5,16,17,4,5,8,8,11,15,15,15,16,19,19,19,18,
18,19,14,18,19,19,19,18,19,19,19,18,14,18,20,20,20,19,19,9,16,20,20,20,19,19,14,16,17,17,
17,16,16,17,12,15,17,17,17,16,16,16,16,15,16,15,17,17,17,16,16,12,14,17,17,17,16,21,20,20,
17,15,19,17,18,15,20,17,20,17,19,16,20,17,19,16,14,16,17,15,19,17,18,16,18,15,19,17,20,21,
20,21,19,20,18,21,19,19,14,15,18,15,17,14,19,16,18,20,18,11,15,21,20,21,18,19,11,19,20,18,
19,14,15,14,15,14,15,19,16,18,15,19,16,15,15,16,18,15,20,17,20,17,14,12,19,16,18,15,19,16,
20,17,20,17,18,15,20,17,20,20,19,16,14,15,19,16,18,15,20,17,20,17,20,17,18,15,19,17,19,21,
18,19,16,18,15,19,16,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,18,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,12,15,15,15,15,15,15,15,15,15,15,15,15,15,17,12,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,19,17,19,16,20,
17,20,17,20,18,20,20,20,20,20,20,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,23,21,19,17,20,18,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15, };
static unsigned short stb__courier_27_latin_ext_s[560]={ 511,505,140,371,197,364,1,188,431,147,95,
278,173,266,247,180,138,265,276,164,190,67,150,428,300,276,505,504,265,204,252,
214,67,74,90,137,117,239,103,123,491,169,162,464,478,28,59,201,452,51,143,
84,195,96,223,208,180,438,158,375,272,191,193,295,229,320,78,386,389,412,111,
115,237,41,95,252,150,30,46,399,53,27,491,361,224,348,15,305,70,490,59,
354,232,394,235,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,511,504,439,
288,84,424,191,94,257,56,122,453,159,266,1,278,150,472,180,504,223,14,226,
252,218,115,131,1,325,309,293,129,483,164,415,448,475,436,12,491,341,314,264,
1,277,153,180,28,44,52,55,83,375,381,499,105,475,96,481,496,299,327,131,
403,265,1,187,351,376,200,333,447,291,304,107,250,238,226,214,72,188,199,76,
38,25,201,175,440,397,437,385,278,287,118,111,29,489,268,467,450,78,354,309,
398,296,372,28,125,1,317,53,149,369,311,252,368,82,213,39,263,14,485,106,
135,441,104,282,81,166,427,434,17,210,235,355,212,464,227,89,343,95,92,383,
322,360,466,420,45,467,58,394,153,478,134,43,421,41,330,460,411,17,317,29,
119,325,322,407,67,100,254,161,113,408,341,362,463,334,148,301,425,400,338,239,
498,360,415,403,346,415,65,268,436,455,14,259,125,219,462,384,394,452,1,224,
381,388,476,14,424,68,411,293,185,138,357,250,31,308,208,139,337,174,288,104,
281,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,41,176,176,348,
176,176,176,176,176,176,176,176,176,176,176,176,176,239,291,176,176,176,176,176,
176,176,176,176,176,176,176,176,330,372,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,1,239,
17,450,233,174,203,161,175,280,145,246,218,190,160,132,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,1,68,194,120,347,254,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176, };
static unsigned short stb__courier_27_latin_ext_t[560]={ 1,66,151,46,25,85,136,151,25,46,151,
136,151,150,151,46,85,120,120,85,120,103,103,85,85,85,120,85,136,151,136,
120,66,136,136,120,136,136,136,120,120,136,120,120,120,136,136,120,120,85,136,
120,136,120,136,136,136,120,136,25,1,25,151,150,151,136,103,136,85,136,120,
103,120,103,1,120,120,151,151,136,103,103,136,136,120,136,151,136,151,85,151,
25,25,25,151,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,
120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,1,46,85,
120,151,120,46,66,150,120,151,136,151,150,120,150,151,103,151,136,151,103,66,
150,151,151,151,151,103,103,103,103,25,25,25,46,46,25,136,46,25,25,25,
66,25,25,25,66,136,66,25,25,1,25,25,151,85,25,1,1,25,25,136,
85,66,85,66,85,85,66,136,103,66,66,66,85,85,85,85,120,85,103,85,
85,85,85,85,136,120,66,66,66,85,1,25,25,66,103,25,66,66,103,1,
66,1,66,46,85,25,66,46,85,120,85,66,103,46,66,66,85,66,103,46,
66,1,1,1,1,46,1,46,1,46,25,120,103,46,103,85,120,46,103,46,
1,46,136,103,1,1,1,46,46,136,46,25,46,46,120,103,120,120,120,120,
46,85,46,103,46,85,103,103,85,46,103,1,66,1,66,120,136,25,85,46,
103,25,85,1,66,1,85,46,103,1,85,1,25,25,85,120,103,25,103,46,
103,1,66,25,66,25,66,46,103,25,66,25,1,46,25,103,46,103,25,103,
103,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,46,
120,120,120,120,120,120,120,120,120,120,120,120,120,103,136,120,120,120,120,120,
120,120,120,120,120,120,120,120,66,136,120,120,120,120,120,120,120,120,120,120,
120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,46,66,
46,85,1,66,1,66,1,46,1,1,1,1,1,1,120,120,120,120,120,120,
120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,
120,120,120,1,1,46,66,1,46,120,120,120,120,120,120,120,120,120,120,120,
120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,
120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,
120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,
120,120,120,120,120,120,120,120,120, };
static unsigned short stb__courier_27_latin_ext_a[560]={ 229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_27_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_27_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_27_latin_ext(stb_fontchar font[STB_FONT_courier_27_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_27_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_27_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_27_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_27_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_27_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_27_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_27_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_27_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_27_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_27_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_27_latin_ext_s[i] + stb__courier_27_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_27_latin_ext_t[i] + stb__courier_27_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_27_latin_ext_x[i];
            font[i].y0 = stb__courier_27_latin_ext_y[i];
            font[i].x1 = stb__courier_27_latin_ext_x[i] + stb__courier_27_latin_ext_w[i];
            font[i].y1 = stb__courier_27_latin_ext_y[i] + stb__courier_27_latin_ext_h[i];
            font[i].advance_int = (stb__courier_27_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_27_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_27_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_27_latin_ext_s[i] + stb__courier_27_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_27_latin_ext_t[i] + stb__courier_27_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_27_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_27_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_27_latin_ext_x[i] + stb__courier_27_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_27_latin_ext_y[i] + stb__courier_27_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_27_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_27_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_27_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_27_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_27_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_27_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_27_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_27_latin_ext_LINE_SPACING
#endif

