// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_29_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_29_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_29_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_courier_29_latin_ext_BITMAP_HEIGHT        182
#define STB_FONT_courier_29_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_courier_29_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_29_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_29_latin_ext_LINE_SPACING          14

static unsigned int stb__courier_29_latin_ext_pixels[]={
    0x10000600,0x00590001,0x188001a8,0x20019800,0x00000000,0x08000000,
    0x00040010,0x00020000,0x06003013,0x88004880,0x81440501,0x40398002,
    0x22001302,0x01e4001b,0xcccccc88,0x102ccccc,0x280c4003,0x0501a600,
    0x00198026,0x700014c0,0x18813007,0x00280c40,0x01b10000,0x000cccb8,
    0xe98001b2,0x006ec002,0x2a000b10,0x07ee000f,0x20027e40,0xffe8003c,
    0x4401ffff,0x3a00b20e,0x6c401d80,0x034c003f,0xf001fec0,0x6c01f987,
    0x1bb002db,0xd11f4400,0xb127440b,0x01fa800b,0x01d90764,0x1001bee0,
    0x55d3009d,0xb5557f55,0x4007ea09,0x013a24e8,0x376017d4,0x3b803ee0,
    0x13bea000,0x1003b200,0x4c07d89f,0xb3006986,0x3ee0005b,0x07aaa601,
    0x80006ec0,0x3a2002fa,0x00db8004,0x9000fa80,0x1bd1001d,0x26c001db,
    0x26000000,0xb7003dae,0x3a6035c1,0x9800de8c,0x33a6001e,0x3f800dd8,
    0x45500fcc,0x003b2005,0x03fadd88,0x007f5d90,0xf7001eb8,0x4c001bb5,
    0x5d88003e,0x20f434c0,0x003f504b,0x017d6ec4,0xf7001eb8,0x3b801bb5,
    0x321d9000,0x01bb000e,0x007506e0,0x05d735bb,0x20005960,0x01d802fa,
    0x2a0005e8,0x01dc001f,0x8003fc80,0x0dc800a8,0x7dc3e880,0x73c96600,
    0x1d81d807,0x98ec4ee0,0x3bb2200d,0x0be601df,0x3a2b30d9,0x2f880770,
    0x2054035c,0x44e600a8,0x0035c004,0x2a000f5c,0x0754001e,0x000fa600,
    0x00e40000,0x4b83d0d3,0x70001510,0x0362003d,0x2007f300,0x84a8003b,
    0x004a805a,0x76d40000,0x6491001c,0x01660000,0x000a0076,0x80000130,
    0x0000400a,0x02000400,0x203ea004,0x10be205c,0xa826c05f,0x4001000f,
    0x01f50100,0x020100b9,0xbb900000,0x02606003,0x00013030,0x00260600,
    0x00020000,0x3a1a6000,0x000025c1,0x00000000,0x3bbbb620,0x0004eeee,
    0x00000000,0x33200000,0x0000004b,0x2dd9803b,0x01bb9000,0x433bf6e0,
    0x000200fa,0x10000000,0x00000000,0x08000000,0x00000000,0x00000000,
    0x87f50000,0xf0fea06f,0xcedb880d,0x3e1fd401,0x0ccccb86,0x2033332e,
    0xd92efffb,0x33332e3d,0x433332e0,0x14c1e838,0xdd950000,0x2e202a59,
    0xeb801ced,0x4c198cef,0x99999cc9,0x67765400,0x3b2a0152,0x76c152ce,
    0x3eeea85e,0x17bdd730,0x00330015,0x039db710,0x165803b0,0x0244e600,
    0x2e62b762,0xff701fbf,0x47bb25df,0xeeeeeeeb,0x2a17bb61,0xffb83eee,
    0x23dd92ef,0x2e0ccccb,0x9970cccc,0x6665c199,0x1999970c,0x4066665c,
    0xd92efffb,0x3bbbaa3d,0x332e1eee,0x3332e0cc,0x217bb60c,0xdd33eeea,
    0x3bbae3dd,0x1999974e,0x2066665c,0x1015c0c8,0x2602b819,0x0eca89ce,
    0x82b81910,0x2a0aaeca,0x7740aeca,0xadbfb88b,0x82abb2a1,0x400aecaa,
    0x7774c01e,0x15bd001e,0x985bbf93,0x0eca89ce,0xfb537dd0,0x000ee07d,
    0x3f262b7a,0x8ade82dd,0x262ddfc9,0xcd9881af,0xa89bdd80,0xcc982efc,
    0x26002ccc,0x0eca89ce,0x24880760,0xb0dc000c,0x9f303e80,0x2e22fba0,
    0x2621adbf,0x21e99999,0xd9881af9,0x445f740c,0x2a1adbfb,0x2aa0aaec,
    0x5d950aec,0x57655415,0x4155d950,0x740aecaa,0xdbfb88be,0x4ccccc1a,
    0x2bb2a1e9,0x2bb2aa0a,0x2206be60,0x26660cd9,0xb733312d,0xa82abb2a,
    0x0000aeca,0x07e60000,0x500002dc,0x5c859809,0x12a07fa0,0x07a00b30,
    0x007a6660,0x22fc80f6,0x50b701f9,0x5c0fea09,0x901ec003,0x3203d85f,
    0xf1025c2f,0x7dc0bb01,0xceaaa882,0x203f3007,0x9007605b,0xb1000979,
    0x025c05b7,0x40b90db9,0x076001fe,0x207c4097,0x207fa05c,0x542cc04a,
    0x2542cc04,0x81721660,0x076001fe,0x70598095,0xb007c409,0x04a96605,
    0x000002cc,0x32017400,0x09500004,0x017c4598,0x809503f7,0x003d0059,
    0x02e401e8,0x402e8be2,0x7b00744c,0x5c800ee0,0x0b917c40,0x00f82f88,
    0x801d7099,0x2d8f802d,0x26402e80,0x019801d8,0xf1004c00,0x11edae01,
    0x00fdc05f,0x201f03b0,0x7017c44c,0x9809503f,0x2cc04a85,0x11660254,
    0x00fdc05f,0x404a83b0,0x6403e059,0x59816c04,0xc8b3012a,0x7774c1ee,
    0xd307bb21,0x403543dd,0x83dd90f8,0x2541eee9,0x80d31660,0x404a81f8,
    0x003d0059,0x007401e8,0x8806a854,0x01101a0f,0x00e800ee,0x2003a0a8,
    0xf884b80a,0x00001e80,0xd5016ab5,0x3b01f100,0x59999930,0x2a004000,
    0x9661f305,0x00fc4069,0x109703b0,0x4406981f,0x4c04a81f,0x2cc04a85,
    0x31660254,0x001f880d,0x98095076,0x3e212e05,0x59816c00,0x88b3012a,
    0x2d9981e9,0x26607a62,0x6400b22d,0x3303d311,0x4c04a85b,0x0f402d45,
    0x01660254,0x07a000f4,0x2c800688,0x01dc3900,0xd1003b80,0x000d1000,
    0x884b81f0,0x8b600007,0x400b200f,0xa881d81c,0x2007ceaa,0x1ceffec9,
    0x21e883b8,0x3a016a68,0x7c076001,0x02d425c0,0x202540f4,0x4c04a859,
    0x2cc04a85,0x007a016a,0x202541d8,0x2e07c059,0xb302d804,0x41660254,
    0x360b601d,0x01e8b601,0x201d8770,0x2602542d,0xf3007cc5,0x59809503,
    0xe8003d00,0x20016a01,0x4477001e,0x2e000ace,0x000b5003,0x970000b5,
    0x02d407c4,0x1e478800,0x0ee003d0,0x363e0076,0x21377002,0xd82c87a8,
    0x803e6783,0x076001f9,0x301f125c,0x40fcc01f,0x542cc04a,0x2542cc04,
    0x01f31660,0x3b000fcc,0x02cc04a8,0x800f892e,0x254b302d,0x00ec1660,
    0x6c03b05b,0x2cc003e2,0x542d8076,0x1f42cc04,0x09503fb0,0x03d00598,
    0x12a01e80,0x4c003e00,0x2ceeca85,0x4a802540,0x0004a800,0x5412e1f0,
    0x89700004,0x4003e069,0x5401d859,0x90000b55,0x42e44c87,0xfb01f478,
    0xf00ec003,0x03e812e1,0x012a07f6,0x980950b3,0x2cc04a85,0x03fb01f4,
    0x012a0ec0,0x2e1f00b3,0x2605b004,0x0b3012a5,0xd82d8076,0x00e8b601,
    0x201d8950,0x2602542d,0xea82f985,0x4c04a81e,0x8003d005,0x0012a01e,
    0x0254003a,0xe80376a2,0x0952c981,0x00009500,0x4a807d2e,0x15555550,
    0x407a07a0,0xb095000e,0x03e2d803,0x6b8b3000,0x31a603aa,0x03dd505f,
    0x29700ec0,0x20be600f,0x04a81eea,0x202542cc,0x4c04a859,0xea82f985,
    0x5076001e,0xb8059809,0x0b6001f4,0x980952cc,0x16c03b05,0x6c5b00ec,
    0x1d857002,0x80950b60,0x97df5059,0x9503b1df,0xff105980,0x007fffff,
    0x0034c03d,0x02b8016c,0xeea81320,0x1a63efec,0x0001a600,0x16604cf8,
    0x0ef6665c,0xb04b834c,0x360ae005,0x0791e201,0x2f332e60,0x7c47cc5c,
    0xdf509701,0x03b1df97,0x33e00ec0,0xcbefa804,0x4a81d8ef,0x02542cc0,
    0x3012a166,0x32fbea0b,0x2001d8ef,0x2602541d,0x0099f005,0x2a59816c,
    0x1d82cc04,0x80760b60,0x7400f22d,0x85b00ec1,0x102d4069,0x07615997,
    0x00b501a6,0x100f4000,0x0079000f,0x3440047a,0x4404d440,0x00788007,
    0x8803ee00,0x32059007,0x7fffffff,0x07a00790,0x4c4b8076,0xabcfd806,
    0xebd85eba,0x2203f102,0x03b0accb,0x3ee00ec0,0x59971000,0x01a60761,
    0xa80d30b5,0x2d406985,0x21599710,0x3076001d,0x7005a80d,0x7ffe401f,
    0xb31fffff,0x416a034c,0x360b601d,0x0f88b601,0x00ec3d40,0x6403f05b,
    0x203d0003,0x200f201f,0x3fe602c8,0x5fffffff,0xf1080264,0x0f27a801,
    0x2c880f30,0x20802640,0xb801004c,0xc802e804,0x33333f02,0x1f105b33,
    0x03b07a80,0x900f40f4,0x2616601b,0x0013204f,0x03b000f4,0xd00004b8,
    0x3c807e03,0x81e403f0,0x000f201f,0x03b000f4,0x801e403f,0x2a00004b,
    0x07900fc5,0x417d40f2,0xb85f503c,0x3207a205,0x9b05f503,0x40007e20,
    0x2209b00f,0x05f9801f,0xf10032e0,0xb71ec403,0x1fb0f440,0x3e602ec0,
    0x100fc405,0x100fc47b,0x800f807b,0x416400f9,0xb82d405a,0x6c07a205,
    0x12e0d301,0x216601f8,0x6ec41feb,0x001f0000,0x01f003e2,0x6c03e000,
    0x3603f104,0x3603f104,0x0003f104,0xb078003e,0x4007e209,0x3200000f,
    0x1f8826c4,0x76441d10,0x220e882e,0x0ed82eec,0x0e88174c,0x220bbb22,
    0x013a20ce,0x9d102e40,0x70027441,0x8006c007,0x84e983f9,0x2174c0ed,
    0x7dcc1dfd,0x9803b800,0x984e983f,0x404e983f,0x0bee005b,0x016c174c,
    0x40ed807c,0x7f76c2e9,0xfffff901,0x03a20fff,0x23aa2ec4,0x03fedee9,
    0xa8017200,0x0002dc06,0x33a205c8,0xe8813a20,0x8813a20c,0x013a20ce,
    0x95002e40,0xe8833a20,0x000b7004,0x67442f80,0xf9013a20,0x17f69fdb,
    0x6d3fb7f2,0xedefb85f,0x76fe402d,0xd10bfb4f,0x1007fdbf,0x01db5333,
    0x3fedfe88,0x8003a200,0xd88049cb,0x202ffdef,0x82dedefb,0xfedffb9c,
    0x00e8801d,0xffbdfb10,0x6f7ec405,0x999882ff,0x3a2001ae,0x0beedcef,
    0x03c803c4,0x0b7b7bee,0x9f806662,0x2d999999,0xbbf50790,0x00d441e8,
    0xdb533310,0xb5333101,0xe999883f,0x2662001a,0x4400eda9,0x803fedfe,
    0x03fedfe8,0x3fedfe88,0xda999880,0xb533300e,0x6ff4403f,0x266203fe,
    0x88001ae9,0x104fb999,0x007fdbfd,0x0d4000d4,0x00054c00,0x2a20006a,
    0xddd70009,0x9a88007b,0x00044000,0x31000e54,0x054c0015,0x00135300,
    0x4c400044,0x2a62000a,0x3bbbb600,0xa98001ee,0xffff9009,0x1fffff05,
    0x000054c0,0x20b5016a,0x9efddfd8,0x00005ff9,0x01ef775c,0x019bddd7,
    0x3ddddddb,0x37bbae00,0x04d44003,0x0026a200,0x20013510,0x203deeeb,
    0x002deeea,0xdb0026a2,0x003ddddd,0x02ceeea8,0x00009a88,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x016c0000,0x026a007c,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0f200f10,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3fff2000,0xfffff82f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x1c400000,0x8002cc98,0x000cccc9,0x140362c8,0x00000098,
    0x02e00033,0x87724c00,0x00002cca,0x800040d3,0xb8001302,0x5000c003,
    0x00880003,0xdb8800dc,0x00b80041,0x2a000d98,0x2152ceec,0x0025c00b,
    0x3fae0017,0x260198ce,0x04c0a001,0x001cc2b8,0x4a80002e,0x20281440,
    0x9999970b,0xd9800179,0x03620000,0x00389440,0x9999002e,0x0def9801,
    0x4002e544,0x001eaaa8,0x204d8764,0x4007440e,0x3fae000d,0x3fb62003,
    0xa8fcc002,0x026d440e,0xd017d400,0xd03d0003,0x00764003,0xd9003e88,
    0x16c0005f,0x402fed88,0xeacfbcf8,0x17eec403,0x74007640,0xddfc98ad,
    0x076403d2,0x017f6c40,0x3f6a6fba,0xdeee883e,0x1d902c89,0x45f80764,
    0xed8800fc,0x0eb8001f,0xbb127440,0xcea98f40,0x01dfcaaa,0x20003b20,
    0x8f6003e8,0x7f6c402f,0x00aabe01,0x207ae3d7,0x1e80005a,0x2ec3ae00,
    0x36a6bae0,0x1001d004,0x01bb11bb,0x09d33f98,0x07547e60,0xb8000970,
    0x002dc01f,0x2ed4df54,0x2001bb00,0x4e8803f9,0xf30009d1,0x27453a60,
    0x805b5020,0x009d33f9,0x01ec03f7,0x6c07a5f9,0x33f9800d,0x5412a09d,
    0x3aa2983f,0x6d7dc04f,0x3102200d,0x3e67d300,0x003b2003,0x403faec8,
    0x6a80ec1e,0x000fdc00,0x7d4005f3,0x3e981b20,0x401e07f3,0x542d40d9,
    0x01e80005,0x01661d10,0x4016764c,0x039defd9,0xd8077077,0x6400ec41,
    0x09700762,0x8006c400,0xec98000f,0x012a002d,0x79002f98,0x3c800790,
    0x00590590,0xd883b000,0xb904a801,0x03d2f880,0x20ec0095,0x200e81d8,
    0x9800003d,0x4000003e,0x400ec41d,0x3d500049,0x01d83d00,0x095000b6,
    0x3a000ec0,0x1d817c44,0x003c0ec4,0x0085a800,0x00000f40,0x5f640000,
    0x0007fb98,0x00000000,0x00000970,0x000025c0,0x02200000,0x22000000,
    0xcb80000f,0x332e0ccc,0x000000cc,0x42a003a0,0x0000001e,0x88044068,
    0x0001cedb,0x1cedb880,0x00000000,0x20f40000,0x0016a01d,0xf3000000,
    0x0000bb03,0x6666401e,0xad43cccc,0x00ceffea,0xb71001e8,0xb710039d,
    0x07c4039d,0xdd7303d4,0x65c1517b,0x332e0ccc,0x999970cc,0x066665c1,
    0xeeee892e,0x833332e2,0x220ccccb,0x6665c00f,0x33332e0c,0x8cefeb80,
    0x66664c19,0x9dfd7000,0x13200331,0x01cedb88,0x54155d95,0x3320aeca,
    0x1ccccccc,0x33333332,0x000d11cc,0x6666643d,0x9971cccc,0x99999999,
    0x98003b87,0x0eca89ce,0xccccccc8,0x4e74c1cc,0x64c0eca8,0x664c2ccc,
    0x999973cc,0x47999999,0xbccccccb,0x0760f400,0xcccb82d8,0x3ccccccc,
    0x3333332e,0x306c800b,0x07332a1f,0x00793332,0x55d95555,0x21ecda85,
    0x0f400eb8,0x544e74c0,0x39d300ec,0x9701d951,0x9bdd80c0,0x2a2efca8,
    0x2aa0aaec,0x5d950aec,0x57655415,0x2bee25c0,0x2abb2a09,0x02bb2aa0,
    0xaeca8079,0x2bb2aa0a,0x6d4df740,0x555443ef,0x9bee801e,0x8803efda,
    0x139d300f,0x09501d95,0xaaaa8598,0x2a0aaabe,0xaaabeaaa,0x3d000b50,
    0x55f55554,0x59d530aa,0x8d755555,0x9800ace8,0x550b701f,0x15557d55,
    0x45b80fcc,0x441aadc8,0xd531ecaa,0x75555559,0x556754cd,0x3d01dfca,
    0x06d881d8,0x55559d53,0x754cd755,0x1dfcaaac,0x9fc413e0,0xda80afc9,
    0x4c001e2d,0x9817ea05,0x3007a00f,0x2616e03f,0xd30b701f,0x2e05d800,
    0x2602542f,0x2cc04a85,0x807ae4b8,0x882cc04a,0x2025400f,0xf504a859,
    0x5401e807,0x7007f504,0x5c07e609,0x2cc04a85,0x3d000f40,0x3a0012a0,
    0x3b007a01,0xeca834c0,0x805d02ce,0xd00f404c,0x2d44c805,0x01d84a80,
    0x540761a6,0xcdd81b06,0xd802fecc,0x0761a601,0x03f88354,0x2207b17e,
    0x98003c0f,0x9003ea05,0x3a00f405,0x0ba26402,0x059d0990,0x2d801d70,
    0x21660254,0xb82cc04a,0x4a801d94,0x07b02cc0,0x42cc04a8,0xd00f600e,
    0x3600e803,0x5d00f803,0x02544c80,0x007a0166,0x009501e8,0x00f403d0,
    0x80698076,0x1aa0dda8,0x1e803e20,0x1f100d50,0x706a234c,0x34c03b07,
    0x005b00ec,0x13eeab36,0x0d300ec0,0x4c16c03b,0xf11b602f,0x00f05b01,
    0x06a81660,0x807a04a8,0x50f8806a,0x701f100d,0x3d017bfd,0x3012a000,
    0x5980950b,0x200db970,0x302cc04a,0x4c04a80d,0x00440685,0x880d007a,
    0x6a82dc00,0x12a0f880,0x03d00b30,0x06980f40,0x07a01e80,0x01c403b0,
    0x002c9320,0xc80f4039,0x3c439002,0xb05917ea,0x0ec1c403,0x07600b50,
    0x03b009d1,0x500ec1c4,0x6403f50b,0x82d46a87,0x40b30007,0x2069805a,
    0x400b201e,0x3200591c,0x8bf2a201,0x12a00078,0x80950b30,0x5d9f7059,
    0x59809500,0x095016c0,0x003b8598,0x0ee00f40,0x3203d000,0x25439002,
    0x07a01660,0x0f101e80,0x0f403d00,0x040d0760,0x003d3440,0xd01e80ee,
    0x8f0ee003,0x6c0ec7bd,0x00ec0341,0x4076005b,0x1a0ec03e,0x82d80760,
    0x41b601fa,0x1e01f13d,0xf502cc00,0x0f409500,0x4ee003d0,0x0077001e,
    0x002d43e2,0x85980950,0xb82cc04a,0x4a805d14,0x1a602cc0,0x42cc04a8,
    0x8000ace8,0x5674401e,0xd02d4000,0x4a8ee003,0x0f402cc0,0x26403d00,
    0x7403d080,0x4ccd6c01,0x9807900f,0x2cc003e7,0x003e03d0,0x8f83a2cc,
    0x2b607a1e,0x6c00f999,0x0306d881,0x807e203b,0x00f999ad,0x836c40ec,
    0x417a02f9,0x1e03d8f8,0xf502cc00,0x3a02e807,0x4c003e01,0x166001f5,
    0x00952c80,0x16602540,0x20b3012a,0xa80ba64b,0x7402cc04,0x59809502,
    0x0b3bb2a0,0xca800f40,0x2e802cee,0x2cc003e0,0x80598095,0x807a001e,
    0x4f6201f8,0xb007a01e,0x201fffff,0xe97600fd,0x74095000,0x2a001d01,
    0x77698ec4,0x7ffec07c,0x66ec00ff,0x3a02fecc,0x0b500ec1,0x07ffffec,
    0x3b333760,0x80fe202f,0x01baa04f,0x0b30060f,0x5d817754,0x01d00f40,
    0x800752a0,0x0e80d14a,0x2aaaa095,0x3012a0aa,0x5980950b,0x01e98970,
    0x80598095,0x9809506a,0x1bb51005,0x88001e80,0x0d500dda,0x495000e8,
    0x402cc04a,0x007a001e,0x49d307f3,0xb007a01e,0xbfb00f83,0x360fb983,
    0x74057002,0x2e005b01,0xd34b9642,0x07c1d83c,0x3eeab360,0x0760f404,
    0xf07605d0,0xbaacd801,0x104e804f,0x401e805f,0x2cc03d07,0x57bd1b50,
    0x03d009d9,0xb2b8016c,0x7c4ae005,0x82ccb704,0x21decccb,0x542cc04a,
    0x4b82cc04,0x04a81f98,0x81e802cc,0x002cc04a,0x007a0264,0x0b609900,
    0x8ae005b0,0x402d4069,0x007a001e,0x3ff7bf62,0x03d00f42,0x390241d8,
    0x3bfdbff7,0x03d003c8,0x003c80f4,0x43d3b83d,0x83b0688f,0x7441d804,
    0x7fec7a04,0x0ff305ff,0x1d80483b,0x1ee02744,0x00f403dc,0xb300f41e,
    0xdca8ad40,0xffffb81b,0x326fffff,0x0f23d003,0xecf88f40,0x220cfdbd,
    0x69859007,0x034c2d40,0x89ff716a,0x263ffff8,0xa802d406,0x2d406985,
    0xd01a2002,0x34400403,0x01e4034c,0x900fc1e8,0x4003d007,0x2f62001e,
    0x0f403d00,0x03700760,0x7c402b66,0x3a03d400,0xa801f101,0x6478ca87,
    0x803b059a,0x3e80ec1b,0x800003d0,0x360dc01d,0x7c407d01,0x1e804e82,
    0x201e83c0,0x0016a04b,0x003e2000,0x2007c4f5,0x17f5047a,0x0b200ba0,
    0xf03c807e,0x0001e403,0x03c807e0,0x807e07e0,0x2601e43c,0x7900f407,
    0x03d87980,0x3d400f88,0x01f8826c,0x07a001e8,0x0f409900,0x01d803d0,
    0x80790164,0x007a205b,0x102dc03d,0x8b5b503d,0x03b04ada,0x880ec2c8,
    0x6401e81f,0x90076003,0x3f101d85,0x07e63640,0x20f007a0,0xa80ba02e,
    0x03c80005,0x83d102dc,0x007a205b,0x007cc01d,0x441360b2,0x2209b01f,
    0x003b801f,0x007e209b,0x104d84b8,0x200fd83f,0xb00f405d,0x222ec01f,
    0x8816e007,0x20ce881e,0x03d004e8,0x54000f40,0x0f403d03,0x05900760,
    0x076c02b8,0x07a00ba6,0x2e981db0,0xf8879b30,0xc803b04b,0x0b500ec2,
    0x01d8803d,0x42c803b0,0x8816a01d,0x7401361f,0x3fa83c01,0x02d405d8,
    0x200ec400,0x8174c0ed,0x0174c0ed,0x0bee0074,0x6744174c,0xe8813a20,
    0x8013a20c,0x0ce8802c,0xf10013a2,0x220ce881,0x41dfd84e,0x0f400fb9,
    0xb983bfb0,0x2001e40f,0x0174c0ed,0x07fdbfd1,0x3d000f40,0x0777a600,
    0x803d0074,0x4c16401d,0xfb800dde,0xd002dede,0xdbdf7003,0x077c405b,
    0x01d81f74,0xd0076164,0x9b100e85,0x0076001b,0x7401d859,0x07c52e02,
    0x77c01e80,0x37f620ee,0x6dcc04fd,0x6c400099,0xefb800dc,0x7dc02ded,
    0xd002dede,0x9dfd1001,0x22017ddb,0x803fedfe,0x03fedfe8,0x2001b9b0,
    0x03fedfe8,0xfd107700,0x27207fdb,0x1dfedffb,0x27201e80,0x1dfedffb,
    0xfb8000e8,0x1002dede,0xfff80135,0x22ffffff,0xffffffff,0x0200402f,
    0xffffffff,0x3ffff65f,0x2fffffff,0x2a600020,0x7ffffc00,0x2602ffff,
    0x20df000a,0x7ffec2fb,0xffffffff,0x0bffffb2,0x08009fe6,0xfffffb00,
    0x25ffffff,0x305ffffd,0x401040ff,0xfffffff8,0x10199983,0xee980153,
    0x10005eee,0x00153000,0x0c000a98,0x004d4c00,0x80013510,0x040009a8,
    0x009a8800,0x35100400,0x04d4c001,0xffffffb8,0x2a606fff,0x20000009,
    0x000000a9,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0x930aa03b,0x000d4001,0x02802540,0x04c0a013,0x4001b100,
    0x2a001302,0xd9800980,0x33322000,0x0ccccb80,0x36200059,0x006dc000,
    0x8000064c,0x1401980a,0xa8140098,0x200dc000,0x4cccccc8,0x54000000,
    0x18809804,0xcb801700,0x33223ccc,0x00db804c,0x3002c800,0x1517bdd7,
    0x54026050,0x000064c2,0x41999950,0x900cccca,0xcccb80d4,0x200ccccc,
    0x0ec805fa,0x03f71fa0,0x000fbb20,0xd9001fb8,0xed807641,0x4c003ee0,
    0x40f4003e,0x43d9001e,0x1d9001fb,0x17f2a200,0x4c2baea6,0x1f4c003e,
    0x2017fc00,0xfd5003ea,0x5c3d701d,0x740f401f,0xdb06ec01,0x6f6f4c00,
    0x5d755100,0xfff50055,0x5c00dfff,0x22fa801f,0x76c402fa,0x33aa602f,
    0x0bbaa22a,0x8000bfe0,0x7bb005d8,0x05df9513,0x3a03d03d,0xc800fdc7,
    0x5d9300cd,0x02eca985,0x55303c9e,0x445557d5,0x803ff63f,0x404400dd,
    0xb14e8801,0x0ec8001b,0x6ed7d400,0x76d7dc00,0x005f3000,0xbb537d50,
    0xddbfa800,0x00fdc000,0x2603db30,0x26006886,0x0730002f,0x33a005b0,
    0x6dfd4031,0x9bea800e,0x5d7005da,0x1764009d,0x069805f7,0xec800000,
    0x333a6000,0x9a74c01e,0xc80ec04e,0x0073000d,0xd8027440,0x2a0bee05,
    0x205da9be,0x37001808,0x404a80e6,0x2c9e2059,0x3e603d00,0x4a80b225,
    0x2c800000,0x36a003b8,0x07d30000,0x200274c0,0x3260001d,0x88000ade,
    0x12a0004e,0x306ad980,0x6c003a0d,0xe8000001,0x40069800,0x64c004e8,
    0x74c002de,0x1880c002,0x0c0034c0,0x06cc004c,0x006ec400,0x80b6216c,
    0x0005d81d,0x80164000,0x816c00eb,0x0002dec9,0x04886400,0x40b3012a,
    0x74007668,0x0009f301,0x0ccccb80,0x0033332e,0x00000000,0x00000000,
    0x00000000,0x26000000,0x20d307b5,0x4000000e,0x152ceeca,0x02c800e8,
    0x00000000,0x0cca8000,0x001a6000,0x006f87f5,0x00000000,0x27443b00,
    0x7bdd7300,0x00000151,0x0000003d,0x99039995,0x6dec4099,0xb3012a01,
    0x003d34c0,0x027cc07a,0x6666665c,0x55d950cc,0x05765541,0x0b333326,
    0x207332a0,0x33224ccc,0xcccccccc,0x33332e2c,0x64c0cccc,0x2002cccc,
    0x02ccccc9,0xb80ccc88,0x64c0cccc,0x2002cccc,0x6981f159,0xccc881d0,
    0x0ccccb80,0xfc98ade8,0x400742dd,0x6665c01e,0x9700accc,0x99999999,
    0x99993079,0x3d530059,0x0034c000,0x10570322,0x09999999,0x6666665c,
    0x6643cccc,0x3332e0cc,0x07d11d82,0x544deec0,0x99702efc,0x99999999,
    0x90003c45,0x99999999,0x202bf263,0x01802dda,0x02cc04a8,0xe80074b3,
    0x8187f101,0xaaaaaabe,0xb3012a1f,0x33aaaa20,0x0afc9807,0x3a62dda8,
    0xaabfaaaa,0x2aafa4da,0x441faaaa,0x007ceaaa,0x1f3aaaa2,0x217f2a20,
    0x440aeba9,0x007ceaaa,0x34c4c966,0x7e5440e8,0x0aeba985,0x85f901ec,
    0x401e800e,0xdbaaadca,0xacea983f,0x86baaaaa,0x07ceaaa8,0x980007a0,
    0x44000006,0x02aaebaa,0x2aab3aa6,0x7546baaa,0x33aa60ac,0x04f99d81,
    0x2fb81760,0x5d99d550,0x2d499555,0xd5555000,0x3d815557,0x00001f10,
    0x21660254,0xbfaaeca9,0x880f401a,0x07a0f43f,0x3012a2dc,0x0b63e00b,
    0x0f881ec0,0x2e0f434c,0x02dc07a4,0x80016c7c,0xb3002d8f,0x401a603d,
    0xb3002d8f,0x741a61e8,0x203db301,0x4405c869,0xed807c2f,0x701deefe,
    0x6c136209,0x3e01a601,0x03d002d8,0x00034c00,0x800d3000,0x361a601d,
    0x66c07601,0x5c00cfcf,0x2016c00e,0x24b85a8f,0x3a00004a,0x6c07c401,
    0x4c1eec82,0x02541eee,0x3fbb6166,0x404eefee,0x3d0be01e,0x40e981e8,
    0x402cc04a,0x2200b55a,0x6982d80f,0x3d25c1e8,0x5a801d30,0x2b5000b5,
    0xd5b3005a,0x56a01a60,0xa8b3005a,0x826c1a66,0x0d306ad9,0x5415001d,
    0x2faaa607,0x8812e02a,0x2601d81e,0x05aad406,0x200083d0,0x3dd90069,
    0x301eee98,0x201d800d,0x3601d869,0x3623fb01,0x0000f406,0x4b85ab4c,
    0x5555412a,0x007a00aa,0x220b51aa,0x2d9981e9,0x81660254,0x7400f13b,
    0x85f0be01,0x4a82e80e,0x16c02cc0,0x51aa001f,0x07a1a60b,0x17407497,
    0x001f16c0,0x2003e2d8,0x0d307b59,0x4007c5b0,0x0d32d859,0x2b303be2,
    0x3446983d,0x8017ec00,0x404b801e,0x2201d85a,0x01f16c03,0xfffd33d0,
    0x440d3007,0x3303d315,0x001a605b,0x6c1c403b,0x0ec07601,0x00788264,
    0x216a7700,0x65c1663a,0x3a01decc,0x3e27b001,0x5b00ec00,0x02cc04a8,
    0xe801a279,0x85f07e01,0x09504c80,0x23c40598,0x44f6003c,0x3d07100f,
    0x13202298,0x00791e20,0x200f23c4,0x6981f159,0x00f23c40,0x263e6166,
    0xb305d506,0xa8d303e2,0x04d98005,0x097003d0,0x0683b0f0,0x00791e20,
    0x1f543d9d,0x46881a60,0x4c0b601d,0x1a0ec006,0x01d80760,0x503f103b,
    0x4760000b,0x03c40a5a,0x00f402c8,0x803d8f88,0xd30b601d,0x4b205a80,
    0x807a0069,0x500fe21e,0x2602540d,0x1a625c05,0x03d8f880,0x54001e80,
    0x69897006,0x0d312e00,0x26264b30,0x1a625c06,0x4e641660,0x96605b06,
    0x12a34c4c,0xe803c400,0xe804b801,0x7cccd6c1,0x69897000,0x6980ee80,
    0x8d1034c0,0x4c0b601d,0x4cd6c006,0x4d6c00f9,0x01e99999,0x2a12e03b,
    0x54f00004,0x0ba06a9d,0x03d00b20,0xd8037540,0x07a0b601,0x7ffdc3d8,
    0x02ffffff,0xf88500f4,0xa807e203,0x3a02cc04,0x2a001e81,0x03d0006e,
    0xe800fc40,0x3d001e81,0x459803d0,0x3d01a61e,0x059803d0,0x03a0d5f1,
    0x6987a2cc,0x1d000254,0x97003d00,0xffd83b00,0x3d000fff,0x01e803d0,
    0x2069807a,0x5b00ec68,0xfb001a60,0xd801ffff,0xffffffff,0x3e203b01,
    0xaaa82540,0x25a80aaa,0x2606fffa,0x2016400f,0x00f4001e,0x20b601d8,
    0x403f304c,0x7400951e,0x813e2001,0x2025403d,0x5c1a6059,0x000f4004,
    0x0f6001e8,0x04b834c0,0x80970698,0x0d335459,0x404b834c,0x41bea059,
    0x6a8b300e,0x000d31a6,0x00f40074,0x20ec025c,0x4c007c1d,0x1e809706,
    0x06980760,0x6c03b1a2,0xd800d302,0x076007c1,0x403b01d8,0xcb82cc3c,
    0x3c81decc,0x2e02cd6a,0x805d302f,0x00f4001e,0x20b601d8,0x13aa0ce9,
    0x8012e1d0,0x13e6001e,0x1a6182dc,0x7fe40b50,0x007fffff,0x1e8000f4,
    0x2060b700,0xfffffffc,0xffffc807,0x2cc07fff,0x3206996c,0x7fffffff,
    0x07ffff60,0x980741ba,0x88d32d85,0x003a0007,0x012e007a,0x0090761e,
    0x3ffffff2,0xb00f407f,0xfffff983,0x46ffffff,0x4c0b601d,0x83b16206,
    0x3601d804,0x2ffffec1,0x078a7fcc,0x3ffa0590,0x220025ff,0xbeedcefe,
    0x2000f400,0x403b001e,0x3f7f202d,0x770f803f,0x7ffffec0,0xf3021fff,
    0xb301f30b,0x80f201f8,0x9999999f,0x007a002d,0x7cc00f40,0x99f85980,
    0x02d99999,0x4cccccfc,0x216602d9,0x3e0698f9,0xd9999999,0x3a000002,
    0x1f30b300,0x200990d3,0x07400740,0x1a6025c0,0xf0370076,0xb3333333,
    0x3b00f405,0x01d80000,0x1034c0b6,0x0dc01d8d,0x001d8076,0x64017400,
    0x82d46882,0x009a9800,0x3d0007a0,0x7d40f200,0x000f4c02,0xcb801e4f,
    0x6c4df900,0x8b302e82,0x203f104d,0x002d405a,0x07a0003d,0x22cc0ba0,
    0x502d405a,0x2605a80b,0x20d39905,0x002d405a,0x807c00ee,0x0d399059,
    0x1ec403f1,0x00d3003a,0xb07b012e,0x2d42c803,0x01e816a0,0x01dc0076,
    0x02fa81e4,0x363440d3,0x07616401,0x077001d8,0x2c801f30,0xe82d44a8,
    0x4001dc00,0x00f4001e,0x3b220e88,0x001d402e,0xd80164f1,0x003ff600,
    0x222cc099,0x813a20ce,0x000f802d,0x07a0003d,0x22cc0990,0xb00f802d,
    0x2601f005,0x20d5f105,0x000f802d,0x816a0164,0x0d5f1059,0x13a60fe6,
    0x02d8812e,0x82e40970,0x3616401d,0x3d00f802,0x59000ec0,0x3220e880,
    0x40d302ee,0x3200ec68,0x03b00ec2,0x7dc01640,0x5b05d302,0x001d05a8,
    0x01e80059,0xf9000f40,0x17f69fdb,0x402b9d88,0x5c00b668,0x8015049c,
    0x216600e9,0x03fedfe8,0x01e401e2,0x3d0001e8,0xb30074c0,0x83c803c4,
    0x20790078,0x21bea059,0x00790078,0xed803736,0xfa816601,0x37bf6206,
    0x1dd102ff,0x800fb7b2,0x02ed444b,0x222c803b,0x3a079007,0x36007601,
    0xdfc800dc,0x30bfb4fe,0x0763440d,0x201d8590,0x0dcd801d,0xb9dfd100,
    0x81f017dd,0x6c01d05a,0x0f4000dc,0x3ffffe20,0x035003ff,0x400ee600,
    0xca8002a2,0x3fea0001,0x5fffffff,0xc8026a20,0xff82ffff,0x7fc40fff,
    0x203fffff,0xfffffff8,0x7ffffd43,0xff95ffff,0xffff05ff,0x3ffff21f,
    0x0fffff82,0x207ffff6,0x7fffe46e,0x0fffff82,0x40080080,0xe81ffffd,
    0x00a98806,0x40029810,0xdffffffe,0xfffffb02,0x25ffffff,0xf82ffffc,
    0xff50ffff,0x6fffa8bf,0x1a800080,0x7ffffcc0,0xb6ffffff,0xffffffff,
    0x3fee5fff,0x3fff61ff,0x0000400f,0x3f201353,0xffff98ff,0x400fffff,
    0xfffff000,0x0005ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x6c01f4c0,0x01eeeeee,0x3bbbbb62,0x01ec400d,
    0x332e00c4,0xcccccccc,0x0000cc03,0x80039857,0x36200029,0xcccc9803,
    0x0000002c,0x500c9855,0x0400c985,0x10033000,0x04010020,0x20000000,
    0x1cccccb8,0xeeeeeed8,0x10020101,0x05100020,0xddddddb0,0x00000003,
    0x000511c0,0x00004020,0x01500014,0x99999975,0x10000801,0x00530005,
    0x26201bee,0x98019999,0x80199999,0x776c06fb,0x754c791e,0xbaaaaaac,
    0x3bddd106,0x17e005b1,0x76c001f9,0x003c89ee,0x55100ff5,0x2000f9d5,
    0x7e800ddc,0x46e80fdc,0xfff701fb,0x0fdc001b,0x0d907e60,0x13620eb8,
    0x056fed44,0x13ff6e20,0x41cc16c4,0x01999998,0x403f313a,0x3002d80e,
    0x3331005f,0x7ecc0333,0x7f5c00be,0x29b000ce,0xdfd502e8,0x2e17cc09,
    0x02e80006,0x2a19dfb7,0x32fbaa0f,0xfe880191,0x017cc001,0x44007ea0,
    0x0000001b,0x806e2000,0x037f6a38,0x30698076,0x0027f545,0x20018811,
    0x037f6a38,0xf8001b80,0x9cc002d8,0x18088048,0x64060220,0x200d910d,
    0x7f3000ec,0xf5001bb1,0x3e609d35,0x201f931b,0x0188ace9,0x000e6059,
    0x75c6ec40,0xd706dc01,0x000bea00,0x4c67cc00,0x22fb206c,0x15d807da,
    0x22bee07d,0x33a606c9,0x66540dd8,0x3332a0cc,0x8add886e,0x2a1fbfb9,
    0x00646e3f,0x007d35f5,0xf7000bea,0x65c00003,0x332e0ccc,0xedb880cc,
    0x8000001c,0x69807600,0x00000000,0x00000000,0x00b55a80,0x000161b8,
    0x41a60000,0x006dc02e,0x000ff620,0x0dc05fd3,0x02fa84b8,0x64188160,
    0xcccccccc,0x0037ee01,0x00eff75c,0x32e00f4c,0xcccccccc,0x25c16c3c,
    0x203c8344,0x7c41365b,0x36203d81,0x55d9304f,0xd01eca98,0xfb13e607,
    0x2a0191b8,0x3013620e,0x0eb8003d,0xcccccc80,0x5d951ccc,0x57655415,
    0x544e74c0,0xcccb80ec,0x320ccccc,0xcccccccc,0x07100ec1,0x0b333326,
    0xccccc980,0x0ccc8802,0x70ccccb8,0x99999999,0x22d80799,0x2f62000f,
    0x9999702d,0x87999999,0xcccccccc,0x25c0b61c,0x03000020,0x80002200,
    0x007e20f8,0x55400790,0x0aaabeaa,0x008000c0,0xea980080,0xbaaaaaac,
    0xb83d03c6,0x2040d303,0x35417200,0x012a00c0,0xc812e0b3,0x46e2746d,
    0x0040100c,0x00040004,0x557d5555,0x26025415,0xb701f985,0x555557d0,
    0x555543f5,0x6c0aaabe,0xaa880341,0x22007cea,0x807ceaaa,0xa985fca8,
    0x9d530aeb,0xd7555555,0x00f23c40,0xea980260,0xbaaaaaac,0x5f555546,
    0x403e0aaa,0x58808059,0x00600000,0x26c1f100,0x0997b700,0x10007a00,
    0x40006000,0x4c03b001,0x42b812a6,0x1003e02d,0x0fc07d00,0x04a80110,
    0x807c42cc,0x22f47b6b,0x1100191b,0x10001000,0x403d0001,0x742cc04a,
    0x07a26402,0x007a02dc,0x01f3335b,0x005b1f00,0x400b63e0,0x0d301ed9,
    0x20698076,0x40034c4b,0x4c03b000,0x7880f406,0xb305eca8,0x5d139fff,
    0x3a60f764,0xffd501ee,0xb70005df,0x51620068,0x01e8005d,0x2efffd88,
    0x77fff540,0x7fff5402,0x9807602e,0x44a812e6,0x220d505b,0xf02efffd,
    0x32216c03,0x448cffff,0x542cc04a,0x9661f305,0x0646e1fb,0xcffffc88,
    0xffec9848,0x3f2201ce,0x8048cfff,0x3012a01e,0xf8806a8b,0x03a607a0,
    0xffd803d0,0x54000fff,0xb5000b55,0x56cc016a,0x0760d306,0x207a0698,
    0x7f64c01e,0x07601cef,0x80f40698,0x2de7e459,0xeb8857dc,0x40f4c43f,
    0xbec82d99,0x3009d731,0x12cc1db5,0x64160135,0x803d000d,0x17a60bfa,
    0xeb98df64,0x2637d904,0x403b04eb,0x5e81e638,0x5d505f44,0x74c17f50,
    0x8f203c45,0x3f260be9,0xb3012a0f,0x43d10770,0x5c57e468,0x17d30191,
    0x2e07fe4c,0x20f5109b,0x3f260be9,0x500f400f,0x16459809,0x203a1c80,
    0x401e802e,0x20007c1d,0xb0003e2d,0xacc007c5,0x3b06983d,0x06981c40,
    0x09bb8097,0x00ec0f51,0x301e8071,0x98b3344b,0x05ee880e,0x2e16c03b,
    0x405f100f,0xa540fffa,0x981fedfc,0x803d880d,0x803e201e,0x8807dc3d,
    0x8807dc2f,0x0341d82f,0x21f320ba,0x82ffdfe8,0x88f600f8,0x05d1e406,
    0x809507dc,0x3d82c859,0x1edb9878,0x5c05d019,0x20f2000f,0x003ee02e,
    0x2025403d,0xb800f459,0x40132023,0x120ec01e,0x03c8f100,0x00791e20,
    0xd303e2b3,0x200d0760,0xfffffffc,0x40f20007,0x3a00341d,0x31e4b301,
    0xbe882e8b,0x201d81f8,0x2e017c2d,0x21eb8807,0x3ea1dcbb,0xb703d880,
    0x0b601e80,0x017c1f10,0xb805f1ee,0xf999ad87,0x2633e600,0x7df30f5d,
    0x805b09fb,0xc80d10f8,0xa8d00f73,0x2642cc04,0x701e2172,0x00f70323,
    0x5c59800d,0x1e806807,0x8b3012a0,0x40b3000f,0x007a006a,0x201b803b,
    0x70034c4b,0x59806989,0x360d3132,0x800f999a,0x9999999f,0x0b30002d,
    0x03e666b6,0x4b301e80,0x8789663c,0x360f63e8,0x9e98b601,0x99999999,
    0x21f3000f,0x40b906fa,0x201b81db,0x2003e01e,0x3333d32d,0x21f33333,
    0x999999e9,0x7ec0f999,0x4c00ffff,0x98d13dfc,0x3e26c41e,0x0f12d800,
    0x000993c8,0xb8598095,0x1a603aa6,0x99032370,0x665cc000,0x02645cbc,
    0x2a01e800,0x03a2cc04,0x1f882540,0x3b007a00,0x07a02c80,0x40f4007a,
    0x3a2cc01e,0x7fec1a61,0x2d400fff,0x973016a0,0x360b9799,0x000fffff,
    0xd12cc07a,0x44699663,0x0ec2d44e,0x777d45b0,0xeeeeeeee,0x7c4f2001,
    0xc880f301,0x03d01544,0xa9e401a2,0xeeeeeeef,0xddf51eee,0xdddddddd,
    0x007c1d83,0x81ec5980,0x200d10f8,0x2e803e3c,0x0950003d,0x88f98598,
    0xb809701f,0x001e8191,0x75579fb0,0x0001e8bd,0x025403d0,0x2005b166,
    0x8007b02b,0x200ec01e,0x2e0d302c,0x97069804,0x33545980,0x01f0760d,
    0x00f802d8,0xd75579fb,0x01f0760b,0x46980f40,0xf10fffda,0x12e13a21,
    0x222d8076,0xb5000007,0x4c01e034,0x0f404dbd,0x44b200f0,0x00788007,
    0x00090760,0xd803e1e4,0xd16401e2,0x16c7e203,0x2a034c00,0x205d7b05,
    0xc8dc01f8,0x640016c0,0x2d8b300d,0x403d0000,0x322d4069,0xb703d003,
    0x401e8060,0xc816401d,0x7fffffff,0xfffffc80,0x42cc07ff,0x0760d32d,
    0x90078809,0x2601b907,0x00483b05,0x80f880f4,0x4d9fc188,0x403b05b0,
    0x0001fc2d,0x203d2640,0x01a20059,0x003d00f4,0x4001fc1d,0x03b0003f,
    0x0f9801b8,0x745d00fc,0x0f20e801,0x004b87cc,0x81e401f0,0x013204f9,
    0x12e0646e,0x59807e00,0xe800025c,0x7900fc01,0x3d400f88,0x02cc07cc,
    0x3fff603d,0xffffffff,0x33333f02,0x9f805b33,0x2d999999,0x23e61660,
    0xb803b069,0x05ffff91,0x7c1fffff,0x0ec16601,0x01e806e0,0xdea800fa,
    0x0f20d504,0x03ea17d4,0xf1004410,0x82c82d43,0x3a003202,0x9901a601,
    0x20400fa8,0x6c0400fa,0x22016401,0xf304d82e,0x132034c1,0xf89320f3,
    0x1361d400,0xfeb80fc4,0x4006ec41,0x0f88191b,0x00e89d40,0x00f88bb1,
    0x007a01d4,0x207e209b,0x207a205b,0x740b302e,0x80e40001,0x502d405a,
    0x2605a80b,0x20d39905,0x0016401d,0x807443a8,0x803b05d8,0xb807a02c,
    0x417fc005,0x41d100fb,0xec82eec8,0xf51fc881,0xc84eb887,0x881f710c,
    0x0f401a04,0x3b207b20,0xc881ec80,0x440f641f,0x200ec1fc,0x40bee02c,
    0x0faa0bf8,0x03b207b2,0xa81f5136,0x40ed882e,0x13a20ce8,0x6f74c754,
    0x46e003fe,0x882ea80c,0x2a0f20ed,0x82ea85df,0x0f400ed8,0xe8833a20,
    0xd303b604,0x2cc09905,0x580003d0,0x03e00b60,0x807c016c,0x0d5f1059,
    0x00590076,0x20f20320,0x03b05dfa,0x007a02c8,0xcd83307d,0x0dfddfda,
    0xa7f6fe40,0xdefa85fd,0x6c40cfed,0x202ffdef,0x881efefc,0x2da9999d,
    0xf5003d00,0xa809fd9d,0x0cfeddef,0xfdbbdf50,0xc803b019,0x1bfdbd52,
    0xffdfe880,0x3b3bea02,0x76fec04f,0xbbdd300e,0x3a2017fd,0x3a03fedf,
    0x8800d441,0x03591c99,0x7fdbbdd3,0xfddfd881,0x4c5ff99e,0x0bfeddee,
    0xe8801e80,0xb803fedf,0x982dedef,0xe816600e,0x65e40001,0x1e401e22,
    0x03c803c4,0x837d40b3,0x0016401d,0x3624cd98,0xf99efddf,0x3200ec5f,
    0xd3007a02,0x5c3ff97b,0x40009a84,0xaa88001a,0x00351000,0x333200d4,
    0x3fe01bcc,0x2fffffff,0x80026a60,0x22000aa8,0xfffb00aa,0xffffffff,
    0x40005445,0x2a6001a8,0x03510009,0x8006aa20,0x000009a8,0x92ccca80,
    0x2aa20199,0x00135001,0x7c01aa88,0xffffffff,0x0026a202,0x7d401530,
    0xffffffff,0x3fffffe5,0x98002fff,0x0bffff20,0x643ffffe,0xff82ffff,
    0x3ff60fff,0x6c6e81ff,0xffffffff,0x40002fff,0xb0026a00,0xffffffff,
    0x7ffc5fff,0x82ffffff,0x0001bca8,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7000014c,0x02000800,
    0x00a20008,0x3b600402,0x000eeeee,0x0cc00010,0x0014c015,0x00400201,
    0x26005100,0x00804002,0x00800cc0,0x08004020,0x4c000800,0xdedb8002,
    0x0200800c,0x01441750,0x03700010,0x31005400,0x03011000,0x08008818,
    0x80011000,0x01008028,0x00009818,0x8809b500,0x6c40003e,0x037ee005,
    0x00f207a0,0x3e6017cc,0x266035c2,0x00019999,0x98001bf7,0x4401d71f,
    0x989d003e,0x06fdc01f,0x400be600,0x03a003e8,0x0fdc00b6,0x4006fdc0,
    0x5402d80e,0xbf7000ef,0x00fa2001,0x5cc56ec4,0x106e402e,0xeeb9807d,
    0x4f74c3ee,0x004effd9,0x32000ff5,0x00fe200e,0x02fb8fd0,0x406f87f5,
    0xc8800dfb,0x048cffff,0x5f300be6,0x8bee06b8,0x7f5405f8,0x7fc40a63,
    0x0274403f,0x1004e880,0x803d91db,0x003ea0ea,0x74c007ea,0x0000dd8c,
    0x91db1000,0x47e6003d,0x4e8800ea,0xeb8dd880,0x75c76c01,0x005f5001,
    0xb7004e88,0xec8035c1,0x6476c400,0x706dc01e,0xfa9ec80d,0x323b6202,
    0x09d1001e,0x0be607d0,0x07f53d70,0x2fbeeb88,0x4c5d9d30,0x03e8804d,
    0x8800dd80,0x10ea004e,0x70322019,0x32376205,0x82fa601e,0xfa80ffc9,
    0xb19d3001,0x2064401b,0x227a201b,0x3e01fdfc,0x09b002ff,0x74007d00,
    0x2e00fd44,0x9801dfee,0x7ec4001e,0xcccc9803,0x44e8002c,0x32f801fa,
    0x04d8001f,0xe801bf70,0x2600fd44,0x1360001e,0x0eff75c0,0x74006dc0,
    0x2e00fd44,0x3201dfee,0x740ba60d,0xb000fd44,0x26025c09,0x01efa806,
    0x03a60bc8,0x03cc07ec,0x009b0000,0x00004d88,0x22740000,0x405d01fa,
    0x007540fb,0x000ff620,0x01510000,0x04002b88,0x02000400,0x00110004,
    0x00600008,0x3e755544,0x00080400,0x01000081,0x100800c0,0x20000200,
    0x20004000,0x00402000,0x08020010,0x20002010,0xb001f100,0x00011007,
    0x405b0698,0x8001801e,0x00060000,0x08000006,0x201ee010,0x0c000086,
    0x10000800,0x00400000,0x00040220,0x00020001,0x00080004,0x0005b1f0,
    0x80000000,0x00008000,0x00000000,0x02000200,0x00000200,0x01800080,
    0x05a80300,0x00200b50,0xc9ef6e44,0x07601d83,0x177fff54,0x00000200,
    0x2efffea8,0x74c1eec8,0x640001ee,0x00000004,0x7ff64c00,0x3b2601ce,
    0x0001ceff,0x677ff64c,0x97ffae01,0x36204ffc,0x2602efff,0x01ceffec,
    0x177ffec4,0x9dffd930,0x2d56a003,0x417bba20,0xdd92eeeb,0x01eee983,
    0x05dfffb1,0x567ffed4,0x983dd90c,0x3bb21eee,0x90f774c1,0xeee983dd,
    0xdfffb101,0x7ffed405,0x764c0cac,0xec81ceff,0x0f774c1e,0x567ffed4,
    0xfffea80c,0x7ff5402e,0x003b82ef,0x4cf74cd1,0x2a04effd,0xbeca9acf,
    0x07601d85,0x75cc6fb2,0x6ccf74c4,0xdd504eff,0x7d9003dd,0x3113ae63,
    0x85b3303d,0x201eeeea,0xeea8001e,0x775401ee,0x9bb801ee,0x5dc0f510,
    0x000f5109,0xf5109bb8,0x66447220,0xa84d88db,0x417a60bf,0x0f5109bb,
    0xbd305fd4,0x54426ee0,0x07c5b007,0x44027e60,0x3d310bd9,0xf505b330,
    0x542f4c17,0x3fb510bf,0x26607a62,0x207a622d,0x3a622d99,0xa82d9981,
    0x217a60bf,0xfb510bfa,0x5109bb83,0x303d310f,0x0bfa85b3,0xec83fb51,
    0x209d731b,0x9d731bec,0x31e002c8,0x26cc5d9d,0x6e98074c,0x707601d8,
    0x30be201f,0x26cc5d9d,0x00f4ccc4,0x17c403ee,0x885b00ec,0x3601e999,
    0x99988002,0x4ccc401e,0x1e40001e,0xea81e400,0x03c8004e,0x7c41ff10,
    0x3d803e20,0x7c41e400,0x9000f600,0x1e478807,0x07400f40,0x885b00ec,
    0x5b0f600f,0x03b07e20,0xb00ec16c,0x16c03b05,0x43d803e2,0x003f102d,
    0x201d81e4,0xf8816c2d,0x7c403ee1,0xf8807dc2,0x3c400f22,0x43cc07ec,
    0x207dc01e,0x5f07601d,0x0fd87b80,0x01d80798,0x21ee017c,0xb00b601d,
    0x00025c03,0x076000ec,0x000b3000,0x03ff60b3,0xe8016600,0x00b64d85,
    0x2cc001f1,0x03e2016c,0x25c05980,0x88f201a6,0x0ec1e23f,0x402d85b0,
    0x181720f8,0x20b601d8,0x360b601d,0x05b0b601,0x81720f88,0xd82cc001,
    0x0b90b601,0xf700be0c,0x73dc02f8,0x361a6009,0x06887a02,0x201d83f0,
    0x2667a61d,0x0f999999,0x803d016c,0x267a601d,0xf9999999,0x05b00ec0,
    0x03e201d8,0x00ec0750,0x5cc00760,0x205cbccc,0x5cbcccb9,0x4c03ff88,
    0x05cbcccb,0x37d79951,0x07cb7333,0x65cc16c0,0x0f85cbcc,0xcb982d80,
    0x7405cbcc,0x25401e81,0xd82ccdd7,0x01f0b601,0x676c45b0,0xb00ec01a,
    0x16c03b05,0xf85b00ec,0x3622d800,0xb9801ace,0xb05cbccc,0x36216c03,
    0x3d301ace,0x33333333,0x2667a61f,0x0f999999,0x212e00d3,0x5a87601d,
    0x01d83d00,0xeeefa876,0x1eeeeeee,0x803b00ec,0x3bbea01d,0xeeeeeeee,
    0x05b00ec1,0x175401d8,0x3b0076c4,0xd801d800,0x5ebaabcf,0x75579fb0,
    0x80df50bd,0xebaabcfd,0xcabefc85,0x4eeeeeef,0xb0f200d1,0xbd75579f,
    0x87900688,0xebaabcfd,0x25c1a605,0x0e9e9a20,0xd8076077,0x1e401a22,
    0x077f654c,0xb05b00ec,0x0ec16c03,0x803445b0,0xfeca983c,0xabcfd80e,
    0x03b05eba,0xeca9816c,0x3bbea0ef,0xeeeeeeee,0xdddddf51,0x6c3ddddd,
    0x6c0fc402,0x06987601,0x3ffee1f0,0x8afffcc7,0x80760007,0x100ec01d,
    0x00ec000f,0x801d805b,0xbfeddee9,0x2000ec00,0x806e401d,0x300dc859,
    0x6405f90b,0xdc8b300d,0x07803e80,0x806e4590,0x59007859,0x059806e4,
    0x3ffffff2,0x788f807f,0x0ec07677,0x900785b0,0x83f51005,0x360b601d,
    0x0760b601,0xc803c2d8,0x21fa8802,0x20b300dc,0x400b601d,0x00f11fa8,
    0x26000f10,0x6c13200e,0x01f07601,0xf0000798,0x80760007,0x200ec01d,
    0x03b0003f,0x0076016c,0x2001ad88,0x00ec001d,0xf859807e,0x17e16601,
    0x22cc03f0,0xd00bd02d,0x0fc1d003,0x003d0b30,0xb300fc1d,0x4ccccfc0,
    0x56c02d99,0x403ed34b,0x3d0b601d,0x00621d00,0x3601d899,0x0b601d82,
    0x742d8076,0x0310e801,0x9807e4c8,0x16c03b05,0x3e4c8031,0x003f8003,
    0xdd883f50,0x0ec03b00,0x007b016e,0x00fa8077,0x3b00ec04,0x7d401d80,
    0x81e40400,0x00ec02fa,0x3b000f20,0x2201d800,0x88bb100e,0x90bb100e,
    0x88074401,0x7cc1dc5d,0x01a6080f,0x88074499,0x6406985d,0x6c403a24,
    0x5a80b505,0x5d0f5dc0,0xfa81e40d,0x932034c2,0x321e405a,0x7905f503,
    0x0f20bea0,0x01a617d4,0x3202d499,0x36201d13,0x3ea07905,0x479016a2,
    0x2a0400fa,0xea80400f,0x6c04fedf,0x37a07601,0x90036c40,0x881ec805,
    0xb00ec1fc,0xc801d803,0x41fc881e,0x3bb220e8,0x4000ec02,0x0076002b,
    0x83c803b0,0x83c85dfa,0x90005dfa,0x88bbf507,0x93bfe61e,0x40f645d8,
    0x541e40ec,0x03d905df,0xa83c81d9,0x005b05df,0x2374c01f,0x83a204eb,
    0xec82eec8,0x3ea0ec81,0xe886a884,0x20bbb220,0x3bb220e8,0x3220e882,
    0x81ec82ee,0x213ea0ec,0x541e46a8,0x41d105df,0x3ea2eec8,0xec86a884,
    0x641fc881,0x01fc881e,0x360039f1,0x7dc07601,0xb003fece,0xdf5001b9,
    0xb019fdbb,0x3600ec03,0xbbdf5001,0x3f2019fd,0x0bfb4fed,0xde9800ec,
    0x0076000d,0xfd8803b0,0xff99efdd,0x3f77f625,0x005ff99e,0x77eefec4,
    0x3e65ff99,0xfd8d9fde,0x9df503fd,0x3f6209fd,0xff99efdd,0xfecefa85,
    0xfbbfb104,0x44bff33d,0xf8079007,0x3201fc44,0xbfb4fedf,0x9fd9df50,
    0xdbdf9950,0x37f203df,0x90bfb4fe,0x3f69fdbf,0x4fedfc85,0x9df50bfb,
    0xf99509fd,0x883dfdbd,0x99efddfd,0xedfc85ff,0x32abfb4f,0x1efedefc,
    0xfdbbdf50,0x37bea019,0xf500cfed,0xb7137b9d,0x263fffdc,0x2a605fff,
    0x80008001,0xff700aa8,0x5fff98ff,0xfffffff7,0xaa880fff,0x7006a000,
    0xffffffff,0x5c0080ff,0xffffffff,0x3fffee7f,0x207fffff,0x4d40009a,
    0x9a800000,0x202a6000,0x13530019,0x00026a00,0x540026a6,0x7ffe4009,
    0xfffff82f,0x2a000000,0x09a98001,0x01aa9880,0x35000350,0x00035000,
    0x31001353,0x13500355,0x40035000,0x1001aa98,0x54400155,0x5ef4400a,
    0x01dfdcaa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x65c00000,
    0x398032a4,0x04000000,0x03cc8800,0x00006022,0x00000380,0x01002ee2,
    0x00100804,0x30040144,0x00000599,0x001100ea,0x44016e4c,0x2ccccccc,
    0x00000620,0x00200080,0x87991000,0xccccccc9,0x000000cc,0x000e0000,
    0x00000008,0x20000000,0x0bcccccb,0x333332e0,0xcccc980b,0x20000970,
    0x3b220ccc,0x54c004ef,0xff807f67,0x23fea802,0x4cf6c429,0x8002dffd,
    0x71ba06ba,0xdfdb503f,0x41762009,0x3ae2eee8,0xcbed80df,0x883ae03f,
    0xf989d04d,0x502f9801,0x1959fffb,0x800172a2,0x705fb008,0xd319dffd,
    0x3b86549d,0x555574c0,0x07ea01aa,0x3517fdc0,0x977ffdc0,0x203a1eec,
    0xd750002c,0xaaaaaea8,0x55591eaa,0x55555555,0x066f6449,0x98074000,
    0xdffd54ee,0x03db9819,0x007b7300,0x805ff900,0x0ccccccb,0x333332e0,
    0xeaaa880c,0x3aa01fd1,0xffd0a63f,0x2a2b3a21,0x13c000ed,0x400eb80d,
    0xfdfc99e8,0x0aece881,0x553007b5,0x55055d75,0x56fc0c98,0x200eeb89,
    0x6ccc04e8,0x8b71de8a,0x7007c469,0x4407d35f,0x801eb8dd,0x17f501fa,
    0xb507f6a2,0xd01dc000,0x75c43db0,0x161609ea,0x2a000b30,0x98d9801f,
    0xdd00eded,0x5b7f7117,0x1ea0ea83,0x498d3000,0x400287c0,0x00588662,
    0x2e600e80,0x3ae21ecd,0x000ee6a0,0x0001dcd4,0x0001fff4,0x1e800000,
    0x227a20b1,0x7ec1fdfc,0x02e413a7,0x0003b9e0,0xd802a200,0xa806880e,
    0x03cfdccc,0x09b03c00,0xf99001f4,0x7905b007,0x001fe980,0xd3001bf7,
    0xf8816c03,0x70002d41,0x0b70b207,0x642c37d4,0x40016600,0x530000a8,
    0x3fd02e40,0x077fbae0,0x800d3000,0x05000a69,0x0e800068,0xf302fd40,
    0x40003b81,0xb880003b,0x00004003,0x0b23d000,0xfc80a880,0x07cc0d36,
    0x20067810,0x00080008,0x200f403b,0x008034c0,0x040f501c,0x4007f200,
    0x8804b81d,0x2000c000,0x0302e400,0x2e0010b5,0x801f1003,0x02c0c86d,
    0x00000166,0x80be2000,0x004401fb,0x0034c080,0x140028f2,0x0400f64c,
    0x18befc88,0x16400fa8,0xb80800ee,0x00002003,0x39dffd93,0xe983dd90,
    0x18f401ee,0xbf500400,0xb107a004,0x201e5dff,0x8cffffc8,0xdfffb104,
    0x3b00ec05,0x29dffb50,0x3ff62069,0x078002ef,0x800f2000,0x000f4c1d,
    0x80000000,0x401aced8,0xbfffb35a,0xdddddb01,0x05987ddd,0xabd986a8,
    0x332cc01d,0x77640000,0x30f774c1,0x001f880d,0x77fed400,0x0e800d34,
    0x2a05000a,0x21b6204d,0x7fb99cfc,0x44a806a8,0x81f9003b,0x04e8803b,
    0x884ddc00,0x81e9887a,0x0f402d99,0xfb33dd30,0x09f309df,0xce883e20,
    0x980f5d30,0x3ff260be,0xd305fd40,0x1d80760b,0x5b910f5c,0x982fea0d,
    0x896a005e,0x3fae2eee,0x2002c80d,0x107fd51d,0x7f5c5ddd,0x3bbbb20d,
    0x3b21eeee,0x1eeeeeee,0x0efeca98,0x222eada8,0x664c41fc,0x54099999,
    0x2a06a805,0x3a62dc42,0xa83ffffd,0x2201eeee,0x2d9981e9,0x207a016a,
    0x801eeeea,0x2b7221eb,0x051a6006,0x40ec0280,0x506a84fa,0xd300b50f,
    0x6f4c03b8,0x7dc03b80,0x00004c03,0xd8076079,0x2600f402,0x13662ece,
    0x136007f1,0x80ff1099,0x883ee02e,0x360f600f,0x05a87601,0x03e21bee,
    0x1fb803d8,0x6f456ccc,0x00590b71,0x4fca88ec,0xde8ad998,0x4cd6cb71,
    0x360ec999,0xec99999a,0x41fa8800,0x0d500efa,0x034400ee,0x6dc4035c,
    0x21bd882c,0x4ccc45ea,0x201d801e,0x9803e62d,0xe999881f,0xf702d401,
    0x0a1dc00d,0x20d80500,0x07d01ed8,0x5403d414,0xec881dc4,0x74c0ee02,
    0x002d800d,0x00ec1660,0x801e805b,0xd87980fd,0x7c45c800,0x3dc0fb01,
    0x100b6340,0x3601d81f,0x0db003a1,0x00f8805b,0x66401bd7,0x0059003f,
    0x826c40ec,0x0ec03fcc,0x20760754,0x900620ea,0x6c01fa89,0x3a003b83,
    0x4c1ba202,0x20001cdb,0x007a02f8,0x742d8076,0x2007f603,0x2007401d,
    0x507a006d,0x2b722800,0x44fee3da,0x20007c41,0xa97403fa,0x3ea2adda,
    0x5bb55064,0x40197e45,0xcb9802e9,0x3b05cbcc,0x07a016c0,0x01e80b60,
    0x07986b80,0x004c81ea,0x42d800f8,0x3447601d,0x007c35c0,0x00fcc16c,
    0x59000fe4,0x5d00ec00,0x03003f90,0xf30303f3,0x1e405a83,0x216a01ea,
    0x07e6003b,0x9d51bb62,0x36000083,0x36007a04,0x5f30b601,0xb003dd50,
    0x5c034403,0x050d1006,0x11544280,0x20f6c1bb,0x7754000e,0x4cccbb02,
    0x21ed8899,0x266661ed,0xcc8de989,0x1774c4ca,0x555e7ec0,0x403b05eb,
    0x400f402d,0x0007601d,0x40b501d9,0x0007a078,0xb0f200d1,0x04a8ec03,
    0x80344698,0x9005983c,0x002c8007,0xc84b8076,0x03d10003,0x3ea07a20,
    0x5a86a884,0x03b86980,0x655efd40,0x5c0469bf,0xa8001cdd,0x36007a05,
    0x3ea0b601,0x1d8efcbe,0x12a01d80,0x25c01a60,0x700a0014,0x41dcb87f,
    0x46d4003c,0x04ecabde,0x66544fa8,0x4cbb2201,0x02f98e44,0x16601b90,
    0x805b00ec,0x201d801e,0x0372001d,0x40f5034c,0x0078002d,0x1bffea59,
    0xa80598ec,0x05900786,0x40164002,0xfffffffd,0x4c03b04f,0x88002c86,
    0x05d1002e,0x3b7bf32a,0x806a81ef,0x8003b85a,0xd31bdca8,0x01623980,
    0x01e816a0,0x40b601d8,0x3b0accb8,0x2cc03b00,0x1d803540,0x98140028,
    0x1db440de,0x41c407c4,0x37b9515a,0x441ed880,0x9f501c8e,0x00b25900,
    0x416601f8,0xd00b601d,0x6c03b003,0x880bb001,0x5c0f901f,0x801e8004,
    0xd0ec000e,0x1e86c801,0x40000e80,0x4000002c,0x90b5021d,0x007d0005,
    0xe98801f4,0x003ea01a,0x00077079,0x06406980,0x0790006e,0x00ec00f4,
    0x03d0005b,0x00e803b0,0x83c40364,0x7dc14002,0x20763b02,0x3ecabeea,
    0xf30005a8,0x40e47607,0x25a801ec,0x01d1000f,0x81e41762,0x00f402fa,
    0x003b00ec,0x40f600bb,0x003e207f,0x32034c75,0x320f8004,0x261be604,
    0x18826406,0x50005900,0x223b0017,0x01641646,0x4d801360,0x5403c800,
    0x203a605f,0x4c00004a,0x31542c06,0xd007c405,0x2a079003,0x00f8002f,
    0x026401d8,0x09500df3,0x1305000a,0x201d92e0,0x16a01cfa,0x4a804400,
    0x5c006072,0xc8701f44,0x105dfa83,0x1776441d,0x076007a0,0x026c01d8,
    0x7cd85f10,0x6c417540,0x640f640e,0x4354000e,0x06bea84d,0x01d903d9,
    0x5900dff3,0x2012a000,0x07cc7a1d,0x0b900164,0x2e0b90ee,0xb5015c03,
    0x02fa81b9,0x0072607a,0x43a80d30,0x2606f445,0x400f403e,0x3bb220e8,
    0x802e4002,0xa84d801d,0x02c806be,0x40028005,0x405feeec,0x002d400e,
    0x7f776400,0x83d8000e,0xd883e06b,0xf99efddf,0xfedfc85f,0x0f40bfb4,
    0x03b00ec0,0x3076026c,0x3fe9fbdf,0x377ba605,0xdf500bfe,0x22009fd9,
    0xf901fb99,0xff31ddbb,0xfd9df50b,0x037fd409,0x37200164,0x3fff602d,
    0x205dbf51,0x40b7002c,0x4b816e4b,0x980dde98,0xdbdf75ff,0xceea803d,
    0x26003efe,0x2e009ea9,0xdd901dcd,0x3d005fdb,0x3fb7f200,0x3310bfb4,
    0x2001db53,0xbbf9001d,0x0bff31dd,0x40028074,0x00ec0002,0x9db9803a,
    0x90000009,0x21d88003,0x2673f608,0x026a06eb,0xf7006a00,0xffffffff,
    0x23fffdcd,0xfd05fff9,0xffffffff,0x0002a603,0x3000d544,0x76c00135,
    0x0153002d,0x00135300,0x3ff60153,0x04ffffff,0x40c00004,0xfffffffd,
    0xfffff84f,0x3fe4ffff,0x4fffffff,0x54c00020,0x00d44000,0x77777540,
    0x51000804,0x3fffee03,0x407fffff,0x3bae001a,0x3fee03de,0x7fffffff,
    0x000054c0,0x2aaaab20,0x04aaaaaa,0x80bfb100,0xdddd300d,0x880000bd,
    0x36000dfd,0x543eeeee,0x0002ceed,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00ca8000,0x710cc880,0x044059db,0x3ccccb80,
    0x3333332e,0x08000c00,0x00199500,0x01999930,0x3a60f764,0x100001ee,
    0x0b3bb6e1,0x0def6dc0,0x30030032,0x80019999,0xdb73001b,0x32e0059b,
    0x200bcccc,0x0cccccca,0x37997300,0x337b6e60,0x00c04402,0x4c677f5c,
    0x833332e1,0x900ccccb,0x79999999,0x0001b510,0x00b2a000,0x2a59dd95,
    0x7bdd7300,0x00660151,0x00cccc98,0x039db710,0x1accb980,0xb0001997,
    0xddd50bdd,0x400b32a7,0xa88001fd,0xa8adf99e,0x2007702e,0x261adda9,
    0x502afbaa,0x405dfffd,0x1ceffec9,0x0007aa20,0x807aaaa2,0xd9981e98,
    0x15177dc1,0x4def6640,0xb100deb9,0x43f7315b,0x200f401e,0x001eaaa8,
    0x37201fea,0x0037260a,0x19999997,0x666665c0,0x5f74400c,0xadc83cca,
    0x7c037260,0xdd00fe46,0x47dfb537,0x2a0aaeca,0x5500aeca,0x4555d955,
    0x001fdfda,0x4005bf71,0x37a05cf8,0x2ddfc98a,0xca89bdd8,0x007702ef,
    0x00f55544,0x6544e74c,0x5f74400e,0x3d533cca,0x035f3000,0x2a219b31,
    0x00d1004d,0x881fdd80,0x4003b81f,0x903c403c,0x13ae637d,0x7a884ddc,
    0x2aafaaa0,0x01e8000a,0xa87601d8,0x0eeed98d,0x7440bf20,0x3a607d05,
    0x01e806c9,0xb1000f40,0x4c03d809,0x0000001e,0xd801e400,0x5c0f4c03,
    0x095024c2,0x80950fea,0x82cc0059,0x1003d0ac,0x007f717f,0x1ec16af6,
    0x05d85f90,0x01dc0bee,0xf9803d00,0x3c80b701,0x20003d00,0x203e204b,
    0x0077004b,0x2e01ed80,0x64003b83,0xfb83c403,0x8005f100,0x9bf9703c,
    0x3d000599,0x0ec03b00,0x17200a60,0x04b85d10,0x740077cc,0x000f4001,
    0x5554b200,0x0803441a,0xf8003000,0x64c2c800,0x0001a252,0xa87b0074,
    0x2002cc04,0x003d0059,0xa8038877,0x80b90b56,0x003ae2f8,0x000ee05b,
    0x017401e8,0x000f8132,0x07c0003d,0x009704c8,0x3b001006,0x3bb64a80,
    0x03eeeeee,0xf0788079,0x4007b805,0x020f4059,0x36007a00,0x00007601,
    0x135c004c,0x005b001f,0x03d0007a,0xb12cc000,0x03b89533,0x05dfffb1,
    0x2efffea8,0x45980780,0x1dcb911c,0x22034000,0x16602540,0x3a00b300,
    0x0000e801,0x03a16a3d,0x001e82a0,0xeeeeed88,0x1e804eee,0x3e201aa0,
    0x0f400f00,0x884b8002,0x4009700f,0xffd99ee9,0x3007604e,0x4ce64c4b,
    0x07900999,0x99e98788,0xf9999999,0xbcccb980,0x6ccf405c,0x3a003fff,
    0xb00ec011,0x1eeeea83,0xa9e20000,0x20093005,0x00f4001e,0x3bbbbbb2,
    0x448391ee,0x5fd43428,0x76417a60,0x909d731b,0x43900fdd,0x2a34381a,
    0x5c01eeee,0x20254003,0x02cc0059,0x00e801e8,0x116a5b80,0x00f1000d,
    0x4ce64cc0,0x1e800999,0x0e400b20,0xddddfddb,0xfd33d05d,0x03e007ff,
    0xd125c097,0xce985ddd,0x6c13662e,0x1dc34401,0xf100f200,0xdddddf50,
    0xd83ddddd,0x5ebaabcf,0xb50f6740,0x3ee7a007,0x0ec03b01,0x007a6662,
    0x33333333,0x2e1f3333,0x970d1003,0x999bf999,0x200f4019,0xc99999ad,
    0x54481b0e,0x803e22c2,0x8807dc3d,0x03ccc42f,0x1600906c,0x803d3331,
    0xa800ace8,0x2002cc04,0x003d0059,0x0f88005b,0x000b516a,0x770000b5,
    0xd00f4000,0x988ee003,0x099999f9,0x36a2ece8,0x3e24b804,0x5f712e00,
    0x301fb013,0xd100760f,0x3c800770,0x03c43c40,0xb300dc80,0x6980ee80,
    0x401bfd00,0xb007601d,0x7fffc403,0xffffffff,0x3c00591f,0x6fe6665c,
    0x3a01cccc,0x81d84f99,0x2b61a0ea,0x361c82db,0x5f07c402,0x01e07b80,
    0x0720091a,0xd95001d8,0x012a059d,0x059800b3,0x64c403d0,0x4c80099d,
    0x0012a2d4,0x2e00012a,0x807a0003,0x20b3000f,0x203ba007,0x2e1f0079,
    0x3d725c04,0x07a02d80,0x22d10076,0x4eeeeeed,0x1e201e40,0x0fc001fc,
    0x01e80b30,0x2fd9807a,0x3f503d80,0x1a201d80,0x00f23d00,0x01e803c4,
    0x437d4f40,0x4341f981,0x0d81d99c,0x4cb6003e,0x9999999e,0x00f00f99,
    0x01b0058d,0x544000ec,0x202540dd,0x16600c59,0xff980f40,0x4c06ffff,
    0x02545a86,0xaaa82540,0x03b80aaa,0x0e807a00,0x01e09500,0x007a01e8,
    0x2e007d2e,0x3b001d94,0x00ec0ec0,0x9cc99966,0x01e40099,0x007d41e2,
    0xb100e882,0x3601e80b,0x03d7f901,0x76441db0,0x200ec01e,0x4a9e000f,
    0x3a00b300,0x0a8f4001,0x0c81e880,0x44d03224,0x3ea79006,0xeeeeeeee,
    0x900f01ee,0x03400e41,0x99000076,0x22cc04a8,0x4016601e,0x400f001e,
    0x34c5a82d,0xcb82cc00,0x3b81decc,0xd807a000,0x1e057002,0x07601e80,
    0x5c0267c0,0x076006dc,0x401d81d8,0x4003b859,0x0f10363c,0x7e440f64,
    0x37ea0f21,0x3b00f405,0x400f42a0,0xb4fedfdd,0x200ec0bf,0x4cd3001e,
    0x20077006,0x00f4001e,0x0ea05d10,0xf1664889,0x03c4b200,0x1d403c00,
    0xb325c472,0x00201d80,0xa80d31a2,0x0b300f45,0x07c007a0,0x55557cc0,
    0x01e22eca,0x16401e20,0x3a0003b8,0x7400f201,0x0f400f01,0x3ee003b0,
    0x2ecfb800,0x0ec03b00,0x212a00ec,0xd1e4003b,0x7d406a83,0x40cfedde,
    0x9efddfd8,0x03d05ff9,0x00f400ec,0x8001a8ec,0x8035401d,0x22016c3d,
    0x003d001f,0x0fa001e8,0x833721d0,0x01e81d3a,0x000fe0e8,0x883a00f0,
    0x00742ccb,0x403c8076,0x3201f879,0x09700f43,0x1e2007a0,0x666664c0,
    0x1320cedc,0x9005d040,0x8000ee05,0x003e201e,0xd003c0f5,0xb800ec03,
    0x3a297004,0x3601d802,0x16401d81,0x8f200254,0xa802e41e,0x135000ae,
    0x807a03a8,0x801e801d,0x0ec0001d,0x16e01ec0,0x03c803e6,0x3d0007a0,
    0x22013600,0x983c800d,0x3ea26406,0x00f00400,0x0f200362,0x0fd80760,
    0x41361760,0xd01741f8,0x2007a005,0x5a800059,0x36201f88,0x59003e63,
    0xe80012a0,0xd102dc01,0x3d003c03,0x0f800ec0,0x174c9700,0x81d80760,
    0xe81a201d,0x1e41c981,0x801744d7,0x1900000c,0x03b00f40,0x03b003d0,
    0x8801d800,0x00ed885e,0x04d883f7,0x0f4000c0,0x43b82e40,0x07d302e9,
    0x07640f64,0x7e440f64,0x74c00f01,0x2007d302,0x077f601d,0x9d101f73,
    0x7d427441,0x3a005d83,0x3202d801,0xf305a801,0xf709d307,0xe80ba605,
    0x3a02c981,0x4c0ed801,0xd003c02e,0x5c00ec03,0xd312e005,0x3b00ec03,
    0xdd2fffcc,0x775405db,0x3f63efec,0xdbf95fff,0x1cddc007,0x17366000,
    0x801d807a,0x001d801e,0xf7000ec0,0x3007fdbd,0x007ddbdd,0x007a0000,
    0xc825c0b7,0x00dedcde,0x4fecefa8,0x76ef7d40,0x001e00cf,0x37b737b2,
    0xc8076000,0xdfedffb9,0x3b7fa201,0x37f6203f,0x0f4004fd,0x07981ae0,
    0x7ec40b50,0x2202ffde,0xbeedcefe,0x3b3baa00,0x00f403ef,0x2dedefb8,
    0x07a00780,0x999881d8,0x097001ae,0xfffb83f3,0x02fffcc7,0x2a200198,
    0x00510001,0x00006ea0,0x17ffea04,0x7dcdfff5,0xffffffff,0x2e000b86,
    0xffffffff,0x01a9807f,0x8800a880,0xffffffff,0xfff73fff,0x8dffffff,
    0xffffffff,0x004c404f,0x0009a980,0x74402aa2,0x006fffff,0x7dc004c4,
    0xffffffff,0x0026a607,0x10009a88,0xfff00153,0x45ffffff,0xfffffffd,
    0x7ff402ef,0x2a6200ff,0x04d4c000,0x2026a200,0xfffffffb,0x054c06ff,
    0xffffff10,0x7fe41fff,0x3fffdc7f,0x3bbbbbb6,0x113fee01,0x0007ffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x66540000,0x24ccc81c,0xccccccc8,
    0x9912cccc,0x54099999,0x02cccccc,0x3333332e,0x9999100a,0x59999999,
    0x5c022a60,0x0acccccc,0x99999970,0xcb879999,0xcccccccc,0x999970cc,
    0xc9803799,0x8002cccc,0xccccccb9,0x999702cc,0x59999999,0x11e6665c,
    0x664c9999,0x2203cccc,0x04cccccc,0x93013326,0x66664479,0x991024cc,
    0x99997019,0xb107bae1,0xccca83dd,0xb80acccc,0x00bccccc,0x65419997,
    0xcccb81cc,0x3200accc,0x332e0ccc,0x6666642c,0x9971cccc,0x00179999,
    0x99999997,0x33332a19,0x24cccc81,0xcc81ccca,0x07332a4c,0xcc993332,
    0x6664c2cc,0x2005c03c,0xf9300cda,0x45bb5015,0xbfaaaae9,0x5514daaa,
    0x4c0555d7,0x01aaacda,0x2eaab72a,0xaae983fd,0xdaaabfaa,0x27eef4c4,
    0xbaaaeca8,0xcea984fc,0x6baaaaaa,0x5555fd54,0x531eaaaa,0xdd75557d,
    0x3aaaa205,0x3b62007c,0xaaaaecbc,0x99d5504c,0x4995555d,0x222acea9,
    0x2aa22eea,0x2202aaeb,0x02aaebaa,0xd807bee2,0x2eaa22dd,0x4bf32aae,
    0xa985fca8,0x3d310aeb,0xa985b310,0xffcaaacd,0x666665c2,0x859d300c,
    0xca80cea8,0x4fcbaaae,0x4c159d50,0x55541cea,0x30aaabea,0xf95559d5,
    0x555f403b,0x731faaaa,0xb550155f,0x057e4c5b,0xdb316ed4,0x45db5015,
    0x441aadc8,0x7401ecaa,0x0fffe201,0x03e207b0,0x4b83d0d3,0x16400698,
    0x6c412e00,0x20f434c4,0x80116c4b,0x20bb105a,0x741a601d,0x0760f400,
    0x47c00744,0x44e8802d,0x7c04a85a,0xd84b85a8,0x4c01b901,0x00698006,
    0x74c16be2,0x6c1a604b,0x301ed985,0x2d80760d,0x07ea0590,0xd8076000,
    0x6c416a01,0x0ec03b05,0x07600f40,0x203d0354,0xe801e85b,0x3e207b01,
    0x3e207d00,0x95005a81,0xff803d00,0x407c402f,0x1e86982d,0x0034c25c,
    0x0af33372,0x87a204b8,0x25c1e869,0x05a800d1,0x300ec0f4,0x3d003a0d,
    0x00ee01d8,0x36016ab5,0x04a85a84,0x25c2d5a6,0x402ec0ec,0x06980069,
    0x64075e20,0x41a604bb,0x06ad981c,0xd80760d3,0x2e405902,0x2b3aa000,
    0x1ceaaaaa,0x81e80b50,0x2007601d,0xb00ec01e,0x3a607a05,0x34c04b80,
    0x05b01f10,0x81740fc4,0x2e0d4469,0x4401e803,0xb8b7002b,0x83d0d305,
    0x4006984b,0xffcaaacc,0x2d404b82,0x4b83d0d3,0x0b50007c,0x201d8698,
    0xb801d038,0x0b500ec0,0x8803e2d8,0x4a85a80f,0x542d4ee0,0x13a21d83,
    0x4c0034c0,0x25de2006,0xd3025de2,0x6d660930,0x03b06983,0x202c816c,
    0x3bbbaa69,0x337b2201,0x3deccccc,0x86980b50,0x2007601d,0x500ec01e,
    0x0ba03a0b,0x00f203c4,0xa805a8d5,0x7881320e,0x00b22fd4,0x2000007a,
    0x2201f13d,0x414c1e83,0x81640069,0x4025c1fa,0x260f4147,0xb5001dc1,
    0x41d81d00,0x0681d006,0x80b601d8,0x9701e478,0xb00296a0,0x6c0296a3,
    0x4c007d11,0xd3007b36,0x22f104b8,0x025d2e0f,0x159800d3,0x3b06981f,
    0x02c816c0,0xe999896a,0x3601d801,0x3a016a01,0x03b00ec0,0x01d803d0,
    0x264040b6,0x00f80b60,0x001f13d8,0x3c035d6e,0x003b1ef6,0x1000003d,
    0xd0007b1f,0x001a6003,0x2e2e4059,0x7401e804,0x800f8801,0xb0199db9,
    0xf999ad83,0x999ae800,0x999ad807,0x25c04eb9,0x503c81a6,0x9e00d53b,
    0x6c06a9da,0x4c004f99,0xd3002fce,0x27881ff8,0x025c3a3c,0x259800d3,
    0x1d834c4c,0x81640b60,0x007602e8,0x266666b6,0x3b7301e9,0x5b076033,
    0x3d333333,0x1d803d00,0x2a006d88,0xb505a806,0x0f63e200,0x001f9b00,
    0xd0f47c1d,0x77777443,0x02eeeeef,0xdd933100,0x0f400133,0x64006980,
    0x0971a602,0xeeec83b0,0x541deeef,0xfd0d45de,0x90ffffff,0xfffffd85,
    0xffffe800,0xffffd807,0x0f401fff,0x502d80f4,0xb500dfff,0x2037ffd4,
    0x00cfcfcd,0x40019f70,0x78825469,0x0972d5a2,0x1660034c,0x1d834c3d,
    0x21640b60,0x0ec04fb9,0x7ffffec0,0xffe81fff,0x2c87ffff,0x7fffffec,
    0x01e801ff,0x7f6666ec,0x007e2002,0x0016c07c,0xf1000dd5,0xb4c76007,
    0x33303e3b,0x33335d33,0x66654000,0x2004ccdf,0x00d3001e,0x716a02c8,
    0xa983b009,0x0aaabfaa,0xe99743a6,0x2d805a82,0x2003e0ec,0x3601e20e,
    0x304e9881,0x16412e0d,0x900b35a8,0x4059ad47,0x80db11fd,0x98006ee9,
    0x5b1e2006,0xd3025c3d,0x35459800,0x540f20d3,0xffff902f,0x03b003bd,
    0x00ec03b0,0xd85b00b5,0x3a007601,0x5d566c01,0x01ec004f,0x00788790,
    0xdd8001e8,0x972c800f,0x3d0079a6,0x000dfc80,0x1e8000f4,0x2c40d300,
    0x217440b2,0xe807804b,0x8e98ee01,0xd00b503c,0x80241d81,0x0ec0240e,
    0x3ff20b60,0x707fffff,0x80096a07,0x025ffffe,0x209903b0,0x22069aec,
    0x96206985,0x2e375478,0x5881a604,0x6996c2cc,0x76441d30,0x0005902e,
    0x00ec00ec,0x402d403b,0x3b00ec0e,0x1d803d00,0x5b802744,0x971a2030,
    0x8003d000,0x7700d75b,0x0688f87a,0x7fc403d0,0x5554c03f,0x2002aabe,
    0x40d3001e,0x2e616468,0x4c04b84e,0x3601e806,0xa807e642,0x0ec34405,
    0x003a06e0,0x0b500760,0x3333333f,0x2a0b505b,0xb51a2005,0x22076020,
    0x81a6181f,0x22069868,0x70b21e26,0xd1034c09,0x98f98598,0x3fb7ee06,
    0x05909fb4,0x6c00ec00,0x5a807601,0x00ec3440,0x803d003b,0x9807d01d,
    0x3605980f,0x3a0007a1,0xd83a6001,0x23c65404,0x3d0059ac,0x401ffe80,
    0xaabeaaa9,0x4007a002,0xf91a2069,0x203bffff,0x401ec04b,0x3e12a01e,
    0x99016a04,0x82c803b0,0x01d8000e,0x5016a2cc,0x16a0ba0b,0xb512a074,
    0x203b03a0,0x1034c04b,0x3440d30d,0x812e00f1,0xb31a2069,0x201a7320,
    0x2c80f41a,0x20076000,0xa807601d,0x0ec26405,0x03d003b0,0x03f101d8,
    0x20598174,0x2000d35a,0x03d1001e,0x2d6d405d,0x74012b6a,0x8000a801,
    0x03d0001e,0x46881a60,0x025c002c,0x007a00b9,0x5037d45d,0x1d82dc0b,
    0x00741640,0x0f600ec0,0x301f005b,0x1d05a83d,0xe82d42d8,0x0f880ec0,
    0x86881a60,0x789a2069,0x34c09700,0x10598d10,0x93000d5f,0xb0001640,
    0x6c03b003,0x5b816a01,0x00ec03b0,0x807600f4,0x4c09905a,0x01e47c05,
    0x7b001e80,0x6cc07e20,0x025fc43c,0x000000e8,0x0f40007a,0x1a206980,
    0x44b80059,0x3a005da8,0x7776cc01,0x45a84fc8,0x3b00eda8,0x00e82c80,
    0xbb301d80,0x07900788,0x16a26fea,0xb503e074,0x403b03a0,0x881a603c,
    0x9a206986,0x40970078,0xb31a2069,0x80037d40,0x01642aae,0x3b003b00,
    0x8b500ec0,0x3b00eda8,0x0f400ec0,0x85d00760,0x016600e9,0x20001f79,
    0x405b801e,0x0ef880ea,0x00003ee8,0x3fff2000,0x7fc407ff,0x4c3fffff,
    0xffffffff,0xfff96fff,0x7f409fff,0x02dfffff,0xffffffe8,0x36006601,
    0xadffffff,0xfffffd80,0x22ffffff,0x1ffffffe,0x3fffff60,0x7e43dfff,
    0xfff82fff,0xfdc880ff,0xffffffff,0xf31fff90,0xffffffff,0x17ffff61,
    0x7fcd3fe6,0xffffffff,0xfffff36f,0x2dffffff,0xf83ffffc,0xff30ffff,
    0xffffffff,0x7fffecdf,0x10006e81,0x3fff2177,0xff704fff,0xffffffff,
    0x707fffd4,0xffb0dfff,0x015bffff,0x6c3ffff7,0x3fe0ffff,0x2fffffff,
    0x20bffffb,0x3ffea7f9,0x05ffffff,0xf10027cc,0x07ffffff,0xf989fffd,
    0x06f81fff,0x000005f7,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00c88000,0x0392c404,0x02011000,0x08800080,0x10000800,0x20002000,
    0x01800200,0x00000080,0x2e0bddd1,0x20202eee,0x00010000,0x4c1eec80,
    0x776c1eee,0x49ddd54e,0x5c5eeee8,0x0932eeee,0x40298075,0x3bbbaa29,
    0x17bb6201,0xa805ddd7,0x3bb22b83,0x31eeeeee,0x0000e203,0x70000a80,
    0xdddddddd,0x2a67dddd,0x1055511a,0x27754037,0x09800d44,0x36a01900,
    0xdddddddd,0x910005dd,0x3ff6607f,0x262e89cf,0xeb8001de,0x13ff25ff,
    0x677ff64c,0x3fff2201,0xfb1048cf,0x26005dff,0xffb1004f,0x2e1dc5df,
    0x3ff20dff,0x3fffaa04,0x3ff6a02e,0xdd70cacf,0xa9eed883,0x44027e64,
    0x3bd70bd9,0x3ff63dfd,0xd99ee983,0xee884eff,0x437fae2e,0xd9981e98,
    0x884fcc42,0x75cc09de,0x4edcc409,0x09d117a0,0x66dc5f44,0x26622f99,
    0x674c01e9,0x005fd440,0x20ec81f7,0xc99999ad,0xe883f30e,0x216ef544,
    0x3602cdc9,0x103b2602,0x33333333,0x3ee99333,0xd8dff13f,0xfd80efef,
    0x373ba22f,0xecec880e,0x41bae01d,0xaaaaaaa8,0x8001aaaa,0x5f700cfb,
    0x40ffae21,0x91000cfb,0x236f3223,0x09bb84d8,0x2fa60f51,0x503ff260,
    0x02f4c17f,0x7d400ec4,0x1757a60b,0x2eb913d7,0xec85d88d,0x509d731b,
    0x3f6a217f,0x3103d311,0x01e85b7b,0x3fea20e8,0x3a29dd52,0x22ece980,
    0xad9984d9,0xd8b71de8,0x13c0b601,0x401d007d,0x20ee881e,0x3fa205f8,
    0x402feb9c,0x43e8801d,0x0fe402e8,0x503b03f6,0xd11f981d,0x88ec1509,
    0x02d806c5,0x0001b151,0x45ff54b8,0x447e65ff,0x805ff84d,0x3544b84a,
    0x004c8e98,0x6f540000,0x2203a601,0x3f2205ee,0x1ff10003,0x790007c4,
    0x07dc05d0,0x01ec01f1,0x200f8800,0xb03e25ed,0x70fc41f9,0xb0be201f,
    0x3b07e205,0x1e416ec0,0x443c47f1,0x0ee2f42f,0x03cc07ec,0x3b007f99,
    0xf37816c0,0x4c12e005,0x983be206,0xd03f00df,0x1001d805,0xb00ba27d,
    0x40fec45f,0xf301f981,0x4b2009d5,0x21b9dc08,0x1b03512d,0xf34b8000,
    0xb927f43f,0x0ffcc7a8,0x42e66544,0x7441d80e,0x00000ba1,0x2007b660,
    0xf8be882e,0x0176c401,0x026c2f40,0x807b8b30,0x3e2016c6,0x02d80000,
    0x50d70fc4,0x17c9b0bf,0x40b91ee0,0x0b601d81,0x4cdd7254,0x41d86885,
    0x7405b04b,0x2003f901,0x7c0b601d,0x3e2002fa,0x7cc03c80,0x303bea0e,
    0x3b012e0d,0x0f674400,0xfe88ff60,0x803d1002,0x6e4405fa,0x75c3a204,
    0x1dfdcecf,0x5c0000d8,0x7ec1ff14,0xc8d71ae3,0xaacea85f,0x3b83445b,
    0xc87e21f4,0xffffffff,0x32206fff,0x10f1002f,0x9801ec7d,0x995101ee,
    0x733337d7,0x7999730b,0x8004c8b9,0x002d800f,0x2d800f80,0x26fe2132,
    0x3d35b999,0x33333333,0x5676c41f,0x5b00ec01,0x0e9e9a20,0x3b0d1077,
    0x403b04b8,0x4007901d,0x7c0b601d,0x32002fce,0xfb803c43,0x0ee37e47,
    0x00760344,0xfd80bf30,0x88027f45,0x7ef4402e,0x406dcc01,0xefc880e9,
    0x00006c02,0x7e47f92e,0x3aa33e22,0x0f407f43,0x3a07616a,0x07541320,
    0x11111111,0x27dc0111,0x9d11a600,0x7d4005a8,0x655f7e45,0x4eeeeeef,
    0x5d55e7ec,0x2000f45e,0x22790068,0xeeeeeeee,0x00d12eee,0xdd02d8f2,
    0x2abddddd,0xeeeeeeef,0xca981eee,0x01d80efe,0x788f80b6,0x1a207677,
    0x36097076,0x16407601,0x16c03b00,0x4013a678,0x44025c68,0x07be61fe,
    0xb012e0d3,0x6cfcc003,0x98bfa204,0x03e801ff,0x01f9a744,0x006d45a8,
    0x0d803f9b,0xbd1dc000,0x7f540fb8,0xc827c43f,0x42efda8b,0x44da8be9,
    0x0000dc04,0x1001fe40,0x2e13a21f,0x837aa004,0x803e80dc,0xd8b300dc,
    0x90078002,0x4cccccc5,0x1e099999,0x10791640,0x0078805f,0x20fd4400,
    0xd80b601d,0x03ed34ba,0x970761a2,0x01d80760,0x00ec0059,0x3d11e05b,
    0x00f8b600,0xdf10ff44,0x3f10ba01,0xd3001d80,0xfd1026c3,0xb007f443,
    0x4c4e8809,0x9925401f,0x01f36a80,0x2000006c,0x01014419,0x75c40322,
    0xb884c8ad,0x000001ce,0x17e44000,0x209b3f80,0x1ee9802d,0x00bd02d8,
    0x2e2cc03f,0x801e8004,0x1e80000e,0x21ae0e80,0x03f804fa,0x13200c40,
    0x7016c03b,0x835743d7,0x25c1d868,0x407601d8,0x40f2002c,0xd50f02fa,
    0x02d5a600,0x1dd1076c,0x36fbfe60,0x00ec03ff,0x026c0f54,0x0ee883f6,
    0x2e7705c8,0x5ed4d304,0x55b90db9,0x907c4795,0xabeaa88b,0x00000001,
    0x00000000,0x00000000,0x5007b660,0x01aa09bd,0x1dc05db1,0x88407fcc,
    0x88bb100e,0xd31d400f,0x00004c80,0x444c80d3,0x0836e40f,0x541003ea,
    0x0f21e405,0xdd3017d4,0x0d104eb8,0x3b04b83b,0x02c80ec0,0xec883a20,
    0x0ba0f02e,0x200f4f40,0x806f40ed,0x115932f8,0x200ec07d,0x017600ea,
    0x236c41db,0x0012e05b,0x262054c4,0x06209999,0x2666660a,0x00000000,
    0x00000000,0x00000000,0x201dea80,0x00fb82ff,0xd1007f91,0x1277fcc3,
    0x7d41e4bb,0x882ea85d,0x40f640ed,0x00a800ec,0x0ec81ec8,0x2ed70dc8,
    0x3d917664,0x3ea3f910,0xe886a884,0x00bbb220,0x103f889f,0x04b83b0d,
    0xc80ec03b,0x76fe4002,0x7f4bfb4f,0x0ffd45ff,0xb301bea0,0x0c405a81,
    0x7ffdc620,0x27ffffff,0x7dc7fffc,0x41e407ff,0x3ffffe2d,0x0004ffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x6c0cfb80,0xdfddfdac,
    0x0019f700,0x6cfef7cc,0x443fdfd8,0x99efddfd,0x6f74c5ff,0xf500bfed,
    0x2009fd9d,0xdf5004f9,0xfd809fd9,0x3fbb61ee,0xdbbdf503,0x7e65419f,
    0x901efede,0x3f69fdbf,0x3f200004,0xb97f62ff,0xffff70ff,0xfb5fff98,
    0x9fffffff,0x00003500,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x44000000,0x350970fc,0x0006f401,
    0x03301530,0x88001350,0x2a6001aa,0x005c0009,0x40026a60,0x20031019,
    0x98800aa8,0x035001aa,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00080000,0x00000100,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x02000000,
    0x14400200,0x82c98a20,0x88888888,0x08808888,0x3ffff218,0x227fffff,
    0xeeeeeeed,0x3eeeeeee,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x24000000,0xfd306fdc,0x1f44301d,0x3ffe2f98,
    0x3fffffa2,0xffffffff,0x3f71ba0f,0x2eeeeeea,0x4ccc3bbb,0x99999999,
    0x00009999,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xf11e4000,0x547a67ff,0x9d11721f,0x7ffc1fa8,0x2a800002,
    0x00000244,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3ffd1540,0xdd9d306a,0x0f4d3601,0x00001ecc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x540dde98,0x802b8800,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000020,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__courier_29_latin_ext_x[560]={ 0,6,3,2,2,2,3,6,7,3,0,1,3,2,
5,2,2,2,2,2,2,2,3,2,2,3,5,3,0,1,0,0,2,0,1,1,1,1,1,1,1,2,2,1,
1,0,0,0,2,1,1,2,1,1,0,0,1,1,2,0,0,0,2,0,5,1,0,2,1,1,2,1,1,2,
2,2,2,0,1,1,0,1,2,2,1,1,0,0,1,1,2,0,7,0,2,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,6,2,1,2,1,
7,1,3,0,0,0,0,2,0,-1,4,1,4,4,5,1,2,5,5,4,3,1,0,0,0,0,0,0,0,0,
0,0,0,1,1,1,1,1,2,2,2,2,-1,0,0,0,0,0,0,3,1,1,1,1,1,1,2,1,1,1,
1,1,1,1,0,2,1,1,1,1,2,2,2,2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,
0,1,0,1,0,1,1,2,1,2,1,2,1,2,1,1,-1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,0,2,2,2,2,2,2,2,2,2,2,0,0,2,2,1,2,1,1,2,1,
2,1,2,1,2,1,2,0,1,0,1,0,1,0,1,1,0,1,0,1,0,1,0,0,1,2,1,2,1,2,
2,2,2,2,2,2,2,2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,1,1,
1,2,2,2,2,2,2,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,3,3,2,3,3,3,
3,3,3,3,3,3,3,3,3,3,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,1,1,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,1,2,2,0,
1,1,1,1,1,1,1,1,1,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,0,1,0,0,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static signed short stb__courier_29_latin_ext_y[560]={ 21,4,5,4,3,5,7,5,5,5,5,7,17,13,
17,3,4,5,4,4,5,5,4,5,4,4,10,10,7,11,7,5,4,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,5,3,5,5,26,4,9,5,9,5,9,5,9,5,4,
4,5,5,9,9,9,9,9,9,9,6,10,10,10,10,10,10,5,5,5,11,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,21,10,4,5,8,6,
5,5,5,6,4,10,13,13,6,3,2,5,4,4,4,10,5,11,20,4,4,10,4,4,4,9,1,1,1,2,
2,0,6,6,1,1,1,2,1,1,1,2,6,2,1,1,1,2,2,9,5,1,1,1,2,1,6,5,4,4,
4,5,5,3,9,9,4,4,4,5,4,4,4,5,5,5,4,4,4,5,5,7,9,4,4,4,5,4,5,5,
3,6,1,4,6,9,1,4,1,4,2,5,1,4,1,5,6,5,3,6,1,4,2,5,6,9,1,4,1,4,
1,4,2,5,6,4,1,1,6,5,2,5,3,6,1,4,6,4,2,10,6,4,1,4,6,5,10,1,0,6,
5,6,5,6,5,6,5,1,4,6,9,1,4,5,6,9,3,6,1,4,1,4,6,9,1,4,6,9,1,4,
1,4,1,4,6,9,1,4,6,6,1,5,6,6,2,5,3,6,1,4,0,3,1,4,6,10,1,4,1,4,
2,1,4,2,5,1,4,5,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,6,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,6,9,4,4,4,4,4,4,4,4,4,4,4,4,4,4,9,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,4,1,4,1,
4,1,4,0,2,0,1,0,1,0,1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,-4,-1,1,4,1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static unsigned short stb__courier_29_latin_ext_w[560]={ 0,4,10,12,11,12,10,4,5,5,10,13,7,12,
5,11,11,11,11,11,11,11,11,11,11,11,5,7,13,14,13,10,11,16,13,13,14,13,14,14,14,11,13,14,
13,16,15,13,12,14,15,12,13,14,16,15,14,14,11,5,10,5,11,17,5,13,14,12,14,13,12,14,14,12,
9,13,12,16,13,13,14,14,12,11,13,13,15,15,14,14,11,6,2,6,12,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,0,4,11,13,11,14,
2,13,9,16,9,13,14,12,16,17,8,13,7,7,5,13,12,5,5,7,9,14,16,16,16,10,16,16,16,16,
16,16,16,13,13,13,13,13,11,11,11,11,15,15,13,13,13,13,13,10,14,14,14,14,14,14,12,12,13,13,
13,13,13,13,15,12,13,13,13,13,12,12,12,12,13,13,13,13,13,13,13,13,14,13,13,13,13,14,14,14,
16,13,16,13,16,14,13,12,13,12,13,12,13,12,14,15,15,14,13,13,13,13,13,13,14,13,13,13,14,14,
14,14,14,14,14,14,14,14,14,15,11,12,11,12,11,12,11,12,11,12,16,13,13,10,14,13,13,13,12,13,
12,13,12,13,12,13,12,15,13,15,13,15,13,14,13,12,13,13,13,13,13,13,16,15,15,12,15,12,15,12,
12,11,12,11,12,11,12,11,13,13,13,13,13,13,14,13,14,13,14,13,14,13,14,13,14,14,15,15,14,14,
14,11,11,11,11,11,11,12,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,15,14,14,12,14,14,14,
14,14,14,14,14,14,14,14,14,14,15,14,14,14,14,14,14,14,14,14,14,14,14,14,14,15,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,16,13,11,12,13,
13,14,13,14,13,14,13,14,13,14,13,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,16,13,16,15,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14, };
static unsigned short stb__courier_29_latin_ext_h[560]={ 0,18,8,19,21,17,15,8,20,20,10,14,8,2,
5,21,18,16,17,18,16,17,18,17,18,18,12,14,14,6,14,17,19,15,15,16,15,15,15,16,15,15,16,15,
15,15,15,16,15,18,15,16,15,16,15,15,15,15,15,20,21,20,7,3,5,13,17,13,17,13,16,17,16,17,
22,16,16,12,12,13,17,17,12,13,16,12,11,12,11,16,11,20,20,20,5,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,16,17,16,11,15,
20,18,3,16,8,11,8,2,16,2,8,16,10,10,5,16,18,4,6,10,8,11,17,17,17,17,20,20,20,19,
19,21,15,20,20,20,20,19,20,20,20,19,15,19,21,21,21,20,20,10,18,21,21,21,20,20,15,17,18,18,
18,17,17,19,13,17,18,18,18,17,17,17,17,16,17,16,18,18,18,17,17,13,14,18,18,18,17,22,21,21,
18,16,20,18,19,16,21,18,21,18,20,17,21,18,20,17,15,17,18,16,20,18,19,17,19,16,20,18,21,22,
21,22,20,21,20,22,20,20,15,16,19,16,18,15,20,17,19,21,19,11,16,22,21,22,20,21,11,20,21,20,
21,15,16,15,16,15,16,20,17,20,17,20,17,16,16,17,19,16,21,18,21,18,15,13,20,17,20,17,20,17,
21,18,21,18,20,17,21,18,21,21,20,17,15,16,20,17,19,16,21,18,22,19,21,18,19,15,20,18,20,22,
19,20,17,19,16,20,17,16,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,16,17,17,20,17,17,17,
17,17,17,17,17,17,17,17,17,17,16,13,17,17,17,17,17,17,17,17,17,17,17,17,17,18,13,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,20,18,20,17,21,
18,21,18,22,20,22,21,22,21,22,21,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,25,23,20,18,22,19,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17, };
static unsigned short stb__courier_29_latin_ext_s[560]={ 510,501,433,476,71,241,86,507,478,484,399,
487,453,115,50,222,401,347,1,257,373,254,269,336,375,363,501,502,1,493,30,
98,202,156,142,385,57,113,127,399,369,384,333,207,30,250,281,441,312,296,396,
305,16,318,424,471,456,441,412,505,157,504,481,87,69,60,197,74,321,146,455,
293,468,266,62,498,428,203,220,87,392,226,234,160,414,247,275,187,331,483,360,
206,301,169,56,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,510,506,380,
359,306,1,429,281,105,275,461,346,418,115,217,128,444,178,391,383,75,119,457,
81,44,410,471,291,407,424,363,441,136,86,28,81,98,473,190,287,448,399,316,
176,275,304,263,190,97,115,490,374,234,343,369,372,442,318,142,98,13,45,44,
135,1,483,228,488,474,162,44,435,282,335,268,394,381,448,422,292,325,493,134,
59,31,42,84,101,15,188,174,160,408,72,15,443,87,452,103,45,145,75,429,
497,415,470,192,29,360,413,226,13,353,69,349,248,241,321,131,353,66,61,329,
243,83,87,458,147,373,303,405,47,343,272,338,90,54,133,295,325,420,308,489,
347,1,318,44,203,1,162,358,128,261,315,196,287,30,267,480,236,192,222,106,
176,367,153,339,120,311,1,16,56,28,234,57,202,43,387,173,130,462,109,432,
122,413,148,183,216,209,256,330,185,388,148,333,401,60,212,72,30,248,279,13,
466,168,242,217,447,113,120,461,297,383,104,490,188,432,1,173,42,205,74,161,
262,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,146,348,348,213,
348,348,348,348,348,348,348,348,348,348,348,348,348,162,115,348,348,348,348,348,
348,348,348,348,348,348,348,348,426,172,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,255,73,
357,461,260,307,288,229,117,301,173,274,132,246,102,232,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,1,18,388,15,32,214,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348, };
static unsigned short stb__courier_29_latin_ext_t[560]={ 1,49,160,49,27,109,144,109,27,27,160,
144,160,174,174,27,70,127,109,70,127,109,70,109,70,70,144,90,160,160,160,
109,70,144,144,127,144,144,144,127,144,144,127,144,144,144,144,127,144,90,144,
127,144,127,144,144,144,144,144,27,27,1,160,174,174,160,109,160,109,160,127,
109,127,109,1,127,127,160,160,160,109,109,160,160,127,160,160,160,160,127,160,
49,27,49,174,109,109,109,109,109,109,109,109,109,109,109,109,109,109,109,109,
109,109,109,109,109,109,109,109,109,109,109,109,109,109,109,109,109,1,49,109,
127,160,144,27,70,174,127,160,160,160,174,127,174,160,127,160,160,174,127,70,
174,174,160,160,160,109,109,109,109,49,49,49,70,70,1,144,27,27,27,27,
70,27,27,27,70,144,70,1,1,27,27,27,160,70,1,27,27,49,49,144,
109,90,70,90,90,90,70,160,90,90,70,90,90,90,90,90,127,90,109,90,
90,90,109,109,160,160,90,90,90,90,1,27,1,90,109,49,90,70,127,1,
70,1,70,49,109,1,70,49,109,144,109,70,127,49,70,70,90,70,127,49,
70,27,1,1,1,49,1,49,1,49,49,144,127,70,127,70,144,49,109,49,
1,70,160,127,1,27,1,49,27,160,49,27,49,27,144,109,144,127,144,127,
49,90,49,90,49,90,127,127,109,70,127,27,90,27,70,144,160,27,109,27,
109,27,109,27,90,27,90,27,109,1,90,1,1,49,109,144,127,27,109,70,
109,27,90,1,49,27,90,49,144,27,90,27,1,49,49,109,70,127,49,109,
127,109,109,109,109,109,109,109,109,109,109,109,109,109,109,109,127,109,109,49,
109,109,109,109,109,109,109,109,109,109,109,109,109,127,160,109,109,109,109,109,
109,109,109,109,109,109,109,109,70,160,109,109,109,109,109,109,109,109,109,109,
109,109,109,109,109,109,109,109,109,109,109,109,109,109,109,109,109,109,49,90,
27,90,1,70,1,70,1,49,1,1,1,1,1,1,109,109,109,109,109,109,
109,109,109,109,109,109,109,109,109,109,109,109,109,109,109,109,109,109,109,109,
109,109,109,1,1,49,90,1,70,109,109,109,109,109,109,109,109,109,109,109,
109,109,109,109,109,109,109,109,109,109,109,109,109,109,109,109,109,109,109,109,
109,109,109,109,109,109,109,109,109,109,109,109,109,109,109,109,109,109,109,109,
109,109,109,109,109,109,109,109,109,109,109,109,109,109,109,109,109,109,109,109,
109,109,109,109,109,109,109,109,109, };
static unsigned short stb__courier_29_latin_ext_a[560]={ 246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_29_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_29_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_29_latin_ext(stb_fontchar font[STB_FONT_courier_29_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_29_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_29_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_29_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_29_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_29_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_29_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_29_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_29_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_29_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_29_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_29_latin_ext_s[i] + stb__courier_29_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_29_latin_ext_t[i] + stb__courier_29_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_29_latin_ext_x[i];
            font[i].y0 = stb__courier_29_latin_ext_y[i];
            font[i].x1 = stb__courier_29_latin_ext_x[i] + stb__courier_29_latin_ext_w[i];
            font[i].y1 = stb__courier_29_latin_ext_y[i] + stb__courier_29_latin_ext_h[i];
            font[i].advance_int = (stb__courier_29_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_29_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_29_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_29_latin_ext_s[i] + stb__courier_29_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_29_latin_ext_t[i] + stb__courier_29_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_29_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_29_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_29_latin_ext_x[i] + stb__courier_29_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_29_latin_ext_y[i] + stb__courier_29_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_29_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_29_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_29_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_29_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_29_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_29_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_29_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_29_latin_ext_LINE_SPACING
#endif

