// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_30_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_30_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_30_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_courier_30_latin_ext_BITMAP_HEIGHT        198
#define STB_FONT_courier_30_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_courier_30_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_30_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_30_latin_ext_LINE_SPACING          14

static unsigned int stb__courier_30_latin_ext_pixels[]={
    0x00000000,0x00007100,0x40004000,0x000b8001,0x0a600014,0x44000000,
    0x006a002e,0x764005c0,0x003eeeee,0x20080022,0x8001a800,0x0d400000,
    0x00e20b80,0x30000110,0x33001000,0x0e000001,0x01000200,0x20000002,
    0x804002d8,0x90008000,0x00000e20,0x98002000,0x1ae0002e,0x8013a200,
    0x40002dda,0x0164006c,0xd0007640,0x1f440009,0xe985f100,0x007f1001,
    0x32000372,0x9998800e,0xd3000999,0x1176003f,0x07f3009b,0x3a617c40,
    0x00764001,0x02e99ea8,0x0007be60,0xb1000ec8,0x3774c05f,0x17a20000,
    0x2009f900,0x00fcc2f8,0x74c00095,0x0d1004ec,0x5fb800b2,0x03d83c80,
    0x2000df10,0x803c80fa,0x320003f9,0x1fcc000e,0x002cb100,0x44001db0,
    0x3d70000e,0x00376200,0x80526c50,0x005f74f9,0x36281fc4,0x6ec400a4,
    0x33013000,0x7f35f700,0x3a63b600,0x013a6004,0x05f74e98,0x8800ed80,
    0x0261dd31,0x07f53f70,0x2001db00,0x404e9ce9,0x26000069,0x37a2004e,
    0xe9800dd8,0x5a803f74,0x225f5000,0x44d800ed,0x3db1006a,0x6fc403d9,
    0x26007dba,0x7dc000ff,0xfa807901,0x03760002,0x8005f300,0x10003239,
    0xbf7000bb,0x007d4000,0x2a001d90,0x00fdc62f,0x0003bf62,0x5c32fa80,
    0x004e801f,0x203742fc,0x013a20ec,0x40017fdc,0x7ec004e8,0x02ec000e,
    0x13e04fb0,0x13a20ec8,0x2a005e80,0x981b622f,0x7f100006,0x321fc400,
    0xefd8800f,0x0005a800,0x1005703b,0x005bfbfb,0x803f513a,0x98002cda,
    0x00764001,0x001c8079,0x440012a0,0xbad80200,0x00398005,0x80005b30,
    0x000a8000,0x5001440a,0x40a00000,0x00030028,0x18033013,0x00980060,
    0x14000400,0x44001800,0x01802a01,0x40028006,0x34c03008,0x80030000,
    0x28003018,0x99db9880,0x00001999,0x80015100,0x00001101,0x0d880000,
    0x32a01e40,0x05710001,0xb8155100,0x00015405,0x20000000,0x5b1001a9,
    0x99880da8,0x81999809,0x806d42d8,0x09999999,0x33013331,0x01a98033,
    0x4c04ccc4,0x0d4c0199,0x20266620,0x26621999,0x01999809,0x26200d4c,
    0x19998099,0x26026662,0x26662199,0x88199980,0x0006d42d,0x69801353,
    0x0002aea2,0x55000355,0x03550003,0xffffffe8,0x5cc01fff,0x0026621b,
    0x4c001353,0x00999999,0x99886ee6,0x44377300,0x4cccc099,0xac80f200,
    0xad8000d8,0xbfd1005a,0x21f31dfb,0x99809998,0x80ccc419,0x2e600998,
    0x2026621b,0x04eecefa,0x03f227c4,0xb8bffff6,0x7c45ffff,0x7d407e44,
    0xb4ffffff,0x7dc5ffff,0xefa85fff,0xffb04eec,0x7ffdc5ff,0xecefa85f,
    0xffffb04e,0xaffffdc5,0x2e2ffffd,0xfa85ffff,0xfb04eece,0x7fdc5fff,
    0xffffb5ff,0xaffffdc5,0x2e2ffffd,0x7c45ffff,0x22007e44,0xadfecefd,
    0x9bf96986,0xfd980bdb,0x059bffdd,0x7ffbbfb3,0x37f660b3,0x5059bffd,
    0x9dd1000b,0x9ff53fb9,0xfd9dfb10,0x7fec0d5b,0x42ffffff,0x9fdccee8,
    0x77444ffa,0xffa9fdcc,0x0ffbba64,0x399603c8,0x0191cc00,0xffb82fa8,
    0x8bffff62,0x3a5ffffb,0x7f441fff,0x677440ef,0x4ffa9fdc,0x02ec0764,
    0x0b300402,0x040203d0,0x0b325c00,0x01d903d0,0x201660bb,0xd80ec81e,
    0x3d00b305,0x81e80598,0x305d80ec,0x5983d00b,0x02cc1e80,0x010080f4,
    0x5c40be88,0x0dde986f,0x85d305c8,0xe986eea8,0x43775442,0x775442e9,
    0x8800b506,0x04de983f,0xfb8817d1,0x88074006,0x84de983f,0x4de983f8,
    0x0f203c80,0x800391c8,0xf880b158,0xb303fa01,0x07b03d00,0x83f886a8,
    0x0eb84de9,0x00000f20,0x003d00b3,0x4c970000,0x75c1e805,0x1660f200,
    0x01d707a0,0x402cc1e4,0x7402cc1e,0x790075c1,0x83d00b30,0x4c1e8059,
    0x0001e805,0xdb013a20,0x4c80bf30,0xdf100f44,0x3e201e88,0xf100f446,
    0xb0016a0d,0x4427cc09,0x0036c04e,0x3026c03a,0x4c09b09f,0x203c804f,
    0x0b72203c,0x00eed400,0x4cdc8136,0x40f402cc,0x6c174069,0xf113e604,
    0x4c43f003,0x80998809,0x221e8059,0x09988099,0x05992e00,0x007e21e8,
    0xd00b307e,0x7c00fc43,0x0f402cc1,0x887a0166,0x4c1f801f,0x2cc1e805,
    0x01660f40,0x8099887a,0x05c80998,0x01f98388,0x201323c4,0x5402645a,
    0x2d402645,0x1e2005a8,0x01721360,0x01d000e2,0x889b00f1,0xc804d807,
    0x2620f203,0x00000999,0xea807c40,0x01660f88,0x981ec07a,0x4d807886,
    0x24b802dc,0xffe83ffc,0x1e805985,0x3fa0fff2,0x992e005f,0x16e1e805,
    0x016625c0,0x7005b87a,0x1e805989,0x70f402cc,0xb312e00b,0x05983d00,
    0x402cc1e8,0x20fff21e,0x01e85ffe,0x7401e600,0x204003a1,0x0e81000e,
    0x016a0100,0x84b80698,0xd000001e,0x9700d301,0x04b80698,0x30f203c8,
    0x01ffffff,0x00aba880,0xb0fcc16a,0x0f402cc3,0x305b0698,0x2d89700d,
    0x0790d100,0x402cc2d4,0x2a03c81e,0x5992e005,0x00b61e80,0x20166344,
    0x4400b61e,0x0f402cc6,0xd87a0166,0x598d1002,0x02cc1e80,0x201660f4,
    0x2a03c81e,0x20003c45,0x223d0079,0x00d10006,0x20001a20,0x0166005a,
    0x000f112e,0x2cc07400,0x016625c0,0x80f2012e,0x1ede403c,0xdcdffb80,
    0x884b80df,0x0b31e42e,0x21ec03d0,0x700b3069,0x1e001e89,0x985a80f2,
    0x3c81e805,0x4b8016a0,0xe87a0166,0x0b31e001,0x000f43d0,0x1e80598f,
    0xd0f402cc,0x1663c003,0x00b307a0,0xe805983d,0x16a03c81,0xf98000b3,
    0x0b50f800,0x40016a00,0x5a80005a,0x3201e200,0x00002cc4,0x00f101d0,
    0xc8078899,0x3203c804,0x034c7c03,0x90790198,0x47709b07,0x201e8059,
    0x78816c69,0x007c4c80,0x203c81d0,0xe805985a,0x16a03c81,0x01664b80,
    0x2000f87a,0x3a01660e,0x0e8003e1,0x307a0166,0x07c3d00b,0x02cc1d00,
    0x201660f4,0x7402cc1e,0x16a03c81,0xf98000b5,0x0b52dc04,0x40016a00,
    0x6980005a,0xf301ec00,0x00005a89,0x01ec03a0,0x407b09f3,0x03c804f9,
    0x3a5a80f2,0x07c40001,0x320b712e,0x07a01662,0xb01a65b0,0x3a27cc07,
    0x0f21e001,0x805985a8,0x2a03c81e,0x5992e005,0x007a1e80,0x7402cc78,
    0x478007a1,0x4c1e8059,0x07a1e805,0x402cc780,0x7402cc1e,0x0f402cc1,
    0xa8b501e4,0xbdddd505,0x703ee987,0x8002d41f,0x0b50005a,0x220f6000,
    0x4417c45b,0xa82d44de,0x153deeee,0x5f100e80,0xf109bd10,0x009bd105,
    0xb01e4079,0x40002645,0x1f52d40f,0x805987a0,0x3db4c01e,0x74417c40,
    0x88016c4d,0x16a03c86,0x207a0166,0x8016a03c,0x3a01664b,0x34400b61,
    0xd87a0166,0x598d1002,0x02cc1e80,0x2005b0f4,0x7402cc68,0x0f402cc1,
    0x207a0166,0xd116a03c,0x3aeaaa20,0x676c74c2,0x3cc1edba,0x00079800,
    0x260000f3,0x0cfeedfd,0xfcbbde98,0x883444aa,0x3b2ebaaa,0x3a600e80,
    0x4aafcbbd,0xf977bd30,0x07900955,0x20f881e4,0xdd950078,0xf881f9bd,
    0x1f101f88,0x00f402cc,0xe980366c,0x4aafcbbd,0x84b8025c,0x2216a03c,
    0x3c80f807,0x4b8016a0,0xb83e01e2,0x78897004,0x012e0f80,0x201e225c,
    0x7c03c40f,0x25c012e0,0x103e01e2,0x7881f00f,0x03c80f80,0x2003e16a,
    0x2e669869,0x003e02cc,0xf80007c0,0x2a200000,0x5995000a,0x003e12a1,
    0x7c01d9a6,0x0acca800,0xacca8095,0x07900950,0xe84b81e4,0x4d5f7402,
    0xcc80fb99,0xf113203e,0xf3001f00,0xacca8007,0x01f88950,0x01e40fc4,
    0x980ba0b5,0x2d407907,0x02e89700,0x803f11e6,0x202e81f8,0x200fc479,
    0x202e81f8,0x4c05d079,0x2200fc47,0x2602e81f,0x3cc05d07,0x41e602e8,
    0x3616a03c,0x69869804,0x200b7000,0x41802dc1,0x7003005b,0x12a00007,
    0xd9a60136,0x0001e201,0x12a00095,0x03c80f20,0x6c0b503d,0x7c407c05,
    0x3a03ea05,0x4c01e602,0x12a00007,0x03c803aa,0x417a6095,0x5413605c,
    0x400bd304,0x9b02e43d,0x1e401d50,0x213605c8,0x40f200ea,0x6413605c,
    0x3aa13605,0x2e40f200,0x817209b0,0x6c0b904d,0x3a609504,0x4c01f885,
    0x20006986,0x207dc03e,0x207dc03e,0x007dc03e,0x00001ff1,0x803f1079,
    0x5c80f669,0x001e4000,0x03c803c8,0x267e20f2,0xf00f9999,0xeb80f803,
    0x901fb83f,0xd8026c0b,0x0f200003,0x17620f64,0x6fd443f0,0xd83bd105,
    0xf510fc06,0x07e200bb,0x06d83bd1,0x0bb107b2,0x1b60ef44,0x2ec41ec8,
    0x6d83bd10,0xdb077a20,0x3620f640,0xb077a205,0x20ef440d,0x077a206d,
    0x221f80db,0x9f305dfa,0x1a61b220,0x40de8800,0xde881ec8,0x440f6440,
    0x0f6440de,0x40002d40,0x09f301f9,0x0ce99b22,0x300007dc,0x3f30003f,
    0x1e407900,0x7fffffdc,0x401d03ff,0x447cc0fc,0x00dfddfe,0x0db077a2,
    0x80001e60,0x3fea01f9,0xfb803eed,0xffa8efed,0xfeefd881,0x76fdc00d,
    0x21ffa8ef,0x209d7119,0x0dfeefd8,0x776ffd40,0xeefd8803,0x7fd400df,
    0xd8803eed,0x400dfeef,0x0dfeefd8,0x776ffd40,0xeefd8803,0x7ec400df,
    0x4400dfee,0x00dfeefd,0x477f6fdc,0xfd881ffa,0x81cfedde,0x64400069,
    0x404fedef,0x4fedefc8,0x76f7e440,0x00b2004f,0x0fae2310,0xdbbdfb10,
    0xbdf9039f,0x8c4001bf,0x18803eb8,0x32007d71,0x03a02203,0x81b70698,
    0x0f40fde9,0x440026a2,0x00dfeefd,0x220007b0,0x2007d711,0x998000a8,
    0x0a988000,0x2004cc00,0x02dffffb,0x4000a988,0x988000a8,0x0544000a,
    0x0054c400,0x0002a620,0x31000151,0xa9880015,0x054c4000,0x00026600,
    0xf980d54c,0x000fffff,0x20006a60,0xa98001a9,0x40028001,0x02dffffa,
    0x800d54c0,0x7d4000a9,0xa802dfff,0x702dffff,0xffffffff,0x034c05ff,
    0xdefc80f4,0x03fff2ff,0x2a620000,0x7ffff400,0x3ea003ff,0x0002dfff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xc8000000,0x4c04b803,0x0000000a,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x800f8000,
    0x00000078,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfc800000,0xffc84fff,0x000004ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x26000000,0x36000999,0xb1004d83,0x0e1c0003,0x26666666,0x08019999,
    0x4c076200,0x1c000009,0x00008020,0x05114400,0x00001004,0x02000100,
    0x00040008,0x20000144,0x40700028,0x10040200,0x02020080,0x26258800,
    0x44009999,0x55300999,0xb3132003,0x10001b03,0x4c000301,0x40666602,
    0x4c080000,0x00099999,0x40402008,0x003feee9,0x2017a13e,0x8003fcf9,
    0xff11766c,0xffffffff,0x0ff440ff,0x21fe7d40,0x00005eea,0x81e80bd1,
    0x3213a05a,0xf13e8804,0x1dc07c05,0x00b909b0,0xd0007ba6,0x2003e889,
    0xf9001ee9,0x0016a5fd,0x22001fcc,0xb117605d,0x9b117609,0x85a81e80,
    0x2990001f,0xfffffff9,0x0ffbb601,0x5dfbbfd5,0x3ea37c0d,0xe8003c82,
    0x4001fd47,0x3bbe01fa,0x261fc41e,0xb1fc802e,0xffffffff,0x207a0019,
    0xc807905a,0x3a13e003,0xd88fdc05,0x21d9000d,0x3c87885c,0xf37f5078,
    0xe88f6407,0x80005a85,0x0ea804e8,0xed8807a2,0xe8805e88,0xdb807d13,
    0xd8803e60,0x800de88e,0x002faafb,0x0fe63762,0x2faafb80,0xffb30c80,
    0x05f50005,0xd804e880,0x6c04e98e,0xa804e98e,0x3207a20e,0x00f88006,
    0x98f2000f,0x1bee20af,0x1e601008,0x3910ee00,0x401eb800,0xba74c00f,
    0x905a802f,0x001fb505,0x80f441d5,0x001e403c,0xb80d8000,0xd70eb802,
    0x0790f101,0x6c43d70f,0x0c80c885,0x220002d4,0x3bf2003f,0xff7003ee,
    0x3e93a007,0xeeefd880,0x07ff7002,0x4e983b20,0x00ffdc00,0x274c1d90,
    0xa8000400,0x1fc4001f,0x005ff700,0xc800bfee,0xf303eeef,0x204b8005,
    0x6c790007,0x0001b604,0x000007b0,0x2003b200,0x1dfb000f,0x1640b600,
    0x3f200d90,0x0f203eee,0x00000790,0x82600000,0x790f1009,0x060130f0,
    0x0016a000,0x0cc00060,0x3000cc00,0x00a80018,0x06001980,0x00980018,
    0x310300c0,0x33330133,0x40002200,0x00098001,0x1980004c,0x7c005d80,
    0x64001e01,0x468803e3,0x33101998,0x30006981,0x00200035,0x00a000f8,
    0x80b203d0,0x066000f8,0x07900f20,0x26099998,0x4cc41999,0x44133101,
    0x99980999,0x20f21e21,0x806aa607,0x09999999,0x4ccc45a8,0x80d54c00,
    0x99809998,0x06aa6019,0x8001a980,0x998801a9,0x40999999,0x98809998,
    0x33310099,0x06660013,0x3ff61998,0x3ffee2ff,0x3333305f,0x88333333,
    0x99999999,0x4ccccc40,0x26660999,0x99999999,0x4cccccc1,0xfa819999,
    0x780b7000,0x0f479000,0x07fffa00,0xe81dffd1,0x33bea002,0x998804ee,
    0x00f80099,0x01333333,0x02c80f40,0x3331007c,0x80790013,0x3ffe603c,
    0xfffff33f,0x20ffff41,0xfb0effe8,0x7fdc5fff,0x0f20a5ff,0x377faa0a,
    0x3fe66aef,0xa84fffff,0x837ffec5,0xaefddfea,0x8bffff66,0x545ffffb,
    0x6aefddfe,0x9dd9df50,0xdd9df500,0x7fffec09,0x3ea4ffff,0xffe86fff,
    0x7ffcc1ff,0x7dc00fff,0xfffd83ff,0x07a01662,0x7fffffec,0x360fffff,
    0xffffffff,0x7fffff44,0xfff15fff,0xffffffff,0x7ffffecf,0x81ffffff,
    0x803d003f,0x5c790007,0x01ec000e,0x803541aa,0x205d80ec,0x0ffffff9,
    0x7fec07c0,0x0cffffff,0x02c80f40,0xfff98132,0x1e400fff,0x3b800f20,
    0x807b03a0,0xe805986a,0x9803c801,0x1bee20af,0x22d425c0,0x2be602fa,
    0xb31bee20,0xaf983d00,0x321bee20,0x3205d80e,0x5b05d80e,0x016a1ec0,
    0xdbc800e8,0x201e8803,0xe805986a,0xf079e401,0x07b016c1,0x90f103c8,
    0x80590f07,0xa806e81e,0x90007806,0x01bcfb87,0x01740698,0x00eb805d,
    0x6de400f2,0x59007c03,0x7401fb50,0xd9885901,0x36f2000d,0x3201e403,
    0xe80ee003,0x0ba034c0,0x007a0166,0x813600f2,0x5097006d,0x3600f5cb,
    0x0b31b604,0x204d83d0,0x90075c6d,0x6401d707,0x0d702d83,0x803c00d3,
    0xd500698f,0x16607e20,0x21d007a0,0x816c1f07,0x103c806b,0x90f0790f,
    0x7d81e805,0x07802e80,0x95107900,0x1ec05bfd,0x02d40698,0x03f003f1,
    0xf80d31f0,0x6c80b200,0x776407e0,0x8002efee,0x0d40698f,0x3b800f20,
    0x40f603a0,0xd00b3069,0xf0079003,0xb8034401,0x01db5a84,0x234401f0,
    0x7c1e8059,0x1f89a200,0x07e21f80,0x105b07e0,0x9b0f101f,0x25a80788,
    0xb099001e,0x3a016609,0xf079a201,0x07c416c1,0x87881e40,0x02c8783c,
    0x007dc0ec,0x001e00d5,0x754401e4,0x0b60d303,0x02dc07a0,0xd2d404b8,
    0x59007c03,0x3dc07c40,0xdb333790,0x3a5a8001,0x01e40001,0x40740770,
    0x2605b069,0xc801e805,0x0001e803,0xfdd50970,0x0007a001,0xe83d00b3,
    0x4016e001,0x5c016e4b,0x01740dc4,0x307f4c1f,0x2645b00d,0x1aa1f880,
    0x01e80598,0xb870792e,0x79002e81,0x20f21e20,0x02042c87,0x05d00fd4,
    0x905901e0,0x807c4007,0xb8034c3d,0x22005b05,0x09916c06,0x8059007c,
    0x9017f40f,0x4003f705,0x0001322d,0x01dc0079,0xd30f601d,0x0f402cc0,
    0x75c01e40,0x84b80000,0x7005cbfa,0x02cc001d,0x003ae0f4,0x2688016c,
    0x00d1002d,0x320e80b9,0x1016a2dc,0x5003c41f,0x59807a2d,0x8b601e80,
    0x5c800327,0x8280f200,0x42c8283c,0x00fb802c,0x203c00d3,0x0133c82d,
    0xb1a605b0,0x203e2005,0x881e001e,0x0f81e20f,0x84c80b20,0x40b206c8,
    0x0f8800ea,0x790001e2,0x1d01dc00,0x405b1a60,0x801e8059,0x79f7003c,
    0x212e0003,0x5c01725a,0x2cc01bcf,0x67dc0f40,0x8007a01b,0x078007a7,
    0x876007cc,0x012a4b9e,0x4005d097,0x2cc04ccd,0x41f00f40,0x3001faaf,
    0x01e4001f,0x66400f20,0xc802eaaa,0x7800f607,0xc9e416c0,0x3602e804,
    0x4c800d32,0x03a000f8,0xf817425c,0xb310b200,0xc807c01b,0x2e017202,
    0x01302e84,0x0ee003c8,0x4cb600e8,0x7402cc06,0x2003c801,0x02dfeca8,
    0xb16a12e0,0x3b2a200b,0x805982df,0xfd95101e,0x2000f85b,0x74001f0e,
    0x9003d100,0x773c5e25,0x05a81e80,0x2601be20,0xd301e805,0x801fccf8,
    0x1e4001e8,0x6400f200,0x802ecccd,0x001f306d,0x320b603c,0x7d403f93,
    0x01eda600,0x03d03e20,0x503d03c0,0xec803e0b,0x802efeee,0xe805901e,
    0x2d40f401,0x01e403c8,0x00740770,0xb300f6d3,0x79003d00,0x1f544000,
    0x85a84b80,0xea88005d,0x0f402cc3,0x3a3ea880,0x01e9e001,0x004d81e0,
    0x91e96a77,0x4ccfc405,0x2000f999,0x8059803c,0x3339701e,0x26c0074f,
    0x2001e400,0xd859003c,0x7904f802,0x16c07800,0x0aeec9e4,0x3600fae2,
    0x8990006c,0x20d1002d,0x999999f8,0x3200f80f,0x00ed999b,0x805901e8,
    0x267e206a,0xc80f9999,0x7001e403,0x36007407,0x8059806c,0xfffff01e,
    0x22000dff,0xa84b800f,0x2000bb05,0x201660f8,0x87c4001e,0x6cd1002d,
    0x2a0d1002,0x32970506,0x700ecf23,0xffffffff,0x401e4007,0xd00f8078,
    0x800fffff,0x3c80506a,0xc801e400,0x3e600542,0x4c00f880,0xffffffff,
    0x3c82ffff,0xfddff557,0x0fe6005f,0x9707c400,0x7dc12e00,0x3fffffff,
    0x20b200f8,0x20f401fb,0x207ffffd,0xfffb83fd,0xc83fffff,0x3ffffee3,
    0xf92fffff,0x9fffffff,0x0fe60074,0x03e01e20,0x4004c000,0x2a4b802d,
    0xfffd85ff,0x8b600267,0x260f8078,0x0972d800,0x004b92e0,0x203f1097,
    0x20fad41e,0x07403d69,0x1e400d30,0x1e602e80,0x8103c3c4,0x403d01f8,
    0x01e4003c,0x22c402c8,0x0009906d,0x881e4000,0x3cc001cc,0xf88f6000,
    0xe80fc401,0x03e1a600,0x01d502c8,0x000000f4,0x6434c01d,0x40000003,
    0x003cc00e,0x803cc05d,0x4026403b,0x004b802e,0x5d009900,0x91e602e8,
    0x3e25d009,0xf10fc401,0xe81f8803,0x3d307a03,0x201f1f0d,0x001e8069,
    0x81720079,0x0f0b504d,0x7407d12a,0x9000f201,0x300b2007,0x7c417c4d,
    0x02ea0000,0x19501e40,0x0003d800,0x803aa3cc,0xd00d303c,0x0b200f83,
    0x007605c8,0x698005dc,0x01e41e80,0x200002ee,0x003d8078,0x804d8172,
    0x3f200ff8,0x2003ea01,0x005d403d,0x0fa807f2,0xc89b02e4,0xa83ea01f,
    0x2a0f200e,0x2e0f200e,0x3e20f405,0x207ad84b,0x004b803c,0x37a20079,
    0x079036c1,0x05b92a0f,0x007900f4,0x059003c8,0x5c1b2698,0x05b80005,
    0x2cc40790,0x0000f300,0x883d90b6,0x200f205d,0x59007c4b,0x09501e80,
    0x3c801e40,0x01e44b80,0x640001e4,0x2003cc05,0x036c1de8,0xeec80b50,
    0x00fae20a,0x16e007e2,0x4415dd90,0x1de883eb,0x5776436c,0x320fae20,
    0x902ec41e,0x885d883d,0x7c0f400f,0x206eb82e,0x0078800f,0x7ec40079,
    0x3a00dfee,0x22950780,0x900f400f,0x003c8007,0x3e698059,0x40003d01,
    0x3b203ccc,0xcce883fe,0x000f6003,0x7fd434c0,0x07c03eed,0x3bbe3c40,
    0x2a01641d,0xc807ba06,0x01f002db,0x203c8f10,0x44002dbc,0xd803fb31,
    0xefd88003,0x32000dfe,0x7fd55c02,0x1982ffee,0xcc809f71,0x7d55c03c,
    0x202ffeef,0x0dfeefd8,0xeeffaab8,0x3fea02ff,0xfa803eed,0xf303eedf,
    0xffffffff,0x101fd03f,0xffff90bf,0x9ffff909,0xfffffff0,0x02a6200d,
    0xf8afffc8,0xffffffff,0xffffff34,0x7f43ffff,0x6fffffff,0xfffffff8,
    0xfffffd86,0x26ffffff,0x20000201,0x5554c009,0xfd002600,0x007fffff,
    0x05440100,0x13ffff20,0x553ffff2,0xfffb0aaa,0x81fec0ff,0x00262009,
    0x213ffff2,0x114ffffc,0x20004c40,0x80defff9,0x3ffffffe,0x00a98800,
    0xa8800280,0xffff501a,0x00260039,0x8006aa20,0x22000a98,0x2a2001aa,
    0x00a88000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x000cc000,0x20000026,0x00044000,
    0x220026a6,0x00100003,0x81880022,0x02e20009,0x40020080,0x01988003,
    0x28006666,0x000cc000,0x00800022,0x80203800,0x001ca800,0x88006aa0,
    0x0088002e,0x20002008,0x22002003,0x80e0000b,0x4c409999,0x001c4019,
    0x2aaaaaa6,0x04c0c401,0x005e4c00,0x04ccc055,0x2000cccc,0x1e4001fa,
    0x511ff540,0xf3003db0,0xefd8803d,0x206adfec,0x1eb800dd,0x774c03dc,
    0x4c1fb001,0x17f6004f,0x2e40dc80,0x3000dd80,0xff507fff,0x0db00bff,
    0x000fd400,0x98009ff5,0xd10002fe,0x2d40f409,0x00362b20,0xffddfd98,
    0x0fe2059b,0x803df300,0x002e40dc,0x07c40176,0x20017f60,0xfffb05d8,
    0x3fffe8ff,0xb8006ec0,0x03cccccc,0x09f307ec,0x1e5f74c0,0xfc80ff98,
    0x3fe61fff,0x3f7003ff,0x01dd8800,0x33f26ba2,0xb80d503f,0xd103fa9f,
    0x06fb8817,0x7dc00764,0x5400ed8a,0xa803faaf,0x2e002c84,0x4f64002f,
    0x764005e8,0x03fe6000,0x2f4401e8,0x003d9000,0x3f627ba6,0xe9afa802,
    0x01f4c004,0x01e883aa,0x2600732c,0x3775442e,0x5c007f10,0x6403fa9f,
    0x000de89e,0x2ec00bd1,0x2001fdc0,0x02c804e8,0x76400372,0x54000000,
    0x36002c84,0x40dd1002,0x001e8059,0x644001d9,0x02eefddf,0x07401b88,
    0x13a20ec8,0x06d809d1,0xe9800fb8,0x21ec804f,0x000004e8,0xffa80000,
    0x01f70003,0xe816fa60,0x0013a201,0x2e000ec8,0x75c05982,0x4401b621,
    0xddf9002f,0x3239007d,0x201e8801,0x200006f8,0x013a20ec,0x44007ff5,
    0x07e6004e,0x1fc40000,0x0bb02c80,0x3101f700,0x33330133,0x3c400000,
    0x01660000,0x000c007a,0x0bea066c,0x3d001a98,0x2e418060,0x01801c40,
    0x00c00a20,0x01333103,0x53003333,0x03100013,0x26001800,0x807a03d6,
    0x00c00018,0x00009988,0x02001802,0x88006600,0x099002dc,0x40000b50,
    0x06200601,0xd9000600,0x0006aa00,0x22164003,0x4060004e,0x2e2ffffd,
    0x2665ffff,0x70066601,0x99998809,0x16609999,0x4ccc07a0,0xf1000999,
    0x77d40e40,0x0f404eec,0x4cccccc4,0x0007a099,0x4cccccc4,0x26666099,
    0x41999999,0x99981998,0x8bffff60,0x885ffffb,0xadfecefd,0x3300cc46,
    0x26662033,0x55a60009,0x19983d06,0x33106660,0xd70cccc0,0x4c40005f,
    0x31000999,0x13333333,0x4cccccc4,0x99988099,0x001d0009,0x02666202,
    0x33333330,0x4cc43333,0x98800999,0x88009999,0x37f6603f,0x4c59bffd,
    0x99999999,0x3a22c819,0x99999803,0x4c199999,0x3ee1e805,0xfffd83ff,
    0xfd00f202,0xbfffffff,0x40f402cc,0xfffffffd,0x016a00cf,0x0bb01d90,
    0x7fff40f4,0xf15fffff,0x7fff4000,0xfb5fffff,0xffffffff,0x7fff43ff,
    0x31fffea3,0xd103d00b,0x26fb8817,0xfa83fff9,0x7fcc5fff,0x3000ffff,
    0x70f41ecd,0xffb07fff,0x0fffe65f,0xb17fffea,0x3fe60005,0xe800ffff,
    0xffffffff,0x3fffffa5,0x7fcc5fff,0x4400ffff,0x3fe20006,0x3ff603ff,
    0xffffffff,0xfffffb1f,0xff303bff,0x803fffff,0x85d300fb,0x3f66eea8,
    0xffffffff,0xf99641ff,0xffffd802,0x1fffffff,0x107a0166,0x4035403d,
    0x01e4003c,0x403d00b3,0x00fda82c,0x075c007e,0x007a0790,0x002cc0f2,
    0x2c807900,0x80b20f40,0xe805985a,0x36027441,0x200ff986,0x3dbc801e,
    0x07c4d300,0x403d107a,0x01ff306a,0x0016c0f4,0x003dbc80,0x0f2003c8,
    0x807b7900,0x3200005a,0x7402c803,0x3ea216a1,0x36003c03,0x4403d106,
    0x7402c86f,0x077cd641,0x1e805900,0x207a0166,0x203f106a,0x5ffffffd,
    0x16603c80,0x02c807a0,0xadfb81b2,0xf003f100,0x79005b03,0x800016a0,
    0x2016403c,0xb501641e,0x83d00b30,0x9838805c,0x007a05be,0x4c01a63e,
    0x207a2646,0x203f106a,0x07a05be9,0x7c0000b6,0x3c800698,0xf000f200,
    0x05a80d31,0x200f2000,0xb50f402c,0x0f00f440,0x09905f80,0x80590b50,
    0x6d7ee41e,0x8059003f,0x3a01661e,0x09b09901,0x79000f20,0x0f402cc0,
    0x07c40590,0x19dfb710,0x84b802dc,0x81e400db,0xdddd505a,0x201e407b,
    0x320ec02c,0x16616a02,0x003d07a0,0xd01eb4c0,0x07a5a803,0xe87a1a60,
    0x09b09901,0x3d01eb4c,0x2b2a25b0,0x1e96a000,0x9001e400,0x3d2d4007,
    0x00002d40,0x80590079,0xd5016a1d,0x13e003c0,0xc8080074,0x3b20ec02,
    0x3200bea0,0x0b30ec02,0x87e203d0,0x00f2006a,0x02cc0790,0x805900f4,
    0x3b26000f,0x1a2005b1,0x07900ff4,0x555441a2,0x00f202eb,0x64040859,
    0x16616a02,0x007887a0,0xd06ab4c0,0x1322d803,0xe9aa1a60,0x3543f101,
    0xe8355a60,0xcdebad81,0x45b002fe,0x01e4004c,0x16c00790,0x003cc099,
    0x59007900,0x016a0408,0x1003c0b6,0x000d107f,0x202042c8,0x400f982c,
    0xb302042c,0xb5403d00,0x0f2001e8,0x2cc07900,0x05900f40,0x4b800264,
    0x543c003d,0xf01e401e,0xc80d3001,0x0b216403,0x42d40590,0x261e8059,
    0xb34c0005,0x7c403d07,0x1a601e20,0x2a01e9ec,0x69803d16,0x3607a0f6,
    0x403cc0de,0x001e20f8,0x01e40079,0x01e20f88,0x3200001f,0x1642c803,
    0x09700b50,0x509f001e,0x42c8000b,0xc816402c,0x0b216404,0x01e80598,
    0x2002666c,0x01e4003c,0x00f880f1,0x1bb310b2,0x3ed30060,0x5b03a000,
    0x26c07900,0x0f2034c0,0x5d555990,0xaaaacc80,0x05985caa,0x0016a1e8,
    0x207c4d30,0x3a12e01e,0xf9834c02,0x666c01e8,0x3e269804,0x076c0f40,
    0x425c02d8,0x00f2002e,0x097003c8,0x802dc05d,0x6401e401,0x202eaaac,
    0xf05a805a,0x5a85f800,0x55664000,0x816402ea,0x2b3200f8,0x16602eaa,
    0xdf1007a0,0x80079000,0x7016c03c,0xeeeec80f,0x007c02ef,0x78007a79,
    0x03c801e8,0x0d3007e2,0x66e403c8,0x6e402ecc,0x5dcccccc,0x21e80598,
    0xdddd505a,0x2646987b,0xa81e807a,0x99034c05,0x06f8803d,0x744c8d30,
    0x16a02d81,0x00b503d0,0x079001e4,0x016a07a0,0x00fb807d,0x337200f2,
    0x16a02ecc,0x003c16a0,0x0016a1ba,0x5d999b90,0x0f202c80,0x2ecccdc8,
    0x07a01660,0x32000f20,0x201e4003,0x9013a05b,0x01db3337,0x0fa80ef8,
    0x21a2005b,0x403c801e,0x0d9104f9,0x216403c8,0x5016402d,0x3d00b30b,
    0xaaa88344,0x7434c2eb,0x4fc407a1,0x00f99999,0x1ff881a6,0xd3003c80,
    0x6c0f43d0,0xf8816a02,0x0f999999,0x64007900,0x999f8803,0x2200f999,
    0x0f6440de,0x0b200f20,0x402d405b,0xb800f05a,0x40007987,0x32016c2c,
    0x2c81e602,0x00f1016c,0x0079001f,0x3c800790,0xb50ef440,0xf705900d,
    0x6775fc03,0x012e1dfd,0x400f425c,0xefd8803c,0x401cfedd,0x2a16403c,
    0xb5016400,0x81f00f10,0x9869800f,0x407a6a86,0xfffffffb,0xffffb03f,
    0x9003f507,0x2a1a6007,0x80b607a6,0x3ffee05a,0x003fffff,0x01e40079,
    0x7fffffdc,0x7e4403ff,0x9004fede,0x0a859007,0x0f2016a0,0xf88b203c,
    0x20000f82,0xfd80542c,0xffd07fff,0x00542c81,0x007980ba,0x07b00079,
    0xd8803c80,0x800dfeef,0x201d502c,0x22037660,0x40fc401f,0x003c801e,
    0x9000d54c,0x4402c807,0x0b501645,0xd87980ba,0x69869804,0x7407a7b0,
    0x0001a600,0x3003c800,0x40f4f60d,0xe816a02d,0x6401a600,0x200f2003,
    0x801a600e,0x3fe601cb,0xffffffff,0x96201641,0xf01e805a,0x42ec2d80,
    0x5903005b,0x00005880,0x91620164,0xc8026c0b,0x007c4003,0xf8800f20,
    0x80b2000a,0x4079005c,0x40f200ea,0x003c801e,0x320005d4,0x26016403,
    0x0b501646,0x884d8172,0x4c34c01f,0x03d1f306,0x003d00d3,0x640005d4,
    0x260d3003,0x02d81e8f,0x4034c16a,0x003c801e,0x00d300f2,0x036a003d,
    0xc800d980,0x0b534c02,0xb01e06b8,0x3e81f985,0x0b207dc0,0x0ba80d30,
    0x69805900,0x1b60ef44,0x5c003c80,0x003c8005,0x0b200162,0x079003d0,
    0x2ec41ec8,0x07900698,0xc800b700,0x26016403,0x0b501646,0x0db077a2,
    0x6c8827cc,0x3b320698,0x4b803c81,0x4002dc00,0x40d3003c,0x02d81ecc,
    0x401e416a,0x003c804b,0x007900f2,0x16620097,0x59002b80,0x816a6980,
    0xb01e00e9,0xbd109b05,0xc81ec881,0x5c034c02,0x98059005,0xfeefd886,
    0x00f2000d,0x001bf9d7,0x9e800790,0x80590039,0x803c806a,0x03eedffa,
    0x0f2005f9,0x003ccc80,0x00b201e4,0x2a02c8d3,0x3bbf6205,0x7ec400df,
    0x81cfedde,0x07fe2069,0x01e2003e,0x4001e664,0x40d3003c,0x02d81ff8,
    0x4007c16a,0x003c8078,0x001f00f2,0xcce880f1,0x2a766004,0xd300b201,
    0x0fed42d4,0x305b01e0,0xbdf9101f,0x016409fd,0x3ccc81a6,0x69805900,
    0x4002a620,0x6fffffff,0x74001530,0xffffffff,0x00e64c06,0x81fffff6,
    0x002603fd,0x00c00a88,0x3ffffffa,0x004c06ff,0x7ffffff4,0xffffb6ff,
    0xdfffffff,0xa8ffffee,0x2203ffff,0xa98000a9,0x3fff601a,0x321fa83f,
    0xfc84ffff,0x09804fff,0x3ffffe00,0xfffb06ff,0x543f507f,0x3e20efff,
    0xfff92fff,0xffff909f,0x7fffff49,0x3ffa6fff,0x96ffffff,0xf909ffff,
    0x09809fff,0x80bda800,0xfffffffd,0xffd6ffff,0x017bffff,0xfffffff3,
    0x205fffff,0x201a9801,0xfffffffd,0x4c06ffff,0xffffd800,0x6fffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x99999880,0x55440199,0x55555000,0x81880155,0x0060c009,0x00133331,
    0x00400000,0x80880000,0x00550001,0x99910000,0x26019999,0x99999999,
    0x00550019,0x71003031,0x33310005,0x00000133,0x44005997,0x00009999,
    0x80002000,0x4c000000,0x01aaaaaa,0x02000000,0x2aaaaaa6,0x00000801,
    0x80004001,0x0ae20000,0x36001000,0xffffffff,0xfddfe884,0x6666400e,
    0x7ec02ccc,0x3b013e60,0xfff981a6,0x26000fff,0x800a0cfd,0x3fea806c,
    0x23f400a2,0x7c4003fa,0x9fb3001f,0xaa880e21,0xd80aaaaa,0xffffffff,
    0x7cc01fff,0x307ec00f,0x5cec409f,0xedfda804,0x6402cedc,0x6f441325,
    0x75405fbb,0x006ccccc,0x003e61f1,0x6c8003d4,0x807d1000,0x3ccccccb,
    0x40007e20,0x42dc0aa8,0x3ccccccb,0x0000fc40,0x17c401ea,0x000be200,
    0x8002d56c,0x0790007a,0x1fb82fa8,0x09500000,0xb51e8059,0x01ede400,
    0xd9f937d0,0x003b600b,0xf9fb35d3,0x910ee007,0x01dd0003,0x9f915d10,
    0x2000009f,0x200f402c,0x84a806e8,0x058ae01c,0x99cc5f6c,0xd90eb804,
    0x1360f601,0x100b02cc,0x400be67d,0xed8001eb,0x03e98000,0x17cc0000,
    0xfbbfd100,0x0001f31d,0x0005f300,0xf98007ee,0x01fcc003,0x000c8e60,
    0xc8000fdc,0xa807e203,0x00d4c00f,0x50f80000,0x34c7c00b,0x00571000,
    0x44000bd1,0x0000001b,0x2e200000,0x2a16c402,0xd00b200d,0x00000003,
    0xb8162930,0x024ce62f,0x8075c3ae,0x2e0d306a,0x7d101601,0x76400be2,
    0x02f44000,0x8802f980,0x99999999,0x40274c00,0x2ffb82fa,0x4ccccccc,
    0xe9801999,0x00764004,0x200274c0,0x562004e9,0x07640058,0x6c079000,
    0xf504c804,0x4c09dd9d,0x99999999,0x25c3e019,0x007a5a80,0x26666662,
    0x00e60099,0x01333310,0x09999880,0x33333300,0x98833333,0x20666601,
    0x007e44f8,0x881d8059,0x99999999,0x4ccccc40,0x36e00999,0x731b601c,
    0x6c190126,0x0f80b600,0x2a0002b8,0x64400aa3,0x00398000,0x7f400720,
    0x5fffffff,0x2200d880,0xd83fa01f,0xffffffff,0x58801fff,0x00032200,
    0x48800488,0x00eed400,0x80001910,0x001f103c,0x80ec81f1,0xffffd85d,
    0x1fffffff,0xd8025cf0,0x3fa01322,0x5fffffff,0xff302000,0x2001ffff,
    0x0ffffff9,0x7ffffec0,0x31ffffff,0xff507fff,0x02010bff,0x80408590,
    0xfffffffd,0x7ffff44f,0x0005ffff,0x499cc5d8,0x807c0000,0x076d40e8,
    0x00000000,0x00000000,0x00007900,0xcdc81360,0x0f402c84,0x00000000,
    0x00000000,0x40000000,0x400b503c,0xc803ae1e,0x1e805903,0x200f2788,
    0x001e20f8,0x5d4400f2,0x900ba20a,0x320007b7,0x059003db,0x07fcc1e8,
    0x800003d0,0x6c01642c,0x7900f602,0x22026620,0x263e4099,0x09988933,
    0x3c409988,0x7b07ffdc,0x10007d11,0x20013775,0x0009bba8,0x51001573,
    0x001b9817,0x2ea20079,0x403e200a,0x640f88ea,0xa880f402,0x510009bb,
    0x2a200377,0x133101bb,0x88013310,0x26200aba,0x00998809,0x025c0f20,
    0x007e2590,0xd00b207e,0x667ee643,0x9701ccde,0x3c8005d0,0xfdcdfb80,
    0x8f804ebd,0x31f00069,0xd00b200d,0x205be983,0x2026621e,0x59900998,
    0x5b005d55,0x0f201ae0,0x7f41ffe4,0x7327cc5f,0x07ff9126,0x4698bffd,
    0x160e8adc,0x7d40076e,0x402eeccd,0x2eeccdfa,0x3f33bf20,0xccfd84dd,
    0x07f9fb2f,0xffb80790,0xa80dfdcd,0x0ec3f305,0x503b00b2,0x05dd99bf,
    0xefdcffc8,0x373ff201,0x1ffe41ef,0xfb82fff4,0x80dfdcdf,0xffe83ffc,
    0x640f2005,0x2dcee003,0x02c84b80,0x5d9550ec,0x201559d5,0x4005a81e,
    0x40f6403c,0x25a806fa,0xd2d4001e,0xd8059003,0xd01eb4c1,0x741ffe43,
    0x99b905ff,0x05b005d9,0x079001f1,0x216a03c8,0x933bbde9,0x45a80f20,
    0x0e83e269,0x03362072,0x3e981ec8,0x7d303d90,0x9f301d70,0x0dcf8830,
    0x03c805f1,0xb83c80cc,0x1e42e884,0xc80810b2,0xd03e981e,0x82fb883b,
    0x17dc41de,0x20b501e4,0x64079019,0xc8016a03,0x64009703,0x1a2005b2,
    0x500810b2,0x3e200f4b,0x0f999999,0x6a80f200,0x805f9d10,0xb001322d,
    0x16402645,0x2ad30102,0x07903d06,0x6c2c82d4,0x2e81b802,0x3c807900,
    0xdb9816a0,0x80f20933,0x89734c5a,0x4c0f620e,0x200f982e,0x007cc0f8,
    0x203d81f1,0x85fb004b,0x001e406b,0x83c81f10,0x1643b84d,0x00f980b2,
    0x80d903e2,0x701b20eb,0x2a03c81d,0x00f88005,0x002d4079,0x8016a079,
    0x3c003d1e,0x200b2164,0xf7007a4a,0x7fffffff,0x3d01e400,0x81b29d10,
    0x801e20f8,0x201e20f8,0x2601642c,0x207a0f66,0x6416a03c,0xc8000542,
    0x900f2005,0x4c02d407,0x80f20933,0x8d334c5a,0x881db80e,0x5c016c2d,
    0x25c016c4,0x200003ea,0x200f887c,0x07c0003c,0x320b712e,0x75556642,
    0x2e00b602,0x1f4017c4,0xc87d005f,0x40016a03,0x5407900f,0x440f2005,
    0xf0f8800f,0x32074001,0x202eaaac,0xaf99dc99,0x4c01d009,0x440f2006,
    0x1e64e887,0x002e84b8,0xc805d097,0x402eaaac,0x3d03e269,0x82d40790,
    0x402c402c,0x0f2000f9,0x02d40790,0x790499cc,0xd1a62d40,0x6c403a39,
    0x800f8b04,0x4c007c69,0xabdffb86,0x37b6e600,0xeaaaaade,0x2a00f201,
    0x0fcdeeec,0x201f52d4,0x6666e41e,0x2003e02e,0x2aabe669,0x4caaaaaa,
    0x555555f3,0x3c899555,0xeca816a0,0x900fcdee,0x9002d407,0x64026407,
    0x878007a4,0x02ecccdc,0xfffffff5,0x00d30bff,0x40f2003d,0x0f84d869,
    0x00b503d0,0x9016a07a,0x805d999b,0x07a26469,0x905a80f2,0x44069805,
    0x01e4001e,0x805a80f2,0x0f209339,0x107c45a8,0xa809ffd7,0x00f1621d,
    0x2200f1e2,0x3fb2a207,0x4d6fec44,0xccccceea,0xd00f201c,0xf733357d,
    0x1f88f881,0x42c81f10,0x4401e02d,0x33333e67,0x33cccccc,0x9999999f,
    0x03c87999,0x55f7416a,0x900fb999,0x9002d407,0x500fc407,0x88016c1f,
    0x016c2c86,0x640789e4,0x9004b803,0x5d87e207,0x33f10788,0x801f3333,
    0x999999f8,0x5b0b200f,0x21e86980,0x2a03c81e,0x69805905,0x640026c0,
    0xb501e403,0x41267300,0x3e16a03c,0xb9900002,0x9800e83b,0x34c00746,
    0x2e4bb100,0x790005c8,0x03e02ec0,0x4c80fb32,0xd00542c8,0x3c4d3001,
    0x0003c400,0x6c2d4079,0x3c807c05,0x3c8016a0,0x7dc1fcc0,0x4b8025c1,
    0x400542c8,0x0f80f12d,0x79007880,0x505da740,0x3fffee0b,0x5c03ffff,
    0xffffffff,0x0150b203,0x3a6a8698,0x16a03c81,0x81a60164,0x3c80506a,
    0x0b501e40,0x64126730,0x13616a03,0xb01d8000,0x3d899007,0x00a24c80,
    0x640b61f1,0x03c8000f,0x101f007e,0x407d40bf,0x7b2c402c,0x02e89900,
    0x90002e80,0x0fc2d407,0x01e403e0,0x7ffec0b5,0x984fffff,0x80dfddfd,
    0x0fc401f8,0x21620164,0x3f20d32d,0xffc84fff,0x01e404ff,0x3e20bbf3,
    0x34c01d01,0x069803a0,0x98b100b2,0x207a7b06,0xfb16a03c,0xffffffff,
    0x07e20dff,0x807900f4,0x00bd304a,0x25412673,0x06a85e98,0x20730140,
    0x03e600f8,0x07cc01f1,0x2e6980f5,0x083fe884,0x01d01e40,0x7f5c07e4,
    0x5901fb83,0x03e26980,0x07cc0f98,0x001f3040,0xbd304a81,0x07e401d0,
    0x0bd304a8,0xd8003660,0x075400ae,0x00b20790,0x1663d0d3,0x800d8000,
    0x05ff403c,0x034c0fea,0x806980f4,0x9805901e,0x8f9834c6,0xd304a81e,
    0x8126000b,0xc807a03e,0x2a21f803,0x339805df,0xf510fc09,0x2213a0bb,
    0x80b20582,0x02fb82fa,0x85f705f5,0x2e980dfa,0xefe88ba2,0xc807ee1e,
    0xd3036e03,0x88f981fb,0x00dfddfe,0xa8d300b2,0x702fb82f,0x713aa05d,
    0x213aa05d,0x177ea21f,0xfbd3036e,0xf510fc01,0x00ae00bb,0x55e67f4c,
    0x0f642c98,0x02c81762,0x5a87434c,0x00730000,0xc9dd80f2,0x201efdef,
    0x904b803c,0x32097007,0x1a634c02,0x3f01ecc8,0x002efd44,0x80b700c8,
    0x200f201e,0xa8efedfb,0x3a9981ff,0x37ee0393,0x1ffa8efe,0x7f5e7744,
    0x99999e84,0xdfe9805c,0x74c00efd,0x980efddf,0xffedefbd,0xbfdee883,
    0x0dfdfbab,0x3f201e40,0xfff2ffde,0x135107a3,0x69805900,0xefddfe98,
    0x6eff4c00,0xfd301efe,0x203dfdbb,0xa8efedfb,0x6f7e41ff,0x03fff2ff,
    0x51dfdbf7,0x9d9803ff,0x2f3be01a,0x80cffdca,0x03eedffa,0x21a60164,
    0x0000950f,0x7900edec,0x02a616a0,0x1e2003e0,0x83c4007c,0x2634c02c,
    0x407fe206,0xa8efedfb,0x654001ff,0xd003e24b,0x3001e403,0x332a0013,
    0x4079974c,0x65400099,0x999900ab,0xa8800599,0x5544000a,0x35531000,
    0x880a9801,0xffffd00a,0x260dffff,0x4000000a,0xfffffffd,0x2206ffff,
    0x4c4000aa,0x2a62001a,0x00266001,0x20001530,0x2a000099,0x000000bd,
    0x3f600544,0xffffffff,0x066386ff,0xe8130000,0xffffffff,0xffc80006,
    0xfffc84ff,0x9ffff94f,0x29ffff90,0xfffffffd,0x3f66ffff,0x1fa83fff,
    0x00004cc0,0x7fcc1510,0xffffffff,0x3fffffa1,0x00006fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2aaaaaa0,
    0x0000001a,0x00100000,0x200006cc,0x22000000,0x01e40002,0x00198800,
    0x0e209000,0x080025c0,0x01b10550,0x00f20057,0x02099880,0x006441cc,
    0x80000080,0x0480900b,0x00f20071,0x64071048,0x88003a81,0x20000019,
    0x11001bb9,0x00000000,0x006e0322,0x039003c8,0x4cccc075,0x99000999,
    0x00599999,0x00001ea0,0x00d700b3,0x000bf3ee,0xfb801362,0x6de6c403,
    0x76f44003,0x76c0000d,0x05d1001f,0x00790990,0x4001dbdb,0x707f80fa,
    0x0037623f,0x001bdbd1,0x3ea5fd70,0xd30dd885,0x13ee0009,0x2e003fa0,
    0x26404b85,0x37a201e4,0x84c800de,0xc8fea03c,0xfed8001e,0x4defd401,
    0x99db02fc,0x0059009d,0x0f4403dc,0x6c47f200,0xede8800d,0x91fd400d,
    0x3bbe203f,0x0006eeee,0x03f70000,0x99809998,0x76405c99,0xf30ed800,
    0x02744009,0x37013f20,0x8fe60058,0xe80001ec,0x003f9801,0x0fb75bf1,
    0x0bee4e88,0x3fc07ee0,0x009d9f30,0x00f647f3,0x09d32d80,0x2017e7dc,
    0x809b3049,0xbd001ff8,0x8801fb57,0x407dbadf,0x007b23f9,0x0fb75bf1,
    0x01bbbd10,0x9801e800,0xb900cffd,0x03c809b0,0x2a001d90,0x67d4002f,
    0x47f3003f,0x6f4401ec,0x01e200dd,0x26666200,0x01d90000,0x21ffffc8,
    0x00cefff9,0x12600376,0x3a600362,0x00a88003,0xc801542c,0x54003a81,
    0x1ffffffe,0x50005f50,0x0570059b,0x00ec8093,0x05b101be,0x012a0720,
    0x803b16c0,0x05a800d9,0x0066007a,0x0015b950,0x640166d4,0xb5003a81,
    0x03c80059,0x5c03d000,0x80fa8bef,0x00f980f8,0x037600f2,0x8007f300,
    0x072002d8,0x01e400ea,0x260003c4,0x00ffffff,0x98006440,0x4c01e805,
    0x40000004,0x4000002b,0x00002b85,0xd3333000,0x000e4035,0x20000000,
    0x037c00c8,0x00000000,0x0004996c,0x02982d40,0x00000000,0x00000000,
    0x80000000,0x2a02601e,0x0f606c86,0x024c04d8,0x0001b100,0x00000000,
    0x00003c40,0x0000f6f2,0x3d00b300,0x2e600000,0x000000ac,0x200acb98,
    0x3101623a,0x04cc4013,0x74157510,0x33100001,0x80133101,0x00000ab9,
    0xacb9817a,0x10133100,0x5d440133,0x54400b61,0x2e6201bb,0x0099999d,
    0x001bba88,0x40015751,0x1001bba8,0x20013775,0x0009bba8,0x22001573,
    0x007a0aba,0x6c4c8262,0x3aa16e04,0x001ccfdf,0x54400000,0x2a2000ab,
    0x751001bb,0x03c40137,0x1a63e000,0x01575100,0x01e80598,0x200565cc,
    0xcfeccee9,0xa884cc3c,0x774c00ac,0x83ccfecc,0x2201dddb,0xfd106ffe,
    0x337f20df,0x3103d3fd,0x641a8813,0x5ffe83ff,0xbf99df90,0x4cccc49b,
    0x2f409999,0x7f66774c,0x0fff23cc,0x7cc17ffa,0x02d8edcd,0xefdcffc8,
    0xfffffd81,0x3200efff,0x01efdcff,0xbfb9bff7,0xdcffc801,0x37ea01ef,
    0x5402eecc,0x02eeccdf,0x37f33bf2,0xb9bf904d,0xea807a7f,0x478bffef,
    0xbd1aa02e,0x4cc2fb85,0x99980099,0xdffb8009,0x6400dfdc,0x01efdcff,
    0x3bb337ea,0x32eaf102,0x25a8000a,0xdffb801e,0xb300dfdc,0x3a603d00,
    0x3ccfecce,0x7e4417cc,0x3eaffe24,0xf302fecd,0x409f9105,0x3a0eed40,
    0x9b059800,0x41ecd881,0xfb14ffe8,0x40790bdb,0x980eb85a,0x3ffff64f,
    0x2ec4ffff,0x3f220be6,0x16a03c84,0x5dd50be2,0x5c41de80,0x000b502f,
    0x2fb883bd,0x40790198,0x17dc41de,0x1f4c0f64,0x3e981ec8,0x4f980eb8,
    0x66c40cd8,0x885d901e,0x803e1eed,0x2d81ae68,0x00ffffe6,0x007ffff3,
    0xe80f2033,0x417dc41d,0x83e981ec,0xffcdfff8,0x9916c002,0x0f203300,
    0x40f402cc,0x4fc882f9,0x213a0174,0x0fcc0eec,0x813a0174,0x900bdda8,
    0x41dc1985,0x00ff405b,0x6419d397,0x0b501e41,0x5b25c07b,0x89b03aa0,
    0x6427402e,0x13216a03,0x0d9017e4,0x05a80eb8,0x3ae03640,0x203e2000,
    0x3075c06c,0x207c401f,0x03e200f9,0x2e25c07b,0x540ff405,0x78ff200e,
    0x407d3c40,0x2001e400,0x7c40003c,0x75c06c80,0xf8803e60,0x1fa81b80,
    0x3c41f100,0x203e2000,0xe81e8059,0x0f527402,0x01d90330,0x300f50f6,
    0x0bdda883,0x237c4b80,0x4c00e82d,0x0bfae01f,0x0b501e40,0x0b2001f5,
    0xa93207e6,0x3c819807,0x05f116a0,0x02f80bea,0x005a83e8,0x01f4017c,
    0x00be03e0,0xb802d8fa,0x25c016c4,0x0e8003ea,0x0fc0fcc0,0x880f2740,
    0xc80003e7,0x001e4003,0x017c07c0,0x7005b1f4,0x006c8009,0x0005d097,
    0x805980f8,0x4c03d41e,0xc8001321,0x09916a03,0x9817b500,0xeda9a600,
    0x00d103e1,0x01fb807e,0x05a80f20,0x0157bff7,0x1e407e60,0x1e400099,
    0x40798b50,0x555f302f,0x99555555,0x7cc00b50,0xaaaaaaaa,0xeeca84ca,
    0x7cc0fcde,0xaaaaaaaa,0x2003e4ca,0x4c007c69,0xabdffb86,0x3f006880,
    0x4b900788,0x2d9a600f,0x000f2000,0x3b2a0079,0x4c0fcdee,0xaaaaaaaf,
    0x003e4caa,0x1f3001a6,0x0b503d00,0x9bddd950,0xd00b301f,0xd8004c83,
    0x80f20002,0x00016c5a,0x204dbdb8,0x3452ef27,0x01e802cc,0x0790012e,
    0x32a202d4,0x174404fe,0x0016c110,0x22d40790,0x9816c06a,0xcccccccf,
    0x05a83ccc,0x33333e60,0x43cccccc,0xb999abee,0x6667cc0f,0x3ccccccc,
    0x1e3c401e,0x95103c40,0x005989fd,0x5005983d,0x4b700f4b,0x0f20005a,
    0xdd007900,0x1f733357,0xcccccf98,0x1e3ccccc,0x74003c40,0x4ccfc401,
    0x3a00f999,0xfb999abe,0x1e805980,0x1e40016c,0x54079000,0x40001e45,
    0x1d815c58,0x216ad31f,0x403f0068,0x01e4004b,0x5d8800b5,0xc8007d10,
    0x80f20003,0x8807cc5a,0x000f102f,0x1e2005a8,0x3e02ec00,0xe8003c40,
    0x07469800,0xb10034c0,0x1f80344b,0x24c803c4,0x7f13602d,0x3201c881,
    0x201e4003,0x2207c05d,0x001d0007,0x01f000d3,0xffffffb8,0x80bb03ff,
    0xf807880f,0x54001e40,0x80f20005,0x0002d45a,0x641620dc,0x0f27a5ab,
    0x07ea00f4,0x1e4004b8,0x40288b50,0x004d80f8,0x320005a8,0x0be16a03,
    0x05d017d4,0x2002d400,0x01f8002e,0x0017407c,0x226401ec,0x224c803d,
    0x3d07c402,0x1f81fa80,0x816e2e80,0x5e7e442f,0x01e404ec,0x03f00f20,
    0x002e80f8,0x04c803d8,0x07403cc0,0x007e0d30,0x980ba01f,0xd0005a87,
    0x640d8805,0x0ba16a03,0x06e01b10,0x8f36a0b1,0x0d701dcb,0x12e01fe8,
    0x3a609500,0x1a603d45,0x02604172,0x40d8805d,0x90bd304a,0x980bf60b,
    0x6980800f,0x4007cc00,0x0fc803a0,0x20800f98,0x03e600f8,0x07cc01f1,
    0x5c6980f5,0x540ff406,0xf11ae00e,0x7440d303,0x0079001d,0x007403c8,
    0x01f301f9,0x3007c410,0x3601cc1f,0x74034c03,0x3f200e81,0x26c0b900,
    0x06c402e8,0x0bee07f3,0x985a80f2,0x405f703f,0xf880dc58,0x901fe20f,
    0x1ebe981d,0x3e0012e0,0x5177ea21,0x85d301bf,0xffa9e05c,0x7dc0fe61,
    0x7d443f02,0x5c3f885d,0x175c02dd,0x07b04ea8,0x05d70971,0x40db93aa,
    0xd700fde9,0xf513aa05,0x2a05f705,0x542fb82f,0x82e980df,0x75f4c0ec,
    0xb883d901,0x260eb81f,0x001e402f,0x03c80079,0x37a606dc,0x205d700f,
    0x417d44ea,0x0f7442fb,0x0f201b62,0x036e12e0,0x2201fbd3,0x81b621de,
    0x05f703f9,0xbfdbdfb1,0x5a80f203,0xfdbdfb10,0xb9b5003b,0x6e85e807,
    0xeedeeb80,0x9703ffd2,0xfdbf7000,0x263ff51d,0xffedefbd,0x788075c3,
    0xfb10bfee,0x403bfdbd,0xa8efedfb,0x6f7441ff,0x01ffd8de,0x3fb77fa6,
    0x37f6601e,0xd301cffe,0x03dfdbbf,0x25ffbdf9,0xfe981fff,0x301efedd,
    0x01dfbbfd,0xefddfe98,0xdefbd980,0x3ae03ffe,0xffd2eede,0xfdbff503,
    0x777dc01b,0x003c802f,0x079000f2,0x5ffbdf90,0x3a607ffe,0x01efeddf,
    0x1dfbbfd3,0x7f77f5c0,0x1001f004,0x3f7bf20f,0x103fff2f,0x01bfddfb,
    0xfedefd88,0x4d4c401d,0x3ffff700,0x101fffe8,0x30001353,0x88000000,
    0xfffc800a,0x00ffffff,0x22000998,0xff809aa9,0x7fffffff,0x353100cc,
    0x004cc001,0x80002a60,0x44001a98,0x2620009a,0x0153001a,0x006a6200,
    0x4000aa88,0x31000aa8,0x22001355,0x3530000a,0x00662001,0xfff502b8,
    0x5fffffff,0x3fffffea,0x5302ffff,0x2a620001,0x02aa2001,0x8009a880,
    0xc84ffffc,0x5304ffff,0x2a620001,0x4d4c4000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x05953000,0xa8015dc4,
    0x333302bb,0x10133333,0x1e400155,0x1c80c880,0x3005dcc0,0x04000013,
    0x2a200cc0,0x0000300a,0x016e0ec4,0x400565cc,0x2016c45b,0x3301bba8,
    0x0c980001,0x80031000,0x20001aa8,0x75039019,0x1b50b620,0x4ccc0000,
    0x04cc4009,0x5b0b5000,0x0c803c80,0x33330488,0x19999981,0x01910000,
    0x22133037,0x4cc00aca,0x4c006099,0x333000aa,0x04cc4013,0x16e677d4,
    0x3bf337ae,0xfb9fd101,0x7777cc1b,0xd85eeeee,0xde8805ff,0x1ec800de,
    0xdfc80bd1,0x6ee985fc,0x7fe44000,0x05ff701c,0x3dfbbfd3,0x7fffc34c,
    0x3ea03fff,0x3a603f43,0x3ccfecce,0x27cc1fb0,0xbfb9df50,0x002f7541,
    0x719f9db0,0x1ff5cc0f,0x3bfa6ea0,0x93003fed,0x543dffdf,0x4407f23f,
    0x4007e44f,0x3ba600fe,0x7f5c03fe,0x83f20002,0xdbd105f8,0x4c84b80b,
    0x26ffffd8,0x4ffffffa,0xffffffd8,0x3623f905,0x55ffc40d,0x302fecdf,
    0x3f27fddd,0x2ef7b204,0x3ba603ed,0x3ff603fe,0x2a017e44,0xe80eb80e,
    0x699b220b,0x7fe425c0,0xd91fcc04,0x7f9f5003,0x3221ea80,0x8000d304,
    0x701f50be,0x82fa85ff,0x000991fb,0x4c010080,0x04fc882f,0x1fa80202,
    0x02d42ec4,0x77dc4500,0x7959fd00,0x40afeb80,0x57c405f9,0x6ef440c0,
    0x0080400d,0x2001ff88,0x005b003c,0xf5008080,0xf8807647,0x200fdaad,
    0x002d804b,0x3fcfa800,0x26077640,0xd53c801f,0x5c05d307,0x203c800e,
    0x03ae2ffb,0xb87d0020,0x0a25f107,0x002205b0,0x400ea072,0x02d801d9,
    0x000d305b,0x9825c2d4,0xd500fc41,0x000003f9,0xe805d000,0x0ba00004,
    0x016a17c4,0xc8100000,0x1007dc03,0x001e407f,0x000001e4,0x1e400198,
    0x3bbbfb60,0x2000005e,0x5403a81c,0x04b802dd,0x000002d8,0x1d9005b1,
    0x8f200f60,0x0207440e,0x80f201a6,0x01f31ffa,0x7912e000,0xf8802640,
    0x00000000,0x403e2000,0x0006985a,0x801e20b2,0x00fc804c,0x8002aea2,
    0x2a00aba8,0x22019807,0x91009bba,0x02d44c80,0x02aea200,0x4a807900,
    0x3d00f980,0x33100000,0x00133101,0x88079000,0x00999bd9,0x00ddd440,
    0xb8000000,0x4402d804,0x00001bba,0x016a03c8,0x0ec15cf2,0x549799d3,
    0xf301e404,0x0000f61f,0xb025c2e8,0x0016a005,0x0055d440,0x33101331,
    0x43405a81,0x06b2a269,0x00d30590,0x1e2003e2,0x7ee6ffdc,0x37fee00d,
    0x4c80dfdc,0x66fd4000,0x70002eec,0x4cc45a89,0x9bff7009,0x32001bfb,
    0x5f000803,0x400f4cc4,0x99999998,0x20fff209,0x4cc45ffe,0x00999999,
    0x12d801e4,0xf9001595,0x203dfb9f,0x98009999,0x4b800999,0x3f202d80,
    0x301efdcf,0x79001333,0x1e402d40,0x0e858950,0x203c8076,0x0001e7f8,
    0x07cc0fb8,0x3c8007cc,0xff700660,0x901bfb9b,0xbffd07ff,0x03e20798,
    0x3737eed3,0x445900cf,0x541302fa,0x2603a005,0x0cc07901,0x002d83c8,
    0x3a607b20,0x542e8003,0x837ffec5,0x20079019,0x3200003c,0x007fff23,
    0x3ffffff6,0x203c84ff,0x7fffec5a,0x6404ffff,0xbd55b003,0x6f405fd9,
    0x2617dc41,0x4c03ffff,0xb803ffff,0xbd02d804,0x4c2fb883,0xc803ffff,
    0x32016a03,0x82a87203,0x07901dc1,0x64cd16f8,0xfcb8803d,0x117d900e,
    0x07c007d7,0x01980790,0x501e4079,0x3f603f0b,0x206e74c1,0x265906d8,
    0x47900eff,0x00b2004b,0x10001f10,0x0003c81f,0x07c401f3,0x8b50b900,
    0x220002fa,0x203c800f,0xaaaaaaaa,0xd05caaaa,0x2a05b003,0x2a03c80e,
    0x0ea816c5,0xed801e40,0x6c83cc0d,0x790075c0,0xb803b800,0x6c82d804,
    0x790075c0,0x2d407900,0x48d01e40,0x9e409300,0x2b55e819,0x00efbcfd,
    0x9013fb22,0x4007ffff,0x00faa069,0x7900f880,0x06e42d40,0xdf30b36e,
    0x42c84d80,0x24c82fc9,0x00ee003c,0x7c0003e0,0xd8002d40,0x7004b802,
    0x75cb501d,0x00f80001,0x99f103c8,0x99999999,0x007a0bb9,0x407e60b2,
    0x5916a03c,0x79003f30,0x6c03b600,0x3e802f82,0x77000f20,0x5b009700,
    0x07d005f0,0x01e401e4,0x407900b5,0x05880246,0x307fe2f2,0x903376a3,
    0x0376200b,0x3f6a73ea,0xd3079001,0x1f00005d,0x05a80f20,0x91db59fb,
    0x4401f987,0x3f302c87,0x8012e4d8,0xddd9502c,0x65401f9b,0x80fcdeee,
    0xf06c402e,0x700d3001,0x76d6a01d,0x3bb2a000,0xc800fcde,0xb800f103,
    0x20003d04,0x80f201f9,0x01f9805a,0x0b600790,0x557cc5a8,0xcaaaaaaa,
    0x7000f204,0xb0097007,0xaaaaf985,0x04caaaaa,0x80f200f2,0x203c805a,
    0x2600320d,0x07f4f204,0x3e20df10,0xf5132001,0xd003f101,0x4002f983,
    0xfcdeeeca,0x2d407900,0x0ec59950,0x20f401e6,0xbb1aa02c,0x01d002d4,
    0x733357dd,0x2afba01f,0x980fb999,0x785f703f,0xec80f100,0x03fbaa00,
    0x99abee80,0x3c800fb9,0x3c8003e0,0xd10003d0,0x2a03c805,0x00174405,
    0x80b60079,0x6667cc5a,0x3ccccccc,0x77000f20,0x5b009700,0xcccccf98,
    0x203ccccc,0x203c803c,0x203c805a,0x8220ea1c,0x008f202b,0x00f601f8,
    0xb0264788,0x3c869809,0x4d5f7400,0x7900fb99,0x7c002d40,0x1d8034c0,
    0xe83e0164,0x22003e25,0x07c05d86,0x403e02ec,0xdfedefd8,0x69800e81,
    0xf5003b20,0x17600b97,0x079001f0,0x03d0016c,0x7d10007a,0x2d407900,
    0xc8007d10,0x5405b003,0x80003c45,0x01dc003c,0x5b05925c,0x90000788,
    0x7fffdc07,0x00ffff41,0x2e254079,0x00d8910b,0x01d000f2,0x83e001e4,
    0x701a601f,0x6c001f09,0x3c807c05,0xd50016a0,0x03a00f30,0x3a1e8059,
    0x26402646,0x203e00fc,0x2007c01f,0x36009cc8,0xd904c803,0x2e4b5001,
    0x03e00fc0,0x0f980f20,0x07a06a80,0x32009b00,0x4d816a03,0xb003c800,
    0x1742d405,0x001e4000,0xc92e00ee,0x02e81f83,0x0003c800,0xb00f2000,
    0x5c2cca83,0x2001e403,0x8003e03c,0xb701747a,0x03e81e80,0x7c01f826,
    0x2d407900,0xf305d100,0x2c879805,0x46f87e02,0x41aa01f8,0x203f200e,
    0x003f200e,0x1f10032a,0x6ec07cc0,0x5d8b5000,0x1f900740,0x5c807900,
    0x3d007cc0,0x8082e400,0x20bd304a,0x3c80105c,0x2d405b00,0x004007cc,
    0x03b80079,0xf30f24b8,0x1001f301,0x54001e40,0x01e4000b,0x1aa007a2,
    0xd1000f20,0x40089660,0x7f03645e,0x06b83c40,0x3200e8b2,0x2609500f,
    0x0bb1005e,0x2e803fe6,0xf983e2c8,0x0fea1fe0,0x06dc03ae,0x2e03f7a6,
    0x07ef4c0d,0x5402cc40,0xd82fb82f,0x216a0405,0x3036e05d,0x79001fbd,
    0xf701db00,0x9001e805,0x21f83c0b,0x5c85dfa8,0x007901e0,0x705a80b6,
    0x813aa05d,0x01dc003c,0x643f325c,0x540bae05,0x000f204e,0x0f2002dc,
    0xdc80fa20,0x8003c800,0x98baa1da,0x076d40cf,0x0bb30ef4,0x2fba04b8,
    0x2e2fc988,0x07ef4c0d,0x6fd443f0,0x204fa805,0x7441ebe9,0x89e45905,
    0xe883fc4d,0x400cfddf,0xf2ffdefc,0xdefc83ff,0x03fff2ff,0x200799d1,
    0x0efddfe9,0x22d404d8,0x640bb05a,0xff2ffdef,0x801e403f,0x0dfedffa,
    0xeb801e80,0x3ee0f100,0xffa8efed,0x1e201d71,0x0b600790,0x3fa605a8,
    0x401efedd,0x01dc003c,0x2adffffb,0x4c00cfdf,0x1efeddfe,0x32001e40,
    0x1e4003cc,0xd99dd700,0x01e4005d,0x3feeeb80,0xffeefc88,0xddfb100c,
    0x803b009f,0x80ceffeb,0xf2ffdefc,0xdbf703ff,0x23ff51df,0x02dfeef9,
    0x3baadff3,0xffd83fed,0x09fdd12f,0x01a880bd,0x8000a980,0x130000a9,
    0x01551000,0x7fffffec,0xbff55fff,0x40ffffb0,0xffd000a9,0x0bffffff,
    0x74009a88,0x01ffffff,0xffffffff,0x009980ff,0x7ffffffc,0x3ffee7ff,
    0x2fffffff,0x883fffea,0x2202ffff,0xfff501a9,0x5fffffff,0x3fffffea,
    0x2002ffff,0x54c4000a,0xfffff501,0x805fffff,0x7ffdc009,0x2fffffff,
    0x5c00cc40,0xffffffff,0x266002ff,0x009a8800,0x00013310,0x0a980000,
    0x00133000,0x88000351,0x0260001a,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x44000000,0x200d4409,0x20009999,0x131000b9,0x2202b2a2,0x260001bb,
    0x01980001,0x40000000,0x0d54c019,0x80009988,0x2aea2099,0x4883b800,
    0x98809988,0x01744009,0x4c437730,0x055d4c09,0x00804c00,0x01aa8000,
    0x000aa980,0x40013530,0x09999999,0x2000d4c0,0x2620aca9,0x55500001,
    0x55555555,0x10000355,0x33301333,0x4c400003,0x81331019,0x0d440998,
    0xa8002ea0,0x42204883,0xbff52ff9,0xddd305fb,0x33b6007f,0xe886b8cf,
    0xfecefabf,0x16e6b6a2,0x009bb900,0x0026ee40,0x7ffffec0,0x1fb2004f,
    0x77eeff54,0x00bfb26a,0x3f2dff30,0x4405edcd,0x320bea5e,0x5ffe83ff,
    0x4401fc40,0xa9fdccee,0x9bfd74ff,0xf93009ff,0x3fa3fffd,0xfd980002,
    0x059bffdd,0x3b6ef7b2,0xcefd8803,0x3606adfe,0xffffffff,0xeecefa82,
    0x66f6c404,0x03ffd4fd,0xbffffffb,0x30500050,0x7ffec009,0x3fffee2f,
    0x74004a85,0x7f441fff,0x9ffd10ef,0x217b7f62,0xc8bfdee8,0x4c376205,
    0x45ff703f,0x7cc2ecbc,0x2801e401,0xc803bee2,0x007cc0ee,0x0950001b,
    0x00095000,0x3e600000,0x20af9878,0x02d86fb8,0x01bbd300,0xd9db00b9,
    0x2a03c803,0x201fc405,0x4de983f8,0x0275417c,0x321815f1,0x74c0001f,
    0x43775442,0x03ae02e9,0x2e205f44,0x0074006f,0x20bb01d9,0xedd884e8,
    0x00a00001,0x0016a0a0,0x203d00b3,0x03d8005a,0xd3970354,0x8a20e419,
    0xc800dfc8,0x3fe01fce,0x403bf26f,0x001e406a,0x403b2000,0x000d303d,
    0x2a00012a,0x00000004,0x1361e7b0,0x002d86d8,0x4c80bf30,0xc800db80,
    0x00016a03,0x89f3026c,0x5c03ea07,0x00058803,0xdf100f44,0x69800e88,
    0x36c04e88,0x75c03a00,0x1320f200,0x00003fb0,0x54140014,0x402cc005,
    0x000b501e,0x202e80d3,0x00002feb,0x2006d400,0x03723ffc,0x003c80f0,
    0x0026eea2,0x2a2d4079,0x41a801fe,0x202e004a,0x40a6004a,0x0009bba8,
    0x007c3cd5,0x0005b0d1,0x0f1007e6,0x203c8000,0x7880005a,0x20044d80,
    0x9003d01e,0x04c80001,0xdb8ec5a8,0x22542ccc,0x0038805c,0x00fc4074,
    0x1003e0fc,0x8099883f,0x00140998,0x33b73114,0x16601333,0xb73107a0,
    0x80333333,0xb80d303d,0x0998801f,0x00009988,0x00b20cc0,0x003c803a,
    0x5dd99bf5,0x0b501e40,0x76c407a6,0x74c02540,0xb1009505,0x99bf503d,
    0x43d005dd,0xd8001e87,0x80159512,0x4c3d0079,0x01595109,0x416a03c8,
    0x26009999,0x4004b806,0x2ba6621e,0x33009999,0x802b2a21,0x2541000e,
    0x21d87312,0xd000001e,0x2e00b701,0x0fc01a64,0x3fa0fff2,0x1400145f,
    0xfffffffb,0x00b301df,0xffffe83d,0x201fffff,0xb805b069,0x07ff9004,
    0x3310bffd,0x2001a881,0x201d802c,0x3b20533c,0x7903e981,0x07702d40,
    0x812a07f7,0x12a02fc8,0xd9019f50,0x5c07d303,0x0075c3c5,0x337eeb60,
    0x01e602fe,0xabff88f4,0x202fecdf,0x2616a03c,0x2603ffff,0x2004b805,
    0x7fffec6a,0xf886ffff,0xfecdfabf,0x90006882,0x9dc48483,0x20000078,
    0x1002d80e,0x1f8034cd,0x22d40790,0x5a828002,0x7402cc00,0x4000b501,
    0x5c034c3d,0x501e4004,0x14ffe88b,0x200bdbfb,0x201d802c,0xf982fccc,
    0x3203e200,0x6c0d6a03,0xa803ba61,0x801bf504,0x03db104a,0x0f8803e6,
    0xb83c0f88,0xed801bcf,0x9807cc0e,0x640f800f,0x80fcc0ee,0x2016a03c,
    0x201e203c,0x1fc8804c,0xd90007a0,0x541f981d,0x890d0005,0x059a4c3a,
    0x203a0000,0x789e001e,0x7901f880,0x000a2d40,0x30016a0a,0x2a03d00b,
    0xb1a60005,0x80097005,0xb816a03c,0x0720ce9c,0x07600b20,0x5b00cfd8,
    0x07909700,0xdcdeaad4,0x21a8fee2,0x88defeec,0x40bb8aed,0x70defeec,
    0x0b61549f,0x213212e0,0x3fb2a207,0x201db02d,0x809f303d,0xb00ec85b,
    0x5a80f207,0x1ec03c80,0xfc809f30,0x000f400c,0x21ec03b2,0x90d0005a,
    0x2b105fdd,0x2000005a,0x2000f80e,0xf901360e,0x5a80f203,0x54140014,
    0x402cc005,0x000b501e,0x200d32d8,0x01e4004b,0x17f5c0b5,0x802c8080,
    0x03fea81d,0x434c007c,0x1116a03c,0xbb706f4c,0x32e9f500,0xd8802d99,
    0x1f176e1e,0x0f98d300,0x3aa20078,0x16a02d83,0xfb81f74c,0x16a03c80,
    0x05e98264,0x17c403c8,0xf1026f44,0x0007a001,0x2a2d4079,0x481b0005,
    0x2d52612a,0x3deeeea8,0xe80e8015,0x7f11e001,0x6407bae0,0x00516a03,
    0x3fffe250,0x2600ffff,0xb501e805,0x7b698000,0x90012e00,0xf702d407,
    0x8bfee003,0x641d802c,0x03c03cae,0x203c8788,0x30bf205a,0x76c40b3d,
    0xb80d1121,0x22cf443f,0x2d8f1007,0x1f1000f0,0x416a02d8,0xbaced8e9,
    0x407901ed,0x443f905a,0x3c805dfa,0xcbbde980,0x1e204aaf,0x64001e80,
    0x0f316a03,0x98907200,0x106895c2,0x365d7555,0x16c07401,0xee986880,
    0x1e8decac,0x22d40790,0x5a828002,0x7402cc00,0x0000b501,0x25c00d9b,
    0x5a80f200,0xff8012e0,0x3a00b26f,0xe80790c1,0x3e669800,0x85a80fff,
    0x99e80dea,0x3007f705,0x2037a60d,0x0074589d,0x999f334c,0x2659f999,
    0x16c2d800,0x99a60b50,0x1e402ccb,0x3fb20b50,0xffa8efed,0xa800f201,
    0x80950acc,0x0007a000,0x7c2d4079,0x244a8000,0x07c1b064,0x803b34c0,
    0x7004b80f,0x0de65409,0xa80f203d,0x41400145,0x03c4005a,0x005a807c,
    0x6403f980,0xffffffff,0x5407900f,0xc8012e05,0x200b24ff,0xb00f200e,
    0x00099007,0x702eb8b5,0x07b61667,0x3e603a60,0xb1629703,0x54499007,
    0xbfaaaaaa,0x85d00991,0x4c16a02d,0x80f20006,0x26a7905a,0x003c8000,
    0x00004a80,0x0790007a,0x802dc2d4,0x1cdb8ec1,0x9b0ee362,0x00ecd300,
    0x007e20f1,0x3a0003f1,0x2d407901,0x2a0a000a,0x202e8005,0x0016a079,
    0x00001e60,0x05a80f20,0x8330012e,0x2034c02c,0x007c403c,0x970001f3,
    0x599a6008,0x01d30008,0xb1344022,0x3e600f88,0x3f91e000,0x0b607d40,
    0x00d305a8,0x0b501e40,0x320000f2,0x03c80003,0x0f4002a2,0x5a80f200,
    0x0fb807d0,0x1aa007a2,0x4d3007e2,0xa817203d,0x000f200e,0x209501e8,
    0x400145e9,0xc8006982,0x69813605,0x003d8000,0x95001c98,0x4b817a60,
    0x042c8000,0x007900b2,0x05f705f5,0x4005d100,0x02edccc9,0x0000db80,
    0x85db9993,0x02fb82fa,0x2bbb23c0,0x360fae20,0x34c16a02,0x54079000,
    0x00007905,0xf9800079,0x01fff301,0x3c8003d0,0x6f4416a0,0x440f6440,
    0x4037203e,0x4d9104f9,0x07dc0ce9,0xbb107b20,0x201e8000,0x177ea21f,
    0x36050005,0xe884b883,0x6c036c1d,0x4c05b883,0x01aa0007,0x37ea21f8,
    0x80012e05,0x3f26fff8,0x03c804ed,0xdfbbfd30,0x2a222001,0x2cc0005d,
    0x00226c00,0x3a60b100,0x000efddf,0x7fd55c78,0x5b02ffee,0x06982d40,
    0x5a80f200,0x90000790,0xb88c4007,0x3ffe603e,0x4001e800,0x8816a03c,
    0x04fedefc,0xeecceeb8,0xdefd8802,0xfc81cfed,0x5000dfde,0x007ddbff,
    0x7dc03d00,0xffa8efed,0x20500051,0xcffedfd9,0xfddfb101,0xbfb3001b,
    0xd8019fdd,0x5cca8003,0x3fb7ee00,0xb81ffa8e,0x26000004,0xffffb80a,
    0x02ffffff,0xb0002aa2,0x800039ff,0x2e002feb,0x007eeeef,0x880ffae0,
    0x7e4000aa,0x55104fff,0x3fffee03,0x4ffffe60,0x0ffffff9,0x1ffffb80,
    0x2e0ffff4,0x7ffd4002,0x2fffffff,0x2dffffa8,0xf100a980,0xffffffff,
    0x3ffff709,0x401fffe8,0x988001a9,0x2aa60001,0x00153001,0x80002a20,
    0x1ffffff8,0x57002660,0x55555555,0xa8807555,0x2a620009,0x0aa88000,
    0x3fffffa0,0x004c003f,0x64009980,0xffffffff,0x0000000f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2ae60000,0x37751000,0x4cccccc0,0x99988000,
    0xb8019999,0x99998802,0x00750009,0x04ccccc4,0x02aea200,0x20019300,
    0x00999998,0x4cccccc0,0x4c419999,0x00998819,0x00133333,0x004ccccc,
    0x4cc404cc,0x54000000,0x300ccc02,0x99999833,0x41999999,0x9816c44b,
    0x99999999,0x26666219,0x99998009,0x4c400099,0x33000999,0x88013333,
    0x99999999,0x26620999,0x44099981,0x99999999,0x10266660,0x33310333,
    0x33100133,0x13331013,0x26601988,0x4ccccc19,0x77e40009,0x904ddfcc,
    0x83dfb9ff,0x6ffffffb,0xffffb100,0x01ffffff,0x7fcc03c8,0x201fffff,
    0xd9bfddf8,0xfffff984,0x2e0751ff,0x0dfdcdff,0x8cfced80,0xffff987b,
    0xfb001fff,0xffffffff,0x7ffec1ff,0x217ffe61,0xfffffffd,0x3fff602d,
    0xb82dffff,0x5ffd83ff,0xfffffff0,0xfdbf7007,0x07fff905,0x3e25fff9,
    0xffffffff,0x263f47ff,0xffffd83f,0x1fffffff,0xfffffffb,0xffffb03b,
    0x8019ffff,0x0ffffff9,0x7ffffec0,0xfd81dfff,0xffffffff,0x3fffa5ff,
    0xd1fffea3,0xffffffff,0x1fffff6b,0x7cc7fffd,0x01ffffff,0x21bfffea,
    0xf31ffffe,0xfff507ff,0x3fffeebf,0x400dffff,0x84f980eb,0x17dc41de,
    0x7d40025c,0x007c1e1b,0x00f000f2,0x09f930c4,0x40ffc1e0,0x50079019,
    0x40077dc4,0x79e40007,0x202c81f0,0x221a605a,0x21a604ea,0x07904ea8,
    0x400002d4,0x207aa0e8,0x11aa01f8,0x10f0790f,0x402c8010,0x2a216a1e,
    0xb505903f,0x6de4001f,0x9305b003,0x500b601f,0x16a02c8b,0x05900f20,
    0x01e006e4,0x07400b50,0x3d007fcc,0x3fb50970,0x89701ec0,0x2075c06c,
    0x0fd4004b,0x6400f83c,0x0003c003,0x34c1e000,0x0007c400,0x0001e000,
    0x207c1e1d,0x9816a02c,0x4c0ba206,0x320ba206,0x00016a03,0xa8020ee0,
    0x7883f106,0x000783c8,0x21e80590,0x207a205a,0x801b202c,0x5b00698f,
    0x02d825c0,0xa80b22d4,0x6403c805,0x1e00bb02,0x3c00d300,0x3a05be98,
    0x1ae04b81,0x3e000fa8,0x7dc3e802,0x80ceffff,0x03e0f02e,0x07800790,
    0x00999980,0x001dc1e0,0x213300f8,0xf000aca8,0x0f344000,0x777ec43e,
    0xefeeeeee,0x34c06981,0x434c0698,0x9816a03c,0x3d000999,0x7b09b000,
    0xf0790f10,0x00133330,0x2a1d8059,0x16435405,0xb5001f10,0x016c00f4,
    0x500b603e,0x16a02c8b,0x85900f20,0x01e004e8,0x889b0f10,0x407ad307,
    0x2204b81e,0x37fee01f,0xaaf980ab,0xcaaaaaaa,0x3ae225c4,0x0781a60f,
    0x80079007,0x3fe600c7,0x41e003ff,0x77765402,0xff880fcd,0x2fecdfab,
    0x2e000780,0x3661c1e4,0xb999999b,0xb00d301d,0x7b00d307,0x416a03c8,
    0x003ffff9,0x3f10005b,0xc8688354,0x7ffcc783,0x042c803f,0x5b00b502,
    0x007c02c8,0xb009916c,0x2d83c405,0x80b20404,0x403c805a,0x000fa22c,
    0x4c1f000f,0x4c1a60fe,0x207a0d56,0x4016c04b,0x4c4feca8,0xcccccccf,
    0x025c3ccc,0x4f025cd9,0xddddb00c,0x0bdddddf,0x4004eabc,0x001e003b,
    0x2666afba,0x3bb200fb,0x1e00fcc0,0x45b007f7,0x02c80327,0x8069816a,
    0xa806984a,0x0b501e44,0x25c00ee0,0x3f16a800,0x041e4040,0x0b200f20,
    0x402d4059,0x9901644b,0x3c41f100,0x0bb016c0,0xc803b0b6,0x32016a02,
    0x2f996403,0xe8007800,0x5a8b7320,0x741ecd30,0x3e204b81,0x25d88000,
    0x12e00078,0x40791f88,0x3301faaf,0x3339b333,0x0f77c013,0xf001dc00,
    0x7c05d800,0x6c03b200,0x13f63c03,0xfaaf83e0,0x2aab3201,0xaa85caaa,
    0x40aaaaeb,0x2baeaa69,0x234c0aaa,0x4016a03c,0x2eaa203b,0x6c002aaf,
    0x3c8004cb,0xc803c800,0x202eaaac,0x645a805a,0x006ecc42,0x2017425c,
    0xecbaaacd,0x2aab3604,0x5566402e,0x805caaaa,0x7cd6403c,0x0078000e,
    0x92e7a1d8,0x7c4d304a,0x825c0f40,0x805104e8,0x000ba0f8,0x6cb6025c,
    0x07f33e02,0x91003c80,0x1dc0007f,0x1f800f00,0x079007c0,0x511e02d4,
    0x67c69801,0x337201fc,0x85dccccc,0xceeefedc,0xfdb934c1,0x69839ddd,
    0x00b501e4,0xccc980ee,0x4c00ccdf,0xaabffbaa,0xfffff900,0x7900bfff,
    0xd999b900,0x5402d405,0x7f777645,0x207a002e,0x666ec05a,0xb00dfedc,
    0x805d999b,0xccccccdc,0x403c805d,0x03fdafdc,0x964003c0,0x81dcf178,
    0x07a26469,0x32a6672e,0x301ea04f,0x0800f98d,0x643e025c,0x000e9e03,
    0x37ee00f2,0x01dc0007,0x00e800f0,0x03c803f2,0x000f016a,0xe9e6672e,
    0x5a80b200,0x16601a60,0x516601a6,0x4017a609,0x0076003b,0xaddaaa98,
    0x266600aa,0x900199cd,0x2d859007,0x16a016a0,0x1db33379,0x2667e200,
    0x3600f999,0x360bea02,0x0b2016c2,0x03c805a8,0x05f50764,0x9dc003c0,
    0x81647a5a,0x07a1e869,0x337bbbee,0x406fd401,0x02eb82e9,0x204b89d5,
    0x07812e5d,0xdb00f200,0x405901e3,0x901e003b,0x3a606dc5,0x80f200fd,
    0x3203c05a,0x7ffffe82,0x5a80b200,0x0ee01a60,0x10ee01a6,0x2efd443f,
    0x36003b80,0x00f20001,0x64001e40,0x0542c803,0x87900b50,0x801fb82c,
    0xfffffffb,0x300b603f,0x00a85b0d,0x00b50164,0x982c8079,0xc80f000f,
    0x323ca5c2,0x21a603b3,0x12e07a6a,0x77decc00,0x2603ffed,0x1efeddfe,
    0xb9999cb8,0x781a60de,0x80790020,0x80b603c0,0xb01e003b,0xffdefc85,
    0x7903fff2,0x01e02d40,0x0787885b,0x2d405902,0x05b00d30,0x505b00d3,
    0xf51dfdbd,0x003b801f,0xcc98003e,0x01ccceec,0x79000790,0x58805900,
    0x907a016a,0xd003aa05,0x5b034c01,0x02d83d00,0x16a02c80,0x05900f20,
    0x203c0132,0x20fad42d,0x1a603d69,0x4b81e9ec,0xcc988000,0x37d10009,
    0xeffffb80,0x1e07b02d,0x00f20254,0x202d80f0,0xb01e003b,0x3602a605,
    0x2d407900,0xa85b01e0,0xc8950785,0x69816a02,0x34c07540,0x99803aa0,
    0x2e0032e0,0x800f1003,0x99cd9998,0x00790009,0x05900790,0x7016a698,
    0x2e40590d,0x03d00d30,0xb07a00b6,0x40590005,0x403c805a,0x001f102c,
    0x74c2d80f,0x00f8f869,0x3a3e60d3,0x00004b81,0x2a80032a,0x88009700,
    0x0950782f,0x03c00088,0x003b80b6,0x8005b01e,0xa80f2039,0x0b603c05,
    0x12a0f079,0x302d4059,0x9807cc0d,0x0003e606,0x003b801a,0x202cc079,
    0x0790003c,0x59007900,0x816a6980,0x402c80e9,0x7007901e,0xf500b609,
    0x590005b0,0x1e402d40,0x03c80b20,0x2216c078,0x07ad84bf,0x1ecc81a6,
    0x200004b8,0x32600598,0x012e00a8,0x3c6b7a60,0x800004a8,0x77016c07,
    0x0b603c00,0x9076f600,0x1e02d407,0x780e85b0,0x202c8950,0x2a1a605a,
    0x21a601fd,0x90001fda,0x1dc01737,0xd8807dc0,0x8001e403,0x03c8003c,
    0x534c02c8,0x203fb50b,0xf835402c,0x5b078800,0x3607ee60,0x202c8002,
    0x403c805a,0x201e602c,0x77c16c07,0x2606eb82,0x207fe206,0xe880004b,
    0x6d4003cc,0xfffff703,0x76dc00df,0xffffffff,0x3fffffe4,0x266fffff,
    0xffffffff,0xff52ffff,0xffffffff,0x3ffffe65,0x2fffffff,0x7dc13000,
    0x7ff41fff,0xfffff31f,0x5fffffff,0x3e2bfff2,0xffffffff,0x43ffff34,
    0x6c2ffff9,0xbdffffff,0x3ffff600,0x0000bdff,0xffa8b6e2,0xffffffff,
    0x3fffff22,0xb80cffff,0x02ffffff,0x7ffffff4,0xfffffa85,0xfb2fffff,
    0xffffffff,0x3fffadff,0xd80bdfff,0x3607ffff,0x9ffff93f,0x29ffff90,
    0xfffffffd,0x7ff40cef,0x2e04ffff,0x3ea3ffff,0x3ffa3fff,0xb6ffffff,
    0x3a0fffff,0xffff30ff,0xffffffff,0xf101fd05,0x3ffff60b,0x3ee1fa83,
    0x006fffff,0x00000260,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x99999998,0x4cc19999,0x06666019,
    0x33333331,0x20199813,0x00ccc199,0x01988333,0x20000998,0x0ccec980,
    0x04400004,0x01002000,0x88026620,0x01750099,0x75100373,0x4cc28137,
    0x05099880,0x00055d44,0x26001573,0x51000acb,0x75100377,0x2001b981,
    0x04cc402b,0x22004cc4,0x00009bba,0x15cc6620,0x4cc402ea,0x4c40d440,
    0x20999819,0x99999998,0x41008009,0x99809998,0x884cc099,0x40200aca,
    0x13333000,0x3e200400,0xffffffff,0x3fff67ff,0xffffd84f,0x3fffff64,
    0x3fee4fff,0x2fffd83f,0xfb07fff9,0x3ffe65ff,0x0bffe201,0xf987d500,
    0x1ed84c9b,0x05ff7000,0xe882aea2,0x2201e402,0xfd106ffe,0xfcfe88df,
    0x813f3f63,0x2feccdfa,0x0ffee1f1,0x207d7ff6,0xdfdcdffb,0x333bf200,
    0xee984ddf,0x03ccfecc,0x3dfb9ff9,0x4bf33f60,0xf003fcfd,0x83ffc80d,
    0x3ea05ffe,0x982eeccd,0x0f98220e,0xbd9f7ff7,0x883f9dd1,0xbfb14ffe,
    0x0fffe8bd,0xfd97ffe6,0x4fffffff,0x8b642e40,0x260efffe,0x3e26ffff,
    0xfecdfabf,0x7c41f982,0x7fffcc01,0x880ee003,0xf8783c87,0x2d869800,
    0x03d10f60,0x007cc354,0x097f01f5,0x30007de4,0x005b03dd,0xf00037ee,
    0x9bf70dff,0x009d7bfb,0x003a0079,0x4c372166,0x0ba25a9e,0x2fa607b2,
    0x2a03c84c,0x901985de,0x2603ae07,0x4417cc4f,0x41de84fc,0x44182fb8,
    0x05f10dcf,0x0f200130,0x03d905a8,0xd7d707d3,0x885f7bff,0xa93fa0ff,
    0x33a72e05,0x01d90720,0x502d87d1,0x2076c01d,0x007c40fc,0x3bb201f1,
    0x7dc0fcc0,0x90017dc2,0x101e4007,0x90f0790f,0x5b079007,0x83541ae0,
    0x01d501f8,0x3e3e03f1,0x00f8f880,0x3e02fd88,0x33f22000,0x87ff9000,
    0x06fa81ec,0x0b200790,0x3cc3b833,0x1ae17f4c,0x77c401f3,0x3aa03c80,
    0x80f88001,0x5d12e03d,0x03644e80,0x3f6003ae,0x000035c2,0x985a80f2,
    0x203e200f,0x213aa2ed,0x3c2e41f8,0x4005fd70,0x20fa20eb,0x201f982c,
    0x80fec1fd,0xc813203d,0x3207b00e,0x801fdc2f,0x80f2003c,0x8783c878,
    0xd80f8069,0x3200f882,0x2e404d84,0x0f2f01f4,0x91007d2e,0x005b007f,
    0x2007fb10,0xe8835419,0x03c802fc,0x6c6f8970,0x87e825c2,0x200b60f8,
    0x5407904b,0x203e0005,0x0f5000fa,0x802f8330,0x887c803e,0x3200000f,
    0x0b616a03,0x207e12e0,0x4b87886a,0x007ee078,0x0ba23ae0,0xd101f980,
    0x017ec43f,0x9007c0d3,0xfb02d407,0xc803fc87,0x322b7a03,0x1e26db8b,
    0x0f41e0f2,0x206e0b50,0x50fc402e,0x5c8fa00d,0x1e869bc0,0x033ee01f,
    0x300034c0,0x3d0005dd,0x01b29d10,0x534c00f2,0x3207c3db,0x5555bb02,
    0x4007c3d5,0x54079069,0x77765405,0xff700fcd,0x0990157b,0x5555f300,
    0x89955555,0xadededb9,0x4c1eaaaa,0x99999999,0x2d407900,0x234c007c,
    0xf103e069,0x5c0f0970,0x3bae0004,0x40ba2002,0x3fa22fe8,0x5a82e803,
    0x0b501e40,0x27ec4fd8,0xda880f20,0x40adffff,0x70283c82,0x90016c09,
    0x745aa00b,0xd53f1001,0xa8b67801,0x3bd503e6,0x003f9800,0x800ef540,
    0x264e8878,0x6ccccc47,0xf009999c,0x868a5de4,0x999d902d,0x803c3999,
    0x54079078,0x26afba05,0x4400fb99,0x16c4feca,0x6667cc00,0x3ccccccc,
    0xd535bfb1,0x3999999d,0x7ffffffc,0x3c86ffff,0x401e16a0,0x3d02d478,
    0x784b8788,0x980012e0,0x7d1000ff,0x3f22fec0,0x3d0b5006,0x16a03c80,
    0x7cc3ff30,0x400f202f,0x64000ff9,0x441e2003,0x003e6007,0x4004ccd8,
    0x27801fea,0x20f8b66a,0xfb8004fb,0x0032a0fb,0x9801fe88,0x20f84d86,
    0xffffffff,0x23b06fff,0x90b5698f,0x74017607,0x79069800,0x05d82d40,
    0x3620007c,0x22000f25,0x905c8007,0x2000000b,0x3a16a03c,0x0f869800,
    0xb8788698,0x012e0784,0x07557cc0,0x7ec026c0,0xe8027ec4,0x0f201a61,
    0x3fa205a8,0x900bfa22,0x172f6007,0xd8007900,0xd1004b82,0x06f88003,
    0xf006e880,0x07c789e8,0x44007ba6,0x01fcb70f,0xf981bf50,0x6c3f10ff,
    0x3c807885,0xe96af200,0xd04b83c9,0x200f600f,0x5407904c,0x0f803f05,
    0x43e20144,0x05d0005a,0x1f902d80,0x79000000,0x01ec2d40,0x106ec264,
    0x970f109b,0x0025c0f0,0x03f50fcc,0xfc8082e4,0x5c01fe43,0x0f200f64,
    0x3fd105a8,0x3c802fe8,0x00fa5b80,0x354003c8,0x04d800f4,0xb0007900,
    0xb8f009b9,0xa807c3cd,0x225c00df,0xd5006aae,0x0bff203d,0x2d41769d,
    0xb5001e40,0x40ee5c79,0x0f6d40f8,0x9803e204,0x2609500f,0x6401d05e,
    0x2603d40f,0x36201746,0x42003e60,0x83fe884b,0x25400000,0x0f885e98,
    0xbf303e60,0x81dbfbbf,0x0784b878,0x3f30012e,0x0b903f50,0x5c2fc83c,
    0x447c402f,0x54079007,0xfd83fb05,0x88079001,0x4003e20f,0x20e8003c,
    0x20d50069,0x4003c802,0x7805f16b,0x007c0ff8,0x1e4033ee,0xb300b7e6,
    0x85fe805d,0x3f105df9,0x44007900,0x81fe20ff,0xd31d51eb,0xf507f221,
    0xf805f705,0x4177ea21,0x7ef4c0db,0x4c06fd40,0xb81fcc2e,0x502eb82f,
    0xe88ba29d,0x07ee1eef,0x0fc00350,0x2a0bbf51,0x442fb82f,0x2e15712f,
    0x425c3c46,0xa8012e07,0xb87e601f,0x5c0f100e,0x2017dc1f,0x79004cbc,
    0x076c2d40,0x3c8007f2,0x20008080,0x24b8003c,0x01f8803c,0x003c803d,
    0x00f983e6,0x03e0a61e,0x260ff220,0x32207c86,0x0ff9803f,0xfa817fd0,
    0x80079003,0x6406e85e,0x37ee2fef,0xbfd300df,0xf7001dfb,0xff51dfdb,
    0xffbdf901,0x6cc7ffe5,0x3ffedefb,0xfdbdfb10,0x6ff4c03b,0x7441efed,
    0xfbabbfde,0x6f800dfd,0x3fb7ee00,0x981ffa8e,0x80efddfe,0x3f218018,
    0x83fee3ff,0xffff94ff,0xc81fffff,0x3e60ffff,0xffff3fff,0x80ffffff,
    0x4405a85a,0x7fdc00ff,0x7fff41ff,0x0e881d31,0x3ffffea0,0x002fffff,
    0x4001e400,0x3a003e78,0x79007a03,0x2e0ba200,0x0f801e06,0xd0bb6600,
    0x5c0ffc47,0x9f7000cf,0x3bf27760,0x32001efd,0x40000003,0x00151029,
    0x20002aa2,0xa9800099,0x554c4000,0x9a988009,0x06a62000,0x2a202a60,
    0x0006a000,0x22000266,0x000000aa,0x00000000,0x00000000,0x00000000,
    0x00000000,0x07900000,0x016ab600,0x803d016e,0x409b003c,0x7c00f04d,
    0x23ea8000,0xf9afdfc8,0x8001bd0f,0x530b506e,0x00770001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x64000000,0x5bb50003,0x7400f880,
    0x5c01e401,0x0782e805,0x000003e0,0x00000151,0x00000039,0x13331000,
    0x5c404cc4,0x20177502,0x980001a8,0x99999999,0xffa81999,0x2002200f,
    0x7ddb7008,0x416f5401,0x3ffe6ffb,0x22220442,0x88888888,0x00400200,
    0x754006a2,0x2d88b71e,0x33333331,0x55541333,0xaaaaaaaa,0x76c2aaaa,
    0xeeeeeeee,0x004eeeee,0x00000000,0x00000000,0x3e000000,0x06ffffff,
    0x7cc03fc0,0xffffffff,0xfffff81f,0xfffe86ff,0x75fffe86,0xf909ffff,
    0x00009fff,0x00000000,0x80000000,0xf98efffd,0x27320fff,0x267321ea,
    0x416eec1d,0x323b105a,0xffffffff,0xfc87ffff,0x302f404f,0xab819ffb,
    0xce884c88,0x7fd46c99,0x3507ffa4,0x7fffffdc,0x82ffffff,0x897fdc7a,
    0x9d9f501f,0xafff4350,0x653e20fd,0xffffffff,0x999913ff,0x99999999,
    0x4c419999,0x99999999,0x00099999,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x10bd107c,
    0x16205989,0x445d815c,0x43c0004e,0x37200ffe,0xd55bd04d,0x643c220b,
    0x3fe62c83,0x9503ff23,0x75c00001,0xf337ff41,0xbb11e985,0x9ffb075c,
    0x33310404,0x13333333,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x261f0000,
    0x416a003e,0x405703c8,0x0009d15d,0x03ff88f0,0x261745ae,0xeb87e60f,
    0x83c47fef,0xb8bfe268,0x000b307f,0x3f203b20,0x131f4c3f,0x503ddd90,
    0x00000005,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2fa8f800,0x3203a600,
    0xb00ae06f,0x200009db,0xf3037d47,0x0d707cc1,0x0f072e5f,0xff8b501d,
    0xce897ea1,0x2666663c,0x21999999,0x880cc048,0x00033004,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2005fcf8,0x82dc00da,0x03fc402b,
    0x2fd8f000,0x1d705f10,0xd0fa87e2,0x25c3dc41,0x983f60ec,0x3ee0984f,
    0xffffffff,0x00002fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xf0000000,0xc801bd5d,0x2e03a004,0x1773a202,0x1be3c000,0xd97203e8,
    0x3ae4fddf,0x41cfdfcb,0xc84ecbed,0x00003f86,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x907c0000,0x087b101d,0x57058811,
    0x05d93a20,0x00ec7800,0xcd985005,0x550ab881,0x08057101,0x00000008,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2e40f800,
    0xb77777e4,0x40ddcec8,0x744eeeed,0x00005d84,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0x000fc40f,0x25400010,0x00000390,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xf8000000,0x00006b80,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40ffffd8,0x000004ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_30_latin_ext_x[560]={ 0,6,3,2,2,2,3,6,7,3,0,1,3,2,
5,2,2,2,2,2,2,2,3,2,2,3,5,4,0,1,0,0,2,0,1,1,2,1,2,1,1,2,2,1,
1,0,0,0,2,1,1,2,1,1,0,0,1,1,2,0,0,0,2,0,5,1,0,2,1,1,2,1,1,2,
2,2,2,0,1,1,0,1,2,2,1,1,0,0,1,1,3,0,7,0,2,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,6,2,1,2,1,
7,1,4,0,0,0,0,2,0,-1,4,1,4,4,5,1,2,5,5,4,3,1,0,0,0,0,0,0,0,0,
0,0,0,1,1,1,1,1,2,2,2,2,-1,0,0,0,0,0,0,3,1,1,1,1,1,1,2,1,1,1,
1,1,1,1,0,2,1,1,1,1,2,2,2,2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,
0,1,0,1,0,1,1,2,1,2,1,2,1,2,2,1,-1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,0,2,2,2,2,2,2,2,2,2,2,0,0,2,2,1,2,1,1,2,1,
2,1,2,1,2,1,2,0,1,0,1,0,1,0,1,1,0,1,0,1,0,1,0,0,1,2,1,2,1,2,
2,2,2,2,2,2,2,2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,1,1,
1,2,3,2,3,2,3,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,3,3,2,3,3,3,
3,3,3,3,3,3,3,3,3,3,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,1,1,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,1,2,2,0,
1,1,1,1,1,1,1,1,1,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,0,1,0,0,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static signed short stb__courier_30_latin_ext_y[560]={ 22,5,6,4,4,5,8,5,5,5,5,7,18,13,
18,4,5,5,5,5,5,5,5,5,5,5,10,10,7,11,7,6,5,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,5,4,5,5,28,4,10,5,10,5,10,5,10,5,5,
5,5,5,10,10,10,10,10,10,10,6,10,10,10,10,10,10,5,5,5,12,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,22,10,4,6,8,6,
5,5,6,6,5,10,13,13,6,3,2,6,5,5,4,10,5,12,21,5,5,10,5,5,5,10,1,1,1,2,
2,1,6,6,1,1,1,2,1,1,1,2,6,2,1,1,1,2,2,9,5,1,1,1,2,1,6,5,4,4,
5,6,6,4,10,10,4,4,5,6,4,4,5,6,5,6,4,4,5,6,6,8,9,4,4,5,6,4,5,6,
3,6,1,5,6,10,1,4,1,5,2,5,1,5,1,5,6,5,3,6,1,5,2,5,6,10,1,5,1,5,
1,5,2,5,6,4,1,1,6,5,2,6,3,6,1,5,6,5,2,10,6,5,1,5,6,5,10,1,0,6,
5,6,5,6,5,6,5,1,4,6,10,1,5,5,6,10,3,6,1,5,1,4,6,10,1,4,6,10,1,5,
1,4,1,5,6,10,1,5,6,6,1,5,6,6,2,6,3,6,1,5,0,4,1,4,6,10,1,5,1,5,
2,1,4,2,5,1,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,6,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,6,10,5,5,5,5,5,5,5,5,5,5,5,5,5,4,10,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,1,5,1,5,1,
5,1,5,1,3,1,1,1,1,1,1,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,-4,-1,1,4,1,4,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static unsigned short stb__courier_30_latin_ext_w[560]={ 0,4,10,12,11,12,11,4,6,6,10,14,7,12,
5,11,11,11,11,12,11,12,11,11,11,11,5,6,13,14,13,10,11,16,14,14,13,13,13,14,14,11,14,15,
14,16,15,14,13,14,15,12,14,14,16,16,14,14,12,5,10,5,11,17,6,14,15,13,15,13,13,14,14,12,
9,14,12,16,14,14,15,15,13,12,14,14,16,16,14,15,11,6,2,6,12,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,0,4,11,13,12,14,
2,14,8,16,9,13,15,12,16,18,8,14,7,8,6,14,12,5,5,8,10,14,16,17,16,10,16,16,16,16,
16,16,16,14,13,13,13,13,11,11,11,11,15,15,14,14,14,14,14,10,14,14,14,14,14,14,13,13,14,14,
14,14,14,14,16,13,13,13,13,13,12,12,12,12,13,14,14,14,14,14,14,14,14,14,14,14,14,15,15,15,
16,14,16,14,17,15,14,13,14,13,14,13,14,13,13,15,15,15,13,13,13,13,13,13,15,13,13,13,14,14,
14,14,14,14,14,14,14,14,14,15,11,12,11,12,11,12,11,12,11,12,16,14,14,10,15,14,13,14,12,14,
12,14,12,14,12,14,12,15,14,15,14,15,14,15,14,12,14,14,14,14,14,14,16,16,15,13,15,13,15,13,
12,12,12,12,12,12,12,12,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,15,16,16,14,15,
14,12,11,12,11,12,11,13,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,15,14,14,12,14,14,14,
14,14,14,14,14,14,14,14,14,14,15,15,14,14,14,14,14,14,14,14,14,14,14,14,14,15,15,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,16,14,11,12,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,16,14,16,16,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14, };
static unsigned short stb__courier_30_latin_ext_h[560]={ 0,18,8,20,21,18,15,9,21,21,11,15,8,3,
5,21,18,17,17,18,17,18,18,18,18,18,13,15,15,6,15,17,19,16,16,17,16,16,16,17,16,16,17,16,
16,16,16,17,16,20,16,17,16,17,16,16,16,16,16,21,21,21,8,2,5,13,18,13,18,13,17,17,17,17,
22,17,17,12,12,13,17,17,12,13,17,13,12,13,12,17,12,21,21,21,5,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,18,18,16,12,16,
21,19,3,17,8,12,9,3,17,2,8,16,10,10,5,17,19,4,6,10,8,12,17,17,17,18,21,21,21,20,
20,21,16,21,21,21,21,20,21,21,21,20,16,20,22,22,22,21,21,10,19,22,22,22,21,21,16,18,19,19,
18,17,17,19,13,17,19,19,18,17,18,18,17,16,18,16,19,19,18,17,17,13,15,19,19,18,17,23,22,21,
19,17,21,18,20,16,22,19,22,18,21,18,22,18,21,18,16,18,19,17,21,18,20,18,20,16,21,18,22,22,
22,22,21,22,21,23,21,21,16,17,20,16,19,16,21,17,20,21,20,12,17,22,22,22,21,22,12,21,22,21,
22,16,17,16,17,16,17,21,18,21,17,21,17,17,17,17,20,17,22,18,22,19,16,13,21,18,21,17,21,17,
22,19,22,18,21,17,22,18,22,22,21,18,16,17,21,17,20,17,22,18,23,19,22,19,20,16,21,18,21,22,
20,21,18,20,17,21,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,20,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,13,17,17,17,17,17,17,17,17,17,17,17,17,17,19,13,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,21,18,21,17,22,
18,22,18,22,20,22,22,22,22,22,22,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,26,24,21,19,23,20,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17, };
static unsigned short stb__courier_30_latin_ext_s[560]={ 511,206,287,57,17,106,107,507,373,333,499,
155,237,367,326,340,401,255,213,13,124,495,1,38,26,91,506,133,93,304,119,
238,278,357,374,279,327,313,389,311,403,418,326,430,446,76,478,341,494,13,341,
136,1,417,16,461,61,46,33,445,402,367,245,399,332,236,103,264,371,278,249,
223,149,210,154,225,336,367,456,339,164,356,384,251,432,324,439,170,398,447,413,
467,508,44,339,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,511,133,413,
256,354,270,507,290,358,477,266,425,221,367,294,380,257,59,184,192,319,195,250,
352,298,201,276,471,92,74,57,50,165,428,244,115,132,285,163,302,425,395,330,
43,78,261,51,223,195,163,94,179,209,29,413,210,392,239,269,299,119,198,28,
119,377,18,61,240,169,479,292,184,450,436,466,365,438,425,379,300,387,133,421,
320,328,29,198,309,140,464,494,225,309,63,344,386,1,154,490,299,70,117,360,
49,375,63,380,92,390,211,344,240,211,136,407,422,319,314,149,285,194,14,90,
256,329,420,435,465,134,480,63,79,104,229,180,349,88,89,365,243,273,392,1,
317,482,486,405,14,450,88,409,99,170,358,495,352,1,102,464,148,494,74,16,
213,77,182,449,149,180,263,1,44,28,109,170,343,155,305,42,187,1,152,474,
463,451,492,114,335,75,181,373,1,142,358,60,405,304,270,285,402,247,477,439,
372,127,166,48,235,45,263,494,227,198,119,232,29,454,279,194,210,324,185,297,
283,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,267,387,387,469,
387,387,387,387,387,387,387,387,387,387,387,387,387,138,204,387,387,387,387,387,
387,387,387,387,387,387,387,387,33,220,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,215,451,
292,436,254,480,224,76,194,179,164,314,284,139,124,109,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,1,18,262,348,33,100,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387, };
static unsigned short stb__courier_30_latin_ext_t[560]={ 1,94,183,73,51,94,169,114,51,28,169,
169,183,183,183,28,94,114,114,114,133,94,114,114,114,114,133,169,169,183,169,
133,73,151,151,133,151,151,151,133,151,151,133,151,151,169,151,133,151,73,151,
133,169,133,169,151,169,169,169,28,28,28,183,183,183,169,114,169,94,169,133,
133,133,133,1,114,114,169,169,169,133,133,169,169,133,169,169,169,169,133,169,
28,1,51,183,133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,
133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,1,114,94,
151,169,151,28,73,183,114,183,169,183,183,133,183,183,151,183,183,183,133,73,
183,183,183,183,169,133,133,133,114,51,28,51,73,73,51,151,51,51,51,51,
73,51,51,51,73,151,73,1,1,1,51,28,183,73,1,1,1,51,51,151,
114,73,94,114,114,114,73,169,114,73,73,94,114,94,94,114,151,94,151,73,
73,94,133,114,169,169,73,73,94,114,1,1,28,94,114,28,94,73,151,1,
94,1,94,51,94,1,94,51,94,151,94,73,114,28,94,73,94,73,151,51,
94,1,1,1,1,51,1,51,1,51,51,151,114,73,151,73,151,51,114,73,
51,51,169,114,28,1,28,51,28,183,51,1,28,28,151,114,151,114,151,133,
51,94,51,114,51,133,133,133,133,73,133,28,94,28,73,151,169,51,94,28,
133,28,133,28,73,28,94,28,151,28,94,28,1,28,94,151,133,28,133,51,
133,28,94,1,73,28,73,51,151,28,94,28,28,51,28,94,73,114,28,114,
114,133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,114,133,133,51,
133,133,133,133,133,133,133,133,133,133,133,133,133,114,169,133,133,133,133,133,
133,133,133,133,133,133,133,133,94,169,133,133,133,133,133,133,133,133,133,133,
133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,28,94,
28,114,1,94,1,114,1,73,1,1,1,1,1,1,133,133,133,133,133,133,
133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,
133,133,133,1,1,28,73,1,73,133,133,133,133,133,133,133,133,133,133,133,
133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,
133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,
133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,
133,133,133,133,133,133,133,133,133, };
static unsigned short stb__courier_30_latin_ext_a[560]={ 254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_30_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_30_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_30_latin_ext(stb_fontchar font[STB_FONT_courier_30_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_30_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_30_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_30_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_30_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_30_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_30_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_30_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_30_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_30_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_30_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_30_latin_ext_s[i] + stb__courier_30_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_30_latin_ext_t[i] + stb__courier_30_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_30_latin_ext_x[i];
            font[i].y0 = stb__courier_30_latin_ext_y[i];
            font[i].x1 = stb__courier_30_latin_ext_x[i] + stb__courier_30_latin_ext_w[i];
            font[i].y1 = stb__courier_30_latin_ext_y[i] + stb__courier_30_latin_ext_h[i];
            font[i].advance_int = (stb__courier_30_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_30_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_30_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_30_latin_ext_s[i] + stb__courier_30_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_30_latin_ext_t[i] + stb__courier_30_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_30_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_30_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_30_latin_ext_x[i] + stb__courier_30_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_30_latin_ext_y[i] + stb__courier_30_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_30_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_30_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_30_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_30_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_30_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_30_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_30_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_30_latin_ext_LINE_SPACING
#endif

