// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_31_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_31_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_31_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_courier_31_latin_ext_BITMAP_HEIGHT        204
#define STB_FONT_courier_31_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_courier_31_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_31_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_31_latin_ext_LINE_SPACING          15

static unsigned int stb__courier_31_latin_ext_pixels[]={
    0x00000000,0x13005500,0x00191000,0x00053055,0x00110001,0x00006008,
    0x00880019,0x00000080,0x54c00000,0x002aaaaa,0x18180060,0x0017b660,
    0x00000400,0x04000000,0x00020002,0x00044000,0x00072e20,0x000005d4,
    0x10000080,0x00020001,0xa8000000,0x0016e002,0xdd0002c4,0x001efb80,
    0x374017a2,0xf50007e4,0x17fd4001,0x1f107900,0x01bb1000,0x0017fd40,
    0x7d0005d1,0x1f440000,0x333332a0,0x6c4000cc,0x5c372004,0x01eea00e,
    0x009d1000,0x44002640,0x26b8003e,0x0fcc007b,0x8003d300,0x360001f9,
    0xf8000d8a,0x1ea8003f,0x00017600,0xf30007d1,0x003ae003,0x44003ae0,
    0x01db002f,0x8000b600,0x51db106e,0x09f3007f,0x07e43740,0x2001fb80,
    0x004e99fc,0x026c43f3,0x2002f440,0x004f99ec,0xd3000fa2,0x9d100009,
    0x88000000,0xdea8003e,0x0078800d,0x0013a600,0x0076ef44,0x005ecfa8,
    0x00fd43ee,0x5c005f50,0x54003fbf,0x2588002f,0x1ed80039,0x17e7e400,
    0x0001db00,0xf50007f3,0xf7db1005,0x33b62005,0x806c802f,0x10000dd8,
    0x1dc0009f,0x0274c5e8,0x3b8005f1,0x1d9004a8,0xb1076c00,0x3bfae00d,
    0x7c4000cf,0x106ec003,0x897c40bd,0xd1007d0c,0x1fcc000b,0x0fa85d80,
    0xd0dcbe20,0x39875c07,0x007881ae,0x0007f300,0x02fb8fea,0x01db0fdc,
    0x03f51fa8,0xb000fdc0,0x0037a21d,0xd8004f98,0x00000390,0x3a61bd10,
    0x007b2004,0xb8002fa8,0x25e8801f,0x274c04f9,0x1fc409f3,0x20002640,
    0x00000ff9,0x11002018,0x88000000,0x300c000d,0x00018800,0x300c000c,
    0x3d817440,0x0005b100,0x84c800ba,0x0ba200e9,0x40b501ec,0x001e205b,
    0xb00015c0,0x6c40b303,0x0e403b80,0x00d80039,0x01641260,0x26001620,
    0x000003dd,0x03910750,0x390015c0,0x40036000,0x200c882b,0x700d882b,
    0x000a001f,0x00000660,0xbbb50000,0x00000000,0x0000005c,0x00000000,
    0x40000000,0x4c00a809,0x00000a80,0x00000000,0xeedb9e20,0x0000001b,
    0x00000000,0x00000000,0x00000000,0xdfec8800,0x00033323,0x00000000,
    0x00000000,0x40274000,0x0001dbd9,0xcccc9800,0x33224ccc,0x404ccccc,
    0x66440ae5,0x3332e3cc,0xbfd9302c,0x644075c7,0x33323dfe,0x3dfec880,
    0xccb83332,0x1ccca81c,0x2a07332e,0x99971ccc,0x66664459,0x2a37c40c,
    0x51be204f,0x9999709f,0x66666445,0x45999970,0x70ccccc8,0x64459999,
    0x7c40cccc,0xfb99aed8,0x166665c4,0x01999991,0x3333332a,0x36e603cc,
    0x20170cef,0x000bdfdb,0x219dfb73,0xdfb7100b,0xccb82e5b,0x333222cc,
    0x999970cc,0x66666445,0x54d67d40,0x80ccf8dd,0x153dfeda,0x02f7f6e0,
    0x05efedc0,0x9eff6d40,0x7bfb700a,0x33332e01,0x33333222,0x1b005f30,
    0xd9100162,0x866647bf,0xccccccc8,0x33333227,0xa96207cc,0xbb999103,
    0x4276665c,0xeda99bfb,0xacfa81fa,0xccf8dda9,0x54d67d40,0x20ccf8dd,
    0xca81cdfb,0x337ee2ee,0x52eeca81,0x544355f7,0x2c80adda,0x0b200e44,
    0x5f750391,0x6ed54435,0x355f750a,0x856ed544,0x221aafba,0x440addaa,
    0x49b103ef,0x221aafba,0x300addaa,0x55bb5555,0x26b3ee05,0x441ebfeb,
    0x4eb99bdd,0x5cd67dc0,0xfa81ebfe,0xfeeca9ac,0x86abeea1,0x50addaa8,
    0x544355f7,0x3e20adda,0x201fd701,0xeeb9adfd,0x4deec42e,0x36204eb9,
    0x04eb99bd,0x3ae6b7f6,0x5eec42ee,0xba84eb99,0x2aa21aaf,0x01f90add,
    0x80162190,0xdda9acfa,0x8800ccf8,0xc80f1007,0xb5000eac,0x03b225c0,
    0x0fc41fe4,0xf880feb8,0x201fd701,0x407c405b,0x207c405b,0x004b8078,
    0x22000000,0x7884b807,0x07884b80,0x0bf104b8,0x01e21f88,0x12e0012e,
    0x3a201d50,0x4413e21f,0x201d503e,0x0fd41fe8,0x07883fb0,0x807884b8,
    0x6c03d84b,0x900fb80f,0x8827c45f,0x104f883e,0x201f707d,0x413e22fc,
    0x807883e8,0x9803ec4b,0xf1001dcd,0x003fae03,0x0f100788,0x5a800530,
    0x00f992e0,0x00f617b6,0x807b01fb,0x807e00fd,0xb807e04b,0x4b807884,
    0x00000000,0x212e01e2,0x884b8078,0xf104b807,0x3c479003,0x5c0025c0,
    0x5003e604,0x2202643f,0x2007cc1e,0x00be61fa,0x807883d1,0xb807884b,
    0x7cc03c44,0x3e204d80,0x3d101322,0x0f4404c8,0x22f88136,0x20f4404c,
    0x744b8078,0x2000c006,0x007ec03d,0x1e200f10,0x02d40000,0xd901f497,
    0x403c43f1,0x403c40f9,0x416e00f9,0x416e00f8,0x807880f8,0x4166544b,
    0x32a0ccca,0x0ccca82c,0x425c03c4,0x884b8078,0xf104b807,0x07896a00,
    0x4b8004b8,0x86c00f20,0x46a800f9,0x641b003c,0x0f103004,0x00f10970,
    0x88069897,0x5c01e80f,0xd5001f30,0x354007cc,0x2617007a,0x446a800f,
    0x3744b807,0x99999910,0x300f1001,0x03c4001f,0xdb730788,0x16a005df,
    0x540f14b8,0x034c970f,0x01a607c4,0x03f003e2,0x703f00b7,0x2e01e20b,
    0x54276544,0x3b2a0fcc,0x40fcca84,0x884b8078,0x7884b807,0x1f104b80,
    0x03c4b500,0x25c0025c,0x990001d0,0x01d07400,0x80007a00,0x884b8078,
    0x34c4b807,0x1ec07c40,0x74009900,0x07400990,0x0264007b,0x403c41d0,
    0x2a03ec4b,0x804dfcaa,0x00f88069,0x3c401e20,0x5ccdef64,0x205a804e,
    0x3e20b54b,0x80699a61,0x4034c0f8,0x42dc00f8,0xf85b801f,0x9700f101,
    0x01f012e0,0x440f8097,0x7884b807,0x07884b80,0x05f104b8,0x403c4790,
    0x04b8004b,0x0b6000f1,0x00f11d80,0x10001e20,0xf109700f,0x01f09700,
    0x3f980fa8,0x6c005b00,0x0ec005b1,0x0b6007f3,0x01e21d80,0x001f912e,
    0x2601e732,0x000f8806,0x03c401e2,0xb5003e20,0x884ba5c0,0x03e3c43e,
    0x01f01f50,0x1f800fa8,0x21f8016e,0x201e205b,0xf809704b,0x07c04b80,
    0x212e01e2,0x884b8078,0xf104b807,0x220f980d,0x8004b807,0x000d304b,
    0x33c8007a,0x01a6000d,0x9700f100,0x09700f10,0x00fe8099,0x0159bf91,
    0xe9e4003d,0x910f2001,0x3d0159bf,0x0f11e400,0x01fb8970,0x200ba3d0,
    0x007d400f,0x1e200f10,0xb500f200,0xd84ca5c0,0x02647885,0x013203fa,
    0x4b7001fd,0xf96e001f,0x2e01e201,0x0f809704,0x207c04b8,0x884b8078,
    0x7884b807,0xbf104b80,0x887d301b,0x8004b807,0x000d304b,0x34b8003e,
    0x01a6000d,0x9700f100,0x09700f10,0xf9b107f1,0xdfb73001,0x970007c1,
    0x04b8003e,0xf83bf6e6,0x7892e000,0x17cc4b80,0x00b734c0,0x00fe8099,
    0x3c401e20,0x80990440,0x2d52e05a,0x2234c1ae,0x0fcd883f,0xcd883f88,
    0xb73f000f,0x0b73f000,0x04b80788,0xb80f8097,0x1e207c04,0x01e212e0,
    0x201e212e,0x3f2f104b,0x882fdbbc,0x0dc4b807,0x034c12e0,0x32002e80,
    0x26000d32,0xfffff306,0x5c03c43f,0x4b807884,0xf979dd10,0x2e0003e9,
    0x64005d1f,0x164005d2,0x0ba3f700,0x01e22c80,0x2017612e,0x1003e23c,
    0x1f9b107f,0x8803c400,0xffffd707,0x733309dd,0xa5c1333b,0x5403e669,
    0xcbcee885,0x3a201f4f,0x1f4fcbce,0x007f6e00,0x1007f6e0,0x2e09700f,
    0x25c07c04,0x00f103e0,0x700f1097,0x9700f109,0xcca89e20,0x700f100a,
    0x25c02d89,0xc8000f88,0x7c47a003,0x20788000,0x443e9999,0x7884b807,
    0x65404b80,0x0003e1bc,0x2003ca64,0x7400791e,0x3ca64001,0x07887a00,
    0x00fa84b8,0x200f607c,0x4fcbcee8,0x03c4001f,0x57744788,0x3f226cc0,
    0x7fffffff,0x2f89f92e,0xcca80f60,0x95003e1b,0x0007c379,0x2fc000bf,
    0x1e400f80,0x407c04b8,0x7c07c04b,0x0f81e400,0x00f81e40,0x007881e4,
    0x879003e0,0xd026402d,0x00d70005,0x0005d1e6,0x40f4007a,0xf81e400f,
    0x0001e400,0x9801981f,0x9e600d76,0x4cf3006b,0x0d769801,0x003e1e60,
    0xa813e079,0x2a006a85,0x003e1bcc,0x8f100788,0x0026406d,0x4edb92e0,
    0xf8001aa0,0x003e0000,0x3a0001e8,0xf809b001,0x0f809702,0x407c04b8,
    0xd817c04d,0x4d817c04,0x078817c0,0x5f013600,0x017402d8,0x431001d5,
    0x544d802e,0x3218800e,0x9b03d005,0x09b02f80,0xf30002f8,0x4b700d70,
    0x744d802e,0x1ae4d802,0x802e96e0,0x7c04d84d,0x16c0f702,0xf80001f8,
    0x401aa000,0x3200fc6a,0x21ec0004,0x00ba206f,0x30003cc0,0x002dc00f,
    0x3dc00b70,0x834c0d70,0x06980fd8,0x0f701fb1,0x40f7035c,0xb81ee06b,
    0x8001e206,0x361ae07b,0xb003e604,0x2a2f980b,0x6c1ae01f,0x3a17cc05,
    0x7b81e803,0x07b81ae0,0x5d8001ae,0x3e202fb8,0x6b807ea3,0x1ae01fa8,
    0x1fc405f7,0x835c03f5,0xd01ae07b,0x5557f107,0x80009d55,0x026c0079,
    0x701744d8,0x7c40009f,0x2a13fae1,0x1760003f,0x2005d800,0x07a0001e,
    0xfb85d900,0x3a617401,0x985d02fd,0x5d902fde,0x76401fb8,0x3200fdc2,
    0x100fdc2e,0x2ec8000f,0x6f440fdc,0xd8017cc0,0x41fd441e,0x075c42fb,
    0xfa883db0,0x500de983,0x70bb203f,0x42ec803f,0xc98001fb,0x1bfeb80e,
    0x3ee1b6a2,0xb8075c42,0x2075c42f,0x2a21bfeb,0x442fb86d,0x0bb200eb,
    0x818803f7,0xeeeeeeeb,0x2ec0007e,0x400ed980,0x07540fd9,0x00737b66,
    0x7cc9d710,0xffdefd89,0x1d930001,0x01d93000,0xa8001aa0,0xbff90006,
    0xdd5003df,0x17fe5ffb,0x4bff7baa,0xbff905ff,0x3f2003df,0x9001efdf,
    0x203dfbff,0x1ffffff9,0xfdffc800,0x6f7dc01e,0x7dc002ff,0x201efedf,
    0x0cfedfe9,0xfedffb80,0x77fe401e,0x6402dfed,0x001efdff,0x03dfbff9,
    0xbfffff30,0x3fa6ea01,0x300cffde,0x019fdbfd,0xcfedfe98,0xefe9ba80,
    0xd300cffd,0x0019fdbf,0x03dfbff9,0x3a00f400,0x0ec98002,0xdfffffb8,
    0x77fffcc0,0xfbdd900b,0x017ff29f,0xe87dffff,0x00054c42,0x1bfffff3,
    0xfffff300,0x7ffec01b,0xfd806fff,0x006fffff,0x30003530,0x15300015,
    0x006a6000,0x8000d4c0,0x998801a9,0x4c000099,0x0d4c001a,0x026a2000,
    0x0001a880,0x88001351,0x4c0009aa,0x3530001a,0x00998800,0x009aa880,
    0x10003510,0xaa880035,0x03510009,0x0006a600,0x0b700d30,0xdfffff98,
    0x00666600,0x4c001333,0x2620001a,0x00000009,0x10001331,0x26200133,
    0x80099999,0x09999998,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x01f10079,0x00009988,0x00000000,0x00000000,0x00000000,
    0x80000000,0xbbbbbbb9,0x44443bbb,0x88888888,0x20620888,0x33332e18,
    0xcccccccc,0x00000ccc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x06be6000,0x000be988,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3ffee000,0x6fffffff,
    0xfffffff3,0xffffffff,0xfd07f29f,0x5dddddd4,0xbbbbbbbb,0x0000000b,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0bffff90,0x01fffff3,0x00000000,0x00000000,
    0x00000000,0x00000000,0x44440000,0x80888888,0x88888888,0x20888888,
    0x001d40c9,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00440800,0x00026062,0x00000800,0x00000000,
    0x00000200,0x00600028,0x01b10790,0x50001100,0x03603901,0x18002200,
    0x00028000,0x00000000,0x03b00040,0x503b0095,0x64003809,0xcccccccc,
    0x3b621ccc,0x82b804ee,0x018000c8,0x2c001000,0x16400488,0x44000000,
    0x88008000,0xe897c403,0xf107f402,0x001d700d,0xd7000fd4,0x01b70001,
    0x0006dc00,0x74c0016a,0x4000ba02,0x97a6004e,0xf98003fa,0x40fc4002,
    0x8006a85a,0x13a002f9,0x0edecc00,0x837f2200,0x07ae000a,0x00df3000,
    0x01ec8bee,0x07b22fb8,0x3e200698,0xaaecaaaa,0x55543daa,0x24e9805c,
    0x6d8004f9,0x005d8000,0x400f20f6,0x2e000dd8,0x3a60000e,0x037cc002,
    0x13e8816a,0x9095009d,0x7e76c405,0x002fb802,0x005f9db1,0x007f3b62,
    0x03f9db10,0x4c002d40,0x0035403f,0x2000dd88,0x8001fced,0x5b8002fa,
    0x3f6af7a0,0x017d4002,0x00037620,0xd001621b,0x3fb9f919,0x0fefb200,
    0x007fa800,0x0037b3a6,0x00dece98,0x0f10034c,0x540790b5,0xf9db1005,
    0x0dd88005,0x03762000,0xdbadf980,0x05e8800f,0x017e7640,0x4001fcc0,
    0x82d407fb,0x009d14e8,0x3274c000,0x00f6409f,0x13e64e98,0x1fd49d30,
    0x3ea4e980,0x77fdc403,0x17d4029c,0x20002e80,0x36e000ed,0x01fb8000,
    0xc9803f00,0x7dc000bd,0x03b60001,0x00b10c80,0x10017700,0x037a21bd,
    0x2000d400,0xb10003d8,0x801a6007,0x3c85a878,0xd70016a0,0x04e88001,
    0x00274400,0x002dda88,0xde88013a,0x54009f30,0x06a0002f,0x992a0b50,
    0x5c000004,0x1b00d882,0x6c415c00,0x3620ae00,0xd882b800,0x515bf300,
    0x01d80bfb,0x700016e0,0x20000005,0x0d50001d,0x01900000,0x40057000,
    0x0001dcd9,0xc81d4000,0x00000001,0xcb800000,0xccccccfd,0x42d43c42,
    0x0016a03c,0x001d4000,0x00001d40,0x5c000800,0xb000d883,0x50000003,
    0x65c0000b,0xccca81cc,0x00000001,0x00000000,0x640f6000,0x1f800005,
    0xccb80000,0x333222cc,0x000000cc,0xccccb85d,0x33333222,0x00000000,
    0xcb800600,0x33222ccc,0x00000ccc,0x677edcc0,0x3f6e0170,0xb73000bd,
    0xb82e19df,0xcccccfdc,0x85a8781c,0x4016a02c,0x153dfeda,0x00000000,
    0xbdfb7100,0xddb102e5,0x0000009d,0x36e20000,0x54172def,0x45999975,
    0x20ccccc8,0xca81cdfb,0x999972ee,0x2e199999,0xcccccccc,0x9999950c,
    0x45999999,0xc983ccca,0x333264cc,0xcccca84c,0x50c40f33,0x99307999,
    0x700b7099,0x99999999,0x2abeea19,0x2b76aa21,0x333332a0,0x6a804ccc,
    0x21aafba8,0x50addaa8,0x99999999,0x66545999,0xcccccccc,0xcccc882c,
    0xfba800cc,0x36aa21aa,0x666440ad,0x5c000ccc,0xbfeb9acf,0x4deec41e,
    0x7dc04eb9,0xebfeb9ac,0x80006981,0x05a8005a,0xeb9adfd8,0x666442ee,
    0xc8800ccc,0xccc881cc,0xacfa80cc,0x81feeca9,0x5c05caaa,0x33222ccc,
    0x333221cc,0x5002cccc,0xdd95359f,0xfbaad43f,0x36aa21aa,0x202dc0ad,
    0x2aaaa0f8,0x50aaaaec,0x555d9555,0x2b76a615,0x5caaaaaa,0x220afee6,
    0x3b222dea,0xcaa982aa,0x2001f11e,0xa882bfb9,0x00f882de,0x57655554,
    0x01e20aaa,0x2ab7212e,0x807baaaa,0x700f102e,0xaadda989,0x25caaaaa,
    0xaaaadda9,0x5505caaa,0x2009bf95,0x204b8078,0x04dfcaaa,0x74403aa0,
    0x4413e21f,0x201d503e,0x06981fe8,0x8005a800,0x807dc05a,0xcaaa82fc,
    0xba8804df,0x5d95506f,0x3601fa81,0x202d401f,0x5541adda,0x2aaa21bf,
    0xa801aacf,0xa87f601f,0x12e01e25,0x012e01f8,0x02d400b5,0x216a0264,
    0x203e605c,0xb12e0069,0x205c8009,0x013200f9,0x07880b50,0x203c84b8,
    0x103cc04d,0x3209700f,0x2642d404,0x332016a0,0x00f10079,0x27320097,
    0x801f3007,0x101321fa,0x400f983d,0x006981fa,0xa8005a80,0xf1026c05,
    0x079cc805,0xa8137e20,0x4402f985,0x402d401e,0x2007c04c,0x0be6001e,
    0x22183d10,0x2e04b807,0xa801f105,0x2016a005,0xe82d404c,0x1e205d02,
    0xb10f2062,0x5d0037bf,0x1f100ba0,0x2202d400,0x3c84b807,0x07b00d50,
    0x825c03c4,0x642d404c,0x7402d404,0x0f1005d1,0x47a00970,0x003c802e,
    0x2003e61b,0xd801e46a,0x80006980,0x05a8005a,0x002e00f4,0x4400ba3d,
    0x0b500f8f,0x20060099,0x404c805a,0x000f400f,0x10060099,0xf809700f,
    0x5a805b81,0x32016a00,0xf9824c04,0x03e02e40,0x102d83fd,0x4c07fd95,
    0xd802e40f,0x1016a004,0x7909700f,0xf9803f10,0x2e01e200,0x49809904,
    0x024c04c8,0x8805b9a6,0x9804b807,0x03a016e6,0xe8013200,0x300003a0,
    0x0b50000d,0x3d80b500,0xb734c000,0x82dde200,0x0001e85a,0x132016a0,
    0x01e801f0,0x400007a0,0x404b8078,0xa801f85b,0x2016a005,0x90014c4c,
    0x3a007ccb,0x3d0f3e21,0xc8176200,0x4c003e65,0x80b5000f,0x984b8078,
    0x4c803d80,0x25c03c40,0x4014c4c8,0x20014c4c,0x1003e23c,0x9009700f,
    0xf1007c47,0x800b6000,0x0000f11d,0xb50000d3,0x980b5000,0x8f20003f,
    0x278800f8,0x3c45a82e,0x016a0000,0x801f0132,0x00f1001e,0x5c03c400,
    0x16e1f804,0xb5002d40,0x05a89900,0x802e9740,0xf16b6e2d,0x200f8001,
    0xd8005d2e,0x880b5003,0x7004b807,0x801f100d,0x904b8078,0x4c805a89,
    0x03e002d4,0x8078807b,0x6c0f804b,0x4001a603,0x4cf2001e,0x06980006,
    0x8005a800,0xdfc8805a,0x81f000ac,0x2a78803d,0x034c5a86,0x2016a000,
    0x2007c04c,0x00d3001e,0x00f11440,0x7cb70097,0x400b5001,0xccec805a,
    0x7cc005dc,0x6c79005c,0x051e0f8b,0x67cc03d0,0x00698005,0x807880b5,
    0x00f9804b,0x078804c8,0x99d904b8,0x9d900bb9,0x5400bb99,0x3c406a85,
    0x16a025c0,0x006981aa,0xa5c001f0,0x1f000069,0x005a8000,0x5cc005a8,
    0x16a00efd,0xb1e201aa,0x034c5a87,0x2016a000,0xccccccec,0x00f400fc,
    0x2a000698,0x12e01e25,0x002dcfc0,0x02d400b5,0x2e5556e4,0x8007e400,
    0x896c3e3c,0x0d5017c7,0x20001f90,0x405a802e,0x804b8078,0x00f8802e,
    0x04b80788,0x0b9555b9,0xb9555b90,0x1f816c00,0x12e01e20,0x407e05b0,
    0x05d00069,0x00699640,0xa8819700,0xeb99882e,0x0b500099,0xb01fb800,
    0xf1007e05,0x316a0f88,0x3fffe60d,0x016a01ff,0x2aaaab72,0x0f400faa,
    0xff306980,0x96a3ffff,0x004b8078,0x54003fb7,0x2016a005,0x4002d44c,
    0x4d2e006a,0x3e34d2e6,0x803e982f,0x1aa0006a,0x0f1016a0,0x05c80970,
    0x1e200b70,0x226412e0,0x544c805a,0x557f1005,0x4409d555,0x2204b807,
    0xeaaaaabf,0x0001f104,0x88f40079,0xd880000f,0x02efedef,0xfffffffd,
    0xd7333103,0x90003333,0x5557f109,0x78809d55,0xf116a5c8,0x1f4cccc0,
    0x132016a0,0x01e801f0,0x26607884,0x896a3e99,0x2004b807,0x02d4005f,
    0x89900b50,0x35400418,0x992eb500,0xfcae8b56,0x5002dfdd,0x02e8000d,
    0x007c02d4,0x80ea80f2,0xf000fc29,0x9903c801,0x26404188,0x3ae01062,
    0x7eeeeeee,0x0f2007c0,0xeeeeeeb8,0x00ba07ee,0x3cc01ae0,0x300000ba,
    0x50000035,0xffffffff,0x20066dff,0xeeeeb869,0x4407eeee,0x0b51f887,
    0x007a003d,0x809900b5,0x300f400f,0x1e800f4d,0xc801f16a,0x0007a003,
    0x02d400b5,0x00ec0264,0xd69801aa,0x044b9f85,0xa8003d91,0x03540006,
    0x0136016a,0x407e205f,0xb0016e4b,0x9902f809,0x04c83b00,0x401e81d8,
    0xf013602e,0x3a00f405,0x1001d502,0x26c01743,0x062003aa,0x30001730,
    0xb8000017,0x1e85b806,0x0f101740,0x2e42d5aa,0x2d401e80,0x03e02640,
    0x934c03d0,0x5a87a00b,0x00be026c,0x2d4002dc,0x9900b500,0x6a803d00,
    0x03e3e200,0x5a807979,0x0006a800,0x016a01f8,0x206b81ee,0x2e92e04d,
    0xd703dc00,0x0f402640,0x307a0132,0x5c0b700d,0x6981ae07,0x17605b80,
    0x0fd45f30,0x01760d70,0x2ff805f3,0x002ff800,0x2fb805cc,0x0d30fe20,
    0x03c40b70,0x0fa0b57d,0x0b5007a0,0x00f80990,0xe8d300f4,0x16a1e803,
    0x0035c0f7,0x0b50003d,0x26402d40,0x1aa00f40,0xb50b7f00,0x005a805b,
    0xb80006a8,0x64016a05,0xb80fdc2e,0x06aa5c06,0xfb85d900,0x3a013201,
    0x0f402641,0x03e200f2,0x0fdc2ec8,0x1f100790,0x2a20f6c0,0x442fb83f,
    0x07b600eb,0xf5007f51,0x01f50001,0x3ae0b700,0x1b6a21bf,0x03e200f2,
    0xb7f303c4,0x54037a60,0x402d401f,0x2007c04c,0xd31a601e,0xa87ea01b,
    0x7dc2ec85,0x400d5001,0x999eb999,0x4f5cccc0,0x4e64c099,0xe9999999,
    0x9eb99881,0x83ee8009,0x2d401ef8,0x9eb99880,0x1f100009,0x4cf5cccc,
    0x37ff2009,0x35f101ef,0x99333333,0xfc8000ba,0x2601efdf,0x999999cc,
    0x33261e99,0x99999999,0x806be61e,0x3200be98,0x201efdff,0x26201af9,
    0x3fee00be,0x2601efed,0x00cfedfe,0xefedffb8,0x000b5001,0x7770016a,
    0x3fa6ea0b,0x4c0cffde,0x3a6201af,0x019f980b,0xffc80bf9,0x882dfede,
    0x999eb999,0x440e6441,0x4cc40af9,0x999999ae,0xbdff906a,0x01885bfd,
    0x03dfbff9,0x7fffffec,0x7fffec06,0xfb1fffff,0xffffffff,0x3fffff23,
    0x1fffffff,0xffffffe8,0x80fec02f,0x00c400fe,0xffffffe8,0x6c10002f,
    0xffffffff,0x00d4c01f,0x3fffffe2,0x0014ffff,0x9006a600,0xffffffff,
    0x3f23ffff,0xffffffff,0xfff91fff,0xffff30bf,0x01a9801f,0x42ffffe4,
    0x00fffff9,0x10004d44,0x2a200035,0x00640009,0x44000c80,0x2aa2002a,
    0xffffc809,0xfffff985,0x17ffff20,0x544017e2,0xfff5009a,0xdfffffff,
    0x897fffea,0x3e27ffff,0xffffffff,0x54406fff,0x2600009a,0x9998801a,
    0x00000999,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0x017b6600,0x00006a00,0x2a036200,0x00010003,
    0x20580003,0xccccca85,0x26002bcc,0x00999999,0x0ae01100,0x00000322,
    0x9012a076,0x2a01b107,0x0153dfed,0x20ee0008,0x82c800d8,0x33322059,
    0xccccc881,0x3c800000,0x00640d88,0x96f7edc4,0x6407200b,0x6c425c00,
    0xc880bc81,0x02cccccc,0x101072a0,0x3bf6e607,0x0d90170c,0x9999509d,
    0x26665419,0xdddd2c88,0x6c81d505,0x00fa8000,0x0000f751,0x5d7000bd,
    0xd917dc00,0x00d90003,0x640009d0,0xda984c84,0xdfdbaaad,0x77774400,
    0x4c003eee,0x4e986ffc,0xffe813e6,0x5406ffff,0x3007b23f,0xd81fd4bd,
    0xeeeb9adf,0x400bfa02,0x09f30de8,0x2fb93e60,0x41beea20,0xc80aecaa,
    0x0fffffff,0xfa86f440,0x7d405d83,0xfeeca9ac,0x1aa16a01,0x7cc37a20,
    0x510bb304,0x03559f55,0x277f3ba0,0x5c2d40fb,0xbfeb9acf,0x220fd81e,
    0xadda986f,0x0bbee60a,0x55fc33e2,0x741fb80a,0x0fe40007,0x40003c40,
    0x37aa005e,0xf3001eea,0x88001bd9,0xe88000ed,0xdf88000d,0x3200fdbb,
    0x000db104,0x85f4c000,0x5f7db101,0xe9800000,0x36000ded,0x1f701fce,
    0xff80bf20,0x7e7e4003,0x6f6c4002,0x9bf1001e,0x00002d40,0x80fe76c0,
    0x03f501f9,0x3ba00fec,0x2002fdab,0xf802fcfc,0x4000f400,0x540f75c2,
    0xe8807545,0x8010101f,0xb817604c,0x004007c4,0x0076c000,0xb8000788,
    0xb85d7003,0x07b1002f,0x000bd100,0x20001db0,0x6400adda,0x300be204,
    0x6c001501,0x0075c003,0x3d880000,0x401b7000,0x80be204d,0x1d500029,
    0x002e4000,0x5403e3e2,0x70000005,0x985e801b,0x00f4402f,0x0005ee4c,
    0x2d800754,0x00000f40,0x01f32d40,0x00001fa8,0x013a2132,0x0000f85b,
    0x00c88000,0x00001e20,0x40040100,0x5000a809,0x15c00007,0x4c800000,
    0xdf102640,0xf1004fa8,0xb8000001,0x0000bdfd,0x0f400000,0x000002e0,
    0x00000000,0x2d416ef1,0x88b3332e,0x000ccccc,0x4c81f500,0x00000300,
    0x016c0000,0x6dc0007a,0x4b500bdf,0x201b003c,0x400bdfdb,0x4027444c,
    0x65c07c2d,0x33222ccc,0x00000ccc,0x99931e20,0xea800019,0x3e20002e,
    0x00027d46,0x20000000,0x400bdfdb,0x2016c04c,0x800e442c,0xccca806a,
    0x884ccccc,0x4eb99bdd,0xcccccca8,0x665c02bc,0x0ccccccc,0x995000f6,
    0x49999999,0xc881ccc8,0x6440cccc,0x000ccccc,0x5a82e9e2,0x10d57dd4,
    0x6415bb55,0xcccccccc,0x21fc1ccc,0x6440001e,0x800ccccc,0xbccccccb,
    0x7402d801,0x5eec4001,0x5a84eb99,0xd880003a,0x04eb99bd,0x003f9932,
    0xba80f85b,0x2aa21aaf,0x99500add,0x99999999,0xe98f1059,0xccb80ccf,
    0x0f6a203c,0xc8859000,0xccccca81,0x91002bcc,0x00199999,0x5ccdeec4,
    0xb813204e,0x50000007,0x555b900b,0xf88f7555,0xa987d104,0xfdbaaadd,
    0x9555500d,0x4c15555d,0x2b72003f,0x27baaaaa,0x5506fba8,0x555015d9,
    0x44009bf9,0x216a1aa7,0x444b8078,0xaecaaaaf,0x36c3daaa,0x2a0000f1,
    0x804dfcaa,0xcaaaafba,0x00b601fe,0x27c4003d,0x8ad43e88,0x13e20007,
    0x54c81f44,0x216c005f,0x700f100f,0xaeca9809,0x4daaaace,0x017d4788,
    0x201b732e,0x0000003c,0x5556ed4c,0xa800dfdb,0x004dfcaa,0x0fa209f1,
    0xbd731264,0x4c000001,0x02aaecaa,0x3226c079,0x640f4404,0x200db104,
    0xdfc8805a,0x407900ac,0x04df884d,0x4e64016a,0x7b1e2007,0x807885a8,
    0x2d43c44b,0x4c3f21e4,0xcc800006,0x40f10079,0x805b02fa,0x0132001e,
    0x69ad43d1,0x10132000,0xff59903d,0x3e16c007,0x9700f100,0x416cf200,
    0x3b27884b,0x40354001,0x0000003c,0x1b620990,0x00f39900,0x03d10132,
    0x5ffffff9,0xa82cca80,0xeea80ccc,0xc80deefe,0x0f98d503,0x04c86a80,
    0x16a00be2,0x1dfb7300,0x20d503c8,0xb500f8f8,0x01747a00,0x507c4788,
    0x9700f10b,0xc85a8788,0x0698fd43,0x5d1e8000,0xf980f100,0x0f404c80,
    0xa800f980,0x0034d6a6,0x6a800f98,0xee99eec8,0x07c1f800,0x04b80788,
    0x2e0b63d0,0x01db7884,0x7900d500,0x05995000,0x99019995,0xd0017c40,
    0x1f300ba3,0x8990d500,0x765404f9,0x00fcca84,0x41e402d4,0x002641f8,
    0x6404c81d,0x0005a804,0x10790fdc,0x2dde203f,0x269805a8,0x90f1005b,
    0x03c42d4b,0x2a1e225c,0x97cc3c85,0xffff3069,0x734c03ff,0xb00f100b,
    0x2017f309,0x04c8401e,0x69ad43a0,0x40099000,0x3207640e,0x3e1b2606,
    0x9700f100,0x416cf100,0x2fef884b,0x900d5000,0x033bb6a7,0x65427654,
    0x404c80fc,0x5cd3004c,0xd0026405,0x5e884c81,0x07c04b80,0x026016a0,
    0x800b60f6,0x3602641d,0x0005a802,0x360264c8,0x82e9e203,0x223c805a,
    0x8878800f,0x0f10b51f,0xb50f0970,0x13f98590,0x74cccc0f,0x1f11e403,
    0x78807880,0x07a07fb0,0x4005b698,0x03e2b51d,0xd800b600,0x04d82641,
    0x201f05fd,0x804b8078,0x1108b65a,0x03f37f10,0x7900d500,0x1fb735d9,
    0x03e025c0,0x005b0132,0x200f88f2,0x9076002d,0x2e01f409,0x2a007c04,
    0x20d70005,0x90f2001e,0xa803dc09,0x26006605,0x22035c06,0x016a1aa7,
    0x1007b03e,0x42d5aa0f,0x004b8078,0x8bea00b5,0x803d001e,0x2201ec0f,
    0xeb81f007,0x69807a00,0xa9e4003d,0x3a000ba5,0x990f2001,0x7d403e20,
    0x078807c0,0x23c804b8,0x7880972d,0xd50007e6,0x320bf900,0x1f012e03,
    0x03dc0990,0x203d81f0,0x90f2001e,0x700fc409,0x5400f809,0x00f98005,
    0x225c001f,0x37ae624c,0x5c0b5000,0x2605b806,0x363c400f,0x16a02d43,
    0x81e201aa,0x07885abe,0x0b5004b8,0x05c87ee0,0x42d403d0,0x803c406a,
    0x3a01ec1e,0x007da601,0xea96a970,0x01f18800,0x813225c0,0x1f07a04c,
    0x12e01e20,0xecdd87e0,0x3e63c404,0x201aa001,0xb81e605c,0x26407c04,
    0x001bd731,0xf81aa16a,0x9912e000,0x12e05b80,0x05a801f0,0x0ba02e80,
    0x7fe42c80,0x4002ffff,0x80bee05a,0x00ba03f8,0x541f11e2,0x1f816c05,
    0x7f303c40,0x9700f10b,0x64016a00,0x7401f40f,0x0fc0b601,0x07a00f10,
    0x201e805b,0x64005d69,0x405d8b52,0x4005d2f9,0xf302642c,0x403e16c0,
    0x404b8078,0x26d66c79,0x07ea1e20,0x1e403540,0x025c03e0,0x3fff203e,
    0x6c002fff,0x0ba03f02,0x33262c80,0x202fa009,0x2007c04b,0x02e4005a,
    0x41e800f2,0x0027cc4c,0xbfeb816a,0xc81b6a21,0xb90f1005,0x57f102d4,
    0x809d5555,0xbf9019f9,0x09700f10,0x2ec016a0,0xfa806f4c,0x5557f101,
    0x3c409d55,0x416c0f80,0x999ae998,0x0796a999,0xd85a8f40,0x91fd441e,
    0x930f4007,0x06fa0139,0x2201f0b6,0x5c04b807,0x752eaaae,0xfb83d440,
    0x4035401a,0xb807c03c,0x26407c04,0xf88013e6,0x4eaaaaab,0x8f400790,
    0x01fffffc,0x04b81ff5,0x016a007c,0x72980ea8,0x321e600d,0x2005e884,
    0x3a6ea05a,0x00cffdef,0x885301d5,0x0b51f887,0x7777775c,0x3ff207ee,
    0x05f885ff,0x003c801f,0x05f100b5,0x7f6f7fe4,0x3bbae02d,0x207eeeee,
    0xd8688078,0x7ffffc42,0x6fffffff,0xa9e600d7,0xfdbff705,0x3006b83d,
    0x7ffffe4f,0x6c4ffa81,0x01f007c2,0x776c03c8,0xf9802fee,0xffffa87f,
    0x3ae66623,0x03c81999,0x404b807c,0xe884c80f,0xdddd7005,0x2e0fdddd,
    0x000f3006,0x1f012e00,0xf1005b80,0x02e92e03,0x204c84d8,0x00b5003e,
    0x1004ed44,0xf112e03f,0xd02d5aa0,0x0002e803,0x3e026c00,0x700b5002,
    0x26aa200f,0x7401e800,0xb700f102,0x800005b0,0x2a4d802e,0x004f4c05,
    0x009b005d,0x0f85b000,0x05f01360,0x2816c0f8,0xfff10000,0x9fffffff,
    0x807c03c8,0x6407c04b,0x3a00fa04,0x2e817401,0xb9804d80,0x441a6000,
    0x017400fd,0xa92e04d8,0x641ae01f,0x2007e204,0x0f44005a,0x44b81360,
    0x16afa078,0x02dc034c,0x5c006e60,0xa801ae07,0x3004f805,0x01a60037,
    0x203c416e,0x002d81f8,0x1fa80373,0x80b51ae0,0x0fd401e8,0x2e600d70,
    0x0f85b001,0x06b81ee0,0xf816c34c,0x0006e600,0x00f2007a,0x441a601f,
    0x204c80fd,0x01a601f8,0x00fd416e,0x02dc00d7,0xfbd30ba0,0xb803d405,
    0x3ee25c06,0xc8075c42,0x5402dc04,0x00d98005,0x444b80d7,0x416fe607,
    0x00f8803c,0xd9003540,0x2001fb85,0x007d405a,0x0f200d50,0x1e203e20,
    0x07882e88,0x7dc03540,0x2a075c42,0x400d9805,0x075c42fb,0x2a00d500,
    0x3b2007c5,0x3200fdc2,0x01f02d83,0x254006a8,0x07c03c80,0xfde985d0,
    0x2dc04c82,0x1f100790,0xd710bee0,0x0b777001,0xffdeea80,0x33aebff2,
    0xaf8802ee,0xc9999999,0xfedfe984,0x1399300c,0x26605f40,0x00999eb9,
    0x7c41af36,0x9999999a,0x80cfcc4c,0x1af985fc,0x002fa620,0x9001aeea,
    0x003dfbff,0x133d7331,0x2ea007d0,0x1af9806b,0x502fa620,0xf933333f,
    0x2007f907,0xd3006bba,0x5019fdbf,0x03566c0b,0xcfedfe98,0x0d775000,
    0xccf97740,0xfbff901c,0x22e9803d,0x9999be98,0xd77500f9,0x298e8800,
    0x26019b10,0xbdd5009f,0x997fe5ff,0x2fa009cc,0x100d7cc0,0x3a6017d3,
    0x000cfedf,0x4c000551,0x01ba800a,0x3ffffe20,0x204fffff,0x7fe401a8,
    0xff501fff,0x3fffff61,0x2a01ffff,0xffff100a,0x49ffffff,0x885ffffc,
    0x7fffe45f,0xfffff985,0x000aa800,0x74003530,0x1fffffff,0x02aa0014,
    0x0bffff90,0x21fffff3,0xeffffffd,0x8001501b,0x544000aa,0x2600c401,
    0x0d44000a,0x000aa800,0x1aaaa8cc,0x6400d4c0,0xfffd3fff,0x01ffffff,
    0x54000554,0xfff982dd,0x2fffe41f,0xf9002a60,0x2a03ffff,0xffff90ff,
    0xfffff30b,0x000d4401,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x164c0190,0xca801000,0x665c1ccc,0x6c7700cc,0xd903aa00,0x66666440,
    0x0000000c,0x5002c980,0x99999999,0xc9805999,0x2a003dfe,0x4400041c,
    0x40010001,0x0004e86c,0x00403000,0x01800640,0x20080040,0x55154001,
    0x100880c0,0x400400c0,0x3260edc0,0x77642c80,0x6400203e,0x03901b01,
    0x20040036,0xccccccca,0x903aa0cc,0x3207540d,0x88000006,0x3f3f205e,
    0x5402ea9d,0x3ee605dd,0x6ed540aa,0x00f8f202,0x80fd07ee,0x04dfcaaa,
    0xfffffd80,0x5f6c007f,0x981faade,0xaaaaadda,0x3ee05caa,0x00edb99b,
    0x5cefe774,0xdff3000f,0x376e009f,0x441fb004,0x3ff2006f,0x100fffff,
    0x004e889d,0x3a2017a2,0x7ff4c04f,0x441e403f,0x23f5000f,0x87f101fa,
    0x83d902f9,0xbffb106c,0x7d43f607,0xd11ed85f,0x4daa981b,0xb5003fd0,
    0x216a0d50,0x05fb006a,0x5765554c,0x20fe42aa,0xd07ee07e,0x7fffe40f,
    0xe8800fff,0x3faa1404,0x80ae5803,0x404b8078,0x01003e2d,0x0f399000,
    0x28000000,0x32017754,0xec82d404,0x2201f900,0x007bae22,0x09b317d4,
    0x40032588,0x00000080,0x3ea3b620,0x013a2003,0x03b633e6,0x3ae273ea,
    0xd887e206,0x263f5004,0x46f4401f,0x57dc02fb,0x5dd00de8,0x3fd09d51,
    0x7dc0bfa2,0x04b803fc,0x37a005ff,0x3a02fdab,0x002fdabd,0x2d4007fd,
    0x00800040,0xf8800000,0x44000003,0x07880ea5,0x896c04b8,0xd0000007,
    0x00000ba3,0x64000000,0x7cc2d404,0x0002e400,0x3e20ba00,0x01b92600,
    0x00000000,0x000f7dc0,0x5f5007f1,0x0be21fb8,0xdfd701f4,0x5f10019f,
    0xfc800be2,0x7fd3000e,0x42d82d40,0x74c001fd,0x26097001,0x5ee4c002,
    0x0bdc9800,0x5000a200,0x0000000b,0x03000000,0x99999970,0x66401999,
    0x01e200ea,0x223d012e,0xccccca87,0x02cccccc,0x400b734c,0x0cccccc8,
    0x81ccc880,0x40ccccc8,0x7424c04c,0x881f8803,0x00cccccc,0x016c0b70,
    0x22016ef6,0x00cccccc,0xcccccca8,0x802ccccc,0x00180009,0x0d706011,
    0x00c4035c,0x200060c0,0x40188002,0x6c1f102d,0x4000000f,0x0000004b,
    0x00000000,0x999702d4,0x21999999,0xc983ccca,0x3332e4cc,0x00cccccc,
    0x2aaa7100,0x0aaaaeca,0x3c4014c0,0x47a025c0,0xadda9869,0x5caaaaaa,
    0x01f11e40,0x6fe55540,0x6fba8804,0x815d9550,0x22014c4c,0x5412e007,
    0x004dfcaa,0x4025c05b,0x2aaa002a,0xa9804dfc,0xaaaaaadd,0x000005ca,
    0x26400000,0x00000f30,0x00000000,0x6c01f100,0x65403f61,0xcccccccc,
    0x2e9702cc,0xcccccccc,0x9999950c,0x45999999,0xcccccccb,0x999950cc,
    0x59999999,0x55502d40,0x15555d95,0x220afee6,0x2aaa2dea,0x0aaaaeca,
    0x17dfd950,0x016a09d1,0x80788000,0x6987c04b,0x0b501320,0x001ec0f8,
    0x20079cc8,0x16a04df8,0x5016a264,0x402d400b,0x3d0079cc,0x0009b530,
    0x079cc800,0x4b501320,0xcca82cca,0xdfd7300c,0x3ae60719,0x1e638cef,
    0x3b2a05b8,0xd95003df,0x36e007bf,0xb9803dee,0x2638cefe,0x8f915c06,
    0x55bb5338,0x0b955555,0x6555552e,0x530aaaae,0x555555bb,0x55554b95,
    0x30aaaaec,0x55555bb5,0x2d40b955,0xb900b500,0x2a007cc0,0x9bfd8805,
    0x204efeb9,0xdb73005a,0x03c405df,0x7ffec25c,0x45ffffff,0x502d404c,
    0x2000d50b,0x22005d1e,0x0b500f8f,0x177333b2,0x3c400970,0x802e8f40,
    0x3bbf620f,0x2a0b32a4,0x1e800ccc,0x0132005d,0x427654b5,0x7440fcca,
    0x7fdb9ace,0x5cd67744,0x441fc7fd,0x337f902f,0x7e403db5,0x01eda99b,
    0xfb55bfd3,0x59dd101d,0x1f8ffb73,0x547c93a0,0x16a02646,0x805a825c,
    0x502d404c,0xa809900b,0xa8016a05,0x3a05d005,0xd805a802,0x02fe880d,
    0x37b2016a,0x104eb99b,0x2609700f,0x19dc99f9,0x024c04c8,0x0007e05b,
    0x8802dcd3,0x416a0b77,0x05caaadc,0x0f100264,0x1016e698,0x4970db8f,
    0xcca84eca,0xb734c00f,0x93013200,0x40f80970,0xd71ee06b,0x3ba23dc0,
    0xb903fdab,0x3203ea01,0x881f500d,0x2e1b204e,0x09d1ee06,0x5c7b97ae,
    0x16a02646,0x805a825c,0x502d404c,0xa809900b,0xa8016a05,0xc81f3005,
    0xb80b5005,0x0d7bd106,0x220002d4,0xb807880f,0x04b9e204,0x20053132,
    0xaaaaabf8,0x11e4004e,0x74f1001f,0x89905a82,0x002dc05a,0x223c80d3,
    0x1f1e200f,0x2025c25c,0xf11e400f,0x29899001,0x07c04b80,0x5b8b016e,
    0x7ffd42c0,0x801d506f,0x2007545c,0x7403645c,0x31602dc4,0x269eb85f,
    0x1323dc6b,0x412e0930,0x404c805a,0x2016a049,0x5024c04c,0x002d400b,
    0x8007ccb9,0xd80f405a,0x16a05f15,0x220f2000,0x2604b807,0x44c80f26,
    0xddd7005a,0x00fddddd,0x401ec0f8,0x16a1aa78,0x81062264,0x016a0069,
    0x2203d81f,0x70971a67,0x7c00f809,0x26401ec0,0x012e016a,0x01bf881f,
    0x20037f10,0x1db50beb,0x41f002d8,0x7c1f002d,0x7c47a802,0x3bea001b,
    0x2a698eec,0x31323dc6,0x5412e005,0x14c4c805,0x9900b500,0x16a00298,
    0x74005a80,0x2d4005d2,0x8bb01f10,0x000b504d,0x07826411,0x655443d8,
    0x82addaae,0x05dcccec,0x02e803d0,0x00d50b50,0x2d43d8f1,0x41d804c8,
    0x407d001f,0x2206a85a,0x709707c7,0x2a00f809,0xec806a85,0xb805dccc,
    0x6c407c04,0x100bceff,0x8179dffb,0xe8b900fa,0x0f45b001,0x99f12d80,
    0x99999999,0xeffd881f,0x2ea200bc,0x645a96a1,0x016a2647,0x805a825c,
    0x5002d44c,0x5a89900b,0xa8016a00,0x2e7cc005,0x78816a00,0x504b85d8,
    0x3ffae00b,0x3904eeff,0x3a617c40,0xeefeefee,0x5556e40d,0x8069805c,
    0x205b005b,0x223c401f,0x26416a0f,0x016e0f40,0x205b01aa,0xeb8f101f,
    0x04b84c9b,0x205b007c,0x556e401f,0x04b805ca,0x32a2007c,0x654402fe,
    0x981322fe,0x2d8007c7,0x896c003e,0xaaaaaaaf,0x2200aaaa,0x4002feca,
    0x83f2043b,0x05dcccec,0x016a0970,0x177333b2,0xec805a80,0x2005dccc,
    0x016a005a,0x50003f20,0x1762f80b,0x405a81e4,0x6cc0aee8,0x35c0d304,
    0x202e92e0,0x6402d44c,0x400f8803,0xaaaaabf8,0x643c404e,0x026416a5,
    0x80fa20f4,0x2fe202e8,0x04eaaaaa,0xfdd9303e,0x00f80970,0x555557f1,
    0x544c809d,0x7c04b805,0x00fcc000,0x00ba3f30,0xe800f43d,0x0f4007a1,
    0x2000001f,0x3f1001f9,0x3720fd80,0x7005caaa,0x32016a09,0x005caaad,
    0x2b72016a,0x2a005caa,0x0016a005,0x16a001aa,0x44176db0,0xd80b501f,
    0xdd026406,0x5c01fb85,0x44c807a4,0x2be60418,0x02fa6201,0xeeeeeeb8,
    0x43c407ee,0x930b51f8,0x33333339,0x1bd103d3,0x75c03f98,0x7eeeeeee,
    0x2e0007a0,0xeb807c04,0x7eeeeeee,0x10622640,0x20f80970,0x913d8048,
    0x81367b00,0x201320f9,0x4c026479,0x44001ec7,0xb003d804,0x643fb00b,
    0x4b802d44,0x89900b50,0x016a005a,0x980b5132,0x0999eb99,0x2a0016a0,
    0x405a8006,0x9b00edf8,0x07e02d40,0xffc80990,0x3c801efd,0x804c803e,
    0xbffff91d,0x1fffff30,0x05d007a0,0xb56a83c4,0xffffffc8,0x01ffffff,
    0x5ffbdf91,0x2e803d00,0x97000990,0x03d00f80,0x013202e8,0x220d3076,
    0x003e60fd,0xd003e67d,0x36403ea7,0x2e880be2,0x5d1017c4,0x21801f88,
    0x01f400f9,0xd0a607dc,0x0622643f,0x2d412e01,0x10622640,0x26402d40,
    0x7fe41062,0x0fffffff,0xd5000b50,0xb00b5000,0x05e8839f,0x80ba02d4,
    0xce8804fb,0x0f8f2001,0x07a01320,0x2603b800,0x2205b806,0x016afa07,
    0xfc801e80,0x00d3000b,0x003e60b7,0x3f620d30,0x5b806980,0x07a01320,
    0x5fbd30ba,0x64c0f7cc,0x303df30e,0x3176c1d9,0x07f301f9,0x0fe609d3,
    0x1fd413a6,0xdf30ed98,0x401d9303,0x7fcc0ee9,0x04c83f64,0x504b81d8,
    0xb009900b,0x32016a03,0x3d01d804,0x4002d400,0x05a8006a,0x6ff5cf64,
    0x05a803fe,0x3b660754,0x006801cd,0xc80f12d8,0x0001e804,0x10079016,
    0x981e201f,0x730005bf,0xbccfd880,0x0790b50a,0x37201f10,0x2e805440,
    0x6417ef4c,0x900f8803,0xd503d009,0x3fe5ffbd,0xbdfd5d15,0x57441bff,
    0x0dffdefe,0x0efeffb8,0x3f7bf620,0x77ec402f,0x6c402ffd,0x43ffedef,
    0xfdefeae8,0x3bbe20df,0x9ff303ef,0x74026408,0x0b504b81,0x03d00990,
    0x0132016a,0x0012a07a,0x0d5000b5,0x7540b500,0x2600d4c0,0x0999eb99,
    0x4ffdeec8,0xad80bff9,0x12e800a8,0x4ce64c0f,0x1e999999,0x12f2e000,
    0x4c4035f3,0x19f980be,0x4000bf90,0xdfe82bae,0x2effecbc,0x3100d7cc,
    0x9db1017d,0x2a01dfb7,0xff2ffdee,0x100d7ccb,0xcc9817d3,0x99999999,
    0x002a601e,0x00135530,0x88013553,0x2a2000a9,0x5544001a,0x4d4c4001,
    0x13553000,0x29800cc0,0x1e804c80,0x00b504b8,0x203d0099,0x804c805a,
    0x298e881e,0x33d73330,0x2e662013,0x2660099e,0x00999eb9,0xffffb000,
    0x203fffff,0x220001a9,0x417003ec,0xfffff903,0x3fffffff,0x20a98000,
    0x985ffffc,0x320fffff,0xf885ffff,0x0ae20005,0x3f202004,0xff985fff,
    0x99500fff,0x02a60017,0x0bffff90,0x21fffff3,0xfffffffc,0x001fffff,
    0x00000000,0x00000000,0x00000000,0x20000000,0x99999cc9,0x9971e999,
    0x75cccc9d,0x664c0999,0x99999999,0x3ae6661e,0x664c0999,0x99999999,
    0x03bb501e,0xfffffffb,0xfffd03ff,0xfb05ffff,0xffffffff,0x00000003,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xffffff90,
    0x23ffffff,0xffb1aaaa,0x3fffffff,0x3ffffff2,0xb1ffffff,0xffffffff,
    0x3ffff23f,0xffffffff,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x54000000,0x01eeeeed,0xddddd973,0x00c0301b,0x80200c01,
    0x10000001,0x70000400,0x00002003,0x00300126,0x90008044,0x02018001,
    0x02000640,0x01b80018,0x20001880,0x0dc00018,0x40001900,0x89100018,
    0x000dc004,0x80001700,0x000c400a,0x0c8006e0,0x80062000,0x4c018818,
    0x32000980,0x200ba800,0x4c2b81cc,0x01a59cfe,0x02ec41bd,0x406c83d9,
    0x300f883c,0xa80039d9,0x9504ffec,0x40019fff,0x3f6200ed,0xf30003ef,
    0x077e4007,0x01e825c0,0x3a001fc8,0xb8027445,0x20f2001f,0x3b6000f8,
    0x1ff4c000,0x01ff4c00,0x2000ed80,0xe98001fb,0x25e8003f,0x03b6005d,
    0x1eff64c0,0xe80001d7,0x00ffa602,0x700076c0,0xfd30003f,0xd0bf2007,
    0x51be201f,0x1bb1009f,0x307ffb80,0xdf115c0b,0x3b201a58,0xfb804f99,
    0x4400de8a,0x4413621f,0x2001b30d,0xd0311bfc,0x1fb5113b,0x4c05e880,
    0x009d50cf,0xd1002fa8,0x8805f71b,0x8017222f,0xdb1002fb,0xb8007f53,
    0x43f1002f,0xbb1004d8,0x8afb8001,0x7f5000de,0x22001bd1,0xfa8000dd,
    0x22bee002,0x4bb000de,0x1bb1005d,0x266fee00,0x2a1faeda,0x65c1cccc,
    0x3ee06ecc,0x1000de8a,0xf50001bb,0x457dc005,0x064c00de,0x8859012e,
    0x02f4401c,0xb80fffd8,0x2fb82602,0x3ea00d2c,0x3fa6002f,0x3bfae003,
    0x983700cf,0x006f4403,0x80bd01d4,0x884d804e,0x03f5001f,0x7f30fe20,
    0xdfefda80,0x00fd4001,0x0003ff70,0x75c007ea,0xd000cfef,0x83d70009,
    0x0f5c00ec,0x13a003b2,0x005f3000,0x00ec83d7,0x400d92e4,0x03b2004e,
    0x3ee61fe4,0x6ed540aa,0xd907ae01,0x0009d001,0xeb802f98,0x00007641,
    0x3e200000,0x13fa6004,0x0db002cc,0x0130034b,0x20003100,0x0b058018,
    0x200005c8,0x4c00c07a,0x2009900f,0x880c0008,0x00051000,0x04c00088,
    0x00022000,0x00300031,0x400c0260,0x06003009,0x40044000,0x83003009,
    0x3000c001,0x42f6c01f,0x404b8078,0x06003009,0x40044000,0x00003009,
    0x00600000,0x5ded8800,0x34b0fb00,0x00000000,0x541b8000,0x0003ea03,
    0x80007980,0x001e606c,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xd0000000,0x0fc76407,0x012e01e2,0x00000000,
    0x20000000,0x503dfeca,0x99950599,0xb0000001,0x2e017541,0x880d2c1f,
    0x071cefdc,0x01eff654,0x03deedb8,0x00754ba2,0xc8000079,0x9dfb9104,
    0x7c04d8e3,0x0676dc40,0x64403bd7,0x2071cefd,0x02efedb9,0x07bfd950,
    0x5dfdb730,0xdfdb7300,0x20b32a05,0x7300ccca,0x2205dfdb,0x9500cccc,
    0x0b32a399,0xca83332a,0x0ccca82c,0x32a0b32a,0xdb7300cc,0x332a05df,
    0x00ccca82,0x40f7bb6e,0x5c3ea078,0x25c03c44,0x1eff6540,0x3dfeca80,
    0x7bddb700,0x37bb6e00,0x99bfc803,0x76541eda,0x40fcca84,0x003cccc8,
    0x06e442c0,0x0d2c3fb0,0x6dcd5fdc,0x37f907df,0x2603db53,0xefdaadfe,
    0x817b7100,0x00003a29,0x7dc0f644,0x7dfdb9ab,0xf83d00ba,0x5d96c9ac,
    0x57f705f9,0x90fbfb73,0x9d7337bd,0xa99bfc80,0x7bd901ed,0x6409d733,
    0x4eb99bde,0xca84eca8,0xbdec80fc,0xb884eb99,0xf9500cdf,0x213b2a3b,
    0x32a0fcca,0x0fcca84e,0x32a13b2a,0xbdec80fc,0xca84eb99,0x0fcca84e,
    0xdaadfe98,0x882d40ef,0x0f11a61f,0xbfc80970,0x201eda99,0xeda99bfc,
    0x55bfd301,0x3a601dfb,0x0efdaadf,0x3ea01b90,0x07c04b80,0x01b73322,
    0x36609500,0x96f7ee03,0x2201d506,0x500dc87f,0x204e881f,0x3ae6006c,
    0x7f5cf11c,0xdfdb003e,0x2201d501,0x5b007e7f,0x6a8fdb00,0x7f880754,
    0xc807c400,0x001f500d,0x88000f88,0xf809700f,0x807c4000,0x701f002d,
    0x4b80f809,0x025c07c0,0x1f10003e,0x81f012e0,0x71b204e8,0x7887d109,
    0x025c03c4,0x03ea01b9,0x07d40372,0x86c813a2,0x21b204e8,0x42e400ea,
    0x2007c04b,0x7ffc4069,0xd500db81,0x0d2d4401,0x47a805f1,0x22e400ea,
    0x204e806c,0x6981cec9,0x09f715db,0x885fb730,0x1f3d402f,0xfa802d80,
    0x05f13f84,0x3c8007a8,0x2e400ea8,0x8001e400,0xf809703c,0x703c8000,
    0x83c44a89,0x5c07c04b,0x25c07c04,0x320003e0,0x0f809703,0x92740364,
    0x8f10bb09,0x504b8078,0x545c801d,0x322e400e,0x3644e806,0x00b62740,
    0xf012e07c,0x5c069801,0x0fa604ff,0x0d2c034c,0xd85001f5,0x17c1f002,
    0x3b263d40,0x2ef4c01c,0xf30017c4,0x14007d47,0x202d801f,0x29901f50,
    0x802800fa,0x0b613208,0x822007c0,0x6411004c,0x0f809704,0x41320880,
    0xb50ff459,0x01f012e0,0xb80f8097,0x44007c04,0x025c1320,0x5005f03e,
    0x41ae2d4f,0x5c03c469,0x3e005b04,0x07c00b60,0xf8f5005f,0x0f47a802,
    0x025c2d80,0x80d3003e,0xea800ffd,0xd2c02b81,0x3a000b90,0x3e25b001,
    0xcccccccc,0x03950fcc,0x403be055,0x87c4005c,0x01e8005c,0x3ff6e0f4,
    0xcccccfef,0x8000b95d,0xeeffffeb,0x5b001e84,0xdffffd70,0x7ff5c09d,
    0x9704eeff,0xfd700f80,0x209ddfff,0xc933e278,0x0f809703,0x407c04b8,
    0xb807c04b,0x4eeffffe,0x20f80970,0xccccccf8,0xd30fcccc,0x45a807cc,
    0xd04b8078,0x1e8b6003,0x33e25b00,0xcccccccc,0x999f10fc,0xf9999999,
    0x2d8007c1,0x003e025c,0x17fc40d3,0x0c899100,0x0790d2c0,0x6c003e00,
    0x55555f12,0x01555555,0x20edd6d4,0x001e602e,0x4001e4b6,0x443e202d,
    0x5f711bee,0x32555555,0x5dd10003,0x0f84d981,0x77445b00,0x4426cc0a,
    0x26cc0aee,0x207c04b8,0x6cc0aee8,0x4e5c7a04,0x025c0767,0xf012e03e,
    0x0f809701,0x26057744,0xf809704d,0x2aaabe20,0x0aaaaaaa,0xd80be27e,
    0x25c03c43,0x45b000f8,0x225b000f,0xaaaaaaaf,0x5f10aaaa,0x55555555,
    0x800f4155,0x3e025c1e,0xf5034c00,0x3ba6000b,0x21a5802d,0x03d0004b,
    0x000f87a0,0x2d8b0b00,0x2e001a60,0x99000974,0x20b93d40,0x025c00fa,
    0x26406d80,0x21e800f4,0x6c26406d,0x4b826406,0x01b607c0,0x1e9e4099,
    0x25c03e3d,0x012e03e0,0xf809701f,0x132036c0,0xf03e025c,0x3b6e0001,
    0x07c1aa04,0x00f40f20,0x4007a1e8,0x40003e1e,0x0990000f,0x80970f30,
    0x9034c00f,0x24c0003f,0x35434b00,0x9804c800,0x40001ec7,0x12e1c83a,
    0x3f8003c8,0x0d5000d5,0x2a0792e4,0x0035403f,0x426401f8,0x7c79804c,
    0x0fc26401,0x025c1320,0xc803f03e,0xb9e36a04,0x012e069c,0xf809701f,
    0x07c04b80,0x2099007e,0x3607c04b,0x81be0003,0x809b02e8,0x3009902f,
    0x79804c8f,0x3d8001ec,0x405f1000,0x106982e8,0x069801fb,0xd00e00f2,
    0x360d2c00,0x3e23c804,0xf10ba202,0x24c03003,0x7c07a06c,0x1f700621,
    0xd1e4026c,0x2d43d105,0x21837f44,0x3a3c804d,0x2213ee02,0xd0ba202f,
    0x7427dc05,0x4c13ee02,0xe81fb106,0x9813ee02,0x12fe24be,0x1fb10698,
    0x3f620d30,0xfb106980,0x3ee02e81,0x3620d304,0x400fc40f,0x5427f5c1,
    0xb81ee03f,0x880be206,0x1017c42e,0x801f885d,0x0c00fc41,0x274c1fcc,
    0xfde985d0,0x00034c02,0x400b3034,0x067c41a5,0x1fcc2fd4,0x3fa8274c,
    0x6c01db30,0x2fa61620,0xde88db30,0x2217e4c1,0x45fa80cf,0x117621fa,
    0x777f447d,0xcf893a63,0x7545fa80,0x0e6f6cc0,0x274c1fcc,0x3b660754,
    0x207541cd,0xd01cded9,0x42fde985,0x6f6cc0ea,0xd07be01c,0x4c2e807d,
    0x85d02fde,0x5d02fde9,0x542fde98,0x66f6cc0e,0xde985d01,0x303fa82f,
    0x227e61db,0x01ffdefd,0x0fdc2ec8,0x3a60fe60,0xd307f304,0x4c0fea09,
    0x81fd40ed,0xfd880ed9,0x5402ffde,0xff2ffdee,0x75cccc4b,0x68001999,
    0x2000eb88,0xefd881a5,0x2202efed,0x02ffdefd,0x7f6f7ec4,0xdcd9803f,
    0xfdfd500d,0x3bfae01b,0xfb101efe,0x205dfdbd,0x104feffa,0x3b39fbdd,
    0xb105fddf,0x05dfdbdf,0x53ff7bb2,0xfd885ffc,0x3202ffde,0xf94ffdee,
    0xfdeec8bf,0x50bff94f,0x3e5ffbdd,0x7ef7645f,0x20bff94f,0x401fb87d,
    0xf2ffdeea,0xfbdd50bf,0x2a17fe5f,0xff2ffdee,0xffdeec8b,0xd50bff94,
    0x3fe5ffbd,0xedefd885,0x221743ff,0x7e4000a9,0x1001efdf,0x05ffbdfb,
    0xffdefd88,0x6f7ec402,0x36203ffe,0x03ffedef,0x4001aa88,0x7fd400a9,
    0xffffffff,0x7776c006,0x74c00bde,0xdee99eee,0x01353100,0x000d5440,
    0x00026a62,0x05440022,0x000a9880,0x20013531,0x0a9800a9,0x53100350,
    0x06a60013,0x00d54400,0x30003530,0x2a600035,0x00d4c000,0x53000000,
    0x01530001,0x80015300,0x530001a9,0x35310001,0x80000001,0x510001a9,
    0xaa880035,0x4d4c4001,0x26a62000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x70000000,0x00000001,0x4c009dd5,0x4036e4ed,
    0x001d42c9,0x15c40073,0xdddddd10,0x1301dddd,0x00000030,0x00004c80,
    0x10006540,0x20080597,0x77777400,0x965c2eee,0x200deeda,0x00001101,
    0x3100ae00,0x005ed980,0x00080440,0x00400488,0x06201802,0x00000062,
    0x0813baa0,0x00000000,0x26620000,0x99999999,0x00e60199,0x3aa0fb66,
    0x4007645e,0x01dffeda,0x005ca880,0x05ff2e54,0x16fefe5c,0x2002fa80,
    0x2be207fb,0xfaaaaaaa,0x3ee2fcc0,0x0f7ecc02,0xf1018035,0x1bfd303f,
    0x3ff8005c,0xdd7bf700,0x3a20f203,0x2aaafe00,0x675c0aaa,0x0fda9bec,
    0x17d43f98,0xeca8b322,0x1d9001ce,0x2017fcc0,0x540007ba,0x000fd42f,
    0xfd7009f3,0x07b207df,0x217e40d9,0x3f6600fe,0x20006a1e,0x76445ca8,
    0xb98003dc,0x2e60005e,0x2ae0005e,0xaaaaaaaa,0xb500caaa,0x50fff900,
    0x03f90dff,0x6d44df74,0x5555003f,0x540035d9,0xfda81a65,0xf7000fcd,
    0x05e98003,0x20f301a2,0x20064c2c,0xeedfb8be,0x6981a600,0xdfc8ae88,
    0x3f9000ee,0x0b703e00,0x04c887e2,0x3ee0007c,0xd304c80d,0x2a05f71b,
    0x7359fb4d,0x076c403f,0x09d35f70,0x98000788,0x001ec8cf,0x3b600fea,
    0x705fc88b,0x401bd15f,0x202540c9,0xeedfb8be,0x316a0000,0x54000d83,
    0x2a000599,0x0a000599,0x2d402a00,0x4c1ff4c0,0x03f705ff,0x007d403e,
    0x3fbbbb62,0xb96a004e,0x6417b703,0x001eb805,0x12e00000,0x5d400000,
    0x5b034c00,0x000ee200,0x1f05a800,0x37fbfaa0,0x20007c00,0xb01e205b,
    0xedc801df,0x3a01d505,0xb1076405,0x0003c40d,0x000dfd88,0x1b2007e6,
    0x7fd303f8,0x50000000,0x5a800017,0x30002c80,0x0b30000b,0x54001400,
    0x0000b500,0x04c07ff1,0x001f4058,0x2d4002d4,0x00f20005,0x00000011,
    0x00002e80,0x034c0000,0x00000003,0x05b04c80,0x03e00288,0x0f809700,
    0x4fc80140,0x801816c0,0x07880601,0x40014000,0x403f0008,0x0006206b,
    0x00000000,0x32e20b50,0x01660005,0x80016600,0x980a8002,0x00011bfd,
    0x00000bfe,0x7654425c,0x4c0b50bd,0x00b53ded,0xf855e544,0x64400001,
    0x0071cefd,0xdb7303c4,0xb73005df,0x65405dfd,0xccccccfd,0x54166541,
    0x36e00ccc,0x26403dee,0x000007cc,0x0970003e,0x900000f8,0x0007700b,
    0x54f10000,0x0001ceec,0x01400000,0xb80001e2,0x5003deed,0x1007bfd9,
    0x2a17bd95,0x00bb7105,0x200b30d7,0x005985c8,0x400143ea,0x2b3f660a,
    0xd0005feb,0x3333223f,0x10b60003,0x3f9535bd,0x26fee0b5,0x9005adda,
    0x97fb99bf,0x543ccb89,0xabfb82dd,0x007dfdb9,0x5ef6416e,0x3204eb99,
    0x4eb99bde,0x999fb950,0xeca83999,0x80fcca84,0xfdaadfe9,0x6549900e,
    0x9999102f,0x3b2be007,0x09700cef,0x0f32e0f8,0x09905bb5,0x3332a950,
    0x20cccccc,0x803cccc8,0x7337d978,0x2a59909f,0x9900ceed,0x033bb6a5,
    0x9953cc00,0x19999999,0xdaadfe98,0x2ff200ef,0x101eda99,0x3f9535bd,
    0x209700b5,0x05980ee9,0x5980cfa8,0x0a1ed880,0x1f442a00,0x407305e8,
    0xb99910fd,0x83ea000d,0xbbd303e8,0xbdb03f30,0xd101bb00,0x16dcb8bb,
    0x549d57dd,0x00ff100e,0x7c40016c,0x00f88000,0x12e001a6,0x04e881f0,
    0xdb2641b2,0x9991019f,0x37fe00db,0xb81feb9b,0xb9707c04,0x3aafba2d,
    0xad402644,0xccccccec,0x6e66446e,0x04df8806,0xcceb87d1,0x81fda9be,
    0xa9becceb,0x4d8001fd,0x333333b2,0x027446ec,0x403720d9,0x81f440fa,
    0x59805de9,0x16603fc8,0x2602ed88,0x1427dc05,0x06c85400,0x702d4126,
    0x20034c0f,0x02641ed9,0x417617e6,0x035c05f9,0x4f4c1fa2,0x05f1183f,
    0x03e007a8,0x8001e400,0x001a603c,0xc81f012e,0x4c84e806,0x4c00ed88,
    0x36401006,0x203e025c,0x4183f9e9,0x9959804c,0xd3007ea0,0x880df100,
    0xc82fdc1f,0x320bf705,0x3235c005,0x6c83f504,0x07544e80,0x80991720,
    0xb10dc5f9,0x2006f4c3,0x009f7059,0x07ba60b3,0xd8540014,0x05ea8003,
    0x400d3004,0x001d03fe,0x7405f0bb,0x5400fc05,0x02ff980f,0x014007d4,
    0x822005a8,0x6411004c,0x2001a604,0x3e07c04b,0x4c87a802,0x0d3016e0,
    0xb85f1000,0x7cc07c04,0x0099002f,0x3e60aab3,0x88069801,0x5c3c802f,
    0x2e0f300e,0x400f300e,0x4c1540eb,0xa802f81f,0x0f8016c7,0x1176003a,
    0x32239bb9,0xec83ae2f,0xed89eeee,0x320bdc99,0xf71eeeee,0x0050f5c7,
    0x8007a150,0x40002de9,0x403e0069,0x98b90078,0x8817200f,0x303f1007,
    0x00b9003f,0x5c03c800,0x4eeffffe,0x3ffffae0,0x01a604ee,0x41f012e0,
    0xccccccf8,0x640fcccc,0xd3017404,0x88f60000,0x203e00cc,0x132001f9,
    0x2f8816a0,0xf100d300,0x4b8b5001,0x025c07c0,0x03ae003e,0x7c417c40,
    0xcccccccc,0x007a0fcc,0x9007896c,0x837ea00b,0xfb801de9,0x03a61b53,
    0x74c1dd30,0x2a000a1d,0x3e600970,0x0d300002,0x06980740,0x40698b70,
    0x801a605b,0x9006980f,0x0f800007,0x9815dd10,0x0aee884d,0x0d3026cc,
    0x0f809700,0x2aaaabe2,0x40aaaaaa,0x301e404c,0x52e0000d,0xf01ffff9,
    0xc800d301,0xd105a804,0x4034c007,0xb8b50078,0x25c07c04,0x1d7003e0,
    0x440fa200,0xaaaaaaaf,0x03e0aaaa,0x006996c0,0x2ed880b7,0x2601d8e8,
    0x7702a1ee,0x4f41fe40,0x2a000a1d,0x79001f10,0x034c0000,0x3200f000,
    0xbb00fc45,0x79800f80,0x12e00d30,0x20698000,0x6c26406d,0xd3026406,
    0xf8097000,0x900007c0,0x2605a809,0x07900006,0x0d301f00,0x4a804c80,
    0x698009b0,0xb801f880,0x03e025c4,0x401f012e,0x136000ec,0x3a0001f0,
    0x03c3d001,0x13ea05c8,0xf901d9e4,0x2a076007,0x3b3b80de,0xb0540014,
    0x3f4c883b,0x034c0000,0x8805b000,0xf103f85f,0xb803e80b,0x2a00d305,
    0x0f200006,0x426401f8,0x3026401f,0x8097000d,0x0001ec0f,0x02640c99,
    0x3a0000d3,0x983c4002,0x40264006,0x8005d84b,0x04f88069,0x2025c2e8,
    0x7c04b80f,0x4001d900,0x003d805d,0x8f300990,0x82fc402d,0x6cd301eb,
    0xb000dd81,0x2605f305,0x80028766,0x6e77ec0a,0x4407d0ce,0x401a6001,
    0x03ea01a8,0x06b85fc8,0x1f980bf5,0x34c07e60,0x79009b00,0x0ba01e80,
    0x02e84fb8,0x01f013ee,0xfb106980,0x1801f881,0x7d0b24c8,0x326034c0,
    0x2001ae00,0x800d306b,0x641e804c,0x34c01305,0x700ffc40,0x0f80970b,
    0x407c04b8,0x172000ed,0x003f104c,0x2202f883,0x9007d42e,0x2ba000bf,
    0x20002e99,0x5d0002e8,0x00145b33,0x0f644054,0x00b503dc,0x7fc4034c,
    0x107aa01f,0xbd03b7bb,0x401ebea8,0x03fa82fb,0xcf8801a6,0x4c05fa80,
    0x26075406,0x7541cded,0x0e6f6cc0,0xea881b70,0x6f4c2e81,0x303fa82f,
    0x5264c1db,0xd3007e4b,0xf705fb00,0x0fdc4003,0x26400698,0x01d71aa0,
    0x406980b6,0xc82f9fa8,0x7c04b80f,0x07c04b80,0xeb810176,0x3fa85b00,
    0xf981db30,0xd504e983,0x1dbdd883,0x66664400,0xe98000de,0x33320001,
    0x00050dec,0xe816a015,0x817aa0be,0x99eb9998,0x1fff9819,0x7f6ff540,
    0xd88dff54,0xffa9eedf,0x6eff4c05,0x4f4c02ef,0x36200999,0x02efedef,
    0xeec804b8,0xbff94ffd,0x4ffdeec8,0x3620bff9,0x02dfeddf,0x25ffbdd5,
    0xefd885ff,0x7e43ffed,0x37bf64ff,0x754ccc41,0xea809999,0x800efeef,
    0x200beffb,0x809999e9,0xf50ffff8,0x57d43ddb,0x3d999999,0x27ae6662,
    0x5ffe6199,0x0dfedfe9,0xf301cc88,0x301cc885,0x4ccf645f,0x50f99999,
    0x3333335f,0xbdfb107b,0x6c407ffd,0x402ffdef,0x54fedfea,0xd8000dff,
    0x20db8001,0x0ec00008,0x20150005,0x3ff2205a,0x3ea02eff,0xffffffff,
    0x001a986f,0x220006a2,0x5440001a,0x3fff200a,0x03ffffff,0x0004d4c4,
    0x00353000,0x80003530,0x2a6001a9,0x9a988000,0x50310000,0xffffffff,
    0x0a980dff,0xf900cc00,0xffffffff,0x81a88007,0xfffffffe,0xffff52ff,
    0x0dffffff,0x2a015510,0x7dc3ffff,0xffff55ff,0xb5fffb87,0xffffffff,
    0x3fffa1ff,0x02ffffff,0x80026a62,0x44001aa8,0x9800001a,0x7c4006fe,
    0x004eeeee,0x2e1dfd30,0xaaaaaaaa,0x300caaaa,0x00062009,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x50000000,0x99950599,0x66fedc01,0x91079931,
    0x66647bfd,0xc88100c0,0x2fbb6e4c,0x03999701,0x54039995,0xdfd73001,
    0x2eea8719,0x40018000,0x6ed43ccb,0x99999302,0xddb10179,0x764c009d,
    0x40e40adf,0x3cccccc9,0x66666540,0x3000003c,0x07999999,0x21999997,
    0xccccccc8,0xcefdc880,0x0006dc71,0x3b6a5990,0xddb100ce,0x0310009d,
    0x51000000,0x220379bb,0x01bdfecb,0xd8803260,0x09b14eee,0x677f64c6,
    0xfd971001,0x8188037b,0x7f6d4009,0x9930153d,0x32a0ba80,0x0fcca84e,
    0xba9ade98,0x543cebaf,0x8dda9acf,0x22f40ccf,0x7e6444e8,0xfb99aed8,
    0x81cdfb84,0x3a02eeca,0x56774405,0x5447fdb9,0x34c0003d,0x45b72e00,
    0xa84eabee,0x0ccccccc,0x00b95550,0x36e66fee,0x32a0ba0e,0x404ccccc,
    0x3ccccccb,0x2219fd50,0xcccca803,0xeca984cc,0x32aaa22a,0x5fdc0aae,
    0x27dfdb9a,0x2e0002fe,0xda9becce,0xb955501f,0x400b5000,0x06a1efd9,
    0x32ab7ee0,0x21bea83c,0xff004ea9,0x5caaa809,0xf9b50ff3,0x07f9535b,
    0x2a61bea8,0xf07f604e,0x4d6fec0f,0xf932eeeb,0x7fdc0bbd,0x07c04b87,
    0x77440be2,0xd701f885,0x27b6201f,0x3be203fa,0xb709b103,0x7400f880,
    0xf7035c05,0xaaadda98,0x0034c002,0x183f9e98,0x0b500000,0x3b201d90,
    0x000007b8,0xc8ae9800,0x00005fcf,0x1a6016a0,0x7f880754,0x700003a2,
    0x201720bf,0x05a8005a,0x37ee2fa0,0x07c400ee,0x5c00dc80,0x00fe400e,
    0x542dcb50,0x07f300df,0x1d700372,0x20770950,0x25f900fb,0x6c0b51bc,
    0x025c0fff,0x9809b03e,0x6c03d85f,0x0ffdc00f,0xf1017e20,0x25c03f03,
    0x16e01dc0,0xeefec8b0,0x26001dee,0x5ff30006,0xa8000000,0x2007cc05,
    0x00002ffc,0x57100000,0x5a800000,0x2f886980,0x00953d40,0x2601d700,
    0x8005a807,0x5d40005a,0x5004b800,0x2026662b,0xa800005a,0x01ea0765,
    0x98b503e6,0x016a10bb,0xf1026c00,0xe9816a05,0x7c04b84f,0x2ec007c0,
    0x03e601e2,0x3e200260,0x5b83c801,0x00001f10,0x90006fe2,0x372a0007,
    0x1ccccccf,0x20007e60,0x003deedb,0x007d016a,0xeca805f1,0xdb9803df,
    0x00002efe,0x65416654,0x805a80cc,0x800fa869,0x5c0000a2,0x2a007c04,
    0x005a8005,0x00f20000,0x55ecc3a2,0x0016c2cb,0x80c56a00,0x44b90039,
    0x2e276a0e,0x0000b63c,0x2017007a,0x12e0005a,0x8034c1f0,0x44034c5b,
    0x2200000f,0x3e0b5007,0x00005b81,0x5e77fec4,0x76d4f200,0x372a00ce,
    0x1ccccccf,0xd3001a60,0x1dfb55bf,0x3c40b500,0x7e407700,0x01eda99b,
    0xd7337bd9,0x33332209,0x42765403,0x5a80fcca,0x05c86980,0x6d4b3200,
    0x12e00cee,0x05a801f0,0xcc805a80,0x019ddb52,0x200fb326,0x11205c3b,
    0x6666654d,0x2a00cccc,0x35400005,0x23a85877,0x66664468,0x0001ec03,
    0x25c000b5,0x007883e0,0x880698b9,0xcccc880f,0x800f8803,0x3f0b705a,
    0x0f333220,0x5fd95100,0x26fb2f20,0x34c00fdb,0x20069800,0x01b204e8,
    0x005a816a,0x806e416a,0x7c4000fa,0x6dccc880,0x0f809700,0x869805a8,
    0x3ae0003c,0xfda9becc,0x0f809701,0x40daad40,0x9eb99998,0x675c1999,
    0x1fda9bec,0x803ecc98,0x06e05c1c,0x6666764d,0x2d406ecc,0x43e20000,
    0x2040aa1c,0x36e66446,0x4000fe60,0x12e0005a,0x800f81f0,0x5400f85d,
    0xdccc880f,0x802f8806,0x5b87e03c,0x1b733220,0x903f3000,0x300f20bf,
    0x01a6000d,0x04e806c8,0x2e1c9ad4,0x2a1a2004,0x002e400e,0x034c01e4,
    0x407c04b8,0xb869805a,0x2fdc0004,0x809705c8,0x7ef5400f,0xfffffe82,
    0x42ffffff,0x80b905fb,0x0b86803c,0x323b0971,0xa803f504,0x33332205,
    0xcccccccc,0x0048d0fc,0x80698076,0x00acdfc8,0x2e0005a8,0x17207c04,
    0x0990bf50,0x69800fe8,0x4c06f880,0x1f96e00f,0x4881aa00,0x05c83d80,
    0x7d4c41e6,0xd3001999,0x54017c00,0x5fdad407,0x8788012e,0x801f002d,
    0x26013208,0xf8097006,0x69805a80,0x5c0006a8,0x2e0f300e,0xb1007c04,
    0x05a8007f,0x1e601d70,0x70d00790,0x47207d99,0x801f982a,0x2abe205a,
    0xaaaaaaaa,0x048d0faa,0x06980720,0x077edcc0,0x00880b50,0x03f620d7,
    0x2efd413a,0x66c41fc4,0x8069800f,0xe980ddf8,0x05b9f803,0x1f303540,
    0x03c83e80,0x3bb6207c,0x803eeeef,0x99f10069,0x99999999,0xeaad401f,
    0x598016a2,0x05b001e8,0xddffffd7,0x200d3009,0x5407c04b,0x9b069805,
    0x09707900,0x404b80f8,0x0bdf700f,0x2e00b500,0x79007c04,0x20b81b00,
    0x2200e81c,0x80b5002f,0xd87c000f,0x07400ae0,0xb8000d30,0x540b501f,
    0x42fb85ff,0xd882fde9,0xb9eecbcf,0x979dd105,0x26003e9f,0x9f978806,
    0x2005fb77,0x54001fdb,0x207be606,0x03c80ec9,0x00d3007c,0x26667a60,
    0xaaaaf880,0x0aaaaaaa,0x069816a0,0x003e12a0,0x15dd116c,0x69804d98,
    0x0f809700,0x34c045a8,0xfa80cf88,0x0f809705,0xf980e644,0x05a9ec82,
    0x97005a80,0x0f200f80,0x48170b20,0x00fa2068,0x00f405a8,0xb1164f30,
    0x6980d060,0x504c8000,0x07ffec0b,0x3ffbbbae,0x2e60bff2,0x80b70abc,
    0x03e1bcca,0x9e201a60,0x000acca8,0x354002fc,0xbdfd5d10,0x0f201bff,
    0x034c01f0,0xffffff90,0x01f07fff,0x8816a000,0xd05b001f,0x6d87a003,
    0x34c02640,0x07c04b80,0xd50b52d4,0x76f7ec40,0x012e02ef,0x7fffd41f,
    0x02fffdc3,0x0b5000b5,0x01f012e0,0x22cc01e4,0x0971c40b,0x16a0026c,
    0x2dc00990,0xb31d98b3,0x1a6025c1,0x06980198,0x37fdc0b5,0x000a9a5c,
    0x80016e00,0x8069800f,0x74000078,0x006a8001,0x900276e6,0x2600f807,
    0xb0000006,0x16a00007,0x1f300b70,0x8f300990,0x4026401f,0x80970069,
    0x16a5a80f,0x36a20172,0x404b8009,0x2000000f,0x05a8005a,0x00f80970,
    0xa9e400f2,0x345542cc,0xb5000bb0,0x8801f880,0x2e21e41f,0x4c03442c,
    0x2e01ae06,0x2980b505,0x00000970,0x798002dc,0xf100d300,0x02dc0000,
    0x44006a80,0x403c801e,0x0007c00f,0xf8802c88,0x2d401801,0x3d101f40,
    0xe880be20,0x9f701742,0x2600d300,0x501fb106,0x01f42d4b,0x97001e88,
    0xb9800f80,0x002d4001,0x04b802d4,0x0079007c,0x0f440174,0x401305c8,
    0x00eb805a,0x01740f62,0x34c00f44,0x7c405f70,0x4000b503,0x2000004b,
    0x0bb0005b,0x1e201a60,0x001e8000,0xb3000d50,0x7c03c801,0x22065c00,
    0x03a601da,0x6cc0fea0,0x2016a00e,0x17d40ce9,0x3a60fe60,0x6cc0ea84,
    0x34c01cde,0xde985d00,0x44edcc2f,0x003ea3e8,0x4b800d98,0x6a8007c0,
    0x8002d400,0xf8097000,0x8800f200,0x03d700dd,0x016c03ae,0x0bee00b5,
    0xdd8813aa,0x2003d700,0x2ffae069,0xa81b6a21,0x012e0005,0x005b8000,
    0x9800764c,0x00078806,0x54000d50,0x1af36006,0x26019b10,0x3f62009f,
    0x302dfede,0x22001d59,0x3ffedefd,0x9eb99988,0xdfb10199,0x22005bfb,
    0x02ffdefd,0x53ff7bb2,0x26625ffc,0x09999ea9,0x5ffbdd50,0x7ffed7fe,
    0xdeee88ff,0x0d79b001,0x26039910,0x35dd402f,0x3ae66620,0x4cc41999,
    0x99999999,0x980e6440,0x66ccc42f,0x3baa0019,0x2a04eecd,0x999999af,
    0x2e66623d,0x2601999e,0x01efddfe,0xdd9bdd50,0xb9998809,0x2ea1999e,
    0xcffdefe9,0x4f5cccc0,0x0ee00099,0xfffb0000,0xfff30bff,0x4c401bff,
    0x1999eb99,0x3fffffe6,0xffffb001,0x33100dff,0x03333d73,0x3e600aa8,
    0x7fe41fff,0x0353006f,0x20002a60,0xf5009a98,0xffffffff,0x00a980df,
    0x00355100,0x7d400d4c,0xffffffff,0x0054c06f,0x4000cc00,0x7fd400aa,
    0x7ffdc3ff,0x50055405,0xffffffff,0x7fffcdff,0xffffffff,0x87ffff52,
    0x3f65fffb,0x004fffff,0xfe800998,0xffffffff,0xffffff52,0x880dffff,
    0x260000aa,0xfffa8009,0x6fffffff,0xd0135510,0xffffffff,0x0000003f,
    0x4ccccc40,0x00133100,0xfffffff5,0x4cc4dfff,0x26200099,0x40099999,
    0xfffffffa,0x00006fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xeed88000,
    0x3332e04e,0x3333222c,0x66d4400c,0x05dd71bc,0x00bdb300,0x983ccca8,
    0x66644ccc,0xcccccccc,0x0199911c,0x3223cca8,0x02cccccc,0x260f332a,
    0xb7304ccc,0x91005dfd,0x00199999,0x99305993,0x99999019,0x39999999,
    0x3333332a,0x999702cc,0x54037999,0xcccccccc,0x0d402ccc,0xccccccb8,
    0x20cccccc,0x3222cccb,0x332e1ccc,0x0ccccccc,0x99999510,0x2a059999,
    0xcccccccc,0xccb82ccc,0x201bcccc,0x20ccccca,0x6544ccca,0x6665c2cc,
    0x66665400,0x8803cccc,0x000002ed,0x433bf6e6,0xdfb7100b,0x03802e5b,
    0x2f7f6e00,0x2e555400,0x4355f750,0x00addaa8,0x332ab7ee,0x0007b533,
    0x9800f751,0xea881bfb,0x2aabe22d,0xdaaaaeca,0x807df513,0x2aa22def,
    0x201aacfa,0xa882bfb9,0xbdec82de,0xa804eb99,0x804dfcaa,0xcc984ec9,
    0x5557c40f,0xdaaaaeca,0x555bb533,0xba83dfb5,0xfecaaaaf,0xaadda981,
    0x05caaaaa,0x987ffdf9,0xaaaaadda,0x36a1faaa,0x5fd541ad,0x3b2aaaa1,
    0xfc80aaaa,0xaaacebce,0xd95304da,0xb55559d5,0x555f7309,0x5303fd95,
    0x5cc155bb,0x56ecc2ef,0x005fd540,0x376aaaa6,0xedc802aa,0x1cfda803,
    0xb9acfb80,0xfa81ebfe,0xfeeca9ac,0x1000d301,0x9d7337bb,0xf1016a00,
    0xf8809700,0x00079000,0x5c8003c4,0x0f103e60,0xaf8790b5,0x01336a07,
    0x05c8003d,0x220003e6,0x2732000f,0xf012e007,0x85a87881,0xd701e43c,
    0x17d40f10,0x42d404c8,0x3c8060e9,0x02641e80,0x00b5003e,0xb82e81db,
    0x82d9e404,0x4c0f104b,0x6c09902f,0x1f013205,0x8012e000,0x6c03d8f9,
    0x201fb8ae,0x3fd100ea,0x3f601fa8,0x8800d301,0x007d104f,0x807880b5,
    0x0025c04b,0x3c400079,0x3a05d000,0x85a87882,0x816c7c3c,0x0f404cae,
    0x2e817400,0x800f2000,0x2e005d1e,0x1e207c04,0x790f216a,0x03c41e80,
    0x013203e6,0x4005b0b5,0x641e803c,0x2a007c04,0x2e836405,0xd8f404b8,
    0x0f104b82,0x84c80f98,0x332204e8,0xf9999999,0x04b8000a,0x101ecf60,
    0x3e60730f,0xf30fd400,0x301e8805,0x404c800d,0x02d401e8,0x012e01e2,
    0x01e40079,0x4000f100,0x882e40f9,0x43c85a87,0x96986a8f,0x8001e809,
    0x002e40f9,0x3004c822,0x4b802dcd,0x21e207c0,0x1e43c85a,0x00f112e0,
    0x9809909b,0x32002d84,0x2640d803,0x0b5003e0,0x705d01f8,0x05b3c409,
    0x201e2097,0x7444c84c,0x3fffe204,0xffffffff,0x004b8004,0x9901ecd5,
    0xb003c800,0x81802641,0xccccfdcb,0x007cc2cc,0x016a0354,0x509700f1,
    0x9999bd99,0x36a79019,0x3c400cee,0x80333326,0x7803e64c,0x7c2c85a8,
    0x993d83d0,0x90001e80,0x5c007ccb,0x4eeffffe,0x07c47900,0x03e025c0,
    0x0ae16a16,0x442e8079,0x4c878807,0x02d4014c,0x80298790,0x2007c04c,
    0xe816a05a,0xb5004422,0x4022116c,0xc8788078,0x6400fe64,0x80007c04,
    0x6c5d004b,0xd000f203,0x007a0001,0xccfdcb80,0x2641cccc,0x2d401d00,
    0x12e01e20,0x3337b32a,0xcbc80ccc,0x00eda9be,0x99fd31e2,0x2e97c401,
    0xf005a800,0x90f896e1,0x0001e809,0x220174ba,0x26cc0aee,0x01ec0f80,
    0x003e025c,0x03c802d4,0x00f10db1,0x5a89903e,0x32003d00,0x264025c3,
    0x0b5003e0,0x2e5d025c,0x96c79004,0x0078804b,0x5f54c81f,0x3e026400,
    0x00970000,0x2e03d8b7,0x001e2004,0x980003c4,0x800b6006,0x1016a01d,
    0xc809700f,0x417f2003,0xf51e205c,0x2e754005,0xf005a800,0x324c87c1,
    0x0000f404,0xdb00b9f3,0x5a804c80,0x04b806a8,0x7333007c,0x3203333d,
    0x6fedccce,0x07a00f10,0x0bb999d9,0x3200dd30,0x804dccce,0xccccccec,
    0x02d400fc,0x766f4079,0x6ec3f004,0x333204ec,0xe82ccccf,0x1ffd6641,
    0x9999d900,0x0001f999,0x83f1012e,0x801e603d,0x0d300069,0x801a6000,
    0x80f2001e,0x403c405a,0x001e404b,0x103cc0b9,0x4c00f64f,0xccdffccc,
    0x4016a003,0x907d320f,0x0001e809,0x0fc007e4,0x0b601320,0x012e00fc,
    0x3bbae01f,0x81eeeefe,0xdcaaaadc,0xd007884e,0xcaaadc83,0x1ecf6405,
    0xaadc87f5,0xadc804da,0x0faaaaaa,0x05b02d40,0x4026d674,0x26d66c79,
    0x555f7550,0xec83d035,0x800ee99e,0xaaaaaadc,0x970000fa,0x43d84c80,
    0xcccfccc8,0x4001a602,0xd3000069,0x70007c00,0x2202d409,0x6404b807,
    0xf00f2003,0x076de201,0x3d733300,0x2d400133,0x2fe20f80,0x07a02645,
    0x006a8010,0x027dc05d,0x2aaaafe2,0x834c04ea,0xb5000fd8,0xd900f200,
    0x0f803c41,0x8816a264,0x3361f10f,0x012e1e40,0x801f0132,0xe80f205a,
    0x5d700752,0x00ea5d55,0x207401e2,0x403640ec,0x5c07c04c,0xf3025c01,
    0xaa887b01,0x200aacea,0x0d300069,0x3fffffe6,0x3a006981,0xa80b2002,
    0x5c03c405,0x9001e404,0xf100f807,0x540005fd,0x016a0005,0x90bf607c,
    0x2601e809,0xa8035406,0x66f6cc0e,0x3bbbae01,0xe807eeee,0x017ef4c2,
    0x079005a8,0x403c47b0,0x0c44c868,0x46dc5a82,0x0c43c80f,0x03e02640,
    0x02d40b50,0xeed8005d,0x44002fee,0x4c878807,0x04c809b0,0x2016c07c,
    0x6c0fa04b,0x8801e403,0x0788000f,0x40fa6666,0x00f20069,0x016a01e8,
    0x8079003e,0x00f2003c,0x26fe201f,0xddd3001f,0x009dddfd,0x40f802d4,
    0x7404c828,0xd501a601,0x7ef76400,0x20bff94f,0x2017401e,0xf2ffdee9,
    0x00b5007f,0x896a00f2,0x4c85b807,0xd0971d80,0x000f20bb,0x003e0264,
    0x807cc0b5,0x03e0302e,0x3c40a05b,0x82642d40,0x013200f8,0xc805b01f,
    0xddddf104,0x640bdfdd,0x000ba003,0x01e800f4,0x035c00d3,0x02d40798,
    0x00be026c,0x01e40079,0xf33c403e,0x00b50003,0x0f802d40,0x1e809900,
    0x0d501a60,0x57035300,0x16e01a60,0x3d1054c0,0x64016a00,0x1e24b803,
    0x09903f10,0x503e23d0,0x000f205f,0x003e0264,0xd04c80b5,0x0d303a05,
    0x2203e05b,0x6417c407,0x4c813204,0x016c07c0,0xaaaa80ba,0x201ceaaa,
    0x03aa002d,0x005c8620,0x001a603d,0x809b005d,0x207b805a,0x003c806b,
    0x201f00f2,0x000fcc78,0x5a80016a,0x32001f00,0xd300f404,0x00006a80,
    0x1007902c,0x0ee0001f,0x79005a80,0x1e22e880,0x09902e88,0xd06643d0,
    0x007903bd,0x01f01320,0x1fc405a8,0x640f8174,0x01f02d83,0x903e80f1,
    0x9903cc09,0x04d80f80,0x6c0003e6,0x0803e203,0x17cc05d8,0x807a00fa,
    0x07ea000f,0x05a806b8,0x1fb85d90,0x32003c80,0x78807c03,0x98801fa8,
    0x310019eb,0x20133d73,0x26201af9,0x74cc40cc,0xa999999a,0x9eb99886,
    0xcb800009,0x806be64b,0x8000be98,0x330298d9,0x260133d7,0x999999cc,
    0x4cfd44eb,0x303fc999,0x33333399,0x7e443d33,0x23fe8cfd,0x00999cd9,
    0x9881cc88,0x5cccc0af,0xd880999e,0x99be99be,0x3a60f999,0x266fa622,
    0xfa80f999,0x4fc99999,0x20139930,0x0e6441be,0x22057cc4,0x017cc0de,
    0x2e407b00,0x07b607a0,0xbd307f51,0xb807ea01,0x2175440c,0x075c42fb,
    0x4f5cccc4,0x3ff20199,0x26201efd,0x09999cd9,0x9880cd98,0x83d4409f,
    0xff501afb,0xd00bffff,0x3fffffff,0x86ffffb8,0x10fffff9,0xffffffff,
    0xfd0dffff,0x05ffffff,0x32153000,0xf985ffff,0x8000ffff,0xffd81ddb,
    0x6c0fffff,0xffffffff,0x7ffec2df,0x901befff,0xffffffff,0x5103ffff,
    0x7fffec01,0x7fd407ff,0x3ffe25ff,0x3ffff67f,0x701fffff,0xffffffd9,
    0x3ff21fff,0xfffffd3f,0xfd81ffff,0x1befffff,0x3fffff90,0x3e69ff50,
    0x7ff43fff,0xfbdf706f,0x2620005f,0x9afa80bd,0x06a99999,0x3bfb7fee,
    0x6f7fe401,0x6c402dfe,0x02efedef,0x19fdbfd3,0xffffff50,0x980dffff,
    0xffff801a,0x5c7fffff,0x7f42ffff,0x1ffe67ff,0x00ffffea,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0006a600,0x47ffffa8,0xfffffffc,
    0xa8801dff,0x55440009,0x1a980009,0x0006a200,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xccc88000,0xccccc881,0x99999910,0x99970059,
    0x44037999,0x2ccccccc,0x33333260,0xcc882bcc,0x202ccccc,0xccccccc9,
    0x79999500,0x19999930,0x3333332a,0xcca802bc,0x2a02cccc,0xcccccccc,
    0x37bb6e04,0x07999503,0x64c79993,0xcca84ccc,0x014403cc,0x00000072,
    0x24c001c4,0x2cc98000,0x398ccc98,0x2efedb98,0xcefdc880,0x9db71071,
    0x200ef5c1,0x803deedb,0x38cefeb9,0x5c0ced98,0x166542de,0x91066654,
    0x32a01999,0xfd9501cc,0x9502a87b,0x32607bfd,0x912eeb8c,0x9995019d,
    0x41999999,0x9ddb52cc,0x6fba8801,0x215d9550,0xaabfaaa8,0xaafb9801,
    0x881fecaa,0x1aacfaaa,0x2abb2a60,0x221efdba,0x1aacfaaa,0x7654c9f7,
    0x7300aaaa,0x5510557f,0x6ed4c5bb,0x0dfdbaaa,0x333332e0,0x2ab7203c,
    0x987baaaa,0xefdaadfe,0x40dfe4c0,0x3222eea8,0xaa982aae,0x02d401ec,
    0x000037ea,0x117dfd95,0x7e44009d,0x200fc803,0xcc984ec9,0x6f643c8f,
    0x204eb99b,0xfdb9abfb,0xc9acf87d,0x05f95d96,0xfb55bfd3,0x59dd101d,
    0xf98ffb73,0x5d90fd9d,0x276545f7,0x7107e654,0x32a019bf,0x9bfc81df,
    0x07d1eda9,0xdb5337f9,0xaeefc983,0x6c9ceafa,0xcccccec8,0x6675c6ec,
    0x01fda9be,0x2a04df88,0x4000f405,0x00be6078,0x05a8003d,0x07a01d91,
    0x016a13ee,0x0fc00b60,0x0db104c8,0x40790000,0x9027444d,0xf981360d,
    0x2e006980,0x8805a804,0x44000cfc,0xfeb99bfd,0x33ee004e,0x001d9000,
    0x0dff8097,0x2a03e200,0x00ff100e,0x88d51fb6,0x2e1b204e,0x87b1ee06,
    0x43d47adb,0x6c07c04b,0xb901f002,0x21afea01,0x01f500dc,0x227dc1df,
    0xfa82641e,0xb905fb81,0x01f1f100,0x003d016a,0x0f980f10,0xb50007a0,
    0x03d04e80,0x2abaa076,0x16a009aa,0x04c81aa0,0x00000be2,0x321aa079,
    0xe884e806,0xf102f882,0x00790310,0x7ec400b5,0x20376003,0xfa802fe8,
    0x2000001d,0x000fc04b,0x017c43c8,0x27d401ea,0xd00d91fc,0x32c05b89,
    0x3e0ffa0d,0x03e025c3,0x7889512e,0x7e400ea8,0x32007541,0x434c0f85,
    0x7cc1543c,0x2601d701,0x0b778807,0x003d016a,0x09900f10,0x16a000f4,
    0x207a0d50,0xdddf504a,0x3e019ffd,0x9901ec00,0x99104c80,0x07900799,
    0x005f03f1,0xb07e60f5,0x7f40f809,0x2d4016c1,0x01774c00,0x5ef441ae,
    0x00bba606,0x012e0000,0xc822001f,0x14007d44,0x6407d420,0x1ea00be4,
    0x970037f1,0x17203ee0,0x980f8097,0x0b50ff45,0xb03e005b,0x1f03e005,
    0x803c8698,0x012e02f8,0x3a78801f,0x8f405a82,0x078800c8,0x507a0788,
    0x2a02d403,0x40103d05,0x20db505a,0x803e203c,0x8816c04c,0x9806dccc,
    0xcf883d80,0xcccccccc,0x21d500fc,0x221e805c,0x400f43cf,0x3aa0005a,
    0x3603d01e,0xfd885f15,0x20000002,0x7007c04b,0x9ddffffd,0x2e0005c8,
    0xccfefffd,0x9f15dccc,0x99999999,0xffd881f9,0x81e40bce,0xdcccccfa,
    0x03e025c6,0x24cf89e2,0xb001e83c,0x5b001e85,0x6434c0f8,0x201f4403,
    0x2007c04b,0x16a1aa78,0x009f73d0,0x807c01e2,0x403fea1e,0xe81ec05a,
    0x202d4001,0x2e06983f,0xf7026405,0x80034c00,0x555f106b,0x55555555,
    0x07d6e401,0xb5b716c0,0x555540f8,0xaaaaaeca,0x837ee000,0x6c5d80f8,
    0x0007f914,0x55555555,0x4b815555,0x774407c0,0x3226cc0a,0xbee88003,
    0x5555f711,0x2abe2555,0xaaaaaaaa,0x3b2a200a,0x7540b62f,0x42aaaaaa,
    0xe807c04b,0x0ecf3971,0x42d8007c,0xf85b000f,0x01e434c0,0x012e0136,
    0x6c78801f,0x3fa02d43,0xfccc801d,0x1e82cccc,0x037cc3d0,0x81b620b5,
    0x02d4001e,0xe80f416e,0x73126402,0x34c001bd,0xf007cc00,0x7f400001,
    0x5ec79001,0x3b61e0f8,0xeeefeeee,0x322001de,0x1761e24f,0x006fdd2e,
    0x777776c0,0x41eeeeee,0x6c07c04b,0x12e26406,0x7d417200,0x0000f800,
    0x0f23f300,0x097003dc,0x3a7900f8,0x3a03e3d1,0x1e83d001,0x40f83d00,
    0x3603c869,0xf8097005,0x3e23c400,0x7ecc16a0,0x3eeaa003,0x1e81aaaa,
    0x540083d0,0xcfecccce,0x50007a00,0xb706a80b,0xff900d30,0x0005ffff,
    0x05d000d3,0x200003d8,0x479001fe,0x01e25b0f,0x2e0002d4,0x362f80df,
    0x7e447905,0x0000000c,0xf01f012e,0x3544c803,0xfa81e400,0x8003d803,
    0xb53d8048,0x5c007f60,0xda807c04,0x41a72e78,0xc879804c,0x0f879804,
    0xc81e434c,0x04b81305,0x21e2007c,0xf9116a5c,0x881803d7,0x3a01d007,
    0x33aa0401,0xe800accc,0x016a0401,0x903e2099,0xf9899007,0x00698004,
    0x0fc402e4,0x2b7200c0,0xd34b800f,0x50069a5c,0x3baa000b,0x82edb601,
    0x3fd881f8,0xd3000000,0x3a03f620,0x3613ee02,0x0b53c804,0x8860dfd1,
    0x3e61801f,0x81d1f400,0x98304ce8,0x201fb106,0x2fe24be9,0x4405f104,
    0x202f882e,0x4c0f82e8,0x0eb83c86,0x404b85b0,0x443c400f,0x0dd8b51f,
    0x4434c03d,0x3a078807,0x0b51a601,0xd300f400,0x03f205a8,0x4007c3d8,
    0x005e884c,0x1d50034c,0x03fa8530,0x3aa01db3,0x2b500b90,0x02d5a64b,
    0x74c005a8,0xedf8802e,0xe9809b00,0x8000002e,0x17ef4c2e,0x3b660754,
    0x067c41cd,0x47d12fd4,0x263eefe8,0x981fd44e,0x03df30ed,0x975c1d93,
    0x7545d2ea,0x6f4c2e85,0xd07be02f,0x41fcc07d,0x0fe604e9,0x07e613a6,
    0x20cc81d3,0x99999afa,0x073223d9,0x1e2017cc,0x7405ab54,0x1e21a601,
    0x01e816a0,0x000b51a6,0xa8d300f4,0xeecaaaae,0x0b534c01,0x03e81320,
    0x7c401a60,0xfb109701,0x407ffdbd,0x2026c1f9,0xb9f85d69,0x200b5004,
    0x6c003fd8,0x02f441cf,0x4003bd50,0x3baa0039,0x07ff2ffd,0x29ffbdd9,
    0x7ec45ffc,0x882efede,0x9d9cfdee,0xb102feef,0x87ffdbdf,0xfdefeae8,
    0xfefc80df,0x0fffba63,0x97fef754,0x70fb05ff,0xefd8803f,0xd8802ffd,
    0xc82ffdef,0x3fe64fff,0x7f43ff22,0xffffffff,0x87ffff52,0x2205fffb,
    0x016afa07,0x4434c03d,0xd017c407,0x16a34c03,0x2601e800,0x77777d46,
    0x6c7a002c,0x44099002,0x00d3001f,0x204b8136,0x44009ce8,0x202f883e,
    0x5e40f8f8,0x80b5003c,0x4000cfc8,0xedfeb9ec,0x9f70003f,0x003fb001,
    0x98000a98,0xa988001a,0x00a98009,0x2a620035,0x35530009,0x300a8801,
    0x002a6003,0x54400000,0xaa88001a,0x00000001,0x88000000,0x016fe607,
    0x4434c03d,0x3a01f407,0x0b51a601,0xd300f400,0xb80005a8,0x1320078c,
    0x1a600b70,0x09701ae0,0x09b00244,0xb7f007cc,0x2005bb50,0x006f4059,
    0x2a607540,0x7c880001,0x00002880,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x4fcc0000,0x310bf901,0x333335d3,
    0x33f50d53,0x209f9333,0x999ae998,0x2e66a999,0x4400999e,0x9999ae99,
    0x3ae66a99,0x88000999,0x993004cf,0x205f4013,0x99ea9998,0x26be2099,
    0x4c999999,0x700c5620,0x3b26013f,0xf107dd00,0x0000003d,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3ff20000,0x45f885ff,0xfffffff8,0x6c6fffff,0xbeffffff,
    0xfffff101,0xdfffffff,0x3fffffee,0xffff101f,0xffffffff,0x3ffffeed,
    0xfd8001ff,0xffffc801,0x21ff501f,0xfffffffa,0x3fe26fff,0xffffffff,
    0x80eed404,0xfc87fffd,0x1fd81fff,0x00001fd0,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x665c0000,0x2e16ed43,0x665c0ccc,0x05c0e20c,0x066665c0,
    0x0073332e,0xcca82a07,0x399970cc,0x03cccc88,0x406600a2,0x40000039,
    0x0080c018,0x40554c00,0xaaaaaaa8,0x01aaaaaa,0x98053000,0x155442dc,
    0x2aa25553,0xaaaaaaaa,0x2a0102aa,0x0dc000cd,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0x7dd16dcb,
    0x677dc9d5,0x10efedc0,0x801db09d,0x5c0ccfdb,0xb101ceec,0x6541f90b,
    0x9df70cdf,0x6dccc883,0x1cb8a740,0x016a05f3,0xc88bffe2,0x0be20ddc,
    0xded893a2,0x82f5cc1d,0x5c4eccef,0xeeeeeeee,0x303feeee,0xd9bd7009,
    0xfdefb819,0xfc9ffe66,0xbbbbb55f,0x9bbbbbbb,0x95d70910,0xec85983f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x307f3d30,0x4e882f98,0x1dd0bf30,0x2e803d00,0xf903ba20,
    0x4e88b603,0xd101a600,0x5fff7bfd,0x7dc02d40,0x8d10ec6f,0x517a22f9,
    0x266a3443,0x0003a005,0x7ff10790,0x132074c0,0xf897c47f,0x013fea6f,
    0x541d1000,0x7dcbea0e,0x00037621,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xf9800000,0x8fa2002f,0x6fcc03e8,
    0x7007fa20,0xd1034c0b,0x202fd81f,0x8007f32d,0x40dc8069,0x4b50547b,
    0x41ffd828,0x57cc0e81,0x01d005e8,0x5e5cc0b3,0x1e40001e,0xc80fc674,
    0x1f50f882,0x997fe5c8,0x800002ff,0x3a202259,0x002741df,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x4c000000,
    0xbe88001f,0xdf5003e8,0x100ffc41,0x4c0f601f,0x0ff621ff,0x005f55b0,
    0x05d00d30,0xcbefc8ba,0x7c0dfdbd,0x305a805f,0xdb980bdf,0xbf30b303,
    0x0003f757,0xf52e43c8,0x47601f01,0xfd2741f9,0xa88ffc47,0xaaaaaaaa,
    0x5e6c2aaa,0x00c02005,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80000000,0x3a200069,0x77dc003f,0xc80bfe60,
    0xf980f884,0x013fa21f,0x0007bf76,0x40d301a6,0xdffda84b,0x01ff980b,
    0xfe8806d4,0x81f5cc02,0x1e82d859,0xd51e4000,0x83c86c81,0x5c4f6c68,
    0xff0bf61f,0x377776a1,0x4ddddddd,0x00000aa8,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x98001a60,
    0x7c4003ef,0x102ff43f,0xf904c81f,0x00ffd41d,0x017e476c,0x0f101a60,
    0x3ef98264,0xb9013f20,0x17d6f440,0x85982e80,0x007faa2d,0x07e67900,
    0x98be226c,0x7ffecc3d,0x1fa0fe43,0x01000000,0x00019031,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x26000000,
    0x15f30006,0x3fa2009d,0x6c027ec2,0xbf9007c3,0x6c00ffa8,0x9800fe62,
    0x3f02e806,0x407e6fa0,0x07b100fe,0x05f32f44,0x30b30770,0x9fd7bfdd,
    0x2e9e4000,0xf9307a20,0x814c05bd,0x0004b869,0x4bff5000,0x0f5c5ffa,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7cc0034c,0x3a013a22,0x8027e42f,0x2e016e69,0x0077cc5f,
    0x000f985b,0x45d700d3,0x5cb907d9,0x3a205d06,0x30bd0542,0x6986e25f,
    0x00440b30,0x00000000,0x00000002,0x3f600000,0x1fffb0ff,0x00001fa8,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x034c0000,0x3620be60,0xf707f604,0x3d2e8007,0xf313ea00,0x2e416c0d,
    0x7cc06980,0x4edfefec,0x00b60744,0xdddddd50,0x24981263,0x640bddd9,
    0x000eeeee,0x00000000,0x00000000,0xff500000,0xa82ffd4d,0x0000001f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2667a600,0x017f5009,0xfc81bd31,0x40017d41,0x54006aea,0x222f443f,
    0x57c40be9,0x75cccc40,0x8be21999,0x000fa229,0x00000000,0x00000000,
    0x00000000,0x00000000,0x220a6000,0x00004401,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3ff20000,0x3fffffff,
    0x217fffdc,0x3a27fffe,0x20002e80,0x698002fe,0x3ff61e88,0x87fe41ff,
    0xfffffffa,0x20066fff,0x00000008,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_31_latin_ext_x[560]={ 0,6,3,2,3,2,3,6,8,4,0,1,3,2,
6,3,3,3,2,2,2,2,3,2,3,3,6,4,0,1,0,0,2,0,1,1,2,1,2,1,1,3,2,1,
1,0,0,0,2,1,1,2,1,1,0,0,1,1,2,0,0,0,3,1,5,1,0,2,1,1,2,1,1,2,
2,2,2,0,1,1,0,1,2,2,1,1,0,0,1,1,3,0,7,0,2,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,6,3,1,2,1,
7,1,4,0,0,0,0,2,0,-1,4,1,4,4,5,1,2,6,5,4,3,1,0,0,0,0,0,0,0,0,
0,0,0,1,1,1,1,1,3,3,3,3,-1,0,0,0,0,0,0,3,1,1,1,1,1,1,2,1,1,1,
1,1,1,1,0,2,1,1,1,1,2,2,2,2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,
0,1,0,1,0,1,1,2,1,2,1,2,1,2,2,1,-1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,0,3,2,3,2,3,2,3,2,3,2,0,0,2,2,1,2,1,1,2,1,
2,1,2,1,2,1,2,0,1,0,1,0,1,0,1,1,0,1,0,1,0,1,0,0,1,2,1,2,1,2,
2,2,2,2,2,2,2,2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,1,1,
1,2,3,2,3,2,3,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,3,3,2,3,3,3,
3,3,3,3,3,3,3,3,3,3,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,1,1,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,1,3,2,0,
1,1,1,1,1,1,1,1,1,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,0,1,0,0,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static signed short stb__courier_31_latin_ext_y[560]={ 22,4,5,4,3,4,7,5,5,5,5,7,17,13,
18,3,4,5,4,4,5,5,4,5,4,4,10,10,7,11,7,5,4,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,5,3,5,4,28,4,10,5,10,5,10,5,10,5,4,
4,5,5,10,10,10,10,10,10,10,6,10,10,10,10,10,10,5,5,5,12,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,22,10,4,5,8,6,
5,5,5,6,4,10,13,13,6,2,2,5,4,4,4,10,5,11,21,4,4,10,4,4,4,10,0,0,0,2,
2,0,6,6,0,0,0,2,0,0,0,2,6,2,0,0,0,2,2,9,5,0,0,0,2,0,6,5,4,4,
4,5,5,3,10,10,4,4,4,5,4,4,4,5,5,5,4,4,4,5,5,7,9,4,4,4,5,4,5,5,
2,6,1,4,6,10,0,4,0,4,1,5,1,4,1,5,6,5,2,6,1,4,1,5,6,10,1,4,0,4,
1,4,1,5,6,3,0,0,6,5,2,5,2,6,1,4,6,4,1,10,6,4,0,4,6,5,10,0,0,6,
5,6,5,6,5,6,5,0,4,6,10,1,4,5,5,10,2,6,1,4,0,4,6,10,0,4,6,10,1,4,
0,4,0,4,6,10,1,4,6,6,1,5,6,6,1,5,2,6,1,4,0,3,0,4,6,10,0,4,0,4,
2,0,4,1,5,1,4,5,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,6,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,6,10,4,4,4,4,4,4,4,4,4,4,4,4,4,4,10,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,4,1,4,1,
4,1,4,0,2,0,0,0,1,0,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,-5,-1,0,4,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static unsigned short stb__courier_31_latin_ext_w[560]={ 0,4,10,12,11,12,11,4,5,5,11,14,7,12,
5,11,11,11,12,12,12,12,12,12,11,11,5,7,14,15,14,10,12,17,14,14,14,14,14,15,15,11,15,15,
14,17,16,14,13,15,16,12,14,15,17,16,15,15,12,5,11,5,11,17,6,14,15,13,15,14,13,15,15,12,
10,14,12,17,14,14,15,15,13,12,14,14,16,16,15,15,11,6,2,6,12,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,0,4,10,14,12,15,
2,14,9,17,9,14,15,12,17,18,8,14,8,8,6,14,13,5,6,8,10,15,17,17,17,10,17,17,17,17,
17,17,17,14,14,14,14,14,11,11,11,11,16,16,14,14,14,14,14,10,15,15,15,15,15,15,13,13,14,14,
14,14,14,14,16,13,14,14,14,14,12,12,12,12,14,14,14,14,14,14,14,14,14,14,14,14,14,15,15,15,
17,14,17,14,18,15,14,13,14,13,14,13,14,13,14,16,16,15,14,14,14,14,14,14,15,14,14,14,15,15,
15,15,15,15,15,15,15,15,15,16,11,13,11,13,11,13,11,12,11,12,17,14,15,10,15,14,14,14,12,14,
12,14,12,14,12,14,12,16,14,16,14,16,14,15,14,13,14,14,14,14,14,14,17,16,16,13,16,13,16,13,
12,12,12,12,12,12,12,12,14,14,14,14,14,14,15,14,15,14,15,14,15,14,15,14,15,15,16,16,15,15,
15,12,11,12,11,12,11,13,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,16,15,15,13,15,15,15,
15,15,15,15,15,15,15,15,15,15,16,15,15,15,15,15,15,15,15,15,15,15,15,15,15,16,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,17,14,11,12,14,
14,15,14,15,14,15,14,15,14,15,14,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,17,14,17,16,15,14,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15, };
static unsigned short stb__courier_31_latin_ext_h[560]={ 0,19,8,20,22,19,16,9,21,21,11,15,10,3,
5,22,19,17,18,19,17,18,19,18,19,19,13,15,15,6,15,18,20,16,16,17,16,16,16,17,16,16,17,16,
16,16,16,17,16,20,16,17,16,17,16,16,16,16,16,21,22,21,9,2,5,13,18,13,18,13,17,18,17,18,
24,17,17,12,12,13,18,18,12,13,17,13,12,13,12,18,12,21,21,21,5,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,0,18,18,17,12,16,
21,19,3,17,9,12,9,3,17,3,8,17,10,10,5,18,19,5,6,10,9,12,18,18,18,18,22,22,22,20,
20,22,16,21,22,22,22,20,22,22,22,20,16,20,23,23,23,21,21,10,19,23,23,23,21,22,16,18,19,19,
19,18,18,20,13,17,19,19,19,18,18,18,18,17,18,17,19,19,19,18,18,14,15,19,19,19,18,24,23,23,
20,17,21,19,20,16,23,19,23,19,22,18,22,19,21,18,16,18,20,17,21,19,21,18,20,16,21,19,23,24,
22,24,22,23,21,25,22,22,16,17,20,17,20,16,21,18,20,22,21,12,17,24,23,24,21,22,12,22,22,21,
22,16,17,16,17,16,17,22,18,21,17,21,18,17,18,18,21,17,22,19,23,19,16,13,22,18,21,17,21,18,
23,19,23,19,21,17,22,19,22,22,21,18,16,17,22,18,21,17,22,19,23,20,23,19,20,16,22,19,22,24,
20,22,18,21,17,21,18,17,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,17,18,18,21,18,18,18,
18,18,18,18,18,18,18,18,18,18,17,13,18,18,18,18,18,18,18,18,18,18,18,18,18,19,13,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,21,19,21,18,22,
19,22,19,23,21,23,23,23,22,23,23,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,27,24,22,19,24,20,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18, };
static unsigned short stb__courier_31_latin_ext_s[560]={ 511,502,453,186,105,74,370,507,505,340,337,
218,349,167,487,186,127,493,344,100,17,217,87,101,420,490,505,503,263,464,233,
14,318,276,325,45,340,355,382,60,397,413,1,478,229,211,1,91,65,284,126,
480,196,119,108,201,185,244,157,488,133,16,421,209,499,309,298,324,399,355,135,
32,149,93,35,165,106,463,493,448,61,16,218,370,76,400,264,415,232,77,481,
481,432,395,487,469,469,469,469,469,469,469,469,469,469,469,469,469,469,469,469,
469,469,469,469,469,469,469,469,469,469,469,469,469,469,469,469,469,511,507,485,
30,324,180,508,1,199,449,395,281,405,167,389,180,444,345,357,377,500,1,16,
493,480,386,433,248,451,433,415,496,95,397,278,300,346,244,443,435,229,214,57,
199,145,45,33,88,461,251,431,446,474,417,450,366,367,370,277,489,494,117,94,
189,215,245,322,129,114,155,338,287,430,352,445,369,1,490,285,467,58,360,185,
415,400,384,460,278,248,307,292,277,475,135,261,17,233,225,362,170,214,260,339,
113,309,156,296,87,326,30,380,41,33,25,364,165,34,59,61,174,268,170,1,
462,354,103,432,119,492,402,346,19,461,47,494,119,143,240,116,143,49,203,76,
34,22,311,269,72,293,46,465,19,296,477,448,402,371,79,419,50,180,18,332,
415,329,292,317,257,314,301,258,230,187,210,113,432,324,447,425,383,78,73,128,
151,202,244,461,394,418,407,231,106,384,477,356,341,325,144,310,136,262,159,309,
254,198,230,386,331,1,337,170,294,88,260,72,151,100,173,273,244,407,174,357,
375,469,469,469,469,469,469,469,469,469,469,469,469,469,469,469,432,469,469,160,
469,469,469,469,469,469,469,469,469,469,469,469,469,193,432,469,469,469,469,469,
469,469,469,469,469,469,469,469,383,293,469,469,469,469,469,469,469,469,469,469,
469,469,469,469,469,469,469,469,469,469,469,469,469,469,469,469,469,469,274,200,
219,48,311,44,157,379,213,145,229,198,245,63,167,183,469,469,469,469,469,469,
469,469,469,469,469,469,469,469,469,469,469,469,469,469,469,469,469,469,469,469,
469,469,469,1,57,1,139,87,128,469,469,469,469,469,469,469,469,469,469,469,
469,469,469,469,469,469,469,469,469,469,469,469,469,469,469,469,469,469,469,469,
469,469,469,469,469,469,469,469,469,469,469,469,469,469,469,469,469,469,469,469,
469,469,469,469,469,469,469,469,469,469,469,469,469,469,469,469,469,469,469,469,
469,469,469,469,469,469,469,469,469, };
static unsigned short stb__courier_31_latin_ext_t[560]={ 1,75,190,75,29,98,155,118,1,53,190,
174,190,25,196,29,98,137,118,98,156,118,98,118,75,75,137,98,174,190,174,
118,75,155,155,156,155,155,155,156,155,155,156,155,155,155,174,156,174,75,174,
137,155,155,174,174,174,155,174,53,29,76,190,25,196,174,118,174,118,174,155,
137,155,137,1,155,155,174,174,174,137,137,190,174,156,174,190,174,190,137,174,
53,53,53,190,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,
118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,1,75,118,
156,190,155,29,98,25,137,190,190,190,25,137,25,190,137,190,190,190,137,98,
196,190,190,190,190,118,118,118,118,53,29,29,75,75,29,155,53,29,29,29,
75,29,29,29,76,155,75,1,1,1,53,53,190,98,1,1,1,53,29,174,
118,98,98,98,118,118,75,174,137,98,98,98,118,118,98,118,137,118,137,98,
98,98,118,98,174,174,98,98,98,98,1,1,29,75,137,53,98,75,155,1,
98,1,98,29,118,29,98,53,118,174,118,75,137,76,98,76,118,75,174,76,
75,1,1,29,1,29,1,53,1,29,53,155,137,75,137,76,174,76,118,76,
53,76,190,137,1,1,1,53,53,190,29,29,53,29,174,137,174,137,174,137,
29,118,53,137,53,118,137,118,118,53,137,53,75,1,75,155,174,53,118,53,
137,53,118,1,75,1,75,53,137,29,75,29,29,53,118,155,137,29,118,53,
137,29,98,1,75,29,98,75,155,29,98,29,1,76,29,118,53,137,53,118,
137,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,137,118,118,53,
118,118,118,118,118,118,118,118,118,118,118,118,118,137,174,118,118,118,118,118,
118,118,118,118,118,118,118,118,98,174,118,118,118,118,118,118,118,118,118,118,
118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,53,98,
53,137,29,98,29,75,1,53,1,1,1,53,1,1,118,118,118,118,118,118,
118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,
118,118,118,1,1,53,98,1,75,118,118,118,118,118,118,118,118,118,118,118,
118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,
118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,
118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,
118,118,118,118,118,118,118,118,118, };
static unsigned short stb__courier_31_latin_ext_a[560]={ 263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,263,
263,263,263,263,263,263,263,263, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_31_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_31_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_31_latin_ext(stb_fontchar font[STB_FONT_courier_31_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_31_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_31_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_31_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_31_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_31_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_31_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_31_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_31_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_31_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_31_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_31_latin_ext_s[i] + stb__courier_31_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_31_latin_ext_t[i] + stb__courier_31_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_31_latin_ext_x[i];
            font[i].y0 = stb__courier_31_latin_ext_y[i];
            font[i].x1 = stb__courier_31_latin_ext_x[i] + stb__courier_31_latin_ext_w[i];
            font[i].y1 = stb__courier_31_latin_ext_y[i] + stb__courier_31_latin_ext_h[i];
            font[i].advance_int = (stb__courier_31_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_31_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_31_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_31_latin_ext_s[i] + stb__courier_31_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_31_latin_ext_t[i] + stb__courier_31_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_31_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_31_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_31_latin_ext_x[i] + stb__courier_31_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_31_latin_ext_y[i] + stb__courier_31_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_31_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_31_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_31_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_31_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_31_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_31_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_31_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_31_latin_ext_LINE_SPACING
#endif

