// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_14_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_14_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_14_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_courier_bold_14_latin_ext_BITMAP_HEIGHT        126
#define STB_FONT_courier_bold_14_latin_ext_BITMAP_HEIGHT_POW2   128

#define STB_FONT_courier_bold_14_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_bold_14_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_bold_14_latin_ext_LINE_SPACING           7

static unsigned int stb__courier_bold_14_latin_ext_pixels[]={
    0x00000510,0x00e20040,0x40020000,0x00042009,0x00260080,0x00001333,
    0x00000000,0x00000000,0x00000000,0xd1000020,0x300e8803,0x205b807d,
    0x263601e8,0x4c00e884,0x6d405804,0x807d300c,0x300ba03a,0x24560133,
    0x9d303e98,0x981cd220,0x00fa204e,0x3ea81b91,0x36203e98,0x2d40b501,
    0x4c0756c0,0x9834c04b,0xb100c802,0x00e60771,0x66cc0151,0x55c0b100,
    0xc80640d0,0x2e3621a1,0x50d0ab83,0x4981559d,0x03766093,0x910ee362,
    0x336a0751,0x03a8c880,0x5640771b,0x8ae32259,0x3903b8d8,0x0ea01260,
    0x9301cab8,0x5700d807,0x0d89a805,0x32a980a8,0x40737055,0x260aaaca,
    0x32a88373,0x55395035,0x21a99544,0x443532a8,0xfd83532a,0x4aa21dee,
    0x9aa881a9,0xa80aa880,0x0a80aaac,0x05532a98,0x51013551,0x2aa21555,
    0x0455441a,0x2a022aa2,0x3532a880,0x21a99544,0x103532a8,0x03950155,
    0x71bffbee,0x7dc1bfdf,0xc981df55,0xdffbdd01,0x640a9441,0x20ffd9ff,
    0x90dffdfe,0x21ffb3ff,0x0ffd9ffc,0x1ffb3ff9,0x3ff902e8,0x77dc1ffb,
    0x777d45fe,0x3ff7ba2f,0x37fbee0e,0x77d57ee0,0x17fbbee0,0x54bfffea,
    0x3bee4eee,0x3bbee5fe,0x37fbee5f,0x3f67ff20,0xfb3ff90f,0x367ff21f,
    0x3bbea0ff,0x202aa62f,0xf8bf72f9,0x34d87b12,0x0acb981f,0x4c3f33cc,
    0x7c41550a,0x26798f60,0x3d83e21f,0x223d83e2,0x0ba0f60f,0x447b07c4,
    0x45d16e1f,0x0fccf32e,0x361ec4be,0x0fc41f34,0x903cc0b7,0x35c87e69,
    0x25f2e43f,0xd83e23d8,0x23d83e23,0x5d0f60f8,0x0bffd174,0xa9efe6b9,
    0x23e63545,0x5ecec84d,0x5c3f12dc,0x7c45fb3f,0x225b8f60,0x3d83e21f,
    0x223d83e2,0x3360f60f,0x41f10b98,0x36016a3d,0x896e08ae,0x8d516a1f,
    0x2d44d8f9,0x4c81e600,0x216e30b7,0x226a8b51,0x0f88f60f,0x360f88f6,
    0x404576c3,0x46640fed,0x89b0f8bf,0x07f6c0f8,0x7c47cc98,0x1ec1fc8a,
    0x7b07c45d,0x0fe457c4,0xf11ec1f1,0x41f11ec1,0xdfffa83d,0x91ec1f10,
    0x882f2e29,0x5f10dfec,0x226c3f91,0x07f6c0f8,0x85e5c532,0x4c81e618,
    0xb0264099,0x1f10f889,0x6c1f11ec,0x43d83e23,0x220dfec8,0x77543e9f,
    0x2e35cb75,0xdd04f985,0xdfd50fd9,0x8ba3d83f,0xd50f60f8,0x07c43fdf,
    0x7b07c47b,0x207b07c4,0x360f8818,0x7f6cdae3,0x2a3e88a0,0x1ae1fefe,
    0x709f30b7,0x543fb66d,0x74c81e66,0xd7035c0d,0xd83e25b8,0x23d83e23,
    0x450f60f8,0x2e7ae3e8,0x1fa9ff86,0x0bea73e2,0x23ea03e6,0x3e101fc8,
    0x17d466c1,0x403ea37a,0xa8de83f0,0x7d46f40f,0x07d46f40,0x51bd04b8,
    0x44dfcc1f,0x262fe66c,0x443f083e,0x982fa9cf,0x89bf980f,0x3227ea6c,
    0x67c53206,0x39f16b89,0x273e2d71,0x546f42fa,0x7d46f40f,0x07d46f40,
    0x47d317f3,0x2a2ffffe,0xd983efef,0x7f6542ef,0xdfdffb01,0xa86ecc88,
    0x7447ffff,0xdd9702ef,0x105dfd10,0xfd105dfd,0x8805405d,0xffa82efe,
    0x3fba23ff,0x3766444f,0x2a177ecc,0xff501fec,0x7fe447ff,0x0fee540e,
    0x4c5dffd3,0x3662effe,0xefe882ef,0x82efe882,0x7442efe8,0x87ea4ffe,
    0x002590dd,0x0e664c02,0x66440110,0x0200200b,0x04015970,0x00040040,
    0x00880080,0x0bcc8804,0x6664c020,0x02004401,0x0100de4c,0x02002008,
    0x20020020,0xfbb7fc40,0x0000003f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x55553000,0x00000055,0x00080000,0x00000000,0x00000000,0x3b9d8800,
    0x00099988,0x80009998,0x0640011a,0x40773b10,0xd8d980d8,0x0b500001,
    0x3ee0ead8,0x5226ffff,0x801b3039,0x0b5000ec,0x7d30155c,0x3a604b80,
    0xc80fa603,0x880d3003,0x40e883fc,0x3d880eea,0x30399930,0x5999101b,
    0x32e612e0,0x6c3e983e,0x201ec404,0x807aa01d,0x117440d9,0x41cab809,
    0xa8d53f5b,0x812600cd,0x488058ac,0xd880e540,0x407303b8,0xd883b8d8,
    0x006e03b8,0x9dc801b1,0xaad40c81,0x0d4caa25,0x4980dce6,0x41a99544,
    0x532a8839,0x31dc6c43,0x300a801f,0x5ce606e7,0x9f312601,0x406a6551,
    0x33f3a80a,0x0d4caa29,0x2aa600a8,0x2aaaa200,0x40554c0a,0x443511a8,
    0x261aaaaa,0x2215511a,0x4c1aaaaa,0x2aa600aa,0x55417400,0x26390aaa,
    0x3f67ff26,0x2054a20f,0x3f22aaa9,0x530ffd9f,0x4ffe4555,0x55530ffd,
    0xdf703e85,0x152881bf,0x5102a510,0x3e635555,0xffd9ffcb,0x037fbee0,
    0x27ff20fc,0x3bee0ffd,0x5ffe80df,0x3fffff60,0x5c2fff43,0x321df76f,
    0x3e4fffff,0x92ffb8ef,0xe89fffff,0x3ffa05ff,0x8bfff505,0x2d1ffffe,
    0xd83e26dd,0x05542a63,0x223ffffb,0xffd8f60f,0x6c1f11ff,0x87ffff63,
    0x3625f07a,0x05542a63,0xc82aa153,0xf14fffff,0x21ec1f17,0x3e07b12f,
    0x87b07c41,0x3607b12f,0x99f100fe,0x03fb60b6,0x36075db2,0xaadc7913,
    0xc89ec6a8,0x200fed83,0x7d100fed,0x74bb2e81,0xb07c4d58,0x2fd9fdc7,
    0xb07c42e8,0x0f885d07,0x740ba0f6,0xb9aa2d43,0x7dc5fb3f,0x13d85fb3,
    0x07c57c79,0x1aa2d47b,0x0f882fe6,0x3545a8f6,0xa81f4fc4,0x440aedcc,
    0xfbd03e9f,0x11b77b03,0x2defcf54,0x10236ef6,0x3e207d3f,0x20ba03e9,
    0x75a0fb8a,0x3d83e27c,0x5d05d1ec,0x20f60f88,0x7b07c42e,0xb1aa05d0,
    0x8f60f889,0x85d1ec2e,0x3208dbbd,0xd8f60f88,0xff507c44,0x7b07c4df,
    0x703e226c,0x2f20d73d,0x9eb80ffd,0x209f306b,0xcf985ffd,0x7fec5cfe,
    0x0d73d705,0xe81ae7ae,0x2d83f502,0x7b07c455,0x3a0ba3d8,0x07b07c42,
    0x360f885d,0x8be02e83,0x8f62dc6b,0x85d1ec2e,0x3e205ffd,0x5c6b8f60,
    0x41f10105,0x0b71ae3d,0xf05ffffd,0xe81179fd,0x5d02ffff,0x8e2e6f60,
    0x44ffaff8,0x7438b9bd,0xfe82ffff,0x03f02fff,0x2d4b27f1,0x0fa8de83,
    0x417d466c,0xfa8de82e,0x8de82e80,0x202e80fa,0x2a73e26b,0x7d466c2f,
    0x17d466c2,0xf8e2e6f6,0x41f51bd2,0x02fa9cf8,0xf51bd05d,0x7d4e7c41,
    0x1bb0fd42,0x64eec754,0x0dd87ea4,0x3a205fcc,0x7fc6b99b,0x2fa23fc8,
    0x87ea6b99,0xd87ea0dd,0x20ddd10d,0x323d99ee,0x77f442ee,0x7ffffa82,
    0xd106fe62,0xbf9885df,0x2177f441,0xf101bf98,0x4177ecc3,0x547ffffa,
    0x3a27ffff,0x8826b99b,0xfd982efe,0x2202e02e,0xfd982efe,0xbb7fc42e,
    0xfdff13ff,0x3fe2bfff,0x7d47ff76,0x7ffe46ff,0xf9af46ff,0x3fffff22,
    0x3eedff16,0x2edff13f,0x440aa3ff,0x003fffff,0xfe804004,0xd0081fff,
    0x0103ffff,0x407ffffa,0x00100101,0x3ffff201,0x0400406f,0x20020040,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x44000000,0x276208aa,0x09aa883b,0x0000aa88,
    0x2e00ec00,0x00046a02,0x510aa910,0x00000155,0x80062260,0x96a03739,
    0x21a88aa8,0x00a804ea,0x29101333,0x1b80002a,0x1d34c800,0x2a60076c,
    0xb8645530,0x6cc5feef,0x5feefb83,0x217f77d4,0x0fa603e9,0x02b80170,
    0x8807d973,0x9066700e,0x260bffff,0x02cc0573,0x9a44997b,0x300a9443,
    0x7e5ffe45,0x880bb10e,0x666441bf,0xb8066702,0x6c07c404,0x0544a602,
    0x4fe801f5,0x26ba3ffb,0x5511721f,0x8b70fc41,0x8d88ba2e,0x3b8d883b,
    0x81555950,0x15009aa8,0x0a801900,0x40ba27d0,0x012203eb,0xcda8997b,
    0x154caa60,0x57435553,0xa8db85e9,0x3ffbe60a,0x2a880a80,0x00730353,
    0x540570b9,0x7c2aa9aa,0x3ff01bca,0x85bae932,0x4bfbbea1,0x8aed805a,
    0x21a99540,0x6f7402ec,0x3bee0eff,0x7f7dc5fe,0xa9854c0d,0x06ff7dc2,
    0x4c17d4fa,0xaaa880aa,0x3ddbf700,0xfb8aaaa6,0x3ae1df55,0x13f7a4ee,
    0x90f7dedc,0x3fbee249,0x367ff20d,0x223510ff,0x221f881a,0xfdb00aaa,
    0xdff8fdd9,0x96df82fd,0x20265749,0x8a64ba2e,0x3b220bcb,0xb3ff50df,
    0x301f4cbf,0x3f10fccf,0x6c4be2dc,0xffda7f43,0x21ec4be1,0xfd04fffe,
    0xffff90bf,0x5bfbf70b,0xd87ffff6,0x93201f34,0xfb80dffe,0x0bdfa83f,
    0x223d897c,0x6fb8f60f,0x45c81df7,0x2603fffa,0x5c7f1e67,0x4cce9f86,
    0xdb01aeba,0xd9b5c115,0x3e88a0fe,0x6741f8ba,0xf12dc0cc,0x16a02d43,
    0x323ff0d5,0xe8d516a4,0x3b606e9b,0x5d13e80f,0x5d05d3f0,0x409b1f30,
    0x4274fa4c,0xd7103ffb,0x89aa2d4f,0x2d90f60f,0x817c40eb,0xf33cc00f,
    0x3e1a62f8,0x2ba4ef98,0x26b89cf8,0xf30dfec8,0x7ccd9137,0x2fa3e98b,
    0x6ff41f99,0x6457c47d,0x65c5321f,0x0f889b0b,0x364cb6fc,0xbe887c44,
    0x7c40ce88,0xf53e83e9,0x7ffffc45,0xfed81741,0x5f453200,0x4ee41f98,
    0x1f8360cf,0xf10f889b,0x7ef41ec1,0x03e06b81,0x7989fb98,0x21f5dffc,
    0x749f92f8,0x45dffd32,0xffa8fa22,0x3fba23ff,0x7ffff44f,0xa83f2741,
    0x5ae1fefe,0x8d70fed9,0xcce9f85b,0x64b71ae4,0xb87f33ff,0xffe86b9e,
    0x2f9fa84f,0x09f302e8,0x27ff94c8,0x3abf52fd,0x9f73be7f,0x1f12dc6b,
    0x827cc1ec,0x2083e02f,0x79cffff8,0x6c16f67c,0x3a4f89ff,0x2fe61642,
    0x01983e98,0x3f1740ec,0x8407e3e8,0x226fe61f,0x2a73e26c,0xef98f82f,
    0x3ea73e24,0x7f401302,0x4df42fff,0x0f8f986e,0x01f302e8,0x400984c8,
    0x0cfba809,0x0bea73e2,0x201f51bd,0x7c06a82e,0x8d500f10,0x2026000f,
    0xd117662e,0xbb309ffd,0x3a22ed40,0x9f445f13,0x766442f8,0x3ffffa86,
    0x44177ecc,0xd989f92f,0x0bb302ef,0x10dd87ea,0x419d117d,0x2620f8f9,
    0x3fb2a1bf,0x41fdcb81,0x0faa04d9,0xefd982e8,0x02efe882,0x03e817f3,
    0x03ea6be6,0xfc8ff322,0x85d9802c,0x01004c1d,0x204c00a8,0x0ffe9ffc,
    0x1ff93ff7,0x1005e644,0x3f600801,0x0104f89f,0xdff10150,0x7fe4ffee,
    0x81087f33,0x931ffffe,0x37950399,0x028802a0,0x10010054,0x237ffd40,
    0x3fffee01,0x2cc880ff,0xa800e65c,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x55440800,
    0xdd70000a,0x0773b103,0x201c80ae,0x254ec009,0x201dcec4,0x002aa440,
    0x01a88d44,0x1646c402,0x44042000,0x4ec42c8d,0xd301c83b,0x01aaa881,
    0x33000000,0x1a804013,0x23b9d881,0x44b81ee9,0x9103fffa,0x05f510ea,
    0x02b80f66,0x0254c072,0x3d981362,0x4ce07620,0x23a8d881,0x0efc8efb,
    0xe980ebd8,0x0793d102,0x74c1aba2,0x3207b302,0xff905101,0x64f441df,
    0x41d46c43,0x6441d9d9,0x81d302cc,0xe983ecb9,0x2217d443,0xb7003e03,
    0x440ba019,0x554408aa,0x2aaaaa08,0xa981e440,0xaaa85530,0x441c80aa,
    0xb503511a,0x7b07c417,0x53037550,0x016c4015,0xaa881937,0x2aaa980a,
    0x510aaaa6,0x440ba015,0x017b502d,0x2aa60766,0x5301902a,0x5554c555,
    0xd71742aa,0x4403e03d,0xe81aaaaa,0x5feefb82,0xe97fbbee,0x1531ffff,
    0x29fd02aa,0x3ffa1ffd,0x15e4c1ff,0x03beedf7,0x07c41795,0x0179507b,
    0x2e60bffd,0xa854c0ac,0x3ffff20a,0x8ffffec5,0x261ffffd,0x205d02fe,
    0x42a60bca,0x542a60aa,0x3ffff60a,0xb3dde541,0x3ee3ffff,0x1746ffff,
    0x83e05f51,0x3fffff20,0x0fcc2e84,0x5c87e6b9,0x7f72ecba,0x47fe0bf6,
    0x45d9744c,0x321fdcec,0xdfc81d76,0x6c1f10ef,0x077efe43,0x76407f6c,
    0xd9fdc5ec,0x2e89f42f,0x405d02e8,0xf905d02e,0x4fee1dfb,0x6cfee2fd,
    0xfd82e82f,0x42e83fed,0xe8d53f5b,0x21f02e82,0x3c89ec78,0x8c2dc2e8,
    0x2e2a185b,0x05d1ec0f,0x15132dbf,0x9bec81f7,0x4c1fde82,0x20f9760f,
    0x5d83e63d,0x981f4fc4,0x3a3d87cc,0x82fa9f42,0x7405d02e,0x0f985d02,
    0x0ba3d976,0x1741747b,0x17bea3ea,0x27e750ba,0x17417449,0x07d4d7cc,
    0x4411b77b,0x81321bf9,0x81fa804c,0x27e0ba3d,0x1fa84cce,0x40efda88,
    0x5c6a84f9,0x83ea3766,0x3ae35c6a,0xecee86b9,0xd0ba3d87,0x0ba09fff,
    0x5fcc4174,0xa82fe621,0x747b35c6,0xd05d1ec2,0xabf9db85,0x07e02e86,
    0x2e174174,0x20ffffff,0x7fc45ffd,0x40d73fff,0xc9fc406b,0x0bea3362,
    0x113be63e,0x32f8b27f,0xf105d05d,0x6c49d519,0x467c42ef,0x7fff44ea,
    0x3223ea2f,0x7d466c1f,0x8374df42,0xfd05d02e,0x3ff23fff,0x519f10ff,
    0x7d466c9d,0x17d466c2,0x2ffe2174,0x202e84ea,0x5d05d01f,0x9bd804c0,
    0x4409838b,0xf16b89cf,0x774d7139,0x3fea3d99,0xc97c47ff,0x6ccf744f,
    0x217fffa3,0xfe980bf9,0x3013d04f,0x1fa89ffd,0xeffd8376,0x7fffd46f,
    0x3a22fa27,0x437f310c,0xe881bf98,0xe981e881,0x7ffd44ff,0x7fffd47f,
    0x986fe627,0x4c44ffff,0x0bf981bf,0x7f3117d4,0xd10bb303,0xd98d7337,
    0x2effe984,0x44bbffa6,0x083fffff,0x3e27ff60,0x3ffffe24,0xfff50183,
    0x32a0040d,0x3fe20200,0x0887ff76,0x7ff90080,0x7fff4fe6,0x3ffffd1f,
    0x812e0970,0x80400400,0x771ffffe,0x7ffff402,0x99bffea1,0xffff12ff,
    0xf901507f,0xa88dffff,0x00200400,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00001000,
    0x1c8000a8,0x81b3276c,0x20034c00,0x2a23b9d8,0x3501aaaa,0x3c800002,
    0x9982aa44,0x82aa4409,0x98246a01,0x20001c8c,0x0c80200a,0x1eeeb800,
    0x30000020,0x980c0155,0x4975d00e,0x3d5511a8,0x07204e98,0x6426c39f,
    0x2ba17603,0x643d984b,0x984fffff,0xfd703ecb,0x51d46c47,0x8833383f,
    0x33382ccc,0x1c6a03d0,0x2b605d50,0xdfefb85b,0x2e80e980,0x74406ec4,
    0x05b10390,0x7e443bd5,0x05ffe81d,0x88032076,0x6477dc3c,0x546443ff,
    0x2aaaaa23,0x702e85f1,0x9103f303,0xaaaaa887,0x21e44f61,0xc85530a9,
    0x5ed419bf,0x55530fc0,0x55555445,0x35555511,0x54c167c4,0x0aaa880a,
    0x4be60f20,0xd09105e8,0xc8498c85,0x206e011f,0xd70ecafa,0x3fb60d95,
    0x99cb8800,0x22bc980c,0x4c0f60f8,0x3fff22bc,0x2e85f4ff,0x705542a6,
    0xc82f260d,0x364fffff,0x7f408dbb,0x3e63ffb4,0xf02f2600,0x8ffffec3,
    0x94fffffc,0x2a9fffff,0x7f40fedf,0xffffc85f,0x21acb884,0x2e63d45c,
    0x221740ac,0x27661acb,0xacb880ce,0x7b2e9321,0xd3f107e2,0x67547a07,
    0x67647dff,0x6c1f11fd,0x1fdcec83,0x2f9e44f6,0xb3fb87ee,0x76c2e45f,
    0x44f60fec,0x817ff63c,0x75c991ff,0x7676c2ed,0x5d037a0f,0xd8f227b0,
    0x58f67913,0x1f01fdb0,0xddfb8be6,0x1f11365f,0x262f6764,0x17f77ee0,
    0x5c3d719d,0x5aa5fddf,0xdd9f54f9,0x20d73d70,0x2b7f2a2f,0x8a6fb22f,
    0x320f60f8,0x5dec29be,0x7dc5f08d,0x645d1ec1,0x7d55fcc5,0x8236ef64,
    0xf838b9bd,0x6fe4996d,0x557f31fb,0x3a06f49f,0x08dbbd82,0x74236ef6,
    0x1f4fc402,0x0f4b907c,0x16e35c77,0xe831f326,0x2bb20ee1,0x43b87a59,
    0xdf54ffee,0xffffd0df,0xee8bf885,0x223eeefd,0x1f10efda,0x7ed441ec,
    0xf17ff60e,0xd1ec2e85,0x3bee35c5,0x3ff64eee,0x5ccdf445,0x4cce9f86,
    0xdf74c9ae,0x40fc9ddd,0x85ffd82e,0x67dc5ffd,0x5cf5c0fd,0x45aa0f86,
    0x54e7c407,0x3f67742f,0x1003c4ba,0x401e25fd,0x227d3faa,0xdd87ea2f,
    0x27e33e60,0x3e0a8df9,0x46f45d32,0xd32f80fb,0x9c5cdec5,0x3361742f,
    0x87e62fa8,0x21a88af8,0xf938b9bd,0x1f0dffff,0x4fcc9df3,0x115f12e8,
    0x1740fc35,0xb1c5cdec,0x7d471737,0xffffe81d,0x6cb907c2,0x7444a88c,
    0x447d42ef,0xcd8ba1fc,0x95344a88,0x24a88cd8,0x33a6da88,0xdff11f98,
    0x4f98ffee,0x5ffddff9,0x222ffff4,0xffd02efd,0x4cdf44bf,0x27419f6b,
    0xb1ffffea,0x3fffda8b,0x0d7337d1,0x25f1056c,0x2ffdc4fc,0x4cffff6a,
    0x86fe620f,0x16b99be8,0xe8d7337d,0x3761fa81,0x5f735f10,0x21f7ff4c,
    0x6c5bdff8,0x8ba6feff,0x743effe9,0x7f4c1fee,0x33bee3ef,0x013ffa60,
    0x0882a174,0x00401802,0xffffc818,0x74cbff6f,0x41620081,0x7fffe408,
    0xd82e606f,0x104f89ff,0xd0f60440,0x3f23ffff,0xff96ffff,0x8818dfff,
    0x27ff76ff,0x102efffc,0x37336a01,0x03b00883,0x08800011,0x40008010,
    0x0000003a,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xb7100000,0x300207dd,0x20080133,0x00080000,
    0x2a000080,0x004a8000,0x00022e20,0x41954008,0xeb803739,0x008003ba,
    0x05548802,0x998155b7,0x2e200009,0x360001ac,0xcdce8498,0x64409705,
    0x812e02cc,0x1dfc882e,0x0bae0790,0x3baa0970,0x26039b80,0x4c0fcc4e,
    0x37ab204e,0x2e09d300,0x85d77104,0xe8801528,0x0376239b,0x03d8074c,
    0x7fdc0cce,0x00e66445,0xbbf701d1,0x0b55b0bf,0x3e6066cc,0x03984bc8,
    0x7300554c,0x73b90900,0x2ea0550f,0x207301c8,0xc986daea,0x87519101,
    0x1d46445d,0x9100aa98,0x40aa0751,0x42a60bca,0xdac980aa,0x82cce41b,
    0x980dc00c,0xf99980bc,0x802b2e60,0x1dc3d00c,0x32e604c8,0x5ee7440a,
    0x80565cc4,0x32a05ffe,0x00bca80b,0x179307e2,0x20aa854c,0x6c1550a9,
    0x65cc1f13,0x8179300a,0x0565cc7a,0x2a05ffe8,0x0bc980bc,0xb877efe4,
    0xfd85fb3f,0xaa983ffd,0x980aa980,0xeced80aa,0x3fffaa0f,0x117b3b23,
    0x78817935,0x05e4d440,0x885ecec8,0x67644bfc,0x03fb605e,0xc83bf7f2,
    0x6c40efdf,0x7f676c5f,0x8bf67f70,0x7c5fb3fb,0xecec8ba1,0x0feced85,
    0xecec83e6,0x203fb605,0x360efdfc,0x1f30fece,0x1747b2ec,0x541fc4f3,
    0x2fea82fe,0x7cc2fea8,0x7f14faab,0xf99313ea,0x87ddff98,0x264a88cd,
    0x2607ddff,0x12f207cc,0x7c41f326,0xb07cc3e9,0x85d83e6b,0x57f30edb,
    0x5d1ec9f5,0x1f8ba3d8,0x8f9930ba,0x24faabf9,0x3e64c0f9,0x4c3e9f88,
    0x5fcd760f,0xb8d54faa,0x2e2e8f66,0x05d01f45,0xb85d0174,0xf54eeeef,
    0x3b3ba2e8,0x307e4d87,0x4d87dffd,0x3b3ba07e,0xdd12f207,0x27ae0fd9,
    0x5ae3546b,0x7d035c6a,0x93bbbbee,0x47b0ba3d,0x07c4fa2e,0xfb8fd9dd,
    0x1ea4eeee,0x2e0fd9dd,0x23546b9e,0xddddf76b,0x3aa33e29,0x8bea3364,
    0x04fa8af8,0x202e80ba,0x4457c42e,0x3ea2fe1a,0x3f911f50,0x640ba3d8,
    0x21747b03,0x01fc88fa,0x447d4979,0xfffe81fc,0x2a33e22f,0xd519f14e,
    0x97cc4549,0x21a88af8,0x6c2fa8cd,0x3ae2fa8c,0x223ea6b9,0x22be21fc,
    0xfa9761a8,0xfe81fc88,0x33e22fff,0x15f14ea8,0x7ff4c351,0x3ffffd44,
    0x0bffffae,0x98837f31,0x5fcc41bf,0x1fffed41,0xfd87dfd5,0x53a26fef,
    0x85ea82f8,0xb05f14e8,0xe88dfdff,0x3ff63fdf,0xb0fd46fe,0x27ff4c1b,
    0xfb13ffa6,0xffda89ff,0x3fffea3f,0x3ffffd47,0xffb077f6,0xffda8dfd,
    0xfd83f33f,0x0fd46fef,0x7ff4c1bb,0x1fffed44,0x02002004,0x3fffff88,
    0x27fffff1,0x83fffff8,0x08802008,0xdf73ff70,0x4ffdc020,0x001106fb,
    0xff100880,0x020ffeed,0x44008010,0x00200200,0x44004401,0x00882540,
    0x3feedff1,0x00440083,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80bc9a88,0x4aa05548,0x9980b201,0x10bae009,0x10a885b7,
    0x0a894455,0x4c0e54d4,0x2aa44099,0x44d403b0,0x540f220d,0x0001ca8a,
    0x81305793,0x8010000d,0x101a980b,0x4c065500,0x57930099,0x5e4d5415,
    0x262a0000,0x2707ddff,0x2ebb8819,0x664406e0,0x877ee01c,0x3f61fbec,
    0x3ee3ff53,0xfd11feed,0x66443fdd,0x2033381c,0xffefb80b,0x641d4e46,
    0xad86dfff,0xfdcec85a,0x88321741,0x0d503a8d,0x7f7e42e8,0x2e202d86,
    0xccc882eb,0xffedfd81,0x3f7bff62,0xf109d301,0x4c1f9367,0xcb980acb,
    0x3597100a,0x93017930,0x457419b9,0x4b71e63e,0x5c9325f8,0x017950fa,
    0x79301795,0x5fb97cc1,0xed81d4e4,0xec826400,0x5675429b,0x0bda818a,
    0xc85d0090,0xace987e2,0x0aa854c2,0x305542a6,0x3e13a21f,0x232216e3,
    0xe8f6083a,0x42f67642,0xfb85ecec,0x676c5fdd,0x3f7f60fe,0x0ffdf43f,
    0x3e25b8f3,0x364c96e0,0x83bf7f23,0x360efdfc,0x2b90fece,0x66447bf9,
    0x501ec1db,0xa8839515,0x3bf60efd,0x0aa981de,0x21ca8aa8,0x84eefee9,
    0x3bbf20fa,0x7ecfee0d,0x17ecfee2,0x2f84e8d5,0x223551aa,0x14e880aa,
    0x0f99305f,0x87a1f326,0x2aafe63b,0x1fc4f34f,0x4c3f26ba,0x41f12dc7,
    0x33d9765b,0x0f9aec1f,0x555fcd76,0x17f1994f,0x426edc1f,0xfc809ce9,
    0x997c6dff,0x2a01742e,0xfffc82fe,0x33eaa26d,0x2617f41a,0x23d80ace,
    0x85d1ec2e,0xf84fdbde,0x7ec2fbbf,0x2a1fe98b,0x6fb9ffb8,0x743f6774,
    0x03c47ece,0x53bbbbee,0x8ba1f45b,0x2e76f33e,0x35b83e25,0x354f63ff,
    0x5ae355ae,0x54eeeefb,0x2316ebdd,0x3ffe65cd,0x201db06f,0x2e85fffe,
    0x3b605d00,0x0c817400,0xd81eefd8,0x747b0ba3,0x26ef5c42,0x4416f67c,
    0x224ccf9f,0x7d404c3f,0x3ea1fc88,0x66c1fc88,0x2be24a88,0x15f11a88,
    0x75f449f5,0x2bef52e8,0x4c83e24d,0x467c4ba0,0x519f14ea,0x222be29d,
    0x3ea7fe1a,0x30194881,0x6c01ec01,0x17319b02,0x01ec0ba0,0x9ec000f4,
    0x2a3360b9,0x7d466c2f,0x07c26402,0x177ff740,0x360bb302,0x7ec6feff,
    0x7f4c6fef,0x7fed43ef,0x3fffae3f,0xdfbdfb2f,0x077edfec,0x107fabf9,
    0x7f4c1fb9,0x27ff4c4f,0x54ffff6a,0x3603efef,0x303ea84d,0x3aa0139d,
    0x1bfff505,0x4c1bf988,0xa99809ce,0xa81fc099,0x7fd44fff,0x7ffd47ff,
    0x87bb207f,0x7e402cfc,0x0a800ffb,0x01100220,0x00880110,0x02004002,
    0x20177000,0x02200400,0x80400259,0xffff3028,0x8040040d,0x33fffff8,
    0xfa8dffff,0x0045ffff,0x02002004,0x970e65c0,0xc8fa8039,0x00000006,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3ae00800,0x40002602,0x65400009,0x2a620aaa,0x4c382a00,
    0x00000000,0xaa880000,0x42f775c0,0xa8809aa8,0x21530aaa,0x3bba20aa,
    0x265511ee,0x40076c1a,0x13008aa8,0x0aa65530,0x3b6e0054,0x402aaa24,
    0x100ec428,0xb97d707d,0xe84bae81,0x07676a02,0x21dffbdd,0x5c5feffa,
    0x2249dfef,0x806edc2e,0x075c03da,0xb105b730,0xeefa83bf,0x0aabb22f,
    0x50bfddf7,0x3ee5ffff,0xabf85fb3,0xb3ff91fb,0x007d41ff,0x717fbbee,
    0x7dc1b97d,0x7dc1df55,0xcf980dfe,0x0fffea3b,0x203707dc,0x6543dac9,
    0x644589cc,0x0aacea83,0x33cc0da8,0xe887543f,0x3f625f32,0x403b3000,
    0x200d803a,0xade82fde,0x45d1746c,0x0fc409dc,0x6c3cc0b7,0x26a80ba3,
    0xf10f60f8,0x1f981795,0xbb8ca972,0x0f9a6c59,0x4c3d897c,0x0047c05d,
    0x82aaaaa1,0x6c3ffdfd,0x51b8c9d8,0x7ec15555,0x554c1dee,0x43f12dc0,
    0x95b99998,0x81d87a8b,0x3a8952d9,0x598361dc,0x3e2482e8,0x9022bb61,
    0x02d49fff,0xe8f61e60,0x0f893602,0xddff10f6,0xb0c2dc3f,0x437371b1,
    0x2d44d8f9,0x80bd71aa,0xeee806ef,0x7c4f31ff,0x555edac3,0xd07ffbba,
    0x217f5405,0x21fc8af8,0xb7fffffc,0x3f20f889,0x76d6ddc1,0x3a6bb660,
    0x3233ae0c,0x6402e81e,0x06ff6446,0xa647e251,0x4310bcb8,0xfa8cd879,
    0x7c43f102,0x47f10f60,0x1b01325b,0x7f6c2a87,0x03e226c0,0x33f220b7,
    0x5353c810,0x0fa2dc5f,0x173b1b1b,0x3a0bea6a,0xea82e802,0x71aa1fef,
    0x6cb71aeb,0x97f7301e,0xdbed998d,0x77f7313d,0x7ec05d0f,0x407d1140,
    0x3b66d73d,0x43ccd50f,0x506ffffd,0x0f60f88f,0xd73cc3f1,0x9a9d8d80,
    0x5c27cc0b,0x82dc2dc6,0x44f10fed,0xf10bea0f,0xda89f515,0x7d45c89b,
    0x17319b02,0x1f8405d0,0x897d467c,0x3a2fa9cf,0xb31b7162,0x2a229b0d,
    0x1b663aa5,0x03ba20ba,0x47d317f3,0xf30fa89b,0x7d4d9137,0x1bd86c89,
    0x8de84d80,0x4efcc0fa,0x273e24d9,0x2e32a6b8,0x80f9859a,0x42fa9cf8,
    0xf9880dc8,0x4750fa9a,0x2e1c9bfb,0x542ffffe,0x5fdc4dde,0x7ffd41c9,
    0x06fe620d,0xb30dd991,0xefd987df,0x07f6fdc2,0x5c00fde8,0x447f7604,
    0x3ba21be9,0x3fba2299,0x1f7fe44f,0x88ffffea,0x2d80effc,0xfd103d00,
    0xffdff05d,0xeffe9819,0x226ef542,0xb301feca,0xfffb05df,0xfffffb83,
    0xffff810f,0x0100083f,0x40fffffe,0xfffff880,0x802f3223,0x77300400,
    0x007e4c01,0x32209df9,0x3ffffd1f,0x07ffffea,0x08801002,0x00150040,
    0x00400200,0xc9804008,0x000401cc,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3dd50000,
    0x70159730,0xaaa883dd,0x3511a880,0x41c9eeb8,0xaaa881a8,0x4089b880,
    0x01999999,0x222aaa20,0x980bc981,0x0064c099,0x2a806aaa,0x0a985443,
    0x554400dc,0x01640aaa,0x00155551,0x1555554c,0x5102a235,0x12370155,
    0x055446aa,0x54403dd7,0x5ecec82f,0x7d42fa88,0x76fb83ff,0x57d441df,
    0x21ff7c1b,0x544ffffc,0x08041eca,0xf53dde54,0xed8d57ff,0x33220fec,
    0x2202e41c,0x77106ffe,0xfc9fd45d,0x803fff22,0x43fffffd,0xfffd881a,
    0x45e543ff,0xfffff71a,0x3f23be6d,0x27fffe44,0x3fa21c26,0x5447ff56,
    0x80ae802f,0x0ba07cc9,0xb5c0447c,0x835d00eb,0x21f0316a,0x793512f9,
    0x7ec10081,0x10f83fed,0x7d55fcc7,0x3a02aa64,0xf982b9aa,0x554c1cde,
    0xd0ba3d80,0x3e201779,0x2aaa5b4c,0x323760aa,0x7efe45b4,0x27eb70df,
    0xfdddf56a,0x8be61f0b,0x0f880aa9,0x40174136,0x767745fe,0xf0f2ba07,
    0x3f7a0b91,0xf510ba02,0x237f3013,0xfbbff35b,0x23ea1008,0x10f85efa,
    0x4eeeefb8,0x3910bfaa,0xf985f9ff,0x7f546ca9,0xd0ba3d82,0x32a0dbdf,
    0xddd0aedc,0xdc8fc3ff,0x6c1f30ae,0x9c4fca65,0x43fccde8,0x54b71bf9,
    0x229b02fe,0x4405d00f,0x447d44fe,0x355d01fc,0x4c0888f8,0x0ba03ffd,
    0xe887fff7,0x26cd56ff,0xb708043f,0x1f0d57f3,0x5115f104,0x97c05d03,
    0x0f33cc4c,0x2e3760ba,0x03f2742f,0x541ffb79,0xc9e22fa9,0x1ae3547f,
    0xfe85bf91,0x3fa21fff,0x05d0d56f,0x5d02e5ea,0x6c17e4c0,0x5d07feff,
    0x223c43e0,0x0ba00be9,0x641f017c,0x022e8f65,0xeabff884,0xa8f10f84,
    0x2e83fffd,0x262647e0,0x5d04edcf,0x8bfdff30,0x3be07e3e,0x3ea08bcf,
    0x17992f82,0x3aa33e21,0x216fe444,0x83e07e2e,0x3a02e85c,0x80ba02fb,
    0x4409be98,0x7cc43770,0x54d7cc1b,0x073ea20f,0xf706fe62,0x57c47535,
    0x29d12fb9,0x984022f8,0xf984ffff,0x6c40fa9a,0x81bf9881,0xfa89b2f8,
    0xbf9881bc,0xe827a101,0xb1d50be3,0x2fee993b,0x36bee1c9,0x3fa64c9c,
    0x817f304f,0xf885f13e,0x2622fb9a,0x0df701bf,0x2206fe62,0x203fffff,
    0xffff10b8,0x3fffee7f,0x3ffe20ff,0x7ffffc44,0x7fffff33,0x7177ffe4,
    0x4cdf73ff,0x77199999,0x7fffdc02,0x444c80ff,0x643fffff,0x3e27f8ff,
    0xfff886ff,0x432a03ff,0x0efb8efa,0xffffdff1,0x0fffffeb,0x0bffffd7,
    0x27ffcc01,0x1df91ff5,0x1177ffe4,0x107fffff,0xffff107f,0x0000007f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0013aa00,0x3b2074c0,0x2aaaa602,0x24eda82a,0x4c00aaa8,
    0x5555542e,0x5555510a,0x01a99543,0x215554c0,0xaa984dc8,0x00aaa880,
    0x22155555,0x5443511a,0x1a983511,0x214c1551,0x155510a9,0x35115510,
    0x05530a98,0x40555440,0x97301aa9,0x02f26015,0xc8800bb1,0x1f4c1445,
    0xdfffff70,0x323bbf98,0x3a05ffff,0x3fffe63f,0xffff91ff,0x367fea9f,
    0xd80baa5f,0x3721ffff,0x85ffe82b,0xe86ffffc,0xdf71ffff,0xb7e43bee,
    0x3bfe0efb,0x3fa2ffb8,0x7fd4bfe2,0xcbffc83f,0x6d3fa0ef,0x641d81ff,
    0x3a24ffff,0x6e42ffff,0xeced85ec,0x5546dc0f,0x43bf9100,0xcce80aa9,
    0xa9fadc0c,0x02abb6a6,0x2e0ba27d,0xf0b543df,0x23c89ec3,0xdf707e2e,
    0x26c17403,0x3a03fb60,0x365d0ba2,0x40ebb645,0x5c0ec8fb,0xfb8d5155,
    0x01f0ff56,0xf82f4d74,0x0ba0991f,0xf317cc3e,0x3e64c35c,0x13aaabe6,
    0x703df7b7,0x5fd505df,0xa8fbbfd0,0x764933f3,0xa9f41def,0x1ed7c42f,
    0xb063e7aa,0x5f411b77,0xfc881f99,0xfd82e80d,0x74fc41b9,0x2fb9be83,
    0x7407dc54,0x3ffb01fd,0xb7bf3d50,0x7eeafeb8,0x3f7a00f8,0x265b7e04,
    0x1f06fe62,0x3d4f32e4,0xf71f77ba,0xfb89dddd,0x00dfb03f,0x0fc9d05d,
    0x40b701f8,0x6c84fffe,0x0fffa87b,0xfe85ffd8,0x3ea01fff,0x3ee1741f,
    0x4f5c3fec,0xffffe86b,0xf301fa81,0x982fd409,0x5c5cfecf,0xf87afecd,
    0x1bffd020,0x9333a7e0,0x26fffffa,0xef99aa0f,0x223e63fe,0x22be20fc,
    0x1ffdc1a8,0x7405dd50,0x407e3e82,0x740b701f,0xfff86e9b,0x06daa0ff,
    0xd1c5cdec,0x7ec40fc5,0x6dc2e80c,0x7ff40fe8,0xc89742ff,0x82c9fc47,
    0x7f9f102e,0x9ff5ff10,0x79cf8db8,0x3e8f10f8,0x3e63e09d,0x0dfcc44e,
    0x3e65c83e,0xeffd81aa,0x7ffed46f,0x067cee43,0x4c43df70,0x44fa21bf,
    0x40bf982f,0x74419dc8,0x260ce88b,0x4f5c5ea9,0xb99be880,0x0be27d16,
    0xf3103bf9,0x7fff4437,0x0dd87ea4,0x8f9337d1,0x4c3d99ee,0xaaf440bf,
    0xfc8ff82f,0x5c4475c3,0x2a6be60f,0xf317d10f,0x9f92f883,0x35f10ba0,
    0x04fd45f7,0x01100110,0x01ffabf5,0x3ffe2b91,0x93ff73ff,0x7ffd41ff,
    0x07ffffc6,0x0fe67ff9,0x7fcc3ffa,0xffffc85f,0xfd3ff96f,0xe807aa1f,
    0x0441ffff,0x7fddbfe2,0x5dffff93,0x1fffffc4,0xfd8dfff5,0x740ffc8f,
    0x7fc45f35,0x3ee7ff56,0xf90fffff,0xfd8bf67f,0x3b04f89f,0x22efffc8,
    0x0006fff8,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3b80ec00,0x98dc4175,0x272e238b,
    0x546e60b9,0x1acb880b,0xca82bc98,0x2130940b,0xa80bbab8,0x220baaba,
    0xba83733b,0x5d417711,0x4eea1ca9,0x77750bb9,0x00100017,0x30000190,
    0x8ab88177,0x444441bb,0x1006e088,0x00355555,0x40074d32,0x320104ea,
    0x50edfeee,0xa96ff25f,0x2e6dffce,0xfb83fb2f,0x675c4fdd,0x3b7f21fd,
    0x3ffffa0e,0x0fbbff31,0x4bbffbfd,0x44fd8ff9,0x1fe99bfd,0xc9b7fbf2,
    0xb1efb8ef,0x5983ffbd,0x36636295,0xd1307640,0x5c4db833,0x20fed45d,
    0x22ef8de9,0x6ffffff8,0x70cdc8be,0xb0dfffff,0x44fcf983,0x164745dc,
    0x7c111111,0x22fadf89,0x95033a2d,0x16c5f5bf,0x0ee1e83d,0x7cc537d9,
    0xc9eb9360,0xa83f1ec6,0xe88f35d6,0xf9f882fe,0x00ed84cb,0x8a83e6b9,
    0x6475c2fa,0x0754f4c5,0xffffe836,0x36606c61,0xedc81e80,0x51111105,
    0x91498f4d,0x40ffc800,0x1edb86fa,0x7fd4b67a,0x7cf15fff,0xe8b63eef,
    0x77fef741,0x21e8b63e,0xfda88078,0x26a8d50e,0x22d8f34c,0x9aead41e,
    0xd00efc87,0x5b05ddfb,0x426cfc40,0x54fcc2fa,0x8bd6d80f,0x2077e40d,
    0x81d982d8,0x05dfc81e,0xb10c9a60,0x3fff2595,0x363ee7ff,0x993f3e66,
    0x0f662dad,0xbe811111,0x360a8dfa,0x3e22fb8d,0x20a8df99,0x6c2fa8cd,
    0x57c4988c,0x17f12e98,0x767dc7d5,0x1744fa26,0x87cdf5ae,0x81fd9fd8,
    0x4c0ffafd,0xfd9009ce,0x1c9cfa81,0xc83aa7a6,0x675c3d8c,0x445d5f10,
    0x36f20cdf,0xb06fe661,0x3003bb19,0x310d440b,0x0ec33333,0x234cf23b,
    0x02001ab9,0x7ff5ff4c,0x17fbfa62,0x3ffddff7,0x237f7fcc,0x743effe9,
    0x7f4c5fff,0x766e7c4f,0xdf73ff72,0x4ff57fc4,0xfb1ff93f,0x8d91f70f,
    0x106ffff9,0xffffd09f,0x22713885,0x81110532,0x80888111,0x7ffffc41,
    0xdf15ff33,0x00000001,0x40000000,0x2008201c,0x40104400,0x04008800,
    0x00004020,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3892e0c0,0x4b660855,0x50222208,0x8aa91021,
    0x7777711c,0x2eee2577,0x0001bbbb,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x8ba2c800,0x8a5c9b79,0xfd3ecfcf,0x4fe23fff,
    0x88cca0d9,0xbbbbb32e,0x3bb667bb,0x0004eeee,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x68af5400,0x8733bb44,0x88887911,
    0x000e2040,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20aa0800,0x00000354,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_bold_14_latin_ext_x[560]={ 0,2,1,0,1,0,1,2,3,1,1,0,2,1,
2,1,1,1,0,0,0,0,1,0,1,1,2,2,-1,0,0,1,1,-1,0,0,0,0,0,0,0,1,0,0,
0,-1,-1,0,0,0,0,0,0,0,-1,-1,0,0,0,3,1,1,1,-1,2,0,-1,0,0,0,0,0,0,0,
1,0,0,-1,0,0,-1,0,0,0,0,0,0,-1,0,0,1,2,3,2,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,2,1,0,0,0,
3,0,1,-1,1,0,-1,1,-1,-1,1,0,1,1,2,0,0,2,2,2,1,0,0,-1,0,1,-1,-1,-1,-1,
-1,-1,-1,0,0,0,0,0,1,1,1,1,-1,-1,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,
-1,0,-1,0,-1,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,1,0,1,0,1,0,1,0,1,0,0,-1,0,1,0,0,0,0,0,0,
0,0,0,0,0,0,0,-1,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,0,-1,-1,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,-1,0,0,
0,0,1,0,1,0,1,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,-1,0,1,0,0,
0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,-1,0,-1,-1,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__courier_bold_14_latin_ext_y[560]={ 10,1,2,1,1,2,3,2,2,2,2,2,8,5,
8,1,1,1,1,1,2,2,1,2,1,1,4,4,2,4,2,2,1,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,2,1,12,1,4,2,4,2,4,2,4,2,2,
2,2,2,4,4,4,4,4,4,4,2,4,4,4,4,4,4,2,2,2,5,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,10,4,1,2,3,2,
2,2,2,2,1,4,5,5,2,0,1,1,1,1,1,4,2,5,9,1,1,4,1,1,1,4,-1,-1,-1,0,
0,-1,2,2,-1,-1,-1,0,-1,-1,-1,0,2,0,-1,-1,-1,0,0,4,2,-1,-1,-1,0,-1,2,2,1,1,
1,2,2,1,4,4,1,1,1,2,1,1,1,2,2,2,1,1,1,2,2,3,3,1,1,1,2,1,2,2,
0,2,-1,1,2,4,-1,1,-1,1,0,2,0,1,0,2,2,2,0,2,-1,1,0,2,2,4,0,1,-1,1,
-1,1,0,2,2,1,-1,-1,2,2,0,2,0,2,-1,1,2,2,0,4,2,2,-1,1,2,2,4,-1,-1,2,
2,2,2,2,2,2,2,-1,1,2,4,0,1,2,2,4,0,2,-1,1,-1,1,2,4,-1,1,2,4,0,1,
-1,1,-1,1,2,4,0,1,2,2,0,2,2,2,0,2,0,2,-1,1,-1,1,-1,1,2,4,-1,1,-1,1,
0,-1,1,0,2,0,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,3,2,2,2,2,2,2,2,2,2,2,2,2,2,1,4,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,1,0,1,0,
1,0,1,-1,0,-1,0,-1,0,-1,-1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,-3,-1,-1,1,-1,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static unsigned short stb__courier_bold_14_latin_ext_w[560]={ 0,3,5,7,6,7,6,3,4,4,6,7,4,6,
3,6,6,6,7,7,7,7,6,7,6,6,3,4,8,8,8,6,6,9,8,7,7,7,8,8,8,6,8,8,
8,9,9,8,8,8,8,7,7,8,9,9,8,8,7,3,6,4,6,9,3,8,9,8,8,7,8,8,8,7,
5,8,7,9,8,7,9,8,8,7,8,8,8,9,8,8,6,4,2,4,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,0,3,6,7,7,8,
2,7,5,9,5,7,8,6,9,9,5,7,5,5,3,8,7,3,3,4,5,8,8,9,8,6,9,9,9,9,
9,9,9,7,7,7,7,7,6,6,6,6,8,9,8,8,8,8,8,6,8,8,8,8,8,8,8,7,8,8,
8,8,8,8,9,8,7,7,7,7,7,7,7,7,7,8,7,7,7,7,7,7,8,8,8,8,8,8,9,8,
9,8,9,8,10,8,7,8,7,8,7,8,7,8,7,9,8,8,7,7,7,7,7,7,8,7,7,7,8,8,
8,8,8,8,8,8,8,8,8,8,6,7,6,7,6,7,6,7,6,7,8,8,8,5,8,8,8,8,7,8,
7,8,7,8,7,8,7,9,8,9,8,9,8,9,7,7,8,7,8,7,8,7,9,9,8,8,8,8,8,8,
7,7,7,7,7,7,7,7,7,8,7,9,7,8,8,8,8,8,8,8,8,8,8,8,8,8,9,9,8,8,
8,7,6,7,6,7,6,8,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,8,8,7,7,7,7,7,7,7,7,7,7,7,7,7,9,8,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,9,8,6,7,8,
7,8,8,8,8,8,8,8,8,8,8,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,9,8,9,9,8,8,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7, };
static unsigned short stb__courier_bold_14_latin_ext_h[560]={ 0,10,4,11,11,9,8,5,10,10,6,8,4,3,
3,11,10,9,9,10,8,9,10,9,10,10,7,8,8,5,8,9,11,8,8,9,8,8,8,9,8,8,9,8,
8,8,8,9,8,10,8,9,8,9,8,8,8,8,8,10,11,10,5,2,3,7,9,7,9,7,8,9,8,8,
11,8,8,6,6,7,9,9,6,7,9,7,6,6,6,9,6,10,10,10,3,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,0,9,10,8,7,8,
10,10,2,9,5,6,5,3,9,2,4,9,6,6,3,9,10,2,4,6,5,6,9,9,9,9,11,11,11,10,
10,11,8,11,11,11,11,10,11,11,11,10,8,10,12,12,12,11,11,5,9,12,12,12,11,11,8,9,10,10,
10,9,9,10,7,9,10,10,10,9,9,9,9,8,9,8,10,10,10,9,9,7,8,10,10,10,9,12,11,11,
10,9,11,10,10,8,12,10,12,10,11,9,11,10,10,9,8,9,10,9,11,10,10,9,10,8,10,10,12,12,
12,12,11,11,11,12,11,11,8,8,10,8,10,8,11,9,10,10,10,6,9,11,12,12,11,11,6,11,11,11,
11,8,8,8,8,8,8,11,9,11,9,10,9,8,9,9,11,9,12,10,12,10,8,7,11,9,11,9,10,9,
12,10,12,10,11,9,11,10,12,12,10,9,8,9,11,9,11,9,12,10,12,10,12,10,10,8,11,9,11,12,
10,11,9,10,8,10,9,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,9,8,8,11,8,8,8,
8,8,8,8,8,8,8,8,8,8,9,8,8,8,8,8,8,8,8,8,8,8,8,8,8,10,7,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,10,10,10,9,11,
10,11,10,12,11,12,11,12,11,12,12,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,13,12,11,10,12,10,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8, };
static unsigned short stb__courier_bold_14_latin_ext_s[560]={ 11,252,10,126,174,120,112,210,63,111,165,
212,5,28,35,208,87,112,119,53,62,135,103,170,234,227,252,251,10,220,96,
189,146,119,129,197,220,79,70,143,87,105,152,193,184,174,202,224,228,180,53,
127,36,178,235,164,155,146,138,45,210,250,229,53,39,237,187,47,8,246,44,
51,27,19,150,1,245,89,80,64,232,223,118,56,34,38,127,108,99,215,136,
49,253,118,20,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,
78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,11,252,146,
52,72,35,198,210,43,205,243,143,201,28,17,63,249,181,172,178,16,161,10,
49,1,160,214,151,103,93,84,77,110,120,45,125,153,65,165,1,244,84,102,
138,171,187,203,123,218,93,36,212,20,70,89,236,111,221,1,92,190,199,130,
54,189,18,116,19,10,94,28,236,143,61,103,202,194,186,178,227,210,69,45,
37,135,151,95,1,86,54,78,69,159,29,233,141,27,218,107,1,241,9,204,
218,196,201,42,28,34,171,163,168,60,45,130,37,18,110,37,103,84,104,76,
68,172,145,128,47,61,52,17,74,34,43,209,156,235,139,219,112,134,164,186,
178,171,184,62,224,181,190,156,165,192,215,1,9,26,95,44,26,18,242,1,
79,227,243,1,67,245,120,71,79,181,87,154,102,10,119,182,9,117,172,98,
128,155,137,248,85,137,29,26,146,9,11,19,110,242,154,201,196,194,205,178,
214,27,201,239,58,230,146,110,147,92,242,75,163,93,138,1,50,175,77,27,
233,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,60,78,78,130,
78,78,78,78,78,78,78,78,78,78,78,78,78,68,192,78,78,78,78,78,
78,78,78,78,78,78,78,78,19,19,78,78,78,78,78,78,78,78,78,78,
78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,127,137,
164,43,217,193,153,210,119,162,101,226,83,235,65,56,78,78,78,78,78,78,
78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,
78,78,78,1,38,55,1,11,226,78,78,78,78,78,78,78,78,78,78,78,
78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,
78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,
78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,
78,78,78,78,78,78,78,78,78, };
static unsigned short stb__courier_bold_14_latin_ext_t[560]={ 14,15,120,28,28,74,103,112,52,63,112,
103,120,120,120,28,63,84,84,63,103,84,52,84,52,52,74,84,103,112,103,
74,15,103,103,84,103,103,103,84,103,103,84,103,103,103,103,84,103,52,103,
84,103,84,94,103,103,103,103,52,15,40,112,120,120,103,84,112,84,103,103,
84,103,103,28,103,94,112,112,112,74,74,112,112,84,112,112,112,112,84,112,
52,28,52,120,94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,
94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,14,52,52,
94,112,94,52,52,120,84,112,112,112,120,84,120,112,74,112,112,120,84,63,
120,120,112,112,112,84,84,84,84,15,15,15,63,52,15,94,28,15,15,15,
52,15,15,15,52,94,52,15,1,1,28,28,112,74,1,15,1,28,28,94,
74,52,63,63,74,74,63,112,63,63,63,63,63,63,63,63,94,63,94,63,
63,63,63,74,112,94,52,63,63,63,1,28,28,63,63,28,63,52,94,1,
52,1,52,40,74,40,52,52,63,94,74,52,74,40,52,52,74,52,94,52,
52,1,1,1,1,28,28,28,1,28,28,94,94,40,94,40,94,28,74,40,
40,40,112,74,28,1,1,28,28,112,28,40,40,40,94,94,94,94,84,94,
28,63,28,74,40,63,94,74,74,28,74,1,40,15,40,94,112,28,74,28,
74,40,74,1,40,1,52,28,74,28,52,15,1,40,74,94,74,15,74,15,
74,15,40,1,40,1,40,40,94,15,74,15,1,40,15,84,40,94,40,84,
84,94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,84,94,94,15,
94,94,94,94,94,94,94,94,94,94,94,94,94,84,94,94,94,94,94,94,
94,94,94,94,94,94,94,94,52,112,94,94,94,94,94,94,94,94,94,94,
94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,40,40,
40,84,15,40,15,40,1,15,1,15,1,15,1,1,94,94,94,94,94,94,
94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,
94,94,94,1,1,15,52,1,40,94,94,94,94,94,94,94,94,94,94,94,
94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,
94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,
94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,94,
94,94,94,94,94,94,94,94,94, };
static unsigned short stb__courier_bold_14_latin_ext_a[560]={ 119,119,119,119,119,119,119,119,
119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,
119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,
119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,
119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,
119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,
119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,
119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,
119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,
119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,
119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,
119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,
119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,
119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,
119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,
119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,
119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,
119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,
119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,
119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,
119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,
119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,
119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,
119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,
119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,
119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,
119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,
119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,
119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,
119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,
119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,
119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,
119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,
119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,
119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,
119,119,119,119,119,119,119,119, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_14_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_bold_14_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_14_latin_ext(stb_fontchar font[STB_FONT_courier_bold_14_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_14_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_bold_14_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_14_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_14_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_14_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_14_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_14_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_14_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_14_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_14_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_14_latin_ext_s[i] + stb__courier_bold_14_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_14_latin_ext_t[i] + stb__courier_bold_14_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_14_latin_ext_x[i];
            font[i].y0 = stb__courier_bold_14_latin_ext_y[i];
            font[i].x1 = stb__courier_bold_14_latin_ext_x[i] + stb__courier_bold_14_latin_ext_w[i];
            font[i].y1 = stb__courier_bold_14_latin_ext_y[i] + stb__courier_bold_14_latin_ext_h[i];
            font[i].advance_int = (stb__courier_bold_14_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_14_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_14_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_14_latin_ext_s[i] + stb__courier_bold_14_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_14_latin_ext_t[i] + stb__courier_bold_14_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_14_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_14_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_14_latin_ext_x[i] + stb__courier_bold_14_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_14_latin_ext_y[i] + stb__courier_bold_14_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_14_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_14_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_14_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_14_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_14_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_14_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_14_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_14_latin_ext_LINE_SPACING
#endif

