// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_15_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_15_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_15_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_courier_bold_15_latin_ext_BITMAP_HEIGHT        136
#define STB_FONT_courier_bold_15_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_courier_bold_15_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_bold_15_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_bold_15_latin_ext_LINE_SPACING           7

static unsigned int stb__courier_bold_15_latin_ext_pixels[]={
    0x00000060,0x04c00000,0x54004000,0x80713883,0x000d8829,0x24c07500,
    0x3201c4e0,0x110e2701,0x82b80510,0x2eeeeeea,0x1c4e030c,0x380ae000,
    0x4c0c8071,0x9005c800,0x32012201,0x81333204,0x0b2ea05b,0x02dc01a8,
    0x75403dd9,0x6401d300,0x6ec0defe,0xa816e05c,0x80f602ee,0x42642eea,
    0x1773607b,0x5f5bd5d7,0xd50698f8,0x1e36e05d,0xea82e66c,0x320ba02e,
    0x500e201f,0xaa835135,0xcb881a99,0x20324880,0x266aa038,0x0807b02a,
    0x01131062,0x444022a2,0xcabed808,0x08030c1f,0x00200440,0x04132022,
    0x6dae0c30,0x220005f4,0x41e77200,0x40088061,0xc9813600,0x40986203,
    0x0cc02618,0x3c881450,0x88044110,0xd7dd7100,0x985bbcc9,0x2ef30b77,
    0x03207c45,0x321bdfd9,0x93eebaee,0x27dd75dd,0x3eebaeec,0x990bbae2,
    0x90ddfec8,0x27dd75dd,0x642e9b28,0x43eebaee,0x640ddfec,0xeeb887ac,
    0x4dfeb882,0x6c1775c4,0x64126e04,0x93eebaee,0x27dd75dd,0x3eebaeec,
    0x7dd75dd9,0xeec84aa8,0x3263eeba,0x3f62eddf,0x0000ffbb,0x806b8000,
    0x31fcabed,0x23f9339f,0x1fc99cf9,0x3f9339f3,0x92fddfec,0x7ed5f6c9,
    0xf9339f31,0x9f309b03,0x76c3f933,0x3f61fdab,0x5fec6fff,0x55f5c5fb,
    0x7ddfec6e,0x02a026c5,0x7e4ce7cc,0xf9339f31,0x32673e63,0x9339f31f,
    0xf301503f,0x743f9339,0xf50efcad,0x75cbfee1,0x9f5c9d93,0x64fae4ec,
    0x76c5724e,0x0c81f13e,0x0fc7a87e,0x9ea1f8f5,0x443e60fa,0x20f81f30,
    0x26c1ea1f,0xf99ea1f8,0xbbd307c0,0xf307d43d,0x54951f41,0xfb83e60f,
    0x205eed83,0x43f1ea1f,0x8f50fc7a,0xfd71ea1f,0x3d43f09d,0x5b25e8f5,
    0x9d34daf9,0x34e99766,0xd9a74cbb,0x7e5c3ea5,0x43f00d73,0x8f50fc7a,
    0x86c9ea1f,0x01ae333e,0xea87a87e,0x9ea1f82d,0xcce8806b,0x71f43646,
    0x86c837bf,0x2a07b23e,0x43f01ffc,0x8f50fc7a,0x43f1ea1f,0x7d55d47a,
    0x54f50fc1,0xf1b92ec6,0x2e4d9369,0xd8b726c5,0xadf896e4,0x22b91fa9,
    0xa87e3eed,0xf8f50fc7,0xd85c9ea1,0x20172993,0xff51ea1f,0x2a1f83ff,
    0xff101727,0x42e4bfff,0x27f64c3d,0x26c7b0b9,0x3e09bbb0,0x543f1ea1,
    0xf8f50fc7,0xdb711ea1,0x1ea1f87f,0x4cbf739f,0x6c5f16ef,0x5c9b16e4,
    0x98b726c5,0xf50dfffe,0x2f8ff2e1,0x3545f1aa,0x3ee6a8be,0xaa643e20,
    0xd517c00f,0x517c0220,0x22007d4d,0x07dc5dbf,0x9ea241f1,0xd83e20fb,
    0x1f55f104,0x3e3545f0,0x545f1aa2,0xe8d517c6,0x17c3fcbe,0xeefd98d5,
    0x37557fc5,0x83baa772,0x20eea9dc,0x80eea9dc,0x9adf8828,0x26bb61fa,
    0x74d76c3e,0x1f4d76c3,0xc97aabba,0x3aa6bba4,0x0fa6bb62,0x9aed82ec,
    0x54d7743e,0x0f67e22e,0x897aabba,0x746d99cf,0x3a25eaae,0x7f75f703,
    0x87d35db0,0x6c3e9aed,0x76c3e9ae,0x27e63e9a,0x3b60cfb9,0x32103e9a,
    0x33ff7ea5,0x7f7ffcc0,0x3fbffe63,0x3fbffe63,0x4c07e443,0x220dfffe,
    0x6c40cffd,0x7ec40cff,0x7fe440cf,0xfd89320b,0x7fec44ff,0x2205300c,
    0x6c40cffd,0x47c44fff,0xbffc883e,0x37ffba20,0x05ffe441,0x3bba01db,
    0xffd886ee,0x67fec40c,0x067fec40,0xb033ff62,0x445fffff,0xca80cffd,
    0x004f22fd,0x0c00c00c,0x00c015c0,0x02002002,0x20040000,0x00802800,
    0x00084010,0x00000880,0x0bee2fa8,0x04004004,0x00620040,0x05bd9002,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xff880000,
    0x00fff88f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x47000000,0x0ae0220a,
    0x0151c088,0x0055015c,0x2a20a880,0x02440002,0x2ae601c8,0x01530063,
    0x71c02210,0x01801440,0x55004093,0x2a205703,0x1dc0001a,0x980c4000,
    0x4dfeb880,0x2645cdb8,0x3e617336,0x902e6dc4,0x826eec09,0x4c0ddfec,
    0x201bea1f,0xb01aa04c,0x06d74c07,0x017f409d,0xdc82dde6,0x201ee04d,
    0x880da85c,0x3e60dcee,0x42e66c4f,0x6c404ffb,0x93009901,0xf307e607,
    0x55f5d765,0x9901106e,0x41320618,0x86004018,0xfdabed81,0xb80d7001,
    0x80102eff,0xfa808401,0x0000be00,0x40080088,0x840082f8,0x2189900a,
    0x3d013601,0x17bbff60,0x8bd024dc,0x51f5326c,0x1bdfd909,0xdfeb8932,
    0x3f262644,0x3ae24edf,0x23bae4df,0x81f33ee8,0x1dddd90f,0x52f7475c,
    0x5c47d77f,0x4775c2ee,0x5dd93ee8,0x01f47dd7,0x5c3bffbf,0x93ee88ee,
    0x87dd75dd,0xb80defec,0x0ddfec86,0x7dd75dd9,0x6ff644c8,0x5104d80d,
    0x2b7aa037,0xa802a01a,0x9dc5f10f,0xed81bdfb,0x4991fcab,0x6c6eabeb,
    0x77e56f44,0x9baafae1,0x5c7f65f9,0x7dd54c06,0x8b7efae0,0x7ec110eb,
    0x97e65fbb,0x339f31fd,0xf03dc3f9,0x261fb57f,0x7cc7f65f,0x361fc99c,
    0xf81fcabe,0x7ed5f6c3,0xf9339f31,0x2fb64c83,0x04d81fda,0x26409ff7,
    0x8817bb60,0x0cc1f32f,0x7c49fd93,0x3a4c8640,0x22fc92a3,0x8fa2f47a,
    0x47f35c4a,0x83e6005c,0xfd884ffb,0xf983ea3e,0x7c3f9ae0,0x05f11ea1,
    0x35c7f0fe,0x9ea1f87f,0x2e0640f8,0x83e07cc7,0x5321ea1f,0x6c07c0f9,
    0x99026c04,0x01ffca80,0x8903dcfe,0x9901ae7a,0x260defdc,0x8bb1aa4e,
    0xf881bdfb,0x007d47bb,0x3bee0f98,0x27d7300e,0x3e23e86c,0x2a1f87bb,
    0x89f06b87,0x1eefe22f,0x1ae7a87e,0x01ae1f40,0x4c87a87e,0x026c00d7,
    0x99ec8136,0x04ddd83b,0x4407d4be,0x326d99cf,0x327ddb15,0x227f64c4,
    0x7dce7c4c,0x84fec985,0xaee83ffb,0x0f982ea9,0x15fb1d91,0x0b95c8ba,
    0x83ffb87b,0x3e21ea1f,0x6ebdff82,0x1f83ffb8,0xdb15c9ea,0x3207d47d,
    0x1ea1f805,0x4c02e532,0x9b01adea,0x177ff440,0x203eabe2,0x103f31f9,
    0x543bffdd,0x327f970f,0x4c8f5124,0x22f7fed4,0x07f83d44,0x209fffb1,
    0x2edf50f9,0xfdbfd3ff,0x0f883ee5,0x545f07f8,0xb9f0d906,0x41fe015b,
    0x0fa9aa2f,0x42747f97,0x517c00fa,0x03ea990d,0x0dfffff0,0x40260136,
    0xc83fbafb,0x12e02747,0x3ea6b7e2,0x273e2991,0x407646d9,0x4e7c4b90,
    0x03f886d9,0x41ea02d4,0x1eeaa809,0x42f55774,0x35db03f8,0xf07e207d,
    0x207f1005,0x223e9aed,0x51fa9adf,0x26bba01f,0x26bb62ea,0xdd26cc3e,
    0x1105d535,0x3cc04d80,0x8dddddd0,0x807dc3f8,0xfe980fd8,0x22990dff,
    0x441dffee,0x17ee5c4e,0x43bffdd1,0x2202fdc9,0x766540fd,0x3606d885,
    0x0bffc884,0x440bf726,0x3600cffd,0x4c0b7ee5,0xfb102fdc,0xffe9819f,
    0x4409b0df,0x6c44fffd,0x3fe60cff,0x13fff624,0x754c1b22,0x207101ad,
    0xa8bee2fa,0x15405d06,0x011000c0,0x202ded80,0x4eeea808,0x6f5c1540,
    0x54039103,0xeeea8001,0x18800404,0x75413bb6,0x800404ee,0x01000a81,
    0x80200008,0xffff02b8,0x7c4020df,0x0fff88ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x50026000,0x03514c05,0x401a80c3,0x01c700c8,0x47573001,0xdb0002a9,
    0x202b80bd,0x2b807138,0x389c1800,0xb015c000,0x2b880bdd,0x19100720,
    0x85c00100,0x6c389c0b,0x889dd53e,0x3605d80d,0x74f904dd,0xd8698f84,
    0xd7d504dc,0x109bb903,0xd301b9dd,0x07fec1b5,0x6c000264,0x3bae05cc,
    0x01733602,0x17754688,0x026c03c8,0x0eef8800,0x5f5403d8,0x33b6e01e,
    0x41f74c03,0x7fd42eea,0x3a21fc98,0x06180102,0x0c300000,0x04402208,
    0x08402a10,0x179104d8,0xeebaeec8,0x11006183,0xbd506180,0x109fdd33,
    0x02026401,0x405dd710,0x0400406b,0x02884011,0xf0088060,0x2021e6bf,
    0x24edffc9,0x24edffc9,0x2eeeceed,0xd50bbae2,0xee881ddd,0x775c45ee,
    0x82eeb882,0x26c2eeb8,0x39f30330,0x776c3f93,0x3ae5ee99,0xdeb82dee,
    0x9f13ee88,0xdd907f22,0xeffb89dd,0xb02f76c2,0xd50bf77f,0xdeeeb85b,
    0x017bb602,0x76c0bddb,0x3b29dd53,0x7dfc4eee,0x3bbb279b,0xdf95bd4e,
    0x77e56f43,0x2aabeea1,0x3eeff63f,0x03eeaa25,0xd85bd551,0x7ec5fbbf,
    0x5fec5fbb,0xd71365fb,0x43f13b27,0x44576c7a,0x2b7a64fa,0x8b74c3fc,
    0x7a87e1ef,0x24fbadd8,0x544eabfb,0x0fa81ffc,0xffe983e6,0x32b7a60e,
    0x3ff9503f,0x80ffe540,0x1fc98ffa,0xf835bd53,0x2a67afba,0x747a9ade,
    0x10bd1ea5,0x0fa9f41f,0x03e603e6,0x307d43e8,0xf983ea1f,0x87cc1f50,
    0xd9a74c4d,0xa8f50fc5,0x9b0be9b7,0x5d7cc354,0x0f50fc0f,0x49b1b67b,
    0x84ddd809,0x4c83e86c,0xb03549b0,0xddd809bb,0x3cd7fe04,0xfd2f826c,
    0x23549b0f,0x0bb1aa5d,0x6c9f41f1,0x00f983e8,0x7d0d90fa,0x364fa1b2,
    0x4d84d9f4,0x3d43f16e,0x3e7fe7e6,0x27dd6ec1,0x1f83ffb8,0x3ee221ea,
    0x88112e40,0x2e40faaf,0xd82641ec,0xf104fbad,0x3e201f55,0xf7f00faa,
    0x109b0f37,0xb0ff319f,0x5fb9cf89,0x22fdce7c,0x27d1bfb9,0xf983d85c,
    0x643e8910,0xb0b93d85,0x6cf61727,0xf16e4d84,0x33e23545,0x7ec0fcfe,
    0x837406ff,0x7d41aa2f,0x7ef7cc12,0x1fdd7dc3,0x80f883ee,0xdfffb04c,
    0x1fdd7dc0,0x03fbafb8,0xb0f5f75f,0x327ff909,0x7ed44d87,0x7fed45ef,
    0x3fffe25e,0x883ee7d7,0xf30f980f,0x107dc3e8,0xf883ee1f,0x87c41f70,
    0xea9dc84d,0x3a6bb60e,0x7fccff83,0x405f74d8,0xf55db04c,0x1e69f107,
    0xddd05dd1,0x55dd0ddd,0x6c0fa0bd,0x3ba05f74,0xddd06eee,0x74be0ddd,
    0x4404d87f,0xc8413601,0x40172105,0x3aabba2f,0x5fccf505,0xaee81fb9,
    0x557745ea,0x7557745e,0xff307765,0x7ec47fdf,0x99ff80cf,0xb8ef446f,
    0x82dea82f,0xe80cffc8,0x4c87caaf,0x0bee2fa8,0x4417ff91,0xde880fdd,
    0x2fa85f71,0x45f50bee,0x467c42fb,0x37aa27f9,0x40fc880a,0x2e0adea8,
    0xdcb82fdc,0x3f72e02f,0x82fff220,0x2e25fcc9,0xf9102ffe,0xffc8817f,
    0x5ffe440b,0x0603ff60,0x74dd0020,0xfb2ffe45,0x0ffffcc1,0xfffff800,
    0x7fc40887,0x00fff88f,0xfc805dc0,0x7c43f65f,0x0fff88ff,0xff11fff1,
    0xc9ffe41f,0x17ffff67,0x7ffec15c,0x40b7b65f,0x76c02ded,0x6f54000c,
    0x00000203,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x88000000,0x0ea00130,0xeb8389c4,0x54c02dee,
    0x2005702a,0x40186019,0x2f77543a,0x4980e270,0x13881220,0xe9ceeb87,
    0x2270003e,0x09106183,0x001500cc,0x01b100e4,0x071441c7,0x20570010,
    0x05b4b81a,0x75c01b70,0xcade982e,0xfeefa83f,0x3600f604,0x81a63e05,
    0x2cfa885b,0x4c0bbaa0,0x8075400e,0x6f4c1eec,0xc881dfaa,0x20bbaa03,
    0x0ea8698f,0x07f105d8,0x2e880f60,0x3609bb90,0x3ba202dc,0x5ccd80dc,
    0x80003fc4,0x6c011000,0x55f11aa4,0x000801d9,0xd0020000,0x04011005,
    0x20180100,0x2a04facd,0x0004404a,0x00000010,0x08801001,0xa8400440,
    0x37c0c300,0xdb02f76c,0xdb13baa7,0x5d6ec0bd,0x654fc44f,0x05eed80e,
    0xb93bbbb2,0x23ee88de,0xe84eeeec,0xddddd502,0x17bbaa5d,0x9bbbbbae,
    0xd82deeeb,0x80a805fe,0x26eeeeeb,0xd94eeeec,0x3bb29ddd,0x0fba64ee,
    0x5eeeeeb8,0x9bbbbbae,0x6c4eeeec,0x4fb605ee,0xddd74eea,0xa86f8ddd,
    0xff501ffc,0xca83f931,0xfffb01ff,0x3b37b20d,0x01ffca80,0x4c9f75bb,
    0x6c3df16e,0x2e84fbad,0x6f575c26,0x59f512fa,0xf955bd30,0x1fede7cc,
    0x5c0ff7f6,0x6f4c4efe,0x3aa67caa,0x5bd531ad,0x06b7aa63,0x6f4c09d5,
    0x37a67caf,0x3aa67caa,0x7fe541ad,0x931ff501,0x2ab7a63f,0xdd82f47c,
    0x4d7fe04d,0x209bbb07,0x2a05f74d,0xbbb00ecd,0x436cf609,0x6c0fbaf9,
    0xd8ba0db3,0x17d36d74,0x174d80ba,0x83ee2f8d,0x7501f54d,0x74d83f55,
    0x3609b0d1,0x26c09b04,0x1aa3afe0,0x361a2e9b,0x81377604,0x4d8f35ff,
    0x884d8d17,0x7f00faaf,0x5f10f37f,0x1de881f5,0x3b2a05f7,0x0faaf880,
    0x700fb888,0xf71107ff,0xaacfa881,0x5d36514e,0xbdb01740,0x7c45f01f,
    0x3763bd11,0x1ff6dc41,0x6c03f7b6,0x13609b04,0x2b6a04d8,0x6f6c0bef,
    0x2209b00f,0x7f00faaf,0xded8f37f,0xfb81980f,0x75f03fba,0x75f70f5f,
    0x25ffc87f,0x0eca80fd,0x03fbafb8,0x374025f5,0xfa825f50,0xd84fffff,
    0x2098ba04,0x2f80fefd,0x35ffc8fc,0xfcbee8df,0x807f7ec3,0x3609b04d,
    0x0adea884,0x83ffcdc8,0x9b00fefd,0x0feebee0,0x23d7dd7c,0x2000fefd,
    0xf06eeeee,0x3ba1ffa5,0x06206eee,0x3a03b2a0,0xf886eeee,0x41320f34,
    0x220f34f8,0x5d026c01,0x6d29b26c,0x80f98be0,0x733f3008,0xb4a6c19f,
    0x09b04d81,0x3fff6136,0x9edcf85f,0x1b4a6c28,0xdddd04d8,0x7f4be0dd,
    0x41b4a6c7,0xf717d44d,0xf98cf885,0x5f717d47,0x6c01f910,0x3ea0efde,
    0x5fd0bee2,0x5bd50f95,0x0f955fd0,0x3aa01f91,0x567d442d,0x55bd14ea,
    0x2b3e25f5,0x07c885fb,0x4bfffff6,0x2faaade8,0x2215bd51,0xd510adea,
    0x013d015b,0xf75f91f5,0x2aab7a23,0x15bd512f,0x85f717d4,0x27f98cf8,
    0x2faaade8,0x11fff102,0x7fe41fff,0x7ffc4f93,0xb80fff88,0x0444c402,
    0xff11fff1,0x7ffffc1f,0x0ffffcc7,0x41fffffe,0xffff502b,0x7ffffd43,
    0xfffff94f,0x3bfff25f,0x3100ae04,0x3fffff20,0xbffffb2f,0x6d7ffff6,
    0xea85ffff,0x7ff7fc41,0xfff91fff,0x3ff65fff,0x1fff15ff,0x7e41fff1,
    0x7fe4f93f,0x0002ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x02000000,0x38e20618,0x05700ae0,
    0xee880d88,0x06aaa04e,0x00ae02ea,0x75003300,0x00246440,0x2aa2f76c,
    0x00981aaa,0x00550154,0x00009300,0x005cc0aa,0xab882954,0x17017500,
    0x3a25702e,0x4c7c0dce,0x207bbb06,0x99b05ccd,0x080ba20b,0x37376011,
    0xb1b33625,0xeeb88bb9,0xb7017602,0x07aba201,0x03df79db,0x17ffffe0,
    0x4ddd8176,0x107ff7c4,0x2607bfd9,0x7f6f540e,0x21fa600c,0x2600fefd,
    0x77dc3d7f,0x3ff620fe,0xa84eea86,0x00005422,0x0c753011,0x20080618,
    0x4f10b779,0x21d92a48,0xf97fb061,0x350c000b,0xda808888,0xdd92cbff,
    0x9d05c9dd,0x90618010,0x55d9274b,0x744020bd,0x2a03eabf,0x743ea4fd,
    0x4c4bcc05,0x3e6b9362,0x64101883,0xdd74eeee,0x775cdddd,0x13f26eee,
    0xeeaaee98,0xdd11bd71,0x6f744007,0x1eb89c80,0x2a9dddd9,0x75cbe60f,
    0x6c46eeee,0x3222fdff,0x01d904ef,0x2035bd53,0x3fae21f8,0x6ff6440c,
    0x52745b23,0xd91059bf,0x2e4d87bf,0x3effe445,0x6447b9ae,0x4c407dff,
    0x25c9364e,0x6c3dfec8,0x235bd534,0x27caade9,0x47caade9,0x277a204d,
    0x2dd30ed9,0x27d71ef8,0x2e3a64ec,0x6e64743f,0x235bd531,0xbd34e86c,
    0x7744f955,0x5f747fdb,0x405c85fb,0x3a35c04d,0x7645ebad,0x3fe25eaa,
    0x36e220ff,0x7557644f,0xe8b726c5,0x7c47fcad,0x37a0ff99,0x7fc07fca,
    0x26b8ba0f,0x745eaaec,0xba6c26c5,0x68ba6c68,0x206fff6c,0x5f31724d,
    0x9a74c1f7,0x644f5c5d,0x20e5a3a5,0x1ec2e44d,0xfa9a2e9b,0xf32fcfa8,
    0xdb30fc41,0xd0136055,0x6e667cc9,0x0b37ea0f,0x7c7f99f7,0x7d46c99c,
    0x86ec42cd,0x641f30ec,0x0feffc87,0x203e41f3,0xb8fa4ea8,0x20b37ea6,
    0x76c26c5f,0xfded80fd,0x4eabfd80,0x42f6676c,0x24d83ffb,0xe9de985b,
    0x85fd73b1,0xf107d44d,0x207ef6c1,0x2f8cf9ea,0x897c41f5,0xd81fffff,
    0xfa87e204,0x221eeeee,0x93a4fdb8,0x37fffa5c,0x27edc441,0x5ff35ff7,
    0x220f71ae,0xf71ae6d9,0x25d9ea00,0x3f6e224d,0x213637c4,0xfd80fefd,
    0x324d80fe,0x2ff77ec5,0x5c9b06e8,0x3c93ee05,0xe84d8131,0x7ec6eaae,
    0xadff80fe,0x2677e0fd,0x6c01307d,0x33e1ae04,0x33e0ba99,0x27b66c99,
    0xf04b84e9,0x220d9339,0xea9cf881,0x3f6a621f,0x3aa73e21,0xda99b81f,
    0x87eabea5,0x226c99cf,0xa6c26c7f,0xb4a6c1b4,0xd8b926c1,0x82641724,
    0x20eea9dc,0x21d31e0d,0xfd884d82,0x3694d83f,0x1dffff30,0x80effe88,
    0xdea886d8,0xd983c80a,0x3fa0dfff,0x3fa21dff,0x07ec40ef,0x40effff4,
    0xfda80fc8,0x3fee7fef,0xeffda81c,0xefffd87f,0x3a177e40,0x95c1dfff,
    0xd10adea8,0x225f555b,0x12faaade,0x443b61bd,0x40ed88de,0xff982dea,
    0x3bb63fef,0x25efb84f,0x220adea8,0xd12cbdfe,0x2e5f555b,0x00880114,
    0x3ff60722,0x188005ff,0x011004c0,0x002600cc,0x20088057,0x20011000,
    0x02600400,0x57ffff60,0x2ffffffc,0x5ffffff9,0x3feabfee,0xff77ff73,
    0x0ffffcc7,0x00662018,0x97ffff60,0x91decde9,0x05ffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0c400000,
    0x881cc000,0x2eeeeb80,0xdddd7008,0x0bddb0dd,0x38a02a38,0x17bb6000,
    0x0ea00e38,0x21055730,0x2002e008,0x0003700c,0x00860714,0x200aa002,
    0xd803200c,0x403105ee,0x75c3644c,0xeb81efb9,0x0f7660ec,0x4415bd51,
    0x3a60dbee,0xca87caad,0x337201ff,0x88999b05,0x001efddd,0x70133360,
    0x6d74c01b,0x885bbcc0,0x5d102ece,0x6cc16c40,0x4ccd83ef,0xd10f31f0,
    0xbbb01b7d,0x300ba209,0x7d40003d,0x042643ef,0x3ed67fc4,0x6864130c,
    0x0d4209b0,0xb068ba6c,0x018809bb,0xacfc804c,0x02f76c5d,0x400c004c,
    0x04400010,0x81800c03,0x983ebbec,0x1a840000,0x00300c30,0xdddd7022,
    0x3f9b70dd,0x2f7f5440,0x220f893e,0x36a5efea,0x5c4d814c,0xed89d93e,
    0x55f100fd,0x9dfd701f,0x709df910,0x3f2a3d4d,0xd93eb81f,0xebdfe989,
    0x764fae0d,0x2764fae4,0xb93b27d7,0x75c9d93e,0x914c9d93,0x067f5c4b,
    0x2213bf22,0xfc884efc,0x4efc884e,0x4c4efc88,0x887caade,0x3f205dbb,
    0x87e0fdab,0x2aff21f8,0x3b3260fd,0x53a626c3,0x7f7ec5d9,0x7f75f700,
    0x83f55750,0x5c5fbbee,0x37761ea6,0xbb34e984,0xebfeab88,0x2ecd3a64,
    0x997669d3,0x74cbb34e,0xa74cbb34,0x3fc885d9,0xd17aeb7a,0xee8bf77d,
    0x5f745fbb,0x5df745fb,0x7ddf745f,0x468ba6c5,0x4c7fedfc,0x0fc485f1,
    0x9242f87e,0x09b0399d,0x5362dc9b,0xeeee81b4,0xfedb886e,0x1f883e63,
    0x223d43b2,0x4d80faaf,0xffd9116e,0x2e4d8fb9,0xd8b726c5,0x5c9b16e4,
    0x90b726c5,0x6667cc5f,0x441f30fd,0x7c41f31f,0x8fc41f31,0x4c7e20f9,
    0xed87e20f,0xb17c40fd,0x0fc7741f,0x11f887e0,0xdad8403f,0xd85bd512,
    0xade896e4,0x8bea2faa,0x65f742fb,0xf883ea3f,0x1ea7ff32,0xb07f75f7,
    0x9bf12dc9,0x6c1dddfd,0x5c9b16e4,0xd8b726c5,0x5c9b16e4,0x77d41985,
    0x1f51eeee,0x20fa97c4,0x441f52f8,0x7c41f52f,0x17c41f52,0xf981fdfb,
    0x32111ee0,0xf12c99ad,0x5b907d45,0x93685933,0xc8ffffee,0xf90eea9d,
    0x225fffff,0xfff88fff,0x9f733f30,0x3eccefc1,0xdddd1ae0,0xd53b90dd,
    0x3a6be21d,0x4ee4399f,0x27720eea,0x27720eea,0x27720eea,0x27720eea,
    0xf8040eea,0x3e0ba99c,0x6fc7d99d,0x4efc7d99,0x4cefc7d9,0x6ccefc7d,
    0x41b4a6c7,0x205e99ce,0x90dfffd8,0xb113f2df,0xdb81bfff,0x2604fc0e,
    0x203fefff,0x1ac801ca,0x8bfffff6,0x500effe8,0x717d49f9,0xefff985f,
    0x3bbfee3f,0x7ffcc5ff,0x3ffe63fe,0x3ffe63fe,0x3ffe63fe,0x3ffe63fe,
    0x4c3743fe,0x220dfffd,0x7440effe,0x7f440eff,0x7ff440ef,0x77ff440e,
    0x2aab7a20,0x33ff662f,0x02001000,0xd7008010,0xc8800603,0x441c9802,
    0x64008801,0x23ffe23d,0x0180fff8,0x01801044,0x18018018,0x00440180,
    0x40088031,0x20044008,0x64044008,0x82ffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x6f540000,0x0002ee99,0x80218110,0x7024402a,0x20000005,0x0430150b,
    0x00550010,0x20122019,0x31000001,0x071c0e38,0x4400e251,0x00aaaa21,
    0x415cc091,0x4000170b,0xf10ddfec,0x6443f229,0xeb882dfd,0x98f8552e,
    0x209bbb07,0x0f6202e8,0x42f7f544,0x4c0defec,0xf31f04de,0x01b7dd10,
    0x3a20bbb9,0xf9835402,0xeeb882ff,0x45a87702,0xdd702eeb,0x207b7207,
    0x24ebeeb8,0x301ffffb,0xddfd103d,0x7107dd50,0xed8bd9ff,0x87e1fdab,
    0x2eb7ea7a,0x7ddfec4f,0x0c30005e,0x20300088,0x20fdabfc,0x81fcabed,
    0xa8400018,0x0300c301,0x5cae4060,0x85fbbfd8,0x04c0cc4c,0x01300220,
    0x83feeff6,0x2011006b,0x80c400ee,0x22ffbbee,0x3f07c0f9,0x798913d4,
    0x43f983ea,0x440cfeb8,0x5c40cfeb,0x75c40cfe,0x9217c0cf,0x510640f8,
    0xfeb8bdfd,0x4efeb84e,0xb84efeb8,0xfeb84efe,0x5eacd84e,0x41f307d4,
    0xb85eeffd,0xfc884efe,0xec9f5c4e,0x7fdc3ea4,0x202f3ae2,0x265efea8,
    0xfd71019f,0x1ee3cc19,0x543f00d7,0x333332a7,0x89d0d92f,0x745ebade,
    0x6f45ebad,0x56f45eba,0x807e25eb,0xabfc806b,0x2aaea0fd,0x7d55d41f,
    0x0fd55d41,0x507eaaea,0xcd83f557,0x21b20dfe,0x2ab7aa3e,0x1faaba81,
    0x32fddf74,0x6c97669d,0x7d49b5f3,0x5fe42fde,0xfff70fda,0xebade83d,
    0x47b83e65,0x2a2f805c,0x3bbbbf26,0x47b0b93f,0x0fdcccf9,0x1fb999f3,
    0x3f7333e6,0xfb999f30,0x64cd6e41,0x3bb62b92,0xb8890be3,0x6dc43fed,
    0x76dc43fe,0x7f6dc43f,0x1ff6dc43,0xb9274d36,0x404c87b0,0x263fedb8,
    0x4d87e20f,0x4f8dc96e,0xf172089b,0x237ee485,0x3333e65c,0x373b60fd,
    0x2007d47f,0x263ea9ec,0x7dc3e20f,0xefa83e20,0xdf51eeee,0x3ea3dddd,
    0xf51eeeee,0x443ddddd,0xf50dfffd,0x7c4ff2e1,0x7e5f7401,0x1fe5f743,
    0xd0ff2fba,0xee87f97d,0x726c3fcb,0x1f107dcf,0x5f7404c8,0x883ea3fc,
    0x25b9362f,0x05f16ef9,0x403f1354,0x2a1f30fa,0x21eeeeef,0xe87cddb8,
    0x222ea9ae,0x6f40cffc,0x57745eaa,0x99cf85ea,0x2673e0ba,0x2673e0ba,
    0x2673e0ba,0x885a80ba,0x21fa9adf,0x32c99adc,0x219f733f,0x0cfb99f9,
    0x19f733f3,0x33ee67e6,0x9f733f30,0x32fb7a21,0x2f557745,0x31dccf64,
    0x419f733f,0x647d99df,0x3e0eea9d,0x5646eaaf,0x56e44ea9,0x39f12c99,
    0xa99cf8d9,0x221e600b,0x3b04fffd,0x19ff9101,0x80bffc88,0x20dfffd9,
    0x20dfffd9,0x20dfffd9,0x40dfffd9,0xfe980fd8,0x3f620dff,0x3ff60dff,
    0x3ff62fff,0x3ff62fff,0x3ff62fff,0x3ff62fff,0x9ff92fff,0xffc885ff,
    0xeffe880b,0x7ffffec2,0x03bffa22,0x27fdfff3,0x40cffdfa,0x440cffec,
    0x2a0dfffd,0x7ecc1eff,0xfb500dff,0x36600407,0x10000002,0x44018803,
    0x2600c401,0x00801801,0x80310062,0x200c4018,0x00010018,0x01880220,
    0xc80c0088,0x20010013,0x06200400,0x0017bb20,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000044,0x02a60aa0,0x0017bb60,0x90080044,0x893b627d,0x544189aa,
    0x0355101a,0x00000714,0xa80bddb0,0x07207702,0x54401544,0x0350a800,
    0x5eed8055,0x89300aa0,0x00cffced,0x3fae2099,0x6ffe4c4d,0xd0ff304e,
    0x7100003f,0x6ecc19fd,0xb7dd100a,0x5f717dc1,0x22d67fdc,0xff504ffb,
    0x42666c09,0xd304efeb,0xc800097d,0x7440ee04,0xb804c982,0x4de9801e,
    0x70000990,0x540e980b,0xb06dacff,0x3aafae09,0x77e56f46,0x0fc1e601,
    0x033fae20,0x54bd75bd,0x54201cee,0x1f107cc1,0x360539b0,0x26026404,
    0x3f557500,0x2202e210,0x00604efc,0x424c0200,0x80441c80,0x7ddff901,
    0x304efeb8,0x0fe01100,0x4eeccc5d,0x54951f41,0x3f222f47,0xffbf07df,
    0xebade819,0x37333e65,0x33fbb60f,0x4c1f7540,0x3603e20f,0x900a6c04,
    0x3eea819b,0x87fdb710,0x40cfedea,0x6c5fbbee,0x641efbce,0x303eea84,
    0x0e436c49,0x5e76c5f5,0x2b7a61ef,0x7d55d40a,0x641f7541,0x27c4eeee,
    0x3ffea5f1,0x37ee1fff,0x1763541b,0x20ff95bd,0x266dacff,0x50fdcccf,
    0x43dddddf,0x443eadfd,0x20f984ea,0x404d80f8,0xfe80facd,0x8275440e,
    0x443fcbee,0x263eabfe,0xda87e20f,0x3f22cbff,0xa84ea884,0x0bdfabdc,
    0x2fb6b372,0x32fff6a0,0x20f3bae2,0x443fedb8,0xdadd84ea,0x766ffc3f,
    0x64c09b06,0x5ce7c4fe,0x7c83e65f,0xa8fc49f0,0x21eeeeef,0x20ba99cf,
    0x26c1724d,0x7c6647cc,0xa6c04d80,0x202ffc41,0xb99f984d,0xb726c0cf,
    0x85f107d4,0x02ec80ec,0x3db1026c,0xbfb83b5d,0x807643f9,0xee83effc,
    0x09b03fcb,0x9f07f513,0x136017bb,0xfb51ea24,0x2e35cbdf,0x23e87f07,
    0x20ba99cf,0x20dfffd9,0x26c1724d,0x3deecfd4,0x826c04d8,0x26c04db8,
    0x3fffffd8,0xdf8b726c,0x05c87d99,0x26c15c7b,0x20e88790,0xc879d0d9,
    0x5ccee405,0x9f733f33,0x3ea09b01,0x32005f03,0xd99cf884,0xf8972106,
    0x4c1fea9c,0x20fc9aef,0x80dfffd9,0x361bd01e,0x2b7aa60e,0x3fef3f61,
    0x0d6f54c2,0x306b7aa6,0xa9835bd5,0x11881ade,0xc86ec45b,0x3bffa20e,
    0x21576cc0,0x264fddfa,0xa801adea,0x97bee01e,0xd102aed9,0x7fec3dff,
    0x3aa62fff,0x2b7ee1ad,0x80b7ee5c,0x222abbaa,0xb81dffee,0x7ed42fdc,
    0x77fc7fef,0x03102dff,0x7fd40db8,0xff12ff99,0x8040dfff,0x7c6fffff,
    0x3e26ffff,0x3e27ffff,0xb806ffff,0x3e6bfee3,0xf880882f,0x64c1ffff,
    0xffff10bd,0xeef980df,0x7c57a201,0x2201ffff,0x3e203100,0x3fa6ffff,
    0x3bb66fff,0xfffff504,0x6c01103f,0x002202de,0x00000044,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0e600000,0x3b22f76c,0x15409d93,0x50b80710,0x31001301,0x5c1eedc0,
    0x06a20170,0xdb80a653,0x2015c43d,0x0d440108,0x85eeee88,0x2e600029,
    0x4ccccc42,0x0ee0aa01,0x775d7764,0x2006aa23,0x806a61a8,0x3ee88eeb,
    0x06d40762,0xd9a74c00,0x509bbb05,0x3a601d9d,0x800fb84d,0x5119b06b,
    0xb03eea8b,0x6ec47fff,0x5119b01e,0x701e4d4b,0x3fe60b69,0xdeaa880f,
    0x5413ff22,0xfefa82ee,0x540c030f,0xf304c86f,0x5c3f9339,0x7ff404ff,
    0x4c09f93f,0xe887f65f,0x4fae0302,0xb726c4ec,0x26181860,0x04d80c00,
    0x3baf2020,0x80c43a8d,0x806011f9,0x3abdd9bc,0x80008bee,0x87d0035c,
    0xbf884daa,0x4fa3f86b,0x1bfa0601,0xf8bddffb,0x026c1ea1,0x09b021f3,
    0x200fe6b8,0x20cfedea,0xd8bb34e9,0x4bdb16e4,0x0fbaa5ed,0x033fb7aa,
    0x45fd9d5f,0x3a4eeeec,0x32b3a8b8,0x3ae4eeee,0x40fbaa07,0x2a2ca58e,
    0x77543f75,0x2001f703,0xf309903e,0x01a74080,0xa8d7f706,0x0fc1aade,
    0x641360f5,0x76c4eefe,0x5fc40dff,0x7fd1007b,0x2e4d87d5,0x7754eec5,
    0x2aaebee0,0x213aa22f,0x23eabfe8,0x7cafe8b8,0x68ff6b76,0x6ed61fb7,
    0x1f223fda,0x2d04ea88,0xd7bbb585,0x2754417b,0x10dadfd8,0x89903e89,
    0xd803dfc9,0xf10c030f,0x40990d57,0x26c1ea1f,0x41aafc98,0xb84eabfd,
    0xd86c83ff,0x5c9b16e4,0x7f7ffec5,0x3d7fd7c2,0x5c9b04d8,0x43e67d05,
    0x4ec3fa89,0x1349dabd,0x00f507f5,0x2f27609b,0x57e448ba,0xa84d82fa,
    0x1e66ffaf,0xb313207d,0x7ec409df,0x3f618061,0x204c87b9,0x26c1aa2f,
    0x926c0f50,0x1741fe0b,0xdc8b726c,0x3360eea9,0x3ffb6009,0x3609b05e,
    0x99f416e4,0x260fea0f,0x541d51cd,0xb00f503f,0x2a676609,0x2232a0d8,
    0xa84d82ce,0x3e63fc9f,0x9901fb9b,0xee880fa0,0x7fc300c1,0x4f644fff,
    0x26bb63b9,0x5409b03e,0x85c93607,0x885983f8,0x4c1d90dd,0x363fefff,
    0xfccfb804,0x0d6f54c3,0x03b21bb1,0x5c3ea9d1,0x6cc5cadf,0x37ee1dde,
    0x2bf225ca,0x1adea980,0x01dded98,0xea993bf2,0x7ffec1ad,0x5ffd710f,
    0x415bd510,0x10eaacfa,0x063557ff,0x3f6a6618,0x177ff440,0x9819ffb1,
    0x64c1adea,0x37a20aaf,0x37261db0,0xfb80882f,0x182ff9af,0x3e600aa0,
    0x3fe22f99,0x3fee6fff,0x7e42ff9a,0xffd3fd9f,0x74020dff,0x3f26ffff,
    0x7ffc44ff,0x800206ff,0xffff14e8,0x080110df,0x57ffff60,0x0efffff8,
    0x2bfffff3,0x19999999,0x1104ffc8,0xffff0040,0xffffe8df,0x3eabfee4,
    0x09ddd53f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2a880a80,0x36237ae0,0x37bbae2e,
    0xeeeb8002,0x8ded882d,0xdd50ded8,0x4003b1bd,0x2eeeeeea,0x00510a80,
    0x30350000,0xdd518003,0x3aa000bd,0x20009d73,0xa8005eed,0x02eeeeee,
    0xe99ed880,0x37bbae0d,0x40bddb02,0x06fa83f8,0x3be23fa6,0x3f6f3e61,
    0x1eff6443,0x07f95bd3,0x11fdc7f9,0x887659f5,0x575c4efc,0x2a02fade,
    0x05df31fe,0xaceb9f54,0x3f7ff622,0xf9102a82,0x3ea2b19d,0x9fd7102c,
    0x5d8a7441,0x02f7f544,0x2277f5c0,0x2fadeaeb,0x37eebfa2,0x374cf740,
    0x0ff6f3e6,0x0007ff2a,0x2be6035c,0x2e2f80fa,0x3aabb20f,0x20d526c5,
    0x1741ae3f,0x5fbbee89,0x82fa6dae,0x6440cfe9,0x14e881df,0x3ba21dfb,
    0xe8007fdb,0x742ffbbe,0xbade80bb,0x8b726c5e,0x20fdabfc,0x57503eea,
    0x4db5c3f5,0x7fe6ec5d,0x3ffee5eb,0x717c3fff,0x09bbb01f,0x3ae07dd5,
    0xffb85ee8,0x88cdfc83,0x0b37ea1f,0x413eeb76,0x1740fa6b,0x47e20f98,
    0x882e9b28,0x6cc00dfd,0xd726c0df,0xfcfa8fa8,0x55555512,0x1f887e61,
    0x3e6077fc,0x360fdccc,0x485f16e4,0xb8827544,0x4d8c3fed,0xcfe8fc43,
    0x76676c7d,0x4466fe45,0x7d57c41f,0xb8275440,0x6442dfbe,0x77e40cff,
    0x5c443f0c,0x7ffec4fd,0x3ea7e206,0xa84c5d00,0x360be20f,0x003df904,
    0x49b13fe6,0x67cf545b,0xdddd32f8,0x883ea3dd,0x4c9fd32f,0xdddddf50,
    0x375cf643,0x136003f1,0x21fe5f74,0x220effd8,0x1dddfb0f,0x22ff77ec,
    0x83f0cefc,0xb03fbafb,0x413fee09,0xf80adea8,0x9cf83e62,0xfba6c6c9,
    0x81377602,0x9df9362e,0x409b07d9,0xb300dfd8,0x73d901bf,0xb5bff0dd,
    0x6fc4001f,0x3f767d99,0x99cf9362,0x3ffa20ba,0x26b721fe,0x984d82c9,
    0x40cfb99f,0xadd83eeb,0x26c3a9ff,0x7cc5f0b9,0x37777740,0xddf704d8,
    0x20fbae01,0x45fbacf8,0x221dfffe,0x205f71de,0xfa881ff9,0x3a24eaac,
    0xdea80eff,0x127f4c02,0x6c403df9,0x3e61feff,0x1100efff,0x83bffa20,
    0x4eaacfa8,0x037fff66,0xfb105e42,0x754c1bff,0x7ffec1ad,0x0ef4c2ff,
    0x7fee7f4c,0x41db2f45,0x45fbacf8,0x98bee2fa,0x3221adea,0x220afd8e,
    0xffc87fff,0x202604ef,0x03f65ffc,0xfffa8374,0x00884fff,0x003ffff5,
    0x00ba63d5,0x0452e008,0x01100ee0,0x9ffffff5,0x36600310,0xfff10103,
    0x40310dff,0x100efff8,0x557fd404,0x3fff22ff,0x47ffc44e,0xff88fff8,
    0x5bea6fff,0x00003ffb,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x70000000,0xc8bddddd,
    0x3ae4eeee,0xd73ee88d,0x2e5db11b,0x6c0bdeee,0x85ee99ee,0x25eeeec9,
    0xeb85eeea,0x2a3ee9ce,0x0cc05eee,0x0e7776c4,0xb03dddb1,0xd93baa7d,
    0xeb97aa2e,0x77442dee,0xdd74eeee,0x2000dddd,0xd34eeeec,0x743dd55d,
    0x0005bbba,0x75c00011,0x40009d93,0x47cafde9,0x264fbadd,0x263df16e,
    0x263df17e,0x6c4ebade,0x44fa88ae,0x7cafddf9,0x260b3ea2,0x21dfaade,
    0x6402cfa8,0xfb77f704,0x4066fdc1,0x1fc98ffa,0x24fe9bf2,0x23fdbcf9,
    0x5daabfc8,0x8f955bd3,0x0debdfe9,0x446b7aa6,0x20ed99de,0x6c3ffffc,
    0x640efbce,0x67777444,0xd9a74c5f,0x33fb7a65,0x2a3afe00,0x986d9ec6,
    0x7c40fbaf,0x726c0fcc,0x3e9b7a8f,0xa8eaa742,0x33602e86,0x22ba04fa,
    0x7c413604,0xfff88fa1,0x9affc0ef,0x7ccffd47,0x1f717c3f,0x24b89bcc,
    0xb88d174d,0xd84ebfea,0x71724d84,0x3f6617cd,0xbb771cbf,0x7edfe479,
    0xb72642fa,0x1f55ff44,0x0befada8,0xb807dc44,0x3ff303ff,0x89fb9db0,
    0x1f9ff9f9,0x5f7d47e2,0x3b602e80,0x7cd7405f,0x2b7aaa20,0x2fa8fc42,
    0x21f447e2,0x5479bfbf,0x43edddde,0xf987e22f,0xfded83ec,0xcffec880,
    0xed84d87d,0xd35c5ecc,0xd501d907,0xcb545dff,0x2e4c85d5,0x20b72645,
    0x503ffcdc,0x0374025f,0xdfb03ff3,0x67c41dfd,0x3e20fcfe,0x3a07ff50,
    0xfdfd8262,0x3098ba03,0x43ddffdd,0x444ffff8,0x75f0fa1f,0xf9ea8f5f,
    0x217c3eaf,0x0ffbe61f,0xf103fbf6,0x1dddfd9b,0xeefd84d8,0x7f77dc5f,
    0x3ee04c82,0xd5cb542f,0xeea8dc85,0xf05b9320,0x88513db9,0x1320f34f,
    0x207e67c4,0xff0fe24d,0x27f0ff99,0x2e8289ea,0x1f54d936,0xd84d8ba0,
    0x0157f104,0x81dfddf1,0x6a8ffd2f,0x45f0fadd,0x0d5e60f9,0x221b4a6c,
    0x399fe9af,0x324d84d8,0x366667c5,0x3e06b766,0x647dc6ba,0xfff989d5,
    0x21bb12fe,0x647d40ec,0x3fa1fbaf,0xdea87caa,0x74477442,0x755bd10e,
    0xf99ff87f,0xafccfa86,0x59f511fb,0x477a29d5,0x33ea21dd,0x04d84eaa,
    0x3ea057f5,0x8cf881bd,0x44fdc7f9,0x33e24f98,0x5fdc5fba,0xaaade881,
    0x3bbfee2f,0x37aa25ff,0xb11bd10a,0x7fc4001d,0x41041fff,0xeafccff8,
    0xff70080f,0x7c45ff35,0x1fffffef,0x31fffffe,0x7ec3ffff,0xf94ff99f,
    0xdd09ffff,0xffda82f4,0xfff51fff,0x3ff29fff,0x7fd4df35,0x3b84ffff,
    0x41ffff88,0xc81ffff8,0x7c4f93ff,0x0fff88ff,0x989dfff9,0x7e40ffff,
    0x442fffff,0x3fff6020,0xf77ff75f,0x0000007f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xaaaa9800,
    0x55555511,0x00000155,0x28944000,0xeeaaee98,0x4ed93b61,0x369dddd9,
    0x15eea9ee,0x9ee984c1,0x261306ed,0x980fbaa0,0x9950d440,0x5c459999,
    0x2e215c42,0xaaa82b82,0x3aa0aaaa,0x0002ae60,0xfbaf9822,0x44440860,
    0x95408888,0xaec19048,0xf54eeeec,0x5fffffff,0x00000000,0xd887b3d8,
    0x2e0cfbaf,0xb2faaaaf,0x3a65fd7b,0xf71ee88d,0xeb6c7f33,0x8b55b82e,
    0xdf104eb8,0x99516d41,0x57439999,0xc8eeaa5a,0x937363ba,0xfeeeeee8,
    0x79731722,0x4489efa8,0x1e67e24a,0x7fd4d31f,0x22ffffff,0x2e896a6e,
    0x000001dc,0x00000000,0x3ee1769b,0x5ff5f03f,0x21fd44cf,0x642f88fa,
    0x3775c4ff,0x201d75c8,0x8bdbd04c,0x4ccccc2b,0x2e0d9621,0x1f0ec42f,
    0xf8ba00d1,0x3e26e6c1,0x3626efda,0x00345e0f,0x33333333,0x00040808,
    0x00000000,0x47640000,0x27fe40ec,0x45effed8,0xd97d02fa,0xfb83ff30,
    0x45fc42fc,0x3213204e,0x8ae4f88e,0x4ffffffc,0x9660f76e,0x1f6e41e9,
    0xb0932e80,0x75041dd9,0x05141981,0x00000000,0x00000000,0x6e400000,
    0x3f620dc8,0x7e40dfaa,0x37ea3fcc,0x17fd45ba,0xc87f33e6,0x220afa8e,
    0x54c4d8bd,0x982a1add,0x4447bd72,0xb9000888,0x21ef745b,0x00760019,
    0x00000002,0x00000000,0x00000000,0x4e200000,0xaaffb838,0x4cfd43ff,
    0x3ffffa1f,0x24b86e86,0x367ff32c,0x4170b83f,0x006fffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__courier_bold_15_latin_ext_x[560]={ 0,2,1,0,1,1,1,3,3,1,1,0,2,1,
2,1,1,1,0,0,0,0,1,0,1,1,2,2,-1,0,0,1,1,-1,0,0,0,0,0,0,0,1,0,0,
0,-1,-1,0,0,0,0,0,0,0,-1,-1,0,0,0,3,1,1,1,-1,2,0,-1,0,0,0,0,0,0,0,
1,0,0,-1,0,0,-1,0,0,0,0,0,0,-1,0,0,1,2,3,2,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,2,1,0,0,0,
3,0,1,-1,1,0,-1,1,-1,-1,1,0,1,2,2,0,0,2,2,2,1,0,0,-1,0,1,-1,-1,-1,-1,
-1,-1,-1,0,0,0,0,0,1,1,1,1,-1,-1,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,
-1,0,-1,0,-1,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,1,0,1,0,1,0,1,0,1,0,0,-1,0,1,0,0,0,0,0,0,
0,0,0,0,0,0,0,-1,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,0,-1,-1,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,-1,0,0,
0,0,1,0,1,0,1,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,-1,0,1,0,0,
0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,-1,0,-1,-1,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__courier_bold_15_latin_ext_y[560]={ 11,2,3,1,1,2,3,2,2,2,2,3,9,6,
9,1,2,2,2,2,2,2,2,2,2,2,5,5,3,5,3,2,2,3,3,2,3,3,3,2,3,3,3,3,
3,3,3,2,3,2,3,2,3,3,3,3,3,3,3,2,1,2,2,13,2,4,2,4,2,4,2,4,2,2,
2,2,2,4,4,4,4,4,4,4,3,5,5,5,5,5,5,2,2,2,5,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,11,5,1,2,4,3,
2,2,2,3,2,5,6,6,3,0,1,1,2,2,2,5,2,5,10,2,2,5,2,2,2,5,0,0,0,0,
0,-1,3,2,0,0,0,0,0,0,0,0,3,0,0,0,0,0,0,4,2,0,0,0,0,0,3,2,2,2,
2,2,2,1,4,4,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,3,4,2,2,2,2,2,2,2,
1,3,0,2,3,4,0,2,0,2,0,2,0,2,0,2,3,2,1,3,0,2,0,2,3,4,0,2,0,2,
0,2,0,2,2,1,0,0,3,2,0,2,1,3,0,2,3,2,0,5,3,2,0,2,3,2,5,0,-1,3,
2,3,2,3,2,3,2,0,2,3,4,0,2,2,2,4,1,3,0,2,0,2,3,4,0,2,3,4,0,2,
0,2,0,2,2,4,0,2,3,3,0,2,3,3,0,2,1,3,0,2,-1,1,0,2,3,5,0,2,0,2,
0,0,2,0,2,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,4,2,2,2,2,2,2,2,2,2,2,2,2,2,1,4,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,0,2,0,
2,0,2,-1,1,-1,0,-1,0,-1,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,-3,-1,0,2,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static unsigned short stb__courier_bold_15_latin_ext_w[560]={ 0,3,6,8,6,6,7,2,4,4,6,8,4,6,
3,6,6,6,7,8,7,8,7,7,6,7,3,4,9,8,9,6,6,10,8,8,8,8,8,8,8,6,9,9,
8,10,9,8,8,8,9,8,8,8,10,10,8,8,8,4,6,4,6,10,4,8,9,8,9,8,8,8,8,8,
6,8,8,10,8,8,9,9,8,8,8,8,8,9,8,8,6,4,2,4,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,0,3,6,8,8,8,
2,8,6,9,6,8,9,6,9,10,6,8,5,4,4,8,8,3,4,4,6,8,8,10,8,6,10,10,10,10,
10,10,10,8,8,8,8,8,6,6,6,6,9,9,8,8,8,8,8,6,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,10,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,9,8,
10,8,10,8,10,9,8,8,8,8,8,8,8,8,8,10,9,9,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,6,8,6,8,6,8,6,8,6,8,8,9,9,6,9,8,8,8,8,8,
8,8,8,8,8,8,8,9,8,9,8,9,8,9,8,7,8,8,8,8,8,8,10,10,9,8,9,8,9,8,
8,8,8,8,8,8,8,8,8,8,8,9,8,8,8,8,8,8,8,8,8,8,8,8,8,8,10,9,8,8,
8,8,6,8,6,8,6,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,9,8,8,8,8,8,8,8,8,8,8,8,8,8,8,9,9,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,10,8,6,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,10,8,10,10,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8, };
static unsigned short stb__courier_bold_15_latin_ext_h[560]={ 0,10,4,12,12,10,9,5,12,12,7,8,5,2,
3,12,10,9,9,10,9,10,10,10,10,10,7,8,8,5,8,10,11,8,8,10,8,8,8,10,8,8,9,8,
8,8,8,10,8,11,8,10,8,9,8,8,8,8,8,12,12,12,5,2,3,8,10,8,10,8,9,10,9,9,
12,9,9,7,7,8,10,10,7,8,9,7,6,6,6,9,6,12,12,12,4,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,0,9,11,9,7,8,
12,11,3,9,5,6,5,2,9,3,5,10,5,5,3,9,11,3,4,5,5,6,9,9,9,9,11,11,11,11,
11,12,8,12,11,11,11,11,11,11,11,11,8,11,12,12,12,12,12,6,10,12,12,12,12,11,8,10,10,10,
10,10,10,11,8,10,10,10,10,10,9,9,9,9,10,9,10,10,10,10,10,8,8,10,10,10,10,12,12,12,
10,9,11,10,10,9,12,10,12,10,12,10,12,10,11,10,8,10,10,9,11,10,11,10,10,9,11,10,12,12,
12,12,12,12,12,13,11,11,8,9,11,9,10,8,11,9,10,11,11,6,9,12,12,12,11,12,6,11,12,11,
12,8,9,8,9,8,9,11,9,11,10,11,9,9,10,10,11,9,12,10,12,10,8,8,11,9,11,10,11,9,
12,10,12,10,12,10,12,10,12,12,11,10,8,9,12,10,11,9,12,10,13,11,12,10,10,8,11,9,11,12,
11,11,9,11,9,11,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,10,9,9,11,9,9,9,
9,9,9,9,9,9,9,9,9,9,10,8,9,9,9,9,9,9,9,9,9,9,9,9,9,11,8,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,11,10,11,9,12,
10,12,10,13,11,13,12,13,12,13,12,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,14,13,11,10,12,10,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9, };
static unsigned short stb__courier_bold_15_latin_ext_s[560]={ 254,250,161,213,88,28,136,253,248,243,218,
98,135,204,186,166,235,154,170,226,187,210,228,137,163,207,252,249,95,91,105,
173,71,245,39,1,146,164,155,83,191,184,144,79,70,135,125,155,107,85,47,
20,86,204,57,48,30,21,12,82,122,191,79,211,190,197,48,179,38,161,222,
29,231,1,72,10,213,225,245,77,1,245,209,38,195,236,36,19,10,240,29,
31,19,249,147,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,254,251,154,
161,200,19,165,62,168,108,140,61,125,204,73,175,118,11,112,107,195,19,43,
200,156,86,100,1,203,192,118,176,52,161,200,211,1,232,1,63,117,204,241,
8,170,249,78,163,28,231,95,240,222,64,29,45,201,129,147,177,195,44,116,
146,137,128,119,110,101,145,173,74,65,56,47,38,183,239,38,127,243,149,225,
216,207,198,189,134,125,164,155,146,137,104,129,139,97,230,220,71,60,139,173,
219,196,19,168,1,204,92,126,215,235,197,234,58,17,180,94,145,51,67,154,
236,120,10,10,36,157,1,111,66,35,26,226,76,1,85,130,188,213,130,35,
184,177,70,94,19,45,38,135,79,52,108,214,90,205,68,103,89,112,152,121,
12,1,239,188,222,47,56,10,89,172,158,55,80,73,112,59,215,190,167,33,
121,116,212,45,179,22,154,1,170,231,242,186,223,99,164,206,221,182,42,96,
10,148,108,30,87,113,128,10,170,105,28,126,54,72,81,248,63,66,145,83,
90,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,19,178,178,181,
178,178,178,178,178,178,178,178,178,178,178,178,178,28,143,178,178,178,178,178,
178,178,178,178,178,178,178,178,135,115,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,22,174,
232,99,156,183,138,192,39,53,12,93,57,84,21,102,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,1,48,193,117,75,103,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178, };
static unsigned short stb__courier_bold_15_latin_ext_t[560]={ 1,42,128,1,16,66,99,16,16,16,119,
119,128,127,128,16,54,99,99,54,99,77,77,54,54,54,66,99,109,128,109,
66,54,109,119,77,119,119,119,77,119,119,99,119,119,119,119,77,119,54,109,
88,109,99,109,119,119,119,119,29,16,16,128,127,128,109,88,109,88,109,99,
88,99,109,16,109,99,119,119,109,88,77,119,109,99,119,128,128,128,99,128,
16,16,1,128,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,
99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,1,54,29,
99,119,109,1,54,128,99,128,128,128,127,99,128,128,88,128,128,128,99,42,
127,128,128,128,128,88,88,99,88,42,29,29,29,42,16,119,16,42,42,42,
54,42,29,54,42,109,42,16,1,1,29,29,128,77,1,1,1,1,54,119,
77,77,77,77,77,77,42,119,77,77,77,77,77,88,88,99,99,66,88,66,
66,66,66,66,109,109,66,66,66,66,16,16,16,66,88,42,66,66,88,16,
77,16,66,1,66,1,77,42,54,109,54,66,88,54,66,54,54,66,88,42,
77,1,29,16,16,16,29,1,1,54,54,109,88,54,88,54,109,42,88,66,
42,42,128,88,29,29,29,42,16,128,42,16,42,16,109,88,119,88,109,88,
42,99,29,54,29,99,99,66,66,29,88,29,66,29,54,119,109,29,88,42,
54,29,88,16,54,16,54,16,54,1,54,1,16,42,77,109,88,16,66,29,
99,16,66,1,29,16,66,77,109,29,99,29,16,42,42,88,42,99,29,99,
99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,77,99,99,29,
99,99,99,99,99,99,99,99,99,99,99,99,99,77,109,99,99,99,99,99,
99,99,99,99,99,99,99,99,29,109,99,99,99,99,99,99,99,99,99,99,
99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,42,77,
29,99,1,77,1,77,1,54,1,1,1,1,1,1,99,99,99,99,99,99,
99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,
99,99,99,1,1,42,66,1,54,99,99,99,99,99,99,99,99,99,99,99,
99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,
99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,
99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,
99,99,99,99,99,99,99,99,99, };
static unsigned short stb__courier_bold_15_latin_ext_a[560]={ 127,127,127,127,127,127,127,127,
127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,
127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,
127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,
127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,
127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,
127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,
127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,
127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,
127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,
127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,
127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,
127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,
127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,
127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,
127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,
127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,
127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,
127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,
127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,
127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,
127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,
127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,
127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,
127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,
127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,
127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,
127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,
127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,
127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,
127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,
127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,
127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,
127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,
127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,127,
127,127,127,127,127,127,127,127, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_15_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_bold_15_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_15_latin_ext(stb_fontchar font[STB_FONT_courier_bold_15_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_15_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_bold_15_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_15_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_15_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_15_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_15_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_15_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_15_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_15_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_15_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_15_latin_ext_s[i] + stb__courier_bold_15_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_15_latin_ext_t[i] + stb__courier_bold_15_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_15_latin_ext_x[i];
            font[i].y0 = stb__courier_bold_15_latin_ext_y[i];
            font[i].x1 = stb__courier_bold_15_latin_ext_x[i] + stb__courier_bold_15_latin_ext_w[i];
            font[i].y1 = stb__courier_bold_15_latin_ext_y[i] + stb__courier_bold_15_latin_ext_h[i];
            font[i].advance_int = (stb__courier_bold_15_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_15_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_15_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_15_latin_ext_s[i] + stb__courier_bold_15_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_15_latin_ext_t[i] + stb__courier_bold_15_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_15_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_15_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_15_latin_ext_x[i] + stb__courier_bold_15_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_15_latin_ext_y[i] + stb__courier_bold_15_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_15_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_15_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_15_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_15_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_15_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_15_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_15_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_15_latin_ext_LINE_SPACING
#endif

