// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_16_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_16_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_16_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_courier_bold_16_latin_ext_BITMAP_HEIGHT        152
#define STB_FONT_courier_bold_16_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_courier_bold_16_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_bold_16_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_bold_16_latin_ext_LINE_SPACING           8

static unsigned int stb__courier_bold_16_latin_ext_pixels[]={
    0x00400220,0x00886038,0x0e00004c,0x06180380,0x30038a98,0x18805300,
    0x00e665c0,0x00221802,0x10110c03,0x00443003,0xaaaa882e,0x000302aa,
    0x0a202880,0x4401e980,0x01f4402e,0x6403d7b9,0x5d2e81ee,0x98803ae0,
    0x99d1033a,0x236e620d,0x98826402,0xdd3018c8,0x40111409,0xd7b901f9,
    0x413ba603,0x6b81ebdc,0x01ebdc80,0xffff7136,0xdee98dff,0x2601aa00,
    0x4026c01e,0x02e800e8,0x0ca802a8,0x4c244e60,0x01540130,0x7702c493,
    0x40b11d40,0x5892603b,0x6c06e190,0x00b80570,0x70c8032a,0x22032a03,
    0x2a0199ec,0x2e0e600c,0x391aef77,0x804980ae,0x8017000b,0x03a803c8,
    0x41f98b98,0x9808aca8,0x5510aaaa,0x1b10aaa1,0x0aa881b1,0x88d88555,
    0xa855440d,0x6c46c42a,0xaa855440,0x5542aa22,0x5542aa22,0x08aca882,
    0x0aaa1551,0x2022b2a2,0xffffd039,0x06b2a05f,0x5422b2a2,0x511aef77,
    0x2aa01359,0x42aa2198,0x42aa22aa,0x173502aa,0x980d5c40,0x4c6ffffe,
    0x445ffeff,0xfb3fffff,0x83fff3bf,0x37ff60e3,0x71c1fff9,0xff3bffb0,
    0x360e383f,0x1fff9dff,0xfff3bffb,0x3e77ff63,0x3bfe61ff,0x3bffb5ff,
    0x7fcc3fff,0x3fa65ffe,0x99ec84ff,0xffeff880,0x3ffbfe61,0x208bdc65,
    0x45ffeff9,0x1ffffffa,0xfff3bffb,0x3e77ff63,0x04c881ff,0xdf880cc8,
    0x2fc49fd1,0x435c0bd1,0x1311fc3f,0x3e1fc0cc,0x81982623,0x1311fc3f,
    0x3e1fc0cc,0xf0fe1fc3,0x97e23f87,0x7f0fe5e8,0x2bd12fc4,0x85f71df8,
    0xa876406b,0x744bf11f,0x1bd07b85,0x2633e2ec,0x3e1fc1fe,0x20fe1fc3,
    0x54c02aa9,0xf70fb80a,0x2607ccfb,0x0fe1ae02,0xfbb7ec7f,0x8fe1fc1f,
    0x83ff76fd,0xdfb1fc3f,0x87f07fee,0x0fe1fc3f,0x3e63f87f,0xf87f14c0,
    0x25303e63,0x2e2ec0fb,0x17076c06,0x705303e6,0x1881f30f,0xf83f51ea,
    0xf0fe1fc3,0x05fffd07,0x90bffff2,0x43e6fe6d,0x86b8006b,0x9b61fc3f,
    0x3e1fc1f9,0x83f336c3,0x9b61fc3f,0x3e1fc1f9,0xf0fe1fc3,0x01ae3f87,
    0x35c7f0fe,0x83ea1b20,0x20db9afa,0x2e1ceff9,0x35fb5006,0x07cc035c,
    0x7c3f83f7,0x40fe1fc3,0x13105ef9,0xbf1d71b2,0x2035c3ee,0x1fc35c68,
    0x7c4d90fe,0x90fe1fc1,0x0fe0fc4d,0x3e26c87f,0xf0fe1fc1,0x21fc3f87,
    0x3e01ae3f,0x80d71fc3,0xfd87b87c,0xeca80cff,0xf300d71f,0xd35c9fff,
    0x57743fff,0x21fc1ffb,0x0fe1fc3f,0x4c07d76c,0x7c47fffc,0x7ccdd0ee,
    0x5c1f3082,0x20fc4e86,0x9d07e26c,0xf13641f8,0x20fc4e83,0x9d07e26c,
    0x3e2741f8,0x987e2741,0xf13a082f,0xa8417cc3,0x0882741f,0xf33e81b0,
    0x2a020105,0x98db531f,0x741feffd,0xf13a0fc4,0x13e5f103,0x21f6af7a,
    0x41feacfe,0x36da9cfd,0x909f539f,0xf70db37f,0xfc87fd53,0x9fb86d9b,
    0x5fe43fea,0xa9fb86d9,0x4dfe43fe,0xd9bfc86d,0x6d9bfc86,0x6da9cfd8,
    0x21b66ff2,0x26da9cfd,0x80feacfd,0xaef881f8,0x33f61fc9,0x07b86da9,
    0x0bd537dd,0xf903e622,0x7f90db37,0x33ee0db3,0x4dfcc7ec,0x37ea1feb,
    0xffb01dff,0x3fae23df,0x37ff204f,0xfeffe881,0x81dffc86,0x86feffe8,
    0xe881dffc,0xfc86feff,0xbff901df,0x077ff203,0x20f7ffec,0xfb01dffc,
    0x75c43dff,0x403201cf,0xd83effde,0x5881efff,0x5dfffb10,0x20dd7550,
    0xf901dffc,0x3bba03bf,0x7fe42fee,0x09366fef,0x00080100,0x00110011,
    0x00110011,0x00110011,0x00110011,0x10020011,0x02002001,0x00220060,
    0x30015002,0x06fff401,0x01100110,0x3dd327dc,0x00000030,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xf8800000,
    0x09ffd1ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x30000000,0x4000a200,
    0x00886073,0x400c01c4,0x01003801,0x04430020,0x00400070,0x40183002,
    0x40102073,0x05cc00ca,0x330002cc,0x35c01800,0xd2e8110c,0x013ba605,
    0x42dc03d5,0x37b04ccd,0x0174403b,0x774c05d1,0xb100ee04,0x01f9805f,
    0xc80766f6,0x440f980d,0x2fd882ee,0x80b272e0,0x25904ccd,0x40e3203b,
    0x5c4fffe9,0x201e9747,0xee9803e8,0xb907f304,0x130983d7,0x900dc320,
    0x221fc401,0x32e2038b,0x3600dc01,0x01b86401,0xd8ad80b5,0x71005c02,
    0x20550039,0x0ec4f45f,0xa80b62b6,0x0e2e202c,0x5c03ec88,0x71df880c,
    0x4263dc7f,0x19009001,0xa81ee06e,0x3007300c,0x64073007,0x9803980f,
    0x21aca803,0x40262198,0x23501aca,0x98866209,0x09aca880,0x15542aa2,
    0x83ee0398,0xaa809999,0xaca88198,0x542aa209,0x3315502a,0x2aa85544,
    0x5cfb03ee,0x0d4c5517,0x5301554c,0xb82aa615,0x55555447,0x9fffd32a,
    0x09fffd30,0xf09fffd3,0x4fffe989,0x84fffe98,0x91ffeff8,0x83ffa5ff,
    0x21ffeff8,0x0ffffffa,0x3ffa5ff9,0x3ffbfe60,0x3e77ff65,0x3ffa61ff,
    0xf53f884f,0x7fd47fff,0x3e61ffff,0x3f65ffef,0x21fff9df,0x1ffffffa,
    0xfff3bffb,0x43ea1b23,0x3a3ff959,0x7fff40ff,0x3e7fff02,0xf71b23ff,
    0xf1dfffff,0xf88bee3b,0x7c45f71d,0x7c45f71d,0x7dc77e23,0x7dc77e22,
    0x1fa87642,0x642fa97a,0x67c3f50e,0x2f41fe98,0x20de85f5,0x8fe1fc5d,
    0x05f71df8,0x1fccc49d,0x83fd319f,0x7f1760de,0x4c67c3f8,0x3e1fc1fe,
    0x81ee1ae3,0x201db1fb,0x2f705ef9,0x27dcf718,0xbebbddee,0x1f72ec0f,
    0xb03ee5d8,0x1f717ccb,0xb03ee5d8,0x82e0ed8b,0xdb0db1fa,0x20fa85c1,
    0xd8fd41fa,0x06207cc6,0x3ee3f87f,0x82ec2ec0,0x1fa8f53e,0xf83103e6,
    0xa8f51fc3,0x8fe1fc1f,0x732741f9,0x201faed8,0xfa80faed,0x226c9fd8,
    0x77bbd46d,0x21f50d9d,0xd90fa86c,0x8fe21f50,0xd90fa86c,0x7fcc1f50,
    0xf9de81ce,0x1ceff981,0x81fb83e6,0x35c1f9de,0x91fc3f80,0x5e81f50d,
    0xb83e67d0,0x7c01ae1f,0x41f31fc3,0x3e1fc1fb,0x7f567ec3,0x9ff11ee1,
    0x84f97c40,0x5dcff9f9,0x17b8c3dc,0x64f70f91,0x21f27b87,0x0f927c7b,
    0x3dc3e4f7,0x4c1feca8,0x765405ef,0x3eebba1f,0x85ef981f,0x87fffa6b,
    0x0f91fc3f,0x3a07f0f7,0x3feebba3,0xfffe9ae1,0xe87f0fe1,0x7c1ffbae,
    0x7fe41fc3,0x3dc3dc0d,0x1fb33ee0,0x3bb3f7e2,0x8f703dc4,0xf52741fa,
    0x07ea4e83,0x3ea7c89d,0x83f52741,0x0fa06c4e,0x206c07f6,0x37ff663e,
    0x503fb01f,0xd1b6a63f,0x07ea1f89,0xd01fb89d,0x7f7fecc7,0x6d4c7ea1,
    0x307e2746,0xe83fdffb,0x77ec0fc4,0x70f70dbb,0xeeeee80f,0xf9dff82f,
    0xb80fd43f,0xfeacfd87,0x7f567ec0,0x7f567ec0,0x9fb1fcc0,0xcfd81fd5,
    0x3be20fea,0x5e81fc9a,0xf935df10,0x403e6103,0x26fba05e,0x4dfe45ea,
    0xeacfd86d,0x7f02f40f,0xe81f3110,0x645ea9be,0x2206d9bf,0x5fe40f98,
    0xdef986d9,0xb51aa4ff,0x49f7035f,0x97f41ee9,0x43f442fe,0x2e21afda,
    0xeb881cfe,0xfeb881cf,0x5c4d901c,0xeb881cfe,0xffde81cf,0x13eea23e,
    0x83effde8,0x5446eba9,0x3f6204fb,0xffc82eff,0xcfeb881d,0x7510fcc1,
    0xebaa81fb,0xefffd886,0x01dffc82,0x320dd755,0x20001dff,0x13fffe60,
    0x3fa3fff1,0xfc87ec4f,0xfff98101,0x0200104f,0x08040040,0x01100100,
    0x801dfff7,0x33ff2008,0x077ffdc0,0x022004c0,0xfa810040,0xdffe81df,
    0x22004c00,0x06fff400,0x00000110,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0000c000,0x00cccc88,0x00ffee1c,0x50079100,0x00f5c359,0x06665c01,
    0x56544010,0x40130c08,0x03555103,0x05100618,0x4c0c024c,0x0c008865,
    0x40005100,0x0700cccb,0x7fe88330,0x2e04ee98,0x55540b75,0xf70f6202,
    0x20ae0035,0xff100b9a,0x17a63ffd,0x555503dc,0x30bfb301,0xd8bffdff,
    0x36e00ebd,0x7ffffe40,0x0ecce884,0x7e403d30,0x44ee981a,0x07af727b,
    0x5d3005c8,0x54174ba0,0x1b700aaa,0x36a03aa0,0x20370c87,0x36203118,
    0x05500d88,0x261550f7,0x4c882eaa,0x0fd43b20,0x220e20d7,0x445550aa,
    0x2fc47b1f,0x00950bd1,0x5c5720aa,0xb807700f,0xffffd100,0x7b86e190,
    0x07500654,0x21300dc0,0x50073009,0x7b803205,0x81a98aa2,0x71c02aa9,
    0x15555530,0x17ff71ee,0x55309fff,0x17076c05,0x2aaa635c,0x3bffb0aa,
    0xa92a3fff,0x25303e65,0x5101aaa8,0x64355555,0xaa88be25,0x5554409a,
    0x9aa1f501,0x1aaaaaa8,0x2aaaa6f7,0x6a8a980a,0xaaaaaa88,0x55555511,
    0x27fff4c3,0x88aaaaa2,0x7b82aaaa,0x7ff47ff2,0x417fff40,0xf9066098,
    0x1ee1ffff,0x3a07f0fe,0xff302fff,0x20fb839d,0x20fffffc,0x1591fc3f,
    0x2035cbfb,0x44fffffc,0x3ffffffc,0x83bf73b2,0x22fffffc,0x44fffffc,
    0xffc81cf9,0x2f73ffff,0x20fffffc,0x84fffff9,0x3ffffffc,0x7ffffff9,
    0x17dc77e2,0x21fffffb,0x40fffffd,0xed8fdc7b,0xb0bdf300,0xc87feedf,
    0x43dcbd15,0xf301fc3f,0xfeca80bd,0x15c9fe61,0x1fc3f8bd,0x5cb5993b,
    0xf715c806,0x91f45c81,0x7f03ffdf,0x15c87f62,0xffea81f7,0x5cfa2e43,
    0x897a2b97,0x04ffa9df,0xc8fa3f9b,0x40fb9f45,0x2e07b85d,0x3b61ee07,
    0x2bb601fa,0x3e66d80f,0x707ed2e1,0x03f87f0f,0x3603ebb6,0x43f71f40,
    0x3f81fb4b,0x55b3b1fc,0x90417ccb,0x57217c4b,0x45721b9d,0x3a1fc0ee,
    0x22f89724,0x5c83f220,0x5dee373b,0x47d41fb4,0x5f06cdf9,0xae45b75f,
    0x50d91b9d,0x2e07b81f,0x3e21ee07,0x7cbe204f,0x07e26c84,0xf0f707ee,
    0x5f103f87,0x35df113e,0xb835c3f9,0x1fc3f81f,0xd8dfd35b,0x326da9cf,
    0x640efdce,0x76c43fff,0x1fc3bf12,0xfdcec972,0x0fa9360e,0xf70ffff2,
    0x57d41fb8,0x1d50db5f,0xfff90fff,0x87b87c87,0xb81ee07b,0xfb80f707,
    0x26c87ecc,0x19fd41f8,0x3f13a1ee,0x1fb33ee0,0x70fbff7a,0xd067f50d,
    0x996e1f89,0x1efffd80,0x207ffbf2,0x7e42fcfc,0x7c9f50ff,0xfdf92e43,
    0xfeefe83f,0x217e7e45,0x20cfea7b,0x83fcaefe,0xc86efefc,0x0fd42fcf,
    0xb81ee13a,0x3dc1ee07,0x3fbbbba0,0x7f54fdc2,0x73e97e23,0xeabfc83f,
    0x3bbbba06,0x360d302f,0x47d2fc46,0x446d9bfc,0x3a20331f,0x1dd15c80,
    0x0b7155c8,0x3a23f806,0x07745724,0xb905fb53,0x8bdd6e2a,0x7fccfa5f,
    0x77d03eff,0xae45313f,0x33f65b8a,0x07b80fea,0x43e441ee,0xfb81afda,
    0xe887ba64,0x3fa6feff,0xff73faab,0x01dfeb89,0x0f74c9f7,0x0bf21f5c,
    0x87f557fd,0xfa81dffc,0x87d701ef,0x3bf12ed8,0x36aabb62,0xf982ea86,
    0xb10febad,0x7077e25d,0x555db10f,0x5ff5aadb,0x04b73faa,0x57f73f70,
    0x2abb62bb,0x3fae26da,0x57ed4c1c,0x8abf6a62,0x7fcc7ff8,0x7ffc44ff,
    0x1109ffd1,0x3fffffe0,0x00403313,0x3fa3fff1,0x080cb84f,0x3ffffff8,
    0x40080088,0x7ffe40ca,0x3ff29f50,0xdb86ffff,0xdefffc80,0x543fff20,
    0x7e41cc4f,0x426fffff,0x03ffffff,0x7ff7fc40,0xfff95fff,0x4020dfff,
    0x90fffffc,0x441fffff,0x00000019,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00006200,0x00f20c43,
    0x01554353,0xb701c004,0x5ce20535,0x130c0001,0x3ea04430,0x2aaa887f,
    0x0a807300,0x0ff527c0,0x3531aa88,0x56dc00c0,0x321f7029,0x200e200f,
    0xa8802019,0xd30009ac,0x0ba5d09d,0x2e175f54,0x4c7ffc07,0xfd501fff,
    0xb8136207,0x2f500dc8,0xf317303f,0x01d7bb03,0xa883d7b9,0xffffa87d,
    0x90075c01,0x6445900b,0x47ffec07,0x76c40fff,0x3722e01e,0x12a19500,
    0x75402e98,0x3e60f700,0x3f65ffef,0x98370c80,0x064c0130,0x3fe01fc4,
    0x67c40fa4,0x3005501a,0x85f7b807,0x06ffffe9,0x0195012a,0x009b03dc,
    0x4407300a,0x5ea09999,0xf55c8198,0x424caa0b,0x85550aa8,0x19998998,
    0x01900370,0x20de81c4,0x5107fa5d,0x55445555,0x50d4c2aa,0x7c06c855,
    0x2a07d1fe,0x55435307,0x27fff4c2,0x867dfec4,0x09fd1df8,0x2a205553,
    0x0f702aaa,0x3fea026c,0x02aaa887,0x547ffff9,0xdc85ffd7,0x2aa604fb,
    0xf3bffb02,0x6fffc3ff,0x554c7fff,0x55555102,0x2aaaa235,0x43103e62,
    0x7ffec1fe,0xffffb0ff,0x4c7ffc1f,0x0be21fff,0x87d6dbf8,0x7c2efed8,
    0x1fff98ff,0x0bee3bf1,0x27fffffb,0x0fbf70fb,0xfb05fffd,0xf701ffff,
    0x2a2026c0,0xffffa87d,0x47f33301,0xc80dfcfa,0x3fa00fff,0xf87f02ff,
    0x4c57cc43,0x17fff47c,0x7fffffe4,0x1fffffb3,0x03f601ae,0x40f703dc,
    0x360fa4ff,0x2fe2fe06,0x1cfdc83e,0xb8fa4ff8,0x6ec2ec0f,0x7cdb21f9,
    0xef980f9b,0xf701ee05,0x209126c0,0x8013607b,0x817fea3e,0x200eebfc,
    0x87f05ef9,0x3dc5f03f,0x5c82f7cc,0x2e1ee1f4,0x647fffa6,0x7b81ee07,
    0x1f47fbe0,0x73f817cc,0x81ee07ff,0x647d1fef,0x3aa0fa86,0x23ae3fce,
    0xdb01f75f,0x01ee01f5,0xf326c0f7,0x26c0f701,0x6fd47d00,0x3a2b903f,
    0x03ebb604,0x3e07f0fe,0x2bb61ee2,0x73b5c80f,0x1fa87b83,0x035cdb53,
    0xf03dc0f7,0x6c0fadb7,0xfd1df986,0xbf81ee07,0x43e47d6d,0x7ffffc7b,
    0x21ddf10f,0x9f2f886e,0x6d4c1ee0,0xbd510aaf,0xf701f955,0x7d0026c0,
    0x0e7ddf22,0x2fea5db1,0x84f97c40,0x2aa1fc3f,0x447b8acf,0xff909f2f,
    0x741ee07f,0x225ea9be,0x7b81ee01,0x3afe2fe0,0xfc83f303,0x2e07f35f,
    0x2fe2fe07,0x9d07ea3e,0xfd0f57d0,0xf703fd59,0x1ee0fd99,0x97fffff4,
    0xfffffffa,0x93607b80,0x7d4fa048,0x7e4dff37,0xb85fd0ff,0x4e87eccf,
    0xffff10fc,0xcfb8f75f,0xfcfc87ec,0x3620f702,0x0042efff,0xf03dc0f7,
    0xe80ffee7,0x2e400c05,0x0ffee7f0,0x01fd59fb,0xdfa8d77f,0xddd01dff,
    0x0f705fdd,0x70030030,0x1f326c0f,0x00220fe0,0x3bbba00c,0x4dfe42fe,
    0xd1b2006d,0xc85fdddd,0x7b8b7155,0x87b80a80,0x262afda9,0x7cc2afda,
    0x5407fd1d,0x205d500f,0xbf302fdd,0xd710ffa3,0x2ebe039f,0x5c0126c6,
    0x4c7ba64f,0xf702afda,0x98175403,0x510aafda,0x21f955bd,0x440fdba9,
    0x0f5c00fc,0x3ba64fb8,0x00effe41,0xfb93f2a6,0x6c47ba64,0x536daaae,
    0x3aa055fb,0xfff90102,0x3fff21ff,0x57ff20ff,0x805c03f9,0x05b700db,
    0x3f9affe4,0x02230020,0x8fffc400,0xfff94ffe,0x809901ff,0xfffd00db,
    0x3ffea5ff,0xff70ffff,0x0099103b,0xfff101b9,0x2213ffa3,0x49dfb000,
    0xffd1fff8,0x3fffff29,0xfffff96f,0x0001b701,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0x01980221,0x1d100443,0x40060020,0x36236201,0x3a044300,0x0186003f,
    0x020535b7,0x01804c60,0x40c60081,0x103530aa,0x0d555408,0xaaa885f8,
    0x665c1aaa,0x0804080c,0x01010204,0x26b607b8,0x201d500e,0x2e01d9bd,
    0x2607b80f,0x3ba604ee,0x32038e04,0x1fd41ebd,0x01d55d00,0xd881b917,
    0x3abaa02f,0x9d80eb80,0xb79901c8,0xff8bffb8,0x174ee40e,0x01dffff7,
    0xffff9079,0xaaaa87ff,0x01c89d80,0xdc83913b,0xeace83e9,0x97100c41,
    0x71006403,0x104f8039,0x01b86407,0x33106e19,0x0ca804c4,0x803537f0,
    0xaa881bb8,0x6c56c2aa,0x301b1b02,0x81f6cc09,0x87f049c9,0x203d703f,
    0x4066207b,0x5511f45c,0x7db30555,0xa81f6cc0,0x203b202e,0xaaaa8818,
    0x4c5511aa,0x2aaaa21a,0x5441f702,0xf91aaaaa,0x2a35500b,0x74bff21a,
    0x555510ff,0xffff8355,0x2aa980ef,0x1fffffb0,0x53009a98,0x4026a601,
    0x304c40a9,0x03f87f03,0x41ee0153,0x2b907ff9,0x3ff61b9d,0x41310fff,
    0x402a6019,0xaa9809a9,0xffc86b80,0xff93ffff,0x7ec3ffa3,0x4e80ffff,
    0x7fffffe4,0xf980bb33,0x746ff9df,0xffc8bea5,0x7fc3ffff,0xffd0bd32,
    0x443dc05f,0x220fffff,0x3e24fffe,0x3a20ffff,0x5bf64fff,0x21fc1ffb,
    0x7fff543f,0x32207b84,0x07fff907,0xbb7ec3dc,0x7ff541ff,0x3fffe24f,
    0x3ffff20f,0x45c83e42,0x76c7ee3e,0x3ea07b80,0x91f45c80,0x9720353b,
    0xd8fd41f9,0x21f45c86,0xf983dc4f,0x321ee05e,0x6fc1d51e,0x3d93fb89,
    0x89df83aa,0xf99b63fb,0xd0fe1fc1,0xb85f7119,0xfc83dc07,0x41ee02fc,
    0x9d07e66d,0x3b25f711,0x84c41d51,0x6407ec6c,0xed8373b5,0x40f701fa,
    0x276b905e,0x3ffff21b,0x07e65c84,0x3207e77a,0x6f8373b5,0xfaed82e4,
    0xff30f700,0x20fcc3bd,0x3bdff35d,0xc9760fcc,0x49d07e26,0x3bbea1f8,
    0x03dc5fee,0x8aae41ee,0xd907b85b,0xddf50fc4,0x3fe6bfdd,0x7fe4c1de,
    0x640ff47f,0xff103fff,0xf983dc09,0x07fff901,0x903ee5f9,0x303fdddf,
    0x3ff20bdf,0xd9fff03f,0x3e5f103f,0x2630f704,0x83f31fdb,0x3f6e635d,
    0x25d83f31,0xf507e26c,0xcf98db37,0xb513cccc,0xfda8835f,0x2abb622a,
    0x907b86da,0x9f30fc4d,0x4c679999,0x2f7a1fdb,0x40ff47da,0x2e02fcfc,
    0x5d83dc07,0x20bf3f20,0xd907e65c,0x3603fb99,0x5f9f901f,0x02f773e0,
    0x83f667dc,0xb99de87b,0x326fba1f,0xf733bd2f,0x7e4df743,0x3faa7ee2,
    0x81dffb83,0x72ca9ade,0x6c1dffff,0xf91fffff,0x70dfffff,0x3aa7ee0f,
    0x54d6f43f,0xf733bd2c,0x3ae6fe63,0xae416e1f,0x07b85b8a,0x017cc3dc,
    0xc96e2ab9,0x4b907e65,0x40bd01f9,0xf8b7155c,0xddddd003,0x57ed4c5f,
    0x13bffb62,0x6c5fffb1,0x6c44effe,0x7f442fff,0x17706fef,0x3bfff260,
    0x5b0056c2,0x4c27a001,0x7442afda,0x64c6feff,0xfdb2efff,0xfffc89df,
    0xed8806fe,0x6d46daaa,0x7ed4c1af,0xd881b22a,0xb16daaae,0xd88fee3d,
    0x5447f71e,0x5db104fb,0x6fd4db55,0xd327dc02,0x3ffff23d,0x0400440f,
    0x80100110,0x06e88008,0x09d50098,0xdb80274c,0x1fffff90,0x02600110,
    0x00060044,0x3ffffff2,0x13fffe66,0x21fffff9,0x3fff201a,0x9ff76fff,
    0x3ee1fff1,0x70fff9df,0xf901dfff,0x74dfffff,0xff100eff,0x013ffa3f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xcccb8000,0x02080080,0x05cc0180,0x00000810,0x00803880,0x00440018,
    0xfffe9802,0x401554c1,0x00220040,0x0cccb801,0x00000ea0,0x80020060,
    0x20026018,0x40555540,0x7441e9cd,0x5c800eab,0xb701c640,0x035407b3,
    0x07b803aa,0x136027e4,0xd8807540,0x0f45d02f,0xb00bfffa,0x1e980b25,
    0x01dffc88,0x22015555,0xbfb301ab,0x00dfeb81,0x3ba601d5,0x300f4c01,
    0xa8ef803d,0xb81aaaaa,0x01bb101e,0x39700750,0x4c02ea80,0x3202cc04,
    0x973c80af,0x6c402b80,0x0b62b600,0xf980c5f3,0x1f64405e,0x5fdc0360,
    0x2aa985da,0xf880cc80,0x2fe65ead,0x212605ea,0x200e98e8,0x4058800d,
    0xfffffcab,0x440a983f,0x54406609,0x20988511,0x02aa2019,0x2a200a98,
    0x7ffec40a,0x20155107,0x54400aa9,0x102a600a,0x6c019d9f,0x2a600fae,
    0x0054c00a,0x3ffa07d4,0x02aa602f,0xc8fcc3ea,0x2a603ea6,0x83304c40,
    0x31066098,0x2e400cc1,0xfffe88fa,0x7fddbf64,0x7efffd41,0x7ddbf65f,
    0x7ffec41f,0x7fff544f,0x7fffec44,0x23d47ee4,0x44ffffd8,0x882ffffc,
    0x444ffffd,0x3e24fffe,0xf882fc89,0x3ff209f2,0xffe882ff,0x0dd7304f,
    0x7e417be6,0x87cc2fff,0xd37f53f9,0x4fffe88d,0x0ffddbf6,0x87feedfb,
    0x03ff76fd,0x4373b5c8,0x23fb89df,0x4607e66d,0x362f9bfc,0x3d907e66,
    0x119d13e6,0x98f645f7,0xc811764f,0x9889f31e,0x23d90d90,0x44efc4f9,
    0x233a63fb,0x667dc3e9,0x3213107e,0xfb89df86,0xb03ffc83,0x13101f5d,
    0x3af7e1b2,0x0ffffa4f,0x47f713bf,0xdb07e66d,0x99b60fcc,0xfc8fd41f,
    0x20fcc3ff,0x1f89b25d,0x777fff54,0x1f89b24f,0xfa86617c,0x3e5feeee,
    0x21f70cc2,0x06617c29,0xf0ffff93,0x07e61985,0xcbfc88bb,0x7f777745,
    0x7fffc982,0x81760fcc,0xf97c41fc,0x7fffc984,0x73fefd98,0x261fd57f,
    0x4d92ec1f,0xf13641f8,0x07e26c83,0x17e7e49b,0x64bb07e6,0xdf887e26,
    0x22cccfda,0xf887e26c,0x6667cc02,0x805f13cc,0x226fefe8,0xabde802f,
    0x2017c47d,0x412ec1f9,0x93ee0ef9,0x5ef41ee9,0x20fcc7da,0x2e1fc05d,
    0xde87eccf,0x7dc07dab,0x98fccbb1,0x4d92ec1f,0xf13641f8,0x07e26c83,
    0xb8aae41d,0x3f26fba5,0x3faa7ee2,0x3fa73e23,0x27ee1b9c,0x5f743fea,
    0x56f46c99,0x2fba2ca9,0x2fc86c99,0x6c99bee8,0x3fae6fe6,0x64cdf741,
    0x7e4df746,0x223d8762,0x9ffd1fff,0x7f5cdfcc,0x7e4df741,0x3f2a6b22,
    0x7f777741,0x3ae6fe62,0x3f6aa21f,0x3f26bf24,0x3f26fba0,0x3faa7ee2,
    0x7f54fdc3,0x7f54fdc3,0xaed88623,0x3f626daa,0x7ff442ff,0x77fd46fe,
    0x3a22effe,0x6c46feff,0x64c2efff,0x3622efff,0x6a82efff,0x5dfffb10,
    0x6fefffc8,0x177ffec4,0xb0bfff62,0x2001dddd,0x7ffe41d9,0x7fec46fe,
    0x7fffe42f,0xdd327dc2,0x7f7ffe43,0x10b7fea6,0xd885fffb,0x7f442fff,
    0x7f446fef,0x7f446fef,0x3f206fef,0x106fffff,0x41800880,0x04002200,
    0x00400980,0x20020062,0x04002001,0x80019988,0x200180dc,0x7c404400,
    0x09ffd1ff,0x01001003,0x80088010,0x00088008,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x007fffb7,0x5b700220,0x08008053,0x00400220,0x8cd98044,0x1b11b103,
    0x40eb3a60,0x801300a9,0xfe803b1c,0x55100103,0x2a601801,0x3b1c80aa,
    0x40623260,0x9880aaa9,0x47200a98,0x01deb81d,0x76c31193,0xfd984ceb,
    0x401e982f,0xb100dc8b,0x17fea07f,0xfb100f4c,0xa80f4c05,0x38e02eb9,
    0x513ffa60,0xd509fffd,0x00b85c03,0x3f2067dc,0xffffb104,0x5c09b109,
    0x70b81ccc,0x07bab601,0x7c0e665c,0x80dfffff,0xcfa8170b,0x3dd5b06d,
    0x0efa2be2,0xb0155df3,0x550d4c01,0x85915b05,0x104eacf8,0x16c56c0b,
    0x553006c4,0x19826205,0xe8db1730,0x982fb88c,0x30054c05,0x9e43bf77,
    0xf31ec84b,0x53005709,0x802aa601,0x2a600aa9,0x27ff100a,0x015303f9,
    0x4c07e6b9,0x5f467c0a,0x2a602f43,0x31fff00a,0xaa983fff,0x41ee7b80,
    0x02a600a9,0xffd00a98,0x2edfb05f,0x76d441ff,0xdddf52fd,0x01998bfd,
    0xa89fffd5,0x983ffffe,0x1985f019,0xfd501998,0xfffc89ff,0xffffc82f,
    0x2ffffc82,0x446b89f0,0x6e44fffe,0x7f440ffb,0x3bbea4ff,0x0b2be23b,
    0x40bffff2,0xf90fa4ff,0x24d85fff,0x3ffaa1f8,0x7fff544f,0x27fff544,
    0xdb05ef98,0x33f60fcc,0x99f33feb,0x7fdc7999,0xf7119d07,0x7ecc6745,
    0x443ffdc3,0x7ffb802f,0x5f7119d0,0x886c84c4,0x1310d909,0x3637c1b2,
    0x7dc4efc5,0x0ffab723,0x87f713bf,0x3fee3bea,0xc84c46fe,0x3a3fdf06,
    0x46c84c43,0xce8be24e,0x33a2fb88,0x33a2fb88,0xed82fb88,0x226c80fa,
    0xf98fe21f,0x32a6b7a4,0x7d43e442,0xf55feeee,0x6441fc41,0x9337dd07,
    0xf50f910d,0x4cbfdddd,0xc987fffc,0xfc987fff,0x9fff07ff,0x20fcc3fd,
    0x1fb9725d,0x445d83f3,0x457ea3be,0x3fff261f,0x3adb7f07,0x3fffe4c3,
    0xf51f8936,0x2abfdddd,0x55feeeef,0x8bfddddf,0xd909f2f8,0x45f10fc4,
    0x3ff263f8,0x987b82ef,0x53cccccf,0xb81fc41f,0xdfffb107,0x3e61ee05,
    0x3a3ccccc,0xde87dabd,0xbde87dab,0xd99f07da,0x6c1f9839,0x32f85725,
    0x7445d83f,0x4e87e63b,0x41f6af7a,0x43ebf8bf,0x5c7dabde,0xccf99ee7,
    0x99f33ccc,0x33e67999,0x7dc3cccc,0x9fb87ecc,0x576c3fea,0x0ac80fd9,
    0x56f41ee0,0x2b7e2ca9,0x7b80dfda,0x2e007c40,0x9535bd07,0x3ae6fe65,
    0x2e6fe61f,0x26fe61fe,0x03f81feb,0x2fc9bee8,0x3f5b9db3,0x17e4df74,
    0x3bd0efa2,0x26fe63f7,0x73f81feb,0x4dfcc7ff,0x33e61feb,0x4d6f44ea,
    0x26b7a2ca,0x26b7a2ca,0x777742ca,0x7ff442fe,0x7fe446fe,0x507f501d,
    0x4c155fb5,0x262efffc,0x23ffeffd,0x80aafdaa,0xfb5503ec,0x7fe4c155,
    0x3fff22ef,0x7ffe46fe,0x7ffe46fe,0x16fd46fe,0x8bfff620,0x44ffbffc,
    0x642fffd8,0x3a63edfe,0x7ffe44ff,0x8efcc6fe,0x7ffe43fe,0x77fdc6fe,
    0x77ffe4c0,0x3bfff262,0x3bfff262,0xee993ee2,0x01000881,0x7ffff400,
    0x4401302f,0x3ffffa01,0x3a03982f,0x302fffff,0x01800c01,0xeffe8030,
    0x02001000,0x22662010,0x00c00809,0x1fcd7ff2,0x30010018,0x4c009801,
    0xe8fffc40,0x000004ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x26081000,0xb70aa21a,0xff020405,0x5301ffff,
    0x08001311,0x198aa802,0x80198262,0x01511301,0x3a000ffa,0x5dff403f,
    0x220aa225,0x1881750a,0x2aaa6055,0x09886620,0x319880c0,0x00010205,
    0x031026a6,0x805dc43d,0x3f61c89d,0x6547ff66,0xb3b700e8,0xfcaace89,
    0x3ffffaa0,0x20fb714f,0xfa86bae9,0xfb1fffff,0xc807feeb,0xfffffa85,
    0x8003fa84,0x5fd403fa,0xfffff348,0x7f76fdc7,0xffffd10f,0x4399970d,
    0x1ffd2ffc,0x3fa07b10,0xeb86ffdf,0x81d304d9,0x20fffff8,0xff71c86b,
    0x7db309ff,0x726c1f88,0x2ea80365,0x37a36408,0x3f64fc89,0x4136207e,
    0x41fe98cf,0x5407ea5d,0x7d4bf204,0x00a9bf80,0x981fc54c,0xf30abf8a,
    0x5ff0fd47,0x33fa93e2,0xd015303f,0x2b817d4b,0x1457fe40,0x36202ea8,
    0x0ea8f640,0x8a333d91,0x3303ea6b,0x4d83f103,0x86e73b62,0xf800a889,
    0x20fe1ea3,0x2066607b,0x320fd47a,0x11307e25,0xf89b2015,0xcfffff81,
    0x7ffff540,0x7ffff543,0x3e4d8283,0xf8f526c4,0x13fffa22,0x221b63f5,
    0x3ee05319,0x14c66200,0x98666662,0x3fa1deff,0x0442ffff,0x3ffdc3f5,
    0x31360fc4,0x7fd45bd9,0x3ea04fff,0x3f987e20,0xfff707b8,0x0fdc1f30,
    0x2a1f8972,0xc84fffff,0x3fe07e26,0x6743fa8a,0x6743fd98,0x7e43fd98,
    0x3e7fffff,0xf8f52e43,0x3ee277e2,0x40fcef43,0x86ffdffe,0x6fff407b,
    0x3fff26ff,0x36e631ff,0x0267b21f,0xc885fd88,0xb189f887,0x0665eec9,
    0x807d4bf2,0xfddfc86c,0x2207b83f,0xf75dd07c,0xea9fc83f,0xfa97e43f,
    0x7d47b620,0x535c5f83,0xf51fc41f,0x3ee1fc41,0x3e7ecccc,0x45f92e43,
    0x5d83f32f,0xf902f7cc,0xfda8515f,0x5ff901aa,0x7e4ee451,0x3ee677a4,
    0x7d401ae1,0x3e21ee02,0x7909b6b9,0x3e26c8b3,0x36a07f01,0x07b83ebe,
    0xffd983dc,0x7ffe41fe,0xf13646fe,0xfea7fdc3,0x535c4f86,0xf51fc41f,
    0x3e21fc41,0xd87f1f41,0x97cbfd34,0x6c2ec1f9,0x403ee01f,0x05fffff8,
    0x7d4401f7,0x277ff6c4,0x014401ae,0x2ebea1ee,0xd0d83faf,0x207e26c8,
    0x07d000fa,0x407b80f7,0x7640f988,0xf89b2009,0xffa80601,0x6fc3fb9b,
    0x3e0dfdaa,0x40dfdaad,0x10fdabfd,0x10274c9f,0x64df745f,0x5c05e82f,
    0xb8011007,0x80a7d407,0x9afa80e9,0x500880db,0x36155fb5,0x305ff9ef,
    0x8f6c47dd,0x805a83fa,0xb530dfa8,0xfdaa855f,0x75d540aa,0x6c405c86,
    0x2a07f51e,0xffdfd02e,0xffd9817d,0x3f663ffe,0x5c43ffef,0x3ff21dfe,
    0xb880efa8,0x3ff620fd,0x13eea22f,0x01aafda8,0x36a01f91,0x77d41aaf,
    0x1f641faa,0x80cfffd8,0xfffe80fc,0x001102ff,0xfd4ffb81,0x7fdc000d,
    0xfffff93f,0x7fffff43,0x406fff42,0xa7fdc04a,0x01b706fe,0x03100110,
    0x00400310,0x077f2008,0xefffb808,0xfffff880,0x22099105,0x6c5fffff,
    0x4c2fffff,0x04004403,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40040598,0x000188c9,
    0x00000400,0x0aaa9800,0x04ffffa8,0x44155553,0x44873001,0x20130040,
    0x20310039,0x05550aa8,0x2a206b2a,0x031008ac,0x009aca88,0x262ee004,
    0x55555440,0x00554c2a,0x01ae07b8,0x6407bab6,0x01ef5c0f,0x5f700bd5,
    0x033ff200,0x2a07332e,0xf881aaaf,0x1ae3ffff,0x19fffd30,0x02e9dc8b,
    0xffe981d7,0xd9bd304f,0xf9dffd89,0x3bfe21ff,0x3bfe61ff,0x66f4c5ff,
    0xfeff984e,0x05fb105f,0x703baf26,0x4dffffff,0x802ffffc,0x267b207b,
    0x03304c40,0x02dc4062,0x01640166,0x12f55fe4,0x3d40cc13,0xd911ae00,
    0x1df88333,0x3d701ff7,0x37e21660,0x9d985f71,0x1fc4b9a8,0x2a1d90fe,
    0x744bf11f,0x5c6af665,0x0bb06f44,0x260b62b6,0x77b80a88,0x90989aef,
    0x3f73220d,0x3fff22cc,0x5dbf60ff,0x2a0301ff,0x0b30e65d,0x1cc2c837,
    0xfb0fa8b6,0xf507feed,0x6b8039ff,0x17fffff4,0x447d81f7,0x26219999,
    0x03ee1999,0xbdaac8bb,0x3e1fc1b7,0x217076c3,0x5914c0f9,0x4c369799,
    0x2620c40f,0xffa86620,0xbb4c4fff,0x7fe4cb57,0xfddb307f,0x99ec87dd,
    0x07e66d80,0x3a6661ae,0x36a22fc8,0x6443dd31,0xd807f70b,0x83f336c7,
    0x406eace9,0x099ec86b,0x907d4364,0x323fffff,0xd91fffff,0x25b41f50,
    0x3e1fc551,0x0e77fcc3,0x2ead00d7,0x01ae555b,0xffc87ffc,0x07d4bf22,
    0x6f413dc2,0x7b807dab,0x03ddfd90,0x320fc4d9,0xfcbca86f,0x3332a3bd,
    0x971cccfc,0x4097dd99,0xf13641fd,0xd11f8803,0x206b86b8,0x6e47b87c,
    0x27724fc9,0x2e1f24fc,0x15c2c747,0x9503f87f,0x201ae3fd,0x572dca8e,
    0x1fffe9ae,0x3a3eebe2,0x83f13645,0x264ffff8,0x01feb9bf,0xcfea83dc,
    0x0fc4d903,0x7ec405f7,0xee986f8a,0x7e469ac8,0xfd887e8b,0x07e26c82,
    0x83e65f10,0x2a06b86b,0x5442741f,0x44fa884f,0x322741fa,0x41b5bdab,
    0x0360fc4e,0x820be67d,0xdae8ddbc,0x36a63f50,0xfbfebe86,0x03f13642,
    0xff905fb3,0x6a80ffdf,0x36e67ea0,0x3faa7ee0,0x4c489763,0x770d7b0c,
    0xd86447b0,0x80ff447b,0x43fea9fb,0x267da9bd,0xa84fa9cf,0x360db9af,
    0xa81feacf,0x14fa814f,0x0feacfd8,0x3c8c56c4,0x236cdfe4,0x1fc9aef8,
    0x9b6a73f6,0x87b11bd8,0x85ea9bee,0x21ffeffc,0x07f51ed8,0x86015fb3,
    0x555441ad,0xffd81aaa,0x77ff443f,0x3af3ea6f,0x07fbea07,0x7cc07d10,
    0x57ff11fe,0xeffe8875,0x6fff5c6f,0x13ffae22,0x20cfffd8,0xa81cfeb8,
    0xf51faaef,0x5c43f55d,0xdb101cfe,0x3ff207db,0xeffde81d,0x1efffd83,
    0x41f6f6c4,0x82efffd8,0x5c7faefa,0x88dfd4ff,0x9803fffe,0x7fffcc2d,
    0x801105ff,0x37f6a008,0x401fd802,0x7e405eff,0xffffff31,0x01001101,
    0x00220010,0xffffd802,0xfffffb2f,0x00800205,0x00880088,0x20010008,
    0x74fe2009,0x00000005,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x88623260,0x2206a62a,
    0x81aaaaaa,0xaaa880b9,0x15553009,0x4cccccc4,0x35555301,0x9303104c,
    0x26153003,0x4efc980a,0x404d5544,0x9500aaaa,0x20fff500,0xaa887ffa,
    0x5555102a,0x1ebffd40,0x06255551,0x2a35454c,0xe8000954,0x83ffd41f,
    0x21eead80,0x1ffd2ffc,0xffffffc8,0x20fffec3,0x82fffffc,0x8061cccb,
    0x7ffffe41,0x3e6df73f,0x2007e41f,0x4fe8cff8,0x644cbfe8,0x7c2fffff,
    0xffc84fff,0x1f6a204f,0x7d43ed44,0xffa81fff,0xfb5101ff,0x7fffd432,
    0x7ffcc6c9,0x2994c4ff,0xffa816a0,0x6c3ed441,0xb80ccc0f,0x3601db1f,
    0x7c47d1fc,0x227d0171,0x40ccc1fc,0x9afc8601,0x33647d1f,0x889be83f,
    0x66774c0a,0x00fd43fd,0x20fe44fa,0xdc82bcdf,0x03dc00a8,0x804d81ee,
    0x0af7004d,0x3e238936,0x984ffa9d,0xd03dc019,0x21ee03fb,0x03ffdc39,
    0x7c05f5db,0x222dbafa,0x3a1f402f,0x061ffee4,0x57c4fe18,0xf89b21db,
    0x3ffe7e21,0x33baa0ff,0x3fee5fdc,0x13a1f401,0xc8bfb9bf,0x2e04ffff,
    0x9df70377,0x6c07bbb0,0x03dc07d4,0x23ea149b,0x7dc6cdf9,0xc83dc07f,
    0x0f701f9f,0xf103e440,0x7c75409f,0x77ffd47f,0x97fff441,0x0c3e445c,
    0x7c47e630,0x3e26c87f,0x44fec621,0x7777e43f,0x880fd41f,0x8b92fffe,
    0xfc83ea2f,0x5ee07b8b,0x06fec44f,0xd807bfa2,0x03dc0394,0x7d7d409b,
    0x0f910db5,0x7ddfddb3,0x407e2fe2,0x83dc007b,0x902cfdc8,0xb88ddfdf,
    0xdfa80bfe,0x0f70b90a,0x11f88c03,0x75f70ddf,0xe97605fd,0x7ee67644,
    0xf500fc41,0x5f17215b,0x4cb91f22,0x220f701f,0x5ffa87ff,0x489360e2,
    0x126c0f70,0xfcaefe89,0x9910f703,0x3f6799fb,0x0f703fbb,0x441ee073,
    0x7d02cfdc,0xd85313f7,0x13a1f405,0x218061ee,0x5313f15e,0x2ff7ff44,
    0xb913a5d8,0x07e20fcc,0x7c4e87d0,0x2e42ffff,0x81ee03f3,0x4ecc87b9,
    0x4c9b03e6,0x3607b80f,0x7fcc3e64,0x1ee03eff,0xffff0f70,0xb0f701ff,
    0x57ed543f,0x057ecc0a,0x55fdcfdc,0x2ab7ee5d,0x2eb7e25d,0x3f6aa0fe,
    0x30c030aa,0xbb57f9bf,0x2203a610,0x6c5e89ee,0x5c47f50e,0x5bf101bf,
    0x6fd41fd7,0x2a3db01c,0x57ed4c3f,0x2bf6aa0a,0x55bd510a,0x37aa21f9,
    0x2a60fcaa,0xd510aafd,0x2e1f955b,0xfdaa8025,0x207b80aa,0x6d4c3fb8,
    0xfd020aaf,0xfe85ffff,0x77fc42ff,0xf15fffff,0x645fffff,0x741defff,
    0x332fffff,0x98533333,0x05fffffd,0x3fee0f6c,0xff50ffac,0x321dfd17,
    0xfc80efff,0x7fc1deff,0x3ffa84ff,0x7ff41dfd,0x3ffa2fff,0xfff53fff,
    0x3ea1ffff,0x20ffffff,0x52fffffe,0x1fffffff,0xffffd000,0x540b305f,
    0x3ffa0fff,0x00002fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3fd40000,0xbf90bf00,0x20b76a00,
    0x54c4efc9,0x5415530a,0xa82aa62a,0x00aaaaaa,0xa98d5440,0x8aaaaa21,
    0x0002aaa8,0x22055530,0x5500aaaa,0xaa986aa3,0x45510aaa,0x98aa21a9,
    0x2a054c1a,0x0355510a,0x2026aaa2,0x88aaa1a9,0x12aaaaaa,0x43555555,
    0xc881aaa9,0x260f2007,0xecf9805d,0x44cbde82,0x7fff3fff,0x7f4bffe2,
    0xfffff14f,0x5d9803ff,0xfff1fffb,0x3fffff61,0x03ffff50,0x3fa007f3,
    0xfffd82ff,0x6ffcc4ff,0x3ff26ff9,0x3ff90fff,0x7fe43ffa,0x7fc1ffd2,
    0x7e4ffe65,0x7e44ffff,0x7fc2ffff,0x71fff98f,0x2dffffff,0x3ffffffc,
    0x07bffffe,0x4c0662f5,0x353b9019,0x7d441ee0,0x317b819a,0xe85f11ee,
    0x3f10fc44,0xc87bf220,0x1ee0bf55,0x3f2204d8,0x5ef9802e,0x20fd4b90,
    0x5c87e65c,0xb1fb8bd1,0xdb2fb81d,0xf91ffa81,0x1f715c8f,0x83fb13f8,
    0x7b8fa4ff,0x45c9aef7,0x5d897c3e,0x42ffebd4,0xff907ffb,0x07f309ff,
    0x83fffffb,0x6c9fd8fa,0x107ea5d8,0x2032b33f,0xbdc83ffb,0xd81ee04f,
    0x1dfd9804,0x203ebb60,0xb90bea5c,0x36970fcc,0x1faed80f,0x503fbfb0,
    0x8fdf19df,0x7f0be25c,0x8ff7c4e8,0xbbddea3e,0x0dced726,0x2a0fa8be,
    0x9100dfcf,0x7dcbf20f,0x27d7ff40,0xf30135f5,0x50bb9ff3,0x3e21b63f,
    0x9fd507ee,0x03fff201,0x013607b8,0x440cfe98,0xdf909f2f,0xddf90fff,
    0x03f703fd,0xfd013fe2,0x33efea05,0x6e7647bf,0x321fc0ef,0x3eb6dfc5,
    0x64117b8c,0x37f03fff,0x5ffa8bd7,0x4b907b80,0x367ea1f9,0x807e21ff,
    0x4eecfdf8,0x105f19d0,0x3aa0dbbf,0xd7f900cf,0xd81ee01d,0xfea81224,
    0x7667dc0c,0xfdccec87,0x7ee67644,0x7019fd41,0x05ff980f,0xf79ff1f5,
    0x81ffefc8,0x2fe2e43f,0xf703ebf8,0x40bf3f20,0x540dffff,0x3dc03fdf,
    0x987e65c8,0x220efbaf,0x4effc01f,0xf9f703ff,0x00a27e20,0x2b907ff7,
    0x40f704e8,0xb303e64d,0x3bba01bf,0x22e42fee,0x3f32e47b,0x707d2fc4,
    0x7cefc40f,0x71f97a84,0x1dd15c8f,0xf13a23f8,0x5c0ffee7,0x2e2ab907,
    0xc880dfc5,0xaa839f77,0xdb10aafd,0xff90fee3,0x2fee67ff,0x3a5fd02a,
    0x09ff102f,0x2002b3ee,0xdb12efc8,0x54c2fea5,0x3aa22afd,0xb10fcaad,
    0x27dc03df,0x3b623dd3,0x3626ebaa,0x7f47f71e,0x6d43faab,0x87f4c1af,
    0x317e43fc,0x4bb623fb,0x5bf31df8,0x6fcc1fd7,0xfb507fd1,0x5576c435,
    0x2b3ea6da,0xff37fa80,0xfffffe8d,0xff19ff72,0xffb0301f,0x1fb01fff,
    0x0fc807f2,0x03ffff88,0x7fe57220,0x3f25fd0f,0xff50ffff,0x261fffff,
    0x7ffc402e,0x3f29ffd1,0x2e1dffff,0x0fff9dff,0x47ffffff,0x644ffff9,
    0x23ffd3ff,0xffb2fff8,0x543fff29,0xbdfff94f,0xf35ffc81,0x4ffff987,
    0x3ffffff2,0x013fffe6,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x30000000,0x53028c41,0x2aa206a1,
    0x4c0c0980,0x42a200aa,0x41353019,0x98066098,0x402a600a,0x4c0511a8,
    0x01513306,0x98333331,0x98813309,0x23306620,0x31988198,0x99812605,
    0x33099881,0x35289983,0x00222220,0x0424cae0,0x7cdbee00,0x7ff4479f,
    0x3f621dcf,0x77744fff,0x3ff22fdf,0xeff982ff,0x3fe25ffc,0x2dfb0fff,
    0x7f541ffb,0x7ff444ff,0x6fffd44f,0x2a0605ff,0x644fffff,0xf30fffff,
    0xe8bff19f,0x4cbff27f,0x43ffdaff,0x26ffdffd,0xff502d70,0xf19ffd0d,
    0x3ffe25ff,0x3ee3ffff,0x50ffffff,0x2ab907bd,0x75435c0e,0x77ccd905,
    0x7dc4efc2,0x4f98f645,0x22fdefcc,0xbf0d9098,0x25f37fd1,0x6c1d51ec,
    0x19d07e66,0x4efc5f71,0xfc8c3fb8,0x64002f9b,0x6dc1f52f,0x6fd44fb8,
    0xbaf885fb,0x475c4e8e,0x5ff701ed,0x77f7ec51,0xd835c40f,0x3f507ee6,
    0x544d73f5,0x261aaaaa,0x5d762688,0x42ffcc0f,0x7c4d9059,0x1b60fcc1,
    0x3dc1985f,0xfffc98f7,0xefc8fc47,0xbdff34fe,0x87e26c83,0x5feeeefa,
    0x2a5d83f3,0x4feefffe,0x7dddddb3,0x881f12e4,0x9ff304fa,0x7d7f5f40,
    0x007ffdc2,0x3ee201f5,0x20d701df,0xf50bd2f8,0x5513d5ea,0xe9855555,
    0x3f237621,0x0fe77e20,0xf89b20b3,0x9760fcc1,0x1fa802f8,0xdabde8db,
    0xcfc8fc47,0x36e632cc,0x1f89b21f,0x333333e6,0x15d83f33,0x999fb5bf,
    0x33333225,0x0f89723c,0xfc80a7d4,0xdffb01fe,0xeafb81ff,0xf701ea05,
    0xb035c0dd,0x2f503f5d,0x7fdcf57a,0xf70fffff,0x3aab9035,0x887d4db0,
    0xbafb80da,0x9bee82fe,0x4df742fc,0x7ffdc6c9,0x737f30ef,0xfaed83fd,
    0x3bd1b9cf,0x4fdc3f73,0x56f43fea,0x2fba2ca9,0x39f12fc9,0x003739fd,
    0x2fa8f6c4,0x47eabbea,0x2ff8bfd8,0x87f9efb8,0xa85bd1fc,0xbd81aafc,
    0x7ed4c1e8,0x2ffcc0aa,0xa9fa9fc8,0x665c001f,0x44e63504,0x099950c0,
    0x0bfdff91,0x105fffb1,0xe85dfffb,0x322eacbc,0x4c6fefff,0x2fffbdfd,
    0x889dffdb,0x4c6feffe,0x222efffc,0x7d42fffd,0x82effeef,0xd4ffb828,
    0x7fffecdf,0xf19ff72f,0xd3f981ff,0xf55ff98b,0x3fffe21d,0xffe8005f,
    0x1fd82fff,0xdfadff88,0x000004fa,0x00800000,0x00080040,0x88200300,
    0x08801100,0x00801300,0x0598020c,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0x26498100,
    0x00ec3625,0xddc88100,0x8954dddd,0x3e21b8ab,0x886014c3,0x73060881,
    0x99999988,0xb8ec7209,0x000ccccc,0x00000000,0x00000000,0x00000000,
    0x74c00000,0x997fe64d,0x7545f9df,0xdea82e98,0x9126ed45,0x2dd99999,
    0x17c5fc7b,0x67fe41f7,0x6c3a23d8,0x4d87a60f,0x7ffd43f2,0x2e7fffff,
    0x3332e170,0x000000cc,0x00000000,0x00000000,0x00000000,0x366a8800,
    0x2ffcc3d2,0x43f99fb8,0x7dc98ae6,0xd1aad700,0x743d87e5,0x320fff99,
    0x80d8532e,0x3333022b,0x00013333,0x00000000,0x00000000,0x00000000,
    0x00000000,0x22f66c98,0x417fe60e,0x6c2fa9ec,0x2a7a1c89,0x166d7007,
    0x40683a3b,0x001cc0a8,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xe9874ccc,0x3e77e63f,0x0f546e45,0x36e16e44,0x25a803dd,
    0x00081041,0xddddb300,0x00009ddd,0x00000000,0x00000000,0x00000000,
    0x00000000,0x39930000,0x124c9500,0x000005c7,0x00000000,0x99999300,
    0x00007999,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_bold_16_latin_ext_x[560]={ 0,3,1,0,1,1,1,3,3,1,1,0,2,1,
3,1,1,1,0,0,1,0,1,1,1,1,3,2,-1,0,0,1,1,-1,0,0,0,0,0,0,0,1,0,0,
0,-1,-1,0,0,0,0,0,0,0,-1,-1,0,0,1,3,1,1,1,-1,2,0,-1,0,0,0,1,0,0,0,
1,0,0,-1,0,0,-1,0,0,1,1,0,0,-1,0,0,1,2,3,2,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,3,1,0,0,0,
3,0,2,-1,1,0,-1,1,-1,-1,2,0,2,2,2,0,0,3,2,2,1,0,0,-1,0,1,-1,-1,-1,-1,
-1,-1,-1,0,0,0,0,0,1,1,1,1,-1,-1,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,
-1,0,-1,0,-1,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,1,0,1,0,1,0,1,0,1,0,0,-1,0,1,0,0,0,0,0,0,
0,0,0,0,0,0,0,-1,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,0,-1,-1,0,0,0,0,0,0,
0,1,0,1,0,1,0,1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,-1,0,0,
0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,-1,0,1,0,0,
0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,-1,0,-1,-1,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__courier_bold_16_latin_ext_y[560]={ 11,1,2,1,1,2,3,2,1,1,2,2,9,6,
9,1,1,1,1,1,2,2,1,2,1,1,4,4,2,4,2,2,1,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,2,1,13,1,4,2,4,2,4,2,4,2,2,
2,2,2,4,4,4,4,4,4,4,2,4,4,4,4,4,4,2,2,2,5,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,11,4,1,2,3,2,
2,2,2,2,1,5,6,6,2,0,0,1,1,1,1,4,2,5,10,1,1,5,1,1,1,4,-1,-1,-1,0,
-1,-1,2,2,-1,-1,-1,-1,-1,-1,-1,-1,2,0,-1,-1,-1,0,-1,4,1,-1,-1,-1,-1,-1,2,2,1,1,
1,2,2,1,4,4,1,1,1,2,1,1,1,2,2,2,1,1,1,2,2,3,4,1,1,1,2,1,2,2,
0,2,-1,1,2,4,-1,1,-1,1,-1,1,-1,1,-1,2,2,2,0,2,-1,1,-1,1,2,4,-1,1,-1,1,
-1,1,-1,1,2,1,-1,-1,2,2,0,2,0,2,-1,1,2,2,-1,4,2,2,-1,1,2,2,4,-1,-1,2,
2,2,2,2,2,2,2,-1,1,2,4,-1,1,2,2,4,0,2,-1,1,-1,1,2,4,-1,1,2,4,-1,1,
-1,1,-1,1,2,4,-1,1,2,2,-1,2,2,2,0,2,0,2,-1,1,-1,1,-1,1,2,4,-1,1,-1,1,
-1,-1,1,-1,1,-1,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,4,2,2,2,2,2,2,2,2,2,2,2,2,2,0,4,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,-1,1,-1,1,-1,
1,-1,1,-1,0,-1,-1,-1,-1,-1,-1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,-4,-2,-1,1,-1,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static unsigned short stb__courier_bold_16_latin_ext_w[560]={ 0,3,6,8,7,7,7,3,4,4,7,8,4,7,
3,7,7,7,8,8,7,8,7,7,7,7,3,4,9,9,9,7,7,10,9,8,8,8,9,9,9,7,9,9,
9,10,10,9,9,9,9,8,8,9,10,10,9,9,7,4,7,4,7,11,4,9,10,9,9,8,8,9,9,8,
6,9,8,10,9,8,10,9,9,7,8,9,9,10,9,9,7,5,2,5,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,0,3,7,8,8,9,
2,8,5,10,6,8,9,7,10,11,5,8,5,5,4,9,8,3,4,5,6,9,9,10,9,7,10,10,10,10,
10,10,10,8,8,8,8,8,7,7,7,7,9,10,9,9,9,9,9,7,9,9,9,9,9,9,9,8,9,9,
9,9,9,9,10,9,8,8,8,8,8,8,8,8,8,9,8,8,8,8,8,8,9,9,9,9,9,9,10,9,
10,9,10,9,11,9,8,9,8,9,8,9,8,9,8,10,9,9,8,8,8,8,8,8,9,8,8,8,9,9,
9,9,9,9,9,9,9,9,9,9,7,8,7,8,7,8,7,8,7,8,9,9,9,6,9,9,9,9,8,9,
8,9,8,9,8,9,8,10,9,10,9,10,9,10,8,8,9,8,9,8,9,8,10,10,9,9,9,9,9,9,
8,7,8,7,8,7,8,7,8,8,8,9,8,9,9,9,9,9,9,9,9,9,9,9,9,9,10,10,9,9,
9,7,7,7,7,7,7,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,10,9,8,8,8,8,8,8,8,8,8,8,8,8,8,10,10,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,10,9,7,8,9,
8,9,9,9,9,9,9,9,9,9,9,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,10,9,10,10,9,9,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8, };
static unsigned short stb__courier_bold_16_latin_ext_h[560]={ 0,11,5,12,12,10,9,5,13,13,7,9,5,2,
3,12,11,10,10,11,9,10,11,10,11,11,8,9,9,6,9,10,12,9,9,10,9,9,9,10,9,9,10,9,
9,9,9,10,9,12,9,10,9,10,9,9,9,9,9,12,12,12,6,3,3,8,10,8,10,8,9,10,9,9,
12,9,9,7,7,8,10,10,7,8,10,8,7,7,7,10,7,12,12,12,4,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,0,10,11,9,8,9,
12,11,2,10,5,6,5,2,10,2,6,10,6,6,3,10,11,3,4,6,5,6,10,10,10,10,12,12,12,11,
12,12,9,12,12,12,12,12,12,12,12,12,9,11,13,13,13,12,13,6,12,13,13,13,13,12,9,10,11,11,
11,10,10,11,8,10,11,11,11,10,10,10,10,9,10,9,11,11,11,10,10,8,9,11,11,11,10,13,12,12,
11,10,12,11,11,9,13,11,13,11,13,11,13,11,12,10,9,10,11,10,12,11,12,11,11,10,12,11,13,13,
13,13,13,13,12,13,12,12,9,9,11,9,11,9,12,10,11,11,12,7,10,12,13,13,12,12,7,12,12,12,
12,9,9,9,9,9,9,12,10,12,10,12,10,9,10,10,12,10,13,11,13,11,9,8,12,10,12,10,12,10,
13,11,13,11,12,10,13,11,13,13,12,10,9,10,12,10,12,10,13,11,13,11,13,11,11,9,12,10,12,13,
12,12,10,12,10,12,10,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,10,9,9,12,9,9,9,
9,9,9,9,9,9,9,9,9,9,10,8,9,9,9,9,9,9,9,9,9,9,9,9,9,12,8,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,12,11,12,10,13,
11,13,11,13,12,13,13,13,13,13,13,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,15,14,12,11,14,12,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9, };
static unsigned short stb__courier_bold_16_latin_ext_s[560]={ 255,249,176,77,165,20,30,172,31,134,177,
225,183,238,216,28,49,56,69,166,234,88,10,38,204,196,251,251,79,215,117,
247,100,127,138,183,207,236,69,203,148,99,97,89,107,186,216,143,245,196,197,
174,227,164,58,47,176,166,158,40,28,249,240,220,211,41,113,22,124,80,38,
73,20,11,153,1,242,204,118,89,218,46,167,62,107,70,194,146,136,181,128,
241,182,76,188,59,59,59,59,59,59,59,59,59,59,59,59,59,59,59,59,
59,59,59,59,59,59,59,59,59,59,59,59,59,59,59,59,59,255,249,79,
31,32,10,206,126,232,153,155,231,162,238,192,202,124,1,225,118,206,83,1,
202,197,248,148,138,59,48,38,30,219,211,180,84,11,56,20,108,127,222,173,
214,233,241,1,9,119,28,124,21,11,67,1,130,86,245,235,121,51,10,129,
238,97,18,39,198,188,186,98,160,57,75,66,132,123,170,151,216,105,224,212,
157,117,247,229,109,206,241,231,221,95,65,84,65,175,208,95,147,135,243,197,
107,160,87,141,69,32,50,146,134,40,141,1,179,1,222,36,60,194,114,75,
168,215,146,156,176,104,225,239,84,55,45,100,139,106,1,204,50,20,1,177,
185,231,185,10,201,41,139,170,160,157,143,134,124,115,196,187,177,149,167,158,
56,93,36,103,17,28,89,154,163,223,172,46,139,36,122,68,51,155,191,136,
201,117,211,56,131,75,114,67,229,188,231,206,179,247,237,234,10,191,20,90,
78,114,212,186,40,166,148,158,79,230,213,1,94,209,32,135,82,221,185,127,
110,59,59,59,59,59,59,59,59,59,59,59,59,59,59,59,145,59,59,47,
59,59,59,59,59,59,59,59,59,59,59,59,59,116,12,59,59,59,59,59,
59,59,59,59,59,59,59,59,45,1,59,59,59,59,59,59,59,59,59,59,
59,59,59,59,59,59,59,59,59,59,59,59,59,59,59,59,59,59,96,239,
107,64,169,10,150,19,131,22,111,101,91,81,71,61,59,59,59,59,59,59,
59,59,59,59,59,59,59,59,59,59,59,59,59,59,59,59,59,59,59,59,
59,59,59,1,12,203,29,22,193,59,59,59,59,59,59,59,59,59,59,59,
59,59,59,59,59,59,59,59,59,59,59,59,59,59,59,59,59,59,59,59,
59,59,59,59,59,59,59,59,59,59,59,59,59,59,59,59,59,59,59,59,
59,59,59,59,59,59,59,59,59,59,59,59,59,59,59,59,59,59,59,59,
59,59,59,59,59,59,59,59,59, };
static unsigned short stb__courier_bold_16_latin_ext_t[560]={ 1,44,144,44,31,94,126,144,17,17,136,
116,144,144,144,57,82,94,105,70,116,105,82,94,70,70,116,70,126,136,126,
94,31,126,126,105,126,126,126,105,126,126,105,126,126,126,126,105,126,17,126,
105,126,105,126,126,126,126,126,31,44,31,136,144,144,136,94,136,94,136,126,
94,126,126,44,126,116,136,136,136,82,94,136,136,105,136,136,136,136,94,136,
17,31,31,144,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,
116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,1,56,70,
116,136,116,17,70,144,105,144,136,144,144,105,148,144,105,136,144,144,94,82,
144,144,136,144,144,105,105,105,105,17,44,44,82,31,31,116,31,31,44,31,
31,31,31,44,44,116,82,17,17,17,44,17,144,44,1,1,1,1,57,116,
82,70,82,82,82,82,70,136,82,82,82,82,82,82,82,82,116,82,105,70,
70,70,82,82,136,116,70,70,70,82,17,57,57,70,82,57,70,70,105,1,
70,1,70,1,70,1,70,31,94,116,82,70,82,57,57,57,70,57,82,57,
57,1,17,17,17,17,1,44,17,57,57,116,116,57,116,57,116,57,94,57,
57,44,136,94,44,1,17,44,44,136,44,44,44,44,116,116,116,116,116,116,
44,94,44,94,44,94,116,94,94,31,94,17,57,17,57,116,136,31,94,31,
94,31,94,17,57,17,57,31,94,1,57,1,1,17,94,105,105,44,105,31,
105,17,57,17,70,17,57,57,116,17,105,31,17,17,31,105,31,94,31,105,
116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,94,116,116,44,
116,116,116,116,116,116,116,116,116,116,116,116,116,105,136,116,116,116,116,116,
116,116,116,116,116,116,116,116,31,136,116,116,116,116,116,116,116,116,116,116,
116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,44,57,
44,94,1,70,1,70,1,31,1,1,1,1,1,1,116,116,116,116,116,116,
116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,
116,116,116,1,1,31,70,1,31,116,116,116,116,116,116,116,116,116,116,116,
116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,
116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,
116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,
116,116,116,116,116,116,116,116,116, };
static unsigned short stb__courier_bold_16_latin_ext_a[560]={ 136,136,136,136,136,136,136,136,
136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,
136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,
136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,
136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,
136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,
136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,
136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,
136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,
136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,
136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,
136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,
136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,
136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,
136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,
136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,
136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,
136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,
136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,
136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,
136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,
136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,
136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,
136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,
136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,
136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,
136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,
136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,
136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,
136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,
136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,
136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,
136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,
136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,
136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,
136,136,136,136,136,136,136,136, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_16_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_bold_16_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_16_latin_ext(stb_fontchar font[STB_FONT_courier_bold_16_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_16_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_bold_16_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_16_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_16_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_16_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_16_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_16_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_16_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_16_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_16_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_16_latin_ext_s[i] + stb__courier_bold_16_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_16_latin_ext_t[i] + stb__courier_bold_16_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_16_latin_ext_x[i];
            font[i].y0 = stb__courier_bold_16_latin_ext_y[i];
            font[i].x1 = stb__courier_bold_16_latin_ext_x[i] + stb__courier_bold_16_latin_ext_w[i];
            font[i].y1 = stb__courier_bold_16_latin_ext_y[i] + stb__courier_bold_16_latin_ext_h[i];
            font[i].advance_int = (stb__courier_bold_16_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_16_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_16_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_16_latin_ext_s[i] + stb__courier_bold_16_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_16_latin_ext_t[i] + stb__courier_bold_16_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_16_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_16_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_16_latin_ext_x[i] + stb__courier_bold_16_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_16_latin_ext_y[i] + stb__courier_bold_16_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_16_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_16_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_16_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_16_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_16_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_16_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_16_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_16_latin_ext_LINE_SPACING
#endif

