// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_17_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_17_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_17_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_courier_bold_17_latin_ext_BITMAP_HEIGHT        164
#define STB_FONT_courier_bold_17_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_courier_bold_17_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_bold_17_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_bold_17_latin_ext_LINE_SPACING           8

static unsigned int stb__courier_bold_17_latin_ext_pixels[]={
    0x00980040,0x70000110,0x0302d409,0x100000c0,0x80000263,0xaaa80001,
    0x0000602a,0x000000c0,0xb8018000,0x00060121,0xeeeeeea8,0x13600a1e,
    0x74c01220,0x36034c01,0x6401d707,0xe8097005,0x37203d8b,0x401e8804,
    0x01fdc03c,0x6c013331,0x2e466c05,0x8cd81720,0x80fee05c,0x1f40d13b,
    0x01373e60,0x83fb80d9,0xfcdfdcfa,0x1f403f32,0x4c00fa80,0x00f5401e,
    0xb7001500,0x03d1b4c0,0x5aa05fb1,0x0ba205d0,0xb03d1b4c,0x47a0bb1b,
    0x202e4079,0x026404fc,0x1bb027e4,0x3bb620bb,0x2201ec02,0x202e401a,
    0x7d45d8dd,0x32f89f98,0x0015403f,0x30530005,0x33332601,0x8602cd83,
    0x30081009,0x02040262,0x0804c44c,0x08040804,0x00800004,0x02004000,
    0x00000801,0x05977d93,0x79810200,0x7cc7e3f3,0x80579101,0x41cbadc9,
    0x35fbdfd9,0x47326399,0xc86feeea,0x1f4be049,0x3b637bb2,0x43e97c4e,
    0xeed8deec,0x643e97c4,0x4eed8dee,0x86efff54,0xeed8deec,0x20e7ecc4,
    0xeed8deec,0x80e7ecc4,0xb301cfd9,0x3faa039f,0xbdd90ddf,0x7e49ddb1,
    0xd94fffee,0x29ddb1bd,0xeed8deec,0xf981f984,0x4039b101,0x2fffeefc,
    0x3ff6fbee,0x3ea5ff50,0x730d903f,0xf5010401,0x10bfae7d,0xb9f7d404,
    0x501042fe,0x8bfae7df,0x1ffcbdfb,0x3fae7df5,0x3fafbf22,0x75cfbea4,
    0x3afbf22f,0x75f7e44f,0x75f7e44f,0x5defdc4f,0x27df51fe,0xa8fe2feb,
    0x5cfbea4f,0x27df52fe,0x1f982feb,0x02200c88,0x93ea3f88,0x87ff64f9,
    0x409f10fc,0x2f77226c,0xcc8a6541,0xa9f22742,0xe859914c,0x29953e44,
    0x22742cc8,0xf313e27c,0x99f22743,0x9d0fe44f,0x913e67c8,0xf913e63f,
    0x3f913e63,0xe83e227c,0x81f53e44,0x1f22744f,0xf307c89d,0xeeec8003,
    0x4f81f502,0x7dfdc7ee,0x07e53e24,0x6f7dcd90,0xd8bf5c6e,0x9f22745f,
    0x8bfb17eb,0xfd73e44e,0x89d17f62,0x0603ea7c,0x3ee7c89d,0x89d1fc41,
    0xf107ee7c,0x7f107ee7,0x27f107ee,0x44e800f9,0xf98be27c,0xd1f22744,
    0xfdb87c89,0x5406c43d,0x5f106ffc,0x26d927cc,0x9fc8bd4f,0x4436404f,
    0x23dc2faa,0x1f22745e,0x2745e8f7,0x5e8f71f2,0x7b9f2274,0x27c89d00,
    0x2749d06c,0x9d06c9f2,0x6ca741b2,0x989ee9d0,0xf913a099,0x4febbfd8,
    0x9d1f2274,0x7ffc47c8,0x407e60ff,0xfb01fcf9,0x7d49fd77,0x887f16f8,
    0x36400fff,0x85ffffd5,0x13a2f47b,0x2f47b8f9,0x7b8f913a,0xf913a2f4,
    0x274007dc,0x440fb9f2,0x4f913a4f,0xba7c40fb,0xfba7c40f,0x0fba7c40,
    0x274dfff9,0xdff911f2,0x3e44e89f,0x040f913a,0x2db01f98,0xbff9104e,
    0x87ffc49f,0x04fc81fb,0x26b7a6d8,0x3a3dc2fa,0x713636c5,0x236c5e8f,
    0x17a3dc4d,0x3e24d8db,0x3636c183,0x3f70fe64,0xf993636c,0x3f98fdc3,
    0x43f98fdc,0x227f31fb,0xb1b62fa9,0x6c4f8409,0xb1b626c6,0x2607e609,
    0xf73f881f,0xe89f0801,0x904fdadf,0xf955101f,0x3ae73e29,0x2afea0cf,
    0x37ee0efd,0x5fd41fca,0x3ee0efda,0x7d41fcad,0x2e0efdab,0x641fcadf,
    0x22fcabdf,0x41fcadfb,0x45fdadfc,0x41fcadfb,0x45fdadfc,0x45fdadfc,
    0x45fdadfc,0x1fdaadfe,0x07f2b7ee,0x70bf6aa6,0xb83f95bf,0x201fcadf,
    0xb81f980d,0x103fffff,0x7d45f955,0x5442effd,0xffc80efa,0x77ffdc4f,
    0x3ffa22ff,0x7fdc2ffe,0xeffe882e,0x77fdc2ff,0xfeffe882,0x177fdc2f,
    0x83fffec8,0xd502effb,0x3fee05bf,0x5bfd502e,0x40b7faa0,0xc882dfea,
    0x5c0cffff,0xffd02eff,0x3bfee07f,0x05dff702,0x3a0301c4,0x906eccce,
    0x25d87dff,0x7ffff900,0x01300620,0x00200310,0x40040062,0x20010018,
    0x10008008,0x00400200,0x20010008,0x98008018,0x02001000,0x6fdc0000,
    0x2607fb11,0x99880000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x30000000,0x3fee7fff,0x0000001f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x21801654,0x00088009,0x0000b880,0x006c4000,
    0x00b22393,0x10036200,0x93000015,0x00200101,0x22220020,0x00222200,
    0x00002200,0x13331004,0x2034c140,0x25f004fe,0x8174c03e,0x2a05c8cd,
    0x3233602f,0xa813ee05,0x5f503fbf,0xed8813e6,0x07f7f501,0x3ee024e4,
    0x85f7d703,0x4760b31d,0x00754059,0x2605d3d3,0x36202e9e,0x9b07a601,
    0x1d500b91,0x413bbb20,0x007d41f9,0x0104013a,0x7e401e88,0xfc801804,
    0x1b237204,0x00028854,0x05d37d10,0xbc80a215,0x17637604,0x774c288a,
    0x3ddd301e,0x3a007540,0x367a02d9,0x980fa202,0x009f901e,0xa80001d5,
    0xfda9effe,0xbde82ccc,0x8e64c3de,0x00101cc9,0x77d93002,0x81002059,
    0x977d9300,0x665665c5,0x4c0101cc,0x039931cc,0x44081006,0x0003cccc,
    0x00000000,0x00986200,0xc8000080,0x4eed8dee,0x97fb7bf1,0xd09dddfd,
    0x54bfdbff,0x87ff52ff,0x40ddffea,0x643dffda,0x44fffeef,0x40ddffea,
    0x20ddffea,0x4fffeefc,0x3bb73fb6,0xeeeed83f,0x2a5ff50d,0x1bdd93ff,
    0xfda89ddb,0x3bb663df,0xb1bdd96f,0xcfd989dd,0x7bffb501,0xc839fb30,
    0x4eed8dee,0x9fde764c,0x73eeeeeb,0xa87ddddd,0x26eeeeee,0x5fd73efa,
    0xf50b83ea,0x2e0fe801,0x7c43f21f,0x7e5efdc4,0x36b7e61f,0x9f51fc5f,
    0xffcbdfb8,0x3aef7ee1,0x4fa8fe1f,0xb83f89f0,0x7e43dfcc,0x77d49f10,
    0x7cc5fd73,0x3205fdad,0x3ae7df56,0x3afbf22f,0x6d6fcc4f,0x75f7e45f,
    0x5cfbea4f,0x37fee2fe,0x333f26ff,0xb99f94fd,0xefee989f,0x322747dc,
    0x2a16ffc7,0x7c2f400f,0x07e53e23,0x21f989f1,0x1f52ec6c,0x313e24f8,
    0x3e227c3f,0x04f81f50,0x2203f89f,0xf94f882f,0x23e44e81,0xd902ec6c,
    0xf99f2274,0x8d90fe44,0xf913e65d,0x89f22743,0x21fff34f,0xb64dd16c,
    0x9f9b06e8,0x7c89d1ee,0xa87ff644,0x50ff400f,0x4f9fc81f,0x2e0c07d4,
    0x7c4111bf,0x0fa93e62,0x1003e618,0xf827cc5f,0x5f101fc4,0x213e7f20,
    0x3ee3e44e,0x3640111b,0x3ee7c89d,0x7f71fc41,0x41fb8223,0xf913a3f8,
    0x46fcc7d4,0x83f6732f,0x3e01fb39,0x743afdf9,0x44333e44,0xb759f34e,
    0xfedffe89,0x40fff885,0x3ff2007b,0x5dfec0df,0x201ee4fe,0x8266627b,
    0x44febbfd,0x7f1cefcb,0x440be204,0x44e80fff,0xdfffc87c,0x44e9b200,
    0x2741b27c,0xc837fff2,0x22749d06,0x3befe67c,0x17dc1fa8,0x2f302fb8,
    0x44e82fff,0x7c43b67c,0x0bbfff24,0x4039d7bd,0x00fb84fc,0x222fe540,
    0x2e4feffc,0xc87dc00f,0x3f226fff,0x3fe24fef,0x227f4fff,0xc80be21f,
    0x7c89d04f,0xc817f2a0,0x5cf913a6,0xa827c40f,0x103ee5fc,0x1f22749f,
    0x8df95ffd,0x7d4514fa,0xfffc8514,0x6c6d81fd,0x3fffff64,0x09d00c40,
    0x7c407e40,0x2e174183,0xf127c207,0x89fcc307,0x3e102fa9,0x225f1004,
    0xc807e61f,0x4d8db00f,0xd81ee174,0x4c9b1b66,0x5d0fdc3f,0x70fe67b8,
    0x93636c3f,0x45fffef9,0x7c5ee5f8,0xf59d1ee5,0x5bf706c9,0x7e4cc3f9,
    0x3e609d03,0xf55100ad,0x2f7f201d,0x2ffe2fca,0xaa985fba,0x5efe42fd,
    0x37fa2fca,0x54c1fdaa,0x2a202fda,0x7bf10fda,0xf5510dd5,0x2b7ee01d,
    0x55ffc1fc,0x7dd545fb,0x3f2b7ee4,0x7ed6fe41,0x7dd5ffc5,0x7ed6fe45,
    0x7e56fdc5,0xd80c3ae1,0xfb7eccdf,0x7dcfd99b,0x2fccefab,0x98177fdc,
    0x3e05501f,0xff902fff,0x7f6407ff,0x7fef43ff,0xfffe80cf,0x7fffd903,
    0xcffffc88,0x01ffff40,0xb70bbff2,0xff901dff,0x7fdc07ff,0xfffde82e,
    0x13ffea0c,0x540bbfee,0xfde82dfe,0xfea80cff,0x5dff702d,0x3fffa000,
    0xffffd7ff,0x3fbfe2ff,0x102fffff,0x0700d880,0x4c400998,0x80110009,
    0x00098018,0x80310011,0x00220009,0x09988011,0x03100100,0x800400c4,
    0x10018800,0x00000200,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x02666200,
    0x00008dc4,0x00001118,0x00000000,0x000000b6,0x22000000,0x54ae011b,
    0x2aa20003,0x00665c42,0x0600ea57,0x805c0180,0x2000002d,0x776c00a8,
    0xbbd7d02e,0xf301fdc0,0x23360d73,0x322fa05c,0x0b919b04,0x3e801fdc,
    0x203b8740,0xd83dffda,0xfd505c8c,0xebe81bbf,0x0ea5705d,0x4c2645f4,
    0x7ffcc6ff,0x01d4ae01,0x026c01ae,0x80fa01f7,0xf701dfd9,0x0c06fa87,
    0x6c030013,0x3f305d8d,0x027e40d9,0xf900ff22,0x2ec6ec09,0xdeea8000,
    0xfb5bf300,0x5c13f20b,0x01ffcbdf,0x32200006,0x403f303f,0x700001f9,
    0x407b001b,0xf90005f8,0xdd89fd7d,0x007d45d8,0xdd90fa5f,0x089ddb1b,
    0x5d8fa804,0x00100040,0x20081002,0x00ddffea,0x0bb1b200,0x4c4f8804,
    0x0e7ecc1f,0x401cfd98,0x9807e600,0x8deec81f,0x00004eed,0x7540fdc0,
    0x9f30ddff,0x81021fc8,0x808201f9,0x5fd73efa,0x775cbbae,0x3ffbfaa3,
    0x3bbbbaa4,0x777641ee,0xddddd702,0xeba776c7,0x5defdc5e,0x777641fe,
    0x446fee02,0x3bbbbae0,0x0603ea5e,0x89fd7df9,0x24febefc,0x81ceeeeb,
    0x07e601f9,0x7f5cfbea,0x39dddd72,0x3ae5dd70,0x3ee1f63e,0xf71ffcbd,
    0xdd73f881,0x0fcc7ddd,0x2cc8a654,0xe99f2274,0x543df51f,0x2a4ffefe,
    0x2fcdfdcf,0x9837fe54,0x361cdfdc,0x8bf952cf,0x2a07c44f,0x7e406ffc,
    0x3fa60dff,0x1ee7eccc,0x3f913e60,0x23f913e6,0x2feccfea,0x3f300fcc,
    0x54f913a0,0x42feccfe,0x3df51fe9,0x313e22f4,0xa741b23f,0x21cdfdc9,
    0x17eb84f9,0x644e8bfb,0x0fdafc47,0xfa89f7c8,0x82f89f98,0x2601fcf9,
    0xc98fa81f,0x03e62f89,0x01fcf980,0xbdc5fca8,0x03ee6b88,0x3f883f70,
    0x23f883f7,0x3e62ec7c,0x7407e601,0xb1f23e44,0x3f6bf10b,0x03ea2fc0,
    0x7c40fb86,0xff80fcc2,0x22f47b82,0x7dc3e44e,0xcfeb83fc,0x7cde61ef,
    0x3adb03f1,0x2607e604,0x1f9dfc9f,0x099989ee,0x3a09d6d8,0x27ee3dc2,
    0x0fe218dd,0x29d06c86,0x3e49d06c,0x01f98bd3,0x227407e6,0xbd33e47c,
    0x20ff3ee0,0x4403dc6e,0x7cc3dc3f,0xf702f981,0x322745e8,0x360bfb07,
    0x303efeff,0xb9fc403f,0x103f300f,0x1f5fff5f,0xfffc87dc,0x0fb9fc46,
    0x5fbabff8,0xc82fffdc,0x72fcabdf,0xf74f881f,0x3f24f881,0x7cc0effe,
    0xcdfdca81,0x91f22742,0x401dffdf,0xb8fb05fd,0xadfc800f,0x81f984fd,
    0xe8f701f9,0x413636c5,0x237601f9,0x807e602f,0x03fffffb,0x3fbe03f3,
    0x9fcc7efb,0x7dc2fa98,0xde83ffff,0x7dc0cfff,0xfd9035d9,0x21fcc7ff,
    0xb87f31fb,0x3f73f21f,0xfe81f984,0x36c6ffff,0xfb9f9136,0x501f9809,
    0x0c1fc45f,0x98177fdc,0x501f981f,0x41dfb57f,0x01fcadfb,0x4e7403f3,
    0x807e601f,0x06ecccee,0x5ffa03f3,0xadfe87fe,0x67741fda,0x3e206ecc,
    0x2222f700,0x3203d01f,0x645fdadf,0x645fdadf,0x5f30fee7,0xbf700401,
    0x27c83f95,0x07e603fb,0x5efe46e8,0x7fe42fca,0x0fcc2cac,0xfe8807dc,
    0x7dc2ffef,0xbfb702ef,0x07e73a07,0x5c1efedc,0x47fb11df,0x41cdfdc9,
    0x10df94fd,0x419ffff9,0x7fb11dfb,0x366176a0,0x81fdcccf,0x3faa06da,
    0x5bfd502d,0xf90bfd98,0xa83ffcc7,0x3bfee03e,0xc85fecc2,0x3dfdb83f,
    0xfec83f50,0x77fc43ff,0xfb932fff,0x017ea39b,0x10040062,0x301fffff,
    0x7ffc40a1,0x3ffe60ff,0x323fff73,0x644fffff,0x880bf31f,0x73fff981,
    0x5b703fff,0xffffff90,0x005b503f,0x7e402001,0x443fa2ff,0x03db01aa,
    0x3fff2010,0xff883fa2,0x40300fff,0xc8102008,0x314fffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x266620a0,0x80180c00,0x0000a00a,0x00001971,0x50110000,
    0x2605c155,0x000cc001,0x03000000,0x02200040,0x014c00c0,0x5c002000,
    0x26004004,0x2777641f,0x817209b0,0x04d882fe,0x2a35c6dc,0x7f7001ff,
    0x3003fb80,0x23ffd03d,0x003e44f8,0xbffd513e,0x407f701b,0x3203d8be,
    0x002e8805,0x09b005d1,0x9802bc88,0x4c7600de,0x5c00fb05,0x007e600e,
    0x16e01ec0,0x01dc0be6,0xf980dfb8,0x5d8dd801,0x80bb1bb0,0x87e601e8,
    0x00fe60fc,0x7bf70fd4,0x8dd83fd7,0x05fb105d,0x3d100b70,0xd801e880,
    0x01cd8803,0x807dcf54,0x0001eee9,0x7cc00da8,0x00e7ecc1,0x20fcc000,
    0x1000ccb8,0x664cfcc0,0x20113263,0x4c000040,0xdb13e21f,0x89f17a00,
    0x002040f8,0x00000001,0x08800000,0x40000800,0x00000ccb,0xbefc87e6,
    0x3bbae4fe,0xdddd73ee,0x260fcc7d,0xbdb01fff,0x3f32776c,0x3fe49dfb,
    0x3bbbbae0,0xdb2f6c5e,0x741f989d,0x2a017cc6,0x1003e61f,0x3ddb1bdd,
    0x033bbbae,0xbdddddd7,0x205ddd90,0xb83eeee9,0x85eeeeee,0x6402eeec,
    0xdd702eee,0x76c47ddd,0x3bbb201f,0xf98fcc02,0xdc98fe44,0xfb931cdf,
    0x03f2239b,0xffb80fcc,0x7cc5fd73,0x80f905fe,0x7ecccfe9,0xfeb9ffdc,
    0x1f20fcc2,0xb8dd01ba,0x44266627,0x21df73fe,0x1ffdcefa,0x3b333fa6,
    0x06ffca87,0x3039fd91,0x0fd999fd,0xa80dff95,0xb9306ffc,0x3f3039bf,
    0x037fe540,0x20fdc7e6,0x80fcc3f8,0x03fd41f9,0x7ff403f3,0xfff98f70,
    0x5bd7f900,0x1ae22f70,0x43dc3ffa,0x207e41f9,0x85f301fa,0xdfff90fb,
    0x9d13a3e4,0x45ee3744,0xf9f306b8,0x2e036403,0x260d7117,0x7cc01fcf,
    0x07e601fc,0x7cc01f98,0x47e601fc,0xf989d06c,0xf503f301,0xe807e603,
    0xf98f75fd,0xffc80efc,0x4fdc1fed,0xfde818dd,0x83f30f75,0x360bd07d,
    0x5313f986,0x4ccfe45f,0x3ea2744e,0x23767ee0,0x813adb01,0x6cfdc06c,
    0x3adb018d,0x04eb6c04,0x1f9807e6,0x204eb6c0,0x881f71f9,0x980fcc4f,
    0x301f981f,0x7d67403f,0x27f227ba,0x3f20bff8,0xfff713e1,0x57d6740b,
    0x741f987b,0xf983f505,0xb55bfd03,0x7fffe43f,0x3e62744f,0x817ffee1,
    0x201f73f8,0x7ffdc06c,0x7dcfe205,0x3ee7f100,0x9303f300,0xf1039bfb,
    0x7cc03ee7,0x1fb87f31,0x1f980fcc,0x3f301f98,0x7cfda740,0x7ff47fea,
    0xb89d1f22,0x9d035d9f,0x3e61f3f6,0x5e80fe61,0xff9103e4,0x57e419ff,
    0x22744eaa,0x367ee1fa,0xffff7035,0x591b207f,0x81aecfdc,0x03fffffb,
    0x07fffff7,0x3ff207e6,0xffb84fff,0x3f303fff,0x2fed6fe4,0x1f980fcc,
    0x3f303f98,0x7ff8a740,0x747c8020,0xf888bdc4,0x7ff8a741,0x1fb0fd44,
    0x3f887dc0,0x1f203300,0x3ec4e89d,0x0fc445ee,0x1bb333ba,0x7b93a364,
    0xee83f111,0xdd06eccc,0x260dd999,0x8032e01f,0x06ecccee,0xdfea83f3,
    0x66fee4c2,0x39bfb931,0x372a2fd8,0x77cc2cdf,0x3aa0ff72,0xd32fd882,
    0x333f663d,0x3be61fdc,0xfff8ff72,0xf8807f11,0xb1001f94,0x2a5fb10b,
    0x99dd31df,0x67ecc7fd,0x3ee1fdcc,0x447fb11d,0x4fcccfeb,0xfb999fb3,
    0xd88efdc3,0x88efdc3f,0x3f7263fd,0x0fe981cd,0xfb11dfb8,0x90080607,
    0x329fffff,0x184fffff,0x37fffff4,0x07e9bff2,0xdff703db,0x7fe53ff6,
    0x321fffff,0x531fa6ff,0x2a800c15,0x0fae0055,0x3fa3bfee,0xbffff93f,
    0xfffffc85,0x7fff31ff,0x7d47ffee,0x94ffffff,0x3fffffff,0x7dcfffe6,
    0x7fff31ff,0x7e47ffee,0x4004ffff,0xff73fff9,0x0000003f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xed800800,0x0013bb65,0x202aaa98,0xddddd300,0xeee98005,0x1333103e,
    0x0e77775c,0x2a011b88,0x00e88012,0x4f775c00,0x3baa3eeb,0x9505dd94,
    0x22930599,0x20000804,0x4c40752b,0x07a20099,0xb8a60000,0x951d8752,
    0x3ae7ff70,0x2c9e882f,0x27efffcc,0xdc884bb8,0x57900cdf,0x0e7f6449,
    0x2a4eeec8,0x82feccfe,0xcb85debe,0x3a600fed,0xa82d8801,0x1efc8cfe,
    0x7f54bbe2,0x26e675c1,0x200d8acc,0x41e400f8,0x7640752b,0x07a604ee,
    0x7ecc02d8,0x54ae5fbd,0x806f74c3,0x20f70ffe,0xf5e84dbe,0x02ce40d5,
    0x5ee403f3,0x0006c80e,0x301763e4,0x00001300,0x77c80fa2,0xf913a0bf,
    0x002545d0,0x9b00fcc0,0x00000000,0x3ee07d10,0x000ffdbe,0x75fde800,
    0x220a310f,0x440d5f3f,0x807e601b,0x81b20132,0x23eeeeeb,0xd717a67c,
    0xec87dddd,0xddd702ee,0x006207dd,0x7409f9f9,0x3bf23e44,0x17776401,
    0x01bffb10,0x2e5dd705,0x777643ee,0xddddd702,0x27cc1407,0x3bae3ffb,
    0xeeebbeee,0xace85eee,0x532a7baf,0x4f742cc8,0x8a6546af,0x01f982cc,
    0x32039d93,0x37f72606,0x3ffbf21c,0x6fee4c0e,0x37fe541c,0x1cdfdc98,
    0x36a776e2,0x04fffc83,0x7c4f913a,0x32a04fb9,0x9ff106ff,0x6f5cc7fb,
    0x2a3fd31c,0x7fe541ef,0xfb99f906,0x0deee449,0x7dfdc7ee,0x39bfb934,
    0xfd999fd3,0x9f3f69d0,0x8bfb17eb,0x5c6affd8,0x30bfb17e,0xfbff503f,
    0x2c8d905f,0x67e40fcc,0x07e604fd,0x201fcf98,0xedf981f9,0x7e43fdff,
    0x89d04fba,0x6c46f47c,0x3f9f301e,0x98ec1f70,0x224fedef,0x2601fb5f,
    0x16c81fcf,0xedefb8dd,0xd4f9b646,0xbdc1f98b,0x14e86b88,0x747b8fff,
    0x2e1abe05,0x0fcc2f47,0x87d886fc,0x3e62746c,0x0fee7c81,0x2db00fcc,
    0x407e604e,0x8fb4fb98,0x3203f27c,0x9fec26c6,0x13adb07a,0x1afb81b2,
    0x3fcfb837,0x4c275b60,0x2a201fb3,0x3e3ea2fa,0x1f987f16,0x0c6ecfdc,
    0x3fdcbbe6,0x7c0bd1ee,0x2f47b86a,0x219bfb91,0x88fcc1f9,0x4fcccfeb,
    0x3f660fcc,0xf307f90b,0x7dcfe203,0xf703f300,0x1fffffff,0x77c2ff66,
    0x7ed6fcc2,0x1f7bd301,0x81f73f88,0x6c3933fa,0xfd80cfff,0x7dcfe205,
    0xd505f700,0x7c45ffff,0x983f70ff,0x2fffdc1f,0x1fa6ffc8,0x3e05e8f7,
    0x2f47b86a,0x25fffff5,0xa8fdc3f8,0x4fffffff,0x3ff20fcc,0xf303fa2f,
    0x3fffee03,0x983f303f,0xaadfa9cf,0x23fff90a,0xeffa86fb,0x0bf60883,
    0x0fffffee,0x4c7ffff2,0xf30bf730,0x7fffdc03,0x514fa83f,0x17d4d6f4,
    0x13f6b7fa,0xb3f707e6,0x5401006b,0x00efdabf,0x57f50d5f,0x0cb81dfb,
    0x6fcacfd8,0x03f30020,0x01f98008,0x0dd999dd,0x5bf107e6,0x40b75dfb,
    0x640d3000,0x67741aa3,0x7f506ecc,0x5eb9bee8,0x3ba01f98,0x7c46eccc,
    0x4e7c5ee5,0xbf50cfeb,0x3e605dff,0xf888bdc1,0x220bb101,0x42ffeffe,
    0x445fdfeb,0x42ffeffe,0xffc80fe9,0x2176205f,0x81cdfdc9,0xfb9305d8,
    0x8efdc39b,0x37263fd8,0x3fea1cdf,0x305ffeef,0x0bfa009d,0x20bfbbb2,
    0x7fb11dfb,0xfed83f30,0x7edc0dff,0x11dfb83d,0x66fec7fb,0x3ffee7ec,
    0x04bb2ffe,0x9cdfdc98,0xfdcccfd9,0x8807d701,0x54554401,0x00003101,
    0x20fae006,0x84fffffc,0xfff903eb,0x3ffe69ff,0x323fff73,0x184fffff,
    0x00bb200c,0x02666200,0x7dcfffe6,0x220281ff,0xfffff101,0xb9fffcc1,
    0xfffd1fff,0x00130fff,0xfffffc80,0xffffffcc,0x0000001f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00038000,0x2e200744,0x00008011,0x00133310,0x0003c980,0x0ea57000,
    0x00000000,0x20000b22,0xcb80acb8,0x41221903,0x9300913a,0x2e993009,
    0x19301700,0x8800f2a0,0xd3016a07,0x5debe803,0x9700b360,0x04eeec80,
    0xebec82d4,0x5000da84,0x03a95c0b,0x12e001b3,0xce9825c0,0x982c805e,
    0x7ec7feff,0xecea85fe,0x07fdb103,0xf900ff90,0x0fe20faf,0x3bf213f6,
    0x329dd50f,0x1d705fee,0x80300000,0x06c8049c,0x101d7000,0x75c1e21d,
    0x00075c00,0x6400ea80,0x00dc800d,0x9d101433,0x97c43260,0x103f52f8,
    0x00150015,0x90037fae,0xc80c032f,0xf883f84f,0x405fd52e,0x3bbbae02,
    0xb2f6c5ee,0x017309dd,0xddd70260,0x80a0bddd,0x4c03ea4a,0xdd701400,
    0x4c0bdddd,0x05001400,0x2077bb50,0x4fe20018,0x4ca9fc7b,0x36a05991,
    0xcec883bd,0x99d9107c,0x5eed402f,0x5f50ff23,0x07c89d01,0x9837bb91,
    0x47ecccfe,0x5fd73ffb,0x80deee44,0x74c1cec9,0x987ecccf,0x45e41cec,
    0x29950fde,0x532a2cc8,0x3fa62cc8,0xb887eccc,0x9d7101ce,0x1deed403,
    0x3ffb7fe6,0x39d79910,0xd87ff540,0x17ebaec5,0xdff98bfb,0x3fee0ffe,
    0xffb87ffd,0xff307ffd,0x3ee1ffdb,0x21ffffe2,0xfb83e44e,0x17b86ede,
    0x1ffd0d71,0xdbdf71ee,0xffbff50d,0xd7117b85,0x2ffdffa8,0xb87d2eb2,
    0x5cbfb17e,0xb8bfb17e,0xfb8d7117,0x7dc2ffde,0x7cc2ffde,0x320ffedf,
    0x74c3ee0e,0x301fedff,0xb1763ffb,0x917a3dcb,0x9f07dc1d,0x327c3fcc,
    0xb83b20ff,0x5cc3f50f,0x644e81cf,0x17d54407,0x063767ee,0x83dd7f7a,
    0x6fc2faa8,0x9fb8fb10,0x86fc18dd,0x36ab27d8,0xbd1ee0f8,0x2e2f47b8,
    0x7c18dd9f,0xb13e3ec4,0x3ee0ec8f,0xf7060fe0,0x3a202743,0x2e4e8d95,
    0x20fe2f47,0x8fb03ea1,0xf83ec0fa,0x303e6183,0xf913a03f,0x3ffffaa0,
    0x02fffdc2,0x8f75f59d,0x22ffffea,0x70fcc1f9,0x3f30bfff,0x32991f98,
    0xbd1ee2ff,0x2e2f47b8,0xffa85fff,0xf51fffff,0x43ffffff,0x027c183f,
    0x2017a3dc,0x3e21f56c,0xf8bd1ee2,0x3a0fcc04,0x1fa0fcc7,0x4c04027c,
    0x4d8db01f,0x5f535bd0,0x035d9fb8,0xd1f3f69d,0x445f535b,0xf70fdc3f,
    0x3f886bb3,0x406a8fdc,0x1ee2f47b,0x5d9fb8bd,0x55567c43,0x559f10aa,
    0x027c1555,0x7dd567ec,0xc8bd1ee2,0xf14fcaab,0xbfa8fd5d,0x3f60efda,
    0x3a2fbaac,0x42ffdabe,0x2ffdabee,0xfbaacfd8,0x407e6062,0x81feadfb,
    0xcfeb9cf8,0x7c445ee0,0x7ff8a741,0x3fae73e2,0x32b3f60c,0x888bdc6f,
    0x32b3f61f,0x144ba26f,0x3bf6afea,0x3f6afea0,0x4445ee0e,0x2aafb61f,
    0x2afb60dc,0x33f60dca,0x7642fbaa,0x3f624eff,0x75c1dd32,0x7fcc4fff,
    0x77ff442f,0x7ff642ff,0x7ffe4c4e,0x3f260ffe,0xc80ffeff,0x3ea4effe,
    0xd5007d41,0x7fdc05df,0xfb32ffef,0x4c3fb999,0xb8ff72ef,0x42ffefff,
    0x6cc5fffc,0x41fdcccf,0xf985fffc,0x7ff444fe,0x3fa22ffe,0xfb32ffef,
    0x443fb999,0x20dfffeb,0x0dfffeb8,0x0277ff64,0x2dff5011,0x00882ffb,
    0x4006200c,0x20018008,0x08044001,0x04017f76,0x3f201300,0x21ffffff,
    0x41fa6ffc,0x32030009,0x1fffffff,0x88030030,0xf9018801,0x03ffffff,
    0x00260026,0x00000022,0x00000000,0x00000000,0x00bec800,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00001597,0x55554530,0x2aaa21aa,0x2eeec82a,0x00488640,
    0x08062130,0x5401b300,0x0241702c,0xb806a200,0x0103dcac,0x13000000,
    0x00d98062,0x864165cc,0x10000048,0x32017105,0x09106fef,0x3a6a8698,
    0x264fffff,0x541fffff,0x75c06ffc,0x7fe442ec,0x0b94d83e,0x5c16fbb6,
    0xefe83fbe,0x4dce986f,0x6fecdf5c,0x2fefd880,0x1fef7fec,0x8816fbb6,
    0x2016a00e,0x3ae0b94d,0xdff703fb,0x05d9d70f,0xffea84b8,0xa83f30dd,
    0xf33f882f,0x5401f507,0x4591cc0f,0x007e63f8,0x1007f3e6,0xb7bf7015,
    0x4c60003f,0x0a21501c,0x20be63f5,0xfff880a8,0xdf986ebc,0x363fa86e,
    0x301c98c6,0x01d7005d,0x0a215000,0x2a2013ee,0x7dc2ec00,0x801ffcbd,
    0x36c1f501,0x87333f66,0x0acccfda,0x5f307dc0,0x4eb6c015,0x3073b260,
    0x764c4e8d,0x39d9301c,0x7073b260,0xc893e21f,0x1fe81bdd,0x266203ee,
    0xd907d44f,0x1664532a,0x0130004c,0x880e75c4,0x04e81ceb,0x201ceb88,
    0x7cc4f882,0x39d710e1,0x8ff12f88,0x22eeefea,0x04eeefec,0x7ffcc6d8,
    0xb9fc40df,0xfdffa80f,0xa8fe602f,0x542ffdff,0x542ffdff,0x222ffdff,
    0x2e0fecef,0x4e86edef,0xffb107cc,0x20fa8dff,0x362fd76c,0x0666445f,
    0x700ccc88,0xb85ffbdf,0x222ffdef,0xfb82eecf,0x32a2ffde,0x1f52cccc,
    0xfb8fd430,0x7ec2ffde,0x7d40fffd,0x8003ea00,0xa8ac83f8,0x7fffdc2f,
    0xb10df83f,0x41bfd10f,0xf8fb10df,0xdf8fb10d,0xffe8fb10,0x5f55106f,
    0xb0fcc4e8,0x44ff715f,0x7b9b23fc,0x3fba62f4,0x03fdd301,0x4f8fb13e,
    0xbbff53ec,0x3ec4f87f,0x29ffddf9,0xf2fb807b,0xdeb87d89,0x7fffec6e,
    0x2000fa85,0x46d800fb,0x46ecccee,0x20fcc1f9,0x20fcc3f8,0x983f31f9,
    0xf983f31f,0x7f515f71,0x17ffff54,0x223f313a,0xfd13ec3f,0x47b9b21d,
    0x803f305e,0xfffa81f9,0xff51ffff,0x263fffff,0xffa9b25f,0xb51fffff,
    0x00fb97ea,0x7ffd5fdc,0xf301ffff,0x02bfc889,0x36c001f5,0x37ee5d80,
    0x7c47fb11,0x40c0fdc3,0x88fdc3f8,0xf88fdc3f,0x46d8fdc3,0x2a6b7a5e,
    0x3ea2742f,0x06d87f10,0xbd1ee5d8,0xf3007e60,0x5559f103,0x2b3e2155,
    0x7f10aaaa,0x559f13dc,0x5fa81555,0xf90c1fc4,0x55559f17,0x3f6ae215,
    0xb739f306,0x6dd67cc9,0x9d07f104,0x3e65f955,0x3fff73ff,0x37e567ec,
    0xacfd8098,0x567ec6fc,0x567ec6fc,0x2b3ee6fc,0x739f13fb,0x97e219fd,
    0x4dfe47d9,0x3eea03fc,0x3f6afea4,0x401f980e,0x57db01f9,0x5f6c1b95,
    0x3f20dcaa,0x5f6c4ebb,0x3ea0dcaa,0x5efe4115,0x29fb2fca,0x0dcaabed,
    0x4017dff3,0x640efffc,0xf302efff,0x7dffd501,0x3204ec00,0x7f505fff,
    0x417fff20,0xf905fffc,0xfff90bff,0xfefffb89,0xf15ff92f,0xeffc885f,
    0x117fee03,0x45ffdffd,0x42cdfdca,0x42cdfdca,0x0dfffeb8,0x37fffae2,
    0x037ff620,0x1bfffd71,0x17b33fea,0x547fffd9,0xfffd712f,0x0c00081b,
    0x100000c0,0x207d5000,0x01800801,0x20060030,0x10004c01,0x01000801,
    0x3ffa0188,0x7ff46fff,0x02606fff,0x01100260,0xfffb0130,0x00220dff,
    0x00000130,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x22130000,0x6c400201,0x00098601,0x80002a80,
    0x44000002,0x20398e40,0xb100004a,0xeeeeeb81,0x84895c5e,0x4320931c,
    0x79d9102a,0xcc980099,0x0e039931,0x5977d930,0x1664532a,0x4ae13260,
    0x1729b048,0xa82df76c,0x25f03ebf,0xefecc83e,0x01dfff03,0x21bbffd5,
    0x4400ece8,0x39fb300e,0x3dbd30ea,0x407b3760,0xfa81cfd9,0x33fa63fb,
    0x6ec47ecc,0x1ede982f,0x701bbf50,0x1bfffbff,0x5ff5034c,0x3e60ffea,
    0xffddf901,0x6c5fae9f,0x43fe405f,0x0002fde8,0x1501c98c,0x301040a2,
    0x87fd79ff,0x5c3f88fb,0x71febbdf,0x2e980ea7,0x9fd7df90,0x4500e01b,
    0xebefc819,0x4288544f,0x20d7117b,0x4401c00a,0x7f893e02,0x3f200fa8,
    0x3e609f10,0x27d47f01,0x900bd1ee,0xc880540f,0xdc881bdd,0xddc881bd,
    0xc8a6541b,0xd907e22c,0xf89f37c8,0x9d987c44,0x4c06602d,0x221fe44f,
    0x6541bddc,0x7cc59914,0xd730fe44,0x6cfdc39b,0x6f5cc18d,0x0e764c1c,
    0x1664532a,0x547c81f5,0x442cccfd,0x2601f94f,0x7c0fa81f,0x217a3dc4,
    0x887ccec8,0xefb81ceb,0xdefb86ed,0xedefb86e,0xfd8bf5c6,0x26666625,
    0x3f3f21fa,0x2003e62f,0x2a5dabda,0x70beb8cc,0x5c3f883f,0x75c6edef,
    0x7dcbfb17,0xef99fc41,0x3fee4fed,0xedef985f,0x3f7fea4f,0x6c5fae2f,
    0xff127c5f,0x4eeefec8,0x4c4f9fc8,0x1fffffff,0x227cc5f1,0x3ee2f47b,
    0x7dc7ffdf,0x5102ffde,0x2aa205f5,0x5f55102f,0xf72f47b8,0x47ffffff,
    0x71feb8fc,0x884ccc4f,0x75c1cedb,0xd93fdfff,0x554413a0,0x97a3dc2f,
    0x3ee9d06c,0x4fdc371a,0x8d7dc35d,0x6c437e1b,0x717a3dc7,0x50fffbff,
    0xfff8801f,0xabfbaa80,0x7f5dfec2,0x7ed57dc4,0x7f993e0e,0xd51f627c,
    0xea85ffff,0x7542ffff,0x3dc2ffff,0x999fa97a,0x89f22fa9,0x3f21f75f,
    0xf93796ff,0x823df309,0x217c40fb,0x42ffffea,0x1f72f47b,0x3ff64f88,
    0x445ee0cf,0x3fff61f8,0xf983f30c,0x30bd1ee1,0xf50f99d9,0x809f9001,
    0xff9101f9,0xfffb89fd,0x81f52fff,0x3fffea7d,0x2b7a1fff,0x56f42fa9,
    0x56f42fa9,0x23dc2fa9,0x1ee1fc5e,0xf9b646f9,0xb85f5313,0x01f98393,
    0xe87b87f3,0x5c2fa9ad,0x87f32f47,0x2e6131fb,0x999fb35f,0x5cc263fb,
    0xfb87f15f,0x00bd1ee1,0x001f50f7,0x1f9801f9,0xfb89f080,0xe83f3019,
    0x2aab3e27,0x739f10aa,0x33e219fd,0xf10cfeb9,0x419fd739,0x0efdabfa,
    0x8ff6b7f2,0x4eafcfd9,0x3f6ab7fa,0x4c2b95c1,0x2b7f200f,0x4e7c44fd,
    0x3ea0cfeb,0x320efdab,0x3a5fdadf,0xf95eb9be,0x23ffffff,0x25eb9bee,
    0x46fcacfd,0x0efdabfa,0xf307f6a0,0x2a29b759,0x74400efa,0x3f6aa600,
    0x77403dc2,0x362ffdab,0x20dcaabe,0x2ffefffb,0x3ffbffee,0x3fbffee2,
    0x3bffa22f,0x77f542ff,0x7f5ffe42,0x3fff221e,0x2f7440cf,0x40f37f6e,
    0xf704ffea,0x445ffdff,0x42ffeffe,0x76c2dfea,0x6c00dfff,0xbfffdb0a,
    0x85fffc81,0x2ffeffe8,0x81ffff30,0xf92efffc,0x95107fff,0xe8159999,
    0x06a83fff,0xfefffc98,0xfffd710f,0x3001301b,0x10013001,0x08002003,
    0x20400c40,0x0ffffff8,0x004c0020,0x400800c4,0x13aa0018,0x10030031,
    0x04cc4003,0x02662030,0x7fffffcc,0x0000981f,0x009800c0,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0a880000,0x1cebbcb8,0x00002ca8,0x5c277764,
    0x202e0912,0x9d710018,0x01554403,0x32e201b3,0xcb932201,0x81b86442,
    0x4198ccb8,0x7100ccb8,0x3ae60199,0x777641cd,0x675e6444,0x2a026001,
    0x13a83bdd,0x22002019,0x5400802c,0xefffd82f,0x027f44fe,0x03dffda8,
    0x37a20333,0x4c4f882e,0x3ee02afd,0xfa82ffde,0xbeb83fff,0x079aa83f,
    0x2fec5fa6,0xf982775c,0x7cc5b9ff,0xfff301ff,0xfdbdf303,0xd3033309,
    0x303fdbff,0x4c7f79d9,0x40ffedff,0xe883fed8,0xcf984bce,0x2fbb604e,
    0x21fe8005,0x402740fb,0x85fdadf9,0x2a01ceb8,0x3faa0600,0xd89f00cc,
    0x54065e87,0x1baa0510,0x305e8f70,0x553f3005,0xf3007e60,0x2e35f703,
    0x06f77221,0x5c4e87ee,0x646ffdff,0x5403ee0e,0x405dc600,0x93180a19,
    0x85e80e03,0x675ef43f,0x22ec6c81,0x22ffdefb,0x52ccccca,0x64599999,
    0x7d41cdbf,0x11ffffff,0x665c07f9,0xf3079910,0x47b87ea1,0x0666445e,
    0x98027e60,0x157cc01f,0x7067ffec,0xf70ddbdf,0x4d3e25e8,0x20fe0fff,
    0x33af3221,0x675e6441,0x00ccc881,0x2a019991,0x5c3fd01f,0x777ff40f,
    0x88dfdc4f,0xc9f627c0,0xf94ffeef,0x7e49ffdd,0x3e20feef,0x30aaaaac,
    0x77ec07fb,0x2e5fe999,0x42fd9ebb,0x3a62f47b,0x0fcc01fe,0x41ae7e60,
    0x4260fff9,0xaa885fb9,0x97a3dc2f,0xf8df98fa,0xfd3013e2,0x74c3fdbf,
    0x4c1fedff,0xdd301fee,0x01ff903f,0x13fb7ffa,0x40fb87fa,0x2a0dfffc,
    0x1fffffff,0x5a97eab5,0x22fc8bf5,0x555f6c4f,0x201fc0dc,0x0fbbfabf,
    0x2b3f2aa2,0x3af3ea2f,0x803f306f,0x4fcc01f9,0x0dfe985a,0x2f5cdf74,
    0x45ffffd5,0x1dd32fd8,0x2a3befe6,0x2ab3f61f,0xe87ee2fb,0x09d0fdc4,
    0x3f3007e6,0x6f403fb8,0x8bd02ceb,0xbf9503f8,0x555567c4,0xa82fd40a,
    0x2747c85f,0x37fffae2,0x37601fc0,0xe886defe,0xfd85dd2e,0xf981ffef,
    0x200fcc01,0x3ffe01f9,0xdfffed81,0x3ea6b7a0,0x7ddbfea2,0x32bffa2f,
    0xeffec86f,0x717a3dc4,0x3f305e8f,0x3641f980,0x2009d072,0x5d17c46e,
    0x55f6c7b8,0x57ea0dca,0x0457ea08,0x9704e8f9,0x2e01fc01,0x884ffdff,
    0x220b7323,0x3f3013d0,0x4c01f980,0x07e6201f,0x67c41f88,0x100cfeb9,
    0x3fffbe60,0x7b817405,0xbd1ee2f4,0xf3007e60,0xfcacf983,0x802b7e63,
    0x6ebadffa,0x2fdd5ffc,0x37fffae2,0xbd99ff50,0x97b33fea,0x03df12fd,
    0xdf910dd3,0x7c7fcc09,0x7ffc402f,0x952fdc05,0xca859bfb,0x6542cdfd,
    0x6542cdfd,0xdb82cdfd,0xfefffb86,0xb85d882f,0xdb70030e,0x3a65fb10,
    0x265fb10e,0x3f72a0ee,0x7ee542cd,0x3ffae2cd,0x0bfffe0c,0xcfffefe8,
    0x67ffef41,0x3f602600,0xffb6ffff,0x3fe6dfff,0x8005ff74,0x102ffffb,
    0x4003f29f,0xfe8005fa,0x7f46ffff,0x7f46ffff,0x7f46ffff,0xca86ffff,
    0x2e002601,0x9500003e,0x2edff503,0x2dff52ff,0x3ffa2ffb,0x7ff46fff,
    0x20086fff,0x00c00099,0x000000c4,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x50244320,
    0xbd9059d9,0x02627754,0x02777640,0x64059d95,0xcca84eee,0x9d40beb8,
    0x00ee20c8,0x000015cc,0x776c0286,0x26660dee,0x99809999,0x22017300,
    0x06a202cb,0x71019971,0x6f764019,0xa884eed8,0x8013262a,0x5c19104b,
    0x5d702ece,0x5fb87b31,0x3fa8ff62,0xb8066600,0x203d98ae,0xffd70199,
    0xed887fbf,0x8036543e,0xfb3004da,0x3e6f503b,0x37f32e00,0x6c180223,
    0x7ffdc7ff,0x6feff981,0xff98bfd0,0x01ffa81f,0x7f5cfbea,0x9ffffd42,
    0x1f6007fc,0x02a21fdc,0xc96f66d4,0x1f50be22,0xd9300364,0x36ab5039,
    0x532a2c9c,0xef982cc8,0x98054011,0x4012e006,0x4105ebed,0x885f1000,
    0xaaf98600,0x40fde541,0xb85f30ed,0x03f305ff,0x89d007e6,0x830de87c,
    0x8600007c,0x5b00ccc8,0x4b11b193,0xf07d42f8,0x819b5995,0x42ffdffa,
    0x8ab8caad,0x7ec5fae5,0x2a01f985,0x20beb8cc,0x4b87c869,0x08fe1754,
    0x000ccc88,0x200885f1,0xf300be61,0x23f83503,0xf305ddf8,0x3267e603,
    0x9f22743c,0x42ccefc9,0x882debfc,0xe9800ccc,0x3a6d01fe,0x17c4d0ec,
    0x7474c3ea,0x6fc5fdff,0x1b68fb10,0x2f47b8d0,0xfd7007cc,0x3667fbff,
    0x41eea8cf,0x3fd8aeeb,0xd300e7cc,0xf10203fd,0x88600885,0xf98088ff,
    0x321fd801,0x3f305d8f,0x3bf67e60,0xb9f22744,0x643eeefe,0x4c1fedff,
    0x26001fee,0x5b31d01f,0x4e5f134d,0x8fdc20fa,0xf307e67b,0x210e4743,
    0x717a3dc6,0x26079bfb,0x554411ef,0x0dedcfdb,0xf5bf9553,0x13fffee7,
    0x3f103f30,0x802217c4,0x3f77ffa1,0x3600fcc0,0x2ed3e62f,0xdf301f98,
    0xf913a0bf,0x0fe407f0,0x207e609f,0x80fcc1c9,0xadb9fccc,0x27e6be24,
    0x2e7b80fa,0x3f70fe27,0x56e6c664,0x97a3dc4a,0x0ffffff8,0x7cc01f98,
    0xd859298d,0x64c7dd2f,0x0fcc009f,0x83f30fc4,0x57cc6008,0x1f983ffa,
    0xfd85fd10,0xf981efcc,0x01fff301,0x7f09b1b6,0x413a3e40,0x43fb81f9,
    0x17b101f9,0x39f506d4,0x9ee0fb7f,0x6567ec7b,0x845ec46f,0x55fd40da,
    0x80100efd,0x415400f9,0x5c3220eb,0x023e43cd,0x6fc40fcc,0x00886eab,
    0x7fd67c46,0xe981f983,0xfeeed81f,0x301f982f,0xf701df9f,0x7f03f95b,
    0x413a3e40,0x654301f9,0xc882cdfd,0x7ec0cedf,0x881ffe8e,0xc83f92fd,
    0xf9105fff,0xfd1019db,0xd505ffdf,0x337f6e05,0x00bb1003,0x77dcbfff,
    0x32a1fccc,0x6dc2cdfd,0x00880eff,0xffffeb86,0x39bfb930,0x33337fe2,
    0x5077dc41,0x4459bfb9,0x0bff89fc,0x26177fdc,0x220bcefc,0x43dd32fd,
    0x02cdfdca,0x1bfffffa,0x20180010,0x3ff8effa,0x80040030,0x81ed8018,
    0x0ffffff8,0x03eefc80,0xfff8afd4,0x7ff46fff,0x01106fff,0x4cccccc4,
    0xfb809819,0xff14ffff,0xf989ffff,0x3fffa2ff,0x47fea6ff,0x20102ffe,
    0x22fffffd,0x9ffb6ffb,0x37fffff4,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7754fbaa,
    0x2f7bbb63,0x3bbbbae0,0x77543003,0x641eeeee,0x5c402eee,0x266eeeed,
    0x2803eeee,0x5bdddd70,0x83eeee98,0xe9beeee9,0x22777641,0x1bd94ed8,
    0x0e77775c,0x8fbbbbae,0xb01bddc8,0x17bae9dd,0x3eee88e6,0x1001ddd5,
    0x0002a215,0x46f7440a,0xddd71eed,0x3fa6bddd,0x7dc3df52,0x3267fdce,
    0x64c1cdfd,0x67d4d1ce,0x542fcdfd,0x3a206ffc,0x27dcefdf,0x401cfec8,
    0xcfea81f9,0x3b222fdc,0xfec881cf,0x9981e89c,0x3e65fb01,0x7ee77cc6,
    0x3733f21f,0x3b7bee4f,0x2a59fb06,0x11fe85fc,0x3f663bfb,0x8ffdc00d,
    0x22003ff9,0x73fe880e,0x33fa61df,0x57e27ecc,0x224e80fc,0x540fcc3f,
    0x24dffdff,0xf89f98fa,0x01fcf982,0x3dd3e1dd,0x7cc01b64,0x86d8f901,
    0x9b20316c,0x06664448,0x7fffffd4,0xdd12743f,0x106e8b64,0x1f505f55,
    0x105f1393,0x06d8bd03,0x220eff54,0x80002efd,0x5ee2747c,0x67dc6b88,
    0x7c49d03f,0x6fc0fcc3,0xac43fb10,0xdb01b1f9,0x9f1fc13a,0xfff9075f,
    0xf901f980,0xd90bf733,0x203641f6,0xd881fee9,0x20dfcccf,0x1f509de8,
    0x2a07ece6,0x982ffffe,0x1f9dfc9f,0x7c43ee00,0x03dfb303,0x001dfe98,
    0x3a667f20,0x46ecfdc4,0x80f7f4c1,0x40ffdcee,0x20fcc1f9,0xbfc882f9,
    0x3ee7f101,0xfff0fcc0,0x01bfd305,0xfffffff3,0x7ffffe43,0x20316c83,
    0x03f3006c,0x93fffff2,0xf36ffff8,0xde82fb83,0xf882fa9a,0x80fafffa,
    0xf73f8809,0x007ff901,0x3e64ffb8,0x21ffffff,0x44fffffc,0x7505fffb,
    0x3ffa059f,0x41f980de,0x40fdc3f8,0xb80efffe,0x443fffff,0x707f7e2f,
    0x512c8dff,0x41557f75,0x1febaafc,0xd90b2364,0x01f982c8,0x89d555f9,
    0x3f309de9,0xf128a7d4,0x019fd739,0x0fdf7fdf,0x75f607f3,0x05ff9105,
    0x8833faa0,0x0aaaaaaa,0x13aaabf2,0x906bb3f7,0x13a09bfb,0x3f607e60,
    0x5105fcac,0x33ba015f,0x0ee86ecc,0xcba86c9f,0x0fcc2746,0x21fc47c8,
    0x1b22746c,0x203f309d,0x2742747c,0x2e5f89f2,0x3fbffee7,0xfd7fe83f,
    0x7cc0d70f,0x7ecc01fd,0x3bfd301e,0x747c8000,0xf888bdc4,0x20b7f661,
    0xc982cefa,0x7e41cdfd,0x3f6a04ff,0x11dfb81d,0xcef987fb,0x712fccef,
    0x09f999fd,0x9fb303f3,0x2e25fb99,0x14fcccfe,0x9f999fd7,0x166fee54,
    0x0f7cc7f6,0x7fb99dd3,0x3f666fec,0xd81da84c,0x3d0df94f,0x2006fe80,
    0xfb10dfea,0x881c005d,0x23bf52fd,0xfdcccfd9,0x217fff61,0xfc86fffe,
    0x0304ffff,0x98bfffd0,0xfff73fff,0xfffec883,0xffff52ff,0x1d109fff,
    0xdfffff90,0x7ffffd47,0xffff54ff,0x7ff49fff,0x3fe66fff,0x7e45ff95,
    0x7f42dfff,0x4407ffff,0x98fe40dd,0xfb80285f,0x31eb8003,0x0e88007d,
    0xfe8effb8,0xfffff93f,0x000003ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x77775c00,0x77775c0c,
    0x72eeb81c,0x4fbae7dd,0x3bae3eeb,0x775c1cee,0x263eeb9e,0xea83eeee,
    0x41eeeeee,0x6eeeeeea,0xd82f776c,0xb06f5c4e,0x8a776cbd,0x4eeeeeed,
    0x440e764c,0x2a01bddc,0x532a3bdd,0xeb882cc8,0x4d4de41c,0x337ae64b,
    0x3db9edc1,0xda9ddb88,0x59726443,0x33332a75,0x3ea1023c,0x2a1ffdce,
    0x42feccfe,0x3df51fe9,0x77d4bfa6,0x3f73be61,0x233faa1f,0x3b221efc,
    0xdcfa81cf,0x74c2fcdf,0x5c7dcefe,0xff903cef,0xf717fe21,0xc8bfae7f,
    0x26ecccdf,0x42ffdffa,0x986edefb,0x70ffedff,0x717f62fd,0x645ffbdf,
    0xf34fffff,0x7dc9fdbd,0x43fdfefe,0xfdffedf9,0x7ec5fa63,0xfddf73dd,
    0x7d4bea9f,0x237449d2,0x7c42ec7c,0xef881fb5,0x24e80fd8,0xfbbe46e8,
    0xfa81b205,0x82f89f98,0xd0f74fcd,0xfa87dfff,0xd05ff74f,0x3e1ee1ff,
    0x0df97213,0x2aa20fb1,0xf707642f,0xf17a3dc1,0x33e27d89,0x35f70fc8,
    0x9f94f86e,0x3ee621f6,0x747b8fb4,0x2fd56a3e,0x4e97eff6,0x4cf907d4,
    0x7f9f705e,0x207ffe60,0x1f509de8,0x2027e7e4,0x7cde606c,0xbf3f03f1,
    0x53bd075f,0x7efd45f9,0xde82fde8,0x59f0f75f,0x07e6113f,0x7ff543f3,
    0x0c1fc2ff,0x7d4bd1ee,0x51ffffff,0xfd8be21f,0x23f30cff,0x20fffff9,
    0xfffffffb,0x0bd1ee0f,0x37f417ea,0x643f313a,0x200effef,0x2fe405fd,
    0x9b7fffc4,0x13fff21f,0x3e600d90,0x7ffde601,0x24f89d02,0xfafdfafa,
    0xbaface82,0x41ffff87,0xd0fdc3f8,0xf85f535b,0x2f47b804,0x555559f1,
    0x3f233e61,0x57ee6131,0x55bf72f8,0x2a73e615,0x2e0aaadf,0xa7d42f47,
    0x8bffea08,0xf90fd44e,0xf9809fb9,0x0bfbe601,0x7cc277a6,0x13eebf21,
    0x4c1646c8,0x3fff201f,0x33bd01fd,0x6c7d45f7,0x29d05f6f,0xacf87cfd,
    0xcacfd81f,0x2e73e26f,0x33f60cfe,0x3ea2fbaa,0x360efdab,0x70dcaabe,
    0x3a7fffff,0x365eb9be,0x5baeffbe,0x3bf6b7e2,0x5e7d45ba,0x5ffd46fe,
    0xb1bf35db,0x8fb13a3f,0x980fee7c,0x36df101f,0x3e44e81f,0x900fc9f2,
    0x1f984e8d,0xd93eb3a0,0x1f7fff40,0x7cba63ea,0xfff14e82,0xfc8067f0,
    0xfffb85ff,0x7f642ffe,0x7ff444ef,0x3ae22ffe,0x39b0dfff,0x3fb6b937,
    0x3f620dff,0x545ffeae,0x5ffeefff,0x7ff7ff44,0x3fffff21,0xe98c8936,
    0x263fecce,0x07f90bfd,0xe987bfb7,0x4c3df52f,0x23fdccee,0x5df0bfd9,
    0x6667f5c4,0x1efedc4f,0x677d5fdc,0x33bea2fc,0x2239f902,0x977cc4fc,
    0x66fdc7fb,0x09801802,0x18801100,0x40001300,0x00604018,0x00440183,
    0xfffc8000,0x7ffe42df,0xff883fa2,0x3ff20fff,0x7e4bff94,0x7e42dfff,
    0x54df71ff,0x4fffffff,0x83ffffe2,0xffffeff8,0x3fffa2ff,0x53fff886,
    0x7fe43fff,0xfff89fa6,0x0000006f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0x41040060,0x79973ccb,0x880ccc88,0xc81cdbcc,
    0x02dcbebc,0x26b3220a,0x8665c3cc,0x66543cc8,0x9910bdb8,0x544332e7,
    0x0002cb84,0x00597048,0x5c131081,0x2eeee23e,0x59910bbb,0x0140b2e0,
    0x4430edc0,0x7777710c,0x42617777,0x3f239318,0x4ba4ffff,0x4d3200db,
    0x329ff90e,0x7f74c5ff,0xedffe981,0x37ffa21f,0xf980fdff,0x7d57f4c1,
    0x4cf7ec5f,0x7f5c5fe9,0xfd13fdff,0x5cc3bf6b,0x88ecdc47,0xffffffff,
    0x32e27e42,0xbf1be1e9,0xeb97d5ba,0xffff72ea,0x2aa27fff,0x264e641e,
    0x0b6b50fc,0x4fb5fdfb,0xffff53fb,0x367fffff,0x4cfeeb94,0x221aaaaa,
    0xd881d93e,0x0fb83f55,0x0fcc07f1,0x313a1fb8,0x8be5f13f,0x22bafaba,
    0xf01ed9fa,0x01f75f57,0xb1023df3,0x0f01bf9f,0x5dd41fb1,0x2e2fbbbb,
    0x0e983fdf,0xbb4e85f3,0x5b9ec7e6,0x2e044444,0xd0742ede,0x21d75db8,
    0x7e4723e8,0x44440c2f,0x02000888,0x7e53e200,0x07eebd11,0x4c07ca7c,
    0x4d8f701f,0xf8fc47cc,0x3ffffee2,0x80fffea3,0x06cefddd,0xdfd003f3,
    0x03d883c0,0x653e65f0,0x6b83ae1f,0x3e2993d8,0x265d9d50,0x1ccccccc,
    0xdb89d77d,0x28e543db,0x0004c050,0x20000000,0x644f99ec,0xf704f99f,
    0x1f9807f3,0x4c4d8f70,0x85f1f88f,0x7d40eff8,0xff902fba,0x3e609ffb,
    0x2fefe400,0x5d46fee6,0x25f002eb,0xcfca6c5c,0x25703d1c,0x45951e3a,
    0xeeeeeeea,0x10557713,0x00000037,0x7fffffd4,0x00003fff,0x2e98dc80,
    0x09b13d50,0x5d403ffe,0x3622bcfc,0x641dd32f,0x19f4f8bf,0x321fdfdc,
    0xa837f93f,0xa82ff8ff,0x6c43bcfd,0x223bf95f,0x02a60aaa,0x53001e80,
    0x20006155,0x00000000,0x88000000,0xbbbbbbbb,0x8000000b,0x473002a3,
    0x203fb80b,0x26fffffe,0x5ff76ffa,0x3fe3bfe2,0x5cee1ff8,0x743bfe63,
    0xfca7c43f,0x7ffff440,0x6d7fee0f,0x000003ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_bold_17_latin_ext_x[560]={ 0,3,1,0,1,1,1,3,3,1,1,0,3,1,
3,1,1,1,0,0,1,0,1,1,1,1,3,2,-1,0,0,1,1,-1,0,0,0,0,0,0,0,1,0,0,
0,-1,-1,0,0,0,0,0,0,0,-1,-1,0,0,1,3,1,1,1,-1,3,0,-1,0,0,0,1,0,0,0,
1,0,0,-1,0,0,-1,0,0,1,1,0,0,-1,0,0,1,2,3,2,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,3,1,0,1,0,
3,0,2,-1,2,0,-1,1,-1,-1,2,0,2,2,3,0,0,3,2,2,1,0,0,-1,0,1,-1,-1,-1,-1,
-1,-1,-1,0,0,0,0,0,1,1,1,1,-1,-1,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,
-1,0,-1,0,-1,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,1,0,1,0,1,0,1,0,1,0,0,-1,0,1,0,0,0,0,0,0,
0,0,0,0,0,0,0,-1,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,0,-1,-1,0,0,0,0,0,0,
0,1,0,1,0,1,0,1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,-1,0,0,
0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,-1,0,1,0,0,
0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,-1,0,-1,-1,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__courier_bold_17_latin_ext_y[560]={ 12,2,2,1,1,2,3,2,2,2,2,3,9,7,
10,1,2,2,2,2,2,2,2,2,2,2,5,5,3,5,3,2,2,3,3,2,3,3,3,2,3,3,3,3,
3,3,3,2,3,2,3,2,3,3,3,3,3,3,3,2,1,2,2,15,1,5,2,5,2,5,2,5,2,2,
2,2,2,5,5,5,5,5,5,5,2,5,5,5,5,5,5,2,2,2,6,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,12,5,1,2,4,3,
2,2,2,3,2,5,6,7,3,0,1,1,2,2,1,5,2,6,11,2,2,5,2,2,2,5,-1,-1,-1,0,
0,-1,3,2,-1,-1,-1,0,-1,-1,-1,0,3,0,-1,-1,-1,0,0,4,2,-1,-1,-1,0,-1,3,2,1,1,
2,2,2,1,5,5,1,1,2,2,1,1,2,2,2,2,1,1,2,2,2,3,4,1,1,2,2,1,2,2,
0,3,-1,2,3,5,-1,1,-1,2,0,2,-1,2,-1,2,3,2,0,3,-1,2,0,2,3,5,-1,2,-1,2,
-1,2,0,2,2,1,-1,-1,3,2,0,2,0,3,-1,2,3,2,0,5,3,2,-1,2,3,2,5,-1,-1,3,
2,3,2,3,2,3,2,-1,1,3,5,-1,2,2,2,5,0,3,-1,2,-1,1,3,5,-1,1,3,5,-1,2,
-1,1,-1,2,2,5,-1,2,3,2,-1,2,3,2,0,2,0,3,-1,2,-1,1,-1,1,3,5,-1,2,-1,2,
0,-1,1,0,2,-1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,4,2,2,2,2,2,2,2,2,2,2,2,2,2,1,5,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,-1,2,-1,2,-1,
2,-1,2,-1,0,-1,-1,-1,-1,-1,-1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,-4,-1,-1,1,-1,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static unsigned short stb__courier_bold_17_latin_ext_w[560]={ 0,3,6,9,7,7,8,3,5,5,7,9,4,7,
3,7,7,7,8,8,7,8,8,7,7,8,3,5,10,9,10,7,7,11,9,9,9,9,9,9,9,7,10,10,
9,11,10,9,9,9,10,9,9,9,11,11,9,9,7,5,7,5,7,11,3,9,10,9,10,9,8,9,9,9,
6,9,9,11,9,9,10,10,9,7,8,9,10,11,9,9,7,5,3,5,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,0,3,7,9,7,9,
3,9,5,11,6,9,10,7,11,11,5,9,5,5,3,9,9,3,4,5,7,9,9,11,9,7,11,11,11,11,
11,11,11,9,9,9,9,9,7,7,7,7,10,10,9,9,9,9,9,7,9,9,9,9,9,9,9,8,9,9,
9,9,9,9,11,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,10,9,
11,9,11,9,11,10,9,9,9,9,9,9,9,9,9,11,10,10,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,7,9,7,9,7,9,7,9,7,9,9,10,10,6,10,9,9,9,9,9,
9,9,9,9,9,9,9,10,9,10,9,10,9,10,9,8,9,9,9,9,9,9,11,11,10,9,10,9,10,9,
9,7,9,7,9,7,9,7,9,8,9,10,9,9,9,9,9,9,9,9,9,9,9,9,9,9,11,11,9,9,
9,7,7,7,7,7,7,8,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,10,10,9,9,9,9,9,9,9,9,9,9,9,9,9,11,10,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,11,9,7,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,11,9,11,11,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9, };
static unsigned short stb__courier_bold_17_latin_ext_h[560]={ 0,11,6,13,13,11,10,6,13,13,7,9,6,2,
3,13,11,10,10,11,10,11,11,11,11,11,8,9,9,5,9,11,12,9,9,11,9,9,9,11,9,9,10,9,
9,9,9,11,9,13,9,11,9,10,9,9,9,9,9,13,13,13,6,2,4,8,11,8,11,8,10,11,10,10,
14,10,10,7,7,8,11,11,7,8,11,8,7,7,7,11,7,13,13,13,4,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,0,11,12,10,8,9,
13,12,3,10,5,7,6,2,10,3,5,11,6,6,4,11,12,3,4,6,5,7,10,10,10,11,13,13,13,12,
12,13,9,13,13,13,13,12,13,13,13,12,9,12,14,14,14,13,13,7,12,14,14,14,13,13,9,11,12,12,
11,11,11,12,8,10,12,12,11,11,11,11,10,10,11,10,12,12,11,11,11,9,10,12,12,11,11,15,14,14,
12,10,13,11,11,9,14,12,14,11,13,11,14,11,13,11,9,11,12,10,13,11,12,11,11,10,13,11,14,14,
14,14,13,14,13,15,13,13,9,10,12,10,12,9,13,10,12,13,12,7,10,14,14,14,12,13,7,13,13,12,
13,9,10,9,10,9,10,13,11,12,10,13,10,10,11,11,13,10,14,11,14,12,9,8,13,11,12,10,13,10,
14,12,14,11,13,10,14,11,14,14,13,11,9,11,13,11,13,10,14,11,14,12,14,12,12,10,13,10,13,14,
12,13,11,12,10,13,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,11,10,10,12,10,10,10,
10,10,10,10,10,10,10,10,10,10,11,9,10,10,10,10,10,10,10,10,10,10,10,10,10,12,8,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,13,11,13,10,14,
11,14,11,14,13,14,14,14,14,14,14,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,16,14,13,12,15,13,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10, };
static unsigned short stb__courier_bold_17_latin_ext_s[560]={ 254,252,156,31,248,80,159,163,213,105,64,
84,151,247,243,119,191,168,176,182,185,49,215,41,118,11,252,186,204,173,215,
80,94,50,94,242,1,246,129,70,236,21,138,53,64,106,118,129,11,229,11,
31,74,213,192,174,32,22,155,166,111,99,137,221,207,149,20,159,245,179,223,
225,232,242,43,203,193,52,42,139,9,185,94,197,196,169,21,82,104,205,240,
31,1,247,211,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,
149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,254,252,182,
118,189,1,250,160,237,54,183,11,126,247,11,225,167,215,145,120,203,235,32,
221,198,114,190,1,108,96,108,1,167,241,211,107,170,199,84,125,157,189,78,
122,23,15,239,248,42,43,140,160,180,135,145,248,238,200,220,230,182,203,96,
61,228,23,31,21,11,54,217,206,132,142,205,195,185,175,236,128,146,226,64,
84,108,98,88,226,196,102,112,119,41,33,10,21,208,176,93,126,58,163,31,
152,120,162,219,242,61,209,147,230,144,219,74,41,1,224,33,1,147,77,115,
1,71,81,190,210,83,51,127,13,137,68,134,67,99,246,80,124,223,1,52,
231,119,32,23,91,102,143,139,58,72,179,37,70,172,114,138,104,148,74,158,
88,172,11,186,47,216,33,136,156,5,44,160,70,180,60,62,205,192,88,88,
76,155,86,170,190,133,139,105,168,41,157,240,1,41,30,40,20,11,165,238,
66,150,199,123,42,190,22,150,118,71,96,21,113,198,210,234,220,59,218,51,
87,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,51,149,149,1,
149,149,149,149,149,149,149,149,149,149,149,149,149,98,29,149,149,149,149,149,
149,149,149,149,149,149,149,149,11,229,149,149,149,149,149,149,149,149,149,149,
149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,51,109,
63,128,170,165,150,175,130,1,110,100,90,80,70,60,149,149,149,149,149,149,
149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,
149,149,149,1,50,226,127,23,200,149,149,149,149,149,149,149,149,149,149,149,
149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,
149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,
149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,
149,149,149,149,149,149,149,149,149, };
static unsigned short stb__courier_bold_17_latin_ext_t[560]={ 1,74,155,33,18,99,124,155,33,47,155,
135,155,155,155,47,74,124,124,74,124,87,87,87,87,87,124,135,135,155,135,
87,74,135,135,87,145,135,145,99,135,135,124,145,145,145,145,99,135,33,145,
112,145,124,135,135,145,145,135,33,47,47,155,159,155,145,112,145,99,145,124,
99,124,124,1,124,124,155,155,145,112,99,155,145,99,145,155,155,155,99,145,
47,47,33,155,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,
124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,1,87,61,
124,145,135,1,61,155,124,155,155,155,155,124,155,155,99,155,155,155,99,61,
155,155,155,155,155,124,124,112,112,47,47,47,61,61,47,145,33,47,47,47,
74,47,47,33,61,145,74,1,1,1,33,33,145,61,1,1,1,33,33,145,
99,61,74,99,99,99,74,145,112,74,74,87,87,87,87,112,124,87,112,74,
74,87,87,87,135,112,74,74,99,99,1,18,18,61,112,33,87,87,135,18,
74,1,74,33,74,18,74,47,74,135,74,74,112,61,87,74,88,99,112,33,
100,18,18,1,1,33,18,47,1,47,47,135,112,61,112,61,135,47,124,61,
47,61,155,124,18,18,18,61,47,155,47,47,61,33,135,112,135,112,135,112,
47,74,61,112,47,112,124,87,87,47,124,18,87,18,61,135,145,33,99,61,
124,33,124,18,61,18,99,33,112,18,99,1,18,33,87,135,87,33,87,18,
124,18,74,18,61,18,61,61,112,33,112,33,18,61,18,87,61,112,18,112,
112,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,99,124,124,75,
124,124,124,124,124,124,124,124,124,124,124,124,124,99,135,124,124,124,124,124,
124,124,124,124,124,124,124,124,74,145,124,124,124,124,124,124,124,124,124,124,
124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,33,99,
33,112,1,99,1,99,1,33,1,1,1,1,1,1,124,124,124,124,124,124,
124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,
124,124,124,1,1,18,61,1,18,124,124,124,124,124,124,124,124,124,124,124,
124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,
124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,
124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,
124,124,124,124,124,124,124,124,124, };
static unsigned short stb__courier_bold_17_latin_ext_a[560]={ 144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_17_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_bold_17_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_17_latin_ext(stb_fontchar font[STB_FONT_courier_bold_17_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_17_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_bold_17_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_17_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_17_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_17_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_17_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_17_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_17_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_17_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_17_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_17_latin_ext_s[i] + stb__courier_bold_17_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_17_latin_ext_t[i] + stb__courier_bold_17_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_17_latin_ext_x[i];
            font[i].y0 = stb__courier_bold_17_latin_ext_y[i];
            font[i].x1 = stb__courier_bold_17_latin_ext_x[i] + stb__courier_bold_17_latin_ext_w[i];
            font[i].y1 = stb__courier_bold_17_latin_ext_y[i] + stb__courier_bold_17_latin_ext_h[i];
            font[i].advance_int = (stb__courier_bold_17_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_17_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_17_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_17_latin_ext_s[i] + stb__courier_bold_17_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_17_latin_ext_t[i] + stb__courier_bold_17_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_17_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_17_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_17_latin_ext_x[i] + stb__courier_bold_17_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_17_latin_ext_y[i] + stb__courier_bold_17_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_17_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_17_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_17_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_17_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_17_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_17_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_17_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_17_latin_ext_LINE_SPACING
#endif

