// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_20_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_20_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_20_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_courier_bold_20_latin_ext_BITMAP_HEIGHT        216
#define STB_FONT_courier_bold_20_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_courier_bold_20_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_bold_20_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_bold_20_latin_ext_LINE_SPACING           9

static unsigned int stb__courier_bold_20_latin_ext_pixels[]={
    0x020025c0,0x06003300,0x28000cc0,0x26000cc0,0x80101002,0x4400151a,
    0x0400e000,0x13333260,0x04080660,0x10200810,0x98805100,0x20010000,
    0x01ec8028,0xfb801b60,0x50058801,0x36c4005f,0x8800fe60,0x99ec803d,
    0x2774c04e,0x1005f300,0x3fd8805d,0x004cccc0,0x8afa83fc,0xb15f507c,
    0x322bea0f,0x06ffd407,0x20037fcc,0x7dc04fd8,0x01b500df,0x40037a20,
    0x099001eb,0xe801fcc0,0x007d3005,0x701eca5d,0x31f807ff,0x05f50132,
    0x07b18ae8,0x20dd39f3,0x9003e66b,0x06ffd409,0x401bff50,0x2a00dffa,
    0xf710f92f,0x4efc400d,0x89eb80ed,0x0057106d,0x813000e2,0x8003f201,
    0x80030018,0x540b8018,0x5c00cc01,0x06a00cc0,0x103502e0,0x44530283,
    0x05100003,0x14400a20,0xdf004080,0x40a0c400,0x59390080,0x003bb100,
    0x017dcb2a,0x85554401,0x2aa22aaa,0x9055550a,0x5544274d,0x9055550a,
    0x5544274d,0x9055550a,0x5544274d,0x1055550a,0x54433797,0x455550aa,
    0x0eeeeed8,0x2aa15551,0x9bcb882a,0x802f2a01,0xdedcffc8,0xdeecb7c1,
    0x35997300,0x77776c41,0x01cac80e,0x640489b8,0x86ffffff,0xdedbefc8,
    0xf1bfffb1,0x3ff65fff,0x2ffff8df,0xfb059254,0xffff1bff,0x20b24a85,
    0xff8dfffd,0x592542ff,0xf1bfffb0,0x7fdc5fff,0xffb0ffff,0x5ffff1bf,
    0x3fffffa6,0xf1bfffb0,0x7fdc5fff,0x7e40ffff,0xfa82ffff,0x1effffef,
    0x0effeb7c,0xffffffb8,0x3ffffa65,0x002b880f,0x7dc05bb3,0x42ffc8be,
    0xffffeffa,0x215fb11e,0x3f623fc9,0x007f930a,0x9857ec40,0x220003fc,
    0x7f930afd,0x57ec4000,0x7c47f930,0x10ffa89d,0x3f2615fb,0xd887e403,
    0x47f930af,0xffa89df8,0x326fbee0,0x90fec0ff,0x3f7be0ff,0x15bf700e,
    0xfc80bf93,0x02aaaa20,0xff100440,0x7ec5ffe8,0x1f61fee1,0x70fb0bee,
    0x9977545f,0xb87d86ed,0x4cbbaa2f,0xb87d86ed,0x4cbbaa2f,0xb87d86ed,
    0xf70bee2f,0x02fb87d8,0x70fb07e4,0x2e17dc5f,0x3ea1fe27,0x1fe13e25,
    0x3a037ffc,0xfc807d06,0x13ffff20,0x2dffec88,0x33f24fa8,0x3e13e27e,
    0x2fb87d87,0x717dc3ec,0x1ffaa7ff,0xb8bee1f6,0x0ffd53ff,0x5c5f70fb,
    0x0ffd53ff,0x4c5f70fb,0xfb020aef,0xfc805f70,0x8bee1f60,0xa820aef9,
    0x7ccff04f,0xfff07e83,0x00fe207f,0x2a20fc80,0xf300fffd,0xc81ffddf,
    0x3f2bf71f,0x0fd07f31,0xd85f70fb,0x7cc2fb87,0x43ec3ec3,0x21fcc2fb,
    0xfb87d87d,0x1f61fcc2,0x70bee1f6,0xd819dfff,0x6402fb87,0x3ee1f60f,
    0x677ffdc2,0x7e407f20,0x7fa83ba1,0x09fd1df0,0x640005f5,0x3fbfe80f,
    0xa89f3100,0xfb0ff9af,0xff507741,0x85f70fb0,0x4c2fb87d,0x3ec3ec3f,
    0x0fe617dc,0xf70fb0fb,0x3ec3f985,0x417dc3ec,0x6c6ffdb8,0x6402fb87,
    0x3ee1f60f,0x6ffdb882,0x07ec0bee,0xfffd9ff7,0xff16fd88,0xfb17d49d,
    0x7e403fff,0x37c67cc0,0x9ffffb50,0x11fedf88,0xecffb8ff,0x40fc87ff,
    0x207e41fb,0x21fcc1fb,0x5c0fc87d,0x361fcc1f,0x7dc0fc87,0x1f61fcc1,
    0x43f703f2,0x322fc819,0x200fdc0f,0x703f20fc,0x7e40cc3f,0xff10bf52,
    0xfddffb50,0xfd16ff98,0xd727ccdf,0x7e403ffd,0x1fc8fe40,0xfeddffb8,
    0xb13ffd84,0xbffb507f,0xe87f70fd,0x3743fb86,0x0fd127cc,0x986e87f7,
    0x2e1fa24f,0x7cc3743f,0x3ee1fa24,0x03fa3743,0x21fdc5f7,0x20fd806e,
    0x3a3743fb,0xfd17dc0f,0x101fec45,0x20001fa1,0x405f80ff,0x33fe20fd,
    0x37c44fdc,0x3ff213e6,0x4406ffcd,0xdfd10fd0,0xfd105fd9,0xf105fd9d,
    0x89fff99f,0x2fecefe8,0xffccff88,0x677f444f,0xcff882fe,0x7444fffc,
    0x742fecef,0x46fecdff,0x2fecefe8,0x3a237d40,0x742fecef,0x46fecdff,
    0x6ffceff9,0x405fb880,0x3fee01fc,0x205fecce,0x7ffdc6fa,0x7f40ffff,
    0x24fffdcc,0x2dffdefa,0x20bf7100,0x202dffd8,0x202dffd8,0x6feefffa,
    0x02dffd88,0x3fbbffea,0x2dffd886,0x3bbffea0,0xdffd886f,0xfffedc82,
    0xdffd881c,0xfffff982,0x2dffd881,0xcfffedc8,0x4fffb881,0x3ffffea0,
    0x00bfae00,0x3bffffd5,0x0fffffcc,0x2e6667fa,0x7fff4c3f,0x83f66ffd,
    0xffffa800,0x0004400f,0x004c0011,0x04c00110,0x4c001100,0x40022000,
    0x40110018,0x400bccc8,0x00310008,0x6664c00c,0x001a800b,0xccc880cc,
    0x37ff620b,0x107ffb50,0x80008013,0x000bccc9,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x1dfff300,0x0017ffee,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00983300,0x200d4004,0xaaaaaaa8,
    0x400ccc2a,0x01880040,0x4c000008,0x01440001,0x08110122,0x02880000,
    0x02880280,0x10020000,0x02000a85,0x10144540,0x9037ccff,0x406e803f,
    0xfffffff9,0x1ffff16f,0x3ec57d40,0xb101fcc0,0x9d36407f,0x0003ffe0,
    0x13e607d8,0x4034cb50,0xffa803e8,0x05e8800d,0x22004f88,0x007dc03e,
    0x003ea5f1,0xf700ffa2,0x264409d3,0x075c0791,0xbf301ba0,0x4df57fb5,
    0x5400fecb,0x7d400dff,0x3a73e602,0x81649506,0x30000feb,0x00be20bf,
    0x4017f7ec,0x97d404f9,0x0274407c,0x2600bd10,0x33f6204f,0x5dfd500a,
    0xbd39f300,0x013a3ae0,0x75400000,0x20deeeff,0x3a1f93f9,0x8800fc86,
    0x88011002,0xc8000141,0x3f90000f,0x01440000,0x02040020,0x00c00060,
    0x7ffd4010,0x200005ff,0x30881418,0xdaeeed80,0x7e445eee,0xf71dedcf,
    0x41dfffff,0x361f92f8,0x4c00fc85,0x98099ccb,0x98099ccb,0xb3099ccb,
    0x37baa1bd,0x77f5fe40,0x237c400c,0xdd50ded9,0x02f2a01b,0x13599730,
    0xea86f6cc,0x179500de,0x80179500,0x2099ccb9,0x85fb9afe,0xdedcffc8,
    0x55555501,0x542aaa21,0xfffe82aa,0x2a7fffeb,0xeffffeff,0x90403741,
    0x00fc801f,0x3ffffff2,0x7ffffe44,0x7fffe44f,0x1dff54ff,0xf903bfee,
    0x01dffdff,0x3fea17e4,0x81dff70e,0x02fffffc,0xbffffff7,0xfb877fd4,
    0x7ffe40ef,0xfff902ff,0x3ff205ff,0xbf14ffff,0x77fd4198,0xa81effff,
    0xb5ffffff,0xfff1bfff,0xd07f205f,0xff90fecf,0xf9001ba0,0x700fc801,
    0xbfb313df,0x6cc4f7dc,0x227bee5f,0x0fee5fd9,0x1bf901fd,0x6f882fdc,
    0x0fe87f70,0x7e4df7dc,0x456fdc0f,0x1fdc5fc9,0x7df703fa,0xfb81ff93,
    0x40ffc9be,0xfd989efb,0x40b3ff65,0x01ff21fd,0x215bf753,0xf930afd8,
    0x3a0fe407,0x0ff09f17,0x1f9001ba,0xdf00fc80,0x437c9f10,0x221be4f8,
    0xfa87f44f,0xfd03f904,0xfe80bee0,0x7f889f50,0x83745fa8,0xf50fe83e,
    0xfa87f889,0x3ea1fe25,0x27c437c5,0x887fffee,0x1007f84f,0xf70fb09f,
    0x3a0fe405,0x0fd07f37,0xfc8061ba,0x4c07e400,0x3e61304f,0x13e61304,
    0x74fee04c,0xd05f900f,0xf701be0d,0x9f503fa7,0x03f89fe0,0x0fe9fdc0,
    0x27f827d4,0x4cff04fa,0x2201304f,0x20fe65fb,0x09f1007e,0x405f70fb,
    0xdd3f41fc,0xfc83fd41,0x5c2ffdcd,0x901deffe,0x005f501f,0x5f5005f5,
    0x4fbfe800,0x644bbf20,0x803fb82f,0xfc84fbfe,0x3ea3f901,0xfbfe8002,
    0xf901fc84,0x7e407f23,0xf5005f51,0x07747d81,0x3e200ff5,0x2fb87d84,
    0x6f7ff6c4,0x67fdcfd2,0xfb107ffe,0xffb07fff,0x76d45fff,0xf50deeff,
    0x005f5005,0xfa8005f5,0x3ff200ff,0xfd05ffff,0x1fff5001,0x3f605f70,
    0x7fec5f50,0xfffa81ff,0xfb02fb80,0x7ec0bee1,0xf9005f50,0xb8bf935d,
    0x87ffecff,0x6c27c43d,0x7442fb87,0xfd4fffff,0x7eeffda8,0x40000980,
    0xfffffffc,0xf100bf11,0x00bf100b,0xfc809fd0,0xf500bdc9,0x827f4007,
    0x27f885fa,0x3fbae4f9,0x209fd01f,0x27f885fa,0x27f885fa,0xffb805f8,
    0xda81efff,0x5f87eeff,0x07e427c4,0x3a0007ee,0x81fa1106,0x1f7003f8,
    0x82fe8000,0x2e0bfa4b,0x12e0bfa4,0x3f2007fc,0x001fd000,0x5fd007fc,
    0x3fe1fec4,0x3fe05f80,0xd88bfa00,0xb117f43f,0xb82fe87f,0x07fb3314,
    0x3e1fa110,0x7dc1fd45,0x22003743,0x3ee204fb,0xa801ec05,0x817d401f,
    0xfeccfff9,0x333ffe65,0x3ffe65fe,0xfb85fecc,0x800fc803,0x3ee004f9,
    0x677fcc03,0xeffb86ff,0xf705fecc,0xceff9807,0xeff986ff,0xff986ffc,
    0xc85feccf,0xbf71000f,0xdf99dff0,0xd9dfd101,0x3ffa005f,0x7ffd40ef,
    0x006c00ff,0x77540588,0x3fff6603,0xfffd984f,0xfffd984f,0x3fffee4f,
    0x3fffa02f,0x003ea00f,0x05fffff7,0x04fffb88,0x37ffffaa,0x3ffffee1,
    0x7ffdc402,0x3ffee204,0x3fff6604,0xa80f704f,0xa80fffff,0x200dfffd,
    0x002dffd8,0x2602b32e,0x0800bccc,0x2a002a00,0x40022002,0x30110008,
    0x40399999,0x000ccccb,0xccccc980,0x30006001,0x33332603,0x0006001c,
    0x80088003,0x5e664c00,0x20009800,0x00000008,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00408000,
    0x15000654,0x20010220,0x14454000,0x00400040,0x80100510,0x50d88028,
    0x88066009,0x02175002,0x08801500,0x26666004,0x08198000,0x0ba80040,
    0xf1066201,0xc9807a21,0x01f90059,0x4406996a,0x3f7003fd,0x1fec409d,
    0x803fd880,0x3f6204e8,0x3013e203,0x2a01b23f,0x013e201f,0x01fbfbd7,
    0xf7003b20,0x7d40db15,0x5c006fff,0x4407dc1f,0x6f5c03fd,0x7fec0fdf,
    0x27f7dc1f,0x20167620,0x77ec00ed,0x273e602f,0x7475c06e,0x3a73e604,
    0x74e7cc05,0x980fe206,0x2205e9cf,0x5c00005e,0x05e8801f,0xb000b982,
    0x3fea001d,0x2000000c,0x40fc81eb,0x206e9cf9,0x32602e60,0x00a881fe,
    0x03001730,0x0c401440,0x0061100a,0x0c402831,0x4401880a,0x400c0141,
    0x04c00bca,0x32a00600,0x0003000b,0x55544031,0x30055550,0x3103f201,
    0x0aaa8828,0x3f905555,0x09accb98,0x5542aaa2,0x9bcb882a,0x542aaa21,
    0x2f2a02aa,0x80bca800,0x5550aaa8,0x262aaa85,0x55510aaa,0x55443555,
    0x2a21aaaa,0xc81aaaaa,0x442fffff,0x22aaaaaa,0xaaaaaaa8,0x7fffe40a,
    0x5555102f,0xaaaa8801,0x1bfffb00,0x5505ffff,0x23555555,0x455510fc,
    0x3ff62aa8,0x2ffff8df,0xfff70fe4,0x7fecbfff,0x2ffff8df,0x3fffffee,
    0xf1bfffb0,0xffc85fff,0xff902fff,0xffd85fff,0x2ffff8df,0x3a5ffff1,
    0xfff75fff,0x7fdcffff,0x3ee7ffff,0x5c7fffff,0x0ffc9bef,0x3fffffea,
    0x3fffff27,0x3bee2fff,0xc80ffc9b,0x6404ffff,0xb104ffff,0x0ff2615f,
    0x3fffffea,0x2e1f94ff,0xfffb0fff,0x4c2bf621,0x71fc83fc,0xbf9315bf,
    0xc9857ec4,0x2277e23f,0x5fb10ffa,0xf70ff261,0x81ff937d,0xffc9befb,
    0x4c2bf620,0x0efdc3fc,0x54c1fd51,0x54c0abfd,0x54c0abfd,0x3e20abfd,
    0x3ea5fa87,0x225fdaac,0xfcaaadfb,0xbf50ff12,0x1fffb510,0x7ffed440,
    0x5f70fb00,0x2b7f3ea0,0xfb8d54fb,0xfb07be66,0x3f905f70,0x361f41ba,
    0x3ee2fb87,0x21f63dc2,0x21fe22fb,0x21fe25fa,0x5c3ec5fa,0xeca7cc2f,
    0x03f20df1,0xfc801f90,0xff04fa80,0x0ff997d4,0xfa899fcc,0x1fe09f51,
    0x803fbfe8,0xfb03fbfe,0x3ea05f70,0x809f14fa,0xb03fd2fd,0xf905f70f,
    0x6c007f13,0x3e62fb87,0x0fb020ae,0x827d45f7,0x7c13ea7f,0x17dc3ec7,
    0x57fe33e2,0x801f905f,0x07e400fc,0x1fc80fe4,0x03fd1191,0x8abd39f3,
    0x03f901fc,0x80df19f3,0xb06f8cf9,0x3205f70f,0x1bbecf9e,0x3f3fe206,
    0x5f70fb04,0x05f53f90,0x17dc3ec0,0x033bffee,0x645f70fb,0x323f901f,
    0x6c3f901f,0xdf82fb87,0x04f9fffa,0x0fc801f9,0x7dc07e40,0xfb01fb02,
    0x3fffe607,0xfb02fb85,0x3f23f901,0x7e47f201,0x2fb87d81,0xbfff39f0,
    0xffa80fb8,0x3ee1f606,0x2fa9fc82,0xd87ffff6,0xb882fb87,0x43ec6ffd,
    0x40bee2fb,0x205f70fd,0x2e1f60fd,0xcfdee82f,0x1f903fcf,0x6400fc80,
    0x885fa80f,0x025fc87f,0x50bf9bf3,0x10ff10bf,0x09fb99ff,0x3f733fe2,
    0x7dc0fc84,0xefddf981,0xd807e44f,0x703f202f,0xf33f903f,0x0fff75c9,
    0x21fb81f9,0x322fc819,0xf50fdc0f,0x7d4ff10b,0x7e47f885,0x7ec0fdc0,
    0x02fff8ef,0x0fc801f9,0xfe807e40,0xf50ff622,0x7f30fd4d,0x5fd164f2,
    0x7dc1fec4,0x80ffffff,0xfffffffb,0x1ba1fdc0,0x5e7f77dc,0x201f9189,
    0x0fee00fc,0x7c7f20dd,0x7dc5f80f,0x03fa3743,0x21fdc5f7,0x222fe86e,
    0x117f43fd,0x43fb87fb,0x27ff906e,0x1f901ffe,0x6400fc80,0x9dff300f,
    0x0ff88dff,0x83f98bee,0x33bfe65f,0x33fd06ff,0xfd07f733,0x87f73333,
    0x2fecefe8,0xd93e69d0,0x3f201f96,0x33bfa200,0x23f902fe,0xfecceffb,
    0x7677f445,0x66fff42f,0x77f446fe,0xff982fec,0xf986ffce,0x886ffcef,
    0x02fecefe,0x3fee1ff7,0x3bffb660,0x3ffb664e,0x3fb664ee,0xfb884eef,
    0xeffc84ff,0xfd52feee,0x8bfddddd,0x884fffb8,0xfb50dffd,0x37ff627f,
    0x887ffb50,0xd882dffd,0xeeefebef,0xeb81f97f,0xb101deff,0xff705bff,
    0x7fff543f,0xffd881df,0xffedc82d,0xffd881cf,0x3fee202d,0x3fee204f,
    0x3ff6204f,0x89bea02d,0x7fffd47f,0x3ffea6ff,0x3fea6fff,0x0c06ffff,
    0xffffffb0,0x3fffee5f,0x0605ffff,0x70efff98,0x3fe6bfff,0xbfff70ef,
    0xff880220,0xffffffdf,0xfffb0937,0x008805ff,0x4c03bb6a,0x20011001,
    0x00110018,0x000c0018,0x00000011,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x44020000,0x02000099,
    0x04cccc01,0x20402880,0x8015c400,0x04080080,0x26732e60,0xaa82aa60,
    0x4c00002a,0x0106a001,0x2200cccc,0x02880040,0x01555551,0x84c00a80,
    0x40028808,0xffc83fd8,0x500eb81f,0x2a0fb15f,0x8806ffff,0x22bea04e,
    0x164e406d,0x80971e40,0x203f74f8,0x4ffffffc,0x7fc57ffe,0x7bb642ff,
    0x7005f500,0x03ee7fff,0x813ffff2,0x806d8afb,0xfff904e8,0xb003bfff,
    0xe9fcc01d,0x8017dc0e,0x646e9cf9,0x1fc80bcf,0x0037fea0,0x803f8800,
    0x6400dffa,0xee8801ca,0xfe8800ee,0x13df701e,0x7f44bfb3,0xb07f932f,
    0xf5003f6f,0x75df1003,0x00003f23,0x20067fd4,0x3ee203f8,0x405fcaad,
    0x8ff400de,0x037c44fb,0x3f214188,0x14400400,0x400bca80,0x00a20018,
    0x260015c4,0x7c028001,0x7e44f886,0x3a0bea6f,0x01300fb7,0x3f20bee0,
    0x013a6c80,0x00c40062,0x07ee1fcc,0x25f98018,0x0fe40ff8,0x55555510,
    0x103f2155,0x45555555,0x2aaaaaa8,0x2fffffc8,0x55555544,0x555510aa,
    0xa8855555,0x54400aaa,0x2a600aaa,0x98aaaa0a,0xfc81304f,0xd05f54fc,
    0x2aa61fad,0x260aaaa0,0x07e40afc,0x51059254,0x22015555,0x0aaa22aa,
    0x07f447f3,0x01555551,0x0ff20fec,0x7fe40bf1,0x92ffffff,0xffffa81f,
    0x3ffea7ff,0x77dc7fff,0x320ffc9b,0xffffffff,0xffffff32,0xfffc8dff,
    0x7ffe404f,0x57ffe04f,0xf52ffff8,0x747e4005,0x3ea2fa9f,0x21efffff,
    0xfff15fff,0x7fffe45f,0x0003f21f,0xffffffc8,0x87ffdc1d,0x3e60fffd,
    0x643ffeee,0x1dffffff,0x85f987f8,0xbf7101fd,0x325f9555,0x5567d40f,
    0x2b3ea5fd,0x1fe25fda,0xdfb897ea,0xf32fcaaa,0xdf57fb5b,0x0fffda88,
    0x3fff6a20,0x25ffd100,0x0bea3fc9,0xef98fc80,0x3ff662fa,0x3a21dffe,
    0x87f932ff,0x20bdfeb9,0x4bbaa0fc,0x7dc46ed9,0xb85fcaad,0x307be66f,
    0x10bfffff,0xbf955bf7,0x6f886f88,0x3e605f98,0x323f5133,0xf997d40f,
    0x7ccbea0f,0x7c13ea0f,0xa899fcc7,0x3f27f31f,0x2ffa0dd0,0xfbfe803f,
    0xa9bff203,0x8017e22f,0x5fdf90fc,0x20bf4f88,0x0bea6ffc,0x07e40fe4,
    0x3faa7ff7,0x7dc3f987,0x3fd2fd81,0x3fe67f30,0x7dc3f982,0x3fc17e61,
    0x9f300fd8,0x0fc8abd3,0x0ff44644,0x07fa2322,0x87f203f9,0x455e9cf9,
    0x361f92f8,0x6f8cf985,0x37c67cc0,0x2a9f9f90,0x5c17f42f,0xfe887e44,
    0x277ea22f,0xfcfc80df,0x3f205f54,0x7cc0fc81,0x1fcc3ec3,0xff101fd1,
    0x8fe609f9,0x1fcc1ff8,0x2fcc1fd1,0x09f507f8,0x217fffe6,0x0ff600fc,
    0x5f707fb0,0xff983f60,0x7e4105ff,0xfc8fe400,0x7e47f201,0x3fd1f901,
    0xfff985f5,0x3ea5fecc,0x45ff53ef,0x7ffffffe,0xa9fe8fc8,0x903f902f,
    0x6c3f981f,0xfeeef987,0x1bfea03f,0xa86f7f54,0x3bbe63ff,0x86f83ffe,
    0x03fa05f9,0x217f37e6,0x4bf900fc,0xa825fc80,0x4c7f885f,0xc805fcdf,
    0x33fe200f,0xff104fdc,0x3209fb99,0x2faef98f,0x4ffffd98,0xfb27ffdc,
    0x7eefecc5,0xf98fc82e,0x3f902fae,0x3f981f90,0x7ffcc3ec,0x2fd805ff,
    0x41dfff70,0x3ffe65fc,0x81fd05ff,0x0fea04fa,0x2c9e4fe6,0x4df501f9,
    0xa9bea1fa,0xd88bfa1f,0x3c9fcc3f,0x803f2059,0xfffffffb,0xfffffb80,
    0x90fc80ff,0x7c405fdf,0x3ea00000,0x1f903f9a,0x740bfbf2,0xf981f907,
    0x3e61fa24,0xc805ff33,0x2600000f,0x705ff33f,0x401fe89f,0xf83f987e,
    0xff881f95,0x7fc4bee0,0xff98bee0,0xf986ffce,0x1f905f83,0x4cccff40,
    0x99fe83fb,0xfc83fb99,0x405ffd10,0x9f3005e9,0x17d4fdc0,0xffd10fc8,
    0x827eee45,0x67fc40fc,0x7cc4fffc,0xc807fe23,0x09f3000f,0x3ff11fcc,
    0xbf50ff88,0x7547f700,0x5feeeeef,0x3f23fff9,0x92feeeef,0x5fddddff,
    0x84fffb88,0xeeeeefea,0x77ff5c5f,0x37ff621d,0x227ffb50,0xfb50dffd,
    0x9f7fd47f,0xdf302ffa,0x0bdd100b,0x40fdcfdc,0xff53effa,0x8067fe45,
    0xfffa80fc,0x3faa6fee,0x87ff50de,0x01deffeb,0x75417ba2,0x7ff50def,
    0x03fb3fb8,0xfffb9be0,0xd75fffff,0x3fff61bd,0xffb2ffff,0x405fffff,
    0x3fffee01,0x7ec5ffff,0x3e62ffff,0xfff70eff,0x43bffe6b,0x3ee5fffb,
    0x00bf64ff,0x0054c003,0x7dc12291,0x10bf64ff,0x4c049801,0x3bffee00,
    0xffb17f20,0xa9805fff,0x1dfff700,0xb8e42fe4,0x001aa003,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x08080040,0x00008110,0x08100810,0x00aaaaa8,0x33001910,0x02002a00,
    0xa9955544,0x65c4002a,0x50d8819b,0x00002009,0x00400330,0x09accb98,
    0x55102044,0x00aaaa15,0x037f2000,0x09d33d90,0x5c06a96e,0x22bea00e,
    0xd8afa87d,0x7ffffcc7,0x804e9804,0x3d9001fa,0x7e41ff80,0xfffe8fff,
    0x3ee3fc80,0x4c0fffff,0xd880d91f,0x00eb803f,0x36201fe2,0x7ffdc03f,
    0x32d45fff,0x8dfffd8d,0xb902ffff,0x277a2007,0x7fdc00fd,0x17f7f403,
    0xf5007f20,0x3fea01bf,0xadfb980d,0xb803f800,0x0fdc001f,0xfb88ff70,
    0x303dfb1d,0x277e23bf,0x0000ffa8,0x0374e7cc,0x4c8807f2,0x374e7cc0,
    0xc98adfb8,0x2fefd85f,0xc9857ec4,0x0169103f,0x4c005428,0x40031001,
    0x10051000,0x004f9805,0x01300333,0xf9002600,0xfd8bf981,0xfb87f205,
    0x55513dc2,0x220aaaa1,0x00040141,0x40a15440,0x2207d06e,0x3ee1f602,
    0x40133602,0x100aaaa8,0x10155555,0x55555555,0x2aaaaa21,0x55510aaa,
    0x22155555,0x81aaaaaa,0x7fc404f9,0x555500ff,0xaaa88015,0x207e400a,
    0x404fecf9,0x2bbe60fc,0xdfffd820,0x2a2ffff8,0x435551aa,0x1aaaaaa8,
    0x6407776c,0x3f8803ff,0x55555100,0xfb87d835,0xf9000402,0x3f209fff,
    0x20dfffff,0xfffffffc,0xfffff92f,0x3ff25fff,0x72ffffff,0x0fffffff,
    0xd97009f3,0xffff301f,0xfffc809f,0x207e404f,0x402ffff9,0x7ffdc0fc,
    0x2bf620ce,0x7c47f930,0x6fff8eff,0x3fffffee,0x407fff47,0xfa803fd9,
    0xffff7002,0xb87d8fff,0x4cbbaa2f,0x6d4406ed,0xfd880fff,0x225fdbab,
    0xfcaaadfb,0x555bf712,0x37ee25f9,0x262fcaaa,0x980abfda,0xfc81c44f,
    0x15bf7300,0xfffda880,0xf30bf200,0x2207fd7f,0xfdb880fd,0x7dc3ec6f,
    0xe9867d42,0x5fed4c0f,0x201f900a,0x2fa803f9,0x987ffff6,0x6c0abfda,
    0x3ee2fb87,0x00ffd53f,0x640feffa,0xf30fec0f,0x987ea267,0x43f5133f,
    0x3f5133f9,0x7cc01f90,0x7e407e44,0x0013e600,0x4c07f7fd,0x44fe63ff,
    0x46ff80ff,0x362fc819,0x7cc2fb87,0x1f903ec3,0xf300fc80,0xf309ffdb,
    0x0fff75c9,0x0fc807e4,0x0fe60fdc,0x19f300fb,0x303f20df,0x74e7cc9f,
    0xe9cf9855,0xe9cf9855,0x803f2055,0x407e44f9,0x13e600fc,0x6f8cf980,
    0xf9837ee0,0x3ee13ea3,0x3ee07f47,0x0bee1f62,0x207d87f3,0x07e400fc,
    0xffefff98,0x5f80ff84,0x3e601f90,0x1fcc3743,0x47f201f6,0x80fc81fc,
    0x3fffe65f,0xbffff305,0x17fffe60,0xdb101f90,0x1ffddddf,0x7cc01f90,
    0x647f2004,0x541f901f,0x37fa4efe,0xffd07e41,0x7d8dfd9b,0x7fcc2fb8,
    0x3207ffff,0x807e400f,0x21be0ef9,0xfecceffb,0x7401f905,0x982ffcef,
    0x2203ec3f,0x84fdccff,0x265f80fc,0xf305fcdf,0x3e60bf9b,0x7e405fcd,
    0xfffff980,0xfc80ffff,0x7113e600,0xfb99ff10,0xfb83f209,0x7ff50eff,
    0x3b720fc8,0x7e41cfff,0x3e60fdc0,0x207ecccd,0xfeea80fc,0x3e60deef,
    0xfea83ec3,0xf901dfff,0x77fe4401,0x7449f302,0x7fffdc07,0x07e40fff,
    0x93f98fe6,0x93f98b27,0x93f98b27,0x03f20b27,0x01f90000,0x03f227cc,
    0xfffffff7,0x0001f901,0x1ea01f90,0x43743fb8,0x903ec3f9,0xffff901f,
    0x1fcc3fff,0x006601f6,0x132003f2,0xff99ff10,0x4cff409f,0x7e43fb99,
    0xf987fa20,0x0fe65f83,0xf83f997e,0x9800fc85,0x00fc804f,0x81f913e6,
    0xfb9999fe,0x2a00fd83,0x80fdc03f,0xdfd105e9,0x7f305fd9,0x03f207d8,
    0x1fcc07d0,0x09f301f6,0xf5001f90,0x7ffd409d,0xfd886fee,0x7ffb50df,
    0x3fbbbfaa,0x3bbfaa4f,0xfd55feee,0x2bfddddd,0xeeeeefea,0xdffdb35f,
    0x17ba209d,0x777ff6d4,0xddfdb10d,0x3621ffdd,0xffb50dff,0xd302ff47,
    0x3ff9809d,0xb102f7cc,0xfd305bff,0x997ff27d,0x04eeffed,0xfe983dd9,
    0x20bff72e,0xdb305ee8,0x9809ddff,0x30013002,0x3ee1dfff,0xffff75ff,
    0xfffb85bd,0xf75fffff,0xbfffffff,0x3fffffee,0xffff55ff,0x054c0dff,
    0xffffffc8,0xfffff31f,0x3e61ffff,0xfff70eff,0x2a005e4b,0x81d9800a,
    0x40110018,0xfe8cfffa,0xffff50ef,0x41540dff,0xffb3fffa,0x402a601d,
    0x6ffffffa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80000000,0xaaaa882b,0x266201aa,
    0x00153019,0x21b30a20,0x2666604a,0x80217500,0x4c009999,0x98800999,
    0xaaaa8809,0x1b100000,0x4060012a,0x9801b31d,0x5510111c,0x01555555,
    0xba800e54,0x22000010,0x6c00950d,0xffffb80e,0xfff907ff,0xfffd88ff,
    0x4c5a8002,0x3ea0d91f,0xdeb86fff,0xffa80fdf,0x3fea06ff,0xffb506ff,
    0xffc87fff,0x0f5004ff,0x406c8fcc,0x885f72ca,0x4c01f52f,0xc82fdfdf,
    0xffffffff,0xeffffc82,0x37f7ae01,0x0776200f,0x00d91f98,0xda980372,
    0xaf980abf,0x87647a99,0x355510fb,0x013aeaaa,0xb9820000,0x40000000,
    0x1fafbefa,0x0fffda88,0x0000fc80,0xffffffc8,0x44200006,0x5bf7101c,
    0xfb85f955,0x00ffc9ae,0x2e005cc1,0x00000489,0x03f20950,0x3a2447b8,
    0xfffd97c2,0x1effff8d,0x55445551,0x2aaaaa22,0x2aaaa21a,0x2aaa21aa,
    0x440aaaaa,0xfd00aaaa,0x401f3f31,0xc803fbfe,0x5555443f,0x3ee0aaaa,
    0x82ffc8be,0x400aaaa8,0x200aaaa8,0x3f5133f9,0x2fd43fc4,0xaaa82aa6,
    0x205bb302,0x1aaaaaa8,0x337fb220,0x201f907f,0xf100effb,0x6c4bee21,
    0x87f930af,0xffb0fffb,0x3fffee1f,0x3ffee7ff,0x3ff27fff,0x42ffffff,
    0xd04ffffc,0x403e7e6f,0x206f8cf9,0x94ffffd8,0xffffffff,0xffd1fe25,
    0x9ffff90b,0x4ffffc80,0x57a73e60,0x7f827d42,0xff8afffc,0x401102ff,
    0x7ffffffb,0xffbfff30,0x403f203f,0xa83fd9bf,0x6c5fdf56,0xfb82fb87,
    0x5307be66,0xa98157fb,0x2e20abfd,0x2fcaaadf,0x07ffed44,0x7cfcdfe4,
    0x3f23f900,0xf97bfd01,0x2ab7ee2b,0x49f52fca,0xa887ecfc,0x2200fffd,
    0x300fffda,0x320bffff,0x441f901f,0x7f932ffe,0x2dffec88,0x157fb530,
    0x7fccbfa0,0x201f903f,0x43df50ed,0xd8ba9b6b,0xfb02fb87,0xfc807fa5,
    0x9807e400,0x03f5133f,0x6c0feffa,0x880f9fff,0x84fdccff,0xf31ec4f9,
    0x647ea267,0x3f2bf71f,0x07f7fd01,0x207f7fd0,0x705fcdf9,0x903f605f,
    0x217d4dff,0x0ffeeff9,0xf9803f20,0x0df5ff35,0x7ec403f2,0x5ae3f913,
    0x43ec5d2e,0x9ff102fb,0x00fc809f,0xcf9807e4,0x3e6055e9,0x2e206f8c,
    0xffb80f9f,0x5c0fffff,0x4e7cc02f,0x4d7d455e,0x301fb0ff,0x980df19f,
    0xf306f8cf,0xf1164f27,0xf90ff10b,0x00bea9f9,0x7e409f31,0x3e6fe600,
    0x3f20df1f,0xd8f7dc00,0x3f7eef54,0x0bee1f63,0xc806ffa8,0x807e400f,
    0x405ffff9,0x403f91fc,0xfe80f9f9,0x43fb9999,0xf304c5f8,0xbf10bfff,
    0x41fe23fd,0x403f91fc,0x303f91fc,0xfe8bf07f,0x320ff622,0x2fa9fe8f,
    0x4ffffda8,0xdd003f20,0x993ee5ff,0x04eeffed,0x4cbfbf62,0x645b931f,
    0x200fdc0f,0x0fc802fd,0xf9807e40,0x3e205fcd,0x204fdccf,0x3620f9f9,
    0xffb50dff,0xfecefe87,0x17f37e65,0xfd89ffec,0xdccff883,0x99ff104f,
    0xefea89fb,0x4c5feeee,0x06ffcefe,0xf5df31f9,0xeddffb85,0x003f204f,
    0xdfd9dff7,0x7ffffd41,0x3ee1446f,0x3ee01fc1,0x3201ba23,0x00fc800f,
    0x3f9807e4,0xff70b279,0x201fffff,0x3e60f9f9,0xfff70eff,0x3bfff90b,
    0x593c9fcc,0x7fe6ffe4,0xfffff706,0xfff701ff,0x7dc1ffff,0x5fffffff,
    0x04fffe88,0x7f7e43f2,0x9f31be22,0xf1007e40,0x01bfffdf,0xa8d5017c,
    0x1711ec87,0x7fef7f44,0x800fc802,0x07e400fc,0x45f83f98,0xfb9999fe,
    0x01f3f303,0xf900cb80,0xbf07f303,0x37ff7bea,0x2667fa02,0x9fe83fb9,
    0x003fb999,0xfff30199,0x1f909537,0xfd0bffa2,0x09fffb99,0x2fb803f2,
    0x3fb60031,0xfeeefa81,0x1dfdfd04,0x02dfeb88,0x0ef7ff5c,0x3bbffb66,
    0x3bffb664,0x3bbfaa4e,0xfb15feee,0x3ff6a1bf,0x3f3fb663,0x3fe6001e,
    0x7540fb82,0x5feeeeef,0xb10041fb,0x3f6a1bff,0x1bffb13f,0x200fff6a,
    0x7ff42ffa,0x2a0fffff,0x5ff53eff,0xfdfffe98,0x3ffb666f,0x000104ee,
    0xaaa880d4,0x0054c02a,0xfffd8004,0x7ffd42ff,0x3fea6fff,0x3ee6ffff,
    0x5fffffff,0x2e1dfff3,0x32e25fff,0x4000cc9c,0xf7051008,0xbfffffff,
    0xfff30004,0x57ffee1d,0xf70efff9,0x02200bff,0x2aea6aea,0xb27ffdc0,
    0x8026205f,0x6ffffffa,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x33330040,0x150a2013,
    0x20028310,0x2a601099,0x80261400,0x001000a9,0x05400a88,0x26001440,
    0x99880004,0xa9819999,0x0050a200,0x80000998,0x00e60028,0x2015c000,
    0xffff01fc,0x3bd107ff,0x13d301dd,0x3ff600d7,0x3fae1faa,0x27ba05ff,
    0xffe880fd,0x017dc03f,0x417fff54,0xb302efe8,0xf5009fff,0xfb9db107,
    0xffffb05d,0xfffd8fff,0x3ea5f104,0x05ffb000,0x541b23f3,0x7dc00dff,
    0xfebcec81,0x00ed800d,0xcff8075c,0xf9100ccc,0x1dfeb809,0xd15fb300,
    0x36b3fe21,0x037ee03f,0x0ff5efe4,0xfa803d50,0x7c40bacf,0x9fb03f54,
    0x7c405fb7,0xdfffd102,0xccfc87ff,0x37f27fcc,0xfd502fdb,0x7ecc005d,
    0x0950d882,0xa81f25f5,0xdfffb01e,0x0dc80dfd,0x006f8000,0x40000008,
    0x41449afa,0x3e00406e,0x00013e66,0x81001df3,0x37c4f980,0x83be6000,
    0x3e21cc6e,0x00ff1fa5,0x7bfb9000,0x00204000,0x7e43ff00,0x75c40000,
    0xcaef82ef,0x3bfae201,0x5dfd7102,0x337fae20,0x6f9800af,0xddffec88,
    0x0dd0fe61,0x3bbffd91,0xc8801fb8,0x261ddffe,0x221be24f,0x41ddffec,
    0x403ec3f9,0xf917e2fb,0x6fff6443,0x37fae202,0xfeb882fc,0xffeb882e,
    0x7ff5c43d,0x7dc5f83d,0x5cf7f641,0x3bfea0ef,0x7ffc4ffe,0x7fd41eff,
    0x7d44ffee,0x4c4ffeef,0x2ffffeff,0x20fff6c0,0xfffeffe8,0x1f907ee4,
    0x7ff7ff44,0x77e7744f,0xfeffe882,0x66ff44ff,0x7ff443fe,0x7cc4fffe,
    0x3f403ec3,0x22ff89f6,0x0ffeeff9,0xfffeff98,0x777fd42f,0x777f44ff,
    0x777f47ff,0x5c5f87ff,0x3fbfe61f,0xff16feff,0xb90ff443,0x7c49f737,
    0x447fa21f,0x87fa21ff,0x0bfea1fd,0xc83fffb0,0xc8fee0cf,0xf907e41f,
    0xf11fdc19,0xc8bfdfff,0x50fee0cf,0xc81fffff,0x30fee0cf,0x4407d87f,
    0x75f7d45f,0x3e6203ff,0x3ea1fd84,0x887fe22f,0x419f31fe,0xc833e65c,
    0x0fdc5f85,0xfbafe442,0xeeeeff9b,0x33ec04fe,0xfdddddff,0x3bbbfe69,
    0x09f14fee,0x3ea005fb,0x06407f47,0x20fc83f7,0x7c0c80fe,0xfe83f65f,
    0x3fe20c80,0x7f45fdac,0x3fa60c80,0x409ff52e,0xfffb82fb,0x7fed42fe,
    0x427c44ff,0x3bfe62fd,0x3a4feeee,0xfe83deff,0x7ec43def,0xd887ee4f,
    0xfeeeffff,0xffffff9d,0x8fdc05ff,0xfffffff9,0xfffff35f,0x0beabfff,
    0xfc800bee,0x7cc01be1,0x01be37c4,0x8bea0fe8,0x87f5006f,0xa8037c7e,
    0xdff93fff,0x22a03f40,0x37fee0fe,0x17d44fed,0xfff317dc,0xb8bfffff,
    0xcb85ffec,0x3fa25ffe,0x7c47ee5f,0xfffffdef,0x8801dd5f,0x07747d80,
    0x7c007740,0x2002fe86,0x207f61fd,0x7f337c18,0x41881fd8,0xd87ee2fc,
    0x3ea1881f,0x07f63f42,0x4c000062,0x2fe4405f,0x84f98df1,0x742fe86f,
    0x6c2d400e,0x3fb0b51f,0x3e61f900,0x7d40ff24,0xb4feccde,0x89fd99bf,
    0xfeccdefa,0x3337bea4,0x33fee4fe,0x6c2efffd,0x46fecccf,0xfccceff9,
    0x7fe77dc6,0x6677fcc0,0x67fc46fc,0x77fcc6fd,0x3e26fccc,0x4c5fecdf,
    0x6fccceff,0x2e013e60,0xffdcd82f,0xfdccfe86,0x67fdc4ff,0x2a2efffd,
    0x4feccdef,0xdfb99dfb,0x7ee677ec,0x7c7e9806,0xdcfffdcf,0x3fffee4f,
    0xffdb31df,0xfff7019f,0xffb83bff,0x6d41dfff,0x44ffefff,0x0dffffd9,
    0xdefffda8,0x02fffc81,0x3bdfffb5,0x03bffd50,0x3bdfffb5,0x04fffe98,
    0x3bdfffb5,0x2017ba20,0x5bffd06b,0x37fffa60,0xffda86ff,0x7dc4ffef,
    0xd71dffff,0x5c3bffff,0x01dffffe,0x985ffff1,0xffeeefff,0x4009982e,
    0x01330018,0x31001330,0x0004c001,0x80060013,0x00110009,0x00620026,
    0x15300098,0x00110000,0x98800262,0x80133000,0x00198019,0x04403799,
    0x00000026,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x26000000,0x4024c001,0x2831001c,0x0048ab80,
    0x003104c0,0x024c0051,0xa85100e4,0x06600200,0x20c40000,0x14405102,
    0x26002880,0x0000e403,0x64099800,0xff9013a6,0x00bea007,0x3a600bee,
    0x76406b89,0x91f984e9,0x3eefee0d,0x06ffd403,0x2a00bea0,0xb3bd102f,
    0x2fbf601d,0x01ffe23b,0x4c03fe98,0xff05eacf,0x5003ee07,0xfb801bff,
    0x201fd402,0x1ddffec8,0x542ffd80,0x8dd80b24,0x0fcc04e9,0x7003f300,
    0x75403bfd,0x21b104d8,0x07ba604a,0x81f25f50,0x3e6001f9,0x3013f201,
    0xeb85fffd,0x3a2ba007,0x81fec401,0x1f904ff8,0x07c97d40,0x74c007aa,
    0xfdffd101,0xfb3009ff,0x08080005,0x00000000,0x00000000,0x00040800,
    0x80080000,0xd82fcbdd,0x1dcd3007,0x1ffc0080,0x20400fc8,0x20000000,
    0x0fee0cfc,0xeea97d40,0xea8ddb32,0xa8ddb32e,0x8ddb32ee,0xddb32eea,
    0x0f7fb220,0x81eff644,0x543dfec8,0x0ddb32ee,0x40f7fb22,0x103dfec8,
    0x7107bfd9,0x4c07bffd,0xbfd87e9a,0x57d02dfe,0x3fb2203d,0x47ff02df,
    0xaabfdaa9,0x177f5c40,0x02efeb88,0xd05dfd71,0x7101901f,0x2e5f9bfd,
    0x8ffd53ff,0xffd53ffb,0xfd53ffb8,0xd53ffb8f,0xdffd10ff,0xffe889ff,
    0x7f444ffe,0x3ee4ffef,0x10ffd53f,0x89ffdffd,0x4ffeffe8,0x7ff7ff44,
    0x7ff77f44,0xffffeb87,0x77ffec1f,0xadc986ff,0x3fe60fda,0xfe80ffee,
    0xffffff12,0x77fd4bff,0x7fd44ffe,0x7d44ffee,0x7c4ffeef,0x3bfe6006,
    0x3e62ffff,0x1fcc3ec3,0xb0fe61f6,0x7d87f30f,0x3f663fd8,0xfd98ff62,
    0xfd98ff62,0x0fb0fe62,0x17ecc7fb,0x17ecc7fb,0x97ecc7fb,0x51720cf9,
    0x5ffb35df,0xf911efd8,0xbdfda885,0x427cc400,0x36aaa1fd,0xff10aabf,
    0xf88ff443,0x447fa21f,0x87fa21ff,0x6c1881fd,0x98bfea1f,0x7cc3ec3f,
    0x1fcc3ec3,0xb0fe61f6,0xbf10df0f,0xf2fc437c,0x7ccbf10d,0x437c3ec3,
    0x221be5f8,0x3e21be5f,0x0f7bffa5,0x87fd03fa,0x2e5f82fd,0x501cbbdf,
    0x909ffffb,0x203f201f,0xeeeeeff9,0xdddff34f,0x3fe69fdd,0x24feeeee,
    0xfccceff9,0x3f613e26,0x0fb0fe62,0x987d87f3,0x7cc3ec3f,0x13e23ec3,
    0x427c57e2,0x109f15f8,0x361fccbf,0x7c427c47,0xbf109f15,0x17e213e2,
    0x44bffd97,0x6c2fc86f,0x4227d81f,0x7dc2ebdc,0x984feddf,0x2603f204,
    0xffffffff,0xffffff35,0x3ffe6bff,0x545fffff,0x21defffd,0x22fb82fa,
    0x21fa24f9,0x21fa24f9,0x21fa24f9,0x21fa24f9,0xd1fe41fe,0x3a3fc83f,
    0xf31fe41f,0x7f43f449,0x3fd1fe41,0x07fa3fc8,0x3616a7f9,0xfd03f61f,
    0x7c44fd83,0x896a1f04,0x0027cc6f,0x0ee807dc,0xe800ee80,0x0fc4000e,
    0x45fd0df0,0xfffccff8,0x7e67fc44,0x67fc44ff,0x7c44fffc,0x44fffccf,
    0xefecdffa,0x3b37fea0,0x37fea0ef,0x3e20efec,0x44fffccf,0xefecdffa,
    0x3b37fea0,0x37fea0ef,0xdfb0efec,0xf98dfb99,0x644febcf,0xffdcefff,
    0xd1325d00,0x9fffb99f,0x80e20398,0xfeccdefa,0x3337bea4,0x37bea4fe,
    0xa884fecc,0x33fee06d,0x2a2efffd,0x86feefff,0x6feefffa,0xfeefffa8,
    0xeefffa86,0xfffe986f,0xfffe980d,0xfffe980d,0xefffa80d,0xffe986fe,
    0xffe980df,0xffe980df,0x3ffae0df,0xfda81dff,0xdffe83ef,0x2601cfff,
    0x7f4c0efe,0x6c6ffdff,0xddddb11f,0xffb87ddd,0x7dc1dfff,0x5c1dffff,
    0x81dfffff,0x6d404fe9,0x84ffefff,0x00260009,0x02600098,0x31001880,
    0x4c006200,0x40062000,0x00310018,0x00220033,0x00400188,0x88200262,
    0xffffffff,0x30013305,0x01330013,0x09880020,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000400,0x20014400,0x00498049,0x00000004,0x07319100,0x05062000,
    0x88000000,0x55510141,0x02614055,0x04880144,0x01555544,0x00d80333,
    0x313e0350,0x5c41b23f,0xf503dffe,0x5f5001df,0x3003b600,0x64407dfb,
    0x21dedcff,0xefc8ded9,0x5f5bd102,0x2f7fae20,0x567cc3ee,0x05e5405e,
    0x75f7641d,0x27a602df,0x3b6606b8,0x2bb605ee,0xefea81fc,0x3013e600,
    0x3e0bdddb,0x3ee01fff,0x7706e801,0x20950d88,0x87ffeefe,0x980f92f9,
    0x0364001f,0x20bfb7fa,0xffffeffa,0x3fffea1e,0x1b907fef,0x3ffe605f,
    0x884ffffe,0x3ff203fd,0x6c1f2fff,0x6feeffff,0x0077fae0,0x01bf7000,
    0x403f25f3,0x5400002f,0x7d401fec,0x05837400,0xc833e600,0x00008105,
    0x47f30000,0x321fd85f,0x4bffa07f,0x7ec00018,0x100bfe62,0x64df7dc0,
    0xefc83dff,0x0000bee1,0x00f7fb22,0x00081002,0x6ccbbaa0,0x007f206e,
    0xddffd500,0xec8811bd,0xffd02dff,0xfd9107bd,0x3b2205bf,0xd9102dff,
    0x3e605bff,0x7c45fb8b,0x3fa07f84,0x4cbbaa00,0x427c46ed,0xfec882fb,
    0x543fc43d,0xd03f906f,0xd997754d,0xeffe886e,0x6f6cc4ff,0x76c2efc8,
    0xdddb00ee,0x2a7ff701,0x2bf207fe,0x07776c0b,0xffffffb8,0xeeff980e,
    0xfd9700ff,0xeeff98bf,0xeff980ff,0xff980ffe,0xf980ffee,0x7cc3fffb,
    0x1fa07e83,0x3aa7ff70,0x6427cc7f,0x77ff442f,0x413ea4ff,0xd05f907f,
    0xea9ffdcf,0x263fd87f,0x3ffea2fd,0x7f47feff,0xfffd00ff,0xfb0fe601,
    0x217ffe40,0x7400fffe,0x9f310006,0x01fd85a8,0x22013e62,0xf98804f9,
    0xfdabf984,0xf507742f,0x4c03f40f,0x7fc3ec3f,0x42ffb88b,0x4bf663fd,
    0x03f901fc,0x3f265df9,0x1f61fcc5,0x217e21be,0x20312ffe,0x07e400fc,
    0x83ec3f98,0x3202effa,0x0037400f,0x89ffffb5,0x6fdccefd,0x4ffffda8,
    0x9ffffb50,0x3ffff6a0,0x3e63f984,0x7f67fdc7,0xeffec87f,0x43f981de,
    0xffff987d,0x437c2fff,0x205f75f8,0xfffc80fd,0x7cc0efff,0x13e23ec3,
    0x03fa17e2,0x32007e40,0xd87f300f,0x01fffc87,0x1ba007e4,0x76effdc0,
    0x7fff5c4f,0x6ffdc1df,0xffb84fed,0xfb84fedd,0x984feddf,0x2a0fec3f,
    0xe87eeffd,0x82ffffff,0x503ec3f9,0x445f77bb,0xf55f884f,0x320ff10b,
    0x301cec9f,0xfe87d87f,0x3f41fe41,0xc801f900,0x449f300f,0x1fdca87e,
    0x3a007e40,0x237c4186,0x03ea04f9,0x89f31be2,0x227cc6f8,0x427cc6f8,
    0x3f73bbf9,0x003f4220,0xfd127cc0,0x3a17d400,0xfd1fe41f,0xc81fec45,
    0x49f3000f,0xdffa87e8,0x7e80efec,0x9003f200,0x33fe201f,0xf904fffc,
    0x400fc803,0x2ffdcdfc,0x7fee67f4,0x06da884f,0xfffb99fd,0xfdccfe89,
    0x667f44ff,0x3aa4fffd,0x06fcfeef,0x3202fdc4,0x33fe201f,0x5004fffc,
    0xcdffa85f,0x3fe60efe,0x3206ffce,0x9ff1000f,0xd309fff9,0xec81bfff,
    0x5c1deeff,0x0deeffee,0xbddffdd7,0xeefffa81,0x3ffbae6f,0xfdd71dee,
    0xb101bddf,0xd307ffff,0x0dffbfff,0x3a609fd3,0x46ffdfff,0xffdfffe9,
    0x6ffff4c6,0x3bfee6ff,0xfa82effa,0x2e00ffff,0x7fd402fe,0x5406feef,
    0x74c5ffff,0xb880dfff,0x3fa04fff,0xfa800fff,0x206feeff,0x3fffa018,
    0x7fe42fff,0xf91fffff,0x03ffffff,0xfffc8026,0xff92ffff,0x803fffff,
    0x00988009,0x02620020,0x88004c40,0x20080009,0x800bccc9,0x0026001a,
    0x05999930,0x80180062,0x000ccccb,0x00000026,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x01750000,
    0x2a200151,0x00144000,0x1a80cc15,0x2604c400,0x8ee44019,0x0075000a,
    0x2aa200a2,0x039802aa,0x0a851004,0x39000440,0x2f2e62a0,0x00433300,
    0x32200000,0x3220151d,0x3fa0151d,0x01f675c2,0xc8003ff2,0x2bf2007f,
    0x00dd02fc,0xfff16fe8,0x7dedc01f,0x1fc800ef,0x00dffa80,0x017bbb66,
    0x1fd405f7,0x0ed9de88,0x0bfffb50,0xff882f44,0x221fffff,0x0fc8ffff,
    0x4177f5c4,0x02dffec8,0x03bfef6e,0x077fdedc,0x02e44010,0x3cc000f8,
    0x807bea00,0x3fea006e,0x003fb2e6,0x0eb800c4,0x0f92fa80,0x00f54000,
    0x9f900ba6,0x5eccff80,0xff8813a0,0x20ffc98b,0x4688fecb,0x4ffeeffa,
    0x7ff77fcc,0x20018800,0xf3008018,0x0f80885f,0x441e6030,0x7f540101,
    0x880deeef,0x0fc86fff,0x5bffd910,0x08100000,0x0bbfae20,0x01000000,
    0x00002fa8,0x13ee0fe2,0xf88aa3f2,0x807fa21f,0x77544f98,0x220ddb32,
    0x2e03dfec,0xbf73dc07,0x2fd881f0,0x46fa8798,0xfb80eeed,0x80efffff,
    0xfc86ebfc,0xfddff300,0xdced881f,0x7dd902ef,0xf50ef6c4,0x4c9ffddf,
    0x26eeeeee,0x6eeeeee9,0x3bbbbba6,0x007fb666,0xdf91bdb3,0x4ccccc45,
    0x8fc86f99,0x7777fcc0,0x7ed44fee,0x7fdc4fff,0xd10ffd53,0x309ffdff,
    0xdbbb81fd,0x64c4fe8d,0x05ff52df,0xfb119fb5,0x0fffe81b,0x3e201ba0,
    0x51f90dd6,0x27cc405f,0x3fbfffa2,0x8cffd83f,0xf12ffe89,0x98ff443f,
    0x27ffffff,0x7ffffff9,0x3fffffe6,0x007ffa67,0xfdfffff5,0x7ffffdcf,
    0x0fc87fff,0xffffff98,0x37fee5ff,0x3f984fed,0x31fec3ec,0x67fe45fb,
    0x7e565cc0,0x33265d9e,0xdecdfdbc,0x3f3332a2,0x1f905daf,0x9ddffd70,
    0x43747f60,0x542fa8fc,0x984ffffd,0x7c1ba0ef,0x47f35fb6,0xeeeeeff9,
    0x3ea5f34f,0x7d4be61f,0x7d4be61f,0x001fb81f,0xb8625ffd,0xfcccccdf,
    0xdd00fc87,0x4c6f8801,0x6c3f984f,0x5f886f87,0xe9801bf3,0x2e0df93f,
    0xfa8ea9ef,0x5c67ec40,0x901f907f,0x50bfffff,0x81dd33df,0xbff700fc,
    0x7f309fdb,0xf3fb07d8,0x7cc5f7bf,0x5fffffff,0x840ffd42,0xf5081ffa,
    0x007ee03f,0xbf3007f4,0x1f90df10,0x3337bea0,0x333fa4fe,0x7cc4fffd,
    0x13e23ec3,0x217dd7e2,0xf9877c2b,0x704fa86c,0x3e23dd0f,0x401f907c,
    0x3ff2186e,0x7e46ffff,0x7cc6f880,0x3ec3f984,0xefffefb8,0x8007740f,
    0x3ea00ffa,0x03fea00f,0xfd001fb8,0xfc83ff00,0x2e00fc83,0x21dfffff,
    0xffdfffe9,0xfd127cc6,0x3fc83fd0,0xbf513bf1,0x075e7408,0x080ec804,
    0x6407def4,0x333f200f,0x99951ffd,0x0fc83ff9,0xffb99fd0,0x6c3f989f,
    0xf7fff107,0x9bdf50df,0x7fd49fd9,0x0ffa8930,0x30ffa893,0x2003f709,
    0xeffa807e,0x1f906ffc,0x88017d00,0x4411f309,0x4fffccff,0x7f66ffd4,
    0x3ffff20e,0x3bba604f,0x0de9801f,0x2feee880,0xbddffdd7,0xefffd881,
    0x57ffb504,0x1bddffdb,0x7effff4c,0x4bbfa66f,0x9ff04ffa,0x7fdc13fe,
    0xff51dfff,0x2a1fdddd,0x0feeeeff,0xfddddff5,0x3bbfb6a1,0xddffd903,
    0x3ffa603b,0x7ff6d44f,0xdbb00dee,0x45fe8001,0x6feefffa,0x0dfffe98,
    0x000bcb88,0xfb005ff5,0xf3001fff,0x3ffff25f,0x02601fff,0xf9bfff70,
    0x03ffffff,0x7fd40131,0x20dff93f,0x805f91fd,0xfffb8099,0xff71ffff,
    0x2e3fffff,0x1fffffff,0x0bfffff7,0x3ffffffa,0xfc80c402,0x01ffffff,
    0x02000351,0x06200098,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x26551000,0x0554c2cb,0x85015551,0x21418809,0xddb32eea,0x0aaaaa20,
    0x40000008,0x00298009,0xcca80153,0x4e65cc02,0xaccb9809,0x0054c009,
    0x0aaaaaa8,0x54017950,0x86f6cc01,0x5510deea,0x20aaaa15,0x9819bcb8,
    0xfc8e6019,0x25ffffcf,0x3fee4ffd,0xfc9ed83f,0x6b89e981,0xfea9ffdc,
    0xbdddb307,0x2200be20,0xb881f53f,0x3ea01ffd,0xff904fff,0xff883dfb,
    0xfc81ffff,0x5c4fffff,0x05ffffff,0x03dfbff9,0x7fffffd4,0x7ffffe45,
    0xfa80dd02,0x1dff70ef,0x3e37fff6,0x3fee2fff,0xff10ffff,0x83f201ff,
    0xfd88cffd,0xfa81df12,0x8037ee05,0xf981dfeb,0x20003ec3,0x405eefeb,
    0xfb81b31d,0xdf301fff,0xdc85fd77,0xbf10fcc2,0xfb89f513,0x25fd989e,
    0xfc98adfb,0x7cc2dc85,0x37eea601,0x26fbee0a,0x06e80ffc,0x07f43fb8,
    0x32615fb1,0x2277e23f,0x3b2e0ffa,0x9fb0200f,0x21be3f98,0x000404f8,
    0x3ec3f980,0x16fff644,0x00d6fe44,0x1fc8a800,0x2fc43f90,0x27dff5f5,
    0x1f60f479,0x749f10df,0x37a87d06,0x00f35bfb,0x87f889f1,0x3ffaa5fa,
    0xfe80deee,0x0fb09f50,0x217dc5f7,0x401f907b,0x27c43ec0,0x449f10df,
    0x02efdced,0x2601dddb,0x7cc3ec3f,0x980ffeef,0xb03efddf,0xfc801ddd,
    0x6f883101,0x8ec4ed32,0x99be601d,0x3e21304f,0x8f532003,0xf8803b4c,
    0x7f827d44,0x3fffffee,0xfd3fb80e,0x5f70fb01,0x010577cc,0x07e403f2,
    0x7cbf10fb,0x3a24f886,0x83ffefff,0xf300fffe,0x4403f447,0xfff984f9,
    0xffe82ffe,0x00fe400f,0xd87c7fb0,0x30770ebb,0x17d45ffb,0xf0017d40,
    0x07708931,0x0fe44f88,0x03741fc8,0x209f7fd0,0x5c2fb87d,0x900cefff,
    0xd87f601f,0x137cbf07,0x1df313e2,0x01f90374,0x3ff33fe6,0xfffda84f,
    0x22ef984f,0x003f206e,0x3f6003f9,0x4edd8f45,0x037f20ee,0x5f5005f5,
    0xd0ffffec,0xd8ee0933,0x3ee27c43,0x6e81fb02,0x03ffea00,0x417dc3ec,
    0x906ffdb8,0xd8bfa01f,0x5be4f887,0xf989f17b,0x1f903ec3,0x3ffffe60,
    0x6ffdc6fe,0x3f984fed,0x01f903ec,0x74401fc8,0x25b4c85f,0x0b303d3d,
    0x3e6017e2,0x87ffbae4,0x27515d4c,0x9f117e1e,0x7f885fa8,0x7f4006e8,
    0xf703f204,0x17e40cc3,0x2ff807e4,0xf93e61f6,0x87f31f96,0x903ec3f9,
    0x273e601f,0xf31be201,0x7d87f309,0xf9003f20,0x827f4c03,0xd88deaf9,
    0x5fd0006c,0x407fc970,0x64c7cc5f,0x2fc6a8ce,0x8bfa0fea,0x86e83fd8,
    0xb803fe01,0x3fa3743f,0x7e417dc0,0x3a27ff00,0x25fb713f,0xecfcaffb,
    0x361fcc1f,0x4c03f207,0x99fd003f,0xf989fffb,0x1f903ec3,0xf501fc80,
    0x0bfa807f,0x2e601d71,0x99fff300,0x77fdcbfd,0xfa85fecc,0xf81d710b,
    0x80efccef,0x6ffceff9,0xffb9bf90,0x8807f705,0x42fecefe,0x6fecdffe,
    0xff101f90,0x7cdbfee9,0x26fff24f,0x7f4c3fff,0x5c9ff52e,0x0deeffee,
    0x74c00fe6,0x26ffdfff,0xff92efe9,0x3ffbae1b,0xfdb30dee,0xfff89ddf,
    0xda85eeee,0x3a00cfef,0x3ff6603f,0xffea84ff,0xfb501dff,0xfb5019fd,
    0x5c401bff,0x36204fff,0x3ee3ffff,0x4402ffff,0xdc82dffd,0x2a1cfffe,
    0x0deeffed,0x01100ffe,0x7ffd4060,0x7e4dff93,0x41ffffff,0x04c4000c,
    0x367fff50,0xfff90eff,0x3ea3ffff,0x7c6fffff,0x07ffffff,0x40010004,
    0x00330008,0x00260008,0x80980030,0x01ccccc9,0x06200110,0x7fffffe4,
    0x0000e61f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x04400000,0x004c4000,0x09880660,0x881ca800,
    0x8aaa22aa,0x2aa22aa8,0x05555542,0x532aaa88,0x55400055,0x42aaa62a,
    0x2aaaaaa8,0x00aaaa88,0xaaaaaaa8,0x2aaaa21a,0x22aa880a,0x55542aa8,
    0x54435551,0x8000aaaa,0xa8d5544a,0x00cb81aa,0xa97fff6a,0x29999999,
    0x8800fff2,0x0dff307f,0x2ffffc40,0x7e47ffee,0x3fff70ff,0x7cc3fff2,
    0xf904ffff,0xfffd1fff,0x7c41aa01,0xfffd2fff,0x3ffffeab,0xffffc87f,
    0x7fffd404,0x3f24ffff,0x20dfffff,0xffb0fffb,0x3bffe21f,0x3f25fff8,
    0x80dfffff,0x7fcdfec8,0x3e3bffe2,0x17fc46ff,0x5eccff88,0x7ecc3006,
    0x41322003,0x2e006fb8,0x5c46c8af,0x707fe66f,0x20ffd4df,0x100adfb9,
    0x3bf63bf7,0x5c03f201,0x3faa21df,0xfb559f50,0xfffb510b,0xdfcfa801,
    0x3f624fba,0x5c5fdbab,0x507be66f,0x1fd535bf,0x6dd5fec4,0x6fffcc5f,
    0x67d41fff,0x7501fd30,0x03017d40,0x001fcc18,0xb0037c00,0x6cff600f,
    0xf19f902f,0x013e603f,0x17f62fe6,0x7cc03f20,0xa9be3d94,0x401ff32f,
    0x5403fbfe,0x89f14faf,0x217ec0fc,0xa83fd2fd,0xffffffff,0xfb03f20f,
    0xff997f43,0x361fcc3f,0x7f6cc007,0x200c5eee,0x7ff6fcc1,0x01dddb04,
    0x0deecb7c,0x20057e44,0x404fcff8,0x2602fffd,0xecf9804f,0x01f9004f,
    0x57fe33e2,0x3a23225f,0x233e601f,0x7cf6406f,0x3621bbec,0x113e619f,
    0x2e09f9ff,0x1feaaadf,0x53e607e4,0xf5ff35f9,0x3ec3f98d,0x3fffa600,
    0x0600c6ff,0x9ffdfff3,0x401fffd0,0x41dffd6f,0x04fffffa,0x20077fd4,
    0x7cc05ff8,0xffff9804,0xffffd102,0xadf89fff,0xb04f9fff,0x91fc807f,
    0x7ce7c03f,0x7ffc45ff,0x2a17e4ff,0x3fe606ff,0xfc87ffff,0x37f35f80,
    0xf31be3ff,0x30ffffff,0x00fdc079,0x77cc1803,0x0fc81be0,0x03bf7be0,
    0x073bf322,0x1cdfecb8,0x803ffee0,0x261c44f9,0x883febff,0xeeeffeed,
    0x7e7ef743,0x25fc83fc,0xdccff880,0xfbbf304f,0x9fd709fd,0xfd82fc39,
    0x3337e602,0x80fc87ec,0x4bffba5f,0x66fcc4fb,0x1fc87ecc,0x01807ee0,
    0xfb0fe60c,0xff007e40,0x0bf100df,0x035f9310,0x077d77d4,0x07e44f98,
    0x03fe27f3,0x7ec01f90,0x42fff8ef,0x707ea6fa,0x1fffffff,0x79fddf70,
    0x40fc8313,0x01f904f9,0x21f61fcc,0x71fcc0fc,0x1dfd9dff,0x43ec3f98,
    0x00fdc05f,0x1fcc1803,0x00fc81f6,0x500ffffe,0x6541a89f,0xf881cdfe,
    0x260bf70f,0xf307e44f,0x32027d47,0x4fff200f,0x3fe21ffe,0x3fd0bee0,
    0xd07f7333,0x46d93e69,0x07fa20fc,0x7f3007e4,0x20fc87d8,0xdff11fe8,
    0xf301bfff,0x07cc7d87,0x01807ee0,0xfb0fe60c,0xdf007e40,0x3f209fd1,
    0x44feeeef,0xa84effd9,0xbff71eff,0x3bbfb621,0xfd50ffee,0x80eff49d,
    0x3fee00fc,0x7e41ff70,0x12feeeef,0x36a1bffb,0x7dfb13ff,0x4ffdddfd,
    0xffeeefea,0xdeffeb84,0xc9f7f4c1,0xdfd50dff,0x7dc9ffdd,0x7f4c0312,
    0x54bff93e,0x3bfb6a02,0x8600c3ee,0xff72efe9,0x77ff75cb,0x2dfb10de,
    0x7ec4eff8,0x41efffff,0x40effffa,0xff92fffb,0x3fffe63f,0xf70fffff,
    0x3fea1dff,0xfa80d503,0xffb1fe26,0x265fffff,0xff70efff,0x37ffe2bf,
    0x27ffffff,0x2deffffb,0x5fffffb0,0xe8cfffa8,0xfff70eff,0x00105bdf,
    0x7467ffd4,0xf7000eff,0xa8bfffff,0x29999999,0x7ecfffea,0xffff90ef,
    0x3fe63fff,0x00dffd16,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x26000000,0xaaaaaaaa,0x05477220,
    0x03555551,0x8819bb30,0xaa82aaaa,0x06aaa22a,0x55555544,0x55555511,
    0x8cd98155,0x41553028,0x55542aaa,0x2aaa00aa,0x544350aa,0x2aaaaaaa,
    0x02aaaaa2,0x55554000,0x5555100a,0x51000015,0x54355555,0x8ddb32ee,
    0x102aaaa9,0x55555555,0x7fffffc5,0x2f6e2fff,0x3ff20eff,0x502effff,
    0xd983ffff,0x7fcc5eee,0xdfff91ff,0xfffffe98,0xffff94ff,0xbe85ffff,
    0xfff04ffc,0x4bfffe2b,0x04fffff9,0x19fffff3,0x7fffccdf,0x3f26ffff,
    0x20dfffff,0xfa800cf8,0xf904ffff,0x03bfffff,0xffba7540,0x3ee7ffff,
    0xe8ffd33f,0x980fffff,0xffffffff,0x2aaffa26,0x03102fca,0xd755bf71,
    0x0663f60d,0x21ff9800,0x3e60dfb8,0xfbadfbcf,0x555bf714,0x00cc05f9,
    0x3265ffd1,0x56fdcc3f,0x2b7ee600,0x56fcc970,0x226fabfd,0x5fdbabfd,
    0x0033ffa2,0x2015bf73,0xfcaadfb8,0x3ffd9805,0x02aff6a6,0x447d87f3,
    0xf302cdfc,0xdf57fb5b,0x3ea50fc8,0x403bbb61,0x40fdc3f9,0x3bb600fe,
    0x907f600e,0xf31fe83f,0x3f993e29,0x3623f513,0x202efdce,0x0bea6ffc,
    0x3014d3e6,0x3e60d89f,0x91ba1f93,0x542fd81f,0x7cc03ffe,0x0fe6018c,
    0x3f2203f7,0x01f900df,0x70fb0fe6,0x43dfffff,0x3a1f93f9,0x97dcfe46,
    0x807fff42,0xfeb99cf9,0x3a05fb80,0x3e600fff,0x97e1be24,0x21bbecf9,
    0x455e9cf9,0xffefffe8,0x29f9f903,0xb4f982fa,0x113e603f,0x21f92f88,
    0x867f625d,0xdff704f9,0x1ffbe605,0x3fa23f98,0x01effb80,0x3f9807e4,
    0x4d7dc3ec,0x4be26fca,0xfc8bb0fc,0x7e402fff,0xfffff300,0x7fff309f,
    0x01f905f9,0x87f70fe8,0x3ffe63f9,0x5ffff984,0x3741df30,0xa9fe8fc8,
    0x734f982f,0x04027cc0,0xfff101f9,0x102fc9ff,0xfb83bff9,0x3be601ef,
    0x7d43ffee,0x1f9002ef,0x7e893e60,0x07ec1fb8,0xf9007e41,0xfc805fb9,
    0xd99bf300,0xebfe87ff,0x0fc81fef,0x0fe9fdc0,0xfdf327cc,0xbf9bf309,
    0x0fb0fe60,0x2bbe63f2,0x444f982f,0x1c44f983,0x3ae01f90,0x817e1ccf,
    0xd30dffc8,0x4c388bff,0xa85fffff,0xf9003ffe,0x7f67f401,0x20fdc4ff,
    0xffffe87e,0xe88fc82f,0x9807e400,0x3e37c43f,0x3209ff36,0xf9ef800f,
    0x67ccdf04,0x4fe6189b,0x1fcc593c,0xc87e41f6,0x4f982fef,0x13e607e4,
    0x03f201f9,0x27cc0fc8,0x20f7fe44,0x7e44fdfd,0x7fccfe60,0x05dff702,
    0x3aa00fc8,0x5c6fedff,0x83ffeeef,0x80ccfeca,0x3f2000fc,0xfd07f300,
    0xeffcdfc8,0xc800fc81,0xbf901fef,0x266d93e6,0x3e65f83f,0x0fc83ec3,
    0xf305ffd1,0x7cc0fc89,0xfc807e44,0xe883f200,0x177fdc1f,0x644f9888,
    0xf88fe60f,0xbff9101f,0x2003f203,0x3bee13a1,0x7e401bce,0x9ddff900,
    0x3bffbae0,0xddfd50de,0xd88bffdd,0xd73fffff,0x01bddffd,0xfb017fe6,
    0xffdddfdf,0x3bbbbfaa,0x5dfd35fe,0xff513fea,0x88bfea7d,0xfeeeefed,
    0xddfdb10f,0xeb81ffdd,0x7541deff,0x24ffeeef,0x4403ffe8,0xfeeeefed,
    0x1bdfd50f,0xd880ffea,0xffdb33ff,0x3ee009dd,0x9ddfd72e,0xdeffeb80,
    0x37ffff41,0xffffffc8,0xfffff71f,0x04c019df,0x7fffffe4,0x00bf601f,
    0x3fffff6e,0xfffff77f,0x3feabfff,0xb8dff93f,0x8bf64fff,0xfffffff9,
    0xffff30ff,0xd81fffff,0x5c2fffff,0x42deffff,0xf9800ce8,0xffffffff,
    0x41dfff70,0x4d9805fc,0xdffffff5,0xffb14c00,0x7ec01dff,0x0002ffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x4c000000,0x20aa882a,0x202aaaa9,0xa8000de8,0x0330000e,
    0x00000080,0x00000000,0x00000000,0x00000201,0x00000000,0x4bbaa3b7,
    0x0c406ed9,0xc9777646,0xfff11dee,0x3a5ffd85,0x0dffffff,0x980027d4,
    0x6ff64405,0x4bbaa793,0x881d6ed9,0x81ddffec,0x1bfb2eeb,0x2dffec88,
    0x2e7bfb20,0xfeb880ef,0xffeb882e,0xdfec883d,0x5ee5fe43,0x37b661fd,
    0xf702efc8,0x3ff3b620,0x6c40dfdb,0xd02efdce,0x54ffee7f,0x4fa207fe,
    0x5fffb4e8,0xfa8bfff6,0x83ffe26f,0xfdaacfc8,0x00007ec4,0xfeffe880,
    0x7ff70fdf,0x83e7ffa6,0xfffeffe8,0x77fffd44,0x7fcc6fef,0xf980ffee,
    0x6fefffef,0x7ff77fd4,0x7ff77f44,0x7f7ff447,0x3fffe64f,0x7ffd45ff,
    0xf907feff,0xfdffd101,0xe889fdff,0x83ffefff,0xb0fe60a9,0x7cd3e60f,
    0xdf127cc4,0x323fff30,0x41fb86ff,0x675dfc7d,0x40002efc,0x13f663fd,
    0x2efd87f3,0x7f7067e4,0x5ff98ef8,0x7cc407f7,0x57f22104,0x43ff13fb,
    0x19f31fe8,0x98ff62e4,0x22bfa2fd,0x5ffd03fc,0xfddfa862,0xbafcc6dc,
    0xdf30fd3f,0xf9803741,0xa7d43ec3,0x21fd05fa,0xfdf983fb,0xb86eef8d,
    0x1f33f41f,0x1ffdfff9,0x7ffffec4,0x221be4ef,0x361fcc5f,0x1901fd07,
    0xddfb27cc,0xffda8bfd,0xffd884ff,0x35feeeff,0xfdddddff,0x1ef7ff49,
    0x8afc437c,0x7417e25f,0x3ffa600f,0xa7cc4fff,0xf30fd1fb,0xf3007d87,
    0x7f447d87,0xf502fe89,0x3e60df19,0x6ebfcfdb,0xfebacfb8,0x87fc4625,
    0x3bb622fb,0xf14eeeee,0xf98bf109,0x06f83ec3,0x7fec7f30,0x3fee6fff,
    0x7c44fedd,0xfffffdef,0xfffff35f,0xecb8bfff,0x213e25ff,0xfa9be5f8,
    0x2e00fd04,0x4f980fff,0x261fa3f7,0x9803ec3f,0x221fa24f,0x01fd89fd,
    0x2607f9fd,0xdd7ffabf,0x9fffff70,0x7f327c40,0x20ff4000,0x127cc3fc,
    0x207f60fd,0x7ff37418,0x9f31be20,0x0ff24f98,0x2d400ee8,0x83fd0fec,
    0x33bfa3fc,0x00fd03ff,0x307fbff1,0x3f47ee9f,0x21f61fcc,0x33fe22fc,
    0xf704fffc,0x3ea07ee3,0x74fe607f,0x9f70dd4f,0x4f880155,0xa8000fe6,
    0x0efecdff,0x7ff67fc4,0xceff984f,0x77dc6fcc,0x4fdcfffe,0x3ff733fa,
    0x7ee7fc4f,0x2a4fdcff,0x4feccdef,0xdfb99dfb,0xfecdffa8,0xfffff90e,
    0x7ff641ff,0x2fa81dee,0x9efd88dd,0x24fe8dfb,0xff52efe9,0x7d43fe89,
    0x206feeff,0x7f40a62a,0x654fe603,0x03f70dd0,0x7f327c40,0x3a602cc0,
    0xf500dfff,0x20dfdbff,0x1defffda,0xff9cffb8,0x3ffa62ef,0x7cc6ffdf,
    0xeffeeeff,0x7ffffdc2,0xffffd71d,0xfffd303b,0x318a541b,0x7ffff41b,
    0x044102ff,0x3eebffa2,0x3ea5fe9e,0x0dff93ff,0x00004c03,0xefd88000,
    0x47ffb30d,0x404eefeb,0xbfb3ffd8,0x44006cc0,0x40006001,0x4c088009,
    0x40026200,0x26004c08,0x800cc009,0x00000018,0x00000000,0x00000000,
    0x7ff44000,0x4bfff70e,0x00effffd,0x3a37ffa2,0x000000ef,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xec9776c4,0x3bbba63e,0x2a0546ee,0xec8050a1,0x877b623e,
    0xd980eeed,0x1deeb9de,0x01530288,0xd10a6014,0xffffffff,0x4416dc4b,
    0x645500aa,0x3325971e,0x65c414c0,0x83cccccc,0x00914983,0x00083366,
    0x2eeeeee2,0x2e22bbbb,0xbbbbbbbb,0xe986542b,0xe8eeeeee,0x49ffd3ff,
    0x7ffffff9,0x2fdc3be2,0xd806ecbb,0xfe898cff,0x03fffa2f,0x3ee3ffaa,
    0x437f42ff,0xfc81fced,0x21fbdb01,0xeeeeeed8,0x3f7ba6fe,0x207eeec2,
    0x5c7f25fa,0x76c4fd2f,0x3ffee2fd,0x20ffffff,0xd8bea0f8,0x7d4bf20e,
    0x32fa8eff,0xffc9b23f,0xffffffff,0xfffff91f,0x43ffffff,0xdddd33fe,
    0x5f7ecddd,0xa97cc2ff,0x5f7d41ff,0x43ba20ef,0x36df00ed,0xf903f9af,
    0x3a33e201,0x881a603f,0x07ffdc3e,0x74007b1c,0x31ae1f36,0x1fc87d97,
    0xd8fd43ee,0x446896e7,0x09999999,0x0fcd76a2,0x367fd364,0x0efffb8e,
    0x5312a1b1,0x55555555,0x99999983,0x65419999,0xeffb8000,0x07fea101,
    0x44077fd4,0xb03fd1ee,0x5f7bff3f,0x7c403f20,0x34c02ffe,0x3ea0ffa8,
    0x3b206fbe,0x7c5ba000,0x55f4cb91,0x9ea2f43e,0x25cb90f9,0x4cccc1f1,
    0x3a609999,0x4430003f,0x00033660,0x00000000,0x2fffc800,0xb803fea0,
    0x9fb00eff,0x3bee13f2,0x900fefff,0x37fe201f,0x01a602ff,0x5c3fe2bb,
    0x006f445f,0xfefd9ba0,0x3bf6faa2,0x26981f10,0x9bd12a78,0x7fffdc9d,
    0x040fffff,0x00000000,0x00000000,0xadfd8800,0x0ffa83ff,0xfbefb893,
    0xfc97e40e,0xf7fff102,0x807e40df,0x01ff35f8,0x32237fb7,0x83f53ebb,
    0x32ffe67d,0x75132001,0x15557301,0x4000c0e6,0x5ddc40b9,0x002bbbbb,
    0x00000000,0x00000000,0x25ffd300,0x3fea5ffd,0xf10feeee,0xec97ea1d,
    0xff803d90,0xeeb89ff4,0xb30deeff,0x37bee9ff,0xa86eeee0,0x4c0041bb,
    0x0001bbbb,0x00000000,0x00000000,0x00000000,0x00000000,0x74fffea0,
    0xfff70eff,0x05c3ffff,0x00543866,0x42fc8fec,0xfffffffc,0x74dfff51,
    0x000001ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__courier_bold_20_latin_ext_x[560]={ 0,3,2,1,1,1,1,4,4,2,1,0,3,1,
3,1,1,1,0,1,1,1,1,1,1,1,3,3,-1,0,0,1,1,-1,0,0,0,0,0,0,0,1,0,0,
0,-1,-1,0,1,0,0,1,0,0,-1,-1,0,0,1,4,1,2,1,-1,3,0,-1,0,0,0,1,0,0,1,
1,0,1,-1,0,0,-1,0,0,1,1,0,0,-1,0,0,1,2,4,2,1,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,3,1,0,1,0,
4,0,2,-1,2,0,-1,1,-1,-1,2,0,2,2,3,0,1,3,3,2,2,0,0,-1,0,1,-1,-1,-1,-1,
-1,-1,-1,0,0,0,0,0,1,1,1,1,-1,-1,0,0,0,0,0,1,0,0,0,0,0,0,1,0,0,0,
0,0,0,0,-1,0,0,0,0,0,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,
-1,0,-1,0,-1,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,0,-1,0,1,0,0,0,0,1,0,
1,0,1,0,1,0,1,-1,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,0,-1,-1,0,0,0,0,0,0,
1,1,1,1,1,1,1,1,0,1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,-1,-1,0,0,
0,1,1,1,1,1,1,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,2,1,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,-1,0,1,1,0,
0,0,0,0,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,-1,0,-1,-1,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static signed short stb__courier_bold_20_latin_ext_y[560]={ 14,2,3,1,1,2,4,3,2,2,2,3,11,8,
11,1,2,2,2,2,2,2,2,2,2,2,6,6,3,6,3,3,2,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2,1,2,2,17,2,5,2,5,2,5,2,5,2,2,
2,2,2,5,5,5,5,5,5,5,3,6,6,6,6,6,6,2,2,2,7,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,14,6,1,3,4,3,
2,2,2,3,2,6,8,8,3,0,1,1,2,2,2,6,2,7,13,2,2,6,2,2,2,6,-1,-1,-1,0,
0,-1,3,3,-1,-1,-1,0,-1,-1,-1,0,3,0,-1,-1,-1,0,0,5,2,-1,-1,-1,0,-1,3,2,2,2,
2,3,2,1,5,5,2,2,2,2,2,2,2,2,2,3,2,2,2,3,2,4,5,2,2,2,2,2,2,2,
0,3,-1,2,3,5,-1,2,-1,2,-1,2,-1,2,-1,2,3,2,0,3,-1,2,-1,2,3,5,-1,2,-1,2,
-1,2,-1,2,3,1,-1,-1,3,2,0,3,0,3,-1,2,3,2,-1,6,3,2,-1,2,3,2,6,-1,-1,3,
2,3,2,3,2,3,2,-1,2,3,5,-1,2,3,3,5,0,3,-1,2,-1,2,3,5,-1,2,3,5,-1,2,
-1,2,-1,2,3,5,-1,2,3,3,-1,2,3,3,0,3,0,3,-1,2,-1,1,-1,2,3,6,-1,2,-1,2,
0,-1,2,-1,2,-1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,3,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,5,2,2,2,2,2,2,2,2,2,2,2,2,2,1,5,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,-1,2,-1,2,-1,
2,-1,2,-1,0,-1,-1,-1,-1,-1,-1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,-4,-2,-1,2,-1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static unsigned short stb__courier_bold_20_latin_ext_w[560]={ 0,4,7,9,9,9,9,3,5,5,9,10,5,8,
4,9,9,9,9,9,8,9,9,8,9,9,4,5,11,11,11,9,8,12,11,10,10,10,11,11,11,9,11,11,
11,13,12,11,10,11,11,9,10,11,12,12,11,11,9,5,9,5,9,13,4,11,12,11,11,10,10,11,11,9,
8,11,9,13,11,10,12,11,11,9,10,11,11,12,11,11,9,6,3,6,9,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,0,4,8,10,9,11,
3,10,7,12,7,10,11,8,12,13,7,10,6,6,4,11,9,4,4,6,7,11,11,13,11,8,12,12,12,12,
12,12,12,10,10,10,10,10,9,9,9,9,11,12,11,11,11,11,11,8,11,11,11,11,11,11,10,10,11,11,
11,11,11,11,12,11,10,10,10,10,9,9,9,9,10,11,10,10,10,10,10,10,11,11,11,11,11,11,12,11,
12,11,12,11,13,11,10,11,10,11,10,11,10,11,10,13,11,11,10,10,10,10,10,10,11,10,10,10,11,11,
11,11,11,11,11,11,11,11,11,11,9,9,9,9,9,9,9,9,9,9,11,11,11,8,11,11,11,11,9,11,
9,11,9,11,9,11,9,12,11,12,11,12,11,12,10,10,11,10,11,10,11,10,12,12,11,11,11,11,11,11,
9,9,9,9,9,9,9,9,10,10,10,11,10,10,11,11,11,11,11,11,11,11,11,11,11,11,12,12,11,11,
11,9,9,9,9,9,9,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,9,10,10,10,
10,10,10,10,10,10,10,10,10,10,12,11,10,10,10,10,10,10,10,10,10,10,10,10,10,12,12,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,12,11,9,9,11,
10,11,11,11,11,11,11,11,11,11,11,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,12,11,12,12,11,11,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10, };
static unsigned short stb__courier_bold_20_latin_ext_h[560]={ 0,13,6,15,16,13,11,6,15,15,9,11,6,2,
4,16,13,12,12,13,12,13,13,13,13,13,9,10,11,6,11,12,14,11,11,12,11,11,11,12,11,11,12,11,
11,11,11,12,11,14,11,12,11,12,11,11,11,11,11,15,15,15,7,3,4,10,13,10,13,10,12,13,12,12,
16,12,12,9,9,10,13,13,9,10,12,9,8,8,8,12,8,15,15,15,4,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,0,12,14,11,9,11,
15,14,3,12,6,8,6,2,12,3,6,13,7,7,4,12,14,3,5,7,6,8,12,12,12,12,15,15,15,14,
14,15,11,15,15,15,15,14,15,15,15,14,11,14,16,16,16,15,15,8,14,16,16,16,15,15,11,13,13,13,
13,12,13,14,10,13,13,13,13,13,12,12,12,12,13,11,13,13,13,12,13,10,11,13,13,13,13,16,16,16,
14,12,15,13,14,12,16,13,16,13,16,13,16,13,15,13,11,13,14,12,15,13,15,13,14,12,15,13,16,16,
16,16,16,16,15,17,15,15,11,12,14,11,14,11,15,12,14,15,15,8,12,16,16,16,15,16,8,15,15,15,
16,11,12,11,12,11,12,15,12,15,13,15,12,11,12,13,15,12,16,13,16,13,11,10,15,12,15,13,15,12,
16,13,16,13,15,13,16,13,16,16,15,13,11,12,15,12,15,12,16,13,16,14,16,13,14,11,15,12,15,16,
14,15,12,15,12,15,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,15,12,12,12,
12,12,12,12,12,12,12,12,12,12,13,10,12,12,12,12,12,12,12,12,12,12,12,12,12,14,10,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,15,13,15,12,16,
13,16,13,16,15,16,16,16,16,16,16,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,18,17,15,13,17,14,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12, };
static unsigned short stb__courier_bold_20_latin_ext_s[560]={ 50,183,148,217,208,161,91,144,61,67,179,
116,138,247,191,115,80,92,102,58,247,12,102,158,124,167,215,247,1,164,220,
125,34,150,79,135,212,137,57,146,235,13,171,104,92,1,160,183,15,206,244,
230,197,218,111,127,80,188,140,94,73,250,93,214,186,100,148,75,244,125,1,
82,23,35,168,45,240,189,203,146,154,118,167,136,195,220,243,44,1,206,13,
134,250,115,196,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,50,250,136,
57,157,68,222,23,206,158,130,232,110,247,112,228,122,188,103,86,181,46,112,
242,176,79,156,32,214,200,188,179,102,171,1,181,168,154,163,193,148,132,83,
145,116,96,106,243,176,218,185,173,47,159,126,23,156,50,62,71,151,25,35,
71,59,47,35,11,13,231,112,232,221,210,199,201,244,212,202,82,137,148,116,
105,94,168,71,39,223,37,25,13,1,125,102,90,99,58,167,177,122,144,68,
134,79,112,197,90,57,68,14,44,208,189,88,48,25,33,36,1,194,133,47,
22,235,211,1,218,149,13,207,38,163,195,200,70,78,69,68,101,219,36,13,
185,175,57,12,1,230,247,122,223,67,90,80,68,47,185,123,173,1,232,234,
227,23,204,146,180,24,26,1,232,120,179,137,49,59,60,124,87,49,100,37,
94,13,190,25,222,146,212,141,25,189,127,36,25,143,1,46,236,238,156,197,
222,35,167,13,241,242,106,229,23,83,35,226,161,56,138,59,100,69,110,79,
89,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,112,12,12,240,
12,12,12,12,12,12,12,12,12,12,12,12,12,141,50,12,12,12,12,12,
12,12,12,12,12,12,12,12,43,62,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,184,171,
58,226,199,130,177,82,156,1,134,122,110,98,86,74,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,1,14,209,243,26,1,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12, };
static unsigned short stb__courier_bold_20_latin_ext_t[560]={ 18,115,206,53,20,115,181,206,54,54,194,
169,206,206,206,20,101,156,156,101,142,101,101,101,101,101,194,169,182,206,181,
156,86,169,181,156,169,181,181,156,169,182,156,169,169,194,181,156,194,86,181,
156,181,156,181,169,169,169,169,53,54,37,206,206,206,194,115,194,115,194,169,
129,169,169,1,169,156,194,194,194,129,129,194,194,156,194,194,206,206,156,206,
70,53,70,206,169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,
169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,18,156,86,
169,194,169,37,86,206,156,206,194,206,206,156,206,206,115,206,206,206,156,86,
206,206,206,206,206,142,142,142,142,70,37,70,86,86,53,169,53,37,53,53,
86,37,37,37,86,169,86,20,20,37,37,37,206,86,1,1,37,70,54,182,
129,129,129,129,143,129,86,194,115,115,115,115,101,129,129,129,156,115,181,115,
115,115,143,115,194,169,115,115,115,115,20,20,20,86,156,53,101,86,143,20,
101,20,101,20,101,20,101,70,101,181,101,86,143,70,101,70,101,86,143,70,
101,1,1,37,20,20,20,70,1,70,70,169,156,86,181,86,181,70,156,86,
70,70,206,156,20,20,1,70,1,206,70,70,70,20,181,143,181,143,181,129,
53,143,53,101,53,156,194,156,101,53,129,20,115,37,115,181,194,54,143,54,
129,54,129,37,101,1,101,70,129,1,115,20,20,53,129,182,142,37,143,37,
129,37,129,37,70,20,129,70,182,37,143,37,20,86,37,143,53,143,53,143,
143,169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,143,169,169,53,
169,169,169,169,169,169,169,169,169,169,169,169,169,129,194,169,169,169,169,169,
169,169,169,169,169,169,169,169,86,194,169,169,169,169,169,169,169,169,169,169,
169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,37,115,
70,142,1,129,1,115,1,54,1,1,1,1,1,1,169,169,169,169,169,169,
169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,
169,169,169,1,1,37,101,1,86,169,169,169,169,169,169,169,169,169,169,169,
169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,
169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,
169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,
169,169,169,169,169,169,169,169,169, };
static unsigned short stb__courier_bold_20_latin_ext_a[560]={ 170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_20_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_bold_20_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_20_latin_ext(stb_fontchar font[STB_FONT_courier_bold_20_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_20_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_bold_20_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_20_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_20_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_20_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_20_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_20_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_20_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_20_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_20_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_20_latin_ext_s[i] + stb__courier_bold_20_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_20_latin_ext_t[i] + stb__courier_bold_20_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_20_latin_ext_x[i];
            font[i].y0 = stb__courier_bold_20_latin_ext_y[i];
            font[i].x1 = stb__courier_bold_20_latin_ext_x[i] + stb__courier_bold_20_latin_ext_w[i];
            font[i].y1 = stb__courier_bold_20_latin_ext_y[i] + stb__courier_bold_20_latin_ext_h[i];
            font[i].advance_int = (stb__courier_bold_20_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_20_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_20_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_20_latin_ext_s[i] + stb__courier_bold_20_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_20_latin_ext_t[i] + stb__courier_bold_20_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_20_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_20_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_20_latin_ext_x[i] + stb__courier_bold_20_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_20_latin_ext_y[i] + stb__courier_bold_20_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_20_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_20_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_20_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_20_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_20_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_20_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_20_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_20_latin_ext_LINE_SPACING
#endif

