// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_21_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_21_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_21_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_courier_bold_21_latin_ext_BITMAP_HEIGHT        234
#define STB_FONT_courier_bold_21_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_courier_bold_21_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_bold_21_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_bold_21_latin_ext_LINE_SPACING          10

static unsigned int stb__courier_bold_21_latin_ext_pixels[]={
    0x00006c40,0x00000400,0x00840000,0x00060002,0x000c1100,0x00004400,
    0x15555510,0x00000400,0x00000110,0x00000000,0x8009f300,0x1b6001e9,
    0x0e800dc0,0x2fa2012a,0x02f981f9,0x5c00ba20,0x3afa603f,0x80be2002,
    0x2ea800ea,0x55555440,0x4c0f7000,0x7d4016c5,0x002ea801,0x7dc007d3,
    0x25c1f003,0x20017c40,0xdd1003fa,0x40093001,0x401fbbec,0x203f9de8,
    0x91b803fa,0x7dd10731,0x191370bf,0x0bf20091,0x80e63637,0x300dfcfc,
    0xed801b89,0x7edef401,0x4017dc00,0x200dfcfc,0x400eecfc,0x400eebfd,
    0x001fdcec,0x02f80035,0xfb8012a0,0x0736a002,0x4015d260,0x543d8059,
    0x07224986,0x400e985d,0x543d86f8,0x3621b306,0x03e8d502,0x5c4006c4,
    0x00c800bd,0x05b10d98,0x01e44762,0x400e4191,0xb5000bc9,0x05cc0079,
    0x104c8300,0x01880019,0x31c400c0,0x26200007,0x00009999,0x0000ff20,
    0x00000110,0x10000044,0x40198813,0x800c4001,0x01989aa8,0x06626aa2,
    0x200b1390,0x6c4059d9,0x05fccfff,0x44066253,0x06dffffc,0x01bfffb1,
    0x5c3ec3f2,0xfff95fff,0x3ffffe69,0x2bfff73f,0xf104fffc,0x95fffb8f,
    0xfc889fff,0x3ee6ceff,0x9fff95ff,0xcefffc88,0x657ffee6,0xfff74fff,
    0x113ffe67,0x201bfffb,0x6dffffc8,0xfdffff90,0xffff90df,0x6c40dffd,
    0xb193001e,0x76fffc40,0x7f5c0fff,0x446ffeff,0xffeddffe,0x7efffc41,
    0x044301ff,0xecaf7fdc,0x3332e4ff,0xbdff73fd,0x5c13ffb2,0xaf7fdc3f,
    0x3a24ffec,0x1fffdcef,0x3b2bdff7,0x3bfa24ff,0xf71fffdc,0x3ffb2bdf,
    0x221bfd14,0x3fe21efd,0x441fffdf,0xffeddffe,0x7e67fe41,0x7fe42dff,
    0x02dfffcc,0x01db8000,0x7fc433f6,0x7e67fe46,0x27dc2dff,0x33f60fec,
    0x998df710,0xf9026620,0xfa80bf03,0x17e07f23,0x1fc80ff8,0x227ec5f8,
    0x07f21fe8,0x889fb17e,0x207f21fe,0x3637cc5f,0x8867ec2f,0x427dc6fb,
    0x03fe21fd,0x0ff887ff,0xffa81ffc,0x553005ff,0xfd1fe601,0x03fe25fd,
    0x20dd07ff,0xe83fcc49,0x229ff92f,0x0fe43fff,0x8fea02fc,0x505f81fc,
    0x207f209f,0x7b837c5f,0x22fc0fe4,0xfc8f706f,0x2fd85f81,0x07f98df3,
    0x983745fd,0x7e427d44,0x7e427d43,0xfffdd503,0x7fffc401,0x927d41ef,
    0x3ea9f5bf,0x7cc3fc84,0x413ee004,0x49f934fb,0x0fe43fdb,0x8fea02fc,
    0xd05f81fc,0x207f201f,0x8013e65f,0x265f81fc,0x07f2004f,0x6dbe617e,
    0xb827dc2f,0x4009f34f,0x43fc85f9,0x03fc85f9,0x1027f7dc,0x8bf959bb,
    0x11df72fc,0x3217e6bf,0x261fd43f,0x0bf20999,0x89f12fc4,0x40fe43fa,
    0x91fd405f,0xf50bf03f,0x7c0fe409,0xc800fea5,0x3ea5f81f,0x207f2003,
    0xdf9fb05f,0x3e205f90,0x99987f55,0x987fe209,0x0ffc43ff,0xfe807ff3,
    0x351007f9,0xf9bf98fd,0x3e29f71f,0x50ffe61f,0x7fffe47f,0x7dc13ee6,
    0x7f513e24,0x05f81fc8,0x03f91fd4,0x403fd0bf,0x2a5f81fc,0x07f2003f,
    0x003fa97e,0x417e07f2,0xfb82fff9,0x3ea9f704,0x1bffff23,0xfffbdff7,
    0xfbdff707,0xafcc07ff,0x3fae02fc,0x77c0ffff,0xb8bfa2fe,0x3fffdeff,
    0xd99337c4,0xe83fcc7f,0xf513e22f,0x7c41fc87,0xf91fd404,0x7cc4f883,
    0x220fe405,0x801fe24f,0x127c41fc,0x0fe400ff,0x6fd813e2,0x3fa0ff30,
    0x664cdf12,0xfffb83fe,0xff703fdf,0x6407fbff,0x2e0bf32f,0x0fecbcff,
    0xfb8a7fe4,0xdeffc986,0xc82fe83f,0x8867ec1f,0x22fc46fb,0x22fd43fc,
    0x1fd401fc,0x41fc8bf5,0x2fd401fd,0x19fb07f2,0x17ea1ea8,0x0cfd83f9,
    0x8bf50f54,0x0bf601fc,0xf710cfd8,0xfc82fe8d,0x17dc6601,0x817dc660,
    0xffeeeff8,0x3a237c40,0x677fe40f,0x42201fff,0xfff982fb,0x441ffedd,
    0x1fffdfff,0xfffddff8,0x767ff41e,0x0ff4406f,0x1bfb3ffa,0x3fa00df3,
    0xe886fecf,0x1ffecdff,0x37f67ff4,0x766fff44,0x67ff41ff,0x1be606fe,
    0xffbfff10,0xdfff983f,0x9801ffed,0xfd3000fe,0x3fffee01,0xdfe84fff,
    0x51efffec,0x3dfffbff,0x407fa600,0x2effffd9,0x1dfffb10,0x3bfffe60,
    0x7fe442ff,0x7ff4c0be,0xffc884ff,0x00fd40be,0x0beffc88,0xbfffd910,
    0x7dff9103,0x3ffb2201,0xffc881df,0x7ffd40be,0x7ec404ff,0xfb300eff,
    0x2605dfff,0x204ffffe,0x04ffffe9,0x21fe03fa,0xfeefffd9,0x04c3fb2f,
    0x3ffffa60,0x00131004,0x0cc00262,0x6c403100,0x0c402dee,0x00c40000,
    0x0c400620,0x44006200,0x3bbba601,0x0131003e,0x26004c40,0x4c02deed,
    0xb102deed,0x3f623bff,0x009881ef,0x36600022,0x00002dee,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0xd32fffe9,
    0x00005fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40020000,0x50000000,
    0x40008001,0x00020010,0xfff30000,0x05ffffff,0x00000800,0x11e98000,
    0x2000005b,0x01000000,0xbdd30000,0x4005d505,0x17cc02f9,0x401f5400,
    0x3e6006bd,0xf9be8802,0x2013a201,0x036403fb,0x3bfbbfe6,0x03f32fee,
    0x4c01fc40,0x5d5016c5,0x1bfbf900,0x2002ea80,0x02ea806d,0x20003b20,
    0x3fea4eea,0x6fe7ec4f,0x801fd400,0x3f2003fa,0x2b100dfc,0x02fb801c,
    0x03f9de88,0x3f6017e6,0x1fb00eeb,0x3faa7cc0,0x01be65f7,0xbd009f30,
    0x3f201fb7,0x74c00dfc,0xdfcfc802,0x003ba200,0x001bf9f9,0xfc8007f6,
    0x033ea7ff,0x00b621b3,0x0598003b,0x0b221b30,0x3b004eb8,0x015d2600,
    0x832200ee,0x99fe881c,0xfaa7cc19,0x0fec5f73,0x10036200,0x366017b7,
    0x03005b10,0x0b621b30,0x0d9804a8,0x1dc005b1,0x3ea0df00,0x00000003,
    0x00000000,0x00000180,0x40988022,0x3ffee198,0x8ec4ffff,0x4c1b33fa,
    0x000c005f,0x40088006,0x00dfffd8,0x00000000,0x3f980000,0x7fdc7f50,
    0x29fff95f,0xff95fffb,0x57ffee9f,0xe884fffc,0x70efffff,0x3ff2bfff,
    0x7ffec44f,0xafffdc0d,0x2e24fffc,0x2e2eeffe,0xfff33fff,0x333fb229,
    0x0fea01cc,0xd8801fd0,0xb100dfff,0x7101bfff,0x885ddffd,0x1fffdfff,
    0x74cbffea,0xffff33ff,0x7ff45fff,0x1dfff53f,0x05ffffa8,0x0e77ee44,
    0xeffb8fea,0x2e9ffd95,0xffd95eff,0x657bfee9,0xed884ffe,0xf70deffe,
    0x3ffb2bdf,0x3f7ffe24,0x3bfee1ff,0x6c9ffd95,0x24ffecef,0xfb10dfe8,
    0x000fd83d,0x9f500fea,0x7efffc40,0x7ffc41ff,0x7ec1fffd,0x6c4ffece,
    0x4df710cf,0xff30ffe9,0x3bbfe65d,0x3bfa2ffe,0x1dfdd32e,0x0fffeea8,
    0x3fffff20,0x3f21fd45,0x0fe45f81,0x207f22fc,0x20fd005f,0x6c5f81fc,
    0x8df710cf,0x265f81fc,0x2627dc5f,0x6c17ec6f,0x0fea000f,0x7ec03fa0,
    0xd8df710c,0x4df710cf,0x327dc5f9,0x88bfa0ff,0x41ff11ff,0x31bee4f9,
    0x7dc2629f,0x13fbee02,0x5039f730,0xf81fc87f,0x2fc0fe45,0x017e07f2,
    0x81fc83f4,0x741fe65f,0x3e07f22f,0x07613ea5,0x837ccbf6,0x3ea000fd,
    0x984fb803,0x265fd07f,0x2a5fd07f,0x3ee1d84f,0xfa89f704,0x3f887fb6,
    0x5f881ff3,0x807f2bf9,0xa807f9fe,0xc87f503f,0x7e45f81f,0x0fe45f81,
    0x07e802fc,0x5cbf03f9,0x649f704f,0x3e25f81f,0x7cc01bdf,0x3f605fb6,
    0x3bae0cc0,0x7fc03eef,0xfb827dc0,0x3ee09f74,0x037bff14,0x2fc40bf2,
    0xa82ff7e4,0xdf02fe88,0x03f63ffe,0x02fcafcc,0x3fa81fd4,0x22fc0fe4,
    0x645f81fc,0x8045f81f,0xf03f907e,0xf8817e4b,0x17e07f25,0x07ffffd1,
    0x5037e7ec,0x8dffb9df,0x04fffffc,0x0bf21fdc,0x02fcafc4,0x7ff44bf1,
    0x827dc3ff,0xffe884fb,0xd027ec00,0xfd7fff3f,0x5f997e40,0xfa81fd40,
    0x2fc0fe43,0x917e07f2,0x5e8bf03f,0x03f907e8,0xb827dcbf,0x3e07f24f,
    0x7ffb7105,0x00bffe60,0x039ffff9,0x71fe2000,0x5d3ee09f,0x109f704f,
    0x7cc7ffb7,0x2a05fd07,0x32fe403f,0xfbfdfd81,0xdff107fd,0x5401ffdd,
    0xc87f503f,0x3227c41f,0x3227c41f,0x3e27c41f,0x3f907e86,0x1fe64f88,
    0x83f917f4,0x220ea4f8,0x01bf606f,0x2e980198,0xf98ff200,0x3e65fd07,
    0x0ea5fd07,0x19fb1be2,0xfa81bee2,0xf83fea03,0xfebffec5,0xffff706f,
    0x7e409fff,0xfa87f501,0x3ea0fe45,0x3ea0fe45,0x1be0fe45,0x17ea0df1,
    0x0cfd83f9,0x5fa8df71,0x83fd0fe4,0x0bf605f9,0xfa802ec0,0xb1be2004,
    0x1bee219f,0x3ee219fb,0xbf307fa6,0xffdfff88,0x40fea01f,0x237c1ff8,
    0xbff74ffc,0x1fe03fa0,0x540df9b7,0x3ffa3fff,0xffd06fec,0x3fa0dfd9,
    0xff86fecf,0x202ffddf,0x86fecffe,0xfffdfff8,0xfecffe81,0x7677ff46,
    0x0df302ff,0x3b003640,0x222fc800,0x1fffdfff,0x7fefffc4,0x33bffa1f,
    0xfd882ffe,0xdd700eff,0xffc89ddf,0x5c6feeee,0x89ff12ff,0xb11dffd8,
    0x3ff23dff,0x3bba601d,0x2fbff223,0x7dff9100,0x3bff2201,0xfffc980b,
    0x7fe4402e,0xffb100be,0x3f2201df,0x6f640bef,0x7d42dfff,0x5004ffff,
    0x000ea007,0xffb10fe2,0x3f6201df,0x6f640eff,0x4402dfff,0x7ffe4009,
    0x7ffe45ff,0x7d46ffff,0x3a61ff47,0xffd32fff,0x0000445f,0x06200188,
    0x26001880,0x000c4000,0x06200131,0xdd300c40,0x0e007ddd,0x20000000,
    0x13100098,0x00003100,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0b623d30,0x19702dc0,0x5d9003aa,0x74c02b80,0x08005b11,0x000a0a80,
    0x00001800,0x01000d88,0x44000000,0x40000e63,0x005b11e9,0x00880033,
    0x2e007bb2,0x6fefe405,0x201fc800,0x803fdfd8,0x1fe202fd,0x017f7f20,
    0x7cc04e88,0xe9805f53,0x5dfd1003,0x2d8b3079,0xf5007f50,0x20175401,
    0xc803a23b,0x2d40fb0f,0x7efe4076,0x03cda805,0x777ff5c4,0x400fffc2,
    0x174c03fc,0x7000eb80,0x0262001b,0x3a600570,0x013e6002,0xfb805054,
    0x94c00eec,0x7bd00dfb,0xffb881fb,0x03f906ef,0x806fe7ec,0x805dbcf8,
    0x7bf00221,0x02e980db,0xd80b1390,0x84ffecef,0x7f8801fc,0x4c710000,
    0x0398e203,0x01333331,0x01100044,0x00001dc0,0x001e43b0,0x02f6e200,
    0x3ffb7ff2,0xb3006c41,0xc980b621,0x026200ad,0x36e20331,0x0008800b,
    0x7cc03db1,0x7e427dc5,0xfb00aa89,0xcafffdc7,0x87e44fff,0x6c3f207d,
    0xfffff987,0x7ffe443f,0xffc886ce,0x80006cef,0xff95fffb,0xfb80009f,
    0x9fff95ff,0x7b8df000,0x00000000,0xf33fffb8,0x440009ff,0x02eeffeb,
    0xd84fa800,0xfffefc81,0x2e6f985f,0xffd95eff,0x20044309,0x665c0221,
    0x3fa23fdc,0x21fffdce,0xffdcefe8,0x7fffd41f,0x57bfee05,0x7d44ffec,
    0x3ee05fff,0x9ffd95ef,0x3fffffa6,0x980bfa2f,0x2ffffffe,0xffffffd3,
    0x5ffffa85,0x4437fa20,0xfff71efd,0xd8dfffff,0x84ffecef,0x205ffffa,
    0x401bdff8,0xffcceffc,0x0fe47f85,0x882662fc,0x104cc099,0x3fa80133,
    0x3fd113f6,0x3fa227ec,0x7fff7541,0x3e07f200,0xfffeea85,0x3e07f200,
    0x3bfbb665,0x3ffea1ee,0x7f76cc2d,0xddb31eee,0xea83dddf,0x2600fffe,
    0xd517ec6f,0xdfddddff,0x13ee2fcc,0x03fffbaa,0x3ffffe88,0x3fd0df90,
    0x07f20fe8,0x14ffc97e,0x7fe47fff,0x807fff14,0x5c1be3fa,0x07b837c7,
    0xc813fbee,0x2e05f81f,0x3f204fef,0x7f505f81,0x37ff6440,0x7d403fa8,
    0x4fefb803,0x6f997ec0,0x26f84f98,0x201d84fa,0x8804fefb,0xfc83ffdb,
    0x7ec3fa82,0x97e07f21,0x3f6e4fc9,0xdb93f263,0x99fd403f,0x09f3004f,
    0x1fe7fa00,0x05f81fc8,0xc81fe7fa,0xf505f81f,0x3fb10607,0xfa807f50,
    0x7f9fe803,0x2fdb7cc0,0x3a954f98,0x06f7fe24,0x83fcff40,0xc86f883a,
    0x741fb84f,0x3e07f21f,0x3ea27c45,0x3ea27c43,0xfa9fd403,0x007f5003,
    0x0bf2bf30,0x82fc0fe4,0x205f95f9,0x505f81fc,0xa85f507f,0x403fa83f,
    0xafcc03fa,0x67ec02fc,0xd5bf306f,0x3ffa201f,0x57e603ff,0x41fe82fc,
    0xcffc85f9,0x7f86fb89,0x22fc0fe4,0x21fd44f8,0x01fd44f8,0x01fd4fea,
    0xc8003fa8,0x320bf32f,0xf905f81f,0x7e417e65,0x7f505f81,0xf957ff70,
    0x807f501f,0x97e403fa,0x7fcc05f9,0xffff302f,0xfdb8801f,0x265f903f,
    0xceffe85f,0xffc82ffe,0x4c2fffff,0x220fe46f,0x2a27c44f,0x2a27c43f,
    0x89fd403f,0x0ff1007f,0xeeeff880,0x41fc80ff,0xeff884f8,0xfc80ffee,
    0xfa827c41,0xfffffa83,0x807f503f,0x3fe203fa,0x400ffeee,0x37e606fd,
    0x83a80fea,0xeff886f8,0x7640ffee,0x902dfffd,0x019bb75f,0x45fa87fb,
    0x22fc41fc,0x22fc43fc,0x1fd403fc,0x1ea819fb,0x3d5033f6,0xffffffb8,
    0x645fa84f,0xffffb81f,0x5fa84fff,0x3fa80fe4,0x809f9130,0x1fd403fa,
    0xffffff70,0x02fd809f,0xfaa4d3e6,0x5f983fd0,0xffffffb8,0x007e204f,
    0xff1003f9,0xfd9ffd01,0x3f77fe0d,0x6ffc1eff,0x301efffd,0x7ff443fd,
    0x221ffecd,0xffecdffe,0x3fc07f41,0x6fecffe8,0x0ff01fd0,0x1bfb3ffa,
    0x7d403fa8,0x201fd403,0x03fa03fa,0x06f981fe,0x8fe427cc,0xffeceffe,
    0x7f80fe82,0xf9007fc0,0x207f9003,0x00beffc8,0xffdffff3,0xeffff985,
    0xfffd32ff,0xffd910bf,0xfd9103bf,0x7ec43bff,0xdffb11df,0xbeffc883,
    0x8effec40,0x441effd8,0x4c0beffc,0x1deefeed,0xed982f98,0xb31deefe,
    0x23bddfdd,0xb11dffd8,0x3fea3dff,0xfd504fff,0x3ffddddf,0x37fff7b2,
    0x8effec42,0x441effd8,0xffd00fef,0x02dc05ff,0x033000c4,0xdb100cc0,
    0x031007bd,0xfe980c40,0xfffd32ff,0xe9806205,0xffd32fff,0x9806205f,
    0x2fffffff,0x3ffe6030,0xff32ffff,0x265fffff,0xfd32fffe,0x3bba65ff,
    0xfff703ee,0x03ffffff,0x7ff4c031,0x5fffd32f,0x76c03510,0x00001eee,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x10000000,0x54008000,0x804400a0,0x08006ec8,0x10009800,
    0x00001000,0x015c0000,0x88003b30,0x40008001,0x74003000,0x8007b60e,
    0x05ddd700,0x01fc4000,0x3e606d80,0x32205f53,0x266cefff,0x7c4007ff,
    0x007ee003,0x74c003ea,0x005d5003,0x7c400baa,0x013ee007,0x37ffff22,
    0x2005d806,0x3fa200fa,0x3fe03cae,0x6400bfa0,0x07fffd06,0xd3005d50,
    0x0774400b,0xd10282a0,0x3fffb9df,0xe98007e8,0x801fc805,0x9f5001fc,
    0x37f3f200,0x37f3f200,0x4002b800,0x7ff4400a,0x101ffedd,0x3f2001bd,
    0xdfb94c01,0x13106600,0x200ed880,0x7e403fb8,0x6c400dfc,0x80095000,
    0x2227ec01,0x333f41fe,0x801b1003,0x00d8800b,0x6cc00b20,0x36605b10,
    0x31005b10,0x226aa200,0xd84fb819,0x4009501f,0x00c000d8,0x26226662,
    0x12600999,0xb301fd40,0x0000b621,0x7fec4000,0x706f80df,0x3ff2fd0f,
    0x75c0005f,0x000002ee,0xdb500000,0x7fe44007,0xff906dff,0xe8dffdff,
    0x00009306,0x3ff62000,0x7ffc40df,0x3fffffcf,0x07f50000,0xfffd3000,
    0xfe885fff,0x0fffffff,0x3ff7ffe2,0x0013e61f,0x873ff6fd,0xfffffffb,
    0x1ffff46f,0x7fffffdc,0x3ffee6ff,0xfb80adff,0x6fffffff,0x44013ff2,
    0xffeddffe,0x7e67fe41,0x13e62dff,0xffffe880,0x25fff505,0x3e23ffe9,
    0x41fffdff,0xccbbfdcb,0x8fffa3fd,0xfa84fffc,0x32dffd03,0xddb31eff,
    0xd883dddf,0xffeeffef,0x5c433f60,0x000fea6f,0x501dfdfd,0xfddddffd,
    0x507f710d,0xfddddffd,0x777ff54d,0xffea87ff,0x4c6feeee,0x09f7004f,
    0x07fc43fb,0x87f50ffe,0x36209999,0xd305effe,0x3bfe61ff,0x5c433f62,
    0xa85f706f,0x43fff63f,0xfa84ffeb,0x32bffb03,0x3fa80efe,0x366fbf80,
    0x3a0ff30f,0x8007f52f,0x2600fffe,0xf506f84f,0x3e13e607,0xf9127cc6,
    0xdf09f305,0x0aa8cf98,0x51260dd0,0xa87f909f,0x3ffff23f,0xf100bf06,
    0x983fe23f,0x705fd07f,0x643fa85f,0xa837c5ff,0xa89f303f,0x807f503f,
    0xc98ef9fa,0x7dc13ee7,0xe800ff14,0xf300efef,0xa82752a9,0x2a9f303f,
    0x44f989d4,0x54f985f8,0xfff313a9,0x4f987fff,0x3217e600,0x9337c43f,
    0x17e07fd9,0x3fdb7d40,0x4fb827dc,0x1fd42fb8,0x6f8ffff2,0x3e607f50,
    0xfa81fd44,0xdffbe403,0x40bf218f,0x033f65f8,0xf97e83d5,0xd5bf303f,
    0x03fa801f,0x01fd5bf3,0x7f5453e6,0xfeadf983,0x77dff300,0x21fd41ff,
    0x3e209999,0x20ffe61f,0x01fc82fe,0x77e400bf,0x102fc85f,0xa85f70bf,
    0x7fd7e43f,0x0fea0df0,0x65556fcc,0x807f503f,0x81ffff4e,0x49f704fb,
    0xfecdffe8,0x74ffb11f,0x3fe61eff,0x7d400fff,0xfffff303,0x3fffe601,
    0xfff304ff,0x3be601ff,0x3fa8bee0,0x71bffff2,0x7fffbdff,0xdbbfff30,
    0x017e03ff,0xb80ffe88,0x229f704f,0x55eefeed,0xfb9fc87f,0x7775cdf5,
    0x3e63eeef,0x03ffffff,0x77cc07f5,0xf987dffe,0xc885fd07,0x261dfffe,
    0x3fff67fe,0x3fab7e62,0x981fd400,0x300feadf,0x01ffddff,0x03fab7e6,
    0x8fea27cc,0x3b3266f8,0xffffb83f,0xffb303fd,0x2fc05dff,0x03fa80ec,
    0x4bfa0ff3,0xefffffe8,0x8fe43fa8,0x3f26fafe,0x24ffffff,0xfcaaadf9,
    0x5c07f503,0x518efccf,0xb8867ec1,0x001fc06f,0x5269f300,0x03fa80fa,
    0x7d5269f3,0xefc93e60,0x2934f980,0x513e60fa,0xc82fe87f,0x7dc6601f,
    0x80099802,0xa827c45f,0x433f603f,0x5c006fb8,0xf98fe42f,0xf30006ff,
    0xf503fa89,0x4df2f407,0x3ffe23f9,0x7c01fffd,0x03fa800f,0x07f213e6,
    0x27cc0fea,0x89f30fe4,0x84f985fc,0x513e61fc,0xdfff987f,0x9801ffed,
    0x37c400fe,0x27cc5f80,0x3e203fa8,0x01fffdff,0xf903fa60,0x9837fe43,
    0xa89f304f,0x3fbb663f,0xffb11dee,0xfdddffd9,0xefffd887,0x03fbe200,
    0x2a0bdb50,0xfeeeeffe,0xdfddd71f,0x3ffaa7dd,0x51ffeeee,0x7f43bffd,
    0xddffd51e,0x3a63ffdd,0x7dfd54ff,0xeffffd98,0xffffd302,0x01fbb009,
    0x3bbffb62,0x775c4fee,0xfb104eef,0xf9001dff,0xffa89fff,0x30dfd14e,
    0xffd30dbb,0x4cfbfaeb,0x2fffffff,0xfffbfff1,0x2207ffff,0x03510009,
    0x7dc02ee0,0xffffffff,0xffffff91,0x3fffee9f,0xf71fffff,0x7fc45fff,
    0xffffff71,0x3fea3fff,0x07fff75f,0x366004c4,0x93002dee,0x7fff4c03,
    0x644fffff,0x405fffff,0x3b200098,0xfffb82de,0x65c1bea6,0x96fffa81,
    0x00007fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3ba60000,0x01801eee,0x3f23ffe8,0x01c884ff,
    0x98b623d3,0x21912eed,0xadfffffb,0x2602dc00,0xe986d400,0x40505401,
    0x00100a0a,0x85b11e98,0xfa9efffb,0x83b883ff,0x2e803249,0x00000132,
    0x200e4402,0x00c880ed,0x802aaaaa,0x83caefe8,0xfd70fffd,0x409f709f,
    0x7e45fdfc,0x2a7f53ff,0x7ffeeffe,0x3621be60,0x3200dfff,0x7cc04fdf,
    0x7f305f53,0x7ff40bea,0xdfc805ba,0xeffea84f,0xe83fffa9,0xfa9fc86f,
    0x3bb7ea03,0x03dfb301,0x7dc16c00,0x540ffc04,0x2600003f,0x3201bf72,
    0x8837c5ff,0x8174c00b,0x47f53fb8,0x0bf224f9,0x3fe21fec,0x201fffdf,
    0x415001ea,0x10282a02,0x4007bea7,0x53e602e9,0xf980efd8,0x7f53f904,
    0x2603d880,0x001fdbdf,0x0b882f88,0x3fa80cc0,0xfcafffdc,0xc80004ff,
    0x01be3fff,0x4fea0000,0x113e63fa,0xb0ff30bf,0x1bf2219f,0x00000000,
    0x20000000,0x05fe8cf9,0x47ec0fea,0xc80002fb,0xfff72745,0x3fffff2b,
    0x99988000,0x7dc3fa80,0x9ffd95ef,0xff91fff4,0xffafc89f,0x7ffccdf0,
    0xff32ffff,0xa85fffff,0x7cc7f53f,0x907fd514,0xd07f987f,0x3fffee5f,
    0xffa80adf,0x27ffd32f,0xffffffe9,0x2ffffd42,0xffffff30,0x77cc5fff,
    0x1fd404ff,0x67edff4c,0xfc8fffa0,0xd90ba4ff,0xecaf7fdc,0x3fa60cff,
    0x3e2fffff,0x3fa83fff,0x45f81fc8,0xfd70fffd,0xfb9fc89f,0x77fccdf5,
    0xff32ffee,0xa85ffddd,0x7cc7f53f,0xb04fffff,0x704fb83f,0x3bffaa9f,
    0xfe987ffe,0x25dff30f,0xeeefeed9,0x7fff7541,0xfddff300,0x7cc5fddd,
    0x2a00efff,0x7fffd43f,0x3ff66fff,0x29ffd70f,0x8dfb30f8,0x985f81fc,
    0x1eeefeed,0x2a0ff72e,0xf81fc83f,0x7c5ffc85,0x5fd1fc86,0xf727ccdf,
    0xdf727ccd,0x83227f50,0x0ffeeff9,0x1fc81ff0,0x27ccbf10,0xff105f91,
    0x5403fe23,0xfefb803f,0x3ea9f304,0x7fcc5f73,0xd980efca,0xecffb82f,
    0x2ffe41cf,0xbf37a9be,0xf81fc8db,0x201fd405,0x83fa83fa,0xc85f81fc,
    0x21be3fff,0xdfff31fc,0x0ff99fc4,0x07fccfe2,0x9f301fd4,0x3fc077e4,
    0x4fb827d4,0x0bf113e6,0x01fedbea,0x3fd007f5,0x553e60ff,0x7cc5f73f,
    0x3fa13f24,0x3f6df00f,0x23fffc80,0xbaedea6f,0x2fc0fe46,0xf500fea0,
    0xf907f507,0x5f90bf03,0x321be1ff,0x51bff21f,0x1505fd11,0x3ea05fd1,
    0x44f982a3,0x40ff85fc,0x45fd07f8,0x7fd514f9,0x02ff7e40,0xbf300fea,
    0xa8ec0bf2,0x7cc1b33f,0x36607f44,0x577d4c2f,0x57e40afe,0xbd4df0ff,
    0x1fc8d75c,0x1fd405f8,0x3ea0fea0,0x5f81fc83,0xf5fb9fc8,0x14effa8d,
    0x13f60dfd,0x7d409fb0,0x3faa7f53,0x87bfa1df,0x0cfd81fd,0xff98df71,
    0x4404ffff,0x7d400ffe,0xf997e403,0x503fa805,0x3ea3bffd,0x361fd45e,
    0x3fffffff,0xfafdcfe4,0x3fe63e66,0x7c0fe47e,0x201fd405,0x83fa83fa,
    0x427c41fc,0xdf5fd1fc,0x2a6fffb8,0x265fc86f,0x8132fe40,0x2e7f53fa,
    0x3e22ffff,0x220ff21f,0x1fffdffe,0x7ff77fcc,0x803fa800,0x3fe203fa,
    0x400ffeee,0xfff703fa,0x5077f45f,0xadfb887f,0x8fe40aff,0x3e26fafe,
    0xfc879712,0x2a027c42,0xfeeeb83f,0x07f53eee,0x81fc8bf5,0xdfff31fc,
    0x1ff50000,0x41ff52fc,0xfa9fd45f,0x3fcc0003,0x03dfffb0,0x077e49f3,
    0x2a00fea0,0x3ffee03f,0x5404ffff,0x5400003f,0xdf4f983f,0x7fcc7f20,
    0x5402fc6f,0x007f625f,0xfff907f5,0x3ea9ffff,0xfd9ffd03,0xfc87f20d,
    0x837c406f,0x8b7c1ff8,0x2a37c1ff,0x2207f53f,0x82fd806f,0xc9acffe8,
    0xbf913e62,0xa803fa80,0x203fa03f,0x01fd407f,0x7d405f88,0x5f8bfa84,
    0x7fe43f90,0x05517dc6,0x0dffbffb,0x5d807f50,0x32207f50,0xfa80beff,
    0x0dfd14ef,0xfc80fdd8,0x96feeeef,0xdfddddff,0x7d4fffea,0x801fbb03,
    0xfffd86f9,0xfd54ffff,0x0f7f43bf,0x13bbfbae,0xbddfddb3,0x477ff623,
    0x5c1effd8,0x203eefee,0x7c407de8,0x7c5fd45f,0x14effa84,0xfdfb0dfd,
    0xdfd5105f,0x3bb66017,0xfb81deef,0x201fd44d,0x7ffdc018,0x9301bea6,
    0x3ffff203,0xfff96fff,0x3aadffff,0x203d12ee,0x097001c9,0x59953795,
    0x117fffdc,0xfffc83ff,0x7ffcc5ff,0xfd32ffff,0x3ffa65ff,0x7fffe42f,
    0x00e5404f,0x432226cc,0x6fffb81c,0x55cc1bea,0xf9800800,0x02ffffff,
    0x01e88175,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80000000,0x2a002a1a,0xeee880a0,0x7ff441ee,
    0x8f4c05ff,0x436a02d8,0x400c01e9,0xa85eeeeb,0xb11e980c,0x3aa19705,
    0x22006000,0x4000001c,0x00000111,0x1800000c,0x7fffff4c,0xff70002f,
    0x0dffffff,0x2027c57e,0x405f53f9,0x440aaaaa,0x805effed,0xc805fdfc,
    0x3a204fdf,0xa883caef,0xefe82aaa,0x05fdfc80,0x007fbfb1,0x3ee01762,
    0x0b634c04,0x05f3bd10,0x00ba63d3,0x36602ec4,0x0fc802df,0x3bbfbba6,
    0xe997cc1e,0x777ff542,0x41306fee,0x0a0a800a,0x05f800c0,0x500174c0,
    0xf729803d,0x1cc7101b,0x5d302fc8,0x2001b700,0x171005e8,0x0db9dd00,
    0x407f3bd0,0x1003fdfb,0xfff980bd,0x03b601ff,0x7dc03fa8,0x09f304fd,
    0x000000df,0x6fffec40,0x00017e00,0x40000000,0x2a0fb0fc,0x0000003f,
    0x00004398,0x88015950,0x3b300734,0x6c01cc00,0x220ff32f,0x01fd400c,
    0x9f300ec4,0x7d42752a,0x3ee05fff,0x6fffffff,0x7fefffc4,0xb80bf01f,
    0xffffffff,0x5ffffa86,0x3ffffa60,0x022182ff,0xffd31fd4,0x3ee5ffff,
    0x802dffff,0x2e7f51a9,0xffffffff,0x4006a206,0xaa9801a8,0x261a9800,
    0x1fd8df02,0x5008aa88,0x0351007f,0x07f56fcc,0x1fffdd50,0x3bbffaa0,
    0x67ec6fee,0x3e0df710,0x77ff5405,0xea86feee,0xb300fffe,0x43dddfdd,
    0x02662099,0x776cc7f5,0xff51eeef,0x20bfffdd,0xfffffffa,0xdddffd51,
    0xfff30dfd,0x3fe605ff,0xff882fff,0xf881efff,0xeffddfff,0x7f713e60,
    0x7fffff54,0x2603fa81,0x982fffff,0x800fffff,0x2604fefb,0x3e66f84f,
    0xbf05fd07,0x427cc3b0,0x3fbee06f,0xc83fa804,0x7fff14ff,0xfa81dfa8,
    0x74c3f903,0x5effd43f,0x27cc4ffd,0x3bfe637c,0x7cc2ffeb,0x42ffebef,
    0x5fcacdd8,0xffebcd88,0x0bee4fdd,0x567fc9f3,0x3fa82feb,0xfd7dff30,
    0xeadf985f,0xf9fe800f,0xa553e607,0x5c13ee4e,0x7c45f84f,0xea553e64,
    0x1fe7fa04,0x3260fea0,0x20ff6e4f,0x03fa86ff,0x46f883f9,0xffff31ff,
    0xd4aa7cc1,0x7cc2fd89,0x3e617ec7,0x1fa6a207,0x3a6fca88,0xf985f70f,
    0x2235df14,0xb03fa80c,0x4c7f985f,0x03ea934f,0x817e57e6,0x80feadf9,
    0x0bf102fc,0x264f98bf,0x400feadf,0x805f95f9,0x89f103fa,0x0efd43fa,
    0x1fc81fd4,0x2bf30fd8,0x22fcaff9,0x80feadf9,0x23fb06f8,0x83fb06f8,
    0x0fffffeb,0x7fffff4c,0x7f51ffff,0x3ff23fa8,0x7f501dff,0x3f60df10,
    0x3f213e61,0xbf32fc81,0x3ffffe60,0xf704fb80,0x3bffb629,0x3e64feee,
    0x6400ffff,0xa80bf32f,0xa89f103f,0xa81fd43f,0x903f903f,0x3e73e63f,
    0x7cc5f92f,0xf880ffff,0x3e23fb06,0x7dc3fb06,0x20fecbcf,0xffdbdff8,
    0xdf11eeee,0x65cc1fc8,0xddb32ffe,0x3e23dddf,0x3aa3fb06,0xffeeeeff,
    0x7777fc41,0xadf980ff,0x07f980fe,0x3ffa65fd,0x24ffffff,0x00feadf9,
    0x3fbbbfe2,0x40fea00f,0x21fd44f8,0x07f503fa,0x83f607f2,0xff33fffd,
    0x0feadf98,0x7fa87fb0,0x9fea1fec,0x07f446f8,0x237dc9f3,0x6f887f40,
    0x2bf303ee,0xfffffff9,0xff50ff62,0x7fffffdc,0x7fdc1fff,0x984fffff,
    0x83ea934f,0xdf710cfd,0x34f98000,0xff703ea9,0x409fffff,0x8bf103fa,
    0x81fd43fc,0x03f903fa,0xceffb8ff,0xa7cc2ffe,0x7cc1f549,0x42ffecff,
    0xffecfff9,0x7f66ff42,0x37fe1eff,0xffddfffd,0x3ff7fea1,0x3737ff23,
    0x205d82ff,0xffecfff9,0xd01f3002,0xf30ff01f,0x7c43f909,0x01fffdff,
    0x4f981be2,0x07f41fc8,0x07f503fc,0x7ffeeffc,0x540bee1e,0x443f903f,
    0x3bfe24fd,0xf981efff,0x6cc1fc84,0xb301efff,0xb303dfff,0x5ffddfff,
    0x7777ff44,0x7dc0cfff,0x7ffd44ff,0xbf703dff,0x3fff6609,0x3be2001e,
    0x23bffb16,0xd51effd8,0xffddddff,0xefffd883,0x407eec00,0xeeeeffea,
    0xbffb11ff,0x47bff623,0xdeefeed9,0x77fffcc1,0x98ffb2ff,0x1deefeed,
    0xffdddff5,0x131fdc1d,0x3bbffaa0,0x2601ffee,0x20026000,0x83100098,
    0x98018018,0x00ba8009,0x51000098,0x4bfffa61,0xf72fffe9,0xffffffff,
    0x40026203,0xfff701c9,0x23ffffff,0xd32fffe9,0x3fe65fff,0x302fffff,
    0x260ee403,0x2fffffff,0x7bfffff7,0xffb80060,0x1fffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x18000000,0x76440000,0xffa82eee,0x000005ff,0x00040030,
    0x00000000,0xf95fffb8,0xeee989ff,0x308801ee,0x00000000,0x806e2000,
    0x01eeeee9,0x006f4c00,0x013627f1,0x7f7007ee,0xf999dd00,0xfffdd507,
    0x641f1001,0xa80fb803,0xfb8bf92f,0x05b1a603,0x3e05b1a6,0x7fdc9b13,
    0x09ffd95e,0x80155555,0x200fbaf9,0xeb83eeca,0x3fb81f70,0x405d8a74,
    0x2aa01d9d,0x6d440aaa,0xb9f702df,0x7f7d405f,0x00fe400d,0x403baff6,
    0x701740f9,0x32009fdf,0x6c00fdce,0x323d301e,0x3baff65f,0x0db9dd00,
    0x206dcee8,0x640dfee9,0x0005f81f,0x03f77f30,0x437fffe4,0xe82fefd8,
    0x6ff74c7f,0x00e47400,0x3ffffa00,0x0ea1c84f,0x32005910,0x39064c00,
    0x8030ff20,0x2007f9fe,0x64400bc9,0x19104000,0x159500e4,0x80159500,
    0x03f902c8,0x7fffdcbf,0x5506ffff,0x1efc806e,0x3a019500,0x2007906f,
    0xffd303d9,0x3a25ffff,0x301fd11c,0xa8802355,0x11aa9801,0xfb00d440,
    0xf3001bfd,0x2600bf2b,0x351000aa,0x55440140,0x3104cc08,0x00d44013,
    0x32045544,0x3aa5f81f,0x6feeeeff,0x133104cc,0x4c00ef98,0xe8266209,
    0x11aa986f,0x26620998,0x3bfbb660,0x17dc01ee,0xdfffffd3,0x5ffffb50,
    0xfffffd30,0xfffff30d,0x3fea7f05,0xf997e403,0x3fffe205,0xfff301ef,
    0x02fa85ff,0x3fffffd5,0x7fc53ff2,0xfffda83f,0xfffea82f,0x207f21ff,
    0x7c27cc5f,0x7c53ff26,0x4cfdc3ff,0x229ff902,0x97f63fff,0x6fffffe9,
    0x7fc53ff2,0x007f503f,0x3e21ff53,0x47fecbef,0xffcbcffb,0x32fbfe21,
    0x77fcc7fe,0x7dc2ffeb,0x22037f23,0x0ffeeeff,0xf959bb10,0xd7dff30b,
    0x81fdc5ff,0x2febacff,0x7edc9f93,0x65e7fdc3,0x567fc1ff,0x07f22feb,
    0x2a9f317e,0x27e4c9d4,0xdfe87fb7,0x7e4c3eff,0xfc8ff6e4,0xd97dff14,
    0x727e4cff,0x0fea07fb,0x647fffb0,0x3e27e84f,0xf937cc0f,0x2fd8fd09,
    0x77dc3fcc,0xff70dd31,0x009fffff,0xfb0fd351,0x3f27f985,0x5df19f74,
    0x4f883223,0x1ff11fd4,0x3be26f98,0x7dc1911a,0x3e627c42,0xf100fead,
    0x7fc3fa89,0x441ffcef,0xf71fd44f,0x1fa13f29,0x03fa89f1,0xeda807f5,
    0x2203fa6f,0x3ffffe61,0x1fd0ffff,0x837c4310,0x4fd981fd,0x80fe81f5,
    0x3ffae07f,0x1be20fff,0x95fd8fec,0x3ffff2df,0x2a27c41d,0x3fffe63f,
    0x320fffff,0x441dffff,0x260fe45f,0x100fffff,0x743fa89f,0xf113e65f,
    0x3ea3fa89,0x83101fd3,0x81fd44f8,0x3f6003fa,0xf3001fd3,0xdddddddf,
    0x22003fa1,0x403fb06f,0x3626fffa,0xffb11dff,0xbcffb83d,0x1be20fec,
    0x26fe8fec,0x7ff65cc1,0x7f513e22,0x77777fcc,0x65cc0eee,0x7fec2ffe,
    0xdf986ffd,0x9f100fea,0x0fec3fa8,0xa89f11fa,0x7f42e23f,0xa89f1000,
    0x007f503f,0x83fcafc4,0x03ff10b8,0xb883fc82,0xff50ff60,0x227c4388,
    0xd32fffe9,0x37c45fff,0x7fb03fa2,0x1ffe7fa8,0x4bf303ee,0x11fe45f8,
    0xfb8203ff,0x7dc2fcc0,0x4f980cff,0xf883ea93,0x3ee1fe45,0xbf117e24,
    0x3f203fc8,0x3e20b883,0xfa81fe45,0x29f50103,0xfdcdfff8,0x33bfee2f,
    0xff10ffed,0x45ffb9bf,0xffecfff9,0x0fe23cc2,0xd023e200,0xdfffd9bf,
    0x767ffcc3,0x21bfa2ff,0xffdcdffc,0x7feeffc2,0x3bfee1ef,0xf90ffedc,
    0x05ffb9bf,0x09f301ae,0xddff83f9,0x7f41efff,0xff82ffde,0x11efffdd,
    0x37ffe217,0x7fc2ffdc,0x81efffdd,0xcdfc83fa,0x3261ffed,0xa83ffffe,
    0x43efffff,0x3ffffec9,0x1efffd98,0xefeeef98,0x8fdd0000,0xfeefffd9,
    0x7ffecc2f,0x540ecc1e,0x83dfffff,0xffeffff9,0x7ffffd42,0x3fffea3e,
    0x37e603df,0xeeffea86,0x7cc1ffee,0x42ffefff,0x303effd9,0x5ffdffff,
    0xfec98fee,0xff983fff,0xb32ffeff,0x23bddfdd,0x1effffd9,0x22006620,
    0x03310019,0xcc880260,0x40000bcc,0x0013100a,0x4c000098,0x00198009,
    0x26600662,0x70373000,0xffffffff,0x8006603f,0x80330008,0x20066201,
    0x3ffe6019,0x1882ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x26000000,0x201eeeee,0x04eeedb9,0x00190006,0x03000000,
    0x90600030,0x00002609,0x4000b980,0x0000c001,0x000004c0,0xb3000288,
    0x0880ee9d,0x01f88040,0x01555550,0xdfbfffb1,0x4013e207,0x3f2603fa,
    0x07b6201d,0x6400fb80,0xffd8800e,0xd905fccf,0x013ea003,0xb8016766,
    0x01f9000f,0xd7007f70,0x5bfb3003,0x6df7fcc0,0x2dff5004,0x403f507d,
    0x03fa83fd,0xfa7dc000,0x374403ea,0xfa81fd40,0xf984ffff,0xed804fcd,
    0x403f9001,0xffedfff8,0x00bee00f,0x401dd7fb,0xdb0058c9,0x003b6003,
    0x003baff6,0x7fcc05f7,0x25303fff,0x22000cea,0x5f70736f,0xfa84fd80,
    0x7fffd403,0x57c3fa05,0x4017003e,0x742cefd8,0xb81fd11f,0x03201262,
    0x7ec05500,0x00dff10c,0x70644055,0x801db805,0x091000c8,0x01c83260,
    0x4ff202a8,0x2a200fe8,0xf1aa8801,0x800640ed,0xa807f501,0xb00fffee,
    0x80fabe3f,0x3ea00aa9,0xf30fffff,0x2662fc89,0x33026620,0x2604cc41,
    0x98266209,0x17f7f47f,0xa9801a88,0x0aa9800a,0x000aa980,0x2a200351,
    0x40351001,0x4c27dc7e,0x702fffff,0x0dfdffff,0x20009998,0xeeefeeec,
    0x9fdf700c,0x2bebbea0,0xffff883e,0x8bfe81ef,0x43fe0fe8,0x9ff91fe8,
    0xfc8fffe2,0x47fff14f,0xfff14ffc,0xbf927d47,0xfff989f5,0xfff882ff,
    0xff881eff,0xf881efff,0x501effff,0x205ffffb,0x02ffffda,0x05ffffb5,
    0x4c5f98fd,0x2ffebeff,0x7f5e7fdc,0x3fffe06f,0xffff1003,0x203fffff,
    0x2a07f9fe,0x883eaffe,0x45fcacdd,0x2e24c5f9,0x264fffff,0x8ff6e4fc,
    0x3f6e4fc9,0xdb93f263,0x7dcbf23f,0x3e65f88e,0x42ffebef,0x5fcacdd8,
    0xfcacdd88,0xcacdd885,0xbcffb85f,0x7fdc1ffc,0x5c1ffcbc,0x1ffcbcff,
    0x6fe897dc,0x9fe617ec,0x37ec0ff8,0x207fb970,0x2e660de8,0x3e6019cf,
    0xf8805f95,0x4d4403ea,0x401fd47e,0x43fffffa,0x21fd44f8,0x21fd44f8,
    0x31fd44f8,0x2e3ff37f,0xf30bf64f,0x3f4d440f,0x01fa6a20,0xf88fd351,
    0xf137cc0f,0x226f981f,0x237cc0ff,0x7fffdff8,0x8fec1be2,0x06f984fa,
    0x9f503fa8,0x3200fea0,0xf00bf32f,0x3fae07d5,0x7fc0ffff,0xbff88e60,
    0x3e21fea8,0x3e21fd44,0x3e21fd44,0x3be1fd44,0x44bfa2fe,0xb83fb06f,
    0x80fffffe,0x0fffffeb,0xfffffeb8,0x3ffffe60,0xff30ffff,0x1fffffff,
    0x3fffffe6,0x7ecc0fff,0x1be26fcf,0x84fa8fec,0x3fa806f9,0x1fd40db0,
    0x3bbbfe20,0x757c00ff,0xcbcffb83,0x77fe40fe,0x89f50fff,0x513e23fb,
    0x544f887f,0x2a27c43f,0x8a7fe43f,0x41be26fb,0x33fee1fd,0x7dc0fecb,
    0x40fecbcf,0xfecbcffb,0x3bbbfe60,0xff30eeee,0x1ddddddd,0x3bbbbfe6,
    0x36100eee,0x2a1fec4f,0x903fe27f,0x07f500df,0x02f980be,0x7fffffdc,
    0x1f57c04f,0x1fd11be2,0x45bffd50,0x11fdc4f9,0x443fc8bf,0x221fe45f,
    0x321fe45f,0x1fffceff,0x9fea1fec,0x07f446f8,0x0fe88df1,0x1fd11be2,
    0x2080ffc4,0x44101ff8,0x440101ff,0x7fcc0ffb,0x642ffecf,0xffffddff,
    0x20fea00d,0xe8028049,0x7c07f80f,0xcdfe83ea,0xa81efffe,0xd9dfd03f,
    0xddff81ff,0x7fc1efff,0x41efffdd,0xefffddff,0xfffbff51,0x9fff303d,
    0xdfe85ffd,0x21efffec,0xfffecdfe,0x3b37fa1e,0x3ee1efff,0x0ffedcef,
    0x3b73bfee,0x3bfee0ff,0x320ffedc,0x301fffdd,0x203dfffb,0xffdffffb,
    0x7f775c0e,0x36203eee,0xdeeeeeee,0x23bffb10,0x221effd8,0x44efcfed,
    0xfeefffd9,0x103f982f,0x303dfffb,0x5ffdffff,0xfeffff98,0x7fffcc2f,
    0x43fb2ffe,0x7fecc009,0xffd981ef,0x262ffeef,0xffeefffd,0x3bfff662,
    0x7fd42ffe,0xfa83efff,0xa83effff,0x43efffff,0x000bdffd,0x02660013,
    0x3fffff20,0x3fe204ff,0x1fffffff,0x265fffd3,0x3222fffe,0x103ccacc,
    0x005c0013,0x00cc004c,0x0cc00330,0x98000110,0x00098800,0x26200131,
    0x00662000,0x98800cc4,0x00004401,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x442e0018,0x1cc7100b,0x205c42e0,0xeeeeeeeb,0x011aa982,0x5409db30,
    0x85c010bc,0x00a200b8,0x00003b30,0x22005e4c,0x3bbbb601,0x0005103d,
    0x00005103,0x00001800,0x076c0000,0x17d4fe60,0x40fb0fc8,0xc85f53f9,
    0x3fffffff,0x3fffffa6,0x06ffa806,0x07fbffaa,0x817d4fe6,0x03dbeff9,
    0x3ea027dc,0x7fffdc03,0xcfffda83,0x7fffff41,0xdbeff986,0xbfffb103,
    0x6c6996a1,0x039fb702,0x1bfffb9d,0x41b219b0,0xeca83db9,0x3003b601,
    0x0110c018,0x4fdc0c18,0xf11fd999,0x0ffd97df,0x019ff950,0x407fdfd5,
    0x2a5300c1,0x00a800ce,0x403baff6,0x446e99ef,0x46feceff,0x301999fe,
    0x22033aa5,0x9fffdfff,0x36e7742d,0x3fffffd8,0x3f77ffe2,0x777441ff,
    0x7fffcc1e,0x401fbb83,0x01a8801b,0x09988266,0x80806a20,0x3a13f27f,
    0xf3555107,0x222aa03d,0x155300ff,0x00155300,0x064406a2,0x6c9f3039,
    0x3f22fc1f,0x26601fa1,0xfb026620,0x17fee219,0x7d405654,0x7c4dd30d,
    0x41bf221f,0xf9bd304b,0x4c07e207,0x3f6a0099,0x7fe42fff,0x307fff14,
    0x005fffff,0x407f49f5,0xffffb818,0x36e206fe,0x7fc44fcc,0xf881efff,
    0x501effff,0x205ffffb,0x9f300999,0x1a81ffb3,0xdbfd1fd4,0x14ffc85b,
    0x3fcc7fff,0x99982fe8,0xfb81f500,0x0ff40762,0xf5002666,0x3e07e207,
    0xff703fff,0x4c3ff979,0x0ff6e4fc,0xffd7dff3,0x3a2fc805,0x9ff7000f,
    0xd10dffd7,0x8bffffff,0x5fcacdd8,0xfcacdd88,0xcbcffb85,0x7fffc1ff,
    0xffb9f303,0x1ffa801d,0x97fffffa,0x3f6e4fc9,0x7dc13ee3,0x01ffffc4,
    0x55447fa0,0x2fdaaaaa,0x500ffffe,0x207e207f,0xf883fdcb,0x2237cc0f,
    0x361fd44f,0x203fcc2f,0x441fe47f,0xd81ff10b,0x31dfb86f,0x4d440dfd,
    0x74d4407e,0x2607fc47,0x1fee5c6f,0xfda8cf98,0x3ffe980e,0x1fd88dd4,
    0x47f513e2,0x8bf102fc,0x2003fdcb,0x3ffea5fd,0x23ffffff,0x5403fdcb,
    0x5efec83f,0xff307f50,0x1fffffff,0x8fea27c4,0x03fb06f8,0xfff113ea,
    0x2a5ffb9b,0xe86f984f,0x5c3fd41f,0x80fffffe,0x0fffffeb,0x3fffffe6,
    0x3fa80fff,0x3fd89f30,0x3000df98,0x2a27c49f,0x5c13ee3f,0x007f504f,
    0xdfa8dfb1,0x3fdaaaaa,0x7d403fa8,0x00999883,0xdff307f5,0x41dddddd,
    0x11fd44f8,0x407f60df,0xfec982fc,0x13ea3fff,0x21fe1be6,0x67fdc6f9,
    0x7dc0fecb,0x20fecbcf,0xeeeeeff9,0x03fa80ee,0x05f989f3,0x2fc40019,
    0x23fa89f1,0x05fd07f9,0xfd100fea,0xd06f981b,0x807f503f,0x2a0003fa,
    0x01ff883f,0x7e45f881,0x3ea1fec3,0x3e01fe07,0x40ff881b,0x42fc86fc,
    0x11be24fc,0x237c41fd,0x3fe20fe8,0x0fea0101,0xf8ad67cc,0x5c0c4004,
    0xf917e24f,0x710cfd87,0x01fd40df,0x7f40bff3,0xfa837dc3,0x081fd403,
    0xf703fa80,0x1ffdb9df,0xfffddff8,0x33ffe61e,0x9f502ffe,0x900fd980,
    0xffffbbff,0x677fc41b,0x6ff40ffe,0x21efffec,0xfffecdfe,0x33bfee1e,
    0xfa80ffed,0xfdffea83,0x1c981fed,0xfedcefc8,0x7eeffc0f,0x3fe21eff,
    0x201fffdf,0x9ff503fa,0xfdfff980,0x07f501ff,0x4fb83fa8,0xfddd77f5,
    0xffa87ddd,0xf983efff,0x42ffefff,0x01efffd9,0xff8807e6,0x3ffee00f,
    0x540effdf,0x980beffe,0xffeefffd,0x3bfff662,0x7fd42ffe,0x3ae3efff,
    0x73eeefee,0x9ffd5fff,0x32217f20,0x981efffe,0x2ffeffff,0x077ffec4,
    0x777f775c,0x3bbffe3e,0x7f441fee,0x775c1eff,0xb13eeefe,0x23bddfdd,
    0xf9df95fc,0x09ffffff,0x0cc00662,0x00002600,0x26600130,0x40062000,
    0x13100098,0xc80cc400,0x4fffffff,0x400c0040,0x01980098,0xfc802620,
    0x24ffffff,0xffffffff,0x32013103,0x4fffffff,0xfffffff3,0x001510c5,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x4c405b10,0x1800cc40,0x05511310,0x00000440,
    0x0998d544,0x88cc0180,0x5119881a,0x005cc015,0x19880220,0x200000a6,
    0x15510018,0x00d98001,0x13b66000,0x1989aa88,0x01b20d4c,0xff706fa8,
    0x13ffe67f,0xdff30db0,0x2207dfff,0x06cefffc,0xfb83649d,0x1fffefff,
    0xfff93ff7,0xffdfff09,0xfefff8bf,0x7640dfff,0x9d3002fc,0x3afffee0,
    0x24e81fff,0xfff9106c,0xffd50dbf,0x06c83fff,0x006c83f7,0x320dff50,
    0x6ffeffff,0x01fb13ee,0xfe880540,0x03dfb10d,0x7e4037a2,0x40febbef,
    0xffdcefe8,0xeeee981f,0xdbdff980,0xff70bfff,0x89ff9dff,0xfebcfffb,
    0x33fffae2,0x43e24feb,0x04f9805a,0x37fffb22,0xeee882fb,0xdffe881e,
    0x7fc1ffed,0x6c2febac,0x1fb0b00f,0x21be2000,0xfffccffc,0xe88fea2d,
    0x2601999f,0x6f9811aa,0x073017ec,0x3ee0ef88,0x3a227ec2,0xd80ee01f,
    0x6437e41f,0x21fe22ff,0x913e61ff,0x10fe81df,0x2a016a1f,0x05ff9002,
    0x9f701dc0,0x77c43fb0,0x7441911a,0x8351999f,0x01999fe8,0x237c6aa2,
    0x1ffc0ff8,0x7ffdcbe6,0x74c4ffff,0xd86fffff,0x310df32f,0x7c405511,
    0x1be1fd44,0x222623dc,0x109f302a,0xb07f90df,0x5f88ff0f,0x1fd417e4,
    0x0665f9d9,0x9014c331,0x4331003f,0x9306e829,0x3bffff90,0x7fffffdc,
    0xffffb84f,0xffb84fff,0x7d46feff,0x7c43fc84,0x999fd911,0x5f7fc439,
    0x6f987fec,0xeff985fb,0xf883efff,0x9f31fd44,0x3fbfe600,0x37c43eff,
    0x0fe437d4,0x11fe07ec,0xc84fc8bf,0x7655cc3f,0x2fffee3f,0xfc81fffe,
    0x5fffdc00,0x9f31fffe,0xfd973000,0x33fb225f,0xec881ccc,0x5c1ccccf,
    0x6ffebcff,0x1fe42fcc,0x803f607c,0xb07e84fc,0x3f20df9f,0x40febbef,
    0x51fd44f8,0x7fe4007f,0x740febbe,0x6ffb8adf,0x0fc81fc8,0x917e23fc,
    0xff9339ff,0x0e7fe4c1,0x6ffff644,0x00fc82fb,0x6ffff644,0x987f52fb,
    0x03ee0999,0x00fd8bf3,0xf8803f60,0x2237ec0f,0x0ffe61ff,0xfd007ec0,
    0x3e603101,0x1df102ff,0xffd317dc,0x547bfa69,0x3be2003f,0xfd10bee0,
    0x90dfffff,0x221fb03f,0xbf10dffd,0xffffffc8,0x2eb3ae2f,0x5ff901ce,
    0x777ff640,0x0bff204e,0xfff91fd4,0x66ffe4df,0x07ec2ffd,0x7ffffe40,
    0x4c27d41f,0xdeffb86f,0xfb003fff,0x0007f401,0x9f1037ec,0x3fea3fa8,
    0x25fff35f,0x3e2007f8,0xc981fd44,0xfc86f9cd,0xfd10fd81,0x917e21df,
    0x805bb75f,0xf906c9ea,0xffffd803,0x07f205ff,0x33266f88,0x3ffea3fe,
    0x0fd83dff,0xeeffea80,0x4c27d40d,0xffff706f,0x3f6007fb,0x83fc8cc0,
    0x05fb00b8,0x0fea27c4,0x819fb000,0x513e21ea,0x437c007f,0x007e81fc,
    0x01fc89f1,0x903d16c0,0x2000001f,0x17f400fc,0x2f980fe4,0x03303f60,
    0x223303f6,0x037e40ff,0x8017dc66,0x6ffdcefa,0xfb9bfff1,0x80df305f,
    0x01fd44f8,0x7f440df1,0x21ffecdf,0x01fd44f8,0xeffa8df0,0x100bf970,
    0x01fc87f9,0x9079a640,0x1fd4001f,0x26007e40,0xffeddfff,0x201fb301,
    0x6ffdcefa,0xffb9df50,0x7eeffe4d,0x4c00dfff,0x3f2000fe,0x3261cfff,
    0x2a3ffffe,0x304fffff,0x3fa69ffd,0x01fbb01e,0x6ffff644,0x4d3ffa61,
    0x3a201efe,0xff71efff,0x803bfe1d,0x3a0efffd,0x1002ffff,0xfec85ffb,
    0x2a04eeef,0x3fb205ed,0xb304eeef,0x205dffff,0x3200fff8,0x201cffff,
    0x41dffffc,0xffdffffb,0x7fff4c0e,0x0330004f,0xdd303310,0x3ea07ddd,
    0x5fff35ff,0x8800b260,0x2bfff501,0x2202fff9,0x400deeed,0xbded8008,
    0x0f7776c0,0x7fec0200,0x5c05ffff,0x3fff600b,0x98805fff,0x20013000,
    0x004c0019,0x6cc004cc,0x00002dee,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0c000880,
    0x00000000,0x4c000006,0x90266209,0x000001dd,0xfff301ec,0x02aa05ff,
    0xfffff980,0x02eedb82,0x17ffffcc,0xfe893ff2,0x336e605f,0xdeda880b,
    0x01a8800b,0xdfd98200,0xffd71002,0x0fc805dd,0x98007b2a,0x6c4000ec,
    0xb800dfff,0x53ff203f,0x3e23fff8,0x7f1001ff,0x37cc1362,0x40666660,
    0x4c000ff9,0xffd01999,0x3333007f,0x449ff703,0xff905ffd,0xde887fff,
    0x500fca9a,0x805ffffb,0x2a7f51a9,0xfb006b8b,0x409ffd9d,0x0fddc1ed,
    0x001f9500,0x7fefffc4,0x3aff601f,0x24fd980e,0x1fd83fdb,0x37fbea00,
    0x22006a00,0x00fee01a,0x2200d440,0xaa9803fb,0x3ec1fa00,0xa999ef88,
    0x8aaafa20,0x67fdc0ea,0xfa81ffcb,0x21ffffff,0xf9806ec8,0xc8827dc5,
    0x10007e00,0x67ec001f,0x260df710,0x7c40720c,0x7e41fd44,0x4400aa89,
    0x3333302c,0xffda8133,0x136e82ff,0x7fcc02a6,0x3ea02fff,0x3fffe203,
    0xb07e81ef,0x807f710f,0x2eeee8cb,0x207fc497,0x6ffd46f9,0x5c44ffdb,
    0xf5064c6e,0x99983b09,0x0fc09999,0x80f883b8,0x41fe61c8,0x404cc2fe,
    0x227c4099,0xfefc83fa,0x4cc0cfff,0xf3099999,0x47ffffff,0xffcbcffb,
    0x3ff2be21,0x7cc1fffe,0x02ffebef,0xb109dbf5,0xd0bf959b,0xff31f60f,
    0x791d807f,0xff334d6a,0x1fffffff,0xfff98ffc,0xf91f880f,0x5effc41d,
    0xfffff301,0x4c1f87ff,0x40f884fe,0x13ee1ffb,0xfffd27dc,0x223fffc1,
    0x641fd44f,0x5ffccfff,0x3fffffe6,0xd99df33f,0x03fe23ff,0xf9b4cdf3,
    0x6c5fcbef,0xa83fcc2f,0x54404fff,0xb07e87e9,0x03fdc88f,0x2fddc87c,
    0x777fcc3e,0xf30eeeee,0x3f2bfe6b,0xd3bfddd2,0x3ffa207f,0x677cc3ff,
    0xfd91ffec,0x15df71bd,0xe8befed8,0x817e40df,0x2ffea5f8,0x43feb9a8,
    0x0ff225f8,0x47fa1bf2,0xffeccef9,0x0ffd4be1,0xfffffff3,0x83fe01ff,
    0x6c1be26f,0x0f7fe41f,0xfffffd70,0x7d8a7e81,0x1e807f30,0x9e21d7b9,
    0x4c101ff8,0xf92ff9cf,0x77e454c5,0xb7102fd9,0xf52f87ff,0x54ccc43f,
    0x0eefccfe,0x5df93331,0x827dc7f9,0x647ec4fb,0xff10ff5f,0x83dfffbb,
    0x23fb83fc,0x203ff52f,0x7fcc1ffa,0x0eeeeeee,0x227f8df0,0x643fb06f,
    0x3ee03fff,0x40fecbcf,0x1fa5f37e,0x4f201fcc,0x5a8ea8dd,0x76e77fdc,
    0x3fff60ff,0xff50ff33,0x3a8bfea7,0xff506f88,0x44f7e403,0xfe98990e,
    0x7cc7ff34,0xfb85fd07,0x85f9fffa,0xfefffff8,0x5417e42f,0x01ffa83f,
    0xff103ff5,0x46f80203,0x2a1fec7f,0x1fd5c47f,0x7f446f88,0xf3fabf40,
    0x300fe60f,0x32e3995f,0xffffa82f,0x77fdc3ef,0xde82ffec,0x745f7f10,
    0x542fcc1f,0x0fe601ff,0x87b61fcc,0x67ec3ece,0xf50df710,0x07fdfffd,
    0x90033bf1,0xa85fd0df,0x3ff501ff,0x9dff716c,0x3e01ffdb,0x3fe63fc6,
    0x502ffecf,0x66ff407f,0xf71efffe,0x9fbdf57f,0x2600fe60,0x00baa22f,
    0x3fe203b9,0x001efffe,0x7f47f5fb,0x42ffecef,0x00b61ffa,0xfc803fb8,
    0x7ffc44fb,0xf881fffd,0x81fffaff,0xffb004f8,0x8bffbbff,0x4cb61ffa,
    0x4feeefff,0x77ffffd4,0x2ebffb03,0x7fecc2ff,0x7775c1ef,0x6cc4eeef,
    0x2ffeefff,0xffd19ff9,0xddfdd30b,0x77ecc01b,0xdec802df,0x0263fb82,
    0x4bf99900,0x2dfffdec,0x7777ffcc,0x1ed8804f,0x5fccb801,0x0efffd88,
    0x3fe5bfa0,0xfd004f88,0x19ffffbf,0x7777ffcc,0xfffff54f,0x066209ff,
    0x91dffd10,0x804c07ff,0xfffffffc,0x00013105,0x3ffea013,0x03000eff,
    0x300bb880,0x37fc0000,0x3fea0188,0x804fffff,0x005ffffa,0x04c40ffd,
    0x5f99fe40,0x44000b60,0xffff5019,0x00009fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0a200000,0x5ef6d440,0x30007200,
    0x3ee00155,0x4c00cc04,0x00266209,0x3ffe6002,0xeeeb82ff,0x55551d8a,
    0x5c355555,0x86e02eee,0x2026201b,0xff95fffb,0x01bb229f,0x4407ba60,
    0x0efffffe,0x200bbbae,0xb50bcdb9,0x0ed8007d,0xb7dff300,0x535bd107,
    0xdfb881f9,0x7ffc402a,0x75c01eff,0x2b7ff203,0x8a7fe40e,0x3aa03fff,
    0x4ccc04ff,0x7fffd019,0x860069f1,0x3e03fffe,0x3f209f15,0x77fdc4ff,
    0x269ffd95,0xfe8007ff,0xfddb101f,0x7ff41bdf,0x7ffe403f,0x09ff93ff,
    0x3001ff80,0xd1033aa5,0x07544d45,0x03fffff7,0x7e566ec4,0x88a80005,
    0x4fc982ec,0x7c40ff6e,0x9982fecf,0x22026620,0x006393fb,0x407f7106,
    0x6fd40608,0x81fc82fd,0x4007e85f,0xd001fffb,0x01fdc40f,0x15333df1,
    0x260027cc,0x04ccc001,0xfd9d54b8,0x2a9f312e,0xfd351001,0x44c40500,
    0x13e202a8,0x4bee07f5,0xa7fe40c8,0xf503fff8,0x0c00c717,0x26601fd4,
    0x801fb009,0xe85f81fc,0x7c406667,0xfd001fdf,0x7103fa80,0xf301339f,
    0x4c015519,0xfff00099,0x8747607f,0xff98d358,0xd703ffff,0x401fffff,
    0xeff982f9,0xf883efff,0xfc81fd44,0x727e4c01,0x0fea07fb,0x3ea06006,
    0xffff8333,0xc809f703,0x7e85f81f,0xf90bfff9,0x3a003f97,0x541fd407,
    0x3fffffff,0x7fffffcc,0x03ffff83,0x207fb970,0x83e0598f,0x7fbcfff9,
    0xecbcffb8,0x07fd300f,0x3aefbff2,0x2a27c40f,0xadfca83f,0xf513e201,
    0x060fea07,0x22fea060,0x1fee5c7f,0x8131ffa8,0xe85f81fc,0x9839ffb7,
    0x0083f96f,0x83fa80fd,0xcccefdb8,0x5df7fcc0,0x7ee5c0ff,0x81fd4003,
    0x8f10689e,0x8bee1ef9,0x07f446f8,0x880effe4,0x10bee0ef,0x21fe44bf,
    0x07fffffa,0x07f513e2,0x20060fea,0x09b3fa81,0x3fea0fea,0x7e47faef,
    0xefe85f81,0x25fd00ef,0x742f41fc,0x301fd407,0x0ef9807f,0x1fd40bee,
    0x640fea00,0x2ab53993,0x3ea27cc5,0x7f66ff43,0x3be21eff,0x2a27c401,
    0xfddfe83f,0x7d542eff,0x13e201af,0x0fea07f5,0x3ea06006,0xd83fa803,
    0x44fffcbf,0x427c41fc,0xf500fffe,0xf87fb55f,0x7d407e86,0x300fe603,
    0x503fa89f,0x3fa8007f,0x336a1f30,0x27cc2f89,0xffb30fea,0x545ffddf,
    0x3e224c3f,0x74c1fd44,0x02ffdeff,0x8bf100ff,0x07f503fc,0x7f503003,
    0xfd07f500,0x2fd43ff4,0x3bfa07f2,0xfffc80ef,0x1be2ffff,0x3fa80df1,
    0xf300fe60,0xf503fa89,0x03fa8007,0x2ea88be6,0x1fd44f98,0x02ba0988,
    0x83f663df,0x01fd44f8,0x5403aa11,0x7fc24c5f,0x81efffdd,0x180183fa,
    0xfa803fa8,0xfecefb83,0xecffe85f,0x3f2fd06f,0x55554c1f,0x6fffc3fd,
    0x7d402ffd,0x300fe603,0x503fa89f,0xddd7007f,0xb307dddf,0xd305bfdf,
    0x3bfaa9ff,0x43ff9003,0x0ffffffc,0x3a69ffd3,0xdf9801ef,0x777ffe46,
    0x7fcc0ffe,0xd72ffeff,0x27dddfdd,0xddd71801,0x75c7dddf,0x13eeefee,
    0x0dfdfff9,0x817dff91,0x3ffa7fd8,0xeffd981e,0x3bfff260,0xdfddd702,
    0x3fba67dd,0x3a60deee,0x7dfd54ff,0x3bbfbbae,0xffff903e,0x01809fff,
    0xfbafffd4,0x022003ff,0xa82f7b26,0xfff35fff,0xb06e6005,0x9fffffff,
    0xff900cc0,0x2a9fffff,0x99999999,0xffffff92,0x7fffe49f,0x00984fff,
    0x7f4c0310,0x20bfff67,0x301efffa,0xffffc801,0xfff54fff,0x7d43dfff,
    0x7fff75ff,0x3ffffff2,0x0000004f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x97ffd400,0x3fa3ffe8,
    0x53fff23f,0xffffffe9,0x7e5bffa2,0xffff71ef,0x3fa015bf,0x23dff96f,
    0x05ffffe8,0xfffffff3,0x144005ff,0x3ffea000,0x4c7ffd32,0x262fffff,
    0xffffffff,0xd0006a2f,0x3fea7fff,0x3ffee0ef,0x3ea02dff,0x54005fff,
    0x7fff4400,0xf70fffff,0xdfffffff,0x25ffd500,0x3f63fff9,0x9ffd70ff,
    0x3bbfbb66,0x657ff61e,0xffd50efe,0x320fffdd,0x1bfd95ff,0x17bffb62,
    0x77f77fcc,0xc8802fee,0x835101ff,0x4c7ffaa6,0x4ccc2fff,0x777fcc19,
    0xf12feeef,0x3fa0019f,0xdfdd32ee,0x7f77fd41,0xfdd505ff,0x3e6001ff,
    0x7f7ec402,0xd50ffeef,0xdfddddff,0xd10dfd98,0x203fe23f,0x837c5ffc,
    0x89f303fa,0x127cc3fa,0xefc885f9,0x81dfdccc,0xaa7cc05f,0xb805f73f,
    0xff983fff,0x4479bfff,0x03ff32fe,0x9f301333,0x517dcfea,0x98019ffd,
    0x3ee1314f,0x3a61fc82,0x3fbee03f,0xf8006004,0x983f66fb,0x5f46f84f,
    0x6dbe65c8,0x7fff903f,0x03fa837c,0x43fa89f3,0x22fc44f9,0xfffffffa,
    0xd35f83ff,0x7f54f985,0x7f540bee,0xeff980cf,0x983effeb,0xf82ffaff,
    0x4f983fff,0x20bee7f5,0x2203fffb,0x3f2bf95f,0x7c41fc81,0x1fe7fa07,
    0x27ea0000,0x4c7c98ef,0x113a954f,0x3fbf22ec,0x3febf205,0x0fea0df0,
    0x65556fcc,0xa8a7cc3f,0xadf983fe,0xbf03fcaa,0x547613ee,0xe981b33f,
    0x3f600cff,0xa807fcc2,0xb9703fff,0x7d47607f,0x32201b33,0x2df02eff,
    0x40fd8fff,0x361acfda,0xf95f980f,0x26666205,0x2f900999,0x4c18fdff,
    0x200feadf,0x3e620ee8,0x3f900aff,0x541bebf7,0xffff303f,0xff987fff,
    0xf304ffff,0x07ffffff,0x5400a97e,0x3fff203f,0xd837c401,0x01ffa01f,
    0xca880fea,0xd1000adf,0x9fe81bff,0x4c7ebfff,0x327fffff,0xf32fc81f,
    0xfffff10b,0x9d03ffff,0x2603fffe,0x500fffff,0xbf95309f,0x747f2055,
    0x7f506faf,0x2aab7e60,0x77fcc3fc,0xbf300ffe,0x207f9555,0xf501d85f,
    0x77fec407,0x6c1be201,0xbfff701f,0x3603fa80,0x806fffff,0xd81dffd8,
    0x7fdfbfdf,0x21acfd98,0x77fc40fd,0xcc80ffee,0x0ccccccc,0x6fff77cc,
    0xfd5bf307,0xdddff301,0x0d6fe544,0xfff31fc8,0x4c0fea0d,0x261fd44f,
    0x203bf24f,0x81fd44f9,0xa827c45f,0xffe9803f,0xa87fd00d,0xd1ff507f,
    0x01fd407f,0x037bfb73,0x0177fe44,0x3ffafffb,0xfd03f906,0xffffff70,
    0x2e00009f,0x518efccf,0x549a7cc1,0x0ccccc1f,0x055bf953,0x6ffc87f2,
    0x3e607f50,0x3e61fd44,0x7cc2fe44,0x5f81fd44,0x3fa827cc,0x33ffaa00,
    0x767ffcc0,0x1ff982ff,0x3ea05ff1,0x403fa803,0xc802fffb,0x0bff74ff,
    0x4fd887f2,0x07f80fe8,0x37cbd000,0x427cc7f3,0xdb3001fc,0xff503ddf,
    0x99bfa29d,0x1deefeed,0x3aebffd3,0xbffd53ef,0xe98f7f43,0x7dfd75ff,
    0x3bbffb62,0x775c4fee,0x2e003eef,0x7ec40fff,0xffa81eff,0x29ffd32f,
    0xeeefeeeb,0x777f75c3,0x01fff443,0x3e25ff70,0xeeffa84f,0x3620effe,
    0xffb11dff,0x407a203d,0xffecffd8,0xfd53feee,0x3ffddddf,0x3fffe600,
    0x6fffb82f,0xfff99bea,0xff52ffff,0x4ffff2df,0x222ffffb,0xdfff51ff,
    0x74cffff2,0xffffffff,0x7ffffe44,0x07644004,0x7fdc0130,0x2bfff53f,
    0xfffffffc,0x7ffffe44,0x00067444,0x07fd1fea,0x7bfffff7,0x25fffd30,
    0x102fffe9,0x3ffe203b,0xfffffffd,0xffffff73,0x00003fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3f200000,0x5402ffff,0xffffffec,0xbffffd30,0xf9805c00,0x52ffffff,
    0x3fa65fff,0x3ffff63f,0xff76ffff,0xd305bfff,0x3fa65fff,0x3ffee2ff,
    0xffc82dff,0x7442dfff,0x3a05ffff,0x77fc41ff,0xbffffd11,0x7ffdc7f2,
    0x7dc0beff,0xfffa9eff,0x33104cc3,0x104cc511,0x0d440133,0x006a14c0,
    0x3dddfd70,0x7ffffe40,0xdb10ffee,0x2600bdff,0xddff302f,0x3fa65ffd,
    0x45dff30f,0xeeeeefed,0xfddff56f,0xffe88bff,0x3dffb11e,0x7ff77fd4,
    0x777f5c5f,0x3b625ffe,0x3f605eff,0x877fdc5f,0x75effed8,0x3bffaa3f,
    0x3aa0fffe,0xfffa9eff,0x7c53ff23,0xff95bbff,0x20fffe29,0x02fffff9,
    0xffd1dffd,0x1dfd981b,0x0af337ea,0xb37c7bee,0x800bf01f,0x49f303fa,
    0x8ffc46fb,0x1fc80ff8,0x987f26f8,0x80fe83fe,0x4c3f907f,0x11fd43fe,
    0x00bf03fb,0x7fc3fff1,0x588bf02f,0x0fee27cc,0x3bf629f3,0xb727e4c0,
    0x3f267dbf,0xf30ff6e4,0x85ffd7df,0xdfffdefc,0x645544fd,0x3ffffea6,
    0xf83fa0ef,0xbf07c98e,0x7f5003b5,0x7fccfe20,0x7fb6fa80,0xd9647f20,
    0xdf107f24,0x4fa87f70,0x7f883f90,0x13e61fd4,0x3fe2017e,0x05fff54f,
    0xf983717e,0x3e62fcc4,0x2205fe8c,0x2177d44f,0x21fd44f8,0x23fcc2fd,
    0xfe9bf66f,0xf5276440,0xf89fe447,0x0c7effc5,0x101ffff8,0x1339f733,
    0x02fe88a8,0xc817fbf2,0xf905facf,0xf881fb03,0x6d407f47,0x83f61acf,
    0x41fec3fa,0xedf8805f,0x02fcfe8f,0x5bf300bf,0xf985ffb5,0x7c404ffe,
    0x7c41fd44,0xdf11fd44,0x27cc7f60,0x3ffffff7,0x3ea5ec88,0x3faa7cc3,
    0x4407fffc,0xf101effc,0xffffffff,0x8809fb03,0x3f200ffe,0x3f905fff,
    0x5f903f90,0x3fe617e6,0x87f27fff,0xeffdcdfa,0xf8805f80,0xfbdfefbc,
    0xf300bf02,0x83ffffff,0x00effff9,0x07f513e2,0x23fa89f1,0x23fb06f8,
    0x3bfee4f9,0x1f301eee,0x2fd88fea,0x7dff8bf1,0xd86fffa8,0x37f732e1,
    0x2fe40bcc,0x00fea013,0x20bf59f9,0x80fd81fc,0x205f96f9,0x361acfd9,
    0x3fffea0f,0xb0bf00df,0x7fc67c43,0xbf02fb9f,0x56fcc3b0,0x260ffeba,
    0x00efcaff,0x1fe44bf1,0x0ff22fc4,0x47fa87fb,0x08dfd0fe,0xf527f77c,
    0x41bfffff,0x463be0fe,0x8bf9f90a,0x07f504f9,0x0bf07fd4,0x3f900fea,
    0x40fe40b2,0x3e7fa07f,0x740fe406,0x00ce7d47,0x893e22fc,0x3eedf94f,
    0x4f88bf02,0x8ff213e6,0x813f24f9,0xefffddff,0xffddff82,0x3ffe61ef,
    0x7dc2ffec,0xfddfffee,0x2a054c1f,0xb81accdf,0x7ccdf1ef,0x3e62fc23,
    0x2207f504,0xa837c1ff,0x00fe403f,0x9fb10fe4,0x01fffd40,0x4fd887f2,
    0xbf001fd4,0x53e24f98,0x205f71a8,0xf327cc5f,0x7cc7f709,0xf9807f44,
    0x82ffdeff,0xffeffff9,0x77ffecc2,0xb1dff701,0x70019fff,0x403bddfd,
    0xeefffffc,0xffdb13fe,0x209fdddd,0xdff903fa,0xeb8dfddd,0xec84eefe,
    0xfa80deef,0x0effeeef,0x5007ffc0,0xdffdddff,0x6f77f5c1,0xeffed881,
    0xfb14feee,0x3fb623bf,0xdffdb11e,0x3aa9fddd,0xfffeeeff,0x23bffd51,
    0x02605efa,0x98003300,0x00881000,0x7ffffe40,0x7ff65402,0xfd33ffff,
    0x9fffffff,0x7e407a20,0x46ffffff,0x85fffffc,0x81effffd,0x3dfffffb,
    0xb80bf700,0x83dfffff,0x82fffffc,0xffffffe9,0xfffd14ff,0x4bfffa25,
    0xffffffe9,0xffff74ff,0x7dc3bfff,0x3bfa2fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0xa9800aa9,0x0d44011a,0x80455440,0x880a61a9,
    0x2620a619,0x26206621,0x01a88a98,0x80998331,0x0c980999,0x02661643,
    0x83330266,0x19100999,0x0aa22620,0x99999998,0x41d71360,0x4400ae1d,
    0x02a20644,0x26666662,0x10000999,0x03dfffff,0xdfffffd3,0x5ffffb50,
    0xfffffd50,0x6ffffc43,0x7dc0effd,0x1fffebff,0xff79fff5,0x7fffc4ff,
    0x445fffef,0xfffb6fff,0x41ffffc3,0xfefffefb,0xf83fffa4,0x3fffa7ff,
    0x01ffffb6,0xdff307f5,0xf987dfff,0x23ffffff,0x41ff74fe,0x809f32fb,
    0xb8bd13f9,0x3fe63fff,0xffffffff,0x8077fae2,0x5fcacdd8,0x765f7fc4,
    0x5e7fdc7f,0x67fc1ffc,0x3622feba,0xfddffebc,0x7fff6444,0xff912fbd,
    0xc87bff11,0xdcffccff,0xba7fe41f,0x372e0cff,0xfbffd03f,0x5ffd41df,
    0x23feb9a8,0xfd32efda,0xbfa8a87d,0x3bff20a8,0x3e60febb,0x21ffecce,
    0x81ffefe8,0x20bf33fb,0xd0dd34fa,0x65c1f719,0xfecccccc,0x01726662,
    0x323f4d44,0x3e27e84f,0xf137cc0f,0x2032235d,0x3fa6fca8,0x402ffc80,
    0x103fe9ef,0x7d53e6bf,0xffdff983,0x740fea02,0xfb0ff11f,0x21febf91,
    0x20ff47f8,0xfffffffa,0xfb83be23,0x1ffa97c2,0x201fff88,0x41df34fc,
    0x81df54fc,0x003f11f9,0xffd917dc,0xfffeb80d,0x203fa0ff,0x3fffe618,
    0x320fffff,0x4c1dffff,0xfffffffe,0x01fc81ff,0x205ffff8,0x2a9f35f8,
    0x3fff303f,0xdf03fa80,0x57dc0fd8,0x905f9fff,0x5c17ea7f,0x443efffe,
    0xa81fd44f,0xfff701ff,0xfaa7e409,0x327fb10e,0xfb5bd05f,0xd52fb800,
    0xffb81b21,0x3a0fecbc,0xeff9800f,0x40eeeeee,0x12ffecb9,0xdffb7bff,
    0x1f903ddd,0xdfd9ff00,0xa7cd7e20,0xfffb03fa,0x81fd401b,0x50ff11fe,
    0x7fdfffdf,0x0ff5be20,0x105fff50,0xa83fa89f,0x3ff701ff,0x25fb09fd,
    0x27f904fa,0xefe985fa,0x897dc002,0x885ffffe,0x907f446f,0x2217107f,
    0x7dc101ff,0x4f9afcc0,0x32011bee,0x366f800f,0xf35f884f,0xfb10fea9,
    0x201dfb1d,0xdffd03fa,0xff881dff,0x201fffaf,0x2205fdfc,0x440ffaff,
    0x2a1fd44f,0x7c4b61ff,0x641fd11f,0xa805f51e,0x020bd13f,0x22074c00,
    0x66ff4010,0xf11efffe,0x5ffb9bff,0x76e77fdc,0x9bff90ff,0x6ffc5ffb,
    0xffddfffd,0x3bbffb21,0x6ffecc4e,0xb13eff88,0x55ff37ff,0x3ffa63df,
    0x2e5fff74,0x3eeefeee,0xfdfffdf7,0x3f2dfd0b,0x0fffc407,0x87ea7f10,
    0xfd34ffe9,0x3bffe63d,0x10264fee,0x00260a85,0x0002e1c4,0xd9800000,
    0x2ffeefff,0x3ffffb26,0xfffffa83,0x3fffea3e,0x7ff443df,0x0cfffeee,
    0x3ffffff6,0x8f7ffcc5,0xffd14ffb,0xff57ff39,0x5d3ffea5,0xfff93fff,
    0x3269ffff,0x7e416410,0xf900bf33,0xff50000d,0x4bffe6bf,0xfffffffa,
    0x00000004,0x00000000,0x80026200,0x19880198,0x44009980,0x00000c41,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3ffffaa0,0x5dc3efff,0x02621311,0x30600007,
    0x26666660,0x2e099999,0x44441710,0x08888888,0x04444444,0x00000000,
    0x00000000,0x00000000,0x00000000,0x98074400,0x3baa1cfd,0x2eeeeeee,
    0xa7dc3fe2,0x2e0fc3fc,0x2e0a63ff,0xff913a0f,0xffffffff,0x7d4fe6bf,
    0xffffff92,0x26bfffff,0x2fffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2077f400,0x00fa9bf8,0xfa8fea00,0x7ecc5f73,0x59ffdf50,
    0x441ed8df,0x3332e25e,0x1ccccccc,0x6664c306,0xcccccccc,0x99999912,
    0x00000039,0x00000000,0x00000000,0x00000000,0x77ec0000,0x4f22d45f,
    0xbbbbbba8,0xf31f60bb,0x7fc47ea5,0x3fa23b27,0x700641ff,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0xb8000000,0x7c49fb5f,
    0x3fee3d11,0x4fffffff,0x263f10fe,0x65c00c0f,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3a0ef980,0x8fbfae2f,
    0xaaaaaaa8,0x360b10aa,0x00000160,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20000000,0x40ec41d9,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__courier_bold_21_latin_ext_x[560]={ 0,4,2,1,1,1,2,4,4,2,1,0,3,1,
4,1,1,1,0,1,1,1,1,1,1,1,4,3,-1,0,0,1,1,-1,0,0,0,0,0,0,0,1,0,0,
0,-1,-1,0,1,0,0,1,0,0,-1,-1,0,0,1,4,1,2,1,-1,3,0,-1,1,0,0,1,0,0,1,
1,0,1,-1,0,0,-1,0,0,1,1,0,0,-1,0,0,1,3,4,3,1,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,4,1,0,1,0,
4,0,2,-1,2,0,-1,1,-1,-1,2,0,2,2,3,0,1,4,3,3,2,0,0,-1,0,1,-1,-1,-1,-1,
-1,-1,-1,0,0,0,0,0,1,1,1,1,-1,-1,0,0,0,0,0,1,0,0,0,0,0,0,1,0,0,0,
0,0,0,0,-1,1,0,0,0,0,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,
-1,0,-1,0,-1,0,0,1,0,1,0,1,0,1,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,0,-1,0,1,0,0,0,0,1,0,
1,0,1,0,1,0,1,-1,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,0,-1,-1,0,0,0,0,0,0,
1,1,1,1,1,1,1,1,0,1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,-1,-1,0,0,
0,1,1,1,1,1,1,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,2,1,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,-1,0,1,1,0,
0,0,0,0,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,-1,0,-1,-1,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static signed short stb__courier_bold_21_latin_ext_y[560]={ 15,2,3,2,2,3,4,3,3,3,3,4,12,8,
12,1,2,2,2,2,3,3,2,3,2,2,6,6,4,7,4,3,2,4,4,3,4,4,4,3,4,4,4,4,
4,4,4,3,4,3,4,3,4,4,4,4,4,4,4,3,1,3,2,18,2,6,3,6,3,6,3,6,3,3,
3,3,3,6,6,6,6,6,6,6,3,6,6,6,6,6,6,3,3,3,7,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,15,6,2,3,5,4,
3,3,3,4,2,7,8,8,4,0,1,1,2,2,2,6,3,7,14,2,2,7,2,2,2,7,-1,-1,-1,0,
0,-1,4,3,-1,-1,-1,0,-1,-1,-1,0,4,0,-1,-1,-1,0,0,6,3,-1,-1,-1,0,-1,4,3,2,2,
2,3,3,2,6,6,2,2,2,3,2,2,2,3,3,3,2,2,2,3,3,4,5,2,2,2,3,2,3,3,
1,4,-1,2,4,6,-1,2,-1,2,0,3,0,2,0,3,4,3,1,4,-1,2,0,3,4,6,0,2,-1,2,
-1,2,0,3,3,1,-1,-1,4,3,0,3,1,4,-1,2,4,3,0,6,4,3,-1,2,4,3,6,-1,-1,4,
3,4,3,4,3,4,3,-1,2,4,6,0,2,3,3,6,1,4,-1,2,-1,2,4,6,-1,2,4,6,0,2,
-1,2,-1,2,3,6,0,2,4,3,0,3,4,3,0,3,1,4,-1,2,-1,2,-1,2,4,6,-1,2,-1,2,
0,-1,2,0,3,0,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,5,3,3,3,3,3,3,3,3,3,3,3,3,3,1,6,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,2,0,2,0,
2,0,2,-1,1,-1,0,-1,0,-1,-1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,-4,-2,-1,2,-1,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static unsigned short stb__courier_bold_21_latin_ext_w[560]={ 0,3,7,9,9,9,9,3,6,5,9,11,5,9,
3,9,9,9,10,9,9,9,10,9,9,10,3,5,12,11,12,9,9,13,11,11,11,11,11,12,11,9,12,12,
11,13,12,11,10,11,12,10,11,11,13,13,11,11,9,5,9,5,9,13,5,11,12,10,12,11,10,12,11,9,
8,11,9,13,11,11,12,12,11,9,10,11,12,13,11,11,9,6,3,5,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,0,3,9,11,9,11,
3,11,7,13,7,11,12,9,13,13,7,11,6,7,5,11,10,3,5,6,7,11,12,13,12,9,13,13,13,13,
13,13,13,11,11,11,11,11,9,9,9,9,12,12,11,11,11,11,11,9,11,11,11,11,11,11,10,10,11,11,
11,11,11,11,13,10,11,11,11,11,9,9,9,9,11,11,11,11,11,11,11,11,11,11,11,11,11,11,12,11,
13,11,13,11,14,12,11,10,11,10,11,10,11,10,11,14,12,12,11,11,11,11,11,11,12,11,11,11,12,12,
12,12,12,12,12,12,11,11,11,11,9,9,9,9,9,9,9,9,9,9,12,12,12,8,12,11,11,11,9,11,
9,11,9,11,10,11,10,12,11,12,11,12,11,12,11,10,11,11,11,11,11,11,13,13,12,11,12,11,12,11,
10,9,10,9,10,9,10,9,11,10,11,12,11,10,11,11,11,11,11,11,11,11,11,11,11,12,13,13,11,11,
11,9,9,9,9,9,9,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,11,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,12,12,10,10,10,10,10,10,10,10,10,10,10,10,10,13,12,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,13,11,9,9,11,
11,11,11,11,11,11,11,11,11,11,11,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,13,11,13,13,11,11,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10, };
static unsigned short stb__courier_bold_21_latin_ext_h[560]={ 0,14,6,15,16,13,12,7,15,15,9,11,6,3,
4,17,14,13,13,14,12,13,14,13,14,14,10,11,11,6,11,13,15,11,11,13,11,11,11,13,11,11,12,11,
11,11,11,13,11,15,11,13,11,12,11,11,11,11,11,15,17,15,7,3,4,10,13,10,13,10,12,13,12,12,
16,12,12,9,9,10,13,13,9,10,13,10,9,9,9,13,9,15,15,15,5,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,0,13,14,12,9,11,
15,14,3,12,7,8,7,3,12,3,7,14,8,8,4,13,14,4,5,8,7,8,13,13,13,12,16,16,16,15,
15,16,11,16,16,16,16,15,16,16,16,15,11,15,17,17,17,16,16,8,14,17,17,17,16,16,11,13,14,14,
14,13,13,14,10,13,14,14,14,13,13,13,13,12,13,12,14,14,14,13,13,11,12,14,14,14,13,17,16,16,
14,12,16,14,14,12,17,14,17,14,16,13,16,14,15,13,11,13,14,12,16,14,15,13,14,12,15,14,17,17,
17,17,16,16,16,18,16,16,11,12,15,12,14,11,16,13,14,15,15,9,12,16,17,17,15,16,9,16,16,15,
16,11,12,11,12,11,12,16,13,15,13,15,13,12,13,13,15,12,17,14,17,14,11,10,16,13,15,13,15,13,
17,14,17,14,16,13,16,14,17,17,15,13,11,13,16,13,15,12,17,14,17,14,17,14,14,12,16,13,16,17,
15,16,13,15,12,15,13,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,13,12,12,16,12,12,12,
12,12,12,12,12,12,12,12,12,12,13,11,12,12,12,12,12,12,12,12,12,12,12,12,12,15,10,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,15,14,15,13,16,
14,16,14,17,15,17,16,17,16,17,17,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,19,18,16,14,18,15,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12, };
static unsigned short stb__courier_bold_21_latin_ext_s[560]={ 255,104,37,182,132,132,151,251,82,249,157,
38,31,110,248,122,201,238,205,141,185,160,81,47,60,202,252,250,97,19,157,
150,205,197,172,59,84,237,72,178,36,26,195,184,134,146,13,62,123,89,48,
14,85,161,96,170,123,60,50,250,132,59,1,74,68,1,100,13,225,24,218,
238,229,241,37,173,208,84,167,222,119,83,60,36,1,210,144,130,98,23,179,
175,249,99,51,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,
119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,255,248,50,
85,120,1,65,197,88,11,244,211,231,110,217,96,223,1,249,248,62,88,27,
252,45,248,11,199,49,35,1,50,225,70,96,136,1,211,223,37,61,83,108,
15,1,142,152,126,110,13,142,62,204,195,25,189,106,25,13,1,84,183,1,
139,38,154,130,105,93,142,46,57,190,166,178,11,1,240,129,141,81,60,118,
236,185,213,35,211,243,94,82,70,23,192,236,176,13,181,162,224,209,37,168,
174,144,151,46,12,58,108,115,225,184,68,57,133,188,23,139,117,243,231,51,
162,216,229,52,242,132,145,158,39,243,120,61,25,77,1,131,135,122,195,221,
239,229,110,193,207,37,101,162,49,72,171,73,39,233,160,109,73,130,26,170,
220,35,26,47,192,71,145,96,108,27,158,154,151,65,163,12,234,95,142,69,
154,101,166,86,211,166,1,225,191,200,35,120,109,150,201,145,214,110,170,1,
97,180,11,50,119,74,69,45,72,211,74,189,97,114,201,25,39,123,49,113,
206,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,216,119,119,239,
119,119,119,119,119,119,119,119,119,119,119,119,119,182,110,119,119,119,119,119,
119,119,119,119,119,119,119,119,215,197,119,119,119,119,119,119,119,119,119,119,
119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,63,175,
105,228,177,231,1,92,156,87,132,13,110,25,89,77,119,119,119,119,119,119,
119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,
119,119,119,1,15,11,187,27,127,119,119,119,119,119,119,119,119,119,119,119,
119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,
119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,
119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,
119,119,119,119,119,119,119,119,119, };
static unsigned short stb__courier_bold_21_latin_ext_t[560]={ 1,105,225,73,39,149,177,149,73,39,214,
202,225,225,144,1,89,135,135,105,177,135,105,135,120,120,104,120,190,225,190,
135,73,190,202,149,202,190,202,149,190,190,177,202,202,202,190,163,202,73,190,
163,190,177,202,190,190,202,202,21,21,73,225,225,225,214,163,214,149,214,177,
149,177,177,39,177,177,214,214,202,149,149,214,214,149,202,214,214,214,149,214,
73,73,89,225,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,
177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,1,104,120,
177,214,190,73,104,225,177,214,214,214,225,163,225,214,120,190,202,225,163,120,
144,225,135,225,214,163,163,163,177,21,39,39,73,89,39,190,56,56,56,56,
89,56,39,39,73,202,73,21,21,1,56,56,214,120,21,21,21,39,56,202,
135,120,120,120,135,135,120,214,135,120,120,120,135,135,120,135,177,135,177,120,
104,104,120,135,190,163,120,120,120,135,1,39,39,120,163,39,104,104,177,1,
104,1,104,39,149,39,105,89,120,190,135,105,163,39,105,89,135,89,163,89,
104,1,1,1,1,56,56,56,1,56,56,190,177,89,177,105,190,39,135,89,
73,73,214,163,56,21,1,73,56,214,56,56,89,56,202,177,190,177,202,163,
56,149,73,149,73,149,163,149,149,89,163,21,89,1,89,202,202,56,149,73,
149,73,149,21,89,21,105,39,149,39,105,21,21,73,149,190,149,39,135,73,
177,1,105,21,105,21,105,105,177,21,163,21,21,73,21,163,73,163,73,163,
163,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,135,177,177,21,
177,177,177,177,177,177,177,177,177,177,177,177,177,135,190,177,177,177,177,177,
177,177,177,177,177,177,177,177,73,202,177,177,177,177,177,177,177,177,177,177,
177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,89,89,
89,135,21,89,39,105,1,89,1,39,1,39,1,1,177,177,177,177,177,177,
177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,
177,177,177,1,1,56,89,1,89,177,177,177,177,177,177,177,177,177,177,177,
177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,
177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,
177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,177,
177,177,177,177,177,177,177,177,177, };
static unsigned short stb__courier_bold_21_latin_ext_a[560]={ 178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_21_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_bold_21_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_21_latin_ext(stb_fontchar font[STB_FONT_courier_bold_21_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_21_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_bold_21_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_21_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_21_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_21_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_21_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_21_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_21_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_21_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_21_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_21_latin_ext_s[i] + stb__courier_bold_21_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_21_latin_ext_t[i] + stb__courier_bold_21_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_21_latin_ext_x[i];
            font[i].y0 = stb__courier_bold_21_latin_ext_y[i];
            font[i].x1 = stb__courier_bold_21_latin_ext_x[i] + stb__courier_bold_21_latin_ext_w[i];
            font[i].y1 = stb__courier_bold_21_latin_ext_y[i] + stb__courier_bold_21_latin_ext_h[i];
            font[i].advance_int = (stb__courier_bold_21_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_21_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_21_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_21_latin_ext_s[i] + stb__courier_bold_21_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_21_latin_ext_t[i] + stb__courier_bold_21_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_21_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_21_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_21_latin_ext_x[i] + stb__courier_bold_21_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_21_latin_ext_y[i] + stb__courier_bold_21_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_21_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_21_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_21_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_21_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_21_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_21_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_21_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_21_latin_ext_LINE_SPACING
#endif

