// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_25_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_25_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_25_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_courier_bold_25_latin_ext_BITMAP_HEIGHT        318
#define STB_FONT_courier_bold_25_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_courier_bold_25_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_bold_25_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_bold_25_latin_ext_LINE_SPACING          12

static unsigned int stb__courier_bold_25_latin_ext_pixels[]={
    0x00001300,0x0c000000,0x00075000,0x22000000,0x80000000,0x00000040,
    0x01800080,0x555554c0,0x02818802,0x00300060,0x05f70001,0x0009d100,
    0x2d8005f5,0x009f7000,0xde809d10,0x01ea8000,0x8009f500,0x000fc9dd,
    0x440001d9,0x3f62004e,0x9997001e,0xfa801999,0xd1007e60,0xfd8801bf,
    0x00bf301e,0x4c001fec,0x7dc000ef,0x002d4005,0xa8003fd8,0x77cc00ef,
    0x8fd46000,0x0df90008,0x88dfb840,0x01fe8800,0x089fc460,0x7f5ffcc0,
    0x00808803,0x0bf99dd0,0x2febefa8,0x7fd7ff30,0x7005ff10,0xbf30005f,
    0x03fb8001,0x4004fc80,0xf98001e8,0x03fa2005,0xbf047ee0,0x40072200,
    0x037c11fc,0xb801fd88,0x202fc31f,0x201ae0dd,0x400fe46f,0x400addb8,
    0x6c1b224e,0x7ec1ae0d,0x00013006,0x06600071,0x00ba6002,0x02880000,
    0x32600500,0x00002b80,0x00ee0930,0x19300150,0x00000570,0x0012615c,
    0x00000000,0x5c02ff98,0x6c4004ee,0x0544003f,0x20000df1,0x2e0ceed8,
    0x2a202dee,0x264c8009,0x2000001d,0xedaeffeb,0x0000003d,0x2e000000,
    0xdedaeffe,0xeb800003,0x3dedaeff,0x777776dc,0x19ddb10e,0x3a16f75c,
    0x00f3c05f,0x5003b3c8,0xfd7bfffd,0x33ffae0b,0x3ea3eed9,0xfff11fff,
    0xfffb50bf,0xff10ddbf,0x7fdc27dc,0xffff75ff,0xfffffb0b,0x7dcfffff,
    0xfff75fff,0x7fffdcbf,0x4bffff75,0xf75ffffb,0xffb0bfff,0xffffffff,
    0xbaffffdc,0xfd85ffff,0xffffffff,0x7fffff47,0xffff50ff,0x17fffe23,
    0xbbd80ff5,0x1d9e4005,0x7f7ffdc0,0xfd80ffff,0xffffffff,0x2617fdc7,
    0x7fd40dff,0x0fffffef,0x202a2198,0xf96ffffb,0xffb8dfff,0xcfffda9d,
    0x5bfffee0,0x2e6ffffc,0xff96ffff,0x7ffdcdff,0xdffff96f,0xda9dffb8,
    0x3ee0cfff,0xfff96fff,0x9dffb8df,0x40cfffda,0xffaaaaa8,0xf30bfee0,
    0x1ff981bf,0x00033220,0xf9809fb1,0xbffb12ef,0xb53bff70,0xfd019fff,
    0x4c0ffa89,0x3f620dff,0xfa80000f,0x42fe440e,0x1ffc84ff,0x6440efa8,
    0x40efa85f,0xefa85fc8,0x7c2fe440,0x81ffc84f,0x7e440efa,0xfc84ff85,
    0x03fe001f,0x0ffa89fd,0x0002ff88,0x5fe80000,0x207fffcc,0x1ffc84ff,
    0x7f41ff50,0xf105fd84,0x87bb661f,0x7d41eeeb,0xf889f706,0x81ff980f,
    0x09f706fa,0x13ee0df5,0x27dc1bea,0x3e603fe2,0x706fa81f,0x80ff889f,
    0x3e001ff9,0xd07fd40f,0x21ffc09f,0x0fffffe8,0xdffec980,0x22ff881b,
    0x23fedff8,0xff980ff8,0x7d53fa01,0x201ff80f,0x8bfff23b,0x7d42ffff,
    0xf989f706,0x81ff880f,0x09f706fa,0x13ee0df5,0x27dc1bea,0x3e203fe6,
    0x706fa81f,0x80ff989f,0x3e001ff8,0xf54fe80f,0x217fc01f,0x3ffffff9,
    0xfffffe80,0x6c7fa87f,0x264fc8ef,0x1ff880ff,0x3fa3fea0,0x4007f884,
    0x2a62fea8,0x837d42ff,0x83ff84fb,0x6fa81ffb,0xdf509f70,0x3ea13ee0,
    0xff09f706,0x503ff707,0x213ee0df,0x1ffb83ff,0x2a03fe00,0x204fe8ff,
    0xfb301ff9,0x79500dff,0xb87fd533,0x5c7ff25f,0x5c1ffc5f,0x77f401ff,
    0x06f980ff,0xfd05fd00,0xf706fa85,0x117ff909,0xf503fff7,0x2a13ee0d,
    0x509f706f,0x213ee0df,0xfb88bffc,0x06fa81ff,0x7ff909f7,0x03fff711,
    0xfe807fc0,0x3ea00ffe,0xf7ff100f,0x2aa6003f,0xbfd46fba,0x13f63ffa,
    0xf7117ff9,0xffa803ff,0x00ff304f,0x3fa0bfa0,0xfb837d42,0xffffe884,
    0xfa81ffff,0xf509f706,0x2a13ee0d,0x109f706f,0xfffffffd,0x20df503f,
    0xffe884fb,0x01ffffff,0x7d403fe0,0x37e404ff,0x13f6ff70,0xfffffd30,
    0xfaff98df,0x10ffe24f,0xfffffffd,0x1ffd003f,0x40017fc0,0x42fe82fe,
    0x09f906fa,0x33ffff62,0x06fa81ff,0x0df509f9,0x1bea13f2,0xfd8827e4,
    0x81ffcfff,0x09f906fa,0x33ffff62,0x3fe001ff,0x803ffa00,0x3fa03ff8,
    0x2601ff34,0xfffeffff,0x46fffe86,0xfc880ffb,0x01ffbeff,0x7ec04fe8,
    0x3fa0e206,0x7c42fe82,0x803fd81f,0x103ff099,0x07fb03ff,0x7fb03ff1,
    0xfb03ff10,0x3e133007,0x81ff881f,0x099803fd,0x3e2003ff,0x013fa00f,
    0x3e601ff9,0x740ffa0f,0x437d41ef,0xfb32fff9,0x7c13007f,0x07fd401f,
    0x42fbfea0,0x7ec2ffa8,0x20bff664,0xff912efe,0x07fa8001,0x7e44bbfa,
    0x25dfd00f,0xfd00ffc8,0x03ff225d,0x740ff500,0x1ff912ef,0x007fa800,
    0xffa81fee,0x80ffe200,0xffeeeffc,0x5c47fd06,0x7fdc0eff,0x05ffffff,
    0xb887fa80,0x802efecc,0xfffffffa,0x7ffdc0ef,0x43ffffff,0xfffffff9,
    0x76664c03,0x3fe604ff,0x203fffff,0xfffffff9,0x3fffe603,0x64c03fff,
    0x204ffecc,0xfffffff9,0x76664c03,0x999504ff,0x65c47ffd,0x2602efec,
    0x3ffe206f,0x81ffffff,0xfffffffa,0x9ff33fff,0x007ffffb,0x9ffb9993,
    0xffffff50,0xfdb3001f,0x7e409dff,0x2fffdfff,0x2ffffe88,0xfffffe80,
    0xfffe8805,0xffe8802f,0xfe8802ff,0xfe802fff,0x8805ffff,0x802ffffe,
    0x05fffffe,0x13fffffe,0xfffffff5,0xf7005401,0xfb55555d,0x3fffb209,
    0xf92fffde,0x3a00098b,0x105fffff,0x05999997,0x20013100,0x440009a8,
    0x33260009,0x4c4001bc,0x00988000,0x20009880,0x001bccc9,0x930004c4,
    0xca803799,0xcb880bcc,0x0002cccc,0x2e033fa2,0x026601ff,0x30000710,
    0x00017999,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x50000000,0x7c3fffff,0x0003ffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x077fff4c,0x005ffffb,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x04000000,0x00000001,0x04000000,
    0x00004401,0x40000026,0x001e41d8,0x01540762,0x016a1e40,0x37ec0000,
    0x005a8790,0x01000000,0xd800bb10,0xfa801f76,0x0db10001,0x7fffffc4,
    0x402fffff,0x3e01f76d,0x3b7a0006,0x00fb8001,0x0bfab3fa,0x880ef980,
    0x7dc000ff,0x0005fc9e,0x3f6009d1,0x327bee06,0xb0fd805f,0x80be600d,
    0x3fa604fa,0x2e7f6001,0x07fb003f,0x201fe880,0xfffffff8,0x3602ffff,
    0xf103fb9f,0x552a000f,0x01fec004,0x00077fdc,0x7f401bf5,0xffe98004,
    0x1df50003,0x300aaa00,0x3e007ffd,0x400ff89f,0x3fe205fb,0x001df104,
    0x01fd4fe4,0x4400fee0,0x7fc400ef,0xe99dfc99,0xf53f902f,0x003fc407,
    0x002dae88,0x39800bf6,0xa804b800,0x170000ff,0x017e6000,0x00170000,
    0x03fc4ffc,0xff700fee,0x4c001401,0x26000310,0x4400a001,0x74bf70ff,
    0x0621302f,0x777ff644,0xd9801dee,0x80054002,0x9007664c,0xfd00ecc9,
    0x03510007,0x2e00a200,0x0eeeeeed,0x47fc0000,0x00cc07f9,0x2a2027f4,
    0x20000001,0x000001a8,0x3a5fb9fe,0x806a201f,0xfffffff9,0x000003ff,
    0xf88026a6,0xf8813ee7,0xfa813ee7,0x3ffaa007,0x000003ff,0xfffffffd,
    0x57fffee1,0x885ffffb,0x007f98ff,0x500ffa80,0x707ffffd,0x3eebffff,
    0xfd505fff,0xff707fff,0x3ffeebff,0xbf71dc5f,0xffea8254,0xff7303ff,
    0xf7055557,0x3feebfff,0xfffa85ff,0x1980fdff,0x433002a2,0x1ffc00a8,
    0x7ffffdc0,0x3ff605ff,0xffffffff,0x2aaaaa21,0xffff70ff,0x1bffff2d,
    0xfffffffb,0x7ffff47d,0x3f21ffff,0xfffff706,0xfffb8bff,0xdffff96f,
    0xffffff70,0xffffb8bf,0x0dffff96,0xfb805fb8,0x05ffffff,0x3ee00ff1,
    0xfff96fff,0xefff98df,0x0002ffff,0x6fb80000,0x9977fcc0,0xffd03ffd,
    0xfffffffd,0x541ff003,0x2fe440ef,0x3fffffe2,0x3ffa5fff,0x21ffffff,
    0xeff984fe,0xa87ffb32,0x2fe440ef,0xd9977fcc,0x077d43ff,0x2e017f22,
    0x77fcc05f,0x107ffb32,0x77d400ff,0x642fe440,0x4ffee0df,0x3ae1eed9,
    0x3bb661ee,0x407bbae1,0x3fa02ff8,0x201ff505,0x99affbfb,0x0ff801ff,
    0x27dc1bea,0x7e4f7dc4,0x4cd7f41d,0x1ffc6ff9,0xffa82ff4,0x7dc1bea0,
    0xf505fe84,0xb837d41f,0x05fb804f,0xffa82ff4,0x5003fc40,0x113ee0df,
    0x25fb01ff,0x3fe2fffc,0x3fff22ff,0x80bfffe2,0x5ff106fc,0xfc81fec0,
    0x07fa1ff9,0x6fa83fe0,0x3ea09f70,0x3fd09f95,0xff107fec,0x202ff885,
    0x41bea3fd,0x17fc44fb,0x37d47fb0,0xfb804fb8,0x80bfe205,0x07fc43fd,
    0xf706fa80,0x7109ff09,0x5317f544,0x7f5445ff,0x80bfea62,0x7fa82ff8,
    0x6f827dc0,0x0f95b3ff,0x6fa83fe0,0xfb309f70,0xd81bfb5d,0xf05ff70f,
    0x407fa85f,0x41bea4fb,0x03fd44fb,0x06fa93ee,0x64c409f7,0x7fa809df,
    0x7fc27dc0,0xf50f6e62,0x2e13ee0d,0x201bdfff,0x82fe82fe,0x02fe82fe,
    0x2fdc2fe4,0x3e617ea0,0x00dfdff4,0x1bea0ff8,0x3fee27dc,0x1fffffff,
    0xd04ff984,0x405fb89f,0x41bea5fa,0x02fdc4fb,0x06fa97ea,0x3fe609f7,
    0x5c3fffff,0x42fd405f,0xfffffffc,0xfb837d46,0xfffff704,0xd05fd03f,
    0xd05fd05f,0x1ff8805f,0x3ee03fd4,0xfff2fb84,0x0ff800df,0x27dc1bea,
    0x3fbbff66,0xfe880def,0xf517f605,0x2a4fb80f,0xa89f706f,0x527dc07f,
    0x413ee0df,0xefffffe9,0x2e03fd42,0xfffc884f,0x37d40bff,0x5cc04fb8,
    0x7f41fffe,0xfe82fe82,0xd802fe82,0x017fc45f,0xddfd07fd,0x800dfbff,
    0x41bea0ff,0x27fb04fc,0x3ff602fe,0x41ff7060,0x3fa02ff8,0x7e41bea3,
    0xd017fc44,0xc837d47f,0xf100004f,0x01ff405f,0x6fa80266,0x02889f90,
    0x2fe89fb1,0x2fe82fe8,0xf9802fe8,0xb82ff40f,0x7ffc40ff,0x012c9fff,
    0x7c41ff10,0xb03fd81f,0x6407fa7f,0x88fea1ff,0x82ff43ff,0x3fe20ffb,
    0xfe83fd81,0x441ff705,0x03fd81ff,0x7f402c98,0x401ff705,0x1ff8804b,
    0x27dc3fd8,0x27ec6fa8,0xfb05ffb3,0x017fecc9,0x7fcc4fd8,0x07ffb32e,
    0x30ffc7f5,0x86fb807f,0xff912efe,0x7fcbfa01,0x5c3ffa81,0x263fe44f,
    0xffb32eff,0x225dfd07,0xff980ffc,0x07ffb32e,0x3f225dfd,0x06fc800f,
    0xd9977fcc,0x0ffc03ff,0xc8977f40,0x5ffe40ff,0xb87fd510,0xffffffff,
    0x7fffdc3f,0x803fffff,0x7fdc0ffa,0x885fffff,0x35ff32fd,0x6654bf93,
    0xf984ffec,0x03ffffff,0x207fc7fa,0x9999eff8,0x1ffc44fc,0x3fffffee,
    0xffff305f,0x7dc07fff,0x05ffffff,0xfffffff3,0x01762007,0x3fffffee,
    0x00f9805f,0xffffff98,0xffffc83f,0xf907ffff,0x5fffbfff,0xfbffff90,
    0x3fa005ff,0xffffe982,0xeffff982,0xffffffff,0x3fffffe5,0x3fffa204,
    0xd87e402f,0xfffffa86,0xfb84ffff,0xffffe984,0x7fff4402,0xffe9802f,
    0x7f4402ff,0x74002fff,0xfffd3001,0x00b2005f,0x2ffffe88,0xfffd9d30,
    0x4d4401bf,0x026a2000,0x44028800,0x3ffa2009,0xffffffcf,0x3332a5ff,
    0x0131000b,0xfffa8000,0x04ffffff,0x004c4015,0x20002620,0x4c400098,
    0x003b8000,0x14000988,0x00098800,0x00004ccc,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x51000000,0x00000013,0x4c990062,
    0x8000001d,0x00088001,0xb10025c0,0x71ff2005,0x053001ff,0x00b10b20,
    0x5405a879,0x26001d84,0x00000002,0x0dffb0e2,0xffffb500,0x7ff44ddb,
    0x2001ffff,0x9fe206e9,0x3e4004fb,0x4007f300,0x98004eeb,0x5c01effe,
    0x6400cfff,0x007fdc7f,0x2e007fe2,0x700bd11f,0x80bfb3df,0x0fb88bf9,
    0x003ff100,0x00b8ff66,0xff12fe80,0xffa800df,0x0fffffef,0xfffffff1,
    0x037ea003,0x00544330,0x2002fd88,0x79e005fb,0x44f7cc00,0x29f902fe,
    0x154c06fb,0x3e200aa6,0xfffb001f,0x3fa6003d,0xfff7002f,0x7fc4007f,
    0xdf9df001,0xfa8001fd,0x0037dc0f,0x6c41bff3,0x6fe4c0ff,0x013e2001,
    0x0f740000,0xffffd980,0x2ddec04f,0x02e0e200,0x000e20d4,0x00044000,
    0x5c0006a2,0x002a8000,0x10c00110,0xfd000199,0x400df509,0x1ff105fd,
    0x1000bf70,0x0ceed880,0xa80b7bae,0xffff1000,0xc880ffff,0x0000000c,
    0xec8026a2,0xeeec9eee,0x26a202ee,0x10000000,0x4c400135,0x54c4001a,
    0x40000001,0x6fa80ff9,0xf83bddb3,0x5c0ee01f,0xffd5005f,0x3ffea0bf,
    0xbffff11f,0x3bea0000,0x000df711,0x3fffea00,0xda81ffff,0x26edffff,
    0xfcfffff8,0xa82fffff,0x6edffffd,0x5d7fffee,0xb505ffff,0x0ddbffff,
    0x3bffffa6,0x3ffa606e,0x7dc6eeff,0xfff75fff,0x0bfb00bf,0x7ffe5bea,
    0x001fe24f,0xf9005fb8,0x7dc0bfff,0x86ffcc2f,0xfffffffa,0x213f202e,
    0xfffe882b,0xff5000ff,0x85ffffff,0xfffefffa,0x3eaa60ff,0xfeaaa99f,
    0x7f7ffd42,0xff70ffff,0x3fff2dff,0xefffa86f,0x540fffff,0xfffeffff,
    0xffffa80f,0x2e0ffffe,0xff96ffff,0xff980dff,0xfd1df501,0x37cc159f,
    0x00bf7000,0x202fe4c4,0x07fd44fe,0xfffffff7,0x3fe609ff,0x7fcc00ad,
    0x4003ffff,0x981efb99,0x3f620dff,0xb03ff00f,0x06ffcc5f,0x7d41ffb1,
    0x42fe440e,0x3620dff9,0x33fe60ff,0x2607fdc0,0x7fdc0cff,0x22077d40,
    0x5fc805fc,0x3ffffea0,0x000ff302,0x0e442fdc,0x7d405fb8,0x2213fa0f,
    0xfca99bfe,0xffff900f,0xffd9805b,0xbf70006f,0x7c417f60,0xb03ff00f,
    0x882fec5f,0x41bea0ff,0x05fd84fb,0x2fec1ff1,0x0bfb0fd0,0x837d43f4,
    0x7fc404fb,0x3fffea01,0x0017fc01,0x4fb85fb8,0xfd00bf70,0x7403fea9,
    0x203fd82f,0x04fffec8,0x07feffe2,0x7c17ee00,0xf80ee01f,0x3e2fd81f,
    0xf50ee01f,0x3e13ee0d,0xf88ee01f,0xf102201f,0x5404403f,0x809f706f,
    0x7fd406fc,0x3f600eff,0x7dc0e206,0xf704fb85,0xd1ff500b,0x417f409f,
    0xf71003fd,0xfdbfdc0f,0x85fb8004,0x7c0007f8,0xf12fd81f,0x0df5000f,
    0x0ff113ee,0x8007f980,0xf50007f9,0x8813ee0d,0x77d402ff,0xf501eff9,
    0x3ea217df,0x4efe4c2f,0x704fc999,0x3bfa00bf,0x2ffa00ff,0x80ffeb99,
    0x205fd05e,0x01ff34fe,0x4c2fdc02,0x9988006f,0x3f609aff,0x5000df32,
    0x313ee0df,0x6f9800df,0x4c199988,0x1999886f,0x9f706fa8,0x5c037dc0,
    0x15ffd16f,0xffffff50,0x3fe21dff,0xffffffff,0x00bf704f,0xd013ffea,
    0x3fffffff,0xfa87ff10,0x20ff980f,0x81fc83fe,0x07f985fb,0x7ffffcc0,
    0x25fb2fff,0xfa8007f9,0xf989f706,0x23fcc007,0x27fffffc,0x7ffe47f9,
    0x837d47ff,0x0ffe04fb,0x326fff88,0xd983ffff,0xe84efffe,0xffffffff,
    0x0bf704ff,0x2007ff40,0x3ffffffe,0xfdffff30,0x3ff209ff,0xe86ffeee,
    0xf05fb82f,0x7f44005f,0xb1efffff,0x0017fc5f,0x27e41bea,0xf10017fc,
    0x7fff543f,0xa87fe25f,0x545ffffe,0x209f906f,0xffe807fb,0x0bfffee6,
    0x000019f0,0x2005fb80,0x2fe804fe,0x3e05ffb1,0x03ffffff,0xfffffff1,
    0x82fe83ff,0x0dfb04fb,0xfe8001c4,0x3881bf62,0x7ec0ffc4,0x2206fd83,
    0xff027f43,0x3e04fe81,0x40ffc40f,0x07fd03fd,0xff800000,0x03762001,
    0xa802fdc0,0x2fe800ff,0x8840ffec,0x3ee00efc,0xfdaaaaae,0xf50eff44,
    0x3bfea05f,0x05ff510b,0x2a0ff980,0xf510beff,0x12efe85f,0xff501ff9,
    0x3fea217d,0x882ffee2,0x7fdc0ffa,0x03fea20b,0x7e44bbfa,0x00ffa80f,
    0x2003ea80,0x1004fcd9,0x4c407f95,0x2099dfc9,0x2efeccb8,0x205ff440,
    0x3ee00efe,0x033fa205,0xffd87fee,0x404fffff,0xfffffffa,0x665400ef,
    0xffa86ffd,0x0effffff,0x7fffffcc,0x3ffea03f,0x40efffff,0xfffffffd,
    0xfffd80ff,0x80ffffff,0xfffffff9,0x0009fd03,0x2001fb73,0x1001efd8,
    0x3ee03fff,0xffffffff,0xffffff54,0x3ffee01f,0x3ffe23ff,0x2a09f503,
    0x3e1fffff,0x3aa3ffff,0x3004efff,0x09dfffdb,0xdfffff10,0x3ffb6601,
    0x3fa204ef,0xd9802fff,0x204efffe,0xcfffffea,0x3fffaa01,0x3a201cff,
    0xf102ffff,0xff90001f,0x2000000b,0x3faa0098,0x3fffffff,0x59999971,
    0x77fffd40,0x8817fd42,0xfffd301c,0x7fffec1d,0x00009882,0x95000262,
    0x4c400379,0x00262000,0x20004c40,0x99800199,0x004c4001,0x330000d4,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x05885900,0x0000dffb,0x16a1e400,
    0x9a980000,0x00440800,0x22002d88,0x0000001d,0x00006a62,0x0016c400,
    0x20000000,0x13e002d8,0x007dc000,0x05e88fdc,0x0000dfff,0xefb809d1,
    0x7fd45fd9,0xffe8afff,0xffffa83f,0x2fd80fdf,0xff700df1,0xffb8019f,
    0x7dc000cf,0xfffe9800,0x7d406eef,0x7ffd4002,0xffff500d,0x5005dfff,
    0x7fdc005f,0xdfa800cf,0x0ff60000,0x1efffd80,0x0001bee0,0xd3001df5,
    0xfff705ff,0xffff35ff,0xfefff989,0x1fb82fff,0x29f9017a,0x53f206fb,
    0x3f6006fb,0xffffa803,0x400ffffe,0xbf7003fd,0xf701ff51,0xffffffff,
    0x007fb009,0x01bee9f9,0xd80037cc,0x1a88001f,0x0006fa80,0x2e0017e6,
    0xa8ffa200,0xdfc80eff,0x000ffee0,0x01c41a80,0xb0038835,0x9ff3005f,
    0x800ffb81,0x429803fb,0x2ffa2038,0x00ffca99,0x0d403fb8,0x028800e2,
    0x20001500,0xefa801a8,0x00bdffda,0x54c00144,0x5cbfa009,0xff880eff,
    0x0002fd80,0x0009a980,0x80054000,0x01fa05fd,0x26200198,0x82fe801a,
    0x033003fd,0x00006a20,0x2a000000,0x203ffffe,0xfffffffa,0x200000ef,
    0xfdfffffa,0x7fe57f40,0x4427fc05,0x57fffee3,0xa85ffffb,0x0fdfffff,
    0x2ebffff7,0x0005ffff,0x2201ff88,0xe9800000,0x06eeffff,0x07fb05fd,
    0x7ff54000,0xffd103ff,0xd1001fff,0x001fffff,0xfffffff7,0x37ffea0b,
    0x266ffc9a,0x3fa0efff,0x3ffe63ff,0x742ffffe,0xb805ffef,0xb81bdfff,
    0xff96ffff,0xfff98dff,0xf72ffffe,0x3ff2dfff,0x3ffa26ff,0xf301ffff,
    0xfff5000f,0xbfffffff,0xfdffff50,0x7fd01fff,0x01ffd733,0xfffffffd,
    0xffffb83d,0xff985fff,0x9803ffff,0x03ffffff,0xd9977fcc,0x3ffa83ff,
    0xff31ff98,0x3ffe21ff,0xb837f24f,0x7fff43ff,0xffb802ff,0x7d41ffff,
    0x42fe440e,0x3fee0dfc,0x9103bea3,0xffff88bf,0xdf301fff,0xb8333310,
    0xffffffff,0x67fcc5ff,0x7407fdc0,0x1fffffff,0xffffffd0,0x77fcc3ff,
    0x207ffb32,0x006fffd9,0x01bfff66,0x3fea0bfd,0xd807fd40,0x322ff43f,
    0x03fe20ff,0x5ffd0bf6,0x26007ffb,0x2a1fffeb,0x889f706f,0x22fd80ff,
    0x09f706fa,0x30077f26,0xffffc8ff,0x4dff447f,0x6c5fc999,0x741fa05f,
    0x03ffffff,0x0cefe4c4,0xffa82ff4,0xffbff880,0xf7ff1001,0x0bfe203f,
    0x7fd43fd8,0xf987fb01,0xf07ff33f,0xfd07109f,0x4407fe45,0x549fb102,
    0xf09f706f,0xfa87109f,0x5c09f706,0x1ff8805f,0x17ffffaa,0x9f508bfa,
    0x1100ffc4,0x7ec4bfa0,0x05fb802f,0x7ec05ff1,0x9fb7fb83,0x7edfee00,
    0xb80ff504,0x42ffd44f,0xffb81ffa,0xff705fe8,0x7f4037bf,0x7dc27f42,
    0x7d4df504,0xf709f706,0x2a037bff,0x409f706f,0x9fd005fb,0x7f407fc0,
    0x43913f72,0x3a0007f9,0x00ffec2f,0x3fd417ee,0x3fa13ee0,0xd001ff34,
    0x203fe69f,0x2fd405fb,0x2f3fffea,0x3fa05ffd,0x3ee00fff,0x441fffff,
    0x3fea0bfe,0x885ffe41,0x1bea3fea,0xffb827dc,0x7d41ffff,0x5c09f706,
    0x7ff7005f,0x407fd441,0x03fecdfe,0x33310df3,0x817fd103,0x3ee00efe,
    0xa80bf705,0xd07fcc5f,0x0ff9807f,0x1fea0ffa,0xffa89f70,0x0dffffff,
    0x00bffe20,0x8ffff5cc,0x22fffffb,0xff90fffe,0x8fffffff,0x09f706fa,
    0x1fffeb98,0x27dc1bea,0x6c00bf70,0xffffffff,0xffffe80f,0xc8ff303f,
    0x2e7fffff,0x223fffff,0xbf703fff,0xf701fea0,0xeeeffc89,0x7fe406ff,
    0x886ffeee,0x0ffa02ff,0x7b971df5,0x81bf2003,0x29fb1028,0x21effffa,
    0x9d30effa,0x81bffffd,0x89f906fa,0x49fb1028,0x09f906fa,0x0e442fdc,
    0x7fffff54,0xd9bfd01c,0x87fe207f,0x25ffffea,0x42effffa,0xbf702ffa,
    0xe80bfe20,0x3fffe23f,0x101fffff,0xffffffff,0x20bfd03f,0x37d40ffb,
    0x817ee000,0x0df504fb,0x17f30000,0x3607fe20,0xa827dc3f,0x207fe26f,
    0x17ee03fd,0x333013ee,0x3ee5fd00,0x04fe8971,0x000003fe,0xbfd02fdc,
    0xfb83fee0,0xfdaaaaae,0x555df704,0xf309fb55,0x3ff665df,0x0006fa83,
    0xff902fdc,0x0ffaa217,0xf8004e88,0x4bbfa01f,0x7e40ffc8,0x7fd510bf,
    0xf912efe8,0x42fdc01f,0x376204fb,0x822fe800,0x2ffee0ff,0x003fea20,
    0x5c001bb1,0x3bfe605f,0x447ffb32,0xffb80cfe,0x4067f441,0xffb81ffb,
    0xa85fffff,0x000bcffd,0x0277f262,0x3ffffff2,0x36e207ff,0xfb93002f,
    0x7fffcc09,0xffc83fff,0x87ffffff,0xfffffff9,0x277f2603,0x104fc999,
    0xe8807f95,0xf99999bf,0x7fffec1f,0x200fffff,0x9803fca8,0x8099dfc9,
    0xfffffffb,0x3ffffea5,0x4fffffe1,0x21fffffa,0x983fffff,0x882ffffe,
    0x04ffffff,0xffffff30,0xfece987f,0x2600dfff,0xd3000fff,0xfe8803df,
    0x9d302fff,0x01bffffd,0x0bffffa2,0x7fffffc4,0x104fffff,0x7dc03fff,
    0xffffffff,0xffea81ff,0x4401cfff,0x7fc01fff,0x1fffffff,0x2ffffe98,
    0x077fff4c,0x265ffffb,0x360efffe,0x2202ffff,0x66654009,0xfd1000bc,
    0x805fffff,0x31000999,0x10002000,0x99980013,0x00131000,0xfffffffd,
    0x4c409fff,0x7fffd400,0x1fffffff,0x2000ccc0,0xffd80098,0x00efffff,
    0x00000262,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfffea800,0x00881005,
    0x077a2000,0x805a8790,0x362000a8,0x88326002,0x0440801d,0x101ec880,
    0x21640088,0x0b62004a,0x55555300,0x17fff605,0x20013a20,0x3ffa03e9,
    0x3fffee1f,0x5c7fb305,0x5ffffc80,0xdf12fd80,0x98274400,0x3ee01fff,
    0xc805fd9e,0xfff7006f,0x5ff10019,0xfc801df7,0x7f401fe2,0xf12fd82f,
    0xd9dfc80d,0xfff7004f,0x3ff2001b,0xff886fff,0x77d405ff,0x06fd4000,
    0x5cdfffd0,0xdf06ffff,0x201fddf9,0xb805fc98,0x54017a1f,0x3fa600ef,
    0x17ff4c03,0xc805fb80,0x200df74f,0x800cffd8,0x201ba1fb,0x3f701ff9,
    0x7fd402f4,0x29f9002f,0x000006fa,0x4c0bf931,0x4fa8005f,0x47fff700,
    0x88605fc8,0x5fb800cc,0x7cc00000,0x009f7005,0x0010002e,0x8007106a,
    0x0000002a,0x00000bf7,0x350005c4,0x54400388,0x40bf7001,0x05100028,
    0x07fffd40,0x35100bf7,0x002fdc00,0x14400351,0x0009f700,0x00000000,
    0x00000000,0x000017ee,0x00000000,0x07ffffd5,0x00005fb8,0xddf50000,
    0x502fdcbf,0x007ffffd,0xfd500bf7,0x00007fff,0xff889f70,0xffffffff,
    0x3ffffa2f,0xff51ffff,0xffffffff,0x21fffe8b,0x885ffffb,0x00fffffe,
    0x7fd45fb8,0xffffffff,0x3ffffea5,0x74402eff,0x800fffff,0xfffffffb,
    0x3a17ee05,0xefffffff,0xb87fffa1,0xfa85ffff,0xbf72ff9e,0x3ffffee0,
    0x2fdc05ff,0x3ffffee0,0x7ffd45ff,0x5fffffff,0x7fc44fb8,0xffffffff,
    0x3ffffa2f,0xff71ffff,0xffffffff,0x26fffe8b,0x986ffffb,0x03ffffff,
    0x7fdc5fb8,0xffffffff,0x3ffffee5,0x2604ffff,0x03ffffff,0xd9977fcc,
    0x0bf703ff,0xfffffffd,0x37fff43f,0x50dffff7,0x2e3ff2df,0x2eff985f,
    0x5c07ffb3,0x3bfe605f,0x5c7ffb32,0xffffffff,0x3efa85ff,0x3f267fe2,
    0x3a2fe99d,0x6ff999af,0x4ccdff44,0xffb85fc9,0x017f223f,0x80dfffb3,
    0xfe884fea,0x5fc9999b,0x54cdff44,0x6cc00ffc,0x7f406fff,0x701ff505,
    0x3f2620bf,0xfff7019d,0xa82fe447,0xf79ff16f,0x2a0bfd0b,0x0bf700ff,
    0xffa82ff4,0x266ffa20,0xf885fc99,0x21ff12ff,0xe8bfa5fb,0x203ff61f,
    0x27d422fe,0x707fffd4,0xbff880bf,0xfff301ff,0x508bfa03,0xb05fd09f,
    0xbff8807f,0x5ff101ff,0x7dc1fec0,0x202fdc05,0x2e0ffffa,0x54df505f,
    0x7c45fdff,0x40ff602f,0x5ff105fb,0x3fa1fec0,0x5427d422,0xb9fe0dff,
    0xfd87fa5f,0x3a05ff70,0x3913f72f,0x4bfddf50,0xbfdc05fb,0x3ff204fd,
    0x3ee5fd03,0x2fe81c89,0x7dc03fd8,0x3ea09fb7,0x5c27dc07,0x02fdc05f,
    0xb97fbbea,0xd8df505f,0x3fd45fff,0x7dc13ee0,0xb80ff505,0xfb97f44f,
    0x5fb81c89,0xa97ee3b8,0x09ff3084,0x1ff66ff4,0x3fe7bea0,0xfe80bf72,
    0x5c01ff34,0xd9bfd05f,0x9bfe807f,0x400ffeb9,0x01ff34fe,0x5fa80bf7,
    0x7dc05fb8,0x7cf7d405,0x2a0bf72f,0x3ffe21ef,0x2a02fdc5,0x3f26625f,
    0x17ee099d,0xdfe8bf50,0x7dc03fec,0x005fb804,0xfe80bfd1,0x5403ffff,
    0xf71ff96f,0xd07fcc0b,0x82fdc07f,0x03fffffe,0x7ffffff4,0x07fcc01f,
    0x0ff507fd,0x5fb84fb8,0x2a02fdc0,0xf71ff96f,0xfffff70b,0x3ea2ffdc,
    0xfba7dc07,0xffffffff,0xfb80ff54,0x7fffff44,0x4027dc03,0xffb005fb,
    0x66ff40c1,0xb7d403fe,0x05fbcff8,0x3fbbbff2,0x417ee06f,0x03fecdfe,
    0x7ffffff4,0xeeffc803,0xff886ffe,0x2e0ffa02,0x02fdc05f,0x67fc5bea,
    0xfffa85fb,0x222ff45f,0x4ffa02ff,0xffffffea,0x05ff13ff,0x37fa1ff4,
    0x7dc03fec,0x805fb804,0x0fea1ffc,0x5c7ee5fd,0x3ea6fa84,0xff105fdf,
    0x3fffffff,0x7f417ee0,0x212e3f72,0x5ffb12fe,0x7ffffc40,0xfe81ffff,
    0x701ff705,0x05fb80bf,0xbff537d4,0xd00000bf,0x03fee0bf,0x705fe800,
    0x72fe81ff,0x3f212e3f,0x405fb804,0x27dc3ffa,0x3fe08bfa,0x3f637d40,
    0x5df705ff,0x09fb5555,0x17f417ee,0x3fa07fc1,0xb80ffec2,0xdaaaaaef,
    0x2eff984f,0x2e07ffb3,0x02fdc05f,0xfffb1bea,0x0376200b,0x265dff30,
    0x3a603ffd,0x4bbfe604,0xfe83ffd9,0xb10ff822,0x64c403ff,0xff8809df,
    0x4fc9999e,0x2666ffa2,0x7d41ff99,0x17ffe21e,0x2e033fa2,0xdff981ff,
    0x266ffa20,0x221ff999,0x77f40bfe,0x4067f440,0xffb81ffb,0xb85fffff,
    0x93305fee,0xf50133bf,0x2fffc43d,0x01fe5440,0x7fffffdc,0x3f6e605f,
    0x3fffee01,0xfe885fff,0xff99999b,0x4c09ff31,0x3fffffff,0x7fffffd4,
    0xfff74fff,0xffffffff,0x3ffffdc3,0xffa8bff7,0x3ffe1fff,0x3ffb83ff,
    0xfffffff7,0x3ee3ffff,0x3e23ffff,0xffff53ff,0x7ffffc3f,0xffffe983,
    0x5ffff882,0xfffffff8,0x3ffee1ff,0x017fee7f,0x4007ffe2,0x02ffffe9,
    0x4c037fdc,0xb82ffffe,0xffffffff,0x002a1fff,0xdfffffd3,0xfffffa85,
    0xff54ffff,0xffffffff,0x7fffd43f,0x3a62ff45,0x3f60efff,0x45302fff,
    0xfffffffa,0xff51ffff,0xffa85dff,0x1dfffd32,0x017fffec,0xaa980131,
    0xffffd81a,0x3ea0efff,0x2ff45fff,0x80009880,0x06200098,0x54013100,
    0xffffffff,0x00001fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00ec4000,0x00002204,0x81000000,0x05b10008,
    0x50f2174c,0x8009800b,0x553001a8,0x88005555,0x2000002d,0xdfff72e9,
    0x2002a201,0x00002ff9,0x22164000,0x2e009805,0xfb00cfff,0xb301be25,
    0x22005c7f,0x2002e4fd,0x00df11fd,0x7019fff7,0xd9efb8bf,0xffd7005f,
    0x3fffaa0b,0x7ffe403f,0x3ee006ff,0xff700cff,0x3ffeebff,0x7dd7ee5f,
    0xdf902fff,0x405ff300,0xfffffffe,0x71fecc0f,0x3a23f701,0x37fff205,
    0x6fba7e40,0x02f43f70,0x3fbbf3be,0x7fe77400,0x1fb800fe,0x29f9017a,
    0x85fb86fb,0x7002ffe9,0xf70fffff,0x0bffffff,0xa7e40000,0xfff906fb,
    0x3ffff2df,0x6fdd7ee6,0x017ee009,0xff802aa2,0x1fffffff,0x7f77e77c,
    0x3dfffb00,0x3f2f7f60,0x00e20d46,0x66443000,0x33221800,0x54000001,
    0x2fdc1c41,0x7fc00170,0xeff98112,0x007ffb32,0x7106a000,0x22077dc0,
    0xbafdc5fc,0x0001005f,0x3bf93100,0x0cc88603,0xf300d440,0x0000fb8b,
    0x00000000,0x00000000,0x0005fb80,0xfe80df50,0x2e1ff505,0xff75ffff,
    0x80000bff,0x89f706fa,0x00bf75fb,0x3bbb6600,0x00bf7004,0x7ec00000,
    0xffe9fcc0,0x21efffff,0xfffffffe,0x87fffa1e,0x885ffffb,0x00fffffe,
    0xe83bffe6,0xfff33fff,0x9ffff41d,0x3fffa5fb,0x701fffff,0x17fc40bf,
    0x3fee7fd0,0xffff96ff,0x2ffffe8d,0x43ffffd1,0x89f706fa,0x20bf75fb,
    0xfffffffe,0x3ffff21e,0x40bf7005,0xfffffffe,0x3ffffa1e,0x1ba1efff,
    0x3ffa7f71,0x21ffffff,0xfffffffe,0x9bfffa1f,0x986ffffb,0x03ffffff,
    0x443fffe6,0xff34ffff,0x3ffe21ff,0x7f4bf74f,0x1fffffff,0x7ffffff4,
    0x3203fd41,0x103bea4f,0xfff88bf9,0xffff12ff,0xb837d43f,0xfbafdc4f,
    0xfffffd05,0x55443fff,0xbf7005fd,0x7fffff40,0x3ffa1fff,0x21ffffff,
    0x8ffff65f,0x019dfc98,0x033bf931,0xc88fffee,0x7fecc05f,0x45fe806f,
    0x5fe80ffc,0xbf707fe4,0x7cccd7f4,0x7fffc46f,0x2fdc2fff,0x6fa97ee0,
    0xff109f70,0x87fd3013,0x89f706fa,0x40bf71c8,0x019dfc98,0xfb802fdc,
    0x6fe4c405,0xbf931019,0x3ee9f033,0x5fb83f9c,0xa80bf700,0x3ee0ffff,
    0x7dffc405,0x9ffcc01f,0xff303ff9,0xf70ffe67,0xffb0ff4b,0x27bf2601,
    0x6407f980,0x5c1bea4f,0x2e1ff04f,0xf507fa5e,0x7013ee0d,0x0bf700bf,
    0x5c017ee0,0x0bf7005f,0x4f817ee0,0x2e0fe2bd,0x0bf7005f,0x25feefa8,
    0xbfdc05fb,0xffb804fd,0x7dc05fe8,0xfb85fe8f,0x7fdc3f65,0x202fdc02,
    0x8ffa02ff,0x09f706fa,0x8fffc7fe,0x837d40ff,0x3ee084fc,0x005fb805,
    0x3ee00bf7,0x00bf7005,0xd4f817ee,0x3ee0fe2b,0x80bf7005,0x72ff9efa,
    0x34fe80bf,0xffd001ff,0xffd001ff,0x8bf701ff,0x7009ff30,0x05fd80bf,
    0x37d41ff7,0x5fd04fb8,0xff19fff3,0xff03ff01,0xbf74f987,0x200bf700,
    0xbf7005fb,0x4017ee00,0x553e05fb,0xfb84fcef,0x80bf7005,0x71ff96fa,
    0x07fcc0bf,0xff1007fd,0x3fe2005f,0x10bf702f,0x3ee00bfd,0x977fcc05,
    0x7d43ffd9,0x3609f706,0x9efffcbf,0x23df907f,0x7dc0ffd9,0xf700bf75,
    0x7e4cc40b,0xc998099d,0x2e0099df,0x0bf7005f,0xdffd72f4,0x2e00bf70,
    0x8b7d405f,0x205fbcff,0xffeeeffc,0x00df9006,0x3ee06fc8,0x060ffd85,
    0xf9805fb8,0x85ffffff,0x09f906fa,0x3efff3f2,0xff306fcf,0x707fffff,
    0x2017eebf,0xfff705fb,0x49ffffff,0xffffffff,0x00bf701f,0x86d817ee,
    0x00bf7018,0xdf5017ee,0x82feffd4,0xfffffff8,0x5fb801ff,0x702fdc00,
    0x21ffc8bf,0x0bf703fa,0x3bfffa20,0xb03ff103,0x3ffee07f,0x05fffd8f,
    0x073fff22,0x05fbafdc,0xfd505fb8,0x7fffffff,0x7fffffec,0x0bf700ef,
    0xfb817ee0,0x017ee001,0x3ea02fdc,0x82fffec6,0xaaaaaefb,0x5fb804fd,
    0x702fdc00,0x21ffd4bf,0x05fd04fb,0x277ffea0,0x77f41b88,0x201ff912,
    0xff75fffa,0x01f9009f,0x0bf75fb8,0x3a00bf70,0x8017e006,0xbf7005fb,
    0x3662ee80,0x277f2660,0xdfc99809,0x1efa8099,0x2217ffe2,0xffb80cfe,
    0x3bf93101,0xdfc98801,0xf15fb809,0xf93333df,0x1ff6f669,0x7ffffc40,
    0x7cc5ffff,0x03ffffff,0x7c4bffe6,0xbfa803ff,0x2ebf702c,0x4cc0ceff,
    0x20099dfc,0x7400dbed,0x93300dbe,0x330133bf,0x30133bf9,0x21ffddff,
    0xffffffff,0x3ffffe1f,0x3ee1ffff,0x3fee7fff,0x7ffffd45,0x0fffffe1,
    0xfffffff3,0x3fffe607,0xa7d43fff,0xfffffffa,0xffff74ff,0x3bfe6007,
    0x80dfffdd,0x02ffffe8,0xfb07ffc4,0x3bf6005f,0x3ee9f501,0x3ffe2fff,
    0x01ffffff,0xd300bfd3,0x3fffe0bf,0x3e1fffff,0xffffffff,0x0acdb981,
    0x3ffffff6,0x3fff60ef,0x2a0effff,0x7f45ffff,0x77fff4c5,0x0bffff60,
    0xffffffd1,0x3fffa205,0x50a82fff,0xffffffff,0x005edc9f,0x00260220,
    0xff800262,0x000ffd45,0x554c2a00,0x7fffec2a,0x0000efff,0x3fff6000,
    0x360effff,0xefffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x883ba830,0x2201dc0d,
    0x8801e41d,0x0544002d,0xaaaaaa80,0x2542c801,0x01660ec0,0x3c8016c4,
    0xa87902d4,0x03980005,0x55530080,0x00000555,0x1555554c,0x2e000000,
    0x7e4dfb01,0x3ea1bd06,0xe9cfe802,0xfffb802f,0x0df9000c,0xfffffd10,
    0xb3bf9007,0x23d9009f,0xffb804e9,0x77dc00cf,0x3ee05fd9,0x0005fd9e,
    0x82a205d8,0xfffc86f8,0x7ffd46ff,0x5fffffff,0x7ffffe40,0x07fb1006,
    0x103fd100,0x17ee3fff,0x02ffff4c,0x003dff70,0x01bee9f9,0x00002fdc,
    0x02fffa80,0x1dfffd10,0xdf74fc80,0x05ffd300,0x005ffd30,0xd50bf300,
    0xbfd7bfff,0x7ffdc000,0x5fffffff,0x9e400000,0x3be6001d,0x23fff101,
    0x054c04fa,0x5001cc00,0x02003883,0x07664c80,0x8000b880,0x835000a8,
    0x002e0038,0x3fee0170,0xffff75ff,0xfffb85ff,0x00fffffe,0x4dff4400,
    0x005fc999,0x1d9e4000,0xf0036e00,0x00fe61ff,0x00000000,0x7c400000,
    0x00013ee7,0xfea80000,0x0000002f,0x7fffe400,0x9fffff96,0xb12eff98,
    0xfffd0bff,0xe83dffff,0x827d422f,0x0fffffe8,0x013f6200,0xff87aa00,
    0xfd10be27,0x5401ffff,0xceffffff,0x2bfffb00,0xf50efffb,0xffffffff,
    0xa88660bf,0x3fffa200,0x3fea00ff,0xffffffff,0x00bfff25,0x7fffffd4,
    0x7f45ffff,0x1effffff,0xf9103bee,0xf317fa0b,0xffe81fff,0x41ffffff,
    0x913f72fe,0x3fffe603,0x000003ff,0x5e77f64c,0xd1ffa3ff,0xfffff983,
    0x3ffee03f,0x81ffffff,0xff76fffe,0x3ffee3ff,0x5fffffff,0x3fe60000,
    0x2e03ffff,0xffffffff,0x17f445ff,0xfffffb80,0x745fffff,0xffffffff,
    0x7dc1bea1,0x222ff884,0x883fedff,0xd019dfc9,0x007fd9bf,0x037ffecc,
    0x5efff64c,0x3fffea01,0x7ec5ffff,0x3ff66006,0x4f7d406f,0x80ffeb99,
    0x0ffc42fe,0x2666ffa2,0x3b665fc9,0x07bbae1e,0x06fffd98,0x4ccdff44,
    0x2fe85fc9,0x26ffa200,0x885fc999,0xa819dfc9,0x509f706f,0xc8efd8ff,
    0x017ee04f,0x07fffffd,0x7fdffc40,0x7ffff401,0xdff507ff,0x89fff737,
    0x3e2005fc,0x2a01ffbf,0x84ff886f,0x81ff82fe,0x27d422fe,0x7fc5fff9,
    0x3fe202ff,0x7f401ffb,0x7427d422,0x02effdcf,0x9f508bfa,0xf502fdc0,
    0x2e13ee0d,0x5c7ff25f,0x017ee05f,0x07fd9bfd,0x4fdbfdc0,0x54cde540,
    0x25fd83fe,0x20fffff9,0x3ee005fc,0x7d409fb7,0xfd0ff506,0xfd03ff05,
    0x87227ee5,0x2a62fea8,0x5fee02ff,0x97f404fd,0xe81c89fb,0x3fffffff,
    0x27ee5fd0,0x17ee01c8,0x9f706fa8,0x3feaff50,0xfb813f63,0xfb97f405,
    0x4fe80971,0x53001ff3,0xff0df755,0x3e3bfe63,0x800ba62f,0x01ff34fe,
    0x7fc41bea,0x6666ff40,0xdfe81ffc,0x7f403fec,0x3a02fe82,0x401ff34f,
    0x03fecdfe,0x64cefff4,0xd9bfd07f,0x17ee007f,0x9f706fa8,0x9ff5ff30,
    0xf701ffc4,0x822fe80b,0x1ff300ff,0xfd301ff4,0x88dfffff,0x21dff37f,
    0x260002fe,0x40ffa0ff,0x03fe06fa,0xfffffffd,0xffffd03f,0x82fe807f,
    0x1ff302fe,0xffd01ff4,0xfe807fff,0xfe81ff84,0x7003ffff,0x837d40bf,
    0xfffd04fc,0x200ffb8d,0x3fa205fb,0xff99999b,0xdddff901,0x3fe60dff,
    0x86fffeff,0x50effcfd,0x640001ff,0x6ffeeeff,0x3e20df50,0x666ff40f,
    0xfe81ffcc,0x7403fecd,0x902fe82f,0xdffdddff,0x7f66ff40,0x7c17f403,
    0xecdfe81f,0x0bf7003f,0x7ec0ffc4,0x25fff303,0x5c03ffd9,0xffff705f,
    0x3fffffff,0xffffff10,0xdfd03fff,0xfa86fa83,0xffb88eff,0x4401f545,
    0xffffffff,0x506fa81f,0xf05fd0ff,0x2e5fd03f,0x5fd0971f,0xff105fd0,
    0x3fffffff,0x8fdcbfa0,0xf82fe84b,0xf72fe81f,0x5fb812e3,0xc8977f40,
    0xfff700ff,0x00bfffff,0x3fea0bf7,0xffffffff,0xaaefb81f,0xe84fdaaa,
    0x3bfee23f,0x7ffffc40,0x7e40dfff,0xaaefb805,0xa84fdaaa,0xd0bfb06f,
    0xd03ff05f,0x81ff045f,0x3ff664fd,0xaaaefb82,0xfd04fdaa,0xe81ff045,
    0xe81ff82f,0x00ff822f,0xff980bf7,0x303fffff,0xffffb9ff,0xdfc99807,
    0x2ec00099,0xb80cfe88,0x7ffd41ff,0x3fffffff,0xfffdffd1,0x4400c09d,
    0xffb80cfe,0x4ccf7d41,0x7440ffeb,0x217fc43f,0x9999bfe8,0x7fdc1ff9,
    0x3fffffff,0x2e033fa2,0x5ff441ff,0x1ff99999,0xff10ffa2,0x99bfe885,
    0x4c1ff999,0x0099dfc9,0x05ffffd1,0x00262fe4,0x3ffffffe,0x3b2001ff,
    0x3fffea6d,0x3ffffe1f,0x77fff643,0xff52fffd,0x00002621,0x87ffffea,
    0xf73fffff,0xffffffff,0x7ffff985,0x2e9ffff9,0xffffffff,0xffc81fff,
    0x52fffdff,0x7c3fffff,0xff73ffff,0xffffffff,0x3fffe63f,0x29ffff55,
    0xfffffffb,0x3fe1ffff,0x1fffffff,0x22002620,0x3ff60003,0x00efffff,
    0xe98f7220,0x3f60efff,0x13302fff,0x0000b880,0xdfffd300,0x97fffec1,
    0xdffffffa,0xfffe980c,0x27ffff75,0xfffffffa,0x5101ffff,0x7ff4c013,
    0x3fff60ef,0xfffff52f,0x23ffffff,0xd34fffe9,0x3fea7fff,0xffffffff,
    0x3ffff61f,0x0000efff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x54c00000,0x0002aaaa,0x00000000,0x00000aa0,0x09803013,
    0x1404c028,0x4c0c0000,0x00001800,0x400a0260,0x18188008,0xa800e600,
    0x3fa20933,0x2000ffff,0x06fffffc,0xea803f98,0x401fffff,0x64000dfb,
    0xaceda83f,0x3f604efd,0x5d80fd32,0x717603dc,0x23bbb20f,0xfa83efd9,
    0x4405f90d,0xf9801efd,0x7b8bb005,0x403ffb80,0x03fb14fb,0x2e00bf70,
    0xf305f9bf,0x007fffff,0x17ee0000,0xb999ff50,0x5474403f,0x40bf6004,
    0xfffffffd,0xfdfb106f,0xcef9803d,0x77cc03fd,0xff983fdc,0xfffffdff,
    0x3feefa82,0x3faffe60,0x007fdc03,0x1fee77cc,0x3bf33f60,0x3ffbee00,
    0x004fc802,0x00bf37f7,0x00dfffb3,0x17ee0000,0x03f50fb0,0x3004ab44,
    0x7fec403d,0x01ffa9ae,0xc9800fea,0xd93001ce,0x7fd4c039,0x01eb9dff,
    0xdd801bb1,0x59101ae0,0x0e75cc00,0x2e98baa0,0x8006f4c0,0x5cf6002e,
    0xf7ff1004,0x7ffd403f,0x5fffffff,0x02afff60,0x201221fa,0x00001efb,
    0x3f6077dc,0x00000003,0x3ffe0000,0x00000003,0x00000000,0x00000000,
    0x3ee00000,0x7dc09fb7,0xffffffff,0xfffe985f,0x3ffa65ff,0x4000001e,
    0x4cdffdb8,0x4fc84fb8,0x1cefdb88,0x677fecc0,0x77edc401,0x00ffc01c,
    0x99fffd90,0xbffb7105,0x3ffb2099,0x3b662ccf,0x07bbae1e,0x667fff64,
    0xdffdb882,0xfffd904c,0x776cc599,0x807bbae1,0x01ff34fe,0x4ccdff44,
    0x7fcc5fc9,0x367febcf,0x203ffbbf,0x3ae1eed9,0x7ffcc1ee,0x5c0fffff,
    0x4c4fc84f,0x2fffffff,0xffffff90,0x3ffe607f,0x3e02ffff,0xffe9800f,
    0x4c6fffff,0xffffffff,0x3ffffa60,0x3ff26fff,0x0bfffe2f,0xffffffd3,
    0xffff98df,0x3a60ffff,0x6fffffff,0xff8bfff2,0x1ff302ff,0x3fa01ff4,
    0x3227d422,0xfb37cc5f,0x20bffa21,0x3fe2fffc,0x56fec2ff,0x5c0ffc99,
    0x224fc84f,0xffb9cfff,0x56ffd42f,0x441ffda9,0xffb9cfff,0x001ff02f,
    0xd7339ffd,0x9adfd8ff,0x3fa0ffc9,0x7feb99cf,0xa98bfaa2,0x67ff42ff,
    0x6c7feb99,0xffc99adf,0x2673ffa0,0x3aa27feb,0x0bfea62f,0x7f777fe4,
    0xb97f406f,0x7fc1c89f,0x3be61a81,0x5113fea2,0x7fd4c5fd,0x50577ec2,
    0xc81bf907,0x641ff24f,0xd827fc6f,0xc83fe46f,0x57fcc46f,0x0ffa8099,
    0x77ec6fa8,0xffa8ea0a,0xfe86fa80,0x3ea2fe82,0x6c6fa80f,0xa8ea0aef,
    0x86fa80ff,0x82fe82fe,0xfffffff8,0x37fa01ff,0x3fe03fec,0x1bfd3001,
    0x3fa13f22,0x7cc2fe82,0xf83dffff,0x3f20ffff,0x7c40ffa4,0xfffff10f,
    0xe8ffffff,0x21ff103f,0xfffffffc,0x702fe44f,0xfffff983,0x702fe43d,
    0xfd05fd03,0x3702fe45,0xdfffff98,0x3702fe43,0x5fd05fd0,0x5555df70,
    0x7f409fb5,0x3203ffff,0xc881984f,0xd03f23ff,0x305fd05f,0x8dffffd9,
    0x320efffd,0xf807fe4f,0xfffff31f,0x41ffffff,0x47fe01ff,0xfffffffb,
    0x0027ec3f,0x7ffff64c,0x20013f66,0x22fe82fe,0xc98004fd,0x366ffffe,
    0x2fe8004f,0x7f442fe8,0x01ffb80c,0x07fd9bfd,0x7e5f7fd4,0x3bfa607f,
    0x82fe87fc,0x260e42fe,0x32002ffa,0x5c17f63f,0x4cdffc7f,0x6c199999,
    0x00ff705f,0x4006fb80,0x97fd4c1c,0xfe8006fb,0x3ee2fe82,0x260e4006,
    0x0df72ffa,0xfd05fd00,0x7ffffd45,0x0fffffe1,0xb8fdcbfa,0xfffffb84,
    0xeffb803f,0xfe82fe81,0xd30bfe62,0x17fc007f,0x2e239ff5,0x57fe45ff,
    0xf50aea20,0x3fee239f,0x980faa05,0x7e440cff,0xe985ff31,0x819ff33f,
    0x27ec1fc8,0x7cc5ffb3,0x8fe440cf,0x7f4c2ff9,0x8819ff33,0x327ec1fc,
    0x7f4c5ffb,0x3ff60eff,0x22fe82ff,0x36203fe0,0x82c80bff,0x49fb00fc,
    0x3ea2ffd9,0xffffefff,0x3ff72e00,0x7fffdc0f,0xfe885fff,0xfffffeff,
    0x7ffffdc0,0x36e605ff,0x3ffee00f,0x51ffffef,0xfffdffff,0x7fffdc1f,
    0x5c1ffffe,0xffffffff,0x3fffee3f,0xf51ffffe,0xffffdfff,0x77fffdc1,
    0x7dc1ffff,0xffffffff,0x80fa8003,0x9999bfe8,0xbf701ff9,0x03ec27c0,
    0xfffffff7,0x3fba27ff,0x201dffff,0x01fffff9,0x09dfffd5,0xffffffc8,
    0xfffd502d,0x5ffc809d,0xffffeb80,0x3fba22ef,0xb81dffff,0x2efffffe,
    0xfbffff90,0xffeb85ff,0x3a22efff,0x1dfffffe,0xfffffeb8,0xffff902e,
    0x0005fffb,0x3ee3d9f5,0xffffffff,0x09f501ff,0x7ff777fc,0x7fffe404,
    0x9882fffd,0x7970009a,0x00262003,0x40013530,0x06600098,0x01353300,
    0x8009a988,0x88009a99,0x2660009a,0x54c4009a,0x9a998009,0x009a8800,
    0xa936e000,0xffffffff,0x39101fff,0x777776c0,0x01351003,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2022006e,0x0140c401,0x08818000,0x01c92200,0x00003013,
    0x37000000,0x0000c400,0x01910055,0x33000000,0x80007200,0x00030018,
    0x2007fa20,0x03fb13fb,0x203e635c,0xeffcbeeb,0x5c3be203,0x1dd1004f,
    0x4bf601fb,0x7ecc07e9,0x0deebbef,0x10013ea0,0x3ea003fb,0x2fd8004f,
    0x7003fd00,0xdffb5bdd,0x7ffed407,0x017ec03f,0x0ffff6e0,0x000f7ec4,
    0x4003df30,0x402ffefb,0x84fdcef8,0xfffffff8,0x3fa603ff,0xdf1004fe,
    0x6c403fd1,0x3200efef,0xffffffff,0x1bf203ff,0x001fe880,0x01df7bfb,
    0x4005fd10,0x3e202fd8,0xffffffff,0x7ffd40ef,0x6401ffff,0xfffb003f,
    0x7ff30bff,0x2e0007fd,0xce98000d,0x5bd71000,0x4efff4c0,0xec806fc9,
    0x2236a001,0x07f5001e,0xb99dffa8,0x4402efff,0x036a001c,0x7d3174c0,
    0x0003d300,0xff93016e,0xbff7339f,0xf911dfd8,0xb00b700b,0x6c0217ff,
    0x0001ae0d,0x00000000,0x7fc27f40,0x00000001,0x09fd0000,0x0000bff3,
    0x00000000,0xa8000000,0x2ff983ff,0x007fc404,0x00ffec00,0xfda80000,
    0x1efb89ef,0x33bff660,0x3ffb2601,0x0bfa01bd,0xeed987fa,0x407bbae1,
    0x01cefdb8,0x2f7ffb26,0x900ff881,0x7fecc0bf,0x7ecc01ce,0xed981cef,
    0x87bbae1e,0x3ae1eed9,0x3bb661ee,0x207bbae1,0x7fb00ffa,0x260ff500,
    0x881ceffd,0x2e2002ff,0xf001cefd,0xffffffff,0xfff903ff,0x3a07ffff,
    0x07ffffff,0x87fa0bfa,0x3fe2fffc,0xfff982ff,0xfd02ffff,0x10ffffff,
    0x17f603ff,0x7fffffe4,0xffff903f,0xffc87fff,0x8bfffe2f,0x3fe2fffc,
    0x3fff22ff,0x20bfffe2,0x7fd00ffa,0x13ff72a0,0x3ffffff2,0x6477dc3f,
    0xfff301ce,0x7005ffff,0x3bffd359,0xdffa8bfb,0x81ffda9a,0xfea99bca,
    0xfd05fd03,0x317f5443,0xff885ff5,0x2fffb9cf,0xea99bca8,0x40dfe83f,
    0xffa85ffa,0x1ffda9ad,0x54d6ffd4,0x3aa21ffd,0x8bfea62f,0x2a62fea8,
    0x3faa22ff,0x20bfea62,0xffb85ffa,0x0fffff01,0xb535bff5,0x7f7e43ff,
    0x7c43ffff,0xfffb9cff,0xfca98802,0x7c3ff31f,0x40dfb04f,0x86fbaaa9,
    0x2ff83fe8,0x2fe82fe8,0x6fc83fe4,0x3eeaaa60,0xbdfff986,0xff85fffe,
    0xff8dfb04,0xfd0dfb04,0xfd05fd05,0xfd05fd05,0xf505fd05,0xffd9bfff,
    0x7ff6d40b,0xfd827fc4,0x2fbfff26,0x1ff21ffe,0xfb1037e4,0xffffffff,
    0x3ffe25ff,0x7fffffff,0xfffffe98,0x7fffcc6f,0x87ffff15,0x42fe82fe,
    0x1ff103fe,0xfffffe98,0xfffd506f,0xf88bffff,0xffffffff,0x3fffe27f,
    0x87ffffff,0x82fe82fe,0x82fe82fe,0x82fe82fe,0xfffffffa,0x3fee004f,
    0xffffff11,0x7dcfffff,0xfd2ff45f,0x203fe207,0xffeffff8,0x33ffffff,
    0xffffffff,0x7fcc1fff,0x46fffeff,0x3a4fffe9,0x17f42fff,0x07fe17f4,
    0x3fe61ff8,0x06fffeff,0x7dce6dcc,0x7ffffcc5,0x30ffffff,0xffffffff,
    0x2fe81fff,0x2fe82fe8,0x2fe82fe8,0xefa82fe8,0x0002dcb8,0x3ffe69fb,
    0xffffffff,0xfb81ff50,0xff807fe6,0x2e1ffa81,0x099999ff,0x26666ffe,
    0x77f41999,0x00037d41,0x3fa0bfa0,0xfb82fec2,0x2a0f7f47,0x5fb8006f,
    0x9999bff8,0x5ffc1999,0x19999999,0x2fe82fe8,0x2fe82fe8,0x2fe82fe8,
    0x00006fa8,0x9bff93f6,0x21999999,0x37dc1ff8,0x1fee0bfb,0xfe98ffcc,
    0x6417513f,0x2ea20aff,0xf711ff42,0xdd8801df,0xb327ec00,0xcffa85ff,
    0xe8bff711,0x3bfee23f,0x42fdc000,0x2a20affc,0x057fe42b,0x9fb05751,
    0x6c17fecc,0x0bff664f,0xffd993f6,0x2006fa82,0x7fdcc2c8,0x882bff22,
    0x86fec2ba,0x3fea5fe9,0x0bff711c,0x7fffffec,0x22ffffff,0xffefffe8,
    0x3fea0fff,0xffffffff,0x07f95103,0xffffffb8,0x7fdc3fff,0xa85fffff,
    0xffffffff,0xdca803ff,0x3fa20bef,0xfffffeff,0x3bfffa20,0x5c0fffff,
    0xffffffff,0x7fffdc3f,0x5c3fffff,0xffffffff,0x33ff6a3f,0x7ffd400b,
    0x445fffff,0xfffefffe,0x3ffe20ff,0x7dc0ffff,0x05ffffff,0xdedfffd8,
    0xc80cffff,0x2dffffff,0xdefffec8,0xff102fff,0xfff9003f,0x505fffbf,
    0x409dfffd,0xfdefffec,0x7fc402ff,0xfc83ffff,0x02dfffff,0xbffffff9,
    0x3ffff205,0xfc82fffd,0x2fffdfff,0xfdffffc8,0xffff12ff,0xff9009ff,
    0x6409ffff,0x2dffffff,0x1efffda8,0x9dfffd50,0x4c054400,0x01353000,
    0x20002660,0x2a200098,0x04c40009,0x00013300,0x05e66654,0x40013530,
    0x510009a9,0x4d440013,0x026a2000,0x17999950,0x004ccc00,0x20013530,
    0x13100098,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0015c000,0x00000057,0x01300030,
    0x71002620,0x09ffffdb,0x01800570,0x4c001700,0x00098004,0x20a25bdb,
    0x36a000c8,0x1b501320,0x05cc0264,0x400ae001,0x2fd80001,0x400ff200,
    0xedaeffeb,0x3bf6203d,0xefffc801,0xffffd300,0xdffff505,0xfd8079fb,
    0x3dfb1002,0x0027d400,0xf9001df1,0xfc803bff,0xf887ffff,0x25fb001e,
    0x97ec07f8,0x7fec07f8,0x6c01fbbf,0x6ff4402f,0x2fe88000,0x405fb800,
    0xfffffffd,0x7ff307ff,0x7fec07fd,0xffd06fff,0x7cc3ffff,0x0fbcf8bf,
    0x400bfa20,0x04febff9,0x8800bf70,0x3ff201fe,0x2e00ffff,0x100ffffe,
    0x851003fd,0x26144019,0xffc8e401,0x00bfa203,0x05fd7df5,0x0001e980,
    0x7fdc03aa,0xcfffda9d,0x35c1bb00,0xfd53ff88,0xb31efa89,0x9f37dc9f,
    0x0f4c01f7,0x75c1b900,0x005fb800,0x3fe03c88,0x205fd98b,0x04fe8adf,
    0x00000264,0x40040000,0x24e800e9,0x000006c8,0x84ff8000,0x00001ffc,
    0x8df717ee,0x87fcc2fe,0x3ef3e5fc,0x00000000,0x0002fdc0,0x3e237d40,
    0x2626202f,0x980000ff,0x201ceffd,0x1bdffec9,0x37ffb260,0x0000001b,
    0x3bf6e200,0x7edc401c,0x0ff881ce,0x2601ff98,0xb01ceffd,0x20ff985f,
    0x87fcc3fe,0xf79f0ffb,0xbffd9301,0x7f64c037,0x55101bdf,0x3555dfb5,
    0x7bffd930,0xfb09f903,0xdffff907,0x776cc7fd,0x7ffe404e,0xfd03ffff,
    0x40ffffff,0x7ffffffe,0x09dddb30,0x027776cc,0xffffff30,0x3ffe605f,
    0x7cc2ffff,0x01ff880f,0xfffffff9,0xe80ff887,0x26ffee2f,0x7fec6feb,
    0xe80fbcfb,0x07ffffff,0x3ffffffa,0xffffff07,0xe83fffff,0x87ffffff,
    0x2ffc46fb,0x3ffbfffa,0x3fff24ff,0x37fea05f,0x81ffda9a,0xfea99bca,
    0x53379503,0xfff907fd,0x7ffe40bf,0xfff1005f,0x85fff739,0xfb9cfff8,
    0x41ffc2ff,0xffa81ffb,0x1ffda9ad,0x1fec1fe2,0x3ffffff6,0xbcfffc80,
    0x99bca80f,0x79503fea,0x707fd533,0xddffdddd,0x3379509d,0xff987fd5,
    0x5cdffb12,0xff910bff,0x2fed544b,0x3f609ff0,0x2eaaa606,0x5554c06f,
    0xdaa886fb,0x36aa205f,0x0ff9005f,0x0ff91bf2,0x7ff91bf2,0x03fff711,
    0x9bf609ff,0x47fb07f8,0xffffffe8,0x3ef3e601,0x2eaaa600,0x5554c06f,
    0x5fb806fb,0x2eaaa600,0xfeffd86f,0x1bfa6fff,0x7dc1bfe2,0xfffff105,
    0x30ffffff,0xdffffffd,0x3ffffa60,0x2fdc06ff,0xd005fb80,0x83fe207f,
    0x1ff103fe,0x7fffff44,0x7fc41fff,0xffffffff,0x3a03fe27,0x26fff62f,
    0x67c07fea,0xffe980fb,0xd306ffff,0x0dffffff,0xd300bf70,0x0dffffff,
    0xfbffffb1,0xfc81ffcb,0x260bf705,0xffffffff,0x3fe60fff,0x86fffeff,
    0xffeffff9,0x02fdc06f,0xff005fb8,0xff0ffc03,0x220ffc03,0xffcffffd,
    0x7ffffcc1,0x20ffffff,0x07fc42fe,0x1ff887ff,0x303ef3e0,0xfffdffff,
    0xdffff30d,0xf700dfff,0xffff980b,0x2606fffe,0x3a3ff9aa,0x209ff05f,
    0x2ffe05fb,0x19999999,0x3ea0f7f4,0x541efe86,0x02fdc06f,0xfb005fb8,
    0xfb1fee0b,0x301fee0b,0x3e07fe13,0x999999bf,0x2e2fe419,0x203fe25f,
    0x2f3e02fe,0x20f7f40f,0x1efe86fa,0x7dc037d4,0x20f7f405,0xffb006fa,
    0x885ffdc3,0xbf701ffc,0x1057fe40,0x23fe8575,0x740effb8,0x3bfee23f,
    0x4017ee00,0xff5005fb,0x17fee239,0x2e239ff5,0x3ea005ff,0x415ff907,
    0x7fd42ba8,0xfe87fd52,0x01ff710d,0x3a07de7c,0x3bfee23f,0xf711ff40,
    0x2e8801df,0xf711ff40,0xd71181df,0xfffb05ff,0x9889fffd,0x4099dfc9,
    0xffefffe8,0x3fea0fff,0xffffffff,0x3ffffea3,0x223fffff,0x099dfc99,
    0x4efe4cc4,0x7ffdc009,0xf705ffff,0x0bffffff,0x7ff6664c,0xdfffd104,
    0xc81fffff,0x40efffff,0xfffffffa,0x07de7c04,0x3fffffea,0x3ea3ffff,
    0xffffffff,0x2666623f,0x54099999,0xffffffff,0xffff73ff,0x7fdc07ff,
    0x7fdc3fff,0x4fffffff,0xffffffc8,0xfffec82d,0x642fffde,0xffdefffe,
    0xfffff72f,0x3ee9ffff,0xffffffff,0x7fff5404,0x7ff5404e,0x7ff404ef,
    0xfc805fff,0x02dfffff,0x201dfffb,0x03ffffea,0x9fbbfbb5,0xefffec87,
    0x7642fffd,0xfffdefff,0x3fffffe2,0x641fffff,0xffdefffe,0xbffff32f,
    0x406a6003,0xffffffea,0x26a603ff,0x00133000,0x75400998,0xffffffff,
    0xfffffd53,0x22007fff,0x04c40009,0x1bccc980,0x004d4c00,0x26200130,
    0x6fffdc00,0x13305ffd,0x80099800,0xfffffffe,0x13300eff,0x00006600,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x88000000,0x03f95ffe,
    0x9005bd71,0x2000ecc9,0x0005ffe8,0x5cc00000,0x41b50020,0x1000004c,
    0x40080013,0x00002809,0x8001dc88,0x008801a8,0x2009a980,0x91000981,
    0x7ffcc001,0xff885fb5,0x3e206fff,0x10013ee7,0x7ec0bfff,0x4c06ffff,
    0x401ceffd,0x1fbbfffd,0x3fc4bf60,0x33fffb20,0xfffea82c,0xbfb7301e,
    0x23dc5d80,0x7ec2fffb,0x6f7c46ff,0x1dff704f,0x405dfffb,0xff91006f,
    0xbf509fff,0x2600bf21,0xfc88006f,0x5df703a5,0x0cc05fd5,0xb8800151,
    0xa980aefe,0x3201aaaa,0x3fffffff,0x1ffe4720,0x20330a20,0xffffffe9,
    0x7fffd46f,0x7ff41fff,0x77cc05ff,0x7fe43fdc,0x37fff43f,0xf707a972,
    0xffdfffff,0x00ff103f,0x3ffbfff6,0xfeefa84f,0x00dfa803,0x0b2bf700,
    0x05fb8bfa,0xeca80000,0x80001cef,0xda9adffa,0x001001ff,0x33ffa000,
    0x7c7feb99,0x8dfb31df,0x805feeff,0xfb01cec9,0x361fea07,0x7d407e24,
    0xdfd10cff,0x3600ff10,0x03fee0cf,0x6c003762,0xdffb5004,0x7402bf97,
    0x98bfd12f,0x3bae1eed,0xdffb501e,0x6cc0bf97,0xff01ceff,0x441bf609,
    0x401cefdb,0x81cefdb8,0x6fa80ffa,0x3fe61be6,0x02fdc220,0x207fb000,
    0x89fa87f9,0x13fea06c,0xfec89fe6,0x41deeeef,0x02fe81fb,0x7e400000,
    0x5fffffff,0x7fed7f40,0x17ffe42f,0xf905ffff,0xbfffffff,0x3fffff20,
    0x7ffc43ff,0x7fffffff,0xffffff98,0xffff302f,0x5fc85fff,0x303506e0,
    0x17ee01ff,0x04eeed98,0x3fcc0ff6,0xa89effd8,0x441bea2d,0x3fffe67f,
    0x003fffff,0x76cc3ff1,0x3bb204ee,0x23efd98e,0xfc9aeffa,0x57f405ff,
    0x5445fffe,0x3fea62fe,0x4d77fd42,0xfa85fffc,0xffda9adf,0x3ffffe61,
    0x20ffffff,0xfb9cfff8,0x7ffc42ff,0x22fffb9c,0xb00004fd,0x02fdc0df,
    0x40bffff9,0x0ff303fd,0x6ffedd44,0x7c41bea1,0x2ffee60f,0xb8802aaa,
    0x7ffe46ff,0xffff305f,0x25fffffb,0x5ff984ff,0xfda97f40,0xe82fe85f,
    0x4c27fc2f,0x04ff85ff,0x9bff8dfb,0x41999999,0x8df907fc,0x4df907fc,
    0xd80006fb,0x17ee01ff,0x05fdaa88,0x3fcc0ff6,0x16ffedc4,0xff106fa8,
    0x8007f881,0x441efffa,0x2605fdaa,0xb9dffffa,0xd01ff89e,0x42fe80bf,
    0x17f41ffa,0x3ff117f4,0xff117fa0,0xffffffff,0x20affc8f,0x1ff42ba8,
    0x3fa0ff88,0x261ff103,0x7e440cff,0x05ffd101,0xf7005fb8,0x431fec0b,
    0x67fc47f9,0xfa81ddaa,0x2a1ff106,0x5fffffff,0x803ffb80,0xfff805fb,
    0x640ff303,0x417f405f,0x417f43fe,0x81fe62fe,0x7ffcc5fc,0xffffffff,
    0x3bfffa20,0x3e0fffff,0xf87fe01f,0xb87fe01f,0xfffeffff,0x2ffe881f,
    0x7005fb80,0xa9fec0bf,0x430ff33f,0x542fccfa,0x21ff106f,0xfffffffb,
    0x003f9806,0x3ff00bf7,0xf817fc40,0x457f405f,0x5fd13f22,0x7fc45fd0,
    0xff0bff02,0x33333337,0x3ffff203,0x2fec2dff,0x2fec7fb8,0xfeb87fb8,
    0x982effff,0xf7001fff,0x817ee00b,0x26bf73fd,0xd71f406f,0xff106fa8,
    0x199ff988,0xbf700000,0xd801ff00,0xffb30aef,0x2bfa201b,0xd85fd2fd,
    0x0bff664f,0x36615dfb,0x7fe40dff,0x00aea20a,0x7d4013db,0xbff711cf,
    0x711cffa8,0x6fcc0bff,0x1dff5009,0x802fdc00,0x53f605fb,0x80bf95fb,
    0xdf71ea2f,0x7fc1bea0,0x000f6e61,0x7c02fdc0,0x7ffc400f,0xffffffff,
    0x6ffffe42,0xfb87ffff,0xffffffff,0x3ffffe23,0x22ffffff,0xffefffe8,
    0x37a00fff,0x7ffdc03a,0xf705ffff,0x0bffffff,0x3ee05ff0,0x299999ff,
    0x99efc998,0x6fe4cc40,0x3fff6099,0x1fffffbb,0x274cf640,0x321ffff9,
    0xff703ffe,0x20dffffd,0x266205eb,0x44099dfc,0x0099aff9,0xbdffffb1,
    0xffa83dff,0x2dffe9ef,0xfbffff90,0xffd885ff,0x1effdeff,0xffffffc8,
    0x27f5402d,0x77fff540,0x7fff5404,0x7ef5404e,0xfffffd04,0x7fc1ffff,
    0x1fffffff,0xfffffff7,0x3ffee9ff,0x03fffe8a,0x20dffd88,0x3fa5ffea,
    0x3ff6204f,0xfb00ceff,0xffff701f,0x329fffff,0xffffffff,0x006a6204,
    0x22002200,0x2620009a,0x9a98001a,0x40008000,0x4c400098,0x1bd91000,
    0x3fffffa0,0x3f61ffff,0x1effffff,0xffffffd5,0x033007ff,0x30001100,
    0x004cc001,0xffd50098,0x27ffffff,0xfffffffb,0x0000003f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00004400,0x6c2fff44,0x200006ff,0x0981801b,0x5881a880,0x20000000,
    0x2e0ceed8,0x2a202dee,0x01103001,0x50044000,0x0180885f,0x01100d44,
    0x80000800,0x00df0000,0x8bfff300,0x0006fff8,0x4c01fd88,0x407f90df,
    0x23ffffea,0xffffb07a,0xfffd80df,0xfffa86ff,0xbffff11f,0x7fff6764,
    0x437e603f,0xfb7103fb,0x1be099bf,0x9fdc4fb8,0x3fa01fd8,0x2effe987,
    0x017fae00,0x002fed40,0x80003fc4,0xdf705fc8,0x1fe88000,0x7fdff500,
    0x7ffffdc0,0x260b95ff,0x401aaaaa,0x01aaaaa9,0xff985ff7,0x3ffffe0d,
    0x2a05fffe,0xf303feff,0x1fffffff,0x0ec07f88,0x017ff7dc,0x22e60f6a,
    0x2ee006d8,0xd750005e,0x0ff1000b,0x82fdc000,0x540006fa,0x76c4000d,
    0x4bbfe601,0x02feffd9,0xe8000000,0x207fd44f,0x3f261fff,0x07b6203f,
    0xc99adfd8,0x03fc40ff,0x06f4c095,0x6eb98000,0x0005e800,0xd91002ec,
    0x3bddddff,0x5f7fed40,0x5df505fc,0x0007dffb,0x3fa00000,0x207ff705,
    0x1bdffec9,0x677edc40,0xe83fea01,0x901fe84f,0xfb0000ff,0x911d415d,
    0xbddddffd,0x10000013,0x883ffd80,0x13017a02,0x98a02ec0,0xffffffff,
    0xffff903f,0x2a0bffff,0xffffffff,0x65f75c0e,0xdd703eff,0x107dff97,
    0x3fe205ff,0xfffffd03,0x7ffcc0ff,0x3a02ffff,0x301ff54f,0x90ffc403,
    0xdfb31ddd,0xfffff987,0x7fffcc3d,0xb03fffff,0xdddddddd,0x200fe603,
    0x03fea0fd,0x5fd882f4,0x7f4c1760,0x2affee62,0xdff502aa,0x0bfff935,
    0x26bbffea,0x3fe25ffd,0x3fffffff,0x7fffffc4,0x3fd43fff,0x65413f60,
    0x83fea99b,0xfb9cfff8,0x1ff502ff,0x999309fd,0xff999999,0x37fffe65,
    0x4c2fffff,0x46ffffec,0xaaabffb9,0x3ffffa02,0xf901ffff,0x3ee2330b,
    0x302ffd88,0xdffa83bd,0xc81dd100,0x07f884ff,0x3e613fe0,0x09ff505f,
    0x7f4c3ff5,0x86fc99df,0xc99dffe9,0x202fdc6f,0x554c05fb,0x7fc86fba,
    0x7f40df90,0xffa80ffe,0xffffffff,0x3ffea63f,0x321eb9df,0x217fd4c1,
    0x7f4007f8,0x85ffdaac,0xfd85ffe9,0xdffbbeff,0xffffe819,0x1abffd8d,
    0xacffffe8,0x4409aefe,0x3ff1007f,0x7d417fa0,0xe87fd01f,0xe81ff84f,
    0x2a1ff84f,0x827ec07f,0xffffffe9,0xf103fe86,0x3ffea01f,0x999ff304,
    0x07ff9999,0x7cc07fff,0x21ff4c2f,0x7e4007f8,0xf50bff50,0x44c017ff,
    0xff8affe9,0xfb999981,0x2ffffadf,0x7feccccc,0x7c43ff8b,0x40ff3007,
    0x0ff505fc,0x0bfa27e4,0x0bfa07fa,0x2ff887fa,0xf307ff10,0xdfffdfff,
    0x7fc03ff0,0x403ffa01,0xff102ff8,0xa803ff03,0xfffeffff,0x003fc40f,
    0x3a0bff50,0x3fee004f,0x403ffd0c,0x4bb2ffe8,0x1bff506d,0xff10fff6,
    0x05ff1001,0x7fd417fe,0x742ff882,0xe81fe82f,0x741fe82f,0x01ff705f,
    0x6fa83dfd,0xff705fd8,0x7404fe80,0x01ff905f,0xee8801ff,0x81dfffff,
    0xa8000ff8,0x1ff105ff,0x1efb8570,0xf807efee,0x0dd100cf,0x5fd47ff3,
    0x262ff83f,0x577ec3db,0x01bffb30,0x2615dff7,0x17f40ffd,0x17f40ff4,
    0x3fe60ff4,0x07ffb32e,0xffb88ffa,0x8e7fd40e,0x2a05ffb8,0x7fd400ff,
    0x07ff932d,0x988003fe,0x17fc00cf,0x3ea07b73,0x7fb0a25f,0x21c46f88,
    0x201f9cf9,0x03ba601a,0x8df882e2,0xffffc83f,0x7fc46fff,0xffffffff,
    0xfffff12f,0x85ffffff,0x2ff83fe8,0x7fc1ff44,0xfffffb82,0x3fea05ff,
    0xffffffff,0x7ffffdc3,0x665c45ff,0xfc802efe,0x85ffffff,0x099aff98,
    0xc805ff00,0x6fffffff,0x999effa8,0x3bfea2fc,0xd807ffec,0x0006feef,
    0x64001bf7,0x440efeef,0x0bfffffc,0xeffffd88,0x3fa1effd,0xeffffdef,
    0xaffffcc1,0xf33ffff8,0x3fe2bfff,0xffe983ff,0xfec803ff,0x2fffdeff,
    0x4efffea8,0xffffffa8,0xfffa800f,0xfffc83ff,0x204fffff,0x4404fdea,
    0x0bfffffc,0x7fffffc4,0x7fec3fff,0xa803efff,0x8004fdba,0x00199dfd,
    0x80bf9753,0x53100099,0x26620003,0x9fffd300,0xe997fff4,0x3ffa4fff,
    0x0026202f,0x20002660,0x32e20098,0x4002cccc,0x3fee0098,0x03ffffff,
    0x80037b22,0x3fe20099,0x3fffffff,0x002bcb98,0x4006ffb8,0x07fffff8,
    0x007ffd40,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20000000,0x7dc01a98,0x02efffff,0xffffa800,
    0x201fffff,0x2e6001a8,0x3bb66020,0x007bbae1,0x09a98000,0x00000000,
    0x9a880171,0x00018000,0x000001d4,0x30000000,0xffd30059,0xf70dddff,
    0x09ffffff,0x3fffffea,0xffff51ff,0x503fffff,0x807ffffd,0x1fbbfffd,
    0xf897ffe4,0x2e601fff,0x5401befd,0x0fdfffff,0x2600dd10,0x201befdb,
    0xffb505fc,0x880ddbff,0xc8001efd,0x3fff603f,0xfffb86ff,0xbffff75f,
    0x3fff6e20,0x741fffff,0x3fea00ff,0x0ffffeff,0x4cccf7dc,0x3fffea01,
    0xbf32ffff,0x1ff53333,0xffffffb8,0x7e47205f,0x2fea883f,0x5407fea6,
    0x4fdbabdf,0xffdfff30,0x3fea05ff,0x55efd401,0x39304fdb,0xffdfff50,
    0x3e601fff,0x2003febf,0x554c03fd,0xffb81aaa,0xffff96ff,0xfffff30d,
    0x83ffffff,0x3fe606fc,0x207fdc0c,0x330005fb,0x01503df7,0xeff98df7,
    0x007ffb32,0x20bfa002,0x02fa81fe,0x1bf909f3,0x7701ffdc,0xf302fa80,
    0x6ffcc009,0x403ff620,0x401ae0dd,0x800001e9,0x7e440efa,0x9beff985,
    0x1ff99aff,0x02fec008,0x53df70fd,0x5fb80035,0x3a1ff400,0x21ff505f,
    0x3ae1eed9,0x82fe81ee,0x897cc1fe,0x3f99defc,0x3f603fe2,0x2be60002,
    0xf31ceeec,0x0bfb0307,0x00003fe2,0x776cc000,0x507bbae1,0x213ee0df,
    0x83fe0efd,0x7c4001fe,0x2e02201f,0x0dffffff,0x400bf700,0x3fe20ff8,
    0x7e4ff602,0x3fffe2ff,0xfe82fe82,0x739f2dc1,0x9ff16e7f,0xeeed8710,
    0x2e1eeeee,0x4d959f15,0x3e1fd45b,0xb70ee01f,0xeed985bd,0x777776c4,
    0xfff91eee,0x217fffc5,0x09f706fa,0xd9ff83ff,0xf98007ca,0xfff50007,
    0x200bffdd,0x3ee005fb,0x2e03fd46,0x45fd514f,0xfe82ffa9,0x9ec1fe82,
    0x4798dc6a,0x01bdfffb,0xfffffffd,0x23d1ec3f,0xfc8f31f8,0x2001fe25,
    0x7e46ffff,0x3ffa0fff,0x11ffffff,0x7d4c5fd5,0xb837d42f,0x7c3fcc4f,
    0x26606fdf,0x310df300,0x17710333,0x20117fd4,0x3fa005fb,0x2a02fdc3,
    0x7417f45f,0x264fe82f,0xd8fc2ffd,0x3ee0fc03,0x741fffff,0x5ffdaacf,
    0xbfddd0fc,0x99bf61f8,0xfe88006f,0xfb8bc98d,0x5567f41f,0x2fe85ffd,
    0x37d42fe8,0x37d44fb8,0xa837fffc,0x8ff301ff,0x07fffffc,0x0fe4ffa0,
    0xf9802fdc,0x203fd40f,0x417f44fb,0xfffe82fe,0x23ffffff,0x7cc0992e,
    0xfffd7300,0xffa87e43,0x333a2e85,0xfe83e61f,0x4001fe67,0x51ffb5fc,
    0x2a1f90df,0x05fd05ff,0x06fa85fd,0x87f989f7,0xf905fdff,0x50ffc409,
    0x00bffffd,0x82feafe4,0xdf7005fb,0x7405ff10,0x7417f43f,0xffffe82f,
    0x322fffdf,0xb9543f14,0x7ec40a26,0x20bff504,0x87d47a4c,0x3e3ffc6b,
    0xffa8002f,0x4fcafff8,0xd02ffd40,0xa85fd05f,0xf09f906f,0x2d9ff83f,
    0x7400ff81,0x003fe04f,0x05fd3fe8,0x3fa009f7,0x2e0bfd03,0x417f40ff,
    0xabfe82fe,0xb8fcc009,0x4e89feef,0x37d413ee,0xf302ffd4,0x3f25ffb3,
    0x07ffc4ea,0x41c40dfb,0xefffdff8,0x3fea02fe,0x7417f405,0x40ffc42f,
    0x0efd83fd,0x33f983fe,0x7ff7005f,0x307fd441,0x25ff707d,0x3fea1dfe,
    0x00ff9802,0x3665dff3,0x24fd83ff,0xfe82ffd9,0x30764002,0xfc83ba23,
    0x7fd510bf,0x0a25ffa8,0xd30667b2,0x0fffc41d,0x2217dff5,0xffe82ffa,
    0x00ffffbf,0x4144bff5,0x3ff664fd,0x912efe82,0xdfd101ff,0x9335ff37,
    0xd80172bf,0xffffffff,0x3fffea0f,0x3f65ffff,0x04ffffff,0xfb80df70,
    0x05ffffff,0xfffffff7,0x02fe87ff,0x731bfc80,0xfffc81dd,0x547fffff,
    0xfc999eff,0x731bfc82,0xfff881dd,0x7ffffd41,0xfc80efff,0x07ffd8ff,
    0x9333dff5,0xffffb85f,0x4c3fffff,0x3fffffff,0x3ffffa20,0x15ffffff,
    0xffea8001,0xda81cfff,0xa83fffff,0x004efffe,0x3a6007ea,0x6402ffff,
    0xfffdffff,0x8000fec2,0x0befffdb,0xfffece98,0x3ffe20df,0x03ffffff,
    0x17dfffb7,0x6cc1ffa0,0x204efffe,0xbff55ffa,0xffffff10,0xff907fff,
    0x05fffbff,0x05ffffd1,0xffffb510,0x000bffff,0x88006660,0x00988009,
    0x13100000,0x004d4400,0x980001cc,0x04ccc000,0x7fffffc4,0x09803fff,
    0x8800b880,0x1ff88009,0x3fe20ffe,0x3fffffff,0x80013510,0x00000098,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x5c3ddb30,0x00001eee,0x40020b98,
    0x00eb8009,0x55cc0000,0xaaaaaaaa,0x17fffaa3,0x00000000,0xbeffca88,
    0x000265c0,0x54000000,0x0005fffe,0xf887b300,0xffffffff,0x7ffec2ff,
    0x7ffdc6ff,0x30bfffe2,0x7ec3dfff,0x7ffec3ff,0xf9101fbb,0x3aa03bff,
    0xfd802acf,0xffff76ff,0x71400261,0x2a0bffff,0x05ffffff,0xffffffd8,
    0xfb01ffff,0x447fffff,0x3a2004ff,0x01ffffff,0x3fffffea,0xfff900ce,
    0x7ff440bf,0x3a01ffff,0x3ffe20ff,0xffffffff,0x555554c2,0x317f5441,
    0xffa85ff5,0x3fffe2ff,0x3ffc8e44,0x3ffbfee0,0xfffffc86,0x7fff403f,
    0x23ffff96,0x98850009,0xfff705fc,0xfd00dfff,0xffffffdf,0x37ff103f,
    0x7fd41955,0x3ffe2000,0x2e01ffff,0xffffffff,0xbf93101f,0x7ffffc40,
    0x1bf201ff,0xbf933ff1,0x0005fd33,0x2fe82fe8,0x7dc6fe88,0xe800801f,
    0x260db12f,0x88019bfe,0xf9999cff,0x1400262f,0x3a205fb8,0x7001aacf,
    0xf335ff7f,0x009f903f,0x260007f9,0xf5001dfc,0xffd7333f,0x402fdc01,
    0x1001dfc9,0x3ee1ff10,0xed98bfa5,0x17f404ee,0xff9817f4,0xb307ff13,
    0xf8809ddd,0x667f4007,0xff981cfe,0xffffffff,0x0a00134f,0xe8146fdc,
    0x2fffffff,0x87fe7f20,0x3ffae1fe,0xec8ff804,0x201efdac,0x980115fb,
    0x04ff886f,0x7dc017ee,0x3e000665,0x1fe97ee7,0x017ffff2,0x05fd05fd,
    0x2ff4ffdc,0x05ffffc8,0x3a001ff8,0x2fffffff,0x666ffe44,0x131dffcc,
    0x7fdc0a00,0xcdfe83ff,0xf01fffdc,0x32b67fed,0x027fffc7,0x3ffe6fe6,
    0x701fffff,0x980bfbdf,0x40ff506f,0x205b35fb,0x03ff15fb,0x97ee3b80,
    0x7ed5444a,0x7417f405,0x7fff402f,0xfb55100f,0x6ffe5c0b,0x7ff400bc,
    0xd05fc99d,0xff9999bf,0x028004c3,0xd01dfff9,0x307fd05f,0x1bfbfe9f,
    0x2027ed4c,0x27bfee6a,0xff704fe9,0x7f6407ff,0x3fe23def,0x3f2bf700,
    0x3e2bf707,0xb530001f,0xf70035df,0x714fd80b,0x54c05ffd,0x4009cfff,
    0xfff305fb,0xe805ffff,0xe80ff84f,0xffffffff,0x21400261,0x203fffe9,
    0x84fc82fe,0xdffff2fb,0x4004fc80,0x17ee0ffa,0x807bffea,0xfffffff9,
    0x7dc07fe0,0x3ee07d35,0x0dc40225,0xffffffa8,0x02fdc03f,0x3fffffe6,
    0xcc883fff,0x401ccefd,0x372a05fb,0xfe802cff,0xfe81ff82,0x1ffccccd,
    0xf1140026,0xfe80bfff,0x741ffc42,0x6fdffeef,0x20027e40,0x137d46fa,
    0x910bfffd,0x5e7fe541,0x5c03fe21,0x0bf7005f,0x07ff4391,0x77ff76c4,
    0x02fdc01d,0x7e77ff5c,0x2fdc02ff,0x500bf700,0x17f400ff,0x17f40ffc,
    0x00130ffc,0x0bf9bb0a,0xfeccdfe8,0x7ffc40ef,0x012c9fff,0xf50013f2,
    0x3f26fa8d,0x4fb85fef,0x7f9837cc,0x5c017ee0,0x364fb85f,0x2fdc00ff,
    0x400bf700,0xf8817e09,0x02ffffff,0x7e402fdc,0x2fe80886,0x2fe81ff8,
    0x00261ff8,0x405fb814,0xdefffffe,0x3fe3fa80,0x3f20fe61,0x237d4004,
    0x2e3226fa,0x4c4fc85f,0x40bfb06f,0xbf7005fb,0x00989f70,0x0277f262,
    0x4efe4cc4,0x5f740009,0x07bf2205,0x9dfc9988,0x9cffa809,0x7447e999,
    0x217fc43f,0x7fc43fe8,0x11400262,0x133df933,0x02acfe88,0xff997ec4,
    0x225fc99a,0x0009dfd9,0x37d41df7,0x4ccefe4c,0x7fd44fc9,0x1ffeb999,
    0x4efe4cc4,0x3bf93009,0x009f9333,0x7fffffcc,0x7fffdc3f,0x004fffff,
    0x7f413fa6,0x5c0fffff,0xffffffff,0x3ffff24f,0x2a7fffff,0xff56ffff,
    0x3ffeabff,0xbffff97f,0xfb940026,0xffffffff,0xffffff75,0x3fffe60d,
    0xfffffffe,0xfffff35f,0xffd80bff,0x4fffa9ff,0xfffffff1,0x7dc9ffff,
    0xffffffff,0x7ffffdc2,0x3e24ffff,0xffffffff,0x3a6004ff,0x42ffffff,
    0xffffffea,0x400003ff,0x0efffffc,0x7fffff54,0x3fee3fff,0x2effffff,
    0x4d3fffa6,0xfd33fffe,0x3ffeebff,0x5555733f,0x2a755555,0xfffffffe,
    0xfffff53f,0x3ffa209f,0xffffffcf,0xfffd15ff,0xfb809fff,0xffe98eff,
    0x3fffffa3,0x2a4fffff,0xcdffffff,0xffffea80,0x7f43ffff,0xffffffff,
    0x0000004f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x85710000,0xea800000,0x03f95fff,0x98000000,
    0x0001320d,0x00000000,0x817fffaa,0x00006ffd,0x40bfe600,0x0002ffea,
    0x3f2a0000,0x00000cee,0x22ffc000,0x5daefff8,0xffffff50,0x3ff2019d,
    0x985f95ff,0x01bdffec,0xffffffd1,0x7e41fd13,0x3f603fe3,0xdfff75ff,
    0x83bffe61,0xff33fffe,0x7fff43df,0x2ffffe43,0x006fff88,0xfffffff5,
    0x2ff98039,0x005fff90,0x897ffff4,0xb01ffffe,0x27ffffff,0x20effff9,
    0x3a3ffffe,0xefffffff,0x9307fe61,0x203dfd31,0xfffffffb,0xf93101ff,
    0x3ffa074b,0xf107ffff,0x13ffffff,0x261443ff,0x2dfffd01,0xf31ffffb,
    0x3fe21fff,0xffff54ff,0x427fffc3,0x5c05fc98,0xfff7006f,0x0bffffff,
    0xd1005544,0x3fe2005f,0xfff12fff,0x7ff303ff,0x3e619553,0x3fa1ffff,
    0x3ffa3fff,0x21ffffff,0x001005fc,0xd7333ff5,0xafdc01ff,0x99bca82c,
    0x32603fea,0x003cc1df,0x3e217f40,0x645fe81f,0x37f440ff,0xf7007ff2,
    0x006fa80b,0x2666ffa2,0x80000ffb,0x3e2002fe,0x3fe9809f,0x3a009f90,
    0x01ff705f,0x033bf931,0xbeeb83fd,0x2603effc,0x04ff886f,0x260057ee,
    0x406fbaaa,0x4c2d85fb,0x7404eeed,0x981ff82f,0x07ff33ff,0x7fdd7fe6,
    0x405fb802,0xbddb36fa,0xf905fd03,0x4eeed989,0x7fee7f40,0x5c3fe02e,
    0xd707fa5e,0x19dddfff,0x3f60ff50,0x882fdc04,0x7fffc44f,0x303fffff,
    0x81fea0df,0x7f4c05fb,0x406fffff,0x641c45fb,0x7405ffff,0x701ff82f,
    0x80bfd1ff,0x04ffdffa,0xfa80bf70,0x09ffff96,0x3ff885fd,0x02ffffe4,
    0x3ffffffa,0x3e3ff03f,0xf81ff1ff,0xffffffff,0xf885ff02,0x82fdc01f,
    0xffe980fa,0xc86fc99d,0x223deffe,0x0bf700ff,0x7f7fffcc,0x2fdc06ff,
    0x5fdaa880,0x6666ff40,0x3fa01ffc,0xfb800fff,0x3ee005ff,0x7477d405,
    0xfe80acff,0x0fffeccd,0x02fed544,0x32677ffa,0xf35fd07f,0x81ff19ff,
    0xaaadfda9,0xf91bf201,0x20bf700d,0x213fa018,0x3ffe61ff,0x3fe0ffff,
    0x740bf701,0x037d41ef,0x2e0017ee,0x7fff405f,0x201fffff,0x1002fff8,
    0x5c003fff,0x7ffd405f,0x7ff402ff,0x00efffff,0x9fd017ee,0x7fb03ff0,
    0xff3dfff9,0x10027e40,0x017fc3ff,0xe8002fdc,0x541fe82f,0x221bcffc,
    0x0bf700ff,0xff711ff4,0x42fdc01d,0x0bf701c8,0xccccdfe8,0x37e401ff,
    0x1dfffb00,0x5017ee00,0xd003ffff,0xffd999bf,0x017ee01d,0x03ff05fd,
    0xff7ff9f9,0x27e40df9,0x7d53f600,0x80bf7007,0xe82fe80c,0x306f981f,
    0x02fdc0ff,0xfffffff5,0x3ee07fff,0xf704fb85,0xf82fe80b,0x02fdc01f,
    0x6feaffc8,0xa80bf700,0x400effff,0x2ff982fe,0xfe80bf70,0xfb81ff82,
    0xfffd8fff,0x0013f205,0x09fd1ff5,0x5f017ee0,0x3fd05fd0,0x3f60df30,
    0x9017ee05,0xffbdfffd,0x217ee05f,0x0bf704fb,0x1ff82fe8,0x5402fdc0,
    0x0bff33ff,0xfa80bf70,0x201eff9e,0x09fb02fe,0x5fd017ee,0xff503ff0,
    0x13ffeebf,0xe8004fc8,0x7000ffdf,0x21ff80bf,0x2ff83fe8,0xb999ffa8,
    0x4cc41ffe,0x20099dfc,0x407e6099,0x9999dfc9,0x326624fc,0x744099df,
    0x817fc43f,0x009dfc98,0xffa8bff3,0xdfc99883,0x16fb8099,0xe8815ffd,
    0xfb9999bf,0x3f26622f,0x7f44099d,0x4c17fc43,0xfff12fff,0x3bfb3107,
    0x3fee0033,0xfc99805f,0x37aa099d,0xbffff33f,0xb8ffffe2,0xffffffff,
    0x7fffdc2f,0x004fffff,0x7c4ff7e2,0xffffffff,0xffff74ff,0x269fffff,
    0xff97ffff,0xfff989ff,0x7e43ffff,0xfff33fff,0x7fffdcdf,0xf14fffff,
    0x7ffe4dff,0xfffff73f,0x21dfffff,0xfffffffb,0xffff34ff,0x13fffeab,
    0x7ec1fff1,0x7fffcc2f,0x400fffff,0x7c02fff8,0xffffffff,0x261bd911,
    0x3fa4fffe,0x3ffea2ff,0xa80cdfff,0xfffffffe,0x5ecc003f,0x3fffffa0,
    0xd54fffff,0xffffffff,0x57fffa67,0x443ffffb,0x2ffffffe,0x8977ffdc,
    0x3aa5fffe,0xffffffff,0xfb9bffa3,0xfff52fff,0x19dfffff,0x7fffff54,
    0xffd33fff,0x3fffa69f,0x7d45ff83,0x7fff441f,0x9005ffff,0xfffb00df,
    0x001dffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00018000,0x00000000,
    0x00000000,0x000dff50,0x00000000,0x54000000,0x0005401e,0x00a6005c,
    0x7ffffd40,0x23fffe8a,0xffffffe8,0x41bffa01,0x6441fffc,0x7d41ffff,
    0x2effffff,0x7fffffd4,0x3ea5ffff,0x0cefffff,0xffffffc8,0x3fa7ffff,
    0x3ffee1ff,0x37ff405f,0x7ffffff4,0x7ff441ff,0x3e200fff,0xffffffff,
    0xffff52ff,0x3005dfff,0xff79dfd9,0x0027d407,0xdff013ea,0xfffb8005,
    0xffff9aff,0x3ffffe24,0xfff101ff,0xffff885f,0x7ffffdc2,0x7ffffdc1,
    0x3ee4ffff,0xffffffff,0x3fffee5f,0x6c1fffff,0xffffffff,0x3fffa7ff,
    0x1bfffee6,0xe86fffb8,0xffffffff,0x7ffffcc1,0x3ffe203f,0xffffffff,
    0xffffff72,0x7d409fff,0x5fffffff,0x2000e440,0x7fdc05fb,0x3a2001df,
    0x03bfea3f,0x400efe4c,0x7dc6fff8,0x72fe82ff,0x26ffa203,0x222ffca9,
    0xc9999bfe,0x4cf7d45f,0x4c0ffeb9,0xa99999ff,0x1fffdc7f,0x7c40bf91,
    0xafe86fef,0x206ff999,0x206fffd9,0xdfc99ff8,0x3a22fe99,0xffca99bf,
    0x9beffa80,0x0004fffb,0x100bf700,0x0019fffb,0x77fdcbfa,0x002fdc00,
    0x7f43ffff,0x0ffc42ff,0xfd82fe80,0x2a117f44,0x4437d44f,0x07fc44ff,
    0xff51be61,0x02fdc1ff,0xd0df5df9,0x007fec3f,0x03ff7ff1,0x2fdc3fe2,
    0x82fe85fd,0x25fd83fd,0x00fffff9,0x05fb8000,0x0ffffa60,0x3ff2bfa0,
    0x00bf7005,0xfaaff7fc,0x5fd82fef,0xfb05fd00,0x3f72fe89,0x06fa8391,
    0x0ff88ff5,0xf50b21fb,0x2fdcbfdd,0x6faaff98,0x5ff70fd8,0x9fb7fb80,
    0x4bf73fc0,0x417f41fe,0x31ff83fd,0x45ff1dff,0xaaaaaaa9,0x555441aa,
    0x01aaaefd,0x02fffea8,0x017ffbfa,0x3e005fb8,0xcfe8ffaf,0x3ffd82fe,
    0x85fd0131,0x6ff42ffa,0x3ea03fec,0x441ff106,0x01ffccff,0x4bfe7bea,
    0x2bfd05fb,0x3e6106fa,0x34fe804f,0xb8ee01ff,0x3fa12a5f,0x0ffeb99b,
    0xeff9bfc4,0x7ffc5fd0,0xffffffff,0x3fffffe1,0x001fffff,0xd01dfff7,
    0x005fffff,0xff8017ee,0xe8ffefe8,0x7fffec2f,0xdfe86fd8,0xe85fffdc,
    0x203fffff,0x83fe06fa,0x1ffffff8,0x7fe5bea0,0xffa85fb8,0x7440df50,
    0x0ff9805f,0x7dc00ffa,0xffffe805,0x9fb01fff,0x3fea1dff,0x3bbbbb20,
    0x2e0deeee,0xeeffeeee,0xffb800de,0x5ffd01ef,0xf7007ffb,0xff83910b,
    0xfd5fffa8,0x7f67fcc5,0xffe85ffe,0xe80cffff,0x203fecdf,0x1ff106fa,
    0x7fe67fc4,0x7c5bea01,0x7c45fbcf,0x0efcaaef,0x80c1ffb0,0xffeeeffc,
    0x00bf7006,0x7ffffffd,0x477ffd40,0x0005ffb8,0x800bf700,0x402effea,
    0x03ff22fe,0x9f70bf70,0x3ffd0ff8,0x16fb8bfa,0x3fa0dfff,0x3a00abcd,
    0x12e3f72f,0x1fea0df5,0x01f61ff1,0x6ffd4df5,0x7fffd45f,0x640fffff,
    0x10fea1ff,0xffffffff,0x0bf7003f,0x3f625fd0,0xffff102f,0x001bffff,
    0x017ee000,0x01ffff4c,0x27f42fe8,0x3ee17ee0,0x5ea87fc4,0x0ef98bfa,
    0x3fa09ff9,0x08bfa002,0x06fa83fe,0x0ff88bfb,0xd8df5002,0x7fd45fff,
    0x45ffffff,0x27dc3ffa,0x2aaabbee,0xfb804fda,0x6c2fe805,0x7ff441ff,
    0x004efffe,0x17ee0006,0x19fffb10,0x82ffa200,0xf9301ffa,0x9f93333b,
    0x4c057fc4,0x7fff43fe,0x7446ffff,0x744019bf,0xf99999bf,0x267bea1f,
    0x4c0ffeb9,0xa80099ff,0x3ffe21ef,0x46fb8805,0x9999eff8,0x33fa24fc,
    0x101ffb80,0x2013bf93,0x7f40bfe8,0x443fea0e,0x27cc0009,0xf017ee00,
    0x5c003bff,0x3a2fffff,0xfff10fff,0xffffffff,0x3ffffe69,0x93ffffa1,
    0xffefffd9,0x3ffffee5,0xffff706f,0x3fffffff,0x3fffffee,0x7fec2fff,
    0x2e04ffff,0x3ee7ffff,0x7ffdc05f,0xffff50ff,0x2a9fffff,0x3e1fffff,
    0x7cc3ffff,0x43ffffff,0x23fffffb,0x1713fff8,0x05b10000,0x6402e880,
    0xffa8001d,0x3fea1eff,0x3ffffa0e,0x14ffffff,0x6c1dfffd,0x3302ffff,
    0x7ffffd40,0xffff504f,0x3fffffff,0x3fffffea,0xfffc80cd,0x3ea03fff,
    0x2ff45fff,0x97fffea0,0xfffffffa,0xfffd34ff,0x7fffec1d,0x7ffff4c2,
    0x7ffd42ef,0x17fd42ef,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0b00014c,0x08000000,0x00000000,0x00000000,0xdb300000,0x0f775c3d,
    0x005c406e,0x00000000,0x15c064c0,0x3bbbbbb6,0x3bb661ee,0x002a804e,
    0x7103ffb1,0x3e639dfb,0x4f7fed40,0x6cc1efb8,0x3bbae1ee,0xfec98799,
    0x36201bdf,0x3bfb31ef,0x67fff640,0xffdb882c,0xffb304cd,0xdb88039d,
    0xffc81cef,0x8bfffe2f,0xbdedbffa,0x2fbb24fe,0x1dfeacff,0xffcbeeb8,
    0x1ddd903e,0x7e47dfb3,0xfd1ff60e,0x3fffffff,0x02ffffe4,0xf9100bf2,
    0xfff30bff,0x0d97ffff,0xffffffff,0x7fdc3fff,0x2bfffe2f,0xffffe87b,
    0xffd107ff,0xfffff7ff,0xffffe983,0x7fcc6fff,0x40ffffff,0xfffffffc,
    0xfffff303,0xfea885ff,0xd0bfea62,0xffffffff,0x3ffffe63,0x46ffffff,
    0xfffffff8,0x7ffcc3ff,0x2fffffdf,0xff91dff3,0xdaacfe85,0x6d5445ff,
    0x05fd105f,0x81efffb8,0xfb9cfff8,0xacb82fff,0xfd9dffe9,0x98bfaa25,
    0xa84fdffa,0x3fea99bc,0xffdaffd8,0x746fd9ef,0xfeb99cff,0x4cd6fec7,
    0x3fea0ffc,0x1ffda9ad,0x5ce7ffc4,0x2fe82fff,0x7fcc2fe8,0x4c3ffcad,
    0xcffc9eff,0x7f4c1fe9,0x86fc99df,0x9dffffa9,0x3ffe61eb,0x50fc82ff,
    0x5fb80bff,0x75403d30,0x3f202eff,0x440ff907,0xf31ffca9,0xe82fe83f,
    0x554c02df,0x1ff86fba,0x7fcc7ffe,0xf501ff51,0x20aefd8d,0xd827fc3a,
    0xc83fe46f,0xe82fe86f,0x3237dc2f,0xf51ff85f,0x7f41fecd,0xff01ff84,
    0xfff3007f,0x0bff5007,0x3000bf70,0xd007fffd,0x03fe207f,0xffffffb1,
    0xe85fffff,0x202fe82f,0xffffffe9,0x3f23fcc6,0x92ffffff,0x260dc0bf,
    0x43dfffff,0xfffffff8,0x1ff47fff,0x7f40ff88,0x7e42fe82,0x7fc37d44,
    0x1fecdf51,0x0ff417f4,0xfb001ff8,0x7d401dff,0x0bf7005f,0xfffb0dc4,
    0x07fe001b,0x3fe21ff8,0xfffffeff,0x17f43fff,0xff9817f4,0x46fffeff,
    0x7ffe46fa,0x9fb3ffff,0xffd93000,0x7ffccdff,0xffffffff,0xff807fe0,
    0x7f417f41,0x3f637d42,0xdf51ff85,0x17f41fec,0x0ff80ff4,0xffcffd80,
    0x25ffa80e,0x817ee028,0xffb10ffe,0xbfb0019f,0xff51fee0,0x4ccffdc3,
    0x417f4099,0x3dfd02fe,0x7fcc6fa8,0x2667ffa0,0x00df7099,0x7fd4c1c8,
    0x2666ffe2,0x7ec19999,0xfb0ff705,0x217fecc9,0xffdbeff9,0xdf51ff83,
    0x17f41fec,0x0ff80ff4,0xf997fe40,0x4f7fd46f,0x2622fc99,0x4099dfc9,
    0x7f4c0ffd,0x7fd403ff,0x8bff711c,0xffd31ff9,0xfb02ea27,0x0bffae29,
    0xff711ff4,0xb8dfe81d,0x17513fff,0x91033fe6,0x30bfe63f,0x57fe47fd,
    0xf50aea20,0x3fee239f,0xfffffb85,0xfd13ffff,0x3fffffff,0x6fa8ffc4,
    0x7fd10ff6,0xf9885ff0,0xfc8099af,0xff12fcc2,0x7fffffff,0x3fffffee,
    0x004c4fff,0x405fffd5,0xfffffffb,0xfffffb05,0x5fffffff,0xffffffb8,
    0xffa83fff,0xffffffff,0x3ffffea3,0x3ffffffe,0x3fbfffee,0xfff51fff,
    0x41ffffdf,0xffefffe8,0x7fdc0fff,0x205fffff,0xffdffffc,0xd95ff52f,
    0x3e69fd5b,0xfffaafff,0xff34ffd8,0x3ffe2bff,0xfffff93f,0x00109fff,
    0x3fffffe2,0xffd53fff,0x07ffffff,0x3bffee00,0xdfffd501,0xdfffd809,
    0x0cffffde,0xfcefffc8,0xffd902ff,0x85fffbdf,0xff75fffa,0xfeb819ff,
    0x222effff,0xdfffffee,0xfffff901,0x3faa05bf,0xa8804eff,0x88054009,
    0x3dffd10b,0x3ff6bff5,0x49fffd33,0xff72fffe,0x07ffffff,0x00000000,
    0xffc88000,0x0026201f,0x00980a88,0x30000988,0x04c40013,0x26600262,
    0x54c4009a,0x13530009,0x0004c400,0x00000000,0x00000000,0x00000000,
    0xec880000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x76dc0000,0x09ddb32d,
    0x74401010,0x40110302,0xd89deec8,0x76d42dee,0xdddb32de,0x42dedb89,
    0x1304eed9,0x01880440,0xaaa98030,0xaaaaaaaa,0x88d54000,0x201880aa,
    0xbbbbbbba,0x00300abb,0x98260057,0x99999984,0x99730999,0x99999999,
    0x7fffc599,0x03ffff75,0x403ee3e4,0x41db04fb,0xfff501fc,0xdffff55f,
    0x75ffffe8,0x7c3fffff,0x7fe46fff,0x3fff20ff,0x20bfb624,0x2a04fffc,
    0xffff303f,0xffffffff,0x40efe4c5,0x41ff54ff,0x544ffff8,0xffffffff,
    0x7fe45fff,0x7ffd40cf,0x7ec5b10d,0xff83be27,0x1fffffff,0xfffffffb,
    0x1fffffff,0x7d53ff66,0x8bf602ef,0xfb8443fc,0x21fe8825,0x9fb302fe,
    0x106fbfe2,0x7dc19ff7,0x6ff441cf,0xffb8bc98,0x12fa9641,0x2fa85f79,
    0xfff103f5,0xddddb105,0x5ffddddd,0x07ffbfe2,0x21fe65fd,0x221fa889,
    0xdddddddc,0x2bf21ddd,0x3fe24ea8,0x5fe9effe,0xfe883ffa,0xbbbbbbb1,
    0x333261bb,0xcccccccc,0xdffc82cc,0xfd100eff,0xf10ff625,0xffbdfbbf,
    0xe897f443,0xf39f903f,0x5fd801bf,0xbf903fdc,0x1bea3ff6,0x220fe544,
    0x07ea082f,0x03ffffd1,0xfb97f400,0x1fd8bf12,0xfec88df1,0xf00001ff,
    0x9f70f987,0x87ffffa6,0x007901b8,0xf7000000,0x7fcc0bff,0x3a07fd13,
    0xefffffff,0xe89ff440,0xffefc84f,0x1ff9800e,0xffa80ffe,0x4fcafff8,
    0x881dff50,0x213ee02f,0x0efe9ffd,0x365fd000,0x1f91fa0f,0x26fb22fc,
    0x5554c1fa,0x41aaaaaa,0x8307d44d,0x0001dfd8,0x2a3c836a,0xeeeeeeee,
    0x404eeeee,0xd00efffd,0x007ff4df,0x03bfff93,0xffc8ffec,0x7ff7fe41,
    0x75fd801e,0xdff880ff,0x02feefff,0x0be227cc,0x3f20ff62,0x00dff11f,
    0x67d4bfa0,0x23dc4fa8,0x75d6f44e,0xffff50df,0x9fffffff,0x27e5efcc,
    0xfb000000,0xffd9fe25,0xffffffff,0xd880ffff,0x81effcff,0xdf90efd8,
    0x7fffec01,0x321bfb00,0x35fc80ef,0xff300dff,0xfd007fd3,0x1ffff7ff,
    0x47f30988,0x3e60bfa8,0x3fe219bf,0x0017fcc2,0xfffd17f4,0x0d43881f,
    0x3773bb26,0xdddddb31,0x985ddddd,0x00002cec,0x86614400,0xaaaaaa98,
    0x80aaaaaa,0xff12ffe8,0x43bee05f,0xffb80efb,0x4fd84fe9,0x7ec413f2,
    0x037ff30c,0x00ffffd8,0xfd8fffc8,0xffffa87f,0xfffff30d,0x3fffff67,
    0x064c0ae3,0x2a075c00,0x000000bd,0x00000000,0x00000000,0x3ffea000,
    0x9ffff75f,0x6e997e60,0x8df33fc8,0x40bee2fc,0x91fffff9,0x7cc0dfff,
    0xff5003ff,0x8817feab,0x41333101,0x00999998,0x00000000,0x00000000,
    0x00000000,0x80000000,0xd53fffe9,0x1c407fff,0x0220c0e2,0x22019813,
    0x3a0efffe,0x7fec04ff,0x43ff1000,0x000003ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_bold_25_latin_ext_x[560]={ 0,4,2,1,1,1,2,5,5,2,1,0,4,2,
4,1,1,1,1,1,1,1,2,1,1,2,4,4,-1,0,0,2,1,-1,0,0,0,0,1,0,0,1,1,0,
0,-1,-1,0,1,0,0,1,0,0,-1,-1,0,0,1,5,1,2,1,-1,4,0,-1,1,0,0,1,0,0,1,
1,0,1,-1,0,0,-1,0,1,1,1,0,0,-1,0,0,1,3,5,3,1,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,4,1,0,1,0,
5,1,3,-1,2,0,-1,2,-1,-1,3,0,3,3,4,0,1,4,4,3,2,1,0,-2,0,1,-1,-1,-1,-1,
-1,-1,-1,0,0,0,0,0,1,1,1,1,-1,-1,0,0,0,0,0,2,0,0,0,0,0,0,1,0,0,0,
0,0,0,0,-1,1,0,0,0,0,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,
-1,0,-1,0,-1,0,0,1,0,1,0,1,0,1,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,0,-1,1,1,0,0,0,0,1,0,
1,0,1,0,1,0,1,-1,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,0,-1,-1,0,1,0,1,0,1,
1,1,1,1,1,1,1,1,0,1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,-1,-1,0,0,
0,1,1,1,1,1,1,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,2,1,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,-1,0,1,1,0,
0,0,0,0,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,-1,0,-1,-1,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static signed short stb__courier_bold_25_latin_ext_y[560]={ 18,3,4,2,2,4,5,4,3,3,4,5,15,10,
15,2,3,3,3,3,4,4,3,4,3,3,8,8,5,8,5,4,3,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,2,4,3,22,3,7,4,7,4,7,4,7,4,4,
4,4,4,7,7,7,7,7,7,7,4,8,8,8,8,8,8,4,4,4,9,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,18,8,2,4,6,4,
4,3,4,4,3,8,10,10,4,1,1,2,3,3,3,8,4,9,17,3,3,8,3,3,3,8,-1,-1,0,0,
0,-1,4,4,-1,-1,0,0,-1,-1,0,0,4,0,-1,-1,0,0,0,7,3,-1,-1,0,0,-1,4,4,3,3,
3,4,4,2,7,7,3,3,3,4,3,3,3,4,4,4,3,3,3,4,4,5,7,3,3,3,4,3,4,4,
1,4,0,3,4,7,-1,3,0,3,0,3,0,3,0,4,4,4,1,4,0,3,0,3,4,7,0,3,0,3,
0,3,0,3,4,2,0,0,4,4,0,4,1,4,0,3,4,4,0,8,4,4,0,3,4,4,8,-1,-1,4,
4,4,4,4,4,4,4,-1,3,4,7,0,3,4,4,7,1,4,0,3,-1,3,4,7,-1,3,4,7,0,3,
-1,3,0,3,4,7,0,3,4,4,0,4,4,4,0,4,1,4,0,3,-1,2,-1,3,4,8,0,3,0,3,
0,-1,3,0,3,0,3,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,3,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,7,4,4,4,4,4,4,4,4,4,4,4,4,4,2,7,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,3,0,3,0,
3,0,3,-1,1,-1,0,-1,0,-1,-1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,-5,-2,-1,3,-1,3,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static unsigned short stb__courier_bold_25_latin_ext_w[560]={ 0,5,9,11,11,11,11,4,6,6,11,13,6,10,
5,11,11,11,11,11,11,11,10,11,11,10,5,6,14,13,14,10,10,15,13,13,13,13,12,14,13,11,13,14,
13,15,15,13,12,13,14,11,13,14,15,15,14,13,11,6,11,6,11,16,5,13,14,12,14,13,12,14,13,11,
10,13,11,15,13,13,14,14,12,11,13,13,14,15,13,13,11,7,3,7,11,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,0,5,11,13,11,13,
3,12,8,15,9,13,14,10,15,16,8,13,7,7,5,13,11,5,5,7,9,12,14,17,14,10,15,15,15,15,
15,15,15,13,13,13,13,13,11,11,11,11,14,15,13,13,13,13,13,10,14,14,14,14,14,13,12,12,13,13,
13,13,13,13,15,12,13,13,13,13,11,11,11,11,12,13,13,13,13,13,13,13,13,13,13,13,13,13,14,13,
15,13,15,13,16,14,13,12,13,12,13,12,13,12,13,16,14,14,13,13,13,13,13,13,14,13,13,13,14,14,
14,14,14,14,14,14,13,13,13,13,11,11,11,11,11,11,11,11,11,11,14,14,13,10,14,13,14,13,11,13,
11,13,11,13,12,13,11,15,13,15,13,15,13,14,13,12,13,13,13,13,13,13,15,15,14,12,14,12,14,12,
11,11,11,11,11,11,11,11,13,13,13,14,13,13,14,13,14,13,14,13,14,13,14,13,14,14,15,15,13,13,
13,11,11,11,11,11,11,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,13,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,15,14,12,12,12,12,12,12,12,12,12,12,12,12,12,15,15,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,15,13,11,11,13,
13,14,13,14,13,14,13,14,13,14,13,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,15,13,15,15,14,13,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12, };
static unsigned short stb__courier_bold_25_latin_ext_h[560]={ 0,16,7,19,19,15,14,7,19,19,10,13,7,3,
4,19,16,15,15,16,14,15,16,15,16,16,11,13,13,7,13,15,17,14,14,15,14,14,14,15,14,14,15,14,
14,14,14,15,14,18,14,15,14,15,14,14,14,14,14,18,19,18,8,3,4,12,15,12,15,12,14,16,14,14,
19,14,14,11,11,12,16,16,11,12,15,11,10,10,10,15,10,18,18,18,6,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,0,15,17,14,11,14,
18,17,3,15,7,10,8,3,15,3,8,16,9,9,4,15,16,4,5,9,7,10,15,15,15,15,19,19,18,18,
18,19,14,19,19,19,18,18,19,19,18,18,14,18,20,20,19,19,19,10,17,20,20,19,19,19,14,15,16,16,
16,15,15,17,12,15,16,16,16,15,15,15,15,14,15,14,16,16,16,15,15,13,13,16,16,16,15,20,19,19,
17,15,18,16,17,14,20,16,19,16,19,16,19,16,18,15,14,15,17,15,18,16,18,16,17,15,18,16,19,20,
19,20,19,20,19,21,18,18,14,14,18,14,17,14,18,15,18,18,18,10,15,19,19,20,19,19,10,19,19,19,
19,14,14,14,14,14,14,19,15,19,16,18,15,14,15,16,18,15,19,16,20,16,14,12,19,15,19,16,18,15,
20,16,19,16,19,15,19,16,20,20,18,15,14,15,19,15,18,15,19,16,20,17,20,16,18,14,18,15,18,20,
18,19,15,18,15,18,15,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,15,14,14,18,14,14,14,
14,14,14,14,14,14,14,14,14,14,15,12,14,14,14,14,14,14,14,14,14,14,14,14,14,17,12,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,18,16,18,15,19,
16,19,16,20,18,20,19,20,19,20,20,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,23,21,19,16,21,17,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14, };
static unsigned short stb__courier_bold_25_latin_ext_s[560]={ 255,245,160,224,70,180,46,251,248,248,29,
225,249,228,250,229,58,141,129,201,128,16,227,42,70,150,248,245,1,180,239,
220,245,152,152,158,85,71,99,1,83,237,28,1,16,30,112,54,58,114,182,
112,168,214,221,192,111,97,140,178,156,246,124,239,222,63,30,93,15,118,208,
29,178,166,198,138,126,172,188,132,186,101,202,106,1,146,69,84,1,117,226,
179,85,99,204,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,
110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,255,152,32,
68,160,42,174,44,228,96,170,15,136,228,136,237,151,122,116,100,250,82,82,
216,249,108,194,41,241,223,208,197,1,17,216,41,163,82,148,1,186,85,133,
187,230,1,1,13,15,25,30,1,242,45,71,215,159,148,44,142,115,62,135,
18,136,94,108,214,200,217,31,116,213,130,44,186,174,228,240,71,161,1,15,
1,238,88,102,211,197,172,158,144,31,61,47,41,201,89,1,31,1,42,75,
228,112,203,141,176,170,151,17,1,206,45,18,60,89,110,45,116,186,74,117,
17,200,178,184,208,199,118,171,46,31,103,96,82,221,56,174,15,233,153,209,
197,185,238,165,126,98,223,88,241,54,157,29,15,59,57,30,234,221,192,123,
13,45,29,45,147,59,177,192,83,232,103,33,124,73,73,229,77,55,243,215,
138,201,145,116,71,130,164,103,158,76,216,59,87,107,170,1,206,214,68,128,
200,155,189,101,57,15,241,159,27,143,172,71,234,57,236,188,121,124,89,185,
164,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,131,110,110,101,
110,110,110,110,110,110,110,110,110,110,110,110,110,73,16,110,110,110,110,110,
110,110,110,110,110,110,110,110,143,47,110,110,110,110,110,110,110,110,110,110,
110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,73,87,
131,231,168,96,209,59,193,59,163,142,133,128,103,89,110,110,110,110,110,110,
110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,
110,110,110,1,17,182,1,31,231,110,110,110,110,110,110,110,110,110,110,110,
110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,
110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,
110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,
110,110,110,110,110,110,110,110,110, };
static unsigned short stb__courier_bold_25_latin_ext_t[560]={ 1,124,303,25,46,196,274,124,25,1,303,
274,259,303,294,46,179,196,196,162,274,228,162,228,179,179,244,228,289,303,274,
196,106,274,259,228,274,274,274,228,259,259,228,274,274,274,274,228,274,106,274,
228,274,228,259,259,259,259,274,106,25,86,303,303,303,289,212,289,212,289,259,
179,259,259,25,259,259,289,289,289,162,162,289,289,212,289,303,303,303,212,289,
86,106,86,303,244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,
244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,1,228,144,
244,289,244,106,144,307,228,303,303,303,303,228,307,303,179,303,303,289,228,179,
303,267,303,303,303,212,212,212,212,66,66,86,106,86,46,244,46,66,86,86,
86,66,86,106,106,259,106,25,25,66,86,86,289,125,1,25,66,66,66,244,
196,179,179,179,179,179,125,289,196,162,162,179,179,179,179,179,259,179,259,179,
179,162,196,196,274,274,162,162,162,196,1,66,46,125,212,125,162,144,259,1,
144,46,144,46,144,46,144,125,196,244,196,144,196,125,144,125,162,125,196,125,
162,66,1,46,1,46,1,66,1,125,125,244,244,106,244,125,244,106,196,106,
106,106,289,196,46,46,1,66,46,303,66,46,46,86,259,259,244,244,244,244,
86,212,86,162,86,212,244,196,144,86,212,66,144,25,162,228,289,46,196,66,
144,86,212,25,144,66,144,66,212,66,144,25,25,86,212,244,196,46,228,106,
228,46,144,25,144,25,144,106,244,106,228,106,1,106,25,228,86,228,106,212,
244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,212,244,244,106,
244,244,244,244,244,244,244,244,244,244,244,244,244,212,289,244,244,244,244,244,
244,244,244,244,244,244,244,244,125,289,244,244,244,244,244,244,244,244,244,244,
244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,125,162,
125,196,25,144,25,162,1,125,1,25,1,25,1,1,244,244,244,244,244,244,
244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,
244,244,244,1,1,25,162,1,125,244,244,244,244,244,244,244,244,244,244,244,
244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,
244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,
244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,
244,244,244,244,244,244,244,244,244, };
static unsigned short stb__courier_bold_25_latin_ext_a[560]={ 212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,212,
212,212,212,212,212,212,212,212, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_25_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_bold_25_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_25_latin_ext(stb_fontchar font[STB_FONT_courier_bold_25_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_25_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_bold_25_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_25_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_25_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_25_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_25_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_25_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_25_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_25_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_25_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_25_latin_ext_s[i] + stb__courier_bold_25_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_25_latin_ext_t[i] + stb__courier_bold_25_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_25_latin_ext_x[i];
            font[i].y0 = stb__courier_bold_25_latin_ext_y[i];
            font[i].x1 = stb__courier_bold_25_latin_ext_x[i] + stb__courier_bold_25_latin_ext_w[i];
            font[i].y1 = stb__courier_bold_25_latin_ext_y[i] + stb__courier_bold_25_latin_ext_h[i];
            font[i].advance_int = (stb__courier_bold_25_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_25_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_25_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_25_latin_ext_s[i] + stb__courier_bold_25_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_25_latin_ext_t[i] + stb__courier_bold_25_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_25_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_25_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_25_latin_ext_x[i] + stb__courier_bold_25_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_25_latin_ext_y[i] + stb__courier_bold_25_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_25_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_25_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_25_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_25_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_25_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_25_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_25_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_25_latin_ext_LINE_SPACING
#endif

