// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_26_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_26_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_26_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_courier_bold_26_latin_ext_BITMAP_HEIGHT        178
#define STB_FONT_courier_bold_26_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_courier_bold_26_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_bold_26_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_bold_26_latin_ext_LINE_SPACING          12

static unsigned int stb__courier_bold_26_latin_ext_pixels[]={
    0x00000200,0x3204b800,0xcccccccc,0x05a803cc,0x02666660,0x00000000,
    0x00000000,0x00000000,0x40000000,0x00762000,0x26006600,0x2a000a81,
    0x0cca8001,0x500032a0,0x98002881,0x00d4000d,0x01000790,0xc9800000,
    0x0620004c,0x16a00013,0x002a0660,0x260001a8,0xa819800d,0x9801dc00,
    0x0b30005e,0x40bf6200,0xfffffff8,0x6406ffff,0xfff7004f,0x22005fff,
    0x074c004d,0x004d8800,0x01ec4664,0x8025c34c,0x50002efb,0x01f4c00d,
    0xe8003f20,0x3ee0002f,0x88cfc804,0xfd8802fd,0x7fdc003f,0x007be601,
    0x0df52ff8,0x2006fa80,0x5003ffd8,0x3fa001bf,0x9fd30000,0x0ffff100,
    0xf987fc00,0x04fc8007,0xfd88cfc8,0x3ffd8802,0x005fb800,0x017cc1d9,
    0xfa801ff5,0x03d0000e,0x405fd100,0xffeeeff8,0x3606feee,0x0000003f,
    0x007bffee,0x5c001fb8,0x1001efff,0x22009ffb,0x02fa89df,0x00698e88,
    0xf7001fb8,0xe8803dff,0x3fd8002f,0x004fc800,0x00bfffee,0x3bf2ffe6,
    0x01dd5000,0x1001fe88,0x001bfdfb,0xf3002fdc,0x001df97f,0xfd001df5,
    0x6cb60009,0x07feb801,0x5e89b600,0x001fec00,0x005ffff7,0x1df97ff3,
    0x8013f200,0x05fddff8,0x3e602ff4,0x7f50000d,0x803b3000,0x4ff31ff8,
    0x05d106fb,0x17445c80,0x3a637ee0,0x547a602f,0x7dc01d72,0x202fe98d,
    0x3aa351ea,0x7fffd400,0x1a2d1005,0xb8647a60,0x269fb00e,0x07fa00fe,
    0x4005b800,0xe88002fa,0x41b9000d,0x000002e9,0xfb8007b1,0x003d8002,
    0x05d306e4,0x2e00b620,0x2d8000ff,0x1fe6003b,0x10000000,0xbd10005d,
    0x98372001,0x007d002e,0x015bb710,0x22017fd4,0x3fd40002,0x21930000,
    0x4ff31ff8,0x06e606fb,0x27c47d80,0x802e0a60,0x00fc82fa,0xb802e0a6,
    0x001fb82f,0xfb800153,0x82fa802f,0x703500fc,0x00005401,0x4c231000,
    0x00000000,0x33333100,0x88000013,0x000004c1,0x83100000,0x01ffc009,
    0x0027f4c0,0x06aa2ff3,0x26202660,0x00000001,0x00000000,0x37f40000,
    0x0027f4c0,0xca800350,0x3ff88ade,0x2a7f99fa,0x5d7d304f,0x99800000,
    0x00019880,0x44aea600,0x00000099,0x26625753,0x00000800,0x33333100,
    0x88099813,0x77654019,0x30ff801c,0x3b2a00ff,0xd95001ce,0x7fec039d,
    0x714fffff,0x665c5999,0x30ff80bc,0x332e20ff,0x2f332e2c,0x45999710,
    0xf80bcccb,0xb80ff30f,0x0020007f,0xfff9ff30,0xfff309ff,0x7fffe45f,
    0x5bdb7300,0x665c4171,0x2f332e2c,0x5bdb7300,0x76540171,0xd95001ce,
    0x3fe6039d,0x03b2d802,0x310aa980,0xfffb1013,0x41ffffff,0x151fe619,
    0x10254ee0,0x65c59997,0xfff30bcc,0x7fffe45f,0x45999710,0x440bcccb,
    0xfefffffd,0x999712ff,0x05e665c5,0x3fffff62,0x9712fffe,0x6665c599,
    0x5999710b,0xb05e665c,0x9fffffff,0xc8bfffe6,0x6c40ffff,0x03ffffff,
    0x80bd136c,0xffffffd8,0x3fff6203,0xffb03fff,0x329fffff,0xfa9fffff,
    0x6d83ffff,0x7fe417a2,0xfffa9fff,0xffff93ff,0xfffff53f,0x2f44db07,
    0x400bfe20,0x00ccccca,0xdfffff30,0xff98bfff,0x3fff22ff,0xffffd80f,
    0x3f23ffff,0xffa9ffff,0xffd83fff,0x83ffffff,0xffffffd8,0x3fff6203,
    0xffb83fff,0x03b2d800,0x3ffff620,0x6c2fffed,0xffebbdff,0x03fcc01f,
    0x405d7d30,0xa9fffffc,0xf33fffff,0x7fe45fff,0xffff90ff,0xfffff53f,
    0x77fff447,0x92ffffff,0xf53fffff,0x7447ffff,0xffffefff,0xffff92ff,
    0xfffff53f,0x3fffff27,0x3fffffa9,0x3ffffff6,0x5ffff34f,0x207fffe4,
    0xfebbdffd,0xd800004f,0xffebbdff,0x77bffb04,0x26209ffd,0xb34fd999,
    0x3b227bff,0x80000cff,0x913dffd9,0x36619ffd,0xfd913dff,0x8000019f,
    0xff9806fc,0x3004ffff,0x32617fff,0x17fcc3ff,0xffc83fe4,0x4fffcbbd,
    0x44f7ff66,0x640cffec,0xffcbbdff,0xbdffd84f,0xfb04ffeb,0x9ffd77bf,
    0xd3007fc8,0x3fa2009f,0xfffffeff,0x70bfee2f,0xf9805fff,0x00e4c007,
    0x44f7ff66,0x260cffec,0x47fc82ff,0x913dffd9,0x7e419ffd,0xbffd50bf,
    0x13dffd98,0x6419ffd9,0xffd50bff,0x3dffd98b,0x219ffd91,0x913dffd9,
    0x98819ffd,0x264fd999,0x87fc82ff,0xffc82ffb,0x2204cc41,0x2ffb8099,
    0x7dc1ffc8,0x01ffc82f,0x3fd49fb0,0x4c40ff88,0x404cc409,0x1ff107fa,
    0xff107fa8,0x44099881,0x3fe20099,0xffedb802,0x9ff3007f,0x3f217f60,
    0x5c1ffc46,0x4ff883ff,0xff883fd4,0x441ffdc0,0x17fdc4ff,0x3ee0ffe4,
    0x21ffc82f,0x004005fd,0x2a17ff90,0x4ff85ffe,0x037fffcc,0xa9801fe6,
    0x07fa801a,0xdf901ff1,0xfa83ff88,0xf81ff107,0x85ff984f,0x1ff107fa,
    0xff984ff8,0xf107fa85,0x107fa81f,0x3f6001ff,0x3e237e44,0x204ff83f,
    0x3ffea6fd,0x217fff24,0x1bf604ff,0x37ec09ff,0x3ea4fd80,0x541ff107,
    0x3ff24fff,0x107fa85f,0x07fa81ff,0x7fd41ff1,0x17fff24f,0x6400dfb0,
    0x9802ffef,0x0ff300ff,0x37e45ff1,0x3ee04fd8,0xf883fd43,0x7027ec0f,
    0x204ff87f,0x027fc6fd,0x027f4dfb,0x0333332a,0x3e213fe0,0x107fcc5f,
    0x01ff5dff,0x7dc03fcc,0x00dfffff,0x3fe20ff5,0x322ff880,0x20ff506f,
    0x3fe20ff8,0xf50bfb01,0x883fe20f,0x0bfb01ff,0x3fe20ff5,0xf883fd40,
    0x89fb000f,0x1bf22ff8,0xff301fe6,0xf927ffd4,0x07f98bff,0x0ff33fcc,
    0xfb007f98,0xf883fd49,0x93ffea0f,0xfa85fffc,0xa81ff107,0x41ff107f,
    0x3f24fffa,0x7fcc05ff,0xfb7ff001,0x07ff300b,0xb7e41fea,0x5ff03ff8,
    0x07fa8280,0x2ff81ff1,0x01fe6140,0x03fccff3,0x05fd9fe6,0x3fffffe6,
    0x80ffc404,0x237d45fd,0x1ff88ffd,0x19ffb988,0x3fbfff60,0x0ff503ff,
    0x7e403fe2,0x2a07ff16,0x41ff107f,0xbfd01ff8,0x3e20ff50,0x407fe20f,
    0x07fa85fe,0x7fa81ff1,0x2001ff10,0x16fc84fd,0x0df507ff,0x7ec1ff88,
    0x2a2fe444,0x8ffc406f,0x7fc406fa,0x2a4fd801,0x01ff107f,0x5fc889fb,
    0xff107fa8,0xf107fa81,0x889fb01f,0x5fd805fc,0xf98ffa80,0x77fcc00f,
    0x882ff4c1,0x306fcaff,0xf50001ff,0x983fe20f,0x7d4000ff,0xa8ffc406,
    0x8ffc406f,0x76dc07fc,0x7c407fff,0xb8bfd01f,0xf8bff26f,0x7fffcc1f,
    0x35106fff,0xfa80ffa8,0x201ff107,0x06fcaff8,0x7fc41fea,0x7cc2ffc0,
    0x107fa85f,0x85ff81ff,0x7fa85ff9,0xfa81ff10,0x001ff107,0x3fe213f6,
    0xdf706fca,0xfd83ff00,0x7dc5fb84,0xf71ff806,0x003ff00d,0x83fd49fb,
    0x4fd80ff8,0x7fa85fb8,0xfa81ff10,0xb01ff107,0x00bf709f,0xfe803ff3,
    0xf3013fa4,0xffb9dfff,0x7ffe401f,0x00ff303f,0x7c41fea0,0x001fe60f,
    0x3fe01bee,0xff00df71,0x2003fee3,0x402ffefc,0x5ff985ff,0x7fd47fd4,
    0xd103fe24,0x09ffffff,0xffbccca8,0xf107fa81,0x7ffe401f,0x41fea03f,
    0x7fe40ff8,0x5ffeb89c,0xff107fa8,0x89cffc81,0xfa85ffeb,0xa81ff107,
    0x01ff107f,0x7e413f60,0xff303fff,0x6c0ff880,0x4c5fb84f,0x87fc407f,
    0x7fc407f9,0x2a4fd800,0x01ff107f,0x0bf709fb,0x3fe20ff5,0xf883fd40,
    0xb84fd80f,0x0bfd005f,0xff70ffcc,0xfffff980,0x4401efff,0x3e606fff,
    0x7fa8000f,0x7cc1ff10,0x3fcc000f,0x7cc3fe20,0x987fc407,0xbff803ff,
    0x7fdc05fd,0x5ffeb89c,0x2ffdffc4,0x80001bee,0xfffffffa,0x107fa81f,
    0x7fc401ff,0x83fd406f,0xffe80ff8,0x85ffffff,0x1ff107fa,0xffffffd0,
    0x0ff50bff,0xff503fe2,0x4003fe20,0xfff104fd,0x00ffc40d,0x09fb0ff7,
    0x1ff88bf7,0xff89fee0,0x401fee01,0x41fe64fd,0x4fd80ff9,0x7f985fb8,
    0xf981ff30,0xb01ff307,0x00bf709f,0x7e403fea,0x2fffffff,0x6e55fe60,
    0x3ff2002c,0x0027f403,0xff983fcc,0x20027f40,0x3ee01ff8,0xb807fe27,
    0x2037ec7f,0x0ff98ffa,0x7fffff40,0xffd85fff,0x13fe20ef,0xfa807710,
    0xffedceff,0xf307f981,0x3ffc801f,0xf983fcc0,0xffff900f,0xff30bfbd,
    0x6403fe60,0x5fdeffff,0xff307f98,0xf307f981,0x13f6001f,0x6c03ffc8,
    0x3ff880ef,0x5fc84fd8,0xf880efd8,0x4077ec3f,0xfb003ff8,0x5c1ffc47,
    0x909fb06f,0x07ff10bf,0x7ff10df7,0x3f60df70,0x2005fc84,0xffff04fe,
    0x40bfffff,0xd80007f9,0x07fc806f,0x0ffe215c,0x1ff21bee,0x0efd8570,
    0x7ec3ff88,0x43ff880e,0x3fa02ffa,0x2e013fa4,0x5fdcffff,0x88cfff98,
    0xfa806ffa,0x03bfa00f,0x3fe207fe,0xd806fb83,0x3ff8806f,0xa9806fb8,
    0xff10bf90,0x300df707,0x2217f215,0x86fb83ff,0x6fb83ff8,0xd80ff600,
    0xeff8806f,0x20dff511,0xffb30efc,0x1eff881d,0xf10dff51,0x3fea23df,
    0x83ff1006,0xfb88bffd,0x21df903f,0xd80effd9,0xffb88bff,0x117ffb03,
    0x3f207ff7,0x1dffb30e,0x703fee00,0x755555ff,0x1fe601ff,0x07ff3000,
    0x215dff30,0xfd86fe98,0x3ffb88bf,0x10aeff98,0xff88dfd3,0x0dff511e,
    0x2a23dff1,0x0dfd06ff,0x7fb87fe6,0x5fc86600,0xffffffb8,0xc8801fff,
    0x433fa00f,0x80affeb8,0xfb88bffd,0x1ffcc03f,0x88bffd80,0xf8003ffb,
    0x17ffb03f,0x0007ff71,0x3ff607ff,0x03ffb88b,0xf7117ffb,0x3fe2007f,
    0x007ff302,0x3fffffea,0xfff501ef,0x0fffffff,0xfffffff5,0x3ffea03d,
    0x981effff,0x0fffdccb,0x7fffffc4,0x3ffea06f,0x87ffffff,0xfffffff8,
    0x3fffe206,0x3ea06fff,0xffffffff,0x88ffe007,0xfe980dfe,0x67fe4c0c,
    0xd995000b,0x3e6007ff,0xffffffff,0xfffff882,0x3fe606ff,0x2fffffff,
    0xffffffa8,0xfff501ef,0x203dffff,0xffc80ff9,0x02ffffff,0xf987ff00,
    0xcffffcdf,0x50132000,0xffffffff,0xfff10fff,0x2a0dffff,0x003ffecc,
    0xfffffff1,0xcccb880d,0xff100fff,0x80dfffff,0xfffcccb8,0xfffff100,
    0x7fc40dff,0x306fffff,0x1dffb997,0x1fff6654,0xffffb100,0xfffb8019,
    0x105ffeef,0x019ffffb,0xcffffd88,0xfffffd00,0x3ff6203f,0xffb804ff,
    0x05ffeeff,0x09ffffb1,0x9ffffb10,0xdffff700,0x5c00bffd,0xfffff56f,
    0x7ffffec7,0xffffff10,0xffff500d,0x22005fff,0x1dffffec,0x3ffff620,
    0xffec8804,0x36201dff,0x400cffff,0x0cffffd8,0xfff81540,0x05ffffff,
    0x7fe665c4,0x2637e40f,0x00698001,0xf9ffffd7,0x3f620bff,0xff504fff,
    0x005fffff,0x13ffff62,0x3fffff60,0x7fec402f,0xffd804ff,0x4402ffff,
    0x804ffffd,0x04ffffd8,0x3ffffffa,0x3ffffea1,0x4c4002ff,0x00998001,
    0x80019880,0xedb80198,0x98800ade,0x00998001,0x80019880,0x99800198,
    0x31b80000,0x5c5dfffd,0x2e0effff,0x802deeee,0xdeeeeec8,0x00988000,
    0x8000cc40,0x4c400098,0x01988001,0xaaffb800,0x00ffbaaa,0x3ffffff6,
    0x0000c881,0x06a20000,0x200cc400,0xdeeeeec8,0x00cc4000,0x17bddb50,
    0x000cc400,0x017bddb5,0x4000cc40,0xedb80198,0x76440ade,0x000deeee,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0xe980dfe8,0xddb500cf,0x0000017b,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfffa8000,0x3fff63ff,0x000000ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x26000000,0x2e2efffe,0x000effff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x16436600,
    0x00150330,0x332a0008,0x200b3220,0x59100029,0x10038800,0x20005307,
    0x590d9800,0x5c400400,0xb8004ccc,0x2a066002,0x20035000,0x3326004a,
    0x80100004,0x4400a819,0x98009999,0x2601930c,0x03300a81,0x16a00015,
    0x00540d40,0x00199998,0x76d4026c,0xa801a9de,0x15033001,0x8000d400,
    0x11654000,0x0a81a801,0x7304b800,0xdf300999,0x7e403fd1,0x4005fd14,
    0xff9003fd,0x2027fc41,0x2000cffc,0x2a001fe9,0x7cc01eff,0x4c002742,
    0x23be605f,0x7fb001fe,0x7ffffb80,0x00ffd400,0x0be60ec8,0x007ffb10,
    0xff1003fd,0xf70000ff,0xe8a7e403,0x3fff202f,0x7ec02fff,0x3f207f93,
    0x3205fd14,0x005fd14f,0x3600bf70,0x003fd33f,0x0fffffff,0xfd01fe60,
    0x0bffffff,0x401ffec4,0x05fd14fc,0x007ffb10,0xc800ff98,0x04fbdfef,
    0x1fe99fec,0xf81fec00,0x7cc07fff,0xb801fe8d,0x4002ffff,0xdd7004ff,
    0x881f7441,0x01efbcfe,0x2000ef98,0x03feaefc,0x07f66fec,0x982fec00,
    0x001fe8df,0xd91013fe,0xf9800ffd,0xbff1000f,0xff980bfb,0x3e00efcb,
    0xffd7002f,0x04fd8000,0x02ffffb8,0x15555544,0x3fe9ff40,0x0bfffee0,
    0x05ffff70,0x8007fb00,0x001efefc,0x03555553,0x75bffb10,0xdbbdffc8,
    0x7ff306ff,0xfb801df9,0xf9802fff,0x000efcbf,0x59003ff5,0x20037fea,
    0x001efefc,0xeb80bfa2,0x8adc07fe,0x37a6001e,0x00c98000,0x1ea80000,
    0x36e00fa6,0x90fa2000,0x17db500d,0x03ff3000,0x000f456e,0xf9800326,
    0x80008007,0x400addb8,0x40ba60dc,0x0999bff9,0x8001fe60,0x3a6002fd,
    0x4000000d,0x805fd2fe,0xd3000de9,0x5d10001b,0x013a6000,0x40098310,
    0xfffffffb,0x3f613fe1,0x74c1b906,0x00de9802,0x174c1b90,0x40007700,
    0x0274c000,0x9800ecc0,0x0000007f,0x26000000,0x33330999,0x00000013,
    0x00000000,0x0037ec00,0x4c000000,0x2ea6007f,0x00013312,0x7fc40000,
    0x6fffffff,0x1998ff30,0x00001b80,0x22cccb88,0xf80bcccb,0x0005ff2f,
    0x00000000,0x7fc00000,0x7c40ff30,0x2ffeccef,0x13e607fe,0x00000000,
    0x22000000,0x32e2cccb,0x00000bcc,0x0ff30000,0x01ceeca8,0x15bdb730,
    0x76dcc017,0x7fc0b8ad,0xffffbfff,0xdb9506ff,0x2a01739d,0x01a9deed,
    0x3333332e,0x3b72a01c,0x8800b9ce,0x332e22ff,0x2f332e2c,0x9ddb9500,
    0x3fcc0173,0x7fffec40,0x712fffef,0x665c5999,0xeeda80bc,0x3fe21a9d,
    0x6fffffff,0x3fe6ff30,0xccb886ff,0xddb5004c,0x7fe4353b,0xfffa9fff,
    0x3fea23ff,0x4c0cffac,0xbccccccc,0x33333321,0x983ccccc,0xcccccccc,
    0x999503cc,0x36c00199,0x37dc0bd1,0x5dfb0fec,0xbccb8081,0x70b32e60,
    0x99999999,0x1bccca85,0x70733326,0x99999999,0x7ffffe45,0x3fffffa9,
    0x79999971,0xcccb8015,0x302ccccc,0x3ff620ff,0x6c03ffff,0xffffffff,
    0xfffffb03,0xffe87fff,0xffffebff,0xffffc86f,0xfe83ffff,0x05ffffff,
    0xfffffff3,0x3fff20ff,0x803fffff,0x7ffe46fc,0xffffa9ff,0xffffc83f,
    0x2603ffff,0x7ff4407f,0xffffffef,0x3fffff92,0x87fffff5,0xfffffffe,
    0x99bff885,0x55fe6009,0xfb86ffff,0xfe807fff,0x25ffffff,0x913dffd9,
    0x7fc19ffd,0xffffffff,0x3fffffe1,0xfff15fff,0xffffffff,0xfffffd0d,
    0x30dfffff,0x09ffffff,0xefa80000,0x7ffcc080,0xffa82cef,0x3fffa3ff,
    0x3ffffa1f,0x3e24ffff,0x3fe5ffff,0x7ff47fff,0x24ffffff,0x913dffd9,
    0x3f219ffd,0xffffffff,0x3ffffa03,0xf304ffff,0x2f7ff60f,0xf904ffeb,
    0xfff977bf,0x77bff909,0x3109fff9,0x2e6627fd,0x677fec6f,0x644ffeca,
    0xffdbbdff,0x3fbb6e06,0xffd82def,0x4ffecace,0x2617fc40,0xd913dffd,
    0xffd819ff,0x4ffecace,0xf901fe60,0x3ffaa17f,0x9effecc5,0x20cffec8,
    0xfdbbdffc,0x005ff06f,0x7ff4ffcc,0xfdd9100b,0xbdffc80f,0x7d46ffdb,
    0xd81ff107,0xffffffff,0x3fbb6a0d,0xff11deef,0xdddffddd,0xddfb50df,
    0x0dfddddf,0x1ffffb6e,0x31026620,0x3bffe013,0x3ff6201c,0x3220efff,
    0x77fd46ff,0x77777f43,0x7fe44ffe,0x3fb6a1de,0x7777f42f,0x7d44ffee,
    0x441ff107,0xfeeeeffc,0xddfd03ff,0x209ffddd,0x2ffb87f9,0x7dc1ffc8,
    0x44ff883f,0xff883ffb,0x2a0ffa04,0x40bfea6f,0x427fc4fd,0xff1006fd,
    0x40bfea03,0x3fe404fd,0xff107fa8,0xb02ffa81,0x03fcc09f,0x3fe613fe,
    0xf107fa85,0xd84ff81f,0x005ff06f,0x17ffffcc,0xf80ff300,0x546fd84f,
    0x01ff107f,0x1ff31ff3,0xf107f980,0xfb9fe63f,0x7fb9f506,0x3f2037dc,
    0x3ea02ffe,0x3fff24ff,0xffffb305,0xfdb9805d,0x21ffb86f,0x3fe81ffb,
    0x3e2077f4,0x7d43311f,0x7f43fe86,0x883fd40e,0x43fd80ff,0x7fd07fd8,
    0xf300efe8,0x6c09ff0f,0x7027ec6f,0x204fd87f,0x0ffa03fb,0x04fe9bea,
    0x03ff07a6,0x3e2009f3,0x409fd01f,0x3fe201e9,0x220ff503,0x027f40ff,
    0x3fcc03d3,0x3603ff10,0x107fa85f,0x81ff81ff,0x05ff04f9,0x1ffffcc0,
    0xf01fe600,0xa89f303f,0x01ff107f,0x01fe6ff3,0x7fc41fe6,0x37dcff31,
    0x13fd9fc8,0xbff80bf5,0x3fea05fd,0x17fff24f,0x1fffd930,0x7fcc02e2,
    0xff16fe80,0xfd8bf609,0x2e5ff01f,0xb0bf72ff,0x40ffec5f,0x1ff107fa,
    0xff307fb0,0x7ec5fb01,0x31fe601f,0x47f980ff,0x7c1402ff,0x3a01402f,
    0xf16fa83f,0xdfb0005f,0x22000815,0x2ff881ff,0x07fdc000,0xff107fa8,
    0x0017fc41,0xf881fe60,0x50bfd01f,0x03fe20ff,0x00815dfb,0xf9800bfe,
    0x2003ffff,0x77ec07f9,0x3fd4040a,0x2e20ff88,0xbffdcffd,0xe81fe600,
    0x4fa9fe67,0x3aff6fd0,0x3ea01c8f,0x400ff98f,0x2fe444fd,0x9fec4044,
    0x3ff105fb,0xdfd9ff10,0xffb86d40,0x7f4ffa03,0xb509f94f,0x540ffee1,
    0x01ff107f,0x6fd887fb,0x3fee1b50,0x2a3fcc03,0x8ffc406f,0x4c000ff9,
    0x740000ff,0xf36fa83f,0xff30001f,0x80059dff,0xff981ff8,0x27f40000,
    0x3e20ff50,0x003fe60f,0xf80ff300,0x85ff985f,0x1ff107fa,0xceffff98,
    0x9867f402,0x7fcc1edb,0x3004ffd8,0xfff980ff,0xff502cef,0xfb83fe20,
    0xffffffff,0x981fe605,0x0151fe61,0x3fff6bf3,0x24fe801f,0x27ec04fe,
    0x07fc2fdc,0xdffcafdc,0x40dfb511,0x001ffffb,0xfd80bff3,0xfb7fff9c,
    0x05ff9807,0x7fc41fea,0xdbadfd80,0xf9803fff,0x47f9805f,0x1ff806fb,
    0xf3000ff3,0x2662000f,0x3ea19cfe,0x9950ff36,0xfd881599,0x220effff,
    0x303ff102,0x999950ff,0x01ff5015,0xff883fd4,0x32a1fe60,0x2620accc,
    0x0999ffa9,0x5c4e7fe4,0x7fa85ffe,0xb101ff10,0x01dfffff,0x3fffffea,
    0x9fee22ff,0x2009dffc,0xfd8807f9,0x540effff,0x41ff107f,0xfeeffec8,
    0x1fe602df,0x7007f980,0x3ffff67f,0x70ffcc01,0x84fd80ff,0x6ffc45fb,
    0x2e7ff510,0xffffffff,0x27fec02f,0x806ff880,0xffefbdfc,0x3e202fea,
    0x83fd406f,0xffd80ff8,0x802fffff,0xf3006ff8,0x4407f98f,0x01ff30ff,
    0x000ff980,0x7fffffcc,0x26df55ff,0x3ffea0ff,0x2e603fff,0x0bf26ffd,
    0x3e607fe2,0x3fffea0f,0x04fe83ff,0xff883fd4,0xfa83fe60,0xf53fffff,
    0xffffffff,0xffffe81f,0xfa85ffff,0x801ff107,0x206ffdb9,0x1dfffffc,
    0xfa9fffe2,0x3e607fff,0x7edcc007,0x983fcc6f,0x95fc80ff,0x0ff300bf,
    0xe803fcc0,0xffdfffff,0x7fffe400,0x3602ffff,0x445fb84f,0xffffffff,
    0xffd9d30f,0xf3005dff,0x3ff6001f,0x3bee0660,0xffdfdcfe,0x983ff601,
    0xf983fcc1,0xeeefd80f,0xfd800eff,0x7cc0660f,0x700ffc47,0x004fe8ff,
    0x44004fe8,0xfffffffe,0x1ffcdf54,0x3dffdd91,0x7fcc02e2,0xff107fb0,
    0xc88ffe03,0x541effee,0x3fcc00ff,0x7fc0ff98,0x3ffbb223,0xffffd31e,
    0x901dffff,0xbfbdffff,0x3e60ff30,0x4c02e20f,0x2a6200ff,0x99fff601,
    0x2605fffe,0x402e207f,0x3fe20ff9,0xf906fb83,0x26013f29,0x1fe6007f,
    0x3fbbfe20,0x203139bf,0xffffffff,0x213f605f,0xfffe85fc,0x2200cfff,
    0x3e6000de,0x85ff9007,0xffffa87f,0x00ffffa9,0x47f85ff9,0x6fb83ff8,
    0x7fd47fb0,0x0bff200e,0x21fe60ff,0xff880efd,0x2e03fe43,0x2e03fe42,
    0x4df70002,0x93f206fe,0x3ff105fb,0x1fe60ff6,0x3f206fe8,0x8805fe84,
    0x86fb83ff,0x13f206fe,0x42a60000,0x3ff885fc,0x2fdc6fb8,0x2601ff88,
    0x0000000c,0x2fdc0ff3,0x7ec1ff88,0x3ffb88bf,0x13f69fb0,0x9801fe60,
    0x23fa807f,0x207f43fd,0xaaaaaffb,0xdf900ffb,0x03bff661,0xb000ffb8,
    0x3fcc005f,0x2227fd40,0x7ffcc0ff,0x01ffff16,0xff889ff5,0x445ffec0,
    0x7fb03ffb,0xf505ff98,0x80ff889f,0xeff887f9,0x30dff511,0x26215dff,
    0x77fcc6fe,0x0dfd310a,0xfa97f600,0xfd5109df,0x88effe49,0x3bf66fda,
    0x40dfd50b,0x5109dffa,0x1ff989fd,0x117ffb00,0xff507ff7,0x3faa213b,
    0x00336204,0xfb03ff80,0x7ff7117f,0x511dffc8,0x4fd80dfb,0x0026cc00,
    0xffc81fe6,0x0dfb511d,0xfffffff1,0xfd9fec0d,0x3fea6603,0xf7310199,
    0x3f66033f,0x3339fd33,0x6ff443ff,0x80cfe980,0xfffffffa,0x1fe607ff,
    0x01fb3220,0x067fea62,0x4ccf7fc4,0x7c40ffa9,0x1fff64ff,0x2667bfe2,
    0x7c40ffa9,0x06ffffff,0xfa839fd1,0x3bfe20bf,0x0ffa9999,0x541ffb6a,
    0xefffffff,0xfffff301,0xf305ffff,0xffffffff,0xd9971005,0xfffc85ff,
    0x24ffffff,0xfffffffb,0x3fff62ff,0x400effff,0xfffffffc,0x02fec4ff,
    0xffffff10,0x7ffe40df,0x04ffffff,0x1007f951,0x1fff9997,0x3ffffe20,
    0xfffb86ff,0x02ffffff,0x510016c4,0x998805f9,0x20999ffa,0xfffffffb,
    0xffb102ff,0x1fc809ff,0x3ffe03f9,0x45ffffff,0xfffffff9,0x77fffcc6,
    0xffffffff,0xfffff51f,0x7ffffec7,0xeffffb80,0x3e605ffe,0x4ffe8807,
    0x7ffffc40,0xfff987ff,0x0fffffff,0x3ea1fff8,0xffff986f,0x80ffffff,
    0x04ffffd8,0x8bfffff7,0xff30fffd,0xffffffff,0x03ffffc1,0x19ffffb1,
    0xfffec880,0x3b2201df,0x001dffff,0x07fffffd,0x3fffff6a,0x7f674c2e,
    0xda82efff,0x000dffff,0xdfffffb5,0x8003ff05,0x04ffffd8,0xfffffda8,
    0x3ffea02e,0xffffd802,0x7ec402ff,0x9d304fff,0x05dffffd,0xfb800d30,
    0x3fea00ff,0xffffffff,0xfffd9d30,0x331005df,0x3f600000,0x3fffffff,
    0x7fffff44,0x7fff444f,0xfffffffc,0xfffd31ff,0x7fffdc5d,0x0026600e,
    0x08800f60,0xffffe880,0xfff985ff,0x0fffffff,0x7fc47fe8,0xfffff985,
    0x200fffff,0x7f540198,0x7f443fff,0x3ffffe65,0x2a0fffff,0x98804ccc,
    0x01310001,0x00013100,0x0037bdb5,0x44002662,0x03300099,0x00998800,
    0x988000ea,0x13310001,0x4006a600,0x00bdeeda,0x10006620,0x05c00133,
    0x20055400,0xffffffe9,0x33100eff,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x5c400000,0x0abccccc,0x0001a800,0x0b800762,
    0x8b2a0038,0x71754008,0x22ea801d,0x2d4000eb,0x13333100,0x82f33220,
    0x803500a9,0x3051001a,0xa82d4005,0x665c0ccc,0x01d880bc,0x50025c00,
    0x01a81641,0x3d8001a8,0x001a8000,0x95028815,0x00179999,0x910016a0,
    0x2e06a005,0xb8801000,0x9931bccc,0x00ec4059,0x400b6200,0x5000a819,
    0x36e60003,0x400b8ade,0x0a819800,0xfffffff9,0x362007ff,0xf98003ff,
    0x913a000e,0x3fbf200f,0x7e404fbd,0xf900bfa4,0x90017f49,0x3ff2009f,
    0xf982ffff,0xdff16fff,0xb107f881,0xdf3007ff,0x64017f23,0xffff884f,
    0x3ffffea5,0x0005fd03,0x3ea00ff6,0x883ff36f,0x3ff6207f,0x027e4003,
    0x03ffd880,0x0df52fe8,0xfffffff1,0x09f9000b,0x800ff4c0,0x400fd46c,
    0xff900ff9,0x3ffebfff,0x0bfa01ff,0x007f4c00,0x5fd14fc8,0x03ffd880,
    0x7ffffec0,0x3e603fff,0x983b200f,0xddff912f,0x807fffdd,0x0efcbff9,
    0x001bf500,0x3fecefa8,0x3fea5900,0x1054400d,0x44151005,0x00ff6002,
    0xaaaaaa88,0x2deff980,0xff317ff2,0xdf97ff30,0xfefe9801,0x407fb004,
    0x912fffeb,0x6c019ffd,0x17f4003f,0x3a2ffe80,0x983fcc6f,0x00efcbff,
    0x30017ee0,0x01df97ff,0x06ff7ec4,0xceffedb8,0x01fec001,0x4001df30,
    0x05fdcff8,0x2203ff50,0xfb1deffc,0x9fb007ff,0x00ef9800,0x17fffdc0,
    0x3f2ffe60,0xdffc800e,0x04fffcbb,0xf8807fea,0xfd85fddf,0x203fec43,
    0x00ba60dc,0x93000264,0x0800039d,0x00000000,0x0001e880,0x503fcc00,
    0xc87f98ff,0x400ba60d,0x3d1001ec,0x8dfff300,0x5b800ff8,0x4007a600,
    0x7fd40ff8,0x6e41fe62,0x3000ba60,0x06e4001d,0x7f7005d3,0x001fea00,
    0x2e000f44,0xeb88000d,0x01dc002d,0xdff71fec,0x0035c001,0xe9800132,
    0x20dc800d,0x7fdc02e9,0x404ff883,0xddb8803b,0x983fd80a,0x665c40ff,
    0x00000002,0x76540000,0xd95001ce,0x32e2039d,0x3332e2cc,0xa800000b,
    0xf301ceec,0x263fd40f,0x0000007f,0xff980000,0x03fe24ff,0x20000000,
    0x4bfd07f9,0x000007f9,0x00000000,0x00ff5000,0x00000000,0xb0000000,
    0x037ff27f,0x00000000,0x00000000,0x1fdc09fb,0x36000000,0x437ec43f,
    0x2003fffc,0xbcccccb8,0x9995000a,0x36200199,0x03ffffff,0x3fffff62,
    0xffffc83f,0xfffffa9f,0x982f32e3,0xfd882ccb,0x983fffff,0x31fea07f,
    0xcccc98ff,0x32a1bccc,0x6665c0cc,0x3333260b,0x7cc1bccc,0xff11ffbf,
    0xccccc981,0x332a1bcc,0x5e665c0c,0xfb83fcc0,0xc98ff31f,0x2f32e2cc,
    0x99999501,0xcccb8801,0x0ccccccc,0x59999971,0x00ff5003,0x333332e2,
    0x2a0ccccc,0x00bccccc,0x333332e2,0x710ccccc,0x99999999,0xdbfd8199,
    0x32e205ff,0xcccccccc,0xcccca80c,0x665c400c,0xcccccccc,0xccccca80,
    0x402ff800,0xccccc982,0x33261bcc,0x21bccccc,0xffdbadfd,0x3ffd983f,
    0x3ffff200,0x403fffff,0x4ffffff9,0x77bffb00,0x3f609ffd,0x4ffebbdf,
    0x89effecc,0xf50cffec,0x7ff47fff,0x6ffec1ff,0x4c4ffebb,0x31fea07f,
    0xfffff8ff,0xff15ffff,0x7ffd4bff,0x3fffe3ff,0x4c5fffff,0x3e2dfd7f,
    0x7ffffc0f,0xff15ffff,0x7ffd4bff,0x83fcc3ff,0x8ff32ff8,0xfa9ffffe,
    0xff986fff,0x6404ffff,0xffffffff,0xfff90fff,0x01bfffff,0xfc803fd4,
    0xffffffff,0xffff10ff,0x7e40bfff,0xffffffff,0xffff90ff,0x1fffffff,
    0x0fffffd8,0x3fffff20,0x40ffffff,0x4ffffff9,0x7ffffe40,0x40ffffff,
    0x4ffffff9,0x0007fcc0,0x7ffffffc,0x3fffe5ff,0x365fffff,0x2fffffff,
    0x1001fec0,0xfddddff9,0xedb807ff,0xfb807fff,0x41ffc82f,0xffc82ffb,
    0xf883fd41,0x1bff220f,0xfb87dff5,0x21ffc82f,0x1fe607f9,0xeeda8ff3,
    0x2e1deeff,0xd912fffe,0x76d419ff,0x41deeffe,0x17ff37f9,0xeeda81ff,
    0x2e1deeff,0xd912fffe,0x7f9819ff,0x3fc4ffe0,0x644fbfea,0xdb702eff,
    0xc880ffff,0xeeeeeeff,0xdffb10ff,0x01ffffdd,0x64401fea,0xeeeeeeff,
    0x3fb6e0ff,0x32201cef,0xeeeeeeff,0xdff910ff,0x1ffddddd,0xefffffd8,
    0xddff9100,0x01ffdddd,0x0ffffdb7,0xeeeffc88,0xb80ffeee,0x407fffed,
    0xb50007f9,0x3bddffdd,0x77ff76d4,0x3bbf61de,0x6c00effe,0x009aa8bf,
    0x3f621fec,0xffdf9007,0x204ff805,0x027fc6fd,0x07fa8dfb,0xff701ff1,
    0x7c0ffdc3,0x99bf604f,0x3bfe207f,0x7cc0ff32,0x37ffcc07,0xf9803fe2,
    0xf93fcc07,0x4c01ff3f,0x7ffcc07f,0x2e07fc46,0x97fa06ff,0xc83fd819,
    0xfefc805f,0x83fd802f,0x1fe60ff8,0x7d417fea,0x7fb0bb07,0xf501ff10,
    0x83fd800f,0x1fec0ff8,0x3f607fc4,0x00efea9f,0x3fe20ff6,0x3ffbf200,
    0x883fd802,0x3bf200ff,0x3fe602ff,0x3fcc0000,0x3607f980,0x03bfea3f,
    0xffffefd8,0x20ff601f,0xff800ff9,0x3e605fdb,0xf33fcc07,0x547f980f,
    0x01ff107f,0x27fc5bfa,0x3e603fcc,0xfb01fe67,0x981fe6bf,0x7ffcc07f,
    0x803fe24f,0x3fcc07f9,0x01ffdfd1,0x3e603fcc,0x3fe24fff,0xb01fffc0,
    0x07fb00df,0x7ff00bf9,0x7fb00bfb,0x7cc7f8dc,0x503ff507,0x81ff10ff,
    0x3fc6e3fd,0x6c007fa8,0x43fc6e3f,0x3fc6e3fd,0x9ff31fec,0x2371fec0,
    0x6dffc07f,0x23fd805f,0xff80ff1b,0x7f405fdb,0x3fcc0004,0x3607f980,
    0x02ffcc3f,0xffdffffb,0x10ff601f,0xff500dfb,0x2a01ff31,0x8ffc406f,
    0x7fc406fa,0x7c41fea1,0xd9ff100f,0x01bea0df,0x1fe63ff1,0xf31dff88,
    0x203fcc0f,0x11ffbff9,0x3fcc01ff,0xff51fe60,0x3fcc01ff,0x3feffe60,
    0xea81ff11,0x997fa06f,0xfc83fd80,0x4c7fd405,0x9fec00ff,0xf98335fa,
    0x2a0ffa07,0x40ff887f,0x26bf53fd,0x800ff501,0x26bf53fd,0xbf53fd81,
    0x70ff6066,0x4ff601ff,0x540335fa,0x00ff98ff,0x35fa9fec,0x4c7fd403,
    0x1ff200ff,0x3fcc0570,0xd107f980,0xbffa839f,0x224ffd80,0x5bfb03fe,
    0x007fffb7,0x827f49fd,0x1ff806fb,0x3ff00df7,0xff883fd4,0x3fffee00,
    0xf00df701,0x981fe63f,0x303fcc7f,0xd7f980ff,0x803fe2df,0x7fd407f9,
    0x03fff609,0x7cc07f98,0x3fe2dfd7,0x3e07f980,0xfb0ff13f,0xbfffffff,
    0x3fa4fe80,0x7fffec04,0x81fe606f,0x3ee624fd,0xff99999f,0x7ffffec0,
    0x007fa806,0x37ffffec,0x3fffff60,0x073fa206,0xffb039fd,0x3a00dfff,
    0xb013fa4f,0x00dfffff,0x04fe93fa,0x442bbfe6,0x3e606fe9,0x70ff3007,
    0xd8bfffff,0x27ec0fff,0xffd82fe4,0x802fffff,0x1fee1ff9,0x3e203fcc,
    0x880ff30f,0x41fea0ff,0x7ec00ff8,0x01fe604f,0x1fe61ff1,0x3fcc7fa8,
    0xf980ff30,0xff17ff37,0x703fcc01,0x223fffff,0x3e600fff,0xf9bfcc07,
    0x980ff8bf,0x25ff107f,0xfffd87f9,0x205fffff,0x1fee1ff9,0xdfffffb0,
    0xf903fcc0,0x3ffffe29,0x0fffffff,0x37ffffec,0x2003fd40,0x06fffffd,
    0x37ffffec,0x5fffffb8,0xfb17ffee,0x300dffff,0x03fdc3ff,0x1bfffff6,
    0xfb87fe60,0x7fffcc07,0x202fffff,0xff3007f9,0x7ffffd50,0xfd85fe88,
    0xfb05fc83,0x01dffddd,0xffffff90,0x3ff105ff,0xff13fdc0,0x263fdc03,
    0x01ff307f,0x2200ff98,0x9fee01ff,0x1fea07f9,0x3fcc0ff3,0xffc9fe60,
    0x3e600ff9,0x3fffaa07,0x803fee0e,0x3fcc07f9,0x01ff3ff9,0x3fee0ff3,
    0xbfb0ff30,0x0bfb5555,0x7fffffe4,0x37f602ff,0x3e606fca,0xfd93f607,
    0xffffffff,0x56fec0ff,0x7fa806fc,0x5bfb0bb0,0xdfd80df9,0xfd506fca,
    0xfff87fff,0x7e56fec3,0xffffc806,0x3602ffff,0x806fcadf,0xfffffffc,
    0x7f64402f,0x4c01dfff,0x0ff3007f,0x1fec0000,0x3fd82fe4,0xf003bfea,
    0xffffffff,0x203bf60b,0x77ec3ff8,0x443ff880,0x06fb83ff,0xfd807f98,
    0x23ff880e,0x1fea07f9,0x3fcc0ff3,0xfe89fe60,0x3e600ffe,0x30000007,
    0x27f980ff,0x80ffefe8,0x4bff07f9,0x83fd87f9,0x3ffe05fc,0x05ffffff,
    0x99f4cff6,0xf81fe62f,0x3600002f,0x3e67d33f,0xf887fa82,0xe99fec0f,
    0x3fd85f33,0x00be67d3,0xd33fd800,0x3fe0be67,0x5fffffff,0x9f4cff60,
    0xffff82f9,0x005fffff,0xf98003b6,0x00ff3007,0xfd800ee4,0xfb05fc83,
    0x205ff987,0xaaaaaffb,0xff880ffb,0x0dff511e,0x2a23dff1,0x7ffb06ff,
    0x007ff711,0xff100ff3,0x1bfea23d,0x3fd40ff3,0x7f981fe6,0x3ea3fcc0,
    0x3e600fff,0x01dc8007,0xf301fe60,0x0ffffa8f,0x7dc0ff98,0x361fe61f,
    0x705fc83f,0x755555ff,0x0ff601ff,0x0ff327e4,0xb9003ff2,0x207fb003,
    0x87fa84fc,0x1fec0ff8,0x1fec4fc8,0x6e404fc8,0x903fd800,0xaaffb89f,
    0x00ffbaaa,0x13f207fb,0x55555ff7,0x36001ff7,0x1fe6003f,0x9803fcc0,
    0xfe9806eb,0x037f220c,0xfa839fd1,0x6ff440bf,0x80cfe980,0xfffffffa,
    0xffff501e,0x2203dfff,0x6fffffff,0x4ffd4c40,0x7fffd401,0x7cc1efff,
    0x3ff21def,0x4cc3fcc4,0xa8199ffa,0x3ff609ff,0xffa9980f,0xeb980199,
    0xffa99806,0x9ffa8199,0x403fff60,0x1bfa2eff,0xcfe98ff3,0x1037f620,
    0xfd301bfd,0x9cfe8819,0x24fd9999,0xdb999ffa,0x75cc03ff,0x4e7f4406,
    0x24fd9999,0x999ffb98,0x3a20ff99,0xd99999cf,0x273fa24f,0x04fd9999,
    0xd1017f2a,0xb333339f,0x06ff449f,0x22067f4c,0x99999cfe,0x37fa24fd,
    0x00cfe980,0x201fb322,0x199ffa99,0x99ffa998,0x09fff101,0x17ffff98,
    0x2e3fffff,0x6c5fffff,0xfff50fff,0x7ffec7ff,0xffd880ff,0x6c400cff,
    0x400cffff,0x04ffffd8,0x7fffffc4,0x7fec407f,0xff980cff,0x1fff16ff,
    0x7ffc7f88,0x25ffffff,0x11fffffb,0xfff81fff,0x05ffffff,0xf013ffe2,
    0xffffffff,0x7ffffdcb,0x201fff11,0x3ff36ffa,0x3fe67f88,0xfffa9fff,
    0xffff51ff,0x7fffec7f,0xfffff70f,0x29ffffff,0xfffffffb,0x7fc405ff,
    0x3ffee04f,0xffffffff,0xffffff14,0x21ffffff,0xfffffffb,0xff74ffff,
    0xffffffff,0x3ffe609f,0x3fffee03,0x4fffffff,0x47fffff5,0x70fffffd,
    0xffffffff,0x3fea9fff,0x3ff63fff,0xfd100fff,0xffff809f,0x3e5fffff,
    0xffffffff,0x10055105,0x7f4bfffd,0xffd50eff,0x5fe887ff,0x8bbfffa6,
    0x00effffb,0x22000662,0x19880019,0xffffd100,0x26200bff,0x5e664401,
    0x41b80aa1,0xfffffffd,0x3fffaa3f,0xb03fee0e,0xffffffff,0x802a8807,
    0xfffffffd,0x3fffaa3f,0x803fee0e,0x5c06e1b9,0x3bfffa61,0x0efffe98,
    0x45dfffd3,0x50effffb,0xfffffffd,0x3faa9fff,0x02ceffff,0xea805510,
    0xffffffff,0x3fff64ff,0xffffffff,0xfffffd50,0x2a9fffff,0xfffffffe,
    0x2a604fff,0x7fff5401,0x4fffffff,0x45dfffd3,0x50effffb,0xfffffffd,
    0x3fa69fff,0x3fee2eff,0x04400eff,0x7ffffec0,0x3ff63fff,0x03ffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0x32a002cc,0x00b9ceed,
    0x99930040,0x10379999,0x98013333,0x5400222c,0x7540222c,0x88003ae2,
    0xb8809999,0x99712ccc,0x22ea8179,0x165400eb,0x0c000011,0x039dd950,
    0x809bb500,0x00099998,0x0075c3d5,0x00eb8baa,0x00000860,0x000bb880,
    0x2ea00080,0x2e22cccc,0xcccccccc,0x000000cc,0x00040000,0x00000011,
    0x88000000,0x00003ddb,0x04000ae0,0x20033660,0xff9005ff,0x07ffffff,
    0xff817a60,0x5fffffff,0x7fffffe4,0x7bfdf902,0xfdf9009d,0x3f209f7b,
    0x6400bf64,0x42ffffff,0xa9fffffc,0x643fffff,0xc80bfa4f,0x04fbdfef,
    0x883f1000,0x4ffffffd,0xffffd100,0x3ffff207,0x4fc802ff,0x9f900bfa,
    0x7d8017f4,0x426405f5,0xd99b002e,0x02f4c000,0xffffffd8,0x3fffff25,
    0x00ffffff,0x99000f5c,0x3a2005d0,0x007f2007,0x32009b10,0xbf002e84,
    0xffffe880,0x0026c405,0xe8800ff1,0x01fff407,0x7ec02774,0xffecacef,
    0x00efa804,0x3bffbb6a,0x555441de,0x54ae02aa,0x2c800dfe,0x2201bff5,
    0x8800a20a,0x982aaaaa,0xd913dffd,0x0a8819ff,0x2a5900a2,0x00000dff,
    0xdffd85f5,0x803ffebb,0x00dccffb,0x05555551,0x02882a20,0x00a20a88,
    0x02fdd7ec,0x3f222fea,0x0074f000,0x40077d40,0xf9999cfb,0x3bbff225,
    0x00ffeeee,0x009fffb1,0x3f222fea,0x01fe9800,0x400ff620,0x401efffb,
    0x0fc88bfa,0x7407f980,0x207f912f,0x801efffb,0x3a6007f9,0x27ffc01f,
    0x5ff50000,0xf3013f60,0x07f9800b,0x00100000,0x00000080,0x07fa8000,
    0x00001ff1,0x32e20080,0x999712cc,0x7fdc1ff9,0x401ffc82,0x000002fe,
    0x00000000,0x027cd7e4,0x03ffffc8,0x00173360,0x7d8017e6,0x07fb09d0,
    0xff101ff1,0x6401bee5,0x8803ffff,0xf90000ef,0x98dfc805,0x7fe402fe,
    0xff3003ff,0x3e21fd40,0xe98dfb85,0x07fcc02f,0x40077c40,0x26203ffe,
    0x27f40199,0x28803d30,0x1fe60088,0xcccccc98,0xccca81bc,0xcc9800cc,
    0x81bccccc,0x00ccccca,0x666665c4,0x2a0ccccc,0x81ff107f,0xccccccc9,
    0x03332a1b,0x32179997,0xfa9fffff,0x7c5fffff,0x81bf603f,0xca800ff9,
    0xb800cccc,0x32e60bcc,0x3332e22c,0x0ccccccc,0x000a2330,0x2e20006a,
    0x0288000b,0x260ffa20,0x46e3fd80,0x5302e07f,0x4001a800,0x00980002,
    0x8005c14c,0x3fcc001a,0x0db01fb0,0x4c017053,0x405efffe,0x0fffa002,
    0x03ffffdc,0x00005ff1,0x1fea1551,0x3fe07f98,0x5fffffff,0x7fffffcc,
    0xfffff804,0x7cc5ffff,0x404fffff,0xfffffffc,0x3ea0ffff,0xf81ff107,
    0xffffffff,0x4bffff15,0x33fffffa,0x3227bffb,0x7cc2cffe,0x443fcc07,
    0x00abffba,0x9ffffff3,0x3ffffa80,0x647ffffa,0xffffffff,0x26620fff,
    0x4404cc40,0x04cc4099,0x26204cc4,0x06a62009,0xfff50153,0x7fb001bf,
    0x440cd7ea,0x04cc4099,0x002aa620,0x2000aa88,0x22000aa8,0x2a2000aa,
    0x1fe6000a,0x3fed47e8,0x011aa988,0x3ffffff2,0x0355302f,0x2a05ffb0,
    0x2607ffff,0x2e0000ff,0xffeffffe,0xa81fe606,0xdeeffeed,0xfffedb81,
    0xfeeda807,0xdb81deef,0x4407fffe,0xeeeeeffc,0x1fea0ffe,0x36a07fc4,
    0x1deeffee,0x44bfffae,0x2a0cffec,0x01ff107f,0xff880df5,0x7fffffc0,
    0x3fb6e06f,0x7e4407ff,0x1f7fd46f,0xddddff91,0x3ea1ffdd,0x3fff24ff,
    0x927ffd45,0xffa8bfff,0x17fff24f,0x4effffe4,0x7ec0effd,0x403ffd89,
    0x06fffffd,0xfc93ffea,0x3fee05ff,0x2a01efff,0x01effffe,0x3bffffaa,
    0x3fffaa01,0x3faa01ef,0xeb81efff,0xeeeffeee,0x7ff4bf2d,0xffffb87f,
    0x7fcc2fff,0x42ffa8ad,0xdffffffb,0x803ff900,0x3e607fa9,0xacccca87,
    0x777ffdc0,0x2600ffff,0x0ff3007f,0x17ff7e40,0x400ff300,0x802ffefc,
    0x0ff883fd,0x7fc41fea,0x301fe600,0xff88dfff,0xf883fd40,0x806fb80f,
    0x7f7641ff,0xfc803eef,0xfb802ffe,0x407fee1f,0x0ff883fd,0x7e49fff5,
    0x7ffd45ff,0x517fff24,0x7fe49fff,0xfdfff05f,0x8dffffff,0x3bfaa2fb,
    0xfffffb01,0x27ffd40d,0x3a0bfff9,0xffffefff,0xfffffa81,0xffa81fff,
    0x81ffffff,0xfffffffa,0xffffa81f,0x7fc1ffff,0xffffffff,0x4feabf5f,
    0x77ffcc7d,0x7e44fffe,0x7ec0fd85,0x03fffeff,0xf3001ff7,0x507fcc0f,
    0x47ffffff,0xff31dffb,0x3fcc03ff,0x2007f980,0x005fdbff,0xff801fe6,
    0xfd805fdb,0x2a3fc6e3,0x01ff107f,0x3e603fcc,0x3fe24fff,0xf883fd40,
    0x407f880f,0xff300ff8,0xfdbff800,0x22dfd005,0x8ff604ff,0x9fb0ff1b,
    0xfb05fc88,0xb05fc889,0x05fc889f,0x3bfee133,0x3a23ff98,0x0bfee0df,
    0x1bf2b7f6,0xf9113f60,0x417ff90b,0x7fcc6ff9,0x83ffa22d,0x3a22dff9,
    0x37fe60ff,0x983ffa22,0x3fa22dff,0x32aaa60f,0xf0aaaaff,0x6c7d9b6b,
    0x0ff620df,0x220205ff,0x407fd41a,0xf9800ffb,0x911ffc07,0x6c3dffdd,
    0x3bbfe65f,0x01fe604f,0xfa803fcc,0x000ff98f,0x3ea00ff3,0x400ff98f,
    0x26bf53fd,0xf983fcc1,0x01fe600f,0x23ff7ff3,0x3fd40ff8,0xfd00ff88,
    0x303fdc03,0x7fd400ff,0x8800ff98,0x406fecff,0x26bf53fd,0xfb84fd81,
    0xf709fb05,0x2e13f60b,0x372e605f,0x6fd99bff,0x3a63ffd8,0xe99fec1f,
    0x9fb05f33,0xbff0bf70,0xff533333,0xf883fe45,0x441ff22f,0x41ff22ff,
    0x1ff22ff8,0xf3017fc4,0x0fbafc0f,0xbdffb8fb,0x07fd0509,0xf7999500,
    0x00ff503f,0xdfd01fe6,0xff127e40,0x2e3bfe65,0x01fe606f,0xfe803fcc,
    0x4c013fa4,0x49fd007f,0x7fec04fe,0x3e206fff,0x406fc83f,0xbfcc07f9,
    0x81ff16fe,0x1ff107fa,0x2603bf20,0x1fe603ff,0x3fa4fe80,0xffff7004,
    0xffffd803,0x427ec06f,0x09fb05fb,0x13f60bf7,0x3fa617ee,0xffffffff,
    0xdfd507ff,0x7fb13e23,0x3f613f20,0x7c45fb84,0xffffffff,0x80ffa3ff,
    0x80ffa5fd,0x80ffa5fd,0x80ffa5fd,0x1fe605fd,0xfdff15f8,0x7fff441f,
    0xefb81eff,0x3ea06540,0x1fffffff,0x3e6007b0,0x4effd407,0x449fd510,
    0x0fff89ff,0xa9988df7,0x260199ff,0x1ff9807f,0x7cc01fee,0x21ff9807,
    0x7fec07fb,0x7ec06fff,0x4ffc98bf,0x2603fcc0,0xf17ff37f,0x107fa81f,
    0x3fe601ff,0x0dff511e,0xf3007f98,0x003fdc3f,0xfb009ffb,0xd80dffff,
    0xb05fb84f,0x20bf709f,0x45fb84fd,0xfecefff8,0x07ffffff,0x17f6ffdc,
    0x33339fd1,0x9fb09fb3,0xff88bf70,0xffffffff,0xc80ffa4f,0xc80ffa5f,
    0xc80ffa5f,0xc80ffa5f,0x81fe605f,0x3fff266d,0xfffdca81,0x6fffc43f,
    0x3ea2fffd,0xffedceff,0x53310001,0x901333ff,0xffffffff,0xfedff89f,
    0xf87ff11f,0xffffffff,0x900ff305,0xffffffff,0x00ff3005,0xfffffff9,
    0x56fec05f,0x7f4406fc,0x806fffff,0x3fcc07f9,0x81ff3ff9,0x1ff307f9,
    0x7ffff440,0x7cc01eff,0xffff9007,0x2005ffff,0xfd800ff9,0x6c06fcad,
    0xb05fc84f,0x20bf909f,0x45fc84fd,0x3fe60ffa,0xfff30002,0x7ffffdc7,
    0x84ffffff,0x85fc84fd,0x7e4004ff,0x647ff107,0x47ff107f,0x7ff107fc,
    0xff883fe4,0xc81fe603,0x107b000f,0xffd30df9,0xefe8bfff,0x8001ff80,
    0xfffffffa,0xfda80fff,0xb82effff,0xeb89ffff,0x7ffec1ff,0x303fffff,
    0xffff00ff,0x00bfffff,0xfff00ff3,0x0bffffff,0x33e99fec,0x3ffee05f,
    0x0ff3002e,0x3fa27f98,0x7fc40ffe,0x8806fb83,0x00cffffd,0xff007f98,
    0xbfffffff,0x401fe600,0x267d33fd,0x9877e42f,0xfc80effd,0x1dffb30e,
    0x3661df90,0x3fe20eff,0x11dffd32,0x983c8595,0x7fff543f,0x4fffffff,
    0xfb30efc8,0xcffb81df,0x9832ea61,0xeb88beff,0x3bfe60ff,0x0ffeb88b,
    0x222fbfe6,0x3e60ffeb,0xfeb88bef,0x501ec00f,0x9ff3007f,0x7037e4c1,
    0x9fd017ff,0x2bffae21,0xe982f4c0,0xffffffff,0x04cc400e,0xffffff10,
    0xfd803fff,0x80ff3000,0xaaaaaffb,0x7cc00ffb,0x557fdc07,0x00ffbaaa,
    0x13f207fb,0x4c002fa8,0x23fcc07f,0xd80ffffa,0xffb88bff,0xefff9803,
    0x7e40750a,0xaaffb805,0x00ffbaaa,0xfb007f98,0xf513f207,0xffffffff,
    0xfffff50f,0xf50fffff,0xffffffff,0xfffffd8f,0x7fffffff,0x017dc2f4,
    0xfa80fd40,0xffffffff,0xfffffd87,0x7d44ffff,0x1fffffff,0xffffffa8,
    0xfffa81ff,0xa81fffff,0xffffffff,0x4ccccc41,0x7ec19999,0xff98b223,
    0x2fffffff,0xfa81fe60,0xffffffff,0x007fd47f,0x64000fe4,0x3ffa201d,
    0x01dffffe,0x301cbfc8,0x8333ff53,0xe980dfe8,0xfa9980cf,0x7f44199f,
    0x0cfe980d,0x4cce7f44,0x2604fd99,0x4cc04bcf,0xa8199ffa,0x3ff609ff,
    0xfffe880f,0xf8806fff,0xffffffff,0xff97b31f,0x0dfe8803,0x100cfe98,
    0x4033ff53,0x9999cfe8,0xffb84fd9,0x05ffeeff,0xfddffff7,0x3ffee0bf,
    0xc85ffeef,0xfedeefff,0x77f41dff,0x000efeee,0xb82ecf98,0xffeeffff,
    0xfffff705,0xfd3017df,0x4c03bfff,0x01dffffe,0x37ffffa6,0x3fffa601,
    0xffff81df,0x5fffffff,0x3ffbffe2,0x7ffff743,0x3fc403ff,0x3ffffae0,
    0x0985fffc,0x0597f900,0xa81bae60,0x000661ff,0xff03ffd1,0xbfffffff,
    0x8fffffea,0x20fffffd,0xffffffff,0xfffff55f,0x7ffffec7,0xffffff70,
    0x809fffff,0x3fe04ffc,0x5fffffff,0x47ffffee,0xb100fff8,0x2009ffff,
    0xffeefff9,0x3ffee4ff,0x7ffd405f,0x3fff63ff,0x7ffc40ff,0xfb87ffff,
    0xffffffff,0x026604ff,0x00026600,0xa8800266,0x3fa01981,0x000defff,
    0x98077ae0,0x9a880009,0x000cc001,0x0cc000cc,0x3600cc00,0xffffffff,
    0x6edc43ff,0x0d54c01b,0x22005700,0x1000001a,0xf1003ffd,0x0dc409ff,
    0x6c010000,0xffffffff,0x5dfffd33,0x077fffdc,0xfffffffb,0x3fffa67f,
    0x3fffee2e,0xffffd50e,0x09ffffff,0xffd80110,0x23ffffff,0x20efffea,
    0x4c400ffb,0x98198001,0x003bb902,0x45dfffd3,0x40effffb,0xffffffe8,
    0xffffea85,0x04ffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x08000000,0x00154400,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00060000,0x00030000,0x37300040,0x01044000,0x0333332a,0x40000000,
    0x001000c9,0x07999951,0x01000040,0x00080000,0x0aa984c4,0x00008800,
    0x13062002,0x02ddb880,0xea800ea0,0x0000f621,0x88015c00,0xc8811aa9,
    0xcccccccc,0x1001a982,0x00055413,0x0c002000,0x00c41800,0x002f76e2,
    0x88080000,0x0376205e,0x0005f880,0x77c003d7,0x0fdc0000,0x0175f4c0,
    0x2f457d40,0x7fffffcc,0x321aa004,0xadeca803,0x4403ff88,0xfff900fd,
    0x805fffff,0xe88007e8,0x01362006,0xfe800ee8,0x2ffffedf,0x000fea00,
    0x3fe01ba2,0x7440ff30,0x401fffff,0xd1002ff9,0x003ff57f,0x2a001362,
    0x7fdc01ff,0x262fffff,0xffffffff,0xcfffd84f,0x7ffe42eb,0x204ffffc,
    0x744003e9,0x005f8806,0x05fb27e4,0x17ffffe6,0x550dfd88,0x540fd800,
    0xfffa80ff,0x3bea002f,0xfffd1000,0x07be6009,0x00ff6200,0x4004a9dc,
    0x01fe8dfa,0x0ffffdb7,0x5c467c40,0x3ff6202f,0x0fffffff,0x6c0bfa20,
    0xcf9eecff,0x00ff4c00,0x4003bea0,0x801efffb,0x7f402fe9,0xfffeffff,
    0x005fc800,0xd801ef98,0xfd817a26,0x406ffccf,0x64001ff8,0xf7000dff,
    0x4c003dff,0x3fe600ff,0x24fffeef,0xeeeeeff9,0xffc884ff,0x7fe40dff,
    0x3fffefff,0x01efffc8,0x5001ff98,0x3ea001df,0x7f407ee2,0xd04ffdcf,
    0x07fdfd7d,0x4c0bfa20,0xe88dfb81,0x1be6002f,0x7e4bfe20,0x01fd1005,
    0x2002fd80,0x2002ebe9,0x001dd5f9,0x005ffdf9,0x027fffdc,0x3aef7ff6,
    0x77c01fff,0x363ff301,0x7c403f8e,0x6fcc000e,0x31bf9000,0xfb1005fd,
    0x24ffd803,0x7dc02fe8,0x0ef88003,0xff100000,0x401ffc43,0x00530000,
    0x7f4c6fe4,0x36002002,0x0ff620df,0x20ffe0bd,0x04ffdffd,0x7e41dff7,
    0xffaa7ec6,0x003be200,0x0000dd30,0xfa83fe60,0x0edc180f,0x0003dd00,
    0x80035053,0x40b88028,0x00140029,0x64c00054,0x15144001,0x3f6ffe00,
    0x80298005,0x7fdc2ffb,0x9005402f,0x1fc76cdf,0x28800140,0x05c14c00,
    0xfd801500,0x4c05fc84,0x00510001,0x33102662,0xfc87fa81,0x02aaa606,
    0x00554c40,0x800b8298,0x2e00aa98,0x0509bdff,0x5c07fd40,0x703ff50a,
    0xa8ff30ff,0x51005c41,0x00144000,0x5c015531,0x222ff85f,0x04cc4099,
    0x06a00540,0x2000d54c,0x4c001aa9,0x26200aaa,0x004cc409,0x4002aaa6,
    0x88001aa9,0xff5000aa,0x2001ff31,0xff801aa9,0x37fffcc4,0x811aa988,
    0x3e3b67fb,0x44099883,0x54c40099,0x5531000a,0x2aa62001,0x5c27ec00,
    0x2133305f,0x426202a8,0xff500aa9,0x2fffe49f,0x1fea1bee,0x3fffffa6,
    0xfff700fe,0x26203dff,0x5c026600,0x81efffff,0xefffffe8,0x417f2001,
    0x5fc9bcba,0x7f986fb8,0x80199988,0x88019998,0xf7001999,0xd03dffff,
    0x2a9fb07f,0x3ff24fff,0x9999885f,0x3e609999,0x7ffffdc6,0x3fee00df,
    0x200dffff,0xefffffe9,0x93ffea0f,0xd305fffc,0x1fdfffff,0xffffff70,
    0xffea801b,0x7f401eff,0xf7013fa4,0x01bfffff,0x7fc41ff3,0x7dc0ffae,
    0x22ffffff,0xf1db3ff9,0x24fffa87,0x2e05fffc,0x01efffff,0x3bffffee,
    0x3fffee01,0x09fb01ef,0xfff88bf7,0x3ffffaaf,0x7ff6fff4,0xfffa82ff,
    0x517fff24,0x7ff441ff,0x3bfffea1,0xfe82ffff,0x1ffffeff,0x2637fff4,
    0x7f44ffff,0x1ffffeff,0xffffb950,0x30ffe007,0xfffffffd,0xf30df70f,
    0x7ffffa8f,0x3ffffd40,0x1ffffea0,0x3fbfffa0,0x3fe21fff,0xff56fb81,
    0x2fffe49f,0x7fffffec,0xb1fea5ff,0x7fffdfff,0x7f7ffec0,0xfff503ff,
    0x45ffffdf,0x3f24fffa,0xfffa85ff,0x82ffffef,0xfffefffd,0x3fffea03,
    0xf301ffff,0x203fdc3f,0xfffefffd,0x7ec6fa83,0x261ff88f,0xfffeefff,
    0x777ffd44,0x7ffd43f8,0x417fff24,0xfffefffe,0xefffe81f,0xfe81ffff,
    0x1ffffeff,0x5fb84fd8,0x7fffff44,0x7f47ffff,0xfffeffff,0xc889fb00,
    0x4effc45f,0xf12fffd9,0x3ee215df,0x05ffe43f,0xffd8dff3,0x7fffc46f,
    0x982fff24,0x441ec6ff,0xffa806fc,0x2fbffa20,0x5c0ffffd,0x547f986f,
    0x5407ffff,0x5407ffff,0x6407ffff,0x3fe60bff,0x2a03fe26,0x2227ec6f,
    0xfffd85fc,0x2e4fffff,0x506a20ff,0x06a201ff,0xff881ff5,0x7ff710ae,
    0xfc889fb0,0x8577fc45,0xa883ffb8,0x4c07fd41,0x3fa22dff,0xffffc80f,
    0x2202ffff,0x207fd41a,0x8bff26fb,0x837f61ff,0xfd983fd8,0xfb03f8ef,
    0xc85fc889,0x3fe60bff,0x305ffe46,0xbffc8dff,0xb11bfe60,0x0efc819f,
    0x0cfffe88,0x49ffb057,0x9fb02fe8,0xff50bf70,0x25ffffff,0x3fb01ffa,
    0x9999dff8,0x7ec2ffa9,0x3fa1ff35,0x4cceffc3,0xf32ffa99,0x37e4c19f,
    0x3f22fe40,0x0fffc42f,0xf983df71,0x00ff5307,0x4c01fea6,0x6ffc07fa,
    0xffa99999,0xf501ff12,0xfb84fd8d,0xc99cfd85,0x3ff20eff,0xfbccca81,
    0x6665401f,0x7fd41ffb,0xfb03fb01,0xfa8bf709,0x403fb01f,0x1ffbccca,
    0xff107fc8,0xffffff05,0x9500bfff,0xa83ff799,0x24ffa8ff,0x3fee0ff8,
    0xd00509bd,0x3f607f1d,0xff85fb84,0xfa99999d,0x2677fe2f,0x22ffa999,
    0x99999dff,0xfff32ffa,0x3fffa1ff,0x005ffd07,0x17f213f6,0x2fdc27ec,
    0xfcffffa8,0x440df90f,0x7ffffc41,0x43ffffff,0x17ffb6fb,0x7ffc43ff,
    0xffffffff,0xffffff33,0xff005fff,0xf906fe87,0x7ffffc5f,0xf981fe62,
    0x01fe6007,0x3e207f98,0xffffffff,0x20bfe3ff,0x427ec5fc,0x50da85fb,
    0xffd81dff,0x3ffffea2,0xff501fff,0x83ffffff,0x406206fc,0x45fb84fd,
    0x406206fc,0xfffffffa,0x203fe81f,0x57fdc5fd,0x0ffbaaaa,0xffffff50,
    0xbff883ff,0x237dc5ff,0xefffffe8,0x3f8ed801,0xbf709fb0,0xffffff88,
    0xf13fffff,0xffffffff,0x3ffe27ff,0xffffffff,0x4bfffd13,0xfd05fffc,
    0x427ec007,0x09fb05fb,0xd1980bf7,0x002fe4ff,0x3fffffe2,0x4c4fffff,
    0xaefff9ff,0x7fffc47f,0x4fffffff,0x3fffffba,0x0ffa803f,0xff9827f4,
    0x87bfff60,0x1fe607f9,0x2007f980,0x3fe207f9,0xffffffff,0x3a13f64f,
    0x5c27ec3f,0x77fd405f,0xf53ffe80,0xffdb9dff,0x9dfff503,0xfc83ffdb,
    0x09fb0005,0x05fc8bf7,0xcefffa80,0xfe81ffed,0xe897f203,0xcfe980df,
    0x677ffd40,0xfd81ffed,0x3fe20eff,0xfffb9504,0xf8ed807f,0xf709fb03,
    0xfffff88b,0x14ffffff,0xffffffff,0x3fe29fff,0xffffffff,0x7400004f,
    0x13f6002f,0x27ec17ee,0xfb802fe4,0x803fee3f,0x0004ff80,0xbffffdff,
    0x009ff0df,0x000f74c0,0x0ffb0bf9,0xf3001ff2,0x003fcc0f,0x7cc00ff3,
    0x0027fc07,0x1ff11fee,0x5fc84fd8,0x403bfea0,0x1dfd4fff,0xdfd03ff0,
    0xfb83ff01,0x7ec0200f,0x7dc5fc84,0x3fa0200f,0xc81ff80e,0x27ff107f,
    0x23fffffa,0x20fffffd,0x1ff80efe,0x88cfff98,0x83d86ffa,0x76c06fc8,
    0x09fb03f8,0x09ff0bf9,0x4004ff80,0xc80004ff,0x05fd001d,0x7dc27ec0,
    0x261df905,0x44c0effd,0x445ffeb8,0x7dc41dff,0x30e7fdc6,0xffb01975,
    0x09fffd9f,0x54c39ff7,0x13f600cb,0xfa83ff80,0x9ff711cf,0x206fc800,
    0x3e6007f9,0x01fe6007,0x54c39ff7,0x33fe60cb,0xfc86fe98,0x1dffb30e,
    0x5c1dff50,0x7f53ffe1,0x5ffd710c,0x710cfe81,0x7c415ffd,0x37dc41df,
    0xfd9877e4,0x37fe20ef,0x3a37dc41,0xffd710cf,0xbeff9815,0x30ffeb88,
    0x5c5dfffd,0x3a0effff,0xffd710cf,0xffffb815,0x4c1fffff,0x3f260cff,
    0x1fc76c06,0xfb30efc8,0xcffb81df,0xb832ea61,0x2ea61cff,0x873fee0c,
    0x2600cba9,0x74cc06eb,0x100999bf,0xefc819fb,0xfffffa80,0x3ea7ffff,
    0x505fffff,0xffffffff,0xffffb09f,0x709fffff,0xfff53fff,0x3ffff605,
    0x984fffff,0xf5007edd,0x3fff201f,0x400effff,0x43ffdcb9,0x99ffa998,
    0x7d4cc409,0x4c40999f,0x0999ffa9,0xffffffd8,0x7fdc4fff,0xfa82ffff,
    0xffffffff,0x4cf7fd47,0x3ff66fa9,0xffffff51,0xfa8fffff,0xffffffff,
    0x7fffd47f,0xa84fffff,0xffffffff,0x7fffd47f,0x544fffff,0xffffffff,
    0xfffa87ff,0x001fffff,0x3fea13e0,0xffffffff,0x3f37fe67,0xf980cfff,
    0xffffffff,0x1fc76c02,0xffffffa8,0xffd87fff,0x4fffffff,0x7fffffec,
    0x7fec4fff,0x4fffffff,0x409fff10,0xfffffffc,0x7ffcc0ff,0xffffd0ff,
    0x3bfffee0,0x3fe65ffe,0x75402eff,0x04ffffff,0x3fffffee,0x6ff980be,
    0xfb803ffe,0x0befffff,0x002ffd88,0xffb807d1,0x4400cfff,0x545fffff,
    0xffffffff,0xffff50ff,0x21ffffff,0xfffffffa,0xffb80fff,0x80beffff,
    0x202ffffc,0xfeeffffb,0x7ffffc5f,0x3227ffff,0x7ffff5c2,0xeb85fffc,
    0xfffcffff,0xffffea85,0x3fee04ff,0x85ffeeff,0xffffffea,0xffffd704,
    0x260bfff9,0x01dffffe,0x22eef400,0xfcffffeb,0x31bf25ff,0xfffdd003,
    0x32607fff,0x0cefbfec,0xeeffffb8,0xfff705ff,0x7017dfff,0x7dffffff,
    0xfffff701,0x544017df,0x7fffdc02,0xe885ffff,0x3ff25fff,0x004cc05f,
    0x4c000988,0x220019a9,0x7ff0019a,0xa88037e4,0x00000019,0x0026a600,
    0x981beeb8,0xfffffffe,0xfffd30ef,0x21dfffff,0xffffffe9,0x2a200eff,
    0x00660019,0xff800998,0x7fffffff,0x0006a200,0x260006a2,0x260019a9,
    0x54cc0009,0x03510019,0x0000cc00,0x2205db30,0x00c8801a,0x01aa9800,
    0x7e7fffdc,0x026601ff,0x0066a200,0x20019a88,0x000019a8,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x15553000,
    0x004c0000,0x10603a80,0x44000003,0x4002e42e,0x0570ccb9,0x00337b26,
    0x730000a6,0x44180199,0x99999301,0x80000379,0x007a60dc,0x09993000,
    0x44266600,0x887a602a,0xddb9804c,0x74c1b702,0x1d70fa02,0x1cedb880,
    0x0ccb9800,0x4c4000c0,0x201330aa,0x13551199,0x98809980,0x895d4c01,
    0x04cc4099,0x75402662,0x64c13621,0x400bcccc,0x2000aa98,0x664c00b9,
    0x0000bccc,0x7ff4c000,0x200fefff,0x6c1ceeca,0x3e204a83,0x364fc81f,
    0x6fec402f,0xdfd80550,0xf8003fea,0x87f98fff,0x2ffffffb,0x19ffff70,
    0x1ffff000,0x5fb27e40,0xffffff50,0xd09901ff,0x657fd405,0x7ec400ef,
    0xff88551d,0x7fc4007f,0xffffaaff,0xfacfe883,0x3ffa202f,0xff981fff,
    0x3200efba,0x204fd9ef,0xffffffe8,0x7fffc002,0x07fff900,0x3ffffee0,
    0x7f46fffc,0xfffffcff,0x2ffff983,0x103ffff2,0xfdfffffb,0x3ffee5ff,
    0x417fff24,0x1ffabfe8,0xffffff70,0x7fffdc05,0x7fc401ef,0x7fffdc03,
    0x7fdc02ff,0x7d401913,0xdffff51f,0xb105ffff,0x47ffffff,0x201fe83f,
    0x22fa80fb,0x5f7401fb,0xb803fefe,0x70001eff,0x51b21ffb,0xfff97dff,
    0xfefff881,0xfca8003f,0xb8bea00f,0xeeffa81f,0x7f504eee,0x8801f911,
    0xdd004ffd,0x707fdfd7,0xe8800ffd,0xffffffff,0x37fee07f,0x37ffe600,
    0xfb100dbb,0x3faa009f,0x77fe402f,0x4006fecb,0xf980ffdb,0x6c00fc8a,
    0xffffefff,0x7fff46ff,0x5fffefff,0x917fffcc,0x7441ffff,0xffffefff,
    0x9fff52ff,0x202fffe4,0x0000dffc,0x7f7fff40,0x7f401fff,0xf3000002,
    0x01dfdf99,0x7fc67fe4,0x7ff710ae,0xb77bffb0,0xf01f5bff,0x0025c05f,
    0x076e0c00,0x80003880,0xd85b0ff8,0x21ffc46f,0x01bee5fc,0xbdffdd30,
    0x1fea0000,0x3ffff200,0x8006e003,0xf300edc0,0x3fa2000f,0x80570cff,
    0x77fcc039,0x001a8001,0x6d4005c4,0x4002ff82,0x45c80ff8,0x8ffee03e,
    0x501fffb8,0x7e447fff,0x417fcc3f,0xbffc87fc,0x20bffd50,0x2fe444fe,
    0x988014c0,0x3ff200aa,0x01bfe60b,0x40998802,0x98200998,0x6ecc00bd,
    0xfb01ffa8,0xb82ffb83,0xff983fff,0x0120999b,0x98003553,0x54c001aa,
    0x551000aa,0x911ff113,0x9fb07fd0,0x3fe23fd8,0x4cd54401,0x4400affa,
    0x1fea00aa,0x2001a800,0x88001aa9,0xbfcc00aa,0xe8009aa8,0x262002ff,
    0xdfb011aa,0x15510001,0x2204cc40,0x7ec00099,0x226aa204,0x26c80ff8,
    0x13fa02f8,0xf980ffe4,0x90df904f,0x83ff88df,0x5ff984ff,0xbf709fb0,
    0x33333310,0xfff70133,0xbff03dff,0xff533333,0x4ccccc45,0xfff50999,
    0x82fffe49,0x01553098,0x2206fc80,0x3604ff81,0x7fffc46f,0x406fffff,
    0xdffffffb,0x3fffee00,0x3a600dff,0x0fefffff,0x9fffff90,0x37e401ff,
    0x7fb0ffe2,0xc80ffd51,0xffcfffff,0x3fffaa00,0xcffa81ef,0x26202ced,
    0xffb80199,0x400dffff,0x1effffea,0xfff9ff30,0x3fe807ff,0x3fffee00,
    0x3fe62fff,0x3faa0012,0x7d41efff,0x3fff24ff,0x0bfea005,0x67ffffe4,
    0xbdf880ff,0x3ff1047e,0x4c07fe60,0x1ff300ff,0x3f22ff88,0xb01ff886,
    0x213f60bf,0xfffd85fb,0x745fffff,0xffffefff,0x3ffffe21,0x23ffffff,
    0xfffffffd,0x49fff55f,0xfe85fffc,0x2ffffedf,0x0017f200,0x7cc01ff3,
    0x7ffffc47,0x6c06ffff,0x3fffefff,0x3fbfff60,0xfff503ff,0x05ffffdf,
    0xfffffffd,0x7fcc01ff,0x40fffdce,0x4fffdbfd,0x3fffffa0,0xf500ffff,
    0x3fffffff,0xffffffa8,0xffffa84f,0xefffd807,0x3ea03fff,0x1fffffff,
    0xffffff98,0x3fa05fff,0xdfff3002,0x7d49fffd,0x00effeaf,0xfffffff5,
    0x27ffd43f,0xb80bfff9,0xfd06ffff,0xffffffff,0x273f6601,0x1ffc7fc9,
    0xf301ffb8,0x41fee05f,0x07ff16fc,0x3fa03ff1,0xf709fb05,0xfffffb0b,
    0x7fe49fff,0x89bfe60b,0xffffffff,0x3ff64fff,0x44ffffff,0x2fe444fd,
    0x77fffff4,0xf7000fff,0x3ea0401f,0x40ffc406,0x0999bff8,0x7d41a880,
    0xa835100f,0x77fc40ff,0x87ff710a,0xfb31cffc,0xffb801ff,0xfd82ffff,
    0x83ffffbb,0xfb31cffc,0xbff301ff,0x307ff445,0xfff79fff,0x7ffffa85,
    0x7d41a880,0x2dff980f,0xf303ffa2,0x3f6639ff,0x005fd02f,0xfd8837f6,
    0x3ffffee3,0x7fcc1fff,0x03ffa22d,0x5fc889fb,0x17fffec0,0xd98e7fe4,
    0x65400fff,0x7ec1beff,0x0fffcc1f,0x4c1eff98,0x5ff105ff,0x2ffc0df9,
    0xfd82ffcc,0xfd85fc84,0x0effc99c,0x266677fe,0x3fe2ffa9,0x4e7ec004,
    0x6c0effc9,0xb05fb84f,0x17f449ff,0xbff12aa8,0x2e6fb883,0x01ff806f,
    0x540005ff,0x01ffbccc,0x7fde6654,0xd80ffd41,0xe82ffc1f,0x3fe200ff,
    0xd86fffff,0x0bff6a3f,0x3ffa0bff,0xf107fc80,0xfd81985f,0x00ff5306,
    0x7fde6654,0xf107fc81,0x05ff985f,0xfe998dfd,0xf700999b,0x70a137bf,
    0xfd53bfff,0xf107fc8d,0xb84fd85f,0x7e54405f,0x82ffc1ff,0xfda80ffe,
    0x3e201bef,0xfffeceff,0xffff301f,0x01fffd9d,0x01ffffe4,0xd7139ff9,
    0x3bf60bff,0x81dffb30,0x1dff50da,0x7fffffc4,0x2e3fffff,0x2ea61cff,
    0x7d436a0c,0x84fd80ef,0x09fb05fb,0x7ff10bf9,0x7fffffd4,0x1fe64fff,
    0x3e01ff10,0xffa8002f,0x01ffffff,0xfffffff5,0x206fc83f,0x80ffc418,
    0x3f600ffb,0x87ff712f,0x25fe83fd,0xff701ff8,0x6c07fd01,0x0ff5005f,
    0x7d403fcc,0x1fffffff,0x3f603fe8,0xb80ffcc5,0x3ffff27f,0x880fffff,
    0x1efffffe,0x3ea37fd4,0xd80ffa1f,0x5c27ec5f,0x3fa2005f,0x5c07fe26,
    0x5f7c40ff,0x301cfea8,0xfffffffb,0x3ffe603f,0x01dfffff,0x4037ffc4,
    0xfffffffe,0xffffb05f,0x40ffffff,0x7c40effa,0xffffffff,0x7ffec4ff,
    0x04ffffff,0x3601dff5,0xb05fb84f,0x70bf709f,0xfffd50df,0xff889fff,
    0xf81fee02,0x7fd4002f,0x1ffedcef,0xdcefffa8,0x2fe41ffe,0x403fe600,
    0x3fe00ff9,0x7ec5fd83,0x3e67fb83,0x01ff300f,0x2fe407fd,0x300ff980,
    0xfffa80ff,0x81ffedce,0x17f203fe,0x3e601ff3,0xfffff70f,0xca80bfff,
    0x263ffffd,0x22ff81ff,0x17f203fe,0x0bf709fb,0xf30ffa80,0x03fe601f,
    0x0dd59f30,0xf8acdb88,0x2aff301f,0x32000bdc,0xff9003ff,0x20bfbdff,
    0xeefffffd,0xdff505ff,0x0013fe01,0x7fffffdc,0xeffa80be,0x3213f600,
    0x709fb05f,0x403fb0bf,0x36019ed9,0x3ff880ef,0xd000bfe0,0x03ff01df,
    0x3ff01dfd,0x0200ffb8,0x7fec13fe,0x2e0bfe00,0x5c5fec6f,0x7fc1ff30,
    0x901ffb04,0x0ffe20ff,0xf303fdc0,0x80efe80f,0x07fc81ff,0xff987ff1,
    0x000dfb03,0x3f220f60,0x3e21ffc6,0x441ff22f,0x427ec3ff,0x7d4005fc,
    0xfd827fc7,0xf12ec00f,0x1ff88003,0x0000ff30,0x53000dfb,0x7ec17f21,
    0xf5000aac,0xf70dc1df,0x65d4c39f,0x006bf200,0x0dc1dff5,0x7ecc3bf2,
    0x84fd80ef,0x02fc45fb,0x3e2027ec,0xdff511ef,0x730cfe80,0x19fd03db,
    0x02bffae2,0x3ae219fd,0x3fe20aff,0x237dc41d,0xf931bffd,0x77ec05ff,
    0x23ffa88a,0x95fbcfe8,0x1bffd8bf,0x305fff93,0xd7117dff,0x073e61ff,
    0x7cc0bff5,0x8867f407,0x4c0affeb,0xeb88beff,0x3fee20ff,0x7ff931bf,
    0x26026cc0,0x3f260cff,0xd997fe46,0x3bfe60ff,0x0ffeb88b,0xfd9877e4,
    0x82f620ef,0x7ec5ffa9,0xfff931bf,0x17c4d805,0x407fe200,0x4c0007f9,
    0xf80003ff,0x009fb03f,0x999effa8,0x7ffec6fa,0x04ffffff,0x540327b2,
    0xfa999eff,0x7ffffd46,0x6c47ffff,0x077e40cf,0x6ec401f5,0xfffa807e,
    0x401effff,0xfffffffa,0xffffa82f,0x47ffffff,0xfffffffa,0x7fd47fff,
    0x4fffffff,0x7fffff44,0x306fffff,0xdfffffff,0x37ffff21,0x442fffff,
    0xfffffffe,0xffa86fff,0x21ffffff,0xfffffff9,0x54cc40ff,0x540999ff,
    0xffffffff,0xfffa87ff,0x221fffff,0xffffffff,0x2a206fff,0x3fe602fc,
    0x2fffffff,0xffffffe8,0xfffffa84,0xffa81fff,0x7fffffff,0x3fffffea,
    0x7f441fff,0xffffffff,0x26bea06f,0x32e2007c,0x7e4c1cff,0x95000bcf,
    0x4007ffd9,0xfffcccb8,0x8009fb00,0xffffffff,0xffffb87f,0x2600beff,
    0xfff00fff,0x0fffffff,0xfddffff7,0x7fffccbf,0x4ffffd0f,0x2ffc8018,
    0xffffb100,0x3ff20019,0x2e01dfff,0xffcffffe,0xfffeb85f,0xa85fffcf,
    0x4ffffffe,0xfffff910,0x4c09fffb,0x20dffffe,0xfd9effea,0xff9103ef,
    0x9fffbfff,0x3ffffa60,0xfffea81d,0x7fd40dff,0xffffffff,0x7ffff5c0,
    0xd305fffc,0xb03bffff,0xffff9fff,0xfffb807f,0x7fff7400,0xfb303fff,
    0x74c07fff,0x201dffff,0xfeeffffb,0x7fffe45f,0xf9100dff,0xfffbffff,
    0x2effc809,0x3ffffa00,0x3fffe27f,0xffa806ff,0x002fffff,0x5ffffffb,
    0x2001fe40,0xffffffff,0x066a207f,0xfff00600,0x0fffffff,0x3a2004cc,
    0x3ff25fff,0x0000005f,0x88000cc4,0x544001a9,0x01a88001,0x019a9980,
    0x00006a60,0x03100033,0x0000d4c0,0x2a620033,0x3fffa601,0x00efffff,
    0x4c000351,0x1a988001,0x0002aa00,0x4c003553,0x000cc001,0x99800266,
    0x0d4c0009,0x20006000,0x43eeeeda,0x02deeeeb,0xeeeeec88,0xddb5000d,
    0x0d98017b,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x206aea20,0x4cc40998,0x88012a00,0x06e4cccb,
    0x505c85d3,0x440017b9,0x2a0004ca,0xcb88005b,0x454c04cc,0x401cdeca,
    0x00000028,0x4013332a,0x4c35c3e8,0x65c41bcb,0x100000bc,0x3b722997,
    0x3332601b,0x7d100bcc,0xdd9806b8,0x66664c00,0x2e6000bc,0x0c41800a,
    0x22cccb88,0x300bcccb,0xab9800b7,0xdeeda800,0x66665c02,0x2e601ccc,
    0x00b8aded,0x0073bb2a,0x4e776e54,0x02664c0b,0x20665c00,0xaaaaaaaa,
    0x32e20aaa,0x332004cc,0xfffd3002,0x7ffdcdff,0x817fff24,0xff7001fe,
    0x21beafff,0x82feacfe,0x006ebdfb,0x4001bffe,0xb8007ffc,0x7407ffff,
    0xffffffff,0x000bf203,0x15437f62,0x03ffffdc,0x7fd5bfb0,0xc8bfffb0,
    0x7fc4ffff,0x7ffe4007,0x2ffffffa,0xffffff70,0x756fec05,0x2ffc804f,
    0x7ffffdc0,0xeffc802f,0x9f703eff,0x7fe417ec,0xfffa9fff,0x3ff663ff,
    0xdff9007f,0xff707dff,0x209fffff,0xfffffff9,0xffffb07f,0xb107ffff,
    0x07ffffff,0xffffffc8,0x3ffe23ff,0x7fd40007,0x2800621f,0x01ffffee,
    0xfb005ff8,0x54dffddf,0x3ff24fff,0x00bfe05f,0x8bff7644,0x3dff705c,
    0x003f7040,0x100036c2,0xd91000fb,0xfff80ffd,0x3fffdace,0x7777ff54,
    0xfd7dd003,0xdd9107fd,0xffa800ff,0x3dfd301e,0x21effc88,0x4c003ff9,
    0xbadffffd,0x00000ffe,0x800f7fd4,0x000002a8,0x3ee617ec,0x3ee2fa83,
    0x3dffd981,0x419ffd91,0x807fffff,0x1fdcc2fd,0x3aef7ff2,0xddb702ff,
    0xf905bdff,0xfff977bf,0x77bffb09,0x3f609ffd,0xffecacef,0x003ff5c4,
    0x887fffa0,0xec88a001,0x3ba007fe,0x00ff9804,0xfc889fb0,0x337ff305,
    0x4ff30013,0x400e201d,0xd8005fec,0x03ec0006,0xf01fe600,0xffd881df,
    0x3bbffa60,0xdb83003e,0x007f9801,0x4fc80388,0xdf70ffa0,0x3ffe6000,
    0x1017fcc2,0x1c400155,0x2a600000,0x33db001a,0x01fd4133,0x883fd400,
    0x55edc0ff,0x3076c07f,0x647f5115,0x805fe84f,0xff701ff8,0xb89ff107,
    0x1ffc82ff,0xfd817fd4,0x0007f984,0x887fffee,0x7cc0a001,0xb8800007,
    0x13f6006f,0xfff117ee,0x0dffffff,0x20737f98,0x98019998,0x16c40efc,
    0x06dc06d8,0x132207d8,0x76c07f98,0xb09ff100,0x2002a67f,0x20019998,
    0x098807f9,0x7e401553,0xfb0ffa04,0x009a8665,0x3fa07ff3,0xffffea83,
    0x2133301e,0x035002a8,0xffffffb8,0xf73f300d,0x07d4bfff,0x50066662,
    0x03fe20ff,0x3e607f98,0x2dfffd51,0x703b30fa,0x3ff100df,0xfb813f60,
    0xfb027fc3,0x2604fe8d,0x4c7f981e,0x67fc4019,0x800621ff,0x100ff302,
    0x7f403333,0x3f6006ff,0x7c45fb84,0xffffffff,0x203fcc06,0x007ffffa,
    0x3ffb8fe6,0x3fa60db0,0x2a0fb00f,0x1fe605ff,0x0bf90020,0xdfffddfb,
    0x3fffea05,0x2bfe6007,0xedffe83d,0xf902ffff,0x3e1ff409,0xffcfff8e,
    0x07f981ef,0xfff513f6,0x443fffff,0xffaaffff,0x1be203ff,0xffdfffb0,
    0x3d93207f,0xf517c7d1,0xfa80ffff,0x401ff107,0xf93207f9,0x402f9b23,
    0xf8803fe8,0x805ff01f,0x2603fcc2,0x00bfe27f,0xff9bfcc0,0x3ff606ff,
    0x00621ff8,0x80ff3028,0x207ffffa,0x2006fffd,0x05fb84fd,0x13337ff1,
    0xa80ff300,0x2e07ffff,0xe98fdaab,0xeeaa82ff,0x037fee2a,0x446bfaa6,
    0x7cc03ffd,0x3e63ff17,0xffffffff,0xfffd87ff,0xa81fffef,0x2007ffff,
    0xe86ffff9,0xffefffff,0x204fc80f,0x22bea3fe,0xffefffff,0x3607f986,
    0x8b7fe64f,0xfd10ffe8,0xffffffff,0x01ff220f,0x0ffa8351,0x74cf63e8,
    0xfffa9363,0x83fd407f,0x3e600ff8,0x2354fa07,0x64c13618,0xf8800fff,
    0x00ff981f,0x22037d40,0x01ff31ff,0x7d5fe600,0xff306fff,0x01887fe5,
    0x03fcc0a0,0x01ffffea,0x6c00df71,0x885fc84f,0x0099bff9,0x2600ff30,
    0x3f6e07fa,0xadffcace,0x77776c3c,0xcbbffe9d,0x3bbbb20a,0x4caeffbc,
    0x7fcdfe60,0xffffff32,0xb0ffffff,0x3fa219ff,0x01fea604,0x0f7ffe44,
    0x3a24ffd8,0x204fc82f,0xf98e63fe,0x81ff50ef,0x93f607f9,0x5ff107fc,
    0x0cfffe88,0xffff5057,0x2f332a00,0x362f81ff,0x42e45fff,0x7d407fa9,
    0x401ff107,0x64be07f9,0x7cc2e404,0x40a21eff,0x7f981ff8,0x806fb800,
    0x50ff31ff,0x98159999,0x0bffe9ff,0x1ff9bfa0,0x30280062,0x3ea600ff,
    0x006fa807,0x7ecc3bee,0x3ffea0ef,0x801fffff,0x3e6007f9,0x3bfaa007,
    0xf900bfd2,0xfd9df39f,0xd9fff440,0xb9fe607f,0x2aaffe63,0x87fdaaaa,
    0x05fc84fd,0x7d403fcc,0x7ec02fff,0xfc85fc84,0x03fe86a4,0x3ff03fe6,
    0x3f607f98,0xfd80ffa4,0x802ffe85,0x400cfffa,0xfffffffa,0x3363d81f,
    0x981ec5e9,0x83fd407f,0x3e600ff8,0x0354f607,0x0ffe60f6,0x3fe20bf2,
    0x000ff981,0x3e203fcc,0x541ff30f,0x43ffffff,0x02fffff9,0x3ff0ffdc,
    0x205000c4,0x3e6007f9,0x006fa807,0x3fffffe2,0xff30ffff,0x03dfffff,
    0x4c00ff30,0x9ff9007f,0xd302ffe4,0x443aa5df,0x0dffb83f,0x7cc0fff7,
    0xd01ffc07,0x907fb0bf,0x07f980bf,0x807ffff8,0x85fb84fd,0x74df14fc,
    0x21fe603f,0x03fcc1ff,0x01ff49fb,0x07fd0bf9,0x20037f60,0xedcefffa,
    0x365b81ff,0x301f93a4,0x07f980ff,0x7cc01ff3,0x0bf96e07,0x4d80fcb5,
    0xff107fb0,0x0013fa03,0x7dc03ff1,0xd911ffc7,0xf983dffd,0x7c403fff,
    0xbffcccff,0x81400310,0x3e6007f9,0x006fa807,0x6effff54,0x05ff05ff,
    0x400ff300,0xefb807f9,0x817b3e61,0x0fe404fe,0xdf88bfe6,0x01fe607d,
    0x3fe60ffd,0xfc83fd83,0x403fcc05,0xd807facb,0xc85fb84f,0x7fcff34f,
    0x3e1fe602,0xb03fcc1f,0x883fe47f,0x02fe83ff,0x87305ff0,0x1ff80efe,
    0x5ffcaf98,0x4c0f9bf3,0x1ffc407f,0x3e6037dc,0x6ccbe607,0x00f93fff,
    0x3e60ff60,0x701ff207,0x880efd85,0x037f43ff,0xfff309f9,0x7fcc07ff,
    0x4fffffff,0x98140031,0x1fe6007f,0x4001bea0,0xe807f219,0x07b6e64f,
    0xf3003fcc,0xdd10a00f,0x2019817a,0x81503fd8,0x2607d8fe,0x77fcc07f,
    0x06ffc98b,0x0bf907fb,0x26007f98,0x84fd807f,0x35fd85fb,0x01ff51ff,
    0x0ffc3fcc,0x3e203fee,0x2fbfe62f,0x80ffeb88,0x9fb002fe,0x67f45fb0,
    0x15ffd710,0x7e403f70,0x201fe601,0xfb88bffd,0x03fcc03f,0x321887ee,
    0xdfb0001f,0x81bfaa17,0x310aeff9,0xeff88dfd,0x50dff511,0x2a213bff,
    0x8ff984fe,0xdd304ffd,0x3bffdddd,0x30280062,0x3fcc00ff,0x33df7310,
    0x5fdc0001,0xffffa82c,0x2622ffff,0x0999ffa9,0x4ffd4cc4,0xff700099,
    0x30005fff,0x7d4003ff,0x2623ffff,0x0999ffa9,0xffffffb8,0xcfe881ff,
    0x1037f220,0x333ff533,0xffa99881,0x7ec40999,0xb077e40c,0xfff3bfff,
    0xffa80bff,0xfc8bfe21,0xfff71fff,0xfffff50d,0xe9983fff,0x300999bf,
    0xffdb9dff,0x7ffffd45,0x707fffff,0xfb73159f,0xff533103,0xff101333,
    0x40dfffff,0x199ffa99,0x73159f70,0x77d403fb,0xfffffd81,0x7cc00eff,
    0xffffffff,0xfffffa82,0xff901eff,0x9fffffff,0x3f27fb88,0x4c4009df,
    0x800622ff,0x3fea6622,0x4cc40999,0x10999ffa,0xffffffff,0x3fa20001,
    0xfffd902f,0x7ffd45bf,0x0fffffff,0xfffffff5,0x53001fff,0x8001ff95,
    0x00aabffb,0x1ffcaa88,0xfffffff5,0xfd301fff,0xf501bfff,0xff11ffff,
    0x3fea3fff,0xffffffff,0xffffff50,0x3e63ffff,0xffd0ffff,0x9fffdcff,
    0x6405fffd,0xfff3ffff,0x3bffaa1f,0x203dff70,0x1dffffe9,0x7fffffe4,
    0xffb00fff,0xb83dffff,0xffcffffe,0x3ff6a05f,0xffa81cef,0xffffffff,
    0xffffd880,0x3ffffa04,0xb505ffff,0x8039dfff,0xfb502ffb,0x2001bfff,
    0xdffffec8,0x3fff6201,0x7ed400cf,0x442effff,0x3fea7fff,0x3fea07ff,
    0x00313fff,0xfffffa94,0xf50fffff,0xffffffff,0xffffd11f,0x80001dff,
    0x20151000,0xffffffe9,0xffd30eff,0x1dffffff,0x17ffc400,0x3ffffa00,
    0x7ff4004f,0xfffffd33,0x4401dfff,0x7ff44019,0x3bfffa5f,0xfffffd30,
    0x3a61dfff,0xffffffff,0xbfffd10e,0x802fffe4,0xffb80098,0x1dffb2ff,
    0x98006200,0x3fffee01,0x5405ffff,0x4401cdec,0x04c0001a,0x3ffffa60,
    0x200effff,0xffd80198,0x03ffffff,0x04c00098,0x40001980,0x4c400098,
    0x13310001,0xd33ffec0,0x7440bfff,0x5712efff,0x55555555,0x3fffa655,
    0x30efffff,0xfffffffd,0x000001df,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0012a000,0x40357750,0x1a9deeda,0x000b32e2,0x4066f654,0x0bccccca,
    0x105e6540,0xda805997,0x971000ad,0x87999999,0xcccccccc,0x9b503ccc,
    0x44000037,0x1acccccb,0x333332a0,0x0003930b,0x65c00000,0x2ccccccc,
    0x971e664c,0x665c4379,0x0b32e60b,0x4c379995,0x9301cccc,0x99999999,
    0x02200079,0x65c59993,0x665c41bc,0x7101accc,0x32637999,0x999502cc,
    0x99500199,0x30017999,0x01799999,0x17999995,0x66665c40,0x99101bcc,
    0xa8059999,0x333204cc,0x33332e61,0x11cccccc,0x57999997,0x3fd00001,
    0xffff3000,0xfffd0dff,0x7e4bffff,0xfd8003ff,0x221fffff,0x5fffffff,
    0x93fffea0,0x881ffffd,0x00efffff,0x3fffffae,0x3e26ffff,0xffffffff,
    0x7ffc46ff,0x0bd005ff,0xffffffb8,0x7fc40dff,0xfd5fffff,0x8fee000b,
    0xfd0002ed,0x9fffffff,0xa9ffffe8,0x3ea6ffff,0x3ff63fff,0xffff11ff,
    0x7ffffcbf,0xfffffd07,0x80dfffff,0x8ff50aa8,0xfa9ffffe,0x7fdc6fff,
    0x0dffffff,0xafffffe4,0x4c1fffff,0x04ffffff,0x7fffffc4,0xfffb805f,
    0x7fc42fff,0x205fffff,0xfffffffc,0xfffb85ff,0xf101ffff,0xff705fff,
    0x7fffecff,0x3fffffff,0xfffffff7,0x1ffa87ff,0x2ff83ff7,0xeeffd800,
    0x6ffe46ff,0x266ffdbb,0x6c003ffd,0xfffdbeff,0x3bffb6e0,0x3ff2201c,
    0x13ffea1f,0x7fddf7dc,0xfdfff703,0x4dfddddf,0xffeeeff8,0x7dc6feee,
    0x9802fecf,0x7fec407f,0x0ffffeee,0x677ff6dc,0xa8009d51,0x3ffa5fff,
    0x77f4002e,0x44ffeeee,0xf913effa,0x7fe445df,0x0fffea0f,0x543bdff9,
    0xb502ffed,0xddddfddf,0x3ffae0df,0x546ffeff,0xff913eff,0xeffd885d,
    0x20ffffee,0xb1deffc8,0x36e07fff,0xb807fffe,0x01ceffed,0xfedb8000,
    0x32201cef,0xffeeeeff,0x77fe442f,0x7fdc03de,0x2fffe85f,0x3bbbff66,
    0x913ffeee,0xffddddff,0xa9ffec7f,0x2ffe60ff,0x7cc00999,0x84ff800f,
    0x03fd86fd,0xf10ffe20,0x00ff507f,0x3ea1ffb8,0x98bfe02f,0x0cffb80c,
    0x137dc7fb,0xb9fe63ff,0x0117f46f,0x2601fe60,0x05ffa87f,0x007a0ff5,
    0x227fff54,0x01dfffd8,0xefe87fd0,0x6677fdc0,0xb82efecc,0x0bff22ff,
    0x0cc47fe2,0xcfa80df5,0x21bee3fd,0xffeefffb,0x83fd80ff,0x0ff305fc,
    0x7fb0bff5,0x40077fdc,0x002ffefc,0x98800ff5,0xff500199,0xc83fd800,
    0x99dfb06f,0x3fe01579,0x3ffea1ff,0x3a03ff06,0x2227ec3f,0x437667fd,
    0xffff17f9,0x20dfffff,0x0999efb8,0x9f303ff0,0x35517fb0,0x6c17e201,
    0x777fa84f,0x223bf600,0x0ffc04ff,0x7ec5fe80,0x7c4bf513,0x7dcff31f,
    0x40027f46,0x7f9807f9,0xf503ff50,0xb300790f,0x4c019fff,0x400cfffd,
    0x07ff62fd,0xfffffff3,0xb01fffff,0x07ff73ff,0x2ffb97fc,0x9fc80bf7,
    0x8bf513fd,0xff31dffb,0x07fb03ff,0x1fe60bf9,0x3f60ffd4,0x001bff93,
    0x017f6ffe,0xf5003fd4,0x2a00ffff,0xd8076a7f,0x80ff983f,0xfffffffd,
    0x4ffff81f,0x7c1bfff6,0x3f21711f,0x7cc27ec1,0x45be200f,0xffffffff,
    0xffffe86f,0xfd85ffff,0xfd8040ae,0x01fffffe,0x541ffc40,0x800ffeff,
    0x0efdcff8,0xf801ff40,0x7f5fec1f,0x987fc1d8,0xf713ea7f,0x7f98003f,
    0x3a07f980,0x087fa83f,0x6fffe440,0x3ffaa001,0x5c36a03f,0xbfd303ff,
    0x3dfb5555,0x2fffff40,0x7ff4ffa0,0x7e809f94,0x391fd7fb,0x3fe65fd8,
    0x3fd84fee,0xff305fc8,0x3f61ff40,0x2005ffdb,0x0ff98ffa,0x2007fa80,
    0x007ffffa,0x02ffcff5,0x7f5447fb,0x5339fb06,0xbff0dfd9,0xfbff31ff,
    0x7e47fe0d,0x09fb0513,0x5f801ff7,0x4ccdffc4,0xfffffb00,0xff309fff,
    0x6c059dff,0xfffeffff,0x03ff6000,0x00ffffea,0x01ffffb8,0x3bfffff6,
    0xfb0ff302,0x86203fff,0x360547f9,0xa85916ff,0xccffdccc,0xfffd11cc,
    0x27ec3fff,0x2e003fd4,0x0002efff,0x00bfffee,0xfd80bff3,0x5fffffff,
    0x037ffc40,0x7ffce7ec,0x7cc07fb7,0x03ffffb5,0x3fe65ff1,0xfd86fb8e,
    0x5fffffff,0x7fffff44,0xfb13f61f,0x4001ffff,0x013fa4fe,0x26001fea,
    0xff5007fa,0xffb017e4,0x03ffffff,0x3fea13f6,0x67fd7fc0,0xf06faefc,
    0x809fffff,0x3fee24fd,0xff84e806,0x3bee2002,0x36200999,0x80efffff,
    0x3fa24ffd,0x2ffd8803,0x06fffe44,0xffff9700,0xffff1079,0x3ea09fff,
    0x1ffffd86,0x67fee5c0,0xffffd82c,0x3fe2ffbc,0xffffffff,0xfffff35f,
    0x42fe45ff,0x3fa007fa,0x80000eff,0x104ffff9,0xffb00dff,0x0bffffff,
    0x805ffe88,0xffefbdfc,0x3ee02fea,0x03ffffb3,0xfff13ff1,0x3f61bee1,
    0x5fffffff,0x7fffffcc,0xfb17f22f,0x001dffff,0x3fdc3ff3,0x8003fd40,
    0xff5007f9,0xffffd800,0xfb04ffff,0xf81ff309,0xaffffb9f,0xffff06fa,
    0xffd809ff,0x00ffffff,0x02ff81a8,0x80037d40,0xd86ffdb9,0x405fc84f,
    0x7cc3ffe8,0x0bb07fff,0x2abfeeaa,0x7ff75102,0x207fc403,0x200ffdfd,
    0xfffffff9,0x7dd7fc47,0x32a0efef,0xcccffdcc,0x27fea21c,0x5427ec09,
    0xf70bb07f,0x40005fff,0x202efffb,0x20660ffd,0xdaaaadfd,0x7ffec05f,
    0x777dc04f,0x1ffdfdcf,0x3fffffa0,0xbff00ffd,0x3fe23ffd,0xaaadfd83,
    0xfa885fda,0x27ec099f,0x3faa7ff6,0x7ffe400e,0x402fffff,0x40bb07fa,
    0xff5007f9,0x37f61760,0x4ffecaaa,0x7ec44fd8,0xff89ff86,0x3e0df57f,
    0x404fdacf,0xdffffffd,0xf801dc40,0x37d4002f,0xf9805c40,0x641fec0f,
    0x3ffa605f,0x7fdffc82,0x9880ff88,0x40099ffa,0xff800ff9,0x89d5fec3,
    0x9ffb9701,0x366fa859,0x7cc01fff,0x207f9807,0x87fa82ff,0xfc880ff8,
    0x2a002eff,0x6403ffff,0x6c3fc2ff,0x205fc83f,0x2ffbaffc,0x27fffea0,
    0x100ffffa,0x37ffddff,0xfff70627,0x3ffd713f,0xbf907fb0,0xff81fe60,
    0xff31fec2,0xfffff809,0x5405ffff,0x00ff887f,0x3ea00ff3,0x6c0ff887,
    0xb0dfb03f,0xfffddddf,0x3f23ff05,0x3e0df53f,0xd803f51f,0x9009aadf,
    0x5ff007ff,0x806fa800,0x3ff105fb,0x5fc83fd8,0x205fff50,0x887fa8a8,
    0xfeee80ff,0x7dc05eef,0x1ffc8307,0x01fd0ff6,0xff103fcc,0x007ffe65,
    0xff300ff3,0x2a03ff20,0x00ff887f,0x077fff62,0x0cfffea8,0x2227fd40,
    0x41fec0ff,0x9ff505fc,0xf980ffec,0xffff16ff,0xfd8fea01,0xff107f43,
    0x3fffffff,0x3f20ff60,0x320ff305,0x21fec0ff,0xff700ffb,0xff755555,
    0x443fd401,0x0ff300ff,0x3e21fea0,0x981fec0f,0x7ffec0ff,0xff01ceff,
    0x7d43ba23,0x8003ff06,0xff7004fd,0x219fd005,0xfa81edb9,0x1dffc806,
    0xfb0dfb51,0xf70bf907,0xb98803ff,0xfa9999ff,0x3ff5300f,0x9dffa801,
    0x223fc999,0xcfebcffe,0x881ff999,0x8099ffb9,0xfffffffd,0x01fe602f,
    0x2e667fea,0x5cc44ffd,0xf99999ff,0xffd9800f,0x3ff620cf,0xff8800df,
    0xffa9999e,0x8833fa20,0x7fd40dfd,0x40fffc46,0x3f64fff8,0x27fb307f,
    0xf999cfe9,0xfdffd11f,0x2603bfff,0x3f620cfe,0x99ffa80d,0x444ffdb9,
    0x67f41cfe,0x406ff441,0x4c40cfe9,0x99999ffb,0x2a6620ff,0x440999ff,
    0x9999ffb9,0x3fa20ff9,0xfeb9999c,0x4ce7ec46,0x057fc400,0x26077dcc,
    0x40099bff,0x0099cfd8,0xffa800cc,0x22ffffff,0x999efb98,0xfffffb80,
    0x74c2ffff,0x37f220cf,0x26bfff20,0xff10b999,0xffffffff,0xfffb01ff,
    0x3f207fff,0xffffffff,0x7fff443f,0xffffffff,0x7ffffcc1,0xfec886ff,
    0x201efeff,0x7fdc07f9,0x5fffffff,0x7fffffc4,0x00ffffff,0xf97ffaa0,
    0x26001dff,0xffffffff,0xffff50ff,0xfffff53f,0x97ffff23,0xf82ffffe,
    0x1bfea1ff,0x3fbfffe6,0xffffffff,0x0cc3ff51,0x3ffffe60,0x1fffffa9,
    0x3fffffee,0x7fdc5fff,0x3fee5fff,0xfffff55f,0x7ffffec7,0xffffff10,
    0x21ffffff,0xfffffffa,0xfff10fff,0xffffffff,0x3fffee1f,0x2fffffff,
    0x3fffffee,0xffff301f,0x7fffe47f,0xfffffb0f,0x3fee01ff,0x001fffff,
    0x3ffff200,0x3ffe21df,0x43ffffff,0xffffece9,0x7fffcc2e,0x3fffff17,
    0x3ffffff6,0x3ff64fff,0xffffffff,0xffffb80f,0xfff702ef,0x1bffffff,
    0x3fffb2a0,0x441fffff,0x4ffffffe,0x20004cc0,0x7ff5404e,0xb02cefff,
    0xffffffff,0x70001fff,0x0017647d,0x7fffffcc,0xfd30ffff,0xffd31dff,
    0x3ffea1df,0x3bfff23f,0x7c47fe81,0xfffe885f,0xfffffffc,0x003711ff,
    0x1dfffd30,0x41dfffd3,0xefffffea,0xfffea82c,0x99fffc3f,0x2e2efffe,
    0x360effff,0xffffffff,0xffd30fff,0x1dffffff,0x7fffffec,0xd50fffff,
    0xdfffffff,0xfffe983b,0xfd100eff,0x7fd45dff,0xfff70eff,0x74c0bfff,
    0x00efffff,0x0d4c4000,0xfffffe88,0x4c402eff,0xfffd1009,0x877fff4b,
    0xfffffffd,0x000005ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x982f32e0,0x664c2ccb,0x01bccccc,0x2e003553,0x2e60bccc,
    0x32e22ccc,0x201acccc,0xcccccccc,0x99713ccc,0x99999999,0x33332e21,
    0x65400abc,0x6665c0cc,0x002ec00b,0x26201100,0x2a2000aa,0x1a98800a,
    0x54c0054c,0x554c001a,0x8835000a,0xaa98801a,0x22000011,0x04cc4099,
    0x26204cc4,0x0d403509,0x33302660,0x4cc04c40,0x09880000,0x26202660,
    0x99980199,0x4cc05510,0x03510a98,0x15530988,0x4c04cc40,0x4ccc4099,
    0x57099999,0x17000498,0x376e2198,0x2a4ca882,0x3fa3ffff,0x3ffe1fff,
    0x45ffffff,0xdffffffb,0xfffff500,0x7ffffec7,0xffffff90,0xff881bff,
    0xffffffff,0xfffff96f,0x21ffffff,0xfffffffc,0xfff103ff,0x7fffd4bf,
    0x01fe203f,0x3c815510,0xefffffb8,0x3fffaa01,0xfff901ef,0x1dffb3bf,
    0x3ffffee0,0x3fa600df,0x80feffff,0xf98efffa,0xff700eff,0x445fffff,
    0xd113515f,0x927ffd4b,0xffb8bfff,0x57fff64f,0x20df103e,0xf8cffff9,
    0x7f41ffff,0xffff16ff,0x7ec1fd49,0x31bfffa1,0x7d49ffff,0x3e207fff,
    0xfffaafff,0x3bffe23f,0xefffdfff,0xfedffe80,0xffd82fff,0xffff16ff,
    0x7fffec9f,0x7f75ffff,0x88006fcc,0xe8fee1fd,0x3e23fcce,0x3ff225ff,
    0x21f7fd46,0xeeffeeda,0x77ffec1d,0xf9103fff,0x7ecc19ff,0x3ff623ef,
    0x0ffffeee,0x3fbbbfe2,0x916feeef,0xddddddff,0x3ff221ff,0x3fffeeee,
    0x25fffd70,0x00cffec8,0xfea80044,0x89f1efff,0xfffefffe,0xffffa81f,
    0xff81ffff,0xffffffef,0xdfffb06f,0x3ea07fff,0xffffefff,0x7ffffcc2,
    0x86fffffe,0xffeefff9,0x3fbfe64f,0x2a7fffff,0x3ff24fff,0x27ffd45f,
    0x7f3bfff9,0x7cc1fe60,0xffe8afff,0x7fff41ff,0x49ffff16,0x3ff63ffb,
    0x11bfff62,0x7d49ffff,0x3a207fff,0xffffffff,0x3fffe27f,0xffffffff,
    0xfffffe83,0x7ec0fffe,0xfff16fff,0x7ffec9ff,0x324fffff,0x003bea5f,
    0x27e45fd1,0xbf08bd02,0x7dc3ff70,0x03fcc01f,0x1ff506a2,0xf8837e40,
    0xa87f982f,0x47fe25ff,0xb1bee7f9,0x81ff107f,0x3fec43fd,0x88dfff30,
    0x200000ff,0xfffffffa,0x3ff21fcf,0x31bfe60b,0x7f445bff,0xfb84cc0f,
    0x83ff98ef,0x07fd41a8,0x442bbfe2,0x77f43ffb,0x98ffffa8,0x06fec3ff,
    0xffb87fb1,0x81ffffff,0x2fe444fd,0x7e444fd8,0x272e0eff,0xc83957f9,
    0x05dfd15f,0x7d4f7fdc,0xbffd81ff,0x5fd83ffd,0x0ffa1ff3,0x4403fd4c,
    0x570cfffe,0xff31dff0,0x7ec1beab,0x20bfa24f,0xdfe84fe8,0x64ce7ec0,
    0x77e40eff,0x2603ff50,0x09fb12ff,0x7c0bfb62,0x3e2dfd05,0x07f9804f,
    0xff799950,0x417fc403,0x0ff307fb,0x7fc47fea,0x37dcff31,0xff1b8ff6,
    0xff307fb0,0x3fffe601,0x0003fe24,0x116ffcc0,0xdff8bffd,0xffa99999,
    0x7c41ff22,0xfdcb982f,0x06fd99bf,0x3fef332a,0xd80ffd41,0xc87fe21f,
    0x6fd99cff,0x84deffdc,0x88cff882,0x09fb07fd,0x13f60bf7,0x3fe07bee,
    0x5fffffff,0x6ffd6fdc,0xffff9800,0x3ff600ef,0x2df703ff,0x1ff8bffd,
    0x7401fe60,0x5ff002ff,0x3fd43fe2,0x5fc84fd8,0x7cc1ff70,0xf50da81f,
    0x3bf201df,0xfa85ff51,0x80bfd12f,0x0bf04fdb,0x1bfb3fe2,0x2a03fcc0,
    0xffffffff,0x7c2fec01,0x40ff303f,0xf99fa3fe,0x7fb13ea7,0x6c0cd7ea,
    0x037ec43f,0x23ff7ff3,0x66540ff8,0xcccccccc,0x7c41ff21,0x3fffe23f,
    0x3fffffff,0x5fd80ffa,0x3fffffa6,0x87ffffff,0xfffffffa,0x1037e41f,
    0x7d47fa83,0x47ffffff,0xefffffe8,0x7c47fb81,0xb84fd81f,0x709fb05f,
    0x3ffaa0bf,0x5c1dffff,0x003fffff,0x003bffe6,0xf9817ffe,0xfaefff9f,
    0x803fcc07,0x3fe003fe,0x3ea1ff12,0xf709fb07,0xfb27fc0b,0x1dff500b,
    0xfa97fec0,0xb8ffec3f,0x0fb003ff,0xfffb817e,0x0ff3001f,0x6e77ffd4,
    0x7d401ffe,0x403fea0f,0x93f607f9,0x151fe619,0x6fffffd8,0x6dd6fec0,
    0x3e603fff,0x3fe2dfd7,0x7fffffc0,0x3a5fffff,0x897f603f,0xffffffff,
    0x0ffa4fff,0xfff15fc8,0xfffffd9d,0xfffa8fff,0x41ffedce,0x7d4005fc,
    0x7ffffd47,0xfb9507ff,0x6fb87fff,0x7ec0ffc4,0xfb05fb84,0x980bf709,
    0xf700ffff,0x009ffddf,0x00fffff6,0x407ffffb,0xdffffeff,0x03fcc06f,
    0x3e002fe8,0x2a1ff12f,0x709fb07f,0x47fdc0bf,0x7d401ff9,0x3bf600ef,
    0x2e05ff70,0x87ff31ff,0x45ebabc8,0xb01aefaa,0x7cc009ff,0x203bfa07,
    0x4fe801ff,0x7f9817f6,0xf9813f20,0xffffd807,0x7ffec06f,0x4c02ffff,
    0xf17ff37f,0xcccca81f,0x21cccccc,0x17f203fe,0xfc8009ff,0x2a7ff107,
    0x0bfe60ff,0x3e03bfa0,0x007fdc1f,0x321ff981,0x83d802ff,0x7fcc6fc8,
    0x7ec1fee1,0xfb05fc84,0xe80bf909,0xf704ffff,0x1017fecd,0x9ffb7ffd,
    0x3f6fff60,0x9fffb03f,0x9809fffd,0x05fd007f,0xff897fc0,0x3f60ff50,
    0x2205fb84,0x406fdbff,0x86e0effa,0x03bee4fd,0x3a23ff30,0x37fb223f,
    0x3bbb620b,0x01ff304e,0xfd03fcc0,0x3ffae219,0x9bfdc00a,0x1fe601ff,
    0x3e604fd8,0xcadfd807,0x777ec06f,0x4c00effe,0x3e7ff27f,0xf900000f,
    0x70ffe20f,0x5d4c39ff,0x2fbfe60c,0x10ffeb88,0x3ffa65ff,0x742ca88e,
    0xffd710cf,0x0effc415,0xdfd1bee2,0x11dfff73,0x67fcc595,0xf31bf260,
    0x0fffdbff,0x7ecc3bf2,0x0efc80ef,0x201dffb3,0x0ffb9ffb,0xfd0f7e44,
    0xffe9813d,0xb837ff63,0x0bff63ff,0x3ea7ffee,0xa99882ff,0x4c0999ff,
    0x0999bfe9,0x3e27ff10,0x881ff51f,0x77e40cfd,0x3fffee00,0x27bfea02,
    0x5f96fa99,0xd10027cc,0x0017e41f,0x00ff3000,0x3ea07f98,0xffffffff,
    0x57fc407f,0x3fcc06fc,0x7cc05ff0,0xd33fd807,0x7fb0be67,0x30077fd4,
    0x7f7f44ff,0xf300000f,0xfd7117df,0xffffb01f,0xa89fffff,0xffffffff,
    0x7ffffec1,0x7fffffff,0x7fffffd4,0x7d47ffff,0xffffffff,0x7ffffcc4,
    0x7ffffffe,0x3fffffe6,0x3fa22fff,0x5fffffff,0xffffffa8,0xffa87fff,
    0xffffffff,0x3f63fa80,0x3ffffe60,0x25ffff33,0xf37ffffa,0x3ea3ffff,
    0xf980fc83,0x503ffe6f,0xffffffff,0x3fff21ff,0x40ffffff,0xf8cffff9,
    0x1fffaaff,0x21fffff3,0x2207fffe,0x7fc06fff,0x7fffffff,0x00018813,
    0x0001a817,0x001fe600,0xfeb80ff3,0x6fffcfff,0x3ffefd80,0xfc83fcc0,
    0x01fe600f,0x27e40ff6,0xbff30ff6,0x3ea3fcc0,0x09800fff,0xfffffa80,
    0x3ee01fff,0x0befffff,0xdffffe98,0xddfff901,0x03bfffdb,0xf9ffffd7,
    0xffd50bff,0x2a09ffff,0xff98efff,0x7f742dff,0x4c3fffff,0xbaccbaff,
    0xffff707f,0x2e0bffdd,0xffddffff,0x7f440005,0x3ff22eff,0xbfffd31e,
    0x03bfffa2,0xc8ffe000,0xfffe986f,0x70efffff,0xffffffff,0x5fffd10b,
    0xff53dff1,0x3fffa21d,0x017fff25,0xff805ff9,0x7fffffff,0x00000000,
    0xfa988000,0x54cc019f,0x220199ff,0x9802741a,0x5400ffff,0xfdb999ff,
    0xff73103f,0x33fa2033,0x4fd99999,0xf5073fa2,0x3ff5017f,0x007ffec1,
    0x6cc01fe2,0x000dffff,0x98003351,0x30351001,0x006a2003,0x0066a660,
    0x800cc0cc,0x02a01aa9,0x04cc0198,0x0000cc00,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xffffff10,0x3fffe0ff,
    0x005fffff,0x7403ef6c,0x7fdc04ff,0x5fffffff,0xffffff30,0xffffb8df,
    0x4fffffff,0x8bfffff7,0x3ee0fffd,0xff11ffff,0x009b001f,0x00000330,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xffd10000,0x360bffff,
    0xffffffff,0x16e44003,0x200ffdc0,0xefffffea,0x3ffa202c,0x7544ffff,
    0xffffffff,0xfffd54ff,0x45fe887f,0x20efffea,0x00000ffb,0x88000000,
    0xbb882cec,0xcccccb80,0x03cccccc,0xd05bd970,0x88fba2bd,0x76c41cdb,
    0xeeeeeeee,0xd982b84e,0x0604001d,0x87711dc4,0x77770c41,0x22577777,
    0xbbbbbbbb,0x10bbbbbb,0x55555555,0x00555555,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0x36fba02d,0x3ffff22f,0x3ffffea2,0x6fffffff,
    0x9bb07ff4,0x25fe85f9,0xb9fd13ff,0x7fffd4bf,0xffffffff,0x3ff22ec1,
    0x103f63ff,0x6427c4db,0x27ff93ff,0x74bf63fc,0xffffffff,0xffffffb4,
    0xffffffff,0x3fffff69,0xffffffff,0x0000004f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x81ffb800,0x7c57a0d8,0x65c6faae,0xcccccccc,0x13fe26fd,
    0xfb17aee6,0x0fc97fc9,0xbbba87e6,0x1bbbbbbb,0x9ff34fd8,0x1ffb9ffd,
    0x3ea0ff4c,0x5cbfee0e,0x5c5f52ff,0x7777770e,0x3b6a5777,0xeeeeeeee,
    0xdd51deee,0xdddddddd,0x0005dddd,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfa800000,0x7e400fff,0x0fe45f73,0xf537dc00,0x777fcc1f,0xfb1fe45f,
    0x013a13a3,0x5bb36600,0x3fff23fa,0x403be22f,0x2604c6e9,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x30000000,0x01dffdff,
    0x17d47fb1,0xf70003f9,0x3761fe4d,0x2fb8bd10,0x50fdc3f2,0x5dddd43f,
    0x22bbbbbb,0x5402ffd8,0x880281dd,0x00000002,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x263bfa20,0x17f4c5ff,0x02fee7fc,
    0x1fe6fb80,0x3fffbbee,0x47b83e65,0x2a4ffefe,0xffffffff,0x0001ffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3f600000,0x54ffea1f,0x2a2babff,0x0001dffe,0x40fe6bf5,0x41aaacb9,
    0x5dc40c41,0x77776440,0x04deeeee,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0x75fc82ff,0x30bddddd,
    0x3e880003,0x00000071,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x26000000,0x00002a01,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__courier_bold_26_latin_ext_x[560]={ 0,4,2,1,1,1,2,5,6,2,1,0,4,2,
5,1,1,1,1,1,1,1,2,1,1,2,5,4,-1,0,0,2,2,-1,0,0,0,0,1,0,0,1,1,0,
0,-1,-1,0,1,0,0,1,0,0,-1,-1,0,0,1,5,1,2,1,-1,4,0,-1,1,0,0,1,0,0,1,
1,0,1,-1,0,0,-1,0,1,1,1,0,0,-1,0,0,1,3,5,3,1,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,4,1,0,1,0,
5,1,3,-1,3,0,-1,2,-1,-1,3,0,3,3,4,0,1,5,4,3,3,1,0,-2,0,1,-1,-1,-1,-1,
-1,-1,-1,0,0,0,0,0,1,1,1,1,-1,-1,0,0,0,0,0,2,0,0,0,0,0,0,1,0,0,0,
0,0,0,0,-1,1,0,0,0,0,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,
-1,0,-1,0,-1,0,0,1,0,1,0,1,0,1,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,0,-1,1,1,0,0,0,0,1,0,
1,0,1,0,1,0,1,-1,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,0,-1,-1,0,1,0,1,0,1,
1,1,1,1,1,1,1,1,0,1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,-1,-1,0,0,
0,1,1,1,1,1,1,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,2,1,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,-1,0,1,1,0,
0,0,0,0,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,-1,0,-1,-1,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static signed short stb__courier_bold_26_latin_ext_y[560]={ 19,4,5,3,3,4,6,4,4,4,4,5,15,11,
16,2,4,4,4,4,4,4,4,4,4,4,8,8,5,9,5,5,4,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,4,2,4,3,23,3,8,4,8,4,8,4,8,4,4,
4,4,4,8,8,8,8,8,8,8,5,8,8,8,8,8,8,4,4,4,10,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,19,9,3,5,6,5,
4,4,4,5,4,9,11,11,5,1,2,2,4,4,3,8,4,10,18,4,4,9,4,4,4,9,0,0,0,1,
1,-1,5,5,0,0,0,1,0,0,0,1,5,1,0,0,0,1,1,7,4,0,0,0,1,0,5,4,3,3,
3,4,4,3,8,8,3,3,3,4,3,3,3,4,4,4,3,3,3,4,4,6,7,3,3,3,4,3,4,4,
1,5,0,3,5,8,0,3,0,3,0,4,0,4,0,4,5,4,1,5,0,3,0,4,5,8,0,4,0,3,
0,3,0,4,5,2,0,0,5,4,1,4,1,5,0,3,5,4,0,8,5,4,0,3,5,4,8,0,-1,5,
4,5,4,5,4,5,4,0,3,5,8,0,4,4,5,8,1,5,0,3,0,3,5,8,0,3,5,8,0,4,
0,3,0,3,5,8,0,4,5,5,0,4,5,5,1,4,1,5,0,3,-1,3,0,3,5,8,0,3,0,3,
1,0,3,0,4,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,5,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,7,4,4,4,4,4,4,4,4,4,4,4,4,4,2,8,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,4,0,4,0,
4,0,4,-1,1,-1,0,-1,0,-1,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,-5,-1,0,3,0,3,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static unsigned short stb__courier_bold_26_latin_ext_w[560]={ 0,5,9,12,11,12,11,4,6,6,11,13,6,10,
4,11,11,11,11,12,11,12,11,11,11,11,4,6,14,14,15,10,10,16,14,14,13,13,13,14,14,11,14,14,
14,16,15,14,13,14,15,12,13,14,16,16,14,14,12,6,11,7,11,16,6,14,15,13,15,13,13,14,14,12,
10,14,12,16,14,13,15,15,13,12,13,14,14,15,14,14,11,7,4,7,12,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,0,5,11,13,12,14,
4,12,8,15,8,13,14,10,15,16,8,13,7,8,6,14,12,4,5,7,8,13,14,17,14,11,16,16,16,16,
16,16,16,14,13,13,13,13,11,11,11,11,14,15,14,14,14,14,14,10,14,14,14,14,14,14,13,13,14,14,
14,14,14,14,16,13,13,13,13,13,12,12,12,12,12,14,13,13,13,13,13,13,14,14,14,14,14,14,15,14,
16,14,16,14,16,15,14,13,14,13,14,13,14,13,13,17,14,15,13,13,13,13,13,13,14,13,13,13,14,14,
14,14,14,14,14,14,14,14,14,14,11,12,11,12,11,12,11,12,11,12,14,14,14,10,14,14,14,14,12,14,
12,14,12,14,12,14,12,15,14,15,14,15,14,15,13,13,14,13,14,13,14,13,16,16,15,13,15,13,15,13,
12,12,12,12,12,12,12,12,13,13,13,15,13,13,14,14,14,14,14,14,14,14,14,14,14,14,16,15,14,14,
14,12,11,12,11,12,11,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,14,13,13,12,13,13,13,
13,13,13,13,13,13,13,13,13,13,15,14,13,13,13,13,13,13,13,13,13,13,13,13,13,16,15,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,16,14,11,12,14,
13,14,14,14,14,14,14,14,14,14,14,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,16,14,16,16,14,14,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13, };
static unsigned short stb__courier_bold_26_latin_ext_h[560]={ 0,16,7,19,19,16,14,8,19,19,11,14,8,3,
4,20,16,15,15,16,15,16,16,16,16,16,12,14,14,7,14,15,17,14,14,15,14,14,14,15,14,14,15,14,
14,14,14,15,14,18,14,15,14,15,14,14,14,14,14,19,20,19,9,3,5,12,16,12,16,12,15,16,15,15,
20,15,15,11,11,12,16,16,11,12,15,12,11,11,11,16,11,19,19,19,5,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,0,15,17,14,12,14,
19,17,4,15,7,10,8,3,15,3,8,17,8,9,5,16,17,4,6,8,7,10,15,15,15,15,19,19,19,18,
18,20,14,19,19,19,19,18,19,19,19,18,14,18,20,20,20,19,19,11,17,20,20,20,19,19,14,16,17,17,
17,16,16,17,12,16,17,17,17,16,16,16,16,15,16,15,17,17,17,16,16,13,14,17,17,17,16,21,20,20,
18,15,19,17,17,14,20,17,20,17,20,16,20,16,19,16,14,16,18,15,19,17,19,16,17,15,19,16,20,21,
20,21,20,20,19,22,19,19,14,15,18,15,18,14,19,16,18,19,19,11,15,20,20,21,19,20,11,19,20,19,
20,14,15,14,15,14,15,19,16,19,16,19,15,15,15,16,19,15,20,17,20,17,14,12,19,16,19,16,19,15,
20,17,20,17,19,16,20,16,21,20,19,16,14,15,19,16,19,15,20,17,21,17,20,17,18,15,19,16,19,21,
18,19,16,19,15,19,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,18,15,15,15,
15,15,15,15,15,15,15,15,15,15,16,13,15,15,15,15,15,15,15,15,15,15,15,15,15,18,12,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,19,16,19,15,20,
16,20,16,21,19,21,20,21,20,21,20,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,24,21,19,17,21,18,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15, };
static unsigned short stb__courier_bold_26_latin_ext_s[560]={ 511,502,224,287,375,333,144,507,504,252,312,
156,208,310,291,119,467,346,57,304,460,165,263,375,109,292,502,505,200,243,215,
374,451,368,428,400,61,89,474,430,323,16,385,353,385,457,119,415,488,188,103,
29,75,331,44,274,259,1,231,140,369,502,164,338,284,209,220,224,317,164,15,
393,42,499,283,445,486,408,425,178,362,346,394,255,1,281,440,365,339,378,455,
244,155,147,264,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,
472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,511,506,475,
99,268,84,259,324,301,358,215,481,193,310,302,321,184,437,176,495,277,408,163,
296,258,504,234,467,103,85,70,275,279,425,456,68,97,381,291,473,411,339,296,
248,216,188,160,143,338,155,223,474,268,65,80,354,135,294,324,339,95,110,443,
121,16,487,1,62,47,74,192,1,219,191,205,453,440,427,414,318,387,490,395,
381,409,206,151,135,308,45,176,352,277,208,398,414,216,287,48,120,103,28,429,
60,459,31,31,304,16,77,310,91,170,135,114,435,368,367,382,348,337,449,442,
318,61,122,104,152,146,174,14,18,264,17,244,146,85,161,56,400,500,178,44,
1,488,381,202,46,89,197,396,231,324,353,246,324,161,185,44,413,118,69,174,
228,262,200,233,172,187,217,233,400,125,247,489,423,1,89,113,238,32,248,1,
236,473,261,76,150,204,462,387,362,259,250,48,217,312,31,130,30,458,479,272,
475,189,277,167,292,131,262,128,15,428,332,400,92,233,489,494,445,463,415,423,
1,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,131,472,472,203,
472,472,472,472,472,472,472,472,472,472,472,472,472,15,149,472,472,472,472,472,
472,472,472,472,472,472,472,472,171,296,472,472,472,472,472,472,472,472,472,472,
472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,343,191,
300,57,253,275,444,289,77,360,182,238,137,309,107,354,472,472,472,472,472,472,
472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,
472,472,472,1,62,326,307,33,29,472,472,472,472,472,472,472,472,472,472,472,
472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,
472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,
472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,
472,472,472,472,472,472,472,472,472, };
static unsigned short stb__courier_bold_26_latin_ext_t[560]={ 1,67,167,26,26,105,138,138,1,47,154,
138,167,167,167,26,87,122,138,105,122,105,105,87,105,87,138,105,138,167,138,
122,67,138,138,122,154,154,138,122,138,154,122,138,138,138,154,122,138,67,154,
138,154,122,154,138,138,154,138,47,1,26,167,167,167,154,105,154,105,154,138,
105,138,122,1,122,122,154,154,154,105,105,154,154,138,154,154,154,154,105,154,
47,47,47,167,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,
122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,1,87,67,
138,154,138,47,67,167,122,167,154,167,167,122,167,167,67,167,154,167,105,87,
167,167,154,167,154,122,122,122,122,47,47,47,67,67,1,138,47,47,47,47,
67,47,47,47,67,138,67,1,1,1,47,47,154,87,1,1,1,47,47,138,
105,87,67,87,105,105,87,154,105,87,87,87,87,87,87,87,122,87,105,67,
67,67,105,105,154,138,87,87,67,87,1,1,1,67,122,47,87,87,154,1,
87,1,87,26,87,26,105,47,105,138,105,67,105,47,67,47,87,67,105,47,
87,26,1,26,1,26,26,67,1,47,47,138,122,67,122,67,138,47,105,67,
67,47,154,122,26,26,1,47,26,154,47,26,47,26,138,122,138,122,138,122,
47,87,47,87,47,122,122,122,87,47,122,1,67,26,87,138,154,47,87,47,
105,26,122,26,87,26,67,26,87,26,105,1,26,26,105,138,122,26,87,26,
105,26,67,1,67,26,67,67,122,26,87,26,1,67,26,87,26,105,26,105,
122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,67,
122,122,122,122,122,122,122,122,122,122,122,122,122,105,154,122,122,122,122,122,
122,122,122,122,122,122,122,122,67,154,122,122,122,122,122,122,122,122,122,122,
122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,26,105,
26,122,1,105,1,105,1,26,1,1,1,1,1,1,122,122,122,122,122,122,
122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,
122,122,122,1,1,26,67,1,67,122,122,122,122,122,122,122,122,122,122,122,
122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,
122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,
122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,
122,122,122,122,122,122,122,122,122, };
static unsigned short stb__courier_bold_26_latin_ext_a[560]={ 220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_26_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_bold_26_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_26_latin_ext(stb_fontchar font[STB_FONT_courier_bold_26_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_26_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_bold_26_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_26_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_26_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_26_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_26_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_26_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_26_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_26_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_26_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_26_latin_ext_s[i] + stb__courier_bold_26_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_26_latin_ext_t[i] + stb__courier_bold_26_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_26_latin_ext_x[i];
            font[i].y0 = stb__courier_bold_26_latin_ext_y[i];
            font[i].x1 = stb__courier_bold_26_latin_ext_x[i] + stb__courier_bold_26_latin_ext_w[i];
            font[i].y1 = stb__courier_bold_26_latin_ext_y[i] + stb__courier_bold_26_latin_ext_h[i];
            font[i].advance_int = (stb__courier_bold_26_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_26_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_26_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_26_latin_ext_s[i] + stb__courier_bold_26_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_26_latin_ext_t[i] + stb__courier_bold_26_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_26_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_26_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_26_latin_ext_x[i] + stb__courier_bold_26_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_26_latin_ext_y[i] + stb__courier_bold_26_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_26_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_26_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_26_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_26_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_26_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_26_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_26_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_26_latin_ext_LINE_SPACING
#endif

