// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_27_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_27_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_27_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_courier_bold_27_latin_ext_BITMAP_HEIGHT        188
#define STB_FONT_courier_bold_27_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_courier_bold_27_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_bold_27_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_bold_27_latin_ext_LINE_SPACING          13

static unsigned int stb__courier_bold_27_latin_ext_pixels[]={
    0x10000200,0x002e0007,0x26600b80,0x99999999,0x05b10019,0x44000530,
    0x1008000c,0x0498ea00,0xc8000400,0x40010001,0x4eeeeeea,0x20020100,
    0x01000100,0x00020100,0x40017000,0x03880029,0x800c0600,0x00000703,
    0x04000200,0x00040200,0x1100e237,0x00300110,0x26000000,0x7e400003,
    0x1fd30000,0x0005a800,0x7fc03fd1,0xffffffff,0x7f4c01ff,0x004fb801,
    0xf0007b20,0x4017e43d,0x002fcee8,0x88003f60,0x74c000ed,0x2666003f,
    0xfb800999,0xf701ba63,0x100374c7,0x7dc007fb,0x2601ba63,0xfb1004ff,
    0x37fee003,0x03be6000,0xfa85f100,0x2e1fc400,0x17fdc00f,0xfb801ffa,
    0x07fa001e,0xdd31fdc0,0x3e6bf200,0x36435c06,0xe800bf20,0x80000fff,
    0x01fb05fa,0x000ff620,0x4000f7d4,0xff98001f,0x7ffffc01,0x1fffffff,
    0x8007bea0,0x2e000dfb,0x200dcd71,0x05fecff9,0x70dc85c4,0x17f44003,
    0x2e4c8dc0,0xfeefc801,0x541cc00d,0xcdfd8802,0x7ec401ef,0x7001efcd,
    0x003dfbff,0x3df9bfb1,0x009ff300,0xd1005fd3,0x005ff7bf,0x2000ffcc,
    0x05fb9bfd,0x7fb9bf90,0xe85ff700,0xdfe8807f,0xff9803ff,0x9bfb1003,
    0x7fb003df,0xf8801df3,0x402fc9ad,0x3fe003fe,0x640000ff,0x05ff00df,
    0x4000bfa0,0x98000df8,0x77c001ff,0x99bff800,0x1ff99bff,0x20003760,
    0xbf5004fa,0xb1009f50,0x9f5005ff,0x2200bf30,0x5fa801ff,0x7dc04fa8,
    0xd80bf70c,0x8007fc1f,0x54004ffb,0xf5000cff,0x801fea1b,0x1000cffa,
    0x3dd00355,0xe98bee00,0x03f44006,0x37fff620,0x37f6a000,0x81553002,
    0x2fe802aa,0x97005fb1,0x4ffb8001,0x3ba7f500,0xdffb5000,0x009fd007,
    0x0007fd44,0xff809f50,0x000c8802,0x400880c0,0x4c000ff8,0x7c5ff000,
    0x0007fe1f,0x20008800,0x4001701b,0x0171000a,0x0644006e,0x02e03700,
    0x80310310,0x40029839,0x03100018,0x00310500,0x00000188,0x0000000c,
    0x030000c0,0x00000000,0x02602600,0x03100000,0x40006180,0xffca8018,
    0x203cccce,0x20000ff9,0x02ff8018,0x20007b70,0x037d42a8,0x5ff90000,
    0x3fe2ff80,0xcca87fe1,0x05e6540b,0x01d9075c,0x4cc40ccc,0xec83ae00,
    0x22066600,0x83ae0099,0x066600ec,0x4c002662,0x0ccc00aa,0x98004cc4,
    0x0ccc00aa,0x98004cc4,0x544001aa,0x332e200a,0x4c04cccc,0xdc8800aa,
    0x1ccc9bde,0x99881998,0x03553000,0x2f7b7220,0x6541ccc9,0xccb9accc,
    0x26201ccc,0x22019999,0xcc9bdedc,0x06aa601c,0x33103330,0x01551001,
    0x7fffffc4,0xf303ffff,0x37bdb53f,0x40355300,0xada802ff,0x3f62002d,
    0x6ffbdfff,0x139db910,0x5a603999,0xf07ec068,0xff53ec3f,0x7ffdcbff,
    0x3a2fe85f,0xffffa82f,0xbffffd1f,0x2fe8bfa0,0x1fffffa8,0x20bffffd,
    0x20bfa2fe,0xd1fffffa,0x220bffff,0xfdfffffd,0x3ffffea5,0x0bffffd1,
    0x3fffff62,0x3ffea5fd,0xffffd1ff,0x3fff620b,0x2206eeff,0x82fffffd,
    0xfffffffd,0xffffd887,0xffa85fdf,0xffffffff,0x3ffffea7,0x0bffffd1,
    0x3fffff62,0xfff506ee,0xffffffff,0x67ffffc4,0x2ffffffe,0xffffffd0,
    0xfffa85ff,0x7fffffff,0xfffffe98,0xffff50fd,0x3ffffa3f,0xffffb105,
    0x3ffb205f,0x00deeeee,0xfffffff3,0x3fa607ff,0x20fdffff,0x52c802ff,
    0x3ffe600b,0x1fffffff,0xffffffa8,0xd307ffff,0x3fe001a6,0x3bff6201,
    0x0bbff622,0x320730e6,0xf8afffff,0x7306ffff,0xfff90398,0xffff15ff,
    0x730e60df,0x3fffff20,0x6fffff8a,0xfffffe88,0xff90ffff,0xfff15fff,
    0xffd10dff,0x1fffffff,0x2bfffff2,0x86fffff8,0xffffffe9,0xff980fff,
    0x44ffffff,0xfeeeeeda,0x7ffff447,0x220fffff,0xffecefff,0x3ff23eff,
    0xfff8afff,0xffe986ff,0x0fffffff,0x7677ffc4,0x643effff,0xedbcffee,
    0xf882ffee,0xffffffff,0x33bffe23,0x43effffe,0xfffffff8,0xffff92ff,
    0xfffff15f,0xfffff30d,0x7f409fff,0x7ffcc004,0x3fffdcff,0x7fffffc4,
    0x0bfe2fff,0x00bafa60,0x542bffa2,0xff884fff,0xffffecef,0x0bff203e,
    0x2007fe00,0x1ffa85ff,0x3fea0000,0x17fa6209,0x3ff50000,0x02ff4c41,
    0x27fea000,0x217fa620,0x710affe8,0x7fd41fff,0x17fa6209,0x442bffa2,
    0x3ea0fffb,0x3fa6209f,0x0afff885,0xf103ffa6,0x3fa615ff,0x27fa802f,
    0x710affe8,0x7fec1fff,0x407ffd41,0x26209ffa,0xfff885fe,0x03ffa60a,
    0xffa83ffb,0x827ec00f,0x333102ff,0xfd813bfd,0x07ffd41f,0xe9857fec,
    0x27fea2ff,0x217fa620,0xd30afff8,0x13fa05ff,0x83fff300,0x3f60ffd8,
    0x5ffd30af,0xb98007f4,0x81ffb001,0xfd87fffb,0x07ffd41f,0xff000040,
    0x83ff7003,0x665c45fe,0x03332e23,0x3f601ff3,0x11e65c44,0xf9819997,
    0x889fb00f,0x32e23ccb,0x07fcc0cc,0xffb84fd8,0x4c1ff501,0x09fb00ff,
    0x3ea03ff7,0x403fe60f,0x1ffc84fd,0xffb0ff10,0x003ff601,0x0ffdcff5,
    0x3fe0ffa8,0x301ffb04,0x13f601ff,0x7c407ff2,0xfb04ff87,0x04fd801f,
    0x3f6005ff,0x3609ff04,0x83ff80ff,0x3fe61ff8,0xfb09fb00,0x03ff601f,
    0xf30013fa,0x8bfe609f,0x1ff883ff,0x4ccc4004,0x43ff8009,0x43ffeff9,
    0x1ffb04ff,0x2f7b6ea0,0x00ffc000,0x3fea5fe8,0x72fffdc1,0xf983ffff,
    0xb89fb00f,0x3fee5fff,0x07fcc1ff,0x7fdc4fd8,0x3fffee5f,0xd807fcc1,
    0x404fd84f,0x807fcc5e,0x04fd84fd,0x03fe62f4,0x27fc27ec,0x0ffe0aa0,
    0x5402ff88,0xd013f67f,0xa80ffc4b,0x0ff980ff,0x9ff09fb0,0x7fc42a80,
    0x801ff501,0x05ff04fd,0x3e213f60,0x01ff501f,0x316e09fd,0x13f601ff,
    0xff880ffe,0x4004fe82,0x3fa02ff9,0x2dc13fa4,0x3fffa200,0x7fcc05ff,
    0x3a3ffa20,0x407fe24f,0xffc80ffa,0x005fffff,0x7dc007fe,0xb30bfd1f,
    0x7f6ccbff,0x807fcc1f,0x7fecc4fd,0x07ffb665,0x3f601ff3,0x32ffecc4,
    0xf983ffdb,0xf09fb00f,0xff30005f,0x3e13f601,0xff98002f,0xf889fb00,
    0xff98002f,0x2027ec00,0x00bfe7fa,0x3207ff10,0x0ff980ff,0xff889fb0,
    0x3ff88002,0xd801ff90,0x005ff04f,0x3fe213f6,0x701ff903,0x98037bff,
    0x89fb00ff,0x7ec00ff9,0x4004fe84,0xff105ff9,0x0deffdc7,0xff880a60,
    0x200fffff,0x8ffec7fa,0x0ffe25fc,0x7dc07fe4,0x2ffeccde,0x33feea20,
    0xadfe801a,0x17f201ff,0xff307fe2,0x6413f601,0x41ff885f,0x9fb00ff9,
    0x3e217f20,0x807fcc1f,0x07fcc4fd,0x807fcc00,0x07fcc4fd,0x807fcc00,
    0x07fcc4fd,0x403fd400,0xbfd405fc,0xe8000ff9,0x01fff06f,0x3f601ff3,
    0x0007fcc4,0xfff06fe8,0xf04fd801,0x13f6005f,0xfff837f4,0xfffffb00,
    0x01ff305b,0x0ff513f6,0xdf90bf90,0x217f6e63,0x220bfff9,0x7fec1ffe,
    0xff82dfff,0x3fea6201,0x9fee03ff,0x17f23ffc,0x3ffe0dfd,0x827f4000,
    0xfffffff8,0x7ffd402f,0x42fe405f,0x7fcc1ff8,0x3209fb00,0x41ff885f,
    0x9fb00ff9,0x3e217f20,0x807fcc1f,0x07fcc4fd,0x807fcc00,0x07fcc4fd,
    0x807fcc00,0x07fcc4fd,0x8f7bbb6e,0x5fc807fa,0xff9bfd40,0xeffa8000,
    0x0fffeb8a,0xfb00ff98,0x5c0ff989,0x543deeed,0xfeb8aeff,0xeaa980ff,
    0x3fe0aaef,0x3f601932,0x15dff504,0x401fffd7,0x4fffffda,0xfd807fcc,
    0x6403fd44,0xffff885f,0xf986ffff,0xffedffff,0xfffb503f,0x02ff89ff,
    0x06fdffc8,0x3fea7fe6,0x3ea27ec5,0xffeb8bef,0xddd9100f,0x7ec09ffd,
    0x00efffff,0x401fffe8,0x1ff885fc,0xfd807fcc,0xf10bf904,0x00ff983f,
    0x17f209fb,0xff307fe2,0xf113f601,0xff30005f,0xf113f601,0xff30005f,
    0xf113f601,0x7fffc43f,0x1ff30fff,0x5404fd80,0x005ff17f,0x3fffff60,
    0xf980ffff,0x889fb00f,0x3ffe21ff,0x7ec0ffff,0xffffffff,0x7ffffd40,
    0x5ff0ffff,0x27ec13f2,0xffffffb0,0x26001fff,0x3e62ffeb,0x989fb00f,
    0x27ec00ff,0xefffffb8,0xffdff303,0x2007ffff,0x3e2ffeb9,0x9cff802f,
    0xbff101ff,0x7fcc1dff,0xfffffd82,0xfb80ffff,0x4fffffff,0x7d400000,
    0x85fc805f,0x7fc41ff8,0x3207fd01,0x41ff885f,0x7fd01ff8,0x3e217f20,
    0x80ffc41f,0x06fe83fe,0xd01ff880,0x00dfd07f,0x3a03ff10,0x542ff83f,
    0x7c3ffdcc,0x0bfe603f,0x37f4ff50,0xffff7000,0xf101ff9f,0x20ffa03f,
    0x6e6542ff,0xfff703ff,0x881ff9ff,0xfffffffe,0x27ecbfe5,0x7dc04fd8,
    0x0ffcffff,0x9fb016c4,0xfe80ffc4,0x2603ff83,0x2a6202ff,0x47fcc009,
    0x880accc9,0xf93f602d,0x87fd402f,0x3ff205fe,0x3bfa20ff,0xbffff700,
    0xffa81ff9,0x4ffccbdf,0x80017500,0xfc801ffb,0xf81ff985,0x02ff985f,
    0x3ff30bf9,0xff30bff0,0x2617f205,0x85ff81ff,0xffb82ff9,0xff036e01,
    0x705ff30b,0x06dc03ff,0x3fe617fe,0x2606fd82,0x0ffe40ff,0x5c037f44,
    0x807fee7f,0x46a600db,0xbff00ff9,0xfb05ff30,0x007fcc0d,0x07fcc6a6,
    0x6cbfe000,0x005ff04f,0x07fcc6a6,0x5fd81fee,0x7fcc2ffc,0x881ffc82,
    0x15c406fe,0x000ff980,0x5fd81fee,0xbfd00bfe,0xf8807fdc,0xfea89dff,
    0x2618801f,0x077ec0ff,0x7c4027ec,0x2ffc003f,0x931ffb80,0xff907fff,
    0x0dff5139,0xfc98ffdc,0xcffc83ff,0x206ffa89,0xff931ffb,0x39ff907f,
    0x220dff51,0x9889cffe,0x7fe42ffd,0x06ffa89c,0x1139ffd1,0xfc85ffb3,
    0x6ffa89cf,0x235dff30,0xe80ffda8,0xfea88bff,0x25fe801f,0x889cffe8,
    0x2002ffd9,0x3ff206fc,0x06ffa89c,0x2235dff3,0x4000ffda,0x540006fc,
    0x39ffb0ff,0x001ffd31,0x3ee1bf20,0xfda88aef,0x4e7fe44f,0x3a06ffa8,
    0xfea88bff,0x03fdc01f,0x2000ff98,0xa88aeffb,0x0bfe4ffd,0x999bff98,
    0xfff703ff,0x07ffffff,0x361ff200,0xffd531df,0x05fb003d,0xcffcaa98,
    0xffff9800,0x83ffffff,0xfffffffe,0x3fffe601,0x83ffffff,0xfffffffe,
    0x3fffe601,0x83ffffff,0xfffffffe,0x3fffa201,0xd05fffff,0x3fffffff,
    0x7ffff440,0xfd05ffff,0x03ffffff,0x7fffffdc,0xf980ffff,0x3fffffff,
    0x7f5d5544,0x7fff443f,0x205fffff,0x4ffdbaaa,0x7fffff40,0x3fee01ff,
    0xffffffff,0x36eaaa00,0x2a2004ff,0x326ffdaa,0xffffffff,0xb7555002,
    0xfff709ff,0x1dffffff,0xffffffd0,0x7ffcc03f,0x803fffff,0xfb8805d8,
    0xfb800abf,0xffffffff,0xc807fe0e,0xffffffff,0xebdff986,0x8801efff,
    0x4ffdbaaa,0xffffff98,0x403fffff,0x3fea00e9,0x005fffff,0xf9fffff5,
    0x3ff205df,0xfa800eff,0xeffcffff,0xdffff902,0xffff5001,0x205dff9f,
    0x00effffc,0xffffec88,0x7ffe403e,0xec8800ef,0x403effff,0x00effffc,
    0xfffffd98,0x3f2200cf,0xfe81efff,0x104fffff,0x7dffffd9,0x7ffffe40,
    0xfff9005f,0xfb3001df,0x019fffff,0x7fffffe4,0x7ffe4005,0x7ecc0eff,
    0x9001efff,0x0bffffff,0x3fff73a2,0x3f200cff,0x8800efff,0x01effffc,
    0xff100760,0x801fffff,0xffffdce8,0x202540cf,0xffffffff,0x077e41ff,
    0x7e400131,0x205fffff,0xedffffda,0x17402eff,0x3ffffa20,0x54c003ff,
    0x01330001,0x00035300,0x26000266,0x1330001a,0x000cc000,0x300004cc,
    0x01330003,0x00266200,0xfb802660,0x2002dfff,0xffd50019,0x330007bf,
    0x26620001,0xfffd5000,0xfd50007b,0x998017bf,0x7ff54000,0x262003df,
    0x04cc001a,0x00099800,0xffd801d4,0x88005fff,0x2a0001a9,0x999999ff,
    0x00e4c5fe,0x7fff5400,0x1351002d,0x00006000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x177f4c00,
    0x0057fecc,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfffff500,0x7ffffd4b,
    0x00000004,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3fa60000,0x3fa63fff,0x00003fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00170002,0x26000080,0x00dc0002,0x70001a80,0x32200e23,
    0x0000001d,0x00011011,0x2000d400,0x00402000,0x1c400010,0xa8000400,
    0x01000000,0x04020002,0x02e00000,0x110002dc,0x01a80020,0x006aa600,
    0x00260c00,0x001edc00,0x11002980,0x00200020,0x01333330,0x3a600220,
    0x07fa003f,0x00bfa600,0x0037fee0,0x2000bf60,0xfc8003fc,0xcd806f9a,
    0x7ff400fa,0x86b8000f,0x3ffe606c,0xffc802ff,0x03fe9804,0x1ba63fb8,
    0x000ffa60,0x4c003fa6,0x3a6003fe,0x206a8cff,0x1fdc04fd,0x01fb0dd3,
    0x02f4c7f7,0x88003baa,0x07ff02fd,0xfa8bf200,0x00ff2004,0xfffffd30,
    0x7ffe41fb,0xf34fb82f,0x1dffff0d,0x016d6d40,0x4017ee00,0x013ea2fc,
    0xa802fe98,0xffffffff,0x803fe01d,0x00dfeefc,0x2003fe88,0x00dfeefc,
    0xffbdfe88,0x07fd1002,0x003fe880,0x0ef9bfd8,0x805b0f80,0x8000ffff,
    0x2fc9adf8,0x3ffffea0,0x333fa602,0xddf901ef,0x7ec401bf,0x6401efcd,
    0x000dfeef,0x32003df5,0x800dfeef,0x5fffcaed,0x8817ffe0,0x81efcdfd,
    0xdfd882ff,0x3ea01efc,0xfd1000ff,0x003fe405,0xefddfe88,0x02fe4000,
    0xffffff88,0x3ffa2fff,0x75fc82ff,0xfffff0ff,0x05a96401,0x8017f200,
    0x0efddfe8,0xbfddf900,0x7fffdc01,0x03ffffff,0x37ee0bff,0x6c00df70,
    0x0cfb801f,0x5f700bf7,0xfd80374c,0x02fd8001,0x1dd3fa80,0x01f37200,
    0x0003fea2,0x01f7fed4,0x017fccc4,0x4274c3db,0x0bf70cfb,0x7009ff70,
    0x017ee19f,0x5c0037e2,0x00bf70cf,0xc8803930,0x7fdc00ff,0xb80bfe04,
    0xdfd804ff,0x007fa001,0x40007ff1,0x20003ffb,0xffd803fb,0x45ffd30a,
    0xd82ffaa8,0xff0df75f,0xbe980159,0x7f70002e,0x0ffee000,0xf70cfb80,
    0x9dfd880b,0x81ffec99,0x81882ffb,0x800c0018,0x00018818,0x00013000,
    0x21800022,0x00ba8001,0x0001ff10,0xff000188,0x0c400005,0x018800c4,
    0x00310310,0x10310006,0x88199803,0x3ff10099,0xff803100,0xf800c402,
    0x004c002f,0x40006fd8,0x08800019,0xf883ff80,0xb05ff01f,0x3e1bf29f,
    0x06e6002f,0x00018800,0x062000cc,0x17f60062,0x3e20ffe2,0x06aa605f,
    0x800aa880,0x09988199,0x540bcca8,0x2a200bcc,0x8199800a,0xa8800998,
    0x8199800a,0xff100998,0x02f332a1,0x26620666,0x102ff800,0x99999997,
    0x40055440,0x09999998,0x40cc0330,0x99999998,0x00998819,0xfffa8333,
    0xffffd1ff,0x103ff10b,0x33333333,0x2662ff83,0x99999999,0x402ff819,
    0x99999998,0x7fcc0999,0x4ccc4002,0x4cc40009,0x4fe80099,0x17fc0b70,
    0x85fca7f4,0x998802ff,0x4c400099,0x33000999,0x10001333,0x20013333,
    0x07fd05fd,0xfd307ff2,0x01fbffff,0x5fffffb1,0x3fffff50,0xa97ffffa,
    0x3ee5ffff,0xfd885fff,0xfa82ffff,0xffd1ffff,0x3f620bff,0xfa82ffff,
    0xffd1ffff,0x1ff10bff,0x47fffff1,0xd1fffffa,0xf80bffff,0xffffb02f,
    0xfb10ffff,0x3605ffff,0xffffffff,0x7ffff30e,0xb1ffffcc,0xffffffff,
    0x7ffff41f,0x3ffffee5,0x5fffff91,0x0dfffff1,0xffb03ff1,0x1fffffff,
    0xffff17fc,0xffffffff,0x3202ff83,0xffffffff,0x6fd82fff,0xffffd100,
    0x3fa200bf,0xb805ffff,0x2001bdff,0x3ff6a2ff,0x21dfffee,0x3fa202ff,
    0x1005ffff,0x0bfffffd,0xffffffa8,0x74401dff,0x005fffff,0xffd88bfb,
    0x449ff101,0xffffffff,0x7fffcc2f,0x7e44ffff,0xff8affff,0x3f626fff,
    0x3ff622ef,0x7fffcc2e,0x7e44ffff,0xff8affff,0xff986fff,0x44ffffff,
    0x8afffffc,0x886fffff,0xefff88ff,0x3ffff21d,0xfffff8af,0xa817fc06,
    0x7feeeeed,0x7fffffcc,0xfffe84ff,0x50ffffff,0x7d47ffff,0x3ff64fff,
    0x0fffffff,0x4dfffff1,0x22fffffc,0x26209ffa,0x3ff105fe,0xffffffb0,
    0x17fc1fff,0xffffffff,0xff83ffff,0x3ffff602,0x2fffffff,0x8802ff98,
    0x0fffffff,0xfffff880,0xffd800ff,0x7c02dfff,0x3ffffe2f,0x3e5fffff,
    0x3ffe202f,0x8800ffff,0x0fffffff,0x3ffffee0,0x203fffff,0xfffffff8,
    0xeeffd800,0x7c04ffff,0x42bff65f,0x3e22ffe9,0xffd30aff,0x209ffa85,
    0xff05fe98,0x883ff50b,0xfd30afff,0x09ffa85f,0x2217fa62,0xfd30afff,
    0x09ffa85f,0x4417fa62,0x03fffbff,0x98827fea,0x2ff805fe,0xf13fd400,
    0x3fa615ff,0xff99982f,0x7f44099b,0x20fff40f,0xfa999dfd,0x0dffcc6f,
    0x261ffcc4,0x09fb00ff,0x6fec1ffc,0x46ffa999,0x26ffe2ff,0xff99bff9,
    0x3007fe61,0x333df9ff,0x1bfa05ff,0x7ffd4c40,0xf531003f,0x2a007fff,
    0x04fffffd,0xffca8bfe,0x21ceffcd,0x54c402ff,0x1003ffff,0x07ffff53,
    0x999dfd88,0x2201ffec,0x03ffffa9,0xffffffd8,0x26fd803f,0x1ff883ff,
    0x7ec03ff6,0x403fe60f,0x3ff704fd,0xffd85fe8,0x4c1ffb00,0x09fb00ff,
    0x3f601ffb,0x403fe60f,0xfff104fd,0xff9805ff,0xf009fb00,0x7fa8005f,
    0x7ec03ff6,0x00bfe00f,0x7fd4bff1,0x7f44fd83,0x912ff80f,0x30bfe239,
    0x13f601ff,0x7ec6ffe8,0x3e07ff44,0xff8bfe2f,0x7fe47fe1,0x5efcc00f,
    0xa817fc6f,0x3f2001ff,0x64006fdf,0x8006fdff,0xf02ffeb9,0xf1ff885f,
    0x005ff07f,0x01bf7ff2,0x0dfbff90,0xff10bfb0,0xfbff9007,0x99dfb00d,
    0xf9009ffd,0x5b827f4f,0xff101ffc,0xd807fcc5,0xa97fa04f,0x03ff81ff,
    0xff98bfe2,0xff09fb00,0x317fc407,0x13f601ff,0x077fffc4,0x6c03fe60,
    0x02ff804f,0x7ff3fd40,0xf017fc40,0x5ff7005f,0x3f20bff1,0x740bff63,
    0x26bff73f,0x07fcc1ff,0x3f204fd8,0xd8ff20ff,0x22ff82ff,0xf87fe2ff,
    0x00dffd1f,0x71df75f9,0x7f401fd1,0x273fe005,0x3fe001ff,0xb101ff9c,
    0xf827ec05,0xf8ffc42f,0x002ff82f,0x03ff39ff,0x7fce7fc0,0xe82fec01,
    0x9cff803f,0x2fec01ff,0xb809ffb1,0x7bff70ff,0x007fcc03,0x0ff993f6,
    0x7dc09fb0,0xf30bfd1f,0x24fd801f,0x9fb00ff9,0x6c00ff98,0x403fe64f,
    0xdff104fd,0x7cc01dff,0x009fb00f,0xfa8005ff,0xd801ff37,0x00bfe04f,
    0x07feffec,0x9ff70b88,0xffda7ec0,0x4c0ff98f,0x09fb00ff,0x2e20effc,
    0x3e09ff70,0xff83f62f,0xffc89f61,0x7dc7f401,0x4018cfce,0xfa801ffa,
    0x200bfd0f,0x0bfd0ffa,0x5fd81fee,0x3b225ff0,0x3effeeff,0x7d4017fc,
    0x200bfd0f,0x0bfd0ffa,0x7ec45fd8,0x87fd401f,0x2fec05fe,0xfb00ffec,
    0xfffffd8f,0x403fd42d,0x03fe65fc,0x3fa027ec,0xfa81ffad,0x265fc807,
    0x89fb00ff,0x5fc807fa,0x7ec03fe6,0xf71ff104,0x3fe603ff,0xf009fb00,
    0x7fa8005f,0xbf900ff5,0x88017fc0,0x3002ffff,0xdfc80bff,0xfabffff8,
    0xb00ff987,0x07fe209f,0x7c0bff30,0x00ffc02f,0xdf1017fc,0x017fffee,
    0xfe804ff8,0x2003fee5,0x03fee5fe,0x222bbfee,0xff04ffda,0x3ffffee5,
    0x3e1fffff,0x25fe802f,0xfe800ffb,0xd803fee5,0xffffeeff,0x2e5fe804,
    0xdfd300ff,0x577f4415,0xda86fe80,0x2a4fffff,0x25fc807f,0x9fb00ff9,
    0x5ffffa80,0xf900ff50,0xd807fccb,0x403fd44f,0x03fe65fc,0x7dc427ec,
    0x37fff50f,0xfb00ff98,0xff555309,0xf5003559,0x3201feaf,0x00bfe05f,
    0x1005ffa8,0xfb801dff,0xbdfeffbe,0x00ff986f,0x3fe209fb,0x03bfe201,
    0x7fc02ff8,0x202ff801,0xfffc9cfb,0x3fee005f,0x26ffe600,0x4c03ff99,
    0xff999bff,0xfffffb83,0xf00effff,0x3ff6e25f,0x7c3cffdc,0x5ffcc02f,
    0x403ff999,0xf999bff9,0x3fff603f,0x9803ffff,0xff999bff,0xfffffb83,
    0x427ffcc7,0x75cc04ff,0x01ff32ff,0x3fe64fd8,0xd009fb00,0x3e603fff,
    0x327ec00f,0x13f601ff,0xfd801ff3,0x6c03fe64,0x7fffc44f,0x7fffff10,
    0xfd807fcc,0x7ffffd44,0x404fffff,0x01ff37fa,0x3fe04fd8,0x017fc002,
    0x3261ffd8,0x6feffd40,0x885fdffa,0x07fd01ff,0xfd807fe2,0xff83261f,
    0x400ffc02,0x3ff602ff,0x04fcefff,0xc813fe20,0xffffffff,0x7fffe406,
    0xe886ffff,0xcfffffdc,0xf70bfe00,0x3e03fe6f,0x7ffe402f,0x406fffff,
    0xfffffffc,0x33bf606f,0xc804ffec,0xffffffff,0xffffea86,0x542ffb85,
    0x405b12ff,0x80ffe4fd,0x3fe22ff9,0x5007fd01,0x3ff80bff,0xf88bfe60,
    0xf07fd01f,0x17fcc07f,0x3fa03ff1,0x20fffd83,0x222efffd,0x87fd01ff,
    0xffffffe8,0x7d402fff,0xf980ffe7,0x00bfe02f,0xf9005ff0,0x4c3fd87f,
    0xff8affff,0x0bff04ff,0x3e205ff3,0x87ff901f,0x00bfe3fd,0x5ff003ff,
    0x3bbbfe20,0x002e156f,0x7fc03ff2,0xffffffff,0x3ffffe01,0x401fffff,
    0xff001fc8,0xff56fb85,0xff00bfe0,0xffffffff,0x7ffffc03,0xb01fffff,
    0x27fec4bf,0x3fffffe0,0x0001ffff,0x7dcffd00,0xfc97f607,0x86fe881f,
    0x2ff985ff,0x401ffb80,0xfe881ffc,0xf985ff86,0x81ffc82f,0x5ff86fe8,
    0x0002ff98,0xf985ff80,0x2000002f,0x07ff27fb,0xff01bfa2,0x02ff8005,
    0x7ec2ffd4,0x87fffc44,0xf903fffd,0xdff5139f,0x540ffc40,0x24fd85ff,
    0x0ffc02ff,0xfa817fc0,0xbf51bee4,0x507ff100,0x333333ff,0x3fea0bfd,
    0xfe999999,0x004fb805,0x55fc85ff,0x80bfe0ff,0x99999ffa,0xff505fe9,
    0xfd333333,0x3617f60b,0x3ff501ff,0xbfd33333,0x200b6a00,0x3fee3ff9,
    0xffda88ae,0x445fff44,0xfc81ffea,0x6ffa89cf,0x200bff00,0xea88bffe,
    0xcffc81ff,0x206ffa89,0xea88bffe,0xcffc81ff,0x006ffa89,0xf9001991,
    0xdff5139f,0x00077200,0xbffe8bfd,0x41ffea88,0xacffaaa8,0xff55100a,
    0xfff10359,0x9fd55557,0x7d4bfff0,0x3ffa02ff,0x501fffff,0xfff10dfd,
    0x9fd55557,0x5d4417fc,0x3a01acff,0x67ecc4ff,0xaaaefd98,0xff9006fd,
    0x982efe98,0x3a60affd,0xffd982ef,0x3fb9700a,0x0bff3260,0x41beebf9,
    0x74c3cdff,0xffd982ef,0x0bbfa60a,0x982bff66,0x3a20aefe,0x3fa60aef,
    0xaffd982e,0x03f6e200,0x7dc1ffb0,0xffffffff,0x7fffcc0e,0x3a03ffff,
    0x1fffffff,0x9ff95530,0xffff3001,0x7407ffff,0x1fffffff,0x3ffffe60,
    0x3fa03fff,0x01ffffff,0x200bf930,0xfffffffe,0x06ec9801,0xffd75551,
    0xfffff987,0xffe83fff,0x1fffffff,0x7fffffc4,0x7ffcc2ff,0x4fffffff,
    0x3e23fff8,0x7fe401ff,0x3fe00eff,0xffff982f,0x24ffffff,0x7ffc41ff,
    0x302fffff,0x3fe63fff,0xffffffff,0x1006ffff,0x3ffea3ff,0x3ffea5ff,
    0xffff54ff,0x7fffd4bf,0x7fff884f,0x0bffffe0,0x413ea7f7,0xf51fffff,
    0x7d4bffff,0xff54ffff,0x7fd4bfff,0xfff74fff,0xfff98fff,0xbfffff54,
    0x27ffffd4,0x401fffd0,0x67443ff8,0x0cfffffd,0xdffff910,0xffff9003,
    0x3ffea01d,0x1005ffff,0x03dffff9,0x1dffff90,0xffff9100,0xfff9003d,
    0x3ea001df,0x3f2004ff,0x9800efff,0xffd05fff,0x2209ffff,0x01effffc,
    0xfffffff9,0xfffb01df,0xf983dfff,0xffffffff,0x40ffe84f,0x33001ffd,
    0x20195001,0xfffffff9,0x412a4fff,0xeffffffd,0xe88f2600,0xfffecfff,
    0x006fffff,0xfffe98ea,0x3fffa63f,0xffffd33f,0x7ffff4c7,0xa802a603,
    0x4081eeed,0x8f7bba00,0x23ffffe9,0x33ffffe9,0x4c7ffffd,0xd53ffffe,
    0xf70bffff,0x3fffa65f,0x3fffa63f,0x072e203f,0x26200ee0,0x04cc001a,
    0x2004cc00,0xffffffe8,0x00998003,0x00009980,0x33000133,0x07950001,
    0x00026600,0x3ee01795,0x3002cfff,0x00000013,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x44044000,
    0x0014c000,0xb70000a6,0x0ec83ae0,0x00010080,0x402007b3,0x4cccc400,
    0x15530000,0x00005c00,0x0040005c,0x80008040,0x01988029,0x0b801331,
    0x00b88000,0x02000b80,0x26026660,0x910dc401,0x002e0003,0x54c00020,
    0x0402001a,0x8007b100,0x886e2000,0x0015001c,0x44060000,0x26000880,
    0x054c003d,0x00d90d70,0x3a0027dc,0xff30001f,0x7f45fd03,0x7c44e802,
    0x03fec002,0x0bee1ef8,0x7ffffff4,0xfffb1006,0xe80bfbff,0xfd10002f,
    0x1ff4c003,0x221bf100,0x3ee001fd,0x1ffff405,0x817ffffa,0x220002fe,
    0x3a2000fe,0x2fe9801f,0xbfffff50,0x40ffffea,0x017ee6fb,0x4003fd10,
    0xb1003fe9,0xdddfffff,0xdd31fdc0,0x007fa600,0xb801ff4c,0x3017ee6f,
    0x0d519ffd,0x3600ffd0,0x5d86c83f,0x401ff600,0x104ffffa,0x05f935bf,
    0x10013f60,0x360007ff,0x3987306f,0xd539f700,0x4fa8001f,0xfd9ff300,
    0x3fffe20b,0xe8807fff,0xffffffff,0x0ffa200f,0x003ff300,0x06ff77e4,
    0xffbffb80,0x017f2003,0xf87ffffe,0x2207ffff,0xf98003fe,0x3fe6001f,
    0xfeefc801,0x7fffdc0d,0xbffff96f,0x2d98b620,0x007fe600,0x0dfeefc8,
    0x3ffffa60,0x100fffff,0x03df9bfb,0x2003df30,0x00dfeefc,0x05b316c4,
    0xfffcaed8,0x807fe805,0xdf982ffa,0x2001fdaa,0xffb804fa,0xb504febc,
    0x2e007dff,0x3f22003f,0x003fffff,0x00007ff1,0x0efff640,0xd8800000,
    0xfa9802ff,0xfe8801af,0xfff710af,0x003f9001,0xf700077c,0x8017ee19,
    0x2001efe9,0x3ea003fb,0x2fecc6ff,0x4001fc80,0x77c000ef,0x70cfb800,
    0x3bfb10bf,0x000f7fdc,0x0077c000,0x3ee19f70,0x15fff105,0x2007ff4c,
    0x32004ffb,0x19f7000d,0x000017ee,0x5001c980,0x0ffd0055,0x01f7ff54,
    0x81ff0000,0x000c407e,0xffb00022,0x00dfffff,0x332a1ff2,0x05e6540b,
    0x300004c0,0x0a800155,0x003fe600,0xfa80ffdc,0x8003000f,0x88188001,
    0x80028001,0x7fcc0018,0x027ec3ff,0x00300030,0x81880060,0x649fb018,
    0x26600eff,0x80099881,0x88188001,0x203ff901,0x031007f8,0x81880000,
    0x15510018,0x00aa8800,0x3ff98000,0x30000880,0x1fdc0355,0x26620fdc,
    0x33009999,0x22001333,0xbfb51cff,0xa87ff100,0x3ee5ffff,0x33105fff,
    0x6c400133,0x5fdfffff,0x00199998,0xd8007fcc,0x4c2f404f,0x99999999,
    0x99999809,0x98099999,0x99999999,0x10198809,0x26620133,0xff300099,
    0x27ec1ffd,0x99999988,0x22033100,0x33310099,0x26201333,0xb0099999,
    0x037ff69f,0x8fffffd4,0x985ffffe,0xff506601,0x4ff800bf,0x99981540,
    0x09999999,0x17ffffcc,0x26206620,0x3fff6200,0x7ec402ff,0x2e02ffff,
    0x3601cccc,0x999980ff,0x00999999,0xdfffffb1,0xc81fc8dd,0x3ffff62f,
    0xf50effff,0xbfffffff,0x443fdc03,0x0ffb802d,0x1177fec4,0xe885dffb,
    0x005fffff,0xffffffd1,0x3fea1fff,0x03efffff,0xf000ff98,0xffa8005f,
    0xffffffff,0x3fffea4f,0x4fffffff,0x3fffffea,0x744fffff,0x7ff43fff,
    0x7fff45ff,0xf9806fff,0x3f65ffaf,0xfffffd84,0x3fa0efff,0x7fff43ff,
    0x7fffec5f,0x360effff,0xffffffff,0x7f6fec0e,0x7ffe404f,0xffff8aff,
    0x3fffe66f,0x4ffffe63,0x2005fffb,0xa8002ff8,0xffffffff,0x7fd44fff,
    0x3f202fff,0xfffd2fff,0xffff981f,0xf304ffff,0x9fffffff,0x5fffff70,
    0xf513fe20,0xffffffff,0xffd309ff,0x1fffffff,0xfff913f4,0x7fffff45,
    0xff70ffff,0xffffffff,0x073fe207,0xf027fc00,0x03ff50bf,0xfffffff1,
    0xaffe8801,0x21fff710,0xfffffffb,0x3e600eff,0x0ff9800f,0x7fffdc00,
    0x4fffffff,0x3fffffee,0x2e4fffff,0xffffffff,0x7ffc4fff,0x3fffe1ff,
    0x3fffe27f,0xf9807fff,0xfb2ffb8f,0xfffffd09,0x7fc1ffff,0x3ffe1fff,
    0x7fff47ff,0x20ffffff,0xfffffffe,0x7ffec0ff,0xffa804ff,0x17fa6209,
    0x547ffff5,0x3624ffff,0x3fe6005f,0xfffb8000,0xffffffff,0x2ff99884,
    0x4fffffa0,0x221fffff,0xfd30afff,0xafff885f,0x885ffd30,0x302ffeed,
    0xfffb85ff,0xffffffff,0x057ffc44,0x3741ffd3,0x985fbdfd,0x099bff99,
    0x4ccefec4,0xfb01ffec,0x2003bfff,0x3ee00ffb,0x102ff41f,0x07ffff53,
    0xf501ffb8,0x4d7fcc1f,0x205ffdb9,0x4c100ff9,0xd88000ff,0xd99999df,
    0x4efec44f,0x44fd9999,0x9999dfd8,0xffa84fd9,0x82fecc6f,0x001affa9,
    0x3ffa1ff3,0x33304fd8,0x501337ff,0xfd98dfff,0x7ff33305,0xf3330133,
    0xfb01337f,0x809fffff,0x9fb00ff9,0xe81ffd10,0x05fd81ff,0xb703fe60,
    0xd887bddd,0xd99999df,0x017fc04f,0xff5037f6,0xb00ffd83,0x07fec1ff,
    0x3e00ffd8,0x03ff502f,0x3333bfb1,0xffc89fb3,0x6e8ff101,0x80bea7f3,
    0x2fec02ff,0xd501ffc4,0x803dffff,0x5fe805fe,0x32007fea,0x6c06fdff,
    0x222f404f,0x2ffc81ff,0xf701ff30,0x000bfe25,0x4fd82fe4,0x9fb05fc8,
    0x3f60bf90,0x3ffff984,0xff3027ec,0x87fcc001,0x04fdcff9,0x7cc02ff8,
    0x27ec3fff,0xf0017fc0,0x1ffd805f,0x7cc07ff9,0x209fb00f,0x3fea5ff8,
    0xdb5bfb03,0x3ff1017b,0x7fffffc4,0xd82fe40f,0x017fc04f,0x3fe613f6,
    0xf101ffc0,0x101ffc5f,0x17fc05ff,0xf900ffc8,0xff13f60b,0xb742a809,
    0x405f50fc,0x2fec02ff,0xb9803fe8,0x3ea04ffd,0x1ffb801f,0x3fe00bfd,
    0x3e01ff9c,0xff88002f,0x260dfb01,0x24fd80ff,0xf90006fe,0x82faaecb,
    0x7d5765fc,0x5765fc82,0xeff982fa,0x813f60ff,0x26000ff9,0x3fff20ff,
    0x02ff804f,0x07ff7fcc,0x5ff009fb,0x2017fc00,0x07fec4fd,0xfb00ff98,
    0x457fdc09,0x3ff605ff,0x81efffff,0x6e6542ff,0x25fc83ff,0xf805f55d,
    0x427ec02f,0x3fe60ff9,0xf9a7ec00,0x027ec00f,0x1ff205ff,0x55765fc8,
    0x00bfe22f,0x467cdba0,0x0bfe02fa,0xfd88bfb0,0xf502981f,0x017fa01f,
    0x1ffadfe8,0xfd0ffa80,0x003fe60b,0x5c07fe20,0x01ff307f,0x0ffdc9fb,
    0xdfc81b70,0x6400ffa9,0x00ffa9df,0x7fd4efe4,0x7d7fcc00,0x9813f65f,
    0x3e6000ff,0x27fff40f,0x26017fc0,0x365ffaff,0x02ff804f,0xfb00bfe0,
    0x304ff889,0x13f601ff,0x1ffbffb0,0x677ffec0,0x6fd85ffd,0x3203fe60,
    0x00ffa9df,0xfb00bfe0,0xff53333b,0x6403fd41,0x900ff55f,0x817fc0bf,
    0xbf900ffb,0x2601ff53,0x7e8000ff,0x80fffffa,0x7fec02ff,0x04ffffee,
    0x3ff303fd,0x4003ff50,0x005ffffa,0x07fdcbfd,0x40007fcc,0xff301ff8,
    0x5ffdd441,0x24feaaaa,0x889cffe8,0x7e42ffd9,0x400fffff,0x0ffffffc,
    0x7ffffe40,0x47fcc00f,0x09fb2ffb,0x70007fcc,0x7fd437ff,0x02ff804f,
    0x7fdc7fcc,0xff009fb2,0x017fc005,0x5c15bfd3,0x7fcc1aff,0x8809fb00,
    0x6c02ffff,0x43fdc3ff,0x511aeff9,0xff901ffb,0x4001ffff,0x7fec02ff,
    0x0fffffff,0x3f201fea,0xf900ff55,0xa817fc0b,0xfff901ff,0x3e601fff,
    0x7776dc0f,0xdd51f23d,0x017fc07f,0x3ffffff6,0x2bbfe03f,0xb06fea88,
    0xffd000df,0x7ff3003f,0x107ff333,0xf10005ff,0x43fe603f,0xfffffff8,
    0x444fffff,0xfffffffe,0xffffc85f,0x7fe400ff,0x6400ffff,0x00ffffff,
    0xffe87fcc,0x3e604fd8,0xffb8100f,0x3ff63fff,0x402ff804,0x1ffd0ff9,
    0x5ff009fb,0xb817fc00,0x227fffff,0x3e61ffff,0x009fb00f,0xfb00bff5,
    0x701ff30b,0xffffffff,0xfff901ff,0x7c001fff,0x7ffec02f,0x20ffffff,
    0x7ec00ff9,0xd801ff34,0x3eaaa64f,0xf10aaacf,0x3fff207f,0xff100fff,
    0x7ffffc43,0x003f70ff,0xfb00bfe0,0x09ffd99d,0x7ffffffc,0x2ff983ff,
    0x05ffa800,0xffffff90,0x1bfa0dff,0x407fe200,0x7ffec7fa,0xffffffff,
    0xfffec884,0x3bf903ef,0x20221ff3,0x0ff99dfc,0x33bf9011,0x260221ff,
    0xb9ff30ff,0x07fcc09f,0xffd517dc,0x27fc43df,0x26017fc0,0xb9ff30ff,
    0x05ff009f,0xea817fc0,0x7e45ffff,0x07fe20ef,0xff801ff4,0x985fd802,
    0xffb300ff,0x2019ffff,0x0ff99dfc,0x02ff8011,0x4cccefec,0x1ffc0ffa,
    0x7fc5ff30,0x54bfe603,0xffffffff,0x41bfa4ff,0x0ff99dfc,0x542ff811,
    0x263ffdcc,0x5ff0005f,0x3625fd80,0xfdfb04ff,0x3603bfff,0xff70006f,
    0x3fffe003,0x81ffffff,0x36e01ffb,0x6407fe20,0x4000006f,0x5fc801fb,
    0xfc87f932,0xc87f9325,0x87f9325f,0x3ff20ff9,0x3fe604ff,0x0004fd80,
    0x2017fc00,0x3ff20ff9,0x2ff804ff,0x000bfe00,0x30bff000,0x3fe005ff,
    0x985fd802,0x998800ff,0x325fc800,0x5ff01fe4,0xf984fd80,0x40ffe40f,
    0x7fe46fe8,0x266fe881,0xfffffffe,0x07fee2ff,0x3e4c97f2,0xf3037ec7,
    0x20cfc81f,0x017fc05a,0x3ff617f6,0x01ffcc01,0x20007ff1,0xff5005ff,
    0xfd333333,0x39ffd10b,0x45ffb311,0xffa81ff8,0x002da804,0xfc805fb8,
    0xc81ff305,0x81ff305f,0x1ff305fc,0x7f40ff98,0x3fe604ff,0xa804fd80,
    0x2ff8002d,0x3a07fcc0,0xff804fff,0x00bfe002,0x32005b70,0xffa89cff,
    0x00bfe006,0x3fe617f6,0x002da800,0x3fe60bf9,0xb00bfe00,0x01ff309f,
    0xd5117ffd,0x7ffd03ff,0x03ffd511,0x3e201fdc,0x305fc85f,0x77fcc1ff,
    0x1ffb511a,0xdffdffd0,0xcffaaa88,0x77f4c0aa,0x2bbfa20a,0xc80bfe00,
    0x2aa6007f,0x4c00cffc,0xfd982efe,0x7ff440af,0x45ffffff,0xdbaabffa,
    0xdb8806ff,0x36ee000f,0x3bfa601f,0xffbaaaaa,0x2abbfa60,0x20ffbaaa,
    0xaaaaefe9,0x7dc0ffba,0x3ffea1bf,0xbffba884,0x04feaaaa,0x2007edc4,
    0xacffaaa8,0x1bffb80a,0x2213ffea,0xaacffaaa,0x7fd55440,0x5c400aac,
    0x3ffa007e,0x401fffff,0x1acffaa8,0x443dfd30,0x2200bffb,0x74c00fdb,
    0xbaaaaaef,0x2aaa60ff,0x4c1aacff,0x3ee21dfe,0x7ffcc0bf,0x303fffff,
    0xffffffff,0x4abfa807,0xe987ff20,0xbaaaaaef,0x7ffdc0ff,0x0fffffff,
    0x0acedb88,0x7ffffff4,0xfff71fff,0xfff98fff,0xf807fe04,0xfff5003f,
    0x540bffff,0x2a5fffff,0x884fffff,0x3effffec,0x7fffffdc,0xe801efff,
    0x3a000fff,0xff700fff,0xffffffff,0x3ffee1ff,0xffffffff,0xfffff70f,
    0x1fffffff,0x1fffffdc,0xff889ffb,0xffffffff,0x7ff404ff,0x7fff400f,
    0x21ffffff,0x23fffffb,0xffe84ffd,0x1fffffff,0x3ffffffa,0xff101fff,
    0xffc800df,0x7c400eff,0x2fffffff,0x8fffffcc,0x205ffffd,0x2e00fffe,
    0xffffffff,0xff50ffff,0xffffffff,0x3ffffe69,0x5fffff8b,0xeffffc88,
    0x7ffe4401,0xffd001ef,0xf73fe80b,0xffffffff,0xfb301fff,0x019fffff,
    0xffffc800,0xd50effff,0xf70bffff,0x2036405f,0x3fa2004a,0x203fffff,
    0x23ffffe9,0x03ffffe9,0x3faa0198,0x03deffff,0x00072e20,0xfe9802a6,
    0xffffffff,0xfffd30ff,0xffffffff,0x3ffffa61,0x0fffffff,0x87bfffaa,
    0xffd84ff8,0xffffffff,0x0e5c404f,0x7ffffe40,0x3aa0efff,0x3e21efff,
    0xffffc84f,0x320effff,0xffffffff,0x02f2600e,0x0004cc00,0xdffffffb,
    0xefffe883,0x07ffff90,0x2600e5c4,0xfffffffe,0xfd10ffff,0xffffffff,
    0x3bfffa25,0x07ffffb1,0x98000998,0x01880009,0xffd30c98,0xffffffff,
    0x0998801f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x86e20000,
    0x266001c8,0x87220199,0x6e4001c8,0x4cccc400,0x3b660099,0x0003eeee,
    0x006aa200,0xa80002a0,0x002a0000,0x03910dc4,0x03910e44,0xeeeeed98,
    0x440ccc03,0x0dc80099,0x90000000,0x5440001b,0x3bbbb201,0x266601de,
    0x09999999,0x04cccc40,0xddddb300,0x0880007d,0xdddddb30,0x00002007,
    0x36600366,0x003eeeee,0x00200022,0x0014c144,0x8012e3b1,0x260a6000,
    0xb9bee002,0x7ff4405f,0xf700ffff,0x3002fdcd,0x7fec07ff,0x0effffff,
    0xeeeeed98,0x3fb6e203,0xd885ffff,0x802effff,0x6a8cffe9,0x8cffe980,
    0x7f4c00ea,0xf706a8cf,0xf702fdcd,0x2602fdcd,0x03eeeeed,0x23fffff5,
    0x205ffffe,0x00004ff9,0x3fe602d4,0xffd98003,0xdddd905f,0xfff503bd,
    0xffffffff,0x3fffa209,0x366005ff,0x803eeeee,0x837d42a8,0x3eeeeed9,
    0x002ffc80,0x2600df70,0x03eeeeed,0x4c003fa0,0xdfb805fe,0x2600bf70,
    0x003fc8ff,0x3ee003fd,0xb1002f40,0xf1016cc5,0x1fd999bf,0x2d98b620,
    0xd00ff400,0xffffffff,0x2600001f,0xffdffffe,0x7fffcc2c,0x6c04ffff,
    0x05fffcae,0xfffcaed8,0xfcaed805,0x45b105ff,0x8b6202d9,0x800002d9,
    0x8afffffc,0x406fffff,0x400001fe,0x01fe806d,0x7ffffc40,0xff700006,
    0xffffffff,0x3ffe209f,0x0000ffff,0x7ffec400,0x006ffbdf,0x0d169800,
    0x000bf900,0x05ff0000,0x4016c760,0x00dfeffb,0x4fc8ef88,0x007ff300,
    0x0ff66ff4,0x7d400000,0x0000fc82,0x26600000,0x0099bff9,0x3e005544,
    0x7d9fb9ef,0x30afff88,0x4c003ffd,0x3930001c,0x00726000,0x98000000,
    0x80998819,0x26209ffa,0x200005fe,0x99988199,0x000006f9,0x804c7fee,
    0x403b20eb,0x9999dfd8,0x26204fd9,0x003ffffa,0x13333331,0x3ffffe60,
    0x981fffff,0x99999999,0x1a6d3009,0x8007f100,0x00099998,0x5b002ff8,
    0x7ec400b6,0x7c3ae002,0x0065c003,0x039fd710,0x4cccccc0,0xfc809999,
    0x4c406a81,0x31000999,0x00133333,0xfb1005ff,0xf505ffff,0x1f67ee3f,
    0x7ec03ff6,0x880cc40f,0x4cc40099,0x33100099,0x22013333,0x00999999,
    0x2a0cc033,0xfd1fffff,0xff98bfff,0x3109fb00,0x33333333,0x8fffffd4,
    0x3ffffffe,0x99999998,0x7f400999,0x745fd004,0x417f202f,0xffc804fd,
    0xffd806fd,0x0effffff,0x542bffa2,0x7fd44fff,0xffffffff,0x0bff204f,
    0x20ecc000,0x5fffffe8,0x56ffcc00,0x02ff4c01,0x00000040,0x00000000,
    0x3fffffea,0x5c4fffff,0x22001fff,0x05fffffe,0xffffffd8,0x3fe00eff,
    0x7fffcc02,0x7dc4ffff,0x11f67ee7,0x7fc407ff,0xd0ffffa2,0xd10bffff,
    0x00bfffff,0xfffffffb,0x7ffec1df,0x30efffff,0x7cc7ffff,0xfff93fff,
    0xffff15ff,0x00ff98df,0xfffb09fb,0x21ffffff,0x8afffffc,0x0dffffff,
    0x3fffffea,0x404fffff,0x873002ff,0xb2fe4039,0x3e00beab,0x401ff9cf,
    0xfffffffe,0x03ff60ff,0xfb8ffff7,0xffffffff,0x000404ff,0x555eedcc,
    0x7ffc44ff,0x9000ffff,0x09ffffff,0x6dcc0010,0x997101bd,0x06665c47,
    0x059bd950,0xb88f32e2,0xff700ccc,0xffffffff,0x7effdc9f,0xfff1004f,
    0xe801ffff,0xffffffff,0x80bfe00f,0xd30afff8,0x8ffd45ff,0x7cc7d9fb,
    0xf27ec00f,0x7fc3ffff,0xff887fff,0x400fffff,0xfffffffe,0x3fffa0ff,
    0x50ffffff,0x7d47ffff,0x3fea4fff,0x17fa6209,0x7ec03fe6,0xfffffd84,
    0x3ea0ffff,0x3fa6209f,0xffffb80d,0x4fffffff,0xeeffeda8,0xf9000003,
    0x001ff53b,0x5fe87fd4,0xbff99980,0x21ffc099,0x43ffeff9,0x9999dfd8,
    0xdba84fd9,0xfd800bde,0xefffffff,0xfffa9880,0xfffe803f,0x9716ffed,
    0x6665c479,0xfffffb80,0x7ffdc0ef,0x07fffee5,0x3fffffa6,0x7ffdc0ef,
    0x07fffee5,0x999dfd88,0x3f64fd99,0x005ffd30,0x7ffff531,0x7ff33300,
    0x2ff80133,0x6c03ff60,0x5dfd10ff,0xfb8fb3f7,0x545fc807,0x7ecc6fff,
    0x3fea6205,0x999803ff,0x98099bff,0x099bff99,0x3a07ff44,0x07fcc1ff,
    0xff984fd8,0xfb09fb00,0xdff5333b,0xfb00ff98,0x4efec409,0x84fd9999,
    0xfffffffe,0x11e65c41,0xf9019997,0x001fffff,0x1ff72ff4,0x9817fc00,
    0x3ffa20ff,0x5fc84fe8,0xffc89fb0,0x205fffff,0xfecdfffd,0x7fe402ff,
    0x7fd406fd,0x7dd7f20b,0x3ffee5ff,0x6fffe41f,0x260effdc,0x3b665ffd,
    0x7ff441ff,0x46ffecce,0x3665ffd9,0x7e401ffe,0x7d49fb05,0x037fee0d,
    0x1bf7ff20,0x4005ff00,0x0ffe02ff,0x3a22ff88,0x47d9ffff,0x5fc807fa,
    0x21ffffcc,0xffc804fd,0x7fc006fd,0x00bfe002,0x7fd4bff1,0xb00ff983,
    0x01ff309f,0x13f613f6,0xff981ffd,0xc809fb00,0x309fb05f,0x079bff99,
    0x7dcbfff7,0xffc81fff,0x3000ffff,0xff3337ff,0x817fc007,0x8ffec7fa,
    0x25fc85fc,0xfb85f55d,0x2ffeccde,0xf30bffb8,0xff80dfff,0x3601ff9c,
    0xb32e886f,0x7f6ccbff,0x033fea1f,0xbf90bff5,0xfd83ff10,0x83ffb82f,
    0x1ff885fc,0x2bb2fe40,0x17fe42fa,0xf803dfb1,0x001ff9cf,0xff800bfe,
    0x801ff302,0x7ed444fd,0x7fc47d9f,0x2627f400,0x360ffeff,0x9cff804f,
    0x3fe001ff,0x00bfe002,0x3fe2bfee,0x201ff305,0x0ff984fd,0x7f909fb0,
    0x7cc17fec,0x809fb00f,0x7d5765fc,0x3017fc02,0x76ccbffb,0x9dfc81ff,
    0x40110ff9,0xfffffffc,0x0bfe006f,0x7ff93fdc,0x6fe42fe4,0x0000ffa9,
    0x4dfd09fd,0x1ffcfff9,0x3fa1ff50,0x800ffe05,0x1ff885fc,0x7e403ff2,
    0xf885fc87,0x556ffc1f,0x86feaaaa,0x1ff885fc,0x7d4efe40,0x77fd400f,
    0xfa817ea1,0x400bfd0f,0x3fe002ff,0x900ff502,0x6cfdc0bf,0x2603fe87,
    0x57fcc2ff,0x013f65ff,0x17fa1ff5,0x2002ff80,0xffb002ff,0x3e601ffb,
    0x109fb00f,0x0ffa03ff,0x27fdc2e2,0xfb00ff98,0xa9dfc809,0x3fe000ff,
    0x885fc802,0x25fc81ff,0xff81fe4c,0xffffffff,0x205ff001,0x5ffa9ff9,
    0x7fe427ec,0x4400ffff,0x4ffeeeec,0xff897fc4,0xd02ff89f,0x807fdcbf,
    0x3f2005fc,0x3a1ff885,0x07fe604f,0x3ff10bf9,0x7fffffc4,0xc87fffff,
    0x01ff885f,0x7fffffe4,0x4ffd8800,0x2ff403f6,0x3e001ff7,0x0bfe002f,
    0x7e403fd4,0x1f67ee05,0x3a207fee,0xb8ff986f,0x809fb2ff,0x03fee5fe,
    0xf0017fc0,0x3fe2005f,0x3fe602ff,0x3e09fb00,0x02ffa85f,0xf302ffcc,
    0x013f601f,0x1ffffff9,0x4017fc00,0x1ff885fc,0xff305fc8,0x333ff501,
    0x00bfd333,0x7fc40bfe,0x3e60effd,0xffffc82f,0x3fee00ff,0x44ffffff,
    0xfff8aff8,0xf303ff31,0x7ff3337f,0x442ffea0,0x42fe43db,0x17fa1ff8,
    0x7e40ffa8,0x221ff885,0xffffffff,0x7e40ffff,0x401ff885,0x0ffffffc,
    0x3fbfa600,0x37ff306f,0x2007ff33,0x2aa202ff,0x21aacffa,0x7ec00ff9,
    0x1f67ee04,0x222fffa2,0xf982ffea,0xfb1ffd0f,0x4dffcc09,0xf003ff99,
    0x17fc005f,0x80bff500,0x9fb00ff9,0x2273ff20,0x7c406ffc,0x3fe600ef,
    0xc809fb00,0x00ffffff,0x3200bfe0,0x41ff885f,0xaaaaefe9,0x74c0ffba,
    0xffd982ef,0x017fc00a,0x441ffff9,0xdfc80efe,0x4110ff99,0xccbdfffa,
    0xeefe84ff,0x41ff61ff,0xfffffffc,0x3fffa06f,0x7e45fffe,0x2e1ff885,
    0x0dfd01ff,0x3ff30bf9,0x90006fe8,0x03ff30bf,0xff99dfc8,0x3f600110,
    0xfff900cf,0x00dfffff,0xffe80bfe,0x1fffffff,0xff980ffe,0x1f67ee02,
    0x7ffffec4,0x1ff303ff,0x13f73fe6,0xffffffc8,0x5ff006ff,0x0017fc00,
    0xff100bfe,0xd80ffa03,0x1fffffff,0x930ffec0,0xe80ffc41,0x4efe403f,
    0x80110ff9,0x5fc802ff,0x3ee1ff88,0xffffffff,0x3fea0fff,0x3fea5fff,
    0x7fc04fff,0x37ffe202,0x01ffea89,0xff264bf9,0x7ec077ec,0xaffffa84,
    0xf04ffeb8,0xffffffff,0x7ffe403f,0x2fe41dff,0xff30ffcc,0xffd7139f,
    0x263ff707,0x7d43fffc,0xb7530adf,0x263ff709,0x6403fffc,0x47f9325f,
    0xf80ff05c,0xffffffff,0x02ff801f,0x3ffffff2,0x3ff20eff,0x406fe881,
    0x6407d9fb,0x201dffff,0x3ff20ff9,0x3ffe04ff,0x1fffffff,0x2002ff80,
    0x7fc002ff,0x985ff802,0x7f5402ff,0x7e400bff,0x3e1fec3f,0x02ff985f,
    0x7c992fe4,0x4017fc07,0x1ff985fc,0x3fffffa6,0x20ffffff,0x23ffffe9,
    0x03ffffe9,0xff7017fc,0x7fffffff,0xf982fe40,0x263bfb0f,0x441effea,
    0xffffffff,0x33ff504f,0x0bfd3333,0x700cff98,0x3ff263ff,0x7fffcc3f,
    0xf304ffff,0xffffffff,0xffffd87f,0x987fffff,0xffffffff,0x17f203ff,
    0x0fd07fcc,0x7fd40df3,0xfe999999,0x002ff805,0xffd005f7,0x3ffd5117,
    0x07d9fb80,0x42ffffa2,0x07fcc1b8,0x5413fffa,0x999999ff,0x2ff805fe,
    0x000bfe00,0xff9005ff,0x0dff5139,0x54013e20,0x44fd85ff,0xfa89cffc,
    0x05fc806f,0x3ea01ff3,0x1ffb801f,0x007fff93,0x700009d0,0xf555101f,
    0x7cc1559f,0xefffebdf,0x2bbfa601,0x0ffbaaaa,0xfffffff3,0x3a27ffff,
    0xeffffeff,0x05dfd302,0x4015ffb3,0x3fe602ff,0xffffffff,0x7fffecc3,
    0x7ffd402e,0x82effcff,0xfffffffa,0xffff501c,0x205dff9f,0xaaaaefe9,
    0x3fa0ffba,0x02ffeeee,0xb305dfd3,0x554415ff,0x00aacffa,0x980eefee,
    0xffffffff,0x7fd99103,0xffd059fd,0xbfffffff,0x2a1bffb8,0xfe984fff,
    0xaffd982e,0x3feaaa20,0x55440aac,0x00aacffa,0x359ff551,0xfffffe80,
    0x37e001ff,0xfff100ca,0x9fd55557,0xffffffd0,0xefe9803f,0xffbaaaaa,
    0xdff77910,0x3fffe600,0x03ffffff,0x002e6f40,0x745b7f70,0xffffffff,
    0x441df91f,0x7ffdc009,0xffffffff,0x3fff6a0f,0x52effedf,0x200cc5ff,
    0x25fffffa,0x04fffffa,0xff5007fe,0x5dff9fff,0x20004cc0,0x988001a9,
    0x2a60009a,0x3ffee001,0xffffffff,0x3ffffa0f,0xfff502ef,0x7ffd4bff,
    0x3fffa4ff,0x01ffffff,0x91013ffa,0x403dffff,0xffdffffa,0x7fffc45f,
    0x21effffe,0x23fffffb,0x7fd44ffd,0x3fea5fff,0x3ffa4fff,0x1fffffff,
    0x3ffffffa,0x7fc41fff,0x02ffffff,0x077fffe4,0x03ffee00,0x7fffffcc,
    0xf904ffff,0xb801dfff,0xffffffff,0xff70ffff,0x54003fff,0xffcfffff,
    0x7f54002e,0x3f620004,0x3ffff20e,0x930effff,0x3fa60003,0xffffffff,
    0x09a880ff,0x40016440,0x23ffffe9,0x03ffffe9,0x1a98012a,0x00000000,
    0x00000000,0xfffffd30,0x01ffffff,0xfffe9800,0x3fffa63f,0x3ffff23f,
    0x400effff,0x04cc0009,0x35300000,0x7540dcc4,0x3e21efff,0x7fff4c4f,
    0x3fffa63f,0x3ffff23f,0x320effff,0xffffffff,0xffffd80e,0x33001eff,
    0x00c40001,0x3fffffe6,0x4c04ffff,0xffd30009,0xffffffff,0x0177641f,
    0x00035300,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x82880000,0x540d4028,0xa8002000,0x0b801440,0x01982980,0x30003c80,
    0x9829801b,0x07103302,0x00a60071,0x15016c40,0x53200150,0x000001d9,
    0x90053053,0x00b80009,0x40076600,0x0000003d,0x88002a60,0x00a98000,
    0xd980014c,0x001b5001,0x00000000,0x06aa2000,0x260014c0,0x0002201a,
    0x7e53ffee,0x4fb80303,0xff51ef98,0xfb13fe80,0x00ff6005,0x7fd47be2,
    0x0bffa600,0x3f21bf70,0x0bfa2005,0x201bee00,0x5c2f40fb,0x217cc4ff,
    0xdffb807c,0x07fe6000,0xfe997fc4,0xf9bfc801,0x3fee000e,0xd03ee04f,
    0x01df500b,0x02ffe980,0x000efa80,0x80001bf7,0x2e04fffb,0xa805ffff,
    0xfda804ff,0xff703fff,0x77d4001b,0x03ff1000,0x000fffe8,0x2639df70,
    0x3ffffe62,0x440fffff,0x01effffd,0x03bffff5,0x3bffff6a,0x0017fc42,
    0x7e53fff2,0x2e02fc84,0xfdfd505f,0xefd8801d,0x3fe003ff,0xfdfd3005,
    0x5ffdc03d,0x7fdc05fe,0xd3000cfe,0xbf90005f,0x766ff400,0x86ffd81f,
    0x03fecdfd,0x3fef7fa2,0x00efa802,0x177f7f44,0x77cdfec0,0x7ffdc000,
    0x766ff404,0x3ff3001f,0x3affee00,0x37ee005f,0x077d4000,0x9fff9000,
    0x3ffffee0,0x1ffcc04f,0x3ffffea0,0x5eff445f,0xdfb801ff,0x17f44000,
    0x00ffff88,0xffffd500,0x7fffccdf,0x40ffffff,0xfffffffe,0x7ffffd41,
    0xffff986f,0x3a21ffff,0xfe88001f,0x0ffa0b64,0x7e440790,0x06fd4003,
    0x00076a00,0xdf8807f9,0xd3007ee0,0x0ec8003d,0x003f8800,0x80e7f5c4,
    0xda886ffd,0x17dc02df,0x1bd00dd3,0x8027dc00,0x001d73f8,0x13bfd510,
    0x073fae20,0x2007d100,0x007ee0df,0xd300027c,0xfe880005,0x913dff04,
    0x801005ff,0x030aeffa,0x0374c5f7,0x3600027c,0x03fea206,0x7ffe4c00,
    0x557fc46f,0x5c7fdaaa,0xffa88cff,0xfa977ec6,0x45f7e44f,0x0006fea8,
    0x04ba7ec0,0x02cc09fd,0x00100008,0x00100000,0x00000000,0x00000000,
    0x006ffc80,0x00000000,0x00000040,0xefffed80,0x00000002,0x00000000,
    0x36000000,0x40ff984f,0x540005fe,0x00000eff,0x00000000,0x40003fe6,
    0x2ffbadfd,0x45fd815c,0x27fc86fd,0x7fe42ff8,0x3fd40a20,0xbdecb800,
    0x95034fd8,0x79999dff,0xdeca8026,0x7997102c,0x806665c4,0xa9ceedc8,
    0x7bdd9500,0x3b722035,0xba80a9ce,0x8800bded,0x0a9ceedc,0x22deca88,
    0x6dcc03eb,0xbff901bd,0x0bdedba8,0xbdeeca80,0xbdd9501a,0x37220357,
    0x300a9cee,0x20037bb7,0xfd8bdecb,0x66f65404,0x9bd95002,0x8f32e205,
    0x220cccb8,0x32e23ccb,0x332e20cc,0x03332e23,0xd8bdecb8,0xc86fb84f,
    0xd025407f,0xdb9800df,0xdb9801bd,0xdb9801bd,0x7fcc01bd,0x00cdeda8,
    0x8037ec04,0x2fec2ff8,0x0ff53fdc,0x2e005ff1,0xd3025c7f,0xffffffff,
    0x3fffe209,0x03ffffff,0x3fffffa6,0x7ffdc0ef,0x07fffee5,0x3fffffee,
    0xfffd85ff,0xfb87ffff,0x5fffffff,0x7fffffe4,0x3ffee05f,0xe85fffff,
    0xffdfffff,0xffb80dff,0x5c0effff,0x3fff24ff,0x3605ffff,0x7fffffff,
    0xffffffd8,0xffffb87f,0xfb85ffff,0x00efffff,0xffffffd3,0x3fa609ff,
    0x00efffff,0xffffffd3,0x5fffb81d,0xb87fffee,0x3fee5fff,0x3ffee1ff,
    0x07fffee5,0x3fffffa6,0x3fe84fff,0x3a00ff98,0x8bff981f,0x3fee01ba,
    0x700effff,0x1dffffff,0x3ffffee0,0xfff300ef,0x07ffffff,0x2f7ffb22,
    0xffb802ff,0xd317fdc0,0x207fd4df,0x26204ff9,0x3fe25ffb,0xcffff881,
    0x204ffffe,0xeeeeffec,0xffd100de,0x8dffd99d,0x3665ffd9,0x7fdc1ffe,
    0x7fffdcef,0x6e677fcc,0x3fee0fff,0x7fffdcef,0x7666f7dc,0xfffb82ff,
    0x87fffdce,0xfffecdfe,0x7e44ffde,0xeffdcdff,0xfb93fea0,0x2ffeccde,
    0xdcceff98,0x3fe60fff,0x0fffdcce,0x373bffee,0x7fe47fff,0x0effdcdf,
    0x767fffc4,0xe884ffff,0xffecceff,0xceffe886,0x6cc6ffec,0x3fb665ff,
    0x97ff661f,0x261ffed9,0x3b665ffd,0x7ffc41ff,0x4ffffecf,0x5ff02ff8,
    0x505ff910,0xbffff9ff,0xcdfffc81,0x7e40effd,0xeffdcdff,0x66fffe40,
    0xf980effd,0xffecffff,0x7fffd42f,0x803fffff,0xfffd05fd,0x7cc3fffd,
    0x82fff43f,0x20effffb,0xffd82ff9,0x027ff4c2,0x360027f4,0x3ffb82ff,
    0xff885fc8,0x2077fe21,0x437e46fe,0x37fe26f8,0x2006fe81,0x6ffc44fe,
    0x8806fe81,0x1ff90fff,0xf5033fea,0x01ffccbf,0x6fc84fe8,0x37e46f88,
    0xbff137c4,0x7d4dfd03,0x2ffd40cf,0xfd30bff6,0x05ffb09f,0xffd87ff7,
    0xc83ffb82,0x81ff885f,0x1ff885fc,0xff885fc8,0x2617fec1,0x2ff84ffe,
    0xffa85ff0,0xfffb81ff,0x2a6fffff,0x7fd40cff,0x5033fea5,0x67fd4bff,
    0x4c2ffd40,0x7f4c2fff,0x39fff10f,0x809fffb5,0xff502ff8,0xfb0bffff,
    0xdfffd59f,0x3bfffee0,0x3e0ffea0,0x09ff505f,0xf8009fd0,0xaaaaaadf,
    0x85fc86fe,0x3fea1ff8,0xf989f302,0x409bcdff,0x9f302ffa,0xfdddd910,
    0x02ffa89f,0xdb7109f3,0xf755dffd,0x403ff25f,0x0bfe67fc,0xffdddd91,
    0x9bfff309,0xfff30137,0xfa81379b,0x649f302f,0x8ff900ff,0x9ff505ff,
    0x5555bff0,0xff8dfd55,0xeaaaaaad,0x885fc86f,0x85fc81ff,0x5fc81ff8,
    0x7fc1ff88,0xf09ff505,0x98bfe05f,0xf500cfff,0xff911bff,0x6403ff25,
    0x403ff27f,0x03ff27fc,0x7fcc3fe4,0x325ff505,0x6ffb82ff,0x4c07fdc0,
    0xfffdefff,0x7ffffc43,0x26205fff,0x3fea6ffc,0xf017fc44,0x09fd009f,
    0x7ffffc40,0x87ffffff,0x1ff885fc,0x64001bf2,0x0dffffff,0x2e001bf2,
    0xffffffff,0x40037e44,0xfffffffb,0xd3ffffff,0x8ffcc09f,0x3fee1ff8,
    0x04ffffff,0xbffffff9,0xfffff901,0x037e41bf,0xf9813fa0,0x405ff11f,
    0x7ffc44ff,0xffffffff,0x3ffffe27,0x87ffffff,0x1ff885fc,0xff885fc8,
    0xf885fc81,0x80bfe21f,0x84fe84ff,0x3bf60ff9,0x077fcc00,0x027f57fa,
    0x13fa3ff3,0x9fd1ff98,0x260ffcc0,0x53fe02ff,0xbff107fe,0xfb05fe80,
    0x43ff443f,0xfebeffd8,0x25ff5004,0x7fc44ffb,0x2013fe02,0x3e2004fe,
    0xffffffff,0x2fe40fff,0xdf90ffc4,0x6e544000,0xdf90ffff,0xdfffa800,
    0x644ffccb,0x7fcc006f,0xffffcbdf,0xbfd4ffff,0x7507fd40,0x65efffd4,
    0x2a204ffc,0x80ffffdc,0xffffdca8,0xe800df90,0x43fea05f,0x3fe02ff8,
    0x7ffffc44,0x0fffffff,0xfffffff1,0xc81fffff,0x81ff885f,0x1ff885fc,
    0xff885fc8,0xf80bfe21,0xc86fc84f,0xb81ffc6f,0x3f20bfe1,0x7d40bfd6,
    0x540bfd0f,0x40bfd0ff,0x7fcc0ffa,0x7f53fa02,0x8813fe06,0x09fd02ff,
    0xc8403ff3,0x3fa002ff,0xff0bff94,0x013fea0b,0xfd0013fa,0x17f2000d,
    0xffa87fe6,0x417a0c02,0x5ff52ff9,0x03bf6180,0x5ff513f6,0x03fea180,
    0xffb80bff,0xd80dfd01,0x84fd80ef,0x45ff305e,0x25ff305e,0x70c02ffa,
    0x1bfa03ff,0x3fea0bff,0x8006fe84,0xf90006fe,0x903ff30b,0x03ff30bf,
    0x3ff30bf9,0xff505ff8,0xe83ff509,0x542fe43f,0x3617fa5f,0x203ff75f,
    0x07fee6fe,0x3ff737f4,0x3e61bfa0,0x25ff505f,0xffa81ffc,0x403fee03,
    0x1ff984fe,0x0037fcc0,0x3ff67ff1,0x8adffc86,0x01dfffc9,0xdb98f7e4,
    0xadffa85f,0x709b7530,0x3ff263ff,0x2bbfe23f,0x4cbfaa60,0xf7309dff,
    0x2bbfe25f,0x6cbfaa60,0xffd531df,0x577fc43d,0x44bfaa60,0xffd98cff,
    0x31db98af,0xd7139fff,0xdfd807ff,0x3dffd531,0x984effcc,0xbff32ffb,
    0x4bfee613,0x260aeff8,0xfff32fea,0x7ffd7139,0x98adffc8,0x541dfffc,
    0x7530adff,0xadffa89b,0x709b7530,0x3ff263ff,0x31ffb83f,0xf707fff9,
    0x3fff263f,0x456ffe43,0x41dfffc9,0xfd9aeff8,0x5f7fcc1f,0x3ea6ffdb,
    0x3ffb89bf,0x7139fff3,0x7fcc7ffd,0xffeb89cf,0x273ffe63,0x443ffeb8,
    0x98adfffb,0xff30effc,0xffd7115d,0x902ff401,0xfd5137ff,0xfeb89a8f,
    0x273620ff,0x21ffd530,0xffd07ffd,0xffffffff,0x7ffc407f,0xb06fffff,
    0xffffffff,0xffff30ff,0x47ffffff,0xfffffff9,0xfff30fff,0x8dffffff,
    0xfffffff9,0xfff30fff,0xffffffff,0x7ffffcc7,0x360fffff,0xffffffff,
    0x263fffff,0xffffffff,0xf98ff444,0xffffffff,0xffff33ff,0x4cdfffff,
    0xffffffff,0x7fffcc6f,0x20ffffff,0xfffffff9,0xffffd04f,0x7fffffff,
    0xffffffd8,0xffd87fff,0x7fffffff,0xffffff98,0x7cc3ffff,0xffffffff,
    0x7fffcc3f,0x43ffffff,0xfffffffe,0x7cc3ffff,0xb05fffff,0x9fffffff,
    0xffffffd8,0x3fffe60e,0xf984ffff,0x4fffffff,0xffffff98,0x7ffc44ff,
    0xffffffff,0x7fffdc1f,0x2202ffff,0x3fa202ff,0x22ffffff,0xfffffffa,
    0x7ffffcc1,0x3ee3ffff,0x3ffee04f,0x1effedff,0x7ffffdc0,0x7ffd403e,
    0x501cffff,0xff9fffff,0xfffd985d,0x76c1dfff,0x0cfffffe,0xfffffd98,
    0x7fed41df,0x2effedff,0x7ffffecc,0xfffc81df,0xffffdedf,0xffffd983,
    0x22ff882e,0xedffffda,0x3bb62eff,0x40cfffff,0xfffffeed,0xfffd980c,
    0xd981dfff,0x402effff,0xedfffffb,0xffa81eff,0x01cfffff,0xfffffff5,
    0x3ffea039,0x82effcff,0xfcfffffa,0xfffa82ef,0x82effcff,0xedfffffb,
    0xffa81eff,0x7edc04ff,0xec880bef,0xd980dfff,0x202effff,0x2effffd9,
    0x3ffff660,0x9fffb02e,0x01bfffff,0x3bffffaa,0x8806e801,0x41effffd,
    0x03ffffe8,0x3fffffae,0x006e442e,0x00004d4c,0x80013531,0x20009a98,
    0x4c4001a9,0xa98009aa,0xa988009a,0x4d44009a,0x554c4000,0x88198009,
    0x0133000a,0x13510188,0x09aa9800,0x009aa980,0x009aa988,0x98001330,
    0x9880009a,0x2620009a,0x2a60009a,0x01a98001,0x8001a980,0x880009a9,
    0x4c000001,0x01330009,0x40009980,0x53000099,0x2aa20013,0x4c000000,
    0x004c4009,0x00035330,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x4c0012a0,0x03660002,0x00000000,0xd9800144,0x8005b001,0x260042c8,
    0xd980042c,0x263e9800,0x001ec03e,0x000000d4,0x00000130,0x8fa60000,
    0x075c03e9,0x551001d9,0x29829803,0x26200988,0x019d7100,0x1f4c7d30,
    0x6e440000,0x000a9cee,0x4c000000,0x000001aa,0xc980ecc0,0x0cdec9bc,
    0x00a80a80,0x30660000,0x1ff80015,0x06ffdc00,0x301bee00,0xffffffff,
    0x37f6a205,0x1bff7001,0x0077d400,0xf5004fc8,0x01fb5dff,0x36bbffee,
    0x006fa807,0x02fdcdf7,0x6c4013f2,0x7fcc04ff,0x5c402fff,0xfb802ffd,
    0x205fffff,0xfb8002fa,0xfd017ee6,0xd1017f45,0x203dffff,0x2e2f40fb,
    0x7fc45fff,0xecff86ff,0x737dc00f,0x3ffe60bf,0xb83fd2ff,0xffffffff,
    0xfffffb85,0xffff305f,0xffb1005f,0x30dddfff,0x005fffff,0x3e01df50,
    0xffffffff,0x99ff401f,0x6d4401fe,0xf500bdff,0xffff71ff,0x0bfe003d,
    0x7deff440,0x0bf9001f,0xffffff30,0x3ffa07ff,0x36204fff,0x802ffbdf,
    0x5c000dfb,0xd54c805f,0xaa6407ff,0x7e402ffe,0x702e000d,0x80df7001,
    0x0efdbff9,0x5fffff50,0x7ffffec0,0xaaaa8802,0xbfb501aa,0x05c00355,
    0x9873002e,0x3fffe603,0xfd00ffff,0xfd83fd9b,0x7ffcc6ff,0xe83ea0ff,
    0x05c0b804,0x2fffffa8,0x7ffdc5fd,0x87fffdce,0x1aaaaaa8,0x5fffff50,
    0xffffe980,0x4c0fffff,0x002fffff,0xf7006fdc,0xffb9dfff,0xfefd8809,
    0x67fc402f,0xb82ffdbb,0xffffdfff,0xff800fff,0x4c5f7002,0x03f8806e,
    0x5557ff30,0x33fe6035,0xf700ffda,0x7c036c47,0x07ea0004,0x0c000600,
    0x0001fc40,0x00fd4000,0x027d43db,0x405ff331,0x02ffdffe,0xfffc8000,
    0x0000ffff,0xfe800000,0x5ffb88be,0x039fd710,0x7dc41bf6,0x1b23640f,
    0x4cc40000,0x221d12ff,0x6fe81dff,0x26620000,0x3fe202ff,0x3ffa60af,
    0x2ff99880,0xc8027c00,0x03fd43ff,0x4400dfb8,0x05f700de,0x215ffff5,
    0xff805ffa,0x00000002,0x001ff300,0x0ffa2fe4,0x00000000,0x376e6000,
    0x76dd401b,0x000000bd,0x00b37b2a,0x20000000,0x426202ff,0xd95002ff,
    0x7f54059b,0x26001aae,0x7101bddb,0x665c4799,0x20bfe20c,0xc80007fc,
    0x21fee05f,0x807d11f9,0x00bdedba,0x516cbfe0,0x13e605ff,0x00deedcc,
    0x7e405ff0,0x00ff101f,0x000005ff,0x7fc42fe4,0xd1001001,0x4379993b,
    0x7ffcc2fb,0x9987fc81,0x199bff99,0x166f6540,0x2cdeca80,0x2623fe60,
    0xf127ec00,0x3b6ea09f,0x6dd400bd,0x5d400bde,0x5c00bded,0x0effffff,
    0xffffffc8,0x3332e05f,0x7ff4c01c,0x700effff,0xb8039999,0x2001cccc,
    0x3fe002ff,0x7fff4c02,0xfb00efff,0x8039b73b,0xeffffffb,0x72fffdc0,
    0x3c83ffff,0x9970ff50,0x2fe40399,0x3fa0ff70,0x41710ffe,0xfffffffc,
    0x0a5ff005,0x2e000df9,0x0effffff,0x3e02ff80,0x4015404f,0x993012ff,
    0x019bd937,0x7fc42fe4,0x64de64c1,0x1f500cde,0x47fb9dd3,0x817fcc5d,
    0x7fff47fa,0xffffffff,0x7ffff4c0,0xfd300eff,0x01dfffff,0xdffffff3,
    0x3633f603,0xffc81fff,0x905fffff,0xbfffffff,0x3fffff20,0xfff905ff,
    0x81dffb9b,0xfeccdefb,0xffffb82f,0x3ffa202f,0x86ffecce,0x02fffffb,
    0x0bffffee,0x2002ff80,0x3fa202ff,0x6ffeccef,0xffffffb0,0xfff903ff,
    0x41dffb9b,0x3665ffd9,0x3a001ffe,0x7fffdc6f,0x817f202f,0x2b6a07fb,
    0x2e2ffeb9,0xffeccdef,0x902ff802,0xff9000df,0x1dffb9bf,0x1712ff80,
    0x0000bfe2,0x20ffeffc,0xffffffff,0x0bf901ff,0xfff83ff1,0x1fffffff,
    0x7a9724c8,0x01ff31ee,0xfffb1fea,0xffffffff,0x677ff441,0xe886ffec,
    0xffecceff,0xfffff986,0xcfd82fff,0xb81ffffc,0xffeccdef,0xccdefb82,
    0xefb82ffe,0x42ffeccd,0x7d40cffa,0x13fa005f,0x0bffbb62,0xfb82ffd8,
    0x7f76c43f,0x3bb6202f,0x3fe002ff,0x80bfe002,0xffb82ffd,0xcefffd83,
    0x7fd46ffd,0x42ffd40c,0x1ff885fc,0x885ffb00,0x202ffeed,0x1fee05fc,
    0xadffeb98,0x013fa000,0x7fd40bfe,0x9ff50c02,0x405ffa81,0x26dfd2ff,
    0xf00000ff,0xfb83ffff,0xffdcefff,0xf10bf904,0xffffb83f,0xe84ffdce,
    0x97ae7723,0x03fe61f9,0x26207fcc,0x199bff99,0xfb82ffd8,0x417fec3f,
    0xdff83ffb,0x40fffb9b,0xfffc8cfd,0x13fa001f,0x8009fd00,0x07fe44fe,
    0xec887fc8,0x804ffeee,0x37fe02ff,0xfeaaaaaa,0x0017fc06,0x7fc005ff,
    0x80bfe002,0xaaaaadff,0xffd86fea,0x3f23fdc3,0x90ff900f,0x03ff10bf,
    0x803ffd88,0x17f202ff,0xfeb87fb8,0x2200aadf,0x4ffeeeec,0xf102ff80,
    0x754c15df,0x201ff92f,0x97fc07fc,0x81ff35fd,0x03deeedb,0x01bfffb1,
    0xff50fff2,0xa83dfb30,0x3ffc82ff,0x917c3fd4,0x1f88dfff,0x7cc03fe6,
    0x017fc00f,0x2aaab7fe,0x7fc6feaa,0xeaaaaaad,0x3fe6006f,0x3a627ec2,
    0xeeec887f,0xd9104ffe,0x209ffddd,0xffeeeec8,0xf3027f44,0x7fffdc3f,
    0xf804ffff,0xffff102f,0xffffffff,0x2002ff80,0x3fe002ff,0x40bfe002,
    0xfffffff8,0xfd87ffff,0x3a0ff985,0x07fe604f,0x3ff10bf9,0x027ff440,
    0x3f202ff8,0x87fb92a5,0x9ffd72de,0xffffff70,0x5ff009ff,0x7ffffcc0,
    0xfd0fffff,0x00ffcc09,0x442a25ff,0x3ffe21ff,0x7dc0ffff,0x7e403fff,
    0x261ff885,0xf71fffff,0x5fc87fff,0x26c1ff88,0x7a8beeb9,0xf9807fcc,
    0x202ff807,0xfffffff8,0x3e27ffff,0xffffffff,0x7fc007ff,0x7cc27ec3,
    0x3fffee1f,0xfb84ffff,0x4fffffff,0xffffffb8,0x02ff44ff,0x3fea1ff5,
    0x4ffccbdf,0xf102ff80,0xffffffff,0x7fc01fff,0x00bfe002,0x3e002ff8,
    0xffff102f,0xffffffff,0xf985fd81,0xa817fa0f,0x42fe40ff,0xff301ff8,
    0x17fc007f,0x8ffcbf90,0x67c407fb,0x3fea2fb9,0x4ffccbdf,0x4c02ff80,
    0xdffffffd,0xfa817fa1,0x80bfe00f,0x6e6542ff,0xfffe83ff,0x42fe402f,
    0x3fa21ff8,0xffd50eff,0x885fc85d,0xc8b5c1ff,0x1723f71e,0x3ea01ff3,
    0x202ff807,0xfffffff8,0xf10fffff,0xffffffff,0x74001fff,0xe827ec4f,
    0x7bfff53f,0xfa89ff99,0xffccbdff,0x5efffd44,0x7dc4ffcc,0x6cdfd01f,
    0x04fd80ef,0x3fa02ff8,0x2ff80006,0x800bfe00,0x3fe002ff,0x001bfa02,
    0x7fcc2fec,0x7407fee0,0x985fc86f,0xfffa81ff,0x017fc002,0xc97fcbf9,
    0x3235c05f,0x3603bf66,0x02ff804f,0x0135f910,0x3fa03ff7,0xb017fc06,
    0x07fcc0df,0x017fc5cc,0x3fe217f2,0x7e400001,0x441ff885,0x366ffbcf,
    0x7fcc3faf,0xf00ff500,0x06fe803f,0x8006fe80,0xb0bfe600,0x7f45919f,
    0xfb01dfb3,0xd80efd89,0x4077ec4f,0x7ffcc4fd,0x3ffeb89c,0x754c77f6,
    0x7fc01eff,0x2b7fea02,0x809b7530,0x3fe002ff,0x00bfe002,0x3ea02ff8,
    0xb7530adf,0xf30bfb09,0x67ffcc1f,0x83ffeb89,0xff931ffb,0x1fffb87f,
    0x202ff800,0x37ff0efd,0x47b809ff,0x4c77f65d,0x401effea,0x3ee002ff,
    0x9fff300e,0x07ffd713,0x3e602ff8,0xfb511aef,0x02ff801f,0x7fc42fe4,
    0x802da801,0x1ff885fc,0x3e603fa8,0xb02ffb84,0x009500df,0x2615bff5,
    0x7fd44dba,0x9b7530ad,0x988d77cc,0x3fa60ffe,0xffa8ffad,0x2a63bfb0,
    0x3f61effe,0xdffd531d,0xa98efec3,0x7cc1effe,0x4fffffff,0x7fffffcc,
    0x263fffff,0xaacffaaa,0xfffffd81,0x54c7ffff,0x1aacffaa,0x67fd554c,
    0x5554c1aa,0x441aacff,0xaacffaaa,0xfffffd80,0x74c7ffff,0x3fee22ef,
    0x3fffe60b,0xf304ffff,0xffffffff,0x33fff27f,0x4c3baaaa,0xaacffaaa,
    0x7dbfff61,0x400fffff,0x22fb9cf8,0xfffffff9,0x2a63ffff,0x1aacffaa,
    0x80bf7360,0xfffffff9,0xfaaa984f,0xfb81aacf,0xffffffff,0x7d554c0f,
    0x6cc2aacf,0x17fd41ef,0x803f6e20,0x7d41efd9,0x35bf502f,0xf909fb71,
    0x3fe67fff,0x555441ff,0x1aaaaaaa,0xffffffd8,0xffd87fff,0x7fffffff,
    0x3fffffe2,0x3ff23fff,0xfffffdff,0x3ffffe66,0x33ffffff,0xffffffff,
    0x3fe67fff,0xffffffff,0x7ffecc3f,0xffb502ef,0x5dffdbff,0x3fffffea,
    0xfa84ffff,0x1cffffff,0x3fffffea,0xff54ffff,0xffffffff,0x3ffffea9,
    0x3a4fffff,0xffffffff,0xffffa81f,0x3e61cfff,0xffd2ffff,0xffd98dff,
    0x7d402eff,0xeffcffff,0xffffffb2,0x7fd4ffff,0xffffffff,0x2e9fff74,
    0x5001efff,0xfb509ffd,0xdffdbfff,0x3ffffea5,0xb04fffff,0xfb300dff,
    0xf505dfff,0xffffffff,0xfffb309f,0xfa819fff,0xffffffff,0xfffff35f,
    0x0ffffee3,0x300fffe8,0x2e3fffff,0x9303ffff,0x205bfffd,0xf31effea,
    0xffff07ff,0xffffffff,0xfffff503,0x3ea039ff,0x1cffffff,0x7ffffecc,
    0x77ff542e,0x41cfffba,0xedffffda,0x3f6a2eff,0xeffedfff,0x3ffff6a2,
    0x202effed,0x35100099,0xfffe9801,0x02ffffff,0x4c026a62,0xfffffffe,
    0xfffd32ff,0x25ffffff,0xffffffe8,0x3ff22fff,0x0effffff,0x4026a620,
    0x90efffe8,0x4c07ffff,0x0d4c0009,0x3fffff60,0xd30fffff,0xffffffff,
    0x0131005f,0x2a200600,0x7ff44009,0x2fffffff,0x4cc00040,0x3fffa200,
    0x02ffffff,0xd3004cc4,0xffffffff,0x3fffa27f,0x5dffd50e,0x100e5c40,
    0x2a1dfffd,0x8802effe,0x01880001,0x3ffffff6,0x200effff,0x20009a98,
    0x88009a98,0x300009a9,0x009a8801,0x80026a20,0x000009a8,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x764d32e2,0x2164c01c,0x00000000,
    0x9816e000,0x9d932ccc,0x02a02a01,0xabdeeca8,0x006aa601,0x44000151,
    0x02880002,0x00000000,0x26206660,0x93000009,0x9bdb5199,0x9bd95001,
    0x22179951,0x32e22ccb,0x800000cc,0x08009aa9,0x00006000,0x22002aa6,
    0xcc9bdedc,0x0053001c,0x26666620,0x00aa8801,0x2a05e654,0x2a200bcc,
    0x4000000a,0x8801440a,0x446880aa,0x0ba82882,0x3ffffff6,0xff703fff,
    0x5c0fb5df,0x05ffffff,0xbdffda88,0x827ec000,0xfcdffff8,0xfe81ffff,
    0x3605fd13,0x7fffffff,0xfffffe98,0xffff30fd,0x7ffc800b,0x1ffaa000,
    0x4ffe8000,0x000fffe8,0x23fffff5,0x205ffffe,0x3fe207fe,0xffffffff,
    0xfffd103f,0x9fffffff,0xfb97ffee,0x3fea1fff,0x3ae2005f,0x203fffff,
    0xfc8002fc,0xffd88002,0xa85fdfff,0xffffffff,0xffb807ff,0x3ffa000d,
    0x82ffffff,0x2fffffd8,0x25ffffa8,0x325ffffb,0xfffffecf,0x7fffdc01,
    0x5ff105ff,0xd8803faa,0x2a2fffff,0xfa8f7cc7,0xa97fea0f,0xeccefffe,
    0xd54c80ff,0x554405ff,0x4401aaaa,0xffdbbcff,0x03fe8802,0x7fffff5c,
    0xd883fecf,0xf302ffef,0xfffb99df,0x7ffffc41,0x3732ffff,0xbb800bea,
    0x3260007e,0xf500007d,0xffff09ff,0x3fff2001,0xffff8aff,0x01ffa06f,
    0x9bffffd9,0xe887fffb,0xfffdcdff,0xffb31dff,0x0fff6ccb,0x400bfff7,
    0xfffffffc,0x007fd03f,0x88007fd0,0xfffffffe,0x3ffe20ff,0xeffffece,
    0x2f7fa203,0xff8801ff,0x3fffffff,0x7fffffcc,0x7fec44ff,0x3bff622e,
    0x3fffffa2,0x2203ffff,0x01aaaaaa,0x07bfbfa6,0xffffff98,0xd50d94ff,
    0xfa81dfdf,0x06ffd45f,0x06005ff1,0xde880000,0xa805f700,0x3ff6001f,
    0x3ee00c4f,0x21bf200d,0x57fec6f8,0x885ffd30,0xd8002fda,0x07c80007,
    0xffff8800,0x00ffa884,0x8827fea0,0x55405fe9,0x2fff9802,0xf907ff44,
    0x09ffd05f,0x3fe217f2,0x002fec41,0x3a615df9,0x009fd07f,0x44009fd0,
    0xf710affe,0x0ffec1ff,0x7003ffea,0x80374c5f,0x9dfe9998,0x857ffc40,
    0xff82ffe9,0x741ffa85,0xfd711cff,0x2000003f,0x7fc404fc,0xbffd30af,
    0x0ff2207f,0x3fd40ba8,0x99713fe8,0x06665c47,0x05ef6dd4,0x7644bd10,
    0x0005f73b,0x002ffd80,0xfff30010,0xff01379b,0xc83ff107,0xd80206ff,
    0x3e400807,0x3ff20040,0x1ff104fe,0x807fcc00,0x200004fd,0xff104ff9,
    0xf8827fc5,0x10bf904f,0x0bfb03ff,0x7cc27d40,0x3bff2a1f,0x9503cccc,
    0x79999dff,0x5407fee0,0x413fe0ff,0x00000ffd,0xb04fd800,0x3ff601ff,
    0x3a0ffdc0,0x105fe85f,0x665c4dff,0x03332e23,0x1ffb0010,0x2013ff60,
    0x0ff50000,0x7ffdcffa,0x07fffee5,0xfffffff9,0x7dc3ea0b,0x8bb1fecd,
    0xd932ccc9,0x013f6019,0xc996664c,0xfffc80ce,0x7f40dfff,0x3220b704,
    0x807f543f,0x027e407d,0x17ec40f9,0x4fdcff98,0x32a1ff10,0x7fcc0bcc,
    0x2e09fb00,0x4c01cccc,0x53fa01ff,0x3fa02ff8,0xf10bf904,0xb5bfb03f,
    0x02a017bd,0x7fc47fe6,0xffffffff,0x7ffffc43,0xd83fffff,0xf12f404f,
    0x03fea03f,0x260b32e6,0x36002ccb,0x407ff04f,0x5fe82ff8,0x12a07fea,
    0x3ee1ff70,0x3ffee5ff,0xccccb81f,0x880ffe01,0x666542ff,0x00cccccc,
    0x7fd07fa8,0xd997ff66,0x77dc1ffe,0x82ffeccd,0x0f88ba4c,0x7fffc4f7,
    0x1fffffcd,0xf8804fd8,0xfffcdfff,0xdca881ff,0x3ee0ffff,0x7c001bdf,
    0x40bff915,0x3ffd507d,0xffb83e40,0xb1ffb00e,0x23fe209f,0x43fffff8,
    0x9fb00ff9,0x5fffff70,0x304ff980,0x82ffc5ff,0xbf904ff9,0xfb03ff10,
    0x3dffffff,0x91bfa600,0xdddddffd,0xdffd901b,0xf01bdddd,0xff88005f,
    0xf01ff903,0xff83ffff,0xfb001fff,0x801ff309,0x1ffb84fd,0x26660bfd,
    0xf9999999,0x4bffb32f,0x5c1ffed9,0x302fffff,0x4fd801ff,0x7fffffec,
    0xfa800fff,0xfc87fd07,0x001ff885,0x54fa13fa,0xb87e6087,0xcffffffe,
    0x04fd83fe,0xfffffd70,0x2f47fd9f,0x7ec2ff98,0x742dffff,0xfa9fedde,
    0xffd902ff,0xbffb11bd,0x3bffae01,0x407ffd35,0x09fb3ffa,0x3fe23fe2,
    0x7fcc1def,0xb109fb00,0x9805ffdd,0x3a60bfff,0x2fff60ff,0x413ff660,
    0x1ff985fc,0xdcefffd8,0x7ed405ff,0x09fd02ff,0x2009fd00,0xe8000ff9,
    0x01fff06f,0x4669fff7,0x2004ffeb,0x07fa84fd,0xbfd05fc8,0xff303ff5,
    0xffffffff,0x85fc87ff,0x76c41ff8,0xff502ffe,0xfd8bf900,0xefffeeef,
    0x57fe4400,0x3f21ff40,0x881ff885,0x4ffeeeec,0x880d72f8,0x4fffd81f,
    0x37faa60c,0x7ec01aaa,0xff30c4ff,0x3fee613b,0xffffda82,0x2b32e64f,
    0xed8cffd9,0x5e6665c1,0xefdbeffb,0x33332a0b,0xed9dffcb,0x3f66fe82,
    0xff7ff104,0x07fcc07f,0xff804fd8,0x7fffcc02,0x43fffedf,0xfedfffe8,
    0xff904fff,0x0bfff263,0xff70fff6,0x82efff80,0xaaadfeaa,0x004fe800,
    0x50001ff3,0xfd715dff,0x5bf201ff,0x8df73ff9,0x09fb00c9,0xbf900ff5,
    0x17fffea0,0x7fffffcc,0x43ffffff,0x1ff885fc,0xfa817fc0,0x645fc807,
    0x83bfea4f,0x3ffe1cb8,0x21ff45ff,0x1ff885fc,0x7fffffdc,0xf14d84ff,
    0xfd83d401,0x7ffe402f,0x03ffffff,0xf300bff6,0xffffffff,0xffd7300d,
    0x47bfee05,0x6c401ffd,0xbbef8cff,0x3ffa604f,0xfb85ff93,0x4413f61f,
    0x402fffff,0x9fb00ff9,0x9805ff00,0xfffffeff,0xfffb103e,0x209fffff,
    0xfffffffc,0x2fec3fff,0xff007fcc,0x3fffea07,0xe805ffff,0x5ff1004f,
    0x3fff6000,0x00ffffff,0xdff91ff5,0x09f917f6,0x3fe613f6,0xd027ec00,
    0x3e203fff,0x999999bf,0x2fe42ff9,0x3e00ffc4,0x01ff302f,0x85c44fd8,
    0x7dc0effa,0x3ffff26f,0x3f21ff43,0x2a1ff885,0xfccbdfff,0x3766b84f,
    0x0b91e99a,0x3aa013f6,0xefffffff,0x4013f601,0xfffffeed,0xd80b620c,
    0x27fec44f,0x5403fdf5,0x43b11eff,0x1bff907d,0xf88bfbe6,0xeffeeeff,
    0xeffff882,0x80ffc400,0x2ff803fe,0x64c7fcc0,0x36a000bd,0x904fd8bc,
    0xfbffffff,0x85fd85df,0x12a00ff9,0xeeffed88,0x4fe802ee,0x001bfa00,
    0xcfffffb8,0x5ff100ff,0x7ff3ffff,0x9fb04fd8,0xf980ffe0,0x17fea02f,
    0x7dc0bff0,0x442fe41f,0x17fc01ff,0x7cc07ff0,0x3bfea02f,0x005ffa80,
    0x17f217f4,0xefd87fe6,0xf884fd80,0x29dfd714,0x09fb03f9,0x3f600000,
    0x9fc98004,0x3607fb80,0x10f7d45f,0x7403f5df,0x42fd403f,0x57f42ff8,
    0x3fffe62f,0x887fffff,0x00effeff,0x7fcc2ffc,0x402ff802,0x00000ff9,
    0xbf904fd8,0x3f600355,0x000ff985,0x0009fd00,0x7dc009fd,0x8036e01f,
    0x01ff31a9,0x7ffff7f4,0x27ec1ffe,0xff902ff8,0x80dfd103,0x7ec01ffb,
    0x86ff881f,0x1ff985fc,0xf9017fc0,0x0dfd103f,0x10077fd4,0x1ff98003,
    0xfc98ffdc,0x477f63ff,0x81effea9,0x9f3043fa,0x40027ec0,0xfb000cc8,
    0x3bee0009,0x8aeffb80,0x184ffda8,0x01fa9fd8,0x0bf90022,0x7cd7e404,
    0x33333222,0xf882efec,0x01fffb8f,0x2a273ff2,0x5ff006ff,0x000ff980,
    0x904fd800,0xbfb000bf,0x0001ff30,0x5cc3bf20,0x3df905fc,0xd117f6e6,
    0xb31139ff,0x7e4005ff,0x77ffe406,0xfd87fffb,0xffe989cf,0x22fffa00,
    0x401ffea8,0xff8805ff,0xfffc99df,0x931ffb81,0xff807fff,0x45fff402,
    0x501ffea8,0x02541dff,0x7f655440,0x7fffcc0f,0x33ffffff,0xffffffff,
    0xbf507fff,0x09fb7135,0x2ab7faa6,0x5fc9801a,0x56ff54c0,0xdcd801aa,
    0xffffb81f,0x00efffff,0x7fffff98,0x07fd1000,0xfffff880,0x3faa200f,
    0x87fdc40d,0xd01bfffa,0x3fffffff,0x3feaaa60,0x7dc41aac,0x80000abf,
    0xc81efea9,0x7f4c005f,0x2ffee21e,0x803ff980,0xfffffff8,0xffff106f,
    0xd10dffff,0xffffffff,0x6dd5540b,0x7fd404ff,0x85fff8bf,0xfffffffc,
    0x7ffcc02f,0x983fffff,0x00cffcaa,0xffffffa8,0xfff303ff,0x7fffffff,
    0x67fd554c,0xfff981aa,0x503fffff,0xd5557fff,0xffe8005f,0xff501fff,
    0x5dff9fff,0x6ffffed4,0x9302effe,0x205bfffd,0xfffffffc,0x3fea03ff,
    0x3fff204f,0x03ffffff,0xe8837fec,0xcfffffdc,0xd9551000,0xff30009f,
    0x5400755b,0x2205feba,0x227fffff,0xff10ffff,0x3f207fff,0xf500efff,
    0xffffffff,0x3fffe29f,0x20000fff,0x3ffffffc,0xf30027e4,0x3f63ffff,
    0xffa85fff,0xfffb5005,0x7dc017df,0x203effff,0xeffffec8,0x3ffff203,
    0xff8805ff,0x207ff90f,0x1effffd9,0xffff9100,0xffff503d,0x2200bfff,
    0x01effffd,0x67ffffd4,0xfff52eff,0x9fffffff,0xdffff910,0x7ffffc03,
    0x003fffff,0x00df7fe4,0x51000d4c,0x0c400013,0x7ffff540,0x5401efff,
    0x7ff5403c,0x01efffff,0x54c40010,0x7fec0001,0xfffb8006,0x5c000fff,
    0x3f600fff,0x7fec5fff,0x3bfff60f,0x2004cc02,0xffffffe9,0x3ff62fff,
    0x40005fff,0x2effffea,0xd100174c,0x3f21dfff,0x03103fff,0x80035100,
    0x80009a98,0xffd50019,0x7f4007bf,0x2007fe65,0x26000099,0x3ffa2009,
    0x8003ffff,0x54c00099,0x7fff4c01,0x02ffffff,0x7fc004cc,0xffffffff,
    0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x04000000,0x0016c400,
    0x06666200,0x99998800,0x33100999,0x33333333,0x09999881,0x00199700,
    0x00666660,0x00999988,0x00106540,0x20033333,0x9999999a,0x26662999,
    0x99999999,0x337b2a01,0x440cc402,0x10b26009,0x4cc40000,0x98004099,
    0x1e65c402,0x20199971,0x30330099,0x301f4c7d,0x33333333,0x99999813,
    0x01999999,0x00266662,0x00cccccc,0x00199998,0x26666666,0x0cc41999,
    0x998804c4,0x33009999,0x44033013,0x20009999,0x7f5400a9,0xf900cfff,
    0x0ff4c009,0x77ff5cc0,0xfffff50c,0x951007ff,0xfffffffd,0xffff905f,
    0x5fffffff,0x7ffffff4,0x006ff806,0xffffffa8,0x3ffa03ef,0xd005ffff,
    0x09f59fff,0x3fffffea,0x800a03ef,0x3fffffe2,0x41ffffff,0xffffffe9,
    0xffffc80e,0x81ffffd2,0x7daefffb,0xffffff70,0xfffffd0b,0x403fe6df,
    0x80dfffeb,0x3ee5fffb,0x7f4c1fff,0x3ffe63ff,0xfb9bee3f,0xfffffa86,
    0x44ffffff,0xffffffff,0x7441ffff,0x405fffff,0xfffffffa,0xfffa82ef,
    0x703effff,0xffffffff,0x7fe4ffff,0xffffd2ff,0x7ffffec1,0xff50efff,
    0x3feabfff,0x7fff43ff,0xf9806fff,0x3ffea06f,0xfd03ffff,0x07bea00d,
    0x3ffffee0,0xffff53ff,0xe8809fff,0xffffffff,0xffd82fff,0xffffffff,
    0xfffff12f,0xffa80fff,0xfffb8002,0x0effffff,0x7fffffc4,0x89d8807f,
    0xf700effc,0xffffffff,0x1400501d,0xffffffff,0x7443ffff,0xffecceff,
    0x3ffffe86,0xc83fffff,0x205ffd54,0x1aaaaaa8,0x7fffffc4,0x103ff57f,
    0x09ffffff,0x6ccbffb3,0x7fd41ffe,0x3ffea5ff,0x02e0dc5f,0x3fffffee,
    0x7c4fffff,0xffffffff,0x7fc41fff,0x200fffff,0xfffffffb,0x7fdc3fff,
    0xefffffff,0x7ffffe40,0x27ffffff,0xff3ffffe,0x7ff43fff,0x0fffffff,
    0x2dfffff7,0x225ffffc,0x7fffffff,0x206ffa80,0xccaabefd,0x2005b300,
    0xdff000dd,0x44199555,0x40099efd,0xfdbdffe8,0x02ff999e,0x33df9ff3,
    0xfa985ff3,0x6fc801af,0x2bfe6000,0x06ffdb99,0x0035ff53,0x7cc00c40,
    0xffdb99af,0xf8a00286,0x9bff99bf,0x3ff61ff9,0xd83ffb82,0x3fea20df,
    0x00003001,0x835ff530,0x0efc80fa,0x2fe40bf7,0x6c40ffc4,0x17fec1ff,
    0x6fec4000,0x4fd99999,0x7fccdffc,0x881ff99b,0x03ffffa9,0x4ccefec4,
    0xff987fdb,0x5ffdb99a,0x999cfe98,0x7ec7fb99,0x40ffd40d,0x99bff999,
    0x70efec40,0x2a603dff,0x2a001aff,0x03ff101c,0x40000000,0xf9001ff9,
    0x19dfffff,0x3ee2ffc8,0xf9817fc6,0x17fc6fbd,0x40107fcc,0x98cc99fe,
    0x3fe204dd,0x302ffb81,0x326001ff,0x0cdec9bc,0x2e07fe20,0x500142ff,
    0x43ff17fc,0x2b7fe1ff,0x6feaaaaa,0x3fffffa2,0x43ffffff,0x401ccccb,
    0x801ccccb,0x02d80ff9,0x640085ff,0x01ff885f,0x7fd4bff1,0x39999703,
    0xfb05fc80,0x3fe2ff89,0xfc807fe1,0xfd806fdf,0xf887fd04,0x82ffc81f,
    0x8ff503fe,0x0ff984fd,0x36017fc0,0x03bff24f,0x0001ff30,0x33ff6e60,
    0x66542ccc,0x0ccccccc,0x99999995,0x7edcc199,0xfff9000f,0x41ffffff,
    0x477dc4fe,0xf900fe8b,0xd171df75,0x21ff301f,0xf5f886fa,0xdfffffff,
    0x6c07fe20,0x93ff306f,0x7fffc05f,0x01ffffff,0x3f603ff1,0x7c500146,
    0xff87fe2f,0xffffff11,0x44ffffff,0xfffffffe,0x3ee3ffff,0x2e02ffff,
    0x802fffff,0x024c0ff9,0xfc8007fd,0x201ff885,0x5ff8bffb,0x5fffff70,
    0x5765fc80,0xf17fc2fa,0xf00ffc3f,0x803ff39f,0x3ff884fd,0xfd80ffc4,
    0x9d13fe86,0x09fb13e2,0xff801ff3,0xfda7ec02,0xff9800df,0xffd00000,
    0x3fffffff,0x7fffffec,0xfffb0fff,0x41ffffff,0x000ffffe,0xffb88bf9,
    0xfb83ff12,0x2029cfce,0xfcefb8fe,0x1ff3018c,0x3f503ff2,0x373bfff2,
    0x7fdc43ff,0x83fdc1ab,0x03fffff9,0x33bfffee,0xfb884ffd,0x3fdc1abf,
    0x3f62800a,0x0fd87fe0,0xfffffff1,0xd81fffff,0xfa9999df,0x7f76c40f,
    0x3bb6202f,0xff9802ff,0xdfb31000,0x17f20033,0xfb007fe2,0x2201ffbf,
    0x402ffeed,0x0ffa9dfc,0x1ff83f60,0x0ffa81f6,0xdfd80bfd,0x1fffca99,
    0xfb80ffc4,0xfb9cfe87,0x4cefec07,0x400ffa99,0x6fec02ff,0x26004ffe,
    0x500000ff,0xddddffdb,0x777fec19,0xfb0efffe,0xdfffdddf,0x07ff6d41,
    0xfd05fc80,0x3ee1fea9,0x7c405fff,0x0bffff76,0x7b10ff98,0x77fc4310,
    0xff993fa0,0x264fffff,0xfffb80ff,0x3ffc803f,0x3fe63fd4,0x264fffff,
    0x2800a0ff,0x3a00ffc0,0xffb0006f,0x1fffffff,0x2002ff80,0xff9802ff,
    0xffff8800,0xfc806fff,0x401ff985,0x003ffff8,0xff900bfe,0x8001ffff,
    0x3fa001ff,0xd803fee5,0xffffffff,0x301ff884,0xfffe81ff,0x7fec07ff,
    0x0fffffff,0x36017fc0,0x004fffff,0x98003fe6,0x1ff300aa,0x3ea4fc80,
    0xa93f20ef,0xff300eff,0x417f2001,0x70ff54fe,0xb80bffff,0xffffc9cf,
    0x807fcc05,0x907fe200,0x7fffc4bf,0x3fe63fff,0x33fff660,0x85fc8080,
    0x3fe21ff8,0x263fffff,0x2800a0ff,0xeeffeec8,0xadffa80d,0xb09b7530,
    0xffffffff,0x02ff801f,0x2600bfe0,0x744100ff,0x05ffffff,0xf931ffa8,
    0x7f6c07ff,0x801eefff,0x7fe402ff,0x4000ffff,0xff3001ff,0x07ff3337,
    0x7fffffec,0x7fc42fff,0xe81ff301,0x407fffff,0xfffffffd,0x17fc00ff,
    0x3fffff60,0x1ff3004f,0x817fe020,0x5c400ff9,0x881dff50,0x01dff50b,
    0xc8007fcc,0x97fe4c5f,0x77dc1ff8,0x7fec03fc,0x04fcefff,0x7dc07fcc,
    0xc83ff102,0x01ff885f,0x7ffd4ff5,0x42fb80ff,0x1ff885fc,0xf501ff88,
    0x10a0028f,0xffffffff,0x3ffff605,0xd87fffff,0xfa9999df,0x017fc00f,
    0xf3005ff0,0x885f701f,0x2000bff9,0xffffffff,0xf33103ff,0x3e00337f,
    0x4efe402f,0x00110ff9,0x3f2003ff,0x6fffffff,0x26677f60,0x220ffeca,
    0x0ff501ff,0x0ff739fd,0x9999dfd8,0x7fc00ffa,0xc8ffec02,0xff9803ff,
    0x3e62fb80,0x03fe601f,0x00effa80,0x20077fd4,0xf9000ff9,0x9fffffff,
    0x77dc4fe8,0xf88150a8,0x156feeef,0x03fe602e,0x7fc413f6,0x7c42fe41,
    0x64df901f,0xd80ffcff,0x442fe44f,0x1ff881ff,0x0028df90,0x3ff2e60a,
    0x7fd402cd,0x81cfffff,0x0ff984fd,0xf0017fc0,0x1ff3005f,0xff109fb0,
    0xffda8005,0x02effcdf,0x337ff331,0x900bfe00,0x0ff264bf,0x3e003ff0,
    0xffffffff,0x209fb01f,0x3fe23ff9,0xfd0df901,0xfb00f627,0x801ff309,
    0x27ec02ff,0xf3003ff6,0x649fb01f,0x07fcc04f,0x00effa80,0x40077fd4,
    0xf9000ff9,0x059bdfff,0x37dc7ff9,0x49f513ea,0x42fd46fb,0x4fd80ff9,
    0xfc83ff10,0xa81ff885,0xff98c4ff,0x7e44fd80,0x881ff885,0x4ffa81ff,
    0xf8050014,0x67d4001f,0x427ec009,0x7fc00ff9,0x00bfe002,0x3f603fe6,
    0x981ffa84,0x9f30c401,0xeffeed80,0x2ff801de,0xf982fe40,0x00ffc00f,
    0x4cccffd4,0xfb05fe99,0xf127f409,0x09ff503f,0xfd8007fd,0x400ff984,
    0x27ec02ff,0xf3013fe2,0x749fb01f,0x00ff9806,0x2a0effa8,0x5077fd44,
    0x003fe609,0x06abbf66,0x373bff60,0x6fdaaaef,0x36633f66,0x6fdaaaef,
    0x2affeea2,0x504feaaa,0x37ec17ff,0x5d55ffd4,0xba886ffd,0xeaaaabff,
    0x07bf664f,0xff505ff5,0xdffb7557,0x44140050,0x01acffba,0x40373f70,
    0x2e21dfe9,0x2aa60bff,0x41aacffa,0xacffaaa9,0x7fdd441a,0x4feaaaab,
    0x5557ffd4,0x44007fba,0x2a604adf,0x5300acff,0x3559ff55,0xaaaefe98,
    0x880ffbaa,0x01acffba,0xb305dfd3,0x7f4c15ff,0xfdbaaaad,0x2affea2f,
    0xa86ffdba,0x401aadff,0x2e21dfe9,0x2aa20bff,0x40aacffa,0x2e0adfe9,
    0x5d441aff,0xeaaaabff,0x4405f14f,0xaaabffba,0x55fffd40,0xff52feaa,
    0x5fd5557f,0x55ffdd44,0xfffff501,0xffb009ff,0xffffffff,0x3fffe6df,
    0xffffffff,0xffff16ff,0xffffffff,0xdffff909,0xfb97fff6,0xffffffff,
    0x7fffc41e,0xffffffff,0x3fffff34,0xb8ffffee,0xffffffff,0x200281ef,
    0x7ffffc42,0xf8802fff,0xfff503ff,0xffff17ff,0x3fffeabf,0x54ffffff,
    0xffffffff,0x3ffe29ff,0xffffffff,0x3ffff24f,0x07ffffff,0x906ffc80,
    0x0fffffff,0xfffffff5,0x3fee9fff,0xffffffff,0x7ffc40ff,0x542fffff,
    0x2a5fffff,0xf74fffff,0xffffffff,0x7ffdcdff,0x1effffff,0x7fffffec,
    0xffff302f,0xfffff17f,0x7fffff4b,0xff71ffff,0x7fc4ffff,0xffff11ff,
    0xffffffff,0xff880a29,0x7fffffff,0x7ffffffc,0xffff3fff,0x27ffffff,
    0xfffffff8,0xfffe984f,0x73002eff,0xfffffffd,0x3fffa2df,0xffffffec,
    0x3fff66ff,0xffffffff,0x4fffea84,0x74c7fff7,0x3defffff,0x3fffff60,
    0x14ffffff,0x2a1dfffd,0x3a62effe,0x3defffff,0x2aaaab20,0xd84aaaaa,
    0x1effffff,0xe8802a00,0xffb1efff,0x3ffa67ff,0x2fffffff,0xffffffd3,
    0x7fec5fff,0xffffffff,0x3fffaa4f,0x02efffff,0x75403100,0x984fffff,
    0xfffffffe,0xfffd32ff,0xffffffff,0xfffffb01,0xffe981df,0x3ffa63ff,
    0xfffd53ff,0x87dfffff,0xefffffea,0xffff703d,0x3a203dff,0xffb1efff,
    0x7ffe47ff,0x50efffff,0xc8bffffd,0x3ff60eff,0xffffffff,0x3ff6004f,
    0x45ffffff,0xffffffff,0xfffff3ff,0x6c7fffff,0x2effffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x02662000,
    0x19880ccc,0x26013310,0x98009999,0x20009999,0x06660199,0x33100220,
    0x03333333,0x980cc033,0x98806601,0x54066201,0x000bdedb,0x20000288,
    0x000a61d9,0x4014c000,0x00000029,0xb7304800,0xdba8037b,0xda800bde,
    0x00f7262d,0x539ddb91,0x8a201a81,0x2e23ccb8,0xca880ccc,0x00fae2de,
    0x00b37b2a,0x2af7bb2a,0x64de64c1,0xcb980cde,0x332e62cc,0x33332a2c,
    0x260ccccc,0x9d932ccc,0x82ccb981,0x5cc2ccb9,0x332e62cc,0xd1b80542,
    0x7dcbffff,0x3fa1ffff,0x7fff43ff,0x3fffe65f,0x541dffff,0xffffffff,
    0xffff301d,0x7fffcc7f,0xfffd983f,0xffffd80e,0xf30fffff,0x7fcc7fff,
    0xffff33ff,0x1ffffcc7,0x7407fffa,0x3ff22fff,0x005fffff,0x73000ff4,
    0x9ff557bb,0x00017ff4,0x01ffe980,0x97100ff4,0x6665c479,0xbb730798,
    0x2e07cc37,0x0effffff,0xffffffc8,0x3fff205f,0x5ffffabf,0xffffff70,
    0x5ffccbff,0x3ffabedb,0x7dcbfff7,0xffe81fff,0xffffdfff,0xfffe980d,
    0xfb00efff,0x8fffffff,0xffffffff,0x7fff41ff,0xfffff1ff,0x3ffff63f,
    0xf10fffff,0xfff9bfff,0x7fffc3ff,0x7ffffc1f,0x47ffffe1,0xf71fffff,
    0xf8efd83f,0x3f26ffff,0x3fe2ffff,0x3ffe1fff,0x3ffea7ff,0x3fffffff,
    0x3fffffee,0xfa83ffff,0x3ea5ffff,0x7c44ffff,0xd80fffff,0xffffffff,
    0x7ffff50f,0xaa7fffd4,0x3ea5ffff,0x3fe24fff,0xfff985ff,0x337bee3f,
    0x2002ffec,0xffb000db,0x1dffffff,0x0177ffe4,0xfffd8800,0x017fc00e,
    0x7dcbfff7,0x40fb9fff,0xeffffffb,0x3ff20fc8,0x0effdcdf,0x7666f7dc,
    0xeffa82ff,0xfdeffffe,0x77ffdc4f,0x747fffdc,0xffffffff,0x4bffb31f,
    0xe81ffed9,0xefffecdf,0x7f444ffd,0x6ffeccef,0xdcceff98,0x3fee0fff,
    0x4ffdceff,0x727ffed4,0x7ec9dffd,0xefffeeef,0x3ffffae0,0x2e3fecff,
    0x2e334fff,0x7fdc4ffe,0x93fff26f,0xffb1fff9,0x206ffe67,0xfa83ff98,
    0x2fecc6ff,0x4ccf7ec4,0x3621ffec,0xfec999df,0x1efe981f,0xb81ffc88,
    0xb01da9ef,0xff5333bf,0x40ffe88d,0x7f441ffe,0x417ff41f,0x6c0ffff8,
    0x3a003fff,0xb000004f,0xffd9bfff,0xfffb305f,0x3220003b,0xf002ffff,
    0x7fecc05f,0x2fffb665,0x6fffe46e,0x23efffdc,0x7d40cffa,0x13fa005f,
    0x7fec57fe,0x221ff91f,0x6fe81dff,0x7ef7ffc4,0x85fc82ff,0xf8801ff8,
    0x41ff90ff,0xffb82ffd,0x7c437e43,0x543ffc86,0x90dfb07f,0x24fc81ff,
    0xfb00effa,0xfc8189ff,0x3ee7ff36,0x59ffd106,0xff305fff,0xff89ffbf,
    0x3e239912,0xffff982f,0xfc827ec3,0x6c4ff885,0x03ff885f,0x3fa03ff5,
    0x2009fd05,0x07ff44fd,0xff52ffc4,0x43bfe207,0x3fe03ffc,0x3ffe24ff,
    0xeeec882f,0x00004ffe,0xf30bffb8,0x7540dfff,0x2000cfff,0x003ffffb,
    0x7e4017fc,0x1dfff885,0xf5033fea,0x07fe41ff,0xec887fc8,0x444ffeee,
    0x3bfea1ff,0xf52ffbaa,0x113e605f,0x1ffcc7ff,0x7fc42fe4,0xfeedb881,
    0x2ffbaaef,0x2aaab7fe,0x7cc6feaa,0x009bcdff,0x3ff10bf9,0x7c45ff30,
    0xf50b884f,0x7fec01df,0x91ff5002,0x817f6dff,0x1effffd8,0x13fffe60,
    0xaffdcffa,0xff981ff9,0x13f60ffe,0x5fd82fe4,0x3fe82fec,0x3ea13fe0,
    0x01ff901f,0x7fec7f90,0x22bfee02,0x7fcc05ff,0x7c04ffbd,0xff90ffff,
    0xfffb85ff,0x004fffff,0x266fe800,0x01ffcfff,0x01ffffdc,0x033fffaa,
    0x200bfe00,0x2ff885fc,0xf900ffc8,0x2604fe8f,0x3ffee1ff,0x544fffff,
    0x7fffc47f,0xdf93ffff,0x81ff5000,0x85fc85fd,0x7fdc1ff8,0xffffffff,
    0xfff13fff,0xffffffff,0xfffff90f,0x0bf901bf,0x3f603ff1,0x5003ff26,
    0xfd801dff,0x2bfe2004,0x3ff9ffff,0x01fffe80,0xd81fffe8,0x31fffb4f,
    0x5ff301ff,0x827ecbff,0x3ff985fc,0x3f622fec,0x03fee01f,0x7fcc0dfb,
    0xf70b8805,0xbffb009f,0xff7001ff,0x7ff00bff,0xf7ff17ff,0x6fffd45f,
    0x904ffccb,0xffffffff,0x3fe21dff,0xf13fff12,0xff91005f,0xffe985ff,
    0xff9001df,0xffffffff,0x885fc81b,0x04fe81ff,0x5fe87fe6,0x7d43fea0,
    0xffccbdff,0xf307fd44,0x9fffffff,0x2a001bf2,0x42ff40ff,0x1ff885fc,
    0x32f7ffe6,0xffffffff,0xffffff14,0x01ffffff,0xffffb951,0xf885fc81,
    0x15ff301f,0xffa809ff,0x04fd800e,0x7fff7f40,0x6c01ffef,0x201effff,
    0x41fffffd,0xffff8dfc,0xff307fab,0x3f65ff71,0x533df904,0xfd81fff9,
    0x4ffffeef,0xf11ffc40,0x3ffa207f,0x4c05bb2f,0xff1005ff,0x7e4005ff,
    0xaff800ef,0xf8ffbefd,0x203bf62f,0xffff04fd,0xffffffff,0x3e2bfe23,
    0x03ff31ff,0x3bfff620,0x0bffff21,0xfffffe80,0x41ffffff,0x1ff885fc,
    0x3ea05fe8,0x407fee0f,0x03bf66fe,0x5ff313f6,0x2a02ffdc,0x220c02ff,
    0x5ff50cff,0xff30bf90,0x3e07fd43,0x06fe805f,0xff305e80,0xf885fc85,
    0x2fbfa01f,0x3fea00ff,0x7ec12a0e,0x7ffe4004,0x207fffbe,0xffacffe8,
    0x9cffd81f,0x3bee0fff,0xfbdfeffb,0x3a1ff306,0x904fd8ff,0xffffffff,
    0xfffffb05,0x3f6007ff,0x6c03ff26,0xff9ffeff,0x01dff106,0x002ffd40,
    0x003fffd1,0xffff35ff,0xdfd8bfe9,0x3dffd531,0x55555510,0xfe835555,
    0x3f61ffee,0xfffc8807,0xfffb302e,0x5551003b,0x35559ff5,0xff30bf90,
    0x203ff703,0x7ffcc6fe,0x3ffeb89c,0x754c77f6,0x7ff41eff,0x8affffaa,
    0xdff10dca,0x17f54c15,0xffdffff3,0x23ff707f,0x223fffc9,0xffd98cff,
    0x21db98af,0x530adffa,0x6ffcc9b7,0x45ff7309,0x7d41efd9,0x3ffea02f,
    0x3ffea04f,0x22feaaab,0xaaadfea9,0x5fffd401,0xd305fff8,0x7ffd4bff,
    0xf993fee3,0x3f7fea5f,0x05fdffad,0x3fe61ff3,0xff904fdc,0x201bffff,
    0xffeccefd,0x23ff3004,0x5ff104ff,0x05fffff1,0x0c987ff6,0xb0017fc0,
    0x801ffdff,0x3fffb2ff,0xfff98bfe,0xffffffff,0x3ea00003,0xfeb8afff,
    0x7ffdc04f,0xffd5003f,0xff80019f,0x31ffb802,0xf307fff9,0xfd7139ff,
    0xffff307f,0xf989ffff,0xffffffff,0x3ffe63ff,0xffffefff,0x3ffe63ff,
    0x0fffffff,0xfffffff1,0xff985fff,0xffffffff,0x3fffff63,0xffffffff,
    0x7ffffec3,0x3e67ffff,0xffffffff,0x3ffffe66,0x07ffff71,0xf007fff4,
    0xffffffff,0x3ffff27f,0x203fffff,0xff90fff8,0xfffff507,0x57ffffa3,
    0x23e983f9,0xf8affff9,0xff304fff,0x27fffe41,0x0099efc8,0x3f625fd8,
    0x5bfd004f,0x3fe603ff,0x20bfff50,0x1fec3ffc,0x6400bfe0,0x0eff8bff,
    0x7fd4bfe0,0xfb50bfe5,0xfffdbfff,0x7c400005,0xffffffff,0x3fffaa04,
    0xffa8000c,0xff000cff,0xffff3005,0x07ffffff,0xfffffff3,0x7fecc07f,
    0xfb502eff,0xdffdbfff,0x9ffff985,0x0cefffe8,0x7ffffecc,0x2bfe21df,
    0x3fe8acc9,0xcfffffa8,0x7fe42eff,0xfffdedff,0xffff503f,0xed839fff,
    0x0cfffffe,0x43bfffa2,0x202effea,0x7fc05ffa,0xffffffff,0xfffffd53,
    0xfe803dff,0x2207fe65,0xf90efffe,0x20007fff,0xfb0ffff8,0x3fe607ff,
    0x827fff40,0x7ec005fc,0x801ffd85,0x405feffb,0xffe88cff,0x42ffd40c,
    0x17fc04fd,0xf32ffd40,0x917fc0bf,0x8817fc39,0x003ee09a,0x3fa2014c,
    0x2effffef,0x1bfffd30,0xfff70000,0x05ff005f,0x37fffea0,0xb302effc,
    0x005dffff,0xa88004cc,0x40cc0009,0xa98800a9,0x4033009a,0x00d4c028,
    0x02a20660,0x004d4c40,0x0009aa98,0x00000000,0x00000000,0x00000000,
    0xffa97ffe,0x37ff702f,0x4c27ffd4,0x401aaefd,0x220aefe9,0x2200aefe,
    0x6402ffff,0xffffffff,0x2afffe26,0x884feaaa,0x01acffaa,0xfd81fff5,
    0x67fcc0cf,0x67fd4c0a,0x3b3ea000,0x500ff403,0x400cc5ff,0x0001efff,
    0x0fffe440,0x30007fe0,0x09980003,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7fff0000,0x5c0fffc4,
    0x363fffff,0x7ffd44ff,0xf704ffff,0xf98fffff,0x7fe404ff,0xfffd8807,
    0x3e64ffef,0xffffffff,0x7fffc44f,0x7e42ffff,0x3ff27fff,0x3ffe67ff,
    0x3ffea5ff,0x764005ff,0x006dc01d,0x2e000591,0x4000002e,0x06c806d9,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x81ffd000,0xfea81ffd,0x3fe21eff,0x7ffff4c4,
    0xffd502ef,0x5ff70bff,0x003ff980,0xf9802662,0xffffffff,0xffffd84f,
    0x7f541eff,0x3ffaa5ff,0x3fffa24f,0x3fffa23f,0x0000003f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xecacca80,0x00bdda8c,0x54000000,0x99931bcc,
    0x3332e037,0x0f62001c,0x003101d5,0x014400a2,0x0a980351,0x7f440a60,
    0xffffffff,0x59932fff,0x3100aa98,0x33333333,0x55155413,0x98133105,
    0x40000404,0x440b61d9,0x99999999,0xcb819999,0x26666621,0x19999999,
    0x25d31f4c,0xeeeeeeec,0x000000ee,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xff980000,0xffffffff,0x06d804ff,0x02f88372,
    0x7dbfffe6,0xfb86ffff,0x1002ffff,0x22fdc3fd,0x202dffd9,0x3f201fe8,
    0xffff507f,0x3ffffb85,0x227fffd4,0xfffffffa,0x32ffffff,0x7fff47ff,
    0x7fffd43f,0xffffffff,0x3ff4ffb4,0x1ee17fe4,0x2a06ffdc,0xfa85db10,
    0xfb13f20e,0xffffffff,0x21ffffff,0xfffb6ffb,0xffffffff,0x3ee1ffff,
    0x7fed7ee5,0x0fffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x9dfff900,0x1ff9bfff,0xf301ff80,0x8827e41d,
    0xff51ffec,0xddb107df,0xff3005ff,0x7f42fe43,0xfb00ffde,0x3aee01df,
    0xfb11bf07,0x21f90ba8,0x3fb89dfa,0x5555554c,0x12ffbaaa,0xf90cc5ff,
    0xffffff98,0x94ffffff,0x7437ecdf,0x6c6fb86f,0xfb1effff,0xfb9bfeeb,
    0x325fb80d,0xffffffff,0x0fffffff,0x3ff29ff3,0xffffffff,0x2e0fffff,
    0x554c2e20,0x02aaaaaa,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xbff2ff40,0x3fe017fc,0xd87fe602,0x4dfee05f,
    0x3e001efe,0x97fd402f,0x5f985fd8,0x3ff20fea,0x83ec06ff,0x54407ec1,
    0xd90fb0fe,0xf17fc000,0x7ffed43f,0x9999980f,0x2e099999,0xf117ee5f,
    0x1fdcd85f,0xfff77ff5,0x3fa67ffd,0x3f5013a3,0x4cccccc4,0x81999999,
    0x44444418,0x88888888,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x1ff47fd0,0xbdfe87ff,0x40ffdcff,
    0x3bf62ff9,0xffbffb80,0x17fc000d,0x3a25ff70,0x23fb80ef,0x6ffd45f8,
    0x1f604ffb,0x3e07fb10,0x321b24ff,0x8bfe0006,0x57bf50fe,0x200001fb,
    0x713ea4fa,0x4bffb0df,0x3ffa63e8,0x0000004f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x8ffa3fe8,0x7fff43ff,0x80ffffff,0x3bfa4ffa,0x7ffffdc1,0x17fc000e,
    0x3a67ff70,0x0ef880ef,0x37fcc5f9,0x1f607ff9,0x4c02fe98,0x35bf11fd,
    0x7c0007f9,0x9fc9f62f,0x3222fea9,0xeeeeeeee,0x47f31dee,0x00fec3f9,
    0x072e2001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x74000000,0xff8ffa3f,0xffffda83,
    0x5ffb00be,0xf7037fe6,0x03fff9df,0x2a017fc0,0x1dfb13ff,0x8fffffb0,
    0x7fec0ffe,0xdf707d81,0xa8be6003,0x0003effd,0x4cd90ffc,0x1ffefffe,
    0xfffffff5,0x7cbfffff,0x0bf07e21,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xd1ff4000,0x981ffc7f,0x3603ffff,0x07ff30ef,0x6ffa9fee,0x200bfe00,
    0x3bee4fe8,0x40beea80,0x0fe881fd,0x437bffb2,0x0eeeeffa,0x0dfb9df1,
    0x64000022,0x04c40c46,0xcccccb88,0x01cccccc,0x00000d80,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3fa19ff3,0xd019ff0c,0xb01ffbff,0x80ffccbf,
    0xf70affd9,0xaa98159f,0x01aacffa,0x0dd317e4,0x32a00000,0x9930bccc,
    0x5d419999,0x00000acd,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xaffffcc0,0xbfff5ffe,0xff89ffa8,0xbf11fe44,0x3fffe601,
    0x9ffffa5f,0xfffffffa,0x0d404fff,0x000000e2,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3fa20000,0x27ffd3ff,
    0x1f4c3fff,0x281885d3,0x7ffff440,0x993ffe63,0xfffffffe,0x000002ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__courier_bold_27_latin_ext_x[560]={ 0,5,3,1,1,1,2,5,6,2,1,0,4,2,
5,1,1,1,1,1,1,1,2,1,1,2,5,4,-1,0,0,2,2,-1,0,0,0,0,1,0,0,1,1,0,
0,-1,-1,0,1,0,0,1,0,0,-1,-1,0,0,1,5,1,2,1,-1,4,1,-1,1,0,0,1,0,0,1,
2,0,1,-1,0,1,-1,0,1,1,1,0,0,-1,0,0,2,4,5,3,1,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,5,1,0,1,0,
5,1,3,-1,3,0,-1,2,-1,-1,3,0,3,3,4,0,1,5,4,3,3,1,0,-2,0,1,-1,-1,-1,-1,
-1,-1,-1,0,0,0,0,0,1,1,1,1,-1,-1,0,0,0,0,0,2,0,0,0,0,0,0,1,0,1,1,
1,1,1,1,-1,1,0,0,0,0,1,1,1,1,1,0,1,1,1,1,1,0,0,0,0,0,0,0,-1,0,
-1,1,-1,1,-1,1,0,1,0,1,0,1,0,1,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,0,-1,1,2,0,0,0,0,1,0,
1,0,1,0,1,0,1,-1,0,-1,0,-1,0,-1,0,0,0,1,0,1,0,1,-1,-1,0,1,0,1,0,1,
1,1,1,1,1,1,1,1,0,1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,-1,-1,0,0,
0,1,2,1,2,1,2,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,2,1,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,1,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,-1,1,1,1,0,
1,0,0,0,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,-1,1,-1,-1,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static signed short stb__courier_bold_27_latin_ext_y[560]={ 19,3,4,2,2,4,5,4,3,3,3,5,15,11,
16,2,3,3,3,3,3,3,3,3,3,3,8,8,5,8,5,4,3,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,3,2,3,3,23,3,8,3,8,3,8,3,8,3,3,
3,3,3,8,8,8,8,8,8,8,4,8,8,8,8,8,8,3,3,3,9,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,19,8,2,4,6,4,
3,3,4,4,3,9,11,11,4,0,1,2,3,3,3,8,3,9,18,3,3,8,3,3,3,8,-1,-1,-1,0,
0,-1,4,4,-1,-1,-1,0,-1,-1,-1,0,4,0,-1,-1,-1,0,0,7,3,-1,-1,-1,0,-1,4,3,3,3,
3,4,4,2,8,8,3,3,3,4,3,3,3,4,3,4,3,3,3,4,4,5,7,3,3,3,4,3,3,4,
1,4,-1,3,4,8,-1,3,-1,3,0,3,-1,3,-1,3,4,3,1,4,-1,3,0,3,4,8,-1,3,-1,3,
-1,3,0,3,4,2,-1,-1,4,3,0,4,1,4,-1,3,4,3,0,8,4,3,-1,3,4,3,8,-1,-1,4,
3,4,3,4,3,4,3,-1,3,4,8,-1,3,4,4,8,1,4,-1,3,-1,3,4,8,-1,3,4,8,-1,3,
-1,3,-1,3,4,8,-1,3,4,4,-1,3,4,4,0,4,1,4,-1,3,-1,2,-1,3,4,8,-1,3,-1,3,
0,-1,3,0,3,-1,3,3,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,3,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,7,4,4,4,4,4,4,4,4,4,4,4,4,4,1,7,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,-1,3,-1,3,-1,
3,-1,3,-1,1,-1,-1,-1,-1,-1,-1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,-6,-2,-1,3,-1,3,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static unsigned short stb__courier_bold_27_latin_ext_w[560]={ 0,4,9,12,12,12,12,4,6,7,12,14,6,11,
4,12,12,12,12,12,12,12,11,12,12,11,4,7,15,14,15,11,10,16,14,14,14,14,13,15,14,12,14,15,
14,16,16,14,13,14,15,12,14,15,16,16,15,14,12,7,12,7,12,17,6,13,15,13,15,14,13,15,14,12,
9,14,12,16,14,13,15,15,13,12,14,14,15,16,14,14,11,7,4,8,12,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,0,4,11,14,12,14,
4,13,8,16,9,14,15,11,16,17,8,14,8,8,6,14,12,4,6,8,9,13,15,18,15,11,16,16,16,16,
16,16,16,14,14,14,14,14,12,12,12,12,15,16,14,14,14,14,14,10,15,15,15,15,15,14,13,13,13,13,
13,13,13,13,16,13,14,14,14,14,12,12,12,12,12,14,13,13,13,13,13,14,14,14,14,14,14,14,15,14,
16,13,16,13,17,14,14,13,14,13,14,13,14,13,14,17,15,15,14,14,14,14,14,14,15,14,14,14,15,15,
15,15,15,15,15,15,14,14,14,14,12,12,12,12,12,12,12,12,12,12,15,15,14,9,15,14,15,14,12,14,
12,14,12,14,12,14,12,16,14,16,14,16,14,15,14,13,14,13,14,13,14,13,16,16,15,13,15,13,15,13,
12,12,12,12,12,12,12,12,14,14,14,15,14,14,15,14,15,14,15,14,15,14,15,14,15,15,16,16,14,14,
14,12,11,12,11,12,11,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,14,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,16,14,13,13,13,13,13,13,13,13,13,13,13,13,13,17,16,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,16,13,12,12,14,
13,15,14,15,14,15,14,15,14,15,14,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,16,13,16,16,15,14,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13, };
static unsigned short stb__courier_bold_27_latin_ext_h[560]={ 0,17,8,20,20,16,15,8,20,20,11,14,8,3,
4,20,17,16,16,17,16,17,17,17,17,17,12,14,14,8,14,16,18,15,15,16,15,15,15,16,15,15,16,15,
15,15,15,16,15,19,15,16,15,16,15,15,15,15,15,20,20,20,9,4,5,12,17,12,17,12,16,16,16,16,
21,16,16,11,11,12,16,16,11,12,16,12,11,11,11,16,11,20,20,20,6,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,0,16,18,15,12,15,
20,19,3,16,8,10,8,3,16,4,9,17,9,9,5,16,19,5,6,9,8,11,16,16,16,17,20,20,20,19,
19,20,15,20,20,20,20,19,20,20,20,19,15,19,21,21,21,20,20,11,18,21,21,21,20,20,15,17,17,17,
17,16,16,18,12,16,17,17,17,16,16,16,16,15,17,15,17,17,17,16,16,14,14,17,17,17,16,21,21,20,
18,16,20,17,19,14,21,17,21,17,20,17,21,17,20,17,15,17,18,16,20,17,19,17,19,15,20,17,21,21,
21,21,20,21,20,22,20,20,15,16,19,15,18,15,20,16,19,20,19,11,16,21,21,21,20,21,11,20,20,20,
21,15,16,15,16,15,16,20,16,20,16,20,16,15,16,16,19,16,21,17,21,17,15,12,20,16,20,16,20,16,
21,17,21,17,20,16,21,17,22,21,20,17,15,16,20,16,19,16,21,17,21,18,21,17,19,15,20,16,20,21,
19,20,16,19,16,20,16,16,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,16,15,15,19,15,15,15,
15,15,15,15,15,15,15,15,15,15,16,13,15,15,15,15,15,15,15,15,15,15,15,15,15,19,13,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,20,17,20,16,21,
17,21,17,21,19,21,21,21,21,21,21,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,25,22,20,17,22,18,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15, };
static unsigned short stb__courier_bold_27_latin_ext_s[560]={ 509,165,349,400,30,324,82,319,462,504,173,
233,359,455,423,43,345,210,282,491,180,46,370,453,466,479,506,503,217,334,201,
299,500,383,400,341,415,353,430,405,444,459,389,472,488,139,18,404,35,101,49,
116,368,208,65,1,123,108,95,413,332,392,253,428,398,294,424,325,329,384,1,
356,284,224,280,193,197,156,412,280,237,253,455,399,326,352,427,469,486,419,443,
307,287,265,373,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,509,504,422,
294,339,325,504,16,446,44,324,229,303,455,479,405,244,1,275,284,391,269,88,
386,366,266,293,186,164,145,129,358,362,438,471,133,30,421,84,133,148,163,178,
1,242,272,285,163,132,116,14,60,176,434,419,501,345,321,75,29,314,330,53,
59,101,87,73,129,337,376,367,364,269,31,16,156,171,143,184,340,440,163,410,
396,382,115,253,171,186,314,299,284,267,79,475,56,405,30,71,170,314,156,290,
120,187,92,88,65,218,210,103,1,178,238,361,223,469,254,254,478,298,223,376,
35,249,305,337,353,484,400,360,34,404,345,238,238,150,253,332,266,1,295,60,
449,47,216,308,369,385,166,298,122,200,210,391,118,153,279,351,101,392,148,421,
255,434,225,449,193,464,116,496,1,73,378,445,151,91,224,67,308,14,61,488,
75,455,89,491,197,1,184,379,103,416,79,64,460,292,19,208,311,249,15,191,
449,137,493,106,434,429,463,207,309,232,372,204,45,176,219,27,223,15,274,494,
39,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,434,194,194,269,
194,194,194,194,194,194,194,194,194,194,194,194,194,477,265,194,194,194,194,194,
194,194,194,194,194,194,194,194,236,248,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,345,106,
191,464,265,449,233,50,202,283,171,156,140,125,109,94,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,1,50,315,134,18,390,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194, };
static unsigned short stb__courier_bold_27_latin_ext_t[560]={ 1,90,175,27,49,108,160,175,49,27,175,
160,175,175,175,49,90,108,108,90,126,108,90,90,90,90,126,143,160,175,160,
126,49,143,143,126,143,143,143,108,143,143,126,143,143,160,160,126,160,70,160,
126,143,126,160,160,160,160,160,27,27,27,175,175,175,160,90,160,90,160,143,
126,126,126,1,126,108,175,160,160,126,126,160,160,126,160,160,160,160,126,160,
27,27,27,175,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,
143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,1,90,70,
143,160,143,1,70,175,126,175,175,175,175,108,175,175,108,175,175,175,126,70,
175,175,175,175,175,126,126,126,90,27,27,27,70,70,27,143,49,49,49,49,
70,49,49,49,70,143,70,27,27,27,49,49,160,70,1,27,27,49,49,143,
108,108,108,108,108,108,70,160,108,90,108,108,108,108,108,108,143,90,143,90,
90,90,108,108,160,160,90,90,90,108,1,1,49,70,126,49,90,70,160,1,
90,1,90,49,90,1,90,49,90,143,90,70,108,49,90,70,70,70,143,49,
90,1,1,1,1,49,1,49,1,49,49,143,108,70,143,70,143,49,108,70,
49,70,175,108,1,1,27,49,27,175,49,49,49,27,143,108,143,108,143,108,
49,108,49,108,49,108,143,108,126,70,108,1,90,27,90,143,160,49,126,27,
126,27,126,1,90,27,90,27,126,1,90,1,1,27,90,143,126,27,126,70,
126,27,70,27,70,1,70,70,143,27,126,27,27,70,27,143,70,143,27,126,
143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,126,143,143,70,
143,143,143,143,143,143,143,143,143,143,143,143,143,126,160,143,143,143,143,143,
143,143,143,143,143,143,143,143,70,160,143,143,143,143,143,143,143,143,143,143,
143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,27,90,
27,126,1,70,1,90,1,70,1,1,1,1,1,1,143,143,143,143,143,143,
143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,
143,143,143,1,1,27,90,1,70,143,143,143,143,143,143,143,143,143,143,143,
143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,
143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,
143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,
143,143,143,143,143,143,143,143,143, };
static unsigned short stb__courier_bold_27_latin_ext_a[560]={ 229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_27_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_bold_27_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_27_latin_ext(stb_fontchar font[STB_FONT_courier_bold_27_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_27_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_bold_27_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_27_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_27_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_27_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_27_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_27_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_27_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_27_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_27_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_27_latin_ext_s[i] + stb__courier_bold_27_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_27_latin_ext_t[i] + stb__courier_bold_27_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_27_latin_ext_x[i];
            font[i].y0 = stb__courier_bold_27_latin_ext_y[i];
            font[i].x1 = stb__courier_bold_27_latin_ext_x[i] + stb__courier_bold_27_latin_ext_w[i];
            font[i].y1 = stb__courier_bold_27_latin_ext_y[i] + stb__courier_bold_27_latin_ext_h[i];
            font[i].advance_int = (stb__courier_bold_27_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_27_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_27_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_27_latin_ext_s[i] + stb__courier_bold_27_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_27_latin_ext_t[i] + stb__courier_bold_27_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_27_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_27_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_27_latin_ext_x[i] + stb__courier_bold_27_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_27_latin_ext_y[i] + stb__courier_bold_27_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_27_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_27_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_27_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_27_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_27_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_27_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_27_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_27_latin_ext_LINE_SPACING
#endif

