// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_14_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_14_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_14_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_times_14_latin_ext_BITMAP_HEIGHT        130
#define STB_FONT_times_14_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_times_14_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_14_latin_ext_NUM_CHARS            560

#define STB_FONT_times_14_latin_ext_LINE_SPACING           9

static unsigned int stb__times_14_latin_ext_pixels[]={
    0x0014c000,0xa8050000,0x04401803,0x00108000,0x00110011,0x00066600,
    0x00000000,0x00004000,0x88000000,0x20000000,0x0039005a,0x20770059,
    0x5c02404a,0x5c01402d,0x039300a8,0x02805d98,0x66402ea8,0x9c034404,
    0x5c02c802,0x17a200a8,0x55d40098,0x00545c03,0x36c400ec,0x07a039c0,
    0x801400e0,0x01407003,0x518802e2,0x7c405ac0,0x4602d603,0x202d6009,
    0x05ac0172,0x17cc0198,0x1fcc01c0,0x5a80cca0,0xf9802940,0x30028803,
    0x05f50062,0x02e200a2,0x44063510,0x455cc00b,0x0e5015c1,0x26315730,
    0x20aa61aa,0x55318ab9,0x5cc154c3,0x86aa619b,0x80b882a9,0x4aa61aa9,
    0x4aa61aa9,0x4aa61aa9,0x0aa61aa9,0x2aa602e2,0x4c00aa61,0xa8aa61aa,
    0x550d4c0a,0x5531a981,0x0d4c2aa6,0x2e6066e6,0x952c8819,0x7b50b883,
    0x83952c88,0x4c9911d8,0x406e6038,0x749911d8,0x88ec4584,0x21613a4c,
    0x4e8d712d,0xca964458,0x3a2c2741,0x2c274584,0x5911613a,0xb09d072a,
    0x742bba88,0x585d8584,0x1f4585d8,0xa8ec589d,0xe85a8ec5,0x90b22d43,
    0x16a1f41d,0x01a8905b,0x416c03e2,0x5b120f64,0x2241ec90,0x41ec383d,
    0xb16a1f44,0x483d8907,0x0f6241ec,0x45a87d12,0x3f34483d,0xeb8483d8,
    0x2275c1c4,0x38b72dc3,0x234471a2,0x3e20fd43,0x2e8b8f10,0x10f883f5,
    0x0caa801f,0x1f107d70,0x22483d80,0x241ec00f,0x07b001f1,0x3e20fd49,
    0x7b120f60,0x4483d890,0x07ea483d,0x241ec1f1,0x0f6074f1,0x38be2e12,
    0x10e2f8b8,0x0543ea1f,0x37e0437e,0x7d07b810,0x29d0a9ae,0x1ea7d07b,
    0x6412eb30,0xd807a86a,0x201ea483,0x11ee483d,0x241ec597,0x3d8fa0f7,
    0x2241ec48,0x41ec483d,0xb1f41ee4,0x49bc8907,0x338483d8,0x7cce0e3f,
    0x36e7b071,0x07fd3073,0x1f307fd3,0x14dea5d0,0x3a03e67d,0x93100f52,
    0x50ba3309,0x4907b00f,0x483d807a,0x7b1e61ea,0x7407cc90,0x7b120f62,
    0x4483d890,0x03e6483d,0x4483d8ba,0x120f600b,0x3838fb8e,0x3aa0e3ee,
    0x2038eab8,0x0bf705fb,0x3e67885d,0x85d0fc3a,0x8803e278,0x99c84a8c,
    0x2007c45c,0x03e2483c,0x1f890790,0x120f23c4,0x1e47885d,0x9120f224,
    0x483c8907,0x791e2174,0x2deee890,0x21c241e4,0x764384ec,0x9f0cf884,
    0x47e20881,0x9907e208,0x2a2e44b8,0xb12e2644,0x25d2e50b,0x03e666e2,
    0x22d450bb,0x5142ec38,0x2364388b,0x0e22d478,0x2d44b899,0x388b50e2,
    0xb50e22d4,0x2e264388,0x88e22d44,0x45a89312,0x85d83838,0x4bb05d83,
    0x8743885c,0x5d407438,0xabcb82ba,0x5757502a,0x98aaf720,0x2120dbce,
    0x2abdc84d,0x903bacc8,0x5990557b,0x26b6e077,0x3bacc84c,0x20575750,
    0x9903bacc,0x2b320775,0x7759903b,0x40aeaea0,0x65c3bacc,0x75990531,
    0x4887d307,0x41221f4c,0x3a20ea2a,0x2fa23bab,0x100403ba,0x10008004,
    0x221ea800,0x100102fd,0x00200200,0x80040044,0x02001000,0x00080040,
    0xca802001,0x0000400b,0x20000000,0x00000c01,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0x01804400,0x80104054,0x0000a828,0x12601440,0x00000060,0x530d54c0,
    0x300c0005,0x80aa6355,0x2a03900c,0x0cca80a9,0x90042000,0x8a0c031b,
    0x2446e049,0x5101655c,0x703b6207,0x4416207b,0x415c029c,0x002cc02b,
    0x02bc8039,0x0a70136a,0x3350a2a6,0x50b09d03,0x07c40331,0x10254bb0,
    0x5416aa09,0x6406c02d,0xf1d303cc,0x480ed440,0x0981e238,0x2201ce0a,
    0x3062303b,0x16e00c0a,0x20140770,0x100a000b,0x80263004,0x20db02fa,
    0x0907b05e,0x3eb809d1,0x20245320,0x55308201,0x86c154c3,0x0aa61aa9,
    0x261aa980,0x1e1c342a,0x30171000,0x8aa61355,0x4dcc1aa9,0x5424dd41,
    0x19d5049b,0xaa849ba8,0x2a602aaa,0x32a2aaaa,0x0d54c711,0x44060555,
    0x2aaaa1aa,0x3241ec2a,0x20355555,0x273206ac,0x1c472a04,0xb09d0722,
    0x584e8360,0x74388e54,0x43878584,0x47223d9f,0x654b224a,0x642c2741,
    0x445a8ec5,0x18988189,0x0c4c41e0,0x0274cce4,0xd05c4bb6,0x98db0a21,
    0x3201f105,0x274cce46,0x499120f6,0x05d19849,0x1d003b72,0x7b0b60a2,
    0x3d836090,0x8510e848,0x3858483d,0x5b174d7c,0x2d43e9a6,0x92e120f6,
    0x22931c68,0x0e45261c,0xc8a4c34c,0x401d5041,0x97042ea8,0x0b87e20e,
    0x16e07d70,0x0f607541,0xc8089712,0xb9905c99,0x03a5c01d,0x0483d859,
    0x4241ec1b,0x907b074b,0x73c380a8,0xf56896cb,0x0f60f883,0x1bf12e12,
    0x9e16cf02,0x4f04b82d,0x803f102d,0x4740c5d3,0x80a6d503,0x20b706ac,
    0x483c81f8,0x3710325c,0x29901f33,0x0e3a00ed,0x120f6164,0x0907b06c,
    0x20f60e3a,0x9e1c0d44,0xbb44b259,0x41ec7d07,0x7f4c4b84,0x4f0b2783,
    0x4f02c82c,0x8809d02c,0x707959d2,0x0266c01d,0x16e0ba33,0x445a8274,
    0x435d6dc3,0x24c84d84,0x01d700ed,0x0907b0b2,0x0483d836,0x907b01d7,
    0x2e7870b0,0xf9b44b62,0x20f62e80,0xbf704b84,0x64f0b278,0x64f00e82,
    0xac806b82,0x1620a2ea,0x4e401f10,0xb85b85c9,0x1dd66406,0x1ea8525c,
    0xee98bf62,0xb107ff51,0x20f21640,0x41e41b04,0x0f20b104,0x7f0e1e12,
    0x68a74473,0x3c8f10ba,0x8224b848,0x16c3e1f8,0x16216c3e,0xf985b0f8,
    0x05d14c01,0x00f80298,0x81f33371,0x800fcc5b,0x20012e04,0x2006400b,
    0xb5032029,0x541b0388,0x02981c45,0x868388b5,0x2c400bc3,0x2d44b899,
    0x23b898e2,0x7bb07438,0x6deec19b,0x6c03550c,0x0fa0cdbd,0x21744833,
    0xf1007733,0x71361201,0x80cc3e8b,0x4c4b82cb,0x70165c01,0x8c0ee605,
    0x07759904,0x2eb3206c,0x6403b983,0x70903bac,0x266203c4,0x815d5d42,
    0x6e43bacc,0x1dd5f444,0x70210084,0xf9021003,0x641d9999,0xb75bf50d,
    0x2e003265,0x221ea83f,0x23db12fd,0x0eccccfc,0x5dd10220,0x02200d95,
    0x019300c4,0x401002ee,0x40100cca,0x001000c9,0x80726283,0x400201c9,
    0x00300200,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80000000,0x0aaaaaa9,0x00980000,
    0x22a03373,0x381e6419,0x00010000,0x04d554ca,0x00001310,0x40294000,
    0x095c00b8,0x3002a6a0,0x00003355,0x2a635551,0x0001aaaa,0x26a00000,
    0x66ccdc19,0x409502b9,0x3b0900e8,0x15ce416a,0x4c05881e,0xa8b83805,
    0x5ceec700,0x20b2881e,0x2207603c,0x6d62028a,0x3932c880,0x401b9330,
    0x02e202da,0x33326051,0x43affb82,0x2d41264c,0x75402c80,0xb042f402,
    0x88038047,0x23445902,0xa986aa63,0x455cc0f2,0x10700381,0x4991c09d,
    0x2033a84d,0xec81c403,0xc805c400,0x0b882cc3,0x48805c40,0x05c40620,
    0x5c3afff8,0x20070044,0x98172803,0x80aaaaaa,0x21aa983d,0x555532aa,
    0x6fc1d835,0x2584e810,0x9911d887,0x06aaaaa6,0xaaa9932a,0xd2647009,
    0x5530fa07,0x35510135,0x4026aaa6,0x443952c8,0x3220f81f,0x2c883952,
    0x55448395,0x52c8853b,0x3afff839,0x0180325c,0x5c060030,0x82b9cd99,
    0x598db03d,0x1b893264,0x1ec1ff4c,0x905b0f24,0x8b893264,0x2e7761eb,
    0x2f72281e,0x87b3503d,0xc81eb9dd,0x76d4eec6,0xa96a1f40,0x21f47d07,
    0x16a1f45a,0x851d8649,0x3ea2d43e,0x5d6dc3af,0x1003e206,0x80f8801f,
    0x3d808f60,0x205c3f10,0x4054044b,0x241ec5fb,0x5c00f88f,0x64156044,
    0x39901364,0x21d9201f,0x16e1364c,0x3ea6c899,0x07a87c41,0xf107ea5d,
    0x1f107ea1,0x14d254a6,0x80f883f5,0x0525c3a9,0x3ae01f5c,0x201f5c03,
    0x501ec03d,0x192e0a6d,0x44110a88,0x7920f61f,0x325c03d4,0x4c80ae88,
    0x2e9900fa,0xc86a3d05,0x916e0fa4,0x0f72f989,0x2217ccfa,0x4fa0f70f,
    0x46a7d07b,0xb8a2b51d,0x75107d07,0xd59004b8,0x6406ac80,0x201ec06a,
    0x8266c03d,0x1c86badb,0x1ec1d0e2,0x807a8f24,0x4f86badb,0x1edee411,
    0x84d93228,0x5ee43ae9,0x4c8b703d,0xd01f33e8,0x992e2645,0x1f32e80f,
    0x474e25d0,0x0f9873c9,0x43a882e8,0x4660cc4b,0x0ba3302e,0x3602e8cc,
    0x8037e603,0x149700f8,0x757d10ec,0x1e483c87,0x24b801f1,0x643efa82,
    0x26700f9c,0x819f11ee,0x7ce641f9,0x84c8b700,0x0f10ba2f,0x5d0795b9,
    0x22174788,0xc99da9c7,0x3c42e852,0x3ba23a88,0x99c86caa,0xb933905c,
    0x81726720,0x4004c03d,0xc809700f,0x8b505882,0x21761e38,0x025012e2,
    0x8382dd32,0x12222038,0x2dc16e99,0x4c8f5132,0x0ee8825c,0x3225c4c8,
    0x806625c4,0x12e26419,0x03501d44,0x81f33371,0x40f999b8,0x00f999b8,
    0x403b807b,0x989700f8,0x900d8121,0x90787759,0x44b8557b,0x24c80e19,
    0x01b0384d,0xd93214aa,0x12645b84,0x5757509b,0x7501b700,0x2aea0575,
    0x9885302b,0x05757502,0x5b301d44,0x1226c241,0x09b09136,0x04c01bf3,
    0x3a20fee0,0x0266caae,0xc80400c4,0xdd10103c,0x3008d955,0x833e23dd,
    0x0cc01982,0x67c47ba6,0x3a63db10,0x0402dcbe,0x00804c00,0x55510010,
    0x22002003,0xd5044029,0xea97ec43,0x754bf621,0x000bf621,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x40d4c0aa,0x07501889,0x5018ab98,0x19bb9801,0x10402000,
    0x2aa61b88,0x20088002,0x1b80931b,0xa880c00c,0x5c00101a,0x15280012,
    0x10066000,0x30000015,0x944cc35b,0x03d02999,0xd882c2ec,0x82bc880d,
    0x209911d8,0x5c4b600c,0x2a05e886,0xb079b105,0x25405c85,0x1098076c,
    0x0380980f,0x8364136a,0x4cc07441,0x80ed80dc,0x39501c8d,0x0e500aa0,
    0x3261332e,0x1e4c41cc,0x06647355,0x13ae0144,0x066ee607,0x2416c041,
    0x360cddcc,0x198a8383,0x36031000,0x20e025c2,0x01e00509,0x13182440,
    0xa8570b70,0x2a605540,0x2a651131,0x9d8aaa1a,0x2aaaa1c9,0x1037302a,
    0x880c0355,0x46aa21aa,0x2aa61aa8,0x717c5c02,0x11ae25b0,0x07c45775,
    0x26b896c0,0x554c00f8,0x5d441aaa,0x15dd442b,0x440970b2,0x9101261b,
    0x221c8bc3,0x2a61b01c,0x5c35531a,0x0d544585,0xaa896176,0x4cb31b61,
    0x2721898d,0x1f104e99,0x0f881b20,0xc8d90d90,0x33805c86,0x707b0e3f,
    0x07a87e68,0x1ee383d8,0x32645971,0x4d07e689,0x12e1641f,0x403c45b0,
    0x6c0d5e2d,0x22e45902,0x1a22dc5c,0x713ae1b2,0x70fc46c8,0x2081cf81,
    0x07d700ea,0x03eb816e,0x5b8b70b7,0x2e3804b8,0x003e238f,0x0f5074f1,
    0x3d400f88,0x4112e3cc,0x27883a78,0x12e1640e,0xc80785b0,0x16c0b3e2,
    0x971324c8,0x5c2d45b8,0x0e2f8b85,0x0a6d50b7,0x7c4037a2,0x5c1ab201,
    0x5c1ab205,0x42dc5b85,0x7643804b,0x59711ee4,0x3e224de4,0x9711ee00,
    0x71e20fc5,0x24de40c9,0x16424de4,0x42c8212e,0x45904d8f,0x205906bf,
    0x8971323b,0x2dc2d45b,0xb871f99c,0x44099b05,0x204e80ee,0x0b705d19,
    0x2dc17466,0x2e16e2dc,0x25d83804,0x05c7987a,0x1ea50bb0,0x788d91e6,
    0x5c35d6dc,0x2d802e00,0x2c866264,0x2c81e8fc,0x0b61323e,0x555b90e4,
    0x3445b89b,0x1f71c2dc,0x1f105b87,0x2e1e4c40,0x2e4ce406,0xc99c82dc,
    0x45b85b85,0x4c04b85b,0x07e2443e,0x2deee8f1,0x7c2abdc8,0x56dc3c41,
    0x0525c4c9,0xee85bddd,0x993a22de,0x646cccee,0x590593c2,0x433e2be6,
    0x4c8b04e8,0x83db125c,0x64385b86,0x1f02dc4e,0x47531150,0x26e201f9,
    0x42dc0f99,0x40f999b8,0x2dc5b85b,0x1900425c,0x44f11b20,0x16209312,
    0xc81e2364,0x94409701,0x4c4a2498,0x01a80dc4,0x20b27859,0x0481cc0c,
    0x25c4c891,0xb706a02e,0x5b8bb070,0x7b301f10,0x0cc3e877,0x85b89b09,
    0x42dc4d84,0x2642dc5b,0x202b8066,0x2e4c9adb,0x0340531c,0x409935b7,
    0x1989702b,0xcb8a6397,0x10498531,0x64f0b60b,0x906824a2,0x44c81859,
    0x5c165c5b,0x87d316e0,0xfb82dc48,0x9f906603,0x3aa1d999,0x6c4bf621,
    0xd887aa1e,0x443db12f,0x43db11ed,0x06cccee9,0x80440062,0x02600bca,
    0x03100220,0x1b2abba2,0x79501795,0x404c0301,0x22be64e8,0x2602ee4e,
    0x98082200,0x83db31ee,0x3b623008,0x1ed88001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x220662a0,0x2e031001,0x40294012,0xa8080a8a,
    0x333502aa,0x03200000,0x40a2802a,0x80402849,0x21818829,0x8d441040,
    0x8064c029,0xab8801b8,0x5555303b,0x41021855,0x20aa0080,0x3900c42b,
    0x54075055,0xc9983a9b,0x032b100d,0x50b02da8,0x0f220555,0x54c3ccc8,
    0x40eaa61a,0x2144e01b,0x76543b30,0x9c985b04,0x0cd881c4,0x33216ecc,
    0x3a02ea9b,0x20032b01,0x8f445aad,0x6c41716c,0x40eedc1b,0xaa81b02d,
    0x534aae45,0x54435555,0x6c45dc1a,0x01800c04,0x82bee030,0x554c49ba,
    0x2aa61aaa,0x42741aaa,0xaaaaa985,0x25835381,0x5c001103,0x3300d4d3,
    0x83b20220,0x0bea985a,0xc800ca54,0x1aa2e852,0x01302981,0x70410100,
    0x264c822b,0x21ae3644,0x801f100e,0x07c400f8,0x81898878,0x4991264c,
    0x8241ec49,0xdcb9264c,0x06bee4dc,0x31072293,0x8ac5d439,0x10726203,
    0x4c4c8375,0x40f55447,0x82a9abf9,0x7c40adaa,0x54419aa0,0x20e4c41b,
    0x25d41ba8,0x24a86ea2,0x5b8112e0,0xb8264274,0x01f5c03e,0x263c0fae,
    0x44b83914,0x7b0225c0,0x8112e090,0x3c0f070a,0xb8d1385b,0x89c0471a,
    0x322e9626,0x2588fc44,0xd13f981f,0x3d416cd0,0x2b0f6baa,0xac689c68,
    0x561ce668,0x7144e668,0x3e2dc0c9,0xd5907b82,0x6406ac80,0x6cf0f06a,
    0x970325c2,0x8241ec0c,0x3391064b,0xc9e07839,0x80a66e62,0x5cc75b0a,
    0x5b92a299,0x1dc3e132,0x8faab83b,0x05924c1b,0xa8a6a8f5,0x45337303,
    0x417f103a,0x8e65103a,0x5b86badb,0x4c2dc1f4,0x746605d1,0x20ba3302,
    0xb70b2787,0x75b70d75,0x20907b0d,0x6d46badb,0xf03c2cba,0x10095164,
    0x0953d2a5,0x1325a96e,0x98763c9e,0x96e0f766,0x2a0f882c,0x12a09706,
    0x4bb1025c,0x7254604b,0x2e2dc149,0x99c82d85,0xb933905c,0x21726720,
    0x42c9e0cd,0x292e0a4b,0x970484c8,0x780a9c14,0xf116c3e0,0x2951c0a3,
    0xf1147e26,0x22a991dc,0x21d9aa48,0x3093e67a,0x24c8164f,0x51f89c6a,
    0x3e228fc4,0x12c85451,0x92e10a3f,0x222dc04b,0x4dc43c47,0x4dc40f99,
    0x4dc40f99,0x204c0f99,0x04b85b0f,0x11aa025c,0x28812e07,0x32033607,
    0x3ee0cdbd,0x3620a82e,0x2177dc49,0x3ba23ada,0xcec83dc9,0x4de76c3e,
    0x6e7645fe,0xfd59900c,0x77dc5b77,0x2e177dc1,0x1276a1ef,0xbadc3df7,
    0x5c3312e5,0x0bbab885,0x4244d848,0x226c244d,0x66deec2b,0x5c3312e0,
    0x2fb20cc4,0x3312e03b,0x04200010,0x00c40c00,0x20080080,0x40202010,
    0x08000010,0x80401000,0xee894c00,0x3b626caa,0x21ea8001,0x43d52fd8,
    0x43d52fd8,0x20262fd8,0xaaee8810,0x2abba26c,0xd100206c,0x000d955d,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x08606400,0x02110644,0x1245c041,0x86aa2355,0x2a01ba99,0x91004102,
    0x2a010801,0x1b812203,0x1440e2e0,0x93014042,0x00dc0640,0x05131055,
    0x54c02853,0x2021100a,0x3209103a,0x530d54c0,0x2e20d445,0x26541d41,
    0x0ef22564,0x91901b97,0x2e35c6c8,0x5501d71d,0x4079b301,0x2b2e04ab,
    0x2a057906,0x54c12602,0x65c1502a,0x4276546a,0x303982bc,0x64155607,
    0x01cb2b85,0x5e414c17,0x40e5c45a,0x9d07502a,0x24ead8b0,0x3500c2d8,
    0x01510210,0x70111013,0x205c5b8b,0x2202a86a,0x00008401,0x30030082,
    0x00700c20,0x20208110,0x12c40c01,0x9a21c898,0x2670331c,0x20028da8,
    0x03006020,0x9304907b,0x06ea22d8,0x4ba81955,0x32aa25d4,0x2e0dd440,
    0x7c402dc5,0x98722931,0x46543914,0xa4c732c9,0x645261c8,0x30e45261,
    0x14987229,0x54428839,0x20dd441b,0x5d441ba8,0x260dd441,0x43f2a205,
    0x4c38ee59,0x221461b8,0x0e4c41c9,0x93107262,0x50483d83,0x22b1bc81,
    0x7325d666,0xacc7398e,0x22e9624b,0x9972dc5b,0x3c7f9999,0xf0b6785b,
    0x9e054761,0x785b3c2d,0x216cf0b6,0x44150b67,0x5d2c4ba5,0x4b12e962,
    0x9974b12e,0x3a581cfd,0x872d4b73,0x138260d2,0x138d138d,0x3d8d138d,
    0x6c2fb848,0x64c40753,0xf882fe24,0x5264c40b,0xb8b72dc9,0xf17c1ae5,
    0x42c9e164,0x9e0ebb2c,0x78593c2c,0x2164f0b2,0x4a870b27,0x2b72556e,
    0x72556e4a,0x225b92ab,0xaadc9306,0x4a1996e5,0x26e6281d,0x8a66e629,
    0x2e6299b9,0x241ec299,0x5cbaa7a8,0x89519104,0x12ec45d8,0x52dc9519,
    0x892e2dcb,0xc9e3cc0f,0xd98593c2,0x27829f99,0x78593c2c,0x2164f0b2,
    0x5c288b27,0xb52dd6a5,0x4b75a96e,0x12d4b75a,0x15a92e0b,0x988e25cd,
    0x4a8a5149,0x412a0950,0x120f204a,0x7c4b20d8,0x24ba5c51,0x642a590a,
    0x7892e972,0x7115b8ee,0x22644d87,0xb0f85b0f,0x41b29d05,0xb0f85b0f,
    0xf85b0f85,0x5b0f85b0,0x3b9e2054,0x2789dcf1,0x89dcf13b,0x86dc4ee7,
    0x9a3b9a22,0x222a1c1d,0x3e20a8aa,0x228fc451,0x8fc451f8,0x80e22d42,
    0x3df716c4,0xa86de74c,0x9276a49d,0x2a0dbce9,0x27b623ad,0x76440bdb,
    0xdbdd84eb,0x336f720c,0xb04895c0,0x6ec19b7b,0x2f760cdb,0x36f760cd,
    0x336f760c,0x0eb6a070,0xada875b5,0x2a1d6d43,0x3eaea3ad,0x21d65c2f,
    0x41883ad9,0xb80aa9aa,0x177dc2ef,0xdf70bbee,0x87759905,0x3a209aea,
    0x00800044,0x20020001,0x08401800,0x00400210,0x10084021,0x21008402,
    0x08020040,0x02008020,0x80004010,0x00000100,0x00040000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x808415c0,0x20570118,0x51048848,0x98049837,0x05c400aa,
    0x0d4c0aa8,0x20082041,0x553031a8,0x4c0d54c1,0x573019bb,0x9006e031,
    0x2a20a601,0x31aaaa81,0x4c2aa655,0x4c15551a,0x80cdcc2a,0x0a0261a8,
    0xb880a06e,0x9e838982,0x216edc3c,0x01b80dba,0x83a39037,0x5305c079,
    0x072a5910,0x2f616176,0xb881bd81,0x99b07b50,0x12d85c81,0x911d88d7,
    0x48809109,0x9c4b1190,0x3733a25a,0x2c4e8fa3,0x1d836176,0x370950b5,
    0x22c4c0a8,0xa816c01a,0x41010001,0x740c0180,0x703c43b0,0x851193b3,
    0x75c2d43e,0x9814c1c4,0x0ec85902,0x6c4b802e,0x2416c383,0x58804004,
    0x278a5472,0x5cb70dc1,0x8e1aa1c5,0x41661c68,0x2540e21b,0x50590071,
    0x0caa8195,0x2aa06554,0x2065540c,0x59bc0caa,0x4262c8f8,0x1fa8a776,
    0x3e2e07c4,0x437510e2,0x3c439149,0x3ee8ba2e,0x007c4970,0x957003e2,
    0xbb881973,0x24a96a3a,0x222c0b30,0x02a1f50f,0x6fc0a8ba,0xb809e810,
    0x0e1900e1,0x5985b550,0x24bacc97,0xbacc9759,0xb325d664,0x07aef12e,
    0xe8a5d33f,0x1ee130ca,0x8fcce1f4,0x9e2e9623,0xd0a9ae2d,0x4b85d989,
    0x259711ee,0x5ca4c07a,0x45d2c4b3,0x190970f8,0x5cf60e20,0x496e073d,
    0x7cc3fe98,0x55360eba,0x332aa811,0x882d9a04,0x264c44c9,0x93113262,
    0x444c9889,0x8973c4c9,0x93d156a7,0x5d01f314,0xa8e3ee38,0x8b2796e4,
    0x81f4537a,0x0f525c0e,0x4403d4f3,0x2a2aadd9,0xada8b754,0x3701442e,
    0x1d571d50,0x0a67e207,0xc96a5fb8,0x09773884,0x924c971c,0x24a8c885,
    0x3224a8c8,0x2a3224a8,0x892a3224,0xd33c4a8c,0x68c52678,0x885d0a59,
    0x72764387,0x164f2d4b,0x01f875f3,0x0fc4b837,0x200f89e2,0xb704b9c8,
    0x3e20d335,0x441600c0,0x4019f0cf,0x220884cc,0x42d4b11f,0x26170483,
    0x42c96e4a,0xba5c974b,0x9725d2e4,0x4974b92e,0x98f8974b,0x54373c49,
    0xc81550a9,0x6c1c25c4,0x3e3b9e25,0x545c85b0,0x3b899204,0xbb1e2364,
    0x87552e50,0x81dc7e62,0x0e20081c,0x101725d8,0x0e87107f,0x06615c36,
    0x32253015,0x164f30db,0x4c36f3a6,0x9d30dbce,0x2f3a61b7,0x1b79d30d,
    0x4c36f3a6,0x5ec0ac9f,0xaa9aa83a,0x05757500,0x544887d3,0x6deec3ad,
    0x2aaf2e0c,0x905e7cc2,0x26b6e09b,0x2abdc84c,0x3bf6b3a6,0x212b7261,
    0x203d01b9,0x3a8aa01b,0xbe880d80,0x14e4c3ba,0x0e0ef21c,0xdcec8b33,
    0x0000000c,0x20000000,0x02000800,0x42010000,0x40002080,0x08008800,
    0x10404110,0x04010010,0x80080000,0x99808001,0x08080440,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00280980,0x81260a98,0x2a202aa9,0x1a810c1b,0xaa982180,
    0x8848809a,0x46aa61c9,0x99911aa9,0x655410c7,0x225c6cc0,0xccb8530b,
    0x1355530c,0x46cc0c80,0x1c8a4c4b,0x26006aa6,0x882aaaaa,0x39859300,
    0x3201415c,0x54323660,0x0dc1531a,0x6416c066,0x901e21b0,0x88d1580b,
    0x402e40cd,0x46ec0cc9,0x20640eda,0x645c8d13,0x4c995005,0x8af88975,
    0x025c761e,0x1db51bb0,0x22be0750,0xd85b3c1e,0x44bb6005,0x54c2640b,
    0xb750e448,0x4884eca8,0x43e229f8,0x80e0dc39,0xfa8dcd01,0x5409702a,
    0x02814c03,0xc8990350,0x266e6186,0x2aab7662,0x072622ed,0x84c98835,
    0x971d8b27,0x2641ba88,0x278061b2,0xc8593c2c,0x754402ad,0x01c80042,
    0x02202083,0x73c83c02,0x3005c370,0x1f123360,0x5c09709b,0x8971b304,
    0x20da9c89,0x320caab9,0x1c88fcc4,0x5c4c812a,0x322689c4,0x212a3221,
    0x971d8b27,0x2645d2c4,0x5c6cc7e6,0x4f0b2784,0x0eba642c,0x2618ba70,
    0x0760caab,0x21c88722,0x6cc4b8d9,0x74c1e0c8,0x4534d838,0x21ba0280,
    0xa5c1e8af,0x428fc44b,0xcd81e8af,0x25b8a4b8,0x8fa2adda,0x2147e22d,
    0x24daaadc,0x16c299b9,0xc9e12e97,0x95264762,0x2addaadc,0x1e8af8fa,
    0xb0f8593c,0x20fe4c85,0x47959d28,0x203b16e2,0x2be16c2d,0x214fc1e8,
    0x99de9987,0x2a25c700,0x41db5502,0x22970b27,0x3c1efb80,0x16659059,
    0xf09903a6,0x3bee16c5,0xa92e2642,0xce98b604,0x64bea0db,0x4bab3b62,
    0x84c96a5b,0x2a2c9e2f,0x6ec4e8af,0x45320cdb,0x2eaac82f,0x3b03a60a,
    0x785b0b60,0x5f30f0b2,0x099db998,0x449530b8,0x9e2d9a06,0x20425c2c,
    0x20b2781b,0x1e88b32c,0x323d44c8,0xb8990902,0x32147e24,0x1c803302,
    0xb9e20832,0x78f51323,0x080e60b2,0x09d5b909,0xd1017453,0x0b203b03,
    0xf0b27859,0xd95506a0,0x91288155,0x2696a1b7,0x3278aa68,0x30662642,
    0x64164f09,0x863d8b32,0x5b13624c,0x44c86f60,0x2177dc5b,0x815b302d,
    0x2a034491,0xb12643ad,0x340b2789,0x1b90dec0,0x470ba240,0xb01e863d,
    0x593c2d85,0x2a091078,0x4b330e05,0x73551268,0x32f457d4,0x30d999dd,
    0x89d15f50,0x70eb8ce8,0x3a63955d,0x7442ecbe,0x1ee98604,0xd1003db1,
    0x5dc04409,0x4c0801c0,0x542ecbee,0x0984e8af,0x0f74c300,0x5bf50dc8,
    0x2abae5b7,0xd109f31c,0x5f527449,0x417cc9d1,0x81ec8809,0x9b981008,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xa9871000,0x4ba8352a,0x2aaaaaa6,0x1332e060,
    0xb88e2395,0x31e66441,0x20420355,0x02a82880,0x9d985775,0x0390e03d,
    0x930dc406,0x055554c0,0x880930dc,0x2aa62bba,0x5530aaaa,0x55530135,
    0x5554c355,0x235530aa,0x35511aa9,0x0ee6e272,0x08104231,0x4b903702,
    0x371ce65c,0x225737b3,0x510e8006,0x2e4002d8,0x22c5b3d0,0x2f5ec5c8,
    0x57c42d96,0x545c82e9,0x5b00f880,0x237603c4,0xf104c4d9,0x9b87e680,
    0x362b9cd9,0x640eda9d,0x229b1264,0x8b91723a,0x556c2a6c,0x7b16f5c5,
    0x0c0dcb85,0x7f11c4b8,0xc8c7b041,0x322930af,0x2d83a5c1,0x2640caa8,
    0xa82bee00,0x930f8865,0x8b73c164,0x7d7005ba,0xc80f0b60,0x0f007e24,
    0xb041d3c4,0x6c899047,0x8990225c,0xb8971320,0x20515b05,0x209814c0,
    0x2e0caab9,0x41762064,0x6cf0f03d,0x2c838e82,0x6644bacc,0x87839103,
    0x25c3a059,0x12ccf059,0x2b200b37,0x91785906,0x43e24c83,0x26c7c1c8,
    0x7b024de4,0x45f31320,0x1932064b,0xb712e264,0x32202b60,0x88323661,
    0x5c5b8a1c,0x51642a04,0x7dc359d5,0xb82c9e1c,0x21dac80e,0x07644c98,
    0x598785b0,0xd874c930,0x338ae782,0x5d19808b,0x03578590,0xd85d99d9,
    0x5c1e8fc2,0x9903d800,0x5d6dc7d0,0x43dadc86,0x44daaadc,0x202d825b,
    0x6c14fc2d,0x25c0e982,0x36093b50,0x164f0f03,0x20ac82c4,0x3a64a8c8,
    0x21e16c04,0x9f907059,0x4737f05b,0x43f8b30a,0x2c85c99c,0x24c8167c,
    0x4f0b61fb,0x16f7742c,0xf09903d8,0x990525c5,0x89713214,0x016cb65b,
    0x0b60785b,0x109703d1,0x3c0f6058,0x2982d87c,0x974b8590,0x5904264c,
    0x0a859878,0x05e0b210,0x897fbbb2,0x3e666e23,0x1afe1640,0x2c936264,
    0x8944593c,0x3207b049,0x012e3d44,0x2e264099,0x02d82dc4,0x1640f0b2,
    0x313218f6,0x07b00c83,0xdbdc8376,0x6c07730c,0x06de74c2,0x0b609899,
    0x2a2cc19b,0x22164061,0x05459807,0x42d89b09,0x44c84c8f,0x64f0b63f,
    0x814c72e2,0x6c49903d,0xc86625c4,0x8b713204,0x6c05b05b,0x5c5b03c2,
    0xdd31caae,0x0188d999,0x84001bf3,0xe88064c0,0x33ba6004,0x013a26cc,
    0x3fea3d91,0x0cd982ff,0x0b300bae,0x5fb10f54,0x8af993a2,0x97dd30cf,
    0xf327447b,0xbca89d15,0x981bf300,0x442dcbee,0x266caaee,0x1ee981ee,
    0x3b623db3,0xe8827441,0x3a20be64,0x00000004,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x26355300,0x81554c2a,0x255301a9,0x54c1aaa9,0x2a2009aa,0x5455530c,
    0x2aaaaa1a,0xaa86aa62,0x33333332,0x20000060,0x0182ccc8,0x39310000,
    0xa9450753,0x4aa83914,0x05dce55c,0xa832aa00,0x8932c98c,0x5d440ba8,
    0x40014261,0x6c621b98,0x02e412a5,0x3636c1f6,0x3760dc9d,0x74881eb9,
    0x87517d43,0x6c4e999c,0x02032cc6,0x3abb881c,0x025e452a,0x26ee2070,
    0x7779754a,0x8b27f158,0x393c3739,0x652629cc,0x80dd4b35,0x36687748,
    0x3d2c4151,0x38a468ac,0xd138ae60,0x0914ca54,0x0fae025c,0x3e4c8bb3,
    0xa84d9322,0x41c5ae04,0x3f103aa0,0x4020305c,0x88ba5883,0x1c886f67,
    0x674b1070,0x93144711,0x688dd66c,0x887278b5,0xadd980bf,0x882ba83a,
    0x4c9644c9,0x4d2e4a85,0x21652a03,0x5564c2ba,0x24e64e63,0xd57012e0,
    0xf2645ac8,0x987d2645,0x133602dc,0x5aa03f10,0x2a080c29,0x952aadaa,
    0x164f16ea,0x5b55516c,0x25b92a55,0x64b71c0a,0x78975982,0x44bb10b2,
    0x93004b9c,0x312a3225,0xb851d33b,0x302556a5,0x80e552ed,0x3725104a,
    0x2025c00e,0x16ae25d3,0xdc8b93b9,0x809503db,0x027402f8,0x04061336,
    0x99adb838,0x5b0593c6,0x5a96e0e0,0xb3c47026,0x836370cd,0xc84c5b0f,
    0x143aa951,0x2970bb88,0x0b93e84a,0x1f89dcf1,0x5c4b0d83,0x051f880b,
    0xb803b732,0x276a9c04,0x404e645a,0x9500f9cc,0x2e06da80,0x180f8806,
    0x3e60e010,0x5b0f8771,0x220e0590,0x89d88ee7,0x6dde5c2b,0xdc8e385f,
    0x93b50cdb,0x6fed5f4c,0x74c15cc1,0x995c0dbc,0xb8759504,0x054661df,
    0x77dc1ba8,0x03b69902,0x7c70425c,0x04c8b53a,0x4a82dd32,0x4c274e20,
    0x301f001f,0xadaaa820,0x095b932a,0xd819b7b7,0x2b6a0702,0x14554543,
    0x08400040,0x35010010,0x40080000,0x26000000,0xdb264003,0x21989901,
    0x23543ee4,0x4d93204c,0x449104a8,0x0661f41f,0x266603e2,0x26621999,
    0x00410999,0x413a2021,0x00000400,0x00000000,0x00000000,0x00000000,
    0xff51ee98,0x666774c7,0x8a44ba66,0x03dd31fd,0x33e23dd3,0xea83db10,
    0x7e4bfa23,0xb80ecccc,0x0000003f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x472a0000,0x32eee648,0x2e991b30,
    0x322b2a1d,0x2625d660,0x22850c8d,0x542881c8,0x0702c8ac,0x2e21b826,
    0x06620cc1,0x101102a5,0x2eea0817,0x55502bbb,0x90645555,0x01020841,
    0x435510d8,0x21bbbbbb,0x01bbbbbb,0x00000000,0x223d0000,0x8fc5b861,
    0x664598cd,0x1e8af829,0x2a710cfc,0x2e720ec1,0x806a3e1b,0x92263701,
    0x75170d89,0x0f5e2694,0x985ce0ee,0x8222221f,0x44444448,0x771c4aa3,
    0xcb987cb5,0xc98a289c,0x0000002c,0x00000000,0x02a5c000,0x4ee781d3,
    0x4f04e868,0x1d883c2c,0x1ee541c8,0x2eea073e,0xa86a2bbb,0x92276484,
    0x20dac69a,0x4c66199a,0x5ddd4a21,0x0e01a2bb,0x81040021,0x000000ba,
    0x00000000,0x88000000,0x81e8828e,0xeb868ee7,0x0f0b2780,0xb0720eaa,
    0x2dfc1b97,0x54088888,0x4c150641,0x83aba1ab,0x590e3873,0x22221449,
    0x00002608,0x00000000,0x00000000,0x00000000,0x47b01b90,0x51a3b9e0,
    0x164f0b71,0x21c46a1e,0x2064c41c,0xc8240997,0x66dc5553,0x15001001,
    0x00002144,0x00000000,0x00000000,0x00000000,0x12600000,0x4c72abae,
    0xfa8dd8af,0x98fe2b51,0x3e64d8af,0x4e882042,0xf8afa810,0x0000080c,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000002,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_14_latin_ext_x[560]={ 0,1,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,-1,0,0,-1,0,0,0,0,0,0,0,
-1,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,1,0,1,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,0,0,0,0,
0,0,0,0,-1,0,0,0,0,-1,0,0,0,0,1,0,-1,0,1,0,0,0,0,0,0,0,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,
0,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,-1,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__times_14_latin_ext_y[560]={ 11,2,2,2,1,2,2,2,2,2,2,3,9,7,
9,2,2,2,2,2,2,2,2,2,2,2,5,5,3,5,3,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,13,2,5,2,5,2,5,2,5,2,2,
2,2,2,5,5,5,5,5,5,5,3,5,5,5,5,5,5,2,2,2,6,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,11,4,2,2,3,2,
2,2,2,2,2,5,5,7,2,1,2,3,2,2,2,5,2,6,10,2,2,5,2,2,2,4,-1,-1,-1,0,
0,0,2,2,-1,-1,-1,0,-1,-1,-1,0,2,0,-1,-1,-1,0,0,4,2,-1,-1,-1,0,-1,2,2,2,2,
2,2,2,2,5,5,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,4,4,2,2,2,2,2,2,2,
0,3,0,2,2,5,-1,2,-1,2,0,2,-1,2,-1,2,2,2,0,3,0,2,0,2,2,5,-1,2,-1,2,
0,2,0,2,2,1,-1,-1,2,2,0,2,0,3,0,2,2,2,0,5,2,2,-1,2,2,2,5,-1,-1,2,
2,2,2,2,2,2,2,-1,2,2,5,-1,2,2,2,5,0,3,0,2,-1,2,2,5,-1,2,2,5,-1,2,
-1,2,-1,2,2,5,-1,2,2,3,-1,2,2,3,0,2,0,3,0,2,-1,2,-1,2,2,5,-1,2,-1,2,
0,-1,2,0,2,-1,2,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2,3,3,2,3,3,3,
3,3,3,3,3,3,3,3,3,3,1,4,3,3,3,3,3,3,3,3,3,3,3,3,3,1,4,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,-1,2,-1,2,-1,
2,-1,2,-1,1,-1,0,-1,0,-1,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,-2,-1,-1,2,-1,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static unsigned short stb__times_14_latin_ext_w[560]={ 0,2,5,7,6,11,10,2,4,4,6,7,3,4,
3,4,6,4,6,6,6,6,6,6,6,6,2,3,7,7,7,6,12,9,8,8,9,8,7,9,9,4,5,10,
8,11,10,9,7,9,9,7,8,9,9,12,9,9,8,3,4,4,6,8,3,6,7,6,7,6,6,7,7,4,
4,7,4,10,7,6,7,7,5,5,4,7,7,10,7,7,6,5,2,4,7,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,0,2,6,7,7,7,
2,6,4,10,5,6,7,4,10,8,5,7,4,4,3,7,7,3,3,3,4,6,10,10,10,6,9,9,9,9,
9,9,12,8,8,8,8,8,4,4,4,4,9,10,9,9,9,9,9,6,9,9,9,9,9,9,7,6,6,6,
6,6,6,6,9,6,6,6,6,6,4,4,4,4,6,7,6,6,6,6,6,7,7,7,7,7,7,7,7,7,
9,6,9,6,10,7,8,6,8,6,8,6,8,6,9,9,9,7,8,6,8,6,8,6,8,6,8,6,9,7,
9,7,9,7,9,7,9,7,9,7,5,5,5,5,4,5,5,5,4,4,9,6,5,5,10,7,7,8,4,8,
4,8,6,8,5,8,4,10,7,10,7,10,7,8,9,6,9,6,9,6,9,6,11,9,9,5,9,5,9,5,
7,5,7,5,7,5,7,5,8,4,8,6,8,4,9,7,10,7,10,7,9,7,9,7,9,7,12,10,9,7,
9,8,6,8,6,8,6,6,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,9,8,8,7,8,8,8,
8,8,8,8,8,8,8,8,8,8,10,7,8,8,8,8,8,8,8,8,8,8,8,8,8,11,7,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,9,6,4,4,9,
6,9,7,9,7,9,7,9,7,9,7,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,9,6,12,9,9,7,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8, };
static unsigned short stb__times_14_latin_ext_h[560]={ 0,10,5,10,11,10,10,5,12,12,6,8,5,2,
3,10,10,9,9,10,9,10,10,10,10,10,7,9,7,4,7,10,12,9,9,10,9,9,9,10,9,9,10,9,
9,9,10,10,9,12,9,10,9,10,10,10,9,9,9,12,10,12,5,1,3,7,10,7,10,7,9,9,9,9,
12,9,9,6,6,7,9,9,6,7,9,7,7,7,6,9,6,12,12,12,3,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,0,10,12,10,7,9,
12,12,3,10,5,7,4,2,10,1,5,8,5,5,3,9,12,2,4,5,5,7,10,10,10,10,12,12,12,11,
11,11,9,12,12,12,12,11,12,12,12,11,9,12,13,13,13,12,12,6,10,13,13,13,12,12,9,10,10,10,
10,10,10,10,7,9,10,10,10,10,9,9,9,9,10,9,10,10,10,10,10,6,8,10,10,10,10,12,12,12,
11,9,11,10,12,9,13,10,13,10,12,10,13,10,12,10,9,10,11,9,11,10,11,10,12,9,12,10,13,12,
12,12,12,12,12,13,12,12,9,9,11,9,11,8,11,9,12,12,11,6,10,12,13,12,12,12,6,12,12,12,
12,9,9,9,9,9,9,13,9,12,9,13,9,9,10,9,12,9,12,10,13,10,10,7,12,9,12,9,12,9,
13,10,13,10,12,9,13,10,12,11,12,10,9,9,12,10,12,9,12,10,13,10,13,10,12,9,13,10,12,12,
11,12,9,11,9,12,9,9,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,10,8,8,12,8,8,8,
8,8,8,8,8,8,8,8,8,8,11,8,8,8,8,8,8,8,8,8,8,8,8,8,8,11,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,12,10,12,9,13,
10,13,10,13,11,13,12,13,12,13,12,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,13,13,12,10,13,10,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8, };
static unsigned short stb__times_14_latin_ext_s[560]={ 254,249,109,108,196,138,182,253,160,139,61,
126,128,181,165,128,183,110,115,244,138,115,217,179,19,165,253,145,238,132,191,
172,185,149,172,138,211,221,230,128,238,248,122,1,12,21,79,69,33,155,41,
209,202,234,199,186,58,77,68,61,190,197,115,195,152,199,50,224,246,246,51,
194,186,181,120,164,159,16,35,217,130,122,43,175,105,167,1,206,27,70,9,
231,237,38,169,87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,
87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,254,252,83,
168,142,247,100,113,160,195,103,160,144,181,58,186,122,96,93,88,156,133,208,
177,140,84,98,231,1,224,235,12,225,235,245,26,36,212,190,39,29,74,68,
1,130,165,181,244,74,170,1,21,115,165,145,49,105,135,155,175,51,19,182,
43,36,29,22,15,8,1,181,43,227,220,213,206,84,217,222,100,176,227,161,
154,147,140,133,76,104,112,104,96,88,172,240,213,228,84,46,27,150,118,31,
1,57,242,65,229,76,215,135,193,148,174,78,106,69,222,99,131,216,89,141,
150,95,31,21,85,48,77,58,185,144,112,96,26,238,8,222,120,249,20,154,
133,10,56,41,248,21,180,161,125,68,1,107,98,93,33,1,34,78,91,251,
214,158,10,166,203,50,58,164,126,198,141,175,157,1,34,203,150,120,235,103,
241,90,14,246,236,27,15,43,42,238,21,10,56,1,116,48,57,221,123,202,
62,186,69,11,61,193,120,131,174,225,77,97,89,186,67,26,203,203,122,67,
210,87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,51,87,87,51,
87,87,87,87,87,87,87,87,87,87,87,87,87,15,134,87,87,87,87,87,
87,87,87,87,87,87,87,87,87,112,87,87,87,87,87,87,87,87,87,87,
87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,107,8,
117,113,165,90,145,97,125,61,105,35,85,43,66,59,87,87,87,87,87,87,
87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,
87,87,87,47,40,76,147,11,157,87,87,87,87,87,87,87,87,87,87,87,
87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,
87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,
87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,87,
87,87,87,87,87,87,87,87,87, };
static unsigned short stb__times_14_latin_ext_t[560]={ 1,55,120,55,42,55,55,110,42,42,120,
110,120,120,120,67,67,99,99,67,99,78,78,78,89,78,99,99,110,120,110,
78,29,99,99,78,99,99,99,78,99,99,78,110,110,110,78,78,110,29,110,
78,99,67,78,78,110,110,110,29,67,15,120,120,120,110,78,110,78,110,110,
99,99,99,42,99,99,120,120,110,99,99,120,110,99,110,120,110,120,99,120,
15,15,29,120,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,
110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,1,55,29,
67,110,89,29,29,120,67,120,110,120,120,78,120,120,110,120,120,120,89,29,
120,120,120,120,110,89,78,78,89,29,29,29,55,55,42,89,42,29,29,42,
55,29,42,42,42,89,42,1,1,1,29,29,120,78,1,1,1,29,29,89,
78,78,78,78,78,78,78,110,89,67,67,67,67,89,89,89,99,67,89,67,
67,67,67,67,120,110,67,67,67,67,15,15,15,42,99,55,67,15,89,1,
67,1,55,29,55,1,55,29,55,89,55,55,89,55,55,55,55,29,89,15,
55,1,42,42,42,42,42,42,1,42,42,89,89,42,100,42,110,42,100,42,
42,55,120,67,15,15,15,15,42,120,42,42,42,42,99,100,89,99,99,67,
1,89,42,89,1,89,89,55,89,29,89,29,55,15,67,55,110,29,89,29,
89,29,100,1,55,15,67,29,99,1,67,29,55,29,55,99,99,15,55,15,
99,15,67,15,67,1,67,15,89,1,67,15,15,42,15,99,42,89,15,89,
89,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,67,110,110,15,
110,110,110,110,110,110,110,110,110,110,110,110,110,55,110,110,110,110,110,110,
110,110,110,110,110,110,110,110,55,110,110,110,110,110,110,110,110,110,110,110,
110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,15,67,
15,89,1,78,1,78,1,55,1,15,1,15,1,15,110,110,110,110,110,110,
110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,
110,110,110,1,1,15,78,1,78,110,110,110,110,110,110,110,110,110,110,110,
110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,
110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,
110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,
110,110,110,110,110,110,110,110,110, };
static unsigned short stb__times_14_latin_ext_a[560]={ 51,67,83,101,101,168,157,36,
67,67,101,114,51,67,51,56,101,101,101,101,101,101,101,101,
101,101,56,56,114,114,114,90,186,146,135,135,146,124,112,146,
146,67,79,146,124,180,146,146,112,146,135,112,124,146,146,191,
146,146,124,67,56,67,95,101,67,90,101,90,101,90,67,101,
101,56,56,101,56,157,101,101,101,101,67,79,56,101,101,146,
101,101,90,97,40,97,109,157,157,157,157,157,157,157,157,157,
157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,
157,157,157,157,157,157,157,157,51,67,101,101,101,101,40,101,
67,154,56,101,114,67,154,101,81,111,61,61,67,117,92,51,
67,61,63,101,152,152,152,90,146,146,146,146,146,146,180,135,
124,124,124,124,67,67,67,67,146,146,146,146,146,146,146,114,
146,146,146,146,146,146,112,101,90,90,90,90,90,90,135,90,
90,90,90,90,56,56,56,56,101,101,101,101,101,101,101,111,
101,101,101,101,101,101,101,101,146,90,146,90,146,90,135,90,
135,90,135,90,135,90,146,131,146,101,124,90,124,90,124,90,
124,90,124,90,146,101,146,101,146,101,146,101,146,101,146,101,
67,56,67,56,67,56,67,56,67,56,143,112,79,56,146,101,
101,124,56,124,56,124,82,124,70,124,56,146,101,146,101,146,
101,122,142,100,146,101,146,101,146,101,180,146,135,67,135,67,
135,67,112,79,112,79,112,79,112,79,124,56,124,86,124,56,
146,101,146,101,146,101,146,101,146,101,146,101,191,146,146,101,
146,124,90,124,90,124,90,56,157,157,157,157,157,157,157,157,
157,157,157,157,157,157,157,146,157,157,101,157,157,157,157,157,
157,157,157,157,157,157,157,157,146,107,157,157,157,157,157,157,
157,157,157,157,157,157,157,157,110,157,157,157,157,157,157,157,
157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,
157,157,157,157,157,146,90,67,56,146,101,146,101,146,101,146,
101,146,101,146,101,157,157,157,157,157,157,157,157,157,157,157,
157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,
157,157,146,90,180,135,146,101,157,157,157,157,157,157,157,157,
157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,
157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,
157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,
157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,
157,157,157,157,157,157,157,157, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_14_latin_ext_BITMAP_HEIGHT or STB_FONT_times_14_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_14_latin_ext(stb_fontchar font[STB_FONT_times_14_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_14_latin_ext_BITMAP_HEIGHT][STB_FONT_times_14_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_14_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_14_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_14_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_14_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_14_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_14_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_14_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_14_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_14_latin_ext_s[i] + stb__times_14_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_14_latin_ext_t[i] + stb__times_14_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_14_latin_ext_x[i];
            font[i].y0 = stb__times_14_latin_ext_y[i];
            font[i].x1 = stb__times_14_latin_ext_x[i] + stb__times_14_latin_ext_w[i];
            font[i].y1 = stb__times_14_latin_ext_y[i] + stb__times_14_latin_ext_h[i];
            font[i].advance_int = (stb__times_14_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_14_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_14_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_14_latin_ext_s[i] + stb__times_14_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_14_latin_ext_t[i] + stb__times_14_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_14_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_14_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_14_latin_ext_x[i] + stb__times_14_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_14_latin_ext_y[i] + stb__times_14_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_14_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_14_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_14_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_14_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_14_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_14_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_14_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_14_latin_ext_LINE_SPACING
#endif

