// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_17_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_17_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_17_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_times_17_latin_ext_BITMAP_HEIGHT        176
#define STB_FONT_times_17_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_times_17_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_17_latin_ext_NUM_CHARS            560

#define STB_FONT_times_17_latin_ext_LINE_SPACING          11

static unsigned int stb__times_17_latin_ext_pixels[]={
    0x40000a60,0x2e009839,0x2a05b805,0x80029801,0x454000ca,0x00081002,
    0x3260a035,0x400981cc,0x15544040,0x2aa60204,0x0280d401,0x35300195,
    0x00666600,0x2a003553,0x200b6001,0x3225400a,0x7400ec00,0x001db300,
    0x4bd88005,0x000e4c00,0x0a00171b,0x09998848,0x46c40550,0x06a9880c,
    0x37b0371b,0x0901e801,0xce9816f6,0xfd881eb9,0xab881c9f,0xb5006a20,
    0x2d801c00,0x22024c00,0x4e018801,0x0f5a6038,0x4002a280,0x2a003d69,
    0x3d69804f,0x07ad3090,0x01fdc068,0x827d41a6,0x2019802d,0x26026184,
    0x360fcc0f,0x091077ff,0x005c01a8,0x0d400dd4,0x53016e00,0x005cc0c1,
    0x884ccc40,0x33310998,0x99886666,0x22133310,0x02660998,0x4cc42662,
    0x21331109,0x22133314,0x83e20998,0x26209998,0xa9834c09,0x13305b01,
    0x41213310,0x04e821a8,0x77fff8db,0x21040d88,0x2006a603,0x91000073,
    0xad98354d,0x7383bca9,0x43624ea8,0x3220afd8,0x263fd11e,0x42f621ff,
    0x3220afd8,0x103fa61e,0x2bf623b9,0x8a47b220,0x3b220afd,0x5fb11e61,
    0x260f6441,0x764e74c6,0x7f4c16c1,0x448ee440,0x1eca9bd8,0x87ee05f3,
    0x1b877ffe,0x8297555c,0x01ec9ce9,0xab880aee,0x26b81ccc,0x4c0f9849,
    0xd83bb81f,0x20f70e24,0xf707d439,0x307b8581,0x730df307,0x247307b8,
    0x1a0e60f7,0x4c1cc1ee,0x3f103e66,0x86f9816c,0x82e89239,0x2a03f52d,
    0x1dffea2f,0x43e63916,0xf103e60a,0x4f203403,0x5cd500f9,0x6cc84e80,
    0x5c3e6010,0x83983dc0,0x090be23f,0x260e60f7,0x2e14c5fc,0xf7247307,
    0x706a0e60,0x9a60e60f,0x16cd904e,0x14c5fc98,0x2a5105d8,0x885f302f,
    0x96e5875a,0x209d0e5a,0x405f706c,0xb540be2e,0x642f980b,0x32ea1fa8,
    0x7093d80d,0x9b20e60f,0x2e06a5f9,0x37307307,0x1ee14c7f,0x83dc91cc,
    0x3dc35039,0xf3698398,0x16c7ea05,0x263f9b98,0xf1007f02,0x7381ea07,
    0x1ec3d1cc,0xfa817cc7,0x3206cd81,0x53540f15,0x46e1fa85,0x1ecf13f9,
    0x3dc157cc,0x90f98398,0x3dc121f7,0xf7398398,0x20f70a65,0x307b9239,
    0x07b81907,0x3ead3073,0x0b65f301,0x532fb9cc,0xd002f984,0x7381720b,
    0x3e678a44,0x80fd4331,0x7cd4c2f9,0x802af601,0x5f51666a,0x462f98e6,
    0x20dd04e8,0x3e07307b,0x0915f193,0x4c1cc1ee,0x70a63f23,0x2e48e60f,
    0x86887307,0xd307307b,0x97cc0bea,0x7e47302d,0x17cd2298,0x74c1f880,
    0x4521ce00,0x27179aaf,0x3e605f50,0x3209d242,0x354d5001,0xf51233e2,
    0x8264e4c1,0x260f503a,0x3653d902,0x20f501ad,0x77439829,0x2983d429,
    0x85307a92,0x5307a879,0x40fe6d30,0x2605b1fa,0x4914f743,0x3766003f,
    0x873804da,0x2f21970c,0x40fe6332,0xfa8e21fa,0x4ffffc80,0x6c2d4950,
    0x9a25c84d,0x2601704c,0xf301b80f,0xf302fd4b,0x87303701,0x07cc2ef8,
    0x07cc90dc,0x303e20dc,0xd303701f,0x365c82f4,0xef887302,0x0205d922,
    0x9c007fd4,0x14401c43,0x322e417a,0x383fcccc,0x8aa03266,0x4c2f8858,
    0x66c5ea0f,0x7d012220,0x22740588,0x221f404f,0x5f307305,0x245887d0,
    0xb10b10fa,0x20b10fa0,0xf307e669,0x839816c1,0x4f9922f9,0x3b6600a8,
    0x48839c00,0x07e61220,0x6c8481f3,0x2fe1c2d4,0x2ae0d40b,0x440aaacc,
    0xf70ebcee,0x979b100d,0x641b8019,0x65e6c401,0x81ed880c,0xcbcd882a,
    0x3362240c,0x05440ccb,0x0ccbcd88,0x36236e4c,0x6ec0ddad,0x207b622c,
    0x9db1122a,0x2e600177,0x440e700a,0x01aa9abb,0x0376b762,0x445f3037,
    0x440bcdfd,0x00810400,0x0c000c00,0x30002000,0x18010000,0x02018060,
    0x18000180,0x0c100000,0x20000030,0x00310031,0x02fea030,0x01885ff7,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x29800544,0x30015c00,0x400d4005,0x164400a8,
    0x000006a0,0x00028998,0x006a0298,0x98028800,0x1cc00052,0x00102091,
    0x540b2200,0x00c0180c,0x2e6c00a6,0x5000e880,0x0b600151,0x20076d40,
    0x0ebb805b,0x26005f50,0x9d801bac,0x3e6ba03b,0xa82ee880,0x755900ed,
    0x59007900,0x303d80b3,0x8d806c49,0x2eb2601b,0x221af201,0x817cc4bd,
    0x00b602ac,0x8800d466,0x01973002,0x89c00710,0x0c402403,0x50017405,
    0x01ce007b,0x85c0e22e,0x26071384,0x004800dd,0x035002a7,0x017ea000,
    0x11880f6a,0xf9826283,0x1c403a82,0x22035300,0x26620999,0x21133310,
    0x33310998,0x9884cc41,0x02662099,0x02153000,0x1a9800ba,0x00035300,
    0x00000000,0x99884351,0x00266209,0x43510000,0x44133310,0x26662199,
    0x7c411980,0x54c02e81,0x64e74c01,0x057ec41e,0x3f623d91,0x447b220a,
    0x3b220afd,0x4415fb11,0x449d51ec,0x4cdec40d,0xfcae83ed,0xc9ce980c,
    0x939d301e,0x224ea83d,0x4436440d,0x221cccab,0x441cccab,0x11eca9bd,
    0x764415fb,0x3332ae21,0x07dcd911,0x3b2a6f62,0x4417fb11,0x37ea21ec,
    0x1b6ab661,0x0efecc1f,0x0f64e74c,0x07e207cc,0xf70e60f7,0x20f70e60,
    0x3983dc39,0x5d07126c,0x31bd0950,0x440f987f,0x2207cc1f,0x07126c1f,
    0x7ccf21ae,0x40f99e40,0x2e2d82e8,0x33c87307,0x3e66b81f,0x8b60ba20,
    0x3e07307b,0x0d160ec3,0x103e60d3,0xd904e83f,0xb87307b8,0x07b87307,
    0x7307b873,0xd8170f98,0xc8ba0a06,0x46c82746,0xf98d904e,0x21aa0170,
    0x45d0be2e,0x2882ec2f,0x3a1cc1ee,0x44d50be2,0x1441760f,0x7c0e60f7,
    0x0b0a1fc2,0x6413a097,0x7d40be66,0x21cc1ee1,0x7b87307b,0x307b8730,
    0xf1127b07,0x2a2e8009,0x7d40be67,0x3ea05f31,0x2a049ec1,0x90f15c86,
    0x00fe1e2b,0x643983dc,0x44d50f15,0x5c00fe0f,0x0be07307,0x20e01bf9,
    0x502f983d,0x4c07ea3f,0x1cc1ee2f,0x2e1cc1ee,0x07b87307,0x855f3073,
    0x2ccb82f9,0x7d4b5174,0x3ea5f301,0xf985f301,0x6c1aa02a,0x157b00ab,
    0xf7002f98,0x2af60e60,0x43e26a80,0x0f7002f9,0x6417c0e6,0x1f8082ff,
    0x5f301fa8,0x17cc0bea,0xf70e60f7,0x20f70e60,0x3983dc39,0x05f30dd0,
    0x2c8fa1ba,0x97cc0bea,0x05f302fa,0xc86a80dd,0xf300e401,0x4c1ee005,
    0x9aa00e43,0x005f30f8,0xf81cc1ea,0x28bfd302,0x02fa83cc,0x40fe65f3,
    0x4c1ea1fa,0x42983d42,0x7a85307a,0x40ea0530,0xdd0bb04f,0x03f98755,
    0x40fe63f5,0x403a81fa,0xffffc86a,0x27fffe44,0x83d400fe,0x7fffe429,
    0x7c4bf624,0x3d400fe0,0x085f0298,0x21f89fdc,0x207f304b,0x6417a1fa,
    0x0dc07cc5,0x306e03e6,0xf983701f,0x01701b80,0x742ec1b2,0x6417a00a,
    0x05c82f45,0x384a8017,0x26383266,0x081760c9,0x706e03e6,0xf10064cc,
    0xf98205d8,0x83f01a80,0x59024d83,0x45c82f40,0x407cc1f9,0x3e82c43e,
    0x443e82c4,0x85887d05,0x17a20488,0x300ba176,0x4c0f983f,0x2207cc1f,
    0x542b8048,0x0e16a385,0xe81509f3,0x216a2c43,0x3e624403,0x21f40a84,
    0x40f95458,0x6840f40e,0x3e60fcc0,0xddadd880,0x9979b100,0x32f36201,
    0x979b100c,0x2f362019,0x037dc0cc,0x6dd5ee44,0x44027c42,0x100ddadd,
    0xb81bb5bb,0x05dfc06f,0x82f37f62,0x80bcdfd8,0x80bbced8,0x40ccbcd8,
    0x00bcdfd8,0xdb1035bb,0x9b101779,0xbfb81997,0x3cbbdd82,0x400d74f2,
    0x00ddadd8,0x000c0018,0x80030006,0x44000c01,0x00266601,0x200c0018,
    0x44008801,0x3000c401,0x0c400c00,0x01800c40,0x84010060,0x0012b808,
    0x00000060,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x06000000,0x26620810,0x10099999,0xa8801910,
    0x00366000,0x23300204,0x40020880,0x26209998,0x20408109,0x88008100,
    0x99881999,0x06088009,0x09500530,0x80726000,0x00035039,0x7039ab80,
    0x7122ea01,0xd959f57b,0x00770130,0x02c80099,0x40323620,0x906daad9,
    0x88710553,0x3b220afd,0xb0191b11,0x23620353,0xccc9800c,0x5e7e440c,
    0x2ab200ee,0xe800f402,0x3600e400,0x30db106b,0xabfe980d,0x00eecc00,
    0x0e0fec09,0x40321c5f,0x50009003,0x407f7000,0x6f982c1d,0x20f707b0,
    0x9827dc39,0x01fdc05f,0x4c413331,0x6e83ea19,0x53017e20,0xca814400,
    0x10982eac,0x02e1aa03,0x400f6610,0x057010a9,0x2f810466,0x144a0b50,
    0x4cccccc4,0x26666600,0x40080199,0x2662143f,0xbd509999,0x47307b85,
    0x33109998,0x22133333,0x6c400999,0x87b220bf,0x403f20f9,0x99988512,
    0x20a25000,0x2625338e,0x82662099,0x4411986a,0x26620999,0x6ccdec40,
    0x6cc7983e,0x0be06daa,0x5c7c4164,0xdaaacd86,0x3bba602f,0x3402daaa,
    0x6c037f20,0x22fdaaac,0x7307b83d,0xdb867dc4,0x16cacfab,0x01dd79f9,
    0x261cc1ee,0x7c417a0f,0x67e446b8,0x1f100eeb,0x239f88d7,0x4419fd31,
    0xd99aa0de,0x3f626daa,0xd07b220a,0x1f109505,0x2f8160ec,0x0e0003d0,
    0xdc8809f1,0x0bee0285,0x8705ff90,0x5c1ec4f8,0x1f887307,0xf51c5f0e,
    0x07b83741,0xdbaf9873,0x3ea0000c,0xd8001ba0,0xb09f105f,0x160ecd50,
    0xdb0e60f7,0x3e2f8140,0x105f0143,0xb32d981f,0x0076c085,0xb001762e,
    0xbfd300d9,0x36076c08,0x87307b83,0x05f021f8,0x80fc83e6,0xf987307b,
    0x5b300fca,0x41f30b66,0x996cc0fc,0x504fc82d,0x3540dc3f,0x83dc287f,
    0x0013e239,0x00dfc8be,0x80fa82f8,0xfa80f62e,0x45da4401,0x07e6a603,
    0x540fee04,0x7a83d81f,0x01f88530,0xd07cc0be,0x1cc1ee0b,0xd02f43e6,
    0x83e61ec5,0x1ec5d05e,0x6d80efc8,0xfc9aa091,0x260f700d,0x32e0be63,
    0x7e40f82c,0x4417c02f,0x0f62e80f,0x85c027c4,0x203ecced,0x6c1c13a4,
    0x9b04f884,0x1b80f982,0x05f00fc4,0x0336ebe6,0x4c3983d4,0x3a07f10f,
    0x75f30f62,0xd8ba019b,0x109d3703,0x2354097f,0x07b82ffc,0xe817cc73,
    0xfd306886,0x1f81fc0b,0x6c0f62e8,0xeaae8806,0x51c40e25,0x1e81d01f,
    0x0fee06d8,0xf10b10fa,0xf9817c03,0x1ea00fca,0xa87ea14c,0x0f62e81f,
    0x401f95f3,0x7088f62e,0x017dc1aa,0x8bfd30d5,0x4f87307b,0x08950bb0,
    0x3f221fdc,0x2e83c81e,0x007ee0f6,0x8045d832,0x83fccccc,0xb83cbbdd,
    0x4402201f,0x880ccbcd,0x4c0be01f,0x7cc0bd0f,0x3f661a80,0xe82ff60c,
    0x21f30f62,0x3d8ba05e,0x303b9ce2,0x4bf6203f,0x0f51fdc0,0x360d90a6,
    0x6c1c1d85,0x42c40304,0xf987d14d,0x361c4183,0x64240885,0x26095086,
    0x01ee183f,0x403f1016,0x221f302f,0xb10fa03f,0xa6c02980,0x887cc3e8,
    0x3a29b03f,0x2eb33a23,0x5403f300,0xf99360e2,0x2f441b80,0x3a0a22ec,
    0x1fc40f40,0xaefa8350,0x2417a1dd,0x890bb036,0x102f981b,0x120bd01f,
    0x4c07b005,0x540fe01f,0x4407ea1f,0x400ccbcd,0x3bea01e8,0x87ea1dda,
    0xaefa81fa,0x402441dd,0x43a201f9,0x0fa0f40e,0x2f7220b1,0x40222dba,
    0x203cbbdd,0x220d4018,0xccdfc810,0x8bf24fdc,0x4ecccffa,0xff702fea,
    0xbf907505,0x449fb999,0x40cc8800,0x6441dfc8,0x67ecc1ef,0x1802ff60,
    0x22012a00,0x0cfd9810,0x21102ff6,0xfb300200,0xdd92a01b,0xcd883cbb,
    0x18800ccb,0x00110800,0x00000003,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00884000,0x00000030,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x26200000,0x00199999,0x999882a2,0x44013310,0x01001999,0x30015100,
    0x0c40319d,0x0d401620,0x33101330,0x30006a01,0x002a2005,0x07295000,
    0xa8800ec0,0x880a6021,0x1a800999,0xc8800150,0x20eaaabf,0x33229eea,
    0x4c2ff225,0x332e01cf,0x000d004c,0x32260097,0x0731702f,0x32e006c4,
    0x103fa606,0x01aa03b9,0x336005b0,0x15d64405,0x801652a0,0x4dec401d,
    0x07881eca,0x10033f22,0x4c0d301d,0x07e62bac,0x31db8433,0x20f986a3,
    0x0353003b,0x9000bee0,0x98809980,0x102c5609,0x4ca20435,0x261be602,
    0x88005c03,0x06a33003,0x26007b50,0x42a6001a,0x16c17440,0x07e60198,
    0x005c06a0,0x03f30f6a,0x31099988,0xb87cc133,0xc9ce9803,0x0366c01e,
    0x4c413331,0x103fa609,0x101743b9,0x23d9537b,0x19999998,0x298bf930,
    0x00200040,0x4ccc4010,0x9d301999,0x36203d93,0x6c3ed99b,0x26625105,
    0xf9819999,0x26239801,0x26620099,0x2887e609,0xb8867dc4,0x2e3e60cf,
    0x440f9803,0x3f35301f,0x8833fa60,0x437cc0de,0x4417d439,0xf912d82e,
    0x301d5557,0x014c7f37,0x800d001a,0x2aff2206,0x07cc0eaa,0x20ba07e2,
    0x4401fc4a,0x0eaaabfc,0x36200fcc,0x8033f226,0x3e60cfb8,0xf882eccd,
    0x3e60fc41,0x209d006d,0x0274906c,0x260b09f1,0x9114c5fc,0x105d87f3,
    0x0660fcc5,0x2997dce6,0x5c00bee0,0x05f7002f,0xd0660fcc,0x0db1b209,
    0x2005f314,0x260cc1f9,0x4c6a801f,0x41f8801f,0x220a61f9,0x260fc41f,
    0x7cc05fbf,0x3883f502,0x1fa803ea,0x7cdcc06e,0xf30c8a63,0xf9801fc3,
    0x7e473001,0x1b360298,0xd80366c0,0x007e606c,0x47ea05f3,0x5f3004f8,
    0x2007e600,0x46a801f9,0x1f8801f9,0x22020fcc,0x260fc41f,0x2a05f98f,
    0xc85f301f,0x403fcccc,0x9cc0916d,0x0ec532fb,0x400be657,0x4c0a21f9,
    0x9814f743,0x54c01f9a,0x4d4c01f9,0x443f301f,0xf980fd42,0x99705f32,
    0xf9801fc5,0x07e60a21,0x03f31aa0,0x1f983f10,0x220fc418,0xf987cc1f,
    0x2605f505,0x0364242f,0x73012fe2,0xf514c7e4,0x017cc2e3,0x2eccdf98,
    0x2ef88730,0x92027490,0x09d2404e,0x0bb337e6,0x4be605f5,0xd8dd02f9,
    0xcdf98205,0x81f982ec,0x07e63541,0x3f307e20,0x20fc4488,0x307d41f8,
    0x03f981bf,0x4c0dc3f5,0x017dc02f,0x853dd0e6,0x01fc2bfa,0x40a61f98,
    0x882f9839,0x1c403ea3,0xa8e201f5,0x261f980f,0xfa81fcc2,0x22ec13e1,
    0x260a84f9,0x3e60a61f,0x31aa1c41,0x43f1003f,0xecccdfc8,0x3e20fc42,
    0x4c33f661,0x17a0beff,0x817f52e4,0x3e602ffb,0x3e21cc01,0x6c1fa82e,
    0x41f98205,0xa81ed880,0xfccccc82,0xf9999903,0x33333207,0x041f983f,
    0x645c82f4,0xdb10bb06,0x1f981779,0x33bf6604,0x23542fdc,0x1f8801f9,
    0x1f8814c0,0x17100fc4,0x7cc1f980,0x30071000,0x9839803f,0x4c5a8c2f,
    0x3e60a84f,0x05c40181,0x20d90901,0x90906c84,0x8303f30d,0x207cc1f9,
    0x205d85e8,0x207e6059,0x6a802e01,0x220c0fcc,0x406d401f,0x00fcc1f9,
    0x37620132,0x26000dda,0x00fcc00e,0x45503db1,0xdb107168,0x1f981779,
    0x02640244,0xb85f3037,0x0dc2f981,0x07e617cc,0xb5bb1091,0x2f72201b,
    0x3e202dba,0x4883f300,0x46a816e0,0x261c41f9,0x22cb801f,0xf911dfc8,
    0x0072603b,0x65400030,0x01bfb303,0x2a6e0400,0xfc880c00,0x402ecccd,
    0x17f501c9,0x7f52ffb8,0xf52ffb81,0x12ffb817,0x5d999bf9,0x0c400180,
    0xf9104a80,0x205d999b,0x5fb101c8,0x3733bf66,0x077f222f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80000000,0x002a8020,0x100319d3,0x931b1005,0x020406a0,0x4c0854c0,
    0x004ccc43,0x80000393,0x44079029,0xd8000775,0x02aaaa61,0x4983bac4,
    0x9885c059,0x03730199,0x300b2950,0x3620319d,0xbb80b200,0x007d3048,
    0x200bf226,0xa8d8804c,0x46c0d304,0x26f6201b,0x224c3ed9,0x3600cfb8,
    0xb9b9806b,0x2ee0b601,0x0eeb101e,0x98826662,0x2aa61d99,0x2eb300aa,
    0x40594983,0x413332e3,0x32950073,0x17e44c02,0x0b200d88,0x1ec01fd0,
    0x20035300,0x82666204,0x80540998,0x417404fa,0x03f1004a,0xb801884c,
    0x2181c03e,0x4ccccc42,0x057ec419,0x44a03d91,0x104ccc42,0x26662133,
    0x4cc45100,0x00577009,0x88020004,0x26620999,0x99889999,0x803d8009,
    0x41ec9ce9,0x19999998,0x91057ec4,0x4266623d,0x19999998,0x400a06d8,
    0x4ccc41f8,0x40133310,0x82666200,0x2ff2201a,0x3dc0eaaa,0x71f10398,
    0x20cfe98d,0x9f710de8,0x10ddbb81,0x034019f7,0x40d001a0,0x3360cfb8,
    0xc8afdaaa,0x80dedacf,0x4c15b13d,0x910fc40f,0x81d5557f,0x5c47307b,
    0x57f910cf,0x27c41d55,0xf886c880,0x885fe441,0x81a00cfb,0x7f50cfb8,
    0x0cc1f980,0x001cc1ee,0x10b09f10,0x7f74a83f,0x5f700fc4,0x400bee00,
    0x07e202fb,0x3ea4f887,0x7b07f220,0x6413a072,0x0660fcc6,0xf10e60f7,
    0x0cc1f983,0x599705f3,0x40fc435c,0x017c40f9,0x0fc405f7,0x03f300f6,
    0x20e60f70,0x505b32d9,0x7c40dc3f,0x204cd741,0x1b3601f8,0xd80366c0,
    0x107e206c,0x03e60ed8,0x0197b1ba,0x87ea05f3,0x07b801f9,0x4c1f8873,
    0x817cc01f,0x7c43546e,0x7c40f981,0x881b3602,0x2601ec1f,0x1ee0a21f,
    0x362e81cc,0x4122db03,0x81cfc1f8,0xf35301f8,0x1f9a9803,0x80fcd4c0,
    0x07ea01f8,0x41f501f3,0x1fa81fdd,0x0fcc5f30,0x260f7051,0x3e60fc43,
    0x413e0a21,0x7c43545d,0x7c40f981,0x03f35302,0xd77b07e2,0xd99bf30d,
    0x0e60f705,0x2207b174,0x07e204bf,0x3f10477d,0x2404e920,0x13a4809d,
    0x4f880fc4,0x2f980f98,0xf503eef6,0xf98be605,0x7b82eccd,0x41f88730,
    0x82eccdf9,0x6a8bb06c,0xbf981f88,0x902fbaaa,0x41f88274,0xf985d0dd,
    0x03ea0a61,0x7b1740a6,0xf1017dc0,0x4152fc83,0x2a3881f8,0x7d47100f,
    0x07d47100,0x06d80fc4,0x45f301f3,0x3f98d93d,0x0fcc3f50,0x260f5053,
    0x3e60fc42,0x17a20a61,0xf30d5176,0x3335f303,0x547105f3,0x6c1f880f,
    0x83f30f63,0x1b81f980,0x301ec5d0,0x40fc403f,0x0fc43ffe,0x1fe66664,
    0x3fccccc8,0x7f999990,0x3f703f10,0x3ee03e60,0xbf33bf51,0x45c82f43,
    0x7cc041f9,0x0fc41b80,0x220107e6,0x22dbabdc,0x3f222fd8,0x2207cc1d,
    0xccccc82f,0x6c1f883f,0x03f31363,0x05889d03,0x301f4536,0x20fc403f,
    0x03f100a8,0x2120d909,0x0d90906c,0x83f983f1,0x0bd01f31,0x20fcc06e,
    0x40fcc0f9,0x42c43e81,0x40fcc1f8,0x35016401,0x03e60710,0xd90905f1,
    0x23d83f10,0x220fcc4d,0xccbed884,0x36bbea00,0x403f301d,0x300541f9,
    0xf981b83f,0x17cc0dc2,0x30be606e,0x2905e83f,0x03b660fa,0x5bb10354,
    0x83f301bb,0xcbcd8848,0x4c1f980c,0x3202441f,0xd3032e04,0xf881f501,
    0x17cc0dc2,0x6c7b07e6,0x3337f224,0x000c02ec,0xfd980211,0x1dfc880d,
    0x1dfc880a,0xffb817f5,0xfb817f52,0xb817f52f,0x3bf912ff,0x373337f2,
    0xdcdfd9cf,0x00ae203d,0x9bf9100c,0x01805d99,0x64477f22,0x02ecccdf,
    0xcb880722,0xfb31e5c1,0x477f2219,0x7fdc0bfa,0x263bf912,0x01ee99df,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x1a800000,
    0x00133310,0x9998803b,0x2a83a801,0x00810208,0x44266620,0x00000999,
    0x0d406e20,0x20054000,0x80000040,0x54402201,0x88037100,0x88513302,
    0x0002a219,0x854c4000,0x7999703c,0xca803b00,0x1fd804cc,0x13907ba6,
    0xa8351b07,0x3ee21b9b,0x81bf510c,0xf983ddba,0x4c17d400,0x55ff440e,
    0x0393d100,0x9c81a8d8,0xb01f303a,0x6c0903b3,0x900e704d,0x20ee3a07,
    0x4fcbb9fc,0x06f5df54,0x35c37375,0x05f935d9,0x4ccc4010,0x4cc41999,
    0x28819999,0x8871382a,0x05fa80ef,0x83f107d7,0x9d0e42f8,0xfcc80710,
    0x98405c1d,0x24cb203d,0x6d417ea0,0xd307100c,0x2601712e,0x09750171,
    0x981ce048,0xd0be60cf,0x7d90ba3b,0xd909b298,0x7e440d00,0x220eaaab,
    0x0eaaabfc,0x000289ec,0x3f100000,0x264685f0,0x000ba000,0x01c9f400,
    0x2a000000,0x001ccb55,0x00000040,0xb1760be6,0x2a001ec7,0x203f980f,
    0x07e602fb,0x4c1f9833,0x202b7aa1,0x65546caa,0x20edd446,0x7c41dba8,
    0x91aa2f81,0x81dba889,0x5542fcaa,0x6ccb666c,0x9139d902,0x2dba8879,
    0x216ccb66,0x5a62dba8,0x7510123b,0xd996cc5b,0x316dd442,0xf30b665b,
    0x23d8f901,0x0372ea4c,0x02fc41f6,0x0fcc0d9b,0x6c00fcc0,0xb124b103,
    0x246a9224,0xf81f88d5,0x44c83e62,0x221d1aa4,0x7449622f,0x1fe40f62,
    0x1ea1b0b9,0x4361ec5d,0xb865dc7a,0x47a86c00,0x21b0f62e,0x87b1747a,
    0x6c7b80f9,0x7b3c5323,0x83f40dd0,0xf301f9a9,0x0fcc1443,0x2207b051,
    0x33e208cf,0x3333a208,0xd999d11e,0x17c0fc43,0x893a233e,0xd31eccce,
    0x233e22e8,0x887b1740,0x8190fd9c,0xd8ba0468,0x98011a23,0x34459912,
    0x11ec5d02,0x7b17408d,0x47b80f98,0xd119323d,0xb0374c49,0x304e920d,
    0x305d99bf,0xb05d99bf,0x217f4c07,0x81aa2fe9,0x40fc406a,0x667f542f,
    0x45c81aa4,0x217f4c2e,0x25d0f62e,0x6a829df8,0x547b1740,0x15b24006,
    0x8ba0354f,0x5d01aa3d,0x203e61ec,0x6477e66b,0xc9327263,0x217a07de,
    0x2603ea38,0x3e60a61f,0x40f60a61,0xf9047f20,0x22103e23,0x03f1040f,
    0x1264203f,0xe8f7081f,0x3a1fc822,0x21f98f62,0x41f105fb,0x23d8ba08,
    0x640220f8,0xf887c7e0,0x362e8220,0x20883e23,0x1f30f62e,0x12d80990,
    0x3e62264d,0xcc81f881,0xf983fccc,0x20fcc041,0x39813d80,0x43d1cc7a,
    0x77438aee,0xa8fcc38a,0x26c00f8a,0xf88e2bba,0x3a398ba2,0x32745361,
    0x99ff4c9f,0xb0e27ba1,0x3dd13a29,0x3d0aa071,0x389ee8f1,0x743e8a6c,
    0x8a6c389e,0x1d8fcc3e,0xf50d801b,0x17203362,0x36424136,0x260c0fcc,
    0x1fdc181f,0xf3255fcc,0xefd98957,0x10f7ecc1,0x57f73bf9,0xfd98bd00,
    0x766f541e,0x8957f30d,0x21ddaefa,0xff93defc,0x40dfd989,0x21ddaefa,
    0x4880dfd9,0x6cc4acb8,0x577d40df,0x37f661dd,0x6ed77d40,0xd919fb31,
    0x8ebaa037,0x00ebcee8,0x207d77d7,0x4c2f981b,0x3e62441f,0x44002441,
    0x00401100,0x10008002,0x08010133,0x84402201,0x80220200,0x10042200,
    0x019804c0,0x40108802,0x80042200,0x00009800,0x5fd40110,0xc897fdc0,
    0x22ecccdf,0xecccdfc8,0x00000002,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x55000000,0x26620191,
    0x00099999,0x26005440,0x000a8802,0x0a600d40,0x80980298,0x00000009,
    0x00a88035,0x40002a51,0x110180a2,0x880d4004,0x3500001b,0x029814c0,
    0xface9801,0x7ecdecc4,0x5c42daac,0x2ee402a9,0xb7007a20,0x416e3a20,
    0x0f600eda,0x42401e88,0x8e883aad,0xabfe885b,0x200fd980,0x166f204b,
    0x07332ae2,0xdd5019b3,0x0533905f,0x5f500e88,0x84c8e980,0x40b606db,
    0x00fc40f8,0x87e63936,0x754141f9,0x0d4a200c,0x80900e20,0x1c4e0533,
    0x80710090,0x703b25c3,0x1ecc20a6,0x02407138,0x99e4054e,0x82de440f,
    0x1be61763,0x05d006a0,0x28853388,0x5300e053,0x2e990030,0x03f11760,
    0x00000000,0x00000080,0x20d40000,0x0001721f,0x00000000,0xb042f8ba,
    0x0002a807,0x0002e800,0x04000000,0xf04ebaa8,0x40e1f887,0x9f541cbb,
    0x771323eb,0x336f2039,0x3665b30b,0x16ccb662,0x98b665b3,0x8905b32d,
    0x2e1ee0f8,0x397701cb,0x5c072ee0,0x397701cb,0x221e2b90,0x0e01feba,
    0x70b665b3,0x09975d77,0x8819f55d,0x5d441dba,0x0edd441d,0x07076ea2,
    0x7cc27459,0x1f66fc42,0x3e87f0ec,0xf0ec48ba,0xd0fa2d87,0xd8ba1ec5,
    0xe87b1743,0xf50e0f62,0x43b07d41,0x87f0ec3f,0x43b0fe1d,0x07f0ec3f,
    0x2390157b,0x1fd984e8,0x3c47b174,0x33a174bd,0xd5244ea8,0x5491aa48,
    0x858d5246,0x3e61360f,0x4398fc42,0x9aa36479,0x23cc716d,0x65c3e26c,
    0xe87b1746,0x6c5d0f62,0xa87b1743,0x4f707d41,0x8f336479,0x4d91e66c,
    0x8f336479,0x1e00e46c,0x83f620d9,0x2230f62e,0x743dccee,0xcce89ae2,
    0x999d11ec,0x3333a23d,0xd999d11e,0x991ea343,0x1f887f10,0x87a8f502,
    0x0a9fb99f,0xbd4f51ea,0x8ba0f99a,0x87b1743d,0x45d0f62e,0x0fc4243d,
    0x9ea3d4d7,0x8f53d47a,0x4f51ea7a,0x3f23d47a,0x51ea4fff,0x8ba2f80f,
    0x1ed6443d,0x50f98ba0,0xd503540d,0x83e03540,0x6c1321f9,0x4220fc45,
    0x321aa1f9,0xf987993c,0x2bf99aa1,0x0f62e8f5,0x8ba1ec5d,0x47b1743d,
    0x2645d038,0xf33543f3,0x43f33543,0x6a87e66a,0x1c6a87e6,0x83e21933,
    0x5d06c06a,0x361f11ec,0x7a8ba045,0x3e2103e2,0x840f8840,0x1f8840f8,
    0x2209b274,0x8907e62e,0x3e60f24e,0x49d05f33,0x8792743c,0x4d87d14d,
    0xd14d87d1,0x47d14d87,0x0749701a,0x2743c93a,0x0f24e879,0x93a1e49d,
    0xd0e16a3c,0x58821e47,0x2a3e8a6c,0x20d4bf27,0x5dd0f22e,0x38aee871,
    0x3a1c5774,0x0be638ae,0x03dbbdd3,0x37faf322,0x6e444ecc,0x20d1a04b,
    0x6444bdc8,0xefa84bbe,0x3bea1dda,0x3bea1dda,0x3bea1dda,0xc8091dda,
    0xbdc882cc,0x84bdc884,0xc884bdc8,0xbdc884bd,0x5e6fec44,0x225de4c0,
    0x540ccdf9,0xd11ddaef,0x09ffb39d,0xb30577d7,0xefd983df,0x20f7ecc1,
    0x3e61efd9,0x08002101,0x40800800,0x02180400,0x84402110,0x44021100,
    0x00800810,0x08008008,0x40080080,0x04008018,0x41804220,0x00800800,
    0x01002004,0x00000006,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x98020880,0x005cc099,0x05440080,
    0x806a0530,0x2a800bb8,0x33100d40,0x26213303,0x44333319,0x01198099,
    0x2a6001a8,0x44530060,0x26620999,0x26101020,0x0353000a,0x3004ccc4,
    0x01330215,0x0c301331,0x814ce413,0x39c2fff9,0xeb85d5b8,0x04dd829d,
    0x8834c0ba,0x2600f88e,0x98ab884e,0x83fe983b,0x23fd11fb,0x2f621ff9,
    0x1b6ab660,0x0ee62ae2,0xbca9ad98,0xd883b303,0x87b220af,0xef881949,
    0xd300da9b,0x5103d939,0x9bd883bf,0x7f4c3ed9,0x220ee440,0x3e64d923,
    0x20667206,0x172983bb,0x1983b708,0xa8071037,0x00b64a81,0x2a63889b,
    0x82f983a9,0xf707d43a,0x2c1d8581,0x442aaae2,0x7cc0f983,0x1ee05a81,
    0x41fe41cc,0x4c0f9868,0xf80fc40f,0x84a82e83,0xa83986f9,0x20004711,
    0x00008049,0x00000000,0x32017479,0x2ee2a9c4,0x0485e828,0x1217c47f,
    0x973850fe,0x9d0a2991,0x0f88d990,0x01cc1ee0,0x23740a20,0x3e0d904e,
    0x305036c2,0xb8298bf9,0x65dc0350,0x40bffc81,0x5d40dcba,0x6e5d40dc,
    0x206e5d40,0x5d40dcba,0x5c5ec0dc,0x49d75504,0x20e30b28,0x641220fa,
    0x81a97e66,0x52880dfc,0x3e639a69,0xb0fd4642,0x41ee0519,0x06e5d439,
    0x3e61f700,0x5f03f502,0x260027c4,0xa8a63f9b,0x81ceccec,0x7d40fe1d,
    0x223d9e25,0x36788f67,0x223d9e23,0x36788f67,0x0f6c5ec3,0x22a4e8b2,
    0x27c0a05a,0x643e6017,0x7e4090fb,0xada8542f,0x21fa8a2c,0x67c7f31b,
    0x83dc1fda,0x23d9e239,0xaaaaaaa9,0x203f52fc,0x262f82f9,0x42ccb82f,
    0x0a65f739,0xc8f30492,0x1183e206,0x89d1189d,0xd1189d11,0x189d1189,
    0x323d89d1,0x549b07c6,0x5c0a06a8,0x93f80b0f,0x980915f1,0x6542a5fe,
    0x25f5145b,0x7ccbe639,0x20f71760,0x24e88c39,0x25f500fc,0x05f302fa,
    0xe817cc5f,0x23f23986,0x2091c429,0x3603d47a,0x31327262,0x9c989939,
    0x264e4c4c,0x93132726,0x2a3d8993,0x24c8f50f,0x07081f28,0x900aafe2,
    0x06b7653d,0x944fee04,0xf11c5b4a,0x30fa8919,0x1ea3dc1f,0x3272614c,
    0x7e40fea4,0x3ea07f31,0x827c2f81,0x7743985d,0x37376a29,0x50fcc1cd,
    0x4d11c80d,0x24c9a24c,0x26893268,0x24c9a24c,0x47b13268,0x4c87e678,
    0x8daac99c,0x013b2029,0x05fa97e6,0xc8b9360e,0x4299e88d,0x225c84dd,
    0x1f316a1f,0x99344370,0x46e82fc4,0x3e0b905e,0x85d83641,0x2177c439,
    0x24e806a4,0x54910c3c,0x5ea19b17,0x22f50cd8,0x362f50cd,0x3362f50c,
    0x83362f50,0x74499bbd,0x088e1364,0x04f98073,0x204f89d0,0x2720f40e,
    0xf1075109,0x2640f985,0x5887d079,0x20cd8bd4,0x20fd41fa,0x507cc1f9,
    0x0bd103e5,0xf30730bb,0x91012485,0xcef8897b,0x75e77444,0x1d79dd10,
    0x43af3ba2,0x10ebcee8,0x221d79dd,0xf30ebcee,0xe9815957,0xbb81edde,
    0x1d002baa,0x03906e00,0x81e5deec,0x702baabb,0x01555995,0x6c40eef2,
    0x7440ccbc,0x74c0ebce,0xb100dcac,0xfb81bb5b,0x57b9102b,0x1ed885b7,
    0x009242a8,0x00001002,0x00000000,0x00420000,0x00200044,0x11080100,
    0x81002200,0x0c001000,0x00060000,0x22000803,0x82040001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x1300a200,0x20000980,0x30199998,0x18060281,0x40110188,
    0x00220300,0x40004351,0x55555028,0x000a6000,0x3100d402,0x41333333,
    0x92a00040,0x84ccc44a,0x33109998,0x0e4c0013,0x0f666e00,0x93077371,
    0xcaea8b33,0x7ffec0cf,0x1e46446f,0x05c16a07,0x0320f6a6,0x416a07d4,
    0x2a6f6204,0x36ea21ec,0x33207902,0x403d03cc,0x46caa81e,0x7f529cfd,
    0x67d5edc0,0x05d226da,0xb8dd77d5,0x7f9116e5,0x4433ee21,0x0dedacfc,
    0x2883ea90,0x3a3d4d10,0x643b07a1,0x1fcc6fc2,0x321d4191,0x4414c733,
    0x02e03985,0x58818053,0x05d101a8,0x07a86c5b,0x01700009,0x249620e2,
    0x3ee4c888,0x17c382ce,0xde84fb87,0xb72dc5d1,0xcccdfda8,0x83ea2dfc,
    0x12c41ec8,0x4cd103d8,0x43b8f10f,0x45d0b63e,0xd072026c,0x42c42405,
    0x090fa604,0x488b1030,0x89441760,0x5d400046,0x200000dc,0x20008cf8,
    0x08be003d,0x23d8f600,0x3e616e5b,0x3e617c40,0x82dc6e80,0x4b802cfa,
    0x546b87e6,0x22e83abf,0x1743407a,0x0b8b1070,0x00172c40,0x00c8b105,
    0x81aa00fe,0x446ebbea,0xabd88f67,0x757b12eb,0x217f4c5d,0xfbbd86c8,
    0x6c417c06,0x8f62ebab,0x85b96e4c,0x217c40f9,0x20fa80f9,0x400f605b,
    0x0d71fc0e,0xa8ba0bf7,0xfc88ea05,0x4c2981cd,0x2a08710e,0x808531ab,
    0x550e980b,0x44017cc0,0x1de8220f,0x49d1185d,0x21997619,0x41fc825d,
    0x5d1dd86b,0x4cdfcca8,0x1ec5d866,0xdd8b5c99,0x2aafe608,0x3f6e2fba,
    0xb8be64cc,0x8059d505,0xeacea81a,0xe84fbc84,0x81c80b23,0x1202403d,
    0x1e448079,0x4d220166,0x00be62dc,0x361c4f74,0x93930f63,0x5c03ae09,
    0x41e8e60e,0x0f63d86a,0x075c02f8,0x3ae4d8f6,0x7cc4f9ce,0x42f9999a,
    0x22f980f9,0x037d105b,0x17c44028,0x3a17d4b2,0x83403aae,0x3701c02d,
    0x41701e54,0x401743ca,0x7f16610c,0x037f6600,0x4d12647b,0x301f984c,
    0x4abf983f,0x323d86a8,0xf980be04,0x74cefcc1,0x4041191e,0x217c40f9,
    0x21fb80f9,0x200f605b,0x0f85b801,0x0015d16e,0x81072073,0x26638829,
    0x4cc7303b,0x3443e63a,0x360d414c,0x6c160205,0xb17a9323,0x881f4419,
    0x540ae03e,0x81323d86,0x807d102f,0x9801e81b,0x2617c40f,0x2dc5e80f,
    0x144017b0,0x516c16a0,0x39002e85,0x399cfb98,0xdce89090,0x6e74480d,
    0x4343f10d,0x4f982a84,0xd83d80a8,0xcee89363,0x451760eb,0x41e6145d,
    0x1363d86a,0x45d81fc4,0x01f86a82,0x17c40f98,0x0ed983ea,0x07f502e4,
    0x03a983d4,0xf10eaae2,0x2aa1a007,0x1703ffba,0xb83b80d4,0x9db87501,
    0x36a05c29,0xbced884a,0x4c0c980b,0x01ee99df,0x5b99bf70,0x0b7337ee,
    0x45fb1057,0x0ee99df9,0x2e0efe44,0x442dccdf,0xd980082b,0x3bf910cf,
    0x37737f66,0x002fe983,0x20008040,0x00133300,0x04010201,0x01808806,
    0x8180c022,0x00c00999,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x55554c00,0x4ccc4000,0x2aaa0000,0x0266622a,
    0x26620e60,0x10102009,0x33099987,0x42881021,0x10a60009,0x26235015,
    0x53031099,0x73981555,0x99999803,0x12754199,0x4cc4001b,0x08100009,
    0x33100000,0x32a1cc13,0x5d440ccc,0x05fe441d,0xc80dcba8,0x3f223ccc,
    0x440dedac,0x0bfc886d,0x220d46c0,0xa867d46d,0x9091550e,0xd000fe87,
    0x74c3c85d,0x3619f910,0x6666540f,0x1be3b620,0x555ddd30,0x0e24d85b,
    0x44157fd1,0x55c00cfc,0x20d46c49,0x7edf5438,0x221d37b0,0x0db10cfb,
    0x54354900,0x1ecf100f,0x9107d400,0xf306a83d,0x20bf5001,0x06a5c86a,
    0x710903fd,0x20e15001,0x87e605c4,0x6b8001b8,0x0bb9100e,0x8170f985,
    0x3f307b30,0xa83b9100,0xde83d85f,0x10e26a28,0x3666a83f,0x67445b32,
    0x67cc1ecc,0x4e88c2dc,0x4c1dba88,0x3546e80f,0x00008f98,0x487cc354,
    0x00388000,0x07e60000,0x2072ee07,0x8b80356a,0x127b005d,0x000fcc00,
    0x42dea800,0x0fc4003d,0x1ec5d1aa,0x21f300d5,0x327262fa,0xf31aa484,
    0x3541f501,0xd503af98,0x7d50dd77,0x4429cd81,0x7edf546c,0xfb3f9110,
    0x6446c887,0x3f31b226,0x0fe1d80c,0x6d2200d5,0x2af981c5,0x4375df54,
    0x6c8801f9,0xb07edf54,0xd9107b07,0x46a83f10,0x0f88f62e,0x6e83e604,
    0x3a2264d1,0xfb71eccc,0x517cc999,0x1fcc3f1d,0x217477a0,0x04fa80fa,
    0x051bd0d7,0x70f517f3,0x46b8d70d,0x23cc01f9,0xb803546c,0x07d99db0,
    0xd1de8374,0x0d71f985,0x146f435c,0x5c0f60f6,0x3541f886,0x7743d8ba,
    0x20f9838a,0x3362f56f,0x1f301aa0,0x2b545f30,0x8f6007e4,0x551b663d,
    0x54355bd5,0x3e203d86,0x86a81f10,0x3e63546a,0x1ea3d401,0x55d100d5,
    0x7501c4bd,0x4c3d8f60,0x3540311f,0xd83d81ec,0x3f10d503,0x7b1746a8,
    0x981efd98,0x3a25f70f,0x3e20ebce,0x701f3040,0x5dc3543f,0x991ec00f,
    0x2666354c,0x1aa099ce,0x20f880f6,0x3543540f,0x803f31aa,0xd51aa1f9,
    0x22ec1900,0x1ec02e00,0x001f9899,0x3607b0d5,0x540f7cc3,0x3541f886,
    0x98274536,0x39b9f303,0x577405c0,0x7407cc38,0x0f983545,0x44c8f618,
    0x6f55546a,0x361aa1aa,0x0f83e203,0x2a354354,0x20c0fcc6,0x0d50f24e,
    0x442ec388,0x3d812220,0x303f3132,0x207b0d50,0xa814c14d,0x3541f886,
    0x0776bbea,0x07ea03a6,0x7ecc2640,0xb307d41e,0xf506a81d,0xd8f63881,
    0x07d03544,0x880f61aa,0x6a81f10f,0x263546a8,0x3221c41f,0x406a84bd,
    0x7242ec0d,0x363d80df,0x0e20fcc4,0x5c0f61aa,0x540f443f,0x3541f986,
    0x65c00844,0x0033f663,0x202072e2,0x3ddcdfd9,0x6cc2fd88,0x31fdccef,
    0x23dd33bf,0xdfa82fd8,0xf317ec41,0x22ff203d,0x8bf624fb,0x5fb12fd8,
    0x3733bf66,0x3620102f,0x545f902f,0x44ecccff,0x4cefcc01,0x9dfb31ee,
    0xfd885fb9,0x8007be62,0x22fd884a,0xfb11dfc8,0x00000005,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x31099988,0x10040133,0x33101333,0x01540133,0x06a1cc08,0x15cc00c0,
    0x80013331,0x200cc428,0x33310998,0x31026621,0x21333333,0x20009998,
    0x26619998,0x01333109,0x99999988,0x104ccc41,0x26662133,0x26620999,
    0x55109999,0x26666155,0x91001999,0x33ee217f,0xfc881a00,0x3f224ebc,
    0x74c3ecab,0x261fd403,0xd500fea4,0x74aa07ff,0xdd79f913,0xc88b9001,
    0x42bfa02f,0x9f30bfc8,0xcfabdb83,0x19f916ca,0xff712e40,0xc8867cc3,
    0x40dedacf,0xeaaabfc8,0x8833fa60,0x57f910de,0x5566cd95,0x99932fda,
    0x5c180639,0x207cc1cb,0x0bee02f8,0x49f10fa8,0xb0fe20fa,0xb007b007,
    0x03ee3807,0x1f50447a,0x176a0374,0x37cc1bea,0x207707cc,0x7cc717c3,
    0x7dc14c01,0x83ea0e62,0x0fcc1fc8,0xb09f1066,0x0e381f50,0x806009f1,
    0x263f8761,0xb017c40f,0xb07cc0d9,0x1b607ccd,0x007b007b,0x3e20407b,
    0x1f300f82,0xbc8807e4,0xd82fb985,0x770f986c,0x4c0be040,0x3f60001f,
    0x01f30488,0x001f98dd,0x4c0dc3f5,0x1db0200f,0x300c6c88,0x7ccd91e6,
    0xa9817c40,0x41f301f9,0xe883e64f,0x0ad89ec4,0xd8d911ec,0x7c406ebb,
    0x20afee20,0x4817a0f9,0x8db530b7,0x8f986cb9,0x817c003b,0x220001f9,
    0x1f300dcf,0x0fcc1f50,0x48b6c051,0x501c1f30,0x031ae03f,0x33d47a8c,
    0x5f75557f,0xf304e920,0x7cc3d913,0x3d84ecbc,0xd70f6039,0x405d0dd8,
    0x2601f04b,0x700cdbaf,0x26a616e3,0x21b2321f,0xf8006df9,0x0003f302,
    0x3e603fa8,0x3e62f980,0x2202eccd,0x33e604bf,0x09f104dc,0x31806354,
    0x5f33543f,0x105f3333,0x7cc07d47,0x30f981aa,0x0cbd87f9,0xd8d50f60,
    0x20580f63,0xf95f300f,0x85b8e201,0x6522bb29,0x05fbf986,0x1f9817c0,
    0xfd500cc0,0x2603e601,0x2987e62f,0xf3017dc0,0x036c0e21,0xd0c031aa,
    0x81f31e49,0xcccc82f8,0x00f983fc,0x41f903e6,0x0f601fdd,0x1363d8d5,
    0x201f00dc,0x360bd0f9,0x20efeeee,0x2193f529,0xf98f986c,0x4c0be005,
    0x407f401f,0xf305f8c9,0x7cc3f701,0x07e60041,0x2e020f98,0x0635401f,
    0x12f72218,0x82f881f3,0x0f986c84,0x3f703e60,0xd807ddec,0xd8f63543,
    0x07c01a84,0x07f10f98,0x85db5553,0x6c937a29,0x0bf30f98,0x0fcc0be0,
    0x4881710c,0x03e60bea,0x303f317a,0xf300fcc0,0x0c1fcc01,0x40c031aa,
    0xf881f500,0x17cc0dc2,0x0fa807ea,0x364f6374,0x363543d8,0x33751363,
    0x501f8873,0x200fd43f,0x3ea2a85b,0x83ea1f21,0x1fc00df9,0x11c41f98,
    0x0fd81b07,0x1db307d4,0x02441f98,0x07d403f3,0xd8920bd0,0x26666a2f,
    0xfb300299,0x477f2219,0x7fdc0bfa,0x3019fb32,0x19bb9bfb,0x6fccefd4,
    0x6c47baa1,0xd33bf32f,0x3fffea3d,0x033f223f,0x7ec19fb3,0xd98b700b,
    0xbfea961d,0x2619fb30,0x6440beff,0x77ecc1ef,0x5062fdcc,0x77ec43dd,
    0xbb9bfb32,0x99bf9107,0x3f6605d9,0x0cfd980d,0xdcccdfc8,0x0000004f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0x005b32d9,0x00000000,0x00040000,0x01000004,
    0x40000004,0x8b665b30,0x00663512,0x50000000,0x0036219b,0xeb9f546a,
    0x000dd323,0x6c404015,0x0622ecbb,0x2207b174,0x1b975123,0x442dba88,
    0x65541dba,0x5d75ddc6,0x2607104c,0x21f7b32e,0xcbc81229,0x40900f89,
    0xcbaaeba8,0x0bcdbc83,0x3623d8ba,0x3aa4daad,0x5f546ebb,0xd77b50fd,
    0x443fd51d,0x0712e46c,0x8fa0e5c4,0x05b7122e,0x4408ac8c,0x4bb0441e,
    0x22e82cb9,0x8ae1b03d,0x21b0f678,0x44d5247a,0x97a78925,0x3a03882e,
    0x23b0b362,0x33e1d83a,0x30d81202,0x45b07cbf,0x87b1743e,0x477a1c44,
    0x2146f42e,0x321bb0de,0x43e635c5,0x00bc980b,0x038b6cd5,0xbec81795,
    0x024642ea,0xd01701d7,0xa9e41ec5,0x449d1186,0x999d1046,0x0233e23d,
    0x3733ba23,0x8ba03883,0x5d0e983d,0x901b23cc,0x99bf1e20,0x65c3e25b,
    0x547b1746,0x7b1ec381,0x647b03d8,0xb0d51aa4,0x005950e7,0x2a7ee67e,
    0x50664c00,0x533981bd,0x7b303f30,0x2a1ec5d0,0x39307f0f,0xd5035499,
    0x442fe980,0x55503dac,0x741555b7,0xba740f62,0x41f51ea7,0xaaadaaa9,
    0x503d8f50,0xe83e66af,0x48298f62,0x3d8991ec,0xd52647b0,0x1aea86a8,
    0x6400e644,0x5007993c,0x2af76179,0x4419122e,0xa6c2c03e,0xd53d83e8,
    0xf8932688,0x207c4220,0xf88fe410,0x33108bb0,0x2e833393,0x743e60f6,
    0x46a87e62,0x999d9998,0x22ec3f30,0x1ea57f31,0x8b0fa29b,0x8991ec38,
    0x2647b03d,0xbf06a8d5,0x3016dc40,0xb80be67f,0x1159082c,0x2ec7106a,
    0x540d5d4a,0x581ddaef,0x9b17a8ae,0x21c4f741,0x8e638aee,0x97e4f51e,
    0x3603881a,0x23b07d14,0x0f24e84a,0xff1f4090,0x92741717,0xddaefa87,
    0x9997b931,0x7b1363d8,0x2a5c8f60,0x02b83546,0xd1a07950,0x30039910,
    0xbcfb8001,0x110022db,0x89238812,0x260ebcee,0x7ecc0dfd,0x92afe61e,
    0xffd9cee8,0x7d407104,0x8a61ddae,0x097b9104,0x65ecc090,0x3223ffba,
    0x21104bbe,0x984410c0,0x31ee99df,0x9df983df,0x2fd89ee9,0x00005fb1,
    0x50102066,0x00000001,0x001f8000,0x02004000,0x80830088,0xcccecccb,
    0x00008440,0x20120008,0x0010c040,0x00000000,0x00000000,0x00000000,
    0x20000000,0x00000bc9,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x4ef54000,0x00620bea,0x3a600060,
    0x1881e98e,0x2a060310,0x20c184c0,0x99514c1a,0x00399999,0xccccca80,
    0x910001cc,0x47999999,0x1aaaaaaa,0x00000000,0x00000000,0x00000000,
    0x2e60dcf6,0x2190aa4c,0x4c0b305a,0xabb82a9f,0x2e62ca44,0x2be37c68,
    0x6a8f50f9,0x0c80016c,0x04c5bb91,0x7b6a9440,0x888fffea,0x55408888,
    0x001aaaaa,0x00000000,0x00000000,0x36000000,0x8b1080cb,0x2058192b,
    0x441f6400,0x479302e3,0x22445b2c,0x0f30f8ae,0x26621c17,0x32099999,
    0x1eed4454,0x2a712880,0x00022221,0x00000000,0x00000000,0x00000000,
    0x01fcd800,0x2076e06a,0x2aaaaaa5,0x703f80aa,0x4751b05c,0x214c373b,
    0x80058d0d,0xbbbbbbba,0x00003930,0x00000044,0x00000000,0x00000000,
    0x00000000,0x1f77b000,0x0b320350,0x99999896,0x81f9b819,0x5e743cca,
    0x0875910d,0x00070e38,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xeb8d93d8,0x15c720dd,0x403101d3,0x0000d71a,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xdfa9efa8,
    0x02e0d401,0x87541260,0x00000dfa,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_17_latin_ext_x[560]={ 0,1,0,0,0,0,0,0,0,0,1,0,0,0,
1,0,0,1,0,0,0,0,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,-1,0,0,-1,0,0,0,0,0,0,0,
-2,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,2,1,1,0,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,1,0,0,0,0,
1,1,0,0,-1,0,0,0,0,-1,0,0,0,0,1,1,-1,1,1,1,0,0,1,1,0,0,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,-2,0,0,0,0,0,0,
0,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,2,0,2,2,2,
2,2,2,2,2,2,2,2,2,2,1,0,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,0,-1,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static signed short stb__times_17_latin_ext_y[560]={ 13,2,2,2,1,2,2,2,2,2,2,3,11,8,
11,2,2,2,2,2,2,2,2,2,2,2,5,5,4,6,4,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,15,2,5,2,5,2,5,2,5,2,2,
2,2,2,5,5,5,5,5,5,5,3,6,6,6,6,6,6,2,2,2,7,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,13,5,3,2,4,2,
2,2,2,2,2,5,6,8,2,1,2,3,2,2,2,6,2,7,12,2,2,5,2,2,2,5,-1,-1,-1,0,
0,0,2,2,-1,-1,-1,0,-1,-1,-1,0,2,0,-1,-1,-1,0,0,4,2,-1,-1,-1,0,-1,2,2,2,2,
2,2,2,2,5,5,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,4,5,2,2,2,2,2,2,2,
0,3,-1,2,2,5,-1,2,-1,2,0,2,-1,2,-1,2,2,2,0,3,-1,2,0,2,2,5,-1,2,-1,2,
-1,2,0,2,2,1,-1,-1,2,2,-1,2,0,3,-1,2,2,2,0,5,2,2,-1,2,2,2,6,-1,-1,2,
2,2,2,2,2,2,2,-1,2,2,5,-1,2,2,2,5,0,3,-1,2,-1,2,2,5,-1,2,2,5,-1,2,
-1,2,-1,2,2,5,-1,2,2,3,-1,2,2,3,-1,2,0,3,-1,2,-1,2,-1,2,2,6,-1,2,-1,2,
0,-1,2,0,2,-1,2,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2,3,3,2,3,3,3,
3,3,3,3,3,3,3,3,3,3,1,5,3,3,3,3,3,3,3,3,3,3,3,3,3,1,5,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,-1,2,-1,2,-1,
2,-1,2,-1,1,-1,0,-1,0,-1,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,-3,-1,-1,2,-1,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static unsigned short stb__times_17_latin_ext_w[560]={ 0,3,6,8,7,13,12,3,5,5,6,9,4,5,
2,5,8,5,8,7,8,7,8,7,7,8,2,3,9,9,9,7,14,11,10,10,11,10,8,11,11,5,6,12,
10,14,12,11,8,11,11,8,9,11,11,15,11,11,9,4,5,4,7,9,4,7,9,7,8,7,7,8,8,4,
5,8,4,12,8,8,9,8,6,6,5,8,8,11,8,8,7,5,1,5,9,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,0,3,7,8,8,8,
1,6,5,12,6,8,9,5,12,9,6,9,5,4,4,8,8,2,3,3,5,8,11,11,12,7,11,11,11,11,
11,11,15,10,10,10,10,10,5,5,5,5,11,12,11,11,11,11,11,7,11,11,11,11,11,11,8,8,7,7,
7,7,7,7,10,7,7,7,7,7,4,4,5,5,8,8,8,8,8,8,8,9,8,8,8,8,8,8,9,8,
11,7,11,7,12,8,10,7,10,7,10,7,10,7,11,10,11,8,10,7,10,7,10,7,10,8,10,7,11,8,
11,8,11,8,11,8,11,8,11,8,5,6,5,6,5,6,6,5,5,4,11,8,6,7,12,8,8,10,4,10,
4,10,7,10,6,9,5,12,8,12,8,12,8,10,11,7,11,8,11,8,11,8,14,11,11,6,11,6,11,6,
8,6,8,6,8,6,8,6,9,5,9,7,9,5,11,8,11,8,11,8,11,8,11,8,11,9,15,11,11,8,
11,9,7,9,7,9,7,7,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,11,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,11,9,8,8,8,8,8,8,8,8,8,8,8,8,8,13,9,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,11,7,5,5,11,
8,11,8,11,8,11,8,11,8,11,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,11,7,15,10,11,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8, };
static unsigned short stb__times_17_latin_ext_h[560]={ 0,12,5,12,14,12,12,5,15,15,7,9,5,3,
3,12,12,11,11,12,11,12,12,12,12,12,9,11,8,4,8,12,15,11,11,12,11,11,11,12,11,11,12,11,
11,11,12,12,11,15,11,12,11,12,12,12,11,11,11,15,12,15,7,2,4,9,12,9,12,9,11,12,11,11,
15,11,11,8,8,9,12,12,8,9,11,8,8,8,7,11,7,15,15,15,4,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,0,12,13,12,8,11,
15,14,3,12,6,9,4,3,12,2,6,9,7,7,4,11,15,2,4,7,6,9,12,12,12,12,14,14,14,13,
13,13,11,14,14,14,14,13,14,14,14,13,11,14,15,15,15,14,14,7,12,15,15,15,14,14,11,12,12,12,
12,12,12,12,9,11,12,12,12,12,11,11,11,11,12,11,12,12,12,12,12,7,9,12,12,12,12,15,15,15,
13,11,14,12,14,11,15,12,15,12,14,12,15,12,14,12,11,12,13,11,14,12,13,12,14,11,14,12,15,15,
15,15,14,15,14,16,14,14,11,11,14,11,13,10,14,11,14,14,13,8,12,15,15,15,14,14,7,14,14,14,
14,11,11,11,11,11,11,15,11,14,11,15,11,11,12,12,14,11,15,12,15,12,12,9,14,11,14,11,14,11,
15,12,15,12,14,11,15,12,15,14,14,12,11,11,15,12,14,11,15,12,15,12,15,12,14,10,15,12,14,15,
13,14,11,13,11,14,11,11,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,12,10,10,15,10,10,10,
10,10,10,10,10,10,10,10,10,10,13,9,10,10,10,10,10,10,10,10,10,10,10,10,10,13,9,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,14,12,14,11,15,
12,15,12,15,13,15,14,15,14,15,14,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,16,15,14,12,15,12,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10, };
static unsigned short stb__times_17_latin_ext_s[560]={ 255,252,82,244,231,177,139,89,59,34,225,
101,77,143,253,102,108,54,74,180,103,10,159,36,18,9,253,161,193,103,215,
1,229,13,34,104,177,189,212,219,1,244,212,127,150,112,231,200,25,208,91,
125,140,168,97,109,165,200,221,177,53,160,232,159,93,20,208,28,75,36,83,
162,65,60,22,45,250,166,150,247,26,97,159,44,225,132,184,203,48,182,240,
28,128,142,117,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,255,250,190,
44,141,89,195,87,137,84,64,11,127,143,134,149,57,62,20,248,98,206,220,
252,113,34,71,82,59,92,71,84,129,141,153,228,216,204,166,200,211,34,105,
138,57,123,18,184,227,74,244,10,22,22,176,26,147,34,58,70,45,62,19,
66,58,50,42,34,26,18,51,115,242,234,226,218,128,133,122,238,171,191,48,
144,135,126,117,38,123,93,84,75,66,82,103,137,13,132,111,245,49,28,172,
208,197,191,94,169,213,152,1,1,45,114,36,37,165,77,25,106,1,10,63,
69,91,154,22,163,188,195,74,13,99,129,215,170,12,163,198,231,249,211,92,
86,240,179,85,204,236,146,24,13,11,238,233,222,251,138,158,200,57,64,83,
182,123,116,197,103,74,111,225,237,37,149,113,27,125,153,12,111,210,104,189,
231,165,218,1,123,243,55,112,156,40,62,49,131,155,47,179,247,10,130,177,
1,224,160,46,199,183,216,137,1,75,36,239,54,172,74,148,246,140,121,189,
239,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,188,238,238,1,
238,238,238,238,238,238,238,238,238,238,238,238,238,1,91,238,238,238,238,238,
238,238,238,238,238,238,238,238,149,72,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,100,180,
149,98,165,1,148,188,130,163,116,65,91,201,63,222,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,1,46,84,197,34,57,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238, };
static unsigned short stb__times_17_latin_ext_t[560]={ 30,17,167,107,33,80,80,167,33,33,157,
157,167,167,107,94,94,145,145,94,145,107,107,120,120,120,80,145,157,167,157,
120,1,145,145,120,145,145,145,107,145,133,107,145,145,145,107,107,145,1,145,
107,145,107,107,107,145,145,145,1,120,1,157,167,167,157,94,157,107,157,145,
94,145,145,1,145,133,157,157,145,120,80,157,157,133,157,157,157,167,133,157,
1,1,1,167,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,
145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,30,94,65,
120,157,133,1,50,167,107,167,157,167,167,107,167,167,157,167,157,167,120,1,
30,167,167,167,157,120,120,120,120,50,50,50,65,65,65,133,50,50,65,50,
65,65,65,50,65,120,50,1,18,17,65,50,167,107,17,17,17,65,50,133,
107,107,107,107,107,107,107,157,120,94,94,94,94,133,133,133,133,94,133,94,
94,94,94,94,167,157,94,94,94,94,17,17,17,80,120,65,80,50,133,17,
80,1,80,50,80,17,80,65,94,133,80,80,133,50,80,80,80,50,133,65,
80,17,17,33,17,50,17,65,1,65,65,120,120,50,120,65,145,50,133,65,
65,65,157,80,17,17,17,50,65,167,50,50,50,33,133,133,133,133,133,133,
1,120,50,120,1,133,133,80,80,50,133,17,94,17,94,94,157,33,133,33,
133,33,133,34,80,17,80,33,120,33,80,33,33,33,80,120,120,34,80,33,
133,17,80,17,80,17,80,33,157,1,94,33,1,65,33,120,65,120,33,120,
120,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,107,145,145,18,
145,145,145,145,145,145,145,145,145,145,145,145,145,80,157,145,145,145,145,145,
145,145,145,145,145,145,145,145,65,157,145,145,145,145,145,145,145,145,145,145,
145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,33,107,
33,133,1,107,1,94,1,65,1,33,1,33,1,33,145,145,145,145,145,145,
145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,
145,145,145,1,1,33,94,1,94,145,145,145,145,145,145,145,145,145,145,145,
145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,
145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,
145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,
145,145,145,145,145,145,145,145,145, };
static unsigned short stb__times_17_latin_ext_a[560]={ 61,82,100,123,123,205,191,44,
82,82,123,139,61,82,61,68,123,123,123,123,123,123,123,123,
123,123,68,68,139,139,139,109,226,177,164,164,177,150,137,177,
177,82,96,177,150,218,177,177,137,177,164,137,150,177,177,232,
177,177,150,82,68,82,115,123,82,109,123,109,123,109,82,123,
123,68,68,123,68,191,123,123,123,123,82,96,68,123,123,177,
123,123,109,118,49,118,133,191,191,191,191,191,191,191,191,191,
191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,
191,191,191,191,191,191,191,191,61,82,123,123,123,123,49,123,
82,187,68,123,139,82,187,123,98,135,74,74,82,142,111,61,
82,74,76,123,184,184,184,109,177,177,177,177,177,177,218,164,
150,150,150,150,82,82,82,82,177,177,177,177,177,177,177,139,
177,177,177,177,177,177,137,123,109,109,109,109,109,109,164,109,
109,109,109,109,68,68,68,68,123,123,123,123,123,123,123,135,
123,123,123,123,123,123,123,123,177,109,177,109,177,109,164,109,
164,109,164,109,164,109,177,159,177,123,150,109,150,109,150,109,
150,109,150,109,177,123,177,123,177,123,177,123,177,123,177,123,
82,68,82,68,82,68,82,68,82,68,174,136,96,68,177,123,
123,150,68,150,68,150,100,150,84,150,68,177,123,177,123,177,
123,148,172,121,177,123,177,123,177,123,218,177,164,82,164,82,
164,82,137,96,137,96,137,96,137,96,150,68,150,105,150,68,
177,123,177,123,177,123,177,123,177,123,177,123,232,177,177,123,
177,150,109,150,109,150,109,68,191,191,191,191,191,191,191,191,
191,191,191,191,191,191,191,177,191,191,123,191,191,191,191,191,
191,191,191,191,191,191,191,191,177,130,191,191,191,191,191,191,
191,191,191,191,191,191,191,191,133,191,191,191,191,191,191,191,
191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,
191,191,191,191,191,177,109,82,68,177,123,177,123,177,123,177,
123,177,123,177,123,191,191,191,191,191,191,191,191,191,191,191,
191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,
191,191,177,109,218,164,177,123,191,191,191,191,191,191,191,191,
191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,
191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,
191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,
191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,
191,191,191,191,191,191,191,191, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_17_latin_ext_BITMAP_HEIGHT or STB_FONT_times_17_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_17_latin_ext(stb_fontchar font[STB_FONT_times_17_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_17_latin_ext_BITMAP_HEIGHT][STB_FONT_times_17_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_17_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_17_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_17_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_17_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_17_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_17_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_17_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_17_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_17_latin_ext_s[i] + stb__times_17_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_17_latin_ext_t[i] + stb__times_17_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_17_latin_ext_x[i];
            font[i].y0 = stb__times_17_latin_ext_y[i];
            font[i].x1 = stb__times_17_latin_ext_x[i] + stb__times_17_latin_ext_w[i];
            font[i].y1 = stb__times_17_latin_ext_y[i] + stb__times_17_latin_ext_h[i];
            font[i].advance_int = (stb__times_17_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_17_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_17_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_17_latin_ext_s[i] + stb__times_17_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_17_latin_ext_t[i] + stb__times_17_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_17_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_17_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_17_latin_ext_x[i] + stb__times_17_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_17_latin_ext_y[i] + stb__times_17_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_17_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_17_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_17_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_17_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_17_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_17_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_17_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_17_latin_ext_LINE_SPACING
#endif

