// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_18_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_18_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_18_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_times_18_latin_ext_BITMAP_HEIGHT        194
#define STB_FONT_times_18_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_times_18_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_18_latin_ext_NUM_CHARS            560

#define STB_FONT_times_18_latin_ext_LINE_SPACING          12

static unsigned int stb__times_18_latin_ext_pixels[]={
    0x04006a20,0x80007220,0x018800c9,0x00288000,0x180088c4,0x00a88011,
    0xa8000510,0x101002aa,0x08000200,0x10020000,0x00000035,0xa8000310,
    0xb80f5006,0x03f32605,0x17f40132,0xa8017c40,0x07d2e000,0x6c026cc0,
    0x4015005d,0xcc883cec,0x4054403c,0x41207148,0x3510388c,0x81c45440,
    0x0036e404,0x0077776a,0x2aa6aee6,0x03205d01,0x80240180,0x700480f8,
    0x07500b13,0x400ea360,0x1b00388c,0x2a8cc075,0xc81d46c0,0x01d46c03,
    0x01dd5016,0x00f74c12,0x05df7016,0x07328812,0x2f987720,0x42980e60,
    0x003704f8,0x1f100000,0x01020030,0x0c4a0028,0x94001080,0x4a000018,
    0x28079018,0x403c4031,0x2a81201a,0x00401e80,0xf7000012,0x9301f501,
    0x83f83300,0x05000b9b,0x2a2aef2a,0x55c0f882,0x21deda84,0x3311cdb8,
    0xeda86621,0x0736e21d,0x2077736a,0x2e21deda,0x3332a1cd,0x877b6a2b,
    0x8791cdb8,0x2e21deda,0xa83e61cd,0x36e21ded,0xb9b5091c,0xa80fc03b,
    0x5481ddcd,0x9db317db,0x9f066dc3,0x0b117e20,0x3e1c7155,0x400b8b82,
    0x444c87d8,0x381f105e,0x7407ee07,0x85b17e60,0x901d01fb,0x5c17541b,
    0x2541d01f,0x01fb87d1,0x7dc1e41d,0x81f01d01,0x241d01fb,0x82ea8372,
    0x20dc80f8,0x3f7242ea,0x26341fcc,0x371be03f,0x21cd91d8,0x2005b01e,
    0x2207dc7a,0x40f880fd,0x01f502b8,0x50b1ae16,0x3ee1601f,0x7d40fa80,
    0x4c2e8b00,0x45807d43,0xb00fa83c,0x01f50b10,0x407dc916,0x5c0d80fa,
    0x8a0fa80f,0x222f43f8,0xfb017d44,0x49b1e458,0x04f806c3,0xc84f8f30,
    0x40f885f8,0x01f501a8,0x82997c16,0x9f0b00fa,0x03ea2fc0,0x8303ba2c,
    0x3c8b00fa,0x88b00fa8,0xb00fa80a,0x5f813e48,0x813e1a88,0xfb1b605f,
    0x01fcc1b8,0xf1aa58db,0x754121c3,0x7ccf3007,0x887e8e43,0x1362f20f,
    0xb82c03ea,0x403ea096,0xfd01fcc5,0x98b00fa8,0x03ea03ff,0x3ea0f22c,
    0x502a8b00,0x2691601f,0x4c1fa03f,0x3f407f32,0x17f43f50,0x3e813e0b,
    0x9ea3c922,0xf9d81c28,0x3ea79802,0x887d8aa3,0x435c3e0f,0x220b00fa,
    0x01f504bf,0x6c05f516,0x85807d47,0xfa81efe9,0xa83c8b00,0x0910b00f,
    0x291601f5,0x21f602fa,0xd80bea1c,0x554fe067,0x1f60715e,0x1f920fcc,
    0x0205cbb1,0x4c036ce6,0x21cd3e67,0xa80f887e,0xb00fa87d,0xfa807e40,
    0x03f98b00,0x201f51f6,0x50bfee05,0x0791601f,0x7c1601f5,0x45807d40,
    0x3ec07f34,0x407f307c,0xa5b2127d,0x3a00b8fb,0xd2c1ec44,0x42e99559,
    0x2a1902a0,0xf13cc01f,0x10bf091b,0x3d464c1f,0x20580fcc,0x407e6058,
    0xbd027c45,0x08b01f98,0x07e63f44,0x3e60f22c,0x81f10b01,0x148b01f9,
    0x222f409f,0xe813e21f,0x527e6125,0x64405af8,0x1701ecbe,0x8564cb26,
    0x6c47f10c,0x4c04f999,0x2606fe46,0xf10f881f,0x817c43d4,0xf880aa05,
    0x20f90b02,0x817c41f9,0x223d4245,0x83c8b02f,0xf30b02f8,0x91605f10,
    0x81f983e4,0xf983e41f,0xb0f7c121,0x3fa6007d,0x54012203,0x2aaee044,
    0x12a00fca,0x440f613e,0x5f21f50f,0x015c2ec0,0x570bb00b,0x4d889d10,
    0xe8570bb0,0x42ec25c1,0x5d81e42b,0x360d02b8,0xd1242b85,0x0d04d889,
    0x44d889d1,0x0fa8f904,0x80bf6200,0x4024c048,0x7443f885,0x6e55c1ba,
    0xba881bab,0x3eb7fa0f,0x7977bb02,0x2003df50,0x403cbbdd,0x402ecbec,
    0xd83cbbdd,0xb00ccacd,0xb907977b,0x977bb055,0xdd814c07,0xc8483cbb,
    0x5502ecbe,0x1765f640,0x34449824,0x01bc8800,0x36e63771,0xfb02b802,
    0x18102a81,0x040ccc40,0xa8802200,0x00088000,0x0220004c,0x44003108,
    0x80266200,0x88020008,0x00980a00,0x20098002,0x00020202,0x2aa60020,
    0x839f5001,0x0001dfe9,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00880000,
    0x00260000,0x06200098,0x30004c00,0x00011001,0x31000100,0x0100a600,
    0x00000000,0x000006a2,0x2a001118,0x00188002,0x09599993,0x260007cc,
    0x003aa04b,0x3a003754,0x007cc003,0x2f800ea8,0x99950298,0x0353a857,
    0xb8039c88,0x2007f500,0x200388a8,0xb900388c,0x01c3200d,0x8802eb4c,
    0x2e4002ee,0x1ae07540,0x55800570,0x29000640,0x0122003a,0x06400370,
    0x89101cc0,0x360fa24a,0x38b8805d,0x0fa06c80,0x002efb80,0x22007ba6,
    0xdf300732,0x01237003,0x0580091c,0x00d01fa8,0x402d4001,0x00102000,
    0x00040008,0x64004002,0x10730ba1,0x02ea0015,0x000f6000,0x00aa0001,
    0x00550000,0x00000082,0x205e8008,0x3bb9b501,0x6d409d00,0x6d401ddc,
    0xeda81ddc,0x0736e21d,0x92b33326,0x2e21deda,0x3332a1cd,0x3ba6982b,
    0x3332a0c0,0x877b6a2b,0xa981cdb8,0x81517b00,0x2e21deda,0x1bb711cd,
    0x981cdb88,0x304acccc,0x54959999,0x36e21ded,0xeccb981c,0x06edc44b,
    0x7c4736e2,0x506e4004,0x37f2205d,0x3aa0dc83,0x7541b902,0x1d01fb82,
    0x46b81d50,0x541d01fb,0x8fc0fa24,0x49503ff9,0x80fdc3e8,0x7cc6cc0e,
    0x7f6dec4e,0x0e80fdc4,0x01d05f98,0xa86b81d5,0x3ee35c0e,0x1d301d01,
    0x5f980fa8,0x01fd41d0,0x1f501f70,0x3ee03e20,0x7dc0fa80,0x7d40fa80,
    0x03f50b00,0x1601f51a,0x7f03985d,0x3a0f7f4c,0x03ea1cc2,0x09d1e42c,
    0x3ea3e4bb,0x3fa20b00,0x01fa8583,0x8d01fa8d,0xf30b00fa,0x3a202e03,
    0x1fc4583f,0x2fc09f00,0x409f07a8,0xbf027c5f,0xd0b00fa8,0x03ea0c0b,
    0x0303ba2c,0x8bfee13a,0x3ea0c0ee,0x649d0b00,0x8be63d84,0x220b00fa,
    0x742c2fcc,0x40bd0605,0x85807d41,0x6440407e,0x2f42c2fc,0x3a03f980,
    0x7f30b907,0x07f33f40,0x403ea3f4,0x50027c45,0xff31601f,0x1029d007,
    0x01ffccfd,0x2a1601f5,0xf0f607a6,0x05807d45,0x4587f691,0x9f1004f8,
    0x5807d400,0x440027c4,0x642c3fb4,0x3ea1100f,0x1741f602,0x4fb017d4,
    0x51f602fa,0x7f51601f,0x5807d400,0x201efe98,0x98f5092e,0x0fa81efe,
    0x02af20b0,0xfa83e1ec,0x45220b00,0x3fa8b0ee,0x4007f500,0xfa8b00fa,
    0x40cec883,0x161dd148,0x98661ba2,0x221f603f,0x203f980f,0xd80fe67d,
    0x45807d47,0x3ea003f8,0x7fdc0b00,0x707a1f02,0x50bfee09,0x2f21601f,
    0x8b326c00,0x220b00fa,0x222d7e24,0x07f1003f,0x45807d40,0x05f304f8,
    0x05afc491,0x8577bdb1,0x217a04f8,0x409f1069,0xe813e25e,0x8580fcc5,
    0x07e6005e,0x0fd1022c,0x6566ecd1,0x8fd1020c,0xf70b01f9,0xed81dfff,
    0x0fcc0bab,0xfa891058,0x2005e85c,0x07e6005e,0xf983742c,0x67d44881,
    0x3200d805,0x7703f307,0x1f983e40,0x41f983e4,0xf90b02f8,0x2f882201,
    0x87a848b0,0x406c423c,0x17c47a84,0x5330b858,0x1008bd89,0x2441605f,
    0x07e43fdc,0x403f2088,0x2c0be208,0x0fcc0fdc,0x03fdc244,0x89d101ec,
    0x401b04d8,0x426c44e8,0x826c44e8,0xe882b85d,0x85d81986,0x12e0f42b,
    0x7417440e,0x42ec25c1,0x0c42d42b,0x217600f6,0x3609102b,0x1986e887,
    0x40cc3744,0xd882b85d,0x440fcc0e,0xd980fb04,0xecbec801,0x9003ae82,
    0xc805d97d,0x6c02ecbe,0x2203cbbd,0x202bbded,0xd83cbbdd,0x220ccacd,
    0x36036601,0xb00ccacd,0xf107977b,0x9d05979d,0x32ef7600,0x205d9103,
    0x77bdb106,0x2f7b6205,0x2ef7602b,0x566dc03c,0x76440cdb,0x00000d02,
    0x0004c013,0x0260004c,0x88001100,0x08022000,0x80002031,0x04400310,
    0xa980d4c0,0x0022001a,0x02200200,0x22000880,0x00098000,0x00000040,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x04000000,0x00204408,0x0100d400,0x014bb200,0x40100000,
    0xeeeeeeea,0x8006a02e,0xfb00001a,0x98026003,0x00ee0002,0x04770000,
    0x21400010,0x30223aa8,0x8897d997,0xa747a87d,0x40c004ea,0x29100fda,
    0xeb888038,0x0386401e,0x14883864,0x54bb15c5,0x001fb503,0x486401f3,
    0x2016aea0,0x0ba200f9,0x4003e200,0x980388b8,0x2200dfea,0x06a00714,
    0x265d8749,0x2a07d40e,0x36088307,0x71051004,0x0eea80e2,0xf8800800,
    0x0f7cc02d,0x36146eb8,0x091380c5,0xef880370,0x40088601,0x0048801b,
    0x7dc001a8,0x0260802f,0x4003bae0,0x8cc50e84,0xa81701f9,0x00990007,
    0x500001d1,0x0ef6d403,0x26039b71,0xa8055002,0x0002ec01,0x05500080,
    0x0cc42662,0x00040010,0xb8800000,0x66dc40dd,0x71003501,0x7401d909,
    0x41e60407,0x4c990cc2,0xb8825409,0x02e00bde,0x03a03f70,0xbb999bd7,
    0x3bbbbaa1,0xbd932eee,0xda82ec07,0x33b221de,0x03e6be21,0x303e6be2,
    0x75c2d8bf,0x20ddcccd,0x800f9af8,0xccccedda,0x666f64c6,0x05f983dc,
    0x67764c1d,0xd75b00bc,0x260ee987,0x4c004f89,0x7f53ec47,0x7905d264,
    0x4f805e80,0x85807d40,0x571fd40c,0x7c4752ec,0xf502ec04,0x22e0b309,
    0x0e22e038,0x0321635c,0x711707f5,0x207e6400,0x2217cc0b,0x583fe884,
    0x1db32f98,0x4cb794b8,0x2b763f94,0x0cec883f,0x7d1ea1e6,0x5d00ca64,
    0x75405e80,0x5807d407,0x0a2fc428,0x01fc18bb,0x81f90176,0x9884cc0c,
    0x09884cc0,0x0a0a65f0,0x10998bf1,0x3eb60013,0x0be20440,0x0bf32206,
    0x7d45f10b,0x64145743,0x09f11320,0x30f30be6,0x37723d8f,0xe803f101,
    0x017cec05,0x201601f5,0x02ec00fd,0x80bb00fe,0x220ea5e8,0x9d11b24e,
    0x096b8364,0x9d103f60,0x54dc0364,0x3e20220f,0xfb488042,0x317c42c3,
    0x80bae87f,0x1ba1623c,0x21e60fcc,0xdb91ec79,0xd007e60b,0x06d9cc0b,
    0x202c03ea,0x05d802fa,0x017601fc,0x9b02cfea,0xd526c354,0x2012fe20,
    0x549b02fa,0x41f54806,0x222f881b,0x3ba29104,0x6c5f10b0,0x4326ec0f,
    0xf70753f9,0x7983f303,0x991ec798,0x05f107f1,0x543205e8,0x201f501f,
    0x4013e205,0x201fc05d,0x19f9006e,0xb0d526c0,0x1f903549,0x3604f880,
    0x23701aa4,0x81fdccfa,0x05eccdf8,0x85afc491,0x703fddf8,0x9f30a69f,
    0x303b6207,0x7a87a83f,0x3eabb1ec,0x2f402e82,0x4f999d88,0x81603f30,
    0x0bb000ed,0x3fee03f8,0x404f8803,0x9361aa4d,0x2016206a,0xa93600ed,
    0x3733a206,0x3e20660f,0x544881c2,0x8af885cf,0x13ffa03f,0x36e027cc,
    0x220cdbac,0x8ff623fd,0xf15dd53d,0x7404c87f,0x95557704,0x205f101f,
    0x4003f705,0x201fc05d,0x2027c000,0x9361aa4d,0x700aa06a,0x2a4d803f,
    0x0fa83206,0x8042f880,0x887fb848,0x2e03f52f,0x01e61008,0x053005d4,
    0x80aa0b60,0x581f4058,0x0bb03f88,0x209f3057,0x3f80bb01,0x9f002f40,
    0x0fb15c80,0x581f62b9,0x21827cc0,0x220fb15c,0x21407d44,0x488302f8,
    0x45f10fb0,0x200d40ed,0x03d40127,0x03a00ba2,0x42a803e6,0x05703d4a,
    0x5eec03f6,0x20dd03cb,0x440dd01b,0x0014403f,0xcef9809f,0x677cc3fb,
    0x07bea3fb,0x986e0dd0,0xd83fbcef,0x12207dc0,0x441905f1,0xf30d02ec,
    0x00e37445,0x2200aa6e,0x806cc04b,0x0b5049dc,0x1dfd4350,0x3a60e7d4,
    0x802201df,0xeccccdfc,0x107ff707,0x04c05df9,0x0177e440,0x80840084,
    0x6fe400a8,0x107ecccc,0x42ff2202,0xfdccdfe9,0x333bf261,0x408005ec,
    0x3e61efd9,0x0004003e,0x05440000,0x04408000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x67764c00,0x018800bc,0x08801fd0,0x93002e00,0x2201777b,0x00130000,
    0x80c4004c,0x50000000,0x100a6003,0x88098003,0x6dc40ddb,0x5001101c,
    0x4b7b2605,0x0440cec9,0x01301310,0xed997cc0,0x5c02e400,0x017c04aa,
    0x7fdc07f0,0x3e60299f,0x00754000,0x2f807e98,0x2006a550,0xda80388c,
    0x405c800f,0x1f3001f8,0x0e82fcc0,0x4c01fd10,0x85f302ee,0x5c0f503d,
    0x54c6eb86,0xa8be2398,0x4006c03f,0x01cc0261,0xffff0020,0x02a80533,
    0x29000640,0xd012603a,0x3ba6009b,0x00913801,0xb801cc00,0x41ff4401,
    0x81263205,0x8be20913,0xd80e402c,0x642ba440,0x98be21ef,0x3000403f,
    0x30004015,0xf8959999,0x80299fff,0x10004000,0x10022008,0x01540015,
    0x00a98000,0x10010008,0x20585f99,0x88008020,0x0200592f,0x02020404,
    0x40fd8be2,0x0bcceec9,0x9df31b30,0x002b7b26,0x6c6b81d5,0x40299fff,
    0x005c000b,0x7d8802e0,0x5e6f764c,0xcdec980a,0x3b263dcc,0x17db712d,
    0xa77cc6cc,0xdcccdec9,0x3337b263,0xfb4883dc,0x37b262c3,0x3aa3dccc,
    0x2caf8804,0x31ef64c0,0x764c7bd9,0x8f7b263d,0x203fddf8,0x01db32f9,
    0x3e627479,0xd01fa803,0x299ffd88,0x3e0027c0,0x2027c004,0x222f987a,
    0x42f981ed,0x6c17cc48,0x313a3c86,0x7cc4885f,0x8a442442,0x5f30b0ee,
    0x4026c488,0x8802fef8,0x884f884f,0x444f884f,0x2203f8af,0x3a0fea2f,
    0x05f11324,0x700c0bd0,0x3f540533,0x400fd500,0x43d407ea,0x41fd82f8,
    0x7c4182f8,0x24e86c82,0x0c17c44c,0x22060be2,0x442d7e24,0x026c182f,
    0x017ed7c4,0xf03f81fc,0x5f10fe07,0x17c407ea,0x74d507f3,0x22017c41,
    0x3330004f,0x017cec05,0xb002f9d8,0x43cc05f3,0x44f882f8,0x7c4042f8,
    0x26a86c82,0x0217c41e,0x22010be2,0x442e7d44,0xaa64042f,0x3f65f102,
    0x3f81fc02,0x10fe07f0,0x44076c5f,0x6403f62f,0x02f880ab,0x98001fd4,
    0x36730299,0x0db39806,0x981b6730,0xdd02f887,0x21222f88,0x906c82f8,
    0x45f10157,0x222f8848,0xff709104,0x42445f10,0x883fcbcc,0xf80bf62f,
    0x0fe07f03,0x88be61fc,0xfddf886e,0x8802f203,0x01fc402f,0x90299980,
    0x19007ea1,0x219007ea,0x10f301fa,0xf11f605f,0xf10bd99b,0x0dd9999b,
    0x6fc40179,0xdf885ecc,0x09105ecc,0x337e21f6,0x2e5c85ec,0x7ec2f986,
    0x0fe07f03,0x263f81fc,0x3be61efd,0x0fe2be23,0x0effffb8,0x17a00be2,
    0x414ccc00,0x04f999d8,0x13e66762,0x4f999d88,0x05f10f30,0x385f11fa,
    0x86c82f88,0x20effffb,0x7c41c2f8,0x176441c2,0x1c2f8868,0xd98d5264,
    0xbffb11df,0x07f03f85,0x101fc0fe,0xa97c4017,0x2661701f,0x200be24a,
    0x201100fc,0xabb82999,0x7700fcaa,0x201f9555,0x0fcaaabb,0x02f88798,
    0x042f88bf,0x436417c4,0x4495330b,0x17c4042f,0x010d4002,0x4c8085f1,
    0x006a01ea,0xf81fc0fe,0x4c807f03,0x0ed8be20,0xf10c42d4,0x86e88a05,
    0x0a666019,0x2c0fe216,0x88581fc4,0xf887983f,0x7c41fb82,0x417c4302,
    0x0c42d46c,0xf88605f1,0x07a80302,0x321817c4,0x1ea01ea4,0x81fc0fe0,
    0x4c07f03f,0x88be601d,0x5e77c46e,0x641fc42c,0x5def6c40,0x214ccc02,
    0xb81fb02b,0x2b81fb02,0x87a81fb0,0x41fd42f9,0x260c82f8,0x7c46d82f,
    0x7c42cbce,0x0be20c82,0x04b88032,0xb06417c4,0x2e203d49,0x441fc404,
    0x883f883f,0x3660003f,0x0fbe61ef,0xffb10353,0x880ddd9b,0x43111000,
    0x7f4c1cfa,0x9839f51d,0x39f51dfe,0xb11dfe98,0x677ecc7f,0xfc980ccc,
    0x265eccce,0x3fea1dfd,0x4c0d4c0b,0x5ecccefc,0x3333bf26,0xc980005e,
    0x25ecccef,0x3fd89ee9,0x77e44000,0x88bbf222,0x3f222efc,0x0000002e,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3007f600,0x144e2003,0x00adec98,0x00980000,0xa8023b88,
    0x08860171,0x401442a0,0x0040171a,0x01c45c03,0x3dec9817,0x26200d40,
    0x3e600999,0x33885fff,0xd9814c05,0x1170088c,0x0a271007,0xd80b3750,
    0xf71f5005,0x4001fcc0,0x0fc4000b,0x06ff5540,0x5c0fe9b0,0x7f4406ee,
    0xf8ce800e,0x1260f502,0x807d57c4,0x404f883f,0x3aa00b9b,0x80003eee,
    0x3206c8fb,0x0bfb3506,0x003eabe2,0x180f71f3,0x08000022,0x002f8802,
    0x154004f8,0x00026080,0x02001880,0x03002080,0x41013bd3,0x03f80200,
    0x00005c5c,0xb8877b6a,0x000021cd,0x00208010,0x80a00104,0x04beccb9,
    0x4077736a,0x754002f8,0x50004007,0x3103bb9b,0x4c066213,0x332e600a,
    0x6f6d44be,0x00736e21,0x64c27762,0x23dcccde,0x3f83dec9,0x7c402d80,
    0x1fb80f9a,0x6f64c1d0,0x6666f5c3,0x7bd930dd,0x910ef6d4,0x005c039d,
    0x0e983ec4,0x06e407d4,0x05f105d5,0x502f9d80,0x76443bdb,0xd506e41c,
    0x16c5f985,0x13be6366,0x40fa81d3,0x501d01fb,0x0be61360,0xf04f8891,
    0x7009f007,0x03ea0711,0x6427c42c,0x3e21fd40,0x5984fa84,0xf5004f80,
    0x02e03f30,0x81f501f7,0x4e6002f8,0x213ea06d,0xa80fb859,0x21635c0f,
    0x3f313a3c,0x01f502e0,0x360fb116,0x8182f884,0xa807f03f,0x4426607e,
    0xb00fa809,0xf10a0fe0,0x7e40fe0b,0x3aa00640,0xfd0f3007,0xf027c080,
    0x2002f88b,0x6403f50c,0x27c0640f,0x265f0bf0,0xd1324e82,0x07d4080f,
    0x9b07a858,0xf0085f10,0x3b00fe07,0xc93a205f,0x0b00fa86,0x03f600fe,
    0x25e881fc,0x2f9d803a,0x27c47980,0x7407f300,0x88017c47,0x204f999d,
    0x260ea5e8,0x2e1fa03f,0x1e9aa096,0xf50013e2,0x41e61601,0x222f884d,
    0x0fe07f04,0x6c0db398,0x03ea1aa4,0x5403f82c,0xa80fe02f,0x27300b3f,
    0x5479806d,0x0cec883f,0x23ec05f5,0xbb8502f8,0x200fcaaa,0x3ea0b3fa,
    0x3e21f602,0x02af204b,0x9d9107f5,0x85807d41,0x882b9079,0xf05eccdf,
    0x0c80fe07,0xa93603f5,0x0b00fa86,0x04f880fe,0x33f201fc,0x3f50c800,
    0x27c47980,0x0fe62f98,0x41fc47d8,0x1fc42c0c,0x4c033f20,0x641f603f,
    0x2017900f,0x85f304f8,0xf30b00fa,0x5f117ea0,0xf107f038,0x26676207,
    0x3549b04f,0xf0580fcc,0x20076c07,0x027c403f,0x27cccec4,0x41ba1e60,
    0x813e21f9,0x37ff625e,0x815c6eec,0x13e200fd,0x17a04f88,0xfff702c4,
    0x983741df,0x580fcc1f,0x220207a8,0x43f8042f,0xbb82efc8,0xd80fcaaa,
    0x0be21aa4,0xf703f82c,0xf007f003,0x55577009,0x434c01f9,0x41f981fb,
    0x403f307c,0x839f501a,0x3e01dfe9,0xf983e404,0x85c05501,0x07ee4a99,
    0x05f107e6,0x707fb116,0x302f881f,0x2c0903f8,0x8ae41fc4,0x570bb07d,
    0x13e60fe0,0x3e00fe0c,0x3f885804,0x3b6212a0,0x3a20fcc0,0x26026c44,
    0x0048000f,0x44e8809f,0xa81604d8,0x3b621885,0x2ec0fcc0,0x5014c15c,
    0x0c82f881,0x03a20fe2,0x207ec0ae,0x03fbcef9,0x207977bb,0x706e83f8,
    0x7c01fc43,0xfd815c04,0x806eba20,0x0cdbacdb,0x05d97d90,0x36000970,
    0x9004f802,0xf505d97d,0x677c403d,0x59b702cb,0x376019b7,0x0b503cbb,
    0x9df93062,0x7e44bd99,0x50beb82e,0xdfe9839f,0x22001081,0x8bbf2200,
    0xeccccdfc,0x40bbf227,0xf502efc8,0x1dfe9839,0x013000aa,0x000004c0,
    0x881cd980,0x26002efc,0x4002a200,0x026001a9,0xdc800880,0x00000003,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0xff90023b,
    0x128805ff,0x00040007,0x00130388,0x37b26035,0x36a3dccc,0x336e21de,
    0x03ffffd1,0x00040011,0x00000000,0x00400000,0x1ffffe40,0x00080080,
    0x30390221,0x0001bfd5,0x00bff200,0x40007cc0,0x6eedc0f8,0xf9817601,
    0x07ee2442,0x2ea00074,0x13fb800c,0x7db913d9,0x70175aa0,0xbca80599,
    0x3e604880,0x3e206a01,0x3a600002,0x101f6205,0x2e83fefb,0x2a002608,
    0x1001ddcd,0x33372200,0x37b6a3ac,0x06b36e21,0x00b11559,0x20c17c40,
    0xc98b00fa,0x198b83de,0xf3254460,0x213e2195,0xd2cc0b1b,0xc85abc40,
    0x0900ae00,0x37b260ea,0x3103dccc,0x03d403bb,0x001c9bd4,0x8372002e,
    0x00b802ea,0x03ae174c,0x403a03f7,0x64c70a9f,0x43dcccde,0x7d4042f8,
    0x09f10b00,0x24980ee2,0x703be219,0x4011281f,0x36a81a4c,0x01402a8f,
    0x3e602824,0xecb82442,0x201ea04e,0xf8030e7a,0x5407dc04,0x2027c00f,
    0xfa8bd04e,0x56f40b00,0x442f9810,0x09117c44,0x7c1601f5,0x09884cc3,
    0x2144ef4c,0x43f982f8,0x3f200aa8,0x4da602c8,0x55101227,0x54c06a01,
    0x0c17c450,0x442e4d44,0x55107aaa,0x407026f5,0x027c07ea,0x03f540bf,
    0x87ea03f7,0x4c0b00fa,0x05f101ff,0xeccdf883,0x0b00fa85,0x649d10fe,
    0x880eec46,0x224f882f,0xf302ea8d,0x887bea1b,0x10064956,0x0905d51b,
    0x41bd33b1,0x6d4042f8,0x4ecc5fa8,0x99d987e9,0x6c03207e,0x07f302f9,
    0x5f3b03f4,0x3f981f20,0x202c03ea,0x2f882fe8,0x0e17c404,0xf82c03ea,
    0x21aa4d83,0x40be204d,0x87b87a4f,0x03e0eec8,0x30d42ee6,0x21ee1e81,
    0x11f22e84,0x0fc2445f,0x1ee3d8bb,0x3607b8f6,0x20db3981,0x41f602fa,
    0x1fa0db39,0x03ea4f88,0x1fed402c,0x88488be2,0x0fcc042f,0x9b07f058,
    0x1026c354,0x7ccfe05f,0x8d987e60,0x200554fa,0x4c767648,0x1a87e60f,
    0x2f9b87c4,0x17b337e2,0x3e25c8d3,0x41f11ea0,0x3207a07a,0x7f303f50,
    0x50c83ec0,0x4c0fb03f,0x2c03ea3f,0x223e4540,0x885eccdf,0x17c4302f,
    0x9b07f058,0x1026c354,0x7d4be05f,0x6c7d1fc0,0xa92004af,0xf03eab76,
    0x547d4247,0x217c47f2,0xa9723643,0x1f51ea0f,0x885f03d4,0x884f999d,
    0x2217a04f,0xc84f999d,0x4c5f500f,0x4620b01f,0x17c43f0a,0x320be20e,
    0x815c2ec0,0x1aa4d83f,0x82f88136,0xf85f10f8,0x7fc45f31,0xadc37001,
    0x1f85f16a,0xf8b3e612,0xa810be21,0x2f89720f,0x545f11ea,0xbb87f107,
    0xc80fcaaa,0x7703f307,0x881f9555,0xf88d903f,0x55220b03,0x217c4698,
    0x6677e4c0,0x77bb05ec,0x641fc079,0x2b90fb15,0x2b72f980,0x4d32ec3a,
    0xdfb10df8,0x2a1c40e3,0xd32ecb76,0x266d80d4,0x11817c46,0x37a2ec9f,
    0x21bd0f70,0x587f107b,0x4e883f88,0x885826c4,0x541fb83f,0x5c0dd81f,
    0x779bd102,0x0302f883,0x80550048,0xcef983f8,0x42fd43fb,0xcf99dfc9,
    0x0dbee883,0x4c677fdc,0x10901ffe,0x77445b1d,0x644120db,0x7c40dbcd,
    0x3baa0c82,0x3f662edd,0x7ecc3fcd,0x41503fcd,0x201fb02b,0x702ecbec,
    0x2603f605,0x200debde,0x803cbcfd,0x05f101b8,0x007c4019,0xdf9102d4,
    0x00004205,0x00880110,0x0220080c,0x80880544,0x4c044300,0x5ecccefc,
    0x01080210,0x7d400108,0x0eff4c1c,0x67d40130,0x80eff4c1,0x00440018,
    0x77e4c020,0xb805eccc,0x1ee400bd,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0x00000000,
    0x00004000,0x00000000,0x017fffec,0x08800000,0x00000000,0x0000000c,
    0xca800004,0xd02a8abb,0x01f19909,0x2566664c,0x75300fea,0x80b92039,
    0x82ec01f9,0x2603dc04,0x5ddcc02f,0x7999502b,0x75c00005,0x37736a00,
    0x036af201,0x0fa803e6,0x5700be20,0x5e6e6c09,0x407d400b,0xd900c9ab,
    0x5e889901,0x26360b30,0xd703aa03,0x265807d0,0x2092441f,0x2a06802c,
    0x2a00e401,0x0e20aa04,0x201f4495,0x401b000b,0x20baa0dc,0x1d413268,
    0x09300390,0x21fc0738,0x407601e9,0x406c05e9,0x07ec40fb,0xa806500c,
    0x07d0d01f,0x987f07c4,0x4c014122,0x01402400,0x5331a814,0x217471b9,
    0x4027c039,0x203ee018,0xd72dc0fa,0x40050140,0xd015c402,0x81403ee0,
    0x06205b29,0x2fc6427c,0x09984d4c,0x40bd0131,0x80a8be81,0xbca997c2,
    0x02982dba,0x206a2353,0x8806a204,0x857380aa,0x303ba334,0x4403f540,
    0x7c09f01a,0x207b2645,0x9884cc19,0x09884cc0,0x80c03510,0x403303f9,
    0x4ccc1fb9,0xc87f3199,0xe88c8fd1,0x23649d11,0x674004f8,0x96e03fed,
    0x0ab99d98,0xd83ee2e6,0x4d9bde8a,0x6c5e40d4,0x2ea8d884,0x4ce034a2,
    0xf3b003ff,0x26c5e405,0x47e80fe6,0x1730bd4c,0xd92744d9,0x21b24e88,
    0x8004d8bc,0x3645cc6f,0x89bee726,0xf54f99ad,0x44fb1547,0x2a4d8666,
    0x2001fd46,0x7403ee4e,0x3b032480,0xf90f88f4,0x87c243d4,0x9ee1e86b,
    0x31c06a8a,0x9cc03dfd,0x35c3e06d,0x47d80bea,0x448bd34c,0x86a9362f,
    0x43e1aa4d,0x66675c6b,0x247ecccc,0x3ee2d8be,0xf336c110,0xe8fd0e69,
    0x1aa4d82e,0x3e8007f1,0x206a0be2,0x00d11238,0x2aaabb6a,0x8fb50240,
    0x4c7e60f9,0x20e00f89,0x21902ffb,0x3ed401fa,0x47d80fe6,0x7447e64c,
    0x9361aaaa,0x1aa4d86a,0x17dc7da8,0x55744fd0,0x4c1f11aa,0x220fb82f,
    0x45f848df,0x9360dfd8,0x4005e86a,0x4141f43e,0x3ceccdda,0x4e4c01f5,
    0x4c1a806b,0x07d47a8c,0x187b38fe,0x0fd10231,0x09f333b1,0xf11ea326,
    0x1322f409,0x9b01ea7f,0xd526c354,0xa8f51930,0x54bf104f,0x7f03ea07,
    0xdfc82f98,0x2110fcc0,0x6a9364fa,0x81100fc8,0x0207e23e,0x7c43885c,
    0xf50f88c2,0xf1240441,0xf0be23d4,0x565c45c3,0x3d42471a,0x7e5555dc,
    0x90f53c40,0x9907e60f,0x185f12e8,0x4d86a936,0x3d4f11aa,0x22fb8374,
    0x1f88c2f8,0x409d10fc,0x2443d84f,0x7d8ae477,0x81986e88,0x0e216a3e,
    0x5fb03524,0x543ea171,0x490398df,0xd82f90fa,0x082e1a65,0x25c1e82e,
    0x2a1fc42c,0xe882f90f,0x66c26c44,0x8bfd8f3a,0x3ec5721b,0x547d8ae4,
    0xf982f90f,0x7ec27c43,0x99761b8b,0xab8a36c6,0x881babdc,0x3e60cacf,
    0xd883fbce,0xd502bbde,0x3f301777,0x64405c90,0x567742ef,0x3500effa,
    0x217d6ff4,0x700dbee8,0xd8177557,0x5c0ccacd,0xfe81fb02,0x7d902fad,
    0x39f305d9,0xefc8835b,0x7de77cc2,0x7de77cc3,0x17d6ff43,0x1765eec4,
    0x442efc88,0x3ee0cbcc,0x3025cccd,0x10802200,0x04002200,0x00208040,
    0x40040c01,0x00880040,0x18840110,0xe9839f50,0x200041df,0x02000009,
    0x02100210,0x004c0008,0x00044008,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x10000000,
    0x1007f400,0x006f2600,0x41c45c00,0x711706f8,0x14c05060,0x2201cec8,
    0x299c406f,0x50113d88,0x0130c09f,0x071c405c,0x432e09f5,0xc981fd01,
    0x33b6a3de,0x17038e20,0x665cc020,0x2ee604be,0x04ea82bb,0xf5095570,
    0x16cd1009,0x307d11fc,0x9c81f53f,0x7cd7c43b,0x81fef880,0x320fb8b9,
    0x27207d9b,0x2edee03c,0xd827f554,0xbdd901d8,0xdb817c40,0x41d8d81d,
    0xa81dfc99,0x84f885aa,0x03bb707c,0x30f505f1,0xa80fa81d,0x04d83882,
    0x3a204c30,0xa936019d,0x02c424c6,0x00006080,0x1e876015,0x0880f982,
    0x09800006,0x03300c18,0x83079000,0x10c06201,0x0f907f01,0x418001e4,
    0xa81701f9,0x712cada9,0x84cc04c8,0x6775c098,0x1f98be04,0x3300980a,
    0x42660cc0,0x03510098,0x12cc00d1,0x44266233,0x100d4409,0x40d44035,
    0x40131099,0x98066029,0x20155102,0x07f00aa8,0x3014c0f9,0x101fa003,
    0x98fcf338,0x20999321,0x321b24e8,0x43f30554,0x828142f8,0x5cc6c8b9,
    0xc93a26c8,0x44d8bc86,0x41b000fa,0x21bd14f9,0x362f20e8,0x84d8bc84,
    0x7444d8bc,0x22e61b24,0x322e60fb,0x07dc5cc6,0x885d51b1,0x3f82ea8d,
    0xb8b987c8,0x1b22e60f,0x2004f88a,0x70fcf328,0x9b05d264,0x66664354,
    0x3e07d43f,0x7d88fb13,0xf8917c48,0xf86a9362,0x42f88d70,0x9077ec41,
    0xf853354b,0x2e1f0d70,0xb0d70f86,0xd0ec3549,0x1d8be243,0x1ee1e87a,
    0x1fc3dc3d,0x3d0ec3e4,0x3ec4be24,0x9d9107f5,0x6dfcc2a1,0x032991c1,
    0xb90d526c,0x43f31ae1,0x2a1ea2f8,0x55557447,0x35555d11,0x540d526c,
    0xb8afd87d,0x7cc7f300,0xa8125f70,0x81f6a07d,0x2a4d87da,0x5d103446,
    0x81a23555,0x4c7e60f9,0x7f07e60f,0x20688f90,0x21aaaae8,0x4c13e27a,
    0x47cc662f,0x3bb91c1e,0x90d526c0,0x317c3549,0x3cc3cc3f,0x407a81ea,
    0x3261aa4d,0xefc887a8,0x4fa2e402,0x193075cb,0xf51930f5,0xb0f51930,
    0x03ea3549,0x01f503d4,0x2a7f03ea,0x0fe1fc0f,0x201f51b2,0x3a3cc07a,
    0x3383f306,0x90c43a6f,0x526c0bdb,0x43d4990d,0x0f31ea3d,0x8c2f88f3,
    0x49b0c2f8,0x0f53c46a,0x215c0064,0x1bf98beb,0x788f53c4,0x3d4f11ea,
    0xf88d526c,0x8c2f88c2,0x2f88c2f8,0x7c2f88fc,0x22e41fc1,0x2f88c2f8,
    0x1fb8f30c,0x5c5c1f98,0xc871b71f,0x2b903f8c,0x2a4c87d8,0x30b25a87,
    0x7fb0f30f,0x45fec371,0x3ec5721b,0x80be43ea,0x4434085c,0x3ea17a4f,
    0x87d42f90,0x643ea17c,0x0fb36417,0x6c1715fb,0x3f61b8bf,0x99760b8a,
    0x88d32ec6,0x20f2b33f,0x360b8afd,0x1e61b8bf,0x1f981db1,0xd81700b8,
    0xdf305f55,0x24d87f79,0x097b707a,0x910f50f5,0xefc885df,0x7de77cc2,
    0x17d6ff43,0x3be21644,0x5c3b00cc,0x5f5bfd03,0x42fadfe8,0x4c2fadfe,
    0x443fbcef,0x7e442efc,0x177e442e,0x1036fba2,0x6441b7dd,0x04cf9aef,
    0xc885df91,0xb83d42ef,0x00cdbacd,0x81775577,0x3ff8aeea,0x3bea0210,
    0x4003fd8a,0x3f623fd8,0x40080103,0x00004010,0x2000400c,0x00800800,
    0x80100210,0x02200400,0x00800110,0x6c404008,0x0004c03f,0x00000011,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x445c0000,0x217bb603,0x000030cb,0x41800004,
    0x02210082,0x0817bd71,0x440ddb88,0x00041cdb,0x5c0a6310,0xa8988150,
    0x38054700,0x1880002a,0x884cc433,0x209a9819,0x40c80608,0x98902ec8,
    0x44511206,0xca80f9af,0x7e4cc2cc,0x56f64c1d,0xda982e98,0x1002e01f,
    0x3ec45fdf,0x407f5f62,0x303ec45e,0xd883a0bf,0x2a07e607,0x983fcdcf,
    0x6dfd43ce,0x3cea84fe,0xdb0f3aa0,0x3373ea00,0x2d8bf33f,0x360f4464,
    0x83f104ee,0xf0370930,0x00f70320,0x80c40090,0x217663f9,0x04f806a5,
    0x50f50150,0x17a0b26f,0x3fe881ea,0x3207a858,0x35c37602,0x64bd04b8,
    0x97009707,0x36005b70,0x235cb70d,0x30333445,0x07660003,0x0e61e071,
    0x202aa204,0x09980bfa,0x05f10131,0xd5006987,0x2a06600f,0x740e7a87,
    0x32207a85,0x3cc2c2fc,0x2a4d8050,0xd8135307,0x84ccbe63,0x15510098,
    0x93600150,0x82997c7a,0x155102ee,0x48f50140,0x440121e0,0x6542ea8d,
    0x927443fe,0x5445f10d,0x9d8035c0,0x322e602f,0x9bd43cc6,0x0f30bd00,
    0x161fda44,0x263105e6,0x43d49902,0x1ec1e88c,0xd92744be,0x45d51b10,
    0x03511329,0x5ae3d499,0x41bfb104,0x502ea8d8,0x7806e580,0x21e8005c,
    0xb07f207b,0x17c43549,0x9cc035c0,0x45f1206d,0xe807a879,0x88137985,
    0x2161dd14,0xb9f50cf9,0x549907f9,0xd8333447,0x549b07c3,0x21ee1e86,
    0x41fcdbfb,0x7f11ea4c,0x93ea1109,0x06e1ee1e,0x2244272a,0x89ccbaa2,
    0x4c1f300a,0x9b13201f,0x017c4354,0xa864035c,0xaaae881f,0x1ea1e61a,
    0x75e617a0,0x2bf12444,0x0dd87a85,0x3d49b0d7,0x24d81774,0x8d526c59,
    0x207e60f9,0x49b13a3f,0x880fc87a,0x307ccee4,0x90034c3f,0xbc9207a8,
    0x03ea530e,0x362cc07f,0x0be21aa4,0x3b101ae0,0x0f509f33,0x807a8798,
    0x1017984e,0x545cfa89,0x1ea4d87c,0x7fb13df3,0x6c0dfd88,0x26c0babe,
    0x7c0fa8d5,0x99322f83,0xb10f51ef,0x432b3e20,0x7d1fc0fa,0x6b886a00,
    0x36390370,0x0fc2f89f,0x2a4d8950,0xb802f886,0x5555dc06,0x217c40fc,
    0x01ea1e61,0x881e60fa,0x4c47fb84,0x81ea4c87,0x3ea1102a,0xd8045ec4,
    0x85f11aa4,0x1322f81f,0x80550b50,0x3e17c449,0x40f43f31,0x4434e248,
    0xd9544903,0x6c451a65,0x10fb3640,0x06b8a05f,0x6c1fc42c,0x1e61b8bf,
    0x1ea541ea,0x41220798,0x4c87987d,0x80f981ea,0x07b0ee48,0xb0fb15c8,
    0x22f834cb,0x2c1dc04c,0x97607cc0,0x2c8be269,0x3f32e0c8,0x23838244,
    0x220dbee8,0xf980cdfe,0x7c43fbce,0x81ee0c83,0x881fb02b,0x43d42efc,
    0x077f507a,0x176441ea,0x4d879868,0x105a81ea,0x4e81959f,0x7de77cc0,
    0x06df7443,0x221722f8,0x3df50bae,0xdd10b500,0x89dc81b7,0x71a02a84,
    0x33bbd883,0x00080220,0x3ff62021,0x3a66eecd,0x41cfa83f,0x8081dfe9,
    0x3f623fd8,0x36201103,0x8810003f,0x27be63fc,0x20003fd8,0x01aa9808,
    0x00880108,0x3ba637ee,0x05442a81,0x20088000,0x280301a8,0x05554c0c,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x260240d3,0x3bbaa0ab,0x5ddd41ee,0xd01ccb80,
    0x8060441f,0xccdecbca,0x9880086d,0x22fb6a28,0x36e1ced9,0x200a980c,
    0x044018a8,0xb8877b6a,0x233001cd,0x8b2ea028,0x6d41deda,0x3bbbb61d,
    0x32631140,0x7db512de,0x6cc77ae1,0x1f777544,0x10fbbbaa,0x40350785,
    0x9999d03c,0x8771d41f,0x5550ba3b,0x01f135cb,0x85c5e8b9,0x67d404ea,
    0x987ee2fc,0x8d98683f,0x2ae24ef9,0x3aae07e9,0x0e80fdc4,0x5cd80fa8,
    0x2a3c5660,0x9883b03f,0x6efa8199,0x2666fea2,0x17a09fd9,0x1333310b,
    0x40999988,0x1221e0fb,0x883104c8,0xe8d316c5,0x844316a1,0xf503e26b,
    0xb0445d81,0x220db009,0x1222f43f,0x1644e8f2,0x244f20f5,0xc82c03ea,
    0x64059301,0x2c17a024,0x0a201a88,0x9999bfb5,0x87d439fd,0x81551029,
    0x10131099,0xf500c878,0x3215c001,0x07cc790e,0x09a981f1,0x3607c4d7,
    0xb0225d85,0x6c09b009,0x206e3ec6,0xa8f1324e,0x7d405d07,0x880a0b00,
    0x7013601a,0xbc82a81f,0x220a04d8,0x7d06c82f,0x7546c412,0x06c93a22,
    0xbd015478,0x81d007b5,0x7c42bee8,0x88c8be23,0x07c4d71e,0x0b97613e,
    0x9902aa64,0x5fd0fd40,0x87a6a82c,0x2623d47a,0x01f501bf,0x90a26216,
    0x13609b17,0xf0589f10,0x1f621ae1,0x41b20be2,0x43d038eb,0x0d526c7b,
    0x28912ea8,0x206e9a7c,0x03ff1058,0x6887ccbb,0x1f135c66,0x676c1fd4,
    0x65e640fd,0x7c04c83f,0x0e2bd553,0x7cc0abc8,0x9f511ea1,0x201f5015,
    0x17e67d45,0xfd11ae1f,0x33e409df,0x507da807,0x5559f10f,0xfbaa8db5,
    0x83e62abe,0x6a9361f9,0x4f506400,0x403e61f9,0xfe8d882b,0x36d76442,
    0x11f70bba,0x0fe633f9,0x2e40a976,0xc809b0d7,0x02e3ee96,0x1bd005e4,
    0x5017c1f2,0x1b61601f,0x1720fb50,0x8064be60,0xf307a8c9,0x8d905f10,
    0x199dd999,0x6c7f03ea,0x20511aa4,0xf89ae229,0x0740be21,0xe80db164,
    0xb86fec44,0x21de8dee,0x6405d84f,0x5fd51aa4,0xf8a4fcc0,0x3ffee05a,
    0x37fa60ef,0x4c05f07a,0x09b0b01f,0x641ea326,0x416db004,0x3cc1ea78,
    0x236417c4,0x2aaedaaa,0x6c3f0be2,0x20f71aa4,0x0be34e24,0x3e0b101f,
    0x75403e21,0xba7d4220,0x03f20409,0x526430bb,0xdf00710f,0x1701f6c3,
    0x54212a66,0x7c405f07,0x10990b02,0x42b83d4f,0x205bf500,0x302f90fa,
    0xd905f10f,0x99dd9998,0xc8d32ec1,0x32021f66,0xb93f32e0,0x815c1665,
    0x74c1623c,0x36772440,0x5e89b002,0x3d499244,0x1f201ec4,0x216a01f5,
    0x7c1ea018,0x15c2ec02,0xc87d4264,0x2f7ae617,0x01ba02a9,0x505f5bfd,
    0xdb05f30f,0xdd102e40,0xcef981b7,0x01cc03fb,0x0195990d,0x55dc4036,
    0x405d4c0b,0x7d0cacf8,0x36f72200,0x21fcccff,0x3661ea4d,0x1a224c00,
    0x2cbcef88,0x02f83dc0,0x03cbbdd8,0x2b7fa09b,0x3eaaaa2f,0x401dc05f,
    0x31fec400,0x7fd43bf9,0x017f540b,0x00210022,0x0080a00c,0x01008004,
    0x00130220,0x3ba60010,0x0003fd89,0x2a600202,0x22aa8801,0x1001dfb8,
    0x817f5401,0x00020400,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x6676ed40,0x4ccc46cc,0x8e209999,0x26330b83,0x0bccdeec,0x4711c530,
    0x3bbbbaa3,0x0d442eee,0x01310998,0x7764c0cc,0x0600bccd,0x2005bd93,
    0x0619701a,0x4015bd93,0x18ed42fc,0x303bbbb6,0x502dec98,0x6f64c2e3,
    0x3263dccc,0x80abcdee,0x0bcceec9,0x3f3200a0,0x180305c0,0x7440eedc,
    0xb117cc4b,0x0373203d,0xd0dc3bb9,0xb1791dcb,0x3649d109,0x4c3645cc,
    0x207b622f,0x002f9849,0x3f26613a,0x403f981d,0x7dd459c9,0x0666622e,
    0x405f3093,0x3e62f8ce,0x8be62442,0x2f981ed8,0x7d881db3,0x440fad80,
    0x79030060,0x3e206540,0xc880fd82,0x20c3c882,0x2e1f145e,0x43549b06,
    0x0be217c4,0x9de983f6,0x0000be20,0x0be20310,0x0180c430,0x41ce9833,
    0x40019cf9,0x7c4182f8,0x7c41fd82,0x1ea0fea2,0x441f5370,0x188600c0,
    0x7c414053,0x4cc4f882,0x22621999,0x2a017a02,0x3549b07d,0x06aaaba2,
    0x49f105f1,0x3e209dd8,0x266600aa,0x14c62199,0x05002f88,0x3645cc14,
    0xcf9839b1,0x88282fda,0x17c4042f,0x8be227c4,0x407983f9,0x20dc1f54,
    0xdcfa8c01,0x43ec43fc,0x44dd02f8,0xf54f99ad,0x17a05f99,0xb07a8c98,
    0x01ea3549,0x23740be2,0x03df884d,0x53e66b62,0x83fcdcfa,0x3620a2f8,
    0x4487d887,0x3e61362f,0x3ec43f62,0x109117c4,0xf11ba05f,0x3cc07ec5,
    0x333ea370,0x8600c1fd,0xf50d70dd,0x1ccdfca8,0x1b6089f6,0x3f32a0db,
    0xa9e22cce,0x23549b07,0xf950c2f8,0x23ec399b,0x403f884d,0x1bb1b608,
    0x4cbe21ae,0xf507a81f,0x1aaaae88,0x7cc19dd7,0x87a8bee2,0x85eccdf8,
    0x88fb02f8,0x2603fddf,0xfb99d107,0x30060cc1,0xf30f526c,0x1fa05f10,
    0x013607dc,0xc87d417a,0xfb15c817,0x83717fb0,0xd8fd02f8,0x0017ec44,
    0x2a4d81f7,0x4022f887,0x7a8f3079,0x17cc26c0,0x443cc3f9,0x17c41c2f,
    0x457c47e8,0x641ea03f,0x03003ea0,0x87a93218,0xf02f8879,0x9905f30b,
    0x7f40bd00,0xef982fad,0x7e443fbc,0xf02f882f,0x7cdc4d8b,0x905f3002,
    0x17c43d49,0x47983cc0,0x09b0c2f8,0x89f715f3,0x042f8879,0x45f817c4,
    0x103f52f8,0x544887fb,0x3006280f,0xf30f5264,0x3f705f10,0x09904e88,
    0x73080bd0,0x44019080,0xf705f104,0x7c415c83,0x13a22882,0xf10f5264,
    0x30798a05,0x3717fb0f,0x37e60ae4,0x887981bc,0x17c4302f,0x8be20fdc,
    0x036000ed,0x064881f7,0x0f526c30,0xb85f30f5,0xb146d83f,0x200bd009,
    0x807b005a,0x5c2f980f,0x4c5fa83f,0x1b60c82f,0x10f526c5,0x3d41907f,
    0xefc887a8,0x3e62fd42,0x7c43d402,0x0be60c82,0x45f307f5,0x4ccc46e8,
    0xd30bfc89,0x43fb99bf,0x9999999a,0xfb13df31,0xb31fec47,0x019999df,
    0x2b999bf7,0xf7102fea,0x0f72005f,0x2a05bb30,0x9dfb30cd,0x4c001999,
    0x5eecdffc,0x573337ee,0x3fd89ef9,0x3b37ff62,0x10ff626e,0x800207fb,
    0xb101efd9,0x677e4c7f,0x3f665ecc,0x980cccce,0x3be61efd,0x009fff33,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x64c00000,0x37b263de,0x4c19d932,0x9300adec,0x1ef4405d,
    0x5c077ae2,0x66f764c5,0x896f64c2,0xdd50bedb,0x25dddddd,0xedcccec9,
    0x9b9bd931,0x999bd703,0x37b6a1bb,0x4c73b221,0xd930ceed,0x983e2017,
    0xa984eeee,0x26153050,0x2201400a,0x830370aa,0x22621331,0x2623312a,
    0x26213109,0x7c433109,0x1ec2f984,0xf9803f98,0x3217ee06,0x7540fdab,
    0xbf32f985,0x46d82f98,0x23a9762b,0xf315c2f9,0x0322f4c5,0x84fa87f5,
    0xb85fb059,0x3107ec03,0x4ec41333,0x22e60de9,0x03e8bbec,0xea9e8812,
    0x191cc3ca,0x4bec93e2,0x437a29f3,0xc8dd10e8,0x17c41fc1,0x017c4059,
    0xfd817ecc,0x213e0c44,0x2e2f885c,0x320be21f,0x43176146,0x3e2182f9,
    0x8850fdc2,0xc81f905f,0x24cdd100,0x1403eae0,0x1d8f9174,0x1206b9f6,
    0x10bee1e8,0x49b12e1d,0xd52e42fa,0x091ea14c,0x325f107f,0x4017c402,
    0xfaa86db9,0x5b84c804,0x8bea2f88,0x406c82f8,0x08be605d,0x17d42f88,
    0x3a201fb0,0x9f300ea5,0xf8b980b1,0x3e23ec40,0x3e25f370,0x0aaabb20,
    0x4c1f3048,0x0f99ec2f,0xf30d526c,0xf824bee1,0x107f0352,0xf100595f,
    0x3f573005,0x5d009f58,0x45f10b70,0x6417c47d,0xf302ec06,0x117c4245,
    0x017d40dd,0xb802cfea,0xf8a400df,0x47d47a80,0x87ea7f2a,0x3bbb207a,
    0x1f55eeef,0x6c7e63f8,0x41aa4d86,0x40eb973e,0x20fe096c,0x8802fef8,
    0xbd39802f,0x4c04f9d4,0x9f10b705,0xdf883bb5,0x406ecccc,0x3bbe605d,
    0xdcdf887e,0x09f100ef,0x80033f20,0xf885c06e,0x67cc7980,0x71fc47e2,
    0x20900c3f,0x2e0fc2f8,0x24d83d15,0x317d706a,0x2be2037f,0x5f107f03,
    0x2f8805fb,0x23f53980,0x019013e5,0x22be216e,0xd905f100,0x3e605d80,
    0x88be20e2,0x00ed81fd,0x54009f10,0x445304fc,0x6d87980f,0x7e4bb1a6,
    0x8120399e,0x8ec1a65d,0x7d8b6459,0x02f49f10,0x41fc03f6,0x405fb2f8,
    0x239802f8,0x813e39cf,0x2216e01b,0x417c402f,0x302ec06c,0x17c4045f,
    0x03f717e2,0x91004f80,0x3ff607ee,0x3cc4ffff,0x036f3722,0xff399991,
    0xd102401d,0x52401b7d,0x7de77cc5,0x01dc3b03,0x883f812a,0x440bf62f,
    0x71cc502f,0xa827c1bf,0x7c42dc02,0x6417c402,0xf302ec06,0x442f8805,
    0x0c13e66f,0x836009f0,0x4ccc40ee,0x23d409fa,0x81100221,0x08803800,
    0x00210000,0x44020001,0x6c2f983f,0xc83f883f,0x44f89260,0x999ba84f,
    0x7cc35c1b,0x6c17cc02,0xf3037406,0x642f9805,0x0dc1ba2f,0x83b009f0,
    0x07c405f9,0x0000ff62,0x00000000,0x00000000,0x3177e440,0x3f623bfb,
    0xbffb12df,0x76ccddd9,0x77e44322,0x3ffffea2,0xb317f546,0x3f6603bf,
    0x02ffea1d,0x3660ffee,0xdfb301df,0x7e45bbb9,0x07eccccd,0x2a05df91,
    0x6ffdc2fe,0x0001f101,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x30a60000,0x98026213,0x2a235301,0x88135301,0x0002801a,0x20004200,
    0x06040aa8,0x510aa8c4,0x33333301,0x20cc2662,0x98c42898,0x98899882,
    0x04c08809,0x4d302814,0x37222dc8,0x06e00003,0x5005d540,0x7dc5cc03,
    0x43649d10,0x56c6c8b9,0x44d9bde8,0x2f21e88c,0xb82404d8,0x03abddba,
    0x02da9e4c,0x22ea8d88,0xbf306a48,0xfb95bd77,0x7ccd6c41,0x8ba1fb14,
    0xf52fccfa,0xe887f9b9,0xb80ae88e,0x01906c44,0x2613c0b1,0x664c7864,
    0x22174f63,0x550e884b,0x1fe1b8f2,0x4d87a1d8,0x25f121aa,0x3d4f90f8,
    0x21f0ccd1,0x5b02406b,0x05b5034c,0x0f402f6a,0x03a3b8f7,0x5f0fd4bb,
    0xe88db044,0xb06d82ac,0x5321ae1b,0xababc81c,0x00323625,0x407623c0,
    0x4fa35245,0x4c2aa43f,0xb96a790f,0x1a202e26,0x223549b0,0xa81aaaae,
    0x20aaaaed,0x1f6a02ee,0x2a122090,0x40073220,0x83e60cc9,0xea97c1f9,
    0x20f99320,0x301f703e,0x6c13609f,0x37721ea4,0x3bbb9301,0x665c1f88,
    0x1e3ccccc,0x3882e1a6,0x22e96ce2,0x54f1122a,0x88b22555,0x6c01f503,
    0x80f51aa4,0x4406b9c9,0x23260dfd,0x7f77647a,0x10354eee,0x40007ae7,
    0xf81f54e8,0x22f8b6c3,0x3e83e64c,0x1ba02f98,0x2a4c8264,0x305edc87,
    0x9c839b99,0x20f0000d,0x190c45c4,0x20c8dc6e,0x75161c45,0x3e201803,
    0x3549b0c2,0x3e230be2,0x88441f50,0xa9e29f50,0x83882407,0x002f661b,
    0x0be22da8,0x4c87c43f,0x741f3264,0x17027443,0x3209909d,0x23321ea4,
    0xbbabc83f,0x806c4325,0x32a3b303,0x83776e09,0x21862cc8,0x0060b81a,
    0x457ec000,0x3ec5720b,0xa8dc5fec,0x731bf50f,0x3ea77244,0x02402f90,
    0xc882c41b,0x0399101c,0x8e469976,0x3e65c858,0x28db0fa0,0x3617ccaa,
    0x43d49b04,0x2e05f55d,0x20e20544,0x00000048,0x00000000,0x0bbf2200,
    0x87f79df3,0x7742efc8,0x20effaac,0x3a0cacf8,0x1202fadf,0x6666ee54,
    0x4cb6e202,0x774400cc,0x0b8e60db,0x7e45774c,0xf71dfa8b,0x3eab999b,
    0x3aa5ff31,0x44f7cc2f,0x2bbea3fd,0x00883ff8,0x00000000,0x00000000,
    0x84008000,0x10300400,0x20080440,0xcccdcccb,0x1800c033,0x00110003,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x164d4000,0x66665c00,0x26715ccc,0x88202a22,
    0x40888888,0x99999999,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xcb800000,0x24cccccc,0x546c8b72,0x5ea9000e,0x59b7915c,
    0x5dddc4a2,0x2aa0bbbb,0x00aaaaaa,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x4c000000,0x360d85ab,0x83012001,0x0000bdb8,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0xaaaaaaa9,0x0c16a3a2,0x00008003,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x26662000,0x32e09999,0x000000d9,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_18_latin_ext_x[560]={ 0,1,1,0,0,0,0,0,0,0,1,0,0,0,
1,0,0,1,0,0,0,0,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,-1,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,-1,0,0,-1,0,0,0,0,0,0,0,
-2,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,2,1,1,0,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,1,1,0,0,0,
1,1,0,0,-1,0,0,0,0,-1,0,0,0,0,1,1,-1,1,1,1,0,0,1,1,0,0,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,-2,0,0,0,0,0,0,
0,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
1,0,1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,2,0,2,2,2,
2,2,2,2,2,2,2,2,2,2,1,0,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,0,-1,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static signed short stb__times_18_latin_ext_y[560]={ 14,2,2,2,2,2,2,2,2,2,2,4,12,9,
12,2,3,3,3,3,3,3,3,3,3,3,6,6,4,6,4,2,2,2,3,2,3,3,3,2,3,3,3,3,
3,3,3,2,3,2,3,2,3,3,3,3,3,3,3,2,2,2,3,16,2,6,2,6,2,6,2,6,2,2,
2,2,2,6,6,6,6,6,6,6,4,6,6,6,6,6,6,2,2,2,8,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,14,6,3,3,4,3,
2,3,3,2,3,6,7,9,2,1,2,4,3,3,2,6,3,7,13,3,3,6,3,3,3,6,-1,-1,-1,0,
0,0,3,2,-1,-1,-1,0,-1,-1,-1,0,3,0,-1,-1,-1,0,0,5,2,-1,-1,-1,0,-1,3,2,2,2,
3,3,3,2,6,6,2,2,3,3,2,2,3,3,2,3,2,2,3,3,3,5,6,2,2,3,3,2,2,3,
1,4,0,3,2,6,-1,2,-1,3,0,3,-1,3,-1,2,3,2,1,4,-1,3,0,3,3,6,-1,3,-1,3,
0,3,0,3,2,2,-1,-1,3,2,0,3,1,4,-1,3,3,2,0,6,3,2,-1,3,3,2,6,-1,-1,3,
2,2,2,3,2,3,2,-1,2,3,6,-1,3,2,2,6,1,4,-1,3,-1,2,3,6,-1,2,3,6,-1,3,
-1,2,-1,3,2,6,-1,3,3,4,-1,2,3,4,0,3,1,4,-1,3,-1,2,-1,2,3,6,-1,3,-1,3,
0,-1,2,0,3,-1,3,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2,3,3,2,3,3,3,
3,3,3,3,3,3,3,3,3,3,1,6,3,3,3,3,3,3,3,3,3,3,3,3,3,1,6,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,-1,3,-1,3,-1,
3,-1,3,-1,1,-1,0,-1,0,-1,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,-3,-1,-1,2,-1,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static unsigned short stb__times_18_latin_ext_w[560]={ 0,3,5,8,8,13,13,3,6,5,6,9,4,5,
2,5,8,6,8,7,8,8,8,8,8,8,3,3,9,9,9,7,15,12,10,11,12,10,9,12,12,6,7,12,
10,15,13,12,9,12,11,8,10,12,12,16,12,12,10,4,5,5,8,10,4,8,9,7,9,7,8,8,9,5,
6,9,5,13,9,8,9,9,6,6,5,9,8,12,8,9,7,5,1,5,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,0,3,7,8,8,9,
1,6,5,12,6,8,9,5,12,10,6,9,5,5,4,8,9,2,3,3,5,8,11,11,12,7,12,12,12,12,
12,12,16,11,10,10,10,10,6,6,6,6,12,13,12,12,12,12,12,7,12,12,12,12,12,12,9,8,8,8,
8,8,8,8,11,7,7,7,7,7,5,5,5,5,8,9,8,8,8,8,8,9,8,9,9,9,9,9,9,9,
12,8,12,8,12,9,11,7,11,7,11,7,11,7,12,11,12,8,10,7,10,7,10,7,10,8,10,7,12,8,
12,8,12,8,12,8,12,9,12,9,6,6,6,6,6,6,6,6,6,5,12,8,7,7,12,9,9,10,5,10,
5,10,7,10,6,10,5,13,9,13,9,13,9,10,11,7,12,8,12,8,12,8,14,12,11,6,11,6,11,6,
8,6,8,6,8,6,8,6,10,5,10,7,10,5,12,9,12,9,12,9,12,9,12,9,12,9,16,12,12,9,
12,10,7,10,7,10,7,7,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,12,9,9,8,9,9,9,
9,9,9,9,9,9,9,9,9,9,11,9,9,9,9,9,9,9,9,9,9,9,9,9,9,14,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,12,8,6,5,12,
8,12,9,12,9,12,9,12,9,12,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,12,8,16,11,12,8,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9, };
static unsigned short stb__times_18_latin_ext_h[560]={ 0,13,6,13,14,13,13,6,16,16,8,9,5,2,
3,13,12,11,11,12,11,12,12,12,12,12,9,11,9,5,9,13,16,12,11,13,11,11,11,13,11,11,12,11,
11,11,12,13,11,16,11,13,11,12,12,12,11,11,11,16,13,16,6,2,4,9,13,9,13,9,12,12,12,12,
16,12,12,8,8,9,12,12,8,9,11,9,9,9,8,12,8,16,16,16,3,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,0,12,15,12,9,11,
16,15,3,13,5,9,4,2,13,2,6,9,6,6,4,12,15,3,5,6,5,9,12,12,12,12,15,15,15,14,
14,14,11,16,15,15,15,14,15,15,15,14,11,15,16,16,16,15,15,7,13,16,16,16,15,15,11,13,13,13,
12,12,12,13,9,12,13,13,12,12,12,12,11,11,13,11,13,13,12,12,12,7,9,13,13,12,12,16,16,15,
13,11,14,12,15,11,16,13,16,12,15,12,16,12,15,13,11,13,13,11,15,12,14,12,14,11,15,12,16,15,
15,15,15,15,16,16,15,15,11,12,14,11,13,10,15,11,14,15,14,8,12,16,16,15,15,16,8,15,15,15,
16,12,12,11,12,11,12,16,12,15,12,16,11,12,13,12,14,11,16,12,16,13,12,9,15,12,15,12,15,11,
16,13,16,12,16,12,16,12,15,14,15,13,11,11,15,12,14,11,16,12,16,13,16,13,14,11,16,12,15,15,
14,15,12,14,11,15,11,12,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,13,11,11,16,11,11,11,
11,11,11,11,11,11,11,11,11,11,14,9,11,11,11,11,11,11,11,11,11,11,11,11,11,14,9,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,15,12,15,11,16,
12,16,12,16,14,16,15,16,15,16,15,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,17,16,15,13,16,13,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11, };
static unsigned short stb__times_18_latin_ext_s[560]={ 252,252,218,61,67,171,157,233,39,108,170,
194,247,250,253,194,57,57,48,121,156,10,13,22,31,40,251,252,74,112,84,
53,236,48,108,31,225,214,98,1,74,1,83,8,21,32,98,158,64,223,238,
127,87,142,180,97,143,130,119,133,90,34,224,165,129,46,43,1,229,19,133,
114,80,250,14,27,69,112,150,94,145,123,143,39,125,9,246,233,134,193,126,
151,170,185,155,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,252,251,238,
171,65,222,204,246,149,114,122,214,139,250,14,176,211,55,205,199,134,56,57,
253,243,195,237,103,1,240,227,219,67,80,93,1,242,168,1,1,158,169,194,
143,228,235,242,204,44,212,13,35,48,72,22,177,1,61,86,49,117,59,198,
171,96,149,160,151,142,208,27,113,180,230,86,78,72,66,171,208,238,150,105,
185,212,203,1,185,172,198,188,37,94,62,154,85,136,193,27,104,46,83,74,
70,191,195,45,179,203,234,112,239,112,220,209,184,201,61,76,242,87,103,125,
187,228,25,104,95,9,149,1,145,136,205,209,47,222,177,111,165,249,202,161,
130,154,250,221,20,46,1,215,29,160,34,106,35,14,29,75,160,91,131,112,
241,118,180,128,177,28,174,136,185,14,232,191,210,85,148,65,181,13,155,1,
90,226,65,99,14,111,49,114,203,123,138,109,137,91,128,72,192,67,19,191,
241,164,169,132,118,215,21,98,93,206,129,120,153,229,163,247,211,142,80,57,
40,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,217,18,18,26,
18,18,18,18,18,18,18,18,18,18,18,18,18,40,204,18,18,18,18,18,
18,18,18,18,18,18,18,18,52,223,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,54,162,
102,38,172,165,157,155,138,181,120,133,98,143,72,174,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,1,40,184,78,21,200,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18, };
static unsigned short stb__times_18_latin_ext_t[560]={ 15,1,178,100,85,85,85,178,36,19,178,
166,178,163,40,85,114,166,166,114,166,128,141,141,141,141,141,128,178,187,178,
100,1,128,166,100,154,154,166,114,166,166,128,166,166,166,128,100,166,1,154,
100,166,141,141,141,166,166,166,1,100,1,178,187,187,178,100,178,85,178,141,
141,141,114,1,114,128,178,178,178,128,141,178,178,154,178,166,166,178,128,178,
1,1,1,187,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,
154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,15,85,36,
141,178,141,1,36,187,100,187,166,187,163,114,187,178,178,178,178,187,141,53,
36,178,178,178,178,141,128,128,128,53,53,53,85,69,69,154,19,53,53,53,
69,53,53,53,69,154,36,19,19,19,69,69,178,100,19,19,1,69,69,154,
100,100,100,114,114,114,100,178,114,100,100,114,114,114,114,154,154,100,154,100,
85,114,114,128,178,166,100,100,114,114,1,19,69,100,141,85,114,69,154,19,
100,19,114,53,114,19,114,53,85,154,85,85,154,36,128,85,114,85,154,53,
114,19,53,69,69,69,53,36,19,53,53,141,114,69,154,85,166,53,141,69,
69,69,154,114,36,36,69,53,36,178,53,53,69,36,128,128,154,128,154,128,
19,128,53,128,19,154,128,85,128,85,141,1,128,1,85,141,166,53,141,53,
141,36,154,19,100,1,141,19,128,19,128,36,69,36,85,154,154,36,128,69,
141,19,114,19,85,19,100,85,154,1,114,36,36,69,36,100,69,154,36,154,
128,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,100,154,154,19,
154,154,154,154,154,154,154,154,154,154,154,154,154,85,166,154,154,154,154,154,
154,154,154,154,154,154,154,154,85,166,154,154,154,154,154,154,154,154,154,154,
154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,36,141,
36,154,1,128,1,128,1,69,1,36,1,36,1,36,154,154,154,154,154,154,
154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,
154,154,154,1,1,36,100,1,85,154,154,154,154,154,154,154,154,154,154,154,
154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,
154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,
154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,
154,154,154,154,154,154,154,154,154, };
static unsigned short stb__times_18_latin_ext_a[560]={ 65,87,106,130,130,217,202,47,
87,87,130,147,65,87,65,72,130,130,130,130,130,130,130,130,
130,130,72,72,147,147,147,115,239,188,173,173,188,159,145,188,
188,87,101,188,159,231,188,188,145,188,173,145,159,188,188,245,
188,188,159,87,72,87,122,130,87,115,130,115,130,115,87,130,
130,72,72,130,72,202,130,130,130,130,87,101,72,130,130,188,
130,130,115,125,52,125,141,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,65,87,130,130,130,130,52,130,
87,198,72,130,147,87,198,130,104,143,78,78,87,150,118,65,
87,78,81,130,195,195,195,115,188,188,188,188,188,188,231,173,
159,159,159,159,87,87,87,87,188,188,188,188,188,188,188,147,
188,188,188,188,188,188,145,130,115,115,115,115,115,115,173,115,
115,115,115,115,72,72,72,72,130,130,130,130,130,130,130,143,
130,130,130,130,130,130,130,130,188,115,188,115,188,115,173,115,
173,115,173,115,173,115,188,168,188,130,159,115,159,115,159,115,
159,115,159,115,188,130,188,130,188,130,188,130,188,130,188,130,
87,72,87,72,87,72,87,72,87,72,184,144,101,72,188,130,
130,159,72,159,72,159,106,159,89,159,72,188,130,188,130,188,
130,157,182,129,188,130,188,130,188,130,231,188,173,87,173,87,
173,87,145,101,145,101,145,101,145,101,159,72,159,111,159,72,
188,130,188,130,188,130,188,130,188,130,188,130,245,188,188,130,
188,159,115,159,115,159,115,72,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,188,202,202,130,202,202,202,202,202,
202,202,202,202,202,202,202,202,188,138,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,141,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,188,115,87,72,188,130,188,130,188,130,188,
130,188,130,188,130,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,188,115,231,173,188,130,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_18_latin_ext_BITMAP_HEIGHT or STB_FONT_times_18_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_18_latin_ext(stb_fontchar font[STB_FONT_times_18_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_18_latin_ext_BITMAP_HEIGHT][STB_FONT_times_18_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_18_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_18_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_18_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_18_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_18_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_18_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_18_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_18_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_18_latin_ext_s[i] + stb__times_18_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_18_latin_ext_t[i] + stb__times_18_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_18_latin_ext_x[i];
            font[i].y0 = stb__times_18_latin_ext_y[i];
            font[i].x1 = stb__times_18_latin_ext_x[i] + stb__times_18_latin_ext_w[i];
            font[i].y1 = stb__times_18_latin_ext_y[i] + stb__times_18_latin_ext_h[i];
            font[i].advance_int = (stb__times_18_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_18_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_18_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_18_latin_ext_s[i] + stb__times_18_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_18_latin_ext_t[i] + stb__times_18_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_18_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_18_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_18_latin_ext_x[i] + stb__times_18_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_18_latin_ext_y[i] + stb__times_18_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_18_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_18_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_18_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_18_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_18_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_18_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_18_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_18_latin_ext_LINE_SPACING
#endif

