// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_21_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_21_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_21_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_times_21_latin_ext_BITMAP_HEIGHT        246
#define STB_FONT_times_21_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_times_21_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_21_latin_ext_NUM_CHARS            560

#define STB_FONT_times_21_latin_ext_LINE_SPACING          14

static unsigned int stb__times_21_latin_ext_pixels[]={
    0x00000000,0x40000080,0x00154000,0x41000010,0x00010000,0x40014cdc,
    0x220c004a,0x00883000,0x00000b10,0xeeeea800,0x00000400,0x014c05f5,
    0xda80fe60,0x40774007,0x443743f8,0xabba8002,0x53000bbb,0x5440dc6e,
    0x3513f881,0x0013a200,0x46c40014,0x23a20048,0x00cc0058,0x0007ec00,
    0x98066662,0x036400fd,0x024c01e4,0x7d880990,0xc803e200,0x1fcc1541,
    0x3201c980,0x2371d400,0x0e40681b,0x2ad300b2,0x355a6006,0x007ff200,
    0x2005df70,0x8000d569,0x5698001f,0x007e440d,0x801201b2,0x2009002b,
    0x006a007c,0x30037000,0x4c02e00b,0x541b8dc5,0x405a8005,0x44007138,
    0xa8800713,0x00550002,0x000389c4,0x9c4000aa,0x007dc038,0x001e4c00,
    0x6400001f,0x00022007,0x03660000,0xb85d0380,0x006c8371,0x666547b8,
    0x8e66541c,0x541cccca,0x99951ccc,0x1ccca839,0x017b9930,0xa8399995,
    0x01001ccc,0x0e666540,0xfb87332a,0xaa400800,0x4c0bb002,0x8170cdcc,
    0x2205957c,0x857103cd,0x99bb984a,0xbbb80e81,0x21ea0e5a,0x07b8371b,
    0x50f90ae2,0x03aa01df,0x3aa01df5,0xa8077d40,0x20dd880e,0x0efa83e9,
    0x97001d50,0x99999999,0x500efa81,0x510fb81d,0x5201c455,0x10f7002a,
    0x1e7d41bb,0x2ff6d7e4,0xfc8848d4,0x25d17ee3,0x1260cdfa,0x1527c476,
    0x371b86d8,0x7f9107a8,0x05f886c8,0x817e2162,0x205f8858,0x260db058,
    0x102fc43f,0x67ee400b,0x441d9999,0x2e16205f,0x3985d10f,0x700274c0,
    0xf506e81f,0x7ec5f907,0x8825e440,0x8f52ec3f,0x2642b84f,0x3e0545f3,
    0xa8351b85,0x1a61fc04,0x209102fc,0x7c12205f,0x3ee12205,0xbf03f602,
    0x5d002440,0xbf03307f,0x47dc2440,0x804a80d8,0x8bea003e,0xfdd882fb,
    0x0fea3e40,0xd87f0062,0xb0db1f25,0x8f507dc1,0x0dc27c43,0x1fc00b88,
    0x102fc15c,0x48817e09,0x42440bf0,0x227d407f,0x4012205f,0x0103f9b9,
    0x5c2440bf,0x0b700d9f,0x26006fa8,0x46c1fe3f,0x7c3e44fa,0xf01e5cc5,
    0x87ea5d87,0x21f4683e,0x13e2245d,0x4016606e,0x5f89503f,0x02fc1220,
    0x8817e091,0x2a03fc44,0x9102fc5f,0x21fcd600,0x440bf008,0x00fdfb84,
    0x2fcd80d7,0x3e25f500,0x8bf31c87,0x56e4e87c,0xd87f04f8,0x825d7645,
    0x3f987e26,0x2e13e0e6,0xf8019101,0x05f81b83,0x102fc122,0x48817e09,
    0x3e6037cc,0x09102fc6,0x88fe6750,0x440bf01c,0x0ee8fb84,0x232607c8,
    0x23f7005f,0xf31d46f9,0x1fc47c8d,0x3f836c7d,0x006722ec,0x5c43ea1b,
    0x17a0911f,0x12a0d46e,0xf05987f0,0x5f82440b,0x02fc1220,0x406f9891,
    0x102fc6f9,0x77ccb009,0xbf01feee,0x47dc2440,0x00fd85f9,0x2003f639,
    0x4cff10fb,0x3f22fcc4,0x74c11aa0,0x25d89f07,0x70199aeb,0x26af7e25,
    0xc850c99f,0xa8371b86,0x1b21fc07,0x209302fc,0x7c12605f,0x1fe12605,
    0x05f89f50,0x99d50126,0xf01b87fb,0x7dc24c0b,0x0fe89f50,0x013e6588,
    0xb11ff136,0xdfc89f50,0xaca80bbb,0x177e447c,0x7fffccbb,0x9524c2ff,
    0x8530e5c3,0x1b8dc0fa,0x90fe03dc,0x3a81be0f,0x81d40df0,0x360ea06f,
    0xf0bee01f,0x3601d40d,0x443fa999,0x1d40df00,0x3e673faa,0x2e0d91cf,
    0x3e203f42,0x406d7ec1,0x09be42fb,0x003e4b90,0x99894cbb,0x4001c86a,
    0x71b85b04,0x1fc06c83,0x807ec1ee,0x201fb02c,0x201fb02c,0x204f882c,
    0x900fd85e,0x3e615c05,0x01fb0203,0x001500b2,0xfb9999d0,0x7c41dc05,
    0xf909f01f,0x1f22f980,0x40d14d80,0x32003903,0x71b8b100,0x17c05983,
    0x427c416a,0x213e205a,0x213e205a,0x20bee05a,0x84f880ec,0x2616205a,
    0xf881703f,0x7d805a84,0x7c41d400,0x7e409306,0x0f906c82,0x1fd54f88,
    0x98746e01,0x0ca88adf,0x2e602b20,0x371cc00c,0x1911a06e,0x4c0390d1,
    0x804dcced,0x04dcced9,0x4dcced98,0xdbbce980,0x6676cc04,0x541e404d,
    0xb305983f,0x2009b99d,0x806c0069,0x3014c1fc,0x7b77bb39,0x802ffaa0,
    0x02faaffc,0xd9506bfa,0x730019df,0x003bb979,0x0371b944,0x0577cc6a,
    0x04c00151,0x00009800,0x02600013,0x91002600,0x7ff5c3bf,0x803fedcd,
    0x02e60009,0x3e605a80,0x04c04006,0x00020000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3660ffaa,0x00001dff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x26001e44,0x5910001c,0x00197000,
    0x79000404,0x401ea800,0x01300261,0x5003c880,0x0202009d,0x18130008,
    0x26017a20,0x402ccccb,0xd10001ed,0x4e98001b,0x3f760080,0x0026c001,
    0x4c000eb8,0x2ea005ee,0x26000ca9,0x0136000f,0x409f15f7,0x7d4004f8,
    0x1fae8800,0x0ca9ba80,0x3a007f10,0x2f600d89,0xfffd103e,0xbb9700a6,
    0x136f2000,0x105d7d00,0x4ce607d7,0x002c4005,0x0c8000d8,0x7fe40039,
    0x003b8003,0x5c2e2016,0x2000dc01,0x2217001c,0x07ff9004,0xdf5001c8,
    0x01914c05,0x0a6ffffb,0x0006e388,0xa8006453,0x7f310911,0x80011020,
    0x00180008,0x2000c088,0x800c0000,0x00000000,0x001000c0,0x80000040,
    0x4040402a,0x0537ffff,0x02000404,0xf0004002,0x2f732607,0x1cccca80,
    0xca8e6654,0x66541ccc,0x3999951c,0x951ccca8,0xcca83999,0x7b99301c,
    0x44555501,0x455550aa,0xbb980aa8,0x36a20199,0x510289bc,0x2051379b,
    0x000bdcc9,0x9bcda880,0x44555528,0x3fffe0aa,0x65440537,0x65428bdc,
    0x799952cc,0xb982ccb8,0x43f8199b,0x0fa60dd8,0x75403bea,0xa8077d40,
    0x8077d40e,0x077d40ea,0xdd880ea8,0x3fa0fa60,0x03fa1e40,0x3ea5d079,
    0x22ec80cd,0x2ec83fc9,0xbb10ff26,0x5c41f4c1,0x93176402,0x3207f47f,
    0x9bfffec3,0x64c3f702,0x5c5fb85f,0x5d07b06f,0x7f0337ea,0x87f306d8,
    0x216205f8,0x216205f8,0x216205f8,0x416205f8,0x987f306d,0x17cc2c2f,
    0x09f1ea16,0x226c03ee,0xd89b00fb,0x6447f306,0x403ee03f,0x0b0be64d,
    0x0a6fffb1,0x834c03ea,0x0d07e86f,0x7f04f8f5,0x1fb017dc,0x412205f8,
    0x7c12205f,0x2fc12205,0x05f70b10,0x99b607ec,0x424cdb04,0x7d436c7c,
    0x3fa92203,0x02fb9220,0x03f883f6,0x224407f5,0x9881266d,0x04f98536,
    0x641fc824,0x3e42441f,0xff1fc1b6,0x2fc4fa80,0x817e0910,0x440bf048,
    0x2c40bf04,0x13ea03fc,0x540323f5,0x3f50191f,0x00fec1f4,0x0401fd82,
    0x44fa80ff,0x803fb03f,0x00c8fd40,0x2fd85348,0x44f98040,0x5415c4fb,
    0x9fc0fa1f,0x2fd407f8,0xf048817e,0x5f82440b,0x02fc1220,0x407f88b1,
    0x58de85fa,0x902c6f40,0x1fe0975d,0x4400ff00,0x22fd407f,0x000ff03f,
    0xa401637a,0x0007fc29,0x47ee8dd0,0x12ebb205,0x80df33f8,0x102fc6f9,
    0x48817e09,0x82440bf0,0xf316205f,0xa86f980d,0x6fd402df,0x98067202,
    0x1be6006f,0x4c06f980,0x7cc1fc6f,0x5bf50006,0xf314d200,0x33bae20d,
    0x7931fb80,0x9c81225f,0xdf33f801,0x2fc6f980,0x817e0910,0x440bf048,
    0x2c40bf04,0xdf301be6,0x3f401fa0,0x03335d70,0x7cc00df3,0x01be6006,
    0x983f8df3,0x1fa0006f,0x7cc53480,0x9807f407,0x29f1374f,0x335d701b,
    0x0ff1fc03,0x02fc4fa8,0x9817e093,0x24c0bf04,0x212605f8,0x827d407f,
    0x4077003b,0x2ffffff9,0x44003fe2,0x1fe000ff,0x84f89f50,0x70000ff8,
    0x229a4007,0x1f601ff8,0xb7e96fd0,0x7ffffcc0,0xfb27c42f,0x3e17dc03,
    0x37c0ea06,0x81be0750,0x540df03a,0x2e01fd83,0x2001902f,0x4c4a600c,
    0x00fec6a9,0x6c003fb0,0x44bee01f,0x1fd82efc,0x40019000,0x03fd8534,
    0x97f701f6,0x53025fdc,0xc89aa662,0x409f12ef,0x900fd85e,0x6403f605,
    0x3201fb02,0x2e01fb02,0x3a04f882,0x2200b105,0x4381a205,0x98a206f9,
    0xf88a206f,0x81617a04,0x20a206f9,0x29a40058,0x7d807fc4,0xf10ffc40,
    0x381a203f,0x0bee0544,0x13e203b2,0x84f8816a,0x213e205a,0x213e205a,
    0x20bee05a,0x373620ec,0x03736200,0xa88adf98,0x40dfa80c,0x40dfa838,
    0xc82fb838,0x2a03c40e,0xb11c40df,0x348001b9,0x360df305,0x7d86d807,
    0x222b7e60,0x436c40ca,0x04dbbce9,0x26e676cc,0x6e676cc0,0xcced9804,
    0xced9804d,0xce9804dc,0xef984dbb,0x00f7cc01,0x0677f654,0x999bfd30,
    0x666ff4c0,0x2ef3a604,0x0efba04d,0x2666ff4c,0x20007be6,0x3b620534,
    0x802ddbad,0x5404a83a,0x500cefec,0x8000980b,0x01300009,0x40002600,
    0x01300009,0x00000000,0x30002600,0x00098001,0x00260033,0x44000000,
    0x02000019,0x00ba8000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0x000003c8,0x404a8c98,
    0x39700181,0x00441800,0x700ee950,0x0176407d,0x44005930,0x0e540000,
    0x0884ea80,0x3333220c,0x2a4ccccc,0x6541cccc,0x018181cc,0xda80bd30,
    0x5eed42cc,0x3ea12a29,0x93139000,0x03ca6400,0x802ddecc,0xe880092a,
    0x9ec00588,0x3efa202e,0x006cda80,0xff9801b2,0x4d80038c,0x207efa00,
    0xaea8392d,0x7b99df99,0xea8077d4,0x0b11d100,0x701f5ec0,0x2a22fa0f,
    0x3903fa5f,0x0f7fcc00,0x40161b00,0x53001deb,0x3bee0012,0x058ac002,
    0x2384985c,0x001b003a,0x004fea94,0x217002c4,0x84ef8848,0x8717e20a,
    0x016205f8,0x26005df7,0x43dc0321,0x3f65a86a,0x018000c0,0x00006180,
    0x00019700,0x211000aa,0x08000008,0x08000300,0x20009800,0x10155000,
    0x7c045f88,0x2a012205,0x40202002,0x4906d87b,0x4deed47d,0x3732a202,
    0x6665428b,0x0e66541c,0x50ccddcc,0xca839999,0x399711cc,0x402f32a0,
    0x200bdcc9,0x540bcccb,0x26029bdd,0xca80bdcc,0x66541ccc,0x0399711c,
    0x2202f32a,0x37bb502b,0x402fc405,0x2612205f,0xcccccccc,0x073332a3,
    0x1ee19997,0x641037f2,0x3ea22fa6,0x64c3f705,0x00efa85f,0x2a5d01d5,
    0x3bea0cdf,0xf501d500,0x441aa01d,0x80fa60dd,0x88be85fb,0x0dd885fa,
    0x3bea0fa6,0xf501d500,0x441aa01d,0x88be83fd,0x17e205fa,0x848817e0,
    0xf9999adb,0x80ffd40f,0x221ee0de,0x2d703ffe,0xfa85a86a,0xbf10d300,
    0x23d42c40,0x205f884f,0x417f6058,0x260db059,0xa87f503f,0x06d85a86,
    0x05f887f3,0x05fd8162,0x21fc40b3,0x2205a86a,0x205f805f,0x7f903848,
    0x3a20ff20,0xfc883dc0,0x6dad41ef,0x404f9890,0x2440bf04,0x7c1b63e4,
    0xcd812205,0xfb84884f,0x2603f602,0x44836c3f,0x03f602fb,0xb02440bf,
    0x809109f9,0x04836c3f,0x17e017e2,0xfa818488,0x3207f405,0x74c07b82,
    0x7e5263ff,0x0bf6040d,0x8817e010,0x0fa1fa84,0x409102fc,0x84887fb5,
    0x427d407f,0x06fe43f9,0xfa80ff02,0x09102fc4,0x2443fdac,0x1bf90fe0,
    0x017e2008,0x8049817e,0x7cc00ff8,0x03dc1265,0x2710ffb8,0x3e03ffe8,
    0x0bf0000f,0xbaec8244,0x48817e04,0x10ff4560,0x5407f889,0x443f985f,
    0xff103ffe,0x2fc5fa80,0xe8ac0910,0x7f01221f,0x003ffe88,0x0df00bf1,
    0x17ec01d4,0x01b2fc80,0x7dc0e1ee,0xeffc8863,0xb8837cc1,0x02fc0cee,
    0x00672091,0x2048817e,0x2443fe65,0xdf301be6,0xf9107f30,0x06f983df,
    0x817e37cc,0xff996048,0x83f80910,0x401effc8,0x0fd805f8,0x4fa80590,
    0x0b3fe200,0x980d87b8,0x7ff4c01f,0xfd01fe63,0x2440bf01,0x00ccd75c,
    0xb02440bf,0x98916fa8,0x437cc06f,0x3fa603f9,0x301be63f,0x2205f8df,
    0x2df51604,0x301fc048,0x7c407ffd,0xa84f8806,0x0077c405,0xf701bea0,
    0x25c81bb0,0x43fee04a,0x1f601ff8,0x309302fc,0x05ffffff,0xb024c0bf,
    0xf091bf70,0x984fa80f,0x0ffb803f,0x89f501fe,0x5812605f,0x4048dfb8,
    0x0ffb803f,0x00bffda8,0x26e676cc,0x4000fec0,0x43dc04f8,0x0cdbcecc,
    0x3fb81df6,0x07d80ff6,0x4c1d40df,0xf0d53312,0x0b01d40d,0x3f6133f6,
    0x260bee01,0x3fb81c2f,0x2fb807f6,0x4075037c,0x8099fb05,0x3fb81c2f,
    0x1dc00020,0x0104fb80,0x3dc04f88,0xd8409504,0x3e21f980,0x360fb00f,
    0x6885900f,0x403f60e0,0x7441602c,0x204f884f,0xd83f305e,0x3e21f980,
    0x3f617a04,0x82c05900,0x07c04fe8,0x407e6036,0x4b8004f8,0x1206f980,
    0x7b809f10,0x3600fd40,0x7cc2e40d,0x3e20fb06,0xdf985a84,0x880ca88a,
    0x7405a84f,0x2e09f100,0x2e0ec82f,0x0dd86a8f,0x417dc2e4,0x84f880ec,
    0x8807405a,0x2c45c44f,0x017206ec,0xbf300095,0x407fa037,0x02fcc05a,
    0x01f101ee,0xcdbcecc8,0x75bdb100,0x76cc05bb,0x32a04dcc,0x2600cefe,
    0x204dcced,0x9302dfc9,0x6dde74c0,0x81cdf984,0x0cdbcecc,0x9b779d30,
    0xdcced980,0x0b7f2604,0x2bbe624c,0xdbcecc80,0x0015400c,0x3ff20150,
    0x4ffeeeee,0x02fff6a0,0x221f7754,0x0620801b,0x00033100,0x00000013,
    0x08000013,0x08801300,0x40018820,0x00980009,0x40004000,0x00800620,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00001106,0x591012e2,
    0x21373220,0x304000c1,0x03579999,0xca806044,0x26662000,0x20101019,
    0x4c050dea,0x3669501c,0x791d8800,0x401aa980,0x00099999,0x3aa001e4,
    0x3260050d,0x32e00bdd,0x0b11b100,0x363a0048,0x2003ae00,0x0734a85c,
    0x7fc42980,0xb00efc99,0x03f80323,0x7ffffe40,0x2b9ad881,0x05bfd570,
    0x2efb02e4,0xf3f9801f,0x078a440b,0x1bffffe2,0x4001f980,0x402dfeab,
    0x7f513ed8,0x6409dd50,0x01e601ef,0x00d802d4,0x3fb60b90,0x74064000,
    0xf982fdc6,0x0012604e,0x13fee000,0x1b006608,0x08002080,0x07c77002,
    0x05700000,0x400cc100,0xc87f506e,0x0aa203b0,0x402affa8,0x4003004d,
    0x0035105c,0xf11ba090,0x3005540f,0x33332a00,0x40e66541,0x5ee64c00,
    0x4c011100,0xca80bdcc,0x66541ccc,0x4003ae1c,0x000bdcc9,0x332e2006,
    0x41799501,0x43f602fb,0x99991180,0x44999999,0xf51019fc,0x99993039,
    0x32079999,0x57999935,0x09d71003,0x30df31ba,0x32659997,0x401abccc,
    0x1d500efa,0x216665cc,0x0fa60dd8,0xbb107d71,0x7d41f4c1,0x881d500e,
    0x376200ef,0x9950fa60,0xcccb8399,0xa8077d40,0x7e407f86,0x25999734,
    0x9df99aea,0x203dc7b9,0xdb83cfdb,0x0ff9999a,0x4ffc4b90,0x9700efc9,
    0x8dd0bf91,0x07fa02fd,0xdf933ff1,0x8817e201,0xdb03fd05,0xf988fe60,
    0x7f306d83,0x16205f88,0x6d8077e4,0xffa87f30,0x3601bd01,0xf88b305f,
    0x3a2fd407,0x5f882a1f,0x2e01ee1c,0x1fe40e07,0x5c6e8b90,0xc88f985f,
    0xfdbfe87c,0x407ec00c,0xf02fdc6e,0xfd82c40b,0xfb017dc0,0x17dc3f81,
    0x05f81fb0,0x77452122,0xfb017dc0,0xe883fc81,0x213f3600,0x2037cc48,
    0x107ec6f9,0x2e045f88,0x0606d807,0x8b9017ea,0x643fc46e,0x4f740356,
    0x07d803fc,0x207f88dd,0x6c16205f,0x7d407f87,0x01fe1fc4,0x205f89f5,
    0xbd11cc48,0x27d407f8,0x00b207f4,0x8910ff6b,0x37cc06f8,0x0bf101f6,
    0x04f807b8,0x9003fe20,0x37cc6e8b,0x37404aec,0x07d803fb,0x206f98dd,
    0x6c16205f,0x2a03fc47,0xff11fc5f,0x2fc5fa80,0x4c5b8910,0xf501fe27,
    0x24cbf30b,0x21fe8ac0,0x5407f848,0x2203ec5f,0x203dc05f,0x3f6002f9,
    0x3745c802,0x23b20bf6,0xf89ba043,0x6e83ec06,0x0bf017ec,0x4c7d82c4,
    0x237cc06f,0x301be63f,0x2205f8df,0x9961fcc4,0x837cc06f,0xb001b2fc,
    0x84887fcc,0x0bee00fd,0x05f880fb,0x7b80cfd4,0x4013ea00,0x7edff45c,
    0x41df700c,0x27d46e81,0x2ffa0fb0,0x2fc00cfd,0x31f60b10,0x46f980df,
    0x301be63f,0x2205f8df,0x4354fb84,0x37cc06f9,0x002cff88,0x0916fa8b,
    0x437409f1,0x02fc407d,0x2e40ffa2,0x000ef880,0xfc9ee8b9,0x26ffe203,
    0xfc87f82b,0x3ba0fb03,0x5f803fc9,0x43ec1260,0x227d407f,0x2a03fc3f,
    0x9302fc4f,0x3e077ee0,0x5027d407,0x5c2c00df,0x3f5048df,0x01f60990,
    0x80100bf1,0x03fb003e,0xd9ba2e40,0x3ffea01f,0x0e7fe4c4,0x0fb0b7fa,
    0x401fd9ba,0x6c0ea06f,0x2e01fd87,0x3f61fc2f,0xdf0bee01,0x9f501d40,
    0x7dc03fb0,0x8013e202,0x4099fb05,0x02dbacd9,0x0bf101f6,0x1f104f98,
    0x0209f700,0xf89ba2e4,0x80023206,0x20fb0028,0xb01be26e,0x6c0ae01f,
    0x3a04f887,0x27c43f85,0x01fb0bd0,0x10f500b2,0x202f409f,0x416004f8,
    0xfa804fe8,0x203ec04f,0x04a805f8,0x0df300b5,0x3745c824,0x002413ea,
    0x3ec02f4c,0x027d46e8,0x40b509f1,0x905f707d,0xf707f01d,0xf101d905,
    0x8f60b509,0xd905f706,0x004f8801,0x027c403a,0x3603fe98,0x4037c407,
    0x00ec641a,0x05a80ff4,0xfc87f8b9,0xc8001543,0xf80fe804,0x2603fc87,
    0x404dcced,0x79d300fe,0x13e209b7,0x26dde74c,0x3733b660,0x01c4ea04,
    0x09b779d3,0x26017e60,0x09302dfc,0xe80bea80,0x7ffb500f,0x2f202201,
    0xeeffc802,0x264ffeee,0xff934eee,0x52dfe839,0x300ae000,0x3265bff9,
    0x6ff41cff,0x26004c02,0x4c02dffc,0x0bbf2200,0x13000130,0x8006a600,
    0x3f6a0009,0x100000bf,0x4c6e6000,0x0002dffc,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x64400000,
    0x5c479003,0x799501cc,0x02006541,0x00170002,0x91000790,0x05910007,
    0x2001d880,0x062003c8,0x33332603,0x400f2003,0x59100080,0x93012e00,
    0x32e23999,0x332e60bc,0x00b2602c,0x3f1001f5,0x2a01df50,0x5403e886,
    0x4000c98a,0x0f98003e,0x00fee400,0x22001ae0,0x3f72004f,0x0e4b2001,
    0x8003ff10,0x9ba800fa,0x1d7000ca,0x1003e600,0x02fa81ff,0x0d9007fa,
    0x0ae00390,0x0b305fd8,0xffb10162,0x06fa8007,0x4c007500,0x0d800b33,
    0x4c001000,0x7c400b33,0x007e805e,0x3f600570,0x0036002e,0x8dd00750,
    0x07ec01e8,0x006003a0,0x27e6c018,0x20030244,0xfcd80008,0x40030002,
    0x03000440,0x379b5100,0x01102051,0x740054c0,0x80060007,0x00018000,
    0x6c4dd003,0x4407d801,0x79999300,0x2cccb980,0x4887fb58,0x016665cc,
    0x1930002e,0x017000bf,0xcccccc98,0x017004cc,0xf9317640,0x4c00b807,
    0x1abccccc,0x2a003f40,0xcc981934,0x44cccccc,0xccccccc9,0x66664c4c,
    0xdd04cccc,0x3ec007a2,0x10326950,0x7f4003ff,0x87fa2b01,0x003fd048,
    0xb1c8007d,0x03e8001f,0x33333ff0,0x007d001d,0x026c03ee,0x3fe200fa,
    0x01feb99a,0x77d800fd,0x267fe03f,0xff80e999,0x80e99999,0xe99999ff,
    0x01e8ee80,0x77d81f60,0x800fd03f,0x7ccb00fd,0x3f60910f,0x0037d400,
    0x0027ccb1,0x1fa00df5,0x1bea0054,0x4880fea0,0x7401bea0,0xe82fd886,
    0x80208007,0xfd01507e,0x41fa02a0,0x1fefe80a,0x4101f600,0xd800fd00,
    0x2df51607,0xb00fb048,0x0ae005f9,0x7e6c00fd,0x0007e802,0xfb00bf36,
    0x33600803,0x106e802f,0x007e81ff,0x81554555,0x03f4007e,0xdd001fa0,
    0x36003ff5,0x2aa2aa87,0x6c007e82,0x37ee1607,0x980fb048,0x9d005f8c,
    0x005fb999,0xd00bf193,0x1930050f,0x007f80bf,0x017e3260,0x42fb81ba,
    0xb1f6007e,0x80a1fa0f,0x1fa0287e,0xff56e80a,0x360fb003,0x03f43ec7,
    0xb0581f60,0x01f6099f,0x5003f639,0x900df107,0xfd003f63,0xb1c80588,
    0x01be601f,0x01fb1c80,0x13ea06e8,0x1ee040fd,0xb11fa0f7,0x81623f40,
    0xdd02c47e,0x3600ffd4,0x87b8f707,0x03ec007e,0x413fa20b,0xf996207d,
    0xfc806c04,0x4f996201,0x77777f40,0x9f32c407,0x4001be60,0xd013e658,
    0x3a37c40d,0xb8f71207,0xddddfd07,0x7777f40f,0x3bbfa07e,0x51ba07ee,
    0x83ec03ff,0x3f43dc7b,0x0e81f600,0x1f609f10,0x503f42b8,0x7037cc0b,
    0x3f407e85,0xfd0ae024,0x0003fe20,0xe80fd0ae,0xfd1be606,0x47b89701,
    0x090fd07b,0xfd0243f4,0x543fc090,0x01fd02ff,0x7e87b8f7,0x64c3ec00,
    0x209302df,0x3333a07d,0xfea82fdc,0x1dffd983,0xfdcccce8,0x0061fa02,
    0x5fb9999d,0x20007f60,0x2fdcccce,0x4fa81ba0,0xddddff93,0x5c7b83ff,
    0x4030fd07,0x1fa0187e,0x33ff2606,0x4b7fff21,0x5c2dffc9,0x03f43dc7,
    0x5400fb01,0x507d8040,0x000df107,0x883a80e2,0x001fa06f,0x20df1075,
    0x50a206f9,0x740df107,0xa807f606,0xf707dc00,0xfd001fa0,0x0007e800,
    0x00c80054,0x743dc1f7,0x01f61207,0x7d800fc8,0x07f201b0,0x0d816a00,
    0x1fa03f90,0xf900d848,0x1037ea03,0x3f201b07,0x3ea0dd01,0x5007e405,
    0x203f665f,0x1fa1207e,0x1207e848,0x3a003f20,0x3665f501,0x5c07f40f,
    0x3000fe84,0x503fa00f,0x0037cc0b,0xb515f7c4,0x7e837cc0,0x205a8950,
    0x3fa606f9,0x05a84ccd,0x437c1be6,0x069804fb,0xcfbaffe8,0x84a83f40,
    0xfd09507e,0x1e2012a0,0x205e7dc0,0x8cfbaffe,0xeeeeffc9,0x3ff261ff,
    0x005cc02d,0x54b7ff26,0xffd983fe,0x20a8001d,0xfd983fea,0xdff731df,
    0x543fdb99,0xffd983fe,0xa804c01d,0xffd983fe,0xbdff931d,0x730039bb,
    0x98082001,0xedcceffb,0x3bfee61f,0x261fedcc,0xedcceffb,0x005cc01f,
    0x08201510,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x99999993,0xcda88099,0x4418289b,
    0x00441800,0x260012e0,0x6544005e,0x01028bdc,0x4180bd30,0x86f54008,
    0x4cc02802,0xc8800999,0x98895003,0x52a01999,0x999800d9,0x99980099,
    0x0b600099,0x4ffc1c88,0x900e9999,0x41fe4c5d,0x300488d9,0xd000911b,
    0x7d7b000d,0xc987ee00,0x467fcc5f,0x405d7d02,0x5700914a,0xeb805dfd,
    0x7ffcc0bc,0x554804ff,0xffd8fb00,0x2fb00fff,0x7fc401fa,0x7c405fff,
    0x1005ffff,0x21fcc09f,0xf701507e,0x76413601,0x3fb2000f,0x30000001,
    0x3ea00643,0xd728d300,0x1223509f,0x1003ddb0,0x93d300cc,0x40000f91,
    0x00200554,0x00008200,0x04000000,0x003f4040,0x824407f5,0x544002a8,
    0x66544002,0x404028bd,0x9013e600,0x80010080,0x05c003c8,0x50d24f20,
    0x26003269,0x665cc04e,0x5999732c,0xc9801700,0x4ccccccc,0xc9801700,
    0x4ccccccc,0x2050fd00,0xc98401fd,0x4ccccccc,0x5c001700,0x317f261f,
    0x65c39999,0x0bf60bcc,0xcccb9810,0x4003f662,0x2001934a,0x24af403e,
    0x03f77d82,0x7f400fa0,0xd001fe81,0x267fe007,0xe800e999,0x333ff003,
    0xfd001d33,0x00ff0588,0x33333ff0,0x007d001d,0x434c03ea,0x5fb80ff8,
    0xd0000ff8,0x00fc883f,0x007eefb0,0x7f901bea,0x80041009,0x1fb006fa,
    0xf5001fb0,0x541fa00d,0x8037d400,0xd001507e,0x30fddddf,0x0fd000df,
    0x0df5002a,0x04809f30,0x30fe60dd,0x3bae20df,0x5c07ec0c,0x0082000f,
    0x4405f9b0,0x2aa80efe,0x33600aaa,0xb07d802f,0x0bf3600f,0xd8001fa0,
    0x07e802fc,0x4243f400,0x7e8006f9,0x0bf36000,0x00805fb0,0x30fe60dd,
    0x80fe80ff,0x801f707d,0x00aaa2aa,0x880bf193,0x47d81efd,0x7c64c07d,
    0xfb07d805,0x0bf19300,0x30050fd0,0xfd00bf19,0xe83b3050,0x0ff88187,
    0x0143f400,0x202fc64c,0xdd0000ff,0xff10fe60,0x7d83ec03,0x17931f70,
    0x407d8fb0,0xb001fb1c,0x5c7b85ff,0x0fd8e407,0x07d83ec0,0x801fb1c8,
    0x6402c47e,0x7e801fb1,0x237e42c4,0x07f6007e,0x0588fd00,0x201fb1c8,
    0xdd7106f9,0xf306e819,0x6c07fb07,0x3ee0fb07,0x7b84fbca,0x4cb103dc,
    0xfe9c804f,0x40f71ee0,0xb013e658,0xb101f60f,0x3fa027cc,0x4407eeee,
    0xfd013e65,0x220fdddd,0x98903f45,0xfd0a206f,0x880fdddd,0x7cc13e65,
    0x7407f407,0xfeeeeeef,0xb00ff883,0x7dc1f60f,0x71ee1f21,0x1fa15c0f,
    0xf717cd20,0xd0ae07b8,0xfb07d80f,0x03f42b80,0x570121fa,0x43f407e8,
    0x07e87104,0x81bf5095,0x0487e838,0x441fa15c,0x41f601ff,0x207f306e,
    0x20fb06f9,0x5c1f707d,0x03dc7b87,0x5fb9999d,0x5c3f2490,0x99d03dc7,
    0x6c05fb99,0xce80fb07,0x202fdccc,0x6740187e,0x202fdccc,0x2298187e,
    0xdcceffb9,0xbfd301fe,0x21fa0999,0x66667401,0x07fb02fd,0x306e83ec,
    0x6f6c407f,0xfb02ddba,0x0fb83ee0,0x541ee3dc,0x0f86f883,0x41f71aa9,
    0xf107507b,0x7d83ec0d,0x1be20ea0,0x1d4007e8,0x0fd037c4,0x400b0000,
    0x03f400d8,0x1be20ea0,0x7d807fc4,0x0fe60dd0,0x6c00dd40,0x7dc1f707,
    0x0f707dc0,0x20fe4036,0x40bbdcfd,0x01fb32fa,0x407f201b,0x6c0fb07d,
    0x3a03f900,0x40361207,0x40fd01fc,0x00f88004,0x7e809d30,0x64036120,
    0x20df301f,0x260dd07d,0x01f7003f,0x83ee0fb0,0x997d40fb,0x302d40fd,
    0xd01660df,0x419f75ff,0x41be605a,0x80fe80fe,0x41be605a,0x5a89507e,
    0x3f41be60,0xdd0004a8,0x807b0077,0x5a89507e,0xd881be60,0x02ddbade,
    0x013ea0ff,0x0fe803cc,0x03ee0fb8,0x33eebffa,0xb307fd50,0x00303bff,
    0x1ff54041,0x98effecc,0xf932dffc,0x1ff545bf,0x98effecc,0xedcceffb,
    0x20ffaa1f,0x731dffd9,0xfdb99dff,0x00cc0003,0xff73015c,0x43fdb99d,
    0xfd983fea,0x0cc401df,0x439ff930,0x200befeb,0x7e4c00b9,0x33fa62df,
    0x080cfea8,0x00000002,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40b63b10,0x001d88d9,0x2000e200,0x36695008,0x40079000,
    0x00002000,0x00801000,0x40020080,0x04000400,0x05404100,0x0e654015,
    0x00803100,0x2a390a1c,0xf704f8af,0x00007f33,0x32000fcc,0x3f51f907,
    0x6401ba00,0x6e64c04c,0x1913a80c,0x36d41b20,0x5fb00160,0x6da80320,
    0x20079b10,0x6cc00fd9,0x7443fb8f,0x236a03a9,0x1fb000e8,0xef8beb88,
    0x315c74c0,0x0801049f,0xcccca802,0x1d666541,0x537bb970,0x0001040b,
    0x806e7100,0x75413a3e,0xd8836404,0x82015406,0x880b06eb,0x0123506e,
    0x22007e44,0xc87ea8fc,0x5917407f,0x2620e600,0xd82ed8bf,0x32e6086f,
    0x999952cc,0x20cccb83,0x1d500efa,0xf711f4c0,0xccccc983,0xcc984ccc,
    0x03cccccc,0x0fcc0b5b,0x0d7970f7,0x4406c800,0x54242404,0x9fd99302,
    0x004bc881,0x3ee003ee,0x1004c120,0x00007c7f,0x10351fc4,0x07fa0013,
    0x37a03ff5,0xb102fc40,0xfc81fc40,0x9999ff80,0x4d6dc0e9,0x200ff999,
    0xd907d401,0x06026c30,0x205806c8,0x06405c79,0x01ed9988,0x0fa80031,
    0x0370fa80,0x77c07995,0x326002d8,0x0913f80b,0x36002f26,0x883fc80f,
    0x440bf00e,0xf881fa04,0x81507e85,0xaa87f903,0x3ee0aaa2,0x32607d10,
    0x403103fc,0x5503956c,0x1355ff50,0x565c4160,0x0797306d,0x00fbbcb8,
    0x111f7797,0xc81e2390,0x39fd10df,0x81f91d88,0x23b1033f,0x03ec00fc,
    0x202c81fd,0x4c12205f,0x20fec05f,0x2a06007e,0x7d8fb05f,0x85fa8fb8,
    0x20ff92d8,0x76df6404,0x6442445f,0x20aa019f,0x70df51e9,0x3a213e2b,
    0xe881ff13,0x7c01ff13,0x37ed4121,0xf126c16e,0x93603f85,0x03ec02f8,
    0x2024cbf3,0x5c12205f,0x217e404f,0xf100287e,0xf71ee01f,0x37ea1f70,
    0x83f916e0,0x907e404a,0x0f70583f,0xe89b0190,0x21b63e86,0x2e07e46b,
    0xfd007e46,0x4fcae405,0x007e2036,0x00fc40fe,0x407d83b1,0xf801b2fc,
    0x7e412205,0x3a1fe403,0xfd802c47,0x0f71ee02,0xd1fcc1f7,0x3e23fa87,
    0x3e636401,0x03dc1543,0x360fc42c,0x21fa6086,0x3a07d44e,0xd1007d44,
    0x227b83df,0xf302a9ff,0x2607f003,0xb13e601f,0x2cff880f,0x12205f80,
    0x3f201fe4,0x77777f43,0x404fa807,0x7dc3dc7b,0x17cd7e20,0x807d97e2,
    0x2445f86c,0x20aa03dc,0xa836c0fa,0x17c47cac,0x42f883ea,0xffb800fa,
    0xbdf717a1,0x20427c40,0x109f103f,0x5403ec04,0x40bf006f,0x809f5049,
    0x243f41fd,0x7003be20,0x0fb87b8f,0xf83f8af4,0xc83d13e4,0xb8584e86,
    0x7dc06407,0x92e436c2,0x7d44f98f,0x1f513e60,0x269f1140,0x045fd86f,
    0x3f8511b6,0x80511b60,0x04f8807d,0x81d40df0,0x43f406f8,0x7ec0187e,
    0x2e0fb801,0x3608fb87,0x45f11763,0x1b21f44f,0xb85505f3,0x4f882c07,
    0xc8be636c,0x07d47e87,0x401f51fa,0x17fd16c7,0x26b7fb6a,0x2d57fdc3,
    0x5ff701fc,0x07d818b5,0xfb004f88,0x3f701640,0x1fa0bea0,0x0209f700,
    0x03f665f5,0x83e5d1f7,0xf916a2fa,0x2e3e40d8,0x9fa89105,0x3fa02a81,
    0x4f88fd32,0x7dc11fd5,0x5c1fd88c,0x01fd88cf,0xb312efbe,0x7fe47fff,
    0x1dfea80e,0x3aa01fc4,0xb07ee1df,0x009f100f,0x016a13e2,0x09d103b6,
    0x7cc481fa,0x3ffa1206,0xfd30cfba,0xb5037971,0xdb881b99,0xbed982ab,
    0x3a22402c,0x2200c83f,0x43fdcefc,0x42faaffc,0xcfcdffb8,0x337fee20,
    0x004c00cf,0x20022031,0x02efc880,0x740c9808,0x02fcc00f,0x9b99db30,
    0x65675c00,0x541fa02e,0x5a80ff44,0x00000410,0x04400001,0x00400080,
    0x00401088,0x42004420,0x00000008,0x00000000,0x05bff930,0x002fff6a,
    0x44000130,0x3fee6009,0x21fedcce,0xeeeeeffc,0x000004ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x90000000,
    0x201c4039,0x97300100,0x99999999,0x16665cc1,0xb0179995,0x0bd3003d,
    0xb8011060,0x4414380d,0x3101e99e,0x04c1500c,0x01720004,0x0c402ea8,
    0xb880c310,0x02f4c061,0x0b900f54,0xd8ec0c04,0x203605d3,0x3ae23eb8,
    0xe88eec03,0x81d999af,0x06fa81fe,0x7b00d9b5,0x77b5007d,0x2a05d00b,
    0x75a82c8d,0x1fbbf409,0x98953d10,0x3a2000fd,0xb0099002,0x7ddfa01f,
    0x3adfdc81,0xd807d7b0,0xb00fc403,0xbf885b77,0x370991f8,0x988fe620,
    0x903fa03f,0xfd81883f,0x4904f980,0x0c8a602b,0x401deb80,0x82fec049,
    0x9d40190b,0x07fdc038,0x10003f22,0x4c016009,0x41c4ea03,0x260bb308,
    0x12201912,0xdb301cc0,0x43e6be07,0x7c024c6b,0x5f703f83,0xb0103f90,
    0x4013e20f,0x00020200,0x13100100,0x00000820,0xcfeb8098,0x2002003c,
    0x00000008,0x20101000,0x00004000,0x2e47e27a,0x7c1fc016,0xf901ff03,
    0x07d804c3,0x5e4c09f1,0x5546aaa0,0x5546aa2a,0xc980aaa2,0xa859300b,
    0x550aaa2a,0xa8815545,0x4fdc41cc,0x54555009,0x4732a02a,0x22059304,
    0x95101cca,0x332a2039,0x03995101,0x4c0732a2,0x974b03cb,0x7c00722e,
    0x7f883f83,0x07223f90,0x84f883ec,0x221f91d8,0xb51be27e,0x443ec7d8,
    0x6441f91d,0x23ec1fb0,0x3ec7d87d,0xb87f51d8,0xd80bc98f,0x32d83ec7,
    0xb0c881df,0x7f51d81f,0x20fea3b0,0x3b07f51d,0x54760fea,0x4f8adc3f,
    0x98af2218,0xf07f0044,0x837cc2a7,0x01feeefc,0x213e20fb,0xfa8be24d,
    0x40c83ee0,0x26c3dc7b,0xf10ec5f1,0x21ee3dc5,0x26c3dc7b,0xdafb83f2,
    0x5c7b85fb,0x07ec5c87,0x362f8876,0x89b07e44,0xf91360fc,0x83f226c1,
    0x7d07e44d,0x2580036c,0x3f80dae8,0xf13f9bf8,0x1b87f20d,0x13e20fb0,
    0x47f003f1,0x1ee123fb,0x201f88f7,0x4eccccf8,0xf70f71ee,0x543f87b8,
    0x7c8bee3f,0x7c3dc7b8,0xf88feae3,0x3e4ecccc,0x87f1fd43,0xf50fe3fa,
    0x8fea1fc7,0x411fd43f,0x006dc7e9,0x85ca7439,0x4153f83f,0x443f907e,
    0x3e20fb00,0x6400fcc4,0x4155b726,0x3e63dc7b,0x7007e601,0x47b87b8f,
    0x221fcc7b,0x7b83ee5f,0x263dc7b8,0x997e553f,0x10fe601f,0xf10fe6bf,
    0xbf10fe6b,0x2bf10fe6,0x22fc43f9,0x7f47caca,0x72f87503,0x07f07f0f,
    0x07f207f2,0x3f883ec0,0x260427c4,0x49fa9b9f,0x447b8f70,0x09f1084f,
    0x21ee3dc1,0x3e23dc7b,0x83ee4f85,0x2e3dc0fa,0xf1d67cc7,0x88427c49,
    0xbf14f85f,0x217e29f0,0x9f0bf14f,0xc93e17e2,0x09111f25,0xf52f88b1,
    0x207f07f0,0x81fc85f9,0xf883ec0b,0x41446d82,0x4137e5ce,0x361ee0fb,
    0x81db1446,0x87b83ee3,0x3a1ee0fb,0x1f717c46,0x83ee07d4,0x224ef87b,
    0x8e076c2f,0xdd17c46e,0x11ba2f88,0x3e23745f,0x25f11ba2,0x2a1f22f9,
    0x93e80c81,0x07f07f0b,0x07f617cc,0x2a1fd0b3,0xfb80e99f,0x5f705aaf,
    0x2fa807e4,0xffb81fb3,0x67fd45aa,0x4cbea0da,0x997d40fd,0x517dc0fd,
    0x3ea0fb8b,0xfd997d40,0x0b517dc0,0x41b59ff5,0xf716a2fb,0x8bee2d45,
    0xb517dc5a,0x896a2fb8,0x211fd54f,0xb503a81a,0x44f885d1,0x764c04f8,
    0xeeeeffdc,0x37ff263f,0x201cef8a,0xd101dfea,0x7ff40688,0x7540cfba,
    0xdfea81df,0xfbaffe81,0x5d7ff40c,0x667dc0cf,0xf707dc0d,0xf75ffd01,
    0x2fef2219,0xbfd500dc,0x1b99f703,0x01b99f70,0x701b99f7,0xf701b99f,
    0xffc81b99,0x03802faa,0x3f22054c,0x05df912e,0x80000220,0x02002000,
    0x80082002,0x10400800,0x06002080,0x75467f54,0x202080cf,0x00800609,
    0x20030018,0x06003001,0x00000010,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20080000,0x3a600cca,
    0x7104ea82,0x310980c3,0xb900faa0,0x36613601,0x07bb515e,0x14416dc4,
    0x20130c0a,0x76c0223a,0x2205d801,0x05e9803d,0x566e54dc,0x0f269300,
    0x20013054,0x229800dc,0x3260001a,0x1f540ccc,0x203d14b8,0x03f7d04c,
    0x2075bfb9,0xe881fb6f,0x807e01fb,0xb7f880f9,0x881df515,0xcc85fdbd,
    0xf3f980d8,0x97ff930b,0x101b36a0,0x806a803f,0x3f202ebd,0xd507ea1c,
    0x109f9d5f,0x2200953d,0x6437001f,0x01bf7500,0xa88bfffb,0x2e1f983f,
    0x446a0b05,0x40bb3084,0x2170732a,0x50055048,0x3033fa05,0x07e4389f,
    0x5c40ffe2,0x2e230370,0x0154902e,0x80320037,0x26c0911a,0x17dc1fa8,
    0x03fee0d9,0x8b001540,0x0fa27705,0x20fe0073,0x040fd46d,0x00000008,
    0x40010008,0x3e03fd00,0x441ea00f,0x00000001,0x08001004,0x00d80020,
    0x5c7b83fe,0x4001300f,0x4162c000,0x8006c02f,0x7cc5e83f,0x541e6543,
    0xa8aaa3cc,0x80b2602a,0x0b2602c9,0x0fd02c98,0x07700fec,0x5cc07973,
    0x0f2e603c,0x2603cb98,0x32e603cb,0x2aa2aa83,0x2fc80102,0x2a1f51ee,
    0x540aaa2a,0x819933cb,0xecccecca,0x980be20c,0x5fc02eff,0xf889f10a,
    0x323c4724,0x6c7d8f11,0x1fb0c887,0x20fd8644,0x441fb0c8,0x7e81fb0c,
    0x2cc0bf20,0xb84f8adc,0x2b709f15,0xf15b84f8,0x13e2b709,0x6c27c56e,
    0xa8003ec7,0x1f51ee4f,0x321f63ec,0x3ea7df15,0x266ee622,0x017cc1bb,
    0x409ffb73,0x20fe63ef,0x7c487e5f,0x7b8f7121,0xd8be21d8,0x21d8be21,
    0xf88762f8,0x5f703f42,0x741bff90,0xd8fa1b63,0x21b63e86,0x8fa1b63e,
    0x1b63e86d,0xeb8f71ee,0xeeeeeeee,0xf51ee6fe,0x21ee3dc1,0x09d1fa3f,
    0x7cc06439,0x03fd1002,0x889f113e,0x740bfa4f,0x7b8f702f,0x766667c4,
    0xd9999f14,0x33333e29,0x9999f14e,0x2e07e89d,0x47f9101f,0x9821fa60,
    0x1fa6087e,0x2087e982,0x3a6087e9,0x23dc7b87,0x37d405fb,0x707d41f7,
    0x26087b8f,0x85dcccfe,0x02f982c5,0x3f622740,0x1fcc5e83,0xe883dfd1,
    0x2e3dc1ef,0xf300fcc7,0x300fcc03,0x40fd003f,0x22f400fb,0x9507caca,
    0x2b2a0f95,0xf959507c,0x41f2b2a0,0x7b87caca,0x01fe63dc,0x33faa9f9,
    0x23dc1f50,0xdd7b307b,0xeeefeb80,0x0be60eef,0x7f28f700,0x82fa8db0,
    0xffb81ffb,0x88f71ee1,0x09f1084f,0x44213e21,0x03f4084f,0x649900f9,
    0xc9721f25,0x21f25c87,0x9721f25c,0x1f25c87c,0xf88f71ee,0x00bfa01f,
    0x3dc7b8d5,0x100fb2dc,0x2f981cc9,0x3f834c00,0x507d47b8,0x7c4527c4,
    0x87b83ee4,0x1db1c0ed,0x4703b638,0x9fa1c0ed,0x3600f608,0x23e45f31,
    0xf31f22f9,0x8be63e45,0xf917cc7c,0x21f22f98,0x2a1ee0fb,0x00bf103f,
    0x2e0fb897,0x3f917c47,0x05715438,0x79000be6,0x87a20fe0,0x78b63c2e,
    0x265f516c,0x67fd40fd,0x33fea0da,0x33fea0da,0x33fea0da,0xd93fc0da,
    0x4c150b11,0x7f553e26,0x3aa9f108,0x2a9f108f,0x29f108fe,0x9f108fea,
    0x7c423faa,0x5411fd54,0x901fb32f,0x00ee885f,0x5f50b235,0x4f883f66,
    0x0726fbf2,0xf9806439,0x05a8ae02,0x65ec40fe,0x44bbef83,0xfe84bbef,
    0x540cfbaf,0xfea81dfe,0x1dfea81d,0x261dfea8,0xdf99cffc,0x6effc40c,
    0xfaaffc84,0x7d57fe42,0x7d57fe42,0x7d57fe42,0x7d57fe42,0x7d57fe42,
    0xfbaffe82,0xcbdea80c,0x0e7e404e,0xcfbaffe8,0x2a37bf20,0x2c583fff,
    0x7ec07f50,0xdf7103df,0x04c00405,0x01040130,0x10010010,0x01000100,
    0x80040088,0x02001000,0x00080040,0x02600082,0x00410000,0x20403011,
    0x05dfb500,0x00000044,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xcc980000,0x418170cd,0x01ecf601,
    0x302201b9,0xa80e65c4,0x665c0bcc,0xca9cc0bc,0x80400102,0x56654000,
    0x3377300c,0x95100003,0xa80517b9,0x666541cb,0xb8799952,0x441512cc,
    0x19b5300a,0x20666654,0x5101ccc8,0xda803799,0x6ec429bd,0x320f3ea0,
    0x23e04cac,0x007e00f8,0xf505979b,0xb81aa01d,0xdaffb85f,0x03f665fe,
    0xfd98fe20,0x88bd8800,0xf52e80fe,0xf971019b,0xc987ee07,0x7cd2a05f,
    0x3ee2fdc0,0x17c47b06,0x6c3705f1,0x981fea0f,0x4417701f,0x88be80ca,
    0xa83745fa,0x0cfc883f,0xa80a6730,0x03fd9803,0x02cc17f6,0x8bf207f5,
    0x01f910fd,0x0fc88720,0x07dc5c80,0x2209f1ea,0xfa81f70e,0x0fc0d300,
    0xfd0df01b,0x445f11a0,0x3e61f82f,0x49807f43,0x2aea2370,0x21aa0ca8,
    0x220bee5a,0x10000fdd,0x00002004,0x9109f9b0,0x7c81fcc0,0x01f71fd4,
    0x2007dc00,0x207d43f8,0x7a836c7c,0x9013e604,0x32003e60,0x220fe41f,
    0x5f117c44,0x227c47f0,0x503903fa,0x9ecc36a3,0xff241b64,0x113ea360,
    0x2a203995,0x515541cc,0x0164c055,0x0910ff6b,0x87c81fcc,0x0003ee5f,
    0x7cc00fb8,0x3ea07d41,0x035c0fa1,0x20100bf6,0x4f9800fa,0x10ae27dc,
    0x0417c45f,0x21be07e6,0x21a29058,0x37f21538,0xc87f8840,0x51d8bf31,
    0x3ea3b07f,0x21f63ec3,0xb01fb0c8,0x04887fa2,0x43e40fe6,0x5443ee4e,
    0x2e15c42a,0x4c0bc98f,0x6407d43f,0xda884bae,0x01ff02af,0x4007ea00,
    0x163f746e,0x02f88be2,0x85f704d8,0x012e702b,0x0fffa271,0x4c751be6,
    0x1f91366f,0xb83f226c,0x10ec3dc7,0x7fccb05f,0x1fcc0910,0x71fc47c8,
    0x910ba21f,0xbcafb87f,0x7d45f84f,0x4c019c80,0x6f9819fd,0x219dd710,
    0x04eefee8,0xfbc98fdc,0x45f10912,0x074402f8,0x98346f88,0x449007d1,
    0x3e21effc,0x4bf31267,0x7f1fd43f,0x71ee3fa8,0xccccf88f,0xb7d4584e,
    0x40fe6048,0xf71aa0fc,0x3e201b11,0x0f90fdc3,0x1fb319f9,0x0199aeb8,
    0x07f981b2,0x0fcc07f4,0x1374f980,0x3e206e9f,0x4035fb55,0x98fe401c,
    0x01765104,0x8fffa60e,0xfa8588ff,0x5f887f34,0x25f887f3,0x3e63dc7b,
    0xbf70b001,0x81fcc091,0x40bbbdfc,0x7c00d9fb,0x0f707dc3,0x1f57ff91,
    0xffffff98,0x3e206c82,0x441f601f,0x2dfa001f,0x7f4c16fd,0x1c07fd4f,
    0x00ca7cc0,0x33007d52,0xfd87fdc0,0x12fb80da,0x3e29f0bf,0x71ee4f85,
    0x8084f88f,0x4099fb05,0x26f902f9,0x01fbf700,0x707dc3f8,0x7d42201f,
    0xa99894c0,0x7ec06c86,0x7c41f603,0x92fee000,0x19304bfb,0x00a20081,
    0x9202cff4,0x71c660ce,0x7fc4fee0,0x46e89f01,0xf11ba2f8,0x0f707dc5,
    0x058381db,0x7cc09fd1,0xf700f901,0x1fc01dd1,0x00fb83ee,0x81a20fa8,
    0x7c406c83,0x730fb00f,0x7fc4050d,0x5c07fe21,0x54000005,0x324402ef,
    0xd8aa3799,0x3f21f980,0x2fb86c82,0x545f716a,0xfd997d45,0x6d67fd40,
    0x9f100e80,0x206a8fb8,0x98fb807c,0xf70fe05f,0x5c007dc1,0x22b7e60f,
    0x06c80ca8,0x8fb06f98,0xcacefba9,0x3ec36c03,0x97000d90,0x8803fc00,
    0x1bb0aa04,0x367265c8,0x2e03dbbd,0xfb80dccf,0xffe80dcc,0x7540cfba,
    0x6fe4c1df,0xdf989302,0x17fd501c,0x4fa87dc0,0x20fb89f0,0x7ecc00fb,
    0x3bfb2a0c,0x200fb00c,0xddbaded8,0xffba5cc2,0x541d400d,0x20017204,
    0x012e007e,0xccabcb88,0xdbcecc82,0x0026020c,0x10030018,0x00004004,
    0x00004404,0xf99cfea8,0x5df911cf,0x3aa33fa6,0x000000cf,0x0167fdc4,
    0x80803310,0x00080000,0x08001000,0x08011000,0x00000062,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xcccca800,0x80e66541,0x201bcca8,0x10e603db,0x2214c057,0x200e202b,
    0x33221bb9,0x6542cccc,0x1155541b,0x33260155,0x32e200bd,0xbcda8802,
    0x01b70289,0x33260a1c,0x3332e1cc,0x33332e0b,0x9999930c,0x32e60357,
    0x664c02cc,0x06dc03cc,0xfa86dc00,0x201d500e,0x032a20bb,0x3603d153,
    0x0b01ec40,0x006c07b1,0x3fee036e,0x87a2ffff,0x3207f42d,0x260dd883,
    0xd31e883e,0xc98bb203,0xa805d03f,0xff102c8d,0x970bf701,0x7c419999,
    0x1feb99af,0x1000ff88,0x9fd003ff,0x7c47d000,0x5dc16205,0x80641aaa,
    0x0f205705,0x503c80e4,0x3605d807,0xa8b50f81,0x41617cc6,0xb87f306d,
    0x07dc3645,0x003984d8,0x3f2a0dfb,0xfdcccccf,0x6e8000ce,0x6e81fd88,
    0x3003f400,0xf8488009,0x46a12205,0x121eb9ed,0x04883fd1,0xc81260f2,
    0x75c05883,0x4b501100,0x36c3546c,0x405f7093,0xf30fa0fd,0x9101fd45,
    0x04c40010,0x999ee988,0x301cfa99,0x441ba059,0x003740ff,0x01a801fa,
    0x205f8040,0xd9724848,0xb17202a5,0x02c1e401,0x980320f2,0x22c8003f,
    0x2a0b64fa,0x0ff0191f,0x89f14fa8,0x007f63f8,0x0bc9a4c1,0x01793498,
    0x41fcc1ba,0xe81fb0c8,0xdd0bee06,0x803f4016,0x2f269319,0x2fc2b880,
    0x2e470910,0x1541c49d,0x5c3c8055,0x0e61e401,0x17d75f90,0xdfb81f00,
    0x1637a01c,0xbf501fe2,0xf93e237c,0x2bfaa007,0x7f545fce,0xdd05fcea,
    0x8760fe60,0x503742f8,0x01dfe89f,0x200a8fd0,0x5fcdafea,0x17e1fe44,
    0xd90cc488,0x3aa907b9,0x88a1622a,0x044930cd,0x28583362,0x07fa8f74,
    0x0efc82d4,0x260b7ea0,0x937cc06f,0xf997cc1f,0x917dc006,0x3e45f70f,
    0xcccccfe8,0x667c43fd,0xffd74ecc,0x37c47ddd,0x7e8003fa,0x5f700fe6,
    0x21fc43e4,0x5112205f,0x1c17c6e4,0x80d70360,0x80bd970d,0x13e35c1c,
    0x416403f5,0x201efac9,0x80df307e,0x2ff626f9,0x0df30fdb,0x07dc7b80,
    0xd01f71ee,0xf30fe60d,0x4c0dd003,0x001bea6f,0x7b8028fd,0x21fc07dc,
    0x9212605f,0x0cc1f55c,0x06ca8750,0x407e18ae,0xf1365449,0x3e04f989,
    0x0df334c0,0x80ff01dc,0xdd1984fa,0x70007fc4,0x3dc0fa8f,0x41ba03ea,
    0x427c43f9,0x9f503740,0xd001baee,0xb8f7000f,0x37c3f80f,0x2e490750,
    0x8b101cbb,0x091068b8,0x8b88b034,0x81fc2fc6,0x7d45c859,0x7ec01901,
    0xa80bee01,0x000fec2f,0x5c0fa8f7,0x37407d47,0x0ed83f98,0xfd81ba1c,
    0x8081ba11,0x3dc0207e,0xb0fe03ee,0x220b201f,0x5911cb8c,0x910e4055,
    0xb806c1a2,0x8a443901,0x03e23646,0x7c2ec164,0x7c405880,0x7d017a04,
    0x1440df30,0x5c0fa8f7,0x37407d47,0xffa83f98,0x83740dac,0x206e84fa,
    0x41207e84,0x7c07dc7b,0x2d427c43,0x01540910,0xfdcc9875,0x02a81543,
    0xfdcc9893,0x05a8be23,0xb31e603e,0x4006e6c4,0x00ec82fb,0x0dfa80f6,
    0xb83ee1c4,0xf707dc0f,0x3ea0ff01,0x03bfd504,0x209f70df,0xfd07707f,
    0x3ee09701,0x13e03ee0,0x13733b66,0x32af2e20,0x1016202c,0x9d90588d,
    0x34405899,0x806ddecc,0x2af2a059,0x007be60b,0x4dbbce98,0x30057530,
    0xa8999bfd,0xcfea8cfe,0xd519fd50,0x3ff2619f,0x2bffaa1c,0xff930100,
    0x3039bbbd,0xfddddff9,0x77fe4c3f,0xa81ffeee,0xcfea8cfe,0x405df910,
    0x01100009,0x85100220,0xaaaa8809,0x05100620,0x40044004,0x26000000,
    0x30000c00,0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xccc98000,0x8307b13c,0x8186e208,0x999102c9,0x71760599,0x0e654799,
    0x333332e0,0xa4c0cccc,0x54980bc9,0x5050a219,0x6664c799,0x84cccccc,
    0x99999100,0x2aa2aa85,0x2605d802,0x803003cb,0x6665c142,0x0274c0cc,
    0x9830dc40,0x1abccccc,0x7cc3ff10,0x2e5e5c0f,0x88ab7fb6,0xc881fb0c,
    0xf882cccc,0x16c0fe81,0x99cfdc80,0x3faa1d99,0x7545fcea,0x3322fdaf,
    0x788e40d8,0x37e66baa,0x10587c99,0xb0599999,0x7cc07d8f,0x13e2b700,
    0x6dc05f50,0xcccb81d8,0x17df40cc,0x5bfb9024,0x335ff107,0x0fd03fd7,
    0xcfc88171,0x226d4221,0x000be21d,0x45f301b8,0x3eba0058,0x17dc1983,
    0x205f70f9,0x21f84ff8,0x44f882a4,0x40003cc4,0x2e03dc7b,0x06d8fa01,
    0x3fa005c4,0x446a0004,0x26103cc4,0x221ba05d,0x483f41fd,0x67c40000,
    0xa884eccc,0xe80101cc,0x5cc006e6,0x7b8103f9,0x01ee07dc,0x20bfa031,
    0xa8227c40,0x8aaa2aff,0x5c7b82aa,0x98200407,0x3100007e,0x083cb980,
    0x00abfea0,0x3e20dd00,0x0511fa0f,0x2b8815c4,0x1d800fcc,0x954987f5,
    0x00b1fb81,0x0443f9ac,0x703ea3dc,0x0caa4c0f,0x8807bfa2,0x27f2204f,
    0x21f63ec1,0xaa83dc7b,0xca82aaaa,0x555507ca,0xaaaa8555,0xf8adc2aa,
    0x6442b884,0xc9a4c19f,0x5c0dd00b,0x8801fa2f,0x3fc883fc,0x360427c4,
    0xfea87e44,0x67c42fda,0x2675003a,0x2e07223f,0x1ee07d47,0x17ed7f54,
    0xf880ffdc,0x7b83dc04,0x2e3dc3dc,0xf7333d07,0x41f25c89,0x44fb999e,
    0x44fb999e,0xf911b63e,0xfd50f707,0x3a0bf9d5,0x7e93ea06,0x881fc400,
    0x1c0ed83f,0x5c7f50fe,0xfd99982f,0x9600999d,0x1feeeef9,0x207d47b8,
    0x40bee07b,0xee993e22,0x545eeffe,0x23dc2afd,0x2e0fb87b,0x23744507,
    0x141f22f9,0x74450dd1,0x21fa6086,0x707b83f8,0x3ae3e45f,0x223eeeff,
    0x2001fa6f,0x2a0fe03f,0x260dacff,0xf72fc43f,0x37eeaaa0,0x9d501aaa,
    0x81b87fb9,0x703ee0fb,0x781ee01f,0x04f8816c,0xf70abf6a,0x32fa87b8,
    0x0fd801fb,0x8feaa7c4,0xb003f600,0x32b2a01f,0x0f707f07,0xd01f71ee,
    0xfd37cc0d,0x7c07f000,0x83dfd503,0x2e4f85f8,0x2007f007,0x43fa999d,
    0x467f5408,0xfd50cfea,0x7c0f703b,0x3e204bbe,0x7b83dc04,0xaffe83dc,
    0x5f700cfb,0x3eabff20,0x700bee02,0x7c97205f,0x20f707f0,0x7407d47b,
    0x7e93ea06,0xf01fc020,0xdd049807,0x41ee2f88,0xeeefeeed,0x7cc2b82e,
    0x00540203,0x403dc02a,0x027c400d,0x707dc1ee,0x4019040f,0x550404f9,
    0x26027cc0,0x645f304f,0x0f707f07,0xd01f51ee,0xfd0fec0d,0x203f8240,
    0xb82d403f,0x0f716a2f,0x0b100fe0,0x402e07f3,0xb83e407d,0x4406e807,
    0x14fd404f,0x07eccbea,0x6e881740,0x4413200c,0x1ba20c6e,0xfeaa7c43,
    0x7d41fc08,0x3ea3dc19,0x9f506e80,0x04b80fe8,0x2027c09f,0x7dc2bef8,
    0x07dc0dcc,0x79013e20,0x0b307f50,0x41a6034c,0x02dc00fb,0xfd101be6,
    0xf75ffd05,0xbcfb8019,0x80703f60,0x3f61bdf9,0x703f61c0,0x2faaffc8,
    0x3fe884f8,0x01f707dc,0x4c9f70df,0xfeeeeffc,0x177e441f,0x200bbf22,
    0x7540601a,0xdfb301df,0x43bf9107,0xedcdffeb,0x4017303f,0xdfea80b9,
    0x54017501,0x0000bffd,0x54400082,0x3333bee0,0x20a8806d,0x6dcccefb,
    0x37333bee,0x7e440086,0x9fd5002e,0x2619fd51,0xcdddeffc,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x02851760,0x664c1793,0x221101cc,0x33333261,0x99932ccc,
    0x98999999,0x710bcccc,0x33261799,0x001abccc,0xccc983a2,0x2f332e1c,
    0x25999730,0xc8804cc9,0x005c00cc,0x2a02db88,0x66666443,0x3264cccc,
    0x4c0abccc,0x9711cccc,0x6664c179,0xc980abcc,0x64c03ccc,0x401abccc,
    0x2e3a60f8,0x0fc8ec43,0x6e803fe2,0x4f7c41f9,0x7fc5c999,0x40e99999,
    0x07f07fd8,0xd7335ff1,0x81fb003f,0x5fb80ff8,0xff883fd0,0x8037e402,
    0xedf9803e,0x13f660ff,0x3bf335d5,0x9ff88f73,0x7fc43fc9,0xf8817d40,
    0x0cfca89f,0x8800ffc4,0x0efc99ff,0x0df90e60,0x3a17c49b,0x83995406,
    0x07e8906e,0x85fd1015,0x221ba04b,0x3f6e02fd,0x7f306e80,0x3fa03f60,
    0x017fa206,0x83201bea,0x544f83fb,0xf0717e20,0x3742fd8d,0x0dd007a2,
    0x00fd07f7,0x02fdc6e8,0x3f102602,0x399bfd00,0x020dd000,0xff1000fd,
    0x0dd01661,0x32603fe2,0x306e80fa,0x741f607f,0x9f7701fc,0x405f9b00,
    0x4f86f818,0x0117e204,0x745fa8dd,0x3a007626,0x7e86f886,0x3e237400,
    0xb8857107,0x7400fcc2,0xb88bf716,0x8098dd02,0xfa80287e,0x37400d8d,
    0x2ab05f70,0xf306e80f,0x4741f607,0x09f1d05f,0x005f8c98,0x404f85d8,
    0x46e805f8,0xe8b744fa,0xf10dd001,0xe800fd0b,0x64437cc6,0x10ff223f,
    0x46e8109f,0x07f913fc,0xfd0191ba,0xdfb00588,0x540dd003,0x0fa8e44f,
    0x07f306e8,0x1fdb41f6,0x2027c5d4,0x4001fb1c,0x404f82f8,0x46e805f8,
    0x747741fd,0x361ba001,0x4007e82f,0x8817ec6e,0x6c1fc43f,0x51ba1446,
    0xe81fc4bf,0xe80feeef,0x007eeeef,0xdd001ff1,0x47337c40,0xeefe80fa,
    0xb03feeee,0x227cda0f,0x2204f88e,0xb8013e65,0xf8809f05,0xd9afe805,
    0x1fefe83e,0x3b37fa00,0x00fd01ff,0x0cfdbfe8,0x41fc1fc0,0xe85aaffb,
    0x0fe27dc6,0x3a02e374,0xfd500487,0x4c0dd00b,0x0fa8b16f,0x07f306e8,
    0x1fb341f6,0x7027c526,0x36007e85,0xf8809f00,0x1a9ee805,0x07febba0,
    0x3fa63740,0x74007e83,0xf803fc9e,0xfd503f83,0x744dd03b,0x6e81fc1f,
    0x0c3f4044,0x02fdac40,0x29f50374,0xcfdcccdc,0x3f983743,0xf99a0fb0,
    0x813e21b4,0x2fdcccce,0x13e01c80,0xdd00bf10,0x7fd5ba00,0xfd06e801,
    0x74007e81,0x7f007f66,0x02c407f0,0x03df97fd,0x401ba07f,0x0d88007e,
    0x37401ff1,0x332a3fb0,0x743cfdcc,0x3607f306,0x59fe8d07,0x41d413e2,
    0x015406f8,0x0bf1013e,0x9ba00dd0,0x37401ffa,0x03f43fc8,0x37c4dd01,
    0x80fe0fe0,0x33dd03f9,0x6e81fc01,0x8240fd00,0xd02fd41d,0x5017ea0d,
    0x260dd01f,0x1a0fb03f,0x2fc43ff5,0x03f900d8,0x09f020ea,0x6e805f88,
    0xffa8dd00,0x7f41ba01,0xd0903f41,0x3e04fa8d,0x17404f84,0x09f007f8,
    0x83f401fe,0xfd04c84a,0x3ee1be09,0xf80fa804,0x3a09f507,0x45e8780f,
    0x205a86f8,0xaaea86f9,0x027c2caa,0x1fe01be2,0x7fd43fc0,0xfb88df02,
    0x4b80fe85,0x43fc87f8,0xf912efc8,0x3037105d,0x22039ffb,0x3f262efc,
    0xff7301cf,0x43fdb99d,0x7541dfea,0xff931dff,0x0039bbbd,0xffc983ea,
    0x2fbfae1c,0x25bff930,0x8ae1cfc9,0xd50bffda,0xbffb307f,0x3ffffea3,
    0x2bbee67f,0x0bffda80,0x01cffc98,0x6439ff93,0xf932dfff,0x87bddbdf,
    0xeeeeffc9,0x3ff261ff,0x016ff41c,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4c000000,0xcccccccc,
    0x073332a3,0x32619997,0x3331cccc,0x15333333,0x00020000,0x01000000,
    0x4c0dc400,0x019930bb,0xba80f2e6,0x4019933c,0x2aaa0bc9,0x55455551,
    0x54c2c981,0x542aa22a,0x540aaa2a,0x5442a3cc,0x332a20e1,0x70506201,
    0xff33335b,0xd01ffa81,0x66664c1b,0x0110031c,0xb0123995,0x23995100,
    0xaa8aaa5b,0x012206aa,0xb30b7260,0x7cd2fee1,0x84f8adc2,0x2a7df15c,
    0xfc8ec42f,0x37c4fd10,0x3619116a,0x5907f60f,0x643ec7d8,0x766c4f11,
    0x1d83cdcb,0xc83607f5,0x07f90381,0x03a20ff2,0x81100300,0x801df32d,
    0x7f51d805,0x7ec7e8d5,0x009100f9,0x4e8066d4,0xe8bd07fc,0xe8fe1b63,
    0x89362747,0xfb83ea2f,0x443b0320,0x0b0fe62f,0x1f87b8f7,0x85887912,
    0x3207e44d,0x540c16e4,0x207f405f,0x30ae202c,0x22e41100,0x202c00fd,
    0x2067e44d,0x0057dc7b,0xbdb88091,0xfb0fe200,0x20899999,0x3a6087e9,
    0x225dcccf,0x2e3f801f,0x99f1123f,0x26d89d99,0x3dc7b829,0x305817f4,
    0x1fd43f85,0x007e61f5,0x26007fc4,0xc881265f,0x04400c3f,0x01fd5c7f,
    0xfa87f016,0x03dc7b83,0x05f50244,0x0f90fea0,0x41f2b2a0,0x4c06ebd9,
    0x326c801f,0x1f98556d,0x2091fa80,0x7443dc7b,0x580e61ef,0x2bf10fe6,
    0x00bf14f8,0xfc8017ec,0x3f8801b2,0xf984400c,0xca97e553,0xcccceccc,
    0x5f887f31,0x5c3dc7b8,0xcccedccc,0x00336a0c,0x41fa8bf1,0x70f92e40,
    0x3e203ecb,0x5cfcc084,0xf8849fa9,0x48de8084,0x207b8f70,0x20b11ffb,
    0x3e17e239,0x00fc9b64,0x22004fa8,0x7f002cff,0xf3088018,0x2027c759,
    0x3e17e205,0x03dc7b84,0xdd980244,0xbf91fa01,0x7c8be638,0x83f917c4,
    0x20a236c3,0x4137e5ce,0x7dc1c0ed,0x5c1f701c,0xd93e2287,0x23740c80,
    0xd8ba22f8,0x0077c404,0xf801bea0,0xf04400c3,0x2017c49d,0x3e237405,
    0x1ee0fb82,0x91001220,0x743f705b,0x222cacff,0x211fd54f,0x2fbf24f8,
    0x57fdc1c9,0x645f705a,0x59ff500f,0x40bf101b,0x81fb32fa,0x17d916c7,
    0x2fb81fb3,0xe89a216a,0x0007f600,0x3f8013e2,0xf704400c,0x02c02d45,
    0x505a8bee,0x003f665f,0x2e200091,0x5f67541e,0xfc84ffe8,0x7e42faaf,
    0x3fffa8de,0x203bfd50,0x2a034468,0x0b201dfe,0x9f75ffd0,0x725df7c1,
    0xb117b917,0x01b99f70,0xf70388aa,0x9f100209,0x0061fc00,0x5fde4422,
    0x805800dc,0x200dccfb,0x0cfbaffe,0x20001220,0x40110100,0x03011000,
    0x02020020,0x80040040,0x00130020,0x00000c00,0x20240df3,0x13e004f8,
    0x82611003,0x30014001,0x2e010400,0xcccccccc,0x0000000c,0x00000000,
    0x00000000,0x00000000,0xd0000000,0x3016a03f,0xdf9100bf,0x4ccccd45,
    0x0000a999,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x77777fe4,0x36a04ffe,0x00000bff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x05700000,0x4c0a0c40,0x710cc88c,0x8aaa9839,0xaa4c0aa8,0x2aaaaa0c,
    0xbc9a4c2a,0x0ae20000,0x31555300,0x02d40555,0x50ae2090,0x83da817b,
    0x5d4c0bd9,0x106c52a0,0x88888755,0x08088888,0x26666662,0x207ae199,
    0x18bd0008,0xf886cc26,0x3ae23fff,0x320d800b,0x5e57f541,0x0eebc9ef,
    0xa83f2fdc,0x3a2fdafe,0x2a4fb999,0x45fceafe,0x32258849,0x3205d03f,
    0x9805f12f,0x105b7003,0x26c54c7b,0x5dc3d151,0x7c562598,0xc8beafb0,
    0x666545f1,0x21dccccc,0x33332a48,0x360ccccc,0x216f6ec3,0xafa83e62,
    0x223f74f8,0xb501bbbb,0x8874c019,0xf70fdc0e,0x7e40fcc7,0x05f702b9,
    0xfb86e88a,0x892a1f22,0x531fc40d,0x1f70e2ba,0x400001b1,0x40f20b58,
    0x5458904a,0x6c9f4972,0x2ea885f3,0x5f30d400,0x82648000,0x2e3cdec8,
    0x21b85c41,0x6ecc0000,0x2364bb01,0x887e60fb,0x04ee882f,0x07ec01ee,
    0x203ee3dc,0x7f00d8ca,0x375667d4,0x5c0367ee,0xcccccccc,0x8398e40c,
    0xd881903c,0x2e55161e,0x1f2d4b66,0x4002e9d4,0x8888f41a,0x80888888,
    0x04098020,0x10000000,0x13fa81d9,0xf307d49f,0xfa817c43,0x2e01ee03,
    0xfa8f702f,0x7c01f700,0x40ef5c43,0x0000fdfb,0xc81b1260,0x96e01b83,
    0x8fc4b33b,0x5fc68e65,0x84c003e9,0x3332a1b8,0x00cccccc,0x00000000,
    0x81dc9800,0x543f50fb,0xf887e60f,0x203f9902,0x027cc07b,0x880fa8f7,
    0x98fe04bd,0x5c3ebced,0x1000ee8f,0x22c40d80,0x04c4dc3c,0x02f6a14c,
    0x20c30571,0x0003b9ca,0x00000000,0x80000000,0x3f100cda,0x983ea174,
    0x2e0be21f,0x81ee0dd1,0x1ee0c6e8,0x50d881f5,0x8db8fe09,0x47dc6a9d,
    0x06b805f9,0xd985c0a6,0x4bddd70c,0x00002ada,0x00000000,0x00000000,
    0x5c400000,0x51e400bd,0x7cc1f709,0x4930fe21,0x00fb84f9,0x7dc381fb,
    0x0d883ee0,0xf827c254,0x3ea1f702,0x0000c404,0x99100000,0x79999999,
    0x55555554,0x000001aa,0x00000000,0xb7000000,0x09122005,0xfb339fd3,
    0x23bf933b,0x33fea4fa,0xb83bfd50,0x26dcccef,0xfea8cfea,0x8860110c,
    0x80a82efc,0xff99dfea,0x0000001c,0x22220000,0x5c088888,0xbbbbbbbb,
    0x00000001,0x00000000,0x00010000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_21_latin_ext_x[560]={ 0,2,1,0,1,0,0,0,0,0,1,0,1,0,
1,0,0,2,0,0,0,0,0,0,1,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,-1,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,-1,1,0,-1,0,0,0,0,0,0,0,
-2,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,2,1,1,0,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,1,0,0,0,
1,1,0,0,-1,0,0,0,0,-1,0,0,0,0,2,1,-1,1,1,1,0,0,1,1,0,0,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,-2,0,0,0,0,0,0,
0,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
1,0,1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,2,0,2,2,2,
2,2,2,2,2,2,2,2,2,2,1,0,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,0,-1,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static signed short stb__times_21_latin_ext_y[560]={ 16,3,3,3,2,3,3,3,2,2,2,4,14,11,
14,2,3,3,3,3,3,3,3,3,3,3,7,7,5,7,5,3,2,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2,3,3,19,3,7,2,7,2,7,2,7,2,2,
2,2,2,7,7,7,7,7,7,7,4,7,7,7,7,7,7,2,2,2,9,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,16,6,3,3,5,3,
2,3,3,3,3,7,7,11,3,1,3,4,3,3,3,7,3,8,15,3,3,7,3,3,3,6,-1,-1,-1,0,
0,0,3,3,-1,-1,-1,0,-1,-1,-1,0,3,0,-1,-1,-1,0,0,5,3,-1,-1,-1,0,-1,3,2,3,3,
3,3,3,2,7,7,3,3,3,3,3,3,3,3,2,3,3,3,3,3,3,6,6,3,3,3,3,3,2,3,
0,4,-1,3,3,7,-1,3,-1,3,0,3,-1,3,-1,2,3,2,0,4,-1,3,0,3,3,7,-1,3,-1,3,
-1,3,0,3,3,2,-1,-1,3,2,-1,3,0,4,-1,3,3,2,0,7,3,2,-1,3,3,2,7,-1,-1,3,
2,3,2,3,2,3,2,-1,3,3,7,-1,3,3,3,7,0,4,-1,3,-1,3,3,7,-1,3,3,7,-1,3,
-1,3,-1,3,3,7,-1,3,3,4,-1,2,3,4,-1,3,0,4,-1,3,-1,2,-1,3,3,7,-1,3,-1,3,
0,-1,3,0,3,-1,3,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,3,4,4,3,4,4,4,
4,4,4,4,4,4,4,4,4,4,1,6,4,4,4,4,4,4,4,4,4,4,4,4,4,1,6,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,-1,3,-1,3,-1,
3,-1,3,-1,1,-1,0,-1,0,-1,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,-4,-2,-2,3,-2,3,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static unsigned short stb__times_21_latin_ext_w[560]={ 0,3,6,10,8,16,15,3,6,6,8,11,3,6,
3,6,9,6,9,8,9,9,9,9,8,9,3,4,11,11,11,8,18,14,12,12,13,12,10,14,14,6,8,14,
12,17,15,13,10,13,13,9,12,14,14,18,14,14,12,5,6,5,9,11,4,9,10,8,10,8,9,10,10,5,
6,10,5,15,10,9,10,10,7,7,6,10,10,14,10,10,9,6,2,6,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,0,3,8,10,10,10,
2,8,6,14,7,9,11,6,14,11,7,11,6,5,4,10,10,3,4,4,6,9,13,13,14,8,14,14,14,14,
14,14,18,12,12,12,12,12,6,6,6,6,13,15,13,13,13,13,13,9,13,14,14,14,14,14,10,9,9,9,
9,9,9,9,13,8,8,8,8,8,5,5,6,6,9,10,9,9,9,9,9,11,10,10,10,10,10,10,10,10,
14,9,14,9,14,10,12,8,12,8,12,8,12,8,13,13,13,10,12,8,12,8,12,8,12,9,12,8,14,10,
14,10,14,10,14,10,14,10,14,10,7,7,7,7,6,7,7,7,6,5,14,9,8,8,14,10,10,12,5,12,
5,12,8,12,7,12,6,15,10,15,10,15,10,12,13,9,13,9,13,9,13,9,17,14,13,7,13,7,13,7,
9,7,9,7,9,7,9,7,12,6,12,8,12,6,14,10,14,10,14,10,14,10,14,10,14,11,18,14,14,10,
14,12,9,12,9,12,9,8,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,13,11,11,10,11,11,11,
11,11,11,11,11,11,11,11,11,11,13,11,11,11,11,11,11,11,11,11,11,11,11,11,11,16,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,14,9,6,6,13,
9,14,10,14,10,14,10,14,10,14,10,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,14,9,18,13,13,10,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11, };
static unsigned short stb__times_21_latin_ext_h[560]={ 0,14,6,14,16,14,14,6,19,19,9,11,6,2,
3,15,14,13,13,14,13,14,14,14,14,14,10,13,10,5,10,14,19,13,13,14,13,13,13,14,13,13,14,13,
13,13,14,14,13,17,13,14,13,14,14,14,13,13,13,17,15,17,7,2,4,10,15,10,15,10,14,14,14,14,
19,14,14,9,9,10,14,14,9,10,13,10,10,10,9,14,9,19,19,19,4,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,0,15,17,14,10,13,
19,17,3,14,6,10,5,2,14,2,6,11,7,7,4,14,18,3,5,7,6,10,14,14,14,15,17,17,17,16,
16,16,13,17,17,17,17,16,17,17,17,16,13,17,18,18,18,17,17,9,14,18,18,18,17,17,13,15,14,14,
14,14,14,15,10,13,14,14,14,14,13,13,13,13,15,13,14,14,14,14,14,8,11,14,14,14,14,18,19,18,
16,13,17,14,17,13,18,14,18,14,17,14,18,14,17,15,13,15,16,13,17,14,16,14,17,13,17,14,18,18,
18,18,17,18,17,19,17,17,13,14,17,13,16,12,17,13,17,18,16,9,14,19,18,18,17,18,9,17,17,17,
18,13,14,13,14,13,14,18,13,17,13,18,13,13,14,14,17,13,18,14,18,14,14,10,17,13,17,13,17,13,
18,14,18,14,17,13,18,14,18,17,17,15,13,13,18,14,17,13,18,14,18,15,18,14,17,13,18,14,17,18,
16,17,13,16,13,17,13,14,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,14,12,12,17,12,12,12,
12,12,12,12,12,12,12,12,12,12,16,11,12,12,12,12,12,12,12,12,12,12,12,12,12,16,11,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,17,14,17,13,18,
14,18,14,18,16,18,17,18,17,18,17,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,20,19,18,14,19,14,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12, };
static unsigned short stb__times_21_latin_ext_s[560]={ 255,252,170,224,145,1,208,252,98,16,95,
60,252,247,243,147,8,169,159,95,94,244,74,84,94,128,251,251,108,202,1,
207,79,144,215,138,80,52,41,151,104,119,71,200,228,126,55,114,189,234,241,
246,176,1,216,177,65,14,1,236,131,45,127,155,214,135,120,159,175,183,141,
130,108,102,118,91,18,23,68,233,80,119,50,214,224,203,192,168,39,103,58,
111,105,125,219,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,
37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,255,251,65,
166,222,58,108,180,236,231,177,243,185,247,16,167,155,96,142,149,231,196,194,
251,197,137,163,13,60,46,31,111,74,102,130,130,195,165,69,14,209,196,89,
54,37,14,248,1,242,218,75,116,1,131,151,79,1,15,30,45,165,203,23,
91,154,144,134,124,114,165,145,14,72,63,54,45,1,250,217,34,101,231,232,
222,212,202,192,115,49,161,35,164,129,89,37,100,223,207,44,242,59,176,122,
100,135,65,117,224,170,242,145,186,197,154,210,188,183,46,238,183,1,30,27,
109,205,239,11,41,55,111,85,68,70,108,173,150,100,22,187,29,124,14,237,
162,180,89,50,58,97,161,222,240,104,1,145,159,250,1,233,224,24,211,1,
145,151,21,88,67,162,237,81,189,189,40,148,15,83,25,32,120,95,50,74,
99,51,107,1,18,106,26,242,115,170,200,180,14,1,138,123,136,130,34,109,
143,60,89,52,80,26,118,193,154,220,74,221,183,8,32,166,67,187,208,197,
235,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,175,37,37,21,
37,37,37,37,37,37,37,37,37,37,37,37,37,40,72,37,37,37,37,37,
37,37,37,37,37,37,37,37,23,84,37,37,37,37,37,37,37,37,37,37,
37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,40,104,
88,7,177,140,162,199,225,154,147,245,132,119,191,172,37,37,37,37,37,37,
37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,
37,37,37,1,48,206,210,23,172,37,37,37,37,37,37,37,37,37,37,37,
37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,
37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,
37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,
37,37,37,37,37,37,37,37,37, };
static unsigned short stb__times_21_latin_ext_t[560]={ 1,41,233,146,96,131,114,131,1,1,233,
219,138,233,233,114,146,205,205,146,205,146,176,176,176,176,114,96,219,233,233,
161,1,205,205,176,205,205,205,161,205,205,161,205,205,205,161,176,205,60,205,
161,205,176,161,161,205,219,219,41,114,60,233,240,233,219,114,219,114,219,161,
161,161,161,1,161,131,233,233,219,161,161,233,219,191,219,219,219,233,176,233,
1,1,1,233,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,
219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,1,1,60,
161,219,191,1,60,233,161,233,219,233,233,176,240,233,219,233,233,233,161,22,
125,233,233,233,233,176,176,176,114,78,78,78,96,96,96,191,96,78,78,78,
114,78,78,60,114,191,60,22,41,22,60,60,233,161,22,22,22,60,60,205,
114,146,146,146,146,146,114,219,205,146,146,146,146,205,176,191,205,114,191,131,
131,131,131,131,233,219,131,161,146,131,22,1,22,96,191,78,131,78,191,22,
131,22,131,78,114,22,114,78,114,176,114,96,176,78,161,96,131,96,191,96,
131,22,22,41,41,96,22,96,1,96,96,176,131,96,191,96,219,60,191,78,
22,96,233,131,1,41,41,78,1,233,78,60,78,22,191,114,176,131,176,146,
41,176,78,191,41,176,176,146,146,60,191,22,161,41,161,131,219,60,191,60,
191,60,191,41,146,41,146,41,191,41,114,41,60,60,114,191,191,41,146,60,
191,22,131,41,114,41,131,41,191,22,131,41,22,114,60,191,114,191,41,191,
146,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,146,219,219,60,
219,219,219,219,219,219,219,219,219,219,219,219,219,114,219,219,219,219,219,219,
219,219,219,219,219,219,219,219,114,219,219,219,219,219,219,219,219,219,219,219,
219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,96,146,
60,205,1,131,1,146,1,96,1,78,1,96,1,78,219,219,219,219,219,219,
219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,
219,219,219,1,1,1,146,1,131,219,219,219,219,219,219,219,219,219,219,219,
219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,
219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,
219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,
219,219,219,219,219,219,219,219,219, };
static unsigned short stb__times_21_latin_ext_a[560]={ 76,101,124,152,152,253,236,55,
101,101,152,171,76,101,76,84,152,152,152,152,152,152,152,152,
152,152,84,84,171,171,171,135,279,219,202,202,219,185,169,219,
219,101,118,219,185,270,219,219,169,219,202,169,185,219,219,286,
219,219,185,101,84,101,142,152,101,135,152,135,152,135,101,152,
152,84,84,152,84,236,152,152,152,152,101,118,84,152,152,219,
152,152,135,146,61,146,164,236,236,236,236,236,236,236,236,236,
236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,
236,236,236,236,236,236,236,236,76,101,152,152,152,152,61,152,
101,231,84,152,171,101,231,152,121,167,91,91,101,175,137,76,
101,91,94,152,228,228,228,135,219,219,219,219,219,219,270,202,
185,185,185,185,101,101,101,101,219,219,219,219,219,219,219,171,
219,219,219,219,219,219,169,152,135,135,135,135,135,135,202,135,
135,135,135,135,84,84,84,84,152,152,152,152,152,152,152,167,
152,152,152,152,152,152,152,152,219,135,219,135,219,135,202,135,
202,135,202,135,202,135,219,196,219,152,185,135,185,135,185,135,
185,135,185,135,219,152,219,152,219,152,219,152,219,152,219,152,
101,84,101,84,101,84,101,84,101,84,215,168,118,84,219,152,
152,185,84,185,84,185,123,185,104,185,84,219,152,219,152,219,
152,183,213,150,219,152,219,152,219,152,270,219,202,101,202,101,
202,101,169,118,169,118,169,118,169,118,185,84,185,130,185,84,
219,152,219,152,219,152,219,152,219,152,219,152,286,219,219,152,
219,185,135,185,135,185,135,84,236,236,236,236,236,236,236,236,
236,236,236,236,236,236,236,219,236,236,152,236,236,236,236,236,
236,236,236,236,236,236,236,236,219,160,236,236,236,236,236,236,
236,236,236,236,236,236,236,235,164,236,236,236,236,236,236,236,
236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,
236,236,236,236,236,219,135,101,84,219,152,219,152,219,152,219,
152,219,152,219,152,236,236,236,236,236,236,236,236,236,236,236,
236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,
236,236,219,135,270,202,219,152,236,236,236,236,236,236,236,236,
236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,
236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,
236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,
236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,
236,236,236,236,236,236,236,236, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_21_latin_ext_BITMAP_HEIGHT or STB_FONT_times_21_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_21_latin_ext(stb_fontchar font[STB_FONT_times_21_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_21_latin_ext_BITMAP_HEIGHT][STB_FONT_times_21_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_21_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_21_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_21_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_21_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_21_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_21_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_21_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_21_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_21_latin_ext_s[i] + stb__times_21_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_21_latin_ext_t[i] + stb__times_21_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_21_latin_ext_x[i];
            font[i].y0 = stb__times_21_latin_ext_y[i];
            font[i].x1 = stb__times_21_latin_ext_x[i] + stb__times_21_latin_ext_w[i];
            font[i].y1 = stb__times_21_latin_ext_y[i] + stb__times_21_latin_ext_h[i];
            font[i].advance_int = (stb__times_21_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_21_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_21_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_21_latin_ext_s[i] + stb__times_21_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_21_latin_ext_t[i] + stb__times_21_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_21_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_21_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_21_latin_ext_x[i] + stb__times_21_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_21_latin_ext_y[i] + stb__times_21_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_21_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_21_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_21_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_21_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_21_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_21_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_21_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_21_latin_ext_LINE_SPACING
#endif

