// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_22_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_22_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_22_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_times_22_latin_ext_BITMAP_HEIGHT        274
#define STB_FONT_times_22_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_22_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_22_latin_ext_NUM_CHARS            560

#define STB_FONT_times_22_latin_ext_LINE_SPACING          14

static unsigned int stb__times_22_latin_ext_pixels[]={
    0x00600000,0x00150164,0x3ae001bb,0x2200a801,0x54c0001d,0x02a15000,
    0x4000aa80,0x980d402e,0x2202eeee,0x80202002,0x0010101a,0x03777510,
    0x0a88a880,0x03333300,0x64001df0,0x750bf000,0x8007e600,0x801c804e,
    0x27c00039,0x005df100,0x50027fcc,0x22057005,0xc802cccc,0x550d8801,
    0x21b015c0,0x2f2e0039,0xb800e4c0,0xfea80d76,0x4c02eabf,0x0b62000f,
    0x000e8040,0x02c40057,0xb86400ec,0x00598000,0xb000b864,0x19001d31,
    0x202b802e,0xb300170c,0x0173ae00,0x35fd4057,0x37007700,0x80b23900,
    0x0b1ffffb,0xdd000390,0x003cc000,0xb8018003,0x5d1e8805,0x40017000,
    0x3005d1e8,0x8f440281,0x440ae02e,0xf3005d1e,0x007b6001,0x02ed8057,
    0x05c00970,0x7f4038e0,0x500b1fff,0x10000005,0xa8801fa8,0x2cb8141a,
    0x26620be0,0x4ccc4099,0x860a9801,0x44099998,0x10001999,0x98813333,
    0x4c4ae199,0x4cc40999,0x441fa819,0x4c409999,0x880ae199,0x05b801aa,
    0x01c42231,0xf8806aa2,0x80b1ffff,0x00004aba,0x2f98bd50,0x32ab3a20,
    0x93983bae,0x3260f701,0x7d440cff,0x57bb102e,0x7e4cdbd7,0x77d440cf,
    0xd70fbaa2,0x033ff265,0x95c5df51,0x440cffc9,0x0fb82efa,0x2067fe4c,
    0x0ae2efa8,0x3f2ab362,0x4de41a02,0x6c4122fb,0xd02fcaac,0x0163ffff,
    0xab980249,0x4c41ccdd,0xa807c45f,0x306f982f,0x81fa0327,0x816c07f8,
    0x41f705e8,0x416c07f8,0x2224c1fc,0x2e16c07f,0x5b01fe22,0x3fc41e60,
    0xa8570b60,0x984f982f,0x83f22d85,0xf982fa84,0x1ffffb84,0x02cd980b,
    0x0d7f45f0,0x882cc5f8,0x05fd106f,0x037c0b6e,0x103901be,0x207401dd,
    0x440e406f,0x37c0e44f,0xf8570720,0x1d00e406,0x83901be0,0xb817e208,
    0x1721dc2f,0x2fc448db,0xfd705f70,0x16e0163f,0x1f907dc0,0x40532f40,
    0xff3b02fc,0x05f88040,0x2072037c,0x20d403fb,0xc80e406f,0x1be0b10f,
    0x7c2b8390,0x7100e406,0x1c80df03,0xf1017ec0,0x03ea1d8d,0x17ec487f,
    0x1c80df10,0x001fd00b,0x007dc3f9,0xf80322bd,0x3fd1d80f,0x21f65e44,
    0x037c05f8,0x007f6072,0x03901be0,0xf815d3e2,0x0ae0e406,0x401c80df,
    0x6406f849,0x2007fc01,0x8b91a1fe,0xff0e21fa,0x201fe801,0xfe980b1b,
    0x363f9803,0x0ae2f405,0xd8ae1fe2,0x0fc9723f,0x01be037c,0x001ff039,
    0x01c80df0,0x6f81a3f2,0xf0ae0e40,0x2e01c80d,0x1c80df02,0x3601fe20,
    0xe87d1a2f,0x0ff10647,0x8dc05fb0,0x037cec05,0x00bbcfa8,0x261e22f4,
    0x3f22547f,0x41fa8f63,0x2037c06d,0x003fcc1c,0x00e406f8,0x37c09bf1,
    0xf8570720,0x7880e406,0x83901be0,0x900ff32b,0x3f88e47f,0x4c2a976e,
    0x03fc807f,0x2b102c6e,0x08c802fc,0x5f317a00,0x0b30ff88,0x3f6a05fb,
    0x1be03e41,0x0ff88390,0x6406f800,0xf00fe401,0x15c1c80d,0x203901be,
    0x80df00fb,0x7f895c1c,0x8ea2fd80,0x71bb4cfe,0x807f8947,0x2c6e02fd,
    0x017e6590,0x013557f5,0x40fd45e8,0xe80d8afe,0x7d4e5c0f,0xff00fcc1,
    0x1ff80d80,0x6c07f800,0x3e02cc00,0x0ae06c07,0x500d80ff,0xb01fe03f,
    0x03fe2b81,0x12c43fd0,0x705e4c59,0x3a007fc3,0x02c6e01f,0x2600fd8d,
    0x05ffffff,0x901f513a,0xdf103b7f,0x207ea5c8,0xd01fa03c,0x0200ff20,
    0xb80680fd,0x1a03f402,0x680fd0ae,0x3f407e60,0xfc8ae1a0,0x321be202,
    0x32244002,0x01be202f,0x4e541637,0x2604fb99,0x03b53313,0x740f10fe,
    0x441f902f,0x7407ea2f,0x2203f900,0x403ff106,0x880fe40a,0xfc806806,
    0x8570d101,0x40d101fc,0x407f2078,0x3e22b868,0x6407ee06,0xf1091002,
    0x200fdc0d,0x333a0b1b,0xd107fccc,0xf1442e01,0x3ee03b01,0x7c42f984,
    0x82afda8d,0x81dd1049,0x3be601e8,0xee881b81,0x6440f440,0xee8801db,
    0x15c0f440,0x3d103ba2,0xdd101d40,0x2b81e881,0x17d427cc,0x09500b20,
    0x17d427cc,0x49858dc0,0x9f305f70,0xdf525443,0x26154035,0xdcbbec8d,
    0xf17ff700,0x440e201d,0x01decded,0xcccefd88,0x337b6201,0x7ff301de,
    0x66f6c400,0x105701de,0x03bd9bdb,0x76c40154,0x5701decd,0xbb77bb10,
    0x2f2e6001,0x8801ccba,0x00ddbbdd,0x03616370,0xfdb837c4,0x00883fff,
    0x00330100,0x20000102,0x02200018,0x44006200,0x00620000,0x00310022,
    0x400c4000,0x000cc008,0x80002620,0x02080019,0x03fe80d5,0x0000004c,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7f540000,0x4fffb80b,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x32e00000,
    0x02aa0001,0x8002a800,0x1a88002a,0x00544000,0xa8800154,0x08004c01,
    0x01654008,0x036602a8,0x800dc400,0x02aa0040,0x88001010,0x0080804c,
    0x000dbd10,0x880017cc,0x7fcc003f,0x006d8003,0x1012f2a0,0x3f60007f,
    0x8015c00f,0x7440731d,0x0fd400fd,0x0000feb8,0x3900191b,0x04f88122,
    0x00730a98,0x5403fdc8,0x3200730a,0x54000770,0x00970005,0x001d31b0,
    0x3a0003d0,0x025c0089,0x00994a80,0xd7f3003b,0x04a8dc01,0x03f20164,
    0x0154e200,0x500767c4,0x7fff400b,0x6c526000,0x07fff400,0x00060440,
    0x00e00070,0x00288260,0x7a800288,0x28000e00,0x01a20054,0x30601764,
    0x7dc01c01,0x09970000,0x0e01f5c0,0x2000a600,0x82a80181,0x33119998,
    0x4ccc4133,0x006aa200,0x80035510,0x26201aa8,0x4cc40999,0x4436c019,
    0x4c409999,0x26662199,0x0cccc409,0x0a9803d8,0x00854c06,0x2007dc00,
    0x44099998,0x15301999,0x20854c02,0x44099998,0xa9801999,0x36600060,
    0x9ff712ff,0x406fd441,0x2fcaacd8,0x65566c40,0x566c402f,0xfc982fca,
    0x77d440cf,0x15dfb502,0x2067fe4c,0x3262efa8,0x7d440cff,0x101f702e,
    0xdbd757bb,0xeedbbda8,0xeb87dd50,0x77e47dc2,0x067fe4c2,0xb50bbea2,
    0x541ddb77,0x30eedbbd,0xa8819ff9,0x7bb102ef,0x730dbd75,0x22399bb5,
    0xd02fd87f,0x3e60bea0,0xf305f504,0x260bea09,0x407f884f,0x2fea202d,
    0x6c07f881,0x6c07f882,0xd107ea02,0x7c43ee0b,0x3f907d40,0xbcfb8498,
    0x3fc42ffa,0x81f10b60,0xa81f10fa,0xb01fe20f,0x5c17a205,0x5fd17c0f,
    0x3ea0fec3,0x5f884984,0xbf10bee0,0x3e217dc0,0x3e0bee05,0x2a00e406,
    0x901be01f,0x3901be03,0xdd11fcc0,0x06b87401,0x3227c41b,0x3e61fb81,
    0x0e406f85,0x6b86c1ae,0x406f81b0,0x00ee881c,0x320fb83a,0x7c27d40f,
    0x2fd81c86,0x5fb1be20,0x3f637c40,0x3e1be202,0x3200e406,0x32037c07,
    0x1c80df01,0x3fb93e20,0x82fc8d40,0x5887e40b,0x87f81f70,0x320e406f,
    0x5f90b82f,0x406f8170,0x403fb81c,0xfb87f21a,0x7fcc7f80,0x00ff8341,
    0x01ff0ff4,0x03fe1fe8,0x06f83fd0,0x017a00e4,0xf01c80df,0x2201c80d,
    0x8007f65f,0xf8803ffa,0x03ee0574,0x406f83f9,0x01ffd41c,0xdf007ff5,
    0x1fd81c80,0xbb1fcc00,0xfcc87f20,0x1fe21264,0x3fc4bf60,0x7f897ec0,
    0x37c2fd80,0x3f880720,0x072037c0,0x8072037c,0x003fe4f8,0x805dff70,
    0x3ee068fc,0x037c3e40,0x3bfee072,0x05dff702,0x2072037c,0xfa8000ff,
    0x9f300bbc,0x20727fb4,0x3fc807f9,0x7f900ff3,0x3f201fe6,0x072037c3,
    0x37c01fa8,0x037c0720,0x33f98072,0x3a6000ff,0xbf100dff,0x3a07dc09,
    0x0e406f86,0x80dffe98,0xf80dffe9,0x3e60e406,0x01190007,0xfca4dfa0,
    0x01fe20d2,0x03fc4bf6,0x07f897ec,0x037c2fd8,0x807b8072,0xf80e406f,
    0xf500e406,0x0003fe23,0x900fffb8,0x117dc03f,0xc80df03f,0x07ffdc01,
    0x7c0fffb8,0x3e20e406,0x5fd4000f,0x3f2009aa,0x739f31ca,0x3a007fc0,
    0xd003fe1f,0x2007fc3f,0x203fc1fe,0x2017600d,0xf806c07f,0xd9006c07,
    0x02001ff8,0x2cc17f62,0x32ef7ee0,0x0d80ff01,0x0afec404,0x3fc5fd88,
    0x07fe0360,0xfffff300,0x1b7e60bf,0x7e403bfd,0xf91be202,0x3237c405,
    0x21be202f,0x3e03407e,0x3407e802,0x40680fd0,0x401fe42f,0x41be2090,
    0x447dc02b,0x1a03f400,0x04b7c412,0x407e8df1,0x1007f906,0xda9989cc,
    0xfb87fd01,0x7037c406,0x206f883f,0x037c41fb,0x03f903f7,0x007981a2,
    0x81a203f9,0x40d101fc,0x01ff885a,0x4e80e42a,0x01f700d0,0x34407f20,
    0x394e80e4,0x03f913a0,0x0ffc41a2,0x403a2150,0x881f700b,0x84f9803f,
    0x09f302fa,0x13e605f5,0x77440bea,0x45c0f440,0x1dd1003b,0x3a201e88,
    0x880f440e,0x207be605,0xf303b21b,0x0076f221,0x744003f2,0x640f440e,
    0xec87cc0e,0x77407cc0,0xf300f440,0x7cc3703d,0x8812a21c,0x22001d06,
    0x00ddbbdd,0x6eddeec4,0x5deec400,0x76c400dd,0x7d01decd,0xded88007,
    0xd8801dec,0x301decde,0x9dfb1007,0xdecc8399,0x3fe61ddb,0x0bfe9803,
    0xd9bdb100,0x37b3203b,0x3b321ddb,0xb101ddbd,0x003bb9bd,0x3999dfb1,
    0x7ffffb70,0x00060100,0x198000cc,0x00033000,0x00040062,0x88000620,
    0x11000001,0x20131040,0x33330008,0x00310001,0x10404c41,0x00c40013,
    0x4c001100,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x4cccccc0,0x02009999,0x0b2a0002,
    0x01a8d400,0x20200550,0x00000000,0x003c9800,0xa8800aa2,0x0d985902,
    0x50001010,0x10101005,0x98813333,0x01010199,0x2aa20aa0,0xf99df32a,
    0x807fd99f,0x8800730d,0x4c000fdf,0xb800f98f,0x0a9802fe,0x305c0073,
    0x867e4005,0x01fde802,0x6c003f50,0x5c5f80fe,0x2a1b101f,0x01fc4002,
    0x982a86c4,0x5440cffc,0x21b102ef,0x82f9802a,0x8752abfa,0x2a024c7e,
    0x1c8006bf,0x53b80097,0xd31b1007,0x03fffa00,0x06fef980,0x37fee660,
    0x05995401,0xa4c005b0,0x7002005b,0x97000b9d,0x0367d400,0x02d80ff1,
    0xc802e75c,0x0a81f503,0x6c01c3f4,0x2044002e,0x0071c001,0x2600510a,
    0x05710002,0x400d4080,0x01c00441,0x000330a0,0x4000f6c0,0x01ed8003,
    0x0072037c,0x024007b6,0x0fd001f5,0x31009998,0x55100333,0x33310221,
    0x19998813,0x2aa20000,0x0aa88001,0x99998811,0x40cccc40,0x26099999,
    0x33310099,0x20200803,0x20008800,0x99999999,0x4ccccc09,0x37c09999,
    0x26660720,0x09999999,0x03ea0618,0xfb301fa0,0x077ea20d,0xeeb9bdc8,
    0x67fe4c1d,0x4177d440,0x1ccddab9,0xfcaacd88,0xb9bdc802,0x7e4c1dee,
    0x77d440cf,0x0bffc982,0x5441bf66,0x8bd501df,0x3f264eb8,0xa802dc01,
    0xfdccccef,0x333bea0e,0x7c0efdcc,0x3e60e406,0xeccffcce,0x7cc7ec3f,
    0x74007d44,0x409fd007,0x4c17601d,0x407f882f,0x7f45f02d,0x4c17d41a,
    0x4c17604f,0x407f882f,0x81be602d,0x407604fe,0x7cc45f98,0xd007f224,
    0x2055001f,0xe81541fe,0x6406f81f,0x31fa1d41,0x83b14a89,0x07e800fa,
    0x3207ff90,0x2b80fb01,0x81c80df0,0x103f20fb,0x417dc0bf,0xf815c07d,
    0xf100e406,0x81ffe40b,0xf82fc01c,0xd300fdc4,0x3207007f,0x9f90384f,
    0x83901be0,0x01c3f40a,0x74007d40,0x3ff59007,0x09f70390,0x901be030,
    0x7dc3f903,0xf1017ec0,0x1804fb8d,0x01c80df0,0xfac817e2,0x7401c81f,
    0x1fa89f05,0x201be760,0x0106f980,0x037c0df3,0x81fa0072,0x5d930eda,
    0x3f4007d4,0x0ff98c80,0x017ec0e4,0x1c80df00,0x21763f98,0x0ff400ff,
    0x7c0005fb,0xf100e406,0x7fcc640b,0x17a00e40,0x407ea27c,0x8005f958,
    0xf1001ff8,0x203fc03f,0x407e800d,0xa8be60fb,0x007e800f,0x391bee19,
    0x26601ff0,0x406f8199,0x779f501c,0xd807f881,0x4c03fe2f,0x06f81999,
    0x0bf100e4,0x646fb864,0x4f82f401,0x32c80fd4,0x3fd800bf,0xd00ff600,
    0xfd00680f,0x3e20fb80,0x3a003ea2,0x7e419007,0x0ff30725,0x7c177ecc,
    0x8c80e406,0x201fe600,0x40ff33fc,0x6f82efd9,0xbf100e40,0x4bf90640,
    0xf82f401c,0x4680fd44,0xbf5000fd,0x402fd400,0x00d101fc,0x41f701fa,
    0x003ea2f8,0x032003fe,0xf10727fd,0x827d403f,0x540e406f,0x4409aabf,
    0x12fd807f,0x27d403ff,0x00e406f8,0x20640bf1,0xe80393fe,0x1fa8bf05,
    0xfb999ca8,0x00ff8804,0x1001ff10,0x01e881dd,0x0fb80fd0,0x00fa8be2,
    0x00b7ff66,0xcafe8819,0x2602ff81,0xd80ff04f,0xfffff980,0x2007fc5f,
    0x80bfe1fe,0x80ff04f9,0x817e200d,0x657f440c,0x2e22f401,0x207ea3ff,
    0x7fccccce,0x2002fd80,0x362002fd,0x001decde,0x41f701fa,0x003ea2f8,
    0xf3019000,0x09f903df,0x07e827cc,0x33139834,0x017e43b5,0x04fc8df1,
    0x03f413e6,0x409f101a,0x1eff980c,0xf5001f40,0x5f704981,0x8302fdc0,
    0x300605fb,0x01fa000d,0x51fcc3f5,0x00dd001f,0x0ffd4036,0xf9817fc4,
    0x2203f904,0x1700e886,0x3f7037c4,0xf302ff88,0x4407f209,0x80fe2106,
    0x03ff500d,0x1ea001f8,0x837c4036,0x45300ef9,0x05300ef9,0xfd000798,
    0xf934f980,0x5c007d49,0x202d800d,0x3fd101fc,0x3a209f30,0x4c0f440e,
    0x212a21cf,0x02fa84f9,0x9f303fd1,0xd103ba20,0x1f33f703,0x3f9016c0,
    0x2a01e288,0x406a8971,0x01fe83fe,0x80ff43d1,0xbee801e8,0x003fe002,
    0x5bf19ffb,0x01c003ea,0xd80fbf26,0x55f76401,0x36200cec,0x201decde,
    0x03ffffdb,0x376ef762,0xabeec800,0x36200cec,0x301decde,0x326059df,
    0x507603ef,0xfd0035df,0x0bfea859,0x324fffb8,0xeeeeeeff,0x3bbff27f,
    0x007feeee,0xb3001551,0x08805bff,0x0bddf502,0x00000054,0x00013300,
    0x01300031,0x20001980,0x18800099,0x00000600,0x03000220,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80800000,0x01f4c000,0x54c00aa0,
    0x00101010,0x5400032e,0x26666202,0x44010101,0x33312aaa,0x54400013,
    0x0d44001a,0x000054c0,0x20011000,0x3a2001c9,0x99988b92,0x02666619,
    0x986c0288,0x00364003,0x7b500fdc,0x3a81ddb7,0x3baa006a,0x40ff0005,
    0x501dffa8,0x55100649,0x37fee2fb,0x8800cfec,0x02edaade,0xf1001f90,
    0x1c435009,0x5402dc00,0x3e6001fe,0xffa88dd3,0x033fe61c,0xa80744e4,
    0x0d8006bf,0x22079000,0x6c07d40f,0x21b005bd,0x0198001c,0x6ec02fd8,
    0xd1ee003d,0x2037dc1f,0x04fa82fa,0x1a6001e8,0x00ff7f40,0x54007f40,
    0xd000001f,0x201f981f,0xec80fa49,0x00018002,0x1b06b824,0x3001ff30,
    0x15300030,0x200fe40c,0x3dc005e9,0x05fd03f6,0x2fb817e2,0x2a000a60,
    0x00175001,0x5007fd30,0x2000003f,0x007a20fd,0x4c40d4b7,0x98801999,
    0x99999999,0xfc818600,0x06180b82,0x10266662,0x36203333,0x86debabd,
    0x4ccc41fc,0x47b80009,0x81fec0fd,0x9be602fc,0x00099998,0x00333331,
    0x27600011,0x01fa806f,0x75c3eea8,0x03d13ec2,0xa8809f30,0xc9801dff,
    0xdccccfff,0x9f31fb07,0xd803ffa8,0x6cc4f98f,0x7e441dff,0x705e881e,
    0x441fc81f,0xcfecdffb,0x7ec7b800,0x7c03fe20,0x88ffc00f,0xcfecdffb,
    0x3bff5100,0x1000b700,0xf500bf2b,0x3205ee43,0xbec24c1f,0x3f2001e9,
    0x002fd804,0x82c1fb2a,0xf703b14a,0x8a5405df,0x207fd01d,0x01dd106a,
    0x407f2074,0x01bee0fe,0x261fb1ee,0x0ff103fd,0x0fe85fd0,0x5fb01bee,
    0x0003fa00,0x5017e659,0x4407623f,0x7ec0e44f,0x2e2001f9,0x0fe404fc,
    0x20fd1b00,0xfe980001,0x4c0000df,0x700d80ff,0x641a807f,0xe81fb01f,
    0x363dc02f,0x200dfecf,0x3fc807f9,0x0bfa07ec,0xe9801fc8,0x3634003f,
    0x227ea00f,0x887e400d,0x0bfdfb05,0x40bf5240,0x293001fc,0xeda8087e,
    0x5c05d930,0x1db50fff,0x7dc0bb26,0x3fb01d44,0x203f9000,0x01fec0fd,
    0xf11fb1ee,0x03fc401f,0x03f61fec,0x0fe407fb,0x0037cec0,0x9f733395,
    0x0075fd40,0xb02ba7c4,0x300bfb1f,0xf900fa89,0x3f436003,0x260fb824,
    0x3f62022f,0x2f983ee5,0x03447fa0,0x320003fe,0x441fb01f,0x23dc00ff,
    0x80bf50fd,0x0ff400fe,0x0ff883f6,0xb1007f20,0x67400bf2,0x207fcccc,
    0x9004fcfa,0xb3ec0d1f,0xe86a80bf,0x5003f902,0x5cccff47,0x7c41f706,
    0x737c4122,0x3017c41f,0xf98076df,0x03f90007,0x1fecc3f6,0x83f63dc0,
    0x0bf203fc,0x0fd86f88,0xfc807fb3,0x5f996401,0x5f704980,0x0bf27ea0,
    0xd8137e20,0xf102fec7,0xfc80641b,0x3fa0d801,0xf706cbaa,0x03917c41,
    0x220fb93a,0x26fe402f,0x0003fe20,0x67ec07f2,0xf7000dfe,0x0ff40fd8,
    0x3ee06e88,0xdfecfd81,0x401fc800,0x36007ec6,0x2a0df100,0x9003fd1f,
    0x207ec03f,0x3be605fd,0x07f20288,0xffdddf50,0x883ee090,0xf303b22f,
    0x5f107dc1,0xf001fd00,0x5fb0003f,0x3fe23f60,0xfe8f7000,0x9807fcc1,
    0xb02f984f,0x001ff11f,0x4e5403f9,0x2a04fb99,0x541ff406,0x801df11f,
    0x407f4059,0xdf300efe,0x401fc807,0x70087e85,0x9917c41f,0xb83bb7bd,
    0x200be20f,0x07f9007e,0x3bff2610,0xbf50fd82,0x7e4dee00,0x67fdc2df,
    0xcbbdc880,0x543f601d,0x01fc805f,0x3f33333a,0x017fd507,0x7549fff7,
    0x2efe89df,0x7e4c0ae0,0x3ffea2df,0x06f981cf,0x05700fe4,0x3ea040fd,
    0x2608fe61,0x4c3f500d,0x007e803f,0x05403ff1,0x20fd806e,0x07b803fc,
    0x74c00054,0x07ec00ff,0x1fc807f9,0x0bee0930,0xa800d800,0x2001a000,
    0x2f980019,0x34407f20,0xf31207e8,0x5413f269,0x269f303f,0x07e804fc,
    0x2e07be60,0x3f603d81,0x2e00ff40,0x001f6207,0x36037ec4,0x900ff40f,
    0x4403603f,0x07e0006f,0x64407f20,0xfa8001db,0x0724c803,0x07902fd8,
    0x6c1e41fe,0x02df8cff,0x67fec07b,0x7fc02df8,0x3bf62000,0x9f701ccc,
    0x4c1fe835,0x01ee00ff,0xea8000f3,0x983fd00d,0x05fb00ff,0x03fe80d5,
    0x0157db00,0x3ff980fc,0x200fa000,0x7e4c164a,0x3bf222ef,0x3bbff6a2,
    0x1101feee,0x803c8804,0xf9300208,0x110005bf,0xc986e600,0x7fdc2dff,
    0x0fddd30c,0x80000e54,0xff930bb9,0x0cffb85b,0x545dff93,0xffb80bfe,
    0x3730004f,0x1100b260,0x00f22000,0x0000aaa8,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xa8000000,
    0x42f22002,0x00e20008,0x80015300,0x4d8000aa,0x9802a800,0x33310099,
    0x00055003,0xa8800101,0x2e00110a,0x00a9800c,0x500c1530,0x05500015,
    0x26621dc4,0x0a200999,0x7003ff98,0x80099ff9,0x360001fc,0x02f98006,
    0x44006e80,0x6fd9803f,0x803bf510,0x64003ff9,0x6e400912,0x01deeb9b,
    0x4405eea8,0x376205ff,0x206debab,0x7c4002f9,0x889f9103,0x200adffb,
    0xd31b01fc,0x36e23001,0x00144001,0x20001d10,0x0000005a,0x4fe80097,
    0x27600760,0x3e2000e9,0x0bb001ec,0x43600be6,0x3a2b201c,0xf705e881,
    0x2002d401,0xd04f804b,0x2093003f,0x4400a209,0xa88001aa,0x2a00110a,
    0x001c0001,0x80038000,0x03903ffc,0x000a2098,0x1f6009d5,0x18180570,
    0x74438310,0x7003a00e,0x9f003800,0x20003f60,0x99999998,0x59b10099,
    0xb9005f95,0x83bdd737,0x44099998,0x08801999,0x376ae600,0x004401cc,
    0x207feb20,0x0011001c,0x01333331,0x06013ee0,0x44333331,0x33119999,
    0x03fb8333,0x999988d4,0x22099999,0x99999999,0xfb04f809,0xfa886001,
    0x4fcccccf,0x4f982fa8,0x17cc1760,0x1077ff66,0xb7003df9,0x5fd17c00,
    0x4005b803,0x640ff98c,0x100b7001,0xfd99dff7,0x00bf603b,0x873fea20,
    0x511cffb8,0x1fd83bff,0x33fea200,0x224fcccc,0xcccccffa,0xfb04f84f,
    0x3fa12001,0x2fc44880,0x0fb05f70,0x07fd02b8,0x0fe801aa,0x3f20fb80,
    0x000fe800,0x3237dc32,0x001fd001,0x3fd303fa,0x26601ff0,0x00fe8199,
    0x05fb01fd,0xfd0001ff,0x1fd09101,0x209f0910,0x858800fd,0xfd8500fd,
    0xf71be202,0x3e603009,0x3000d80f,0x3f9007fd,0x3a6007dc,0xc832003f,
    0x2600725f,0x1fb003fe,0x7f98bfa0,0x20bbf660,0x20fd00fd,0x03fcc1fc,
    0x0500fd80,0x3e0a01fb,0x3001fb04,0x0101fb0d,0x1fe801ff,0x70000bf6,
    0x2003a89f,0xf9806f9d,0x27601763,0xd032006f,0x3600727f,0x1fb006f9,
    0xff89be60,0x6c13ea01,0x320fd00f,0x007fc41f,0x80407ec0,0x9f0080fd,
    0x2a003f60,0x1c40fd87,0x3f601fe2,0x4cc03fe2,0x47fa0199,0x65620068,
    0xbcfa802f,0xfcac400b,0xe8819002,0xac401caf,0x0fd802fc,0x2ff83fa0,
    0x7ec13e60,0x3f20fd00,0x8001ff81,0xd81c40fd,0x4f81c40f,0xf7001fb0,
    0xb5335fb0,0xc807f987,0x4c0ff33f,0x3e602efd,0x964003b6,0x08c805f9,
    0x2fccb200,0xff980c80,0xf996401e,0x200fd805,0x813f22fd,0x01fb04f9,
    0x40fe41fa,0x6c0803fc,0x03da99af,0x7b5335fb,0x07ec13e0,0xfb03ee30,
    0x887d9557,0x12fd807f,0x27d403ff,0x0026fe40,0x5401fb1a,0x4009aabf,
    0x6c007ec6,0x803ff500,0x36007ec6,0x88ff200f,0x09f302ff,0x333333f6,
    0x03f907fc,0x05403ff1,0x3b2aaff6,0x9557fb03,0x6c13e07d,0x3f25300f,
    0x0e207ec1,0x3fd003fe,0x9f3017fc,0x8003fa00,0x4fb999ca,0x3ffffe60,
    0x3339505f,0x05b009f7,0x39500fe4,0xd809f733,0x10bf600f,0x09f303fd,
    0x83f403f6,0x3df301fc,0x81fb0370,0x881fb038,0x3fa0bf03,0x5fb0e981,
    0xc8080fd8,0x91be202f,0x027cc09f,0x674007e8,0x207fcccc,0x3b533139,
    0xf99999d0,0x1f7e4c0f,0x667403b0,0x6c07fccc,0x407fe00f,0xcecabeec,
    0x3a01fb00,0x4403f907,0x01cccefd,0x360101fb,0x7dc4080f,0x3fff263f,
    0x325ffeee,0x1007ec1f,0x3f7037c4,0xf302ff88,0x801fa009,0x105f7049,
    0x9302e01d,0x3000bee0,0xb824c003,0x403f602f,0x9d8805fa,0xd00fd800,
    0x4007f20f,0x00fd801d,0x0401fb02,0x006a002a,0x2601fb01,0x7d427cc2,
    0x303fd102,0x01fa009f,0x0df100d8,0x254439f3,0x06f8806c,0xd801fdc0,
    0x6c0df100,0x01fe880f,0xfb003fa8,0x7e41fa01,0x806e8801,0xd85300fd,
    0x6c45300f,0x017dc00f,0x3a207f60,0xdbbdd880,0xbeec800d,0xf000ceca,
    0x80d5001f,0xffdb83fe,0x406a83ff,0x1f4003fe,0x3fa03540,0xe981fd03,
    0x00fa001e,0x0ff807f4,0xd5002fd8,0xd103fb00,0xe881fd81,0x74007cc0,
    0xdff73002,0x00bfdddd,0x4cc00033,0x3ff26000,0x2ffaa02d,0x04fffb80,
    0x5ff54026,0x04fffb80,0xea803c88,0xfffb80bf,0x3bbff264,0x22003cdd,
    0xffc9803c,0x37ff262d,0x05dff932,0x2e601cb8,0xfeeeeeff,0x3bbfee65,
    0x6545feee,0x001e4401,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0aa80551,0x01c46a00,
    0x64400808,0x43322004,0x44164008,0x99999999,0x20153009,0x40008080,
    0x98006a38,0x43322002,0x54710008,0x04038801,0x2200a600,0x85c312ed,
    0x9000982a,0xf100fdc0,0xf96f8009,0x0dcb3003,0x400ff720,0x804cffcb,
    0xcffa885f,0xf04fcccc,0x3985540b,0x40730b88,0x005f8afb,0xfcb801fa,
    0x3ee004cf,0xfc805f8a,0x2002b201,0x4d404aba,0x7f50defd,0x200761fe,
    0x500b6048,0x2235000b,0x173b2002,0x00362910,0x000edc46,0x24407f40,
    0x7ff402cc,0x3fff900f,0x00351c40,0x2230014c,0x8e2001db,0x7028801a,
    0x401dd7b9,0x5c410124,0x5c1985c1,0x101b801f,0x31007007,0x99881333,
    0x03b62019,0x33303030,0x06666201,0x1403f600,0x02a8005c,0xa8800b98,
    0x2666201a,0x00999999,0x22000088,0x99998800,0x1d85daa1,0x100b3660,
    0x4c433333,0x3fae1999,0x40b100cd,0x4ccc43b8,0x3f260099,0x77d440cf,
    0x26666622,0x6cc09999,0x06fd9800,0x0203bf51,0x44080fd8,0x26219999,
    0x99999999,0x06666620,0x7e5566c4,0xccffa882,0xb804fccc,0x016e0005,
    0xd877fea2,0x7006a175,0xbff5100b,0x0effd443,0x6e5c07ea,0x44fc883f,
    0x00adffb8,0x0b603fc4,0x9999ff51,0x0ff549f9,0x6c09fd00,0xb0275c41,
    0x5443881f,0x3ea21dff,0x4fcccccf,0x2077fea2,0x04f982fa,0x009101fd,
    0x3a0001fd,0x85fb000f,0x0020b8fd,0x3f6001fd,0xf505fb02,0x3f727b03,
    0x3fa09f01,0x901be001,0x2203fa03,0x9000fdc4,0x107207ff,0x57ec09f3,
    0xfb03da99,0x2203fa05,0xf882fd84,0x360bee05,0xe980500f,0xfe98003f,
    0xa83f9003,0xd3000dff,0x07f2007f,0x0fd40fe4,0x0ec6c7ea,0x01fb04f8,
    0x072037c0,0x542807ec,0x3eb2001f,0x9f01c81f,0x6555fec0,0x203f903e,
    0xf90500fd,0x4405fb03,0x080fd86f,0x006f9d80,0x9006f9d8,0x07ff703f,
    0x401be760,0x03f901fc,0x536b83f5,0x3f609f00,0x901be000,0x0203f603,
    0x640087ea,0x0e40ff98,0x03f604f8,0x407f2071,0xf90080fd,0xe801ff03,
    0x2207ec1f,0x2fcac403,0x17e56200,0xe980fe40,0x656200df,0x01fc802f,
    0x83f503f9,0x9f00196d,0xf8003f60,0xfd80e406,0x4fd41c40,0x43204ffa,
    0xf80e46fb,0x0203f604,0x0fd80fe4,0x41fc81c4,0x2fd807f8,0x6d4cd7ec,
    0x5f996403,0x2fccb200,0xb700fe40,0x4cb201df,0x01fc805f,0x83f503f9,
    0xf80448fc,0x4001fb04,0xd80e406f,0x83da99af,0x1fc8acfa,0x92fe4190,
    0xfd813e03,0x03f90200,0x36a66bf6,0xf983f903,0x6c3fc807,0x03ecaabf,
    0x4003f634,0x32007ec6,0x3f22e01f,0x00fd8d03,0x1fc80fe4,0xf518bf98,
    0x4f80c45d,0x7c001fb0,0xfd80e406,0xa83ecaab,0x640be61f,0x01c9ff40,
    0x807ec09f,0xd80fe429,0x03ecaabf,0x07f883f9,0x07ec2fd8,0x99ca80e2,
    0xca804fb9,0x404fb999,0x217041fc,0x999ca86e,0x0fe404fb,0x9fd01fc8,
    0x04bacfe8,0x007ec13e,0x00d80ff0,0xa83881fb,0x640fe21f,0x0e57f440,
    0x07f605f8,0x03f903a2,0x207103f6,0x00ff81fc,0x03f60ff4,0xcccce802,
    0xcce807fc,0x6407fccc,0x36172c1f,0xccccce84,0x80fe407f,0x7cc001fc,
    0x13e00dff,0xfd0007ec,0x03f60680,0xf887ea02,0xff301903,0x3ffb883d,
    0x7777fdcc,0x1fc85fee,0x20101fb0,0x02fc81fc,0x03f61be2,0xfb824c08,
    0x7dc12602,0x3f07f202,0x9303e22e,0xfc80bee0,0xf103f901,0x0011370b,
    0x803f609f,0x6880fe41,0x20803f60,0x40fe21fa,0x03ff500d,0x806e0016,
    0x01fb01fc,0x2207f204,0x207ee06f,0xd85300fd,0x6c0df100,0x640df100,
    0x5eefe41f,0xf100d81c,0xc80fe40d,0x090b901f,0x1fb04f80,0x1dd10a60,
    0x3f601e88,0x0fd45300,0x80b607f1,0x00f881fc,0x3f901740,0x14c03f60,
    0x27cc07f2,0x1fd817d4,0x01aa0e88,0x80d507fd,0x05fb03fe,0x03540326,
    0x17ec0ffa,0x85102fd8,0x82fc0039,0x80e981fe,0x1decded8,0x7440fec0,
    0x3f887ee0,0xb01f7e4c,0x02afba03,0xb06b3ee0,0x207f605f,0x017ec0e8,
    0x1bb77bb1,0xdddff730,0x7f54bfdd,0x4fffb80b,0x2e02ffaa,0x3f264fff,
    0x2a0502ef,0xffb80bfe,0x3bff264f,0x0bbff262,0x20013031,0x3263ffb8,
    0xffeeefff,0x98018805,0xeeeeeffb,0x277fa65f,0x0002efc9,0x40017500,
    0x3ff261b9,0x3bfee62e,0x265feeee,0x9802effc,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40073000,0x04eeeeea,
    0x3dddddb0,0x014c2e00,0x88044000,0x3b6006e3,0x2200eeee,0x646eeeee,
    0xe82eeeee,0x200eeeee,0x64c0351a,0x50040403,0x4cc40005,0x26662199,
    0x20001019,0x00288029,0x3fb00ba0,0x2aaaa200,0x5555001a,0x9f300155,
    0x200001fa,0xf15f907d,0x5555500b,0xaaaa8015,0x5555542a,0xaaaaa80a,
    0xf13f100a,0x202aa403,0x75c0a61a,0x1221901f,0x443bff51,0xfb81dffa,
    0xce88052f,0x07f201ea,0x1ec35530,0x99880a20,0x4ccc4099,0x00d54401,
    0x1014c2a0,0x98813333,0x7104b999,0x011000d4,0x26206180,0x26621999,
    0x09999999,0x480934a8,0x7ffc4053,0x41aab106,0xfb03fffb,0x5407f605,
    0x6c04ffc8,0x2fd816a6,0xfb757d50,0x26666059,0x93099999,0xfa8819ff,
    0x559b102e,0x333105f9,0x19998813,0x1033ff26,0x98815df5,0x99999999,
    0x2005b800,0x444f98fd,0x2a21dffa,0xfcccccff,0x3002a284,0x80aa0099,
    0x0b880c42,0x7ec07f20,0x40144100,0xfc816a5f,0xfb80fc81,0xcccefa82,
    0x3e20efdc,0xfa816c07,0x6cc4f982,0x7e441dff,0x203fc41e,0x9ff5102d,
    0x009f9999,0x52a001fd,0x05fb01d8,0x012203fa,0x80000000,0x64008020,
    0x001fb01f,0x1e8bfc00,0x7f503ee0,0x0aa07f40,0x037c0ff4,0x817e2072,
    0x03fe82fb,0x2037c0d5,0x407f401c,0x1ff4c048,0x0fe40000,0x54500fd8,
    0x45d930ed,0x5d930eda,0xec9876d4,0x176de442,0x405f66d4,0x81fb01fc,
    0x5d930eda,0xa8edfec0,0x88f50aaa,0x227d407f,0x3e09f903,0x7ec0e406,
    0x261be202,0x200d80ff,0x200e406f,0xd80500fd,0x76d406f9,0xf905d930,
    0x0203f603,0x42f983ee,0x70be60fb,0x3217cc1f,0x4cb30b21,0xb01fc83f,
    0x4c1f701f,0x11fea02f,0x263d41bf,0x23fc406f,0x3e06f980,0x7fc0e406,
    0x5c0ff400,0x3e01d44f,0x3600e406,0xac40080f,0x07dc02fc,0x03f905f3,
    0x707103f6,0x2e17c41f,0xf70be20f,0x8fe17c41,0x4ccdf418,0xb01fc86e,
    0x441f701f,0x7fdb902f,0x71a607c4,0x0ff880bf,0xf807fe20,0x3e20e406,
    0xd02fd807,0x3e01a23f,0x3600e406,0x3201c40f,0xfb80bf32,0x3f20be20,
    0x5335fb01,0x441f707b,0xf107dc2f,0x3e20fb85,0x440efe42,0x82aaaabf,
    0x01fb01fc,0x417c41f7,0x2a1ff34d,0x27e45883,0xfb00ffc0,0x6406f807,
    0x6403fcc1,0x36df303f,0x6406f801,0x4cd7ec01,0x363403da,0x883ee00f,
    0xb01fc82f,0x07d9557f,0x217c41f7,0x70be20fb,0x6417c41f,0x017cc4ff,
    0x1fb01fc8,0x17c41f70,0x8dfd83f2,0x0bf71205,0x2fd40ff0,0x072037c0,
    0x5fb00ff1,0x8026fe40,0x200e406f,0x3ecaabfd,0x2e6672a0,0x883ee04f,
    0xb01fc82f,0xfb83881f,0x1f70be20,0x83ee17c4,0x9fd302f8,0x20442fc4,
    0x20fb01fc,0xf0be20fb,0x00eff88d,0x880df306,0x01ff106f,0x80d80ff0,
    0x0ff400ff,0x7c003fa0,0x36006c07,0x9d01c40f,0x40ff9999,0x20be20fb,
    0x01fb01fc,0x7cc3f501,0x7f30fd43,0x0fe61fa8,0x0ffc7d89,0x2087f20e,
    0x4c3f506d,0x503fe23f,0x740185ff,0x40fea00f,0x0fd002fd,0x405f9068,
    0x07e806f8,0x00d01fa0,0x260101fb,0x2a05f704,0x320fe61f,0x401fb01f,
    0x7e4d3e60,0xfc9a7cc4,0xfc9a7cc4,0xb89707c4,0xd82dadff,0x0f69f12f,
    0x4fc9a7cc,0xcd986fec,0xb52b9cff,0x3a04fa81,0x0c0bf706,0x834407f2,
    0x07ee06f8,0xfc801fa0,0xfb00d101,0x40360401,0x29f306f8,0x1fc84fc9,
    0x0a601fb0,0x5bf19ffb,0xdf8cffd8,0x7c67fec2,0x32effe2d,0x43efda80,
    0xfd2effc9,0xcffd8099,0x3f662df8,0xfff30dff,0x7dc0fe49,0xf981ec81,
    0xdd05300e,0x2601e881,0x002fa84f,0x0ee800fd,0x7ec00f44,0x03545300,
    0x7fec0ffa,0x7ec2df8c,0xd103fb02,0x10041101,0x04110041,0x00800984,
    0x22001100,0x20188020,0x3a600808,0x3a04dbbc,0x103d101f,0x03bb9bdb,
    0xbb77bb10,0x007fc001,0xbb9bdb10,0x207f6003,0x17fd50e8,0x209fff70,
    0xff930208,0x77fdcc5d,0x005feeee,0x00000000,0x00000000,0x00000000,
    0x7fe40098,0x7feeeeee,0x20001880,0x7e4c0019,0x188002df,0x3bfee600,
    0x005feeee,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x03660000,0x002600a2,0x184c9644,0x26081808,0x00d4c2aa,
    0x33331002,0x88266662,0x0a980999,0x0002aa00,0x01030351,0x994c0101,
    0x26000082,0x99999999,0x102d9801,0x30062055,0x20133301,0x2a019998,
    0x6cf4c1fe,0x2600b101,0x42ff8bfd,0x91d4123b,0x9d31ff50,0xfc981bfb,
    0x3663ffb9,0x9ff712ff,0x206fd441,0xf3006ef8,0x0fc8009f,0x2e0324a8,
    0xa6c03511,0x910b884d,0x75df6cc0,0x07dcccef,0xec80ffb8,0x20274c1f,
    0x20dfb305,0x3301dfa8,0xc9fc15f9,0x44001906,0xbd07733f,0x16ef405d,
    0x7cc49fe8,0x466fec46,0x21fe20fd,0x320d02fd,0x9d802d8a,0x07a000e8,
    0xf303ddd8,0x3a680bff,0x05fff900,0x0bf50fea,0x0d982609,0x4c85aacc,
    0x9fd00720,0xcc880ec0,0x25f12dfd,0x001d40fa,0x980b8fe2,0x02f4c05e,
    0x0bf20bfb,0x217cc3f7,0x427d41fd,0x01418849,0x22005026,0x202f4c02,
    0x88c401a8,0x8805cc02,0x185f986f,0x428481b0,0x49826419,0x903ffc80,
    0x21fa8403,0x441f31f9,0x53f88005,0x80000405,0x8bf501fd,0x50fe21fa,
    0x390df09f,0x00000000,0x00010400,0x64010000,0x045f882f,0x80320fb8,
    0x06c13200,0x40ffd640,0xdcbea81c,0x46b97c1f,0xccd8800d,0x66d403fc,
    0xdcb880be,0x100fd80c,0x221fa8df,0x7cc7f83f,0x9710341f,0x9775419b,
    0xbb30beda,0x819b9710,0x982edbc8,0x9301eecc,0x79103dd9,0x03ff07d9,
    0xeb848bf1,0x36a01cdf,0x42640bec,0xf319002b,0x3d41c81f,0x369707fa,
    0x3e200aa3,0x5980ff21,0x44d30fe6,0x100fd84f,0x221fa8ff,0x321fc83f,
    0x4c1264fc,0x1f913e26,0x30360fdc,0x87227c4d,0xf907442c,0x3f20e883,
    0x41f92e41,0xdf880ff8,0x1f506b99,0x0fe65980,0x20049899,0x1c8df70c,
    0x207ee26c,0x551621ba,0x1fc47b81,0xdd3337d0,0x6c1e44e8,0xf51fe00f,
    0x7cc1fc43,0x0393fda4,0xf987913a,0x84893e23,0x8fe1e44e,0x3e22ec18,
    0x13e22ec4,0xf30fd47b,0x2ebbe20f,0x801f506d,0x26e999be,0x50361cb9,
    0x5fc83205,0x542f8872,0x6c1b001f,0x113a0e9a,0x2afe207f,0x0be22aaa,
    0xdf007ec0,0x0fe21fb8,0x5f949bf4,0x8017c41a,0x0b9fea6e,0x7e4017c4,
    0xdb07f01d,0x206d83f8,0x07fc1fda,0x54122fc4,0x2afe200f,0x15c02aaa,
    0x20640fe6,0x7dc393fe,0x5c00fd41,0x89fc3ea2,0x981fc43f,0x01fcc02f,
    0x97e00fd8,0x7f11dfea,0x4c72bf20,0x7f3039cf,0x56c3ee00,0x07f30b2f,
    0xf313ff20,0x3e61f909,0x65c0fc84,0x0ff41fa9,0x54022fc4,0x00be600f,
    0x3cc88b10,0xafe88190,0xf50fea1c,0x3e448803,0xf11be2bb,0x2217e207,
    0xb010bf10,0x00fe201f,0x6fcc07e2,0x880eff46,0xbf88085f,0x1053bd39,
    0x3a6010bf,0x321be24f,0x1f21be27,0x320fd4b9,0x105f883f,0x3e200fa8,
    0x81b00885,0x01903c8c,0x7c43dff3,0x3600fd46,0x6cbb3640,0xf80fe20f,
    0x07fe1c1f,0x8a21fb07,0x80f10069,0x037dc3fe,0x320707fe,0xf817ee5e,
    0xfb121c1f,0x22f40fd8,0xf12f40fd,0x3a20fd45,0x482fcc0f,0x3fe00fd4,
    0x643a81c1,0x0d80cd9a,0xfd83ff50,0x202fd88c,0x5f0fa82b,0x4fb86fdc,
    0x36b7fee0,0x6d67fdc2,0x7f50fe81,0xb31980b2,0x7c40fb80,0x567fdc03,
    0x449f301d,0x33fee04f,0x9707c1da,0x03e23fa8,0x107c47f5,0x55fb51bf,
    0x3ea0cf88,0x5fcc3c85,0x5bff7018,0x990b105b,0x05b05dd9,0x3f220fe4,
    0x981cfbdf,0x03aab604,0x5bf5dfd5,0x81f7ed40,0x5cc2efea,0x79fd2dff,
    0x00adfc80,0x800e8344,0x7402efea,0x3aa00ec0,0xbbff82ef,0xdbdfa80c,
    0x3b7bf501,0xdf17ff70,0xf9bd7101,0x3fddddff,0x5404fe88,0x01b03efd,
    0x77e4c3c8,0x84407603,0x5002e008,0x80021805,0x20001000,0x80022000,
    0x00800300,0x04001010,0x22002610,0x08011000,0x00188004,0x44010000,
    0x00019802,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x55100000,0x80154003,0x055401a9,
    0xaa880048,0x26660110,0x40008099,0x0351002a,0x44000aa8,0x0a21a82c,
    0x01040530,0x016a02a8,0x35300aa0,0x20601540,0x8100cc00,0x2efc8fc9,
    0x32ab3620,0x17fd402f,0x260076c0,0x2003703f,0xdeeb9bdc,0x17ff9301,
    0x4052ffb8,0xfb803ffa,0x0017cc01,0x33207fb3,0x206400cc,0x03deddd8,
    0x3f5c07ea,0xb007ea00,0x201fa80d,0x74403259,0x27c40eab,0xff579fb3,
    0xf305f505,0x3a636209,0xa8007400,0xbb009305,0xf980be60,0x9ffb1506,
    0x0074c6c0,0x02d400b6,0x75c0fe20,0x1f88b005,0x03c80fea,0x0b2003e4,
    0x0ee003a0,0x6c09bd90,0x87d11ae4,0x117e61fb,0x417dc0bf,0x1980a209,
    0x80b01c00,0x1015c07d,0x018820bf,0x14028826,0xf1000e00,0x00fa3907,
    0x7c45d875,0x1f200e03,0x03300700,0x37a201c0,0x7c43f700,0x7c0fb802,
    0xf1017ec7,0x0000000d,0x3ee03700,0x3e201804,0x00000005,0xf1000000,
    0x202f9807,0xf10fe20c,0x2e040807,0x40104007,0x00001000,0x201be1b6,
    0xf0fe40fb,0x51fe801f,0x8bb261db,0x5d930eda,0xec9876d4,0x2fd82442,
    0x82fc4000,0x301eecc9,0x2603dd99,0x9301eecc,0x36203dd9,0xb883fccc,
    0x8b00ffec,0x41fc42f9,0x0c9edcd9,0x177ec7dc,0x4176de44,0xa80becda,
    0x36a0becd,0xf85d930e,0xfb807e85,0x0ff13e40,0x07dc5fb0,0x20fb85f3,
    0x307dc2f9,0x3fe0b05f,0x03333300,0x83a217e2,0x907441fc,0x320e883f,
    0xf907441f,0x3f21f883,0xfd887cc3,0x27c43a83,0x41d10fe2,0xacfb82fc,
    0x90e42ffb,0x0fe65985,0x2e1fccb3,0xf88be60f,0x5c00fd85,0xff33740f,
    0x7dc7f900,0x1f70be20,0x83ee17c4,0x4c1b82f8,0x3bf6607f,0xbb0bf102,
    0x22ec4f88,0x222ec4f8,0x3e22ec4f,0x0fe23dc4,0xc85f98db,0x1fc47e80,
    0x709f91b6,0x3e2fc41f,0x337d0623,0x99be8dd3,0x107dc6e9,0x6c27cc5f,
    0x117dc00f,0x403fc43f,0x883ee2fd,0xf107dc2f,0x3e20fb85,0x7fc44882,
    0x8813ea01,0x6d83f85f,0x3e36c1fc,0x41fc6d83,0x3e22746d,0x1fe13e23,
    0x4d77dc16,0x5727c3fc,0xfd0f70fb,0xf881dfc8,0x222aaaab,0x42aaaabf,
    0xf0be20fb,0x1f4cfb0b,0x072ef7ee,0x3fd003fe,0x85f107dc,0x70be20fb,
    0x5817c41f,0x3e602ff8,0xf317e204,0x3e61f909,0x9f30fc84,0x13e61f90,
    0x21fc43f2,0x20fe63f8,0x440ea0fd,0x23f8dffb,0x3f2754f9,0x07dc3dc1,
    0x5f313ff2,0xb802f980,0xdd0be20f,0x07fdcdb0,0x640111f7,0x71be202f,
    0x2e17c41f,0xf70be20f,0x1b817c41,0x9f3027e4,0x3e227c40,0x1be27c86,
    0xc86f89f2,0x9f21be27,0x11fc46f8,0x0c8f90bf,0x23f88440,0x1f239df8,
    0x4c1f21ee,0x217e24fe,0x110bf108,0x85f107dc,0x64c5f87c,0x22003ee0,
    0x507ee06f,0x2a1fcc3f,0xf50fe61f,0x4881fcc3,0xf9817fc4,0xb07f1084,
    0x7ec5e81f,0x03f62f40,0x740fd8bd,0x7f107ec5,0x2c5e86d8,0xfd0fe200,
    0x87b85e89,0xf1f6245e,0x0ffc383f,0x7cc3f50e,0x5f107d43,0x000fc890,
    0x05f509f3,0x13f269f3,0x13f269f3,0x13f269f3,0x81fe8858,0x4cfdc4f9,
    0x223fa80f,0xf11fd40f,0x3e23fa81,0x1f11fd40,0x9f70dfb8,0x83e23f98,
    0x1fc4002a,0x80f893ea,0xf03e60fb,0x3fee25c1,0x7fdc2dad,0xa7cc2dad,
    0x23d84fc9,0xb305cc4c,0x3620017f,0x200ddbbd,0x2df8cffd,0x6fc67fec,
    0x7c67fec2,0x3203702d,0x0cecabee,0x501677cc,0x2a03b7bf,0xf501dbdf,
    0x3ea03b7b,0xfd501dbd,0xd985bf5d,0x006c1dbd,0x223bf710,0x01dbcfad,
    0x01779fb1,0x501977ff,0x36a07dfb,0x9ffb03ef,0xbd885bf1,0x9998084c,
    0x01980009,0x22008220,0x02088020,0x02660020,0x00880060,0x02200110,
    0x21800440,0x00804400,0x98cccc40,0x01800260,0x00800984,0x04110010,
    0x00000020,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x59700000,0x80040000,0x0a9801a9,0x71003510,
    0x0d440039,0x02666620,0x53006666,0x218040c0,0x88000aa8,0xaa88001a,
    0x01a88141,0x26004d44,0x4c141801,0x44199999,0x29880040,0x4e601510,
    0xbb57300c,0x6ff44399,0x01bbe050,0x80f9017a,0x205d88ec,0xcca9acc8,
    0x0cffd980,0x3603fea8,0x25981f9a,0x5dfd700c,0xc8803d95,0x00cca9ac,
    0x76556744,0x54dcc3ba,0xcaea80ee,0xda9cb81e,0x22447302,0x7ffffff9,
    0x900731d8,0x3fff203b,0x20193984,0x986bfa2f,0xb80efea8,0x074407b2,
    0x3f880ec0,0x032203ea,0x03ff00c8,0x6c9b01e4,0x409bd904,0x01fa81fb,
    0x80640191,0x86f982fa,0xf313e61d,0x11e20fc8,0x1d45701f,0x36aaaf72,
    0x00ecf984,0x12a80ba6,0x05b705fb,0x40fc83ee,0x20c40540,0x44002a02,
    0x7cc5f302,0xbca86442,0xf70196cc,0x8be03407,0x01bd1008,0x83f901e4,
    0xbcbec8c8,0x0df10320,0x87f0bfa2,0x3e22e47e,0x20be1ae4,0x0388720c,
    0x80bb203d,0x260c03f8,0x7e40103f,0x00803ee1,0x40020010,0xfb87ea00,
    0x444c85c0,0x41be2127,0x00be604a,0xfa807000,0x327a85c5,0x40bf2246,
    0x21dc7f9d,0x37c27c6e,0x407c45f5,0x078802c6,0x001b6004,0xcbc887e2,
    0x363f983e,0x3ecbc885,0x83ecbc88,0x883ecbc8,0xfa83ecbc,0x2a907d51,
    0x64121507,0x2600d82f,0xecc9802f,0xff10001e,0x1f99ea48,0x3b01ff12,
    0x2f8807fa,0x89f61be2,0x2e1d8afe,0xefeeefee,0x64425c03,0x3fa83ecb,
    0x321d4001,0x3ea03f25,0x25c80bbc,0xf92e40fc,0x03f25c81,0x2a07e4b9,
    0x442fe89f,0x01500db3,0x20588bf3,0x102adfba,0x310fe41d,0x33333333,
    0xa8e25fd3,0x22151b27,0x3f62b87f,0x3f617203,0x3fa23f40,0x2447300e,
    0x25c81e80,0x5dfe40fc,0x0fd403fe,0xc81fa8f6,0xf51ec008,0x07ea3d83,
    0x360fd47b,0x3f507ea3,0x3a5327dc,0xfb029806,0xf99015c3,0x1176099d,
    0x6677dc9f,0xfecccccc,0x7dfd4533,0x8ff32983,0x881fe44a,0x223fb80e,
    0x04ffb85f,0x44015437,0x0fd47b07,0x02fc83ba,0x2a07ffb7,0x55fd41fd,
    0x7ed4009a,0x807f6a01,0x36a01fda,0x3a0fd41f,0x400fb9c6,0x349f500b,
    0x3e01fc40,0x1bea6d83,0x2a38bfa0,0x22170d97,0xfb0b30ff,0xeb802e05,
    0x6542fcbe,0x20d85fd8,0x804b801c,0x42fc1fda,0x23fcc05f,0x4c1fa9cb,
    0x85ffffff,0xb81fa9cb,0xcb81fa9c,0x9cb81fa9,0x20fd41fa,0x17c520fd,
    0x8fe80904,0x405f003a,0x30fc84f9,0x7fc401ff,0x13a7a921,0x0d8afe89,
    0x00700fe8,0x8f307e42,0xddfd71fd,0x7407ddfd,0x3ea72e01,0x07f42fc1,
    0x52e47ee0,0x3313983f,0xf52e43b5,0x07ea5c83,0x320fd4b9,0x3f507ea5,
    0x5c2e0fb8,0x0244e62e,0x40036fee,0x21be201f,0x501ff47c,0x1f50b8df,
    0x32244be6,0x6f881dbf,0x4f8800a0,0xb127c2e4,0x20788058,0xdd07ea5c,
    0x2f300d90,0x887ea2f8,0x3e21700e,0x2f887ea2,0x22f887ea,0xa8be21fa,
    0x844fd41f,0xb930c86b,0x10032257,0xf7300bff,0x03f61981,0x205f98bd,
    0xcb9c81fd,0x0193950b,0x03f205fd,0x6426c000,0x88e63c86,0xf104b804,
    0x3ee0fd45,0xa5401f40,0xafda8df8,0x54439f32,0x36a37e24,0x51bf12af,
    0x37e255fb,0xf12afda8,0x455fb51b,0x07b5d9fb,0x00644032,0x54c02fc8,
    0x45ccdfea,0x203e23fa,0x03fc84fb,0x80644032,0x02f984fb,0x1760036a,
    0xb83a0fc4,0x07600aa1,0x7ed46fc4,0x1f12742a,0xb87a21a8,0x20ef8bff,
    0x83ffffdb,0x0ef8bffb,0x3be2ffee,0x3e2ffee0,0x22ffee0e,0x53fd30ef,
    0xbcb8057b,0x2000bcba,0x54c98069,0xbf503dff,0x76cc03b7,0xb801decc,
    0x00bcbabc,0x977d91b3,0x01fc801b,0xea805753,0x906c1bac,0x5c078803,
    0x40ef8bff,0xe81dbcc8,0x4080ddef,0x02004c00,0x02010201,0x00010201,
    0x30000600,0x20060200,0x00cc0008,0x20200300,0x30040019,0x02011000,
    0x02002001,0x44008801,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x84cccc00,0x44099998,
    0xa8801999,0x010a9801,0x88098015,0x0a200c01,0x2060a980,0x402e88eb,
    0x088100a9,0x02666662,0x0806a200,0x04020600,0x10f4d720,0x00133333,
    0x00a80010,0xa8000366,0xf932ffff,0xefa8819f,0x200ec802,0x0eedbbda,
    0x2205f7b1,0x2204e985,0x1017e405,0xdbd757bb,0x07f31f90,0x44b205e8,
    0x677fdc44,0xc801cfec,0xb9fc980e,0x247704ff,0xd852efc8,0x7dc45f56,
    0x1cfeccef,0x07d97910,0x40dfffc8,0x7c401fea,0x42aaad84,0x016c07f8,
    0x03e200e8,0x02c821f5,0xd8132019,0x88064c00,0x001f705e,0x7c406980,
    0x81fd01ec,0x0f401fe8,0xd8cdfc88,0x05dbd01f,0x05ffb351,0xd103fa00,
    0x7e4b903f,0xfb339500,0x19afc889,0x02a87d10,0x00e406f8,0x41ae00cc,
    0x3a83540d,0x015c1320,0x803ba200,0x0540000e,0xfb01f5c0,0x440bfa01,
    0xf30fdc02,0x0417a605,0x6c008066,0xd85fd00f,0x41c07ea3,0x37f6e0fe,
    0x1674004c,0x03901be0,0x2fc80808,0x22f5c0b8,0x44264058,0x7dc0a005,
    0x3260d403,0x00001eec,0x2601fb00,0xf500086f,0x0041fc43,0xecda8040,
    0x300fd80b,0x0fed40df,0xfa83f700,0x7fd40021,0x80df01ef,0xeccd881c,
    0x2a1dddba,0x8d3003ff,0x6c26401c,0x7ec0e000,0x90744001,0xccccd83f,
    0x333361ed,0x07ec1edc,0x3f261fd0,0xfa84ffb9,0xfc98fe21,0xd504ffb9,
    0x1fccb309,0x1fd007ec,0x01fa9cb8,0x27ea1ee0,0x51004ffa,0x0df03ff9,
    0x365d81c8,0xff71f24f,0x8ea1105d,0x544c8049,0x7c032003,0x22ec000f,
    0x3e62c4f8,0x897e62c5,0x40999fe9,0x9bf912fd,0x1fa83fb1,0xdfc88fe2,
    0x4c41fd8c,0x999be84f,0x27fa626e,0x917ec099,0xb000fd4b,0x919bf507,
    0x4fa8003f,0x40e406f8,0x266bee3d,0x7ff4c2fb,0xb06f260d,0x8e5cc550,
    0x540ae658,0x000ff305,0x218db07f,0xd10c0ee8,0x5ff54c1d,0x71fe42aa,
    0x2a17cc3f,0xf70fe21f,0x4f817cc3,0x55555fc4,0x2affaa62,0xf89fe42a,
    0x44007ea2,0x7cc3f505,0x40fb8002,0x200e406f,0xaaaabfea,0x01fff701,
    0x01fcc1c8,0x27564c36,0x7fc40be2,0x213e6000,0x03fb00fc,0x1fb01fd8,
    0x3f517ec0,0x87ee1fc4,0x10fd43f8,0xf313e07f,0x803f6005,0x51bf12fd,
    0x1b0055fb,0x3f887ea0,0x0be201ec,0x500d80ff,0x0401f75b,0x9302fec4,
    0x2a03cc88,0x7ec6a863,0x8007fe00,0x707c86f8,0x03fb807f,0x1ff803f6,
    0x23f887ea,0xfc99dfea,0xf887ea2e,0x5f889d03,0x007ec088,0x5ffdc3ff,
    0x16400ef8,0x1fc43f50,0x81f00bf1,0x6c83407e,0x82420bee,0x903606f8,
    0x81620791,0x9362fc3b,0x360803fc,0x7cc2f40f,0x202fcc05,0x8bf500fd,
    0x80fe21fa,0x887ea00a,0xff09d03f,0x00fd8383,0x24410bf5,0x3ea01d40,
    0x0010fe21,0x203f90b5,0x263f8868,0x01c8cc5f,0x590ae09d,0x039019b3,
    0xd917e122,0x1500ffc4,0x81f11fd4,0xd10c0ee8,0x07ec181d,0x3ea07f44,
    0xfc80fe21,0x7c43f501,0xff709d03,0x1fb05b5b,0xa801fd10,0x20c1d406,
    0x00fe21fa,0x20366179,0x0f440ee8,0xbff72fc4,0x20764973,0xc85980f9,
    0x1cc2eecc,0x41f90488,0x40f7cc3a,0xdbdfa81b,0x0cc1fd81,0x741983fb,
    0x40f74c0f,0x00fe21fb,0x887ee03f,0x2a0bf03f,0x1fd03efd,0x8801ee98,
    0x57542bdf,0x7dc5cbaa,0xf9013e21,0x6c4019df,0x201decde,0xfe89dffc,
    0x37b320df,0x01b01ddb,0xd30583c8,0x76443b99,0xfd880bab,0x4401ccce,
    0x999df500,0x33bea3fb,0xf931fdcc,0x079bbdff,0x32677faa,0x02c982ef,
    0xf933bfd5,0x1ffdc45d,0x3ff26010,0x003cddef,0xff505544,0x545fffff,
    0xefc99dfe,0x40004402,0x20620018,0x02620808,0x41980298,0x55555019,
    0x011000c0,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x30000000,0x19999883,0x00666662,0x2e880200,0x03d50264,
    0xb5000018,0x98840c17,0x88001999,0x99998800,0x73e88009,0x3310550d,
    0x51001333,0x986a2000,0x46662199,0x99999998,0x00000099,0x80310750,
    0x7fd443f9,0x33fee21c,0x3ffffe21,0x17d9b507,0x02f43f88,0x1baa03f7,
    0x0ffffff2,0xa97ea362,0x7fdc4323,0x05b8001c,0xdccffb88,0x29f102ef,
    0x441fa87d,0xfecceffb,0x004fe81d,0x3fea0ec8,0x544bf223,0xfcccccff,
    0x0cdcb884,0x3fffffc4,0x9d313f22,0x4c43fe80,0x99999afe,0x4ccc09fe,
    0x26598199,0x3a1fc43f,0xdf330005,0x13333310,0x3a1c49b0,0x00fe82dd,
    0x2001fd00,0x02fd40fe,0x7f40f200,0x2a0ff4c0,0x80e8006c,0x7415c2fb,
    0x34c4880f,0x333309f1,0x2e13e033,0x50feb204,0x99999fd9,0x00079ff9,
    0x1ba666fa,0x405e87f1,0x02037400,0x5e9807f0,0x80033fb0,0xfb003fe9,
    0x0403fd01,0x00fd81c0,0x800705fd,0x0d17e018,0x3a1403f6,0x20001e44,
    0x9504b84f,0x03f607f1,0x43b6a3f4,0x2fe22ec9,0x7c42aaaa,0xcda82f43,
    0x506d80be,0xf8817d9b,0x3f601003,0xd803efcc,0x1fb006f9,0xbc887f90,
    0x6c0203ec,0xc8df300f,0x32010000,0x3f60750f,0x017c4080,0x01eecc98,
    0xb109709d,0x07ec0fe2,0x20fb87e8,0x00be62f9,0x30bd0fe2,0x36c1fccb,
    0x887f32cc,0x13ae203f,0x813f63ec,0xb005f958,0xc81fd01f,0xeb883f25,
    0x7401fb04,0x27f2230f,0x75c44fea,0x0369f104,0x30e207ec,0x41d1007f,
    0x1bde81fc,0x7c43612e,0x3a01fb03,0x3e20fb87,0x82217e22,0x742f44f8,
    0xd86e999b,0xe999be86,0x3101fc46,0xf11f609f,0x5f99640f,0xa999fd80,
    0x2a3d82fd,0x413e621f,0x0bf600fd,0xf919bf91,0xb027cc45,0x57ec093f,
    0x7c43da99,0x222ec085,0x5c1fe84f,0x07f11d44,0x333333f6,0x20fb87fc,
    0x20ffc2f8,0x6cc77c43,0x2afe256e,0x46d82aaa,0x2aaaabf8,0x27c01fc4,
    0x01ff87d8,0x6c00fd8d,0x0cfedccf,0x7c0fed40,0x6401fb04,0x222fa83f,
    0x6644f83f,0x4ccdefdc,0x76555fec,0x21c1ff83,0x7c46d83f,0x588e5cc4,
    0x0fd81fc4,0x41f70fd0,0x6ffdc2f8,0x7ff442da,0xf30efb8e,0xf31b6005,
    0x007f1005,0xf31f609f,0x3339501f,0x0fd809f7,0x65c0ffcc,0x04f81fa9,
    0x17ec01fb,0x213e0fcc,0x74cccc4f,0x7ec1999e,0x7fdc1c40,0x13e61dac,
    0x27e4c3f2,0x77777640,0x07ec1eef,0x20fb87e8,0xffda82f8,0x0408d983,
    0xb02217e2,0x0885f88d,0x13e00fe2,0x07fd13ec,0x3f33333a,0x5407ec07,
    0x3f52e45f,0x03f609f0,0x1f981ff8,0x2627c27c,0x999ee999,0x80407ec1,
    0x7c42efea,0x27467c86,0x99995054,0xfd819bf9,0x3f50fd00,0x0b101fcc,
    0x1ff801aa,0x7fc36c1c,0x00fe21c1,0x767ec13e,0x209302df,0x03f602fb,
    0x22f89fe2,0xb04f81fa,0x417ea01f,0x7c27c1f9,0x7fe66644,0x07ec4ccc,
    0xfd816010,0x22742f40,0x1fc404f8,0x0fd00fd8,0x13f269f3,0x00f90798,
    0x16d6ffdc,0x6ffdc36c,0x01fc42da,0x00fe827c,0x1be201b0,0x6fb80fd8,
    0x3f6a37e2,0xfd827c2a,0x301fe880,0x4f84f83f,0x3f602f40,0xbd305300,
    0x0f88fea0,0x027c44e8,0x07f40fe2,0xffd80fe8,0x3a02df8c,0x001f22be,
    0x3a07dfb5,0x07dfb506,0x0bf009f3,0x1aa007fa,0x3fa07fd0,0x2e0ffd40,
    0x40ef8bff,0x981fd05f,0x0bea01ee,0xe80bf09f,0x440fec06,0x5409900e,
    0xbf01dbdf,0x3f8807f0,0x316ffe4c,0x1105bff9,0x05544004,0x88040002,
    0x0101bffb,0x440fff6a,0x3f663ffb,0x3faa02df,0x4fffb80b,0x37bbff26,
    0x08100cee,0x931ffdc4,0x79bbddff,0x89dfe980,0xff712efc,0x19ff9307,
    0xeeeffb98,0x17705fee,0x2e201100,0x000ec3ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80640000,
    0x4cccc400,0x88019999,0x99999999,0x44082009,0xd508082a,0x312eb87d,
    0x4cc43333,0x33331199,0x99999983,0x33109999,0x4cccc333,0x4ccccc40,
    0x99988310,0x26620099,0x03331001,0x405d11d7,0x277101ea,0x333310cb,
    0x4ccc4013,0x41dc4009,0x201001c9,0xb8852ffb,0xfeccccff,0x7ffe4c00,
    0x887dcccc,0x7642edbc,0x1a88dc1f,0x449307f2,0x2e21cffa,0xff511cff,
    0x6677cc3b,0x13feccff,0x7cc39ff5,0x7fdc40cf,0x447ff0ad,0x200adffb,
    0xd802ffb8,0x98fc82ef,0x207ee03f,0x29ff4fc8,0x00adffb8,0x3f77fee2,
    0x227e442e,0x40001fea,0xd04ffc8a,0x2a00360f,0x390b07ec,0x1aab1164,
    0xf88bfff3,0x07f40e44,0x2fd80fe8,0x751fa1d4,0x0fcc0fe8,0xb9707fa0,
    0x74003fd0,0x1ffcc06f,0x9f000000,0x03fd1662,0x13f63f40,0x007ea13e,
    0x288207ae,0x004c1f60,0x8183f46c,0x4c28623f,0xfc80d441,0x03f60b10,
    0x41fc83f4,0x21c3f40a,0x007a20fd,0x20e603f6,0x37a000fd,0x0bf7601f,
    0x4f800000,0x001fb0a6,0x21fe23ec,0x801fa84f,0x200085fd,0x5260007d,
    0xbf90087e,0x80400803,0x360574f8,0x320fd00f,0x807e801f,0x4007a27d,
    0x405c40fd,0x27a000fd,0x5f7b105f,0xd930eda8,0x19b97105,0x360e69f0,
    0x21f6000f,0x5427c1ff,0x2588801f,0x4ffb9fc9,0x20070fb0,0x4090fd0d,
    0x75c44ffc,0x6409d504,0x03f6068f,0x01fc83f4,0x37d807e8,0x07ec003d,
    0x000fd80a,0x5640feda,0x20fb82fb,0xf134c2f9,0xfd809f09,0xf11f6000,
    0x3f509f0d,0x8a605ee4,0xfd8cdfc8,0xc999fd81,0x3fa3a803,0x4c06b999,
    0x13e624fe,0xf8813e62,0x403f604d,0x103f907e,0x555ff555,0x03f3fb01,
    0x2000fd80,0x55a000fd,0x2fbb444f,0x0be20fb8,0x4f83c89d,0x09907ec0,
    0x20ff23ec,0xb11fa84f,0x3f705503,0x67ec17cc,0x0d803ecc,0x1b2eabfa,
    0x13e1f624,0x0fe404f8,0x99999fb0,0x07f20ff9,0x2bfeaaa2,0xfefd80aa,
    0x007ec005,0x34001fb0,0xfb9dc1fd,0x3e20fb82,0x7c00be22,0xbd07ec04,
    0x6f667ec0,0x3f509f02,0x540201b1,0x360fe21f,0x77d40387,0xf0487fee,
    0x027c25c1,0x4059809f,0x20fd00fd,0x07e801fc,0x05fd8fd8,0xd8003f60,
    0xfa9a000f,0xb82fb9a4,0xf98be20f,0xd809f003,0x01f6000f,0xebfa84f8,
    0x21fa8000,0x087d83f8,0x043f42c0,0x80cbbff8,0x7013a04f,0xd00fd805,
    0x2007f20f,0x367d807e,0x01fb005f,0xd0007ec0,0x2e3a8fe8,0x220fb82f,
    0x0217e22f,0x01fb013e,0x9f003ec0,0x009f9f50,0x3e21fa81,0x5c007d83,
    0x10207e82,0x204f8072,0x6c03404e,0x320fd00f,0x807e801f,0x402fec7d,
    0xfb0600fd,0xf71a0c01,0x417dc1d7,0xf0fe61fa,0x04f8383f,0xd83007ec,
    0x2a13e007,0x2402fc9f,0x83f887ea,0x0d1000fe,0xfb0481fa,0x89d027c0,
    0xd801dbc8,0x320fd00f,0x807e801f,0x02fec0fd,0x214c03f6,0x685300fd,
    0x3ee27fc4,0xf934f982,0xdacffb89,0x7ec04f81,0x0fd85300,0x3f509f00,
    0x27cc07fa,0x41fc43f7,0x079000ff,0x981e41fe,0x5f817e07,0xe801ffcc,
    0xb01ff00f,0x01ff005f,0xefe80fe8,0xd303fd00,0xe981fe81,0x03f207c0,
    0x3ff607f9,0x7542df8c,0x80bf02ef,0x40e981fe,0x0bf001fe,0x03be23f5,
    0x9dfeaa64,0xf932efc9,0x7e4405bf,0x3bff6a2e,0xa81feeee,0x3ffb881c,
    0x221ffdc4,0xdffc9800,0x4b7ff262,0x302effc9,0x9305bff9,0x7fd45bff,
    0xff931cff,0x4bffdddf,0xeeefffc9,0x37f265ff,0xffb89622,0x020880be,
    0x3fee2010,0xefffc983,0x3265ffee,0x2e202dff,0x37faa3ff,0x222efe89,
    0x000000bb,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x203b8800,0x400d982c,0x00199998,0xa9816e4c,
    0x99988000,0x31000009,0x4c413333,0x99998099,0x26099999,0x99999999,
    0x4c410209,0x4cc40999,0x4c409819,0x99999999,0x3261db51,0x0130002e,
    0x9ae41f44,0x0801201e,0x445c4000,0x517e04fc,0xfa8803fd,0x4ea001cf,
    0xc85e82fb,0x223fffff,0xcfecdffb,0xf93f9300,0x33ffee27,0x5073f620,
    0xfb9999df,0x333be61d,0x23feccff,0x7ecc931d,0x77e441df,0x800c0e81,
    0x2f983ee1,0x2fffffd4,0x84f88076,0x2c05f56d,0x0fb2f220,0x7066e5c4,
    0x40027c7f,0x1fd001fb,0x3707c400,0x33310698,0x41fd0133,0x9f9106fb,
    0x2ff98593,0x205503d8,0xfd0ea1fe,0x3b3e6498,0xd503fe80,0x00303f20,
    0x3e20fb86,0x4ccccc42,0x00007ee0,0x97202c00,0xf134c0fc,0x013e1449,
    0x6c007ea0,0x03e6000f,0x80100150,0x817f40fd,0x37d402fa,0xf903812a,
    0x43f40a89,0xf981f5c3,0xeb80d80f,0x20030ccf,0x2f883ee1,0x37fae040,
    0x0020000c,0x7d47b016,0x00f22741,0xfa80809f,0x88fd8021,0x000fb800,
    0x0fb2f220,0x0ff607ec,0x7e400fd4,0x98080b34,0x00fd006f,0x7513ee00,
    0x00607dc0,0x7c41f70c,0xf509d502,0xb9999b03,0x013ae23d,0x1fda8016,
    0x3b300be2,0x275c427c,0x27fd4fd4,0x200d9fd8,0x41ccfec8,0x23fc9fc9,
    0x3603f25c,0x403fe20f,0x5fd001fa,0xff88001d,0x4c0fd001,0xd03fc9fc,
    0xf701a23f,0x5c300181,0x220be20f,0x81fa84f9,0xf312fcc5,0xfeeeec89,
    0x65c3eeee,0x0fe61fa9,0xca7c5f50,0xf509f313,0xb03f9159,0x3ee001bf,
    0x939f9100,0x03f51ec5,0x0ff661fb,0xf3001fa8,0x7fb0005f,0x9103f400,
    0x2605939f,0x6dc03b6f,0x20030ccf,0x3f987ea1,0x07ea13e0,0xf80ee886,
    0x2e405804,0x42fc43f5,0x2fd3e040,0x987ea13e,0x000fe82f,0x2fa803ee,
    0xd81fda80,0x400dfecf,0x3f6001fa,0x02fd4004,0x5f501fa0,0x0137f200,
    0x00c35f71,0x64d3e618,0x2a13e04f,0x80fec01f,0x2205804f,0xff07ea2f,
    0x027c0383,0x443f509f,0x007fe43f,0x7d401f70,0x3ea72e01,0xff88fd81,
    0x800fd400,0x1001fed9,0x7e8001ff,0xd000fd40,0x81f7001f,0xffd83001,
    0x9d02df8c,0x7dc03f50,0x16013e03,0xfda8df88,0x2b3fee2a,0xf027c01d,
    0x7c43f509,0x003f6b23,0x3ea00fb8,0x0fd4b901,0x05fa87ec,0x100bbfaa,
    0x2003be6b,0x7e8002fd,0xd000fd40,0x303ea00f,0x54220600,0x7d427403,
    0xf80bf301,0x74cccc44,0x3ee09999,0x540ef8bf,0x4f802efe,0x87ea13e0,
    0x07ec23f8,0x200fb830,0x22f881fa,0x20fd81fa,0x005403fc,0x809f906c,
    0xe80605fb,0x000fd407,0x2fe600fd,0x0060031a,0x984e8099,0x3ba218bf,
    0x9713e0c0,0x99999999,0x02004085,0x13e04f80,0x83f887ea,0xb83500fd,
    0x207ea00f,0xafda8df8,0x3fa07ec2,0xc803f601,0xf302fe82,0xe80a601d,
    0x000fd407,0x27f400fd,0xf3006003,0x20bf0359,0x20fec4fe,0x0002fc19,
    0x7c000000,0x3ee17e05,0x3fa0fe21,0x1fc86981,0x7dc07ea0,0x740ef8bf,
    0x807fcc1f,0x20b900f8,0x1fe80ffa,0x7fc03d10,0x8007ea00,0x260000ff,
    0xaaaaaaab,0x42b8803a,0x5003ffb8,0x3fb999df,0xe88ffee2,0xeeeeeeee,
    0x88000006,0x7dc43ffb,0x277fa63f,0xf932efc9,0xbffdddff,0x416ffdc4,
    0x8102efea,0x16ffe4c0,0xc9833fee,0x42efea82,0x324fffd9,0xeeeeeeff,
    0xbffb307f,0x05dfd505,0x02dffc98,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x08040020,0x20000000,0x41040080,0x00800000,
    0x040802a0,0x22800090,0x2a000000,0x076e0ced,0x2a5dd502,0x4bb30bed,
    0x5d930eda,0x40001000,0x02a80080,0x405f66d4,0x9b55dbca,0x0322445b,
    0x81eecc98,0xdbaeccd8,0x6de441dd,0x36e32e2e,0x5002c8bd,0x4c3b6a7b,
    0x6cc4faec,0x200c9edc,0xeecc9805,0x05d53f99,0x20c89100,0x711cc2fb,
    0x5c1f909d,0x3ee06c1f,0xfc98be60,0x3f933fc9,0xfc989ff7,0xfd15ffa9,
    0x302ec01d,0x1aa1fccb,0x907dcbdd,0x0e882cc7,0x6cbb07f2,0x4391f24f,
    0x445f642c,0x75c403fa,0xf307e40b,0x907443b7,0x4405805f,0x03abf20e,
    0x3a0019d7,0x917e0ee0,0x4c27cc41,0x4893e23f,0x8be20fb8,0x12c9cfc8,
    0x3fb19bf9,0x64567e44,0x45f98bcf,0x2fabb9fb,0x374ccdf4,0x339f913a,
    0xb17c45f7,0x4f88bb09,0x335f71ec,0x311fc5f7,0x303981c8,0x07dc05b9,
    0xc8db07f1,0x3602c04f,0x2a037c45,0xa93601dd,0x1221f907,0x2a6e827c,
    0x3ee02e7f,0x5f50be20,0x2f987ee0,0x8bf10fd4,0x6676447d,0x2afe20be,
    0x0fe22aaa,0x355559f5,0x87f10fb8,0x2a06d83f,0x1aaaabfe,0x02c077f2,
    0x801cda8b,0x20be20fb,0x01f6ae4f,0x7d83f80b,0xb85b9300,0x2207f30f,
    0x13e0374f,0x2fad87dc,0xf883ee0b,0xfa80fd42,0x3f50fe21,0x443e44f8,
    0x7cc0adeb,0x261fcc02,0x25f8803f,0x909f30fd,0xfbada81f,0x44ffc800,
    0x7dc32049,0x883ee003,0x3aa7cc2f,0x3bbae3f9,0x34eeeefe,0x001f909f,
    0x25f8a7cc,0x2df600fe,0x2fe209f0,0x2053bd39,0x50be20fb,0x887ea03f,
    0x3e0fd43f,0x37ea3e44,0x3e21fdaa,0x89f30885,0x7dc084f8,0x37c47f11,
    0xfb9b23e4,0x4fe98082,0xec88b034,0x220fb803,0x1cefc42f,0x220580f9,
    0x5007c86f,0x30fc839b,0x1e7cc07f,0x2f6409f0,0x0fd40bf7,0x01fa87f3,
    0x21fc43f5,0x3227c1fa,0x174c9c47,0x3e1c1ff8,0x530ffd46,0xb0b917c4,
    0x3e25e81f,0x43317e63,0x20b23ec4,0x033aa03a,0x07f30fd4,0x405e89fd,
    0x3a07ec05,0x005f5c05,0x3a03d49b,0x9813e00f,0x9813e24f,0xa89f934f,
    0x443f501f,0x3e0fd43f,0x09b03e44,0x16d6ffdc,0xeffc8bee,0xd11dc5bb,
    0x0f88fea0,0xdffb97e2,0x9707c4b9,0xeda9ded8,0x41dd9804,0x09f934f9,
    0x007c49f5,0x447f5016,0x02dc880f,0x01e41d10,0x405f8097,0x3600ec0e,
    0x22df8cff,0x43f701fa,0x20fd43f8,0x8807e45f,0x1f7ed400,0xb8ddcda8,
    0x91221eff,0x6defd401,0x89dffc81,0x7fc0dffe,0x54ae0cbb,0x200570bc,
    0x67fec5c8,0x2b622df8,0x5801dbcf,0x1dbdfa80,0x88001db8,0x44020244,
    0x20203ffb,0x20411000,0x7542efea,0x2efc99df,0xf913bfb3,0x033fee5f,
    0x22001000,0x40000080,0x440c4008,0x00026100,0x20880000,0x00260980,
    0x00220038,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80500000,0x1edccccd,0xb911bdb3,0x44e76cc3,0x40621bdd,0x0a80d408,
    0x80cc00c0,0x88310198,0x5ddd4262,0x53bbbbbb,0x77777777,0xb985d477,
    0x18055c40,0x74426666,0x5ddc4b92,0x03bbbbbb,0x00000000,0x00000000,
    0x2c01f300,0x4ff117e6,0xb12fb81e,0xd883b103,0x445d7b10,0x5f104ecd,
    0x8372f620,0xa8d85d2b,0x57e1f90e,0x99999998,0x33331599,0x7c133333,
    0x97b13a24,0x44a215bd,0x7f35ffff,0x333331ba,0x00033333,0x00000000,
    0x00000000,0xee886004,0x02bcfa80,0x401b13f5,0x041b11d8,0x20f30c59,
    0x541906ac,0x993a2263,0x447e4fa5,0x002c005f,0x26688598,0x226fe4c0,
    0x00019999,0x00000000,0x00000000,0x00000000,0x27e403fb,0x001d7f50,
    0x2a01d5b1,0x52616a06,0x5c58584a,0x5c9b24ca,0x2001f4f7,0x55555535,
    0xa80a5555,0x00001000,0x00000000,0x00000000,0x76400000,0xeeeeeeee,
    0x4403fb83,0x3f3ea06f,0x405f3004,0xb01b05da,0x983206c1,0xf5264b63,
    0x5b2ccee1,0x55532800,0x05555555,0x00000000,0x00000000,0x00000000,
    0x00000000,0x5900bf30,0x327ea09f,0x6cf4402f,0x0321e201,0xd98b10ea,
    0x2fba0dbb,0x327361ed,0x0005c910,0x00000000,0x00000000,0x00000000,
    0x00000000,0xd100a000,0xc95c181d,0xfd1fa81f,0x6c43a203,0xb11d4621,
    0x41625757,0x1881a82c,0x41011031,0x00000000,0x00000000,0x00000000,
    0x00000000,0x4c000000,0x307f601f,0x03fa24c3,0x03be25f7,0x31d881d1,
    0xcccb8379,0x00380664,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7d401000,0x51fdccce,0x3bfa61bf,0xd13bfd52,0x110087df,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_22_latin_ext_x[560]={ 0,2,1,0,1,0,0,0,0,0,1,0,1,0,
1,0,0,2,0,0,0,0,0,0,1,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,-1,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,-1,1,0,-1,0,0,0,0,0,0,0,
-2,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,2,1,1,0,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,1,0,0,0,
1,1,0,0,-1,0,0,0,0,-1,0,0,0,0,2,1,-1,1,1,1,0,0,1,1,0,0,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,-2,0,0,0,0,0,0,
0,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
1,0,1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,2,0,2,2,2,
2,2,2,2,2,2,2,2,2,2,1,0,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,0,-1,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static signed short stb__times_22_latin_ext_y[560]={ 17,3,3,3,2,3,3,3,3,3,3,5,15,11,
15,3,3,3,3,3,3,3,3,3,3,3,7,7,5,8,5,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,20,3,7,3,7,3,7,3,7,3,3,
3,3,3,7,7,7,7,7,7,7,5,8,8,8,8,8,8,3,3,3,10,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,17,7,4,3,5,3,
3,3,4,3,3,7,8,11,3,2,3,5,3,3,3,8,3,9,16,3,3,7,3,3,3,7,-1,-1,-1,0,
0,0,3,3,-1,-1,-1,0,-1,-1,-1,0,3,0,-1,-1,-1,0,0,6,3,-1,-1,-1,0,-1,3,3,3,3,
3,3,4,3,7,7,3,3,3,4,3,3,3,4,3,3,3,3,3,3,4,6,7,3,3,3,4,3,3,4,
1,4,-1,3,3,7,-1,3,-1,3,0,4,-1,3,-1,3,3,3,1,4,-1,3,0,4,3,7,-1,3,-1,3,
-1,3,0,4,3,2,-1,-1,3,3,0,3,1,4,-1,3,3,3,0,7,3,3,-1,3,3,3,8,-1,-1,3,
3,3,3,3,3,3,3,-1,3,3,7,-1,3,3,3,7,1,4,-1,3,-1,3,3,7,-1,3,3,7,-1,3,
-1,3,-1,3,3,7,-1,3,3,5,-1,3,3,5,-1,3,1,4,-1,3,-1,3,-1,3,3,8,-1,3,-1,3,
0,-1,3,0,4,-1,3,3,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,3,4,4,3,4,4,4,
4,4,4,4,4,4,4,4,4,4,1,7,4,4,4,4,4,4,4,4,4,4,4,4,4,1,7,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,-1,3,-1,3,-1,
3,-1,3,-1,2,-1,0,-1,0,-1,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,-4,-1,-1,3,-1,3,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static unsigned short stb__times_22_latin_ext_w[560]={ 0,3,6,10,8,16,15,3,7,6,8,11,3,6,
3,6,10,6,10,9,10,9,10,10,8,10,3,4,11,11,11,9,18,15,13,13,14,12,11,15,14,7,8,15,
12,18,16,14,11,14,14,9,12,15,15,19,15,15,12,5,6,5,9,12,4,9,11,9,10,9,9,10,10,6,
6,11,6,16,10,10,11,10,7,8,6,10,10,15,10,10,9,7,2,7,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,0,3,8,10,10,10,
2,8,7,15,7,10,11,6,15,12,7,11,6,6,4,10,11,3,4,4,6,10,14,14,15,8,15,15,15,15,
15,15,19,13,12,12,12,12,7,7,7,7,14,16,14,14,14,14,14,9,14,15,15,15,15,15,11,10,9,9,
9,9,9,9,13,9,9,9,9,9,6,6,6,6,10,10,10,10,10,10,10,11,10,10,10,10,10,10,11,10,
15,9,15,9,15,11,13,9,13,9,13,9,13,9,14,13,14,10,12,9,12,9,12,9,12,10,12,9,15,10,
15,10,15,10,15,10,14,10,14,10,7,7,7,7,7,7,7,7,7,6,15,10,8,8,15,11,11,12,6,12,
6,12,8,12,7,12,6,16,10,16,10,16,10,12,14,9,14,10,14,10,14,10,18,14,14,7,14,7,14,7,
9,8,9,8,9,8,9,8,12,6,12,9,12,6,15,10,15,10,15,10,15,10,15,10,15,11,19,15,15,10,
15,12,9,12,9,12,9,9,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,14,11,11,10,11,11,11,
11,11,11,11,11,11,11,11,11,11,14,11,11,11,11,11,11,11,11,11,11,11,11,11,11,17,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,15,9,7,6,14,
10,15,10,15,10,15,10,15,10,15,10,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,15,9,19,13,14,10,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11, };
static unsigned short stb__times_22_latin_ext_h[560]={ 0,15,7,15,17,15,15,7,19,19,9,11,6,3,
3,15,15,14,14,15,14,15,15,15,15,15,11,14,11,5,11,15,19,14,14,15,14,14,14,15,14,14,15,14,
14,14,15,15,14,18,14,15,14,15,15,15,14,14,14,18,15,18,8,2,4,11,15,11,15,11,14,15,14,14,
19,14,14,10,10,11,15,15,10,11,13,10,10,10,9,14,9,19,19,19,4,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,0,15,17,15,11,14,
19,18,3,15,7,11,5,3,15,1,7,11,8,8,4,14,19,3,5,8,7,11,15,15,15,15,18,18,18,17,
17,17,14,18,18,18,18,17,18,18,18,17,14,18,19,19,19,18,18,9,15,19,19,19,18,18,14,15,15,15,
15,15,14,15,11,14,15,15,15,14,14,14,14,13,15,14,15,15,15,15,14,9,11,15,15,15,14,19,19,18,
16,14,18,15,18,14,19,15,19,15,18,14,19,15,18,15,14,15,16,14,18,15,17,14,18,14,18,15,19,19,
19,19,18,18,18,20,18,18,14,14,17,14,16,13,18,14,18,18,17,10,15,19,19,19,18,18,9,18,18,18,
18,14,14,14,14,14,14,19,14,18,14,19,14,14,15,15,17,14,19,15,19,15,15,11,18,14,18,14,18,14,
19,15,19,15,18,14,19,15,19,17,18,15,14,13,19,15,17,14,19,15,19,15,19,15,18,13,19,15,18,19,
17,18,14,17,13,18,14,14,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,15,13,13,19,13,13,13,
13,13,13,13,13,13,13,13,13,13,17,11,13,13,13,13,13,13,13,13,13,13,13,13,13,17,11,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,18,15,18,14,19,
15,19,15,19,16,19,18,19,18,19,18,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,21,19,18,15,19,15,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13, };
static unsigned short stb__times_22_latin_ext_s[560]={ 28,250,103,203,196,12,234,250,68,125,245,
117,250,156,252,159,240,70,229,246,1,1,235,214,194,183,251,251,82,122,141,
173,210,116,132,91,163,209,12,68,79,94,84,115,144,157,239,13,219,135,68,
41,120,11,89,88,91,141,107,249,61,114,70,171,139,232,188,242,137,1,40,
11,16,9,28,238,231,228,217,37,1,166,209,62,196,198,164,182,23,68,13,
35,149,168,144,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,
164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,28,251,244,
105,71,198,192,244,163,73,88,153,110,156,142,220,80,220,63,56,134,49,244,
252,250,250,96,26,224,67,51,82,61,88,121,156,172,205,24,191,205,218,1,
94,165,99,183,229,202,61,21,36,51,14,128,46,158,66,93,109,21,45,104,
62,52,42,32,22,146,1,48,222,219,209,214,192,156,191,53,213,148,1,126,
115,104,93,105,1,106,50,39,28,176,156,167,217,107,58,173,175,189,217,92,
134,231,108,77,187,132,53,137,29,136,1,142,77,107,197,143,60,86,38,37,
43,31,63,89,245,29,77,152,17,168,50,12,240,221,184,134,188,120,60,91,
78,188,175,207,156,121,147,228,205,34,8,1,238,231,131,197,206,1,27,243,
130,151,104,162,14,173,178,63,78,45,232,74,153,229,164,185,11,150,50,120,
83,99,133,205,200,146,188,40,44,195,144,1,237,225,204,102,157,105,223,29,
27,215,177,179,166,47,155,209,176,1,118,61,122,60,183,116,16,203,196,126,
87,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,127,164,164,82,
164,164,164,164,164,164,164,164,164,164,164,164,164,1,129,164,164,164,164,164,
164,164,164,164,164,164,164,164,76,94,164,164,164,164,164,164,164,164,164,164,
164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,167,225,
1,97,195,116,176,229,152,123,133,238,106,50,76,29,164,164,164,164,164,164,
164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,
164,164,164,1,58,9,27,43,177,164,164,164,164,164,164,164,164,164,164,164,
164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,
164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,
164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,
164,164,164,164,164,164,164,164,164, };
static unsigned short stb__times_22_latin_ext_t[560]={ 21,120,259,170,101,138,120,211,1,23,247,
247,219,259,236,154,154,202,186,170,202,186,170,170,170,170,186,154,247,259,247,
170,1,202,202,186,202,202,217,154,217,217,154,217,217,217,138,154,217,63,232,
186,232,186,170,138,232,232,232,43,154,63,259,259,259,232,154,232,154,247,232,
170,232,232,1,217,217,247,247,247,154,154,247,247,232,247,247,247,259,217,259,
1,1,1,259,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,
232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,21,82,101,
170,247,202,1,63,259,170,259,247,259,259,170,244,259,232,259,259,259,202,1,
232,226,202,259,247,138,186,186,186,82,82,82,101,101,101,217,82,82,82,82,
120,63,101,82,101,186,101,23,23,23,82,101,259,170,23,23,23,101,82,202,
170,170,170,170,170,202,170,247,202,154,154,138,186,202,202,217,232,154,217,154,
154,154,154,186,259,247,154,154,154,217,23,23,63,120,232,63,138,63,186,1,
138,23,138,63,217,23,138,82,138,186,138,120,202,101,120,101,202,101,202,101,
138,43,43,43,23,82,82,82,1,82,101,202,186,101,186,120,232,101,217,63,
101,101,247,120,43,43,43,63,63,259,101,101,82,82,217,217,217,232,232,202,
43,186,82,186,43,186,202,138,138,120,202,43,138,1,138,138,247,63,232,63,
232,63,232,23,154,23,120,63,217,23,138,43,101,43,138,217,232,43,120,120,
202,23,120,23,120,43,120,43,232,23,138,63,1,120,43,186,120,232,43,186,
202,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,170,232,232,23,
232,232,232,232,232,232,232,232,232,232,232,232,232,120,247,232,232,232,232,232,
232,232,232,232,232,232,232,232,120,247,232,232,232,232,232,232,232,232,232,232,
232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,43,170,
63,202,1,170,1,154,1,120,1,43,1,63,1,63,232,232,232,232,232,232,
232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,
232,232,232,1,1,63,186,1,154,232,232,232,232,232,232,232,232,232,232,232,
232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,
232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,
232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,
232,232,232,232,232,232,232,232,232, };
static unsigned short stb__times_22_latin_ext_a[560]={ 79,106,130,159,159,265,247,57,
106,106,159,179,79,106,79,88,159,159,159,159,159,159,159,159,
159,159,88,88,179,179,179,141,293,230,212,212,230,194,177,230,
230,106,124,230,194,283,230,230,177,230,212,177,194,230,230,300,
230,230,194,106,88,106,149,159,106,141,159,141,159,141,106,159,
159,88,88,159,88,247,159,159,159,159,106,124,88,159,159,230,
159,159,141,153,64,153,172,247,247,247,247,247,247,247,247,247,
247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,
247,247,247,247,247,247,247,247,79,106,159,159,159,159,64,159,
106,241,88,159,179,106,241,159,127,174,95,95,106,183,144,79,
106,95,99,159,238,238,238,141,230,230,230,230,230,230,283,212,
194,194,194,194,106,106,106,106,230,230,230,230,230,230,230,179,
230,230,230,230,230,230,177,159,141,141,141,141,141,141,212,141,
141,141,141,141,88,88,88,88,159,159,159,159,159,159,159,174,
159,159,159,159,159,159,159,159,230,141,230,141,230,141,212,141,
212,141,212,141,212,141,230,205,230,159,194,141,194,141,194,141,
194,141,194,141,230,159,230,159,230,159,230,159,230,159,230,159,
106,88,106,88,106,88,106,88,106,88,225,176,124,88,230,159,
159,194,88,194,88,194,129,194,109,194,88,230,159,230,159,230,
159,192,223,157,230,159,230,159,230,159,283,230,212,106,212,106,
212,106,177,124,177,124,177,124,177,124,194,88,194,136,194,88,
230,159,230,159,230,159,230,159,230,159,230,159,300,230,230,159,
230,194,141,194,141,194,141,88,247,247,247,247,247,247,247,247,
247,247,247,247,247,247,247,230,247,247,159,247,247,247,247,247,
247,247,247,247,247,247,247,247,230,168,247,247,247,247,247,247,
247,247,247,247,247,247,247,247,172,247,247,247,247,247,247,247,
247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,
247,247,247,247,247,230,141,106,88,230,159,230,159,230,159,230,
159,230,159,230,159,247,247,247,247,247,247,247,247,247,247,247,
247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,
247,247,230,141,283,212,230,159,247,247,247,247,247,247,247,247,
247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,
247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,
247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,
247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,
247,247,247,247,247,247,247,247, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_22_latin_ext_BITMAP_HEIGHT or STB_FONT_times_22_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_22_latin_ext(stb_fontchar font[STB_FONT_times_22_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_22_latin_ext_BITMAP_HEIGHT][STB_FONT_times_22_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_22_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_22_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_22_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_22_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_22_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_22_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_22_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_22_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_22_latin_ext_s[i] + stb__times_22_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_22_latin_ext_t[i] + stb__times_22_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_22_latin_ext_x[i];
            font[i].y0 = stb__times_22_latin_ext_y[i];
            font[i].x1 = stb__times_22_latin_ext_x[i] + stb__times_22_latin_ext_w[i];
            font[i].y1 = stb__times_22_latin_ext_y[i] + stb__times_22_latin_ext_h[i];
            font[i].advance_int = (stb__times_22_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_22_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_22_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_22_latin_ext_s[i] + stb__times_22_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_22_latin_ext_t[i] + stb__times_22_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_22_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_22_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_22_latin_ext_x[i] + stb__times_22_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_22_latin_ext_y[i] + stb__times_22_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_22_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_22_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_22_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_22_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_22_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_22_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_22_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_22_latin_ext_LINE_SPACING
#endif

