// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_24_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_24_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_24_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_times_24_latin_ext_BITMAP_HEIGHT        309
#define STB_FONT_times_24_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_24_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_24_latin_ext_NUM_CHARS            560

#define STB_FONT_times_24_latin_ext_LINE_SPACING          16

static unsigned int stb__times_24_latin_ext_pixels[]={
    0x0004e980,0x00000aa2,0x05500198,0x00000000,0x00002a80,0x00204000,
    0x15100000,0xa8000000,0x8000aaaa,0x00000098,0x0fc80000,0x00bee000,
    0xf98007d5,0x01fd403f,0x20017ea0,0x260003fc,0x7d40000e,0xcbd88005,
    0x02eb8803,0x00026400,0xfe801be2,0xe8002fff,0x8fc8007f,0x4d9002fa,
    0x000f4049,0xf9300f60,0xfbae8007,0x20013200,0x1760005d,0x00031000,
    0x220006c8,0x5fb5003c,0x00028000,0x00000eb8,0x2746d400,0x02dcfa00,
    0x1024cfb0,0x04880005,0x54007f30,0x00581261,0x440001d0,0x36c8000e,
    0x03a0003f,0x1f9b6400,0x0002fa80,0x0007e6d9,0x5b2000ec,0x224001f9,
    0x0d9a000c,0xa8126000,0x000000cd,0x02003f98,0x11000002,0x00110000,
    0x00322750,0xa8000620,0xf5001913,0x44ea0005,0x0030000c,0x00322750,
    0x22001008,0x93000061,0x001cd220,0x7056654c,0x2a003f98,0xa80aaaaa,
    0x953001dd,0x2aaa0159,0x554c0aaa,0x555550aa,0xaaaa9815,0x15555550,
    0x50aaaa98,0x98155555,0x7d40aaaa,0xaaaaa802,0x55554c0a,0x8565cc00,
    0x2aaaaaa1,0x055554c0,0x0c2b2e60,0x81555555,0x000aaaa9,0x24522093,
    0x313db100,0xf98797f7,0x202b3263,0x2b00dff9,0x576c4048,0xf503fb99,
    0x3be601bf,0x806ffd41,0x7fd41ef9,0x83df300d,0xf300dffa,0xb15f503d,
    0xbff5017d,0x807be601,0xeeb99cec,0x037fea0f,0xd900f7cc,0x1fdd7339,
    0x9806ffd4,0x4f7101ef,0x0376e049,0xf982fcc0,0x3a63f986,0xb017f401,
    0x05f88122,0x0bfe0bf3,0x0bfe07b0,0x0bfe07b0,0x0bfe07b0,0x2fea07b0,
    0xf80fffcd,0xb01ec02f,0xf03f201f,0x203d805f,0x81f900fd,0x81ec02ff,
    0x01267fb8,0x07f4005d,0x7cc3ff98,0xfb001b33,0x0066d403,0x1fe401fd,
    0x0b200ff4,0x0b200ff4,0x0b200ff4,0x0b200ff4,0x9fb06fd4,0x2c803fd0,
    0x1e805f90,0x0b200ff4,0x07a017e4,0x02c803fd,0x540733ec,0x09f7006f,
    0x983fe7a2,0xb000d9bf,0xfb80003f,0x207fc404,0x816401fd,0x816401fd,
    0x816401fd,0x816401fd,0x437cc2fa,0x416401fd,0x41a805fa,0x416401fd,
    0x41a805fa,0x016401fd,0xffd801f6,0xb03fe801,0xdf98ffa3,0x07f6004f,
    0xe8276e54,0x42fe803f,0x816401fd,0x816401fd,0x816401fd,0x816401fd,
    0xd87f82fa,0x6416401f,0xfd81004f,0x7e416401,0x1fd81004,0x1f601640,
    0x02fdf4c0,0xb16417fc,0x7edfcc9f,0x503fb002,0x3e13e61f,0x44fd802f,
    0x816401fd,0x816401fd,0x816401fd,0x816401fd,0xd87e82fa,0x7416401f,
    0x3fb0003f,0x3fe82c80,0x803fb000,0x803ec02c,0x200ff8ac,0x22541ff8,
    0x22fe65fc,0x1fd801fe,0x2237c6d8,0x5fc801ff,0x0b200fec,0x0b200fec,
    0x0b200fec,0x0b200fec,0x437c17d4,0x216401fd,0xb0001ff8,0x442c803f,
    0xfb0001ff,0x6c02c803,0xf9344047,0x317fc407,0x7cc9fb0b,0xd801df33,
    0x3a21981f,0x400ffc46,0x00fec5fc,0x00fec0b2,0x00fec0b2,0x00fec0b2,
    0x217d40b2,0x01fd83f9,0x07fe2164,0x200fec00,0x00ffc42c,0x6401fd80,
    0x0933ec02,0x2037cc77,0xd01d13fe,0xf727cc7f,0x201fd80d,0xff86ebda,
    0x6c3fd802,0xd80e401f,0xd80e401f,0xd80e401f,0xa80e401f,0xfd83645f,
    0x7fc0e401,0x03fb0003,0x03ff81c8,0xc803fb00,0x0933ec01,0x202fd81d,
    0x3e03b5fd,0x27ffb51f,0xfb02effa,0x86e93603,0x2fe803fd,0x03600fec,
    0x03600fec,0x03600fec,0x03600fec,0x76deefd4,0xd803fb00,0x0004fe80,
    0x80d803fb,0xfb0004fe,0x6c00d803,0x99d51267,0x4c0bfd99,0xbf302cef,
    0xfb000cc0,0x86e8bd01,0x2fcc06f9,0x81a01fe4,0x903403fc,0x3206807f,
    0xf503403f,0xfc801315,0x6fa83403,0x03fc8300,0x006fa834,0x3403fc83,
    0xd8933ec0,0xff99999a,0xd813f200,0x817ea00f,0x13e21f62,0x80bf60fd,
    0x05f981fd,0x05f981a6,0x05f981a6,0x05f981a6,0x02fa81a6,0x69817e60,
    0x17017fa0,0x1a605f98,0x05c05fe8,0x069817e6,0x589266d8,0xfa813ee0,
    0x801fb81f,0x3a7f706b,0xfb33ff03,0x1ed8853f,0x3ee02fb8,0x5c00e983,
    0x400e983f,0x00e983fb,0x074c1fdc,0xb8005f50,0x400e983f,0x06440cfd,
    0x0e983fb8,0x22067ec0,0x307f700c,0x23d8201d,0xf880b249,0xea8e880f,
    0x400decbd,0xff102db8,0x77fd4099,0x3ae04fc8,0x800decbd,0x1dedceeb,
    0xdb9dd700,0x3bae003b,0x7001dedc,0x03bdb9dd,0xb8003fb8,0x01dedcee,
    0x9b9dfd70,0xdceeb801,0xfd7001de,0xb8019b9d,0x01dedcee,0x498939f7,
    0x4fe801f3,0x00cc4088,0x000c0020,0x13100081,0x0004c000,0x30000260,
    0x00980001,0x00799970,0x100004c0,0x02600013,0x00098800,0x77100130,
    0xbfd75101,0xbfff9105,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x50000000,0x00000003,
    0x00000000,0x00000000,0x00000040,0x000c4000,0x00330000,0x0002a880,
    0xc881c417,0x0000cc00,0x37779951,0x53005c00,0x0d90d900,0x1be602a8,
    0xf9314c00,0x802fc800,0x66c4001a,0x32dd0004,0x3004981f,0x5c0009ff,
    0x1ffd404f,0x003f9000,0x03a27a60,0xff3027dc,0x1bd98009,0x9b004a88,
    0x36025401,0x1d00fd86,0x8003f300,0x01fea23b,0x24c007f0,0x00321900,
    0x40f63f10,0xf55b0049,0x01760003,0x0003ee7a,0x3200017c,0x17ee03ff,
    0x000fbae8,0x01260097,0x09700fee,0x004b8000,0x04a800ee,0x02cc00fd,
    0x2b800f40,0x2498001b,0x26012606,0x22001222,0x730dc00e,0x00073000,
    0xfa809910,0x024c3504,0x0e60025c,0x001e8000,0x50013a00,0x6c03e600,
    0x40006007,0x0b6e004e,0x4c030600,0x00000804,0x01010011,0x30000100,
    0x2a015995,0x8010104f,0x04804069,0x001ae000,0xa9805f80,0x2ec00acc,
    0xaaa88fb0,0x2aaaa601,0x55545f80,0x554c0aaa,0x32a600aa,0x269300ac,
    0x5551aaaa,0xaaaa8355,0x051bc980,0x40146f26,0xaaaaaaa8,0xb100aaaa,
    0x07f7335d,0x65cc07f3,0x03b0312c,0x4bd57991,0x5997300b,0x87f30155,
    0x83dc47b8,0x2bb6206e,0xf303fb99,0x6443ec05,0x37e601ff,0xfa84f880,
    0x3df300df,0x266bb620,0x714983fb,0x7fe447ff,0x541fc883,0x47fda9ce,
    0x7fda9cea,0x5ffdd300,0x105f7555,0x117e60bf,0x137f905f,0x0f05df73,
    0x222fc8b6,0x3bee5d82,0x5c4bf01c,0x41fee27f,0x20bf106d,0x01fc85f9,
    0x0ffc81f6,0x1fc40b60,0x1ec02ff8,0xbf305f88,0x417f4498,0xd07701ff,
    0x83e8f907,0x3ef6007c,0x1fd07306,0x07e1fe40,0x0fe203f7,0xfc8b90b3,
    0x45f10e20,0x437c05f8,0x7b07d87e,0xfc803fa0,0xfb007f43,0x8077fdc0,
    0x740f601c,0xe816401f,0x98ff200f,0x7e427dc4,0x0fa81d03,0x6807d4d0,
    0x0df1b100,0x1013ee14,0xf70741ff,0x1dc3b805,0xa8dd03ee,0x1fa17dc1,
    0x87d81fd0,0xb80d887d,0x07fc404f,0x207d80ff,0x3905febb,0x1fd82c40,
    0x27dc1640,0x24c3fe20,0x1be61fe2,0x40fee162,0x0240fee4,0x006f89c8,
    0x3fa00ffa,0x007f9962,0x21fc1d87,0x260643f8,0x3602fc4f,0x3ec3ec1f,
    0x03fe80b2,0x01fe2fe8,0x7c5dc0fb,0xb801c83f,0x3200fec3,0xe803fe82,
    0x3fd0932f,0x1dc1ffa8,0x30427fcc,0x300109ff,0x0661be2b,0x3f600bfe,
    0x005fc924,0x20fcc1d0,0xfd8241fc,0xfd803f30,0x23ec3ec1,0x05ff00b9,
    0x03fc9fb0,0xf33b81f6,0x4c01c85f,0x200fec0b,0x802ff82c,0xf70934fd,
    0x744fdd89,0x05fff900,0x0017ffe4,0x2237c476,0x00ffc41d,0x7f412fe4,
    0x643b0003,0x0ae3fcc7,0x800bbdd8,0x6c3ec0fe,0xff883d07,0x365fc801,
    0xb81f600f,0x1c87fea3,0x0fec16a0,0x3ff10b20,0x126bf900,0xf8e89fe2,
    0xff701626,0x3fee01bf,0x259800df,0xffdccff8,0x400ffc41,0x1ff885fc,
    0x19ddb710,0x730fc8ee,0x1b01ccbb,0xfb0ff000,0x11320fb0,0xbf9003ff,
    0x0fb007e4,0x43bf21dc,0x6c0ba01c,0x2216401f,0x5fc801ff,0x54bf6093,
    0x00ae3fd3,0x40ffff62,0x403fffd8,0x86fbaace,0x802ff81c,0xf17f33fd,
    0x46fb805f,0x537bea58,0x82a4b9ed,0x0aaabdfa,0x07f427c0,0x7c36c1f6,
    0x23fd802f,0x03fa01fa,0xcafec1dc,0x3607f101,0x7c0e401f,0x33fd802f,
    0x86d7ea09,0x4001d4fb,0x2601ffe9,0x5b501ffe,0x330df755,0xfd007fb0,
    0x27fd3ea5,0x51a17ea0,0x205e4c37,0x7ffff444,0x43f304ff,0x361cffb8,
    0x7fb0df07,0x7c45fd00,0x1cffb883,0xcfe883b8,0x20bf101c,0x406c01fd,
    0x2fe803fd,0x347fc093,0x0c0b3ff1,0xd806bfb0,0xf881d05f,0x01be6006,
    0x3f608bf3,0x542fd406,0x88390004,0x1f753314,0x7d800d90,0x0df30bf0,
    0x06a85f98,0x103b802a,0x2fc03dff,0x83403fc8,0x2fcc06f9,0x1f7e4093,
    0x1b80bbf6,0x406ebf10,0x884a85f8,0x3f60c06f,0x9807f602,0x17ea00ff,
    0x0ae00254,0xf8848076,0xd836c000,0x6c05fb04,0x3603b01f,0x5407702f,
    0x40f601ff,0x81a605f9,0x87f602fd,0x03fe6049,0x25c01ff5,0x20972f88,
    0x407442f8,0x10ae06f8,0x05f703db,0x2a01df90,0x2012a05f,0x0cf982c8,
    0x002c83a8,0x05981ec1,0x5f703db1,0x07f02c40,0x03f70132,0x07f70074,
    0x76c401d3,0x24c2fb81,0x17e217e0,0x4d907f70,0xc86c83fb,0x2a0ff505,
    0x32f7ae07,0x3ee000de,0x405fa80d,0x9310acca,0x77fe4019,0x02c84fdc,
    0x80939f70,0x2f7ae02b,0xc8800dec,0x32617260,0x07601cff,0x3ae00ae2,
    0x001dedce,0x1bd97bd7,0x02c80930,0xedcb805b,0x32e0cecc,0x20cecced,
    0x710cffc8,0xfddddffd,0x013100bf,0x5efecc00,0x2000cfdb,0x000abcb9,
    0x0602b326,0x00177100,0x00262014,0x000020c0,0x26000500,0x02620000,
    0x00880510,0x01981003,0x00001981,0x00000000,0x00009988,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00079500,0x11200013,0x2ea20005,0x32200000,
    0x9800000c,0x00312ccb,0x00000006,0xd0002828,0x0000007f,0x15400000,
    0x00000006,0x07fbe200,0x001ffc80,0x00698ea8,0x700f6760,0x9fd9009f,
    0xc8017dc0,0xefb989bf,0x52efe802,0x3f9af400,0x36ef7200,0xfcdb8001,
    0x00ff8000,0x1db1fa80,0x577f6400,0x1ff00029,0x64091000,0x3a200b72,
    0xfb0006c9,0x5aa0005f,0x402ec008,0x2e03d359,0x01fb802f,0xa89807f1,
    0xf1005efe,0x88013ead,0x88003ffd,0xf30012a4,0x4bee0003,0x546000fe,
    0xf30006fd,0x406e0003,0x6400cc28,0x26000ae0,0x1360003c,0x42803440,
    0x7dc00038,0x0201dc02,0x04080053,0x20000800,0x32000981,0x02040002,
    0x40001000,0x0160002c,0x20080000,0x40aaaaaa,0x200aaaa9,0x013003f9,
    0x26000000,0x3007007f,0x40015995,0x500acca9,0x98155555,0x5550aaaa,
    0xaa981555,0x800a00aa,0x40aaaaaa,0x550aaaa9,0xa9815555,0x02800aaa,
    0x32a0e600,0x472e21bc,0x40aaaaaa,0x2a0aaaa9,0xdf300dff,0x2ffaa203,
    0x55555501,0x71015555,0x5665cc0f,0x017f20aa,0x26bb6200,0x6c403fb9,
    0x03fb99ae,0x2601bff5,0x6ffd41ee,0x4c3df300,0x019aaaaa,0x201bff50,
    0x7fd41ef9,0x43df300d,0x40aaaaaa,0x440aaaa9,0xfd80dfdb,0x3f224b84,
    0x3df700ef,0x3d805ff0,0x0affaa20,0x333337e6,0xfb886fec,0x77dcbb07,
    0x000ffa1c,0x3e60bf10,0x260bf105,0x805ff05f,0x805ff03d,0xbdfe983d,
    0x7c00cffc,0xf81ec02f,0x221ec02f,0xf700effc,0xfb1f983d,0x1d0df10d,
    0x3540df90,0x2c803fd0,0x0e606e80,0xfb00ffcc,0x2fc45f10,0x5c407fe2,
    0x7f40ceed,0x3a0ff200,0x20ff200f,0x816401fd,0x816401fe,0x037e43fd,
    0x059007fa,0x059007fa,0x86a81bf2,0x1fb754e8,0x02cc3f90,0x807a07fd,
    0x016401fd,0x00a817e2,0x87d807fd,0x223f42fb,0x37dc02ff,0x3e2027dc,
    0x1013ee0f,0x01fd81ff,0x01fd8164,0x43fc8164,0x3f601ff9,0xfd816401,
    0xfd016401,0x3ea07a07,0x7c402192,0xff980b25,0x3f6025c0,0x2a016401,
    0x7e40203f,0xf987d805,0x27fc2fc4,0x3fa17ea0,0x3a2fe803,0x42fe803f,
    0x816401fd,0x816401fd,0x03ff83fc,0x059007f6,0x059007f6,0x12e07fcc,
    0x802c47dc,0xf900d1fc,0x7ec0344b,0x32016401,0x7fcc001f,0xfb07d800,
    0x3f607e61,0x7c2fd406,0x24fd802f,0x4fd802ff,0x0b200fec,0x0b200fec,
    0x3fe61fe4,0x9007f600,0x9007f605,0x225fc805,0x0aa7f206,0x01d6fc40,
    0x01d97f44,0x16401fd8,0xf1001fa0,0x81f6005f,0xf300bbdd,0x22fd401f,
    0xfc801ff8,0x9003ff15,0x401fd8bf,0x803fb02c,0x447f902c,0x0fec04fd,
    0x0fec0b20,0xfd100b20,0xbfa80765,0x3bf60185,0x97ff5000,0x9007f600,
    0x4005f805,0x1f6005fd,0xdf90006c,0xf117ea01,0x2bf9003f,0xfc801ff8,
    0x3200fec5,0xc803fb02,0xfb7bf902,0x03fb003b,0x03fb02c8,0xffa802c8,
    0x27fc404b,0x00bf300a,0xb000ffc8,0x201c803f,0x3ea002f9,0x21f6000e,
    0x0aaabdfa,0x2a037ee0,0x802ff85f,0x00bfe3fd,0x03fb0ff6,0x03fb01c8,
    0x59f901c8,0x3f6005fd,0xfd80e401,0xc800e401,0xffc800ff,0x1d801dbb,
    0x002fcc00,0x00d803fb,0x7c4003ea,0x43ec001f,0xffffffe8,0x2f7f6604,
    0xfd80cfdb,0x362fe803,0x42fe803f,0x806c02fd,0x806c01fd,0x01ff33fc,
    0x0d803fb0,0x0d803fb0,0x400bf300,0xd003efff,0x00bf3000,0x01a01fe4,
    0x27ec00b9,0xa443ec00,0x00fba998,0x4c009bb8,0x22fcc06f,0x2fcc06f9,
    0x81a01fe4,0x903403fc,0x402fdc7f,0x903403fc,0x2006807f,0x273005f9,
    0x000ee000,0xf98017e6,0x5d01a605,0x501bee00,0x80761b60,0x003fb004,
    0x1fd80bf6,0x3f602fd8,0x2605f981,0x9817e606,0xfb0ff206,0x205f9807,
    0x817e6069,0x17e60069,0x9a800640,0xbf300059,0x983fb800,0x0698980e,
    0x5c03ff30,0x7cc3e822,0x1003a80c,0x3b62003f,0xb102fb81,0x405f703d,
    0x00e983fb,0x074c1fdc,0xfe887f90,0x4c1fdc02,0x41fdc00e,0x3e6000e9,
    0x2600b005,0x50000fff,0xdd7000ff,0x3a03bdb9,0x7fd001db,0xcfb8fd40,
    0x9dff905a,0x36a009fb,0xbdeb8004,0xeb800dec,0x800decbd,0x1deddeeb,
    0xdb9dd700,0x84fd803b,0x75c01ff9,0x001dedce,0x3bdb9dd7,0x807fa800,
    0x02ee0039,0x3ffee200,0x0130002d,0x7e400730,0xfeeeeeef,0x00b2e27f,
    0x0002b326,0x01310000,0x00026200,0x4c000098,0xfffc9800,0x16ffdc1c,
    0x200004c0,0xfb880009,0x00002dff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xcb800020,
    0x55510002,0x55555555,0x220b8003,0x402ec803,0x00051bc9,0x05c00000,
    0x0141400e,0x01599530,0x2a200000,0xaaaaa982,0xccc88019,0x0000001c,
    0x77f40000,0x3be60052,0x31fdc00f,0x9dfb99bf,0x2fcc9fb9,0x01d13d10,
    0x67540bf0,0xdf07fda9,0x7cc013e6,0x457c4003,0x77b9000e,0x5db1003b,
    0x8007f953,0x4cae006e,0xcbdfe986,0x26600cff,0x13ee03fa,0x1013ee00,
    0xa89801df,0x3b005efe,0x98bd0132,0x12627d44,0x7fe401f7,0x74069803,
    0x2df07c83,0x9f5004f9,0x09ff7000,0x01ffec40,0x5fa82f4c,0x6801fa00,
    0x0ff607e6,0x7f100df9,0xe8002ec0,0x801fa805,0x198014c0,0xa8588054,
    0x41c27d41,0x0132202c,0x01f5005c,0x0400001a,0x00199000,0x07f40010,
    0x04005f90,0x02e0f980,0x3ff30ff2,0xd103f880,0x401a2000,0x1aaa881d,
    0x02aaaa60,0x20013000,0x806004fa,0x00051bc9,0x00481fdc,0x0acb9800,
    0x15973003,0x59953006,0x2027dc01,0x5cc00ff9,0x3e0312cc,0x41fe400e,
    0x1fc403ff,0x13000098,0xfc880a00,0x037e601f,0x555665cc,0x35555510,
    0x51027d40,0x75435555,0x2a7fda9c,0x32e21bcc,0x4109ff31,0x2e21bcca,
    0x339d901c,0x3201fdd7,0xfeeb99ce,0x99aed880,0x07fd03fb,0xf902ff88,
    0x5df73137,0xc803bea0,0x007fcc3f,0x5554cfe2,0x554c02aa,0xaaaaaaaa,
    0x3203e4c1,0x40b600ff,0x873bee5d,0x5402ffd8,0x7fec404f,0x23e41f42,
    0x644b84fd,0x3f602fff,0x1fb04b84,0x3f603f20,0xf881f900,0xff0bf305,
    0x709fd005,0x40fe203f,0xf900efca,0x4027ec47,0x3bfa63f8,0xdfe98009,
    0x23ecaaaa,0x7dc07fa8,0x103900ef,0xb82fc45f,0x04fa805f,0x07d45fb8,
    0x7437c468,0x0dfffb80,0x80e86f88,0x20f402fc,0x20f402fc,0x8ff200fe,
    0xfd801ff8,0x2e017dc5,0x1df51b83,0xbfb7bf90,0x90fe2003,0x3fc8009f,
    0x80fd0910,0x3905febb,0x07e85f70,0x9f5009f5,0xfb89f500,0x43f90903,
    0x3ff62059,0x261fc83f,0xa805fa85,0x2a017ea1,0xf1013ee1,0x007fe21f,
    0x07f997f2,0x5fa8b070,0x2feacfc8,0xf70fe200,0x03fb8007,0x7701f60a,
    0x03907ff1,0x505f89f3,0x09f5009f,0xff989f50,0x25f88084,0xffe9802c,
    0x0592fc41,0xc82009f9,0x7f41004f,0x3a2fe803,0x24fd802f,0xf30005fc,
    0x3fc81f50,0x22001ff3,0x001fdc3f,0xfb000fee,0x5ff33b80,0x21fb01c8,
    0x09f501f9,0xf5009f50,0x05fff909,0x061a3f90,0x1fc85fd8,0x000ffa0d,
    0x3e000ffa,0x24fd802f,0x2fe803fd,0x44000ffa,0x3fc8783f,0x7c4017ee,
    0x2001fdc3,0xb02983fb,0x3ea3b80f,0xdd80721f,0x13ea00bb,0x2a013ea0,
    0xbfff704f,0x1d6fc401,0x85f880dc,0xf883adf8,0x7fc4001f,0x0ffc4001,
    0xdf52fe40,0x3e26f880,0xddb7101f,0xb11fec19,0x3fd87f90,0x7dc3f880,
    0x21fdc003,0x80fb02c8,0xc877e43b,0x54001b01,0x04fa804f,0x36204fa8,
    0x3f603fff,0xf104b80e,0x203bf605,0x44001ff8,0x7c4001ff,0x45fc801f,
    0x87f602fc,0x7dc02ff8,0x02e9fb06,0x5fd10ff2,0x7dc3f880,0x677dc003,
    0xfb02ffdc,0x5fd83b80,0x57bf5039,0x13ea0155,0x2a01bee0,0xffe9804f,
    0x2e0bf301,0x2606c83f,0x00ffe05f,0x2000ffe0,0x3fd802ff,0x2fb81ed8,
    0x7d404ff8,0x403bf605,0x1ff984fd,0x7f70fe20,0xc83fb800,0x3b80fb02,
    0x81ccfe88,0xffffffe8,0x2204fa84,0x201cfffc,0xfb00c4fa,0xcb80ec0b,
    0x00cecced,0x09fd00ec,0x0009fd00,0x5fd007fb,0x36ef3aa0,0x80dfb01d,
    0x1fe405fa,0x073fff26,0xf105bff7,0x4003fb87,0xb02883fb,0xf103b80f,
    0x229103df,0x540fba99,0x5400004f,0xf880dc4f,0x64081a05,0xf501a002,
    0x6fa8600d,0x037cc300,0x3f2017e6,0x07fcc06f,0xf900bf50,0x10006600,
    0x003fb87f,0x36001fdc,0xf501dc07,0x2403b03f,0x7d4027d4,0x5c4fa802,
    0x2e05f104,0x01fd1003,0xbfd00770,0x2ff40b80,0x05fb02e0,0xfa800fec,
    0x077e404f,0x27a85fa8,0x0bf70078,0x3ee1fc40,0x0fee1c03,0x6407d850,
    0x260fdc04,0xa83a80cf,0x05da804f,0x1fdc4fa8,0x1666a364,0x2a01f300,
    0x3f600599,0xd806440c,0x406440cf,0x2fb81ed8,0x01fe4c00,0x3ea037ee,
    0x01227985,0x3e2006c8,0x5501fdc3,0x0aa03fb8,0x3ff260fb,0x3207601c,
    0x04fdceff,0x01400bf9,0x372e2fe4,0x260cecce,0x2a000fff,0x1fff303d,
    0xcefeb800,0x7f5c00cd,0x5c00cdce,0x00decbde,0x02f72200,0x6ddefecc,
    0x735900cf,0x03d71001,0x43fccc88,0x87b885fc,0xd0f504fc,0x0000001f,
    0x91015993,0x4c039fff,0x3ff2200b,0x019811cf,0x010002ee,0x40001770,
    0x98800098,0x00988000,0x10010000,0x00400133,0x55440020,0xfff930aa,
    0x4bffffff,0xeeefffb9,0x3ee25ffe,0x000001cf,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0x4c000ffb,0x55510180,0x55554c03,0x00008040,0x1cccc880,0x05555553,
    0x40004c00,0x02aaaaa8,0x40071064,0x5cc00098,0x4c0030ac,0x511aaaaa,
    0x00005555,0x014c3880,0x006f9800,0x004fbf88,0x00db9bd8,0x9807ff22,
    0x31c880df,0x0ff10019,0x8266fe60,0x0009efe9,0x2003ff90,0xbb9dfffa,
    0x744f4c00,0x0dff1000,0x2e673b20,0x83640fee,0x7cc0efe9,0x3ea000bf,
    0x4c75c005,0x3ea9f105,0x0007d402,0x0006c472,0x400fffea,0x0b600ffc,
    0x004fffc8,0x3e6007e6,0x0013f202,0x806c9e88,0x755ffffa,0x00fff200,
    0x402e9cc8,0x81f900fd,0x20ff206d,0x6c8001eb,0x03ffd000,0x01fdd7e6,
    0x20600164,0x80030001,0x3900effb,0x8001b880,0x02f9803a,0xc8000fee,
    0xffd00ae0,0x400eabff,0x8e2004c8,0x00bf2058,0x3fc8003d,0xe800074c,
    0x07930000,0x05000408,0x0acca980,0x9665cc00,0x3faee018,0x00003905,
    0x2f980280,0x0000fee0,0x7ffc4010,0x544755ff,0x2aa601aa,0x808040aa,
    0x01a805fa,0x1d31fe40,0x40062000,0xaaaaaaa8,0x5511aaaa,0x554c3555,
    0xaaaaaaaa,0x335db101,0x7f9007f7,0x05df7313,0x41ffc5dc,0x332e601c,
    0x02800aaa,0x7dc05f30,0x55553003,0x55555435,0x3ffffe0a,0xffc88755,
    0x5037e601,0x13f2007d,0x3f200040,0x80001d53,0x99bf3002,0x9fb99dfb,
    0x4c17fec4,0xcaaaadfe,0x305f883e,0x80fdc0bf,0x4cee03f8,0xd80e42ff,
    0x0073bee5,0x0be600ba,0x26003fb8,0xffa80efe,0x7fffe40c,0x3ff20755,
    0xfb50b600,0x00ffa007,0xfc81ee20,0x80000eab,0x5449802e,0x3ee24c4f,
    0x440ff205,0x3200fe84,0x402fb83f,0xfa8ee03b,0x3e20721f,0x54017e22,
    0x02f9806f,0xf9000fee,0xd80ffc07,0x20755fff,0x3900effb,0xf1007f30,
    0xfb88003f,0x3bf7f207,0x37d40000,0x13ea0d40,0x5c09f50e,0x9f70a03f,
    0x260ff880,0x5c07007f,0x1c877e43,0x03f42fb8,0x4c01ffd8,0x00fee02f,
    0x7f407f90,0x5572a600,0x0bfd7703,0x00fe6072,0x40007fe2,0x3aff207e,
    0x360000ef,0xfa8001ff,0x204fa804,0x3fa003fb,0x322fe803,0x3b80005f,
    0x30395fd8,0x9805f89f,0x7cc05fbe,0x000fee02,0x07f407f9,0x2e075580,
    0x1c83ff8b,0xff003f98,0x81f60007,0x0efe8bfc,0x5fbe9800,0x804fa800,
    0x0fee04fa,0x00bfe0a6,0x03fe93f6,0xe883b800,0x1fb01ccf,0x2b2007e6,
    0x3e600ff8,0x000fee02,0x07f407f9,0x2e075580,0x1c85ff33,0x3bd93f98,
    0x20009fd0,0x44ff207d,0x64000efe,0x4000ff8a,0x4fa804fa,0x5910fee0,
    0xc801ff88,0x203ff15f,0x80ceedb8,0x3dff103b,0x005deec0,0x407f9344,
    0x0fee02f9,0x203fc870,0x2ab000fe,0x7fd47703,0x33e60721,0xfa85fbbc,
    0x07d83006,0x1dfb0ff2,0x3fc9a200,0x4027d400,0x3bee04fa,0x442ffdcc,
    0x5fc801ff,0xfb805ff1,0xfa80ee06,0x0001b01f,0x3037cc77,0x01fdc05f,
    0xccdfc855,0x00ffcccc,0x1dc0eab0,0x40e43bf2,0x407ec5f9,0x205c05fe,
    0x20ff207d,0x3b800efd,0xf5001be6,0x409f5009,0xf82c83fb,0x23fd802f,
    0x2fd404ff,0x1fb80990,0xaaabdfa8,0x3f607400,0x6405f302,0xc87b885f,
    0x003fa03f,0x07703aac,0x26072bfb,0xd807e43f,0x406440cf,0x20ff607d,
    0x7401fff8,0x50017ec0,0x09f5009f,0x41441fdc,0x2fe803fd,0xbf501bf6,
    0x039ff930,0x7ff440ec,0xd504ffff,0x0bfd9999,0x3f260be6,0xffffffff,
    0x3a03fc85,0x0eab000f,0x67f441dc,0x5c3f981c,0x3bfae01f,0x1fd00cdc,
    0x1bfffc98,0x0b7fffee,0x3b3333aa,0x13ea005f,0xfb813ea0,0x01be6003,
    0x0ff98bf3,0x50017ea0,0x4c522001,0xad80fba9,0x0ff99999,0x51002f98,
    0xe80ff200,0x0eab000f,0xeff881dc,0x7dc3f981,0x200d8801,0x001cffb8,
    0x9ad80015,0x00ff9999,0xf5009f50,0x201fdc09,0xfb017ec2,0x201df903,
    0x3a2005fa,0x201d800f,0x3ee05884,0x3002f984,0x07f900fd,0x558007f4,
    0xfa80ee07,0x5c3f981f,0x03fb801f,0x3a2001c8,0x40b1000f,0x9f5004fb,
    0x5c09f500,0xb10aa03f,0x405f703d,0x5fa80dfb,0x200fc400,0x83a80cf9,
    0x03fe202c,0x7d4005f3,0xd01fe400,0x1d56001f,0x0fdc04c8,0x07ee1fcc,
    0x174026c0,0x4007e200,0x03fe202c,0x3201bee0,0x413f205f,0x2f7ae07a,
    0xd9800dec,0x0cfdbbdf,0x40136a00,0x4fdceffc,0x7f400f98,0x0e66fcc4,
    0xfb007b70,0x800ffc09,0xffc98755,0x2607601c,0x2017dc4f,0xed800db8,
    0x26d4008a,0x7400f980,0x3ff2204f,0xffc881cf,0x3fee61cf,0x5ffeeeef,
    0x00009880,0x40002662,0x59930000,0x05bfd701,0x41bfff91,0x02009999,
    0x2ffff260,0x2fbff6a1,0x00199400,0x3efe9800,0x0803dfd7,0x077ae200,
    0x7f5c0010,0xfffc882d,0x0000000d,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2000a853,
    0x0aaaaaa9,0x003fee00,0x89000040,0x55550028,0x00000355,0x55550000,
    0xaaa98155,0x007b200a,0x5c019871,0x4c09802e,0x01444800,0x000037e4,
    0xaaaaa880,0x774d8041,0xffffb800,0x7f1001ff,0xdfd0009d,0x8ea800a5,
    0x3ffe0069,0x22005fff,0x8764005f,0x6ffd405e,0x803df300,0x51b7004f,
    0x401b600b,0x2a00932e,0xe980698e,0x03f982fb,0x817d53e2,0x7d42ffd8,
    0x007ff884,0x23700000,0x266000d8,0x4005efea,0x00002ffd,0x0037c400,
    0x01be23f6,0x07b00bfe,0x7fc00598,0x01d1000f,0x001f9f50,0x64017fec,
    0x4fa81b10,0x1fdd7e20,0x7f30bf70,0x4000b2a0,0x000acca9,0x40800606,
    0x3c980029,0x2aaaaaa0,0x055554c0,0x10400020,0x9007fa00,0x4000a805,
    0x0c4002ca,0x4003ec80,0x808803c9,0x04080081,0x53013ea0,0x00335555,
    0xb99aed88,0x0014003f,0x2aa00140,0xaaaaaaaa,0x4037fea0,0xaaa81ee9,
    0x0aaaaaaa,0x81555555,0x6c0aaaa9,0x5016401f,0x2aa60a21,0xaaaaaaaa,
    0x00a21501,0x5000a215,0x2aaaa200,0x5555511a,0x2aaaaa63,0xa81aaaaa,
    0x7f4c104f,0x00cffcbd,0x5f982fc4,0x0000ba00,0x37e6005d,0x6feccccc,
    0x1ec02ff8,0x66666fcc,0x3f226fec,0x3df700ef,0x2c803fb0,0x07f69f70,
    0x2aab7fa6,0x4fb83eca,0x53ee03fb,0x0ba001fd,0x217fec40,0x74c2ffd8,
    0xecaaaadf,0x8704fa83,0x037e43fd,0x3fc803fa,0x0006fa80,0x1cc01bea,
    0xfd81ff98,0x1cc16401,0xfc81ff98,0xfd81aa06,0xd9816401,0x3f201b51,
    0x3b309103,0x8ecc036a,0xdf5000da,0xb82fdc00,0x207f905f,0xb04fa848,
    0x7fcc3fc8,0x8809f701,0x7fec00ff,0x3ffb0001,0x3fa01500,0xc803fb03,
    0x7fd00a82,0x1e81ff40,0x59007f60,0x0fee0000,0x00000028,0x001ffd80,
    0x13ea09f5,0x50501fdc,0xfc83a09f,0xfd03ff83,0x405fd007,0x8005fbe9,
    0x0805fbe9,0x7ec0bf90,0x80416401,0x7fcc05fc,0x3f6025c0,0x32a16401,
    0x20332e1c,0x995003fb,0x950665c3,0x00665c39,0x4017efa6,0x09f504fa,
    0xf5000fee,0x3fc87e09,0xff807fcc,0x204fd802,0x000ff8ac,0x007fc564,
    0xb007fcc0,0x002c803f,0xf9001ff3,0x7ec0344b,0x7dc0e401,0x7dc07ec2,
    0x2fb82983,0x0bee07ec,0x8ac801fb,0x4fa800ff,0x3ee09f50,0x9f502983,
    0x1fe45f10,0x3e209fb1,0x05fc801f,0x001fe4d1,0x001fe4d1,0xfb00bfe2,
    0x8802c803,0xfd1002ff,0x3f600765,0x7d406c01,0x7dc07e42,0x7d416443,
    0x3ea07e42,0xd1007e42,0x7d401fe4,0x2e09f504,0xa816443f,0x322f984f,
    0x01dfdbdf,0x32007fe2,0x7cc7705f,0xf98ee006,0x02fec006,0x0b200fec,
    0x50017f60,0x320097ff,0xfa83403f,0x7dc07e42,0x82ffdcce,0x207e42fa,
    0x007e42fa,0x4037cc77,0x09f504fa,0x3f733bee,0x509f502f,0x7567e47f,
    0x02ff802f,0x81d03fd8,0x81d002fd,0xdf5002fd,0x803fb001,0x077d401c,
    0x007fe400,0x1a605f98,0x03f217d4,0x20b20fee,0x207e42fa,0x007e42fa,
    0x402fd81d,0x09f504fa,0x40b20fee,0x24fa84fa,0x01ff33fc,0xfe803fd8,
    0xccccea82,0xcea805fe,0x805feccc,0xfb001ff8,0x2200d805,0xf30001ff,
    0x83fb800b,0x85f500e9,0x83fb80fc,0x642fa828,0x3217d40f,0x999d500f,
    0xfa80bfd9,0x2e09f504,0xf902883f,0x7e4bf70b,0xf3017ee3,0xb05f980d,
    0xff333335,0x999ad801,0x6c00ff99,0x0ff2004f,0x04fd80d0,0x0017e600,
    0x37b73bae,0xf90bea01,0x4007f701,0x207e42fa,0x807e42fa,0xf99999ad,
    0x413ea00f,0x07f704fa,0x33fff220,0x3fc97ee1,0x3f601fec,0x2207f602,
    0x8813ee05,0xb813ee05,0x3e61406f,0xfb81a605,0x3e601406,0x025c0005,
    0x0fe44f98,0x98a01fdc,0x260fe44f,0x440fe44f,0xa813ee05,0x209f504f,
    0x261403fb,0x7e417104,0x1017f443,0x05f703db,0x0ff880b2,0x7fc40590,
    0x201ff980,0x983fb82b,0x03ff300e,0x17e6015c,0x20099000,0xfdc89ef8,
    0x501fdc0b,0x644f7c45,0x3be20bfd,0x40bfdc89,0x03fe202c,0x4fa827d4,
    0x15407f70,0x4fd80172,0x5c01ff98,0x00decbde,0x4fe801f3,0x7f400f98,
    0x2a03fe84,0xbbdd701f,0x1ff403bd,0xfa803f50,0x5fd40007,0x77fdc018,
    0x7e41cfc8,0xff70f504,0xb839f91d,0x1cfc8eff,0x9fd003e6,0x7e417f20,
    0x2a09f905,0x018bfa87,0x839fff93,0x4402dffb,0x6ff5c009,0xdfffc882,
    0x105bfd70,0x321bfff9,0xeeeeeeff,0x013007ff,0xddddff90,0x440fffdd,
    0x002dfffb,0x200b76e0,0xf7302208,0xffddddff,0x0088220b,0x75c08822,
    0xffc882df,0xfff910df,0x3fff2239,0xdfff731c,0x20bffddd,0x00002ddb,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00028098,0x5555554c,0x5001aaaa,0x05013000,
    0x640182e2,0x0c0c006f,0x50198710,0xda800383,0x4400000c,0x19100000,
    0x0aaaaaa6,0x01333333,0x1555554c,0x000a00a0,0x201fcd7a,0x200ecacd,
    0x7f4c03f9,0x3ecaaaad,0xb0005d00,0xd301d959,0x440919ff,0x32003fbf,
    0x5c01daac,0x9f405a8d,0x9a44002d,0x37c00003,0xb3f98000,0xf8ffffff,
    0x205fffff,0x07fffffd,0x37d700ee,0x7d5be200,0x177f4c04,0x32013ea0,
    0x5009103f,0xfb3000df,0x7e44a05d,0x7447202f,0x9ffd3000,0x003ffa00,
    0x1000bff5,0x26001229,0x4990abcb,0x40aaaaaa,0x0cbaaaa9,0x4ccccc00,
    0x26000009,0x795b903f,0x010200df,0x00100040,0x80280fee,0x10001ffd,
    0x10044080,0x09800301,0x400f2600,0xb70001cb,0x674c001b,0x81efca99,
    0xf300dffa,0x5555103d,0x0a215035,0x2aaaaaa6,0x3ee1aaaa,0x23e63cef,
    0x2800f148,0x55555100,0x2aaaaa63,0xb81aaaaa,0x3a60003f,0x554c05fb,
    0xaaaaaaaa,0x2aaaaa21,0x2aaaaa61,0x001aaaaa,0x2aaa2005,0x555531aa,
    0x40003355,0x0fea002e,0x2ff81fdc,0xfb101ec0,0x369f705f,0xadfe981f,
    0x4c3ecaaa,0x4916d83f,0x80174005,0x74c2ffd8,0xecaaaadf,0x2983fb83,
    0x0ff8ac80,0x556ff4c0,0x6c43ecaa,0xdfe982ff,0x03ecaaaa,0x362005d0,
    0x77f4c2ff,0x01dfecbc,0x4401bea0,0x40ff406f,0x016401fe,0x8ecc17ee,
    0x07f900da,0x907f3122,0x000c913f,0x7dc00df5,0x2207f905,0x6443fb84,
    0x7f934402,0x2207f900,0x3205fb84,0x5009103f,0x2fdc00df,0xfe983fd8,
    0x03ffb002,0xfa805fb0,0x6401fd86,0x0027d402,0x0a03fb80,0x5ff507f3,
    0x3ff60009,0x209f5001,0x2e0a03fb,0x2ffdccef,0x0df31dc0,0x41407f70,
    0x0fee04fa,0x1ffd8028,0x3209f500,0x05ff103f,0x405fbe98,0x7c400ff8,
    0x200fec0f,0x227d402c,0x332e1cca,0x2003fb80,0xbff903f9,0xbf7d3000,
    0x5c13ea00,0x1fdc003f,0xb03a0164,0x03fb805f,0xf7027d40,0x5f4c0007,
    0x09f5005f,0x7fa80ff2,0x07fc5640,0x3e00ff30,0x200fec2f,0x427d402c,
    0x407ec2fb,0x982983fb,0x37fee03f,0x3e2b2000,0x04fa800f,0x205307f7,
    0x202883fb,0xfeccccea,0x4c1fdc05,0x5c09f502,0xc802983f,0xa800ff8a,
    0x807f904f,0x64d101ff,0x01fee03f,0x07f61ffc,0x4fa80590,0x07e42fa8,
    0x0b221fdc,0xff300fe6,0x64d1003f,0x04fa803f,0x02c887f7,0x5b0007f7,
    0x1ff33333,0x3221fdc0,0x5c09f502,0x2016443f,0x200ff268,0x07f904fa,
    0x47703fd8,0x1fea06f9,0x3f617fc0,0x2a016401,0x642fa84f,0xccefb80f,
    0x3f982ffd,0x07fee440,0x06f98ee0,0xdf704fa8,0x205ffb99,0x221403fb,
    0xb813ee05,0x2ffdccef,0x7dc09f50,0x02ffdcce,0x00df31dc,0x0ff209f5,
    0x03a0bf90,0x3fe605fb,0x6c1ff800,0x200e401f,0x42fa84fa,0x83fb80fc,
    0x38ef882c,0x00bf2910,0x402fd81d,0x07f704fa,0x80fee059,0xf101642a,
    0x20fee01f,0x409f502c,0x402c83fb,0x2017ec0e,0x07f904fa,0xcea85fd8,
    0x205feccc,0x7fc401ff,0x36017ec0,0x5427d400,0x5c07e42f,0xfb02883f,
    0x2291141d,0x333aa04f,0x5405fecc,0x107f704f,0x5413f205,0x3a007cc7,
    0x107f704f,0xb813ea05,0x2a02883f,0x5fecccce,0xfc827d40,0x6c1ff403,
    0xff99999a,0xb809f900,0x402fc83f,0xa84fa806,0x5c07e42f,0x6808003f,
    0xb00fc522,0xff333335,0xb827d401,0xff73003f,0xbffddddf,0x4416ff5c,
    0x5c0dfffc,0x27d4003f,0xb0007f70,0xff333335,0xc827d401,0x0bfe203f,
    0x027dc0b1,0x837c01fd,0x01a605f9,0x13e613ea,0x07f703f9,0x3a077428,
    0x881ae913,0xa813ee05,0x807f704f,0x0000b002,0x01fdc01b,0x5c09f50a,
    0x1621403f,0x3ea04fb8,0x6407f904,0x2202c85f,0x1bd300ff,0x2e00ed88,
    0x800e983f,0x9ef884fa,0x5c0bfdc8,0xbb0aa03f,0xcdcfeb85,0x880b200b,
    0x09f500ff,0x02a80fee,0x20000f88,0x0fee01f8,0x027d42a8,0x215407f7,
    0x03fe202c,0x3fc827d4,0xf981ff30,0x2027f400,0x04ecbcec,0xbdb9dd70,
    0x417f2003,0xcfc8effb,0x7a827e41,0x12620150,0xfd003e60,0x6417f209,
    0x400f504f,0x800089df,0x7e408aee,0xbf90f504,0x7a827e40,0x3fa007cc,
    0x360bf904,0x06fdc43f,0x220b7fae,0x400dfffc,0x26000098,0x3ff22000,
    0x220881cf,0x77ffdcc0,0xa85ffeee,0x75c02802,0xffc882df,0xfff910df,
    0x3ffee639,0x05ffeeee,0x0033b260,0x4c33b260,0xeeeefffb,0x3ff225ff,
    0x3fee61cf,0x5ffeeeef,0x220b7fae,0x910dfffc,0x32639fff,0xcddeefff,
    0x00000002,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x55300000,
    0x00005555,0x00000000,0x00000000,0x00000000,0x00000000,0x90002ee6,
    0x9440005d,0x3000bcb9,0x2204c099,0x1c030300,0xfc8000a2,0xb00fffff,
    0xd8068001,0x05bb102e,0x2203bb50,0x220002eb,0xbb9301eb,0x19124c05,
    0x401f2600,0x0ee89eb8,0x3b601f26,0x3e001eaa,0x9817e204,0xfc98beff,
    0x01ff7402,0xe881665d,0x2e340750,0x0003dc42,0x26002b80,0x906ff803,
    0x24560121,0x0002fda8,0x3ee07faa,0x74c07f10,0xf71001db,0x27faa00f,
    0xff514ff9,0x12e1fa80,0x3e202d40,0x5c0fea05,0x3aa9502f,0x01f9f500,
    0x2206cfb8,0xff710ec5,0xb1002800,0x1440e400,0x2c320d31,0x2e048ac0,
    0x7dc0002f,0x036c4f81,0x22003fb5,0x8009fe99,0xe89511fb,0x990fe407,
    0x00002e00,0x05fb01aa,0x3b202885,0x405db003,0x07d8343a,0x0d801740,
    0x10ee0d00,0x00b72207,0xfb80336a,0x0fdc0002,0x01f913e2,0x2003ee59,
    0x02cffccb,0xb06a1fb8,0xf13fc80f,0x80000003,0x037d401b,0x80000000,
    0x3ec1622c,0x200df500,0x9839802b,0x0003263f,0x05f50000,0x4c1fb800,
    0xe803f43f,0x003ec006,0x360ea3f7,0x7577d407,0xa8133331,0xdb705ddc,
    0xf1001039,0x39db701f,0x9970e654,0x873b6e01,0xeeeefeeb,0x003ec2ef,
    0xb1003ffb,0xffb83900,0xcca80bcd,0x2a0332e1,0x3ea04edc,0x5c02ed9a,
    0x4c1fccdd,0xb80be63f,0x9104fddd,0x5c0fd79b,0x011fccdd,0x17fe01f6,
    0x1d417ff7,0x7ec7d0f5,0x87fd0000,0xfb83f63e,0x1f407ec2,0x2b8d01fb,
    0x98091fb0,0x1b005fbe,0x07f30680,0x0fd85f70,0x04f987d4,0xdff9b7f5,
    0x3e61b901,0xfc9fcc1f,0x7d433604,0xf71f440f,0x7cc3720f,0x203ec01f,
    0x82f86ffc,0x51ee2c3d,0x3bbbaa7f,0xfeeeeeee,0x7f51ee5f,0x03f217d4,
    0x4c3fa8f7,0xdfd806c5,0x7fc56400,0x2a02a800,0x5007f303,0x6c0fc85f,
    0x4fa837c6,0x5f313f62,0x1fcc1fc8,0x0fb81df3,0x21ee17ec,0x642f987f,
    0x983ec01f,0x263ff8ce,0x2047fb06,0x1fee085f,0x0bf2fec0,0x7e42fa81,
    0x54042fc0,0x01fb0343,0x00ff2688,0x300c8162,0x85f5007f,0xd10cc0fc,
    0xf30bea0d,0x1fb87c8d,0x13ea1fcc,0xe89f70df,0x87c87d85,0x43ec01fb,
    0x43fee4f8,0x5dff300d,0x7cc03f88,0x13ff801f,0x85f5007f,0x00fe20fc,
    0xd7559b53,0x03fe4155,0x00df31dc,0xf3034036,0xc85f5007,0xdd7b500f,
    0x1fe0bea0,0x983f70bd,0xf137c43f,0x7ccdf30b,0x85e87d82,0x43ec01fb,
    0x56ff41fc,0x27fec403,0xff880bf3,0x997fcc04,0x42fa805f,0x017e60fc,
    0xb9555d53,0x1f6ae155,0x05fb03a0,0x40750550,0x2fa803f9,0xd26c07e4,
    0x3a0bea0d,0x3ee1be67,0x3fc1fcc1,0xb9fe0df3,0x7cc7d84f,0x6c01fb86,
    0x7c40ff87,0xfd50406f,0x8a03fe25,0x37dc06fc,0x54501ff1,0xf107e42f,
    0x5c68501f,0xd501f602,0x0bfd9999,0x40190b10,0x2fa803f9,0xd17a07e4,
    0x3e0bea0d,0xf703fe25,0x6d83f983,0x72fc1fe2,0xf88fb0df,0x200fdc0f,
    0x41ffc47d,0x8b143ffc,0x30ffa3f9,0xd101fe83,0x4c3fe83f,0x3f913e61,
    0x30cc3fe8,0x1f600d8b,0x333335b0,0x81b001ff,0x401fcc06,0x10fe44f9,
    0xf507e89f,0x7f42fa85,0x3e617dc3,0xfd13a28b,0x3e63f985,0x7f43ec0f,
    0x36017dc3,0x88bffc87,0xbbdffbdc,0x20f88ba3,0x85dadff9,0x7f441fe9,
    0xdadff982,0x644f7c45,0x3fe60bfd,0x21d45dad,0xb103ec06,0x54027dc0,
    0xbf100ea3,0x4f7c4071,0x3e0bfdc8,0x29ffd99f,0x0bb11fd4,0x3fa67ff5,
    0x3eafe60b,0x37cc1f89,0x4bbf6172,0x3ea09ffb,0x017fd33f,0x3f2207f4,
    0x3fea3fff,0x2b7fa0df,0xcfffa83c,0x373bf200,0x3fea00df,0xeffb80cf,
    0x7d41cfc8,0x10e40cff,0x900fd80b,0x007fc405,0xd800c962,0x7fdc00ef,
    0x2a1cfc8e,0x84fc8eff,0x01ccdfb8,0x3ef7ff66,0x367fd31d,0x9fd302dc,
    0x7ff5409b,0x6cc0bfdb,0x81dfbdff,0x301cffb8,0x88404c01,0x20009801,
    0x04c00098,0x40088220,0x20101009,0x4c1cffb8,0x027f400f,0x00400104,
    0x10044110,0x00098008,0x00004422,0x21800620,0x01108800,0x00000000,
    0x00000000,0x00000000,0x3fae0000,0xfffc882d,0x0000000d,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x5c400000,0x00040402,0x40099300,0x03990181,0x00101000,
    0x2aaaaaa6,0x6c00aaaa,0x006f401e,0x2a008813,0x4400aaaa,0x880001ba,
    0x0b2a0041,0x5c01ec80,0x0000003e,0xefc81818,0x115903ff,0x00f93057,
    0x1003fed8,0x3aa0ea1d,0x017e206e,0x40751159,0xffb9bed8,0x02fcaaae,
    0x5f500fe6,0x81263d00,0x00fffff8,0x97d40baa,0xdff501fc,0xfef880e3,
    0x004f8800,0x37c980db,0x803ea8bf,0x398750e8,0x7fd41fea,0x07fa886f,
    0x0074d2a0,0x1b06cfc8,0x17e205b1,0x01ffff30,0x13ee1ba6,0x804b80e6,
    0xf9f5003c,0x5555e401,0x401bb101,0x203f93fa,0x403ffd72,0xb500b72c,
    0x880f4400,0x25ff77fa,0xf7003fda,0x3fb030d9,0xfd00ae20,0x00a21400,
    0x054176c4,0x2e20000e,0x540ff402,0x0240504f,0x1f640048,0x76c00b10,
    0x20400000,0x3506201a,0x44000b80,0x5733f403,0x02673ee2,0x2e005db0,
    0x07d80007,0x00000000,0xb8000000,0x009f505f,0x00000000,0xfa801dc8,
    0x00000001,0x00000000,0xb7247d80,0x000599df,0xb9501d80,0xa83ec09d,
    0xccb88bcc,0x32073263,0xdca80bed,0x17db905d,0x405f6e40,0x89f504fe,
    0x33b6e019,0xcb8732a1,0x7bd9700c,0x05ffff10,0xcb801be2,0x765c03de,
    0x6f65c03d,0x1ef65c03,0x80f7b2e0,0x7f30ae7d,0x17772a00,0x43ea0990,
    0x40fb04f9,0x21fe22fd,0x3fa1e84c,0xe87a8ea0,0x87a03fa1,0x817fc0fe,
    0x407624fa,0xfb83f63e,0x26407ec2,0xeca889f7,0xacfb85ff,0x24c80bfd,
    0x5c9904fb,0x7dc9904f,0x27dc9904,0x413ee4c8,0x4fe6027d,0x51d41dec,
    0x13ffa60f,0x360df1b6,0x27cc1717,0x970b03f2,0xb0f63fa8,0x21fd44b8,
    0xf11fd44b,0x3bfea03f,0x47b81ffe,0x90bea3fa,0xfc87b81f,0x90ffea01,
    0x83fe619f,0x5c1fc87b,0x3dc1fc87,0x21ee0fe4,0x643dc1fc,0x4c07d81f,
    0x46fccdcf,0xf5102c3d,0x3a21987f,0x0feefb06,0x264fb8fd,0xdcccdf83,
    0x408ff66f,0x6fdcccdf,0x7ee666fc,0xfa80ffc6,0x17e07624,0xfc85f502,
    0x27cc3740,0x1fd1be60,0x21ba2fb8,0x4c3744f9,0x7cc3744f,0x27cc3744,
    0x213e61ba,0x06fcc07d,0x11fec1fb,0x2a0df100,0x2fb06ebd,0xb17d40c8,
    0x3e206cfd,0x2eff9802,0x7c4017c4,0x207fd002,0x220d44fa,0x42fa803f,
    0x417e20fc,0x20fd806f,0xf15f987f,0x5f89be0b,0x82fc4df0,0x7c17e26f,
    0x37c17e26,0x0fe603ec,0x77fcc1f9,0x361f6002,0x03ec1ba4,0x7dd557e2,
    0x03f8858a,0x449ffb10,0x03f8803f,0x3ea09f90,0x805f9804,0x107e42fa,
    0x201fe0ff,0x7c43f47a,0x9fe0ff16,0x44ff07f8,0x7c4ff07f,0x3fc4ff07,
    0x407d87f8,0x20fdc3f9,0x9004ffd8,0x83745e89,0x58fc807d,0x3e057bf1,
    0xfd504506,0x7c2837c5,0x06fa8506,0xf88c09f5,0x0bea280f,0x80fe81f9,
    0x6c6a805f,0x3fa4f80f,0x07f45f80,0x203fa2fc,0x7c07f45f,0x2fc07f45,
    0x0fe603ec,0xfd5043f7,0x7c43d005,0x07d83f44,0x3f23df98,0x8833f606,
    0x6c7f3163,0xfb0e20cf,0x7e41c419,0x3705fb83,0x98661ff4,0x2e0fe44f,
    0x401fcc2f,0x261fcc2e,0xf30bee1f,0x7cc2fb87,0x3e617dc3,0x3e617dc3,
    0x3e617dc3,0x7cc07d83,0x98b0fdc3,0x0b70ee3f,0x3ffb33ff,0xfd007d85,
    0x3e604f98,0x3a0eccff,0xff983e22,0x7cc0eccf,0x900eccff,0xa85fd85f,
    0x6d6ffcc7,0x644f7c45,0x3be20bfd,0x23b91720,0x41f903c8,0x9077c45b,
    0x641df10b,0x320ef885,0x320ef885,0x320ef885,0xf980fb05,0x45d0fdc3,
    0x37ffa0f8,0x1dff503e,0x01fd09f9,0x801d0770,0x741cfff9,0xf983cadf,
    0xff301cff,0xeda8039f,0xeeefffec,0xfffa84ff,0x8effb80c,0x77441cfc,
    0xfffb84dc,0x6dedc02d,0x9b9dd104,0x26e77440,0x09b9dd10,0x026e7744,
    0x409b9dd1,0x227d407e,0x2b7fa2fb,0x2001883c,0x3fee2040,0x0010001c,
    0x03108044,0x02200110,0x00002600,0x22088013,0x0c00c400,0x18800c00,
    0x88006200,0x80062001,0x3fee2018,0xbefea81c,0x212efeb8,0x00000018,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xaaaaa800,0xd2e982aa,0x00060a09,0x8801cc80,0x0bb200de,
    0x0d555544,0x01555555,0x00000395,0x30081300,0x17a60099,0x32601db0,
    0x2b2e21cc,0x402cb800,0x019802b9,0x000020c4,0x4402cb88,0x5fffffff,
    0x203f36b8,0x7dc0364b,0x77540fd1,0x402fa806,0x3f6205e8,0x0dffa82f,
    0x01ea8ed4,0x5ba13b6a,0x7ffd04f9,0x3fb60151,0x401fb803,0x3fa203f9,
    0x1df97bb3,0x807f7c40,0x100eb8e9,0x2effa80b,0x7e4bea07,0xdb35d501,
    0x2aaf7201,0x51d82faa,0x03dde809,0x807f47ee,0x6c03d88d,0xb80f1003,
    0x20bfa05f,0x0e82dc1f,0xf36e87f9,0xffb31309,0x074d2a0b,0x2d400ba0,
    0x3072ff20,0x4c8ec0ff,0x40be29d0,0xfeb9401d,0x327f501f,0x221f881f,
    0x3e20905f,0x5002e380,0x200001bd,0x01201c0a,0x27d40530,0x0fa83fb0,
    0x51ae07cc,0x51020003,0x880a2140,0x7005c003,0x0ff205df,0xf8815066,
    0x012a13e3,0x00003502,0x00bee1ee,0x000005b8,0x00000000,0x27d40000,
    0x3fa83fb0,0x0036c35c,0x00000000,0x3ee00000,0x001bea04,0x117a3f88,
    0x0000000b,0x09f30dd0,0xecb81740,0x3b72a03d,0x05f6e404,0x4017db90,
    0x3200bedc,0x9f500bed,0x7f40fec0,0x0dd03d33,0x409db950,0x2a04edca,
    0x32a04edc,0x372a04ed,0x80fee04e,0x8732a7f8,0xf27c0ccb,0x65401d87,
    0xa8332e1c,0x0332e1cc,0x00bf10ff,0xb93203e2,0xf30fa84f,0x0fe87a09,
    0x203fa1e8,0x3a03fa1e,0x3ea03fa1,0x2207f604,0xbf00dcff,0x9f30fa80,
    0x13e61f50,0x427cc3ea,0x509f30fa,0x5c13e61f,0x83fe203f,0x207ec2fb,
    0x1dc1f35c,0x7ec2fb80,0x3f617dc0,0x3e20fec0,0xf70b7006,0x46d83f90,
    0x7d44b86f,0x0fea25c3,0x5c3fa897,0x7d41fd44,0x4407f604,0x0bf00dff,
    0x6c37c6d8,0x236c37c6,0x37c6d86f,0x5c1be36c,0x507fc03f,0xc80fc85f,
    0x801621cc,0x207e42fa,0x207e42fa,0x027cc4fb,0x986e82e8,0xdd10cc4f,
    0xfb999bf0,0xdcccdf8d,0x6666fc6f,0x666fc6fd,0x4fa86fdc,0x5e407f60,
    0x05f80efe,0x30dd10cc,0x0cc37443,0x44330dd1,0x3a21986e,0xf807f706,
    0x3f217d47,0xda836000,0x642fa85c,0x3217d40f,0x4e7f440f,0xf8802feb,
    0x6f82fc40,0x88dd7b50,0x02f8802f,0xf8802f88,0x813ea002,0x364c81fd,
    0x5005f86f,0x6d40dd7b,0x2f6a06eb,0x3af6a06e,0x1baf6a06,0x1be01fdc,
    0x00fc85f5,0xd8fcc770,0x3f217d44,0x3f217d40,0xfd17b500,0xf10b7001,
    0x9361fe0f,0x401fc46e,0x3f8803f8,0x2003f880,0x07f604fa,0x41fe83f3,
    0x3a4d805f,0x83749b06,0x26c1ba4d,0x6e9360dd,0x5f807f70,0x03f217d4,
    0x64f71620,0x3f217d47,0x3f217d40,0x005f9800,0x203fa05b,0x1ba2f45f,
    0x1be141be,0x2141be14,0x9f50506f,0x43e43ec0,0x202fc3f8,0x2f43745e,
    0xdd17a1ba,0xe86e8bd0,0x3fb83745,0x5f50fe20,0x0d800fc8,0x4c3f53ec,
    0x2a0fe42f,0x4007e42f,0x0f8800ed,0x3f985f70,0xb0fd13e2,0x361c419f,
    0xfb0e20cf,0x3f61c419,0x3ea0e20c,0xf50db144,0x05f81f03,0x88fd13e2,
    0x3e23f44f,0x13e23f44,0x744f88fd,0x2dc7f907,0xc89f30d3,0x6415c01f,
    0x4f983ee7,0x13e60fe4,0x0ea803f9,0x7c40b700,0x3fe1720e,0x229ffd99,
    0x0eccfff9,0x7667ffcc,0x667ffcc0,0x67ffcc0e,0x25fc80ec,0x3e05d3fb,
    0x037c2d44,0x3ff667fe,0x3667fe29,0x27fe29ff,0x3e29ffd9,0x29ffd99f,
    0x3ff667fe,0xfb27e429,0x3be20765,0x00bfdc89,0x6c7ea0b3,0x644f7c45,
    0x3be20bfd,0x00bfdc89,0x16c001f7,0x1373ba20,0x7e477fd4,0x1cfff984,
    0x039fff30,0x4073ffe6,0x441cfff9,0xf89cfffc,0x37a604cf,0x3fc40bbb,
    0x323bfea0,0x477fd44f,0x77fd44fc,0x7fd44fc8,0x7d44fc8e,0x264fc8ef,
    0xf99bfffb,0x3fee02ce,0xb01cfc8e,0x174e6c01,0x7e477fdc,0x477fdc1c,
    0x2ee21cfc,0x000c000b,0x01020031,0x01100088,0x04400220,0x44003000,
    0x39ffb500,0x81004080,0x04010200,0x00040802,0x2208800c,0x2a006600,
    0x0886200b,0x88088220,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0f6c0000,0x15995300,
    0x1008041c,0x04ea8010,0x320175c0,0x4c02ea8d,0x3555102c,0x055554c0,
    0x01599530,0x0aaaaaa8,0x32e60000,0x7300312c,0x1664c015,0x546aaaa6,
    0x5541aaaa,0x65cc00aa,0x2aaaa00a,0x1555502a,0x2009f100,0xfb989ed8,
    0x31c983cb,0x222ea019,0x007d8049,0xc9f402fc,0x2e45f406,0x201ffc88,
    0xdb100df9,0x807f7335,0x2600dff9,0x3f202dec,0x2efb989b,0x40fa9e40,
    0x44bf70d8,0x3f223ffb,0x01fc883f,0x6e4c2f32,0x0dffb881,0x2007fd30,
    0x0bf3005b,0xffd81be6,0x7fff403f,0x2003d002,0x36688069,0x09d1b201,
    0x5b007fe4,0x7cc17e20,0x3017f405,0x7dc0fecb,0x5407f101,0x90f217c7,
    0xf82fe85f,0x6407701f,0xfd80e401,0x70026404,0x9807f400,0x02e603ff,
    0x10005d40,0x2002e007,0x3f980e19,0xffb807dc,0x3a03900e,0x80ff200f,
    0x88fa01fd,0x2017dc0b,0x0317603b,0x5c4fa8bf,0xd03fc84f,0xbbb87201,
    0xf30396cd,0x0000e80d,0xd104fb80,0x00001ff3,0x40000000,0x07e40000,
    0x75dc13ea,0xf703905f,0x00ff8809,0x01fc03fb,0x01c01fe6,0x98b900bf,
    0x4c3fc44f,0x5505886f,0x2cf307a6,0x09302fe8,0xb74edca8,0x03fe817d,
    0x654ffa3b,0x40332e1c,0xca83decb,0x40332e1c,0x21b3eeca,0x332e1cca,
    0x2fcc3ec0,0x83ff8bb8,0x803fe81c,0x03fb02fe,0xbf900fe6,0x00bf0000,
    0x3fa07ee0,0x2e0ffd41,0xb8274903,0x0bf70170,0x50fb8076,0xf1fa27df,
    0x7ec5905f,0x1fb0bee4,0x427dc990,0x407ec2fb,0x83ff30cc,0x207ec2fb,
    0x706f887f,0x390bfe67,0xfb005ff0,0x9107f609,0x3a099bfb,0x6f80003f,
    0x2e07f000,0x227eec4f,0x07ea900e,0x07fc0a60,0x44db01a2,0xf88fdc7f,
    0x3f22541f,0x1f90bea5,0x41fc87b8,0x207e42fa,0x20fec1fa,0x107e42fa,
    0x5c1fe0df,0x1c87fea3,0x6400ffc4,0x203fb05f,0x3fe203f9,0x9ddb7101,
    0x7fffffc1,0x440b7004,0x9be3a27f,0x3ee71058,0x3f209000,0x86201dc4,
    0xfdcccff8,0x2cc5ff14,0x85f527ec,0x4c3740fc,0x3217d44f,0x2ee3ec0f,
    0x3217d44f,0x7c1be20f,0xefc87707,0x1ff88390,0xfb05fc80,0x880fe603,
    0x37dc02ff,0x1b000fd0,0x2752fd80,0x220571fe,0x91003f74,0x0e83fe20,
    0x0bf99300,0x03a27fd0,0x42fa8ffa,0x417e20fc,0x3217d46f,0x2772fc0f,
    0x3217d47f,0x7c43fc0f,0xbfb07705,0x00bfe072,0x0fec0ff6,0x7fc03f98,
    0xd02fd404,0x8029800d,0x3ee1b5fa,0xf9a401d4,0x3601a802,0x3200953f,
    0xfb00df0d,0x0ffc076b,0x20fc85f5,0xa8ff07f8,0xf107e42f,0x547e92ad,
    0x3a07e42f,0xb827c41f,0x1ccfe883,0xfe803fd8,0x2603fb02,0x037ec03f,
    0x05d817ea,0x1ff001c0,0x02cffc4d,0x0a836c32,0x3b6f9809,0x07f8db00,
    0x81677cc3,0x217cc5f9,0x407f41fc,0x3217d45f,0x2257fc0f,0x3217d45e,
    0x2a17e40f,0x2207702f,0x6f981eff,0xfb02fcc0,0x300fe601,0x2fd401ff,
    0x018007b0,0xfb0fbf20,0xb149805d,0x2237317f,0x06bfe804,0x17ec4f88,
    0x409f9066,0x227cc0fd,0x217dc1fc,0x227cc3f9,0x42fe41fc,0x3227cc3f,
    0x321fc41f,0xfa80ee06,0x405fb01f,0x0fb141fd,0x7e401fcc,0x50bf500e,
    0x00b819db,0x40ff9800,0x3a800ffa,0x2c426ee6,0x002ffa80,0x3ff661ff,
    0xffa84cad,0xf881fb81,0x0bfdc89e,0x85c83be2,0xfdc89ef8,0xb83be60b,
    0xc89ef885,0x135c0bfd,0x2026403f,0x3db101fb,0x3fb85f70,0x01fcc07d,
    0xfa80dfb8,0xeffe9445,0x07f304ec,0x2fc42fc0,0x2cc07500,0xb801fe00,
    0xfff53eff,0xea8e881b,0x200decbd,0xcfc8effb,0x26e77441,0xf91dff70,
    0x3ba76239,0x3fee05dc,0xc81cfc8e,0xf9302dbd,0x00ec039f,0x37b2f7ae,
    0x04cff880,0xb30027d4,0x19fb77bf,0xfc89cc88,0x09f500df,0x02d81640,
    0x655e64c0,0x04c8003c,0x04404c40,0x00cc4088,0x20044310,0x44110018,
    0x003104c0,0x08008822,0x20000000,0x00300098,0x0037ffd7,0x04009988,
    0x00040044,0x0000c022,0x11000062,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xaaaaaa80,
    0x055554c0,0x002b2e60,0x00330071,0x17007100,0x028de4c0,0xb8802000,
    0x8005400b,0x0030acb9,0x06aaaaa6,0xc807b600,0x9999880c,0x21bd1019,
    0x02aaaaa9,0x1555554c,0x2aa20077,0xaaaaaaaa,0xffa95c0a,0x03df300d,
    0xdc985e64,0x4407c981,0x3007d506,0x504980f9,0x8ffb539d,0x7cc003ea,
    0x06dad885,0x33b20162,0x40feeb99,0x0efe986c,0x203f9800,0xffc85feb,
    0xfb81ffff,0x04f7f4c1,0x84f7f4c0,0xd3003ff9,0x75555ffd,0x3fe6f85f,
    0x3901ec02,0x07a81c80,0x1fe4c0e4,0x07407a80,0x2a7c83e8,0x744003fd,
    0x1b02d404,0xf900fd80,0x7f906d81,0x8812e000,0x4c42e88d,0x5b019999,
    0x90013f20,0x00b9909f,0x39837dec,0x803fd37c,0xbd73902c,0x20e415b9,
    0x9812607a,0x40f5003f,0x201f502c,0x0001fcc6,0x3b80ec40,0x3a017e40,
    0x00ff2001,0x0e0a0240,0x2e038800,0x1fdc003f,0x1b100398,0x93a140df,
    0x416401fd,0x2f453e2a,0x0740f516,0x2a007f30,0x7dc0b307,0x03f98903,
    0x7f5c0180,0x3ea02c40,0x2001a805,0x000013fc,0x3b72a000,0x07f70004,
    0x1903fb80,0x1be27200,0x07f63d80,0x4f890590,0x2a0b83ee,0xf9805907,
    0x360f5003,0x213fe600,0x4001fcc0,0x1d85f003,0x08027e40,0x16aff200,
    0x6f64f6a0,0xf507b880,0x2e213e61,0x8007f707,0x001c43fb,0x261be2b3,
    0x07f62b81,0x4f890590,0x3d4531f2,0x1fcc02cc,0x3d415993,0x7fe4015c,
    0x64fe602f,0x802401de,0x7f401d45,0x07b88003,0xb500bdf9,0x8df99b9f,
    0x8db07fb8,0x83fdc46f,0x700dc3fb,0x1d80007f,0x81d88df1,0x9007f609,
    0x5efc3885,0xf91480cd,0x4c080e85,0x9107a63f,0x8022c45f,0x980dfffb,
    0x05fbbccf,0x5e7540ae,0xf1041a21,0xfb88003f,0x4009f907,0x03f60df9,
    0xd10cc1fa,0x7dc1fa0d,0xfb817ea3,0x89660003,0x1ffdccff,0x6401fd80,
    0x273e2442,0x6404882f,0x9fcc5d82,0x436000d9,0xb103fed8,0x5f987fff,
    0x03cc07ec,0x25d81d80,0xd0001ff8,0x007fd10f,0x07ee1fcc,0xd7b501f6,
    0x7dc1f60d,0x7f700dc3,0x55674000,0x801c86fb,0x40e401fd,0x40fca7c4,
    0x2e16601a,0x6cdfcc5d,0x0b8ee000,0x7f4c01f5,0xf90fe61f,0x50009d01,
    0xff8bb709,0x98fb0003,0x26003fde,0x6c0fdc3f,0x06e93607,0x00fee0fb,
    0x20007f70,0x6fbaaada,0xb1fc4198,0xc80d803f,0x245e93e0,0xb7750360,
    0x004fdf98,0x06788162,0x0fe65fd8,0x02fc83f7,0x2ea07440,0x0027f45b,
    0x7e45c7d8,0x70fe6003,0x3a0fb03f,0x07d83745,0xfb8007f7,0x881d0003,
    0x4bf3006f,0x983403fc,0xa7c4bf14,0x910ae048,0xfb7f316e,0xb8076005,
    0x2fc406e3,0x41fb87f3,0x900f447e,0xa8b74885,0x7d83006f,0x23807f90,
    0x40fdc3f9,0x744f887d,0x3ee0fb07,0x0fee1c03,0xf1095070,0xf302180d,
    0x75034c0b,0x554c5555,0x2fa16205,0x2fe62eda,0x1d401fe8,0x104b8930,
    0x2e1fcc5f,0x3e23fc1f,0x57d0b304,0x05fe85db,0x641f605c,0xf986e03f,
    0x3ec0fdc3,0xffd99ff8,0xfb83ec29,0x7f70aa03,0x03a21540,0x02b81be2,
    0x074c1fdc,0x05980ea0,0x6d55406c,0x7ccfe62e,0x4c0b100e,0x641fdc24,
    0x3ee1fcc6,0x0760fdc1,0x6d554074,0x40cfd82e,0xb07d80c8,0xf51ae09f,
    0xfe82fb89,0xc8effa80,0xc80fe84f,0xc87b885f,0xc87b885f,0x2a0ff505,
    0xb9dd7007,0x326003bd,0x403ccabc,0x4c5b803b,0x6c1bee4f,0x7b99f501,
    0x3b33b72e,0x2e27cc0c,0xa977442f,0xb7005905,0x6e77f5c0,0x4c1fd00c,
    0xfffffffc,0x3bfaa4ff,0x223dfd73,0x8101cffb,0x8e7fdc40,0xffffffc9,
    0x3f265fff,0xffffffff,0x433ff225,0xeeeffeb8,0x98005ffe,0x00c40000,
    0xa8660070,0xdff53ffd,0x55501445,0x03302155,0x75cfbfa6,0x0bb981ef,
    0x06600710,0xb8802620,0x00001cff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x64c00000,0x01010000,0x55530813,0x40133555,0x21aaaaa9,
    0x20aaaaaa,0x81999998,0x019d93da,0x01333333,0x037b27b5,0xbda84ea8,
    0x860a0ed9,0x2aa1aaaa,0x17772a2a,0x551020c4,0x55555555,0x980f6c35,
    0x30099999,0x0bd30030,0x2060a000,0x001bfa5d,0x21d4455c,0x2198cffd,
    0xdcbcefe9,0xdfd301df,0x819ff501,0x1ffffffc,0x33373f6a,0xfffff85f,
    0x6e7ed45f,0x3b206fcc,0x6e67ed40,0x20d9321f,0x3620cfe9,0x43d4750d,
    0x9872effa,0xcefdccdf,0x0fe63fec,0x2ffffffc,0x00750e88,0x1fb001f9,
    0x41c86d40,0x03f2a7f8,0x3fffe200,0x3ff22620,0xe983fd86,0x67ecc42f,
    0xff999999,0x4cccc41a,0x20df9819,0x9999987d,0x20df9809,0x203d00fd,
    0xbf1026f9,0xd0bf307d,0x4a161ec1,0x24c1ffeb,0xa89513ea,0x33333306,
    0x0367e401,0x1fb001e8,0x105ded80,0xa8000901,0x40544082,0x5ff103fc,
    0x666ff654,0x4cffcccc,0x70fe6000,0x7cc0003f,0x14c0fdc3,0xea807f30,
    0x4983fa05,0x81011fec,0x7d40a81a,0x000b8384,0x005db100,0x30000051,
    0x15c001dd,0x40000000,0x1fea03fc,0x0fe80ff2,0x202fb720,0x40fdc3f9,
    0xf303decb,0x8001fb87,0xa80003f9,0xff30763f,0x5000005d,0x32a0009f,
    0x00332e1c,0x00000000,0x64c66000,0x4405dd55,0x81ee207b,0x0ffc03fc,
    0x0fe80ff2,0x207f43d0,0x20fdc3f9,0x2613ee4c,0x2a0fdc3f,0x260ed9bd,
    0x26f6a03f,0xb16f80ed,0x513ff620,0x0037b27b,0xf71013ea,0x0fd85f70,
    0x0dec9ed4,0xccccccb8,0x33332e0c,0x332e0ccc,0x800ccccc,0xfbdcdfc9,
    0x07fb880f,0x7e40ff71,0x321fec03,0x203fa03f,0x261fd44b,0xf70fdc3f,
    0x3f983f90,0x9fb50fdc,0x1fcc3fb9,0xfdccfda8,0x82bafc81,0x6d4bfaa0,
    0x06fccdcf,0x2e204fa8,0x642fa87f,0x373f6a0f,0x41d86fcc,0x2e0ec4fb,
    0x3ee0ec4f,0x70f7c004,0x203ec05f,0xefeeb87d,0x2fe43eee,0x333337f2,
    0xdf80ffcc,0x4c6fdccc,0xdd0fdc3f,0x3f989f30,0x9be60fdc,0xf301fcc0,
    0xf533304d,0x161333db,0x06fcc7f3,0xeee881fb,0x82eeeffe,0x642fa87e,
    0xb06fcc0f,0x37cc381f,0x0e1be61c,0xbf000df3,0x1f603f98,0x1fe40fb0,
    0x7f917f60,0x3e207f40,0xb89f5002,0x3e0bf11f,0x3ee27d46,0xf301fcc2,
    0xc81fcc09,0xccdfeccc,0x07c45d3c,0x01fb87f3,0x3ec027d4,0x03f217d4,
    0x01fb87f3,0xd1003fa2,0x0fe8801f,0x5f8077cc,0x0fb01fcc,0x0ff207d8,
    0x3fc87fd0,0x7f103fa0,0x47ffd500,0x20ff11fb,0x4fbfaa7f,0x3e61efeb,
    0x17ffd503,0x2e007f30,0x95bfd02f,0x7dc3f987,0x4027d401,0x642fa87d,
    0x2e1fcc0f,0x00bf601f,0x3f600bf6,0xf03ffa82,0x3603f98b,0xf903ec07,
    0x20ffc407,0x03fa03fc,0xb80141be,0x3e03fa0f,0xf3006605,0x2601a807,
    0xb555503f,0x4255559f,0xb87f304a,0x027d401f,0x217cc3ec,0x21fcc1fc,
    0x09f701fb,0xf7009f70,0xf81d4409,0xfb01fcc5,0x3f207d80,0x3217f203,
    0x203fa03f,0x00e20cfd,0x30bee3dc,0x02fd407f,0x3fc807f3,0x26607f30,
    0x999bfc99,0x7cc17e40,0x2a00fdc3,0x987d804f,0x260fe44f,0x4c0fdc3f,
    0x06f9806f,0x0c806f98,0x03f98bf0,0x40fb01f6,0x1ff303fc,0x7f407f90,
    0xccfff980,0x45c8200e,0x01720ef8,0x03f981ae,0x07f304d8,0x3a00bee0,
    0x7dc3f983,0x4027dc01,0x89ef887d,0x3e60bfdc,0x3a20fdc3,0xfd10540f,
    0x3fa20a81,0x20570540,0x027cc6f8,0x07f401fd,0x7e443fd8,0x409f900d,
    0xfff301ff,0x56fd4039,0xdcee880d,0x016dc404,0x6dc409f3,0x2009f300,
    0x372602fb,0x7dc4fa80,0x4037e402,0xeffb80fe,0x3ea1cfc8,0x3f617dc4,
    0x417ec482,0x32417ec4,0x2fff6201,0x443ffea8,0x5c41cffb,0x3f261cff,
    0x2cdeefff,0x37fff930,0x05f7fed4,0x79700088,0x20018801,0x5fff5400,
    0x7f540100,0xff7100bf,0xea80407d,0x3dfd73ef,0x39fff710,0x039ff710,
    0x3aa04431,0x3dfd73ef,0x3bbbbfea,0x3bbfea7e,0x3fea7eee,0x007eeeee,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0x2a16443c,0x32e21bcc,0x35555531,0xdb80c140,
    0x2aaa61ce,0x00099aaa,0x2aaaaa60,0xa806a002,0xa81dbedd,0x00bed8ad,
    0x88002ee2,0x400a000c,0x9aaaaaa9,0x2aaaa601,0x54c019aa,0xaaaaaaaa,
    0x2aaaa61a,0xa82aaaaa,0xaaaaaaaa,0xaccb980a,0x6f9760aa,0x27ec27c4,
    0x3bfa625c,0x2b86cc00,0x983f63e8,0xfdcbcefe,0xf88fd81d,0x04f7f4c5,
    0xc817f540,0xb83fd11d,0xfffcdbfe,0x4ffffc80,0x4001fb00,0xbfd3002e,
    0x207ffb77,0xecbcefe9,0xbfd301df,0x87d95555,0xcaaacfe9,0x666fcc7e,
    0xd86feccc,0xf873bee5,0x4f88df0f,0x80e86f88,0x9db003fc,0x3fa8f70b,
    0x7f4c1fec,0x37c47ec2,0x888027e4,0x40fa82fc,0x0dfb81fc,0x13b313f6,
    0xfb805fd7,0x0df5000f,0x7e41fec0,0xd307fb06,0x40ff205f,0xb03fc848,
    0xff981cc1,0xbf117c41,0x2237c110,0x4c3f904f,0x2007f905,0x85f81ee8,
    0xf103fc80,0x7f70005f,0xe82fb800,0xfa81fb86,0x21237cc2,0x336605fa,
    0x3ffb000f,0x220ff200,0x03fc81ff,0x7f705ff1,0x81fe4140,0x7f402a0a,
    0x3f42fb83,0x13e237c0,0x20592fc4,0x1cfeeefc,0x801fc400,0x1fea03fc,
    0x000fee00,0x84f885f5,0x82fa81fb,0x07f8047f,0x2003f236,0x9005fbe9,
    0x20ff607f,0x1fea03fc,0xf9000fee,0x7e402007,0x5f89f305,0x27c46f80,
    0xc81a3f90,0x107fea3f,0x00bf30f7,0x3ff00ff2,0x7f703dc4,0x4c2fa800,
    0xa81fb85f,0xd007e82f,0x07e4b20b,0x07fc5640,0xfe81fe40,0x7c03fc81,
    0x4c1fdc1f,0x1987f902,0x401ff300,0x003f30fd,0x204f88df,0x3203adf8,
    0x7137e43f,0x01ff10ff,0x6c03fc85,0x40ff713f,0x7d4003fb,0x7dc3fc42,
    0x6f82fa81,0x49305f00,0x934400fc,0x07f9007f,0x0ff20bfb,0x3fb87fb0,
    0x3fc81644,0x3e200722,0xbbdd802f,0xf98ff000,0x03bf6014,0x7fcc3fc8,
    0x3fe83f40,0xefeeb8cc,0x2fe43eee,0x03fb81fa,0x7fc17d40,0x7d40fdc1,
    0x5401fcc2,0x3f20e885,0xdf31dc00,0xddddf900,0x1fe407ff,0xdf717f20,
    0x205ffb99,0x1ffffffc,0xd805fd80,0x15ff0000,0x20519f95,0x1fe405f9,
    0x0fb03fea,0x176b7fe6,0xbfb00ff2,0x0fee07d8,0xf705f500,0x03fb739f,
    0x006c8bf5,0xfc83b01d,0x3f607400,0x531fe402,0x7f9019fd,0x7dc5fd80,
    0x7f902c83,0x77d401c8,0x55efd400,0x3a6e80aa,0x0dfb3ffe,0x1fe401d8,
    0x81f617f6,0xc80cfffa,0x21ff403f,0x00fee07d,0x3aa05f50,0xa81fb9ff,
    0x00edbddf,0x99da82c8,0x501afc99,0xbfd9999d,0xe883fc80,0x403fc84f,
    0x41fdc3fe,0x887f9028,0x007fe201,0x3fffffa2,0x8f87fc4f,0x80680081,
    0x1dfb33fc,0x03900fb0,0xff101fe4,0x3ee07d83,0x017d4003,0xfa81fb86,
    0x7700098a,0x3fffff20,0xad80ffff,0x0ff99999,0x7d40ff20,0x2203fc87,
    0x01fdc2ff,0xb000ff20,0x4522009f,0x220fba99,0x5c000f30,0xeeefc803,
    0x201f602c,0x07f900fe,0x03ec2fe4,0x543807f7,0x07ee002f,0x75000bea,
    0x4ccccc40,0x05881afc,0x3fc813ee,0xfc81ff50,0x2e17f203,0x3f21403f,
    0x01bee003,0x40900ec5,0x26a001fa,0x07f90059,0x7c403ec0,0x2607f901,
    0x207d80ff,0x50aa03fb,0x0fdc005f,0x950017d4,0x01f900e0,0x0ff880b2,
    0x3f607f90,0xf303fc86,0x407f701f,0x801fe42a,0x4ae01ff9,0x03a80cf9,
    0x7cc007ee,0x9fb000ff,0x5007f400,0x21fec09b,0xfd00dfc8,0x2217f201,
    0x003fb87b,0x0fee0bf2,0x66667d40,0x07e403ec,0x3fa007cc,0xb987fb04,
    0x43fd81ef,0xf900dfb8,0x3f61ea09,0x407fd003,0x3bff21fa,0x1c404fdc,
    0x2002ee00,0x01cfffd9,0x0073fee2,0x3ffff260,0x7102cdee,0x7e4c39ff,
    0xffffffff,0x2fbfae25,0x16665400,0xa8059997,0xffffffff,0x2e07e400,
    0xfc882dfe,0xff930dff,0x19bdddff,0xeefffc98,0xf7302cdd,0xffddddff,
    0x5fffe4cb,0x3bbff201,0x07ffeeee,0x00015993,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x44000000,
    0x531aaaaa,0x2a235555,0x554c2aaa,0x2aaa1aaa,0x55550aaa,0xaaa98155,
    0x0355530a,0x4caaaa20,0x009aaaaa,0x33555553,0x55555100,0x23555555,
    0x42aaaaa9,0x2ae2aaaa,0xaaaaaaaa,0x37201442,0x441400be,0xa8199999,
    0x99504edc,0x000665c3,0x01040018,0xffd88600,0x2077f4c2,0xe980bff9,
    0xcffa80ef,0x03bff220,0x3e60f7dc,0x5ff9006f,0xfdcdfe98,0xbdfe982f,
    0xf300cffc,0x99dfb99b,0x3faa29fb,0x67ec40ef,0x321400a0,0x0fe87a03,
    0xfff70770,0x87d43fff,0x85f704f9,0x0e6540fd,0x507f5997,0x54367dd9,
    0xbf3000be,0x3fc82fdc,0x7e401eb8,0x6407fe03,0xd81aa06f,0x7fc401ff,
    0x7447fb06,0x643fd83f,0xfa89306f,0x3fa224c4,0x00507b06,0x9703fa8a,
    0x3f983fa8,0x19999988,0x541be36c,0x6407e42f,0x174fec2f,0x0ffcc332,
    0x10033ae2,0xc827d47d,0x40074c3f,0x03fa03fc,0x03d03fe8,0x2e02fee4,
    0x87f905fd,0x43fc86fa,0x41a81ff9,0xe88384fa,0x02825c3f,0x337fee50,
    0x6e666fc2,0x677fdc6f,0x22198003,0xc85f506e,0x642fa80f,0x20fd42bf,
    0x37aa01fd,0x413ea001,0x003a63fc,0x1fd01fe4,0x2e07fcc0,0x07fd6404,
    0x320bf5d0,0x20ffcc3f,0x03ff83fc,0x4c009f50,0x140d30ff,0x20fe6280,
    0x3e6002f8,0x501ee203,0x3ea0dd7b,0x7d407e42,0x3ec07e42,0x26013eee,
    0x4fa802ec,0x03aa7f90,0x3a03fc80,0x12fe400f,0x9f75900d,0x417e72e0,
    0x437d43fc,0x07fcc3fc,0x4004fa80,0x200e8dfc,0x1fcc5002,0xf3001fc4,
    0x81fee207,0x7d41ba4d,0x7d407e42,0x2fc07e42,0x8801fe77,0x13ea03ec,
    0x00755fe4,0xfe80ff20,0xd97f4400,0xff8ac801,0x05f98e80,0x83fd87f9,
    0x13f623fc,0x8004fa80,0x01401ffe,0x137f7128,0xf30506f8,0xbd07d807,
    0x85f506e8,0x42fa80fc,0xab7c40fc,0xea801fa4,0x413ea01c,0x000efdfc,
    0x66666fe4,0xa800ffcc,0x59004bff,0x269513f2,0x339f905f,0xbf901dfb,
    0x8003bfb7,0xf98004fa,0x2801400f,0xd859bfb7,0x260e20cf,0x443ec03f,
    0xf983f44f,0x7d40fe44,0x7fc07e42,0x2202f44a,0xfa800beb,0xdfd7f904,
    0x01fe4001,0x3f2001fd,0x2259000f,0x7cc7a0ff,0x7979f905,0x7567e405,
    0x4fa8002f,0x05ffa800,0x3e628014,0x99fff303,0x807f301d,0xb33ff07d,
    0xef8853ff,0x40bfdc89,0x40fe44f9,0x303f85fc,0xfa8005d9,0xfd17f904,
    0x0ff2001d,0xf3000fe8,0xf916400b,0x05f99667,0x7e4007f9,0x8001ff33,
    0x744004fa,0x00a03fe8,0x4c07f314,0xf301dfff,0xf507d807,0x209f91df,
    0xcfc8effb,0x644f7c41,0x77cc0bfd,0x37aa16e0,0x09f50001,0x77f44ff2,
    0x203fc800,0xbf3000fe,0xdf316400,0x905f9876,0x1fe4007f,0xfa800bf7,
    0x4c3a2004,0x200500ff,0x2200fe62,0x00fe602b,0x0ae080fb,0x7006c110,
    0x39f91dff,0x6e774ec4,0x0000cb85,0x3fc827d4,0x320077ec,0x003fa03f,
    0x59002fcc,0x7cc6cfd8,0x4007f905,0x01fec3fc,0x6c009f50,0x02837e42,
    0x1cefc450,0xef880f60,0x400fb038,0x00fc002e,0x09808822,0x00000062,
    0x1fe413ea,0xf90077ec,0x8007f407,0x0b2005f9,0x5f985ff3,0x64007f90,
    0x017f443f,0x99004fa8,0x00a0ffa0,0x003bf214,0xfb0317f9,0x003fa01d,
    0x40045764,0x00008aee,0x80000000,0x07fb05fc,0x3603fff1,0x007fe04f,
    0x7b003fd4,0x0ff50dd0,0xfd8013f6,0x801ff984,0x07b806fb,0x5590bfea,
    0x75555555,0x6edc4000,0x3ee20101,0xdb8801cf,0xcec8801d,0x00000000,
    0x3ff22000,0xfff931cf,0x7fffdc37,0x7fff932d,0x5f7fed43,0xbfff7100,
    0x5ffe4c05,0xffb88ea0,0xfff932df,0x7fe4c039,0x6ffdc1cf,0xcfffc882,
    0x0cffea81,0x06ffff4c,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x06a00000,0x40002000,0x2a00a601,0x7db74edc,0x0f7b2e01,
    0x5039db70,0x00009db9,0xb31ddbb8,0x205c019d,0x017db904,0x1c4bbb95,
    0x5e6540a6,0x263ccb88,0x399951cc,0xcca8e5cc,0x970332e1,0x01999999,
    0xca8f7100,0x179953cc,0x2e005700,0x05f53dec,0x7501f540,0xdf50fb80,
    0x9321fa27,0x6c7d04fb,0x7cc3ea0f,0xcedaa544,0x8ba21d89,0x03f65bfc,
    0x3d07912a,0x547507f4,0x40761e47,0x21fe22fd,0x5c27dc4c,0x3f617dc3,
    0x13ee0ec0,0x7dc407cc,0x3a65fa87,0x200ae001,0x3e33ee4c,0x05f5c401,
    0x4db00ea0,0x70fdc7f8,0x7b83f90f,0xf8db1fd4,0x98aefb86,0x223e42fd,
    0x30fe62ff,0x25c35c1f,0x2c3d8fea,0x80ea87e2,0x207e44f9,0x50b0df05,
    0x1c0fc85f,0x7d421be6,0xf30fd010,0x70003669,0xfc87b805,0x0bb2601d,
    0x0c403a80,0xfb999ff1,0x27cc3749,0x4330217e,0xb03b86e8,0xefe86f83,
    0x3a25feee,0x37e0be64,0x366fdccc,0x83f2023f,0xfb8fd05e,0x17dc0e64,
    0xc85f5093,0x03fa200f,0x3f6f19f5,0x5fcc3ec0,0x2b8000d9,0x2fcc3740,
    0x8001dea8,0xf993003a,0xf05f880b,0x5001fc4d,0x01b0dd7b,0xd85f8922,
    0x887ec00f,0x802f886f,0xf102eff9,0x2a13e61d,0x0d9fb62f,0x4064bf10,
    0x007e42fa,0x33ae05fb,0x87d83edd,0xb804fdf9,0xccddcccc,0x20bf12cc,
    0x0067d47f,0xedcccca8,0x6e43cccc,0x7f880df0,0x02fccff0,0xb11ba4d8,
    0x21be6680,0x9fa201fb,0x03f885f9,0x209ffb10,0x10df10fe,0x2beeaabf,
    0x587ec058,0x0fc85f50,0xd9809f70,0x30fb00cf,0x8805fb7f,0x99bc9999,
    0x20ff1099,0x0675c47f,0x5ccccc40,0x3609999c,0x3a183fc6,0x3e25f80f,
    0xd17a280f,0x13440d0d,0x509f70ff,0x03f71fcc,0x2a08a0df,0xb0fdc2fe,
    0x563f201d,0x4c02bdf8,0x5f502bcf,0x6f980fc8,0x2f6bfa20,0xf987d85f,
    0x4001fe8b,0x407f402b,0x077aa05f,0x7c407500,0x86617ec4,0x21fcc2fb,
    0xf88cc3fe,0x80e43f44,0x360ff43b,0xf50a21ff,0x67ec3641,0x7cc58e20,
    0x03f31fc3,0xdf91efcc,0x9817fa00,0x220fe44f,0xe98540fe,0xd81d5789,
    0xdf33f987,0x2015c001,0x01fcc2fb,0xa80176cc,0xd987fc03,0x444cadff,
    0x261720ef,0x7c5dadff,0x29ffd99f,0x81d3036a,0x3fbe25f9,0x87706ccf,
    0x67ffcc2d,0xf88ba0ec,0x005b12e0,0x004f98fd,0x77c407f7,0x20bfdc89,
    0xf50482fd,0x2a07f403,0x8017ee4f,0x077c402b,0xec8800b9,0x700ea00b,
    0x3fea7dff,0xcee880df,0x3ffea04d,0x477fd40c,0x3f3a24fc,0xa85cdebd,
    0xff92fcff,0xb106405d,0x839fff30,0x2c3cadfe,0x41dc0126,0x003e000e,
    0x9f91dff7,0x3bbbfea3,0x209107ee,0xd51cffb8,0x3bfee7ff,0x6d5554c3,
    0x441aaaac,0x0004dcee,0x03a816e2,0x00880988,0x02600188,0x89540810,
    0x4406e0a9,0x00000881,0x06210088,0x00800000,0x20880040,0x00000008,
    0x99700000,0x99999999,0x00006205,0x0000cc00,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x96f6536a,0x64c1dec8,0x039952cc,0x9ed40098,0x20180dec,0x366f6a09,
    0x802ee20e,0x220e2018,0x986440bb,0xa80b9984,0x0037300b,0x33333331,
    0x4c103333,0xaaaaaaaa,0x207b51aa,0xb5000400,0x33333227,0x26666661,
    0x55419999,0xaaaaaaaa,0x9fb50002,0x593ff759,0x3ff30df9,0x17a007e2,
    0xccdcfda8,0xe982d86f,0xfb99fb50,0x81b6b623,0x88f9306d,0x3ee0fdad,
    0xc9dc5f93,0x136afa26,0x7dc9b11d,0x2eeeeea3,0x645bbbbb,0x2eeeeea0,
    0x362bbbbb,0x816ff5c7,0x8bea9f13,0xffff10ed,0x3333223f,0x24cccccc,
    0xbbbbbbb8,0x20003bbb,0x227dc5f9,0xb5fa80fc,0x30066003,0x407ec1bf,
    0xf303a62d,0x5059804d,0x31ea0779,0x25f717c1,0x3e4261fc,0x4d30d857,
    0x01ffb0fb,0x03744b00,0x4911e800,0x0d9adfc9,0xe8bea9f1,0x00000000,
    0x3e600000,0x3ee1fd44,0x007bfb01,0x5c3f9800,0x1d35b01f,0xd8807f30,
    0x203a1d01,0xf307c079,0x55703ee3,0x7c95c34f,0x00c98be2,0x007d4580,
    0x00994400,0x4c0039b5,0x00000001,0x7c400000,0x3ee1fcc4,0x201fd101,
    0xcccccccb,0x0fe62ccc,0x077403f7,0x6d403f98,0x0b31dc0f,0x221dc0f3,
    0x2a991e67,0x2a1b0727,0x00b0f11f,0x2e3da960,0xeeeeeeee,0x000004ee,
    0x00000000,0x88000000,0x2e1fcc4f,0x417f601f,0x99999998,0x0fe60999,
    0x37a603f7,0x2007f302,0x0721a22e,0x340ea0f3,0xfc9df8b1,0x8b715d12,
    0x05c4754e,0x00004000,0x00000000,0x00000000,0x27c40000,0x03f70fe6,
    0x000bf272,0x7dc3f980,0x05b0e981,0x836007f3,0x3cc6881d,0x20c28954,
    0x0e44e4c2,0x2ea05b71,0x000000c0,0x00000000,0x00000000,0x20000000,
    0x21fcc4f8,0x3a3a81fb,0x403b800f,0x20fdc3f9,0x2616c0e9,0x379d503f,
    0x22770254,0x3ffee3fc,0x0000004f,0x00000000,0x00000000,0x00000000,
    0x20000000,0x21fd44f9,0x2a34c2fb,0x404d806f,0x217dc4fa,0x7cc1b00e,
    0x00000004,0x00000000,0x00000000,0x00000000,0x00000000,0x98000000,
    0xdfd53ffd,0x54bbfae7,0x37ff21ef,0x3faa0001,0x03dfd73e,0x17ffd500,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__times_24_latin_ext_x[560]={ 0,2,1,0,1,0,0,0,0,0,1,0,1,0,
1,0,0,2,0,0,0,1,0,0,1,0,1,1,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,
0,0,-1,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,-1,1,0,-1,0,0,0,0,0,0,0,
-2,0,0,0,0,0,-1,0,0,1,0,0,0,0,0,0,0,2,1,1,0,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,2,1,0,0,0,
1,1,0,0,-1,0,0,0,0,-1,1,0,0,0,2,1,-1,1,1,1,0,0,1,1,0,0,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,-2,0,0,0,0,0,0,
0,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
1,1,1,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,3,3,0,3,3,3,
3,3,3,3,3,3,3,3,3,3,1,0,3,3,3,3,3,3,3,3,3,3,3,3,3,0,0,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,0,0,-1,0,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static signed short stb__times_24_latin_ext_y[560]={ 19,4,4,4,3,4,4,4,3,3,3,6,16,13,
16,3,4,4,4,4,4,4,4,4,4,4,9,9,6,9,6,4,3,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,3,4,4,22,4,9,3,9,3,9,3,9,3,3,
3,3,3,9,9,9,9,9,9,9,6,9,9,9,9,9,9,3,3,3,11,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,19,8,4,4,6,4,
3,4,4,4,4,9,9,13,4,2,4,6,4,4,4,9,4,10,18,4,4,9,4,4,4,8,-1,-1,0,0,
0,1,4,4,-1,-1,0,0,-1,-1,0,0,4,0,-1,-1,0,0,0,7,4,-1,-1,0,0,-1,4,3,4,4,
4,4,4,3,9,9,4,4,4,4,4,4,4,4,3,4,4,4,4,4,4,7,8,4,4,4,4,4,3,4,
1,5,0,4,4,9,-1,4,-1,4,0,4,0,4,0,3,4,3,1,5,0,4,0,4,4,9,0,4,-1,4,
0,4,0,4,4,3,-1,-1,4,3,0,4,1,5,0,4,4,3,0,9,4,3,-1,4,4,3,9,-1,-1,4,
3,4,3,4,3,4,3,-1,4,4,9,0,4,4,4,9,1,5,0,4,-1,4,4,9,-1,4,4,9,0,4,
-1,4,-1,4,4,9,0,4,4,6,0,3,4,6,0,4,1,5,0,4,-1,3,-1,4,4,9,-1,4,-1,4,
0,-1,4,0,4,0,4,3,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,4,5,5,4,5,5,5,
5,5,5,5,5,5,5,5,5,5,2,8,5,5,5,5,5,5,5,5,5,5,5,5,5,2,8,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,4,0,4,0,
4,0,4,-1,2,-1,1,-1,1,-1,1,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,-3,-1,-1,4,-1,4,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static unsigned short stb__times_24_latin_ext_w[560]={ 0,3,7,11,9,18,17,3,7,7,9,12,4,7,
3,7,11,7,10,10,11,9,10,10,9,10,4,4,12,12,12,9,19,16,14,14,15,13,12,16,16,7,9,16,
13,19,17,15,12,15,15,10,13,16,16,21,16,16,13,6,7,6,10,13,4,10,12,9,11,10,10,11,11,6,
7,11,6,17,11,11,12,11,8,7,7,11,11,16,11,11,10,7,2,7,12,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,0,3,9,11,11,11,
2,9,7,16,7,11,12,7,16,13,7,12,7,6,4,11,11,3,5,5,7,11,15,15,16,9,16,16,16,16,
16,16,20,14,13,13,13,13,7,7,7,7,15,17,15,15,15,15,15,10,15,16,16,16,16,16,12,11,10,10,
10,10,10,10,14,9,10,10,10,10,6,6,7,7,11,11,11,11,11,11,11,12,11,11,11,11,11,11,12,11,
16,10,16,10,16,11,14,9,14,9,14,9,14,9,15,14,15,11,13,10,13,10,13,10,13,11,13,10,16,11,
16,11,16,11,16,11,16,11,16,11,8,8,7,8,7,8,8,7,7,6,16,11,9,8,16,11,11,13,6,13,
6,13,9,13,8,13,6,17,11,17,11,17,11,14,15,10,15,11,15,11,15,11,19,15,15,8,15,8,15,8,
10,7,10,7,10,7,10,7,13,7,13,10,13,7,16,11,16,11,16,11,16,11,16,11,16,12,21,16,16,11,
16,13,10,13,10,13,10,9,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,15,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,15,12,11,11,11,11,11,11,11,11,11,11,11,11,11,18,12,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,16,10,7,7,15,
11,16,11,16,11,16,11,16,11,16,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,16,10,20,14,15,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11, };
static unsigned short stb__times_24_latin_ext_h[560]={ 0,16,7,16,18,16,16,7,21,21,10,12,7,2,
4,17,16,15,15,16,15,16,16,16,16,16,11,14,12,5,12,16,21,15,15,16,15,15,15,16,15,15,16,15,
15,15,16,16,15,20,15,16,15,16,16,16,15,15,15,20,17,20,8,2,4,11,17,11,17,11,16,15,16,16,
21,16,16,10,10,11,15,15,10,11,14,11,11,11,10,15,10,21,21,21,4,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,0,16,20,16,11,15,
21,20,4,16,7,11,6,2,16,2,7,12,8,9,4,15,20,4,6,8,7,11,16,16,16,16,20,20,19,19,
19,18,15,20,20,20,19,19,20,20,19,19,15,20,21,21,20,20,20,10,16,21,21,20,20,20,15,17,16,16,
16,16,16,17,11,15,16,16,16,16,15,15,15,15,17,15,16,16,16,16,16,10,12,16,16,16,16,20,21,20,
18,15,19,16,19,14,21,16,21,16,20,16,20,16,19,17,15,17,18,15,19,16,19,16,19,14,19,16,21,20,
20,20,20,20,20,21,20,20,15,16,19,15,18,14,19,15,19,20,19,10,16,21,21,20,20,21,10,20,20,20,
21,15,16,15,16,15,16,21,15,20,15,20,15,15,16,15,19,15,20,16,21,16,16,11,20,15,20,15,19,15,
21,16,21,16,20,15,20,16,20,18,19,17,15,14,20,16,19,15,20,16,21,17,21,16,19,14,21,16,20,20,
19,20,15,19,15,19,15,16,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,16,14,14,20,14,14,14,
14,14,14,14,14,14,14,14,14,14,18,12,14,14,14,14,14,14,14,14,14,14,14,14,14,18,12,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,19,16,19,15,20,
16,20,16,21,18,21,19,21,19,21,19,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,22,21,20,16,21,16,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14, };
static unsigned short stb__times_24_latin_ext_s[560]={ 252,252,108,235,243,199,151,252,94,50,224,
40,140,208,252,26,92,94,127,1,138,144,154,1,96,242,251,250,27,164,239,
188,18,150,167,129,182,198,212,159,26,1,138,9,80,60,104,122,80,153,93,
79,109,1,237,198,123,43,225,95,18,212,83,216,177,90,68,80,81,141,148,
239,90,144,245,51,144,1,44,68,114,102,67,152,172,201,189,172,19,13,213,
70,168,127,182,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,
140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,252,252,244,
176,101,140,253,186,195,220,116,129,145,208,18,230,124,1,100,76,203,1,133,
252,158,94,132,160,35,63,112,102,78,215,33,50,1,149,231,175,1,233,94,
229,53,31,213,246,56,1,78,67,15,111,127,56,16,83,117,160,193,227,25,
93,160,149,138,127,116,57,53,46,68,57,46,35,186,196,177,72,105,160,213,
201,189,177,165,31,227,56,120,187,230,72,151,95,1,185,108,12,54,189,181,
110,213,203,107,177,122,225,133,129,34,117,221,67,71,79,26,68,40,160,158,
49,1,19,31,66,169,82,94,38,116,163,50,235,85,25,201,180,18,16,243,
190,221,234,79,58,46,73,198,34,241,219,247,102,102,217,225,203,23,151,247,
109,165,48,101,145,205,1,171,78,17,89,137,44,152,12,90,113,177,113,196,
122,1,131,193,169,204,60,84,152,61,247,39,235,232,34,172,152,210,218,81,
193,143,32,135,45,228,80,129,201,171,32,13,1,112,59,217,98,228,67,239,
106,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,187,140,140,47,
140,140,140,140,140,140,140,140,140,140,140,140,140,166,14,140,140,140,140,140,
140,140,140,140,140,140,140,140,182,214,140,140,140,140,140,140,140,140,140,140,
140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,196,24,
125,38,236,132,30,213,196,209,164,146,134,184,100,172,140,140,140,140,140,140,
140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,
140,140,140,1,56,215,1,18,68,140,140,140,140,140,140,140,140,140,140,140,
140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,
140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,
140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,
140,140,140,140,140,140,140,140,140, };
static unsigned short stb__times_24_latin_ext_t[560]={ 40,23,297,149,129,185,149,219,23,23,284,
284,297,297,227,149,202,252,252,168,252,168,168,185,185,185,252,236,284,297,268,
202,23,252,252,219,252,252,252,202,268,268,202,268,252,268,202,202,268,67,268,
219,268,219,202,202,268,268,252,88,149,67,297,297,297,284,149,284,149,284,202,
252,219,219,1,219,149,297,297,284,252,252,297,284,268,284,284,284,297,252,284,
23,23,23,297,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,
268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,40,109,46,
202,284,236,1,67,297,202,297,284,297,297,219,297,297,284,297,297,297,252,88,
268,297,297,297,284,219,219,219,219,88,88,109,109,129,129,219,88,88,67,129,
109,67,67,109,88,252,67,23,1,88,46,46,297,202,1,1,46,46,46,252,
149,185,185,185,185,185,149,284,252,185,185,185,185,236,219,219,252,149,236,168,
168,168,168,168,297,268,202,168,185,185,67,1,67,149,219,129,168,129,268,1,
168,1,149,67,149,67,149,129,149,236,149,129,236,129,168,129,168,129,268,109,
168,24,67,88,88,67,46,46,23,88,88,236,168,129,236,129,268,129,236,109,
88,109,284,185,23,1,46,88,1,284,67,67,88,23,219,168,219,168,219,149,
23,219,88,236,88,236,236,185,236,109,236,67,202,23,185,168,284,46,236,67,
236,109,236,23,149,23,168,67,236,67,168,67,129,88,149,236,268,46,185,109,
236,46,202,23,149,1,202,109,268,23,168,46,46,109,46,236,109,236,109,236,
185,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,149,268,268,46,
268,268,268,268,268,268,268,268,268,268,268,268,268,129,284,268,268,268,268,268,
268,268,268,268,268,268,268,268,129,268,268,268,268,268,268,268,268,268,268,268,
268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,109,185,
129,252,23,168,46,149,1,129,1,109,1,109,1,109,268,268,268,268,268,268,
268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,
268,268,268,1,1,23,202,1,202,268,268,268,268,268,268,268,268,268,268,268,
268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,
268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,
268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,268,
268,268,268,268,268,268,268,268,268, };
static unsigned short stb__times_24_latin_ext_a[560]={ 87,115,142,173,173,289,270,62,
115,115,173,196,87,115,87,96,173,173,173,173,173,173,173,173,
173,173,96,96,196,196,196,154,319,250,231,231,250,212,193,250,
250,115,135,250,212,308,250,250,193,250,231,193,212,250,250,327,
250,250,212,115,96,115,163,173,115,154,173,154,173,154,115,173,
173,96,96,173,96,270,173,173,173,173,115,135,96,173,173,250,
173,173,154,166,69,166,188,270,270,270,270,270,270,270,270,270,
270,270,270,270,270,270,270,270,270,270,270,270,270,270,270,270,
270,270,270,270,270,270,270,270,87,115,173,173,173,173,69,173,
115,263,96,173,196,115,263,173,139,190,104,104,115,200,157,87,
115,104,108,173,260,260,260,154,250,250,250,250,250,250,308,231,
212,212,212,212,115,115,115,115,250,250,250,250,250,250,250,196,
250,250,250,250,250,250,193,173,154,154,154,154,154,154,231,154,
154,154,154,154,96,96,96,96,173,173,173,173,173,173,173,190,
173,173,173,173,173,173,173,173,250,154,250,154,250,154,231,154,
231,154,231,154,231,154,250,224,250,173,212,154,212,154,212,154,
212,154,212,154,250,173,250,173,250,173,250,173,250,173,250,173,
115,96,115,96,115,96,115,96,115,96,246,191,135,96,250,173,
173,212,96,212,96,212,141,212,119,212,96,250,173,250,173,250,
173,209,243,172,250,173,250,173,250,173,308,250,231,115,231,115,
231,115,193,135,193,135,193,135,193,135,212,96,212,148,212,96,
250,173,250,173,250,173,250,173,250,173,250,173,327,250,250,173,
250,212,154,212,154,212,154,96,270,270,270,270,270,270,270,270,
270,270,270,270,270,270,270,250,270,270,173,270,270,270,270,270,
270,270,270,270,270,270,270,270,250,183,270,270,270,270,270,270,
270,270,270,270,270,270,270,269,188,270,270,270,270,270,270,270,
270,270,270,270,270,270,270,270,270,270,270,270,270,270,270,270,
270,270,270,270,270,250,154,115,96,250,173,250,173,250,173,250,
173,250,173,250,173,270,270,270,270,270,270,270,270,270,270,270,
270,270,270,270,270,270,270,270,270,270,270,270,270,270,270,270,
270,270,250,154,308,231,250,173,270,270,270,270,270,270,270,270,
270,270,270,270,270,270,270,270,270,270,270,270,270,270,270,270,
270,270,270,270,270,270,270,270,270,270,270,270,270,270,270,270,
270,270,270,270,270,270,270,270,270,270,270,270,270,270,270,270,
270,270,270,270,270,270,270,270,270,270,270,270,270,270,270,270,
270,270,270,270,270,270,270,270, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_24_latin_ext_BITMAP_HEIGHT or STB_FONT_times_24_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_24_latin_ext(stb_fontchar font[STB_FONT_times_24_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_24_latin_ext_BITMAP_HEIGHT][STB_FONT_times_24_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_24_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_24_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_24_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_24_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_24_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_24_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_24_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_24_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_24_latin_ext_s[i] + stb__times_24_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_24_latin_ext_t[i] + stb__times_24_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_24_latin_ext_x[i];
            font[i].y0 = stb__times_24_latin_ext_y[i];
            font[i].x1 = stb__times_24_latin_ext_x[i] + stb__times_24_latin_ext_w[i];
            font[i].y1 = stb__times_24_latin_ext_y[i] + stb__times_24_latin_ext_h[i];
            font[i].advance_int = (stb__times_24_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_24_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_24_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_24_latin_ext_s[i] + stb__times_24_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_24_latin_ext_t[i] + stb__times_24_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_24_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_24_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_24_latin_ext_x[i] + stb__times_24_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_24_latin_ext_y[i] + stb__times_24_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_24_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_24_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_24_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_24_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_24_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_24_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_24_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_24_latin_ext_LINE_SPACING
#endif

