// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_25_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_25_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_25_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_times_25_latin_ext_BITMAP_HEIGHT        336
#define STB_FONT_times_25_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_25_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_25_latin_ext_NUM_CHARS            560

#define STB_FONT_times_25_latin_ext_LINE_SPACING          16

static unsigned int stb__times_25_latin_ext_pixels[]={
    0x0003db00,0x18000988,0x22000000,0x00cc0009,0x09999880,0x0c400000,
    0x02000000,0x00000002,0x98000000,0x8001bcca,0x08180008,0x0004f980,
    0x100077c4,0xffb80019,0x03be2001,0x0001f980,0x00dffff9,0x8802ffc4,
    0xff88002e,0x64d6c004,0x1bfa0000,0x03ff6000,0x437b5000,0xb8804ba8,
    0x6dc404aa,0x04abdece,0xa80005b8,0x015c000f,0x017afe20,0x54000fa8,
    0x26620001,0x37200099,0x071001fb,0x03f9b900,0x000f6c40,0x005f7d50,
    0x027d74c0,0x91007900,0x40be1c80,0x7dc40df9,0x00004805,0xbf700039,
    0x0590e400,0x59800720,0x966000b2,0x4c91002c,0x0592cc05,0x005a9260,
    0x400164b3,0x000d30d8,0x000d886c,0x91001744,0x2741f101,0xb70077c4,
    0x000cb880,0xb8800140,0x00a06001,0x43ea0014,0x0fa8004e,0x2206009d,
    0x2743ea00,0x80088180,0x0009d0fa,0x10003103,0x3d800301,0xf8838800,
    0x007f4403,0x1667202c,0x02031000,0x08180000,0x00017710,0x00000000,
    0x10000000,0x00000081,0x00209980,0x0b500000,0x90d44dcc,0xfa80ff60,
    0x25805006,0x6ec4000d,0x0592eecc,0xb71000a8,0x0957bd9d,0x36a16672,
    0x5c41dfff,0x3f6a3ffe,0x75c41dff,0xffca83ff,0xfffb51df,0xffeb883b,
    0x76ef5c43,0x3ff6a2cc,0x7f5c41df,0x376e203f,0x545bddcc,0xfb32effe,
    0x7e4417ff,0x6c40f44f,0x8243f953,0xbf904ff8,0x2ef20000,0x41fdc004,
    0x79104efa,0x30799db3,0x5fb881bf,0x9ff02cb0,0xff00f980,0x400f9809,
    0x09ff05fd,0x0ec80f98,0x27fc17ec,0xe8803e60,0x887e980e,0x05fe83ff,
    0x360f30f6,0x206a37c3,0xfe85fe9b,0x16e00003,0x5c09f500,0xff8bb04f,
    0x0077c41a,0x16ef20b7,0x3c403fd8,0x78807fb0,0xfb04fc80,0xf8878807,
    0x7fb05d02,0x2f407880,0x3f203e60,0x3e06fa84,0x23643640,0x320dc4f8,
    0xff897f60,0x1fa00002,0x100ff880,0x3f885fdd,0x3fa20fec,0x0a605800,
    0x68805fb0,0xd100bf60,0x3607f900,0x5c34402f,0xfb05702f,0x36068805,
    0x980c801f,0x80ff887f,0x7d44d859,0x21217d41,0xff11fd86,0x3e600007,
    0x0bf9002f,0x2a37dcf4,0x2a17dc4f,0x4c05006f,0x00bf6009,0x017ec0d1,
    0x0ff201a2,0x1a2017ec,0x06207bea,0x0d100bf6,0x044017ea,0x3fe82fe8,
    0x6c2e82c8,0x4c487d85,0x3fe3f80f,0xfbb00004,0x413fa00d,0x441ff32d,
    0x7e436c6f,0x2b760005,0x05fb03fc,0x0bf60688,0x7f900d10,0xd100bf60,
    0x007ffd10,0x0d100bf6,0x20000ff2,0x37fc44fb,0x3e20e834,0x0e22fcc3,
    0xfd8b217e,0xf6880006,0x07ff003f,0x20ffcc77,0xd05f32fb,0x3ee0007f,
    0x3f603fa0,0xfb034402,0xc8068805,0x805fb03f,0xdfff3068,0x402fd805,
    0x405fd068,0x88199998,0x0ffddc7f,0xfa8b20b3,0x0361fec1,0x4c583bee,
    0x009801ff,0x1017ee79,0x445a85ff,0xaccd82ff,0x002ff880,0x80fc8fb0,
    0x034402fd,0x068805fb,0x5fb03fc8,0x32206880,0xfb00dfff,0xf8868805,
    0x3ff2602f,0x745fd02e,0x40b24fc8,0x644fea4a,0xb80721fa,0xfc81b8ef,
    0xe80a600e,0xf801ff10,0xf303a63f,0x8801d83f,0x820003ff,0x2fd81fea,
    0x5fb03440,0xfc806880,0x8805fb03,0xfffe9806,0x4402fd80,0x804ff886,
    0x57ee03ff,0x034df368,0x6effc4d1,0x22dabf98,0x405ff703,0x03a81efc,
    0x807fb12a,0x501d15fe,0xccdf98ff,0x04ff82aa,0x7e56dc00,0x4402fc81,
    0x100bf206,0x207f900d,0x034402fc,0xf90dff70,0xff068805,0x405fd00b,
    0x3a3b8ff8,0x0740499f,0x41ca8593,0x01bee039,0x5bbbffd5,0x37cc0e80,
    0x816dbf20,0x7fec46fb,0x360effff,0x7d10006f,0x1fe40fe4,0x3fc81620,
    0x7e402c40,0x8807f903,0xff500a85,0x4403fc81,0xd00ff905,0xeafd803f,
    0x00b33f20,0x06c000b5,0x6c00bea0,0xdddf3001,0x4405ffdd,0x3f603cff,
    0x2a666481,0x007fe64d,0x7e46e826,0x5404fb81,0x5013ee04,0x203f9009,
    0x425404fb,0x707f602b,0x104a809f,0x1fe805ff,0x262f7d40,0x0b9006ff,
    0x1f303900,0x37cc0174,0xbf702d80,0x2a06fa80,0x2602d83f,0x30077e43,
    0x3f237c45,0x7407f881,0xd01fe201,0x07e42a03,0x0f407f88,0x81fd02dc,
    0x00f407f8,0x7f403ff7,0xe82ff801,0x0172004f,0x1f880ec4,0x00fb8016,
    0x1ff10344,0x4c1ffcc0,0x204f985e,0x503df905,0xdb35fd07,0x0bf5077f,
    0xbf5007b1,0x3ee07b10,0x5fa809b4,0x9f703d88,0x3ea07f50,0xa803d885,
    0x03fd01ff,0x3f701f90,0x0acda800,0x3200664c,0xd3002b8a,0xc8079007,
    0xb31d105f,0x405db79d,0xedbcdffd,0x37ffaa01,0xdfd502dd,0x2e01df33,
    0x03decdff,0x3b37fee0,0x33fe203d,0x9bff7004,0x6e5c07bd,0x403fecdf,
    0x3decdffb,0x33bb6200,0x5002dfcb,0x8001e20b,0x0bcdcca8,0x3000a200,
    0x803f3001,0x81881ffa,0xb7100099,0x1980079d,0x20010200,0x4c000199,
    0x004c0019,0x0800ccc0,0x26000d4c,0x33000019,0x18060003,0x00000000,
    0x3ee00000,0xffd703ef,0x0000009f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0x10004c0a,
    0xb00001db,0x8150001b,0x77440009,0x00000001,0x400013aa,0x180001ed,
    0x2017ae00,0x00188028,0x40010620,0x41c0a239,0x3dd50002,0x23d10014,
    0x3f98004a,0x017d4000,0x0951e880,0x00dfd900,0x0143df50,0x40003ec0,
    0x4c0003f9,0xdf8805bd,0x882cc02f,0x02efdded,0x1cbbfea0,0x1663fb00,
    0x003b874c,0x59dff790,0x0fcfc800,0x000b5000,0x640004c8,0x4c000fcf,
    0xc8005d15,0x001cdffb,0xc80005d0,0x99e80004,0x0d52c804,0x83fb8598,
    0x715004fa,0x4c009dff,0xcfd81663,0x5c430006,0xed88003d,0x005c0003,
    0x10000900,0x050007db,0xd710c007,0x01c40007,0x20001200,0x851000f9,
    0xf5166029,0x4027dc09,0x20001541,0x0bba2059,0x40000000,0x0c400018,
    0x00062000,0x0c400000,0x00062000,0x00000000,0x00006d80,0x1ff12cc0,
    0x0001fe80,0x00598000,0x3fff2200,0x7dfd7100,0x3b33b620,0x9db1002e,
    0x22005dd9,0x02eecced,0x201fff91,0x103efeb8,0x05dd99db,0x3b33b620,
    0xfffb502e,0xffeb883b,0x37fff6a3,0x1fff5c41,0x6d417e20,0x5c41dfff,
    0xc9663ffe,0x26fd805f,0x41dfffda,0x403ffeb8,0xffb5b309,0xfeb883bf,
    0x0efe883f,0x3fb81e60,0x7dc04fa8,0x5c04fa83,0x204fa83f,0x2600efe8,
    0x2a0fee07,0x41fdc04f,0x13fe04fa,0x3fe01f30,0x1007cc04,0x2039dffb,
    0x07cc04ff,0x804fe966,0x27fc0ffb,0xeb803e60,0x27fcb31f,0xfa803e60,
    0x541a205f,0x413ea04f,0x13ea04fa,0x9f5027d4,0x102ffd40,0xa813ea0d,
    0x409f504f,0x07fb04fa,0x0ff60788,0x3ee00f10,0x201fec02,0x3fe59878,
    0x41ffa803,0x03c403fd,0xb2cc7fa2,0x4078807f,0xd103ffda,0xe801ff10,
    0x007fc41f,0x1ff107fa,0xb501fe80,0x21a207ff,0x7f400ff8,0x2007fc41,
    0x02fd81fe,0x05fb0344,0x1fb00688,0x4402fd80,0x5ff12886,0xd85ff100,
    0x4034402f,0x7ecb31fc,0x2a034402,0x6882ffac,0xfb805fc8,0x5c02fe46,
    0x402fe46f,0xf59506fb,0xf90d105f,0xc8df700b,0x86fb805f,0x034402fd,
    0x068805fb,0x5fb00df0,0xff806880,0x41ff8803,0x034402fd,0x36598fe4,
    0x2034402f,0x883ff74a,0xa803fe86,0x00ffa0ff,0x3fe83fea,0xa80ffa80,
    0x6883ff74,0xfa803fe8,0x200ffa0f,0x17ec0ffa,0x2fd81a20,0x7cc03440,
    0x402fd804,0x03fe8068,0x7ec0ff98,0x64034402,0x17ecb31f,0x49501a20,
    0x21a20efd,0xff9803ff,0x2600ffe1,0x00ffe1ff,0x92a07fe6,0x21a20efd,
    0xff9803ff,0x2600ffe1,0x017ec1ff,0x02fd81a2,0x17dc0344,0x22017ec0,
    0x805fc806,0x02fd86fa,0x8fe40344,0x100bf659,0x7f44a80d,0x5ff11a25,
    0x225ff100,0xff8802ff,0x1005ff12,0xe89505ff,0xff11a25f,0x25ff1005,
    0xf8802ff8,0x2017ec2f,0x00bf6068,0x01f900d1,0x68805fb0,0x03fe6188,
    0x5fb05fb0,0xfc806880,0x017ecb31,0x889501a2,0xff0d14ff,0x43ff1007,
    0xff8803ff,0x2200ffe1,0x444a81ff,0xff0d14ff,0x43ff1007,0xff8803ff,
    0x22017ec1,0x100bf606,0x200dd00d,0x434402fd,0x3027d459,0x00bf60bf,
    0x23f900d1,0x100bf659,0xf984a80d,0x4fe868af,0x3a0ff980,0x0ff9804f,
    0x3e6013fa,0xf984a80f,0x4fe868af,0x3a0ff980,0x0ff9804f,0x1a2017e4,
    0x34402fc8,0x64013e20,0x4c34402f,0xe982fc85,0x100bf205,0x263f900d,
    0xd100bf25,0xff504a80,0x00bfb0d5,0x05fd8df5,0x2fec6fa8,0x4a837d40,
    0xb0d5ff50,0x8df500bf,0x6fa805fd,0x2c403fc8,0x58807f90,0xc8017cc0,
    0x4c2c403f,0xb77bd305,0x03fc805d,0x8fe402c4,0x100ff259,0x3204a80b,
    0x0ff886ff,0x3e20fec0,0x20fec00f,0x7ec00ff8,0x7e409501,0x00ff886f,
    0x3fe20fec,0x5c0fec00,0x7025404f,0x404a809f,0x13ee007b,0x80b30950,
    0xb801fffb,0x4025404f,0x7dcb30fc,0x2a025404,0xb837ec04,0x413e604f,
    0x13e604fb,0x9f3027dc,0x3f602540,0x4c09f706,0x409f704f,0x0ff104f9,
    0x1fe201e8,0x04d803d0,0x3d01fe20,0xff300b30,0x07f8801f,0x33e400f4,
    0x3a03fc4b,0x22035c01,0x20ff206e,0x1fe404f9,0x3f2027cc,0x5c04f983,
    0x90374406,0x809f307f,0x04f983fc,0x1ec42fd4,0x6c42fd40,0x01f11303,
    0xd885fa80,0x2200b303,0x7d400efc,0x8203d885,0xbf51665d,0x64c07b10,
    0x1a601cff,0xdb79dd30,0x33ba6005,0xd3002edb,0x405db79d,0x201cffc9,
    0x6774c069,0xd3002edb,0x005db79d,0x37b37fee,0x37fee003,0x2fa03dec,
    0xff70003c,0x4c07bd9b,0x675c4005,0x337fee01,0x2ff203de,0x2e1660e8,
    0x03decdff,0x20008000,0x0cc00019,0x00066000,0x26000800,0x00cc0001,
    0x00033300,0x95001998,0x33300003,0x80012200,0x0ccc0098,0x40ced980,
    0x00666048,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80013000,0x000002a8,
    0x30001b88,0x00000003,0xd3000008,0x2ec8000b,0x30000000,0x74c00013,
    0x0a800bb2,0x36e0004c,0x9815000c,0x00881800,0xc8007204,0x7fcc002f,
    0x03feb803,0x001ffc80,0x0001ffcc,0x32000097,0x3e20001f,0x03ff6004,
    0x00df1000,0x05f16b80,0x0b31e880,0x00734980,0x802547a2,0x405a89bb,
    0x801645f9,0xccd8003f,0x03fa800f,0x036cf440,0x003f3360,0x80003f40,
    0x2d40001e,0x09f5d300,0x000eb800,0x00598ec0,0x001f9f70,0x40091398,
    0x1000fcfc,0xb805fffd,0x2007447f,0x23a80049,0x03fa804b,0x00770640,
    0x8004b8ea,0x40002ff9,0x0c800029,0x07443600,0x0003b000,0x00005490,
    0x360007db,0x362000dc,0x0ba8002e,0x5b86fa80,0x81800040,0x01fd4009,
    0x0c006020,0x3760004c,0x0000006f,0x22020600,0x06000180,0x00000000,
    0x0100040c,0x00102200,0x30df3000,0x0000005f,0x131fd400,0x00000000,
    0x03ff6880,0x00fffc88,0x207dfd71,0xbdecedb8,0x0002a84a,0x7ed40000,
    0x75c41dff,0x36e203ff,0x24abdece,0x41dfffda,0x443ffeb8,0x2cceddeb,
    0x077fff6a,0x447ffd71,0x7d4df05f,0x327dc2ef,0x4c5bfff9,0x542dfffc,
    0x0cfff9bf,0xf70bbfea,0x6ffff549,0x1f7fe441,0x017ee790,0x30077f44,
    0x206fcc0f,0x3faa5fb8,0x76440004,0xfeeeefff,0x04ff80ff,0xbf3007cc,
    0xf85fb881,0x407cc04f,0x417ec0ec,0x07cc04ff,0x547e827c,0xf906985f,
    0xa837dc0b,0x4ffb9ccf,0x434c2fd4,0x6f407fe8,0xff887400,0x0bff5000,
    0x0ef88344,0x09f316e0,0x3fbaa000,0xfd80e882,0xf103c403,0x6c2dc01d,
    0x443c403f,0xfb05d02f,0x7f078807,0x1fd07f60,0x09f702c8,0x5fa82fdc,
    0x3fa07fcc,0xff981640,0xa801f102,0xa801fec4,0x0d103ffd,0x8b001fd1,
    0xb00004f9,0x06a05fb5,0x0d100bf6,0x16003fa2,0x0d100bf6,0x20ae05f7,
    0xd07802fd,0xf50bf205,0x13ee0689,0x7f505fa8,0x4fa85fb0,0x41bee034,
    0x4c0e802c,0xf595006f,0xf50d105f,0x9f10a00d,0x36d10000,0xfb01102f,
    0xf5068805,0x3f60a00d,0x7d434402,0xfd81881e,0x03b07802,0x43fa0ff2,
    0x813ee04a,0x07f505fa,0x21fd07f9,0x44fe804a,0xeef98059,0x802ffeee,
    0x883ff74a,0x0005fc86,0x000cc9f1,0x082fd964,0xd100bf60,0x80017f20,
    0x434402fd,0xb003ffe8,0x320f005f,0xf507f900,0x4fb80367,0x7d417ea0,
    0xfa82fb83,0xff3001b3,0x16c00743,0x4a805fb8,0x86883bf6,0xf10003fe,
    0x00bffd19,0xb05fb2c4,0x22017ec0,0x0007fd06,0x1a2017ec,0x0177ffcc,
    0x41e00bf6,0x740bf603,0x27dc059f,0x3ea0bf50,0xfd01fd83,0xb7dc00b3,
    0x2068803c,0x25400ff8,0x446897fa,0xf10002ff,0x00bf619d,0x337fb0ec,
    0x17ec0f95,0x3fe21a20,0x0bf60002,0x7e440d10,0x5fb00dff,0xfb000f00,
    0x00bfee03,0xdddddff7,0x3ea0bfdd,0x3ee06f84,0x6ff4002f,0xc8079006,
    0x2225405f,0xf88d14ff,0xbf10003f,0x59803fa8,0x6e666fec,0x100bf607,
    0x007ff10d,0x22017ec0,0xfffe9806,0x7802fd80,0x7c06e800,0x204fb807,
    0x8df505fa,0x03fc01f9,0x400ffcc0,0x7fd401f9,0x3e612a01,0x4ff868af,
    0x989f1000,0xccdd804f,0x20582ffc,0x834402fc,0x320004ff,0x0034402f,
    0x7f90dff7,0x4f986880,0x26403f88,0xf5027dc0,0x2f77ea0b,0x04c801fc,
    0xb801ff00,0xfd703eff,0x412a09ff,0xfd86affa,0x89f10006,0x4ecc04f8,
    0x282fe999,0xb100ff20,0x8001bf60,0x42c403fc,0x81ff500a,0x42c403fc,
    0x00fb85f9,0x27dc0074,0x3ea0bf50,0x3a00198b,0x01ff0000,0x4024c000,
    0x1bff204a,0x26007fe6,0x9f113e20,0x2fd80e80,0x2027dc00,0x03ff304a,
    0x04fb8130,0xb015c254,0x404fb83f,0x0ba0104a,0x3ee00b30,0x5417ea04,
    0x0598003f,0x0003fe00,0x4a805c80,0xfc837ec0,0xf10a600e,0x2a04f889,
    0x4405fb04,0x3a03fc41,0x803bf201,0x407f8829,0x3a05b81e,0x203fc40f,
    0x40ee001e,0x7000e899,0x82fdc09f,0x133003fa,0x7fc0001d,0x3ee00000,
    0x101ae00b,0x0f7e40dd,0x227c41d4,0x403a04f8,0x541602fe,0x803d885f,
    0x03a81efc,0x0f6217ea,0x1fd427dc,0x3d885fa8,0x303b8ae0,0x64005fff,
    0x41bf205f,0xff9804fb,0x3e20002f,0x6400002f,0x3f260cfe,0x01a601cf,
    0x5bbbffd5,0xbf317e60,0x2ff81b20,0x3ee05d88,0x003decdf,0x3777ffaa,
    0xcdffb802,0x372e03de,0x403fecdf,0x3decdffb,0x00cdfe60,0x64c00b72,
    0x3262cfff,0x36e2cfff,0x6e400bde,0x3fae0002,0x00000bef,0x00100000,
    0x3f6a00cc,0x3ffda8bf,0xa833ff62,0xfeeefffd,0x199802ff,0x00198000,
    0x02003330,0x99800353,0x000b2001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x31000000,0x01022001,
    0x40008088,0x08266002,0x26099998,0x02600999,0xf1008818,0xffffffff,
    0xeb801fff,0x1cc04e89,0x01980050,0x173000aa,0x01910730,0x4c0037a2,
    0x2818803c,0x000b2a00,0x5c403ffa,0x02ccedde,0x009311c8,0xdb880722,
    0x45bddccd,0xf14fccc8,0x1730599d,0x5a89bb80,0x7f887a60,0xbb003ea2,
    0x3fb003ea,0x2a00ae20,0x2ff544ff,0x80ffc880,0x827dc1fd,0x3f6001fb,
    0x3627b001,0x01fa2000,0x209d3d50,0x017ec0ec,0x00ffffd4,0x3ba201d8,
    0x7c07e980,0x0f807f14,0x2fffe880,0x0ff10a60,0x770e8017,0x3d007300,
    0x40fbae80,0x7ec005f9,0x0b883980,0x2f8005b0,0x0fb7e200,0x8007e200,
    0x0be20e44,0xbc880174,0xe807b000,0xf007cc05,0x6a80fe29,0x2005d400,
    0x443fc408,0x0048a200,0x57026400,0x017e224c,0x00001fb0,0x07300122,
    0x000bd700,0x300801cc,0x05702fb8,0x20104cc0,0x07f600fa,0x14f80320,
    0x003ec07f,0x7c400062,0x00620007,0x081f6000,0x002fc408,0x800003f2,
    0x00100408,0x00800000,0xdf500a80,0x5c403103,0x5bddccdd,0x2fd40bd0,
    0x53e00880,0x03f603f8,0xdd99db10,0x03fc4005,0x3b33b620,0x400a802e,
    0x1013007e,0x0fc800bf,0x44330150,0x2cceddeb,0x05d33e98,0xddffffb3,
    0x4fa60079,0x5e4402e9,0xd13cced9,0x744007ff,0x987e980e,0x00ff203f,
    0x3f8a7c00,0xfb807f20,0x1004fa83,0x1fdc00ff,0x75c427d4,0x2037c00f,
    0x5f881feb,0x320affa2,0x83fae20f,0x03b23fda,0x2bf505fb,0x93f204fb,
    0x5400efda,0xd809f75f,0xf30d7fc5,0xbd005dff,0x7e40f980,0x880bfa02,
    0x9f019999,0x07b80fe2,0x4fa813ea,0x5007f880,0x427d409f,0x26c00fe8,
    0x2207fa60,0xc803a65f,0x107f440f,0x40be27f9,0x00c1302e,0x0ffe13ee,
    0x44018260,0x440fec3f,0xb00dfffc,0xe819003f,0x05ff101f,0x8177fe4c,
    0x6407f14f,0x801ff104,0x3fc401fe,0x2007fc40,0x00fd81fe,0x0fec02d4,
    0x00d9afc4,0x07ec07e4,0x817dcfea,0xf700002b,0x000df909,0xfb89f500,
    0x3fffa602,0x8802fd40,0xf8807fc0,0x03ff804f,0x981fc53e,0x2017f203,
    0x3fc406fb,0x5c02fe40,0x800fc86f,0x40fe402b,0x800dadf8,0x40fc80fc,
    0x03df53fa,0x527ed431,0x13ee09fd,0x7ed41bf2,0x4413faa4,0xb8036c6f,
    0x01fe46ff,0x7c01ff00,0x02fe805f,0x6c1fc53e,0x401ff402,0x3e200ffa,
    0x803fe807,0x07e40ffa,0x3f206980,0x0efdf881,0xfc80fc80,0xfe89fd40,
    0x44fa803f,0x89f704fa,0x3ea03ff8,0xf7027d44,0x0150be65,0x2fe83fea,
    0x86666620,0x1ff200fe,0x4f807fa0,0x80aa07f1,0xff9803ff,0x201fe201,
    0xff9803ff,0x4c007e41,0x207f200b,0x805fadf8,0x40fc80fc,0x3ffe63fa,
    0x313e602e,0x893ee09f,0x3e600cfd,0x36027cc4,0x02b80acc,0x17fc47f6,
    0x45dff930,0x3fe201fd,0xf00ff402,0x3c80fe29,0x8802ff88,0x1fe202ff,
    0x1005ff10,0x00fc85ff,0x0fe4034c,0x04fcafc4,0x07e407e4,0xff910fea,
    0x89f301bf,0xbdf704f9,0xf3001bfd,0x3604f989,0x3a05b801,0x009ff10f,
    0x02fb87ff,0xfd00ffdc,0x3f8a7c03,0x1ffc1aa0,0x300ffc40,0x3ff801ff,
    0x641ff880,0x4026c00f,0x25f881fc,0x03f202fe,0x07f503f2,0x303fffa6,
    0x704f989f,0x401bee9f,0x827cc4f9,0x2aaccdf9,0x1fd427dc,0x3fa017fe,
    0x54017d42,0x03fd01ff,0x203f8a7c,0x04fe81fc,0xb880ff98,0x3a03efff,
    0x0ff9804f,0x17e00fec,0x3e607f20,0x6c07fe25,0x541fd81f,0x37fdc03f,
    0x09f313e6,0x04fd93ee,0x27cc4f98,0xfffffd88,0xbfb970ef,0xff907fd9,
    0x9d03fd00,0x33bb6200,0x7c02dfcb,0x7ec07f14,0xa805fd80,0x3600006f,
    0x26fa805f,0x201effb8,0x41fc807e,0xf98bffda,0x3fee0bff,0x3dff712e,
    0x500a9fd4,0x227cc1ff,0x49f704f9,0x7cc02fe8,0x49027cc4,0x814da999,
    0x3fe201cb,0x4c0ff402,0x19d88007,0x1fc53e00,0x3fe20fd0,0x200fec00,
    0xff8804e8,0x5c0fec00,0xc807d802,0x8014400f,0x97d40009,0x887f602b,
    0xb827d45f,0x007fcc4f,0x04fa8bf1,0xd81cc05b,0x0ffdc01f,0x0b203fd0,
    0x8007f700,0x5c07f14f,0x9813ee06,0x0ee9804f,0x2604fb80,0x9007d04f,
    0x300f900b,0x07fb00ff,0x05b8fd40,0x15ff03fa,0xf703df97,0x401df709,
    0xefcb8aff,0x0b027cc1,0xffa803f8,0x2203fd01,0x02f4000e,0x01fc53e0,
    0x83fc80f1,0x01c004f9,0x9f307f90,0xb0097640,0x004d8203,0x0bd003f3,
    0x4fb9aa08,0xffa83fa8,0xc82df99f,0x40bfd06f,0xdf99fffa,0xbcdffd82,
    0x1d9101ed,0x33bb6200,0x4402dfcb,0x1ea8800c,0xa7d55440,0xb81aadf8,
    0x5e774c03,0x2e2002ed,0x6774c002,0x64402edb,0x904a83ef,0x3001d17f,
    0x1fa8809b,0x8b633ea0,0xfecdfdcb,0x81886203,0x42dfffc9,0x880cfff8,
    0xb7100621,0x0088079d,0x000ccc00,0x800c4014,0x2a1aaaa8,0x02a01aaa,
    0x00000660,0x00019800,0xed9802a0,0x0013000c,0xbd910031,0x00d4c083,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3fff6600,0x0003ceef,0xfb5007d7,
    0xeb883bff,0x0a0a23ff,0x00002838,0x00080400,0x1c0037a2,0x00000014,
    0x00100507,0xdb880391,0x40cfccfe,0xed8805ea,0xfff91000,0x3bfae201,
    0x3f21ed83,0x003bf6a4,0xff800bf0,0x6407cc04,0x0e980364,0xffd00077,
    0xb001ffff,0xf7000e43,0xb874c003,0xffff5003,0x36a009ff,0x04880590,
    0x3a205fb8,0x74167fff,0x3f9803fd,0x077f4400,0x0fe60f30,0x07ff09f7,
    0x200074c0,0x83c403fd,0xd804edf8,0x550006cf,0x00155555,0x800995f5,
    0xcfd8003d,0x2aaa2006,0x3a001aaa,0x04d805de,0x3f601b88,0x2e167fff,
    0xd5001d33,0x0bff5000,0xb85b8344,0x006fc84f,0x3f60002e,0xd5034402,
    0x5dd1001b,0x40000000,0x22000ffd,0x3dd10004,0x00062000,0x3200f74c,
    0xff00004f,0x222cffff,0x0b801442,0x1ffed400,0x2e090688,0x006fc84f,
    0x02fd8000,0x40000344,0xfffb5000,0xffeb883b,0x00026203,0x20000000,
    0x2eecced8,0xfda80000,0x805404ce,0x27fffff8,0x00400005,0x17fd6540,
    0x40b98344,0x1ffc44fb,0xeffffd98,0x5fb003ce,0xfc886880,0x4b803eff,
    0x2027fc00,0x27d300f9,0xfff102e9,0x9fffffff,0xffffff88,0xf704ffff,
    0xf109f507,0xffffffff,0x27c41fff,0x9db37910,0x7ffff479,0xfff91167,
    0x0097007d,0x07fee950,0x0ffc88d1,0x9fb127dc,0x2a4fc801,0x7ec00efd,
    0xf7034402,0x003f400f,0x0f100ff6,0x04fbafd4,0x3bee03d1,0xfb80f440,
    0x204fa80e,0x10f4c4fa,0x107d44ff,0x3e2ec09f,0x3ffea1af,0x3fdc167f,
    0x5000fd00,0xd1077ec9,0xdf703f60,0x2001bfdb,0x03ff84fb,0x1a2017ec,
    0xf3006fa8,0x17ec005f,0x182603c0,0x7fcc0a60,0xff302981,0x801ff103,
    0xf10a61fe,0x27c4170f,0x0fec3f88,0x0b3fffd4,0x7cc01bea,0x2254002f,
    0x6c1a25fe,0xfba7dc0f,0x213ee006,0x17ec06fc,0x6f981a20,0x00dfbb00,
    0x03c017ec,0x3a013000,0x3a01304f,0x00bf904f,0x22044df7,0x3e20887f,
    0xfb89f504,0x059a6202,0x37600df3,0x2254006f,0x20d14ff8,0xb27dc0fc,
    0x13ee009f,0x5f901bf2,0x3e606880,0x3ff68806,0x200bf600,0x2a4fda87,
    0x3f2004fe,0x06fc8006,0x3ea00ffa,0x01fe200f,0x37c413e2,0x0b3401b6,
    0x5a201be6,0x12a001ff,0x41a2bfe6,0x127dc0fc,0x9f7005fd,0x6403ff88,
    0x302c403f,0x2e7900df,0x05fb005f,0x513ea0f0,0x3fe6009f,0x0ffcc001,
    0xf3007ff0,0x03fc403f,0x5f7027c4,0xb3400be6,0x3201be60,0x5400bf73,
    0x0d5ff504,0x89f703f2,0x7dc00ff9,0x0033f624,0x04a809f7,0x43a01be6,
    0xfd800ff8,0x9f307802,0xf8804f98,0x7fc4003f,0x00bfe203,0xf880bfe2,
    0x405f8807,0x2000accd,0x037cc166,0x00ff8874,0x7fe40950,0xfb81f906,
    0x200efb84,0x0dfedefb,0xe80ff100,0x501be601,0xd803fd89,0xf307802f,
    0xd804f989,0x5fd8005f,0x8803ff80,0x1fe201ff,0x205cf7c0,0x59a0001d,
    0x4a80df30,0x4a801fec,0xfc837ec0,0xfe837e40,0x7dd3ee05,0x42fd4006,
    0x37cc03d8,0x0df303a0,0x68807f90,0x4f989f30,0x0007fd40,0x3a003fea,
    0x0ff9804f,0x6401fe20,0x66fcc1ef,0x4d002aac,0xe80df305,0xb8037cc0,
    0xc8374406,0xbfff930f,0x0cfff885,0x09fb27dc,0xecdffb80,0x06f9803d,
    0x3bbbbbe6,0x1fe402ff,0x27cc1620,0xff8813e6,0x17fc4002,0xa805fd80,
    0x03fc406f,0x3ff62010,0x400effff,0x037cc166,0xfdddddf3,0x7fe4c05f,
    0x641a601c,0x0014400f,0x2fe893ee,0x006a9800,0x05b037cc,0x9f7017ee,
    0x9f304a80,0x3f604f98,0x05fd8005,0xb003fe20,0x07f8803f,0x99201db0,
    0x3404da99,0xd81be60b,0x000bf702,0x7e402026,0x003fcc00,0x0ff989f7,
    0x40079800,0x40d106f9,0x3e200ff8,0xf880f407,0xfb827d45,0xf702e00e,
    0x2e05c01d,0x013e604f,0x76c01fe2,0x0e602d83,0x6f982cd0,0x7fc40d10,
    0x03fd8000,0xf3001f90,0x213ee003,0x44000efb,0xfa8010cf,0xfc807906,
    0x442fd405,0x457fc03d,0x7cc1efcb,0xf31a201f,0xc834403f,0x004f983f,
    0x0cc00ff1,0x805813e6,0x837d4166,0x02fe403c,0xf9005e80,0x005d9801,
    0x2ff41bf2,0x0eff5400,0x3e61fee0,0x00ffd401,0x37b37fee,0x9fffa803,
    0x27f42df9,0x4fe8bb30,0xe9817660,0x002edbce,0x2a003fe6,0x79bffb03,
    0x2cd003db,0x1f987fb8,0x000ffd40,0x36003d51,0x8004c01f,0x42dfffc9,
    0x000cfff8,0x7ffe4400,0x07dff72d,0x013fffae,0x22000666,0x3fee0621,
    0xffffffff,0x3fffee3f,0x3fffffff,0x88003300,0x003efffb,0x1e76dc40,
    0x32224900,0xff72dfff,0x3ffae07d,0x0031004f,0x00177fdc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xb0000000,0x3620001d,0x0000001e,0x40009900,0xe98000da,0x1066000e,
    0x036c4003,0xffc98e00,0x88000cdf,0x2e0000de,0x3011003e,0x33fff260,
    0x077ffae2,0x8801c144,0x4c0000de,0x3b20003f,0xdd50006f,0x7c400143,
    0x7fb0000f,0x09fbb000,0x00b12e80,0x40005f50,0x0006fc85,0x20000fdc,
    0x45ec006e,0x2fe403b9,0xed801ed8,0xf7001fdc,0x09900003,0x2d8acc00,
    0xeffbc800,0x0550002c,0x4001c400,0x4003d34a,0x0002fcf9,0x0aa00099,
    0xb00017ee,0x0e880005,0x7fffd400,0x5c27dc00,0xdf91000e,0x0016c005,
    0x14000480,0xb886001c,0x40c0003d,0x08266000,0x000e21c0,0x480009d9,
    0xf501b000,0x01c4000b,0x0000dc00,0x13ee0055,0x000001d5,0x80000910,
    0x00100000,0x44000200,0xabdecedb,0x3376e204,0x0005bddc,0x00000000,
    0x5416a200,0x0000005f,0x00000000,0x01d527dc,0x00002a00,0x004b8000,
    0x80004b80,0xdf98004b,0x882fdc40,0x47e980ee,0xeeefffc9,0x7ecc7ffe,
    0xbdeeffff,0xdfff9300,0x20fffddd,0xa84fdbda,0x3f26005f,0x5400cdff,
    0x441dfffe,0xf933effc,0xffddddff,0x75d3ee0f,0x4de44000,0xf933cced,
    0xffddddff,0x01fa000f,0x0001fa00,0xdf1001fa,0x5e82dc01,0x7e407cc0,
    0x3f20d105,0x0bfee60d,0x0d105fc8,0x217eecf5,0xfc8005fa,0x3ff44006,
    0x3f2037a0,0x3ee0d105,0xd8000fbc,0x320d7fc5,0x000d105f,0x40005ff3,
    0x20002ff9,0xd1002ff9,0xfb0b001f,0xf7019003,0x7dc05c0b,0x207fd104,
    0x882e05fb,0x85d3934f,0xfb8005fa,0x2ff98005,0x3ee01f10,0x3ee02e05,
    0x44003ffe,0x5c0fec3f,0x0002e05f,0x4000dfbb,0x20006fdd,0xf5006fdd,
    0xbf50a00d,0x3ea02200,0x27dc0205,0xf505ff30,0x4be6040b,0x017ea01c,
    0x40017ea0,0x405906fb,0x5c0205fa,0x003ffacf,0x05f713ea,0x00040bf5,
    0x000ffda2,0x001ffb44,0x003ff688,0x32000bf9,0x7d40003f,0x27dc0305,
    0x3ea13f60,0x23f70305,0x002fd405,0xd0002fd4,0x5405989f,0x7dc0305f,
    0x2007ff54,0xa836c6f8,0x9000305f,0x20017ee7,0x000bf73c,0x2017ee79,
    0xfd0003fe,0x4cccc405,0x0582fd41,0xff5013ee,0x2160bf50,0x54039afb,
    0x5fa8005f,0x87fe6000,0x82fd400e,0xfa93ee05,0x25f7003f,0x0bf502f9,
    0x443a0016,0x874000ff,0x74000ff8,0x4401ff10,0xf88002ff,0x3ff2602f,
    0x4cefd42e,0x3ee05ca9,0x207fcc04,0xca999dfa,0x40cdf985,0x2a02fd42,
    0x0002fd40,0x401e5bee,0xca999dfa,0xf513ee05,0x3336009f,0x277ea00a,
    0x4005ca99,0x001fec4a,0x003fd895,0x407fb12a,0x88003ff8,0x3ff804ff,
    0xccccefa8,0x013ee05e,0xefa85ff1,0x885ecccc,0x2a04c5ff,0x7d42c05f,
    0xdfe80005,0x99df5006,0x7dc0bd99,0x404ffa84,0x3bea001d,0x005ecccc,
    0x01be6074,0x037cc0e8,0x06f981d0,0xf80027fc,0x82fe805f,0x205885fa,
    0x7fcc04fb,0x2c42fd41,0x4cbdffb8,0xe9886fc8,0x0005fa83,0x5001ff98,
    0x640b10bf,0x1bff905f,0x5599bf30,0x2217ea05,0x3bbe6005,0x802ffeee,
    0xfeeeeef9,0xeef9802f,0x202ffeee,0xf90006fd,0x503fd00f,0xfb80a0bf,
    0x207fd404,0x740505fa,0x3260cfff,0xffffffff,0x05fa80ff,0x001ff000,
    0x4c1417ea,0x261cfffc,0x21dffffe,0xffffffd8,0x282fd40e,0x7dc0b600,
    0xf702d805,0x2e05b00b,0x07fe605f,0x2ff88260,0x7d40ff40,0x04fb8005,
    0x2fd437e4,0x000d2200,0x2fd4002a,0x00ff8000,0x0000bf50,0x4c900026,
    0x7d44da99,0x03440005,0x34401ff1,0x4401ff10,0x803fe206,0x0a600efc,
    0xfe807fee,0x5405fa81,0xf3027dc0,0x80bf503f,0x2000ae0a,0xfa801fe8,
    0x7c005405,0x0bf5000f,0x3fd800a8,0x1cc05b00,0x015017ea,0x17f201e4,
    0x2fe403c8,0x5fc80790,0x540f7e40,0x407fea03,0x05fa81fe,0x413ee162,
    0xbf504fe8,0x00162c40,0xbf5007f0,0x1ff00580,0x8817ea00,0x20176005,
    0x2a1604f9,0x9816205f,0x0ffd401f,0x3ea00fcc,0x401f981f,0x75401ffa,
    0x802dddff,0xfcbceed8,0x20df702d,0x84fc83d8,0x3ee02ffa,0x2447b106,
    0x006c8800,0x7d310df9,0x005ff100,0x1ec41bee,0x800f5440,0xedbcdffd,
    0xb106fb81,0x0fbfee07,0x727fff5c,0x3ae07dff,0x3fee4fff,0xfffd703e,
    0x00066009,0x5cc03330,0xfeeeefff,0x3ff260ff,0x0bceeeff,0xddfff730,
    0x441fffdd,0x00110000,0xffffff93,0xb801ffff,0x300beffe,0xddddfff7,
    0x31001fff,0x9db71000,0xdfff7307,0x01fffddd,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x02002828,0x5b100022,0x80880766,0x32217a61,0x3263efff,0xfeeeefff,
    0x324b807f,0x1dc95004,0x17a60030,0x00032e20,0x7005b100,0x3200264b,
    0x00400f24,0x7b000000,0x9702c880,0x159000ec,0x3ea00126,0xad809f75,
    0x07e42b98,0x3f207fb8,0xff00d105,0xf001ff13,0x881ff13f,0x90152efe,
    0xb339001f,0xfffffb00,0x806fa83f,0x001ff1ff,0x1fe63fe2,0xfa8006c0,
    0x004fffff,0x3ea03fc4,0x0177ba06,0x05ffff10,0x05c46e00,0x41bffea0,
    0x40df503d,0x002e05fb,0xa8015453,0x2a2a0ae3,0x03d05ffe,0x4c00d960,
    0x80aaaaaa,0x2a29801b,0x35154002,0x7776dc40,0x2aaa200c,0xa8001aaa,
    0x2a02b801,0xb88000ee,0x0000000b,0x82401b88,0x17ea06f9,0x00620008,
    0x2ea0c000,0x32002980,0x000004bb,0x00001000,0xe9acbe00,0x00002003,
    0x00000000,0x3f6a0010,0x75c41dff,0x800003ff,0x17ea06f9,0x676c400c,
    0x00002eec,0x2e000000,0xfff91005,0x7ffe447d,0x004b803e,0xdddfff93,
    0x27a8fffd,0x25c00f25,0xefffc980,0x187ffeee,0x3bbfff26,0x2007ffee,
    0x27fc004b,0xf9103e60,0x3f227dff,0x37cc3eff,0x0160bf50,0x09f507f7,
    0xfb85dff5,0x3bfff224,0x3bfff223,0x4007e803,0x1fee07fb,0x64007e80,
    0xfd8d105f,0xe801ccb0,0x82fe4007,0x5fc84868,0x3f400d10,0x100ff600,
    0xb83fdc0f,0x40df307f,0xca999dfa,0xa813ea05,0x985fa84f,0x5c0ff706,
    0x5ff3007f,0x5037d400,0x3fe600df,0x817ee002,0x02d7ee0b,0x0017fcc0,
    0x205c0bf7,0x702fdc0c,0x05ff3001,0x22017ec0,0x541bea06,0x40df306f,
    0xeccccefa,0x801ff105,0x40fe81fe,0x40df502c,0xfbb006fa,0x037cc00d,
    0x37600df3,0x17ea006f,0x2effc408,0x037eec00,0x4040bf50,0x102fd41d,
    0x01bf7600,0x34402fd8,0x3e60df30,0x540df306,0xf905885f,0x50df700b,
    0x3e60689f,0x201be606,0x2003ff68,0x1be606f9,0x00ffda20,0x20305fa8,
    0x2002fff9,0x2003ff68,0x3a0305fa,0x0182fd42,0x007fed10,0x1a2017ec,
    0xdf306f98,0xfa81be60,0x0ffa0505,0x3a03fea0,0x7cc0950f,0x201be606,
    0x200bf73c,0x1be606f9,0x02fdcf20,0x40b05fa8,0x9004ffd8,0x54017ee7,
    0x0fe0b05f,0x40160bf5,0x200bf73c,0x034402fd,0x1be60df3,0xbf5037cc,
    0x803ff800,0x3fa81ff9,0x037cc01b,0x21d00df3,0xf9800ff8,0x201be606,
    0x001ff10e,0x95333bf5,0x0bffd00b,0x03fe21d0,0x26677ea0,0x44f885ca,
    0xca999dfa,0x3e21d005,0x02fd800f,0x0df30344,0x37cc1be6,0x0a80bf50,
    0xf1005ff1,0x167fa05f,0x7cc0df30,0x3f625406,0x206f9803,0x225406f9,
    0xefa803fd,0x805ecccc,0x2a03fe8d,0x5401fec4,0x5eccccef,0x77d45f98,
    0x805ecccc,0x401fec4a,0x034402fd,0x1be60df3,0xbf5037d4,0x0ffe2c40,
    0x5c07fe20,0x37cc02ff,0x0e80df30,0x7cc037cc,0xd01be606,0xa806f981,
    0x5805885f,0x20740df1,0x5fa806f9,0x46f98588,0x805885fa,0x4037cc0e,
    0x034402fc,0x1be60df3,0xdf703fdc,0x9fd0f620,0x401ff300,0x06f9807f,
    0xef981be6,0x02ffeeee,0xdf3037cc,0x77777cc0,0x7d402ffe,0x25850505,
    0xdddf307d,0xa805ffdd,0xff50505f,0x80505fa8,0xfeeeeef9,0x01fe402f,
    0x06f98162,0xffc88df3,0x3fee62df,0xfffeeeef,0x5402fec0,0x4026406f,
    0x1be606f9,0x0bf702d8,0x3e606f98,0x7dc0b606,0x002fd405,0x209b2c1d,
    0x80bf702d,0x3ea005fa,0x8002fd47,0x80bf702d,0x025404fb,0x1be60df3,
    0x2b8002c4,0xb003fe20,0x800e803f,0x1be606f9,0x1ff10344,0xf3037cc0,
    0xf881a20d,0x017ea00f,0xf3593a15,0x7c40d103,0x017ea00f,0xf50b6215,
    0x3440a80b,0x4401ff10,0x300f407f,0x41be60df,0x07d0006b,0x3e604fb8,
    0x9802cc04,0x41be606f,0x02fe403c,0x37d40df5,0x2fe403c8,0x2c40bf50,
    0x199d9fd7,0xbf900f20,0xb102fd40,0x440bf500,0x7e403c85,0x442fd405,
    0x837d403d,0x17f506fa,0x0976c002,0x9f307f90,0x003a2660,0xdf5037d4,
    0xfa803f30,0x40ff701f,0x01f987fb,0xfb80ffd4,0x3107b106,0x401f980b,
    0xdf701ffa,0x2e00f620,0x987b106f,0x0ffd401f,0x3b37fee0,0x07fb803d,
    0x7f5c0ff7,0xdf91000c,0x5e774c07,0xfff302ed,0x03fdc005,0xeffb8ff7,
    0x9fffd703,0x16fffe44,0x25bfff91,0xd703effb,0x7dcc9fff,0xffeeeeff,
    0xfb81200f,0xffd703ef,0x7ffdcc9f,0x0fffeeee,0x3bffee60,0x20fffeee,
    0xd703effb,0x33009fff,0x3ff22003,0xfff912df,0x0000005b,0x32003300,
    0xff91002d,0x7fe445bf,0x000002df,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000b70,0x27b00000,0x476602d8,0x000000da,
    0xddddb031,0x999881dd,0x80400980,0x400aa000,0x006001c9,0x2e201310,
    0x0154c001,0x2a201b88,0x54001532,0x20103932,0x000ffc00,0x3203f500,
    0x82ffffff,0x40bf56f9,0x005fb3fc,0x707f6000,0x81999999,0xd934ffb8,
    0x12601dff,0x9fd50019,0x403ffa00,0xbccaccb8,0x21bfe200,0x6c003ffb,
    0x2ffb801f,0x0374be60,0xffd4fea8,0x400c8930,0x06600029,0x2aa607f3,
    0x3700aaaa,0x2171005c,0x20000038,0xc80000ea,0x3ea1d8cf,0x7b1bb01f,
    0x1027cc00,0x6c4176d4,0x32039101,0x3fb82fac,0x90017c00,0x3f2dc05f,
    0xdaa7cc00,0x3d8ec81e,0xbd300000,0x0759ddb9,0x00000000,0xdfffda80,
    0x5fff5c41,0xd33e980a,0x06efdc05,0xff882fd4,0x827cc006,0x6c40c848,
    0x2626ea60,0x1b124c1c,0x2a003fa8,0xfecca803,0x1261904d,0x0489f300,
    0xff10dff1,0xffffffff,0x2e07f209,0xfffc984f,0x47ffeeee,0x53efffc8,
    0x883bfffd,0x7fc3effc,0x2007cc04,0x409f75fa,0xff101ffb,0x0006a603,
    0x313609f1,0x5b30d889,0x8727f711,0x03fa8100,0x4cc40060,0x04301bfc,
    0x7327c400,0x7440d4c0,0x901df701,0x81fe405f,0x20d105fc,0x7fe887fb,
    0x7ec06f40,0x9803c403,0x0bf70060,0x05303fd8,0x13e22a20,0xa83993f2,
    0x29701f31,0x088a8848,0x88031fd4,0x2530088a,0x0d4402fb,0x4f88a880,
    0x80a88073,0x03ff3029,0xff880df3,0x2e05fb80,0xf306fa80,0x403e205f,
    0x034402fd,0x04fb8000,0x2fa627e4,0xdd880cfc,0x6d44fdca,0xe9204cef,
    0x36248a04,0x7d41fdab,0x443fffab,0x4c1fdabd,0x02fedacf,0x05ff79b1,
    0x3f72b762,0xebce8804,0x7f40260d,0xb007fd04,0x40bf509f,0x5c0df300,
    0x6c05906f,0x5034402f,0x27f549fb,0x7e404fb8,0x4fa83e25,0x427e44e8,
    0xf34804f8,0x1dc32007,0x39df507a,0x21dc9ff9,0xe887e61e,0xfd87b02f,
    0x27e44e82,0x4fa8be20,0xf106fc80,0x0df9003f,0x98060bf5,0x227f406f,
    0x017ec059,0x89f501a2,0x09f704fa,0x21325fb8,0x2607dc6f,0x404f884f,
    0x2005f538,0x41a8bd2a,0x87fcc3fa,0x0bd0d45e,0x81f905f9,0x207dc5f8,
    0x43e404f9,0x0ffcc05d,0xb801ff98,0xb05fa87f,0x26037cc0,0xb003a1ff,
    0x4068805f,0x827cc4f9,0x27dc04fb,0xdddddddf,0x27c437c3,0x9a4027c4,
    0x3217003f,0x0fea01ef,0x0f7e4bfa,0x17dc27cc,0x20fe8374,0x404f886f,
    0xff88005f,0x003fea03,0xbf503fea,0x40b95333,0x6fb806f9,0x05fb0079,
    0x27cc0688,0x27dc13e6,0x1fc4fee0,0x7c42fc40,0x4804f884,0x89200bf1,
    0xfa80dffd,0xfb13fc83,0x41fd41bf,0x837c42fb,0x10bf12fd,0x02fc409f,
    0x2602fec0,0x7fa801ff,0xccccefa8,0x01be605e,0xd8036ff4,0x2034402f,
    0x827cc4f9,0x97e404fb,0x6f9804f8,0x4f884f88,0x03f51b80,0x3ea12251,
    0x41fd41ff,0x7ffd42fb,0x5f707f71,0xfc80ff88,0x9f10df32,0x2003fc40,
    0x7c400ffa,0x86fb802f,0x205885fa,0xff3006f9,0x00bf2003,0x44f980d1,
    0x09f704f9,0x03fe0fc8,0x207fc426,0x04f884f8,0x2bbea588,0x218723b9,
    0x1fd45fc8,0x322187ec,0xf70bf55f,0xf905fb05,0xf103fe21,0xa81ff809,
    0x8017fc40,0x4fc803fe,0x40505fa8,0x3fe006f9,0x807f9000,0x227cc058,
    0x4bf704f9,0xf90ba1e9,0x1ff4483d,0x17e217e2,0x35312cc0,0x3742c1c8,
    0x597e0fea,0x81ff16e8,0x84fb82fb,0x221ff45d,0x22fec05f,0x005fd838,
    0xff101bea,0x000bf501,0x7fc00df3,0x809f7000,0x22fc404a,0x4bf904fa,
    0xf10b56fa,0x985f9bff,0xefd98cff,0x01cf7c09,0x2c8806cc,0x2a1743e8,
    0x7d075c5f,0x4fff22e8,0x7441cfea,0xf303a61f,0x3dfb319f,0x2fbfe201,
    0x077dc0fc,0x02fd8170,0x2fd40bee,0x0df302a0,0x88007fc0,0x400f407f,
    0xefcb8aff,0x33ffee61,0x20199fd2,0x502dffe9,0x5df5dfff,0x2003df90,
    0xcdcacdb8,0x997dfd01,0x37b3bee0,0x265f7f40,0x7de7ffe4,0xdcfd881d,
    0xdfff501d,0xe9805df5,0x7fcc1dff,0x3621a201,0x203fb81f,0x216205fa,
    0x3fe006fa,0x217e6000,0xff5003d8,0x005bf33f,0x01100098,0x200c4260,
    0x02620000,0x8800c420,0x00621009,0x20026131,0x44260018,0xe8044001,
    0x8176604f,0x1decbdeb,0xd8837dc0,0x1007fb83,0xda8005ff,0x003decdf,
    0x000310c4,0x00000000,0x00000000,0x00000000,0x00000000,0x3ffee000,
    0xffffffff,0x80198803,0xeeefffb9,0x3220fffe,0x2e02dfff,0x000beffe,
    0x00000198,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0x32a002a9,0x40020001,0x400cc003,0x200550a9,
    0x000001a9,0x00800440,0x10001980,0x00402081,0x05530022,0x00001800,
    0x4cc00103,0x00188020,0xca800fec,0x362000d8,0x0e402ece,0x403ffa80,
    0x003f98fd,0xec9803fd,0xeeefffdd,0xccd80fff,0x2002cc05,0x71004ff9,
    0x4599dbbd,0xd8806449,0xfd101dcb,0x665c4001,0x1000bcca,0x57bd9db7,
    0x66edc409,0xbb85bddc,0x7f003fda,0x02a86400,0x034cbd10,0x2ba20126,
    0x54ba00fc,0x803f1006,0x3fea0bfa,0x9b206c40,0x0003603f,0x9003f75d,
    0x6c2fd81d,0x5d103d8d,0x05f102f4,0x64407620,0x206fcc01,0xdd105fb8,
    0x4a8fd301,0x12a01fe4,0x01d5b300,0x1f88fea0,0x50dc0340,0x01c96209,
    0x5fb80570,0x83501ff0,0x1dc17a4f,0x0598aa00,0x42e817c4,0x3ee06ff8,
    0x093012e0,0x33333b10,0x3be20390,0x2f416e00,0x45d83e60,0x000c06f9,
    0x2e000a88,0x3201aa3f,0x88040402,0x40180060,0x1ff00ff8,0x324f8820,
    0x08005987,0x817dc008,0x201a982b,0x8030006d,0xb9fe88d8,0x3a20e45e,
    0xfd85800f,0x1f60c801,0x826a21fe,0x000000a8,0x00ba6df5,0x05440126,
    0x0a880000,0x7fc0bf90,0xb27c40c0,0x00001d0d,0x207bea00,0x088a8818,
    0x000007e8,0x7f536c35,0x01bea244,0x4017ea14,0xdf10e608,0x57e56ec4,
    0x2a0dfbdc,0x13faa4fd,0x21b9ff10,0x0684ccc9,0x06f5e744,0x7f549fb5,
    0xbd79d104,0x3e04fe81,0x25e82c0f,0x5401644e,0xffb88dff,0xe89bee1d,
    0x5ec403ff,0x07e81fda,0xfd527ed4,0x226d8909,0x17f2244f,0x001fe400,
    0x3e43f700,0x44f993fe,0x027d44fa,0x1fe437ec,0x45f102b8,0x227d44fa,
    0x22f884fa,0x01ffc4fa,0x0f9535ff,0x987e23e6,0x90fee005,0xf986885f,
    0x87702eff,0x2ffaaa1e,0xa89f502a,0x736c484f,0x3fa0c83f,0x05fd0003,
    0x00ccccc4,0x7f46c89d,0x13e63f41,0x66c409f3,0x302e42ff,0x1761f209,
    0x84f989f3,0x3e25d87c,0x333fe02f,0x2f2607ec,0x03503a20,0x713e637c,
    0x3fff2205,0x86a2f40d,0x05eeffed,0x44f989f3,0x6f67ec38,0x5ff12a80,
    0x05ff1000,0x8177fe4c,0x7f4c106a,0x21eeeeee,0x827cc4f9,0x41ff93fa,
    0x5f83401e,0xf989f300,0xff005f84,0x1a07fc07,0xae88b200,0x543f905c,
    0x2601a0ff,0x3f20fffe,0x007ec01e,0x09f313e6,0x20db6d89,0x007ff10b,
    0xf009ff10,0x5006c07f,0x3001fd7b,0x984f989f,0x557fe24f,0x7c42b803,
    0x989f3005,0x802fc44f,0x03fe04fd,0x744a8007,0x9f307f15,0x0499fdec,
    0xd89bfee0,0x0f900dff,0x4f989f30,0x4f8b6c48,0x0027fc48,0xfe805ff8,
    0x36207102,0x3001fb0c,0xc84f989f,0x2dffd41f,0x3fc45980,0x7cc4f980,
    0xb803fc44,0x003fe05f,0x3e20e880,0x9bf417e3,0x2a032df4,0xa81ff500,
    0x07c81fff,0x27cc4f98,0x7d4db0dc,0x0dfb1222,0x201ff200,0x203301fe,
    0x4417e47e,0x9f313e60,0xffb03ff0,0x7fc34005,0x13e60a81,0x03ff09f3,
    0x807fcc15,0x803300ff,0xfb1fcc1d,0x6436bee0,0x4057059f,0x7e4431fd,
    0x4c305c85,0x4427cc4f,0x7e43fd35,0x1ff98391,0x3fe20980,0x080ff402,
    0x5fa8bf10,0x2a2fc448,0x984ff84f,0xb81c1fff,0x0e22fec2,0x84fa8bf1,
    0x541c45fd,0x201ff05f,0x7c425405,0x77c417a4,0x5c0bbe64,0x42c3fa05,
    0x077f2e6e,0x2a2fc453,0x333b304f,0x901c9983,0x414c01df,0x3fa01ffb,
    0x32fe8001,0x3d77ffdb,0xf9715ff0,0x8cffb83d,0xcffeaeb8,0x88b101da,
    0x80fcbeff,0xefcb8aff,0x65f7fc41,0x417f700f,0x2e441ffa,0x8af40d10,
    0xd07f602f,0x5427dc0f,0x25d0fa3f,0xdbffdd28,0x9715ff0f,0x036603df,
    0x3f201644,0x2a03a81e,0x03fd01ff,0x3fea0df1,0xeffe88cf,0x33fff502,
    0xfec885bf,0x3ff624ff,0x74c3403f,0xff501dff,0x305bf33f,0xa803bffd,
    0xffffddec,0x202ffeee,0x2e7e601d,0x2e16a00e,0x37f72e04,0x77f43fec,
    0x473624cb,0xfa82effb,0x02df99ff,0x372b36e2,0xffd5001c,0xb1005bbb,
    0x5bf979dd,0x1301be60,0x43100310,0x20198018,0x20130018,0x22188008,
    0x80008801,0x22000098,0x002b8802,0x20401101,0x062101a9,0x2200c044,
    0x31000621,0x01980001,0x800ccc00,0x00000008,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x01544000,
    0x2a0004c4,0x0006001a,0x20002015,0x4c401018,0x00aa6000,0x01800553,
    0x200620c4,0x20620000,0x11001000,0x00310008,0x2a001310,0x806a601a,
    0x2fc800aa,0x000ffd80,0x3b2003be,0x88d004fc,0x201ccbcb,0x2eeccdd8,
    0x0ffec059,0x4401fd80,0xffd8807e,0x2e32e02f,0x373aa01d,0x86f6e004,
    0x2cc00fc9,0x881a0ec0,0x02eecced,0x8806ff88,0x1be600ef,0x3e804fb8,
    0x05e9ea80,0x9b003f50,0x224c06f8,0xfb83544c,0x204efa83,0xf005d9e9,
    0x00be2005,0x01ffb57b,0x3e2027e4,0x9d1017a1,0x3a007cc0,0x82cc6800,
    0x04fa83fb,0x201fcee4,0x0fa800fa,0x0b301b20,0x801c8320,0x41f9801c,
    0x887202fa,0x2a17c41f,0x813ee04f,0x9500b20c,0x2e049800,0x6cc1fe40,
    0x1ba00ecb,0x13e603f5,0x1dc01f30,0x20ee3440,0x13ea04fa,0x401b1244,
    0x00ee001c,0x0800401b,0x20030030,0x340df07c,0x88fe0bea,0xfdd100ff,
    0x80301105,0x80030001,0x3a0a83f9,0xf887f705,0xf300dd05,0x4c016601,
    0x3fe20e44,0x040ff400,0x20006008,0x4d400801,0x00000710,0x3fa0dd00,
    0x7fc44980,0x5fc83ea0,0x81bee7a0,0x351001a8,0x0006a200,0x54c401f5,
    0xf81fc84f,0x400fe40f,0x401b00f9,0x999bc998,0x017f209e,0x02981bee,
    0x0a600530,0x56ec02a0,0xfb50dafd,0x2a27f549,0x13faa4fd,0x40ff41fe,
    0x99efc81c,0xd827f40e,0xd881ff32,0xb102ffbc,0x2205ff79,0x002ffbcd,
    0x2f76203b,0x07f41ffd,0x2df30ff4,0x01f300a8,0xfcca8077,0x23cfcccc,
    0xffa803fe,0x67e5f4c0,0xcfcbe980,0xcfcbe980,0x203fae20,0x2a1fec3d,
    0x5427d44f,0x6427d44f,0x680fe82f,0x203bff20,0x263b83ff,0x361ec1ff,
    0x7ec3d82f,0x17ec3d82,0x3a03db10,0x3fe27ec3,0x3ee2fd80,0x40cfdcbd,
    0x003440f9,0x7ff0931a,0x443ff300,0xf113ea0f,0x3e227d41,0xfd113ea0,
    0x7e41fb81,0x3e627cc5,0x7cc4f984,0x220ef984,0x7404986f,0x17fc43ff,
    0x45ff116a,0x22fc40fc,0x22fc40fc,0x82fc40fc,0x642fffd9,0x3e26f987,
    0x7ec7fb07,0x9711fe43,0x81b81d87,0x3e21dc58,0x2ff8802f,0x991be132,
    0xf84c8df0,0x3f40fd86,0xf983faee,0x7cc27cc4,0xfc827cc4,0xc84fdbcf,
    0x3feeb601,0x1d31ffc4,0x1ba1ff98,0x20dd07f4,0x741ba0fe,0x23fe400f,
    0x10ff886f,0xe87f60ff,0x4037c40f,0xa82fa83a,0x1ffc0e44,0xdf0ffc40,
    0x43dddddd,0xeeeeeeef,0x3bbbbbe1,0x107e41ee,0x2fc9d4df,0x09f313e6,
    0x04f989f3,0x682fc8d4,0x1ffa9360,0x407457fa,0x41be27fa,0x20df12fd,
    0x20df12fd,0x1fd802fd,0x8bfa0df1,0x20fd81ff,0x01ff80ff,0x8bf261a2,
    0xfcccddca,0x013fa3cc,0x1fc43fe6,0x4401fc40,0x83f2003f,0x7dc957f8,
    0x9f313e62,0x4f989f30,0xa81ff100,0xfa83f304,0x816dbf24,0x03fe26fb,
    0x07fc4bf2,0x0ff897e4,0xfa802fc8,0x3f20ff11,0x1fa0bfa1,0x03fb01fb,
    0x17d620ec,0xd3335d31,0x02fec133,0x09f137d4,0xf1009f10,0x207e4009,
    0x07e45bff,0x84f989f3,0x027cc4f9,0x01c81fb8,0x44dd01f7,0x3f603cff,
    0x7e417ec1,0x3f20bf60,0x3f20bf60,0x7fc6a800,0x3ee0fd80,0x17e45f83,
    0xb0950364,0x931a0be1,0xb003fe20,0x980ff83f,0x82603fe0,0x640980ff,
    0x6c37dc0f,0x3ea2fc46,0x7d45f884,0xd01fa804,0x1e417cc0,0x3fa81bea,
    0x45d84fb8,0x5c5d84fb,0x9005d84f,0x5f83fd87,0x07ea27c4,0x209f09f1,
    0xfaacb868,0x0771621c,0x9f3027dc,0x4483df90,0x32241efc,0x7e4241ef,
    0xd30ffc40,0x9715ff01,0x15ff03df,0x5403df97,0xe807502f,0x3e607c45,
    0x105e983f,0x2074c3fd,0x03a61fe8,0x074c3fd1,0x40ea82f2,0x03aa0ff8,
    0x703e83ea,0xc807cc3f,0xcfaaa981,0x803912a1,0x04f983fc,0x5f9bfff1,
    0xfcdfff88,0x66fffc42,0x6c1fd82f,0x01ddcfd9,0xbf33fff5,0x33fff505,
    0xbbb885bf,0xb1007200,0xe883777d,0xedbced98,0x6e7ec402,0xb9fb101d,
    0x33f6203b,0xdffd81dd,0x33fa204e,0x2f6a00dd,0x65ed403d,0x2009500e,
    0x01a15c2f,0x76de774c,0x6fff4c02,0x5bffd302,0x0b7ffa60,0x263dff71,
    0x22002621,0x43100621,0x20013018,0x3100c002,0x88001330,0x80062001,
    0x00988018,0x03000620,0x05c00880,0x204c0a80,0x00198002,0x01100088,
    0x00000220,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x44000000,0x40200acb,0x005dc400,0x4c080201,
    0x00198000,0x0aa802aa,0x08804040,0x80040300,0x2877aa00,0x19100ee0,
    0xb92a0326,0x15500403,0x83802a20,0x2600020b,0x1007301c,0x207d539d,
    0x9006a0d8,0x06c40b33,0x3b3a2035,0x801cdccf,0xf9803ffa,0x2027d405,
    0x3b21221c,0x4c25405f,0x81dc00fc,0x1cdffcc8,0x6401ff10,0xff07fb4f,
    0xd501ff13,0x2217e609,0xa80debce,0x15c4ecdf,0x3a6ea091,0x401fd84f,
    0xb807e46c,0x25805b9e,0x2dcf5c05,0xb817df30,0x7e57402f,0x40075c00,
    0x4dfc406c,0x0f99440e,0x07cc0d10,0x910c0b10,0x403a807d,0x501930c8,
    0x3ae215c7,0x881d704f,0x5c13ea2f,0x8ce80cfe,0x320f881e,0x5f803986,
    0xffd01fcc,0x0b779003,0x4c01ffd0,0x40bee01f,0x1b012a1b,0x2e006c00,
    0x01d403ff,0x007cc039,0x0000003b,0x98000000,0xf901b04f,0x54000bb0,
    0x00f905ff,0x7d45f800,0x800aa603,0x05530029,0x7fc40598,0x0c008081,
    0x15400400,0x26037f20,0xb807cc04,0x00266003,0x014c00a6,0x3e600998,
    0x017e0304,0x15500a60,0x80001f60,0x007e44f8,0x00266000,0x033006a2,
    0x4cc09fd0,0x80099800,0x09980099,0x0741fd40,0x1a203e60,0x1fe56ec0,
    0x0cfcbe98,0x0cfcbe98,0x03fcadd8,0x105409f1,0x5f4c00bf,0x01500cfc,
    0x00a801fa,0x0f6453e2,0xfea93f6a,0x7f95bb04,0x3fef3620,0x37dc0002,
    0x81fe56ec,0xb03fcadd,0x3607f95b,0x6403fcad,0x7cc01643,0xfb801d80,
    0x1f103fa0,0x83e227d4,0xd07dc4fa,0x889f101f,0x1fe20feb,0x9f507c40,
    0xe807f5c4,0x07f5c407,0x3f6a9f10,0x7d44fa82,0x3fa0fb84,0x17ec3d80,
    0x41ff3000,0x703fa0fb,0x2e07f41f,0xf703fa0f,0x43107f41,0x4c01660d,
    0xd802540f,0x13207e47,0xdf0991be,0x407e47d8,0x0fe884f8,0x90540ffc,
    0xfe88df09,0xd100fd00,0x227c401f,0x227cc4fb,0x647d84f9,0x2207e40f,
    0x3bbfee5f,0xeeeeeeee,0xf91f62ff,0x07e47d81,0xd81f91f6,0x9b307e47,
    0x1b80e815,0x4688f2e2,0x754100a9,0x77777c1f,0x3bbe1eee,0x041eeeee,
    0x9f103fd5,0xbfb03f60,0x7777c388,0x7ec1eeee,0x3600fd00,0x213e200f,
    0x313e60ff,0xfea8209f,0x0fe83741,0xf3003ff5,0x3faa083f,0x07faa081,
    0x081fea82,0x64007faa,0xd802fa82,0x40bf7361,0x221fcadb,0x03f8803f,
    0x0fe56dc0,0x0fc827c4,0x7e5f7fc4,0xc800fe20,0x200fd00f,0x13e200fc,
    0x44f98bf6,0x2b6e04f9,0x41be21fc,0x07ff32fd,0xb701ff90,0x36e03f95,
    0x5b701fca,0x2b6e03f9,0x859801fc,0x25402fc9,0x3a22ec31,0x4f887f23,
    0x1004f880,0x440fe47d,0x301f904f,0xf883bffd,0x403f2004,0x01f9007e,
    0x1fe427c4,0x84f989f3,0x887f23e8,0x22fc80ff,0x6fe805ff,0x83f91f44,
    0x107f23e8,0x220fe47d,0x2007f23e,0x02fac40e,0x44c803a2,0x3e0fe46e,
    0x3fe0980f,0x91ba0980,0x209f103f,0x80ea00fc,0x640980ff,0x200fd00f,
    0x13e200fc,0x44f987ea,0x646e84f9,0x6417ec1f,0x101fea0f,0x646e85ff,
    0x3f23741f,0x07f23741,0x401fc8dd,0x05f0d83b,0x883a0164,0x320fe46f,
    0x3f2241ef,0x8df1241e,0x04f881fc,0x17ec01f9,0x4241efc8,0x00fd00fc,
    0x4f8803f2,0xbf11ae17,0x37c44fa8,0x09f707f2,0x407fb0bb,0x237c45fc,
    0x91be21fc,0x3237c43f,0xf91be21f,0x65c34403,0x5981cfaa,0x57f40ec0,
    0x223bfed9,0x42fcdfff,0x2fcdfff8,0x7f6cd7f4,0xc827c43b,0x881fc00f,
    0x82fcdfff,0x00fd00fc,0xcf9803f2,0xff09b3f8,0x83df9715,0xbfed9afe,
    0xe987fa23,0xb83fd880,0x9afe80df,0x3fa3bfed,0x23bfed9a,0xbfed9afe,
    0x3b66bfa3,0x303b03bf,0xd039f555,0x5410e401,0x0ef99efe,0x816fff4c,
    0xa82dffe9,0x0ef99efe,0x1fd82fcc,0x4c01d710,0xfb02dffe,0x001ff103,
    0x3fa603fb,0x2a09bb94,0x2df99fff,0x7ccf7f54,0x6e7ec40e,0x6775c01d,
    0x3aa02efc,0x20ef99ef,0xef99efea,0x267bfaa0,0x3bfaa0ef,0x4b80ef99,
    0x05905f00,0x03b337a2,0x00880102,0x08100110,0x11cffeb8,0x1103dff7,
    0xb8804400,0x3f6a1eff,0xff7102df,0x8800003d,0x08100621,0x44000c40,
    0x02040019,0x08100408,0x01c01020,0x20388150,0x002aaaa9,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x22000000,0x2a600261,0x0330c401,0x13100ee0,0x0e447220,0x03b80008,
    0x17300880,0x0a8fb220,0xa8800550,0x88202088,0x263efffc,0x442efffc,
    0x2aa20311,0x26008000,0xd910770c,0x20540547,0x40173029,0x67ecc0b8,
    0x7405ffe8,0x19fb300f,0xf880bffd,0x0bff300f,0x827dd7ea,0xf881222b,
    0x0fe6000f,0x2a01ff91,0xa85bffeb,0x7b1004fe,0x30e43fb5,0x5c0ff707,
    0x4e7ecc7f,0x44fa83ff,0x0cdfffc9,0xffc88bfb,0x5d44ff98,0xf105bffe,
    0xf910db9b,0x1ff9101f,0x88cefb88,0x03f301fd,0x44677dc4,0x01dc02fd,
    0x7103f57b,0xce803223,0x01d401e8,0x7ec0ffa0,0x0f6d4500,0x77004fa8,
    0x26fe61e8,0x206fa80e,0x6fdc46fa,0x05d81dab,0x3ffa1bf2,0xdb90fd80,
    0x807b6a28,0x3601dfd9,0x203f600f,0x817d45f9,0x45f9802b,0x2a0003fa,
    0x40001662,0x00005ffa,0xfb03fdc8,0xfb700001,0x2f40799d,0x07ff906a,
    0x5fa81be6,0x0e806f88,0x6c417ee0,0x1220fd80,0xfb000000,0x4407e401,
    0x1827cc4f,0xf989f100,0x8080cc04,0x00351008,0x2a2002aa,0x3faca800,
    0x00001f90,0x0133bf51,0x5100f7e4,0x5037cc05,0x809f10bf,0x02fd4008,
    0x0c83f20b,0x22003510,0x007e401a,0x89f101f9,0x330c44f8,0x3e227c40,
    0x54005404,0xff79b100,0x9d100005,0x3a201bd7,0x1f903fa8,0x3aa4fda8,
    0x264f884f,0x1bffb101,0x26062310,0x217ea06f,0x88c404f8,0xb885fa81,
    0x02e1f900,0x0bfef362,0x17fde6c4,0x3f200fc8,0x2227c408,0xd19fb34f,
    0x13e20bff,0x205809f1,0x7b00feb8,0x6f742fd8,0x223ffccc,0x6c13ea2f,
    0x3f207f51,0x7d44fa80,0xfe8cf884,0x3ffea05f,0xff39fb31,0x2a06f987,
    0x304f885f,0x87ff39fb,0x640285fa,0x361ec00f,0x7ec3d82f,0x3200fc82,
    0x227c45af,0x9df714f8,0xf105fb11,0x2e04f889,0x407f4403,0x22fc40fc,
    0x3e45fb85,0xf52542ec,0x2603f207,0x4427cc4f,0x2fd88cef,0x22bf910c,
    0x41dabdfb,0x17ea06f9,0x7dc413e2,0x7d41dabd,0x00fc8005,0x8bf103f2,
    0x42fc40fc,0x643d88fc,0x444f885f,0xf517e64f,0xf889f107,0xb001f304,
    0x3a0dd01f,0x1df30a0f,0x8b1005f8,0x01f903fa,0x84f989f3,0x21fd45f8,
    0x1be26e85,0x7d40df30,0x2204f885,0x02fd406f,0xdd007e40,0x06e83fa0,
    0x98fc81fd,0x4c07ec5f,0xf127c45f,0xf984f989,0x5e82fcc5,0xf881f900,
    0x2205fb06,0x02fc41fe,0x81fd40d8,0x44f980fc,0x44f884f9,0x3a1f44f9,
    0xf3013e22,0x4c2fd40d,0x013e205f,0xf9000bf5,0x6c1be201,0x360df12f,
    0x0987e42f,0xea81fdb1,0x49f10cff,0x227c44f8,0xea8bffea,0x0fee0bff,
    0x3e207e40,0xb02fc80f,0x00ff107f,0xfb9999d7,0x80fc839d,0x427cc4f9,
    0x227c44f8,0x444cbefe,0x037cc04f,0xffea8bf5,0x404f880c,0xfc8005fa,
    0x901ff100,0x203fe25f,0x407e42fc,0x2000fc9b,0x113e24f8,0x8028809f,
    0x641ec0fe,0xc82fd80f,0x205fb80f,0xf90a81ff,0xffffffff,0xf980fc87,
    0x7c427cc4,0x4c227c44,0x9809f105,0x413ea06f,0x013e2019,0xf9000bf5,
    0x6417ec01,0x320bf60f,0x9007e40f,0x1fcc001f,0x04f889f1,0x3fe03fcc,
    0x07e43f40,0x42ec27dc,0x3f600ef9,0x7d401c45,0xf101f903,0xf884fa8b,
    0xfb827c44,0x5404f884,0x2fa8d46f,0x3e209f90,0x202fd404,0x7007e40a,
    0xfb8bb09f,0x0fc85d84,0x41003f20,0x113e20f9,0x03f3009f,0x216e17dc,
    0x1fe880fc,0x3fd103a6,0x5f7fc470,0x3fa800fc,0x3fe01f90,0x41efcb8a,
    0x027c45f8,0x809f10bb,0x5dbe27fb,0xf8836406,0x202fd404,0x2200fc85,
    0x103a61fe,0x4074c3fd,0x03f200fc,0x44c9df88,0x02fcc5f9,0xdf101366,
    0x3f607623,0xbb9fb101,0x5507fb03,0x01dffe98,0x3f607f50,0x33fff501,
    0x45f985bf,0x2ea885f9,0xf9105f98,0x37f65bff,0x05d5101c,0xdf9017e6,
    0xfb07d310,0xdcfd8803,0xb9fb101d,0x807f603b,0x6f6401fd,0x45fff542,
    0x300bffea,0x566d4001,0x0f7fdc40,0x7fd40310,0x02feeeee,0x3fa80011,
    0x102effb8,0x7f540c43,0x3ffda8cf,0xffea80c4,0x0098000c,0xffd500c4,
    0xfffc9819,0x0fffffff,0x40177fdc,0x00620018,0xb885dff7,0x00002dff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x889ffffb,
    0x7403911c,0x1fffffff,0x00000804,0xaa800002,0x98070700,0x00200009,
    0x00200000,0xfca80298,0xff911dff,0x3fae201f,0x0e20cc3e,0xfd7002a8,
    0xfd301bff,0x000550bf,0x03ffffe6,0x413eebf5,0xeeeeeff9,0x80644987,
    0xfd87e87e,0x5f980005,0x0fb37ae0,0x01fe56ec,0xda8025c0,0x813faa4f,
    0x202dffc9,0x00cfcbe9,0xfe882fec,0xe81e600e,0xea80fdce,0x2ff4004f,
    0xfd50fe20,0x0036000b,0x806446e2,0x3609b02d,0x1fa03d8d,0x07ff61fa,
    0x801d7000,0x1f703eeb,0x3a0007f4,0x513ea007,0x75efc09f,0x20f883ff,
    0x27e404fa,0x440bff50,0x0b7f2606,0x54004f98,0x9834c07f,0x0498005f,
    0x7c050000,0x80dff101,0xb107e87e,0x00d80001,0xfc8fb000,0x0bfe6000,
    0x3e627cc0,0x6fa85504,0x406f84c8,0x3f6a03fc,0x000d103f,0x20013e60,
    0x40b201ff,0xfd8005f8,0x000000bd,0x0d4c07a8,0x81fa1fa0,0x00080004,
    0x2a080266,0x376001fe,0x89f3006f,0x3a0704f9,0x77777c2f,0x3f201eee,
    0x3feb2a03,0x00006882,0xf70009f1,0xbf10340b,0xffff9800,0x527ed41f,
    0x264009fd,0xe8066188,0x0c887e87,0x0000a88a,0x07f95bb0,0x00fe56dc,
    0x003ff688,0x04f989f3,0x7f10fdc0,0x80ff2000,0x883ff74a,0xd527ed46,
    0x4c9f109f,0x80ff8801,0x017e204a,0x17ff54c0,0x09f513ea,0x3f660fc0,
    0xd05ffe8c,0x2210fd0f,0x1fff97fc,0xf999bdd0,0xfd07dc7f,0x3f23e881,
    0x3ee79001,0x4c4f9805,0x23e4004f,0xf90004f8,0xdfb25407,0x27d43441,
    0x33e213ea,0xd805ffe8,0x2201e84f,0x0affa25f,0xf307fec0,0x5004f989,
    0x19df710f,0x0fd05fb1,0x7fc440fd,0x0b0bf71c,0x647d8bf7,0x3f23740f,
    0x3e21d001,0x227cc00f,0x1f4004f9,0x004c07fc,0x225407f9,0x261a25fe,
    0x4427cc4f,0x05fb0cef,0x034c7f98,0x00e997e2,0x3e62fd80,0xc8027cc4,
    0xfa8bf304,0x3e20fe83,0x207f4017,0x77cc286f,0x87faa080,0x00fe46f8,
    0x00ff6254,0x04fa8bf1,0x77e416a0,0x0ff20241,0xa7fc44a8,0x4c4f9868,
    0x545f884f,0x23fe803f,0x9afc402c,0x7f50000d,0x13e627cc,0x4f880fc0,
    0x67f427cc,0x038feca8,0x101fa1fa,0x56dc03fd,0x4d7f41fc,0x7403bfed,
    0x7c037cc0,0x1efcb8af,0x3e201d00,0x402fcdff,0x212a03fc,0x9868aff9,
    0x4427cc4f,0x4027cc4f,0x2201a6fa,0x0000dadf,0x989f317c,0x2079804f,
    0x427c44f8,0xff54ffee,0x3f43ec05,0x7440ff60,0xfd507f23,0x401df33d,
    0xfeeeeef9,0x7ffd402f,0xc802df99,0x77ff4c02,0x203fc802,0xd5ff504a,
    0x4f989f30,0x27c44f88,0x04a9ff80,0x00efdf88,0xf983e200,0x64027cc4,
    0xf113e204,0x88131f09,0x3f43ec00,0x3740bf70,0x930407f2,0x3ee05b00,
    0x0ea18805,0x51001dc0,0x807f2009,0x1bff204a,0x09f313e6,0x04f889f1,
    0x001dbf70,0x00bf5bf1,0x17e22640,0x03f009f5,0x13e227c4,0x6c0001f1,
    0xdf307e87,0xf91be201,0x880b9003,0x003fe206,0x095009b0,0x8540b700,
    0x012a00fc,0x8bf10dfb,0x44f884fa,0xff1004f8,0x657e200b,0x8976c04f,
    0x715ff05c,0x3cc03df9,0x9f113e20,0x20002fa8,0xe887e87e,0x2bfa381f,
    0x403bfed9,0x07900bfb,0x5c005fc8,0x2095012f,0x02fea00a,0x701369f7,
    0xf06e880d,0x3df9715f,0x27c44f88,0x2005fb00,0x80bfa5f8,0x203efffb,
    0xdf99fffa,0xf3013202,0x7dc5f98b,0x03fe0002,0x83fd81fd,0x27bfaa2a,
    0xec800ef9,0x007e60cf,0x44003ff5,0x67d43efc,0x806edccc,0xff10cfeb,
    0x7fe4c099,0x541a601c,0x2df99fff,0x17e62fcc,0x26007980,0x007fe25f,
    0x88620013,0x2a00a801,0xfea8bffe,0x001b30bf,0x13bff910,0x3ea3bff9,
    0x2feeeeef,0x40000408,0xd703effb,0x00009fff,0xfffffff5,0x1300007f,
    0x40100000,0x36a06218,0xffda8bff,0x54006003,0xff98bffd,0x000000bf,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xdffd5000,0x2ffff665,0x013ff220,0x5dcc0015,0x86200000,
    0x22988009,0x6fffed41,0x1fff5c41,0x932877aa,0x0019bfff,0x26621707,
    0x99999999,0x5bfff930,0x96fffe4c,0x03dfffc9,0x3bbbbb60,0xff10100e,
    0xffffffff,0x366020ff,0xdeefffff,0x3bbaa00b,0xff102eee,0x6c0bfd07,
    0xdb379103,0x26b20799,0x5dff52fe,0x7ecc4fb8,0x00cfff9b,0x09df97d9,
    0x1f3013fe,0x59bff790,0x54006fc8,0x26e4ecdf,0x99999999,0x702fe429,
    0x017f20df,0x333332e0,0xe984880c,0xfb89fe21,0xbf9024c0,0x302ffb88,
    0x05999999,0x37d427e4,0xf17601f0,0x44b7035f,0x2617ea4e,0x9ccfc986,
    0x44e84ffb,0x07fb04fb,0x71098788,0x00bf709d,0x1419fd70,0x3fb2a500,
    0xdcccccce,0x27dc3cef,0x26c00000,0x21fe214c,0xf7026c0c,0x00bfa209,
    0x887f9800,0x105980ff,0xd01fd87f,0xc81fd00b,0xf98bf502,0xf303ee0f,
    0x100bf609,0x5fa8000d,0x00140000,0x277f2625,0xdfb99999,0x0027dc09,
    0x7e403510,0x3fc40984,0x409fb04c,0x3fe604fb,0x40026602,0x83fe82fe,
    0xb89f502c,0x5009f02f,0x3ea0689f,0x1be2fd83,0x17ec13e2,0x02601a20,
    0x30002fd4,0x70a00281,0x82fd409f,0x200154fb,0x42ffbcd8,0x404cefda,
    0x7edc07f8,0x04fb84ce,0x56ec27e4,0x4fb803fc,0x03437fc4,0x106d8df1,
    0x43fa009f,0x20fea04a,0x10bf13fc,0x00bf609f,0x07f5c0d1,0xb8005fa8,
    0x500140fe,0x3ea04fb8,0x0b79f705,0x0bf61ec0,0x3e2009f1,0x204f9807,
    0x37d404fb,0x00fe83ee,0x3eee3fc4,0xf701661f,0x9910be65,0x540199df,
    0x7d401b3f,0xdf32fb83,0x3f609f10,0xd1034402,0xb17ea01f,0x40fe880b,
    0x9f70a002,0xfb82fd40,0x03f2003f,0x04f88bf1,0x2bfeeaaa,0x84f982aa,
    0x999dfc98,0xfb07fcc1,0xfe800fc8,0xc93f23a2,0x0accd802,0xe8013e20,
    0x1fd4059f,0x0ff88fec,0x2fd827c4,0x3f603440,0xff8bf500,0x0a07ec00,
    0x77fdc280,0x5feeeeee,0xe800bf70,0x7c41fd06,0x3f733204,0x5d43cccf,
    0x372a2adf,0x444cccef,0xfd5042ff,0x22bf7003,0x4034df36,0x13e2001d,
    0x402ffb80,0x746f84fa,0xd827cc3f,0x2034402f,0x8bf500fc,0x40fc8008,
    0x9f70a002,0x7cc2fd40,0x1be2004f,0x09f117ec,0x7501fe20,0x9f7055bf,
    0xb81ff980,0x8801fcad,0x3fa3b8ff,0x6fcc0499,0xf102aacc,0x807f8009,
    0x20fcc6fa,0xfcbaeffa,0x8805f904,0xa807e406,0x1f90005f,0xf70a0028,
    0x2a2fd409,0x22004fcd,0x22fc80ff,0xff1004f8,0x5c09f300,0x07fd404f,
    0x00fe47d1,0x320eafd8,0x6c402ccf,0x0effffff,0x320027c4,0xbddfa804,
    0xffb301fc,0x3f209f17,0x3202c403,0x00bf500f,0x00503f20,0xa813ee14,
    0x04fb945f,0x7e417ec0,0x44013e20,0x04f9807f,0xdf9013ee,0x00fe46e8,
    0x7cc5efa8,0x4cc9006f,0x27c44da9,0x2a003a00,0x300198bf,0x4fb827c4,
    0x3f202540,0xa80bf500,0x0140fc80,0x204fb850,0x09f705fa,0x6c27dc38,
    0x8802fc45,0x04f8807f,0xff9813ee,0x3f91be21,0x7417fc00,0x202d804f,
    0x0027c439,0x0fea00b3,0x209f1000,0x00f407f8,0x2fd403f2,0x207e4160,
    0x9f70a002,0xfb82fd40,0xfd116204,0x77c074c3,0x1fe600b9,0x5c24f7c0,
    0x09fd104f,0x7fdb35fd,0x203f2007,0x27cc01fb,0x80bf10b0,0x5000e899,
    0xf880007f,0x2217ea04,0x01fd803d,0x7d310df9,0x00507f60,0xb817f214,
    0x20df906f,0xcfd883ea,0x3df901dd,0x800ffa80,0x4fc81efb,0xa817fd44,
    0x0ef99efe,0x1e20b500,0x5e6ffec0,0x06f981ed,0x800bffe6,0x4c0004fa,
    0x6ffdc05f,0x5c403dec,0x3f261eff,0xffffffff,0x77fdc40f,0x2aaaaae1,
    0x932aaaaa,0x5cc59fff,0xf932cfff,0xffffffff,0x800c401f,0x7ff5c400,
    0xc980803d,0xceeeffff,0x0040800b,0x400300c0,0x703cedb8,0x32059ffd,
    0x3b6e002d,0xda8000bd,0x4cc00bee,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xeeeeeed8,0x547d9100,
    0x31fffe40,0x3f261bfb,0x88002dff,0xeeefffec,0x2600fffe,0xfffd980c,
    0x00bdeeff,0x3bbbbbaa,0x263a92a2,0xeefffffd,0xff9300bd,0x7ff5c59f,
    0x7ffecc1d,0x3ff661df,0x3fff262d,0x7e4400cd,0xff933eff,0x7fe4c5bf,
    0xfff932df,0x8fffdddd,0xdeffffd9,0xa881881c,0x3332e088,0xd7500ccc,
    0x3ee0b7ff,0xbf906a84,0xfdd50000,0x6c01d105,0x117f203f,0x32605ff7,
    0x3a2ccccc,0xfc83ff2f,0x0bfee60d,0x3db05fc8,0x107ff980,0x037e407f,
    0xfc83fdc0,0x641bee05,0x360d105f,0x87ff515f,0xb57b10ff,0x2280003f,
    0x3fe01eda,0x4fb80ec0,0xfdad8000,0x64c03502,0x4413ee00,0x260002fe,
    0x13ee0ea3,0xfb81ff44,0x5000eb84,0x809905ff,0xfa8005fb,0x5c09f706,
    0x40bf705f,0x4c4fb80b,0x5c3b60ff,0x00000f43,0xb11fe400,0x55e77dc0,
    0xfdb44001,0x80001102,0x3fe604fb,0x0000a602,0x7fcc09f7,0x7544fb82,
    0x07fdc000,0x0bf500b5,0x2e0df300,0x417ea04f,0x5c0205fa,0x203ff84f,
    0x7ed4d45e,0x4413faa4,0xdf100661,0x5bf70164,0x2001dfb5,0x0105fb2c,
    0x013ee000,0x97d309f9,0x402a019f,0x27ec04fb,0x01d527dc,0x74d7f600,
    0x005fa800,0x9f706f98,0xfa82fd40,0x27dc0305,0xdf9027f4,0xfa89f503,
    0x7467ecc4,0x8fec05ff,0x3227dc06,0xb2c400ef,0x3ba0b05f,0x43ffcccd,
    0x37d404fb,0x24fa83e2,0xf700feb8,0xb87fa809,0x0001d74f,0x00f5ffc4,
    0x98005fa8,0x409f706f,0x0bf505fa,0x444fb816,0x3f6201ff,0x313e60df,
    0xcefb889f,0x2602fd88,0x7dc03bdf,0x2017fc44,0x266ff61d,0xf70b07ca,
    0x4efe4c4b,0x07fcc199,0xe88df099,0x809f700f,0x67dc0ff9,0xa80000fb,
    0x3ea003ff,0x06f98005,0x2fd409f7,0xa999dfa8,0x913ee05c,0x3fea00df,
    0xf989f31f,0x7d45f984,0x7fd55543,0x5c0aaabe,0x204fe84f,0x666fec59,
    0xf98507dc,0x3bf72a0e,0x7fc44ccc,0x3bbbbbe2,0x807ec1ee,0x7fc404fb,
    0x1fff7dc2,0x05fe8000,0x20017ea0,0xdff706f9,0xbfdddddd,0x3333bea0,
    0x3bee05ec,0x400dfebb,0x7cd7f221,0x7c427cc4,0x2aa27cc4,0xaaadfcaa,
    0x2227dc0a,0x337603ff,0x0582ffcc,0xf701fe88,0x11ff9809,0x07e4007f,
    0x7cc04fb8,0x7d67dc1f,0x74c0003f,0xbf5002ff,0x20df3000,0x17ea04fb,
    0x02c42fd4,0x013319f7,0x7cdba160,0x7c427cc4,0x26027c44,0x44fb804f,
    0x3b300ffc,0x505fd333,0x5c07fb00,0x87fd404f,0x3f2004f8,0xa809f700,
    0xaa7dc0ff,0xd10003ff,0x5001ff51,0xdf3000bf,0xfa813ee0,0x0a0bf505,
    0xf8804fb8,0x32e87d1f,0x884f989f,0x3227c44f,0xccefdccc,0x4efdc0cc,
    0x3a01efda,0x8002fd80,0x27dc05fb,0x1ff1bf20,0x00fc8130,0x6fc809f7,
    0x3fea4fb8,0x361e8003,0x05fa805f,0xf706f980,0xa82fd409,0x4fb8005f,
    0xfd4ff980,0x2fc4997d,0x13e213ea,0x999989f1,0x81999cfb,0x0acccefb,
    0x17ec12a0,0x0ef98310,0xf3027dc0,0x41efc83f,0xf700fc84,0x40ffcc09,
    0x27fd44fb,0xff887900,0x202fd402,0xb837cc0a,0x417ea04f,0x205405fa,
    0xb31004fb,0xaff80c42,0x441efcb8,0x2027c44f,0x4fb804f9,0xfe807400,
    0x3fd11602,0x104fb870,0xfff109fd,0x1f905f9b,0x74413ee0,0x509f704f,
    0x0b7009ff,0xfa803fee,0x37d42c05,0x3ee04fb8,0x440bf505,0x2004fb85,
    0x3fea002b,0x4c2df99f,0x202fcc5f,0x6fc804fa,0xff81b200,0x7ec5d882,
    0x27e42a83,0x980bfea2,0xfb02dffe,0x2a13f203,0x17f202ff,0xb806ffe4,
    0x03bfe00f,0x74c437e4,0xf907fb83,0xb837e40b,0x907b106f,0xd0ea00df,
    0x1887dddd,0x3ffaa062,0x0bffea8b,0x067ff5c4,0x16fffecc,0x419ffb10,
    0xeeefffda,0x3fea2fff,0x32feeeee,0xdddffff9,0x02200179,0x30f7fdc4,
    0xdddffff9,0x3f260179,0x3fa61cff,0xfd51dfff,0xffc883bf,0x3ff264ff,
    0xffffffff,0x37fff220,0x59fff932,0x967ffe4c,0xeeefffb9,0x3260fffe,
    0x2602dfff,0x3eeeee81,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0xeeefffc9,0xffb33fff,
    0x8079ddff,0xeeffffd9,0xfff101de,0x9fffffff,0x0037fe54,0x3aa3bffd,
    0x6441dfff,0xfff13eff,0xffffffff,0x3bbbaa1f,0x006203ee,0x2a200140,
    0x00000001,0x262054c0,0x5c1a8800,0x20026602,0x2a0000a8,0x6c427e43,
    0xfb527e43,0x24fd801d,0x440dfda8,0x01df701e,0xf3003ffb,0x0ffd109f,
    0x87a60de8,0x43ea27f8,0x2cccccc9,0x22001260,0xf79b1005,0x2ffea85f,
    0xfda8fee2,0x4c13faa4,0xda8eeaae,0xcd881ddb,0xb0df2ffb,0x2207f95b,
    0x2a0debce,0x33faa4fe,0x8827dc7e,0x7fc27dc4,0xe827dc03,0xf9814c3f,
    0x0bff701f,0x2607ffb0,0x81f102ff,0x5c3fc429,0x024c0000,0x3d802c40,
    0x1be617ec,0x513ea166,0x443f109f,0x743747ef,0x21edfec3,0x103fa0fb,
    0x2a27d45f,0x2667d44f,0x5c0813ee,0x406fc84f,0x8df504fb,0x409fd009,
    0x2600ffbb,0x3ee03fce,0x81105906,0x300887f8,0x00093001,0x81f900b1,
    0x40fd85f8,0x4c4f981c,0xfd87d84f,0x1f907ec4,0x7d80ff88,0x21f207e4,
    0x2627cc5d,0x84fb80cf,0xf909f700,0x504fb80d,0x1bf200ff,0x409f9770,
    0x7403fcac,0x1002cc4f,0x3fae00ff,0x80049800,0xd06e8058,0x2c4fa81f,
    0x27cc4f98,0x677dc37c,0x1ba1cccc,0x2a080ff4,0x802fc1fe,0x827cc4f9,
    0xf70484fb,0x403ff889,0x09fb04fb,0xb803ff30,0x6880ff8b,0xff9807f9,
    0xf88003a1,0x01fd1007,0xb1000930,0xfb06f880,0x0aa1fd05,0x13e627cc,
    0x09f50df1,0x5fb06f88,0x0fe56dc0,0x3e600bf1,0xfb827cc4,0x705c999d,
    0x067ec49f,0x54c37ee0,0x7c400dfd,0xf93b803f,0x0ff27909,0x01e5bee0,
    0xd801fe20,0x7fffec0f,0x0fffffff,0xfffffff9,0x3e23ffff,0xb82fc80f,
    0x27cc0b3f,0x0ff313e6,0xff880bf1,0xe882fc80,0x7f887f23,0xf989f300,
    0xb99df704,0x37bee0bd,0xf7000dfe,0x1dffdbdf,0x200bfb00,0xf81ff33b,
    0x3a007f90,0xf88006df,0x003f2007,0x16200126,0x3f20bf60,0x049ef880,
    0x09f313e6,0x0ff881ff,0xb05fb144,0xfc8dd01f,0x0540ffc1,0x04f989f3,
    0x704889f7,0x801bee9f,0x4ffa84fb,0x4003fea0,0x4b8ff63b,0x7cc00ff2,
    0x7f88001f,0x2003f200,0x05880049,0x05d84fb8,0xf8803bf2,0x7ec27d45,
    0x1227fcc3,0x10bf09f7,0x6c1fc8df,0x3e21c45f,0xfb827d45,0x49f70284,
    0x9f7004fd,0x2207fe60,0x8ee002ff,0xfc83a6f9,0x003fe003,0xc801fe20,
    0x0049800f,0xfe880588,0xf9803a61,0xb8aff805,0x77cc1efc,0x33bffb60,
    0x30ff443e,0x26bfa01d,0x3e23bfed,0xf80fcbef,0x1efcb8af,0x2e004fb8,
    0x00bfa24f,0x4fe813ee,0x5c005fd8,0x22d57f43,0x3fe003fc,0x07f88000,
    0x26003f20,0x00588004,0x03bb9fb1,0xff5005d0,0x305bf33f,0x3e69d9fd,
    0xfd880cff,0x3aa01ddc,0x40ef99ef,0x501dffe9,0x5bf33fff,0x5c009f70,
    0x007fcc4f,0x4fe813ee,0x170077dc,0x777d43b8,0xf001fe41,0xff10001f,
    0x2607e400,0xaadcaaaa,0x02c402aa,0x03000620,0x00310c40,0x20026031,
    0x02040018,0x43100110,0x013ee018,0xefb84fb8,0x5413ee00,0x07fe61ff,
    0xe83b8688,0x003fc85f,0x220003fe,0x07f6007f,0x55555553,0x05005555,
    0x00000000,0x00000000,0x00000000,0x017f2000,0xbfd06fc8,0x2e227e40,
    0x027f43fe,0x70990bb3,0x009fb05f,0x2000bfe2,0x5c400ff9,0x00001eff,
    0x00000000,0x00000000,0x00000000,0x32600000,0x2602cfff,0x442dfffc,
    0xf930cfff,0x9bdddfff,0xfffffb83,0x23ffffff,0x341cffc9,0x073fff66,
    0x0beffeb8,0xefffb880,0x00000003,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x29800000,0x08000000,0x35006208,0x26a20e21,
    0x40402a20,0x18800000,0x200a6066,0x1a886a0a,0x220000e2,0x01dc0661,
    0x88000000,0x0188c41c,0x44017000,0x2005a800,0x20cfcbe9,0xfb88dffa,
    0x81bee1df,0x3fd06c1d,0xb5fb5bb0,0x7e56ec41,0x40dfbdca,0x6d406c0d,
    0xcff98bff,0x3a37f662,0xffd88fff,0x07f5c40f,0xdb9fb5d1,0x3ff663d5,
    0xd987fd34,0x85ffe8cf,0x2000cec8,0xffcccdee,0x45db3003,0x3ff9cfd9,
    0x44254036,0x0bfd903f,0x1f1006c8,0x0fee27d4,0x206885f9,0x3b225c4b,
    0x0ff61ec0,0x264ff8f9,0x16a3544f,0x01d337cc,0x3219df51,0x09f70ccf,
    0x2f981fd1,0x9ff41f44,0xefb881e8,0x202fd88c,0x85801deb,0xdea805fb,
    0xabdfb881,0xd503a61d,0x457c7221,0x03e2511c,0x7c264000,0x27cc6f86,
    0x507d40ae,0x83f7001f,0x3a3645fc,0x2743f41f,0x4d7e213a,0x117e200d,
    0x360df0df,0x5881dc0f,0x02c8ff88,0x07f517e6,0x1405db50,0x5c403be6,
    0x37c400ce,0x074c3aa0,0xfd3b5ff1,0x00009507,0x7777777c,0xf50fe41e,
    0x4f88341f,0x3f4013e6,0x4103faee,0xeeeeefe9,0xf51fd41e,0x0dadf885,
    0x37c2fc40,0x40fc83f4,0x2a03200e,0x27c404ef,0xc98013e6,0x3fa200be,
    0x002ec981,0x3aa013e2,0xeda880ea,0x0dfb80bc,0xfffffffb,0x7c41ffff,
    0xd93e6003,0xd10933fb,0x003fe21f,0xf93a9be2,0x1fd7b505,0xfd17f400,
    0x077efc43,0x1be17e20,0x107e41fa,0xfb02b80b,0x444f8807,0xfe88004f,
    0xf707fb00,0x09f10009,0x64c07ee0,0xf301cdde,0x9f100009,0x2937e800,
    0x3f60196f,0x22007fa1,0x17dc957f,0x03f619b1,0x3fa1fe80,0x17eb7e20,
    0x0df0bf10,0xd03f20fd,0xed806c01,0x113e200f,0x75c4009f,0x40bf700c,
    0x1000bec9,0xd5d5009f,0x8d8ef981,0x009903fd,0x2603fe00,0x90dafb80,
    0x2f440b3f,0x3fe00bf1,0xfd07e45b,0x40882fc8,0x107ee2fa,0x8813f2bf,
    0x7e86f85f,0x03b81f90,0x3e6b20b3,0xf113e206,0x07d93009,0x8800ef98,
    0x7c400ceb,0xe9874c04,0x4be22e20,0x006c311b,0x3bf200d7,0x4ef88241,
    0xf300bbe6,0x5c00fcc3,0x3e26d86f,0x4242fd45,0x7c41f43e,0x7c40bfa5,
    0x07e86f85,0x42e981f9,0x324a83e9,0x889f103f,0x0776a04f,0x0e07fa20,
    0x2203bd50,0x503a604f,0x307f101d,0x5b80159b,0x9bfff100,0x20fec05f,
    0xa8b5007e,0xff107ec5,0x3fa074c3,0x77ffdb32,0x25c5b83d,0x3fe26f98,
    0x6f85f981,0x43fb07f8,0xdecfebe8,0xf11a61ea,0x98bf305f,0x0675c45f,
    0x5507fb00,0x30bb6600,0xa806c0bf,0x00001504,0xbffd3000,0x4b85a805,
    0x43906e00,0x3f6761fe,0xffa81ddc,0xeffe88cf,0xd5058582,0xfff319ff,
    0x2fff6619,0x99cffd98,0xf710dffc,0xa886a3df,0x17fd4e20,0x7547fff5,
    0xffea8bff,0x8001770b,0xeeeeeffa,0x8e44002f,0x000cffea,0x00000000,
    0x08002200,0x40000088,0x09886608,0x01880980,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00800000,
    0x08011008,0x40200440,0x01022041,0xccccca82,0x11cccccc,0x2e2a8835,
    0xdddddddd,0x054c1ddd,0x12c80110,0x44444439,0x44088888,0x88888888,
    0x00000008,0x00000000,0x00000000,0x3f220698,0x206ff640,0x64c2daba,
    0xedeb85c8,0x27d4fea2,0x2a2fdcff,0x26666621,0x11c99999,0x223fb8fd,
    0x99999999,0x7eee4199,0xbf11c0ad,0x15fab7cc,0xdddddddd,0x3ba25ddd,
    0xeeeeeeee,0x0000002e,0x00000000,0x00000000,0x1f301e74,0x224f894c,
    0x9641f50f,0x443661fa,0x3ee9f70d,0x1ffc9fe4,0x2e0003fa,0x04d87e21,
    0xda871000,0x3e63dbdf,0x00370dc6,0x00000000,0x00000000,0x00000000,
    0x0e9dc000,0x1ec01f30,0x541fc4f7,0x950721fc,0xd1fd4fea,0x3e22b98d,
    0x4c1b8002,0x22222163,0x08888888,0x81bb8806,0x00000000,0x00000000,
    0x00000000,0x00000000,0x260b5344,0xfb83a00f,0x98d98fa1,0x2b30361f,
    0x6c5f11f8,0x01726585,0x088c0d40,0xddddddb8,0x001ddddd,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40ec2d80,0x883900f9,0x34f83e3f,
    0x8762543f,0x43c87e0f,0x0000262b,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x1a216600,0x406e03e6,0x7f42baeb,0x3b60dfbc,
    0x5162c4eb,0x00000145,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0ee01d00,0xaacd81f3,0x4260180d,0x080a8809,0x00000004,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x1c029800,
    0x66547971,0x000003cc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__times_25_latin_ext_x[560]={ 0,2,1,0,1,0,0,0,0,0,1,0,1,0,
1,0,0,2,0,0,0,1,0,0,1,0,1,1,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,
0,0,-1,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,-1,1,0,-1,0,0,0,0,0,0,0,
-2,0,0,0,0,0,-1,0,0,1,0,0,0,0,0,0,0,3,1,1,0,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,2,1,0,0,0,
1,1,0,0,-1,0,0,0,0,-1,1,0,0,0,2,1,-1,1,2,1,0,0,1,1,0,0,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,-2,0,0,0,0,0,0,
0,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
1,1,1,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,3,3,0,3,3,3,
3,3,3,3,3,3,3,3,3,3,1,0,3,3,3,3,3,3,3,3,3,3,3,3,3,0,0,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,0,0,-1,0,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static signed short stb__times_25_latin_ext_y[560]={ 20,4,4,4,3,4,4,4,4,4,4,6,17,14,
17,4,4,4,4,4,4,5,4,5,4,4,9,9,7,10,7,4,4,4,5,4,5,5,5,4,5,5,5,5,
5,5,5,4,5,4,5,4,5,5,5,5,5,5,5,4,4,4,4,23,4,9,4,9,4,9,4,9,4,4,
4,4,4,9,9,9,9,9,9,9,6,9,9,9,9,9,9,4,4,4,12,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,20,9,5,4,7,5,
4,4,5,4,4,9,10,14,4,2,4,6,4,4,4,9,5,11,19,4,4,9,4,4,4,9,0,0,0,0,
1,1,5,4,0,0,0,1,0,0,0,1,5,0,0,0,0,0,1,7,4,0,0,0,1,0,5,4,4,4,
4,5,5,4,9,9,4,4,4,5,4,4,4,5,4,5,4,4,4,5,5,8,9,4,4,4,5,4,4,5,
1,6,0,5,4,9,0,4,-1,4,1,5,0,4,0,4,5,4,1,6,0,5,1,5,5,9,0,4,-1,4,
0,5,1,5,4,3,-1,-1,5,4,0,5,1,6,0,5,5,4,1,9,5,4,-1,4,5,4,9,0,0,5,
4,4,4,5,4,5,4,0,4,5,9,0,4,4,4,9,1,6,0,5,0,4,4,9,0,4,5,9,0,4,
0,4,-1,4,4,9,0,4,5,6,0,4,5,6,0,5,1,6,0,5,0,4,0,4,5,9,-1,4,-1,4,
1,0,4,1,5,0,4,4,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,4,5,5,4,5,5,5,
5,5,5,5,5,5,5,5,5,5,2,9,5,5,5,5,5,5,5,5,5,5,5,5,5,2,9,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,4,0,4,0,
4,0,4,-1,3,-1,1,-1,1,-1,1,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,-3,-1,-1,4,-1,4,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static unsigned short stb__times_25_latin_ext_w[560]={ 0,4,7,11,10,19,17,4,8,7,9,13,4,7,
4,7,11,7,11,10,11,9,11,11,9,11,4,4,13,13,13,9,20,17,14,15,16,14,12,16,16,7,9,17,
14,20,17,16,12,16,16,11,14,17,17,22,17,16,14,6,7,6,11,13,4,10,12,10,12,10,10,11,12,6,
7,12,6,18,12,11,12,12,8,7,7,12,12,17,12,12,10,7,2,8,13,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,0,4,9,11,11,12,
2,9,7,17,8,11,13,7,17,13,7,13,7,6,5,12,12,4,4,5,7,11,16,16,17,10,17,17,17,17,
17,17,21,15,14,14,14,14,7,7,7,7,16,17,16,16,16,16,16,10,16,17,17,17,17,16,12,11,10,10,
10,10,10,10,15,10,10,10,10,10,6,6,7,7,11,12,11,11,11,11,11,13,11,12,12,12,12,12,12,12,
17,10,17,10,17,12,15,10,15,10,15,10,15,10,16,15,16,12,14,10,14,10,14,10,14,11,14,10,16,11,
16,11,16,11,16,11,16,12,16,12,8,8,8,8,7,8,8,8,7,6,16,11,9,9,17,12,12,14,6,14,
6,14,9,14,8,14,7,17,12,17,12,17,12,14,15,10,16,11,16,11,16,11,20,16,16,8,16,8,16,8,
11,7,11,7,11,7,11,7,14,7,14,10,14,7,17,12,17,12,17,12,17,12,17,12,17,13,22,17,16,12,
16,14,10,14,10,14,10,10,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,16,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,16,13,12,12,12,12,12,12,12,12,12,12,12,12,12,19,13,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,17,10,7,7,16,
11,17,12,17,12,17,12,17,12,17,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,17,10,21,15,16,11,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12, };
static unsigned short stb__times_25_latin_ext_h[560]={ 0,17,8,17,19,17,17,8,21,21,10,13,7,2,
4,17,17,16,16,17,16,16,17,16,17,17,12,15,11,5,11,17,21,16,15,17,15,15,15,17,15,15,16,15,
15,15,16,17,15,21,15,17,15,16,16,16,15,15,15,21,17,21,9,2,5,12,17,12,17,12,16,16,16,16,
21,16,16,11,11,12,16,16,11,12,15,12,12,12,11,16,11,21,21,21,4,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,0,16,20,17,11,15,
21,21,3,17,8,12,5,2,17,2,8,13,9,9,5,16,20,3,6,9,8,12,17,17,17,16,20,20,20,20,
19,19,15,21,20,20,20,19,20,20,20,19,15,21,21,21,21,21,20,11,17,21,21,21,20,20,15,17,17,17,
17,16,16,17,12,16,17,17,17,16,16,16,16,15,17,15,17,17,17,16,16,9,12,17,17,17,16,21,21,20,
19,15,20,16,21,16,21,17,22,17,20,16,21,17,20,17,15,17,19,15,20,16,19,16,20,16,20,17,22,21,
21,20,20,20,21,22,21,21,15,16,20,15,19,14,20,15,20,21,19,11,16,21,22,21,20,21,11,20,20,20,
21,16,16,15,16,15,16,21,16,20,16,21,16,16,17,16,20,15,21,16,21,17,17,12,20,16,20,16,20,16,
21,17,22,17,21,16,21,17,21,20,20,17,15,15,21,16,20,15,21,16,21,17,21,17,20,16,22,17,21,21,
19,20,16,19,15,20,16,16,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,17,15,15,21,15,15,15,
15,15,15,15,15,15,15,15,15,15,19,12,15,15,15,15,15,15,15,15,15,15,15,15,15,19,12,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,20,17,20,16,21,
17,21,17,22,18,22,20,22,20,22,20,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,23,22,21,17,22,17,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15, };
static unsigned short stb__times_25_latin_ext_s[560]={ 209,251,52,186,207,112,30,60,42,1,223,
137,65,248,128,51,145,189,144,122,235,1,157,24,59,39,42,243,189,100,164,
246,209,112,31,213,122,215,1,229,198,190,168,139,175,61,178,198,230,210,14,
150,99,86,222,1,157,82,46,75,48,68,1,141,89,220,183,231,133,1,36,
24,209,245,245,240,247,100,151,151,60,73,203,248,194,176,163,12,138,47,178,
82,253,148,114,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,
137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,209,251,135,
170,126,27,207,230,133,157,35,30,75,248,195,155,44,123,19,233,94,49,192,
251,70,13,27,75,169,128,110,182,213,1,19,37,174,139,53,240,120,237,88,
192,60,131,205,48,86,19,54,71,106,123,92,212,69,140,158,189,34,175,40,
1,88,77,66,145,178,26,59,204,237,226,215,167,248,197,193,114,133,14,110,
98,86,104,201,240,47,182,26,13,11,9,39,109,218,242,16,88,82,99,118,
80,48,56,55,224,187,245,103,229,225,204,33,103,192,215,236,156,77,156,1,
122,169,1,25,225,71,180,51,36,22,134,150,14,122,104,157,114,52,128,68,
139,166,119,44,187,111,157,207,167,87,160,249,145,180,79,94,113,128,167,137,
100,156,231,169,88,36,62,106,145,140,182,90,116,122,217,91,189,18,70,1,
61,224,35,199,196,139,175,13,27,221,162,107,172,157,146,202,217,227,1,79,
1,233,196,203,17,169,67,35,130,186,132,65,52,56,110,77,1,75,125,213,
234,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,49,137,137,176,
137,137,137,137,137,137,137,137,137,137,137,137,137,16,206,137,137,137,137,137,
137,137,137,137,137,137,137,137,73,242,137,137,137,137,137,137,137,137,137,137,
137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,61,99,
53,226,37,37,1,13,93,93,75,211,151,97,121,241,137,137,137,137,137,137,
137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,
137,137,137,1,64,147,1,19,1,137,137,137,137,137,137,137,137,137,137,137,
137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,
137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,
137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,
137,137,137,137,137,137,137,137,137, };
static unsigned short stb__times_25_latin_ext_t[560]={ 23,47,324,192,133,174,174,324,69,47,311,
295,324,292,324,192,192,210,245,192,227,245,192,245,192,192,311,279,311,324,311,
174,1,245,295,174,279,279,295,174,279,279,245,279,279,295,245,192,279,24,295,
174,295,262,245,262,279,295,295,69,174,69,324,324,324,295,154,295,154,311,262,
262,245,210,24,245,227,311,311,295,262,262,311,279,262,295,295,311,311,262,311,
69,24,69,324,262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,
262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,23,133,112,
174,311,279,24,1,324,154,324,311,324,292,174,324,324,295,324,311,324,245,91,
65,324,324,324,311,192,210,210,227,91,112,112,112,133,133,279,1,112,112,112,
133,133,133,91,154,279,24,24,24,24,24,133,311,192,24,24,24,133,112,279,
210,210,210,210,210,210,210,311,210,192,192,192,210,192,210,227,279,192,279,192,
192,192,228,227,311,311,174,192,192,245,47,47,133,133,262,133,245,47,245,47,
174,1,174,112,227,47,154,112,154,262,154,154,279,112,210,133,210,133,245,133,
154,1,69,69,112,112,91,69,1,47,47,262,228,133,262,133,295,133,262,133,
69,133,311,228,69,1,69,112,69,311,112,91,112,69,228,228,262,228,262,228,
47,227,91,227,24,245,245,154,227,91,262,69,228,69,154,174,295,91,228,91,
228,69,228,69,154,1,154,69,228,47,174,69,91,91,154,262,262,24,228,91,
279,47,245,47,174,47,174,91,245,1,174,47,47,154,91,245,154,279,91,227,
210,262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,210,262,262,24,
262,262,262,262,262,262,262,262,262,262,262,262,262,154,295,262,262,262,262,262,
262,262,262,262,262,262,262,262,154,295,262,262,262,262,262,262,262,262,262,262,
262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,91,210,
91,210,24,210,25,210,1,154,1,69,1,91,1,69,262,262,262,262,262,262,
262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,
262,262,262,1,1,47,174,1,192,262,262,262,262,262,262,262,262,262,262,262,
262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,
262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,
262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,262,
262,262,262,262,262,262,262,262,262, };
static unsigned short stb__times_25_latin_ext_a[560]={ 90,120,147,181,181,301,281,65,
120,120,181,204,90,120,90,100,181,181,181,181,181,181,181,181,
181,181,100,100,204,204,204,160,333,261,241,241,261,221,201,261,
261,120,141,261,221,321,261,261,201,261,241,201,221,261,261,341,
261,261,221,120,100,120,169,181,120,160,181,160,181,160,120,181,
181,100,100,181,100,281,181,181,181,181,120,141,100,181,181,261,
181,181,160,173,72,173,195,281,281,281,281,281,281,281,281,281,
281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,
281,281,281,281,281,281,281,281,90,120,181,181,181,181,72,181,
120,274,100,181,204,120,274,181,144,198,108,108,120,208,164,90,
120,108,112,181,271,271,271,160,261,261,261,261,261,261,321,241,
221,221,221,221,120,120,120,120,261,261,261,261,261,261,261,204,
261,261,261,261,261,261,201,181,160,160,160,160,160,160,241,160,
160,160,160,160,100,100,100,100,181,181,181,181,181,181,181,198,
181,181,181,181,181,181,181,181,261,160,261,160,261,160,241,160,
241,160,241,160,241,160,261,234,261,181,221,160,221,160,221,160,
221,160,221,160,261,181,261,181,261,181,261,181,261,181,261,181,
120,100,120,100,120,100,120,100,120,100,256,199,141,100,261,181,
181,221,100,221,100,221,147,221,124,221,100,261,181,261,181,261,
181,218,253,179,261,181,261,181,261,181,321,261,241,120,241,120,
241,120,201,141,201,141,201,141,201,141,221,100,221,154,221,100,
261,181,261,181,261,181,261,181,261,181,261,181,341,261,261,181,
261,221,160,221,160,221,160,100,281,281,281,281,281,281,281,281,
281,281,281,281,281,281,281,261,281,281,181,281,281,281,281,281,
281,281,281,281,281,281,281,281,261,191,281,281,281,281,281,281,
281,281,281,281,281,281,281,280,196,281,281,281,281,281,281,281,
281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,
281,281,281,281,281,261,160,120,100,261,181,261,181,261,181,261,
181,261,181,261,181,281,281,281,281,281,281,281,281,281,281,281,
281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,
281,281,261,160,321,241,261,181,281,281,281,281,281,281,281,281,
281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,
281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,
281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,
281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,
281,281,281,281,281,281,281,281, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_25_latin_ext_BITMAP_HEIGHT or STB_FONT_times_25_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_25_latin_ext(stb_fontchar font[STB_FONT_times_25_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_25_latin_ext_BITMAP_HEIGHT][STB_FONT_times_25_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_25_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_25_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_25_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_25_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_25_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_25_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_25_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_25_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_25_latin_ext_s[i] + stb__times_25_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_25_latin_ext_t[i] + stb__times_25_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_25_latin_ext_x[i];
            font[i].y0 = stb__times_25_latin_ext_y[i];
            font[i].x1 = stb__times_25_latin_ext_x[i] + stb__times_25_latin_ext_w[i];
            font[i].y1 = stb__times_25_latin_ext_y[i] + stb__times_25_latin_ext_h[i];
            font[i].advance_int = (stb__times_25_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_25_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_25_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_25_latin_ext_s[i] + stb__times_25_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_25_latin_ext_t[i] + stb__times_25_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_25_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_25_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_25_latin_ext_x[i] + stb__times_25_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_25_latin_ext_y[i] + stb__times_25_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_25_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_25_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_25_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_25_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_25_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_25_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_25_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_25_latin_ext_LINE_SPACING
#endif

