// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_27_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_27_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_27_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_times_27_latin_ext_BITMAP_HEIGHT        198
#define STB_FONT_times_27_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_times_27_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_27_latin_ext_NUM_CHARS            560

#define STB_FONT_times_27_latin_ext_LINE_SPACING          17

static unsigned int stb__times_27_latin_ext_pixels[]={
    0x00199100,0x26003710,0x1bd3002e,0x804eb800,0x20000cca,0x5c8001aa,
    0x02aa2000,0x00543500,0x0aa15500,0x002ea800,0xdd100100,0x10009ddd,
    0x80100807,0x04402068,0x260001a8,0x0530000b,0x440154c0,0x00402206,
    0x1e980000,0x26000eb8,0xccb8800a,0x30001bcc,0x00033333,0x00aa8000,
    0x01551000,0x40026540,0x5c0001aa,0x01b0004f,0xc8027e40,0x0fe8002f,
    0x004fef80,0x2000df30,0xf90001d8,0xde8800bf,0xb740003e,0x360004f8,
    0x2a848002,0xeeeee880,0x00722004,0x40398362,0x9106c068,0x4000c980,
    0x4000eacb,0x17f4004c,0x87603440,0x206a0048,0xd09f7004,0x2ef2005f,
    0x20736605,0x64401da8,0x4edcdffe,0x00240d40,0x00004fb8,0x7c4009f7,
    0x3e6003fe,0x2f40006f,0x002c9800,0x1f4002a2,0x400fc400,0x0001f74b,
    0x410001d9,0x4fc40008,0x222002fb,0x220000aa,0x0001f51f,0x2a000461,
    0x2006fdef,0x13200040,0x0e99eb80,0x3ea03440,0x4b801e8a,0x00752c00,
    0x3e2001e4,0x980d1003,0x4002e8af,0x003fdcee,0x00510151,0xea81d5aa,
    0x22039000,0x752ffffe,0x3f73ba00,0x01b60003,0x2002f400,0x2001f74c,
    0x0003face,0x7c4000d1,0x9800002f,0x00570004,0x80049891,0x5f88001e,
    0x0e4007f3,0x57e200b3,0x930003f9,0x7c400164,0xb8007f35,0xf1001cfe,
    0xf800fe6b,0x1fffc002,0x7f403440,0x01f3004f,0x001c8e40,0x097000d5,
    0x7ec03440,0xfd98005f,0x000000cf,0x17202ec0,0x3f60b200,0x0752ffff,
    0x033ff660,0x0003d000,0x22000e88,0x1d4024c4,0x330001d3,0x004a8000,
    0x40001000,0x00201000,0x64000310,0x04003b12,0x12c80044,0x82a0003b,
    0x44b20002,0x0010001d,0x00762590,0x2a001fd4,0x00d1004c,0x2a001993,
    0x3b22003f,0x007f3003,0x06880070,0x0000cc88,0x00000002,0x0d501fc4,
    0x7ffc2c00,0x00752fff,0x22000008,0x00540002,0x0c004020,0x6ec000c4,
    0x0000001e,0x0d54c004,0x1f6440a2,0x130d5440,0x502aa200,0x0cccccc4,
    0x04ccccc4,0x4cc40110,0x99881999,0x33310999,0x33310333,0x26662133,
    0x99988199,0x80220099,0x81999998,0x40999998,0x999884fa,0x99988199,
    0x880d1099,0xf7001aa9,0x99999887,0x99999881,0x26203f20,0x4cc40199,
    0x201a2199,0x31140aa8,0x31033333,0x02013333,0x817e4004,0x42a201f8,
    0xff886e19,0x0752ffff,0x006aa620,0x03333331,0x01333331,0x001aa988,
    0x13333331,0x06666662,0x02666662,0x000b13a8,0x7e4c0022,0x757db103,
    0x5c0b65fb,0x6fe40572,0x200edfdb,0xedbceeb8,0x3ff265bc,0xfea881df,
    0xdbca80af,0xf931aabd,0xd5103bff,0x3f2615ff,0xea881dff,0xff930aff,
    0xfd5103bf,0xb795015f,0x3263557b,0xa881dfff,0x7cc0affe,0xdfffc985,
    0xaffea881,0x3b620d10,0x403fdbac,0x7fe4c2fc,0xfea881df,0x20bf10af,
    0x204ffda8,0x222efea8,0x79dd7106,0x64cb79db,0xa882dfff,0x3260affe,
    0x80fecc3f,0x40abffca,0x939b104c,0x3a1cc7f5,0x752fffff,0xbaced880,
    0xff9303fd,0xfd5103bf,0x3b62015f,0x403fdbac,0x0aeffeb8,0x03bfff93,
    0x015ffd51,0x400589d4,0xaabddbca,0x41ff5441,0xffa80dfa,0x824c3604,
    0x07f440fd,0xb881fe88,0x807fd86f,0x41f501f9,0x7ec2cefc,0xb01f9807,
    0x03f300ff,0x3e601ff6,0x7e41f501,0x03fec2ce,0x0bf00fcc,0x7cc03fec,
    0x6fd43441,0x900dfa80,0x01ff601f,0x09f707e6,0x9805ff90,0x7443440f,
    0x86fb881f,0x1f9807fd,0x531ff544,0x3eaa03ff,0xd02f82af,0x2241ff87,
    0x52fffffc,0x406fd407,0xffb00dfa,0x5403f300,0x0dfa80df,0xd80ffd40,
    0x01f9807f,0x4005b9b0,0x33bf20fa,0xf987f702,0x817f200f,0xf981dada,
    0x3a01f104,0x6435c02f,0x00f8806f,0x906fa8dd,0x01f100df,0x3e201bf2,
    0x100df900,0xf51ba01f,0x201bf20d,0x807e00f8,0x0f8806fc,0x01be2344,
    0x03e60bf7,0x7c4037e4,0x4401fe40,0x1e201fff,0x00bfa1a2,0x00df90d7,
    0x0fee01f1,0x5f9807f6,0x8db01f50,0xfc8586f8,0x20752fff,0x2fdc06f8,
    0xf8806fc8,0xb80df100,0x07fcc05f,0xf8806fc8,0x000ba000,0x406fa8dd,
    0x01ff43fb,0x4c05fdd3,0x409f500b,0x003fd80d,0x200bf70d,0xff0bf307,
    0x200bf701,0x4017ee07,0x4017ee07,0xff0bf307,0x200bf701,0xf7016a07,
    0x1a21e00b,0x5ff007fd,0x2fdc0f20,0x03fd8780,0x00efef88,0x01fec01e,
    0x005fb868,0x6c1fdc0f,0x40fee01f,0x4c1fb86c,0xba82444f,0x3a0752ec,
    0x82ff803f,0x40f005fb,0x2ff803fe,0xfb81fe60,0x5400f005,0x17e6005f,
    0x3fa803fe,0x9e881fee,0x80200ffc,0x81701ff9,0x07001ff9,0x41e00bf7,
    0x706f87f8,0xb81e00bf,0x5c0f005f,0x220f005f,0xf706f87f,0x2e21e00b,
    0x005fb802,0x3fdcd10f,0x2a07fb80,0x802fdc1c,0x8802fe87,0x1e05ff8e,
    0x4007fe60,0xf005fb83,0x7e41fdc0,0x6c0bf601,0x7dc27c44,0x95c01542,
    0x007fb83a,0x0bf70ff7,0x03fdc1e0,0x3e607fb8,0x4017ee07,0x03ff6007,
    0x37c3fc40,0x6fd8fea0,0x0ffccb60,0x417f732a,0xf7003fff,0x5fb8000f,
    0x0ff40f00,0x17ee07f3,0x0bf703c0,0x05fb81e0,0x30ff40f0,0x017ee07f,
    0x4006d43c,0x10f005fb,0xa8037ecd,0x70b201ff,0x3e1e00bf,0xf368802f,
    0x2e01e09f,0x7dc0007f,0x7dc0f005,0x3a01fc83,0xfa85b00f,0x00b87e81,
    0xfb0752b8,0x07fea00d,0x41e00bf7,0xff5006fd,0xb81fe603,0x200f005f,
    0x2004fef8,0x00fe61fe,0x82ff47f5,0x88ffe64c,0x2613ee3f,0x6c02efff,
    0x7dc0006f,0x7440f005,0x2e04d9ae,0x5c0f005f,0x5c0f005f,0x440f005f,
    0x204d9aee,0x40f005fb,0x02fdc02c,0x3fa68878,0x05ff3005,0x017ee093,
    0x401fec3c,0x20ffee68,0x006fd807,0x7802fdc0,0x3f20fee0,0x6c0df101,
    0x2fdc3ec2,0xa95c0162,0x3005fe83,0x05fb85ff,0x017fa0f0,0xf9817fcc,
    0x4017ee07,0xff579007,0x4d774400,0x13fa804d,0x88b509ff,0x987f24ff,
    0xfffd305f,0x017fe01b,0x200bf700,0x00d56407,0x07802fdc,0x03c017ee,
    0x01e00bf7,0xf7003559,0xf881e00b,0x4017ee00,0x9ff16887,0x113fe200,
    0x017ee03f,0x401fe43c,0x20ffe468,0x02ffc707,0x4017ee00,0x320fee07,
    0x409f501f,0x36637c4c,0xb800ec3f,0x4ff88752,0xb89ff100,0xf10f005f,
    0x3fe2009f,0x5c0ff304,0x100f005f,0x800bfe1f,0x2a001aac,0xd317fe3f,
    0x263ff881,0x2e037c43,0xff83ffff,0x2fdc0004,0x00f60780,0x1e00bf70,
    0x0f005fb8,0x07802fdc,0xbf7000f6,0x09f01e00,0x87802fdc,0x4013fe68,
    0x07dc3ff8,0x0f005fb8,0x0d1009f5,0x443c1ffb,0x00013fe6,0x81e00bf7,
    0x01fc83fb,0x235c05f9,0x5f5950fe,0x2570015c,0x004ff83a,0x5fb87ff1,
    0x13fe0f00,0x981ffc40,0x017ee07f,0xf725c03c,0x000f600d,0x4dfd1fd4,
    0x2ff980e8,0x00dfb930,0xf85fff91,0x7dc0006f,0x3e20f005,0x01bcccdf,
    0x81e00bf7,0x40f005fb,0x20f005fb,0xbcccdff8,0x200bf701,0xb81be207,
    0xd10f005f,0xf9802ff4,0xb80fec2f,0xf10f005f,0xd10d100b,0xf3443cdf,
    0xfb8000df,0x7e40f005,0xfb01fc84,0x3f20f880,0xb59f33ff,0x4ae02447,
    0x005fe83a,0x5fb85ff3,0x17fa0f00,0x9817fcc0,0x017ee07f,0xf10f403c,
    0xdff8803f,0x5401bccc,0x743ff23f,0x881ff502,0x008df0cd,0xffb1bfe6,
    0x06fb8000,0x3ff20688,0xb86fffff,0x2068806f,0x068806fb,0x1a201bee,
    0xffffffc8,0x806fb86f,0x817e6068,0x868806fb,0x401bf668,0x17e41ffa,
    0x68806fb8,0x0d100fb0,0x443d7fe6,0x0001ff66,0x0d100df7,0xc82fffee,
    0xb00bf01f,0x6540ba85,0x95c00d81,0x006fd83a,0x6fb83ff5,0xdfb06880,
    0x407fea00,0x1bee07f9,0x0d301a20,0xff900bfb,0x40dfffff,0x27fea3fa,
    0x31bee03c,0x1546f87f,0x7dc1ff50,0x3ea0000f,0x32059806,0x5d753331,
    0x59806fa8,0x2601bea0,0x201bea05,0x4cc72059,0x7d42eba9,0x2a059806,
    0x01bea03f,0xfa9a2166,0x86fb800f,0x0df503fb,0x07e20b30,0x7fd40d10,
    0x3ee6887b,0x3ea0000f,0x00058806,0x05f303f9,0xa8000d30,0x0752b804,
    0xf7001ff5,0x300df50d,0x003fea0b,0x6f981bee,0x2601bea0,0x4ccdec05,
    0x6400ffb9,0x5d753331,0xdfb0bee0,0x741ff80b,0x02546f87,0x0bfd03fe,
    0x1ff302a0,0x09704a80,0x07fcc2a8,0xff9812a0,0xf3025400,0x704a801f,
    0x7cc2a809,0x1025400f,0x07fcc05f,0xd1a212a0,0x03fd009f,0x3fe603f3,
    0x97025400,0x7e406880,0x7f46887f,0xf9815005,0x0025400f,0x07b80fc8,
    0x4c0012e0,0x0ea57004,0x7f4027f4,0x400ff981,0x013fa04a,0x5f9807fa,
    0x5003fe60,0x6667c409,0x203feccc,0xb815404b,0x00ffc40f,0x41ff07f7,
    0x807d47f8,0x4ffa86f9,0x3fd80dc0,0x3e207a20,0x3fd82c05,0xfb007a20,
    0x200f4407,0x07a203fd,0x20b017e2,0x07a203fd,0x3fd807b0,0x1a207a20,
    0x7dc01ff3,0xfd80d504,0xd007a203,0x6c03cc03,0x7d46887f,0xd80dc04f,
    0x007a203f,0x04d836c0,0x2a002640,0x1d4ae005,0x2e00ff98,0x80ff604f,
    0x3fe601e8,0x9113ee00,0xfb013e63,0x900f4407,0x8837dc07,0x3d72c05f,
    0x3bfa2132,0xfb04fb80,0x75ffb93b,0xfb107fea,0x073fe603,0x7f440571,
    0x3a02e982,0xeca9acef,0x305fd101,0x5fd1005d,0xd1005d30,0x405d305f,
    0xca9acefe,0x05fd101e,0x0d3005d3,0xe982fe88,0xdd30d102,0x6c07f701,
    0x417f4402,0x1c8802e9,0xe8801f50,0xff986887,0x1015c41c,0x05d305fd,
    0x22e86ec0,0x500068ce,0x1ed4037d,0x01d4ae00,0x7f701dd3,0x982fe880,
    0x0ee9802e,0x6fa83fb8,0xfe8801d5,0x7c02e982,0x40bfe200,0xca9acefe,
    0x0f7ff21e,0xccefb8f4,0x3fa601ee,0x6549fb3f,0x1efdceec,0x6fff6c40,
    0xfd9802ce,0x402dfddf,0xcffffdb8,0x6ffecc00,0x26002dfd,0x2dfddffd,
    0x37ff6600,0x5c402dfd,0x00cffffd,0x7eeffecc,0x0ae2002d,0xfddffd98,
    0x441a202d,0x1deccdec,0x26001750,0x2dfddffd,0xf910d400,0x3c4017df,
    0xfed88344,0x8802cedf,0x2dfddffd,0x16ffec00,0x00002f72,0xbb97bb73,
    0x54ae0007,0x66f64403,0xb3001dec,0x05bfbbff,0x666f6440,0xbfd101de,
    0x3f660039,0x402dfddf,0x06fd805c,0x9ffffb71,0x81803101,0x404001a8,
    0x15510440,0x00151000,0x0006a620,0x98800098,0x4c40001a,0x4c40001a,
    0x0260001a,0x006a6200,0x53100100,0x44004003,0x0000801a,0x00003531,
    0x02010000,0x40002a20,0x40001a98,0x00000008,0x88000098,0x54400110,
    0x2a620001,0x1a880001,0x40002600,0xf1001a98,0x07ff7007,0x00000130,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffd70000,0x3fff2019,0x000000df,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x4c000000,
    0x0355002a,0x10003550,0x26000220,0x5c00002a,0x2e00003c,0x4aa0003c,
    0x510002a8,0x04020015,0x00732200,0x33005c98,0x00732000,0x4c00aa20,
    0x99999999,0x00001999,0x0a055440,0x000aa880,0x98803530,0x98819999,
    0x03009999,0x30000002,0x02a88020,0x2002a980,0x355101aa,0x00aa804c,
    0x0000aa20,0x20003326,0x100800a8,0x005fd000,0x5401fff3,0x1b0006ff,
    0xf9800244,0x3e600007,0x980001fe,0x88001fef,0x0005f74f,0xd88013ee,
    0xf9000e60,0x3fae00df,0x000ea005,0x3a000bf3,0x7fc401ff,0xeefffeef,
    0x3e200fff,0xdd71001f,0x0b79db79,0x80027dc0,0x2600fff8,0x881dfffc,
    0x500affea,0xf8802a89,0x22cc001f,0x017ec03a,0x4c00bf60,0xbdfc80ef,
    0xfb80edfd,0x3ffa004f,0x7f740002,0x64564004,0x03216403,0x2007f100,
    0x3a04e9be,0xa8003f9a,0x0001e9af,0x400007ea,0x0000db2e,0x2001b65d,
    0x000b90fa,0x764002f4,0x26000ea9,0x3003e98e,0x05a800bf,0x20003b20,
    0x4406e9ea,0x2a27e41f,0x00bea00f,0x5c40ff44,0x017a006f,0x04fadc80,
    0xf9807fd8,0x6b8dd801,0x000fe600,0x201aa3b2,0x3e2004e8,0x203ee003,
    0x07f440fd,0x007f2be2,0x001ba7aa,0x001f74b8,0x200fa92a,0x003d8cf8,
    0x455004b8,0x222b80d8,0xffe8000d,0x04b80004,0x15c2a800,0x2b855000,
    0x01b16400,0x0003a200,0x000fffe2,0x4006c419,0x2d8005f9,0x20001d00,
    0x3980f20d,0x01b84fc8,0x2fe800f6,0xe88035c0,0x44930000,0x037e401e,
    0x7cc007c4,0x354001ff,0x17ffc400,0x2a006880,0x4c0ec005,0xc81f104f,
    0x836016a1,0x4488003c,0x545d0049,0x37fdc01f,0x06003800,0x00180c0c,
    0x0000cc98,0x01000070,0x10080002,0x00142800,0x54000130,0x1008004c,
    0x000bf100,0x018801f3,0x880a0300,0x0884fc80,0x3fd80120,0x02600d00,
    0x80501800,0x00f005fb,0xb8001e5c,0x03ca8000,0x028004c0,0x4fa81440,
    0x13030360,0x001404c0,0xbd000804,0x03990008,0x4c355100,0x00000800,
    0x88033331,0x88019999,0x4c401aa9,0x26661999,0x99998199,0x40aa8800,
    0x1aa98802,0x4ccccc40,0x99999881,0x261aa880,0x86ae6000,0x0117e201,
    0x000017e0,0x00355310,0x00013f20,0x001ff980,0x10014007,0x33333333,
    0x3ee03333,0x2660f005,0x99999999,0x20000199,0x99999998,0x26621999,
    0x4c409999,0x99999999,0x26666219,0x03ff3099,0x9999882e,0x00500099,
    0x0cccccc4,0x40ccccc4,0x266205fb,0x90001999,0x1dbfb7bf,0xf90ff260,
    0x7f4c1bff,0x13ff6a25,0x02efea88,0x36eb3b62,0xfff9303f,0x177ff547,
    0x88177ed4,0xcedbceeb,0x33b6205b,0x9303fdba,0x5103bfff,0xfc815ffd,
    0x00edfdbd,0x65d676dc,0x57e206ce,0x6400cffc,0x37fff21f,0x8817fa60,
    0x3fdbaced,0x8027e400,0x403f66e8,0x000007fb,0x3ae2005d,0xeeeeeeff,
    0x00bf707f,0x3bffe21e,0xffeefffe,0xfb37440f,0x777ffc01,0x24ffeeee,
    0x0beffea8,0x77777ffc,0x2a24ffee,0x3e0beffe,0xea8803ff,0xd000beff,
    0x3ff66005,0xffb882ef,0x01dfd03e,0xfdfffd71,0x1fb007df,0xb880fe88,
    0x07fb83fe,0x17fe40b7,0xfa803e60,0x00dfa80d,0x9ff10bfd,0xe8807cc0,
    0x06fb881f,0xbf501bf5,0x201ff601,0x40fd81f9,0xfd100fe8,0x403fa605,
    0xffcdbdf8,0x70bee01f,0xa816e0ff,0x0dfa80df,0x2009f900,0x05ff0ff8,
    0x00001bf6,0xf50017ea,0x5c1e601f,0xf10f005f,0x7d44fc83,0xff87fc40,
    0xfd807e02,0x205ff306,0x41bf601f,0xff982ff9,0xff9802ef,0x017ea002,
    0xe805ff90,0xdfd9100e,0xd51fee03,0x13e601df,0x7f7007c4,0x07607fa0,
    0x201fff88,0x01be2078,0x1fea0bf7,0x097037e4,0x1ae017f4,0xbf701be2,
    0x2201bf20,0x8827cc0f,0x01fe880f,0xff880fcc,0xb81bfa22,0xd81fe84f,
    0xb80df101,0x09f9005f,0x40510cc0,0x800005ff,0x26000ffd,0x203200ff,
    0x30f005fb,0x3709f907,0x10144330,0x80ffdc09,0x04881ff8,0x7c407fee,
    0xfffd301f,0x0ffc401b,0x001ffb00,0x3e606fe8,0x7fec9300,0xfa87f980,
    0x409f503f,0x40fee00d,0x203445fa,0x200efef8,0x200ffa07,0x2ff882ff,
    0x3b00ff98,0x3400ff60,0x7fc01ff4,0xf005fb82,0x06c09f50,0x1c8027ec,
    0xff50bf10,0x2a1bea01,0xfd03445f,0x005ff007,0x000009f9,0x000027fc,
    0x8013fbe2,0x40200ff8,0x10f005fb,0x1109f901,0x20310000,0x3e203ff9,
    0xf301881f,0x0ffc407f,0x0ffffee0,0x8800ffc4,0x4c004fef,0x407b02ff,
    0x4c2fe41d,0x20dfd07f,0x01701ff9,0x1fd01fd4,0x23a201e4,0x5c1e05ff,
    0x0ff7007f,0x1ffc17f6,0x1ff98344,0x07fb8700,0xbf70ff70,0x3fe61e00,
    0xff981701,0x22031000,0x203ff05f,0x41fd07f9,0x00ff703c,0x3f201fee,
    0x337f6404,0xdff05ffb,0xabc80000,0x3fe2007f,0x2fdc0100,0x3f200780,
    0x337f6404,0xe8005ffb,0x0ffc405f,0x1017fa00,0xf91003ff,0x3ff105ff,
    0x1feaf200,0x503ff200,0xfc81f80b,0xfe83fcc0,0x00fffe06,0xfa80fea0,
    0x2d1003e4,0x20f04ff9,0xff5006fd,0xf30ff503,0x2e0970df,0x3f60007f,
    0x83ff5006,0x20f005fb,0xf7003fff,0x3e20000d,0x2603fd05,0x7c9f507f,
    0x200dfb00,0x7e401ffa,0xe86f9804,0x007fd82f,0x7fc3e200,0x01ff1002,
    0x037dc091,0x9f900344,0xfd0df300,0x07fe4005,0x8007fe20,0x7c400ffc,
    0xff30041f,0x003ff10d,0x00bfe1f1,0x744bfd10,0x7c427c01,0x7cc3fcc1,
    0x3ffe603f,0x0fea002e,0x00b51fd0,0x41ffdcd1,0x200bfd07,0x5ff02ff9,
    0x740ffcc8,0x000dfb01,0xf9802ff4,0x802fdc2f,0x5dfff307,0x0005fd80,
    0x3fa0bf10,0x740ff300,0x3fa05a8f,0x05ff3005,0xf8804fc8,0xfb82fc86,
    0x9700000f,0xf88037dc,0x5025c40f,0x00b300df,0x7c4027e4,0x3002fc86,
    0xff1005ff,0x0bfe6003,0x5507fe20,0x2207fd40,0x24b801ff,0xfa8006fb,
    0xfb00792f,0x0ff30d07,0xe9801dfb,0xa800dfff,0x6e7dc03f,0x7e468801,
    0x7fc43c1f,0x09ff1004,0xfd1d17f2,0xbff03447,0x13fe2000,0x2e27fc40,
    0x4c0f005f,0xf00dfffe,0xeedb809f,0x437c40ce,0x1bea07f8,0x101dcfb8,
    0x3e2009ff,0x027e404f,0x17e437c4,0x15005fe8,0x3ff10f40,0xdddff100,
    0x7cc09ffd,0x0025400f,0xdf1009f9,0xd1005f90,0x3fe200bf,0x05fe8801,
    0x4a83ff10,0x3e207fc0,0x221e801f,0xfc8001ff,0xff30069e,0x7fcc24c9,
    0x002eeba9,0x01ffffdc,0x3fe00fea,0xfb0d1006,0x4ff83c1f,0x207ff100,
    0x2eb30ff9,0xff80ee6f,0x13fe0004,0x2e1ffc40,0x700f005f,0xf887ffff,
    0x5ff8805f,0x7f50df10,0x3e027dc0,0x027fc06f,0x6c03ff88,0x86f8804f,
    0x9ff502fc,0x1a601b80,0x3e2017f6,0x2026440f,0x07a203fd,0x8804fc80,
    0x802fc86f,0xf1000efd,0x1dfb003f,0x507fe200,0x21be601f,0x34c01ff8,
    0x44002fec,0x26001fff,0xf3039dff,0x005ff75f,0x0bfff220,0xfb803fa8,
    0xd10d1003,0x5fe83cdf,0x405ff300,0x3e2592fe,0x7fc03d1f,0x17fa0006,
    0x2e17fcc0,0x200f005f,0x7c2fffc8,0x07ff007f,0x0db07fe2,0x7dc01fc8,
    0x802ff403,0x7f402ff9,0xc86f8806,0x33fe602f,0x36015c41,0xffb9999b,
    0x807fc400,0x417f4404,0x7e4002e9,0xc86f8804,0x0ffd402f,0x803ff100,
    0x22001ffa,0x0ffd41ff,0x3e207f62,0x4cdec01f,0x000ffb99,0x98006fb8,
    0x9fe606fe,0x00400ffb,0x7d40dff3,0x000f8803,0x57fe60d1,0x200dfb07,
    0x3ee01ffa,0x467ec1f5,0x003fec06,0x2a00dfb0,0x037dc1ff,0xf3004344,
    0x00ffd8df,0xdf103fe8,0x801bd79b,0x00f8806e,0xfa8037ec,0xfffd701f,
    0x437c405b,0x76c402fc,0x402cedff,0xccccccf8,0x7fc403fe,0xfb300300,
    0x005bfbbf,0xf1009f90,0x4405f90d,0x7c4004ff,0x13fe201f,0xa83ff100,
    0xefdceecc,0x403ff101,0xccccccf8,0xfa8003fe,0x7fd10006,0xbfb1fe60,
    0x3ea02a80,0x007f500f,0x03440095,0x2a0f7ff5,0x6fb800ff,0x22dffcc0,
    0x5c03befb,0xf50000ff,0x0df7001f,0x0b300df5,0x07fd4055,0xfd005ff5,
    0x4cd7e207,0x803f9800,0x0ffa804a,0x0006fb80,0x7e437c40,0x00366002,
    0x1bee03c8,0x0001ff10,0x00099310,0xf8804fc8,0x3602fc86,0x7c40406f,
    0x01bf601f,0x883ff101,0x1002ba20,0x01e403ff,0xf5000df7,0x3f44000d,
    0x7fc47f98,0xff012a03,0x200bea01,0x01a2001e,0x7f40fff9,0x801fe804,
    0x7fc42ffe,0x05fe800f,0x04fe8150,0xff981fe8,0x25425400,0xdfd03fe0,
    0x103fe801,0x0b9000bf,0x7f4007a0,0x801fe804,0x1ff001eb,0xb0017f44,
    0x007c007f,0x7c405ff1,0x8005c00f,0x7e40005c,0x441ff004,0x3ff702fe,
    0x7fc40c80,0x803ff701,0x00ffc40c,0x3e2017ea,0x8803e01f,0x7d4002ff,
    0xf3174006,0xf50ff301,0x403ea03f,0x03ee06f9,0x79800b50,0x2607fd80,
    0x13ee00ff,0xfd83fdc0,0x09ff5006,0x0ff981b8,0xfd813ee0,0x2a07a203,
    0x30df300f,0x3fe80bfd,0x8800bf30,0x005a800e,0xfb803fe6,0x00bfd004,
    0x372a73f6,0x1ba002df,0x7ec02e40,0x803fe606,0x07f20059,0x004fd800,
    0xfb9539fb,0x03ff985b,0x0ffc4344,0x2201ffcc,0x801ff886,0x7fc400fc,
    0xfb00b901,0x06fb800d,0x20b127c0,0xefc80ff9,0x441ffa80,0x6476e1fd,
    0x0eeff884,0x2007d400,0x774c07e8,0x2003fb80,0x07f504f8,0x20e7fcc0,
    0x3ba602b8,0x4403fb80,0x02e982fe,0xfd883ff5,0x019fb101,0x3e607fd1,
    0x40762006,0x000eeff8,0x7dc0774c,0x80244003,0x9f95fff8,0x00fe2003,
    0x3ee00fe2,0x03ff503f,0xe8800fa6,0x74002def,0xfff1006f,0xfd073f2b,
    0x42f5440b,0x5fe82ff9,0x2617aa20,0x2ec402ff,0x4417fcc0,0x3ffb803f,
    0x003ff200,0x5c0723c8,0x1dfd01ff,0xdceecca8,0x77fe41ef,0x03bff104,
    0x5f7fe440,0x2201e200,0x1deccdec,0x3e02d800,0x7f6c4000,0x8802cedf,
    0x1deccdec,0xbbffb300,0x665405bf,0x01efdcee,0xdcbefdb8,0xffb302df,
    0x40398017,0x0001dff8,0xbd99bd91,0x00170003,0x80026098,0xfeb801cb,
    0xfff900cf,0x3fee61bf,0xfffeeeff,0x0188000f,0x6ffff5c0,0x04c13002,
    0x7fffffdc,0x23ffffff,0x1bffffc8,0xfffffff7,0x447fffff,0x81bffffc,
    0x7e4402c9,0xfd71bfff,0x3ff2019f,0x36600dff,0x2003efff,0xfc980ab9,
    0x7cc0beff,0x44111dff,0x006200aa,0x00000004,0x01a88001,0x00600c00,
    0x00015100,0x10000d44,0x82200353,0x10000aa8,0x33300335,0x40000133,
    0x2a200000,0x002a0001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x001bd300,0x44333332,0x00199999,0x000aa600,
    0x30000d54,0xb5000055,0x4c00143b,0x99900c0b,0x44180199,0x00402200,
    0x2a000201,0x5cc0001a,0x05c000c0,0x20c4001c,0x1aa80001,0x4ccccc40,
    0x04ccccc1,0x80155300,0x44019998,0x30019999,0x03000199,0x4cccc402,
    0x19999999,0x174c7aa0,0x000e6440,0x4c000050,0x640061ab,0x21ed400d,
    0x09999998,0x2a154c00,0x05f90002,0x855577c0,0xfefffeb8,0x360003ef,
    0x6f98002f,0x03fc4000,0x3ff76200,0x7dc004ac,0x20298cff,0x200fdaaa,
    0x80df35fb,0xb101621d,0x54001cc1,0x3ea0005f,0x00298cff,0x2ecace88,
    0xf92fe800,0x7fc40007,0x7ff5c400,0x67ffd42d,0x5e7ec401,0xb5103fec,
    0x754409ff,0xfdd002ef,0xb8770009,0xdffd7101,0x0ffddddd,0x06fca7ec,
    0x0006ffc8,0xdb8000ba,0x6cecbace,0x101ff880,0xeb887ff9,0x4002beff,
    0x07fe22fe,0xf000fa00,0x547fb80b,0x44000efe,0x1d90003f,0x05f30000,
    0xffb31400,0xfd538003,0x3f2001df,0x7cd7ee00,0x745fcc06,0xe99ec802,
    0x01f90000,0x7ff54a00,0xff70000e,0x3fa000bf,0x40007f91,0x3ea001fa,
    0x001df00f,0xbf701bf5,0x017fe401,0xa5c003e6,0xde8000fb,0xffa805c8,
    0x64c0f300,0xe9803910,0xa8003e98,0xfe88005f,0x001fd302,0x07f90075,
    0x20007fea,0x00ed83f8,0x7c002440,0x543fcc05,0x2d4003ff,0x0003d000,
    0x10002540,0x30600010,0x07e40017,0x32001020,0xff1005ff,0x2d80007f,
    0x0b983000,0x000a8000,0x00002040,0x7f98005b,0x3e600bb0,0x102fe407,
    0x3c403fff,0x024c4880,0x007ffd40,0x19007fcc,0x20c80000,0x7ec000d8,
    0x3fa2000f,0x000fcc01,0x2607f700,0x4a8000ff,0x00040000,0x3fcc05f8,
    0x14006fe8,0x00031000,0x26200700,0x98819999,0x44009999,0x64001aa9,
    0x554c400f,0x03991001,0x00026540,0x4ccc4028,0x4cccc401,0x86ae6001,
    0x99999881,0x99999881,0x30007000,0x400b90ff,0x2ff803fe,0x01dfdf10,
    0x0100803c,0x400b2e00,0x00200ff8,0x00080000,0x8013fbe2,0x039004fd,
    0x7f700110,0x0003fe20,0x4c40000a,0x99999999,0x02fc0999,0x37f41fe6,
    0x99999988,0x44199999,0x00199999,0x93001400,0x5103bfff,0x22015ffd,
    0x3fdbaced,0x2201f900,0x3fdbaced,0x33333310,0x8800a001,0x99999999,
    0x6d441999,0x3aa204ff,0x76dc02ef,0x86cecbac,0x81dfffc9,0x10affea8,
    0x10333333,0xf3033333,0x2e005c8f,0x0ffb007f,0x817fe3a2,0x99999887,
    0x26666209,0x26666219,0x19999999,0x0201ff10,0x9837fff2,0x036445fe,
    0x3fd5e400,0x000ff980,0x6de54031,0x7dc1aabd,0x001ff103,0x05307b50,
    0x3fffee60,0x4feeeeee,0x1fe602fc,0x5c40ffe6,0xeeeeeffe,0x7f5c47fe,
    0x03effeff,0x20017400,0x1f9807fd,0x2a037ea0,0x07e400df,0x7d406fd4,
    0x7ff5440d,0x05d000be,0x3bffae20,0x07feeeee,0xf300bff2,0x817f4401,
    0xffb00fe9,0xd983f300,0xb882efff,0x7f983eff,0xdfb00172,0x207fee00,
    0x209ff368,0xdffeb887,0x3ffee60a,0x3ffae21c,0x7feeeeee,0x9101ff10,
    0x2dc1fee0,0x0001ffaa,0x00bfe1f1,0x40001bee,0x33bf20fa,0xf881fdc2,
    0x3f22000f,0x4003a83f,0x9701ffcd,0x3fcc05f8,0x2a0077ec,0x20f300ff,
    0x77f547fb,0x05fa8000,0x44037e40,0x80df100f,0x07e405fb,0xbf701be2,
    0x800bfe60,0x7d4005fa,0x440f300f,0x1e201fff,0x4c01fe88,0x00df901f,
    0x3ff201f1,0x98077402,0xd000bb7f,0x3fea00bf,0x3fee6882,0x3fea0783,
    0xa81bf200,0x20f300ff,0x25c40ff8,0x03b03fd0,0xb8000ff1,0x3601bee4,
    0xdd00005f,0x7f706fa8,0x0003fe20,0x00ee0ff2,0x01ff8e88,0xf980bf12,
    0x02eeba9f,0x6401ff30,0xfa87f980,0xffd8003f,0x017ee000,0x007fd03c,
    0x07e405ff,0x3fe00ffa,0x001ff882,0x98003ff6,0x403200ff,0x200efef8,
    0x4013f607,0x00bf701c,0x40dfd01e,0x3fe600f9,0x7c4005fd,0x9ff1004f,
    0x1ffc8d10,0x80ff303c,0x3fe606fb,0x3e203200,0x4ffeeeef,0x0d117ea0,
    0x3a0003fc,0xf007fe21,0xeedb809f,0x217e60ce,0x03fb80ff,0x70001ff1,
    0x4009707f,0x0403ff3b,0x5ff3017e,0x44005ff7,0x4c0200ff,0x00dfd07f,
    0x004fef88,0x83c017ee,0xff7007fb,0xff707e40,0x221fee00,0xdf1001ff,
    0x7fc4009f,0x8e880200,0x4c1e05ff,0x031000ff,0x03c017ee,0x1ec0bfe6,
    0x3febfe60,0x027fc005,0x6884ff88,0x81e0ffd8,0x2fdc07f9,0x0401ff10,
    0x6440ff88,0x7907f404,0x30003fc0,0x440bfb0d,0xff8805ff,0x6f87f885,
    0x3e207f70,0x3fb8000f,0x4d1005c8,0x17e001ff,0x7fdcff30,0x01ff1000,
    0xd07f9802,0xabc800df,0x17ee007f,0x06fd83c0,0x3203ff50,0x401bf60f,
    0x7fc41ffa,0xff579001,0x807fc400,0xff9b4400,0x1bee0f04,0x02fdc000,
    0x0ffc8078,0xbfcc02d4,0x3a005ffa,0x7ff3005f,0xdfd10d10,0x80ff303c,
    0x3fe205fb,0x7fc40100,0x4fa80900,0x047f803e,0x33337b00,0x7fc01ff7,
    0x207ff007,0x40fe61fe,0x1ff103fb,0xb07f7000,0xff8f200d,0x05f81a81,
    0x17f63fcc,0x4407fc40,0x261fe604,0x3e2003ff,0x2e005ff0,0x3a0f005f,
    0x5ff3005f,0x5fe83f20,0x885ff300,0x0f8801ff,0x3e2005ff,0x4404880f,
    0x1e0ffee6,0x80002fec,0x00f005fb,0x0f44bfd1,0xff53fcc0,0x01bf200b,
    0x3440ffcc,0x40f5ff98,0x2fdc07f9,0x9101ff10,0x1807fc40,0x05a8fe80,
    0x2fffabfc,0x66667c40,0x3603fecc,0x3fe800ff,0x9b35dd10,0xf881fdc0,
    0x3fb8000f,0x468807e8,0x40f4c1ff,0x23fcc05f,0xf8803ff8,0x3025c40f,
    0x01dfb0ff,0x0df725c0,0x3c017ee0,0x88027fc4,0x21f904ff,0xf1004ff8,
    0x01ff889f,0x01bee4b8,0x2e207fc4,0x3f234404,0x4ff83c1f,0x67776dc0,
    0x7802fdc0,0x325ff500,0xa8ff3003,0xffa805ff,0x106fb800,0x3dffd40d,
    0xfb80ff30,0x103fe205,0x07fc4097,0x3b9f7000,0xb9caff80,0x701e406f,
    0x17fd40df,0x5901ff40,0x07f70035,0x11003fe2,0x0ff83fb8,0x3bfe1e40,
    0xf81fffee,0x543fcc05,0x7fc401ff,0x04ffeeee,0x3aea7fe6,0x21e8002e,
    0xfb801ff8,0x3fe0f005,0x07ff1004,0x04ff83f2,0xf887ff10,0x221e801f,
    0xff8801ff,0x04ffeeee,0x07fec344,0x00bff10f,0x3ee0bff1,0x6400f005,
    0x260069ef,0x05ffa87f,0xfe804fe8,0xfc80d102,0x33fe607f,0xfdcccccc,
    0x3bbfe205,0x2204ffee,0x005c00ff,0x5ff00dff,0x03e01fd8,0x3a02ff88,
    0x1ff400ef,0x7dc003d8,0x801ff103,0x221fdc0c,0x27e201ff,0x441ff999,
    0x4c05f81e,0x0efc80ff,0x9103fe20,0x5d7fcc09,0x698002ff,0xfb805fd8,
    0x3fa0f005,0x05ff3005,0x05fe83f2,0xf885ff30,0x6c34c01f,0x0ff8805f,
    0x1a202644,0xf079bfa2,0x0ffe00ff,0x07802fdc,0x007ffe20,0xff507fa8,
    0x07fc401b,0x3cc09f70,0xf303fec0,0x3333333f,0x7fc40bf9,0xf3026440,
    0x202cc01f,0x87f803fb,0x00b902fc,0x7f4c0dfb,0x441ff405,0x1bcccdff,
    0x3e607f70,0x2e16200f,0x00ffcc3f,0xffdddddb,0x0bf03503,0xfd01ffb8,
    0x03fe201d,0x5cff3024,0x5ec000ff,0x0ffb9999,0x44037dc0,0x200dfb06,
    0x1f901ffa,0xfa8037ec,0x00ffc41f,0x2e6666f6,0x7fc400ff,0x06880900,
    0x6c1ebff3,0x3fe800ff,0xd100df70,0x006fb800,0xfd807fdc,0x3be601ef,
    0x5404fa80,0x03f4400f,0x5fb80ff3,0x2403fe20,0x2603ff50,0x007c403e,
    0x417e43fc,0xffb803f8,0x033f6203,0x7e40ffa2,0x86ffffff,0x7ff504fc,
    0x41fd4c41,0x17fcc3fb,0x03ff0698,0x260bf011,0x40befffc,0x441dfff9,
    0x4c0300ff,0x002fec7f,0x999999f1,0x6fa807fd,0xff505980,0x40df7001,
    0x03fea0fc,0x3e21bee0,0x333e201f,0x03fecccc,0x01807fc4,0x7ff50344,
    0x00bfea0f,0x37d40ffa,0x2a002cc0,0xff93006f,0x7fdc17df,0x9103efff,
    0x05dd97bf,0x05f7fe44,0x3fcc0f10,0xf8817ee0,0xf730300f,0xffdddfff,
    0x04a801ff,0x85f90ff0,0x900cffeb,0x401bffff,0xfdcbefdb,0x4cc7202d,
    0x3ee2eba9,0xff930cff,0xffffffff,0xf07f701f,0x7c07601f,0x017e001f,
    0xf1000220,0xff30001f,0x9003ff88,0x2037dc07,0x25400ff9,0xfd009fd0,
    0x3a07e403,0x81fe804f,0x0f201ff8,0x7c406fb8,0x0d10000f,0x3a07ffc8,
    0x1ff400ef,0x5400ff98,0x037d4004,0x80001800,0x000fffe8,0x260080c0,
    0x02fdc07f,0x00001ff1,0x07a000d8,0x17e43fc0,0x00126000,0x5c00ce5c,
    0x02215404,0x2e000880,0x16a0103f,0xf2401ff8,0x09fd000b,0x2007fc40,
    0x543fcc0b,0x00f801ff,0xfb00bfe2,0x300f4407,0x27dc01ff,0xff303f20,
    0x8827dc01,0x803e01ff,0x3e202ff8,0x4c05c00f,0x207fd807,0x7f405fe9,
    0x880ff603,0x37d4001e,0x0ffcc000,0x37fe4000,0x03ff3000,0x2e03fcc0,
    0x03fe205f,0x3e200170,0x400b5000,0x002fc87f,0x44002640,0x5f8801ff,
    0x02fec2c0,0xf7006fc8,0x102e8007,0xf1dc03ff,0x01f6000b,0x2600ff98,
    0xc80ff985,0x017200ef,0xfd101bf6,0x3005d305,0x07f701dd,0xdd301f90,
    0x4407f701,0x00b901ff,0x7fcc0dfb,0x7d416600,0x203f4400,0xe880cfd8,
    0x0bfa203f,0x2e000ba6,0xf100006f,0x3aa00007,0x3e60005f,0x01fea003,
    0x7fcc0df7,0x88016600,0xeff880df,0x21fe000e,0x640002fc,0x3f98001f,
    0x359dfd00,0x3f203d95,0x001f7000,0x3e4007f7,0x2e05ff30,0x20017e1f,
    0x3ea004e8,0x707d301f,0x3bfa03ff,0xb803f880,0x7ecc03ff,0x002dfddf,
    0x3b337b22,0x01f9001d,0x3b337b22,0x17fcc01d,0x7dc01fc4,0x03ff503f,
    0xff910fa6,0x03c4017d,0xdcbefdb8,0xfd9802df,0x002dfddf,0x0001ff90,
    0x00001f50,0x8002dea8,0x3ee000fb,0x81ff600f,0x7d301ffa,0x4dffb800,
    0x80077fe2,0x03fc87f8,0x6f7f4400,0x001f5002,0x3ffff6e2,0x00bb100c,
    0x7e401762,0xdffd8804,0x3ffff222,0x46fffeee,0x401eeeee,0xf73001ca,
    0xffdddfff,0x7fe4c1ff,0x7fcc0bef,0x9ffd71df,0x3ffff201,0x0d4c400d,
    0x00d44000,0x07777744,0x4400d440,0x71bffffc,0x32019ffd,0x730dffff,
    0xfdddffff,0x00001fff,0x26a20002,0x35310001,0x7fecc000,0x320003ef,
    0x2000000b,0x79001ba9,0x3ff26001,0x3f6a0bef,0x3ee63dff,0xffeeefff,
    0x130000ff,0xfb500020,0xfff715bf,0x03100007,0x00005e40,0x0ac98013,
    0x800ac980,0x000cfffb,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x30000aa6,0x001ae200,0x33333100,0x30000013,0x0402003d,0x00011000,
    0x800c0b98,0x70150008,0x01106000,0x00000800,0xaaa88091,0x8000aaaa,
    0x419b5001,0x2aaaaa02,0x001801aa,0x10440183,0x04411001,0x01a83880,
    0x554c00c0,0x0002aaaa,0x33107660,0x30013333,0x01800001,0x2aaaaaa2,
    0x5555000a,0x5c003555,0x2004c88c,0x99999998,0x74009999,0x3ee0001f,
    0x03fed405,0x22350710,0x00beffea,0xb807102e,0x583b004f,0x03fe2000,
    0x67ffd400,0xff880288,0xd97bd000,0x2bf70007,0x360006f9,0x540001ed,
    0x7fffd403,0x64000fff,0x7f6cc04f,0x3fe049cf,0x804fffff,0xf73fd806,
    0x7c3fe209,0x43fe201f,0x1b7001ff,0xdf50012e,0xfffffd80,0x2a00006f,
    0x7fffec5f,0x1cc806ff,0x09f50000,0x3fffffea,0xffff001f,0x7c007fff,
    0xd8807f35,0xefffdcee,0x204feeee,0x5c0002f9,0x07f8804f,0x2f66f640,
    0x4c017fcc,0x400fdcdf,0x7f3000a8,0x440005d1,0x250000ff,0x000effea,
    0x3aa001ff,0xa8000dff,0x000df35f,0x0002c4ea,0x00000036,0x22807f90,
    0x0000ffea,0xf900f700,0x7c413ee7,0xf8807fa7,0xe8007fa7,0x54000fcf,
    0x9880005f,0x98819999,0x41e99999,0x2aaaaaa9,0xfd9bb910,0xaa988019,
    0x00013a21,0x26000000,0xf980d70f,0x407fdc0d,0x0012e04a,0x0ff00040,
    0x0dffc880,0x7001ff88,0x00005dfd,0x001bff20,0x18000220,0x020005cc,
    0x00002600,0x2a000081,0x44000b13,0x4ccccc45,0x99999881,0x80800800,
    0x35531000,0x200ff500,0x10220040,0x00081100,0x8001ffd4,0x99998800,
    0xfff93099,0xffd5103b,0x74000035,0x403ea374,0xfecaced8,0x4ccc43be,
    0x99999999,0x80014001,0xfa80723a,0x00ff980f,0x80001c09,0x7c140aa8,
    0x40110007,0x04001ff8,0x32200000,0xb980001c,0x0a00061a,0x99999880,
    0x00050009,0xd8000140,0x910002dc,0xdfffc985,0xaffea882,0x33333310,
    0x88333333,0x00999999,0xfb759db1,0x3fffee07,0x3333313f,0x83333333,
    0x09999998,0x03333331,0x00333331,0x4cccc400,0x21999999,0x0beffea8,
    0x7cc03fec,0xfb374401,0x86e3f301,0x704fb80e,0xffd710bf,0xffdddddd,
    0x8002e800,0x0ffa00c1,0x10807fc4,0x01333333,0x79dd7100,0xff0b79db,
    0x4cccc400,0x0ffc4099,0x4cccccc4,0x40199999,0x99999880,0x6dc00009,
    0x6cecbace,0x1002e800,0x017dffd5,0x40000ba0,0x5d00002e,0xfcdb8800,
    0x807fd80d,0x7f5c41f9,0xfeeeeeef,0x77ff5447,0x80dfa80b,0x0ff00dfa,
    0xdddffd71,0xa88ffddd,0xb30beffe,0x7105dfff,0xdd107dff,0xfff007ec,
    0xffdddddd,0x205ff309,0x0f8806fc,0xff87fc40,0x4372fc82,0x202fd40b,
    0x1ff504fc,0xfa801e60,0x00220005,0x3e201ff5,0x7f5c400f,0x44002bef,
    0x6fb881fe,0x6ffe47f8,0x3bffaa23,0x40ffc40b,0xeeeffeb8,0xc987feee,
    0xffeb883f,0x1ceffeef,0x302fe880,0x7d4001fd,0x17fcc005,0x000bf500,
    0x0000bf50,0x74400bf5,0xf90ffd33,0x201f100d,0x0f300ffa,0x7c40bfe6,
    0xf82fdc06,0x403fea07,0x05ff3079,0xdd00bff2,0x7c3fe201,0xd807e02f,
    0x03ff106f,0x03c017ee,0x540a2198,0x1021b8ef,0xff8803ff,0x200ff981,
    0x1ffb000c,0xffcda800,0x440ffb04,0x540d40ff,0xfd0001ff,0x7f86b805,
    0xff300f54,0x807fe205,0x8f300ffa,0x2e03fea8,0x2ffb887f,0x3007fa20,
    0x7fec003f,0x07fe2000,0x000ffd80,0x0007fec0,0x4003ff60,0x3fd390fc,
    0x0f005fb8,0x19007fcc,0x3a03ff10,0x82ff803f,0x03fe607f,0x1ff880c8,
    0xf981bfa0,0x0510cc00,0x3ff70244,0x5c07fe20,0x000f005f,0x39dff100,
    0xd8037e40,0x00ff886f,0x7f7c4002,0xb83aa004,0x206fe85f,0x07660ff8,
    0x20003fe6,0xf0d003fd,0x2200754f,0x3ff101ff,0x9007fcc0,0x4c07f701,
    0x0ffe607f,0x1c8027ec,0x09fdf100,0x800ffc40,0x0004fef8,0x0013fbe2,
    0x804fef88,0x4145a5f8,0x40f005fb,0x40200ff8,0x7fb81ff8,0xff0ff700,
    0x1007fc40,0x9807fe20,0x007b02ff,0x26031000,0x3fe203ff,0x200bf701,
    0x99bfb207,0xff982ffd,0x017fa03f,0x3e207fdc,0x6400100f,0xf3007fab,
    0xff85fb05,0x3bbfe205,0xff881fff,0x0ffcc000,0xb77f8380,0x407fe200,
    0x3e201ff8,0x7dc0200f,0x501fe603,0x0ff987ff,0x32003100,0x22007fab,
    0x579001ff,0x5e4000ff,0x320007fa,0xf9807fab,0x5fb80733,0x7fc40f00,
    0x7fc40100,0x5006fd81,0x207f83ff,0x40100ff8,0x7e401ff8,0xd902d40f,
    0x17feccdf,0x1017fa00,0x17ee03ff,0x1be603c0,0x7f4c0bfa,0x009ff04f,
    0xff107fea,0x22009101,0x9005ff0f,0xf8bf303f,0x83fe205f,0x0ff881e9,
    0x003fdc00,0x003effe0,0xf880ffc4,0x03fe201f,0x407f7004,0x6fd807f9,
    0x000037dc,0x02ff87c4,0x1003ff10,0x000bfe1f,0x017fc3e2,0x2ff87c40,
    0x00c9fd40,0x07802fdc,0x12203fe2,0xfe81ff88,0x85ff3005,0x03fe207f,
    0x1ff88122,0xd12ff440,0xe86f9803,0x3ff2002f,0x80ffc400,0x80f005fb,
    0x02fc86f8,0xf3077fec,0x3fe6007f,0x2207fc42,0x5c97004b,0x80fe806f,
    0x1bf60ff8,0x0dc0ff88,0x20007fc4,0x7c0006fd,0xf1006fcf,0x07fe203f,
    0x4880ff88,0xf980fee0,0x20ffa807,0x800005fd,0x401bee4b,0x4b801ff8,
    0x2e001bee,0x2001bee4,0x301bee4b,0xf7021abf,0xf881e00b,0x1025c40f,
    0x4ff883ff,0xf89ff100,0x103fe207,0x0ffc4097,0x3c97fd40,0xfc86f880,
    0x05ff3002,0x2e03ff10,0x880f005f,0x402fc86f,0xf30effbb,0x3fe6007f,
    0x7777fc42,0x3d004ffe,0xf100ffc4,0xb87fe03f,0x03fe207f,0x01ff1011,
    0x0005ff80,0x804fdbfc,0xff101ff8,0x207fc403,0x0fee04b8,0xf9807f98,
    0x7013fe2f,0x4019dddb,0x007fe21e,0x3a007fe2,0x0007fe21,0x00ffc43d,
    0x1ff887a0,0x10f3fe20,0xf005fb85,0x7777fc40,0x3e204ffe,0x004ff81f,
    0x27f87ff1,0x7777fc40,0x3e204ffe,0x3df9001f,0x21be200d,0xfe8802fc,
    0x03ff1005,0x03c017ee,0x0bf21be2,0x47fd1370,0xff5004ff,0x440ff883,
    0xd869804c,0x81ff405f,0x03fe60fe,0x88007fc4,0x7fc000ff,0x8bfc0004,
    0x7fc402fe,0x403ff101,0xfeeeeff8,0x80fee04f,0xff8807f9,0x100bff14,
    0x86980bff,0xff8805fd,0x7ec34c01,0x361a6005,0x21a6005f,0x7ff405fd,
    0x02fdc1c0,0x03fe2078,0x7fc40991,0x3005fe81,0xabfe85ff,0x2207fc42,
    0x07fe204c,0x00fffc40,0x2fc86f88,0x000efd80,0x3ee03ff1,0x44068806,
    0x402fc86f,0x7f4bf31b,0x10ff7005,0x201201ff,0xfb9999bd,0x413f200f,
    0x104fe86f,0xf12401ff,0x6ff8001f,0xf33fc000,0x0ffc403f,0x2201ff88,
    0x026440ff,0x3fcc07f7,0xff27fc40,0x00ffe00f,0xf733337b,0x1ff8801f,
    0x4cccdec0,0x7b000ffb,0x1ff73333,0x2666f600,0x2600ffb9,0x81eccfff,
    0x068806fb,0x02403fe2,0xdfb03ff1,0x507fea00,0x1ff109ff,0x1ff88120,
    0x801bee00,0x02fc86f8,0x1000ffd4,0x1bea03ff,0xdf101660,0x5c485f90,
    0x06fc97e1,0xff10bfb0,0x9f100601,0x7fd99999,0x7c437cc0,0x981fe883,
    0x447700ff,0x7ec000ff,0x3fe20007,0x4403fee0,0x5ff301ff,0x4807fc40,
    0xf9813f20,0x22ff9807,0xfe800ffd,0x3333e203,0x403feccc,0x3e201ff8,
    0xfecccccc,0xcccf8803,0x803feccc,0xccccccf8,0x7fe403fe,0x0df502df,
    0x7fc40b10,0x7fc40300,0x800ffa81,0xf88006fb,0x7c40300f,0x1bea001f,
    0xfc86f880,0x013fe202,0x2603ff10,0x025400ff,0x0bf21be2,0x2f88dc5b,
    0xf100bfe2,0x01ff101f,0xfb80f200,0xb127ec06,0x2177c409,0x0fb82ffc,
    0x70003fe2,0xb50001ff,0x3ff25bff,0x0ffc40cf,0x2fffff22,0x300ff881,
    0x02fffee0,0x3ea01fe6,0x00bfea1f,0x03c80ffa,0xff101bee,0xf701e403,
    0x5c07900d,0x203c806f,0x08ac06fb,0x2007fcc0,0x03fe204a,0x407fe200,
    0x1fe804fe,0xff102eb8,0x3ff10001,0x0037d400,0x05f90df1,0x202037ec,
    0x3f601ff8,0x2007a203,0x0bfa20ff,0x36c6e3db,0x3f2037d4,0x801ff103,
    0x2200f80b,0x77e402ff,0xdb8804ec,0xfffffedf,0x7c46ffff,0x3a04400f,
    0x4015005f,0x3ff10009,0x7fc40340,0x40498000,0x6fe807f9,0x7400efe8,
    0x8803e03f,0x3fe202ff,0xf8803e01,0x1007c02f,0x00f805ff,0x24c0bfe2,
    0x880ff600,0x03fe201e,0x1ff88170,0x5c01ff30,0x20dfb04f,0x05c00ff8,
    0xa8007fe2,0x07fc006f,0x3ee05fd1,0x2206401f,0x17f401ff,0xfd80174c,
    0x2dfdca9c,0x3b37bf6a,0x01bf500d,0x7fcc05f9,0x17216600,0x4c01bf60,
    0x00660000,0x2007fc40,0x027fd40c,0x07ff006e,0x2603ff10,0x07fc400f,
    0x80b902e0,0x7fd407f9,0x405fe981,0x00b903fe,0x7fc40dfb,0xfb00b901,
    0x6c02e40d,0x2017206f,0x003906fd,0xe982fe88,0x007fcc02,0x03ff10b3,
    0x7dc0774c,0xf9824403,0x2216600f,0x3ee001ff,0x4e7ec006,0x4c2dfdca,
    0x434403ff,0x64402ff9,0x02dfddfe,0x657ffe20,0x3c9881cf,0xb9bdb100,
    0xffa801bd,0xf887d301,0x03ffb803,0x00000000,0xb1007fcc,0x1073fe60,
    0x01ba0057,0x7cc07fe2,0x03fe600c,0x02fc8598,0xffa81fea,0x033f6203,
    0x3e20ffa2,0x03ffb803,0x7f105ff3,0x107ff700,0x7ff7007f,0xf7007f10,
    0x2000d07f,0xdfddffd8,0x01ffa802,0x5ff307d3,0xccdec880,0x01b801de,
    0x3a603ff5,0x002ff983,0x88003ff2,0x39f95fff,0x2a205fe8,0x3fff225e,
    0x1a8801bf,0x1304c000,0x10003500,0xff730015,0xfffdddff,0x67ff5c1f,
    0xbffff900,0x00000001,0x82ffea00,0x2203fa98,0x2cedffed,0x3007f100,
    0x7fe405ff,0x01ffa84d,0xdfd107d3,0x40ffb85b,0x7001efc9,0xbfb97dfb,
    0x19ffd705,0x37ffff20,0x7ffff910,0x033ffae3,0x86ffffe4,0x900cffeb,
    0x2e1bffff,0xf900cffe,0x0a21bfff,0x03531000,0x3fffee60,0x0ffffeee,
    0x2fffff22,0x001a8801,0x3fee602a,0xfffeeeff,0x3fff220f,0x3f6601bf,
    0x4c003eff,0x3fee0260,0xffffffff,0x000003ff,0x00000000,0x00000000,
    0x00000000,0x98000000,0xfffffffc,0x1000ffff,0x1bb80015,0x7fffe440,
    0x9813101b,0xeeeffffb,0x2200ffff,0x7fffe4c1,0x002cdeef,0x00066a20,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0x262002cc,0x201001aa,
    0x44020400,0x88199999,0x20099999,0xd7100008,0x002cc800,0x1f5cb6a0,
    0x10005500,0x99988101,0x26620999,0x41801999,0x4006a600,0x01aa801a,
    0x4400c044,0x333100cc,0x10301333,0x00881801,0x73000201,0xb9300c35,
    0x43551000,0x7100cc09,0x03018388,0x98001550,0xcc8800cc,0x0cccc401,
    0x06666620,0x2aa00b30,0x00808000,0xc8801aa8,0x0df3000c,0x2eb3b620,
    0x205c03fd,0x95eb8838,0xfc9819ff,0xea881dff,0xbca80aff,0x401aabdd,
    0x22007fda,0xf910006f,0x007ffe5f,0x005d99f9,0x511261d8,0x4417dffd,
    0x302dfffb,0x05d9fbdd,0x300fab76,0x1fff300d,0x01261e80,0xeb8813ee,
    0x2c80aeff,0x88b20162,0x07303205,0x9759db70,0x3fae0d9d,0x5efe4005,
    0x3e20edfd,0x4a89500f,0x200e44a8,0x64005ffb,0x13ee002f,0x09ffb510,
    0x0177f544,0xaddb80b2,0xc801cdb9,0xf500e2ef,0x09f700df,0x540075c0,
    0x0dfa80df,0x1fdbdf10,0x9b7bfb50,0xffb03fff,0x2a03f300,0x0b3bf20f,
    0xf7003fc0,0x2fc80001,0x7e407d95,0xf5001ae1,0x3e601f57,0x03fee02f,
    0x5ff1175c,0x203dcf70,0xe9be801e,0x7d57d404,0x5005e800,0x67c403ff,
    0xcf8802e9,0x3be601e9,0x3a200fed,0x01fd302f,0xfd8017ea,0xf307f440,
    0x770b205f,0x01363ba0,0x005f53f1,0x3e40027c,0x805ff900,0x206800f9,
    0x80b2201d,0x3ceffcb9,0x0feaba20,0x1d800bb0,0x5c06f880,0x37f6a05f,
    0x88bfe602,0x06fc86fe,0x8dd00f88,0x664c06fa,0xd803cffc,0x2fb80001,
    0x98ff0064,0x7fec000f,0x807fe203,0x05f107fa,0x4cdd05f9,0x5007701f,
    0x3a00ec47,0x068803ff,0x7003fe60,0x7dc00bff,0xdfea805f,0x007fa201,
    0x17e603f3,0xf8827cc0,0x6c07fe20,0xff980ec1,0xb30e400f,0x80016600,
    0xfff1001d,0x4c03c403,0x5cc43b05,0x502c988a,0x2e02f5c4,0x74403621,
    0xe800c000,0x02ff803f,0x42fc4004,0x2fdc0ffa,0x0bf30780,0x4cc401ff,
    0x18009fe9,0x45f70000,0x91fe2049,0x0551000b,0x2a01ff88,0x2e0fb06f,
    0x3e65f82f,0x03006984,0x00551006,0x7f980026,0x80015500,0x002000aa,
    0x0e4013f6,0xf5005f98,0x3fe06c09,0xa80f0f01,0x0880801a,0x18000180,
    0x1dfdf100,0x416403c0,0x26276e1d,0x000593fc,0x11008040,0x45102000,
    0xff7007fb,0x5f880080,0x5fb83ff0,0x1fe20f00,0x7e8201be,0x00180c40,
    0x4997dc22,0x5f32ff80,0x10022000,0x37d403ff,0x05f706f8,0x741fccdf,
    0x00088000,0x00110002,0x00001fe6,0x00800110,0x88007fcc,0x008bf301,
    0x02e03ff3,0x88d101ff,0x00000806,0x00000000,0x02ffc744,0x4730d00f,
    0x02c9905d,0x01100022,0x6d400820,0x21d8cfdd,0xff5006fd,0x39dbd703,
    0x7f417e20,0x7802fdc1,0x3f987fa0,0x3f373b20,0x9fb9d507,0x402fbbb2,
    0x2fdccdea,0x75efec00,0x01555531,0x40b7b7ae,0x3ea01ff8,0xf706f886,
    0x0fdcdd05,0xbd7000f2,0x6f5c05bd,0x37ae01ce,0x3fcc02de,0xfb337f64,
    0x7e6d405f,0x3732a04f,0x00df705f,0x7e57e600,0x3fff81ef,0x775cfd00,
    0xeeeeeeee,0x2fee6544,0xfb337f64,0x26fec85f,0x7642ffd9,0x0bff666f,
    0x09ff3688,0x3709301e,0x91c403ee,0x13ff36a0,0x09ff9b50,0x817bb32e,
    0x0bfea1ea,0x3e600bfd,0xff126c2f,0x3a0bf103,0x802fdc0f,0x26bba207,
    0xc837604d,0x322fa87f,0x217ea3ff,0x0bfe61fb,0x889ff500,0x1b902efe,
    0x7fc40ff4,0x221bea01,0x505f707f,0x0b31b21f,0x3fa0dc80,0x3fe24d81,
    0x3fa0dc81,0x4c1fe601,0x502fe86f,0x442fdc1d,0x3613ee3f,0xf300005f,
    0x3fff99bb,0x02efff98,0x642c836c,0x3ee3f882,0xfe86f984,0xfe86f982,
    0xfe86f982,0xffb9a202,0x41640783,0x2a801fa5,0x0bf70754,0x45fb83aa,
    0xf9836469,0x3e22fe82,0x9ff1004f,0x1bee07d4,0x1fe21be2,0x03c017ee,
    0xf7006ab2,0xfc87f881,0xff03fea1,0x7ec1fc43,0x3ffa6002,0xf500fb86,
    0xf884fc85,0x41bea01f,0x02fb81ff,0x744197b7,0x90bea000,0x5c0fa89f,
    0x3217d46f,0x41fe604f,0x82fc86f8,0x42fd82f9,0x217e61fc,0x76dc04ff,
    0x77cc0cee,0x261bfa20,0x900dfffe,0x03b03a0b,0x42fcc3f9,0x82fc86f8,
    0x82fc86f8,0x02fc86f8,0x83ff91a2,0xf1483407,0xf324400d,0xf985fb05,
    0x1722fd82,0x907f20b1,0x04ff8bf9,0x76c7ff10,0x87fcaaaa,0x83fa86f8,
    0x40f005fb,0x0df1003d,0xf30e21fa,0x5ff9999f,0x17dc0fe4,0xffaafb80,
    0x1fd01ec3,0x3ff10150,0xfd837d40,0x2017ec0e,0x6edc2c80,0x0a80fe83,
    0x6555576c,0x5407f47f,0x441fe600,0xc82fc86f,0x4c5f981f,0x3e237c43,
    0x5ff8805f,0xff50bf30,0x3fffee01,0xf0f04b83,0x0df10e60,0x05f90df1,
    0x05f90df1,0x05f90df1,0x07fec344,0x15824c0f,0x924400df,0xc8bf303f,
    0x325f981f,0x0fe80c4f,0xe83fe32e,0x5ff3005f,0x4ccccefc,0x41ff8819,
    0x00bf706d,0x66ffc41e,0x2fcc1bcc,0x764407e8,0x999999df,0x17dc1fe0,
    0xffd0fe40,0x0df01a21,0x201ff880,0xfff106fa,0x005fb979,0xe87dc5a8,
    0xbf0037c3,0x83333333,0xff30006f,0x3f21be20,0xf880fe82,0xdfb9300f,
    0x3e00fff0,0x10bf303f,0x7e4403ff,0x4c2542ff,0x64c03445,0x86f886fd,
    0x86f882fc,0x86f882fc,0x21a202fc,0xc81e6fe8,0x003f4b02,0x4407f437,
    0x203fa0ff,0xdff30ff8,0x951ff805,0x0dfb0ffc,0x5f87fea0,0x66f7c400,
    0xdf700deb,0x7e40d100,0x26ffffff,0x20fd05fb,0x05f99ec8,0x5f707f88,
    0x7cc5f980,0x7c403b5f,0x0ffc4007,0x7cc0df50,0x02fb8eff,0x49f03a20,
    0x00ff10fc,0x7f8802fc,0x20ff3000,0x42fc86f8,0x3ff01ff8,0x0df0cd88,
    0xfd001ffb,0x7417e607,0x7fcc011f,0xfff91cc6,0xbfffffff,0x0df0cd88,
    0x05f90df1,0x05f90df1,0x05f90df1,0x5ff98344,0x2370340f,0x258202fb,
    0x3ff01ff8,0x7fc07fe2,0x03bffa61,0x3a2cd7fc,0x003fea0f,0x00ff1bee,
    0x01335f88,0x59806fa8,0x54ccc720,0x20df72eb,0x264e987e,0x0ff8806f,
    0x7e402fb8,0x03dffc83,0x10101ff8,0x2fd403ff,0x05f704c0,0x93e616c0,
    0x407fe1fb,0xff003fc0,0x6f980203,0x5f90df10,0x3fa07fd0,0x0df0fe60,
    0xfd005ff5,0x6c17e607,0x7d40550f,0x0b20620f,0xf0fe6059,0xf90df10d,
    0xf90df105,0xf90df105,0xf5034405,0x81260f7f,0x2e0bb639,0x207fd161,
    0x40ffa0fe,0xfffb80fe,0xf85dfd80,0xe804fe86,0x481ff41f,0x4c005f88,
    0x825400ff,0xfa95404b,0x740fe80f,0x203fe20f,0x2e0bfe19,0x827fc03f,
    0xfe801ffe,0x3ff10704,0x40027d40,0x095002fb,0xd17dc7f5,0x7fd0e09f,
    0x209fd120,0x4417e603,0xc82fc86f,0x7e8df04f,0x1dfd06f8,0xf303fe80,
    0x04a9ba0b,0x074007fc,0x7c3f4036,0xfc86f886,0xfc86f882,0xfc86f882,
    0xf901a202,0x900720ff,0x665ffdc5,0x09f90761,0x209f91be,0x7fd10e6f,
    0xf881ff50,0x200ff983,0x2ffb84fb,0x02fcc154,0xd101fec0,0x580bf103,
    0x3fa13fe2,0x3fa07fc0,0xdf91220c,0xfd807f70,0x85fff907,0x707fee0c,
    0x443ff101,0x0007f50c,0x1d1005f7,0x0fe4bf10,0x40b83ff7,0x21542ffb,
    0x105c1ffb,0xf813e639,0x20bfa20f,0x43f886f9,0x41fe20ff,0x7f405fe9,
    0xf30bf303,0xf9807d45,0x3c3c0446,0x3fc41ff0,0x3fa20ff8,0x7441ff02,
    0x441ff02f,0x01e602fe,0x80341ff6,0x0ec0c42c,0x1fc437cc,0x8fe21be6,
    0x4417d41d,0x302e44ff,0x07f701dd,0x37677ff4,0x88006f98,0x02e982fe,
    0x2a6b3bfa,0x77fd41ec,0x21bffd99,0xfcc88cfd,0x441fdcff,0xffc8bfff,
    0xdff5009d,0xfd39d317,0xfd05b9bf,0x2609f9bf,0x5d7ee2ff,0x07f90006,
    0xd37403b0,0xcdffe81f,0x9dffd04f,0x37ffa0dd,0xab7d44fc,0x273f600e,
    0xd82dfdca,0x3613624f,0xaffdc9df,0x80cfd883,0xdf303fe8,0x3ea274c3,
    0x10fec41f,0x222cc1ff,0x3277f605,0x7ec3affd,0x2dfdca9c,0xdca9cfd8,
    0x9cfd82df,0x502dfdca,0x87e8801f,0x02b2004a,0x9fb00ecc,0x4fd826c4,
    0xa8bb1362,0x9df73b06,0xbd91009d,0x8803bd99,0x980efffd,0x4000bffd,
    0xdfddffd9,0x7fedc402,0xff500cff,0x419fd3df,0xf51effe9,0x3a205dff,
    0x1dfbbfff,0x77fff5c0,0x13fff622,0x05f7fec4,0x2fffff22,0x00cdff89,
    0x02efea80,0x55f3012e,0xdffb105f,0x3ff62017,0xffb100ef,0xdfe8817d,
    0x7ffc401c,0x32039f95,0xd304ecef,0x013f67ff,0xfb97dfb7,0xdfea805b,
    0xecca82fd,0x441efdce,0x950ee0ff,0xd9fff4c0,0x5fff884f,0xff1039f9,
    0x2073f2bf,0x9f95fff8,0xbeffc883,0x0721e200,0xb77b9500,0xdf90037b,
    0xefc809d9,0xcffd84ec,0x221981db,0x35100019,0x40131000,0x00099999,
    0x00035310,0x4330004c,0x18804c01,0x02613100,0x44013100,0x00031001,
    0x4c000130,0x01201999,0x0c401dc4,0x20013100,0x00098018,0x2001304c,
    0x01010009,0x0019a880,0x82200988,0x02200aa8,0x08009813,0x1304c008,
    0x004c1300,0x0001304c,0x00028080,0x130000c4,0x42009800,0x00000098,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x99100000,0x00cc8803,0x0002aa00,
    0x9801a819,0x0d44000a,0x80055440,0x05510029,0x260264c0,0xaa9800cc,
    0x33333100,0x3b220333,0x33333003,0x2aa00001,0x00f2a001,0x32200795,
    0x44000bde,0x4c0c022a,0x55305000,0x00353055,0x33310102,0x26620133,
    0x35530019,0x00a98288,0x00004050,0x44005b50,0x218140aa,0x20001a98,
    0x2a201dd8,0x0080800a,0x154c0100,0xa8002e60,0x09f7005f,0xb9addb80,
    0xbe8801cd,0x674c03ea,0x39b003eb,0x2fb201db,0x7b7103fc,0x7ec01bb5,
    0x05fb003f,0x5dc05fb0,0xfe83feb9,0x07ffffff,0xf700ae57,0xfa83ffff,
    0x260150cf,0xfd000fff,0x00fe8803,0x05f70de8,0x44159d30,0xfc88ea0e,
    0x9883c803,0x3b7b27fe,0x7eb881ff,0x6d43bfd5,0xb302dfff,0x362019ff,
    0xb2fdbabe,0x02fddd85,0x9053025c,0x17fe4400,0x2f3bae20,0xbf05bced,
    0x5bd757dd,0x86ffa800,0x01ffffd8,0x4038bbf2,0x3fa01b84,0x013fa02f,
    0x364006c8,0x64403b00,0x00ff9802,0x07f31f44,0x20fe25c8,0x5c27d46d,
    0x1d505d86,0x07f001f9,0x85982740,0x3bfe61ff,0xb05feeee,0xddd01261,
    0xfd790bdd,0x4e6c0b9f,0x02f8805e,0xfb805f30,0xd91037c1,0x3557dc03,
    0x02cc03f8,0x505e5fee,0xffca85ff,0xd86fcaca,0x04f800ff,0x3ea037ea,
    0x07d1444f,0x6fec0344,0xfc8003fd,0x207fa202,0x7ff06fb8,0x8300ff20,
    0x4dec0fcc,0x97306feb,0xb8099dff,0x2e05fddf,0x3ee07d8d,0x0003a002,
    0x26760036,0x02c80999,0x807f5991,0x303ec0fd,0x7c42d87f,0x1fc0fe83,
    0x506c07d4,0x4004a809,0xfb0db068,0x05f01e49,0xb8076b6a,0x36a09803,
    0x6c47501e,0x2001dc01,0x6c3ec04a,0x001fd01f,0x0fe05ffd,0xff9801d0,
    0x10df703c,0x40fe85ff,0x7cc02ff9,0x401ff300,0x01a205fc,0xdf91003b,
    0x0bee0007,0x35c02fe8,0x1fe404f8,0x835160d0,0x22281ff8,0xfb8805eb,
    0xb8b100cf,0x03100003,0x3b006200,0x7db59f91,0x2e1a82c8,0x70bf302f,
    0x00bea07f,0x93ee07ee,0x41fa84f9,0x00c00808,0x1fd80980,0x54072fd4,
    0x002e600f,0x0c00000d,0x80014018,0x7ec3f402,0x3001fc81,0x701fc055,
    0x0bff3007,0x3fc17fc4,0x2fec17e4,0x3fe80f20,0x20bfba60,0x09500eeb,
    0xfb800000,0x2007fb02,0x4400f886,0xb86b82ff,0x001fb002,0x80400000,
    0x11000601,0x4c008800,0x1fc8bea3,0x07f4202c,0x37d41fdc,0xfd802fc8,
    0x7fc6f980,0x002036c1,0x20080010,0x027dc0c9,0x400805c8,0x2000bdfb,
    0x20004000,0x7c004000,0x4fa87f87,0x7f010400,0x7cc01a60,0x427f400f,
    0xa82fb87f,0x403e00ff,0x27a207fb,0x75440ffc,0x4000e886,0xb8440008,
    0x01ff982f,0x20071070,0x237d45fe,0x0176002b,0x08000000,0xb5003802,
    0xda809ff9,0x43704ffc,0x913e62f9,0x3fbb7aa0,0xf982fc86,0xf005f907,
    0xc8ff103f,0x203f71ff,0x201cedeb,0x201cedeb,0x001cedeb,0x0be001fd,
    0x82fee654,0x203fffff,0x205fdcca,0x205fdcca,0x205fdcca,0x205fdcca,
    0x207b227f,0xcb8021ff,0x03f85eec,0x1fe6003d,0x1fe17f60,0x1ff40bee,
    0x1bf605a8,0x03ff32d8,0x005b03ea,0x027fe6d4,0x3f7337aa,0x0007fb82,
    0xc9ff2000,0x003fffff,0x3fb20744,0x90bff666,0x7feccdfd,0x5eeccb82,
    0x1d500710,0x0ea82fdc,0xf31617ee,0x0aa0fdc5,0x17fdc3d7,0x3fe20bfa,
    0xe803fc80,0xd87f983f,0x9b00dcff,0x26c0ffc4,0x49b03ff1,0x7cc01ff8,
    0x101f5003,0x4c27dc7f,0x885ffecb,0x2213ee3f,0x2213ee3f,0x2213ee3f,
    0x7c13ee3f,0xf309ff17,0x83dfd93d,0x1fc36469,0xff30025c,0xff0df900,
    0x3ee05f70,0x7f405b07,0x7fcc9905,0x05a89503,0x5fb83aa0,0x7fcc3f70,
    0x0006fd82,0x07fea000,0x3a2000df,0xfd0df303,0xfd0df305,0x83646985,
    0x417cc01d,0x417cc2fd,0x3e6242fd,0x4882edac,0x13f60be6,0x87fe03ff,
    0x4ffffffe,0xdf30df90,0x5413ff60,0x2a37dc0f,0x2a37dc0f,0x2037dc0f,
    0x4172005d,0x017e61fc,0xfc87ffb1,0x3f217e61,0x3f217e61,0x3f217e61,
    0x3fc17e61,0xefb83bea,0x5c87fee2,0x877ee2c4,0x3fcc0068,0x3fc3fe40,
    0xff8817dc,0xff103442,0xff88b509,0x41779f54,0x4c0880e8,0x442fd82f,
    0xf82fd83f,0xdd50005f,0xdddddddd,0xf87ffddd,0x7fe44006,0xc86f884f,
    0xc86f882f,0x1622e42f,0x07f2016a,0x03f917e6,0x7cc58bf3,0x49102fbb,
    0x46fa80fd,0x43ff01ff,0x099cfc98,0x2a3dfd10,0xfce883fe,0xaaaed85f,
    0x576c7fca,0x6c7fcaaa,0x7fcaaaae,0x5f001a20,0x0df10e60,0x8731fee0,
    0x443986f8,0x7c43986f,0x37c43986,0x25fb87f8,0x26fc83fd,0xd800c4fc,
    0x2077faa1,0x6fb807f9,0x02fb87f8,0x80791bf2,0x2074c5ff,0x40223ff8,
    0xfc89d02c,0x7e45f981,0xff82fb81,0x7ff50004,0x33333333,0x6f89ff33,
    0xffd98800,0x7e437c43,0xfc86f882,0x10627e42,0x01fd005f,0x07f41ff1,
    0x98b07fc4,0x3701fb2f,0x0ff883fc,0x1fe207fe,0xd5001fd4,0x883fb39f,
    0xf8bff51e,0x1999999d,0x4ccccefc,0x4ccefc19,0x03201999,0x9800f980,
    0x3a006fdc,0xdfb9300f,0x06fdc980,0x2037ee4c,0xff06fdc9,0x17f4ff30,
    0xff987fd4,0x892e002e,0xf986e98c,0x4c5fb807,0x017dc0ff,0x007c3ff3,
    0x80e89bfa,0x59802ff9,0x0fe89fb0,0x1fe0ff88,0x37fc17dc,0x02ff9800,
    0x6f85ff30,0x237dc000,0x82fc86f8,0x42fc86f8,0xfb02eff9,0x203ff100,
    0x03ff11ff,0x261b87fe,0x4b0bf12f,0x3ff00ff8,0x37c417f4,0x20002fa8,
    0x545e87f9,0x8017e1ff,0x017e005f,0x17200240,0x1be19b10,0x6c41fb80,
    0x3620df0c,0x3620df0c,0x3620df0c,0x1fe0df0c,0x82fe8ffc,0x3fa60ff8,
    0x234400ef,0x3fcc3d41,0xfd527e40,0x017dc5bf,0x402d57f6,0x205d0ffc,
    0x0e800ffa,0x3e24dbb8,0x223ff01f,0xb05f707f,0x7fc000ff,0x83ff5004,
    0xff80006f,0x3f21be20,0xfc86f882,0x0effe982,0x7f4017ee,0x7f41fd03,
    0x1cc1fd03,0x21fcc5f5,0x7f80ffc5,0x2fcc1fe4,0x20001f98,0x41fcc3fd,
    0x801fe3fb,0x01fe007f,0x0be001c0,0x037c3f98,0x43f98f50,0x7c3f986f,
    0x37c3f986,0x41be1fcc,0x323fd07f,0x2e0ff03f,0x0b600fff,0x0ff30b90,
    0x5c005f90,0x47fd402f,0x9ffa801e,0x01bee03c,0x26d2a0f2,0x87f40ffa,
    0x2fb80ff8,0x0000ffb8,0x3f600dfb,0x80006f86,0x6437c47d,0xc86f882f,
    0x3ffee02f,0x1e987fb0,0x46f827e4,0x90df04fc,0x645dfb35,0x3fe83b4f,
    0x2fcc6f88,0x07981fdc,0x509f1006,0x749f105f,0x3fe8903f,0x903fe890,
    0x1f300040,0x037c3f40,0xf87e8b90,0x86f87e86,0x7e86f87e,0x20ff06f8,
    0x7c13ea7d,0x07fd10e4,0x01d1012a,0x6d810ff3,0x400fe400,0x36006dfe,
    0x0ffc05ef,0xd9621a60,0x6f827e44,0x1fdc17fc,0x15005fe8,0x22017fc4,
    0x006f82ff,0x37c46d80,0x37c417e4,0xd10e17e4,0xf30bfa7f,0xf886f98b,
    0x7c437cc3,0x36005903,0xfa86fb81,0x86e87e83,0x641bfecb,0x4413a200,
    0x2e0f885f,0x2e1542ff,0x2e1542ff,0x881542ff,0xf0172001,0x043fc41f,
    0x83fe07c4,0x20ff87f8,0x20ff87f8,0x20ff87f8,0x2eff07f8,0x81fd13a4,
    0xf50761fa,0xd801d105,0x6c1ff301,0x9000ba0f,0x0ffee00d,0x201ff880,
    0x81e803fb,0x23efccde,0x43f886f9,0x03fb86fc,0x1b809ff5,0xd100ffb8,
    0x009fe0bf,0xff81f880,0x7c0bfa20,0xb0bfa20f,0x9f72fa83,0x49fb07d0,
    0x49fb04d8,0x056404d8,0x3fa01d98,0x74413624,0x27103ea3,0x5fefffcd,
    0xf9017e60,0xffe85b81,0xffd06ece,0x3fa0dd9d,0x3a06ecef,0x805f002f,
    0xffdc9dfd,0x7139fb3a,0x93bfb05d,0x7ec75ffb,0x3affdc9d,0x3f7277f6,
    0x277f63af,0x223affdc,0x07e2fb7f,0x6c5d89f1,0x02d83545,0x7d418322,
    0x2cd3f61f,0x03d86e40,0x4001ff10,0xfb80efe8,0x3103b804,0xfd819d33,
    0x3e213624,0xdffc8bff,0x1cff9809,0xdf7015c4,0x204fd881,0x3202abfe,
    0x6c0f662d,0xdfdca9cf,0xca9cfd82,0x51762dfd,0xd107fc4d,0x27677e40,
    0x13b3bf20,0x6ddee540,0xefc801bd,0x6ecc04ec,0x279b01dc,0x440dffe9,
    0xf7001bba,0xb101bb7b,0x2201dfff,0x100efffd,0x401dfffb,0x0f9802fe,
    0xd9fff4c0,0x3fffea4f,0x7ffd300d,0xffd313f6,0xfd313f67,0xd313f67f,
    0x993f67ff,0x5d9d37fd,0x13af7260,0x076f3ff6,0xcde9816a,0xfff733ed,
    0x79ff317d,0x7dffb001,0x4004c800,0xd99df71e,0x00d3003d,0xcefc826c,
    0x3ffa204e,0x201dfbbf,0xcedffed8,0xcefd8802,0x7d401efe,0x77fe404f,
    0x3fe201de,0x103bf95f,0x37f2bfff,0x36f3ff61,0x5de764c1,0x40009801,
    0x06200009,0x40009800,0x44044008,0x40001300,0x01310019,0x44002620,
    0x20010009,0x02020029,0x10100044,0x01004040,0x00040401,0x08062001,
    0x005c0131,0x01555555,0x18800180,0x80011000,0x4001a881,0x006a001a,
    0x84c40013,0x05440009,0x00351000,0x00098000,0x3001304c,0x988404c1,
    0x00001800,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x99880000,0x26666199,
    0x09999819,0x00a8004c,0x2000aa20,0xd05953c8,0x0eed4001,0x00155100,
    0x33333310,0x01333333,0x2174c76a,0xd80000a8,0x2a003724,0x00c0603c,
    0x2666602a,0x99999999,0x04404101,0x9999880c,0x2a200019,0x1002cb80,
    0x363d8801,0x16f64405,0x0bf307f2,0x20202cb8,0x0d4c0200,0x26666662,
    0x0a000a60,0x88020400,0x00999999,0x01b926c0,0x13333331,0x88793000,
    0x99999999,0xc8801999,0x4c60300c,0x3aa3fffc,0xfda82eff,0x007f912e,
    0xffe800b3,0xd8fdc003,0x1003b80f,0x3660162b,0x4003ffff,0xeeffffb9,
    0xd04feeee,0xfd17f27f,0x7cc0001f,0xd005ff0f,0x706cc03f,0x103faa05,
    0xfffddfff,0x5c1fffdd,0x3b05eecc,0xfeb8824c,0x360002ef,0x406f980f,
    0x502dedeb,0x403fe6ff,0x23ffa8ea,0x02fcc1fc,0x3f201df1,0x17ec0e2e,
    0xb883ffe2,0xf12beffe,0x02e800bf,0x3aafd710,0xfeb882ff,0x1dfeddef,
    0x7fc3fe60,0xfffeb882,0x01ceffee,0xb887ff91,0xeeeeeffe,0x3fb807fe,
    0xe83912a0,0x04ff885f,0x00fe03e6,0x8ea8003a,0x932000fc,0x200d102e,
    0x3ba01a3a,0x000fffcb,0x701ffcd8,0x64432609,0x001ffe41,0x803a8ee0,
    0x9ec802f9,0x1ff9706c,0x27ec1f88,0x91a61f51,0x3eabea0d,0x007fd400,
    0x201ff700,0x41b900fa,0x22b881fe,0x445f103b,0xf307f24d,0x980fd40b,
    0x04ceffcb,0xe8cd87fb,0xf81ffa85,0xbf5000ff,0x2bff2a00,0x700ffcac,
    0x1bfb10ff,0x403a8ee0,0xffb887fb,0x540ff202,0x00f300ff,0xb1db00bd,
    0x320ff509,0x7c12e06f,0x2001e403,0xd8012e0d,0x00e80b10,0x980975d0,
    0x0027ec43,0x807fe3a2,0x05700004,0x2e000000,0x3fff1003,0x1cc0fe80,
    0xc86427ec,0xffd02c45,0x00ff5007,0x007f74c0,0xc85f5077,0xfa80004f,
    0x260fe402,0x280b205f,0x18817ae2,0xf30761cc,0x0036201f,0x88007fec,
    0x80ff42ff,0x7ff107f9,0x3fcc0000,0x2e07ff30,0x01ff303f,0x00d10064,
    0x2203ffe6,0x0ff982ff,0x80fe03b0,0x18040059,0x40088600,0x0571003b,
    0x03fea070,0x03ff3b80,0x24004004,0x00110000,0x0aa60014,0x01103fa0,
    0x321309fb,0x55100c4f,0x2abfe600,0x367a002a,0x7f41400f,0x00400a80,
    0x3f200fe4,0x0502fcc1,0x40600000,0x8807fc41,0x9fdf1005,0x7e43fc00,
    0x640ff302,0x2600006f,0x1ffd407f,0xff881fdc,0x01300200,0xfb00d540,
    0x220ffe0b,0x0e80fe06,0x00000000,0x00006880,0x1003fc00,0x4000ffcd,
    0x905fdcca,0x20020445,0x004ffcda,0x7ec00000,0x809fb000,0x0402eff9,
    0x2bfe6002,0x6404ffdb,0x80801fb3,0xdeb8006f,0x03fb01ce,0x2fcc1fc8,
    0x00810040,0xff100800,0x20019101,0x2007fabc,0x302fb87f,0x87fd40ff,
    0x3f666fec,0x00ff302f,0x27f50dfb,0x0807fc40,0x08002040,0x3e61fea0,
    0x3e04b86f,0xfc807903,0xbfff73ff,0xec8ffec3,0x0bff666f,0x37f6406c,
    0x8005ffb3,0xf8f2005f,0xf101a81f,0x42627dc7,0xbff93fc9,0xbf707540,
    0xffffffb0,0x7ffec5ff,0xd82fffff,0x09fb000f,0x41dffd30,0xffd57eb8,
    0x263fcc05,0x6cb305ff,0x43fc980f,0x26c007f8,0x3fb03ff1,0x7cc1fc80,
    0x887f9305,0x5ffd57eb,0x03fc9800,0x02881ff1,0x17fc3e20,0x2fb87f80,
    0x7ec0ff30,0x7f437cc5,0x500ff302,0xbbfa81ff,0x4407fc43,0xd57eb884,
    0x3f2605ff,0x3217fc03,0x00f40ffc,0x200d307f,0x83fcc5fb,0x7437cc2f,
    0x2607702f,0x002fe86f,0x34400be2,0x03d307fe,0x05f987f2,0x5799fd51,
    0x05f307fd,0xd81d85fb,0x7ec0ec5f,0x2001fb05,0x3ee004fd,0x5ff950ff,
    0x201ff959,0x1ffb87f9,0x81fb0744,0xff83fea8,0x40fa8101,0x01fd86fb,
    0x17e617e4,0x950ffaa2,0xff9595ff,0x3faa2001,0x001ff103,0x1bee4b80,
    0x17dc3fc0,0xdf907f98,0xfc86f883,0x300ff302,0x3ffa85ff,0x5c40ff88,
    0xcaffca84,0x5440ffca,0x2fe403fe,0x688ffa3a,0x3d077ee0,0xb0ff0110,
    0xf884983f,0xd102fc86,0x3f21be20,0x80172002,0x7777fc3c,0x87301fff,
    0x6fdc06f8,0x3f21be60,0x4245f981,0x5c240efb,0x01fb00ef,0x3ffffffa,
    0x221c6fff,0x0bfe23fe,0x1fe603fd,0x85b0ffe6,0x07f700fd,0xdb0e09fd,
    0x0ff95555,0x3fc803fb,0xfb81afdc,0x742ff883,0x1fdc001f,0x0000ff88,
    0x03ff10f4,0x05f70ff0,0x3bbbbfe6,0x0df105ff,0x1fe605f9,0xf513fe20,
    0x3bbfe209,0xf104ffee,0x701fe85f,0x0ff9807f,0x3b9beeb3,0x9d03b800,
    0x4fb85f90,0x437c40e4,0x203602fc,0x02fc86f8,0x22001d10,0x1ff9999f,
    0x64c00f44,0x1fdc06fd,0x03fa1fe2,0x4c083fe2,0x7cc081ff,0x003f601f,
    0x076027ec,0xc87f85f5,0x30ff302f,0x6c2547ff,0x707f700f,0x7c0b83ff,
    0x1999999d,0x7e401fd8,0x76fac99f,0x1fe07f70,0x40620bf2,0x1ff103fb,
    0x6c34c000,0xb87f805f,0x33ff302f,0x839fd753,0x02fc86f8,0xff100ff3,
    0x881ffcc9,0x026440ff,0x205f90ff,0x2fe803fb,0x747fe259,0xd8344001,
    0x745f984f,0x7c41a0ff,0x2e02fc86,0xfc86f883,0x4005b002,0xffeeeeed,
    0x36201a81,0xfb80df0c,0x7fc47f83,0x2203ff01,0xfe8803fe,0x8007ec03,
    0x22ec04fd,0xfb87f86a,0xf70ff302,0x3603a23f,0x207f700f,0x84fcdffe,
    0x0fec005f,0x47bff760,0x3fb81ffd,0x85f70ff0,0x3fb84ff8,0x0001ff10,
    0x5ccccdec,0x1fe600ff,0x3fcc0ff2,0x220ffe88,0x302fc86f,0x5ff300ff,
    0x440fef6a,0x7c0900ff,0xf702fb87,0x3ebf7007,0x01a33f60,0x3aae0760,
    0x2ea1fd04,0x220753fc,0x202fc86f,0xc86f8868,0x004c802f,0x40ffc1a6,
    0xf87f3008,0x7c1fdc06,0xfd03fe87,0x4017f601,0x0fd805fd,0xd809fb00,
    0xf81dbcff,0xf302fb87,0x324ffa8f,0xffffffff,0x81fdc2ff,0x80beffd8,
    0x0fec007f,0x06066760,0x0ff03fb8,0x7ff885f7,0xff103fb8,0x33e20001,
    0x3feccccc,0x15bffd50,0xf307fff9,0x11ffcc0f,0x205f90df,0xffa807f9,
    0x440fea31,0x7c0300ff,0xf702fb87,0xb7ff3007,0x003befb8,0x4ea5425c,
    0x223a7f70,0x3e201b6f,0x6c02fc86,0x7e437c40,0x20025402,0x003ff01d,
    0x406f87e8,0xc87f83fb,0x2e0df04f,0xefb800ef,0x000fd800,0xb10809fb,
    0x7dc3fc03,0xb97ff302,0xeeeb87ff,0x1eeffeee,0x1a201fdc,0x21207fd0,
    0x017c01fd,0xff03fb80,0xd1105f70,0xf103fb81,0xc808801f,0x801bee03,
    0x0ff30009,0x1be26ff8,0x3fcc0bf2,0x7d437f40,0x001ff103,0x05f70ff0,
    0x7f400fee,0x07ffc42f,0x4b10d100,0x95df104e,0xf102d7ec,0xb805f90d,
    0x7e437c43,0x50016a02,0x200ffc0b,0xff107fc4,0x7f83fb80,0x3f886f98,
    0x0441ff98,0x01107fe6,0x3f6001fb,0x01df3004,0x40bee1fe,0x01aaaff9,
    0xf700fd80,0x205fb807,0x41542ffb,0x13e201fd,0xf81fdc00,0xb102fb87,
    0x3e207f70,0x7c06400f,0x00bfe200,0x7cc01ffc,0xf13fe207,0x817f441f,
    0x7fd407f9,0xf103fa81,0x7c0b801f,0xf702fb87,0x41fee007,0x0ec006fd,
    0x1f7e66f4,0x3ea0efd8,0x107fc02f,0x868805fd,0x0bfa20ff,0xd05882d4,
    0x807fe205,0x64efec3b,0xf703affd,0x3f60ff07,0x7f413624,0x1ff41a83,
    0x00ff40d4,0x2e004fd8,0xf70ff01f,0x003fea05,0x2e01fb00,0x00fc803f,
    0x1bb3bffa,0xbf5017ec,0x40fee000,0x882fb87f,0x303fb81c,0x42c401ff,
    0x06fd805c,0x3ea01ba0,0xb07ff207,0xbfb9539f,0x540ff505,0x07f703ff,
    0x59803fe6,0x02fb87f8,0x3e2007f7,0x4007f504,0xd333104a,0x213ea019,
    0x9cfd807f,0x402dfdca,0x54e7ec0d,0x7d42dfdc,0x4feeeeee,0x3fe607c8,
    0xe983f702,0x409fb3ff,0x00ff84fc,0x209d9df9,0x641b05fc,0xfd01b05f,
    0x01bfe003,0x0ff306c8,0x3fee07f9,0x07ec0001,0x6c404fc8,0x7ffec405,
    0x407ff00e,0xf90003f9,0xf90ff309,0x3f203887,0x417ff504,0x7c43fa98,
    0x03ffb803,0xfb803f88,0x17fdc40f,0xfcafffc4,0x40ffb81c,0x2e01efc9,
    0x03ff504f,0x0ff30fa6,0x13f207f9,0x03e02d80,0xe8007440,0x2640fc04,
    0xcafffc40,0x21d401cf,0x9f95fff8,0x7ffffd43,0x3621ffff,0x3f222dff,
    0xffeeefff,0x8020206f,0xda8bfffc,0x02601dff,0xeeeeffa8,0xdff50ffe,
    0x41ffdddd,0x00ceffda,0x05bfffb7,0x75405644,0xffc8adff,0x3fff663f,
    0xfb0000be,0x17fff701,0x44005930,0xfffb3009,0x40002019,0xd50bfffb,
    0xff915bff,0x3fee007f,0xfff930bf,0xffffffff,0x067ff5c1,0x0dffffc8,
    0xc9803770,0xffefffff,0x304c01ce,0xffff9301,0x4059bddf,0x30cfffb8,
    0xdddffff7,0x7541ffff,0xffc8adff,0x5fffdc3f,0x00c01800,0x0d400350,
    0x00044060,0x88004c13,0x004c1301,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x002003da,0x87d53da8,0x4ccc4101,0x26620999,0x3ff21999,
    0x97fa60df,0x09999998,0x33333331,0x21999988,0x41999998,0x44099999,
    0x00999999,0x99999988,0x26662000,0x4ccc4001,0x02010001,0x01000f54,
    0x09999988,0x8006c880,0x06b883da,0x4c0b2e00,0x006c881e,0x64c00410,
    0x266621ce,0x54000199,0x3333101e,0x33331033,0x33333103,0x98333333,
    0x99999999,0x99881999,0x20009999,0x4cc19999,0x26666219,0x09999999,
    0x13333331,0x33333100,0x4cccc413,0x26666219,0xfc880099,0x6e65403f,
    0x3ff2205f,0x1e45ffd3,0x7f5c41b1,0x3ee60adf,0x3fdc1cff,0x7f5445b8,
    0xfd930bef,0xfc985dff,0x3fae22df,0x7ffd42df,0x7ff5c41c,0xeb8802be,
    0xeffeefff,0xfff7301c,0x6ffec003,0x151ffdc2,0x6c0e6064,0xedeb804f,
    0xffeb881c,0x540defef,0x322007fe,0x3fed43ff,0x00ef8800,0x7fea89f7,
    0x65fae200,0x7cd2e06f,0xfffd711f,0x8007dffd,0xffb304fd,0xff7105df,
    0xddfff07d,0x49ffdddd,0xffeefff8,0x40fffeef,0xeefffeb8,0xf701ceff,
    0x7f5417ff,0xdffd710b,0x25ffdddd,0x0adffea8,0xdffeb880,0x3ffee60a,
    0x3ffae21c,0x3f2002be,0xfb8fe203,0xc99fe404,0x3a37e24e,0x401ff503,
    0x07fa06fc,0x17fcc076,0x103ffe88,0x07fd407f,0x7d400ef8,0x7fb8001f,
    0x202ffb88,0xf1005ffb,0x3faf20ff,0x6f7cc5cf,0x019300fe,0x07fe24d8,
    0xff713fdc,0x8007f885,0x07f883fc,0x4401f700,0x007f880a,0x3aefff2a,
    0x2a0f980f,0x2a3fdc2f,0x93000efe,0x02ffc801,0x01f80774,0x83f11bf6,
    0x807d44fc,0xffb887fb,0x360ff502,0x220ff503,0x007fd43e,0x9007fd40,
    0x0ffd40df,0x901fdc00,0x202fcc3f,0x2a0dc3fb,0x1fe606ff,0x7d40df70,
    0xff103445,0x837f4403,0x83fcc04d,0x1ff3005d,0x40ff3000,0xfd503fe9,
    0xdfd9001f,0x0f754130,0x000eff54,0xdf703ea0,0x3f21fea0,0x99ff970f,
    0x07f70039,0x0ec001fe,0x001fe000,0xf9008ffe,0x2a1fe600,0x800003ff,
    0x03e606fe,0x3ff70244,0x84fc8398,0x40ff301b,0x5fd03fe9,0x1fea0688,
    0x03fcc398,0x33ff7260,0xfecccccc,0x0ff984cf,0x203fb800,0x2037c439,
    0x541623fb,0x01fe601a,0x0fe80bf7,0x1ff880f2,0x2e1ffc40,0xc87f9805,
    0x03fe2005,0x501fe600,0xfbb305ff,0x6fbf8809,0x40020000,0x55576c00,
    0xff307fca,0x2625ff30,0x800999ff,0x00ff03fb,0x3e0000a0,0x007f8007,
    0x1fe600fb,0x110037f4,0x205ff300,0x4c06203d,0xc80883ff,0xf300884f,
    0x82ffa80f,0x301dc5fa,0x7cc180ff,0x7d4c4007,0x9999999f,0xf8819efc,
    0x3fb8000f,0x0dfb9300,0x01933fb8,0x0ff30082,0x7d405fb8,0xff8803e4,
    0x31ffb801,0x8ff3001d,0x7fc4005c,0x07f98000,0x9d985fd8,0x2b2e00ff,
    0x2001006f,0x33b7ae00,0x9999df81,0x0ff30199,0x47f89ff1,0xf03fb800,
    0x0082000f,0x0047f804,0x07f803fc,0x3fa0ff30,0xdedeb806,0x207fe402,
    0x3fa0005a,0x027e4005,0x3601fe60,0x741ff05f,0x041fe600,0x800a7f98,
    0x2fdc07f9,0x0001ff10,0xcd8807f7,0x3fb80df0,0x7e5fae20,0x5c07f986,
    0xa8fe805f,0x00ffc405,0x01e8efd8,0x02e4ff30,0x0007fc40,0x7d403fcc,
    0x09fd5987,0x3037d4fc,0x7e4c07f9,0x7fc49b03,0x4c002fc1,0x43ffa87f,
    0x05fff57f,0x47f81fdc,0x2e23dffc,0xc98df97e,0x3eaff03f,0x01fe02ff,
    0x0dffffff,0x7fcc3fcc,0xfd06e403,0x12ff4403,0x3f20003d,0x27e4000f,
    0x201fe600,0x29f707fa,0x43fcc04a,0xb1ff3038,0x03fcc007,0xff8817ee,
    0x33fb8000,0x37c3f987,0xca80fee0,0x40febbff,0x2fdc07f9,0x00ee7dc0,
    0x44007fe2,0x26002fff,0x2000bb7f,0x98000ff8,0x1ff9807f,0x80ffaacc,
    0x220df55a,0xd5103fea,0xb81f507f,0x4003fc6f,0x0ffd87f9,0x7e5657fc,
    0x7c0fee06,0x6540f547,0x10febbff,0x3fe07fd5,0x206fb9ca,0x00ff007f,
    0x3bf61fe6,0xf90bea00,0x92ffa809,0x3fe60007,0x04fc8002,0x4c03fcc0,
    0xb7f881ff,0x447f9803,0x5dff303c,0x407f9800,0x3fe205fb,0xf700ae20,
    0x87e8bfa7,0x01fdc06f,0xf3011ffc,0x9999999f,0x3fe00bfb,0x01ff8806,
    0x8007fee0,0x005fdff9,0x4001ff10,0xfffffffc,0x227fc45f,0x3a0ffa59,
    0xfb80df51,0x6c1fdc03,0x7fcaaaae,0x30481ff4,0x3ff661ff,0x7ec2ff82,
    0x3e07f701,0xff003aa7,0x81fdc047,0x80fec2ff,0x00ff007f,0x3aea7fe6,
    0x80fe802e,0x9efc800a,0xbfd10006,0x013f2000,0x7fffffe4,0x27fc45ff,
    0x9805cfd8,0x3fffffff,0x0003ff30,0x99999ff3,0x440bfb99,0x01bea0ff,
    0xf836e7f7,0x701fe20f,0x00ff007f,0x33333ff3,0x200bf933,0xff8803fb,
    0x1bfea001,0xffaff980,0x0ff88005,0x807f9800,0x72cc3ff8,0x3ea6a8df,
    0x201fdc06,0x99df83fb,0x7dc19999,0xf981542f,0x00bcedbf,0x203f90ff,
    0x2eff03fb,0x700ff005,0x321fe07f,0x200ff02f,0x5ff3007f,0x3e005ff7,
    0x7fc40006,0xdfb0001f,0x13f20001,0x100ff300,0x3bbb67ff,0xeeeeeffe,
    0x3223fcc0,0x000ff703,0x26667fe6,0x205fc999,0x0b620ff8,0x7ec07f70,
    0x3affdc9d,0xff007f70,0xb80ff300,0x01f1005f,0x2003ff10,0x004ff9e9,
    0x17feaff3,0x001ff100,0xf300ff30,0x7fc5985f,0x06fa8b62,0x3ee01fdc,
    0x74005f83,0x206eceff,0x3fc007f9,0x3fb817e4,0x001f7ff0,0x0fee01fe,
    0x417e43fc,0x7f800ff8,0x7dcff300,0x03fc400f,0x0037dc00,0x0001ffa8,
    0xf30013f2,0x05ff300f,0x7cc007fc,0xfec83887,0x0ff30007,0x3e205fb8,
    0x3fb8000f,0x6cfffa60,0x00fee04f,0x1fe601fe,0x2a00bf70,0x03ff1004,
    0x3fee3d10,0x2a7f9801,0x3e2005ff,0x7f98000f,0x4c1ffa80,0x469b7dc5,
    0x1fdc06fa,0x1fe0fee0,0xdfffb100,0x003fcc01,0x40bee1fe,0xf9ff03fb,
    0x201fe00d,0x90ff03fb,0xeffda85f,0x9803fc03,0x402fec7f,0x200101ff,
    0xf88006fa,0x7e40004f,0x03fcc004,0xff00ffd4,0x20ff3001,0x03fcde40,
    0x5c07f980,0x03fe205f,0x200fee00,0x3ee00ec0,0x9807f803,0x02fdc07f,
    0xff1001e8,0xfd87b003,0x547f9806,0xff1005ff,0x7cc08801,0x985fe807,
    0x1ed7fc45,0x7f701bea,0xfe83fb80,0x74c40903,0x003fcc01,0x40bee1fe,
    0x36ff03fb,0x807f804f,0x90ff03fb,0x4006205f,0x8ff3007f,0x7f403ff8,
    0x3ea00704,0x06fd8006,0x027e4004,0x3a01fe60,0x3bbbb65f,0x0eeeeeff,
    0x30803fcc,0x981100ff,0x02fdc07f,0x08801ff1,0x7c001fdc,0x401fdc01,
    0x07f9807f,0x2d402fdc,0x803ff100,0x04ff885b,0x7fd43fcc,0x00ff8805,
    0x01fe6064,0x0b301ff7,0xdf50fdf9,0x5c03fb80,0x42ffb83f,0x00fc402a,
    0xff001fe6,0x3ee05f70,0x3fa2ff03,0x5c03fc02,0xf90ff03f,0x201bee05,
    0x0ff3007f,0x7dc03ff5,0xa8005c1f,0x7fdc006f,0x32006401,0x3fcc004f,
    0xf003fee0,0x0ff3001f,0x4807f980,0x7dc07f98,0x003fe205,0x003fb819,
    0x3ee00df8,0xa807f803,0x437dc07f,0x000eeff8,0x6b807fe2,0xa80bfee0,
    0x1bff507f,0x1007fcc0,0x540ff30b,0x10b503ff,0x0ff709ff,0x7dc03fb8,
    0xd9dffd03,0x8037e00d,0x3fc007fa,0x3fb81fdc,0x0ffccff0,0x7f700ff0,
    0x0bf21fe0,0x7fc01fb8,0x80ff9800,0x3fa00efc,0x2004fcdf,0x3e6006fb,
    0x4034403f,0x7cc004fd,0x00ffea07,0x3ea003fe,0x03fcc007,0x01fe6166,
    0x7fcc0df7,0x3f216200,0xeffb8004,0x2027e40c,0x7dc00ff8,0x21ff600f,
    0x4001dff8,0x7f702ff9,0x80fffc40,0xffb00ffb,0x2ffea03d,0x20fea620,
    0x7e4c0ffb,0x6c1ee01e,0x00ffc80f,0x9f7013ee,0x3bfff620,0x9dff7000,
    0x001ffb81,0x09f90ff1,0x3fe213f2,0x2203fee0,0x27e400ff,0x1fe43fc4,
    0xff880d90,0x01ffb801,0x36201dfd,0x2000beff,0xfd000ffc,0x02f5440b,
    0x2e0037f4,0x77e4c0ff,0x003ff001,0x5c001ff7,0x2e620aff,0x00ffa82f,
    0xffa81ff2,0x0fea620b,0x0019fff7,0xfff70130,0xdffb5019,0xdfff9307,
    0x7ffed417,0x4400083d,0x71bffffc,0xb307dffd,0x261bffff,0x20befffc,
    0x3efffffb,0xffffff93,0x4c1fffff,0xeefffffc,0x3f2602cd,0x2624c3df,
    0x40befffd,0xb80cfffb,0x3100cfff,0x30260001,0x017dfff9,0x456fff54,
    0x7dc3fffb,0xffb50cff,0x33fff25b,0x07dffb50,0x542fffee,0xfb8adffd,
    0x056443ff,0x37dffd70,0x7dfff930,0x1dfff981,0xd9800310,0x5c03efff,
    0xffffffff,0x2e03ffff,0x402dfffe,0xefffffc9,0xd7002cde,0x32607dff,
    0x200befff,0xffffffc9,0x260fffff,0x20befffc,0x23dfffca,0xffffffc9,
    0x000fffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x33100000,
    0x33333333,0x77774c13,0x774c0eee,0xc80eeeee,0x85eeeeee,0x3f666fec,
    0x03d8802f,0x77777764,0x70300605,0x7547a63b,0x00eeeeee,0x0b8000d4,
    0x0a808800,0x40000440,0x2000401a,0x80040008,0x20110020,0x00020200,
    0x80405102,0x30188020,0x877ffee0,0x98554fea,0x7fe4e609,0x3bfff73f,
    0x4080ffec,0x3f666fec,0x2008202f,0x04080040,0x002ee010,0x43910000,
    0xfffffffd,0x7dffd72f,0xea8b7ffa,0x7ffb1eff,0x99a81530,0x99999999,
    0x33332629,0x664c0ccc,0xb80ccccc,0x03cccccc,0x05fd0df3,0xca80ff50,
    0x203ccccc,0x3fa1a206,0x332abf93,0xc804cccc,0x001b0002,0x9a7fe6d4,
    0xbdbd706f,0x266fec85,0xa87faffd,0x5405fdcc,0x5c04ffcd,0xcb81cede,
    0x7b705eec,0x3b3a63db,0x0ae06c0c,0x33f776a0,0xb0b101d8,0x9d50ff21,
    0x3bbb29fb,0x407fcc0b,0x3f2ba24b,0x21eacfde,0x83fcc5fb,0x41fe4c2f,
    0x42fe86f9,0x4df97eb8,0xffd57eb8,0x755faa05,0x3bff23ff,0x0067e440,
    0x0bb6a000,0x98bfb03b,0x407aa0ff,0x07e65fe8,0x028bf776,0x00000140,
    0x37c40000,0x5c4017e4,0x7b800002,0x43261b20,0x900000c8,0x00360005,
    0x1bf70754,0x741b909b,0x7437d41f,0x1fc46caf,0x83aa09f7,0x449b05fb,
    0xd91a61ff,0x6cfd8bb0,0x45a83fe2,0x87aa00e8,0x3d102ffa,0xa93f64c8,
    0xa8fff22f,0xd82fd85f,0x2e0efc40,0xfd87f81f,0x3aa224c1,0xc86f883f,
    0x5ffe542f,0xff950feb,0x81ff9595,0xb9caffba,0xfd9bc9ff,0x03bd7105,
    0x01deb800,0xf01df709,0x2200754f,0x5103d1ff,0x280051f4,0x00100020,
    0x21be2000,0x000002fc,0x07fa8011,0x20000df7,0x000b2000,0x17cc006c,
    0x7d4177ec,0x3e227e42,0x40adfc86,0x217e61fc,0x42fd82f9,0x937dc0fa,
    0x17d4588b,0x9fb13fe6,0x4075c4e8,0x02fe82f9,0x0c0fb8bb,0x0ffa87f2,
    0x17ea0ffc,0x5c0b30b1,0x7dc2fc83,0x3fb80e44,0x2fc86f88,0x22047ff0,
    0x80ff42ff,0x077e41ff,0x3b6a01fe,0x33b22002,0x3fe60400,0x016eff01,
    0x803cefa8,0x0a001468,0x4073b7ae,0xc85fdcca,0x3ff666fe,0xfc86f882,
    0x6d400002,0xffb84ffc,0xfff93fff,0x4c0205ff,0x0b2003fc,0x64006c00,
    0xd06f981f,0xf881501f,0x7302fc86,0x1fc86f88,0x576c5f98,0x327fcaaa,
    0x07fa0c4f,0x3b3337fe,0x3e1fd45f,0x6641fc85,0x260fc85f,0x4c38804f,
    0xffccccff,0x0b21fe82,0xf30d00b2,0x1a0ffe8b,0x6f883fb8,0x0ff02fc8,
    0x05f90ff0,0x213ea1fe,0xf93000fe,0x2fb66019,0x3fe88000,0x003effe0,
    0xd500dfb0,0x0a00143d,0x20ffc49b,0x213ee3f8,0x82fe86f9,0x02fc86f8,
    0xfffffffb,0x2e0ea85f,0x220ff05f,0x07f9306f,0x4007fd51,0x01b0002c,
    0xff101fd0,0x4400df01,0x802fc86f,0xfe86fdc9,0x3e0ff880,0x1999999d,
    0x7c0bbfe6,0x3335fd07,0x43fd0133,0x707f44fb,0x7d41ff19,0x0003fe24,
    0x333bfd91,0x9f701333,0x1d806834,0xf9750fe8,0x3fb80ea7,0x2fc86f88,
    0x0ff00ff0,0x21fe05f7,0x01fd84fa,0x9867dc40,0x6c0002ee,0x7e7fc05f,
    0x0ffcc006,0x0053f4c0,0xf703ea28,0x3e61fc8d,0xfc86f885,0xfc86f882,
    0xbfb03b02,0x2fd82f98,0x0df107f8,0x5c07fd51,0xcccca83f,0xcccccdec,
    0xf9999970,0x44999999,0x83ff01ff,0x3e2007f8,0x2202fc86,0xf88df0cd,
    0x7c3ff01f,0x3ffa6005,0x203fe20e,0x3ee002fd,0xff87fe26,0x88ffc951,
    0x013f61ff,0x5f99ec88,0x547fc400,0x01d00d03,0x3e23a7f7,0x1fdc01b6,
    0x17e437c4,0x87f807f8,0x50ff02fb,0x003fb09f,0x910cec88,0x2e00019f,
    0xdbfc00ef,0x3ef6004f,0x0a1f3006,0x5576c500,0x1cc7fcaa,0x1be21be2,
    0x1be20bf2,0x5c240bf2,0x40fe40ef,0x107f85f9,0x01fdc0df,0x555307f7,
    0x55559b55,0x2aaaa615,0x2aaaabea,0x0ff81ff4,0x88101ff8,0x302fc86f,
    0xfe86f87f,0x3fc1fd03,0x87ffdc00,0x4fb81ff8,0x5c5fd010,0x2cd7fc4f,
    0x24fa83fa,0xe9800ff8,0x2001be64,0x5900dbfc,0xef882cc0,0x016bf64a,
    0x0df107f7,0x01fe05f9,0x40bee1fe,0xd84fa87f,0x5db5001f,0x00efdc40,
    0x0883ff30,0x02fe8bfc,0x009f93c8,0x8a001495,0x999999df,0x1bf72601,
    0x0bf21be2,0x5fd107fc,0x03ff3020,0x1ff101fd,0xfffe87f8,0x01fdc2ff,
    0x164007f7,0xc800d800,0xd06f884f,0xdf10e09f,0x1fa05f90,0x413f21be,
    0x481ff46f,0x7c7fd10e,0x40efc82f,0x3e1fd448,0xf85dfd85,0x3e60fc86,
    0x220fe804,0x301980ff,0x034c0bff,0x077ec05b,0xfb805ff5,0x7441ff03,
    0xf00ff02f,0x3e05f70f,0xfd84fa87,0x00ef5c01,0x200bbaa0,0x7c1a83fe,
    0xa807fe67,0x3e617f45,0x000a0bbc,0x22002fc5,0xf10df0cd,0x3605f90d,
    0xdfdca9cf,0x41ff4402,0x3ff01ff8,0x0df107f8,0x7f701fdc,0x80016400,
    0x86f9800d,0x3ff703fa,0x20ff80b8,0x1ff02fe8,0x37cc3fc4,0x3fee1fc4,
    0xa83b1542,0x361bf22f,0x3a1644ff,0x7d4075c4,0xd81fc40f,0xf0607dc5,
    0x20cfe81f,0x00ff4048,0x3aa17df3,0x213ea02f,0x03fb807f,0xfb9539fb,
    0xf00ff05b,0x3e05f70f,0xfd84fa87,0x00cec881,0x05fecc00,0x20d82fe4,
    0x3fee0ff8,0x7d40f980,0x0280441f,0x400ff140,0x4437c3f9,0x102fc86f,
    0x33f2bfff,0xd02fec01,0xf03fa07f,0xb81be20f,0x00fee03f,0x1b0002c8,
    0xd893f600,0x66fff404,0x53bfb04f,0xfb05bfb9,0x75ffb93b,0x13624fd8,
    0x37677ff4,0xfd0d5176,0x7ffe7cc7,0x222d46fd,0x89ff100e,0x907a205c,
    0x9fb1fec9,0x9fff9911,0x06a803fb,0x3bfaa7a6,0x3e02e89d,0xfc804c81,
    0x2bfff104,0x7fc41cfc,0x321fe600,0x40ff883f,0x22fe85fa,0x0000bed9,
    0xa867e440,0xfeeeeeff,0x5dffd70f,0x5433fff6,0x3ff624ff,0x8005003f,
    0x2240ffa2,0xf886f87e,0x4c02fc86,0x3ee00760,0x413f200e,0xf107f86f,
    0x701fdc0d,0x0164007f,0x32000d80,0x8804ecef,0x300beffd,0x33f2bfff,
    0xb3ffe981,0x33bf209f,0x3ff6204e,0x67fec0ef,0xefd881db,0x9fff72fd,
    0x015c0d81,0x9d9df73b,0x21b09100,0x3ffa63fd,0x5dfff51e,0x81980600,
    0x20301440,0x7ffdc008,0x04c1300b,0x41f7fed4,0xc8adffea,0x3f663fff,
    0x9ffd72df,0x25dff931,0x0000002a,0x00000037,0x05000000,0x0bfee280,
    0x220ff855,0x441ff07f,0x3e2002fe,0x20ffcc01,0x221be608,0xf027f83f,
    0x80fee04f,0x0b2003fb,0xf9999970,0x01999999,0x0c40004c,0x004c1300,
    0x04c00404,0x42013100,0x09880098,0x20000130,0x00066219,0x804c0600,
    0x00000018,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x42800500,0x86eceffe,0xffdc9dfd,0x54e7ec3a,0x1002dfdc,0x1ff401bf,
    0x893f60d4,0x557fd04d,0x5c1cbfd8,0x013ee03f,0x554c0098,0xaaaaaaaa,
    0x0000002a,0x00000000,0x00000000,0x00000000,0x00000000,0x83b88000,
    0x2aa04418,0x926c2aaa,0x2aaaa21b,0xaaaaaaaa,0xbbbbbb10,0x03bbbbbb,
    0x00000000,0x00000000,0x00000000,0x0a000000,0xffd88500,0xffe980ef,
    0xff109fb3,0x0077f2bf,0x644dffb8,0xf901b05f,0x7d409d9d,0x83ffa84f,
    0xfff704fc,0x00000019,0x22006000,0x2e01d80a,0x1980b702,0x5000ec40,
    0x1301a803,0x220a60a8,0x262980a9,0xbbbbbbbb,0x3040bbbb,0x77777777,
    0xbb817777,0x5fb00001,0xff887fc4,0x3fffffe0,0x3fe1ff30,0x99999912,
    0x43999999,0x99999999,0x00009999,0x00000000,0x00000000,0x00000000,
    0x55570000,0x55555555,0x20026207,0x304c0080,0x204c0001,0xeeeeeffa,
    0x002600ff,0xfff70000,0x00000017,0x3e200000,0x0ffb7603,0x01d703d3,
    0x1fe441f6,0x2e013e60,0x75c1ec8c,0x3fee1edc,0x0ffcdf31,0xfd0be6d3,
    0x2eeeee63,0x1ebbbbbb,0xbbbb9922,0xbbbbbbbb,0xfb317e60,0x360e017d,
    0xff887fc4,0x0aaaaaa0,0x0001d457,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x07664000,0x981f914c,0xd883aa1e,0xf036ad93,0x3e001007,0x20e893e1,
    0x553fee59,0x3b87fe6f,0x003ff13e,0x03fd8720,0xd81d7000,0x22dfda8a,
    0x40868849,0x00000008,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2d300000,
    0x307a805a,0xf881d53d,0x1ffacacf,0xa80001fc,0x1e43f60f,0x26b330ec,
    0x2a03fa5f,0x007f45fb,0x02f41c80,0x1440d800,0x0ef7f5c4,0x00000088,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x6401e87a,0x803be604,
    0x80adedca,0x33332e3f,0x4ccccccc,0xb0fb8bee,0x22b85905,0x3d11f63f,
    0x000f917e,0x2a5f10e4,0xcccccccc,0x2060cccc,0x00008800,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x316a0000,0x2e02cc0d,0xb95101ee,
    0x98fe05bd,0xaaaaaaaa,0x93e22aaa,0x8d11664b,0x8d717449,0x0b717e5e,
    0x1ca84c00,0x2aaaaaa2,0x00aaaaaa,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x64074400,0x75c05983,0x7f441e98,0x40ffbcac,
    0x3200003f,0x6f41d89f,0x20aa3eba,0x7fd12a0c,0x024c5df7,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x440f2000,
    0x43992a0e,0x887a60ea,0x03aab93d,0x0015007f,0xbd9806e2,0x41883000,
    0x088752c9,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x01a60000,0x3fffea97,0x2603aa2f,0x540fb01e,0x13e601df,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0b800000,0x02dc0a60,0x0001b800,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_27_latin_ext_x[560]={ 0,2,1,0,1,0,0,0,1,0,1,0,1,0,
1,0,0,2,0,0,0,1,1,0,1,0,2,1,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,
0,0,-1,0,0,0,0,1,0,0,0,0,0,0,0,2,0,0,0,-1,1,0,-1,0,0,0,0,0,0,0,
-2,0,0,0,0,0,-1,0,0,1,0,0,0,0,0,0,0,3,1,2,0,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,2,1,0,0,0,
1,1,0,0,-1,0,0,0,0,-1,1,0,0,0,2,1,-1,1,2,1,0,0,1,1,0,1,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,-2,0,0,0,0,0,0,
0,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
1,1,1,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,3,3,0,3,3,3,
3,3,3,3,3,3,3,3,3,3,1,0,3,3,3,3,3,3,3,3,3,3,3,3,3,0,0,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,0,0,-1,0,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static signed short stb__times_27_latin_ext_y[560]={ 21,4,4,4,3,4,4,4,4,4,4,6,18,14,
18,4,4,4,4,4,4,4,4,4,4,4,9,9,7,10,7,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,25,4,9,4,9,4,9,4,9,4,4,
4,4,4,9,9,9,9,9,9,9,6,10,10,10,10,10,10,4,4,4,12,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,21,9,5,4,7,4,
4,4,5,4,4,9,10,14,4,2,4,6,4,4,4,10,4,11,20,4,4,9,4,4,4,9,-1,-1,-1,0,
0,0,4,4,-1,-1,-1,0,-1,-1,-1,0,4,0,-1,-1,-1,0,0,8,4,-1,-1,-1,0,-1,4,4,4,4,
4,4,5,4,9,9,4,4,4,5,4,4,4,5,4,4,4,4,4,4,5,8,9,4,4,4,5,4,4,5,
1,6,0,4,4,9,-1,4,-1,4,0,5,-1,4,-1,4,4,4,1,6,-1,4,0,5,4,9,-1,4,-1,4,
0,4,0,5,4,3,-1,-1,4,4,0,4,1,6,-1,4,4,4,0,9,4,4,-1,4,4,4,10,-1,-1,4,
4,4,4,4,4,4,4,-1,4,4,9,-1,4,4,4,9,1,6,-1,4,-1,4,4,9,-1,4,4,9,-1,4,
-1,4,-1,4,4,9,-1,4,4,6,-1,4,4,6,0,4,1,6,-1,4,-1,4,-1,4,4,10,-1,4,-1,4,
0,-1,4,0,5,-1,4,4,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,4,5,5,4,5,5,5,
5,5,5,5,5,5,5,5,5,5,2,9,5,5,5,5,5,5,5,5,5,5,5,5,5,2,9,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,-1,4,-1,4,-1,
4,-1,4,-1,2,-1,0,-1,1,-1,0,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,-4,-1,-1,4,-1,4,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static unsigned short stb__times_27_latin_ext_w[560]={ 0,4,8,12,10,20,19,4,7,8,10,14,4,8,
4,7,12,8,12,11,12,10,11,12,10,12,3,5,14,14,14,9,21,18,15,16,17,15,13,18,18,8,10,18,
15,22,19,17,13,17,17,12,15,18,18,23,18,18,15,6,7,7,11,14,5,11,13,11,13,11,11,12,13,7,
7,13,7,19,13,12,13,13,9,8,7,13,12,18,12,13,11,8,2,7,14,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,0,4,10,12,12,13,
2,10,8,18,8,12,14,8,18,14,8,14,7,7,5,13,13,4,4,5,8,12,17,17,18,9,18,18,18,18,
18,18,23,16,15,15,15,15,8,8,8,8,17,19,17,17,17,17,17,11,17,18,18,18,18,18,13,12,11,11,
11,11,11,11,16,11,11,11,11,11,7,7,7,7,12,13,12,12,12,12,12,14,12,13,13,13,13,13,13,13,
18,11,18,11,18,13,16,11,16,11,16,11,16,11,17,16,17,12,15,11,15,11,15,11,15,12,15,11,18,12,
18,12,18,12,18,12,18,13,18,13,8,9,8,9,8,8,9,8,8,7,18,12,10,9,18,13,13,15,7,15,
7,15,10,15,9,15,7,19,13,19,13,19,13,15,17,11,17,12,17,12,17,12,21,17,17,9,17,9,17,9,
12,8,12,8,12,8,12,8,15,7,15,11,15,7,18,13,18,13,18,13,18,13,18,13,18,14,23,18,18,13,
18,15,11,15,11,15,11,10,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,17,13,13,12,13,13,13,
13,13,13,13,13,13,13,13,13,13,17,14,13,13,13,13,13,13,13,13,13,13,13,13,13,20,14,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,18,11,8,7,17,
12,18,13,18,13,18,13,18,13,18,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,18,11,23,16,17,12,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13, };
static unsigned short stb__times_27_latin_ext_h[560]={ 0,18,8,18,20,18,18,8,23,23,10,14,8,3,
4,18,18,17,17,18,17,18,18,18,18,18,13,17,12,6,12,18,23,17,17,18,17,17,17,18,17,17,18,17,
17,17,18,18,17,22,17,18,17,18,18,18,17,17,17,22,18,22,10,2,5,13,18,13,18,13,17,18,17,17,
23,17,17,12,12,13,18,18,12,13,16,12,12,12,11,17,11,23,23,23,5,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,0,18,21,18,12,17,
23,22,3,18,8,13,6,3,18,2,8,14,10,10,5,17,23,4,6,10,8,13,18,18,18,18,22,22,22,21,
21,21,17,22,22,22,22,21,22,22,22,21,17,22,23,23,23,22,22,10,18,23,23,23,22,22,17,18,18,18,
18,18,17,18,13,17,18,18,18,17,17,17,17,16,18,17,18,18,18,18,17,10,13,18,18,18,17,23,23,22,
20,16,21,18,22,17,23,18,23,18,22,17,23,18,22,18,17,18,20,16,22,18,21,17,22,17,22,18,23,23,
22,23,22,22,22,24,22,22,17,17,21,17,20,15,22,17,22,22,21,12,18,23,23,23,22,22,11,22,22,22,
22,17,17,17,17,17,17,23,17,22,17,23,17,17,18,18,21,16,23,18,23,18,18,13,22,17,22,17,22,17,
23,18,23,18,22,17,23,18,23,21,22,18,17,16,22,18,21,16,23,18,23,18,23,18,22,16,23,18,22,23,
21,22,17,21,16,22,17,17,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,18,16,16,23,16,16,16,
16,16,16,16,16,16,16,16,16,16,20,13,16,16,16,16,16,16,16,16,16,16,16,16,16,20,13,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,22,18,22,17,23,
18,23,18,23,20,23,22,23,21,23,22,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,25,23,22,18,23,18,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16, };
static unsigned short stb__times_27_latin_ext_s[560]={ 33,355,244,360,413,202,137,262,298,200,189,
127,239,339,334,447,59,200,98,451,262,180,252,155,98,85,302,354,449,287,434,
145,391,384,417,404,447,473,33,309,143,176,259,204,223,257,427,14,324,306,428,
342,493,58,321,1,185,458,477,25,76,140,157,372,323,199,328,172,390,224,416,
77,392,384,33,360,352,414,400,211,44,188,390,236,93,376,323,349,490,162,464,
222,250,271,308,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,33,506,214,
72,336,19,326,482,348,455,253,289,267,339,27,357,230,142,169,503,302,318,413,
329,282,200,221,263,25,273,358,500,84,288,444,129,176,195,111,271,194,50,307,
295,388,413,435,311,239,210,58,464,223,122,148,177,340,445,135,493,249,268,248,
239,227,215,203,191,135,168,306,283,133,121,109,295,275,332,360,109,46,340,14,
1,487,474,163,206,276,413,399,385,433,209,186,395,458,27,157,297,423,108,84,
247,100,223,17,446,329,157,92,120,1,90,442,15,67,32,244,299,379,311,363,
235,167,120,230,190,110,461,442,20,344,409,63,338,260,280,369,117,48,290,57,
83,148,368,169,365,482,14,287,34,476,1,498,482,474,368,122,82,98,47,465,
306,489,324,403,38,234,147,291,309,269,80,427,377,117,477,490,245,66,374,32,
406,493,133,1,500,71,491,422,225,154,264,241,287,342,439,209,101,103,463,225,
39,346,477,279,84,152,62,323,53,76,43,463,24,320,397,176,353,68,372,188,
307,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,421,1,1,378,
1,1,1,1,1,1,1,1,1,1,1,1,1,424,157,1,1,1,1,1,
1,1,1,1,1,1,1,1,378,184,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,175,373,
166,503,253,284,231,270,203,399,171,257,133,339,101,358,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,59,1,103,41,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1, };
static unsigned short stb__times_27_latin_ext_t[560]={ 25,97,186,97,74,97,97,186,1,27,186,
172,186,185,185,97,116,135,135,116,135,116,116,116,116,116,172,135,172,186,172,
116,1,135,135,116,135,135,154,97,153,153,97,153,153,153,97,97,153,51,153,
97,153,97,116,135,153,153,153,51,135,51,186,185,185,172,97,172,116,172,153,
97,153,153,1,153,153,172,172,172,97,97,172,172,172,172,172,172,172,153,172,
1,1,1,186,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,
172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,25,51,74,
116,172,154,1,27,185,97,186,172,186,185,116,185,186,172,186,172,186,135,1,
185,186,186,186,172,135,116,116,116,51,27,27,74,74,74,135,27,51,51,27,
74,27,27,27,74,153,51,27,1,27,51,51,186,116,1,27,1,51,51,135,
116,116,116,116,116,135,116,172,135,116,116,116,135,135,135,135,172,116,135,116,
116,97,97,135,186,172,97,97,97,135,27,27,51,74,172,74,97,51,153,1,
97,27,97,74,153,1,97,74,97,154,97,74,172,74,97,74,153,51,153,51,
97,27,1,51,1,74,51,51,1,51,51,154,153,74,153,74,172,74,153,74,
74,74,172,97,1,1,27,51,74,172,74,51,51,51,135,153,154,153,154,135,
1,135,51,135,27,135,135,116,116,74,172,1,116,27,74,74,172,51,153,51,
153,27,153,27,97,1,116,27,135,27,116,27,74,27,116,135,172,51,116,74,
172,1,116,1,135,1,135,27,172,27,135,27,27,74,27,135,74,172,27,135,
135,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,116,172,172,1,
172,172,172,172,172,172,172,172,172,172,172,172,172,74,172,172,172,172,172,172,
172,172,172,172,172,172,172,172,74,172,172,172,172,172,172,172,172,172,172,172,
172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,51,97,
51,135,1,97,1,97,1,74,1,27,1,74,1,27,172,172,172,172,172,172,
172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,
172,172,172,1,1,51,97,1,97,172,172,172,172,172,172,172,172,172,172,172,
172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,
172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,
172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,
172,172,172,172,172,172,172,172,172, };
static unsigned short stb__times_27_latin_ext_a[560]={ 98,130,159,195,195,325,303,70,
130,130,195,220,98,130,98,108,195,195,195,195,195,195,195,195,
195,195,108,108,220,220,220,173,359,282,260,260,282,238,217,282,
282,130,152,282,238,347,282,282,217,282,260,217,238,282,282,368,
282,282,238,130,108,130,183,195,130,173,195,173,195,173,130,195,
195,108,108,195,108,303,195,195,195,195,130,152,108,195,195,282,
195,195,173,187,78,187,211,303,303,303,303,303,303,303,303,303,
303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,
303,303,303,303,303,303,303,303,98,130,195,195,195,195,78,195,
130,296,108,195,220,130,296,195,156,214,117,117,130,225,177,98,
130,117,121,195,293,293,293,173,282,282,282,282,282,282,347,260,
238,238,238,238,130,130,130,130,282,282,282,282,282,282,282,220,
282,282,282,282,282,282,217,195,173,173,173,173,173,173,260,173,
173,173,173,173,108,108,108,108,195,195,195,195,195,195,195,214,
195,195,195,195,195,195,195,195,282,173,282,173,282,173,260,173,
260,173,260,173,260,173,282,252,282,195,238,173,238,173,238,173,
238,173,238,173,282,195,282,195,282,195,282,195,282,195,282,195,
130,108,130,108,130,108,130,108,130,108,276,215,152,108,282,195,
195,238,108,238,108,238,158,238,134,238,108,282,195,282,195,282,
195,236,274,193,282,195,282,195,282,195,347,282,260,130,260,130,
260,130,217,152,217,152,217,152,217,152,238,108,238,167,238,108,
282,195,282,195,282,195,282,195,282,195,282,195,368,282,282,195,
282,238,173,238,173,238,173,108,303,303,303,303,303,303,303,303,
303,303,303,303,303,303,303,282,303,303,195,303,303,303,303,303,
303,303,303,303,303,303,303,303,282,206,303,303,303,303,303,303,
303,303,303,303,303,303,303,303,211,303,303,303,303,303,303,303,
303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,
303,303,303,303,303,282,173,130,108,282,195,282,195,282,195,282,
195,282,195,282,195,303,303,303,303,303,303,303,303,303,303,303,
303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,
303,303,282,173,347,260,282,195,303,303,303,303,303,303,303,303,
303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,
303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,
303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,
303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,
303,303,303,303,303,303,303,303, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_27_latin_ext_BITMAP_HEIGHT or STB_FONT_times_27_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_27_latin_ext(stb_fontchar font[STB_FONT_times_27_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_27_latin_ext_BITMAP_HEIGHT][STB_FONT_times_27_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_27_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_27_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_27_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_27_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_27_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_27_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_27_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_27_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_27_latin_ext_s[i] + stb__times_27_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_27_latin_ext_t[i] + stb__times_27_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_27_latin_ext_x[i];
            font[i].y0 = stb__times_27_latin_ext_y[i];
            font[i].x1 = stb__times_27_latin_ext_x[i] + stb__times_27_latin_ext_w[i];
            font[i].y1 = stb__times_27_latin_ext_y[i] + stb__times_27_latin_ext_h[i];
            font[i].advance_int = (stb__times_27_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_27_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_27_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_27_latin_ext_s[i] + stb__times_27_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_27_latin_ext_t[i] + stb__times_27_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_27_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_27_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_27_latin_ext_x[i] + stb__times_27_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_27_latin_ext_y[i] + stb__times_27_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_27_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_27_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_27_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_27_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_27_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_27_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_27_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_27_latin_ext_LINE_SPACING
#endif

