// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_17_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_17_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_17_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_times_bold_17_latin_ext_BITMAP_HEIGHT        184
#define STB_FONT_times_bold_17_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_times_bold_17_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_bold_17_latin_ext_NUM_CHARS            560

#define STB_FONT_times_bold_17_latin_ext_LINE_SPACING          11

static unsigned int stb__times_bold_17_latin_ext_pixels[]={
    0x4400bae0,0x3333105e,0x00001333,0x00980fa6,0x0ea0072a,0x0e6e0000,
    0x00570004,0x39993013,0x24350150,0xb8e600c4,0x39700a80,0x01040660,
    0x02000cc0,0x80199980,0x009d00a8,0xfb880754,0xb06fcabf,0x0b9017af,
    0x09d02fd4,0xc86c01c0,0x980e4c02,0xe8807001,0x01333103,0x0fafa01d,
    0x99b00754,0x27c03a0b,0x2635cf44,0x2e01fabf,0x00ba89bb,0x3fee00e8,
    0x6c401eae,0x4004884c,0x07fcc00c,0x1e52e0b1,0x05b10120,0xeb4c0166,
    0x0177ea01,0x1dc07ad3,0x5c07ad30,0x40f5a607,0x80df700e,0x03fe604f,
    0xc8254074,0x4e445f35,0x403b00c8,0x40fe600a,0x00b5fffb,0x7930139b,
    0x30a0cc00,0x3114a1ff,0x26621333,0x1001e440,0x09988133,0x11133331,
    0x03db0133,0x11133331,0x222f8133,0x98889999,0x9883f209,0x99888999,
    0x266621d0,0x409988a9,0x02aa205f,0x3f600074,0x07600032,0x37ec0701,
    0x0b5fffe8,0x5d204fa8,0x2aff6200,0x7fcc1ccd,0xffc88488,0x381b910a,
    0x457f6035,0x37222ffd,0x215ff910,0xc9640dc8,0x857fe441,0x126c0dc8,
    0x32215ff9,0xc887ee0d,0x1b910aff,0x57fe443a,0x7c41b910,0xdaaed883,
    0xffb8740d,0x7fc43f53,0xfa9ffdc4,0xcbe88ae1,0x3f26053f,0x5fffe82f,
    0x1f7fe40b,0x3a204bb8,0x303fe20f,0x2a09d9ff,0x5c14c0ff,0x4bf500ca,
    0x0a60fff9,0x82981ff5,0xfa83f9df,0x3ec14c0f,0x85303fea,0x07fd40fa,
    0x3ea0e8a6,0x3e214c0f,0xf107fc42,0x7fd0741f,0xbfd930e2,0x4389ff41,
    0x3fa9d10d,0x3f690311,0xb5fffd86,0x0057f440,0x227ec01d,0x7fcc5fe9,
    0x1ff504ca,0x40350298,0x3fee65fa,0xffa8510e,0x010414c0,0x05303fea,
    0x07fd43f9,0xa83d88a6,0x1d14c0ff,0x0a607fd4,0x85fd836a,0x5bea05fc,
    0x4fc87c0b,0x9a05dbea,0x04cff1fc,0x20ffd4e2,0x40b5ffe9,0x1fcc07f8,
    0x56447ff0,0x43fe60ff,0x40ffa823,0x2f56d429,0x2a665fa8,0xfa8515ff,
    0xff314c0f,0xfa83ff35,0x7dc14c0f,0x5303fea2,0x0ffa81e4,0x7d41d14c,
    0x4b814c0f,0xff709ff1,0x21cff401,0xfd1b22f9,0x5fe49873,0x2ee0a4fa,
    0xb885ffaa,0x37cc0b5d,0x7cc1bf60,0x3fea912f,0x9843fe61,0x5303fea3,
    0x505f95f8,0xffb8ccbf,0x07fd428b,0x3a5fb0a6,0x207fd41f,0x2a0fc829,
    0x2e14c0ff,0x4c0ffa85,0x0ffa83a2,0xf526414c,0x25ff505f,0xe82efb80,
    0xefb8b53f,0xb5f9a442,0x4ce4145f,0x5600ffb9,0x9813ee05,0xff982ffc,
    0x87fea192,0x87621ff9,0x214c0ffa,0xf507fb3c,0x7ffb0ccb,0x4c0ffa85,
    0x1fe97ec2,0x0a607fd4,0x81ff51b6,0x2a0fd429,0x1d14c0ff,0x0a607fd4,
    0x17fcc5f1,0x40e87fd4,0xbfd107f8,0xb07f8819,0x43f33be6,0x7fc0dc13,
    0xf902d604,0x86fda405,0x2e0cbff8,0x37ff267f,0x3e60ffdc,0x6dc0d40f,
    0x25fa83fd,0x217ff419,0x20d40ff9,0x983fd2fd,0x740d40ff,0x2a07fcc4,
    0x3e60fdc1,0x41d0d40f,0x20d40ff9,0x41ff44f8,0x3203a6fb,0x417f6204,
    0x3ba1904c,0x2512be98,0x3fea0cfb,0xe816b03f,0x3ea7101f,0x41efc81f,
    0x82c804fc,0x20dc1ff8,0xf507f96d,0x3fe20ccb,0x2e0ffc42,0x1fe97ec1,
    0x06e0ffc4,0x1ff883f1,0x221f20dc,0x1d0dc1ff,0x06e0ffc4,0x909f717e,
    0x0540747f,0x505f9188,0x14012201,0x5ac05980,0xabb81ba0,0xff885ffa,
    0x22017e60,0x487fd01f,0x1ff4f7c4,0x1549f391,0x1ff417cc,0x3e2bf212,
    0x243fe81f,0x43fe80dc,0x7fd07b84,0x3fa07448,0x443f8243,0x83be20fe,
    0xc80eb30e,0x03accbe7,0x007101d4,0x42d6026c,0x4ce407d0,0x5cc0ffb9,
    0x004dbbec,0xfd102fba,0x5dd0199b,0x2fe61df5,0x703dd30f,0x99bfd105,
    0xfd9ff301,0x99bfd109,0x3a200981,0x9900ccdf,0xccdfe881,0x3fa20740,
    0x26440ccd,0x09b79d90,0x8073ea1d,0x3ea5b9e9,0x9ab8801c,0x2000aaa9,
    0x16b01cfa,0x81b8133a,0x0220c4ff,0x06015400,0x00062000,0x02003002,
    0x20000300,0x40300001,0x0000600a,0x04150044,0x00101300,0x10000620,
    0x440c6015,0xa833ee00,0x00003fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x025c0000,0x32003c80,
    0x004c8004,0x7fcc0041,0x31c00000,0x44009803,0x40b2604c,0xfa8003c8,
    0x01970006,0x22133331,0x07910099,0x80322ea0,0x32600e0a,0x442fe803,
    0x20809999,0x002f9800,0xfb800fd4,0x07e6003f,0x00737fa0,0xf3013776,
    0x6e403f57,0x1be200ea,0x3a05fd90,0x01f700fe,0x002ecf80,0xff9103f8,
    0x40772217,0xae801fed,0x757c405a,0x40154802,0x7dc46cea,0x67fd40bf,
    0x80093004,0x11d1001c,0x4016400d,0x9804eba9,0x33b10123,0x17fc401b,
    0x1b301ec0,0x12a770b3,0x4aa002b8,0x02540048,0x07303fea,0x10166366,
    0x3f200329,0x80975006,0xff98550c,0x01edab81,0x10009988,0x31100133,
    0x054c0013,0x00266201,0x44020a98,0x0ba80099,0x41054c01,0x44204040,
    0x33109999,0x22266621,0x33109999,0x884cccc4,0x03fe6099,0x4d4cc453,
    0x26213330,0x13310999,0x444c2662,0x33331099,0x26026623,0x8ffcc10a,
    0x4cc40998,0x6d576c40,0x55db100d,0x3b6201bb,0x3200ddaa,0x41eecacf,
    0x0ddaaed8,0x3b2b3f20,0x5576c41e,0xaad980dd,0xacfc81ed,0x7ff71eec,
    0x4bfb07ea,0x910affc8,0x237fe61b,0x910cffb8,0x857fe449,0x3fe60dc8,
    0xff9114c0,0x44372215,0xb910affc,0x88bff621,0x5ff910dc,0xd9837221,
    0x3e61edaa,0x45ffb11f,0x3fe20dc8,0xf103fe20,0x207fc41f,0x3fe20ff8,
    0x7c42fd80,0xf883fe21,0x442fd80f,0x883fe21f,0x361ec0ff,0x3e217ec1,
    0x41c4ffa1,0x07fd45fa,0xf8dfb0a6,0x3ea05c4f,0x3e614c0f,0x3ea14c0f,
    0x3ea14c0f,0x3e614c0f,0xf50a60ff,0x1ec2981f,0x21ff9876,0x0a60fff9,
    0x8bf90bfb,0x45fc85fd,0x45fc85fd,0x6c3505fc,0x645fc85f,0x7ec3505f,
    0x3e25fc85,0x5fc8660e,0xbb7d4350,0x7d45fa80,0x3e614c0f,0x091ff21f,
    0x42981ff5,0x214c0ff9,0x214c0ffa,0x214c0ffa,0x510effb9,0x14c0ffa8,
    0x30cc1df1,0x7fdcc3ff,0x7fc4510e,0xf10ffb84,0x21ff709f,0xffb84ff8,
    0x2200ffe0,0x0ffb84ff,0x3e200ffe,0x20ffb84f,0x7ff03fff,0x81cff400,
    0x07fd45fa,0xc97fa0a6,0xf50332ff,0x7cc2981f,0x3ea14c0f,0x3ea14c0f,
    0x26614c0f,0xa8515ffa,0x3e14c0ff,0x3ff303ff,0x8affd4cc,0x2a0bfea2,
    0x05ff52ff,0x3fea5ff5,0xf32ffa82,0x5ff5005f,0x3e65ff50,0x2ffa802f,
    0x3e62ffa8,0x3fe61eff,0x0bbee002,0x3fea2fd4,0x7fdc14c0,0x095fdb88,
    0x85303fea,0x20d41ff8,0x214c0ffa,0x214c0ffa,0x517ff719,0x14c0ffa8,
    0x307bffe6,0xfb8cc3ff,0x3fe628bf,0xf30ffa82,0x21ff505f,0xffa82ff9,
    0x3005ff30,0x1ff505ff,0x2600bfe6,0x0ffa82ff,0x98fffec4,0x3e2002ff,
    0xf517ea07,0xf882981f,0x9ffa8bbf,0x981ff503,0x4243fe82,0x214c0ffa,
    0x214c0ffa,0x0afff619,0x82981ff5,0x261fffd8,0xfd8661ff,0x41ff42bf,
    0x41ff46fb,0x41ff46fb,0x01ffc6fb,0x6fb83fe8,0xfe801ffc,0x8226fb83,
    0x0ffe5fea,0x7d409900,0x2a07fcc5,0x7c9df901,0x1ff300ef,0xdec881a8,
    0x0ff980cc,0x03fe60d4,0x7f419835,0x207fcc2f,0xfea8221a,0x219ff915,
    0x217ff419,0x43fc84fb,0x43fc84fb,0x43fc84fb,0x9f7006fd,0x6fd87f90,
    0xf909f700,0x97e224c7,0x054006fd,0xff88bf50,0xff980dc1,0xf8817f22,
    0x3600dc1f,0x707fe201,0x5c1ff883,0x3fe20cc1,0x2e0ffc42,0x8bf11261,
    0x7fc41985,0xf107f442,0x20fe881d,0x7f440ef8,0xd103be20,0x7445887f,
    0x103be20f,0x445887fd,0x83be20fe,0xd10fc0f9,0x5665887f,0x09f37103,
    0x740487fd,0x3a017cc6,0x3e20243f,0x121ff401,0x2a121ff4,0xfe82f982,
    0xf03e6243,0x415435c3,0x79d902f9,0xbcec809b,0x5e76404d,0x3bb2204d,
    0x9d900ccc,0x764409b7,0xd900ccce,0xbb309b79,0xd9107959,0x7d41999d,
    0x1f7f301c,0x199bfd10,0x00e83b80,0x0666ff44,0x8805f740,0x100ccdfe,
    0x98199bfd,0x882b81ee,0x4c0ccdfe,0x4c3cacdd,0x03dd32df,0x00088057,
    0x02200044,0x44001100,0x00044000,0x00220011,0x10010044,0x00006003,
    0x00030002,0x00060035,0x40080003,0x44011001,0x0002000a,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x64000000,0x4199002e,0x11000aa9,0x404c8802,0x0c402618,0x441d4e40,
    0x99999999,0x7c401a80,0x2188200f,0x0198e018,0x0080110c,0x44008822,
    0x000ec800,0x4c500df3,0x00dd8001,0x050a0044,0x300dbf30,0x003ff05f,
    0x640bbff3,0x6eec02fe,0x9807fa05,0x79f703d6,0x889d79ff,0x26eec01d,
    0x6c7fa198,0x0d79901f,0x401d9990,0x32f605f8,0x8807f805,0x7d9d003e,
    0x006bcc80,0x1d801f98,0x017674c0,0x5c02b8ec,0x5003fd02,0x36605b73,
    0x66440598,0xb8036e00,0x22570489,0xe88912ff,0xb848e603,0x0db86dc3,
    0x1005ff10,0x07d005d9,0x5c00eecc,0x30091004,0x3fe20245,0x802a8001,
    0x2da801fc,0x04353100,0x7f410a98,0x99998811,0x08413310,0x00998801,
    0x804cc400,0x818bfe21,0x4cccc400,0x00003e60,0x310082ea,0x80080435,
    0x43531000,0x88392c80,0x04cc1999,0x33355331,0x99999801,0x3fee1999,
    0x4cccc45e,0xc8813310,0x44deb9cf,0x21edaad9,0x224fecfe,0xb910affc,
    0x77ed7541,0x6d576c41,0x40ffcc0d,0x0ddaaed8,0x540bfe20,0x441efebe,
    0x1b20bffc,0x3ff33ff3,0xdd959f90,0xb9cfc883,0x6d7544de,0x36baa1ef,
    0x67e441ef,0xdf84deb9,0x7ff4c3f9,0x7db0fd41,0x300dff55,0xfd95bfff,
    0xfc881fd8,0x41b910af,0x44e81fe8,0x9fd0ec3d,0x0ffa8bf6,0x2edf114c,
    0x107fc43f,0x41fe81ff,0x3fe20ff8,0x205ff100,0x2603f56f,0x743740ff,
    0xfd83fd1f,0xfd10fc42,0xb7c49d03,0x5dbe23fb,0x40ff443f,0x5402084e,
    0x361542ff,0x200bfee0,0x2343fea9,0x1ff501fd,0x82fe4298,0x983be248,
    0x2fdc7fa1,0x22981ff5,0xd89f55fa,0x745fc85f,0x642fec1f,0x05ff105f,
    0x413eabf5,0x17e20ff9,0x90ff47fa,0xfc86a0bf,0xafd49105,0x557ea4fa,
    0x882fe44f,0x3e6bfe64,0x246fd81f,0x00bff114,0x8529ff52,0x1ff501fd,
    0x0ffe2298,0x81fffc08,0x54df51fe,0x3e14c0ff,0x7fc45f76,0x3a0ffb84,
    0x213fe21f,0xff880ffb,0x03eedf02,0x9f307fcc,0x87fa3fd0,0xff8803ff,
    0x2edf0203,0x2fbb7c2f,0x4080ffe2,0x303fd2fd,0xb002e7ff,0x217001ff,
    0x3f60b3fe,0x981ff501,0x800bfe62,0x741efff9,0x7d4bf71f,0x3a214c0f,
    0x17fd42cb,0x3fd17fd4,0x7d417fd4,0x02ff882f,0x4c0397d1,0x742fc0ff,
    0x3e63fd1f,0x2ff9802f,0x0b2fa200,0xf30b2fa2,0x97ec005f,0x3ff901fe,
    0x03ffa807,0x377fa388,0x5035fb06,0x262981ff,0x4cccc2ff,0x0fffec40,
    0xa8bf25fd,0x3214c0ff,0x20bfe602,0x87fa0ffa,0xffa82ff9,0x902ff880,
    0x03fe6005,0x3a3fd0db,0x005ff31f,0x99985ff3,0x5900b209,0x2617fcc0,
    0x4bf60999,0xdff101fe,0x200dfd00,0xacffcccc,0x505df306,0x7c2981ff,
    0x86ffc43f,0xe97faa08,0x7cc4fddf,0x3fe0d40f,0x1ff42cee,0x9ff337dc,
    0x6fb83fe8,0x81dffc88,0x302deeff,0x4c7b81ff,0x7c3fd4ff,0x87ff003f,
    0x3fe0dff8,0x77fc2cee,0x21ffc2ce,0x3f60dff8,0x7ec03fd2,0x20ffe405,
    0x9ff41a81,0x7cc03023,0x3f60d40f,0x1264fe85,0x44ff4bf1,0x5c1ff880,
    0x7ffffdc1,0x3f213ee0,0x27dc0643,0x01101fe4,0x8fffffdc,0x887f98fc,
    0xb0fec01f,0x17f600df,0xfff713fa,0x7ffdc1ff,0x217f60ff,0x457e44fe,
    0x17f601ff,0x4584ff98,0x413fe848,0x7c413e23,0x3a20dc1f,0xf327f42f,
    0x07fa1f81,0x4c487fd0,0xe887e61e,0x983be20f,0x20fe880f,0x1ba00ef8,
    0x21f30ec4,0x106fa8fc,0x83f66e09,0x22c43fe8,0x27f42fe8,0x98fcc3d3,
    0xe887e61e,0x2627f42f,0x204fecff,0x3ff605fd,0x20322e40,0x221644fe,
    0x090ffa03,0x6fdd6764,0x32b37661,0x100bfe23,0x88199bfd,0x904b99be,
    0x3e09b79d,0xb79d903e,0x22071009,0x223b99be,0x1400edbd,0x64426e64,
    0x900cccee,0x43bf759d,0x24b99be8,0x04b99be8,0x3bf759d9,0x3ea20020,
    0x7fd40aff,0x24feccce,0x3fee23fc,0x0c1fecce,0x3337fa20,0x80098800,
    0x0aaa9808,0x33300300,0x51002200,0x20008801,0x004c4009,0x09800011,
    0x22000880,0x00ccc009,0x26200333,0x00000000,0x00000000,0x00000180,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x4c00e540,0x2666210a,0x446e0009,
    0x00331404,0x03d70040,0x00e6664c,0x220f3332,0x442a02e3,0x00000003,
    0x99881970,0x8804cc40,0x20133101,0x98822a98,0xa8804009,0x02c9800a,
    0x2000e540,0x556cc04e,0x7ff911ed,0xf8805fd9,0x5e6402ea,0x82740006,
    0x6664c03f,0x6666401c,0x20b99b03,0x9002eae9,0xbafa803f,0x41fc400f,
    0x3222ffd8,0x101fd00d,0xbfc887f5,0x3ea4eeb9,0xb106600b,0x801bb55d,
    0x02f4006c,0x0f601660,0xf33fd43b,0x05fc803f,0x9882ff88,0x33310999,
    0x20073059,0x33100998,0x82662133,0x3f600ff9,0x003ee005,0x500b51b3,
    0x07ffcc07,0x1025c053,0x40ff447f,0x7007ea4e,0x3a20ff88,0x800ec00f,
    0x99988058,0x077c4009,0x3a3fcc33,0x100a803f,0x33355333,0x42fff221,
    0x25901ed8,0x55db101c,0xffc881bb,0x221b910a,0x33109aa9,0x98801533,
    0x10999999,0x09983333,0x26666662,0x3bfee609,0x4ccc4510,0x7c409999,
    0x2441bf23,0x21cc03f5,0x05fc85fd,0x20020004,0xfecbffc8,0x207fff02,
    0x00ffc7f9,0xbcfb8074,0x2a4ebcff,0xf01540ff,0xff107f3b,0x2a07fc41,
    0x7114c0ff,0x3f2217ff,0xb02fecbf,0x4dff557d,0x7d41ffe9,0x3eaafb61,
    0x7fd4cc6f,0x7fdc4515,0x7c46fcab,0x0409ff13,0xdb7503f5,0x2a13fe21,
    0x003a00ff,0x7fa800e8,0x3e607fe6,0x7fcc1eff,0x9804fd99,0x3e25703f,
    0x7fd4912f,0x041014c0,0x5fc85fd8,0x0a607fd4,0x7fa83ff3,0x83607fe6,
    0x7fd42ffb,0xb8361542,0xfb8cc2ff,0x7fcc28bf,0x27f11620,0xf5003ff9,
    0x3fd8fa83,0xff505ff5,0x400fe605,0x7f9803f9,0xfd881ff4,0x2ffe61ff,
    0xdfb004ff,0x22ff8860,0x5303fea1,0xff35ff30,0x5c27fc43,0x03fea0ff,
    0x40ff9853,0x41ff47f9,0x6c17fe22,0xf114246f,0x7ec330bf,0x87fcc2bf,
    0xf33f8852,0x0999985f,0xa8fc83f5,0x505ff30a,0x1bf601ff,0x4c037ec0,
    0x220ffc7f,0xf997faa0,0x9803ff77,0x7c402ffc,0x81ff502f,0x3a5fb029,
    0x20bfea1f,0x3fea2ffa,0x3fe614c0,0x3fe3fcc0,0x807fec01,0x80173ff9,
    0x41980ffd,0x7fcc2ffe,0x27f10488,0x7fc43ff8,0xff83f50d,0xf707fd04,
    0x0bff260d,0x805ff930,0x4fd99ff9,0x32fc4498,0x007fecff,0xf101bf69,
    0x03fea05f,0x74bf6053,0x20bfe61f,0x3fea0ffa,0x3fe614c0,0x6ccffcc0,
    0x1ffd404f,0x00e7ff20,0x06607ff5,0xff985ff1,0x47f104ec,0x24fe85fd,
    0x827f41fa,0x03fc84fb,0x2901bf69,0x7fcc06fd,0x1f304ffb,0x43fea1f8,
    0x27105ff8,0x3e201ffa,0x81ff302f,0x3a5fb01a,0x5c1ff41f,0x207fcc6f,
    0x207fcc1a,0x04ffbff9,0xf8806fe8,0x06fe806f,0x30be60aa,0x220995ff,
    0xd07fa23f,0x2e0fd49f,0x362299ef,0x2037e20f,0x203ff538,0x403ff538,
    0x03ff77f9,0x47959bb3,0xf50cffd9,0xaabb819f,0x3fe205ff,0xb83ff102,
    0x3fa5fb01,0x7e427dc1,0x2e0ffc43,0x2607fcc1,0x403ff77f,0xd80c1ffc,
    0x0ffe405f,0x5c0f74c6,0x2387fcc2,0x3b20fe20,0x2a1cdbac,0x05ffe81f,
    0x405d99d5,0x05ffaabb,0x0bff5577,0x1ffb3fcc,0x5c402cc0,0xb999c800,
    0x5ff100ff,0x8121ff40,0x41ff8afc,0x3be20fe8,0x4243fe80,0x3fcc0ff9,
    0xff301ffb,0x17f60b09,0x0584ff98,0x3e604173,0xf88e610f,0xfa80ee03,
    0x20045c41,0x4e404fe8,0xc80ffb99,0x00ffb999,0x3fe21ff5,0x200be205,
    0x7c0dc04d,0x05ff104f,0x0666ff44,0x9fd9ff30,0x136f3b20,0x0ccdfe88,
    0x7d41ff98,0xb0bff10f,0xb05c81ff,0x07fec0bf,0x01f44172,0x0ec43ff3,
    0x03dc07f1,0x000a83f5,0x2e02ffe2,0x0dc4ff81,0x7ecc27fc,0x19ff50cf,
    0xc9801b70,0xa833ee01,0x7e443fff,0x001801df,0x00220004,0x7fe4c030,
    0x19ffb30c,0x7d433fea,0x4fecccef,0x057ffd44,0x3333bfea,0x019504fe,
    0x3737ff26,0x05d710ff,0xcea80ee2,0x2a2000a0,0x833ee3dd,0x9f73fffa,
    0x01fffd41,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x88000000,0x4cccc419,0xca826400,0x440c1801,
    0x26620099,0x13331099,0x080164c0,0x22380002,0x90013202,0x64400009,
    0x28098623,0x02fe8026,0x82041530,0x2000cb80,0x545100cc,0x32e00000,
    0x910ffc40,0x7d4017ff,0x2a009d01,0xfe882dcd,0x2ffee202,0x4017f710,
    0xffa807ee,0xfbaf984c,0x00fadb81,0x0dd05ff7,0xebec03f3,0xbb07ea05,
    0x1b7720bb,0x6406cea8,0x21eecacf,0xf881defe,0x805f3003,0x3e205cbe,
    0x3ea02f9c,0x4c1fe84e,0x80e400ff,0x1f5c0049,0xf9805fb0,0x2e00ec1f,
    0xdab80773,0xd99d881e,0x2207fd00,0x05e8688e,0x3ca5c093,0x33220760,
    0x40399100,0x3f60550c,0xb998fc42,0x4016603d,0x0ffa802c,0x00ec56c0,
    0xfe81b13b,0x1007fcc1,0x99998833,0xfb002000,0x11ff9805,0x04210019,
    0x26620080,0x53331099,0x4ccccc03,0x21333310,0x20099998,0x26666200,
    0x21333310,0x99999998,0x90026620,0x4c46a0bf,0x33310999,0x4c413333,
    0x20999999,0x99aa9998,0x26666620,0x26662099,0x3fa09999,0x1007fcc1,
    0x7fe443ff,0x803a000b,0x987f92fd,0x800499ff,0x403a000e,0x910bffb8,
    0x81bd97ff,0x710bffb8,0x3ee217ff,0x403a00bf,0x710bffb8,0x3ee217ff,
    0x226fcabf,0x1ffc02fe,0x85ffdc40,0xfcabffb8,0x2affee26,0x3fee26fc,
    0x2e26fcab,0x26fcabff,0xfcabffb8,0xff307fa6,0x4c1fe801,0x3e6000ff,
    0x0e4bf603,0x077e7fcc,0x2007f300,0x3fe603f9,0xdf33fd41,0x4c1ff981,
    0x0ffcc1ff,0x7cc07f30,0x20ffcc1f,0xb1620ff9,0x17fcc05f,0x4c1ff980,
    0xf31620ff,0x3e62c41f,0xff31620f,0x3fe62c41,0x41fe9620,0x7f400ff9,
    0x0007fcc1,0x57ec0dfb,0xf7ff302c,0x37ec00bf,0x2606fd80,0x23fd40ff,
    0x07fcc6fd,0xff303fe6,0x3037ec01,0x0ff981ff,0x85287fcc,0xff3012fd,
    0x03fe6005,0x214a1ff3,0x30a50ff9,0x2614a1ff,0xf30a50ff,0x3fd14a1f,
    0x2180ff98,0x07fcc1fe,0x02ffc980,0x260dfdfb,0x04ffa9ff,0x402ffc98,
    0xf302ffc9,0x647fa81f,0x03fe60ff,0xff981ff3,0x05ff9300,0xff303fe6,
    0x488ff981,0x0bfb9fb0,0x3e6007ff,0x447fcc0f,0x911ff304,0x1223fe60,
    0x82447fcc,0xe8488ff9,0x207fcc1f,0xf307fa38,0x7ed2001f,0x9fb5fb06,
    0x3f23ff30,0x6fda402f,0x306fda40,0x47fa81ff,0x3fe62ffa,0x2607fcc0,
    0x3f6900ff,0x981ff306,0x67fcc0ff,0x3a9fb04e,0x8037ec1f,0x7fcc0ff9,
    0x9ff304ec,0x33fe609d,0xd9ff304e,0x3b3fe609,0x7cc1fe84,0x3fd1e41f,
    0x8800ff98,0xfb03ff53,0xf985ff15,0x407ffa1f,0x203ff538,0x303ff538,
    0x47fa81ff,0x3fe62ffa,0x2607fcc0,0xf53880ff,0x81ff303f,0x7fcc0ff9,
    0x25fb04ca,0x1ff441fd,0x81ff3162,0x304caff9,0x260995ff,0xf304caff,
    0x3e60995f,0x7fcc4caf,0x337ff664,0x07fa2fec,0xb8301ff3,0x445ffaab,
    0x23ffb5ff,0xfb0cffc8,0x557707ff,0x2aee0bff,0xff985ffa,0x3ea3fd40,
    0x303fe60f,0x0ff981ff,0x5ffaabb8,0x7cc0ff98,0x387fcc0f,0x5fb2fd82,
    0x999dd910,0x4c0ff981,0xf30470ff,0x3e608e1f,0xff30470f,0x3fe608e1,
    0x402b8470,0x307fa02b,0x643881ff,0x00ffb999,0x00dc0075,0xffb999c8,
    0xfb999c80,0x207fcc0f,0x22fe47fa,0x7fcc0ff9,0x6407fcc0,0x40ffb999,
    0x7fcc0ff9,0x3087fcc0,0x2fd97ec7,0xff301dc0,0x210ff981,0x843fe639,
    0x843fe639,0x843fe639,0x843fe639,0x5401f539,0x983fd00f,0x371e41ff,
    0x3e609ff0,0x700f7001,0x1b89ff03,0x7fcc4ff8,0xf987fd41,0x20ffcc0e,
    0x7fcc1ff9,0x27fc0dc1,0xff307fe6,0x221ff983,0x7ecbf61d,0xf303d402,
    0x21ff983f,0x87fe61d8,0x87fe61d8,0x87fe61d8,0x87fe61d8,0x203b89d8,
    0x9ff303b8,0x666ffecc,0x419f72fe,0x4b83fffa,0xb8059100,0x3ffea0cf,
    0x7d419f73,0x9ff933ff,0x3b7ff661,0xcffc983e,0x219ff930,0xf70cffc9,
    0x9fffd419,0x930cffc9,0x3f2619ff,0x10ffdcdf,0x0bff3bfd,0xfc981e44,
    0xbff930cf,0x3261ffb9,0x0ffdcdff,0xfb9bff93,0x37ff261f,0xf930ffdc,
    0x01ffb9bf,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0x22000ff8,0x03c9803c,0x665c0088,
    0xcccc984c,0x0fbbba21,0xcc880800,0x0e1982cc,0x00822004,0x0c187539,
    0x00801822,0x02662002,0x31005930,0x1e440613,0x04c83862,0x88666202,
    0xb0165401,0x75c009bb,0x20174800,0x702ccdb9,0x99309999,0xaaaa8399,
    0x3e419801,0x41666644,0x6443eaf8,0xdbdd82da,0x83d6a82e,0x6c42dbda,
    0x67f445cb,0x03fa86fc,0x36017f44,0x95fd1006,0xd03f70bf,0x3efb89b7,
    0x7dc44fa8,0x01edbc9f,0x47101fdd,0x001b000c,0xaae812ee,0x10040599,
    0x2c813333,0x2ff62039,0x225aadda,0x09999999,0x76d86fb8,0x0bfa7d8d,
    0x7640e632,0xb01bd504,0xd307fabf,0x3fb32203,0x001d100d,0x43fd57ec,
    0x41ff501d,0x440d88d8,0x0dff982e,0x9dcee1ba,0x98899998,0x33310999,
    0x3a009983,0x2359f300,0xb8807402,0x4efc0bff,0x20ff883f,0x7dc40ff8,
    0x306fcabf,0x3f73bf01,0x02fd9be2,0x00801001,0x417ecbf2,0x02fd8400,
    0x6c200411,0x8042162f,0x0110841a,0xb0bfe601,0x4421087f,0xfb88bffb,
    0x3ffd30bf,0x7f301fa8,0x007ffe20,0xff980fe6,0x7ec02081,0xf985fc85,
    0x5911620f,0x4cefd45b,0x7ecbf509,0x426de442,0x6442dac8,0xb2fc84db,
    0x16d6445f,0x0bfb77a6,0xb7bbd793,0xfedde887,0x6ccc8372,0x3227df44,
    0x7df446cc,0x320ffcc4,0x27df445f,0x7fcc3ff3,0x2a17fd41,0xa81bf602,
    0x7ec02fff,0x983fe606,0x21ff9aff,0xffb84ff8,0x5287fcc0,0x7c4d76d8,
    0x7ecff307,0x44f9b6c2,0x36d8d76d,0xfb2fc89f,0x746bb6c5,0x5e85fd17,
    0xe83eabf7,0x3015fd17,0x32db127f,0xb127f30f,0xff983f2d,0x5b63fe41,
    0x43ff30fc,0x6fd81ff9,0x5ff93024,0x81fff440,0xf302ffc9,0xfd2fd81f,
    0x5417fd43,0x47fcc2ff,0xf73bf048,0x20aa7f43,0x445fd0ff,0xdf8df16f,
    0x2df11fb9,0xd9fec6f8,0x3ee77e2f,0x17ecdf11,0x54efe4f2,0x7ecdf12f,
    0x419ff102,0x7c4514f8,0x453e20cf,0x320ffcc2,0x1453e26f,0x7fcc3ff3,
    0x173ff981,0x406fda40,0x36906fea,0x81ff306f,0x4c3fd2fd,0x0ffa82ff,
    0x42767fcc,0x20999dfa,0x6cc2fff9,0x3ea2fece,0x6fd4ff15,0x2bf50999,
    0x57fa27f8,0x33bf52fd,0xfd9bea13,0x9dfbda82,0x6cdf5099,0x97ff202f,
    0x3ff205fa,0xf9817ea5,0xf527e41f,0x337fe60b,0xf901ffdc,0xa9c4073f,
    0x9a8441ff,0xfa9c40fd,0x40ff981f,0xe83fd2fd,0x986fb83f,0xf884caff,
    0x4202cc07,0x457e22fd,0x441fe26f,0xd80df15f,0x220ff12f,0xf90bf66f,
    0x3e20ff31,0xa840bf67,0x01ff11ff,0x7c47fea1,0x23ff300f,0x7fc45f90,
    0x99aff980,0xff101ffa,0xfaabb80d,0xc9aa4c5f,0xffaabb85,0x6c0ff985,
    0xfb83fd2f,0xf983fc84,0x9fd0470f,0x2009b02a,0xf9b6c2fd,0x20aa7f43,
    0x2e07f36d,0x53fa1fd8,0x3a23fa0a,0x7cdbe22f,0x47f4373f,0x27302fe8,
    0x233fa1fa,0x87ea7309,0x26098cfe,0x7cbf89ff,0x3098cfe8,0x0ffcc3ff,
    0x9c80bfb0,0x220ffb99,0xc80cccde,0x40ffb999,0x57e40ff9,0x7f441ff8,
    0x2603be20,0x98e610ff,0xcfa82fff,0x221ff401,0xff985dbc,0x2ede442f,
    0xf98bd9b0,0x6f6c42ff,0x3ffa24fe,0x443fff9a,0x304fdded,0xfc88b99d,
    0x1733a63f,0x6447ff91,0x1dee9cff,0x263ffc88,0x07fe61ff,0x06e05fd8,
    0x06e213fe,0x227fc0dc,0x7fcc1ff9,0x9d904fec,0x7fcc09d7,0x00207621,
    0x4cc40151,0x00801101,0x004c0044,0x04010801,0x80042004,0x08802008,
    0x00100020,0x4c3ff301,0x17f601ff,0xff5067dc,0x67dc007f,0x4cfffea0,
    0x0080cffc,0x32600440,0x0ffdcdff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x44000000,0xfc88cffc,0x7fd440cf,0x000000af,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xa8a20000,0x4403c980,0x22001101,0x40608802,0x26206201,
    0x33310999,0x26662013,0x10099999,0x0cc04100,0x5c008207,0x01cb801c,
    0x04180197,0x40208130,0x01e44008,0x0f220f22,0x2080cc70,0x4cbe8140,
    0x21101d90,0x3ab6a3fe,0x0fe5e405,0xf3172f60,0x103b05d1,0x32217ff7,
    0x7f440bff,0xecadffcb,0x77ed7546,0x81e7fe41,0x3bf04dbe,0x17be607f,
    0x7c407f10,0x06de6403,0xfcafa8d0,0x06f7fcc0,0xf7017f64,0xb803ee03,
    0x2f2e06bd,0x7fd40ec2,0x47601d00,0x7e57e5fc,0x7f11f302,0x641dea80,
    0x203b8dd7,0x7fd41ff9,0xfd07fcc0,0x2df12c49,0xccab83fb,0x201ff500,
    0x4760392b,0x2012a01d,0x1f644069,0x98c88b30,0x82db9a84,0x0ec0b359,
    0xff880ee0,0x2a1b2e02,0x02013303,0x64730fe4,0x3f207fb3,0x08800f8a,
    0x344fb7e8,0xf303fe60,0x744fc81f,0x5fa8a34f,0x980009f5,0x04080001,
    0x00000000,0x040040ae,0x01004210,0x40310010,0x8688bd09,0x5f446ccc,
    0x57bfee4f,0x1feedc0b,0x400cefb8,0xbdc5eada,0xf300764e,0x40ff981f,
    0x4a7f42ff,0x98beedf0,0x41ff9aff,0x7cc4dbc8,0x261ff9af,0x21ff9aff,
    0x1ff9aff9,0x3fe6bfe6,0x3e6bfe61,0x6440e81f,0xdbc884db,0x84dbc884,
    0xc884dbc8,0x57fcc4db,0xdcb81ff9,0x7f306c3f,0x83f2db12,0x2db031fe,
    0x7ff903fc,0x657e17ec,0x432f222f,0x0ff9803b,0xff307fcc,0x06cdfe85,
    0xfb0597d1,0x2db07fa5,0xe97ec4f9,0xfe97ec1f,0x1fe97ec1,0x41fe97ec,
    0x883fd2fd,0x89f36d85,0x6d89f36d,0xf36d89f3,0x89f36d89,0xe83fd2fd,
    0x23b8bf36,0x3e20cff8,0x01fe8514,0x87fd3df1,0x91ffb8e9,0x0ff67905,
    0x0e5dcd10,0xff303fe6,0x3a0ffcc1,0x05906bdf,0x43fd2fd8,0xd8df16f8,
    0xfd83fd2f,0x2fd83fd2,0xd2fd83fd,0xfd2fd83f,0xb7c43b83,0x45be26f8,
    0x7c5be26f,0x37c5be26,0xb1be2df1,0xf887fa5f,0x4688ff16,0x17ea5ffc,
    0x3ba01fe8,0x9ba0efaa,0x2e049efd,0x8ec03fdd,0x7cc6c9fa,0x207fcc0f,
    0x4a7f42ff,0x2ceeff82,0x21fe97ec,0xd8ff15fa,0xfd83fd2f,0x2fd83fd2,
    0xd2fd83fd,0xfd2fd83f,0xafd40d83,0x457ea7f8,0x7c57ea7f,0x3fc57ea7,
    0xb1fe2bf5,0xfa87fa5f,0x21d0ff15,0x3e23ff50,0x003fd00f,0x21ff312a,
    0xdb00fff8,0x23b80ff2,0x260fc8fc,0xfa8fc8ff,0x7f44fd87,0xffb8e214,
    0x4bf60fff,0x457e21fe,0xfe97ec6f,0x1fe97ec1,0x41fe97ec,0xd83fd2fd,
    0x3443fd2f,0x26f8afc4,0x44df15f8,0x7c4df15f,0xafc4df15,0xe97ec6f8,
    0x7c57e61f,0x2a732b86,0x2633fa1f,0x2006bf60,0x91eff84e,0x7c495dff,
    0xd103fe9e,0x4c7c8fb8,0xfa8fc9ff,0x3e0fd886,0x1e996c4f,0x8afc87e6,
    0xf9b6c1ff,0x7fc57e43,0x7fc57e41,0x7fc57e41,0x7fc57e41,0x7fc57e41,
    0x9b6c0ea1,0x3f9b6c3f,0x6c3f9b6c,0x36d87f36,0xf8afc87f,0x3f9b741f,
    0xb99d3598,0x4c3ffc88,0xcfb802ef,0x2bbffaa1,0x7740ffe9,0x1d80efaa,
    0x931f5744,0xdb7b39ff,0x7ee76401,0x11ffdcff,0x9897337d,0x444fecff,
    0xff985dbc,0x7fcc4fec,0x7fcc4fec,0x7fcc4fec,0x7fcc4fec,0x40764fec,
    0xc885dbc8,0xdbc885db,0x85dbc885,0xf985dbc8,0x7444fecf,0x883a04db,
    0x80000200,0x180880a9,0x300c4000,0x00044001,0x19980011,0x00880040,
    0x10008004,0x00400200,0x88011001,0x22004400,0x02004400,0x00040040,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x13000000,0x20133100,0x100803c8,0x80b2a022,0x41e4c1ca,
    0x01300198,0x02080f22,0x0f220044,0x79107910,0x98815300,0x06662199,
    0xcb800d44,0x0645d400,0x0164c000,0x98828330,0x26620199,0xcae88200,
    0x817f4404,0x67fcc1fb,0x747e44fe,0xd0377c46,0xf103f20b,0x7ff4c03f,
    0xf5035384,0xff881f95,0x2fec80de,0x7dc07ee0,0x9f39d100,0x510f7fcc,
    0xbacd885f,0x024a203c,0xff112e7a,0x7405ff35,0x3f6200fe,0xe81ccdab,
    0xed886fff,0x7dc0ddaa,0x00be6d94,0x407605fb,0x4c5fb4fe,0x772c8754,
    0x82c80b30,0x2e7601fe,0x0655c0ff,0x5424c644,0x8d982db9,0x70076059,
    0x7f47f207,0x7303ff20,0x2a199d88,0x980eb204,0x6cbf60b4,0x12a7702f,
    0xff107f44,0x2eeee981,0xff107fc4,0x36f9fd41,0x17ec20bf,0x1fe81088,
    0x42010bf7,0x01002010,0xd02047fa,0x8803501f,0x10804400,0x20044011,
    0x363fb008,0x90ffe20f,0x5367f2b0,0x0003102a,0x0bf65fb0,0x27ec0204,
    0x03917fa6,0x5fc85fd8,0x1be6df30,0x85fdbbd3,0x743dcbc8,0x644df51f,
    0x6d6442da,0x216d6442,0x7f42dac8,0x5f105fcc,0xa85eada8,0xada85ead,
    0x5eada85e,0xa85eada8,0x9fe85ead,0x26fc82ea,0x57a9c438,0xaff9921f,
    0x3fe61ff9,0x7ec1ff9a,0x7fdc5fb2,0x47b3ff99,0x3eb223ff,0x037ffe0f,
    0xff709ff1,0xf36fa941,0x5fd17e8f,0xe89f17d8,0xb6cbf71f,0x46bb6c6b,
    0x76d8d76d,0x7f92fe8d,0x3e0dfea8,0x95f85f95,0x5f95f85f,0xf85f95f8,
    0x95f85f95,0xd89fe85f,0x172ff986,0xbd5f51b8,0x7f4bf624,0x1fe97ec1,
    0x42fd97ec,0x8e7fd2fe,0x2a912ff9,0xffff31ff,0x417fd41f,0x7d562ffa,
    0x37c4ff36,0xf96f85fb,0x5f92fe8f,0xf0fdcefc,0x6fc3f73b,0x277e1fb9,
    0x5c7fa1fb,0x1ffe445f,0x790ff679,0x36790ff6,0x3fd9e43f,0x643fd9e4,
    0x1fe87fb3,0x2bfb07f7,0xf7f51a84,0x74bf6243,0xfe97ec1f,0x7f45fe41,
    0x7e46fdc2,0xc97fcc76,0xb983ff50,0x0bfe64fe,0x98f83fea,0x7d4df36f,
    0xef98bf66,0x3fa0ff8b,0x37ea4fdd,0x3bf50999,0x277ea133,0x33bf5099,
    0xfa8ff413,0xdb8bf706,0xfddb83fd,0x83fddb83,0xdb83fddb,0xfddb83fd,
    0x5fb8ff43,0x880cffa8,0x24bd1f73,0x20ff4bf6,0x983fd2fd,0x445feaef,
    0x1bfe8bff,0xb832ffe2,0x3a3ec07f,0x266fb83f,0xbf36f8af,0x45fb37c4,
    0xe8ff1ff9,0x3fc4089f,0xff107f88,0xfe81fe20,0x3e209f71,0x21fe5b62,
    0x6d87f96d,0xf96d87f9,0x87f96d87,0xfe87f96d,0x3fa09f51,0x2bae3605,
    0x7ec2bae9,0x2fd83fd2,0x00d803fd,0x21bee9fb,0x27e41efc,0x09f716a0,
    0xc9fd47f9,0x8fe83f57,0x8bf42fe8,0xd00ff44f,0x4fe82a9f,0x0aa7f415,
    0xfd0553fa,0x86547ee3,0x3a7be268,0x3a7be23f,0x3a7be23f,0x3a7be23f,
    0x3a7be23f,0x3a7be23f,0x4ecff43f,0x403f702f,0xc83b80d8,0x641ff8af,
    0x201ff8af,0x23f500fa,0x0ff883f8,0x45b317e6,0x107f442b,0xb2fe41df,
    0xbdb107b7,0x675cc9fd,0x017fc45c,0xf985fff3,0x7ffcc2ff,0x217ffcc2,
    0x2e2eadce,0x77409bff,0x3ba0efaa,0x3ba0efaa,0x3ba0efaa,0x3ba0efaa,
    0x3ba0efaa,0xff30efaa,0x344099b3,0x665e6440,0xfd9ff302,0xfecff989,
    0x40fbe204,0x65cc0746,0xe884dbbe,0x3b201bdf,0x4fb84dbc,0x40084004,
    0x01998808,0x02004008,0x20082010,0x00000000,0x00000000,0x08001000,
    0x00400200,0x20402a20,0x80088300,0x00220008,0x00000003,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x4c409988,0x4cccc409,0x04353100,0x000d4c22,0x80004153,0x26000a18,
    0x133310e1,0x22133331,0x1002a019,0x0c418035,0x0854c050,0x22133331,
    0x30088099,0x26620620,0x18180199,0x400980a0,0x04026009,0x6445ffb1,
    0x5ffe440d,0x5ce7e440,0x5efc44de,0x3f203fca,0x3a1eecac,0x9501fd1f,
    0x53ffb962,0x44dae83f,0xfb88dff9,0x509910cf,0x9b103f59,0x9f707975,
    0x0ee17b26,0x47b6ab66,0x910affc8,0x441fd01b,0xe81d80fc,0x980fffff,
    0x03f220bc,0x3a7a60ee,0x0ef9ba84,0xb87aebaa,0x83ffe63f,0x81ff3029,
    0x44e81fe8,0xd84fd868,0xfd0fc42f,0x4b203fa3,0x389ff44a,0xfd80ffa8,
    0x02e27fc6,0xb113e33e,0x7e44a844,0x416616c5,0xff50ec3d,0x1fd02981,
    0x42540fa8,0x85eeeff8,0x81f501f9,0xf75f8859,0x49f94e87,0x4fb97e6e,
    0x443bfee6,0xc81ff302,0x1889105f,0x3f21ffa8,0x8ff43505,0x2ba620fe,
    0x5bea0bc9,0x2603500b,0x91ff21ff,0xb02abf30,0x2a766b66,0x4fa8fea2,
    0x077c4074,0x207fd433,0x07d40029,0x5b06a0d1,0x3ea04f98,0xafd40740,
    0xfb9e46fa,0x1ba1ff34,0x5ffa9981,0x83fe6051,0x00203ff8,0x7ff1ffc4,
    0x7f47fa00,0x3fbbfb20,0x41cff41e,0xfd05eada,0x1997fe4b,0x27106fa8,
    0xf324223e,0x80ee7983,0xff503fff,0x20602981,0x400760fa,0x55fec0f8,
    0x0ee0fa80,0x07f9b7d4,0xaffe87f6,0xfb8cc01f,0xff3028bf,0x8017fcc1,
    0xccccccc9,0x05ff35ff,0x07f47fa0,0xdf7079a2,0x0bf2bf05,0x36e23fee,
    0xffd7095f,0x1f99b87d,0x59b0f890,0xff301665,0x0ffa83df,0x441b814c,
    0x400952fc,0xfebff85a,0x2ccbf222,0x1fe2ff10,0x3fa20744,0xb0cc083f,
    0x3e6057ff,0x30bfe60f,0x3fe61333,0x5ff9999b,0x3a005ff3,0x219ff99f,
    0x3e20b14a,0x0ff67907,0x2a2effe2,0xf98839ff,0x7ccd409f,0x74058902,
    0x3f6212e0,0x03fea1ff,0x100d7053,0xd80bba6d,0x6fab7cc3,0xb8970740,
    0x1705fddf,0x47ffbb10,0xfd0664fc,0x03fe605f,0xdff887ff,0xf885ff10,
    0x400ffe3f,0x0efccffe,0x5ffffffb,0x6edc0990,0x49df903f,0x1f200eff,
    0x4824e9c4,0x7547700c,0x5fea8224,0x83503fe6,0x31d802fb,0x207c0bb1,
    0x01ff16fa,0x884ea8ee,0x10303fc9,0xfc9bf69f,0x5ff10666,0x43fcc7e4,
    0x44fe85fd,0x07fd43fe,0x23a00dfb,0x16476020,0x65b60150,0x45ff303f,
    0x9b2605fc,0x33263608,0x3008571a,0x9326d4cb,0x3fe25f88,0x43fe0dc1,
    0x2d84a83e,0x4ff10d50,0x54cb307f,0x0817a04d,0x0ff13fa8,0x17cc1549,
    0x10df51f9,0x44fe85fd,0x21fe46f9,0x32c43fe8,0x0ecf001f,0xef881d66,
    0x1ba03fe9,0x3aee05f3,0x06c47eef,0x213ea1dc,0x43bb360e,0x3a0fc0f9,
    0x8ff4243f,0x2a07443e,0x7ec0f602,0x41d04f89,0x5d80eecd,0x9f10fea0,
    0x74c6e27c,0x3622b81e,0x3b200edb,0x981dfbac,0x102eebde,0x41999dd9,
    0xf2c401fa,0x74039f50,0x700efaae,0x2ee01d07,0xc883ffcd,0xfa82ccbc,
    0x36621dc3,0x32b37665,0xccdfe883,0x0cadea80,0x1bbe60ec,0xb7bb007c,
    0xbb310ee0,0x7d402ba8,0x0cbada83,0x10100026,0x004c4001,0x04400130,
    0x00820030,0x40000001,0x20010400,0x20280800,0x20011019,0x51011001,
    0x06055550,0x20280220,0x01000219,0x00000008,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x4ccc4000,
    0x0cc41309,0x83555503,0x98019998,0x0100aaaa,0x26662198,0x26099999,
    0x260040e1,0x38000c2c,0x4ccc00a6,0x22199999,0x86009999,0x13333108,
    0x02aaaa60,0x2086010c,0x84ccc663,0x54020098,0x4406621c,0x99889999,
    0x22084099,0xff88bffc,0x9fb3ff10,0x21f77744,0xdecbffc8,0x0eeeeb80,
    0x2627df44,0x77f74faf,0x449d79ff,0x4f983eaf,0x09fb1760,0x01f5b700,
    0x2b7ffe60,0x3ff227ec,0x96f3600b,0x2e02ffb8,0xfd81eeee,0xcefe83df,
    0xfb9af6e2,0x3a23d10f,0x5e83fcaf,0x6440ffc4,0xffc88bff,0x31b3320c,
    0x8ffa21ff,0x006fb9fe,0xdf30ffa8,0xb6c02201,0x2a3f60fc,0x4bfe2371,
    0x8837dc48,0xb81d103e,0x7fd0006f,0x1ff54c00,0x801ff31a,0x7fcc2ed8,
    0x55400800,0x6d5440cd,0x3e17fc44,0x5bf9121f,0xfd05983b,0x9bffb503,
    0x265bffb9,0x0ff9893f,0x223fd05c,0xff35ff34,0x360ff983,0x2f56d46f,
    0x3a1453e2,0x5ff10c0f,0x00004c0c,0x40082440,0x75200198,0xff30a53f,
    0x7fcc0001,0x5e441ddc,0x0000804d,0x2a9f9031,0x08027e41,0xff980ff4,
    0xf887fe61,0x07fcc0cf,0x371fe871,0x41fe97ec,0x3fee0ff9,0x517e57e0,
    0x007fc0bf,0x7d505ff1,0x2faa5ff7,0x77d52ffb,0x7445c5ff,0x7446fecf,
    0xb805fecf,0x4c167fd0,0x7fcc00ff,0xff8bfcc1,0x127cdb62,0x30bfd9fd,
    0x1ff983ff,0xfc84bfcc,0xfcafe883,0x7cc07fa3,0x907fe61f,0x0ff98bff,
    0x2067fa06,0x5c3fd2fd,0xf99ccffd,0x1fecf22f,0x3fe01ff1,0xdffcc980,
    0x2fe42a2c,0x0a97f215,0x3f60cbf9,0x4fd83fb5,0xd1c403fd,0x3e60dbbf,
    0x3fa09b0f,0xbfb3fcc1,0x237c5be2,0xd03fd4fd,0xd03fd03f,0x05f9075f,
    0xe876b7f2,0x3e60fb9f,0x1ffdccdf,0xf30ffd42,0x01fe801f,0x307fa5fb,
    0x17fcc1ff,0xfd0ff76e,0x07fc1319,0x4c05ff10,0x1ff981ff,0x3201ff98,
    0xfd85fb3f,0x66403fb2,0x06acffcc,0x413a1ff3,0xb3fcc1fe,0x7c57ea9f,
    0x1fd97ec7,0x1fe81fe8,0x337ffb32,0x7e40bf62,0x8b53fd04,0xfa99aff9,
    0x0fd4e61f,0x74301ff3,0x3a5fb01f,0x507fcc1f,0xfcb6c3ff,0x21ffe443,
    0x3fe200ff,0x7413fa02,0x809fd04f,0xd85fb3fc,0x2a05fb2f,0x8239ff41,
    0x74180ff9,0xf8bfcc1f,0x3e2bf11f,0x2fd97ec6,0x1fe81fe8,0xfe887f98,
    0xd03fc80d,0x87fe603f,0x33a61ff9,0x207fcc5c,0x6407fa38,0x4c1ff8af,
    0x89bf20ff,0xb03fe9ef,0x4401ff01,0x1df502ff,0x410efa82,0x32010efa,
    0xfd85fb3f,0x09105fb2,0x263827fd,0x3a1c40ff,0x667fcc1f,0x3f9b6c0a,
    0x82fd97ec,0x21fe81fe,0x2ccffdcc,0x17e405cc,0xff301fe8,0x5c0ffcc3,
    0x641ff983,0x7cc07fa3,0x7d44fecf,0xe83df30f,0xd80efaae,0x2200ff84,
    0x2ff882ff,0x4cbfe253,0x0a65ff12,0x42fd9fec,0x905fb2fd,0x2c89fd01,
    0x87907fe6,0x07fcc1fe,0xb0bb7910,0x3a0bf65f,0x981fe81f,0x20be207f,
    0x03fd02fd,0xff987fe6,0x7ecc7b81,0x32feccdf,0x200809ff,0xbeddffd9,
    0x076a0000,0x32209ff5,0x7fe41dff,0x7ff91fdb,0x2fff23fb,0xdfe881fd,
    0x3fe25ff8,0x7e45ff9d,0x33bfee23,0xffb31fec,0x4c5fd99b,0x3ff264ff,
    0x4404400b,0x45ff9dff,0x7fcc4ff9,0x05ffecc4,0x6ff44254,0x4427fcc0,
    0xfc88cffc,0x00f260cf,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x44000000,0x31009999,0x4ccc4013,
    0x400cc401,0x05555500,0x0710a811,0x81970197,0x20332008,0x882080cb,
    0x99889999,0x33331099,0x08026661,0x33106620,0x4cccc401,0x88133310,
    0x1004cc41,0x10013333,0x04ccc415,0x14019998,0x40266662,0x017ff910,
    0xc880bfa2,0x40decbff,0x3fa21ff9,0xeee85fec,0x260f444e,0x77d42eae,
    0x0ec1fc44,0x7f302f98,0x13f9cf88,0xf7117ff7,0x3ffa217f,0x4019f30b,
    0x43ff100e,0x2e202fe8,0x7f710bff,0x3a21fe81,0x3ff2202f,0x7e6e400b,
    0x30bff910,0x7dc03fff,0x36ffee20,0x7cd3ee4f,0x37fa600f,0x21ff501c,
    0x0ff40ef9,0x80ff53f6,0xf903fb00,0xb8763b0b,0x7701fc83,0x89c85980,
    0x987fe60c,0x2ffc41ff,0x03f98095,0x05fb07fa,0x0ec1ff98,0x17ec0db8,
    0x3003fe60,0xfd98719f,0x02fee40f,0xff981ff3,0x53ee5fd0,0x36018ff9,
    0x3fe6012f,0x3fd1bf60,0x83fb2fd8,0x3ee2dac8,0x044c45ef,0xffb80102,
    0x0000205e,0x7cc3ff30,0x8bffb81f,0x206fd804,0x017ec1fe,0x06447fe6,
    0x0097ec00,0xfb801ff3,0x89ff5304,0x3f205fcb,0xc87fcc0f,0xcff9825f,
    0x3f33f601,0x2e0ff985,0xb13fa0ff,0xdb0bf65f,0x443fd1ae,0x263fcafe,
    0x07fe61ff,0x67f443fb,0x1ff985fe,0x3e60ffcc,0x407fe61f,0x4c00cffd,
    0x3fd02ffc,0x87f92fd8,0x40499ff9,0x67ec1ff9,0x0ff985fd,0x20fffaa0,
    0x22a7fb99,0xff1905fc,0xfd0ff981,0x007fe609,0xb87fabfb,0xf99ccffd,
    0xfb07fa2f,0x3bf0bf65,0x37fea3f7,0x076b7f24,0x41fe83fd,0xea7ec1fd,
    0xe81fe81f,0x66ffcc1f,0xf101ffdc,0x3f6900bf,0xfd83fd06,0x9ff30392,
    0x1fe801df,0x41fea7ec,0x7dc00ff9,0x7ff13304,0x9542fe52,0x57fcc0ff,
    0xfa860dfb,0xd97ec00f,0x307fcc2f,0x07fe25ff,0xa8bf65fb,0x3a0999df,
    0xd027e41f,0x6c1fe83f,0xfd97ec1f,0xfe81fe81,0x4cd7fcc1,0x3f201ffa,
    0x7d4e203f,0x6c1fe81f,0xff302caf,0xfe80bff7,0x1fd97ec1,0x2e007fcc,
    0x3f23304f,0x88bf929e,0xff303fe4,0xacfb8137,0x36180ffd,0xf985fb2f,
    0x4c7fea0f,0x37fe21fe,0x1fe25ff9,0x1fe41fe8,0x1fe83fd0,0x4bf60fec,
    0x81fe82fd,0x0ffcc1fe,0x2a603ff3,0x57700ffd,0x3fd0bff5,0x306fefd8,
    0x09ff53ff,0x4bf60ff4,0x07fcc2fd,0x2609f70c,0x7e4bff31,0x7ff77645,
    0xa807fcc6,0x40ff98bf,0x7ecbf638,0xf907fcc2,0x7501fe8d,0x20aa7f40,
    0x0bf21afd,0x0ff41fe8,0x2fd86bf6,0x03fd05fb,0x1ff983fd,0x52207fe6,
    0x33905ff8,0xfe81ff73,0x27ed7ec1,0xffc8ffcc,0xfd83fd02,0xff985fb2,
    0x09f71c40,0x323fe866,0x7f775c5f,0x007fcc6f,0x320ffcc1,0x17ecbf63,
    0x77cc3fea,0xf980ff41,0x85fff301,0x0bf62efa,0x0ff41fe8,0x2fd8bbe6,
    0x03fd05fb,0x1ff983fd,0x8b107fe6,0x40dc3ffa,0x20ff44ff,0x42ff8afd,
    0x3ffa1ff9,0x7ec1fe81,0xff985fb2,0x09f71e41,0x360fa8a6,0x207fc05f,
    0xc8800ff9,0x2ffccdff,0xbff1bfd1,0x76effecc,0x827fcc0b,0x2000804b,
    0xf980dfe8,0x013fe64f,0x3fe77fe2,0x2627fcc5,0x3ff224ff,0x0cffc88c,
    0x7fdc5dd5,0x5419f73f,0x9ff33fff,0xffdaffc4,0x219ff911,0x3e63fffd,
    0x277fa24f,0x3ff665ff,0xb12feccd,0x1dd983df,0x02ffea92,0xffc983fe,
    0x0000001c,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x33331000,0x81301333,0x00099998,0x33333106,
    0x26621333,0x22099999,0x4c401999,0x33100999,0x4ccc4133,0x33109999,
    0x51099833,0x26663555,0x01019999,0x02004110,0x44020057,0x42200400,
    0x00100000,0x40080000,0x5ffdc410,0x3fe66eba,0x2fff224f,0xfd502fec,
    0xcffbcfb8,0x7ff714eb,0x7e44df95,0x440decbf,0x1efcbffc,0xd82ffee2,
    0x26ffaabe,0x7d41ffe9,0x25dddd31,0x81a20601,0xcccccbe8,0xcaede443,
    0xff35ff35,0x756d43f5,0x44fbe885,0x2e3dcbc8,0xb3ff99ff,0x716d6447,
    0x4c7e67ff,0x01ff9aff,0x366640b3,0x74b07fe6,0x3ea1ffdb,0x9507fe67,
    0xff12b8ff,0x0ff99225,0x4cff5162,0x87fcc0ef,0x0ffcc7fb,0x42ffb836,
    0x01542ffa,0x1a206018,0x31ff16e8,0xef9b6c1f,0x7f4bf60a,0x7e57e1da,
    0x20fcb6c2,0xfe89f17d,0xdb0e7fd2,0x227fd1ae,0x1fe97ec3,0x4fe60b30,
    0x518ffcc4,0x262ff822,0x4c1ff47f,0x5ff10c7f,0x4a1ff30c,0x3f63fd42,
    0xfa87fcc6,0x503fe60f,0xfd82ffc4,0x0ffcc246,0x83440c03,0x2a7fe6f9,
    0x3e2df12f,0x5fd2fd86,0x88ff6790,0x96f8514f,0xc8dfb8ff,0xb9df876f,
    0x05dbea1f,0x80ff4bf6,0x19ff1059,0x8091ff98,0xf1fe60fd,0x40ff103f,
    0xff302ff8,0x1fea0911,0x7fcc1ff9,0xff98bf90,0x403ff600,0x20173ff9,
    0x518061fe,0x3999f999,0x99ff97ea,0x3e2bf509,0x3fd2fd87,0xa8ff76e0,
    0x17df305f,0x5ffc41ff,0x3ea1bfe8,0x7f40999d,0xfd2fd839,0x676e65c3,
    0x17ff20cc,0x80f97ff3,0x4cffcc4f,0x0ff104fd,0xf9817fc4,0xff504ecf,
    0x3e62ffa8,0xf982fedf,0x07ff500f,0x2039ffc8,0x318061fe,0x3555f755,
    0x17fc57e6,0x86f8afc4,0xb03fd2fd,0xff88ff2d,0xff1ff980,0x1bee9fb0,
    0xefb80ff1,0x3fd2fd80,0x55765554,0x87fea10a,0x207baff9,0xfbff986a,
    0x81fe204f,0xff302ff8,0x1fea0995,0x7fcc5ff5,0x7cc5fd98,0x00dfd00f,
    0xfe80dff1,0x68818061,0x6ffc5ba0,0x7cdb6188,0xff9bfc83,0x7f4f7c41,
    0x04c67f43,0x2a13e2fd,0xfd07f11f,0x0bf102a9,0x07fe2bf2,0xf53982cc,
    0x058ffcc3,0x2ff301d1,0xff101ffb,0x9817fc40,0xf50470ff,0x260ffa8f,
    0x45ff10ff,0xffc80ff9,0x05fd80c1,0x0c030ff4,0xb7d30344,0xc887ffb9,
    0x5df305ec,0x55dd09fd,0x7fe441df,0x1733ae63,0x7cc07468,0x205902ff,
    0x04fecff9,0x333a60b3,0x018ffcc5,0x4ff31c19,0x7f880ffd,0x4c0bfe20,
    0xa8e610ff,0x262fe47f,0x98ffe0ff,0x27fcc0ff,0x405fd82c,0x818061fe,
    0x02088068,0x00000110,0x00880100,0x80100204,0x3fa00800,0x41ffffff,
    0x01ff9808,0xa93fffee,0x0bff10ff,0x7fc40ff3,0x443ff302,0x4c3fea1d,
    0x87fcc0ef,0x3fe60ffa,0x3207fec1,0x4c0bfb05,0x2666a4ff,0x00002999,
    0x00000000,0x00000000,0x00000000,0x3ff22000,0xffffa80c,0x19ffb33f,
    0x64c33fea,0x7e440bff,0x7fe4c1df,0xb30ffdcd,0x307ddbff,0x17b9bffb,
    0xa867fe4c,0xfeccceff,0x57ffd444,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x41100000,0x01000400,0x20c00000,
    0x2a130a80,0x2a000200,0x03100001,0x02023500,0x4405004c,0x541882e4,
    0x40620911,0x30301981,0x882620c4,0x30044041,0x6eeedc57,0x30222ddd,
    0x6f5e4c37,0x5e443dbd,0x767f444d,0x7ddf545f,0xd1bff32f,0x7ee7f447,
    0x2a0ffd9e,0x10eeedee,0x227f95fd,0x547f95fe,0x3fe602ee,0x2200d501,
    0x44991deb,0xf303e82e,0x325c7a03,0x790e89d9,0x3224fd98,0xd12ef6c7,
    0x7cbee1d1,0xfe9eb2a7,0x3fc4df30,0x2626d836,0x13b99999,0xaf45d8ff,
    0x6c1f55fb,0x4fd89f36,0xfc8543fd,0x41cffd45,0x2ebf94fd,0x4b83e23f,
    0xb0ed6fe4,0x64c0725f,0x01fe81cf,0x033f2600,0x390fa336,0x6ce85537,
    0x901f55d8,0x3f88eb85,0xa9ea2e42,0x3db54b25,0x989fa5f7,0x7cc3fa7b,
    0x3d8df11f,0x89d4006c,0x7903a26f,0x4bea77f2,0xd8df16f8,0xf303fb2f,
    0x20bfb03f,0x2e7f92fc,0x91a12a4f,0x32bf609f,0x1deb8802,0xcccb87fa,
    0xdd50cccc,0xb07fb005,0xa5c5d79b,0x3e2bee2d,0x7c44fa85,0x41d81fb5,
    0x53b8ea7a,0xd87ccb6d,0x6c9e7665,0x00654048,0x50002980,0x1333bf7b,
    0x23fc57ea,0xd05fb2fd,0x03fe609f,0xb9fe4bf2,0x8d11664f,0xfdfb03fc,
    0xcfc8801d,0xaaa87fa0,0xb30aaaaa,0x7744017d,0x44197504,0x55d8d30e,
    0xfb8d301f,0x4cdc3f88,0xd55d1ea0,0x4d064e41,0x43ebae3a,0x0001cc49,
    0xfc800000,0xbf107f98,0x25fb1be2,0x877d42fd,0x6427f440,0x3ee7f92f,
    0xc8990fc4,0xf95fb02f,0x02fb6a09,0x00c407fa,0xd1073f22,0x93f11367,
    0xd0f21e4d,0x29cc92e3,0x7d43b874,0x88bf227f,0x445001cc,0x80c43000,
    0x3bbae101,0x0422eeee,0xf8835553,0x86e7ff36,0xfd87f36d,0x7fc45fb2,
    0x7c644532,0xfc9fec1f,0x77549f73,0x3f60edfe,0xfd15fb02,0x200ef545,
    0x00d701fe,0x43c8f754,0x00188c2d,0x8082e488,0x0000911a,0x00000000,
    0x51cfee88,0x26666621,0x5bafb099,0x7445fffc,0x3fff9aff,0x222ede44,
    0x25ff9dff,0x31fdbffc,0x21dff19b,0xefe8dfe8,0x2130efd8,0x6ff44309,
    0xfdaffcc0,0xf300152f,0x9800009f,0x00000001,0x00000000,0x00000000,
    0x93fee228,0xaaaaaaa9,0x4c4ae950,0x01010199,0x00000088,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x99999997,
    0x00000005,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x33220000,0xf13ccccc,0x0bffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x55555500,0x44444435,0x00000008,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_bold_17_latin_ext_x[560]={ 0,1,1,0,0,1,0,1,0,0,0,0,0,0,
0,0,0,1,0,0,0,0,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,1,-1,0,0,0,0,0,0,0,0,0,0,
-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,1,0,0,0,0,
1,0,0,0,0,0,0,0,0,-1,0,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,-1,0,-1,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,2,-1,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,0,-1,0,
0,0,0,0,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,0,-1,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static signed short stb__times_bold_17_latin_ext_y[560]={ 13,2,2,2,2,2,2,2,2,2,2,3,10,8,
10,2,2,2,2,2,2,2,2,2,2,2,5,5,4,6,4,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,15,2,5,2,5,2,5,2,5,2,2,
2,2,2,5,5,5,5,5,5,5,3,5,5,5,5,5,5,2,2,2,7,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,13,5,2,2,4,2,
2,2,2,2,2,6,6,8,2,1,2,3,2,2,2,5,2,6,12,2,2,6,2,2,2,5,-1,-1,-1,-1,
-1,0,2,2,-1,-1,-1,-1,-1,-1,-1,-1,2,-1,-1,-1,-1,-1,-1,4,2,-1,-1,-1,-1,-1,2,2,2,2,
2,2,2,2,5,5,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,4,5,2,2,2,2,2,2,2,
0,3,-1,2,2,5,-1,2,-1,2,-1,2,-1,2,-1,2,2,2,0,3,-1,2,-1,2,2,5,-1,2,-1,2,
-1,2,-1,2,2,2,-1,-1,2,2,-1,2,0,3,-1,2,2,2,-1,5,2,2,-1,2,2,2,5,-1,-1,2,
2,2,2,2,2,2,2,-1,2,2,5,-1,2,2,2,5,0,3,-1,2,-1,2,2,5,-1,2,2,5,-1,2,
-1,2,-1,2,2,5,-1,2,2,3,-1,2,2,3,-1,2,0,3,-1,2,-1,2,-1,2,2,5,-1,2,-1,2,
-1,-1,2,-1,2,-1,2,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2,3,3,2,3,3,3,
3,3,3,3,3,3,3,3,3,3,1,5,3,3,3,3,3,3,3,3,3,3,3,3,3,0,5,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,-1,2,-1,2,-1,
2,-1,2,-1,1,-1,0,-1,-1,-1,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,-3,-1,-1,2,-1,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static unsigned short stb__times_bold_17_latin_ext_w[560]={ 0,3,7,8,8,14,13,3,5,5,7,9,4,5,
4,5,8,6,7,7,8,8,8,8,8,8,3,3,9,9,9,7,14,11,10,11,11,10,9,12,12,6,8,13,
10,15,11,12,9,12,12,8,10,11,11,16,11,11,10,4,5,4,7,9,4,8,8,7,9,7,7,8,9,5,
5,9,5,13,9,8,8,9,7,6,5,9,8,11,8,8,7,5,2,5,9,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,0,3,7,8,8,8,
2,7,5,12,5,8,9,5,12,9,6,9,5,5,4,9,9,4,3,4,5,8,12,12,12,7,11,11,11,11,
11,11,16,11,10,10,10,10,6,6,6,6,11,11,12,12,12,12,12,7,12,11,11,11,11,11,9,8,8,8,
8,8,8,8,11,7,7,7,7,7,6,5,6,6,8,9,8,8,8,8,8,9,8,9,9,9,9,8,8,8,
11,8,11,8,11,8,11,7,11,7,11,7,11,7,11,12,11,9,10,7,10,7,10,7,10,7,10,7,12,8,
12,8,12,8,12,8,12,9,12,9,6,6,6,6,6,6,6,5,6,5,13,8,8,6,13,9,9,10,5,10,
5,10,7,10,7,10,5,11,9,11,9,11,9,12,12,8,12,8,12,8,12,8,15,11,12,7,12,7,12,7,
8,6,8,6,8,6,8,6,10,5,10,8,10,5,11,9,11,9,11,9,11,9,11,9,11,9,16,11,11,8,
11,10,7,10,7,10,7,6,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,11,8,8,9,8,8,8,
8,8,8,8,8,8,8,8,8,8,13,9,8,8,8,8,8,8,8,8,8,8,8,8,8,13,10,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,11,8,6,6,12,
8,11,9,11,9,11,9,11,9,11,9,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,11,8,16,11,12,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8, };
static unsigned short stb__times_bold_17_latin_ext_h[560]={ 0,12,6,12,13,12,12,6,15,15,7,9,6,3,
4,12,12,11,11,12,11,12,12,12,12,12,9,11,8,4,8,12,15,11,11,12,11,11,11,12,11,11,12,11,
11,11,12,12,11,14,11,12,11,12,12,12,11,11,11,14,12,14,7,2,4,9,12,9,12,9,11,12,11,11,
15,11,11,8,8,9,12,12,8,9,11,9,9,9,8,12,8,15,15,15,4,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,0,12,14,12,8,11,
15,15,3,12,6,7,4,3,12,2,6,9,7,7,4,12,15,4,4,7,6,7,12,12,12,12,14,14,14,14,
14,13,11,14,14,14,14,14,14,14,14,14,11,15,15,15,15,15,15,8,12,15,15,15,15,14,11,12,12,12,
12,12,12,12,9,11,12,12,12,12,11,11,11,11,12,11,12,12,12,12,12,8,9,12,12,12,12,15,15,15,
13,11,14,12,15,12,15,12,15,12,15,12,15,12,14,12,11,12,13,11,14,12,14,12,15,12,14,12,15,15,
15,15,15,15,14,15,14,14,11,11,14,11,13,10,14,11,15,15,14,8,12,15,15,15,14,14,8,14,14,14,
14,11,11,11,11,11,11,15,11,14,11,15,11,11,12,12,14,11,15,12,15,12,12,9,14,11,14,11,14,11,
15,12,15,12,14,11,15,12,15,14,14,12,11,11,15,12,14,11,15,12,15,12,15,12,15,12,15,12,14,15,
14,14,11,14,11,14,11,11,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,12,10,10,15,10,10,10,
10,10,10,10,10,10,10,10,10,10,13,9,10,10,10,10,10,10,10,10,10,10,10,10,10,14,9,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,14,12,14,11,15,
12,15,12,15,13,15,14,15,15,15,14,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,16,15,14,12,15,12,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10, };
static unsigned short stb__times_bold_17_latin_ext_s[560]={ 253,135,198,69,38,57,34,212,126,110,134,
130,216,247,221,180,1,32,11,79,233,230,203,194,242,225,252,251,116,231,90,
234,209,140,73,47,61,50,1,22,115,84,13,168,198,217,1,239,242,216,19,
152,39,161,150,96,128,102,91,203,250,185,142,1,230,173,70,182,10,211,209,
102,188,182,58,158,152,49,22,13,29,117,72,248,85,228,219,199,40,78,32,
128,146,161,221,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,
121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,253,252,208,
113,63,202,180,192,241,122,206,150,235,247,162,11,185,238,174,159,250,59,236,
245,226,180,192,165,212,181,139,173,229,241,71,83,135,26,124,182,201,212,245,
234,128,147,114,95,30,1,13,26,39,64,89,126,217,139,168,192,37,14,159,
141,132,123,114,105,96,87,1,51,62,54,46,38,101,79,72,108,241,178,222,
213,204,195,186,106,190,160,150,140,130,183,35,200,47,42,35,48,224,25,52,
8,77,248,111,227,141,212,102,192,22,170,90,50,161,136,174,162,26,109,223,
101,13,56,153,175,184,166,190,108,1,172,235,12,194,188,59,114,154,152,249,
78,121,100,72,132,117,132,57,47,80,24,18,7,1,1,12,141,227,1,34,
64,91,162,40,216,114,101,235,153,83,169,65,144,84,127,86,140,1,219,23,
211,115,64,26,205,240,220,14,248,102,1,97,247,48,16,66,58,44,111,96,
20,1,170,228,175,204,185,180,195,151,205,207,123,139,151,93,128,85,219,77,
59,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,35,121,121,246,
121,121,121,121,121,121,121,121,121,121,121,121,121,76,152,121,121,121,121,121,
121,121,121,121,121,121,121,121,59,162,121,121,121,121,121,121,121,121,121,121,
121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,36,87,
108,195,167,121,149,231,134,66,116,73,98,88,76,197,121,121,121,121,121,121,
121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,
121,121,121,1,49,230,180,13,20,121,121,121,121,121,121,121,121,121,121,121,
121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,
121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,
121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,121,
121,121,121,121,121,121,121,121,121, };
static unsigned short stb__times_bold_17_latin_ext_t[560]={ 33,121,170,121,80,95,95,170,33,1,170,
158,170,175,170,95,108,158,158,108,146,108,121,121,121,121,146,121,170,175,170,
121,1,146,158,121,158,158,158,121,146,158,121,146,146,146,121,108,146,50,158,
121,158,121,108,121,146,158,158,50,95,50,170,180,170,158,108,158,108,158,146,
95,146,146,1,146,146,170,170,170,108,80,170,158,146,158,158,158,170,121,170,
1,1,1,175,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,33,108,50,
121,170,134,1,1,175,121,170,170,170,175,108,180,170,158,170,170,170,121,1,
170,170,170,170,170,121,121,121,121,50,50,65,65,65,80,134,65,65,65,65,
65,65,65,65,65,134,18,17,17,17,17,17,170,108,17,17,17,1,80,134,
108,108,108,108,108,108,108,170,134,108,108,108,108,146,146,146,146,95,134,95,
95,95,95,95,170,158,95,95,95,95,1,33,1,80,134,65,95,1,95,17,
95,17,80,17,80,33,80,65,80,146,80,80,146,65,80,50,80,1,80,65,
80,33,33,33,33,33,33,50,33,80,65,134,146,65,134,80,158,65,134,17,
33,65,170,95,33,33,17,65,65,170,65,65,65,65,134,134,134,134,146,146,
1,146,50,146,17,134,134,80,80,50,134,33,80,33,80,95,158,50,134,50,
134,50,146,33,80,17,80,50,134,17,95,33,33,50,95,134,146,33,95,50,
134,34,95,17,108,17,108,17,108,17,108,33,17,50,50,134,50,134,33,134,
134,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,121,158,158,1,
158,158,158,158,158,158,158,158,158,158,158,158,158,80,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,50,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,50,121,
50,134,1,95,1,95,1,80,1,50,1,1,1,33,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,1,1,33,80,1,108,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158, };
static unsigned short stb__times_bold_17_latin_ext_a[560]={ 61,82,136,123,123,246,205,68,
82,82,123,140,61,82,61,68,123,123,123,123,123,123,123,123,
123,123,82,82,140,140,140,123,228,177,164,177,177,164,150,191,
191,96,123,191,164,232,177,191,150,191,177,137,164,177,177,246,
177,177,164,82,68,82,143,123,82,123,137,109,137,109,82,123,
137,68,82,137,68,205,137,123,137,137,109,96,82,137,123,177,
123,123,109,97,54,97,128,191,191,191,191,191,191,191,191,191,
191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,
191,191,191,191,191,191,191,191,61,82,123,123,123,123,54,123,
82,183,74,123,140,82,183,123,98,135,74,74,82,142,133,61,
82,74,81,123,184,184,184,123,177,177,177,177,177,177,246,177,
164,164,164,164,96,96,96,96,177,177,191,191,191,191,191,140,
191,177,177,177,177,177,150,137,123,123,123,123,123,123,177,109,
109,109,109,109,68,68,68,68,123,137,123,123,123,123,123,135,
123,137,137,137,137,123,137,123,177,123,177,123,177,123,177,109,
177,109,177,109,177,109,177,180,177,137,164,109,164,109,164,109,
164,109,164,109,191,123,191,123,191,123,191,123,191,137,191,137,
96,68,96,68,96,68,96,68,96,68,202,136,123,82,191,137,
137,164,68,164,68,164,115,164,97,164,68,177,137,177,137,177,
137,179,189,137,191,123,191,123,191,123,246,177,177,109,177,109,
177,109,137,96,137,96,137,96,137,96,164,82,164,128,164,82,
177,137,177,137,177,137,177,137,177,137,177,137,246,177,177,123,
177,164,109,164,109,164,109,68,191,191,191,191,191,191,191,191,
191,191,191,191,191,191,191,181,191,191,123,191,191,191,191,191,
191,191,191,191,191,191,191,191,191,136,191,191,191,191,191,191,
191,191,191,191,191,191,191,195,147,191,191,191,191,191,191,191,
191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,
191,191,191,191,191,177,123,96,68,191,123,177,137,177,137,177,
137,177,137,177,137,191,191,191,191,191,191,191,191,191,191,191,
191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,
191,191,177,123,246,177,191,123,191,191,191,191,191,191,191,191,
191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,
191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,
191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,
191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,
191,191,191,191,191,191,191,191, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_17_latin_ext_BITMAP_HEIGHT or STB_FONT_times_bold_17_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_17_latin_ext(stb_fontchar font[STB_FONT_times_bold_17_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_17_latin_ext_BITMAP_HEIGHT][STB_FONT_times_bold_17_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_17_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_17_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_17_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_17_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_17_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_17_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_17_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_17_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_17_latin_ext_s[i] + stb__times_bold_17_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_17_latin_ext_t[i] + stb__times_bold_17_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_17_latin_ext_x[i];
            font[i].y0 = stb__times_bold_17_latin_ext_y[i];
            font[i].x1 = stb__times_bold_17_latin_ext_x[i] + stb__times_bold_17_latin_ext_w[i];
            font[i].y1 = stb__times_bold_17_latin_ext_y[i] + stb__times_bold_17_latin_ext_h[i];
            font[i].advance_int = (stb__times_bold_17_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_17_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_17_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_17_latin_ext_s[i] + stb__times_bold_17_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_17_latin_ext_t[i] + stb__times_bold_17_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_17_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_17_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_17_latin_ext_x[i] + stb__times_bold_17_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_17_latin_ext_y[i] + stb__times_bold_17_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_bold_17_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_17_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_17_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_17_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_17_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_17_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_17_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_17_latin_ext_LINE_SPACING
#endif

