// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_18_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_18_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_18_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_times_bold_18_latin_ext_BITMAP_HEIGHT        200
#define STB_FONT_times_bold_18_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_times_bold_18_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_bold_18_latin_ext_NUM_CHARS            560

#define STB_FONT_times_bold_18_latin_ext_LINE_SPACING          12

static unsigned int stb__times_bold_18_latin_ext_pixels[]={
    0x0000f220,0x22000e5c,0x005500cc,0x88001ed8,0x2000000a,0x36000889,
    0x0053002e,0x00aaaa00,0x000c4330,0x000a2280,0x02a88000,0x77000000,
    0x007ee001,0x05f805b3,0x40bea076,0xf7003ff9,0x072000bd,0x1001fb00,
    0x77d400bb,0x44057006,0x3ccc804c,0x26ba03b0,0x332ee00e,0x07a33200,
    0xaacbb980,0x005f7001,0x959bdb71,0x26e04e88,0x803b0038,0x02d401f9,
    0xe80b6076,0x0e8806ac,0xa8d8003b,0x003f6003,0x7400ea36,0xa8d80591,
    0x36027403,0x203b03a8,0x9aa03ffa,0x17fe204f,0x1a80ec40,0xf9802e80,
    0xf31b661f,0x01cd540d,0x0fdc03b8,0x03b04020,0x298a2035,0x00020440,
    0x01000625,0x0800c4a0,0x00c4a004,0x062501fa,0x805500ec,0x980790fd,
    0x00d8800a,0x200600d4,0x86881ff9,0x80154009,0x3ea0298b,0x599b7302,
    0x5cc1d86e,0x8955542a,0x15ddd72a,0x6cc7ddd7,0x4b3bb264,0xb880ceb8,
    0x934acded,0x3ae259dd,0xdedb880c,0x9dd934ac,0xf033ae25,0x2ceec98d,
    0x47619d71,0x712ceec9,0x0f7dc19d,0x2f6f3260,0xab81d100,0x76d450a9,
    0x833b221e,0x550a06fd,0x967764c5,0x9b80ceb8,0x20fe6029,0x13fa0cfa,
    0x8890b83b,0xfe8763ff,0x0643fec7,0x41a0bfe6,0x9b661ff9,0x30682ff9,
    0x336cc3ff,0xf10d05ff,0xd05ff30b,0x0bfe61d8,0x817ff41a,0x40ff44fb,
    0x3aafa22b,0x1fff30a7,0x005ff868,0x5ff31fea,0x404c80d0,0x07fd41f9,
    0x41d83fee,0x5fc80cc8,0x545ff512,0x7cc242ff,0xff98582f,0x3fe66881,
    0x1ff98582,0x0bfe6688,0x7cc27416,0x30e4582f,0x750b05ff,0x7fa87ff5,
    0x06c0ff98,0x4297eadd,0x2246ffd8,0x26003ff9,0x417fcc7f,0xb3027405,
    0xc88bfd05,0x730764ff,0x31ff1059,0xff8bff05,0x3fe606a5,0x06fd8482,
    0x482ff98a,0x98a06fd8,0xb10482ff,0x482ff985,0x2417fcc0,0x20fe887c,
    0x4ff886ff,0x3f27f734,0xff9510a3,0x13fe2249,0x7cc7f980,0x3e60482f,
    0x8819500f,0x7f5224ff,0xf95c8766,0x2079fb07,0xffd50ffc,0x17fcc121,
    0x802ffc24,0xf8482ff9,0x5ff3005f,0x2625c090,0x4c0482ff,0x7c4482ff,
    0x7fc47e65,0x24cdff05,0x283fe3fd,0x92ffd944,0x4c00bfd0,0x417fcc7f,
    0x80fff204,0x8ffe60fa,0x0ecffd0c,0x2617eaff,0x7ff103ff,0x0e2ffe32,
    0x22417fcc,0xf3003ff9,0xff98905f,0x05ff3003,0x3e617209,0x2604482f,
    0xfd8482ff,0x3fe61f0d,0x2c4ffd03,0x199beeff,0x9ffe8944,0x100ffc84,
    0x7fcc7f98,0xfb710482,0xf11fcc0f,0x6fe8329f,0xfd8a9876,0x6c03fd06,
    0x7dfb38ef,0x20bfe601,0x8027fc44,0x44482ff9,0xff3004ff,0x213e0905,
    0x6c482ff9,0x120bfe61,0x8873bf62,0x8bfd04ff,0x53ef3fe5,0xf3144329,
    0x17f209df,0x98ff30ee,0x190482ff,0x3ea05ff3,0x20e6ffc3,0xb90764ff,
    0x01aa0df7,0x3ea1dff5,0x0bfe205f,0x4017fa12,0xe8482ff8,0x5ff1005f,
    0x2217e090,0x0ec482ff,0x40905ff1,0x27ec1ffc,0xc8642ff8,0x2a55db2f,
    0xfff50a20,0x6e6ff5c0,0x7c47f981,0x2488482f,0x83f706fe,0x7fcc2ffb,
    0xa8fd8761,0xf005106f,0x402ff89f,0xfc8583ff,0x3ff8100f,0x00ffc858,
    0x0583ff81,0x20ffe0fd,0x0ffe0ec5,0x2fd46216,0x3fe61bea,0x28802440,
    0x03fe4144,0xdf3006c4,0x70b07ff0,0x03ffd99b,0x87fd03f5,0xf88ec2fd,
    0x3666fdaf,0x83f90038,0x2fec00fc,0x42fe406e,0x2e2fec3b,0x770bf901,
    0x80dc5fd8,0xb8bfb05e,0x17f60ec1,0x321f7037,0x7ec2fd85,0x38807303,
    0x00fb0398,0xf19105f1,0x1b8bfb0d,0x905ff848,0x675e4c3b,0x21d81ddb,
    0x52ff8bfe,0x1620079f,0x77ec0126,0x7f5c02cc,0xdfb01dcd,0xfeb80599,
    0xdfb01dcd,0x03ae0599,0x82ccefd8,0xccefd81d,0x5d33f102,0x3b6f7ae0,
    0x88564401,0x2eea82bb,0x75c40688,0x02f9f980,0x70599dfb,0x203ff905,
    0x80310a08,0x00d4000b,0x20004020,0x00180009,0x00600026,0x000c0098,
    0x3005c013,0x01551001,0x31000310,0x01000035,0x00353000,0x877ee013,
    0x001effd9,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x000aa800,0x4c003530,
    0x5000000a,0x05510005,0x26001540,0x9880003c,0x01540000,0x41803530,
    0x0d4a6001,0x40803510,0x02208800,0x14280000,0x00a62a20,0x7c0013e6,
    0x17fe2006,0xb816ee00,0x0fe4002f,0x003ff980,0x0d407ffa,0xff317e40,
    0x05ff3005,0x79003ba0,0x5f4005b5,0x3ff200e9,0x12e6ee00,0x03a67a20,
    0x70017dc0,0x6b807b1b,0x01a6005d,0xc8003a60,0x26001e8c,0x025c059e,
    0xbe8007a0,0x8da800e9,0xf00f205b,0xd005fd05,0x1d300d59,0x009fd300,
    0x2601cac4,0x3a204daf,0xff7001ef,0x017dc005,0x3601bfe0,0x04c00498,
    0x70002600,0x0db00144,0x031000c0,0x00330cc0,0x07e20183,0x02fd8144,
    0x88053144,0x20004000,0x20a80308,0xc8001803,0x80008004,0x131801ca,
    0x7b799300,0xdbcc9801,0x5e64c00b,0x7dc400bd,0x67764c1e,0x2619d712,
    0xd712ceec,0x33bb2619,0x1019d712,0x377bbbd9,0x95554db0,0x2abf62a8,
    0x5577301c,0x9bdb7105,0xb7993095,0xbcc98017,0x0aaa00bd,0xbdddec88,
    0x87bb6a1b,0xc880cec8,0x01bbddde,0x959bdb71,0x44b3bb26,0x27dc0ceb,
    0x27dc07fa,0x27dc07fa,0xffb807fa,0x82ff985f,0x682ff986,0x0682ff98,
    0x7ec41df5,0xff11fc81,0x9dfb0ec7,0xa9fc85fd,0x0ffcc3ef,0x44fb8db3,
    0x89f701fe,0x0ff501fe,0xfd883bea,0x207ffcc1,0x441df506,0x1ff981fd,
    0x2ff99b66,0x987fa868,0x43fd40ff,0x3fd40ff9,0xfb007fcc,0x20bfe607,
    0x582ff985,0x8582ff98,0x03d01ff9,0x92fe47f7,0x4ff53fd8,0x98ff17f8,
    0x2a6881ff,0x40ff987f,0x0ff987fa,0xff987f98,0xfd883d01,0x7fcc246f,
    0xff983d01,0x3fe66881,0x86ff8582,0x37fc4ff8,0x3fe27fc4,0x204ff886,
    0x5ff301ff,0x05ff3090,0x905ff309,0x04c0dfd0,0x1ff127dc,0xf12fd853,
    0x7f9be63f,0x7c5037ec,0x44ff886f,0x4ff886ff,0x6fe87f98,0xf9510260,
    0x37f4249f,0x06fd8130,0x482ff98a,0xff82ffc4,0x7c17fe26,0x417fe26f,
    0x1ff106ff,0x120bfe60,0x2120bfe6,0x44482ff9,0xfa8005ff,0x6c1e7ec5,
    0xfd87fe2f,0x2ffc4f98,0xf82ffc40,0x417fe26f,0x47f986ff,0x44005ff8,
    0x1125ffb2,0xff800bff,0x05ff3005,0xd03ff989,0x81ffccff,0x0ffe67fe,
    0x6fa83ff4,0x120bfe60,0x2120bfe6,0x4c482ff9,0xfb8004ff,0x6c1ffcc4,
    0xd81ff12f,0x1ffcc2cd,0xe81ffcc0,0x40ffe67f,0x47f987fe,0x44004ff9,
    0x893ffd12,0x26004ff9,0xff3003ff,0x4ff88905,0x7fc4bfd0,0x7c4bfd04,
    0x20bfd04f,0x3fe604fb,0x2ff98482,0x82ff9848,0x2627fc44,0x7e41cccc,
    0xfd81fe82,0x03c8df54,0x22013fe2,0x4bfd04ff,0xbfd04ff8,0xff88ff30,
    0x0e6664c4,0x277fcc51,0x99313fe2,0x13fe2399,0x2417fcc0,0x2ff827ec,
    0x2ff827ec,0x2ff827ec,0x7c407fb0,0xff88482f,0x2ff88482,0xb85ff848,
    0x507d81ff,0x3f77f60d,0x6f77fc0e,0xd802ff44,0xd85ff04f,0x305ff04f,
    0x70bff0ff,0x542883ff,0x85ff87ff,0x2ff41ffb,0x482ff880,0xff986fa8,
    0x7cc37d40,0x4c37d40f,0x01fb00ff,0xf0583ff8,0x3fe0b07f,0x0ffb8583,
    0x1fc0ffd4,0x25fb0288,0xfffff500,0x0807fe47,0x3fe61bea,0x7cc37d40,
    0xb86f980f,0x0ffd40ff,0x21ff20a2,0x7fd40ffb,0x0807fe41,0xd82c1ffc,
    0xd81fec2f,0xd81fec2f,0x841fec2f,0x45fd805d,0xb8bfb01b,0x1b8bfb01,
    0xffa89fb0,0x236625c1,0x880bf603,0x45d998ae,0x6c3b85fc,0xd81fec2f,
    0x221fec2f,0x9fb06f8b,0x1cc1ffa8,0x89fb07d8,0x5fc81ffa,0x22fec3b8,
    0x2f7ae01b,0x6f5c01ed,0x75c01edb,0x7d01edbd,0x3bf6001b,0x77ec02cc,
    0x77ec02cc,0x6f5402cc,0x2a0bedab,0x203cfa83,0x2fe203fe,0xeb81d988,
    0xd701dcdf,0xb803db7b,0x981edbde,0x3aa02faf,0x20bedabd,0x06882eea,
    0x3b6af7aa,0x9bfd700b,0x33bf603b,0x0031002c,0x31000310,0x20005300,
    0x004c0009,0x26000260,0x40350001,0x2201ccca,0x18009aaa,0x20006200,
    0x01a98018,0x10000660,0x20006600,0x00026001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3eb80000,0x20022040,0x0d4c01ed,0x00000000,0x300a1400,0x21544000,
    0xcdedceea,0x0aa601ee,0x000cc330,0x00183000,0x51122190,0x00614144,
    0x44004c13,0x1cbddddc,0x42e98f5c,0x2200fdf8,0xfa805bbd,0x8077406e,
    0x203addca,0x3203acfd,0x02e20550,0x6407b197,0x6403d700,0xfe86d41f,
    0x7ec03b15,0x354f4400,0x40744000,0x2602d8cc,0x05f5d503,0x9901d37d,
    0x9e8807b1,0x0efa806a,0x5fb07f62,0x2a7913ee,0x0177dc04,0xd302c8f4,
    0x4d89ae01,0x01dfb950,0xe8837fdc,0x406ff880,0x405fb06f,0x3fa1a81e,
    0x01f80665,0x0005ff70,0xff105d10,0xd01f440d,0x13fe60bf,0xc8037fc4,
    0x7fcc02ff,0x42883d01,0x0002040a,0x11008100,0x41222f40,0x014c0020,
    0x00e5407d,0x881440aa,0x3a040888,0x0031005f,0x3b2602a8,0x5bd712de,
    0x880e5405,0x4c40adfe,0x01550099,0xc8800e54,0x207fe803,0x222aa609,
    0x6ee541aa,0x33bb263a,0x9819d712,0xca82deec,0x67fc3add,0xceec9860,
    0x9819d712,0x3ee2aabb,0x75bb9500,0x25557730,0xf7e80aa9,0x205fe80d,
    0xeedccdeb,0x2600d403,0x700f82ff,0x7ddb99bd,0x2056ff4c,0xec98df7e,
    0xb9dd52de,0x263dd9bd,0x1ccdceec,0x800bff10,0x5cbf93fe,0xff313626,
    0x7fc40d05,0x13626b84,0x2607fffb,0xfc8682ff,0x1fa3efa9,0xc89b135c,
    0x3a3efa9f,0x0773b82f,0x0f605fe8,0x4e801ffd,0x2c17fcc0,0x0ffe87b0,
    0x73b81fec,0x547ff307,0x362bfd0d,0x7ccbfe61,0x04ff983f,0x5fb9fec0,
    0xf989117a,0x7fc0582f,0x22445e83,0x40dfffd8,0x44582ff9,0x7c4ff17f,
    0x2488bd07,0xd8df17f8,0x226aa62f,0x17fa01aa,0x01ffdc48,0xf9803fe6,
    0x7120482f,0x87fb07ff,0x1aa89aa9,0x43517fc4,0xf98665fe,0x261ff22f,
    0x6664c4ff,0x7dcff61c,0x41833fe5,0x40482ff9,0x0cff83ff,0x37ff5406,
    0x3120bfe6,0xdf33fcdf,0x21833fe0,0xfb1be6f9,0xbf93fe85,0x4102ff40,
    0xfc806ff8,0x0bfe603f,0x3fe20812,0xfd07fb06,0xff117f27,0x817fa045,
    0x3fee2ff9,0xfb85ff80,0xfb9fec2f,0x40ffff65,0x40482ff9,0xfffd83ff,
    0x7fdc1883,0x120bfe61,0x993e63f6,0x7fffb06f,0x0be63f60,0x73fd85fb,
    0x02ff40bf,0x4401ffd8,0x3e607fdb,0xfb00482f,0x20ff603f,0x88bf73fd,
    0x17fa02ff,0x3f62ff98,0xf50ff704,0xf73fd83f,0x6fffec4b,0x2417fcc0,
    0x3620ffe0,0x1a20dfff,0x2ff983f2,0x859bb048,0xffb106f8,0x39bb01bf,
    0x3fd85fb0,0x2ff40bf7,0x4027fcc0,0x302ff98c,0x300905ff,0x5fe409ff,
    0x5fb9fec1,0xfd017fc4,0x667fcc0b,0x3f600cfd,0x3a0ffd44,0xd50bf73f,
    0x2ff98dff,0x01ffc048,0x7c4dffd5,0x3fe62e42,0x403c8482,0x7ff5407f,
    0x3fa02646,0x5fb9fec3,0x02fffb88,0x22007ff4,0x7c41bfa4,0xfe80482f,
    0x0ffa600f,0x117ee7fb,0x2ff405ff,0xffb5ff30,0x77bd5003,0x7fcc17b9,
    0x8315fb8d,0x3fe21ffb,0x3fe08482,0x3fee0c43,0x977bbd11,0x482ff881,
    0x44deeff8,0x2e0c40fb,0x3bbfe1ff,0x1bff30ce,0x05fb9fe4,0x17fdc004,
    0x3b336e14,0x07ff01ff,0x82ffb80b,0x73fc8042,0x02ff88bf,0xff9817fa,
    0x2006fe8a,0x7dc000d8,0x81f90d15,0x7e4583ff,0x3442ff8a,0x074407e4,
    0x50b07ff0,0x447fffff,0x7e43443f,0x3ffffea0,0x53f206e4,0x07f205fd,
    0x2a85ff88,0xd82ffc24,0xf100dc5f,0x7c4550bf,0xbfb4fc85,0x3a02ff88,
    0x4bfe605f,0xf3004ff9,0x3eaa6005,0x85c85f14,0x2e0dc5fd,0x440ff89f,
    0xe882e42f,0x3717f604,0xd998ae88,0x0be234c5,0x9989d8b9,0xf103f34d,
    0x203ff9bf,0x3ff601b8,0x0570fd41,0x3f603ff9,0x7ec02cce,0x220fd41f,
    0xfcdff884,0x80ffe21f,0x3fe605fe,0x200bff22,0x5d7000eb,0x2f77a21f,
    0x9dfb00cb,0xfb7b1059,0x77bbd105,0x007aa019,0x10599dfb,0x03b3117f,
    0x5eef4493,0x22fa20cb,0x5df10e98,0x01880020,0x3333bfea,0x3bf70ffe,
    0x00f7fecc,0xdff50013,0x81ffd999,0xc9802009,0x7dc41dff,0xffc982ff,
    0x00bffa2d,0x402aa000,0x00260018,0x00188004,0x44009800,0x80009aaa,
    0x2aa62018,0x000ab880,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x26200000,0xec980999,0x001ccdce,0x88007930,0x8055402a,
    0x712deec9,0x0f6c039d,0x03500000,0x2601f6cc,0x36a1deec,0x333300be,
    0xd51d5001,0x80040801,0x00007b3d,0x2201a980,0x52ddcdcb,0x76443ddb,
    0xb002aa0c,0x2605ffff,0x07ff32ff,0x8001d900,0x27cc02fb,0x1d05ff30,
    0x802f7dc0,0x13a002fb,0xf1009fb0,0x202e887f,0x806ffff9,0x401fb9fb,
    0xf005a9c9,0xb300bf1b,0xf0019b9b,0x3ffe20df,0xfff98577,0x017d4340,
    0x45ff3000,0x0e8007fc,0x3002e800,0x417fcc0d,0x0ec3a205,0x98017dc0,
    0x13f200ff,0xd88ffe20,0x82000001,0x05ffb000,0x9f700100,0x36e01fe8,
    0xfffd82e8,0xffd88377,0x985b8246,0xd712ceec,0x717fcc19,0x008001ff,
    0x22200300,0x2ff98088,0x01022048,0xffc80020,0x54d3f203,0x99ffc41a,
    0xbcc9800c,0xeec980bd,0x019d712c,0xcc980044,0xff500bdb,0x700ff981,
    0x7ffff828,0xffca8837,0xf3018124,0xff30d05f,0xa8027ec5,0xeedceeed,
    0x373bb264,0x7dfa01cc,0x482ff986,0x305f76d4,0x3bb263bb,0x101eeecd,
    0x7e40ffb7,0x3fe207e4,0xfb800fab,0x7cc0ff44,0x1a80682f,0x7f44fb80,
    0xff06ff81,0x66f764c9,0x3ffa1eee,0xb288377f,0xd93125ff,0x2ff985bd,
    0xccff9858,0x36000cfd,0x31720ffc,0x0ffe65ff,0xf983b9dc,0xffc8482f,
    0x7fcc1d83,0x4640ba62,0x9f902ff9,0x77fc406e,0x3fd404ff,0x3e607fcc,
    0x4e80582f,0x7cc3fd40,0x417fe20f,0x17fcc6fe,0x7ffe45d3,0xd1288377,
    0xff3093ff,0x905ff307,0xffb5ff30,0x7ddcc003,0xff31210f,0x2a63fe45,
    0x4c1aa89a,0xfd0482ff,0xff88488d,0x9220aa12,0x99f906fe,0x65ffc40b,
    0x1bfe03ff,0xff313fe2,0xff980905,0x221bfe00,0x0ffe64ff,0x3fe23ff4,
    0xffb0aa12,0x4c5106ef,0xff884eff,0x482ff982,0xfe8aff98,0x7fdd2006,
    0x5ff30270,0x3fa07fdc,0xff88bf93,0x7ff50482,0x97fc4064,0x3336e023,
    0xefc81ffe,0x7ff103ff,0x3e207ffa,0x98dff05f,0x640482ff,0xbff103ff,
    0xff89bfe0,0xf88bfd04,0x5cc0472f,0x54288376,0x2ff887ff,0x8482ff98,
    0x9ff32ff9,0x3fee3700,0x5ff304a8,0x9fec27ec,0x83ff85fb,0x2a3ffa05,
    0xd15ff102,0x85ff8480,0x80ffacfc,0xfff13ff8,0xd03ff981,0x82ff98ff,
    0x1ff6e204,0xfe81ffcc,0xff827ec7,0x3457fc42,0x28837580,0xff887fc8,
    0x482ff982,0x3f22ff98,0x2676202f,0x304fdffc,0x19fb99ff,0x17ee7fb0,
    0x405717f6,0x2204cff9,0x2e07feff,0x6c1ffc82,0xf10df94f,0x077fd47f,
    0x3fa09ff1,0x2417fcc5,0x05ff3190,0x3fa09ff1,0x7cc37d45,0x7f7fc40f,
    0x306eb007,0x3e21f607,0x82ff882f,0x16ffe4c4,0x2b205ffd,0x4a8ffdaa,
    0xffb5ff30,0x7dcff603,0xdceec885,0x01ffd802,0x41a2bfe2,0x3f661dfb,
    0x1dfd11ef,0x3221bff5,0xfff52eff,0xf827ec5d,0x417fc42f,0x37f49104,
    0x5ff04fd8,0x2fd85f90,0x068aff88,0xeea86eb0,0xff886882,0x0b07ff02,
    0x0aa00370,0x208e1ff7,0x6fe8aff9,0x17ee7f90,0x7dc00b70,0x4bfe200f,
    0x02d80023,0x3a8002e6,0xf986fa80,0x583ff80f,0xffd99b70,0xf30df503,
    0x2f7a601f,0x5ff100ce,0x0dd6008e,0xf8808720,0xb8bfb02f,0x8807c801,
    0x210ffb84,0x4cbfe628,0xb4fc84ff,0x004e80bf,0xf8803fee,0x9802c12f,
    0x00fa200f,0xfd802f98,0xfd81fec2,0xf8480dc5,0xd85fb05f,0x0ffd803f,
    0xb04bfe20,0x6c01bac0,0x017fc406,0x00599dfb,0x01b00993,0x0f441ff7,
    0x7fe45ff3,0x7e6ffc42,0x02ff201f,0x8803fee0,0x8035c3ff,0x3b701ef8,
    0x0036e200,0x0f6def5c,0x0b33bf60,0x0ffe415c,0x1edbdeb8,0x4037fa00,
    0x035c3ff8,0x3d9806eb,0x401ffc40,0x44000009,0xfd510bfc,0x21ffb9bf,
    0x3a2dffc9,0x400082ff,0x6d401ba8,0xfc981cff,0x05ffdcef,0x0002ee20,
    0x03100000,0x7dc01300,0x3bff661d,0x40006201,0x261dedb8,0xffdceffc,
    0x0004ca05,0x077ff260,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x51000551,0x00aa2005,
    0xc9818862,0x1eeecdee,0x98003530,0x22ed981a,0x802deec9,0x02a880aa,
    0x26401830,0x6400fae0,0x0aa8002e,0x049cea80,0xd85bdd93,0x060445b2,
    0x0aa80306,0x0357db10,0x4000fc80,0xff9002fb,0x3d15b003,0xe98bfe60,
    0x800bf102,0x87fd00ee,0xf8803ff9,0x2003f904,0x7c03cacc,0x1fbf100f,
    0x006df980,0xdd802fc4,0x3fe202ff,0x27c6fc43,0x2a076af6,0x3e604c8d,
    0xdff9703f,0x1ec03ae0,0x4400b600,0xf9805b9f,0x4bfe204f,0x03cc0550,
    0x7ec01d30,0x4017fc43,0x8007a05b,0x4c00dfd8,0x0254f201,0x5001e476,
    0x8011000b,0x02083ff8,0xfe813fa6,0x3a6fa00f,0xfe806080,0x03000602,
    0x00150540,0x7fc40197,0x02600472,0x3f600440,0x4017fc43,0x40006201,
    0xaabb9800,0x81002042,0x98006000,0x100bdbcc,0x955547ff,0x4c0082a8,
    0x188a202c,0x6443ddb5,0x201f90ce,0x00d4001a,0xec9806a0,0x41eeecde,
    0x3068aff8,0xddd9bdd9,0x66f764c3,0x1fec1eee,0xb300bfe2,0x6f764c5d,
    0x37bb2602,0x7e41eeec,0xdb13efa9,0x6f764c07,0x0beeeb8a,0x4c17ddb5,
    0x227dc1dd,0x3ff881fe,0x31d8ffe2,0x32a5bdd9,0x302bddee,0x7cc5bdd9,
    0x1ea340ff,0x274004e8,0xf3013a00,0x22174c5f,0x2607feff,0x30ba62ff,
    0x2174c5ff,0x17fc43fd,0x3e61ff40,0x2ff9803f,0x17f88ba6,0x404fd8ff,
    0x37f43ff9,0x0ec1ffe4,0x3fe61fea,0x321ffc40,0x7ff3125f,0xdf52ffa8,
    0x887ff301,0x22246ffd,0x001ff305,0x4c003fe6,0x3fe200ff,0xff10aa12,
    0x7fc40d15,0xff10aa12,0x3f615425,0x4017fc43,0x17fc43fd,0x5097fc40,
    0x8ff37cc5,0x7fc404fc,0xfe837ec3,0x37fc2446,0x3e227fc4,0x4c7fc43f,
    0x2617fc42,0x03bee2ff,0xca885ff1,0x402124ff,0xf9003ffc,0x3ff2007f,
    0x1cbfe203,0x472ff881,0x2397fc40,0x2397fc40,0x3e21fec0,0x3f60882f,
    0x4017fc43,0x20472ff8,0x644f98fd,0xf882c9cf,0xa837ec3f,0xf10323ff,
    0x11bfe0bf,0x79fb07ff,0xf985ff10,0x10ffe62f,0xfb2885ff,0x5c40125f,
    0xdb8807fd,0xfdb8807f,0x22bfe207,0x04bfe206,0x68aff88b,0x1a2bfe20,
    0x7fc43fd8,0x0ff60c82,0xf1005ff1,0xdd80d15f,0xebefc82c,0x21ffc43f,
    0x3ffa06fd,0x3ff982a8,0xff88ffd0,0x883ff983,0x17fcc2ff,0x5ff117fe,
    0x3ffd1288,0x3e632009,0x7cc6402f,0x7cc6402f,0xfdff102f,0x21ffc40f,
    0x7f7fc46b,0x3fbfe207,0xf30ff607,0x7ec7987f,0x4017fc43,0x207feff8,
    0xba7e403c,0x66ffc44f,0x2606fecc,0xff104cff,0xf117fa09,0x207fa07f,
    0x7fcc2ff8,0x3e23ff42,0xff31442f,0x2441909d,0xd2440dfd,0xfd2440df,
    0x22bfe20d,0x9dff9306,0xff88bffb,0x3fe2068a,0xbff3068a,0x33bff261,
    0x1fec7fdc,0x2200bfe2,0x3e068aff,0x7e44deef,0xff88bf74,0x36037ec3,
    0x13f601ff,0xff9117fc,0x220d505d,0x17fcc2ff,0x5ff11bfa,0x3ffd4288,
    0xd99b72ec,0x336e03ff,0xb701ffec,0x103ffd99,0x8008e5ff,0x25ff1059,
    0x25ff1023,0x98055023,0x221fec03,0x220882ff,0x2a0472ff,0x323fffff,
    0xf88bf74f,0x2037ec3f,0x3ea00ffb,0xd80ff986,0x7c40a200,0x217fcc2f,
    0x17fc45ff,0x51ff20a2,0x2ffc245b,0x905ff848,0xff10bff0,0x4d805825,
    0x5825ff10,0x16097fc4,0x1fcc03f5,0xff887fb0,0x3fe20c82,0x15d12c12,
    0xa7e4bb33,0x1ffc45fb,0xff701bf6,0x6c2fd801,0x4c0fa83f,0x3fe2038d,
    0xf317fcc2,0x42ff883f,0xb80fb039,0x5c1ffc82,0x5c1ffc82,0x441ffc82,
    0x4035c3ff,0x7fc40bfb,0x3fe235c3,0x0b7135c3,0x3f600db8,0x261ffcc3,
    0x2e1ffc47,0x2622fe26,0x7dd3f21d,0x361ffc46,0x07fdc06f,0x76def5c0,
    0x545bf101,0x3fe203cf,0xe897fcc3,0x23ff883f,0x06882eea,0xfd9877ee,
    0x43bf71ef,0xf71effd9,0x77fecc3b,0xb9dff931,0x32a00bff,0x33bff262,
    0x3f265ffd,0x05ffdcef,0xdff98000,0x99dff930,0x7fe4cffb,0x445ffdce,
    0x3a209aaa,0x11ffd9ef,0x3ea5dff9,0xfda80bff,0x031001cf,0x0350b260,
    0x98effe4c,0x1cfdeffd,0x01dffc98,0x00000020,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x01550000,
    0x2625bd30,0x15d10999,0xd17d105d,0x400ee005,0x400ea8ea,0x002abed8,
    0xda6c0005,0x0aaaaa04,0x05c89d71,0x4c40174c,0x4cc00999,0x08830199,
    0x00000811,0x00000266,0x20000000,0x56fe44f8,0x7fd47f33,0xf37f35ff,
    0x9f19f107,0x00531700,0x803f73f7,0x1006ffcb,0x015b9107,0xdd02fdba,
    0xd17e0ddd,0x027d401f,0x017fffe4,0x20fffff1,0xd10e98e9,0x2e203d13,
    0x2fcc02dd,0x2b8498e4,0x01cbb8b1,0x13a6001d,0x3f7222dc,0x4007f31f,
    0x00208020,0x08014cdc,0x00182002,0x573b902e,0x0880001f,0x3117e011,
    0x00001300,0x7fd90000,0x3a04ffb8,0x06b80fd3,0xf103fff3,0x64fd47ff,
    0x9cc03c87,0x08180ffc,0xec98fe60,0xbdd932de,0x82fbb6a5,0x13201dd9,
    0xa8003500,0x445c8801,0x263739bf,0xeeecdeec,0x20df7e81,0x5bdd935f,
    0x76e66f5c,0x300d403e,0xddd9bdd9,0x360bd103,0x327f300d,0x71005c06,
    0x7ec1a801,0x01662fc8,0x83ae27d1,0x932deec9,0x0fe65bdd,0xff987ff3,
    0x6c1ffe43,0x20027401,0x0274004e,0xf997eb36,0x7cc113bf,0x2e0ba62f,
    0x997e0773,0x3a1ec3ff,0x027400ff,0x2e98bfe6,0x57710550,0x3b1df501,
    0x9855dc40,0x01aa89aa,0xfc8fc855,0xfe8803a1,0xff30b0ad,0x263ff987,
    0x217fc43f,0x6fe82ff8,0x3fe60244,0x01ff3000,0x5403fe60,0x7f46eb9f,
    0x25ff105f,0x4d54c550,0x25f81aa8,0x2e242ff8,0x7fcc03ff,0x84bfe200,
    0x3547cc2a,0x2207a2ba,0x86aa65ff,0x3fa1e8ae,0x8f98bf93,0x9b27e66a,
    0x6ff4c03c,0xff880b9a,0xf317fc42,0x442ff887,0x3ffa82ff,0x7ff90032,
    0x00fff200,0xfd81ffe4,0x7ec408b9,0x97fc41ef,0x327fd023,0x3e25f85f,
    0xdff1042f,0x407ff900,0x20472ff8,0x3e65f36d,0x6e4c198e,0xf98fe0ff,
    0x4ff6198e,0xf9b6c5fb,0x34c2ae62,0x401fec06,0x7fc42ff8,0xff10fe62,
    0xd02ff885,0x880551ff,0xb8807fdb,0xdb8807fd,0x01bff07f,0x7c47ffb8,
    0x3f6068af,0x4bf0bf73,0x3f602ff8,0x7edc401f,0x22bfe207,0xf99df106,
    0x2a0fffc9,0xb36ff88f,0xfd83fff0,0x77c4bf73,0x87404fcc,0x7ec1e9ea,
    0x42ff8803,0x0fe62ff8,0xff885ff1,0x099ff302,0x05ff3190,0x02ff98c8,
    0x417fcc64,0xfd9806fd,0x3fbfe22f,0x7dcff607,0x3fe25f85,0x009ff302,
    0x205ff319,0x307feff8,0x7ffd40df,0x7fd43fa1,0xfffa80dc,0x2fdcff61,
    0x1e400df3,0x7fb17edd,0x885ff100,0x10fe62ff,0x2ff885ff,0x1007ff60,
    0x91037f49,0x491037f4,0xaffa86fe,0x55cc6248,0x22bfe23f,0x7dcff606,
    0x3fe25f85,0x801ffd02,0x441bfa48,0xf1068aff,0xfd11103f,0xfc8ffe69,
    0xfe88885f,0x2fdcff24,0xd3003ff1,0x6c7eb7c4,0x2ff8803f,0x7f317fc4,
    0x7c42ff88,0x03fee02f,0xffd99b70,0x3b336e03,0x99b701ff,0xffb03ffd,
    0xab9ac43d,0x1cbfe20f,0xbf73fc81,0x17fc4bf0,0x21417fdc,0x1ffeccdb,
    0x0472ff88,0x4ca637fa,0x7ff49f14,0x77bfff32,0xf927c526,0xbfd17f69,
    0xd03a0531,0x37f917ed,0x442ff880,0x10fe62ff,0x2ff885ff,0x9003fee0,
    0x2120bff0,0xff0905ff,0x3a20270b,0x7c41cdcd,0x3f22c12f,0x4bf0bfb4,
    0x7fc42ff8,0x7c242a85,0x12ff885f,0x93ffa22c,0x260ebce8,0xfc8cfffd,
    0x3af3a25f,0x3f37fe20,0x13ffa21f,0x7c7d41e4,0x201ff4c2,0x7fc42ff8,
    0xff10fe62,0x203ff887,0x0ae00ffb,0x05707ff2,0x82b83ff9,0x006a1ffc,
    0x7fc40ea2,0x3fe235c3,0x3e21ffcd,0xfb0ffe25,0x2e1fa83f,0x441ffc82,
    0x0835c3ff,0x10110040,0x00100401,0x14405002,0x1ffc4000,0xdf98ffe2,
    0x23bff932,0xa81dffc9,0xfb81cffd,0x3bff661d,0x6cc3bf71,0x3bf71eff,
    0x38f7fecc,0xffc98000,0x105ffdce,0xc9afdc40,0xdff51dff,0x21ffd999,
    0x3f661dfb,0xdff931ef,0x000bffb9,0x00000000,0x00000000,0x1dffc980,
    0x003bff93,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x26000006,
    0x2020440a,0x10001118,0x00d44033,0x03300154,0x00310000,0x20026600,
    0x01988019,0x00000000,0x06a20000,0x4c002620,0xdec8aeec,0x1b88c881,
    0xb3009590,0xf883b69d,0x1e89e83f,0xc82f8ec8,0x0fe80b8a,0x5c01ff90,
    0x5f9801ff,0x75d4403a,0x82ab980b,0x102b88c8,0x4fa801df,0x9103fb80,
    0x0377bbbd,0x02f6f326,0x2203b750,0x84acdedb,0x2fd806fe,0xbff88b20,
    0xf901f90c,0x003a40df,0x49ff1bf7,0x7dc0facd,0x0951d04f,0x3e881ba2,
    0x104daf88,0xb900b95f,0x2e9903b8,0x2090b85f,0x3ae06ffc,0xd005c800,
    0x883bea07,0x44fb81fd,0x3ed901fe,0x261ff986,0x174f546d,0x41d00be0,
    0x3ea0eff8,0xca805306,0x2abf5002,0x414c513c,0x052880ed,0x8813a2e6,
    0x202e0a83,0x07006e19,0x7cdba0b3,0x0066440f,0x000a8053,0x4c0e2007,
    0xa83d01ff,0x80ff987f,0xff98d96f,0x911c6881,0x16601440,0xff887ff1,
    0x54c1ba81,0x981aa89a,0x86e5fbbb,0x5cc0abb8,0x226aa61b,0xfba881aa,
    0x2e605503,0x22aaaa1b,0x41a98aaa,0x40741bb9,0x730df319,0x0b2e6059,
    0x20c4e5cc,0x01771cb8,0x037f4154,0x886ff813,0x03fcc4ff,0xa9940dfb,
    0x261aa89a,0x81aa89aa,0x41ffc43b,0x22ba62ff,0xfc9ff42f,0x7fde7d45,
    0xe8ae8555,0x87f27e61,0xa8bf93fe,0x7cc7fabf,0x64fcc6a8,0x365ff11f,
    0x93f3165f,0x3201643f,0x3fcae41e,0x4c3fcae4,0xadc6f8af,0x42f8befb,
    0x3e26a8f9,0x3fe2005f,0x544dff05,0x5ff81aff,0x3f27fd00,0x5fc9ff45,
    0x1ffc40e8,0x74fd27fc,0x7dcff60f,0x5fb87fc5,0x4331df30,0x7ec7f36d,
    0x27e8bf73,0x7cdb61ff,0x91fcdb62,0x223fee9f,0x23f9b6c2,0x203a2059,
    0x7f8bf57f,0xd0fd8bf5,0xff8bfc3f,0xf36d8bd0,0x8013fe65,0xffd03ff9,
    0x23ffffe4,0xfb003ff9,0x7fb17ee7,0x10d117ee,0x27ff07ff,0xd8bfa7f8,
    0x7c4bf73f,0xff817ea7,0x409be21f,0x44bf73fd,0x7c4ffa7f,0xdf14fcce,
    0x75dfe604,0x137c43af,0x980540d0,0x54c6fd8a,0x5fe26fd8,0x5caa3fec,
    0x10feaaff,0x229f99df,0x6664c4ff,0x209ff11c,0x82fd85fe,0xfb004ff8,
    0x7fb17ee7,0x107717ee,0x23ff07ff,0xd8ffa7fa,0x7ccbf73f,0xfa817ea7,
    0x40ff31ff,0x54bf73fd,0x7ccbfa7f,0xe80ff306,0x43dfb9cf,0x816407f9,
    0x37dee400,0xf337dee4,0xb87fb37f,0xf300ff9d,0x5c2ffc0d,0x827ec1ff,
    0x01fb82ff,0x3f600bfd,0x3fd8bf73,0x881d8bf7,0x1be313ff,0xf907f4ff,
    0xff897ee7,0x2220bf50,0x07fe4fe8,0x25fb9fe4,0x447fa7f8,0x03ff01ff,
    0x2ff8b7dc,0x12a01ff8,0xa8fd804c,0x7d47ec6f,0x7ecbfe26,0x1ffc3f22,
    0xf701ff88,0x41ffa81f,0x0ff986fa,0xfc8a3e54,0x9fe4100f,0xb9fe45fb,
    0x7c41a25f,0x89f1fd3f,0x9f91be7d,0x15fd17f6,0x45260dfb,0x227bf64f,
    0x2fed3f22,0x7f46f9f6,0x3bf6298d,0xb1fc4289,0x227bf60f,0x86fa8782,
    0x26fdaff8,0x46fdaff8,0x221dd1fd,0x9efe89ff,0x4c6ff449,0x3ea27ec2,
    0x6c2fd81f,0x7feddc3f,0x42fe42fe,0x7ed3f23b,0x5fda7e45,0x3ff2212a,
    0x884cfbae,0x7c40ecce,0x261ffcdf,0x81efceff,0x220ebce8,0x7fc44ffc,
    0x3621ffcd,0x7f440ecc,0x27fe444f,0x4412a0e8,0x83b04ffc,0x17fd05f9,
    0x45ff45ff,0x7bb712ff,0x8cffe83d,0x7440effd,0x7bd504ff,0x2e017db5,
    0xa81edbde,0x80dffbeb,0x41dcdfeb,0x1ffcdff8,0x3ff37fe2,0x088003b1,
    0x00200440,0x80200084,0x08800400,0x10020040,0x44008010,0x00000080,
    0x88180220,0x33000400,0x08018800,0x08018004,0x00040100,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x88000000,0x0020c009,0x15402044,0x26204cc0,0x20102201,0x00001308,
    0x010000aa,0xa8800000,0x00f60001,0x20033100,0x98000099,0x06d46cc1,
    0x0cc26532,0x2207db70,0x04fa8009,0x74c4c9e4,0x07447444,0xf1017fcc,
    0x4407f60d,0x5f01e89e,0x377260d7,0x0bfe602c,0x72ccdb98,0xbd9b7b03,
    0x56ee5405,0x2607fd83,0x9b0bcbcc,0x059bb930,0x3e200fec,0x07b9b506,
    0x27ee1fdc,0x6ebf41fc,0xeeb83fb8,0x20fe82ff,0x407a81eb,0x7dc0fef8,
    0xd04ffb87,0x075c0d77,0x7fdc09b0,0x207a9504,0x412a20bb,0x9f506ace,
    0x3f827f41,0x135c2fe4,0x3d9e989b,0x67f44fb8,0x5105dc0a,0x2e026c09,
    0xf93fa80e,0x10413605,0x64022110,0x89fb1446,0x817ec1f9,0x4175c00a,
    0x0dd886fa,0x540a6288,0x6ec03800,0x2e0a1500,0x952bacab,0xf50a6288,
    0x80ffb81f,0x5e87ff05,0x4482a244,0x0ff987fa,0xbbab89dc,0x1500e04a,
    0x27dcff20,0x26154038,0x01aa89aa,0x4c1fc807,0x2aa62881,0x2a61aa89,
    0x261aa89a,0x02cb984f,0x1ba806ea,0xba806ea0,0x5606ea01,0x193f8af9,
    0xfe82cb98,0x427fe445,0xff8ffb00,0x4154060c,0x89ff05ff,0x65621f55,
    0x98165cc0,0x73fd82cb,0x5555445f,0x1aa3e62a,0x317f27fd,0x13e20155,
    0x554c1553,0x2fe4ffa0,0x22fe4ffa,0x3fcae42f,0x217c574c,0x4c2f8ae9,
    0x74c2f8ae,0x574c2f8a,0x7cce62f8,0x64534f8a,0x7fc47f95,0x037f5224,
    0x7ec3ff70,0x51f303ff,0xf827fc4d,0x22f4e66f,0xfcae4530,0x43fcae43,
    0x4c3f9bfd,0x363ff88c,0x9fec5f36,0x83fe85fb,0x7f43fffa,0x7fb1ff43,
    0x27fb17ee,0x3e06c5fb,0x27e8bf57,0xfe9fa0fe,0x20fe9fa0,0x7e83fa7e,
    0xf98dc3fa,0x7f920dec,0x1ffccbf5,0xe99ffa19,0xfdccccde,0x3fff622f,
    0x2f9b6c0d,0x3fa07ff3,0x80fe66e7,0x22fd5fe4,0xfd8bf57f,0xc84c9f33,
    0x333be26f,0x7dcff64f,0xd303fd85,0x6c3fd8ff,0x7dcff63f,0x5fb9fec5,
    0x7ec54c24,0x2fe9fe26,0x897f4ff1,0x7c4bfa7f,0x3fc4bfa7,0x7cca65fd,
    0xa98e65ea,0x3fe26fd8,0x337f4194,0x3ff709ff,0x44dffd50,0xf14fccef,
    0x997fa09f,0x98e60bf2,0x54c6fd8a,0x9fec6fd8,0x2ff987f8,0x3fd81be6,
    0x07fb0bf7,0x7fb07fc4,0x4ff63fd8,0xb9fec5fb,0xbdc8045f,0xfe9fea6f,
    0x9ff4ff53,0x54ffa7fa,0x7d4ffa7f,0xf348ffa7,0x906e5f55,0xdff8df7b,
    0xf127fc1c,0x21ffb09f,0x98ffdc18,0x413f606f,0x27ca42ff,0xbdc83718,
    0x6fbdc86f,0x0ff89fec,0x3fe22ff4,0x3ee7f901,0x6c03fd85,0x3f61fec4,
    0x2fdcff23,0x22fdcff2,0x7d47ec09,0x41fd3fc6,0x7f83fa7f,0x3a7f83fa,
    0x0fe9fe0f,0x3633ae72,0x547ec59d,0x217fdc6f,0x2fe41ff9,0x90d127f4,
    0x407fe21f,0x0ff986fa,0x11ada8e4,0x6fa8fd8b,0x237d47ec,0xa83fe3fd,
    0x6ff430ff,0x6d3f2298,0x2e3fd85f,0x7fb07a0d,0x53f23fd8,0xda7e45fd,
    0xf89bea5f,0x3ec6fdaf,0x1be7d8df,0x9f637cfb,0x0df3ec6f,0x441b1039,
    0xe86fdaff,0x4417ec3f,0x83bea0ff,0x3a2e42f8,0x7ec298df,0x1c81fec2,
    0x3fe20d88,0x3fe26fda,0x5fec6fda,0x3fe26dbd,0x7ff44b13,0x7e6ffc44,
    0xf51ff41f,0x7fd059bf,0x3fe23fe8,0x3e21ffcd,0xf31ffcdf,0xff8bfe8b,
    0x03b33a22,0x881d99d1,0x7440ecce,0x67440ecc,0x99b700ec,0x17fd019b,
    0x75e4c5ff,0x2201ddbc,0x884fdbed,0x40cbbdde,0xd704ffe8,0xb803db7b,
    0xe80cdccd,0x3a2ff8bf,0xf32ff8bf,0x641bb77f,0x084fdcff,0x3fe60040,
    0xf980440d,0x1bff30df,0x08010008,0x20044000,0x20044008,0x80044008,
    0x42800008,0x00980018,0x00100310,0x02200062,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7b900000,0x739b3053,0x00441800,0x37202a60,
    0xeeeb829b,0x41e6541e,0x441d89d8,0x6881d89d,0x440aa076,0x44d5443d,
    0x1bb981aa,0x64c007b0,0xdd712dee,0x8820c17d,0x000571aa,0x276cc000,
    0xb88165cc,0x9dd930ab,0x4c33ae25,0x981ca8aa,0xdc81ffed,0x307505ff,
    0xcb81d31d,0x227fc44e,0xf81ffed9,0x4fcc7fff,0x55fd42f8,0x7d5fd43f,
    0x983e5a83,0x6f986a8f,0x8bf94fd8,0x4c1fc9f9,0x4750c86f,0x6fe83ff9,
    0xfc8d55a8,0xdd936fdc,0xda8bae5b,0x5504e9ae,0xcae43dfb,0x1e8ae83f,
    0x21a0bfe6,0x42fecefe,0x188c0260,0x3f207f30,0x3657dc3f,0x2083eb72,
    0x999ba809,0x10ff3f40,0x5c020804,0xf36d8d13,0x9f901505,0x26db17ee,
    0xfb81a83f,0x0bfe20ff,0x7f7417f6,0x0cc7fe42,0x37f47ff3,0x07feeffa,
    0xf87bf6aa,0xef98bf57,0x0bfe6198,0x7d4ff616,0xa9837507,0x261aa89a,
    0x7440adff,0x4702fd85,0x4165cc38,0x4ff01acc,0x01ba80fe,0xeca85973,
    0xdf13edcd,0x05509f99,0x897ee9f9,0x2ee6026f,0xff882981,0xd305fd82,
    0x220bf909,0xb1ae22ff,0x73076e7f,0x8a98bf77,0x1fff86fd,0x42417fcc,
    0x43ff12fd,0x742f8ae9,0x74cbf93f,0x55510adf,0x817f4555,0xcae40aa9,
    0x6ffffc3f,0x2fe9fe60,0x90be2ba6,0xfa98ff2b,0xdf32cdab,0x23547cc0,
    0x4cbf74fc,0x327e607f,0x102aa61f,0x8bfb05ff,0x64571aa8,0x85ff104f,
    0x8b1fec48,0x85ffbcfa,0xfa86fbdc,0x0bfe61ff,0xff8bf612,0x20fe9fa1,
    0xd8bf73fd,0x7c464c3f,0xe80bfa3f,0x5fabfc3f,0x93ffff62,0xe8ffa7fa,
    0x57f83fa7,0x876688bf,0x2db01ff8,0x5d3f22f9,0xd80ffc5f,0x3fe87f36,
    0x7ec17fc4,0x6fdcfc85,0x7fc413f2,0x4ff60a62,0xfb87fc0b,0x37d47ec5,
    0x993fa222,0xfd8482ff,0x3e21ff12,0x3fd8bfa7,0x6ff54bf7,0x1bf2130c,
    0x1fec05fd,0x41bf62a6,0xff30ffb9,0x27f897f4,0x362a62fe,0x2676e26f,
    0x237fa09f,0xf99df129,0x5fdafdc9,0x8944f7ec,0x0ff6026f,0xbfb05ff1,
    0x4331ff90,0x5ff104fc,0x2207fb00,0xf897ee7f,0xa4c6fdaf,0x0bfe64f8,
    0x7d53f612,0x3fe9fea6,0x22fdcff6,0x5ff303fd,0x3f602fe8,0x06fbdc83,
    0x27f897d4,0x74ff51ff,0x37dee43f,0x9dfdddf7,0xf327ff44,0x5dffc40d,
    0x3ff221ff,0xfb01fe64,0x412ff887,0x85fc85fd,0xf881efe8,0x03fd802f,
    0x22fdcff3,0x22ff8bfe,0x220ebce8,0xfd8482ff,0x3fc0efdd,0xb9fe41fd,
    0xe81fec5f,0x202fe85f,0x547ec3fd,0x3e0f806f,0x27f83fe7,0x2a3f60fe,
    0x05a96c6f,0x1ff881d1,0x3203a840,0x3601ff81,0x557fc43f,0xf909fd4f,
    0x4405cc09,0x360882ff,0x21ff103f,0x03a205fb,0x83ff8254,0x2012fd85,
    0x9f91be7d,0x39f917f6,0x7430ffa8,0x88ff602f,0x266fdaff,0x1f71223e,
    0x3e7d89f1,0x3f6bfe26,0x903c87c6,0x2637fa0d,0x6c05f102,0x289efd86,
    0x3fe21fec,0x07fd3f9b,0x274409f9,0x06417fc4,0x57f407fb,0x1b206fd8,
    0x5fd80fa8,0x017ec0dc,0x103b33a2,0x43ff9bff,0x3fe23fe9,0x017f4b13,
    0x8bfe87fd,0x7dfd12ff,0x21737207,0x740ecce8,0xd12ff8bf,0x1cfa80ec,
    0x2027ff44,0x1ecc0bee,0x7427fe44,0x37ff263f,0x904fbcb9,0x40ed409f,
    0x23cc3ff9,0x3fe603fe,0xf501efce,0x205c8839,0xd02ccefd,0x0022007f,
    0x3ff20001,0xbff54fdc,0x01bff301,0x11001100,0x20000880,0x07930020,
    0x05dc4002,0xff980400,0x4403000d,0x4c001efe,0xfdcceffc,0x0037fe67,
    0x1e4c0023,0x4c013000,0x00000aaa,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x95100000,0x00cc40a3,
    0x064c0131,0x41d81f6c,0xa81d01da,0x4403b01d,0x3bbb20ab,0x32ea23ee,
    0x43dcc80b,0x82c99aa8,0x303530aa,0xddd70008,0x47ddd715,0xeec984d9,
    0x87bb6a2d,0x9800cec8,0x041802ed,0x2613b660,0xc982aabb,0xedceeede,
    0x369f104e,0x405f905f,0x0ffa01fe,0x8950d713,0x43c81fa8,0x04a81fa8,
    0x3ffe03b2,0xd9f22fff,0x43fabec6,0x43fedefd,0xb09f92fd,0xd9930f25,
    0x3f63ff43,0xff100c87,0x81fff309,0x5fd07306,0x012e9700,0x53f917ee,
    0x0cfc87df,0x17221ff9,0x05fb87f4,0x00fc407f,0x0fa6036a,0x83f301d1,
    0x883f3059,0x301f900e,0x44f9557d,0x223f70ff,0x641ff16f,0xfd8bf75f,
    0xdf309f92,0x45f3bd0d,0x3fea2ffa,0x0ffe0242,0x091bff62,0x05fb07d1,
    0x001fdf10,0x8bfc4bf7,0x2a3fd47f,0x221210ff,0x2217ee7f,0x0000cc02,
    0x02d83f22,0x300e83f3,0xf702d83f,0x49902609,0x21f95ff8,0xc8bfe6fa,
    0xfd8bf74f,0x3b209f92,0xff02fcc1,0x06a5ff8b,0x95107ff0,0x3a2249ff,
    0x2bf60adf,0x0fae01c9,0x25fbbb98,0xf91fe6f9,0x270ffa8b,0x3ee7fa80,
    0x95c6aa25,0x02c99aa8,0x2a684c14,0x3c87e604,0x04a87e60,0x002fb7fa,
    0xeeffc85d,0x3fe9fe61,0x22fdd3f2,0x309f92fd,0x77e4c155,0x2a1ff902,
    0xf0090ffe,0x3f65107f,0xdfe9892f,0x36fbf60a,0x266aa23f,0xfbcfa82c,
    0x7cc7ec5f,0x3ea27fc4,0x3e20498f,0xfc8bf70f,0x3bf66fdc,0x05503fed,
    0x83a233b7,0x317d7109,0x7d7104cb,0xf04c1d11,0x4c0ff51f,0x83fff907,
    0x643fd1fe,0xfd8bf74f,0x3fa09f92,0x40bbf263,0xff193ff8,0x7ff00717,
    0x3ffa2510,0xd83fd849,0xfd8ff32f,0x7fc3fede,0x9bb0bf70,0x543ffa85,
    0x7404fdff,0xfc8bf92f,0x57f2198f,0x007b85fb,0x201f98b6,0x401fdd0e,
    0x7cc7e62d,0x2dc07fa7,0x07ffdf4c,0xc8ffbfb3,0xfe8bf74f,0xd82dfe9b,
    0x202fd43f,0xdfb38efd,0x07ff0017,0x277fcc51,0x97ec1fec,0x57f21ff8,
    0xb9fe25fb,0xf101e45f,0xb8ffa87f,0x6efec404,0xc82fe45f,0xfb8bf74f,
    0x64495004,0x2227901f,0x449502f8,0x6cff31fc,0xf885d03f,0x2a05ff35,
    0x23bfa25f,0x3ffa1ffd,0xfd82ff9d,0x2a02fd43,0xbff50eff,0x107ff040,
    0xd87ffa85,0x3e2fd83f,0x7dd3f21f,0x5fb9fe65,0x226f77fc,0x87fd44ff,
    0xbf708023,0x9f904fc8,0x25ff17ee,0x641d105c,0xa85981f8,0x4641d105,
    0x7ec3fe1f,0x4fa87982,0x076c0bf6,0x11f00b98,0x43fd8044,0x4ff805fa,
    0xafc817fc,0x82882ff8,0x83fd87fc,0xc8ff12fd,0x7c4bf74f,0xfa8bf70f,
    0x3f23ffff,0x5087fd46,0xc8bf7005,0x2e9f904f,0x7c9ff45f,0x7f75c5b0,
    0x0a440e85,0x3fbae2d8,0x0774bf25,0x365f82dc,0x4401d906,0x001f883e,
    0x0bf50ff6,0x0fc83f90,0x1ff13f70,0x21f60730,0x9fec1bfc,0xba7e44f9,
    0x6c57f45f,0x262ba26f,0x917e45d9,0x00f443ff,0x13f237dc,0x45fba7e4,
    0xa82c8efa,0x217d4c44,0x44eed83c,0x17d4c44a,0x7407afb2,0x3977b502,
    0x5c00bba8,0x002f981d,0x0df50ffa,0x40930b10,0xa82fdbd8,0x986882ee,
    0x5ee6c3fe,0xf74fc84d,0xfceff98b,0x3117f11e,0xf9bd703b,0x0ffd9bff,
    0x22355510,0x7f441efe,0xa81ffd8e,0x5401500a,0x55544140,0x01500540,
    0x01003002,0x05000002,0x886ffcc0,0x00802ffd,0x00002001,0x40608001,
    0xffd8efe8,0x2a201181,0x018009aa,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x82fbbae0,
    0x55551dda,0x11644aa2,0x000ee355,0x21ce6cc0,0xb8adeec9,0xdb50beee,
    0x76e77545,0x3311eecd,0x5c133333,0x7dc4ffff,0x7ffc4fff,0xbdd930ff,
    0xdb10157b,0xfffff007,0xbddeec98,0x737b500a,0x36a00990,0x4eedceee,
    0x2e44fbb2,0x405bdd93,0xec982ed9,0xd9ec02de,0x5901ffb2,0x23b1ffc4,
    0x677ec6fb,0x007d53fe,0x989ffbb0,0xfaaadffb,0x8bfa0aff,0x6c57fa5a,
    0x2a618031,0x554c1aaa,0x555541aa,0xfa97fcc2,0x56ff440e,0x0aaaaa01,
    0x77d4bfe6,0x17ff6c40,0xcd801fe2,0xf89720ff,0xff30721f,0x207fd007,
    0x7c403ff9,0x7ff35f8d,0x24bf90b0,0x75fc85b1,0x003ff6bf,0x2e606210,
    0xfeaaacff,0xa8bf60ae,0x31997fa0,0x01ba8180,0x15405973,0xff717fcc,
    0x0d6fec43,0x5544d54c,0xf717fcc1,0x0088443f,0x2ee60033,0xfb1210ff,
    0x17fc4249,0xf881fec0,0xb020802f,0xf882a8df,0xfc80298f,0x1ae2bf54,
    0xc99aa880,0x6c3ff882,0x10afd86f,0x80305fe8,0x0be2ba61,0xf30ff2b9,
    0x2ff98d51,0x9f913fe2,0x64ffa0ae,0x117fcc5f,0x0aa989ff,0x0aaaaaa2,
    0x9c3fee90,0x838bfd40,0x200baff8,0x5ff103fd,0xa8155300,0xfd8122ff,
    0x4fc8383c,0x55548bf5,0xefd81771,0x7fc43fed,0x7ec37ec3,0x20bfd00d,
    0x74fd0c01,0x2fd5fe0f,0xf317cdb6,0x646ff85f,0x6c3fecef,0xf98bf73f,
    0x7437fc2f,0x3e23263f,0x7dc6e03f,0x3fe04a8f,0xeff880ba,0x429fec01,
    0xe8022ff8,0x535fe83f,0x6c1ffcc0,0x5faa7e40,0x37fee171,0xbafe45fc,
    0x66ffc45f,0xfd86fecc,0x77fe6442,0x230060cc,0x98bfa7f8,0x3e26fd8a,
    0xfb54fcce,0x1ffa79bf,0xb17eebf9,0xda97ee7f,0xffd3cdff,0xc84c7fb0,
    0x2676206f,0x204fdffc,0xff104dfc,0xf57fb005,0xfc97fc47,0xf707fb01,
    0x3fd0093f,0x54fc85d0,0x4dfea0bf,0xfba7e47f,0x361ffc45,0x017fcc6f,
    0x30060bfd,0x43fe9fea,0x3e66fbdc,0xd0bfe606,0xf74fc8ff,0xbf73fd8b,
    0x7f42ff98,0xf983fd87,0x2aab202f,0xc84a8ffd,0x44cdffdc,0xfd802ffb,
    0x3fe20c8b,0x3f601b32,0x03dff883,0x23f886a8,0x5fa8efe8,0x1fe2df50,
    0x117ee9f9,0x46fd87ff,0x3fa02fd8,0x3e180305,0x8fd83fa7,0x07fe26fa,
    0x3fe17fcc,0x5fba7e45,0x45fb9fe4,0x2ffc2ff9,0x2ff41fec,0x0ffb8550,
    0x07fe2047,0x220bfeee,0x7c40ff60,0x7ec0882f,0x001ff903,0x80bf5051,
    0x2df505fa,0xba7e47f8,0x21ffc45f,0x02fd86fd,0x200c17fa,0x226f9f61,
    0x746fdaff,0x3e6298df,0x907fe62f,0xf917ee9f,0xff317f69,0x6c0ffcc5,
    0x187fd43f,0x87fdc244,0x3f332510,0x7fc44cdf,0x0ff60d82,0x06417fc4,
    0x27cc0ff6,0x2e071b30,0x9f53507f,0x3fc5bea0,0x22fdd3f2,0x37ec3ff8,
    0xbfd01ff4,0x74430060,0x5ff40ecc,0x3fa22ff8,0x897fcc4f,0x74fc83fd,
    0xcdff88bf,0x4bfe61ff,0x7fd03fd8,0x4589ffc4,0x20ffb80d,0x0ffc41e8,
    0x3cc3ff98,0x7fcc0ff6,0x1ff43cc3,0x67d401b0,0x320df703,0xdf501fbe,
    0x7f443fe2,0x911ffd8e,0x3fea5bff,0x1bff30bf,0x82fffb88,0x9999999a,
    0x80000881,0xdeffc980,0xefe881cf,0x0081ffd9,0x3f7bff26,0x1bff301c,
    0x53f73ff2,0xd510bfc8,0x1ffb9bff,0x20effe4c,0xecceffc9,0x037fe66f,
    0xb99dff93,0x0dff98ff,0x80350010,0x802aa00a,0x3ffc9ffd,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xceec9800,0xb9dd9301,0x5db30399,0x2a01f6cc,0xecdedcee,
    0x3bddb31e,0x6c42fb66,0x3bb2603e,0x932eedcd,0xdd715bdd,0x3bb2617d,
    0x3bdd932d,0xc985f6d4,0x32602dee,0xbdd505ee,0x64c3b305,0x542cddee,
    0x02bddeec,0x03500fa0,0x676f764c,0x85dd700b,0x66f5c1b8,0x36a3eedc,
    0x37660bee,0x9805ff31,0x07ff32ff,0x04fd87fd,0x15fe86d4,0x22ffd43b,
    0x404fd83c,0x8f623ff8,0x37f43ff9,0x3e21ffcc,0x4c17443f,0xfe9803ff,
    0x44ffd81f,0x7c41ffda,0x544fd8af,0x01df52ff,0x27403fc8,0x7dcbfe60,
    0x7fffdc1f,0x87b1bee2,0x7fe40ffe,0x3fe21d83,0x5ff301ac,0x1fec3fe4,
    0x435013f2,0xf90665fe,0x7e41225f,0x21ffc404,0xb0ffe238,0x85ff10df,
    0x07623ff8,0x44017fc4,0x7d4c5ffb,0x41ff883f,0x1ff52ff8,0xdf717fcc,
    0x80ffea01,0x3e200ff9,0xd893fe2f,0x3a65ff98,0x0ffee243,0x112237f4,
    0x83df77ff,0x3fee2ff9,0x3f21fec0,0x20435534,0x7f4405fe,0x33f2048f,
    0x3ff882c9,0x87ff104a,0x2ff886fd,0x0c99ffc4,0x200bfe20,0x320ffcb8,
    0x3ff03ff8,0xff32ff88,0xf317fcc3,0x7fb9107f,0x101ffe40,0x01ffc5ff,
    0x441009f9,0x3fea06ff,0x3ff10323,0x5ff31fee,0x1fec27ec,0x401f93f2,
    0xffa805fe,0x2fbf200f,0x9ffc43fe,0x43ff882b,0x2ff886fd,0x07d5ffc4,
    0x200bfe20,0x713ff8b8,0x0ffc0ffe,0x3fe4bfe2,0xbff0bfe6,0x207fb190,
    0x2207fdb8,0x0dfc8aff,0xb000bf20,0xffe803ff,0x1ff882a8,0x7fcc3ff5,
    0xd80cfdcc,0x1ba7e43f,0x9005fe80,0xa7e405ff,0x77fc44fb,0xdff882fe,
    0x886feccc,0x77fc42ff,0x7fc404ff,0xffb38802,0xf81ffc2e,0x6e7fc41f,
    0x17fcc0cf,0x36371ffa,0xff31903f,0x3bbfe205,0x42f401df,0x013fe602,
    0x44133fe6,0x41ff71ff,0x1ffdaff9,0xcfc87fb0,0x0bfd005c,0x403ffea0,
    0x88bf74fc,0x882d8bff,0x437ec3ff,0x7fc42ff8,0x2203ffcb,0x338802ff,
    0x1ffc95ff,0x7fc41ff8,0x217fcc03,0xfd8e66fe,0x1bfa4883,0xff997fc4,
    0xfc81d303,0x001ffd06,0x7c407ff6,0x4c3fe9af,0x06fe8aff,0xfefc87fb,
    0x05fe803f,0x05ff9b98,0x117ee9f9,0x220a67ff,0x437ec3ff,0x7fc42ff8,
    0x2203ffd3,0x220882ff,0xff87ffa3,0xf883ff03,0x17fcc02f,0xfffc97fe,
    0x66dc3fff,0xf881ffec,0x221ff62f,0x40ffb80e,0x70282ffb,0x3fe201ff,
    0xff980abd,0xfb09ff32,0xffacfc87,0x202ff400,0x20bff248,0x88bf74fc,
    0x3e2023ff,0x4437ec3f,0x9ffc42ff,0xf880fff8,0x8e20c82f,0x81ffc6fb,
    0x17fc41ff,0xf98bfe60,0x3b332a1f,0x7fc241df,0x322ff885,0xb88e40ff,
    0x17fe22c1,0x07fdc0aa,0x4c02ff98,0x0bff22ff,0x94fd87fb,0x05fe80df,
    0x1ffd03a2,0x8df74fc8,0x7c403ff8,0x4437ec3f,0x1ffc43ff,0xf981dff5,
    0x0e63cc3f,0x827fc47f,0x17fc42ff,0x744bfe60,0x21fec03f,0x41ffc82b,
    0x9fd12ff9,0x47ffffb8,0x20ffec29,0x1ff701fa,0x03bff930,0xe8b7ff26,
    0x1bff32ff,0x3ea3bfa2,0x7fdc40df,0x0bfea82f,0x223dffd3,0x1ffd9efe,
    0x205dff91,0xf52effc8,0x3f2617ff,0xdff911df,0x4bbffea5,0xdcceffc9,
    0xb8bb667f,0x45dff910,0x931dffc9,0x36605bff,0x01cfdeff,0x37ee3fd8,
    0x47bff661,0xdeceffc9,0x7ffffd42,0xdff50666,0x01ffd999,0x0039ffb5,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x26000000,0xeeecdeec,0xff982001,0x2aee25ff,0x37501000,
    0xaa980d80,0x82a9aa89,0x97102cb9,0x555032a3,0x53155515,0x2a1bb983,
    0x205512aa,0x54c2a805,0x881aa89a,0x001771cb,0x00043710,0x446272e6,
    0x70bb89aa,0xaaaa8839,0x5155532a,0x266aa235,0xff98002c,0x5d40ba62,
    0x2aa23f51,0x3a2ba2aa,0xd33e4c01,0x07405f15,0x9bf93fe8,0x87f95c8f,
    0xf5df8af9,0xfd97fc45,0xf93f3165,0x1d8ffe23,0x547cc0f0,0x5fc9ff46,
    0x8befbadc,0x376b322f,0x64df75ba,0x8af9802d,0x6e77ec6f,0x20ffbcdf,
    0x23ff88c9,0xfd8596fd,0xb703fede,0x5425ff10,0x67c57542,0x82aa60e9,
    0x50198ef9,0xd3f417db,0x6c03a01f,0x855bf73f,0x7f8bf57f,0x3236cffa,
    0x511ff74f,0x647f36d8,0x2078125f,0x7ec5f36d,0x17f8bf73,0xdd17a1ff,
    0x3a61fb55,0x805fed43,0x643fd0fd,0x7fcff35f,0x237e4261,0xfc83bff8,
    0xb908bf75,0x472ff882,0x15fd3f40,0xfff87fd0,0x416fdc41,0x40bfa7f8,
    0x2e7fb00e,0xfb15305f,0x9fb3fccd,0xbfcc1fb5,0x7c43afeb,0x31ff1026,
    0xef883c03,0x4ff64fcc,0xfb9545fb,0xf30feaaf,0x93000f81,0xcbfc43bf,
    0x4d3f23fe,0x2607fa7f,0x0ffb82ff,0x8bf74fc8,0x10fdaaef,0x220d15ff,
    0x6c0bfa7f,0x8fffd43f,0x3ea00dfb,0x7fe4ffa7,0x367fffff,0x640bf73f,
    0x9bea6fbd,0x67f403fd,0x7cc3dfb9,0x21e7ec07,0xfffffffe,0x7ec0df35,
    0x3b70bf73,0x216a01ff,0x6fc8003c,0x7fb37ff3,0x27f9a7e4,0x05fe82fe,
    0x53f20ffe,0x6654c5fb,0x3fbfe21a,0x7f4ff507,0x4447fb03,0xdd714fe8,
    0x1fd3fc05,0x26ba6662,0x7dcff219,0xdf51fb05,0x0dfd3fc4,0x5ff16fb8,
    0x7cc03ff0,0x7cccc42f,0x3ff10999,0x2fdcff20,0x81ffc3f2,0x02a1e868,
    0xf10cfda8,0xfc8bf65f,0x17f4ff34,0x220c3fea,0xa7e40ffd,0x4bcc85fb,
    0x03457fc4,0xd807f4ff,0x27c5263f,0x360e7ecc,0x00e81be7,0x0bfd1bf9,
    0x8dfb5ff1,0x14bffa7e,0x20fb1fc4,0xe8289efd,0x3fa07807,0x53f2298d,
    0x27fe25fd,0x4499efe8,0x2e7b88ce,0x1775c46f,0x41dd1fd8,0x7cff34fc,
    0x44ffe22f,0x644fea45,0xf88bf74f,0x3fe21f9a,0x43f60472,0x88ff606f,
    0x2200ebce,0x333a25eb,0x4403a00e,0x81ffcbff,0x22ff8bfe,0xffbebce8,
    0x2541d00e,0x704ffc88,0x3f333109,0x7ff44133,0x7e6ffc44,0x233ffa1f,
    0x3ae0effd,0xf54ddffd,0x100e7dcb,0x443d7bb7,0xaffc8efe,0x3ff25ffa,
    0x1bb34fdc,0x3fa25ffb,0x001ffd8e,0x8b04bfe2,0x200eddb8,0x800103fe,
    0x0e800882,0x40000040,0x20200408,0x40400400,0xfffffffe,0x40040085,
    0x00880881,0x00026041,0x00000011,0x80000000,0x035c3ff8,0x0dff9801,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfb9dff93,0x100000bf,0x35531555,0x32b8d544,0x2304c018,
    0x1b100aa9,0x00388350,0x0fb20ed4,0x0ba09db3,0x88261f6c,0x08888888,
    0x26666662,0x036ee219,0x40cc1757,0x93022208,0x751dc305,0x5aad4777,
    0x33333322,0x777710cc,0x00017777,0x00000000,0x417c57f6,0xb36fdcfc,
    0x2e5980ec,0x6440ffa2,0x7d11f980,0x21ea974c,0x9ae261fa,0x543d8ae8,
    0x27c9986e,0xddd90ff9,0x764fdddd,0x26eeeeee,0x5e61f8ca,0x5c1ff14c,
    0xd99be23f,0x13a9cfec,0x3fff23ff,0x83f63f27,0xaaaaaaaa,0x77777710,
    0x00000177,0x32000000,0x3f20394f,0x4d36198f,0x6b8fc41f,0x98001fec,
    0xa7dc3eaf,0x307e63fd,0x8d32547d,0x4b703e9e,0x0f002ff9,0x70fd5400,
    0x20ff9aef,0x851f983d,0x1760cec9,0x02081111,0x00000000,0x00000000,
    0xc81733f2,0x367f305f,0x3eabd10f,0xffd1fec2,0xa8bfffff,0xf73fa84f,
    0x7dc0fcc3,0x97254b30,0x01b103e6,0xca9e0017,0x24cccccc,0x5e22f9eb,
    0x3301c03c,0x00000000,0x00000000,0x00000000,0x207fddf9,0x55be04fc,
    0x3fa7f74f,0x3311fec0,0x44133333,0x8fc41fce,0x130fcc79,0x1eced83a,
    0x361e41f1,0x801222bb,0x2eeeee63,0x2e2e63bb,0x000154c1,0x00000000,
    0x00000000,0x00000000,0x0ff9cfc8,0x1f704fc8,0xd11f917a,0x7103fd89,
    0x0fccfa20,0x1edc4b16,0x853033b7,0xbb52c43b,0x0000141b,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0df94fc8,0x547a09f9,0x83a27905,
    0x01f303fe,0x20459877,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0xffa8eff9,0x83dfd10d,0x0d80361b,0x037fe693,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__times_bold_18_latin_ext_x[560]={ 0,1,1,0,0,1,0,1,0,0,0,0,0,0,
0,0,0,1,0,0,0,0,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,1,-1,0,0,0,0,0,0,0,0,0,0,
-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,1,1,0,0,0,
1,0,0,0,0,0,0,0,0,-1,0,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,-1,0,-1,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,2,-1,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,0,-1,0,
0,0,0,0,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,0,-1,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static signed short stb__times_bold_18_latin_ext_y[560]={ 14,2,2,3,2,2,2,2,2,2,2,4,11,9,
11,2,3,3,3,3,3,3,3,3,3,3,6,6,4,6,4,2,2,3,3,2,3,3,3,2,3,3,3,3,
3,3,3,2,3,2,3,2,3,3,3,3,3,3,3,3,2,3,3,16,2,6,3,6,3,6,2,6,3,2,
2,3,3,6,6,6,6,6,6,6,3,6,6,6,6,6,6,2,2,2,8,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,14,6,3,2,4,3,
2,2,3,2,3,6,6,9,2,1,3,4,3,3,2,6,3,7,13,3,3,6,3,3,3,6,-1,-1,-1,0,
0,0,3,2,-1,-1,-1,0,-1,-1,-1,0,3,0,-1,-1,-1,0,0,5,2,-1,-1,-1,0,-1,3,2,2,2,
2,3,3,2,6,6,2,2,2,3,2,2,2,3,2,3,2,2,2,3,3,5,6,2,2,2,3,2,2,3,
0,4,-1,2,3,6,-1,2,-1,2,-1,3,-1,2,-1,2,3,3,0,4,-1,2,-1,3,3,6,-1,2,-1,2,
-1,2,-1,3,2,2,-1,-1,3,3,-1,3,0,4,-1,2,3,2,0,6,3,2,-1,2,3,3,6,-1,-1,3,
3,2,2,3,3,3,3,-1,2,3,6,-1,2,2,2,6,0,4,-1,2,-1,2,3,6,-1,2,3,6,-1,2,
-1,2,-1,2,2,6,-1,2,3,3,-1,2,3,3,-1,3,0,4,-1,2,-1,2,-1,2,3,6,-1,2,-1,2,
0,-1,2,0,3,-1,2,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2,3,3,2,3,3,3,
3,3,3,3,3,3,3,3,3,3,2,5,3,3,3,3,3,3,3,3,3,3,3,3,3,0,6,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,-1,2,-1,2,-1,
2,-1,2,-1,1,-1,0,-1,0,-1,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,-3,-1,-1,2,-1,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static unsigned short stb__times_bold_18_latin_ext_w[560]={ 0,4,7,8,8,15,13,3,6,5,8,9,4,6,
4,5,8,6,8,8,8,8,8,8,8,8,4,4,9,10,9,8,15,12,11,11,12,11,10,13,13,6,9,13,
11,16,12,13,10,13,12,9,11,12,12,17,12,12,11,4,5,4,8,10,4,8,9,7,9,7,7,8,9,5,
6,10,5,14,9,8,9,9,7,6,6,9,8,12,8,8,7,5,2,6,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,0,4,7,8,8,9,
2,8,6,12,6,8,10,6,12,10,6,9,5,5,5,10,9,4,3,5,5,8,12,12,12,8,12,12,12,12,
12,12,17,11,11,11,11,11,6,6,6,6,12,12,13,13,13,13,13,8,13,12,12,12,12,12,10,9,8,8,
8,8,8,8,12,7,7,7,7,7,6,5,6,6,8,9,8,8,8,8,8,9,8,9,9,9,9,8,9,8,
12,8,12,8,12,9,11,7,11,7,11,7,11,7,12,12,12,9,11,7,11,7,11,7,11,7,11,7,13,8,
13,8,13,8,13,8,13,9,13,9,6,6,6,6,6,6,6,5,6,5,14,8,9,7,13,10,10,11,5,11,
5,11,8,11,7,11,5,12,9,12,9,12,9,12,12,8,13,8,13,8,13,8,16,12,12,7,12,7,12,7,
9,6,9,6,9,6,9,6,11,6,11,9,11,6,12,9,12,9,12,9,12,9,12,9,12,9,17,12,12,8,
12,11,7,11,7,11,7,7,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,12,9,9,10,9,9,9,
9,9,9,9,9,9,9,9,9,9,13,10,9,9,9,9,9,9,9,9,9,9,9,9,9,14,11,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,12,8,6,6,13,
8,12,9,12,9,12,9,12,9,12,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,12,8,17,12,13,8,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9, };
static unsigned short stb__times_bold_18_latin_ext_h[560]={ 0,13,7,12,14,13,13,7,16,16,8,9,6,3,
4,13,12,11,11,12,11,12,12,12,12,12,9,11,9,5,9,13,16,11,11,13,11,11,11,13,11,11,12,11,
11,11,12,13,11,15,11,13,11,12,12,12,11,11,11,14,13,14,6,2,4,9,12,9,12,9,12,12,11,12,
16,11,11,8,8,9,12,12,8,9,12,9,9,9,8,12,8,16,16,16,3,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,0,12,14,13,9,11,
16,16,3,13,5,8,5,3,13,2,6,9,6,6,4,12,15,3,5,6,5,8,12,12,12,12,15,15,15,14,
14,14,11,16,15,15,15,14,15,15,15,14,11,15,16,16,16,15,15,8,13,16,16,16,15,15,11,13,13,13,
13,12,12,13,9,12,13,13,13,12,12,12,12,11,13,11,13,13,13,12,12,8,9,13,13,13,12,16,16,15,
14,11,15,13,15,12,16,13,16,13,16,12,16,13,15,13,11,12,14,11,15,13,15,12,15,12,15,13,16,16,
16,16,16,15,16,16,15,15,11,11,15,11,14,10,15,12,15,16,14,8,12,16,16,16,15,15,8,15,15,15,
15,12,12,11,11,11,11,16,12,15,12,16,12,12,13,12,15,11,16,13,16,13,12,9,15,12,15,12,15,12,
16,13,16,13,16,12,16,13,15,15,15,13,11,12,16,12,15,11,16,13,16,13,16,13,15,12,16,13,15,16,
14,15,12,14,11,15,12,12,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,13,11,11,16,11,11,11,
11,11,11,11,11,11,11,11,11,11,13,10,11,11,11,11,11,11,11,11,11,11,11,11,11,15,9,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,15,13,15,12,16,
13,16,13,16,14,16,15,16,15,16,15,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,17,16,15,13,16,13,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11, };
static unsigned short stb__times_bold_18_latin_ext_s[560]={ 14,21,93,95,94,228,189,252,99,107,247,
57,135,206,175,249,68,152,217,235,183,59,77,86,95,104,181,226,38,151,186,
123,195,192,205,217,170,1,77,180,88,102,167,109,123,135,177,194,159,198,12,
129,42,232,1,149,54,243,231,15,117,125,120,231,186,79,197,114,217,141,141,
227,67,250,236,31,25,205,237,48,245,1,42,31,190,149,122,101,228,14,220,
14,34,136,191,92,92,92,92,92,92,92,92,92,92,92,92,92,92,92,92,
92,92,92,92,92,92,92,92,92,92,92,92,92,92,92,92,92,14,23,86,
208,172,207,156,172,213,161,162,59,140,206,80,220,113,131,129,107,180,123,224,
201,252,101,169,50,64,51,38,29,1,14,27,73,60,47,189,224,64,76,212,
103,247,1,232,27,161,239,1,15,29,182,184,84,102,54,67,80,158,169,1,
192,174,183,93,50,86,132,159,130,80,172,139,210,228,244,43,249,71,50,53,
44,35,1,77,74,196,1,239,229,218,113,122,203,149,111,171,141,106,215,141,
109,111,88,86,138,230,53,219,33,128,205,162,120,124,220,94,112,52,104,40,
174,93,132,189,90,216,136,1,116,155,145,60,141,8,174,20,24,212,146,196,
125,130,68,153,15,47,181,130,119,31,112,106,94,88,184,196,237,229,217,74,
211,19,234,113,203,207,37,1,28,144,102,153,14,167,71,236,88,45,11,14,
176,241,168,57,203,24,46,67,225,106,182,141,205,229,244,80,20,77,10,1,
151,34,210,243,23,242,61,68,120,55,96,81,46,34,153,202,137,181,193,27,
35,92,92,92,92,92,92,92,92,92,92,92,92,92,92,92,116,92,92,43,
92,92,92,92,92,92,92,92,92,92,92,92,92,147,13,92,92,92,92,92,
92,92,92,92,92,92,92,92,178,67,92,92,92,92,92,92,92,92,92,92,
92,92,92,92,92,92,92,92,92,92,92,92,92,92,92,92,92,92,165,26,
222,134,181,62,159,11,143,115,123,131,98,212,73,58,92,92,92,92,92,92,
92,92,92,92,92,92,92,92,92,92,92,92,92,92,92,92,92,92,92,92,
92,92,92,1,37,27,159,20,150,92,92,92,92,92,92,92,92,92,92,92,
92,92,92,92,92,92,92,92,92,92,92,92,92,92,92,92,92,92,92,92,
92,92,92,92,92,92,92,92,92,92,92,92,92,92,92,92,92,92,92,92,
92,92,92,92,92,92,92,92,92,92,92,92,92,92,92,92,92,92,92,92,
92,92,92,92,92,92,92,92,92, };
static unsigned short stb__times_bold_18_latin_ext_t[560]={ 18,115,190,129,85,85,85,69,36,19,180,
180,190,190,190,101,129,168,168,115,168,129,142,142,142,142,180,168,180,190,180,
101,1,168,168,101,168,180,168,101,168,168,142,168,168,168,142,101,168,53,168,
115,168,129,155,142,168,168,168,85,101,85,190,190,190,180,142,180,142,180,142,
142,168,115,1,168,168,180,180,180,129,142,190,180,142,180,180,180,180,155,180,
1,1,1,190,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,
155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,18,155,85,
101,180,155,1,1,190,115,190,190,190,190,115,190,190,180,190,190,190,142,53,
190,77,190,190,190,142,142,142,142,69,69,69,85,85,85,155,1,69,69,53,
85,53,85,69,85,155,69,19,19,19,69,53,190,115,19,19,19,53,69,168,
115,115,115,115,129,129,101,180,129,101,101,115,115,115,115,129,155,101,155,115,
115,115,129,129,190,180,115,101,101,115,19,19,69,85,155,53,101,53,129,19,
101,1,101,1,129,19,101,69,101,155,129,85,155,69,85,53,129,69,129,69,
85,19,19,19,36,19,69,36,36,69,69,155,155,85,155,85,180,69,129,69,
36,85,190,129,36,36,19,53,53,190,69,69,69,69,129,129,155,155,155,155,
1,142,53,142,19,142,155,101,155,53,155,19,101,19,115,142,180,53,142,53,
129,36,129,36,85,36,101,36,129,36,85,36,36,36,85,155,129,36,129,53,
155,36,85,1,101,19,101,53,129,1,101,53,1,85,36,115,85,155,36,129,
129,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,115,155,155,19,
155,155,155,155,155,155,155,155,155,155,155,155,155,115,180,155,155,155,155,155,
155,155,155,155,155,155,155,155,36,180,155,155,155,155,155,155,155,155,155,155,
155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,36,115,
36,142,1,115,1,115,1,85,1,36,1,36,1,53,155,155,155,155,155,155,
155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,
155,155,155,1,1,53,101,1,101,155,155,155,155,155,155,155,155,155,155,155,
155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,
155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,
155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,
155,155,155,155,155,155,155,155,155, };
static unsigned short stb__times_bold_18_latin_ext_a[560]={ 65,87,144,130,130,260,217,72,
87,87,130,148,65,87,65,72,130,130,130,130,130,130,130,130,
130,130,87,87,148,148,148,130,242,188,173,188,188,173,159,202,
202,101,130,202,173,245,188,202,159,202,188,145,173,188,188,260,
188,188,173,87,72,87,151,130,87,130,145,115,145,115,87,130,
145,72,87,145,72,217,145,130,145,145,115,101,87,145,130,188,
130,130,115,102,57,102,135,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,65,87,130,130,130,130,57,130,
87,194,78,130,148,87,194,130,104,143,78,78,87,150,140,65,
87,78,86,130,195,195,195,130,188,188,188,188,188,188,260,188,
173,173,173,173,101,101,101,101,188,188,202,202,202,202,202,148,
202,188,188,188,188,188,159,145,130,130,130,130,130,130,188,115,
115,115,115,115,72,72,72,72,130,145,130,130,130,130,130,143,
130,145,145,145,145,130,145,130,188,130,188,130,188,130,188,115,
188,115,188,115,188,115,188,191,188,145,173,115,173,115,173,115,
173,115,173,115,202,130,202,130,202,130,202,130,202,145,202,145,
101,72,101,72,101,72,101,72,101,72,214,144,130,87,202,145,
145,173,72,173,72,173,122,173,103,173,72,188,145,188,145,188,
145,190,200,145,202,130,202,130,202,130,260,188,188,115,188,115,
188,115,145,101,145,101,145,101,145,101,173,87,173,135,173,87,
188,145,188,145,188,145,188,145,188,145,188,145,260,188,188,130,
188,173,115,173,115,173,115,72,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,192,202,202,130,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,144,202,202,202,202,202,202,
202,202,202,202,202,202,202,207,156,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,188,130,101,72,202,130,188,145,188,145,188,
145,188,145,188,145,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,188,130,260,188,202,130,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_18_latin_ext_BITMAP_HEIGHT or STB_FONT_times_bold_18_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_18_latin_ext(stb_fontchar font[STB_FONT_times_bold_18_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_18_latin_ext_BITMAP_HEIGHT][STB_FONT_times_bold_18_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_18_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_18_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_18_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_18_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_18_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_18_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_18_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_18_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_18_latin_ext_s[i] + stb__times_bold_18_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_18_latin_ext_t[i] + stb__times_bold_18_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_18_latin_ext_x[i];
            font[i].y0 = stb__times_bold_18_latin_ext_y[i];
            font[i].x1 = stb__times_bold_18_latin_ext_x[i] + stb__times_bold_18_latin_ext_w[i];
            font[i].y1 = stb__times_bold_18_latin_ext_y[i] + stb__times_bold_18_latin_ext_h[i];
            font[i].advance_int = (stb__times_bold_18_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_18_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_18_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_18_latin_ext_s[i] + stb__times_bold_18_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_18_latin_ext_t[i] + stb__times_bold_18_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_18_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_18_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_18_latin_ext_x[i] + stb__times_bold_18_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_18_latin_ext_y[i] + stb__times_bold_18_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_bold_18_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_18_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_18_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_18_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_18_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_18_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_18_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_18_latin_ext_LINE_SPACING
#endif

