// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_25_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_25_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_25_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_times_bold_25_latin_ext_BITMAP_HEIGHT        352
#define STB_FONT_times_bold_25_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_bold_25_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_bold_25_latin_ext_NUM_CHARS            560

#define STB_FONT_times_bold_25_latin_ext_LINE_SPACING          16

static unsigned int stb__times_bold_25_latin_ext_pixels[]={
    0x00133100,0x33000000,0x80000003,0x08800998,0x00000000,0x00800133,
    0x00001020,0x00330000,0x4c400000,0x00000999,0xf8000180,0xffa8006f,
    0xffa80004,0x9ff30002,0x00ffec00,0x03d10744,0x007ffc40,0x88027d40,
    0x59b003ff,0x3f60001d,0x3ea0002f,0x7fd40004,0x7ffe4004,0x7f44006f,
    0x00bf7007,0x0003bea0,0x400037dc,0x320003fd,0x3fe2005f,0x267f2001,
    0x7fe4005f,0x0b30004f,0x401bfea0,0x30002ed8,0x4000dfff,0xfd80003b,
    0x99988004,0xfe880009,0x00df1001,0x80001db0,0x220001fb,0x2fc0003f,
    0x0007ea00,0x001ffff1,0x07ec6fc4,0x0f21b300,0x3005fd10,0x2000f21b,
    0x002fb9ee,0x003c86cc,0x4c0017e0,0x2000790d,0x3fe004f8,0x00064002,
    0x20002b80,0x2cc00039,0x8000d400,0x6c004ffc,0xf5002643,0x000013a1,
    0x0013a1f5,0x003541b5,0x002743ea,0x2a000498,0x40009d0f,0x0ffe0059,
    0x003ec880,0x31000000,0x800000a0,0x310003da,0x00200010,0xaaa98000,
    0x80000001,0x00000020,0x00000100,0x10004000,0x8ec005ff,0x7fe4c01c,
    0xf910beff,0x36e207df,0x972efece,0x77fffe4c,0x7dff910b,0x003b8d98,
    0x7bfdfd95,0x7ffe4cb3,0xff910bef,0x3fff267d,0xff910bef,0x17ff627d,
    0x7dffff93,0x0fbff221,0xdedcfec8,0xffff9302,0x3ff2217d,0x33fb203e,
    0xf9302ded,0x2217dfff,0x3203effc,0x02dedcfe,0x68003fea,0x7fe400ea,
    0x201f500f,0x7f444fe8,0x1fff905e,0x87203ea0,0x0bffd806,0x3f21ff66,
    0x01f500ff,0x2a01fff9,0x82ffd40f,0xf500fffc,0x117fa601,0x3f201bfd,
    0x01f500ff,0xfd117fa6,0x3fff201b,0x2601f500,0x6ff445fe,0x4007f980,
    0x9000eacb,0x1a201fff,0xf9837f44,0x1fff906f,0x4ecc1a20,0x1ffec03b,
    0xfff90fb0,0x7e41a201,0x50d100ff,0x3ff20bff,0x260d100f,0xdff306ff,
    0x403fff20,0x0dff3068,0x7e41bfe6,0x20d100ff,0xff306ff9,0x0003fa0d,
    0x7dc001d7,0x221a207f,0xff103ffe,0x0fff707f,0x05b50344,0x4405ffd8,
    0x207ffb87,0x0fff7068,0x2ffd4344,0x2207ffb8,0x407ffd06,0xffb84ffd,
    0x7f41a207,0x13ff603f,0x6881ffee,0x6c07ffd0,0x04e884ff,0x70007e40,
    0x43440fff,0xe880fffa,0x7dc0fffc,0x441a207f,0xff301bca,0xf707005f,
    0xb83440ff,0x21a207ff,0xff705ffa,0x7dc3440f,0x3fee00ff,0x03ffdc0f,
    0x1fff70d1,0x207ffdc0,0x1a207ffb,0xb803ffee,0x1f700fff,0x007ff100,
    0xd103ffdc,0xd01fff90,0xb85fff53,0x21a207ff,0x84ffaaeb,0x0001fffb,
    0x3440fff7,0x2207ffb8,0x705ffa86,0x43440fff,0x7d407ffd,0x3ffdc2ff,
    0xfffb0d10,0x42fffa80,0x1a207ffb,0xf501fff6,0x03d905ff,0x801ffee0,
    0x1a207ffb,0x4b61fffa,0x7dc3fff9,0xf51a207f,0x3617fe4d,0x2e0007ff,
    0x41a207ff,0x1a207ffb,0x7dc17fea,0x3e1a207f,0x7fcc07ff,0x03ffdc4f,
    0x0ffff0d1,0x5c4fff98,0x21a207ff,0x7cc07fff,0x00fec4ff,0x005fffd0,
    0x6881ffee,0x1e46fff8,0xfb8bfff3,0xf91a207f,0xf0fff23f,0x5c000dff,
    0x41a207ff,0x1a207ffb,0x7dc17fea,0x3e1a207f,0x7fcc06ff,0x03ffdc5f,
    0x0dfff0d1,0x5c5fff98,0x21a207ff,0x7cc06fff,0x01fe25ff,0x06ffebb8,
    0x440fff70,0x2e7ffe86,0x21fffd44,0x1a207ffb,0x3ff627b1,0x003fff43,
    0x440fff70,0x40fff706,0x06ffb868,0x3440fff7,0x2a03fffc,0x7fdc4fff,
    0x3fe1a207,0x7ffd407f,0x103ffdc4,0x80ffff0d,0x3ea4fffa,0xf71d000f,
    0xff7003ff,0x7ec2c40f,0xff70b57f,0x07ffb83f,0x6f5c4162,0x7ffe43ff,
    0xfff70000,0xffb82c40,0xfd316207,0xfff709ff,0x7ff42c40,0x1fffdc07,
    0x5881ffee,0x5c07ffe8,0x7fdc3fff,0x3fa16207,0x7ffdc07f,0x2007fe63,
    0x0bfff14a,0x201fff70,0xafffb859,0x87ffc80e,0xb300fffb,0xff91df50,
    0x01fffa87,0x01fff700,0x7ffdc166,0x5d30b300,0x807ffdc0,0x0fffb859,
    0x703fff20,0x16601fff,0xc803ffee,0x7fdc0fff,0xf70b300f,0x7fe401ff,
    0x401ffc0f,0x03fff20d,0x203fff30,0x1dffd04a,0x2613ff60,0x89501fff,
    0x7ff91ff9,0x805fff88,0x01fff980,0x3ffe6095,0x0dd09501,0x501fff98,
    0x80fffe09,0xff984ffd,0x3e09501f,0x3ff603ff,0x01fff984,0x0fffe095,
    0xff84ffd8,0x3e22cc02,0xfff804ff,0x3e603b02,0x0bff506f,0x1d817ffc,
    0xffc8ffec,0x02fff983,0x17ffc16a,0x3ffe01d8,0x3ff03b02,0xb02fff80,
    0x41bfea03,0xff00eff9,0x5407605f,0xdff306ff,0x40bffe01,0x0dff501d,
    0xf103bfe6,0xeeec801f,0x00fffeee,0x910fffd4,0x44ffe807,0x7d404fe8,
    0x20f221ff,0xffdefffe,0xaeff982d,0x54036e20,0x0f221fff,0x443fff50,
    0x17df903c,0x887ffea0,0x1ffcc03c,0xf5006ff4,0x01e443ff,0x3fa0ffe6,
    0x3ffea00d,0xf300f221,0x81bfd07f,0x2c401ed8,0x803fff98,0x2defffe9,
    0x77e45640,0x3002dfdc,0x05bdfffd,0x3a237faa,0xfb7100ef,0x3007dddf,
    0x05bdfffd,0x3bfffa60,0x3bf2202d,0x3fffa603,0xdb1002de,0x007dfb9d,
    0x37bfffa6,0x9ddb1002,0x26007dfb,0x02defffe,0xfb9ddb10,0x400ae07d,
    0x3fffa02d,0x00331000,0x006620e2,0x00019880,0x004cc000,0x0000cc40,
    0x00000331,0x20000cc4,0x22000198,0x4c400019,0x06620001,0x00331000,
    0x700fcc00,0x00009fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80000000,0x5c43effb,0x004ffffe,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00060100,0x20100004,0x00000000,0x0332a000,
    0x00f32000,0x000a8800,0x4000d540,0x000403cc,0x00200000,0x00000000,
    0x89b00c18,0x0498004d,0x6a83aa00,0x17fe6000,0x2000d440,0x0003fff8,
    0x0007ffdc,0x0075ed40,0x007ffa80,0xd007ffdc,0xb801ec43,0x2001fd4f,
    0x4001ec2e,0x00ef8bfc,0xf981dff0,0x3e201f30,0x8000fe8d,0x3a0000fc,
    0x0002fc9e,0x0c8017f2,0xfecfd800,0x9ff10000,0x1b0000bf,0x7fc000e6,
    0xff1003fe,0x57dc09f9,0x5b6006e8,0x3ea003f9,0xf0006e8b,0x54007eab,
    0x30f980ef,0x7ffe401f,0x3ff88003,0x3ffea000,0x02f40006,0x9800fbe0,
    0x0009d12f,0x00fd43b2,0x015c7200,0x0fc8fdc0,0x3f50ec80,0x00ffff40,
    0x00b91f88,0x005fffd0,0x01361f30,0x1f300ed8,0xff8803e6,0xfff70006,
    0x1ffd8000,0x00162000,0x1b8017f2,0x30700038,0xed880005,0x40d88005,
    0x4c1c402b,0x017fea02,0x000363a8,0x4001bfea,0x1b00162b,0x0f987cc0,
    0x7f400000,0x040002ff,0x08188000,0x31000040,0x00000010,0x88000000,
    0x26004099,0x08330041,0x00000000,0x30000800,0x4c3e6083,0xffffc98f,
    0xdff910be,0x7ff5dc07,0xcfec8006,0x2a002ded,0x9bdfefec,0x266b2a05,
    0x3fb2a009,0x2e59bdfe,0xd72effff,0x4c19ffff,0xff931efd,0x32217dff,
    0x3aa03eff,0xaadfecff,0xfddfd884,0x6fec44ac,0x3264acfd,0x10beffff,
    0x3aa7dff9,0x6c40efff,0x3b203eff,0x202dedcf,0xacfddfd8,0x07cc3e64,
    0x2a01fff9,0x7dc7400f,0xfd3001ff,0x00dfe88b,0xb305ffec,0xb3bfb0ff,
    0x3f60dfff,0x1ff660bf,0xf887fff7,0x01f106ff,0x2a01fff9,0x5dfb100f,
    0xe84ffb98,0xd13f220f,0x427e441f,0xf500fffc,0x0bfffb01,0x5fe981e6,
    0x7406ff44,0x993f220f,0x7e41f30f,0x80d100ff,0x0bfff14a,0x260dff30,
    0x3ff606ff,0xff91f603,0x6c03fea3,0x11f603ff,0xff90bfff,0x3209301f,
    0x0d100fff,0xb80bffe2,0xe827dc4f,0x27413ee4,0x8807ffe4,0x9ffff706,
    0x3fe60d10,0xb8dff306,0x74c9d04f,0x7fdc1f30,0x1b01a207,0x2007ffe4,
    0x3f603ffe,0x05ffd84f,0x43ffe3c4,0xffd83ff8,0x7e43c405,0x7ffcc0ff,
    0xff701c83,0xfd83440f,0x6c4e805f,0x365a80ef,0xb85a80ef,0x41a207ff,
    0x82ffffbb,0x407ffd06,0x3bf64ffd,0x3e605a80,0x881ffee0,0xff116606,
    0x7ffdc09f,0x83ffee00,0x3802fff9,0xdff13ffc,0x802fff98,0x83fff983,
    0x20686ffe,0x1a207ffb,0x200bffea,0x077fec38,0x01dffb14,0x40fff705,
    0xff557068,0xfb8681ff,0x3fee00ff,0x01dffb0f,0xf707cc05,0x903440ff,
    0xffdddddd,0x1fff601f,0x5c5fff50,0xd8001fff,0x89ff30ff,0x0001fffb,
    0xff11bffa,0x701d43ff,0x43440fff,0x0000fffc,0x019ffff7,0x033fffee,
    0x440fff70,0x3ff25706,0x3f61a0ef,0x7ffd407f,0x19ffff72,0xfb83e600,
    0x441a207f,0x07fff305,0xf301fffe,0x3ffec9ff,0x73fe8800,0x0fffb0df,
    0x2fffa800,0xd93ffeb2,0x81ffee00,0x07ffe868,0x7ffff400,0xffffd03f,
    0x3ffdc07f,0xd8ae0d10,0x3e1a5fff,0x7fcc07ff,0x3ffffa4f,0x07cc303f,
    0x3440fff7,0x3ffa02d8,0x06fff80f,0xff2fffcc,0xed8000df,0xdfff01cd,
    0xbfff0000,0x88fffcb4,0x03ffdc05,0x0ffff0d1,0xfffd8800,0x7ec40eff,
    0xb80effff,0x41a207ff,0x3fffa22b,0x0dfff0d3,0x225fff98,0x0efffffd,
    0x707cc3e6,0x43440fff,0x3fee01f9,0x07fff84f,0xfd27ffd4,0x1ec000ff,
    0x007ffe80,0xa8fffc80,0x575fff33,0x207ffb80,0x07ffe868,0x13333333,
    0xdffffd50,0x3ffffaa0,0x207ffb86,0xf8857068,0xff869fff,0x7ffd407f,
    0xffffea84,0x07cc3e66,0x2c40fff7,0x710fbfee,0xe89ffffd,0x7fdc07ff,
    0x03fff23f,0x2673ee00,0x03fff201,0x7fff3000,0x377ff41b,0x103ffdc0,
    0x01fffb0b,0x15dfff73,0x3fffee02,0xffff7011,0x207ffb83,0xf5057058,
    0xffd0dfff,0x3fffb80f,0x3ffff701,0x707cc3e6,0x16601fff,0x700fa800,
    0x7e401fff,0x3ffea0ff,0xfffd8001,0x2a0cffff,0x80001fff,0x7dc4fffe,
    0xffb804ff,0xf70b300f,0x7ffc03ff,0xffe882c4,0x3ffa20b3,0x807ffdc3,
    0x2e057059,0xffb86fff,0x3fff200f,0x3ffa20b0,0x83e61f33,0x9501fff9,
    0x013e2000,0x7ec07fff,0x2fffc44f,0x3ffe6040,0x223fffff,0x00805fff,
    0x220fffd4,0xf9801fff,0x109501ff,0x7fc07fff,0xf880744f,0x3e201d3f,
    0x0fffcc3f,0x405704a8,0xfff06ffd,0xd27fec07,0x4cffe201,0xff81f30f,
    0x0003b02f,0xff501bea,0x03bfe60d,0xa80bffe6,0x6666ecc5,0x7fcc6fec,
    0x2016a02f,0x0dfb05ff,0xd817ffc0,0x01fff301,0x0bd13ffe,0x205e8ffc,
    0x2fff81ff,0x00ae03b0,0x3fea0dfd,0x41dff306,0x4c7fe05e,0xfa81f30f,
    0x00f221ff,0x403bfd00,0xdfe83ff9,0x2bbfe600,0xdf036e20,0x3e613e20,
    0x36e20aef,0x502fc800,0x7fd4007f,0x500f221f,0xfff01dfd,0x541dfe89,
    0x5077fa4f,0x3ffea09f,0x5d80f221,0xf3037c40,0x81bfd07f,0x27d41dfe,
    0x203e61f3,0x2defffe9,0xffd98000,0x33bb6202,0x71003efd,0x07dddffb,
    0xec982bf2,0xdffb7100,0x3cc007dd,0xd30003e0,0x005bdfff,0x6e677f64,
    0x65f40adf,0x742fdbef,0x2fdbefcb,0x77fff4c0,0xbffb502d,0x22034c03,
    0x3efdceed,0xb7df97d0,0xd30e985f,0x000cc401,0x98800000,0x09980001,
    0xceddca80,0x004cc002,0x000c0180,0x00003310,0x41801353,0xa98301a9,
    0x00cc4001,0x20018000,0x4c180198,0x0000001a,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x64400000,
    0x0000002c,0x00000402,0x32001100,0xcb8000ee,0x80601004,0x7fe4c000,
    0xf910beff,0x4c0007df,0x08040019,0x00003000,0x08198800,0x001c8580,
    0x000fffc8,0xd0017fe2,0x8001ec47,0x6dc04ffa,0x3e601ddb,0x7cc004ff,
    0x43d802ff,0xb70f604d,0x01fffc80,0x440001f7,0x174005ff,0xcb8005b1,
    0x1bfe207d,0x677f5400,0x804cadfe,0x006ecdec,0x04fcef88,0x0003bee0,
    0x00dd39f5,0x2e027ec0,0xfd81be0f,0x3a000feb,0xf9806fcf,0x2200fe8d,
    0x400fd8cf,0xd100fffb,0x05fb8000,0x6e9bfa80,0x7ecfc400,0x001df500,
    0x4c1ffd88,0xe8804ffb,0xd8002fff,0x2001f50d,0xfd0000ed,0x220005ff,
    0x7c6f804f,0x361ea82f,0x263f5004,0xfffd803e,0x4fffc803,0x00fffb80,
    0x5e8000d1,0x3fffa000,0x447ec001,0x0003b601,0x5c01fff1,0x00e6004f,
    0x014c1c40,0x300006c4,0x4c000bff,0x22ff9804,0x0501304a,0x007102e0,
    0x2200dff1,0xfb800fff,0x00d100ff,0x54000480,0x7d4005ff,0x000d801f,
    0xe804ffd8,0x00000004,0x80000000,0x20000000,0x2aa04ffe,0x55511aaa,
    0x00000000,0xfff70000,0x0001a201,0x0c188000,0x00ffe980,0xfff50000,
    0xc9871003,0x10beffff,0x5407dff9,0x23effffc,0x40efffea,0x803effd8,
    0x7ffc0049,0xffffeeef,0x06fffcc3,0x8877ffcc,0x3ffee2fb,0x7ecc0cff,
    0x3fff265f,0x7ffc0bef,0xffffeeef,0x00fffb83,0xfdb800d1,0xffffffff,
    0x25ff03ff,0x7fe403fe,0x7e4c5fff,0x800befff,0x0000fffc,0xa807ffe4,
    0xfff9000f,0x17fff601,0x1f9003cc,0x3077e200,0xdd10dfff,0xff703dff,
    0xff88598d,0xb817c07f,0xdf881fff,0x837ffcc1,0xd100fffb,0xffbf1000,
    0x883fd98f,0x809ff3ff,0x01aeffca,0x4003fff9,0x80007ffe,0xd100fffc,
    0x03ffe400,0x109ffff7,0x0ffe200d,0xffe834c0,0x6c5f441f,0xfff81fff,
    0x7fdc0721,0x5c0b503f,0x06980fff,0x2e03fffd,0x0d100fff,0xfff97900,
    0x31cc0f60,0x9ff70017,0x00fffb80,0x001fffe0,0x881ffee0,0x1ffee006,
    0x2ffffbb8,0xfff70068,0x3ee0aa00,0x5c7c84ff,0x5ffb85ff,0x1fffd016,
    0x7fdc01d0,0xfb82a80f,0x3fee04ff,0x800d100f,0x18fff959,0x95554473,
    0x6c01aaa9,0x7fdc02ff,0x3ffe000f,0x33333307,0x07ffb813,0xffb801a2,
    0x3feaae07,0xe80340ff,0x80802fff,0xe80ffff8,0x207fd41f,0x0398fff8,
    0x2e1fffd4,0x07ffdc03,0x7fffc404,0x03ffea00,0x476002cc,0x18e67ffc,
    0xfd8b7fe4,0x0fff405f,0x003ffee0,0x980fffd8,0x409efffb,0x1a207ffb,
    0x207ffb80,0x1dfff92b,0x7f5dc034,0xffb0006f,0x03ff605f,0x9ff901fb,
    0xfffd0019,0x3ee01a21,0xffb000ff,0xfff9805f,0x5c009501,0x3c9fff23,
    0xfb9bfe60,0x1ffe205f,0x003ffee0,0x201fffb8,0xff704fff,0x7003440f,
    0xb15c0fff,0x4034bfff,0x01fffb8e,0x02fffd40,0x2ec5fff3,0x005fff98,
    0x0b29fff3,0x003ffee0,0x2017ffea,0x3b02fff8,0xff91a200,0x4407f71f,
    0x17fea6ff,0xb806ff98,0x74000fff,0x3ffe03ff,0x40fff704,0x3fee0068,
    0xfe88ae07,0x4a80d3ff,0x800bfff1,0x5c00fffe,0x00e9cfff,0xd800bff6,
    0x7005afff,0xfd001fff,0x3ee001ff,0x013221ff,0xfc999bd8,0x203ffeff,
    0x3fea6ff8,0x013fee05,0x0003ffee,0x7fc0fff3,0x0fff704f,0xff700344,
    0x3e215c0f,0x6c069fff,0x003fff20,0x801fffe4,0x400ffffa,0x7cc007fa,
    0xf7000fff,0xffc801ff,0x7f54003f,0x2002eeff,0xfeccccda,0x4407d17f,
    0x17fea6ff,0xb802ffd8,0x98000fff,0xfff80efe,0x40fff704,0x3fee0058,
    0x3ea0ae07,0x16606fff,0x3009fff1,0x40c0dfff,0xe805ffe9,0x7ffd8004,
    0x03ffee00,0x206fff98,0x017d4401,0x7fe40740,0xff880ea7,0xe817fea6,
    0xffb800ff,0x3b20000f,0xadfeccdf,0x01fff700,0x2e2a8166,0x40ae07ff,
    0x3206fffb,0xffeeeeee,0x7fff400f,0x36209101,0x00e401ff,0x003ffe40,
    0x7401fff7,0x09101fff,0x59000f90,0x389fff20,0x54dff114,0x1bfa05ff,
    0x007ffdc0,0x39b10017,0x3ffe6001,0x3ee09501,0x40dff91f,0x1bff602b,
    0xfff982c4,0x17ffea03,0xd87f63c8,0x00b0443f,0x801fff20,0xf500fffb,
    0x01e40bff,0xb30017fc,0x823ffe40,0xf73ffc2a,0x01ff40bf,0x200fffb8,
    0x03ff1006,0xb02fff80,0x647ff203,0x00ae05ff,0x80b60dfd,0xf880fffe,
    0x5f300fff,0x43f717f4,0x000557f8,0xb801fff2,0xff880fff,0x05f300ff,
    0x0039ff70,0x3ffe403d,0x7ff41e88,0x4c6ffeba,0x2e001dd2,0x0f700fff,
    0x20017e40,0x3221fffa,0xfd9be203,0x1017601f,0x403f30df,0xfc84fffb,
    0xffc883ff,0x2f4cbee1,0x0016ffe2,0x2007ffd8,0xfc81fffb,0xffc883ff,
    0x4eeb8801,0x3f203640,0x07f540ff,0x3eb3ffe6,0x3e3fa3ff,0x3fff2001,
    0x4037dc42,0x30005eb8,0x05bdfffd,0x3dfbbb30,0x077ff6a0,0x77fdc698,
    0x7fff5c43,0x3fffe64f,0xffffeeee,0x1ef64c0f,0x50003da8,0x15bffff9,
    0x3fffee60,0xffff30be,0xffffdddd,0x4400001f,0x2a21dffd,0xeefffffc,
    0x02607fff,0x4002f6a0,0xefffffb9,0x005fffee,0x26200003,0x00260001,
    0x00006000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x880015c0,0x060a8800,
    0x00100000,0x000c4110,0xf1000001,0xffffffff,0x0003ffff,0x00000000,
    0x01066000,0x6f640000,0x03062000,0x2a0f7ff2,0xffb8005f,0x0ffd4002,
    0xb9bfff70,0x00ffec00,0xf1000ca8,0x400bfe3f,0x5802dc3d,0xff31cf88,
    0x800fe43f,0x2a002ffb,0x440005ff,0x6c400eff,0x04acfddf,0x3005ff90,
    0x32009fff,0x903cbeff,0x07ff40df,0x007fee00,0x7407ff90,0x002ffffc,
    0xf50027ec,0x15ff3001,0x3e2007ff,0xc801fd8c,0x7fcc7886,0xe800ec1f,
    0x7fa8003f,0x077d4000,0xf9107f40,0x00bfe009,0x007f5ff4,0x3ffffba2,
    0x5c0df900,0x0550005f,0x401dd300,0x40002e62,0x076c006d,0x00731540,
    0x804fffc8,0x4c3886fa,0x00d41fff,0x50001fcc,0x76c0005f,0xd04fb800,
    0x007f3009,0x404d87aa,0x40397319,0x000006fc,0x00102662,0xb0000000,
    0x037cc001,0xff880000,0x77fdc00f,0x3fe600aa,0x0750001f,0x00075000,
    0xefd8006c,0x3b805a80,0x00a02a00,0x81bf2000,0x00999aca,0x3fb3ffaa,
    0x55504aad,0x3fff2615,0xff910bef,0x0002007d,0xffc987fa,0xf910beff,
    0x200007df,0x1eefffea,0x007ffe60,0x00000000,0x7ec00200,0x000280ef,
    0x266b2a00,0xdfffd509,0x3effd881,0x3bf90df9,0xb10dfffb,0xffb985df,
    0x87ffd304,0xf500fffc,0x00126001,0x3ff217f2,0x441f500f,0xffffffff,
    0x261fffff,0xff3006ff,0x7ffdc03f,0x7ecc0cff,0x3fff265f,0x7fffffff,
    0x5c012600,0x300cffff,0xfffffff9,0x3f20ffff,0x46fffd9d,0xf305fffd,
    0x7fd46fc8,0xf103ff50,0x27dc05ff,0xfc87ff90,0x00d100ff,0x2e0007e4,
    0x7ffe40ff,0xcf88d100,0x643fff31,0x01bfe61f,0x200fffcc,0x7c07fff8,
    0x81fff702,0x3f2007fa,0xffffd000,0x7ffdc07f,0x7d43fd40,0x703ff50f,
    0xd109ffff,0x3ff46fc8,0xffb0bff3,0x6409d00b,0x3ffdc3ff,0x3e200d10,
    0x7fd4003f,0x103ffdc2,0x7fcc788d,0xff30ec1f,0x3ffe600d,0x3fffb801,
    0x7fdc0b50,0x1007980f,0x362007ff,0x80efffff,0x7980fffb,0x3fe67fe8,
    0xffffbb85,0x237e4682,0x17fe27ff,0x1005fff5,0x21ffe407,0x1a207ffb,
    0x003ffdc0,0xff70ffea,0x0e23440f,0x1a83fff3,0x4c01bfe6,0xfd001fff,
    0x401d01ff,0x5860fffb,0x00fff700,0x6ffffea8,0x860fffb8,0x3e27ff85,
    0xffaab85f,0x3f2340ff,0xf987fec6,0x07ffe43f,0x1ffe4000,0x6881ffee,
    0x05fffd00,0x2e27fd40,0x01a207ff,0x3007ffe6,0x3e600dff,0xff5001ff,
    0x5c03b87f,0x01960fff,0x805fffd0,0x1ffffb80,0x4b07ffdc,0xf30ffd81,
    0x3f25707f,0xf91a0eff,0xf93fe88d,0x07ffe81b,0x87ff9000,0x1a207ffb,
    0x1bffaee0,0x5c3ffa80,0x01a207ff,0x3007ffe6,0x3e600dff,0x3fa001ff,
    0x700d10ff,0x01661fff,0x0dffd770,0x7ffd1058,0xb30fffb8,0xf93fe880,
    0x7ec5701b,0xdf91a5ff,0x40f77b60,0x00007fff,0xffb87ff9,0x3a01a207,
    0x001fffb8,0xffb85ff5,0x2601a207,0x7c401fff,0xfff3006f,0x7ffcc005,
    0xff700594,0x800bd73f,0x01fffb8e,0x1ffc403a,0x3ae7ffee,0x7bbdb005,
    0xffd115c0,0x0df91a7f,0x3ffa0079,0x33333307,0x87ff9013,0x1a207ffb,
    0x3ffe2950,0x83ff7005,0x1a207ffb,0x007ffe60,0x80367ffe,0x4002fffa,
    0x005afffd,0xbffdfff7,0xff8a5400,0xf817a05f,0x77ffdc1f,0x03c805ff,
    0xfff10ae0,0x46fc8d3f,0x00999cfb,0x7301fffb,0x9015dfff,0x7ffb87ff,
    0x41b01620,0xc800fffc,0x07ffb86f,0x3fe60162,0xefe9801f,0xfffd7101,
    0x3e60017d,0xf7000fff,0x00bd11ff,0x1fff906c,0xf5077fa0,0x11fff709,
    0x9cfb80bd,0x20ae0099,0x646ffffa,0x7fffec6f,0x7fdc4fff,0x13ffe01f,
    0x7dc3ffc8,0x40b300ff,0x27ffc459,0x7dc1fec0,0x00b300ff,0x0003fff3,
    0x36000000,0x3ee007ff,0x200b10ff,0x27ffc459,0xdbefcbe8,0x1fff702f,
    0xfffb0162,0x5709ffff,0x91bffee0,0xffff98df,0x3e24ffff,0x3ffe03ff,
    0x30fff204,0x12a03fff,0xeeeeeec8,0x3e200fff,0x03fff307,0x3fe6012a,
    0x0de8801f,0x0005f900,0xb801fff2,0x07120fff,0x3bbbbbb2,0x54180fff,
    0x7ffdc01e,0xff987120,0x44ffffff,0x1bff602b,0xcdd98df9,0x4c6feccc,
    0xfff00fff,0x0bfee109,0x0ec0bffe,0xfff30588,0xf00fe407,0x007605ff,
    0x2007ffe6,0xfd002ff9,0x3ff2000d,0x3ffee007,0x58868820,0x007fff30,
    0xffb809f9,0x4c68820f,0xfeccccdd,0x3fa015c6,0x1be37e46,0xefea83f8,
    0x544fff80,0xa81ffb9f,0x0f221fff,0x3ffa02d8,0x402f880f,0x3221fffa,
    0x5fff3003,0x80072200,0xff900049,0x7ffdc00f,0x05b0bb00,0x4007fff4,
    0x7ffdc06f,0x06f8bb00,0x880bb0fe,0x8dffe46f,0x37260afe,0x33bfb200,
    0x540adfdc,0x2604fbaf,0x02defffe,0xffb807e6,0x800ecc4f,0x2defffe9,
    0x0bffea00,0x71001cc0,0x3ff60001,0x3ffee007,0x313f6a22,0x7ffdc03f,
    0x00bf2604,0x5445fff7,0x057f44fd,0x3f6a1b93,0x11a601df,0x76541333,
    0x4c002cdd,0xddb8009a,0x00331003,0xb887dff7,0x064ffffe,0x000cc400,
    0x3bfffae2,0x0002200b,0x3f2a0001,0x300adfff,0xddfffff7,0x7dc7ffff,
    0x7f5c43ef,0x01104fff,0xfffffb98,0x83ffffee,0x02cddeca,0x00001800,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x64000000,0x0000003c,0x11000044,0x00008010,0x80000000,
    0x00130018,0x260554c0,0x0beffffc,0x00013331,0x000b10ea,0x00665400,
    0x00370900,0xf7000000,0x7d4001ff,0x1e88005f,0x3a200b62,0x83d01a60,
    0x3ffd003d,0x01bfe200,0x3202ed88,0x02efdcfe,0xf702ffc0,0xffd883ff,
    0x33ba0005,0x654003ed,0x27ffc400,0x977bb000,0x45be600d,0xdff100ee,
    0x2fe7fc40,0x03ffff00,0xdd15f700,0x7fffec00,0x7457d403,0x03ff1006,
    0x00077d40,0x3fa601fd,0x006ff445,0x3ea02fd4,0x5ffa81ff,0x3ffea000,
    0x0172000e,0x007f67e4,0x3ffff980,0xf53ff700,0x3fff605f,0x3ea1d903,
    0xf9afb801,0xfffd0005,0x7fe44003,0x5fffd003,0x0007ee00,0x7d4001db,
    0x20dff306,0x5c806ff8,0x80fffa80,0x80005ffa,0x0fdc001b,0x5d89fc40,
    0x032e2000,0x1324d880,0x43f467cc,0x44029838,0x0007a21e,0x40017fea,
    0x2ffd4000,0xb0005900,0x07fb8001,0x7ec07ffd,0x4005404f,0xfa80fffa,
    0x0080005f,0xa802fd40,0x20000b81,0x00040998,0x01ec3e80,0x00410000,
    0x65400000,0x0000999a,0x00000000,0x3ee07fd4,0x3fee00ff,0x3555550f,
    0x3ea0aaa2,0x5ffa80ff,0x3b200373,0x402dedcf,0x000002fe,0xecffea80,
    0x5544aadf,0x55511aaa,0x7ff44200,0x024c0007,0xeffffc98,0xc803deef,
    0x6fffd9df,0xffffff93,0xc98fffff,0x30beffff,0xdfdffff9,0xff3007bd,
    0x407ffd83,0xff32fffa,0x0bee21df,0x2a03ffea,0xeffeddff,0x88bfd300,
    0xff980dfe,0xffffc980,0xfffc98be,0xdfb103ef,0x44ffb985,0x710efff9,
    0x7ffe4c5f,0xfff30bef,0x00fc8000,0xc99fff20,0xff500dff,0x2e07fea1,
    0x3fd40fff,0x901fffb8,0x7fe4cfff,0x03fe200d,0xf980ffff,0x1bfee4ff,
    0x3ffea0b3,0x52fffa80,0xdff309ff,0x321bfe60,0x7ffdc07f,0x00fffc81,
    0x5c05fff1,0x46ffb84f,0x3fff7059,0x0007ff88,0xb800ffe2,0x4fff87ff,
    0x7fccffd0,0x80fffb85,0x1fff7079,0x3e1ffee0,0x1be604ff,0xf301bffe,
    0x1fff8bff,0x7ffd4072,0x745ffa80,0x1fff40ff,0xfe89ffb0,0x07ffdc07,
    0xfb03ffe4,0x209d00bf,0x40721fff,0x7c40fffb,0x3ee0007f,0x3fee007f,
    0xf07ffc87,0x42ffc4ff,0x5860fffb,0x201fff70,0xffc87ffb,0xf01db107,
    0xff980fff,0xb2ffdc4f,0x407ffd40,0x7fec5ffa,0x803ffee2,0x3fe0fffb,
    0x07ffd407,0xfa83ffdc,0x038802ff,0x702cbff7,0xff881fff,0x20017717,
    0x7002fffe,0xfff70fff,0x7cc3ff60,0x0fffb83f,0xfff70196,0x21ffee01,
    0x2f887ffb,0x501fffa0,0xff887fff,0x3ea0398f,0x5ffa80ff,0xffb1ffec,
    0x2fffa80f,0xff501bfe,0x0fff701f,0x0003fff2,0x731fff10,0x207ffdc0,
    0xfffafff8,0x7f5dc00f,0xfff7006f,0x2209ffb0,0x01bf93fe,0x1661fff7,
    0x403ffee0,0xffd87ffb,0x2e09d304,0x3ee00fff,0xcffc80ff,0x3ffea00c,
    0x6c5ffa80,0x1fffe3ff,0x7c9fff30,0x7ffd406f,0xd07ffb80,0x20000fff,
    0x200ccffc,0x7c40fffb,0x09ff74ff,0x1fffb8e8,0x547ffb80,0x76c00fff,
    0x3fee03dd,0xb805eb9f,0xff700fff,0x00fffa8f,0x7ffc13e6,0x413ff603,
    0x5405fff9,0xffa81fff,0xff0ffec5,0xfff980df,0xf501ffa5,0x933335ff,
    0x3ffe0fff,0xff300007,0xfffb80bf,0xf53ffc40,0xf8a5409f,0xffb805ff,
    0x0cffedcf,0xf7001e40,0x00bffdff,0x2e01fff7,0xffedcfff,0x07fc400c,
    0xf9837fd4,0x3ff600ef,0x0fffdc02,0x3fa2ffd4,0x01fffe0f,0x7ec9fff5,
    0x77ffd407,0x7ffeeeee,0x260fffd0,0x00999999,0xfb805ffb,0x3ffc40ff,
    0x06c0bff3,0xb801fff9,0xfffd9fff,0x4ce7dc01,0x3ffee009,0xfb805e88,
    0xfff700ff,0x003fffb3,0x3ea03ff3,0x077ec43f,0xb981fea0,0x20beffff,
    0xfa8cfffa,0x03fff43f,0xfa8fffee,0x3ffea00f,0xb07ffb80,0xf7301fff,
    0x2a015dff,0xfffb807f,0xf33ffc40,0xf11660bf,0xffb809ff,0x01dfff17,
    0x7fffffec,0x0fffb84f,0xfff700b1,0x45ffee01,0x5400efff,0x3f2200ff,
    0x003eecce,0x0fa2013a,0xffcdffa8,0x0fffb84f,0xd03fff20,0x7ffd405f,
    0x707ffb80,0x7fc03fff,0x804e804f,0x7c40fffb,0x417fe67f,0xfeeeeeec,
    0x3fee00ff,0x813ffea7,0xfffffff9,0x07ffdc4f,0xfffb8389,0x54fff700,
    0x7dc04fff,0x3fff6007,0x400e4000,0x3fea00fd,0xfff80315,0x213ff603,
    0x3fea05fb,0x07ffb80f,0x7c07fff1,0x01c804ff,0x440fffb8,0x17fe67ff,
    0x7ffcc162,0xb1ffee03,0x36605fff,0x6feccccd,0x4107ffdc,0x0fffb868,
    0xfd8fff70,0x1bee02ff,0x05ffe880,0x3a00b044,0x17fea02f,0x306ffa80,
    0x3f601dff,0x01fff500,0x7cc0fff7,0x9fff00ff,0xb802c110,0x7fc40fff,
    0x3617fe67,0x03fffa02,0x3a23ffdc,0x06f80fff,0x1fff70fe,0x3fee1760,
    0x8fff700f,0x100fffe8,0xff8800ff,0xbfc40adf,0x9ff7002a,0x00bff503,
    0xfe83ff98,0xa826c00d,0xffc80fff,0x077f5407,0x3e227ffc,0x3ee00557,
    0x3ffcc0ff,0x1f98dff5,0x413ffee0,0x7cc0fffc,0x0afe86ff,0xff703726,
    0x27ed445f,0xc80fffdc,0x7fcc0fff,0x037e606f,0xeffda880,0x016ffe25,
    0xb819fd70,0xd88006ff,0x03efdcee,0x3fee1320,0x0fffc81f,0xccefec80,
    0x7c40adfd,0x3ee005bf,0x3ff621ff,0x3fffe8cf,0xb887dff7,0x264ffffe,
    0x43dffffc,0x541efffc,0x4c2cddec,0xeefffffb,0x2e63ffff,0x30beffff,
    0x87bffff9,0x101efffc,0x50000075,0x9800007b,0x000beeed,0x40003310,
    0xffff7308,0xfff9317d,0x54c007bf,0x03da8009,0xdffff730,0x00000017,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x040c4000,0x26000000,0x10080009,0xfff93000,0xffffffff,
    0x000e4c00,0xdd700002,0x09826001,0x41300000,0x260c0008,0x2eeb8000,
    0x00620880,0x2aaaaa60,0xbffd300a,0xfefeca80,0x7c4059bd,0x5c4000ff,
    0x2bbbbdfe,0xf11ffc40,0x01ffdc5f,0xf503ffee,0x03ff400f,0x0e9836a0,
    0x02fffc40,0x0ffabfdc,0x202ffc40,0x0dbdffe8,0x7ddbf200,0x04fe8006,
    0x5ff1ff88,0xffffd800,0x3fea02ff,0x82fff605,0x7e407fd9,0x3aa004ff,
    0xa812a01b,0x17fea6ff,0xffb80df7,0x2007980f,0xee8007fe,0xfd803fb8,
    0x7dc01fdb,0x400ffa8f,0xfea805fb,0x6c006fff,0x800ff96f,0xff3005f9,
    0x8007ff15,0x0aaaaaa9,0x6c17fe60,0x81f603ff,0x00fd8df8,0x91000ed8,
    0xfd117f40,0x5c01f903,0x05860fff,0x20006e20,0x9806fffa,0x2e01721f,
    0x3ba00aa1,0x2f263800,0x885c4000,0x02e4001b,0x00398aa0,0xff300040,
    0x80bffb0b,0xb9136078,0x98005c80,0x16400004,0x2c1fff70,0x08188003,
    0x802ffe80,0x1000a809,0x0006c400,0x00000004,0x000c1310,0xfd900004,
    0x4c05bdb9,0x7ffcc5ff,0x08003802,0x2e203ea0,0x26241333,0x55532aaa,
    0x3fee0003,0xa800b30f,0x9bdfefec,0x55000005,0xfd900155,0x0005bdb9,
    0x76e7f640,0xffff702d,0xffd9819f,0x3fa5ff05,0x00126003,0xfd117fa6,
    0x8bff301b,0x4001fffb,0xffffffc9,0x3e87ffff,0xffcade98,0xffd882a3,
    0x26bffb15,0x0beffffc,0x75cfffdc,0x2fff6005,0xc99ff660,0xbdefffff,
    0x7ff4c00a,0x117fa603,0xfe981bfd,0x17fa605f,0xf101bfd1,0x02f80fff,
    0x13fe7ff1,0x2000fc80,0xff306ff9,0xd8bff30d,0x2e0007ff,0x3fd40fff,
    0x1ff303e6,0x43883ffe,0x3fea5ffa,0x80fffdc5,0x5ffefffb,0x407ffb00,
    0x17ffd87d,0xc803dff3,0xdff303ff,0x2a1bfe60,0xdff305ff,0x5c1bfe60,
    0x0b503fff,0x002e6398,0xd001ffc4,0x7fec07ff,0x3e2ffcc4,0x2e0006ff,
    0x47980fff,0xf1ff447c,0x7cc388df,0x717fea5f,0x3ee01fff,0x805e88ff,
    0x3c405ffd,0x3e23ffe4,0x3ff201ff,0x407ffd03,0x7fcc4ffd,0x407ffd05,
    0xffd04ffd,0x5101d01f,0x2aaa6555,0x07ffb801,0x401fff70,0x3e60fffb,
    0x03fff45f,0x41fff700,0xfc8bb161,0x989ff30f,0xf52ffcc1,0x0fffb8bf,
    0x221fff70,0x17ffcc05,0x3ffe41c0,0xc80fffd4,0xfffb83ff,0x83ffee00,
    0xffb85ff9,0x3ffee00f,0x43fffa80,0x5bff203b,0xe805ffd8,0xfd802fff,
    0x7ffd407f,0xf917fe62,0x2e0001ff,0x41960fff,0xf72ffc3e,0xff98383f,
    0xf717fea5,0x3fee01ff,0xfb87120f,0xf90001ff,0x9fff10ff,0x360fff20,
    0x7fd407ff,0x217fe62f,0x7d407ffd,0xfffd02ff,0xff301a21,0x202ffdcd,
    0x806ffebb,0x7cc07fff,0x17fe64ff,0x0003fff5,0x2cc3ffee,0x17fd43f0,
    0xf3090fff,0x22ffd4bf,0xf700fffb,0x8d1041ff,0x20007ffd,0xffd07ffc,
    0x20fff20d,0x7cc07fff,0x17fe64ff,0xf301fffe,0x3fe609ff,0xf880594f,
    0x017fea6f,0x03fff71d,0x4c06fff8,0x3fe65fff,0x02fffc45,0x4fffdc04,
    0xb8b605eb,0x8bff71ff,0x25ff982a,0x7fdc5ffa,0x1fff700f,0xdfff1760,
    0x3ffe4000,0xc80fffd8,0x6fff83ff,0x32fffcc0,0xdfff0bff,0x05fff980,
    0x016bfff6,0xffa9bfe2,0x7fc52a05,0x3fffc05f,0x993ffea0,0xfff985ff,
    0x3ee16a02,0x205ffeff,0x2ebff23c,0x40e23ffb,0x3fea5ff9,0x807ffdc5,
    0x2a22fffb,0x3fff44fd,0x0fff9000,0x3207fff2,0x7fff83ff,0x327ffd40,
    0xffff0bff,0x04fffa80,0x003fffe6,0xffa9bfe2,0xffc83605,0x1fffa00f,
    0x547fff70,0xdff306ff,0x406dc415,0x5e88fffb,0xfffa92a0,0x4952ff8c,
    0xa9bfea1a,0x7ffdc5ff,0x7fffdcc0,0x3ffffeef,0x0007ffe4,0xfb07ffc8,
    0x7ff903ff,0xb80fffd0,0x3fe63fff,0x407ffe85,0x6c03fffb,0xff1007ff,
    0x982ffd4d,0x027ffc45,0x6401fff7,0xffd30fff,0x3f6e209f,0x2e03eeef,
    0x40b10fff,0x47f910e8,0x3241beea,0x3ea9fffd,0x07ffdc5f,0xa8075c00,
    0x90001fff,0x3ffa0fff,0x707ff907,0x7e401fff,0x17fe60ff,0xc803ffee,
    0x7e400fff,0xdff1007f,0xec82ffd4,0xfffeeeee,0x80fffe00,0x00a84ffd,
    0x5c0056c0,0x87120fff,0x06e0005a,0x2e2ffd40,0x4c000fff,0x3ffe203f,
    0xffc80805,0x20bfff07,0xfff03ffc,0x227fec07,0xfff05ff9,0x027fec07,
    0xf003ffe4,0x42ffdcff,0x7fff3058,0x9837fd40,0x7fc40eff,0x01ff3002,
    0x041fff70,0x000590d1,0x3e610057,0x07ffdc4f,0x3017ea00,0x2d405fff,
    0x7cc3ffe4,0xffb841ff,0x20dff502,0x7cc0eff9,0x0dff505f,0x2003bfe6,
    0x3a007ffc,0x6ffebaff,0x3ffa02d8,0x0ffe600f,0x7d4037fa,0x007f2004,
    0x6c03ffee,0x64009905,0xf9bf9802,0x07ffdc3f,0x00effc00,0x4415dff3,
    0x7ffc80db,0x7d44ffd8,0x2601ffb8,0x0dfe83ff,0x2605ff98,0x0dfe83ff,
    0x00fffb00,0x7d67ffcc,0x807e63ff,0x4404fffb,0x3efdceed,0x2003baa0,
    0xf7005fb8,0x7ed445ff,0x202b6604,0xf1001cb8,0xff70df39,0xfb30003f,
    0x7edc405f,0x3603eeef,0x3ff20fff,0x5fbbfa83,0xdceed880,0x3fea03ef,
    0x6776c406,0x95003efd,0x015bffff,0xff700260,0xffeb887d,0x331004ff,
    0x31000600,0x3ffee600,0xffffeeff,0xcccb9803,0xda8000bc,0x3fee60bd,
    0x0000beff,0x40133000,0xefffffc9,0x36e00bdf,0x1988003d,0x4fffe980,
    0x00033100,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00fffd10,
    0x3bffff26,0x27ffed43,0x81dfffd5,0x933effd8,0x017dffff,0x00018300,
    0x40180013,0xfeeffec9,0xfff930ce,0x07bddfdf,0x0c1d41d8,0x060c4006,
    0x003bb620,0x2e2182a2,0x29800ffe,0x000dc240,0x35555553,0x003ffcc0,
    0x540bffee,0x3fff605f,0x3f20f305,0xfb0001ff,0x7001bf2b,0x3fa001ff,
    0xfffff704,0x7ffc80fc,0x4037ff26,0x40fdcdfa,0x809fb3fe,0x03cbeffc,
    0xb805ff30,0xa85cdfff,0x00d800ff,0x0365deec,0x3ffffee0,0x1ffe204f,
    0x03fff500,0xffb807f1,0x706884ff,0x20001fff,0x00dfb5fe,0x8801ffd8,
    0xfff986ff,0x5c03e7ff,0x4fff87ff,0x213fff60,0x40bfd4ff,0x0ffffee8,
    0xb017e600,0x305ffff9,0x048801ff,0x03ffff98,0x555554c0,0x1ffe201a,
    0x83fff500,0xfbb801e9,0x70682fff,0x20001fff,0x003710b8,0x2e004d98,
    0xffffd81d,0x7dc03e7f,0x07ffc87f,0x0b9805c4,0x98cc0171,0xf98001cb,
    0x01b98a00,0x1b801ff3,0x00197100,0x7fc40000,0x20aaaa67,0x3aa1fffa,
    0xff557000,0xf70681ff,0x000001ff,0x80000000,0x27fffffe,0x0fff700f,
    0x0000fff7,0x00010000,0x00062231,0x2603fe60,0x008006cb,0xdffff930,
    0x3bff2217,0xd89ffe23,0xfffa81cf,0x2b800b91,0x341dfff9,0x000fffb8,
    0xffffff93,0x3e0fffff,0xffeeefff,0x3ff263ff,0xffd0beff,0x807cffff,
    0xffd87ffb,0xffffc984,0xfff930be,0x930017df,0x3a5ff000,0x7ffe4c3f,
    0x7fcc0bef,0x77ed7e40,0x80093000,0xf500fffc,0x6c7ff881,0x27ffea02,
    0x2e000efd,0x697fff62,0x001fff70,0x540fffb8,0x41df887f,0xf706fff9,
    0xfffc83ff,0x5c03e7ff,0x7ffd47ff,0x07ffee00,0x000fffdc,0x7c4001f9,
    0x2e09ff3f,0xff301fff,0xffcafdc1,0x001f9003,0x8807ffe4,0x327ff886,
    0x7fffd402,0x2e005fff,0x4ffffa22,0x01fff706,0x80fffb80,0xfd069879,
    0x3fee03ff,0x7fffd40f,0x7dc03e7f,0xcffedcff,0x07ffdc00,0x000fffb8,
    0x98007ff1,0x7dc02e63,0x1ff300ff,0x7f6cffe2,0x03ff8803,0x881ffee0,
    0xd97ff886,0xb3fff500,0x2e009fff,0x4ffffc42,0x01fff706,0x20fffb80,
    0x2e0aa161,0x3ee04fff,0xfffc80ff,0x7dc03e7f,0x1fffd9ff,0x00fffb80,
    0x2001fff7,0xa8807ffb,0x355532aa,0x201fff70,0x5ff50ff9,0x2e003155,
    0x3ee007ff,0x221a207f,0x03ffcfff,0x744fffd4,0x2b802fff,0x06ffffa8,
    0x8001fff7,0x1960fffb,0xffff8808,0x03ffee00,0x1f3ffed4,0x7c5ffee0,
    0x7dc00eff,0xfff700ff,0x3fffa001,0x16ffc802,0xff70bffb,0x43fe601f,
    0x8005bffb,0x7002fffe,0x43440fff,0xfffbfff8,0x47ffea01,0x401ffff9,
    0xdfff702b,0x803ffee0,0x87ffdc0b,0xffd80059,0x7ffdc02f,0x03e79800,
    0xff53ffdc,0xfffb809f,0x01fff700,0x0dffd770,0x7dcdff30,0x0fffb85f,
    0x3ee1ff30,0x5dc004ef,0xf7006ffe,0x443440ff,0x0dff77ff,0xf50fffd4,
    0x15c01dff,0x2e0dffb0,0x21a00fff,0x5eb9fffb,0x2fffd400,0x007ffdc0,
    0x7dc03e78,0x17ffec7f,0x201fff70,0xe800fffb,0x401fffb8,0x3fea6ff8,
    0x00fffb85,0x3fe61ff3,0x5c74001f,0xfb801fff,0x221a207f,0x13ffa7ff,
    0x320fffd4,0x0ae05fff,0x3ee0dfd0,0x70f700ff,0x0bffdfff,0x00fffe80,
    0x000fffb8,0xffb807cf,0x07fff447,0x700fffb8,0x4a801fff,0x880bfff1,
    0x17fea6ff,0x4c03ffee,0xbfff10ff,0x229501c4,0xfb805fff,0x261a207f,
    0x3ffe67ff,0x41fffb81,0xb05ffff8,0x906f880b,0xfb885fff,0x88fffb86,
    0x3ff2005e,0xfff7003f,0x00f9e001,0xf981fff9,0xfff706ff,0x03ffee01,
    0x7ffe41b0,0xa9bfe200,0xfffb85ff,0x541ff300,0x01fcdfff,0x0fffc836,
    0x103ffdc0,0x4fffd88b,0x265ffff3,0x23effffb,0x2efffffb,0x403bffb5,
    0x7ffdcc69,0xfffeeeff,0x10fffb85,0x3ffe600b,0xfff70606,0x40f9e001,
    0x3dffffc9,0x20f7ffe4,0xf700fffb,0x22cc01ff,0x2204fff8,0x17fea6ff,
    0x4c03ffee,0x7ffec0ff,0xf116602e,0xffb809ff,0x500b300f,0x054c0003,
    0x0c054000,0x2e001980,0x07120fff,0x4407fffa,0x007ffdc4,0xa8003e78,
    0x7ffdc001,0x01fff700,0x77777764,0xff100fff,0x5c2ffd4d,0xff300fff,
    0x8009ac41,0xfeeeeeec,0x3fe600ff,0xf009501f,0x3ee0007f,0x3e20000f,
    0xbfb0002f,0x83ffee00,0x3fea1a20,0xf70f205f,0xf9e001ff,0x013fa000,
    0x700fffb8,0x16201fff,0xf01fffcc,0x42ffdcff,0xf300fffb,0x10015c1f,
    0x0fffe60b,0x3605fff0,0x005f9801,0x00007f60,0x220009f5,0xfff7007f,
    0xff117601,0x0be601ff,0x2001fff7,0xf88003e7,0x3ffee005,0x01fff700,
    0xfffe80b6,0xd75ffd00,0xfff70dff,0x583fea01,0xfd016c00,0x7fd401ff,
    0x200f221f,0x88001eda,0x540004fb,0xc98000ee,0xfff7002f,0x227ed445,
    0xc883fffc,0x7ffdc1ff,0x007cf001,0x2001ed98,0xf701fffb,0x03f303ff,
    0x9827ffdc,0xfffacfff,0x40fffdc3,0x0930ffda,0xf700fcc0,0xfe9809ff,
    0x1002deff,0x00c40001,0x40001800,0xff730008,0xfffddfff,0x7fffcc7f,
    0xffffeeee,0xffff730f,0x3668017d,0x40011000,0xbeffffb9,0xdffff730,
    0x0fbfee17,0x9ffffd71,0x2e6004c0,0x20beffff,0x00221999,0x221f7fdc,
    0x04ffffeb,0x00001988,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x93072000,0x001c9800,
    0x15555554,0x55555550,0x007d9100,0x09999998,0x55555440,0x1000001a,
    0x88009805,0x080400ca,0x36e20000,0x00440402,0x22001811,0x00008081,
    0x2203d500,0x001fdcdf,0x3e003ff4,0x107fffff,0x0fffffff,0x400723b0,
    0x5ffffff9,0x7ffffd40,0x8020004f,0xdfb884fd,0xd3bf300b,0xd88b6019,
    0x4017ec01,0x3a00d8ac,0x2f803a21,0xeca803ea,0x459bdfef,0x00000ffc,
    0xff902fe4,0xdfd000bf,0xaaaaa800,0x2aaaa02a,0x2a6802aa,0x99991003,
    0xaa880799,0x4001aaaa,0x1dedceeb,0xb1db13e6,0xff88df75,0x3e60bf51,
    0x7cc06fff,0x0ea6805f,0x05ffffb8,0x206b87e6,0x3660bffd,0x01fffc7f,
    0x00be2000,0x22000171,0x0000000b,0x7565c000,0x03062000,0xd3000100,
    0xcffe889f,0x1d97dc4b,0x2a7fc8f7,0xbfd700ff,0x005fd003,0xb801b379,
    0x1ea00cff,0x0fff60bb,0x1fff47d8,0x3fffff26,0x9fff910c,0x00000015,
    0x7ffe4c00,0x7fffffff,0x77fffe4c,0x00eb800b,0x3fe97fc0,0x30012600,
    0x3fea0dff,0x8767fd06,0x54cf7f46,0x000402ff,0x01cb8800,0xf1b20020,
    0x80bffb07,0x80ffec78,0xf500fffc,0x3fff2601,0x7fffffff,0x7ffffe4c,
    0x707fffff,0x7fa81fff,0x003fff70,0xf10007e4,0x8013fe7f,0x3fa000fc,
    0x13ff603f,0x1876fffe,0x55557ffc,0x2555510a,0x5101aaa9,0x55551019,
    0x4406aaa6,0xeaa980ca,0x22cfbaad,0x3802fff9,0xfc807fe4,0x00d100ff,
    0xfa81fff7,0x81fff707,0xfff707fa,0x3ee0f301,0xff1000ff,0x26398007,
    0x7ff1000b,0x03ffee00,0x640fffc8,0x3e01ffff,0x7fe400ff,0x30bffb16,
    0xc819d3bf,0xbffb16ff,0x19d3bf30,0x7fffffe4,0x3fee6fff,0x6fa8001f,
    0x881ffee0,0x0fffb806,0xfff70798,0x3ee0f301,0x705860ff,0x2e001fff,
    0xaa8807ff,0x0355532a,0x200fff70,0x7dc07ffd,0x7ffc42ff,0x7ffb02ff,
    0x2e6ff980,0x8ffc45ff,0x37fcc5fa,0xff88bff7,0x3f30bf51,0x3ffec35c,
    0x204f8800,0x1a207ffb,0x183ffee0,0x07ffdc16,0xfffb82c3,0xff701960,
    0x3ffa001f,0x6ffc802f,0xd00bffb1,0xff005fff,0xfffa80ff,0xffffe884,
    0x546ffb84,0xfa9bfe21,0xf53fe45f,0x537fc41f,0x27fc8bff,0x23dc0ffa,
    0x06fff85d,0xfb80ba00,0x201a207f,0x1960fffb,0x2c1fff70,0x43ffee03,
    0xfffb8059,0xffebb800,0x26ff9806,0x5dc05ffb,0x7c406ffe,0x7fcc06ff,
    0x3ffee05f,0x7fffc44f,0x37fc43cb,0xefe8bff5,0x222ffa99,0x17fea6ff,
    0xff533dfd,0x41fc6c85,0x20007ffe,0x1ffee01d,0xffb80688,0xf700b30f,
    0x201661ff,0x5eb9fffb,0x00fffb80,0x1fffb8e8,0xf537fc40,0xfb8e80bf,
    0x7ffc01ff,0x27ffd407,0x21ffff60,0x884fffe9,0x17fea6ff,0x55555fff,
    0xf537fc41,0xaafff8bf,0xffd70aaa,0x49ddfddd,0x0000fffc,0x3ffdc019,
    0xff700d10,0x700bd73f,0x0bd73fff,0xffdfff70,0x1fff700b,0xfff14a80,
    0x26ff880b,0x52a05ffa,0x7405fff8,0x7fdc07ff,0x7f56c03f,0x440bb02f,
    0x17fea6ff,0xf8801fff,0xf17fea6f,0x7e5401ff,0x3ccfdccd,0x0007ffea,
    0x1ffee004,0xffb80688,0xb805ffef,0x05ffefff,0xe88fffb8,0x0fffb805,
    0xfff906c0,0x537fc401,0x906c0bff,0x7dc01fff,0x3ff200ff,0x2676240f,
    0x01fb82ff,0xffa9bfe2,0x201ffec5,0x3fea6ff8,0x201ffec5,0x441b21f9,
    0x80805fff,0x03ffdc00,0xfff700b1,0xf700bd11,0x00bd11ff,0x1621fff7,
    0x803ffee0,0x27ffc459,0x7d4dff10,0xf88b305f,0x7ffc04ff,0x213ff603,
    0x83fc760e,0x3ffc03fd,0xffb8bff7,0x9ffe0d46,0x7fdc5ffb,0xd8f70d46,
    0x0bffe605,0x07fdc5a8,0x300fffb8,0x1fff700b,0x3fee0162,0xf700b10f,
    0x20e241ff,0x3200fffb,0xffeeeeee,0x4dff100f,0xdd905ffa,0x1fffdddd,
    0x9837fd40,0x0ee80eff,0x2609f53b,0xffd01bff,0x88dffd75,0x83cbffff,
    0xffebaffe,0x5ffffc46,0x0fe3643c,0x415dff30,0x7ff40db8,0x03fff303,
    0x3fee012a,0xf707120f,0x20e241ff,0x8820fffb,0x00fffb86,0x3ffe60b1,
    0xfb9ffe03,0xf305885f,0xff9807ff,0x806ff443,0x1ddedfeb,0x4077f540,
    0xffacfff9,0x7fff4c3f,0x59fff304,0xfe987fff,0x224e84ff,0xfdb8801f,
    0xf703eeef,0x17ffc01f,0xffb801d8,0xb868820f,0x68820fff,0xb00fffb8,
    0x01fff70b,0xfffe80b6,0xd75ffd00,0x405b0dff,0x4400fffe,0x3efdceed,
    0x003b3100,0x80013000,0x00130018,0x882a0188,0x0998000a,0xffa80080,
    0x400f221f,0xbb00fffb,0x201fff70,0x2fffb85d,0x2e13f6a2,0x1f981fff,
    0x413ffee0,0xffacfff9,0xb807e63f,0x22004fff,0x02a00019,0x00000000,
    0x00000000,0x00000000,0x77fff540,0x3fee002d,0x13f6a22f,0xa88bffee,
    0x3fee64fd,0xfffeefff,0x3ffee63f,0xdff70bef,0xfffeb887,0x7002604f,
    0xeb887dff,0x0004ffff,0x00000000,0x00000000,0x00000000,0x44000000,
    0x7dcc0019,0xffeeffff,0x3fee63ff,0xfffeefff,0x0000003f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x06000000,0x20001800,0x00040998,0x04400440,0x00910ae0,0x00131000,
    0x1c81f744,0x554c01c4,0x2a200401,0x20dc01bc,0x00100848,0x00040001,
    0x00300030,0xbfbfb710,0xced88017,0xfea800cf,0x4aadfecf,0x2dffd700,
    0xfd883ffa,0x7f103fec,0x2fd813a2,0x37f6fa60,0xfd804efe,0x32f980ff,
    0x1dfd007f,0x033ffae0,0x09ff55d7,0x84e997cc,0xb816a0d9,0xc800cecd,
    0x02dedcfe,0x3f261f30,0xffd90fff,0x37d30019,0xd100eb98,0x8817f63f,
    0x7dcc2efd,0x3fea004f,0xfd0fffb6,0xfc817f45,0xff100ffd,0x2177cc0d,
    0xf301eff8,0x3f609f7b,0xef8806fc,0xfffff900,0xff937d49,0x7fefe405,
    0x5ffffd00,0x27d53ea0,0xe88bfd30,0x42e400df,0x12c8fffb,0x1e980df9,
    0x7e4074c0,0x2213fe67,0x3ee02fff,0x5bfe6004,0x3ea1fffb,0x441bf20f,
    0x7f403fff,0x4c07e603,0x24e80fff,0xfff980fa,0x500eb802,0x1fff9117,
    0x7fe47ff2,0x0bffe203,0x103efd98,0x0bfe23ff,0x7cc1bfe6,0x541f406f,
    0xff83dfff,0xff53d104,0x3a619bbb,0xff137fc0,0x00bffb0f,0x7fcc009d,
    0xffd1e626,0x9807fd45,0x9300002a,0x445ffe80,0x55501982,0x81802600,
    0x27b10fff,0x5403ffd8,0xb801002a,0x21bfe1ff,0x3f603ffe,0x501f304f,
    0x3f60bfff,0x3f63b81f,0x11dc9f73,0x0fff8fff,0x200bffea,0x26ea2038,
    0x22546ff9,0xdf71effd,0x802b2a20,0x1100aca8,0x81fffc80,0x5100aca8,
    0xca880379,0x0bfd000a,0x07ffbd71,0x10056544,0x3f603795,0xf71ffe0f,
    0x7fdc01ff,0xf506b80f,0x3ff203ff,0x4ff60e84,0x4cb30ff9,0x17ffc7ff,
    0x0001fff9,0xfddcff98,0xf503266f,0x03dd5fff,0x05ff3bd3,0x05ff3bd3,
    0x0fffea00,0x85ff3bd3,0x04ffaaeb,0x05ff3bd3,0xefa85f88,0xf303ffc8,
    0xd707f93d,0xfd09ff55,0xb07ffc1f,0xffa80fff,0xf503e82f,0x3ff201ff,
    0x4ff63445,0x3fe3c5fc,0xe8bffa1f,0x440007ff,0x5bff24ff,0x3ffee029,
    0x1ff880ff,0x1ff88dfb,0x99998dfb,0xfa999999,0x47fe25ff,0xc9bea6fd,
    0x8ffc42ff,0x3faa06fd,0x647fe61e,0x2ff883ff,0x26fa8bfe,0x7ffc2ffc,
    0xff87ffe0,0x7ffcc07f,0xfa80fc44,0xfff900ff,0x76fec598,0x3f21d84f,
    0xf83ffe4f,0x640007ff,0x1bfe62ff,0x4ffffb80,0x1fea7fa8,0x13fd4ff5,
    0xddddffff,0x4dfffddd,0xc9fea7fa,0x87ff91ff,0x41fea7fa,0xb1fffffb,
    0x0fff23ff,0x7fe83ff6,0x7fe47ff2,0xf83ffe23,0x1bffe2ff,0xb8bfff30,
    0x03ffea06,0xd107ffe4,0x84fcbfd8,0x6f7fe447,0x3fff46ff,0x99999998,
    0xf987ff60,0xf9d3006f,0x6fc89fff,0x31bf204c,0x206fff81,0x3f25fff8,
    0x27b104c6,0x7e43ffd8,0xfb1004c6,0x3fffa9ff,0x7c2dffde,0x43ffa0ff,
    0x7ffb13d8,0xff07ffc4,0x03fffc5f,0x9b13ffea,0x807ffd40,0x0740fffc,
    0x43ff17fb,0xf7771059,0x0fffd89f,0xaefffb98,0xf983ffe0,0x17fa806f,
    0x7fc1fffd,0x807ff807,0x3e606ffe,0x01ffe3ff,0x1ffef5c4,0x5c001ffe,
    0x1bfd56ff,0x7c41dfd1,0x0bff60ff,0x87ffbd71,0x3ffe0fff,0x701fffa0,
    0x0fc47fff,0x201fff50,0x22c87ffc,0x5cbf93fe,0x41ffd803,0x3e01fffb,
    0x1fff84ff,0x3a01bfe6,0x8bffe25f,0x7fc00fff,0x3ffe400f,0x7c5fff30,
    0x77d400ff,0x7fc3ffc8,0xff88000f,0x7c0f6206,0x50ffec7f,0x87ff91df,
    0x1ffe0ffe,0x6401fff7,0x01ea0fff,0x3201fff5,0xb8e986ff,0xcff8bfff,
    0x7fc400e9,0x03fff882,0x3f613ffe,0x01bfe62f,0xffd89ff1,0x900fff22,
    0xff8807ff,0x8bff700f,0x3e603ffc,0xc87ff91f,0xfb0003ff,0xf903ec09,
    0xf33ff41f,0x90fff23f,0x437fc3ff,0x3f603fff,0x2a026c4f,0x64260fff,
    0x01d303ff,0x74401e98,0x3ffe602f,0x709fff00,0x37fd47ff,0x3f22fec0,
    0x87ffea0f,0x87ffea18,0x81ffe418,0x7fd40ffe,0x7fec621f,0xfa87ff91,
    0x644621ff,0x3a00fc82,0x41ff501f,0x47ff64fe,0x7fc43ffc,0x3ea0bfe1,
    0x1dff306f,0x7fd402f8,0x3f2ff51f,0x205f4c07,0x74401eb8,0xefea802f,
    0x884fff80,0xffe98fff,0x07fd400f,0xffff07fd,0xffff0999,0x3ff20999,
    0xf80f7e40,0x3a4ccfff,0xdffdefff,0x667fffc2,0x4433fee4,0x57fdc02f,
    0xff13fe80,0x6f7fff43,0x9fdc2dff,0x3fe606fa,0x540dfe83,0x1fffb807,
    0x03fb3ff5,0xddbdd730,0x5f6d4037,0x77f64000,0x00adfdcc,0xff5bfff3,
    0x7df7009b,0x3fa205fb,0xffd104ff,0xdfea809f,0x2200cfec,0x7544fffe,
    0x0efe88df,0x227fff44,0x0ddfffe8,0x81bfd700,0x41eecfd8,0xfe88dfea,
    0xdecfb80e,0x6776c400,0x0b903efd,0x77fffdcc,0x01eefd8b,0x88009880,
    0x2a600001,0x104c0009,0x00266000,0x018800c4,0x40009980,0x88000018,
    0x00019801,0x00026200,0x40004c00,0x01a80198,0x00009800,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x04000000,0xa8d4c008,0x74400002,0x5554003e,0x002aaa00,0x4c073032,
    0x00000041,0x00dec801,0x26035510,0x0c0001aa,0x10000400,0x550007dd,
    0x2a848815,0xa8955544,0x540001aa,0xfd012e0d,0x3f607f51,0xfc805f91,
    0xff1000ff,0x03ff9809,0x85f51fb8,0xacfddfd8,0xbf54fa84,0x26fbf220,
    0x9fff300d,0x803ff200,0xc98006fd,0xb1004efd,0x6c00b627,0x22000fff,
    0x21d904ff,0x7ffb80fc,0xfb0bffb1,0x7f40bf25,0x3e601fff,0x3fe20db2,
    0x7cc0bff3,0xf5005fbe,0x01be600b,0x742fe7f4,0x213f220f,0x01ff97fd,
    0x0bfffff7,0x007f5ff4,0x7f4007fc,0x453e2001,0x3b6001ff,0x7bf3000d,
    0x27dc009f,0x07fbdf10,0xffa9ffe6,0xffa7fc45,0x07dfb305,0xb803e4c8,
    0x6c03b50d,0x36007e64,0x007d4005,0x2e0fffd4,0xb309d04f,0x9a40f625,
    0x3d500cec,0x3f501362,0x8013a200,0x013fa3fb,0x8007eedc,0x4003ea4e,
    0x6ffc805d,0xfa9ffe20,0xb50db85f,0x45000803,0x44000018,0x02801882,
    0x2a001300,0x80efd82a,0x0000005a,0x4c0280a8,0x00144001,0x00fecbfd,
    0x00ef8964,0x800cc144,0x03551002,0xff53ffc4,0x9510000b,0xaca88015,
    0x32aaa880,0x55443555,0x4355532a,0x5532aaa8,0x95554435,0x5101aaa9,
    0x1dffb019,0x2b2a2050,0x05654400,0x002b2a20,0x88015951,0xff000aca,
    0x8007f31f,0x5546fc88,0xaaa98aaa,0x2a05551a,0x5551099b,0x106aaa65,
    0x2ffd4fff,0x2600ca88,0x303fc9ef,0x907f93df,0x3ff62dff,0xd8b7fe45,
    0xb7fe45ff,0x7e45ffd8,0x0bffb16f,0x419d3bf3,0x00cffffb,0x1fe4f7cc,
    0x3fc9ef98,0x7f93df30,0x3f27be60,0xf93df303,0xbdffd007,0x67f4c001,
    0x3fe63ffe,0xdffe88cf,0xcf985f30,0x3ff22fda,0x88bffb16,0x17fea7ff,
    0x033a77e6,0x17fc5ff1,0x2ff8bfe2,0xff737fcc,0x2e6ff98b,0x37fcc5ff,
    0xff98bff7,0xf117fee6,0xfd17ea3f,0x2207ffff,0x10bfe2ff,0x217fc5ff,
    0x0bfe2ff8,0x17fc5ff1,0x2ff8bfe2,0x10fffec0,0x7cc3dffb,0xc8dff12f,
    0x9bfea5ff,0x3a1fd858,0xfb9bfe62,0x53ffc45f,0x1ff88bff,0x0ffd8bf5,
    0x1ffb1ffa,0x3fe23ff4,0xf117fea6,0x22ffd4df,0x3fea6ff8,0xf537fc45,
    0x2a7fc8bf,0x3ff620ff,0x7ec0efff,0xfb1ffa0f,0x363ff41f,0xb1ffa0ff,
    0x23ff41ff,0x1ffa0ffd,0x77ff5ecc,0x7fdc37c0,0xff11ffa0,0x47ffee1f,
    0x31fff82a,0xf537fc45,0x27ff88bf,0x3fe45ffb,0x7ffc1ff5,0xff83ffa0,
    0x883ffa0f,0x17fea6ff,0x7fd4dff1,0xf537fc45,0x26ff88bf,0x77f45ffa,
    0xa82ffa99,0x7c6ffffe,0x83ffa0ff,0x3ffa0fff,0xfe83ffe0,0xe83ffe0f,
    0x83ffe0ff,0x97e40ffe,0x3e25fff9,0x3a0ffe80,0x9ffec1ff,0x20b4ffcd,
    0xf883fffd,0x217fea6f,0xffeabffe,0x54cf7f46,0x1fff12ff,0xff897fec,
    0x88bff60f,0x17fea6ff,0x7fd4dff1,0xf537fc45,0x26ff88bf,0x7ffc5ffa,
    0x010aaaaa,0x223ffff7,0x3ff60fff,0x6c1fff12,0x1fff12ff,0xff897fec,
    0x44bff60f,0x3ff60fff,0xfc83fe62,0xf10593ff,0x42ffe8ff,0xf9b9effa,
    0xff3048ff,0x6ff889ff,0x3e617fea,0x3fffacff,0x2aaabffe,0xfb1ffe0a,
    0x363ffc3f,0x9bfe21ff,0x7fc45ffa,0xf117fea6,0x22ffd4df,0x3fea6ff8,
    0xb007ffc5,0xf8fffa20,0xf0ffec7f,0x21ffd8ff,0x0ffec7ff,0x1ffd8fff,
    0x3ffb1ffe,0x3fa17fe4,0x3fe05bff,0x7c0fff47,0xbffd0dff,0x7fffcc03,
    0xfa9bfe23,0x7d42605f,0x400fff80,0x1ffa0ffc,0x3ff41ff9,0xffa9bfe2,
    0xf537fc45,0x26ff88bf,0x7fc45ffa,0xfb17fea6,0x8807407f,0x83ff23ff,
    0x07fe47fe,0x0ffc8ffd,0x1ff91ffa,0x3ff23ff4,0xfff1ffa0,0x2ffff88b,
    0xfe83ffa0,0x26ffc80f,0x44607ffb,0x3fe26ffe,0x2017fea6,0x7ffb04f8,
    0x3a0ffa80,0xd07fd44f,0x5cfff09f,0x27ff85ff,0x7ff85ffb,0x3fe17fee,
    0xf717fee7,0x0bd1a8df,0x1ff50ffc,0x3fea27f4,0xff513fa0,0x3ea27f41,
    0xf513fa0f,0x3227f41f,0x7fd44fff,0x7e4753ff,0x4c1bfe0f,0x13fe23ff,
    0xf1bf60e8,0x02ffdcff,0x7dc07fcc,0x3fa0d46f,0xfd03ff13,0x3a07fe27,
    0x6ffebaff,0xfebaffe8,0xbaffe86f,0xffe86ffe,0x446ffeba,0x23cbffff,
    0x27d41dfe,0x1ff89ff4,0x3ff13fe8,0x3fe27fd0,0xff13fe81,0x3e27fd03,
    0x7fffcc1f,0xfffdebbe,0x12fe86ff,0x07f401ff,0x24e807f6,0x57ff43fb,
    0xd006ffeb,0x7fc415df,0xd883cbff,0xb101eecf,0x2603dd9f,0xfffacfff,
    0x567ffcc3,0x7fcc3fff,0x43fffacf,0xffacfff9,0x7fff4c3f,0x5f7e5f44,
    0x9fb102fd,0x3f6203dd,0xfb101eec,0x36203dd9,0xb101eecf,0x2a03dd9f,
    0x30cfffff,0xb101dffd,0xb803bd7d,0x77406a85,0xff984fce,0x03fffacf,
    0x4c2efc98,0x4404fffe,0x01310009,0x13000260,0x40009800,0x80c40009,
    0x8800d4c1,0x01310009,0x44002620,0x01310009,0x19806a60,0x22001300,
    0x26080300,0x00004c00,0x0000c400,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xd3000000,0x0aaa005d,
    0x6c00d54c,0xa800445e,0x4000003d,0x0037b200,0x2a206aa2,0x0cc4001a,
    0x86a65500,0x0014c0d8,0x06000801,0x00aaa800,0x0006aa20,0x0000a031,
    0xfe81f744,0x3ff9807f,0xb80bfd10,0x01362fff,0x540ee366,0x910bf54f,
    0x301b37df,0xf9009fff,0x01bf601f,0x17fe6fdc,0x07ed3e60,0x007dc3b2,
    0x2e227fcc,0x2e402dbd,0x04ff8800,0x2007fe40,0xefecedb8,0x3fa60972,
    0xffb059ad,0xfcdfa81f,0x201fe403,0xdf100fe8,0x403d4df5,0xbfec1a1c,
    0x7fdc0ffc,0x7fd05fff,0x0ff801fd,0x3200fec0,0x803fee7f,0xf107f16c,
    0x92c09fbf,0x9fe41fff,0x01f500ff,0x0013ee00,0xfd1007fe,0x05efe889,
    0x0ffffffa,0xf13ef7e6,0x9d007d47,0x640fa200,0x3e25d10d,0x1dcecc01,
    0x07b12d98,0x2033b269,0x409b11ea,0x4e8801fa,0xff537fc0,0x05a8fc07,
    0x6403ffee,0xf8bffe66,0xf107fd2f,0x02740007,0x2200fcc0,0xdff306fe,
    0x1f6d5220,0x443ea4e8,0x00a00981,0x220a0310,0x36a01361,0x80000002,
    0x0660280a,0x3e202880,0x413fe65f,0xa8802618,0x88df701a,0x25ff30f8,
    0x006c86fe,0x19800140,0x81fff440,0x0003fff8,0x220cc144,0x654400ca,
    0x00654400,0x6b8266ea,0x00de5440,0x44037951,0x2a201bca,0x32a201bc,
    0x2f2a201b,0x54bff301,0x2aaa21ff,0x20355532,0x3f2099ba,0x4b30aaef,
    0x8bfd2ff8,0xb98000fa,0x802b2a1b,0x4351bca8,0xe880fffa,0x5510fffc,
    0x06aaa655,0xf3055553,0xf3019d3b,0xf3019d3b,0xf9819d3b,0x3e22fdac,
    0xff55d701,0xff55d709,0xff55d709,0xff55d709,0xff55d709,0xff55d709,
    0x26bff309,0x6ffc81de,0xf98bffb1,0xfd52fdac,0x3913ddff,0x45fd3fe8,
    0x764003e8,0x9decfeaa,0x9ee981fe,0x7fe45dfc,0xffa9e80f,0x45bff22f,
    0x7ec45ffd,0xa8ffc45f,0xa8ffc45f,0xa8ffc45f,0x5d0fec5f,0x26fa83e8,
    0x9bea2ffc,0x9bea2ffc,0x9bea2ffc,0x9bea2ffc,0x9bea2ffc,0x7fcc2ffc,
    0xf309f935,0x22ffdcdf,0xf98ba1fd,0x7d40e26f,0x03645f8c,0xffa97ee0,
    0xff0df50f,0x3fa27fc7,0xff32d87f,0x737fcc7f,0xbff50bff,0x3fea7fc8,
    0xffa9ff20,0xffa9ff20,0x14c7ffe0,0x47ff21ae,0x3ff23ffc,0x7e47ff91,
    0x647ff91f,0x47ff91ff,0x7ff91ffc,0xffc8ffe4,0x3e2ffcc3,0x537fc44f,
    0x1fff8bff,0x037fcc53,0x1f502ea0,0x3ff20188,0x7ccdff30,0x44bfe62f,
    0x3ffe0ffe,0xfff31e46,0xf537fc4b,0x8bff30bf,0xffa99efe,0x2a67bfa2,
    0x27bfa2ff,0x3f62ffa9,0x81f303ff,0x7ffb13d8,0xffd89ec4,0x7ec4f623,
    0x6c4f623f,0x44f623ff,0x4f623ffd,0x7cc3ffd8,0x107ff45f,0x2ffd4dff,
    0x260ffff6,0x880006ff,0x3abb223e,0x3ee3d883,0x3ff999df,0x7f6c7ff2,
    0xb9fffa2f,0x11fffd44,0x2ffd4dff,0x3fe2ffcc,0x20aaaaaf,0xaaaaafff,
    0x2aabffe0,0x3ffe60aa,0x2207d04f,0x883ffdeb,0x883ffdeb,0x883ffdeb,
    0x883ffdeb,0x883ffdeb,0x4c3ffdeb,0x0fff45ff,0x7fd4dff1,0x27fffcc5,
    0x0001bfe6,0x3a7f91b2,0x3f3aa01f,0x1aaaaaef,0x32b27ffa,0x5fff63ff,
    0x1fffb85a,0xffa9bfe2,0x7c5ff985,0x7ffc00ff,0x007ffc00,0x41ffffcc,
    0xc8efa85c,0x477d43ff,0x77d43ffc,0x7d43ffc8,0x543ffc8e,0x43ffc8ef,
    0x3ffc8efa,0x3fa2ffcc,0xa9bfe22f,0xfff985ff,0x01bfe63f,0xff83f500,
    0xdd109fd2,0xf00dff13,0x3ff279ff,0x3abffee2,0x447ffc80,0x17fea6ff,
    0xffb17fe6,0x03ffd807,0x4601ffec,0xf986ffe8,0x7e47fe60,0x647fe63f,
    0x47fe63ff,0x3fe63ffc,0x7cc7ff91,0x4c7ff91f,0x87ff91ff,0x7fec5ff9,
    0xfa9bfe21,0xffe88c5f,0x001bfe66,0x7fcc3e88,0xff88dfb2,0x801fff12,
    0x3ff64ffe,0x8077ff41,0x7fc44ffd,0x2617fea6,0x37fdc5ff,0x46ffb86a,
    0x51bfee1a,0x0dfb0743,0x91ffd8be,0x8ffec7ff,0x3ff63ffc,0x7ec7ff91,
    0x6c7ff91f,0x47ff91ff,0x7ff91ffd,0x7595ff98,0x5cfff0ff,0xfb0745ff,
    0x0037fc4d,0x5ff10d90,0x1ff913fa,0x8a62ffec,0x1ffa2ffb,0x7d41bfe6,
    0x5cfff05f,0x5ff985ff,0x65ffffc4,0x5ffffc43,0x7fffc43c,0xf72743cb,
    0xffe97207,0xd2dffdef,0xbffbdfff,0x37bfffa5,0xfffd2dff,0x3a5bffbd,
    0xdffdefff,0xfbdfffd2,0x6ffd45bf,0xe83f9df9,0x6ffebaff,0x447f7274,
    0x40059fff,0x27fb01f9,0x77ff41fe,0xbefffddb,0x8a7fcc4c,0x9ffd01ff,
    0x3a04fe88,0x6ffebaff,0xe986ffa8,0xfd304fff,0x3fa609ff,0xceee84ff,
    0xea9ea04f,0x0efe88df,0xfd11bfd5,0x237faa1d,0xfd50efe8,0x21dfd11b,
    0xfe88dfea,0x11bfd50e,0x3fa21dfd,0x209bd95f,0xffacfff9,0x3f3bba3f,
    0x01efe984,0xe980fa20,0xffa84f8d,0xfffd51ef,0xb9f91b09,0x322b205d,
    0x02dfdcef,0x7d67ffcc,0x3ffa63ff,0x2003104f,0x40310018,0x02a00260,
    0x00000000,0x00000000,0x00260000,0x00000982,0x17300498,0x03100980,
    0x44013104,0x80019883,0x00000009,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x30000000,0x08800000,
    0x00200330,0x30010022,0x00018001,0x40020062,0x2e000008,0x08005ffe,
    0x54002200,0x0110102a,0x3f261555,0x710befff,0x239ffffd,0x7712aaa8,
    0x02b2a201,0xfefec880,0xffffffff,0xeda802ff,0x3faf260b,0x03fc983f,
    0x7e4c0fcc,0x2007dc03,0xbdfdfdb8,0x9f9b9000,0x401dff70,0xcfea81f9,
    0xffa80499,0x2b7faa05,0xafff4c49,0x7cc03ffa,0x7443d03f,0x5c27fc40,
    0xff501fff,0x5fff707f,0xe981ffff,0x9802ff9d,0x3ffa24ff,0x80bf660f,
    0x47d02fe8,0x7ecc1ffe,0xd9827403,0x00be203f,0xeb9837d3,0xff8fe400,
    0x0ff62e63,0xffff04e8,0x3ffe03ff,0xfd07ffff,0xf505ffff,0x01fff6bf,
    0x7fdc07f9,0x04fb85ff,0x2601fff7,0xff882fff,0x24ffb8ef,0x0dfb1ff8,
    0xfb86ffa8,0x102d80ff,0x9bea03fd,0x3fc85ffb,0x7f901b20,0x3a602740,
    0x803a60c1,0x20dff2ff,0x4c1b206c,0x003edb8a,0x2e60bff3,0xf303eda8,
    0x07ffeebf,0xffb804e8,0x2e05d80c,0xff300fff,0xa9ffe05f,0xa9fea5ff,
    0x3ffe207f,0x20fffb83,0x7fd10551,0xff53fd40,0x2607f90d,0x81fe401f,
    0x47a200fb,0x8edbcfd8,0x3ffa80e9,0x5ffb05d5,0x00003f30,0x3fe66ea2,
    0xff300005,0x0a034c4b,0x20140100,0xf300fffb,0x9ffe05ff,0x1bf25ff9,
    0x7ffe4013,0x10fffb80,0x03ff40c7,0x09ff70d4,0x013a07f9,0x0be20ff2,
    0x03fe2770,0x3f20ee1d,0x7fc8804f,0x554c04e8,0xb9ff502a,0xaa88bffb,
    0x3017712a,0x224b8bff,0x17712aaa,0x98555530,0xff702aaa,0x3ffe601f,
    0x7ccfff02,0x001ffe6f,0x3ee0fffd,0x4c0770ff,0x000badff,0x7f901dfb,
    0x3f200d70,0x0e805e83,0x26150bfb,0x005ffc85,0x100d717a,0xff10bffb,
    0x5c2ffec9,0xffffafff,0x932ffcc0,0xfafffb81,0x7ec40fff,0x2ffec45f,
    0x300fffb8,0x3fe05fff,0xff9bfe67,0x3ffe000f,0x51fff706,0x7ffdc07f,
    0x2601dffd,0x89f900ef,0x9f9001f9,0xb4400fb8,0x27802ff8,0xccfffeca,
    0x21e865c0,0xff5001f9,0x4c3ff90b,0xfff885ff,0x4c4ffb8d,0x220535ff,
    0xffb8dfff,0xa85ffa84,0xfff705ff,0x0bffe601,0xdff33ffc,0x8801ffe4,
    0xff706fff,0x6c07ffdf,0x0dff51ff,0x799302e4,0x20cc2743,0x5f11bcc9,
    0x4d660544,0x71d801ff,0x3fffffff,0x740adda8,0xff981984,0x261ffe85,
    0x7ff885ff,0xff317fea,0x4fff100b,0xff985ffa,0x705ff985,0x3e601fff,
    0x7ff882ff,0xffa9bfe6,0x7fc0621f,0x1fff706f,0x7ffc07f3,0x2c0bffe1,
    0xf886b800,0x7e4bb004,0x7c5a22ff,0xff07801f,0x21ae000f,0x5ff984f8,
    0x3e60fff8,0x27ff885f,0x7fcc5ff9,0x27ff8805,0xff985ff9,0x705ff985,
    0x3e601fff,0xfff882ff,0xff8dff30,0x3604ccff,0xfff707ff,0x7fc40ee1,
    0x40fff61f,0x41f98003,0xfb804fe8,0x8df91910,0x9807fd0e,0x000ffb05,
    0x4fe883f3,0xff85ff98,0x217fe60f,0x3fe67ff8,0x402ffcc5,0x3fe67ff8,
    0x985ff985,0xfff705ff,0x7fcc2e61,0x7ffec41f,0xe88dff35,0x7d404fff,
    0x1fff707f,0x3fa288e2,0x40fff21f,0xd84e8000,0x17c404fb,0x99644f98,
    0x0771c1ff,0x3a0017ea,0x984fbd84,0x1ffd85ff,0x3e217fe6,0x317fe67f,
    0xff100bff,0x4c2ffccf,0x5ff985ff,0xf11fff70,0x03ffe69f,0x306ff980,
    0x3ffe200b,0x20fffb81,0x2ffd8b20,0x00407ff2,0x2a721ae0,0x702ec04f,
    0xb30e981f,0x074c79bf,0x0e13eea2,0xfa9c86b8,0xb85ff984,0x1bfea3ff,
    0xff99ffe2,0x402ffcc5,0x3fe67ff8,0x985ff985,0xfff705ff,0x3e69ff31,
    0x3e61007f,0x009fb05f,0x3f217fe6,0x20f980ff,0x1ff64ffa,0x4c00ffe2,
    0x7e56dc1f,0x201f701d,0x01d301e8,0x6fc41e98,0x2fdcdeff,0xadb83f30,
    0x7fcc1dfc,0x98fff885,0x7c40fffe,0x317fe67f,0xff100bff,0x4c2ffccf,
    0x5ff985ff,0x363fff70,0x007ff51f,0x09ff33f3,0xf98017e2,0x3fffa0cf,
    0x321fee61,0x2e07fa7f,0x09d006ff,0x05ffddd7,0x2ba205f1,0x0be981a9,
    0x95c0f5c4,0x0ffffffc,0xddd709d0,0x6ffa85ff,0xf5bfff30,0xfff989bf,
    0xfa8dff50,0xfff9806f,0xf50dff50,0x8dff50df,0xbeffffb9,0x03ffcdc9,
    0x1ff59f30,0x8003fb50,0xfffdfdc8,0xfffeefff,0x5d9bd906,0x2013fe20,
    0x27d400eb,0x3ff605d8,0xdd7300ff,0x22037ddb,0xeffc9fde,0xa801d702,
    0x7fff4c4f,0x80442604,0xe8cfffd8,0xffd33fff,0x7fec409f,0x3fffe8cf,
    0x993fffa6,0x0004fffe,0xbb500013,0x00022037,0x00004cc0,0x00100088,
    0x0b260072,0x66540326,0x131003cc,0x00620c00,0x05930039,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x2201cc0d,0x8aa06440,0x2aa61aa8,0x442aa801,0x02ea2aaa,
    0x30011000,0xd8062000,0x01ffffff,0x0c880400,0x99ba8154,0x02ee0000,
    0x1b002aaa,0x55544298,0x50017712,0x08000155,0x23f70000,0xf9f901fa,
    0xfb87641d,0xfb97fea0,0x17fcc03f,0xffcbffd4,0x0fec7fa3,0xc8817e44,
    0x74004ffe,0xfffff107,0x3ff260df,0xdf90beff,0x3ee1d903,0x7ed67cc0,
    0xffb80b02,0x403ff984,0x703f70eb,0xffff5fff,0x027fc401,0x77f40ff2,
    0xcfe80000,0xf1bfb05f,0x7effc45f,0xf72ffd44,0x03fc807f,0x3ff2fffe,
    0xff17ff33,0x17ffe4c9,0x5fffffe8,0x2a0ff900,0x02eeeeee,0xf10fffe4,
    0xbff109ff,0x743fb09f,0x7dc06c82,0x80df504f,0x104fdff8,0xff71bfff,
    0x4027d409,0xfff987ff,0xffa80003,0x54ff980f,0x81fff907,0x3fee5ffa,
    0x3e01fc03,0xdc8314ff,0x2ee61b70,0xbda82fff,0x401ffffc,0x03b07ffa,
    0x03ffee00,0x3f20dffb,0x1fff80ff,0x406fa853,0x3ea00cc8,0x07ffdc00,
    0x3ea7ff88,0x4017605f,0xbffd04fc,0x0aaa0000,0x22027fd4,0x5ffa81aa,
    0x2880ffee,0x001fff80,0x905ffd00,0x202fff98,0xf887ffe8,0x7dc001ab,
    0x04a880ff,0x3f603551,0xeffb83ff,0x4c0000aa,0x201aa800,0x3fe67ff8,
    0x00000a05,0x54000791,0x1aaaaaaa,0xa9813fea,0x5ffa82aa,0x5510ffee,
    0x3e05d455,0x2aa600ff,0x0bffa02a,0xd00fff40,0xff70fff3,0x2e005dff,
    0x43b00fff,0x2ea2aaa8,0x93fffe60,0x1eefffea,0x2aa60310,0x9555442a,
    0xff880bb8,0x5517fe67,0x43555555,0xaaaaaaaa,0xaaa88e81,0xbf017712,
    0x45fff957,0x36204ffa,0x5ffa85ff,0x3ea0ffee,0xf87ff97f,0x7fec407f,
    0x00bffa05,0x27903ff4,0xfffe87ff,0xfb806fff,0xa84a80ff,0x87ff97ff,
    0x263ffff9,0x02a806ff,0xf70bffb1,0x1ffff5ff,0x3e67ff88,0x655efc5f,
    0x2f7e2fff,0x5c2fffca,0x3effff23,0x36340fff,0x27fd45ff,0x2a17fea0,
    0x0ffee5ff,0x7fe5fffc,0x5403ffc3,0x3ffa05ff,0x04ff8802,0x643ffcb5,
    0x4fffffec,0x207ffdc0,0x2fffe01a,0x74463ffc,0x1bfe66ff,0x7d401b10,
    0xdfff885f,0x7c44ffb8,0xd17fe67f,0x2345ffd8,0x205c5ffd,0xfb8dfff9,
    0xfff5143f,0x404ffa81,0xffa85ff9,0x2153ff65,0xf0314fff,0xbff300ff,
    0x4017ff40,0x41d106fa,0xfea807ff,0x3fee00ff,0x7ffc000f,0x360e8314,
    0xdfffd76f,0x405e883d,0xff885ff9,0xf117fea7,0x22ffccff,0x503ffea2,
    0x4007ffd4,0x3fea7ff8,0x07fff104,0xf9809ff5,0xafffa85f,0x40ceffed,
    0x3e201fff,0x7fcc00ff,0x00bffa05,0x20ec07f6,0x3f6007ff,0x3ffee02f,
    0x0fffc000,0x89fdc9d0,0x4c19effa,0x7fcc01fe,0x267ff885,0x7ffcc5ff,
    0x220dff50,0x3e203fff,0xff1003ff,0xc82ffd4f,0x9ff506ff,0xa85ff980,
    0xffd3ffff,0x201fff07,0x00dfffd8,0xfe817fe6,0x817d402f,0xffccccea,
    0x3fd001cf,0x007ffdc0,0xe803ffe0,0x7cc4fcee,0x06ff886f,0xf885ff98,
    0x897fe67f,0xfe8cfffd,0x6ffc83ff,0x0037fe40,0x7fd4fff1,0x02fff985,
    0xf9809ff5,0x818db85f,0x401ffe01,0x7fcc00a8,0x80bffa05,0xfb8442f8,
    0xffffffff,0xb80f9002,0x02e00fff,0xd3080fff,0x70dff301,0x21754bff,
    0xff885ff9,0x5017fe67,0x5fff3003,0x017ffcc0,0x7d4fff10,0x45ffd85f,
    0x3013fea1,0x00fb0bff,0x4c01ffe0,0x3fe601ff,0x80bffa05,0x3326582d,
    0x1cfffccc,0x0136032e,0x3401fff7,0xfc803ffc,0xc86ff884,0x317f65ff,
    0xfff10bff,0x3e02ffcc,0x2ffec03f,0x18bffb06,0xf53ffc40,0x0fffa8bf,
    0x04ffa8ae,0x7fc2ffcc,0x07ff8000,0xf980fee0,0x0bffa05f,0x7ff777e4,
    0xf87ff806,0x2012a3ff,0xf700fffb,0x2200fff0,0x9fff886f,0xfa9ffe64,
    0x442ffcc3,0x17fe67ff,0x7d40bf30,0xfa8ae0ff,0x100ae0ff,0x2ffd4fff,
    0x7cc7fff1,0x5017fee2,0x1ff88dff,0x07ffc400,0x2a02f5c0,0x3ffe06ff,
    0xfffffa83,0x7ff804ff,0x3dfffeb8,0x85fff900,0x7fc46fb8,0x17ed400f,
    0x6c1efea8,0xf50f53ff,0x1fff30df,0xda81bfea,0x7fff101e,0xfff897cc,
    0xf300be63,0x937fdcff,0xfffddfff,0x33fffae3,0x4fffe980,0x362002e4,
    0x0c00dfff,0x27fff4c0,0x9ffffb71,0x3ffffe63,0xff803fff,0x98006207,
    0xeefffffb,0x3625fffe,0x2200dfff,0xedb80000,0xfffe981c,0x33fff624,
    0x103fffe8,0xefffc801,0xff91fffe,0x03fffddf,0x467ffec4,0x0003fffe,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfff98000,
    0x004fffff,0xff950001,0x7f547dff,0x7ec40eff,0xfff933ef,0x3f2217df,
    0xffff73ef,0xffdb819d,0x3bfffee6,0x9ffffd72,0x98f7ecc1,0x00005ffe,
    0x02fff5c0,0x20591018,0x11bb9800,0x99aca805,0x35555509,0xaa98aaa2,
    0x3103731a,0x33333333,0x3fff2613,0xfff70bef,0x003fffff,0x7e400093,
    0xfffb00ff,0x7e41e60b,0x81f500ff,0x7c04fffa,0x43fffb84,0xf106fff8,
    0x005ffa81,0x7fd40058,0x3f732605,0xf10fff44,0x2ffa207f,0xf905ecf9,
    0x2dfffb3b,0x710efff9,0x6ffec45f,0x2e0effed,0x99999999,0x7ffdc299,
    0x7ffffec1,0x1f9007ff,0x1fff2000,0x84ffffb8,0x1fff9068,0x7ff41a20,
    0x7c41a207,0xfffc85ff,0xff984980,0x00364005,0xfe817fea,0x3fa0ffb9,
    0x41bfea2f,0x17fee4fd,0x7fd43fea,0x2637fdc1,0x52fffa85,0x500149ff,
    0x740fffb8,0x4027c41b,0x70003ff8,0x7ddc0fff,0x70682fff,0x83440fff,
    0x7702fffa,0x207ffe40,0x1c83fff9,0x2005ff98,0x7cc006fa,0x13ff505f,
    0xe83d9837,0x21ffb82f,0x7fe85ffa,0x3fe17fe6,0x3ea0721f,0x287ff45f,
    0xfff70a00,0x1fa81441,0x007ffb80,0x5c0fff70,0x40ffffaa,0x40fff706,
    0x1bffe068,0x3ffe6034,0x686ffe83,0x2e2bff30,0x55dff702,0xf3375101,
    0x07ff60bf,0x3ff60000,0x3e17fea1,0x217fe27f,0x54165ffb,0x97fec5ff,
    0xff70a002,0x01f6001f,0x0017fff4,0x5703ffdc,0x683bfff2,0x440fff70,
    0x07ffee06,0xdffd0075,0x21ffff88,0x9dff303a,0x7541dffb,0x541eefff,
    0x5ffddcff,0x167ff544,0x2aaa9850,0x3ea0fff8,0x30ffd85f,0xfff107ff,
    0x3fea0731,0x029ffec5,0x1fff70a0,0x7009f100,0x000dffd7,0x15c0fff7,
    0x834bfffb,0x1a207ffb,0x6c4fff88,0x2fffa800,0xd93ffeb2,0x23dff300,
    0x7fcc5ff9,0x6c9ff106,0x7ff4c5ff,0x883204ef,0xfff85ffd,0x2217fea0,
    0x01bf93fe,0x40333ff2,0x7fec5ffa,0x2e140053,0xfa800fff,0xffb8e801,
    0x7fdc001f,0xfe88ae07,0x3ee0d3ff,0x901a207f,0x01261fff,0x65a5fff8,
    0x20588fff,0x7ff45ff9,0x641bfe61,0x17fe61ff,0x3600ffec,0x742ffd42,
    0x17fea0ff,0x403dded8,0x2a05fff9,0x8ffec5ff,0xff70a002,0x00fb001f,
    0x17ffe295,0x40fff700,0x7fffc42b,0x0fff7069,0x3fe60344,0x64001b3f,
    0xf33a8fff,0x4c0575ff,0x17fec5ff,0x3fa0dff3,0x417fe61f,0x1fc01ffd,
    0x3ee17fe6,0x417fea2f,0xffd8003c,0xd17fea02,0x2800a1ff,0x2007ffdc,
    0x20d804f8,0x2000fffc,0x0ae07ffb,0x41bfffea,0x16207ffb,0x163bffa0,
    0xb7fff300,0x0377ff41,0xffb17fe6,0xf837fcc7,0x17fe60ff,0xf100ffec,
    0x985ff98b,0xffe88eff,0x999cfb85,0x407fa800,0xfa8cfffa,0x42800a3f,
    0x5400fffb,0x222cc02f,0x8aa04fff,0x0ae07ffb,0xb837ffdc,0x0b300fff,
    0x03dfff50,0x89fffd00,0x4c04fffb,0x17fec5ff,0x3fe0dff3,0x417fe60f,
    0x3ea01ffd,0xa82ffcc7,0x5ffbefff,0xffffffd8,0x2027404f,0xfffcdffa,
    0xb8500144,0x3ec00fff,0x77777640,0xfb80fffe,0x40dff91f,0x1bff602b,
    0xa80fffcc,0x0dffd004,0x07ffea00,0x9803fff1,0x07fec5ff,0x3f60dff3,
    0x417fe61f,0x3f201ffd,0x017fe60f,0x217fea13,0xfffffff9,0x5007204f,
    0x14062bff,0xfffb8500,0x1013e200,0x0fffe60b,0x7fe47ff2,0xfd00ae05,
    0x817ffc0d,0x5ff7001d,0x82ffc000,0xff9806fd,0x3e237f45,0x47ff706f,
    0xffb06ffa,0x317ff403,0x7d400bff,0xccdd985f,0x8226fecc,0x05ffa805,
    0xf70a0028,0x17d401ff,0xffe80b60,0xfb37c40f,0x202ec03f,0x3fea06f8,
    0x800f221f,0x640006f8,0x007f502f,0x3e61fff3,0xd9fff80f,0x263ffe20,
    0xfd80fffe,0x8fffe01f,0x2a005ff9,0x206f85ff,0x0aaff13f,0x2017fea0,
    0xff70a002,0x203ec03f,0x3fee01f9,0xfddd984f,0xbffb501e,0x26034c03,
    0x02defffe,0x40003c80,0x4007c079,0xdecedaf9,0x03dfd301,0xff5bfff3,
    0x05ffd09b,0xff517ff4,0x37fd400d,0xb93057f4,0x016ffe21,0x5c037fdc,
    0xaaaaaaaa,0xfff732aa,0x055017df,0x221f7fdc,0x04ffffeb,0x20000026,
    0x00331001,0x80000880,0x41000c01,0x4c000018,0x3f220110,0x9b302eff,
    0x027fff4c,0x427776d4,0x82cddeca,0xdb3003da,0x000017dd,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7ffe4c00,0x00abdeff,0xffffb700,0x7fffffff,0x90f7ffec,
    0x3ffa61ff,0x3fae2eff,0x3ff262df,0x7ed43eff,0x3ff264ff,0x3deefeff,
    0x3ffff260,0x300abdef,0x64c0bffd,0x403dffff,0xbeffffc9,0x7ffe4c00,
    0xffc98bef,0x3f2a3eff,0x401cefff,0x7445ffe9,0x2e2007ff,0x897ffaa1,
    0x90007ffe,0xfd311fff,0x3e20003f,0x7ecc7ffd,0x7c1fff43,0x1ffff441,
    0xff701fcc,0x817ea05f,0x3f267ffc,0x3ff600df,0x03dff317,0x32017fea,
    0x7e4007ff,0x7dc001ff,0xfffc81ff,0x03fff900,0x4c2ffd40,0x3f6007ff,
    0x317fee1f,0x2e000fff,0x3fa20fff,0xcbc8002f,0xb87b07ff,0x982cc5ff,
    0x2640ffff,0x207ffea0,0x7fdc03f8,0x204fff87,0x7fc47ffc,0x05ff981f,
    0x4007ffb8,0x4000fffb,0xfc80fffb,0x3ffee07f,0x17fe6000,0xf801ffe2,
    0x17fea3ff,0x2000fff1,0x7cc0fffb,0x566002ff,0x398c7ffc,0x5707ffc4,
    0x32fffe40,0x3fff500b,0xfb801e98,0x07ffc87f,0x3ea1fff2,0x2ffcc1ff,
    0x667ffdc0,0x7ffdc02a,0x7ffd4000,0x207ffb80,0x2000fffb,0xff885ff9,
    0x837ea007,0x7fc45ffa,0xfff70007,0x009fff01,0x27ffc8ec,0x3ff60639,
    0x3ffa01a3,0xa800e8af,0x03aa1fff,0x5c3ffdc0,0x3ff207ff,0x44fff887,
    0xfb805ff9,0x2efea9ff,0x001fff70,0xb80fffa8,0x3fee07ff,0xf9804a8f,
    0x27ff885f,0x5002aaa9,0x7ff88bff,0xf7001771,0xdffb01ff,0xffc8ee00,
    0xff500f27,0x3e60126d,0x5001dfff,0x01723fff,0xfb0fff70,0x3ffe409f,
    0x7cc6ffe8,0x7ffb805f,0x2e0bffe2,0x54000fff,0xffb80fff,0x37ffee07,
    0x0bff3004,0x7ec4fff1,0xdff5001c,0x7d7ffc4b,0x93100fff,0x21333fff,
    0x4400fffc,0x5c7ffe46,0x9fff803f,0xfff7002b,0x7ffd400b,0x2000efd9,
    0x7fd47ffb,0x1fff200f,0xf307ffec,0x2e0f66bf,0x27ff47ff,0x9707ffdc,
    0x57ffd401,0x7ffc9999,0x00bffee0,0xf885ff98,0x20016c7f,0x3e20effa,
    0x09ff74ff,0x33fffb2a,0x5fff91cc,0xc999bd80,0x03ffefff,0x006cffc8,
    0x8017fff4,0xfffffffa,0x3ffee005,0x00cffedc,0xfc83ffe4,0x57fe61ff,
    0x7ffb87fc,0x7dc3ffec,0x07ff10ff,0x7777ffd4,0x207ffeee,0x2000fffb,
    0xff885ff9,0x50300b27,0x7ff88bff,0xf7013fea,0xfff901ff,0x6666d403,
    0x7d17ffec,0x3ffbbba0,0x401eeeff,0x800ffffb,0xffd9fffa,0xfff7004f,
    0x003fffb3,0x3f60fff9,0x57fe61ff,0x7ffb84e9,0x7dc2fff4,0x807fa0ff,
    0xfb80fffa,0x3fff207f,0x17fe6000,0x0365ffe2,0xffc87ffa,0xf33ffc45,
    0xfffb80bf,0x00fffd80,0x9fff203a,0x5fff003a,0x7fdecc00,0xfffa805f,
    0x02fffe89,0xff17ffb8,0xffc801df,0x98fffd07,0xffb805ff,0x20bffe27,
    0x4000fffb,0xfb80fffa,0xfffd907f,0x2ffcc001,0x7fe7ffc4,0x29fff303,
    0x7c45ffcb,0x017fe67f,0xfd01fff7,0xc81640df,0x050e27ff,0x44007ffe,
    0x05fffb0e,0xf31fffa8,0xfb803fff,0x13ffea7f,0x3e0fff90,0x2ffcc5ff,
    0x557ffdc0,0xff702ffe,0x2a05c01f,0xffb80fff,0xfffbab87,0xff982a00,
    0xfbfff885,0xbffb01ff,0x3e22ffd4,0x017fe67f,0xf981fff7,0x40b302ff,
    0x55047ffc,0x3fffbbba,0x3b01eeee,0x007fffc4,0x7d43fff5,0x3ee00eff,
    0x17ffec7f,0xf30fff90,0x5ff983ff,0xccfffb80,0x3fee00ac,0x3ea1a00f,
    0x7ffb80ff,0x803ffee0,0x442ffcc5,0x0dff77ff,0x17fea3c8,0x7fccfff1,
    0x07ffdc05,0x1e817ff2,0x441fff20,0x03fff01e,0xfff707b0,0x0fffd40b,
    0xb817fff2,0x7ff447ff,0x0fff900f,0xff309ffb,0x0fff700b,0x00fffb80,
    0x1fff50f7,0x5c0fff90,0x8f500fff,0xff885ff9,0xe813ffa7,0xf117fea0,
    0x02ffccff,0xfc87fff2,0x901b203f,0xfea81fff,0x02fff880,0xfffd03ec,
    0x07ffee09,0x20bffff1,0x7cc0fffc,0xfffb06ff,0xa81ffe41,0xffb806ff,
    0x7ffe4007,0x5c37dc42,0xffc81fff,0x3fff700f,0x7d46fc98,0x27ff986f,
    0x2c81fff9,0x3e637fd4,0x41bfea7f,0xefffffb9,0xfb100bdf,0x7e5443bf,
    0xffeeffff,0x7ff5c47f,0x7f5c0bef,0x7ffe42df,0x3fee64ff,0x3fee3eff,
    0xf932efff,0xfc87bfff,0xff931eff,0x17bfdfff,0x13fffa60,0x6ffffdcc,
    0x7ffdcc03,0xfffeeeff,0x3fffee65,0xfffc98be,0x3fee63df,0xffeeefff,
    0x3fffa65f,0x53fff624,0x2e2ffff9,0x9ffff4c0,0xe8cfffd8,0x00003fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xeed80000,0x3620eeee,0xddb007ff,0x64c1dddd,0x98beffff,
    0x23effffd,0xefffffc9,0xffc982de,0x1deeffff,0xffffff88,0x1fffffff,
    0x3bbbbbaa,0xeeffff82,0x263ffffe,0x0beffffc,0x7fffe4c0,0x7fffd405,
    0xfffff72d,0x5ffd9819,0x3fffff26,0x40ffffff,0x4eeeeee9,0x7ffffe4c,
    0xf100abde,0xffffffff,0x3aa3ffff,0x3a3eeeee,0x40ffffff,0xff007ff9,
    0x901fffff,0xffb05fff,0x3ffee03f,0x80effc98,0xff517ffc,0x31cf887f,
    0x0fe43fff,0x7ffffff7,0x7cc1df88,0xfff906ff,0xfffc8003,0x3ffb600f,
    0x07fff886,0xfffb817c,0x2607f541,0x06ffffff,0xd311fff9,0x19f103ff,
    0x6447ffe6,0xfffff51f,0xff30009f,0x000fffff,0xffffff50,0xffffffff,
    0x1fff50ff,0x7dc2fffc,0x07ffdc7f,0x1fff98f1,0x698000ec,0x203fffd0,
    0x4000fffb,0x104fffbb,0x2e0dffbb,0x0b503fff,0xf80fffd4,0xffb80000,
    0x0bffa20f,0x1fff98b1,0x544000ec,0xfff100ac,0x0de54400,0x701fff50,
    0x7fd40fff,0x21fff60f,0x7fcc7ffb,0xff30e23f,0xa881a83f,0xf705500c,
    0x7fdc09ff,0x6d5c000f,0xfb3907ff,0x7fff40bf,0x3ea00e80,0x221901ff,
    0x55532aaa,0x81fff703,0x0e22fff9,0x1a83fff3,0x260aaaa6,0x883fc9ef,
    0x015717ff,0x09ff55d7,0x2e03ffea,0x3fea07ff,0x21fff20f,0x7fcc7ffb,
    0x7ffcc01f,0xe9df9801,0x7fc4040c,0x3fee00ff,0x4d5c000f,0xfb683fff,
    0x7ffd40bf,0x3ea01dc3,0x204661ff,0xffb16ffc,0x01fff70b,0xf9809fff,
    0x7ec401ff,0xf17fc45f,0xafff885f,0x3ea0ffff,0x2a0bff26,0xffb80fff,
    0x83ffea07,0xffb84fff,0x4037fe47,0x4401fff9,0x00bf51ff,0xb805fffb,
    0x5c000fff,0x3a8dffd2,0xfe80bffb,0x500d10ff,0x80e43fff,0x3fee6ff9,
    0x80fffb85,0x7cc06ffd,0xffa801ff,0xfd07fec5,0x8efff88f,0x3ff24ffb,
    0xf507ff91,0x933335ff,0x7fd40fff,0x01dff50f,0xfb75fff7,0x3fe6005d,
    0x53fe401f,0x7fd401ff,0xfffb805f,0xfb95c000,0x7ec361ff,0x7ffcc05f,
    0xff500594,0x203f713f,0x3fea6ff8,0x3fff2625,0xfff90999,0xffcaa981,
    0xf301aacf,0x20fff8bf,0x3fe20ffe,0xd897fea7,0x507ffb13,0xdddddfff,
    0x7d40fffd,0x03fffcff,0x3fb7ffee,0xff3002df,0x9efe803f,0x3a02ffa9,
    0xfb800fff,0x15c000ff,0xd926bfff,0xffd805ff,0xff5005af,0x203fffdf,
    0x3fea6ff8,0x3fffb2a5,0xfff91ccc,0xffdcca85,0xf302ccdf,0x07ffc4bf,
    0x7fc45ffb,0x2217fe67,0xa83ffdeb,0xffb80fff,0x27ffea07,0x7ffb8009,
    0x2007ffec,0x7c01fff9,0x0aaaaaff,0x007fff90,0x0003ffee,0x47ffe457,
    0x017ff61c,0x003fffe6,0x5c4fffd4,0x4dff101f,0xffb85ffa,0x1fffc80f,
    0x007ffe60,0xfff17fe6,0x3e21ffd8,0x517fe67f,0x07ff91df,0xf701fff5,
    0x7ffd40ff,0x1ffee000,0xf3013ffe,0xfff803ff,0xdfff3000,0x3ffee0c0,
    0xf115c000,0xffd8b9ff,0x0fffb005,0x90fffd40,0xa9bfe203,0xfffb85ff,
    0x00fffd80,0x2007ffe6,0x7fe45ff9,0xff11ffa0,0xf32ffccf,0x20fff23f,
    0xfb80fffa,0x3ffea07f,0x1ffee000,0x9803fff6,0x7ec01fff,0xfffd003f,
    0xff712203,0x2e05c01f,0x217ffec2,0xf9005ffd,0x7fd400ff,0x7c40661f,
    0x217fea6f,0xfe80fffb,0x7ffcc06f,0x45ff9801,0x13fa0ffa,0x7fccfff1,
    0x7e47ff65,0x0fffa83f,0x2a07ffb8,0x2e000fff,0xfffd87ff,0x07ffe600,
    0x1a8dff70,0x902fffd4,0x00fffb87,0xff30ae1a,0x00bffb0d,0xa801fff2,
    0xf0041fff,0x42ffdcff,0x7cc0fffb,0x7fcc02ff,0x5ff9801f,0x3ff13fe8,
    0x3e67ff88,0x3bfffa5f,0x7d42dffd,0x7ffb80ff,0x003ffea0,0xff87ffb8,
    0x7ffcc06f,0x7fffc402,0x7ffc43cb,0xb85f300f,0x0f700fff,0xd07fd057,
    0x3f200dff,0x3fea007f,0x3ffa001f,0xb86ffeba,0x7fe40fff,0x2fff9805,
    0x886ffa80,0x981eecfd,0x9bfea7ff,0xfe88dfea,0x0fffdc0e,0xb807ffe4,
    0x32001fff,0xffb11fff,0xfffa801d,0xfffe9802,0x83fffc84,0x7e41ffc8,
    0x37dc42ff,0x407dc264,0xfb006ffe,0x7fdc00ff,0x3fe6001f,0x43fffacf,
    0x3f21fffc,0xfff5003f,0xfffe9805,0x22013104,0xfe8cfffd,0xb98003ff,
    0x98beffff,0x23dffffc,0xbeffffb8,0x3fff2600,0x02defeff,0x77fff5c4,
    0x3018800b,0xddddffff,0x261fffff,0xeefffffb,0x3265fffe,0x2a241cff,
    0x02dffffd,0x5bffff95,0x3ffee601,0x26000bef,0x7ffdcc00,0x00bdfeff,
    0xefffeb88,0x0000000b,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3f260000,0xffffffff,0x0029807f,
    0x51002a00,0x05dcc001,0x2a201773,0xaaaa81bc,0x1aaaa98a,0x32a20555,
    0x032a200a,0x54caaaa2,0x100b89aa,0x55501595,0x8aaa2355,0x5532aaa8,
    0x266ea035,0x54377300,0x32a200ac,0x0dc4351b,0x00200002,0x503ffee0,
    0x00f700ff,0xf7056544,0x800f980b,0xcafc9ef9,0x75c1fd9f,0x7cc4ffaa,
    0xffe88cff,0xd305f30d,0xf305ff3b,0xfc819d3b,0x7bffb16f,0x93df30bf,
    0xefff987f,0xff90fee0,0x317ff62d,0xc85fb59f,0xdecfeaae,0xee981fe9,
    0x7ec5dfc9,0x2e07d11f,0x000fec06,0x2603ffee,0x3007b807,0x269f93df,
    0x007cc06f,0xffe8bfa2,0x37d4df33,0xffc85ff9,0x589bfea5,0xdfb1ff88,
    0xbf51ff88,0x3ee6ff98,0x7c46e8df,0xf70bfe2f,0xf985a8df,0xb17fee6f,
    0xbf71743f,0xfa87ffd4,0x3fe3ff86,0xf91fffc4,0x5c03fb87,0x7fdc000e,
    0xb805860f,0x22ff8807,0x401dbdff,0x7fec00f9,0x7c4bffa0,0x323ff92f,
    0x7ffc43ff,0x2a3fff70,0x3ea7fa82,0xff53fe47,0xf537fc41,0xfd8177df,
    0x3e1ffa0f,0x220721ff,0x17fea6ff,0xc8a63fff,0x4dff30ff,0x3fe62ff9,
    0x541ffd12,0xb9fe40df,0x2000003f,0x1960fffb,0xfd807b80,0x801ffa0f,
    0x3ff400f9,0x3e66bff6,0x3627b13f,0x3ffd83ff,0x4169ff9b,0x3a04c6fc,
    0x2ffa99ef,0xffa9bfe2,0xe83ffe05,0x2ffdc0ff,0xa9bfe20b,0x7ffec5ff,
    0x3ee3d883,0x3ff999df,0x7f6c7ff2,0x37f2002f,0x9999883f,0x01999999,
    0x5987ffdc,0x32666620,0x7c19999f,0x03ffa0ff,0x3ea66662,0xf109999a,
    0xcdffc8ff,0x75c42ccc,0xffa83ffd,0x8fff9b9e,0xf00fff04,0x155555ff,
    0xff537fc4,0x83ffe20b,0x7fc42ffd,0xff102a8f,0x262ffd4d,0x2a04ffff,
    0xaaaeffce,0x27ffa1aa,0x003ffcac,0xffe82ff4,0xffffffff,0x3ffee01f,
    0x3fa05eb9,0xffffffff,0x1fff11ff,0x7e417fec,0xffffffff,0x8fff13ff,
    0x7d403ffd,0xf03ffc8e,0x3ffa1bff,0x01fff01d,0x4400fff8,0x17fea6ff,
    0x7fec7ff8,0x05bffd81,0xffa9bfe2,0x3ffff985,0x7fc4f744,0x3cfff806,
    0x5c005ff9,0x99883fdf,0x99999999,0x77ffdc01,0x266205ff,0x9999fc99,
    0xfb1ffe21,0x3333103f,0x133335f5,0xffb07fec,0xc8ffcc0d,0xdff903ff,
    0xf903ffdc,0x3ffd807f,0xf537fc40,0x07fe40bf,0x3fe60ffd,0x9bfe203f,
    0xe88c5ffa,0x4bfe26ff,0x7400fff8,0x07ff64ff,0x327f7013,0x2000003f,
    0x5e88fffb,0x7c03dc00,0x01ffa0ff,0x7dc00f98,0x87fffa0f,0x323ffb28,
    0x7ff303ff,0xf5027fc4,0xf70c43ff,0x7fc1a8df,0x40bff90f,0x13fa0ffa,
    0x7c00ffe8,0xd17fee7f,0xff937ec1,0x262ffec1,0xfe8bfee2,0xf70ffe47,
    0x6403fc87,0x7fdc000e,0xb800b10f,0x20ffc807,0x3e6004fe,0x897f4400,
    0x4bcfffff,0x3f7bfffa,0x81fd02df,0x7ffc01fd,0x7fc44ccf,0xfe83cbff,
    0x06fffdbf,0x1ff89ff4,0x3a017ea0,0x6ffebaff,0x747f7274,0xffddbeff,
    0x7cc4cbef,0xf83ff14f,0x640fa3ff,0x0007ec06,0x4483ffee,0x4403dc03,
    0x03ff12fe,0x44007cc0,0xfb8eecfd,0x6ff545ff,0x700efe88,0xd100d50b,
    0x3a609fff,0xff304fff,0x07fff59f,0x0f767ec4,0x7cc00fc0,0x3fffacff,
    0x513f3bba,0x3aa3dfff,0xc8d84fff,0xfc82edcf,0x0010020f,0xfff70001,
    0x7f4d1041,0xffffffff,0x67ec41ff,0x7cc001ee,0x2204c000,0x08800001,
    0x00c40030,0x00300188,0x20009880,0x4004c001,0x00980260,0x13104031,
    0x00000080,0x3ffee000,0x665cbb00,0xcccccccc,0x0013100c,0x00003220,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x70000000,
    0x6d445fff,0x0000004f,0x77100000,0x77777777,0x33332237,0x1ccccccc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xffffb980,
    0x3ffffeef,0x00000000,0xdddd1000,0x5ddddddd,0x3bbbbba2,0x002eeeee,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0xa8aaaaa9,0x418711aa,0x50404029,0x35555555,0xba8aaaa2,
    0x11000550,0xa8000088,0x22555512,0x06ea21bb,0x5c4aaaa2,0x5555440b,
    0x4c555532,0x00402aaa,0x01004404,0x3000c006,0x08040100,0x00180440,
    0x717fff91,0x333ea17f,0x05fbdfff,0x6fc790f2,0x22fffcab,0x7ff97ffa,
    0x40033fee,0x003a60e9,0xb8bff220,0xfffeafff,0x82fffe9a,0xfffafffb,
    0x97ffdc0f,0x3621cfe9,0x13e605ff,0x3fea6fc8,0xf713f261,0x1fcc03df,
    0x213fff20,0x3e20effb,0x0f2b662f,0xfe87f579,0x7f40e41f,0xff70594f,
    0x40bfd739,0x8d1ee0fb,0xfff85ffd,0x3223ffcb,0x5d802dff,0xfb5002ec,
    0xfff8817f,0x22bfff35,0xfff886ff,0x444ffb8d,0xa81f47ff,0x13ea05ff,
    0xffb0fff8,0x7327ecc7,0x7f407f91,0x939f900f,0x7f56cc9f,0x6e97fea4,
    0x7cfe65f5,0x993ffe27,0x7ffcc0ff,0xd01fb04a,0xfa8fee0d,0x1fff5143,
    0x0629fff0,0x00bffea8,0x02fccbf3,0x805bfd71,0x3ffe27ff,0x3e21ffe0,
    0x117fea7f,0x30164fff,0xf1da8bff,0x7fe87913,0x9f907fee,0xbfa81b20,
    0x643f884f,0x7cc7f507,0x3e6bf14f,0xb1fee2a5,0x81fc8dff,0x9f00fffc,
    0xff503ea0,0xff103fd4,0x07ffe07f,0x5bff9300,0x27ec9fb0,0x0073ff66,
    0x1ffe3ffc,0xff881fff,0xf117fe67,0xf301b2ff,0xcbffc8bf,0x2fe46fe9,
    0x4fc81ff5,0xf882ffc8,0x1f981f94,0x07e40fcc,0x9afccbfe,0x1fe3ae5f,
    0x05fb89dc,0xf103fff1,0xff317c03,0xc80ffe67,0x3ffe06ff,0xffb10000,
    0xf33ff987,0x037fee7f,0xff8fff00,0x2207ffc7,0x17fe67ff,0x9ff9fff1,
    0x542ffcc0,0x40aabeba,0x6437c3fa,0x87fc884f,0xf0bf10fc,0x1f886c87,
    0x4dba0fd8,0xff19f32f,0x400443a0,0x09f06ffc,0x4fe887ea,0x3e609fd1,
    0x1ffe02ff,0x3bfae200,0xf31ffa82,0x3bfae25f,0x8fff000b,0x07ffc7ff,
    0xff99ffe2,0x7dfffc45,0xbff301ff,0x40ba7a60,0x642741f8,0xf11ba04f,
    0x7dc1fb87,0x6c43fb8b,0x2635c151,0x3be64cad,0x01dc1feb,0x417ffec0,
    0xf10db07c,0x203fe21f,0x3e0c5ffd,0x3f26007f,0x8bfa01cf,0xffb302fe,
    0x47ff8039,0x07ffc7ff,0xff99ffe2,0xfbbffc45,0x0bff306f,0x40ff2ff3,
    0x4fc81b86,0x3616c32e,0xfc88dd06,0xfffd83ff,0x100824c7,0x40005c08,
    0xb86ffb9c,0x5fda8bef,0x27ccbf30,0x2b83ffea,0x75403ffc,0x7d400bef,
    0x2200fea3,0xff02efeb,0x3e0fff8f,0x3ffc40ff,0xff88bff3,0x2613ffa7,
    0x34fa85ff,0xc980009f,0x15bb51bc,0x19301c88,0x66654060,0x0000003c,
    0x3e295000,0x3b7ea4ff,0x04fcffff,0x887cc3f3,0x8be63fff,0xf500fff8,
    0x1f4003bf,0x36a000fa,0x3ffe22ff,0x221fff10,0x7fcc1fff,0x88dff50f,
    0xfff30fff,0x106ffa85,0x00000008,0x00000000,0x00000000,0xf53dfb30,
    0x99267fff,0x5a80ae1a,0xefffca54,0xfb11fffe,0x17701bff,0x2544a800,
    0x44b22000,0xfc8dfffd,0xfffd8dff,0x9fffb10d,0x227fffd1,0xff35fffd,
    0x3ffa67ff,0xff70004f,0xffffffff,0x3fffee7f,0x3fffffff,0x05771044,
    0x01305771,0x40736e00,0x55555119,0x00000005,0x00000000,0x00000000,
    0x00000000,0x00000000,0x5ddcc000,0xbbbbbbbb,0x77777731,0x5c7f7777,
    0x21ff21ff,0x7fe41ffb,0x17a69f31,0x17dffdfb,0xffffa962,0x0000007f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xffd1f400,
    0x7f42fd87,0xf93ffe81,0x2443feef,0x9fdffd73,0x37ffffd4,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x55555100,0x01555555,
    0x7fe47d00,0x07e24d81,0x3d98ffdc,0x9804c7b1,0x000001cc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80000000,0xfffffffb,0x8003ffff,
    0x45004c3e,0x00004018,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0x88888888,0x00000088,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__times_bold_25_latin_ext_x[560]={ 0,1,1,0,0,1,0,1,0,0,1,0,0,0,
0,0,0,1,0,0,0,0,0,0,0,0,1,1,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,2,0,0,1,-1,0,1,0,0,0,0,0,0,0,0,
-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,0,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,1,1,0,0,0,
1,1,0,0,0,0,0,0,0,-1,0,0,0,0,2,0,0,0,1,0,0,0,0,0,0,1,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,1,1,
1,1,1,1,0,0,0,0,0,0,-1,0,-1,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
1,0,1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,3,3,-1,3,3,3,
3,3,3,3,3,3,3,3,3,3,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,0,0,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,1,0,-1,0,
0,0,0,0,0,0,0,0,0,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,0,1,-1,0,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static signed short stb__times_bold_25_latin_ext_y[560]={ 20,4,4,4,4,4,4,4,4,4,4,6,16,13,
16,4,4,4,4,4,4,5,4,5,4,4,9,9,7,10,7,4,4,4,5,4,5,5,5,4,5,5,5,5,
5,5,5,4,5,4,5,4,5,5,5,5,5,5,5,5,4,5,4,23,4,9,5,9,5,9,4,9,5,4,
4,5,5,9,9,9,9,9,9,9,5,9,9,9,9,9,9,4,4,4,12,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,20,9,5,4,7,5,
4,4,4,4,4,9,10,13,4,2,4,6,4,4,4,9,5,10,19,4,4,9,4,4,4,9,-1,-1,-1,0,
0,1,5,4,-1,-1,-1,0,-1,-1,-1,0,5,0,-1,-1,-1,0,0,7,4,-1,-1,-1,0,-1,5,4,4,4,
4,4,4,4,9,9,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,7,9,4,4,4,4,4,4,4,
1,6,0,4,4,9,-1,4,-1,4,0,4,-1,4,-1,4,5,5,1,6,0,4,0,4,5,9,-1,4,-1,4,
0,4,0,4,4,3,-1,-1,5,5,0,4,1,6,0,4,5,4,0,9,5,4,-1,4,5,5,9,-1,-1,5,
5,4,4,5,5,5,5,-1,4,5,9,-1,4,4,4,9,1,6,0,4,-1,4,4,9,-1,4,5,9,-1,4,
-1,4,-1,4,4,9,-1,4,5,5,-1,4,5,5,0,4,1,6,0,4,-1,4,-1,4,5,9,-1,4,-1,4,
0,-1,4,0,4,-1,4,4,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,4,5,5,4,5,5,5,
5,5,5,5,5,5,5,5,5,5,3,8,5,5,5,5,5,5,5,5,5,5,5,5,5,1,9,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,-1,4,-1,4,-1,
4,-1,4,-1,2,-1,1,-1,0,-1,1,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,-4,-1,-1,4,-1,4,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static unsigned short stb__times_bold_25_latin_ext_w[560]={ 0,5,10,11,11,21,18,4,8,7,10,13,5,7,
5,7,11,9,11,10,11,11,11,11,11,11,5,5,13,13,13,10,20,17,15,16,16,15,14,18,18,9,12,18,
15,21,16,17,14,17,17,11,15,16,17,23,17,17,15,5,7,6,11,13,6,10,12,10,13,10,10,11,12,7,
7,13,7,19,12,11,12,13,10,8,8,12,12,17,11,12,10,7,3,7,13,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,0,5,10,11,12,12,
3,10,8,17,7,11,13,7,17,13,9,13,7,7,6,13,13,5,5,6,7,11,17,17,17,9,17,17,17,17,
17,17,23,16,15,15,15,15,9,9,9,9,16,16,17,17,17,17,17,11,17,16,16,16,16,17,14,12,10,10,
10,10,10,10,16,10,10,10,10,10,8,7,8,8,11,12,11,11,11,11,11,13,11,12,12,12,12,12,12,12,
17,10,17,10,17,11,16,10,16,10,16,10,16,10,16,17,16,13,15,10,15,10,15,10,15,10,15,10,18,11,
18,11,18,11,18,11,18,12,18,12,9,8,9,8,9,8,9,7,9,7,19,11,12,9,18,13,13,15,7,15,
7,15,11,15,10,15,6,16,12,16,12,16,12,17,17,11,17,11,17,11,17,11,22,16,17,10,17,10,17,10,
11,8,11,8,11,8,11,8,15,8,15,12,15,8,16,12,16,12,16,12,16,12,16,12,16,12,23,17,17,12,
17,15,10,15,10,15,10,9,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,16,12,12,13,12,12,12,
12,12,12,12,12,12,12,12,12,12,18,14,12,12,12,12,12,12,12,12,12,12,12,12,12,19,15,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,17,10,9,8,17,
11,16,12,16,12,16,12,16,12,16,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,17,10,23,16,17,11,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12, };
static unsigned short stb__times_bold_25_latin_ext_h[560]={ 0,17,9,17,18,17,17,9,21,21,10,13,8,3,
5,17,17,16,16,17,16,16,17,16,17,17,12,15,11,6,11,17,21,16,15,17,15,15,15,17,15,15,16,15,
15,15,16,17,15,21,15,17,15,16,16,16,15,15,15,20,17,20,9,2,5,12,16,12,16,12,16,16,15,16,
21,15,15,11,11,12,16,16,11,12,16,12,12,12,11,16,11,21,21,21,4,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,0,16,20,17,11,15,
21,21,4,17,8,11,6,3,17,2,9,13,9,9,5,16,20,5,6,9,8,11,17,17,17,16,21,21,21,20,
20,19,15,21,21,21,21,20,21,21,21,20,15,21,22,22,22,21,21,11,17,22,22,22,21,21,15,17,17,17,
17,17,17,17,12,16,17,17,17,17,16,16,16,16,17,16,17,17,17,17,17,11,12,17,17,17,17,21,21,21,
19,15,20,17,22,17,22,17,22,17,21,17,22,17,21,17,15,16,19,15,20,17,20,17,21,17,21,17,22,21,
21,21,21,21,21,22,21,21,15,15,20,16,19,14,20,16,21,22,20,11,16,21,22,21,20,20,11,21,21,20,
20,16,16,15,15,15,15,22,16,20,16,22,16,16,17,16,20,15,21,17,22,17,17,12,21,16,20,16,21,16,
22,17,22,17,21,16,22,17,21,21,21,17,15,16,21,17,20,15,21,17,22,17,22,17,21,17,22,17,21,21,
20,21,16,20,16,21,16,16,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,17,15,15,21,15,15,15,
15,15,15,15,15,15,15,15,15,15,18,13,15,15,15,15,15,15,15,15,15,15,15,15,15,20,12,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,21,17,21,16,22,
17,22,17,22,19,22,20,22,21,22,20,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,24,22,21,17,22,17,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15, };
static unsigned short stb__times_bold_25_latin_ext_s[560]={ 254,247,166,218,147,165,160,222,186,75,155,
46,243,243,214,228,198,206,216,152,228,240,24,1,68,19,220,226,86,166,60,
36,34,13,71,230,110,1,186,31,169,246,31,73,130,146,44,210,56,114,92,
88,87,61,78,96,55,168,114,250,43,202,192,74,200,77,120,106,142,117,156,
195,239,173,32,212,204,100,120,144,220,181,49,182,133,169,156,88,1,207,38,
106,252,246,229,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,
233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,254,167,209,
101,13,42,248,65,220,83,235,26,180,243,1,60,204,17,214,184,207,161,109,
194,249,177,227,74,47,65,113,46,57,175,14,161,212,79,18,1,159,205,18,
67,67,78,246,151,1,233,228,193,158,163,137,226,216,19,54,99,83,141,138,
117,106,95,84,73,62,51,191,241,23,12,1,244,56,201,247,197,179,154,148,
136,124,112,100,238,208,64,51,38,25,132,155,233,110,26,220,187,18,163,54,
141,83,119,93,91,82,80,110,50,214,140,53,103,21,207,37,183,77,159,62,
77,141,221,214,50,13,1,217,71,195,1,37,13,192,131,69,247,141,192,145,
133,99,147,209,55,1,127,15,1,133,201,155,51,248,1,167,153,127,188,232,
14,179,34,78,201,65,113,236,229,230,1,168,1,218,13,1,60,88,175,123,
186,32,17,236,209,160,34,193,28,172,143,125,116,100,152,231,37,40,234,238,
201,236,170,124,194,184,130,133,231,100,191,89,76,181,49,91,83,102,117,131,
142,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,102,233,233,187,
233,233,233,233,233,233,233,233,233,233,233,233,233,128,31,233,233,233,233,233,
233,233,233,233,233,233,233,233,1,128,233,233,233,233,233,233,233,233,233,233,
233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,31,130,
107,152,36,175,1,218,211,97,176,199,141,174,116,179,233,233,233,233,233,233,
233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,
233,233,233,1,71,150,187,36,204,233,233,233,233,233,233,233,233,233,233,233,
233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,
233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,
233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,
233,233,233,233,233,233,233,233,233, };
static unsigned short stb__times_bold_25_latin_ext_t[560]={ 1,159,334,159,159,216,198,334,94,72,334,
318,334,344,344,180,180,251,251,180,251,251,234,269,180,180,318,286,334,344,334,
234,116,269,302,159,286,318,302,180,286,269,269,286,302,302,269,180,302,94,286,
198,302,269,269,269,286,302,302,72,216,138,334,331,344,318,269,318,269,318,269,
269,286,269,72,286,286,334,334,318,269,269,334,318,269,318,318,318,334,269,334,
94,26,1,344,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,
269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,1,269,138,
234,334,286,26,49,344,234,334,334,344,344,180,331,334,318,334,334,344,251,138,
344,334,334,334,334,234,234,234,252,72,72,94,138,116,159,286,116,72,72,116,
138,116,94,94,138,286,72,1,1,1,116,116,318,216,1,1,1,72,72,286,
216,216,216,216,216,216,216,318,234,216,216,216,198,252,234,216,251,198,234,198,
198,198,198,198,318,318,198,198,198,198,94,94,94,159,302,138,180,26,180,26,
180,26,180,116,180,1,180,116,180,302,234,159,302,159,159,159,159,116,159,94,
198,26,72,94,94,72,72,49,26,94,94,302,302,138,234,159,302,138,234,94,
1,138,334,234,116,49,116,138,138,334,49,116,138,116,252,234,286,286,286,286,
49,234,138,252,26,252,252,180,234,116,302,94,198,26,198,234,318,94,251,138,
251,94,252,26,198,26,216,72,252,26,216,72,72,72,216,302,252,72,216,138,
302,49,159,26,159,26,216,49,198,26,198,49,49,116,49,252,138,252,49,251,
251,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,180,269,269,49,
269,269,269,269,269,269,269,269,269,269,269,269,269,159,318,269,269,269,269,269,
269,269,269,269,269,269,269,269,159,318,269,269,269,269,269,269,269,269,269,269,
269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,49,180,
49,251,26,180,26,198,1,159,1,116,1,49,1,138,269,269,269,269,269,269,
269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,
269,269,269,1,1,49,216,1,216,269,269,269,269,269,269,269,269,269,269,269,
269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,
269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,
269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,
269,269,269,269,269,269,269,269,269, };
static unsigned short stb__times_bold_25_latin_ext_a[560]={ 90,120,201,181,181,361,301,100,
120,120,181,206,90,120,90,100,181,181,181,181,181,181,181,181,
181,181,120,120,206,206,206,181,336,261,241,261,261,241,221,281,
281,141,181,281,241,341,261,281,221,281,261,201,241,261,261,361,
261,261,241,120,100,120,210,181,120,181,201,160,201,160,120,181,
201,100,120,201,100,301,201,181,201,201,160,141,120,201,181,261,
181,181,160,142,80,142,188,281,281,281,281,281,281,281,281,281,
281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,
281,281,281,281,281,281,281,281,90,120,181,181,181,181,80,181,
120,270,108,181,206,120,270,181,144,198,108,108,120,208,195,90,
120,108,119,181,271,271,271,181,261,261,261,261,261,261,361,261,
241,241,241,241,141,141,141,141,261,261,281,281,281,281,281,206,
281,261,261,261,261,261,221,201,181,181,181,181,181,181,261,160,
160,160,160,160,100,100,100,100,181,201,181,181,181,181,181,198,
181,201,201,201,201,181,201,181,261,181,261,181,261,181,261,160,
261,160,261,160,261,160,261,265,261,201,241,160,241,160,241,160,
241,160,241,160,281,181,281,181,281,181,281,181,281,201,281,201,
141,100,141,100,141,100,141,100,141,100,297,199,181,120,281,201,
201,241,100,241,100,241,169,241,143,241,100,261,201,261,201,261,
201,263,278,201,281,181,281,181,281,181,361,261,261,160,261,160,
261,160,201,141,201,141,201,141,201,141,241,120,241,188,241,120,
261,201,261,201,261,201,261,201,261,201,261,201,361,261,261,181,
261,241,160,241,160,241,160,100,281,281,281,281,281,281,281,281,
281,281,281,281,281,281,281,267,281,281,181,281,281,281,281,281,
281,281,281,281,281,281,281,281,281,200,281,281,281,281,281,281,
281,281,281,281,281,281,281,287,217,281,281,281,281,281,281,281,
281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,
281,281,281,281,281,261,181,141,100,281,181,261,201,261,201,261,
201,261,201,261,201,281,281,281,281,281,281,281,281,281,281,281,
281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,
281,281,261,181,361,261,281,181,281,281,281,281,281,281,281,281,
281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,
281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,
281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,
281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,
281,281,281,281,281,281,281,281, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_25_latin_ext_BITMAP_HEIGHT or STB_FONT_times_bold_25_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_25_latin_ext(stb_fontchar font[STB_FONT_times_bold_25_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_25_latin_ext_BITMAP_HEIGHT][STB_FONT_times_bold_25_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_25_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_25_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_25_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_25_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_25_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_25_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_25_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_25_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_25_latin_ext_s[i] + stb__times_bold_25_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_25_latin_ext_t[i] + stb__times_bold_25_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_25_latin_ext_x[i];
            font[i].y0 = stb__times_bold_25_latin_ext_y[i];
            font[i].x1 = stb__times_bold_25_latin_ext_x[i] + stb__times_bold_25_latin_ext_w[i];
            font[i].y1 = stb__times_bold_25_latin_ext_y[i] + stb__times_bold_25_latin_ext_h[i];
            font[i].advance_int = (stb__times_bold_25_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_25_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_25_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_25_latin_ext_s[i] + stb__times_bold_25_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_25_latin_ext_t[i] + stb__times_bold_25_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_25_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_25_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_25_latin_ext_x[i] + stb__times_bold_25_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_25_latin_ext_y[i] + stb__times_bold_25_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_bold_25_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_25_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_25_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_25_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_25_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_25_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_25_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_25_latin_ext_LINE_SPACING
#endif

