// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_40_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_40_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_40_usascii_BITMAP_WIDTH         256
#define STB_FONT_arial_40_usascii_BITMAP_HEIGHT        188
#define STB_FONT_arial_40_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_40_usascii_FIRST_CHAR            32
#define STB_FONT_arial_40_usascii_NUM_CHARS             95

#define STB_FONT_arial_40_usascii_LINE_SPACING          26

static unsigned int stb__arial_40_usascii_pixels[]={
    0x00000000,0x00000000,0x54000000,0x999931cc,0x3332a599,0xf8801ccc,
    0x00000005,0x00000000,0x00000000,0x00000000,0x0002fdc0,0x3fbb2e60,
    0x001ceeff,0x404eff88,0xfc8807fd,0x3fe200ff,0x2a7ff901,0x94ffffff,
    0x05ffffff,0x00aefb88,0x7ff64c00,0x0000bdef,0xdffd9730,0xf000039d,
    0x01bf60bf,0xfffdb710,0xfe80159b,0xafec0005,0xa80003fe,0xfffffffd,
    0x0befffff,0xdffff100,0x101ff601,0x401fffff,0x3ff205fc,0xffffff53,
    0x3fffff29,0xffff702f,0x8003dfff,0xffffffeb,0x000dffff,0xfffffb10,
    0x03bfffff,0x40ffe200,0xfb1004ff,0xffffffff,0x3fe409ff,0x54ffe000,
    0xd50000ff,0x79ddffff,0xffffdb97,0xffb1003d,0x1ff607ff,0x1bffffb0,
    0xc807fe60,0x9ff703ff,0xd1013ff2,0xffffffff,0x3f6005ff,0xffefffff,
    0x002fffff,0x7fffffd4,0xffffffff,0x1ffa8003,0xa803ff98,0xefffffff,
    0x1effffff,0x0001ff98,0x2ff43ff3,0x7fffdc00,0xfeb8801c,0x3e6004ff,
    0x80ffb07f,0xfe801fff,0xffb80004,0xd809ff94,0xcefaefff,0x2201ffff,
    0x09bffffe,0x3ffffb2a,0xffffb003,0x7f5cc139,0x5c005fff,0x1ffa80ff,
    0x6ffffdc0,0x7fed441a,0x03ff82ff,0xfa8ff900,0x3ff2002f,0x3ee0003f,
    0x3fa004ff,0x207fd80f,0xfb805ff9,0xfb80000f,0x409ff94f,0xbf12fffb,
    0xd81bffa2,0x9800dfff,0x5401ffff,0x8801efff,0x2003fffe,0x0ff906fd,
    0x02ffff98,0xb0dfff50,0x3fa000df,0xb006fe84,0x00003dff,0x2005ffd3,
    0x7fd81ffd,0x2013fea0,0x700005ff,0x13ff29ff,0x3e25ffd8,0x203ffea5,
    0x4004fffa,0x100effe8,0x8800bfff,0xf000fffd,0x81bf60bf,0x000effe8,
    0x2e0fffcc,0x7c4000ff,0x01ffc82f,0x00077fd4,0x01fff100,0xfb03ff90,
    0x027fd40f,0x2a00bfee,0x9ff701cc,0xff813ff2,0xff17e21f,0x0dfff05f,
    0x13ffe600,0x0007ffe4,0x402fffc4,0x9ff03ff8,0x00fffe40,0x445ffd80,
    0x7d4002ff,0x05ff980f,0xb8807ff4,0x2a60bded,0x017fea1a,0x3f607ff2,
    0x013fea07,0x3f200ffd,0x29ff703f,0xff104ffc,0x0445f88f,0x002fffa8,
    0x261fff60,0x20003fff,0x32a0fffb,0xcdffdccc,0xceffcccc,0x027ffc1c,
    0xd0bff300,0x6fc8009f,0x6403ffa0,0xfff702ff,0x3f23ffff,0x007fec3f,
    0x3f60bff2,0x80ffea07,0xf9005ffa,0x53fee07f,0x3fe04ffc,0x8017e22f,
    0x40005ffd,0x7dc1fffa,0x7c40007f,0x3fff23ff,0xffffffff,0x3fffffff,
    0x0007ffe6,0x037e4030,0xfc813fe0,0x04ff982f,0xfbbffff9,0x83ffd3ff,
    0x7e403ff9,0x207fd82f,0x3f203ffa,0x7ff9002f,0x7e53fee0,0x93ff604f,
    0x3fe005f8,0x7c40003f,0x2ffe44ff,0x37ffc000,0xfffffff9,0xffffffff,
    0x7fe47fff,0x2000000f,0xf3001ffa,0x27fd403f,0x7e407fe4,0x7fec43ff,
    0x0dfd07ff,0xfd82ffb8,0x80ffee07,0xf9000ffd,0x53fee07f,0x3ee04ffc,
    0x00bf13ff,0x000bffe2,0xfd17ffe0,0xfb00009f,0x04ff80ff,0x7fec0dfd,
    0x44000006,0xff7003ff,0xe85ff980,0x3fff985f,0x41bfffa0,0x7fdc07fc,
    0x2e07fd83,0x1ffe02ff,0x703ffc80,0x13ff29ff,0xbefffe88,0xfff3005f,
    0xffb00003,0x003fff8d,0x207ffc80,0x9ff03ff8,0x002fff40,0x02fec000,
    0x7c405fd8,0x417fcc6f,0x7d404ffe,0x0ff704ff,0xfd84ff98,0x407ff607,
    0x32006ff8,0x9ff703ff,0xd1013ff2,0x37ffffff,0x00fffa80,0x27ffc800,
    0x0002fff8,0x500fffa8,0x5ff303ff,0x001fffc0,0x03fdc000,0x7c01ffc4,
    0x21ff20ff,0x4c00fff9,0xff702fff,0x40fff801,0xdff107fd,0x002ffcc0,
    0x3ee07ff9,0x009ff94f,0xffffff91,0x3fea07ff,0xfb80000f,0x07ffe67f,
    0x3ffe6000,0x701ff901,0x7ffc03ff,0xffff9803,0x84ffffff,0x7d401ff9,
    0x1ffe800f,0x3ff61bf6,0x1fff8805,0xf700ff90,0x43fec1bf,0x2e03ffd9,
    0x3f2004ff,0x29ff703f,0x54004ffc,0xdffffffd,0x00fffd40,0x137fe400,
    0x00005fff,0x3601fff5,0x80ff906f,0xf9803fff,0xffffffff,0x809ff04f,
    0xffb006fc,0x7fc2ff45,0x7ff8802f,0x5401bfa0,0x8ffb6fff,0x6403fffe,
    0x3f2003ff,0x29ff703f,0x88004ffc,0x5ffffcef,0x0017ffcc,0x3e27fec0,
    0xc80003ff,0x13fe07ff,0x3fa02ff4,0xfff9804f,0x4fffffff,0xfe80df90,
    0x49ff9004,0x7ffc44fe,0x05ffa800,0x54009ff1,0xf8ffb7ff,0xffd802ff,
    0x0fff2003,0xffca7fdc,0x15f88004,0x7c47fff9,0xf80003ff,0x27ffc3ff,
    0x37fec000,0x9dff9995,0x9dff9999,0x7fec3999,0xffd80005,0x201ff504,
    0xfb002ff8,0x2627fc9f,0xff7007ff,0x00ffea09,0xfdbfff44,0x402fffc7,
    0x32003ffd,0x9ff703ff,0x20013ff2,0x37fec5f8,0x00013ffa,0xfc85fff1,
    0xfe80006f,0x3ffff24f,0xffffffff,0x23ffffff,0x0000fffb,0xf8827fec,
    0x00ff702f,0x9ff1fff4,0xd006ffa8,0x3ff605ff,0xcfff9800,0xfca8ffb1,
    0x3ff200ef,0x0fff2004,0xffca7fdc,0x45f88004,0x7fdc7ffb,0x3ee0000f,
    0x7ffcc0ff,0x3fea0001,0x3ffff21f,0xffffffff,0x23ffffff,0x0003fff8,
    0xfd027fec,0x8017f60b,0x17fa2fff,0xf500fff1,0x9ff701ff,0xb0bff600,
    0x17fee0ff,0x2006ffc8,0xff703ffc,0x4413ff29,0x22fc42ba,0x3e20fff8,
    0x06dc05ff,0x7c13ffe6,0x3a0006ff,0x1bf606ff,0xfd803fe4,0x360000ff,
    0x1fee04ff,0xf8801ffc,0x21bf61ff,0x7f400ffe,0x06ffa86f,0xfb0bff10,
    0x807ff40f,0x32007ffb,0x9ff703ff,0x7dc13ff2,0x262fc45f,0x7fe40fff,
    0x33ffa01f,0x201fffd0,0x8003fffa,0x3e03fffb,0x00bfd04f,0x0017ffe6,
    0x2604ffd8,0x0ffcc1ff,0x20fffa80,0x4ffd87fc,0x317fff60,0x2a003fff,
    0x07fd83ff,0x7d40bff2,0xff9000ff,0x653fee07,0xfff304ff,0x7fe45f88,
    0x07fffd07,0x3fbffff2,0x7fec02ff,0x3ff2004f,0x0ffe205f,0xb8013fe2,
    0x2000efff,0x404fffe9,0x03fe43ff,0xfa8dff70,0x67ffd42f,0x3ffff620,
    0x09fff916,0x6c17fdc0,0x0bfee07f,0x9001fff8,0x3fee07ff,0x7c09ff94,
    0xd17e23ff,0x3fe60bff,0xfb880dff,0x8805ffff,0x201efffe,0x00ffffe9,
    0x3e607fea,0x7fec002f,0xa880acff,0x02fffffd,0x13fa37ec,0x443ffc80,
    0xfffb85ff,0xfddffdcf,0x3fffffff,0x417fe400,0x3fee07fd,0x00bff603,
    0xfb81ffe4,0x409ff94f,0xbf11fffc,0x807fff22,0xdeffffe9,0xfffffecb,
    0xfe8800cf,0xdccdffff,0x00efffff,0xffb83fe4,0xfffc8000,0xffddffff,
    0x00cfffff,0xff10ffb8,0x0ffec005,0x7e40ffec,0xf54fffff,0x03dfffff,
    0xb05ff900,0x1ffd40ff,0x2009ff70,0xff703ffc,0x8813ff29,0xefacfffe,
    0x804ffffb,0xffffffd8,0xffffffff,0xff9003ff,0xffffffff,0x3f6009ff,
    0x000ff906,0x7fffffd4,0xefffffff,0x4bfe2001,0xf1000ffa,0x1bfe60df,
    0x21677e54,0x40acefeb,0x3f202aa8,0x207fd82f,0x3e204ffa,0x7ff9006f,
    0x7e53fee0,0x7ff4404f,0xffffffff,0x7fe4c004,0x8befffff,0x01efffd8,
    0xfffffb88,0x2000bfff,0x0bfd04ff,0xfffb5000,0x059dffff,0x7ed3fa00,
    0x0ffee006,0x0005ffa8,0x0bffa200,0xfd81ffc8,0x013fea07,0xfb005ff9,
    0x53fee07f,0xc8804ffc,0xeffffffe,0x54cc0002,0xffd3009a,0xaa988001,
    0x35500009,0x00006aa0,0x00155330,0x554aa600,0x01bfe001,0x00013ff2,
    0x013ff620,0xffb03ff9,0x2027fd40,0xfd806ff8,0x29ff702f,0x44004ffc,
    0x0000aefb,0x012a0000,0x00000000,0x00000000,0x70000000,0x3fa003ff,
    0x500001ef,0xfb00bfff,0x40ffb03f,0xfb804ff9,0x0fff401f,0xff94ffb8,
    0x0bf10009,0x00000000,0x00000000,0x00000000,0x00000000,0xe88017fa,
    0x0001dfff,0x01bfffb5,0x3f60fff0,0x01ffe207,0x6cd42ff4,0x55510fff,
    0x3ff29ffb,0x8800aaad,0x0000005f,0x00000000,0x00000000,0x00000000,
    0x00ffa800,0xffffea80,0x53119abd,0x3dffffb5,0x5ffeb980,0xfe80ffb0,
    0x3ea01bdf,0x3fffe61f,0x3fffea5f,0xffff94ff,0x0f2005ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x700013fa,0xffffffff,0xffffffff,
    0xfff1007f,0x1ff605ff,0x1fffff50,0xff727ec0,0xfffa8bff,0xfff94fff,
    0x00005fff,0x00000000,0x00000000,0x00000000,0x40000000,0x80000ffa,
    0xffffedb8,0xbdffffff,0xffff1000,0x403fec07,0x200ffffb,0x57510ff9,
    0x33333103,0x26666213,0x00000099,0x00000000,0x00000000,0x00000000,
    0x2a000000,0x2000002c,0x1aaaba98,0x15791000,0x1004ca80,0xcb801975,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4cc98000,0x54732a00,
    0xbfb730cc,0xeb980017,0x39930ace,0x5efedcc0,0x00059930,0x5c000000,
    0x6e5401cc,0x665400ac,0x4c000001,0xbdeffeec,0xdfd91000,0x37ec0019,
    0xdffd7000,0x73000019,0x157bdfdb,0x005fff00,0x7fe43ffe,0xffffffa9,
    0x7fcc00ef,0xb8efffff,0xfffa82ff,0xfa9fffff,0x3fb2a03f,0x00b100ef,
    0x817ff400,0xffffffea,0x07ff900e,0x3faa0000,0xffffffff,0x3fa600bf,
    0x801fffff,0x98002ff9,0xfffffffe,0xffd10001,0xffffffff,0x05ffc807,
    0x3f26ffa8,0xdcdfffcf,0x3e205fff,0xffdcdfff,0x7c42ffce,0xffecefff,
    0xf903ffdf,0x2e0fffff,0x3a00007f,0xfffb82ff,0x0effffff,0x0003ffc8,
    0xfffffc80,0xffffffef,0x39ffd00e,0xfb00dff9,0xfff1000d,0x1ffffbbf,
    0xffff9800,0xffffffff,0x3ffe604f,0x91ffec00,0xd30bffff,0xffd109ff,
    0xfffe881b,0x06fff42f,0x0fffffa2,0x3bffffea,0x000fff06,0x2617ff40,
    0x3aa0cfff,0x7fe40eff,0x7f400003,0xea80bfff,0xffa86fff,0x301ffd43,
    0xfb0003ff,0x7ff441bf,0x3ffe6004,0x7f5441bf,0x3ffa06ff,0x83ffe202,
    0x2205fffc,0x7fec2fff,0x3fffe205,0xd017ff22,0xff907fff,0x0fff003d,
    0x17ff4000,0x74413ffa,0x1ffe43ff,0xfff90000,0x3fff2009,0x7c07fe44,
    0x01bf605f,0x5c17ffc0,0x3f2006ff,0xfff7006f,0x817fee03,0x7fe45ffa,
    0x2ffe400f,0xf7007ffe,0x0fffc5ff,0x20fffea0,0xff004ffd,0x7f40000f,
    0x03ffea2f,0x7e46ffa8,0xf500003f,0xfd8009ff,0x41ff60ff,0x3ff306fe,
    0x0fff1000,0xf801ffe6,0x3f6000ff,0x1fff104f,0xf90bff60,0xdff100bf,
    0xf8037fc4,0x0bff32ff,0x3a0fffa0,0xfff001ff,0x7ff40000,0x2017ff62,
    0x3ff21fff,0xffd00003,0xfff1000d,0xfd837f49,0x000bfd07,0x7dc0fffc,
    0xfff3005f,0x06ffa800,0x3e20fff6,0x03ffc87f,0x3ea1fff0,0x5ffb005f,
    0x64013fea,0x1ffe83ff,0x3fff3260,0x2e600ccc,0x3ffa2cee,0x200bffa2,
    0x3ff24ffc,0x59bfb713,0x05fff300,0xe8f7f200,0x50ffb06f,0x740003ff,
    0x2ffd86ff,0x01fff300,0x8066f440,0xffb86ffa,0x002ffc84,0x3fee3ffd,
    0x25ff9004,0xf7003ffc,0x3ff32a7f,0x7d43ccdf,0x1fffffff,0xffffffa8,
    0x12ffe8ef,0xf5001fff,0x55ffe4df,0xdfffffff,0x01fff200,0x0ffb0080,
    0x17fa17fa,0x9fff5000,0x001fff62,0x00009fff,0xfd07ffe0,0x03ff903f,
    0x7ecbff60,0x5ff7003f,0x5c00bff6,0xffff93ff,0xe98dffff,0x0eeefffe,
    0x677fffdc,0x2ffeeffe,0x2600fff3,0x3bff27ff,0xffecdfff,0xdffd00ef,
    0xff700000,0x544ff883,0xc80001ff,0xeffecfff,0x7ffec000,0x6400000c,
    0x1bfe64ff,0xe800ffe4,0x09ff91ff,0x7ecbfee0,0x7ff7003f,0x3bfffbae,
    0x1ffe05ee,0x40dfff88,0x52ffffe9,0x3e600fff,0xffff90ff,0x5fff981b,
    0x000bfff0,0x23dff100,0x7f40ffd8,0x3fa00005,0x0004ffff,0x7dfffff3,
    0xff300003,0xc81ffe4d,0xfff002ff,0x4017fee1,0x9ff92ffc,0x20fff200,
    0xff001ffe,0x02ffec0f,0x2a5ffff1,0xff1006ff,0x17fff21f,0xf81fff98,
    0x000003ff,0xfffdfff7,0x001ffa87,0xffffb100,0xfe880007,0xbdffffff,
    0x3ffd0001,0x7e403ffa,0x6ff8803f,0x6c01bfea,0x0bff72ff,0x3a0fffa0,
    0xfff001ff,0x200fffc0,0xff72fffb,0x3ffe200d,0x801fff90,0x7fc45ffc,
    0x2000002f,0x82fffffa,0x700005fe,0x0dffffff,0xfff91000,0x7dffffff,
    0x9bffb800,0x3ff205ff,0x25ffb806,0x4401fff8,0xfff12fff,0x3fff9803,
    0xf001ffe8,0x1bfe20ff,0xfb97ffc0,0x3ffe005f,0x300bff90,0xfff88fff,
    0x44000002,0xffa809a9,0x00abb980,0x7e77ffec,0x100005ff,0xffffffb7,
    0x22001bff,0x02ffbeff,0xd00bfff2,0x5ffc87ff,0x917ffe40,0xffd80bff,
    0x01ffe83f,0x3ea0fff0,0x5ffd005f,0x44017fea,0x7ff90fff,0x883ffe00,
    0x00003fff,0x44fe8000,0x1effffe8,0x6c9fffb0,0x37e23fff,0xb730000b,
    0x03dfffff,0x1fffff60,0x03dfff90,0x3e21bff6,0xfff503ff,0x6fffc45f,
    0x7fffec40,0x001ffe83,0x3fee0fff,0x25ffb004,0xf1006ff9,0x0bff21ff,
    0x3e0fff40,0x000005ff,0x107fdc00,0xfffbdfff,0x43fffa83,0xf71fffe8,
    0x540000ff,0x5007fffe,0xc809ffff,0x9acfffff,0x702fffeb,0xb537bfff,
    0xa85fffff,0xfeceffff,0xe83ffeff,0xfff001ff,0x400fff60,0xfff32ffc,
    0xc9ffe600,0xffd001ff,0x006ffe85,0x7fc00000,0xf31ffdc4,0x05fff8df,
    0xfd1ffff3,0x9000009f,0x3e005fff,0x7e401fff,0xfffffecf,0x7d402fff,
    0xcfffffff,0xff982ffe,0xd9efffff,0x1ffe83ff,0x320fff00,0xff9003ff,
    0x401ffe25,0x3ff27ffa,0x83ffd001,0x20007ffc,0x4000ace8,0x2ffc0ffb,
    0xff98ffdc,0x3ffea02f,0xa880fffe,0xffb0002a,0x1bff2009,0x7e4fff20,
    0x000befff,0x7dffffb3,0x5c40bffa,0xfb0bdfec,0x03ffd05f,0x7d41ffe0,
    0x5ffb004f,0x54007ffc,0x0bff25ff,0x2607ffc0,0x70001fff,0x44001fff,
    0x1ffc44ff,0xffa97fcc,0xffffc807,0x1fff105f,0x0dff7000,0x200ffee0,
    0x054c3ffc,0xd02a6000,0x6c0005ff,0x1ffe82ff,0x260fff00,0xffd005ff,
    0x4017ff45,0x3ff23ffd,0x07ff8803,0x2000bfff,0x5c005ffe,0x1ffcc0ff,
    0xffa9ffc4,0xfffd801f,0x0fffa02f,0x017fea00,0x64007ff4,0x000003ff,
    0xa897ff40,0x07ffa001,0x7c007ffa,0x1fff00ff,0x22fff880,0x7c405ffb,
    0x1bff21ff,0x5c1bfee0,0x5c001fff,0x22002fff,0x2ff984ff,0xff14ff88,
    0xfff3009f,0x37fe405f,0x01ffec00,0xc8027fd4,0x000003ff,0xff17ff40,
    0x7ffb801f,0x2003ffd0,0xffd00fff,0x2fffc809,0xf7007ffc,0x1fffc8df,
    0xd017ffc0,0x26003fff,0x64006fff,0x3ff880ff,0x3fe3ff98,0x7ff4407f,
    0xff302fff,0x3ea001df,0x7f4400ff,0x7ff9001f,0xe8000000,0x13ffa2ff,
    0xd04fff88,0x3fe003ff,0x7fff302f,0x0bfffee0,0xf501dff9,0xfffc85ff,
    0x6ffd881f,0x67fffcc0,0xffff9102,0x27fc4001,0xff509ff0,0x82fffd45,
    0xffffffe9,0xffffd02f,0x3ff62015,0xffb9b06f,0x7fe400bf,0x40000003,
    0x3fee2ffe,0xfdb89bdf,0x3ffa05ff,0xbfffd001,0xdfffa83d,0xffffda9a,
    0x77ffc42f,0x5fffca9b,0xcfffffc8,0x1fffeb9a,0xfffffa80,0xfffdcbdf,
    0x7e4001ff,0x03ff600f,0xfffb0ffd,0xfffd959d,0x7ffff55f,0xfffffd10,
    0xffffd9bf,0x7fffc0bf,0x3f2000ef,0x0000003f,0x3f617ff4,0xffffffff,
    0x0fff405f,0xfffffb80,0xfffffb83,0x2ffcbfff,0xfffffe98,0xff906fff,
    0xffffffb5,0x74c003df,0xffffffff,0x4001efff,0x7cc03ff8,0x2ffeacff,
    0xffffff90,0x7d41dfff,0xffb105ff,0xffffffff,0xffe809ff,0x7e4000ef,
    0x0000003f,0x75417ff4,0x4dffffff,0x001ffe80,0x413fffae,0x3efffec9,
    0x36205ff9,0x03ffffff,0x7fe47ff2,0x0000dfff,0xffffffb5,0x320005df,
    0xffa800ff,0x5404ffff,0x4efffffe,0x9300df30,0xdfffffff,0x17510059,
    0x02662000,0x31000000,0x5dd4c013,0x0fff4001,0x8004c400,0x440000a9,
    0x4c0001aa,0x4c00001a,0x40001aa9,0x26003ff8,0x4002ceec,0x013001a9,
    0x01aa9980,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x006f72a2,0x33333310,0x00333333,0x06b36ea2,
    0x66644000,0x336ea200,0xba88000b,0x64401bcd,0xc98000cc,0x2000004c,
    0xcccccccb,0xcccccccc,0x399952cc,0x66654000,0x00b33261,0x95166640,
    0x99000099,0x10732a39,0xfffffff9,0x3fff2009,0xffffffff,0x7ffec01f,
    0x000cffff,0x807ffcc0,0xfffffffb,0xfff7000c,0x203dffff,0x8001fff8,
    0x36e07ffa,0x802ceffe,0xfffffffd,0xffffffff,0xdfff14ff,0x3ffe2000,
    0x00fffe86,0x507ffe40,0x40003fff,0xffb0fff9,0x7ffff447,0x00dfffff,
    0x7ffffff4,0x01ffffff,0xffffffd1,0x8000dfff,0x7440fff9,0xffffffff,
    0x7fec01ef,0xffffffff,0x01fff882,0xa87ffa80,0xfffffffe,0x3ff601ef,
    0xffffffff,0x4fffffff,0x0013ffee,0x2203fff6,0x2a006fff,0xfff82fff,
    0x3ff20004,0xfd8fff65,0xff931cff,0xefff80df,0xeeeeeeee,0xefff881e,
    0x9fff710b,0x7ffcc000,0x067ffec0,0x201fffb3,0x712dfffb,0xf881fffd,
    0xfa8001ff,0x7fffd47f,0xffffeccd,0x55555501,0x55555555,0xfe85fffd,
    0x3ea001ff,0x3fee03ff,0xfff8804f,0x00fff904,0xfb17ffc0,0x07ffea7f,
    0x8817ffc4,0x5c0006ff,0xff500fff,0x3e60001f,0x3ffea0ff,0x413ff203,
    0x3fe04fff,0x0fffc45f,0x13ffd400,0xd303dfff,0x00001dff,0x2213ffee,
    0xf1006fff,0xffb00bff,0x6ffe803f,0x007ffe60,0xfb1ffea0,0x013ff67f,
    0x3ea09ffb,0x7fc0005f,0x1fff402f,0x0fff9800,0xf1017ffa,0xfff983ff,
    0x11ffee01,0x50003fff,0x7ffe4fff,0x13ffe200,0x3ffea000,0x13ffee06,
    0x003fff60,0x403bffe2,0x7400fffc,0xfd8004ff,0xf9ffec4f,0x7fd401ff,
    0x007ff706,0x4027fdc0,0x30003eea,0x3fe21fff,0x3ffb800f,0x22037fdc,
    0x3fe20fff,0xffa8001f,0x200fffe7,0x40006ffb,0x400ffff9,0x2a01fffe,
    0x2a002fff,0xffa84fff,0x7ffb802f,0x0fffc400,0x0298fff6,0xfb06ffa8,
    0x7f40003f,0x0000001f,0x3e61fff3,0xbff5007f,0x4407ffa8,0x3fe20fff,
    0xffa8001f,0x001fff37,0x4000fff3,0x801fffe8,0xf106fff8,0xf9000bff,
    0x7ffc45ff,0x5fff1004,0x437fdc00,0xc8003ffd,0x1ffd04ff,0x03ffc000,
    0xff300000,0x01bfee1f,0x7fc3ffcc,0x1bff202f,0x0003fff1,0x32a2fff5,
    0x0fff3004,0x1fffec00,0x07fff700,0x0001fffb,0x7ec3fffa,0x7fec006f,
    0x0bffa005,0x3000fff6,0xff103fff,0x33bfb2ad,0x117fe202,0x00013795,
    0x543ffe60,0xff3005ff,0x05ffd81f,0xf887fff1,0xfa8001ff,0x3ee0007f,
    0xff90005f,0xffd0009f,0x17ffcc1f,0xbfff3000,0x8003fff7,0x9800fffa,
    0x7ffb07ff,0xfffb5100,0x3bbfe607,0xdfffffff,0xd14ff980,0x05ffffff,
    0x1fff3000,0x5401ffe6,0x7f441fff,0xffda9cff,0x7ffc40df,0x7ffa8001,
    0x7fff1000,0xdfff5000,0x3ffe2000,0x0013ffa5,0x3ffffee0,0xffd0003f,
    0x09ff9007,0xfd00fff6,0x5c03ffff,0xfeffffff,0x541fffff,0xffff9cff,
    0x005fffff,0x887ffcc0,0xfd801fff,0xfff701ff,0x205fffff,0x8001fff8,
    0x88007ffa,0x4000effe,0x000ffff9,0x2ebffee0,0x200006ff,0x005ffffd,
    0x2017fee0,0xffb01fff,0x7fffc407,0xff900bef,0x7e4415df,0x6ffdc6ff,
    0xeb99beff,0x20003fff,0x3fa0fff9,0x7ffcc06f,0xfffc882f,0x102effff,
    0x50003fff,0xe8800fff,0x44001fff,0x0001fffe,0xfffeffe8,0x3e200001,
    0x20000fff,0x2a00fff8,0x3ff606ff,0x3b336203,0xfe81ffff,0x7ffd405f,
    0x17ffff24,0x000fffc8,0x4c1fff30,0xfa80dfff,0x7d41ffff,0xfdcbdfff,
    0x7fc40eff,0xffa8001f,0x3ffa2007,0xffd8001f,0xf300002f,0x0009ffff,
    0x5ffffc80,0x1ffec000,0x6c07ffb0,0x74c003ff,0x00300fff,0xffc9fff2,
    0x5ffe806f,0x1fff3000,0xbdffffc8,0xffecffec,0x037ffe61,0x883bffa6,
    0xa8001fff,0xfd1007ff,0xf90003ff,0x800009ff,0x0006fffb,0x7ffffcc0,
    0x3ea0002f,0x1fff106f,0x001ffec0,0x0027ffc4,0x5c3ffe60,0xfa802fff,
    0xff30006f,0xffff901f,0x3fa7ffff,0x017ffa0f,0x7c47fff1,0xfb8001ff,
    0xfff9007f,0xfff50003,0x3e00000b,0x200002ff,0xffedfff8,0x3fe0000f,
    0x05ffb81f,0x8001ffec,0x80007ffb,0xfff52fff,0x1fff1001,0x1fff3000,
    0x3ffff660,0x4c3ffe2d,0xfa800fff,0x07ffe27f,0x01bff200,0x0007ffe2,
    0x003bffe6,0x17ffc000,0xfffb0000,0x00dfff31,0x7427fe40,0x7fec01ff,
    0xfff30003,0xffe80001,0x400fff32,0x98001fff,0x19800fff,0x3ea7ff88,
    0xfff1006f,0x0017ffc1,0x54037fe4,0xe88005ff,0x00001fff,0x000bffe0,
    0x717ffdc0,0x20007fff,0x7fcc6ff9,0x43ffd806,0x3fff1000,0x1fff8000,
    0x2001fff1,0x32ea0fff,0x03ffea00,0x25ffa800,0x3e005ffb,0x0fffe1ff,
    0x017ff600,0x2000fff2,0x0002fffd,0x017ffc00,0x27ffcc00,0x000ffff4,
    0x3f21ffe8,0xbffd803f,0xf3006fea,0x1fbaa1ff,0xf07ffc40,0xff1005ff,
    0x201ffe8d,0x00307ffa,0xffa8fff2,0x83ffe006,0xf8005ffd,0xffd803ff,
    0x7ffdc002,0xf8000004,0x440002ff,0xff106ffe,0xf70001df,0x007ffc9f,
    0x7fc5ffec,0x6ffb800f,0x2007ffe2,0x7fe47ffb,0x44ffa804,0x3ee02ffd,
    0x017ff47f,0xf987ffe2,0xff9800ff,0x00fffdc7,0x003fff70,0x54003997,
    0x00005fff,0x005fff00,0x01fffd80,0x0017ffea,0x7fcdffe2,0x27ffb005,
    0x7c404ffe,0x27ff44ff,0x10fffe20,0xfe803fff,0x02ffe42f,0xffc8bffd,
    0x42ffe405,0xfd804fff,0x77ffcc5f,0x7ffe8800,0x3e200000,0x00000eff,
    0x005fff00,0x01fffdc0,0x0017ffec,0x7fe4ffec,0x27ffb002,0xb103fffa,
    0xffb81dff,0xdffd103f,0x403fff60,0x7d40effd,0x7fe40cff,0x0fffd42f,
    0xa81fffb8,0x3ee04fff,0xfffc81ff,0xfff500ae,0x2000005f,0x000effe8,
    0x3ffe0000,0xfff30002,0x3ffe200b,0x7fcc000f,0x36007fec,0x3fff63ff,
    0xfffba9cf,0xffffb01f,0xffff7539,0x3fffe203,0xeffeb9ac,0xbffffb00,
    0x20bffffb,0xb9adfffd,0x3603fffd,0xa99bdfff,0xd103fffe,0xb9dfffff,
    0x09fffffd,0x40166640,0xfffffff9,0xffffffff,0x4007ffff,0xd0002fff,
    0x54001fff,0xe8006fff,0x2004ffff,0x7fec3ffd,0xefffffff,0x3fff6202,
    0x0effffff,0x7ffff440,0x200fffff,0xfffffff9,0x3fa205ff,0xffffffff,
    0x7ffe4403,0x3fffffff,0x7fffec40,0xffffffff,0x27ffc003,0x7ffffcc0,
    0xffffffff,0x07ffffff,0x0017ffc0,0x0017ffe4,0x001fffe4,0x003fffee,
    0xea83ffd8,0x04ffffff,0x3ffffaa0,0x764004ef,0x01ceffff,0xfffffc88,
    0xfff7004e,0x4003bfff,0xffffffe9,0x3f6a000d,0xcfffffff,0x4fff8001,
    0xfffff980,0xffffffff,0x07ffffff,0x0017ffc0,0x0013ffea,0x001fffe8,
    0x0017ffe2,0x4c407ffb,0x220000aa,0x400009a9,0x20000a98,0x300009a9,
    0x80001355,0x40001aa9,0x019aa998,0x027ffc00,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80133260,0x4004ccc8,0x99910ccc,
    0x99999999,0x99999999,0x00732a19,0x66666440,0xcccccccc,0xcca800ab,
    0x99910002,0x99999999,0xcc880557,0xcc98001c,0x07999933,0x26665400,
    0x40009993,0xa8004cc9,0x332a4ccc,0x33279952,0x5cf32e4c,0x0fff9bcc,
    0x5ffff500,0x43ffe600,0xfffffff8,0xffffffff,0xf90fffff,0x3e20007f,
    0xffffffff,0xdfffffff,0x00fff200,0x7ffffcc0,0xffffffff,0xff980cff,
    0xffa8006f,0x1fffff56,0x3fffa000,0x00fff50f,0x003ffd40,0xc87fffea,
    0x2bff93ff,0x3ffa7fff,0x3fedffb5,0xfff9002f,0x3fee009f,0x3ffffe26,
    0xffffffff,0x0fffffff,0x20007ff9,0xfffffff8,0xffffffff,0xff900eff,
    0x3fe60007,0xffffffff,0x0fffffff,0x027fffcc,0x7d5bfea0,0x8003ffff,
    0x50fffff8,0x54000fff,0x3ea007ff,0x7fe41fff,0x3febff93,0x6d7ffa7f,
    0x09ffb6ff,0x1bffffe0,0x511ffec0,0xd5555555,0x55555dff,0x1ffe4555,
    0xafff8800,0x99999999,0x0ffffeba,0x0003ffc8,0x5557fff3,0xff955555,
    0xfff98dff,0x3ea001ff,0xfffff56f,0xfff7000d,0x1ffea1ff,0x07ffa800,
    0x01dfff50,0x3ff27ff9,0x7f4ffff5,0x2edffb5f,0xff9806ff,0xf800ffec,
    0x7ec001ff,0x3ff2004f,0xfff10003,0xfffb8003,0x003ffc83,0x001fff30,
    0x993fff62,0x00efffff,0x3eadff50,0x000fffff,0x87fffff4,0x20007ffa,
    0xfa807ffa,0x32000eff,0x0ffff5ff,0x01fff300,0xffcaffb8,0x03ffcc03,
    0x0027fec0,0x20007ff9,0x8001fff8,0xffc85ffd,0xfff30003,0x6ffe8001,
    0x3fffffe6,0x2dff5004,0x3ffcfffa,0x3f3fe600,0x0fff50ff,0x03ffd400,
    0x003bffea,0x3febff90,0xfff0007f,0x98ffd805,0x7fdc05ff,0x4ffd8005,
    0x00fff200,0x00fffc40,0x643ffd40,0xf30003ff,0xfc8001ff,0x33ffe67f,
    0xfa801fff,0xf3fff56f,0x7fdc00bf,0xff50fff9,0x7fd4000f,0x3bffea07,
    0x5ffc8000,0x2000fffd,0x7fc03ffd,0xfb01ffe6,0xffb0007f,0x9ffe4009,
    0x0bceecb8,0x001fff88,0x641fff98,0x332203ff,0x03ffe63c,0x23fff300,
    0xdffd7ff9,0x56ffa801,0x03ffefff,0x7fc77f40,0x00fff50f,0xa83ffd40,
    0xa800efff,0x2bff92cc,0x50006ffe,0x7fd40bff,0xf807ff64,0xfd8000ff,
    0x3ff2004f,0xfffffe9b,0x7ffc41ff,0xfffb8001,0x881ffe40,0x3e60effe,
    0x7cc000ff,0x2fff31ff,0x5404fff9,0x2fff56ff,0xf9803ffc,0x50fff8bf,
    0x54000fff,0xfffa87ff,0x7ff9000e,0x7fed7ff2,0xfff10006,0xf70ffe40,
    0x1bfe609f,0x027fec00,0xfffdff90,0x3fffffdf,0x000fffc4,0x7e43fff4,
    0xeffe883f,0x007ffcc0,0xf99ffee0,0x07fff27f,0xff56ffa8,0x2017fe6f,
    0xfff88ffc,0x000fff50,0x3ea3ffd4,0x32000eff,0x2bff93ff,0x20005ffd,
    0xffd01ffe,0xf706ff98,0x3f60009f,0x3ff2004f,0x3ee21dff,0x3ffe27ff,
    0x3ffa2001,0x43ffc83f,0x980effe8,0x22000fff,0x3fe66ffe,0x8077ff47,
    0xfff56ffa,0x3a007ffc,0x21fff15f,0x20007ffa,0x3fea7ffa,0x7e4000ef,
    0x32bff93f,0x320005ff,0x5ff883ff,0xfd80fff8,0xffb0002f,0x7ffe4009,
    0x47ffe606,0xaaabfff8,0xfdcaaaaa,0xff906fff,0x06fff447,0x000fff98,
    0x4c5fffb3,0x7ffcc7ff,0x2adff504,0x0fff27ff,0xff13ff98,0x01ffea1f,
    0xf57ffa80,0x8001ffff,0xbff93ffc,0x80013fee,0xffb85ffa,0xf82ffc83,
    0xfb0000ff,0x7fe4009f,0x97ff400f,0xfffffff8,0xffffffff,0xff900dff,
    0x017ffa27,0x5557fff3,0xffd97555,0x7ff98bff,0xa82fffc8,0x4fff56ff,
    0x3f205ff9,0x21fff10f,0x20007ffa,0xfffafffa,0x64006fff,0x2bff93ff,
    0x20004ffb,0xffd87ff8,0x4c5ffa80,0x360006ff,0x3f2004ff,0x2ffd806f,
    0xfffffff1,0xffffffff,0xbffc805b,0x9805ffe8,0xffffffff,0xffffffff,
    0x83ffcc0d,0x7d40effe,0xf8fff56f,0x4bff00ff,0xff50fff8,0x7fd4000f,
    0xffbdffff,0x3ff2004f,0x3eabff93,0x7f40003f,0x8837fc0f,0x1ffdc7ff,
    0x09ffb000,0x402ffe40,0xfff13ffc,0xffb9999b,0x7e4009ff,0x00fffecf,
    0xffffff98,0xffffffff,0x0fff302e,0xf513ffe6,0x91ffeadf,0x5ff307ff,
    0xfa87ffc4,0x3ea0007f,0x3f65ffff,0xff9002ff,0x7d57ff27,0x7e40003f,
    0x813fe62f,0x3ff60ffe,0x3ff60001,0x13ff2004,0x7c4fff20,0x3fee01ff,
    0xffc800df,0x805fffff,0xccccfff9,0x009abccc,0xf903ffcc,0xb7fd45ff,
    0x7fcc7ffa,0x220ffc85,0xfff50fff,0x7ffd4000,0x7fffc44f,0x93ffc800,
    0x8bfe6bff,0x79973ccb,0x7e49ff30,0x8bff202f,0x6c0007ff,0x3f2004ff,
    0x3ffc803f,0xa803fff1,0xfc806fff,0x2fffefff,0x007ffcc0,0x07ff9800,
    0xfa877ff4,0xd0fff56f,0x45ff81ff,0xff50fff8,0x7fd4000f,0xbfff504f,
    0x327ff900,0x43ff35ff,0xdffb5ffe,0xffe9bfe0,0x453fe600,0x6c0005ff,
    0x3f2004ff,0x3ffc803f,0x7003fff1,0xfc80bfff,0x1fff95ff,0x007ffcc0,
    0x07ff9800,0xfaa7ffcc,0x90fff56f,0x17fcc7ff,0x7d43ffe2,0x3ea0007f,
    0x7ffe407f,0xc9ffe403,0x43ff15ff,0xdffb5ffe,0x3e23ff60,0x56ff805f,
    0xd80005ff,0x3f2004ff,0x3ffc803f,0x2003fff1,0x3203fffd,0x3ffa25ff,
    0x03ffe605,0x3ffcc000,0x557ffe40,0x0fff56ff,0x3fe4bff3,0xfa87ffc4,
    0x3ea0007f,0xfffe807f,0x64fff201,0x41ff15ff,0xdffb5ffe,0x3ea7fee0,
    0x97fd803f,0xd80001ff,0x3f2004ff,0x3ffc803f,0x2003fff1,0x901ffff8,
    0xfffa87ff,0x01fff302,0x1ffe6000,0x7d7fff40,0x20fff56f,0x09ff0ffe,
    0x3ea1fff1,0x3ea0007f,0xfff9807f,0x27ff900e,0x03325ffc,0x7cc009f1,
    0x801ffcbf,0x06fe9ffb,0x04ffd800,0x200fff20,0xfff13ffc,0x7ffd4003,
    0xb07ff906,0xff301fff,0x2600001f,0xff3007ff,0x3eadffdf,0x57ff907f,
    0xfff105ff,0x001ffea1,0x7007ffa8,0x3f20bfff,0x00bff93f,0x0f32a7f5,
    0x07fedff8,0x9ff7ff30,0x9ffb0000,0x01ffe400,0xff89ffe4,0x7fec001f,
    0x83ffc83f,0xf985fff8,0x300000ff,0x7e400fff,0xff56ffff,0x337fe60f,
    0x1fff107f,0x8001ffea,0x3a007ffa,0xffc83fff,0xb00bff93,0x81bff63f,
    0x004ffffd,0x00bffffe,0x013ff600,0xc803ffc8,0x3fff13ff,0xffff8800,
    0xa81ffe40,0x7fcc2fff,0xf300000f,0x7f4400ff,0xfff56fff,0x27ffff40,
    0xf50fff88,0x7d4000ff,0x3fe2007f,0x9ffe41ff,0x79975ffc,0xdffb27ec,
    0x17fffdc0,0x1ffff900,0x9ffb0000,0x01ffe400,0xff89ffe4,0xffb8001f,
    0x01ffe45f,0x7cc1fffb,0x300000ff,0xf9800fff,0xfff56fff,0x0ffffe40,
    0xf50fff88,0xffffffff,0x29ffffff,0x54007ffa,0x7fe46fff,0x3f6bff93,
    0xffb0ee6f,0x7fffcc0d,0x3ffea000,0xffb00005,0x1ffe4009,0xf89ffe40,
    0xfd0001ff,0x1ffe45ff,0x4cbfff10,0x00000fff,0x9000fff3,0x3feadfff,
    0x1bffe607,0xf50fff88,0xffffffff,0x29ffffff,0xd8007ffa,0x3ff24fff,
    0x3f6bff93,0x3e00006f,0x7c4006ff,0xb00003ff,0x7e4009ff,0x3ffc803f,
    0x0003fff1,0x643fffe6,0x7fdc03ff,0x01fff32f,0x1ffe6000,0x5bffa200,
    0x7f407ffa,0x3ffe204f,0xffffff50,0xffffffff,0x01ffea9f,0x4bfffe20,
    0xbff93ffc,0x0001bff6,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x44000000,0x98000ccc,0x990004cc,
    0x66666405,0xcccccccc,0x9910cccc,0x99999999,0x99999999,0x33333223,
    0xabcccccc,0xcccc9800,0xaccccccc,0x99999801,0x99999999,0xc9800199,
    0x400002cc,0x2ea201ed,0x2000abcc,0xcefedca8,0x36e6000b,0x2a01bdee,
    0x39db70cc,0x001fff88,0x8007ffa8,0x3fe05ffc,0xffffffff,0x1fffffff,
    0xfffffff1,0xffffffff,0x3fe65fff,0xffffffff,0x200cffff,0xfffffffa,
    0x2fffffff,0xffffff30,0xffffffff,0xfc8003ff,0x200006ff,0xfc882ffd,
    0x3fffffff,0xffffea80,0x803fffff,0xfffffffc,0x71ff903f,0x443fffff,
    0xa8001fff,0x7d4007ff,0x3ffe05ff,0xffffffff,0x11ffffff,0xffffffff,
    0xffffffff,0x3ffe65ff,0xffffffff,0x504fffff,0xffffffff,0x7fffffff,
    0xffffff30,0xffffffff,0xff8003ff,0x80001fff,0x7c42fffb,0xffffffff,
    0xff900eff,0xffdbbfff,0x3fa207ff,0xffeddeff,0x57fe40ef,0x446fffff,
    0xa8001fff,0x3e2007ff,0x3fe05fff,0xaaaaaacf,0x0aaaaaaa,0x5557fff1,
    0x55555555,0x3fe61555,0xaaaaaabf,0x5ffffecb,0xaaafffa8,0xffcbaaaa,
    0x7774c4ff,0xeeeeeeee,0x000efffe,0x17ff7fea,0xffff5000,0x0bfffd85,
    0x213fff22,0x980cfff9,0xffb06ffe,0x9fff303d,0xbdffffc8,0x7ffc43da,
    0x7ffa8001,0x3ffff600,0x00bffe05,0x03fff100,0x1fff3000,0x3fffa600,
    0x803ffd44,0x0007ffe8,0x000fffcc,0x3ffe3ff6,0xffc88000,0x3fee2fff,
    0x3ffea00f,0x2037fe42,0x7d41fff8,0x3fe200ff,0x17fff21f,0x007ffe20,
    0x401ffea0,0x05ffeffb,0x0000bffe,0x0003fff1,0x001fff30,0x507fff44,
    0x7c400fff,0x3a0001ff,0x7c4002ff,0x007ff96f,0xffffffa8,0x00fff62f,
    0xffb13ff6,0x83ffd003,0xfb802ffe,0x03fff25f,0x007ffe20,0x201ffea0,
    0x5ffbeff8,0x000bffe0,0x003fff10,0x01fff300,0x25fff880,0x74007ffa,
    0xf90004ff,0xff70009f,0x801bfe69,0xfebffffd,0x003ffe2f,0x0041bfea,
    0x3e62ffd8,0xfff1007f,0x88037fe4,0xa8001fff,0xffe807ff,0x3e05ffa8,
    0x440002ff,0x80001fff,0x8000fff9,0x3fea7ffc,0x27fec007,0x07ffcc00,
    0xf0fff400,0xff1005ff,0x4bffa3df,0xf3007ee8,0x951000ff,0x7fd45fff,
    0x43ffe006,0xf1005ffc,0xf50003ff,0x3ffc80ff,0x7fc0bff5,0x7c40002f,
    0x980001ff,0x98000fff,0xfff51fff,0x01fff800,0x017ff440,0x323ffcc0,
    0xff8805ff,0x0017ff43,0x440bff70,0xffffedba,0x3fee2fff,0xffffffff,
    0x91ffffff,0x3e2009ff,0xfa8001ff,0x97fe607f,0x3fe05ffa,0x7c40002f,
    0x980001ff,0xd0000fff,0x1ffea5ff,0x007ffa80,0x0005ffc8,0xff989ffb,
    0xe81c400f,0x3a0002ff,0xffc884ff,0xfeffffff,0x3fff22ff,0xffffffff,
    0xf92fffff,0x3fe2007f,0x999999af,0xfb999999,0x1ffd107f,0xff02ffd4,
    0xf880005f,0x980001ff,0xb0000fff,0x1ffea7ff,0x0bfff220,0x03fff300,
    0x03fff100,0x40007ffd,0x50002ffe,0xff883fff,0x1aceffff,0x7fe45ffb,
    0xccccccce,0x91cccccc,0x3e2007ff,0xffffffff,0xffffffff,0x5ff907ff,
    0x3e05ffa8,0xcccccdff,0x41cccccc,0xeeeefff8,0xeeeeeeee,0x3ffe62ee,
    0xbffb0000,0x3bbbffea,0xfffffeee,0xffd8001f,0xdff70006,0x001ffee0,
    0x8002ffe8,0xfe84fff8,0x3fa01bff,0x017fee2f,0x007ff900,0x3fffffe2,
    0xffffffff,0xa87fffff,0x5ffa84ff,0x3fffffe0,0xffffffff,0x7fffc42f,
    0xffffffff,0x262fffff,0x90000fff,0x3ffeadff,0xffffffff,0x4000cfff,
    0x0002fff8,0x3e207ffd,0xfd0002ff,0xfe88005f,0x1fff986f,0x262fff80,
    0x640007ff,0xff1003ff,0xffffffff,0xffffffff,0x0eff88ff,0x3e05ffa8,
    0xffffffff,0x42ffffff,0xfffffff8,0xffffffff,0x3ffe62ff,0xdff90000,
    0x3fffffea,0xffffffff,0x3ee003ff,0xff30007f,0x2ffec01f,0x02ffe800,
    0x07fffa20,0x26017fee,0x3fe22fff,0xcef9801f,0x2007ff90,0x8001fff8,
    0x7fec7ffa,0x40bff501,0xaaaacfff,0x0aaaaaaa,0x4cd7ffc4,0x99999999,
    0x3fe60999,0xffb0000f,0x267ffeab,0xcba99999,0xd003ffff,0x320009ff,
    0x7fd405ff,0xffe8000f,0xfffd1002,0x01bff205,0xfb0bfff6,0xdffd00df,
    0x8801ffe4,0xa8001fff,0x13fee7ff,0x3e05ffa8,0x440002ff,0x80001fff,
    0x0000fff9,0x3fea9ffd,0x3ffa6007,0x0fff9807,0x9bfff000,0xf9999999,
    0xfd0009ff,0xfff3005f,0x7ffdc05f,0x3ffff602,0x027ffc43,0x7e45fff9,
    0xfff1003f,0xfff50003,0xf501bfe6,0x17ffc0bf,0x3ffe2000,0xff980001,
    0xfff0000f,0x001ffea7,0xc803fff1,0xf50005ff,0xffffffff,0x0fffffff,
    0x805ffd00,0x401ffffa,0x8acffff8,0xfffffeba,0xbefffc84,0x5fffec99,
    0x8801ffe4,0xa8001fff,0xffff77ff,0xffffffff,0x7c1fffff,0x440002ff,
    0x80001fff,0x8000fff9,0xff52fff8,0x9ffd000f,0x002fff80,0xffffffb0,
    0xffffffff,0xfe8005ff,0x3ffea02f,0xfff5000e,0x5dffffff,0x3ee0dff3,
    0xffffffff,0x03ffc85f,0x003fff10,0x3eefff50,0xffffffff,0xffffffff,
    0x000bffe0,0x003fff10,0x01fff300,0x21fff700,0xc8007ffa,0x3fea06ff,
    0xfff10006,0x33333335,0x0bffd333,0x702ffe80,0x8001bfff,0xffffffe9,
    0x880fffc4,0xeffffffd,0x007ff902,0x0007ffe2,0x7755ffea,0xeeeeeeee,
    0x0eeefffe,0x0000bffe,0x0003fff1,0x001fff30,0x2a4fff88,0xfd8007ff,
    0x13ff605f,0x037fdc00,0x007ffee0,0xfb82ffe8,0x440005ff,0x000009a9,
    0x00013551,0x03fff100,0x00fff500,0x7c0bff50,0x440002ff,0x80001fff,
    0x4000fff9,0x3ea1fffd,0xfff8007f,0x00fffa03,0x001fff40,0x8013ffe2,
    0x7fdc2ffe,0x0000004f,0x00000000,0x00fffc40,0x003ffd40,0xff02ffd4,
    0xf880005f,0x980001ff,0x91000fff,0xffa8bfff,0x7ffec007,0x03fff102,
    0x01fff300,0x00fff900,0xff117ff4,0x3b60009f,0x4eeeeeee,0x11111111,
    0x11111111,0x00011111,0x01fff880,0x007ffa80,0x3e05ffa8,0x440002ff,
    0x80001fff,0x3100fff9,0x1dffff75,0x9807ffa8,0x205fffeb,0x8000fffa,
    0x30006ffc,0x3a005fff,0x1bff62ff,0xffffe800,0xff75ffff,0xffffffff,
    0xffffffff,0x400003ff,0x8001fff8,0xa8007ffa,0x3ffe05ff,0x7fc40002,
    0xffffffff,0xffffffff,0xffffff37,0xffffffff,0xff501dff,0xffffffff,
    0x1dffffff,0x003ffdc0,0x0003fff8,0x7401bffa,0xffff52ff,0xffffffff,
    0x7ff4ffff,0x75ffffff,0xffffffff,0xffffffff,0x0003ffff,0x00fffc40,
    0x003ffd40,0xff02ffd4,0xf880005f,0xffffffff,0xffffffff,0xfffff37f,
    0xffffffff,0x3ea019ff,0xffffffff,0x0dffffff,0x002ffe40,0x0007ffd4,
    0x003fff70,0x3ff25ffd,0xffffffff,0x267fffff,0xaaaaaaaa,0x11111111,
    0x11111111,0x00111111,0x1fff8800,0x07ffa800,0x205ffa80,0x40002fff,
    0xfffffff8,0xffffffff,0xfff37fff,0xdfffffff,0xff50059b,0xffffffff,
    0x200179dd,0xd8004ffc,0x440005ff,0xfe804fff,0xfffffd2f,0xffffffff,
    0x00000fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x677f6dc4,0x32a2001b,
    0x9500cdee,0x39970039,0x6f7ee540,0x0000401b,0x2a100000,0xdd9510cc,
    0xdd951037,0x0399705b,0x5402ccb8,0x079931cc,0x990e65c0,0x99970079,
    0xca886654,0x9500bdee,0x99999999,0x00599999,0x3ffea000,0x03ffffff,
    0x7fffff44,0xffd84fff,0x82ffe803,0xffffffd8,0x073e04ff,0x98000000,
    0xf31ff97d,0x49ffffff,0xfffffff9,0x013ff20d,0xfd80dfff,0x01fff11f,
    0x5c1fff10,0x3ea02fff,0x23ff22ff,0xffffffe8,0xffffc82f,0xffffffff,
    0xff8804ff,0xefffa806,0x5ffffecd,0xbdffff30,0xd89ffffb,0xffe803ff,
    0x77fffcc2,0x0effffdd,0x002efff8,0x3fae0000,0xff7ff97f,0x7ffffddf,
    0xffddfff3,0x37fcc9ff,0x01ffff30,0xffb1ffe2,0x0bff7007,0xf101fffb,
    0xaffc89ff,0xfffeffff,0x7ffe42ff,0xefffffff,0xfc803fff,0x7ff402ff,
    0x0fffc884,0x441fffe8,0x3f62fffc,0x2ffe803f,0x540f7ff4,0xfff85fff,
    0x0000cfff,0xffffc880,0x9ffff96f,0xfffffd83,0x07ffec44,0x3ee03fff,
    0xff502fff,0x806ffa89,0xff882ffe,0x86ffd85f,0x0beffffc,0x001bffea,
    0x802fff44,0x2205ffff,0x7ff406ff,0x007ffdc3,0x7fecbffd,0x22ffe803,
    0x2600effc,0x75c42fff,0x01dfffff,0xfffda800,0x3ff22eff,0xffff305f,
    0x87ffe209,0xffb03ffc,0x3ff209ff,0x201fff81,0x3ea07ff9,0x3ffee2ff,
    0x04fffc81,0x0007ffea,0x5c01bffa,0x301ffeff,0xac980dff,0x201ffec1,
    0xffb0fff9,0x25ffd007,0xc802fff8,0x3f6606ff,0x003effff,0x7ffff5c4,
    0xfffc81cf,0x03fffe00,0x3ea2ffe8,0xff9ff05f,0x641ffe0d,0x3ff204ff,
    0x47ffe404,0xf903fff9,0xfff801ff,0x77fec002,0xf3ffd000,0x3ffe209f,
    0x0fff0004,0x7ffb0260,0x265ffd00,0xff1006ff,0xfeb8801f,0x200cffff,
    0xefffffc9,0x1bff200b,0xd80bffb0,0x1ffe23ff,0x3ff6bfe6,0x982ffcc0,
    0x3ffe07ff,0x67ff4401,0x3f205ffe,0x2ffe805f,0x07fff200,0xfea7fd40,
    0xffffb00f,0xff10015b,0x7fec000d,0x72ffe803,0x7fc00bff,0x3f6a001f,
    0x2a2dffff,0x1dfffffd,0x80bff900,0x7e404ffc,0x20ffec3f,0x2ffb8ffc,
    0xfd017fe4,0x0dff303f,0x3ffffe60,0x13ff200e,0x400bff60,0x2002fffb,
    0x7ff50ffd,0x3ffffa20,0xf501beff,0x7ec000bf,0x2ffe803f,0x74009ff9,
    0xc88002ff,0x3fe7ffff,0x4000beff,0x7e404ffc,0x1ffe403f,0xdfd13fee,
    0xffd13fe6,0x427fdc01,0x32003ffc,0x6401ffff,0xffd803ff,0x3fffa803,
    0xf17fe600,0xfffc80ff,0x40efffff,0x20004ffb,0xfe803ffd,0x007ffb2f,
    0x0001ffec,0x7fcffff5,0xf90001ef,0x3ffc807f,0x221ffe40,0x93fe26ff,
    0x17fe26ff,0xff0fff10,0x7fc4001f,0x7fe400ef,0x03ffd803,0x0027ffcc,
    0xff90bff2,0xffda8805,0x2e2fffff,0x360005ff,0xffe803ff,0x4007ffb2,
    0x44003ffd,0x26ffffeb,0x02efffff,0x201ffe40,0x7e403ffc,0x50ffe83f,
    0x87fec5ff,0xfd802ffb,0x017fea2f,0x09ffffb0,0xd803ffc8,0x3fe203ff,
    0x7fc4005f,0x006ff887,0x3ffff5cc,0x4000dff5,0xff803ffd,0x009ff92f,
    0x98017ff4,0x2efffffc,0x7ffff5c4,0xffc800cf,0x01ffe403,0x3ee0fff2,
    0x5c1ff92f,0x01ffb2ff,0x7ecbff50,0x3fee002f,0x3202ffff,0xffd803ff,
    0x1dffd103,0x04ffb800,0x20003ffb,0xff31fffb,0x4732e00f,0x7c403ffc,
    0x0bff52ff,0x200fffc0,0xdfffffda,0xfffda801,0x3f202dff,0x1ffe403f,
    0x260fff20,0x98dff5ff,0x00dff4ff,0x7fc47ffc,0x3ffe2007,0x900fffba,
    0xffb007ff,0x03fffa07,0x403ffe00,0x3f6e5ffa,0x13ffe803,0xfd003fff,
    0x013ff23f,0x3e65fff3,0xffa800ff,0xffff7107,0x100017ff,0x7dfffff9,
    0x403ffc81,0x7e403ffc,0xf1fff03f,0xf5fff09f,0x7fe4007f,0x2004ffba,
    0x3ffa5ffe,0x007ff905,0xffb07ffb,0xff50003f,0x70ffe80b,0xff880fff,
    0x017ff61f,0x7fdcfff3,0x17ffec06,0xfd00bffd,0xfffd98bf,0x00002eff,
    0x3fffffae,0x807ff91c,0x7e403ffc,0xf9ff903f,0xfdffb03f,0x7fcc001f,
    0x7001ffdd,0x7fcc1fff,0x03ffc83f,0x7e43ffd8,0xfd0002ff,0x4ffb805f,
    0x5c07fff3,0x7ffc46ff,0x49ffd103,0xf903fff9,0x7fcc5fff,0xfffb103f,
    0xdfffff81,0x26000001,0xf97ffffd,0x3ffc807f,0xa81ffe40,0xf707ffff,
    0xd000dfff,0x200dffff,0xfb82fff9,0x1ffe40ff,0xf71ffec0,0x000007ff,
    0xefffc800,0xfffca9ac,0xbdfffb83,0x86fffda9,0xcabefffe,0x42ffdffe,
    0x99bdfffc,0xf81fffeb,0x00000bff,0x5fff2200,0x7e403ffc,0x1ffe403f,
    0x20bffff0,0x003ffff8,0x03ffffb8,0x740bffd0,0x1ffe46ff,0xf99ffec0,
    0xedcccfff,0x0eeeeeee,0xffe80000,0xffffffff,0x3fffee02,0x80efffff,
    0xffffffe9,0x82ffb9ff,0xfffffffb,0x05d01fff,0x70000000,0x900fff2b,
    0xffc807ff,0x0ffff603,0x001fffe8,0x00ffff88,0x200fffc8,0x3f23fff9,
    0x3ffd803f,0xfffffff3,0xffffffff,0x2000001f,0xffffffea,0xffd9801d,
    0x4403ffff,0x1dfffffd,0x36605ff7,0x0bdfffff,0x00000000,0x01ffe400,
    0xf900fff2,0x7ffd407f,0x01fff201,0x805ffd80,0xc802fffa,0x7ff91fff,
    0x267ffb00,0xffffffff,0xffffffff,0x44000000,0x20000aa9,0x98000aa9,
    0xa880001a,0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0x9930ccc9,
    0x71332a19,0x26a60799,0x76c42000,0x0000005e,0x00000000,0x00000000,
    0x00000000,0x00000000,0x401ffe00,0xffffffff,0xffffffff,0x201ff506,
    0xff50fffa,0xd1fff23f,0x7fec4bff,0x2202dfff,0x0bffea2d,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0xfff007ff,0xffffffff,
    0x20dfffff,0x3fea07f9,0x23fff50f,0x7ff47ffc,0xffffff35,0x3139ffff,
    0xffc85fd7,0x00000006,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3e00fff0,0xffffffff,0x6fffffff,0x50c6f986,0x3fea1fff,0xe8fff91f,
    0xffff75ff,0xffffffff,0xb05fffff,0x000003ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00fff000,0xefa80000,0xfeb8ef8a,0x2a1fff50,
    0xfff71fff,0x37ee9f10,0x3fffae61,0x00efffff,0x00000bfd,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00fff000,0xffd80000,0xffffffff,
    0x7ccfff33,0x0dff50ff,0x100ee7f5,0x07dffff9,0x00000110,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00fff000,0xca880000,0xacdffffe,
    0xff8dff10,0x3617fe66,0x0310001f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x4ccccccc,0x99999fff,0x40000009,0x3e05ffe8,
    0x3e2ff44f,0x0027ec3f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfffff000,0xffffffff,0x4cccdfff,0x99999999,0x44099999,
    0xb05fecfe,0x744fc87f,0x0001dc2f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3ffffe00,0xffffffff,0x3ffe6fff,0xffffffff,
    0x6c6fffff,0x84ff98ff,0x20d4c0a9,0x000000a9,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xeeeeee80,0xeeeefffe,0x3fffe5ee,
    0xffffffff,0x3e66ffff,0x003bf22f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x03ffc000,0xeeeeeee8,0xeeeeeeee,
    0x1222445e,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfff00000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xf8000000,0x0000007f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00003ffc,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x001ffe00,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0fff0000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xee800000,0x00000005,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_40_usascii_x[95]={ 0,3,1,0,1,2,1,1,2,2,1,1,2,1,
3,0,1,3,1,1,0,1,1,1,1,1,3,2,1,1,1,1,1,-1,2,1,2,2,2,1,2,3,0,2,
2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,2,0,0,0,-1,1,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,0,3,0,1, };
static signed short stb__arial_40_usascii_y[95]={ 32,6,6,5,4,5,5,6,5,5,5,10,28,21,
28,5,6,6,6,6,6,6,6,6,6,6,13,13,10,13,10,5,5,6,6,5,6,6,6,5,6,6,6,6,
6,6,6,5,6,5,6,5,6,6,6,6,6,6,6,6,5,6,5,36,6,13,6,13,6,13,5,13,6,6,
6,6,6,13,13,13,13,13,13,13,6,13,13,13,13,13,13,5,5,5,16, };
static unsigned short stb__arial_40_usascii_w[95]={ 0,4,11,20,18,28,23,5,9,9,12,18,5,10,
4,10,18,11,18,18,19,18,18,18,18,18,4,5,18,18,18,18,35,25,20,24,22,20,19,25,21,4,16,22,
17,26,21,26,21,26,24,22,22,21,24,34,24,24,21,8,10,8,16,22,8,18,17,17,17,18,12,17,16,4,
8,16,4,26,16,18,17,17,11,16,10,16,18,26,18,18,18,12,4,11,19, };
static unsigned short stb__arial_40_usascii_h[95]={ 0,26,10,28,32,28,28,10,35,35,12,18,10,4,
4,28,27,26,26,27,26,27,27,26,27,27,19,25,19,12,19,27,35,26,26,28,26,26,26,28,26,26,27,26,
26,26,26,28,26,29,26,28,26,27,26,26,26,26,26,34,28,34,15,4,6,20,27,20,27,20,27,27,26,26,
34,26,26,19,19,20,27,27,19,20,27,20,19,19,19,27,19,35,35,35,7, };
static unsigned short stb__arial_40_usascii_s[95]={ 160,240,129,187,114,26,55,123,77,1,110,
72,141,204,251,245,217,173,185,1,23,20,39,128,94,75,251,245,91,91,72,
135,11,147,107,1,84,63,43,208,1,235,58,207,189,162,140,160,118,133,76,
79,36,113,226,1,201,176,154,105,234,96,238,215,167,204,236,18,199,223,175,
157,59,230,87,101,251,110,202,53,121,139,242,1,188,36,164,137,183,102,219,
64,59,47,147, };
static unsigned short stb__arial_40_usascii_t[95]={ 30,94,168,1,1,37,37,168,1,1,168,
168,168,142,114,1,37,121,121,66,121,66,66,121,66,66,94,94,148,168,148,
66,1,121,121,37,121,121,121,1,121,94,66,94,94,94,94,1,94,1,94,
37,94,66,66,94,66,66,66,1,1,1,148,142,168,121,37,148,37,121,37,
37,94,94,1,94,66,148,148,148,37,37,121,148,37,148,148,148,148,37,148,
1,1,1,168, };
static unsigned short stb__arial_40_usascii_a[95]={ 159,159,203,319,319,509,382,109,
191,191,223,335,159,191,159,159,319,319,319,319,319,319,319,319,
319,319,159,159,335,335,335,319,582,382,382,414,414,382,350,446,
414,159,286,382,319,477,414,446,382,446,414,382,350,414,382,541,
382,382,350,159,159,159,269,319,191,319,319,286,319,319,159,319,
319,127,127,286,127,477,319,319,319,319,191,286,159,319,286,414,
286,286,286,191,149,191,335, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_40_usascii_BITMAP_HEIGHT or STB_FONT_arial_40_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_40_usascii(stb_fontchar font[STB_FONT_arial_40_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_arial_40_usascii_BITMAP_HEIGHT][STB_FONT_arial_40_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_40_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_40_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_40_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_40_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_40_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_40_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_40_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__arial_40_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__arial_40_usascii_s[i] + stb__arial_40_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__arial_40_usascii_t[i] + stb__arial_40_usascii_h[i]) * recip_height;
            font[i].x0 = stb__arial_40_usascii_x[i];
            font[i].y0 = stb__arial_40_usascii_y[i];
            font[i].x1 = stb__arial_40_usascii_x[i] + stb__arial_40_usascii_w[i];
            font[i].y1 = stb__arial_40_usascii_y[i] + stb__arial_40_usascii_h[i];
            font[i].advance_int = (stb__arial_40_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__arial_40_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_40_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_40_usascii_s[i] + stb__arial_40_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_40_usascii_t[i] + stb__arial_40_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_40_usascii_x[i] - 0.5f;
            font[i].y0f = stb__arial_40_usascii_y[i] - 0.5f;
            font[i].x1f = stb__arial_40_usascii_x[i] + stb__arial_40_usascii_w[i] + 0.5f;
            font[i].y1f = stb__arial_40_usascii_y[i] + stb__arial_40_usascii_h[i] + 0.5f;
            font[i].advance = stb__arial_40_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_40_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_40_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_40_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_40_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_40_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_40_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_40_usascii_LINE_SPACING
#endif

