// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_44_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_44_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_44_usascii_BITMAP_WIDTH         256
#define STB_FONT_arial_44_usascii_BITMAP_HEIGHT        216
#define STB_FONT_arial_44_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_44_usascii_FIRST_CHAR            32
#define STB_FONT_arial_44_usascii_NUM_CHARS             95

#define STB_FONT_arial_44_usascii_LINE_SPACING          29

static unsigned int stb__arial_44_usascii_pixels[]={
    0x3321cc80,0x5993002b,0x01999500,0x00006662,0x3332ea62,0x260001ab,
    0x999800cc,0x33109999,0x40033333,0x800005e8,0x1abccba8,0x65d44000,
    0xcc98000a,0x05554401,0x01555100,0x59975100,0xfb800013,0xdffff10f,
    0x04ffa801,0x07ffffa2,0x8003ffd4,0xffffffc8,0x1cffffff,0x404fe800,
    0xfffffff9,0xffffff52,0x1be6003f,0x7f5c4000,0xffffffff,0x7f4c000c,
    0x4004ffff,0xfff006fe,0x3ffdc00b,0xffffd500,0x039fffff,0x447ff300,
    0x406fffff,0x3f604ffa,0xf501ffff,0xfd9800ff,0xffffffff,0xefffffff,
    0x07fea001,0xffffff98,0xfffff52f,0x765403ff,0x00bdffff,0xfffffa80,
    0xffffffff,0xfff3004f,0x00bfffdf,0x6400ffea,0xfd000fff,0xff91009f,
    0xffffffff,0x4001bfff,0xfdca86fe,0x3fea02ff,0x7bfff304,0x1ffea015,
    0xfffffd80,0xa9999abd,0x3fffffdb,0x881bfa00,0x2fffcccc,0x9999fff5,
    0xffffb101,0x05ffffff,0x7ffffe40,0xffedccef,0x6c00dfff,0xffd50cff,
    0x00dfd003,0x4017ffcc,0x4c01fff8,0xdefffffe,0xfffffecc,0x2ffb801e,
    0x502ffec0,0x3fee09ff,0x0ddd5006,0x7dfffd10,0x7fdc4001,0xfa800dff,
    0x3ffe004f,0x801fff52,0xffffffe8,0x02ffffff,0x1effffd8,0x3ffff220,
    0x0dff100e,0xfa80dff3,0x7ff4002f,0x06ffb805,0x17ffffd4,0xfffff710,
    0x037fc403,0xf5037fd4,0x0fff609f,0x3fa20000,0xc80003ff,0xfd005fff,
    0x3ffe001f,0x801fff52,0xf9aefffd,0x0ffffd8e,0x0ffffea0,0x5fffe980,
    0x3a07ff50,0x037f407f,0x007ffdc0,0xf880fffa,0x1000cfff,0x5c0dfffd,
    0xff9803ff,0x413fea07,0x00002ffe,0x00f7ffc4,0x7fff5000,0x009ff500,
    0x7fd4bffe,0x3ffea00f,0xffa9be24,0xffff104f,0xffd10003,0x05ff905f,
    0x7dc03ff6,0xff88002f,0x3ffe603f,0x0ffff200,0x27ffec00,0x9800fff8,
    0x3fea07ff,0x005ffd04,0x0dffd800,0xff980000,0x7ffc402f,0x52fff800,
    0x7e401fff,0xf1be21ff,0x3ff20fff,0x3e60004f,0x7fe40fff,0x203ffb02,
    0x360006fe,0x3ff206ff,0x1bffe605,0xffff8800,0x802ffd41,0x3ea07ff9,
    0x05ffd04f,0x540aaa20,0x2e200eff,0x19981bed,0x6c037fdc,0xfff803ff,
    0x401fff52,0x37c46ffd,0x3e03fff2,0x40000fff,0x7e42fffc,0x03ffb02f,
    0x40005ff7,0xff00fffa,0x7fff405f,0x7fd40001,0x01fff44f,0x2a07ff98,
    0x3ffd04ff,0x21ffea00,0x9101fff8,0x1fffffff,0xfb03ffe6,0x7ffa805f,
    0xf52fff80,0x7ffc01ff,0x26237c43,0x07fff500,0xbfff1000,0xfd03ffb8,
    0x00dff01f,0x507fff00,0x7fcc0fff,0xff00005f,0x07ffccff,0x00fff880,
    0x3fe09ff5,0xfff5001f,0x2207ff90,0xfffffffe,0x87ffb8ef,0x7c405ffa,
    0x7ffc02ff,0x401fff52,0x37c46ffe,0x03fff600,0x7fff4000,0x2213fea0,
    0x2ffb87ff,0x6ffc8000,0x2a04ffd8,0x00002fff,0x3ee3fff9,0x3fe2006f,
    0x09ff500f,0x54007ffe,0x37fc47ff,0xacfffe88,0xfeeffb98,0x01ffd05f,
    0x7c04ffd8,0x1fff52ff,0x107ffe40,0xfff800df,0x3f200007,0x07ffc1ff,
    0xff113fee,0x3e60000d,0x3ffe21ff,0x07ffee01,0x7ffd4000,0x8009ffb3,
    0xff500fff,0x007ffe09,0x3ea3ffd4,0x7fffb03f,0x3ffffe60,0x803ff903,
    0x7fc06ffc,0x01fff52f,0xf127ffd4,0x6fff800d,0x3fea0000,0x67ffdc2f,
    0x5c0fffd9,0x200002ff,0x3fee4ffe,0x07ffe406,0xfff98000,0x8007fff4,
    0xff501fff,0x01fff109,0xfb1ffea0,0x7fff701f,0x2ffffc80,0xb805ff70,
    0x3fe00fff,0x01fff52f,0x4effff44,0x3e2006f8,0x200005ff,0xfd83fffa,
    0x42ffffff,0x00006ff8,0xffb3ffdc,0x07ffe807,0x3ffe2000,0x003fff9d,
    0xfa81ffec,0x06ffa84f,0xf89ffea0,0x6fff886f,0x0ffff880,0xa807ff50,
    0x3fe02fff,0x01fff52f,0xeffffe88,0xff3000ef,0x4c00009f,0xfd704fff,
    0xff901bff,0xf8800003,0x0fff89ff,0x0037ffc0,0x2bbffe00,0x5c002fff,
    0xffa80fff,0x002ffe84,0xffa9ffea,0x02fffb83,0x4c0dfff0,0x7fcc04ff,
    0x4bffe02f,0x8800fffa,0xfffffffe,0x3fe600bd,0x2600004f,0x04403fff,
    0x710bff10,0xd80079d9,0x06ffacff,0x0005fff8,0x7d77ffc0,0xfe8001ff,
    0x27fd41df,0x001fffb3,0xff73ffd4,0x00dffd05,0xf702fff4,0xfff8805f,
    0x54bffe03,0x2a000fff,0xfffffffd,0xbfff102f,0x7fdc0000,0x7e40002f,
    0x7fff441f,0xf5001eff,0x007ffbdf,0x0000ffff,0x7defffcc,0xe88000ff,
    0x3fea7fff,0x01dfffd4,0x327ffa80,0x7ffc41ff,0x0fffe003,0xf801ffd8,
    0x3ffe04ff,0x001fff52,0xfffff910,0x3ffe0bff,0x3f200006,0x220001ff,
    0x7ffc45ff,0x00ffffcf,0x1ffffff0,0x00fffd00,0x67ffd400,0x40007ffc,
    0x3fea7ffc,0x000bffd4,0xffd9ffea,0x017ffcc0,0x201fff98,0xfff007ff,
    0xa97ffc09,0x10000fff,0xffffd5df,0x00ffff09,0x03ffec00,0x907ff200,
    0x3f2219ff,0xfff9004f,0x3ff600bf,0xf700001f,0x0fff77ff,0x3fff4c00,
    0x3ffa9ff5,0xffa8003f,0x3ea1ffa7,0xff5001ff,0x1bfe601f,0xf027ff40,
    0x3ffea5ff,0x4df10000,0x641ffffa,0x00000fff,0x4000dffd,0xfff85ff8,
    0x800ffe80,0x002ffff9,0x0005fff7,0x2e7fff20,0xf50007ff,0x7fd47dff,
    0x09fffd74,0x3a7ffa80,0x3ffdc0ff,0x40dff900,0xff004ffb,0x97ffc07f,
    0x0000fffa,0xfffa8df1,0x027ffd44,0x2fffcc00,0x83ffb000,0xff905ff9,
    0x1fffa003,0x05fff880,0x6fff8800,0x0001fff5,0xff507fff,0x01fffa89,
    0xfd9ffea0,0x07ffcc0f,0x827ffc40,0xf000fff9,0x7ffc05ff,0x001fff52,
    0x3fe1be20,0x1ffff85f,0xffd01c80,0x3e60005f,0x04ffa85f,0x36007ff7,
    0x7ec003ff,0x640002ff,0xfff33fff,0x6ffa8003,0xfb09ff50,0x7fd4009f,
    0xf107ff27,0xffb003ff,0x5fff105f,0x0bffe200,0xff52fff8,0x8829801f,
    0x87ffd86f,0x4c05fffc,0x3fee2eff,0x3f60005f,0x04ffb81f,0xf1007ff7,
    0xfa8001ff,0x260006ff,0xff10ffff,0xffd8005f,0x309ff502,0x7d400fff,
    0x20bfee7f,0x7cc04ffe,0x7f440fff,0x3fe6005f,0x4bffe01f,0xf500fffa,
    0x86f881ff,0xffd07ffc,0x7ffe407f,0x0ffffadf,0x09ff3000,0x7dc13fea,
    0x5ffb803f,0xbfffb000,0xfffd1000,0x003fff87,0xfa80fffc,0x0fff884f,
    0x54fff500,0xfffc84ff,0xfffff500,0x00fffd88,0xf01ffee0,0x3ffea5ff,
    0x85fff300,0x5ffd86f8,0x1bffff30,0x3ffffae0,0x20002fff,0xff300ffd,
    0x00bff20b,0x0005fff1,0x07bfffe2,0x2ffffd40,0x1002ffe4,0x3ea01fff,
    0x01fff04f,0xff1ffea0,0xffff881f,0x3ffff221,0xfffc9cff,0x7fec002f,
    0xa97ffc05,0x3fa00fff,0x2237c45f,0x3ee04fff,0x881bffff,0x05fffffd,
    0x813fe600,0xffd07ff8,0xfea88981,0x7cc0006f,0x409bffff,0xeffffca8,
    0x007ffa80,0x5403ffe2,0x3fff04ff,0xb1ffea00,0xfff307ff,0x77fffdff,
    0xffffffff,0xfff0001d,0x52fff805,0x7e401fff,0x91be21ff,0xf9805fff,
    0xeeffffff,0xffffffff,0xffb0002f,0x43ffc801,0xffe85ffa,0x0001ffff,
    0xfffffe88,0xfffffeef,0x3fe00dff,0xfff1001f,0x413fea01,0xf5001fff,
    0x06ffa8ff,0xfffffff5,0x3ffffe65,0x88000dff,0x7fc00fff,0x01fff52f,
    0x897fffcc,0x17ffee6f,0x7fffec40,0xffffffff,0x02efffff,0x2013fea0,
    0xfebefff8,0xfffd80ff,0x200002ff,0xffffffc8,0x3fffffff,0x004ffd80,
    0x7d40fff1,0x05ffd04f,0x3a1ffea0,0xfb7104ff,0xffe9817b,0x155501bd,
    0x2017fee0,0xfff52fff,0xffffb801,0xffebefcd,0x64c000ff,0xffffffff,
    0xffff912d,0x03ffa00b,0x7ffffd40,0xfff902ff,0x2000005b,0xffffffb8,
    0x3000beff,0x3e200dff,0x13fea07f,0xa8017ff4,0xfff987ff,0xb0000003,
    0x3fa01fff,0x2fff802f,0x5001fff5,0xffffffff,0x0003dfff,0x01aaa988,
    0x201bff62,0x44004ffa,0x400cefec,0x00000098,0x26aaa620,0x5ffd0000,
    0x40fff300,0xffd04ffa,0x1ffee005,0x0017ffe4,0x3fff2000,0x00dff302,
    0x7fd4bffe,0xffb5000f,0x09ffffff,0x98000000,0x0000002e,0x00000000,
    0x20000000,0xf9805ffa,0x13fea07f,0xb8017ff4,0x3ff607ff,0x400000cf,
    0x202fffe9,0xff002ffc,0x03ffea5f,0x2bff2600,0x00000000,0x00000000,
    0x00000000,0x40000000,0x7d400ffe,0x13fea06f,0xc8027fec,0x7fec06ff,
    0x880003ff,0x202ffffc,0x3e006ff8,0x1fff52ff,0x01be2000,0x00000000,
    0x00000000,0x00000000,0x7d400000,0x3ffa204f,0x413fea04,0x4c01fffb,
    0xfb805ffe,0x00adffff,0xffffb510,0x2ffb801b,0x54bffe00,0x10000fff,
    0x665400df,0xcccccccc,0xcccccccc,0x0001cccc,0x00000000,0x00000000,
    0x0ffc8000,0x3ffffba2,0x413fea01,0x0efffff8,0x5ffffdf3,0x3fffa600,
    0xccdeffff,0xfffffedc,0xff8802ef,0x3fffe605,0xfff52fff,0x2003ffff,
    0x3f2006f8,0xffffffff,0xffffffff,0x001fffff,0x00000000,0x00000000,
    0xfe880000,0x3ffffe25,0x027fd404,0x23fffff7,0x06fffffb,0xffffd980,
    0xffffffff,0x003fffff,0xf9803ff2,0x52ffffff,0x3fffffff,0x75c00000,
    0xeeeeeeee,0xeeeeeeee,0x001eeeee,0x00000000,0x00000000,0xff500000,
    0x0ffffe23,0x5013fea0,0x3f63ffff,0x40004fff,0xffedca98,0xacefffff,
    0x0bfe2000,0xdddddd30,0x3bbba63d,0x00001eee,0x00000000,0x00000000,
    0x00000000,0x88000000,0x80066609,0x31000998,0x00009883,0x01998800,
    0x00198800,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xbccba880,0x3100001a,0x4c400001,
    0x5cc00001,0x40000abc,0x0acdecb8,0x1e5c2aaa,0x00988000,0x4c466620,
    0x40000019,0x99102cc8,0xcca88005,0xc800001b,0x0331003c,0x7fed4000,
    0x3fffffff,0xfffc8800,0x98003dff,0x1dfffffd,0xffec8800,0x3effffff,
    0x7fffe400,0xfff1ffff,0x0003ff23,0x77fffecc,0xbffd402c,0x00007ffa,
    0xa827fd40,0x3f2003ff,0x01efffff,0x09ff1000,0x7ffffec4,0xfd30004e,
    0xffffffff,0x2005ffff,0xfffffffa,0x3f2005ff,0xffffffff,0xfff5000d,
    0xffffffff,0xfb003dff,0xffffffff,0x2a3fff5f,0x6c4002ff,0xffffffff,
    0x5ffea04f,0x00007ffa,0xc817fdc0,0xfe8802ff,0xffffffff,0xffa80001,
    0xfffff702,0x003dffff,0x77ffffdc,0xfffedccd,0x7fd402ff,0xfffdceff,
    0xfffe805f,0xfffedcef,0x7ffd400e,0xfedceeff,0x201fffff,0x30aefffc,
    0x3ffffff7,0xb0013fe2,0xdb9bffff,0x3ea0bfff,0x00fff57f,0x0ffd8000,
    0xb001ffb0,0xfb55bfff,0xb0000dff,0x3fff20ff,0xfffeccdf,0xfffc801f,
    0x3f6601df,0xff101fff,0xfff903ff,0x77ffe40b,0x06fffa81,0x033fffe2,
    0x07fffea8,0x201dfff3,0x21ffffe9,0x3f2007fe,0xffc80cff,0x56ee984f,
    0x00000fff,0x3fe07ff8,0x3fff9806,0x002fffb8,0x7cc2ffc0,0xffa81eff,
    0x7ffcc06f,0x3ff2002f,0xfffc80ff,0x03ffee00,0x803bffe6,0xf503fff9,
    0x7ec007ff,0xfffd82ff,0x7fffcc00,0x2007ff21,0x6405fff8,0xff5007ff,
    0x4400000f,0xbff105ff,0x01fff700,0x0009fff1,0x7ec1ffcc,0x3fea00ff,
    0xfffd103f,0xfffb0005,0x04fff887,0xfd84fff8,0xffc801ff,0x00bff907,
    0xe84fff88,0xffb004ff,0x01ffcc3f,0x2007ffdc,0xa801fff8,0x000007ff,
    0x7d413fea,0x6ffd803f,0x0017ffa0,0xff81ffb8,0x5ffe803f,0x009fff70,
    0x71bffe20,0xf9003fff,0x0bfff0ff,0x207ffe20,0xc8003fff,0x7ffc47ff,
    0x3fff5001,0xfe805ff8,0x9ffd005f,0x00fff500,0x17fdc000,0xb801ffc8,
    0xff880fff,0x3fa0002f,0x02fff887,0xfd06ffc8,0x6c0001ff,0x3ff20dff,
    0x5fff3006,0x001fffc4,0xfff07ffd,0xddf5000b,0x007ffcc1,0x6c1fff98,
    0x5cc400ff,0x89fff002,0xfff52aa8,0x0def6544,0x2aaaaa60,0xaaaabffe,
    0x0aabffea,0x509fff50,0x44000fff,0xfff884ff,0x86ffc802,0x0004fff9,
    0x4ffe80c4,0x98fffe00,0x36002fff,0xfffd85ff,0x3ee00000,0x3fe2007f,
    0x017fdc1f,0x3ffe2000,0xfabffd41,0xfffff57f,0x3f201dff,0xffffffff,
    0xffffffff,0x3fa02fff,0x3ffe62ff,0x3fea0004,0x009ffd02,0xff909ffd,
    0x2000007f,0x2003fff8,0x3fe65ffe,0x3ff6001f,0x0dfffb87,0xdffb0000,
    0x41fff800,0x00004ff8,0x7d43ffec,0xf7fff57f,0xffffffff,0xffff905f,
    0xffffffff,0xffffffff,0x7fffd405,0x00dfffca,0x403ff200,0x2a00fffb,
    0xffd81fff,0x1000002f,0x6c007fff,0x3ffe26ff,0x1fffa002,0x37ffffe2,
    0x3f20000a,0x3fe2007f,0x006fe81f,0x7fff9300,0x3eafff50,0x30afffff,
    0x983ffff9,0xdffcaaaa,0xffdaaaaa,0x6400aaac,0x4fffffff,0x06ff8000,
    0x207bffa2,0xfd06fffb,0x000001ff,0x800bffe6,0x7ffc6ffd,0x1fffe004,
    0x7fffffcc,0x5c001bef,0x3e6007ff,0x0ffc81ff,0xfffb5000,0x3fea05ff,
    0x1dffff57,0x017ffea0,0x7e40bff2,0xffe8001f,0x80002fff,0x6c403ff9,
    0xfeddefff,0x3ffa03ff,0x26000007,0x32002fff,0x7fff47ff,0xffffb800,
    0xffffd100,0x17dfffff,0x00fffa80,0x503fff30,0xf30007ff,0x403fffff,
    0xfff57ffa,0xfffb801f,0x807fec01,0x22000ffe,0x05fffffc,0x03ff7000,
    0x3ffffee0,0x7fc02fff,0x2000006f,0x2001fffa,0x7fd47ffc,0x7ffc405f,
    0x7f5c00ff,0xffffffff,0xfff101df,0x3fff2007,0x000bff01,0xfffffff5,
    0x2fff5019,0x8804fffa,0x7fc04fff,0x801bfe07,0xfffffffb,0xfd80003f,
    0xfffc8807,0x3fffffff,0x001fffe0,0x1fffa800,0x21fff200,0xa80dfffe,
    0x00ffffff,0xffffb730,0x207fffff,0x4400fffd,0xfb01ffff,0x5573000f,
    0x81dfffd9,0xfff57ffa,0x1bff2001,0xf305ff88,0x3fee009f,0xffffbbff,
    0x3fe00081,0x7fffcc05,0xffeba9bd,0x1fffd05f,0x3e600000,0x3f2001ff,
    0xffff987f,0xefffddef,0x20007ffa,0xfffffeb9,0x5fff883f,0x3ffff620,
    0x003ff701,0x1bfff200,0x3feafff5,0x1ffee007,0xf703ffa8,0xfff9007f,
    0x7fffe43d,0x8077fea0,0x3e203ffa,0x3ee02fff,0xfffd85ff,0xf1000001,
    0x7ec005ff,0xfffd306f,0x2abfffff,0x100007ff,0x01fffff7,0x443dfff9,
    0x1fffffea,0x0009ff30,0x517ffe40,0x1bfeafff,0x00fffa80,0x3f205ff9,
    0x7ffcc01f,0x5fffe80e,0xc803fff6,0x3ff200ff,0xfffc801f,0x017ffe42,
    0x5fff0000,0x037fec00,0x37fffff2,0x001ffee3,0x7fffd100,0x3fffff60,
    0xffdfffff,0x01bfe01f,0x6fff8800,0x7fd5ffea,0x3ffe6005,0xffd99951,
    0xff99999b,0x4399999f,0xf101fffd,0xfff19fff,0x206fe80d,0x2005fff8,
    0x7fd45ffe,0xbd80004f,0x001fffc1,0x2200bffd,0x8dff901a,0x20000998,
    0x3ee05fff,0xafffffff,0x3201fff9,0x200000ff,0x3fea7ffd,0x400dff57,
    0xff90fffa,0xffffffff,0xffffffff,0x3fffc5ff,0x37fffe60,0x3e203fff,
    0x3ffe604f,0x1fff2002,0x000bfff1,0x3a5fffa8,0x3fa004ff,0xfb00004f,
    0x27ffc49f,0x0fff9000,0xbdeedb98,0x401fff30,0x00002ffa,0x7d43fff2,
    0x00dff57f,0xff93ffdc,0xffffffff,0xffffffff,0x3ffe25ff,0xffffb804,
    0x3ee00fff,0x3ffea02f,0x3ffee001,0x007ffec0,0x43fffb00,0xf1006ffd,
    0x100005ff,0xfff85fff,0x3fee0006,0x7d40000f,0x3fe200ff,0x00f6e445,
    0x7d4fffb0,0x00fff57f,0x33137fe4,0x33339ff7,0x3337ff93,0x3ffe6133,
    0xffff9004,0x07fd807f,0x000fffcc,0xfa81fff7,0xf30005ff,0xfffa8dff,
    0x0fffb800,0xb801ee5c,0x7ff40fff,0xffb0001f,0x5c00098b,0x7fe807ff,
    0x001fffc4,0x7fd4bffd,0x003fff57,0x7e417ffa,0x03ff901f,0x007fff88,
    0x003ffffa,0xff880bff,0x3ff2003f,0x07fffd06,0x3fffe880,0xe803fff8,
    0x6ffc86ff,0x50bffd00,0x8001dfff,0x7f43fff8,0xffe8802f,0x41ffb805,
    0xf3006ffe,0xbffd49ff,0xa804fffa,0xffb02fff,0x401ffa01,0x8802fffe,
    0x00effffe,0xfd007ff3,0x7ff400df,0x9ffff305,0x3fff6200,0x01dff706,
    0x4c17ffd4,0x7e402fff,0xfffd01ff,0x3fe6003f,0x3ffec0ff,0x017ffe40,
    0x3ee1ffcc,0xffe803ff,0x55ffea0f,0x7401ffff,0x1bfe06ff,0xb8037fc4,
    0x7cc05fff,0x0effffff,0xc801ffc8,0xfc804fff,0x3fee02ff,0x440acfff,
    0x00effffc,0x501dfff1,0x7f40dfff,0xfff901ff,0x7fffcc09,0x2a609bcf,
    0xb85ffffc,0xf701cfff,0x7fc00dff,0x03fffe85,0xa87fffd3,0xffff57ff,
    0xfffd103f,0x417fe203,0x3a004ff9,0x5c40dfff,0xfffeffff,0x03ff40ef,
    0x409fffd0,0xb804fffc,0xefffffff,0xfffffffe,0x7fffdc01,0xffffebbd,
    0x3fffe600,0xffffdbcf,0xffffa805,0xffffffff,0x3606ffff,0xdcdfffff,
    0x001fffff,0xff103ff6,0xfb759dff,0xff50bfff,0x3ffbfeaf,0xfffdbbef,
    0x0ffea05f,0x3001ffdc,0xd9dfffff,0x2a9fffff,0xf10effff,0x7fcc009f,
    0xfcbbdfff,0x5000efff,0xffffffff,0x01bfffff,0x3ffffea0,0x801fffff,
    0xfffffffa,0x26005fff,0xfffffffe,0x04ffffff,0x7fffff44,0x01efffff,
    0x4c17fdc0,0xfffffffe,0xff503fff,0x3a37feaf,0xffffffff,0x80ffe403,
    0x44001ffc,0xfffffffe,0x7fd42fff,0x00bfea6f,0xfffffd30,0x01bfffff,
    0xffffb500,0x003bffff,0xfffffb30,0x6c40019f,0x1effffff,0xfffb5000,
    0x37bfffff,0x7ffecc00,0x0002dfff,0x7dc09ff1,0x0dffffff,0x7d5ffea0,
    0xffffb15f,0xffb003df,0x001ffa01,0xfffffec8,0x1df300ce,0x80007fe4,
    0xfffffffb,0x3300002e,0x00001355,0x0004d54c,0x01355310,0x554cc000,
    0x3100000a,0x2a000013,0xaaa8802a,0x26000001,0x1554001a,0x00005550,
    0x20013531,0x00155419,0x00d54c40,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x9bccba98,0x88000000,
    0x4c400199,0x01331001,0x00ccc400,0x22133300,0x00000199,0x21579731,
    0x32a21aa8,0x30002cee,0x99999880,0x99999999,0x20999999,0x00009998,
    0x22099988,0x40001999,0x93001998,0xffffffff,0x00001bdf,0x201ffea0,
    0xeffffeda,0x01bffa02,0x01fffb80,0x54fff880,0x00000fff,0x1ffffff9,
    0x7fd57fea,0x02efffff,0xfc809d30,0xffffffff,0xffffffff,0x3ffea4ff,
    0x7f40000f,0x3ffe23ff,0xff50002f,0xffd880bf,0xffffffff,0x0002ffff,
    0x407ffa80,0xfffffffc,0xffe80dff,0x3fee0006,0xff88001f,0x00fff54f,
    0xffffb800,0x37fea7ff,0xffeffffb,0x7dc02fff,0x7ffe404f,0xffffffff,
    0xffffffff,0x02fffec4,0x0bfff700,0x001ffff5,0x00efff88,0x3fffffa6,
    0xfffdccef,0x0000dfff,0x441ffea0,0xdceffffe,0xfe85ffff,0x3ee0006f,
    0xf88001ff,0x0fff54ff,0x7ffc4000,0x3ea3ccef,0x221effff,0x201ffffa,
    0x7e404ffd,0xffffffff,0xffffffff,0x7ffc44ff,0xff88002f,0xfff900ff,
    0xfffe800b,0x3fffe601,0x3ee201bf,0x00006fff,0x7ec1ffea,0x7ec40cff,
    0x37ff43ff,0x3fff7000,0x9fff1000,0x0001ffea,0x203fffa8,0x00dffffa,
    0x6c0dfff3,0x4cc404ff,0x99999999,0xfffa9999,0xffffa82f,0x7ffec000,
    0x1ffff402,0x03fffc80,0x00f7fff4,0x03ffff30,0x1ffea000,0xd017ffe6,
    0x6ffe8fff,0x3ffee000,0xfff88001,0x000fff54,0x007ffdc0,0x801ffff5,
    0xfb02fffb,0x2000009f,0x203fffe8,0x2005fffd,0x9805fffb,0x5401ffff,
    0x7e405fff,0xf10005ff,0x20000bff,0xffd87ffa,0x7ffdc00e,0x001bffa1,
    0x001fffb8,0xf54fff88,0x640000ff,0x7fd407ff,0x7fff004f,0x0013ff60,
    0x2ffff400,0x0bfffe20,0x03fffe20,0x037ffdc0,0x401ffff1,0x000ffff9,
    0x003fff20,0x11ffea00,0xf1003fff,0x37ff45dd,0x3fff7000,0x9fff1000,
    0x0001ffea,0x5406ffc8,0xf9000fff,0x7f5544bf,0x0002aaef,0x00dfffb0,
    0x003fffee,0x8005fffb,0xfd04fffd,0xffc803ff,0x7c40002f,0x6dc403ff,
    0x3fea1bde,0x002ffe47,0x0037ff40,0x003fff70,0x2a9fff10,0x76dd47ff,
    0xb55300ac,0x85555fff,0x2e007ffa,0x3ffe66ff,0x00ffffff,0x7fffe400,
    0x3fff6000,0x13ffea04,0x3fffe200,0x01fffe42,0x0003fffc,0xffb802a8,
    0xa8efffff,0x1fff47ff,0x37ff4000,0x3fff7000,0x9fff1000,0x7f4dffea,
    0x84ffffff,0xfffffffc,0x37fd46ff,0x21fff500,0xfffffff9,0x2a0000ff,
    0x4001ffff,0x881ffff8,0x0000efff,0x2a1dfff5,0xf9805fff,0x000005ff,
    0x3fffff60,0xffceffff,0x980fffc7,0x0dffd000,0x0fffdc00,0xa7ffc400,
    0xfffbfffa,0x3fffffff,0x7fffffe4,0x7fd46fff,0x3ffe6005,0x37ffa661,
    0x26000199,0x0003ffff,0xfb0dfff7,0xc80003ff,0xfff8cfff,0xfffb800f,
    0x90000004,0x2615dfff,0x47fffffb,0xfb710fff,0x7403bfff,0x2e0006ff,
    0x88001fff,0xfff54fff,0x93359fff,0x4c45ffff,0x999effc9,0x002ffd40,
    0xfb01fff3,0xd100009f,0x8000bfff,0x3ea3fffd,0x880004ff,0xfffefffe,
    0x5fff9001,0xf3000000,0x3e601bff,0x3fe27fff,0xfffffd17,0x3fa07fff,
    0x3ee0006f,0xf88001ff,0xffff54ff,0x3ffe601d,0x80dff905,0x2a006ffa,
    0x9ffb07ff,0xfffb0000,0xff10000d,0x1bffa1ff,0xfff98000,0x36004fff,
    0x00001fff,0x00fffc80,0xf33fffdc,0xdfffd1ff,0x0bfffffd,0x4000dffd,
    0x8001fffb,0xff54fff8,0xffd803ff,0x80dff907,0x2e007ffa,0x9ffb05ff,
    0xfffc8000,0xf700000f,0x3fff7bff,0xffb80000,0x7f4006ff,0x2aaa007f,
    0xaaaaaaaa,0x013ffa0a,0xff53fffc,0xa817ffdf,0x7f42ffff,0x3ee0006f,
    0xf88001ff,0x9fff54ff,0x01fff500,0xfa80dff9,0xffb001ff,0x013ff609,
    0x1ffffa80,0x7fec0000,0x0003ffff,0x4ffff880,0x03fff400,0xffffffb0,
    0x7c1fffff,0xff7001ff,0x7ffffdcf,0x3fffa201,0x001bffa0,0x001fffb8,
    0xf54fff88,0xff3005ff,0x0dff903f,0x805fffa8,0xfb02fff9,0x3e20009f,
    0x00003fff,0x6fffff88,0xffb00000,0x6c005fff,0xfb000fff,0xffffffff,
    0x3ffe61ff,0x4fff5000,0x803ffffb,0x3fa3fffa,0x3ee0006f,0xf88001ff,
    0x3fff54ff,0x03fff300,0xfa80dff9,0x7ec01fff,0x9ffb00ff,0xfffd1000,
    0x5c000009,0x0000ffff,0xfffffb80,0xff9000ff,0x3ff6001f,0xffffffff,
    0x00fff50f,0xff53ffcc,0x7ff400df,0x001bffa5,0x001fffb8,0xf54fff88,
    0xff3001ff,0x0dff903f,0x2fffffa8,0x03fffd88,0x20013ff6,0x0006fffd,
    0x05fff800,0xfff98000,0x005fffcd,0x0005fff7,0x643ffee0,0x3e2007ff,
    0x17ffe67f,0x3a6ffd80,0x320006ff,0x88000fff,0xfff54fff,0x07ffe600,
    0xf501bff2,0x77bfffff,0x80bffffb,0x5c004ffd,0x0000ffff,0x05fff800,
    0x7ffc4000,0x3fffe88f,0x05fff980,0x1fff7000,0x8801ffee,0x3ffe27ff,
    0x9ffee003,0x20007ffd,0x8000fffd,0xff54fff8,0x3ffe600f,0x406ffc81,
    0xfff9fffa,0x04ffffff,0x2004ffd8,0x001ffffa,0xbfff0000,0xffd80000,
    0x3fffe63f,0x07ffe801,0x1fff7000,0x4003ffea,0x7ffc7ff9,0x9ffee004,
    0x20007ffd,0x0d4c7ffd,0x553ffe20,0xff3007ff,0x0dff903f,0xfb17ffa8,
    0x0037dfff,0x44013ff6,0x0002ffff,0x17ffe000,0xfffb8000,0x06fffc85,
    0x003fffc8,0x10fffb80,0x2a003fff,0x37ff47ff,0x5cbff900,0xf0001fff,
    0x27ff4dff,0x54fffe60,0xff3007ff,0x0dff903f,0xa987ffa8,0x4ffd8000,
    0x4fffe880,0x7c000000,0x300005ff,0x3a01ffff,0x7c404fff,0x40001fff,
    0x3fa0fffb,0xfff9003f,0x2007ffc8,0x3fe63ffe,0xffa8004f,0x017ff64f,
    0x3ea7fff5,0xfff3007f,0x80dff903,0x00007ffa,0x6c02ffec,0x00005fff,
    0x05fff800,0xfffe8800,0x3fffe602,0x77ffdc02,0xffd30001,0x037fec1f,
    0x223fffc4,0xf9802fff,0x7fffc1ff,0x7fff4002,0x701fff22,0x3fea5fff,
    0x3fff3007,0xa80dff90,0x400007ff,0x7dc05ffd,0x00000eff,0x05fff800,
    0x4fffd800,0x0ffffb80,0x1ffffec0,0xffff9100,0x1fffd41f,0x21ffff20,
    0x7401fffc,0xfffc87ff,0xfff9001f,0x03fffb8d,0x7d4ffff1,0xfff3007f,
    0x80dff903,0x00007ffa,0xa80fffe4,0x0000ffff,0xbfff0000,0xfffb8000,
    0x3fff6006,0x7fff4405,0x5109bdff,0xffffffb7,0x09fff907,0x21fffff2,
    0x881ffff8,0xf882fffd,0x21bdffff,0xfffffb98,0x23ffff82,0x25fffea8,
    0xf3007ffa,0xdff903ff,0x007ffa80,0x7fffdc00,0xffff11ff,0x55555559,
    0x55555555,0x3fe00055,0x3e60005f,0x22001fff,0xc803ffff,0xffffffff,
    0xffffffff,0x3ff600cf,0xffecacef,0xff707ffe,0xff979dff,0x7fcc05ff,
    0xffffffff,0x03ffffff,0xfdfffff7,0xfa8dffff,0xfff3007f,0x80dff903,
    0x00007ffa,0x7fffff44,0xffffff32,0xffffffff,0xffffffff,0x17ffe000,
    0x3fffe800,0xffffa800,0xfffea801,0xffffffff,0xfd001eff,0xbfffffff,
    0x7cc0fff1,0xffffffff,0xffe8803f,0xffffffff,0x7e402fff,0xffffffff,
    0x03ffd40e,0xc81fff98,0x7fd406ff,0xd8800007,0xff34ffff,0xffffffff,
    0xffffffff,0x2000ffff,0x90005fff,0x4000bfff,0x2006fffc,0xffffffc9,
    0x4002cdff,0xffffffb8,0x880fff14,0xcefffffd,0x7fed4002,0xbeffffff,
    0xffff5000,0xf5019dff,0x3fe600ff,0x06ffc81f,0x00037754,0xf9826200,
    0xffffffff,0xffffffff,0x0007ffff,0x5000bfff,0x0001ffff,0x027fff44,
    0x04d54c40,0x15530000,0x2aa20000,0xa9880000,0x00009aaa,0x00026a62,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x04ccc400,0x06666200,0x44266600,0x20000199,0x33311998,0x33330000,
    0x33333333,0x33333333,0x88ccc433,0x99999999,0x80019999,0x20000998,
    0x26661998,0x99999999,0x4ccc4001,0x00013330,0x2660ccc4,0x80000999,
    0x33109999,0x3fffa813,0x7fffec00,0x3ffe2000,0x007fff93,0x2bfff100,
    0x80007ffa,0xffffffff,0xffffffff,0x71ffffff,0x3fffafff,0xffffffff,
    0x01ceffff,0x00037ff4,0x3fe3fff7,0xffffffff,0x02dfffff,0x7fd3fff2,
    0xf50001ff,0x7fffc3ff,0x7d40005f,0xfff56fff,0x05fff885,0x17ffffc0,
    0x23fff700,0x0006fff8,0xf51fffb8,0xff0000ff,0xffffffff,0xffffffff,
    0x3ee3ffff,0xfffffd7f,0xffffffff,0x01bfffff,0x8001bffa,0xfff1fffb,
    0xffffffff,0x7fffffff,0x3e9fff90,0x50006fff,0x7ffc3fff,0x20000fff,
    0xf56ffffd,0xfffd05ff,0x7fffd400,0x3ff6004f,0x007ffec7,0xa9bffa00,
    0xf80007ff,0xffffffff,0xffffffff,0xf71fffff,0x3ffffaff,0xffffffff,
    0x5fffffff,0x000dffd0,0xff8fffdc,0xffffffff,0xffffffff,0xa7ffe42f,
    0x004fffff,0x3e1fffa8,0x002fffff,0xdfffff10,0x2e0bffea,0xf9000fff,
    0x400fffdf,0x7fd45ffe,0x3e60003f,0x1ffea3ff,0x26666000,0xffe99999,
    0x9999999f,0x75ffee19,0x262006ff,0xe83ffffd,0x2e0006ff,0xdfff1fff,
    0x33333333,0xfffff733,0xfa7ffe43,0x001fffff,0xff0fffd4,0x000bffff,
    0x5bffffee,0xf982fffa,0xffd002ff,0x1003fff5,0xfff07fff,0x7fe4000d,
    0x01ffea0f,0x7fec0000,0xbffdc007,0x70006ffe,0xffd0dfff,0x7fdc000d,
    0x00bfff1f,0x25fffe88,0xfff4fffc,0x4001dfff,0x3fe1fffa,0x000fffef,
    0x6fffffd8,0x3e05fff5,0xff8804ff,0x5007ffd7,0xff901fff,0x3fe0003f,
    0x03ffd45f,0xffd80000,0xbffdc007,0x20006ffe,0x7f40fffd,0x3ee0006f,
    0x0bfff1ff,0x4ffff100,0xfff4fffc,0x4009ffff,0x3fe1fffa,0x002fffbf,
    0x7fef7fc4,0x205fff56,0xfb806ffd,0x00bff75f,0x3e60dff9,0xfa8004ff,
    0x3ffd42ff,0xfd800000,0x7fdc007f,0x000dffd7,0x3a17ffd4,0x2e0006ff,
    0xbfff1fff,0x3fff6000,0x3e9fff91,0x1fffecff,0x43fff500,0x5ffcbfff,
    0x6dffdc00,0x5fff56ff,0x003ffee0,0x3fe67ffb,0x27ff400f,0x000fffd0,
    0xff50fffb,0x3555500f,0x0fffb000,0xfd7ffb80,0x7cc000df,0x37ff44ff,
    0x3fff7000,0x40017ffe,0xff73fffb,0x2b3ffe9f,0xa800efff,0x3ffe1fff,
    0x000fff9b,0x3ff63ffa,0x205fff56,0x7c01fff9,0x0bffe1ff,0x202fff88,
    0x2001fffb,0xfa84fff8,0x7ffe407f,0xfffb0005,0xd7ffb800,0x5c000dff,
    0x7ff43fff,0x3fee0006,0x00bfff1f,0x5cfffea0,0x9fff3fff,0x2013fff2,
    0x3fe1fffa,0x005fff3f,0x7fedbfe2,0x405fff56,0x3e603fff,0x027fec6f,
    0x4401fff5,0x2e004fff,0xffa80fff,0x17fff207,0x07ffd800,0xfebffdc0,
    0x3f60006f,0x37ff41ff,0x3fff7000,0x40017ffe,0xff51fffb,0x453ffe7f,
    0x5401ffff,0x3ffe1fff,0x200bff93,0xdffb3ffb,0xd80bffea,0x3fee05ff,
    0x9037fdc4,0xffb00dff,0x2fff400f,0xf907ffa8,0xd8000bff,0x7dc007ff,
    0x00dffd7f,0x21fffee0,0x20006ffe,0xfff1fffb,0x3ffa000b,0x25fff30f,
    0x3fea4fff,0x3fea00ef,0x4cfffe1f,0xfe800fff,0x2adffb0f,0x3ea02fff,
    0x0bffa07f,0x3a01fff1,0xffa803ff,0xfff8802f,0x90fff502,0x0000bfff,
    0xb800fffb,0x0dffd7ff,0x7ffecc40,0xcfffe82f,0xcccccccc,0xffdccccc,
    0x00bfff1f,0x4cdfff90,0x9fff2fff,0x204fffc8,0x3fe1fffa,0x00bffe3f,
    0x7fecbff1,0x405fff56,0xf881fff8,0x3ffe80ff,0x001fff88,0xf700bffd,
    0x3ffd40ff,0x0013fff2,0x003ffec0,0x7ff5ffee,0xeeeeeeef,0xffffffee,
    0xffffd04f,0xffffffff,0xffffffff,0x017ffe3f,0x1ffffea8,0x7fc7ffe2,
    0x7fffc44f,0x43fff502,0x3ff23fff,0xb17fdc05,0x3ffeadff,0x41fff402,
    0xff906ffa,0x00fff50b,0x2007ffdc,0x3ea04ffe,0x13ffee7f,0x7ffd8000,
    0xebffdc00,0xffffffff,0xffffffff,0x3ffa02ff,0xffffffff,0xffffffff,
    0xffff1fff,0xdddddddd,0x9fffffff,0xff1fff88,0xdfff509f,0x43fff501,
    0x3fe63fff,0x83ffa00f,0xfff56ffd,0x85ffc805,0xff503ffc,0x00bff90f,
    0x301fffc4,0x7d403fff,0x09fff77f,0x7ffd8000,0xebffdc00,0xffffffff,
    0xdfffffff,0x7fff400b,0xeeeeeeee,0xfeeeeeee,0xfffff1ff,0xffffffff,
    0x207fffff,0x9fff0fff,0x213fff20,0x3fe1fffa,0x817ffc3f,0x7fec5ff9,
    0x805fff56,0xfff86ffa,0x83fff101,0x6c003ffe,0x3ff206ff,0x67ffd406,
    0x0001ffff,0x003ffec0,0x7ff5ffee,0xdcbaaaae,0x2002ffff,0x20006ffe,
    0xfff1fffb,0xffffffff,0x019fffff,0xfff87ffc,0x5ffff104,0x3e1fffa8,
    0x2ffe43ff,0x7ec2ffb8,0x05fff56f,0x260fff88,0x7ff407ff,0x003ffe23,
    0x101fff50,0xfa807fff,0x6fffffff,0x7fec0000,0xbffdc007,0x74406ffe,
    0xfd005fff,0x7dc000df,0x9dfff1ff,0x57999999,0x9ffa0013,0x3ea04fff,
    0x3fea0eff,0x30fffe1f,0xffd01fff,0x3eadffb0,0xffe802ff,0x7017fee2,
    0x37fd4bff,0x83fff800,0x5400fffa,0xffefffff,0x3600003f,0x7dc007ff,
    0x00dffd7f,0x00bfffd1,0x4000dffd,0xfff1fffb,0xfd00000b,0x2027ffcf,
    0x3ea4fffd,0x0fffe1ff,0xff30bffe,0x2adffb0b,0xfc802fff,0x00bff64f,
    0x7fe4dff3,0xdff90004,0x5009ffb0,0x3fa7ffff,0xb00001ff,0xfb800fff,
    0x00dffd7f,0x00ffffe2,0x4000dffd,0xfff1fffb,0xfb00000b,0x2027ffcd,
    0xf52ffff8,0x1fffc3ff,0x3f22ffe4,0x56ffd82f,0xf5005fff,0x03ffe2df,
    0x7ec3ffe0,0xff30002f,0x0fffc43f,0x31fffd40,0x0000dfff,0x7001fff6,
    0x1bffafff,0x2ffff980,0x001bffa0,0xff1fffb8,0xb00000bf,0x027ffcdf,
    0x547fffd4,0x3ffe1fff,0x20fff983,0xdffb07ff,0x200bffea,0xdff57ff8,
    0x7cbff600,0x3a0000ff,0x1bfee4ff,0x643ffd40,0x80003fff,0x5c007ffd,
    0x0dffd7ff,0x0ffffc80,0x000dffd0,0xff8fffdc,0xc800005f,0x013ffe5f,
    0x7d67ffec,0x0fffe1ff,0xff99fff4,0x2adffb04,0xfd002fff,0x009ff93f,
    0x3fe6ffee,0x7fdc0005,0x400fffa6,0xffd07ffa,0xfd80003f,0x7fdc007f,
    0x000dffd7,0x3a0bfffd,0x2e0006ff,0xbfff1fff,0x3e000000,0xff1004ff,
    0x43fffbff,0xff903fff,0x6c07ff2b,0x5fff56ff,0x3affee00,0xff1001ff,
    0x0007ff7b,0xf89fff88,0xff5000ff,0x1bffe60f,0x0fffb000,0xfd7ffb80,
    0xff3000df,0xdffd05ff,0x7ffdc000,0x000bfff1,0x13ffe000,0xfffffa80,
    0x0fffe1ff,0x7fc7ffcc,0x55bff607,0xf3002fff,0x800fffbf,0x01ffdffe,
    0xbbffd800,0x3ea005ff,0x3fff207f,0x3ff60003,0xbffdc007,0x90006ffe,
    0xfe81ffff,0x3ee0006f,0x0bfff1ff,0x3fe00000,0x7fec004f,0x3fe1ffff,
    0x37ffa03f,0x3ff604ff,0x005fff56,0x02fffffc,0x1fffff20,0x77fcc000,
    0x2a002ffe,0x3fe207ff,0xfb0001ff,0xffb800ff,0x000dffd7,0xd17fffa2,
    0x5c000dff,0xbfff1fff,0xffb80000,0x009fff3f,0xffffff88,0xc80fffe1,
    0x201fffff,0xfff56ffd,0x7ffec005,0x7fd4003f,0x200005ff,0x006ffffe,
    0x2a03ffd4,0xb0006fff,0xfb800fff,0x00dffd7f,0x17fffd40,0x4000dffd,
    0xfff1fffb,0xfb80000b,0x09fff3ff,0xfffff500,0x301fffc3,0xd80dffff,
    0x5fff56ff,0x7fffdc00,0x7ffc4000,0x2e00002f,0x4003ffff,0xfd807ffa,
    0xfd8003ff,0x7fdc007f,0x000dffd7,0x3a6fffd8,0x2e0006ff,0xbfff1fff,
    0xffb80000,0x009fff3f,0x87ffff60,0x7f403fff,0x7fec04ff,0x005fff56,
    0x0037ffcc,0x000fffe8,0x3fffe200,0x3ffd4000,0x0ffffc40,0x01fff600,
    0x3fafff70,0x7c40006f,0xdffd4fff,0x7ffdc000,0x000bfff1,0xf3fffb80,
    0x220009ff,0x3fe1ffff,0x7ffe403f,0xab7fec01,0x00002fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x26660000,0x99980000,0x33310000,0x4cccc413,0x99999999,0x80199999,
    0x209bddb8,0x2a6002aa,0x01331001,0x33333310,0x33333333,0x4c133333,
    0x99999999,0x00000999,0x00099980,0xeeeee880,0xeeeeeeee,0x99999986,
    0x00099999,0xa885554c,0x3ffe21aa,0x7fc40004,0xfe88004f,0x3ff60eff,
    0xffffffff,0xffffffff,0xffffd701,0x1ffe1dff,0x3027fcc0,0xbffffffb,
    0x3ffffa03,0xffffffff,0x3fffffff,0x3ffffffe,0xdfffffff,0xfb800002,
    0x40000fff,0xfffffff9,0x47ffffff,0xfffffff8,0xcfffffff,0x9fffdc02,
    0x3e23fffb,0x440004ff,0x44004fff,0x6c0efffe,0xffffffff,0xffffffff,
    0xfffd81ff,0x9efffeff,0xff8807ff,0xfffd884f,0xcfffffff,0x7fffff40,
    0xffffffff,0x23ffffff,0xffffffff,0xffffffff,0x3a00003e,0x0003ffff,
    0x7fffffdc,0x7fffffff,0x7fffffc4,0xffffffff,0x3fee04ff,0x47fff73f,
    0x0004fff8,0x0027ffc4,0x01dfffd1,0xfffffffb,0xffffffff,0xffc83fff,
    0x3fee21ef,0xfe807fff,0xfffe84ff,0xfffeccef,0x7ffff45f,0xffffffff,
    0x3fffffff,0x3ffffffe,0xffffffff,0x0001ffff,0x37ffffcc,0x3bff2000,
    0xaaaaaaaa,0x7ffc42aa,0xffffffff,0x05ffffff,0x3ee7fff7,0x3ffe23ff,
    0x7fc40004,0xffd1004f,0x7ffec0bf,0x99999999,0x41999999,0x300dfff9,
    0xd80fffff,0x7e44ffff,0xfe980dff,0x3bffa3ff,0x99999999,0x99999999,
    0x267bffe0,0xb9999999,0x00effffd,0x3f3ff200,0x3a0001ff,0x220003ff,
    0x9999dfff,0xffca9999,0xccc985ff,0x44399931,0x40004fff,0x8804fff8,
    0x6c05fffe,0x200007ff,0x5c00fffc,0xfd507fff,0x7cc9ffff,0xffe804ff,
    0x00dffd0f,0x05fff800,0x37fff540,0xb3fff000,0x7c000bff,0x220002ff,
    0x26004fff,0x00007fff,0x0009fff1,0x404fff88,0x805fffe8,0x00007ffd,
    0x74013ffa,0x7fe447ff,0x324fffff,0xf9800fff,0x0dffd2ff,0x5fff8000,
    0xffff8800,0x7ffa8002,0x0001fff7,0x0001fff1,0x0027ffc4,0x000bffea,
    0x013ffe20,0x09fff100,0x02ffff44,0x0007ffd8,0x400bffe0,0x3fea7ffb,
    0x4ffdbfff,0xf8017ffa,0x0dffd4ff,0x5fff8000,0xdfff3000,0x29ffb000,
    0x8003fff8,0x40007ffa,0x4004fff8,0x0004fff8,0x004fff88,0x827ffc40,
    0x005fffe8,0x0001fff6,0x8007ffcc,0x3ff67ffa,0x49ffb1ef,0x3a003fff,
    0x0dffd5ff,0x5fff8000,0x3fff6000,0x3ffe2002,0x001bff62,0x00017ff2,
    0x0009fff1,0x00009fff,0x0009fff1,0x884fff88,0x4004fffe,0x00007ffd,
    0x2001fff5,0x3ff67ff9,0x4427fec3,0x53ffe000,0x00006ffe,0x0002fffc,
    0x4009fff5,0x3ea0fffb,0x7ec001ff,0x5797513f,0x4fff8801,0x17ffc400,
    0x7ffc4000,0x7fc40004,0x7fffc44f,0x7ffd8004,0xfff90000,0x93ffc400,
    0x09ffb017,0x2fff9800,0x0000dffd,0x0005fff8,0xd0037ffc,0xbfff09ff,
    0xcafff800,0xdfffffff,0x09fff100,0x00fffb80,0x4fff8800,0x7ffc4000,
    0x13fffe24,0x03ffec00,0x07ffb800,0x401ffe20,0x40004ffd,0xffd0fffd,
    0xff80000d,0x7ec0005f,0xff9800ff,0x0fffc81f,0xfffff100,0xffffffff,
    0x9fff105f,0x27ffdc00,0xfff88000,0x7fc40004,0xfffff14f,0x3ff60001,
    0x9999999f,0xa8199999,0xf3000fff,0x3ff600ff,0x3fea0004,0x27bffa4f,
    0x99999999,0x40999999,0x40005fff,0xd800fffd,0xfff306ff,0x3ffe6007,
    0xfdbaceff,0x7c41ffff,0xaaaaadff,0xfffebaaa,0x3e200004,0x440004ff,
    0xfff8cfff,0xb0005fff,0xffffffff,0xffffffff,0x01fff981,0x200fff50,
    0x30004ffd,0x7f41dfff,0xffffffff,0xffffffff,0x02fffc3f,0x07fff200,
    0x409fff10,0xf7006ffe,0x36203fff,0x7fc46fff,0xffffffff,0x03ffffff,
    0x7ffc4000,0x7fc40004,0xffffffdf,0xfd8003ff,0xffffffff,0x0fffffff,
    0x7003fff8,0x3f600fff,0xff88004f,0x7fff42ff,0xffffffff,0x3fffffff,
    0x0002fffc,0x700bffee,0x7dc01fff,0xfeb802ff,0xfffd801f,0x3ffffe23,
    0xffffffff,0x0001dfff,0x013ffe20,0xfffff100,0xffff37ff,0xfffd8003,
    0xffffffff,0xd80fffff,0xfff007ff,0x13ff600f,0x9fffd100,0xffffffd0,
    0xffffffff,0xff87ffff,0x7e40005f,0x7ff401ff,0x2fffc406,0xff880000,
    0x3fffe26f,0xffffffff,0x04ffffff,0x9fff1000,0xfff88000,0x3fee2fff,
    0x3f6000ef,0x999999ff,0x01999999,0xb807fff1,0xfb007fff,0x7fcc009f,
    0xdffd04ff,0xfff80000,0x7fec0005,0x3ffe600f,0x0fffd803,0xffb00000,
    0x027ffc4f,0x3fff2a62,0xf880004f,0x440004ff,0xe82fffff,0x36005fff,
    0x400007ff,0xf904fffc,0x3600ffff,0xff5004ff,0x7ff409ff,0x7fc00006,
    0x7f40005f,0x7ffe407f,0xcccccccd,0x003fffdc,0x1fff7000,0x0013ffe2,
    0x5c3ffff5,0xfff73fff,0x027ffc47,0x3fffe200,0x7ffff102,0x01fff600,
    0xfffd1000,0xfffd959d,0x3f600fff,0xfffb804f,0x37ff403f,0x3ffe0000,
    0x7ffc0005,0x7ffffc06,0xffffffff,0x0007ffff,0x23fff500,0x8004fff8,
    0x3ee5fffa,0x7fff73ff,0x0027ffc4,0x013ffe20,0x003ffff5,0x0000fffb,
    0x3fffff60,0x7ffbdfff,0x809ffb00,0x802ffffc,0x00006ffe,0x0002fffc,
    0x540bfff1,0xffffffff,0xffffffff,0x800002ff,0xff10fffb,0xff10009f,
    0x9fffdcff,0x3e23fffb,0x440004ff,0xfd804fff,0xffd806ff,0x2e000007,
    0x54fffffe,0x3f600fff,0x3fff604f,0xdffd001f,0xfff80000,0x3fee0005,
    0x3fff603f,0xaaaaaaaa,0x5fffbaaa,0x00399510,0xff13ffe4,0x3fa0009f,
    0x7fff70ff,0xf88fffee,0x440004ff,0xf8804fff,0x7ec04fff,0x8000007f,
    0x7fd40a98,0x09ffb007,0x003bfff6,0x0006ffe8,0x002fffc0,0x00ffff88,
    0x0009fff1,0xf101fffd,0x7f4009ff,0x13ffe26f,0x43fff400,0xff8802fc,
    0x7c40004f,0xff3004ff,0x7fec05ff,0x00000007,0xd803ffd4,0xfffd84ff,
    0x7ff4000d,0x7fc00006,0xff90005f,0x7ffdc09f,0xfffb8001,0x00dffd04,
    0xf88fffea,0xf88004ff,0x50fe85ff,0x7fc47fff,0x7c40004f,0x3f2004ff,
    0xffb00fff,0x0000000f,0xb007ffa8,0xfffb89ff,0xdffd0005,0xfff80000,
    0xfff98005,0x1bffa00f,0x3fffc400,0x403fffc8,0x7c46ffe8,0xfb8004ff,
    0x537c44ff,0x7fc47fff,0x7c40004f,0x7f4004ff,0xfffb06ff,0x80000000,
    0xfb007ffa,0x37ffc49f,0x0dffd000,0x5fff8000,0x3fff2200,0x3ffe604f,
    0x3ff20003,0xfffe882f,0x5fffd303,0x004fff88,0x10ffffdc,0x7ffd49fd,
    0x2b7ffe23,0xaaaaaaaa,0xff11aaaa,0xff98009f,0x7ffd84ff,0x40000000,
    0xfb007ffa,0x67ffec9f,0xaaaaaaaa,0xffd2aaaa,0x5555555d,0x55555555,
    0x577ffc55,0xccaaaaaa,0x05fffffe,0x0007ffe4,0x20bfff30,0xaceffff9,
    0x83ffffdb,0xaaadfff8,0xfcaaaaaa,0x7dc4ffff,0x11fffd43,0xffffffff,
    0xffffffff,0x13ffe27f,0x3fffee00,0x003ffec1,0x3ea00000,0x9ffb007f,
    0x3fffffe6,0xffffffff,0xfffd6fff,0xffffffff,0xffffffff,0x3ffffe1f,
    0xffffffff,0x805fffff,0x80006fff,0xd501fffe,0xffffffff,0x3fe205ff,
    0xffffffff,0xffffffff,0xf8800305,0xffffffff,0xffffffff,0x009fff13,
    0x83ffff60,0x00007ffd,0x3ffd4000,0xf74ffd80,0xffffffff,0xffffffff,
    0x3fffffad,0xffffffff,0x0fffffff,0xffffffff,0xffffffff,0xfff5005b,
    0xff700007,0xfffb809f,0x200defff,0xfffffff8,0xffffffff,0x200003ff,
    0xfffffff8,0xffffffff,0x9fff13ff,0x3ffe2000,0x01fff65f,0xd3000000,
    0x3ff600dd,0xffffffb4,0xffffffff,0x3ffadfff,0xffffffff,0xffffffff,
    0xfffff0ff,0xddffffff,0x7ec00399,0x880000ff,0x31007fff,0x3e200155,
    0xffffffff,0x02cdefff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xba880000,0x00009acc,
    0xd100cc40,0xdddddddd,0xdddddddd,0x3b2e201d,0x4000abde,0xcdedcb98,
    0xb730001a,0x3000179d,0x0359dd95,0x37b2ea00,0x554c01ac,0x45551002,
    0x6dcc1aa8,0x36e601bd,0x555103ce,0x15544001,0xdb983551,0x91000bce,
    0xffffffff,0x3e200009,0xfff100ff,0xffffffff,0x1fffffff,0xffffff90,
    0x2a007fff,0xffffffff,0xfb3004ff,0x9fffffff,0xfffb1001,0x009fffff,
    0x7fffff4c,0xf700cfff,0x3fea00ff,0x7cd7fea7,0x0effffff,0x3fffffa2,
    0x7ffc41ef,0x9bff2003,0xfff35ffa,0x807fffff,0xfffffffa,0x002fffff,
    0x807fff40,0xfffffff8,0xffffffff,0x7fec0fff,0xffffffff,0xffb100df,
    0xffffffff,0xffb80dff,0xffffffff,0x7ffd406f,0xffffffff,0x7ffdc01e,
    0xffffffff,0x07ffb81e,0x7d4fff50,0xfffffadf,0xff15ffff,0xffffffff,
    0x006ffd81,0xffa8fffe,0xffffff9d,0xf305ffff,0x7335bfff,0x001ffffd,
    0x03fffee0,0xaaaaaaa8,0xfdaaaaaa,0x7ffdc4ff,0x3ffae61c,0xbfffb03f,
    0x3fee6213,0xfff503ff,0x3fae239f,0xfff305ff,0x3f26239f,0xff300fff,
    0x36a237ff,0x7dc0ffff,0xfff5007f,0x77ff7fd4,0xfffea99c,0xb99beffc,
    0x7d44fffe,0xffa801ff,0x3fbfea0f,0xfca99bff,0x7f442fff,0x3fee02ff,
    0xff98006f,0x00000fff,0x3a17ffe2,0x7ffc05ff,0x04fff886,0x4437ffc4,
    0x3601ffff,0xffd81fff,0x3ffea01f,0x1effe884,0x717ffee0,0x3ea00fff,
    0x3fffea7f,0xfffff106,0x1fffe20b,0x3600fffe,0x7ffd45ff,0xfff700df,
    0x04fffb8b,0x002fffc8,0x07fffff4,0xdffd0000,0x01fff881,0x3207ffd4,
    0xff9006ff,0x05fff70f,0x544fff98,0xfa802fff,0x7ffe40ff,0x2fffb801,
    0x5401ffee,0x3ffea7ff,0x3fff200f,0x1ffee00f,0xf101bff2,0xfffa85ff,
    0x3ffec00f,0xf801fff6,0x3f2004ff,0x000fffef,0x03fff900,0x3007fff1,
    0x00f72a01,0x3207ffdc,0xdfb006ff,0x005ffe89,0xfff13ffa,0x3ffe200b,
    0x401ffee6,0x3fea7ffa,0x7ffd403f,0x0fffd404,0xb807ffe6,0xfffa87ff,
    0x0fffb803,0xd8013ffe,0xff5006ff,0x001fff5d,0x09fff300,0x005ffff4,
    0xff500000,0x03ffe81f,0x03fff800,0xf897ff20,0x3ee001ff,0x01ffee7f,
    0xff53ffd4,0xfff9803f,0x0fffcc02,0xfd027ff4,0x5fff509f,0x21fff500,
    0x2002ecc8,0xf8806ffd,0x0fff99ff,0xfffe8000,0x3fffee00,0x00001bdf,
    0x7ffedcc4,0x017ffc0f,0x2fffe600,0x99999999,0x2a7ffc99,0x2a000fff,
    0xfff70fff,0xa9ffea00,0x7cc00fff,0x7fc401ff,0x07ffb81f,0xf503fff3,
    0xff3003ff,0xff00001f,0x9ffb007f,0x0003ffe6,0x005fff70,0xfffffff9,
    0xa980059f,0xffffffdc,0x3fe20fff,0x7d40001f,0xffffffff,0xffffffff,
    0x00fff70f,0xf71fff98,0x3fea00ff,0x003ffea7,0x8801fff3,0xff881fff,
    0x06ffb82f,0x3001fff5,0x80001fff,0x5c01fffa,0x3ffe66ff,0x3fe20000,
    0x3fee005f,0xffffffff,0x7fff5402,0xfeffffff,0x3ffea0ff,0x7fdc0000,
    0xffffffff,0xffffffff,0x800dff91,0xff72fff8,0x9ffea00f,0xf9807ffa,
    0x7fc400ff,0x0bffb01f,0x3ea07ffd,0xfff3007f,0x7fcc0001,0x7ffc406f,
    0x003ffe60,0x02fffb80,0xfffeca80,0xf904ffff,0x9bffffff,0x41fff515,
    0x0000fffa,0x6667ffdc,0xcccccccc,0xff90cccc,0xfff9800f,0x200fff72,
    0x3fea7ffa,0x0fff9807,0x80fffc40,0x3e60fffa,0xfff500ff,0x03ffe600,
    0x7fffcc00,0x21fff401,0x0000fff9,0x0001bffa,0x3ffff6e6,0x7fffe43f,
    0xfff700ac,0x00fffcc1,0x03ffea00,0x3ffee000,0x3ffea000,0x200fff71,
    0x3fea7ffb,0x0fff9807,0x00fffc40,0x7fe45fff,0x01ffea05,0x0007ffcc,
    0x017fffcc,0x3e617ff2,0xf50000ff,0x800007ff,0x7c5fffc8,0xfc800eff,
    0x3ffe20ff,0x8826a002,0x80002fff,0x2001fff9,0xff70fffb,0x9fff200f,
    0xf9807ffa,0x7fc400ff,0x97ff201f,0x3ea02fff,0xfff3007f,0xfff98001,
    0x7ffcc02f,0x00fff980,0x01fffb00,0x20077310,0x3fe67ffe,0xfffb002f,
    0x004fff81,0x7fc1fff5,0x2aea004f,0x00fffe21,0x3ea7ffd8,0xfffd007f,
    0x4c03ffd4,0x7c400fff,0x3fe601ff,0x407ffa8f,0xf3007ffa,0x7c4001ff,
    0x74402fff,0xfff302ff,0xfff10001,0x1fff200b,0xf73ffdc0,0xff1003ff,
    0xfffd81ff,0x46ffc800,0x8800fffe,0x7ff46fff,0x9fff3006,0x200fffd4,
    0x3ea7fff8,0xfff9807f,0x0fffc400,0x3f2bffa0,0x3ffd404f,0x00fff980,
    0x00bfff60,0xf9817ff2,0xfb8000ff,0xff3001ff,0xbffd005f,0x201fffd4,
    0x40ffffe8,0x4c04fff9,0x7fcc3fff,0xfffd805f,0x01fffd43,0xf30fffec,
    0xffd80bff,0x01ffea7f,0x1003ffe6,0xfb803fff,0x401fffdf,0xf3007ffa,
    0x3e6001ff,0xffa803ff,0x3ffe600f,0x6ffe8000,0x17fff400,0x4c5fff70,
    0x3600ffff,0xc81fffff,0xfd304fff,0xfff901df,0xfff9101b,0x13fff60f,
    0x42ffff44,0xd883fffe,0x3ea7ffff,0xfff9807f,0x0fffc400,0x3ffffe20,
    0x07ffa806,0x001fff30,0x2201bfee,0x7cc02fff,0x7cc000ff,0x7cc003ff,
    0xcaacefff,0x6c0dfffe,0xbabdffff,0xfffdfffe,0xeffff882,0xffffcbbc,
    0xfffff101,0xffffb77b,0x3ffe603f,0xffdbbcef,0xffa80eff,0xffecdfff,
    0x3ea7ffbf,0xfff9807f,0x0fffc400,0x1ffffec0,0x803ffd40,0xb000fff9,
    0xff7009ff,0xffffffff,0xffffffff,0x0fff900f,0x3fffea00,0x4fffffff,
    0xfffffd10,0x365fffff,0xffb105ff,0xffffffff,0xfffd8805,0xffffffff,
    0x7ffec401,0x5fffffff,0x7ffffe40,0xfff2ffff,0x4c03ffd4,0x7c400fff,
    0xffa801ff,0xffa800ff,0x1fff3007,0x013ffa00,0x3fffffee,0xffffffff,
    0xf807ffff,0x220004ff,0xfffffffc,0xfffb802d,0x2e0cffff,0x3aa00fff,
    0x0cffffff,0x3fffaa00,0x4003ffff,0xefffffeb,0xffd5001b,0x7fc3bfff,
    0x201ffea7,0x4400fff9,0xff001fff,0x3fea00bf,0x1fff3007,0x00fffe00,
    0x3fffffee,0xffffffff,0x4c07ffff,0x00003fff,0x00015533,0x00026aa6,
    0x00355300,0x01355300,0x00353000,0x00035300,0x00000000,0x00000000,
    0x31000000,0x33333333,0x35fff533,0xfffa8033,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3ffe6000,
    0x3fff2000,0x7ffe4000,0x06ffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfff98000,0x1fffa000,0x3ffff600,
    0x006fffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7fc40000,0x9800006f,0x3e000fff,0xfd8005ff,0xffffffff,0x00000006,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0x0006fff8,
    0x00fff980,0x0013ffe0,0x2eeeeeea,0x00003bbb,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x37ffc400,0x7fcc0000,0xfff1000f,
    0x00000007,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7c400000,0x800006ff,0x0000fff9,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xaaaa8800,
    0xaaaaaaaa,0x2aa0aaaa,0xaa8800aa,0x006aaa1a,0x2200aaa6,0x86aa22aa,
    0x0000bdda,0x33300180,0x00000600,0x001e64c0,0x3b204cb8,0xeeeeeeee,
    0xeeeeeeee,0x99826664,0xb8666209,0x00003fff,0x00aaaa80,0x3fffffee,
    0xffffffff,0x3ffee1ff,0x1fffe805,0x3601fff2,0x7dc01fff,0x6d3fee6f,
    0x003fffff,0x806eb880,0xe800fff8,0x000000be,0x0003fff6,0xffe81bf6,
    0xffffffff,0x6fffffff,0x3e29fff3,0x3fffa5ff,0x887fff70,0x01cdeecb,
    0x7ffe4350,0x3fffee05,0xffffffff,0x7ec1ffff,0x3ff202ff,0x0fffcc3f,
    0x00ffffe0,0x7fdc7ffb,0xffffffcc,0x3f260000,0xff8806ff,0xfffe800f,
    0x4400000c,0x8004ffff,0x3ffa05fd,0xffffffff,0x6fffffff,0x3e29fff3,
    0x3fffa5ff,0x4c7fff70,0xfffffffe,0x85f900be,0x5101fffd,0x55555555,
    0x0bfff955,0x501ffff1,0x3fe0bfff,0x3ffea03f,0x3ffe205f,0x3ffbfee1,
    0x0006feef,0xdfffffb5,0x01fff100,0xbfffffd0,0x3f200005,0x1c807fff,
    0x50b893f2,0x55555555,0x55555555,0x53ffe655,0x3fa5fff8,0x7fff70ff,
    0x3fffffe6,0xbdffffff,0x442fffdb,0x80004ffe,0x2a06fffa,0x7fc45fff,
    0xbffb00ef,0x3ffffe40,0xfb8dff50,0x0620efff,0xfffeb880,0x8800bfff,
    0xc8800fff,0xbeffffff,0x3ffe0000,0x3e603ffd,0xd9cfbaef,0x000003ff,
    0x3e29fff3,0x3fffa5ff,0xffa97e40,0xffffedff,0xffffffff,0x0fff882f,
    0x3ffe6000,0x7ffec00e,0x807fff62,0x3fa07ffa,0xf901ffef,0xffffb89f,
    0xff930000,0x005bffff,0x000fff88,0x7ffffed4,0x7dc001cf,0x206ff9df,
    0xfffffffc,0x0005ffff,0x29fff300,0x3f65fff8,0xa87f40ff,0x7edc41ef,
    0xffffffff,0x013fe604,0x07fff440,0x47fff440,0x4403fffb,0xff881fff,
    0xff03ffce,0x4fffb83f,0xfffea800,0x0001cfff,0x0001fff1,0x3fffff26,
    0xffd002ef,0x980bffa3,0xdfffffdb,0x0000009b,0x7fc7fff1,0x11fff24f,
    0x440254df,0x1dffffeb,0x22000100,0x2001fffe,0xfffdfff9,0x09ffb005,
    0xbff57ff5,0xf70fff30,0x322005ff,0x2effffff,0xfff88000,0xfeb80000,
    0x00bfffff,0x7fdcdff5,0x9fff7005,0x7c000000,0x8bffa2ff,0x3fa25ffb,
    0x00980004,0x3f600000,0xfc8003ff,0x000fffff,0xff90dff7,0xf90fff13,
    0x3fff709f,0xfffff900,0xcb80039f,0xffcccccc,0xcccccccf,0x7fe4c003,
    0xfd84ffff,0x07ffe23f,0x9ff9ff50,0x33333310,0x33333333,0x7fec1333,
    0xf987ff20,0x000fee4f,0x00000000,0x0013fff2,0x02ffffe8,0xf03ffe20,
    0x20fff4ff,0xffb82ffe,0xfffe800f,0xfd0000be,0xffffffff,0xffffffff,
    0x3ae2000d,0x7fcc6fff,0x027fe40f,0x3ff2bff3,0x7fffff43,0xffffffff,
    0x3f26ffff,0xf107fdc7,0x0000187f,0xb8000000,0x40005fff,0x000ffffb,
    0xff317ff4,0xf11ffe4b,0x1ffee0ff,0x16ffff40,0xffffd000,0xffffffff,
    0x00dfffff,0x37ffed40,0x3e617ff2,0xfff880ff,0x743fff10,0xffffffff,
    0xffffffff,0xd313aa6f,0x0003db0b,0x00000000,0x006fffa8,0x7ffffc40,
    0x2ffe4005,0x7fd47ff7,0x5c17fee5,0xffb007ff,0x0017dfff,0xeeeeeec8,
    0xeeeefffe,0x44004eee,0x5fffffeb,0x7407ffe2,0x87d303ff,0x7fff42fa,
    0xffffffff,0x06ffffff,0x00000000,0x98000000,0x0000efff,0x7fffffec,
    0x9ffe6002,0x3fe21ffd,0x205ffb0f,0x26007ffb,0xcffffffc,0xff880001,
    0xc980000f,0x1cffffff,0xf5037fdc,0x008040ff,0x00000000,0x00000000,
    0x3fe20000,0x540001ff,0xfffdbfff,0x47ffe000,0x2ffe87ff,0x3ee01fff,
    0xfb88007f,0x02efffff,0x03ffe200,0xfffea800,0xff00bfff,0x2fff807f,
    0x00000000,0x00000000,0x00000000,0x005fffd1,0x15fff880,0x6400bfff,
    0x85ff9bff,0x5ffacffc,0x001ffee0,0xfffffd50,0xf880019f,0x644000ff,
    0x2effffff,0x007ffd40,0x0001bff2,0x00000000,0x00000000,0x7ff40000,
    0xfe80003f,0x3ffee0ff,0x7dff5003,0xdff507ff,0x7dc07ff9,0x9300007f,
    0x5bffffff,0x03ffe200,0x7fffed40,0xd9001cff,0xddd1009d,0x00000001,
    0x00000000,0x00000000,0x004fffd8,0x83fffb80,0x8801fffe,0x01ffefff,
    0x01ffffff,0x0003ffdc,0x3fffee20,0xff8805ff,0xfffd800f,0x0000bfff,
    0x00000000,0x00000000,0x00000000,0x3fff2000,0xff980004,0xdfff106f,
    0x3ffff600,0x3ffff607,0x03ffdc06,0xffd50000,0xfff100df,0xdfffd001,
    0x00000005,0x00000000,0x00000000,0x00000000,0xfddffff3,0xffffffff,
    0xfffe8dff,0x13ffee00,0x17fffee0,0x03ffffb8,0x0003ffdc,0x037e4c00,
    0x4007ffc4,0x00001cfe,0x00000000,0x00000000,0x00000000,0x3ffe6000,
    0xffffffff,0x26ffffff,0xe803fffc,0x7c401fff,0x3e603fff,0x7dc01fff,
    0x0000007f,0x155400a2,0x00000a80,0x00000000,0x00000000,0x00000000,
    0xfff98000,0xffffffff,0x56ffffff,0x2600dfff,0x7400ffff,0x7fc00fff,
    0x7ffb806f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_44_usascii_x[95]={ 0,3,1,0,1,2,1,1,2,2,1,2,3,1,
3,0,1,4,1,1,0,1,1,1,1,1,3,3,2,2,2,1,2,-1,2,1,3,3,3,2,3,3,1,2,
2,2,3,1,3,1,3,1,0,3,0,0,0,0,0,2,0,0,1,-1,1,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,1,3,0,1, };
static signed short stb__arial_44_usascii_y[95]={ 35,6,6,6,4,6,6,6,6,6,6,11,31,23,
31,6,6,6,6,6,6,7,6,7,6,6,14,14,11,15,11,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,40,6,14,6,14,6,14,6,14,6,6,
6,6,6,14,14,14,14,14,14,14,7,14,14,14,14,14,14,6,6,6,17, };
static unsigned short stb__arial_44_usascii_w[95]={ 0,5,12,22,20,31,25,5,10,10,13,19,5,11,
5,11,20,11,19,20,21,20,20,20,20,20,5,5,19,19,19,19,37,28,23,26,24,22,20,27,23,5,16,25,
19,28,23,28,22,29,25,24,24,23,26,37,27,26,24,9,11,9,17,24,8,20,19,19,19,20,13,19,18,5,
9,18,4,29,18,20,19,19,12,18,11,18,20,29,20,20,19,12,4,13,21, };
static unsigned short stb__arial_44_usascii_h[95]={ 0,29,11,30,36,31,30,11,38,38,13,20,10,4,
4,30,30,29,29,30,29,29,30,28,30,30,21,27,20,12,20,29,38,29,29,30,29,29,29,30,29,29,30,29,
29,29,29,30,29,32,29,30,29,30,29,29,29,29,29,37,30,37,16,3,7,22,30,22,30,22,29,30,29,29,
38,29,29,21,21,22,29,29,21,22,29,22,21,21,21,30,21,38,38,38,8, };
static unsigned short stb__arial_44_usascii_s[95]={ 206,188,203,21,123,174,44,197,1,92,163,
105,216,64,248,70,130,88,100,229,21,197,49,43,82,151,248,242,85,177,125,
1,54,168,218,103,143,120,47,1,141,247,94,21,1,218,194,227,165,144,115,
172,85,70,39,1,228,201,176,113,217,103,145,144,244,83,1,104,29,124,130,
197,111,250,44,66,110,185,236,145,144,68,72,64,164,166,215,42,21,206,1,
31,26,12,222, };
static unsigned short stb__arial_44_usascii_t[95]={ 32,102,192,40,1,1,40,192,1,1,192,
192,192,185,154,40,39,132,132,39,162,132,71,162,40,39,132,132,192,192,192,
162,1,132,132,39,132,132,132,71,102,102,71,132,132,102,102,1,102,1,102,
39,102,71,102,102,71,71,71,1,39,1,192,34,192,162,40,162,71,162,71,
39,71,39,1,102,102,162,162,162,71,132,192,162,71,162,162,192,192,1,192,
1,1,1,192, };
static unsigned short stb__arial_44_usascii_a[95]={ 175,175,224,350,350,560,420,120,
210,210,245,368,175,210,175,175,350,350,350,350,350,350,350,350,
350,350,175,175,368,368,368,350,640,420,420,455,455,420,385,490,
455,175,315,420,350,525,455,490,420,490,455,420,385,455,420,595,
420,420,385,175,175,175,296,350,210,350,350,315,350,350,175,350,
350,140,140,315,140,525,350,350,350,350,210,315,175,350,315,455,
315,315,315,210,164,210,368, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_44_usascii_BITMAP_HEIGHT or STB_FONT_arial_44_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_44_usascii(stb_fontchar font[STB_FONT_arial_44_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_arial_44_usascii_BITMAP_HEIGHT][STB_FONT_arial_44_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_44_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_44_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_44_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_44_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_44_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_44_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_44_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__arial_44_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__arial_44_usascii_s[i] + stb__arial_44_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__arial_44_usascii_t[i] + stb__arial_44_usascii_h[i]) * recip_height;
            font[i].x0 = stb__arial_44_usascii_x[i];
            font[i].y0 = stb__arial_44_usascii_y[i];
            font[i].x1 = stb__arial_44_usascii_x[i] + stb__arial_44_usascii_w[i];
            font[i].y1 = stb__arial_44_usascii_y[i] + stb__arial_44_usascii_h[i];
            font[i].advance_int = (stb__arial_44_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__arial_44_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_44_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_44_usascii_s[i] + stb__arial_44_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_44_usascii_t[i] + stb__arial_44_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_44_usascii_x[i] - 0.5f;
            font[i].y0f = stb__arial_44_usascii_y[i] - 0.5f;
            font[i].x1f = stb__arial_44_usascii_x[i] + stb__arial_44_usascii_w[i] + 0.5f;
            font[i].y1f = stb__arial_44_usascii_y[i] + stb__arial_44_usascii_h[i] + 0.5f;
            font[i].advance = stb__arial_44_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_44_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_44_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_44_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_44_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_44_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_44_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_44_usascii_LINE_SPACING
#endif

