// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_45_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_45_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_45_usascii_BITMAP_WIDTH         256
#define STB_FONT_arial_45_usascii_BITMAP_HEIGHT        218
#define STB_FONT_arial_45_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_45_usascii_FIRST_CHAR            32
#define STB_FONT_arial_45_usascii_NUM_CHARS             95

#define STB_FONT_arial_45_usascii_LINE_SPACING          29

static unsigned int stb__arial_45_usascii_pixels[]={
    0x26a2a980,0x0aaa2001,0xa98d4cc0,0x10000002,0x00003353,0x3bbbbba2,
    0xddddd33e,0x3ba605dd,0x00aa000e,0x9a988000,0x26200000,0x0aaa0000,
    0x4cc40000,0x05550000,0x7ff10000,0x401ffffc,0x75405ff9,0x7ff13fff,
    0xdb880000,0xfffffffe,0x98000adf,0x4fffffff,0xfffffff3,0x03ffea07,
    0x0000ff80,0x3ffff6a0,0x0002dfff,0x05dffff7,0x005ff880,0xfffb9500,
    0x0017dfff,0x00003ff6,0xfff8dfb0,0x7fcc06ff,0x3fffea05,0x003fee3f,
    0x3fff2600,0xffffffff,0x001dffff,0x3fffffe6,0xfffff34f,0x3fea07ff,
    0x7edcc00f,0x20001bdf,0xfffffffb,0x03ffffff,0x3fffff60,0x3f2004ff,
    0x7440001f,0xffffffff,0x400cffff,0x00002ffb,0xffd0bfea,0x7cc05fff,
    0xffff105f,0x05ff85df,0x3fff6200,0xcccdefff,0xffffffed,0x3ffe0004,
    0x003fff34,0x5403ffea,0xfffffffe,0x362001ef,0xffffffff,0xdfffffff,
    0x67ffd400,0x802fffc9,0x40005ff8,0xfffffffb,0xffffffff,0x13fe601e,
    0x37fc4000,0x40bffd10,0xff305ff9,0x1ffd405f,0x7fffcc00,0xfb5001df,
    0x0001dfff,0x3fe69fff,0x3331001f,0x3ffffee0,0x2fffffff,0xffffe980,
    0x3aa60abd,0x201effff,0x7fcc1ffe,0x01ffd806,0xffffb100,0x6d4c159d,
    0x202fffff,0xb00006ff,0xffb805ff,0x417fe607,0xfe805ffb,0x3fea000f,
    0x10000bff,0x003ffff9,0xff34fff8,0x2600003f,0xffaeffff,0x01ffffeb,
    0x0fffffa2,0x7ffffd40,0xb05ff980,0x7fcc03ff,0x3ff20005,0xfd3004ff,
    0x3f203fff,0x7c40001f,0xfff8806f,0x20bff300,0xfb804ffd,0xfff7004f,
    0x2a00001d,0x2000efff,0xfff34fff,0xff100003,0xb87fc7ff,0x3f206fff,
    0x44000eff,0xfb84fffe,0x05ff904f,0x80007fec,0x001efff9,0x506fffd8,
    0xc80007ff,0xff8803ff,0x0bff300f,0x2200fff6,0x7cc00fff,0x800004ff,
    0x2005ffe8,0xfff34fff,0xff500003,0x3a0ff87f,0xffa81fff,0xf10000ff,
    0xffc85fff,0x207ff703,0x20004ff9,0x0002fffe,0x2213fffa,0x220005ff,
    0xf8800fff,0xbff301ff,0x400fff60,0x7f403ffd,0x0098804f,0x01fffcc0,
    0xff34fff8,0x3ba6003f,0x03fff20e,0x7ffd41ff,0x03fffd83,0x37ffd400,
    0x7dc0fff2,0x01ffb04f,0x17ffee00,0xffff3000,0x000ffd01,0x88037fdc,
    0xff301fff,0x00fff60b,0xf7037fdc,0xffea80df,0x3bae0cef,0x8037fd45,
    0xfff34fff,0x3ffea003,0x3e17ffa0,0x20de6c0f,0x0006fff8,0x5c1fffd0,
    0x7ff703ff,0x0009ff30,0x0007fffc,0x417ffe40,0xf0001ffb,0x3e2007ff,
    0xbff301ff,0x400fffa0,0xf882fff8,0xffd100ff,0x21dfffff,0xffe85ffd,
    0x34fff802,0x2a003fff,0x3ffa0fff,0x2000ff85,0x0002fffb,0x547fff70,
    0x5ff904ff,0x0001ffb0,0x0013ffe6,0x42fffcc0,0x98004ff9,0x3e000fff,
    0xbff301ff,0x800fffa0,0xffd85ffd,0xffffd302,0xf1dffdbb,0xbff507ff,
    0x269fff00,0xf5001fff,0x7ffe41ff,0xb0007fc0,0x00003fff,0xf89bffe2,
    0x81fff06f,0x20004ff9,0x0003fffa,0x7c1fffe0,0xffb8006f,0x0fffc006,
    0xfd05ff98,0x7fdc005f,0x8837fc47,0x540bffff,0x02ffffff,0xfff00fff,
    0x007ffe69,0xf507ffd4,0x00ff85ff,0x003fffe0,0x47ffe800,0xf910cffd,
    0x01ffd0bf,0x17ffdc00,0xfffb0000,0x001ffb03,0x4005ffe8,0xff302ffe,
    0x00bffe0b,0x2e1fffa8,0xfffb04ff,0x7fffd407,0x01ffb00f,0xff34fff8,
    0x3fea003f,0x3fffe60f,0xf8003fe1,0x400007ff,0x3e60fffe,0xffffcfff,
    0x0027fd40,0x007fff20,0x1fffc800,0x2002ffa8,0x4004fff8,0xff303ffd,
    0x007ffe0b,0x363fff98,0xfffa81ff,0x6fffe803,0xf007ff20,0x3ffe69ff,
    0x1fff5001,0x9dffffc8,0xff1000ff,0xd80000df,0x7fcc0fff,0xe81effff,
    0x740000ff,0x00000fff,0x220bffee,0x3e6005ff,0x7dc003ff,0x0bff306f,
    0x8800dff5,0xdff14fff,0x003fffa0,0xb817ffee,0x7ffc02ff,0x003fff34,
    0x3203ffea,0xbfffffff,0x5fff9801,0x7fe40000,0xdedb881f,0x04ffa80b,
    0x3ffe0022,0x7dc00007,0x0ffd03ff,0x01fffcc0,0x20fffe60,0x7fc45ff9,
    0xfff8003f,0xf309ff55,0x3ea009ff,0x3ff203ff,0x9a7ffc02,0xf5001fff,
    0x3fee01ff,0xcfffffff,0x0bfff100,0xfffd8000,0x7ff40000,0xceffec80,
    0x00ffff00,0x2fffb800,0x2003ff90,0x8002fffa,0x261cfffb,0xffd715ff,
    0xfff0001d,0x360ffeeb,0xf5000fff,0x7ff403ff,0x9a7ffc00,0xf5001fff,
    0xfda801ff,0x2fffffff,0x000ffff0,0x007fff80,0x221ffd40,0xeffffffd,
    0x00fffe81,0x3fff2000,0x007ff502,0x0007ffee,0x98ffffe4,0xbfffd5ff,
    0x3ffa0001,0xff05ff96,0x7fdc00df,0x01ffe00f,0x7fcd3ffe,0xfff5001f,
    0x3ffe2001,0xf83fffff,0x200007ff,0x0006fff8,0x3f607ff4,0x6fffbcff,
    0x001fffd8,0x07fffa00,0xf7006ff8,0x540001ff,0xbff31fff,0x00017ffa,
    0x3ff2fffb,0x027ffc41,0x4c0dffb0,0xfff806ff,0x003fff34,0x8003ffea,
    0xfffea8ff,0x0ffff40f,0xfff98000,0x3fee0004,0x2077fcc3,0x7fe43ffc,
    0x3e00002f,0x3f600fff,0xfffb800f,0xffd30000,0x757fe63f,0x0000dfff,
    0x3ff6dffb,0x01fffcc0,0x5c09ffd0,0xfff804ff,0x003fff34,0x8003ffea,
    0x3fff20ff,0x017ffdc5,0x3fffa800,0x21ffe000,0xff883ffc,0x027ffd47,
    0x6fff8800,0x4017fdc0,0x8001fffa,0x263dfffa,0xfff935ff,0x3ffa000d,
    0xf983ffb5,0xff1002ff,0x17ff407f,0xf9a7ffc0,0xff5001ff,0x07fc001f,
    0xf983fffa,0xd00006ff,0x20005fff,0xffd83ffb,0xff0ffd01,0x900001ff,
    0xf9807fff,0xfff9804f,0x3fff8001,0x7c45ff98,0xfe8003ff,0xf05ff94f,
    0x3f6007ff,0xbff701ff,0x4d3ffe00,0xf5001fff,0x7fc001ff,0x20fffe40,
    0xb803fffe,0x6fffb81c,0x41ffe000,0xffd00ffe,0x04fffc83,0x7fffcc00,
    0x807ff800,0x4002fff9,0xff306ffa,0x00dff70b,0x3f29fff0,0x04ffe83f,
    0x107fff98,0x3e001fff,0x3fff34ff,0x83ffea00,0x81ff04a9,0x7d43fff9,
    0x7f400fff,0xffff11ef,0x3fee0003,0x201fff03,0x7fc41ffd,0x3a0001ff,
    0xf9005fff,0xfff8803f,0x1ffec003,0xf885ff98,0x3e2000ff,0x07ff73ff,
    0xfd00fff9,0xffd30bff,0xa7ffc007,0x5001fff9,0x3fea1fff,0x4c0ff81f,
    0xffd82fff,0xfff300df,0x9fffb7ff,0x1bfe2000,0xfd00ffe8,0xdfff703f,
    0xfff90003,0x3fea001f,0x05ffe803,0x9817ffc0,0x5fff05ff,0x8fffd400,
    0xffa86ff9,0xfffd103f,0x6fffa89f,0x9a7ffc00,0xf5001fff,0x3ffe21ff,
    0x7d40ff83,0xfff881ff,0xff9302ff,0x00dfffff,0xb017fe40,0x1ffe03ff,
    0x03ffffe8,0x5ffffd10,0x02ffc400,0x2003ffdc,0xff302fff,0x00bffa0b,
    0x7f46ffb8,0xcfffd81f,0xfffff510,0xfffd75ff,0xfff8001d,0x003fff34,
    0xfe83ffea,0x6c0ff86f,0x3fe607ff,0x440acfff,0x1ffffffb,0x0dff1000,
    0xf983ffc8,0x3ffa206f,0x5441adff,0x04fffffb,0x9807fe80,0x3e000fff,
    0xbff301ff,0x800fffa0,0x7fe44ffd,0xffffe884,0xff8effff,0x4fffffff,
    0x29fff000,0x5001fff9,0x7fdc1fff,0xf307fc3f,0xfe880bff,0xfeffffff,
    0xffffffff,0xffc8001e,0x0fffc402,0xb005ffb1,0xdfffffff,0xffffffff,
    0x3fee0005,0x02fff802,0x4c07ffe0,0x7ffd05ff,0x217ffc00,0xf880fff9,
    0x25ffffff,0xfffffffd,0x3ffe0003,0x003fff34,0xf983ffea,0x43fe3fff,
    0x000ffffa,0xfffffff9,0xfdffffff,0x2001bfff,0xf9006ff8,0xdfff9bff,
    0x7fffdc00,0xffffffff,0x260000ef,0xffc804ff,0x07ffe005,0xfd82ffcc,
    0xfff5003f,0x4417ff60,0xc81cefda,0x880acefe,0x3fe00aaa,0x03fff34f,
    0x503ffea0,0xff7dffff,0x07ffffd9,0xfffeb880,0x30beffff,0x007ffffd,
    0x22005ff9,0xeffffffd,0xffea8000,0x1cffffff,0x0dff0000,0x001fff30,
    0x7cc07ffe,0x07ffb05f,0x4413ff60,0x00004fff,0x0dffd100,0xff34fff8,
    0x3fea003f,0xffff980f,0xffffffff,0x54c40002,0x3ea009aa,0x7fc403ff,
    0xffda8006,0x9880003d,0x00019aaa,0xb002aa80,0xff1007ff,0x17fe603f,
    0x4401ffec,0x3ee00fff,0x000003ff,0x00ffff44,0x7fcd3ffe,0xfff7001f,
    0x3fff2601,0x00dfffff,0x5c000000,0x0000000f,0x00000000,0x98000000,
    0xff8806ff,0x0bff300f,0x2e013ff6,0xffc804ff,0x800000df,0x802fffea,
    0xfff34fff,0x1ffee003,0x0dffdcc0,0x00000000,0x00000002,0x00000000,
    0xd8000000,0x7fcc01ff,0x417fe607,0xfe806ffc,0xfffb000f,0x2200007f,
    0x002ffffd,0x3fe69fff,0xffe8801f,0x007fc006,0x00000000,0x00000000,
    0x00000000,0x3e600000,0x2ffec05f,0x2a0bff30,0x3ea01fff,0x7fdc004f,
    0x000adfff,0x3ffff6e2,0xffff300d,0x3fe69fff,0xd33fffff,0x007ffffb,
    0x00000ff8,0x00000000,0x00000000,0x00000000,0x42ffc800,0x03fffedc,
    0xff817fe6,0x7f41deff,0xfe98000e,0xceefffff,0xfeeccbbc,0x401effff,
    0xfffffff9,0xffffff34,0x3fffee7f,0x7fc000ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffff8dfd,0x2ffcc06f,0x7fffff70,0x0000ffdc,
    0x3fffff6a,0xffffffff,0x003fffff,0xfffffff3,0x3ffffe69,0xffffb3ff,
    0x0330001d,0x00000000,0x00000000,0x00000000,0x4c000000,0x3fffe2ff,
    0x2ffcc00d,0x4ffffea0,0x00004ff8,0x3ffb72a2,0xefffffff,0x000000ac,
    0x02aa6200,0x00000000,0x00000000,0x00000000,0x00000000,0x54553000,
    0x551000aa,0x35531005,0x00002aa2,0x2aaa6200,0x0000009a,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000131,0xa8000099,0x02aaa02a,0x00026200,0x04cc4000,0x2a620000,
    0x33000000,0x53000003,0x00660005,0x00fbba20,0x2007ddb0,0x20000998,
    0x32606eec,0x2e3efffe,0x4bdd32ee,0xbfffffdb,0x6ff88000,0x8801ffe0,
    0x0cfffffd,0x3ae20000,0xceffffff,0xfeb8000a,0xd70cefff,0x3f6a009d,
    0x2dffffff,0x07fe8000,0xfffecb98,0xe802bdef,0x3e6007ff,0x3b2601ff,
    0x0003ffff,0xfd10fffb,0xbfffffff,0x7fd4fff2,0xffffff96,0x98003fff,
    0xdff104ff,0x3fffea00,0x001fffff,0x7fffecc0,0xffffffff,0xffd1002f,
    0x1dffffff,0xeb80bff9,0xffffffff,0x0002efff,0x6440bff1,0xffffffff,
    0x201effff,0x9002fffb,0x7fc40dff,0x002fffff,0xe88fffb0,0xecbdefff,
    0x53ffdeff,0xbfffbdff,0x3ffffd97,0x81ffdc00,0xf9804ffa,0xfffdefff,
    0xf50000ff,0xffffffff,0xbfffffff,0x7fff4401,0xffffdcef,0xfb105ffd,
    0xffffffff,0x07ffffff,0x205ff500,0xffffffe8,0xffffffff,0x9fff102f,
    0x80fffe00,0xfffffffe,0xfffb0000,0x905fffd8,0x2a7fffff,0x80dfffff,
    0x2006fffc,0xff701ffc,0xfffe8807,0x17fff221,0x3ffff200,0x7510abcf,
    0x01dffffb,0x2037fff6,0x85fffffc,0xaeffffe8,0x7fffdcc1,0x7fec002f,
    0xbffffb00,0x3f2a6135,0xfb01ffff,0xfff500ff,0x3bffe601,0xfd80000a,
    0x13ffea7f,0x27ffff70,0x405ffffa,0xd003fffb,0x3ff601ff,0x1fffcc01,
    0x4007fff8,0x00effffb,0x09ffff50,0xa809fff5,0xfe85ffff,0xf9001eff,
    0x7c005fff,0xdfff106f,0xfffb1001,0x0bffea0b,0x540bffb0,0x00003fff,
    0xffc9fff6,0xfffe800f,0x01ffff53,0x100dffd0,0x3ffc0dff,0x807ffdc0,
    0x1000fffc,0x0007ffff,0xd81fffd1,0xfd800fff,0x7ffdc5ff,0x7fe4000e,
    0x9ff3006f,0x007ffee0,0x207ffe88,0x3e205fff,0x3fee02ff,0x3600001f,
    0x13ffa7ff,0xa9fffdc0,0xf7004fff,0x9ff300ff,0x201bfe20,0xf900fffb,
    0x7ff400ff,0x3e60004f,0x1fffc4ff,0x25fff980,0x000ffff9,0x003fffd0,
    0x3f603ff7,0xffa8005f,0x1fff902f,0x803ffee0,0x00007ffb,0xfff3ffec,
    0x3ffe2005,0x003fff53,0x7007ffe2,0x3fea07ff,0x3fffa804,0x2009ffd0,
    0x0006fffa,0xf10fffe8,0x7fc003ff,0x0ffff25f,0x5fffa800,0x3e07fe80,
    0xff0005ff,0x3ffe609f,0x809ffd03,0x00007ffb,0xff9bffec,0x3ffe001f,
    0x001fff53,0xeeb97ffc,0xeefffeee,0xeffeeeee,0xfff105ee,0x1fffa83f,
    0x05fff900,0x17bf5000,0x8003ffea,0x3ffe5ffe,0x6740000f,0x2ffc401b,
    0x001fffd0,0x74055570,0xfff986ff,0xffeeeb81,0x000eeeef,0x7d5fff60,
    0x3fa000ff,0x00fff53f,0xff94fff8,0xffffffff,0xffffffff,0x7fe40dff,
    0xdfff70ef,0x03fffc00,0x3fee0000,0xaffec007,0x0005fffa,0x1ffd4000,
    0x007fff90,0x7ffdc000,0xc837fe40,0xffffffff,0x360000ff,0x1fff77ff,
    0xa9ffec00,0x7f4006ff,0xfffff95f,0xffffffff,0xdfffffff,0xdefffe80,
    0x2a005fff,0x00006fff,0x003ffe40,0x7fe57ff2,0x0000004f,0xf3007fe4,
    0x00019fff,0x87fff100,0xdd704ffe,0xddddfffd,0x7fec0001,0x001fff57,
    0xffa9ffec,0x27ffc007,0x2209ff30,0x7cc006ff,0x03ffffff,0x027ffdc0,
    0x3fee0000,0x3ff6000f,0x005fffb5,0x6ff80000,0xfffffd80,0x200001be,
    0x3fe66ffd,0x7ffb800f,0x7fec0000,0x003fff37,0xffa9fff4,0x17ffc007,
    0x2a07ff70,0xfd8004ff,0x8001ffff,0x0003fffc,0x0fffd400,0x36bffd00,
    0x00001fff,0x013fe600,0x7fffffe4,0x0001bdff,0x7e47ffea,0xfff7006f,
    0xffd80000,0x005fff17,0xffa9fffc,0xfff1000f,0x80ffec01,0x2a002ffc,
    0x1ffffffe,0x1fffd800,0x7cc00000,0x3fe002ff,0x01fffd5f,0x7dc00000,
    0x3fee002f,0xffffffff,0xff8001cf,0x007ffd3f,0x0001ffee,0x7fcfffb0,
    0xfff3005f,0x00bffea7,0x3a03ffdc,0x03ff607f,0x7ffffe40,0x4000ffff,
    0x3000fffe,0xddd99999,0x3fe29ddd,0xfff5005f,0x001fffeb,0x1ffb0000,
    0xffeb8800,0xffffffff,0x3ff2001d,0x000fff8e,0x0000fff7,0x3f27ffd8,
    0xffd801ff,0x0dfff53f,0x8817ffe0,0x1ffe06ff,0x57fffec0,0xa86fffe8,
    0x0fffd80a,0xfffff500,0x4dffffff,0xe801fffc,0xfffd5fff,0xf8000000,
    0x5440005f,0xfffffffd,0xff1002ff,0x400bff9f,0x00007ffb,0xff13ffec,
    0xfff980bf,0x7ffff53f,0x02fffb80,0x7c413fe6,0xfffd805f,0x3fffe60e,
    0x917ffe24,0x2a003fff,0xffffffff,0x3fe26fff,0x3ff200ef,0x1fffb5ff,
    0x2a000000,0x400003ff,0xfffffdb8,0xfffd001f,0x7dc005ff,0x6c00007f,
    0x7ffdc7ff,0xffffa80e,0xfffff53f,0x1bfff209,0x2a07ff70,0x7fcc04ff,
    0xfffa80ef,0x89fff52f,0x3002fffc,0x99999999,0xffb8dfff,0xfd510bff,
    0x3f6bffff,0x000000ff,0x0003ff90,0xffffc800,0xffff7005,0x7ffb800f,
    0x7fec0000,0xdffffd87,0xfffffecb,0xfffff53f,0xffdb79df,0xeeeb81ff,
    0xeeeeefff,0xeeeeffee,0x0bfff65e,0xd9ffffc8,0x7fdc1fff,0x3e00004f,
    0xfffc86ff,0xdfffffff,0xfff95fff,0x20000005,0x000007fe,0x01fffd30,
    0x09ffff10,0x007ffb80,0x83ffec00,0xfffffffc,0x53fff9ef,0xfffd5fff,
    0x01dfffff,0xfffffff9,0xffffffff,0x7cdfffff,0xffd807ff,0x886fffef,
    0x00006fff,0x7d41bffe,0x3fffffff,0x3fe69ffd,0xeb80004f,0x27fc40ac,
    0x000dd540,0x005fff70,0x0007fff6,0xa880fff7,0x7ffe802b,0x3ffffaa0,
    0x27fff0df,0xff90fffa,0x64059fff,0xffffffff,0xffffffff,0xff16ffff,
    0xffd1009f,0x3607ffff,0x00001fff,0x5440dfff,0x3e1bdfec,0x1bffe4ff,
    0x3fffa000,0x2017fdc1,0x0005fff8,0x4013ffe2,0xb8006ffc,0x7fec07ff,
    0x06fff805,0xfff03530,0x303ffea7,0x26620035,0x9999cffb,0x999dffa9,
    0x9fff1099,0x3fffe200,0x3ffea06f,0xfff00005,0xfff0000d,0x017ffe47,
    0x0dfff300,0xfd001ffb,0x7c0001ff,0xfff004ff,0xfff70005,0x806ffc80,
    0x80006fff,0xfff53fff,0x7dc00001,0x09ff502f,0x400dfff0,0x204ffffa,
    0x003ffff8,0x066fff80,0x8bffe200,0x0007fff9,0x3e0bfff6,0xfffb006f,
    0x3fea0005,0x7ffa801f,0x0fff7000,0x200fffb8,0x0004fff9,0xff53fff8,
    0x6c00001f,0x5ff901ff,0x05fffd00,0x3fffff60,0x3fffe603,0xff910003,
    0x01f7f4df,0x640fffc8,0xc8005fff,0xff987fff,0xffff3004,0xfffb0005,
    0x013ffa00,0x203ffdc0,0x3a04fffa,0x80002fff,0xfff53fff,0x7fc00001,
    0x003ffa07,0x803bffea,0xffffffe8,0x3fff203f,0x3ee000df,0x3f66ffff,
    0x7fcc00ff,0xffff886f,0xfff9000e,0x03ff705f,0x1fffff40,0x4fffd880,
    0x3fff6608,0xfff70000,0x19fffd00,0x3ffff6a2,0xfff80000,0x001fff53,
    0x81bfe200,0x3f6007ff,0x75441fff,0xfffeffff,0x3fff603f,0x511bdfff,
    0xfffffdb7,0x6fffdc1b,0x5fffd301,0x3ffffea0,0xfffa881c,0x0ffd03ff,
    0xfffff880,0x2ea61ace,0xe81fffff,0x03ffffff,0x01ffee00,0x3fffffea,
    0x03ffffff,0x27fff000,0x0000fffa,0x2609ff50,0x3a2005ff,0xfedfffff,
    0xe88effff,0x2e04ffff,0xffffffff,0xffffffff,0xfffb02ef,0xffb979ff,
    0xff980bff,0xfeefffff,0x04ffffff,0x3000bff1,0xffffffff,0xffffffff,
    0x3fff603f,0x5c0005ff,0xff9007ff,0xffffffff,0x7fc00009,0x01fff53f,
    0x0bfee000,0x20027fd4,0xffffffd8,0xfd84ffff,0x7f4c02ff,0xffffffff,
    0x403fffff,0xffffffe8,0x004fffff,0xffffffd3,0x5dffffff,0x001ffd40,
    0xfffffd88,0xffffffff,0x3fff201e,0xfb80005f,0x3fa6007f,0x01ceffff,
    0x9fffc000,0x0000fffa,0x3203ffb0,0xd70002ff,0x5bffffff,0x1001fec0,
    0xffffffd7,0x400179df,0xffffffea,0xc98001df,0xffffffff,0x0ffc803e,
    0x7f64c000,0xceffffff,0x00353002,0x03ffdc00,0x00554c40,0x00000000,
    0x202aa800,0x80000aa9,0x0a000aa9,0xaaa98800,0x53100001,0x00001355,
    0x006aaa66,0x00005550,0x01aaa988,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00998800,
    0x77777540,0xeeeeeeee,0x0eeeeeee,0x8801ddd5,0x00aceedc,0x3bba0000,
    0x6f6e5402,0x774c009b,0x5400000e,0xaaaaaaaa,0x000aaaaa,0x19bddb73,
    0xddb93000,0x0000059b,0x37bb6ea0,0x2f76400b,0x13bb6000,0xfffffd98,
    0xffb802ef,0xffffffff,0xffffffff,0x1fff50ff,0x3ffff220,0x0004ffff,
    0x207fff00,0xffffffe9,0x3fea03ff,0x2200000f,0xffffffff,0x03ffffff,
    0x7fffff44,0x8800cfff,0xfffffffd,0x16a000df,0x7ffff440,0x3a04ffff,
    0x7c0007ff,0xffc886ff,0xffffffff,0x3ffee01e,0xffffffff,0xffffffff,
    0x01fff50f,0x3ffffff6,0x0005ffff,0xa83fff80,0xffffffff,0xff504fff,
    0x4c00001f,0xffffffff,0x03ffffff,0x3fffffea,0x406fffff,0xfffffff8,
    0x402fffff,0xfa806fd8,0xffffffff,0xffe80eff,0x7ffc0007,0xeffffd86,
    0xfffffecd,0x99999501,0x99999999,0x1ffffd99,0x3603ffea,0xa88adfff,
    0x0005fffd,0x261fffc0,0x311bffff,0xf50bfffb,0x400001ff,0xfffffffb,
    0x3fffffff,0x59ffff50,0x13fffaa2,0x21dfffe8,0x00ffffc9,0xf301bff6,
    0x2615bfff,0x740efffc,0x7c0007ff,0x7ffe46ff,0xfffd882e,0x4c00000e,
    0x3ea2ffff,0x7ffcc0ff,0x0bfff605,0x3fff8000,0x900ffff4,0xffa83fff,
    0x3200000f,0xd00006ff,0x3a203fff,0xffb81fff,0x3ffea04f,0x01bff605,
    0x5409fffd,0x7ff44fff,0x7ffc0007,0x03fffe66,0x009fff90,0x7fffc400,
    0x207ffd44,0xfd807ffd,0x3e00005f,0x3ffe63ff,0x44ffe803,0x0000fffa,
    0x0013ffa0,0x00fffea0,0xfd07fff5,0xfffb00df,0x7037fec0,0xf700bfff,
    0x3fff43ff,0x9bffe000,0xd002fffb,0x20000fff,0xa85fffe8,0x3fe60fff,
    0xfffa804f,0xfff00001,0x803ffe47,0x7fd46ffc,0x3e00000f,0xe80002ff,
    0xffd005ff,0x009fff0d,0x3603fff5,0x3ff606ff,0x9ffd000f,0x0003fff4,
    0xffe9bffe,0x3ffee007,0xffe80000,0xfffa80ef,0x007ffee0,0x4013ffe2,
    0x7fff0198,0xb802fedc,0x3fea0fff,0x4001980f,0x0001fff9,0x8007ffd4,
    0x7fc41aa9,0xfff9803f,0x40dffb02,0x32005fff,0x1fffa6ff,0x2dfff000,
    0x2004fff8,0x0002fffa,0x80ffffe4,0x3f60fffa,0x3ff6006f,0x7fff5c06,
    0x0fffe3ef,0x6ffd8004,0xeb87ffd4,0x803effff,0x80007ffa,0x00005ffd,
    0x2a013ffa,0x3ba60fff,0x1eeeffff,0x4007fff1,0xffd0fffb,0xfff8000f,
    0x8006a626,0x0000fffb,0x80bfffea,0x3fa0fffa,0x3fee005f,0xffffd107,
    0xff1bffff,0xff80007f,0x4fffd44f,0xfffffffc,0x3ff200ef,0xffe80006,
    0x3f200003,0x6ffc806f,0x7fffffcc,0xfff32fff,0x7ffd4005,0x000fffd2,
    0x0006fff8,0x0006ffd8,0x00ffffe6,0x3e21fff5,0x3ee004ff,0x7ff441ff,
    0xfffdceff,0x0003fffe,0xf507fff6,0x9dfffdff,0x03fffffb,0x76d53ff6,
    0x7c01ceff,0x665441ff,0xfff5001a,0x27ffd409,0x3ffffba6,0xfff31eee,
    0x7ffd4005,0x000fffd2,0x0006fff8,0x0027ffcc,0x05fffe88,0xf10fffa8,
    0x7d4009ff,0x7ffec2ff,0xffffc80d,0x75cc003f,0xffa83fff,0xfd80dfff,
    0xbfff06ff,0xfffffffd,0x8fffc09f,0xffffffe9,0xfffb801e,0xfff9309d,
    0x37fec01b,0x4009fff0,0xffd3fffc,0xfff8000f,0x3fe60006,0xfb0000ff,
    0xf5001dff,0x3ffe21ff,0x3ffea003,0x013ffea2,0x007ffff7,0x3ffffff6,
    0xbffff501,0x42fffc80,0xfffffff8,0xefffffff,0x4c7ffc41,0xffffffff,
    0xfe9803ff,0xffffffff,0x06ffd803,0xe801bffa,0xfffd3fff,0x6fff8000,
    0xffff3000,0x3ff20005,0xff5000ff,0x0bffe61f,0x22fff980,0xe800fffd,
    0xf8803fff,0x00cfffff,0x001ffff5,0xff98dfff,0x988acfff,0x4c6ffffc,
    0xdfffafff,0xffffecbc,0xffffa802,0xb004ffff,0x7fec0dff,0xfffa802f,
    0x00fffd4f,0x006fff80,0x03ffff98,0x5ffff500,0x87ffd400,0x2002fff9,
    0x3fa3fff9,0xfff7004f,0xffff3007,0xf509ffff,0x3ee009ff,0x3ffee0ff,
    0x3ffa600e,0x3fffea3f,0xfff701ef,0x3ffea01f,0xffffffff,0x37fec03f,
    0x03ffff10,0xa7ffff4c,0x40007ffe,0x54006fff,0x0003ffff,0x007ffff3,
    0xf30fffa8,0x7cc005ff,0x0bffe3ff,0x01fffc40,0xfff730c4,0x1fffa8bf,
    0x45fff300,0x9800dcb9,0xff70ffff,0xfb801fff,0xfffb84ff,0x3fea21bf,
    0x3ff604ff,0x7fffdc06,0x3bfee21c,0xfffd3fff,0x6fff8000,0x3fffe200,
    0xffd10002,0xff5000bf,0x0bffe21f,0x32fff980,0x7c003fff,0x220003ff,
    0x3ea3fffe,0xff1000ff,0xf900007f,0x3ffea3ff,0xfffd002f,0x00efff98,
    0x40bfff62,0xfe806ffd,0xffffffff,0xd3fff8ef,0xf8000fff,0x3f6006ff,
    0x360002ff,0x50006fff,0x7ffc1fff,0x3ffea003,0x001fff52,0x0001fff4,
    0xfa9fffe2,0x7ffc007f,0xff980004,0x0ffff33f,0xb0fffd40,0xf1003fff,
    0x3ff60dff,0xffff9006,0x3e1dffff,0x0fffb2ff,0x06fff800,0x009fff10,
    0x07fffe40,0x0fffa800,0xa8013ffe,0xfff91fff,0x03ffd800,0x1fffc800,
    0xe800dff5,0x880005ff,0xfff14fff,0x7ffcc00b,0x00bfff12,0x6c0fffdc,
    0x366006ff,0x222ceffe,0xfffb2fff,0x7ffc4000,0x1fff5005,0x3ffea000,
    0x3ea0001f,0x13ffa0ff,0x70fffb80,0x74001fff,0xa80003ff,0xfff52fff,
    0x04fff800,0x4bfff000,0x22004fff,0xfff33fff,0x7ffcc007,0x006ffd83,
    0x3fe60110,0x01fff91f,0x17ffe600,0x0037fdc0,0x03ffff98,0x07ffd400,
    0x6400bffb,0x3ffe67ff,0x0fffe001,0x3ffe6000,0x400fff53,0x0003fff8,
    0x3e4fff88,0x3e2005ff,0x5fff52ff,0x84fff800,0x00006ffd,0x3f27ffb8,
    0xf50001ff,0x3f2009ff,0xfe88006f,0xa80005ff,0x3ff20fff,0x17ffa007,
    0x7c005fff,0x5fdb13ff,0x97ffd400,0x3000fffa,0x37223fff,0x3fe6002e,
    0x01fffa2f,0xf30fff98,0x7c4007ff,0x6ffd83ff,0xffe80000,0x00fffea5,
    0x017ffdc0,0x8004eec8,0x0006fffd,0x4c1fff50,0xf9802fff,0x27ff43ff,
    0x23fff980,0x2e005fff,0xfff50fff,0x3ffee007,0x8017ffe0,0x3ee1fffb,
    0xff7001ff,0x005fff8d,0x3607ffe6,0x3bae06ff,0x7fff3005,0x0037ffc4,
    0x000ffff8,0xfffc8000,0xf500000e,0x5ffe81ff,0x40fffc80,0xd800fffc,
    0x3ff63fff,0xfff8800f,0x017ffea7,0xfb1bffe2,0xff1001ff,0x4fff88df,
    0xe89ffd00,0xf9000fff,0xdff901ff,0x803ffdc0,0x7f40fffc,0x7dc004ff,
    0x000006ff,0x01ffffa8,0x3ffea000,0x00fffd40,0xf50bfff3,0xffa80bff,
    0x3ffee3ff,0x3fffd805,0x00ffffea,0xfb83fff9,0xffc805ff,0x3fffb82f,
    0x217ffdc0,0xa805fffb,0xff905fff,0x1fffc40f,0x20fffea0,0x003ffffb,
    0x005ffff5,0xfff88000,0xaaaaaadf,0xaaaaaaaa,0xfff51aaa,0x05fffd01,
    0x203ffff3,0xa80dfffd,0x6c3fffff,0xd880cfff,0x7fd45fff,0xffb03fff,
    0x3fffa0bf,0xfffd880d,0x5ffff105,0x413fff20,0x700dfffd,0x3201ffff,
    0x4088bfff,0xb80bfffd,0xfd00ffff,0x2159dfff,0xffffea98,0x7fffc006,
    0xffff8800,0xffffffff,0xffffffff,0x1fff54ff,0x9dffff50,0x07ffffb7,
    0x6fffff44,0xfeeffecb,0x7fffc43f,0xfffdbbcf,0x7ffd40ff,0xfdbdfffe,
    0xf100efff,0xb779ffff,0x401bffff,0xbdfffffa,0x205fffec,0xcefffff8,
    0x2ffffecb,0x3ffffea0,0x7fffc43f,0xffffdbdf,0x3ffa201f,0xffffffff,
    0x00efffff,0x007fffc0,0x7fffffc4,0xffffffff,0xffffffff,0x201fff54,
    0xfffffff9,0xe8804fff,0xffffffff,0x983ffd8e,0xfffffffe,0xfa80dfff,
    0xffffd8ef,0x400dffff,0xffffffe9,0x1004ffff,0xfffffffd,0xfb100dff,
    0xffffffff,0xffd003df,0xff309fff,0xffffffff,0xffb1003d,0xffffffff,
    0x2000bfff,0x8800ffff,0xffffffff,0xffffffff,0x54ffffff,0x6c401fff,
    0x1dffffff,0x7fff5c00,0x7ffb0dff,0x7ffffd40,0x3ea02eff,0x3ffff66f,
    0x7dc003ef,0x2dffffff,0xfffec800,0x54003dff,0xfffffffe,0x3ff62003,
    0xff9106ff,0x007fffff,0xfffff930,0x0039ffff,0x007fffc0,0x00000000,
    0x026aa200,0x03553000,0x35731000,0x2aa20000,0x54c40000,0x3100000a,
    0x26000035,0x400009aa,0x55300098,0x26000035,0x0019aaa9,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x775c0000,0x440000de,0x3a21eeee,0x20001eee,
    0x3aa2eeeb,0x74c002ee,0x4c002eee,0xddd72eee,0x3aa00005,0x3bbba1ee,
    0xeeeeeeee,0xeeeeeeee,0x1ddd34ee,0x77764000,0xeeeeeeee,0x00acceee,
    0x000eee98,0x3bbbbb60,0xceeeeeee,0x774c00bc,0x27ddd30e,0xff8deeea,
    0x6c0004ff,0xffc84fff,0xfa8000ef,0x7ffc46ff,0x7ffe4005,0x7fe4005f,
    0x0bfff31f,0x1fffa000,0xffffffff,0xffffffff,0x2bffffff,0x0000fffa,
    0x3ffffffa,0xffffffff,0x200cffff,0x0001fffa,0x3ffffffa,0xffffffff,
    0xff502dff,0x53ffe63f,0xff56fffb,0x2a0003ff,0x3fa06fff,0x7c4004ff,
    0xffe80fff,0x7fff4007,0x7ff4007f,0x007fff47,0x13ffe600,0xffffffff,
    0xffffffff,0x2bffffff,0x0000fffa,0x3ffffffa,0xffffffff,0x00efffff,
    0x0003fff5,0x7ffffff4,0xffffffff,0xfa83ffff,0x9fff31ff,0xfc9bffee,
    0xf88006ff,0x3e201fff,0x3a002fff,0xff902fff,0x3fe2001f,0x1002ffff,
    0xffb89fff,0x7e40003f,0x666641ff,0xffeccccc,0xccccccdf,0x1fff53cc,
    0x7fff4000,0xaaaaaaaa,0xffffcbaa,0x3fff506f,0x7fff4000,0xcccccccc,
    0xfffffecc,0x98fffd42,0xfff74fff,0x27fffc4d,0x13fff600,0x03fffee0,
    0x813fff20,0x5002fffa,0x09ffbbff,0x10bffea0,0x8000dfff,0x90006fff,
    0x54003fff,0x20000fff,0x88007ffe,0xa81ffffb,0x20001fff,0x4c007ffe,
    0x220ffffe,0x3ffe6199,0xa8dfff74,0x5001ffff,0x6c00dfff,0x7d405fff,
    0x7fc406ff,0x7ffb004f,0x3200dff7,0xffd80fff,0xff50001f,0x3f20007f,
    0x3ea001ff,0x3a0000ff,0x320007ff,0xffa83fff,0x3fa0001f,0xfe88007f,
    0xff9803ff,0x0dfff74f,0x100dfff9,0x4003ffff,0x103ffff8,0xd001ffff,
    0x3fe00dff,0x00fff99f,0xf506ffe8,0x360009ff,0x90000fff,0x54003fff,
    0x20000fff,0x40007ffe,0xffa85fff,0x3fa0001f,0xff70007f,0xfff3009f,
    0x21bffee9,0x403ffff8,0x8003fffd,0xe81ffff9,0xf9002fff,0xff9801ff,
    0x100fffe7,0x7fc09fff,0xff88006f,0x3f20005f,0x3ea001ff,0x00a880ff,
    0x0003fff4,0xf503fffa,0x740003ff,0xf10007ff,0xff300dff,0x17ffee9f,
    0x80ffffd4,0x0005fffa,0xf91bfff2,0x7cc009ff,0x7fdc02ff,0x3017ff65,
    0x7e403fff,0x7d4001ff,0x320001ff,0x2a001fff,0xffb30fff,0xfd059dff,
    0xfe8000ff,0x7ffd40ff,0x1f776c01,0x4000fffd,0x3ba67ffe,0x29fff30e,
    0x3605fffa,0xff886fff,0x740000ff,0xfff34fff,0x7fff000d,0x2a3ffe80,
    0x7fdc07ff,0x27ffcc07,0x01bffa00,0x03fff900,0x5c7ffd40,0xffffffff,
    0x03fff42f,0x0ffff100,0x6c03fff5,0x7ff45fff,0x3ffe0007,0x4c7ffea7,
    0xfff54fff,0x7fffc409,0x01fffe42,0x7fffcc00,0x000fffe9,0x2205ffd8,
    0x3fe20fff,0x17ff601f,0x801fffa0,0x0003fff8,0x000fffe4,0xfffdfff5,
    0xfffffdbf,0x003fff45,0x50bfff70,0x3f603fff,0x7ffe85ff,0xbfff1000,
    0xf98fffd4,0x9fff34ff,0x0ffffa80,0x000bfff3,0x7ffffdc0,0xf70002ff,
    0x37fd40ff,0xff01fff4,0xfff7007f,0x3ffee005,0x7fe40000,0x3fea001f,
    0xfc81dfff,0x1fffa7ff,0x7fffe400,0x81fffa82,0xfd04fffd,0x3f2000ff,
    0x3ffea4ff,0x269fff31,0xfd803fff,0x1fffd4ff,0xffd80000,0x20004fff,
    0xf901fff9,0x0dff909f,0x2007ffe6,0xd005fff8,0x90000bff,0x54003fff,
    0x6c06ffff,0xfffd2fff,0x33333333,0xfffd9533,0x3ffea0bf,0x027ffec1,
    0x7000fffd,0x7d41ffff,0x9fff31ff,0x200fffe2,0xffcffff8,0x8800002f,
    0x0006ffff,0xfd03fff8,0x1fff505f,0x400dff70,0x4c00fffc,0x80002fff,
    0x2001fffc,0x400efffa,0xffd3fff9,0xffffffff,0xffffffff,0x3fea01bf,
    0x13fff61f,0x333fffd0,0x75333333,0xa87ffffd,0xfff31fff,0x8017ffc9,
    0x4ffffffa,0xff100000,0x80003fff,0xff985ffd,0x05fff00f,0x4c009ffb,
    0x7e402fff,0xf900007f,0x7d4003ff,0xfff004ff,0x3fffffa9,0xffffffff,
    0x402fffff,0xff91fffa,0xfffd009f,0xffffffff,0xdfffffff,0x263fff50,
    0x3ffe4fff,0x3fff6002,0x000000ef,0x0dfffffb,0x87ffb800,0x3f605ffb,
    0x02fff85f,0x202fff40,0x00004fff,0x4003fff9,0xd003fffa,0x3fffa9ff,
    0xffffffff,0x001bdfff,0xff93fff5,0x3ffa009f,0xffffffff,0x3fffffff,
    0x263fff50,0x3ffe4fff,0x3ffe2001,0x7000001f,0x9fffffff,0x7ffcc000,
    0x701ffec0,0xfff98dff,0x7ffdc000,0x01fff500,0x3fff2000,0x3ffea001,
    0x29ffd002,0x9999fffe,0xefffda99,0x3ffea001,0x004ffffd,0xfffffffd,
    0xddffffff,0x7ffd4019,0x749fff31,0x7ec001ff,0x3000007f,0xfff3dfff,
    0x7fc0005f,0x00fffc2f,0x7dc1fff3,0xff88006f,0x0bffb03f,0x7ffe4000,
    0x3ffea001,0x29ffd001,0xfa807ffe,0xf5003fff,0xffffffff,0x3fffd003,
    0x13333333,0x1fffa800,0x7ec9fff3,0x7fec000f,0xe8800007,0xfff71fff,
    0x3f20001f,0x01ffe64f,0xffd8bffe,0xdffb0003,0x005fff10,0x0fffe400,
    0x01fff500,0x7f53ffa0,0xfff5007f,0xfff5005f,0x0dfff9ff,0x000fffd0,
    0x23fff500,0x3f64fff9,0x7fec000f,0xfd800007,0x7ffec4ff,0xdff50005,
    0x6c02ffe4,0x07ffe3ff,0x0fffd400,0x0001ffee,0x003fff90,0x8007ffd4,
    0xfffd4ffe,0x7fffdc00,0x7fffd401,0x809fff73,0x00007ffe,0xf31fffa8,
    0x03fe49ff,0x003ffec0,0x1bffee00,0x00ffffe2,0x743ffe20,0xffa802ff,
    0x000fff35,0x7f43fff8,0x6400004f,0x2a001fff,0xfd000fff,0x01fffa9f,
    0x01dfffb0,0x3a1fffd4,0x3fa01fff,0xa800007f,0xfff31fff,0x4003fe49,
    0x00007ffd,0x407fffe6,0x001ffffa,0xff89ffe8,0x7ff8800f,0x8000bff5,
    0x3fe66ffc,0x6400001f,0x2a001fff,0xfd000fff,0x01fffa9f,0x0bffff10,
    0x260fffd4,0x3fa06fff,0xa800007f,0xfff31fff,0x4002f549,0x00007ffd,
    0x807fffd1,0x8006fffd,0x6ffabffc,0x323ffa00,0x4c0003ff,0xdff91fff,
    0xff900000,0x7fd4003f,0x9ffd000f,0x2001fffa,0x502ffffa,0xff903fff,
    0x1fffa09f,0x3fea0000,0x09fff31f,0x1fff6000,0x7ffec000,0xfffe8805,
    0x6ffd4004,0x32004ffc,0x00ffeaff,0xd4ffe800,0x000007ff,0x4003fff9,
    0xd000fffa,0x1fffa9ff,0x7fffec00,0x01fffa80,0xfd03fffd,0x500000ff,
    0x3fe63fff,0xfb00004f,0xf70000ff,0x26001fff,0x2002ffff,0x1ffeeff8,
    0x3f7fea00,0xf700006f,0x01fff3df,0xfff90000,0x7ffd4003,0x29ffd000,
    0x10007ffe,0xf50bffff,0x3fe603ff,0x3fff40ef,0x7fd40000,0x09fff31f,
    0x1fff6000,0xffff3000,0xfffc8003,0x3ffa000f,0xff8007ff,0x00004fff,
    0x9ffbfff1,0x3f200000,0x3ea001ff,0xffd000ff,0x001fffa9,0x42ffffb8,
    0x3201fffa,0x7ff44fff,0xfa800007,0x9fff31ff,0x0017ffea,0x8000fffb,
    0x0004fffe,0x400bfffd,0x005ffffc,0x02ffffd8,0x3fff2000,0x000001ff,
    0x4003fff9,0xd000fffa,0x1fffa9ff,0xdfffd000,0x201fffa8,0x3a1ffff8,
    0x800007ff,0xff31fffa,0x17ffea9f,0x00fffb00,0x037ffe40,0x7ffff300,
    0x3fffe600,0xfffb8003,0x2600000f,0x0006ffff,0x07fff200,0x00fffa80,
    0x3fa9ffd0,0x7cc0007f,0x3fea4fff,0x7ffd401f,0x00fffd0e,0x3fff5000,
    0x7d53ffe6,0x7ec005ff,0xff50007f,0xb80001ff,0xf001ffff,0x30001fff,
    0x0000dfff,0x007fffd0,0x7ffe4000,0x3ffea001,0x29ffd000,0x80007ffe,
    0xf51ffffb,0xffb003ff,0x01fffa9f,0x3ffea000,0x2a9fff31,0x00005fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3bbb6000,0x3bb60001,0x17bbbba4,0x3bbb2000,0x013bba2e,
    0x013bba00,0x277774c0,0x8000ddd9,0x20004eed,0xdd903eeb,0xdddddddd,
    0xdddddddd,0x3bbbbb29,0xeeeeeeee,0x26eeeeee,0xeeeeeeed,0x1bceeeee,
    0x3bbbba00,0xdeeeeeee,0x640000ac,0x6ffff87f,0x97ffa000,0x00ffffff,
    0x3fffe200,0x017ffe3f,0x017ffe00,0x3bfffe60,0x001fff60,0x000dfff0,
    0x6c13ffe6,0xffffffff,0xffffffff,0xffffd5ff,0xffffffff,0xffffffff,
    0x7ffffff4,0xffffffff,0xfff801df,0xffffffff,0x004fffff,0xff0fff70,
    0x20007fff,0x3ffe5ffe,0x20003fff,0x23fffffa,0x80005fff,0x4c005fff,
    0xfd85ffff,0x7fc0007f,0xfe88006f,0xfffb04ff,0xffffffff,0xbfffffff,
    0x3ffffffa,0xffffffff,0x3a7fffff,0xffffffff,0xffffffff,0x3ffe01ef,
    0xffffffff,0x05ffffff,0x43fffcc0,0x01ffffff,0x3e5ffe80,0x006fffff,
    0x3fffff60,0x0017ffe3,0x8017ffe0,0xb05ffff9,0xf8000fff,0xfc8006ff,
    0xffb04fff,0x9999999f,0x99999999,0x333fffa7,0xcccccccc,0x24cccccc,
    0xccccfffe,0xffedcccc,0xff01ffff,0x999999df,0xffffdb99,0xfff1001b,
    0xfffff0ff,0xffd000df,0x7fffffcb,0xff88000f,0x3fe3ffff,0xff80005f,
    0xfff3005f,0x3ffec0bf,0x1bffe000,0xfffff500,0x03fff609,0x1fffa000,
    0xfffd0000,0x7ffdc400,0x5fff80ff,0x3fffea00,0x7fffd402,0xfffff87f,
    0x7f4003ff,0x3f7ffe5f,0xfb8003ff,0x3e3fffdf,0xf80005ff,0xff9805ff,
    0x7fec05ff,0x7ffc0007,0x3ffe2006,0xffb04fff,0xfd00001f,0xe80000ff,
    0xf88007ff,0xfff85fff,0x7ffcc005,0xffffb105,0xdfff0fff,0x4003ffff,
    0x3ffe5ffe,0x8006ffcc,0x3fffaffd,0x00017ffe,0xf3017ffe,0xfb00bfff,
    0xff8000ff,0x3ff6006f,0xfb04fffc,0xd00001ff,0x80000fff,0x30007ffe,
    0xff83ffff,0xffe8005f,0xfffffb87,0xfff87ffe,0x006fffbd,0xfff97ffa,
    0x000fff9c,0x3fe3bfe2,0x017ffe3f,0x817ffe00,0x004ffff9,0x8000fffb,
    0xf7006fff,0x413ffedf,0x0000fffd,0x0007ffe8,0x003fff40,0xf8bfff70,
    0xfc8005ff,0x3fff21ff,0x87ffb8ef,0xfffd5fff,0x97ffa007,0x7fff4fff,
    0x467fdc00,0x3ffe3fff,0xfff80005,0x9ffff305,0x03ffec00,0x01bffe00,
    0x7fc7ffe6,0x1fffb04f,0xfffd0000,0xffe80000,0x3fe20007,0x02fffc7f,
    0x323ffe40,0x3fee4fff,0xf35fff87,0xfd003fff,0xca7ffcbf,0x3fa006ff,
    0x23fff89f,0x80005fff,0xff985fff,0x7ec004ff,0x7fc0007f,0x3ffe806f,
    0x7ec13ffe,0xe80000ff,0x400007ff,0x40007ffe,0x3fe1fffd,0xffe8005f,
    0x2e067e45,0x5fff87ff,0x201bffee,0x3ffe5ffe,0x001fff34,0x3fe2dff1,
    0x017ffe3f,0x317ffe00,0x0009ffff,0x8000fffb,0x7e406fff,0x827ffc5f,
    0x0000fffd,0x0007ffe8,0x003fff40,0xf93ffea0,0x7cc005ff,0xb80543ff,
    0x5fff87ff,0x2027fff4,0x3ffe5ffe,0x200fffe4,0xfff13ffb,0x002fffc7,
    0xf32fffc0,0x20007fff,0x40007ffd,0x3e606fff,0x27ffc0ff,0x000fffd8,
    0x007ffe80,0x03fff400,0x97ffe600,0x32005fff,0x5c005fff,0x5fff87ff,
    0x00ffffcc,0x7ffcbffd,0x201bff24,0xfff10ffe,0x002fffc7,0xf9afffc0,
    0x0004ffff,0xfffffffb,0xffffffff,0x0dffffff,0x3e0bffa2,0xfffb04ff,
    0x99999999,0xe8599999,0xcccccfff,0xcccccccc,0x3fff44cc,0x3ffe2000,
    0x3bbfffe5,0xfeeeeeee,0xb8004fff,0x5fff87ff,0x206fffb8,0x3ffe5ffe,
    0x803ffe64,0x3fe26ff8,0x017ffe3f,0x277ffe00,0x2fffffff,0xffffd800,
    0xffffffff,0xffffffff,0x0bffb06f,0x7ec13ffe,0xffffffff,0x4fffffff,
    0x7ffffff4,0xffffffff,0x7f47ffff,0xff80007f,0x3ffffe6f,0xffffffff,
    0x70004fff,0xbfff0fff,0x413fffa0,0x3ffe5ffe,0x701fffc4,0x7ffc47ff,
    0x0017ffe3,0x3fffffe0,0x0ffffdff,0x7fffec00,0xffffffff,0xffffffff,
    0x0fffa86f,0x3609fff0,0xffffffff,0xffffffff,0x7fffff44,0xffffffff,
    0x747fffff,0xf80007ff,0x3fffe6ff,0xffffffff,0x02efffff,0x7c3ffdc0,
    0xfff305ff,0x4bffd03f,0x7fe44fff,0x883ffa06,0x3ffe3fff,0xfff80005,
    0xffb2ffff,0xffd800df,0xaaaaaaaf,0xaaaaaaaa,0x7fc46fff,0x13ffe02f,
    0x7fffffec,0xffffffff,0x7fff44ff,0xeeeeeeee,0x5eeeeeee,0x0003fff4,
    0xff9bffe2,0xccccccef,0xffffffed,0x3fee003f,0x205fff87,0xfe86fffb,
    0x313ffe5f,0xff301fff,0x23fff88b,0x80005fff,0x22ffffff,0x004ffff8,
    0x0001fff6,0xffd8dfff,0x827ffc04,0x0000fffd,0x0007ffe8,0x003fff40,
    0xf97ffe60,0x366005ff,0x7002ffff,0xbfff0fff,0x44fffe80,0x3ffe5ffe,
    0xb83fff84,0x7ffc43ff,0x0017ffe3,0x0bffffe0,0x007fffea,0x0003ffec,
    0xffb9bffe,0x04fff806,0x0001fffb,0x000fffd0,0x007ffe80,0xf1fffd40,
    0xf7000bff,0x3ee00dff,0x05fff87f,0xd0ffffcc,0x27ffcbff,0x7f437fe4,
    0x1fffc40f,0x0000bfff,0x6405ffff,0xd800ffff,0x7c0007ff,0x7fff36ff,
    0x33333333,0x13339fff,0x0003fff6,0x001fffa0,0x00fffd00,0x22fffb80,
    0xd0005fff,0xf7005fff,0x0bfff0ff,0x74dfff70,0x13ffe5ff,0xf983ffe6,
    0x3fff885f,0x00017ffe,0x3a017ffe,0xfd805fff,0x7fc0007f,0xfffff76f,
    0xffffffff,0x27ffffff,0x0000fffd,0x0007ffe8,0x003fff40,0xf87fff60,
    0xf90005ff,0xff7007ff,0x00bfff0f,0x7f53fffa,0x413ffe5f,0x3ff23ffe,
    0x23fff882,0x80005fff,0xf9805fff,0x7ec03fff,0x7fc0007f,0xfffff76f,
    0xffffffff,0x27ffffff,0x0000fffd,0x0007ffe8,0x003fff40,0x41ffff10,
    0x30005fff,0xf7009fff,0x0bfff0ff,0x27fffe60,0x3ffe5ffe,0x7cdff904,
    0xfff880ff,0x0017ffe3,0x4017ffe0,0x201ffffb,0x40007ffd,0xfff76fff,
    0xffffffff,0xffffffff,0x003fff67,0x01fffa00,0x0fffd000,0x27ffe400,
    0x40017ffe,0xb803fffa,0x5fff87ff,0x3bffee00,0x3ffe5ffe,0x31fff304,
    0x3fe20bff,0x017ffe3f,0x017ffe00,0x00efffe8,0x8000fffb,0x20006fff,
    0xffb04fff,0xfd00001f,0xe80000ff,0xf30007ff,0xfff81fff,0xfff90005,
    0x0fff7003,0xe800bfff,0x25ffffff,0x3fa04fff,0x102ffcbf,0x7ffc7fff,
    0xfff80005,0x3ffe2005,0x0fffb05f,0x06fff800,0x413ffe00,0x0000fffd,
    0x0007ffe8,0x003fff40,0x427fff44,0x98005fff,0xb800ffff,0x5fff87ff,
    0x7fffcc00,0x13ffe5ff,0x7ffeffc8,0xf8fffe20,0xf80005ff,0x7d4005ff,
    0xffd82fff,0x7ffc0007,0x3ffe0006,0x01fffb04,0x0fffd000,0x7ffe8000,
    0x7fffdc00,0x05fff80f,0x2ffffcc0,0xf87ffb80,0xfb8005ff,0x3fe5ffff,
    0x3ffe604f,0x3fe204ff,0x2bbffe3f,0xaaaaaaaa,0x3fe2aaaa,0xffd8005f,
    0x3ffec0ff,0x1bffe000,0x04fff800,0x0001fffb,0x555fffd0,0x55555555,
    0x23555555,0xaaaafffe,0xffedcaaa,0xff01ffff,0x555555df,0xfffd9755,
    0x3ee001df,0x05fff87f,0xbffffd00,0x3a027ffc,0x2202ffff,0x3ffe3fff,
    0xffffffff,0x27ffffff,0x88005fff,0x7ec6ffff,0x7fc0007f,0x3fe0006f,
    0x1fffb04f,0xfffd0000,0xffffffff,0xffffffff,0x3ffffabf,0xffffffff,
    0x01ffffff,0x3ffffffe,0xffffffff,0x2001ffff,0xfff87ffb,0xfff30005,
    0x027ffcbf,0x101ffff2,0x7ffc7fff,0xffffffff,0x27ffffff,0x30005fff,
    0x7ec9ffff,0x7fc0007f,0x3fe0006f,0x1fffb04f,0xfffd0000,0xffffffff,
    0xffffffff,0x3ffffabf,0xffffffff,0x400bffff,0xffffffff,0xffffffff,
    0x7dc001cf,0x05fff87f,0x97fff200,0x7cc04fff,0x7fc404ff,0x3ffffe3f,
    0xffffffff,0x3fe7ffff,0x3f20005f,0xfffb2fff,0x6fff8000,0x13ffe000,
    0x0007ffec,0x7fffff40,0xffffffff,0x5fffffff,0xfffffffd,0x599ddfff,
    0x7ffffc00,0xefffffff,0x70000bcd,0x00000fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xaaaa8000,
    0xaaaaaaaa,0x01aaaaaa,0x1eeee880,0x372a0000,0x200bcdfe,0x2003eeea,
    0x22000199,0x100001a9,0x40000133,0x200001a9,0x880000a9,0x01510001,
    0x000eeea8,0x3ba65ddd,0x3ba2002e,0xffff882e,0xffffffff,0x04ffffff,
    0x4ffffb80,0xffe98000,0x3fffffff,0x409fff50,0xfffffdb8,0xffb8801d,
    0x01deffff,0x3ffff620,0x54002dff,0xffffffed,0x3b22001d,0x02dfffff,
    0x7ec53ba6,0x9dd32dff,0x7ffff6d4,0x0fffa81d,0x7c7fff00,0x3ee005ff,
    0xfff880ff,0xffffffff,0x4fffffff,0xffffe800,0x3ee0000f,0xffffffff,
    0xffa86fff,0xffff904f,0x09ffffff,0x7fffffcc,0x403fffff,0xffffffc8,
    0x400cffff,0xffffffd8,0x00cfffff,0x7fffffd4,0xf504ffff,0xfffff1bf,
    0x5dbfeabf,0xffffffff,0x07ffd43f,0x323fff80,0xfd000fff,0x3ffe20bf,
    0xffffffff,0x2fffffff,0x777fcc00,0xf30003ff,0x26139fff,0x544ffffb,
    0xffd84fff,0xfffcdeff,0xffe884ff,0xfffdccef,0x3ff604ff,0xffecdeff,
    0xff300eff,0xfd99bdff,0x6409ffff,0xecdeffff,0x540effff,0xffffddff,
    0x7dff52ff,0xffddffff,0x7fd47fff,0x7fff000f,0x401fffcc,0x0002fff9,
    0x027ffd40,0x7e67fe40,0xfe88006f,0x3fa201ff,0x266622ff,0x0f7ffdc0,
    0x217fff54,0xf502fffc,0xff701fff,0xffb103df,0x3fffa0bf,0x3fffee02,
    0x1efffa80,0xa89fffb0,0xbbefffff,0x3fffea6d,0x7fec40df,0x03ffea6f,
    0x3a1fffc0,0xffc806ff,0x7c400007,0xff0005ff,0x03fff35f,0x03fffa80,
    0x005fff88,0x401dfff1,0x7f46fff9,0x7ffdc04f,0x077ffc42,0x30bfff20,
    0xf7005fff,0xdffd05ff,0x1fffb801,0x017fffea,0x809ffff5,0xff52fffd,
    0x3ffe001f,0x007ffdc3,0x00013ffa,0x001dffd0,0x3e1fff50,0x7e4005ff,
    0x3ff6006f,0x5fff7007,0x21fffb00,0xe802fff8,0x7ffec2ce,0xffff8801,
    0x401bff20,0x7dc3fff8,0xffd001ff,0x07fffd4d,0x03fffea0,0x2a7fff30,
    0xff000fff,0x3fff887f,0x007ffe60,0x2fffc800,0x4bffb000,0x2000fffc,
    0x2e005ffe,0xfe800fff,0x59b1006f,0x002fffc1,0x8017ffe0,0x2622fffb,
    0x3ffe002a,0x002fff43,0x3ea1fff5,0xffa804ff,0xfff8804f,0x001fff54,
    0x3f60fffe,0x1bff206f,0xfff98000,0xfff10005,0x01fffcc7,0x40079950,
    0x4400fffb,0x80004fff,0x00befffc,0x017ffc40,0x007fff10,0x44fff880,
    0x26004fff,0xfff51fff,0x7fff5007,0x553ffe00,0xff000fff,0x3fff507f,
    0x000fffe0,0x00fffe80,0x81fff700,0x00006ffe,0x807ffd80,0x0003fff9,
    0xffffff98,0xffa801ce,0x7ffc001f,0x32ea2004,0x224ffffe,0xaaaacfff,
    0xfaaaaaaa,0x5fff52ff,0x05fff500,0x7d53ffa0,0xfff000ff,0x213ffe07,
    0x0000fffa,0x007fff70,0x5c2fff40,0x00001fff,0x017ffe20,0x000bffea,
    0x7ffffcc0,0x702dffff,0xe8001fff,0xd97105ff,0xffffffff,0x7ffd49ff,
    0xffffffff,0x4fffffff,0x5003fff5,0x3a003fff,0x1fff54ff,0x40fffe00,
    0xffd87ffc,0xff100005,0x7cc000df,0xfff882ff,0x32000005,0xfa803fff,
    0x200001ff,0xffffffd8,0x7e40efff,0xffd8007f,0xfffffc86,0xffdfffff,
    0x3fffee4f,0xffffffff,0x55ffffff,0xf5001fff,0x3fa001ff,0x01fff54f,
    0x4c0fffe0,0x3fe21fff,0xf700002f,0x6c0007ff,0x3ff607ff,0x9800000f,
    0xf3006fff,0x000005ff,0xfffff951,0x7fdc5fff,0x7ff4000f,0x7ffffec6,
    0x3fe1bcef,0x2fffea4f,0xaaaaaaaa,0x51aaaaaa,0xf5001fff,0x3fa001ff,
    0x01fff54f,0x407fff30,0x3fee4ffe,0x3fa00007,0xf10000ff,0x7fd409ff,
    0x4c00003f,0x1000ffff,0x00005fff,0xfffb7300,0x0fffd4ff,0xc97ffe00,
    0x201bffff,0x3e64fff8,0xa80002ff,0xfa800fff,0xffd000ff,0x003ffea9,
    0xb80fffea,0x13ffa7ff,0x7ffcc000,0x3fee0005,0x37ffc01f,0xfff10000,
    0xfff8007f,0x02aee003,0x7fffc400,0x005fff31,0xff27ffc4,0xff3001df,
    0x1fffc49f,0x7ffd4000,0x0fffa800,0x2a9ffd00,0xfb801fff,0x3fe203ff,
    0x01fff8af,0x3fff9000,0x37ff4000,0x017ffe40,0x7fffcc00,0x5ffe8004,
    0x4cfffe00,0xff7004ca,0x13ffe27f,0x32fffa80,0x2a007fff,0x7ffc4fff,
    0x2b326005,0x001fff51,0x2001fff5,0xfff34ffe,0x7fffb005,0xfbcffd80,
    0x3e00006f,0x260006ff,0xf9803fff,0x540005ff,0x0004ffff,0x5003fff9,
    0x3fee3fff,0xfff9800f,0x003fffa2,0xfb87fff4,0xffb002ff,0x2fffd89f,
    0x23fffd00,0xa800fffa,0xfd000fff,0x3fffe29f,0x3ffff200,0x77ffd403,
    0x500003ff,0x40007fff,0xeeeefffc,0xffeeeeee,0xf70000ff,0xfa809fff,
    0x3ffe24ff,0x26ffe805,0xd804fff8,0x3fe60fff,0xfffb805f,0x017ffea5,
    0x113ffff2,0xb801dfff,0x3fea6fff,0xfffa800f,0x49ffd000,0x440dfffd,
    0x03fffffc,0x0ffffff8,0xfffb0000,0xffff8000,0xffffffff,0x04ffffff,
    0x3ffffc80,0x44fffa80,0x880efffb,0x7f42fffd,0x3fea03ff,0xefffc85f,
    0x1ffff900,0x00ffffc4,0x0bfffff9,0x103dfff7,0x545ffff5,0xfa800fff,
    0xffd000ff,0x7ffffd49,0xddfffece,0xffc803ff,0x100005ff,0x40009fff,
    0xfffffffa,0xffffffff,0x6c007fff,0x5002ffff,0xffd09fff,0xffb77bff,
    0xfff109ff,0xfd9779ff,0xfd103fff,0xfb79bfff,0xf903ffff,0xd759dfff,
    0xdffddfff,0x3bffffa0,0xfffffdbc,0x007ffd43,0x8007ffd4,0x7fdc4ffe,
    0x4fffffff,0xf3007ff9,0x00005fff,0x0007fff2,0x999fffd8,0x99999999,
    0x802fffd9,0x01ffffd8,0x413ffea0,0xfffffffc,0x3e604fff,0xffffffff,
    0x32200eff,0xffffffff,0x3fa01eff,0xffffffff,0x01fff53f,0x3ffffff2,
    0xa83fffff,0xfa800fff,0xffd000ff,0xffffb309,0x1ffe47df,0x007ffe80,
    0x01bffa00,0x05fff880,0x05fffa80,0x077fff44,0x203fb800,0xffffffe9,
    0xffb8801e,0x04efffff,0x3ffffaa0,0xf7002cef,0x1bffffff,0x301fffc4,
    0xfffffffb,0x3ffea019,0x0fffa800,0x809ffd00,0x000001a9,0x7fc40000,
    0x3ee0005f,0xfd0002ff,0x7fec01ff,0x360000ef,0x3553001f,0x2a660001,
    0xa980001a,0x2a60000a,0x400000aa,0x0001aaa8,0x00000000,0x00000000,
    0x3fff9800,0x1fffa000,0x4fffc800,0x00bfff70,0x0001ff00,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2fffb800,0x9fff3000,
    0x7ffc4000,0x0efff887,0x97f62000,0xbbbbbbba,0xbbbbbbbb,0x3bbbbbbb,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0x0000fffd,
    0x0003fff9,0x6c2fffd8,0xaaaacfff,0xaaaaaaaa,0xfc8bf50a,0xffffffff,
    0xffffffff,0x006fffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3fa00000,0x3fe0007f,0xfa80006f,0x3ffe65ff,0xffffffff,0x1fffffff,
    0x3ffff20a,0xffffffff,0xffffffff,0x000006ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x01bffa00,0x01fffd40,0x1ffff800,0xfffffff7,
    0xffffffff,0x00003fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x13ffe000,0x07ffec00,0xfffc8000,0xffffffb4,0xffffffff,
    0x0003ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x01980000,0xe9806a20,0x3bbb23ee,0x5eee9803,
    0x26017bb2,0xec802eee,0x3bbbaa3e,0xeeeeeeee,0x0b23eeee,0x00000000,
    0x76c00726,0xaa80002e,0x99998802,0x99999999,0x40199999,0xd10002a9,
    0x3bba29dd,0x40bbbae5,0x3f6a4ee9,0xc883dfff,0x40dffffe,0x3e24fffa,
    0x7f401fff,0x3ffee1ff,0x2fffe400,0xa8bffe20,0xffffffff,0xffffffff,
    0x0033ff64,0xb5000000,0x3fa003ff,0x7d40003f,0x7fec01ff,0xffffffff,
    0xffffffff,0x803ff201,0xff34fffa,0x9bffe2bf,0xf502fffc,0x3fffeedf,
    0x3a24ffff,0xffffffff,0x713ffea2,0x7e40dfff,0x7ffc43ff,0x3ffff402,
    0xf51ffea0,0xffffffff,0x7ffffdff,0x16ffffec,0x71000000,0x003fffff,
    0x0000fffa,0xd809fffb,0xffffffff,0xffffffff,0x1ff201ff,0x269fff50,
    0xfff15fff,0x817ffe4d,0xfffceffa,0xaffffeef,0xffeffff9,0x3fea6fff,
    0x3fffd84f,0xd05fffa8,0x7fc40bff,0x3f201fff,0x7dc0005f,0x7ffe45ff,
    0x000befff,0xfffb3000,0x2001dfff,0x20003ffe,0x00fffff9,0x3ffffff6,
    0xffffffff,0x7021ffff,0x7fd410df,0x2bfff34f,0x3f26fff8,0xfff502ff,
    0xffa839ff,0x4c1effff,0x3313fffe,0xffff1013,0x07fffc41,0x2a07ffc8,
    0x203fffff,0x20002fff,0x7106fffa,0x9ffffffd,0x3aa00003,0x1dffffff,
    0x01fff400,0xfffff900,0x80000007,0x2df53ef8,0x3fea4fc8,0x2bfff34f,
    0x3f26fff8,0xfff502ff,0x7ffdc0bf,0x3ffe606f,0x7ffd4004,0x80bfff65,
    0xfb01fff9,0x260bffbf,0x30000fff,0x5001ffff,0xbffffffb,0xff910005,
    0x017dffff,0x00fffa00,0x7d7ffc40,0x0000007f,0x7effffd4,0xb87fffde,
    0x4bfff13f,0x3fee5fff,0xffff501f,0x7fffc401,0x02fff401,0x5d7ffe40,
    0xff804fff,0xf3fff03f,0x17fee0ff,0x7fffc400,0x7fdc4001,0x00bfffff,
    0x7ffffecc,0xe80002df,0xf70003ff,0x00bffabf,0xfda80000,0xffffffff,
    0xf0fec0ce,0x27ff47ff,0x2a01fff5,0xff804fff,0x6ffd806f,0xffffd000,
    0x3f200dff,0xf5ff985f,0x7ffd03ff,0xfffd1000,0xfda80005,0x21cfffff,
    0xfffffeb8,0x200000cf,0xf0003ffe,0x1bfea3ff,0x4c000000,0x009dfffb,
    0x2ffe83fe,0xff88fff6,0x0bffea07,0x2017ffe0,0x30007ffc,0x01ffffff,
    0x703ffea0,0x0fff67ff,0x0001fff1,0x0007fffb,0x7fffe4c0,0xffffb1ff,
    0x320005df,0xfeeeeeee,0xeeeeeeff,0x6ffb81ee,0x0000fffc,0xfffd8000,
    0x8bfb102f,0x3fee1ffc,0xf502ffc1,0xfff003ff,0x0fff9009,0x7fffdc00,
    0x17ffc002,0x7fdc7ff6,0x0037fd45,0x0027ffe4,0xffff5000,0x077fff63,
    0xffffb000,0xffffffff,0x03ffffff,0xffc87ffd,0xcccccb85,0xcccccccc,
    0xd80ccccc,0x81ffe9ff,0x47fb85fa,0x27f40ffa,0x003fff50,0xf9009fff,
    0x7d4000ff,0x6c003fff,0x33ffc4ff,0x3ffd8fff,0x2fffdc00,0xeb880000,
    0xffb1ffff,0x40003bff,0xfffffffd,0xffffffff,0x7fcc1fff,0x07ffcc0f,
    0x3ffffff6,0xffffffff,0x7dc1ffff,0x01fff34f,0x510aa205,0x54035305,
    0xff800fff,0x7ffc804f,0xffff1000,0x7dc001ff,0xf17fea6f,0x0fffc3ff,
    0x1dfff500,0xfc980000,0x70dfffff,0x7dffffff,0xaaa98001,0xcfffaaaa,
    0x0aaaaaaa,0xfd82ffec,0x7fffec4f,0xffffffff,0x41ffffff,0x3fee0ffd,
    0x00000002,0x800fffa8,0xfc804fff,0xffb0007f,0x400dffff,0xff90fff8,
    0xf54ffd87,0x7fcc00df,0x200000ff,0xffffffea,0xfffd500c,0x00039fff,
    0x800fffa0,0xf501fff8,0x777641ff,0xeeeeeeee,0x1eeeeeee,0x000d82b8,
    0xf5000000,0xfff001ff,0x0fff9009,0x79fff500,0x74009fff,0x83ffd3ff,
    0x9ff96ffb,0x3fffe600,0xfc880001,0x03efffff,0x3ffff260,0x40002dff,
    0x32003ffe,0x7ffc06ff,0x00000003,0x00000000,0x007ffd40,0x64027ffc,
    0x7c4007ff,0x3fff66ff,0x1bff7001,0xfff10fff,0x1003fff1,0x0005fffd,
    0xfffffda8,0x220001df,0xfffffffb,0xffe8000b,0x7fff1003,0x406ffb80,
    0x20800099,0x9885fffd,0x99999999,0x2a000001,0xff800fff,0x7ffc804f,
    0x0fffec00,0x200dfff1,0x5ffafff9,0xfff9ffd0,0x0ffffa00,0x7ff5c400,
    0x000cffff,0x7fff5400,0x2001dfff,0xf7003ffe,0xff8801ff,0x7fff4c2f,
    0x5a802dff,0xb03fffa2,0xffffffff,0x3ffe61ff,0x7fd40004,0x4fff800f,
    0x007ffc80,0x2e13ffee,0xfd004fff,0x3207ffdf,0x804fffff,0x0004fffd,
    0x3bfffff6,0x98000003,0x1ffffffc,0x007ffd00,0x5400aaaa,0x3fff21aa,
    0xcfffffff,0x2637e4c1,0x7fec4fff,0xffffffff,0x009fff30,0x00fffa80,
    0xc804fff8,0x9fff57ff,0x206fff98,0xc802fffe,0x500fffff,0x805fffff,
    0x0005fffc,0x00efffec,0x5c400000,0xd001ffff,0x000007ff,0xfffff980,
    0xffffffff,0x86ffffee,0x3f60fffa,0xffffffff,0x09fff30f,0x0fffa800,
    0x804fff80,0xfff57ffc,0x01fffe89,0x003fffe2,0x40dffff5,0x407ffff8,
    0xffeffff9,0xffffffff,0x19fb1fff,0x00000000,0x74007f6a,0x000003ff,
    0x5ef7fcc0,0xffffffeb,0x05ffffff,0x554c9ff7,0x2aaaaaaa,0x0013ffe6,
    0x001fff50,0xf9009fff,0x93ffeaff,0xb804fffc,0xff805fff,0x7ff404ff,
    0x7ffcc05f,0xffffffff,0x1fffffff,0x00000003,0xa8004c00,0x000000aa,
    0xa8827cc0,0xfffffffd,0x0eee00cf,0x00000000,0xf001fff5,0xff9009ff,
    0x4d3ffeaf,0x3a006fff,0x7ec03fff,0x7fe402ff,0x7ffcc02f,0xffffffff,
    0x1fffffff,0x00000000,0x00000000,0x00e60000,0x677f75c4,0x00000001,
    0x3fea0000,0x4fff800f,0x007ffc80,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_45_usascii_x[95]={ 0,3,1,0,1,2,1,1,2,2,1,2,3,1,
3,0,1,4,1,1,0,1,1,1,1,1,3,3,2,2,2,1,2,-1,2,2,3,3,3,2,3,3,1,2,
2,2,3,1,3,1,3,1,0,3,0,0,0,0,0,2,0,0,1,-1,1,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,1,3,0,1, };
static signed short stb__arial_45_usascii_y[95]={ 36,7,7,6,4,6,6,7,6,6,6,12,31,23,
31,6,7,7,7,7,7,7,7,7,7,7,15,15,12,15,12,6,6,7,7,6,7,7,7,6,7,7,7,7,
7,7,7,6,7,6,7,6,7,7,7,7,7,7,7,7,6,7,6,41,7,14,7,14,7,14,6,14,7,7,
7,7,7,14,14,14,14,14,14,14,7,15,15,15,15,15,15,6,6,6,18, };
static unsigned short stb__arial_45_usascii_w[95]={ 0,5,12,22,20,32,25,5,10,10,14,20,5,12,
5,12,20,12,20,20,21,20,20,20,20,20,5,5,20,20,20,20,38,28,23,26,24,22,20,27,23,5,17,25,
19,29,23,29,23,29,26,24,24,23,27,38,27,27,24,9,12,9,17,24,9,20,19,19,19,20,13,19,18,5,
9,18,5,29,18,20,19,19,12,18,11,18,20,29,20,20,20,12,4,13,21, };
static unsigned short stb__arial_45_usascii_h[95]={ 0,29,11,31,37,32,31,11,39,39,13,20,11,5,
5,31,30,29,29,30,29,30,30,29,30,30,21,27,20,13,20,30,39,29,29,31,29,29,29,31,29,29,30,29,
29,29,29,31,29,33,29,31,29,30,29,29,29,29,29,38,31,38,17,4,6,23,30,23,30,23,30,31,29,29,
38,29,29,22,22,23,31,31,22,23,30,22,21,21,21,30,21,39,39,39,8, };
static unsigned short stb__arial_45_usascii_s[95]={ 251,250,238,41,124,175,64,232,1,44,211,
151,226,222,235,165,1,240,51,42,125,83,104,1,125,158,31,72,130,190,109,
203,55,22,216,138,191,168,147,90,101,244,238,75,55,25,1,208,214,145,168,
178,124,179,96,57,29,1,224,104,238,94,172,78,212,138,63,78,22,159,224,
118,149,238,114,195,249,1,193,117,21,1,180,98,146,212,231,58,37,203,88,
31,26,12,190, };
static unsigned short stb__arial_45_usascii_t[95]={ 1,104,194,41,1,1,41,194,1,1,194,
194,194,208,208,41,73,134,164,73,134,73,73,164,73,73,194,164,194,194,194,
72,1,164,134,41,134,134,134,41,134,104,41,134,134,134,134,1,104,1,104,
41,104,73,104,104,104,104,72,1,1,1,194,188,208,164,73,164,73,164,41,
41,104,104,1,104,72,194,164,164,41,41,164,164,73,164,164,194,194,41,194,
1,1,1,208, };
static unsigned short stb__arial_45_usascii_a[95]={ 179,179,229,358,358,573,430,123,
215,215,251,376,179,215,179,179,358,358,358,358,358,358,358,358,
358,358,179,179,376,376,376,358,654,430,430,465,465,430,394,501,
465,179,322,430,358,537,465,501,430,501,465,430,394,465,430,608,
430,430,394,179,179,179,302,358,215,358,358,322,358,358,179,358,
358,143,143,322,143,537,358,358,358,358,215,322,179,358,322,465,
322,322,322,215,167,215,376, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_45_usascii_BITMAP_HEIGHT or STB_FONT_arial_45_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_45_usascii(stb_fontchar font[STB_FONT_arial_45_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_arial_45_usascii_BITMAP_HEIGHT][STB_FONT_arial_45_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_45_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_45_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_45_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_45_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_45_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_45_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_45_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__arial_45_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__arial_45_usascii_s[i] + stb__arial_45_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__arial_45_usascii_t[i] + stb__arial_45_usascii_h[i]) * recip_height;
            font[i].x0 = stb__arial_45_usascii_x[i];
            font[i].y0 = stb__arial_45_usascii_y[i];
            font[i].x1 = stb__arial_45_usascii_x[i] + stb__arial_45_usascii_w[i];
            font[i].y1 = stb__arial_45_usascii_y[i] + stb__arial_45_usascii_h[i];
            font[i].advance_int = (stb__arial_45_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__arial_45_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_45_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_45_usascii_s[i] + stb__arial_45_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_45_usascii_t[i] + stb__arial_45_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_45_usascii_x[i] - 0.5f;
            font[i].y0f = stb__arial_45_usascii_y[i] - 0.5f;
            font[i].x1f = stb__arial_45_usascii_x[i] + stb__arial_45_usascii_w[i] + 0.5f;
            font[i].y1f = stb__arial_45_usascii_y[i] + stb__arial_45_usascii_h[i] + 0.5f;
            font[i].advance = stb__arial_45_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_45_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_45_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_45_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_45_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_45_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_45_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_45_usascii_LINE_SPACING
#endif

