// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_50_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_50_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_50_usascii_BITMAP_WIDTH         256
#define STB_FONT_arial_50_usascii_BITMAP_HEIGHT        270
#define STB_FONT_arial_50_usascii_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_50_usascii_FIRST_CHAR            32
#define STB_FONT_arial_50_usascii_NUM_CHARS             95

#define STB_FONT_arial_50_usascii_LINE_SPACING          32

static unsigned int stb__arial_50_usascii_pixels[]={
    0x32199500,0x97000aac,0x2ea20059,0x0000003c,0x2f32aa60,0x8800019a,
    0x000002cc,0x3fe80000,0x26200000,0x001aacba,0x05654c00,0x09991000,
    0x000cccc0,0x40019998,0x3ffe5ff9,0xffe803ff,0xffffc803,0x037ffc06,
    0x3fff6a00,0xffffffff,0x360001cf,0xff8801ff,0xf3ffffff,0xbfffffff,
    0x003fe800,0x7ff5c400,0xcfffffff,0x3fa60001,0x000dffff,0x2004ffc8,
    0x4001ffff,0x4005fff9,0x3ffe0ffe,0x7f404fff,0x7ffe403f,0x7ffc06ff,
    0xfeb88006,0xffffffff,0xefffffff,0x6ff88003,0xfffff880,0xffff3fff,
    0x980bffff,0xceffffdb,0x7fe40002,0xffffffff,0x001effff,0x7fffffd4,
    0x22001fff,0x32000fff,0x64004fff,0x2e002fff,0x7ffec3ff,0x3fa00fff,
    0x3ffea03f,0x7fc05fff,0x7fe4006f,0xdeffffff,0xffffedcc,0x4001efff,
    0x7c403ffc,0x3fffffff,0xffffffff,0x3fff620b,0xefffffff,0x7ff44002,
    0xffffffff,0x3fffffff,0x33fffe00,0x006fffc9,0x30013ff2,0xf800dfff,
    0x3e6007ff,0xff9100ff,0x1fff407f,0x007fff90,0x88037ffc,0xadfffffe,
    0xffeb8800,0x22003fff,0x4cc01fff,0xf3fffb99,0x13333fff,0xffffff10,
    0xffffffff,0x3ffea005,0x31acdfff,0xffffff75,0x1fff700b,0x802fff98,
    0x8000fff8,0x3001fffe,0x74009fff,0x7fc403ff,0x0fffa06f,0x4006ffe8,
    0xe8803ccc,0x000cffff,0x3ffff660,0x1bfee005,0x27fff500,0xfd007fff,
    0x9fd5bfff,0x03fffffb,0xefffff98,0xffff7000,0x3fff80bf,0x900dff90,
    0x2e0009ff,0xf9004fff,0x3ea003ff,0xfffb007f,0x881fff40,0x00004fff,
    0x37fffe60,0x3ee00000,0x3e003fff,0x3ea002ff,0x0ffff3ff,0x43dfff90,
    0xfffd53fe,0xffffe80d,0xffe88003,0xfff102ff,0x01ffea03,0x0001fff1,
    0x201fffe2,0x2006fff8,0xf9004ffe,0x1fff40ff,0x003fff88,0xffff3000,
    0x22000007,0x9002fffe,0x7d400dff,0x0ffff3ff,0x41ffff88,0x3ffe63fe,
    0xffff901f,0x7f440005,0xff980fff,0x1fff300f,0x001ffec0,0x00bfff60,
    0x2007fff5,0x9001fff9,0x3fa01fff,0x7fff103f,0x3fa00000,0x000002ff,
    0x007fff44,0x800fffcc,0xfff3fffa,0x4fff980f,0x7ff43fe8,0xffff984f,
    0xff980005,0xfffa85ff,0x03fff100,0x0003ffe6,0x80bfff50,0xb000fffd,
    0x7e400dff,0x7ffd00ff,0x00fffe60,0x2e013330,0xa8802fff,0xf98001cc,
    0xfff005ff,0x3ffea00b,0xb80ffff3,0x3fe82fff,0x5c2fffdc,0x0000ffff,
    0x81ffff90,0x3e207ff9,0x7ffb01ff,0x3ffe0000,0xbfff100f,0x13ffe200,
    0x00fffc80,0x3e607ffd,0x7fc003ff,0x4fff886f,0x7fffecc0,0x3ff60dff,
    0x07ffdc1f,0x007ffe40,0xff9fffd4,0x7ffe407f,0x0a83fe81,0x013fffa0,
    0x5ffff000,0x300fff88,0xff301fff,0x7e40000f,0xfff702ff,0x3fff2005,
    0x3ffee001,0x207ffd00,0x4002fff9,0xffd86fff,0x7fffdc06,0xd0efffff,
    0x3ffe0fff,0x4fff9803,0xf3fffa80,0xffc80fff,0x003fe83f,0x007fffcc,
    0x3fff6000,0x501fff85,0x3ff60fff,0x3e600003,0xfffd05ff,0x037ff400,
    0x407ffee0,0xff303ffe,0xfff8005f,0x00fffcc6,0x9dfffff9,0xff1dfffd,
    0x1ffee0df,0x4037ffc0,0xfff3fffa,0x6fffa80f,0x64003fe8,0x00006fff,
    0x40ffffa8,0xffb04ffe,0x00fff30b,0x1fffd000,0x004fff98,0x8009fff1,
    0xfd01fffa,0x3ffe607f,0x37ffc002,0xfc817ff6,0x7440bfff,0x04ffffff,
    0xb003fff1,0xfa801fff,0x0ffff3ff,0x40ffff88,0x7ec003fe,0x800005ff,
    0x541ffff8,0x7fdc2fff,0x03ffd81f,0xfffb8000,0x00fffe43,0x003fffa8,
    0xe80fffd4,0xfff503ff,0x6fff8003,0xf9817ffc,0x7f403fff,0x3a02ffff,
    0xffc802ff,0x7ffd402f,0xd00ffff3,0x7f43dfff,0x7fff4003,0xff000004,
    0xfffd03ff,0x09fffd7d,0x0000dff3,0xf1bffe20,0x7e400dff,0x7cc002ff,
    0x7ffd02ff,0x007ffee0,0x7d4dfff0,0x3fffa07f,0xffff9803,0x0fff600f,
    0x013ffee0,0x3fe7fff5,0xfff9807f,0x03fe9cff,0x01ffff40,0xffff8000,
    0xffffe882,0xfe80dfff,0x2000003f,0xff30fffd,0x7ff4007f,0xfff8002f,
    0x207ffd04,0xf8006ffd,0x13ff26ff,0x0037ffdc,0xc80ffffd,0xffa804ff,
    0x7ffd406f,0x200ffff3,0xfffffff9,0x3fe000cf,0x000002ff,0x6407fffd,
    0x503fffff,0x00000dff,0xf93fffa8,0x7fc001ff,0xfd8001ff,0x3ffe81ff,
    0x003fff98,0x3fe6fff8,0x5fffd01f,0x2fffec00,0x2017fee0,0x5407fff9,
    0xffff3fff,0x7fffcc00,0x1cefffff,0x017fffc0,0xfffe8000,0x40098803,
    0x97302ffe,0x3e00037b,0x0bffd6ff,0x00ffff80,0x0dfff980,0x3a21fff4,
    0xf8000fff,0x1fff16ff,0x00dfff50,0x403fffc8,0xf8803ffc,0x7fd407ff,
    0x00ffff3f,0xffffeb88,0x204fffff,0x0003ffff,0x07ffff00,0x1bfea000,
    0x7fffffe4,0x7fe4000d,0x002fff9f,0x001fffe2,0x2dffffb8,0x3f6a7ffd,
    0xf0003fff,0x1ffe6dff,0x001fffec,0xb00bfff2,0x3fe005ff,0x3fea00ff,
    0x00ffff3f,0x7fffe4c0,0xe81effff,0x00004fff,0x02ffff98,0x05ffd000,
    0xfffffffb,0x7cc001df,0x00fffeff,0x01bffe60,0x9ffff500,0x7fecfffa,
    0x3e0001ef,0x0dff56ff,0x0007fffa,0xe801fffd,0xffd000ff,0x7ffd403f,
    0x000ffff3,0xfffdbfd0,0xfffb0dff,0xf500000b,0x00003fff,0xff50dff5,
    0xfff913df,0xfffe8009,0x7cc004ff,0xa80005ff,0x7ffd4fff,0x0007fff6,
    0x3eedfff0,0x1ffff05f,0x06fff800,0xb003ffcc,0x7d403fff,0x0ffff3ff,
    0x267fd000,0x643ffffd,0x00006fff,0x007fffb8,0xd05ffd00,0xfff309ff,
    0x7ffdc003,0x7c4001ff,0x540006ff,0xffd4ffff,0x13ffff67,0x76fff800,
    0xfff10bff,0xfff9800f,0x02ffe405,0x401fffd0,0xfff3fffa,0x7fd0000f,
    0x20ffffc8,0x000ffff9,0x2fffe400,0x37fdc000,0xe80fffcc,0x3e2004ff,
    0x88006fff,0x20006fff,0xd1cefffc,0x3ff267ff,0xff0004ff,0x217feedf,
    0x4006fff8,0x2203fffb,0x3a003fff,0x3ea00fff,0x0ffff3ff,0x887fd000,
    0x7f42ffff,0x200004ff,0x003ffff8,0xa82ffe80,0x3ff207ff,0x7ffec005,
    0xffff0003,0x3ffe6000,0xd83ffe85,0xf8001fff,0x0dff56ff,0x8801fffe,
    0x3201ffff,0x7fc006ff,0x7ffd407f,0x000ffff3,0xffb07fd0,0xffffb87f,
    0x20179001,0x000ffffd,0xb837fdc0,0x3fee06ff,0x7ffe4006,0xfffd0000,
    0x3fff2000,0x983ffe80,0xf8004fff,0x0fff36ff,0xc801fff6,0x3e607fff,
    0x7fc001ff,0x7ffd406f,0x300ffff3,0x20ffa057,0x7c45fffb,0xf8805fff,
    0x3fea0cff,0xf80004ff,0xbff902ff,0x003ffd40,0x80017ffe,0x8000fffe,
    0xffd04fff,0x01fff207,0x7cdbffe0,0xfffb80ff,0xffff8802,0x09fff306,
    0x05fff880,0xff9fffd4,0x3ffea07f,0xf507fd06,0xfff70bff,0xfffa805f,
    0xffff8aff,0x7dc0000f,0x1bfee06f,0x2007ffb8,0x0002fffa,0x000bfff2,
    0x3a05fff3,0xfff703ff,0x6fff8003,0xf503fff1,0xfe880dff,0xff984fff,
    0x7d4000ff,0x7fd404ff,0x40ffff3f,0xfd07fff8,0x07fff707,0x813ffffa,
    0xffffffd9,0x0003ffff,0x700fffc4,0x7fdc0dff,0x1bffa005,0x9fff5000,
    0x1fffa800,0x2a07ffd0,0x7c001fff,0x17ff66ff,0x413fffe2,0x5ffffff9,
    0x017fffdc,0x017ffe40,0x7fcfffea,0x7fffc07f,0xfd83fe82,0xfff102ff,
    0x64403dff,0x4fffffff,0x5ffb8000,0xb03ffd40,0x3f2009ff,0xf80003ff,
    0x7dc006ff,0x7ffd01ff,0x00bffe60,0x7dcdfff0,0xfff980ff,0xffdb9adf,
    0xddffffef,0x001fffff,0x500fffd0,0x3ffe7fff,0x37ffe407,0x3fe61ff4,
    0x3fa600ff,0x9aceffff,0xffffdba8,0x40000fff,0x4401fff8,0xff882fff,
    0xecacb82f,0x0000ffff,0x4007ffd8,0xfd01fffb,0x3ffe607f,0x37ffc002,
    0x2a07fff1,0xffffffff,0xffffa9ef,0x00efffff,0x017ffe00,0x7fcfffea,
    0x7ffcc07f,0xd11ff44f,0xb1009fff,0xffffffff,0xffffffff,0x0007ffff,
    0xc802ffe4,0x3f662fff,0xffff706f,0x00003fff,0x8007ffee,0xfd00fffb,
    0x3ffe607f,0x37ffc003,0xfb81bff6,0x0dffffff,0xffffffd1,0xf98000bf,
    0xffa802ff,0x00ffff3f,0x21bffff9,0xffff53fe,0xfffb800d,0xffffffff,
    0xfffedfff,0x7c4002ef,0xff1001ff,0xffffbdff,0x3fffea05,0x200002ff,
    0x2004fff8,0xfd00fffb,0x3ffe607f,0x37ffc003,0x8817ffe6,0x881befda,
    0x00acefed,0x64035551,0xfa800fff,0x0ffff3ff,0x3fffff20,0xffffeffe,
    0xd50001ff,0xffffffff,0x7ffdc19f,0x3f2006ff,0x7f4c005f,0x02ffffff,
    0x0fbfffe6,0x3ff60000,0x3ffee007,0x207ffd00,0x4003fff9,0xffc86fff,
    0x0000004f,0x01fffe88,0x54013ffe,0xffff3fff,0x7fffe400,0xffffffff,
    0x9880001e,0x2009abba,0x005fffe9,0x0003fff1,0x1bdffd91,0x00153100,
    0x7ffcc000,0x1fff7002,0x440fffa0,0x22003fff,0xff886fff,0x000002ff,
    0x13fffa20,0x000fffa8,0x3fe7fff5,0x7ed4007f,0xffffffff,0x00000004,
    0x400bfaa0,0x00000998,0x00000001,0x02ffec00,0xd00fffc8,0x3fe207ff,
    0x3fe2003f,0xffff305f,0x80000019,0x405fffe9,0x2a005ffd,0xffff3fff,
    0x7fdcc000,0x000000ad,0x00060000,0x00000000,0x98000000,0xfd800fff,
    0x0fffa07f,0x2004fff8,0x2605fff9,0x002fffff,0xfffc8800,0x7ffc405f,
    0x3ffea001,0x000ffff3,0x00007fd0,0x00000000,0x00000000,0x00000000,
    0xff009ffb,0x1fff40bf,0x001ffff0,0x3013ffee,0x15bfffff,0xffb98000,
    0xfc804fff,0x7fd4005f,0x00ffff3f,0x4007fd00,0xfffffffc,0xffffffff,
    0xffffffff,0x000002ff,0x00000000,0x7c400000,0xfd9880ff,0x3ffa03ff,
    0x33fff203,0xfeb89881,0xfd8802ff,0x9befffff,0x3ae66201,0x02ffffff,
    0x400fff88,0xfffcaaaa,0x555ffff3,0x3fe80035,0x3ffff200,0xffffffff,
    0xffffffff,0x002fffff,0x00000000,0x00000000,0x7fc5ffb8,0x200fffff,
    0x3e203ffe,0x2e6fffff,0x07ffffff,0x7ffff540,0xeeffffff,0xffffffff,
    0xb000cfff,0xff8807ff,0xf3ffffff,0xbfffffff,0x001cb800,0x3bbbbbb2,
    0xeeeeeeee,0xeeeeeeee,0x00002eee,0x00000000,0xd0000000,0x7fffc3ff,
    0x7ff403ff,0x7fffe403,0x3ffff66f,0xb50002ff,0xffffffff,0xffffffff,
    0x40019fff,0xf8806ff9,0x3fffffff,0xffffffff,0x0000000b,0x00000000,
    0x00000000,0x00000000,0x7fcbff10,0xfe802eff,0xfffa803f,0x3ffffe6f,
    0xa880002f,0xffffffec,0x1befffff,0x01ffb000,0xdddddd10,0x3bbb65dd,
    0x0004eeee,0x00000000,0x00000000,0x00000000,0x55300000,0x5000d554,
    0x4cc00355,0x02aa622a,0x33300000,0x00333555,0x0006aa00,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x54c00000,
    0x00009abc,0x80000000,0x32e00ccc,0x7530001c,0x00000157,0x4000e65c,
    0x22000000,0x009acba9,0x00020000,0x00004400,0xaabca980,0x5c000000,
    0xffffffed,0x7c002dff,0x000006ff,0x881ffe60,0x4c001fff,0xdffffffe,
    0xff800000,0xfedb800f,0x0001ceff,0xfffffda8,0x000cffff,0x77ff6d40,
    0x710000bc,0x07dfffdb,0x7ff65400,0xbeffffff,0x3a600000,0xffffffff,
    0x03efffff,0x000dfff0,0x37fdc000,0x800fff30,0xfffffffc,0x00001fff,
    0xd501bfe6,0xffffffff,0xf70001bf,0xffffffff,0x019fffff,0xffffe980,
    0x003fffff,0x7fffffd4,0x2003ffff,0xffffffe9,0xffffffff,0xffb80002,
    0xffffffff,0x4fffffff,0x006fff80,0x3ff20000,0x01bfee04,0xdfffffb8,
    0x00ffffff,0x09ff9000,0x7fffffe4,0x1fffffff,0xffffb100,0xffffffff,
    0x001dffff,0x3fffffe6,0x04ffffff,0xfffffd88,0x5fffffff,0xfffff980,
    0xffffffff,0x0004ffff,0xdfffffb1,0x3aea6359,0x00efffff,0x0001bffe,
    0x03ffe800,0x4c013ff2,0x2a0bffff,0x0005fffe,0x2603ffd0,0x89beffff,
    0x06ffffb9,0xffffff98,0xca9889ac,0x00efffff,0x5f7fffc4,0xffffda89,
    0x7fffec04,0xffba89be,0x3fe605ff,0x99abefff,0xffffeba9,0xffe8004f,
    0xd5002fff,0x7c0dffff,0x000006ff,0xe807ffe0,0xff9002ff,0x3ffea0bf,
    0xff880007,0x9fffd107,0x27fff4c0,0x9fffff10,0xfff91001,0x7fec01df,
    0xfff500ef,0x3ffea03f,0xffd100df,0x3fff607f,0xffd5002f,0x7dc003ff,
    0x8000dfff,0xf04ffffd,0x00000dff,0x881ffe60,0xfd001fff,0x7ffc03ff,
    0x7d40001f,0xdfff505f,0x1ffff300,0x0bffff60,0x3ffff200,0x0dfff303,
    0x20bfff50,0x8805fffe,0x7cc0ffff,0x44001fff,0x1005ffff,0x0009ffff,
    0x81ffffc8,0x00006fff,0x40dff700,0x3e007ff9,0x7fec07ff,0x7ec0001f,
    0x5fff903f,0x07fff600,0x00bfffee,0x07fffd80,0x2007fffb,0x7dc0fffd,
    0xf7000fff,0xfffb89ff,0xfff50004,0xfffb001f,0x3fa0000d,0x6fff86ff,
    0xf9000000,0x37fdc09f,0x03fffd00,0x0007fffc,0x6c03ffe0,0xf9001fff,
    0xffff07ff,0xff880009,0x7ffc42ff,0xfff3000f,0x03fffc87,0x3237ff40,
    0x20002fff,0x4c01ffff,0x0002ffff,0x83ffff50,0x65446fff,0x331001bc,
    0x9ffd3333,0xfb333333,0x401333bf,0xf506fffc,0x98000dff,0x3ff606ff,
    0xfff7001f,0x0ffffa87,0xfffd8000,0x037ffcc5,0xfb1fffe0,0xfd8003ff,
    0x3fff60ff,0x3ff60003,0x7ffec03f,0x7f400005,0xb7ffc4ff,0xffffffd8,
    0x7ffdc04f,0xffffffff,0xffffffff,0x2a02ffff,0x7443ffff,0x40002fff,
    0x3ee04ffb,0xff9002ff,0x5fffd83f,0x15930000,0x007fff70,0x3e0fffe8,
    0x64000fff,0x3fea2fff,0x2620007f,0x5ffff001,0xffb80000,0x477ffc7f,
    0xfffffffe,0xff700eff,0xffffffff,0xffffffff,0x805fffff,0xd32ffffd,
    0x0000bfff,0x7c405ffb,0xff8805ff,0x7fffc46f,0xb0000003,0xc8005fff,
    0xfff12fff,0xfff7000f,0x1ffffc49,0x7c400000,0x00000fff,0xf0ffffc4,
    0xdfffffff,0xfffffd99,0xfffff703,0xffffffff,0xffffffff,0xff8805ff,
    0xffffdfff,0xff880005,0x7fff400f,0x27ffec03,0x007fffea,0x7ff40000,
    0x7fdc001f,0x01fffe3f,0xd13fff20,0x003bffff,0x7ffcc000,0xfd000007,
    0x7fffc7ff,0xff980eff,0x3f2006ff,0x17fee04f,0x7fffd400,0x0004ffff,
    0x300bff50,0x443bffff,0x40efffea,0x000ffffb,0xffff0000,0xfffa8003,
    0x003fffa4,0xa8bfffb0,0xceffffff,0x7d400001,0x000007ff,0x7fc7fffb,
    0x74405fff,0xfd002fff,0x27fec05f,0xffffb000,0x400003df,0xd3003ffc,
    0xffffffff,0xf701bfff,0x00000fff,0x007fffc0,0xd93ffea0,0x74002fff,
    0xff986fff,0xdfffffff,0x7dc0001b,0x000006ff,0x7fc9fffb,0xfa800fff,
    0xff8806ff,0x0bffa01f,0x3fff6600,0x00004fff,0x2000fff4,0xfffffffc,
    0x3ff202ff,0x0000006f,0x2001fffe,0x3ee4fffa,0x3ee006ff,0xfd106fff,
    0xffffffff,0x80015bff,0x0004fffc,0x4bfff900,0x2003ffff,0x4c02fffe,
    0x3fe207ff,0x7fe4000f,0x2fffffff,0xfff10000,0x7ffed400,0xffffffff,
    0x4fffd80c,0xf1000000,0xf5000fff,0x7ffc4bff,0xfff8804f,0x3ae206ff,
    0xffffffff,0x000cffff,0x0009fffb,0x97fff200,0x5c007fff,0x7dc03fff,
    0x1ffea06f,0xdffffb00,0x03fffff5,0x09ff7000,0x3ffffee0,0xfffdcabc,
    0x7ffec1ff,0x10000004,0x5000ffff,0xffb8bfff,0xff500dff,0x200dffff,
    0xfffffeb9,0x02ffffff,0x005fffd8,0x9fffb000,0x20037ffc,0x6404fff9,
    0x3fee04ff,0x3fff6005,0x3fffea4f,0x05e7640e,0x200bff60,0x204ffffb,
    0x20ffffe9,0x0005fffc,0xffff1000,0xbfff5000,0xbfffffd0,0x5fffb957,
    0x1000bfff,0xfffffd95,0xfc805fff,0x000006ff,0x7fc7fffd,0x7fc4005f,
    0x17ff406f,0x2009ffb0,0xb83ffffc,0x7fc5ffff,0x7ffc02ff,0x7fffc400,
    0xbfffb003,0x0037ffdc,0xffff0000,0x9fff7000,0xfffffd10,0x15ffffff,
    0x0000bfff,0xfffffb51,0x7ffdc03f,0xff000007,0x27ffc7ff,0x1fffe200,
    0x201fff88,0xf8802fff,0x3f603fff,0xfff33fff,0x37fcc01f,0x02fffe40,
    0x23ffff10,0x0006fffa,0x3fffe000,0x7ffdc000,0x3ffff204,0xf31fffff,
    0x80000bff,0x05ffffea,0x003fffea,0xffff1000,0x0027ffc5,0xff73fffc,
    0xffffffff,0xffffffff,0x645fffff,0x74407fff,0xffcaffff,0x27fe405f,
    0x00ffff40,0x4d3fff20,0x0000ffff,0xffff8020,0x7ffe4001,0x7fee4c03,
    0x7ffd42ce,0xd8800004,0x3e00ffff,0x00001fff,0x3e3fffd4,0x7c4004ff,
    0x3ffee6ff,0xffffffff,0xffffffff,0x3f62ffff,0xff8804ff,0x3fffffff,
    0x400fff40,0x4000ffff,0x3fe5fffa,0x200002ff,0x3f60bdff,0x7e4001ff,
    0x004002ff,0x2aa7fff7,0x440000cb,0x3201ffff,0x00006fff,0x3e27fff4,
    0x7cc005ff,0x3ffee5ff,0xffffffff,0xffffffff,0x3fe2ffff,0xff5001ff,
    0x80ffffff,0xf8807ff8,0xf88007ff,0x3fff26ff,0xff300004,0x7ffe43ff,
    0x7ffec002,0x3f200001,0x5fffd1ff,0xfffd0000,0x7fffd407,0xff700002,
    0x5fff83ff,0x27ffd400,0x7fff3331,0xfd333333,0x3333339f,0x00ffffc1,
    0xffffff70,0x05ffa807,0x000ffff0,0x7d4bfff3,0x80000fff,0x7d46fffc,
    0x7fc004ff,0x7c00007f,0x3fff67ff,0xffc80005,0x7fff403f,0x7c40000f,
    0xfff86fff,0x3ff2000f,0x1fff103f,0x8017ffc0,0x4003fffe,0x807ffffd,
    0xfd003ffd,0xfa8003ff,0x7fffc4ff,0x7fc40005,0x7ffc43ff,0x3ffea007,
    0x00ee5cc5,0x5cbfff50,0x80007fff,0x4c01ffff,0x0004ffff,0x40ffffec,
    0x1002ffff,0x2603ffff,0x3fe207ff,0xfff9000f,0xfffc800d,0x7ffc04ff,
    0x7fff9000,0x2fffc800,0x017fffd4,0xffffe880,0x01fffe80,0x987fffb0,
    0x36004fff,0x3fe22fff,0x260004ff,0xc800ffff,0x000dffff,0x27ffff44,
    0x00effff8,0x204fffc8,0x3ea05ffb,0x3fea007f,0xff9003ff,0x209fffff,
    0x2e006ff9,0x3000ffff,0xfd01ffff,0xb0007fff,0x2e09ffff,0xf8805fff,
    0xfff80fff,0xdfff3006,0x1bffffb0,0xfffe9800,0x3fffa004,0xff5002ff,
    0x7fc0dfff,0x7d406fff,0x3f600fff,0x17ff204f,0x5ffffb00,0xfffffd80,
    0xfb84ffff,0x7ff4004f,0x7f4400ff,0xfff304ff,0xd50019ff,0x440bffff,
    0x2204ffff,0xfb04fffe,0xffa809ff,0xfff982ff,0xf7002eff,0x4001ffff,
    0xefffffd8,0xecb989bc,0x00efffff,0x37fffffe,0x7fffe441,0x017ff403,
    0x98007ffb,0x11cfffff,0xbfffff95,0x89fffff7,0x44002ffe,0x80beffff,
    0x406ffffb,0xdffffffa,0xfdba989a,0xa806ffff,0x4c0cffff,0x300efffe,
    0x9819ffff,0x205ffffb,0xfffffffa,0xfdca9bce,0x002fffff,0xffffff90,
    0xffffffff,0xff009fff,0xdffffdbf,0x0bfffffd,0x200fff88,0xa8002fff,
    0xffffffff,0x24ffffff,0x14fffffb,0x50001fff,0xbdffffff,0x3ffffffd,
    0xfffff300,0xffffffff,0x001dffff,0x3bfffff2,0x1ffffffd,0x7ffffd40,
    0xffffffde,0xffffa805,0xffffffff,0x03ffffff,0x7fff5400,0xffffffff,
    0xff002eff,0xffffd19f,0x007fffff,0x7c40fff3,0xd10000ff,0xffffffff,
    0xff905fff,0x17fea1ff,0xfffe9800,0xffffffff,0x3f62000d,0xffffffff,
    0x003fffff,0xffffffa8,0x001fffff,0xfffffff7,0x4009ffff,0xffffffd8,
    0xffffffff,0x2600001e,0xfffffffd,0x7c001cff,0x3fff24ff,0x7001dfff,
    0x7fd40bff,0xfec80007,0x0cefffff,0xfc87fea0,0xfb80003f,0xefffffff,
    0x3f220002,0xffffffff,0x260000cf,0xfffffffd,0x7ec4000b,0x1dffffff,
    0xffd93000,0xbfffffff,0x98000005,0x0019aca9,0x06ea2000,0x80b32a00,
    0x00003cca,0x2000ddcc,0x00665c29,0x57531000,0x31000003,0x00035755,
    0x26aea200,0x54c40000,0x000009ab,0x2af2aa62,0x00000009,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x26000000,0x4409bdcb,0x01999099,0x54cc0000,0x00001acb,0x00000040,
    0x01000000,0x00000000,0x00000000,0x54400000,0x2661aacb,0x66dd4409,
    0xa800000a,0xfffffffe,0x7edbff65,0x4c00003f,0xfffffffc,0x000bceff,
    0x3fffb220,0x00000acd,0x027ffcc0,0x7fff6544,0x3fee00ce,0xfb80005f,
    0x2a0005ff,0x3ffe6fff,0xfff00006,0xffffc80d,0x4fffe6ff,0xffffffe8,
    0x3fe200cf,0x3fff205f,0xefffffff,0xff56ffd8,0x3a60000b,0xffffffff,
    0x3fffffff,0xffffb800,0x02ffffff,0x3fe60000,0x7ffd404f,0x3fffffff,
    0x00bfff70,0x0bfff700,0x37ffd400,0x0000dfff,0xfc81bffe,0x25ffffff,
    0xffe8bfff,0xffffffff,0x0bfff101,0x3bfffff6,0xeffffedc,0x0fff16ff,
    0xffff7000,0xffffffff,0x1bffffff,0x3ffffa00,0xffffffff,0xf3000002,
    0x7fe409ff,0xffffffff,0xfffb85ff,0xffb80005,0x3ea0005f,0x1bffe6ff,
    0x37ffc000,0xffffffa8,0x37ffe3ff,0xdbbdffff,0x882fffff,0xffa85fff,
    0xff980dff,0x3fa6ffff,0xfb10001f,0x59bfffff,0xffd97313,0xc801dfff,
    0x88adffff,0x03ffffda,0xfff98000,0xdffffb04,0xfffb5137,0x5fffb87f,
    0xfffb8000,0x3fea0005,0x01bffe6f,0x837ffc00,0x31befffd,0x7fffffc1,
    0xfffe880d,0x2fffc40f,0x2027fff4,0x26ffffe8,0xb0004ffc,0x009fffff,
    0x27ffffd4,0x03ffff50,0x00ffffd4,0x3ffe6000,0x1ffffb84,0x87fffee0,
    0x0005fffb,0x005fffb8,0xf9bffea0,0x500006ff,0x3ffa0555,0x7fffc00f,
    0x7ff4404f,0x2fffc44f,0x401bffea,0x266ffff9,0xfa8006ff,0x8001efff,
    0x01ffffe8,0x7007fffd,0x00007fff,0x444fff98,0xd801ffff,0x3fee4fff,
    0xfb80005f,0x2a0005ff,0x3ffe6fff,0x20000006,0xff807fff,0xf9800fff,
    0x7ffc47ff,0x017ffe45,0xf8dfffb0,0x3e2000ff,0x80006fff,0xf885fffe,
    0x3fe006ff,0x4c00006f,0x7fe44fff,0xfff5004f,0x02fffdcd,0x2fffdc00,
    0xdfff5000,0x00037ffc,0x6fff8800,0x03ffff80,0x887fff60,0x7ff45fff,
    0x7ffcc007,0x0017fec6,0x003ffff9,0x0ffff700,0x4009fff7,0x0000fffe,
    0xf13ffe60,0x74001fff,0xfff70eff,0xff70000b,0x7d4000bf,0x1bffe6ff,
    0x7c400000,0xfff805ff,0x3fea000f,0x17ffe22f,0x8800bfff,0x7fdc6fff,
    0xffff1005,0x7fc00009,0x6dd442ff,0x3fffa001,0x7b973000,0x24fff983,
    0x0004fff9,0x00bfff70,0x0bfff700,0x37ffd400,0x9730dfff,0x99980159,
    0xfff33310,0xf813333d,0x7cc006ff,0x3ffe24ff,0x013ffe65,0xf31bffe0,
    0x3fea00ff,0x5c00007f,0x400001bd,0xea806fff,0x3fffffff,0x7dc9fff3,
    0x700002ff,0x0000bfff,0x000bfff7,0xff37ffd4,0x7fffdcdf,0xff03efff,
    0x3ffff2df,0x2fffffff,0x2002fffc,0x3e25fff8,0x3ffea5ff,0x6ffe8003,
    0xd801ffe8,0x00005fff,0xf5000000,0xffc809ff,0xffffffff,0x364fff9c,
    0x00000fff,0x000bfff7,0x00bfff70,0xf37ffd40,0xfffb1dff,0x7fffffff,
    0x3f2dfff0,0xffffffff,0x27ffc2ff,0x13fffc00,0x7fdcbfff,0xffe8003f,
    0x403ffc86,0x004ffff8,0x80000000,0x201ffff9,0xcdfffffd,0xffeffffd,
    0x21bffa4f,0x00acdca8,0x002fffdc,0x02fffdc0,0x4dfff500,0xfffeffff,
    0xffffedef,0xbb7ffc3f,0xeffffeee,0x7ffc1eee,0x7fff8003,0xfa97ffe2,
    0xff8004ff,0x06ffa86f,0x017fffcc,0x00000000,0x07ffff91,0x82ffffd4,
    0x4ffffffa,0xfe99bffe,0x0dffffff,0x00bfff70,0x0bfff700,0x37ffd400,
    0x5dffffff,0xffffe981,0x221bffe0,0xff805fff,0xfff8004f,0x997ffe27,
    0xf8005fff,0xfff886ff,0x3fffea00,0x00000001,0x7fff6e40,0x7ff402ff,
    0x7ff4c04f,0xbfff14ff,0x3fffffe6,0xb81effff,0x80005fff,0x0005fffb,
    0xff9bffea,0x7c406fff,0x3ffe2fff,0x05fff886,0x4005fff8,0x3e26fff8,
    0x3ffe25ff,0x7ffc4006,0x405ffd06,0x0007fffb,0xff800000,0x401fffff,
    0x5006fffa,0x3e29ffff,0xffffacff,0xfffffede,0x2fffdc1f,0x7ffdc000,
    0x3fea0005,0x3bfffe6f,0x4fffc800,0x3e21bffe,0xfff805ff,0x7ffcc006,
    0xf17ffe25,0x5c003fff,0xff706fff,0x37ffdc09,0x2aaaa600,0xaaaaaaaa,
    0x3ffe2002,0x01dfffff,0x4007fff9,0xff34fffe,0x819fffdf,0x46ffffb8,
    0x0005fffb,0x005fffb8,0xf9bffea0,0xf3003fff,0x37ffcbff,0x402fffc4,
    0x5c007fff,0x3fe23fff,0x2fffdc5f,0x0dffff00,0xfc81bfe6,0x7e4006ff,
    0xffffffff,0x26007fff,0xfffdcacd,0x7ffd82ff,0xa7ffdc00,0x1ffffff9,
    0x1ffffcc0,0x000bfff7,0x00bfff70,0xf37ffd40,0x22005fff,0x3ffe5fff,
    0x05fff886,0x003ffff8,0xf883fffe,0xffff85ff,0xffffc801,0x407ffe06,
    0x4006fffb,0xfffffffc,0x007fffff,0xffffe980,0x0037ffc1,0x7cd3ffe6,
    0x7003ffff,0x3ee1ffff,0xb80005ff,0x20005fff,0x3fe6fffa,0xff1000ff,
    0x437ffcdf,0xf805fff8,0xf7007fff,0xfff88dff,0x2ffffb85,0x3fffff20,
    0x40fff606,0x4007fffa,0xfffffffc,0x007fffff,0x9bfffa00,0x4005fff8,
    0xff34fff8,0xfe800dff,0xbfff72ff,0xfff70000,0x7fd4000b,0x01fffe6f,
    0x3e6fff88,0xfff886ff,0xfffff805,0x7fffd405,0x82fffc41,0xabdffffe,
    0xfffffeca,0x17fea06f,0x007fffcc,0x55555530,0x0ffff755,0x7ffcc000,
    0x09fff32f,0x34fff880,0x8009ffff,0xff53fffb,0xf90000df,0x540009ff,
    0x3ffe6fff,0x3ffe2006,0x221bffe6,0xff805fff,0x441effff,0x884ffffb,
    0x3f605fff,0xffffffff,0x06fffaff,0x7c41ffe2,0x00002fff,0x003fffc4,
    0x53fff600,0x8004fffa,0xfff14fff,0xffa8005f,0x0dfff54f,0x9fffb000,
    0x7ffd4000,0x801bffe6,0x3fe6fff8,0x5fff886f,0xffffff80,0xfffeefff,
    0xff880dff,0x7ffdc05f,0x88efffff,0x7f405fff,0xbfffd02f,0xff880000,
    0x5c00007f,0xfff55fff,0x9fff000b,0x000ffffc,0x7cd7ffe6,0xe80006ff,
    0x20003fff,0x3fe6fffa,0x3fe2006f,0x21bffe6f,0xf805fff8,0xfffe8eff,
    0x04ffffff,0x2017ffe2,0x2cdfeca8,0x9017ffe2,0x3fee09ff,0x4400007f,
    0x00007fff,0xf9b7ffd4,0x7c4006ff,0x3fffa4ff,0x7ffcc002,0x00ffff34,
    0x27fffd00,0xa800ba98,0x3ffe6fff,0x3ffe2006,0x221bffe6,0xff805fff,
    0xffff916f,0xf8803bff,0x200005ff,0x4c05fff9,0xfff106ff,0x4400007f,
    0x76647fff,0xfffb8006,0x00ffff14,0x324fff98,0x54004fff,0x3ffe2fff,
    0x7fc0001f,0x3fff91ff,0x4bfff500,0x22006fff,0x3ffe6fff,0x05fff886,
    0xa886fff8,0xff1000ab,0x540000bf,0xff804fff,0xffffb00f,0x3e200003,
    0x7fff47ff,0x7ffe4001,0x003fffa3,0x2a4fffa8,0x64006fff,0x3ff60fff,
    0x3ee0003f,0x3ffee7ff,0x5fffb802,0x8801bffe,0x3ffe6fff,0x05fff886,
    0x0006fff8,0x917ffe20,0x6c0019bd,0xfd802fff,0xffff102f,0xf700001d,
    0xfffc8fff,0x3ffa2004,0x13fff21f,0x24fffe80,0x000ffff8,0xff71fffa,
    0x3e0001ff,0x3fea5fff,0xfffc804f,0x801bffe4,0x3fe6fff8,0x5fff886f,
    0x006fff80,0x17ffe200,0x2009fff7,0x800ffffa,0x3ea05ffb,0x0002ffff,
    0x8fffffd3,0x000ffffa,0xf98ffff9,0xfa800fff,0x7fec4fff,0xfff7006f,
    0x5ffff98b,0xffffb800,0x03fffe62,0x22ffff88,0x22006fff,0x3ffe6fff,
    0x05fff886,0x0006fff8,0x517ffe20,0x8801ffff,0x1005ffff,0xffc80fff,
    0x3002dfff,0xdffffffb,0x00dfffd0,0xb05ffff7,0x4c01dfff,0x444ffffe,
    0x4c05ffff,0xfc82ffff,0x9801efff,0x446ffffe,0xd104ffff,0x7fc1ffff,
    0x3fe2006f,0x21bffe6f,0xf805fff8,0x200006ff,0x7445fff8,0xd502efff,
    0x4001ffff,0x7e401ffe,0xbcffffff,0xfffecbaa,0x102fffff,0x105dffff,
    0x209ffffb,0x42fffff8,0xffffffb8,0xdffffb84,0x3ffee20a,0xffff104f,
    0x7559dfff,0xffffffd9,0xdffff703,0xffff9537,0x06fff89f,0xf9bffe20,
    0xfff886ff,0x06fff805,0x3ffe2000,0xfffff985,0xfffffeff,0x7e4002ff,
    0xfffa803f,0xffffffff,0xffffffff,0x7ffd400c,0xfffdefff,0x7cc06fff,
    0xfeefffff,0x4fffbfff,0xffffff70,0xdfffffdb,0x7fff4c01,0xffffffff,
    0x01ffffff,0x3ffffffa,0x0effffff,0x10037ffc,0x7ffcdfff,0x05fff886,
    0x0006fff8,0x417ffe20,0xfffffffa,0x01efffff,0x006ffa80,0xffffff91,
    0xffffffff,0x754001bf,0xffffffff,0xf3003fff,0xffffffff,0x813ffe7f,
    0xffffffe9,0x1005ffff,0xfffffffb,0xdfffffff,0xfffe8801,0xefffffff,
    0x006fff80,0xff9bffe2,0x5fff886f,0x006fff80,0x17ffe200,0xfffffd50,
    0x40005bff,0x4000fff8,0xffffffda,0x001bdeff,0x3ffffee0,0x4000dfff,
    0xffffffb8,0x013ffe2e,0xfffffd91,0x930005bf,0xffffffff,0xb80039ff,
    0xdfffffff,0x01bffe03,0x3e6fff88,0xfff886ff,0x05eee805,0x3ffe2000,
    0x2aaa6005,0x97000009,0x4cc00039,0x00001aba,0x01577510,0x26ea6000,
    0x26200000,0x00000abb,0x33577533,0xba880001,0x0000000a,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x10000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x88000000,0xfff9804c,
    0xffffffff,0xffffffff,0x3fee5fff,0x200004ff,0x220ffffd,0x000ffffe,
    0x0ffffd40,0x000ffff3,0x01ffffee,0xca7ffe40,0x00007fff,0x3e1ffff8,
    0xf00006ff,0xffffffff,0xffffffff,0xffffffff,0x01bffea7,0x17ffee00,
    0x4c027fdc,0xffffffff,0xffffffff,0x45ffffff,0x001ffffe,0x3ffffb80,
    0x05ffff98,0x3fffe200,0x01ffff83,0xfffffd80,0xfffe8001,0x05ffff32,
    0x7ffd4000,0x0037ffc6,0xffffff80,0xffffffff,0xffffffff,0xfff53fff,
    0xff70000d,0x9fff50bf,0xfffff300,0xffffffff,0xffffffff,0xffff98bf,
    0x7fc40006,0x3fee05ff,0xfd0003ff,0x3ff60bff,0xfff8003f,0x44003fff,
    0x7ff47fff,0x3600005f,0x7ffc3fff,0xfff00006,0xffffffff,0xffffffff,
    0x27ffffff,0x0006fffa,0xa85fffb8,0xe9804fff,0xeeeeeeee,0xeeeeeeee,
    0xb84ffffe,0x0004ffff,0x003ffff6,0x003ffffd,0x00ffffc8,0x800bfff7,
    0x5ffffffa,0x2fffd400,0x003fffee,0x3fffe200,0x0037ffc0,0xeeeeed80,
    0xfffeeeee,0xeeeeeeef,0xfff52eee,0xff70000d,0x9fff50bf,0x22000000,
    0xd00ffffe,0x0003ffff,0x005ffff5,0x00dffff1,0x017fffd4,0x800ffff3,
    0x7ffdfffc,0x1fffe400,0x00bfffe2,0x17ffee00,0x0001bffe,0xdfff5000,
    0xdfff5000,0xfff70000,0x09fff50b,0x3fa00000,0x3e601fff,0x44006fff,
    0x2005ffff,0x804ffffa,0x804ffff8,0x2000ffff,0xfffbdffe,0x3fffa002,
    0x05fffc81,0x2fffe800,0x0006fff8,0x7ffd4000,0xfffa8006,0xffb80006,
    0x4fffa85f,0xfd800000,0xfb803fff,0x36003fff,0x4000efff,0x401ffffd,
    0xb006fffe,0x22005fff,0xfff8bfff,0xffff1004,0x03fffe60,0x7fff9800,
    0x000dfff0,0xfffa8000,0xfffa8006,0xffb80006,0x3fee665f,0x000999cf,
    0x7fffe400,0x3fffa004,0xfffa801f,0xfe88001f,0xff900fff,0x3ee001ff,
    0xff7004ff,0x01bffa3f,0xd027ffd4,0x40007fff,0xff04fffc,0x000000df,
    0x006fffa8,0x006fffa8,0x35fffb80,0xffffffff,0x400007ff,0x006ffffb,
    0x037fffcc,0x013fffe2,0x5ffff980,0x02ffffa8,0x01bffe60,0xff937fec,
    0xfff9001f,0x37ffdc05,0x1ffff000,0x401bffe0,0x00019998,0x000dfff5,
    0x000dfff5,0x26bfff70,0xffffffff,0x300003ff,0x001fffff,0x07ffff70,
    0x0037ffec,0x17fffe40,0x009ffff1,0x001ffff0,0x7fd49fff,0xfffe802f,
    0x3fffe200,0xfffa8000,0x01bffe05,0x013fffee,0x037ffd40,0x037ffd40,
    0xafffdc00,0xffffeee8,0x80002eee,0x01fffff8,0x3ffffa00,0x1ffffa80,
    0xfffd0000,0x1bfff61f,0x0fffe400,0x88bffe60,0x7c405fff,0xffd806ff,
    0xffd8003f,0x1bffe02f,0x07ffff70,0x37ffd400,0x37ffd400,0x7ffdc000,
    0x04fffa85,0xfffe8000,0x7cc0003f,0xffe85fff,0x2600004f,0xffbdffff,
    0xf50000ff,0xffb807ff,0x03fff40f,0x2013ffea,0x4006fffa,0x7c07fff8,
    0x3fee06ff,0x540003ff,0xa8006fff,0x80006fff,0xfa85fffb,0x400004ff,
    0x004ffffc,0x5ffff700,0x0037ffe4,0x7fffdc00,0x0002ffff,0xd017ffe2,
    0xfff70dff,0x0fffe403,0x01ffff80,0x013ffee0,0x3ea0dfff,0x80003fff,
    0x8006fffa,0x0006fffa,0xa85fffb8,0x00004fff,0x01bfffea,0xdfffd000,
    0x007fffe6,0x7ffec000,0x80004fff,0x3e207ffe,0xfff983ff,0x01fffa03,
    0x004fffc8,0xf007fffa,0xfff50dff,0x2a00007f,0xa8006fff,0xeeeeffff,
    0xeeeeeeee,0xfffeeeee,0x04fffa85,0xffff3000,0x9800001f,0xffdbffff,
    0x2000003f,0x06fffff8,0x3fff9000,0x407ffea0,0xff106fff,0x7fcc00bf,
    0xfff3007f,0x8dfff00d,0x002ffffa,0x1bffea00,0x3fffea00,0xffffffff,
    0xffffffff,0xfa85ffff,0x880004ff,0x001ffffe,0xffff7000,0x0000bfff,
    0xbffff900,0x3fea0000,0x0fff903f,0x5407ffec,0x74003fff,0xfc802fff,
    0xfff802ff,0x0bfffea6,0xfff50000,0xfff5000d,0xffffffff,0xffffffff,
    0x50bfffff,0x00009fff,0x005ffffb,0xfffe8000,0x00000fff,0x7ffffcc0,
    0xf880003f,0xbfff05ff,0x417ffdc0,0x4001fffc,0xf805fffa,0xff800fff,
    0x5ffff56f,0xff500000,0xff5000df,0xddddddff,0xdddddddd,0x0bfffddd,
    0x0009fff5,0x04ffffc8,0xff980000,0x00002fff,0x7ffffc40,0x80001fff,
    0xff986ffe,0x3ffe202f,0x007ffe84,0xa80ffff0,0xff004fff,0x9ffff5df,
    0x3ea00000,0xfa8006ff,0xb80006ff,0xffa85fff,0x3ea0004f,0x00005fff,
    0x1bfff200,0x3f600000,0x6ffffeff,0xfffc8000,0x007ffdc0,0x3fe1bffa,
    0xff90004f,0x7ffec05f,0xfffff001,0x001fffff,0xdfff5000,0xdfff5000,
    0xfff70000,0x09fff50b,0x3fffe600,0x0000000e,0x0017ffee,0xffff7000,
    0x09ffff73,0x2fff9800,0x64037fec,0x3fe60fff,0xff30002f,0x3ffe20bf,
    0x3fffe006,0x06ffffff,0xfffa8000,0xfffa8006,0xffb80006,0x4fffa85f,
    0xfffe8800,0x0000001f,0x002fffdc,0xffff3000,0x0ffffec7,0x13ffe000,
    0xf5009fff,0x7ffdc3ff,0x3ffa0000,0x3fffb80f,0x3ffffe00,0x03ffffbf,
    0x7ffd4000,0xfffa8006,0xffb80006,0x4fffa85f,0xffffd800,0x80000002,
    0x0005fffb,0xdfffd100,0x0fffff88,0x9bff6000,0x8801fffa,0x3ff63fff,
    0x7fdc0006,0x0fffe83f,0x3ffffe00,0x03ffff71,0x7ffd4000,0xfffa8006,
    0xffb80006,0x4fffa85f,0x7fffe400,0x00000004,0x000bfff7,0x3ffff600,
    0x5ffffa80,0x3ffee000,0x400fff90,0x3ffe5ffe,0x7fc40004,0x2fffc46f,
    0x07fffe00,0x000dfffb,0x037ffd40,0x037ffd40,0x2fffdc00,0x0027ffd4,
    0x00bffff5,0x7dc00000,0x800005ff,0x202ffffb,0x003ffffd,0x3a3fff30,
    0x3ee005ff,0x03fff37f,0x1fffb000,0x000fffe4,0x3e21bffe,0x00003fff,
    0x000dfff5,0x000dfff5,0x50bfff70,0x26009fff,0x000effff,0x3ee00000,
    0x400005ff,0x405ffff9,0x00ffffe8,0xf17fff00,0x7cc007ff,0x07ffa8ff,
    0x7fff5000,0x40037ff4,0xff706fff,0x500003ff,0x5000dfff,0x0000dfff,
    0xf30bfff7,0xfd1009ff,0x00003fff,0xfffb8000,0x7f400005,0xf9800eff,
    0xb0006fff,0x1fff5bff,0xcafff800,0x200005ff,0xfff36fff,0xdfff0007,
    0x037fff40,0x37ffd400,0x37ffd400,0x7ffdc000,0x06fff985,0x01ffffd8,
    0xb8000000,0x00005fff,0x007ffff2,0x04ffffc8,0xfceffb80,0xffd8006f,
    0x0003ffec,0x2e3fff20,0xf8000fff,0x3fe606ff,0x540003ff,0xa8006fff,
    0x80006fff,0xf885fffb,0x41abdfff,0x002ffffc,0xf7000000,0x20000bff,
    0x003ffffa,0x01ffffe8,0x7ffffcc0,0xffb8004f,0x0001fffe,0x3afffe20,
    0xff0005ff,0xfffc80df,0x3ea0001f,0xfa8006ff,0xb80006ff,0xfff05fff,
    0x7c4bffff,0xeeeeffff,0xeeeeeeee,0xeeeeeeee,0xfff70000,0xff10000b,
    0x22000dff,0x000fffff,0x17fffffc,0x7fffc400,0xd800007f,0x02fffeff,
    0x00dfff00,0x000dfffd,0x0037ffd4,0x0037ffd4,0x82fffdc0,0x6ffffff9,
    0x3fffffe2,0xffffffff,0xffffffff,0x70001fff,0x0000bfff,0x001ffffd,
    0x2ffffdc0,0x3ffff200,0xffd0000f,0x000009ff,0x0ffffff5,0x037ffc00,
    0x01ffffcc,0x06fffa80,0x06fffa80,0x5fffb800,0x3ffff660,0x3ffffe27,
    0xffffffff,0xffffffff,0x0001ffff,0x000bfff7,0x02ffffc8,0xffffd800,
    0x3ffea003,0x3f20005f,0x00002fff,0x09fffff0,0x037ffc00,0x01ffffc8,
    0x06fffa80,0x06fffa80,0x5fffb800,0xf8813100,0xffffffff,0xffffffff,
    0xffffffff,0xfff70001,0x7fd4000b,0x100004ff,0x001fffff,0x00ffffe2,
    0x0ffffa80,0xff900000,0x7c0001ff,0xff1006ff,0xf5000dff,0xf5000dff,
    0x70000dff,0x0000bfff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x1037b973,0x98800133,
    0x4c266660,0xffb80999,0xffffffff,0xeeffffff,0xffb800ac,0xffffffff,
    0x2defffff,0xaffffc40,0x000ffffc,0xca7ffd40,0x006fffff,0x3ffffe00,
    0x007fffb6,0x0ffff600,0xffff8800,0x3fffea4f,0xffffffff,0xffffffff,
    0x05fffd1f,0x7fffff54,0x13ffa3ff,0x3e4ff980,0xffff3fff,0xfffff707,
    0xffffffff,0xffffffff,0xffffb805,0xffffffff,0xbfffffff,0x5ffff880,
    0x00bffff9,0x94fffa80,0x03ffffff,0xffff5000,0x0ffff6df,0x7ffec000,
    0xfff10003,0xfffa89ff,0xffffffff,0xffffffff,0x5fffd1ff,0x3fffff20,
    0xfd4fffff,0x7ff4009f,0x7cffffe4,0xffb83fff,0xffffffff,0xffffffff,
    0x2e04ffff,0xffffffff,0xffffffff,0x440effff,0xff95ffff,0x40007fff,
    0xff94fffa,0x0007ffff,0xdfffffb0,0x000ffff6,0x01fffec0,0x7ffffc40,
    0xfffffa83,0xffffffff,0xffffffff,0xb05fffd1,0x779dffff,0xffdbfffd,
    0x3fff6009,0x7cffffe4,0xffb83fff,0xccccccef,0xfedccccc,0x703fffff,
    0xddddffff,0xfddddddd,0x88bfffff,0xff95ffff,0x0001ffff,0x7e53ffea,
    0x006fffff,0xffffff80,0x007fffb6,0x0ffff600,0xfffff300,0x3fffea07,
    0xeeeeeeee,0xeeeeeeee,0x85fffd1e,0x304ffffa,0x09ffffff,0x49ffffb0,
    0xfff3ffff,0xbfff707f,0x3ff22000,0xffb80fff,0xffb8005f,0x3fe24fff,
    0xffff95ff,0x2a000bff,0xfff94fff,0x0003ffff,0x7fffffd4,0x007fffb6,
    0x0ffff600,0xfffff980,0x1bffea03,0xfffd0000,0x03fffe85,0x27ffff44,
    0xfffffb10,0x984cccc9,0xffb80999,0x7dc0005f,0xffb83fff,0xfd30005f,
    0x3fe21fff,0xffff95ff,0x50007fff,0x3ff29fff,0x003fffdf,0x3ffbff60,
    0x07fffb6f,0x3fff6000,0xffff3003,0xfffa807f,0x7f400006,0x3ffea2ff,
    0xffff5006,0x3fffee09,0x00004fff,0x000bfff7,0x70dfffb0,0x4000bfff,
    0xf11ffffa,0x3ff2bfff,0x00ffffff,0xca7ffd40,0x6fffbfff,0x7fff1000,
    0x3ff6dfff,0xfb00003f,0xff3007ff,0xf5005fff,0x80000dff,0x3f62fffe,
    0x3fa003ff,0x7ff4c4ff,0x04ffffff,0xbfff7000,0xfff70000,0x0bfff70f,
    0x3ffff800,0x32bffff1,0xffffcfff,0x7ffd4005,0xf95fff94,0xf50003ff,
    0x2dfff3ff,0x0003fffd,0x807fffb0,0x02fffff9,0x00dfff50,0x2fffe800,
    0x5001fffe,0x7fdc9fff,0xfffaefff,0xff700004,0xf30000bf,0xffb81fff,
    0x7ec0005f,0x3fffe5ff,0xf57fff94,0x54007fff,0xfff94fff,0x007fff55,
    0xff19ffb0,0x0ffff6df,0x7ffec000,0x3fffe603,0x3fea002f,0x7400006f,
    0xfff12fff,0xfff9800f,0x7fffff14,0x0013ffe6,0x02fffdc0,0x3fffdc00,
    0x002fffdc,0xf9bffee0,0xfff94fff,0x03ffff67,0xca7ffd40,0xdfff2fff,
    0x9fff8800,0xffb6fff8,0x3600007f,0xff303fff,0xa8005fff,0x00006fff,
    0xf997fff4,0x7c4006ff,0xdfff14ff,0x027ffcc3,0x5fffb800,0xfffd8000,
    0x05fffb86,0x2fffe400,0x3f27fffd,0xffff13ff,0x3ffea00b,0x325fff94,
    0x2a001fff,0xdfff17ff,0x000ffff6,0x41fffec0,0x01fffff9,0x06fffa80,
    0x7fff4000,0x00bfff52,0x3e29fff0,0x4fff982e,0xfff70000,0xff88000b,
    0xfffb84ff,0x7ff40005,0x4ffffa3f,0x3ea3fffc,0xfa803fff,0x5fff94ff,
    0x800fffe6,0xfff14ffd,0x00ffff6d,0x1fffec00,0x07ffffe6,0x37ffd400,
    0x3ffa0000,0x09fff52f,0x229ffd00,0x13ffe602,0x7ffdc000,0x3fea0005,
    0xffb80fff,0x3ea0005f,0x3ff62fff,0x87fff92f,0x400ffffd,0xff94fffa,
    0x037ffc5f,0xf11fff88,0x3fff6dff,0xffb00003,0x7fffcc7f,0x3ea0001f,
    0x400006ff,0xff32fffe,0xfff000bf,0x3ffe6009,0xff700004,0x54c400bf,
    0x03fffffc,0x000bfff7,0xb1bfffe6,0x3ff23fff,0x7fffc43f,0xa7ffd405,
    0x3f22fffc,0xffb801ff,0x6dbffe26,0x00003fff,0x3e67fffb,0x000fffff,
    0x2bfffea0,0xaaaaaaaa,0xe82aaaaa,0xfff12fff,0xfff8800d,0x9fff3004,
    0x3fee0000,0xeeeeeeff,0xfffffeee,0x2e05ffff,0x22005fff,0x2fffffd9,
    0xfc8fffe4,0xfffa83ff,0x3ffea03f,0x4c5fff94,0xfd803fff,0x5bffe24f,
    0x0003fffd,0xf37fffb0,0x0dffffff,0x7fffd400,0xffffffff,0x87ffffff,
    0x3fe2fffe,0x7fcc007f,0xfff3004f,0x3ee00009,0xffffffff,0xffffffff,
    0x5c02ffff,0xeeeeffff,0xfffeeeee,0xc85fffff,0xfff90fff,0x3ffff607,
    0x29fff500,0x7fc2fffc,0x7ffc406f,0x6dbffe21,0x00003fff,0xfffbfffb,
    0x09ffffff,0x3fffea00,0xffffffff,0x87ffffff,0x3fa2fffe,0x3ea001ff,
    0xff3004ff,0x2e00009f,0xffffffff,0xffffffff,0xb800bdff,0xffffffff,
    0xffffffff,0xb80cffff,0xfff90fff,0x3fffe207,0x29fff506,0x7e42fffc,
    0x3fee01ff,0xdb7ffc46,0x00003fff,0xfffffffb,0x5ffffb1d,0xffff5000,
    0xffffffff,0x0fffffff,0x7e45fffd,0x3fa005ff,0xff3004ff,0x2e00009f,
    0xeeeeffff,0xfffffeee,0x7fdc000c,0xffffffff,0xffffffff,0x9ffee01d,
    0x2e03fffc,0xfa83ffff,0x5fff94ff,0x203fff98,0x7fc43ffe,0x07fffb6f,
    0x3fff6000,0xff10efff,0xa8001fff,0xaaaaffff,0xaaaaaaaa,0xfffe82aa,
    0x07fffe22,0x13fffea0,0x027ffcc0,0x5fffb800,0x7fffe440,0x3fee000d,
    0xffffffff,0x1acceeff,0x327ffa80,0x7ec03fff,0x7fd40fff,0x05fff94f,
    0x3e20dfff,0x7ffc40ff,0x007fffb6,0x3ffff600,0x7ffd40ef,0x7fd4005f,
    0x7400006f,0x7fdc2fff,0x3fa600ef,0xf3004fff,0x555549ff,0x70355550,
    0x2a00bfff,0x000fffff,0x000bfff7,0x93ffcc00,0xf8807fff,0x7fd46fff,
    0x05fff94f,0xf701fff9,0xdfff10df,0x000ffff6,0x77fffec0,0x7ffff900,
    0x37ffd400,0x3ffa0000,0xffffe82f,0xfffffa82,0xfff3004f,0xf9ffffc9,
    0xffb83fff,0x3fea005f,0xff7006ff,0x400000bf,0x3ff26ff9,0xfffb803f,
    0x53ffea3f,0xf982fffc,0x3ffe83ff,0xfb6fff88,0x200007ff,0x400efffd,
    0x001ffffe,0x000dfff5,0x82fffe80,0xefffffe9,0xffeffffe,0xfff3004f,
    0xf9ffffc9,0xffb83fff,0x7fdc005f,0xffb805ff,0x2000005f,0x3ff26ff8,
    0xfffb003f,0x53ffea1f,0xff02fffc,0x0fff88df,0xfb6fff88,0x200007ff,
    0x9803fffd,0x800effff,0x0006fffa,0x817fff40,0xffffffd8,0xfff9cfff,
    0x9fff3004,0xff9ffffc,0xfffb83ff,0xfffd8005,0x7ffdc03f,0x22000005,
    0x3fff25ff,0xffff1003,0x653ffead,0xff902fff,0x837fdc3f,0xffb6fff8,
    0x3600007f,0xf7003fff,0xf500bfff,0x80000dff,0x5c02fffe,0x2efffffe,
    0x2009fff3,0x3fe4fff9,0x7ffff3ff,0x00bfff70,0x3fffff10,0x02fffdc0,
    0x93fe0000,0x2003fffc,0xfabffffb,0x5fff94ff,0xe93ffe60,0xfff103ff,
    0x00ffff6d,0x1fffec00,0x7ffffb00,0x06fffa80,0x7fff4000,0x02ae6002,
    0x2009fff3,0xfe84fff9,0x3ffee002,0xfff50005,0x7ffdc0df,0x80000005,
    0x4003fffc,0xffcffffd,0x05fff94f,0xff9b7ff4,0xdfff100f,0x000ffff6,
    0x01fffec0,0x3fffff10,0x037ffd40,0x3fffa000,0xff300002,0x3fe6009f,
    0xa87fc44f,0xffb81bbb,0x3f60005f,0xff704fff,0x000000bf,0x007fff90,
    0xffffff88,0x5fff94ff,0x64fffe40,0x3fe205ff,0x07fffb6f,0x3fff6000,
    0x7ffd4003,0x3ffea06f,0x7f400006,0x300002ff,0x26009fff,0x37d44fff,
    0xf707fffd,0x44000bff,0xb81fffff,0x00005fff,0x3fffc800,0xffffb800,
    0xfff94fff,0x5fffcc05,0x3e202ffe,0x7fffb6ff,0x3ff60000,0xffd8003f,
    0xfff504ff,0xfe80000d,0x300002ff,0x26009fff,0x3fa24fff,0x20ffffa5,
    0x0005fffb,0x437fffdc,0x0005fffb,0x46aaaa00,0x0003fffc,0x9ffffffb,
    0xd00bfff2,0x01ffffff,0xfdb7ffc4,0xb00003ff,0x10007fff,0x505ffffd,
    0x0000dfff,0x002fffe8,0x09fff300,0x453ffe60,0x3ffa0efe,0x5fffb83f,
    0xfffd8000,0x2fffdc3f,0xfff00000,0x0ffff27f,0x7fffc400,0x5fff94ff,
    0xfffffc80,0xb7ffc405,0xeeeefffd,0xeeeeeeee,0xffb1eeee,0x3e60007f,
    0x7d40ffff,0x400006ff,0x0002fffe,0x009fff30,0x5d93ffe6,0xb83fffe8,
    0x80005fff,0x20fffff8,0x0005fffb,0x4ffffe00,0x0003fffc,0x53ffffee,
    0x4c02fffc,0x402fffff,0xffb6fff8,0xffffffff,0xffffffff,0x0ffff63f,
    0xffffc800,0x037ffd46,0x3fffa000,0xff300002,0x3fe6009f,0xb800024f,
    0x00005fff,0x5cbffff7,0x00005fff,0x64ffffe0,0x40003fff,0xf94ffffd,
    0xffd005ff,0xfff100ff,0x3fffff6d,0xffffffff,0xb1ffffff,0x80007fff,
    0x2a4ffffe,0x00006fff,0x0017fff4,0x04fff980,0x009fff30,0x17ffee00,
    0xfffe8000,0x0bfff72f,0x7ffc0000,0x07fff93f,0xffff8800,0x005fff94,
    0x100bfff9,0x3ff6dfff,0xffffffff,0xffffffff,0x07fffb1f,0xffff9800,
    0x0dfff52f,0xfffe8000,0xdd300002,0x3fe6007d,0x0000004f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000002,0x00000000,0x00000000,0x66664c00,0xcccccccc,
    0x00002ccc,0x75100000,0x00001359,0x99970000,0x99999999,0x99999999,
    0xcdca9807,0x2000009a,0xefffedb8,0x3fee00bd,0xffffffff,0xffffffff,
    0x3ee5ffff,0xffffffff,0x2cefffff,0x7fc00000,0x200007ff,0xfffffffb,
    0xffffffff,0x7ffffec4,0xffffffff,0x20001bde,0xfffffffb,0x800002ff,
    0xfd02fff9,0xffffffff,0xffffffff,0xff710dff,0xdfffffff,0xffb80001,
    0xffffffff,0xffff702f,0xffffffff,0xffffffff,0x7ffdcbff,0xffffffff,
    0x3effffff,0xffa80000,0x00002fff,0xfffffffb,0xffffffff,0xfffffd89,
    0xffffffff,0x001effff,0x3fffffaa,0x1effffff,0x3ffa0000,0xffffd02f,
    0xffffffff,0xdfffffff,0xffffffd0,0x07ffffff,0xffffd100,0xffffffff,
    0xffff70bf,0xffffffff,0xffffffff,0x7ffdcbff,0xffffffff,0xffffffff,
    0x3600003f,0x006fffff,0xfffffd00,0xffffffff,0xfffd89ff,0xffffffff,
    0xffffffff,0xffffa802,0xfffedeff,0x80001fff,0xd02ffffc,0xffffffff,
    0xffffffff,0xffd8bfff,0xfdcccdff,0x4003ffff,0x9adffffd,0xffffeb98,
    0x77fffdc4,0xeeeeeeee,0xeeeeeeee,0x3fffee4e,0xeeeeeeee,0xffffffee,
    0xf880004f,0x01fffeff,0x6fffc400,0x99999999,0x7ec09999,0xeeeeeeff,
    0xffffeeee,0x3e201fff,0xf702ffff,0x0001dfff,0x17ffffcc,0x99999988,
    0x99999999,0x2a0efffc,0xb100efff,0x5c00dfff,0x6402ffff,0x3ee1ffff,
    0x000005ff,0x400bfff7,0xfffffda8,0x7fdc0003,0x004fff9f,0x01fffcc0,
    0x1fffec00,0xffffb100,0x7fffec0d,0x7fffcc00,0xffd10005,0x00005fff,
    0x41ffff98,0x4402fffc,0xf001ffff,0x32005fff,0x3fee6fff,0x7000005f,
    0x2000bfff,0x01fffffa,0x75bffa00,0x20000fff,0x0002fffb,0x003fffd8,
    0x80ffffb8,0x002ffff8,0x001ffff5,0xffffffb0,0x74400005,0xffe82fff,
    0x7fff7007,0x0bfff300,0x73fffc40,0x0000bfff,0x017ffee0,0x5ffffa80,
    0x7fff3000,0x000ffff2,0x000fffc8,0x03fffd80,0x05fffd00,0x800bfff7,
    0x4001fffe,0xfffefffa,0x3f600002,0xfffd04ff,0x80026001,0x4003fffb,
    0xff71fffd,0x200000bf,0x0005fffb,0x00ffffdc,0x98fffe40,0x20006fff,
    0x00007ffe,0x0007fffb,0x3617fff2,0x64003fff,0x22003fff,0xfffbcfff,
    0xff500002,0x3fee01ff,0x800001ef,0x4001fffd,0xff72fffc,0x200000bf,
    0x0005fffb,0x005fffe8,0x7f47fff8,0xff0001ff,0x360000bf,0x50003fff,
    0xfdb0dfff,0xffb8003f,0x3ff6003f,0x005fff76,0x5ffff100,0x7ffffcc0,
    0x100001ce,0xd8001553,0xfff72fff,0x2e00000b,0x80005fff,0x4007fffb,
    0x7dc4fffa,0xf98004ff,0x000883ff,0x001fffec,0x403fffb8,0xfffd8000,
    0x3fff7001,0x000bffee,0x017fff20,0x3ffffff2,0x0000bdff,0xfffd0000,
    0x017ffee1,0x7ffdc000,0xff880005,0x3f6001ff,0x7ffc41ff,0x7fd4000f,
    0xffffd72f,0xffd8039d,0xffb0003f,0xf000003f,0x3e600fff,0x3ffee3ff,
    0x7fcc0002,0xff7000ff,0xffffffff,0x0000007d,0xf737ffd4,0x00000bff,
    0x0017ffee,0x01ffff40,0xb06fff88,0xc8007fff,0xffffbfff,0x03ffffff,
    0x000ffff6,0x001fffe6,0x17fff200,0x2e37ff40,0x40002fff,0x4004fffd,
    0xffffffd9,0x000effff,0xfffe8000,0x017ffee4,0x7ffdc000,0xffb00005,
    0x3fee00bf,0xdfff504f,0xffffd800,0xffffffff,0xfd80efff,0x7e4003ff,
    0x00001fff,0x00ffffdc,0x2e07ffe4,0x20002fff,0x001ffff9,0xfffd9510,
    0x005fffff,0x7ffdc000,0x3bffee0f,0xaaaaaaaa,0xaaaaaaaa,0x2fffdc1a,
    0xfffc8000,0x3fffd005,0x00ffffc0,0xdffffff0,0xfff97559,0xfffb0bff,
    0x9999999d,0xdffffb99,0xfb800003,0xfa804fff,0xfffb83ff,0x3ff20002,
    0x2200005f,0x6fffffdb,0xff500000,0xfffb85ff,0xffffffff,0xffffffff,
    0x7ffdc3ff,0xff700005,0xfff300df,0x5fffc80d,0xfffff100,0x7fff4403,
    0x7fffec2f,0xffffffff,0x00efffff,0x7ffe4000,0xfff8804f,0x05fff705,
    0x17fffc00,0xfc880000,0x00000fff,0x42ffffd4,0xfffffffb,0xffffffff,
    0x43ffffff,0x0005fffb,0x00dfff70,0x9807fff9,0x9800ffff,0xb001ffff,
    0x7ec1ffff,0xffffffff,0xffffffff,0x900000cf,0x2009ffff,0xf700fffd,
    0x2a0005ff,0x22007fff,0xff1001a9,0x400007ff,0x80effffa,0xfffffffb,
    0xffffffff,0x43ffffff,0x0005fffb,0x80dfff70,0x800ffff8,0x2003fffe,
    0x3e200098,0x3ff63fff,0xffffffff,0xffffffff,0x5c0002ff,0x7004ffff,
    0x7dc05fff,0xfb0002ff,0x3ee007ff,0x3ee004ff,0x500003ff,0x201dffff,
    0xaaaefffb,0xaaaaaaaa,0x41aaaaaa,0x0005fffb,0x80bfff90,0x7005fffb,
    0x0000dfff,0x49fff900,0x999cfffd,0xba999999,0x03fffffd,0x9ffff300,
    0x17ffe200,0x005fff70,0x01ffff10,0x01bffe20,0x001fffe8,0xeffffb80,
    0x17ffee00,0x7fdc0000,0xfd00005f,0xffe809ff,0x999999bf,0xffff9999,
    0x54000002,0x3ff66fff,0xffa8003f,0xd8001fff,0x3a004fff,0x7dc00eff,
    0xfc8002ff,0x7f4005ff,0xffa804ff,0xfc80007f,0x5c00efff,0x00005fff,
    0x00bfff70,0x0ffffe00,0xffffff98,0xffffffff,0x005fffff,0x7ffcc000,
    0x00ffff67,0x2ffff440,0x1fffe200,0x01fffb80,0x002fffb8,0x001ffff8,
    0x0effffd4,0x04fffea8,0x3fff6200,0xfff7005f,0x2e00000b,0x80005fff,
    0x202ffff8,0xfffffffc,0xffffffff,0x000fffff,0x3ffe2000,0x00ffff67,
    0x0ffffc80,0x0fffe600,0x4efffcc0,0x99999999,0x999bfffc,0x37ffd400,
    0xffffc800,0xfffeeeff,0x220005ff,0x004ffffe,0x0017ffee,0x2fffdc00,
    0x7ffcc000,0x3fffe01f,0xffffffff,0xffffffff,0x2000003f,0x3f66fff9,
    0x260003ff,0x2001ffff,0x7002fffb,0xffffffff,0xffffffff,0x80bfffff,
    0x0003fffd,0x3ffffff2,0x03ffffff,0x3fffe600,0x7fdc003f,0x7000005f,
    0x0000bfff,0x540ffff9,0x9999efff,0x99999999,0x206fffc9,0xa8005cca,
    0x3ff65fff,0x7fc0003f,0x3f2002ff,0xff7001ff,0xffffffff,0xffffffff,
    0xff80bfff,0x440000ff,0xfffffffc,0x260002de,0x002fffff,0x005fffb8,
    0xbfff7000,0xfff98000,0x3fff603f,0xfff10003,0x3fffa05f,0x7ffe4002,
    0x00ffff64,0x1ffff880,0x03fff600,0x7ffffdc0,0xffffffff,0xffffffff,
    0x1fffe605,0x75530000,0xf1000013,0x0003ffff,0x0017ffee,0x2fffdc00,
    0x3fff6000,0xffff100f,0x7ff40001,0x9fff905f,0x7fffc400,0x00ffff61,
    0x0ffffa80,0x00666200,0xaaaaaa88,0xdaaaaaaa,0x1aaacfff,0x017ffee0,
    0x00000000,0x00fffff4,0x0bfff700,0x3fee0000,0x3ea0005f,0x3ee04fff,
    0x540005ff,0xfa80ffff,0xf9001fff,0xfffd8bff,0x3ff60003,0x0000006f,
    0x7ffdc000,0x3fff6002,0xccca8004,0xcccccccc,0x7fdc0001,0x5c0001ff,
    0x00005fff,0x00bfff70,0x3ffffee0,0x0bfffa00,0xffff1000,0xdfffd109,
    0x3ffff700,0x003fffd8,0x09ffff70,0x00000000,0x002fffb8,0x000bfffa,
    0x3fffffee,0x003fffff,0x0bfffe20,0x3ffee000,0xf7000005,0x54400bff,
    0x02fffffe,0x003fffe6,0x1ffff200,0x177fffcc,0x27fffecc,0x001fffec,
    0x3fffff6a,0x55554000,0x5c000001,0x3e002fff,0xb8001fff,0xffffffff,
    0x20003fff,0xeeeffffd,0xeeeeeeee,0xff72eeee,0xddddddff,0xdddddddd,
    0x2e5ddddd,0xeeeeffff,0xfffeeeee,0x402fffff,0x0005fffc,0x05ffff30,
    0x3fffffee,0xffffffde,0xddfffb03,0xdddddddd,0xfffffffd,0xffff0003,
    0xb8000009,0xf1002fff,0x70001fff,0xffffffff,0x20007fff,0xfffffff9,
    0xffffffff,0xf73fffff,0xffffffff,0xffffffff,0x27ffffff,0xfffffffb,
    0xffffffff,0x802fffff,0x0002ffff,0x817fffa0,0xffffffea,0x202fffff,
    0xfffffffd,0xffffffff,0x003fffff,0x009ffff0,0xfffb8000,0xdfff3002,
    0x2aaa6000,0xaaaaaaaa,0xfff50001,0xffffffff,0xffffffff,0x3fffee7f,
    0xffffffff,0xffffffff,0xfff73fff,0xffffffff,0x7dffffff,0xffff5001,
    0xffb80000,0x7fdc00ff,0x0cefffff,0x7ffffec0,0xffffffff,0x00cfffff,
    0x13fffe00,0xff700000,0x3fea005f,0x0000005f,0x7ffe4000,0xffffffff,
    0xffffffff,0xfffff73f,0xffffffff,0xffffffff,0x3ffee7ff,0xffffffff,
    0x001bcdef,0x0027ffec,0x3fffe200,0x37731004,0x7ffec001,0xffffffff,
    0x00bcdeef,0x4ffff800,0x7dc00000,0x000002ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x5e6dd4c0,0x5d40001a,0x0001acdc,0x055e654c,0x654c4000,
    0x26000abd,0x4cc00099,0x20266609,0x800bcdb9,0x100abcb9,0x20001333,
    0x26660999,0x1accb980,0x99999980,0x99999999,0x4cc09999,0x26200199,
    0x4ccc0999,0x002b2e20,0x3fffffa6,0x003fffff,0x3fffff22,0x4002efff,
    0xfffffffb,0xf90002ff,0xffffffff,0x5fff8805,0x93ffe600,0x3ff63fff,
    0x885fffff,0xfffffffd,0x07fff883,0x24fffb80,0x3ff23fff,0x02ffffff,
    0xfffffff3,0xffffffff,0xffb8bfff,0xffb002ff,0x3fff88df,0x3bfffff7,
    0x3ffffee0,0xffffffff,0x7ffcc00d,0xffffffff,0xffd8805f,0xffffffff,
    0xff5000df,0xffffffff,0x3e201bff,0x3e6005ff,0x2fffe4ff,0xffffffe8,
    0x3fa24fff,0xffffffff,0x02fffd85,0xf0ffff40,0x3fff67ff,0x4fffffff,
    0xffffff98,0xffffffff,0xfe85ffff,0x7dc00fff,0x7fc41fff,0xfffffabf,
    0xfffe80ff,0xfedccdef,0x2a04ffff,0xcdefffff,0x04fffffe,0x3bffffe6,
    0xfffffdcd,0x7ffd400e,0xffdcdeff,0xf881ffff,0x3e6005ff,0x33ffe4ff,
    0xfedffffe,0xfe8affff,0xffffdeff,0x7ffd41ff,0x3ffe2005,0x7ee7ffc6,
    0xfffedfff,0x7fcc4fff,0xffffffff,0xffffeeff,0x4ffff884,0x0ffffe60,
    0x3fefffe2,0xb85fffff,0x2602ffff,0x880ffffd,0x981effff,0xd02ffffc,
    0x2603dfff,0x2205ffff,0x701effff,0xf10dffff,0x7cc00bff,0x3fffe4ff,
    0x7ec41dff,0x83ffffff,0xf86ffff9,0xf7000fff,0xffff87ff,0x7d441dff,
    0x80007fff,0x205fffe8,0xd01ffffa,0x3e20bfff,0xbcffffff,0xfffe82fd,
    0x7fffd001,0x01bfffb0,0xb86fffb8,0xe8806fff,0xffb01fff,0xfe9801bf,
    0x7ffc43ff,0x3ffe6005,0x17ffffe4,0x3ffffff0,0x43fffd40,0xd002fffc,
    0xfff81fff,0x7fcc04ff,0x6c0002ff,0x6c00efff,0xffc86fff,0xfff100ef,
    0x3e600bff,0x3ee005ff,0x7ffc44ff,0xfffd001f,0x07fffc41,0x86fff980,
    0x000ffffa,0x441ffff5,0x26005fff,0x3ffe4fff,0x7fe400ef,0xffe804ff,
    0x2fffcc0f,0x42fffcc0,0x9006ffff,0x40009fff,0x800ffffc,0x2a4ffff8,
    0x2201ffff,0x000fffff,0x4003db93,0x7dc5fffa,0x3ee005ff,0x3fff21ef,
    0x7ffec003,0x01fffec1,0x88ffffa0,0x26005fff,0x3ffe4fff,0xfffa802f,
    0xfffd800f,0x00fffe81,0x7c17ffe4,0xf5002fff,0x2e000bff,0x2001ffff,
    0xf89ffffa,0x7c403fff,0x00003fff,0x8bfff300,0x4001fffd,0x03fffb00,
    0x43fffb80,0x4000fffe,0x3e24fffa,0x3e6005ff,0x3fffe4ff,0x7fff9801,
    0x05fff900,0xf807fff7,0xffff07ff,0x3ffe6003,0xfffa8005,0xffc8002f,
    0x05fffdef,0x02ffff88,0x6d440000,0x7ffc5fff,0xfd00000f,0xf98001ff,
    0x37ffc4ff,0x37ffc400,0x400bfff1,0x3fe4fff9,0xfff3007f,0x3ffee00d,
    0x06fff882,0x7c13ffea,0xf1000fff,0xf9800bff,0x20003fff,0xfffffffe,
    0xffff8800,0x75100000,0xffffffd9,0x3fffc4bf,0xffff0000,0xdddddddd,
    0xfffddddd,0x02fffccb,0x227fff80,0x26005fff,0x3ffe4fff,0xbfff3007,
    0x0bffee00,0xd807ffec,0xfff01fff,0x7ffc400f,0x3ffe2006,0x7cc0004f,
    0x002fffff,0x000ffff1,0xfffffeb8,0xffffffff,0x01bffe25,0x7fffc400,
    0xffffffff,0xffffffff,0x013ffea6,0x887fffc0,0x26005fff,0x3ffe4fff,
    0x9fff3006,0x0bffee00,0x441fffd4,0x3fe06fff,0x3fe2006f,0xffd1006f,
    0x2e0000bf,0x2004ffff,0x0006fff8,0xfffffff7,0xff9bffff,0x37ffccbf,
    0xfff98000,0xffffffff,0xffffffff,0x13ffee7f,0x8ffff400,0x2005fff8,
    0x3fe4fff9,0xfff3006f,0x3ffee009,0x21bffe02,0x3e03fffa,0x3e2006ff,
    0xffd006ff,0x200001df,0x00effffc,0x00dfff10,0xffffff70,0x7cc379df,
    0x3ffe25ff,0xff300006,0x555555df,0x55555555,0x7ffd4555,0xffff0004,
    0x017ffe21,0x3e4fff98,0xff3006ff,0x3fee009f,0x3fff202f,0x007ffec1,
    0x4400dfff,0xfd806fff,0x00000fff,0x9ffffff3,0x1bffe200,0xdffff500,
    0xfff98017,0x003fffc5,0x06fff880,0x7ffcc000,0xfff88005,0x01bffe27,
    0x3e4fffa8,0xff3006ff,0x3fee009f,0x3ffe602f,0x017ffe24,0x4400dfff,
    0x7e406fff,0x00001fff,0xffffffd1,0xfff1005f,0xfffd800d,0xfff5000d,
    0x00fffe8b,0x3fe0d540,0x200000ff,0x8006fff8,0x3e27fff9,0x3ea006ff,
    0x1bffe4ff,0x027ffcc0,0x402fffb8,0x3fee7ffe,0x37ffc02f,0x0dfff100,
    0x017fffdc,0xbfffb000,0x801ffff5,0x4006fff8,0x2000ffff,0x7ec5fffb,
    0x3e2001ff,0x3fff66ff,0x04d44001,0x0007fffc,0xff17ffee,0x7fe400df,
    0x01bffe4f,0x8027ffcc,0x5c02fffb,0xfffd1fff,0x00dfff00,0xa837ffc4,
    0x0004ffff,0x43fffea0,0x4405fffd,0x26006fff,0x74006fff,0x7fdc5fff,
    0x3fee005f,0x17fff23f,0x8bfff900,0x4004fffd,0x7fc2fffe,0x3ffa007f,
    0x01bffe4f,0x8027ffcc,0x4402fffb,0xfff8cfff,0x06fff804,0x21bffe20,
    0x005ffff9,0x3fffe200,0x0ffffe22,0x006fff88,0x003fffe6,0x22ffffe4,
    0x001ffff8,0x7c41fffd,0xf1002fff,0xff983fff,0xff7000ff,0xfffe81ff,
    0xffffc803,0x401bffe4,0x7004fff9,0xfb005fff,0x03fff7df,0x400dfff0,
    0x7c46fff8,0x00005fff,0x542fffec,0xf100ffff,0x7c400dff,0xfb804fff,
    0xfb86ffff,0x7e400eff,0xfffb86ff,0x7ff4401f,0xdfff906f,0xffffa801,
    0x0ffffc84,0x3ffffee0,0x401bffe4,0x7004fff9,0xf5005fff,0x00dfffff,
    0x8801bffe,0x3fa26fff,0x00000eff,0x403fffee,0xf106fffd,0xfe800dff,
    0xf9302fff,0x20ffffff,0x40affffe,0x00ffffd8,0x819ffffd,0x1ffffec9,
    0x5fffff10,0xffffc881,0xdffff306,0x3ff2a217,0x3fe4ffff,0xfff3006f,
    0x3ffee009,0xfffff002,0x3ffe007f,0x3ffe2006,0x2bffff66,0xaaaaaa99,
    0x40aaaaaa,0x202ffff9,0x883ffff8,0x4c006fff,0xcdefffff,0xebfffffe,
    0xff980fff,0xffeeffff,0x2602ffff,0xeffffffe,0x2fffffff,0x7ffffd40,
    0xfffffeef,0x3ff600ef,0xffffffff,0x24ffe9ff,0xf3006fff,0x3ee009ff,
    0xff9002ff,0x3e001fff,0x3e2006ff,0xffff16ff,0xffffffff,0xffffffff,
    0x05fffe85,0x41ffffb8,0x8006fff8,0xfffffffa,0xf70dffff,0x3f6207ff,
    0xffffffff,0xfc8802ff,0xffffffff,0xb1002fff,0xffffffff,0x9001bfff,
    0xffffffff,0x93ffa3df,0xf3006fff,0x3ee009ff,0xff3002ff,0x7fc00bff,
    0x3fe2006f,0xfffff16f,0xffffffff,0x5fffffff,0x007fffe4,0x446fffd8,
    0x10006fff,0xfffffffb,0x6fff985d,0x7ffff540,0xa8004fff,0xfffffffd,
    0xfd70003f,0x3bffffff,0xfffea800,0x3fa0ceff,0x01bffe4f,0x8027ffcc,
    0x2002fffb,0x2002fffe,0x22006fff,0xfff16fff,0xffffffff,0xffffffff,
    0x3fffe65f,0x3ffe2003,0x1bffe24f,0x57531000,0x26000003,0x00001aba,
    0x00135751,0x4d5d4c00,0xab980000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x98800000,0x26620019,0x06662001,
    0x99440000,0x00000001,0x0000aaaa,0x00066644,0x4c019990,0xcccccccc,
    0xcccccccc,0x0002cccc,0x02aaaa00,0x40000330,0x00019999,0x7e400000,
    0xfff002ff,0xfff1005f,0xd980000b,0x005bf94f,0xffb00000,0x3f20000f,
    0x3e0003ff,0x3fee00ff,0xffffffff,0xffffffff,0x3fffe4ff,0x6c7ffff3,
    0x3ffe5fff,0xfffeb83f,0xb1001cff,0x1ffffdc3,0x00000000,0x3009fff5,
    0x5009ffff,0x00007fff,0x29fffd71,0x00befffc,0xffb00000,0xff10000f,
    0x74000fff,0x7ffdc07f,0xffffffff,0xffffffff,0x4ffffe4f,0x3f63ffff,
    0x3fffe5ff,0x3ffffa23,0x0befffff,0xfc83fd30,0x000007ff,0x3fffc000,
    0x37fffe40,0x007ffe40,0xffff9300,0x3fff29ff,0x0001cfff,0x03ffec00,
    0x7fffdc00,0xfd80802f,0x3ffee086,0xffffffff,0xffffffff,0x4ffffe4f,
    0x3f63ffff,0x3fffe5ff,0xffffff13,0xffffffff,0xfffd957b,0x07fffb03,
    0x40000000,0x7401fffd,0x400fffff,0x50006fff,0xfffffffb,0x3fff663b,
    0x002effff,0x0fffb000,0xffffd000,0x17dd00df,0x0fda9bf2,0x33333331,
    0x33333333,0x7c133333,0xffff3fff,0xf2fffec7,0x3fe27fff,0xffffefff,
    0xffffffff,0xe881ffff,0x000006ff,0x3ffee000,0x3fffe203,0x3fe602ff,
    0x3ae2003f,0xcfffffff,0xffff7100,0x0019ffff,0x03ffec00,0x2fffea00,
    0x3e201fff,0xbdfdcfff,0x0002fffe,0x7ffff000,0xfd8ffffe,0x12fe85ff,
    0x5c415bff,0xfffffffe,0x300dffff,0x00005fff,0x3fe20000,0x3ffea05f,
    0x3ee04ffe,0xfc9800ff,0x2effffff,0x7ffed400,0x001dffff,0x007ffd80,
    0xfeb7fec0,0x3ffea05f,0xffffffff,0x000004ff,0x3a5ffff0,0x3ff23fff,
    0x887fc45f,0xffd9804f,0x03ffffff,0x0005ffa8,0x3fa00000,0x37ff207f,
    0x3fa06ffc,0x7ff5406f,0x01cfffff,0x7ffe4400,0x003effff,0x001fff60,
    0xf72fff98,0x5d4401ff,0xcefffffd,0x0000000a,0x7ec7fffa,0x3ffee2ff,
    0x05137d44,0xcddca880,0x0000000a,0x7dc00000,0x5ffd01ff,0xf101fff5,
    0xff7109ff,0x17dfffff,0xfd500000,0x19ffffff,0x07ffd800,0x89fff200,
    0x32004fff,0x00005fff,0x3fff2000,0x4c1fff70,0x3fa22fff,0x00000005,
    0x00000000,0x13ffe600,0x3e63ffe2,0xfffa82ff,0x7ffffdc1,0x00001dff,
    0xffff9300,0x33267fff,0xffcccccc,0xccccccff,0xfff882cc,0x007ffe44,
    0x2ffeffe4,0xb8000000,0x1ffea6ff,0x3a23fff1,0x000000ef,0x00000000,
    0x7ffc0000,0x3e6ffb86,0x7ffd84ff,0xbeffffc8,0x00000000,0x9ffffd71,
    0x3fffffee,0xffffffff,0x84ffffff,0x7cc1fffb,0x7fdc03ff,0xd50bffb6,
    0xdddddddd,0xdddddddd,0x7fd47ddd,0x3e1bfe25,0x0002ec7f,0x00000000,
    0xc8000000,0x7fec0fff,0x3e1bff64,0xfffc84ff,0x000000cf,0x7ffdc400,
    0xfffff74f,0xffffffff,0x9fffffff,0x3a0dfff0,0x3fe606ff,0x89fff12f,
    0xfffffffb,0xffffffff,0x224fffff,0x42ffc4ff,0x000046fd,0x00000000,
    0x50000000,0xfff85fff,0x983ffea2,0xffc81fff,0x001dffff,0x7ecc0000,
    0xf74fffff,0xffffffff,0xffffffff,0xffa89fff,0x5fff502f,0xf717fea0,
    0xffffb89f,0xffffffff,0xffffffff,0x2aa05544,0x0001a981,0x00000000,
    0x00000000,0xff327ffc,0x17ffc41f,0x75c0fff9,0xbeffffff,0x2e000000,
    0xeffffffe,0x3ff6000b,0x7ffe8007,0x3037ffc0,0xd505b01d,0xdddddddd,
    0xdddddddd,0x00007ddd,0x00000000,0x00000000,0x7fec0000,0x3a1bfee7,
    0x17ffa5ff,0x3ffff660,0x0001cfff,0xfffff930,0x20005bff,0x4c007ffd,
    0x7e404fff,0x000001ff,0x00000000,0x00000000,0x00000000,0x3ea00000,
    0x09ffd1ff,0x3fe6fff9,0x3f22002f,0x2effffff,0xfffb5000,0x0039ffff,
    0x007ffd80,0x200fffec,0x0005fff8,0x00000000,0x00000000,0x00000000,
    0x20000000,0xff8bfff8,0x9fffa82f,0x0000fffb,0xffffffd7,0xfb88019f,
    0xbeffffff,0xffb00000,0x7ffc400f,0x1fffb006,0x00000000,0x00000000,
    0x00000000,0x00000000,0x4efff400,0xff880fff,0x005ffdbf,0xffffd980,
    0x6cc2dfff,0xdfffffff,0xfd800002,0x3ff2007f,0xfff5002f,0x00000009,
    0x00000000,0x00000000,0x00000000,0x7ffdc000,0x3fa06ffc,0x003fffef,
    0x3fff2200,0xff74ffff,0x039fffff,0x7fec0000,0x00000007,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7fffcc00,0x3ff204ff,0x0000ffff,
    0xffffd500,0x3bffff29,0x8000000b,0x00007ffd,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfe800000,0x2a02ffff,0x006fffff,0xffd98000,
    0x005bff94,0xffd80000,0x00000007,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffffc800,0x7fffc00f,0x0000003f,0x00e5d322,0xec800000,
    0x0000005e,0x00000000,0x00000000,0x00000000,0x00000000,0xfff98000,
    0xfffd806f,0x0000000f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7ffc0000,0xfffb803f,0x00000006,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_50_usascii_x[95]={ 0,3,2,0,1,2,1,1,2,2,1,2,3,1,
4,0,1,4,1,1,0,1,1,2,1,1,4,3,2,2,2,1,2,-1,3,2,3,3,3,2,3,4,1,3,
3,3,3,2,3,1,3,2,1,3,0,0,0,0,0,3,0,0,1,-1,1,1,2,1,1,1,0,1,2,2,
-3,2,2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,1,4,1,1, };
static signed short stb__arial_50_usascii_y[95]={ 40,7,7,7,5,7,7,7,7,7,7,13,35,26,
35,7,7,7,7,7,7,8,7,8,7,7,16,16,13,17,13,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,46,7,16,7,16,7,16,7,16,7,7,
7,7,7,16,16,16,16,16,16,16,8,16,16,16,16,16,16,7,7,7,20, };
static unsigned short stb__arial_50_usascii_w[95]={ 0,6,12,25,22,36,28,6,12,12,15,22,6,13,
5,13,22,13,22,22,23,23,22,21,22,22,5,6,22,22,22,22,42,31,25,29,27,25,23,31,26,5,18,27,
21,31,26,31,25,33,29,26,26,26,30,42,30,30,27,9,13,10,19,27,10,22,22,21,21,23,14,21,20,5,
10,21,5,33,20,23,22,21,14,20,13,20,22,32,23,22,22,13,4,13,24, };
static unsigned short stb__arial_50_usascii_h[95]={ 0,33,13,34,40,35,34,13,43,43,15,22,12,5,
5,34,34,33,33,34,33,33,34,32,34,34,24,31,23,14,23,33,43,33,33,34,33,33,33,34,33,33,34,33,
33,33,33,34,33,36,33,34,33,34,33,33,33,33,33,42,34,42,18,3,7,25,34,25,34,25,33,34,33,33,
43,33,33,24,24,25,33,33,24,25,33,25,24,24,24,34,24,43,43,43,8, };
static unsigned short stb__arial_50_usascii_s[95]={ 252,57,169,56,135,192,82,162,1,101,123,
80,182,229,246,111,178,225,1,69,183,110,114,207,125,201,246,239,34,139,57,
160,58,78,134,148,50,24,173,37,228,197,164,145,123,91,64,1,31,158,1,
224,201,137,148,105,74,43,15,125,23,114,103,158,214,1,33,24,92,46,210,
1,183,204,47,179,248,115,172,70,225,203,240,229,1,94,149,1,216,229,193,
33,28,14,189, };
static unsigned short stb__arial_50_usascii_t[95]={ 1,149,243,45,1,1,45,243,1,1,243,
243,243,209,174,45,45,149,183,80,183,183,80,183,45,45,149,149,243,243,243,
183,1,183,183,45,183,183,149,80,115,149,80,149,149,149,149,45,149,1,149,
45,115,80,115,115,115,115,115,1,80,1,243,38,243,217,45,217,80,217,80,
80,80,80,1,115,80,217,217,217,80,149,217,183,115,217,217,243,217,1,217,
1,1,1,243, };
static unsigned short stb__arial_50_usascii_a[95]={ 199,199,254,398,398,637,478,137,
238,238,279,418,199,238,199,199,398,398,398,398,398,398,398,398,
398,398,199,199,418,418,418,398,727,478,478,517,517,478,437,557,
517,199,358,478,398,597,517,557,478,557,517,478,437,517,478,676,
478,478,437,199,199,199,336,398,238,398,398,358,398,398,199,398,
398,159,159,358,159,597,398,398,398,398,238,358,199,398,358,517,
358,358,358,239,186,239,418, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_50_usascii_BITMAP_HEIGHT or STB_FONT_arial_50_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_50_usascii(stb_fontchar font[STB_FONT_arial_50_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_arial_50_usascii_BITMAP_HEIGHT][STB_FONT_arial_50_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_50_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_50_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_50_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_50_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_50_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_50_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_50_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__arial_50_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__arial_50_usascii_s[i] + stb__arial_50_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__arial_50_usascii_t[i] + stb__arial_50_usascii_h[i]) * recip_height;
            font[i].x0 = stb__arial_50_usascii_x[i];
            font[i].y0 = stb__arial_50_usascii_y[i];
            font[i].x1 = stb__arial_50_usascii_x[i] + stb__arial_50_usascii_w[i];
            font[i].y1 = stb__arial_50_usascii_y[i] + stb__arial_50_usascii_h[i];
            font[i].advance_int = (stb__arial_50_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__arial_50_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_50_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_50_usascii_s[i] + stb__arial_50_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_50_usascii_t[i] + stb__arial_50_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_50_usascii_x[i] - 0.5f;
            font[i].y0f = stb__arial_50_usascii_y[i] - 0.5f;
            font[i].x1f = stb__arial_50_usascii_x[i] + stb__arial_50_usascii_w[i] + 0.5f;
            font[i].y1f = stb__arial_50_usascii_y[i] + stb__arial_50_usascii_h[i] + 0.5f;
            font[i].advance = stb__arial_50_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_50_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_50_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_50_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_50_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_50_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_50_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_50_usascii_LINE_SPACING
#endif

