// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_36_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_36_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_36_usascii_BITMAP_WIDTH         256
#define STB_FONT_arial_bold_36_usascii_BITMAP_HEIGHT        164
#define STB_FONT_arial_bold_36_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_bold_36_usascii_FIRST_CHAR            32
#define STB_FONT_arial_bold_36_usascii_NUM_CHARS             95

#define STB_FONT_arial_bold_36_usascii_LINE_SPACING          23

static unsigned int stb__arial_bold_36_usascii_pixels[]={
    0x54401555,0xaa88009a,0x3553000a,0x000d54c0,0x31000000,0x00135553,
    0xff300000,0x2a620000,0x8800000a,0x800009a9,0x55541aaa,0x00000001,
    0x2aa88000,0x203ffb80,0x00dffff9,0x7007ffe6,0x740bffff,0xfffb01ff,
    0x3ffffea9,0x64c003ff,0xffffffff,0xfb000bef,0x01ffffff,0x000ffdc4,
    0xfffffda8,0x20003eff,0xfffffedb,0xf88002ef,0x3ffe62ff,0x3bfb6a03,
    0x27ddd51c,0xd931eeec,0xc80039df,0xbfffb5ff,0x9807ffc4,0x206fffff,
    0x3201fff9,0x505fffff,0x7fec0dff,0xfffff54f,0x3aa007ff,0xffffffff,
    0x0dffffff,0x7ffffec0,0xffd980ff,0x1004ffff,0xfffffffb,0x001dffff,
    0x7ffffec4,0x0dffffff,0x83ffea00,0xf901fffa,0x55ffffff,0x3ffa9fff,
    0xfffffa9f,0x3fa003ff,0x8bfffb3f,0xff304ffd,0x2607ffff,0xff101fff,
    0x3a0bffff,0x3ff603ff,0xfffff54f,0xff9007ff,0x779bdfff,0xdfffffd9,
    0x7fffec03,0x7fd40fff,0xefffffff,0x3fffea00,0xffffffff,0xfa803fff,
    0xffffffff,0x02ffffff,0xfc8fff90,0xffffb07f,0xffbfffff,0x37fffa9f,
    0xffffffff,0x3fff004f,0xf517fff6,0xd75101ff,0x3e60bfff,0xfff501ff,
    0xff50357f,0x7ffec01f,0xffd55514,0x7ff4407f,0xc8800bef,0xfb01ffff,
    0x88555bff,0xffffffff,0xff105fff,0xb9bfffff,0x3ffffffd,0x7ffffc40,
    0xffedcdff,0xd801ffff,0x37fec5ff,0x7fffffcc,0xffffffdb,0xffffffd4,
    0xffffff7b,0x27ff9803,0xff85fffd,0x7ffcc04f,0x03fff306,0xd013ffee,
    0x20000bff,0xd103fffd,0x20005fff,0xd80fffe9,0x3f603fff,0xfbffbeff,
    0xffc82fff,0xfd302fff,0x7ec0dfff,0xd302ffff,0xf00bffff,0x4fff87ff,
    0x42ffffe8,0xd4ffffe9,0xb83dffff,0x5c05ffff,0x7e4005ff,0x3fe200ff,
    0x3fff307f,0x80ffff20,0x0002fffb,0x207fffb0,0x0001effd,0xfd86ffe8,
    0x3ffe03ff,0xff97f98f,0xffff989f,0x7ff4400e,0xfffa82ff,0x7f4400ef,
    0x2aa62fff,0xaacfffba,0x11acfffb,0x2609ffff,0xffd4ffff,0x3ff203ff,
    0x1ffec07f,0x13ffea00,0x260ffff0,0xff901fff,0x7fff407f,0x1f776400,
    0xb83fffd8,0xeb980fff,0xccc88cef,0xd83fff14,0xff103fff,0x645fe6bf,
    0x7fff409a,0xfff3002f,0xffffb0ff,0x3ffe6005,0x3ffff67f,0xffffffff,
    0xff33ffff,0x7ff403ff,0x0dfffd4f,0x00ffffcc,0x77645fff,0x0dfff04e,
    0xf307fff8,0x3ff203ff,0xbfff103f,0x09fffb00,0xf10ffff6,0xfffb05ff,
    0xfff5dfff,0x3627fd4d,0xff103fff,0x401fe6df,0x4006ffff,0x220ffffd,
    0x4006ffff,0xfb0ffffd,0xffffffff,0x7fffffff,0x803fffee,0xffd4fffd,
    0x7ffc409f,0x1fff302f,0xe82fffec,0x7ffc07ff,0x1fff980f,0x205fff90,
    0xd804fffb,0xffb04fff,0x45ffb87f,0xfeffffd8,0x44ffffff,0x7ffec7ff,
    0x2bfffe03,0xff8807f9,0x7d4004ff,0x3fea1fff,0x7d4004ff,0xfffb1fff,
    0xffffffff,0x2e7fffff,0x7e407fff,0x9fffd4ff,0x03ffff80,0xffd8dff7,
    0x3fffb05f,0x407fff40,0xfb01fff9,0x3ff603ff,0xfffd803f,0x87fffb04,
    0x7ff40ffe,0xfff912df,0x1ffd85ff,0xe80ffff6,0x07feffff,0x03ffff98,
    0x1ffffcc0,0x007ffff5,0x13ffff98,0x39fff333,0x339fff33,0x01fffea1,
    0x3fa9fffb,0x3fe205ff,0x9ffb02ff,0x905fffd8,0x7f405fff,0xfff982ff,
    0x01ffff01,0x200bfffe,0xfb04fffd,0x37fcc7ff,0x7c1bffee,0x7e41ffff,
    0x0ffff62f,0xffffff98,0x3fee00bf,0x7c4002ff,0x3fee4fff,0x7c4002ff,
    0xff984fff,0x0bffe22f,0x803fffe6,0xffd4fffe,0x7ffcc0df,0x85fff01f,
    0xf905fffd,0x7fdc09ff,0x1fff986f,0x207fffa8,0xd801ffff,0xffb04fff,
    0x21ffe47f,0xf901fffe,0x5ff50fff,0x201fffec,0xfffffffc,0xfffb81ef,
    0x7fc4001f,0x3fff25ff,0x7fc4001f,0xfffa85ff,0x203ffea0,0x302ffff8,
    0x3fa9ffff,0xff700fff,0xfff301ff,0x05fffd81,0x440bfff7,0x30beffff,
    0x7e543fff,0xff103fff,0xffb001ff,0x3fff609f,0xfa83ff63,0x3fea05ff,
    0x22ffc85f,0xb803fffd,0xffffffff,0x7fffdc3f,0x7ffc4002,0x3fffee4f,
    0x7ffc4002,0x47ffc84f,0x3fa07ffc,0xffd80eff,0xffffd4ff,0xdffff10b,
    0x361bfee0,0xff505fff,0xfffb80df,0x3fff33ff,0x077ffffc,0x007fff98,
    0x3609fffb,0x1ffa3fff,0x5c05fffb,0xffe84fff,0x00ffff60,0x7ffff5c4,
    0x3fe63fff,0x7cc003ff,0x3fe63fff,0x7cc003ff,0xd3313fff,0xfd333dff,
    0x541333df,0xa9cfffff,0xd4fffffe,0x35bfffff,0x03fffff9,0x3f613ff2,
    0xfff305ff,0xffff700f,0xf87ffe67,0x7cc06fff,0xffb007ff,0x3fff609f,
    0xffd1ffe3,0x7ffec03f,0x7ec7ff82,0x7cc003ff,0x27ffffff,0x004ffff8,
    0x10ffffdc,0x8009ffff,0xfb2ffffa,0xffffffff,0x7fffffff,0xffffffe8,
    0x4fffffff,0xfffffffd,0x0bffffff,0x7ec17ff4,0xfff305ff,0xfffe980d,
    0x43fff33f,0x203fffff,0xb007fff8,0x3f609fff,0xf1bfe3ff,0x7f401fff,
    0x37fd40ff,0x000ffff6,0x3fff2ff3,0x1bfffe1f,0x7fff41d4,0x3ffffc0f,
    0x3ffffa00,0xffffffb0,0xffffffff,0xffe887ff,0xfdcfffff,0x9fffd4ff,
    0xfffffff9,0x3ffe201b,0x05fffd80,0xe80bfff3,0xf31dffff,0x7ffec3ff,
    0x3ffe02ff,0x9fffb007,0xe8ffff60,0x1fffe27f,0x447fff98,0x7fec1ffe,
    0x3fcc003f,0x7f45fffb,0xffe82fff,0x0fffff53,0x007ffffd,0xd9ffffea,
    0xffffffff,0xffffffff,0xdffff903,0x753fff65,0xfff74fff,0xffa807ff,
    0x0bfffb07,0xb813ffea,0x7cc1ffff,0xfffd81ff,0x03fffa06,0x413fff60,
    0x3f63fffd,0x80ffffc7,0x7ec5fffd,0x3fffd85f,0x265db970,0x8bffee7f,
    0x20effff9,0xfeeffffa,0xff983fff,0x74401fff,0x2622ffff,0xd999fffd,
    0x09999fff,0x3f6054c0,0x9fffd4ff,0xf9000a88,0x3fff60bf,0x07fff705,
    0x4c1fffe4,0xff881fff,0xfffb00ff,0x9fffb003,0xc8ffff60,0x3fff61ff,
    0x4ffff984,0x3607fff2,0xff903fff,0xfc9fe6df,0x7ffe41ff,0x3ff662ff,
    0x206fffff,0x03fffffc,0x0bfffff5,0xffb17ffa,0x7ec0000b,0x9fffd4ff,
    0x3ffe8000,0x20bfffb0,0x3a02fffc,0xff981fff,0x3fffb01f,0x00bffee0,
    0x6c13fff6,0x3fee3fff,0x4ffffee3,0xdfffffa8,0xb02fffea,0x3ea07fff,
    0x17f9bfff,0xf881ffff,0xbcefffff,0xfffffffc,0x3fffe201,0xffdcefff,
    0xf01fffff,0x4fff87ff,0x3ff60000,0x09fffd4f,0x0fffc400,0xb05fffd8,
    0x7fc01fff,0xfff980ff,0x05fff901,0x200fffea,0xfb04fffd,0x3ffc47ff,
    0x3ffffffa,0xffffffff,0x3f601fff,0x3ffa03ff,0xffbffdff,0xffd304ff,
    0xffffffff,0x019fffff,0x7fffff4c,0xffffffff,0x5fff302f,0x0017ffc4,
    0x29fffb00,0x0004fffe,0xfd81ffea,0xffff05ff,0x307fff80,0x3f203fff,
    0xfff302ff,0x9fffb00b,0xb0ffff60,0x7ff447ff,0xffcdffff,0x400effff,
    0x2603fffd,0xffffffff,0x2200ffff,0xfffffffc,0xffffffff,0x3ff200cf,
    0xffffffff,0x3fea00df,0x03ffea0f,0xfffd8000,0x009fffd4,0xb02ffe40,
    0xff30bfff,0x7fff809f,0x203fff30,0x3a03fffc,0xffd807ff,0x7fffb04f,
    0x5c1fffa8,0x3b22defd,0x19981bde,0x700ffff6,0xffffffff,0x366001df,
    0xcefffffe,0x2fffffeb,0x7fff6cc0,0xc802deff,0x3ffe47ff,0x3ff60000,
    0x09fffd4f,0x01fff400,0xf70bfffb,0x7fc403ff,0x3fff307f,0x80fffee0,
    0x7401fffb,0xffb04fff,0x1fffb07f,0x7f440000,0x0ffff65f,0x3ffff660,
    0x4c0003ef,0xdfff901a,0x01353000,0x4c2aaa80,0x400002aa,0x5551aaaa,
    0x55400035,0x7ec0000a,0x7ffcc06f,0x03fff307,0xf013ffee,0xffe807ff,
    0x7fffb04f,0x05fffd10,0xfffd1000,0x01fffec1,0x0003fee0,0x2fd98000,
    0x00000000,0x00000000,0x00000000,0x203fff88,0x306fffd9,0x3ea03fff,
    0xf7009fff,0xffb530df,0x3ff607ff,0xffff303f,0xf910003b,0xffd85fff,
    0x3fcc003f,0x08000000,0xb88d554c,0xbbbbbbbb,0xbbbbbbbb,0x00000003,
    0x00000000,0x0fff7000,0x3fffffe6,0x03fff304,0x3fffffe6,0xe83fff05,
    0x51ffffff,0x7fffffff,0x7fffec40,0x9999abdf,0xffffeca9,0xffffd81e,
    0x7cc00fff,0x00000007,0x26bfff90,0xffffffff,0xffffffff,0x0000007f,
    0x00000000,0x5ffd0000,0x3ffffe60,0x3fff300f,0x7ffffec0,0x449ff705,
    0x25ffffff,0xfffffffa,0xffffb803,0xffffffff,0x04ffffff,0x3ffffff6,
    0x0019800f,0xf9000000,0x3ffe6bff,0xffffffff,0x07ffffff,0x00000000,
    0x00000000,0x2606ffa8,0x202fffff,0x2201fff9,0x105ffffd,0x3fe61fff,
    0x3ea0ffff,0x03ffffff,0xffffb510,0xffffffff,0xffd8017d,0x000fffff,
    0x00000000,0xa8afffe4,0xaaaaaaaa,0xaaaaaaaa,0x00000002,0x00000000,
    0x01eec800,0x002f37a6,0x5003ddd1,0x75c09b99,0x57bb712e,0xaaaaa881,
    0x550000aa,0x5599db97,0x5554c001,0x00002aaa,0xc8000000,0x00005fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x13531000,0x00aaa200,
    0x01aa9980,0x00002000,0x00200002,0x00000000,0x80000000,0x00040000,
    0x31000000,0x00000355,0x3fee0000,0xfc803fff,0xfe98003f,0x003fffff,
    0x9dfffb70,0x3ffb2001,0x3ae003df,0xd01dffff,0x00007fff,0x1ffffa80,
    0x19dfdb50,0xb80fbbaa,0x00ceffed,0xceffed98,0xffb00000,0x3ff6a09f,
    0x02efffff,0x200ffffb,0xffb5ffff,0xffffb8bf,0x3e203fff,0x7d4000ff,
    0xffffffff,0x3ffa2005,0x02ffffff,0x3fffffa6,0x3a600dff,0xffffffff,
    0x03fffe85,0x7fd40000,0x7fec41ff,0xfb9fffff,0xffd884ff,0x01ffffff,
    0x3fffffee,0xd80001ef,0xffb84fff,0xffffffff,0x7ffec0df,0xbffff007,
    0xf897fff6,0xfffd8cff,0x007ff900,0xdfffff88,0x803ffffe,0xffffffe8,
    0xf981ffff,0xffffffff,0xfff880ef,0xffffffff,0x01ffff44,0x3fea0000,
    0x7fff41ff,0xfdffffff,0x7ff444ff,0xffffffff,0xfffffb80,0x001fffff,
    0x227ffec0,0xfffffffd,0x45ffffff,0xf007fffd,0x3ff6bfff,0x43ffea5f,
    0xf881fff8,0x7dc000ff,0x3fea0fff,0xfffc806f,0xffffecef,0xeffffe86,
    0x84fffffd,0xcbeffffc,0x3a1fffff,0x00003fff,0x0ffffd40,0x5bfffff5,
    0x9ffffffb,0xcfffffd8,0xf85ffffe,0xffdcffff,0x6c0004ff,0x3fe64fff,
    0xfdbcefff,0x363fffff,0xff007fff,0x3fff6bff,0xff1ffee5,0x07ff905f,
    0x0bfff900,0xfd00fffd,0xfffb89ff,0x3fffea1f,0x3ffff622,0x427fff40,
    0x3fa3ffff,0x000003ff,0xd0ffffd4,0xe983dfff,0x3e24ffff,0x3f20cfff,
    0x7ffd47ff,0x3fffee0f,0x3ff60000,0x3ffff24f,0xdffff900,0x803fffec,
    0xffb5ffff,0x237fe4bf,0x7fc43fff,0xffb8000f,0x3ffe60ff,0x7fffcc06,
    0x17fffc40,0xf30bfff9,0xfff87fff,0x4fffc81f,0x000ffffa,0xffff5000,
    0x0bfffe63,0x927fffd4,0xdf10dfff,0x7fff419d,0x03ffff84,0x93fff600,
    0x2204fffe,0x3f67ffff,0xfff007ff,0x97fff6bf,0x7ffc6ffb,0x001ffe43,
    0x15ffff98,0x2009fffd,0xfff882a9,0x0ffff61f,0x3a37fffc,0xffc81fff,
    0x4ffffa3f,0x01cefec9,0x7fffd400,0x80ffff51,0x3fe4ffff,0x7c4003ff,
    0xffc82fff,0x3ff6e06f,0x9fffb0ce,0x2037fff4,0xfb0ccccb,0x3fe00fff,
    0xbfffb5ff,0xff13ffd4,0x07ffc45f,0xffffb000,0x03ffffd9,0xffff9000,
    0x902ffff8,0xffc8ffff,0x1fffe84f,0x3eeffffa,0x03ffffff,0x3fffea00,
    0x80ffff71,0xff14fffe,0xf98003ff,0xffb80fff,0xfffd886f,0xffdaffff,
    0x3ffff64f,0xffd8001d,0xffff007f,0x897fff6b,0xfff73fff,0x001ffe41,
    0x3ffffe20,0x0002ffff,0x27fffe54,0x640ffffa,0x3e60ffff,0xfda9cfff,
    0x7fff46ff,0xffffffff,0xf50004ff,0x3ff23fff,0x7ffec06f,0x31ffff34,
    0x2a07bdd9,0xfa80ffff,0xfffe87ff,0xffffffff,0x3ffea4ff,0x00adffff,
    0x007fffd8,0x3f6bffff,0x7ffe45ff,0x3e24ffff,0xb80000ff,0x1effffff,
    0x7ffec000,0xfffd83ff,0x3fffff04,0xffffff98,0x7f40dfff,0xcacfffff,
    0x001fffff,0x91ffffa8,0xfe80ffff,0xffff54ff,0xbffffff7,0x07fffa81,
    0x541ffff5,0xbadfffff,0x44fffffe,0xfffffffd,0xfb00beff,0x3fe00fff,
    0xbfffb5ff,0xfffffd88,0x013ff20d,0x3fffee00,0x80000fff,0x703ffffe,
    0xf981ffff,0xf881ffff,0x06ffffff,0x81bffffd,0x005ffff9,0x71ffffa8,
    0x7c01ffff,0xfff74fff,0xffffffff,0x7ffdc1ff,0x3ffff507,0x20f7fffc,
    0x44ffffe8,0xffffffe8,0xd84fffff,0xff007fff,0x3fff6bff,0x85997505,
    0x1880fff8,0xfffffb00,0x0000dfff,0x19ffffff,0xbfffff88,0xffffffb8,
    0x7ffff442,0xfe85ffff,0xffb00fff,0xff5000ff,0x3ffe63ff,0xffff703f,
    0x3fffff29,0xffffeadf,0x41ffff24,0xf31ffff9,0x3ea05fff,0xff704fff,
    0xffffffff,0x7fffd8bf,0x2bffff00,0x0005fffd,0xffc89ffb,0xffd104ff,
    0xffffddff,0x00af7e29,0x7fffdd5c,0x7fffd41f,0xffffffff,0x3fffe62f,
    0xeffffdcf,0x817fffa0,0x000ffffa,0xd0ffffd4,0x2217ffff,0x94fffffb,
    0xb83fffff,0xff91ffff,0x3ffea0ff,0x0ffff51f,0x404ffff8,0xffffffc9,
    0x3ff65fff,0xffff007f,0x017fff6b,0xd83ffe20,0x86ffffff,0xf34ffffb,
    0xff75ffff,0x3fa000df,0xfffb84ff,0xfffdffff,0x33fffa1f,0x93fffa20,
    0x2604fffe,0x4001ffff,0x2e1ffffa,0xfdffffff,0x74ffffff,0x3a0dffff,
    0xfff72fff,0x3fffea0f,0x80ffff70,0x2004fffe,0xfffffdb8,0x0ffff91f,
    0x6d3fffe0,0xd8005fff,0x3ffea4ff,0x743fffbb,0x7fd44fff,0x3fffefff,
    0xffff7000,0x3bfff660,0x10ffff9a,0xf701ffff,0x7fff4fff,0x3fffe203,
    0x7ffd4002,0x7fffec1f,0xffeeffff,0x7ffff54f,0x553fff60,0xff507fff,
    0x37ffe4ff,0x013fffa0,0x7fffec40,0x00ffff93,0x7ed3fffe,0x7cc005ff,
    0x97ff60ff,0x3fe26ffc,0xfffb81ff,0x001fffff,0x05ffff10,0x3fffd408,
    0x220dfff7,0xffd1ffff,0x7ffc409f,0x0975311f,0x207fffea,0xdffffffc,
    0xf34fffd8,0x3f205fff,0xffff35ff,0x4ffff701,0x7407fffb,0xdb974fff,
    0x3fffe00b,0x00ffff95,0x7ed3fffe,0x7ec005ff,0x71fff44f,0x7ffdcfff,
    0x3ffff607,0xba9885ff,0x7ffff302,0x6fffc800,0xf81bfff2,0xfffd2fff,
    0x7fffcc0b,0x01ffff50,0x203ffff7,0x363dfeca,0xfff14fff,0x3fff20bf,
    0x03ffff34,0x7d4dfff9,0x7ffc07ff,0x1ffff94f,0x2dfffd00,0x401ffffb,
    0xfb3ffff8,0x7cc00bff,0x17ffc0ff,0x3ee1fff5,0xfd102fff,0xf905ffff,
    0x3fee0fff,0xb99531ff,0xb93fffe0,0xfa80ffff,0xfffd1fff,0x3fff201f,
    0x0bfffe67,0x003ffff2,0xd1ffff40,0x3fa0ffff,0x3fffe3ff,0x24fffe83,
    0x302ffff9,0x3e69ffff,0x7d404fff,0xfff54fff,0xfffd80df,0x0bfffb2f,
    0x7c27fec0,0x9ffea3ff,0x505ffff9,0x5fffffff,0x43ffffa8,0x30ffffe8,
    0xfb83ffff,0x3fe60fff,0xfffd83ff,0xbffffd0f,0x4bffff10,0x20effff8,
    0x226ffff9,0x3e02bcde,0x3fea2fff,0x7ffcc3ff,0x3ffff21f,0x87fffea0,
    0x40effff8,0x24ffffe8,0x81cfffff,0x11ffffe8,0x819fffff,0x0fffffb8,
    0x200bfffb,0xfe80fff9,0xd1ffee3f,0x759dffff,0xfffffffb,0xffff89ff,
    0xffffcadf,0x77fffc3f,0x4ffffeab,0xadfffff8,0x25ffffea,0xadfffffe,
    0x1fffffc9,0x677fffec,0x42fffffe,0xc82fffff,0x7f40ffff,0xffdaefff,
    0x7ffc45ff,0xffffbadf,0xeffffb85,0xfffffc9a,0x3fffee4f,0xffdcceff,
    0x7fdc7fff,0xfeceffff,0x364fffff,0xfb005fff,0x9bff209f,0x7fcc5ffe,
    0xffffffff,0xffffffff,0x3fffe63f,0x6fffffff,0xffffffb8,0x980fffff,
    0xffffffff,0x3fa0ffff,0xfffffeff,0xf985ffff,0xffffffff,0xfffd84ff,
    0xfffeceff,0xfffb84ff,0xffffffff,0xfffffd80,0xd02fffff,0xffffffff,
    0xd89fffdf,0xffffffff,0x81ffffff,0xfffffffe,0x0fffffff,0x2017fff6,
    0xf300fff9,0x3fffddff,0xfffffd30,0xb17fffff,0xff50bfff,0xbfffffff,
    0x3ffff601,0x200effff,0xfffffffa,0x7ff41fff,0xfffffc9f,0xff700dff,
    0xdfffffff,0x3ffffa20,0xffffffff,0xfffff500,0x6c05ffff,0xffffffff,
    0x3fffa603,0xffbbffff,0x7ffec44f,0xffffffff,0xfffb100e,0xffffffff,
    0x5fffd81b,0x404ffd80,0x4ffffffb,0x7ffffe40,0x77dc0cff,0xffffb100,
    0xff7005ff,0x2009dfff,0xffffffc8,0x1fffe80c,0x07ffffd7,0xfffffd30,
    0x7ec4019f,0xffffffff,0x7fecc00d,0xb800dfff,0x01effffe,0x5dffff90,
    0x4c13ffee,0xfffffffd,0xffd5004d,0x07dfffff,0x1017fff6,0x93001ddd,
    0x44005bdd,0x0cc009a9,0x0009a980,0x00009a98,0x00002aa6,0x26000151,
    0x5440019a,0x01accecc,0x0001a980,0x20001351,0x880000a9,0x200009a9,
    0x0009aa98,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0002aaa0,0x03355530,0x4d544000,
    0x000a0000,0x00013551,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x8003ffe8,0xffffffd9,0xa8001dff,0xfffffffd,0x0fb3000c,
    0x3ffffea0,0x0bfffb4f,0x3fffe600,0xffffffff,0x7ec4ffff,0xf1005fff,
    0x7f41ffff,0x7c403fff,0x3f62ffff,0x7fe407ff,0x3ea01fff,0x3ffa1fff,
    0x3f2001ff,0xfffd1fff,0xfffb0009,0x13fffe2d,0xc800bff9,0xffffffff,
    0x2005ffff,0xfffffffc,0x2202ffff,0xfa807ffc,0xb2ffffff,0x2000bfff,
    0xfffffff9,0xffffffff,0x7fffc44f,0xfffd802f,0x7fffcc3f,0x3fff200f,
    0x7fffdc5f,0x3ffffa01,0x3fff203f,0x27fffdc7,0x4dffff00,0x8004fffe,
    0xff16fffd,0x6ffa89ff,0xffffd100,0xffffffff,0xfe980bff,0xffffffff,
    0xf703ffff,0xffd00fff,0x363fffff,0x30005fff,0xffffffff,0xffffffff,
    0xdffff509,0x6ffffa80,0x0bffff90,0x03ffffe6,0x205ffff3,0x5ffffff8,
    0x117fffa0,0x200dffff,0x3a3ffffa,0xd8004fff,0xfff16fff,0x0fff889f,
    0xfffffe80,0xffffdcef,0x3fa04fff,0xfdceffff,0x81ffffff,0xf807fffb,
    0x6c10dfff,0x30005fff,0xdddddddd,0xffffffdd,0x3ffff607,0x3ffffa03,
    0x3ffffa01,0x3ffffe82,0x209ffff0,0x7ffffffa,0x07ffff10,0x003ffffb,
    0x741ffff9,0xd8004fff,0xfff16fff,0x05ffd09f,0x3fffffc8,0xfffffb30,
    0xdffff701,0xffffd503,0x0ffff70d,0x02ffff88,0x000bfffb,0xffff8800,
    0x3ffe206f,0xfffb80ff,0x7ffd404f,0x3ffee0ff,0x3fffa06f,0xfffff906,
    0xfff303ff,0xffff503f,0xdffff009,0x004fffe8,0xf16fffd8,0xff909fff,
    0x7fffc409,0x7ff4401f,0x7ffc43ff,0x7ffcc06f,0xffdd51ff,0xf10bddff,
    0x3f603fff,0x000005ff,0x077ffff4,0x17fffee0,0x01fffff1,0x29ffff90,
    0x01fffff8,0x203ffff2,0xfffffffe,0x07fffb83,0x301ffffe,0xfe87ffff,
    0xfd8004ff,0xffff16ff,0x40dff509,0x003ffffb,0xc839bff3,0xc802ffff,
    0xff71bdff,0x4fffffff,0xeffffeeb,0x3fff63ee,0x7bffb915,0x7ffec000,
    0xffd001ff,0x7ffe43ff,0xfff1002f,0xffff93ff,0xffffa807,0x67fffc41,
    0xffd85fff,0x3fff206f,0x3fff201f,0x27fff40f,0xb2f77754,0x7ffcdfff,
    0x0fff884f,0x01ffffd0,0x3ffa0040,0x2031006f,0xfffffffb,0x3ffff27f,
    0x364fffff,0xffe9dfff,0x000dffff,0x17ffffdc,0xdffff300,0x017fffe6,
    0xfdffff50,0xf100dfff,0xffa87fff,0x87fff9df,0x2a04ffff,0x3e04ffff,
    0xffe85fff,0x7fffd44f,0x9bfff60e,0xfd03fffe,0xffff105f,0xff80000b,
    0xa80004ff,0xeeffffee,0x3fffff25,0x3f64ffff,0xfffffeff,0x2004ffff,
    0x04fffff9,0xbffffc80,0x000ffffe,0xffffffd8,0xffd001ff,0x3fffd8bf,
    0x7c43ffff,0x7fc02fff,0xfff307ff,0x9fffd05f,0x0fffffcc,0xfd9bfff6,
    0x9ff902ff,0x09ffff30,0x7ffc4000,0x2e00003f,0xdd707fff,0x7dddffff,
    0x77ffffec,0xfffffcab,0xffff8800,0xff10005f,0x7fffffff,0x3ffe2000,
    0x2004ffff,0x7fc7fffc,0x7fffb1ff,0x007fffd4,0x207ffff2,0xe80ffffc,
    0xfff14fff,0xfffb03ff,0x80fffecd,0xffa86ffa,0x2aaa03ff,0x22aaaaaa,
    0x002ffff9,0x1fffee00,0x03ffff10,0x21bffff6,0x802ffffb,0x00effffe,
    0x3fffea00,0x40006fff,0x0efffffb,0x3fffea00,0x5cffff30,0x3ff25fff,
    0xfff9806f,0x5ffff84f,0xd19fffd0,0x3603ffff,0x3ff26fff,0x1fff101f,
    0x02ffffa8,0x3ffffffe,0xfff50fff,0x5c00005f,0x7c407fff,0xffb01fff,
    0x3ffe01ff,0x7ffec02f,0xd80001ff,0x01ffffff,0x7fffdc00,0x7fc4006f,
    0xbfff72ff,0xfd3fffcc,0x3fa009ff,0x7ffcc7ff,0x9fffd02f,0x405ffffb,
    0x3ee6fffd,0x3ffe00ff,0x1ffffd41,0xfffffff0,0x3fea1fff,0x200003ff,
    0x4407fffb,0xfb01ffff,0x7ffc0fff,0x3ffee03f,0x100002ff,0x009fffff,
    0xfffff880,0x7fc003ff,0x7fffb4ff,0xf89ffff8,0xf7002fff,0x7fe45fff,
    0x3fffa07f,0x404fffff,0x3ea6fffd,0x1ffec07f,0x813fffe6,0xffffffff,
    0xffff30ff,0x7dc00007,0x7fc407ff,0xfffb01ff,0x1ffffc0d,0x3fffffa8,
    0x7fe40000,0x6c0000ff,0xffffffff,0x3fff6000,0xd83ffff5,0xfff9bfff,
    0xfff1000f,0x27fff49f,0xffffffd0,0x7ec01fff,0x1bfe66ff,0xf88bff70,
    0x33205fff,0xffffeccc,0x013fffe0,0x7ffdc028,0x7fffc407,0x0bfffb01,
    0x441ffff4,0x005fffff,0x7fffc800,0x7ffd4000,0x05ffffff,0x27fffee0,
    0xffb87fff,0x06fffbdf,0x9bffff40,0x3a01ffff,0xffffffff,0x3fff605f,
    0x301bfe66,0xfffd0fff,0x7fe4001f,0x3fffa0ff,0x5bff3006,0x07fffb81,
    0x80ffffc4,0x3a05fffd,0x7f443fff,0x00006fff,0x00ffff90,0x7ffffc40,
    0x03ffffeb,0xfbffff30,0xfff109ff,0x009fffbf,0xcaffffb8,0x7f406fff,
    0xfffeffff,0xdfffb01f,0x7c02ffc4,0x7ffdc1ff,0x3ff2005f,0x3fff60ff,
    0xfffc802f,0x3fffdc2f,0x07fffe20,0xd02fffec,0xffd87fff,0x00000fff,
    0x00ffff90,0xaffffec0,0x00fffffa,0xfffffff0,0x3fffa05f,0x4002ffff,
    0xfedffff8,0x7ff403ff,0xdfffb4ff,0xf1bfff60,0x7ffb009f,0x2fffff88,
    0xffffd880,0x3bfffe20,0x3fffe600,0x07fffb87,0x80ffffc4,0x3a05fffd,
    0x3fee3fff,0x00001fff,0x01ffff20,0x7ffffd40,0x17ffff60,0x7ffffec0,
    0xfff900ff,0x0001ffff,0xfffffffb,0xfffe803f,0x0bfffe65,0x001bfff6,
    0xfb85ffb8,0x7104ffff,0x81ffffff,0x41effffc,0x3fffffb8,0xacffffa8,
    0x1ffff884,0x40bfffb0,0xff53fffe,0x00007fff,0x07fffc80,0xfffff880,
    0x7ffffc43,0xffffb803,0x3fea06ff,0x0007ffff,0xfffffff5,0x9fffd00d,
    0x40ffffd8,0x2aa6fffd,0x7fcc01aa,0xfffffb07,0xfffdbbdf,0xd01fffff,
    0xbbdfffff,0x1dffffff,0xffffff30,0xffff881f,0x0bfffb01,0xfc9ffff4,
    0xeeeeffff,0xeeeeeeee,0x3ff2000e,0xffd8007f,0xfff506ff,0xff9801ff,
    0x2204ffff,0x05ffffff,0xfffff100,0xffd007ff,0xffff889f,0xd37ffec4,
    0xff007fff,0xfffb103f,0xffffffff,0x203bffff,0xffffffe9,0x0fffffff,
    0x3fffffa0,0x7fffc41f,0x0bfffb01,0xfc9ffff4,0xffffffff,0xffffffff,
    0x3ff2000f,0x7fd4007f,0x3f601fff,0x7c405fff,0x402fffff,0x03fffffe,
    0x3ffff600,0xffe800ff,0xffffc84f,0xe9bfff60,0xfd803fff,0x3ffee03f,
    0xffffffff,0xfd8802ef,0xffffffff,0x7f4401ef,0x7c41efff,0xffb01fff,
    0x7fff40bf,0xffffff93,0xffffffff,0x4001ffff,0x2007fffc,0x04fffff8,
    0x1fffffc4,0x3fffffa0,0x7fffe400,0x3ea0001f,0xd005ffff,0xff109fff,
    0x7ffecbff,0x00ffffa6,0x71017fee,0xbffffffd,0xfb500059,0x05dfffff,
    0x2201a880,0xfb01ffff,0x7ff40bff,0xfffff93f,0xffffffff,0x001fffff,
    0x003fffe4,0x00dffff9,0x03ffffee,0x06ffffc8,0x07ffffa8,0xfffff800,
    0x9fffd002,0x47fffee0,0x3fa6fffd,0xaa8803ff,0x2aa62002,0x4c400000,
    0x0000001a,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2f775c00,0x07bbba60,0x20026660,0x10000198,0x00000001,
    0x3bbbbbb2,0x3e65eeee,0xffffffff,0xffffffff,0x3fffff27,0xefffffff,
    0x7ffe402c,0xffffffff,0x3fff204e,0xfffc801f,0xffffffb5,0xffffc805,
    0xffff94ff,0x57fffa00,0x8807fffc,0x21fffffe,0x202ffffa,0xa807fffc,
    0xfb104fff,0x01bfffff,0x7ffff5c0,0xffff902e,0xffffffff,0xfff01fff,
    0xffffffff,0x7ffffccf,0xffffffff,0x3f27ffff,0xffffffff,0x04ffffff,
    0x3ffffff2,0xefffffff,0x6ffffc81,0xb5fffc80,0x09ffffff,0xffffffe8,
    0x00ffff94,0x7e57fffa,0x7f4407ff,0xff81ffff,0x3ffa04ff,0x7ffc404f,
    0xffffc84f,0x04ffffff,0x7fffff4c,0x7e40efff,0xffffffff,0x40ffffff,
    0xfffffff8,0x3e67ffff,0xffffffff,0xffffffff,0x3fffff27,0xffffffff,
    0xfc80dfff,0xffffffff,0x43ffffff,0x03fffffc,0xfdafffe4,0x207fffff,
    0xfffffff8,0x00ffff94,0x7e57fffa,0x7ff407ff,0xff901fff,0x3ffe60ff,
    0x7fff401f,0x7fffe44f,0xffffffff,0xfffff104,0x8dffffff,0xfffffffc,
    0xffffffff,0x7ffffd40,0x27ffffff,0xeeeeeee9,0xeeeeffff,0x3fff26ee,
    0xeeeeeeef,0x82ffffff,0xeeeffffc,0xffffffee,0x3ffff20f,0x3ff200ff,
    0xfffffb5f,0x3fea03ff,0xf94fffff,0x3fa00fff,0xffff95ff,0x7ffffec0,
    0x3fffe602,0x06fffb82,0x3fffff62,0x3ffffea4,0xfffeb99c,0xffffd82f,
    0xfffffddf,0x3bffff24,0xeeeeeeee,0x7ffe40ee,0xaaaaaaad,0xffff7002,
    0xffff9001,0xffffd880,0x07fffc85,0x93ffffee,0x5ffffffc,0x6d7fff20,
    0x3fffffff,0xffffff90,0x1ffff29f,0xcaffff40,0xffb07fff,0xfd005fff,
    0xfffd09ff,0x3fffea07,0x3ffa4fff,0xfffd00ff,0x5ffff88d,0x93ffff44,
    0x8000ffff,0x0002fffd,0x01ffff70,0x00ffff90,0x321ffffe,0x7d407fff,
    0x3ff26fff,0x902fffff,0x3ff6bfff,0xd05fffef,0x9fffdfff,0x401ffff2,
    0xff95fffe,0xffff90ff,0x3fee005f,0x7fffcc7f,0x7ffff4c0,0xff14ffff,
    0x7fd407ff,0x7fffd47f,0x0ffffb81,0x000ffff9,0x001ffff8,0x1ffff700,
    0x0ffff900,0x03ffff20,0xf00ffff9,0x7fe4ffff,0x906fffff,0x3ff6bfff,
    0x887fffcf,0xfffdefff,0x00ffff94,0x7e57fffa,0x7ffdc7ff,0x3e2002ff,
    0x3fee2fff,0xffffb85f,0x914fffee,0xff980dd9,0x3fbaa0ff,0x3ffff307,
    0x001ffff2,0x517fff88,0x3ee00015,0xfc800fff,0xffb007ff,0xffff90ff,
    0x4dfffd00,0xfffffffc,0x5fffc83f,0xffb9fffb,0xcfffa83f,0xff94fffd,
    0x3ffa00ff,0x4ffff95f,0x03fffffb,0x24fffd80,0xfb82fffe,0x9fffb4ff,
    0x3ffee000,0xfff70006,0x1ffff21f,0xffff9800,0x01effffe,0x07fffdc0,
    0x03fffe40,0x437fffcc,0x4c07fffc,0x3f25ffff,0xffffedff,0xdafffe40,
    0xfffbcfff,0x6d7ffe43,0xfff94fff,0x3fffa00f,0x2affff95,0x003fffff,
    0x26ffff50,0xdf707fff,0x027ffec5,0x27fffd40,0x6fffd800,0x001ffff2,
    0xffffffb8,0x004fffff,0x003fffee,0x2abffff2,0xffcaaaaa,0xffc82fff,
    0x3ffa607f,0x3fff23ff,0x45ffffad,0xffb5fffc,0x8bfff39f,0xffd8fffe,
    0xfffff94f,0xffffffff,0x3f2bffff,0xffffafff,0x3e0002ff,0xfffbafff,
    0xffb03304,0xffb8009f,0x98000fff,0x3f24ffff,0xeeeeefff,0xfc83eeee,
    0xffffffff,0xf7002fff,0xf9001fff,0xffffffff,0xbfffffff,0x33ffff20,
    0xfffedccc,0x3ff21fff,0x5ffffb5f,0xfdafffe4,0x4ffff4ff,0xffb6fff8,
    0x3ffff29f,0xffffffff,0xf95fffff,0xffffffff,0x20001fff,0xffecfffc,
    0x7fec001f,0x3fee004f,0x88001fff,0x7e46ffff,0xffffffff,0xfe84ffff,
    0xfda9bfff,0xb800ffff,0xc800ffff,0xffffffff,0x3fffffff,0x3fffff20,
    0xffffffff,0x7ffe43ff,0x1dffff15,0x7ed7fff2,0x3fffb4ff,0x7ed3ffea,
    0xffff94ff,0xffffffff,0x32bfffff,0xffffffff,0x0005ffff,0xfffffff1,
    0xfffb000d,0x3ffea009,0xf98001ff,0x7e42ffff,0xffffffff,0xba84ffff,
    0xfffa80dc,0xfffb803f,0xfffc800f,0xffffffff,0x7e400bdf,0xffffffff,
    0xc84fffff,0x3fee5fff,0xbfff94ff,0x7dd3fff6,0x5fff94ff,0x7e53fff6,
    0xffffffff,0xffffffff,0xffffff95,0x5ffffd7f,0x3fffa000,0xd8004fff,
    0xf9804fff,0x8000efff,0x84fffff9,0xfffffffc,0x04ffffff,0x13fffa00,
    0x03fffee0,0x2bffff20,0xeffffdca,0xffffc800,0xffffffff,0xbfff901d,
    0xc9ffffe8,0xfffb5fff,0x7dbffe69,0xfffb0fff,0x01ffff29,0xfcaffff4,
    0xf53fffff,0x0001ffff,0x3ffffff7,0x9fffb000,0x1dfffb00,0xffff3000,
    0x3fff20bf,0x9999999f,0x36000099,0xfb806fff,0xfc800fff,0xfffb87ff,
    0x7fe402ff,0x999999ff,0x5fffc800,0x677fffcc,0xfffb5fff,0x7cffffc9,
    0x3fff66ff,0x00ffff94,0x7e57fffa,0x7f44ffff,0x88004fff,0x006fffff,
    0x009fffb0,0x0003fffd,0x0bfffff3,0x003fffe4,0x7ffe4000,0xffffb806,
    0x7fffc800,0x3fffff90,0x03fffe40,0x17fff200,0x3ffffff2,0x9fffb5ff,
    0x7ff7ffec,0x53fff64f,0xd007fffc,0x3ff2bfff,0xfff984ff,0xfd8002ff,
    0xb0003fff,0xf8809fff,0xf98007ff,0x6404ffff,0x40007fff,0x3ff60299,
    0xfffb805f,0xfffc800f,0x3ffffa07,0x1ffff206,0xbfff9000,0xffffff10,
    0x3fff6bff,0x3ffffee4,0x3fff62ff,0x00ffff94,0x7e57fffa,0x3ff207ff,
    0x64000eff,0x0000ffff,0x9809fffb,0x44006fff,0x804fffff,0x0007fffc,
    0x203ffff7,0xb804fffe,0xc800ffff,0x3e207fff,0xf904ffff,0xc8000fff,
    0xff505fff,0x36bfffff,0x3fe64fff,0x360fffff,0xfff94fff,0x3fffa00f,
    0x40ffff95,0x04fffff8,0x17fffe20,0x4fffd800,0x7f400000,0xf9004fff,
    0x22000fff,0xfb85ffff,0xfb801fff,0xfc800fff,0x7fdc07ff,0xffc81fff,
    0x7e40007f,0x3ff605ff,0xffb5ffff,0xfffff89f,0xa7ffec6f,0xd007fffc,
    0x3ff2bfff,0x7ffdc07f,0xfd9801ff,0x20002fff,0x4404fffd,0x9000aaaa,
    0x333dffff,0x7e433333,0x3a0007ff,0xeaadffff,0x7005ffff,0x9001ffff,
    0xfd00ffff,0xff90dfff,0xfc8000ff,0x3fe605ff,0xffb5ffff,0xffffd89f,
    0xa7ffec4f,0xd007fffc,0x3ff2bfff,0xfffe807f,0xffdd906f,0x8000dfff,
    0x4c04fffd,0xf001ffff,0xffffffff,0x323fffff,0x20007fff,0xfffffff8,
    0x000effff,0x001ffff7,0x100ffff9,0xc87fffff,0x40007fff,0x6405fffc,
    0xfb5fffff,0xfffb89ff,0x7ffec2ff,0x00ffff94,0x7e57fffa,0xffa807ff,
    0xffb84fff,0x001fffff,0x027ffec0,0x007fffe6,0x3fffffea,0xffffffff,
    0x00ffff91,0xfffff980,0x000effff,0x003fffee,0x401ffff2,0x20fffffb,
    0x0007fffc,0x402fffe4,0xfb5ffffe,0xfff989ff,0x7ffec0ff,0x00ffff94,
    0x7e57fffa,0xffb007ff,0xffb83fff,0x0002ffff,0x404fffd8,0x801ffff9,
    0xfffffffd,0x1fffffff,0x000ffff9,0xfffff910,0xff70009d,0xff9001ff,
    0x7fec00ff,0x3fff25ff,0x7fe40007,0xfffa805f,0x09fffb5f,0xfb0dffff,
    0x3fff29ff,0xbfffd007,0x401ffff2,0x46fffff8,0x00bcddc9,0x9fffb000,
    0x1ffff980,0xffffff80,0xffffffff,0x0ffff91f,0x09a98000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x4c400000,0x00000099,0x20000000,0x000eeeea,
    0x2e5dddb0,0xeeeeeeee,0x02eeeeee,0x00000000,0x00000000,0x00000000,
    0xfffffc80,0xffffffff,0xfff93fff,0xffffffff,0x3a00007b,0xffc82fff,
    0xffffffff,0x0000beff,0x01fffff3,0x07fffdc0,0x3ffff800,0xfffffff9,
    0x7fffffff,0x01ea8000,0x33bff6e6,0x3fb6a002,0x8802deff,0xceffffec,
    0xffeca800,0x03b700cd,0xffffc800,0xffffffff,0xff93ffff,0xffffffff,
    0x0003dfff,0x417fffdc,0xfffffffc,0xffffffff,0xfffc8002,0x3ee003ff,
    0xf0000fff,0x3ff27fff,0xffffffff,0x8003ffff,0x881fffb8,0xfffffffe,
    0x3fa200df,0xffffffff,0xffff700e,0x03ffffff,0x7fffffec,0xeffb82ff,
    0xfff90002,0xffffffff,0x327fffff,0xffffffff,0x4fffffff,0xffff9800,
    0xffffc82f,0xffffffff,0x4002ffff,0x06ffffff,0x03fffee0,0x9ffffc00,
    0xfffffffc,0x2fffffff,0x3fff2600,0x7ff441ff,0xffffffff,0xffffb01f,
    0xdfffffff,0xffffff50,0x03ffffff,0xfffffffd,0xffb89fff,0x2000bfff,
    0xeeeffffc,0xeeeeeeee,0xdffff92e,0xffffdddd,0xe8003fff,0xc82fffff,
    0xeeeeffff,0xfffffeee,0x3ffea007,0x7002ffff,0x0001ffff,0x54cbbbb6,
    0xaaaaaaaa,0x5004fffe,0xfffffffb,0x7ffff443,0xffffecce,0xbffff986,
    0xffffda89,0x5f7fff42,0x4ffffdba,0x5fffffdc,0x20fffffb,0xfffffffb,
    0xfffc801c,0x3ff20007,0x3ffaa07f,0x3f2006ff,0xc82fffff,0x74c07fff,
    0xb001ffff,0xbfffffff,0x3fffee00,0x80000000,0x4405fffa,0xffffffeb,
    0x3ff60cff,0xfffc83ff,0x27ffdc3f,0x221cdfd8,0xfe81fffe,0x3ffe25ff,
    0x4fffd84f,0x3fffff66,0x3202dfff,0x20007fff,0xd807fffc,0x9803ffff,
    0x2fffffff,0x807fffc8,0x803ffff9,0xffeffff8,0xffb800ff,0x000000ff,
    0x07fffc40,0xfffffc88,0xff02dfff,0x7ff409ff,0x7fffdc7f,0x0330000b,
    0xfb9bffee,0xffa80fff,0x7f5c40ff,0xbeffffff,0x03fffe40,0x0ffff900,
    0x0fffff10,0xffffffd0,0xffff905f,0x5ffff100,0x3ffff700,0x7007ffff,
    0x0001ffff,0xfffd8000,0xffffd983,0x200bffff,0x200ffff9,0x260ffffa,
    0xceffffff,0x32620002,0x3f26fffe,0x3ffe06ff,0x3ff2601f,0x0cffffff,
    0x000ffff9,0x803fffe4,0x200ffffc,0xfffafffc,0x7fffc82f,0x07fffa80,
    0x369fffd0,0xfb806fff,0x00000fff,0x1bffea00,0x7fffffdc,0xfff7002d,
    0xffff880f,0x7fffff42,0x802dffff,0xfffffec9,0x3fff66ff,0xfeeeeeef,
    0xd5002fff,0x25ffffff,0x0007fffc,0x401ffff2,0x301ffffb,0x3ffebfff,
    0x7fffc82f,0x2ffff540,0x8ffffd40,0x402ffffa,0x000ffffb,0x3ffa0000,
    0xffff702f,0xffc8001d,0xffff806f,0x7ffff443,0x0dffffff,0xffffffc8,
    0x3e6fffff,0xffffffff,0x03ffffff,0x7ffff4c0,0xffffff92,0xffffffff,
    0x3fffe49f,0x2ffffa80,0x3e1fffd0,0xffc82fff,0xffeeeeff,0x005fffff,
    0x7c4dfffb,0x7dc05fff,0x00000fff,0x0ffff300,0x7fffffdc,0xfff7000c,
    0xffff880f,0xffffb302,0xd8bfffff,0x9bdfffff,0x3fa6fffb,0xffffffff,
    0x004fffff,0xffffff93,0x3fffff25,0xffffffff,0x3fff24ff,0xffff3007,
    0x45fff907,0xfc82ffff,0xffffffff,0x004fffff,0xd87ffff1,0x2e00ffff,
    0x0000ffff,0x9fffb000,0x7ffffcc0,0x4c02dfff,0x7cc07fff,0xb9801fff,
    0x0ffffffd,0x817ffff5,0x3f66fffb,0x100005ff,0xffffffd5,0x3fff23df,
    0xffffffff,0x3f24ffff,0xff1007ff,0xfff989ff,0x417fffc5,0xfffffffc,
    0xffffffff,0xffffb803,0x1ffffcc0,0x01ffff70,0x02aaaa00,0x00ffff98,
    0xfffffea8,0xff01cfff,0x7fe407ff,0x1015307f,0x323ffff9,0xff906fff,
    0x7fffe4df,0xf9300300,0xbfffffff,0xeffffc83,0xeeeeeeee,0x3fff23ee,
    0xffff3007,0x07fff447,0x320bfffe,0xffffffff,0xffffffff,0x3fffa01e,
    0x0dffff05,0x007fffdc,0x03ffff80,0x0017fff2,0xffffff93,0xffe85bff,
    0xfffa81ff,0x3fffa24f,0x3ffff305,0x2217fff6,0x3e66fffe,0xffb83fff,
    0xffd710de,0x19ffffff,0x01ffff20,0x07fffc80,0x45ffff50,0xff82fffc,
    0xfffc82ff,0x7ffecc07,0xffff305f,0xfb333339,0x3ee05fff,0xf0000fff,
    0x7fc07fff,0x910002ff,0xffffffff,0x7ffffd43,0xffffcaab,0x7fffec0e,
    0x3fff660b,0x8bffff27,0x47ffffd9,0x51cffffe,0x7dcdffff,0xbeffffff,
    0x3fffe400,0xffff9000,0x3fffee00,0x99ffff31,0xbffff999,0x3fff2199,
    0xffff9007,0xfffff901,0xffffffff,0x3fee0bff,0xff0000ff,0x3fe607ff,
    0xd500007f,0xa83fffff,0xffffffff,0xf882ffff,0xffefffff,0x3ea2ffff,
    0xffefffff,0x7cc7ffff,0xffffffff,0x3fee1fff,0x2002dfff,0x0007fffc,
    0x401ffff2,0xf50ffffc,0xffffffff,0x1fffffff,0x401ffff2,0xf82ffff9,
    0xffffffff,0xffffffff,0x0ffffb80,0x5ffff000,0x013ffee0,0xfffb3000,
    0xfffff503,0x403dffff,0xfffffff9,0xfd84ffff,0xbfffffff,0x74c1ffff,
    0xffffffff,0x67ffdc2f,0xfffc8001,0x3ff20007,0xfff8807f,0x3fffea7f,
    0xffffffff,0xff90ffff,0x3fe600ff,0x7ffd44ff,0xffffffff,0x83ffffff,
    0x000ffffb,0xfd80ffc0,0x000003ff,0x32603f91,0x04effffe,0xfffff710,
    0x7dc03bff,0xfb0dffff,0xfd9109ff,0x7039ffff,0x6400017f,0x20007fff,
    0xc807fffc,0x3ea2ffff,0xffffffff,0x0fffffff,0x200ffff9,0x6c2ffffc,
    0xeeeeffff,0xfffeeeee,0xffffb86f,0x3fe60000,0x05ffff00,0x00880000,
    0x40001330,0x40019a98,0x880001a9,0x002009a9,0x3fffe400,0xffff9000,
    0x7fffecc0,0x55555445,0xffffaaaa,0xfff90aac,0xfffc880f,0x3ffe20ff,
    0xfff9004f,0xffffb85f,0xeeeeeeee,0x3fa64eee,0x3ffff104,0x00000000,
    0x00000000,0x00000000,0xffc80000,0xeeeeeeff,0x95eeeeee,0xddddffff,
    0xffffffff,0x3ffe0003,0xffffc82f,0xfffeeeee,0x645fffff,0x3001ffff,
    0xfb8bffff,0xffffffff,0x15ffffff,0x3e601dff,0x00000fff,0x00000000,
    0x00000000,0x00000000,0x7fffffe4,0xffffffff,0xffff96ff,0xffffffff,
    0x40007fff,0xfc82ffff,0xffffffff,0xefffffff,0x037fffc0,0x83ffffa0,
    0xfffffffb,0xffffffff,0xff501365,0x000000ff,0x00000000,0x00000000,
    0x90000000,0xffffffff,0xffffffff,0x3fffff2d,0xffffffff,0x7fc0001d,
    0xfffc82ff,0xffffffff,0x541effff,0x4003ffff,0x2e3ffffb,0xffffffff,
    0x5fffffff,0x37ffdc00,0x00000000,0x00000000,0x00000000,0x7fe40000,
    0xffffffff,0x96ffffff,0xffffffff,0x00059bdf,0x20bfffe0,0xfffffffc,
    0x1cefffff,0x01ffffb0,0x7ffff880,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xe80fbbb2,
    0x00002eee,0x3bbb2000,0x09ddd702,0xe997bbaa,0xe980deee,0x3bb25eee,
    0x5554c03e,0xeeeed800,0xeeeeeeee,0x017bbb25,0x805dddd1,0x2e00aaa8,
    0xeeeeeeee,0x2eeeeeee,0x54015510,0x64401aaa,0x00cefffd,0xeda9bbba,
    0x7ed40bdf,0x7fec0bdf,0x3fffe04f,0x223ddd92,0xd83dffdb,0xffc88eee,
    0x0bfff72d,0x641ffffa,0x7fec4fff,0xfffe84ff,0x13fffa1f,0x005fff90,
    0xfffffffd,0x54ffffff,0x2e01ffff,0x6c00ffff,0x3f204fff,0xffffffff,
    0x03ffffff,0x7ec05ff3,0x3fee04ff,0x3fffffff,0xf91ffff0,0x21dfffff,
    0xeffffffd,0x813fff60,0xffb2ffff,0xfffff35f,0x7ff41dff,0x5ffffd9f,
    0x881ffff1,0xf81fffff,0x7f442fff,0x3ff21fff,0x7fff43ff,0x17ffe404,
    0x7fffff40,0x7fffffff,0xd027fff4,0xf9809fff,0xf900ffff,0xffffffff,
    0x07ffffff,0xfd80bfe2,0xfff904ff,0xffffffff,0xfbffff07,0xdfffffff,
    0xfffffffd,0x27ffecbf,0x365ffff0,0xffffdfff,0x3a5fffff,0xffffefff,
    0x0bfffa2f,0x87fffff5,0xf307fff9,0x3fe6dfff,0xfffe85ff,0x17ffe404,
    0x7fffff40,0x6fffffef,0x983fffdc,0x6401ffff,0x904fffff,0xffffffff,
    0x7fffffff,0x51ff866c,0x27ffec1b,0x77ffffcc,0x0fffffdb,0x6ffffffc,
    0xfffffeba,0xffffcadf,0x09fffb0f,0xfd97fffc,0xcabeffff,0xfd0fffff,
    0xffffffff,0x644fffb8,0x5c5fffff,0x3f205fff,0xfffecfff,0x3eeec80f,
    0x017ffe40,0x3fffee00,0x7fffc40e,0x06fffc82,0x7fffffc4,0x9999880f,
    0x99999999,0xfff10999,0x7ffd7ff9,0x741fffec,0x7cc1efff,0x7ffc3fff,
    0x7ffd43ff,0x7ffcc4ff,0x09fffb1f,0xfd97fffc,0xffb86fff,0xffffd2ff,
    0xff30a63d,0xffffe8df,0x17fff47f,0x3fffffa0,0x00002fff,0x0005fff9,
    0x0fffffd4,0xf85fffd8,0x7e403fff,0x03fffeff,0x3fea0000,0xffffffff,
    0x7c43fd85,0x9db02fff,0x5ffff837,0x20dffff0,0xffb3ffff,0x7fffc09f,
    0x01ffffb2,0x3a5ffff1,0xe802ffff,0xfff11fff,0x3e23fffd,0x7c400fff,
    0x04ffffff,0xaaaaa980,0xaaacfffd,0x7fd400aa,0x3ea02fff,0x3fea0fff,
    0x3fe200ff,0x06fff9ff,0xeb980000,0x880abfff,0x7ffd41ff,0xfff0000f,
    0x3fffe07f,0x27fffd05,0x3e04fffd,0xfffb2fff,0x9ffffc0d,0x9006fffe,
    0x3fea7fff,0xf53fffaf,0x3ee00bff,0x000effff,0xffffffc8,0xffffffff,
    0x3ffe603f,0xffe803ff,0x13fff63f,0x369fff70,0x7fe42fff,0xffffffff,
    0xa83fffff,0xb103ffff,0xffff70df,0x7fffc000,0x09ffff03,0x7ed3fffa,
    0x3ffe04ff,0x0bfffb2f,0xfe9ffffc,0xff3005ff,0x75fff2bf,0x7fff95ff,
    0x7ffffc00,0xfff90005,0xffffffff,0x2207ffff,0x004fffff,0x3e2dfff7,
    0x7fc01fff,0xdfff50ff,0xffffffc8,0xffffffff,0x66ffd43f,0x1fff83ff,
    0x006fffc8,0x40bfffe0,0xfd04fffe,0x3fff69ff,0x4bfffe04,0x3a05fffd,
    0xfffd3fff,0x7fffc009,0xff95fff8,0x01ffff1f,0x3fffff20,0xffc8002f,
    0xffffffff,0x883fffff,0x005ffffe,0x2a3fffe2,0x7dc06fff,0x7fffc5ff,
    0x3fffff21,0xffffffff,0x3ffe63ff,0x641fff88,0xffff700d,0x7fffc000,
    0x07fffd02,0x7ed3fffa,0xfff105ff,0x17fff65f,0xfd3fffe8,0x7e4009ff,
    0x53fffbff,0xdfff7fff,0x3fffe600,0x4000ffff,0xfeccccca,0xcccccdff,
    0x6ffffd81,0xbfffd800,0x7403fffd,0x7fe42fff,0x3ffff25f,0xffffffff,
    0x1fdc3fff,0xf50007f5,0x26201fff,0x05ffff00,0x740ffffa,0xfffb4fff,
    0x3fffe60b,0x40bfffb2,0xffd3fffe,0x7fd4009f,0xf11fffff,0x07ffffff,
    0x3fffffa0,0x00005fff,0x2005fff9,0x00effffc,0xfefffa80,0x3ea00fff,
    0xfff887ff,0x3333311f,0x33333333,0x03030133,0x3fffe600,0x8bfff902,
    0xfd02ffff,0x3ffa07ff,0x1ffff74f,0x25ffffd0,0x3a05fffd,0xfffd3fff,
    0xffff8007,0x7ffec7ff,0xfc800fff,0xfffdafff,0x1aaaa83f,0x017ffe40,
    0x077fffdc,0xffffd000,0xffe80bff,0x9fffb04f,0x00000000,0x77fffc00,
    0x27fffc40,0x740bfffe,0xffd03fff,0x3fffea9f,0xffffb51d,0x17fff65f,
    0xfd3fffe8,0xfd8007ff,0x7dc5ffff,0xa806ffff,0xff15ffff,0xffe81fff,
    0x7ffe404f,0x7fffd402,0xeeeeeeef,0x3fee02ee,0x4c01ffff,0x33100999,
    0x00000033,0x04006aa2,0x2fbfffea,0x1ffffeb9,0xe817fffc,0xffd03fff,
    0x3fffe29f,0xfeffffff,0xbfffb2ff,0xe9ffff40,0x54003fff,0x4c2fffff,
    0x403fffff,0x20fffff8,0x746ffffb,0x7e404fff,0x7fdc02ff,0xffffffff,
    0x2203ffff,0x006fffff,0xfff98000,0x9ffff14f,0xa87ffff2,0x0beffffe,
    0xfffd0b90,0xffffffff,0x05ffff09,0x740ffffa,0x3fea4fff,0xd9ffffff,
    0xfffb2fff,0x9ffff40b,0x4003fffe,0x80fffff8,0x401fffff,0xd82ffffd,
    0x3fa3ffff,0x7fe404ff,0x7ffdc02f,0xffffffff,0x7ec03fff,0x00003fff,
    0x4ffff980,0x329ffff1,0xff71ffff,0xbfffffff,0x10bfd757,0xfffffffb,
    0x3ffe0bff,0x7fffd02f,0x513fffa0,0x21bffffd,0xffb2fffd,0x7fff40bf,
    0x007fffd3,0x20dfffb0,0x5c06fffd,0xf105ffff,0x3fa3ffff,0x665404ff,
    0x7ffdc01c,0xffffffff,0x7d403fff,0x00000fff,0x4ffff980,0x329ffff1,
    0xfff1ffff,0xffffffff,0x40bfffff,0xefffffea,0x0bfffe02,0xe81ffff4,
    0x35104fff,0x2fffec00,0x3a7fffd0,0x00003fff,0x00000000,0x00000000,
    0x00000000,0x3fe60000,0xffff14ff,0x47fffee9,0xffedefff,0xffffffff,
    0x01353004,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3ffff880,0x7d53fffe,0x81bf0fff,0xfffffeb8,0x0000004f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfe87fffa,0xffff32ff,0x6ee4c014,0x0000000a,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xf907ffec,0x37ffc3ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x23ffdc00,0x7ff47ffb,0x215dddc4,0xcccccccc,0x00000002,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x88000000,
    0x0ccc4099,0xff502662,0x7fffc1ff,0x0005ffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xff8fffee,
    0x05ffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xf37fe400,0xbfffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x5ff90000,
    0x3bbbbbba,0x0000004e,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x33000000,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_bold_36_usascii_x[95]={ 0,2,1,0,1,1,1,1,1,1,0,1,1,1,
2,-1,1,2,0,1,0,1,1,1,1,1,3,2,1,1,1,1,0,0,2,1,2,2,2,1,2,2,0,2,
2,2,2,1,2,1,2,1,0,2,-1,0,0,-1,0,2,-1,0,1,-1,0,1,2,1,1,1,0,1,2,2,
-2,2,2,1,2,1,2,1,2,0,0,2,0,0,0,0,0,0,2,0,1, };
static signed short stb__arial_bold_36_usascii_y[95]={ 29,5,5,5,4,5,5,5,5,5,5,9,24,18,
24,5,5,5,5,5,5,6,5,6,5,5,12,12,8,12,8,5,5,5,5,5,5,5,5,5,5,5,5,5,
6,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,32,5,11,5,11,5,11,5,11,5,5,
5,5,5,11,11,11,11,11,11,11,6,12,12,12,12,12,12,5,5,5,14, };
static unsigned short stb__arial_bold_36_usascii_w[95]={ 0,6,13,18,16,27,22,6,9,9,12,17,6,9,
5,10,16,11,17,16,18,16,16,16,16,16,5,6,17,17,17,18,32,24,20,21,20,18,17,23,19,5,16,22,
17,23,19,23,19,24,22,19,20,19,23,31,22,23,20,9,10,9,16,20,8,16,17,17,17,16,12,17,16,5,
9,16,5,26,16,18,17,17,11,17,11,16,18,26,18,18,16,12,5,12,17, };
static unsigned short stb__arial_bold_36_usascii_h[95]={ 0,24,10,25,29,25,25,10,31,31,12,17,11,5,
5,25,25,24,24,25,24,24,25,23,25,25,17,23,19,12,19,24,31,24,24,25,24,24,24,25,24,24,25,24,
23,24,24,25,24,27,24,25,24,25,24,24,24,24,24,31,25,31,14,4,6,19,25,19,25,19,24,25,24,24,
31,24,24,18,18,19,25,25,18,19,24,18,17,17,17,24,17,31,31,31,7, };
static unsigned short stb__arial_bold_36_usascii_s[95]={ 254,247,215,182,116,1,29,229,43,1,233,
144,246,245,158,237,173,171,202,52,41,238,156,131,86,69,138,124,148,215,237,
183,73,81,60,36,20,1,220,12,109,241,121,129,106,85,65,158,45,133,22,
208,1,228,200,168,145,121,100,106,1,63,198,164,236,203,103,1,190,220,70,
138,83,248,53,224,248,19,63,166,219,201,80,185,58,46,179,92,119,152,162,
30,24,11,236, };
static unsigned short stb__arial_bold_36_usascii_t[95]={ 1,59,148,1,1,33,33,148,1,1,135,
135,135,156,27,1,33,85,85,33,110,85,33,110,33,33,135,110,110,135,110,
85,1,110,110,59,110,110,85,59,85,59,33,85,110,85,85,1,85,1,85,
33,85,33,59,59,59,59,59,1,59,1,135,27,156,110,33,135,33,110,59,
33,59,1,1,59,33,135,135,110,1,1,135,110,59,135,135,135,135,85,135,
1,1,1,148, };
static unsigned short stb__arial_bold_36_usascii_a[95]={ 143,172,244,287,287,458,372,123,
172,172,201,301,143,172,143,143,287,287,287,287,287,287,287,287,
287,287,172,172,301,301,301,315,503,372,372,372,372,344,315,401,
372,143,287,372,315,429,372,401,344,401,372,344,315,372,344,487,
344,344,315,172,143,172,301,287,172,287,315,287,315,287,172,315,
315,143,143,287,143,458,315,315,315,315,201,287,172,315,287,401,
287,287,258,201,144,201,301, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_36_usascii_BITMAP_HEIGHT or STB_FONT_arial_bold_36_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_36_usascii(stb_fontchar font[STB_FONT_arial_bold_36_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_36_usascii_BITMAP_HEIGHT][STB_FONT_arial_bold_36_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_36_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_36_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_36_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_36_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_36_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_36_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_36_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_36_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_36_usascii_s[i] + stb__arial_bold_36_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_36_usascii_t[i] + stb__arial_bold_36_usascii_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_36_usascii_x[i];
            font[i].y0 = stb__arial_bold_36_usascii_y[i];
            font[i].x1 = stb__arial_bold_36_usascii_x[i] + stb__arial_bold_36_usascii_w[i];
            font[i].y1 = stb__arial_bold_36_usascii_y[i] + stb__arial_bold_36_usascii_h[i];
            font[i].advance_int = (stb__arial_bold_36_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_36_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_36_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_36_usascii_s[i] + stb__arial_bold_36_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_36_usascii_t[i] + stb__arial_bold_36_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_36_usascii_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_36_usascii_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_36_usascii_x[i] + stb__arial_bold_36_usascii_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_36_usascii_y[i] + stb__arial_bold_36_usascii_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_36_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_36_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_36_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_36_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_36_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_36_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_36_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_36_usascii_LINE_SPACING
#endif

