// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_41_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_41_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_41_usascii_BITMAP_WIDTH         256
#define STB_FONT_arial_bold_41_usascii_BITMAP_HEIGHT        202
#define STB_FONT_arial_bold_41_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_bold_41_usascii_FIRST_CHAR            32
#define STB_FONT_arial_bold_41_usascii_NUM_CHARS             95

#define STB_FONT_arial_bold_41_usascii_LINE_SPACING          27

static unsigned int stb__arial_bold_41_usascii_pixels[]={
    0xb12f75c0,0x36003599,0xa8800eee,0x33101dcc,0x26662133,0x31099999,
    0x13333333,0x5d544000,0x002accdc,0x0009dd70,0x00005544,0x35799530,
    0x79950000,0x5eec8005,0x00000000,0x22000d4c,0xf1009999,0x7ffc47ff,
    0x7f400dff,0x3f2200ff,0xf702ffff,0x3fea9fff,0x54ffffff,0xffffffff,
    0xfeb88007,0xffffffff,0x26002dff,0x30001fff,0xb80005ff,0xfffffffe,
    0x4c001dff,0x0dfffffe,0x03fff880,0x02ffffdc,0x827fffe4,0xdfffffd8,
    0x21ffff71,0x904ffffa,0x7fc41fff,0x7406ffff,0x3fa00fff,0x702fffff,
    0x3ea9ffff,0x4fffffff,0xfffffff5,0x3f66007f,0xffffffff,0xefffffff,
    0x0bffd001,0x5bff9300,0xffd88001,0xffffffff,0xf1003fff,0xdfffffff,
    0x00fff900,0x01fffff1,0x81ffffe8,0xfffffff9,0xffffb9ff,0x09ffff50,
    0xf88bfff1,0x03ffffff,0x5403fffa,0x2fffffff,0x29ffff70,0xfffffffa,
    0xfffff54f,0xf7007fff,0xddffffff,0xffffdb99,0xf7009fff,0x3ee003ff,
    0x4fffffff,0xfffff700,0xffffffff,0xc803dfff,0xffd9bfff,0x3ffe203f,
    0xffffb003,0x7fffcc07,0xfffff986,0xfdffffff,0xfff50fff,0x3fff909f,
    0xfffecc88,0x3fffa06f,0xfffffb00,0x3fee0399,0xb99934ff,0x3ea9ffff,
    0x2cccdfff,0x3ffff620,0xea9801cf,0x4406ffff,0x6c405fff,0xffffffff,
    0x3ea00eff,0xffffffff,0xfffffffe,0x3ffe00ff,0x81bffe26,0x2a007ffc,
    0x2e05ffff,0xfe83ffff,0xecceffff,0x0fffffff,0x889ffff5,0xfe806fff,
    0x3ffa07ff,0xffffd00f,0x55553001,0x3fffe203,0x05ffff54,0x3ffffa20,
    0x3fee0002,0x7fe404ff,0x3fff601f,0xffffffff,0x3fffa05f,0x64c0afff,
    0x04ffffff,0xff89fff1,0x7fff107f,0x7fffc400,0xffffd00f,0xfffffa81,
    0xfffffb83,0x3555510f,0x804fffd8,0xd00ffffc,0x3fe01fff,0x800005ff,
    0xf54ffff8,0x36005fff,0x0000efff,0x03fffd88,0x4c1bffea,0xffdfffff,
    0x82fffffd,0x0dfffffb,0x7ffffcc0,0x4fff981f,0x6407fff4,0xfc8007ff,
    0xff983fff,0xfffe85ff,0x3fff205f,0xff3000ff,0xff7003ff,0x3ffa01ff,
    0x9ffff00f,0xff100000,0x3ffea9ff,0xfffa802f,0x800d4405,0x100ffff8,
    0xf905ffff,0x5ff33fff,0x88bffff3,0x006fffff,0x17ffffe6,0xfd0fffea,
    0xfff881ff,0xfff98003,0xffffb85f,0x1fffff82,0x3ffffe60,0xffff7000,
    0x3fffee00,0x01fffd00,0x4013fffe,0x104ffffb,0x3ea9ffff,0x7c402fff,
    0xfd9305ff,0x3fea9fff,0x7fff32ff,0x437ffec0,0xff35fffe,0x913bff65,
    0x003fffff,0x1fffffc8,0x3a27ffcc,0x7ffd87ff,0x3fffa000,0x7ffff40f,
    0x3ffffc40,0x87ffffc0,0x3a4ffffa,0xf7005fff,0x3fa01fff,0xffff00ff,
    0x3ffee009,0xffff104f,0x0bfffea9,0x501fffb0,0xffffffff,0x41ffff9b,
    0x3ee06ffc,0x7ffc0fff,0x225ff33f,0x3ffff600,0xfff88005,0x7ffc42ff,
    0x2237ffc5,0x20003fff,0x223ffffb,0xf985ffff,0xfe806fff,0xfff50fff,
    0x3fffe29f,0xffff7003,0x03fffa03,0x801ffffc,0x104ffffb,0x3ea9ffff,
    0x3e202fff,0xfffb83ff,0xffffffff,0x7fc46fff,0xffff501f,0x36fffe85,
    0x3fa005ff,0xd0003fff,0xfd07ffff,0x3ffee3ff,0x003ffec4,0x97fffe20,
    0xa82ffffb,0xe806ffff,0xff50ffff,0x3ffea9ff,0xfff5002f,0x3fffa03f,
    0x3ffff880,0x9ffff700,0x53fffe20,0x202ffffa,0xffb86ffb,0xff712eff,
    0xff0bffff,0x3ffe605f,0x7fffec4f,0xf002ff9b,0x0005ffff,0x217ffff6,
    0xffeffffa,0x3ffe60ff,0xffd80003,0xffffd0ff,0x1bfffe60,0x43ffffa0,
    0xf94ffffa,0x26005fff,0xfd02ffff,0xfff501ff,0x3fee005f,0xfff104ff,
    0x3fffea9f,0x113ffa02,0x2e0dffff,0xd83fffff,0xfff103ff,0xffffb8df,
    0x8802ffef,0x001fffff,0x0dffff90,0x3ffffff6,0x03ffec3f,0xffffa800,
    0x04ffff8b,0x201ffffe,0xf50fffff,0x3ff69fff,0x3fe001ff,0xfffd06ff,
    0x1ffff901,0x3fffee00,0x9ffff104,0x40bfffea,0x7e41fff9,0xff101fff,
    0xff903fff,0x3ffffc09,0x7ffffffc,0x7fd401df,0x70000fff,0x540fffff,
    0x4c1dfffe,0x00003fff,0x3ef7fffe,0x3fe01fff,0x3ea01fff,0xff50ffff,
    0x3fffa9ff,0x3ff2000f,0x7ff40cff,0x7fffdc0f,0x3ffee006,0xffff104f,
    0x0bfffea9,0x3e237fd4,0x7f404fff,0xffc80fff,0x3ffffa04,0x7ffffd40,
    0x303effff,0x001fffff,0x1ffffee0,0xfffb0040,0x059bb930,0x3bffff20,
    0x7ec06fff,0x3fa04fff,0xff50ffff,0x3fffa9ff,0x7ffcc007,0x3ffa6fff,
    0xfffffb0f,0x7fdc005f,0xfff104ff,0x3fffea9f,0xb8bff702,0x7400ffff,
    0xffd06fff,0x7fffec07,0xfffffa80,0x40efffff,0x01fffff8,0xdffff900,
    0xfff98000,0x7ffffe43,0x7fcc00df,0x03ffffff,0x1fffffcc,0x3fffff62,
    0x9ffff50f,0x001bfffe,0x9fffffea,0xfff0fffe,0xb8007fff,0xf104ffff,
    0x3fea9fff,0x9ffb02ff,0x807fffd8,0xf884ffff,0x3ff202ff,0xff9101ff,
    0xffffffff,0x2fffff83,0xffffb000,0xffd80009,0x7ffffdc7,0xfe805fff,
    0x00ffffff,0xefffffd8,0xffffffdc,0xffff50ff,0x017fffe9,0x3ffffdc0,
    0x3fe1fffd,0xb8004fff,0xf104ffff,0x3fea9fff,0x7ffd02ff,0x405fffe8,
    0xa83ffff8,0x3ee00fff,0x64401fff,0xffffffff,0x1fffff46,0xffffe800,
    0x3fe60003,0x3bffe23f,0x01fffe99,0x7fffffdc,0xffff1005,0xffffffff,
    0x3ea1ffff,0xffff4fff,0xfff5000d,0x7fff4fff,0x7ffffff0,0xffffb800,
    0x9ffff104,0x40bfffea,0x7ffc2ffe,0x7ffd404f,0x06ffc81f,0x007fffe4,
    0x7ffeffcc,0x3ff62fff,0x20f206ff,0x02fffff9,0x51fff600,0x7fd47fff,
    0x7ffc404f,0x26002fff,0xffffffff,0x0fffff8e,0x3a9ffff5,0x4c006fff,
    0x25ffffff,0xffb0fffe,0x4005ffff,0x104ffffb,0x3ea9ffff,0xffb02fff,
    0x1ffffc47,0x21ffff60,0x6402fffa,0xf3007fff,0xffff915f,0x7ffffdc7,
    0x22fff882,0x00fffffe,0x87fff300,0x3e62fffb,0xffd805ff,0xd88007ff,
    0xf0dfffff,0x3ea1ffff,0xfffd4fff,0xfffd800f,0x0fffe84f,0x1bfffee2,
    0x4ffffb80,0x29ffff10,0x902ffffa,0xffff89ff,0x3fffe604,0x037ffc46,
    0x8037ffec,0xfff12ff9,0x7fffc4bf,0xffffc86f,0x5fffffce,0x1fff6000,
    0xf887fff2,0xffd806ff,0x4c0004ff,0xfffff80a,0x29ffff50,0x000ffffd,
    0x741bfffe,0xffe80fff,0xff7000ff,0x3fe209ff,0xffff54ff,0xd17fee05,
    0x7ec0dfff,0x3fa24fff,0xffd802ff,0x3b72e65f,0x7ec5ff30,0x7ffd45ff,
    0x3f661eff,0xffffffff,0xff30000f,0x3fff907f,0x2037ffc4,0x01fffff9,
    0x3ffe0000,0xffff50ff,0x03fffee9,0x1ffffc40,0xa80fffe8,0x7001ffff,
    0x2209ffff,0xff54ffff,0x3fea05ff,0x17fffe47,0x9fffffdc,0x004fffe9,
    0x7dc7fffd,0x5ff33fff,0x7427fff4,0x9bffffff,0xffffff70,0x6c0007ff,
    0xfff707ff,0x02fffcc5,0x0dffffb1,0xfff80000,0xffff50ff,0x07fffe69,
    0x0ffffd40,0x880fffe8,0x7003ffff,0x2209ffff,0xff54ffff,0x3fe205ff,
    0x3fffe22f,0xfffebaef,0xfffeffff,0xfff1004f,0x7fffcc5f,0xf32ff98f,
    0xff305fff,0xffffffff,0xffffffff,0x3e60001f,0xfff503ff,0x327ffd47,
    0xfffff955,0x8000007f,0xf50fffff,0x7ffc9fff,0xfff5003f,0x3fffa03f,
    0x07ffff00,0x13fffee0,0xaa7fffc4,0x3602ffff,0x7ffdc6ff,0xffffffff,
    0xffffffff,0x3ffe6002,0x7ffff41f,0xfe9affae,0xfd300fff,0xffffffff,
    0xffffffff,0xffb0007f,0x77ffc40f,0x22fffd88,0xfffffffa,0x8000006f,
    0xf50fffff,0x7ff49fff,0xfff7005f,0x3fffa01f,0x09ffff00,0x13fffee0,
    0xaa7fffc4,0x2a02ffff,0x7fdc2fff,0xf9dfffff,0x1fffffff,0x3fffdc00,
    0x7fffffd4,0xfffffeff,0xffffb803,0xffffffff,0x2effffff,0x07fff300,
    0xffffffc8,0x7ffcc6ff,0x001fffff,0xffff8000,0x9ffff50f,0x803fffdc,
    0xd00ffffb,0x3fe01fff,0xff7004ff,0x3fe207ff,0xffff54ff,0x0ffff805,
    0x1677ee44,0x0159dfb3,0xfb035551,0x3ff209ff,0xffffffff,0x322005ff,
    0xeffffffe,0xfffffbbc,0xfffb005f,0xffffb100,0xff883dff,0x001effff,
    0xffff0000,0x3fffea1f,0x00ffffc4,0x807fffdc,0xff00fffe,0x3ee009ff,
    0xff103fff,0x3ffea9ff,0x7ffcc02f,0x1000000e,0xff01fffd,0x7fe403ff,
    0xffffffff,0x54c40004,0xffffd101,0x7fff3003,0x77fedc00,0x2f372e04,
    0x40000002,0x40019999,0xc803fffb,0xfd00ffff,0x3ffe01ff,0xfff9005f,
    0x3ffe207f,0x5ffff54f,0x3dfff700,0xfe980000,0xfff982ff,0xfffda806,
    0x0002dfff,0x2ffdc000,0x00000000,0x00000000,0xfff00000,0xfffe880d,
    0x03fffa07,0x007ffff4,0x0bffffe6,0xaa7fffc4,0xb002ffff,0x0019ffff,
    0xffffc880,0x09fff904,0x01ffdc40,0x54000000,0x00000000,0x00000000,
    0x2e000000,0x6e440fff,0x206fffff,0xfb00fffe,0x439dffff,0xffffffff,
    0xffb99931,0x3ffea9ff,0x102cccdf,0x7bfffffb,0x3f2a2001,0x3a04ffff,
    0x4c000fff,0x000002ff,0x00000000,0x00000000,0x00000000,0x444fff88,
    0x3fffffff,0x403fffa0,0xfffffffa,0xffffff12,0x3ffea1ff,0xf54fffff,
    0x7fffffff,0xfffffa80,0xccceefff,0xfffffeed,0x3fea02ff,0xff98003f,
    0x00000002,0x00000000,0x00000000,0x90000000,0xfff88fff,0x7f407fff,
    0x3ffa00ff,0xff52ffff,0x545fffff,0xffffffff,0xffffff54,0xf91007ff,
    0xffffffff,0xffffffff,0xfd8019ff,0x9910006f,0x00000003,0x00000000,
    0x00000000,0x20000000,0x3e23fff8,0x401dffff,0x2200fffe,0x72fffffc,
    0x87ffffff,0xfffffffa,0xfffff54f,0xa8007fff,0xfffffffd,0x2dffffff,
    0x05fff300,0x00000000,0x00000000,0x00000000,0x00000000,0x224eeb80,
    0xb001bcce,0x53001ddd,0x32e23b99,0xaa880abd,0x11aaaaaa,0x55555555,
    0x554c0003,0x9aaccdcb,0x2f75c000,0x4eee8800,0x002f774c,0x01599975,
    0x65cc4000,0x00009abc,0x000006a6,0x76c006a6,0x0000004e,0x00000000,
    0x00000000,0x00000000,0xfa800000,0x7ffdc4ff,0xffffa805,0x000cffff,
    0x3fffff20,0x003fffff,0x3fffffa6,0x0ffff90d,0xffffec88,0x3ff600cf,
    0x53000007,0x54c00001,0x0000abcc,0xcccba880,0x400009ab,0x0000eeeb,
    0x00133331,0x40001331,0x7e42fffc,0x7fe403ff,0xffffffff,0xffe88006,
    0xffffffff,0x7dc01fff,0xefffffff,0x207fffc8,0xffffffe9,0xff701fff,
    0x7fdc001f,0xfffb50ff,0x320009ff,0xfffffffe,0x40000dff,0xffffffda,
    0x000cffff,0x000fffd0,0x01fffff4,0x9dffffd7,0x3fffb000,0x201fffe8,
    0xfffffffa,0x004fffff,0x3fffffa6,0xffffffff,0xfff700ff,0xffffffff,
    0x2a0ffffd,0xffffffff,0xf980ffff,0x3ee002ff,0xfffb8fff,0x00dfffff,
    0xfffffd30,0xffffffff,0xffb10007,0xffffffff,0x8007ffff,0x0005fff8,
    0x20fffffa,0xffffffd8,0x3e000eff,0xffff87ff,0x3ffff600,0xffffb30c,
    0x3fff6001,0xfeddffff,0xf06fffff,0x77bfffff,0xfffffffd,0xffffff10,
    0xbffffffd,0x8013ffe0,0xffdffffb,0xffffffff,0xffffb806,0xffffffff,
    0x000effff,0xffffffd3,0xffffffff,0x7d4007ff,0x3a0003ff,0xfe83ffff,
    0xffffffff,0xff9800ff,0x37ffcc6f,0x21ffffe0,0x802ffff9,0x1cfffff8,
    0xfffffe98,0x7ffffdc2,0xfffffb81,0xeffffc87,0x3ffffea0,0x006ffe80,
    0x3fffffee,0xffffdcdf,0x3fea03ff,0xefffffff,0xffffffff,0xffff8806,
    0xffefffff,0x2fffffff,0x03fff900,0x7ffff400,0x7ffffd43,0x3fffffff,
    0x44fffa80,0x7c04fffb,0xff80ffff,0xffa802ff,0x7fd405ff,0x7ffc3fff,
    0x3ff603ff,0x7ffc47ff,0xfffd80ff,0x0fffc82f,0xfffff700,0xfffd885f,
    0xffe880ff,0x4c0affff,0x4ffffffc,0x7ffffec0,0x7f6541bf,0xb007ffff,
    0xe8000fff,0x7f43ffff,0x3fea3fff,0x7775c7ff,0xeeefffee,0x5eefffee,
    0x89ffffb0,0x800ffffb,0x803ffffc,0x225ffffe,0x4c07ffff,0x7dc7ffff,
    0x79304fff,0xfff50135,0x3ffee005,0x3ffe02ff,0xfffc83ff,0x74c00dff,
    0x700fffff,0x03dfffff,0xffffff88,0x05fff802,0x7ffff400,0x1bfffe63,
    0xc8fffff6,0xffffffff,0xffffffff,0xfff707ff,0x3ffee5ff,0xfff7005f,
    0x555300ff,0x7fffcc13,0x7fffc406,0x0fffff47,0x3ffe2000,0xffff7004,
    0xffffb80d,0x7ffffcc4,0x3ffe2006,0xfffd05ff,0x3ea001ff,0x4c05ffff,
    0x40003fff,0x363ffffe,0xf982ffff,0x3ff26fff,0xffffffff,0xffffffff,
    0x3ffffa07,0x2fffffdf,0xfffff500,0x2a00017f,0xf805ffff,0x7ffc7fff,
    0xe80000ff,0xff7006ff,0xff980bff,0x7ffe45ff,0x7e4001ff,0x7cc1ffff,
    0x4003ffff,0x4009bcec,0x0001fffb,0xd1fffff4,0x3e01ffff,0x3ff27fff,
    0xffffffff,0xffffffff,0x3fffe607,0x02ffffff,0x3ffffe20,0x001befff,
    0x017fffee,0xff1ffffa,0x3fb26fff,0xff9002ce,0xfff7001f,0xfff8807f,
    0x7ffff47f,0xfff88005,0x7ffe42ff,0x0000006f,0x0000fffb,0x7c7ffffd,
    0x3fa07fff,0x33310fff,0x3339fff9,0x333bfff9,0xfffffc80,0xa8001eff,
    0xffffffff,0x5402dfff,0xf806ffff,0x3fe27fff,0xffffaeff,0xfa804fff,
    0xffb802ff,0x7fc403ff,0x3ffe27ff,0xfd0003ff,0xffe87fff,0x000004ff,
    0x000bfff0,0x27ffffd0,0x207ffff8,0x901ffffd,0xffc85fff,0xfff9003f,
    0x001fffff,0x7ffffe40,0xffffffff,0xfffff304,0x7ffff880,0x3fffffe6,
    0xffffffff,0x27ffc406,0x27fffdc0,0x9bfffe20,0x02fffff9,0xbffffb00,
    0x03fffff8,0xff980000,0xfe80003f,0xfff13fff,0x7ffec0df,0x3fffd02f,
    0x401fffe8,0xffffffe9,0x40003fff,0xfffffffa,0x85ffffff,0x02fffff8,
    0xa9fffff2,0xffffffff,0x3ffffffd,0x4037ff40,0x405ffffb,0x265ffff9,
    0x001fffff,0x4dffff90,0x02fffff8,0xffb80000,0xfe80001f,0xfff33fff,
    0x7ffec0df,0x0ffff03f,0xf980ffff,0xffffffff,0x02aa1fff,0xfffdb880,
    0xffffffff,0x7fffec0e,0xfffff306,0x7ffffd4f,0xfff711df,0x7fe401ff,
    0xffffb807,0x3ffee00f,0x3fffea4f,0xff70000f,0x7ffccfff,0x3fe201ff,
    0xffffffff,0x1fffb02f,0xfffd0000,0x3fffea7f,0x3ffff606,0x46fff983,
    0x2206fff9,0xacffffff,0xf0efffff,0x88009fff,0xffffffdb,0x7fd45fff,
    0xb98aefff,0x27ffffff,0x06fffff9,0x409ffff7,0x5c01fffa,0x203fffff,
    0x2a3fffff,0x000fffff,0x4fffff70,0x02fffff8,0x3fffffe2,0xf02fffff,
    0x20000dff,0xf53ffffe,0x7ec0dfff,0x95534fff,0x9555bfff,0x5555dfff,
    0x17ffffdc,0x3bfffff7,0x0009ffff,0xfffffb98,0xffffe87f,0xffffffff,
    0x3fe67fff,0xff102fff,0x7fc40bff,0x7ffdc03f,0x7ec43fff,0x7fc47fff,
    0x90001fff,0xff8dffff,0x3e203fff,0xffffffff,0xfff882ff,0xffd00004,
    0x3ffea7ff,0x3fff606f,0xfffff93f,0xffffffff,0x7cffffff,0xfd83ffff,
    0xffffffff,0x9100002f,0x883fffff,0xfffffffe,0x7ffffaff,0x07ffffe2,
    0x407ffff8,0x7dc05fff,0xceffffff,0x3ffffffd,0x02fffff8,0xbffffb00,
    0x04fffff8,0x3fffffe2,0xa82fffff,0x00002fff,0x267ffffd,0x3606ffff,
    0xff92ffff,0xffffffff,0xffffffff,0x3ffffe2f,0xffffe880,0xca87ffff,
    0x3a004fee,0xd883ffff,0x2fffffff,0xff8fffff,0x3fa01fff,0x7fec07ff,
    0x7fffdc07,0xffffffff,0xffd06fff,0x3a0007ff,0x7f43ffff,0x55405fff,
    0xffffaaaa,0x0fffc82f,0xfffd0000,0x3fffe25f,0x3ffff606,0xffffff91,
    0xffffffff,0x3eafffff,0x3e206fff,0x3fffffff,0x07ffffa8,0x13ffff60,
    0x0bdfeca8,0xfd1ffffe,0x7fc05fff,0x7fdc07ff,0x3ffee01f,0xfffffbbf,
    0xfb00dfff,0x3000dfff,0xb85fffff,0x001fffff,0x82fffff8,0x26206ffe,
    0x3fa02caa,0x3ffe2fff,0x3fffa07f,0xfff9530f,0xfff9555d,0x2655555d,
    0x200fffff,0x7ffffffa,0x5fffff10,0xfffff300,0xfff80005,0x7fffec7f,
    0x17fffe04,0x407fff30,0xd33ffffb,0x807dffff,0x03fffffb,0x7fffff40,
    0x7ffffc40,0xffff8005,0x27ffc42f,0x0bffff30,0xf17ffffc,0x3e01ffff,
    0xffb87fff,0x27ffd44f,0x7fffff10,0x7ffff440,0xfffd04ff,0xffd803ff,
    0x55e647ff,0x3ffe2009,0x7fffcc6f,0xffffa80f,0x05fff804,0x10ffffee,
    0x3e200153,0x000fffff,0x09fffff5,0x0bfffff6,0xfffff880,0x017ffd42,
    0x20fffff1,0x21fffff8,0x982ffffe,0xfc86ffff,0x7ffe42ff,0x7ffff402,
    0x7ffdc0bf,0x0dffffff,0x7fffffdc,0xffd5309c,0xffd8bfff,0xff900fff,
    0xfffb09ff,0x7ffdc7ff,0xffd801ff,0x3fffee07,0xff500003,0xc805ffff,
    0x00ffffff,0x7ffffff3,0xfffff700,0x0fffc85f,0x17ffffc0,0x23ffffdc,
    0xc86ffffa,0xfe83ffff,0x7fff41ff,0x7fffcc01,0xfffeefff,0xffffffff,
    0x7ffec2ff,0xffffffff,0x42ffffff,0xbefffffb,0xffffcb99,0xffff981f,
    0xffffffff,0xfff7005f,0x3fffee03,0x3f600003,0x9bdfffff,0xffffeba8,
    0x7fdc03ff,0x8abeffff,0xfffffca9,0x7ff42fff,0xffffe806,0xfffb98bf,
    0xffff85ff,0x3fffe62f,0x87fff80f,0xf9007fff,0xffffffff,0xffdfffff,
    0xe885ffff,0xffffffff,0x4fffffff,0xffffff88,0xffffffff,0x3fff204f,
    0xffffffff,0xfff3000f,0x3fffee07,0x3e600003,0xffffffff,0xffffffff,
    0xfffb006f,0xffffffff,0xffffffff,0x27ffc41d,0x7ffffcc0,0xffffffff,
    0xffffc81f,0xfffffeff,0x45fff984,0x2006fff9,0xfffffffa,0xf52effff,
    0x36209fff,0xffffffff,0x203fffff,0xfffffff9,0x0effffff,0x7ffffdc0,
    0x000effff,0xfb82fffc,0x00003fff,0x7fffff4c,0xffffffff,0x7e4004ff,
    0xffffffff,0xffffffff,0x1fffd40d,0xfffffd80,0x4fffffff,0xfffffd10,
    0x01ffffff,0xfa89fff7,0x644004ff,0xefffffff,0x805fd884,0xffffffd9,
    0x9800ceff,0xfffffffc,0x26003fff,0x3ffffffd,0x0fffb000,0x00ffffee,
    0x7ffdc000,0xffffffff,0xf50001ef,0xffffffff,0x03bfffff,0x4007fff2,
    0xffffffd8,0x4404ffff,0xfffffffd,0x555301ef,0x00aaa981,0x06aa6200,
    0x22000540,0x0009aaa9,0x99997510,0x4c000135,0x4c00009a,0xfff702aa,
    0x4000007f,0xfffffec8,0x00003def,0xffffffb5,0xe80159df,0xfa8007ff,
    0x2dffffff,0x3fffb200,0x00000dff,0x00000000,0x00000000,0x00000000,
    0x99880000,0x00000099,0x0026a620,0x55330000,0x55550001,0x554c4000,
    0x2a200009,0x0000000a,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xa9880000,0x26000001,0x53001999,0x26662001,0x20000009,
    0x98800998,0x22001999,0x20009999,0x0abccb98,0x09999880,0x65440000,
    0x07001abc,0x00cccccc,0x4ccccc40,0x06666660,0x99999880,0x02666620,
    0x7ffffecc,0x400001ef,0x300fffff,0x5bfffffb,0x1ffffe40,0x3b660000,
    0x204effff,0x007ffffa,0x013ffff6,0x3fffffaa,0x2a02efff,0x0004ffff,
    0x3fffff60,0x1baa00ff,0x4fffffc8,0x3fffe200,0x3fff20ff,0xff8803ff,
    0x3f60ffff,0xffc85fff,0xffffffff,0x3fe00004,0xffc80fff,0x4fffffff,
    0x07ffff90,0x7ffd4000,0x1effffff,0x07ffffa8,0x13ffff60,0xfffffd88,
    0xdfffffff,0x4ffffa80,0xfffb0000,0x220fffff,0x7f406ffd,0x9001ffff,
    0x885fffff,0x00ffffff,0x1fffffe4,0x717ffff6,0xffffffff,0x0007ffff,
    0x03ffffe0,0xfffffffb,0xc81bffff,0x0003ffff,0xffffff70,0x81ffffff,
    0x007ffffa,0x413ffff6,0xfffffffa,0xffffffff,0x7fffd40f,0xffa80004,
    0x86ffffff,0x406ffff8,0x05fffff9,0x5fffff98,0xbfffff50,0x7ffffcc0,
    0x5ffffd86,0x3fffffe2,0xffffffde,0xfff80001,0x3ffea0ff,0xffffffff,
    0x7ffe43ff,0xf880003f,0xffefffff,0x7d45ffff,0x36007fff,0xf984ffff,
    0xefffffff,0xffffffff,0x27fffd46,0x7ffdc000,0x88199aef,0xd806ffff,
    0x402fffff,0x00fffffd,0x0bfffff6,0x0ffffff4,0x72ffffec,0x443dffff,
    0x003ffffd,0x0fffff80,0x3bffffd1,0x1fffffaa,0x007ffff9,0xbffff700,
    0x3fffee23,0x3fffea1f,0x3fff6007,0xffffd84f,0xfb5109df,0x547fffff,
    0x0004ffff,0x03ffffc8,0x06ffff88,0xffffff88,0xfffff500,0xffff8807,
    0x7ffdc0ff,0xfffb04ff,0x7fffe4bf,0x5ffff982,0xffff8000,0xbffff50f,
    0x8fffffa0,0x003ffffc,0x0ffffe80,0x23ffffe8,0x007ffffa,0x513ffff6,
    0x807fffff,0x27fffffa,0x004ffffa,0x1ffffd80,0x6ffff880,0xfffff500,
    0x3ffffa09,0xffff7006,0x7fffc49f,0x3fff606f,0x1ffff65f,0x006fffe8,
    0xffff0353,0x3fffee1f,0xdffff502,0x21ffffe4,0xc8800aa8,0xff705ffe,
    0x7ffd49ff,0x3ff6007f,0x7fff44ff,0xfffb005f,0x3ffea5ff,0x001a984f,
    0x403ffffb,0xfffffffb,0x3f602fff,0x7dc0ffff,0x2001ffff,0x91fffffd,
    0x403fffff,0x2e5ffffc,0xf880ffff,0x3a604fff,0xf0dfffff,0x3f21ffff,
    0xff101fff,0x3ff21fff,0xfffd53ff,0x044009ff,0x21ffffd8,0x007ffffa,
    0xa93ffff6,0x001fffff,0x5437bff1,0xfb14ffff,0xc81bffff,0xffffffff,
    0x7ffdc7ff,0x2fffffff,0x3ffffe20,0x3ffffe25,0x7ffc4004,0xffff9eff,
    0x7ffdc04f,0x3fffe64f,0x1ffffb83,0xffffff70,0xffff3dff,0x3ffff61f,
    0x3ffffe00,0x97ffff91,0xffffffff,0x7c40001d,0x7fd47fff,0x3f6007ff,
    0x3ff24fff,0x004005ff,0xf39ffff5,0xffffffff,0x7ffffe45,0x5c7fffff,
    0xffffffff,0x7fdc02ff,0xfffb2fff,0xf70001df,0xffffffff,0xffb801ff,
    0x7fff43ff,0xfffc99cf,0xffff707f,0xffffffff,0x3f61ffff,0x3fe01fff,
    0xfff92fff,0xffffffff,0x000dffff,0x9ffffd73,0x07ffffa8,0x93ffff60,
    0x004ffffd,0x3fffea00,0xfffffffe,0x3ff27fff,0xffffffff,0x7ffffdc7,
    0x802fffff,0xf9effffe,0x0002ffff,0x3ffffffa,0xfa802fff,0x7ec42fff,
    0xffffffff,0xfff880ef,0xfebbdfff,0x70ffffff,0x2205ffff,0xf93fffff,
    0x59ffffff,0x7fffffd9,0x7fffe400,0xfffa83ff,0x3ff6007f,0x3fffa4ff,
    0x2a00003f,0xdfffffff,0xfffffecb,0xffffff92,0x220fffff,0x8006ffff,
    0xfffffff9,0x40005fff,0xfffffff9,0xfff3005f,0x3fff205f,0x205fffff,
    0x82fffffc,0x0ffffffb,0x20bffff5,0x93fffffb,0x01dfffff,0x01fffffb,
    0x3fffff60,0xfffff502,0x7fffec00,0x0bffffe4,0xfffa8000,0xffe81fff,
    0xfffd85ff,0xfff8801f,0xff90006f,0x1fffffff,0xfff90000,0x2001ffff,
    0xa81ffff8,0xfffffffe,0xffff01ef,0x7fff407f,0x3fffa0ff,0x3ffee0cf,
    0xfff94fff,0x3fe203ff,0xfd003fff,0x507dffff,0x400fffff,0xf14ffffd,
    0x0003ffff,0x7ffffd40,0xbffff502,0x03ffffb0,0x0dffff10,0x3fffe200,
    0x0003ffff,0xffffff30,0xffff8009,0x7ffffdc0,0x3fffffff,0x03ffffc4,
    0x83ffffea,0xdffffffa,0xffffffff,0x0bffff94,0x04ffffc8,0xffffddf0,
    0x7ffd41bf,0x3ff6007f,0xffff34ff,0x5400003f,0x2207ffff,0xfd86ffff,
    0xf8801fff,0x20006fff,0x6ffffffa,0x3ffa0000,0x000fffff,0xff51fffe,
    0xf9115fff,0x7cc9ffff,0x7c406fff,0x7ec0ffff,0xffffffff,0xf93fffff,
    0xfa809fff,0xa8005fff,0x2a5ffffe,0x2007ffff,0x3e3ffffd,0x0002ffff,
    0x1bfffea0,0x86ffff88,0x801ffffd,0x006ffff8,0x7ffffec0,0xff700001,
    0x0bffffff,0x363fff40,0xf881ffff,0x3fea7fff,0xfff805ff,0xfffb80ff,
    0xffcdffff,0xffff92ff,0xffff9807,0xfff10006,0x3ffea3ff,0x3ff6007f,
    0x3fffa3ff,0x2a00003f,0x2205ffff,0xfd87ffff,0xf8801fff,0x40006fff,
    0x006ffffb,0xfffff100,0x007fffff,0xfff1bff6,0x7ffec0ff,0xbffff71f,
    0x1fffff00,0x37ffb260,0x25ffffb3,0x403ffffc,0x007ffff8,0x53ffffa0,
    0x007ffff9,0xd8fffff6,0x4004ffff,0xffff502a,0x7fffc409,0x1ffffd87,
    0x6ffff880,0x7ffdc000,0xfb00006f,0xffffffff,0xff9001ff,0x27fffccb,
    0x27ffff50,0x805ffffa,0x000fffff,0x23ffffd0,0x403ffffc,0x006ffff9,
    0x57fffee0,0x007ffff9,0xc8fffffa,0x4006ffff,0xf50adffe,0x7c409fff,
    0xffd87fff,0xff8801ff,0x5c0006ff,0x0006ffff,0xefffffa8,0x05fffffb,
    0x3ee4ffc8,0x3e604fff,0xfff35fff,0xfff880df,0xff0000ff,0x3ff21fff,
    0x7fd404ff,0x5d4c45ff,0x3fffee01,0x3fffff15,0x3ffffe00,0x3ffffea2,
    0xffff3002,0x3fffea5f,0x3fffe204,0x1ffffd87,0x7ffff880,0x7ffdc000,
    0x7c40006f,0xfb1fffff,0xb807ffff,0x3ffe64ff,0x3ffea06f,0xfffff13f,
    0x7fffd401,0x0aea660f,0x937fffd4,0xc80fffff,0x3ee4ffff,0x3fa05fff,
    0x3ffe4fff,0xffa806ff,0x7ff41fff,0xffd006ff,0x7ffd4fff,0x3ffe204f,
    0xffffd87f,0xffff8801,0x7fdc0007,0x6c0006ff,0x223fffff,0x00ffffff,
    0xff882662,0xffb01fff,0x7fff45ff,0x3fffa04f,0xffff10ff,0x3ffff60f,
    0x3fffff22,0xfffff103,0x7ffffcc5,0xfffff980,0x3fffff62,0x3fffe203,
    0xffffa87f,0x3ff600df,0x3fea4fff,0x3fe204ff,0xfffd87ff,0xfff8801f,
    0x700020ff,0x000dffff,0x37ffffd4,0x2fffffdc,0xffffe800,0x3fff222e,
    0x3ffea0ff,0xfffd83ff,0x3ffa0fff,0x3ff20cff,0x7ffe46ff,0x7f442fff,
    0xffe86fff,0x3faa2dff,0x3e60ffff,0x9cefffff,0xffffeb98,0xffffb03f,
    0xd73157ff,0x41ffffff,0x204ffffa,0xd87ffff8,0xf001ffff,0x5fdfffff,
    0xffffb800,0xfff10006,0x3fa03fff,0xfb82ffff,0x3fea3fff,0xffdeffff,
    0xfe84ffff,0xedceffff,0x0fffffff,0x3fffffee,0x2ffffffd,0x7fffffe4,
    0xffffdcef,0xfffa82ff,0xffffefff,0xffd82fff,0xffffffff,0x0fffffff,
    0xffffff10,0xffffffff,0xffa85fff,0x3fe204ff,0xfffd87ff,0xfffb001f,
    0x8007ffff,0x006ffffb,0x9fffffb0,0x7ffffcc0,0x7fffdc0f,0x7ffffe43,
    0x6fffffff,0xffffff50,0xffbdffff,0xfffe81ff,0xffffffff,0xcffffc85,
    0xffffffff,0x3ff206ff,0xffffffff,0xffd304ff,0xffffffff,0x807fffff,
    0xffffffe8,0xffffffff,0x4ffffa83,0x1ffffe20,0x007ffff6,0x7fffffd4,
    0x7fdc004f,0xfa8006ff,0x400effff,0x45fffffc,0xc83ffffb,0xffffffff,
    0x3e600dff,0xefffffff,0x40ffffc8,0xfffffff8,0xff903fff,0xffff71ff,
    0x900bffff,0xffffffff,0xfd8807ff,0xffffffff,0x2001efff,0xfffffffb,
    0x502fffff,0x4409ffff,0xfd87ffff,0x2a001fff,0x04ffffff,0x37fffdc0,
    0x3fffe200,0xffd002ff,0x7fdc5fff,0xffb303ff,0x005fffff,0x3fffff62,
    0x03ffff24,0x3fffff22,0x3ff201df,0xfffb50ff,0x6cc007df,0x0dffffff,
    0x3fffaa00,0x04efffff,0xfffd9300,0xa807ffff,0x2204ffff,0xfd87ffff,
    0x98001fff,0xf700009a,0xc800dfff,0x005fffff,0x3fffffe6,0x07ffff70,
    0x00135530,0x000054c0,0x000554c4,0x0002a600,0x00035530,0xaaaaa988,
    0x54c00000,0x0000001a,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x44000000,0x88009999,0x80099999,0x26099998,0x00009999,0x98133333,
    0x99999999,0x99999999,0x4ccccc19,0x99999999,0x09999999,0x00133331,
    0x84cccc40,0x99999998,0x00099999,0x20aaa980,0x20019999,0x31099998,
    0x01333333,0x26666660,0x20000019,0xb0099998,0xd00bffff,0x00dfffff,
    0x6c5ffffd,0x8007ffff,0x40fffffa,0xffffffff,0xffffffff,0xfff30fff,
    0xffffffff,0xffffffff,0x3fffee9f,0x3fea0003,0xffff54ff,0xffffffff,
    0x10005dff,0x3e67ffff,0x5002ffff,0x3ea9ffff,0x05ffffff,0xffffff88,
    0xfffff17f,0x7fdc0001,0xfff706ff,0xfff880ff,0x2200ffff,0x2a0fffff,
    0x002fffff,0x437fffec,0xffffffff,0xffffffff,0xfff30fff,0xffffffff,
    0xffffffff,0x3fffee9f,0x3fea0003,0xffff54ff,0xffffffff,0x001dffff,
    0x99ffffe4,0x006fffff,0x2a9ffff5,0x7fffffff,0xfffffb80,0xffff17ff,
    0x7dc0001f,0xff306fff,0x7d401fff,0x02ffffff,0x21ffffea,0x005fffff,
    0x0fffffe2,0x3ffffffe,0xffffffff,0xff30ffff,0xffffffff,0xffffffff,
    0x3ffee9ff,0x3ea0003f,0xfff54fff,0xffffffff,0x1dffffff,0xfffff700,
    0x3ffffe67,0xfffa804f,0xfffff54f,0xfd803fff,0x17ffffff,0x001fffff,
    0x37fffdc0,0x05fffff0,0x7fffffe4,0x3ffee04f,0xffffc85f,0x3ffea007,
    0xffff80ff,0xffffffff,0x0fffffff,0xfffffff3,0xffffffff,0x2e9fffff,
    0x0003ffff,0x553fffea,0xffffffff,0xffffffff,0x7fdc04ff,0xff33ffff,
    0x803fffff,0xf54ffffa,0x7fffffff,0xffffff80,0xffff17ff,0x7dc0001f,
    0x3f606fff,0x3fe04fff,0x06ffffff,0x20fffff6,0x02fffffa,0x0bffffb0,
    0x26666666,0xfffa9999,0x4ccc4fff,0xfffb9999,0x999999ef,0x7ffff709,
    0x7ffd4000,0xfffff54f,0xf7333333,0x01ffffff,0xffffffb3,0x3fffe67f,
    0x7d405fff,0xfff54fff,0x40bfffff,0xfffffff9,0xfffff17f,0x7fdc0001,
    0x3fee06ff,0xfff305ff,0x01ffffff,0x407ffffe,0x805fffff,0x02fffff8,
    0xffffe800,0x7fd4006f,0xff7006ff,0x540007ff,0xff54ffff,0xff900fff,
    0x7e447fff,0xffffffff,0xffffff33,0x7fd405ff,0xffff54ff,0x5c0fffff,
    0xffffffff,0x1fffff17,0x7ffdc000,0x3ffe606f,0xffff707f,0x303ffffd,
    0x640fffff,0x400fffff,0x007ffffa,0xfffffd80,0x7fd4000f,0xff7006ff,
    0x540007ff,0xff54ffff,0xff100fff,0x3fe29fff,0xffffffff,0xfffff33f,
    0x2a01ffff,0xff54ffff,0x5ffffbff,0x3f7fff60,0xfff17fff,0x5c0001ff,
    0x7c06ffff,0xfd81ffff,0xffffafff,0x5ffffa84,0x3ffffe60,0x7fffec02,
    0x7fdc0004,0x8001ffff,0x006ffffa,0x107ffff7,0x41ffffff,0xf54ffffa,
    0x3a00ffff,0xff15ffff,0xfff9bfff,0x3fffe67f,0x504fffff,0x3ea9ffff,
    0xffffbfff,0xf7ffff04,0x3fe2ffff,0x20000fff,0x406ffffb,0xf83ffffe,
    0xfff8efff,0xffffc86f,0x7ffff403,0x3fffe205,0x3e60002f,0x002fffff,
    0x0dffff50,0x0ffffee0,0x3fffffd1,0x54ffffa8,0x200fffff,0xf14ffffe,
    0x3ff27fff,0xffff33ff,0x03ffffff,0x2a9ffff5,0xffdbffff,0xffff986f,
    0xf17ffff9,0x0001ffff,0x037fffdc,0x313ffff2,0x3fa7ffff,0xfffe87ff,
    0x7ffdc01f,0xfff500ff,0x7c4000ff,0x004fffff,0x1bfffea0,0x1ffffdc0,
    0x07fffff6,0x553fffea,0x8807ffff,0xf12fffff,0x7ffe439f,0xbffff33f,
    0x50dffffd,0x3ea9ffff,0xfffbbfff,0xbfffdc0f,0xff17ffff,0x40001fff,
    0x406ffffb,0x5c6ffffa,0xff71ffff,0xffff83ff,0xffff8807,0xffffb02f,
    0x7ff40009,0x40005fff,0x006ffffa,0x6c7ffff7,0x501fffff,0x3ea9ffff,
    0x74407fff,0x911fffff,0x7ffff901,0x2b3fffe6,0x543fffff,0xff54ffff,
    0xffff17ff,0xf5fffd85,0x3fe2ffff,0x20000fff,0x406ffffb,0x20fffff8,
    0x3e67fffd,0x3fe63fff,0xffd005ff,0x3ffe0bff,0xfb0001ff,0x001dffff,
    0x6ffffa80,0x7ffff700,0x0bfffff2,0x54ffffa8,0x555fffff,0xffffb755,
    0x3f200fff,0xfff33fff,0x3ffff69f,0x3fffea0f,0x27ffff54,0x7fc4ffff,
    0xfffff3ff,0x03ffffe2,0xffffb800,0xffffe806,0xf17fffe1,0x7fdcdfff,
    0xff7003ff,0xffa81fff,0xf70006ff,0x003fffff,0xdffff500,0x3fffee00,
    0x2fffffbb,0xa7fffd40,0xfffffffa,0xffffffff,0xf9002fff,0x3fe67fff,
    0xffff14ff,0x7fffd4bf,0x27ffff54,0x3e66fffd,0xffff1fff,0x3ffffe2f,
    0x3fee0000,0xffc806ff,0xffff33ff,0x27fffd87,0x001ffffd,0x87fffff1,
    0x003ffffd,0xffffffa8,0xff500002,0x3ee00dff,0xffffefff,0xfffa803f,
    0xfffff54f,0xffffffff,0x4007ffff,0xf33ffffc,0x7fdc9fff,0xfff51fff,
    0x3fffea9f,0x21ffff73,0x3fe7fffb,0xffff17ff,0x7dc0001f,0xfa806fff,
    0xfff95fff,0xffffb83f,0x01ffffd1,0x2ffffec0,0x003ffffe,0xffffff10,
    0x7d400007,0xf7006fff,0xffffffff,0xfff5005f,0x3fffea9f,0xffffffff,
    0x4003ffff,0xf33ffffc,0xffe89fff,0xffff56ff,0x4ffffea9,0xfd2ffff8,
    0x7fffcbff,0x1fffff17,0x7ffdc000,0xfff8806f,0x0ffffd7f,0xf17ffff3,
    0xa800dfff,0xf50fffff,0x8800dfff,0x05fffffe,0x7ffd4000,0xfff7006f,
    0xffffffff,0xffffa801,0xffffff54,0xddffffff,0x3ff20007,0xffff33ff,
    0xfffff989,0x54ffffab,0x7fc7ffff,0xffff8dff,0x45ffffe3,0x000fffff,
    0x1bfffee0,0x4fffffc0,0xff05ffff,0xffff5bff,0xfff88009,0xffff93ff,
    0xfffd8007,0x00000eff,0x037fffd4,0xffffffb8,0x404fffff,0xf54ffffa,
    0x0000ffff,0x3ffffc80,0x909ffff3,0xff7fffff,0x3ffea9ff,0x3ffff63f,
    0x3e1ffffa,0xfff17fff,0x5c0001ff,0xb006ffff,0xfffbffff,0x3fff605f,
    0x02ffffcf,0x6ffffd80,0x001fffff,0x7fffffdc,0xfa800000,0xf7006fff,
    0xffbfffff,0x7d401fff,0xfff54fff,0x800000ff,0xf33ffffc,0xff109fff,
    0xffffffff,0x8ffffea9,0xffeffffb,0xbffffc7f,0x00fffff8,0x3fffee00,
    0xffff7006,0x201fffff,0xfffffffa,0xfa8000ff,0xfffbffff,0x3fea005f,
    0x0001ffff,0xdffff500,0x3fffee00,0xbffff95f,0xa7fffd40,0x007ffffa,
    0x7ffe4000,0x9ffff33f,0x3ffffea0,0xff54ffff,0x7ffc47ff,0x7c5fffff,
    0xfff17fff,0x5c0001ff,0x3006ffff,0xffffffff,0x7fffc40d,0x0006ffff,
    0x3ffffffe,0xf3002fff,0x007fffff,0x7ffd4000,0xfff7006f,0x3ffe21df,
    0xfff501ff,0x3fffea9f,0x64000007,0xff33ffff,0x7fec09ff,0x54ffffff,
    0xff87ffff,0x43ffffff,0xff17ffff,0x40001fff,0x006ffffb,0x3ffffffe,
    0x7fff404f,0x0004ffff,0x3ffffff2,0xfd1007ff,0x000bffff,0xffffa800,
    0xffff7006,0x6ffffb87,0x29ffff50,0x007ffffa,0x7ffe4000,0x9ffff33f,
    0x7ffffcc0,0xfff54fff,0xffffd87f,0x7ffc1fff,0xfffff17f,0x7fdc0001,
    0x3f6006ff,0x02ffffff,0x7fffffe4,0x3e60002f,0x5fffffff,0xfffff900,
    0x5555557f,0x35555555,0x3fffea00,0xffff7006,0x7ffffd07,0x29ffff50,
    0x007ffffa,0x7ffe4000,0x9ffff33f,0xfffffc80,0xffff54ff,0xfffffb87,
    0x7ffff87f,0x57fffff1,0x55555555,0x3fee1555,0x3ee006ff,0x00ffffff,
    0x7fffffd4,0x7f40000f,0x02ffffff,0xffffff90,0xffffffff,0x0bffffff,
    0x1bfffea0,0x1ffffdc0,0x07ffffd4,0x553fffea,0x0007ffff,0x7fffe400,
    0x09ffff33,0xffffffd0,0x0ffffea9,0xbffffff3,0x22fffff0,0xffffffff,
    0xffffffff,0xffff71ff,0x7ffcc00d,0xf8806fff,0x006fffff,0xfffffb80,
    0x3ff2007f,0xffffffff,0xffffffff,0xff5005ff,0x3ee00dff,0xffb03fff,
    0xfffa89ff,0xfffff54f,0xfc800000,0xfff33fff,0xfff5009f,0x3fea9fff,
    0xffff83ff,0xffff83ff,0xffffff17,0xffffffff,0x3ee3ffff,0x22006fff,
    0x04ffffff,0x9fffffd0,0xfff10000,0x64009fff,0xffffffff,0xffffffff,
    0x5005ffff,0x200dffff,0x303ffffb,0x541fffff,0xff54ffff,0x00000fff,
    0x33ffffc8,0x2009ffff,0x54fffffd,0xfb07ffff,0xff03ffff,0x3ffe2fff,
    0xffffffff,0x1fffffff,0x00dffff7,0x2fffffe8,0xfffff900,0x3fa00007,
    0x2001ffff,0xfffffffc,0xffffffff,0x005fffff,0x00dffff5,0x80ffffee,
    0x2a5ffffd,0xff54ffff,0x00000fff,0x33ffffc8,0x2009ffff,0x54fffff8,
    0xf707ffff,0x3fe0ffff,0xffff17ff,0xffffffff,0x23ffffff,0x006ffffb,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x98000000,0x22001999,0x40999999,0x99999999,0x00199999,
    0x00199998,0x00266662,0x9800d4c4,0x99999999,0x99999999,0x33333310,
    0x33333333,0x4c433333,0x99999999,0x4c000999,0x99999999,0x00009999,
    0x01555500,0xffffff98,0x0fffffff,0x99998800,0xfff98000,0xffd1007f,
    0x7cc3ffff,0xffffffff,0xceffffff,0x7fffcc00,0x3fff2007,0x3ff6205f,
    0x302effff,0xffffffff,0xffffffff,0x3fffeabf,0xffffffff,0x0fffffff,
    0xfffffff5,0x9fffffff,0xffff9801,0xffffffff,0x0002dfff,0x03ffff70,
    0xffffffb8,0x0fffffff,0x7fffc400,0x7cc000ff,0xfd007fff,0x983fffff,
    0xffffffff,0xffffffff,0x3fe601ff,0x3f2007ff,0xff905fff,0xffffffff,
    0xffff981b,0xffffffff,0xf55fffff,0xffffffff,0xffffffff,0x3ffea1ff,
    0xffffffff,0x203fffff,0xfffffff9,0xffffffff,0x20000eff,0x01fffff9,
    0x7fffffe4,0x0fffffff,0x7fffdc00,0x7cc003ff,0xfd807fff,0x981fffff,
    0xffffffff,0xffffffff,0xff303fff,0x7e400fff,0xffb85fff,0xffffffff,
    0x7ffcc6ff,0xffffffff,0x55ffffff,0xffffffff,0xffffffff,0x3fea1fff,
    0xffffffff,0xefffffff,0xfffff980,0xffffffff,0x006fffff,0x3fffffa0,
    0x7ffff401,0xffffffff,0x7ff4000f,0x4007ffff,0x407ffff9,0x1ffffffd,
    0xffffff30,0xffffffff,0x01ffffff,0x00fffff3,0x22ffffe4,0xfffffff9,
    0x4fffffff,0x3fffffe6,0xffffffff,0xfff55fff,0xffffffff,0xffffffff,
    0x3ffffea1,0xffffffff,0x985fffff,0xffffffff,0xffffffff,0xc8004fff,
    0x01ffffff,0x777ffffc,0x0eeeeeee,0x3fffe600,0x2002ffff,0x207ffff9,
    0x2ffffffc,0x3ffffe60,0x99999999,0x3ffffffb,0x07ffff98,0x17ffff20,
    0x45dffffb,0x0fffffd9,0x33fffff3,0x33333333,0x3ffea133,0x999999ff,
    0x19999999,0x27ffffea,0xfeb99999,0x4c2fffff,0x999fffff,0xffc99999,
    0x4c006fff,0x1fffffff,0x0ffffe20,0x3ff20000,0x05ffffff,0x1ffffe60,
    0x7fffffdc,0x7fffcc02,0xffff1007,0xffff30bf,0x7ffe400f,0x7ffffc5f,
    0xfffff880,0x0fffff31,0x7fffd400,0xffa80007,0xfea807ff,0x7fcc6fff,
    0xff5007ff,0x74001fff,0x1fffffff,0x0bfffea0,0x3ffe0000,0x0fffffff,
    0xfffff300,0xffffff70,0xffff3005,0x7ffe400f,0xffff987f,0x3fff2007,
    0x3fffe65f,0x3ffff605,0x0fffff33,0x7fffd400,0xffa80007,0xff5007ff,
    0x7fcc9fff,0x3fe007ff,0xf9002fff,0x3fffffff,0x07fffe40,0x3fea0000,
    0xffffddff,0xffff3003,0xfffffa8f,0xfff3002f,0x7fd400ff,0x7fcc0fff,
    0x3f2007ff,0x32e25fff,0x3ff203ed,0xffff33ff,0x7fd4000f,0xa80007ff,
    0x2007ffff,0x267ffffd,0x2007ffff,0x800ffffe,0xffeffff9,0x3ff601ff,
    0x0157517f,0x7fffec00,0x07ffffaa,0x4fffff30,0x3ffffff9,0x3fffe600,
    0x3fff2007,0xffff987f,0x3fff2007,0x3fa0005f,0xfff31fff,0x7d4000ff,
    0x80007fff,0x007ffffa,0x43ffffe6,0x007ffff9,0x00bffff3,0x3f33fffa,
    0x3fe01fff,0xffffefff,0x7c4001ef,0xfff17fff,0xff3005ff,0x3ffe6fff,
    0x4c003fff,0x1007ffff,0x30bffffd,0x400fffff,0x005ffffc,0x1fffff30,
    0x01ffffe6,0x7ffffa80,0xfffa8000,0x3fe2007f,0xfff32fff,0xffd500ff,
    0xff9007ff,0xffff91df,0x3fffe203,0xffffffff,0x3fee003f,0x3fff24ff,
    0xfff9805f,0xfffff9ff,0x7cc002ff,0x9999ffff,0xfffba999,0xff982fff,
    0xffffffff,0xffffffff,0xf90005ff,0x7fccbfff,0xcccccfff,0x544ccccc,
    0xffffffff,0xffffffff,0x3ffea0ff,0x7ffc007f,0xffff33ff,0xdddddddf,
    0x07ffffff,0x23ffff30,0x301ffffc,0xffffffff,0x05ffffff,0x87ffffa0,
    0x00fffff9,0x7fffffcc,0xffffffff,0x3ffe6000,0xffffffff,0xffffffff,
    0xfffff305,0xffffffff,0xbfffffff,0xffff7000,0x7fffcc3f,0xffffffff,
    0x7fd47fff,0xffffffff,0xffffffff,0x1ffffea0,0x9ffffd00,0x3fffffe6,
    0xffffffff,0xe8802fff,0x3ff24fff,0xfff701ff,0xfff99dff,0x9801ffff,
    0xfe86ffff,0x7cc04fff,0xffffffff,0x004fffff,0x3fffffe6,0xffffffff,
    0x2604ffff,0xffffffff,0xffffffff,0x4005ffff,0x44fffffb,0xfffffff9,
    0xffffffff,0x7ffffd47,0xffffffff,0x2a0fffff,0x4007ffff,0xf34ffffe,
    0xffffffff,0xffffffff,0xfffc8019,0x0ffffe46,0x83ffffb8,0x04fffffa,
    0x427fffec,0x407ffffc,0xfffffff9,0xffffffff,0xffff3001,0xffffffff,
    0x805bffff,0xfffffff9,0xffffffff,0x005fffff,0x3fffffee,0x7ffffcc0,
    0xffffffff,0x7ffd47ff,0xffffffff,0x0fffffff,0x01ffffea,0x29ffffd0,
    0xfffffff9,0xffffffff,0xf502ffff,0xffc83fff,0x0cc401ff,0x0dffff70,
    0x0fffffc4,0x17ffffc4,0xffffff30,0xffff17ff,0x3fe600df,0xffffffff,
    0x000dffff,0x99fffff3,0x99999999,0x00bffffd,0x3fffffee,0xfffff981,
    0xeeeeeeee,0x7ffd45ee,0xaaaaaaff,0x0aaaaaaa,0x01ffffea,0x27fffff0,
    0xccfffff9,0xfedccccc,0x442fffff,0xfc84ffff,0x80001fff,0x207ffff8,
    0x206ffffb,0x205ffffe,0xfffffff9,0x3fffff24,0xffff9804,0xfffd5317,
    0x3e6009ff,0x32007fff,0xb805ffff,0x01ffffff,0x00fffff3,0x3ffffd40,
    0x7ffd4000,0x3fe2007f,0xfff32fff,0x3fe600ff,0x7fec7fff,0xffff906f,
    0x3fe00003,0xffd00fff,0x55555bff,0x1fffffb5,0x3ffffe60,0x7fffc44f,
    0x7fcc01ff,0xfff907ff,0xf9801dff,0x32007fff,0x5c05ffff,0x01ffffff,
    0x01ffffe6,0x7ffffa80,0xfffa8000,0x3fe6007f,0xfff31fff,0x7fcc00ff,
    0xfff32fff,0xdddddddf,0x7dddffff,0x7fff4000,0xffff981f,0xffffffff,
    0x04ffffff,0x09fffff3,0x1bffffea,0x0fffff30,0x2fffffec,0x1ffffe60,
    0x5ffffc80,0x3ffffee0,0x7ffcc01e,0x3ea0007f,0x80007fff,0x007ffffa,
    0x99ffffea,0x4007ffff,0xf54fffff,0xffffffff,0xffffffff,0xf002609f,
    0xf901ffff,0xffffffff,0xffffffff,0x3ffe60ff,0x7fff407f,0x3fe603ff,
    0x3fe207ff,0x2603ffff,0x2007ffff,0x705ffffc,0x01dfffff,0x0fffff30,
    0x7fffd400,0xffa80007,0x3f6007ff,0x3fe66fff,0x7f4007ff,0xfff54fff,
    0xffffffff,0x9fffffff,0x81ffffa6,0xf07ffff8,0xffffffff,0xffffffff,
    0xff305fff,0xff980fff,0xf301ffff,0xfa80ffff,0x301fffff,0x400fffff,
    0x985ffffc,0x00efffff,0x0fffff30,0x7fffd400,0xffa80007,0xff5007ff,
    0x7fcc5fff,0x3e6007ff,0xff52ffff,0xffffffff,0xffffffff,0x1fffffc9,
    0x85ffffc8,0xfffffffa,0xffffffff,0x985fffff,0xd807ffff,0x306fffff,
    0xb00fffff,0x20dfffff,0x007ffff9,0x117ffff2,0x03fffffd,0x3ffffcc0,
    0xffff5000,0xff50000f,0xfd500fff,0xff98bfff,0xfb1007ff,0x3a61ffff,
    0xeeeeeeee,0xeeffffee,0x3ffff63e,0x3fff222f,0xfffd80ff,0x3fee004f,
    0x7fcc0fff,0xff8807ff,0xf983ffff,0xf8807fff,0x983fffff,0x2007ffff,
    0x5c5ffffc,0xccefffff,0x2ccccccc,0x00fffff3,0x7ffffd40,0xaaaaaaaa,
    0x51aaaaaa,0x555fffff,0xfffd9975,0xff983fff,0xaaaaafff,0xffffcbaa,
    0xf90007ff,0x3e603fff,0xfdffffff,0x884fffff,0x001fffff,0x13ffffe2,
    0x00fffff3,0x3fffffee,0x3ffffcc0,0xfffffa80,0x7fffcc0f,0x3fff2007,
    0x7ffff45f,0xffffffff,0xfff34fff,0x7d4000ff,0xffffffff,0xffffffff,
    0xffff54ff,0xffffffff,0x09ffffff,0xfffffff3,0xffffffff,0x005fffff,
    0x07ffff20,0xffffffa8,0x05ffffff,0x00dffff9,0x8fffffb0,0x007ffff9,
    0x17fffffa,0x00fffff3,0x2fffffec,0x01ffffe6,0x25ffffc8,0xfffffff9,
    0xffffffff,0xfffff34f,0x7ffd4000,0xffffffff,0xffffffff,0xffffff54,
    0xffffffff,0x3e609fff,0xffffffff,0xffffffff,0x320003ff,0x5c01ffff,
    0xffffffff,0x3ffa04ff,0xfa8003ff,0x3e62ffff,0x2a007fff,0x23ffffff,
    0x007ffff9,0x3fffffe2,0x1ffffe62,0x5ffffc80,0x3ffffff2,0xffffffff,
    0xffff34ff,0x7fd4000f,0xffffffff,0xffffffff,0xfffff54f,0xffffffff,
    0x7cc03bff,0xffffffff,0xffffffff,0x7e40003f,0xd8801fff,0x2dffffff,
    0x3ffffea0,0xffff0000,0x7fffccbf,0x7ffec007,0xfff30fff,0xffa800ff,
    0xff30ffff,0x7e400fff,0x3ffa5fff,0xffffffff,0x34ffffff,0x000fffff,
    0x7fffffd4,0xffffffff,0xf54fffff,0xffffffff,0x00399ddf,0xfffffff3,
    0xddffffff,0x32000039,0x4001ffff,0xfb001aa9,0x4000dfff,0x00fffffc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x006aea62,0xfffff700,0xffffffff,0x9880bfff,
    0x00019aaa,0x1934a800,0x31000000,0x40001355,0x00000aa9,0x2a660000,
    0x800009aa,0x200001a9,0x000000a9,0xfea80000,0x1dffffff,0x27ffff70,
    0xfffffffb,0xffffffff,0xfffb305f,0x017fffff,0x7fe44000,0x003bff35,
    0xfffd7000,0x2005bfff,0xffffffd8,0x3ffee01d,0x3ffe604f,0xfffc886f,
    0x01efffff,0x3fff6e60,0x7e403eff,0xffe88fff,0xffff92ef,0xffff500b,
    0x13fffeab,0x3ffffa60,0xcfffffff,0x9ffffdc0,0xfffffffb,0xffffffff,
    0xffffc85f,0xefffffff,0x7ecc0000,0xfff35fff,0x100005df,0xfffffffd,
    0xfa80bfff,0xffffffff,0xffff703f,0x7fffcc09,0x7ffffc46,0x2fffffff,
    0xfffffd80,0x01efffff,0xfd1ffff9,0x3e25ffff,0x6c00ffff,0xff52ffff,
    0xfe8809ff,0xffffffff,0x7dc5ffff,0xfff73fff,0xffffffff,0xb8bfffff,
    0xffffffff,0x00efffff,0xffffea80,0xffff35ff,0x00017fff,0xfffffff3,
    0x09ffffff,0x3fffffee,0x84ffffff,0x204ffffb,0x226ffff9,0xfffffffe,
    0x02ffffff,0xffffffd1,0x5fffffff,0xfdffff90,0x6c1fffff,0x2202ffff,
    0x3ea7ffff,0x7ec04fff,0xcacfffff,0x24ffffff,0xd53ffffb,0xdddddddd,
    0x1fffffdd,0xacfffff8,0xfffffca9,0xfff71003,0x2bffffff,0xfffffff9,
    0x36001cff,0xdcdfffff,0x41ffffff,0xdffffff8,0x0ffffffb,0x027fffdc,
    0x5cdffff3,0xbbdfffff,0x05fffffc,0xdffffff9,0xffffffdb,0xfffffc81,
    0x545fffff,0x2e05ffff,0x3ea4ffff,0x3ea04fff,0xf502ffff,0x3ee1ffff,
    0xb8003fff,0x7cc1ffff,0xff502fff,0xfc9809df,0xffffffff,0x3ffaa1cf,
    0xefffffff,0x7fffd402,0x7ffec41f,0x7fffec5f,0x7fffd40d,0x27fffdc5,
    0x4dffff30,0xa81fffff,0xf987ffff,0x540dffff,0x645fffff,0x8bffffff,
    0xffff81c9,0xffffd00f,0x27fffd41,0x05ffff90,0x02ffffe8,0x3ffe2000,
    0xffffa83f,0x5003500d,0xfffffffd,0xc9805bff,0xffffffff,0xffe80bff,
    0xfff303ff,0x7fffc4bd,0xffff900f,0x27fffdc3,0x4dffff30,0xf103ca98,
    0xff90ffff,0x7fcc0bff,0x3ff22fff,0xf9004fff,0xff307fff,0xe8000bff,
    0xfa807fff,0x00004fff,0x441bfffa,0xbdffffff,0x3ffee000,0xbeffffff,
    0xffda8000,0xcfffffff,0x01ffffe1,0xfff50135,0x7ffcc0df,0x3fffee3f,
    0x3fffe604,0xfff98006,0xffffe87f,0x7fffe401,0x3fffff24,0xffff1000,
    0x5ffff90d,0xcba98000,0xffffa803,0xff700004,0x7ffc03ff,0xceffffff,
    0x3fffe602,0x001dffff,0xffff7100,0x3e2bffff,0x20006fff,0x99cffffb,
    0xfff99999,0x3fffee4f,0x3fffe604,0xfecb9806,0x220fffff,0xa806ffff,
    0x3f25ffff,0x6c005fff,0x7fc1ffff,0x000007ff,0x3ffffb00,0xfff10000,
    0xfff9809f,0xffffffff,0x7ffcc0cf,0x0000beff,0x3fff6a00,0xffff55ff,
    0x7fe4000b,0xffffffff,0x24ffffff,0x204ffffb,0x886ffff9,0xffffffda,
    0x7d47ffff,0xf9805fff,0x3ff27fff,0x7d4004ff,0x3fea4fff,0x000004ff,
    0x7ffffb80,0xfff90000,0xfff5001f,0xffffffff,0x7ffcc3ff,0x0000beff,
    0x3fff6600,0xffff55ff,0x7fec000b,0xffffffff,0x25ffffff,0x204ffffb,
    0x546ffff9,0xffffffff,0x5c7fffff,0x8804ffff,0x3f27ffff,0xf8003fff,
    0x3ff67fff,0x000000ff,0x7ffffe40,0xff880003,0x6d4005ff,0xffffffff,
    0x3ffe66ff,0x02dfffff,0xffd71000,0x2abfffff,0x0006ffff,0x3ffffff6,
    0xffffffff,0x3ffee6ff,0x3ffe604f,0x3fffee6f,0xffd1bdff,0xffffa8ff,
    0xffff9805,0x0fffff26,0x3ffff200,0x05ffff8a,0x7ec00000,0x0005ffff,
    0x05ffff70,0x3fb2a200,0x22ffffff,0xfffffffb,0x8000beff,0xffffffda,
    0xff11dfff,0x00880fff,0x005ffff9,0x27fffdc0,0x2dffff50,0x03fffff8,
    0xf98ffffd,0xfa806fff,0x3ff25fff,0xf88003ff,0xfffbcfff,0x0000002f,
    0x9fffffd1,0x7ffc0000,0x1008007f,0x07fffff7,0xffffffd5,0x8805bfff,
    0xfffffffb,0xff80cfff,0x3fa00fff,0xfff71cef,0x7d40009f,0x3ee05fff,
    0xfff56fff,0x7fffc0bf,0x7ffffc47,0x7fffec01,0x0fffff24,0x7fffec00,
    0x0007fffd,0x3fff6000,0x200004ff,0x803ffffb,0x202ffedb,0x203ffffb,
    0xffffffd9,0x2a0bffff,0xfffffffd,0x3a00beff,0xf304ffff,0x3e61ffff,
    0xf900ffff,0x7fcc159b,0x3ffa06ff,0xffff96ff,0x3fffe607,0x7fffec0f,
    0x3fffe605,0x3ffff21f,0xfff50003,0x009fffff,0x3fea0000,0x3ee03fff,
    0x7f403fff,0xfd800fff,0x3f606fff,0xc8801fff,0xffffffff,0xfffff35f,
    0x005bffff,0x0fffffea,0x8bffffb3,0x40dffffd,0x21fffff9,0x83fffff8,
    0x96fffffc,0x3a0dffff,0x540fffff,0x40dfffff,0x45fffffa,0x003ffffc,
    0x3fffffe0,0x3fea01ff,0xf90004ff,0xfb809fff,0x3e203fff,0xf3005fff,
    0x559dffff,0x1fffffd9,0xfffeb800,0xfff35fff,0x0039ffff,0xffffffb0,
    0xffffffdb,0xfffff985,0xffffdadf,0xffffe85f,0xffffcbdf,0xfff56fff,
    0xff935bff,0xb01fffff,0xbdffffff,0x1fffffff,0x03ffffc8,0x3ffff200,
    0x7fd406ff,0xfd0004ff,0xff700dff,0x7fd407ff,0x3ee002ff,0xffffffff,
    0x001fffff,0x3ffff6a0,0x7fffff35,0x7fcc0001,0xffffffff,0xff703fff,
    0xffffffff,0xff703fff,0xffffffff,0x74dfffdb,0xffffffff,0x1fffffff,
    0xfffffe88,0xffffffff,0x3ffffc82,0x3ffe2000,0x7d402fff,0xf0004fff,
    0xf7009fff,0x7ec07fff,0xfb8007ff,0xffffffff,0x00002fff,0x3e6bff93,
    0x200002ef,0xffffffe8,0x5404ffff,0xffffffff,0x3f201fff,0x4fffffff,
    0x7ccdfffd,0xffffffff,0x04ffffac,0xffffffb1,0x201dffff,0x003ffffc,
    0x3ffffec0,0x27fffd40,0x7fffc400,0xffffb803,0x17fffe02,0x7ffe4400,
    0x00cfffff,0x34b88000,0x4000003b,0xffffffeb,0xfdb3001d,0x017fffff,
    0xbffffd70,0x237fff45,0xefffffd8,0x01ffffe1,0xfffffb73,0xfffc807d,
    0x7d40003f,0xfa804fff,0x30004fff,0x4c001333,0xfff301ff,0x3300009f,
    0x00001355,0x00000000,0x001aa980,0x00cd4c40,0x0001a880,0x0000d4c4,
    0x0001a980,0x00000000,0x00000000,0xfa807fdc,0x00002fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7ffc4000,
    0xdfd1007f,0x0ffffdc0,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20000000,0x807ffff8,0x3201fffb,0x0000ffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7fc40000,0xffc807ff,0x3fffec02,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0x807ffff8,0xfffd0048,
    0x0000000f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0fffff10,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2a600000,
    0x2a200009,0x05544009,0x19998800,0x00000000,0x00000000,0xdd300000,
    0x333100bd,0x33333333,0x01333333,0x8001775c,0x22099999,0x33109999,
    0x4d4c0333,0x88822000,0xffffa808,0xfffffb31,0x6fffd83d,0x3bffffb2,
    0x7ffff541,0x7fe4003e,0xfffc807f,0xffff301f,0x7fffe40d,0x3fffff62,
    0xffffffff,0x3fffe27f,0xfffb00ef,0xffb001ff,0xffb805ff,0xffffffff,
    0x6fffffff,0xb80bff20,0xfff3ffff,0x7fff47ff,0xfffff54f,0xfffffc81,
    0x47a600be,0x544ffffa,0xff99ffff,0x2fffffff,0x363bfff6,0xffffffff,
    0xffffff71,0x7e4007ff,0xffa807ff,0xfff703ff,0x3ffa01ff,0x7fffec7f,
    0xffffffff,0x7ffd47ff,0xfffb84ff,0xff9802ff,0x7dc06fff,0xffffffff,
    0xffffffff,0x80bfee06,0xff3ffffb,0x7ff47fff,0xffff54ff,0x3fffa61f,
    0xadffffff,0x2a3ff930,0x7d44ffff,0xffffcfff,0x0fffffff,0xffdffffb,
    0xffffffff,0xfffffffb,0x32005fff,0xff007fff,0x3ff60bff,0xff882fff,
    0x7ffec5ff,0xffffffff,0xffd87fff,0x3fe21fff,0xfb004fff,0x403fffff,
    0xfffffffb,0xffffffff,0x543326ff,0xfb8ea1ff,0xffff3fff,0x7ffff47f,
    0x1fffff54,0x3ffffff6,0xffffffff,0xff51ffff,0xfffa89ff,0xecbdffff,
    0xfb3fffff,0x79dfffff,0xfffffffb,0xffffd7bf,0x3ff200df,0xfffb007f,
    0x3ffffe0f,0xffffb84f,0x7ffffec2,0xffffffff,0xfffe887f,0x3ffff66f,
    0xfff8800e,0x2e05ffff,0xffffffff,0xffffffff,0x2b3ffe6f,0x27ffc9ff,
    0xff3ffffb,0x7ff47fff,0xffff54ff,0x3ffff61f,0xffffffff,0x51ffffff,
    0xfa89ffff,0x440fffff,0xfb5fffff,0xfd09ffff,0xb83fffff,0x800fffff,
    0x5007fffc,0xf985ffff,0xd86fffff,0x4c40ffff,0xff119999,0x2603ffff,
    0xfbbfffff,0x9001ffff,0xffffffff,0x2aaaa601,0xaaaaaaaa,0xf32aaaaa,
    0xffffffff,0x3fee3fff,0xfffff3ff,0x9fffff45,0xb0fffff9,0xfb5359df,
    0xffffffff,0x3ffea1bf,0x7fffd44f,0xffff502f,0x1bffff6b,0x1fffffd4,
    0x00fffff8,0x007fffc8,0xb89ffff1,0x0fffffff,0x002ffffc,0x3fffffa2,
    0x7fffe402,0x03ffffff,0xf7ffff10,0x00009fff,0x3fb2a200,0xcdffffff,
    0xfd97fcc0,0x3ff21fff,0xffff12ff,0xd7102ecd,0x07ffffff,0xfffff500,
    0xb7fffcc0,0x304ffffd,0x201fffff,0x531ffffe,0xffb55555,0x555555ff,
    0x46fffd85,0xfffffffd,0x0ffffea2,0xffffe880,0xfffd003f,0x00dfffff,
    0x647fffe4,0x0000ffff,0xfffa8000,0x8ffdc01f,0x2e0ffffb,0x3fa0ffff,
    0x9800a5ff,0x37201bcb,0x3fea2ddd,0x3fe205ff,0xffffb7ff,0x3fffe605,
    0x3ffffa07,0xffffff71,0xffffffff,0xffb8dfff,0x3fffe0ff,0x3f24fffc,
    0x36000fff,0x004fffff,0x3fffffe2,0xff1000ff,0x3ffe69ff,0xaaaa983f,
    0xaaaaaaaa,0x982aaaaa,0x00efffff,0x7fd4dfd1,0x3fffcc7f,0x0013fff6,
    0x3ffe2000,0x3fffea6f,0x3fffe205,0x05ffffb7,0x81bfffe6,0xf71ffffd,
    0xffffffff,0xffffffff,0x3ffff88d,0xff3dfff3,0x37fff4df,0xfffff900,
    0xfff7000b,0x5c005fff,0x3fa1ffff,0xfffb87ff,0xffffffff,0x46ffffff,
    0xffcafff9,0x21fffb86,0x7c45fff8,0x7ffdc6ff,0x30000002,0x3ea5ffff,
    0x3e204fff,0xfffb7fff,0x3ffe603f,0x3fff606f,0xfffff71f,0xffffffff,
    0xfd0dffff,0x3fff2bff,0xf11ffff4,0x2e007fff,0x006fffff,0xffffff10,
    0x7fffc005,0x17fffd46,0x3fffffee,0xffffffff,0x3fe26fff,0x8bfff15f,
    0x00002ffc,0x00000000,0x7d5bffe6,0x3e204fff,0xfffb7fff,0x3ffe603f,
    0x3fff605f,0xfffff71f,0xffffffff,0xf70dffff,0x3fffafff,0xf75fffb2,
    0xf5001fff,0x001dffff,0x3fffffa0,0xffb800ff,0xffff83ff,0x7ffffdc6,
    0xffffffff,0x7d46ffff,0x107bea1f,0x00000019,0x50000000,0xfff53fff,
    0x7ffc409f,0x3ffffb7f,0x17fffe60,0x31ffffd8,0xfb555555,0x55555fff,
    0xffff3055,0x2e1ffff5,0xfffddfff,0xffff9806,0xf70001ff,0xbfffffff,
    0x1ffffd00,0x45ffff90,0xfffffffb,0xffffffff,0x383886ff,0x00000000,
    0x50000000,0xffff5799,0x7fffc409,0x03ffffb7,0x817fffe6,0x801ffffd,
    0x8007fffc,0xfffefffe,0x3ffffe26,0x7c403fff,0x001fffff,0xffffff30,
    0x5407ffff,0xf304ffff,0x554cbfff,0xaaaaaaaa,0x2aaaaaaa,0x00000000,
    0x00000000,0xffffa800,0x3fffe204,0x03ffffb7,0x817fffe6,0x801ffffd,
    0x8007fffc,0xfffffffc,0x7fffff43,0x3fa201ff,0x0002ffff,0x377ffffa,
    0x701fffff,0x5c039999,0x0000cccc,0x22222200,0x00000888,0x00000000,
    0xfff50000,0x7ffc409f,0x3ffffb7f,0x17fffe60,0x01ffffd8,0x007fffc8,
    0xffffff98,0x7fffe41f,0x7ff406ff,0xaaaadfff,0xc81aaaaa,0xf88fffff,
    0x0006ffff,0x80000000,0xfffffffe,0x3fffe67f,0xffffffff,0xffffffff,
    0x00000004,0xffff5000,0x7fffc409,0x03ffffb7,0x817fffe6,0x801ffffd,
    0x0007fffc,0x0fffffff,0x9ffffff5,0x7ffffd40,0xffffffff,0x7fd44fff,
    0x3fea2fff,0x00004fff,0x74000000,0xffffffff,0x3ffffe67,0xffffffff,
    0x4fffffff,0x00000000,0x9ffff500,0xbffffc40,0x301ffffd,0x6c0bffff,
    0xc801ffff,0x90007fff,0x10bfffff,0x03ffffff,0x7fffffd4,0xffffffff,
    0x3ffe24ff,0xfffd85ff,0x000001ff,0x3fa00000,0x7fffffff,0x3fffffe6,
    0xffffffff,0x04ffffff,0x00000000,0x09ffff50,0xdbffffc4,0xf301ffff,
    0x7ec0bfff,0xfc801fff,0xf50007ff,0x3a07ffff,0x5407ffff,0xffffffff,
    0xffffffff,0x3fffff64,0xfffff880,0x0000000e,0xfffd0000,0x44ffffff,
    0x99999999,0x99999999,0x00009999,0x50000000,0x4409ffff,0xffb7ffff,
    0x3fe603ff,0x3ff605ff,0x998801ff,0x3fe00019,0xff901fff,0xffa809ff,
    0xffffffff,0x54ffffff,0x407fffff,0x04fffffb,0x00000000,0xffffffd0,
    0x00000fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__arial_bold_41_usascii_x[95]={ 0,3,2,0,1,1,1,1,1,1,0,1,2,1,
2,-1,1,2,0,1,0,1,1,1,1,1,3,3,1,1,1,1,1,0,2,1,2,2,2,1,2,2,0,2,
2,2,2,1,2,1,2,1,0,2,-1,0,0,-1,0,2,-1,0,2,-1,0,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,0,0,2,0,0,0,0,0,1,3,0,1, };
static signed short stb__arial_bold_41_usascii_y[95]={ 33,6,6,6,4,6,6,6,6,6,6,10,27,20,
27,6,6,6,6,6,6,7,6,7,6,6,13,13,10,13,10,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,36,6,13,6,13,6,13,6,13,6,6,
6,6,6,13,13,13,13,13,13,13,7,13,13,13,13,13,13,6,6,6,16, };
static unsigned short stb__arial_bold_41_usascii_w[95]={ 0,6,14,20,18,30,25,7,11,10,14,19,6,11,
6,12,18,13,19,18,20,19,19,18,18,18,6,6,19,19,19,20,35,27,23,24,23,21,19,26,22,6,18,25,
20,26,22,27,21,28,25,22,22,22,26,35,25,26,22,10,12,10,18,22,9,19,20,19,20,19,14,20,18,6,
10,19,6,29,18,21,20,20,13,19,12,18,20,29,21,20,18,13,5,14,20, };
static unsigned short stb__arial_bold_41_usascii_h[95]={ 0,27,11,28,33,29,28,11,35,35,13,20,12,6,
6,28,28,27,27,28,27,27,28,26,28,28,20,26,21,14,21,27,35,27,27,28,27,27,27,28,27,27,28,27,
27,27,27,28,27,30,27,28,27,28,27,27,27,27,27,35,28,35,15,5,6,21,28,21,28,21,27,28,27,27,
35,27,27,20,20,21,28,28,20,21,27,21,20,20,20,28,20,35,35,35,8, };
static unsigned short stb__arial_bold_41_usascii_s[95]={ 249,248,202,128,128,176,149,217,1,117,180,
50,195,180,246,77,109,159,76,81,186,207,219,29,1,41,244,22,68,160,88,
1,81,227,162,123,138,116,96,50,53,244,90,1,223,196,173,22,137,147,27,
175,87,100,37,1,222,195,64,70,239,59,141,192,246,167,60,108,20,128,167,
198,148,249,48,110,130,20,1,187,1,228,209,48,182,148,223,70,119,207,100,
34,28,13,225, };
static unsigned short stb__arial_bold_41_usascii_t[95]={ 29,66,179,35,1,1,35,179,1,1,179,
179,179,193,179,37,37,95,123,66,123,123,35,151,66,66,151,151,151,179,151,
151,1,123,123,66,123,123,123,37,123,95,37,123,95,95,95,37,95,1,123,
35,95,66,95,95,66,66,95,1,35,1,179,193,186,151,66,151,66,151,66,
35,66,1,1,95,95,179,179,151,37,1,151,151,66,151,151,179,179,1,179,
1,1,1,179, };
static unsigned short stb__arial_bold_41_usascii_a[95]={ 163,196,278,327,327,522,424,140,
196,196,229,343,163,196,163,163,327,327,327,327,327,327,327,327,
327,327,196,196,343,343,343,359,573,424,424,424,424,392,359,457,
424,163,327,424,359,489,424,457,392,457,424,392,359,424,392,554,
392,392,359,196,163,196,343,327,196,327,359,327,359,327,196,359,
359,163,163,327,163,522,359,359,359,359,229,327,196,359,327,457,
327,327,294,229,164,229,343, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_41_usascii_BITMAP_HEIGHT or STB_FONT_arial_bold_41_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_41_usascii(stb_fontchar font[STB_FONT_arial_bold_41_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_41_usascii_BITMAP_HEIGHT][STB_FONT_arial_bold_41_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_41_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_41_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_41_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_41_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_41_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_41_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_41_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_41_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_41_usascii_s[i] + stb__arial_bold_41_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_41_usascii_t[i] + stb__arial_bold_41_usascii_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_41_usascii_x[i];
            font[i].y0 = stb__arial_bold_41_usascii_y[i];
            font[i].x1 = stb__arial_bold_41_usascii_x[i] + stb__arial_bold_41_usascii_w[i];
            font[i].y1 = stb__arial_bold_41_usascii_y[i] + stb__arial_bold_41_usascii_h[i];
            font[i].advance_int = (stb__arial_bold_41_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_41_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_41_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_41_usascii_s[i] + stb__arial_bold_41_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_41_usascii_t[i] + stb__arial_bold_41_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_41_usascii_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_41_usascii_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_41_usascii_x[i] + stb__arial_bold_41_usascii_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_41_usascii_y[i] + stb__arial_bold_41_usascii_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_41_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_41_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_41_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_41_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_41_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_41_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_41_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_41_usascii_LINE_SPACING
#endif

