// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_42_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_42_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_42_usascii_BITMAP_WIDTH         256
#define STB_FONT_arial_bold_42_usascii_BITMAP_HEIGHT        210
#define STB_FONT_arial_bold_42_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_bold_42_usascii_FIRST_CHAR            32
#define STB_FONT_arial_bold_42_usascii_NUM_CHARS             95

#define STB_FONT_arial_bold_42_usascii_LINE_SPACING          27

static unsigned int stb__arial_bold_42_usascii_pixels[]={
    0x88555440,0x2a00099a,0x26000aaa,0x055531a9,0xa9880000,0x4c00009a,
    0xffffffff,0xffffff56,0x3fea0dff,0x000005ff,0x00351000,0x001a9800,
    0x00035550,0x0001a880,0x0000aaaa,0x3e27ffc8,0xd803ffff,0x6c402fff,
    0xff54ffff,0x5400001f,0xffffffed,0x4000beff,0xfffffff9,0xfffff56f,
    0x3ea0dfff,0xff005fff,0x32e00009,0xdefffffe,0xffb8000c,0x2e004fff,
    0x20001fff,0xffffeca8,0xd000bdef,0x20000fff,0x3e23fff9,0x406fffff,
    0x2a02fffd,0x24ffffff,0x40005fff,0xffffffc9,0xffffffff,0xff3002ef,
    0x2dffffff,0xfffffffa,0xffff506f,0x0bff100b,0xfffe9800,0xffffffff,
    0x3ff6003f,0x006fffff,0x4000bfff,0xfffffffa,0x03ffffff,0x000fffc8,
    0x20fffd80,0xfffffff8,0x0bfff603,0xfffffff8,0x007fff24,0x7ffffe40,
    0xffffffff,0x0cffffff,0x7ffffcc0,0xfff56fff,0x20dfffff,0x105ffffa,
    0xbfffffd9,0xfffc8005,0xffffffff,0x400effff,0xffcffffa,0x7fdc03ff,
    0xfc88001f,0xffffffff,0x0dffffff,0x00bffea0,0x8bfff300,0xfffffff8,
    0x0bfff607,0x7fffffdc,0x17ffe24f,0xffffd100,0x221357df,0xffffcba9,
    0x4ccc01ef,0xf56ffff9,0x13339fff,0x13bbbaa0,0x3fffffea,0x800dffff,
    0xfffffffe,0xffffffff,0x3fa01fff,0xffff10ff,0x02fffc01,0xfffffe80,
    0xffffffff,0x101fffff,0x80009fff,0x5101fffd,0x201fffff,0xf902fffd,
    0x3601bfff,0xf5001fff,0x0039ffff,0xfffffc88,0x3fffe000,0x09ffff56,
    0x7ffd4000,0xffffffff,0x7ffe406f,0xbabdffff,0xffffffec,0x8dfff106,
    0xf701fffd,0xf90003ff,0x7bffffff,0xffffd955,0x7ff40dff,0x3fe60006,
    0xfffc807f,0x5fffb01f,0x03ffff60,0x805fffa8,0x00dffff9,0x7ffec400,
    0x3fffe006,0x09ffff56,0x7fff4000,0xffffffff,0xfff104ff,0x5c01bfff,
    0x83ffffff,0x7ec5fff9,0xbfff02ff,0xffff3000,0x7d401bff,0x903fffff,
    0x20001fff,0xb804fffe,0xfb01ffff,0x3ffa05ff,0x7ffc407f,0x7fff401f,
    0x7ec00004,0xfff004ff,0x3fffeadf,0x55551004,0x6ffffdc3,0xfffbcff8,
    0xffffb07f,0x3fe6007f,0x7d40ffff,0x7ffe44ff,0x01fffb83,0xfffffe80,
    0xfffd1003,0xfff501ff,0xfff30005,0xfff5005f,0x3fff605f,0x0dfffd02,
    0x40bfffd0,0x2602fffc,0x2aa2cddb,0xfffd12aa,0xdffff001,0x013fffea,
    0xb2ffffd4,0x3fe1ffff,0x83ffffb4,0x06fffffa,0x7ffffdc0,0x22fffcc5,
    0xff82fffc,0xffa8005f,0x54006fff,0x884fffff,0xc8004fff,0xf5007fff,
    0x3f605fff,0xfffd02ff,0xffff700d,0x0bfff501,0x3fffffee,0x4dffff4f,
    0xf803fff9,0xfff56fff,0x3fea009f,0x3fffa5ff,0x5e4d3fe5,0x7ffe409a,
    0xfe8001ff,0x7fc47fff,0x0fffec5f,0x0007ffee,0x07fffff2,0x3ffffa00,
    0x00dfff07,0x00bfffd0,0x40bfffea,0xff02fffd,0xff300dff,0xfffd05ff,
    0xfffff901,0xfffbffff,0x06ffc8bf,0xf56ffff8,0x2a009fff,0x3fa5ffff,
    0x013fe5ff,0x05ffffd8,0xfffff700,0x7c7fff81,0x7ffc0fff,0xffff0005,
    0x3ea000bf,0xfd80ffff,0x3e2000ff,0xf3005fff,0x3f605fff,0xffff02ff,
    0xffff100b,0x82fff989,0xbdfffffc,0xfffffffe,0x007ffd43,0x7d5bfffe,
    0xf5004fff,0x7fecbfff,0x009ff0ff,0x027ffff4,0xfffff980,0x4efffe41,
    0x7dc5fffc,0xf88001ff,0x0004ffff,0x03fffff3,0x4005fff7,0x004ffffa,
    0x207ffff3,0xff02fffd,0x3fe009ff,0x3ffe47ff,0x0effffdc,0x3fffffea,
    0x00fffc41,0x7d5bfffe,0xf5004fff,0x7fe4bfff,0x04ff9eff,0x0fffffe0,
    0x7fffc400,0x7fffc42f,0x7c1fffff,0xf10005ff,0x0007ffff,0x0bffffe2,
    0x8013ffe6,0x003ffffc,0x20dffff1,0xfa82fffd,0xff003fff,0x7ffc1fff,
    0x37fffc44,0x1fffffd0,0xf805fff0,0xfff56fff,0x3fea009f,0x3ffe65ff,
    0x004fffff,0x05fffff1,0x7ffffc00,0xffffe983,0x7ffdc2ff,0xfff30001,
    0x7c0005ff,0xff04ffff,0x7fec00df,0x3f6002ff,0xffd82fff,0xffffd82f,
    0xffffd002,0x907ffe63,0x6405ffff,0xfd06ffff,0xffff807f,0x09ffff56,
    0x17fffea0,0xfffffffb,0xffa805bf,0x20001fff,0x104fffff,0xf017bd97,
    0x20040bff,0x01fffffa,0x3ffffa00,0x01fffb05,0x07ffff60,0xeffffa80,
    0x8bfff60b,0x06ffffd9,0x4bffff60,0x7fc46ffa,0x7fcc06ff,0x7fff04ff,
    0x56ffff80,0x2009ffff,0x445ffffa,0xfffffffe,0xff303fff,0x40005fff,
    0x004fffff,0x20fffdc0,0x83efffd9,0x02fffff9,0x3ffffe00,0x03fff704,
    0x03ffffa0,0xfffffd00,0x4bfff65f,0x2ffffffe,0x3ffff200,0xfa8bff73,
    0x7d402fff,0xff983fff,0x7fffc01f,0x09ffff56,0x17fffea0,0x7fffffec,
    0x440dffff,0x003fffff,0x5fffff10,0x5fff8000,0x7fffffdc,0x3ffe20df,
    0xf10003ff,0x2607ffff,0xff003fff,0xb1000fff,0x365fffff,0xfffd2fff,
    0xfb8005ff,0x9ffb3fff,0x01ffffc8,0x40ffffdc,0x7c00fffa,0xfff56fff,
    0x3fea009f,0x3f6605ff,0xffffffff,0x4fffff86,0xffff3000,0x7dc0003f,
    0x3ffe21ff,0x43ffffef,0x004fffff,0x3fffff30,0x802fffc0,0x0007ffff,
    0x25fffff5,0xffd2fffd,0xf5000bff,0x3ffa7fff,0x03fffec4,0xc83fffec,
    0xfff807ff,0x9ffff56f,0x3fffea00,0xffff8805,0x6c2fffff,0x0005ffff,
    0x01fffff7,0x17ffe200,0x3e27fff9,0x3ff60fff,0xf70005ff,0x6c01ffff,
    0xfff007ff,0xff7000ff,0x3f65ffff,0xffffd2ff,0x7dc001df,0x7ffd2fff,
    0x806fffe8,0xf886fffe,0xfff804ff,0x9ffff56f,0x3fffea00,0xf9bff005,
    0xfc8dffff,0xd700ffff,0xfffffd05,0x7ffdc000,0xb07fff41,0x7fe45fff,
    0xe8001fff,0x5c07ffff,0xfe801fff,0x22000fff,0x1cefffff,0x3ae5fffb,
    0x004fffff,0x6c7fffee,0x7fffc4ff,0x7fffd406,0x00fffd84,0xf56ffff8,
    0x2a009fff,0xf005ffff,0x3fffe69f,0x7ffffd47,0x23dffd05,0x05fffffa,
    0x0bfff100,0xffb8dfff,0x3fffea3f,0x7fdc006f,0x7cc05fff,0xffd803ff,
    0x3f2000ff,0xffd85fff,0x7fffcc2f,0xfff9000f,0x362ffe4f,0x7f407fff,
    0x7fe42fff,0xffff004f,0x13fffead,0x2ffffd40,0x3f24ff80,0x7ff40fff,
    0x7fd41fff,0xfffedfff,0xf70001ff,0xfff883ff,0x227ffdc6,0x03fffffe,
    0xffffff10,0x5fff8803,0x1ffffc80,0x1ffffa00,0x6417ffec,0x9002ffff,
    0x7fdcdfff,0x0ffffe46,0x1fffffa8,0x003fffea,0xfab7fffc,0xf5004fff,
    0x3b2abfff,0xa93fe2fe,0x7cc0ffff,0x543fffff,0xfffffffe,0xf10004ff,
    0xfff10bff,0x44fffb8d,0x5ffffff9,0x7ffffd40,0xfffd004f,0x5ffff700,
    0x27fffc00,0x882fffd8,0xd003ffff,0x7fd4bfff,0x3fffea0f,0x7fffcc0d,
    0xfffc88ff,0x3ffe002f,0x9ffff56f,0x3fffea00,0x4bffff55,0x3fff24ff,
    0xfffff907,0xfd3137bf,0x1fffffff,0x3ffee000,0xb8dfff01,0xffc83fff,
    0x9aceffff,0xfffffdba,0xff9000ff,0xfff9803f,0xfff3003f,0x3fff607f,
    0x0bffff02,0xf13fffe0,0xfffe89ff,0xfffdbcff,0xfffeffff,0x7fc001ff,
    0xffff56ff,0x3ffea009,0xfffff15f,0xfff93fe3,0xffff106f,0xffffffff,
    0x9fffffff,0x3ffe2000,0x83fffa05,0xf882fffd,0xffffffff,0xffffffff,
    0x3ea002ff,0xfff803ff,0xfff3005f,0x3fff607f,0x0bffff02,0x87ffff10,
    0x7fcc7ffc,0xffffffff,0xffffffff,0xff8000ef,0xffff56ff,0x3ffea009,
    0x3ffffa5f,0xfd9cffaf,0x36203fff,0xffffffff,0xffffffff,0x5c002eff,
    0x3f201fff,0xffff34ff,0x3fff6201,0xffffffff,0x001effff,0x402fffc4,
    0x5007fffd,0x3605ffff,0xffd02fff,0xfff500df,0x3fff983f,0x7fffff4c,
    0xffffb9ef,0x0000dfff,0x3eadffff,0xf5004fff,0x7fccbfff,0xffffffff,
    0x5006ffff,0xffffffff,0xffffffff,0x1003bfff,0xf880bfff,0xffffffff,
    0xffffa803,0xffffffff,0x3fa0004f,0xfffa807f,0xfffa801f,0x5fffb02f,
    0x01bfffa0,0x741bfff2,0xedb82fff,0x6fee43df,0x1555301b,0xab7fffc0,
    0x7004ffff,0xfc8bffff,0xffffffff,0x2001ffff,0xffffedb8,0xffeabdff,
    0xb802ffff,0xfa801fff,0x05ffffff,0x3fff7220,0x01ceffff,0x07ffe400,
    0x01ffff40,0x817fffd4,0xfd02fffd,0xffd00dff,0x3ffe607f,0x2000001f,
    0x7c06fff9,0xfff56fff,0x3fee009f,0xfffb84ff,0xefffffff,0xaa980000,
    0xdffff700,0x0bfff100,0x6fff6c40,0x54c40002,0x4400000a,0xfa800aaa,
    0xffb805ff,0xfffb01ff,0x1ffffa05,0x01ffff10,0x017fffdc,0x7ffd4000,
    0x7fffc01f,0x09ffff56,0x9ffffd10,0x3ffff660,0x00003dff,0x2ffd8800,
    0x00000000,0x00000000,0x7ff40000,0xffffd807,0x05fffb01,0x807ffff6,
    0xc805fffb,0x000dffff,0xffffd980,0x7dd55443,0xfff56fff,0x7c5555bf,
    0x3fffffff,0x00dffa80,0x88000000,0x00000003,0x555554c0,0xff30aaaa,
    0xffffffff,0xffffffff,0xb8000fff,0x66442fff,0x00fffffe,0x3205fffb,
    0x2cdfffff,0x800ffff4,0xbdfffffd,0x3f6a2000,0xf983ffff,0x6fffffff,
    0xfffffff5,0x3fffe2df,0xf001ffff,0x0000009f,0x00000000,0x7ffec000,
    0x31ffffff,0xffffffff,0xffffffff,0x000fffff,0xf88bffd0,0x05ffffff,
    0x4c0bfff6,0x4fffffff,0x0017ffe6,0xfffffff5,0x997799dd,0xffffffdb,
    0x3ffe603f,0xf56fffff,0xdfffffff,0x3fffffea,0x13fe004f,0x00000000,
    0x00000000,0xffffffd8,0xfff31fff,0xffffffff,0xffffffff,0xf70000ff,
    0x7ffc41ff,0x3601ffff,0x3f602fff,0x324fffff,0x88001fff,0xfffffffc,
    0xffffffff,0x00cfffff,0x3fffffe6,0xffff56ff,0x3eedffff,0x005fffff,
    0x00001f74,0x00000000,0xffb00000,0x3fffffff,0x2eeeeee2,0xbbbbbbbb,
    0x03bbbbbb,0x49fff000,0x2ffffff8,0x017ffec0,0x9fffffb1,0x0013ffe2,
    0xffffb510,0xffffffff,0x22005bff,0xcccccccc,0x99999933,0x3bb26799,
    0x000001bd,0x00000000,0x00000000,0xfffffffb,0x000003ff,0xff700000,
    0x33bbe21f,0x5fffb003,0x9ddb9300,0x0003ffee,0xeccba880,0x0abcceee,
    0x00000000,0x00000000,0x00000000,0x90000000,0xdddddddd,0x0000003d,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xa9880000,0x5000009a,0x55550555,0x9a988001,
    0x00000000,0x03530000,0x00000000,0x54400000,0x000000aa,0x006a6200,
    0x00000000,0xffc98000,0x2effffff,0xffff1000,0x003ffff0,0x3fffffee,
    0x5100003f,0x005bdfd9,0x7fff65c0,0x8001deff,0x2cdfecb8,0xefdca800,
    0x320000bc,0x32a01fff,0x00bdefee,0x7ff6e440,0x002dffff,0xcdfedb98,
    0x7fe40002,0xffe8805f,0xffffffff,0x54003fff,0x7fcc5fff,0xffe8807f,
    0xefffffff,0x3fee0000,0x1effffff,0x3fffa600,0xffffffff,0xfff3000c,
    0x01bfffff,0xfffffb10,0x20007fff,0xfb107ffe,0xffffffff,0x3ffea007,
    0xffffffff,0xffb001ef,0x1bffffff,0xffff3000,0xffffb80b,0xffffffff,
    0x2005ffff,0x7d43fffc,0x7f4406ff,0xffffffff,0xf90005ff,0xffffffff,
    0xff7001ff,0xffffffff,0x803fffff,0xfffffffb,0x2a00efff,0xffffffff,
    0x44004fff,0xff885fff,0xffffffff,0x7fdc04ff,0xffffffff,0x201fffff,
    0xffffffe8,0x001fffff,0x02fffff4,0xfffffff9,0xffffffff,0x36009fff,
    0x7fe42fff,0x7ffdc04f,0xffebacff,0x7ec003ff,0xffffffff,0x7ec06fff,
    0xffffffff,0xffffffff,0xfffff100,0xbfffffff,0x3ffffe20,0xffffffff,
    0x3ffea005,0xfffffd83,0xffffffff,0xfffff702,0xffffffff,0x3a01dfff,
    0xffffffff,0x2006ffff,0x05fffffd,0xfffffff5,0xffb7559b,0x005fffff,
    0xfe81ffff,0x7fec02ff,0x7ffc43ff,0x3fe6005f,0xfdaadfff,0xf502ffff,
    0x59dfffff,0xffffffb5,0x3fff20df,0xfffdabff,0xfffc81ff,0xffebadff,
    0xf7000fff,0xfffa85ff,0xfeb8adff,0xffd06fff,0x33359fff,0xbffffff9,
    0xdfffff30,0xfffffd55,0xfffe9807,0xff885fff,0x200effff,0x6fffffe8,
    0x43fffc40,0x7401ffff,0xfc81ffff,0x3f6006ff,0xffc84fff,0xfff885ff,
    0xf5103fff,0x885fffff,0x6c1fffff,0x7c44ffff,0x7441ffff,0xb004ffff,
    0xffb81fff,0xfff885ff,0x7ffc40ff,0x3fe200ff,0xffc87fff,0xfffd83ff,
    0xfff9105f,0x90bfffff,0x009fffff,0x3fffffe6,0xf7333311,0xf5333dff,
    0x20133fff,0xe84ffffd,0xf3005fff,0x3e60ffff,0xffc85eff,0xfc801fff,
    0x7dc5ffff,0xff985fff,0x3fea0fff,0xfff504ff,0xfff001ff,0x5ffffb0d,
    0x07ffff60,0x00bffff7,0x81fffff7,0xa80fffff,0xfb87ffff,0xffffffff,
    0xfffff85f,0x7ffdc006,0xffff92df,0xffffffff,0x7fffffff,0x3ffffee0,
    0x0bffff21,0x27fffe40,0xfff88030,0xff1005ff,0xffd89dff,0xfffb03ff,
    0x7fffdc5f,0x3ffffa02,0x27ffcc03,0x807fffe4,0x640ffffc,0x8806ffff,
    0x441eefff,0xff304cb9,0xffff0dff,0xbffffdff,0x2fffffa8,0xc80ab800,
    0xffffffff,0xffffffff,0xff103fff,0xffb1dfff,0x3a001fff,0x0002ffff,
    0x07ffffee,0xd00aca80,0x3203ffff,0x3f63ffff,0x3f602fff,0x7dc04fff,
    0xfffa82ff,0xdffff03f,0x9fffff50,0x40000001,0xf84ffffc,0xffaaffff,
    0x7ffec5ff,0xc800006f,0xffffffff,0xffffffff,0x3ee03fff,0xffffffff,
    0x3fe002ff,0x2aa61fff,0xffffc800,0xff800006,0xff700fff,0x7ffec9ff,
    0x3fff201f,0x7ffec05f,0xeffff880,0x27fffd40,0x7fffffc4,0x000002cf,
    0x0fffffc4,0xfa877ffc,0x7ff45fff,0x800005ff,0xfffeeeeb,0xfffeeeef,
    0x6c02eeef,0xffffffff,0x7ffc002f,0xffffb8ff,0x3ff601ef,0x400005ff,
    0x00fffff8,0x64bffff7,0x3602ffff,0x7c06ffff,0x3fee06ff,0xffebdfff,
    0xffb00eff,0xbfffffff,0x51000037,0x09fffff9,0xfff50b7e,0xfffff8bf,
    0xa8000004,0x7fcc5fff,0x7fe4007f,0x00efffff,0x7ffffc40,0xfffffffc,
    0xffffd04f,0xf8800009,0x3ea07fff,0x3fea6fff,0x3ffa04ff,0x3fe607ff,
    0x7ffcc04f,0xdfffffff,0x3fffa200,0xffffffff,0xf70000be,0x407fffff,
    0xbffff501,0x1fffffc4,0x2aaaaa60,0x902aaaaa,0xffa87fff,0xffd3005f,
    0x05ffffff,0xfffff300,0xffffffff,0xffff09ff,0x9800007f,0x2a07ffff,
    0x3e66ffff,0xfa80ffff,0x2e07ffff,0xfa802fff,0x6fffffff,0xffffd300,
    0xffffffff,0xff90007f,0x20009fff,0x225ffffa,0x403fffff,0xfffffffd,
    0xffb07fff,0x4fffc85f,0xfffffa80,0x00ffffff,0x7ffffd40,0xfffcbfff,
    0x3fe21fff,0x00002fff,0x03ffffd4,0xd8fffff5,0x88bfffff,0xfffffffc,
    0x01fffb00,0xffffffc8,0x000effff,0xfffffff9,0x09ffffff,0xfffffd80,
    0x7d4003ff,0x3fe25fff,0x7ec03fff,0xffffffff,0x1ffff07f,0x402fffd8,
    0xeffffffa,0x265fffff,0xffa80ace,0x6c43ffff,0x3e25ffff,0x0003ffff,
    0x3ffffd40,0x8fffff50,0xfffffff8,0xffffffff,0x01fffe07,0xddfffffb,
    0x03ffffff,0x3fff6a20,0xffffffff,0x3f336005,0x004fffff,0xf17fffea,
    0xd809ffff,0xffffffff,0xfff987ff,0x00ffff87,0x3fffffe2,0x9fffffd3,
    0x30fffff2,0x20dfffff,0x20fffff8,0x004fffff,0x7fffcc00,0x3fffea07,
    0xfffffa86,0xffffffff,0xbfff107f,0x77fffd40,0x3ffff221,0x6544000f,
    0xfffffffe,0xff50001f,0x2a003fff,0x7f45ffff,0x7ec05fff,0xffffffff,
    0xffddd77f,0xffddddff,0x45ddddff,0x21fffffc,0xaffffff8,0x440fffff,
    0x204fffff,0x3a1ffffd,0x0005ffff,0x3ffffc40,0x0bffff50,0x3fffffa6,
    0x6ffffadf,0x407fff50,0xb02ffffd,0x0007ffff,0xfffffb88,0x3f60004f,
    0xf5006fff,0xffd8bfff,0x4cc407ff,0xffffc999,0xffffff97,0xffffffff,
    0x7c7fffff,0xf984ffff,0xffffffff,0xfffff06f,0x7fffe405,0x1bffff22,
    0x1015b100,0x201fffff,0x404ffffb,0xf52ceeca,0x3f20bfff,0x3ffe01ff,
    0x3ffea07f,0x4002605f,0x06ffffe8,0x3fffea00,0xfffa800f,0x7fffd45f,
    0xffb8003f,0xffff97ff,0xffffffff,0x7fffffff,0x07ffffe2,0x7fffffdc,
    0xfff03fff,0x7fdc07ff,0x3ffee3ff,0x3ee001ff,0x7ffc3dff,0xfff901ff,
    0x7dc0009f,0xffd04fff,0x7fffcc0f,0x3ffffc05,0x00dfffd7,0x03ffffd4,
    0xfffff100,0xffff5003,0xffffff0b,0xfffb8001,0xfffff97f,0xffffffff,
    0x27ffffff,0x407ffff9,0xfffffffc,0x3ffffa06,0x3ffff204,0x3ffffe62,
    0x3fffa004,0x7ffff46f,0x7ffffb02,0x7ffec000,0x5fff883f,0x17fffea0,
    0x21fffff0,0x00fffff9,0x1fffff50,0x80f2ea62,0x00fffff9,0x85ffffa8,
    0x04fffffc,0xbffffec0,0x9ffffa98,0x9ffff999,0xff109999,0xfe805fff,
    0x203fffff,0x206ffffc,0x6c1ffffd,0x801fffff,0x43fffffc,0xd04ffffd,
    0xaa83ffff,0xfff105cc,0xfff503ff,0x7fffcc07,0x3fffe206,0x2fffffc7,
    0x6ffffe80,0x81ffffea,0x007ffffc,0x10bffff5,0x1dffffff,0xffffea80,
    0x2fffd47f,0x201fffe2,0x205fffff,0xffffffd8,0xffff102f,0xffff105f,
    0xfffff10f,0x7ffdc05f,0x7fcc0fff,0x7fd40fff,0x7ffc46ff,0xfffb81ff,
    0x3fff905f,0x2fffff80,0x8bffff70,0x03fffffd,0x27ffffd4,0x05fffff1,
    0x017ffffe,0x82ffffd4,0xfffffffa,0xfecb99bd,0x47ffffff,0x7d43fffc,
    0xffd805ff,0x2a21cfff,0xffffffff,0xfff904ff,0x3fae1bff,0xff705fff,
    0x337bffff,0xffffffd7,0x3ffffa09,0xffffd30d,0xbffffb05,0x7ffffdc3,
    0x00fffd01,0x17fffffd,0x3fffff22,0x7ffffd43,0xda999bef,0x41ffffff,
    0x0bfffffe,0x5fffffd5,0x3fffea00,0x3ffff205,0xffffffff,0xffffffff,
    0x217fff44,0x8803fffc,0xffffffff,0xfffffffe,0x1effffff,0x7fffffc4,
    0xffffffff,0x3ffffa00,0xffffffff,0x2a05ffff,0xfeffffff,0xf707ffff,
    0xffdfffff,0x220bffff,0xf9805fff,0xfdffffff,0x906fffff,0xffffffff,
    0xffffffff,0xffff30df,0xffffffff,0x7d400bff,0x7dc05fff,0xffffffff,
    0xffffffff,0x0ffff82f,0x8017ffec,0xfffffffa,0xefffffff,0x0efffffe,
    0xffffffb8,0x02ffffff,0x7ffffec4,0xffffffff,0x7ff400ef,0xffffffff,
    0x3fff603f,0xffffffff,0x7fff500e,0x3fffee00,0xffffffff,0x3fffa01f,
    0xffffffff,0x700fffff,0xffffffff,0x001fffff,0x02ffffd4,0x7fffff4c,
    0xffffffff,0xfff980bf,0x00ffff87,0x3ffffa60,0x4fffffff,0x803ffff2,
    0xfffffffa,0x2a002fff,0xffffffff,0x000cffff,0xfffffffb,0xfe8805ff,
    0xffffffff,0x0fffe405,0xfffff700,0x05ffffff,0xfffffc88,0xffffffff,
    0x7ffdc00d,0xdfffffff,0x7ffd4000,0x3f26005f,0xdeffffff,0x7ffd402b,
    0x03fffc45,0xffffec80,0xfa81dfff,0xffd8802f,0x000dffff,0xffffec88,
    0x8000cfff,0xefffffeb,0x3ffee001,0xe803efff,0xc88007ff,0xcfffffff,
    0x3ff22000,0xdfffffff,0x3ff62002,0x002effff,0x0bffff50,0x26aa6200,
    0x5554c000,0x01555441,0x04d54c00,0x44001440,0x400000aa,0x00009aa8,
    0x00035310,0x4001aa98,0x40002aaa,0x0000aaa9,0x1aaaa988,0x1aa98000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x4c000000,0x221bdedb,0x0001aaaa,0xba7fffe4,
    0x0004ffff,0x80000000,0x000001a9,0x33333200,0xcccccccc,0x88001002,
    0x10abeecb,0x2a235555,0x36e20aaa,0x80001bde,0x5554c001,0x5555002a,
    0x3fffe615,0x0dffff36,0xfffffff7,0x13fffe6b,0xffff9000,0x13fffee9,
    0x6e4c0000,0x001cdefe,0x7ffffed4,0xfe88003e,0xff9805ff,0xffffffff,
    0xfb804fff,0xffff5000,0xff11dfff,0x3ffee9ff,0xfffff92f,0xdb8009ff,
    0x0bdefffe,0x3ffffea0,0x7fffd400,0x5bfffe67,0x226ffff9,0xfffffffd,
    0xffffaeff,0x7fe40004,0xffff74ff,0xd9800009,0xffffffff,0xffa800cf,
    0x02ffffff,0x5ffffc80,0xfffffb80,0xffffffff,0x03ffa604,0x3fffff20,
    0xff9effff,0xffff74ff,0xffffffb5,0xa801bfff,0xfffffffe,0x3fe03fff,
    0x7ec02fff,0x3fe64fff,0xffff36ff,0x7ffffe4d,0xffffffff,0x40004fff,
    0xf74ffffc,0x00009fff,0x7fffffc4,0x0effffff,0x3ffffe20,0x4001ffff,
    0x05fffffa,0xffffffc8,0x4fffffff,0x01ffffb0,0xffffffa8,0xffffffff,
    0xffff74ff,0xffffffff,0x6409ffff,0xffffffff,0x906fffff,0xf80bffff,
    0x3e61ffff,0xfff36fff,0x3fffe2df,0xfea88aff,0x004fffff,0xa7fffe40,
    0x004ffffb,0x3ffffa00,0xffffffff,0x3ffea05f,0x006dcfff,0x7fffffc4,
    0xffffe805,0xffffffff,0xfffff04f,0xffffe801,0xffea99cf,0xff74ffff,
    0x337fffff,0x3ffffff7,0xffffff50,0xffffffdf,0xffff30bf,0x3ffea01f,
    0x7fffcc6f,0x2bdddd36,0x00fffffc,0x09fffffb,0xffffc800,0x09ffff74,
    0x3ffee000,0xffdacfff,0xf702ffff,0x8000dfff,0x5ffffffd,0x9effff80,
    0x99999999,0x1fffff00,0x7ffffdc0,0xfffffb02,0x3ffffee9,0xffff980f,
    0x7fffc45f,0x3f2a0bef,0xfe83ffff,0xff902fff,0xfff987ff,0xffff806f,
    0x3ffe603f,0x640004ff,0xff74ffff,0x200009ff,0x884ffffe,0x904fffff,
    0x0009ffff,0x7fffffd4,0x7ffc405f,0x7fc0004f,0x3fa00fff,0x3e205fff,
    0xff74ffff,0x7dc07fff,0x7fdc7fff,0x3f200eff,0xffb85fff,0xffff05ff,
    0xffff981f,0x7fffc406,0x7fff400f,0x3b6e604f,0x3fff22bd,0x9ffff74f,
    0x0def6dcc,0x3ffffe20,0xdffff900,0x0fffff60,0x7fffc400,0x5405ffff,
    0x8003ffff,0xfffffba8,0x7ffc1aab,0x7fec01ff,0xffff74ff,0xfffff00f,
    0x17fffec3,0x1ffffe60,0x03ffffe2,0x30bffff5,0x2a2dffff,0xfff9aaaa,
    0xfffd807f,0xffff704f,0x3ff2bfff,0xffff74ff,0x3fffff29,0x3fea04ff,
    0x3fe606ff,0x3aaa67ff,0xaaadffff,0xffffb000,0xc80bffff,0x8001ffff,
    0xfffffffb,0x3fe24fff,0x7e400fff,0xfff74fff,0xfffd00df,0x3fff6c5f,
    0x0ffffe80,0x42ffffd8,0x982ffffc,0xff36ffff,0xffff5dff,0xffff900d,
    0xffffd889,0xfdefffff,0xfff74fff,0xfffffdbf,0x401dffff,0x3ea01a98,
    0x3ff26fff,0xffffffff,0xfffa802f,0x05ffffbf,0x5d7fffec,0x2e02cefd,
    0xffffffff,0x3ffe64ff,0xfffb807f,0xbffff74f,0x7ffffb00,0x3e200220,
    0xff507fff,0xffff8bff,0xdffff307,0x2bbfffe6,0xc806ffff,0x7e44ffff,
    0xffffffff,0x4fffffff,0xfffffff7,0xffffffff,0xfb00009f,0x7fe49fff,
    0xffffffff,0x7ffc402f,0x5ffff9cf,0x7fffffc0,0x0effffff,0xffffffb8,
    0x3e64ffff,0xfb807fff,0xfff74fff,0xfffb00bf,0xfc80007f,0x3fe04fff,
    0xfff30fff,0x3ffe609f,0xdffff36f,0x00fffff3,0x449ffffb,0x8affffff,
    0xfffffea8,0xfffff74f,0xff5115df,0x0003ffff,0x1fffffc4,0xfffffff9,
    0xd805ffff,0xfff36fff,0x7ffc40bf,0xffffffff,0x664c2fff,0xcccfffff,
    0x1ffffe22,0x53ffff20,0x806ffffb,0x002ffffe,0x3fffff20,0x3ffff202,
    0x03ffff92,0x4dbfffe6,0xff8effff,0x7f400fff,0x3ff64fff,0xffd00fff,
    0x3fee9fff,0xff106fff,0x4000bfff,0x20fffffc,0xffffecca,0x2e01cccd,
    0xff31ffff,0x7fcc0bff,0xffffffff,0xf00fffff,0x7c01ffff,0x6c00ffff,
    0xff74ffff,0xffd00fff,0xb10003ff,0x809fffff,0xff5ffff9,0x7fcc0dff,
    0xffff36ff,0x13ffffed,0x4fffffa8,0x80fffffe,0x74fffff9,0x403fffff,
    0x007ffffb,0x5fffff70,0x1ffffec0,0x4ffff880,0x817fffe6,0xacfffffb,
    0xfffffd99,0x1fffff04,0x1fffff40,0x9fffff10,0x0bffffee,0x0fffff98,
    0x7fff4400,0xffd005ff,0x7ffff5ff,0xb7fffcc0,0xf96ffff9,0xd103ffff,
    0x229fffff,0x400fffff,0xf74ffffe,0xf880dfff,0x4000ffff,0x06fffffb,
    0x01ffffec,0x4c6fffd8,0x2a05ffff,0xf901ffec,0xff01ffff,0x7e401fff,
    0x3f206fff,0xff74ffff,0x7ec0dfff,0x44006fff,0x05fffffe,0x3ffffee0,
    0x2600ffff,0xff36ffff,0x3ffe6dff,0xfb99bfff,0x34ffffff,0xb00fffff,
    0x3ee9ffff,0xff805fff,0x32001fff,0x01ffffff,0x01ffffec,0x20ffffdc,
    0x005ffff9,0xfffff100,0x1fffff05,0x7ffffc40,0x7fffe40d,0xffff74ff,
    0xffc81bff,0x6c002fff,0x004fffff,0x7fffffc4,0x7fcc06ff,0xffff36ff,
    0x7ffffecd,0xffffffff,0xfff54fff,0xfff900df,0x3fffee9f,0xffffe804,
    0xffff9002,0xffb003ff,0xff8807ff,0xfff984ff,0x3600005f,0xff83ffff,
    0x7e400fff,0xfddfffff,0x4fffffff,0xfffffff7,0xfffffbbf,0xff9800df,
    0xb0004fff,0x7fffffff,0x6ffff980,0xd8dffff3,0xffffffff,0x4ffffccf,
    0x00dffff5,0x2e9ffff9,0xe804ffff,0xc803ffff,0x01ffffff,0x07ffffb0,
    0x306fffe8,0x000bffff,0x2ffffe40,0x007ffffc,0x3fffffe2,0xffefffff,
    0xffff74ff,0xffffffff,0x8003ffff,0x005ffffb,0x3ffffea0,0x7fcc00ff,
    0xffff36ff,0xfffff90d,0x3fff29ff,0xfffff33f,0x9ffffb00,0x017fffee,
    0x00bffffa,0x3ffffff9,0x7fffec00,0x3fffe603,0xffffffff,0x07ffffff,
    0x7fffe400,0x0fffff85,0xffffe980,0xffcaffff,0xffff74ff,0xfffffd3b,
    0x90003fff,0x0001ffff,0x5ffffff8,0x6ffff980,0x20dffff3,0x21bdfdb9,
    0xf13ffffc,0xfd00ffff,0x3fee9fff,0xfff806ff,0x3ff201ff,0x4001ffff,
    0x203ffffd,0xfffffff9,0xffffffff,0xa9887fff,0x7fffec02,0x0fffff83,
    0x3ffff200,0xffff91df,0x57fffee9,0xdfffffd8,0xfffd0000,0xff90000f,
    0xf3005fff,0x3fe6dfff,0x320006ff,0x3fe3ffff,0x3e202fff,0xff74ffff,
    0x7cc03fff,0x3ee07fff,0x001fffff,0x03ffffd8,0x3fffffe6,0xffffffff,
    0x3e67ffff,0x3a01ffff,0xff82ffff,0x98000fff,0xffffc81a,0x0bffff74,
    0xd0000353,0x0000dfff,0x00fffff7,0x4dbfffe6,0x5976ffff,0xfffb0035,
    0x7ffff45f,0x3ffff206,0xfffff74f,0x7fffec0b,0xfffff306,0x3f60001f,
    0x3e603fff,0xffffffff,0xffffffff,0x7ffff47f,0xfffff505,0x1fffff01,
    0xffc80000,0xffff74ff,0x0000000b,0xfff88000,0xff3004ff,0x3ffe6dff,
    0xfffff96f,0x3fffe605,0x3fffe60f,0x7ffe40df,0xfff74fff,0xff90bfff,
    0xfd105fff,0x0003ffff,0x01ffffec,0x99999991,0xffffb999,0xffc8999d,
    0xf910bfff,0x3e09ffff,0x0112ffff,0xffff9000,0x17fffee9,0x33100000,
    0xfb800033,0x3001ffff,0x3e6dffff,0xfff76fff,0x75115dff,0xb0bffffd,
    0xbdffffff,0xffffffff,0x3ffffee9,0xfffddfff,0xff706fff,0xddddffff,
    0x20dddddd,0x003ffffd,0xbffff300,0x7ffffc40,0xfffffdff,0xfffd00ff,
    0x000bfdff,0x29ffff90,0x005ffffb,0x7fff4000,0x5353001f,0x0bfffff9,
    0xb7fffcc0,0xf16ffff9,0xffffffff,0x3fffffff,0xffffff30,0xff9fffff,
    0x3ffee9ff,0xffffffcf,0xd01fffff,0xffffffff,0xffffffff,0x0fffff60,
    0x7ffcc000,0x7ffcc05f,0xffffffff,0x3ff201ff,0x006fffff,0x4ffffc80,
    0x00bffff7,0xfffe8000,0xfff5001f,0x03ffffff,0xb7fffcc0,0x2a6ffff9,
    0xffffffff,0x04ffffff,0x3fffffa6,0xfff99fff,0x3ffff74f,0xfffffff3,
    0x3fe603df,0xffffffff,0x07ffffff,0x007ffffb,0x3fffe600,0xffffa805,
    0x0effffff,0x7ffffcc0,0xc80007ff,0xff74ffff,0x00000bff,0x01ffffe8,
    0xffffff30,0xf98009ff,0xfff36fff,0xfffd98df,0xefffffff,0xfffc8802,
    0xfff31dff,0x3fffee9f,0xfffffb11,0x7ffdc01b,0xffffffff,0xb07fffff,
    0x0007ffff,0x17fffe60,0x7fffe440,0x26004eff,0x05fffffe,0xffffc800,
    0x0bffff74,0xffe80000,0xff1001ff,0x009fffff,0x2dffff30,0x306ffff9,
    0x79dddb99,0x06a20005,0x0d4c0000,0xfffffe80,0xffffffff,0xffb07fff,
    0x200007ff,0x005ffff9,0x0001a988,0x00005544,0x23555530,0x001aaaa8,
    0x7fff4000,0x3bb2001f,0x00000bde,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xffc80000,
    0xffff36ff,0x3fe6001f,0x3ffa0fff,0xf5003fff,0xfd0dffff,0x2000ffff,
    0x366ffffe,0xb805ffff,0x01ffffff,0x97ffffc4,0xfffffff8,0xffffffff,
    0x50ffffff,0x000dffff,0x7fffffcc,0xeeefffff,0x7cc00ace,0xffffffff,
    0x01cdeeee,0x013fffee,0x1aaaa880,0xffffc800,0x1fffff36,0x3fffe600,
    0x3fffe60f,0xffe800ff,0xffb81fff,0x44002fff,0x2e3fffff,0xd807ffff,
    0x03ffffff,0x87ffffd4,0xfffffff8,0xffffffff,0x50ffffff,0x000dffff,
    0x7fffffcc,0xffffffff,0x2602ffff,0xffffffff,0xffffffff,0xffffb80d,
    0x3fee0004,0xfc8005ff,0xfff36fff,0x3e6001ff,0x7e40ffff,0x6405ffff,
    0x104fffff,0x00bfffff,0x0fffffb8,0x07ffffe6,0xfffffff0,0xffffb80b,
    0x3ffffe26,0xffffffff,0xffffffff,0x0dffff50,0x7fffcc00,0xffffffff,
    0x3fffffff,0xffffff30,0xffffffff,0xfb83ffff,0x20004fff,0x005ffffb,
    0x36ffffc8,0x001fffff,0x03ffffe6,0x0bfffffa,0x7fffffcc,0x3ffffa00,
    0x7fff4007,0x7fffc46f,0x3ffe602f,0x6c07ffff,0x3e24ffff,0xffffffff,
    0xffffffff,0xff50ffff,0x4c000dff,0xffffffff,0xffffffff,0xf983ffff,
    0xffffffff,0xffffffff,0x7fffdc7f,0x3fee0004,0xfc8005ff,0xfff36fff,
    0x3e6001ff,0xf980ffff,0xfb06ffff,0xb805ffff,0x002fffff,0x07fffff1,
    0x409ffffd,0xfffffffb,0x3fffe01f,0x3333222f,0xffffdccc,0xccccccdf,
    0xdffff50c,0x7ffcc000,0xcccccdff,0xfffffecc,0xffff986f,0xedcccccf,
    0x3fffffff,0x013fffee,0x5ffffb80,0xffffc800,0x1fffff36,0x3fffe600,
    0xffff900f,0xffffa89f,0xfff8805f,0xff7005ff,0xff901fff,0x7fec0dff,
    0x03ffffff,0x01fffff3,0x7ffffcc0,0xffff5001,0x7fcc000d,0xea800fff,
    0x4c0fffff,0x200fffff,0x7fffffe9,0x013fffee,0x2cccc980,0xffffc800,
    0x1fffff36,0x3fffe600,0xffff100f,0x3ffe23ff,0xfb000fff,0xd001ffff,
    0x2a0bffff,0xf00fffff,0xffffffff,0x3fffea0b,0x7ffcc006,0xff5001ff,
    0x4c000dff,0x000fffff,0x87fffff5,0x00fffff9,0x0ffffff8,0x009ffff7,
    0xf9000000,0x3fe6dfff,0xf3000fff,0x5401ffff,0xf95fffff,0x4007ffff,
    0x02fffffa,0x17ffffc4,0x1fffff88,0xfdffff98,0xff907fff,0xf98009ff,
    0x5001ffff,0x544dffff,0xf302cdec,0x4001ffff,0x4c5fffff,0x800fffff,
    0x71fffffc,0x2609ffff,0x002aaaaa,0xffffc800,0x1fffff36,0x3fffe600,
    0x7ffec00f,0xfffffcff,0xffff8006,0x7ffdc05f,0x3ffa00ff,0xfffb83ff,
    0x1ffffdaf,0x02ffffe8,0x7ffffcc0,0xffff5001,0x3ffffead,0x7fcc0eff,
    0x3e000fff,0x7cc4ffff,0xa800ffff,0xf71fffff,0xff309fff,0x0003ffff,
    0xdffff900,0x03ffffe6,0x7ffffcc0,0x7fffc400,0x0fffffff,0xffffc800,
    0x3fffa00f,0x7ffe405f,0xffffe85f,0x43ffffb8,0x01fffff8,0x7ffffcc0,
    0xffff5001,0xffffff7d,0x7cc1ffff,0x3000ffff,0x987fffff,0x800fffff,
    0x70fffffc,0xe889ffff,0x001fffff,0xffff9000,0x3ffffe6d,0xffff3000,
    0xfff5001f,0x07ffffff,0x3fffe600,0xffff102f,0xfffa805f,0x7fffc47f,
    0x8bffff36,0x007ffff9,0x1fffff98,0xfffff500,0xffffffff,0x7fcc9fff,
    0xe9800fff,0x4c1fffff,0x400fffff,0x26ffffe8,0x224ffffb,0x01fffffe,
    0x3ff20000,0xffff36ff,0x3fe6001f,0xfb000fff,0x0dffffff,0xfffff800,
    0xfffff705,0xfffff300,0x27fffd41,0xfb8fffff,0x98005fff,0x001fffff,
    0xdffffff5,0xffff5117,0x3ffe61ff,0xcccccdff,0xfffffecc,0xffff984f,
    0x3ffa600f,0x3fee4fff,0x3fff64ff,0x000002ff,0x9b7fffe4,0x000fffff,
    0x01fffff3,0x3ffffe20,0x640001ff,0xd80fffff,0xf004ffff,0x7e45ffff,
    0x3ff61fff,0x3fff61ff,0xff98003f,0xf5001fff,0x301fffff,0x263fffff,
    0xffffffff,0xffffffff,0xf980efff,0xeeeeffff,0xffffffee,0x3ffee2ff,
    0xfffff94f,0x90000005,0x3e6dffff,0x3000ffff,0x001fffff,0x3fffffe2,
    0x7cc0000f,0x7c43ffff,0xb001ffff,0x7f49ffff,0x7ffdc7ff,0x3ffffe3f,
    0xfff98001,0xff5001ff,0x7f405fff,0xfff32fff,0xffffffff,0xbfffffff,
    0x3fffe601,0xffffffff,0x44ffffff,0xfccffffb,0x0003ffff,0xffff9000,
    0x3ffffe6d,0xffff3000,0x3ffa001f,0x005fffff,0x5ffffe80,0x037fffdc,
    0x2bffff70,0x4c5ffff8,0xff15ffff,0x26000fff,0x001fffff,0x01fffff5,
    0x997fffec,0xffffffff,0xefffffff,0x7ffcc02c,0xffffffff,0x85ffffff,
    0xfffffffb,0x98804fff,0xc8000999,0xff36ffff,0x26001fff,0x800fffff,
    0xfffffffb,0x5c0002ff,0x360fffff,0x2003ffff,0xf57ffff9,0xfff07fff,
    0x3fffeaff,0xfff30005,0x3ea003ff,0x7ec07fff,0xfff32fff,0xfffdddff,
    0x2003ffff,0xfffffff9,0xffffffff,0xffff703f,0x0dffffff,0x0bffff70,
    0xdffff900,0x03ffffe6,0x7ffffcc0,0x7fffc400,0x0fffffff,0x3ffe2000,
    0xffff13ff,0xfff8001f,0xffffc9ff,0x9ffffc81,0x003ffffc,0x3fffff30,
    0x3fffea00,0x7fffec07,0x1fffff32,0xffffffa8,0xffff9803,0xeeeeeeef,
    0x7fdc02cd,0xffffffff,0x7ffdc03f,0xffc8005f,0xffff36ff,0x3fea001f,
    0x7ec00fff,0xffffffff,0x740005ff,0xff56ffff,0xfb000dff,0xfffd5fff,
    0x3fffea0f,0x01ffffeb,0xfffff300,0x3ffea003,0x7ffec06f,0xfffff32f,
    0xfffff101,0xfff9809f,0xb80000ff,0xffffffff,0x2e00ffff,0xca8dffff,
    0x3ff204ec,0xffff15ff,0x3fea003f,0x7fd407ff,0xffe8efff,0x20002fff,
    0xd8fffffb,0x8003ffff,0xffeffffb,0xfff105ff,0x0fffffbf,0x7fffcc00,
    0xfff5001f,0xfffd80df,0xfffff32f,0x3fffea01,0x3fe603ff,0x80000fff,
    0xdffffffb,0x204ffffd,0xf9dffffb,0x3f606fff,0x3ffe5fff,0xff9003ff,
    0x7fc40dff,0xff52ffff,0x0001ffff,0x33ffffe2,0x000fffff,0xffffffa8,
    0x3fa03fff,0x6fffffff,0x3ffe6000,0xff5001ff,0xffd80dff,0xffff32ff,
    0x7ffe401f,0xff301fff,0x00001fff,0x1dfffff7,0x03fffff3,0x233fffee,
    0xd00fffff,0x7f49ffff,0x4400ffff,0x205fffff,0x45fffffd,0x05fffffd,
    0x3ffff600,0x005fffff,0xffffff10,0x7e403fff,0x4fffffff,0x3ffe6000,
    0xff5001ff,0xffd80dff,0xffff32ff,0xfffe801f,0xfff306ff,0x700001ff,
    0x641dffff,0x4405ffff,0xfffff3ff,0xfffff309,0x7ffffe45,0x7fffec05,
    0xffff503f,0xfff881ff,0x50002fff,0xffffffff,0x7f40005f,0x07ffffff,
    0x7fffffd4,0x260002ff,0x001fffff,0x80dffff5,0xf32ffffd,0x9801ffff,
    0x83ffffff,0x00fffff9,0xffffb800,0x7ffffc44,0x6cbfea02,0x9acfffff,
    0x0ffffffb,0x3fffffe2,0xfeb99bdf,0x880fffff,0x02ffffff,0x1ffffff5,
    0x3fffe000,0x000fffff,0x3fffff20,0x7fc404ff,0x00ffffff,0x3fffe600,
    0xfff5001f,0xfffd80df,0xfffff32f,0xffff9001,0xfff981ff,0xb80000ff,
    0xfb84ffff,0xfb106fff,0x3fffe61f,0xffffffff,0xfffc84ff,0xffffffff,
    0x03ffffff,0x0bfffffb,0x5fffffd8,0xffff9000,0x8000bfff,0xfffffffa,
    0xffffe802,0x4c0006ff,0x001fffff,0x80dffff5,0xf32ffffd,0x2001ffff,
    0x45fffffe,0x00fffff9,0xffffb800,0xfffff884,0x217ffd43,0xfffffffc,
    0x80efffff,0xffffffd8,0xffffffff,0xfffa80ef,0x7c400fff,0x002fffff,
    0xffffffa8,0x7c40002f,0x00ffffff,0xffffffc8,0x7fcc0004,0xf5001fff,
    0xfd80dfff,0xfff32fff,0x3e6001ff,0x262fffff,0x000fffff,0x4ffffb80,
    0x1fffff70,0x6c427fe4,0xffffffff,0x7dc00eff,0xffffffff,0xf103ffff,
    0x007fffff,0x3fffffee,0xffff8000,0xd00007ff,0x00dfffff,0x3fffffe6,
    0x7fcc0002,0xf5001fff,0xfd80dfff,0xfff32fff,0x7e4001ff,0xf30fffff,
    0x0001ffff,0x09ffff70,0x127ffff4,0xffea803b,0x003effff,0x3fffff66,
    0x201dffff,0x06fffffc,0x7fffff40,0xfffc8005,0xb00004ff,0x009fffff,
    0x07fffffc,0x3ffe6000,0xff5001ff,0xffd80dff,0xffff32ff,0xffe8001f,
    0xfff34fff,0x700001ff,0x5409ffff,0x001fffff,0x03355310,0xaaaa9800,
    0x0000001a,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0bffffe6,0x0ffffe80,0xfffffff5,
    0x3fff200d,0x9914ffff,0x40003999,0x01fffff8,0xffffff30,0x7fffcc3f,
    0xfff1000f,0x7ffec3ff,0x7d4004ff,0x3e66ffff,0xffffffff,0xffffffff,
    0xfffff31f,0xffffffff,0x4bffffff,0xfffffff9,0x2ceeefff,0x7ffffc00,
    0xffffffff,0x25ffffff,0x4c7ffffa,0x006fffff,0x543ffffa,0xffffffff,
    0xffffe800,0xfff14fff,0x440005ff,0x801fffff,0xfffffff8,0x7ffffcc1,
    0xffff1000,0x7fffc43f,0x3fa000ff,0x3e61ffff,0xffffffff,0xffffffff,
    0xfffff31f,0xffffffff,0x4bffffff,0xfffffff9,0xffffffff,0xffff002e,
    0xffffffff,0xbfffffff,0x23ffffd4,0x3ffffff9,0x1ffffd00,0x3fffffea,
    0x7fc402ff,0x14ffffff,0x005fffff,0x7ffffc40,0x7fff4401,0xff981fff,
    0xf1000fff,0xfb83ffff,0x7005ffff,0x989fffff,0xffffffff,0xffffffff,
    0xffff31ff,0xffffffff,0xbfffffff,0x7fffffcc,0xffffffff,0x7c00dfff,
    0xffffffff,0xffffffff,0x3ffea5ff,0x7fffcc7f,0xfe800fff,0xfff50fff,
    0x80bfffff,0xfffffffa,0xfffff14f,0x7fc40005,0x3a201fff,0x01ffffff,
    0x01fffff3,0x3ffffe20,0xfffffe81,0x7fffc402,0xffff986f,0xffffffff,
    0x31ffffff,0xffffffff,0xffffffff,0x7fccbfff,0xffffffff,0xffffffff,
    0x3fffe00f,0xffffffff,0x5fffffff,0x31ffffea,0xbfffffff,0x1ffffd00,
    0x3fffffea,0x7fe407ff,0x14ffffff,0x005fffff,0x7ffffc40,0x3ffff601,
    0x3fe601ff,0xf1000fff,0xf303ffff,0xd80dffff,0x982fffff,0xccdfffff,
    0xcccccccc,0xffff30cc,0x9999999f,0x59999999,0x67ffffcc,0xffedcccc,
    0x204fffff,0xcccccccc,0xfffecccc,0x3fea3fff,0x7ffcc7ff,0x402fffff,
    0xf50ffffe,0xffffffff,0x7ffff403,0xff14ffff,0x40005fff,0x01fffff8,
    0x5ffffffb,0xfffff980,0xffff1000,0x3fff203f,0xfff303ff,0x3fe60bff,
    0x20001fff,0x00fffff9,0xffff9800,0x3ff2200f,0x0001ffff,0xffffff98,
    0x3ffffd45,0x3fffffe6,0x3fa00fff,0xfff50fff,0x07ffffdf,0x3fbfffe2,
    0xfff14fff,0x440005ff,0xc81fffff,0x02ffffff,0x0fffff98,0xfffff100,
    0x3fffe203,0xfffe80ff,0xfff300ff,0x4c0003ff,0x000fffff,0xfffff980,
    0xffff9800,0x7440006f,0x40efffff,0x4c7ffffa,0xffffffff,0x3fffa04f,
    0xbffff50f,0x2a0bfffd,0xfffcffff,0xfffff14f,0x7fc40005,0x7fe41fff,
    0x3002ffff,0x001fffff,0x07ffffe2,0x5fffffa8,0x1fffffdc,0x3fffff30,
    0x7ffcc000,0x980000ff,0x000fffff,0x05fffff9,0x7fffec00,0xfffa80ff,
    0x7fffcc7f,0x01ffffff,0x2a1ffffd,0xffcdffff,0xffff907f,0x229ffff5,
    0x002fffff,0x3ffffe20,0x3ffffee1,0x3fe6002f,0xf1000fff,0xd803ffff,
    0xf11fffff,0x980dffff,0x001fffff,0x3ffffe60,0xff980000,0xf1000fff,
    0x0009ffff,0x3ffffff2,0xfffff501,0xffffff98,0xfd06ffff,0x3fea1fff,
    0xffffadff,0xadffff81,0xff14ffff,0x40005fff,0x51fffff8,0x07ffffff,
    0xfffff980,0xffff1000,0xfff8803f,0xffff96ff,0xfff9803f,0x260001ff,
    0x000fffff,0xfffff980,0x3fff6000,0xffa8006f,0x2a03ffff,0x7cc7ffff,
    0xfffbefff,0xfffe82ff,0xbffff50f,0x887ffff1,0xffabffff,0xffff14ff,
    0x7c40005f,0xffa9ffff,0x8004ffff,0xabfffff9,0xaaaaaaaa,0x01fffffb,
    0xcfffffb8,0x803fffff,0x01fffff9,0x3fffe600,0xaaaaaabf,0x41aaaaaa,
    0x00fffff9,0x1ffffee0,0xfffff300,0xfffa80bf,0x7fffcc7f,0x1fffffd6,
    0x50ffffe8,0x3fabffff,0x7ffdc6ff,0x4ffffa8f,0x05fffff1,0x7fffc400,
    0xffffffbf,0x7cc000ff,0xffffffff,0xffffffff,0xd001ffff,0xffffffff,
    0x3fe600df,0xffffffff,0x43ffffff,0xfffffff9,0xffffffff,0x7fcc4fff,
    0x2e000fff,0x000fffff,0xdfffffd1,0xfffff500,0x36ffff98,0xe89fffff,
    0xff50ffff,0x3fff2bff,0x5ffff60f,0xf14ffffa,0x0005ffff,0x7fffffc4,
    0xffffffff,0x7ffcc004,0xffffffff,0xffffffff,0xff3001ff,0x3fffffff,
    0x3fffe600,0xffffffff,0x7cc3ffff,0xffffffff,0xffffffff,0x7fffcc4f,
    0x3fea000f,0xfb000fff,0x001fffff,0x98fffff5,0x3f26ffff,0x3fa1ffff,
    0xfff50fff,0x3fffeabf,0x557fffe2,0xff14ffff,0x40005fff,0xfffffff8,
    0xffffffff,0x3ffe6001,0xffffffff,0xffffffff,0x3f2001ff,0x04ffffff,
    0x3ffffe60,0xffffffff,0x7fcc3fff,0xffffffff,0xffffffff,0x7ffffcc4,
    0x3ffea000,0xffc801ff,0x5001ffff,0xf98fffff,0x3fe26fff,0x3ffa6fff,
    0xffff50ff,0x53fffe2b,0xf53ffff9,0x3fe29fff,0x20002fff,0xfffffff8,
    0xfffffdff,0x3ffe6006,0xffffffff,0xffffffff,0x3a2001ff,0x00ffffff,
    0x3ffffe60,0xffffffff,0x7fcc3fff,0xffffffff,0xffffffff,0x7ffffcc4,
    0x3ffea000,0x7fd400ff,0x2003ffff,0x4c7ffffa,0x7dc6ffff,0xffd3ffff,
    0x3ffea1ff,0x5bfffa5f,0xf50ffffb,0x3fe29fff,0x20002fff,0xfffffff8,
    0xfffffb3f,0x3ffe6009,0x99999aff,0xfffa9999,0x7d4001ff,0x4002ffff,
    0xcdfffff9,0xcccccccc,0x7fffcc1c,0x999999af,0x40999999,0x00fffff9,
    0x1ffffee0,0xffffff30,0xfffa8009,0x7fffcc7f,0xfffffe86,0x50ffffe8,
    0x7e4bffff,0xfffd8fff,0x53fffea7,0x02fffff8,0x3fffe200,0x3fe24fff,
    0x9801ffff,0x000fffff,0x03fffff1,0xfffff980,0x7ffcc001,0x260001ff,
    0x000fffff,0xfffff980,0x3ffee000,0x3ffa206f,0xa8005fff,0x7cc7ffff,
    0xff986fff,0xfffedfff,0xbffff50f,0x7d7fffd4,0x3fea5fff,0xffff14ff,
    0x7c40005f,0xb84fffff,0x806fffff,0x00fffff9,0x3fffff10,0xffff9800,
    0x7fcc001f,0x20001fff,0x00fffff9,0xffff9800,0x3ff6000f,0x3ff605ff,
    0x8000efff,0x4c7ffffa,0xf906ffff,0xffffffff,0x3fffea1f,0x3bfffe25,
    0x3ea3ffff,0xfff14fff,0x440005ff,0x204fffff,0x03fffffe,0x07ffffcc,
    0xfffff880,0x7ffcc001,0x7cc001ff,0x0001ffff,0x03ffffe6,0x3ffe6000,
    0x3fa000ff,0xff904fff,0x0003ffff,0x31ffffea,0x220dffff,0xfffffffe,
    0xffff50ff,0xfffffe8b,0x3fea1fff,0xffff14ff,0x7c40005f,0x2a01ffff,
    0x01ffffff,0x03ffffe6,0x7ffffc40,0x7ffcc001,0x7cc001ff,0x0001ffff,
    0x03ffffe6,0x3ffe6000,0xff7000ff,0xff505fff,0x0005ffff,0x23ffffd4,
    0x206ffff9,0xfffffffa,0xffff50ff,0xfffffc8b,0x7ffd47ff,0xfffff14f,
    0x7fc40005,0x7ec01fff,0x2606ffff,0x000fffff,0x03fffff1,0xfffff980,
    0x7ffcc001,0x260001ff,0x000fffff,0xfffff980,0xfffff000,0xfffff30f,
    0xfa80009f,0x7fcc7fff,0x7fec06ff,0x50ffffff,0xfa8bffff,0x45ffffff,
    0xf14ffffa,0x0005ffff,0x0fffffc4,0x3ffffe60,0xffff303f,0x3fe2001f,
    0x4c001fff,0x001fffff,0x0fffffcc,0xffff3000,0xf300001f,0xa801ffff,
    0x43fffffe,0x5ffffff8,0xfffa8000,0x7fffcc7f,0x7fffc406,0xff50ffff,
    0xfff88bff,0x7d43ffff,0xfff14fff,0x99999bff,0x79999999,0x07ffffe2,
    0x3fffff20,0xffff980f,0xfff1000f,0xf98003ff,0x4001ffff,0x01fffff9,
    0x3fffe600,0xcccccccf,0xcccccccc,0x9fffff30,0xfdb99999,0x81dfffff,
    0xdffffffc,0xcccccccc,0x50cccccc,0xf98fffff,0xfb806fff,0x50ffffff,
    0xfd0bffff,0xa83fffff,0xff14ffff,0xffffffff,0xffffffff,0x3ffffe2d,
    0xffff8801,0xfff985ff,0xff1000ff,0x98003fff,0x001fffff,0x0fffffcc,
    0xffff3000,0xffffffff,0xffffffff,0x3ffffe63,0xffffffff,0x81ffffff,
    0xfffffffc,0xffffffff,0x51ffffff,0xf98fffff,0xfd006fff,0x2a1fffff,
    0xfc85ffff,0xfa87ffff,0xfff14fff,0xffffffff,0xdfffffff,0x07ffffe2,
    0x7ffffdc0,0x7fffcc3f,0xfff1000f,0xf98003ff,0x4001ffff,0x01fffff9,
    0x3fffe600,0xffffffff,0xffffffff,0xffffff31,0xffffffff,0x3203dfff,
    0xffffffff,0xffffffff,0xf51fffff,0xff98ffff,0xff3006ff,0x3ea1ffff,
    0xffa85fff,0xffa85fff,0xffff14ff,0xffffffff,0x2dffffff,0x01fffff8,
    0x3fffffa0,0x3fffe60f,0xfff1000f,0xf98003ff,0x4001ffff,0x01fffff9,
    0x3fffe600,0xffffffff,0xffffffff,0xffffff31,0xffffffff,0xffc807ff,
    0xffffffff,0xffffffff,0xfff51fff,0xffff98ff,0x3fff2006,0xffff50ff,
    0xfffff10b,0x9ffff507,0x3fffffe2,0xffffffff,0xff16ffff,0x4c003fff,
    0x25ffffff,0x00fffff9,0x3fffff10,0xffff9800,0x7fcc001f,0x20001fff,
    0xfffffff9,0xffffffff,0xf31fffff,0xffffffff,0x0179bdff,0xffffff90,
    0xffffffff,0x3fffffff,0x01ffffea,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4c000000,0xffffffff,
    0xbdeeefff,0xff900000,0x90005fff,0x326fffff,0xcccccccc,0xcccccccc,
    0x00000110,0x80260000,0x2bdeeca8,0xeecc8800,0x0000bcee,0x159bdb71,
    0xfdd95000,0x80015bdd,0x2ceeecba,0x06aaaa20,0x21555550,0x262aaaa8,
    0xffffffff,0xffffffff,0x220000df,0x05ffffff,0x7ffffc80,0xfffffff5,
    0xffffffff,0x077e63ff,0x40000000,0xff700fda,0x1dffffff,0xffff9100,
    0x1bffffff,0xffffb100,0x009fffff,0x3fffffea,0x801fffff,0xffffffe8,
    0xffa82fff,0x7ff405ff,0xffff32ff,0x7ffffccd,0xffffffff,0x00efffff,
    0xfffff700,0xfc8001ff,0xfff57fff,0xffffffff,0x23ffffff,0x002efff9,
    0xeb880000,0x7ec40fff,0xffffffff,0x3fa202ff,0xffffffff,0x2600efff,
    0xffffffff,0x201effff,0xfffffffa,0x02ffffff,0x3fffffee,0x43ffffff,
    0x405ffffa,0xf32ffffe,0x7fccdfff,0xffffffff,0xffffffff,0xffd0006f,
    0x009fffff,0x57ffffc8,0xffffffff,0xffffffff,0x3fffe63f,0x00000cff,
    0x7fffe440,0x7ffe40ff,0xffffffff,0xfffb01ff,0xffffdfff,0x3e209fff,
    0xffffffff,0x80ffffff,0xfffffff9,0x7fffffff,0xffffff50,0xffffffff,
    0x2ffffd45,0x4bffffa0,0x266ffff9,0xccdfffff,0xffeccccc,0x4002ffff,
    0xfffffff9,0x7fe4007f,0xffff57ff,0xffffffff,0x261dffff,0xffffffff,
    0x5400001d,0xfffffffd,0x3fffe60f,0xffeb8aef,0xfff885ff,0x7fe441ef,
    0xffe80fff,0xdbabefff,0xc85fffff,0x30aeffff,0x03fffff9,0x37fffffd,
    0xdffffd93,0x02ffffd4,0x4cbffffa,0x3e66ffff,0xa800ffff,0x004fffff,
    0x7fffffe4,0x32002fff,0x3317ffff,0x33333333,0x43ffffd3,0xfffffff9,
    0x0002efff,0x3ffffae2,0x20ffffff,0xb03ffffe,0xf983ffff,0x3fa03fff,
    0x7fd40acd,0xff704fff,0xfed87fff,0xffff01ff,0xffffb85f,0xffff980f,
    0xbffff52f,0x2ffffe80,0x4c799991,0x000fffff,0x00dffffb,0xfefffff8,
    0x32005fff,0x8007ffff,0x502ffffb,0xfffffffb,0x20017fff,0xffffffc8,
    0x4c2dffff,0x2207ffff,0x7cc5ffff,0x000bffff,0x0bffff90,0x07ffffd8,
    0x7fe40331,0x7fff43ff,0x33bf603f,0xbffff51b,0x2ffffe80,0xfffff300,
    0x3ffea001,0x3fea005f,0xffff9eff,0xfff7000f,0xff9800df,0xeb8804ff,
    0xffffffff,0xffb301cf,0xdfffffff,0x3ffea017,0x7fff405f,0x7ffffc47,
    0x2001bdff,0x401ffffe,0x00fffff8,0x7fff5440,0x7ffffc3f,0xffa80200,
    0x7ff405ff,0xff3002ff,0x32001fff,0x2003ffff,0xfd3ffffd,0x2a009fff,
    0x4005ffff,0x000efffe,0x7ffffecc,0xd10dffff,0xffffffff,0xff70039f,
    0x55555bff,0x0ffffd55,0xfffffffb,0x2015bfff,0x007ffff8,0x805ffffd,
    0xffffedb8,0x3fe23fff,0x2a0007ff,0x7405ffff,0x3002ffff,0x001fffff,
    0x03fffff1,0x3ffffe20,0x0fffff70,0x13fffea0,0x2ffffb80,0x3fae2000,
    0x31ffffff,0xdfffffff,0x7fe40015,0xffffffff,0x0fffffff,0x7fffff44,
    0x3fffffff,0x06ffffa8,0x07ffffb0,0xfffffd93,0x47ffffff,0x006ffffa,
    0x17fffea0,0x05ffffd0,0x3ffffe60,0x9999999a,0x05fffffc,0x97fffee0,
    0x02fffff8,0x04ffff98,0x0bffff10,0x7ff4c000,0xfff31fff,0x20003dff,
    0xfffffffd,0xffffffff,0xffd881ff,0xffffffff,0x7ffdc5ff,0xfffb006f,
    0xffffb89f,0xffeeffff,0x3ffea3ff,0x3ea0007f,0x7f405fff,0xf3002fff,
    0xffffffff,0xffffffff,0xffe8009f,0x7fff42ff,0xfff8805f,0xfff9003f,
    0x7100005f,0x3ffffffd,0x3fffffe6,0x7e4000be,0xeeeeefff,0xeeeeeeee,
    0x3ffae201,0xffffffff,0x1ffffea3,0x17ffff40,0x9dfffff9,0x3fffee15,
    0x1ffffe63,0xffffa800,0x7ffff405,0xffff3002,0xffffffff,0x009fffff,
    0x0fffff98,0x0fffffd4,0x017fffc0,0x037fffc4,0x3fff6600,0x31ffffff,
    0xffffffff,0x3ee003bf,0x00004fff,0x3ffb2a20,0x3e66ffff,0xf800ffff,
    0xff11ffff,0x3f207fff,0x3fe23fff,0x2a200fff,0x6ffffa81,0x17ffffc0,
    0xfffff980,0xffffffff,0x01dfffff,0x0bffffb0,0x09fffff1,0x003ffff0,
    0x007ffff7,0xffffd710,0x839fffff,0xffffffc9,0x200befff,0x405ffffa,
    0x98062000,0x7c7ffffd,0x5403ffff,0x3ea7ffff,0x3f606fff,0x7ffc3fff,
    0x3fee03ff,0xffff34ef,0x7fffc40d,0xfff3002f,0xffffffff,0xffffffff,
    0xfff8803f,0xfffb02ff,0xfffd00ff,0xffffd003,0x7fed4001,0xffffffff,
    0x7fe4400b,0xffffffff,0xffff882d,0x9dff501f,0x3fffec87,0x1ffffe60,
    0x01fffff9,0x97ffffa2,0x104ffffc,0xd87ffffd,0x3e06ffff,0xff13ffff,
    0x3f201fff,0x2662ffff,0x3ffe6099,0x99999aff,0xffffdbaa,0x3fee00ff,
    0x3fea07ff,0x7ec02fff,0x7fd400ff,0xeb8805ff,0xffffffff,0xd50002ef,
    0xffffffff,0xfffc87ff,0x7ffc42ef,0x7ffe45ff,0xfff700ff,0xffff98bf,
    0x7ff4c2ff,0x3fee0fff,0xffd80fff,0x7fcc4fff,0x3260dfff,0x3e0fffff,
    0xfb85ffff,0xf32fffff,0x7fccdfff,0xf7000fff,0x740bffff,0xccceffff,
    0xffffcccc,0x3ffe405f,0x17fffec0,0x7ffffcc0,0x001dffff,0xffffb300,
    0x441fffff,0xbeffffff,0x0ffffffd,0x7fffffcc,0xfffecabd,0xfffc82ff,
    0xfffeffff,0x7d43ffff,0xc9beffff,0x4fffffff,0xffffffc8,0xffffffee,
    0x7fffff45,0xfffffcce,0xfff32fff,0x7fffccdf,0x3ff6000f,0xfff307ff,
    0xffffffff,0xffffffff,0x03ffdc03,0x8037fffc,0xfffffff9,0x1000000c,
    0xfffffff9,0xfffffa81,0xffffffff,0xfffff503,0xffffffff,0x7fff409f,
    0xffffffff,0xfffd05ff,0xffffffff,0xf10bffff,0xffffffff,0xa81dffff,
    0xffffffff,0xffffceff,0x4dffff32,0x00fffff9,0x3ffffee0,0xfffffc80,
    0xffffffff,0x04ffffff,0xf501bfee,0x26007fff,0x003effff,0x3ae20000,
    0xf980ffff,0xffffffff,0x7fd403ff,0xffffffff,0xffb805ff,0xffffffff,
    0x3ffe202f,0x8dffffff,0x880fffff,0xfffffffd,0xf700efff,0xdfffffff,
    0x25ffff71,0x266ffff9,0x000fffff,0x07ffffee,0x3ffffffe,0xffffffff,
    0x207fffff,0x7e405ffa,0xf3001fff,0x000005bf,0x0ffda800,0xffffd910,
    0x220039ff,0xfffffffb,0x2e6001df,0xdefffffd,0xfffc8800,0x3ff23eff,
    0x3faa03ff,0x02efffff,0xeffffeb8,0x4bfffee4,0x266ffff9,0x000fffff,
    0x21fffffa,0xeefffffa,0xeeeeeeee,0x02fffffe,0x7fffe800,0x00072600,
    0x93000000,0x26aa6001,0x2a620000,0x1000019a,0x22000135,0x000009a9,
    0x0004d54c,0x000054c4,0x3ffffe60,0xfffb8800,0xfffd85ff,0x7ffc005f,
    0x999885ff,0xffff1009,0x0000000d,0x00000000,0x00000000,0x00000000,
    0x00000000,0x98000000,0xccdfffff,0xffcccccc,0x443fffff,0x002fffff,
    0x0fffffe4,0x417fffea,0x004ffff9,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7ffcc000,0xffffffff,0xffffffff,0xffffb85f,
    0x7fcc000f,0x7fd44fff,0xfff505ff,0x0000007f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80000000,0xfffffff9,0xffffffff,0xe80effff,
    0x0005ffff,0xa8fffffd,0xf705ffff,0x00005fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfffff980,0xffffffff,0x80dfffff,
    0x02fffffa,0xfffff700,0x2ffffd45,0x01ffffc8,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7fcc0000,0xffffffff,0x0bdeffff,
    0x1fffff60,0xffff8800,0x3fffea5f,0x3ffffb05,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2a600000,
    0xbd930aaa,0xaaaa9817,0xaaaaaaaa,0x2aa60aaa,0x555001aa,0x99300155,
    0x55300199,0x55540155,0x2aaa00aa,0x2aaaa22a,0x33bb2a20,0x55555102,
    0x55554405,0x0aaaa61a,0x0159db75,0x037bdb71,0x00aaaa80,0x77777754,
    0xeeeeeeee,0x2601eeee,0x266201aa,0xffff3099,0xffff703f,0xffffff33,
    0xffffffc8,0xffffffff,0x3fffea3f,0xffff9807,0xfffa800f,0xfffb801f,
    0xffff103f,0x3ffe205f,0x3fffea6f,0xffffff53,0xfffb03df,0x3ff607ff,
    0x3ff61fff,0xffffd17f,0x7fd41dff,0x005fffff,0x807ffff5,0xfffffffb,
    0xffffffff,0x3ee02fff,0x3ffea04f,0xfffff35f,0x5ffff703,0x89ffffff,
    0xfffffffc,0xffffffff,0x17ffffc3,0x13ffff20,0x0ffffd40,0x2ffffcc0,
    0x4fffffa8,0x49ffff70,0xfbbffffa,0xffffffff,0x7fffc41f,0x7ffdc0ff,
    0x7ffec3ff,0xfffffe9f,0xffb8efff,0x4fffffff,0x7ffffe80,0x7ffffdc0,
    0xffffffff,0x202fffff,0x3ea04ffa,0xfff35fff,0xfff703ff,0xffffffff,
    0xfffffc83,0xffffffff,0x7ffe43ff,0x7fffc05f,0xfff5001f,0x3ffa003f,
    0xffff907f,0x3fff60df,0x3fffea1f,0xffffffff,0xfa85ffff,0x3e25ffff,
    0xfd85ffff,0xffffffff,0xffffffff,0xffffffff,0x3fea02ff,0x2e02ffff,
    0xffffffff,0xffffffff,0xf98262ff,0xfff50c3f,0x3fffe6bf,0xffffb81f,
    0x86feefff,0xeeeeeeeb,0xffffffed,0x7ffffcc1,0xdffff500,0x7fffd400,
    0xffff9001,0xfffffd03,0xfffff01f,0xffffffa8,0xfffb88be,0xffc80fff,
    0xfffb2fff,0xfffb01ff,0xd3139fff,0x7fffffff,0xfffffb33,0x7ffff40b,
    0x3fee06ff,0xffffffff,0xffffffff,0x3e637f62,0x50feb8af,0x3e6bffff,
    0xfb81ffff,0x221fffff,0xfff98001,0xffb01fff,0x3ff607ff,0x3ea003ff,
    0xf3001fff,0xff889fff,0x4c2fffff,0x7d44ffff,0xa80fffff,0xd01fffff,
    0xff7fffff,0x3f605fff,0xfa84ffff,0xc83fffff,0xf306ffff,0x5fffffff,
    0x44000000,0xdffdffff,0xff52ffff,0x3ffe29ff,0xfffb80ff,0x880004ff,
    0x02ffffff,0x21bfffea,0x00fffff8,0x07fffea0,0x46ffff80,0xfffffffa,
    0x17fffe45,0x0bffffea,0x01fffff8,0xfffffff3,0x7ec0bfff,0x3fe06fff,
    0xff505fff,0x3ff60fff,0x05ffffef,0x3a600000,0xffffffff,0x7fc44fff,
    0x41ffffe3,0x00fffffb,0x7fff4400,0xfff804ff,0x7ffdc0ff,0xcccc984f,
    0xdffffdcc,0x41cccccc,0x320ffffc,0x7fffffff,0x543ffff4,0x7407ffff,
    0x2e02ffff,0xffffffff,0x3fff600e,0x3fffe05f,0xffff303f,0x7ffff30f,
    0x003ffff7,0xca880000,0x0abdffff,0x3f62ffa8,0xfff706ff,0xfd0000ff,
    0x200bffff,0x743ffffc,0xfb81ffff,0xffffffff,0xffffffff,0x7fffd42f,
    0x3effffa3,0xfff11fff,0xffff50bf,0xffffd80f,0x7ffff402,0x7ec01fff,
    0x3fe03fff,0xff302fff,0xfff90fff,0xbffff11f,0x99999930,0x99999999,
    0x2e039999,0x2205ffff,0x3ff20ffd,0xffff704f,0xffd8000b,0x26006fff,
    0x3e66ffff,0xff706fff,0xffffffff,0xffffffff,0x2bffff05,0xfe8ffff8,
    0xffff73ff,0xdffff505,0x2ffffd80,0x7ffffc40,0xfffd804f,0x3fffa03f,
    0xffff101f,0x5ffff88f,0x703ffff6,0xffffffff,0xffffffff,0xdff705ff,
    0xff509ffb,0x2ccc987f,0x0bffff70,0x7fffe400,0x7ec000ef,0xfff91fff,
    0x3ffee07f,0xffffffff,0x2fffffff,0xf57fffd8,0x3ffeedff,0x01ffffb5,
    0x80dffff5,0x402ffffd,0x6ffffff8,0x3ffffd80,0x07ffffa0,0x23ffffc4,
    0x2a1ffffc,0x7dc4ffff,0xffffffff,0xffffffff,0x4fffdc2f,0x7e43fff8,
    0x3ee0004f,0x70005fff,0x01ffffff,0x9ffff500,0x403ffffa,0xfffffffb,
    0xffffffff,0xffa82fff,0x4fffc9ff,0x3feffff3,0xfff505ff,0xfffd80df,
    0x7fff402f,0x6c04ffff,0x3a03ffff,0xf101ffff,0x7fc4ffff,0xffff86ff,
    0x3fffee0f,0xffffffff,0x22ffffff,0x3f25ffe8,0x007620ff,0xbffff700,
    0xffff5000,0x7c0003ff,0xfff9ffff,0x2666205f,0xffffb999,0x0999999b,
    0xecffff88,0x3ffe2fff,0x02ffffbf,0x80dffff5,0x202ffffd,0xfffffffb,
    0x3ff601ff,0x3ffa03ff,0xfff101ff,0x7fffdcff,0x3ffffb83,0x3fffffee,
    0xffffffff,0xfd82ffff,0x00006f40,0x4ffffb80,0x7fffcc00,0x640002ff,
    0xfffdffff,0xff50001f,0xfb0003ff,0x1fffffff,0x7fffffec,0xfff500ff,
    0xfffd80df,0xffff302f,0x1dffffff,0x0fffff60,0x01ffffe8,0x22fffff1,
    0x880fffff,0x2626ffff,0x99999999,0x99999999,0x00103009,0xfffb8000,
    0x3fe2004f,0x0002ffff,0xffffff88,0x2a0006ff,0x8001ffff,0xfffffffb,
    0x7ffffdc6,0x3fea05ff,0x7fec06ff,0xfffd02ff,0xfffff5df,0x3ffff609,
    0x3ffffa03,0xfffff101,0x817fffee,0x002ffffd,0x20000000,0x101aaaaa,
    0x3fee1111,0xfd1004ff,0x995dffff,0x09999999,0xffffffb0,0x7d40007f,
    0x88001fff,0x4fffffff,0x7fffffcc,0x3ffea03f,0x7ffec06f,0xffffc82f,
    0xfffffb1f,0x7ffffb05,0x0fffff40,0x17ffff88,0x44013333,0xfff09999,
    0x7ffe49ff,0x6ee5447f,0x5471002c,0xf986ffff,0xfff76fff,0x3fea009f,
    0xffffffff,0x07ffffff,0xffffffa8,0x3ea0000f,0xd0001fff,0x03ffffff,
    0x1fffffff,0x37fffd40,0x0bffff60,0x49fffff5,0x0ffffff8,0x01ffffec,
    0x203ffffd,0x007ffff8,0xfffff800,0x9fffff24,0xffffffe9,0x8bf301cf,
    0x4c2ffffb,0xff76ffff,0x3ea009ff,0xffffffff,0x7fffffff,0xffffff00,
    0xffa8000b,0xf70001ff,0x360fffff,0x406fffff,0x406ffffa,0x222ffffd,
    0xa86fffff,0x6c5fffff,0x3a03ffff,0xf101ffff,0x0000ffff,0x49fffff0,
    0xf77ffffc,0xffffffff,0xfb759dff,0xdfff90bf,0x76ffff98,0x2009ffff,
    0xfffffffa,0xffffffff,0xfff9007f,0xa80005ff,0x0001ffff,0x0bfffff3,
    0x0fffffee,0x0dffff50,0x22ffffd8,0x01fffffd,0x47fffffb,0x203ffffd,
    0x101ffffe,0x000fffff,0x9fffff00,0xdbffffe4,0xffffffff,0xffffffff,
    0xfff905ff,0xb7fffcc3,0x004ffffb,0xfffffff5,0xffffffff,0x3fe200ff,
    0x880006ff,0x40001999,0x103ffffe,0x803fffff,0x406ffffa,0xf52ffffd,
    0x4409ffff,0xb0ffffff,0x7407ffff,0xf101ffff,0x0000ffff,0x49fffff0,
    0xfb7ffffc,0xffffffff,0xffffffff,0x2ffec0bf,0x00dffff3,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xb8fffff6,
    0xbfb6ffff,0x3ff6a215,0xefffffff,0x00044400,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2ffffc80,0x6d3fffe6,
    0x7ff5c403,0x00003eff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffff5000,0x9ffffc43,0x05544000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0xff87fff9,0x000001ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x90000000,0x99970799,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_bold_42_usascii_x[95]={ 0,3,2,0,1,1,1,1,1,1,0,1,2,1,
2,-1,1,2,0,1,0,1,1,1,1,1,3,3,1,1,1,1,1,0,2,1,2,2,2,1,2,2,0,2,
2,2,2,1,2,1,2,1,0,2,-1,0,0,-1,0,2,-1,0,2,-1,0,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,0,0,2,0,0,0,0,0,1,3,0,1, };
static signed short stb__arial_bold_42_usascii_y[95]={ 34,7,7,6,4,6,6,7,6,6,6,11,28,21,
28,6,6,6,6,6,6,7,6,7,6,6,14,14,10,14,10,6,6,7,7,6,7,7,7,6,7,7,7,7,
7,7,7,6,7,6,7,6,7,7,7,7,7,7,7,7,6,7,6,38,6,14,7,14,7,14,6,14,7,7,
7,7,7,14,14,14,14,14,14,14,7,14,14,14,14,14,14,6,6,6,17, };
static unsigned short stb__arial_bold_42_usascii_w[95]={ 0,6,14,21,19,31,26,7,11,10,14,20,6,11,
6,12,19,13,20,19,21,19,19,19,19,19,6,6,20,20,20,21,36,28,24,25,24,22,20,26,23,7,18,26,
20,27,23,27,22,28,25,23,23,23,27,36,26,27,23,10,12,10,18,23,10,19,20,19,20,19,14,20,19,6,
10,19,6,29,19,21,20,20,14,20,13,19,21,30,21,21,19,13,5,14,20, };
static unsigned short stb__arial_bold_42_usascii_h[95]={ 0,27,10,29,34,30,29,10,36,36,14,20,13,6,
6,29,29,28,28,29,28,28,29,27,29,29,20,27,21,14,21,28,36,27,27,29,27,27,27,29,27,27,28,27,
27,27,27,29,27,31,27,29,27,28,27,27,27,27,27,35,29,35,16,4,7,21,28,21,28,21,28,28,27,27,
35,27,27,20,20,21,28,28,20,21,28,21,20,20,20,28,20,36,36,36,8, };
static unsigned short stb__arial_bold_42_usascii_s[95]={ 251,55,201,28,129,178,50,244,1,48,222,
58,237,210,248,163,123,240,64,220,100,122,77,62,176,143,247,249,103,201,82,
198,59,26,1,97,197,174,153,1,101,246,1,74,53,25,1,210,206,149,180,
196,136,20,71,99,44,125,222,107,238,96,182,222,237,187,43,207,22,124,85,
1,160,249,118,229,242,152,110,165,177,156,1,144,142,227,36,79,130,220,16,
34,28,13,216, };
static unsigned short stb__arial_bold_42_usascii_t[95]={ 1,154,197,38,1,1,38,182,1,1,182,
182,182,31,196,38,38,38,68,38,68,68,38,154,38,38,154,97,154,182,154,
68,1,154,154,38,126,126,126,38,126,126,97,126,126,126,126,1,97,1,97,
38,97,97,97,97,97,126,126,1,1,1,182,31,196,154,68,154,68,154,68,
68,97,68,1,97,68,182,182,154,68,68,182,154,68,154,182,182,182,68,182,
1,1,1,197, };
static unsigned short stb__arial_bold_42_usascii_a[95]={ 167,200,285,335,335,535,434,143,
200,200,234,351,167,200,167,167,335,335,335,335,335,335,335,335,
335,335,200,200,351,351,351,367,587,434,434,434,434,401,367,468,
434,167,335,434,367,501,434,468,401,468,434,401,367,434,401,568,
401,401,367,200,167,200,351,335,200,335,367,335,367,335,200,367,
367,167,167,335,167,535,367,367,367,367,234,335,200,367,335,468,
335,335,301,234,168,234,351, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_42_usascii_BITMAP_HEIGHT or STB_FONT_arial_bold_42_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_42_usascii(stb_fontchar font[STB_FONT_arial_bold_42_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_42_usascii_BITMAP_HEIGHT][STB_FONT_arial_bold_42_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_42_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_42_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_42_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_42_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_42_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_42_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_42_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_42_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_42_usascii_s[i] + stb__arial_bold_42_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_42_usascii_t[i] + stb__arial_bold_42_usascii_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_42_usascii_x[i];
            font[i].y0 = stb__arial_bold_42_usascii_y[i];
            font[i].x1 = stb__arial_bold_42_usascii_x[i] + stb__arial_bold_42_usascii_w[i];
            font[i].y1 = stb__arial_bold_42_usascii_y[i] + stb__arial_bold_42_usascii_h[i];
            font[i].advance_int = (stb__arial_bold_42_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_42_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_42_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_42_usascii_s[i] + stb__arial_bold_42_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_42_usascii_t[i] + stb__arial_bold_42_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_42_usascii_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_42_usascii_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_42_usascii_x[i] + stb__arial_bold_42_usascii_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_42_usascii_y[i] + stb__arial_bold_42_usascii_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_42_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_42_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_42_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_42_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_42_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_42_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_42_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_42_usascii_LINE_SPACING
#endif

