// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_45_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_45_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_45_usascii_BITMAP_WIDTH         256
#define STB_FONT_arial_bold_45_usascii_BITMAP_HEIGHT        242
#define STB_FONT_arial_bold_45_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_bold_45_usascii_FIRST_CHAR            32
#define STB_FONT_arial_bold_45_usascii_NUM_CHARS             95

#define STB_FONT_arial_bold_45_usascii_LINE_SPACING          29

static unsigned int stb__arial_bold_45_usascii_pixels[]={
    0x2a1554c0,0xaa980019,0x2662002a,0x0055531a,0x54c40000,0xd3000009,
    0xdddddddd,0x3bbbba25,0xd103eeee,0x2003dddd,0x00000998,0x00006620,
    0x80004cc0,0x0000aaa9,0x000ccc40,0x2fffc400,0x19fffff1,0x0dfff700,
    0x9ffffd30,0x0013ffea,0x3ffb2600,0xdfffffff,0xfff30002,0x27ffffff,
    0xfffffff8,0xfff304ff,0x3ea003ff,0x5100003f,0xdfffffb9,0x2600037b,
    0x02effffe,0x007fff40,0x3ff6e200,0x1bceffff,0x7ffe4000,0x3ffffe22,
    0x7fdc01ff,0x7ffec06f,0x3ffa4fff,0xb880000f,0xfffffffe,0xffffffff,
    0x3fe6001c,0x3fffffff,0xfffffff1,0x3fe609ff,0xf7001fff,0xf500007f,
    0xffffffff,0x001bffff,0x7fffffd4,0xff5004ff,0xfb80009f,0xffffffff,
    0x0004ffff,0xf88ffff1,0x06ffffff,0x5037ffdc,0x9fffffff,0x002fffdc,
    0x3fffff20,0xffffffff,0x3fffffff,0xfffff300,0x3e27ffff,0xffffffff,
    0xfffff304,0x7ff64c03,0x4002dfff,0xffffffd8,0xffffffff,0xff8802ff,
    0xffffffff,0x0fffe801,0xfffb1000,0xffffffff,0x003dffff,0x443fffc8,
    0xffffffff,0x1bffee03,0xffffffe8,0x3fffe24f,0xffe88002,0xbcdeffff,
    0xffedcbaa,0x400dffff,0xffeaaaa8,0xffff13ff,0x2059999f,0x01fffff9,
    0xfffffff9,0x3001bfff,0xffffffff,0xffffffff,0xfc80bfff,0xfffb0dff,
    0x4fffa80d,0xffff3000,0xffffffff,0x9fffffff,0x3fffe600,0xfffcaa80,
    0x3fee05ff,0xffff306f,0xfd8357df,0x7d4006ff,0x00cfffff,0x7ffffdc0,
    0x7fec000f,0xffff13ff,0x4ccc001f,0xffffd019,0xffffffff,0xffff880d,
    0xedefffff,0xffffffff,0x3fffa03f,0x03fffe62,0x000fffe8,0xfffffe88,
    0xffedefff,0x2fffffff,0x05fffd80,0x06ffffb8,0x541bffee,0x5406ffff,
    0x5002ffff,0x005fffff,0xffffc880,0x7ffec005,0xfffff13f,0xfb800001,
    0xffffffff,0x204fffff,0xeffffffc,0xfffd980a,0xff00ffff,0xffff81ff,
    0x09fff501,0x3ffff200,0xc880aeff,0x0fffffff,0x0ffffe60,0x1ffffe60,
    0x706fffb8,0xf00bffff,0xf300bfff,0x0001dfff,0x27fff4c0,0x7ffffb00,
    0x03ffffe2,0xfff88000,0xecffceff,0x980fffff,0x0dffffff,0xfffffa80,
    0xffff884f,0x817fffc0,0x8000fffe,0xdffffffa,0xffffa800,0x3ff604ff,
    0xff8800ff,0x3fee07ff,0xffff706f,0xffffb009,0x4fffe801,0x4c001880,
    0xb001ffff,0x3e27ffff,0x1000ffff,0x5c3ddddd,0xff55ffff,0x7ffffd17,
    0xbfffffd0,0xffff9800,0x7ffcc1ff,0x1ffffc0f,0x0027ffd4,0x5fffffe8,
    0x7fffcc00,0xfff881ff,0x3ffe006f,0x3ffee07f,0x9ffff706,0x9ffff500,
    0x02fffe40,0x5dfffd95,0xb97bbba2,0xfb004fff,0x3fe27fff,0xf3000fff,
    0x7e43ffff,0x7ff52fff,0x30fbffee,0x03ffffff,0xfffffb00,0x0ffff88b,
    0x7417fffc,0x98000fff,0x01ffffff,0xfffffd80,0x3ffffa85,0x1ffffe00,
    0x706fffb8,0x1007ffff,0x260dffff,0xe880ffff,0xffffffff,0x46ffffab,
    0xd800fffe,0xff13ffff,0x26001fff,0x361fffff,0xff50ffff,0x3fee00c7,
    0x30005fff,0xf0ffffff,0x7fc43fff,0x7ffd41ff,0xfff90004,0x26000bff,
    0xd87fffff,0x2002ffff,0x700fffff,0x3ee0dfff,0xfd003fff,0xffb01fff,
    0xfffd105f,0xdfffffff,0xf989ffff,0xffd803ff,0xffff13ff,0x3fe6001f,
    0x3ff61fff,0x07ff52ff,0x7ffffe40,0x3ffa0001,0x7ff40fff,0x3fffea3f,
    0x007fff40,0xfffffe80,0x3ffa0001,0x7ffc0fff,0x3fe001ff,0xff700fff,
    0x3fff20df,0xfffb003f,0x5fff885f,0xfffffe88,0xfffffcad,0x7fc42fff,
    0xfffd804f,0xfffff13f,0x3ffe6001,0x3fff21ff,0x03ffa8ef,0x3fffff60,
    0x3ff60000,0x7fd41fff,0xffffbcff,0x027ffd44,0xffffff00,0x7fec0001,
    0x3fe61fff,0x3a000fff,0xf701ffff,0x3ff60dff,0xffb002ff,0xfffb89ff,
    0xdffffe82,0x7fffec40,0x5ffe81ff,0x3ffffd80,0x01fffff1,0x3ffffe60,
    0x3ffffea1,0x2003ffce,0x007ffffe,0x7ffffe40,0xfffffe82,0x7f40ffff,
    0x3e0000ff,0x0007ffff,0x17ffffe4,0x00fffff7,0x03ffffd8,0x3e0dfff7,
    0x9000ffff,0xfe8dffff,0xffffa87f,0xffff100f,0x1bff20ff,0x4fffff60,
    0x00fffff8,0x3fffff30,0xffffffe8,0x3fe003ff,0x40006fff,0x83fffffb,
    0xffffffd8,0x27ffd41e,0xffff1000,0xfb8000df,0x3ee3ffff,0x54006fff,
    0xb80fffff,0xffa86fff,0x3ee007ff,0x3fe27fff,0xffffe84f,0x7ffff403,
    0x00fff705,0x227ffffb,0x000fffff,0x83fffff3,0xfffffffa,0x2600adff,
    0x005fffff,0x7ffffd40,0x33bb2a04,0x01fffd03,0x7fffcc00,0x7d40005f,
    0x3f24ffff,0xf8005fff,0x5c1dffff,0x7fd46fff,0x2a004fff,0xf30fffff,
    0xfffa83ff,0xfffd806f,0x0fff904f,0x27ffffb0,0x00fffff8,0x3fffff30,
    0xffffff90,0x209fffff,0x06fffff8,0x7fffd400,0xfa80003f,0xfeda84ff,
    0xfff882df,0x540006ff,0x364fffff,0x8004ffff,0xfffffffc,0x36dfff71,
    0x0fffffff,0x3fffe600,0x81fff50f,0x802ffffd,0xd02ffffd,0xffb00dff,
    0x3ffe27ff,0xff3000ff,0x3ee03fff,0xffffffff,0xfff80eff,0x5c0007ff,
    0x002fffff,0x40fffe80,0xfffffffc,0x7ffffc0d,0x7fdc0007,0x3ffa3fff,
    0xf90003ff,0x2e5fffff,0xfffd6fff,0x88003fff,0xf71fffff,0xfffff0ff,
    0xfffff003,0x09fff101,0x27ffffb0,0x00fffff8,0x3fffff30,0x7fffe4c0,
    0x0fffffff,0x07fffff4,0xffffb000,0xfa80003f,0x7ffdc4ff,0x44ffffff,
    0x00fffffe,0x3ffff600,0x3ffffa1f,0x3ff60002,0xfff72fff,0x3fffffad,
    0xffff0001,0x11fff23f,0x100fffff,0x2a0fffff,0xfd803fff,0xfff13fff,
    0x3e6001ff,0x8801ffff,0xfffffffc,0x7ffe44ff,0x3a0001ff,0x000fffff,
    0x107fff40,0xf719ffff,0x7fec1fff,0x20001fff,0x20fffffe,0x003ffffe,
    0xffffff70,0x75bffee5,0x00efffff,0x1fffff80,0xff98dffb,0xff9806ff,
    0xfff905ff,0xffffb003,0x3ffffe27,0xffff3000,0x3fea003f,0xffffffed,
    0x3ffffee0,0x26032604,0x007fffff,0x227ffd40,0x7f46fffa,0x3ffee3ff,
    0xf30004ff,0xfd8fffff,0xb8004fff,0x2fffffff,0x3fadfff7,0x007fffff,
    0x87ffffc4,0x7fd46ffd,0xffc805ff,0xfff983ff,0xffffb006,0x3ffffe27,
    0xffff3000,0x3fea003f,0x5fffff73,0x7fffffd4,0xd87ffb00,0x005fffff,
    0x207fff40,0x7e44fffb,0x3ffea4ff,0xd8001fff,0x646fffff,0x4004ffff,
    0xaefffff8,0xa9bffee0,0x03fffffc,0x3ffffe20,0xf98fff90,0x7c405fff,
    0x7441ffff,0xfb001fff,0x3fe27fff,0xf3000fff,0x2003ffff,0x3ff63ffa,
    0x7fff43ff,0xfff984ff,0xffff9bff,0x2e0003ff,0xffc84fff,0x2fffdc4f,
    0x17fffffa,0xfffff300,0xffffc85f,0x7ffdc005,0xfffb80ff,0x7ffffd86,
    0x3fffe600,0x883ffee7,0x6407ffff,0x740fffff,0x36005fff,0xff13ffff,
    0x26001fff,0x311fffff,0x7fd45755,0x13fffea3,0x7ffffff5,0xffffffa8,
    0x06ffffff,0x07fff400,0x2e1fffec,0x7fd46fff,0x3004ffff,0x0bffffff,
    0x00dffff5,0x04ffffc8,0xf10dfff7,0x2001ffff,0x2a5ffffa,0x7ffc1fff,
    0xfff302ff,0xfffc8fff,0x3ff6001f,0xffff13ff,0x3fe6001f,0xfff71fff,
    0x51ffd4ff,0xfb05ffff,0x88bfffff,0xfffffffb,0x20001fff,0xfb04fffb,
    0xfffb89ff,0xfffffd86,0x3fee01ef,0x880fffff,0x4006ffff,0x701ffffd,
    0x3f60dfff,0xf7001fff,0x7fc49fff,0x7fffe44f,0x7fffd42e,0xffea8fff,
    0x7ec002ff,0xfff13fff,0x3e6001ff,0xff11ffff,0x3fea7fff,0x07ffff63,
    0x3fffffe2,0xfdbacdff,0x4fffffff,0x7fff4000,0x89fff700,0xf885fffc,
    0xffffffff,0xffffeccd,0x3e04ffff,0x74007fff,0xf700ffff,0x3ff20dff,
    0xff9002ff,0xfffd85ff,0x3ffffe20,0xfffffdef,0xffffffff,0xfd8001ff,
    0xfff13fff,0x3e6001ff,0x3fa1ffff,0xffa9ffff,0x1fffff13,0x3ffffee0,
    0xffffffff,0x3fffffff,0x3ffee000,0x1bffea04,0x2e09fffd,0xffffffff,
    0xffffffff,0x7ec06fff,0x3e001fff,0xf700ffff,0x3ff20dff,0xffd003ff,
    0xfffa81ff,0x7ffffd43,0xffffffff,0xefffffff,0xfffb0000,0x3fffe27f,
    0xfff3000f,0x7ffdc3ff,0xcbffdfff,0x404fffff,0xffffffe9,0xffffffff,
    0x02efffff,0x00fffe80,0x233fffe2,0x200ffffb,0xffffffe9,0xffffffff,
    0xffb803ff,0x3fe003ff,0x3fee07ff,0xffff706f,0x3fffe007,0x81ffff06,
    0xffffffe9,0xfffff8bf,0x0000dfff,0x44fffff6,0x000fffff,0x83fffff3,
    0xfffffffe,0x6fffffff,0x3fffee00,0xffffffff,0xffffffff,0xfff7002e,
    0xffff7009,0x009fffff,0x3fffffee,0xefffffff,0xffff1000,0x7fffc00d,
    0x1bffee07,0x027fffdc,0x81ffffcc,0xb886fffc,0x260bdfed,0x101bdeec,
    0xfd805555,0xfff13fff,0x3e6001ff,0x7cc1ffff,0xffffffff,0x001fffff,
    0x7fffee4c,0xfbacdfff,0x02ffffff,0x001fffd0,0x3ffffff6,0x326000df,
    0xfffffffd,0xfd8003de,0xff1007ff,0x7fdc0fff,0xffff706f,0xffff9009,
    0x3fffa201,0x88000005,0x6c03fffe,0xff13ffff,0x2a001fff,0x981fffff,
    0xfffffffe,0x0000efff,0x100aa988,0x00dffffb,0x0013ffee,0x07dfffd5,
    0x35531000,0xfff50000,0xfff1003f,0x7ffdc0ff,0xbffff706,0x0bfffd00,
    0x0dffff98,0xfd100000,0xffb00dff,0x3ffe27ff,0xffb000ff,0x75c01fff,
    0x3dffffff,0x20000000,0x1002fffb,0x40001333,0x00000000,0x9fffd000,
    0xdffff500,0x837ffdc0,0x406ffffa,0x802ffff8,0x03fffffb,0x7ffdc000,
    0x999980ff,0xf13ffffd,0x3333ffff,0x7fff66c1,0xf91007ff,0x0000019f,
    0x002d4000,0x00000000,0x20000000,0x5307fffb,0x0bfffff7,0x9837ffdc,
    0x9adfffff,0x037ffdc0,0xdfffff90,0x2e200037,0x81ffffff,0xfffffff9,
    0xffff13ff,0x229fffff,0xffffffff,0x0ffea006,0x00000000,0x00000000,
    0x00000000,0x3fffe200,0x7ffffc42,0x3ee03fff,0xfff106ff,0xe89fffff,
    0x4c002fff,0xeffffffe,0x9999aabc,0xffffecaa,0xff300dff,0x7fffffff,
    0x3fffffe2,0xfff54fff,0x005fffff,0x0001ffd4,0x00000000,0x00000000,
    0x80000000,0x7c45fffb,0x0fffffff,0x81bffee0,0xfffffffb,0x01bffe64,
    0xfffffc80,0xffffffff,0xffffffff,0x7fcc04ff,0x3fffffff,0xfffffff1,
    0x3fff29ff,0x4004ffff,0x00003ffa,0x00000000,0x00000000,0x20000000,
    0x3e20fffe,0x03ffffff,0x2037ffdc,0x4ffffffe,0x0007fff6,0xffffd930,
    0xffffffff,0x17dfffff,0xfffff300,0x3e27ffff,0xffffffff,0xdfffffb4,
    0x00000009,0x00000000,0x00000000,0x00000000,0xf127ffcc,0x001bffff,
    0x700dfff7,0x269fffff,0x00005fff,0x7ffff5cc,0xefffffff,0x9998001c,
    0x20999999,0x99999999,0x02aaa209,0x00000000,0x00000000,0x00000000,
    0x40000000,0x55542aaa,0x2aa6000a,0x2a66002a,0x0155531a,0x99880000,
    0x00099aaa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00cccc00,0x00544000,0x2aaa6000,0x01aaaa82,
    0x00033300,0x01310000,0x00aaaa00,0x00266000,0x15555000,0x07bbbbaa,
    0x3bbbba20,0x00988003,0x00151000,0x3ff26000,0xbeffffff,0xffd98000,
    0xdd10ceff,0x3f200ddd,0xffff85ff,0xfff91004,0x0007dfff,0xffd95100,
    0x0059dfff,0x0007fffa,0xfffedba8,0x0002deff,0xf99fffe2,0xa804ffff,
    0xd31fffff,0x764cbddd,0x000defff,0x77fffec4,0x1bbbba1c,0x7ffff4c0,
    0xffffffff,0xff7000cf,0x3fffffff,0x00fffff1,0xf113fffa,0xf7005fff,
    0xffffffff,0x200003df,0xfffffffa,0x00dfffff,0x001fffe4,0x7fffff4c,
    0xefffffff,0xfffa8001,0x3fffff45,0x37fffec0,0x2adffff3,0xffffffff,
    0xfff5002f,0x23ffffff,0xc807ffff,0xffffffff,0xffffffff,0x7ffec01f,
    0xffffffff,0x007ffffa,0xfa85ffff,0x7cc01fff,0xffffffff,0x0000efff,
    0x7fffffe4,0xffffffff,0x3ffea03f,0x7ffcc005,0xffffffff,0x003fffff,
    0x2e1fffe4,0x201fffff,0x23fffff8,0xfaeffff9,0xffffffff,0x7fe403ff,
    0xffffffff,0x07ffff9f,0x3fffffa2,0xffffffff,0x00ffffff,0xfffffff5,
    0xffffffff,0xff300fff,0xfffb81ff,0x7fffc407,0xfffecfff,0xd30005ff,
    0xffffffff,0xffffffff,0x3ffe207f,0x3ffe2007,0xffffffff,0x1fffffff,
    0x0bfffa00,0x09fffff1,0x07ffffd4,0xfffffff3,0xffffffff,0x3e601fff,
    0xffffffff,0xffffffff,0x3ffff607,0xedefffff,0xffffffff,0xfffff80e,
    0x3ffa60df,0xb807ffff,0xffd87fff,0x7ffcc05f,0x7ffcc3ff,0xffd0007f,
    0xbbffffff,0xfffffffd,0x3fffa03f,0xffff7000,0xd9999dff,0x1fffffff,
    0x1ffff100,0x0fffffb0,0x22ffffec,0xfffffff9,0xfffa889d,0xffd05fff,
    0x2615dfff,0x7ffffffd,0xffffff70,0x3faa017f,0x5c3fffff,0x204fffff,
    0x07fffffd,0xe85fffc8,0x7dc04fff,0xffb06fff,0xfb8003ff,0x81dfffff,
    0xffffffc8,0x05fff906,0x3fffffa0,0x3fffee01,0xff9802ff,0xffff506f,
    0xffff103f,0xffff985f,0xffd105ff,0xffa83fff,0xfb00efff,0xf10fffff,
    0x01dfffff,0xfffffd10,0xfffffe8d,0x3fffe600,0xfffe807f,0x17fffc44,
    0x3ffffee0,0x1ffffc80,0x3fffe200,0xffb803ff,0xfa81ffff,0xff8804ff,
    0xfc803fff,0xb804ffff,0x3fe04fff,0xffa84fff,0x7fcc0fff,0x2a00ffff,
    0x643fffff,0x202fffff,0x87fffff8,0x06fffffc,0x7ffffc40,0x3ffffe1f,
    0xffffd804,0x333332a7,0xcccdffff,0x4cdffffd,0x9fffff30,0x07fffe88,
    0x7ffffe40,0x3fff2004,0xfff885ff,0xffffa806,0xfff8801f,0xffd806ff,
    0x3fff202f,0xffffd87f,0xfffff985,0xffffe804,0x37ffff45,0x3ffffe40,
    0x17fffffc,0x5ef7e400,0xfffff10a,0xffff9007,0x7ffffe4f,0xffffffff,
    0x7fffffff,0x3fffffe0,0xbffffd11,0x7fffc400,0x3e6000ff,0xff01bdff,
    0xffa801ff,0x97004fff,0xff005599,0x7fcc01ff,0x7ffc1fff,0xfff982ff,
    0xffd802ff,0x7fffc6ff,0xfffb804f,0x7fffd47f,0x0110006f,0x17ffffcc,
    0x3ffffdc0,0xfffffff9,0xffffffff,0x40ffffff,0xaffffffb,0x02ffffff,
    0x3ffffe60,0x000a8004,0x8805fffb,0x0cffffff,0xff980000,0xfffe806f,
    0x3fffea4f,0xfffff307,0xffff9003,0x7ffffc4f,0xffffa804,0x7ffffe47,
    0xf3000002,0x7005ffff,0x7e4fffff,0xffffffff,0xffffffff,0x7f407fff,
    0xffffffff,0x7dc003ff,0x0002ffff,0x27ffdc00,0x7fffffc0,0x0001bdff,
    0x009fff70,0x6cfffff7,0xf304ffff,0x7003ffff,0x7c4fffff,0xa803ffff,
    0x7ec7ffff,0x0001ffff,0xfffff300,0xffff9007,0x7e66654f,0xccccdfff,
    0x4ccdffff,0x7ffffc40,0x003fffff,0x1fffffc8,0x7cc00000,0xffa806ff,
    0xffffffff,0xb0000acf,0xf1005fff,0x3fe3ffff,0xff301fff,0xf9005fff,
    0xfff8ffff,0xffa803ff,0x7fff47ff,0x000000ff,0x09fffff1,0x0fffffb0,
    0x217fffc4,0x000ffff9,0x3fffffa6,0xb0000eff,0x001fffff,0xffff0000,
    0xffff9001,0xffffffff,0xff8005bf,0xffb000ff,0xffff59ff,0x7fffcc0d,
    0xfffd803f,0x7ffff46f,0xffffb804,0x3fffffc7,0x555554c0,0x22aaaaaa,
    0x406fffff,0x07fffff8,0x703fffe6,0x6400ffff,0xffffffff,0x3fa0003f,
    0x00007fff,0x05fffb00,0x3fffff60,0xffffffff,0xff9800ef,0x3fea007f,
    0xffffdfff,0x3fffe603,0xfffe804f,0x7fffec5f,0xffffd805,0x3fffffc7,
    0x7ffffe40,0x26ffffff,0x02fffffd,0x1fffffee,0xd87fffb8,0xe8805fff,
    0xffffffff,0xf0001fff,0x000fffff,0x3ffee000,0x3ffaa004,0xffffffff,
    0x5c00efff,0x7c005fff,0xffffffff,0x3ffe600f,0x3e600fff,0x7e43ffff,
    0x2601ffff,0x7c7fffff,0x400fffff,0xfffffffc,0x3ea6ffff,0xb81fffff,
    0x07ffffff,0x3a17fff6,0x74404fff,0xffffffff,0x320effff,0x3ffe00ac,
    0x000007ff,0x00bfff30,0xfffff950,0xffffffff,0x1fffec03,0x3ffff200,
    0x4c05ffff,0x05ffffff,0x07fffffa,0x0bfffff5,0x3fffffa2,0x7fffff47,
    0x7fffe401,0x6fffffff,0x7ffffff4,0xffffecbd,0x3fa07fff,0x7ffc44ff,
    0x7ffec02f,0xfff9afff,0xfff15fff,0xfffd03ff,0x000001ff,0x001fffe0,
    0xffffd930,0x40dfffff,0x4001ffff,0xfffffff8,0x7ffcc02f,0x261effff,
    0x05fffffe,0x3bfffffb,0x7fffff4c,0x7fffec7f,0x7ffe402f,0xffffffff,
    0x7ffffd46,0xefffffff,0x32a7ffff,0xcdffffcc,0xdffffdcc,0x3fe64ccc,
    0x3ea1efff,0xfbbfffff,0xffb07fff,0x00003fff,0x07fff600,0x7ed44000,
    0x82ffffff,0x0007fff8,0xfffffffd,0xfffff300,0xffffffff,0x201fffff,
    0xfffffff9,0xffffffff,0x7ffe47ff,0x554c03ff,0xffffaaaa,0xffff986f,
    0xbbffffff,0x3f27ffff,0xffffffff,0xffffffff,0x3ff67fff,0xffc81fff,
    0xfffeffff,0xffff705f,0x0350005f,0x03fffb80,0xffe98000,0xffa84fff,
    0xff70005f,0x3009ffff,0xffbfffff,0xffffffff,0xfffc807f,0xffffffff,
    0x4c7ffffe,0x006fffff,0x1bffffe0,0x7fffffcc,0xffff72ff,0x7ffffe4f,
    0xffffffff,0x7fffffff,0x81bffffe,0xfffffffd,0xff502fff,0xf0009fff,
    0xf50039ff,0x99730bff,0x7d4003dd,0xfc85ffff,0xf10003ff,0x003fffff,
    0x53fffff3,0xffffffff,0x3ff2005f,0x9fffffff,0xf87ffffb,0x002fffff,
    0x0dfffff0,0x5eff6544,0x9ffffee0,0xfffffffc,0xffffffff,0xf17fffff,
    0x4409ffff,0xfffffffe,0x3ffe606f,0x2a000fff,0x406fffff,0xf987fff8,
    0x4004ffff,0xe86fffff,0x20001fff,0x006fffff,0x23fffff3,0xdfffffe9,
    0x7ff54000,0xff70dfff,0xfff90fff,0x3e000dff,0x0006ffff,0x26ffffc8,
    0xeffffeeb,0xffffeeee,0xf15eeeee,0x9809ffff,0xffffffff,0x7ffff401,
    0x3ffa003f,0xfe803fff,0xffff81ff,0x3fe2006f,0x7fc45fff,0x3ee0007f,
    0x3003ffff,0x883fffff,0x880001a9,0xfffb81a9,0xffff887f,0x91000eff,
    0x54dfffff,0xf90009ab,0xff10bfff,0xfff985ff,0x7fffc00f,0x7fdc00ff,
    0x401fffff,0x2ffffff9,0xfffffc80,0xfffc800f,0xfffffd83,0xffff9004,
    0x5fffa89f,0x3fffe000,0xff3000ff,0x00003fff,0xfffb8000,0xffff707f,
    0x64405fff,0x6fffffff,0x17ffffee,0x4ffffe88,0x40ffff98,0xd807fffb,
    0x203fffff,0xfffffffa,0x7fe403ff,0x9103ffff,0x09ffffff,0x217ffea0,
    0xcffffffb,0xffff9100,0xfffc85ff,0x3a608803,0x005fffff,0x07ffffe6,
    0x70000000,0x6c0fffff,0xffffffff,0xffffdcce,0x26ffffff,0xbffffffa,
    0x3fff6620,0xfffb82ff,0x05fffc87,0xffffffa8,0xffda98be,0xffffffff,
    0xfff100df,0x99bfffff,0xfffffffb,0x3fe2001f,0xffffd07f,0x99579fff,
    0xdfffffff,0x003fffd0,0xfffffff3,0x4c003fff,0x001fffff,0x7dc00000,
    0x3a207fff,0xffffffff,0xffffffff,0x222fffff,0xffffffff,0xffffffee,
    0xbfffb05f,0x007fffd0,0x3ffffff6,0xffffffff,0xffffffff,0xfff500ff,
    0xffffffff,0x3fffffff,0x0fffe800,0xffffff98,0xffffffff,0x441fffff,
    0xf3007fff,0xffffffff,0xfff9800b,0x000001ff,0x7fffdc00,0xffffd807,
    0xffffffff,0x0dffffff,0xffffffa8,0xffffffff,0xfffd00ff,0x2ffff887,
    0xffffd100,0xffffffff,0xffff9fff,0xfe9809ff,0xffffffff,0x02ffffff,
    0x02fffc80,0xfffffff5,0xffffffff,0xfff505ff,0x3ffe200d,0x005fffff,
    0x1fffff98,0x40000000,0x007ffffb,0xffffffd7,0xffffffff,0xfffb803b,
    0xffffffff,0xff102eff,0xfff985ff,0x7fe4000f,0xffffffff,0xffd30cff,
    0x7fe400df,0xffffffff,0x50001eff,0x74c09fff,0xffffffff,0x02efffff,
    0x4009fff9,0x3fffffff,0xffff3000,0x0000003f,0x7ffffb80,0x7ffed400,
    0xacdfffff,0x3fee2000,0xffffffff,0x7fffcc03,0x03fffdc0,0xffffd980,
    0x901dffff,0xc98001ff,0xfffffffe,0x7c40002e,0xfea806ff,0xffffffff,
    0x7fff403d,0x2aa62002,0x7cc0001a,0x0001ffff,0x7fdc0000,0x260007ff,
    0x0000aaa9,0x26aaa620,0x2aaa2001,0x02aaa982,0x9aa98800,0x00035000,
    0x00335530,0x02aaa800,0x555d4c40,0x55550009,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x33000000,0x765cc001,0x00001bce,0x1bbbbaa0,
    0x33bb6e60,0x7774c01b,0x800000ee,0xaaaaaaa9,0x02aaaaaa,0x37fb2a20,
    0xdca8002c,0x0002cdee,0xeeeeeb80,0xa8800000,0x00abdedc,0x27777744,
    0x3bbbb600,0xffdc8005,0x3202efff,0xffffffff,0xf7000004,0x7cc0ffff,
    0xffffffff,0x3fffea04,0xe800000f,0xffffffff,0x006fffff,0xfffffffb,
    0xfd5003bf,0xdfffffff,0x7e400005,0xc800ffff,0xffff5005,0x405fffff,
    0x05fffff8,0x37ffffc0,0x3ffff600,0xd882ffff,0xffffffff,0x00000eff,
    0x83ffffdc,0xfffffffa,0xa81effff,0x000fffff,0x7fffc400,0xffffffff,
    0x7f4406ff,0xffffffff,0x3ff200ff,0xffffffff,0x900004ff,0x401fffff,
    0xfd805ffa,0xffffffff,0xfff103ff,0xff800bff,0x36006fff,0xffffffff,
    0xffffd80f,0xffffffff,0x7dc00006,0xffb87fff,0xffffffff,0xffa86fff,
    0x00000fff,0x7fffffcc,0xffffffff,0x3fffe606,0xffffffff,0xfffa80ef,
    0xffffffff,0x80002fff,0x80fffffc,0x405fffe9,0xfffffffc,0x84ffffff,
    0x05fffff8,0x37ffffc0,0xfffff880,0xf887ffff,0xfeefffff,0x001fffff,
    0x3fffee00,0xfffffe87,0xfffffedf,0x7fffd44f,0x5c00000f,0xffffffff,
    0x06ffffff,0x3ffffffa,0xffffffed,0xffffff84,0xfffffccf,0x640000ff,
    0xe80fffff,0x2605ffff,0xdfffffff,0x1fffffff,0x2fffffc4,0x3ffffe00,
    0xffff5006,0x7e4043bf,0x3e21ffff,0x0005ffff,0x1ffffee0,0x17fffff3,
    0x3fffffcc,0x03ffffea,0xfff90000,0xdddddddf,0x3e60bddd,0x7444ffff,
    0x7cc6ffff,0xfb84ffff,0x0001ffff,0x07ffffe4,0x02fffff4,0x87fffffd,
    0x45fffffc,0x05fffff8,0x37ffffc0,0xfffffa80,0x7fffc402,0xffffc84f,
    0xf700000f,0xffc8ffff,0xfff906ff,0x7ffd41ff,0x400000ff,0x002ffffe,
    0x37fffec0,0x1fffffb8,0x03ffffee,0x0fffffe2,0xffff9000,0xffffd01f,
    0x3fffe20b,0xffffb02f,0x7fffc41f,0x7ffc005f,0xff7006ff,0xfb801fff,
    0xf880ffff,0x2004ffff,0xfffb80a8,0x7fff647f,0xfffff302,0x7ffffd43,
    0x8000a980,0x000fffff,0x3ffffe60,0x5599d102,0x2ffffe41,0x09ffff90,
    0xffffc800,0xffffe80f,0xfffff505,0x7ffffc40,0x3ffffe24,0x7fffc005,
    0xfff7006f,0xfff900ff,0x7ffec0df,0x7fed405f,0xff70ceff,0x014c0fff,
    0xa8fffff7,0xb30fffff,0x01bdffff,0x0fffff10,0xffffc800,0x7fd40007,
    0x3ff606ff,0x640002ff,0xd30fffff,0xdffffffd,0x3ffee5dd,0x7fff406f,
    0x3fffe26f,0x7ffc005f,0x3baa06ff,0xeefffffe,0x7ffec0ee,0x3fff205f,
    0x3fff206f,0xb9efffff,0x0007ffff,0x517ffffa,0xf71fffff,0xffffffff,
    0xffffa805,0xd8002626,0x0006ffff,0x07ffffc4,0x07ffffc4,0x3fff2000,
    0xffff50ff,0x7fffffff,0x017ffff2,0x44fffffb,0x005fffff,0x037ffffc,
    0xfffffff7,0xe83fffff,0x2e04ffff,0xfd07ffff,0xffffffff,0xfffffdff,
    0x3ffee000,0x7ffd42ff,0xfffffdff,0x03ffffff,0x33bffff2,0x00defffe,
    0x32fffff4,0xd0015797,0x441bffff,0x005ffffc,0xfffffc80,0xffffff50,
    0x327fffff,0x6c05ffff,0xf10fffff,0x800bffff,0x206fffff,0xfffffffb,
    0x7c1fffff,0x2e04ffff,0x5c0fffff,0xffffffff,0xffffffff,0x3b2e007f,
    0xa84fffff,0xffffffff,0xffffffff,0xfffb00ff,0xffffffff,0x7ff405ff,
    0xfffe8cff,0x74403fff,0xfeefffff,0x001effff,0xfffffc80,0xffffff50,
    0x2e7fffff,0x7406ffff,0xf11fffff,0x800bffff,0x206fffff,0xfffffffb,
    0x7c1fffff,0x2a03ffff,0x220fffff,0x0dffffff,0x3fffffa6,0x3ffa007f,
    0xf502ffff,0x19ffffff,0x7fffff4c,0xffffff05,0xffffffff,0x3fffe09f,
    0xffffffdf,0x6c00dfff,0xffffffff,0x00000dff,0x21fffff9,0xfffffcc9,
    0xff31ccce,0x7fc01fff,0xff11ffff,0xf800bfff,0x2606ffff,0xfffffdaa,
    0x3e20aaab,0x2a03ffff,0x2e1fffff,0x204fffff,0x07fffffd,0x3fffffe0,
    0x3fffea04,0xffd103ff,0xff883fff,0xffffffff,0x42ffffff,0xfffffff8,
    0xffffffff,0x7ff4406f,0x0fffffff,0x3ff20000,0xffe80fff,0xfff105ff,
    0x3fee09ff,0xff12ffff,0xf800bfff,0x7006ffff,0x980fffff,0x203fffff,
    0x22fffffa,0x00fffffe,0x1fffffe6,0x7ffffc40,0xffa83fff,0x7d406fff,
    0x7cc3ffff,0x99beffff,0x6fffffea,0x7fffffcc,0xffebbeff,0xff503fff,
    0xffffffff,0x200007ff,0x80fffffc,0x205ffffe,0x23fffffc,0xffffffd9,
    0xfffff13f,0xffff800b,0xfff7006f,0xfff980ff,0x3fea03ff,0x3ffe2fff,
    0xffe804ff,0xbd3007ff,0xbffffffb,0x3fffffa8,0x4fffff80,0x06fff6cc,
    0x3fffffd8,0x3fffffe6,0xffffd82f,0x7fffd40f,0xffffffff,0xc80004ff,
    0xe80fffff,0x7405ffff,0xfeffffff,0xffffffff,0xbfffff13,0xfffff800,
    0xffff7006,0xffff980f,0x3ffea03f,0xffff11ff,0xfffb007f,0x326000ff,
    0x2a3fffff,0x802fffff,0x405ffffe,0x7fffc400,0x3fffe25f,0xfff103ff,
    0x7ffc47ff,0x3faa0eff,0x0002ffff,0x07ffffe4,0x02fffff4,0x3fffffea,
    0xffffffff,0xffff12ff,0xfff800bf,0xff7006ff,0xff980fff,0x3ee03fff,
    0xff30ffff,0xf9005fff,0x8000ffff,0x50fffffd,0x003fffff,0x00dffffb,
    0xdffffb00,0x0ffffff8,0x93ffff60,0x207ffffb,0x005ffffe,0x7ffffe40,
    0x5ffffe80,0xffffe980,0xfffaefff,0x3fffe1ff,0x7ffc005f,0xff7006ff,
    0xff880fff,0x3ee04fff,0x3fe67fff,0xfb802fff,0x40007fff,0x52fffff9,
    0x001fffff,0x00fffff9,0xfffff900,0x07fffff8,0xb2ffffe4,0x5c09ffff,
    0x0007ffff,0x07ffffe4,0x02fffff4,0x9dfffd90,0x83ffffea,0x005fffff,
    0x037ffffc,0x07ffffb8,0x04fffff8,0x99fffff2,0x802fffff,0x007ffffc,
    0x7ffffc40,0x3fffff53,0xdffffb00,0xfff70000,0x7fff41ff,0x7ffdc07f,
    0x3ffffe6f,0x3fffe202,0x05d4c41f,0x1fffffb0,0x0bffffd0,0xff702600,
    0xffff8fff,0x7ffc006f,0xff7005ff,0xffd00fff,0x7fec0dff,0x3ffe26ff,
    0xffd803ff,0x006207ff,0x553ffffe,0x802fffff,0x005ffffe,0x7ffffc80,
    0x03ffffec,0x4dbfffee,0x400fffff,0xf33fffff,0x6c03ffff,0xfd07ffff,
    0x0000bfff,0x237fffe4,0x007ffffe,0x13ffffe2,0x3ffffdc0,0x3ffffec0,
    0x8bffffd0,0x805fffff,0x267ffffe,0x201fffee,0x53fffff9,0x009fffff,
    0xb89fffff,0x6c03eedc,0x7e46ffff,0x3201ffff,0xff34ffff,0xff803fff,
    0xfff12fff,0x7ff405ff,0xfffd07ff,0x200c00bf,0x6c5ffffe,0x003fffff,
    0x09fffff7,0x1ffffee0,0x3ffffea0,0xfffff982,0x7ffffec2,0x3fffe600,
    0x3fffe27f,0x3ffee04f,0xffff51ff,0xfffa80ff,0x7fffc3ff,0x3ffe207f,
    0x7ffc45ff,0x3ffa04ff,0x3fffe3ff,0x3ffe603f,0x3fffe1ff,0xffff105f,
    0x3fffa0bf,0x3ffb605f,0xffff503f,0xffffc83f,0x7fc400ff,0x7002ffff,
    0x100fffff,0xb0dfffff,0xf70fffff,0x220bffff,0x47fffffe,0x80fffffe,
    0x27fffff9,0x5ffffffa,0xfffffd10,0xfffffc81,0xfffff903,0xfffffb03,
    0xfffff503,0x7fffff45,0xfffffb00,0x7fffff41,0xfffffc83,0xbffffd04,
    0x37ffff40,0x37ffff44,0x7fffffcc,0xfffb100d,0x7dc00fff,0xfb007fff,
    0x933bffff,0x207fffff,0x1dfffffe,0x3fffffa6,0x7fffdc7f,0xffb99cff,
    0x3ea3ffff,0x1dffffff,0x3fffffa6,0xfffffa84,0xfffb11df,0x3fe60bff,
    0xea9bffff,0x5c6fffff,0x9cffffff,0xffffffb8,0x7ffffdc5,0xfffeccdf,
    0xffb01fff,0x43535fff,0xadfffffb,0xfffffea8,0xfffffb02,0xfb979bff,
    0x07ffffff,0x3ffffdc0,0xfffff980,0xffffffff,0xffff500f,0xffffffff,
    0xd0ffffff,0xffffffff,0x8dffffff,0xfffffffa,0xffffffff,0xffb00fff,
    0xffffffff,0x403fffff,0xfffffffd,0x1fffffff,0xffffffe8,0xffffffff,
    0xffffe80f,0xffffffff,0x3ff205ff,0x24ffffff,0xfffffff8,0x6fffffff,
    0x3ffffe60,0xffffffff,0x00ffffff,0x1ffffee0,0xfffffb80,0x3fffffff,
    0x7ffffec0,0xfaffffff,0xff887fff,0xffffffff,0x7d40ffff,0xfffcdfff,
    0xffffffff,0x7ffff403,0xffffffff,0x7ff4401f,0xffffffff,0xfff103ff,
    0xffffffff,0x3ea05fff,0xffffffff,0x200effff,0xfffffffa,0x7fffd44f,
    0xffffffff,0x7ffd400e,0xffffffff,0x02ffffff,0x3ffffdc0,0x3fffe600,
    0x02ffffff,0xffffff90,0xfff13fff,0x3ffa60ff,0xffffffff,0xffffa80d,
    0xffffff75,0xb1005fff,0xffffffff,0x6c001dff,0xffffffff,0x7f4c02ff,
    0xffffffff,0x7fd402ff,0xffffffff,0xffe800ef,0xc85fffff,0xffffffff,
    0x3a2004ff,0xffffffff,0x00dfffff,0x7ffffb80,0xfffd8800,0x4001dfff,
    0xdfffffea,0x0fffff10,0xffffffa8,0x3fea02ef,0x3ff6a5ff,0x4000dfff,
    0xffffffe9,0xeb8000ce,0x0dffffff,0x3fffaa00,0x000cffff,0xffffffb1,
    0x6c4005df,0x04ffffff,0xffffffd3,0x3ae0005b,0xffffffff,0x2e0003ef,
    0x0007ffff,0x0000d544,0x0000d4c4,0x006aa620,0x006a6000,0x06aa6200,
    0x15530000,0xba988000,0x5440000a,0x200009aa,0x10009a98,0x00003553,
    0x555554c4,0x00000009,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x10000000,0x3bbb6000,0xeeeeeeee,
    0xeeeeeeee,0x3bbbb21e,0xed88005e,0x3b23eeee,0x2005eeee,0x3eeeeed8,
    0x03bbbbb2,0x3bbbbaa0,0xdddb004e,0x77776cbd,0xdd50002e,0x3ba27ddd,
    0xeeeeeeee,0xeeeeeeee,0xdd14eeee,0x80005ddd,0xeeeeeeee,0xcdeeeeee,
    0xee8800ac,0x2e202eee,0xbcefffed,0xffffe800,0xffffffff,0xffffffff,
    0x3ffffe61,0x7fe4004f,0x3e60ffff,0x004fffff,0x1ffffff9,0x17ffffdc,
    0x7ffffe40,0xfff8807f,0x3ffee4ff,0xfb0005ff,0x3e25ffff,0xffffffff,
    0xffffffff,0xf15fffff,0x0005ffff,0xfffffff8,0xffffffff,0x200dffff,
    0x02fffff8,0xfffffff7,0xe807ffff,0xffffffff,0xffffffff,0x7e41ffff,
    0x000fffff,0x7ffffff1,0xffffff90,0xffff9803,0x7ffd42ff,0xffe804ff,
    0x401fffff,0x22fffffa,0x0ffffff8,0x7fffc400,0x3fffe27f,0xffffffff,
    0xffffffff,0xffff15ff,0xff80005f,0xffffffff,0xffffffff,0xff101fff,
    0xfe885fff,0xffffffff,0xd00effff,0xffffffff,0xffffffff,0xfd03ffff,
    0x200bffff,0x05fffffd,0x17fffffa,0xbfffffd0,0xdfffff10,0xfffff880,
    0x7e403fff,0x7f40ffff,0x4003ffff,0x24fffffb,0xfffffff8,0xffffffff,
    0x5fffffff,0x05fffff1,0xfffff800,0xffffffff,0xffffffff,0xffff880f,
    0x7ffff42f,0xffffffff,0xffd06fff,0xffffffff,0xffffffff,0xfff503ff,
    0xfa805fff,0x200fffff,0x2ffffff9,0xffffff70,0x3ffffa01,0x7fffd407,
    0x7405ffff,0xfb87ffff,0x4005ffff,0x21fffffd,0xfffffff8,0xffffffff,
    0x5fffffff,0x05fffff1,0xfffff800,0xffffffff,0xffffffff,0xffff883f,
    0x3ffff22f,0xea98beff,0x004fffff,0xfffffb00,0x7ffec09f,0x7ff406ff,
    0xfc803fff,0x440fffff,0x03ffffff,0x07fffff2,0xffffffd8,0x7ffc07ff,
    0xfff885ff,0xf1000fff,0x000dffff,0x03fffff9,0x3ffffe20,0x7ffc0002,
    0xfc9805ff,0x885fffff,0xf12fffff,0x401dffff,0x00fffffd,0x7fffe400,
    0x7fc405ff,0xf703ffff,0x200dffff,0x4ffffff8,0x37ffffec,0x3ffffea0,
    0x3ffffe03,0x301fffff,0x207fffff,0x03fffffd,0x9fffff50,0xffff9000,
    0x3fe2003f,0x40002fff,0x005fffff,0x1fffffe6,0x4bffffe2,0x00fffffa,
    0x17ffffd4,0xffff5000,0xf7001dff,0x881fffff,0x01ffffff,0x3ffffea0,
    0xfffff31f,0xfff8803f,0xfff304ff,0x7fffffff,0x3ffffee0,0xfffff501,
    0x3fff600b,0xfc8001ff,0x1001ffff,0x105fffff,0xffff0033,0xffe800bf,
    0x7fc41fff,0xfffb2fff,0x3ffa009f,0xf30004ff,0x03ffffff,0x7ffffec0,
    0x7ffffe45,0xfffd8004,0xfffe8eff,0xffd004ff,0x3fee0dff,0xffffcdff,
    0xfffff905,0x7ffffc40,0x7ffc400f,0xf90006ff,0x2003ffff,0x22fffff8,
    0x2effffec,0x0bfffff0,0xfffffb80,0x7ffffc43,0x05db9752,0x13ffff60,
    0x3fffa200,0x4c002fff,0x31ffffff,0x01ffffff,0xfffff100,0xdfffffdf,
    0x7fffe400,0xffffd80f,0x07ffffab,0x80bffffd,0x03fffffd,0x1fffffd4,
    0xffffc800,0xfff1001f,0xfffd15ff,0xf09fffff,0x800bffff,0x42fffffd,
    0x02fffff8,0x7fffc400,0xffd8002f,0x0003ffff,0x2dfffff7,0x02fffffe,
    0x3fffea00,0x1fffffff,0x3fffee00,0xfffff82f,0x1fffff89,0x1fffffc4,
    0x3ffffea0,0x7fffec06,0xff90000f,0x22003fff,0xffcfffff,0xffffffff,
    0x7ffffc4f,0x7fffc005,0x7ffc40ff,0x6c0002ff,0x000fffff,0x7fffffe4,
    0x7ff40005,0xffffdfff,0xfd80005f,0xffffffff,0x7ffcc004,0x7ffcc3ff,
    0x3ffffa7f,0x7ffffd43,0xfffff801,0xffff100f,0x7e4000bf,0x1001ffff,
    0xffffffff,0xffffffff,0x7fffc1ff,0xffd1005f,0xff10dfff,0x20005fff,
    0x5fffffd8,0x7fffd400,0x40000eff,0xfffffff9,0x0000ffff,0xffffff88,
    0xf8000fff,0x7dc5ffff,0x3ff25fff,0x7ffdc5ff,0xfff9007f,0x3fea07ff,
    0x20002fff,0x01fffffc,0xffffff10,0x7ff4c39f,0x3ffe3fff,0xccccceff,
    0xffffeedc,0xff881fff,0x88002fff,0x0efffffe,0x3fffe600,0x00000fff,
    0xfffffff9,0x400007ff,0xfffffffb,0xfffb0002,0xffffe8ff,0x1ffffea3,
    0x00bffffb,0x1bffffe6,0x07ffffec,0xffff9000,0x3fe2003f,0xf305ffff,
    0x7fcbffff,0xffffffff,0xffffffff,0xff104fff,0x88005fff,0x1ffffffe,
    0x3fffe200,0x00001fff,0x3fffffe2,0x400006ff,0xfffffffb,0xfff70000,
    0x3ffe21ff,0x3ffe21ff,0x3fffe1ff,0x3ffa003f,0xfff80fff,0x640005ff,
    0x001fffff,0x1ffffff1,0x37ffff40,0xffffffff,0xffffffff,0x4405ffff,
    0x002fffff,0x3fffffe6,0x7ff4000e,0x0003ffff,0xfffffa80,0x200001ff,
    0xfffffff8,0xff30006f,0x3fea5fff,0xfffe87ff,0xfffff13f,0x7ffdc003,
    0x7ffd43ff,0x640002ff,0x001fffff,0x0bfffff1,0x26ffffd8,0xffffffff,
    0xffffffff,0x7c400bef,0x2002ffff,0x0efffffe,0x7fffe400,0x000004ff,
    0x13fffff6,0xfffd0000,0x07ffffff,0x3ffffe00,0x09ffff94,0x2abffff7,
    0x000fffff,0x1bffffe6,0x00fffffb,0xfffff900,0x3ffe2003,0x7fec04ff,
    0x3fffe6ff,0xffffffff,0x2002ffff,0x02fffff8,0xbfffff70,0xfffb8001,
    0x00006fff,0x7ffffdc0,0x3ee00001,0xffffffff,0xfe8000ff,0xfffd6fff,
    0xffff305f,0x1bffff2f,0x3ffffa00,0x3ffffe1f,0xffc80004,0xf1001fff,
    0xc807ffff,0x3fe6ffff,0x36625fff,0x03ffffff,0x5fffff10,0x3ffff600,
    0xfff98005,0x0000ffff,0x7fffdc00,0xf100001f,0xffffffff,0x9000dfff,
    0xff1fffff,0x3fe01fff,0xfffe9fff,0xffb8004f,0xfff54fff,0x900003ff,
    0x003fffff,0x0bffffe2,0x4dffff90,0x705fffff,0x0bffffff,0x5fffff10,
    0x3ffffa00,0x7ffc4000,0x0001ffff,0xffffb800,0xfb00001f,0xff5fffff,
    0x8007ffff,0xfcfffffa,0x3f606fff,0xffffbfff,0xff88002f,0xfff96fff,
    0x320000ff,0x001fffff,0x05fffff1,0x26ffffc8,0x205fffff,0x4ffffffc,
    0x7ffffc40,0xffff8802,0xfffe8006,0x00002fff,0xfffff700,0xff500003,
    0x3f27ffff,0x000fffff,0x3fffffe2,0x2e04ffff,0xffffffff,0xfb0000ff,
    0xfff3ffff,0x200009ff,0x01fffffc,0x5fffff10,0x6ffffc80,0x017ffffe,
    0x7ffffffd,0x7ffffc40,0xffff9802,0x7ffec006,0x00004fff,0x3fffee00,
    0x7c40001f,0x225fffff,0x06ffffff,0x7fffff40,0x2602ffff,0xffffffff,
    0x3ea0006f,0xfffeffff,0x900001ff,0x003fffff,0x0bffffe2,0x4dffff90,
    0x405fffff,0xfffffff8,0xfffff100,0x99991005,0x7ffdc007,0x00005fff,
    0x7fffdc00,0x7ec0001f,0x540fffff,0x03ffffff,0x3fffff20,0x7c00ffff,
    0xffffffff,0x3fe20004,0xffffffff,0x3f200006,0x1001ffff,0x805fffff,
    0x3e6ffffc,0xb805ffff,0x05ffffff,0x05fffff1,0xff980000,0x000effff,
    0x7fdc0000,0x20001fff,0x3ffffffa,0xffffffb0,0x3ffea001,0x806fffff,
    0xfffffffd,0x7ec0002f,0xffffffff,0x3f200003,0x1001ffff,0x805fffff,
    0x3e6ffffc,0xb005ffff,0x05ffffff,0x05fffff1,0x19999910,0xfffff900,
    0xdddddddf,0xdddddddd,0xff7000bd,0x20003fff,0x6ffffff8,0x3ffffe20,
    0xfff1005f,0x009fffff,0xfffffff7,0xfa80001f,0xffffffff,0x3f200000,
    0x1001ffff,0x805fffff,0x3e6ffffc,0x1005ffff,0x1fffffff,0x2fffff88,
    0xfffff980,0xffffc801,0xffffffff,0xffffffff,0xfb8006ff,0x0001ffff,
    0x3ffffffb,0xfffffb80,0xffff003f,0x1003ffff,0xdfffffff,0x3ffe0000,
    0x005fffff,0x7fffe400,0xfff1001f,0xffc805ff,0x3fffe6ff,0x3fee005f,
    0x7c45ffff,0x9802ffff,0x801fffff,0xfffffffc,0xffffffff,0x6fffffff,
    0xffffb800,0xffa8001f,0xd004ffff,0x01ffffff,0xffffffb0,0x7fff400f,
    0x00004fff,0xfffffff9,0xfc800007,0x1001ffff,0x805fffff,0x3e6ffffc,
    0x4005ffff,0x1ffffffd,0x0bffffe2,0x3ffffe60,0xffffc801,0xffffffff,
    0xffffffff,0xfb8006ff,0x4001ffff,0xeffffff8,0xffff3000,0xff700bff,
    0x400bffff,0x3ffffffc,0xfff30000,0x0001ffff,0xfffffc80,0xffff1001,
    0xfffc805f,0x3ffffe6f,0x7ffc4005,0x3fe26fff,0xf9802fff,0xc801ffff,
    0xffffffff,0xffffffff,0x06ffffff,0xfffffb80,0x7ffe4001,0x5c002fff,
    0x03ffffff,0x7fffffcc,0x3ffea003,0x00001fff,0x17fffffa,0x3ff20000,
    0xf1001fff,0xc805ffff,0x3fe6ffff,0xb8005fff,0x13ffffff,0x005fffff,
    0x03fffff3,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xeeeeeee8,0xcdeeeeee,0xeeee801b,
    0x7754005e,0xdddd15ee,0x2007dddd,0xeeeeeee8,0x7999974e,0xdddb0000,
    0xeec8009d,0x220deeee,0xd32eeeee,0x7747dddd,0x64004eee,0x0006eeee,
    0x81bfffe2,0xeeeeeeee,0xeeeeeeee,0xddd34eee,0x3bba27dd,0xeeee99ee,
    0xff80000e,0xffffffff,0xefffffff,0x3ffffe01,0x3fee003f,0xffff16ff,
    0x200dffff,0xfffffffa,0xdffffd5f,0xffff0000,0x7fe400df,0x441fffff,
    0xf32fffff,0x7fc9ffff,0x74005fff,0x0007ffff,0x81bffff6,0xffffffff,
    0xffffffff,0xfff55fff,0x3ffe69ff,0xffff9aff,0xff80001f,0xffffffff,
    0xffffffff,0xfffff02f,0x3ee001ff,0xfff16fff,0x01ffffff,0xffffff90,
    0x3fffabff,0xff80006f,0xf7006fff,0x03ffffff,0x25fffff1,0x24fffff9,
    0x005fffff,0x03fffff4,0xfffffa80,0x3ffffe06,0xffffffff,0x55ffffff,
    0x269fffff,0xf9afffff,0x0001ffff,0xfffffff8,0xffffffff,0xf82fffff,
    0x05ffffff,0x2dffff70,0xfffffff8,0xffe803ff,0xd5ffffff,0x000dffff,
    0x0dfffff0,0xffffff70,0x3ffe203f,0xffff32ff,0x7ffffc9f,0x7fff4005,
    0xff88007f,0x3e06ffff,0xffffffff,0xffffffff,0xffff55ff,0x3fffe69f,
    0xfffff9af,0xfff80001,0xffffffff,0xffffffff,0xfffff86f,0xfb801fff,
    0xfff16fff,0x0bffffff,0xffffff88,0xfffd5fff,0xff0000df,0xfa80dfff,
    0x01ffffff,0x4bffffe2,0x24fffff9,0x005fffff,0x03fffff4,0x7ffffec0,
    0x3fffe06f,0xffffffff,0x5fffffff,0x29fffff5,0x9afffff9,0x001fffff,
    0x5fffff80,0xffff9310,0xfff85fff,0x806fffff,0xf16ffffb,0xffffffff,
    0xffffa80f,0xfd5fffff,0x0000dfff,0x40dfffff,0xfffffffa,0x99999801,
    0x9fffff30,0x02fffffc,0x1fffffa0,0xfffff700,0x7ffc0dff,0x540005ff,
    0x914fffff,0xff339999,0x00003fff,0x00bfffff,0x9fffffd3,0xfffffff8,
    0x7fdc03ff,0xffff16ff,0x03ffffff,0x7fffffe4,0xfffd5fff,0xff0000df,
    0x3e60dfff,0x02ffffff,0xffff9800,0x3ffffe4f,0x7fff4005,0x3fe2007f,
    0x06ffffff,0x017ffffe,0xfffff500,0xffff3009,0xff00003f,0x3200bfff,
    0x7c6fffff,0xffffffff,0x3ffee00f,0xfffff16f,0x407ffffb,0xffdfffff,
    0xffffd5ff,0xfff0000d,0xfff30dff,0x0005ffff,0x3ffffe60,0x17ffffe4,
    0xfffffd00,0x7fffec00,0x3e06ffff,0x0005ffff,0x1fffffd4,0x7ffffcc0,
    0xfff80001,0xff3005ff,0xfff8ffff,0x5fffffff,0x5bfffee0,0xfbfffff8,
    0xff105fff,0xffffbbff,0x1bffffab,0x3fffe000,0x7fff446f,0x22002fff,
    0xf32eeeee,0x7fc9ffff,0x74005fff,0x7007ffff,0xfffdffff,0x7fffc0df,
    0x7cc0005f,0x9803ffff,0x901fffff,0x81bddddd,0x005fffff,0x8dfffff1,
    0xffffffff,0xff702fff,0x3ffe2dff,0x7ffff9ff,0xb7ffff70,0x3fabffff,
    0x80006fff,0x226fffff,0x3ffffffe,0x7fffc400,0xfffff32f,0x2fffffc9,
    0x3ffffa00,0xffff8807,0x06ffffbe,0x017ffffe,0xfffff100,0xffff3005,
    0xffff703f,0xffff03ff,0x3fea00bf,0x7ffc5fff,0xfffffdff,0xdffff706,
    0x27ffffe2,0xd81ffffd,0xffd9ffff,0xffffd5ff,0xfff0000d,0x3ffa2dff,
    0x8003ffff,0x32fffff8,0x7c9fffff,0x4005ffff,0x807ffffe,0xfb9ffffe,
    0x3fe06fff,0x80005fff,0x801fffff,0x41fffff9,0x1ffffffa,0x0bfffff0,
    0xfffffd10,0xafffff87,0x84fffffd,0xf16ffffb,0xff73ffff,0xffff07ff,
    0x57ffff6f,0x006ffffe,0x6fffff80,0xbffffffb,0x3ffe2000,0xffff32ff,
    0x7ffffc9f,0xaaaaaaae,0xfffeaaaa,0x7ffdc07f,0xdffff73f,0x77ffffc0,
    0x99999999,0xfff80999,0xff9800ff,0x3fe61fff,0x3e02ffff,0x4c05ffff,
    0x1ffffffe,0x4d7ffffc,0x41ffffff,0xf16ffffb,0xff33ffff,0xfff98dff,
    0xbffffb5f,0x01bffffa,0x3ffffe00,0xffffffde,0xf88001ff,0xff32ffff,
    0x7ffc9fff,0xffffffff,0xffffffff,0x3e607fff,0x3fee6fff,0x3ffe06ff,
    0xffffffff,0x86ffffff,0x800ffffe,0x31fffff9,0x05ffffff,0xeffffff8,
    0xfffeeeee,0xf87fffff,0xff92ffff,0xffb8bfff,0xffff16ff,0x3ffffe3f,
    0x4ffffee0,0xfd5ffffd,0x0000dfff,0xffffffff,0xdfffffff,0xffff1000,
    0x3fffe65f,0x3ffffe4f,0xffffffff,0xffffffff,0x3fffa07f,0x3fffee1f,
    0x3ffffe06,0xffffffff,0xfd86ffff,0xff3007ff,0xffd13fff,0xff007fff,
    0xffffffff,0xffffffff,0xffff03ff,0x7ffff45f,0x3fffee2f,0x3fffff16,
    0xd8bffff6,0xffb1ffff,0x3fffabff,0xff80006f,0xffffffff,0x04ffffff,
    0x7ffffc40,0x9fffff32,0x7ffffffc,0xffffffff,0x7fffffff,0x87ffff90,
    0x206ffffb,0xffffffff,0xffffffff,0x6fffc86f,0xfffff300,0x7fffffd3,
    0x3ffffe00,0xffffffff,0x02ffffff,0x545fffff,0x70ffffff,0x3e2dffff,
    0xff71ffff,0x7fffc9ff,0x57ffff67,0x006ffffe,0xffffff80,0xfffdffff,
    0x22001fff,0xf32fffff,0x7fc9ffff,0xffffffff,0xffffffff,0xf987ffff,
    0xffb86fff,0x3ffe06ff,0xffffffff,0x86ffffff,0x3225fffb,0xff99cccc,
    0xffffefff,0x3ffe004f,0xffffffff,0x2effffff,0x0bffffe0,0x29fffffb,
    0xf16ffffb,0x3e63ffff,0xfff36fff,0x7fffecbf,0x0dffffd5,0xfffff000,
    0x3fa7ffff,0x2006ffff,0x32fffff8,0x7c9fffff,0xaaaeffff,0xaaaaaaaa,
    0xe87ffffe,0xfb81ffff,0x3fe06fff,0xeeeeffff,0x4eeeeeee,0x265fffb8,
    0xf9afffff,0xffffffff,0x3fe005ff,0xffffffff,0x01deffff,0x42fffff8,
    0x9ffffff8,0xf16ffffb,0x7fc3ffff,0xfffb8fff,0x3ffff63f,0x0dffffd5,
    0xfffff000,0x7fcc9fff,0x1003ffff,0x265fffff,0x3e4fffff,0x4005ffff,
    0x647ffffe,0xf703ffff,0x7fc0dfff,0x80005fff,0x3e64fffa,0xff9affff,
    0xffffffff,0xfff002ff,0x13333dff,0x7fffc000,0xffffb82f,0x6ffffbef,
    0x43fffff1,0xfdaffffd,0x3ff61fff,0xffffd5ff,0xfff0000d,0xfb09ffff,
    0x003fffff,0x25fffff1,0x24fffff9,0x005fffff,0x13fffff4,0x999fffff,
    0xffffb999,0x7fc3999f,0x80005fff,0x3e63fff9,0xff9affff,0xffffffff,
    0xfff006ff,0x80000bff,0xd02fffff,0xffffffff,0x3ffe2dff,0x3ffee1ff,
    0x47ffffdf,0xfd5ffffd,0x0000dfff,0x09ffffff,0x3fffffe2,0xffff8806,
    0xfffff32f,0x2fffffc9,0x3ffffa00,0x3ffffe67,0xffffffff,0x3fffffff,
    0x017ffffe,0x8bffe200,0x99fffff9,0xefffffff,0x803fffff,0x005fffff,
    0x7ffffc00,0xfffff302,0x22dfffff,0x261fffff,0xffffffff,0x7fffec5f,
    0x0dffffd5,0xfffff000,0xffffb80d,0x7fc403ff,0xfff32fff,0x7fffc9ff,
    0x7ff4005f,0x3ffe67ff,0xffffffff,0xffffffff,0x3ffffe3f,0xfff00005,
    0x7ffffcc5,0xffffff99,0xfffffd8e,0x7ffffc00,0x7fc00005,0x3f202fff,
    0xffffffff,0x3fffff16,0xfffffff8,0x7ffec3ff,0xdffffd5f,0xffff0000,
    0xfffd00df,0x7c401fff,0xff32ffff,0x7ffc9fff,0x7f4005ff,0x3fe67fff,
    0xffffffff,0xffffffff,0x3fffe3ff,0x9900005f,0x23ff2019,0x0efffff9,
    0x09fffff1,0x05fffff8,0x7fffc000,0x3ffe202f,0x16ffffff,0xd83fffff,
    0xffffffff,0xaffffec1,0x006ffffe,0x6fffff80,0xfffffa80,0x3ffe205f,
    0xffff32ff,0x7ffffc9f,0x7fff4005,0x3fffe67f,0xffffffff,0xffffffff,
    0x17ffffe3,0xff800000,0x3fffff37,0x1fffffc8,0x17ffffe0,0xffff0000,
    0xfffa805f,0xf16fffff,0xfb83ffff,0x87ffffff,0xfd5ffffd,0x0000dfff,
    0x00dfffff,0x3ffffff6,0xfffff102,0x3ffffe65,0x17ffffe4,0xfffffd00,
    0x99999998,0xfffc9999,0x3e0999ef,0x0005ffff,0x0e666644,0x7fcd7fea,
    0x7fc41fff,0x3fe06fff,0x00005fff,0x017ffffc,0x7fffffec,0xfffff16f,
    0xfffff983,0xfffd85ff,0xfffffd5f,0xdddddddd,0x23dddddd,0x006fffff,
    0xfffffff3,0xfffff101,0x3ffffe65,0x17ffffe4,0xfffffd00,0x7ffdc000,
    0x3fffe06f,0x7c40005f,0x3f22ffff,0xffff30ff,0xffff703f,0x3fffe05f,
    0x7c00005f,0x9802ffff,0x6fffffff,0x03fffff1,0x7fffffff,0x2bffffb0,
    0xfffffffe,0xffffffff,0xfff2ffff,0x7e400dff,0x885fffff,0xf32fffff,
    0x7fc9ffff,0x74005fff,0x0007ffff,0x81bfffee,0x005fffff,0x7ffffc40,
    0x4c5fff72,0xd01fffff,0x3e0fffff,0x0005ffff,0x17ffffc0,0xfffffc80,
    0xfffff16f,0xfffffb03,0xffffb03f,0x3fffffab,0xffffffff,0xf2ffffff,
    0x400dffff,0xfffffff8,0x7ffffc42,0x9fffff32,0x02fffffc,0x1fffffa0,
    0xffffb800,0x3ffffe06,0x7fc40005,0x077e2fff,0x03fffff3,0x13ffffea,
    0x017ffffe,0xfffff000,0x7fff4005,0xffff16ff,0xffff703f,0x3fff60ff,
    0xfffffd5f,0xffffffff,0x25ffffff,0x006fffff,0x7fffffdc,0x3fffe20f,
    0xfffff32f,0x2fffffc9,0x3ffffa00,0x3fee0007,0x3ffe06ff,0x440005ff,
    0x062fffff,0x0fffffcc,0x1fffffd0,0x05fffff8,0x7fffc000,0x3fea002f,
    0xfff16fff,0xfff303ff,0x3ff60bff,0xffffd5ff,0xffffffff,0x5fffffff,
    0x01bffffe,0x3fffffa0,0x3fffe24f,0xfffff32f,0x2fffffc9,0x3ffffa00,
    0x3fee0007,0x3ffe06ff,0x440005ff,0x802fffff,0x01fffff9,0x17ffffe6,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x77777740,0xeeeeeeee,0x1eeeeeee,
    0xddddddd1,0x9bdddddd,0x77740015,0xeeeeeeee,0x00bceeee,0x7776c000,
    0xa88003ee,0xaaaaaaaa,0xaaaaaaaa,0xfffd001a,0xeedca80d,0x00000bcd,
    0x00000000,0x00cd4400,0x19a98800,0xfffff800,0xffffffff,0xffffffff,
    0xffffff11,0xffffffff,0x3e005fff,0xffffffff,0xffffffff,0x980002df,
    0x06ffffff,0xfffff980,0xffffffff,0x804fffff,0x506ffffa,0xfffffffd,
    0x0fa207ff,0x00000000,0x3ae026cc,0x2effffff,0x7fff5400,0x00beffff,
    0xfffffff8,0xffffffff,0x11ffffff,0xffffffff,0xffffffff,0xff801bff,
    0xffffffff,0xffffffff,0x640002ff,0x2fffffff,0x7fffcc00,0xffffffff,
    0x04ffffff,0x37ffff44,0x7fffffe4,0x0effffff,0x0067ffc4,0x54000000,
    0xfd304ffe,0xffffffff,0xfe8801df,0xffffffff,0x7fc02fff,0xffffffff,
    0xffffffff,0xfff11fff,0xffffffff,0xffffffff,0x7fffc05f,0xffffffff,
    0xffffffff,0xff10001f,0x0bffffff,0xfffff980,0xffffffff,0x204fffff,
    0x6fffffe8,0x7fffffd4,0xffffffff,0x7ffffc45,0x0000001d,0x7ffffdc4,
    0xfffffb84,0xffffffff,0xfffd100e,0xffffffff,0x7fc05fff,0xffffffff,
    0xffffffff,0xfff11fff,0xffffffff,0xffffffff,0x3ffe01ff,0xffffffff,
    0xffffffff,0xf70006ff,0xffffffff,0x7ffcc001,0xffffffff,0x3fffffff,
    0xfffffd10,0x7fffccdf,0xfffdefff,0x3e23ffff,0x2effffff,0x64c00000,
    0x4fffffff,0x7fffffc4,0xffffffff,0xffff906f,0xfffd9dff,0x7fc0ffff,
    0x00005fff,0x0bfffff1,0x3fffee66,0xfff04fff,0xfb300bff,0x001fffff,
    0xffffffd0,0x44007fff,0xcccccccc,0xffffcccc,0xffff706f,0x7dcdffff,
    0x221cffff,0x26fffffc,0xfffffff8,0x0000cfff,0x3ffffaa0,0x6c4fffff,
    0x31dfffff,0x3fffffd7,0x05fffff0,0x5fffff91,0x17ffffe0,0x7ffc4000,
    0xfb8805ff,0xf81fffff,0x2005ffff,0x02fffffc,0x7ffffcc0,0x006fffff,
    0x3ffe6000,0x7ffd40ef,0x6fffffff,0x81bffffa,0x20fffffe,0xfffffffc,
    0x001dffff,0xfffff710,0x5dffffff,0x27ffffd4,0x5fffff98,0x03ffffc4,
    0x402b37fa,0x005fffff,0xfffff100,0x7ffec00b,0xffff85ff,0x3fe6005f,
    0x64004fff,0xffcfffff,0x00002fff,0x83ffffd0,0xfffffffd,0xff16ffff,
    0x7dc07fff,0xda81ffff,0xffffffff,0x93002eff,0xffffffff,0xfb039fff,
    0x6c01ffff,0x7c42cdff,0x001dffff,0x5fffff80,0xfff10000,0x7c400bff,
    0x7c1fffff,0x2005ffff,0x02fffff8,0x67ffffc0,0x05fffff8,0xfffc8000,
    0xffffe83f,0x6ffffddf,0x03ffdd91,0x0fffffcc,0xfffff910,0x17ffffff,
    0xfffffb50,0x05bfffff,0x04ffffe8,0x7ffc0044,0x0aceffff,0xfffff800,
    0xff100005,0xc800bfff,0x7c3fffff,0x2005ffff,0x00fffffb,0x3ffffea0,
    0x1fffffb1,0x7fcc0000,0xfffd06ff,0x3ffff27f,0x3fee0006,0xb5000fff,
    0xffffffff,0x3ffa27ff,0xefffffff,0xffff000b,0x3600007f,0xffffffff,
    0xf001beff,0x000bffff,0x3ffffe20,0x7ffd4005,0x7fffc5ff,0xffd3005f,
    0xfd800bff,0x3fea7fff,0x00003fff,0x407ffffa,0x3f21effe,0x20006fff,
    0x006ffffe,0xffffeb88,0xfff14fff,0x03bfffff,0xfffff880,0xfd100003,
    0xffffffff,0xf805dfff,0xccceffff,0xcccccccc,0x3fe20ccc,0x44005fff,
    0x7c6fffff,0xaaaeffff,0xffdaaaaa,0x2001ffff,0x24fffff8,0x06fffff8,
    0xffff7000,0x6416f40b,0x0006ffff,0x0bfffff3,0xfffe9800,0xffff14ff,
    0x200017ff,0x02fffff9,0x3ffa2000,0xffffffff,0x3fe05fff,0xffffffff,
    0xffffffff,0x3ffe21ff,0xff8005ff,0x7ffc7fff,0xffffffff,0xffffffff,
    0x7fdc000e,0x7fec1fff,0x80002fff,0x202ffffe,0x3ffff200,0xfffd0006,
    0x540003ff,0x4ffffffe,0xfffffff1,0xff100039,0x00007fff,0xfffffb50,
    0x9fffffff,0x3fffffe0,0xffffffff,0x21ffffff,0x05fffff8,0x7fffff80,
    0x7ffffffc,0xffffffff,0x8000efff,0x986ffffe,0x005fffff,0x37fffd40,
    0xffff9000,0xfffb000d,0x930009ff,0xffffffff,0x3fffe29f,0x0befffff,
    0x3ffffe00,0x22000004,0xfffffeca,0xff80ffff,0xffffffff,0xffffffff,
    0x3ffe21ff,0xff8005ff,0x7ffc7fff,0xffffffff,0xffffffff,0x3fe6003f,
    0xfff03fff,0x40001fff,0x003ffffe,0x1bffff20,0xfffffb00,0x3ae2001f,
    0xffffffff,0x3faa0cff,0xffffffff,0xffe801df,0x6f4c05ff,0x510001ac,
    0x3ffffffb,0xfffffff0,0xffffffff,0x443fffff,0x005fffff,0x47fffff8,
    0xffffffff,0xffffffff,0x005fffff,0x01fffffb,0x0ffffff2,0x7fffd400,
    0x3f20000f,0x36006fff,0x02ffffff,0xfffffc98,0x0bffffff,0x3ffff660,
    0xbeffffff,0xfffffb00,0x7fffdc01,0x265d4c0f,0x3ffffea0,0xefffff82,
    0x99999999,0x44199999,0x005fffff,0x46fffff8,0xaaefffff,0xeccbaaaa,
    0x05ffffff,0x2fffffc4,0xdfffff30,0x3fff6000,0x7e40005f,0xfb006fff,
    0x407fffff,0xfffffeb8,0x02efffff,0x7fffe440,0xdfffffff,0x7ffffdc1,
    0xfffff105,0xfffffe8b,0x3fffe601,0xfffff81f,0xff100005,0x8800bfff,
    0x7c5fffff,0x2005ffff,0x2ffffffb,0x3ffffee0,0xaaaaaaad,0x02ffffff,
    0x7ffffc40,0x7fe40002,0xffd806ff,0x2204ffff,0xffffffff,0x0001cfff,
    0xfffffeb8,0x744fffff,0x8aefffff,0xfffffec9,0x7ffffd42,0xfffd880e,
    0xfffff07f,0x3e20000b,0x4005ffff,0x44fffff9,0x005fffff,0x2fffffdc,
    0xffffffd0,0xffffffff,0x00bfffff,0x06ffffb8,0xffffc800,0x7fffec06,
    0x7fc403ff,0xbfffffff,0xda800000,0xffffffff,0x7ffffcc4,0xffffffff,
    0xfffd06ff,0xfd99dfff,0x209fffff,0x005fffff,0xfffff100,0xfffb800b,
    0x7fffc2ff,0x7fc4005f,0xff307fff,0xffffffff,0xffffffff,0x6c001fff,
    0x0003ffff,0x06ffffc8,0x3ffffff6,0xffff8803,0x00002eff,0xffff9300,
    0xfff909ff,0xffffffff,0x3a201dff,0xffffffff,0x05ffffff,0x017ffffe,
    0x7fffc400,0x7ff4005f,0x7ffc1fff,0xff8005ff,0xff907fff,0xffffffff,
    0xffffffff,0x7c007fff,0x0000ffff,0x06ffffc8,0x5ffffffb,0x3fffe200,
    0x0000001d,0x9ffff710,0x3ffffea0,0x1effffff,0x7ffff440,0xffffffff,
    0x3fffe00d,0xf100005f,0x400bffff,0x87fffffa,0x005fffff,0x37ffffcc,
    0xfffffff8,0xffffffff,0x6fffffff,0xfffff300,0x3ff20000,0xfffc86ff,
    0x22002fff,0x00000cff,0x3faa0000,0x3ffb2204,0x002effff,0x7ffffed4,
    0xf801dfff,0x0005ffff,0xbfffff10,0x3fffa200,0xffff83ff,0x7fe4005f,
    0xffa84fff,0xaaaadfff,0xeaaaaaaa,0x802fffff,0x005ffffc,0xdffff900,
    0xffffffa8,0x005c4002,0x00000000,0x2a620053,0x4400009a,0x0019aaa9,
    0x02fffffc,0xffff8800,0x7fe4405f,0xf80fffff,0x3005ffff,0x5ffffffb,
    0x1fffffb0,0xffffb800,0xfffd805f,0xf900003f,0x7fc4dfff,0x999dffff,
    0x09999999,0x00000000,0x00000000,0xf8000000,0xeeefffff,0xeeeeeeee,
    0xff15eeee,0xddddffff,0xfffffffd,0x3fe05fff,0xeeeeffff,0xffffeeee,
    0x440fffff,0x006fffff,0xffffff88,0x7ffff400,0xff900002,0x7ffdcdff,
    0xffffffff,0x32ffffff,0x99999999,0x99999999,0x05999999,0x00000000,
    0x80000000,0xffffffff,0xffffffff,0xf16fffff,0xffffffff,0xffffffff,
    0x7fc09fff,0xffffffff,0xffffffff,0xfb82ffff,0x0003ffff,0x07fffffb,
    0x00fffff8,0xffff9000,0x7ffffecd,0xffffffff,0xff52ffff,0xffffffff,
    0xffffffff,0x0009ffff,0x00000000,0xff800000,0xffffffff,0xffffffff,
    0xfff16fff,0xffffffff,0xffffffff,0xfffff805,0xffffffff,0xffffffff,
    0xfffffd03,0x3fea0001,0x3e206fff,0x0000ffff,0x2dffff90,0xfffffff8,
    0xffffffff,0xfff52fff,0xffffffff,0xffffffff,0x00009fff,0x00000000,
    0xfff80000,0xffffffff,0xffffffff,0xffff16ff,0xffffffff,0x009fffff,
    0x3ffffffe,0xffffffff,0x503effff,0x00bfffff,0xffffff80,0xfffff302,
    0x7fe40000,0xffff76ff,0xffffffff,0x25ffffff,0xfffffffa,0xffffffff,
    0x4fffffff,0x00000000,0x00000000,0x7ffffffc,0xffffffff,0x16ffffff,
    0xffffffff,0x7bdfffff,0x7fffc001,0xffffffff,0x01beefff,0x17ffffec,
    0x3fff2000,0xfff505ff,0x640000ff,0xffd6ffff,0xffffffff,0xffffffff,
    0x00000005,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00054c40,
    0x33533100,0x33100001,0x0cc00000,0x004c4000,0x88006600,0x77744009,
    0x776401ee,0x555004ee,0xdd700155,0xeee807dd,0x3ba602ee,0x3bae0eee,
    0xeeeeeeee,0x44eeeeee,0x912eeeee,0x80019999,0xffffffc9,0x644000ce,
    0xffffffff,0x76cc003d,0x01deffff,0x897bbba2,0x3effffec,0x14eeee98,
    0x547dfffb,0x36a3eeee,0x983dffff,0x0cefffed,0x1fffff98,0x2ffffec0,
    0x1ffffd80,0x7ffffa80,0x3ffffe60,0x3fffee05,0x7ffffe46,0xffffffff,
    0x7ffc5fff,0xffff33ff,0x3f62003f,0xffffffff,0xff7002ff,0xffffffff,
    0x3ee009ff,0xffffffff,0xffff103f,0x3ffffa2f,0x2a0dffff,0xff8dffff,
    0x3ee6ffff,0xfff94fff,0x549fffff,0xffffffff,0x7fffcc0e,0x7ffec01f,
    0xfffb005f,0xfff1003f,0x3ff203ff,0x3fa07fff,0x7fe43fff,0xffffffff,
    0x45ffffff,0xf33fffff,0x3003ffff,0xfffffffd,0x1bffffff,0x7ffffd40,
    0xffffffff,0x7ffec05f,0xffffffff,0x7ffc40df,0xfffff9ff,0x25ffffff,
    0xfdeffffa,0x2e3fffff,0xffdcffff,0xffffffff,0xffffffbb,0x260effff,
    0x401fffff,0x005ffffd,0x003ffffb,0x40fffff6,0x1ffffffe,0x1fffff88,
    0x7fffffe4,0xffffffff,0x7fffc5ff,0xfffff33f,0xfffe8803,0xffffffff,
    0xf104ffff,0xfdffffff,0x5fffffff,0x3ffffee0,0xffffffff,0x7fffc44f,
    0xffffffff,0x51ffffff,0xffffffff,0x7dc3ffff,0xffffffff,0xffffffff,
    0xffffffff,0x3e64ffff,0x6c01ffff,0xb005ffff,0x2003ffff,0x885ffffb,
    0x3fffffff,0x86ffffa8,0xccccccca,0xffffffcc,0x7ffffc1f,0x3fffff33,
    0xfffffd80,0xffda9acf,0xfb81ffff,0x220bffff,0x84fffffc,0x1efffff8,
    0x3fffffae,0x3ffffe20,0x3fea2dff,0xff54ffff,0xdbffffff,0xffffb8df,
    0xfd30aeff,0x3bffffff,0x37ffffdc,0x03fffff3,0x05ffffd8,0x03ffffb0,
    0x3ffffe20,0x7ffffd40,0xfffd85ff,0xff70004f,0x9905ffff,0x3fe63999,
    0x3e200fff,0x501effff,0x90dfffff,0x2209fffd,0xd85fffff,0xb00fffff,
    0x7c49ffff,0x505fffff,0x2a9fffff,0x0dffffff,0xffff7062,0xfff503ff,
    0x3f60dfff,0xff30ffff,0xfd803fff,0xfb005fff,0x74003fff,0x7e42ffff,
    0x87ffffff,0x001fffff,0xffffffa8,0x3fec0004,0x3ffffea0,0x7fffe402,
    0x802a603f,0x445ffffd,0x203fffff,0x10fffff8,0x01dfffff,0xaafffff4,
    0x01ffffff,0x3fffffb8,0x3fffffe0,0xfffff701,0x3ffffe61,0x7fffec01,
    0xffffb005,0x7ffdc003,0x7ffff44f,0x3e61ffff,0xa8007fff,0x05ffffff,
    0x407ff800,0x806ffffd,0x04fffff8,0x3fffaa00,0x7fffcc6f,0x7fff401f,
    0xfffff11f,0xffffd809,0xbfffff56,0x3fffee00,0x3fffe01f,0x3ffea07f,
    0xffff30ff,0xfffd803f,0xddddd35f,0xdfffffdd,0x89dddddd,0x226ffff9,
    0xfffbffff,0x3ffff23f,0x7ffcc004,0x80006fff,0x7fc05ffa,0xfb003fff,
    0x2200dfff,0xfffffeca,0x7ffd46ff,0x999999ff,0x2ffffe99,0x07fffff1,
    0x56ffffd8,0x007fffff,0x03ffffee,0x05fffff8,0x47ffffea,0x01fffff9,
    0xaaffffec,0xffffffff,0xffffffff,0xffe86fff,0xffff51ff,0x74bfffb3,
    0x2002ffff,0xeffffff8,0x7fe40000,0x3ffe200f,0xff9002ff,0x75cc0fff,
    0xffffffff,0x7fdc6fff,0xffffffff,0xffffffff,0x7fffff13,0x6ffffc80,
    0x05fffff5,0x1ffffee0,0x0bffffd0,0x8fffffd4,0x02fffff9,0xaaffffec,
    0xffffffff,0xffffffff,0xffc86fff,0xffff93ff,0x7c5fffee,0x22007fff,
    0x0ffffffe,0x7ffdc000,0x7fffd402,0xfff7002f,0xffe881ff,0xffffffff,
    0x7ec6ffff,0xffffffff,0xffffffff,0xfffff14f,0xffffc805,0x3fffff56,
    0x3fffee00,0x7ffff407,0x3fffea04,0xfffff31f,0xffffe805,0xffffff55,
    0xffffffff,0x30dfffff,0x3fabffff,0xffff34ff,0x0bffff53,0x7ffffec0,
    0xf880001f,0xfff9800d,0xff9002ff,0xffe88fff,0x9bdfffff,0x646ffffc,
    0xffffffff,0xffffffff,0xffff15ff,0xfffc805f,0xfffff56f,0x3ffee003,
    0x7fff407f,0x3ffea04f,0xffff31ff,0xfffe805f,0xfffff55f,0xffffffff,
    0x0dffffff,0x3e7ffffe,0x3ffe2fff,0x2ffffdbf,0xfffff900,0x0c00005f,
    0xfffff100,0x3fff6007,0x7ffff46f,0xfffc81cf,0x7fffdc6f,0x9999999f,
    0x10999999,0x805fffff,0xf56ffffc,0x2003ffff,0x407ffffb,0x204ffffe,
    0x31fffffa,0x805fffff,0x515fffff,0xfd555555,0x55559fff,0x3ff20555,
    0x0ffffdff,0x3ffbfff6,0xfb800fff,0x003fffff,0x7fc00000,0xff005fff,
    0x7fc49fff,0x3f604fff,0x7fd46fff,0x20000fff,0x02fffff8,0xab7fffe4,
    0x001fffff,0x80fffff7,0x204ffffe,0x11fffffa,0x407fffff,0x05fffff9,
    0x03ffffb0,0xfffff500,0xffb8dfff,0x05ffffff,0xffffffa8,0xaa800003,
    0x3f602aaa,0x5c01ffff,0x2a3fffff,0x200fffff,0x4c6ffffd,0x202fffff,
    0xff881ac8,0x7e402fff,0xfff56fff,0x3ee001ff,0x7f407fff,0x3ea04fff,
    0xff11ffff,0x7f40dfff,0xb005ffff,0x0003ffff,0x3ffffffe,0x7fffcc4f,
    0x4c02ffff,0x04ffffff,0x39999900,0x17ffffd4,0xefffffa8,0xfffff300,
    0x7fffdc1d,0xffff501f,0xffffd0df,0x3fff601f,0xffff11ef,0xfffc805f,
    0xfffff56f,0x3ffee001,0x7fff407f,0x3ffea04f,0x3fffa1ff,0x3f660cff,
    0x005fffff,0x003ffffb,0x3fffff60,0xffff82ff,0x2200ffff,0xefffffff,
    0xeeeeeeee,0x3fffe1ee,0x7fffdc3f,0x3ffffa06,0xfc989bff,0x542fffff,
    0x985fffff,0x86ffffff,0x0efffffa,0x37ffffd4,0x05fffff1,0x56ffffc8,
    0x001fffff,0x01ffffee,0x409ffffd,0x21fffffa,0xfffffffc,0xfffffffe,
    0xffb005ff,0x2a0003ff,0x0fffffff,0xffffffd8,0x7fffd405,0xffffffff,
    0x21ffffff,0xb83fffff,0xf301ffff,0xffffffff,0x9fffffff,0xffffff10,
    0xfffff99f,0x3fa0ffff,0xfdefffff,0x22ffffff,0x02fffff8,0xab7fffe4,
    0x000fffff,0x80fffff7,0x204ffffe,0x21fffffa,0xffffffe8,0xffbeffff,
    0xffb005ff,0x220003ff,0x06ffffff,0x7ffffff5,0xfffffa80,0xffffffff,
    0x3e1fffff,0xf903ffff,0x7fd40bff,0xffffffff,0x900dffff,0xffffffff,
    0xffffffff,0xfffd101f,0xffffffff,0xfff889ff,0x7fe402ff,0xffff56ff,
    0x3fee001f,0x7ff407ff,0x3fea04ff,0x7f441fff,0x5fffffff,0x00bffff5,
    0x007ffff6,0xfffffd80,0xfffff104,0xfffa801f,0xffffffff,0x1fffffff,
    0x80fffffe,0x2601fffd,0xfffffffe,0xe803ffff,0xffffffff,0x7ffffd4f,
    0x7ffffe40,0x83ffffff,0x02fffff8,0xab7fffe4,0x000fffff,0x80fffff7,
    0x204ffffe,0x81fffffa,0xdfffffd8,0x17fffea3,0x0f777640,0xffff7000,
    0x7fff405f,0xfffa806f,0xffffffff,0x1fffffff,0x00fffffe,0x75003777,
    0xbdfffffb,0x7ffdc001,0x3f22efff,0x6d406fff,0xcfffffff,0xfffff101,
    0xffffc805,0x1fffff56,0x3fffee00,0x7ffff407,0x3fffea04,0x00d4401f,
    0x00000000,0x00000000,0x00000000,0x13530000,0x1aa98000,0x53100000,
    0x00000135,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xdddb1000,0x775407dd,0x3ae0deee,0xb000eeee,
    0x1009dddd,0x22005555,0x99999999,0x99999999,0x55400999,0x3bbb200a,
    0x3bbb60ee,0xdddd10ee,0x0000009d,0x33333331,0xbbbb8333,0x0000001b,
    0x00000000,0xf7000000,0x103fffff,0x85ffffff,0x03fffff9,0x2fffff98,
    0x2ffffd80,0xfffffa80,0xffffffff,0x06ffffff,0xd807ffe2,0x3e1fffff,
    0xf10fffff,0x970dffff,0x0017bdfd,0x7fffec72,0x20ffffff,0x002fffff,
    0x00000000,0x00000000,0x3ffff600,0xffffd86f,0xffffd04f,0xffff900d,
    0xffff300f,0xfff500df,0xffffffff,0xffffffff,0x01fff80d,0x87fffff6,
    0x10ffffff,0x4cdfffff,0xfffffffe,0x3fd101df,0x3ffffff6,0x3fe0ffff,
    0x00002fff,0x00000000,0x00000000,0x3fffffe2,0x3ffffea3,0xffff500e,
    0xffff803f,0xfffc804f,0x7d402fff,0xffffffff,0xffffffff,0x3fa026ff,
    0x3fff600f,0x3fffe1ff,0xffff10ff,0x3fffeadf,0xffffffff,0xfffdbacf,
    0xffffffb1,0x7fc1ffff,0x00002fff,0x00000000,0x00000000,0x7fffffd4,
    0xffffff88,0x7ffffc01,0x3fffea04,0x7ffc400f,0x5405ffff,0xffffffff,
    0xffffffff,0x8ff26fff,0xd9f267fe,0x3e1fffff,0xf10fffff,0x3f2dffff,
    0xffffffff,0xffffffff,0xfffb1fff,0x1fffffff,0x017ffffc,0x00000000,
    0x00000000,0x7ffe4000,0xffffddff,0xfffc803f,0x3fff607f,0xfffc805f,
    0x201fffff,0xfffffffa,0xffffffff,0x3fa6ffff,0xeaefdbff,0xfffb1fff,
    0x7fff41ff,0x3fffe27f,0xfffff95f,0xffffffff,0x3fffffff,0x3ffffff6,
    0x3fe0ffff,0x00002fff,0x00000000,0x00000000,0xffffffd0,0x200dffff,
    0x82fffff9,0x02fffff8,0x7fffffc4,0x00005fff,0xffff9800,0xffffffff,
    0xfffff73f,0x46ffffc8,0xf94ffffe,0xf953159f,0xffffffff,0x5554c9ff,
    0x02aaaaaa,0x00000000,0x00000000,0x26000000,0xffffffff,0x3fa000ff,
    0xffb85fff,0xffb807ff,0xfffffbff,0x40000000,0xffffeca8,0x52ceffff,
    0xfb8dffff,0x7fec5fff,0x801d92ff,0xffffffda,0x0000002f,0x00000000,
    0x00000000,0xff700000,0x05ffffff,0xfffffa80,0x27ffff40,0x47ffffc0,
    0x004ffffb,0x74400000,0xf101ffff,0xff989fff,0x7ffdc3ff,0xb880051f,
    0x00001bdc,0x00000000,0x00000000,0x80000000,0x5ffffffd,0xfffff000,
    0x7ffffcc7,0x7fffdc01,0x1fffff14,0x55555510,0x55555555,0x20555555,
    0x05fffffc,0xf10ffffe,0xffa85fff,0x000000ff,0x00000000,0x00000000,
    0x00000000,0x7ffdc000,0x90004fff,0x7e4dffff,0xfe805fff,0x3ff61fff,
    0xfffa83ff,0xffffffff,0xffffffff,0xfafffc86,0x555505ff,0x81555501,
    0x0002aaa8,0x00000000,0x00000000,0x00000000,0x7c400000,0x2fffffff,
    0xffff9800,0x5fffff0f,0x6ffffa80,0x43ffffd4,0xfffffffa,0xffffffff,
    0x7dc6ffff,0x9fff74ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0xfffffffd,0xfe8000ff,0xfffabfff,0xfffe807f,0xfffff83f,
    0x7ffffd42,0xffffffff,0x46ffffff,0x3fa0fffc,0x0000005f,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffffffb8,0x8005ffff,0xfceffffa,
    0x7d404fff,0xfb80ffff,0x7fd46fff,0xffffffff,0xffffffff,0x4c2fa86f,
    0x0000003f,0x00000000,0x00000000,0x00000000,0x00000000,0xffffff98,
    0x03ffffff,0xffffff80,0x7401ffff,0xf104ffff,0x64c5ffff,0xcccccccc,
    0xcccccccc,0x020103cc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x74000000,0xfaafffff,0x000fffff,0x7fffffe4,0x7fcc06ff,0x3f601fff,
    0x00005fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7ffe4000,0x3fff65ff,0x7cc006ff,0x2fffffff,0x155554c0,0x0aaaaa20,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x98000000,
    0x20ffffff,0x3ffffff8,0x7ffff400,0x000007ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfffffe88,0xfffffa82,
    0x3fea001f,0x0004ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffffd800,0x3fff605f,0x7fc006ff,0x0001ffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7fffd400,0x3fe200ff,0x2004ffff,0x006ffffc,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__arial_bold_45_usascii_x[95]={ 0,3,2,0,1,1,1,1,2,1,0,1,2,1,
2,-1,1,3,1,1,0,1,1,1,1,1,3,3,1,1,1,2,1,0,2,1,2,2,2,1,2,2,0,3,
3,2,2,1,2,1,2,1,0,2,-1,0,0,-1,0,2,-1,0,2,-1,0,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,0,0,2,0,0,0,0,0,1,3,0,1, };
static signed short stb__arial_bold_45_usascii_y[95]={ 36,7,7,6,4,6,6,7,6,6,6,11,30,22,
30,6,7,7,7,7,7,7,7,7,7,7,15,15,10,14,10,6,6,7,7,6,7,7,7,6,7,7,7,7,
7,7,7,6,7,6,7,6,7,7,7,7,7,7,7,7,6,7,6,40,6,14,7,14,7,14,6,14,7,7,
7,7,7,14,14,14,14,14,14,14,7,15,15,15,15,15,15,6,6,6,17, };
static unsigned short stb__arial_bold_45_usascii_w[95]={ 0,7,16,22,20,33,28,7,11,11,15,21,7,12,
7,13,20,13,20,20,22,21,20,20,20,20,7,7,21,21,21,21,39,29,26,27,26,23,21,28,25,7,20,27,
21,29,24,29,24,30,27,24,24,24,28,38,27,28,24,11,13,11,20,24,10,21,22,21,22,20,15,22,20,7,
11,21,7,32,20,23,22,22,15,21,13,20,22,32,23,22,20,14,5,15,22, };
static unsigned short stb__arial_bold_45_usascii_h[95]={ 0,29,11,31,37,32,31,11,39,39,15,21,13,7,
6,31,30,29,29,30,29,30,30,29,30,30,21,28,23,15,23,30,39,29,29,31,29,29,29,31,29,29,30,29,
29,29,29,31,29,33,29,31,29,30,29,29,29,29,29,38,31,38,17,4,7,23,30,23,30,23,30,31,29,29,
38,29,29,22,22,23,30,30,22,23,30,22,21,21,21,30,21,39,39,39,9, };
static unsigned short stb__arial_bold_45_usascii_s[95]={ 254,240,107,53,138,190,76,124,1,50,91,
159,243,155,168,172,17,130,144,61,195,105,127,109,148,204,235,248,187,69,165,
1,62,79,52,105,25,1,218,1,169,161,169,125,103,73,48,224,23,159,219,
147,173,225,144,105,77,48,23,114,133,102,48,165,243,25,82,209,38,47,1,
30,198,153,126,1,247,105,68,1,209,232,89,231,190,138,25,181,1,186,214,
35,29,13,132, };
static unsigned short stb__arial_bold_45_usascii_t[95]={ 1,134,219,41,1,1,41,219,1,1,219,
195,195,219,219,41,73,165,165,73,134,73,73,165,73,73,195,134,165,219,165,
104,1,165,165,41,165,165,134,41,134,134,73,134,134,134,134,1,134,1,104,
41,104,73,104,104,104,104,104,1,41,1,219,189,209,195,73,165,73,195,73,
41,104,134,1,135,104,195,195,195,41,41,195,165,73,195,219,195,219,41,195,
1,1,1,219, };
static unsigned short stb__arial_bold_45_usascii_a[95]={ 179,215,306,358,358,573,465,153,
215,215,251,376,179,215,179,179,358,358,358,358,358,358,358,358,
358,358,215,215,376,376,376,394,628,465,465,465,465,430,394,501,
465,179,358,465,394,537,465,501,430,501,465,430,394,465,430,608,
430,430,394,215,179,215,376,358,215,358,394,358,394,358,215,394,
394,179,179,358,179,573,394,394,394,394,251,358,215,394,358,501,
358,358,322,251,180,251,376, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_45_usascii_BITMAP_HEIGHT or STB_FONT_arial_bold_45_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_45_usascii(stb_fontchar font[STB_FONT_arial_bold_45_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_45_usascii_BITMAP_HEIGHT][STB_FONT_arial_bold_45_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_45_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_45_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_45_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_45_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_45_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_45_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_45_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_45_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_45_usascii_s[i] + stb__arial_bold_45_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_45_usascii_t[i] + stb__arial_bold_45_usascii_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_45_usascii_x[i];
            font[i].y0 = stb__arial_bold_45_usascii_y[i];
            font[i].x1 = stb__arial_bold_45_usascii_x[i] + stb__arial_bold_45_usascii_w[i];
            font[i].y1 = stb__arial_bold_45_usascii_y[i] + stb__arial_bold_45_usascii_h[i];
            font[i].advance_int = (stb__arial_bold_45_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_45_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_45_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_45_usascii_s[i] + stb__arial_bold_45_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_45_usascii_t[i] + stb__arial_bold_45_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_45_usascii_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_45_usascii_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_45_usascii_x[i] + stb__arial_bold_45_usascii_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_45_usascii_y[i] + stb__arial_bold_45_usascii_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_45_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_45_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_45_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_45_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_45_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_45_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_45_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_45_usascii_LINE_SPACING
#endif

