// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_40_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_40_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_40_usascii_BITMAP_WIDTH         256
#define STB_FONT_consolas_40_usascii_BITMAP_HEIGHT        198
#define STB_FONT_consolas_40_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_consolas_40_usascii_FIRST_CHAR            32
#define STB_FONT_consolas_40_usascii_NUM_CHARS             95

#define STB_FONT_consolas_40_usascii_LINE_SPACING          26

static unsigned int stb__consolas_40_usascii_pixels[]={
    0x00009ff9,0x99800000,0x33333310,0x00cc4333,0x33333300,0x88001333,
    0xa88003ec,0x0000acdc,0x80009988,0x0acedba8,0x001ccb80,0x664c0000,
    0x20133323,0x9bdeeca9,0x059974ca,0x23eeb800,0x012e4ffc,0x40079000,
    0x53fffed8,0xffffffff,0x3fffee3f,0xfff3000c,0x05ffffff,0x04fffe80,
    0x3fffff20,0x20000eff,0x5c001ffb,0xffffffff,0x1bfea00e,0xfd000000,
    0x1fffe25f,0xffffffa8,0xfd5fffff,0x7dc0007f,0x9ff93fff,0x00013fea,
    0x5c01ffdc,0x53ffffff,0xffffffff,0x3fffee3f,0xff9802ff,0x2fffffff,
    0x3fffe600,0xfffe9807,0x1ffffece,0x01ff9000,0x3ffff620,0x1fffffff,
    0x0007ffe0,0x3ffcc000,0x7e41fffe,0xffffffff,0x7ffd5fff,0x7fff4000,
    0x2e9ff96f,0x40003fff,0x4c02fffa,0x1acdffff,0xf5555551,0x372a63ff,
    0x4c00ffff,0xaaaaafff,0x3fe6000a,0x7fcc06ff,0x7fdc40cf,0x7fd8001f,
    0x3bfffa00,0xfffecaac,0x09ff902f,0x3f200000,0x43fffc4f,0x209dfffd,
    0xfd5ffeb9,0x7f40007f,0x9ff96fff,0x0017ffe4,0x804fffa8,0x8001fffd,
    0xff301fff,0x7ff980bf,0x3ff60000,0x3ffa202f,0x02ffdc03,0x35fff530,
    0x05fffb80,0x441bfff2,0x00000fff,0x207ffc40,0x7fcc6fff,0xaffe403f,
    0x20003ffe,0xf93ffffb,0x1fffd89f,0x2fffcc00,0x002fff80,0x5c03fff0,
    0x7fcc07ff,0x5d400007,0x017fec01,0x2a00ffd8,0xfffffffd,0xfff885ff,
    0x2fffc805,0x0007ffb0,0x85ffb800,0x7fec6fff,0xd5ffc805,0xc80007ff,
    0x13ff24ff,0x800dffd1,0xf1006ffe,0x7fc000ff,0x3ffe201f,0x01ffe600,
    0x3ea00000,0x3fe6005f,0xffffd983,0x6fffffff,0x000fffb8,0x3ea0dfff,
    0x4000006f,0xfff82ffe,0x007ffe66,0x7ff57ff2,0xf9000003,0x7fff309f,
    0x03ffee00,0x0037fd40,0xf803fff0,0x3fe601ff,0x80000007,0x7c000ffe,
    0x7fffc46f,0xdcdffdce,0x05fff86f,0x407fff20,0x00002ffe,0x3e0dff50,
    0x1ffee6ff,0xfeaffe40,0x9000003f,0x3ff209ff,0x7ffc400f,0x1bfea004,
    0x01fff800,0xf3017ff4,0x332a00ff,0xcccccccc,0x4ffa81cc,0x20ffc800,
    0x3ee2fffd,0x3fe6042f,0x3fe6002f,0x0bff702f,0x3ff60000,0x64dffd03,
    0xff9006ff,0xa88fffab,0x8002ceec,0xff104ffc,0xfffc80bf,0x1bfea000,
    0x01fff800,0xf3017ff4,0x3ff200ff,0xffffffff,0x0ffd82ff,0x31ffa800,
    0xffc8bfff,0x07ffd401,0x40fffe00,0x0000fff8,0x807ffc40,0x3ff65ffe,
    0x2bff9005,0xfff33ffe,0x800bffff,0x3ee04ffc,0xfff100ff,0x6ffa8005,
    0x07ffe000,0x4c05ffd0,0xff9007ff,0xffffffff,0x5ff885ff,0xecdffda8,
    0x3ee5ff55,0x07fec1ff,0x001ffee0,0xfc813ffe,0x6400004f,0x3ffa04ff,
    0x4013ffa5,0x5ffd5ffc,0xfffffff5,0x32001dff,0x3fe204ff,0x0fff703f,
    0x00dff500,0x200fffc0,0x3e602ffe,0x3331007f,0xff333333,0x42ffb85f,
    0xfffffffb,0x3f27ff33,0x03ff41ff,0x40037fe4,0x3e605ffe,0x7c00007f,
    0x3ffa01ff,0x4017ff65,0xbffd5ffc,0x3aa17fff,0xf9003fff,0x6ffd809f,
    0x0009ffd0,0x4000dff5,0x7f401fff,0x1ffe602f,0x5fff0000,0x3ea0ffd8,
    0x2fffccff,0x3fea7ff1,0x4037fc4f,0xd8005ffd,0x7fec06ff,0xff500003,
    0x25ffe80d,0xf9005ffc,0x3ffffabf,0x6ffe880e,0x809ff900,0x7c41fffa,
    0xfb8002ff,0x3fe0005f,0x1ffec01f,0x000fff30,0x742fff80,0xd0fff46f,
    0x53fe23ff,0xf13ffff8,0xbffd00bf,0x0dffb000,0x0006ffa8,0xd805ffd0,
    0x1bff25ff,0x757ffe60,0x2a00efff,0xfc801fff,0x7ffc404f,0x003ffdc3,
    0x0003ffd8,0xf9007ffe,0x3ffcc0df,0x3ffe0000,0xfa97fe22,0xf07ffc5f,
    0x7fffdcbf,0xd804ffbe,0xfd8006ff,0x1fff805f,0x3ffcc000,0xf727fec0,
    0x7fc403ff,0x1fffd5ff,0x447fff00,0x13ff20bb,0xfb17ffa0,0xff7000bf,
    0x7fc0001f,0x7ffc401f,0x07ff980c,0x17ffc000,0x7fec7ff5,0xf89ffe22,
    0x7fffe44f,0xfd803fff,0xffe8007f,0x05ffb804,0x01ffec00,0xff127fec,
    0x3ffa209f,0x07ffd5ff,0x7cd3ffa0,0x9ff91fff,0xe8bffb00,0xecb804ff,
    0x0002fffe,0x5c00fffc,0x33ceffff,0x80000fff,0x3fee2fff,0xf983ffe1,
    0x20ffe25f,0xffffffea,0x1fff201d,0x00fffe00,0x0003ffe2,0x4007ffc4,
    0x7fe44ffd,0x77ff542f,0x07ffd5ff,0x7f57ff60,0x9ff96fff,0xe8dff900,
    0xffe804ff,0x80000cff,0x93001fff,0x3e6dffff,0x7c00007f,0x47fee2ff,
    0x7fd46ff8,0xb80ffe64,0xdffffffe,0x00fffb80,0x00bffe20,0x8001ffec,
    0xfb005ffb,0xffff989f,0xbaffffce,0x07ffd5ff,0x7fdbff20,0x9ff97fff,
    0xf8fff700,0xffe803ff,0x0000dfff,0xc800fffc,0xf36fffff,0xf80000ff,
    0x43ff22ff,0x7fdc5ffa,0x200bfe63,0xfffffffe,0x01fffd42,0x003fff70,
    0x4001ffe6,0xf9001fff,0xffff509f,0x3ee5ffff,0x007ffd5f,0x7fed7ff2,
    0x09ff95ff,0x221fff50,0x98802fff,0x006fffc9,0x400fffc0,0x099bfffd,
    0x0000fff3,0x3f62fff8,0xd89ff70f,0x0bfea2ff,0x3fefbfe0,0x7ffc1fff,
    0x17ffa006,0x005ffd00,0x2006ffa8,0xfb303ffc,0x7e439dff,0x007ffd5f,
    0x7f453ff6,0x09ff90ef,0xff8fff70,0xff98003f,0x3fe0002f,0x7ffd401f,
    0x00fff300,0x22fff800,0x13fee7fd,0x7fe41ffd,0x325ff800,0x7fe47fff,
    0xfffa801f,0x37fd4002,0x00fff600,0x9802cca8,0x3abff901,0xfff003ff,
    0x7fe41987,0x47ffb804,0x90003fff,0x7c000bff,0x7fe401ff,0x01ffe603,
    0x45fff000,0x13fee7fd,0x2fec1fff,0x3227fc40,0x3fe61fff,0x3fe601ff,
    0xfff0006f,0x1ffe6003,0xc8000000,0x07ffd5ff,0x003fff10,0xf9009ff9,
    0x04ffe8df,0x00bff700,0x200fffc0,0x3e602ffd,0x7c00007f,0x43ff62ff,
    0x3fee5ffa,0x200ffe27,0x7fc43ff9,0x77ffec3f,0x3ffea20a,0xff90002f,
    0x13ff2009,0xc8000000,0x07ffd5ff,0x001fff90,0xfb009ff9,0x05ffd8bf,
    0x00dff500,0x200fffc0,0x3e602ffe,0x7c00007f,0x43ff22ff,0xff88eff9,
    0x03ffb1ff,0xf885ff70,0xfffd83ff,0xffffeeff,0x3e20002f,0x7fc400ff,
    0x6ecc000f,0x7fe40001,0x8807ffd5,0xf9003fff,0x7fff009f,0x0007ffc8,
    0x4000dff5,0x7f401fff,0x1ffe602f,0x5fff0000,0xfff0ffdc,0xdfff5fff,
    0x3f2007ff,0x0fffd41f,0xffffffd8,0x0001ffff,0x5c03ffd8,0x7cc005ff,
    0x20000fff,0x9ffd5ffc,0x1bffea01,0x404ffc80,0x7cc0fff9,0xfa8002ff,
    0x3fe0006f,0x17ff401f,0x000fff30,0x2a2fff80,0x3ffea2ff,0xbffff94f,
    0x107fec00,0xc980ffff,0x0befffff,0xdff50000,0x002ffe80,0x01ffffe4,
    0x3abff900,0xdccdffff,0x001ffffe,0xf9013ff2,0x13ffe0df,0x01bfea00,
    0x401fff80,0x3e602ffe,0x7c00007f,0x0bfea2ff,0xcc985993,0x1357bd01,
    0xff951ffd,0x7f4005ff,0xd000004f,0x3fea05ff,0xfffb8006,0x3f20002f,
    0xfffffd5f,0x1bffffff,0x04ffc800,0xfc827ffc,0xffa8007f,0x3ffe0006,
    0x017ff401,0x0000fff3,0x3e62fff8,0x7400005f,0xffffffff,0x03ffffff,
    0x003ffe40,0x05ffb800,0x20007ffb,0x40005ffe,0x3ae65ffc,0x2cefffff,
    0x09ff9000,0x980fffd4,0x54002fff,0x3e0006ff,0x7ff401ff,0x01ffe602,
    0x1fff8800,0x00007ff4,0xffffffd0,0x3bffffff,0x7fff5000,0xf8800040,
    0x7ffc40ff,0x00660000,0x03300000,0x13ff2000,0x7404ffe8,0x2a000fff,
    0x3e0006ff,0x7ff401ff,0x01ffe602,0x0fff9800,0x0001ffdc,0xffdb9510,
    0x00379dff,0xadfffe80,0x000ed988,0xfc89ff90,0x0000004f,0x00000000,
    0xb827fe40,0x7cc00fff,0x3e6004ff,0x3fe0007f,0x0fffc01f,0x000fff30,
    0x443ffdc0,0x000006ff,0x0001ffd4,0x3ffffe60,0x004fffff,0xff8fff30,
    0xddd0001f,0xdddddddd,0xdddddddd,0x26666bdd,0x19999999,0x27fe4000,
    0x801fffc4,0x1000fffc,0x20001fff,0x3e201fff,0x3fe600ff,0xff100007,
    0x17ff60bf,0xffb80000,0xfa800002,0xefffffff,0x3ffa0002,0x000dff52,
    0x7ffffffc,0xffffffff,0xd7ffffff,0xffffffff,0xc8000dff,0x6ffd84ff,
    0x02fff400,0x0009fff0,0xfb807ffe,0x3ffcc07f,0xe980e540,0xff300fff,
    0x02b880bf,0x0007fe40,0xdfdb7000,0x3100007b,0x00266213,0xffffff80,
    0xffffffff,0x7fffffff,0xfffffffd,0x8000dfff,0x7fe44ffc,0x7fd4001f,
    0xfff9004f,0x3fff0007,0x013ffee0,0xf700fff3,0xfffbddff,0xff9807ff,
    0xdcaabdff,0x7f4004ff,0x00000007,0x00000000,0x80000000,0xfffffffd,
    0x40005fff,0x3fee4ffc,0xff70002f,0xfff1007f,0x3a65ddff,0xfffeeeee,
    0xffffdd51,0xfff9801f,0x71eeeeee,0xffffffff,0x3a2005ff,0xffffffff,
    0x65c002ff,0x00000004,0x00000000,0x00000000,0x64000000,0x7fff54ff,
    0xfffc8000,0xfffe9802,0xffff53ff,0x2e3fffff,0x01efffff,0xffffff98,
    0xfb712fff,0x017dffff,0xffeca880,0x00002def,0x00000000,0x00000000,
    0x00000000,0x7e400000,0x009ff94f,0x00fff600,0x53ffeca8,0xffffffff,
    0x33bfee3f,0x3ffe6003,0x02ffffff,0x00000026,0x00000000,0x00000000,
    0x00000000,0x00000000,0xc93ff200,0x26c00005,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0x00004ffc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x013ff200,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x39db9300,0x54732e00,0x22000ccc,0x2af21ccc,
    0x19970009,0x16776544,0x79950000,0xdffdca80,0x1ccccccc,0x80009993,
    0x00002ccb,0x9db97500,0x66664379,0x000ccccc,0x0005bb50,0x00006dcc,
    0xceffdc88,0x7ffd4001,0x7d404fff,0x13ffe66f,0x10fffb80,0x05bfffff,
    0xff31ffe8,0x00bfffff,0x417ff200,0xffffffe9,0x2fffffff,0x8000fff7,
    0x00003ffe,0x7fffecc0,0x3fe3ffff,0x1fffffff,0xffff9800,0xfff98001,
    0xffb80000,0x04ffffff,0xfdbfff30,0x3fe203ff,0x03fff41f,0x7c4bffd0,
    0x1effffff,0xff53ffd0,0xdfffffff,0xffc80001,0xeffff985,0xffffffdc,
    0x0fff72ff,0x03ffe800,0x3fea0000,0xffffffff,0x3fffffe3,0xc8001fff,
    0x8004ffff,0x0000fff9,0x7fffffd4,0xd803ffff,0x17fee2ff,0x7dc27fe4,
    0xff9802ff,0x7f6e5c2f,0xfe82ffff,0x50bfffdf,0x0007fffd,0x7445ffc8,
    0xffc81eff,0xff7099cf,0xffe8000f,0x3a000003,0x2a61cfff,0x2666662a,
    0x8001fffa,0x003ffffc,0x000fff98,0x87bffa20,0x400fffea,0x87ff86ff,
    0xff106ff9,0xfff900bf,0xffffb300,0xeffffe83,0x06ffe880,0x22ffe400,
    0x3601fffb,0x7ffb86ff,0x1fff4000,0xffb80000,0x7c40002f,0xf88001ff,
    0x98000eff,0x20000fff,0xfb81fffa,0x3fe201ff,0x740ffd84,0x3ff601ff,
    0x27ffc00f,0x8dfff700,0x200efffe,0x0001fffa,0xff917ff2,0x1fff980b,
    0x0003ffdc,0x0000fffa,0x002ffec0,0x00fffc40,0x000aa880,0x001fff30,
    0x883ffdc0,0x3e603fff,0x20ffd85f,0x7cc04ffc,0x3fe603ff,0x7fe4001f,
    0x03fffa2f,0x000fffe0,0x7f45ffc8,0x7ffc403f,0x003ffdc2,0x000fffa0,
    0x01fff400,0x0fffc400,0xcb800000,0xcfffdccc,0x4ccccccc,0xf81bff20,
    0x3fe202ff,0x3e67fe87,0xffe800ef,0x01bff206,0xe97ffe20,0xffd003ff,
    0x7fe40009,0x2027ff45,0x7dc1fff8,0x7f40007f,0xf000003f,0x100005ff,
    0x00003fff,0x3ffff600,0xffffffff,0x2e07ffff,0xff980fff,0x17ff400f,
    0x7ff49ff7,0x3fff7002,0x000fffe0,0xffd37ff4,0x17ff6007,0x7bdd9730,
    0xffd8bffb,0x43ffd406,0xca807ffb,0x8fffa3cc,0x02cefec8,0x017ffc40,
    0x0fffc400,0x66666640,0x7ec00ccc,0xffffffff,0x7fffffff,0x20fffe60,
    0xfa806ffe,0x0fffeeff,0x4400bff7,0xffa84fff,0xffb0000f,0x801fff4f,
    0xfd306ffc,0xffffffff,0x3fffa8bf,0x70bfff10,0xffa80fff,0x4fffa1ff,
    0xfffffffb,0xfff1000d,0xff100005,0xffff003f,0x803fffff,0xffa99998,
    0x9999999f,0x7fff4019,0x01fffd10,0x3fffff20,0x01fff31f,0xd87ffd80,
    0x3a0005ff,0x0fffa5ff,0x642ffe40,0xffffffff,0xfe85ffff,0xff511cff,
    0xfff701ff,0x0ffffd40,0x3ff2fffa,0x4fffffff,0x05fff100,0x3fff1000,
    0xffffff00,0x30003fff,0x80001fff,0xffbdfffa,0x64c002ff,0x3ffa0bdd,
    0xfffa8002,0x00bffe22,0xd27ffcc0,0x3f6007ff,0x6fffe44f,0x3ffae60a,
    0xfffffd85,0x02ffffff,0x3e60fff7,0xffe80fff,0xc88aeffe,0x3aa0ffff,
    0xfffeeeee,0xeeeeeeee,0x1fff8805,0xa9999980,0x98001fff,0x80000fff,
    0xeffffffd,0x7dc00000,0x3fa0005f,0x01ffea5f,0x3fffea20,0x400fffa0,
    0x3fe63ffe,0x2ffe403f,0x3fffbfea,0x200dffff,0xff987ffb,0xfffd00ef,
    0xfff101df,0x7ffffdc7,0xffffffff,0x8807ffff,0x10001fff,0x30003fff,
    0x00001fff,0x07fffff5,0xfff10000,0x7fdc0001,0x009ffd0f,0xfffffff1,
    0x03ffe87f,0x361fff88,0xffc805ff,0xaa8fffc5,0xfb8009ac,0x77ffcc7f,
    0x1bfffa00,0x7dc9ffb0,0xffffffff,0xffffffff,0x1fff8807,0x3fff1000,
    0x1fff3000,0xfffb8000,0xaa881fff,0x3ffd8002,0x7ffc4000,0x801fff9b,
    0xeffffff8,0x803ffe82,0xff30fffc,0xbff9003f,0x0003ffc4,0xff33ffdc,
    0xffe801df,0x2ffe400e,0x017ffc40,0x0fffc400,0x1fff8800,0x0fff9800,
    0x3fff2000,0x5c0effff,0x7dc006ff,0xfb00005f,0x00dff7df,0x06f7ffe2,
    0x4403ffe8,0x3fea3fff,0x4bff9007,0x0001fffa,0xff9bffdc,0xffe800ef,
    0x06ffb803,0x002fff88,0x01fff880,0x03fff100,0x01fff300,0x53ffee00,
    0x7ec5fffd,0x3fe2006f,0x002a620f,0xffffff50,0x07ffc007,0x8067ff40,
    0x7dc6fffa,0xbff9006f,0x5effffcc,0x4009aaaa,0xfff9fffb,0x7ffd000e,
    0x00dff700,0x0005fff1,0x003fff10,0x007ffe20,0x003ffe60,0x3a2fffc0,
    0x3ffa4fff,0x8fff6005,0x01effffc,0x3fffffe0,0x03ffe000,0x37ffffa0,
    0xffffedcc,0x802ffec1,0x7fec5ffc,0xffffffff,0xffb82eff,0x001fffef,
    0x2e00fffa,0xff8806ff,0xf880002f,0xf10001ff,0xf30003ff,0xf70001ff,
    0xfff881ff,0x009fff2f,0xffe9bfea,0x000fffff,0x009ffff7,0xfd007ff8,
    0xffffffff,0xffd01bff,0x17ff2009,0x3ffffff6,0x5fffffff,0x7fcfffdc,
    0xffd000ef,0x0dff7007,0x005fff10,0x03fff100,0x07ffe200,0x03ffe600,
    0x41bff200,0xff9ffffa,0xfff8802f,0xb33bff71,0x3e200bff,0x7c000fff,
    0xdffd007f,0x5bdfffff,0x802ffec0,0x7fd45ffc,0xeccccbcf,0x2e4fffff,
    0xdfff57ff,0x07ffd001,0x100dff70,0x00005fff,0x0003fff1,0x0007ffe2,
    0x0003ffe6,0xfb817ff6,0x00ffffff,0x3fa3ffd8,0x01ffe20f,0x002fffc4,
    0xfe802664,0x4003313f,0xf9005ffc,0x17ffd4bf,0x73fffd40,0x7ffd4fff,
    0x03ffe806,0x8806ffb8,0x80002fff,0x0001fff8,0x0003fff1,0x0003fff1,
    0xfd80bffd,0xa804ffff,0x42ffc6ff,0xfd800ffe,0x000001ff,0x0003ffe8,
    0x2601bff2,0x3ff65fff,0x3fff2005,0xfc8fff71,0x7ff405ff,0x06ffb803,
    0x002fff88,0x01fff880,0x03fff100,0x017ffe00,0x101fff20,0x803ffffd,
    0x3e21ffe8,0x01ffc85f,0x002fffcc,0x3ffe8000,0x3ffea000,0x3fffe201,
    0x800fffe5,0xff70fffa,0x0bfffb0f,0x5c01fff4,0xff8806ff,0xf880002f,
    0xf10001ff,0x360003ff,0x20203fff,0x5403fffb,0x6402ffff,0x87ff84ff,
    0x3e600ffd,0x70000fff,0x3ffa007d,0x3fe20003,0xfffd104f,0x13ffe2bf,
    0x2e6ffd80,0xfffb07ff,0x00fffa09,0x2201bfee,0x80002fff,0x0001fff8,
    0x0003fff1,0x37bfffe6,0xf887fdcc,0xff903fff,0x2603ffff,0x1fff06ff,
    0xb8837fc4,0x0001ffff,0xd009fff9,0xc80007ff,0x7f542fff,0x3fa5ffdf,
    0x7ec403ff,0x1ffee3ff,0x41ffff44,0xfb803ffe,0xfff8806f,0xff880002,
    0xff10001f,0x7dc0003f,0xffffffff,0xfffff507,0xfffffd9d,0xfd01dfff,
    0x3bff203f,0x3a3ffeab,0x3fffffff,0x3fffe000,0x03ffe807,0x7fffcc00,
    0xaaffffce,0x3ffea5ff,0xecccdeff,0x7dc4ffff,0x3ffe207f,0x01fff43f,
    0x44037fdc,0x2e002fff,0xffeeeeee,0x0eeeeeef,0xfdddddd7,0xddddddff,
    0x3ff22001,0x205fffff,0xfffffffb,0xffd8cfff,0x027fe45f,0xffffffd1,
    0xfffffe8b,0x7f40001e,0xffe806ff,0xffa80003,0x52ffffff,0xfffa8bff,
    0xffffffff,0x7ffb83ff,0x17fffcc0,0xf7007ffd,0xfff100df,0x7ffe4005,
    0xffffffff,0xff90ffff,0xffffffff,0x001fffff,0x40026660,0xeffffec8,
    0x3fffa21d,0x801fff34,0x83ffffd8,0x003deffe,0x05fff500,0x0007ffd0,
    0x3bfff660,0x417fe61c,0xffffffda,0x3fee03de,0xffffa807,0x7007ffd1,
    0xff100dff,0x7fe4005f,0xffffffff,0xf90fffff,0xffffffff,0x01ffffff,
    0x4c000000,0x80000001,0x0000c009,0x00015100,0x06600000,0x00988000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0x0acedba8,0xcccccc80,0x2ccccccc,0x33b6e600,0x3300000a,0x73009975,
    0x0059bdd9,0x4003eeb8,0xbcdedb98,0xecba8801,0xc80acdee,0xcccccccc,
    0x9970cccc,0x1e654005,0xeedba880,0xdba881cc,0x401bceee,0xccccccc9,
    0xcccccccc,0x0026202c,0xffffffb8,0x3fe00eff,0xffffffff,0xfa804fff,
    0x4fffffff,0xfffd5000,0x6cc0ffff,0xffffffff,0xfffb803f,0xffe9803f,
    0xefffffff,0xffffc881,0x46ffffff,0xfffffff8,0xd0ffffff,0x7e4009ff,
    0x7ff4c06f,0xffffffff,0xffffff13,0x205dffff,0xfffffffb,0xffffffff,
    0x7fff304f,0xffffd880,0x1fffffff,0xfffffff0,0x09ffffff,0xffffffb8,
    0x000dffff,0xffffffd5,0x3fea0fff,0xffffffff,0x7ff405ff,0x7fdc06ff,
    0xffffffff,0x7ffd43ff,0xffffffff,0x7fffc46f,0xffffffff,0x009ffd0f,
    0xf9037fe4,0xffffffff,0x3fe29fff,0xffffffff,0xfffb82ff,0xffffffff,
    0xd04fffff,0x7405ffff,0xb99cefff,0xf82ffffe,0xaaaaabff,0x3201aaaa,
    0xa88bdfff,0xb806fffe,0xcdefffff,0xfff882aa,0xeca88ace,0x3fa03fff,
    0x3f606fff,0xa9acefff,0x3e23ffcb,0x999adfff,0xaa85dba9,0xcaaaaaaa,
    0x9ffd0fff,0x437fe400,0xceffffe9,0x4ffcba9b,0x31337bf1,0x83ffffb3,
    0xccccccc9,0xfffccccc,0xfffff02f,0x17ffee0b,0xf86fffc8,0x4c0000ff,
    0x3f205fff,0x3ff202ff,0x7ec002ff,0x3fa200ef,0x3ffee05f,0xffff703f,
    0x3a2b8805,0x00001fff,0xe87ffd40,0x3f2004ff,0xefffe86f,0x4003a801,
    0x0004fffb,0xb02fffcc,0xf10fffff,0xff900bff,0x00fff85f,0x037fe400,
    0xf982fff4,0xfd0004ff,0xfff7007f,0x104ffc80,0x0003dfff,0x0007fff1,
    0x1fff5000,0xc8013ffa,0x7ffd46ff,0x4000000d,0x40005ffe,0x2200fffe,
    0xfc87ffff,0xfff000ff,0x000fff8b,0x00bffe20,0x3a07ffea,0x3e0005ff,
    0xffb802ff,0xffc80007,0xff50001f,0x0000003f,0x3fa1fff5,0x3ff2004f,
    0x01bffe26,0x7fec0000,0x3ff20006,0xfffb802f,0x02fffc46,0x7c3fff90,
    0x2e0000ff,0xf8800fff,0x7ffd44ff,0x3ffa0000,0x06ffe804,0x2fffc400,
    0x5fff7000,0xf5000000,0x13ffa1ff,0x326ffc80,0x00002fff,0x009ffb00,
    0x017ffe60,0x2627ffcc,0x26002fff,0x3ffe2fff,0x3ff60000,0xffffa805,
    0x0027fe45,0x807ffee0,0x0004fff9,0x000fffdc,0x00bfff30,0xfff50000,
    0x8013ffa1,0x3ffe6ffc,0x20000006,0xd0002ffe,0x2a001fff,0x7fd42fff,
    0x7ffc000f,0x0003ffe3,0x6403ffe8,0x746fffff,0x440002ff,0xe982ffff,
    0x40000fff,0x80007ffc,0x0005ffff,0x87ffd400,0x32004ffe,0x7fff16ff,
    0x2a000000,0xf90007ff,0x3a2005ff,0x7ffb85ff,0x24fff800,0x99aabfff,
    0x05fff000,0x3fffffa2,0x43ffe27f,0x0abccba8,0x6ffffdc0,0x03dfff91,
    0x0dffb000,0xffff5000,0x2000007d,0xffd0fffa,0xb7fe4009,0x0001fff9,
    0x2fffb800,0x5fff9800,0xffffb980,0x006ffc80,0x3fe5ffe8,0xefffffff,
    0x3fff100b,0x39ffff50,0x7ffd4fff,0xffffffda,0x7f4c04ff,0xdfffffff,
    0xffd00000,0x3ee0000b,0x00cfffff,0x3ffea000,0x4009ffd0,0xfff56ffc,
    0x26666201,0xcca80999,0x00effedc,0x01fffd00,0x77ffffd4,0x00bffb01,
    0x7fcdffb0,0xffffffff,0xfff882ff,0x97fffe41,0xff50fff9,0xffffffff,
    0x401dffff,0xffffffd8,0x7fc00005,0x2600004f,0xdffffffe,0xffa80001,
    0x009ffd0f,0xffbb7fe4,0x3ffffa07,0xffc85fff,0x002fffff,0x805fff90,
    0x403ffffa,0xd8005ffe,0x333326ff,0xffffedcc,0x87ffcc2f,0x20efffe8,
    0xff71fff8,0x26139fff,0x205fffea,0xffffffea,0x026000df,0x000fffe2,
    0x3fffaa00,0x0000dfff,0x7f43ffea,0x3ff2004f,0x740fff96,0x5fffffff,
    0xffffffc8,0x26002fff,0xb9805fff,0xdffb001a,0x0bffd000,0x7fffe440,
    0x2a3ffe21,0xf984ffff,0x7fff70ff,0x03fffb00,0xfd9ffffb,0x8803ffff,
    0x3e20dffe,0x000004ff,0x3fffff66,0xff50002f,0x013ffa1f,0xff96ffc8,
    0x66665c0f,0x99885ffe,0xffffdba9,0x1fffd003,0x3f200000,0xffe8006f,
    0xfffb8004,0x7fefffc3,0xfff502ff,0x8803ffdc,0x7fec4fff,0x3ffaa0df,
    0x3ff201ff,0x2fffc4ff,0x64400000,0x000fffff,0xfd0fffa8,0x7fe4009f,
    0x001fff76,0x2002ffe4,0x401fffe8,0x1002fffb,0xb8019999,0xff8007ff,
    0xfff0003f,0xffffff8b,0x9ffee00e,0x36007ffb,0x3fff25ff,0xdfffb103,
    0x3ffffec0,0x0001bffa,0xfffe8800,0xfffa8006,0x4009ffd0,0xfff36ffc,
    0x2ffe4003,0x37ff4400,0x00bfff30,0x007fffc4,0x8003ffee,0x0001fff8,
    0xffe8fffb,0xffc804ff,0x003ffea6,0xff8bffe4,0xfffe805f,0xfffff701,
    0x003ffec1,0x7ff40000,0x7fd4000f,0x009ffd0f,0xff8b7fe4,0x3ff2002f,
    0xfff90005,0x007fff40,0x01ffff10,0x003fffa8,0x0003ffee,0x3f637fec,
    0xffd002ff,0x00fffccb,0xff76ffc8,0xfff3003f,0x7ffff407,0x00ffff21,
    0xff500000,0xffb8005f,0x00bffb0f,0xfff27fec,0x2ffe400d,0x0fffa800,
    0x002fffb8,0xf007fff8,0x7f400dff,0x3fa0006f,0x07ffdc4f,0x10fffcc0,
    0x36007fff,0x0fff95ff,0x3027ffc0,0x7cc1ffff,0x000006ff,0x017ffcc0,
    0xfc9fff20,0x3ffa006f,0x00bfff63,0x8002ffe4,0xff987ffb,0xfff0005f,
    0x3fff200f,0x1fffa801,0x5fff3000,0x9009fff0,0xdffd0dff,0x27fff100,
    0x8800fffc,0x7fc03fff,0x3fffd86f,0x2a000000,0x6c000fff,0x3ffee5ff,
    0x2fff9800,0x401bffe2,0xb0005ffc,0xfffd0bff,0x3ffe0001,0xffff1007,
    0x2fffcc01,0xffff8800,0x01fffc80,0x2a0fffea,0x7e401fff,0x7fff50ff,
    0x03fff700,0x4427ffc4,0x2003ffff,0xffd10000,0x3e6004cd,0x3ffe63ff,
    0x86ffd804,0x400efffc,0xb8005ffc,0x7fdc2fff,0x3fa0002f,0x3ff6006f,
    0x3ea20aef,0xb8001fff,0xf101ffff,0xff505dff,0x3ffa01ff,0x7fff701f,
    0x01ffffc4,0xd80dfff7,0xff900fff,0x73015bff,0x2006f27d,0x2e3fffea,
    0xfffa81cf,0x04fffd86,0x105fffb1,0x037fffff,0x98017ff6,0x7c44fffd,
    0x99999eff,0x09999999,0x8801bffa,0xeefffffd,0xb83fffff,0xfedcccef,
    0x5c02ffff,0xfdceffff,0x2a00efff,0xcbcdffff,0xfa86fffe,0xdccdffff,
    0x980fffff,0x402fffeb,0xfffffffc,0xd3fffffe,0xddddffff,0x89fffffd,
    0xfeeffffb,0xf882ffff,0xecceffff,0x2605ffff,0xeffffffe,0xb5ffffee,
    0xddb999dd,0xfb0dffff,0xffffffff,0xdfffffff,0x4002ffec,0xfffffffc,
    0xff701eff,0xffffffff,0x3fe6003b,0xefffffff,0xffff9800,0x04ffffff,
    0x3fffffee,0x41efffff,0x2ffffff8,0xfffff500,0x7fffffff,0x3ffffffa,
    0x4fffffff,0xffffffa8,0x2602ffff,0xfffffffe,0xf9003fff,0xffffffff,
    0x3ff6bfff,0xffffffff,0xffffd03f,0xffffffff,0x654dffff,0xdb50003c,
    0x019dffff,0x7fffffdc,0x88001def,0xbdffffed,0x3fb62000,0x801dffff,
    0xffffffc8,0xfff102ef,0xc88001bf,0xceffffed,0x3fff6e1a,0xbeffffff,
    0x3fff6a00,0x7000ceff,0xbdfffffd,0xfec98003,0x1cefffff,0x3ffffff6,
    0x7f403eff,0xffffffff,0x6fffffff,0x26200000,0x54cc4001,0x4400001a,
    0x31000019,0xa9800013,0x13590009,0x00cc0000,0x13553310,0x00662000,
    0x00266200,0x09aa8800,0x06aa6620,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00cccb80,0xb8f33220,0x88001ccc,0x2a603ccc,0x5c02cdec,0x2e0004cc,
    0x033323cc,0x00266400,0xca807997,0x995003cc,0x01cccb85,0x543ccca8,
    0xcccccccc,0xcccccccc,0x10059992,0x664c7999,0xcccccccc,0xcccccccc,
    0x99999950,0x99999999,0xbfff5005,0x0fffec00,0x000bfff5,0xf505fff7,
    0xdfffffff,0x0bfff205,0x93ffe200,0xf0001fff,0xfff700ff,0xfffc80bf,
    0x5ffc801f,0x402ffff4,0x7ec6fffe,0xffffffff,0x4fffffff,0xe8807fff,
    0x3fea0fff,0xffffffff,0xffffffff,0xffffff91,0xffffffff,0x3fff6009,
    0x4fffa802,0x001fffe8,0x321bffe2,0xffffffff,0xff983fff,0xffb8004f,
    0x007ffe1f,0xa81ffe20,0x05fffffe,0x02ffffe4,0x3fa2ffe4,0x3e600fff,
    0x7fec6fff,0xffffffff,0xf4ffffff,0xffd807ff,0x7fffd42f,0xffffffff,
    0x91ffffff,0xffffffff,0x09ffffff,0x03fffe20,0x260dffd0,0x32006fff,
    0x7fec1fff,0xfda9abef,0xffe80fff,0x6ffd8007,0x40017ff4,0xfea86ff8,
    0x05ffffff,0x0fffffe4,0xff17ff20,0x7e405fff,0x66547fff,0xcccccccc,
    0xf3fffccc,0x7fdc07ff,0xaaaa883f,0xaeffeaaa,0x30aaaaaa,0xffd55555,
    0x0355555d,0x027ffdc0,0x6c05fff9,0xf8802fff,0x3ff985ff,0x217ffee0,
    0x2001fffc,0x7f43fff8,0xff98002f,0x3ffffa26,0x405fffbf,0x05fffffc,
    0x3fe2ffe4,0x3fe05ffe,0x80007ffd,0xfff0fffa,0x13ffe607,0x02ffec00,
    0x017ff600,0x0ffff400,0x202fffcc,0xc806fff8,0x03500fff,0xf30fffd0,
    0x7d4009ff,0x17fec1ff,0x22ffcc00,0xff0cffff,0xdffc80bf,0x3f200fff,
    0x7eeffc5f,0xfaffa80f,0xfe80007f,0x20fffe4f,0x0005fff8,0x00017ff6,
    0x0000bffb,0x3617ffe6,0xfc800fff,0x3fe203ff,0xfb80004f,0x6ffe80ff,
    0x21bff600,0xa8003ffd,0x067e45ff,0xf9017ffe,0x409ffb9f,0x3fe25ffc,
    0xfd83ffbd,0x0007ff8f,0xff07ffd4,0x1dffd07f,0x2ffec000,0x17ff6000,
    0xfffc8000,0x00bffea2,0x807fffc4,0x0000fffd,0xc81fffa8,0xff001fff,
    0x07ff907f,0x889ff500,0x80bfff01,0xfffacffc,0x44bff900,0x46ff8dff,
    0x1fff5ff8,0x2fff4000,0xff90fffe,0xfd80003f,0x7ec0005f,0x7400005f,
    0xfff88fff,0x7ffdc005,0x03fff983,0x1fff5000,0x007fff30,0xf903fff5,
    0xff50009f,0x2fffc009,0x7fd3ff20,0x4bff904f,0x1ffd5ff8,0xfff97fdc,
    0xfff50000,0x2e3fff83,0x80002fff,0x40005ffd,0x00005ffd,0x7e67ffd4,
    0xfe8000ff,0x37fec0ff,0xfff70000,0x4037ff40,0xff706ffc,0x703ff509,
    0x7fc007ff,0xa7fe405f,0xfc80fffb,0x5d7fe65f,0xe9ffa3ff,0xfd0001ff,
    0x27fff0bf,0x0003fff9,0x000bffb0,0x0005ffd8,0xfffffd80,0xff50003f,
    0x17ffcc9f,0xdffd0000,0x007ffe40,0x7d40fffe,0x84ffd85f,0x3e003ffb,
    0x7fe405ff,0x907fff14,0xaffccbff,0x9ff16ff8,0x4000fff4,0xff81fff9,
    0x04ffe8bf,0x17ff6000,0x0bffb000,0xfff10000,0xe8000dff,0xbffd0fff,
    0x7fd40000,0x3ffe602f,0x07ffe603,0x7fc2ffd4,0x02ffc87f,0x9017ffe0,
    0x3ffe49ff,0xff52ffe4,0x7dcffec9,0x007ffa1f,0x7c17ffa0,0x06ffdbff,
    0x2ffec000,0x17ff6000,0x7fdc0000,0x4c0001ff,0xfff9cfff,0xff100001,
    0xdffd00df,0x3037fe40,0xfffa8dff,0x017fe42f,0xc80bfff0,0x3ffe24ff,
    0xf52ffe42,0x767fd49f,0x017ff46f,0x407ffe60,0x0fffffff,0x7fec0000,
    0x7fec0005,0xf7000005,0x00007fff,0x9ffdfffb,0x7fec0000,0xfffc801f,
    0x407fff00,0x7fe46ff9,0x0ffec5ff,0x80bfff00,0x7fec4ffc,0xf52ffe46,
    0xfffff89f,0x0017fec3,0xff81bff6,0x004fffef,0x02ffec00,0x017ff600,
    0x3ffe2000,0x40000fff,0x0ffffff8,0xfffb0000,0x3ffe6005,0x00fff983,
    0xbff1bfe2,0x7fec1fff,0x17ffe001,0xf989ff90,0x97ff22ff,0x7fe44ffb,
    0x17fec0ff,0x05fff300,0x7fedfffc,0x3600002f,0x6c0005ff,0x800005ff,
    0x5ffffffd,0xfffc8000,0xf900003f,0xfe8009ff,0x06ffc85f,0xff33ffc4,
    0x7ec5ffb5,0x3ffe000f,0x427fe405,0x3ff26ffd,0xf313fee5,0x7ffb0bff,
    0x037fec00,0x3fa2fffe,0xb00001ff,0xd8000bff,0x400005ff,0xffcafffb,
    0x7c40002f,0x80000fff,0x8004fffc,0x7f40fffc,0x27ff803f,0x5ffa8ffc,
    0xf8003ffa,0x7fe405ff,0x91fff984,0x1ffe4bff,0x7ec17ff4,0xfff3003f,
    0x33fff805,0x0001dfff,0x000bffb0,0x0005ffd8,0x45bffe20,0x0000ffff,
    0x0002ffec,0x0027ffe4,0x262fff98,0xff800fff,0x3e2dff0f,0x00ffd0ff,
    0x6405fff8,0xbffd04ff,0xffc97ff2,0xf904ca83,0x3ff6007f,0x23fff806,
    0x0005fffa,0x0005ffd8,0x0002ffec,0x543fffb0,0x40005fff,0x40005ffd,
    0x0004fffc,0xff92fffc,0x27ffa00d,0x3ff63ff9,0xf800fff2,0x7fe405ff,
    0x91fff504,0x1ffe4bff,0x027fe400,0x401fffcc,0x7fe43fff,0x7ec0003f,
    0x7ec0005f,0xf500005f,0xfffb09ff,0x7fec0005,0x3ff20005,0xfc80004f,
    0x07ffd0ff,0x3f27ffa0,0x7dbfea0f,0x7ffc006f,0x027fe405,0xbff99ffd,
    0x4001ffec,0xfd804ffc,0x7fff007f,0x003fffd0,0x002ffec0,0x0017ff60,
    0x03fffe20,0x003bffe6,0x002ffec0,0x004fffc8,0x35fff300,0x36001fff,
    0x446feaff,0x06ff8fff,0x202fffc0,0x3ee04ffc,0x365ffcff,0xfc8003ff,
    0x7ffcc05f,0x07fff003,0x001ffff1,0x0017ff60,0x000bffb0,0x405fffb0,
    0x0004fffc,0x9000bffb,0x00009fff,0xffbdfff8,0x33ff6006,0xcffd83ff,
    0x7fc005ff,0x27fe405f,0x3fffffe0,0x000bffa5,0xfb017fee,0x7ffc00ff,
    0x0dfff503,0x017ff600,0x00bffb00,0x06fffa80,0x00ffffc4,0x002ffec0,
    0x2677fff2,0x99999999,0xfffc8009,0x32003ffe,0xa80fffff,0x885ffeff,
    0xff999999,0x099999ef,0xfb809ff9,0x3fa5ffff,0xffb8002f,0x0fffe605,
    0x203fff80,0x8004fffc,0x40005ffd,0x20005ffd,0x801ffff8,0x8006fffa,
    0x22005ffd,0xffffffff,0xffffffff,0xffff9805,0x3ee000ff,0x3fe06fff,
    0xffc84fff,0xffffffff,0xf93fffff,0xfff8809f,0x0bffa5ff,0x81bfee00,
    0x2000fffd,0x7f403fff,0x7ec003ff,0xfff9005f,0xffffffff,0xf9009fff,
    0x7ec009ff,0x7ec003ff,0x3fe2005f,0xffffffff,0x05ffffff,0x0dfffff0,
    0x3ffffb80,0x13ffff20,0x3ffffff2,0xffffffff,0x009ff93f,0x7cbffff9,
    0xfb8002ff,0x9fff306f,0x03fff800,0x00ffffc4,0x200bffb0,0xfffffffc,
    0x4fffffff,0x07fffcc0,0x1ffff300,0x02ffec00,0xffffff10,0xffffffff,
    0x3f200bff,0x54003fff,0x2600ffff,0xfc83ffff,0xffffffff,0x93ffffff,
    0xff1009ff,0x17ffcbff,0x837fd400,0x4000fffd,0xfa803fff,0xfb000eff,
    0x3ff200bf,0xffffffff,0x0004ffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x97000000,0x66540059,
    0x99999953,0x99001357,0x99999999,0x66439999,0xcccccccc,0x9971cccc,
    0x01359999,0x05991000,0x32e05991,0xaabccccc,0x664c0001,0x800001cc,
    0x702cccc9,0x57999999,0x4cc98013,0x65cc0000,0x4400acde,0x7f400002,
    0x3ff2004f,0xffffff96,0x403bffff,0xffffffff,0x22ffffff,0xffffffff,
    0xd3ffffff,0xffffffff,0x20005dff,0xffa84ff9,0xfffffd03,0x17ffffff,
    0xffff9000,0xfd00000b,0x3fa09fff,0xffffffff,0xfff702ef,0xfb100001,
    0x5fffffff,0x000ffa20,0x004ffe80,0x7fe5bff2,0xffffffff,0xffff04ff,
    0xffffffff,0x7fffc5ff,0xffffffff,0xffffd3ff,0xffffffff,0xffa8001b,
    0xd02ffb83,0xffffffff,0x003fffff,0x0ffffff8,0x3ff20000,0xffd04fff,
    0xffffffff,0xffb83fff,0x7d40000f,0xffffffff,0xfffc84ff,0xffd00004,
    0xb7fe4009,0xaaaaeffc,0x82ffffec,0xaaaadfff,0x20aaaaaa,0xaaaacfff,
    0xd0aaaaaa,0x97555bff,0x07fffffd,0x6417fdc0,0xbffd02ff,0xff995555,
    0x2a001dff,0x02ffffff,0xffff3000,0x3ffa09ff,0xfccaaaad,0x3ee0efff,
    0x260000ff,0x310affff,0xfb05fffd,0x80001bff,0x32004ffe,0x0bff96ff,
    0x207fffd4,0xf0004fff,0xfd0005ff,0x7fec409f,0xff7000ff,0x203ff905,
    0x36204ffe,0xf9003fff,0x00bffd9f,0x3b3ffa00,0x9ffd04ff,0x37ffe440,
    0x0001fff7,0xb0077ff4,0x3ff20dff,0x3a0001ef,0x3f2004ff,0x80bff96f,
    0x7fc1fffb,0xfff0004f,0x9ffd0005,0x0bfff500,0x3607ff20,0x9ffd00ff,
    0x05fff880,0xff75fff0,0xfb80001f,0x04ffe8ef,0xfb009ffd,0x3ffee3ff,
    0xfff50000,0x2fff8803,0x05ffff50,0x013ffa00,0xff96ffc8,0x3fff980b,
    0x80027ffc,0xe8002fff,0xff9004ff,0x1ffb003f,0x7f40ffd0,0x6ffd804f,
    0xf37ffa80,0x440005ff,0x9ffd2fff,0x2013ffa0,0xff73fff8,0x3f20001f,
    0xdffb006f,0x1ffffcc0,0x027ff400,0x3f2dff90,0x7ffc405f,0x0027ffc3,
    0x8002fff8,0xf1004ffe,0xfff88bff,0xffffffff,0xffffffff,0xb009ffd0,
    0xff900bff,0x002fff4b,0x7f4bffb0,0x09ffd04f,0x7dd3ffe0,0xfd0000ff,
    0x3fea009f,0x7fff4407,0x27ff4004,0x32dff900,0x7fcc05ff,0x027ffc2f,
    0x002fff80,0x2004ffe8,0x7fc47ffd,0xffffffff,0xffffffff,0x009ffd0f,
    0xff005fff,0x07ffe45f,0x07ffd400,0x3fa09ffd,0xbffd004f,0x0003ffee,
    0x98027ffc,0xfd800fff,0xfd000dff,0x7fe4009f,0xc80bff96,0x7ffc0fff,
    0x5fff0004,0x09ffd000,0x107ffdc0,0x5dff7555,0x5dff7555,0x27ff4555,
    0x003ffee0,0x7cc1fff5,0x7c4002ff,0x27ff42ff,0xf004ffe8,0x3ffee9ff,
    0x9ffd0000,0x07ffe200,0x0f7ffe40,0x0027ff40,0x3ff2dff9,0x13ffea05,
    0x40013ffe,0xe8002fff,0x3ea004ff,0x3fe201ff,0x204ff985,0x3ee04ffe,
    0xffc804ff,0x005fff85,0x7f42ffec,0x09ffd04f,0x2e5fff10,0xb0000fff,
    0x3e200dff,0x3ea002ff,0x7f402fff,0xeeeeeeff,0x6fffeeee,0x3333dff9,
    0x01dfffb5,0x33339fff,0xf8133333,0xcccccdff,0x3fa4cccc,0x3fe6004f,
    0x13fe602f,0xfe80ffea,0xfeccccef,0xff004fff,0x0fff907f,0x407ffd40,
    0xffd04ffe,0x1fffb009,0x0003ffee,0x8017ffe4,0x64003fff,0x3a00efff,
    0xffffffff,0xffffffff,0xffffff96,0x01dfffff,0x3ffffffe,0x46ffffff,
    0xffffffff,0x3a7fffff,0x3e2004ff,0x3fea03ff,0x202ffb83,0xfffffffe,
    0x5002ffff,0xff501fff,0xffd1005f,0x413ffa07,0x7dc04ffe,0x3ffee3ff,
    0xfff10000,0x3fee205f,0x3f2003ff,0x7f400eff,0xffffffff,0x6fffffff,
    0xfffffff9,0xff803bff,0xffffffff,0x7ffc6fff,0xffffffff,0x13ffa7ff,
    0x03fff880,0x3f20ffee,0x3fffa01f,0xffffffff,0x7fe401ff,0x017ffe06,
    0xfe817ff2,0x39ffd04f,0xfff75333,0x0fffb8df,0x3ffee000,0xffeccdef,
    0x8802ffff,0xd005fffd,0x33333bff,0xffb33333,0x333fff2d,0x401efffe,
    0xccccefff,0x7c3ccccc,0x99999bff,0x3fa19999,0x3fe6004f,0x0bff203f,
    0xfe807ff2,0xcaa999cf,0x202fffff,0x3f603fff,0x7ffcc07f,0x413ffa00,
    0xfffffffe,0x40dfffff,0x0000fffb,0x7fffffdc,0xfffeffff,0x7fff4400,
    0x13ffa003,0xf96ffc80,0xfffe88bf,0x013ffe00,0x0017ffc0,0x50027ff4,
    0x7e405fff,0x00ffd81f,0xf7013ffa,0xff501fff,0x7ffd403f,0x00fffa02,
    0x3fa09ffd,0xffffffff,0xfff702ef,0xd9100001,0x139dffff,0xff980fff,
    0x7f4002ff,0x3ff2004f,0xd10bff96,0x7ffc0bff,0x5fff0004,0x09ffd000,
    0x88fffdc0,0xefffeeee,0xefffeeee,0x3ffa0eee,0x3fffb804,0x4406ffc8,
    0xff705fff,0x09ffd00d,0x3bbbbffa,0x7dc01acd,0x800000ff,0x06ff9808,
    0x007fffee,0x8013ffa0,0xbff96ffc,0x40bffea0,0xf0004fff,0xfd0005ff,
    0x7fec009f,0x3ffffe27,0xffffffff,0x20ffffff,0xf8804ffe,0xefff85ff,
    0xcccccccc,0xff887fff,0xccccccdf,0xccefffcc,0x009ffd4c,0x007ffdc0,
    0xff700000,0x3bfff20b,0x9ffd0000,0xcb7fe400,0x3ffa05ff,0x009fff06,
    0x000bffe0,0x44013ffa,0x3ba25fff,0xeeefffee,0xeeefffee,0x013ffa0e,
    0x3ea2fff4,0xffffffff,0x2fffffff,0x7fffffc4,0xffffffff,0xfd7fffff,
    0x7dc0009f,0x000000ff,0xb10fffa0,0x8000bfff,0x32004ffe,0x0bff96ff,
    0x7c17ffd4,0xff0004ff,0xffd0005f,0x3fff6009,0x4437fc02,0x7ff405ff,
    0x89fff004,0xfffffffc,0xffffffff,0x7fffc44f,0xffffffff,0x7fffffff,
    0x40009ffd,0x0000fffb,0x8dff7000,0x004fffe9,0x004ffe80,0x7fe5bff2,
    0x437ffc05,0xf0004fff,0xfd0005ff,0xfff5009f,0x85ff880d,0x7f404ff9,
    0xfff9804f,0x556fffc2,0xaaaaaaaa,0x55447ffe,0xaaaaaaaa,0xaadfffaa,
    0x009ffd2a,0x007ffdc0,0x7fcc0000,0x17ffe41f,0x4ffe8000,0x65bff200,
    0x7fdc05ff,0x027ffc2f,0x002fff80,0x6404ffe8,0x4c01ffff,0x3ffa84ff,
    0x2027ff40,0x260fffe8,0x2a001fff,0x40002fff,0xffd04ffe,0x7fdc0009,
    0x2000000f,0x905fffc8,0x7400003f,0x3f2004ff,0x80bff96f,0x7fc6fff8,
    0xfff0004f,0x9ffd0005,0xfffeba98,0x3ffa802f,0x7402ffb8,0xff7304ff,
    0x7ffc85ff,0x27ffc400,0x13ffa000,0x00027ff4,0x0001fff7,0x7fe54cc0,
    0x00200eff,0x09ffd000,0xfcb7fe40,0xfffc805f,0x0013ffe1,0x7ffffffc,
    0x3fffffff,0xfffffffd,0x03ffffff,0x320ffee0,0x7ff401ff,0xffffffff,
    0xfff83fff,0x7ffd8004,0x27ff4000,0x0004ffe8,0x3fffffee,0xffffffff,
    0x7ffffdc1,0x003fffff,0xffe80000,0x5bff2004,0xf8805ffc,0x13ffe5ff,
    0x7ffffc00,0xffffffff,0xfffffd3f,0x19ffffff,0x417fe400,0x7f401ffc,
    0xffffffff,0xff981dff,0xffb8001f,0x3fa0001f,0x09ffd04f,0x7fffdc00,
    0xffffffff,0x7ffdc1ff,0x00dfffff,0xfd000000,0x7fe4009f,0x200bff96,
    0xfff1fffc,0x3ffe0009,0xffffffff,0xfffd3fff,0x059bddff,0x207ff200,
    0x7f400ffd,0xceffffff,0x1fff201c,0x27ffc400,0x09ffd000,0x80013ffa,
    0xfffffffb,0x1fffffff,0x5e6f7fdc,0x0000000a,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x002a0000,0x59bdd951,0x3b72a200,0x4003ceff,0xbdeeeca9,0xeecb9801,
    0x5c4002cd,0xbceefedc,0x200b32e0,0x13323cca,0x40f7bae6,0x3b220ccb,
    0xcc882cef,0x983bd911,0x00001dfd,0x00ccca80,0x44733220,0x320004cc,
    0x400000cc,0xff500efb,0x1dffffff,0x7ffffe40,0x03ffffff,0x7fffff44,
    0x3202ffff,0xffffffff,0x7fe4401e,0xffffffff,0x200fffa2,0x9ffe6ffb,
    0xffffffe8,0xb8fff40d,0xdfffffff,0x3a2bfe60,0xff32ffff,0x64003fff,
    0xff3004ff,0x7fe4009f,0x01fff10f,0x01fff300,0x7ffec000,0xeffffc84,
    0x02fffffe,0xfffffffb,0x205fffff,0xfffffffb,0xe982ffff,0xffffffff,
    0x3fa03fff,0xfffeffff,0x0fffa2ff,0xff9bfee0,0xfffff98f,0x7f46ffff,
    0xfffffc9f,0x3e64ffff,0xfffffcbf,0xffffff8c,0x13ff2005,0x006ffe80,
    0xfff17ffe,0xfff30003,0x3fa20000,0xfffc85ff,0x7fffd40c,0x09acfd80,
    0x03ffff22,0x159ffff7,0xf10bf266,0x5cc37fff,0xfc81ffff,0xb9880cff,
    0x200fffa1,0x3ffe6ffb,0xf70bfffa,0x7ff43fff,0xf912effe,0x3fe63fff,
    0x7dfd0ffc,0x01ffe6bf,0x2004ffc8,0x9801fffb,0x7ff42fff,0x6ffa8002,
    0xffe98000,0x2fff884f,0x213ffe20,0x5fff9001,0x00f7ffc4,0x0bfff204,
    0xf86fff98,0xfe8004ff,0x6ffb803f,0x07bffffe,0xfe97ffe2,0xf880dfff,
    0xffff33ff,0x07fffe45,0x32001fff,0x3e2004ff,0xffc804ff,0x003ffd87,
    0x0005ffb8,0x817fffd4,0xfb805ffc,0xf10000ff,0x7ffec9ff,0xfff98001,
    0x2fffb803,0x000bffe2,0x2e00fffa,0x3fffe6ff,0x9bff200e,0x6c05fffe,
    0xdfff34ff,0x743fffc8,0xff9001ff,0x7ffd8009,0xb84fff80,0x1ee984ff,
    0x0004ffc8,0x407bffee,0x8801fff8,0x20001fff,0xfff35ffd,0x3ff20009,
    0x17ffa007,0xd0009fff,0xff7007ff,0x00ffffcd,0xffe9bfee,0xaffe400e,
    0x7e42fff9,0x01ffe87f,0x8009ff90,0x2a02fffa,0xffa80fff,0xd84ffc85,
    0xf90002ff,0x7cc01dff,0xfff000ff,0x7fe40005,0x001fff55,0x8013ff60,
    0x7fec6ffc,0x3fa000df,0x6ffb803f,0x2a00bffe,0x0fffa5ee,0x7cdbfee0,
    0x84ffc87f,0xf9001ffe,0xffd0009f,0x82ffec0b,0xfff86ff9,0x001ffe87,
    0x027ffec4,0x5557ffdc,0xfaaaaaaa,0x2a6204ff,0xffecccca,0x000fff95,
    0x7001fff4,0xfff88fff,0x7400bdff,0xffb803ff,0x000bffe6,0xb803ffe8,
    0x0dff36ff,0xffd07ff9,0x26666623,0x99dffd99,0xb8099999,0xff880fff,
    0x8fff102f,0x7c1ffff9,0x3a6000ff,0xf9003fff,0xffffffff,0x9fffffff,
    0xfffff910,0x2bffffff,0x20005ffd,0x2a002fff,0x7f4c0fff,0x02dfffff,
    0xf7007ffd,0x017ffcdf,0x007ffd00,0x3fe6dff7,0xe83ffc86,0xffff51ff,
    0xffffffff,0x05ffffff,0xf707fff1,0x0fff80ff,0x893ffff2,0x3ea007ff,
    0x32002fff,0xffffffff,0xffffffff,0x7ffffdc4,0xffffffff,0x000bffd5,
    0x800bffe2,0xd700fffa,0x5dffffff,0xb803ffe8,0x0bffe6ff,0x03ffe800,
    0xff36ffb8,0xd07ff90d,0x3ffea3ff,0xffffffff,0x2fffffff,0xfd0dffb0,
    0x1ffe809f,0x99ffb7fe,0xff1006ff,0xfb8009ff,0x999999ef,0x09999999,
    0x26ffffea,0xfb5ffc80,0x7fc000df,0x3fea002f,0xfffc9807,0x3ffa3fff,
    0x26ffb803,0x20002fff,0xfb803ffe,0x90dff36f,0x3ffd07ff,0x3bbbbba6,
    0xeeeffffe,0xf501eeee,0x7ffcc3ff,0x997fec01,0x52ffcaff,0x74400bff,
    0x2a004fff,0xf80007ff,0x7e400eff,0x00fff95f,0x001fff40,0x9800dff7,
    0xfd0ffffd,0xdff7007f,0x00017ffc,0xf7007ffd,0x21bfe6df,0xffe83ffc,
    0x09ff9001,0x927ffc00,0xff900dff,0x3e63ff27,0x009ff55f,0x01dfffb0,
    0x001fff30,0x017ffc40,0xffbaffe4,0xffb0000f,0x27ff400b,0x3fffb800,
    0xf9009ffd,0x017ffcdf,0x007ffd00,0x3fe6dff7,0xe83ffc86,0xff9001ff,
    0x7fe40009,0x200fffe7,0x4bfd4ffa,0x2ffb8fff,0xdfff7000,0x4fff8803,
    0x3ffea000,0x35ffd801,0x2000bfff,0x9801fffc,0x20002fff,0xbffb4fff,
    0x26fffb80,0x20002fff,0xfb803ffe,0x90dff36f,0x3ffd07ff,0x013ff200,
    0xaafff980,0xf9800fff,0x322ff9df,0x01ffcaff,0x3fffea00,0x0fffe402,
    0x2fff9800,0x97fffa20,0x8002fffd,0x4405fff8,0x20006ffe,0xff93fff9,
    0x7fffd40f,0x000bffe6,0xb803ffe8,0x0dff36ff,0xffd07ff9,0x13ff2003,
    0x99ffd000,0x3e2009ff,0x260ffcef,0x00ffddff,0x7fffcc00,0x3fffe203,
    0x7fc41003,0xfffb80ef,0x3ffe65ff,0x839300cf,0x880dfffb,0x54c1fffe,
    0x1fffe800,0xf709fff5,0x7fcdffff,0x3fa0002f,0x6ffb803f,0xff90dff3,
    0x003ffd07,0x00013ff2,0x3ffffff5,0x7f7ffc00,0x7ffffe85,0xffd10000,
    0x7ffdc09f,0xdccbcdef,0x7ffec4fe,0xffffdccf,0x7fdc5ffd,0xfecdefff,
    0xfffe82ff,0xfffeccef,0xdeffb84f,0xfffdcccc,0x77fff44f,0xfaeffecc,
    0x00bffe6f,0x803ffe80,0xdff36ffb,0xfd07ff90,0x3ff2003f,0xfff80004,
    0x7f4006ff,0xffc82fff,0x400006ff,0x500efffd,0xfffffffd,0xf889ffff,
    0xffffffff,0xa85ffa8e,0xfffffffe,0xfd882fff,0xffffffff,0xffff702f,
    0xffffffff,0xfffff509,0xff31dfff,0x0017ffcd,0x7007ffd0,0x1bfe6dff,
    0x3fa0fff2,0x9ff9001f,0xfff90000,0xffd8007f,0xfff980ff,0xc800005f,
    0x9101efff,0xfffffffd,0xff9105bd,0x7cc7dfff,0x3ffae05f,0x00bdffff,
    0x3fffffaa,0x3f6600ce,0xffffffff,0x3ffa201c,0x3fe24fff,0x000bffe6,
    0xb803ffe8,0x0dff36ff,0xffd07ff9,0x0fbae003,0x3ffe6000,0x7fe4000f,
    0x3fffa05f,0xf5000004,0x262009ff,0x2200099a,0x22000019,0x31000099,
    0x26620003,0x980009aa,0x0000001a,0x00000000,0x00000000,0x00000000,
    0x30000000,0x0000009f,0x00000000,0x00000000,0xca800000,0xcccccccc,
    0x641ccccc,0x97000ccc,0xcc980199,0x332a0001,0xaaaa8801,0xaaaaaaaa,
    0x9990aaaa,0x26664c39,0x001665cc,0x00010000,0x00000000,0x00000000,
    0x00000000,0xffffff70,0xffffffff,0x06fffb85,0x804fffb8,0x10002ffa,
    0xf500dfff,0xffffffff,0x5fffffff,0xf987fffa,0x7ffdc6ff,0x32601eff,
    0x0000002c,0x00000000,0x00000000,0x00000000,0x7ffffdc0,0xffffffff,
    0x3fffd82f,0x01bffe20,0x8000ffcc,0x403ffffc,0xfffffffa,0xffffffff,
    0x43fffd2f,0x3ee6fff9,0x2fffffff,0x0009ff90,0x00000000,0x00000000,
    0x00000000,0x99880000,0x99999999,0xe880efff,0xffb01fff,0xff10503f,
    0x7cc02881,0x200fffcf,0xaaaaaaa8,0xaaaaaaaa,0x41fffb0a,0x3fe5fff8,
    0xffffcbff,0x003ffd83,0x00000000,0x00000000,0x00000000,0x00000000,
    0x4c03fffb,0xffb86fff,0x21ef882f,0x3fea0ff8,0x2e3ff600,0x000005ff,
    0x441fffb0,0xdff55fff,0x24fffe98,0x0001fffa,0x00000000,0x00000000,
    0x00000000,0xb8000000,0xfb803fff,0x3ffe24ff,0x49fff904,0x9fff917f,
    0xfe8ffea0,0x8000001f,0xfff87ffc,0xd10bff74,0xfffdffff,0x0000000b,
    0x00000000,0x00000000,0x00000000,0xbfff3000,0x8fffec00,0x75406ffd,
    0xeaff9eff,0x3fa02eff,0x0037fd46,0x3ffe4000,0xffca7ffc,0xffffd103,
    0x00003fff,0x00000000,0x00000000,0x00000000,0xe8800000,0x7c4006ff,
    0x1fffbeff,0xffffd500,0xfb805dff,0x83ffd82f,0xccccccc9,0xcccccccc,
    0xf0fff71c,0x026627ff,0x1bffff70,0x00000000,0x00000000,0x00000000,
    0x00000000,0x01fffb00,0xfffff300,0xff50005f,0xff1005ff,0x03ffe20d,
    0xfffffff5,0xffffffff,0x21bfee5f,0x20003ffe,0x00000018,0x00000000,
    0x00000000,0x00000000,0x3fee0000,0x3f20002f,0xb8005fff,0x03efffff,
    0xf9017fe4,0xffffa8bf,0xffffffff,0x9932ffff,0x00399707,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3fea0000,0x7d40004f,0x2e002fff,
    0xfcffcfff,0x7fcc0bff,0x0fffc405,0x33333331,0x33333333,0x00000013,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3ffe2000,0x7fc40006,
    0x5400ffff,0x2ff1efff,0x362fffe9,0xffb801ff,0x88000006,0x1002cccc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3ffa0000,0x7f40000f,
    0x406fffff,0x3fe24ffa,0x7d47ff20,0x3ffa005f,0x98000003,0x2202fffe,
    0x00004ffe,0x00000000,0x00000000,0x00000000,0x20000000,0x0001fffc,
    0x7d4fffe4,0x20e404ff,0x024c0ff8,0x00000000,0x2fffd880,0x09ffffd0,
    0x00000000,0x00000000,0x00000000,0x00000000,0x07fff500,0x4fffa800,
    0x000ffff2,0x00003ff3,0x00000000,0x985fff70,0x007fffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x002fffcc,0x21bffe20,0x2001fffe,
    0x00001ff9,0x00000000,0x545fff30,0x007fffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x003bffa2,0x1fffe880,0x00ffff98,0x0005ff50,
    0x00000000,0x10ccc400,0x00bfffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7777ffe4,0xeeeeeeee,0x03fffd86,0x0017ffee,0x00000000,
    0x80000000,0x000efffa,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3ffffff6,0xffffffff,0x02fffdc7,0x0027ffec,0x00000000,0x00000000,
    0x00000331,0x00000000,0x00000000,0x00000000,0xfb000000,0xffffffff,
    0x4cffffff,0x8800ffff,0x0002ffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__consolas_40_usascii_x[95]={ 0,8,5,0,2,0,1,8,5,5,3,1,4,5,
7,2,1,2,2,3,0,3,2,2,2,1,8,4,2,2,4,5,0,0,3,1,2,3,4,1,2,3,3,3,
4,0,2,1,3,1,3,2,1,2,0,0,0,0,2,6,3,5,2,0,0,2,3,3,2,2,0,1,3,3,
2,3,3,1,3,1,3,2,3,3,1,3,1,0,1,1,3,3,9,4,1, };
static signed short stb__consolas_40_usascii_y[95]={ 29,1,1,3,-1,1,1,1,-1,-1,1,8,22,16,
22,1,3,3,3,3,3,3,3,3,3,3,9,9,7,13,7,1,1,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,1,0,3,34,1,9,1,9,1,9,1,9,1,1,
1,1,1,9,9,9,9,9,9,9,3,9,9,9,9,9,9,0,-3,0,14, };
static unsigned short stb__consolas_40_usascii_w[95]={ 0,6,12,22,18,22,21,6,12,12,16,20,11,12,
8,17,20,18,18,17,21,17,18,18,18,19,7,11,16,18,16,14,22,22,17,19,19,16,15,19,18,16,15,18,
16,22,18,20,17,21,18,18,20,18,22,22,22,22,18,11,17,11,18,22,14,17,17,16,17,18,21,20,16,17,
16,18,17,20,16,20,17,17,18,16,18,16,20,22,20,20,17,15,4,15,20, };
static unsigned short stb__consolas_40_usascii_h[95]={ 0,29,10,26,35,29,29,10,39,39,17,20,14,4,
8,33,27,26,26,27,26,27,27,26,27,26,21,27,23,11,23,29,37,26,26,27,26,26,26,27,26,26,27,26,
26,26,26,27,26,34,26,27,26,27,26,26,26,26,26,38,33,38,13,4,9,21,29,21,29,21,28,29,28,28,
37,28,28,20,20,21,29,29,20,21,27,21,20,20,20,29,20,38,41,38,9, };
static unsigned short stb__consolas_40_usascii_s[95]={ 248,205,221,92,128,23,1,242,19,6,166,
184,242,228,236,187,40,112,47,205,156,22,61,173,80,213,248,99,1,202,233,
67,105,133,115,111,72,55,39,185,1,232,150,192,196,150,131,1,178,147,20,
131,211,166,66,89,1,24,223,76,169,48,183,205,221,37,230,55,100,18,175,
118,158,215,88,139,197,163,146,72,82,212,127,93,233,110,205,226,145,46,127,
32,1,60,234, };
static unsigned short stb__consolas_40_usascii_t[95]={ 23,1,176,128,1,43,43,88,1,1,176,
155,73,31,187,1,73,101,101,73,128,73,73,101,73,128,1,73,155,176,128,
43,1,128,128,73,128,128,128,73,128,101,73,101,128,101,101,73,128,1,128,
73,101,73,101,101,101,101,73,1,1,1,176,31,187,155,1,155,43,155,43,
43,43,43,1,43,43,155,155,155,43,1,155,155,43,155,155,155,176,43,176,
1,1,1,176, };
static unsigned short stb__consolas_40_usascii_a[95]={ 352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_40_usascii_BITMAP_HEIGHT or STB_FONT_consolas_40_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_40_usascii(stb_fontchar font[STB_FONT_consolas_40_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_40_usascii_BITMAP_HEIGHT][STB_FONT_consolas_40_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_40_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_40_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_40_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_40_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_40_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_40_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_40_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_40_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_40_usascii_s[i] + stb__consolas_40_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_40_usascii_t[i] + stb__consolas_40_usascii_h[i]) * recip_height;
            font[i].x0 = stb__consolas_40_usascii_x[i];
            font[i].y0 = stb__consolas_40_usascii_y[i];
            font[i].x1 = stb__consolas_40_usascii_x[i] + stb__consolas_40_usascii_w[i];
            font[i].y1 = stb__consolas_40_usascii_y[i] + stb__consolas_40_usascii_h[i];
            font[i].advance_int = (stb__consolas_40_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_40_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_40_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_40_usascii_s[i] + stb__consolas_40_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_40_usascii_t[i] + stb__consolas_40_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_40_usascii_x[i] - 0.5f;
            font[i].y0f = stb__consolas_40_usascii_y[i] - 0.5f;
            font[i].x1f = stb__consolas_40_usascii_x[i] + stb__consolas_40_usascii_w[i] + 0.5f;
            font[i].y1f = stb__consolas_40_usascii_y[i] + stb__consolas_40_usascii_h[i] + 0.5f;
            font[i].advance = stb__consolas_40_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_40_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_40_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_40_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_40_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_40_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_40_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_40_usascii_LINE_SPACING
#endif

