// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_42_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_42_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_42_usascii_BITMAP_WIDTH         256
#define STB_FONT_consolas_42_usascii_BITMAP_HEIGHT        212
#define STB_FONT_consolas_42_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_consolas_42_usascii_FIRST_CHAR            32
#define STB_FONT_consolas_42_usascii_NUM_CHARS             95

#define STB_FONT_consolas_42_usascii_LINE_SPACING          28

static unsigned int stb__consolas_42_usascii_pixels[]={
    0x01819991,0x8000c000,0x321ccba8,0xcccccccc,0x06af3224,0x99999900,
    0x00019999,0x02000022,0x00020000,0x80997000,0x00006ffb,0x09ffb000,
    0x900000c4,0xed889fff,0x87ffe21d,0x300002fb,0x7ec400bf,0xff12ffff,
    0xffffffff,0x6fffffcc,0xfffff000,0x001fffff,0x001bffb0,0x6ffff64c,
    0xdb98000b,0x00acefff,0x01ffe000,0x0003fff1,0xfff98000,0xefffea81,
    0x2fff8801,0xf893fff2,0xff10ffff,0x0bffea3f,0x7fff3000,0xfffff300,
    0x3ffe25ff,0x27ffffff,0xfffffff9,0xfffff801,0x000fffff,0x027fffdc,
    0xffffffc8,0x2e001fff,0xffffffff,0x880001ef,0xffd806ff,0x40000005,
    0xffc85ffc,0x402fffff,0x7fe45ffd,0x3fffee4f,0x23fff13f,0x001fffe8,
    0x01dfff10,0x35dfffd0,0x4ccccc13,0x4cc7ffb9,0x806fffda,0x9999cfff,
    0xffd80019,0x7f4c06ff,0xffcabdff,0xffd802ff,0xffffffff,0x4c0002ff,
    0xff9805ff,0x0000000f,0xf985fff1,0x6ffebbff,0x903ffea0,0x7fdc9fff,
    0xfff14fff,0x0ffffc43,0x3fffa200,0x4fffa800,0x0fff5000,0x403fffb8,
    0x00003fff,0x813fffee,0x500dfff8,0x7f405fff,0xca8aceff,0x002ffffe,
    0x77ff6544,0x3ffa01ac,0x70000004,0x5ffd0fff,0xe882ffe8,0xfffc82ff,
    0x3ffffe63,0x983fff12,0x74006fff,0xf9001fff,0x7d4000df,0x5ffe807f,
    0x001fffc0,0x1dffd100,0x4027ff40,0xff506ffc,0x7fec01df,0xfff5006f,
    0xffffffff,0x01ffea0b,0x7ff40000,0xfc87ff83,0x05ffc83f,0xfb87fff7,
    0x3ffe24ff,0x04fffa81,0x005fff70,0x00027fec,0xf900fff5,0x3fff80df,
    0x02980000,0xb002ffe4,0xfffd03ff,0x5fffd001,0x7ffff440,0xffffffff,
    0x00bffe05,0xfff30000,0xa86ff881,0x7ffcc5ff,0x07fff700,0xfff88131,
    0x03fffb01,0x005fff88,0x0001fff4,0xf500fff5,0x3fff80ff,0x98000000,
    0x2a000fff,0x7ffd44ff,0xbfff1002,0x3ffffa20,0xdbbffebc,0x1bff205e,
    0xffb00000,0x50fff10b,0x3ffe89ff,0x00fffee0,0x101fff88,0xfc80dfff,
    0x7fc001ff,0x3ea0002f,0x7ffa807f,0x001fffc0,0x7fec0000,0x37fc4002,
    0x8003fffa,0xfd81fffe,0x03ffc4ff,0x007ffe20,0x7ffc4000,0xb81fff01,
    0x1bff23ff,0x007fff70,0x900fffc4,0x3e605fff,0xff8004ff,0x3ea0002f,
    0x7ffa807f,0x801fffc0,0xccccccc9,0x40cccccc,0xb0006ff8,0x3ffe23ff,
    0x7ffdc005,0x43fffc42,0xfd8006ff,0x7000004f,0x7ff40dff,0x4c7ffe24,
    0x7dc01fff,0x3e2002ff,0x7ff401ff,0x01fffb06,0x005fff00,0x403ffd40,
    0x7fc07ffa,0xfff7003f,0xffffffff,0x3ffc83ff,0x25ff7000,0x4002fff9,
    0x7d43fff9,0x2ffcc3ff,0x07ffd400,0x7ffc0000,0x3fffea02,0x3fa4fffd,
    0xfffa803f,0x3ffe2002,0x0fffdc01,0x0013ffe2,0x00017ffc,0xf500fff5,
    0x3fff80ff,0xfffff700,0xffffffff,0x407ffc43,0x3dbcefdb,0x3fea5ff5,
    0x7fc4001f,0x1fffdc4f,0x40013fea,0x00003ffe,0x6403ffd4,0x0dffffff,
    0x2a00dff7,0x22002fff,0x7cc01fff,0x7ffd43ff,0x5fff0001,0x3ffd4000,
    0x203ffd40,0x53003fff,0x55555555,0x7d43fff9,0x7ffec44f,0xff52ffff,
    0x003ffee7,0xf317ffe0,0x3ffb8dff,0x0dff7000,0x4ffe8000,0x7bfdb500,
    0x800fffcc,0x2002fffa,0xe801fff8,0x37fec6ff,0x05fff000,0x03ffd400,
    0xf007ffcc,0x800007ff,0x3f21fffa,0x77fff42f,0xff31ffff,0x001fff29,
    0x7fc37ffc,0x0bff24ff,0x17ffc400,0xfff98000,0xffd00000,0x7ffd4009,
    0x3ffe2002,0x1fffb801,0x0009fff1,0x0007ffe6,0x8807ffa8,0x3fe02fff,
    0x5400003f,0x3ff61fff,0x4c3bfea0,0xbff10fff,0x4001fff6,0xffb87ffe,
    0x1ffdaeff,0x17ff2000,0x2ffe4000,0x6ffb8000,0x0fffd400,0x03fff100,
    0x2a7fff30,0xb0001fff,0xa8000dff,0xffb007ff,0x0fffe01d,0xfff50000,
    0x3fa3ffc3,0x89ffe62f,0x0fffb5ff,0x41bffa00,0xfffffffd,0x3e60000f,
    0x440000ff,0x80002fff,0x4001fff8,0x6c41fff9,0x3ffe20de,0x3fff8801,
    0x1001fff7,0x3fffd753,0x7ffa8000,0x9ffff300,0x0fffe135,0xfff50000,
    0xf997fe63,0x12ffd46f,0x3fff2bff,0x5fff8000,0x3ffffee0,0x20001cff,
    0x40004ffe,0x00006ffb,0x30009ffb,0x7f443fff,0xfff10fff,0x53ffe003,
    0xf9007ffc,0x003bffff,0x00fff500,0x7fffff4c,0x0007fff5,0x51fffa80,
    0x27fe47ff,0xff893ff2,0x003fff94,0x404fff88,0xffffffc8,0xfa8001ef,
    0x7f40007f,0xfa80003f,0xf98000ef,0x3ffee1ff,0x3fff13ff,0x657ffa00,
    0xff9007ff,0x00005bff,0x5001ffea,0x3ebffffb,0x400003ff,0xff71fffa,
    0x3617ff45,0x53fe63ff,0x4001fffb,0x1003fff9,0xfffffff9,0x7fff0009,
    0x3ffea000,0x7fc40000,0x37bb6a2f,0x43fff302,0x14fffffb,0x3a003fff,
    0x0dffb6ff,0x3ffbb2a0,0x540000ef,0x3f6007ff,0xff3ceeff,0xa800007f,
    0x5ff71fff,0x3fa0fffc,0x54ffe62f,0x5c004fff,0x2a002fff,0xfffffeff,
    0x37fdc005,0x04ffd800,0x25ffd800,0x4ffffffd,0x260fff98,0xf12fffff,
    0x3f6003ff,0x00dffd6f,0x017ffee0,0x00fff500,0x7c0bffee,0x400003ff,
    0xff91fffa,0xf03ffe23,0x97fd41ff,0x4006fff8,0x2000fffe,0xffc8affb,
    0x3e2004ff,0x7c4001ff,0x540001ff,0xfff70fff,0x885ffffb,0x7fdc0fff,
    0x07ffe24f,0xfdafff40,0x3ee0007f,0x2a0000ff,0xfff007ff,0x01fffc07,
    0x3ffea000,0x3e23ffb1,0x23ffc47f,0x3ff62ffc,0xfff3001f,0x1ffc8009,
    0x003fffea,0x4005ffd8,0x40006ffc,0xff12fff8,0x437fdc3f,0x81510199,
    0xf001fff8,0x1fff2bff,0x1fff8800,0x1ffea000,0x803ffe20,0x00003fff,
    0xfd8fffd4,0x98fff30f,0x23fec6ff,0xb005fffa,0xe8001fff,0x7ffe40ff,
    0x3ffe6002,0x0bffe000,0x4bff9000,0x7fc44ffa,0xf100000f,0x3fe003ff,
    0x01fff74f,0x017ffc00,0x00fff500,0xff80fff3,0x5400003f,0x1ffb1fff,
    0xfb83ffe2,0x7c2ffc6f,0x7ec05fff,0xff8005ff,0x03fff987,0x801fff40,
    0x40007ffa,0x3ee0fffa,0x01ffe82f,0x3fff1000,0x27fff100,0x0001fffa,
    0x8000fffe,0xfa807ffa,0x1fffc07f,0x3fea0000,0x223ff91f,0xfff11fff,
    0x541ffd4d,0x10adffff,0x01dfffb5,0xf50dff00,0xfb8005ff,0x7ffd007f,
    0x7ff44000,0x6c1ffe42,0x37f621ff,0x3ffe2000,0x0fffb801,0x0009fff3,
    0x0001fffc,0xf500fff5,0x3fff80ff,0x7fd40000,0x7c5ff91f,0xffffb4ff,
    0x201ffd31,0xfffffffb,0x00efffff,0xd85ff880,0xf8000fff,0x7fcc02ff,
    0x3f20000f,0x85ffb85f,0x3ffa0ffe,0x3fe2006f,0x6ffd801f,0x00037ff4,
    0x40007fff,0xfa807ffa,0x1fffc07f,0x3fea0000,0x645ff71f,0xf9efffff,
    0x402fffff,0xfffffffb,0x0400efff,0x7dc4ff98,0xf90006ff,0x5ffd80df,
    0x3ffe6000,0x4c7ffa80,0x3ffe26ff,0xff1000ff,0xfff8803f,0x00fffdc4,
    0x003fff80,0x201ffea0,0x7fc07ffa,0x5400003f,0x7ff51fff,0x87ffff44,
    0x003ffffe,0xfffffd71,0x37f6005b,0xacffbaac,0x01ffffec,0x03fff100,
    0x0007ffe2,0x3a03ffe8,0xfffbbfff,0x1ffffe22,0x01fff880,0x220fffdc,
    0xf0004fff,0x540007ff,0xffa807ff,0x01fffc07,0x3ffea000,0xb889ff31,
    0x05e540ac,0x1fffb800,0x7fffec00,0xffffffff,0x40001fff,0xff704ffd,
    0x7fe4000d,0x7fffd406,0xffa85fff,0x3fe2002f,0x37ff401f,0x000fffe8,
    0x0003fff8,0x2a01ffea,0x7ffc07ff,0x7d400003,0x0dff11ff,0xf1000000,
    0xfd8009ff,0xffffffff,0x000cffff,0x80fffa80,0x30003fff,0xd3003fff,
    0x4407ffff,0x7fc4000a,0x3ffee01f,0x09fff502,0x007fff00,0x403ffd40,
    0x7fc07ffa,0x5c00003f,0x3ffa0fff,0x80000001,0x2000fffe,0xffeecba8,
    0x000acdef,0x21fff400,0x0000fffa,0x00988000,0x3fe20000,0xbfff101f,
    0x01fffd80,0x0027ff40,0x500fff50,0xfff80fff,0x7e400003,0x027fdc7f,
    0x7e400000,0x36441eff,0x0007ff80,0x46ffb800,0x00004ffd,0x00000000,
    0x407ffe20,0x4400fffc,0x6c005fff,0x2a0005ff,0xffc807ff,0x01fffc06,
    0x17ffa000,0x0000fff1,0x3fffa000,0x3fffeeff,0x0037fc40,0x7ffc4000,
    0x003fff32,0x00000000,0x7ffc4000,0x04fff981,0x005fff70,0x0007ffe4,
    0x4407ffa8,0x7fc05ffe,0x2a00003f,0xffd83fff,0x80000005,0xffffffe8,
    0x7cc04fff,0x0000005f,0x2aa63555,0x00000002,0x44000000,0x7fc41fff,
    0x3fa000ef,0xff3001ff,0xf50001bf,0x7fec40ff,0x1fffc02f,0xf5005cc0,
    0x3fe60dff,0x0035005f,0x7fffdc00,0xfa801eff,0x0000004f,0x00000000,
    0x00000000,0x7443fff1,0x4c000fff,0x9000ffff,0x159bffff,0x65555554,
    0x372a27ff,0xf805ffff,0xaaaaadff,0x79dff30a,0x5ffffb95,0x5f7ffd40,
    0x5ff95311,0x53100000,0x2eeb8003,0x00000000,0x00000000,0xf1000000,
    0x7ffec3ff,0xfff30001,0xffd1001d,0x3e25ffff,0xffffffff,0x3ffffe67,
    0xfff800ef,0x0fffffff,0xfffffff3,0x3007ffff,0xffffffff,0x0005ffff,
    0x00000000,0x00000000,0x00000000,0xff100000,0x0bffee3f,0x7fff5000,
    0x7fffd400,0xfffff12f,0x7ccfffff,0x2003ffff,0xffffffff,0xfffd10ff,
    0x01bfffff,0x7fff6cc0,0x001cffff,0x00000000,0x00000000,0x00000000,
    0xf1000000,0x017ec3ff,0x005fa800,0x54155310,0xaaaaaaaa,0x0026aa22,
    0x2aaaaaa0,0x5440aaaa,0x0009acca,0x0d55d440,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0a0fffc4,0x00050000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3e200000,0x000001ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x003fff10,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x55540000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x6c000000,0x000006ff,0x00004d4c,0x9ddb7310,0x32a99535,
    0x64c002cc,0x9bddb1cc,0x83995003,0x01bdedb9,0x2fff4000,0x00000180,
    0x71000660,0x999bdfd9,0x3e639999,0xd80001ff,0xffffffff,0xded88006,
    0x01bff601,0x3ff62000,0x0002efff,0x3fffff62,0x35ffffff,0xd800dfff,
    0xfffb0fff,0x7ec07dff,0x3ffff23f,0x00004fff,0xf3017ffa,0x000005ff,
    0xfffffdb5,0x3ff2207d,0xffffffff,0xff32ffff,0xfb00003f,0xdfffffff,
    0xffff8800,0x0dffb00f,0xfffb8000,0x04ffffff,0xffffe980,0xffffffff,
    0x007fffa5,0xfb37ffc4,0x3dffffff,0x3f69ffb0,0xffffffff,0xffd00004,
    0xfffff80b,0xfd300000,0xffffffff,0x3ffffa09,0xffffffee,0xfff32fff,
    0xffb00003,0x0dffffff,0xfffffb80,0x00dffb03,0x7fffcc00,0x2fffffde,
    0x3fffea00,0xfdb989ac,0x3ffea5ff,0x5fff5004,0x7ff65544,0x7fec2fff,
    0x99bfffed,0x002ffffc,0x205ffe80,0x01fffff9,0xffff8800,0x4fffeeff,
    0x40dfffc8,0xaacfffea,0x003fff30,0x37fec000,0x3fffee00,0x0dffb04f,
    0x7fff4000,0x03fffd41,0x803fffd0,0x7ffc5ffe,0x1fffb007,0xffffd980,
    0x3fffff61,0x0bfff505,0x0bffd000,0x07ffffc4,0x7ffe4000,0x4c09880d,
    0x3e205fff,0xfff985ff,0x36000001,0x7cc006ff,0xfb02ffff,0x220000df,
    0xffb03fff,0xfff7001f,0x8bffd003,0x4402fffc,0x36004fff,0x3ff66fff,
    0x7fe404ff,0x7f40000f,0x7ffdc05f,0xff880003,0xffb8006f,0x3ffe400f,
    0x000fffcc,0x0dffb000,0x09fff700,0x00037fec,0x501fffa8,0xff003fff,
    0x3ffa00bf,0x02fffcc5,0x0007ffee,0x3f65fffd,0xffa805ff,0x7f40003f,
    0x00a8805f,0x3fff5000,0x0dff9000,0x983fff50,0x00001fff,0x001bff60,
    0x3f6004c4,0xf700006f,0x3fea03ff,0x7ffcc00f,0x0bffd002,0x7401fffd,
    0xfa8006ff,0x0dffb4ff,0x0027ffc0,0x0017ffa0,0x3fee0000,0xffd8000f,
    0x1fffa806,0x000fffcc,0x0dffb000,0xffd80000,0x5ef6dcc6,0x1fffcc01,
    0xa807ffc8,0xfd000fff,0x7fff70bf,0x00fffe20,0x6dbffe60,0x3fe006ff,
    0x6dd4404f,0x5fffbcee,0xc8000000,0xfb0007ff,0xfff700ff,0x003fff30,
    0x20079997,0x00006ffd,0xfb2ffec0,0x09ffffff,0x4c2fffc4,0xfb804fff,
    0x3ffa007f,0x06fff885,0x0001fff7,0x7fedbffe,0x17ffa006,0x7ffffe44,
    0x25ffffff,0xcccccccb,0xfd80003c,0xff50006f,0x7ffc407f,0x01fff986,
    0x00ffffdc,0x0006ffd8,0x46ffec00,0xfffffffd,0x3ffa04ff,0x3bffe62f,
    0x07ffc800,0x6417ffa0,0xffe81fff,0xfff10005,0x801bff6b,0xfea86ffd,
    0xffffffff,0x3ff65fff,0x06ffffff,0x06ffd800,0x0bfffa00,0x20bfff62,
    0x2e01fff9,0x2001ffff,0x00006ffd,0x7f77fec0,0xffc99bff,0xfff302ff,
    0x3ffff93f,0x01fff600,0xf305ffe8,0xfff989ff,0xfff70002,0x801bff67,
    0x7fcc5ffe,0xb999acff,0x3f65fffd,0x6fffffff,0x6ffd8000,0x3ffea000,
    0xfffdbcef,0x3fff304f,0x07fffee0,0x00dffb00,0xfffd8000,0xfff505ff,
    0x7fffe40b,0x2000efff,0x3a007ffc,0x3ffa05ff,0x007ffe47,0x87fffd40,
    0x3e006ffd,0x7fff43ff,0x52fff401,0xffd55555,0x3332600d,0xcfffeccc,
    0x3ccccccc,0xffffffb0,0x409fffff,0xfb81fff9,0xd8001fff,0x000006ff,
    0x027fffec,0x4403fff2,0x03ffffff,0x00fffb80,0x5c0bfff0,0x3ffa2fff,
    0xfeeec804,0x3f63ffff,0xfff1006f,0x00fffdc5,0x6c02fff4,0xff5006ff,
    0xffffffff,0xffffffff,0xd7dff70d,0x01bdffff,0x5c1fff98,0x0000ffff,
    0x0000dffb,0x05fffd80,0x883fffa8,0x03fffffd,0x03fff500,0x40bfffb0,
    0xff55fff8,0xfffb003f,0xfd87ffff,0xfff7006f,0x802fffc3,0xfd805ffe,
    0xfff5006f,0xffffffff,0xdfffffff,0x1985ffd0,0x0fffcc00,0x001dfff5,
    0x0037fec0,0x7ec02ca8,0x3ffe006f,0x7ffff444,0xffd81fff,0x04fff987,
    0x02ffffe4,0x3f63fff2,0xfffb006f,0xffb019bf,0x9bffa00d,0xd002fff9,
    0xffb00bff,0x2aaa200d,0xafffeaaa,0x2aaaaaaa,0x000fffc4,0xa8fffcc0,
    0x0000efff,0x40037fec,0x3605fffe,0x3fe006ff,0x3fffa24f,0x40ffffcb,
    0xffd06ffe,0x3ffee01f,0x7fcc05ff,0x003fffbf,0xfb00bffb,0xfff900df,
    0x007ffd43,0xd805ffe8,0xd80006ff,0xf98006ff,0x980005ff,0xfffa9fff,
    0xfd80000e,0x7fcc006f,0xffb02fff,0x2fff400d,0x7f45fff9,0x2fffc6ff,
    0x20efffa8,0xffeeffd9,0xffffe805,0xff9000ff,0x5fffb009,0x13fff620,
    0x7400fff7,0xffd805ff,0xffd80006,0xffff0006,0x559999bf,0x7ffcc013,
    0x000efffc,0x00dffb00,0x5fffff98,0x400dffb0,0xfff16ffe,0x4ffff889,
    0x7409fff1,0xffeeffff,0x05ffd8ef,0x5fffffb8,0x013ff200,0x3bfffff6,
    0xefffffdd,0x003ffe40,0xfb00bffd,0xfb0000df,0x3ea000df,0xffffffff,
    0x982effff,0xffffbfff,0xffb00001,0xfff8800d,0xdffb06ff,0xbafff400,
    0xff981fff,0x3fff9bff,0x3ffffa20,0xffb0efff,0xffff100b,0x7fe4003f,
    0xffffd804,0xffffffff,0x00fffb03,0x6c02fff4,0xd80006ff,0x2e0006ff,
    0xffffffff,0x45ffffff,0xffa9fff9,0xd80000ff,0xfa8006ff,0xffb07fff,
    0x9fffc00d,0x3ee07ffc,0x1fffcfff,0x7fffec40,0x17ffa0bd,0x037ffec0,
    0x2013ff20,0xfffefffd,0x3200ceff,0x3fa007ff,0x6ffd805f,0x6ffd8000,
    0xbfff3000,0xfd999975,0x7cc9ffff,0xdfff71ff,0xffd80001,0xfffb0006,
    0x01bff60d,0xfd97ffc4,0x7ffe407f,0x44006fff,0x0bffd00a,0x00bfff60,
    0xb0013310,0x02662dff,0x00fffb80,0xb00bfff0,0xb0000dff,0xf3000dff,
    0xf7100bff,0x7ffccfff,0x03bfff21,0x06ffd800,0x09fff700,0x5401bff6,
    0xfffb1fff,0xffffe801,0x7400003f,0xff9805ff,0x8000006f,0x40006ffd,
    0xd801fffa,0xfd805fff,0xfd80006f,0xffc8006f,0x3ffa000f,0x83fff31f,
    0x0005fffd,0x4001bff6,0xfb02fffc,0x3ffe00df,0x00bffee6,0x01fffff1,
    0x5ffe8000,0x02fffe80,0xffd80000,0x7fcc0006,0x7ffe404f,0x6ffd805f,
    0x6ffd8000,0x05ffe800,0x987ffe40,0xffe81fff,0xffb0005f,0xfff3000d,
    0x037fec0b,0xf50fffe4,0xfd880dff,0x00003fff,0x3202fff4,0x70005fff,
    0xffb007ff,0xffd0000d,0x3ffee01f,0xffd805ff,0xffd80006,0x6fff8006,
    0x33fff400,0xfd103fff,0xfb0009ff,0x7dc400df,0x3f600fff,0xffb102ff,
    0xdfffd09f,0xffffa885,0x00001fff,0x6c417ffa,0x8000efff,0x402ffffa,
    0x80006ffd,0x260efffa,0x5ffdeffd,0x006ffd80,0x006ffd80,0x803fffd8,
    0x264fffd8,0xff301fff,0xfd8009ff,0xfffd806f,0x7ec02fff,0xeddeffff,
    0x880dffff,0xeeffffff,0xffffffff,0xd00000ff,0x3b332bff,0x001fffff,
    0x09ffff90,0x0006ffd8,0xddffffd0,0xff91dfff,0x0dffb00b,0x0dffb000,
    0xdffff500,0xf955359b,0xff98bfff,0x3ffe601f,0x7fffdc3f,0xffffffff,
    0x3ffa7fff,0xfc800cff,0xffffffff,0x74c03fff,0xffffffff,0xdfffd2ef,
    0x3ffa0000,0xffffffb5,0x7dc0003d,0x7ec03fff,0xd100006f,0xdfffffff,
    0x7dd7fee1,0xffffffff,0x07ffffff,0x001bff60,0x7fffffdc,0xffffffff,
    0x0fffcc0d,0x8bfffea0,0xfffffffb,0xffffffff,0x006f3ba7,0xffffb710,
    0x40019bff,0xefffffeb,0x2ffffc43,0xafff4000,0x03fffffd,0x6ffe8800,
    0x006ffd80,0x3fff2200,0x3fee0bdf,0xffffff75,0xffffffff,0x7fec00ff,
    0x3f260006,0xffffffff,0xfff301df,0xffff7003,0x3ffffee5,0xffffffff,
    0x000007ff,0x800004c4,0x00000098,0x951aaa80,0x00000137,0x2aa60033,
    0x51000002,0x7ffdc001,0xffffffff,0x2007ffff,0x80006ffd,0xabccaa98,
    0x00000009,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00037fec,0x40000000,
    0x01300000,0x00000000,0x00000040,0x02000022,0x00660000,0x00000200,
    0xeeed8001,0xeeeeeeee,0x5dc403ee,0x00dffb01,0x09d95000,0xffb73000,
    0x980159df,0xefffffdb,0x5cc0003e,0xbdefffec,0xfecb8800,0x40002cef,
    0xffffedba,0x76d401bd,0x00ceffff,0x3ffb7260,0x201cefff,0xefffeca8,
    0x7654000c,0x400cdfff,0xfffffffe,0x04ffffff,0x20ffffe2,0x00006ffd,
    0x0004fff8,0x7fffffdc,0x3a01efff,0xffffffff,0x44002fff,0xfffffffe,
    0x2a02ffff,0xffffffff,0xfe98004f,0xffffffff,0xffe984ff,0xffffffff,
    0x3ff6200c,0xffffffff,0xffff505f,0x05ffffff,0xfffffb10,0x7405ffff,
    0xffffffff,0x204fffff,0x40fffffb,0x00006ffd,0x0004fff8,0xffffffb1,
    0x05ffffff,0x3ffffffa,0x02ffffff,0xffffff50,0x5fffffff,0x3ffffee0,
    0x0dffffff,0xfffff900,0xffffffff,0xfffff989,0xffffffef,0xfffff305,
    0xffffffff,0xfffff90b,0x5fffffff,0x7ffffd40,0x4fffffee,0x555bffd0,
    0x35555555,0x7ffffdc0,0x0037fec3,0x027ffc00,0xcefffe80,0xfffeb98a,
    0x41acd82f,0x0ffffda8,0x77fffe40,0xfca999ac,0xefffb82f,0x3fffaa0b,
    0x7fff4406,0xa999bcef,0x3fe24ffc,0x2e609bff,0x7c43fffe,0x209adfff,
    0x7e44cb99,0xd511beff,0xf101ffff,0xff307fff,0x7ffd05ff,0x3fe60000,
    0x7fec4fff,0xff800006,0xffa8004f,0x3ff600ef,0x3f60006f,0x3fea03ff,
    0x835004ff,0x200ffff8,0x3601fffe,0x5003ffff,0x00fffdc5,0xfb17ffe6,
    0x440007ff,0x7fec04fe,0x1fffd84f,0x21bffa20,0x00003ffe,0xb17ffff2,
    0x00000dff,0xd0009fff,0xfb001fff,0x220005ff,0x3fa04fff,0x5c0003ff,
    0x7c401fff,0xfff305ff,0x7ec0003f,0xfffb006f,0x0005fff8,0xff880288,
    0x1fffcc6f,0x217ffd40,0x00003ffe,0x3627fffc,0x2a0006ff,0xfffccccc,
    0xccccccce,0x0bffea3c,0x02fffc40,0x20bfff00,0x0004fffa,0x9005ffe8,
    0xffd01fff,0xfe80003f,0xfff9005f,0x001fffcc,0x3ffa0000,0x007ffdc7,
    0x7f46fff8,0x6c00003f,0x7fec2fff,0x66ff6d46,0xfffffd81,0xffffffff,
    0x3fa6ffff,0x3fa000ff,0xff0001ff,0x3fffa07f,0x7fd40000,0xfff5002f,
    0x05fffa89,0x07ffd800,0x7d4dfff0,0x000004ff,0xb07ffe40,0x7e400fff,
    0x01fff47f,0x3fffe000,0xe8b7fec0,0x3fffffff,0x7fffffec,0xffffffff,
    0xfff16fff,0xfffb800b,0xfff88002,0x04fffa81,0x07ffc800,0x8bffff50,
    0x0001fffe,0x403fffa8,0x3e24fffa,0x000007ff,0xd07ffe40,0x7dc00dff,
    0x0fffa0ff,0xfffb8000,0xf9dffd83,0xffffffff,0x2aaaa63f,0xaaadfffa,
    0xf32aaaaa,0xf98005ff,0xfc8003ff,0x3fff707f,0xbffb0000,0xfffff900,
    0x005fff8d,0x0ffffe00,0x207fffd4,0x000efffe,0xfffb0000,0x2007ffe8,
    0x3fa1fffa,0x000099cf,0x20dfff93,0xefffeffd,0x7fffc99a,0x004fff80,
    0x0007ffea,0x8009fff1,0xf902fffb,0xd00001ff,0x7f4c0bff,0x227fffff,
    0x00004fff,0x47bfffee,0x81ffffc8,0x03fffffa,0x7fc40000,0x07ffe45f,
    0x22fff980,0xfffffffe,0xfd100bdf,0x201dffff,0x04fffffd,0xf805fff9,
    0x3ee004ff,0xff8000ff,0xa999885f,0x201effeb,0x00007ffd,0x3ee09fff,
    0x7ffbdfff,0x000fffe6,0xfffff900,0x01dffffb,0x7fffffe4,0xb800000b,
    0x7fdc2fff,0xfff3003f,0x7fffff47,0x0dffffff,0x1fffffc4,0x0fffff60,
    0x404fff88,0x32004fff,0xff0007ff,0xffff50df,0xe801dfff,0xf00006ff,
    0xffd887ff,0x1fff53ff,0x540bffea,0xffffffff,0xffffd305,0x2a009fff,
    0xdfffffff,0xff300001,0xffff10df,0xfffe9803,0x3fbbbb63,0xefffffff,
    0x02b37a20,0x013fff60,0xff017ffa,0x7fec009f,0xfffd0007,0xffffff50,
    0x7fc07dff,0xf880006f,0x3ffa62ff,0x3ffea1ef,0x203fff91,0xfffffffa,
    0x3ffea05f,0x001dffff,0xffffff91,0xe80003df,0xff701fff,0x95335bff,
    0x07fffffd,0x3fff6a20,0xfd80005f,0xdffb006f,0x004fff80,0x4001fff6,
    0xcc986ffe,0xfffffedc,0x06fff80e,0x2fff8800,0x81bffff7,0xff90fffa,
    0x3ffea03f,0x885fffff,0xfffffffd,0x22003fff,0xfffffffb,0xfffb0004,
    0xffffd807,0xffffffff,0x98002fff,0x0001ffff,0xd8037fec,0x7ffc06ff,
    0x3fff2004,0x5fff8000,0x7ffed400,0x007ffe86,0xfb7fff00,0x3ee07fff,
    0x5fff50ff,0x45ffe800,0x71effff9,0x009fffff,0xfffffb50,0xfffd800b,
    0xffff5005,0xf59fffff,0x2a0003ff,0xfffb3fff,0x7ec3530d,0xdffb006f,
    0x004fff80,0x0007ffee,0x0007fff1,0xfb13fff6,0xd00001ff,0x3dffffff,
    0xf33ffe40,0xfe8007ff,0x3fffe25f,0xffffd883,0xffd30003,0x3f2007ff,
    0x4c4005ff,0x2a1accca,0x10000fff,0x3ff6bfff,0x3fffa26f,0x200dffb4,
    0x7fc06ffd,0x3fea004f,0x7fcc001f,0x3fe0002f,0x0fffe46f,0x7ffec000,
    0x7e400dff,0x13ffe26f,0x6cbffd00,0x7dc03fff,0x20000fff,0xc807fffc,
    0x00005fff,0x001bff20,0x3f2fffd0,0x3fff25ff,0x06ffdaff,0xf80dffb0,
    0x3ea004ff,0x7dc003ff,0x360001ff,0x3fee0fff,0xfc80003f,0xfd003fff,
    0x06fff8bf,0xf8afff40,0xffb005ff,0xfe80005f,0x3ff200ff,0x4000006f,
    0x40004ffe,0xfff95fff,0x7fffffcb,0xb006ffdc,0xfff80dff,0x3ffe2004,
    0x7fff4006,0x3ff20000,0x037ffd47,0x17ffdc00,0x43fff880,0x2002fffe,
    0xfff55ffe,0x3ffea007,0x7fdc0003,0xbfff902f,0xf9800000,0x260001ff,
    0xfff73fff,0x7fffff49,0xb006ffdc,0xffe80dff,0x7ffec005,0x9fff3001,
    0x6ffe8000,0x002fffe8,0x027ffcc0,0x540fffc8,0x3a005fff,0x5fff75ff,
    0x13ffe600,0x3fff7000,0x00bfff90,0xfff88000,0x7fec0004,0x49fff71f,
    0xdafffffc,0xffb006ff,0x06ffd80d,0x02fffd40,0x000fffd8,0x213ffe60,
    0x000efffa,0x007ffec0,0xfe82fff4,0xffd002ff,0x00fffeab,0x0017ffdc,
    0x321fff60,0x00005fff,0x00fffd80,0x97ffee00,0x7ec3fffa,0x0dffb3ff,
    0x901bff60,0xe8005fff,0x7ec04fff,0x220004ff,0xfd01fffe,0x22005fff,
    0x02fffcc0,0x4c07fff6,0xe804ffff,0xdfff15ff,0x1fffd001,0x7ffd4000,
    0x02fffe46,0xff710000,0x801105ff,0x20efffea,0xa983fffa,0x401bff60,
    0x7d406ffd,0x83102fff,0x0adffffa,0x1ffffb51,0xffc88008,0x3fea02ff,
    0x221adfff,0xfe82fda9,0x7ecc0dff,0x7fec05ff,0x4c09beff,0x3ffa5ffe,
    0xffd302ef,0x04deecbf,0x3ffffb30,0x55ffffe4,0xaaaaaaaa,0x4cccc1aa,
    0xfffffcba,0xdddff504,0xfffffffd,0x02fff981,0x200dffb0,0xfd806ffd,
    0xeeeeffff,0xffffb86f,0xfffffeff,0xeeffc81e,0xfffffeee,0xfffa804f,
    0xffffffff,0xfe882fff,0xfffdefff,0xff9005ff,0xfddfffff,0x7c4bffff,
    0xedefffff,0x20effffe,0xeffffffd,0xfffffffe,0x7fffffc2,0xffffffff,
    0x3fe64fff,0xffffffff,0x3ffea01e,0xffffffff,0x1ccc880b,0x00dffb00,
    0x2201bff6,0xfffffffe,0xfff506ff,0xbfffffff,0x3ffff201,0xdfffffff,
    0x3ff62001,0xffffffff,0xffb102ff,0x9fffffff,0xfffe9800,0xffffffff,
    0x7fff4c4f,0xffffffff,0x7fffec0d,0xffffffff,0xffff82ef,0xffffffff,
    0x264fffff,0xffffffff,0xfffa802f,0x0cefffff,0xffd80000,0x0dffb006,
    0x7ffff540,0x32205fff,0x3dfffffd,0x7ffffe40,0x001defff,0x3fffb2a0,
    0x800acdff,0xceffffdb,0x3b6e0002,0xceffffff,0x3fffaa01,0x501dffff,
    0xffffffdb,0x7c05bfff,0xffffffff,0xffffffff,0x33bffe64,0x4c4001ab,
    0x00009aa9,0x06ffd800,0x000dffb0,0x00026662,0x310002a6,0x00013553,
    0x0004c400,0x000054c0,0x0019a980,0x00135310,0x03355330,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x75100000,0xdb0bddb9,0xdddddddd,
    0x3bb2bddd,0xaf764005,0x0001eeec,0xdd717bb6,0xeea8007d,0x3bbbaa3e,
    0x02acdeee,0x003eeec8,0x4cbddd30,0xeeeeeeee,0xeeeeeeee,0xddd71eee,
    0x3bb2003d,0x013bbb23,0x2e277764,0xeeeeeeee,0xeeeeeeee,0xddddd32e,
    0xdddddddd,0xa805dddd,0xfffffffe,0xfffffe86,0x7fffffff,0xd800dffb,
    0x9fff76ff,0x3ffe6000,0x0ffffc44,0x0ffff880,0x3fffffee,0x02efffff,
    0x003fffe6,0x98bfff60,0xffffffff,0xffffffff,0xfff92fff,0x3ff600bf,
    0x03ffff64,0x8dffff10,0xfffffffc,0xffffffff,0xffff53ff,0xffffffff,
    0x207fffff,0xfffffffa,0xffe86fff,0xffffffff,0x0dffb7ff,0xf16ffd80,
    0x32000fff,0xffb81fff,0xfffb006f,0xfffffb87,0xffffffff,0x13fff604,
    0x8bfff300,0xfffffff9,0xffffffff,0xff92ffff,0xfb003fff,0x7fffec9f,
    0x7fffdc03,0x7ffffe46,0xffffffff,0xff53ffff,0xffffffff,0x7fffffff,
    0xdfffff50,0x50555579,0x55555555,0x3f6fffd5,0x7fec006f,0x007fffa6,
    0xe81bffe0,0x7cc02fff,0xfffb86ff,0xfeba9999,0xff102fff,0x7f4003ff,
    0x555441ff,0xfffcaaaa,0xaaaaaaac,0xbfffff90,0x749ffb00,0x7406ffff,
    0x6547ffff,0xcccccccc,0xfffdcccc,0x99999933,0xf9999999,0xffa83fff,
    0x00000cff,0x3f6fffb0,0x7fec006f,0x013ffee6,0x409fff30,0x200ffff9,
    0xfb81fffe,0x3ff200ff,0x3fff207f,0x9fff5005,0x5fff3000,0x3ffff200,
    0x7fec00ff,0x3ffbffa4,0xffbff300,0x3f20000f,0x320000ff,0x7fc44fff,
    0x000001ef,0xffdbffec,0x37fec006,0x800dfff1,0x6401fffc,0xff704fff,
    0x3ffee07f,0x0fffec00,0x01ffff88,0x000fffe8,0x002fff98,0x9ffddff9,
    0x3e4ffd80,0x903ffbff,0x00fff5ff,0x09fff100,0x37ffcc00,0x000fffe4,
    0xbffec000,0x6c006ffd,0x7fff46ff,0x1bffa001,0x07fffa20,0x5c0dfff1,
    0x7dc00fff,0x3fee02ff,0x7ffd406f,0xfff30003,0x3bff2005,0x3600fffb,
    0x27ffe4ff,0x1dff06ff,0x80001fff,0x0000fffc,0xf107fffa,0x000007ff,
    0x7edfff60,0x7fec006f,0x01fffdc6,0x003fff98,0xfd8dfff5,0x3fee01ff,
    0x7ffd400f,0x17fff403,0x000fffd0,0x8017ffcc,0xfff8effc,0xf93ff604,
    0xa83ffd7f,0x0fff8bff,0x3ffe2000,0x3ff20004,0x07ffb84f,0x3f600000,
    0x00dffb7f,0x7c46ffd8,0xff7006ff,0x7fec003f,0x09fff53f,0x400fffb8,
    0x5402fffb,0xff706fff,0x7cc0005f,0xff9002ff,0x403fff2d,0xfff14ffd,
    0xffb13ff2,0x001fff11,0x007ffe40,0x06fff980,0x0000bffb,0xdbffec00,
    0x7ec006ff,0x0fffe86f,0x006ffe80,0x747fffc4,0x7dc00fff,0x7fec00ff,
    0xfffd800f,0x006fff83,0x017ffcc0,0xff36ffc8,0x53ff607f,0xfff37ff8,
    0xfff37fc4,0x3fe20003,0x3fa0004f,0x7fff01ff,0x00d554c4,0x2fffb000,
    0x6c006ffd,0xfffb86ff,0x1fffc403,0x7fffdc00,0xfb802fff,0x3fee00ff,
    0xfff3005f,0x01fffb8f,0x17ffcc00,0x3a6ffc80,0x9ffb07ff,0xffe9ffe2,
    0x7fc5ff72,0xff90001f,0x3f20001f,0xfff104ff,0xfffffb53,0x80003dff,
    0xdffb7ffd,0x86ffd800,0x5c05fff8,0xd0001fff,0x00bfffff,0x2603ffee,
    0x000ffffd,0x7c4ffff2,0x980005ff,0xf9002fff,0x17ffd4df,0xff9a7fec,
    0x7f53fee6,0x007ffe0f,0x017ffe20,0x037ffcc0,0xfffffff3,0xffffffff,
    0x7fec0007,0x800dffb7,0xffd06ffd,0x37fec01f,0xffff3000,0x3fee001f,
    0xffffeeef,0x44001eff,0xfff97fff,0xff300003,0x3ff2005f,0x6c37ff46,
    0x4dff34ff,0x5ff9fff8,0x40017ffc,0x0001fffc,0x5403fffd,0xcdffffff,
    0xffffecba,0xfffb0002,0xb001bff6,0x3fee0dff,0x7fff102f,0xfffe8000,
    0x3ffee006,0xffffffff,0xff70000b,0x009fff9f,0x0bffe600,0x2a37fe40,
    0x7fec2fff,0xfd8dff54,0x7f42ffef,0x7fc4002f,0xff70005f,0xfffa809f,
    0x3fee00bf,0xfd8000ff,0x00dffb7f,0xf106ffd8,0x3fea0bff,0x3ee0000f,
    0x7004ffff,0xffffffff,0xd00003ff,0x01ffffff,0x3ffe6000,0x0dff9002,
    0xffd8dffd,0xfa8dff54,0xffe87fff,0x7ffdc002,0xfff98001,0x1fffb806,
    0x07fff900,0x36fffb00,0x7ec006ff,0x3fffa06f,0x006ffd80,0x3ffffe20,
    0xffb801ff,0xfffd510f,0xffa80007,0x00003fff,0x400bffe6,0xffb86ffc,
    0x553ff61f,0xffff86ff,0x003ffe84,0x0017ffe2,0x400ffff4,0x1002fffa,
    0xb000bfff,0x1bff6fff,0x40dffb00,0x7c42fffb,0x360003ff,0x6fffcfff,
    0x80fffb80,0x0001fffd,0x0037fff4,0x0bffe600,0xf837fe40,0x53ff65ff,
    0xffc85ffb,0x03ffe81f,0x00bffee0,0x013ffee0,0x0017ffcc,0xb000dffd,
    0x1bff6fff,0x40dffb00,0x7d45fff8,0xf70000ff,0x3fff69ff,0x07ffdc03,
    0x0037ffc4,0x00fffea0,0x5fff3000,0x41bff200,0xffb1fffb,0x2617fee9,
    0x7ffd06ff,0x1bffe200,0x1bffe600,0x03fff880,0x001fff60,0x7fedfff6,
    0x2fff4007,0xd83fffa0,0xf10006ff,0x3fe21fff,0x3fee00ff,0x7fff700f,
    0x7ffcc000,0x7cc00002,0xff9002ff,0x53ffe20d,0xbff94ffd,0x7ec02660,
    0xfff7004f,0xfffd0005,0x4fff8003,0x01bffa00,0x7e5bffa0,0x7ffc007f,
    0x97ffdc04,0x0003fff8,0xfb87fffb,0x3fee05ff,0xdfff100f,0x7ffcc000,
    0x7cc00002,0xff9002ff,0x47ffe40d,0xbff94ffd,0x13ff6000,0x0037ffc0,
    0x0027ffdc,0xf0037ff4,0xff0009ff,0x03ffeebf,0x017ffc40,0x7d53ffe2,
    0xfa8000ff,0xfffd06ff,0x03ffee05,0x002fffc8,0x005fff30,0x2fff9800,
    0x40dff900,0xffdbfff8,0x000bff94,0x2e017ff6,0x44002fff,0x70006fff,
    0xf5003fff,0xf98005ff,0x9fff54ff,0x07fff200,0x7edfffa0,0xff88006f,
    0xfff501ff,0x1fff701f,0x037ffc40,0x02fff980,0x7ffcc000,0x0dff9002,
    0xffdfffd8,0x0009ffb4,0x3e017ff6,0xfe8006ff,0xf10001ff,0xfe880bff,
    0xb00730ef,0x7ffc3fff,0x7ffc400f,0x5fff7005,0xb0007fff,0xfd809fff,
    0xfffb85ff,0x17ffec00,0x17ffcc00,0x3fe60000,0xdff9002f,0xfffff980,
    0x009ffb4f,0x7017ff20,0xb8007fff,0x40004fff,0x980dfffc,0x3e61fffe,
    0x3fa609bf,0x7ffd44ff,0xffff502f,0x3ffe2001,0x4000fffe,0x400ffffa,
    0x5c2ffff8,0x7cc00fff,0xf98006ff,0x400002ff,0x9002fff9,0xffb00dff,
    0x3ffa9fff,0xdff90004,0x007fff80,0x55ffffc4,0xaaaaaaaa,0x3fa22aaa,
    0xfeccefff,0x7fcc4fff,0xffffffff,0xfffe80ff,0xfffedeff,0x7f4003ff,
    0x4006ffff,0x003fffe8,0xfb8dfff7,0xffd800ff,0x7fcc002f,0x4c00002f,
    0xf9002fff,0xfff300df,0x13ffa9ff,0x037fe400,0x8007fff7,0xfffffffd,
    0xffffffff,0x7fec45ff,0xffffffff,0xfffff982,0x00dfffff,0xffffff91,
    0x005fffff,0x7fffff70,0x6fffc800,0x27fff400,0x3001fff7,0x9800dfff,
    0x00002fff,0x8017ffcc,0xfd006ffc,0x3ffa9fff,0xdff90003,0x003fffc0,
    0x7fffffec,0xffffffff,0xfd705fff,0x019dffff,0x7ffff64c,0xfb3003df,
    0x19dfffff,0x3ffe2000,0x3e6000ff,0x54001fff,0xff71ffff,0x3ffa001f,
    0x3fe6001f,0x4c00002f,0xf9002fff,0x3fea00df,0x07fff4ff,0x41ffee00,
    0x8003fffb,0xfffffffd,0xffffffff,0x1a8805ff,0x01331000,0x01a98800,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00bbba00,0xa8777440,0xeeeeeeee,0x3eeeeeee,
    0xc800bdd9,0xff7004ee,0xeeec807f,0xeeeeeeee,0xdddb1eee,0xdddddddd,
    0x3bb23ddd,0xabcdeeee,0xeec80000,0x902eeb80,0xbddddddd,0x80001599,
    0x001eeeed,0x2e00bdd9,0x3bb23eee,0xbcdeeeee,0x7fc00002,0xff10003f,
    0x3fffee1f,0xffffffff,0xfffb4fff,0x06ffe800,0x1fffffdc,0x3fffff60,
    0xffffffff,0xfffffd2f,0xffffffff,0x3ffff65f,0xffffffff,0x3ffa0003,
    0xb02ffc80,0xffffffff,0x0039ffff,0x7fffff50,0x01bff600,0xd83bffea,
    0xffffffff,0x000bffff,0x003ffe80,0x7dcfff30,0xffffffff,0xb4ffffff,
    0xfe800fff,0xfffd506f,0xfd807fff,0xffffffff,0xfd2fffff,0xffffffff,
    0x365fffff,0xffffffff,0x01efffff,0xfb07ff80,0x3fff603f,0xffffffff,
    0x64001fff,0x006fffff,0xf880dffb,0x7fec0fff,0xffffffff,0x0001ffff,
    0x8001fff4,0x26627ff9,0xbfffb999,0xfb099999,0xffe800ff,0x7ffff546,
    0x6c03ffff,0xaaaaafff,0xd0aaaaaa,0x33333dff,0x21333333,0xa999effd,
    0xfffffecb,0x1bfe2003,0xfd807ff4,0xba9999ef,0x00effffd,0x3fffffe0,
    0x6ffd800f,0x07fffa20,0x2667bff6,0xffffdba9,0x3f60000e,0xff50004f,
    0x5fff300d,0x007ffd80,0xfe8b7ff4,0xffccffff,0x3ffec03f,0x05ffe800,
    0x80dffb00,0x00ffffe9,0x3e0bff30,0x1bff607f,0x07fffd10,0x3ebffea0,
    0xffd803ff,0x0bfff606,0x22037fec,0x0006fffd,0x40013ff6,0xf9806ffa,
    0x7fec02ff,0x37ff4007,0x2e3bfffd,0x7ec03fff,0xffd0007f,0x3ff6000b,
    0x9fff9006,0x417fea00,0x3ff607ff,0x4fff9806,0x3edff900,0xffd806ff,
    0x09fff706,0x44037fec,0x0001fffe,0x2000bff9,0xf9805ffa,0x7fec02ff,
    0x37ff4007,0xffb83df5,0x3ffec03f,0x05ffe800,0x00dffb00,0x400ffff4,
    0xff884ffa,0x01bff606,0xf8037ffc,0x1fff93ff,0x986ffd80,0x7ec05fff,
    0xfff5006f,0x3ff20005,0xbff70005,0x05fff300,0x4007ffd8,0xb8146ffe,
    0x7ec03fff,0xffd0007f,0x3ff6000b,0x3ffea006,0xffffff85,0xffffffff,
    0xb1ffffff,0x3fe00dff,0xfffa804f,0x807fff31,0x7fc46ffd,0x7fec00ef,
    0x9fff1006,0x1bfee000,0x027fdc00,0x2017ffcc,0x74007ffd,0xff7006ff,
    0x7ffd807f,0x0bffd000,0x01bff600,0xff0fffd0,0xffffffff,0xffffffff,
    0x1bff63ff,0x00bffe20,0xfff1bff2,0x46ffd80d,0xd800fffe,0x3fe006ff,
    0xff70005f,0x6417b60d,0xff9804ff,0x3ffec02f,0x01bffa00,0x201fffdc,
    0xd0007ffd,0x36000bff,0x7ec006ff,0x666640ff,0xccccdffe,0xcccceffe,
    0x900dffb0,0xff001fff,0x0fffd89f,0xfc9bff60,0xffb001ff,0x3ffe200d,
    0xfff50004,0x903fff10,0xff3007ff,0x7ffd805f,0x037ff400,0x403fffb8,
    0xd0007ffd,0x36000bff,0x7e4006ff,0x7ff401ff,0x203ffc80,0x7dc06ffd,
    0xffa805ff,0x1fffd41f,0x3eadffb0,0x3f6003ff,0xfff3006f,0x3fe60007,
    0x84fffb87,0xf9803ffd,0x7fec02ff,0xaaaaaaaf,0x6ffeaaaa,0x07fff700,
    0x0007ffd8,0x5555dffd,0x45555555,0x5c006ffd,0x7fc02fff,0x02ffc80f,
    0x2aabfff6,0x5ffffcaa,0x10fff900,0x7ec0dfff,0x04fff9ef,0x8037fec0,
    0x0001fffd,0xffb0fff3,0x05ffb0df,0x805fff30,0xfffffffd,0xffffffff,
    0xff7006ff,0xfffd807f,0xffffffff,0x3fffa5ff,0xffffffff,0x1bff66ff,
    0x07fff500,0xffb07ff8,0x7fffec03,0xefffffff,0x13ffe001,0xd807ffec,
    0x05ffeeff,0x806ffd80,0x0004fffb,0xf883ffe2,0x7f41ffff,0xfff9802f,
    0x7fffec02,0xffffffff,0x006fffff,0xd807fff7,0xffffffff,0x3a5fffff,
    0xffffffff,0x366fffff,0x7cc006ff,0x3fe204ff,0x401ffd06,0xfffffffd,
    0x03efffff,0x502fff98,0x3f607fff,0x006fffff,0x2606ffd8,0x000ffffd,
    0xb83ffe20,0x744ffeff,0xff9801ff,0x7ffec02f,0xcccccccc,0x06fffccc,
    0x807fff70,0xfffffffd,0x25ffffff,0xcccceffe,0x23cccccc,0x54006ffd,
    0x3e603fff,0x80fff05f,0xccccfffd,0xdffffffe,0x81fff200,0xfb05fff8,
    0x09fff9df,0xeefffd80,0xfffffeee,0xff80001f,0x3ebff60f,0x00fff47f,
    0x2017ffcc,0x74007ffd,0xff7006ff,0x7ffd807f,0x0bffd000,0x01bff600,
    0x405fff70,0xfff05ffa,0x206ffd80,0x05ffffb8,0xfd017ffe,0xdffb01ff,
    0x800bfffa,0xfffffffd,0x00cfffff,0x23fff000,0x3fff5ff8,0x4c007ffc,
    0x7ec02fff,0x7ff4007f,0x7fff7006,0x007ffd80,0x000bffd0,0x9001bff6,
    0x4ccc5fff,0x999dffb9,0x999eff99,0x4037fec1,0x981ffff9,0x7dc02fff,
    0x6ffd83ff,0x003ffff1,0x3ffffff6,0x001defff,0xa8fff400,0x49ffb3ff,
    0xff3007ff,0x7ffd805f,0x037ff400,0x403fffb8,0xd0007ffd,0x36000bff,
    0x7ec006ff,0xffff10ff,0xffffffff,0xffffffff,0x8037fec1,0xfc84fffb,
    0x999999ff,0x85fffa99,0x3fea6ffd,0xffd800ef,0x001aaaaf,0x97ff4000,
    0xfff50ffd,0x4c01ffe2,0x7ec02fff,0x7ff4007f,0x7fff7006,0x007ffd80,
    0x000bffd0,0x8801bff6,0x3fe26fff,0xffffffff,0xffffffff,0x1bff60ff,
    0x42fffc40,0xffffffff,0xffffffff,0x237fec0f,0xd805fffc,0x000006ff,
    0xf8bffd80,0x457ffc6f,0xff3007ff,0x7ffd805f,0x037ff400,0x403fffb8,
    0xd0007ffd,0x36000bff,0x3f2006ff,0x555544ff,0xaaaacffe,0x2aaadffd,
    0x88037fec,0x7fcc5fff,0xffffffff,0x2fffffff,0x7f437fec,0x7fec03ff,
    0x80000006,0x3ffabffd,0x7fc6ffe4,0x5fff3006,0x007ffd80,0xb8037ff4,
    0x7ec03fff,0xffd0007f,0x3ff6000b,0xffff1006,0x80ffe803,0x7ec03ffc,
    0xfff3006f,0xfffffc87,0xffffffff,0x7ec5ffff,0xffff886f,0x01bff602,
    0x3f200000,0x4c0ffdcf,0x06ff9fff,0x805fff30,0x74007ffd,0xff7006ff,
    0x7ffd807f,0x0bffd000,0x01bff600,0x013fff62,0x3f203ffe,0x37fec02f,
    0x41fffc80,0x9999dfff,0xe9999999,0x3ff60fff,0x1ffff506,0x001bff60,
    0x3fee0000,0xfff06ffd,0x2600bff9,0x7ec02fff,0x7ff4007f,0x7fff7006,
    0x007ffd80,0x000bffd0,0xf501bff6,0xf001dfff,0x07ff60ff,0x500dffb0,
    0xff98dfff,0x7fdc003f,0x81bff62f,0xfb06fffc,0x000000df,0x7fffff70,
    0x3fffff20,0x4ccccc45,0x999bfffb,0x0fffb099,0x226ffe80,0xfdaaaaaa,
    0xaaaaadff,0x000fffb0,0x2667bffa,0x99999999,0x333dffb0,0xffffd973,
    0xdff1003d,0xb003ffa0,0xd7330dff,0xfc83ffff,0x7cc000ff,0x1bff65ff,
    0xb09fffb0,0x00000dff,0xfffff500,0x3fffe603,0x7fffdc4f,0xffffffff,
    0xfffb4fff,0x26ffe800,0xfffffffa,0xffffffff,0x00fffb3f,0x3fffffa0,
    0xffffffff,0xfffffb2f,0xffffffff,0x3fe6001b,0xb00fff05,0xffffffff,
    0x03ffffff,0x2000dfff,0xffb0fffe,0xffff880d,0x0037fec3,0x7fd40000,
    0x7ff406ff,0x7ffdc4ff,0xffffffff,0xffb4ffff,0x6ffe800f,0x3fffffea,
    0xffffffff,0x0fffb3ff,0x3ffffa00,0xffffffff,0xffffb2ff,0xbfffffff,
    0x5ffa8005,0xfb00fff0,0xffffffff,0xf3019fff,0x320007ff,0xdffb2fff,
    0x3ffff300,0x00037fec,0x7ffcc000,0x7ffe403f,0x7fffdc3f,0xffffffff,
    0xfffb4fff,0x26ffe800,0xfffffffa,0xffffffff,0x00fffb3f,0x3fffffa0,
    0xffffffff,0xfffffb2f,0x00179bdf,0x2213fee0,0xffd806ff,0xcdefffff,
    0x3fff200b,0xfff30000,0x401bff6b,0xfb0efffb,0x000000df,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xddddb000,0x17774405,0x0000e000,0x2601c000,0xcdefeecb,
    0x76dcc002,0x88001bce,0xaceeecb9,0xedba8800,0xa8001bce,0xcdeffecb,
    0x00f32a0b,0xccb9e65c,0x67765441,0xa8399502,0x881cdfed,0x0fbaa2cc,
    0x00077b6a,0x3ffffee0,0x0fffe603,0x00efc800,0xfb100000,0xfffff50b,
    0x3dffffff,0xffffe880,0x2004ffff,0xfffffffb,0x3ea01fff,0xffffffff,
    0xffea800d,0xffffffff,0x401bff61,0x5ffd6ffd,0x7fffffdc,0x13ffd84f,
    0xfffffffd,0xf94ff887,0x7fdcffff,0x20001fff,0x3ffffff8,0x00fffe60,
    0x0f7ffdc0,0x3a200000,0x7fe43fff,0xffffffff,0xff300fff,0xffffffff,
    0x7f4403df,0xffffffff,0xfff901ff,0xffffffff,0x7ffdc05f,0xffffffff,
    0x01bff61f,0xffeb7fec,0xffffff92,0xffd8bfff,0xffffff9b,0x3e23ffff,
    0xfffff9cf,0xfffff9af,0x3f60004f,0x203fffff,0x0003fff9,0x00bffff2,
    0x7ffcc000,0xacffc85f,0xffeb9899,0xffff986f,0xfffb310a,0x3fffe20d,
    0xeba99acf,0xefffd81f,0xffeb98ab,0xfff980ff,0x753109be,0x037fec1b,
    0xffd6ffd8,0x337fffb7,0x6c1ffff7,0xadfffdff,0x0ffffc99,0x19fdbff1,
    0x1bfd9ff9,0x2000fff7,0xfffbfffb,0x0fffe603,0xffff7000,0xfa800007,
    0x03303fff,0xd07fffa0,0x7e401dff,0xfffd82ff,0x2604c00e,0x3600efff,
    0xffd84fff,0xffd8000f,0x2dffb006,0x0dfffffe,0x364fffa8,0x903fffff,
    0x3fe25fff,0x3ffe66ff,0x03ffe26f,0x39fff100,0x7cc07fff,0x980003ff,
    0x0004ffff,0x05ffff90,0x3ffee000,0x007ffea3,0xff51fffa,0x7f4000bf,
    0xfffd006f,0x005ffe83,0x200dffb0,0xfffd6ffd,0x5ffe80bf,0x80fffff6,
    0xff14fff8,0x7ffc43ff,0x07ffe22f,0x26dffb00,0x3e603fff,0x100003ff,
    0x001bfffd,0x3bfff620,0x3e200001,0x17ffa4ff,0xf0fffd40,0x20001fff,
    0x5003fffa,0xffe89fff,0xdffb0006,0x75bff600,0xfd805fff,0x13fff66f,
    0x7c57ffa0,0x7ffc45ff,0x001fff86,0x7cc7ffea,0x3fe603ff,0x2200003f,
    0x001efffd,0x06ffff44,0x7ff40000,0x007fff15,0x7c4bffe6,0x320004ff,
    0x7f4007ff,0x67ffe45f,0x37fec000,0xfd6ffd80,0xff9001df,0x8037fecf,
    0xfff16ffd,0x82fff883,0xf1001fff,0x7ffcc9ff,0x0fffe603,0x3ff20000,
    0xff3002ff,0x000009ff,0xff9afff4,0xfff1001f,0x00bffea7,0x005ffd80,
    0x3e637fec,0x001cffff,0x3600dffb,0x0bffd6ff,0xfd866620,0xdffb006f,
    0xf103ffe2,0x3fff01ff,0x83bff200,0x2603fff9,0x00003fff,0x07ffff50,
    0x03ffffa8,0xffdb7100,0xbfffffff,0x3bbbffea,0xeeeeeeee,0xfff74fff,
    0x7ff40001,0x3ffe4004,0x7fffffd4,0x3ff600be,0x2dffb006,0x40005ffe,
    0xfb006ffd,0x03ffe2df,0xff01fff1,0xfff3003f,0x03fff985,0x000fffe6,
    0xffff9800,0x3ffff904,0x3fff2000,0xffffffff,0xffff75ff,0xffffffff,
    0x369fffff,0x7c0007ff,0x7dc004ff,0xffe980ff,0x82efffff,0xfb006ffd,
    0x017ffadf,0x00dffb00,0x7fc5bff6,0x07ffc40f,0x7400fffc,0xfff984ff,
    0x0fffe603,0xfd100000,0xfffd8bff,0xff90000e,0x9999ddff,0x3eebfff9,
    0xeeeeeeff,0xeeeeeeee,0x000fff93,0x4004fff8,0x6d407ffb,0xdfffffff,
    0x401bff60,0xbffd6ffd,0x6ffd8000,0x22dffb00,0x7fc40fff,0x01fff80f,
    0x4c07ffe4,0x3e603fff,0x000003ff,0x21ffffd4,0x003ffffa,0x01efffb8,
    0xffaafff4,0x7dc0001f,0x3a0001ff,0x7e4005ff,0x3f6a006f,0x3f64ffff,
    0xdffb006f,0x00017ffa,0x3600dffb,0x1fff16ff,0xf80fff88,0x3fe601ff,
    0x7fff302f,0x01fffcc0,0xfff70000,0x3ffe605f,0x7ff4004f,0x5ffe800f,
    0x0005fff3,0x002fffa8,0x001bff60,0x1000bffb,0x363ffff9,0xffb006ff,
    0x0017ffad,0x200dffb0,0xfff16ffd,0x80fff881,0x3fa01fff,0x3ffe605f,
    0x0fffe603,0x7fec0000,0x7f4401ef,0xff000eff,0x3ffa009f,0x009fff15,
    0x04fff980,0x03fff200,0x027ffc40,0x25fff700,0xf8807ffc,0x0bffd6ff,
    0x06ffd800,0x3e2dffb0,0x7ffc40ff,0x701fff80,0x7cc01fff,0x3fe603ff,
    0x4400003f,0x000dfffe,0x007bfff6,0x3007fff3,0x7ff4bfff,0x7fc0000f,
    0xf50001ff,0x3f2009ff,0x220001ff,0xfff73fff,0x7fff4401,0x000bffd6,
    0xb006ffd8,0x3ffe2dff,0x407ffc40,0xff881fff,0x7ffcc02f,0x0fffe603,
    0xfff98000,0xff90004f,0x7fc405ff,0x7ffe405f,0x17ffea5f,0xdfff7000,
    0x3ffa0001,0x7ffd401f,0x7fe40004,0x07fff52f,0x5bffffa2,0x40005ffe,
    0xfb006ffd,0x03ffe2df,0xff01fff1,0x0bffb03f,0x407fff30,0x0003fff9,
    0x07ffff50,0xffffa800,0x0bfffe03,0x3fffffa6,0x177fff45,0x7ff40cc0,
    0xda880bff,0x1ffffcc1,0x07fffdc4,0xf5002ae2,0x3fe21fff,0x7ff4c1ff,
    0xbffd6fff,0x6ffd8000,0x22dffb00,0x7fc40fff,0x41fff80f,0xfffffff8,
    0xffffffff,0x267fffff,0x80003fff,0x002ffffc,0xbffff300,0x3bfffee0,
    0xdeffffdc,0x7ffcc5ff,0xdcccefff,0xff984ffe,0xfeefffff,0xffc81fff,
    0xffedefff,0xff982fff,0xfedceeef,0x7e43ffff,0xffedefff,0xfd6ffbdf,
    0xfd8000bf,0xdffb006f,0xf103ffe2,0x3fff01ff,0xffffff88,0xffffffff,
    0x27ffffff,0x0003fff9,0x00f7ffec,0x3ffa2000,0xfffd80ef,0x74ffffff,
    0xffb10bff,0xffffffff,0x3f2209ff,0xffffffff,0xfff501ff,0xdfffffff,
    0x3fffe601,0xffffffff,0xfffe882f,0xf54fffff,0x017ffadf,0x00dffb00,
    0x7fc5bff6,0x07ffc40f,0x3e20fffc,0xffffffff,0xffffffff,0x3fe67fff,
    0xfd10003f,0x00001bff,0x3bfff620,0xfffffa81,0x17fee1df,0xffffeda8,
    0x401cefff,0xfffffed9,0x36200bdf,0x3dfffffe,0x7fff6c40,0x0befffff,
    0x7ffffe40,0x75bfea2e,0x6c0005ff,0xffb006ff,0x103ffe2d,0xfff01fff,
    0xff300003,0x7ffcc07f,0xfff50003,0x20000009,0x2202fffc,0x400000a9,
    0x00099aa9,0x00026620,0x10000a98,0x01355333,0x00135100,0x00000000,
    0x00000000,0x3fff9800,0x00fffe60,0x0003fa80,0x017d4000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x26000000,0x3e603fff,
    0x99999cff,0x08199999,0x10000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x4c07fff3,0xffffffff,0x1fffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x980fffe6,0xffffffff,0x1fffffff,0x65400000,0x64c002cc,
    0x199911cc,0x33322000,0x99999930,0x99999999,0x16666419,0x01999900,
    0x8000ffd0,0x3000eee9,0x33333333,0x33333333,0xb17fff61,0x2a20bfff,
    0x0000001a,0x7fff3000,0x7ffffcc0,0xffffffff,0xff3001ff,0x3fe6003f,
    0x7fec006f,0x05fff10f,0x47ffe600,0xfffffffa,0xffffffff,0x03fffea1,
    0x017fff20,0x200037f4,0x9805fffd,0xffffffff,0xffffffff,0x8bfff92f,
    0x7445fffc,0x401effff,0x00000998,0x00000000,0x3fff3000,0x07fff400,
    0x45fff880,0x50003fff,0x7ffd4fff,0xffffffff,0x7e41ffff,0x7fcc05ff,
    0xdfb000ef,0x7ffd4000,0x7fcc01ff,0xffffffff,0x2fffffff,0xfc89fff9,
    0x3ffa24ff,0x203fffff,0x00004ffc,0x00000000,0x3fff3000,0x1fffdc00,
    0x42fffb80,0x70004ffe,0x55544dff,0xbaaaaaaa,0xfe80ffff,0x3ffa03ff,
    0xfc82a81f,0xfe803a85,0x4c06ffbf,0xeeeeeeee,0xeeeeeeee,0x89fff71e,
    0x3f24fffb,0xffffffff,0x009ffd04,0x00000000,0x3e600000,0x3e2001ff,
    0xffd006ff,0x00bff90f,0x0017ff20,0x980ffff4,0xfc80ffff,0xdff883ff,
    0xfc897f20,0x4ffee00f,0x00003ffe,0x13ffee00,0x3e27fff7,0xfff50cff,
    0x2fff889f,0x00000000,0x30000000,0xc8003fff,0x7c401fff,0x6ffb84ff,
    0x3f605550,0xffc8004f,0x7ffdc03f,0x82fffcc6,0xf72ffffa,0x0ffffa69,
    0xff337fc4,0x0000001f,0xf50fffea,0x3ffea7ff,0x77fff440,0x007fffbb,
    0x00000000,0x3e600000,0x7cc001ff,0x7fdc04ff,0x87ffa81f,0xfe80fff8,
    0x7fd4003f,0xfffb005f,0x03bffa27,0xbdfffc88,0x1dfffccf,0xfb0bff20,
    0x000000bf,0xf50fffea,0x1bfee5ff,0x7fffff44,0x00003fff,0x00000000,
    0x3ffe6000,0x7ffe8001,0x9837ff40,0x7fd40fff,0x02fff83f,0x03bffe60,
    0x4ffff440,0x1001fffc,0xfffffff9,0x6ff9803b,0x301fff88,0x33333333,
    0x33333333,0x30bffe61,0x3bae5fff,0x3fff6204,0x00004fff,0x00000000,
    0x7ffcc000,0xfffb8001,0x07fff302,0xfb07ffe2,0xfff88dff,0xfffd1001,
    0xfff98003,0x8003ffff,0x01efffd8,0x2e05ffb0,0xfff986ff,0xffffffff,
    0x32ffffff,0xff985fff,0xdb50001f,0x0000059d,0x00000000,0xdddddd30,
    0xdddfffdd,0x103ddddd,0x3f20bfff,0x3ffe00ff,0x3ffffe22,0x801ffe60,
    0x0002fffd,0x0bfffff7,0xffffb300,0xffa803bf,0x21fff405,0xfffffff9,
    0xffffffff,0x199912ff,0x000ccc88,0x00000000,0x00000000,0x7fffffcc,
    0xffffffff,0xb02fffff,0xfff01fff,0x23ffe809,0x23ffeffa,0xf7007ff9,
    0xe80009ff,0x2000ffff,0xefdfffd9,0xfd01dfff,0xfffa803f,0x3bbbba60,
    0xeeeeeeee,0x0001eeee,0x00000000,0x00000000,0xffff3000,0xffffffff,
    0x5fffffff,0x50fffea0,0xfc803fff,0x3e7ff64f,0x017fea6f,0x001bffe6,
    0x5fffff30,0xbfffb300,0xffb19f71,0x2ffdc3df,0x005ffe80,0x00000000,
    0x00000000,0x00000000,0x2aaaaa20,0xacfffbaa,0x00aaaaaa,0xffb1bffa,
    0x4bff700d,0x23ffd5ff,0x7c404ffb,0x20000fff,0xffffffe8,0x17ffcc00,
    0x7ffd4bf9,0x001fff11,0x2207ffe6,0x701ffffd,0x77777777,0x77777777,
    0x5c777777,0xeeeeeeee,0x00004eee,0x00000000,0x7ffcc000,0x3fee0001,
    0x07fff11f,0x3eadff50,0x329ff93f,0x7fec03ff,0x7ec0002f,0x0efffbff,
    0x3f2066c0,0x5512ec45,0x1aaa8005,0x07fffee0,0x3ffffffe,0xffffffff,
    0x7fffffff,0x3fffffee,0x004fffff,0x00000000,0x7cc00000,0x220001ff,
    0xfff74fff,0x2fff3001,0xdff30ffc,0xfc80bff6,0x5c0004ff,0xfff74fff,
    0x1bf6000b,0x80000000,0x7c1fffe9,0xffffffff,0xffffffff,0x2e7fffff,
    0xffffffff,0x00004fff,0x00000000,0x7ffcc000,0x7fec0001,0x200bffd7,
    0x5ff8fff8,0x7ff4fff4,0x0bfff501,0x6fffa800,0x001fffec,0x000037ec,
    0x3f620000,0x2aaaa1ff,0xaaaaaaaa,0xaaaaaaaa,0x2eee62aa,0xbbbbbbbb,
    0x00000002,0x00000000,0x000fffcc,0x3ebffea0,0x3fe001ff,0x7dc3ffbf,
    0x880fffcf,0x0000efff,0x107fffe2,0x8003ffff,0x000007fe,0xfff70000,
    0x00000003,0x00000000,0x00000000,0x0fffcc00,0x7fffc000,0x7f4006ff,
    0x7c40ffff,0xfd07ffff,0xe80003ff,0xff503fff,0x554001ff,0x00000002,
    0x00000000,0x00000000,0x00000000,0xff980000,0xfc80001f,0x4003ffff,
    0xd05ffffd,0xf70bffff,0xffffffff,0x8fffffff,0x6c05fffc,0x00006fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3fff3000,0xfff10000,
    0xfb8001ff,0xff703fff,0xfff909ff,0xffffffff,0x7d4fffff,0x74400fff,
    0x00004fff,0x00000000,0x00000000,0x00000000,0x00000000,0x1eee8800,
    0xfffb0000,0xfff5000b,0x3ffe201f,0xffffc83f,0xffffffff,0xfff37fff,
    0x3fe6005f,0x000002ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_42_usascii_x[95]={ 0,8,5,0,2,0,1,9,6,5,3,1,4,5,
7,2,1,2,3,3,0,3,2,2,2,2,8,5,2,2,4,6,0,0,3,1,2,4,4,1,2,3,3,3,
4,1,2,1,3,1,3,2,1,2,0,0,0,0,2,7,3,5,2,0,0,2,3,3,2,2,0,1,3,3,
2,3,3,1,3,1,3,2,4,3,1,3,1,0,1,1,3,3,9,4,1, };
static signed short stb__consolas_42_usascii_y[95]={ 31,2,2,4,0,1,2,2,0,0,2,9,24,18,
24,2,3,4,3,3,4,4,4,4,3,3,10,10,8,14,8,2,1,4,4,3,4,4,4,3,4,4,4,4,
4,4,4,3,4,3,4,3,4,4,4,4,4,4,4,1,2,1,4,36,2,10,2,10,2,10,1,10,2,1,
1,2,2,10,10,10,10,10,10,10,3,10,10,10,10,10,10,1,-3,1,15, };
static unsigned short stb__consolas_42_usascii_w[95]={ 0,7,13,23,19,23,23,5,12,12,17,21,11,13,
8,18,21,19,18,18,23,17,19,19,19,19,7,11,17,19,17,13,23,23,18,20,20,16,16,20,19,17,15,19,
17,22,19,21,18,23,19,19,21,19,24,23,23,24,19,11,18,12,19,24,14,18,18,17,18,19,22,21,17,18,
16,19,18,21,17,21,18,18,18,17,19,17,21,23,21,21,17,16,5,16,21, };
static unsigned short stb__consolas_42_usascii_h[95]={ 0,30,10,27,36,31,30,10,40,40,18,21,15,4,
8,34,29,27,28,29,27,28,28,27,29,28,22,29,24,11,24,30,39,27,27,29,27,27,27,29,27,27,28,27,
27,27,27,29,27,36,27,29,27,28,27,27,27,27,27,39,34,39,14,4,9,22,30,22,30,22,30,30,29,30,
39,29,29,21,21,22,30,30,21,22,29,22,21,21,21,30,21,39,43,39,9, };
static unsigned short stb__consolas_42_usascii_s[95]={ 255,239,209,138,157,215,20,241,20,7,151,
43,241,229,247,196,101,63,184,61,1,223,1,216,144,203,247,240,61,189,43,
85,109,181,162,80,117,100,83,123,43,25,21,205,25,193,173,39,225,133,106,
164,151,37,57,1,82,126,236,80,177,50,169,204,189,79,1,118,118,98,156,
179,1,137,92,201,221,231,213,136,99,44,194,158,19,176,65,87,129,63,111,
33,1,63,223, };
static unsigned short stb__consolas_42_usascii_t[95]={ 1,1,188,135,1,1,45,92,1,1,188,
188,76,200,92,1,76,135,76,76,163,76,106,106,76,76,1,45,163,188,163,
45,1,135,135,76,135,135,135,76,135,135,106,135,163,106,106,76,135,1,106,
76,106,106,106,135,106,106,106,1,1,1,188,200,200,163,45,163,45,163,45,
45,76,45,1,45,45,163,163,163,45,45,163,163,76,163,188,188,188,45,188,
1,1,1,188, };
static unsigned short stb__consolas_42_usascii_a[95]={ 369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_42_usascii_BITMAP_HEIGHT or STB_FONT_consolas_42_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_42_usascii(stb_fontchar font[STB_FONT_consolas_42_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_42_usascii_BITMAP_HEIGHT][STB_FONT_consolas_42_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_42_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_42_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_42_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_42_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_42_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_42_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_42_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_42_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_42_usascii_s[i] + stb__consolas_42_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_42_usascii_t[i] + stb__consolas_42_usascii_h[i]) * recip_height;
            font[i].x0 = stb__consolas_42_usascii_x[i];
            font[i].y0 = stb__consolas_42_usascii_y[i];
            font[i].x1 = stb__consolas_42_usascii_x[i] + stb__consolas_42_usascii_w[i];
            font[i].y1 = stb__consolas_42_usascii_y[i] + stb__consolas_42_usascii_h[i];
            font[i].advance_int = (stb__consolas_42_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_42_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_42_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_42_usascii_s[i] + stb__consolas_42_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_42_usascii_t[i] + stb__consolas_42_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_42_usascii_x[i] - 0.5f;
            font[i].y0f = stb__consolas_42_usascii_y[i] - 0.5f;
            font[i].x1f = stb__consolas_42_usascii_x[i] + stb__consolas_42_usascii_w[i] + 0.5f;
            font[i].y1f = stb__consolas_42_usascii_y[i] + stb__consolas_42_usascii_h[i] + 0.5f;
            font[i].advance = stb__consolas_42_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_42_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_42_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_42_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_42_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_42_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_42_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_42_usascii_LINE_SPACING
#endif

