// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_43_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_43_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_43_usascii_BITMAP_WIDTH         256
#define STB_FONT_consolas_43_usascii_BITMAP_HEIGHT        222
#define STB_FONT_consolas_43_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_consolas_43_usascii_FIRST_CHAR            32
#define STB_FONT_consolas_43_usascii_NUM_CHARS             95

#define STB_FONT_consolas_43_usascii_LINE_SPACING          28

static unsigned int stb__consolas_43_usascii_pixels[]={
    0x00003555,0x22000000,0x555552a9,0x26155555,0xaaaaaaaa,0x0135511a,
    0xdb100000,0xb7300019,0x000037bd,0x0000554c,0x137bb731,0xc9800000,
    0x099930cc,0x00000000,0x21333260,0x0be23ffe,0x00b90000,0xdffffb30,
    0x3ffffffe,0xfffb2fff,0x29ffffff,0x0cfffff8,0xff880000,0x3a2006ff,
    0xffffffff,0xffd80002,0xfffb0002,0x01dfffff,0x3ff20000,0x00bffe26,
    0x7f654000,0x54001cef,0xffe87fff,0x003ffd13,0x017fee00,0xffffffc8,
    0xfffffff6,0x3ff65fff,0x4fffffff,0xfffffff1,0xfa800003,0xb801ffff,
    0xffdeffff,0x40002fff,0x4c001ffe,0xfffffffe,0x0001ffff,0x217ffc40,
    0x00005ffd,0x7ffffec4,0x2a004fff,0xffe87fff,0x03ffff13,0x4fffb800,
    0xdffff500,0x3333279b,0xb2fffccc,0x99999dff,0x3f732259,0x0000ffff,
    0x3ffffea0,0x67ffe401,0x17ffdcc0,0x01fff000,0x7ffffd40,0xfffffdce,
    0x2e00003f,0xfff987ff,0x3fa00000,0xffffffff,0xfff5003f,0x4c7ffd0d,
    0x0000ffff,0x400bfff5,0x4002fffe,0xffb2fff8,0xff91000b,0xe800009f,
    0x7d405fff,0x7fdc02ff,0x7d44000f,0xf88009ff,0xe880cfff,0x0000ffff,
    0x3a07ffd0,0x700004ff,0xb313dfff,0x5001ffff,0xffd0dfff,0x0efffa87,
    0x77ffcc00,0x7fff5000,0x5fff1000,0x80017ff6,0x00007ffe,0x30067644,
    0x32003fff,0xfdb803ff,0xffffffff,0xbfff900d,0x4fffe880,0xfffa8000,
    0x00fff700,0x41bffe00,0xa803fffc,0xffe86fff,0x04fffb83,0x007fff40,
    0x000fff70,0x7ecbffe2,0x3ea0005f,0x000000ff,0x007ffd00,0x3aa06ff8,
    0xffffffff,0xf880ffff,0xff1006ff,0xd80001ff,0x3fe205ff,0x7c40002f,
    0xfff303ff,0xdfff3009,0x3607ffd0,0xf7001fff,0xfc8005ff,0xff10006f,
    0x017ff65f,0x01fff980,0xfb800000,0xffd8006f,0xfffffb81,0xfffeffef,
    0x2fffc80f,0x0ffff200,0x1fff9800,0x0037fe40,0x80bffea0,0xf9804fff,
    0x3ffe86ff,0x00dfff10,0x000bfff1,0x2000bffb,0xffb2fff8,0x7fc4000b,
    0x0000002f,0x8001ffe8,0x7fcc4ffb,0x5ff90bff,0x7ffc05cc,0x7ffcc007,
    0x3ff20006,0x1fff9806,0x3ffea000,0x07fff103,0xd0bfff30,0x7fe407ff,
    0x7ffec03f,0x5ffd8001,0x5fff1000,0x80017ff6,0xa802fff8,0xffffffff,
    0xa84fffff,0xf10006ff,0x2fffe8df,0x4400ffec,0xf8004fff,0xf10007ff,
    0x3f6007ff,0x3e20005f,0xfff905ff,0xbfff3003,0x4407ffd0,0x3e607fff,
    0xfb0004ff,0x3e2000bf,0x0bffb2ff,0x17ffc400,0x7ffffd40,0xffffffff,
    0x102ffd84,0xff8a2155,0x21bffe26,0xf9800ffe,0xfd8002ff,0xfb8000ff,
    0xff5000ff,0x7fc0001f,0x7ffd41ff,0xbfff3005,0xb807ffd0,0xffb02fff,
    0x3f60001f,0xff10005f,0x017ff65f,0x02fff880,0xffffffa8,0x4fffffff,
    0x6c43ffc4,0x26feffff,0x3ffea7fe,0x5007ff84,0x90005fff,0xd0003fff,
    0xff8009ff,0x3ee0003f,0x3ffee6ff,0xfff1000f,0x807ffd0b,0xf885fff8,
    0x360005ff,0xf10005ff,0x17ff65ff,0x2fff8800,0x7ffc0000,0x2627fd44,
    0xffffffff,0x7d43ffa5,0x37fc46ff,0x01fffb80,0x01fffc80,0x00fffcc0,
    0x001ffee0,0xfdbfffd0,0x44003dff,0xffe85fff,0x0fffd803,0x0017ffd4,
    0x0009ffb0,0x7ecbffe2,0x3e20005f,0x400002ff,0x7fe44fff,0x5df7ff42,
    0x3ff64fff,0x43ffff10,0xf9005ff9,0xf70001ff,0xfd8005ff,0xff88005f,
    0x3e60002f,0x0dffffff,0x27ffc400,0x5c01fff4,0x7fec2fff,0x7ff40007,
    0xfff10004,0x0017ff65,0x0007fff0,0x744fff80,0x3bfee0ff,0xfd8fffa0,
    0x3ffffa1f,0x2009ff53,0x8000fffd,0x2002fffa,0x0002fff8,0x8000bffb,
    0x02effffe,0x09fff100,0xf1007ffd,0x5fff8bff,0x3ffe2000,0xfff10002,
    0x0017ff65,0x000dffd0,0x224fff80,0x17ff47ff,0xffc87ffe,0x3ffffe21,
    0xb003ffde,0x70003fff,0x5c003fff,0x260006ff,0x98001fff,0x0efffffe,
    0x881aaa88,0xffe84fff,0x4dffd003,0x0003fff9,0x000dffb1,0xfd97ffc4,
    0x7d40005f,0x00000cff,0x7fcc9fff,0xf11ffe65,0x0ffe41ff,0x3fffffe6,
    0xff9003ff,0xff90003f,0x7ffc001f,0x7ff40003,0x7ffcc004,0x985fffff,
    0xfff02fff,0x007ffd09,0xffa9fff6,0xd995002f,0x0003ffff,0xfd97ffc4,
    0xfc80005f,0x00ccefff,0x549fff00,0x17fee3ff,0xffd8fff3,0xffffd880,
    0x5c01dfff,0xd8002fff,0xf5000fff,0xa80001ff,0xf3000fff,0xfff35fff,
    0x1fff989f,0xfd09fff0,0x3ff2007f,0x03fff70f,0x3bffff20,0x7c40000b,
    0x0bffb2ff,0x3ff6a000,0xf0001fff,0x1ffdc9ff,0xffa89ffb,0x3007fec6,
    0xfffffff9,0x3ffea03b,0x7ffe8003,0x013ffa00,0x01fffc00,0x2a2fffd8,
    0x3ea2ffff,0x7fff01ff,0x2007ffd0,0xff71fffc,0x3ff2001f,0x0002dfff,
    0xfd97ffc4,0xd700005f,0x003fffff,0xfc93ffe0,0x90bffa2f,0x07fe8bff,
    0xffffff10,0xfff507ff,0xfff8800b,0x3fff3006,0x3ff20000,0x4fff9806,
    0x71ffffc8,0x3fe01fff,0x03ffe83f,0x323fff70,0x53000fff,0x07ffff97,
    0x97ffc400,0x80005ffd,0xaacefffd,0x9fff0000,0xfff17fe4,0x7c3ffd83,
    0xdff3007f,0x87fffffb,0x000ffff8,0x400fffee,0x00006ffc,0x7007ffe2,
    0x3f603fff,0x7ffd8eff,0x3a0fffe0,0xff7003ff,0x03fff23f,0x7fff4400,
    0xfff10000,0x0017ff65,0x005fff50,0xb27ffc00,0x0fffc3ff,0xff88bffa,
    0x29ff5006,0x41ffffd9,0x2003fffc,0x8800fffe,0x00002fff,0x3202ffec,
    0xfd100fff,0x09fffbff,0x7f41fffc,0xfff9003f,0x007ffee1,0x03fff980,
    0x25fff100,0x40005ffd,0x00005ffd,0xffb27ffc,0xf07ffe23,0x1ffd43ff,
    0x6c3ffb80,0x7fcc4fff,0xffb800ef,0xfff7004f,0xff500000,0x3ffec01f,
    0x3ffffe60,0x3a0001ff,0xff9003ff,0x017ffd4f,0x013ffa00,0xd97ffc40,
    0x7c0005ff,0x400003ff,0x3ff64fff,0xfa8bffe1,0x07ff21ff,0x2217fe40,
    0xffe86fff,0x3fee00ef,0xffd000ff,0x3a000009,0x3ff204ff,0x7ffd401f,
    0x740006ff,0xffb003ff,0x01fffccf,0x017ff600,0xd97ffc40,0x7c0005ff,
    0x400002ff,0x3ff24fff,0xfe8bffe2,0x0dff11ff,0x740ffec0,0xfff987ff,
    0xf9511bef,0x2a007fff,0x00000fff,0x5c0fff70,0xfc803fff,0x00803fff,
    0x7400fffa,0x3ffe66ff,0x7fec0004,0xfff10005,0x0017ff65,0x002fff88,
    0x727ffc00,0x77fec5ff,0x8cffefc8,0x3a003ffd,0x6fff80ff,0xffffff50,
    0x5fffffff,0x02ffec00,0xfff10000,0x3fffe605,0x7fffe401,0x7ffd100f,
    0x3007ffd0,0xfff87fff,0x7fec0006,0xfff10005,0x0017ff65,0x002fff88,
    0x727ffc00,0x7ffd47ff,0xfffe8fff,0x7fc005ff,0x04fffa87,0x3fffffea,
    0x002fffff,0x000bffe2,0x0dff9000,0x05ffffec,0xfffffd51,0x3fff60df,
    0x01fff41f,0x320fffdc,0x20001fff,0x10005ffd,0x3ff65fff,0x3fe20005,
    0x7c00002f,0x13fea4ff,0x2e5ffffb,0x980effff,0x546ff880,0x4401ffff,
    0xefffffda,0x7fe4000b,0x98000006,0xff101fff,0xffdfffff,0xffffffff,
    0x7fffff09,0xe803ffe8,0xfffa86ff,0x3ff60003,0xfff10005,0x0017ff65,
    0x002fff88,0x327ffc00,0x17950bff,0x3201bb88,0xffbabcef,0xffffecae,
    0x7ffcc003,0x3ffe0003,0xd0000003,0x7f4c09ff,0xffffffff,0x7ffff53f,
    0x42ffffe8,0x7c403ffe,0xdfff04ff,0x2ffec000,0x2fff8800,0x4000bffb,
    0x0002fff8,0xf127ffc0,0x200000ff,0xfffffffc,0xffffffff,0xdffd0004,
    0x3ffea000,0x50000000,0xea801fff,0x0cefffff,0x30ffffe4,0xffd0bfff,
    0x1fffc807,0x005fff90,0x0017ff60,0xfd97ffc4,0x3e20005f,0x200002ff,
    0x7f43fff8,0xc800002f,0xffffffff,0x01dfffff,0x0bfff200,0x013ffa00,
    0xfff00000,0x004c4007,0xe80d4400,0x3fe603ff,0x3ffe604f,0xbffb0006,
    0x3ffe2000,0x000bffb2,0x0017ffc4,0x85fff300,0x00005ffb,0xfeecb988,
    0x01bcdfff,0xefffa800,0x7cc2e982,0x000001ff,0x0037fdc0,0xe8000000,
    0x3ff603ff,0x7ffe400f,0x6ffc8003,0x5fff1000,0x80017ff6,0x0001fff8,
    0x103ffee0,0x00001fff,0x007ffa00,0x7ffe4000,0xfffeddef,0x0017ff60,
    0x3fe20000,0x2aaaaa2f,0xaaaaaaaa,0xaaaaaaaa,0x3fa001aa,0x7fff503f,
    0x03fffa00,0x00fff700,0x6cbffe20,0x260005ff,0x00000fff,0x320ffff1,
    0x00000eff,0x000fff80,0xfffd1000,0x5fffffff,0x000bffe2,0x7fec0000,
    0x3fffffe5,0xffffffff,0xffffffff,0x3ffa004f,0x06ffe883,0x017ffea0,
    0x005fff50,0x365fff10,0x360005ff,0x028807ff,0x817ffec4,0x1005fff9,
    0xfff10005,0xf7000000,0x1bffffff,0x0002664c,0x99930000,0x7ffffffc,
    0xffffffff,0xffffffff,0x0fffa004,0x0007fff6,0x4007fffb,0x001ffff8,
    0xfd97ffc4,0xff70005f,0xbff300bf,0xfff95557,0xfffa80bf,0x7eccc1be,
    0x6ff98006,0x26000000,0x00009aba,0x80000000,0xcccccccc,0xcccccccc,
    0x2ccccccc,0x90fffa00,0x10007fff,0x4005fffd,0xabdffffb,0x75555552,
    0x3ff65fff,0x1aaaaaae,0xfffd7551,0xfff3001f,0xffffffff,0xfff3001d,
    0xffffffff,0xff5000df,0x0000000b,0x00000000,0x00000000,0x7ff40000,
    0x013ffee3,0x1ffff880,0x3ffffa00,0xfffff6ff,0x365fffff,0xffffffff,
    0xfffff14f,0x3e6007ff,0xffffffff,0x7f4c003f,0xffffffff,0x0000001c,
    0x00000000,0x00000000,0x00000000,0x7ccfffa0,0x980004ff,0x54006fff,
    0xff6fffff,0xffffffff,0x3fffff65,0xff14ffff,0x0003dfff,0x579db973,
    0xdb980001,0x00001acc,0x00000000,0x00000000,0x00000000,0x7ffd0000,
    0x00002fec,0x10003ff3,0x33279753,0xcccccccc,0x99999971,0x33225999,
    0x000001aa,0x00000000,0x00000000,0x00000000,0x00000000,0x3a000000,
    0x000243ff,0x00001540,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x1fff4000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfd000000,0x0000007f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0001665c,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x9a880000,
    0xdc880981,0x93000cef,0x0d5e5499,0x00000000,0x80155100,0x00004cca,
    0x33326000,0x35531000,0x66665400,0x400ccccc,0x40004cca,0x0001ccc8,
    0x80055100,0x88002dec,0xffffffdb,0x7cc0ffdd,0x02ffffff,0xf91fffc4,
    0x805bffff,0x4005fffa,0x3f26fff8,0x3ffb224f,0xff903eff,0x0000000f,
    0x2007ffdc,0xfffffffb,0x26ffffff,0xfffffffd,0x7fe401ff,0x7fc40007,
    0xa800003f,0xc800efff,0x2001ffff,0xfffffffa,0x20ffffff,0xffeffff8,
    0x3ff200ff,0x7ffffe46,0x3fe00dff,0x3ee000ff,0x57ff23ff,0xffffffe8,
    0x7ffc83ff,0x20000000,0xf500fffb,0xffffffff,0x4dffffff,0xfffffffd,
    0x7fe401ff,0x7fc40007,0x4400003f,0x805fffff,0x004fffff,0x9dfffff9,
    0x1fffffdd,0xfd32ffe4,0x3ffea07f,0x7fff6d40,0xf902ffff,0x7f4007ff,
    0x37ff20ff,0xfeefffe9,0x7e43ffff,0x0000007f,0x203ffee0,0xabdffff8,
    0xffffffdb,0x2aaaa66f,0x401fffda,0x40007ffc,0x0003fff8,0x7ffffd40,
    0xfffff807,0xffffb804,0x1fffb302,0x3ee0fff4,0x3ffe885f,0xffffc880,
    0x6fff981f,0x8bfff100,0xdffffffc,0x1ffff220,0x0000fff9,0x7ffdc000,
    0x03fffe80,0x800dfff5,0x6401fffb,0x440007ff,0x00003fff,0x37ffffcc,
    0x0ffffe40,0x03bffe20,0x221fff70,0x6ff987ff,0x4006ffc8,0x80ffffd8,
    0xb801fffd,0x7fe42fff,0x3f203fff,0x1fff22ff,0xb8000000,0x7fcc0fff,
    0x7ffe404f,0x3ffee002,0x03ffe401,0x0fffe200,0x3ff60000,0xbb7003ff,
    0x3fff7003,0x21fff700,0xff887ff8,0x00fffcc7,0x1ffff440,0x4027ffd4,
    0xffc87ffe,0x7fc403ff,0x01fff25f,0xfb800000,0x7ffdc0ff,0x27ffc401,
    0x03fff700,0x0007ffc8,0x001fffc4,0x1f7e4400,0xff880000,0xfff7005f,
    0x2607ffc1,0x27ff46ff,0xffff3000,0x803fffe0,0xfc84fff9,0xffd004ff,
    0x003ffe4f,0xff700000,0x07ffc81f,0x400bfff0,0x6401fffb,0x440007ff,
    0x00003fff,0x20000000,0x7002fff9,0x7ffc1fff,0xf927fdc2,0xff0000df,
    0xfff901ff,0x0fffe405,0x9003ffe4,0x3ff21fff,0x00155107,0x2e335100,
    0x7fec0fff,0x4fff800f,0x07ffee00,0x510fff90,0x7fc40155,0x0000003f,
    0x3ea00000,0xff7001ff,0x5fffe41f,0xf31fffb8,0xb00003ff,0xff303fff,
    0x37ff40df,0x2007ffc8,0xff90fffb,0x7fff644f,0x322003ef,0xeffffffd,
    0x7fdc0fff,0x7ffcc01f,0x3ffee002,0x13ffe401,0x3dfffffb,0x007fff10,
    0x003ffff9,0xfffffd80,0x2e01ffff,0xf7000fff,0x7ffc41ff,0x3a4fffff,
    0x900004ff,0x3fa03fff,0xfff980ff,0x00fff903,0xfc8fffdc,0xffffd17f,
    0x5007ffff,0xffffffff,0x981fffff,0x7f406fff,0x3ee001ff,0x7fe401ff,
    0xffffff57,0xff887fff,0x7ffe403f,0xfd80001f,0xffffffff,0x01fff201,
    0x4c0fffb8,0x23fffffe,0x0000effb,0x540fffd0,0xffc84fff,0x0fff900f,
    0xc8fffd40,0xffff9eff,0x3fffffee,0x3fffff20,0xfffffede,0xdfffd80f,
    0x27ffec40,0x07ffee00,0xff5fff90,0xffffbdff,0x1fffc41f,0x03ffff90,
    0x3fff6000,0x01ffffff,0x4003fff2,0x7300fffb,0x7ffc4159,0xff500002,
    0x7fff80df,0x3205fff8,0x3ee007ff,0xffff90ff,0x7e441bff,0xfff507ff,
    0x3ff6605f,0xffff980f,0xffffedef,0xfffb8006,0x7fffe401,0x7fec0cff,
    0x0fffe24f,0x00ffffe4,0x7fdc0000,0x3ffee01f,0x1fff7000,0x09ffd000,
    0xffc99800,0x7fe402ff,0x0bffea2f,0x2007ffc8,0x3ff27ffc,0x3f203fff,
    0x7ffc42ff,0x7ffdc00e,0xfffffe80,0x0cffffff,0x1fffb800,0x7ffffe40,
    0x89fffe02,0xffc83fff,0x000001ff,0x403fff70,0xb001fffb,0xb8001fff,
    0xc8000fff,0xffffffff,0x5fff9804,0xf901fff6,0x7fec00ff,0x0fffff26,
    0xc8bfff10,0xfb801fff,0x77fdc0ff,0xcdfffec9,0x3fee0001,0x7ffe401f,
    0x7ffe402f,0xb87fff10,0x0000ffff,0x3ffee000,0x0fffea01,0x03fffee0,
    0x02fff880,0xfffff700,0x7f4005ff,0x4fff88ff,0x803ffe40,0x3f24fff8,
    0xffd004ff,0x005fff8f,0xfe81fff7,0x4000003f,0x6401fffb,0xfb803fff,
    0x7fff11ff,0x0077ffdc,0x000cdb80,0x8807ffee,0x7d406fff,0x2000ffff,
    0x20005ffd,0x02bdfffb,0xbafffb80,0x7e401fff,0xfff9007f,0x003ffe43,
    0x3e21fff9,0xff7002ff,0x17ffc41f,0x3ee00000,0x7fe401ff,0x3fff5007,
    0x7dcfffe2,0xb0000eff,0x2003ffff,0x6c01fffb,0xff302fff,0x2001ffff,
    0x0c40fffa,0x007ffb80,0x76fffc40,0xffc806ff,0x4fffa807,0x7003ffe4,
    0x3fea1fff,0xfff7001f,0x077ffc41,0xff700000,0x7ffc803f,0x23fff500,
    0xffbbfff8,0xf10000ef,0x200bffff,0x4c01fffb,0x3262ffff,0x0fffcfff,
    0x22fff880,0x01efffeb,0x0001ffee,0x3ffffff2,0xbfffc803,0xffffc880,
    0x003ffe40,0x3ee3fff7,0xff7000ff,0xffffe81f,0xacccccee,0xffb80009,
    0x3ffe401f,0x11fffa80,0xffffdfff,0x7fc40001,0xb800ffff,0xfe801fff,
    0xfffeffff,0x00fffaaf,0x3f65ffd8,0x02ffffff,0x0000dff5,0x1ffffff3,
    0xfffff900,0xfffffddd,0x0fff905f,0xc8fffd40,0x3ee007ff,0x7ffcc0ff,
    0xffffffff,0x2001dfff,0x6401fffb,0xff5007ff,0x2fffe23f,0x0004fffd,
    0x0fffffec,0x00fffdc0,0xffffffd8,0x1fff51ff,0x50fffa80,0xfff79fff,
    0x0dff501f,0x3fffa000,0xfff9004f,0xffffffff,0x3ff201bf,0x3ffee007,
    0x001fff90,0x2a03ffee,0xffffffff,0x2fffffff,0x03fff700,0x5007ffc8,
    0x3fe23fff,0x4fffe8bf,0x3ffe2000,0xffb802ff,0x3fb2001f,0x3ee1ceff,
    0x3fe200ff,0xd0bffa3f,0xdff507ff,0x3fee0000,0xff9000ff,0xdfffffdf,
    0x7ffc8059,0xb9fff200,0xf7000fff,0xfff981ff,0xeccccaae,0x01ffffff,
    0x401fffb8,0xf5007ffc,0x3ffe23ff,0x07ffff13,0x7fffdc00,0x1fffb800,
    0x700a8800,0x7e401fff,0x21bfe26f,0x00004ffc,0x09fff700,0x333ffe40,
    0x7ffc8003,0xa9bff600,0xfb001fff,0x7ffc41ff,0xfff9800e,0xfffb803f,
    0x03ffe401,0xf11fffa8,0x7ffcc7ff,0xff30002f,0x3fee00ff,0xb800001f,
    0xff300fff,0x42ffcc3f,0x00006ffa,0x1ffff880,0x01fff200,0x01fff200,
    0xf527ffc4,0xff7007ff,0x7ffdc1ff,0x3ffee001,0x1fffb805,0x803ffe40,
    0xff11fffa,0xffffa87f,0xfffa8002,0x3fff7005,0xff700000,0x0fffa01f,
    0xff30dff5,0x8000040b,0x4005fffc,0x80007ffc,0xf9007ffc,0x7ffc43ff,
    0x7fffd406,0x01fff60f,0x00bfff10,0xc803fff7,0xff5007ff,0x0fffe23f,
    0x007fffee,0x00fffe88,0x003fff70,0x1fff7000,0xf30dff90,0x4ffa81ff,
    0x000dffb8,0x03fffea0,0x00fff900,0x00fff900,0xfb09fff5,0x3fe603ff,
    0x3fe0ffff,0x7fd4007f,0xfffb803f,0x03ffe401,0xf11fffa8,0x3ff207ff,
    0xfea801ff,0x3ee003ff,0x800001ff,0x7cc0fffb,0x5fff01ff,0x7cc2ffe8,
    0x70005fff,0x0003ffff,0x0000fff9,0x1017fff9,0x301ffff9,0x64c5ffff,
    0x0fffbfff,0x400ffff6,0x800ffff9,0x6401fffb,0xff5007ff,0x0fffe23f,
    0x80ffffd8,0x4fffffec,0x0fffdc00,0x7fdc0000,0x027ff40f,0xfd7bfff9,
    0xffff70df,0xd999700f,0x0007ffff,0x0001fff2,0x3bfffff2,0xfffffeee,
    0x3ffffa01,0x89ffffef,0x3fee0fff,0x999bceff,0x2ffffdb9,0x3fffffea,
    0xffffffff,0x0fff93ff,0x447ffea0,0x7f403fff,0x7fec0eff,0xff501eff,
    0xffffffff,0x07ffffff,0x07ffdc00,0xe880dff9,0x1fffffff,0x05ffffa8,
    0xffffffd8,0x3f20003f,0xfb80007f,0xffffffff,0xd800dfff,0xffffffff,
    0xc81fff11,0xffffffff,0x3fffffff,0x7fffffd4,0xffffffff,0x0fff93ff,
    0x447ffea0,0x74403fff,0x3f60efff,0x7fd403ce,0xffffffff,0x03ffffff,
    0x43ffee00,0x8801fff9,0x00dffffc,0x2007fff6,0x0dfffffd,0x3ffe4000,
    0xfda88000,0x2cefffff,0x7fff6400,0x3ffe21ce,0xffffea80,0xcfffffff,
    0xfffffa80,0xffffffff,0xfff93fff,0x47ffea00,0x9803fff8,0x0026ffff,
    0xffffff50,0xffffffff,0x4c0007ff,0x00000ccc,0x054c0033,0x1abdeb80,
    0x99950000,0x4c400000,0x15100000,0x99510000,0x01559bdb,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7776e540,0x973003cc,
    0x5cc40000,0x00009bdd,0x37bb2ea2,0x95100abc,0x0359bddb,0x55555550,
    0x55555555,0xaaa98000,0xb973000a,0x0000579b,0x79bd9731,0x00555303,
    0x2a0aaa88,0xaaaaaaaa,0x000aaaaa,0x566765cc,0x74c00001,0xffffffff,
    0x06ffd807,0xffffb000,0x001dffff,0x7ffffecc,0x40ffffff,0xfffffffd,
    0x3601dfff,0xffffffff,0x007fffff,0x7ffffed4,0x7f5402ff,0xffffffff,
    0x7f54000b,0xffffffff,0x01fff64f,0x745fff50,0xffffffff,0x802fffff,
    0xffffffea,0x0003efff,0xffffffb8,0xd807ffff,0x4c0006ff,0xfffffffe,
    0xc801ffff,0xffffffff,0x740fffff,0xffffffff,0xfb03ffff,0xffffffff,
    0x200fffff,0xffffffeb,0x3f602fff,0xffffffff,0xb1006fff,0xffffffff,
    0x361fffff,0x7d4007ff,0x3fffa2ff,0xffffffff,0x7fe402ff,0xffffffff,
    0x440006ff,0x99adffff,0xfd804ca9,0x3ea0006f,0xecbeffff,0x202fffff,
    0xcceffffc,0x0ffdccaa,0x555e77f4,0x1fffffcb,0xeeefffd8,0x6eeeeeee,
    0xfffffd80,0x01eeeeff,0x37bffff9,0x9ffffb53,0xfffffa80,0xffeccdff,
    0x0fffb0ff,0x22fffa80,0xeeeeeeec,0x02fffeee,0xffffffd1,0xdfffdb9b,
    0xfffd8000,0xffd80003,0xfff10006,0xffb1019f,0xfff501ff,0x3026005f,
    0xfffd8801,0x004ffd86,0x3ffff600,0x3e60009d,0x7fcc05ff,0xfff500ff,
    0x64c015ff,0x00fffb0f,0x002fffa8,0xd02fffa8,0x4017ffff,0x220006c9,
    0x00005fff,0x2000dffb,0x4405fffc,0xfe84fffe,0x000001ff,0xb0ffff10,
    0x200009ff,0x001efffd,0x001fff90,0x3a05fff7,0x0000efff,0xa800fffb,
    0xa8002fff,0xffb82fff,0x000002ff,0x005fff30,0x01bff600,0x01bffe20,
    0x107fffc4,0x0000bfff,0x1fffd800,0x00027fec,0x002fffcc,0x401bff60,
    0xfb83fff9,0x6c0005ff,0x7d4007ff,0xfa8002ff,0x7ffc42ff,0x0000000f,
    0x0007ffea,0xfffffff9,0xffffffff,0x7fe45fff,0x3ff2002f,0x13ffe63f,
    0xf9000000,0x4ffd83ff,0xfffd8000,0x7fec0000,0x5fff5007,0x00ffff88,
    0x03ffec00,0x00bffea0,0x90bffea0,0x00009fff,0x0fffb800,0x7fffe400,
    0xffffffff,0x22ffffff,0x4c007fff,0x3fe26fff,0x0000007f,0x3607ffec,
    0x4c0004ff,0x80002fff,0xe801fffb,0x7fe41fff,0xfd80004f,0x7fd4007f,
    0xffa8002f,0x3fffe22f,0x40000000,0x4000fffb,0xfffffffc,0xffffffff,
    0xfff12fff,0xffff000b,0x003ffff8,0x3ffe0000,0x004ffd86,0x003ffdc0,
    0x0efff880,0x21bffe60,0x0000fffe,0x4007ffd8,0x8002fffa,0x3ea2fffa,
    0x000004ff,0x00fffb80,0x0dffb000,0x03fff980,0x647ffd80,0x0004ffff,
    0x2fffc800,0x0004ffd8,0x00037fec,0x05ffffd0,0xf03ffff7,0x20000dff,
    0x54007ffd,0xa8002fff,0x3fee2fff,0x0000002f,0x000fffb8,0x00dffb00,
    0x002fffa8,0x220fffc8,0x03fffffe,0xffc88000,0x9dffb02f,0x20035579,
    0xb9514fff,0x10057bdd,0x33bffffd,0x103ffffd,0x0000bfff,0x5001fff6,
    0x50005fff,0x7fe45fff,0x5000001f,0xffffffff,0xffffffff,0xfb005fff,
    0xffb800df,0xffc8001f,0x7fff4c1f,0x4001cfff,0xffedccc8,0x3ff601ef,
    0xffffffff,0x9fff101c,0xfffffff9,0xe8803dff,0xffffffff,0xfff300df,
    0x55555407,0xffb0aaaa,0xfffa800f,0xfffa8002,0x003fff62,0x7ffd4000,
    0xffffffff,0xffffffff,0x06ffd802,0x007ffe40,0x817ffdc0,0xfffffffc,
    0xfff3001d,0x805fffff,0xfffffffd,0x984fffff,0xffffffff,0xffffffff,
    0xffffb802,0x7dc05fff,0x3ffe02ff,0xb1ffffff,0xfa800fff,0xfa8002ff,
    0x1fffa2ff,0xffa80000,0xffffffff,0xffffffff,0x6ffd802f,0x07ffec00,
    0x17ffd400,0xfffff930,0xf9801dff,0xffffffff,0x9999703f,0xffffddb9,
    0xffff989f,0xb9899bef,0x200ffffe,0xffffffc8,0xff900dff,0x7fffc05f,
    0xfb1fffff,0xffa800ff,0xffa8002f,0x01fffe2f,0x7dc00000,0xb00000ff,
    0xfd800dff,0xfb8000ff,0xfb8801ff,0x03ffffff,0x332aaaa2,0x005fffff,
    0x7ffffb30,0x0177ffd4,0x9827ffec,0xffdfffff,0xfb81ffff,0x3bba02ff,
    0xb1fffeee,0xfa800fff,0xfa8002ff,0x1fffe2ff,0x5c000000,0x00000fff,
    0xc800dffb,0xc8001fff,0x54000fff,0x02fffffe,0x7ffff500,0x7ffe4000,
    0x00bffea6,0x543fffc4,0x910dffff,0xa85fffff,0x5c003fff,0xfffb1fff,
    0x2fffa800,0x2fffa800,0x0003fffa,0x3fee0000,0xfb00000f,0xffb800df,
    0xffd8002f,0x3fea0007,0x10000fff,0x0001ffff,0xff33fff4,0x7fe4007f,
    0x3fffe61f,0xffffd303,0x027ffcc1,0x6c7ffee0,0x7d4007ff,0xfa8002ff,
    0x3fff62ff,0x80000001,0x0000fffb,0x800dffb0,0x8003fffa,0x40006ffe,
    0x003fffe8,0x00bffee0,0x11fffc80,0x5c009fff,0x3ff62fff,0x7ff4403f,
    0x17ffe24f,0x23fff700,0x54007ffd,0xa8002fff,0x3ff22fff,0x0000002f,
    0x000fffb8,0x00dffb00,0x005fff98,0x002fffc4,0x02fffd40,0x09fff300,
    0x17ffdc00,0x54009fff,0xfff13fff,0x3ffe600d,0x007fffc6,0x323fff70,
    0x2e000fff,0xa8001fff,0x3fee2fff,0x0000005f,0x000fffb8,0x00dffb00,
    0x00ffff88,0x00fffee0,0x1bffe200,0x3fff9800,0x3fff2000,0x8017ffe0,
    0xff51fffb,0x7ffc009f,0x027ffec7,0x2e3fff70,0x32001fff,0xf70007ff,
    0x7ffcc3ff,0x0000001f,0x0007ffdc,0x007ffd80,0x002fffc8,0x0003fffa,
    0x017ffe20,0x01fffb80,0xd1fffa00,0x32001fff,0xfff70fff,0x7fff4007,
    0x03fffe60,0xa8fffdc0,0x36002fff,0xf90006ff,0xfffd81ff,0x40000004,
    0x0000fffb,0x001fff70,0x00efff98,0x003fffb8,0x07fff500,0x1fffa200,
    0x5fffb800,0x401fffd4,0x3e66fff8,0xff1005ff,0xbfffb0df,0x47ffee00,
    0x3005fff9,0x1000bfff,0xff30ffff,0x000005ff,0x007ffdc0,0x5fffa800,
    0xefffd800,0x3fffea00,0xff880000,0xfb0001ff,0x2a0009ff,0xfe80ffff,
    0x7fe400ef,0x3fffe22f,0x4fffc801,0x0effff88,0xd0fffdc0,0xe8805fff,
    0x03220fff,0x209fff90,0x004ffffd,0x7dc00051,0x100000ff,0x1019ffff,
    0xffff9813,0xff9511be,0x59d907ff,0xff931013,0x200449ff,0x45ffffb8,
    0x3f6a2018,0xff701fff,0xffb103ff,0xffffb0bf,0xfff93017,0x3fff203f,
    0x64c1acff,0x3fe61fff,0xfea80cff,0x67fc44ff,0xfffb311a,0x3ffe201f,
    0x310abeff,0x4000dfb5,0x0000fffb,0x3ffffee0,0x82fffeef,0xfffffffa,
    0x03ffffff,0xfffffff9,0xffffffff,0xeefffc8b,0xfffffffe,0x77ffcc0e,
    0xffffffee,0x7fff402f,0xfffecdff,0xffe880ef,0xffeeefff,0x5c02ffff,
    0xffffffff,0x1fffffff,0x7fffffec,0x6fffffee,0xffffff88,0x02ffffff,
    0x7fffff4c,0xffffffff,0x3fee0006,0x6c00000f,0xffffffff,0xffd302ff,
    0xdfffffff,0x7fffe403,0xffffffff,0xfffc84ff,0xffffffff,0xffff303f,
    0xbfffffff,0x3fff2001,0xcfffffff,0x3fffa200,0xffffffff,0xffd1002f,
    0xffffffff,0xff703fff,0xffffffff,0x3ffe209f,0xefffffff,0x3ffee001,
    0xffffffff,0x3ee0006f,0x800000ff,0xffffffd9,0x36e201ef,0x0cefffff,
    0x7fff6d40,0xbeffffff,0xfffff900,0x807ddfff,0xfffffff9,0xa8001def,
    0xdffffffd,0x3ff66001,0x02efffff,0xfffd9700,0x805bffff,0xfffffed8,
    0x75c401de,0x0cefffff,0xffdc9800,0x0adfffff,0x3ffee000,0x44000000,
    0x10001999,0x99800035,0x20009aaa,0x019aa998,0x9aa99880,0x54400000,
    0x98800009,0x8000009a,0x00009aa9,0x400026a6,0x00000998,0x00099988,
    0x03ffee00,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xb7300000,0xaa80137b,
    0x260001aa,0x55551aaa,0x554c0001,0x006aaa1a,0x801aa980,0xaa880aa9,
    0x06aaa602,0x82aaaa00,0xaaaaaaa8,0xaaaaaaaa,0x2aaa22aa,0xaaaaaaaa,
    0xaaaaaaaa,0x01555532,0x982aaa20,0x51002aaa,0xaaa81555,0x64000001,
    0xffffffff,0x3fffee04,0xfff88000,0x09fff90f,0x0fffec00,0x40007fff,
    0xfd804ffd,0x06ff982f,0x003fffe6,0x4c6fffa8,0xffffffff,0xffffffff,
    0x3fffe27f,0xffffffff,0x6fffffff,0x00bffff7,0xfc83ffea,0xfc800fff,
    0x3fe22fff,0x1000005f,0xfffffffb,0x3a01bfff,0xc8004fff,0x3fe63fff,
    0x3fe0006f,0x027ffc6f,0x009ffb00,0xff503ffd,0x5fffc80b,0x3ffff100,
    0xffffff98,0xffffffff,0x3fe27fff,0xffffffff,0xffffffff,0xfffff76f,
    0x1fff5003,0x01ffffec,0x117ffffc,0x0000bfff,0x9ffffd10,0xdffff975,
    0x1ffff501,0x3fffcc00,0x000ffffc,0x3a27ffd4,0x360004ff,0xffe803ff,
    0x404ffb80,0x802ffff8,0xf984fffc,0xffffffff,0xffffffff,0x3bbbba27,
    0xeffffeee,0x74eeeeee,0x00bfffff,0x7ec1fff5,0x7d406fff,0x3e22ffff,
    0x800005ff,0xd105fffd,0x3f607fff,0x3f6004ff,0xfffc82ff,0xfffd8003,
    0x002ffec1,0xf007ffd0,0x13ff20ff,0x01bffea0,0x000dfff3,0x02fffe80,
    0x802fffc0,0x0ffffffb,0xd07ffd40,0x403fffff,0x23ffeffd,0x0005fff8,
    0x02fffcc0,0x4c1fffe2,0x9801ffff,0xff306fff,0xfff000df,0x00bffb0d,
    0x2017ff40,0xff907ff8,0x3fff6007,0x07fffa03,0xfffc8000,0x5fff8005,
    0xfffff700,0xfffa809f,0x3ff3ffa0,0xfbbff104,0x2fffc47f,0x3ff20000,
    0xfffb800f,0x0bfff903,0x403fffb0,0x2000ffff,0xfc83fffa,0x3fe0005f,
    0x37fcc02f,0x1002ffd8,0xf701ffff,0x400009ff,0x000ffff9,0x7005fff8,
    0x1fff7fff,0xd07ffd40,0x20dff5ff,0x3ffdbffb,0x0017ffe2,0x05fff880,
    0x441bffe0,0x2601ffff,0x7e405fff,0x3f2003ff,0x6ffc81ff,0x07ffe000,
    0xfffb9999,0xfff99999,0x5c07999b,0x7fc45fff,0x200000ff,0x0002fffe,
    0x2e00bfff,0x4fff8fff,0xf83ffea0,0x81fff8ff,0x4ffd8ffe,0x0017ffe2,
    0x02fffb80,0x01ffff50,0xe81bffee,0x7cc00fff,0x3fe006ff,0x0dff706f,
    0x20fffc00,0xffffffff,0xffffffff,0x7405ffff,0x3ff62fff,0x3200002f,
    0x20005fff,0xf7005fff,0x03fff6ff,0xff07ffd4,0x989ff91f,0x49ff95ff,
    0x0005fff8,0x401fff20,0x01fffffc,0x2a0bfffe,0xff004fff,0xff3001ff,
    0x1ffee07f,0xff880cc4,0x7ffffc0f,0xffffffff,0x5fffffff,0xab7ffcc0,
    0x00005fff,0x003fffe6,0x005fff80,0x3fe6fff7,0x1fff503f,0x7ff9bffc,
    0xffc97fe4,0x017ffe25,0x06ffd800,0x7fffff44,0x3ffea02f,0x00fffe86,
    0x007fff90,0x2a03fff9,0x5ffb07ff,0x330fff10,0x339ffb33,0x33fff533,
    0xff900133,0x01fffd9f,0x7fff4000,0x7ffc0002,0x4fff7005,0xff507ffe,
    0xe9ffe21f,0xc9ffe2ff,0x3ffe25ff,0x3fa00005,0x3ffea05f,0x403fffef,
    0x3ea2fffe,0x3e6003ff,0xffe805ff,0x41ffe606,0xff984fff,0x82ffd807,
    0x10006ff9,0x7fffffff,0x7fdc0000,0xff80005f,0xfff7005f,0x5417ffd4,
    0xfff10fff,0xffaaffdc,0xf897ff24,0x200005ff,0xff905fff,0x9fff1bff,
    0x26fff980,0xf8006ffe,0x3e600fff,0x3fe603ff,0x3fffd40f,0x7403ffcc,
    0x5ffa81ff,0x3ffea000,0x200006ff,0x000ffff9,0x005fff80,0xfff8fff7,
    0x30fffa86,0x7ffc4fff,0x3ee1ffc8,0x17ffe26f,0x4fff8000,0x1fffff44,
    0xfb00bfff,0x5fff75ff,0x5fff9000,0x00fffdc0,0xfd81fff1,0x7fd42fff,
    0x80fff806,0x40004ffb,0x001ffffd,0x0bfffa00,0x2fffc000,0x5c7ffb80,
    0x7fd42fff,0xd8fff30f,0x5c6ffaff,0x3ffe26ff,0xff100005,0x7fffd47f,
    0x02fffc1e,0x7f77ffc4,0xff30006f,0x37ff40bf,0xf07ffe20,0xfa8bffff,
    0x07ff806f,0x80007ff9,0x003ffffe,0x0bfff700,0x2fffc000,0x447ffb80,
    0x7fd46fff,0xa8fff30f,0x5c3fffff,0x3ffe26ff,0x3fe00005,0x9ffff93f,
    0x4013ffe0,0x1ffffffc,0x1fffe000,0x401fffc4,0x3fea1fff,0x3ee0fffd,
    0x3ffc405f,0x0003ffc8,0x3fffffee,0x7fcc0000,0x200000ff,0xf7005fff,
    0x3fff90ff,0xfa87ffd4,0x7fffc47f,0x13ffdc0f,0x0000bfff,0x7ff6fff4,
    0xfff102ff,0x3ffe2009,0x640005ff,0xffb82fff,0x2fff800f,0x3ffe7ff2,
    0x3017fee2,0x3ff60dff,0xfff10002,0x000bffff,0x002fffe8,0x02fffc00,
    0xf887ffb8,0x3ffea5ff,0xfb0dff50,0xfff50bff,0x002fffc4,0xfffffd00,
    0x7fc401df,0x3fee003f,0x4c0000ff,0xffe85fff,0x45ffd006,0x4bff97ff,
    0x55544ffb,0xaaaeffca,0xaacffeaa,0xfffb001a,0x005fffd5,0x017ffee0,
    0x17ffe000,0xc83ffdc0,0xfff51fff,0x2a1bfee1,0xffa82fff,0x017ffe27,
    0xffffd800,0xfff9804f,0x3ffe2002,0xfff00005,0x03fff88f,0x3e67ffd0,
    0x21fff34f,0x3fe24ffc,0xffffffff,0xffffffff,0xffa804ff,0x1ffff35f,
    0xffff8800,0xff800000,0xfff7005f,0x557ffe20,0xdff70fff,0x2a03ffe0,
    0xfff10fff,0x7e40000b,0xf7002fff,0xff8003ff,0xf900005f,0x7ffdc5ff,
    0x27ffb000,0x3ffe2ffc,0x7c47ff93,0xffffffff,0xffffffff,0x7c404fff,
    0x3ff61fff,0x7ff4004f,0xf000002f,0x3ee00bff,0x3fff607f,0xf70fffa8,
    0x3ea000df,0xbfff10ff,0x7fdc0000,0x3ffa003f,0x5fff8007,0xfff30000,
    0x0037ff49,0x1ffe9ffb,0x3ff6bff9,0x7eccccc2,0xfa9999cf,0x009999ff,
    0x2227ffec,0x7001ffff,0x0000bfff,0x802fffc0,0x3e607ffb,0x0fffabff,
    0x2000dff9,0xff10fff9,0x440000bf,0xf3006fff,0xff0007ff,0x7c0000bf,
    0x7fff17ff,0x4e7fe400,0x7ffcc5ff,0x6c02ffd8,0x6ff982ff,0x77ffd400,
    0x06fffb80,0x00ffff88,0x3ffe0000,0x0fff7005,0xffafffd8,0x00bff90f,
    0x447ffe60,0x00005fff,0x400fffe4,0x8000fffc,0x00005fff,0x3ee7fff2,
    0x3ee000ff,0xe82ffcdf,0x01ffdbff,0x7d40fff4,0x3fe2005f,0x3ffa02ff,
    0x7ffec04f,0x7c000002,0xff7005ff,0xdfffa80f,0xbffb0fff,0x3ffe6000,
    0x00bfff11,0xffff8800,0x17fff200,0x02fffc00,0x9fff3000,0xb800dffb,
    0x907fedff,0x03ffbdff,0xfb80fff8,0x3ff2004f,0x7ffcc05f,0xbfff701f,
    0xff000000,0x3fee00bf,0xffffe807,0x0bffb0ff,0x47ffe600,0x0005fff8,
    0x2efffd80,0x0ffffe4c,0x05fff800,0x7fffc000,0x54003fff,0x305fffff,
    0x01ffffff,0xff907ff8,0x3ffea007,0xfffd801f,0xbffff886,0xaaaaaaaa,
    0x000aaaaa,0x5c017ffe,0xffa807ff,0xffb0ffff,0x3fe2000b,0x3bfff12f,
    0x33333333,0xfb100133,0xfffdffff,0x40003fff,0x00005fff,0x7fffffe4,
    0x7ffd4000,0x3ffa02ff,0x3e200fff,0x07ff907f,0x09fffd10,0x0ffffe20,
    0xfffffff9,0xffffffff,0x7c003fff,0xff7005ff,0x3fffa00f,0x0bffd0ff,
    0x4bffe200,0xfffffff8,0xffffffff,0x3fff2004,0x0effffff,0x2fffc000,
    0x3fe60000,0x98006fff,0x5c07ffff,0x4c07ffff,0x5ffb06ff,0x1dfff900,
    0x7fffdc00,0x3fffff20,0xffffffff,0x001fffff,0x5c017ffe,0xff7007ff,
    0x3ffa1fff,0xfff10004,0x3ffffe25,0xffffffff,0x6dc004ff,0x0bdfffff,
    0x5fff8000,0xfff80000,0xf98003ff,0x7c405fff,0x7d407fff,0x03ffd05f,
    0x02ffff98,0x25fffe80,0xfffffffc,0xffffffff,0x3e001fff,0xff7005ff,
    0x7fffc00f,0x009fff0f,0x44fffe20,0xffffffff,0x4fffffff,0x002a2000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00aaa600,0x510aaaa8,0x35555555,
    0xca980001,0xa9802bce,0x5544002a,0x5555530a,0x20033555,0xaaaaaaa9,
    0x2aaaaaaa,0x55555555,0x55555555,0x2aaaaaa6,0xa880009a,0xaaaaaaaa,
    0x02aaaaaa,0x00f32e20,0x55555553,0x00001355,0x006aaaa6,0xfb00aa20,
    0x3ff200ff,0x3fffea5f,0xcfffffff,0x3fff2000,0x01efffff,0x5001fff2,
    0x3ff25fff,0xffffffff,0x3ff601df,0xffffffff,0xffb5ffff,0xffffffff,
    0x3f6dffff,0xffffffff,0xfa801def,0xffffffff,0x07ffffff,0x0bffff70,
    0xffffffc8,0x03efffff,0x7ffffc00,0x7ffd4005,0x0fffb00e,0xa8dfff70,
    0xffffffff,0x404fffff,0xffffffe9,0x903fffff,0xfa800fff,0xffff92ff,
    0xffffffff,0xfffb03df,0xffffffff,0x3ff6bfff,0xffffffff,0xffb6ffff,
    0xffffffff,0x54019fff,0xffffffff,0x7fffffff,0x7ffff540,0x7ffe405f,
    0xffffffff,0xa8001fff,0x00ffffff,0xbfffff10,0x301fff60,0xfa81ffff,
    0xfeeeeeff,0x503fffff,0x77bfffff,0x03fffffb,0xa800fff9,0xfff92fff,
    0xffdb9999,0xfd81ffff,0xeeeeeeff,0xfb4eeeee,0xddddddff,0x369ddddd,
    0xeeeeefff,0x2fffffff,0xdddddd30,0xddddffff,0x3ffaa0dd,0x405fffff,
    0xeeeefffc,0xffffffee,0x7ffe4000,0xf5002fff,0x360fffff,0x3fe207ff,
    0xfffa81ff,0xffffb301,0x07fff303,0x21bfff62,0x54007ffc,0xfff92fff,
    0xeffffb80,0x003fff60,0x001fff60,0x7303ffec,0x003fffff,0x5005fff8,
    0xfdfffffd,0xffc80bff,0x7fffdc07,0x6fffc005,0xf3005fff,0x360dffff,
    0x3ff607ff,0x3fff502f,0x04fffd80,0xff8803d5,0x3ffe41ff,0x4bffea00,
    0xe8807ffc,0x3ff64fff,0xffd8000f,0xfffb0007,0xdfffb100,0x05fff800,
    0x3bfffff0,0xc80bfff3,0xff9807ff,0x3fea007f,0x00fffd9f,0x07ffffb0,
    0x7e41fff6,0x3fea04ff,0x7ffcc01f,0xffc80005,0x03ffe42f,0x64bffea0,
    0xff3007ff,0x07ffecbf,0x03ffec00,0x007ffd80,0x800bfff6,0xf7005fff,
    0x7ffcc5df,0x03ffe405,0x001fffd8,0x3feefff9,0xdf91002f,0x43ffec07,
    0x5405fffa,0xff801fff,0xfa80007f,0x3ffe44ff,0x4bffea00,0x3a007ffc,
    0x3fff67ff,0x7ffd8000,0x0fffb000,0x07fffcc0,0x005fff80,0xfff305d1,
    0x07ffc80b,0x003fff90,0x7fc53ffe,0xd800005f,0x7ffcc7ff,0x1fffa806,
    0x006fff80,0x44fff980,0x54007ffc,0xfff92fff,0x8fffe400,0x8000fffd,
    0xb0007ffd,0xfd800fff,0xfff002ff,0xff30000b,0x7ffc80bf,0x00fffb00,
    0xfe8bffea,0xd800007f,0x3ffa27ff,0xfffa800f,0x2fffcc01,0x7ffd4000,
    0x003ffe43,0x7e4bffea,0x3ff2007f,0x01fffb1f,0x00fffb00,0x001fff60,
    0x2007fff5,0x80005fff,0x6405fff9,0xffd007ff,0x1fff200b,0x0005fff7,
    0x367ffd80,0xf5001fff,0xffc803ff,0xfb80003f,0x3ffe42ff,0x4bffea00,
    0x36007ffc,0x3fff67ff,0x7ffd8000,0x0fffb000,0x04fff980,0x000bfff0,
    0x80bfff30,0xfb807ffc,0xfff003ff,0x05fff98b,0xbffec000,0x2002fffb,
    0x2e01fffa,0x00006fff,0xfc81fffd,0x7fd4007f,0x00fff92f,0xffb37ffc,
    0xffb0001f,0x3ff6000f,0x7ffc4007,0x0bfff005,0xbfff3000,0x207ffc80,
    0x005fffc8,0xfd05fff3,0xd80000ff,0x4fffafff,0x5fffd400,0xffeba999,
    0xa80001ff,0xffc84fff,0xeeeeeeef,0xfffeeeee,0x200fff92,0x3f63fffc,
    0xaaaaabff,0xfb0aaaaa,0xddddddff,0x363ddddd,0xff8007ff,0xbfff006f,
    0xfff30000,0xefffc80b,0xfffeeeee,0x3ff2004f,0x2fffc80f,0x3ff60000,
    0x8006ffff,0xfffffffa,0x01efffff,0xffff8800,0xfffffc80,0xffffffff,
    0xf92fffff,0xfff700ff,0xfffffd8d,0xffffffff,0xfffffb0f,0xffffffff,
    0x01fff65f,0x401fffa0,0x80005fff,0x6405fff9,0xffffffff,0x4003ffff,
    0xff305fff,0x6c00009f,0x2fffffff,0x7fffd400,0x2dffffff,0x3ffa0000,
    0xffff903f,0xffffffff,0x25ffffff,0xb9987ffc,0x6c1ffffe,0xffffffff,
    0xb0ffffff,0xffffffff,0x25ffffff,0xe8007ffd,0xfff007ff,0xff30000b,
    0xfffc80bf,0xffffffff,0xf9803fff,0x3ffe03ff,0x3f600007,0x0ffff9ff,
    0x3bffea00,0x0dffffee,0xfffb0000,0x5fffe409,0xaaaaaaaa,0x92fffcaa,
    0xffffffff,0x05ffffff,0xddddfffb,0x1ddddddd,0x2aabfff6,0xaaaaaaaa,
    0x000fffb0,0x3e00ffff,0x980005ff,0x7e405fff,0xcbaaaaff,0x04fffffd,
    0x9007ffe4,0x00005fff,0x7fddfff6,0xff5000ef,0xffffa83f,0x7fec0000,
    0x3ffe406f,0x4bffea00,0xfffffffc,0x00cfffff,0x0001fffb,0x2000fffb,
    0x44007ffd,0xff006fff,0xf30000bf,0xffc80bff,0x7ffe4407,0x1bffe02f,
    0x409fff50,0x3603ffd8,0x3fff67ff,0x3fff5005,0x00bfff30,0x077ffe40,
    0x001fff20,0x3f25fff5,0xefffffff,0x7fec01bc,0xffd8000f,0xfffb0007,
    0x6fff9800,0x00bfff00,0x0bfff300,0x9007ffc8,0x3e60dfff,0xfff803ff,
    0x3ffffa07,0x44fffb03,0xa803fffe,0xff901fff,0xff90005f,0xff9001df,
    0xfffa800f,0x333fff92,0xfffb0001,0xfffb0001,0x1fff6000,0x09fff500,
    0x0017ffe0,0x017ffe60,0x7c00fff9,0xffc80fff,0xaaaaaacf,0x82fffeaa,
    0x06fffff9,0xff98fffb,0x7fd401ff,0xffff101f,0xefffc800,0x0fff9000,
    0x92fffa80,0xb0000fff,0xb0001fff,0x36000fff,0x7ec007ff,0xfff001ff,
    0xff30000b,0x7ffc80bf,0x07fff600,0x3ffffffe,0xffffffff,0xfffa84ff,
    0xfffb07ff,0x01ffff70,0x900fffd4,0x32007fff,0x2000efff,0x54007ffc,
    0xfff92fff,0xfffb0000,0xfffb0001,0x1fff6000,0x07fff980,0x0017ffe0,
    0x017ffe60,0x6c00fff9,0x7fcc0fff,0xffffffff,0x7fffffff,0x5fffff88,
    0x360fffb0,0x3ea06fff,0x3fe601ff,0xfffc806f,0x7fe4000e,0x7ffd4007,
    0x000fff92,0x001fffb0,0x000fffb0,0xe801fff6,0x3e004fff,0x980005ff,
    0x7e405fff,0x3ffa007f,0xfffffc87,0xffffffff,0xa81fffff,0xfb00efff,
    0x7fff40ff,0x03fff504,0x202fffd8,0x000efffc,0x4007ffc8,0xff92fffa,
    0xffb0000f,0xffb0001f,0x3ff6000f,0xdfff9007,0x2fffc001,0x7ffcc000,
    0x03ffe405,0xf85fffa8,0x7d4006ff,0x035104ff,0x2607ffd8,0xfa82ffff,
    0x7fcc01ff,0xdfff906f,0x3ff20001,0x7ffd4007,0x000fff92,0x001fffb0,
    0x000fffb0,0xd301fff6,0x8005ffff,0x80005fff,0x6405fff9,0xff9807ff,
    0x7ffcc2ff,0x7ffc4003,0x7fec0007,0x7fffd407,0x00fffd41,0x3217fff4,
    0xaaabffff,0xaaaaaaaa,0x00fff90a,0xf92fffa8,0xfb0000ff,0xfb0001ff,
    0x333333ff,0x36133333,0xba999fff,0x2fffffec,0x33333310,0x3333bfff,
    0xaaaa8833,0xaefffbaa,0xff92aaaa,0x5533333f,0x907ffffb,0xb0003fff,
    0x40003fff,0xfc807ffd,0x3fea0eff,0xfffa801f,0x7fffff46,0xffffffff,
    0xff90ffff,0xfffa800f,0x000fff92,0x001fffb0,0xffffffb0,0xffffffff,
    0x3fffff6d,0xffffffff,0x3ffea01f,0xffffffff,0x7cc7ffff,0xffffffff,
    0x7fffffff,0xfffffff9,0x9fffffff,0x001bffe0,0x0027ffdc,0x200fffb0,
    0x3ea5fffe,0xffd001ff,0x7ffff45f,0xffffffff,0xf90fffff,0xffa800ff,
    0x00fff92f,0x01fffb00,0xfffffb00,0xffffffff,0x3ffff6df,0xefffffff,
    0x7ffd400b,0xffffffff,0x7cc7ffff,0xffffffff,0x7fffffff,0xfffffff9,
    0x03bfffff,0x0013ffe6,0x0037ffc4,0x200fffb0,0xf53ffff8,0x3ea003ff,
    0x3fffa6ff,0xffffffff,0x90ffffff,0xfa800fff,0x0fff92ff,0x1fffb000,
    0xffffb000,0xffffffff,0x3fff6dff,0x1cceefff,0x3fffea00,0xffffffff,
    0x7fcc7fff,0xffffffff,0x97ffffff,0xdfffffff,0xfc80379b,0x3a0001ff,
    0x00001fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x155554c0,0x55555530,0x55555555,
    0x73005555,0x001379d9,0x00000000,0x06aa2000,0x2aa62000,0x510001aa,
    0x00000035,0x26a62000,0x2aa62001,0x5000009a,0xdc880035,0x7fc40003,
    0x3ee06fff,0xffffffff,0xffffffff,0x3fffa607,0x001fffff,0x442ec400,
    0xa800003e,0xeffffffd,0x3ff66003,0x4fffffff,0xfffed980,0x3f202eff,
    0xfff5007f,0xfffdb803,0x442dffff,0xffffffda,0xffb03fff,0xffffdb89,
    0xfffd003f,0x3f20001d,0x2e06ffff,0xffffffff,0xffffffff,0xfffc887f,
    0xffffffff,0xfd100003,0x2fff449f,0xffd88000,0xffffffff,0x3ff6200d,
    0xffffffff,0x7ffd404f,0xdfffffff,0x007ffc80,0x2203fff5,0xfffffffe,
    0x7fdc5fff,0xffffffff,0x7fec1fff,0x3fffff64,0x7d405fff,0x8003ffff,
    0x6ffffff9,0x3ffffee0,0xffffffff,0xfd87ffff,0xca9abfff,0x0004ffff,
    0x32ffffcc,0x001dfffd,0x7ffff4c0,0xfffffddf,0xffffb01f,0xffdb99bd,
    0x7fffe409,0xffffdcbd,0x007ffc86,0xf703fff5,0xdddfffff,0xffb8bfff,
    0xfeeceeff,0x7fec6fff,0xdefffd8c,0x202ffffe,0x06fffffa,0xfeeffe80,
    0xf000006f,0xfffa8bff,0xffff300d,0x3fee0001,0xffe884ff,0xfd0001ef,
    0xfd301bff,0xfff50bff,0x5019801b,0xd101dfff,0xffc87fff,0x3fff5007,
    0x1effff98,0xceb8b930,0x3fffaa01,0x3fb7ff64,0x7ffdc1ef,0x3fffe206,
    0x7fe4007f,0x006ffe9f,0x1fffb800,0x003fffe2,0x0009fff3,0x805ffff9,
    0x002ffffd,0x2027ffdc,0x6c2fffe8,0xe80007ff,0xffe806ff,0x01fff20f,
    0x3a0fffd4,0x00004fff,0x26fff980,0x04fffffd,0xa807fff6,0x000fffff,
    0x3fa7fff3,0xf800006f,0x7ffd45ff,0x1fffd003,0x3fff6200,0xfff7001e,
    0x3fe2007f,0xfff3006f,0x006ffe8d,0x00fffdc0,0xf927ffcc,0x3fea00ff,
    0x17ffee1f,0xfd800000,0x3ffff67f,0x17ffd404,0x01bfff60,0x3fa6ffe8,
    0x5c00006f,0x7fdc2fff,0xfff5001f,0xfffd1005,0xffa8001d,0xffa804ff,
    0x3ff6003f,0x07fff60f,0x05fff800,0xfc97ffa0,0xfff5007f,0x007fffc3,
    0xff700000,0x17fff61f,0x00bffe60,0x200bfff7,0x3fa1fffb,0x7400006f,
    0x7ffd86ff,0x0fffe200,0x0bffff30,0x7fff4c00,0x1fff200d,0x43fff500,
    0x003ffffb,0x004fff88,0xffc9bff6,0x3fff5007,0x0013ffe2,0xfff70000,
    0x401fff61,0x6403fff9,0xf8803fff,0x37ff44ff,0xfff70000,0x00fffd05,
    0x2e04fff8,0x0003ffff,0x1efffe88,0x800dffb0,0x7f43fff9,0x001cffff,
    0x3337fff3,0xb3333333,0x3ffe4fff,0x31fffa80,0x00007fff,0x55555310,
    0x3f61fffb,0x9800006f,0xfb006fff,0x0dffd0df,0x37ff4000,0x000fffd8,
    0x7e417ffe,0x00002fff,0x417fffec,0x44005ffe,0x7f444fff,0x1cffffff,
    0x3ffffea0,0xffffffff,0xf90fffff,0x3fea00ff,0x03fff71f,0x3ff26000,
    0xffffffff,0x0dffb0ff,0x7fd44000,0xffa801ff,0x06ffe81f,0x5fff7000,
    0x00bffee0,0x6c46ffe8,0x0001efff,0x7ffff700,0x8005fff8,0xff704fff,
    0x3dffffff,0xffffff70,0xffffffff,0x3f21ffff,0xfff5007f,0x003fff23,
    0xffffb100,0xffffffff,0x1bff61ff,0x3ffb6000,0xf8803fff,0xdffd04ff,
    0x3ffa0000,0x1bffea06,0x747ffe80,0x0000ffff,0x7fffdc00,0x0017ffe3,
    0xa807fff1,0xfffffffd,0x66fffd43,0xcccccccc,0x3f24cccc,0xfff5007f,
    0x007fff23,0xbffffb00,0xfb555559,0x1bff61ff,0x3fffe000,0xffb000df,
    0x1bffa01f,0x3ffea000,0x6ffff403,0xfffd7100,0xefffe88f,0xf3000000,
    0xffe89fff,0x7ffcc006,0xffb51002,0x7fcc3fff,0xfc80002f,0xfff5007f,
    0x00bffea3,0x0efffb80,0xd87ffdc0,0xf80006ff,0x2a002cdf,0x3fa02fff,
    0xfe80006f,0xfff9807f,0xfeccceff,0xb06fffff,0x0003ffff,0x3ffffb80,
    0x4007ffc8,0x8001fffa,0x225fffe9,0x80004fff,0xf5007ffc,0x3ffe63ff,
    0x3ffa0003,0xfffb800f,0x000dffb0,0x7f400010,0x37ff405f,0x3ffea000,
    0xffff5003,0xffffffff,0x7e40dfff,0x00002fff,0x203ffff9,0x2002fffb,
    0x0000fffe,0xff8dfff1,0xfb80005f,0xffe800ff,0x0dfff11f,0x02fffc00,
    0xfb0fffb8,0x000000df,0x007ffe40,0x0001bffa,0x8800fffd,0xfffffffc,
    0x05ffe8be,0x027fffd4,0xdfffb100,0x37ffcc01,0x04fff980,0x23fff400,
    0x0002fffd,0x200fffd4,0x3a1ffffd,0x88003fff,0xe8805fff,0xdffb0fff,
    0x20000000,0xe802fff9,0x2a0006ff,0x20003fff,0x2209aa98,0xf9803fff,
    0x4000dfff,0x00dfffe9,0x404fffd8,0x000fffe9,0x31bffea0,0x0001ffff,
    0xb02fffcc,0x4c3fffff,0x8002ffff,0x7dc06fff,0xffb0ffff,0x0000000d,
    0x2667bffa,0xfe999999,0x009999ef,0x001fffd0,0x7ffcc000,0xfffd1002,
    0x3fea001d,0x3e2004ff,0x5440dfff,0x6443ffff,0x7ff4c01a,0xffffc83f,
    0xff839804,0x7fecc3ff,0x7e41fffe,0x4409dfff,0x3fffa5da,0xffffd984,
    0x0dffb0ff,0xf1000000,0xffffffff,0xffffffff,0x5007ffff,0x00009fff,
    0x00fffb80,0x3ffff620,0x7fffdc01,0xfffb8003,0xfffeefff,0xfff885ff,
    0xfeeeeeff,0xfd106fff,0xb9dfffff,0xf70fffdd,0xffddffff,0x83fff1df,
    0xffffffe8,0x25ffffef,0xdefffffa,0xffbfffff,0x00dffb0f,0xff100000,
    0xffffffff,0xffffffff,0xfd007fff,0x000001ff,0x001fffc4,0x03ffffc8,
    0x003ffffb,0x7ffff4c0,0x02ffffff,0xfffffff1,0x0bffffff,0xffffff90,
    0x0fffffff,0x3ffffff6,0x3fff0eff,0x3ffffee0,0x45ffffff,0xfffffffc,
    0xfff88dff,0x000dffb0,0xfff10000,0xffffffff,0xffffffff,0xffa807ff,
    0x4000004f,0x40006ffd,0x224ffffb,0x000efffe,0xfffec880,0x2200ceff,
    0xffffffed,0x2001cfff,0xfffffed9,0x2e03dfff,0x43efffff,0x32201fff,
    0xeffffffe,0xfffea81c,0x3fe23dff,0x00dffb0f,0x00000000,0x40037ff4,
    0x0000fffe,0x0bfff200,0x3ffe6000,0x037ffe65,0x0d4c0000,0x55333000,
    0x26000013,0x400099aa,0x00001aa8,0x2000ccc4,0x000001a9,0x00000000,
    0x800dffd0,0x0004fffa,0xbffff700,0x2f440000,0x000027cc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xd001bffa,0x20001fff,
    0xfccaa999,0x000effff,0x00100400,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0dffd000,0x02fffd40,0xfffff980,0x02efffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0dffd000,0x00ffff40,0xfffff980,0x0003ffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x8037ff40,0x0005fffa,
    0x2f3bffe6,0x0000009a,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x54c00000,0x00135100,0x000aaa88,
    0x00000000,0x00000000,0x80000000,0x80002ccc,0x80000cca,0x91000aaa,
    0x99999999,0x99999999,0x313332a7,0x32a19999,0x99700ccc,0x7c400199,
    0x9fffb15f,0x21ffffc8,0x3f624ffc,0xa82fffff,0x44005fff,0x3fe26fff,
    0x3f60002f,0xfffff36f,0xffffffff,0xfffd8bff,0x3fffa006,0x27ffc004,
    0x0ffe4000,0x3ffe6000,0xffff3005,0xffffffff,0x2edfffff,0x7fd47fff,
    0xffff70ff,0x3fff6201,0xbff1000f,0x4ffffff6,0x26fffffb,0xfff54ffc,
    0x07ffffff,0x4001ffff,0x7fc3fffb,0x3fa0003f,0xfffff34f,0xffffffff,
    0xffe88bff,0xfffb804f,0x4fff8006,0x0ffb8000,0x7fff4000,0xfff9802f,
    0xffffffff,0x76ffffff,0xff98ffff,0xffff70ff,0xffffb801,0xadff8800,
    0x9dffedff,0x1fffdeff,0xfff5bff9,0xfffffdbf,0x03fffc81,0xd03fffa0,
    0x7c0009ff,0xffff33ff,0xffffffff,0xff30bfff,0x7fcc03ff,0xff8000ff,
    0x2022004f,0x00180ffb,0x0dffdff7,0x55555510,0x55555555,0x3fea5555,
    0x3fffcc6f,0x200ffff5,0x400fffe9,0x13feeff8,0x74bfbdff,0xffff94ff,
    0xfffb07ff,0x06fff98b,0xb0bfff30,0x22000bff,0x88002fff,0xf701ffff,
    0x3fa01dff,0xff0002ff,0x17e4009f,0x5f911fea,0xe8fff880,0x000004ff,
    0x237ffd40,0x3ea7fff8,0x362007ff,0x3e200fff,0x7ffc5fff,0x53ff60ff,
    0x02fffffc,0x3fa1fffe,0xffc801ff,0x06ffc82f,0x03fff300,0x05fffb00,
    0xb84fffd8,0x20004fff,0xf3004fff,0x9fea1bff,0x6406ffe9,0x1fff33ff,
    0x4c000000,0x7fc45fff,0x1fffe66f,0x80aaaa00,0x741ffff8,0x7fe43fff,
    0x05ffff95,0x5c0fffc8,0xff804fff,0x0fff506f,0x3ea03bae,0x7e4000ff,
    0xff8804ff,0x3ffe62ff,0x7ffc0006,0xfff71004,0x3f2df35f,0x3e203eff,
    0x02ffe46f,0xff300000,0x4dfff0bf,0x0006fff9,0x17ffe200,0x3f21fffa,
    0x07fff95f,0x883fff70,0x7cc07fff,0xfff303ff,0x707fff01,0xfa800fff,
    0x3e6006ff,0xfffd0fff,0xfff80001,0x7fdc4004,0xeffeffef,0x42ffd802,
    0x5102fff8,0x55555555,0x55555555,0x213ffe25,0x3fe26fff,0x2000006f,
    0xfe81fff8,0x95ffc83f,0x3ea00fff,0xfffc81ff,0x03fff602,0x260fffc4,
    0xffc86fff,0x3ffe2006,0x7fe4000f,0x02fffcdf,0x04fff800,0xffff7100,
    0x3e6005df,0x0dff706f,0x3fffffe6,0xffffffff,0xfff16fff,0x44bfff09,
    0x00005fff,0x207ffe20,0xffc83ffe,0x200fff95,0xf981fffa,0xfff105ff,
    0x42fff80b,0x6c1ffffc,0x3fa004ff,0xfd0002ff,0x009fffff,0xfffffff3,
    0xffffffff,0x440dffff,0x002ffffc,0xfe807ffa,0xffff984f,0xffffffff,
    0x3e6fffff,0x5ffe83ff,0x0002fffc,0x03fff100,0xff907ffd,0x401fff2b,
    0xfd01fffa,0xfff501ff,0x43ffe805,0x744fffff,0xff9003ff,0x7c40007f,
    0x3006ffff,0xffffffff,0xffffffff,0xf910dfff,0x5dffffff,0x405ffb80,
    0x7441fffa,0xeeeeeeee,0xeeeeeeee,0x22026665,0x04ccc099,0xff100000,
    0x07ffd03f,0x3ff2bff9,0x3fff5007,0x20bffee0,0xfd807ffd,0x3f7fe64f,
    0x017ff47f,0x002fffdc,0x0ffffe40,0xfffff980,0xffffffff,0x26ffffff,
    0xfadfffc8,0x83efffae,0xd801fff8,0x000005ff,0x00000000,0x3fff1000,
    0xf907ffd0,0x01fff2bf,0x880fffd4,0x7fc45fff,0x5ffc804f,0x3ffa7ff2,
    0x3007ffe1,0x0001dfff,0x6fffff98,0x26666600,0x9dfff999,0x30999999,
    0x3e67ffff,0x8dfffb17,0xf3004ffc,0x32e205ff,0xa80002ce,0x888880bc,
    0x08888888,0xfff10000,0x907ffd03,0x1fff2bff,0x00fffd40,0x7dc1fffb,
    0xffb800ff,0x7fddffa6,0x401fff14,0x001fffe8,0x7ffff440,0xf00004ff,
    0x7f4009ff,0xf51fea0d,0x07ffc47f,0x81dff900,0xeffffff9,0x83332200,
    0x2a0efffd,0xffffffff,0x00007fff,0xfd03fff1,0x2bff907f,0xf5007ffc,
    0x7fcc03ff,0x01bffa3f,0xff9bffcc,0x3e6fff34,0x7ffec07f,0xffd80003,
    0x03fffdbf,0x04fff800,0x3fea0aa0,0x00002440,0xfffff980,0xf301ffff,
    0x3ffee1ff,0x3ffea5ff,0xffffffff,0xff100007,0x07ffd03f,0x3ff2bff9,
    0x3fff5007,0xf36ffe80,0x3e2005ff,0x22ffc8ff,0x6ffaaffe,0x017ffee0,
    0x57ffee00,0x001ffff8,0x0027ffc0,0x0007fdc0,0xffb00000,0xffffd9df,
    0x6cfff703,0x2a7fffff,0xffffffff,0x00007fff,0xfd03fff1,0x2bff907f,
    0xf5007ffc,0xffb803ff,0x007ffc9f,0x3ff4fffc,0x3fef7fee,0x0dfff305,
    0xffff3000,0x077ffd41,0x09fff000,0x03ff9000,0x26000000,0x7fe43fff,
    0x3ff622ff,0x3fffff66,0x26666627,0x01999999,0x3fff1000,0xf907ffd0,
    0x01fff2bf,0x200fffd4,0xffecfff8,0x67ff4004,0x7ffc44ff,0xff883ffc,
    0x440000ff,0xfd82ffff,0x3e0005ff,0xc80004ff,0x000001ff,0x01fff500,
    0xf9dffff9,0x7fd45fff,0x00005fff,0xfff88000,0xc83ffe81,0x0fff95ff,
    0x007ffea0,0x3ffffff6,0x7ffec001,0xfffe82ff,0xfffe82ff,0xffe80002,
    0xfffd104f,0x3ffe0009,0x19880004,0x20000000,0x3ee07ffb,0x6fffffff,
    0x00dfffc8,0x88000000,0xffe81fff,0xf95ffc83,0x3fea00ff,0xfffa801f,
    0xfc8006ff,0xff707fff,0xffb83fff,0xffffffff,0x42ffffff,0x4c06fffc,
    0x8002ffff,0x00004fff,0x00000000,0xfa807995,0x00dfffff,0x00000351,
    0x7ffc4000,0xc83ffe81,0x0fff95ff,0x007ffea0,0x01fffffc,0x27fffdc0,
    0x0fffff88,0x7fffffe4,0xffffffff,0x3ffea2ff,0xfffc801f,0x776c000f,
    0x00000003,0x00000000,0x000af72a,0x00000000,0x3a07ffe2,0x5ffc83ff,
    0x2a00fff9,0xf9001fff,0x30001fff,0x7405ffff,0xffc87fff,0xffffffff,
    0x12ffffff,0x4009ffff,0x0006fffe,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_43_usascii_x[95]={ 0,8,5,0,2,0,1,9,6,5,3,1,4,5,
8,2,1,2,3,3,0,3,2,2,2,2,8,5,2,2,4,6,0,0,3,1,2,4,4,1,2,3,3,3,
4,1,2,1,3,1,3,2,1,2,0,0,0,0,2,7,3,6,2,0,0,2,3,3,2,2,0,1,3,3,
2,3,3,1,3,1,3,2,4,3,1,3,1,0,1,1,3,3,10,4,1, };
static signed short stb__consolas_43_usascii_y[95]={ 31,1,1,3,-1,1,1,1,-1,-1,1,9,24,17,
24,1,3,3,3,3,3,3,3,3,3,3,9,9,7,14,7,1,1,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,1,0,3,36,1,9,1,9,1,9,1,9,1,1,
1,1,1,9,9,9,9,9,9,9,3,9,9,9,9,9,9,0,-4,0,15, };
static unsigned short stb__consolas_43_usascii_w[95]={ 0,7,14,23,20,24,23,6,13,13,18,21,12,14,
8,19,21,19,19,18,23,18,20,20,20,20,8,11,18,19,17,14,24,24,19,20,21,16,16,21,20,18,16,19,
17,22,20,22,19,23,20,19,21,20,24,23,24,24,20,11,19,11,20,24,15,19,19,17,19,20,23,21,18,18,
17,20,18,21,18,21,19,19,18,18,20,18,22,23,22,22,18,16,4,17,22, };
static unsigned short stb__consolas_43_usascii_h[95]={ 0,31,11,28,37,31,31,11,41,41,19,21,15,5,
8,35,29,28,28,29,28,29,29,28,29,28,23,30,25,11,25,31,39,28,28,29,28,28,28,29,28,28,29,28,
28,28,28,29,28,36,28,29,28,29,28,28,28,28,28,40,35,40,14,4,9,23,31,23,31,23,30,31,30,30,
39,30,30,22,22,23,31,31,22,23,29,23,22,22,22,31,22,40,44,40,9, };
static unsigned short stb__consolas_43_usascii_s[95]={ 253,245,213,97,136,21,221,228,20,6,153,
131,242,225,216,181,1,178,42,89,1,108,127,25,148,46,243,225,67,193,86,
46,111,218,198,229,137,120,103,169,62,159,212,1,233,210,189,46,83,157,21,
69,167,191,48,73,121,23,146,63,201,51,172,221,235,203,104,185,124,145,1,
144,185,237,93,204,166,1,23,104,84,1,223,126,25,166,42,65,108,61,89,
34,1,75,193, };
static unsigned short stb__consolas_43_usascii_t[95]={ 1,1,197,109,1,46,1,197,1,1,197,
197,168,209,209,1,109,139,139,78,168,78,78,168,78,168,139,46,168,197,168,
46,1,139,139,78,139,139,139,78,139,139,78,139,109,109,109,78,139,1,139,
78,109,78,109,109,109,109,109,1,1,1,197,33,197,168,46,168,46,168,78,
46,46,46,1,46,46,197,197,168,46,46,168,168,78,168,197,197,197,46,197,
1,1,1,209, };
static unsigned short stb__consolas_43_usascii_a[95]={ 378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_43_usascii_BITMAP_HEIGHT or STB_FONT_consolas_43_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_43_usascii(stb_fontchar font[STB_FONT_consolas_43_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_43_usascii_BITMAP_HEIGHT][STB_FONT_consolas_43_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_43_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_43_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_43_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_43_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_43_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_43_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_43_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_43_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_43_usascii_s[i] + stb__consolas_43_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_43_usascii_t[i] + stb__consolas_43_usascii_h[i]) * recip_height;
            font[i].x0 = stb__consolas_43_usascii_x[i];
            font[i].y0 = stb__consolas_43_usascii_y[i];
            font[i].x1 = stb__consolas_43_usascii_x[i] + stb__consolas_43_usascii_w[i];
            font[i].y1 = stb__consolas_43_usascii_y[i] + stb__consolas_43_usascii_h[i];
            font[i].advance_int = (stb__consolas_43_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_43_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_43_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_43_usascii_s[i] + stb__consolas_43_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_43_usascii_t[i] + stb__consolas_43_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_43_usascii_x[i] - 0.5f;
            font[i].y0f = stb__consolas_43_usascii_y[i] - 0.5f;
            font[i].x1f = stb__consolas_43_usascii_x[i] + stb__consolas_43_usascii_w[i] + 0.5f;
            font[i].y1f = stb__consolas_43_usascii_y[i] + stb__consolas_43_usascii_h[i] + 0.5f;
            font[i].advance = stb__consolas_43_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_43_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_43_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_43_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_43_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_43_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_43_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_43_usascii_LINE_SPACING
#endif

