// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_45_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_45_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_45_usascii_BITMAP_WIDTH         256
#define STB_FONT_consolas_45_usascii_BITMAP_HEIGHT        252
#define STB_FONT_consolas_45_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_consolas_45_usascii_FIRST_CHAR            32
#define STB_FONT_consolas_45_usascii_NUM_CHARS             95

#define STB_FONT_consolas_45_usascii_LINE_SPACING          30

static unsigned int stb__consolas_45_usascii_pixels[]={
    0x1981fff7,0x81500000,0xeeeeeeea,0x98002eee,0x0004edca,0x00000062,
    0x337b6062,0xeeb8001a,0xeeeeeeee,0x0eee8000,0x00000000,0x00000000,
    0x80000000,0x3e60fffb,0x4c00001f,0x3ffea0ef,0x2fffffff,0x3fffa600,
    0x6dc005ff,0x01bdffff,0x77fec000,0x3fffffe1,0x3ff2000c,0xffffffff,
    0x3ffc4000,0x3b6e6000,0x0009bdff,0x3ffe4000,0x0005fff3,0x37bdff50,
    0x3fffe200,0xf10fffbe,0x00001dff,0xfa97ffe6,0xffffffff,0xfff7002f,
    0x200bffff,0xffffffe9,0x00003fff,0x7cdffff9,0x0fffffff,0xfffff900,
    0x001fffff,0x0006ff98,0x3ffffff2,0x0001efff,0x89fff100,0x80006ffe,
    0xeffffffa,0xeffff803,0x3ee0fffb,0x40000eff,0x2a1ffff8,0x9999afff,
    0xff880099,0x009abeff,0xbeffffb8,0x04ffffdb,0xffffe800,0xff95330f,
    0x26200bff,0xffc99999,0x7fd4000f,0xffe88005,0xffffffff,0x800002ff,
    0x7d40fffb,0x540001ff,0xffffffff,0x3fffe01e,0x6c0fffbd,0x0000efff,
    0xa85fffd1,0x40001fff,0x8004fffc,0x500dfffb,0x80009fff,0x207ffffd,
    0x002fffe8,0x007ffdc0,0x77ff5cc4,0xff9800ab,0xecacefff,0x003fffff,
    0x82fff400,0x40004fff,0xfffecca8,0xfff02fff,0x01fff7bf,0x000bfffb,
    0x2a0ffffa,0x40001fff,0x98006fff,0xfb804fff,0x260001ff,0x4c03ffff,
    0x40004fff,0x2e00fffb,0xffffffff,0x7f407fff,0xff300eff,0x00001fff,
    0x640bffe6,0x00000fff,0x7ffffe44,0xbcfffe81,0xfe880fff,0x7dc002ff,
    0xfff504ff,0xfff80003,0x7ffc4004,0x13ff2003,0x05993000,0x0017ffa0,
    0x501fff70,0xfffffffd,0x40ffffff,0x400efffa,0x004ffff9,0x40dffb00,
    0x0003fff8,0xfffff100,0xf79fffd0,0x3fe601ff,0x3fe2006f,0x3ffea06f,
    0x3fe60001,0x7fec002f,0x3ffc4006,0x6c000000,0x5c0006ff,0x7fd40fff,
    0xfffdefff,0x3a07ffed,0xf3000fff,0x80001fff,0x6c03fff8,0x000006ff,
    0xb0ffffe6,0xfff77fff,0x27ffe401,0x02fffd80,0x0007ffea,0x002fff98,
    0x0003ffe6,0x0000bffa,0x0fff9000,0x0fffb800,0x433fffe2,0x0a20fff8,
    0x002fffdc,0x000ffffa,0x801fff90,0x0002fffa,0x1bffee00,0xff77fffb,
    0x7ffc401f,0x7ffcc01f,0x0fffd405,0x5fff3000,0x01ffec00,0x005ffc80,
    0x7fe40000,0x7fdc0007,0x17fff60f,0x7400fff3,0x5c002fff,0x40006fff,
    0xfd004fff,0x400000bf,0x7e47fff9,0x0fffbaff,0x02fffdc0,0x5007fffa,
    0x40003fff,0x1002fff9,0x20001fff,0x7fcc6ff9,0xffffffff,0xc803ffff,
    0x5c0007ff,0x3ffe0fff,0x037fd41f,0x000ffff0,0x000ffff1,0x800fffd4,
    0x0000fffb,0x87fffe00,0xffbafffc,0xfffe800f,0x09fff500,0x003fff50,
    0x017ffcc0,0x2205ffc8,0x8fff0c19,0xfffffff9,0x3fffffff,0x007ffc80,
    0x987ffdc0,0xffb86fff,0xbfff1005,0x3fffa000,0xdffd0000,0x27ffc400,
    0xfff00000,0xb8ccc41f,0xfc800fff,0xfff902ff,0x3fff5003,0x7ffcc000,
    0x03fff002,0xfddfffd5,0x3e63ffcb,0xffffffff,0x803fffff,0x40007ffc,
    0xff30fffb,0x4ffc81ff,0x09fff300,0x07fffa00,0x0bffe600,0x00fff900,
    0x3ffe2000,0x0fffb807,0x05fff980,0x2a00ffff,0x20001fff,0x9801fff9,
    0xfffb86ff,0x3a4fffff,0x4cccc0ff,0xfb999999,0xffc803ff,0x7fdc0007,
    0x0ffffe0f,0x2a005ffb,0xb0003fff,0x90005fff,0xf3000fff,0x000005ff,
    0x700dfff9,0x3a001fff,0x7fd40fff,0xfff5004f,0x7fd40003,0x4ffb800f,
    0x7677ffd4,0x3ffa3fff,0xfff50001,0x1fff7007,0x7ffdc000,0x8fffff60,
    0xf7001ffe,0x320005ff,0x44002fff,0xb0004fff,0x40000dff,0x02ffffc8,
    0x000fffb8,0xfc87fff9,0xff5001ff,0x7e40003f,0x5ffb007f,0x3e25ffe8,
    0x0bff61ff,0x1fffd400,0x01fffd40,0x41fff700,0xaefffff8,0xf9000fff,
    0x320005ff,0x5c003fff,0x50000fff,0x10003fff,0xfffffddd,0x3fee00bf,
    0xfff5000f,0x007ffe89,0x0007ffea,0x8027ffcc,0x3fea1fff,0x83ffe60f,
    0x50002ffd,0x3e007fff,0x70000fff,0xffa81fff,0x07ffffff,0x00bfff60,
    0x017ffe40,0x0017ffa0,0x000bfff0,0xfffffff1,0x7fdc009f,0xfff3000f,
    0x006fff8b,0x2007ffea,0xfffca998,0x7ff9800f,0x3ee27fec,0x017fec7f,
    0x03fffa80,0x59ffff70,0x3fee0033,0xfffe980f,0x801dffff,0x0003fffc,
    0x4003fffb,0x0001fffa,0x0007ffdc,0x3bffffe2,0x7fdc000c,0xfff1000f,
    0x02fffc4d,0x003fff50,0xbffffff7,0x97fea001,0x7e42fff8,0x00ffec6f,
    0x03fffa80,0x3ffffea0,0xffb801ff,0x3ffae00f,0x01efffff,0x0013ffee,
    0x0007ffec,0x0000dffb,0x8007fff1,0x0004fff8,0x0007ffdc,0x7fccffff,
    0x3fea005f,0xfffb801f,0x2e000bff,0x3ffea4ff,0x3a2ffec0,0xf50001ff,
    0xd88007ff,0x801fffff,0xa800fffb,0xfffffffe,0x4fffa80d,0x0fffd000,
    0x01fffc40,0x07ffd800,0x003fff80,0x007ffdc0,0x7ccfffd0,0x3ea004ff,
    0xfea801ff,0x003fffff,0x7fdc9ff7,0x743ffe87,0xf50000ff,0x7e4007ff,
    0x00efffff,0x000fffb8,0xfffffffb,0xfff981df,0xfff88006,0x3fff2007,
    0xff300000,0xfff8005f,0x7fdc0003,0x3ffa000f,0x07fff50f,0x00fffd40,
    0x3fffee20,0x23ffc802,0xfff86ffc,0x0003ffc2,0x2007fff5,0x001dfffb,
    0x000fffb8,0xffd55ffd,0xfff88dff,0x7fdc000f,0xfff1005f,0xfe800009,
    0x7ffc005f,0x7fdc0003,0x3ffa000f,0x013ffe67,0x001fffa8,0x00dfff10,
    0x7fec7ff9,0x10fffc45,0x54000fff,0xf8803fff,0x2e0005ff,0xff000fff,
    0x7fffdc3f,0x01ffff43,0x00bfffa0,0x000fffdc,0x07ffea00,0x002fff80,
    0x007ffdc0,0x7c4dfff0,0x3ea005ff,0x320001ff,0x7ec00fff,0x517ff62f,
    0x7fcc1fff,0x3fea0005,0xfffa803f,0x3fee0001,0xfff8800f,0x22fffe40,
    0x2006fffb,0x2006fff9,0x00005ffe,0x4009fff0,0x40001ccc,0x1000fffb,
    0xfff8dfff,0x3ffea006,0x3fea0001,0x17fec01f,0xffb8bffb,0x001ffdc7,
    0x007fff50,0x0001fff7,0x4007ffdc,0xff987ff9,0x7fffc46f,0xfffe8804,
    0x5fff3002,0x3f200000,0x000000ff,0x00fffb80,0xf8bfff30,0x3ea007ff,
    0x260001ff,0x7e402fff,0xd1bff62f,0x0ffd8fff,0x3ffea000,0x07ffc803,
    0x07ffdc00,0x4437fd40,0xffc87fff,0x3fa203ff,0x3f6007ff,0x2000006f,
    0x0003fff8,0xfffb8000,0x7fff5000,0x000fffe8,0x0003fff5,0x2017ffcc,
    0x3ff23ffc,0x99fffee6,0x540006ff,0xfc803fff,0x7dc0007f,0xffb800ff,
    0x85fff985,0xbdffffe8,0xfffeca89,0xfff1001f,0xd8000007,0x351006ff,
    0xfff70000,0x3fff6001,0x01fffe41,0x001fffa8,0x00bffe60,0x7fd49ff7,
    0xffdffbcf,0x002ffeac,0x01fffd40,0x0003ffe4,0x2003ffee,0xffd84ffc,
    0xfffd103f,0xffffffff,0x7dc003ff,0x000000ff,0x200fffd4,0x0005fffa,
    0x8007ffdc,0xff986fff,0xfff5006f,0x7fcc0003,0x2ffd402f,0x33fffffe,
    0x4ffffff8,0xfffa8000,0x07ffc803,0x87ffdc00,0x3ffd80aa,0x03ffff66,
    0xfffffe88,0x00efffff,0x002fffc0,0x5ffe8000,0x17ffffc0,0x1fff7000,
    0x09fff500,0x2003fffa,0x0001fffa,0x300bffe6,0xfffa8bff,0x3ffff66f,
    0xff500005,0xfff9007f,0xfffb8000,0x79bdff90,0xffd99ffd,0x26003fff,
    0xdffffffc,0xfffa8002,0x70000001,0x3e201fff,0x0003ffff,0x2003ffee,
    0xf701fffc,0xff5007ff,0x7cc0003f,0x7fcc02ff,0x881bb886,0x200000ab,
    0xc803fffa,0x5c0007ff,0xfff90fff,0xffffffff,0x005fffff,0x003fff60,
    0x006ffe80,0x3fe20000,0x3fffe04f,0x3ee0002f,0x7fc400ff,0x3ffe206f,
    0x1fffa806,0x3ffe6000,0x0fffc402,0x80000000,0xc803fffa,0x5c0007ff,
    0xfff90fff,0xffffffff,0x00019fff,0x001fffdc,0x002fff98,0x7fe40000,
    0x17ffea07,0x1fff7000,0x02fffd80,0x201fffec,0x0001fffa,0x200bffe6,
    0x00004ffd,0xfff70000,0x0fff9005,0x0fffb800,0x3ffb72e6,0x00abdeff,
    0x7fff9800,0x0fff9000,0xf3000000,0x0d4405ff,0x7ffdc000,0x17ffe600,
    0x03fffe20,0x001fffa8,0x00fffe60,0x0001bfea,0x7fe40000,0x7ffc800f,
    0x7ffdc000,0x02ffdc00,0xffff0000,0xf10b6209,0x000009ff,0x01bffa00,
    0x7fdc0000,0x3fffa00f,0xbfff7000,0x00fffd40,0x09fff100,0x0007ffe0,
    0x3fa00000,0xdffb007f,0xfffb8000,0x027fe400,0xfff30000,0xffb979ff,
    0x00fffb8d,0xf5000000,0x000003ff,0x201fff70,0x4004fffb,0xf501fffe,
    0xf80003ff,0xff9006ff,0x0000001d,0x037ffd40,0x002fffc4,0x003ffee0,
    0x00007ffb,0xfffffc80,0x23ffffff,0x00005ffe,0x27ffc000,0x7dc00000,
    0xfff980ff,0x7fcc000f,0xfffa80ff,0x7fec0001,0xfff9804f,0x1002000e,
    0xfffd1003,0x7fffb003,0xfffb8000,0x017ff400,0x7f540000,0x2fffffff,
    0x0007bba6,0xdd700000,0x7000000b,0xff981fff,0xf90001ff,0xffa81dff,
    0x7c40001f,0x201aefff,0x00aefffb,0xf8809d71,0xf7310abe,0x2620bfff,
    0x006fffeb,0x00fffb80,0x0000fffc,0xbdb95000,0x00000059,0x00000000,
    0x1fff7000,0x00ffff44,0x1bfff600,0xfffffff5,0x2e005fff,0x5fffffff,
    0xdfffff50,0x9ffffdb9,0xfffff880,0xefffffff,0xffffff80,0xff9002ff,
    0xffffffff,0x00199801,0x00000000,0x00000000,0x20000000,0x3fa0fffb,
    0xb00002ff,0x7fd4bfff,0xffffffff,0x3ffee002,0x3e605fff,0xffffffff,
    0x7c402eff,0xffffffff,0x3ffe04ff,0x2001efff,0xfffffffc,0x00000fff,
    0x00000000,0x00000000,0x80000000,0x3f60fffb,0x7400003f,0x3ffea2ff,
    0x2fffffff,0x7f65c400,0x6dd4405f,0x01ceefff,0x3fffb260,0x7c01ceff,
    0x8002cdef,0xfffffffc,0x00000fff,0x00000000,0x00000000,0x80000000,
    0x26c0fffb,0x1f440000,0x00000000,0x00000800,0x000004c4,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00fffb80,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xff700000,
    0x0000001f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0003ffee,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x33300000,0x00000301,0x00033100,0x00000000,
    0x03510000,0x00000000,0x0002aaa6,0x00000000,0x004c4000,0x98000000,
    0xfd95000a,0xfb9dffff,0x0bffee1f,0xffd30000,0x36001bff,0x3ffea6ff,
    0xfff98007,0x727fffc6,0xffda8fff,0x0001dfff,0x00fffd80,0x3fffffa6,
    0xffffffff,0x3ffffee7,0xb806ffff,0x00002fff,0x00bfff20,0x00037ffc,
    0x04fffd88,0x3fffff62,0xffffffff,0x005fff70,0x7fffdc00,0x5400ffff,
    0x7ff41fff,0x7fe4002f,0x27fffc3f,0x7fdcfff7,0x2fffffff,0x7fec0000,
    0xfffd880f,0xffffffff,0x3ee7ffff,0xffffffff,0x2fffb806,0xff500000,
    0xff001fff,0x320000df,0x982fffff,0xeefffffe,0x0fffffff,0x0005fff7,
    0x2fbffe20,0x2205fffe,0xffb84fff,0x7ffc005f,0x27fffc0f,0xff91fff7,
    0xffffffff,0x6c00003f,0xffd80fff,0xffdbbdff,0x27ffffff,0xfffffffb,
    0xffb806ff,0x9000002f,0x005fffff,0x0000dfff,0x13fffffa,0x03bffff3,
    0x21ffff71,0x0002fffb,0xfa8bff90,0xfff900ff,0x1ffff101,0x17ffe600,
    0xfb8ffffa,0x0cfffdff,0x01bfffaa,0x0fffd800,0x40f7ffdc,0x004fffd8,
    0xb806fff8,0x00002fff,0x3fffff70,0x00dfff00,0x3ffffa00,0x1fffec4f,
    0xb87ffec0,0x00002fff,0xff885ffd,0x2fff982f,0x00ffff60,0x7417ffe4,
    0x3fee3fff,0xf101ffff,0x00003fff,0xff03fff6,0x7f4401ff,0x7fc000ff,
    0xfffb806f,0xd1000002,0x3e00bfff,0x700006ff,0x4c3fffff,0xfb005fff,
    0x3ffee1ff,0xfff00002,0xd07ffd01,0xffa80bff,0xffff006f,0x47fffd01,
    0x00fffffb,0x0027ffdc,0x20fffd80,0xb804fff9,0x7c003fff,0xffb806ff,
    0x2000002f,0x3e003cc8,0x200006ff,0x7ec3fffc,0xffb001ff,0x0bffee1f,
    0x3ffe2000,0x643ffd80,0xff800fff,0x7fd401ff,0x7fffd04f,0x00ffffdc,
    0x003fffc4,0x20fffd80,0x9802fffa,0x7c004fff,0xffb806ff,0x0000002f,
    0x06fff800,0xf80c4000,0x3f6005ff,0x5fff70ff,0x3ffe0000,0x262ffd82,
    0xf9002fff,0xffd809ff,0x7fffd01f,0x001fffdc,0x0000fffd,0xfb83fff6,
    0xff9802ff,0x7ffc004f,0x2fffb806,0x00000000,0x0006fff8,0x9fff3000,
    0x87ffec00,0x5102fffb,0x13ffa003,0x7f43fff1,0x3fe2005f,0xfff100ff,
    0x17ffec0d,0x4005fff7,0x4000fffd,0xfffb0999,0x01fffdc1,0x0017ffd4,
    0x2e01bffe,0xaa982fff,0x00000009,0x00037ffc,0x3fffa800,0x43fff600,
    0x36a1fffb,0x01dfffff,0x2633fff2,0x3fee5ffe,0x7fec000f,0x7fff503f,
    0x717ffec0,0x64005fff,0x65401fff,0xfffffffe,0x3fe60fff,0xfffe806f,
    0x37ffc001,0x717ffdc0,0x1bfffffd,0x3ffffee0,0xf006ffff,0x3f600dff,
    0x2e001fff,0x36002fff,0xfff70fff,0x3ffffee3,0xf102ffff,0xffffffff,
    0x00fffe63,0x41bffea0,0x3600fffd,0x3fee2fff,0x3ff2002f,0xfffb102f,
    0xffffffff,0xfffe81ff,0x1bfff204,0x01bffe00,0x3627ffee,0xffffffff,
    0xffffb81f,0x006fffff,0xfb00dfff,0xc8003fff,0x36002fff,0xfff70fff,
    0xffffff93,0x203fffff,0xefffffe9,0x0017ffa1,0x441ffff8,0x7ec05fff,
    0x3ffee2ff,0x3fff2002,0xfffffa81,0xfffffeff,0x7ffc40ff,0xfda99aef,
    0xf8000fff,0xffb806ff,0xeffffeaf,0xb86fffff,0xffffffff,0xdfff006f,
    0x1ffffd80,0x2fffb800,0x43fff600,0xfffefffb,0x3fffaa0c,0x566e5406,
    0x003ffee0,0x44fffc80,0x6c02fffb,0x3fee2fff,0x3ff6002f,0xdffff887,
    0x7ffdc409,0x7fffcc0f,0xffffffff,0xfff0002f,0xffff700d,0xffa87fff,
    0x4ccc43ff,0x06fff999,0x6c0dfff0,0x0001ffff,0x4007fff5,0xff70fffd,
    0x2203ffff,0x0001ffff,0x0007fff1,0x747fff88,0xffc807ff,0x0bffee1f,
    0xd86ffe80,0xfd803fff,0x77ff40ff,0xffffffff,0x3fe0000c,0xfffb806f,
    0xff500eff,0x7ffc00df,0x0dfff006,0x007ffff6,0x04fff980,0x21ffff30,
    0x00fffffb,0x0027ffdc,0x0006ffd8,0x265fffb0,0xfc804fff,0x3ffee1ff,
    0x17ffe002,0x200bfff3,0x3ee0fffd,0xddcb88ff,0xf80000ab,0xffb806ff,
    0x7f400eff,0x3ffe007f,0x0dfff006,0x003ffffb,0x06fff880,0x0fffff88,
    0x003ffff7,0x000ffff1,0x0003fff7,0x657ffea0,0xfc801fff,0x3ffee1ff,
    0x7fff7002,0x001fffd8,0x7ec1fffb,0x0000005f,0xf700dfff,0xfb001fff,
    0x3fe001ff,0xdfff006f,0x01ffffd8,0x3fa02620,0x3fa201ff,0xff70ffff,
    0x7ff4007f,0x7ffc4007,0x7fc00003,0x06fff8ff,0x5c3fff90,0xff002fff,
    0x5fff81ff,0x83fff600,0x00005fff,0x00dfff00,0x2005fff7,0xf001fffc,
    0x3fe00dff,0x3ffff66f,0x3fff6000,0x02fffdc3,0x1ffffffb,0x800bffee,
    0x2000fffd,0x00006ffd,0xffcfffc8,0xfff9003f,0x017ffdc3,0x10bfff62,
    0x6c009fff,0x3ffe0fff,0x000000bf,0x5c037ffc,0xf9002fff,0x3fe003ff,
    0xdfff006f,0x003bfff2,0x1fffffb8,0x477fffe2,0xfcefffc8,0x5fff70ff,
    0x0fffe400,0x21fffa80,0x002cddb9,0xffffff98,0xfff7000f,0x56fffdc1,
    0x7fffd440,0x03fff985,0xd83fff60,0xeeffffff,0x00abceee,0x00dfff00,
    0x2005fff7,0xf001fffc,0x3fe00dff,0x0efffcef,0x7ffff400,0x7fffdc4f,
    0x8effffff,0xff70fffc,0x7fe4005f,0xfff8802f,0x3ffffee4,0x7f4000df,
    0x2005ffff,0x3ee0fffb,0xfeffffff,0x80efffff,0x2002fffb,0x3a20fffd,
    0xffffffff,0x1dffffff,0x037ffc00,0x8017ffdc,0xf001fffc,0x3fe00dff,
    0x05fffeef,0xfffffe80,0xfffffb84,0xff90dfff,0x0bffee1f,0x01fffc80,
    0x3ee6ffd8,0x5fffffff,0x7fffd400,0x3fee001f,0x3fffee0f,0xffffffff,
    0x3fff203f,0x3fff6002,0x7ffffc40,0xffffffff,0x3e002fff,0xffb806ff,
    0xfff9002f,0x1bffe003,0x7477ffc0,0x64005fff,0x502fffff,0x87bffffd,
    0xff70fffc,0x7fec005f,0x1fffa807,0x9119fff1,0xf8005fff,0x5c005fff,
    0x3fee0fff,0xffffffef,0x7fdc00cd,0x3ff6002f,0x3fffa20f,0xecccbaab,
    0x01ffffff,0x700dfff0,0x32005fff,0xff001fff,0x3ffe00df,0x09ffff36,
    0x03fffd80,0x7fec0330,0x05fff70f,0x2037ff40,0x3ee4ffe8,0x04ffe86f,
    0x07fffe20,0xb8999300,0x13312fff,0x3fffa800,0x43fff600,0x801fffe8,
    0x03ffffa8,0x700dfff0,0x32005fff,0xff001fff,0x3ffe00df,0x0ffffe66,
    0x00015300,0xb87ffec0,0x3e002fff,0x7fe405ff,0x20fff20f,0x2e005ffc,
    0x00006fff,0x0017ffdc,0x027ffcc0,0x50ffff98,0xd8007fff,0xff005fff,
    0xfff700df,0x3fff2005,0x0dfff001,0xf51bffe0,0x00007fff,0xfffd8000,
    0x005fff70,0x980fffee,0x7fec2fff,0x006ffa82,0x005ffff1,0x2fffb800,
    0xfff88000,0xffff8806,0x03fff90f,0x05fffa80,0x700dfff0,0x32005fff,
    0xff001fff,0x3ffe00df,0x2ffffb86,0x20000000,0xff70fffd,0xfff1005f,
    0x2fff401f,0x7d427fec,0xffe8806f,0x2a60005f,0x017ffdc0,0x1fffe800,
    0x3ffffa20,0x03fffd0f,0x03fffb80,0x700dfff0,0x32005fff,0xff001fff,
    0x3ffe00df,0x5ffff906,0x20000000,0xff70fffd,0xffd8805f,0x3fff202f,
    0xc86ffc80,0x7ec404ff,0xb0000eff,0x7fdc5fff,0xf700002f,0x7fec0bff,
    0xffb0ffff,0x7fcc009f,0xfff001ff,0x5fff700d,0x07fff200,0x8037ffc0,
    0x3f606fff,0x00001fff,0x0fffd800,0x815bfff7,0x06ffffa8,0x5c0bffe6,
    0x3fe21fff,0x32a6662f,0x001fffff,0x4fffff50,0x0002fffb,0x3bffff10,
    0x2fbfff22,0xfff70fff,0x326015bf,0x4cc4ffff,0xfff99999,0x0999999e,
    0x2005fff7,0x2661fffc,0xfff99999,0x0999999e,0xe881bffe,0x0001ffff,
    0x7ffec000,0xffffff70,0xffffffdf,0x2fff401b,0x337fffa0,0x7fec6fff,
    0x02ffffff,0x3fffee00,0x05fff70f,0x7ffdc000,0xefffffff,0x360fffa8,
    0xefffffff,0xfffffffe,0x7ffffcc5,0xffffffff,0xff73ffff,0x3ff2005f,
    0xfffff31f,0xffffffff,0x7fc7ffff,0x7ffc406f,0x000000ef,0x543fff60,
    0xffffffff,0x403fffff,0x5400fffb,0xefffffff,0x7ffffec1,0x540000df,
    0x3ee7ffff,0x400002ff,0xfffffffb,0x1fff50ef,0xffffffc8,0xefffffff,
    0xfffff982,0xffffffff,0xff73ffff,0x3ff2005f,0xfffff31f,0xffffffff,
    0x7fc7ffff,0xfff9806f,0x000000ef,0x981fffb0,0xffffffec,0x7fcc01cd,
    0xffd3003f,0xffb01bff,0x000059df,0xf717ffec,0x000005ff,0x7bffffb5,
    0x880fffa8,0xffffffdb,0x3e602cef,0xffffffff,0xffffffff,0x005fff73,
    0x7cc7fff2,0xffffffff,0xffffffff,0x401bffe3,0x00effffa,0x00000000,
    0x00000133,0x13003300,0xa9800000,0x00000000,0x400000cc,0x00000198,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0x10001998,
    0x00001353,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2a600004,0x00000000,0xfffffeb8,0x7dc00eff,0x02efffff,0x2eca8800,
    0x36e60000,0x009bdffe,0xffffb950,0x800059df,0xefffeca9,0x951000bd,
    0x0037bffd,0xfecb9880,0x001bdeff,0xbdfffd97,0xb9500017,0x9bdffffd,
    0xfffd8805,0x27fec404,0xffe98000,0xffffffff,0xffffd100,0x00bfffff,
    0x02fffb80,0xffffb000,0x03dfffff,0xffffffc8,0x02efffff,0x7ffff4c0,
    0x5fffffff,0x7ffffe40,0x0004ffff,0xfffffff5,0x01dfffff,0x3fffffee,
    0x00cfffff,0xfffffe98,0x07ffffff,0x17ffffe4,0x0bffffb0,0xffff9800,
    0xffffffff,0xfffffb00,0x07fffffd,0x17ffdc00,0x3ffa6000,0xffffffff,
    0x3ff202ff,0xffffffff,0xf7002fff,0xffffffff,0x6c0dffff,0xffffffff,
    0x1000dfff,0xfffffffb,0x1fffffff,0xffffffb0,0xdfffffff,0xfffffd80,
    0xffffffff,0x7ffff407,0x3fffe04f,0x3a0002ff,0x4c0aefff,0xdfff702a,
    0x7fffecc3,0xfff70000,0x7fd40005,0xecabefff,0x903fffff,0x533557bf,
    0x03fffff9,0x7ffffec4,0xfedcbbdf,0xfffd886f,0xffca9acf,0x7cc00eff,
    0xbdffffff,0x0fffedca,0x4e7fffdc,0xfffda989,0xffff704f,0x7553559f,
    0xffe80ffb,0x3fa04fff,0x0004ffff,0x000dfff7,0xf80ffff4,0x70001fff,
    0x40005fff,0x100efffe,0x101ffffd,0xffff1001,0x7fffec0b,0x4364c00d,
    0x300efffc,0x4407ffff,0x00cfffff,0xff107e44,0xffa801ff,0x7ffcc0ff,
    0x7002003f,0x403fffff,0x05fffffb,0x03fffb00,0x037ffc00,0x0007fff9,
    0x000bffee,0x0077ffdc,0x013fffe2,0x0dfff300,0x013fffea,0x1ffff100,
    0x06fff980,0x00bffff6,0x07fff500,0xb07fff60,0x00007fff,0x007fff90,
    0x00bffffd,0x001fffa0,0x205fff88,0x0003fffa,0x0005fff7,0x4003fffe,
    0x0007fff9,0xe80ffff8,0x80003fff,0x9002fffb,0xff305fff,0x900003ff,
    0x2e003fff,0x7ffc3fff,0x1000000f,0x7ffcc003,0xfff0004f,0x7fc4000d,
    0x3ffee06f,0x7fffe401,0xffffffff,0x1fffffff,0x0017ffee,0x0007fffd,
    0x540fffe8,0x00007fff,0x2001fffd,0xfe86fff9,0x900003ff,0x32003fff,
    0x3fe22fff,0x0000007f,0x17fffc00,0x2fffc400,0x3fffe000,0x01fffd00,
    0xffffffc8,0xffffffff,0x3a1fffff,0x5c002fff,0x40006fff,0xffe87fff,
    0xfa80003f,0x3ea005ff,0x3fee0fff,0x500000ff,0xf1009fff,0xfff83fff,
    0x0000001f,0x1ffff100,0xbfff1000,0xfffd8000,0x04fffc84,0xffffffc8,
    0xffffffff,0x3e1fffff,0xf88007ff,0x220007ff,0x7fc45fff,0xf700007f,
    0x3f2005ff,0x3f61ffff,0x400003ff,0x5c01ffff,0xffe86fff,0x0000005f,
    0x09fff900,0x17ffe200,0xffff5000,0x1bfff623,0x4ccccc40,0x999bfffb,
    0x22199999,0xd0005fff,0x20001fff,0x7d41fffd,0x900005ff,0xe8801fff,
    0x22ffffff,0x0000fffe,0x1ffffe40,0x82ffffb8,0x005ffffc,0x32200000,
    0x20006fff,0x0005fff8,0xfbefffd8,0x0000efff,0x0017ffdc,0x0013ffe6,
    0x0007fff4,0x20ffff22,0x0004fffb,0x401fffb0,0xfffffffa,0x01fffe3f,
    0x3ffa2000,0xffd32eff,0x3fa205ff,0x0003ffff,0xffb97000,0xe9803fff,
    0xffeeeeee,0xeeeeeeff,0x3e202eee,0x5fffffff,0xfff70000,0xfffa8005,
    0xfffb0003,0x2eaaaa03,0x901efffc,0x00007fff,0xfd81fffa,0xfff9dfff,
    0x00dfff14,0x3ffa2000,0xffffefff,0x7ffcc00e,0x000bffff,0x3fff6000,
    0xf9800dff,0xffffffff,0xffffffff,0x7e402fff,0x002effff,0x0bffee00,
    0x05fff700,0x0bfff200,0x7ffffff4,0x3ff600ef,0xff00002f,0xfffd30df,
    0x53ffe27f,0x2e05fffa,0xffffffff,0x3fff201f,0x005fffff,0x3fffff62,
    0x00001dff,0x02dfffd8,0x3ffffe60,0xffffffff,0x2fffffff,0x3ffffee0,
    0x5c00002f,0x6c002fff,0x90002fff,0x3fa07fff,0xefffffff,0x03fffd03,
    0x1bffe000,0x43fffff7,0xff75fff8,0x7ffdc09f,0x01ffffff,0x3fffff62,
    0x54001eff,0xfffffffe,0x2a00001e,0x55100009,0xfff75555,0x5555555d,
    0x3ff60155,0x80ffffff,0x7003fffa,0xc8005fff,0x90002fff,0x3b607fff,
    0xfffffeee,0x7fff41ef,0xfff00001,0x3ffff62b,0xafffc40d,0x2e04fffb,
    0xffffffff,0xffff501f,0x9fffffff,0xfffb5000,0x2009ffff,0x0000dffb,
    0x3ffe2000,0x3ff20005,0x6ffffaff,0x002fffb8,0x8005fff7,0x0003fffc,
    0x8005fffb,0x0fffffb8,0x000bfff6,0x74f7ff40,0xf303ffff,0x3ffea9ff,
    0x26666205,0xc81fffd9,0xd89effff,0x005fffff,0xfffff910,0xfffa80df,
    0x000000ff,0x00bfff10,0x43bffea0,0x5c5ffffa,0xf7001fff,0xfb8005ff,
    0xfb0004ff,0x220005ff,0x3f26fffe,0xb00003ff,0xffffffff,0x9fffcc03,
    0x8006fff9,0x7e41fffc,0xfe983fff,0x20004fff,0x4fffffb8,0x3fffff60,
    0x0ffffe64,0x200ffffb,0x0005fff8,0xfb83fffd,0x3ff23fff,0xfff7000f,
    0xfffa8005,0xfffd0004,0x7f440003,0x9fff71ff,0x3ff20000,0x400dffff,
    0x3fe2fffa,0xffc8007f,0x3fffe61f,0x3fff6202,0x7440001f,0xf901ffff,
    0x7ccdffff,0x7fec2fff,0xfff1007f,0xfff5000b,0x3ffff60b,0x400fffd1,
    0x4002fffb,0x8006fff9,0x0007fff8,0xf52fffc8,0x20000bff,0x03fffffb,
    0x7c3fff70,0x64000fff,0x3ffa1fff,0xfffd003f,0x3fa0000b,0xfff303ff,
    0x7ffc4fff,0x3fffe42f,0x05fff880,0x02fffb80,0xf3ffffd1,0x7dc00dff,
    0x7c4002ff,0x5c000fff,0x80005fff,0xff33fffb,0x700003ff,0x4003dfff,
    0x3f60fffe,0x7e4004ff,0xffff11ff,0x37ffd400,0xfffb8000,0x3ffff205,
    0x0bfffe27,0x200dfff9,0x8005fff8,0x2201fffc,0xffffffff,0x3ffea003,
    0xfffe8002,0x7fff4003,0xffc80002,0xbffff12f,0xfff30000,0x7ffc400d,
    0x07fffdc5,0x23fff900,0x2006fff9,0x000ffff8,0x06fff980,0x3e37fffc,
    0x7fdc1fff,0xfff1006f,0xfffb000b,0xffffa805,0x2a000fff,0xa8003fff,
    0x26006fff,0x00006fff,0x7dc1fffb,0x80000fff,0x9001fffd,0xffd05fff,
    0x7fe4007f,0x0dfff51f,0x03fffc40,0x4fffa800,0x227ffec0,0x7dc1ffff,
    0xff1005ff,0xff7000bf,0xfff7007f,0xf8800bff,0xff0005ff,0xfd1009ff,
    0x500005ff,0xffd0dfff,0xa80003df,0xf8805fff,0xfff506ff,0x3ff2005f,
    0x1ffff11f,0x17ffea00,0x7ffec000,0x1ffff402,0xf503fffe,0x3e200bff,
    0xfa8005ff,0xffb006ff,0xff0007ff,0xf70005ff,0xfe807fff,0xa80006ff,
    0xfa81ffff,0x3002ffff,0x09fffd07,0x01ffff44,0x009ffffd,0x7f43fff9,
    0xfe8805ff,0x000223ff,0x803ffff2,0xfe86fffa,0x7ffd40ff,0xbfff1004,
    0xffff1000,0xfffea809,0x7e4000ff,0xb981cfff,0x7ffff440,0xfeca89bd,
    0x1a881fff,0xfffd5310,0x7fff407f,0xa99aceff,0xfa86feca,0x2e21dfff,
    0x200efffe,0xcefffff9,0xfea9889b,0x3ffee1ff,0x7dc40aef,0x3f20efff,
    0x3119aace,0x7fffff73,0x0ffffdc0,0x7cc3fff4,0xff1004ff,0x3ee000bf,
    0x510aefff,0xfffffff9,0x7fc4001d,0xffffffff,0xffe881ff,0xffffffff,
    0xff501fff,0xffffffff,0x9009ffff,0xffffffff,0x0dffffff,0x3fffffee,
    0x0dffffff,0xffffe880,0xffffffff,0x7fec1fff,0xffffffff,0x640fffff,
    0xffffffff,0xffffffff,0x7ffe64c3,0xfffb03ff,0x007fff30,0x0017ffe2,
    0xffffffe8,0xefffffff,0x4005ffff,0xffffffe9,0x3601ffff,0xffffffff,
    0x3ea00dff,0xffffffff,0x2001dfff,0xffffffe9,0x06ffffff,0x3fffffea,
    0x8005ffff,0xfffffffb,0x0fffffff,0xffffffc8,0x1effffff,0xffffffc8,
    0xffffffff,0xffffb83e,0x266201ef,0x00133301,0x0017ffe2,0xfffffc88,
    0x72efffff,0x0007ffff,0xffffffd7,0xeca803df,0x03dfffff,0xffffffa8,
    0x001defff,0x3fffb2e0,0x802cffff,0xeffffec9,0x3260002c,0xfffffffd,
    0x7e4402ce,0xdfffffff,0x3ffb2601,0xffffffff,0x3ffee02d,0x0000003e,
    0x017ffe20,0x3ffb6600,0xfd83dfff,0x20002fff,0x00019998,0x220002a6,
    0x009aaa99,0x26a20000,0x0a980001,0x53100000,0x4c000135,0x100009aa,
    0x00335553,0x00000d4c,0xfff88000,0x99800005,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x777775c0,0xeeeeeeee,0x5310005e,0x703ddb97,
    0xdddddddd,0x23dddddd,0x4001eeeb,0xdd91eeea,0xeb80007d,0x3bbae3ee,
    0xeee88005,0x3bbba61e,0x0aacdeee,0x0bddd900,0x3eeed800,0xddddddd1,
    0xdddddddd,0x00bddddd,0xdffd9510,0x2e20007b,0x0bdeffec,0x7ffffe40,
    0xffffffff,0x7ed4006f,0x1fffffff,0xffffffc8,0xffffffff,0x003fff91,
    0xf72fffb8,0xe8000dff,0x3fe21fff,0x7ec003ff,0x7ffcc5ff,0xffffffff,
    0x7fd401df,0xf50002ff,0x3fe21fff,0xffffffff,0xffffffff,0x7e4006ff,
    0xffffffff,0x3faa002e,0xffffffff,0x3ffff202,0xffffffff,0xfd5006ff,
    0xffffffff,0xffff903f,0xffffffff,0x3fff23ff,0x7ffdc001,0x03ffff12,
    0x1bffe600,0x003fffee,0x207fffd4,0xfffffff9,0x5fffffff,0x037ffec0,
    0x23fffe80,0xfffffff8,0xffffffff,0x006fffff,0xffffffd3,0x07ffffff,
    0xffffffb0,0x09ffffff,0x3333fff2,0xcccccccc,0xffffb803,0xcccdefff,
    0xccccca80,0xffeccccc,0x03fff91f,0x22fffb80,0x0003fffe,0x3a09fff7,
    0xe8805fff,0xff983fff,0xedccccef,0x203fffff,0x003ffff9,0x6437ffdc,
    0xeccccccc,0xccccdfff,0xfa803ccc,0xbabdffff,0x00fffffc,0x273ffff2,
    0xffffca88,0x007ffc83,0x7fffe400,0x000000ae,0x7e47fff6,0x7dc001ff,
    0x3ffee2ff,0xfffd0006,0x3fffe603,0x2fffe402,0x204fff98,0x00ffffe9,
    0x003ffff2,0x002fffe8,0x002fffc8,0x04ffe880,0x417fffa6,0x201efff9,
    0xfc87fffa,0x2e00007f,0x0003ffff,0x3fffb000,0x0007fff2,0x7c45fff7,
    0x44000fff,0x7e406fff,0x3fe606ff,0xfff300ff,0xffff8809,0x3fffe203,
    0xdfff7003,0x3fff2000,0x5f100002,0x1ffff500,0x003fffd0,0xfc87fff7,
    0x3e00007f,0x00001fff,0x47fff600,0x4001fffc,0x7f42fffb,0x7dc003ff,
    0xffe804ff,0x7fffd04f,0x027ffcc0,0x2027ffdc,0x400ffffb,0x001ffff8,
    0x005fff90,0x3fa00000,0x7ffcc1ff,0xffff1005,0x003ffe41,0x03fffb80,
    0x7ec00000,0x3fff91ff,0x2fffb800,0x002fffdc,0x2007fffa,0x540ffffa,
    0x7cc06fff,0xff9804ff,0xfffe806f,0x2fffdc04,0x5fff9000,0x20000000,
    0x7d43fffc,0x3f2003ff,0x1fff22ff,0x2fffc000,0x6c000000,0xfff91fff,
    0xfffb8003,0x07fffc42,0x06fff880,0x897fff60,0x4c01ffff,0xf9804fff,
    0xffa806ff,0xfff100ff,0x7e40001f,0x000002ff,0x89fff700,0x2002fffc,
    0x3f23fffa,0xf980007f,0x000002ff,0x91fffd80,0xb8003fff,0xffe82fff,
    0xfff7002f,0x7ffc4007,0x09fff92f,0x009fff30,0x2009fff7,0xf905fffe,
    0xc80009ff,0x00002fff,0x7fff9000,0x001fffd8,0xfc93ffe6,0xfb80007f,
    0x000000ff,0x91fffd80,0xb8003fff,0xffb82fff,0xfffb005f,0xfffb8003,
    0x00ffffaf,0x804fff98,0x3003fffd,0xf883ffff,0x40000fff,0x0002fffc,
    0xfffb0000,0x02fffc83,0xc97ffe20,0x09aaafff,0x13ffec00,0x03599753,
    0xfffd8000,0x003fff91,0x882fffb8,0x4400ffff,0xd0006fff,0x5fffffff,
    0x13ffe600,0x00dfff90,0x645fffd8,0x80003fff,0x0002fffc,0xfff88000,
    0x27ffdc0f,0x4dfff100,0xfffffffc,0x7c01cfff,0xfffc9dff,0x03ffffff,
    0x3fffb000,0x0007fff2,0x3a05fff7,0x7d402fff,0xf30003ff,0x00bfffff,
    0x4427ffcc,0x02ffffea,0x8ffffc40,0x0006fff8,0x005fff90,0xff700000,
    0xffff509f,0x3fffc001,0xfffffff9,0x03dfffff,0xfffffff1,0xffffffff,
    0xd80001bf,0xfff91fff,0xfffb8003,0x0bfff702,0x001fffd8,0x3fffff20,
    0x3ffe6000,0xffffffff,0x90001fff,0x3ff6bfff,0xf900002f,0x000005ff,
    0x0ffff980,0x01bfffd0,0x27fffd98,0xfffffffc,0x1fffffff,0x7fffffc4,
    0xfecbacdf,0x40005fff,0xff91fffd,0xffb8003f,0xffff102f,0x006fff80,
    0x37fffcc0,0x3fffe600,0xffffffff,0x3e20000c,0x5fffbfff,0x3ff20000,
    0x0000002f,0x80ffffa2,0xabfffff9,0xfffeb999,0x731006ff,0x41fffffd,
    0x0beffff9,0x0bfffee0,0x1fffd800,0x8003fff9,0x3a02fffb,0xff502fff,
    0xfe80007f,0x2003ffff,0xfffffff9,0x0001ffff,0xffffff70,0x6400003f,
    0x00002fff,0x17fff600,0x3fffff20,0xffffffff,0x50006fff,0x7cc9ffff,
    0x3ee005ff,0x360006ff,0xfff91fff,0xfffb8003,0x13ffee02,0x0007ffe4,
    0xffffff70,0x3fe6003f,0xffca99df,0xd00002ff,0x009fffff,0x2fffc800,
    0xfb000000,0x26001dff,0xfffffffe,0x5fffaeff,0x3ffea000,0x017ffe66,
    0x001ffff0,0x647fff60,0x5c001fff,0x3e602fff,0xdfff07ff,0x7ffc4000,
    0x006fffdf,0xf309fff3,0x00003fff,0x01fffff5,0xfffc8000,0xc8000002,
    0x8000ffff,0xbceeedca,0x009fff11,0x10ffff80,0xd800dfff,0xb0001fff,
    0x3ff23fff,0x7fdc001f,0x7fff402f,0x01fffcc1,0x19fffb00,0x3007ffff,
    0x3ea09fff,0xb00006ff,0x00007fff,0x005fff90,0xfffc8000,0x4000001f,
    0x0002fffa,0xff17fff4,0xffc800df,0xffb0002f,0x0bfff23f,0x03fff900,
    0x644fffb8,0x50000fff,0x3ee1ffff,0x7cc00fff,0x3ff604ff,0xfc80003f,
    0x800002ff,0x0002fffc,0x3ffff200,0xc8000001,0x40000fff,0x3fa1fffd,
    0x7fe4007f,0xffb0002f,0x0bffee3f,0x01fffb00,0x7c7fff98,0xf10006ff,
    0xffe85fff,0x7ffcc05f,0x1fffe604,0x3fff2000,0xfc800002,0x000002ff,
    0x003ffff9,0x3ffa0000,0xfff80006,0x00fffec7,0x001fffb0,0x543fffa0,
    0x74003fff,0xffd007ff,0x0fffea3f,0x37ffec00,0x017fffcc,0xe809fff3,
    0x40003fff,0x0002fffc,0x02fffc80,0xfffc8000,0x0000001f,0x0005fff9,
    0x645fff98,0x3a004fff,0x3e0007ff,0x3ffe66ff,0x3ffe2005,0x9fff7006,
    0x0003fff2,0x407fffea,0x300ffffc,0xfa809fff,0x640006ff,0x00002fff,
    0x002fffc8,0x7fffe400,0x50000001,0x8000ffff,0x443fffe8,0xf5007fff,
    0x2e000bff,0x3fe25fff,0xff9001ff,0x3fe6009f,0x00dfff6f,0x09ffff10,
    0x827fffc4,0xe804fff9,0x20003fff,0x0002fffc,0x02fffc80,0x3fff2000,
    0x0000000f,0x005ffff5,0x37ffec40,0x404fffc8,0x7c1ffff8,0x7fffcc03,
    0x06fffe41,0x01bffea0,0xff7fffd0,0xff90007f,0xffb801ff,0xfff981ff,
    0x6fffa804,0x3fff2000,0xfc800002,0x900002ff,0x0001dfff,0xfffd5000,
    0x2026a09f,0xeffffc99,0xbffff100,0x7ffff701,0x3359dff0,0x0bffff73,
    0x35fffff1,0x2ffffc98,0x7fffdc00,0x4c000fff,0xd002ffff,0xff30dfff,
    0x3ffe009f,0xff90002f,0x9000005f,0x00005fff,0x99bffff9,0x99999999,
    0xaaa81999,0xffffecca,0xfff103ff,0xffffffff,0xfb803fff,0xfeefffff,
    0xff05ffff,0xffffffff,0x3ee01fff,0xffffffff,0x005fffff,0xffffff98,
    0xfffe8006,0x3ffe6006,0x27ffcc4f,0x06fffb80,0x05fff900,0xfff90000,
    0xffb00005,0xffffffff,0xffffffff,0xffffff81,0x00cfffff,0x3fffffe2,
    0x03ffffff,0x3ffffe60,0x03ffffff,0x3ffffffe,0x400dffff,0xffffffe9,
    0x002fffff,0x3fffffa0,0x7ffe4003,0x7fe4001f,0x3ffe61ff,0xffff1004,
    0xfff90005,0xf9000005,0xb00005ff,0xffffffff,0xffffffff,0xffff81ff,
    0x01efffff,0xffffff88,0x0003efff,0xfffffdb1,0xfb70019d,0x05bdffff,
    0xffffec80,0x0000ceff,0x07ffffdc,0x9ffff300,0xffff1000,0x027ffccd,
    0x00dfff90,0x005fff90,0x5fff9000,0xfffb0000,0xffffffff,0x1fffffff,
    0xacdefff8,0xa9980019,0x000009aa,0x40001a98,0x00000999,0x00003531,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x4c000000,
    0x2004eeee,0x3aa0eeea,0xd7000eee,0x77543ddd,0xeeeeeeee,0xeeeeeeee,
    0x0013bb65,0x3a29dd90,0xeeeeeeee,0xeeeeeeee,0x3bbba25e,0xeeeeeeee,
    0xdd75eeee,0xeeb8003d,0xdd71001e,0xeeea805d,0xeeeeeeee,0xdd74eeee,
    0xdddddddd,0x2e9ddddd,0xcdeeeeee,0x76c001ab,0x2a0000ee,0x001fffff,
    0x7e41fff7,0xff003fff,0x7fd45fff,0xffffffff,0xffffffff,0x0017ffe7,
    0x3e29ffd0,0xffffffff,0xffffffff,0x3fffe67f,0xffffffff,0xff97ffff,
    0xffc8005f,0xfffb802f,0x7fdc03ff,0xffffffff,0xf95fffff,0xffffffff,
    0x2bffffff,0xfffffffc,0x02efffff,0x000fffe8,0x3ffffea0,0x1fff7005,
    0x037fffe4,0x17ffffd4,0xfffffff5,0xffffffff,0x7ff4ffff,0x7ff40005,
    0xffffff14,0xffffffff,0x7ccfffff,0xffffffff,0x7fffffff,0x8005fff9,
    0x2a02fffc,0x3ffffffe,0x7ffffdc0,0xffffffff,0xffff95ff,0xffffffff,
    0x3ff2bfff,0xffffffff,0x200dffff,0x0000fffe,0x3fffffea,0x0fffb800,
    0x07fffff2,0x5fffffb0,0x77777754,0xeeeeeeee,0x3f67fffe,0x7f40006f,
    0xddddd13f,0xdddddddd,0x44dffffd,0xfecccccc,0xcccccdff,0x005fff94,
    0xa82fffc8,0xfffffffe,0x7ffdc03f,0xccccccce,0xff92cccc,0x999999bf,
    0x32799999,0xdcccdfff,0xfffffffe,0x01fffd02,0x7fffd400,0xffb804ff,
    0x3fbff60f,0x3bfe204f,0x00003fff,0x7ec9fff3,0x7fc0006f,0x7cc0003f,
    0xf9001fff,0xffc805ff,0x7fe4002f,0x3fffaa2f,0x3fffeeff,0x01fffdc0,
    0x02fffc80,0x03fff900,0x7ffffe44,0x00fffe81,0x3bffea00,0x7dc00fff,
    0x33ff60ff,0x3fee07ff,0x0003fffc,0x643fffb0,0x7c0007ff,0x740002ff,
    0x32004fff,0x7e402fff,0x7e4002ff,0x3fffa2ff,0x7fffb2ff,0x03fffb80,
    0x05fff900,0x07fff200,0x1bfffa60,0x0003fffa,0xffbfffa8,0x7ffdc04f,
    0x3febffa0,0xd3ffd02f,0x300007ff,0xffc8bfff,0x3fe20007,0x3f20002f,
    0x7e4006ff,0x7fe402ff,0x7fe4002f,0x0fffea2f,0xb807fffb,0x90003fff,
    0x20005fff,0x1001fffc,0xfe85ffff,0x2a0000ff,0xfffe9fff,0x83ffee00,
    0x5ffcaffe,0xffd7ff98,0xffb00009,0x07ffb83f,0x07ffe200,0x7fffcc00,
    0x7ffe4001,0x17ffe402,0x0bfff200,0xfffb019d,0x3fffb807,0x5fff9000,
    0x3fff2000,0x3ffee001,0x007fff46,0x53fff500,0x7dc07fff,0x2bffa0ff,
    0x7e40fffa,0x009ffd4f,0x85fff980,0x0000fffb,0x0003fff1,0x0013fffa,
    0x900bfff2,0xc8005fff,0x36002fff,0x7dc03fff,0xf90003ff,0x320005ff,
    0x22001fff,0x3fa2ffff,0x2a0000ff,0xffff1fff,0xf07ffdc0,0x0bffe3ff,
    0x3ff63fff,0x7fec0005,0x0fffa81f,0x1fff3000,0xdfff7000,0x3fff2000,
    0x17ffe402,0x0bfff200,0x03fffd80,0x001fffdc,0x002fffc8,0x003fff90,
    0x3a3fffc8,0x20000fff,0xff91fffa,0x3ffee05f,0x7e47ffe0,0xd9bfea5f,
    0x260005ff,0xff306fff,0x0dff103f,0x0003ffe6,0x003ffff3,0x00bfff20,
    0x8005fff9,0x2002fffc,0x5c03fffd,0x90003fff,0x20005fff,0x4001fffc,
    0x3fa4fffa,0x2a0000ff,0xfff11fff,0x83ffee0d,0xfff31fff,0xfd8fff61,
    0x3f60005f,0xfff302ff,0x03fff703,0xd000fff5,0x40009fff,0x6402fffc,
    0x64002fff,0x36002fff,0x7dc03fff,0xf90003ff,0x320005ff,0x54001fff,
    0x3ffa5fff,0x3ea0000f,0x3fff21ff,0x10fffb82,0x7ff43fff,0x7ec1fff3,
    0xff10006f,0x7ffc40df,0x84fffe82,0x5c007ffa,0x40006fff,0x6402fffc,
    0xccccdfff,0xeccccccc,0x36002fff,0x7dc03fff,0xf90003ff,0x99999bff,
    0x21999999,0x4001fffc,0x3fa6fff9,0x2a0000ff,0x3fe61fff,0x0fffb86f,
    0x7dc3fff1,0x645ffaef,0xf90006ff,0x7fc405ff,0x7fffc42f,0x006ffb86,
    0x007fffe6,0x05fff900,0xffffffc8,0xffffffff,0x002fffff,0x700ffff6,
    0xffffffff,0x4fffffff,0xfffffffc,0xffffffff,0x003fff91,0x3a7fff88,
    0x20000fff,0x7ec1fffa,0x7ffdc1ff,0x443fff30,0x42ffdfff,0x88006ffc,
    0xff806fff,0x7fffdc3f,0x037fdc1f,0x009fffd0,0x05fff900,0xffffffc8,
    0xffffffff,0x002fffff,0x700ffff6,0xffffffff,0x4fffffff,0xfffffffc,
    0xffffffff,0x003fff91,0x3a1ffff0,0x20000fff,0x7cc1fffa,0x7ffdc5ff,
    0xd81fff30,0xfc87ffff,0xffc8007f,0x3fff802f,0x27ffffec,0x5c017ff2,
    0x00006fff,0xc805fff9,0xeeeeefff,0xfeeeeeee,0x36002fff,0x7dc03fff,
    0xffffffff,0x327fffff,0xeeeeefff,0x1eeeeeee,0x8003fff9,0x3fa7fff8,
    0x2a0000ff,0xffe81fff,0x43ffee1f,0x7d40fff9,0xffc84fff,0x7ffc4007,
    0x47ffd006,0x7ffbeff8,0x4402ffe4,0x0001ffff,0x805fff90,0x4002fffc,
    0x2002fffc,0x5c03fffd,0x9999cfff,0x21999999,0x0002fffc,0x8003fff9,
    0x3fa7fff9,0x2a0000ff,0xffa81fff,0x43ffee5f,0x7c40fffa,0xffb81fff,
    0x7ffe4007,0x49ffd003,0xfff9cffb,0x2013ff21,0x0004fffe,0x00bfff20,
    0x8005fff9,0x2002fffc,0x5c03fffd,0x90003fff,0x20005fff,0x4001fffc,
    0x3fa6fffa,0x2a0000ff,0xffd01fff,0x43ffee1f,0xfd80fffa,0x1fff706f,
    0x1fffe200,0x364ffd80,0x49ffd2ff,0x7dc04ffd,0x400006ff,0x6402fffc,
    0x64002fff,0x36002fff,0x7dc03fff,0xf90003ff,0x320005ff,0x5c001fff,
    0x3ffa5fff,0x3ea0000f,0xfff501ff,0x5c3ffee9,0xcc980fff,0x01fff702,
    0x00ffff20,0xff15ffd8,0xfb3ffe4f,0x7ffc407f,0x6400001f,0x7e402fff,
    0x7e4002ff,0x3f6002ff,0x7fdc03ff,0xff90003f,0x3f20005f,0x7e4001ff,
    0x3fffa3ff,0x3fea0000,0x3fffe01f,0xf70fffb8,0x7dc000ff,0xff8800ff,
    0x3f2000ff,0x4cbff56f,0x7ffd2fff,0x027ffec0,0x7ffe4000,0x17ffe402,
    0x0bfff200,0x03fffd80,0x001fffdc,0x002fffc8,0x003fff90,0xd07fffc4,
    0x40001fff,0x2e01fffa,0xfffbbfff,0x000fff70,0x400fffd4,0x4003fffc,
    0x5ffb6ffc,0xffd5ffe8,0x1bffee05,0x7fe40000,0x7ffe402f,0x7ffe4002,
    0x3fff6002,0x1fffdc03,0x2fffc800,0x3fff9000,0x37ffec00,0x0003fffa,
    0x201fffa8,0xffbefff8,0x00fff90f,0x00fffd40,0x003fffe2,0x3fefff70,
    0xe8fffb87,0xfff882ff,0x9000001f,0xfc805fff,0x7e4002ff,0x3f6002ff,
    0x7fdc03ff,0xff90003f,0x3f20005f,0xff3001ff,0xfffe85ff,0x3fea0000,
    0x7ffe401f,0xff90fffe,0x7fd4000f,0x7ffe401f,0xfffa8004,0xff885ffa,
    0xd81fffaf,0x00004fff,0x00bfff20,0x8005fff9,0x2002fffc,0x5c03fffd,
    0x90003fff,0x20005fff,0xa801fffc,0xfe85ffff,0x2a0000ff,0x7c401fff,
    0xb0ffffff,0x54000fff,0x3e202fff,0xa8000fff,0x02ffdfff,0x3fffbffd,
    0x006fffa8,0x7ffe4000,0x17ffe402,0x0bfff200,0x03fffd80,0x001fffdc,
    0x002fffc8,0x403fff90,0x0fffffd8,0x000fffe8,0x007ffea0,0x3ffffff2,
    0x000fffb0,0x9017ffcc,0x20009fff,0x0ffffff9,0xffffff70,0x77fffc41,
    0xcccccccc,0x10cccccc,0xfb555555,0x555559ff,0x00bfff25,0x445fff90,
    0xeccccccc,0xccccefff,0x07fff73c,0x33fff200,0xaaaaaaaa,0xfff91aaa,
    0xfdb95559,0x203dffff,0xaaabfffe,0xaaaaaaaa,0x007ffea1,0x3fffffe2,
    0x000dffb0,0x8817ffcc,0x0000ffff,0x0bfffff3,0x7fffffc4,0x3fffff20,
    0xffffffff,0x31ffffff,0xffffffff,0xffffffff,0x00bfff2f,0x445fff90,
    0xffffffff,0xffffffff,0x07fff76f,0x3ffff200,0xffffffff,0xfff95fff,
    0xffffffff,0x7401bfff,0xffffffff,0x4fffffff,0x4007ffea,0xd0fffffd,
    0x4c000dff,0xff903fff,0x7c40009f,0x6c02ffff,0x7e47ffff,0xffffffff,
    0xffffffff,0xffff31ff,0xffffffff,0x3f2fffff,0x7e4002ff,0x3ffe22ff,
    0xffffffff,0x76ffffff,0x20007fff,0xfffffffc,0xffffffff,0xffffff95,
    0x3bffffff,0xfffffd00,0xffffffff,0x7ffd49ff,0xffff3001,0x01bffa1f,
    0x83fff980,0x001ffff8,0x3ffffe20,0x7fffdc00,0x7ffffe47,0xffffffff,
    0x31ffffff,0xffffffff,0xffffffff,0x00bfff2f,0x445fff90,0xffffffff,
    0xffffffff,0x07fff76f,0x3ffff200,0xffffffff,0xfff95fff,0x79bddfff,
    0x7fff4001,0xffffffff,0x0004ffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4c000000,0x9dd505ee,
    0x3bbbbaa0,0x02accdee,0xdddd3000,0x775c001d,0xddd3001e,0x7777543d,
    0x1abcdeee,0xddb00000,0x000007dd,0x00080000,0x04d5554c,0x04d4c000,
    0x26a20000,0x33b6e009,0x3fea0000,0x20bff706,0xfffffffb,0x0cffffff,
    0x3fff2000,0x3f2003ff,0xff8802ff,0x7ffdc3ff,0xffffffff,0x200002ef,
    0x04fffffc,0x00000ed8,0x3027cc00,0xffffffd9,0xb8005dff,0xdffffffd,
    0xfec88000,0x1cffffff,0x03bffff2,0x82ffdc00,0xff704ffc,0xffffffff,
    0x003fffff,0x3fffffe0,0x3fff2006,0x4fffe802,0xffffffb8,0xffffffff,
    0x7cc0001f,0x404fffff,0x0001effd,0x7fff5000,0xffffff30,0xdfffffff,
    0xfffe8801,0x3fffffff,0x3fffee00,0x4fffffff,0x7ffffff1,0x13ff2000,
    0xfb81ffec,0xdccccdff,0x0ffffffe,0x7fffcc00,0xf9000fff,0xffc805ff,
    0xbfff705f,0xffd99999,0x0001ffff,0x7ffffff4,0x3fffa204,0x4000002f,
    0x985ffffc,0xeeffffff,0x05ffffff,0x37ffffe6,0x5fffffec,0x7ffff440,
    0xffffffff,0xffffff54,0x3ff6000b,0x205ffd03,0x2202fffb,0x005ffffb,
    0x7fe7ffe4,0xfff9003f,0x77ffdc05,0x05fff700,0x77fffdc4,0xfffb8000,
    0xd804fffc,0x0003ffff,0x7ffffb00,0x026fbe60,0x0bffff62,0x413fffe2,
    0x202ffffb,0x0adffffe,0x7cd3ae62,0x005fffff,0x3e07ffb0,0xfff701ff,
    0xffff7005,0x9dfff800,0xf9006fff,0x3fe605ff,0x3fee01ff,0xfff9802f,
    0x7fc4003f,0x04fff9df,0x09ffff90,0x7ff44000,0x002202ff,0xc85fffc8,
    0x7cc02fff,0xfff706ff,0xfe82005f,0x0002ffff,0x3fe05ffd,0x5fff701f,
    0x03fffe00,0xe9fffcc0,0xfc800fff,0xfff882ff,0x7ffdc02f,0xbfff7002,
    0x8fffd800,0x2004fff9,0x00effffa,0x7fffcc00,0xf800001e,0x7ffc46ff,
    0x7fffb005,0x02ffff88,0x7fffd300,0x2aaaaa00,0xaaaacfff,0xaaabfffb,
    0x005fff72,0x4007fffa,0xff90fffc,0xfff9007f,0x07fffb05,0x005fff70,
    0x801fffe2,0xff33fffb,0xff98009f,0x50001eff,0x001bffff,0x1fffa000,
    0x2003fff9,0x7ec4fff9,0x980005ff,0x3ffe000a,0xffffffff,0xffffffff,
    0x5fff75ff,0x01fffa00,0x3e66fff8,0xffc806ff,0x2fffe42f,0x02fffb80,
    0x007fffa0,0xf99bffe2,0xe88004ff,0x4002ffff,0x004ffffb,0x7ffec000,
    0x001fffa0,0xffe8bfff,0x0000000f,0xfffffff0,0xffffffff,0x2bffffff,
    0x8802fffb,0xf3004fff,0xffff87ff,0x17ffe400,0x400dfff5,0x2002fffb,
    0xd801fffd,0x3fe61fff,0x3f60004f,0xfb003fff,0x00007fff,0x41fffb00,
    0x74005fff,0x37ffc7ff,0xdddd1000,0xdddddddd,0x7e55554b,0xdaaaaaff,
    0x2aaaaeff,0xb005fff7,0x32005fff,0x7fe41fff,0x7ffe403f,0x01dfff32,
    0x017ffdc0,0x500ffff0,0xff987fff,0x7dc0004f,0x3a204fff,0x0001ffff,
    0x7ff6e5c4,0x0fffffff,0xdddffff1,0xdddddddd,0x3e61ffff,0x220005ff,
    0xffffffff,0x2a06ffff,0x9ff906ff,0x017ffdc0,0x01dfff91,0x2a1bffe0,
    0x7e405fff,0xfffe8aff,0x7ffdc001,0xdfff1002,0x86fff880,0x0004fff9,
    0x0dffffa8,0x077fffcc,0xfff91000,0xffffffff,0x3fea1fff,0xffffffff,
    0xffffffff,0x09fff50f,0x7fffc400,0xffffffff,0x417fee06,0x3ee04ffc,
    0xcbaaacff,0x00effffd,0x209fff30,0x3200ffff,0xfffdafff,0xfffb8002,
    0x9fff9002,0x81fffc80,0x0004fff9,0x3dffff30,0x017fffea,0xfffff100,
    0xffffffff,0x3fea1fff,0xffffffff,0xffffffff,0x07fff70f,0x77774400,
    0xeeeeeeee,0x413ff205,0x3ee03ffd,0xffffffff,0x4001ffff,0xfb01fffc,
    0x7fe407ff,0x003fffef,0x005fff70,0x401ffff5,0xf304fff9,0x200009ff,
    0x51ffffe8,0x001bffff,0x3ffffa20,0x3fff601b,0x33bfff30,0x33333333,
    0x7d433333,0x000004ff,0x0fff6000,0xf7017ff4,0xffffffff,0x019fffff,
    0xa81fffe0,0x3f205fff,0x04ffffff,0x05fff700,0x17fffecc,0x981bffa0,
    0x80004fff,0x40effff9,0x00effff9,0x06fffb80,0x221fffb0,0x00005fff,
    0x000dfff1,0x7f400000,0x03fff03f,0x7777ffdc,0xffffffee,0x7fcc01ef,
    0x3ffe204f,0x9fff900f,0x0005ffff,0x999bfff7,0xffffffdb,0x1fffb809,
    0x013ffe60,0xbffff500,0x7ffff440,0x7ffec001,0x1fffb001,0x0003fffc,
    0x000ffff0,0x7fc00000,0x01fff02f,0x3017ffdc,0x01fffffb,0x2017ffe4,
    0xf902fffd,0xffff75ff,0xfffb8003,0xffffffff,0x7cc02eff,0x7fcc04ff,
    0x3f20004f,0xd8804fff,0x2003ffff,0x36007fff,0x3ffa0fff,0xfd00001f,
    0x000007ff,0x07ffe000,0xb803ffe2,0xf9802fff,0x3fe04fff,0xfffb807f,
    0x25fff905,0x000efffd,0x3fffffee,0x04ffffff,0x801dffd0,0x8004fff9,
    0x02ffffd8,0x27fffe40,0x007fff80,0x5c1ffff9,0x00006fff,0x001ffff7,
    0xfff80000,0xffffffff,0xffffffff,0x3ffee4ff,0xffff5002,0x017ffe60,
    0x203fffe2,0xfd12fffc,0x7dc00bff,0xbccccdff,0x3fee0009,0xfff9802f,
    0x7ff44004,0xf70001ff,0xe801bfff,0x3a202fff,0x740fffff,0x00004fff,
    0x003dfffd,0x3fe00002,0xffffffff,0xffffffff,0x3fee4fff,0xfff1002f,
    0xdfff901f,0xdddddddd,0x905ffffd,0x7fcc5fff,0xff7003ff,0x3e00005f,
    0xeeeeefff,0xfffeeeee,0x303eeeef,0x001dffff,0xeffff980,0x3ffff200,
    0x7fffe4c2,0x7fd40fff,0x2600afff,0xffff504a,0x64cc359f,0xff80004f,
    0xffffffff,0xffffffff,0x3fee4fff,0x3ffa002f,0xfffff81f,0xffffffff,
    0xc85fffff,0x7fd42fff,0xffb801ff,0xff00002f,0xffffffff,0xffffffff,
    0xf709ffff,0x0000bfff,0x0fffff44,0xffffff88,0xbdfffffe,0xffc80fff,
    0xeeefffff,0x3207ffff,0xffffffff,0x004fffff,0x06ffa800,0xfb809ff9,
    0x3fe002ff,0x7ffcc0ff,0xffffffff,0xffffffff,0x417ffe40,0x400ffffc,
    0x0002fffb,0xfffffff0,0xffffffff,0x9fffffff,0x04ffffc8,0xffd88000,
    0xfff503ff,0x7fffffff,0x5403ffea,0xfffffffe,0x407fffff,0xffffffe9,
    0x004fffff,0x05ffb800,0xfb809ff9,0xff1002ff,0xdfff90df,0xdddddddd,
    0x5ffffddd,0xd02fffc8,0xfb80dfff,0x900002ff,0x99999999,0xfffb9999,
    0x2259999d,0x002ffffd,0x7ffe4000,0xfffb104f,0x7d43bdff,0x3b2200ff,
    0xffffffff,0xdb7003de,0x7bffffff,0xf9000001,0x0fff609f,0x005fff70,
    0x3e13fff6,0x5c000fff,0x7fe45fff,0xffff102f,0x17ffdc09,0x30000000,
    0xfd809fff,0x000001ff,0x009fff70,0x00001353,0x13355310,0x13330000,
    0xfb000000,0x0bffa07f,0x805fff70,0x41ffffc8,0x8005fff9,0x7e47fff8,
    0x3fea02ff,0xfff702ff,0x00000005,0x2027ffcc,0x00000ee8,0x0027cc00,
    0x00000000,0x00000000,0x817ff400,0x7dc01fff,0xa9999bff,0x1fffffcb,
    0x002fffc8,0x645fffd0,0x7e402fff,0xffb81fff,0x0000002f,0x013ffe60,
    0x00000022,0x00000040,0x00000000,0x80000000,0xfff02ffe,0xffffb801,
    0xffffffff,0xfff02fff,0x3ee0001f,0x3fff25ff,0xefffe802,0x017ffdc0,
    0xf3000000,0x000009ff,0x00000000,0x00000000,0x00000000,0x207ffe00,
    0x5c00fff8,0xffffffff,0x00cfffff,0x000bfff3,0xf93fffcc,0xff1005ff,
    0xfffb8bff,0x00000002,0x0013ffe6,0x00000000,0x00000000,0x00000000,
    0x3fe20000,0x07ff980f,0xffffffb8,0x00acdeff,0x001fffe4,0x64bfffa0,
    0xf3002fff,0x7fdc7fff,0x0000002f,0x013ffe60,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x53000000,0x26000013,0x0009aaaa,
    0x22000000,0x4c0000aa,0x100009aa,0x06a60155,0x00000000,0x00000000,
    0x00000000,0x00ccca80,0xc8800000,0xdffffffe,0x3fb22001,0xffffffff,
    0x00bffee2,0xfc8fffe4,0x7ff6447f,0xffb81fff,0x7ffff5c7,0x4fff00ef,
    0x222ffffb,0x220efffd,0xffffffff,0xffffffff,0x013ffe24,0x2adffd00,
    0x98007fff,0x7fe46fff,0xff1001ff,0xfb8009ff,0x000001ff,0x7ffffd40,
    0x04ffffff,0xffffffa8,0x23ffffff,0x9002fffb,0x3ff23fff,0x3ffffe67,
    0x7dc3ffff,0xffffb17f,0xf05fffff,0x3fffeaff,0xffffd0ff,0x7fffc4df,
    0xffffffff,0x7fc4ffff,0x7fc0005f,0x0bfffa5f,0x07fff900,0x200dfffd,
    0x8006fffd,0x0001fffb,0x3fff6000,0xffffefff,0xff500eff,0xdddddfff,
    0x7fdc7fff,0xfff9002f,0x7d5fff23,0xfffeffff,0x3ffee1ff,0xfeffffe8,
    0xff87ffff,0xffefff8f,0xfeeffbaf,0xffff11ff,0xffffffff,0xfe89ffff,
    0x3e20006f,0x3fff24ff,0x7fffc005,0x4ffff980,0x07fffd40,0x0fffdc00,
    0xfc800000,0x6cc1bfff,0xf884ffff,0x2600bfff,0x0bffee1a,0xc8fffe40,
    0xdfffafff,0x97fffa21,0xfffefffb,0x1ffffd42,0x43bf3ffe,0x14ffbffd,
    0x4ccc7fff,0x99999999,0x6c1ffffa,0x260007ff,0x3fe23fff,0xff5000ff,
    0x7ffdc0bf,0xffff101f,0x3fee0005,0x8000001f,0x402ffff8,0x5c0ffffa,
    0x70003fff,0x32005fff,0xfff91fff,0x3e207fff,0xfff70fff,0x3ea01dff,
    0x7fffc6ff,0x3fffee1f,0x0027ff46,0x41ffff44,0x0000fffb,0xfd83fff5,
    0xffb003ff,0xfffd805f,0x09fffb06,0x0fffdc00,0x7ec00000,0xff9002ff,
    0x1fffc8bf,0x5fff7000,0x47fff200,0x02fffffc,0xfb8fffe4,0x7400efff,
    0x7fffc7ff,0x0ffffdc4,0x20017ff6,0xf504fffd,0x799103ff,0x503ffee0,
    0xf100dfff,0xfd100fff,0xfffa89ff,0x7fdc0006,0x4000001f,0x2006fff9,
    0x320ffff8,0x70002fff,0x32005fff,0xfff91fff,0xfff7005f,0x03fffee5,
    0xf83fff60,0x7fd40fff,0x05ffd85f,0x037ffdc0,0xf505fff3,0xfff901ff,
    0x007fffe0,0x2009fff7,0xf12ffff9,0x80001fff,0x0001fffb,0x1fffd400,
    0x87fff200,0x002ffffa,0x002fffb8,0x3f23fff9,0xff5004ff,0x0bffee7f,
    0xf0fffe40,0xfff509ff,0x00bffb03,0x007fffcc,0xfb07fff1,0xdff905ff,
    0x013fff20,0x4001fffd,0xfd8ffffb,0xb80002ff,0x00001fff,0x00fffe40,
    0x88bffee0,0x02dffffe,0x00bffee0,0xfc8fffe4,0x551001ff,0x0bffee35,
    0xf0fffe40,0xfff507ff,0x00bffb01,0x00bfffe2,0x3fe13ffe,0x5ffd85ff,
    0x40dfff30,0x8005fff9,0xfffefffd,0xcccc8804,0xfffecccc,0xcccccccd,
    0x7fec0003,0x7fd4000f,0x7fffcc3f,0x5c02dfff,0xf9002fff,0x3fff23ff,
    0x7fdc0001,0xfff9002f,0x541fffc3,0xffd80fff,0x9fffd005,0x517ffa00,
    0xe81fffff,0x3ffa04ff,0x5fff901f,0xffff1000,0x3e200dff,0xffffffff,
    0xffffffff,0x40006fff,0x98007ffe,0xfe984fff,0xcfffffff,0x02fffb80,
    0x323fff90,0x40001fff,0x9002fffb,0x7ffc3fff,0x80fffa83,0xfc805ffd,
    0x3f6005ff,0x7fffec6f,0x01fffc3f,0x3a09fff5,0x260007ff,0x000fffff,
    0xfffffff1,0xffffffff,0x00dfffff,0x007fff80,0x204fff98,0xffffffda,
    0x7ffdc3ff,0x3fff9002,0x0007fff2,0x005fff70,0xff87fff2,0x0fffa83f,
    0x5405ffd8,0x2000ffff,0x7ffc7ffb,0x3fe26ffb,0x3fffc01f,0x0027ffcc,
    0x1fffff50,0x33332200,0xfffecccc,0xcccccccd,0x7fec0003,0x7fd4000f,
    0xfeb8803f,0x2e5fffff,0xf9002fff,0x3fff23ff,0x7fdc0001,0xfff9002f,
    0x541fffc3,0xffd80fff,0x3fffe205,0x7ffd4001,0xff1bff50,0x03ffe61f,
    0xc85fff90,0x10001fff,0x1dffffff,0x3fee0000,0x4000001f,0x4001fffc,
    0x4001fffb,0x2fffffb8,0x2005fff7,0xff91fffc,0xfb80003f,0xff9002ff,
    0x41fffc3f,0xfd80fffa,0x3fffa05f,0xfff98003,0x3fa5ff91,0x00fff53f,
    0xff8bfff3,0x3fa0006f,0x05fffeff,0x3fff7000,0xfb800000,0x7ec002ff,
    0xb10000ff,0x3feebfff,0xfff9002f,0x007fff23,0x05fff700,0xf87fff20,
    0xfffa83ff,0xb05ffd80,0x2000bfff,0xfff2fff8,0xffbb7fdc,0x1fffd006,
    0x000fffea,0x746fffe4,0x80003fff,0x0001fffb,0x37ffd400,0x0ffff100,
    0x6fff8800,0x5007fff5,0x3f23ffff,0x5c0001ff,0xf9002fff,0x1fffc3ff,
    0x6c07ffd4,0xfffb85ff,0x3fe0000e,0x225ff9bf,0x5ffc9fff,0x27fff700,
    0x8000fffd,0xf30ffffb,0x80003fff,0x0001fffb,0x7fffc400,0x7fff9002,
    0xdfff0000,0x3017ffe6,0x323fffff,0x40001fff,0x9002fffb,0x7ffc3fff,
    0x80fffa83,0x7fcc5ffd,0x740001ff,0x42ffccff,0x4ffdcffe,0x1dfff100,
    0x30009fff,0xfc85ffff,0x20000fff,0x0001fffb,0xefffa800,0x37ffe401,
    0x7ffd4000,0x01ffff15,0x3fffffea,0x003fff91,0x02fffb80,0x7c3fff90,
    0xfffa83ff,0x225ffd80,0x0002fffe,0x7ffdffd8,0xffeeffb8,0x3fff6003,
    0x4001fffc,0xd04fffe8,0x4000dfff,0x0001fffb,0xffffd000,0x7fed4437,
    0x1ace81ff,0x3fffee20,0x87bfff61,0xffefffc8,0x03fff91f,0x2fffb800,
    0x43fff900,0xffa83fff,0x25ffd80f,0x999dfffd,0x99999999,0xffffc809,
    0xffff885f,0x3e6002ff,0x006fffff,0x206fffd8,0x004ffff9,0x003fff70,
    0x3fe60000,0xffefffff,0xff03ffff,0xfddfffff,0x989fffff,0xffffffff,
    0xfff9cfff,0x003fff91,0x02fffb80,0x7c3fff90,0xfffa83ff,0xf55ffd80,
    0xffffffff,0xffffffff,0xfffff505,0x3ffff605,0x7ff4000f,0x5c003fff,
    0x5c01ffff,0x8002ffff,0x0001fffb,0x3ff62000,0xffffffff,0x3fffe01e,
    0xffffffff,0xfff703ff,0x27ffffff,0xff91fff9,0xfb80003f,0xff9002ff,
    0x41fffc3f,0xfd80fffa,0xfffff55f,0xffffffff,0xf305ffff,0x7dc0ffff,
    0xb8007fff,0x000fffff,0x00ffffe6,0x00ffffec,0x003332a0,0x36a00000,
    0x3dffffff,0xffffec80,0x0befffff,0x7ffff4c0,0x3ffe61df,0x003fff91,
    0x02fffb80,0x7c3fff90,0xfffa83ff,0xf55ffd80,0xffffffff,0xffffffff,
    0xbffff105,0x37fffc40,0x7fffc400,0x3ffe2005,0x3fe2006f,0x00000eff,
    0x20000000,0x20000a98,0x09aaa998,0x09a98800,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x4005eea8,0xaaaaaaaa,0xaaaaaaaa,0x000002aa,0x00035751,
    0x88888888,0x88888888,0x88888888,0x00000008,0x00000000,0x00000000,
    0x00000000,0x0dff1000,0xffff1000,0x7fffc007,0xffffffff,0x06ffffff,
    0x01dffff7,0xbfffff90,0x7c333003,0xffffffff,0xffffffff,0x5fffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x000dff10,0x1fffff90,
    0x3ffffe00,0xffffffff,0x206fffff,0x00efffe9,0x3ffffff6,0x3fea02ff,
    0xffffff1f,0xffffffff,0xffffffff,0x00000bff,0x00000000,0x00000000,
    0x00000000,0x2ffc0000,0x3ffe2000,0xdd005ffe,0xdddddddd,0xdddddddd,
    0xfffd8809,0xffffb80e,0x02ffffff,0x3fe1fff7,0xffffffff,0xffffffff,
    0x05ffffff,0x00000000,0x00000000,0x00000000,0x44000000,0x0e0bff02,
    0x7cdffec0,0x000002ff,0xfffb8000,0x9ffff40e,0x83ffffd9,0x00007ffd,
    0x00000000,0x00000000,0x00000000,0x00000000,0xd037f200,0x02fe989f,
    0xff937fcc,0x0000000d,0x3bffa600,0x907fff30,0xb13bffff,0x00009fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3fffe200,0xffc93fa2,
    0x17ff406f,0x0009fff1,0x22000000,0xfff50999,0x3ffff203,0x00ffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3aa00000,0xbfd8dfff,
    0x01efffe9,0x3ee1bfea,0x000000ff,0x3ee00000,0x3fee00ff,0x03ffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0xd5000000,0xffdfdfff,
    0xff8803bf,0x0bffd01f,0x77777774,0xeeeeeeee,0x00004eee,0xd3003331,
    0x005fffff,0x00000000,0x00000000,0x00000000,0x00000000,0xd5000000,
    0x03bfffff,0xa817ff20,0xfff02fff,0xffffffff,0xdfffffff,0x80000000,
    0x00000aa8,0x00000000,0x00000000,0x00000000,0x00000000,0x7fd40000,
    0xf1000eff,0xffd803ff,0xffffff06,0xffffffff,0x000dffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xd5000000,0x9fffffff,
    0x04ffd803,0xa84fff88,0xaaaaaaaa,0xaaaaaaaa,0x0000002a,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3fffaa00,0xfffdcfdc,
    0x0fff981d,0x01fff900,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7f440000,0x27fb1eff,0x745ffffb,0x3e2004ff,
    0x000005ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3fa1fff4,0x893ff624,0x4c000aaa,0x00000aaa,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3fe03aa0,
    0x0000ea84,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0005ff80,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x02ffc000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xff100000,0x0000000d,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0x00003cc8,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_45_usascii_x[95]={ 0,9,5,0,2,0,1,9,6,5,3,1,5,5,
8,2,1,2,3,3,0,3,2,2,2,2,9,5,3,2,4,6,0,0,3,2,2,4,4,1,2,3,3,3,
5,1,2,1,3,1,3,2,1,2,0,0,0,0,2,7,3,6,2,0,0,2,3,3,2,2,0,2,3,3,
2,3,3,1,3,2,3,2,4,3,1,3,1,0,1,1,3,3,10,5,1, };
static signed short stb__consolas_45_usascii_y[95]={ 33,1,1,4,0,1,2,1,0,0,1,10,25,19,
26,1,3,4,3,3,4,4,4,4,3,3,10,10,8,15,8,1,1,4,4,3,4,4,4,3,4,4,4,4,
4,4,4,3,4,3,4,3,4,4,4,4,4,4,4,1,1,1,4,38,1,10,1,10,1,10,1,10,1,1,
1,1,1,10,10,10,10,10,10,10,3,10,10,10,10,10,10,1,-3,1,16, };
static unsigned short stb__consolas_45_usascii_w[95]={ 0,7,15,24,21,25,24,6,14,14,19,22,11,14,
8,20,22,20,20,19,24,19,21,20,21,20,7,12,18,20,18,15,25,25,20,20,22,17,17,22,21,18,17,21,
17,23,21,23,20,24,21,20,22,21,25,24,25,25,21,12,20,12,21,25,15,20,20,18,20,21,24,21,19,19,
18,21,19,22,19,21,20,20,19,18,21,19,23,24,23,23,19,17,5,17,23, };
static unsigned short stb__consolas_45_usascii_h[95]={ 0,33,12,29,39,33,32,12,43,43,20,22,16,4,
8,37,31,29,30,31,29,30,30,29,31,30,24,31,26,12,26,33,42,29,29,31,29,29,29,31,29,29,30,29,
29,29,29,31,29,38,29,31,29,30,29,29,29,29,29,42,37,42,15,5,10,24,33,24,33,24,32,33,32,32,
42,32,32,23,23,24,33,33,23,24,31,24,23,23,23,33,23,42,46,42,10, };
static unsigned short stb__consolas_45_usascii_s[95]={ 249,93,240,1,144,43,26,249,22,7,62,
218,240,241,241,191,138,156,1,97,116,43,63,47,184,22,247,227,160,104,141,
233,68,47,26,117,213,195,177,161,134,115,85,73,236,23,1,73,95,166,177,
206,225,103,125,68,151,199,93,37,212,131,82,165,125,179,22,222,122,200,1,
143,185,205,94,225,165,102,82,1,101,1,62,23,51,42,170,145,194,69,125,
50,1,113,141, };
static unsigned short stb__consolas_45_usascii_t[95]={ 14,48,99,176,1,48,82,1,1,1,230,
206,82,185,176,1,82,146,115,82,176,115,115,146,82,115,48,82,176,230,176,
1,1,176,176,82,146,146,146,82,146,146,115,176,146,146,146,82,176,1,115,
82,115,115,115,146,115,115,146,1,1,1,230,230,230,176,48,176,48,176,82,
48,48,48,1,48,48,206,206,206,48,48,206,206,82,206,206,206,206,48,206,
1,1,1,230, };
static unsigned short stb__consolas_45_usascii_a[95]={ 396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_45_usascii_BITMAP_HEIGHT or STB_FONT_consolas_45_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_45_usascii(stb_fontchar font[STB_FONT_consolas_45_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_45_usascii_BITMAP_HEIGHT][STB_FONT_consolas_45_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_45_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_45_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_45_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_45_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_45_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_45_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_45_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_45_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_45_usascii_s[i] + stb__consolas_45_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_45_usascii_t[i] + stb__consolas_45_usascii_h[i]) * recip_height;
            font[i].x0 = stb__consolas_45_usascii_x[i];
            font[i].y0 = stb__consolas_45_usascii_y[i];
            font[i].x1 = stb__consolas_45_usascii_x[i] + stb__consolas_45_usascii_w[i];
            font[i].y1 = stb__consolas_45_usascii_y[i] + stb__consolas_45_usascii_h[i];
            font[i].advance_int = (stb__consolas_45_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_45_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_45_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_45_usascii_s[i] + stb__consolas_45_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_45_usascii_t[i] + stb__consolas_45_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_45_usascii_x[i] - 0.5f;
            font[i].y0f = stb__consolas_45_usascii_y[i] - 0.5f;
            font[i].x1f = stb__consolas_45_usascii_x[i] + stb__consolas_45_usascii_w[i] + 0.5f;
            font[i].y1f = stb__consolas_45_usascii_y[i] + stb__consolas_45_usascii_h[i] + 0.5f;
            font[i].advance = stb__consolas_45_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_45_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_45_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_45_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_45_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_45_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_45_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_45_usascii_LINE_SPACING
#endif

