// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_46_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_46_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_46_usascii_BITMAP_WIDTH         256
#define STB_FONT_consolas_46_usascii_BITMAP_HEIGHT        261
#define STB_FONT_consolas_46_usascii_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_46_usascii_FIRST_CHAR            32
#define STB_FONT_consolas_46_usascii_NUM_CHARS             95

#define STB_FONT_consolas_46_usascii_LINE_SPACING          30

static unsigned int stb__consolas_46_usascii_pixels[]={
    0x0105ddd1,0x00040000,0x432ea620,0xccccccca,0x35972ccc,0x33220003,
    0xcccccccc,0x00000003,0x70000000,0x88000599,0x001acdb9,0x0017774c,
    0x3a200000,0x3bbb23ee,0x0ef6c405,0xed87fff3,0xfc800000,0xffea8000,
    0xfff70fff,0x7fffffff,0x0ffffffa,0xfffff300,0x00dfffff,0x0077f660,
    0x37f72a20,0x200000ab,0x10002ffe,0xfffffffd,0x3fa001bf,0x0000006f,
    0xb0fffdc0,0x7c40ffff,0xff32ffff,0x077fec7f,0xfff90000,0x3ff62001,
    0xf70fffff,0xffffffff,0x3ffffa7f,0xf3001eff,0xffffffff,0xff1000df,
    0x54001fff,0xffffffff,0xff00004f,0xff50003f,0xffffffff,0xff7003ff,
    0x0000003f,0x362fffc0,0x3f206fff,0xff36ffff,0x77ffec7f,0xffb80000,
    0xff9000ef,0x2199dfff,0xdcccccca,0xdb973fff,0x200dffff,0xcccdfff9,
    0xb8003ccc,0x803fffff,0xefffffd8,0x004fffff,0x007ffc40,0x3fffff20,
    0xffffffef,0x7ffc403f,0x00000005,0xfd85fff5,0x3ff606ff,0xfff37fff,
    0x05fffe87,0x77ffd400,0xffff1000,0x3fe60007,0xffff503f,0x7fff3007,
    0xffb80000,0x7c403fff,0x64c1cfff,0x10004fff,0x4001fff5,0x0adffffc,
    0x3ffffee6,0x07ffe402,0x6c000000,0xfffd86ff,0x3ffff206,0x87fff36f,
    0x005fffe8,0x03ffff50,0x01fffe40,0x07fff300,0x4037ffcc,0x0003fff9,
    0x7ffffcc0,0x17fff400,0x00fffee0,0x3fffb6e2,0x01deffff,0x809ffff1,
    0x406ffff9,0x0003fff9,0x7ffcc000,0x06fffc83,0x4bffffe2,0xf883fff9,
    0x44002fff,0x4002ffff,0x40007ffd,0x6c03fff9,0xff9807ff,0xa800003f,
    0x7e402fff,0xff9000ef,0xffffb80d,0xffffffff,0xbfff903f,0x3fffe600,
    0x037fec01,0x3f200000,0xfffc80ff,0x16f6c406,0x2607fff3,0x2000efff,
    0x8003fffc,0x40005ffe,0x5c03fff9,0x7cc00fff,0x000003ff,0x3ffea002,
    0x0fff4001,0x7fffff44,0xffffffff,0xffff883f,0x3fff2000,0x17ffd405,
    0xf8800000,0xfff905ff,0x7fcc000b,0x3fff603f,0xdfff3004,0x13ffe000,
    0x7fff3000,0x02fffa80,0x001fffcc,0x3fe00000,0xffb8004f,0xdffffd84,
    0xa9cffd9a,0xfffc83db,0x7ffcc004,0x2fffc01f,0xfb800000,0xfff901ff,
    0x7fcc000b,0x3ffe203f,0xfffe801f,0x9fff0002,0xfff98000,0x17ffd403,
    0x00fffe60,0xfb800000,0xf98000ef,0x3ffee0ff,0x017ff41f,0x001ffff8,
    0x402ffff8,0x0001fffb,0x06ffe800,0x0017ffee,0x403fff98,0x5406fffb,
    0x20005fff,0x40004fff,0x5403fff9,0x7cc02fff,0x991003ff,0x99999999,
    0x3a079999,0x3e0003ff,0x3fffa2ff,0x801fff82,0x0007fff8,0x8807fff9,
    0x00004fff,0x017ffcc0,0x000bfff7,0x401fffcc,0x3e01fffe,0x20001fff,
    0x40004fff,0x5403fff9,0x7cc02fff,0xff1003ff,0xffffffff,0xf50dffff,
    0x640001ff,0x1fffe3ff,0x2003ffe2,0x0005fffa,0xb009fff7,0x00001fff,
    0x203ffec0,0x0005fffb,0x200fffe6,0xf304fffb,0xf8000bff,0x4c0004ff,
    0x7d403fff,0x7fcc02ff,0xfff1003f,0xffffffff,0xffb0dfff,0x2f36e609,
    0x7ff71ca9,0x303fffe6,0x3ee00fff,0xf50005ff,0xff300bff,0x2000007f,
    0x5c04fff8,0x20004fff,0x8803fff9,0xff907fff,0xff80005f,0x7cc0004f,
    0x7fd403ff,0x7ffcc02f,0x99991003,0xf9999999,0xfff88dff,0xfffffc81,
    0x9ff70fff,0x2a1ffffc,0xff9006ff,0x3e60009f,0xffd006ff,0x3200000d,
    0x7dc00fff,0x260004ff,0xfd003fff,0xffff03ff,0x7fc40001,0x7cc0003f,
    0x7fcc03ff,0x7ffcc03f,0xf8800003,0x37fd46ff,0x7fffffec,0x97fea7ff,
    0x320efffe,0xff9005ff,0x3e20007f,0xff5007ff,0xf000003f,0xff500bff,
    0x7cc0009f,0xff7003ff,0x5fff989f,0x7ffcc000,0x7fcc0002,0x7ffc403f,
    0x1fffcc04,0x7fc40000,0x227fe46f,0xfa9cfffa,0x9bfea6ff,0xb3fffffb,
    0x3f6009ff,0xf10003ff,0x7fc00fff,0x5400005f,0xfa802fff,0x303004ff,
    0x22007fff,0x7fe47fff,0x7e40002f,0x4c0001ff,0xff803fff,0x3fe600ff,
    0x8800003f,0x7fec6fff,0x3a2fff43,0x1bfe64ff,0xddfffffb,0x3f2005ff,
    0xf30003ff,0x7e400dff,0x200000ff,0xf5006ffe,0xffb809ff,0x0fffe63f,
    0x6c7fff80,0x20001fff,0x0005fffa,0x803fff98,0x300dfffb,0x00007fff,
    0xf8dfff10,0x3ffea1ff,0xf31fffc0,0xffffb0ff,0x2005ffff,0x0004fffb,
    0x400bfff3,0x0004fff8,0x007fff30,0x980fffea,0xf33fffff,0x7f4007ff,
    0x3fffa0ff,0xd9971000,0x0001dfff,0x007fff30,0x9dffffd1,0x0fffe637,
    0x3fe20000,0xb1ffe66f,0xfff88bff,0x541bfe62,0xffffffff,0x7ffdc02d,
    0xfff50005,0x7ffd8009,0xfff90000,0x3ffea001,0x3fffee03,0x07fff37f,
    0xf0fffec0,0x7d400fff,0x00ceffff,0x7fff3000,0x7fff5c00,0x7fff34ff,
    0xff100000,0x237fd4df,0x7fcc3fff,0x817fe61f,0xfffffeb8,0xff501eff,
    0x3ee000df,0x7d4003ff,0x440002ff,0x26004fff,0x3ea03fff,0xf99fffff,
    0x3f2003ff,0xdfff12ff,0x7fffd400,0x200003df,0x2003fff9,0x4fffffc9,
    0x0007fff3,0x4dfff100,0x3fe65ffb,0x23ffdc1f,0xf9005ffa,0x9fffffff,
    0x00ffff30,0x00bfff60,0x001bffa0,0x003fff70,0x101fffcc,0x35ffffff,
    0x5c007fff,0xfff13fff,0x76e4c00b,0x000effff,0x03fff980,0xddffff90,
    0x0fffe659,0x3fe20000,0xa93fee6f,0x7fe40fff,0x8027fd46,0xffffeffb,
    0x7ffc44ff,0x7fc4002f,0xfb8001ff,0x3a0001ff,0x7cc006ff,0x7fd403ff,
    0xfff9afff,0x3ffee003,0x00bfff33,0x2fffec40,0x7ffcc000,0xdfffa803,
    0x07fff300,0xfff10000,0xf727fe4d,0x8bffb0ff,0xf9004ffb,0x3fffea9f,
    0x2fffec3f,0x17ffee00,0x27ffc400,0x2fffa800,0x17ffcc00,0x4ffffec0,
    0x2003fff9,0xff12fffc,0xfd0000df,0x980003ff,0xfe803fff,0x7ffcc06f,
    0xf8800003,0x8fff26ff,0xffe87ffc,0x801ffe44,0x3f623ffd,0x7ffd47ff,
    0x3ffa000f,0x3f20001f,0xfd8000ff,0xaa88007f,0xfffb800a,0x007fff37,
    0xff0fffec,0xf50000ff,0x980007ff,0x7c403fff,0x7fcc03ff,0x8800003f,
    0x3ff66fff,0x3e1bff23,0x0fff43ff,0x442ffe80,0x7fc1ffff,0xfd800eff,
    0x4c0006ff,0x44003fff,0x00003fff,0x2dfff900,0x2003fff9,0x3fa1fffe,
    0x440000ff,0x40004fff,0x4c03fff9,0x7cc03fff,0x800003ff,0x3f66fff8,
    0x31fff23f,0x6ff85fff,0x207ffe00,0x7dc3fffd,0x7e405fff,0x80002fff,
    0x64006ffe,0x00000fff,0x1ffff880,0x4007fff3,0x3f60fffe,0x440001ff,
    0x40004fff,0x5403fff9,0x7cc02fff,0x800003ff,0x3f26fff8,0x91fff23f,
    0x7fd45fff,0x1fff1004,0xb05fffb0,0x359dffff,0x9ffffd95,0x3fea0000,
    0x3ffe002f,0x0ae60005,0x49fffd30,0x1003fff9,0xffc8dfff,0xff80003f,
    0x7cc0004f,0x7fd403ff,0x7ffcc02f,0xf8800003,0x93ff26ff,0xff30fffb,
    0x17ff45ff,0xf07ff980,0x3f601fff,0xffffffff,0x0003ffff,0x802fffc0,
    0x0001fffb,0x5c4bfff9,0x46ffffec,0x5003fff9,0xffa89fff,0xff80005f,
    0x7cc0004f,0x7fd403ff,0x7ffcc02f,0xf8800003,0x97fee6ff,0xffbefff9,
    0xffeaeffd,0x1bfea006,0xb01fffee,0xffffffff,0x00007fff,0x001fff70,
    0x2000dffd,0x52fffff8,0x07ffffff,0x2007fff3,0x7c41fffd,0x40000fff,
    0x40004fff,0x5403fff9,0x7cc02fff,0x800003ff,0x3ea6fff8,0x7ffff45f,
    0xfffffd6f,0xb81ba81d,0x3ff225ff,0xeb8803ff,0x0befffff,0xff100000,
    0xfff9809f,0xfff50003,0x3ffea7ff,0xfff300df,0xffff1007,0x00bfff60,
    0x009fff00,0x03fff980,0x2017ffd4,0x0003fff9,0x26fff880,0x7f446ff9,
    0xfff50fff,0xfff703df,0x9dffd9bd,0x0bfffffd,0x05fff700,0x3f600000,
    0x3ffec07f,0xffff1000,0x006ae63f,0x200fffe6,0xf504fffa,0xf8000bff,
    0x4c0004ff,0x7d403fff,0x7fcc02ff,0x8800003f,0x3fe66fff,0x501ba887,
    0x7ffdc037,0xffffffff,0x005fffff,0x00dfff30,0x3fe60000,0x9fff103f,
    0xfffb8000,0x3fe60004,0xfffe803f,0x07fffe01,0x04fff800,0x1fffcc00,
    0x00bffea0,0x0007fff3,0x4dfff100,0x0001fff8,0xfffff700,0xffffffff,
    0xf80003bf,0x00001fff,0x20dffd00,0x0000fffb,0x40001a88,0x5c03fff9,
    0x7e404fff,0x3e0006ff,0x4c0004ff,0x7d403fff,0x7fcc02ff,0x8800003f,
    0x7fec5fff,0x26000004,0xffffedca,0x0001acde,0x01dfffb0,0x5c00012a,
    0xfff81fff,0x00000005,0x01fffcc0,0x001ffff1,0x0005fffd,0x00017ffe,
    0xa807fff3,0x7cc01fff,0x800003ff,0x7d44fffa,0x0000007f,0x0003ffcc,
    0xfffff100,0x5ffb9579,0xfff10000,0x02fffa8b,0x40000000,0x3203fff9,
    0xf5003fff,0xd0001fff,0x98000dff,0x7dc03fff,0x7fcc00ff,0xb800003f,
    0xfff82fff,0x20000002,0x00006ffa,0x7ffffd40,0x0fffffff,0xfffc8000,
    0x001bffa0,0x26000000,0xff303fff,0xffd800df,0xffd8004f,0x3e60001f,
    0x7ff403ff,0x3fff9807,0x7fc40000,0xeffc81ff,0x70000000,0x00000bff,
    0xfffffd50,0x0003dfff,0x44bbba20,0x00003eee,0xff980000,0xfffe883f,
    0x7ffc4002,0x7fdc002f,0x3e60005f,0x3fee03ff,0xfff9806f,0x32003003,
    0xff305fff,0x004001df,0x004ffc80,0x3b6e0000,0x0002deff,0x00000000,
    0x3e600000,0xfffe83ff,0xfff50003,0x7fc4003f,0x4000aeff,0x4c43fff9,
    0x801ffffd,0xf003fff9,0xfe98837b,0x3ee00fff,0x64c01eff,0x7ffb0007,
    0x00000000,0x00000000,0x00000000,0xd87fff30,0x40004fff,0x000ffffb,
    0x3fffffea,0xffff70ff,0x27ffffff,0xfffffffe,0xffff3005,0x4dffffff,
    0xffffffff,0x803fffff,0xbdfffffa,0x07ffedcb,0x00155500,0x00000000,
    0x00000000,0x30000000,0x7fe47fff,0xf900005f,0x5c001dff,0x0fffffff,
    0xfffffff7,0x3ffa7fff,0x2004ffff,0xfffffff9,0x3ffe6fff,0xffffffff,
    0x3fea002e,0xffffffff,0x000006ff,0x00000000,0x00000000,0x00000000,
    0x7ec7fff3,0x6c00006f,0x44000eff,0x70ffffec,0xffffffff,0x3fffa7ff,
    0x7cc001de,0xffffffff,0x3fff6e6f,0x004effff,0xfffdb730,0x00017dff,
    0x00000000,0x00000000,0x00000000,0x1fffcc00,0x000003b6,0x200003b6,
    0x26662198,0x09999999,0x30000131,0x33333333,0x55331013,0x51000003,
    0x00000013,0x00000000,0x00000000,0x00000000,0x041fffcc,0x00100000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3e600000,0x000003ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x007fff30,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x4ccc0000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xdd500000,0x0000005d,
    0x4c000000,0x89bceecb,0x999933db,0x3332e000,0x05579b12,0x442664c0,
    0x00aceeca,0xeee98000,0x00000003,0xb9800000,0xcccdefec,0x221ccccc,
    0xdb801ded,0x22003dff,0xfff53eed,0x44000007,0x0ceffedb,0xffd88000,
    0xffffffff,0xffff14ff,0xffff0005,0x3ffffe23,0x7fd401cf,0xffffb10f,
    0x0003ffff,0x04fffa80,0x002efd88,0x3b72e000,0x101cdeef,0xfffffffb,
    0xffffffff,0x3ffffe27,0xffffd102,0xfb001dff,0x3ffea1ff,0xf5000003,
    0xffffffff,0x7fd40009,0xffffffff,0x3f64ffff,0x7d4005ff,0x3ffe26ff,
    0x00dfffff,0xff33fff5,0xffffffff,0x5400003f,0xfe804fff,0x00001fff,
    0x7fffff54,0xf984ffff,0xffffffff,0xffffffff,0xdfffff93,0x3fbfffa0,
    0x7d405fff,0x3ffea2ff,0xfb800003,0xffffffff,0xfc8004ff,0xbabdefff,
    0x24fffffc,0x000ffff9,0xe88ffff6,0xfffffffe,0xafffa82f,0xebcefffe,
    0x000fffff,0x09fff500,0x4fffffa8,0x3ff60000,0xffffffff,0x7fff444f,
    0xfff730ae,0x363999ff,0xa87fffff,0xff911fff,0x3ffa203f,0x01fffd45,
    0x3ffe2000,0xfffc9aef,0x3ea001ff,0x7dc03fff,0x7fff44ff,0xffff1003,
    0x7ff5cc01,0x7fd41fff,0x982fffff,0x0003ffff,0x809fff50,0x04fffffa,
    0xffff5000,0xd975357d,0x05fffd87,0x207fffe2,0x86fffffc,0xfff84ffe,
    0x81fff904,0x0003fffa,0x82fffe40,0x2004fffd,0xa802fffe,0x7fdc4fff,
    0xfff5006f,0x7ffd400b,0x3ffea0ff,0x3ea00eff,0x500006ff,0xf8809fff,
    0x0001ffff,0x04ffff88,0x00ffff80,0x442fffd4,0xf82fffff,0x5ffd81ff,
    0xa83fff98,0x00003fff,0xa807fff4,0xf5006fff,0x3ea00bff,0x7ffc44ff,
    0xfffd801f,0x7ffcc002,0x3fffea4f,0xffff800e,0xffa80001,0xffe9804f,
    0xff500003,0xff3000df,0x3ffe00bf,0x05bdb107,0xf701fff1,0x0bffd0df,
    0x000fffea,0x40ffff00,0xd007fff8,0x2a003fff,0xffd84fff,0x7ffc404f,
    0xfff50007,0x3fffea1f,0x7fff9000,0xfff50000,0x00004009,0x00bfff20,
    0x00fffea0,0x0007fff4,0xf705fff0,0x0fffc8bf,0x007fff50,0x3fffc400,
    0x00bfff10,0xa801bffe,0xffa84fff,0x7ffdc07f,0x3ffe0004,0x07fff53f,
    0x027ffd40,0x27ffd400,0xb0000000,0x70003fff,0x3a009fff,0x7c0007ff,
    0x4ffd84ff,0xa80fffe6,0x65443fff,0xf800acee,0xff500fff,0xfff1009f,
    0x7ffd400b,0x05fffd04,0x000ffff4,0x2a9fffb0,0x26003fff,0x98804fff,
    0xfcbdeecb,0x000004ff,0x03fffa00,0x17ffea00,0x017ffe20,0x41dffb00,
    0x3fa1fff9,0x7ffd406f,0x3fffff23,0x7ec01fff,0xfffd03ff,0x9fff3003,
    0x27ffd400,0x105fffb8,0x8000dfff,0xff54fffc,0x7fcc007f,0x3ff6205f,
    0xffffffff,0x333264ff,0x0ccccccc,0x7fff8000,0xffff1000,0x4fffc803,
    0x7ffcc000,0x25fffccf,0x5401fffb,0xfffb2fff,0x3fffffff,0x07fffdc0,
    0x009fffb1,0x800fffee,0xf104fffa,0xff701fff,0xfc80007f,0x7fff53ff,
    0x37ffc400,0xffffffa8,0xffffffff,0x3ffffea4,0x001fffff,0x007fff80,
    0x07bfff20,0x007fffdc,0x7fffe400,0xff30efff,0xfff5007f,0x79dfffd7,
    0x01fffffd,0x4d7fffe2,0x000efffe,0x4007fff7,0x3604fffa,0xffe83fff,
    0x7f40000f,0x7fff52ff,0x27ffcc00,0x6f7fffe4,0xffffdcab,0x3fffea4f,
    0x01ffffff,0x07fff800,0x7ffff400,0xfffecabd,0x2a00002f,0x20cfffff,
    0xf5006ffe,0x05ffffff,0x407ffff3,0xffeffffa,0x2a000dff,0x2a004fff,
    0x3ea04fff,0x7ffcc6ff,0x7fdc0005,0x7fff50ff,0x1fffd400,0x00ffffe6,
    0x64c9fff7,0xffeccccc,0x3333001f,0x3ffff333,0x33333333,0xfffff301,
    0xffffffff,0x22000007,0x1fffb81a,0xfffff500,0x7ffd401d,0x7fffec06,
    0xa8003fff,0x2a004fff,0x7fc04fff,0x3fff21ff,0x55333002,0x547ffffd,
    0x2e003fff,0x7ff42fff,0xfffa801f,0x3fffb004,0xfffff300,0xffffffff,
    0xdfffffff,0xfeeffe88,0x0dffffff,0x88000000,0x2a004fff,0x800effff,
    0x2e01ffff,0x00dfffff,0x0bfff300,0x13fffa20,0x7c9fff90,0x3fe007ff,
    0x6fffffff,0x001fffd4,0x7d43fffb,0xff5005ff,0x3ff6009f,0xfff9801f,
    0xffffffff,0xffffffff,0x87ffdc6f,0x009acba9,0x36000000,0x7d4006ff,
    0xf9000fff,0xffb107ff,0x540dffff,0xfff882aa,0xfffe800f,0x7ffc404f,
    0x009fff57,0x7ffffffc,0x3fffa83f,0x8ffff300,0x5001fffe,0x36009fff,
    0xf9801fff,0xffffffff,0xffffffff,0x7fec6fff,0xa9800006,0x7fd40001,
    0x7fd4001f,0x3fea003f,0x7fff444f,0xf04fffff,0x3ff60dff,0x7ffec02f,
    0xffd804ff,0x01fffdaf,0x337fffa0,0x7fff500a,0x0ffff600,0x5400dfff,
    0xfb004fff,0xf00003ff,0x3e000fff,0x00000fff,0x003bfff2,0x013ffe20,
    0x00fffea0,0x744fff98,0xffc8efff,0x6fff83ff,0x01ffff50,0x3ffffff2,
    0xdfffa804,0x74006fff,0xff5006ff,0xfff9007f,0x05fff88d,0x013ffea0,
    0x000fffec,0x003fffc0,0x0adfffe8,0x7ffd4000,0xfd8005ff,0xfa8000ff,
    0x3e6003ff,0x3ffee5ff,0x3ffffa0e,0x817ffe21,0x88aeffff,0xffaffffc,
    0xffff004f,0xe8007fff,0xff5005ff,0xea8837df,0x7cc1ffff,0x3ea004ff,
    0xffb004ff,0xff00003f,0x3f2000ff,0xefffffff,0x202bceee,0x07fffffd,
    0x317ffd40,0x505bffdb,0x44007fff,0x3ffe6fff,0x7fffc41f,0x09fff30f,
    0x7fffffd4,0xf99fffff,0xff9004ff,0x8001ffff,0xf5005ffe,0xffffffff,
    0x05ffffff,0x4007fff5,0xb004fffa,0x00003fff,0x4000ffff,0xfffffffe,
    0xffffffff,0x7fffec0c,0x3fe2007f,0x3fffee5f,0x7fd44fff,0x3fe6003f,
    0x0bfff55f,0x5dbfffe6,0x7d403fff,0xffffffff,0x009fff31,0x13ffffe2,
    0x017ff600,0x7fffffd4,0xdfffffff,0x07fff700,0x027ffd40,0x001fffd8,
    0x007fff80,0x3ffffe20,0xffffffff,0x7fd46fff,0x32004fff,0xfff30fff,
    0x45ffffdf,0x2003fffa,0xff73fffa,0x7ffdc07f,0x01fffdcf,0xdffffd98,
    0x13ffe60b,0x0ffffd80,0x05ffd800,0xffdfff50,0x059dffff,0x004fffa8,
    0x4013ffea,0x0001fffd,0x0007fff8,0x559fffd1,0xfffb9997,0xffc89fff,
    0xff5000df,0x32fff45f,0x7fd4dffd,0x3fee003f,0x05fff92f,0xffffffd8,
    0x0a98006f,0x009fff50,0x0027ffec,0x5001aa98,0x26627fff,0x7ffcc000,
    0x3ffea004,0x3fffb004,0xffff0000,0x3fffa000,0xfffd3002,0x4003510f,
    0x3e65ffe8,0x7ffd40ff,0x007fff50,0xfc8fffec,0xffe803ff,0x0003ffff,
    0x04fffa80,0x01ffff50,0x7d400000,0x980003ff,0xd1005fff,0x36009fff,
    0x80001fff,0xa8007fff,0x4c005fff,0x0001ffff,0x2a0fffc8,0xfff886ff,
    0x007fff52,0xfb9fffe6,0xff8804ff,0x0000ffff,0x04fffa80,0x00bfffd0,
    0xffa80000,0xf880003f,0xfe800fff,0xfb004fff,0xf00003ff,0xf9000fff,
    0xfd0005ff,0x980003ff,0x7fdc3fff,0x2a7ffd05,0xfb003fff,0x7ffcc5ff,
    0xfffa800f,0x5000006f,0xf9009fff,0x40001fff,0xf5000ab8,0x200007ff,
    0x6c03fffd,0x004fffff,0x0003fffb,0x000ffff0,0x8005fffd,0x0007fff8,
    0xfb85ffe8,0x25fff07f,0xb803fffa,0x7fc46fff,0x3a600eff,0x005fffff,
    0x4fffa800,0x0ffffe40,0xffff3000,0x7fff5001,0x3fea0000,0xfff900ef,
    0x36009fff,0x80001fff,0xc8007fff,0x6c005fff,0x40005fff,0xfa80fffc,
    0x7ffc40ff,0x37dfff50,0xffffea88,0xfffffa81,0xffca889b,0x03ffffff,
    0x7ffd4000,0xfd733314,0x80009fff,0x804ffffd,0x0003fffa,0x2bbfffa0,
    0x9ffffc88,0xfb004fff,0xf00003ff,0xf7000fff,0xa803bfff,0x000ffffe,
    0x40fffe60,0x7ec4fff8,0x3fffea6f,0xffffffff,0x3f602fff,0xffffffff,
    0xffeeffff,0x200001ff,0xff94fffa,0x0bffffff,0xfffff000,0x7fff500d,
    0x7fd40000,0xffffffff,0x4c9fff1f,0xfd999999,0x99999aff,0x1fffe001,
    0x7fffec00,0xfeedeeff,0x001fffff,0x2037ff40,0xfecffffc,0x3ffe61ff,
    0xffffffff,0xfb800dff,0xffffffff,0xffff13ff,0x2a00001f,0xfff94fff,
    0x0005ffff,0x13ffff60,0x00fffea0,0xffff5000,0x7c3fffff,0xffff14ff,
    0xffffffff,0x00ffffff,0x0003fffc,0xfffffffb,0xbfffffff,0xffb80003,
    0x7ff4401f,0x304fffff,0xffffffd7,0xd880059d,0xcefffffe,0x37fffcc0,
    0xfffa8000,0x9dffff94,0x74c00001,0xfa800eff,0x800003ff,0xbdffffd9,
    0xf8a7ffc0,0xffffffff,0xffffffff,0x1fffe007,0xfff93000,0xbfffffff,
    0xff300003,0x7fe4007f,0x4c002eff,0x4c000009,0x00000009,0x44266620,
    0x000000aa,0x31000d44,0x00000133,0x44000a98,0xffffffff,0xffffffff,
    0x3ffe007f,0x26200007,0x00019aa9,0x31000000,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0bddb000,0x77754000,0x0eeeeeee,0x01777540,0x0ae60000,
    0xb7310000,0xa9800359,0xaaaaaaaa,0x00aaaaaa,0x0d66dcc0,0x53100000,
    0x26200355,0x01accdca,0x99951000,0x98800357,0x9accedca,0xe8022000,
    0x200007ff,0xfffffffa,0x7d401fff,0x000003ff,0x0009fff3,0x3ffffa60,
    0x800dffff,0xfffffffb,0xffffffff,0xfffd8802,0x004fffff,0xfffed980,
    0xfb805fff,0xffffffff,0xfda8003e,0xffffffff,0x3faa00ce,0xffffffff,
    0xffd803ff,0x07ffe81f,0x3ffea000,0x1fffffff,0x01fffd40,0xfff98000,
    0xffa80004,0xffffffff,0x7fdc01ff,0xffffffff,0x402fffff,0xfffffff9,
    0x0005ffff,0xffffffd5,0x7cc0bfff,0xffffffff,0x800effff,0xffffffd8,
    0x2fffffff,0xfffffe98,0xffffffff,0x7fffdc03,0x03fff41f,0x55551000,
    0x03fffd55,0x003fffa8,0x9fff3000,0xfffc8000,0xffffefff,0x3ee02fff,
    0xffffffff,0x02ffffff,0x3bffffea,0xefffffdc,0xfffd1000,0xffffffff,
    0x3fffe20b,0xffdcccdf,0x74c05fff,0xefffffff,0x42ffffff,0xfffffff8,
    0xffffeede,0x7fffec03,0x03fff45f,0xffd80000,0x7ffd401f,0xf3000003,
    0x640009ff,0x20adffff,0x2fffffb9,0x003fff70,0x3fffe600,0xffffb80d,
    0xfffe8805,0x001abcff,0x401bfffd,0x502ffffb,0x35bfffff,0x42feb988,
    0x00bffffe,0xf9006e62,0xfe8fffff,0x0000007f,0xa803fffb,0x00003fff,
    0x009fff30,0x13fffe20,0x0dffff30,0x0007ffee,0x02fffec0,0x803fffe6,
    0x03ffffe8,0x0dfff300,0x413fff20,0x003ffffe,0xefffb866,0x7cc00000,
    0x3a0fffff,0x000007ff,0x803fffb0,0x0003fffa,0x09fff300,0x17fff200,
    0x0ffffcc0,0x000fffdc,0x037ffcc0,0x204fffc8,0x000dfffc,0x00fffee0,
    0x5c37ffcc,0x0001ffff,0x0017ffec,0xffffc800,0x01fffa0f,0x7fec0000,
    0x7ffd401f,0x66540003,0xefffdccc,0xcccccccc,0x3fffe23c,0x3fff2000,
    0x01fffb85,0x2fffc800,0x1ffff100,0x01ffff10,0x2fffc800,0x8ffff100,
    0x002ffff8,0x00ffff80,0x3ffe0000,0x03fff47f,0xffd80000,0x7ffd401f,
    0x7fe40003,0xffffffff,0xffffffff,0x17fff25f,0x1ffff300,0x001fffb8,
    0x03fffc40,0x20ffff60,0x0001fffc,0x004fffc8,0xfc8bfff7,0x880006ff,
    0x0001ffff,0x17fffa00,0x2200fffd,0x2004cccc,0x5401fffd,0x764c3fff,
    0xff903cef,0xffffffff,0xffffffff,0x17fff4bf,0x17fff400,0x0007ffee,
    0x009fff50,0x227fffdc,0x0005fff8,0x01ffff50,0xf89fffd0,0x00002fff,
    0x0007fffd,0x1ffffc00,0x2201fffa,0x001ffffe,0x5007fff6,0x3f627fff,
    0x0effffff,0x7777775c,0xeeeeffff,0x3e4eeeee,0xf90007ff,0xfffb87ff,
    0x7fdc0001,0xffd8802f,0x7fd45fff,0x3e00003f,0x2a00efff,0x3e20ffff,
    0x200007ff,0x002ffffd,0xefffa800,0x203fff40,0x01ffffe8,0x00fffec0,
    0x3e6bffea,0xffffffff,0xff9800ff,0x7fc4004f,0xff70005f,0x1fffb89f,
    0x7ffe4000,0x7fffd401,0x7fe46fff,0x2e00001f,0x442fffff,0x543ffffd,
    0x00006fff,0x0fffffea,0xfffa8000,0x07ffe82f,0x07ffffa2,0x07fff600,
    0xff9fff50,0xffb77bff,0xff3009ff,0xff98009f,0xff50005f,0xdfffb8bf,
    0x00aacccc,0x200fffd8,0xfeeffffc,0x53fff47f,0x7bdffdb9,0xffff9001,
    0xffff55df,0xbfff705f,0xffb80000,0x000bffff,0x7fffe5cc,0x0fffd04f,
    0x00ffffec,0x01fffd80,0x7fffffd4,0xffffb81e,0x27ffcc00,0x13ffea00,
    0x37ffcc00,0x3fffffee,0x02dfffff,0x2203fffa,0xd8dffffe,0x3ffe0fff,
    0xffffffbe,0x803fffff,0xfffffffb,0xf900efff,0x000007ff,0xfffffff9,
    0x3ff20039,0x3a02ffff,0xfffb07ff,0x7ec0003f,0x7fd401ff,0x3a00dfff,
    0x7cc02fff,0x7e4004ff,0xf10003ff,0xfffb8fff,0xffffffff,0xfff80eff,
    0xfffffa87,0xf87fff63,0xffffffff,0xffffffff,0xfffd8805,0x6c06ffff,
    0x00002fff,0xffffff50,0xfc805bff,0x7400cfff,0xfffd87ff,0x7ec0001f,
    0x7fd401ff,0xffb806ff,0x7ffcc03f,0x7ffec004,0xfff10003,0xccccc98f,
    0xfffffeed,0x47fff85f,0x41effffc,0xff11fffc,0x337dffff,0xffffd731,
    0xfffe9805,0x01dfffff,0x0005fffd,0x7ff5c400,0x01efffff,0x74001575,
    0x7ffec7ff,0xfd80001f,0x7fd401ff,0xff9800ef,0x7ffcc04f,0x7ffe4004,
    0xfff30003,0xfd51000f,0xffe8bfff,0xbffffd17,0x21fffb01,0x01dffff8,
    0x07fffec4,0xefffffc8,0x82ffffff,0x0003fffe,0xfffb5000,0x0007ffff,
    0xfb3fff40,0x00003fff,0x5007fff6,0x26007fff,0x7cc05fff,0x7dc004ff,
    0xf30004ff,0xd8000dff,0x3f60ffff,0xfffffaff,0x43fffa03,0x4006fff9,
    0xfd83ffff,0xfd30dfff,0xfd87ffff,0x000004ff,0x7fffe4c0,0x7776c3ff,
    0x7ffe800e,0x001ffffb,0x0fffec00,0x00fffea0,0x202fffc4,0x4004fff9,
    0x0005fffa,0x000dfff5,0x6c5fffd0,0xefffffff,0x13fff401,0xb800ffff,
    0x7fec4fff,0xfff502ff,0x7ffe43ff,0x00000004,0x5fffff91,0x007ffff4,
    0x7feffff4,0x400000ff,0x5401fffd,0xf1003fff,0xff980bff,0x7fcc004f,
    0xff70005f,0xf900009f,0x7ffe49ff,0xff005fff,0x07fff8df,0x537ffcc0,
    0x9803ffff,0x3ee6ffff,0x000005ff,0x7fffd400,0x03ffff66,0x3effffa0,
    0x00002fff,0x200fffec,0x1003fffa,0xf980bfff,0x7c4004ff,0xfb0007ff,
    0x500007ff,0x7fdcdfff,0xf1003fff,0xfffe8bff,0x3ffe2000,0x013fffa7,
    0xa8ffffd4,0x00007fff,0xfffa8000,0x01ffff67,0xffcbfff4,0x200001ff,
    0x5401fffd,0xf1003fff,0xff980bff,0xfff8004f,0x7fc4002f,0xa80001ff,
    0x3fea5fff,0x3ee001ff,0x7ffec4ff,0x3ffe2000,0x01ffff16,0x99ffff40,
    0x0003ffff,0x7fc40000,0xffff91ff,0xd9fffa00,0x0001ffff,0x803fffb0,
    0x1003fffa,0xf980bfff,0xfd8005ff,0x7dc005ff,0x900006ff,0x7fc47fff,
    0x3fa000ff,0x7ffe41ff,0x3ffea002,0x00ffff34,0x3a4fffc8,0x00006fff,
    0xfffe8000,0x00dfff91,0xffd1fffa,0xb00001df,0xfa803fff,0xff1003ff,
    0xfff880bf,0xfff98006,0x3ffa000f,0xfd00001f,0xfffc83ff,0xbfff3003,
    0x00dfff70,0xf99fffdc,0x7ec007ff,0x3ffea3ff,0x0000002f,0xf73fffc0,
    0x3fa00dff,0x7fff447f,0x7ec0000e,0x7fd401ff,0xfff1003f,0x1ffff00b,
    0xdfffd000,0x17fff600,0x7ffec000,0x0ffff986,0x02fffd80,0x1001ffff,
    0x7fc3ffff,0x3fe001ff,0x7ffec1ff,0x0000003f,0x5cdfff70,0xfd006fff,
    0xffff30ff,0x7ec0001d,0x7fd401ff,0xfff1003f,0xbfffd00b,0xffff5000,
    0xffffc80b,0x7e440001,0xffb01fff,0x7fec01bf,0x3ffee06f,0x7ffec00e,
    0x07ffff44,0x43fffec0,0x05fffff9,0x00663930,0x93fffea0,0xd005fffa,
    0x3fe60fff,0x360005ff,0x7d401fff,0xff1003ff,0xfff500bf,0x5cc415df,
    0xeffffe83,0xffeca8ac,0x06ae05ff,0x3ffff2a6,0x3ffe602f,0xfb710aff,
    0x7c405fff,0x5409efff,0xfa86fffe,0x4c1cffff,0x02ffffeb,0xbffffff9,
    0xfd975359,0x2f7fee5f,0xba9999aa,0x545ffffe,0xfd005fff,0x7ffd40ff,
    0xffb0005f,0xfffa803f,0xbfff1003,0x3ffff600,0x5fffffff,0xffffffb0,
    0x7fffffff,0xffffff80,0xffffffff,0xffffa803,0xffffffff,0xfffa801f,
    0xfffeefff,0xff701fff,0xffffffff,0x807fffff,0xfffffffa,0xffffffff,
    0xffffff72,0xffffffff,0xee981dff,0xfffd003e,0x4ffffb80,0x33333330,
    0x3335fffb,0x3ffea333,0xbfff1003,0x3fff6200,0x5fffffff,0x3fffff20,
    0x01ffffff,0xfffffff8,0x00cfffff,0x3ffffa60,0x01efffff,0x3ffffa60,
    0x0dffffff,0x7ffffdc0,0xffffffff,0xfffb1003,0xffffffff,0x3ffee5ff,
    0xffffffff,0x000cffff,0x01fffa00,0x113ffff2,0xffffffff,0xffffffff,
    0x0fffeaff,0x02fffc40,0x3ffff6a0,0x4c04ffff,0xdfffffec,0xffff000c,
    0x19dfffff,0x3fb22000,0x00bdffff,0xffffd900,0x44005bff,0xffffffeb,
    0x950002ef,0xfffffffb,0x7f64c17b,0xffffffff,0x00000bef,0xb007ffe8,
    0x7c47ffff,0xffffffff,0xffffffff,0x007fff57,0x0017ffe2,0x00999988,
    0x00035300,0x04d554cc,0x0a980000,0x9a980000,0x53300000,0x10000013,
    0x44001353,0x009aaaa9,0xffe80000,0xfffd1007,0x3fffe25f,0xffffffff,
    0xf57fffff,0x3e2007ff,0x000005ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xaaaa9800,0xaaaaaaaa,
    0x155531aa,0x05555000,0x99b95300,0xcca88035,0x000abcdd,0x55555555,
    0x55555555,0x554c3555,0x5530002a,0x15555455,0x2aaa2000,0x6e54400a,
    0xaaa801ac,0xaa80001a,0x00aaaa2a,0x01555100,0x00aaaa20,0xffffffb8,
    0xffffffff,0x007fff95,0x006fff88,0xffffffd7,0x5439ffff,0xfffffffe,
    0x2200cfff,0xffffffff,0xffffffff,0x3fe63fff,0x7c4003ff,0x3fee3fff,
    0x360001ff,0xfb306fff,0xbfffffff,0x37ffe401,0x3ffea000,0x001bffe6,
    0x003fff50,0x00dffff7,0x7fffffdc,0xffffffff,0x007fff95,0x406fff88,
    0xffffffe8,0x4fffffff,0x3fffffee,0x3fffffff,0xffffff10,0xffffffff,
    0xc87fffff,0x2000ffff,0xfe86fffd,0xf30006ff,0xff503fff,0xffffffff,
    0x3fe607ff,0x320001ff,0x3ffa4fff,0x7fd40006,0x3ffee00f,0x2e006fff,
    0xffffffff,0x95ffffff,0x88007fff,0x3ee06fff,0xefffffff,0x24ffffff,
    0xdceefffb,0x1ffffffe,0xffffff88,0xffffffff,0x443fffff,0x5004ffff,
    0xf503ffff,0xb0005fff,0xfd88bfff,0xfeefffff,0xf01fffff,0x40007fff,
    0x3f61ffff,0x7dc0007f,0xffea80ff,0x006fffff,0x26666662,0xfffb9999,
    0x007fff95,0xb06fff88,0x359fffff,0x24feb988,0x7fd401ba,0x333307ff,
    0x33333333,0x1ffffb33,0x03ffff50,0x409fffd0,0x4006fffe,0x4c0ffffa,
    0xb81bffff,0xf906ffff,0x26000dff,0x7fec6fff,0x7fdc0007,0x7ffff547,
    0x006fffff,0xbfff5000,0x000ffff2,0xf50dfff1,0x4003ffff,0xff300029,
    0x200003ff,0x202ffff9,0x6406fffd,0x7cc06fff,0x3a003fff,0xdf504fff,
    0xffff9803,0x0ffff983,0x4fffc800,0x0003ffe4,0xffd9ffee,0xffbbffff,
    0x5000006f,0x3ff2bfff,0x7fc4003f,0xdfffe86f,0x40000000,0x0003fffd,
    0x80bfffd0,0x103ffff8,0xb003ffff,0x5001ffff,0x5401ffff,0x9fffb000,
    0x00ffffe0,0x907fffa0,0x40001fff,0x3fee6ffc,0xfff70cff,0x2a00000d,
    0xfff95fff,0xfff88007,0x03fffdc6,0xfc800000,0xb80004ff,0xb800ffff,
    0xfd80ffff,0xff1004ff,0xffd007ff,0x5400007f,0xff906fff,0xff9800bf,
    0x0fffb86f,0x9bff2000,0x7dc0cff8,0x000006ff,0x3f2bfff5,0x7c4003ff,
    0x3ffe26ff,0x0000003f,0x007fff70,0x2ffff980,0x17fffa00,0x001ffff5,
    0x007fffe4,0x000dfff5,0x07fff980,0x001ffff3,0x5c1fffe4,0x20001fff,
    0x80dc5ffd,0x0006fffb,0x2bfff500,0x4003fffc,0x3ee6fff8,0x000006ff,
    0x0bfff600,0xbfffd000,0xffff9800,0x05ffff11,0x4ffff880,0x00bfffa0,
    0xffff3000,0x017fffc0,0x503fffd0,0x40003fff,0x2e005ffd,0x00006fff,
    0x32bfff50,0x44003fff,0x3ff66fff,0x0000002f,0x00ffff10,0x0ffffb80,
    0x6fffc800,0x000bfff9,0x203fffee,0x0005fffb,0x06fff980,0x4017fff2,
    0xf506fff9,0x0aaa03ff,0x2004ffe8,0x0006fffb,0x2bfff500,0x4003fffc,
    0x3fa6fff8,0x000001ff,0x07fffb00,0x7fffcc00,0xfff10002,0x01ffffbf,
    0x2ffff400,0x007fffe2,0x3ffee000,0x3fffe605,0x3fffb800,0x105fff30,
    0x3fa05fff,0x3fee004f,0x5000006f,0x3ff2bfff,0x7fc4003f,0x01fffe6f,
    0x3a600000,0x40002fff,0x0005fffe,0x7fffffd4,0x7d40003f,0x3ff21fff,
    0xd000004f,0xff805fff,0xffe802ff,0x5fff101f,0x209fff50,0x2e003fff,
    0x00006fff,0x32bfff50,0x44003fff,0xfff16fff,0x5555440f,0x901aaaaa,
    0xffffdddd,0xfb80003d,0x80000fff,0x06fffffd,0xbfffb000,0x003fffe2,
    0x3ffea000,0x5fffc806,0x037ffc40,0xfb07fff1,0x3ffe0fff,0x3ffee003,
    0xf5000006,0x3fff2bff,0x7ffc4003,0x40bfff56,0xfffffff9,0xfffb05ff,
    0x005fffff,0x2ffff980,0xfff10000,0x200003ff,0xfc9ffff9,0x800003ff,
    0x802ffff8,0x5c07fff9,0x7fc03fff,0xfffff83f,0x002fff82,0x001bffee,
    0xafffd400,0x4003fffc,0xff76fff8,0x7ffcc0bf,0x05ffffff,0xfffffffb,
    0x20007fff,0x0005fffe,0x3ffffe20,0x3f200003,0x06fffdff,0xfffd0000,
    0x7fffc00b,0x07fff602,0xfa89fff0,0x7c45ffff,0x3ee002ff,0x000006ff,
    0x3f2bfff5,0x7c4003ff,0xbfff56ff,0x7ffffcc0,0x5305ffff,0xfffd9975,
    0x5c001dff,0x0000ffff,0x3fffff60,0xf100000f,0x05ffffff,0xfffb0000,
    0xfffc800d,0x0dfff104,0xfd89ffd0,0x220fffef,0x2e001fff,0x00006fff,
    0x32bfff50,0x44003fff,0xfff36fff,0xfff3000d,0xff71000b,0x3e200bff,
    0x00002fff,0x3fffffee,0x2e00005f,0x006fffff,0xffffd800,0x7ffcc000,
    0x07fff507,0xff8bffd0,0x262fff9f,0x2e001fff,0x00006fff,0x32bfff50,
    0x44003fff,0xfff16fff,0xfff3000f,0x7fcc000b,0xffd802ff,0x2200005f,
    0xfffcffff,0x3a00002f,0x0001ffff,0x0ffffe40,0x1ffff800,0x800fffd8,
    0x3fea5ffd,0x7ccbffd6,0x3ee000ff,0x000006ff,0x3f2bfff5,0x7c4003ff,
    0x3fffe6ff,0x7ffcc000,0x7fdc0005,0x7ffdc05f,0x3600000f,0xfff95fff,
    0x2e00001f,0x00005fff,0x00ffffe4,0x89fff900,0xb006fff8,0x9ffe4bff,
    0xff30fffb,0x7fdc001f,0x5000006f,0x3feebfff,0x7fcc003f,0x0bfffa5f,
    0x0bfff300,0x7fff9800,0x0bfffe20,0xfffa8000,0x9ffff10f,0x3fea0000,
    0x3200004f,0x0001ffff,0x2a37ffd4,0xf9003fff,0x987ffcdf,0xfff53fff,
    0x6fffb800,0xff500000,0x13ffea9f,0x49fff500,0x4006fffd,0x0005fff9,
    0x3607fff8,0x00005fff,0x50ffffe2,0x0003ffff,0x009fff50,0x3ffff200,
    0xfff00001,0x07ffec3f,0xf57ffc80,0x55ffe8df,0xfb800fff,0x000006ff,
    0x3e67fff9,0x7dc005ff,0x3ffea3ff,0x3fe6001f,0x7cc0005f,0xfff705ff,
    0x6c00001f,0xffd06fff,0xf50000df,0x900009ff,0x0003ffff,0x8a7ffe40,
    0x2e006fff,0x87ff97ff,0xffb8fffb,0x7ffdc006,0xfb000006,0x3ffe23ff,
    0x7ffec006,0x02ffff41,0x00bfff30,0x84fffb80,0x002ffff8,0x3fffea00,
    0x7ffff302,0xfffa8000,0x7fe40004,0x400001ff,0xff56fffa,0x7fd4007f,
    0x441fff8f,0x6ffbbfff,0x37ffdc00,0x3e600100,0x3ffe0fff,0xfff3003f,
    0xbffff30d,0x17ffe600,0xffff8800,0x05fffd82,0x3ffe2000,0x7ffe405f,
    0x3ea0001f,0x320004ff,0x0001ffff,0xb1ffff00,0x54001fff,0x06ffafff,
    0xbff7dffd,0x6fffb800,0x88033a00,0x7dc4fffe,0x74c01fff,0xffb02fff,
    0xf9801dff,0xd30005ff,0xff509fff,0x400001ff,0x400ffffc,0x006ffff8,
    0x013ffea0,0x0ffffe40,0xff900000,0x00dfff7f,0xffdfff98,0xfbfff703,
    0xffb800bf,0x3ffa006f,0xffba9abd,0xffe80fff,0x73109cff,0x440bffff,
    0xcdffffff,0xffda999a,0x3033515f,0xdffffd73,0xdfffff10,0xdddddddd,
    0x989ddddd,0x5003ffff,0x0007ffff,0x0013ffea,0x3bbffff2,0xeeeeeeee,
    0x5003eeee,0x7fffffff,0xffff9800,0xfff101ff,0x99909fff,0xfffd9999,
    0x3999999f,0xffffffe8,0x02ffffff,0xfffffff5,0xdfffffff,0xfffd8801,
    0xffffffff,0xff55ffff,0xffffffff,0x701dffff,0xffffffff,0xffffffff,
    0xffe8bfff,0x7ff4006f,0xfa8000ff,0xfd8004ff,0xffffffff,0xffffffff,
    0x3ffe004f,0x4000ffff,0x06fffff8,0x27ffffec,0x7ffffffc,0xffffffff,
    0x7ff42fff,0xffffffff,0x7ff4401e,0xffffffff,0x7fd4004f,0xffffffff,
    0xff54ffff,0xffffffff,0x7dc05dff,0xffffffff,0xffffffff,0x3fff25ff,
    0x7fcc002f,0xfa8005ff,0xfd8004ff,0xffffffff,0xffffffff,0x3ff2004f,
    0x88006fff,0x404fffff,0x83fffffa,0xffffffff,0xffffffff,0xffda82ff,
    0x003dffff,0x7fffff5c,0x10001def,0xfffffdb7,0x7d417bff,0xffffffff,
    0xffb802de,0xffffffff,0xffffffff,0xbffff35f,0x3fff2000,0x7fd4002f,
    0xffd8004f,0xffffffff,0xffffffff,0x3ffea004,0xff0003ff,0xf8803fff,
    0xff83ffff,0xffffffff,0xffffffff,0x004cc402,0x09a98800,0x55300000,
    0xa9988013,0x000009aa,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x05555510,0x261aaa80,0x2000aaaa,
    0x5442aaaa,0xaaaaaaaa,0xaaaaaaaa,0x355531aa,0x15555400,0x2aaaaaaa,
    0xaaaaaaaa,0x20aaaaaa,0xaaaaaaaa,0xaaaaaaaa,0x0355530a,0x12aaa880,
    0x55555555,0xaa880013,0xaaaaaaaa,0x30aaaaaa,0x55555555,0x55555555,
    0x2aaaaa61,0x000009aa,0x7fffd400,0xfff1001f,0x27fffdc9,0x6ffffa80,
    0x7fffffd4,0xffffffff,0xf73fffff,0x3ea007ff,0x7ffc1fff,0xffffffff,
    0xffffffff,0xffff12ff,0xffffffff,0x2e5fffff,0x44003fff,0xfff16fff,
    0xffffffff,0xffa8019d,0xffffffff,0x70ffffff,0xffffffff,0xffffffff,
    0x3fffff23,0xcdefffff,0x3bfae000,0x7fffd402,0xfff1005f,0x3ffffdc9,
    0x6ffffd80,0x7fffffd4,0xffffffff,0xf73fffff,0xff3007ff,0xffff07ff,
    0xffffffff,0xffffffff,0x3fffe25f,0xffffffff,0xf72fffff,0xf88007ff,
    0xffff16ff,0xffffffff,0x7fd407ff,0xffffffff,0x70ffffff,0xffffffff,
    0xffffffff,0x3fffff23,0xffffffff,0xfffb803f,0x3fea02ff,0x8800ffff,
    0x3ff24fff,0x7c401fff,0x7d46ffff,0xffffffff,0xffffffff,0x7fff73ff,
    0x4fffe880,0xfffffff0,0xffffffff,0x25ffffff,0xfffffff8,0xffffffff,
    0x7fff72ff,0x6fff8800,0xfffffff1,0xffffffff,0x3fffea09,0xffffffff,
    0xff70ffff,0xffffffff,0x23ffffff,0xfffffffc,0xffffffff,0x3fffe01e,
    0x3fea07ff,0x8804ffff,0x3ff24fff,0x7dc04fff,0x4c47ffff,0x99999999,
    0xfd999999,0x7fff72ff,0x05fffd80,0x13ffea00,0x7ffd4000,0x3fffb804,
    0xb7ffc400,0x9886fff8,0x81fffffc,0x0005fffa,0x000fffee,0x443fffc8,
    0xffffeba9,0xffff982f,0xff500fff,0x801fffff,0x3f64fff8,0x7407ffdf,
    0x007ffdff,0x9bffe200,0x3203fffb,0x0000efff,0x0013ffea,0x027ffd40,
    0x001fffdc,0x7c5bffe2,0x7fc406ff,0xfffa86ff,0x3fee0005,0x3f20003f,
    0xffb803ff,0x7fc40fff,0x2a07ffff,0x4fffdfff,0xb27ffc40,0x05fff7ff,
    0x3fefbfe6,0x3f200007,0x3ffee2ff,0x1ffff503,0xfffa8000,0xff500004,
    0xfff7009f,0xfff88007,0x00dfff16,0xf50ffff3,0x5c000bff,0x20003fff,
    0x1003fffc,0xfb09fffd,0x5409ffff,0xfffeafff,0x93ffe200,0x5ffcbffd,
    0xff77ff90,0xf100001f,0xfffb8dff,0x2ffff883,0xfffa8000,0xff500004,
    0xfff7009f,0xfff88007,0x00dfff16,0xf507fffe,0x5c000bff,0x20003fff,
    0x2003fffc,0x440ffffa,0x200dfffd,0xffbafffa,0x3ffe203f,0x3eafffa4,
    0x7ffc40ff,0x000fffa8,0x43fffc80,0xfe83fffb,0x500003ff,0x00009fff,
    0x2013ffea,0x4003fffb,0xff16fff8,0x3ffa00df,0x2fffd42f,0x7fff7000,
    0x7ffe4000,0x7fff4003,0x50035305,0xfff15fff,0x27ffc40f,0xfff15ffd,
    0xf56ffa85,0x880001ff,0xffb87fff,0x27ffec3f,0xfff50000,0x3ea00009,
    0xffb804ff,0x7fc4003f,0x0dfff16f,0x507fffe0,0x4000bfff,0x0003fffb,
    0x000ffff2,0x000dfff5,0x325fff50,0xff103fff,0xc97ffc9f,0x97ff45ff,
    0x0001fffa,0x5c1fffe4,0x3fee3fff,0x5400005f,0x00004fff,0x7009fff5,
    0x88007fff,0xfff16fff,0xffff100d,0x00bfff50,0x01fffdc0,0x07fff900,
    0x07fff880,0x2fffa800,0x220dfff3,0x3ffe4fff,0x221fff32,0xfff50fff,
    0x7fc40003,0xfffb80ff,0x01dfff33,0xfffa8000,0xff500004,0xfff7009f,
    0xfff88007,0x00dfff16,0xf50bfffb,0x5c000bff,0x20003fff,0x8003fffc,
    0x0000ffff,0xfb17ffd4,0xfff105ff,0xff17ffc9,0x997fee7f,0x20001fff,
    0xf703fffc,0xffff17ff,0xf5000003,0x200009ff,0xb804fffa,0x44003fff,
    0xfff16fff,0x7ffe440d,0x5fffa80f,0x3ffee000,0x3ff20003,0xffe8003f,
    0x7d40001f,0x3ffe62ff,0x14fff886,0x7fe45fff,0x7cc5ffd6,0xf10002ff,
    0x3ee01fff,0x2fffebff,0xff500000,0x2a00009f,0xfb804fff,0xffffffff,
    0xffffffff,0xdfff16ff,0xff975333,0x3ea05fff,0xaaaaaeff,0x21aaaaaa,
    0xeeeefffb,0xeeeeeeee,0x00ffff24,0x00ffff60,0x85fff500,0x7c41fffe,
    0x5fff14ff,0x7fd7ffcc,0x017ffcc7,0x04fffc80,0x3fffffee,0x2000004f,
    0x0004fffa,0x009fff50,0xfffffff7,0xffffffff,0x3e2dffff,0xffffffff,
    0x202fffff,0xfffffffa,0xffffffff,0x3ffffee3,0xffffffff,0x3fff25ff,
    0xfffc8003,0x7fd40004,0x2fffd42f,0x7c53ffe2,0x7fff41ff,0x7ffcc4ff,
    0xfff88002,0x3ffee00f,0x000fffff,0x9fff5000,0x3fea0000,0xfffb804f,
    0xffffffff,0xffffffff,0xffffff16,0x17dfffff,0xfffffa80,0xffffffff,
    0x3ffee3ff,0xffffffff,0x3f25ffff,0xfc8003ff,0x540004ff,0xffe82fff,
    0x53ffe21f,0x7dc1fff9,0x7c41ffff,0xfb8003ff,0x7fdc04ff,0x06fffdbf,
    0xfff50000,0x3ea00009,0xffb804ff,0xccccccef,0xffdccccc,0xfffff16f,
    0x1bffffff,0xfffff500,0xffffffff,0x7ffdc7ff,0xaaaaaaad,0x3f21aaaa,
    0xfd8003ff,0x540003ff,0xffa82fff,0x53ffe25f,0x7c41fff9,0xff886fff,
    0x7fc4003f,0x7fdc00ff,0x4ffff8bf,0xffa80000,0xf500004f,0xff7009ff,
    0xff88007f,0x8dfff16f,0x00efffd9,0x002fffd4,0x007fff70,0x01fffe40,
    0x01ffff40,0x0bffea00,0xf88ffffc,0x3fff54ff,0x107fffb0,0xb8009fff,
    0xfb804fff,0xffff33ff,0xfa800007,0x500004ff,0xf7009fff,0xf88007ff,
    0xdfff16ff,0x017fff20,0x000bfff5,0x001fffdc,0x007fff90,0x005ffff0,
    0x02fffa80,0x3e29fff7,0x3fff54ff,0x101fff50,0x44009fff,0xb801ffff,
    0x3fee3fff,0x200001ff,0x0004fffa,0x009fff50,0x8007fff7,0xff16fff8,
    0x7fff40df,0x17ffea02,0x3fffb800,0x3fff2000,0x7ffc4003,0x7d40000f,
    0xfff102ff,0x29fff11f,0x5500fffb,0x027ffc05,0x00bfff70,0xfb0fffee,
    0x00001fff,0x0013ffea,0x027ffd40,0x001fffdc,0x7c5bffe2,0x3fea06ff,
    0xfff500ff,0x7fdc000b,0x3f20003f,0x7d4003ff,0xa80006ff,0x3f202fff,
    0x4fff8bff,0x0001fff7,0xf002fffc,0x2e003fff,0x7f443fff,0x500005ff,
    0x00009fff,0x2013ffea,0x4003fffb,0xff16fff8,0xfffe80df,0x0bfff503,
    0x1fffdc00,0x7fff9000,0x4fffe800,0xfffa8000,0x3bffe202,0xff74fff8,
    0x7fc0001f,0xfff7005f,0x7ffdc00b,0x4ffff983,0xfffa8000,0xff500004,
    0xfff7009f,0xfff88007,0x80dfff16,0xf507fffa,0x5c000bff,0x20003fff,
    0x2003fffc,0x001ffffa,0x02fffa80,0x7fdfffe4,0x01fff94f,0x02fffc00,
    0x001ffff8,0x5c0fffee,0x0002ffff,0x0027ffd4,0x04fffa80,0x003fffb8,
    0xf8b7ffc4,0xffe806ff,0x5fffa83f,0x3ffee000,0x3ff20003,0xffd1003f,
    0x2a0000bf,0x7c402fff,0x94fffeff,0x40001fff,0xfb806fff,0x7dc006ff,
    0x3ff603ff,0x2a0000ff,0x00004fff,0x7009fff5,0x88007fff,0xfff16fff,
    0xdfff700d,0x00bfff50,0x01fffdc0,0x07fff900,0x1ffffd30,0x3fea0000,
    0xfffd802f,0xfff94fff,0x6ffe8000,0x02ffff80,0x01fffdc0,0x01dfffd1,
    0x13ffea00,0x7ffd4000,0x3fffb804,0xb7ffc400,0x8806fff8,0x7d42ffff,
    0x2e0005ff,0x20003fff,0x2203fffc,0x03fffffc,0x3ffea000,0xffff9802,
    0x0fffb4ff,0x06ffe800,0x0037ffdc,0x201fffdc,0x005ffff9,0x009fff50,
    0xcaaaaaa8,0xaaaaefff,0x7fff70aa,0x6fff8800,0x200dfff1,0x7d46fffb,
    0x2e0005ff,0xaaaadfff,0xaaaaaaaa,0x559fff90,0xfffffd97,0x800005ff,
    0xb002fffa,0x369fffff,0x740007ff,0x7ffc07ff,0xffb8002f,0xfffa803f,
    0xffa8003f,0x3fe2004f,0xffffffff,0x2fffffff,0x8007fff7,0xff16fff8,
    0x3fe200df,0x3ffea2ff,0x3fee0005,0xffffffff,0x91ffffff,0xffffffff,
    0x3fffffff,0xff500000,0x3fea005f,0xfffd4fff,0x7ffe8000,0x01bffee0,
    0x01fffdc0,0x01ffffc8,0x027ffd40,0xffffff10,0xffffffff,0x3fee5fff,
    0x7fc4003f,0x0dfff16f,0x537ffe40,0x4000bfff,0xfffffffb,0xffffffff,
    0xfffff91f,0xdfffffff,0x54000005,0x3a002fff,0xffd4ffff,0xffd8000f,
    0x0bfffa07,0x1fffdc00,0x1ffffd00,0x27ffd400,0xfffff100,0xffffffff,
    0x3ee5ffff,0x7c4003ff,0xdfff16ff,0x7fffc400,0x00bfff52,0x7ffffdc0,
    0xffffffff,0xfff91fff,0x79bdffff,0x00000003,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xaa805554,0x5555100a,0x01335555,0xaaaa8000,0x8000001a,0x402aaaa9,
    0xaaaaaaa8,0x2aa0019a,0x000000aa,0x0359b953,0x00001cc0,0x40073000,
    0x2bceecb9,0xeecb9800,0x0003cdef,0x07ffc400,0xb807ffc4,0xffffffff,
    0x002effff,0x7ffffcc0,0x44000005,0x00ffffff,0x3fffffee,0x1cffffff,
    0x007fff60,0xffff7000,0x803dffff,0x00005ff9,0x03ffb800,0x7fffff4c,
    0x4401efff,0xfffffffd,0x003fffff,0x0fff3000,0x5c03ffe6,0xffffffff,
    0x2effffff,0xffff9000,0x000001ff,0x7fffffec,0x3fffee00,0xffffffff,
    0xffd81dff,0xd300001f,0xffffffff,0x3e207fff,0x0000efff,0xffff9000,
    0x3fffea05,0xffffffff,0x3fffe203,0xffffffff,0x800005ff,0xff506ffa,
    0x7fffdc0f,0xffffffff,0x8001ffff,0x2fffffff,0xff500000,0x401fffff,
    0xfffffffb,0xffffffff,0x0fffec1f,0x7ffcc000,0xfedbcdff,0xff505fff,
    0x00003dff,0x7fffec40,0x9ffff904,0xfffd7535,0x3ffe207f,0xfcbabcde,
    0x0003ffff,0xb837fdc0,0x3fee06ff,0xfea9883f,0x2000efff,0xfffefff9,
    0xf8800005,0x0fffffff,0x20fffee0,0xffffea98,0x07fff60f,0x3fffa000,
    0xffff700d,0x3fffa603,0x8800002f,0x302ffffe,0x6405ffff,0xe880ffff,
    0x7fec400b,0x6400007f,0xbff705ff,0x01fffdc0,0x017fffdc,0xff3fff90,
    0x900000ff,0xfffd5fff,0x1fffdc01,0x37fffd40,0x0003fffb,0x805fffc8,
    0x2205fffa,0x003ffffd,0x3fffe600,0x3fff601f,0x4fffc801,0xffe88000,
    0x3600001f,0x9ff904ff,0x01fffdc0,0x003fffd8,0x7fedbffe,0x2600002f,
    0xfffd5fff,0x1fffdc01,0x0ffffa80,0x0003fffb,0x007fffc4,0x401fffe8,
    0x004ffffc,0xeffffa80,0x17ffe600,0x03fffc40,0x2fffc800,0x3ff60000,
    0x409ffb03,0x7003fffb,0x2600bfff,0xfff74fff,0x7f40000b,0x1fffd0ff,
    0x01fffdc0,0x365fffb0,0x20001fff,0x2005fff9,0xb805fffb,0x000effff,
    0x0bffff90,0x003fffb0,0x0007ffec,0x01fffd40,0xfffffe80,0xffffffff,
    0xffffffff,0x007fff72,0x4013ffee,0xff11fffc,0x2e0000ff,0x3ffa3fff,
    0x3ffee00f,0x3fff2003,0x003fffb4,0x027ffdc0,0x00dfff10,0x07bfffea,
    0xffffd880,0x0fffd003,0x02fffc80,0x4fffa800,0xffffd000,0xffffffff,
    0xffffffff,0x0fffee5f,0x00fffe40,0x7f47fff8,0x4c0002ff,0x7ff45fff,
    0x3ffee00f,0x3ffea003,0x003fffb5,0x017ffe40,0x801fffa0,0x02ffffe9,
    0x2ffffe88,0x01bffe00,0x007fff70,0x5cccccc4,0xd0004fff,0xffffffff,
    0xffffffff,0x2e5fffff,0xfd003fff,0x3fe600ff,0x27ffdc4f,0x3fffa000,
    0x007fff40,0x4007fff7,0xffb4fffb,0x7e40003f,0x7f4003ff,0x362000ff,
    0x2603ffff,0x001effff,0x3fffffe2,0xffffffff,0x204fffff,0xfffffed9,
    0x04ffffff,0x1fff3000,0x401fff10,0xc803fffb,0xf9005fff,0xfff983ff,
    0x3fee0007,0x0fffe83f,0x00fffee0,0xfb3fffc8,0x5c0003ff,0x6c004fff,
    0xc8001fff,0xfa84ffff,0x4000dfff,0xfffffffa,0xffffffff,0xd984ffff,
    0xffffffff,0x04ffffff,0x0fff3000,0xf701ffe6,0x7ed407ff,0xff000eff,
    0x3fffa0ff,0xfff88002,0x01fffd06,0x001fffdc,0x3f63fffd,0x2a0001ff,
    0x64006fff,0x70002fff,0x7dcbffff,0x30005fff,0xffffffff,0xffffffff,
    0xff989fff,0xeeeeffff,0x04fffeee,0x0dff5000,0xf701ffea,0xfdddddff,
    0x019fffff,0x417ffe60,0x8004fffc,0xfd01fffd,0x7fdc01ff,0xfff7003f,
    0x00fffecd,0x5ffff100,0x1fffec00,0x7fff4400,0x3fffa22f,0xff88002f,
    0x2200005f,0x402efffe,0x0004fffa,0x2e0dff70,0x7fdc06ff,0xffffffff,
    0x2000bfff,0xf302fffc,0xfa800fff,0x3ffa03ff,0x3ffee00f,0xffffa803,
    0x007fff61,0x7ffff900,0x7fff5c40,0x7f4c002f,0xfd881eff,0xf8003fff,
    0x200007ff,0x800efffb,0x0004fffa,0x2e0bff90,0x7fdc05ff,0xffffffff,
    0x004fffff,0x7c01ffff,0xf1001fff,0xffe80dff,0x3ffee00f,0xffea9883,
    0x7ffec4ff,0x7fc40001,0xcbbdefff,0xfffffffd,0x3ffea002,0x7fe400ef,
    0x7f4005ff,0xb00000ff,0x2a005fff,0x00004fff,0x3f209ffb,0x7ffdc04f,
    0xedccccce,0x00efffff,0x9017ffe6,0x32009fff,0x7f401fff,0x3fee00ff,
    0xffffffff,0xd85fffff,0x80001fff,0xffffffe9,0xffffffff,0xff7001ff,
    0x7dc00bff,0xb000efff,0x00007fff,0x4003fffa,0x0004fffa,0x3607ffd0,
    0x7fdc04ff,0x7fecc03f,0x3ff204ff,0x7ffd403f,0x4fff9807,0x00fffe80,
    0x3fffffee,0xefffffff,0x03fffb02,0x7ffe4000,0x9dffffff,0xd801fffc,
    0x8003ffff,0x01effff9,0x00ffff98,0x1ffff800,0x4ffffb80,0x99999800,
    0x9999bfff,0x999cffe9,0x01fffdc1,0x01ffffc8,0xf001ffff,0xfe803fff,
    0xfffd006f,0x7fffdc01,0xdfffffff,0x0fffec03,0x2e620000,0x3a0aaccc,
    0x7f4407ff,0x20002fff,0x02ffffe8,0x01efffd8,0x27ffec00,0xfffffb10,
    0xffff0009,0xffffffff,0xffffffff,0x7ffdc1ff,0x3fffa003,0x06fff983,
    0x409fffb0,0xd001fffc,0x7dc01fff,0x9aaaadff,0x3fff6000,0x00000001,
    0x4c0dfff1,0x001fffff,0xffffd880,0x7fffcc03,0x953009cf,0x3ffffc85,
    0x7ffffdcc,0xff8004ff,0xffffffff,0xffffffff,0x3ee0ffff,0x3f2003ff,
    0xfffc85ff,0xffffffff,0x07ffffff,0x3ffffffe,0xffffffff,0xffffffff,
    0x007fff70,0x03fffb00,0x26000000,0xff504fff,0x00001dff,0x05ffffc8,
    0x7fffffdc,0xffffeeff,0x7fff442f,0xffffffff,0x004fff9f,0xffeeeee8,
    0xfeeeeeef,0x0eeeeeff,0x800fffee,0xff85fffb,0xffffffff,0xffffffff,
    0xfffff01f,0xffffffff,0xffffffff,0x3ffee1ff,0xffd80003,0x0000001f,
    0x903fff90,0x000bffff,0x7fffdc00,0x3ffa600e,0xffffffff,0xff982fff,
    0xffffffff,0x009fff0d,0x20fff500,0xfb807ff9,0x3f2003ff,0x7ffcc3ff,
    0xffffffff,0xffffffff,0xffffff04,0xffffffff,0xffffffff,0x0fffee1f,
    0x3fff6000,0x80000001,0x6c45fffa,0x0003ffff,0xffff9800,0x7f6dc01e,
    0xdfffffff,0xfff9100c,0xff85bfff,0xfa80004f,0x0fff506f,0x007fff70,
    0x3217fff4,0xccccdfff,0xdccccccc,0x99906fff,0x99999999,0x9ffff999,
    0x7fdc9999,0xfd80003f,0x000001ff,0x17fffc40,0x0017ffec,0xffd10000,
    0xaa98001d,0x98800199,0x0000000a,0x7dc1bfee,0xfffb806f,0xffff7003,
    0x00ffff81,0x01ffff80,0x3fffa000,0x0fffee00,0x3fff6000,0x20000001,
    0x204fffea,0x000001fd,0x000ed880,0x00000000,0xffc80000,0x00bff905,
    0x8807fff7,0x4c3ffffb,0xb0006fff,0x00009fff,0x7007fff4,0x00007fff,
    0x0003fffb,0xfffd5000,0x000100df,0x00080000,0x00000000,0xffb00000,
    0x013ff209,0x2ab7ffee,0xfffccaaa,0xfffc85ff,0xfff50003,0x7f40000d,
    0x3fee00ff,0xfd80003f,0xaaaaacff,0x82aaaaaa,0xfedcbaaa,0x00dfffff,
    0x00000000,0x00000000,0x00000000,0x7ec0fffa,0xfffb804f,0xffffffff,
    0xff05ffff,0x220001ff,0x0001ffff,0x401fffd0,0x0003fffb,0xffffffd8,
    0xffffffff,0x7fffc0ff,0xffffffff,0x00000004,0x00000000,0x00000000,
    0x02ffe800,0xf7007ffd,0xffffffff,0x203bffff,0x0006fff9,0x0027ffec,
    0x00fffe80,0x000fffee,0x3fffff60,0xffffffff,0x7ffc0fff,0xcfffffff,
    0x00000000,0x00000000,0x00000000,0x05fff000,0x2e00bffe,0xffffffff,
    0x6400bcde,0x40003fff,0x0006fffb,0x401fffd0,0x0003fffb,0xffffffd8,
    0xffffffff,0x77ffc0ff,0x0001abcd,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x79ddd953,0x36e62003,0x000abcee,0xeffecba8,
    0x664c2bce,0x9991001c,0x4c133265,0x300bdeeb,0xfd930999,0x1332079d,
    0xc881bdd7,0x00000cee,0x26664c00,0x2cccb800,0x00059991,0x321ccc98,
    0xcccccccc,0x4ccccccc,0x3ee00000,0xffffffff,0x3fee00ff,0xefffffff,
    0xfffd5002,0xffffffff,0x003fffa8,0x3eebfff1,0x3ffea0ff,0xa82fffff,
    0xffb10fff,0x83dfffff,0x3fffa7ff,0xfffd10ff,0xf98001df,0x3e2004ff,
    0xf8002fff,0x3ffe1fff,0x7fdc0005,0x3ffffe2f,0xffffffff,0x0000ffff,
    0x7ffff440,0xffffffff,0xffffd880,0xffffffff,0x7fffec04,0xffffffff,
    0x01fffd47,0xf75fff88,0x3ffea1ff,0x2fffffff,0x7cc7ffd4,0xffffffff,
    0x23ffe0ff,0x3ffffffc,0x7ffffffb,0x4fff9800,0x2fffec00,0x1bffea00,
    0x8000dffd,0x3fe0fffc,0xffffffff,0x0fffffff,0x3fea0000,0xcbcdffff,
    0x7c40fffd,0xbaceffff,0x05fffffd,0x57bffff9,0x8fdb9555,0x1003fffa,
    0x3feebfff,0xcefffb8f,0x46ffffca,0xfffafffa,0xfffdbbcf,0x3e7ffe4f,
    0xadffeadf,0x6fffacff,0x27ffcc00,0x3fffea00,0x3fff6000,0x003ffec3,
    0xdd1fff60,0xdddddddd,0x0fffffdd,0x7ffc4000,0x06d403ff,0x407ffff6,
    0x41ffffd8,0x001ffff8,0x03fffa81,0x2ebfff10,0x3fffdfff,0x22ffff88,
    0xeffffffa,0x0ffffb80,0x54bfdfff,0x2e4feeff,0x7cc007ff,0xfe8004ff,
    0xff1002ff,0xfffc81ff,0x3ffa0000,0x3fe60006,0x200002ff,0x001efffc,
    0x01dfff30,0xa8dfff90,0x20003fff,0x1003fffa,0x3feebfff,0x2e01ffff,
    0x3fea5fff,0x7f405fff,0xfffff2ff,0x7ffffcc1,0x003ffea0,0x004fff98,
    0x005fffb8,0xf709fff7,0x7c0003ff,0xd10005ff,0x00009fff,0x017fffcc,
    0x05fffd00,0x8bfffe20,0x0003fffc,0x400fffea,0xff75fff8,0xf8803fff,
    0x3ffea6ff,0xfffb805f,0x889ffff3,0x7d43ffff,0x3e6001ff,0xf88004ff,
    0xfe800fff,0xfff981ff,0x201fff02,0xb0004fff,0x0000bfff,0x005fffd8,
    0x01bffe60,0x549fff70,0x20005fff,0x1003fffa,0x3feebfff,0xfff002ff,
    0x077ffd4d,0xfa7ffcc0,0x7fc40fff,0x1fffa86f,0x13ffe600,0x1fffec00,
    0x41bffe60,0xf983fff8,0xfff883ff,0xfffb8003,0x7400000f,0x20001fff,
    0x4003fffa,0x3e25fff9,0x8001dfff,0x1003fffa,0x3feebfff,0x3ffe004f,
    0x00fffea7,0xffafffcc,0x3fff885f,0x001fffa8,0x0013ffe6,0x2037ffd4,
    0x3e03fffc,0xfffc84ff,0x02fff986,0x0ffffcc0,0x7ffc0000,0x7fe40007,
    0xfff8002f,0x7ffffe46,0xff5000ad,0x3fe2007f,0x07fff75f,0x7fff5000,
    0x57ffe200,0xff884fff,0x1fffa82f,0x13ffe600,0x1ffff800,0x803fffe0,
    0xffe85ffe,0x7ffd41ff,0x3ffe2001,0x9800003f,0x40006fff,0x8001fffd,
    0xffd87fff,0x02dfffff,0x801fffd4,0xff75fff8,0xf500007f,0x3e2007ff,
    0x09fff5ff,0xf505fff1,0x3ffe23ff,0xffffffff,0xffffffff,0xfff902ff,
    0x17ffea09,0xf98dffb0,0x7dc3ffff,0x7fec007f,0x5000005f,0x8000bfff,
    0x8000fffe,0xfb80fffe,0xffffffff,0x3fffa80c,0x2bfff100,0x0003fffb,
    0x003fffa8,0x3febfff1,0x2fff884f,0xf11fffa8,0xffffffff,0xffffffff,
    0x2605ffff,0xffb07fff,0x7ffc805f,0x37ff7fe4,0xc801bff2,0x0000efff,
    0x0bfff500,0x0fffe800,0x0fffe800,0xffffd710,0xfa85ffff,0xff1003ff,
    0x0fffeebf,0x3ffea000,0xbfff1003,0x3e213ffe,0xfffa82ff,0xffffff11,
    0xffffffff,0x5fffffff,0x217fff40,0xb807fff8,0x3ffa0fff,0x3f61fff9,
    0xfff5005f,0x4000003f,0x0006fff9,0x000fffec,0x8803fffc,0xffffffeb,
    0x00fffea1,0xfbafffc4,0xa80003ff,0xf1003fff,0x13ffebff,0x2a0bffe2,
    0x2aaa1fff,0xffcaaaaa,0xaaaaaadf,0x3fea00aa,0x27ffd45f,0x98fffd40,
    0x49ffd6ff,0xf8804ffe,0x00002fff,0x03fffc40,0x0bfff200,0x0bfff100,
    0xffffb300,0x01fffd4d,0xf75fff88,0x500007ff,0x22007fff,0x9fff5fff,
    0x505fff10,0x4c003fff,0x80004fff,0x3f60ffff,0xff8800ff,0x2e7ff72f,
    0x0fffe7ff,0x013fffa0,0x7ffc0000,0x3ee0001f,0x7d4004ff,0x2a0004ff,
    0xff51ffff,0x3fea009f,0x07fff75f,0x7fff5000,0x57ffe200,0xff884fff,
    0x1fffa82f,0x13ffe600,0x3fff2000,0x00bfff13,0xffe9fffc,0xf13fff11,
    0xffc805ff,0x0000006f,0x0017fff6,0x00ffff98,0x00bfffa0,0x25fffb00,
    0x8804fff9,0xff75ffff,0xf500007f,0x3e2007ff,0x09fff5ff,0xf505fff1,
    0x7cc003ff,0x980004ff,0xfff76fff,0x67ff4005,0x7fec6ff8,0x201fff9c,
    0x000ffffb,0x3fea0000,0x3a0002ff,0xf5004fff,0xb0000dff,0x3fe25fff,
    0x7ff4406f,0x7fff75ff,0xfff50000,0x3ffe2007,0xf109fff5,0xfff505ff,
    0x7ffcc003,0xffd00004,0x00fffd1f,0xffbdffd8,0x7d7ffdc3,0x3ffe607f,
    0x0000002f,0x03ffffd8,0xffff9830,0x7fffd403,0x7fc40001,0x3fffe0ff,
    0xffffd102,0x0fffeebf,0x3ffea000,0xbfff1003,0x3e213ffe,0xfffa82ff,
    0x3ffe6001,0xff700004,0x009fff9f,0xffeeffc8,0x7efffc41,0xfffd107f,
    0x00000007,0x3bffffe2,0xfd75309b,0xdffffd81,0xfff95109,0x337bd0bf,
    0x3fffae20,0x5ffffe45,0xfdfff710,0x3ffeebff,0xffa80003,0xfff1003f,
    0x2213ffeb,0xffa82fff,0x3fe6001f,0xf100004f,0x03ffffff,0xfffffb80,
    0xfffffb06,0x3ffff60b,0xaaaaaaaa,0x0002aaaa,0x3ffffea0,0xffffffff,
    0x7fff440f,0xffffffff,0xffe80dff,0xffffffff,0x440effff,0xffffffff,
    0xffe8efff,0x007fff75,0x07fff500,0x7d7ffe20,0xfff884ff,0x01fffa82,
    0x013ffe60,0xffffc800,0xffa8006f,0xff503fff,0xff309fff,0xffffffff,
    0xdfffffff,0xfd880000,0xffffffff,0xff900fff,0xffffffff,0x7fff407f,
    0xffffffff,0xff500dff,0xbfffffff,0x7dd7ffa1,0xa80003ff,0xf1003fff,
    0x13ffebff,0x2a0bffe2,0x26001fff,0x00004fff,0x0bffffe6,0x3fffe200,
    0xffff101f,0xffff507f,0xffffffff,0x00dfffff,0x3fb2a000,0x2cefffff,
    0x7fff6cc0,0x6400ceff,0xfffffffe,0x8801dfff,0x2efffffe,0xffbafff4,
    0xfa80003f,0xff1003ff,0x213ffebf,0xfa82fff8,0x322001ff,0x400002cc,
    0x0007fffe,0xb01bfffe,0xf505ffff,0xffffffff,0xffffffff,0x2000000d,
    0x20001998,0x20001a98,0x09aaa998,0x02aa6000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x665c0000,
    0x326000cc,0xdb001ccc,0x2a00003d,0x3ba000aa,0xeeeeeeee,0xeeeeeeee,
    0x9dddd11e,0x02eeeea8,0x0039dd97,0x77775c00,0x00000005,0x44444440,
    0x00888888,0x00000000,0x00000000,0x00bffff3,0x017fffa2,0x0000ffe8,
    0x004fffb8,0x3ffffffe,0xffffffff,0xff11ffff,0xfffa8bff,0x7fff442f,
    0x5c00dfff,0x3fee03cc,0x3ffe05ff,0xffffffff,0xffffffff,0x21ffffff,
    0xffffffff,0x002fffff,0x00000000,0x70000000,0x9005ffff,0x4001ffff,
    0x40000ffd,0x01fffff8,0xfffffff0,0xffffffff,0x3e23ffff,0x7fd44fff,
    0x3ffe22ff,0x0effffff,0x3017ffe0,0x3e0bfffd,0xffffffff,0xffffffff,
    0xffffffff,0x3fffffe1,0x2fffffff,0x00000000,0x00000000,0x03ffff60,
    0x01ffff98,0x001ff601,0x3fffff60,0x55555006,0x55555555,0x41555555,
    0x7cc4ffff,0x3fee1fff,0xffffedff,0x4fff880e,0x5fffd880,0xfffffff8,
    0xffffffff,0xffffffff,0x3fffe1ff,0xffffffff,0x0000002f,0x00000000,
    0x3ffe2000,0xfffd105f,0x320fe607,0x803e987f,0xfff9eff9,0x00000003,
    0xf30ffffe,0x7ffc3fff,0x3fffea1e,0x1fffd41e,0x8bfff700,0x99999999,
    0x99999999,0x99999999,0x66666641,0x1ccccccc,0x00000000,0x00000000,
    0x1ffffcc0,0xd02fffe4,0x37e41bff,0xd003fff2,0x3fff25ff,0x00000000,
    0xf887fffd,0xfff30fff,0xfffff107,0x0ffffb59,0x05999300,0x00000000,
    0x00000000,0x00000000,0xfff90000,0x7fffd41f,0xffffb100,0x7f4dbee7,
    0x3ea01fff,0x13ffe26f,0x74000000,0x7fc42fff,0x5fff50ff,0x3ffffa20,
    0x003fffff,0x00000000,0x00000000,0x00000000,0x20000000,0xfd15fffe,
    0xfb3003ff,0xf9df9bff,0xff007fff,0x1fffb85f,0xd8000000,0xfff82fff,
    0x01fff70f,0x7fffff44,0x000004ff,0x00000000,0x00000000,0x00000000,
    0x7fc40000,0x3fffcbff,0x7ffecc00,0x003fffff,0x3fa0bff7,0x3fffe06f,
    0xffffffff,0x1fffffff,0x3e07fff6,0x5c0007ff,0x003effff,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfffffff5,0x7f4c000b,0x22003fff,
    0xff301fff,0x3fffe07f,0xffffffff,0x1fffffff,0x3e07fff2,0x100007ff,
    0x00000003,0x00000000,0x00000000,0x00000000,0x3ff20000,0x0000ffff,
    0xbfffffb3,0x17ff6005,0xf01fffb0,0xffffffff,0xffffffff,0x7775c3ff,
    0x005eed80,0x00000000,0x00000000,0x00000000,0x00000000,0xfd000000,
    0x30005fff,0xfffdfffb,0x7cc05dff,0x7fc400ff,0xaaaaa84f,0xaaaaaaaa,
    0x00aaaaaa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7fffd400,0x3f66004f,0x8efb9eff,0xe82efffd,0xff9004ff,0x0000003f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3ffe2000,
    0x8803ffff,0x3f24ffff,0x8bfffee6,0x1000fffa,0x0000dfff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3fa00000,0x1ffffdff,
    0x641efc80,0x22fec47f,0x54003fff,0x00003fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7fe40000,0x1dfff96f,0xffb03880,
    0x000006e0,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0ffffd40,0x000bfffd,0x00003fec,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3ffe6000,0x7fffcc3f,
    0x1ffd0004,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0x705fffe8,0x0005ffff,0x00001ffd,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3fff6000,
    0x3fff600f,0x5554000f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80000000,0x402ffffb,0x006ffff8,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x017fffe6,0x02ffffd4,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x077fffc4,0x7ffff900,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_46_usascii_x[95]={ 0,9,5,0,2,0,1,10,6,5,3,1,5,5,
8,2,1,3,3,3,0,3,2,2,2,2,9,5,3,2,4,6,0,0,3,2,2,4,4,1,2,3,4,3,
5,1,2,1,3,1,3,2,1,2,0,1,0,0,2,7,3,6,2,0,0,2,3,3,2,2,0,2,3,3,
2,4,3,2,3,2,3,2,4,4,1,3,1,0,1,1,3,3,10,5,1, };
static signed short stb__consolas_46_usascii_y[95]={ 34,2,2,4,0,1,2,2,0,0,2,10,26,19,
26,2,4,4,4,4,4,4,4,4,4,4,11,11,9,16,9,2,1,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,2,1,4,39,2,11,2,11,2,11,1,11,2,1,
1,2,2,11,11,11,11,11,11,11,4,11,11,11,11,11,11,1,-3,1,17, };
static unsigned short stb__consolas_46_usascii_w[95]={ 0,7,15,25,21,25,25,6,14,14,19,23,12,15,
9,20,23,20,20,20,25,19,21,21,21,21,8,12,18,21,19,15,25,26,20,21,22,18,18,22,21,19,16,21,
18,24,21,24,20,25,21,21,23,21,26,24,25,26,21,12,20,12,21,26,16,20,20,19,20,21,24,22,19,19,
18,20,19,22,19,22,20,20,20,18,21,19,23,25,23,23,19,18,5,17,23, };
static unsigned short stb__consolas_46_usascii_h[95]={ 0,33,11,30,40,34,33,11,44,44,20,23,16,5,
9,37,31,30,30,31,30,31,31,30,31,30,24,31,26,12,26,33,43,30,30,31,30,30,30,31,30,30,31,30,
30,30,30,31,30,39,30,31,30,31,30,30,30,30,30,43,37,43,15,5,10,24,33,24,33,24,33,33,32,33,
43,32,32,23,23,24,33,33,23,24,31,24,23,23,23,33,23,43,47,43,10, };
static unsigned short stb__consolas_46_usascii_s[95]={ 243,235,89,1,145,1,48,241,22,7,25,
147,241,173,241,214,129,232,159,63,75,109,153,48,175,141,245,243,183,67,163,
119,119,48,27,197,218,199,180,40,136,116,1,70,122,23,1,84,101,167,158,
219,92,18,180,207,106,132,84,87,193,56,45,146,129,224,27,1,156,202,197,
222,42,177,100,1,22,124,104,21,135,74,83,44,62,63,171,195,1,95,221,
37,1,69,105, };
static unsigned short stb__consolas_46_usascii_t[95]={ 33,1,236,180,1,49,49,101,1,1,236,
211,84,236,149,1,84,117,117,117,180,84,84,149,84,180,49,1,180,236,180,
49,1,180,180,84,149,149,149,117,149,149,117,149,180,149,149,84,180,1,149,
84,149,117,117,117,117,117,117,1,1,1,236,236,236,180,49,211,49,180,49,
49,84,49,1,84,84,211,211,211,49,49,211,211,84,211,211,211,236,49,211,
1,1,1,236, };
static unsigned short stb__consolas_46_usascii_a[95]={ 405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_46_usascii_BITMAP_HEIGHT or STB_FONT_consolas_46_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_46_usascii(stb_fontchar font[STB_FONT_consolas_46_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_46_usascii_BITMAP_HEIGHT][STB_FONT_consolas_46_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_46_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_46_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_46_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_46_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_46_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_46_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_46_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_46_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_46_usascii_s[i] + stb__consolas_46_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_46_usascii_t[i] + stb__consolas_46_usascii_h[i]) * recip_height;
            font[i].x0 = stb__consolas_46_usascii_x[i];
            font[i].y0 = stb__consolas_46_usascii_y[i];
            font[i].x1 = stb__consolas_46_usascii_x[i] + stb__consolas_46_usascii_w[i];
            font[i].y1 = stb__consolas_46_usascii_y[i] + stb__consolas_46_usascii_h[i];
            font[i].advance_int = (stb__consolas_46_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_46_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_46_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_46_usascii_s[i] + stb__consolas_46_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_46_usascii_t[i] + stb__consolas_46_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_46_usascii_x[i] - 0.5f;
            font[i].y0f = stb__consolas_46_usascii_y[i] - 0.5f;
            font[i].x1f = stb__consolas_46_usascii_x[i] + stb__consolas_46_usascii_w[i] + 0.5f;
            font[i].y1f = stb__consolas_46_usascii_y[i] + stb__consolas_46_usascii_h[i] + 0.5f;
            font[i].advance = stb__consolas_46_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_46_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_46_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_46_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_46_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_46_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_46_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_46_usascii_LINE_SPACING
#endif

