// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_33_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_33_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_33_usascii_BITMAP_WIDTH         256
#define STB_FONT_consolas_bold_33_usascii_BITMAP_HEIGHT        148
#define STB_FONT_consolas_bold_33_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_consolas_bold_33_usascii_FIRST_CHAR            32
#define STB_FONT_consolas_bold_33_usascii_NUM_CHARS             95

#define STB_FONT_consolas_bold_33_usascii_LINE_SPACING          22

static unsigned int stb__consolas_bold_33_usascii_pixels[]={
    0x00005553,0x2a620000,0x5555531a,0x26aa6355,0x2aaaa000,0x4000aaaa,
    0x0010002a,0x000a9880,0x40155300,0x00005eed,0x006f7640,0xeee88000,
    0x01ddd91e,0x59751000,0x05d44003,0x0771bff6,0x20059800,0xfb4ffffc,
    0x2bffffff,0x00cffffb,0x7fffffc4,0xfd1002ff,0x3f6e00df,0x2e002cef,
    0x1dfffffe,0x03ff6000,0x001fffb8,0xbfff1000,0x03bffb30,0xff12f74c,
    0x3fff65ff,0x7fdc0000,0x400dffff,0x361ffff8,0x0ffee6ff,0x02ffcc00,
    0xa7fffff4,0xfffffffd,0xffffff75,0x7fffc401,0x7002ffff,0x4405ffff,
    0xfffffffd,0x7ffec404,0x02ffffff,0x880ffd00,0x00005fff,0xa83fff90,
    0x02ffffff,0x7fc43ffd,0x1fffb1ff,0x7ffe4000,0x00ffffff,0xd97ffff2,
    0xffff16ff,0xfff98007,0x3ffee01f,0x99972cdf,0x326bfff9,0x204ffffc,
    0xcccefff8,0xfff7001c,0x3ffe207f,0x4ffffeff,0xfffffd10,0x07ffffff,
    0xb00dff00,0x00001fff,0xfd0dfff0,0x70dffb9f,0xfff889ff,0x01fffb1f,
    0x3fffe600,0x04fffebb,0xd9bffff6,0x3ffe66ff,0xfff1003f,0xffff805f,
    0x0bfff000,0x201fffd1,0x0003fff8,0x403fffe2,0x7dc1fffe,0xfffb82ff,
    0xffeb9acf,0xfdca807f,0x303cefff,0x00007fff,0x4c2fffa8,0x83ffa4ff,
    0xff80fff9,0x1fffb1ff,0x3fff2000,0x81bffe20,0x365ffffb,0x7ffcc6ff,
    0xfffe801f,0x1fffc402,0x20bfff00,0xf101fffa,0x980007ff,0xdff901cc,
    0x117ff201,0xf105ffff,0x3a607fff,0xffffffff,0x1fffa07f,0xfffd0000,
    0x7e47ff50,0x40bffa1f,0xffb0ffff,0x3fa0001f,0x07ffd86f,0xfb077fec,
    0xdfff50df,0x04fffb80,0x002fff98,0x7c417ffe,0xfff102ff,0x98000007,
    0x3e201fff,0x3fff20ff,0x1bffee04,0x3fffffe6,0x207fffff,0x0002fffa,
    0x509fff30,0x8ffec7ff,0x3fe05ffb,0x1fffb0ff,0x802b32a2,0xffe87ffe,
    0xfd818806,0x7fffb06f,0x01bffe60,0x000fffd4,0x3e20bfff,0xfff103ff,
    0xaaaa9807,0x0aaaaaaa,0x6c02ffe4,0x3fffa3ff,0x3fffe201,0x67ffff40,
    0x07dbbffd,0x00037ffc,0x980fffd8,0x45ffa5ff,0x3fe00fff,0x1fffb0ff,
    0x3ffffff7,0xa87fff20,0x20004fff,0xff306ffd,0xfffb01ff,0x3ffea005,
    0x17ffe001,0xf103fff8,0xffc807ff,0xffffffff,0x03ffe21f,0x3fee6213,
    0x201fffe4,0x3e61fffe,0x1ffb0fff,0x0fffe400,0x3ffe2000,0x3fbffa05,
    0x05ffb4ff,0xfb0fffe8,0xfffff9ff,0xff503fff,0x3fffeedf,0x3ff60000,
    0x0bfff206,0x400bfff1,0x2001fffa,0x3fe05fff,0x7fff103f,0xfffffc80,
    0x21ffffff,0x3ff66ffb,0x5ffadfff,0xd00ffff1,0x7fdc5fff,0x001ffa5f,
    0x0009fff1,0x201fffb8,0x8efffff9,0xfe805ffb,0x3ffff67f,0xffffdeff,
    0xfffffb06,0x80003dff,0x3e606ffd,0x7ffdc5ff,0x3ffea002,0x17ffe000,
    0xf104fff8,0xcca807ff,0xffeccccc,0x6cfff61f,0x9cffffff,0xdfff35ff,
    0x47fffb00,0xff0ffffa,0xfffb000d,0x7ffc0001,0x2cdc8806,0xd001fff1,
    0x7ffecfff,0x3ffe61ef,0xffff981f,0x80000dff,0x7f406ffd,0x3fffa0ff,
    0x3fff2000,0x17ffe000,0xf107ffe8,0xd80007ff,0x3ffe1fff,0xffdfffa8,
    0xf56ff9cf,0xff900dff,0x7fffc47f,0x8005ffcf,0x0003fff9,0x0007fff5,
    0xe8017fec,0x3fff67ff,0x4fffc81f,0x3fffff98,0x6c0aa800,0x7fdc06ff,
    0x0bfff12f,0x037ffcc0,0xc817ffe0,0x7c40bfff,0x6c0003ff,0xfff31fff,
    0x7ff53ff6,0xff57ff8b,0xfffb00df,0xfffffd85,0xe8000dff,0xfd0006ff,
    0x2a0001ff,0x3f6005ff,0x0bfff67f,0x2a2fffd4,0x0effffff,0xfd117ffa,
    0x37fec3ff,0x4cfffea0,0x75c04fff,0x001ffffe,0xd102fffc,0x229dffff,
    0x40003fff,0xff71fffd,0x7f47ffeb,0xf37ff8af,0xffb00fff,0xfffe883f,
    0x00cfffff,0x00bffee0,0x009fff30,0x003ffe20,0x3f66ffd8,0xfff300ff,
    0x77fffccd,0x3ffa5fff,0x2ffffe44,0xf980dffb,0x7fff54ff,0xcffffc80,
    0x5fff8001,0x5ffffa80,0x0007fff1,0xf91fffd8,0x21fff39f,0x6ff99fff,
    0xd00ffff1,0x3ee01fff,0xffffffff,0x17ffe003,0x01fff900,0x44fff600,
    0xffb00aba,0x807ffecd,0x3fa7fff8,0xfffe89ff,0xfd89fff4,0x3ff67fff,
    0xafffc406,0x6402fffb,0x002effff,0x5c05fff8,0xf15fffff,0xd80007ff,
    0x7ff91fff,0x7ffcfff5,0x3fe5ff99,0x3fe202ff,0x7fdc407f,0x03ffffff,
    0x003fff90,0x0017ffe2,0xffbaffd4,0xffc81eff,0x403fff66,0xff36fff9,
    0x7fffccbf,0x7e42fffc,0x3ff65fff,0x95fff806,0x98803fff,0x003ffffc,
    0xf702fffc,0x22157dff,0x40003fff,0xffb1fffd,0x3e2dff55,0x25ff98ff,
    0x2e04fffd,0xff004fff,0x1fffffff,0x09fff100,0x00bffee0,0x2a3ffe20,
    0x86ffffff,0x3ff62aa9,0x9fff500f,0xf50fffea,0x81ffffff,0x360effe8,
    0x7fc406ff,0x05fff74f,0x007fff80,0xfd02fffc,0x3ffe20df,0x7fec0003,
    0xf75ffb1f,0x5dffe6df,0x3ffea4ff,0xffff982f,0x2ebff001,0xb002ffff,
    0xfd001fff,0x3f6000df,0xb13ffd3f,0x3f6005ff,0xfffb00ff,0x20fffee7,
    0x05fffffb,0x1bff6066,0x2a7fff30,0x64003fff,0x3e000fff,0x3ffe05ff,
    0x07fff104,0x1fffd800,0xdff55ffd,0x7fe5ffea,0x67ffffc2,0x5ffffbaa,
    0x749ff300,0xf5004fff,0xffa807ff,0xffa8003f,0xffa9bfe6,0xfb065c43,
    0xfff301ff,0x17ffe63f,0x017fffec,0x2037fec0,0xff32fffa,0xffa8009f,
    0x3ffe001f,0x40fffe05,0x0003fff8,0xfd8fffec,0xfd7ffaaf,0x303ffeff,
    0xffffffff,0x2001dfff,0x3ff63ffa,0x3ffa002f,0x07ffec06,0x47ffe200,
    0x3fe65ff8,0x43fffa24,0x7d41fffd,0x3fe24fff,0x7fec44ff,0xfd8005ff,
    0x7ffdc06f,0x00dfff11,0x001fffa8,0xff817ffe,0x7fff103f,0xfffd8000,
    0xff17ff91,0xfdffffdf,0x3ffea0bf,0x0effffff,0x2ffb8330,0x001ffff3,
    0x9817ffdc,0xc8004fff,0x73ffc3ff,0x7ffd47ff,0xdffffb3f,0x1dfffffd,
    0xefffffb8,0xffffffff,0x37fec003,0xfd1fffa0,0x7d4003ff,0x3fe001ff,
    0x0fffe05f,0x001fffc4,0x5c7fff60,0xffffd4ff,0x01fffffb,0x7ffffe44,
    0x3ff200be,0xfdcffdcd,0x44005fff,0xff905fff,0xff98003f,0xeacffe86,
    0x3ffe61ff,0xfffffb3f,0x01bfffff,0x3ffffff6,0xffffefff,0x1bff6002,
    0x5c4fff98,0x2a004fff,0x3e001fff,0x3ffe05ff,0x07fff103,0x1fffd800,
    0x3fe6bff7,0x03dffb3f,0x803fff40,0xfffffffc,0x00efffff,0x41fffc80,
    0x8005fff8,0xffa81ffe,0xfd84ffff,0x3ffb266f,0x802effff,0xefffffea,
    0x03ffff72,0xc81bff60,0x7fc41fff,0xff5000ff,0x7ffc003f,0x07fff105,
    0x000fffe2,0x2a3fffd0,0x0440c7ff,0x17ffec00,0x3ffff204,0xcfffffff,
    0xfff30000,0x02fffb89,0x7027fe40,0x4c09ffff,0x004ccc01,0x001a9880,
    0x837fec00,0xfb06fff9,0x3e6009ff,0x3fe002ff,0x5fff105f,0x00fffe20,
    0xf8ffff00,0x000002ff,0x537ffff7,0x6e5441fb,0x0bcefffe,0xfffd8000,
    0x001bffa0,0x00066000,0x00000000,0x37fec000,0x101fffe8,0x1003ffff,
    0x7c007fff,0xfff505ff,0x0fffe203,0x6fffa800,0x0002ffe4,0xffffe880,
    0x2604ffff,0x800004ff,0xff53fffa,0x0000007f,0x77777700,0x00007777,
    0x36000000,0xfffb86ff,0x37ffdc04,0x01ffff80,0xd10bfff0,0x3e201fff,
    0x881403ff,0x7cc5fffd,0x001404ff,0xffffff98,0x3fea06ff,0x55000003,
    0x02aaa635,0x2eeeee00,0xbbbbbbbb,0xfd0bbbbb,0xffffffff,0x00000000,
    0x51bff600,0x3600dfff,0xfb805fff,0x972cefff,0x2bfff999,0x4ffffdc9,
    0x33bffe20,0xbff11ccc,0xfffffb57,0x5bfffd01,0x00fd7311,0x7fff5c40,
    0x0ffdc02d,0x00000000,0x3ffffe00,0xffffffff,0xfd0fffff,0xffffffff,
    0x00000000,0xa9bff600,0x1001ffff,0xd00bfffd,0x369fffff,0x5fffffff,
    0x1dfffff7,0x7ffffc40,0xfff12fff,0x7fffffff,0x3ffff620,0x007fffff,
    0xff900000,0x00000001,0xffff8000,0xffffffff,0xd0ffffff,0xffffffff,
    0x0000000f,0x5bff6000,0x001ffff8,0x00ffff44,0xda7fffdc,0x5fffffff,
    0x009ffff7,0xfffffff1,0x3fffe25f,0x802effff,0xfffffffd,0x0000004f,
    0x00000000,0xccc80000,0xcccccccc,0x0ccccccc,0x00000000,0xffd80000,
    0x0007fea6,0x2001ff44,0x55531a98,0x2a635555,0x5554001a,0x220aaaaa,
    0x02bcecca,0x5e6e5440,0x00000002,0x00000000,0x00000000,0x00000000,
    0xfb000000,0x0001a8df,0x000001c4,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x37fec000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x97000000,
    0x00000079,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2f32e620,0x55533a99,
    0x35551005,0x006af3aa,0x664c3553,0x6c0000ac,0x054c05ee,0x50000000,
    0x55559997,0x0f775c55,0x77774400,0x3203eeee,0x00000eee,0x44000351,
    0x000000a9,0x001a9800,0x3ffff620,0xf37fffff,0xfd801fff,0xffff73ff,
    0x3ff605df,0xffffff94,0x7ffc0003,0x07fff207,0xffdb5000,0xffd509df,
    0xffffffff,0x0bfff21f,0x3fffe200,0x3604ffff,0x40000fff,0x8002ffea,
    0xdfffffeb,0xfffff101,0x0fffffff,0xfffffd70,0x7fd4001b,0xffffffff,
    0x0ffffa7f,0x70ffff88,0xdfffffff,0xfddffd83,0x1fffffff,0x0ffff000,
    0x017fffe2,0x7ffff440,0x7fd47fff,0xffffffff,0xfff90fff,0xfff10005,
    0x409fffff,0x0000fffd,0x0017ffe4,0xffffffb1,0xff105fff,0xffffffff,
    0xfffc80ff,0x01ffffff,0xcfffff88,0x27fffdbb,0x2e06fffb,0x3faa5fff,
    0x0effffff,0x3ffffff6,0x06ffffde,0x20ffff00,0x006ffff9,0xffffffb0,
    0x7ffc4fff,0xfffd98af,0x3fff22ad,0x33330002,0x6c09fff9,0x40000fff,
    0x1002fffc,0xffffffff,0xf887ffff,0xffffffff,0x3ffa07ff,0xffffffff,
    0x7ffe401f,0x27fff80e,0xd00ffff8,0x2a203fff,0x365ffffe,0x261effff,
    0x8001ffff,0x3fa07fff,0xfa8003ff,0x7330bfff,0x7417ffd4,0x7fe40fff,
    0xf700002f,0x7fec09ff,0x7e40000f,0xff9002ff,0xff7339ff,0xfff88fff,
    0xccccccce,0x3ffff504,0x02ffff4c,0x201ffff1,0x7fec7fff,0x6fff883f,
    0x1ffffb00,0x207ffff6,0x8004fffc,0x32207fff,0xff90002c,0xfff9007f,
    0x907ffee0,0x00005fff,0xd813ffee,0x54000fff,0xcfffdaaa,0x221aaaaa,
    0xf882ffff,0x3fe23fff,0xffd0004f,0xffff103f,0x17ffea03,0x7cc7fff8,
    0xfffb86ff,0x3fffe003,0x205fffb2,0x2205fffa,0xfffbccba,0x6c000007,
    0xfc800fff,0xfffa80ff,0x817ffe41,0x5c02aaaa,0x3f604fff,0x599730ff,
    0xffffff01,0xffffffff,0x027ffe4b,0x7c4dfff7,0xfa8004ff,0x3fee05ff,
    0x7fff704f,0x743fffc0,0x7ff41fff,0x3ffa000f,0x01fffb3f,0x221bffe6,
    0xfffffffc,0x2aaaa7ff,0x8001aaaa,0xf7007fff,0xfffb07ff,0x905fff90,
    0xb803ffff,0x3f604fff,0xffffc8ff,0x7fffc1ff,0xffffffff,0x3fffa5ff,
    0x3fffe201,0x009fff10,0x205fff90,0x906fffe9,0x7fc05fff,0x4fffb87f,
    0x0017ffe6,0x3f65ffff,0xfff100ff,0xfffffa8f,0x17ffffff,0xffffffff,
    0xffff0009,0x3fffe200,0x5fffd99c,0x5c2fffc8,0xb802ffff,0x3f604fff,
    0xfffffdff,0x33320fff,0xccdfffec,0x3ffe3ccc,0x1fffe807,0x0009fff1,
    0xf701fffb,0x360fffff,0x3fe02fff,0x7fff887f,0x800bfff2,0xfb0ffffb,
    0x3fe601ff,0x3fffe26f,0xfffdbbcf,0xffffff17,0xff0009ff,0x7fdc00ff,
    0xefffffff,0x22fffc80,0x002ffffa,0x6c09fff7,0xeeffffff,0x3203ffff,
    0x7c402fff,0xffe807ff,0xfffff12f,0x74039dff,0x7fec47ff,0xf907ffff,
    0x7ffc07ff,0x25fffb07,0x66407fff,0x24ffffec,0xf500fffd,0x7ffe49ff,
    0x27fff80e,0xfffdcccc,0x7fffec04,0xffffffff,0x3ffe23ff,0x0cffffff,
    0x225fff90,0x2003ffff,0x3604fffb,0x2e1effff,0x3f205fff,0x7fcc02ff,
    0xfffd806f,0xffffff13,0xf01dffff,0x7ffccdff,0x80fffeef,0xf704fffb,
    0x3fea0fff,0x04fffadf,0x3fffffe2,0x07ffec6f,0xf13fffd8,0x3fe01fff,
    0x3ffee07f,0x7fffec04,0xffffffff,0x37ff23ff,0x400abba8,0xfe8afffc,
    0x7dc004ff,0x3ff604ff,0x7ffcc1ff,0x0bfff206,0x00dfff50,0x3e27fff9,
    0xffffffff,0x3fe20eff,0xbffff96f,0x503fffb1,0xff50ffff,0x7ff40fff,
    0x400fffdf,0x83ffffff,0xf980fffd,0xfff51fff,0x03fffc0b,0xd809fff7,
    0xffffffff,0x23ffffff,0x90003fff,0xfffb5fff,0xfff7000b,0x17ffec09,
    0x3207fff8,0x7cc02fff,0xffd806ff,0x2666662f,0x4ffffeb9,0x7ff77ffc,
    0x3fff63ff,0x1bfffd00,0xffffff91,0x7ffffdc0,0xefff805f,0x07fff601,
    0x5c9ffff5,0x3fe03fff,0x3ffee07f,0x7fff8004,0x37ffff00,0x3ff20033,
    0x006fffef,0x409fff70,0xff00fffd,0x7ffe40ff,0x3fffc402,0x00fffec0,
    0xe8dfffb0,0x0effffff,0xf703fff4,0xffffffff,0x7c40ffff,0x802fffff,
    0x7ec04fff,0xfffeefff,0x3ff20eff,0x1fffe02f,0x004fffb8,0x9007fff8,
    0xffffffff,0xff905bdf,0x009fffff,0x813ffee0,0xff00fffd,0x7ffe40ff,
    0x3fffc402,0x007fff40,0xe8ffff30,0xf04fffff,0xffd80fff,0xfebfffff,
    0x7ffec07f,0x9ffd006f,0xfffffd80,0x40dfffff,0x3e02fffd,0x3fee07ff,
    0xfff8004f,0x3fff6007,0xffffffff,0x7dfffe45,0xb8003fff,0x3f604fff,
    0xffff00ff,0x017ffe40,0x100ffffc,0xf000ffff,0x7fec1fff,0xfff302ff,
    0xffff900d,0x01fffa5d,0x007ffff5,0xfb006aaa,0xdfffffff,0x0ffff205,
    0x2e07fff8,0xf8004fff,0xff3007ff,0xffddddff,0x7fe47fff,0x1ffffaaf,
    0x27ffdc00,0x201fffb0,0x3f207fff,0xffd803ff,0x3ffee04f,0x7ffcc005,
    0x02fffdc6,0x4007fff9,0x3fffc1a9,0x01fffea0,0x7ffec000,0xfb800999,
    0xfff704ff,0x27ffdc0f,0x03fffc00,0x4077ffc4,0x326fffc8,0xfffb2fff,
    0x7fdc001f,0x3fff604f,0x40ffff00,0x9805fffb,0xf982ffff,0x6c001fff,
    0x7fc45fff,0xfff882ff,0xfff00007,0x7fff440f,0x0736a003,0x001fffb0,
    0xa87fffa8,0x2e07ffff,0xf8004fff,0xffc807ff,0x3ffe202f,0x44bfff27,
    0x2006fffe,0x3604fffb,0xfff00fff,0x7fffd40f,0x7fff4082,0xfffbaacf,
    0x260d4c5f,0x81ffffea,0x262efffc,0x0003fffe,0x220ffff0,0x2006fffd,
    0x200ffffa,0x8000fffd,0xc88dfffe,0x207fffff,0x8004fffb,0xfd807fff,
    0x3fea03ff,0x8bfff25f,0x005ffff9,0x6c09fff7,0xfff00fff,0x7fffc40f,
    0x545feeff,0xffffffff,0x7dc0ffff,0xffffffff,0xfff102ff,0xffffffff,
    0x3e00001d,0xf99917ff,0x4001ffff,0x203ffffc,0x8000fffd,0xfffffffb,
    0x207ffeff,0x8004fffb,0xfb807fff,0x2e61afff,0x3f22ffff,0x7ffdc2ff,
    0x7fffe43f,0xffffffff,0x01fffb1f,0xf701fffe,0xbfffffff,0xffffff30,
    0xf701dfff,0xffffffff,0xffe8805f,0x0dffffff,0x3ffe0000,0xffffff17,
    0xffc8005f,0x3ff602ff,0xffb0000f,0xf79fffff,0x3ffff2ff,0xffffffff,
    0x3fffc01f,0x7ffff440,0xffffffff,0x417ffe43,0x321ffffd,0xffffffff,
    0xfb1fffff,0x3ffe01ff,0xfffea807,0xdb104fff,0x409dffff,0xfffffffb,
    0x7fe4002e,0x0003efff,0xf17fff80,0x001bffff,0x80bffd10,0x0000fffd,
    0x4bbffff2,0xfff97ffb,0xffffffff,0xfff803ff,0xfffb1007,0x5dffffff,
    0x105fff90,0x321ffffd,0xffffffff,0xfb1fffff,0x3ffe01ff,0x2aa62007,
    0x02662001,0x04d4cc40,0x00cc4000,0x2aaa0000,0x006f3b62,0x26006600,
    0x80000aaa,0xffc801a9,0xffffffff,0x7fc01fff,0x65c4007f,0x001accec,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x13553000,0x005d4400,0x000d54c0,0x00355531,0x00000000,0x0066aa20,
    0x00135553,0x00000000,0x20000000,0x00001aa8,0x26620000,0xedb88000,
    0xb100ffff,0x5dffffff,0x1ffff880,0x7fff6cc0,0xc880dfff,0xffffffff,
    0xffffff85,0xf94fffff,0x7fcc05ff,0x7ff5c05f,0x12dfffff,0xfffffffb,
    0x7fffc07f,0xffffffff,0xffff12ff,0x7fffe407,0x01bfff20,0x2613ffee,
    0x3ffffffd,0x009fffd0,0x880ffff3,0x2006fffc,0xffffffd9,0xfffa80ff,
    0x5fffffff,0x17ffff20,0xffffffb8,0x7d40ffff,0xffffffff,0xfffff86f,
    0x94ffffff,0x7cc05fff,0xffd305ff,0xffffffff,0x3ffffe69,0xf06fffff,
    0xffffffff,0x645fffff,0xff107fff,0xfff887ff,0x3ffe201f,0x7fffe40f,
    0x40efffff,0xb807fffb,0xf9104fff,0x200dffff,0xfffffff9,0x7fc40fff,
    0xfffddfff,0xfffb03ff,0xfffd10df,0xffffffff,0x7ffffc41,0x86ffffff,
    0xffffffff,0xfff94fff,0x2fffcc05,0x7fffffd4,0x34ffffff,0xffffffff,
    0xfff09fff,0xffffffff,0x7fc45fff,0xfffc83ff,0x0bfff906,0x3627ffe4,
    0xffffffff,0x7fcc5fff,0x7ff401ff,0xffffb82f,0xf9806fff,0x9abcffff,
    0x4fffc819,0x706fffa8,0xf90bffff,0x3357dfff,0x7fec1fb7,0x2e620aff,
    0x99999984,0xf94fffb9,0x7fcc05ff,0x7fffc45f,0xdaa99bdf,0x4415914f,
    0xc87fffda,0xcccccccc,0x5c0fffff,0x3e20ffff,0xff102fff,0xfff103ff,
    0xbfff881f,0xffffe989,0x01ffff40,0xf81ffff1,0xffffffff,0xdfffe806,
    0x3fff6000,0x40fffd00,0x7c40effd,0x0200dfff,0x0003ffff,0x94fffb80,
    0x7cc05fff,0x7ffe45ff,0x800c402f,0x001ffff8,0x817fffd4,0x3f23fffe,
    0x7fe406ff,0x4fffc85f,0xff101b50,0xfffc85ff,0x17ffea05,0x3eb7fff2,
    0x7fd406ff,0xffe8006f,0x0dffd00f,0xfff90188,0xfff8800d,0x5c00000f,
    0xfff94fff,0x2fffcc05,0x005ffff3,0x1fffd000,0x7fff4400,0x3fffea05,
    0x01ffff88,0x10ffffc4,0x0001ffff,0xf50ffff6,0x7fe40fff,0x11ef983f,
    0xfd80dfff,0xfd8002ff,0xfffa84ff,0x3ffe0004,0xfff8003f,0x5c00004f,
    0xfff94fff,0x2fffcc05,0x000dfff9,0x01bffe00,0x01ffff90,0xfccfffe8,
    0xff9005ff,0x27ffe49f,0x7fffb000,0x205ffff0,0x8500ffff,0x7c06fff8,
    0x98000fff,0xf50dffff,0x20001fff,0x0007fff9,0x05dffffd,0x3ffee000,
    0x405fff94,0x3f65fff9,0x800002ff,0x2004fffc,0x802ffffa,0xfffffff9,
    0xfff1001f,0x03fffe1f,0x2fffe800,0x984fffd8,0x22006fff,0x3e206fff,
    0xfffdbfff,0x3ff202df,0xffffefff,0x3fea0002,0xff50006f,0x017dffff,
    0xa7ffdc00,0x2602fffc,0x3ffa5fff,0x4cccc41f,0x55544099,0x004fffec,
    0x017fffa2,0xffffffd8,0x7ffe4004,0x004fffac,0x03fffe60,0x2e1bffea,
    0x22003fff,0x3e606fff,0xffffffff,0xf900efff,0x3dffffff,0xfffb8000,
    0x3ff20005,0x0dffffff,0x4fffb800,0x4c05fff9,0x3ffe5fff,0x7ffff40f,
    0x7ffcc4ff,0x4003ffff,0x000ffffc,0x3fffffe6,0x7ffc4000,0x000fffef,
    0x413fffa0,0x6c0ffff8,0x22001fff,0x3ea06fff,0xffffffff,0x3605ffff,
    0x3fffffff,0x643efb80,0x40005fff,0xfffffffb,0x7dc003ff,0x5fff94ff,
    0x8afffcc0,0xffe87fff,0x7cc4ffff,0xdfffffff,0xffffa800,0xffff8002,
    0xff90006f,0x0009ffff,0x007fffe4,0x7c47fffd,0x7c4007ff,0x3fea06ff,
    0xda99beff,0x7442ffff,0xffffffff,0x3ffea05f,0x17fff23f,0x3fae2000,
    0x02ffffff,0x653ffee0,0x3e602fff,0xffff15ff,0xffffffd0,0xeeccc889,
    0x201fffff,0x004fffe8,0xffffffb8,0xfff88003,0x70000fff,0xb803ffff,
    0x3fea5fff,0x7fc4004f,0x3ffea06f,0x93fff606,0xa8cfffe8,0x904ffffe,
    0x7dcfffff,0x400006ff,0x7fffffc9,0x53ffee00,0x2602fffc,0x3ffe5fff,
    0x3ffe600f,0xfffd3004,0x7fffe40d,0x7ffc4000,0x000fffff,0x04ffffc8,
    0x7ffff500,0x4ffff300,0x4002fffc,0x2606fff8,0x3ea06fff,0x3fff65ff,
    0x0ffffd83,0x1fffffb8,0x000ffff5,0x3fffa200,0xfff7001f,0x80bfff29,
    0x3fa5fff9,0x3fe601ff,0x3fe2004f,0xfff981ff,0xffc8002f,0x04fffedf,
    0x0ffff880,0xffffa800,0x3fffa003,0x000fffd1,0x440dfff1,0x3e607fff,
    0xdfff16ff,0x817fff40,0xf31ffffe,0x00005fff,0x0bfffe60,0xba7ffdc0,
    0x3ea03fff,0x3fff63ff,0x13ffe604,0x85fffb00,0x004fffe8,0xa9ffff98,
    0x8001ffff,0xa8007fff,0x4003ffff,0xff8cfffc,0xff88005f,0x7fffc06f,
    0x29fff501,0x2e04fff9,0xff103fff,0x7fffc1ff,0x3e000006,0xf9001fff,
    0x3ffea7ff,0x8bffee04,0x300ffffb,0xe8009fff,0x7fe41fff,0xfd8000ef,
    0x3fffa5ff,0x7fff8005,0x7fffd400,0xfff98003,0x002fffbe,0x406fff88,
    0xfb04fffd,0x3ffe67ff,0x07fff207,0x7d47ffe8,0x2600dfff,0xff500110,
    0xf88044ff,0xfff31fff,0x0ffff40f,0x203bfffa,0x2004fff9,0x7cc7fffa,
    0xa8001fff,0x3ea1ffff,0x7c002fff,0x3ea007ff,0x20002fff,0xfffeffff,
    0xfff88000,0x7fffcc06,0xffff910b,0x067fffc1,0x881fffea,0xffe84fff,
    0xca9bcfff,0x57df50fe,0xfff93333,0x30e7ccbf,0x741ffffd,0x3621dfff,
    0xffa85fff,0xc99acfff,0x81334fff,0x5ffffc98,0x667ffff4,0x1ccccccc,
    0x742ffff4,0x7c006fff,0xff5007ff,0x99999dff,0x7ec03999,0x806fffff,
    0xffbaaaa9,0x40aaaaef,0xfffffffd,0x7e42ffff,0xfeeeffff,0xfd503fff,
    0x3ffe60df,0xffffffff,0xfffff50f,0xffffffff,0x7ffffcc1,0x542fffff,
    0xffffffff,0xfb00ffff,0xffffffff,0x3ff69fff,0xffffffff,0x3ffea0ef,
    0xffffffff,0x3fee3fff,0xfffa81ff,0x3ffe003f,0xfffff007,0xffffffff,
    0x7ffd405f,0xfc803fff,0xffffffff,0x6c43ffff,0xffffffff,0xffffd03f,
    0x89ffffff,0x1efffffa,0x3ffffa20,0x50ffffff,0xffffffff,0xf983ffff,
    0xffffffff,0xfffff904,0x805fffff,0xfffffffb,0xffb4ffff,0xffffffff,
    0xffffa81b,0xffffffff,0xffff13ff,0x7ffff40b,0x0ffff000,0x3fffffe0,
    0xffffffff,0x3fffe202,0xffc801ff,0xffffffff,0xfd703fff,0x801bffff,
    0xffffffea,0xffffa81d,0x3ff6e003,0x262dffff,0xfffffffd,0x3fae02ef,
    0x401effff,0xffffffe9,0xfdb3000c,0x17bfffff,0x3ffffff6,0xff501cff,
    0xffffffff,0x3f27ffff,0x3e601fff,0xff005fff,0x3ffe00ff,0xffffffff,
    0x7ec02fff,0xf9006fff,0xffffffff,0x8807ffff,0x988000a9,0x564c019a,
    0x26200009,0xa9988009,0x4cc40019,0x13510000,0x9a988000,0x26a66601,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7dc00000,0x3ff6007f,0x09ffff74,0xff32fff4,0xfff505ff,
    0x7fffcc5f,0xffffffff,0x1ffff2ff,0xd97fffa0,0xffffffff,0x96ffffff,
    0xffffffff,0x3eebffff,0x3fea03ff,0xffffff4f,0xf803bdff,0xffffffff,
    0x3ffe2fff,0xffffffff,0xfffff94f,0x00179dff,0x3e20fff8,0xfffff87f,
    0x80beefff,0xfffffffe,0xfff502ce,0x4fff6001,0x00fffffb,0x7fd4bffd,
    0xfffc85ff,0x3fffe63f,0xffffffff,0x1ffff2ff,0x41ffff90,0xfffffffd,
    0x6fffffff,0xfffffff9,0x2ebfffff,0x3ea03fff,0xfffff4ff,0x1dffffff,
    0x3fffffe0,0x22ffffff,0xffffffff,0xff94ffff,0xffffffff,0x3fe2007f,
    0x7c3ffcc7,0xffffffff,0x7ff43fff,0xffffffff,0x07ffd42e,0xf73ffe80,
    0x3a07ffff,0x3ffea5ff,0xfffff87f,0x3ffffe63,0xffffffff,0x81ffff2f,
    0x6c2ffff9,0xffffffff,0x96ffffff,0xffffffff,0x3eebffff,0x3fea03ff,
    0xffffff4f,0x0dffffff,0x3ffffffe,0x3e2fffff,0xffffffff,0xfff94fff,
    0xffffffff,0xfff100df,0xff86ff98,0xffffffff,0x3ffa2fff,0xffffffff,
    0x3ffe61ff,0x27ffd000,0x07fffffb,0x7fd4bffd,0x3fe62fff,0x3ba63fff,
    0xeeeeeeee,0xfff1ffff,0x4fffe81f,0xf9999988,0x99999fff,0xff333310,
    0x213333ff,0x2a03fffb,0xffff4fff,0xfffd9533,0x3ffff05f,0x13333333,
    0x4ccffffc,0xf9099999,0xf97337ff,0x9807ffff,0x2ffd46ff,0x7313fffc,
    0x7f4bffff,0xfca99aff,0xff30efff,0x3ffa001f,0xffffff72,0x5cbffd07,
    0x324fffff,0x004fffff,0x3e5fffc8,0x3ff20fff,0x3fe000ef,0x7fc000ff,
    0xfff700ff,0xa7ffd407,0xfff07fff,0x0ffff09f,0x007fff80,0x220bfff2,
    0x200ffffe,0x7fdc5ffa,0x507fff84,0x7ff4ffff,0xffff980f,0x003fff12,
    0x7fdcbffe,0xfe86ffff,0x3f3fee5f,0x3f3ffa7f,0x7fc4004f,0x3fffe2ff,
    0x03ffff30,0x00ffff80,0x807fffc0,0x2a03fffb,0xffff4fff,0x21bfff20,
    0x7c007fff,0x3f2007ff,0xfff102ff,0xffffb89f,0xffffffff,0xffff3fff,
    0xe9fffe20,0xff900fff,0x87ffe29f,0x7ffc2cc8,0xff9fff71,0x25ffe85f,
    0x9ffebffc,0x5ffbdff9,0x37ffdc00,0x7f43fffe,0xff8003ff,0x7fc000ff,
    0xfff700ff,0xa7ffd407,0xff507fff,0x0ffff0bf,0x007fff80,0xc80bfff2,
    0x7fdc5fff,0xffffffff,0xff3fffff,0x3ffe60ff,0x403fffa6,0x3fe5fffb,
    0xf17fea1f,0x3ffee3ff,0x7f46fff9,0x32fff25f,0xbaffbbff,0x7fc005ff,
    0x7fffc2ff,0x006fffb8,0x001ffff0,0x700ffff8,0x7d407fff,0x0ffff4ff,
    0x3e13fff2,0x7fc007ff,0x3ff2007f,0x3ffe602f,0x7ffffdc7,0xffffffff,
    0x0ffff3ff,0xfe8ffff6,0xfff700ff,0xfb17ffc9,0x87ffc1ff,0xffd8fffb,
    0xc97ffa1f,0xedff9bff,0x05ffb8ff,0x21bffee0,0xfff9ffff,0xfff0000f,
    0xfff8001f,0xdfff700f,0xfb999999,0x1fffe9ff,0x01ffff91,0xf800ffff,
    0xaaaaafff,0xfff90aaa,0x3fffc405,0xfe85ffb0,0xaffff81f,0x5fffebaa,
    0xd807fff4,0x3ffe3fff,0xf8bfffe2,0x1fff70ff,0x7f4bfff3,0x7cbff65f,
    0xff75ffff,0x7fffc00d,0xfeffff82,0x3e0002ff,0x7c000fff,0xff700fff,
    0xffffffff,0x3fe9ffff,0xffffeeff,0xffff02ff,0xbddddddd,0xfffffff8,
    0xf91fffff,0xfff805ff,0x83ffd01f,0xfff80fff,0xffffffff,0x80fffe83,
    0x3a1ffff9,0xffff52ff,0xfb9ffe2b,0x1fffb0ff,0xffd97ffa,0x25ffffb2,
    0xf7006ffa,0x3ffe0dff,0x002fffff,0x003fffe0,0x201ffff0,0xfffffffb,
    0x4fffffff,0xffffffff,0x7fc019ff,0xffffffff,0x7ffffc7f,0x1fffffff,
    0xf805fff9,0xfff01fff,0xf83ffc41,0xffffffff,0x7ff44fff,0xfff7310f,
    0x92ffe8bf,0x3e2fffff,0x43ffee7f,0xffd4fffa,0xfa97ff4b,0xfff50fff,
    0x0ffffa00,0x7fe7fffc,0xff0000ff,0xff8001ff,0xfff700ff,0xdddddddd,
    0x3ffe9fff,0x1effffff,0x7fffffc0,0x7c7fffff,0xeeeeefff,0xfff91eee,
    0x7fffc405,0x4c7ff880,0xffff07ff,0xfffffb99,0x7ffff4df,0xffffffff,
    0xff9ffec0,0xff8affed,0xe83ffee7,0x5ffe8fff,0x7fc4bffa,0x01ffea5f,
    0xf81fffea,0xfffe8fff,0xffff0005,0xffff8001,0x07fff700,0xffa7ffd4,
    0xfffeb9ff,0x3fffe00f,0x2aaaaaaa,0x9003fffc,0x7cc05fff,0x2eaa27ff,
    0xfcaaafff,0x3fe1aaff,0xfffc887f,0xfffffd3f,0x01bfffff,0x7ff37ffb,
    0xdff39ff9,0xf707ffdc,0x4bffd7ff,0x3ffa2ffe,0x201ffea3,0x3e03fffe,
    0xfff98fff,0xfff8002f,0x7ffc000f,0x7fff700f,0xfa7ffd40,0x7fff47ff,
    0x01fffe05,0x400ffff0,0x2a02fffc,0x3fea6fff,0xffffffff,0x3e4fffff,
    0x3ffa07ff,0xfffffd5f,0x6c05bdff,0x99ffccff,0x26ff9fff,0x7fc0fffb,
    0x3e5ffeef,0x83bae1ff,0x2a00fff9,0x7fc07fff,0xffff90ff,0xffff8001,
    0x7fffc000,0x07fff700,0xffa7ffd4,0x7fffc47f,0x00ffff01,0x2007fff8,
    0x3602fffc,0x3fea4fff,0xffffffff,0x3e4fffff,0x3fee07ff,0x35fffd6f,
    0x67fe4003,0x2fffe6fe,0x3ffee5ff,0x7ffffe40,0x007ffe5f,0xe803ffe6,
    0x7fc03fff,0xffff10ff,0xffff800b,0x7fffc000,0x07fff700,0xffa7ffd4,
    0x5fffd87f,0x800ffff0,0x32007fff,0xff302fff,0x7664c3ff,0xfeccceff,
    0x3fe2ccef,0x3fff207f,0x001fffd5,0x9ffbff90,0x2fff7fe4,0xf881fff7,
    0x3e5fffff,0xff9801ff,0xffff500f,0x0ffff801,0x00ffffea,0x000ffff8,
    0xb807fffc,0x3ea03fff,0x0ffff4ff,0xf03ffff3,0xff800fff,0x3ff2007f,
    0xffffa82f,0xb0fff204,0x3ffe05ff,0x7ffff107,0x0003fffa,0x87ffffee,
    0x25fffffa,0xfd80fffb,0xff15ffff,0xfff3003f,0x13fffa03,0xb03fffe0,
    0x2001ffff,0x2200ffff,0xffff9999,0xff709999,0x7ffd407f,0x3a0ffff4,
    0xfff84fff,0x7fffc007,0xaaaaaaaa,0x559fff91,0x1fffffb9,0x3a1ffec0,
    0xffff02ff,0xfff75333,0x3fffa3ff,0xfffb8000,0xfffff87f,0x203ffee4,
    0x15fffff9,0xf1001fff,0xfff503ff,0xffff001f,0x6ffff881,0x01ffff00,
    0x7fffffe4,0x75ffffff,0x7d407fff,0x0ffff4ff,0xf03fffea,0xff800fff,
    0xffffffff,0xffff94ff,0xdfffffff,0x42ffe803,0xfff01fff,0xffffffff,
    0x7fff47ff,0xfffa8000,0xffffd84f,0x403ffee4,0xf35ffffd,0xff1001ff,
    0x9fffd05f,0x03fffe00,0x00ffffee,0xc803fffe,0xffffffff,0xff75ffff,
    0x7ffd407f,0x7c0ffff4,0x7ffc4fff,0x7fffc007,0xffffffff,0xffffff94,
    0x2009ffff,0x7ffc1ffe,0xffffff00,0x87ffffff,0x8000fffe,0xa82ffffa,
    0x3ee3ffff,0xfff500ff,0x03ffe6bf,0x30bffe20,0x2001ffff,0xfd00ffff,
    0xff803fff,0x3ff200ff,0xffffffff,0x7fff75ff,0xfa7ffd40,0x3fee07ff,
    0x1fffe0ff,0xffffff00,0x29ffffff,0xdefffffc,0x3fe000ac,0x81ffe20f,
    0xefffffff,0xfffd02ce,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x002aa600,0x800000e4,0xca8800d8,0xa8800abc,0x00accccb,0x2af32a60,
    0x5e654c01,0xb973000a,0x55415999,0x8aaaa02a,0x332a1aaa,0x21aa982c,
    0xa80accc9,0xb839912a,0x777440bc,0x7fff401e,0xfb80007f,0xfe81ffff,
    0xb10001ff,0x07ffffff,0x00017fec,0x803bfe60,0xfffffffc,0x3ffff603,
    0x00dfffff,0x3fffffee,0xffe982ff,0x203fffff,0xffffffea,0x3fff63ff,
    0x22dfff00,0xffe8bfff,0x3f60dfff,0xfffff94f,0xf8eff83f,0xfffb4fff,
    0x1ffff83f,0x3ffffe20,0x3e20001f,0xe81fffff,0xb8001fff,0xffffffff,
    0x7ffe40ef,0xf500003f,0xfd10bfff,0xffffffff,0x3ffffe0b,0x85ffffff,
    0xffffffe9,0x7fdc2fff,0xffffffff,0xfffffa86,0x363fffff,0xfff00fff,
    0x3b3ffe2d,0x5fffffff,0x3ff77ff6,0x20ffffff,0xffffdeff,0x5fffffbf,
    0x7007fffc,0x09ffffff,0x7fffec00,0xfffe81ff,0x7ffd4001,0xffffffff,
    0x7fffec45,0x7fdc0004,0xffd80eff,0xfffb9bff,0xabdff82f,0x3ffffca9,
    0x3fffffa2,0x262fffee,0xfdefffff,0x3e23ffff,0xa99adfff,0x3fff63db,
    0x22dfff00,0xdfffffff,0xfb0ffffd,0xfddfffff,0x7ffc7fff,0xfffffbff,
    0x7fc7ffdc,0x7ffec07f,0x50006fff,0x3fffffff,0x003fffd0,0x867fffc4,
    0x81ffffb8,0x00dffffc,0x5ffffd80,0x30bfff30,0x8050dfff,0x3f24fffb,
    0x1b883fff,0x903bfff6,0x3ea1ffff,0x3f6007ff,0xdfff00ff,0x37ffffe2,
    0x6cffff60,0x2e1effff,0x3ffe5fff,0x29fffb1f,0x3fa0fff9,0x6fffc07f,
    0x8000fffe,0xfffcfffe,0x01fffe81,0x417ffea0,0xf505fffb,0x2001dfff,
    0x03ffffe8,0x6c07fff6,0x44000fff,0xfff36fff,0x3fe6005f,0xfffd00ff,
    0x03fffea7,0x807ffec0,0xfff16fff,0xfffa81df,0x83ffffb4,0x3fe6fff9,
    0x43fff25f,0x3fa0fff9,0x3ffea07f,0x003fffcb,0x7dd7ffdc,0xfffe81ff,
    0x3fff2001,0x0ffff102,0x0fffffcc,0x3ffffa60,0x037ffc02,0x0005fff9,
    0x3feadfff,0x3fee006f,0x3ffea04f,0x7fffff34,0x0fffd801,0x3e2dfff0,
    0xff980fff,0x05fffb4f,0xfff9fffe,0xf997ff22,0x1bff60ff,0xfa8fffc8,
    0x3e2005ff,0x3fff75ff,0x003fffd0,0xd017ffec,0x74401fff,0xf503ffff,
    0x8803dfff,0xffffffff,0x03ffffff,0xffffdd93,0x3fff2dff,0x3fff2004,
    0x9bffe602,0xdffffffe,0x0fffd80b,0x3e2dfff0,0x7ec007ff,0xffff00ff,
    0xff917ffc,0x907ffccb,0x7ff40dff,0x00ffff16,0xfb87ffec,0xfffe81ff,
    0x3fff6001,0x07fffa04,0x9ffffb10,0x0dffffb8,0xfffff980,0xffffffff,
    0x7fff4c3f,0x6fffffff,0x4005fffb,0x2201fffd,0x3fa27fff,0x4fffffff,
    0xf807ffec,0xffff16ff,0x0fffd800,0x7fcffff0,0x997ff22f,0x26620fff,
    0x49fff300,0xa802fffd,0x3fee3fff,0x1fffe81f,0x1fffee00,0x802fffd8,
    0x10fffff9,0x007ffffd,0x3bbfffe6,0xeeeeeeee,0x3ffffe62,0x6fffeeee,
    0x4007fffb,0x2202fffd,0xfda86fff,0x26ffffff,0xff00fffd,0x1fffe2df,
    0x01fffb00,0xfff9fffe,0xf997ff22,0x7dc000ff,0x3ffee2ff,0x37ffc404,
    0x3a07ffee,0x2a001fff,0x99ceffff,0x02ffffeb,0x077fffd4,0x13ffff62,
    0x017ffe20,0x06ffff40,0xffcb7ffc,0x3ff2004f,0x3ffe603f,0x3ff6e205,
    0xfffb2fff,0x45bffe01,0x6c007fff,0xfff00fff,0xf917ffcf,0x07ffccbf,
    0x31fff600,0xfc80ffff,0x7ffdc1ff,0x01fffe81,0x7ffffec0,0xffffffff,
    0x3ffff202,0x7fffe405,0x3fffc00d,0x07fff800,0x7fddbffe,0xff7000ff,
    0x7ffe40bf,0xffff3003,0x207fff69,0xff16fffb,0xffd800ff,0x4ffff00f,
    0x3ff22fff,0x003ffe65,0xf85fff88,0xff301fff,0x3fff709f,0x003fffd0,
    0xfffffe88,0x1fffffff,0x4ffffd88,0xdffff700,0x1ffff401,0x1fffe600,
    0xf9b7ffe4,0xf3005fff,0xff103fff,0x7e4003ff,0x7fffb4ff,0x16ffffa8,
    0xd800ffff,0xfff00fff,0xf917ffcf,0x07ffccbf,0x07fff500,0x3a07fff9,
    0xfff706ff,0x03fffd03,0x3ffb6a00,0x0fffeade,0x17ffff44,0x3fffea00,
    0xffff501f,0xff06a207,0x7fec47ff,0x3fff66ff,0xdb999aef,0x2bffff63,
    0x5fffea88,0x7fc406ea,0xdfff72ff,0xfffff913,0x01fffe2d,0x201fffb0,
    0x3ffe7fff,0xf997ff22,0x3f2000ff,0xcaaaacff,0xffa86fff,0xeeeeeeff,
    0xd2eeefff,0x00003fff,0x98ffff10,0x001fffff,0x5ffffd30,0x3fffff60,
    0x44fffeee,0xfefffffe,0x226fffff,0xffffffff,0x3fe63fff,0xffffffff,
    0x3ffee0ff,0xffffecde,0xfffff30f,0xdffdffff,0x001fffe2,0x3e01fffb,
    0x8bffe7ff,0x3fe65ffc,0x3ffe000f,0xffffffff,0x7fd40fff,0xffffffff,
    0xd3ffffff,0x00003fff,0x54bfff50,0x000effff,0x7ffff440,0xffffd884,
    0x44ffffff,0xfffffff9,0x4c6ffcdf,0xfffffffe,0x7ffd43ff,0x1effffff,
    0x7fffffdc,0x641fffff,0xbfffffff,0xfff16ffc,0xfffd800f,0x7cffff00,
    0x97ff22ff,0x3000fff9,0xffffffff,0x85ffffff,0xfffffffa,0xffffffff,
    0x03fffd3f,0xfffd0000,0x06fffcc5,0xfffb0000,0x7fff5405,0x982effff,
    0x72effffe,0x3fae0dff,0x81cfffff,0xefffffd8,0xffffd504,0x2019ffff,
    0x72effffc,0x3ffe2dff,0x7ffec007,0x7cffff00,0x97ff22ff,0x9000fff9,
    0xdddddfff,0x8bfffddd,0xeeeeeee9,0xeeffffee,0x03fffd2e,0x7fecc000,
    0x004f986f,0x005f7000,0x800cd54c,0x40000aa8,0x22000998,0x33100099,
    0x4c003355,0x0000001a,0x00000000,0x01fffa00,0x000ffff3,0x3a07fff2,
    0xaaaabfff,0x554c2aaa,0xffffdcba,0x0000101f,0x00000080,0x00000000,
    0x00000000,0x00000000,0x00000000,0x05fff880,0x001ffff8,0xe81fffc8,
    0xffffffff,0x3f20ffff,0xffffffff,0x0000002f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x401fffdc,0x8004fffd,0xfe81fffc,
    0xffffffff,0x3ff20fff,0x0dffffff,0x01e65c00,0x200aaaa6,0x5551aaa8,
    0x9554c005,0xaaaaaaa8,0x2a1aaaaa,0x2a201aaa,0x3ae00aaa,0x0000004e,
    0x33332e00,0xcccccccc,0xc97bba64,0xba882eee,0x3f60000a,0xffb800ff,
    0xffc8006f,0xffffe81f,0xffffffff,0x3bbfff20,0xfb0000bd,0xfff980df,
    0x7ffec00f,0x400fffb3,0xfff56ffc,0xffffffff,0x7fffdc9f,0x0bfff901,
    0x2004ffb8,0xfd002efc,0xfffe80df,0xffffffff,0x9bffe67f,0x7cc2fffc,
    0x5504ffff,0x00000015,0x00000000,0x36000000,0xffe806ff,0x3ffe203f,
    0x01fff90f,0x7d57ff60,0xffffffff,0x7fec4fff,0xffff986f,0x9ff50cc0,
    0xfffc8144,0x7ffdc01f,0x3fffa02f,0xffffffff,0x97ffe67f,0x3e62fffc,
    0x45ffffff,0x0001fff8,0x00000000,0x00000000,0x700dffb0,0x7dc0dfff,
    0x3ffee5ff,0x29ffd001,0xfffffffa,0x443fffff,0x3a24ffff,0x3fe82fff,
    0x3fea7ff5,0x5ffffe80,0x3ffffe20,0x9999700f,0x99999999,0x727ffc49,
    0x7fe43fff,0x0dffffff,0x0001fff3,0x00000000,0x00000000,0x201bff60,
    0xd00ffff8,0x7fd43fff,0x7fff002f,0xbfffd100,0x47fffea0,0xfb84fffc,
    0xcaffadff,0xffd84fff,0x3ff207ff,0x0004ffdb,0xb93ffe00,0x3ffe1fff,
    0xbffffd34,0x0000dfff,0x00000000,0x00000000,0xd8037fec,0xff883fff,
    0x1fffc46f,0x7fc49dd5,0xfffd802f,0x3fff200e,0x80efffae,0xffffffd9,
    0x882dffff,0x980fffff,0x3fff16ff,0x3fe00000,0x43ffea3f,0x3a21fff8,
    0x3fffffff,0x00000000,0x00000000,0xaaaa9800,0xaaafffea,0x7ffcc2aa,
    0x83fffb86,0x3ffa4fff,0x01fff10f,0x01ffffb8,0x7fffff44,0x7e4401ff,
    0x01dfffff,0xe83fffd4,0x1bff22ff,0x26666662,0x41999999,0x3fea3fff,
    0x8199910f,0x4fffffd8,0x00000000,0x00000000,0xffffb000,0xffffffff,
    0xfffd0dff,0x80fffe83,0xfff15ffe,0x01ffe67f,0x007ffff3,0x3fffffe6,
    0xfffd3004,0xff1005df,0x8dff50bf,0x7f43fff8,0xffffffff,0x7ff47fff,
    0x001ffe62,0x000b3b2a,0x00000000,0x00000000,0xffffffd8,0xffffffff,
    0x24fffb86,0xfb05fff9,0x3fffeedf,0x440dff55,0x4004ffff,0x806ffffc,
    0xffffffea,0x3ea02eff,0x7ffc42ff,0x20fffb81,0xfffffffe,0x447fffff,
    0x00ccc099,0x00000000,0x00000000,0x32000000,0xfffeeeee,0x85eeeeef,
    0x3f27fff8,0xfff902ff,0x23fffffa,0x3fa05ffb,0xfe8006ff,0x3201ffff,
    0xcffcffff,0x5c45ffff,0xffc85fff,0xe97ffa05,0xffffffff,0x0007ffff,
    0x0007dd70,0x00000000,0x00000000,0x3ff60000,0x7ffec006,0x5c0ffff2,
    0xeeff9fff,0x04ffcbff,0x001ffff9,0xffffffc8,0x1dff100e,0xffb15ff3,
    0x3fffff23,0x07ffc40e,0x003fff30,0x7776c400,0x3ffee00d,0x0000004f,
    0x00000000,0x00000000,0x4006ffd8,0xffadfffa,0x3ffea04f,0xeffbcffc,
    0xffa83ffd,0x7d4002ff,0x5fffefff,0x3ffa92e0,0xefffc92e,0x00133102,
    0x00001333,0x0efffd88,0x0ffffff0,0x00000000,0x00000000,0xfb000000,
    0xffd000df,0x401fffbf,0x9ffffff8,0x2ffffff9,0x027fffcc,0x2bfffe20,
    0x002ffff9,0x5d409ff7,0x0000001a,0xffb80000,0xffff80ef,0x000000ff,
    0x00000000,0x00000000,0x0037fec0,0x7fffffdc,0xfffff805,0x3fffffa7,
    0x3ffffa21,0x1aaaaaaa,0x324fffe8,0xb800ffff,0x000005ff,0x00000000,
    0x2077ffcc,0x006ffffd,0x00000000,0x00000000,0xffd80000,0xfff88006,
    0xfe802fff,0x3fee4fff,0x3fee0fff,0xffffffff,0x7ffe45ff,0x37fff40e,
    0x0004cc40,0x00000000,0x5ddc4000,0x077ff442,0x00000000,0x00000000,
    0x6c000000,0xfb0006ff,0x3600ffff,0x3e62ffff,0x7fe47fff,0xffffffff,
    0x3ffea5ff,0xffff982f,0x00000004,0x00000000,0x00330000,0x00000000,
    0x00000000,0x4c400000,0xff500009,0x3f2009ff,0xfffe87ff,0x7ffffe46,
    0x5fffffff,0x409ffff1,0x001ffffc,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_bold_33_usascii_x[95]={ 0,6,3,0,1,0,0,6,4,3,2,1,3,4,
5,1,0,1,1,2,0,2,1,1,1,1,6,3,1,2,3,4,0,0,2,1,1,2,2,0,1,2,2,2,
3,0,1,0,2,0,2,1,1,1,0,0,0,0,1,4,1,4,1,0,0,1,2,2,1,1,0,1,2,2,
1,2,2,0,2,1,2,1,2,2,0,2,0,0,0,0,2,2,7,3,0, };
static signed short stb__consolas_bold_33_usascii_y[95]={ 24,1,1,2,-1,0,1,1,-1,-1,1,7,17,13,
18,1,2,2,2,2,2,2,2,2,2,2,7,7,6,10,6,1,0,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,1,0,2,27,1,7,1,7,1,7,0,7,1,0,
0,1,1,7,7,7,7,7,7,7,2,7,7,7,7,7,7,0,-3,0,11, };
static unsigned short stb__consolas_bold_33_usascii_w[95]={ 0,6,12,18,16,19,19,6,11,11,14,16,10,11,
8,16,18,16,16,15,18,15,16,16,16,16,6,10,15,15,14,12,18,19,15,16,17,14,14,17,16,14,13,16,
14,18,16,18,15,19,16,16,16,16,19,18,19,18,16,10,16,9,16,19,12,15,15,14,15,16,17,17,14,15,
14,16,15,18,14,16,15,15,15,14,16,14,18,18,18,18,14,13,4,13,18, };
static unsigned short stb__consolas_bold_33_usascii_h[95]={ 0,24,9,22,29,25,24,9,32,32,15,17,13,4,
7,27,23,22,22,23,22,23,23,22,23,22,18,23,19,10,19,24,31,22,22,23,22,22,22,23,22,22,23,22,
22,22,22,23,22,29,22,23,22,23,22,22,22,22,22,31,27,31,12,4,7,18,24,18,24,18,24,24,23,24,
31,23,23,17,17,18,24,24,17,18,23,18,17,17,17,24,17,31,34,31,8, };
static unsigned short stb__consolas_bold_33_usascii_s[95]={ 254,204,220,204,133,184,227,248,18,6,161,
72,176,204,233,167,233,238,201,129,21,217,1,56,18,55,247,35,87,204,72,
36,94,1,223,46,186,171,156,111,122,107,80,73,40,37,20,198,239,113,139,
63,90,94,218,1,162,182,145,68,150,44,187,184,220,120,211,136,65,103,97,
115,166,81,79,133,150,229,214,151,49,1,198,168,181,183,89,108,142,17,127,
30,1,54,233, };
static unsigned short stb__consolas_bold_33_usascii_t[95]={ 1,1,128,85,1,1,1,108,1,1,128,
128,128,26,137,1,36,61,61,61,108,36,61,85,61,108,1,61,108,128,108,
36,1,108,85,61,85,85,85,61,85,85,61,85,108,85,85,36,85,1,85,
61,85,61,61,85,61,61,61,1,1,1,128,27,138,108,1,108,36,108,36,
36,36,36,1,36,36,108,108,108,36,36,108,108,36,108,128,128,128,36,128,
1,1,1,128, };
static unsigned short stb__consolas_bold_33_usascii_a[95]={ 290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_33_usascii_BITMAP_HEIGHT or STB_FONT_consolas_bold_33_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_33_usascii(stb_fontchar font[STB_FONT_consolas_bold_33_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_33_usascii_BITMAP_HEIGHT][STB_FONT_consolas_bold_33_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_33_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_33_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_33_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_33_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_33_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_33_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_33_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_33_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_33_usascii_s[i] + stb__consolas_bold_33_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_33_usascii_t[i] + stb__consolas_bold_33_usascii_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_33_usascii_x[i];
            font[i].y0 = stb__consolas_bold_33_usascii_y[i];
            font[i].x1 = stb__consolas_bold_33_usascii_x[i] + stb__consolas_bold_33_usascii_w[i];
            font[i].y1 = stb__consolas_bold_33_usascii_y[i] + stb__consolas_bold_33_usascii_h[i];
            font[i].advance_int = (stb__consolas_bold_33_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_33_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_33_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_33_usascii_s[i] + stb__consolas_bold_33_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_33_usascii_t[i] + stb__consolas_bold_33_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_33_usascii_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_33_usascii_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_33_usascii_x[i] + stb__consolas_bold_33_usascii_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_33_usascii_y[i] + stb__consolas_bold_33_usascii_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_33_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_33_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_33_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_33_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_33_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_33_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_33_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_33_usascii_LINE_SPACING
#endif

