// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_34_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_34_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_34_usascii_BITMAP_WIDTH         256
#define STB_FONT_consolas_bold_34_usascii_BITMAP_HEIGHT        154
#define STB_FONT_consolas_bold_34_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_consolas_bold_34_usascii_FIRST_CHAR            32
#define STB_FONT_consolas_bold_34_usascii_NUM_CHARS             95

#define STB_FONT_consolas_bold_34_usascii_LINE_SPACING          22

static unsigned int stb__consolas_bold_34_usascii_pixels[]={
    0x04c43331,0x00051000,0x4c000100,0x9882e001,0x21999999,0x99999999,
    0xcdca8800,0x0000001b,0x40000000,0x2aa1aaa8,0x5510002a,0x22000013,
    0x2aaa6101,0x55550000,0x7ffdc003,0x07dfff51,0x001ff440,0x00effa80,
    0x0fffec88,0xf90efc80,0x1fffffff,0x3ffffffe,0x7ff4c05f,0x0005ffff,
    0x88009ff5,0x0bdefecb,0xfff90000,0x017ffe45,0x7ffffd40,0x3722001d,
    0xfdcefffe,0x005fffb2,0xa93fffe0,0x7fdc0dfe,0xfffff51f,0xfffd001d,
    0xff880007,0x7fd405ff,0x6400ffff,0xfff95fff,0x3e1fffff,0x5fffffff,
    0x3fffff20,0x8005ffff,0x26002ffb,0xfffffffe,0x7c40002f,0x7ffcc6ff,
    0xfffa8005,0x400dffff,0xfffffffa,0xffb2ffff,0x3fe0005f,0xffff34ff,
    0x51fffb8d,0x0bffffff,0x07ffff50,0x7fffcc00,0x3fffe207,0x3f200fff,
    0xfff90fff,0x3e1fffff,0x5fffffff,0x15dfff70,0x009fff95,0x7001ffc8,
    0xffffffff,0x40009fff,0xfd83fffb,0x7d4000ff,0xffffffff,0xfffff900,
    0x5fffffff,0x000bfff6,0xfba7fff4,0x3ee1ffff,0xffea81ff,0xfffb801f,
    0xff10001f,0x7fe40bff,0xffa801df,0x7fe401ff,0x00bfff0f,0x6417ffe6,
    0x54400fff,0x00abffeb,0x3bffffe6,0x1fffffec,0x1fffd000,0x009fff50,
    0xffdbaa88,0xff986fff,0xfb30aeff,0x3fff65ff,0xfffd0002,0x3ffffee9,
    0x407ffee1,0x7003fffa,0x4000dfff,0x3a00effa,0xf8800fff,0xfc801fff,
    0x0bfff0ff,0xd017ffa0,0x3faa05ff,0xffffffff,0x1dfffb03,0x05ffff98,
    0x04fffa80,0x0001fffa,0x0fffff62,0x320bfffb,0xfffb2fff,0x3ffa0005,
    0xdffff13f,0x201fffb8,0x3a004fff,0x40003fff,0x05fff800,0x009fffb0,
    0x7fc3fff2,0xfffa805f,0x437fdc00,0xfffffffd,0xf983ffff,0xff500fff,
    0xfd8003ff,0x3fee01ff,0xe880003f,0x3fe65fff,0xfff901ff,0x20bfff65,
    0x3fffd800,0xf7037b66,0x7ff403ff,0x3ffe6005,0x2000001f,0xa804fff8,
    0x32006fff,0xbfff0fff,0x009ffd00,0x7dc1fff3,0xfffeffff,0xffd83fff,
    0x7fffc04f,0x3ffe2004,0x37ffc405,0xfffc8000,0x81bffea7,0xffb2fffc,
    0x3fffae3f,0x7fffb00d,0x0fffdc00,0x800dffd0,0xea84fffc,0xeeeeeeee,
    0xfff103ee,0x5fffb007,0x87ffe400,0x7cc05fff,0x799710ff,0x21fff3b7,
    0xa8cffff8,0xd03513ff,0xfc805fff,0x3f2005ff,0xffc802ff,0xfb80001f,
    0x3ffee6ff,0x4bfff204,0xffd9fffd,0xd81fffff,0x2e002fff,0x3fa01fff,
    0x7fc4006f,0xffffb87f,0x4fffffff,0x807fff10,0x4006fff8,0xfff0fffc,
    0x36ffc80b,0x1ffffffd,0x3fe63ffd,0x05ff70ff,0x801ffff0,0x2005fffb,
    0xf3006fff,0xb0000bff,0x7fe4bfff,0x3fff203f,0xffffffb2,0x1fffffff,
    0x002fffd8,0xe807ffee,0xfe8006ff,0x7ffdc2ff,0xffffffff,0x07fff104,
    0x003fffb8,0xff87ffe4,0x9fff405f,0x7ffffffe,0x3fea5ffd,0x03ffb0ff,
    0x807fff88,0x7006fffa,0x6c007fff,0x10000fff,0x645ffff9,0x3f204fff,
    0xffffb2ff,0xfff959ff,0x2fffc87f,0x07ffee00,0x000fffd8,0x2227ffdc,
    0xc9999999,0xff304fff,0xfffe807f,0x7ffe4000,0x440bfff0,0xfffa9fff,
    0xffb7ffdb,0x37fffe67,0x4c00ffe8,0xf9807fff,0xffd007ff,0x7fd4001f,
    0x3ffa004f,0x5c5fffff,0x3f204fff,0xffffb2ff,0x6fffc81d,0x0017ffe4,
    0x6403fff7,0x44002fff,0x5c006fff,0xff704fff,0x6fff805f,0x0fffc800,
    0x7cc0bfff,0x2ebffb7f,0x47ffb6ff,0xffffffff,0x7fffa807,0x07fff980,
    0x004fff98,0x2007ffe8,0xdffffffe,0x837ffd40,0xfb2ffff9,0xff101fff,
    0x7ffe41ff,0x7dc0e541,0x3fe601ff,0x3e001cff,0x7dc007ff,0x3ee624ff,
    0x7fc407ff,0xffc8005f,0x40bfff0f,0x7fff6ffb,0x7fed7ff2,0x3ffffea3,
    0x2600cfff,0xfa807fff,0xffd806ff,0xffb8001f,0xfffd002f,0x3fe605bf,
    0x7ffc41ff,0x5fffb2ff,0x70ffffc0,0x7ff43fff,0x0fffdc4f,0x3ffffaa0,
    0x7ffe800f,0xa7ffdc00,0x1ffffffb,0x027ffcc0,0xf87ffe40,0x3ff205ff,
    0xfb1fff8c,0x70bff6bf,0xffffffff,0xfff101bf,0xfffa801f,0x37ffc405,
    0x6fff8800,0x00fffb00,0x26bbfffa,0x2ffffffb,0x7405fffb,0x3fee2fff,
    0xfffff71f,0x00fffdc1,0x07ffff4c,0x007ffec0,0x2e9fff70,0x800cffff,
    0x8004fffa,0xfff0fffc,0x4e7fe40b,0x9ffb0fff,0x3620bff6,0xffffffff,
    0x7fffc42f,0x27ffdc01,0x00bfff20,0x01fffc80,0x5007ffd8,0xffffffff,
    0x365fffff,0x3f602fff,0x3ffee2ff,0x3fffff91,0x200fffdc,0x0ffffffc,
    0x00fffd80,0x5d3ffee0,0x01dfffff,0x0027ffdc,0xff87ffe4,0x2fff605f,
    0xffd0fff9,0x8807ffa7,0xfffffffd,0x1ffffc1f,0x00ffffa0,0x8000ffff,
    0xd805fff9,0x3f2006ff,0xbdffffff,0xfffb2fff,0x0ffff405,0x3ea1fff7,
    0x3ee0ffff,0x3fe601ff,0x3a000aef,0x7dc007ff,0x7fed44ff,0x7ffd406f,
    0xfffc8004,0x6c0bfff0,0x27ffabff,0x1fff2fff,0xffcffd80,0x7fe45fff,
    0x3ffe206f,0x3ffea00f,0xffe80003,0x04cc400f,0x3fffee00,0x25fff74f,
    0x3e02fffd,0x26620fff,0x217ffec1,0x3201fffb,0xf8001fff,0x7dc007ff,
    0xfffb04ff,0x2fffcc05,0x87ffe400,0x3f605fff,0x88fff9bf,0x6ff99fff,
    0xfd17fe80,0xfff98fff,0xfffe884f,0x07fff404,0x7ffd4000,0x88000003,
    0x97ffe41a,0xf502fffd,0xa9800fff,0x01fffb80,0x4001fff6,0x5c006fff,
    0xff504fff,0x7ffc407f,0xfffc8006,0x6c0bfff0,0x9fff8bff,0xffcafffc,
    0x2a6ff804,0x7f40ffff,0xecabdfff,0x2601ffff,0x00004fff,0xd501fffe,
    0xc800007d,0xfffb2fff,0x9fffd105,0x4003dc88,0x3a01fffb,0xf98006ff,
    0x7dc005ff,0xfff104ff,0x1ffff807,0x87ffe400,0x3f205fff,0xffffff4f,
    0x03ffffff,0x3ea5ff88,0xfff886ff,0xffffffff,0x7ffec02f,0x3ee00001,
    0xfff302ff,0x6400007f,0xfffb2fff,0xffffe987,0x01ffff40,0x403fff70,
    0xc8006ffe,0x5c002fff,0xff104fff,0xfffc807f,0x7ffe4003,0x5c0bfff0,
    0xffff95ff,0x87fffffb,0x53fe60a9,0x304fffe8,0xffffffff,0xff8805ff,
    0x4400006f,0xff706fff,0x40000bff,0xffb2fffc,0xffffffff,0xfff885ff,
    0x3fee006f,0x1bffa01f,0x01fffe00,0x413ffee0,0x4c03fff8,0x64006fff,
    0xbfff0fff,0xe8b7fd40,0x7dff54ff,0xfbbdff70,0xfffffbdf,0x7ff5c403,
    0xb800cfff,0x00002fff,0xa81fffd8,0x0004ffff,0x6cbfff20,0xffffffff,
    0xff882fff,0x3ee005ff,0x3ffa01ff,0x7ffd4006,0xfffb8004,0x07fff104,
    0x005fffd0,0xff87ffe4,0x3ffea05f,0xf7004020,0xffffffff,0x4005ffff,
    0x2001fffd,0x00007fff,0x209fff30,0x0000effd,0x4cbfff20,0xffffffec,
    0x3fee00ce,0x3fee001f,0x1bffa01f,0x0ffff880,0x4fffb800,0x007fff10,
    0x400dfff7,0xfff0fffc,0x03fff80b,0x7fffdc00,0xdfffffff,0x7ffdc001,
    0xfffa8084,0x3a000004,0x05300fff,0x99950000,0x00666203,0xb8001510,
    0x3fe01fff,0x3ff2005f,0xffb0004f,0x27ffc07f,0x03fffe80,0x3e1fff90,
    0x7fe405ff,0x5d440006,0xbdefffed,0xfff30001,0x87f7339f,0x0000fffe,
    0x0fffea00,0x00000000,0x80000000,0xf101fffb,0x3e6009ff,0x3e0006ff,
    0x3fa02fff,0xfff3006f,0xfff9003f,0x3017ffe1,0x1880bfff,0x00dff100,
    0x7fffec00,0xf30fffff,0x00000bff,0x000dfff0,0x00000000,0x7dc00000,
    0xfffb01ff,0xffff3007,0xff501403,0x7fec01ff,0xfff9003f,0xfffc801f,
    0xd00bfff0,0x2215bfff,0xf3002fc9,0x440000bf,0xffffffff,0x0399953f,
    0x99500000,0x00000019,0x00000000,0x47ffee00,0xffffecc9,0x7fffc400,
    0x4d67fc04,0x04ffffca,0x66ffffcc,0x77fff404,0xfd999950,0x3fffe1ff,
    0x7443cccc,0xffffffff,0xff5002ff,0xb8800009,0x01dfffff,0x00000000,
    0x00000000,0x00000000,0x3ea3fff7,0x802fffff,0xf804fffe,0xffffffff,
    0xfffb006f,0x74401fff,0xfff95fff,0x3e1fffff,0x5fffffff,0xffffffb0,
    0x2e003dff,0x000002ff,0x00000662,0x00000000,0x00000000,0x3ee00000,
    0xffff51ff,0x3fea003d,0xfffff004,0x001bffff,0x07ffffdc,0x643bfa20,
    0xffffffff,0xfffffff0,0x7edcc0bf,0x44001cde,0x00000099,0x00000000,
    0x00000000,0x00000000,0x3fff7000,0x0006af26,0xec98012a,0x001cdefe,
    0x00995310,0xccca8362,0x3324cccc,0x03cccccc,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2e000000,0x00001fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x03fff700,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3aa00000,0x000000ee,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00026200,0x400cdca8,0x11001aa9,0x554c0000,0x0098800a,0xaa800400,
    0x02aaaaaa,0x0002aaa6,0x00035553,0x75400400,0xee8805ee,0x5d4000ee,
    0x000bcdec,0x00000000,0x7ffffe44,0xffd1000c,0x3e605fff,0x49dd90ff,
    0x00dffffc,0x17ffe400,0xfffffda8,0x203eeeee,0x7c01ffe8,0x6fffffff,
    0x00bfff60,0x007fff70,0x27edc400,0x17fffc40,0x01bffee0,0xfffffe98,
    0x36e203ff,0x000bdefe,0x3fffb722,0x3e600cde,0xffffffff,0xffffd800,
    0x5ffd07ff,0x7f477fec,0x01ffffff,0x0bfff200,0x3ffffff6,0x04ffffff,
    0xf01ffffa,0xdfffffff,0x017ffec0,0x00fffee0,0x4fffb800,0x0bfff900,
    0x003fffe8,0xfffffff3,0x3fe607ff,0x2fffffff,0xfffffc80,0x202fffff,
    0xffeffffe,0x7fc406ff,0xb85ffd0e,0x7ffec5ff,0xfffffffe,0xf90000ff,
    0xfffc85ff,0xfffffddf,0x3ffe04ff,0x333200ff,0x206fffdc,0x4002fffd,
    0x0003fffb,0x013ffee0,0x807fffcc,0x800ffff9,0xbcffffe8,0xffc82dcb,
    0xffffffff,0x3fff603f,0xffffffff,0x4bfff702,0x201fffe8,0x3fee4ffa,
    0xb03ffe63,0x59ffffff,0x007ffff9,0x98bfff20,0x3620efff,0xfe800fff,
    0x7cc007ff,0x3ff606ff,0x7fdc002f,0x2e00003f,0x3a004fff,0xff903fff,
    0x3fea009f,0xff3000ff,0xffd9dfff,0xff703fff,0x97579fff,0x3ff605fd,
    0x1fffdc0f,0x7d49ff50,0x20fffa3f,0x40effffd,0x0006fffc,0x7d45fff9,
    0xfffa82ff,0x2ffe9804,0x37ffcc00,0x005fffb0,0x003fffb8,0x13ffee00,
    0x06fffb80,0x2003fffd,0x2003fffb,0x4c0efffe,0xfe85ffff,0x804405ff,
    0xffa87ffe,0x97fe602f,0xbff72ffc,0x03ffff60,0x003fffe2,0x2fffc8c4,
    0x7c03fff2,0x002005ff,0x037ffcc0,0x1885fffb,0x00fffee0,0xfeeeee80,
    0xeeeeefff,0x7fffc40e,0x037ffcc1,0x005fffb0,0x403fffea,0x7c0ffffa,
    0x20002fff,0x7ec1fffd,0x3fe200ff,0x88fffabf,0xffb00fff,0x7fffc05f,
    0xfffd7101,0x5c5fffff,0xff882fff,0x8000004f,0x3606fff9,0xfff91fff,
    0xfffb81bf,0x1bdddb03,0xfffffff8,0xffffffff,0x44fffd81,0x2003fffc,
    0xb001fffd,0xff809fff,0x3ffe23ff,0x3ee0003f,0x3ffee4ff,0xffffc805,
    0x07ffb4ff,0xd017ffec,0xff505fff,0xffffffff,0x2fffd45f,0x741fffe4,
    0x5eeeeeee,0x37ffcc00,0xfd5fffb0,0x41ffffff,0xfd83fffb,0xfff81fff,
    0xffffffff,0xf981ffff,0x7fffc7ff,0x3fff6000,0x3fffd001,0x44fffc80,
    0x002fffff,0xb7ffff10,0x2001ffff,0xf74ffffc,0xfffd80df,0x0bfff602,
    0xfffffff9,0xe85fffff,0xfdbcffff,0xfff80eff,0x006fffff,0xb037ffcc,
    0xffffffff,0x7dcbffff,0x7ffdc3ff,0x9333302f,0x3333bfff,0x7fff4033,
    0x40bfff52,0xffeaaaa9,0x2aaaaacf,0x2007fffc,0x7ec5fffb,0x00aeffff,
    0x7ffffdc0,0x44000eff,0x3fff1099,0x02fffd80,0xf987fffa,0xb30aefff,
    0xffb85fff,0xffffffff,0xffffff01,0xf9800dff,0x3ff606ff,0xfdacffff,
    0xfff70fff,0x1ffffd47,0x09fff700,0x29fff700,0x3201fffd,0xffffffff,
    0x27ffffff,0xa807fff8,0x7fc46fff,0x1cffffff,0x3ffffa00,0x3600004f,
    0xffd803ff,0x3fffe02f,0x417fffa0,0x3e22fffc,0xffffffff,0x2666600c,
    0x4006fffa,0x3606fff9,0x7c0effff,0xfff71fff,0x13fffe67,0x09fff700,
    0x1ffff100,0xfc80dfff,0xffffffff,0x267fffff,0xf9807fff,0xfff987ff,
    0x0dffffff,0x7ffffe40,0x00555445,0x200dff50,0xf502fffd,0x7ffccfff,
    0x5fff901f,0xaa8b7fe4,0xfff30001,0xfff9800d,0x3ffff606,0x72fffd80,
    0xffd17fff,0xff7000bf,0x3f60009f,0x03fffdff,0x7ff7775c,0xeeeeeeff,
    0x01fffea5,0x441fffe6,0xfffffffc,0xfff901ff,0x7dc9ffff,0xff1001ff,
    0x3ff6003f,0xfffe882f,0x81bffea4,0x3fa2fffc,0x2600005f,0x4c006fff,
    0x3f606fff,0xfff902ff,0x3afffee5,0x70005fff,0x20009fff,0xfffffffa,
    0xfffd8000,0x7fff9801,0x06fffa80,0x7ffff5c4,0x7fd40eff,0x2ffffbff,
    0x2001fff7,0xbd934ffd,0x87fffb07,0x20ffffe9,0x3204fffb,0x3ffa2fff,
    0x01999acf,0x06fff980,0x037ffcc0,0x3205fffb,0xfff72fff,0x001dffff,
    0x013ffee0,0xfffffe80,0xfffb0005,0xffff1003,0x5fffa801,0x3fff6600,
    0x7fff43ff,0x93ffff91,0x3ea00fff,0xfffff76f,0x7fffec1d,0xffffffff,
    0x01fffe42,0x7dc5fff9,0xffffffff,0xf9800cef,0x7cc006ff,0x3ff606ff,
    0x5fff902f,0x3fffffee,0xf70001ff,0x5c0009ff,0x001fffff,0x003fffb0,
    0x7007fffe,0x50009fff,0x7ccbffff,0x7ffec6ff,0x8806ffee,0xfff89fff,
    0x3f64fffe,0xffffffff,0xfffc82ff,0x0bfff204,0xfffffffb,0x803fffff,
    0x4006fff9,0x3606fff9,0xff902fff,0x2fffee5f,0x000efffd,0x004fffb8,
    0x1bfffe20,0x1fffd800,0x07fffd00,0x003fffe8,0x54dfffb0,0x7f444fff,
    0x803fffff,0x7ff94ffd,0xffd9ffe6,0xceffffff,0x09fff700,0xf317ffe4,
    0xfddddfff,0x401fffff,0x4006fff9,0x3606fff9,0xff902fff,0x2fffee5f,
    0x005ffff8,0x005fffb8,0x0bfffe20,0x1fffd800,0x0dfff900,0x00ffffc4,
    0x25fffc80,0xf884fffa,0x400fffff,0x3ff66ffa,0xffd9ffe1,0x500199af,
    0x3e60dfff,0xfff12fff,0x3ffea03f,0x3ffe602f,0x7ffcc006,0x0bfff606,
    0xfb97ffe4,0xffff33ff,0xfffa8009,0x3ff60007,0x7ec0006f,0xff1001ff,
    0xffd109ff,0x8801889f,0x3e63ffff,0xffa80fff,0x7fc405ff,0xe83ffa1f,
    0x5fffb0ff,0xffff3000,0xfffff883,0x807fff72,0x2603fffd,0x4c006fff,
    0x3f606fff,0xfff902ff,0xc8fffee5,0x2002ffff,0x41cffff9,0x3fff2009,
    0x7ec0001f,0x3f6001ff,0xecabdfff,0x7d40ffff,0xca99abdf,0x7c1fffff,
    0x3221efff,0x201fffff,0x7fec4ffc,0xffd9ffe2,0xffd0002f,0xfff735df,
    0x3ff65fff,0x7fff404f,0x1bffe601,0xfa999988,0x09999fff,0x3205fffb,
    0xfff72fff,0x1ffffe87,0x3ffffa00,0x321fffef,0x3ffffeba,0xfffd8000,
    0x3ffe6001,0xffffffff,0xffffa83f,0xffffffff,0xffffb83f,0xffffffff,
    0xff980fff,0x577fdc0e,0x3ff65ffd,0xff50002f,0xdfffffff,0x3fee5fff,
    0x7ecc0aff,0x266626ff,0x99ffffa9,0xffff9099,0xffffffff,0x0bfff6bf,
    0xfb97ffe4,0x7ffc43ff,0xff3000ef,0x3fffffff,0x3fffffe2,0xfb00005f,
    0xe88003ff,0xffffffff,0xffff502f,0xffffffff,0x7fffec09,0xfeefffff,
    0x7ff40eff,0xfffff882,0x3fff60ff,0x3ff20002,0xf9efffff,0xffff12ff,
    0xffffdfff,0x7ffe41ff,0xffffffff,0xffff95ff,0xffffffff,0x0bfff6bf,
    0xfb97ffe4,0xfffa83ff,0x3f66006f,0x10ffffff,0x05ffffff,0x7ffec000,
    0xffd90001,0x4c01bfff,0xffffffed,0xe9800cff,0x13ffffff,0x7e4bffff,
    0x3ffa604f,0x7ffec1ef,0x7fdc0002,0xfff14fff,0x7ffff4c5,0x1dffffff,
    0x7fffffe4,0x5fffffff,0xfffffff9,0x2bffffff,0xf902fffd,0x3ffee5ff,
    0x9ffff903,0x9aa98800,0x5ef7f440,0x7ec00000,0x980001ff,0x9988000a,
    0x200009aa,0x000009a9,0xca804c40,0x100001cc,0xd9300035,0x0199dffd,
    0x3ffffff2,0x5fffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xccccccc8,0x641ccccc,0xcccccccc,0xcb9804cc,0x01bdeffe,0xcccbaa88,
    0x01666542,0x64c3332e,0x993000cc,0x33332a19,0xcccccccc,0x64401ccc,
    0x44000eee,0xdefffdca,0x7654401b,0x5000bdef,0x64c01bfd,0x01defffe,
    0xdffffd95,0x3b26003b,0xa802deff,0x02deffdb,0x3ffffffe,0x7c3fffff,
    0xffffffff,0x3f6207ff,0xffffffff,0x3fff2604,0x7e44ffff,0x7ff403ff,
    0x03fff51f,0x6c3ffea0,0xffffffff,0x2fffffff,0xfffff910,0x7ffd4003,
    0xffffffff,0xffffd300,0x9803dfff,0xd886ffff,0xffffffff,0x7fffc45f,
    0x0dffffff,0xfffffb10,0xb101bfff,0xffffffff,0xfffff01d,0x7fffffff,
    0xfffffff8,0xf307ffff,0xffffffff,0x3ff209ff,0x4fffffff,0x201fffe4,
    0xff51fffe,0x3fea003f,0x3fffff67,0xffffffff,0x7fe442ff,0x801fffff,
    0xffffffc8,0x80ffffff,0xfffffffa,0x2e02ffff,0x6c1fffff,0xffffffff,
    0x3fe25fff,0xffffffff,0xfffe885f,0x6fffffff,0x7fffffdc,0xf86fffff,
    0xffffffff,0x66643fff,0xfffccccc,0xfffff987,0x4ffedcef,0xffffffd8,
    0x7e43eeee,0x7ff403ff,0x03fff31f,0xec9ffea0,0xffffeeee,0x21eeeeee,
    0xfffffffb,0xffd801ff,0xedcdffff,0x7fc40fff,0xffcabeff,0x3fee06ff,
    0x3fea1fff,0xfca89bff,0x9df11fff,0xffffb757,0xffffd85f,0xffffdbac,
    0x3bfffee3,0x3fffffdc,0x4ccf7ffc,0x00099999,0x361fffe2,0x880cffff,
    0x7fffdc3a,0xfff9001d,0x1fffe807,0x2003fff3,0xfd807ffb,0xffe803ff,
    0x1ffffdff,0x7ffffd40,0xf9036a01,0xfff10dff,0x3ffe207f,0x1fffe46f,
    0x023fffd8,0x24ffff88,0xc82ffff9,0x3f20ffff,0x5ffff884,0x0002fffc,
    0x51fffe20,0x8007ffff,0x003ffff8,0x201fffe4,0xff11fffe,0x3fee005f,
    0x3fffd806,0xf1effa80,0xfe803fff,0x88000eff,0xf700ffff,0x76cc0dff,
    0x07ffec0d,0x003fffb8,0xfb97fff2,0x3ffe05ff,0xff70142f,0x05fff8ff,
    0x7ffc4000,0x037fff47,0x037ffdc0,0x01fffe40,0x7c47fffa,0xff7002ff,
    0x7fffb00d,0xfff0ba00,0x7ffd403f,0xff70001f,0x7ffc40bf,0xffb0001f,
    0x3fff207f,0x3ffee001,0x80ffff23,0x2003fffc,0x7fc7fffa,0x4400005f,
    0x7ffc7fff,0xffd8003f,0xffc8002f,0x7fff403f,0xff0bffe1,0x805ffb8d,
    0x0003fffd,0xc807fffe,0x20005fff,0xf502fffc,0x0005ffff,0x50bfffee,
    0xd800dfff,0x3ff60fff,0x3ffee04f,0x3ffea004,0x5577ffc6,0x2200009a,
    0x3fe67fff,0xff8000ff,0xabaa89ff,0x0ffff201,0x7c3fffd0,0x3ffea2ff,
    0x2017ff21,0x0003fffd,0xd807fffe,0x20003fff,0xfc81fffd,0x003fffff,
    0xbfffff10,0x05ffff73,0x17fff220,0x540ffff9,0x32005fff,0x7ffc5fff,
    0x2dffffff,0x7fff8800,0x001fffea,0x3f7fffe2,0x82ffffff,0x7403fffc,
    0x3ffe1fff,0xc8ffff23,0xffd804ff,0x3fe0003f,0x3ffe01ff,0x6666542f,
    0x3ffa0ccc,0x3fffa60f,0x0004ffff,0x3fffffe6,0x3a02ffff,0x4fffffee,
    0x83ffffa8,0x006fffc8,0xf85ffff1,0xffffffff,0x7c4005ff,0x3ffee7ff,
    0xfff98006,0xffffffff,0x7ffe45ff,0x0ffff403,0x7ffc7ffd,0x013ff26f,
    0x000ffff6,0x101ffff8,0xfc83ffff,0x20ffffff,0x3fee7fff,0x5fffbeff,
    0x3fa20040,0x02ffffff,0x7ffffffc,0xffff881d,0xfffdcdff,0xffb006ff,
    0xddddd0df,0x9fffffff,0x3fffc400,0x000dfff9,0xfffffff3,0x7ffffffd,
    0x201fffe4,0x3fa1fffe,0xfffff33f,0x2013ff61,0x0003fffd,0x4407fffe,
    0x7e40ffff,0x10ffffff,0xffb1ffff,0x3ffe69ff,0x01dff705,0x3fffffa2,
    0x3fe03fff,0xdfffffff,0x7ffffd40,0xffffffff,0xffffb806,0x3fae2001,
    0xf1000fff,0x7ffdcfff,0xfffa8007,0x7ff4c1cf,0x0ffff27f,0x6c3fffd0,
    0xffff74ff,0x00fff67f,0x000ffff6,0x101ffff8,0xeb83ffff,0x20ffffee,
    0xffffffff,0x13ffea2f,0x21bfffe6,0xfeeffff9,0x5503ffff,0xffffd955,
    0xfffff70d,0xbfffffff,0x3ffffb80,0xffff3000,0x3ffe2005,0x03fffea7,
    0x0ffff300,0xc87fffcc,0x7f403fff,0x53ff61ff,0xb5ffbffe,0xffb007ff,
    0x7fc0007f,0x3ffe01ff,0x7fff402f,0x3fffffa0,0x7ffdc0ef,0xfffffb83,
    0x8ffffe62,0x01fffffb,0x0ffffea0,0x2f7b72e2,0x204fffb9,0x004ffffa,
    0x027ffec0,0x267fff88,0x4001ffff,0x7407fff8,0xfff71fff,0x0fffe807,
    0x3fe33ff6,0xfe8fff9d,0xfffd802f,0x3ffe0003,0x3fffa01f,0x07fff403,
    0x07fffffb,0x260bfff2,0x364fffff,0xff983fff,0x7e4004ff,0xfd8005ff,
    0xfff503ff,0xfb00009f,0x3e6009ff,0x3ffe27ff,0xfff8005f,0x3fffa00f,
    0x809fff72,0x7fe47fff,0xfff2ffbd,0xb005ffd5,0x40007fff,0x3201ffff,
    0x7f406fff,0x3fff20ff,0x3fffa01e,0x9ffff901,0xa81fffe2,0x54006fff,
    0x44006fff,0xfa80ffff,0x00004fff,0x2005fffd,0x7f46fffa,0x7c001fff,
    0x3fe03fff,0xbfff50ff,0x237ffc40,0x0ffddffc,0x3ffd9ff9,0x07fffb00,
    0x0ffffc00,0x05ffff50,0xf507fff4,0x3e601dff,0x7ff406ff,0x0dfff33f,
    0x003fffc4,0x0017fff2,0xf50bfffb,0x00009fff,0x443fffee,0x17fffa01,
    0x05fffff3,0xdfff914c,0x99fffee0,0xf901ffff,0xeffb8bff,0x3ffe65ff,
    0xfd801ffe,0x3e0003ff,0x7f401fff,0xffd02fff,0x4fffe81f,0x807fffd0,
    0xff11fffc,0x3fea03ff,0x3fe6005f,0xfb3003ff,0xffa83fff,0x373003ff,
    0xffb53133,0x5efc49ff,0xffffd989,0xfffffd82,0x4fecaace,0x477fffe2,
    0x43ffffb8,0x10affffe,0xb81ffff7,0x7c3fffff,0x800fffff,0x9803fffd,
    0xfffccccc,0x4c4cccdf,0xacdfffff,0x40ffffb9,0x31cffffb,0xd00ffffb,
    0x7ffc1dff,0x7ffcc1df,0x1133533f,0xfffff933,0x665d54c1,0x43fffffe,
    0xeefffffa,0x55eeeeee,0xffffffff,0xff88bfff,0xffffffff,0xffffd105,
    0x9fffffff,0xffffffc8,0x985fffff,0xffffffff,0xfa84ffff,0x7e40ffff,
    0xd800ffff,0xfb803fff,0xffffffff,0xfc87ffff,0xffffffff,0xfe80ffff,
    0xffffffff,0x3f6602ff,0x7ffdc1ff,0xffffefff,0xffffb0ef,0xffffffff,
    0xfffffb85,0xe84fffff,0xffffffff,0xf56fffff,0xffffffff,0xffff109f,
    0x01dfffff,0x7ffffe44,0xc84fffff,0xffffffff,0xfff700df,0x9fffffff,
    0x1bfffea0,0x03ffffea,0x00ffff60,0x3fffffee,0x7fffffff,0xffffff50,
    0x01ffffff,0xffffffb1,0xfd303fff,0x3607ffff,0xffffffff,0x3ff60eff,
    0xffffffff,0xffffb82e,0xd01effff,0xffffffff,0x2adfffff,0xefffffff,
    0x3ffae00c,0x2003efff,0xfffffeda,0xffd500be,0x1005dfff,0xdffffffb,
    0x7fffcc03,0x0fffff03,0x00ffff60,0x3fffffee,0x7fffffff,0x3fffb220,
    0x401cefff,0xceffffeb,0xbffff300,0xfffd9803,0xfd82efff,0xdfffffff,
    0x3fffee02,0x7f401bde,0xffffffff,0x2626ffff,0x300009a9,0x26000033,
    0x1a980019,0x06a62000,0x00000000,0x00000000,0x00266a60,0x20026620,
    0x8001acd9,0x4c009a99,0x00019a99,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x01e665c0,0x952cccb8,
    0x33200799,0x999930cc,0x86664c07,0xcccccccb,0x332200ab,0x332202cc,
    0x3332e2cc,0x39999300,0xccccccc8,0x3ccccccc,0x99999993,0x21999999,
    0x6402ccc9,0x665c04cc,0x321665c1,0xcccccccc,0x99993ccc,0x99999999,
    0x33332a19,0x801abccc,0x902cccc8,0x55547999,0x07fffc9a,0x265ffff0,
    0x5c01ffff,0x3fee6fff,0xff700fff,0x3ffffa3f,0x0cffffff,0x40dfffb0,
    0x3a1ffffb,0xff881fff,0xffff86ff,0xffffffff,0xffff76ff,0xffffffff,
    0x13ffea3f,0x401ffff0,0x7ff42ffe,0x7fffffc3,0xf6ffffff,0xffffffff,
    0x3f21ffff,0xffffffff,0x3fe601ef,0xfff985ff,0x33fffa7f,0x401ffffa,
    0x7ec7fff9,0x7ff405ff,0x3fffee2f,0x3fff704f,0x3ffffffa,0x80efffff,
    0x883ffff9,0x7f44ffff,0xfffc81ff,0xfffff80f,0xffffffff,0xfffff76f,
    0xffffffff,0x013ffea3,0x7c01ffff,0x17ff41ff,0x3ffffffe,0xff6fffff,
    0xffffffff,0x3ff21fff,0xffffffff,0xff980cff,0x7fdc0fff,0x3fffa7ff,
    0x807ffff3,0x7cc5fffc,0xff701fff,0xffffb8df,0xfffb80ff,0xdddfffd1,
    0x0bffffff,0x2e1ffff6,0x7f40ffff,0x7ffcc1ff,0xfffff03f,0xffffffff,
    0x333326bf,0xcccdfffe,0x09fff50c,0x100ffff8,0xfff81fff,0x777fffc1,
    0xf5eeeeee,0xdddddfff,0x3f21dddd,0xffeeeeff,0xfa85ffff,0x7f42ffff,
    0x3ff67fff,0x0dfffb2f,0xd82fffe8,0xfff05fff,0xffffb85f,0xfffb83ff,
    0x983fffd1,0xf107fffe,0x7fc47fff,0xfffe84ff,0x02ffff41,0x3ffff200,
    0x0bfff601,0x404fffa8,0xf300ffff,0x0fff88ff,0x800ffffc,0x2001ffff,
    0xfa83fffc,0x7d41ffff,0x3e25ffff,0xf90fffff,0x3ffea5ff,0xffff100f,
    0x1ffff301,0xb86fffb8,0x86ffffff,0xffd1fffb,0xffff703f,0x3ffff201,
    0x01ffff70,0x7e43fffd,0x20000fff,0x404ffffa,0x2a02fffd,0x7fc04fff,
    0x32aa20ff,0xfbaaafff,0xfff2abff,0x3ffe003f,0x3ff2001f,0xfffd103f,
    0xffdffb8d,0x3ff7fee7,0x23fff90f,0x502ffff8,0x7ec0dfff,0x7fffc4ff,
    0xfefffb82,0x7ffdc2ff,0x103fffd1,0x2203ffff,0xff8bffff,0xfffd03ff,
    0x0bfffe63,0xffff8800,0x2fffd806,0x013ffea0,0x7dc1ffff,0xffffffff,
    0xf7ffffff,0x3e003fff,0x32001fff,0x3ee03fff,0x3fee1fff,0xffb2ffec,
    0x3ee1fff5,0x3fffa1ff,0x07fffb04,0xb87fffcc,0xff706fff,0xb8dfff7f,
    0xfffd1fff,0x1ffff103,0x67fffdc0,0x3fa06fff,0x9fffd1ff,0xfffc8000,
    0xfffd801f,0x13ffea02,0x5c1ffff0,0xffffffff,0x7fffffff,0x2003ffff,
    0x2001ffff,0x2203fffc,0x3ee2ffff,0xf8cffccf,0x71fff8ff,0x7fdc1fff,
    0x3ffff06f,0xd3fffd80,0x3ee05fff,0x1fffd9ff,0x7f47ffee,0xfffc81ff,
    0xffffe806,0x3fa02fff,0x6fffc9ff,0x7ffd4000,0xfffb003f,0x27ffd405,
    0x983fffe0,0xcceffecc,0x4cceffec,0x2003ffff,0x2001ffff,0x7403fffc,
    0x3ff23fff,0xffaeff9c,0xd51fff8c,0x7ffcc1dd,0x37ffcc0f,0x57fffcc0,
    0x3ee06fff,0x5fffa9ff,0x7f47ffee,0xfda99aff,0xfa802fff,0x406fffff,
    0xfffbfffe,0x3e20001f,0x36006fff,0x3ea02fff,0xffffffff,0x00ffffff,
    0xffc87ffb,0x9affff84,0xf0999999,0xdddddfff,0x7fe49ddd,0x7ffec03f,
    0x7fd3ff24,0xfff2ffdf,0x3fffa005,0x027ffdc3,0xffffffd8,0x3ffee02f,
    0x2e3fffd1,0xfffd1fff,0xffffffff,0x7fff4005,0x7ff401ff,0x004fffff,
    0x07fffe40,0x05fffb00,0x7fffffd4,0xffffffff,0x87ffd00f,0xfff83ffd,
    0xffffffff,0xffffff2f,0x4bffffff,0x6403fffc,0x3ff65fff,0x4fffffb3,
    0xf9002fff,0xfffe8bff,0xffff3001,0xffb80dff,0x29fff71f,0xffd1fffb,
    0x5fffffff,0xfffe8001,0x7ff402ff,0x006fffff,0x0ffffea0,0x05fffb00,
    0x7fffffd4,0xffffffff,0x85ffd00f,0xfff83ffe,0xffffffff,0xffffff2f,
    0x4bffffff,0x6403fffc,0x3ff65fff,0x49ffff53,0xf3002fff,0x7ffc4fff,
    0x7ffec007,0x7fdc01ff,0x23fffe1f,0xffd1fffb,0xbfffffff,0x7ffdc001,
    0x3a00ffff,0xffffafff,0xffe88004,0xffd8005f,0x3ffea02f,0xccccccce,
    0xff00ffff,0x82ffe83f,0xffffffff,0xfff2ffff,0x999999bf,0x1fffe459,
    0xd93fff60,0xffff13ff,0x001fffc5,0x3ea5ffff,0x7cc005ff,0xfb805fff,
    0x3ffee1ff,0xfd1fffbc,0xfff713ff,0x3fe2009f,0x04ffffff,0x3ee7fffa,
    0x64001fff,0x8000ffff,0x2a02fffd,0x7fc04fff,0xf99930ff,0xff9999ff,
    0x7ffc99bf,0x999999af,0x03ffff09,0x01fffe40,0xfe8ffffa,0xf1fffa3f,
    0x7ec007ff,0x5fff94ff,0x5fffd000,0x43fff700,0xffbffff8,0x43fffd1f,
    0x801ffffa,0xffcefffc,0xfffd00ff,0x01bfffa3,0x03ffffa8,0x05fffb00,
    0x2027ffd4,0xff50ffff,0xffffffff,0x21ffffff,0xf001ffff,0x64003fff,
    0x7fc03fff,0x8fffa2ff,0x7ff45ffb,0x3ffea004,0x001ffff6,0x005fffb0,
    0xfc83fff7,0xd1fffeff,0xffd83fff,0x7ffcc05f,0x5ffff8af,0x263fffd0,
    0x8804ffff,0x0005fffe,0xa80bfff6,0x7fc04fff,0xffff50ff,0xffffffff,
    0x3fe1ffff,0xfff001ff,0x7fe4003f,0x3ffee03f,0x88bffe0f,0x27ff41cc,
    0x5ffff100,0x2000bfff,0xb802fffd,0x7fcc1fff,0xfd1fffff,0xfffa83ff,
    0x3fff601f,0x0bfffee6,0xfc87fffa,0x7e402fff,0x20000fff,0x2a02fffd,
    0x7fc04fff,0xf95510ff,0xff9555df,0x7ffc555f,0xffff001f,0x7ffe4003,
    0x9ffff103,0xd002fff8,0xfd8009ff,0x03fffeff,0x05fffb00,0xb03fff70,
    0x23ffffff,0xfe81fffe,0xfff505ff,0x6ffff85f,0x221fffe8,0x300effff,
    0x0005ffff,0x202fffd8,0x7c04fffa,0xffb80fff,0xf837fd45,0xff001fff,
    0x7e4003ff,0xffe983ff,0x17ffc0ff,0x005ffe80,0x7fffffdc,0xffb0000f,
    0xfff7005f,0xfffff503,0x07fffa3f,0x207fffee,0xfb86fffe,0x7ff43fff,
    0x7fffd41f,0xffffe884,0xeeeeeeee,0xd555535e,0x55559fff,0x013ffea1,
    0xf901ffff,0x05ffb89f,0x2003ffff,0xaaabffff,0x3f22aaaa,0xfecbadff,
    0x7c43ffff,0xffb002ff,0xfff8800b,0x20006fff,0xb802fffd,0xffd01fff,
    0x3ffa3fff,0xffff881f,0x17fffdc4,0x20ffffe8,0xfd81fffe,0x7fcc2fff,
    0xffffffff,0xff77ffff,0xffffffff,0x3fea3fff,0x7fffc04f,0x643ffd80,
    0xffff04ff,0x3fffe003,0xffffffff,0xfffff90f,0x7fffffff,0x003fff10,
    0x2001bff6,0x04fffffe,0x0bfff600,0x407ffee0,0xd1fffffb,0x3f203fff,
    0xfff10fff,0x7ffd40df,0x07fffa4f,0x83ffffe2,0xfffffff9,0x7fffffff,
    0xfffffff7,0x23ffffff,0x7c04fffa,0xffe80fff,0xf81ffec3,0xff001fff,
    0xffffffff,0x3ff21fff,0xffffffff,0x3fff100d,0x01bff600,0x3fffff20,
    0x3ff60001,0xfffb802f,0x3ffffe01,0x203fffd1,0xf94ffff8,0xfe805fff,
    0xfffd1fff,0x3fffee03,0x3ffffe65,0xffffffff,0xfffff77f,0xffffffff,
    0x013ffea3,0xff01ffff,0x02ffe85f,0x2003ffff,0xffffffff,0xf90fffff,
    0x59bfffff,0x1fff9803,0x00dffb00,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x70000000,0x99999999,
    0x99500055,0xc8803999,0xcccccccc,0x973ccccc,0x57999999,0x66440001,
    0xccb82ccc,0x0008001c,0x20004000,0x4c000099,0x00080000,0x33000030,
    0x00980003,0x3a006200,0xffffffff,0x3a003eff,0x404fffff,0xfffffff9,
    0x6fffffff,0xfffffffb,0x00019fff,0x0bfffff9,0x8005fffb,0x00000ef9,
    0xd7305f98,0x5bffffff,0x3fffb200,0xdb7001de,0x207dffff,0xdefffed9,
    0xfffd9801,0xee85ffff,0xffffb13e,0x649dd909,0xd00dffff,0xffffffff,
    0x1007ffff,0x0dffffff,0xffffff98,0xffffffff,0xffffffb6,0x05ffffff,
    0x7ffffcc0,0x2fffd85f,0x3bffe200,0x3ee00001,0xfffe85ff,0x6fffffff,
    0x3ffffa60,0x2603ffff,0xfffffffe,0xffffb86f,0x204fffff,0xfffffffd,
    0xdfff87ff,0xfffffff9,0x7477fec6,0x0fffffff,0xccdfffe8,0x0fffffec,
    0x7ffffdc0,0x3fe600ff,0xffffffff,0xffb6ffff,0xfffdb9bf,0x3a001fff,
    0x85ffffff,0x2002fffd,0x02fffffa,0xffffc800,0x7ffff40e,0x4fffffee,
    0xefffff98,0xb83fffff,0xffffffff,0x7ffec6ff,0xffffffff,0xfffffc85,
    0xf87ffeee,0xfffffeff,0x3f62ffff,0xfffffeff,0xffe85fff,0xffffa80f,
    0x77ffec02,0x4cc03fff,0x99999999,0xffb3ffff,0xffff705f,0xbfff700b,
    0xffb0bfff,0xff98005f,0x10003fff,0x01bffffb,0xfc88159d,0xfffe87ff,
    0x3fffee1c,0x3ffffe20,0x26fcbabd,0xabdffffa,0x21ffffeb,0x304ffff8,
    0xffffff07,0xdfffb35d,0x7fffffec,0x0ffffdac,0xe807fff4,0x7fc03fff,
    0x05fffbef,0xffffb800,0x205fffb0,0x4407fffc,0xfff9efff,0x02fffd85,
    0xffffe880,0x7ff44004,0x740004ff,0x3fea0fff,0x7fff905f,0x00ffffec,
    0x42ffff43,0x2a6fffe8,0x4000ffff,0x445fffff,0x3ff67fff,0x7ffc0eff,
    0x07fff41f,0x202fffd8,0xff9cfffa,0xfe80007f,0x3fff64ff,0x1ffff102,
    0x4d7ffe40,0xffd85fff,0x3f60002f,0x9800dfff,0x002fffff,0x22fffd80,
    0xf302fffd,0x3ffe6bff,0xfff5002f,0x3ffe601f,0x0ffffe67,0x0dffff00,
    0x7ec3fffa,0xffd80fff,0x07fff42f,0x200ffff8,0xfff1fffc,0x7d40003f,
    0x3ff60fff,0x3fffe02f,0x2bfff301,0xfd85fff9,0x5c0002ff,0x200effff,
    0x01fffffa,0xfd553300,0x7fffc5ff,0xfbaaaaab,0xdfff56ff,0x27ffdc00,
    0x447fffe0,0x1befffff,0x00ffff80,0x3f619997,0xfff902ff,0x40fffe85,
    0x405fffd8,0x3ff27ffe,0x3fa0004f,0x7ffec4ff,0x1ffff102,0x4c3fffa0,
    0xffd85fff,0xfa80002f,0xfb81ffff,0x2000efff,0xffffffb8,0xff12ffff,
    0xffffffff,0x3f2fffff,0x3f2005ff,0x7ff403ff,0x3fffee2f,0xf00befff,
    0xd8001fff,0xff902fff,0xefffe85f,0xdffffeee,0x97ffe600,0x0006fffa,
    0xd81ffff5,0xff702fff,0x3ffee0df,0x217ffe63,0x0002fffd,0x7fffff30,
    0x02ffffec,0x3ffffea0,0x2fffffff,0xfffffff3,0xffffffff,0x8013fff6,
    0x6c03fffd,0x7fdc3fff,0x3fffffff,0x000ffff8,0xc817ffec,0x7ff42fff,
    0xffffffff,0x7ffdc00e,0x03fffe23,0x13fffa00,0x260bfff6,0xf884ffff,
    0x7ffcc6ff,0x02fffd85,0xffff3000,0x7fffe45f,0xfff3000e,0xfd999bff,
    0x3ffe65ff,0xcccccccf,0xfff93ccc,0x7ffec00b,0x17fff403,0x7ffff5c4,
    0x7ffc3fff,0x7fec000f,0x5fff902f,0xffffffe8,0x04ffffff,0xfd03fff6,
    0xfa8007ff,0xffd80fff,0xffdbaacf,0xfffb06ff,0x85fff983,0x0002fffd,
    0x1fffffa8,0x1effffb8,0x0dfffe80,0x3e2fffd8,0xfb8007ff,0x3ee006ff,
    0x7ffc04ff,0x7f5c400f,0x7ffc7fff,0x7fec000f,0x5fff902f,0xaabfffe8,
    0x3fffffec,0xb86fff88,0x74005fff,0xffb05fff,0xffffffff,0xfff503ff,
    0x0bfff309,0x0005fffb,0x0effffc8,0x3ffffea0,0x07fffc02,0x3a2fffd8,
    0x54000fff,0x5002ffff,0x7cc0ffff,0x7e4007ff,0x3ffe0fff,0x7fec000f,
    0x5fff902f,0x880fffe8,0x540ffffe,0xff984fff,0xff5000ff,0x3ff603ff,
    0xffffffff,0x0dffd00d,0x3617ffe6,0x10002fff,0x00bffffb,0x0fffffa6,
    0x40ffffc4,0x362ffffb,0x44005fff,0x201effff,0x07ffff30,0x0017fff6,
    0x7c1ffff3,0x6c000fff,0xff902fff,0x0fffe85f,0x83ffff50,0xcccdfffc,
    0x02ffffcc,0x40bfffb0,0xeffffffd,0x3fea01cd,0xffffffff,0xb7ffffff,
    0x10005fff,0x009ffffd,0x5ffffe88,0x21bffff0,0x2fffffc8,0x077fffe2,
    0xfff70ea2,0xb73359ff,0x67fffe4f,0xffffea99,0x2202b6a0,0x7fc6fffe,
    0x7ec000ff,0xfff902ff,0x00fffe85,0xff0bfffe,0xffffffff,0x3009ffff,
    0x6c03ffff,0xa8002fff,0xffffffff,0xffffffff,0x005fffb7,0x2fffff98,
    0x3fff6000,0x7ffec0ef,0xfffffeff,0x7ffe42ff,0xffffefff,0x7ffff40f,
    0x27ffffff,0xfffffff8,0x543fffff,0xfeeeffff,0x7fc3ffff,0x7ec000ff,
    0xfff902ff,0x00fffe85,0x4c1ffff3,0xffffffff,0x07ffffff,0x405fffd8,
    0x8002fffd,0xfffffffa,0xffffffff,0x05fffb7f,0x7ffffd40,0xffb80001,
    0x3fe20eff,0xaeffffff,0xffc82fff,0xffffffff,0x7ffec40f,0x47ffffff,
    0xffffffe9,0xffa83fff,0xffffffff,0x0ffff84f,0x17ffec00,0x742fffc8,
    0xffd00fff,0xefffb8ff,0xfeeeeeee,0x3e601fff,0x7ec01fff,0xc98002ff,
    0xcccccccc,0x4ccefffd,0x4005fffb,0x000effe8,0x17ffea00,0x3fffffa2,
    0x205fff14,0xffffffd9,0x3f6a05ff,0x03dfffff,0xbffffff9,0x3fffaa03,
    0x01dfffff,0x8001ffff,0xf902fffd,0xfffe85ff,0xfffcaaab,0x7fff44ff,
    0x1ffff400,0x00dfffb0,0x0005fffb,0x2fffcc00,0x666fffec,0x22cccccc,
    0x00000de8,0x4c405f98,0xa880001a,0x440009aa,0x26200199,0x54cc000a,
    0x000009aa,0xfd000000,0xffffffff,0xff88dfff,0xfffc806f,0x5ffff306,
    0x05fffb00,0x7fcc0000,0xffffd85f,0xffffffff,0x00000044,0x00000002,
    0x00000000,0x00000000,0x80000000,0xfffffffe,0x540cffff,0xf9804fff,
    0xffd80fff,0xfffb006f,0x4c000005,0xffd85fff,0xffffffff,0x000004ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3ffffffa,0xfb00bdef,
    0x3fe003ff,0x7ffc42ff,0xfffb002f,0x4c000005,0xffd85fff,0xffffffff,
    0x000004ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00088040,0x32006662,0xdd701eee,0x17bbaa3d,0x43bbba20,
    0x22006eec,0xddd32eee,0xdddddddd,0x777641dd,0x3bbb600d,0x01554403,
    0x95000440,0xfffb0099,0xffffffff,0x2aaa27ff,0x20aaaa22,0x000ceeca,
    0x00aaaaa8,0xddddd900,0x3ba5dddd,0x225dff75,0xb801effd,0x7ec01fff,
    0xfff902ff,0x0bfffe25,0x64dfff70,0xf3000fff,0x3ffe65ff,0xffffffff,
    0x3ffe20ff,0xdfff905f,0x00fff300,0x400dffd8,0x403ffff8,0xfffffffd,
    0x13ffffff,0x7fd4ffff,0x7fffe46f,0x5eeb82ff,0x077fffcc,0x361effb8,
    0xffffffff,0xff5fff3f,0xfffb1fff,0xfff700ff,0x2fffd803,0x645fff90,
    0x7f405fff,0x3ffee3ff,0x3fff5001,0x3fffffe6,0x0fffffff,0x217fffd4,
    0x801ffff9,0x50046ff9,0xc80bffff,0x200fffff,0xfffffffd,0x13ffffff,
    0x7fccffff,0x3fffea6f,0x7ec3ffff,0xfffd885f,0x7fffdc0e,0xfffffb0f,
    0x3fe7ffff,0xefffffef,0x02ffffff,0x200fffdc,0xf902fffd,0x7ffcc5ff,
    0xffff300f,0x017ffd41,0x3227ffb8,0xfdcccccc,0xffb05fff,0x7fff41ff,
    0x3e23d703,0x6407ea6f,0x300fffff,0x0bffbfff,0x4cccccc4,0x09999999,
    0xff99fffe,0x37fff65f,0xd13ffffe,0x7fdc09ff,0x3fffa0ef,0xbbbb92ff,
    0x3e5bbbbb,0xffd8efff,0x4fff8bff,0x00fffdc0,0x640bfff6,0x7ff42fff,
    0x9fff903f,0x4c3fff98,0x03ffe419,0x06fffe88,0x657fffe2,0xff106fff,
    0x3637fe7f,0xfff706ff,0x3ff605ff,0x002fff8b,0x9bffe000,0x3fe4fff8,
    0x3fffee4f,0x402fffff,0x3fa4eed9,0x0003ffff,0x3ea3ffff,0x13ffa6ff,
    0x803fff70,0xf902fffd,0xfffb85ff,0x83fffd06,0x3ea4fff8,0x17ff60ff,
    0x07fffec0,0x33fffe60,0xf700ffff,0xddffbfff,0x3a03ffff,0xfa83ffff,
    0x01bfee6f,0x6ffe8000,0x7c53ffe2,0x7ffdc2ff,0x0006ffff,0x07ffffe4,
    0x25fff800,0x3f62fffa,0x7ffdc05f,0x17ffec01,0x442fffc8,0x7cc1ffff,
    0xbfff06ff,0xfb1fffec,0xfff7009f,0x3ff2005f,0x403fffff,0xffffffc8,
    0x7c403fff,0xffe81fff,0x213ffe22,0xaaaaaaaa,0x21aaaaaa,0x7ffc5ffe,
    0x50155513,0x01dfffff,0xfffd8800,0x3ffe0002,0xd83ffea3,0xdddd95ff,
    0xdddfffdd,0x3ff65ddd,0x5fff902f,0xc89fffb0,0xffd03fff,0xd37fffcd,
    0xff9807ff,0x7f4004ff,0x2005ffff,0x3fffffc8,0x03fffa00,0xff50bff9,
    0xffffd83f,0xffffffff,0xf13ff63f,0xa88007ff,0x400002bc,0x7c0000a9,
    0x3ffea3ff,0x7ed7ff60,0xffffffff,0xb2ffffff,0x3f205fff,0xfff982ff,
    0x807fffc7,0xfff57ffd,0x0bffe3ff,0x06ffff88,0xfffffa80,0xfff91001,
    0x8017ffff,0x7c45fff8,0xbffd01ff,0xffffffd8,0x3fffffff,0xddb0fbb2,
    0x00000005,0x3e000000,0x3ffea3ff,0x7ed7ff60,0xffffffff,0xb2ffffff,
    0x3f205fff,0xfffd02ff,0x817ffea5,0xffd8fffb,0xfff8cfff,0x3ffffa01,
    0xfffe8000,0x7ecc05ff,0xffffffff,0xfe980cff,0x27fec0ff,0x645fff30,
    0xeeeeeeee,0x002eeeee,0x00000000,0x3e000000,0x3ffea3ff,0x6557ff60,
    0xfffecccc,0xb1cccccd,0x3f205fff,0xfff702ff,0x807fff69,0xfffafffa,
    0xfff9fffc,0x3ffff900,0xffff9000,0x7d407fff,0xacff9eff,0xfd50ffff,
    0xfa85ffff,0x7fec00ff,0x0000000f,0x00000000,0x3e000000,0x3ffea3ff,
    0x7017ff60,0xfd803fff,0xfff982ff,0xffff102f,0x980dfff1,0x8effdfff,
    0x07ffcfff,0x007ffff5,0xfbffff50,0x7f403fff,0x7f457fe4,0x33fffee3,
    0x00000000,0x00000000,0x00000000,0x51fffc00,0x7fec1fff,0x0fffdc05,
    0x313fff20,0x405fffff,0xfffdfffd,0x7fffc403,0xffffd3ff,0xffff30df,
    0xfff1000b,0x3bfffa7f,0x7fc45300,0x2b36a1c6,0x2aaaaa00,0xaaaaaaaa,
    0x001aaaaa,0x00000000,0x00000000,0x2a3fff80,0x3ff60fff,0x0fffdc05,
    0x2ffffee0,0xffffffc9,0x3fffea02,0xff800fff,0xff70ffff,0xfe88bfff,
    0xccccdfff,0xffe80ccc,0x3fffe66f,0x0fff3005,0x7fffc000,0xffffffff,
    0x04ffffff,0x00000000,0x00000000,0x23fff800,0x3f60fffa,0x7ffdc05f,
    0x7fffc401,0xffefffff,0x7fff402f,0xffd005ff,0x7ffccdff,0x7ffdc4ff,
    0xffffffff,0x7ffe41ff,0x7fffdc0f,0x06ee9802,0x3fffe000,0xffffffff,
    0x04ffffff,0x00000000,0x00000000,0x23fff800,0x3f60fffa,0x7ffdc05f,
    0xffffb801,0xfff9efff,0x7fffdc02,0xfffb002f,0xffffe87f,0x7ffffdc2,
    0xffffffff,0x0ffffea1,0x007ffff4,0xee800000,0xeeeeeeee,0xeeeeeeee,
    0x00000003,0x00000000,0xfff80000,0xd83ffea3,0x7fdc05ff,0xfff7001f,
    0x3ffe29ff,0x7fffc402,0x3ffee007,0x7fffdc1f,0x7ffffdc1,0xffffffff,
    0x0bffff11,0x037fffcc,0x00000000,0x00000000,0x00000000,0x7c000000,
    0x3ffea3ff,0x0017ff60,0x00353000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_bold_34_usascii_x[95]={ 0,6,3,0,1,0,0,7,4,3,2,1,3,4,
6,1,0,1,2,2,0,2,1,1,1,1,6,3,1,2,3,4,0,0,2,1,1,3,3,0,1,2,2,2,
3,0,1,0,2,0,2,1,1,1,0,0,0,0,1,5,1,4,1,0,0,1,2,2,1,1,0,1,2,2,
1,2,2,0,2,1,2,1,2,2,0,2,0,0,0,0,2,2,7,3,0, };
static signed short stb__consolas_bold_34_usascii_y[95]={ 25,1,1,3,-1,1,1,1,0,0,1,7,18,14,
18,1,2,3,2,2,3,3,3,3,2,2,7,7,6,11,6,1,1,3,3,3,3,3,3,2,3,3,3,3,
3,3,3,2,3,2,3,2,3,3,3,3,3,3,3,0,1,0,3,28,1,7,1,7,1,7,1,7,1,0,
0,1,1,7,7,7,7,7,7,7,2,8,8,8,8,8,8,0,-3,0,12, };
static unsigned short stb__consolas_bold_34_usascii_w[95]={ 0,6,12,18,17,19,20,5,11,12,15,17,10,11,
7,16,18,16,15,15,18,15,17,16,16,16,7,10,15,15,14,13,19,19,16,16,17,14,13,18,17,15,14,17,
14,18,17,19,16,19,16,16,17,17,19,19,19,19,16,9,17,10,17,19,12,16,16,14,16,16,18,17,15,15,
14,17,15,18,15,17,16,16,16,15,17,15,19,19,19,19,15,14,5,14,18, };
static unsigned short stb__consolas_bold_34_usascii_h[95]={ 0,25,9,22,31,25,25,9,32,32,15,18,13,4,
8,28,24,22,23,24,22,23,23,22,24,23,19,24,20,10,20,25,31,22,22,23,22,22,22,24,22,22,23,22,
22,22,22,24,22,30,22,24,22,23,22,22,22,22,22,32,28,32,11,4,8,19,25,19,25,19,24,25,24,25,
32,24,24,18,18,19,25,25,18,19,24,18,17,17,17,24,17,32,35,32,8, };
static unsigned short stb__consolas_bold_34_usascii_s[95]={ 254,239,191,165,118,22,1,250,65,22,130,
20,146,244,236,156,20,238,100,67,72,116,164,38,50,83,246,39,121,175,106,
191,98,18,1,147,213,198,184,1,147,131,132,96,91,231,41,217,55,136,59,
237,220,182,1,200,76,21,114,88,173,77,157,157,223,137,222,171,59,154,198,
76,126,94,35,142,110,1,237,186,42,205,220,204,160,38,54,74,110,178,94,
50,1,7,204, };
static unsigned short stb__consolas_bold_34_usascii_t[95]={ 1,1,134,88,1,37,37,88,1,1,134,
134,134,134,134,1,63,63,63,63,111,63,63,111,63,63,1,63,111,134,111,
1,1,111,111,63,88,88,88,63,88,88,63,88,111,88,88,37,111,1,88,
37,63,63,88,63,88,88,88,1,1,1,134,146,134,111,1,111,37,111,37,
37,37,37,1,37,37,134,111,111,37,1,111,111,37,134,134,134,134,37,134,
1,1,1,134, };
static unsigned short stb__consolas_bold_34_usascii_a[95]={ 299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_34_usascii_BITMAP_HEIGHT or STB_FONT_consolas_bold_34_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_34_usascii(stb_fontchar font[STB_FONT_consolas_bold_34_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_34_usascii_BITMAP_HEIGHT][STB_FONT_consolas_bold_34_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_34_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_34_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_34_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_34_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_34_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_34_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_34_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_34_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_34_usascii_s[i] + stb__consolas_bold_34_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_34_usascii_t[i] + stb__consolas_bold_34_usascii_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_34_usascii_x[i];
            font[i].y0 = stb__consolas_bold_34_usascii_y[i];
            font[i].x1 = stb__consolas_bold_34_usascii_x[i] + stb__consolas_bold_34_usascii_w[i];
            font[i].y1 = stb__consolas_bold_34_usascii_y[i] + stb__consolas_bold_34_usascii_h[i];
            font[i].advance_int = (stb__consolas_bold_34_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_34_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_34_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_34_usascii_s[i] + stb__consolas_bold_34_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_34_usascii_t[i] + stb__consolas_bold_34_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_34_usascii_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_34_usascii_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_34_usascii_x[i] + stb__consolas_bold_34_usascii_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_34_usascii_y[i] + stb__consolas_bold_34_usascii_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_34_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_34_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_34_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_34_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_34_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_34_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_34_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_34_usascii_LINE_SPACING
#endif

