// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_39_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_39_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_39_usascii_BITMAP_WIDTH         256
#define STB_FONT_consolas_bold_39_usascii_BITMAP_HEIGHT        196
#define STB_FONT_consolas_bold_39_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_consolas_bold_39_usascii_FIRST_CHAR            32
#define STB_FONT_consolas_bold_39_usascii_NUM_CHARS             95

#define STB_FONT_consolas_bold_39_usascii_LINE_SPACING          26

static unsigned int stb__consolas_bold_39_usascii_pixels[]={
    0x01013331,0x00008000,0x6c7b72a6,0xeeeeeeee,0x02af3b66,0xeeeee880,
    0x4004eeee,0x20001cc8,0x40000098,0xb0000019,0x7fe405dd,0x0000007f,
    0x407fffb8,0xff000009,0xab985fff,0x237ffd40,0x500000ed,0xfe98007f,
    0xfff1ffff,0x4fffffff,0x03fffffe,0xffffff10,0x4c00dfff,0x2003ffff,
    0xceffffd9,0xfec98001,0x001cefff,0x405fff00,0x002ffff8,0x7ff40000,
    0xfffc884f,0xfffc804f,0x8bffffa1,0x2a0efffc,0x3ff66fff,0x7d40000e,
    0xff5003ff,0x3e3fffff,0xffffffff,0x3fffffa7,0xfff8806f,0x06ffffff,
    0x1fffff60,0x7ffffe40,0x2001ffff,0xfffffffb,0x40003fff,0x6c00fff8,
    0x00006fff,0x3fffea00,0x7ffff440,0x3fe606ff,0x7ffff43f,0xbfffff52,
    0xfab7ffd4,0x0000efff,0x00dffff5,0x3bfffffe,0xdddddb1e,0x7f6cffff,
    0x403fffff,0xeeeffff8,0x3fa004ee,0x2200ffff,0xfffffffe,0x4401ffff,
    0xfffffffd,0x004fffff,0x201ffea0,0x001ffff9,0xfffb0000,0xfdfff90b,
    0x3fa05fff,0xffffe86f,0xffffff91,0xc9bffea1,0x000effff,0x077fffd4,
    0x67fffdc0,0xffff3000,0x1ffffa60,0x01ffff10,0xffffc800,0x7fffec06,
    0xfffda89b,0x3fff200f,0xffffffff,0x31003fff,0x79fffd97,0x3fffa015,
    0x98000004,0xff82ffff,0x217ffa3f,0xfe81fffc,0xfff91fff,0x7ffd4fff,
    0x2ffffe46,0xfffff100,0x3fff6001,0x7ffcc005,0x3fffe607,0x3fffe201,
    0x7f440000,0x3ff201ff,0xfffb00ef,0x3fffe607,0xffd511cf,0xff700fff,
    0xffffffff,0x3ffea0bf,0x4000000f,0xf986fffc,0x1bff21ff,0x3609fff3,
    0xff31ffff,0x7fd4bfff,0xffffd86f,0xffffb002,0x7fff4003,0x7ffcc002,
    0x17fff407,0x01ffff10,0x802a6000,0x400efff9,0xffb06ffe,0x3fa207ff,
    0xfd303fff,0xffffffff,0x7fc0bfff,0x000003ff,0x20ffffe2,0x7fdc7ffa,
    0xb037ff47,0x7dc3ffff,0x3fea0dff,0xfffe886f,0x7ffdc00f,0x7ffc003f,
    0x7fcc000f,0x7ffec07f,0x3fffe203,0x20000000,0xb802fffe,0x7fcc1fff,
    0x7fcc05ff,0xffe886ff,0xffffffff,0x3f205fff,0x000006ff,0x203fffee,
    0x3f21fff9,0x07ffee6f,0x40ffffd8,0xfffa8098,0xbffff506,0x37fffc40,
    0x3fffe200,0x7ffcc000,0x27ffe407,0x01ffff10,0xaaaaaaa8,0x82aaaaaa,
    0x3005fff9,0xffc89fff,0xffe802ff,0x7ffe40ff,0xafff9cef,0x3e205db9,
    0x00002fff,0x209fffd0,0x3fa3fff8,0x09fff35f,0x00ffffc8,0x81bffea0,
    0x901ffffd,0x8003ffff,0x000ffff8,0x203fffcc,0x2204fffc,0x2200ffff,
    0xffffffff,0xd86fffff,0xf1001fff,0xfffd8bff,0xfffc800f,0x7ffffc1f,
    0x001fff31,0x005fffd8,0xffffa800,0x37fffa01,0xffd1fffe,0xffff900d,
    0x7ffd4001,0x3fffe206,0x09ffff04,0x1ffff100,0x7fff9800,0x027ffe40,
    0x401ffff1,0xfffffff8,0x46ffffff,0x3226fff8,0xd9fecefe,0x7fff46ff,
    0xffff7006,0x37fffc45,0x3000fff5,0x0003ffff,0x05fffd80,0x7fffffcc,
    0x03fff75f,0x00ffff90,0x406fffa8,0xfa87fffd,0x88001fff,0x4000ffff,
    0x6407fff9,0x3e204fff,0x3e200fff,0xffffffff,0x7d46ffff,0xffff33ff,
    0xff93ffff,0x06ffff8f,0x47ffff50,0x70fffff8,0x3a000dff,0x00004fff,
    0x00bfffe2,0x4fffffa6,0x9004fff8,0xa800ffff,0x7d406fff,0x7fec2fff,
    0xff30006f,0xff3000ff,0xfffb80ff,0x3fffe206,0x4ccccc00,0xffff9999,
    0xe87ffe46,0xffffffff,0x3e27ffc8,0xf3005fff,0xfff89fff,0x5ffc9dff,
    0xffff7000,0x3f200001,0x544006ff,0x0077fec1,0x007fffb8,0x2037ffd4,
    0x225ffff8,0x0003ffff,0x000dfff7,0xa80ffff3,0xf101ffff,0x00001fff,
    0xfe8dfffd,0x7dfff76f,0x3feeffff,0x9ffff30f,0x3fffe600,0x7ffffec5,
    0x0004ffff,0x007ffff1,0x7ffff100,0xfff70000,0x7ffdc005,0xfa81a887,
    0xffd806ff,0x3fffe66f,0xfff98001,0xff98004f,0x7ffc407f,0xfff880df,
    0xfe80000f,0x3ffe26ff,0x3e1fffd4,0x3fff77ff,0x017fffe6,0x227fffcc,
    0xfffffff8,0x90001dff,0x0000dfff,0x001ffff7,0x04fff880,0x23fffdc0,
    0x2a0efffb,0xfc806fff,0x3ffea7ff,0xeee8800f,0x000fffff,0x807fff98,
    0xeefffffc,0x01ffff13,0xdfffd000,0x7c5fffd4,0x5bffe6ff,0xff10fffb,
    0x3ea00dff,0xffa83fff,0xffffffff,0x7fc4002e,0x740002ff,0x80004fff,
    0x4000fffd,0x3e66fffb,0x3ea5ffff,0xffb806ff,0xffff70ff,0x3fffe200,
    0x30000dff,0x2a00ffff,0x14fffffe,0x0001ffff,0x5cdfffd0,0xfff99fff,
    0x2ebfff14,0x3ffe0fff,0xfff5006f,0x3ff6205f,0xffffffff,0x3ff6001e,
    0x3e60005f,0x40001fff,0x04c2fffa,0xc9bffea0,0x2a7fffff,0xfa806fff,
    0xfff91fff,0x3ffe200d,0x20003dff,0x3007fff9,0x29fffffb,0x000ffff8,
    0x26fffe80,0xffb8fffb,0x29fff33f,0x7ffc7ffb,0xfff9007f,0xffc9803f,
    0xffffffff,0xffff5000,0x3ff60001,0x7c40006f,0xfffb15ff,0x3ffea07f,
    0x3fffff26,0x01bffea7,0x6c7fffe6,0xd1005fff,0x0bffffff,0x1fffe600,
    0x3ffffee0,0xffff13ef,0xffd00001,0x47ffe4df,0xff32fffb,0xd1fff29f,
    0xd005ffff,0x2001ffff,0xfffffffc,0x3fa006ff,0xf88004ff,0x40002fff,
    0xff98fffd,0xa84fffff,0x3fea5fff,0x3fea5fff,0xfff9806f,0x0dfffb1f,
    0xffff7100,0xfff30007,0xffff880f,0xffff880d,0xffe80000,0x65fff66f,
    0xfff51fff,0xf71fff67,0xf9809fff,0x36005fff,0xffffcdff,0xff7001ff,
    0xff9000ff,0xfa8000ff,0xbfffb2ff,0x9883ffff,0x7ffdc099,0x1bffea0e,
    0x43fffea0,0x0007fffc,0x001bfffa,0x501fffe6,0x2201ffff,0x0000ffff,
    0x366fffe8,0x3fff97ff,0x7f4bffee,0x7fffc45f,0x3fffa01f,0x3ffa001f,
    0x7fffff13,0x3fffe200,0x7fffc003,0x3fe20003,0x25fff35f,0x8004fff8,
    0xfffa81a8,0x7fffb806,0x001fffee,0x007fffb8,0x407fff98,0x2205fffb,
    0x0000ffff,0x366fffe8,0x3fff97ff,0x7fc7fff2,0xffffd83f,0x3ff660af,
    0x7fc006ff,0x3ffff22f,0x3fff2004,0x3ffea006,0x3f60000f,0x8fff50ff,
    0x2a985ffd,0x6fffa800,0x26fffb80,0x000ffffa,0x00ffff30,0x80ffff30,
    0x2204fffc,0x0000ffff,0x366fffe8,0x5fff77ff,0xf53ffff1,0xfff303ff,
    0xfffdffff,0x4003ffff,0x3ee1fff8,0x26002fff,0xd001ffff,0x40009fff,
    0x3ee2fffa,0x22ffe46f,0x4006fffa,0xd806fffa,0x3fe65fff,0xf10003ff,
    0x98001fff,0x7e407fff,0x3fe204ff,0xe80000ff,0x3ff26fff,0xedfffa8f,
    0xffedffff,0x3fffea07,0xffffffff,0xf301101f,0xffffe8ff,0x7ffec000,
    0xffff9805,0xffd10001,0x6c7ffa8b,0x7fffc4ff,0x3fea003f,0x7ffc406f,
    0x2ffffc3f,0xffff8800,0x7ffcc000,0x27ffe407,0x01ffff10,0xdfffd000,
    0x7c47ffdc,0xffffffff,0x5403ffff,0xffffffff,0x3e602fff,0xeffb9ace,
    0x6ffffea8,0xffffa800,0x37ffec00,0x1fff9000,0xf11fff98,0x7ffc47ff,
    0x3ea004ff,0x7fdc06ff,0x7ffe40ff,0xff88000f,0x7cc000ff,0x7fe407ff,
    0x3ffe204f,0xfe80000f,0x3ffea6ff,0x3dffff91,0x009fffff,0x3ffffae2,
    0x7cc00bef,0xffffffff,0x0fffffff,0x9fffd000,0x17fffc40,0x3fff9800,
    0xfdffff88,0x7ffc0fff,0x3ea003ff,0x7ff406ff,0xffff985f,0xfff88003,
    0x7fcc000f,0x7ffe407f,0x3fffe204,0xffe80000,0x8fffea6f,0xfd70dffc,
    0x3f60007b,0x3e6006ff,0xffffffff,0x01ffffff,0x1fffee00,0x007fffc8,
    0xb81bffa0,0x3fffffff,0x005fffa8,0x3037ffd4,0x3a05ffff,0x4000efff,
    0x000ffff8,0x203fffcc,0x2204fffc,0x0000ffff,0x265ffff8,0x00005fff,
    0x3fffee00,0xffff3001,0xffffffff,0x8800019f,0xff02ffff,0x320007ff,
    0x7d400fff,0x2202ffff,0xffa8001a,0x3fffa06f,0x3fffee06,0xffff8004,
    0x7ffcc001,0x1fffec07,0x01ffff10,0x9ffff000,0x000fffe8,0xfff30000,
    0x985b83df,0xffffedba,0x00000acd,0x2a1bfff2,0x0000ffff,0x004c4000,
    0x3fea0000,0xffff706f,0xffffe805,0x7fff4001,0x7ffcc002,0x17fff407,
    0x01ffff10,0xffff9800,0x01fffdc3,0xffd00000,0xfffddfff,0x0fff8807,
    0x3e600000,0x7ff41fff,0x0000005f,0x20000000,0xf886fffa,0xf9805fff,
    0x6c006fff,0x4c006fff,0x3ea07fff,0x3e201fff,0x40000fff,0x441ffffc,
    0x0001ffff,0xffff3000,0x1fffffff,0x003ffd40,0x7fff4000,0x07fffe65,
    0x00000000,0xffa80000,0x7fff446f,0xfff9000f,0x7fdc009f,0x98009dff,
    0xfb987fff,0x7c406fff,0x33600fff,0xdffff701,0x3ffffb01,0x0001ecc0,
    0x7fffffdc,0x2e00dfff,0x000006ff,0x00000000,0x00000000,0x137ffd40,
    0x005ffffd,0x04ffffe8,0x3fffffa0,0xfffff1ff,0x7f4fffff,0x02ffffff,
    0x7fffffc4,0xfffb6fff,0xfffffddd,0x3ffe603f,0xecaabeff,0x100003ff,
    0x5bffffd9,0x00bff900,0x00000000,0x00000000,0xffa80000,0x3ffff66f,
    0xffe88004,0xff3003ff,0x3e3fffff,0xffffffff,0x3fffffa7,0xfff8804f,
    0xb6ffffff,0xffffffff,0xe9809fff,0xffffffff,0x00003fff,0xec800110,
    0x0000003e,0x00000000,0x00000000,0xfab7ffd4,0x20004fff,0x006fffe8,
    0x3fffff22,0xfffffff1,0x7fff4fff,0xff1002ef,0xdfffffff,0x3ffffff6,
    0x1002efff,0xfffffffd,0x00003bff,0x00000000,0x00000000,0x00000000,
    0x3fea0000,0x00ffee6f,0x03bfa200,0x32ea6200,0x99999990,0x55e5c999,
    0x66644001,0x13cccccc,0x9bdfddb5,0x36e60007,0x000bdefe,0x00000000,
    0x00000000,0x00000000,0x54000000,0x01dc6fff,0x001b1000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfa800000,
    0x000006ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00dfff50,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3baa0000,0x0000005e,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0x001ffffa,0xcdba8800,0x5300001b,
    0x73157997,0x06aaaa67,0x22aaaa80,0x01abcefc,0x541aaa88,0x0000acdc,
    0x037fff40,0x0000e64c,0x00133100,0x55e6e54c,0x10aaaaaa,0x0007ffff,
    0xffffffc8,0x98004fff,0xfff500ab,0xb800003f,0xdfffffff,0xfff70001,
    0xffffffff,0x1bfffe6d,0x2ffffcc0,0xdffffff9,0xafffd405,0xffffffe9,
    0x3fa00004,0x7fd406ff,0x100002ff,0xffffffd7,0x7fff4c0d,0xffffffff,
    0xffff11ff,0xffc80007,0x4fffffff,0x77ffe400,0x1ffffa80,0x3ff60000,
    0xffffffff,0x3ffa6001,0xffffffff,0x3fffa6ff,0xfffc801f,0x3ffff22f,
    0xa81effff,0xfffadfff,0x05ffffff,0xdfffd000,0x6ffffe80,0xfffa8000,
    0x07ffffff,0xfffffff7,0xffffffff,0x0ffffe23,0xffff9000,0x009fffff,
    0x2fffffd4,0x00ffffd4,0xffffb800,0x6fffffef,0xfffff300,0xffffffff,
    0x7fffdcdf,0x7ffff804,0x7fffffe4,0x7d41ffff,0xfffffeff,0x03ffffff,
    0x6fffe800,0x3fffffc0,0x3ffe6000,0x7fffffff,0xdfffff98,0xffffffec,
    0xffff11ff,0xeeb80007,0x4ffffeee,0x3ffff200,0x7ffd40ff,0xf880001f,
    0x3f60dfff,0xfd801fff,0x260aefff,0x3e26fffe,0x7d407fff,0x654c4fff,
    0xffffffec,0x3fffea0e,0xfeaadfff,0x80006fff,0x6c06fffe,0x0005ffff,
    0x67fffff4,0xfe87dcba,0x7fcc0eff,0xfff882ff,0x8800003f,0x2004ffff,
    0x87fffffc,0x001ffffa,0x0ffff980,0x403ffff8,0x00effffa,0xfc8dfffd,
    0x3f602fff,0xd9800fff,0x2a4fffff,0x81ffffff,0x002ffffe,0x037fff40,
    0x003bffa6,0xeffffa80,0x3fffe000,0x0dfffb02,0x007ffff1,0xffff1000,
    0x7ffcc009,0xfffa85ff,0xfb80001f,0xfffd06ff,0xffffe809,0x1bfffa01,
    0x20bffff3,0x005ffff8,0x53ffffe4,0x205fffff,0x004ffffa,0x037fff40,
    0xb8000198,0x2000ffff,0x500ffff9,0xff10ffff,0x000007ff,0x009ffff1,
    0x80dfffb8,0x221ffffa,0xb800acdb,0xfff07fff,0x7ffc405f,0x7fff406f,
    0x0ffffe86,0x02ffffa8,0x0fffff80,0x407ffff5,0x005ffff8,0xfd799953,
    0x00000dff,0x07fffd80,0x07fffcc0,0x887fff98,0x2a03ffff,0x8802aaaa,
    0x8004ffff,0x3fea0098,0xfffe88ff,0x7cc04fff,0x7fdc1fff,0x3fe600ff,
    0x7ff404ff,0xffffb86f,0x07fffd83,0x5ffffd00,0x007fffea,0xb80dffff,
    0xffffffff,0x2aa66fff,0x1aaaaaaa,0x3fffa000,0xffff8006,0x0dfff903,
    0x207ffff1,0x02fffffb,0x04ffff88,0xfff50000,0xfffffd5f,0x7c40bfff,
    0x3fee6fff,0x7fd404ff,0x7ff403ff,0xffff886f,0x27fffc46,0xffffe800,
    0x03ffff50,0x307fffe8,0xfffffffd,0x64dfffff,0xffffffff,0x3fa0004f,
    0xfe8006ff,0x7fd41eff,0xfff884ff,0xffff983f,0xfff1002f,0x2000009f,
    0xfffffffa,0xffffffff,0x3ffff203,0x06ffffdc,0x02ffffb8,0xc837fff4,
    0x3ee1ffff,0x98001fff,0x3ea7ffff,0x7f401fff,0xfff887ff,0xffffffff,
    0x3ff26fff,0x4fffffff,0x3fffa000,0xfff98006,0xfffeceff,0xfff880ff,
    0x7fffc43f,0x3fe2003f,0x000004ff,0xfffffff5,0xffffd55b,0xffffe80d,
    0x800dffff,0x402ffffb,0xf306fffe,0x7ff49fff,0xfea8006f,0x3fea5fff,
    0x7ffc01ff,0xffffd86f,0x3ffa60ae,0x3ffff26f,0x804fffff,0xffccccc9,
    0xcccccfff,0xfffd01cc,0xffffffff,0x3fffe203,0x3ffffa23,0x7ffc4004,
    0x5000004f,0x03ffffff,0x405ffffd,0xfffffff9,0x3ffea003,0x7fff403f,
    0x5bfffa06,0x803ffff9,0xfffffeee,0x3ffea0ff,0x3ffe201f,0x7fffd44f,
    0xdfffd00e,0x7cccccc4,0xfb804fff,0xffffffff,0xffffffff,0xfffffc82,
    0x00cfffff,0xd8ffffe2,0x8005ffff,0x004ffff8,0xffff5000,0x3ffea05f,
    0x3fff204f,0x4c000fff,0x2a04ffff,0x2e06ffff,0xffc9ffff,0xfff800ff,
    0x42ffffff,0x201ffffa,0x743ffffb,0x3a01ffff,0x7c406fff,0xfb804fff,
    0xffffffff,0xffffffff,0xab7ffcc2,0x88009acb,0xff93ffff,0x22000dff,
    0x4004ffff,0xf503efe9,0x7c407fff,0xffd05fff,0xb8bfffff,0x7fc46fff,
    0xfff307ff,0x7fc40dff,0x4fffecff,0xffffff00,0xfff501bf,0x7fff403f,
    0x37fffc1f,0x01bfffa0,0x009ffff1,0xfffffff7,0xffffffff,0xfffb85ff,
    0x7fc40003,0xffffabff,0xff10000e,0x7c4009ff,0xfa83ffff,0x7fc01fff,
    0xfffd86ff,0x23ffffff,0xfd85fffb,0x7fd44fff,0x6c06ffff,0xffffffff,
    0xbfffd001,0x7ffd4015,0xfffd881f,0x7fffcc5f,0x37fff404,0x13fffe20,
    0x6fffe800,0x77ffe400,0x3fe20000,0xfffffdff,0x3fe20000,0x3ea004ff,
    0xfa87ffff,0x7f401fff,0x7ffd47ff,0xfffff8cf,0x309fff72,0xd9dfffff,
    0xdfffffff,0xfffff980,0x3fa006ff,0xffa802ff,0xecaabdff,0x540fffff,
    0x7403ffff,0x7c406fff,0x20004fff,0x4006fffe,0xeefffffa,0x009accce,
    0xfffffff1,0x880005ff,0x2004ffff,0x2ffffffb,0x00ffffd4,0xfd1ffffa,
    0x7ffccdff,0x3fffd9ff,0xffffffd0,0xfffdffff,0xffffd00d,0x7f4007ff,
    0xffa802ff,0xffffffff,0xfb82ffff,0x7f402fff,0x7fc406ff,0x3a0004ff,
    0x44006fff,0xfffffffe,0x0cffffff,0x7f7fffc4,0x0000ffff,0x013fffe2,
    0xffffff88,0x0ffffd43,0x89bfffe0,0x7dc3ffff,0xffffefff,0xffffd102,
    0xff95ffff,0xfff700df,0xfd800fff,0xffa802ff,0xffffffff,0xff701eff,
    0xffe805ff,0x7ffc406f,0x3fa0004f,0xf88006ff,0xffffffff,0x446fffff,
    0xffcbffff,0x220006ff,0x4004ffff,0x43fffffa,0x201ffffa,0x264ffff8,
    0xfc81ffff,0x07ffffff,0xdfffffc8,0x00dfffb1,0x07fffff1,0x00199880,
    0xfffffff5,0xa807dfff,0x7403ffff,0x7c406fff,0x20004fff,0x8006fffe,
    0xeeeffffd,0xffffffee,0x4ffffe24,0x004ffffe,0x09ffff10,0x5ffff900,
    0x01ffffa8,0xa8ffffee,0xfd01ffff,0x009fffff,0x3f60554c,0xff8806ff,
    0x00000fff,0xaffffa80,0x260009a9,0x2a04ffff,0x4406ffff,0x0004ffff,
    0x001bfffa,0x203ffffb,0x26ffffb8,0xf33ffff8,0x0007ffff,0x009ffff1,
    0x81ffff50,0x201ffffa,0x221ffffe,0xd103ffff,0x001fffff,0x1bfffa00,
    0x13ffff20,0x00b2e200,0x00ffffd4,0xfffff100,0x3ffffe60,0x7fffc406,
    0x3ffa0004,0x3fe6006f,0xffe802ff,0x3fffe27f,0x3ffffee3,0x7ffc4001,
    0xffc8004f,0xffffa86f,0xffffd881,0x1fffff85,0x3fffff90,0x3ffa0000,
    0x7ffd406f,0x7c4000ff,0xfa804fff,0x40001fff,0x544ffffd,0x06ffffff,
    0x027fffc4,0x0dfffd00,0x0ffffdc0,0x137fff40,0xfd87ffff,0x2000ffff,
    0x004ffff8,0x40ffffd4,0xabdffffa,0xfffffeca,0xfffffc80,0xfffebaac,
    0x0000ffff,0x106fffe8,0x03fffff9,0xfffff900,0xffffa803,0x7fcc0001,
    0xffecefff,0x406fffff,0x004ffff8,0x01bfffa0,0x06ffffa8,0x127fffdc,
    0xe887ffff,0xc886ffff,0xfffccccc,0x0cccccef,0xffffd753,0x3fffea07,
    0xffffffff,0xffd102ff,0xffffffff,0x1dffffff,0xfffe8000,0x3fffffe6,
    0xb0003fff,0x805fffff,0x001ffffa,0xfffffe80,0xffcfffff,0x9999916f,
    0x99dffff9,0xfd001999,0x7c400dff,0x9aceffff,0xeffffeba,0x0ffffe20,
    0x13ffffe6,0xfffffff3,0xffffffff,0x3ffff63f,0x3fea03ff,0xffffffff,
    0x74c01eff,0xffffffff,0xffffddff,0x7ff40005,0x3ffffe6f,0x20004fff,
    0x00fffffb,0x00ffffd4,0x7fff4400,0xf9afffff,0xffff36ff,0xffffffff,
    0xd003ffff,0xb800dfff,0xffffffff,0x1fffffff,0x81ffffc4,0x23fffffb,
    0xfffffff9,0xffffffff,0x9ffffb1f,0xfeca8801,0x3effffff,0x7fffdc00,
    0xfd11efff,0x40009fff,0x3fe6fffe,0x001effff,0x03fffd80,0x01ffffa8,
    0x3fff2000,0xfff31dff,0x3ffffe6d,0xffffffff,0xfe801fff,0xfb8006ff,
    0xffffffff,0xf880cfff,0x3f603fff,0xff31ffff,0xffffffff,0x23ffffff,
    0x00009abb,0x00026666,0x006aa620,0x665c0000,0x337ffa3c,0x54c00002,
    0x99993000,0x53000001,0x3fe60015,0xffffffff,0x01ffffff,0x006fffe8,
    0x3ffbb2a0,0x0000bcde,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xffff5000,
    0x51000003,0x01980000,0x13310000,0x000cc000,0x02666600,0x00998800,
    0x01333300,0x06660000,0x20000000,0x10000098,0x3baa0013,0xeeeeeeee,
    0xfff50eee,0x2600003f,0x0000ffec,0x3ffffb26,0x950001ce,0xbffffffb,
    0xffdc9807,0x4000ceff,0xfffffeda,0xeb802dff,0x2dffffff,0x3fffb260,
    0x002dffff,0xfffdb710,0x8017bfff,0x007fffd9,0x3ffff6e2,0x75c002ef,
    0x03efffff,0x3fffffee,0x1fffffff,0x003ffff5,0x3ffff200,0xfff70000,
    0x7fffffff,0x7ffec400,0xffffffff,0xfffff500,0x003fffff,0xffffffb3,
    0x409fffff,0xffffffe9,0xd80effff,0xffffffff,0x2000efff,0xfffffffb,
    0x104fffff,0x0ffffff9,0x3ffffea0,0x01efffff,0x7fffff54,0xb80dffff,
    0xffffffff,0xf51fffff,0x00003fff,0x003ffff2,0xfffffb10,0x9fffffff,
    0xfffff500,0xffffffff,0xfffff901,0x7fffffff,0x7ffffc40,0xffffffff,
    0xfffff104,0xffffffff,0xffffd81d,0xffffffff,0xfffd8806,0xffffffff,
    0x7fe444ff,0x407fffff,0xffffffd8,0x06ffffff,0x3fffffee,0x0fffffff,
    0x7fffffdc,0x1fffffff,0x003ffff5,0x3ffff200,0x7ffec000,0xffffffff,
    0x3ee03fff,0xffffffff,0x5c0fffff,0xdcefffff,0x00ffffff,0xdffffffd,
    0x09fffddd,0x33bffffa,0xffffedba,0x6777fec3,0xfffffffd,0x3fffe204,
    0xffffffff,0xff914fff,0xffffffff,0xfffff980,0xffffffff,0xffff884f,
    0xfffecdff,0xfb8004ff,0xfff51fff,0x3200003f,0x2000ffff,0x1bfffff9,
    0xfffffd51,0x3ffffe20,0x36a609bf,0x3fffe20f,0x7ffec41f,0xffffa84f,
    0x20aa202f,0x105ffff8,0xaa8bffff,0xffffb100,0x7fffec0b,0x6d4c1aef,
    0xfffff94f,0x00ffffff,0x4415dff7,0xe87ffffe,0xfa84ffff,0x4000ffff,
    0xf51ffffb,0x50003fff,0xfffd5555,0x5555557f,0x3ffffd83,0x5ffffd10,
    0x3fffff90,0xfffb8100,0xffff102f,0xffffc81f,0x3fea0002,0x3ff601ff,
    0xff98007f,0xfff307ff,0x984009ff,0xfd9effff,0x0bb007ff,0x07ffffc4,
    0x40dffff1,0x004ffffb,0xa8ffffdc,0x32a1ffff,0xffe81bcd,0xffffffff,
    0x24ffffff,0x405ffffa,0x446ffff9,0x001fffff,0x80dffff0,0x744ffffa,
    0x0001ffff,0x803fffee,0x0006fffc,0x3a0ffffd,0x0004ffff,0xffd8bbfa,
    0x3600007f,0x3ea2ffff,0x3e202fff,0x5c006fff,0xff51ffff,0xfffd31ff,
    0xffe87fff,0xffffffff,0x24ffffff,0x802ffffc,0x320fffff,0x0005ffff,
    0x807ffff5,0x6c6ffffa,0x0004ffff,0x40ffffea,0x004ffff8,0x309fffd0,
    0x001fffff,0x7fec1d40,0x3200007f,0x3ee2ffff,0x7ec01fff,0x7dc007ff,
    0xfff51fff,0xffffff5f,0x7ff47fff,0xffffffff,0x24ffffff,0x800ffffd,
    0x361ffffc,0x0002ffff,0x201ffff7,0x7fffffd8,0x27ffffe4,0xffff8800,
    0xffffd83f,0xfff98000,0xffffb82f,0xfb000004,0x40000fff,0x2e1ffffd,
    0x6401ffff,0x2000ffff,0xf51ffffb,0xffffffff,0x21ffffff,0xffd99998,
    0x999999ff,0x1bfffa09,0x17fffdc0,0x000fffff,0x983fffe4,0x7ffffffe,
    0x7fffffd4,0x7e4000cf,0xd8aeffff,0x8004ffff,0x80ffffea,0x001ffffc,
    0xffffb000,0x7ffc0000,0x3ffea0ff,0x7ffe403f,0x3fee001f,0xffff51ff,
    0xff75bfff,0x7e407fff,0xff000fff,0x3ea00dff,0xfff13fff,0x7ec000ff,
    0xfffb86ff,0x40ffffff,0xfffffffd,0x3f6002df,0xffffffff,0x664c04ff,
    0xdffffeec,0x1ffffb00,0xaaaaaa88,0xffd801aa,0xf500007f,0xff98bfff,
    0x3f200fff,0x2e002fff,0xff51ffff,0xf983ffff,0x3f204fff,0xf8800fff,
    0xf3005fff,0x3fe69fff,0x3a0006ff,0x3f625fff,0xfffdffff,0x7fff441f,
    0x3fffffff,0xfffff900,0x5005ffff,0xffffffff,0x7fffe809,0xffffff88,
    0xffd805ff,0xf880007f,0xff81ffff,0xa9bdffff,0x2ffffffc,0x3fffee00,
    0x5fffff51,0x817fffe0,0x800ffffc,0x004ffff9,0x2abffff3,0x0005ffff,
    0x7d57fffe,0xf99effff,0xff902fff,0xffffffff,0xfffb001b,0x01bfffff,
    0xffffffa8,0xff02efff,0xfff10dff,0x00bfffff,0x000ffffb,0x0bffffb0,
    0x3fffffea,0xffffffff,0x3ee002ff,0xfff51fff,0x7fff407f,0x3ffff206,
    0xffff9800,0xffff3005,0x17fffea9,0xdfffe800,0x24fffffc,0x201ffffa,
    0xffffffc9,0x3a206fff,0xffffffff,0x3ea01fff,0xffffffff,0xffff85ff,
    0xfffff887,0xfd805fff,0x640007ff,0x200effff,0xfffffffc,0xffffffff,
    0x3ffee001,0x3ffff51f,0x037fff40,0x001ffff9,0x00dffff1,0x4cffffea,
    0x0006ffff,0x3ffffff6,0x7fd42fff,0xeb8801ff,0x4fffffff,0xdfffff88,
    0xffffffea,0x3f6a2000,0x7f43ffff,0xaaa887ff,0x805ffffa,0x0007fffd,
    0x07ffffee,0x3ffffaa0,0xfffeefff,0x3fee000f,0xffff51ff,0x37fff403,
    0x01ffff90,0x01bfffe0,0x897fffd4,0x0007ffff,0x3ffffff2,0xfffb80df,
    0x7ecc000f,0xfe87ffff,0x7fdc2fff,0x50005fff,0x6c1fffff,0xf800ffff,
    0xfd805fff,0xf70007ff,0x8003ffff,0xb0abcba9,0xb800ffff,0xff51ffff,
    0x7ff403ff,0x3fff206f,0xfffd000f,0x3fff200f,0x3ffffe0f,0xfff70001,
    0x7e407fff,0x320007ff,0x2e1fffff,0xf302ffff,0x0001ffff,0xc87ffff6,
    0xf802ffff,0xfd805fff,0xfb8007ff,0x0001ffff,0x06ffff80,0x8ffffe40,
    0x201ffffa,0x3206fffe,0xb000ffff,0xd005ffff,0xffe8ffff,0xf50004ff,
    0xf803dfff,0x40006fff,0x362fffff,0x7dc06fff,0x70002fff,0x7dc5ffff,
    0xff805fff,0xffd805ff,0x7fdc007f,0x00001fff,0x03ffff98,0x87fffec0,
    0x201ffffa,0x3206fffe,0x7000ffff,0x9809ffff,0x7e46ffff,0x8000ffff,
    0x405ffff9,0x003ffffa,0x0ffffec0,0x980bffff,0x0003ffff,0x4c3ffffb,
    0x401fffff,0xd805ffff,0x2e007fff,0x001fffff,0xffffd000,0x3fe20041,
    0x3ffea6ff,0x3fffa01f,0x3ffff206,0xffff1002,0x7fff403f,0x7fffc41f,
    0x6c0801ef,0x3602ffff,0x40007fff,0x7c7ffff8,0x7d407fff,0x88001fff,
    0xfd87ffff,0x3e01efff,0xfd805fff,0xff7007ff,0x00003fff,0xbffffb10,
    0xfd881cd8,0x3fea5fff,0x3ffa01ff,0x3ffea06f,0x3ff2005f,0x3660afff,
    0xf705ffff,0x837fffff,0x3e60fda8,0xfd80ffff,0x6fc43fff,0x3ffa600a,
    0x7ffec5ff,0x3fffa03f,0xffea8007,0xfff885ff,0xff80afff,0x266665ff,
    0x9ffffe99,0x3ee09999,0x999affff,0x00999999,0x7ffe54c4,0x7fec0fff,
    0xffffdcce,0x3ffea1ff,0x3fffa01f,0x3fffe606,0x3cbaacef,0x7fffffc4,
    0xffffffef,0x3fffa01f,0xffefffff,0x7ff40fff,0xfecbdfff,0x7c40ffff,
    0xeeeeffff,0x1fffffff,0x77ffffdc,0xfffeba9b,0x333bea5f,0xfffedccc,
    0xff700fff,0xddffffff,0x22bfffff,0xffffffff,0xffffffff,0xffffff53,
    0xffffffff,0x7ffc45ff,0xffffffff,0xfffd81ff,0xffffffff,0x0ffffd43,
    0x80dfffd0,0xfffffffd,0xffa84fff,0xffffffff,0x74c03fff,0xffffffff,
    0x4c0fffff,0xffffffff,0x881fffff,0xffffffff,0x2fffffff,0xffffffd0,
    0xdfffffff,0x7ffffd41,0xffffffff,0x7ffec01f,0xffffffff,0xfff15fff,
    0xffffffff,0x2e7fffff,0xffffffff,0xffffffff,0x3ffffe22,0x1effffff,
    0xffffffb0,0xf509ffff,0x7f403fff,0x7fc406ff,0xffffffff,0xffffd304,
    0x03dfffff,0x7ffffe40,0x0fffffff,0xfffffe88,0x100effff,0xffffffff,
    0x07ffffff,0x7fffff44,0x0effffff,0x7fffffd4,0x1dffffff,0xfffff500,
    0xffffffff,0x3ffffe2b,0xffffffff,0xfff73fff,0xffffffff,0x445fffff,
    0xffffffff,0x764403ff,0x0dffffff,0x03ffff50,0x4037fff4,0xffffffc8,
    0x3b2203ff,0x0cefffff,0xffec9800,0x01beffff,0x7fffff64,0xffdc804e,
    0xefffffff,0x3ffaa003,0x02efffff,0xfffffff5,0x00039dff,0xfffffd91,
    0x7c439fff,0xffffffff,0x3fffffff,0xfffffff7,0xffffffff,0x7fffc45f,
    0x8001bdee,0xa8009a98,0x3a01ffff,0x4c006fff,0x8001aaa9,0x000009a9,
    0x8000cd44,0x20001a98,0x019aaa99,0x1aaa9800,0x55533100,0x10000013,
    0x00013355,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7777775c,
    0x4eeeeeee,0x6e5d4400,0x774c5eee,0xeed801ee,0xddddd54e,0xdddddddd,
    0x3aabdddd,0xdeeeeeee,0x76c400bc,0x74401eee,0x3a61eeee,0x744004ee,
    0xdddd14ee,0xeeea809d,0x177776c4,0x1eeeee88,0x3bbbbbb6,0xeeeeeeee,
    0xddddb1ee,0x7775c005,0x7dddd71e,0x2f776c00,0xffffff90,0xbfffffff,
    0x3fff2600,0x546fffff,0xe802ffff,0xfff75fff,0xffffffff,0x2fffffff,
    0xfffffffb,0x00dfffff,0x01bffff2,0x98bffffb,0x4c006fff,0xfff35fff,
    0x7dc01fff,0x7fffc6ff,0xffff705f,0x7ffffc5f,0xffffffff,0xff91ffff,
    0x7fc00bff,0x3ffe27ff,0xffb800ff,0x3ff203ff,0xffffffff,0xfc805fff,
    0xffffffff,0x7fffd46f,0x5fffe802,0xfffffff7,0xffffffff,0x3ffeefff,
    0xffffffff,0xff100eff,0x3e605fff,0x7cc1ffff,0x7cc006ff,0xffff35ff,
    0x7fdc09ff,0x7ffffc6f,0xffffd80f,0x3ffffe3f,0xffffffff,0xff31ffff,
    0x3e600fff,0x7fe45fff,0xfff803ff,0x7ffe407f,0xffffffff,0x7fec05ff,
    0xffffffff,0x7fffd46f,0x5fffe802,0xfffffff7,0xffffffff,0x3ffeefff,
    0xffffffff,0x3ee06fff,0xffb06fff,0xfff109ff,0xfff9800d,0xffffff34,
    0x3ffee01f,0x3ffffe26,0x7fffc42f,0x3fffe3ff,0xffffffff,0x3e1fffff,
    0xb801ffff,0x7c42ffff,0x7dc07fff,0x7e403fff,0xaaaaaeff,0x3602aaaa,
    0xaaefffff,0x7fffd401,0x5fffe802,0x0ffffc80,0x07fffdc0,0xfffffb53,
    0x7ffff403,0x7ffffcc2,0x06fff880,0x9a7ffcc0,0x3fffffff,0x44dfff70,
    0x45ffffff,0x4ffffffa,0x33333332,0xfffccccc,0x3fff20ff,0xfffd803f,
    0xffffc80f,0x1ffffe03,0x017fff20,0xdffff300,0xfffa8005,0xfffe802f,
    0xffffc805,0x7fffdc00,0x7ffffb00,0x37fffd40,0x413ffff6,0x4007fff8,
    0xff33fffa,0x20ffffff,0x3e26fffb,0x6c7fffff,0x04fffeff,0x9ffff700,
    0x06ffffa8,0x837fffc4,0x706ffff8,0x9007ffff,0x8000bfff,0x001ffffd,
    0x02ffffa8,0x805fffe8,0x400ffffc,0x500ffffb,0xe809ffff,0xff33ffff,
    0x7fc01fff,0x7fd4007f,0xfffff33f,0xff707fff,0x67ffccdf,0x3ffe2fff,
    0x0004fffc,0x881ffffd,0x200fffff,0x203ffffa,0xf82ffffc,0xf9007fff,
    0x44000bff,0x0004ffff,0x005ffff5,0x900bfffd,0xb801ffff,0xf300ffff,
    0xf9809fff,0xfffb6fff,0x7fff807f,0x7d40aa98,0xffff33ff,0xf70dfffb,
    0x7ffccdff,0xff54fffa,0x00bfff3f,0x0bffff70,0x80bffff6,0x201ffffc,
    0x5c6ffff8,0x9003ffff,0x4000bfff,0x002ffffa,0x05ffff50,0x00bfffd0,
    0x801ffff9,0x500ffffb,0xb007ffff,0xfff9ffff,0xfffd00df,0xfa89ffd0,
    0xffff32ff,0xb85ffff5,0x3fea6fff,0xf96ffdaf,0x0bfff1df,0x3ffffd00,
    0x13fffee0,0x806fffe8,0x3e2ffffc,0x32006fff,0x9aaaefff,0xffff9001,
    0x026aea61,0x02ffffa8,0x805fffe8,0x400ffffc,0x880ffffb,0x801ffffe,
    0xfffffff9,0xffe802ff,0x1bffe20f,0x3e65fff7,0xdfffd7ff,0x2a6fffb8,
    0xfffb9fff,0xfff3fff8,0xfffa800d,0x3ffe205f,0xffff307f,0xffff1009,
    0x0ffffeab,0xfffffc80,0x01cfffff,0x3f3ffffa,0x2effffff,0x02ffffa8,
    0x805fffe8,0x400ffffc,0x220ffffb,0x05ffffea,0x3fffff20,0xffd006ff,
    0x7fffdc1f,0x4c7ffee0,0xfff57fff,0x37ffdc3f,0xff13fff7,0x3e1fff9f,
    0x7f4006ff,0x7f401fff,0xffb81fff,0xff9001ff,0xdfffd3ff,0xffffc800,
    0xffffffff,0xffffff04,0xffffffff,0xffffa8bf,0x5fffe802,0x0ffffc80,
    0x7ffffdc0,0xffffffff,0x3fe2000d,0x001fffff,0x7f41fffb,0x3fee3fff,
    0x4ffff31f,0x3ee5ffff,0x3ffee6ff,0xdfffffd1,0x50037ffc,0x700bffff,
    0xfb07ffff,0x7c400fff,0xffffefff,0x7ffe4002,0xffffffff,0xffff83ff,
    0xffffffff,0x3ea4ffff,0xfe802fff,0xffc805ff,0x7fdc00ff,0xffffffff,
    0xfd0003ef,0x001fffff,0x7c43fff6,0x3f25ffff,0xffff30ff,0xb87fffdc,
    0x3fee6fff,0xfffff91f,0x003fffc7,0x005ffffd,0xf0bffff3,0xc800bfff,
    0x6fffffff,0xaaaa9800,0xffffecaa,0x7fffc2ff,0xfcaaceff,0xf51fffff,
    0xfd005fff,0xff900bff,0xffb801ff,0xffffffff,0xff50000d,0x009fffff,
    0x7d47fff2,0xf90fffff,0x3ffe61ff,0x53fffe27,0x3f26fffb,0xffff30ff,
    0x03fffc3f,0x06ffffa8,0x51ffffe0,0x8005ffff,0xfffffff8,0xf3000002,
    0x7c49ffff,0xd101ffff,0x3ea7ffff,0xfe802fff,0xffc805ff,0x7fdc00ff,
    0xffffecff,0xfe8001ff,0x0fffffff,0xb1fffc80,0x25fffdff,0x3fe67ffc,
    0x7fffe47f,0x326fffb8,0x3ffe0fff,0x03fff46f,0x02ffffe8,0x8bffff20,
    0x000ffffc,0x6fffffc8,0x7cc00000,0x7ffc6fff,0x7ffcc06f,0x5ffff55f,
    0x0bfffd00,0x01ffff90,0x10ffffb8,0x00bffffb,0xffffffb8,0xfb805fff,
    0xf3fff1ff,0x9fff2bff,0x7c47fff9,0xfffbbfff,0xd83fff26,0x7ff44fff,
    0x7ffcc00f,0x7fd4006f,0x3fffa4ff,0xfff10005,0x000005ff,0xe8fffff0,
    0xff807fff,0xffff56ff,0xbffff005,0x1ffff900,0x0ffffb80,0x017ffff4,
    0xafffff88,0x402fffff,0xffaafffb,0x3f6fffb7,0x1fffe67f,0x3efbfff6,
    0x3fff66ff,0xd07ffea0,0xfd801fff,0xf8002fff,0xfff16fff,0x7ec0007f,
    0x000007ff,0xd8ffffd0,0xfe807fff,0xffff36ff,0x7ffff007,0x1ffff900,
    0x0ffffb80,0x037fffcc,0x95ffffc8,0xb80dffff,0x5ffcafff,0xffb5fff7,
    0x43fffccd,0xffdffff9,0x11fff66f,0xfffd0999,0x7fffcc03,0xfffb0006,
    0x1ffff71f,0x7ffec000,0x88000007,0x7e46ffff,0x7fc02fff,0xffff15ff,
    0xffff8809,0xffffc802,0x7fffdc00,0x2ffffe80,0x7ffffcc0,0x7fffff10,
    0x7dfffd40,0x9fff12ff,0x7fccdffd,0xffffd07f,0x7ff4dfff,0x7ffec007,
    0x3ffff601,0xfff50003,0x0dfffb7f,0x7fffd800,0xfc800000,0x7fd44fff,
    0x3fea05ff,0x3fffe3ff,0x7fffe407,0xffffc801,0x7fffdc00,0x6ffffa80,
    0x27fffec0,0x03fffff2,0x7fefffd4,0x7f77ff47,0x1fffe65f,0x7fffffd4,
    0x01fffa6f,0x203fffb0,0x007ffff9,0x37fffe20,0x0004ffff,0x003fffec,
    0xfff91000,0xfffd03ff,0xffff307f,0x7fffec3f,0xdffff304,0x3ffff200,
    0x7fffdc00,0x5fffff00,0x3ffffe60,0x7ffffc40,0xfffff304,0xffffb8bf,
    0x3ffe65ff,0x3ffffe07,0x1fffa6ff,0x05fffb00,0x00fffff6,0xfffffd00,
    0x80003fff,0x0007fffd,0x333337be,0x3ffffffe,0xdfffff50,0xfffffb79,
    0xfffff989,0xfffdcbce,0xff9001ff,0xffb801ff,0xfff700ff,0x3fffa0df,
    0xffff704f,0xffff303f,0xfff985ff,0x3fe65fff,0x3ffee07f,0x3ffe6fff,
    0x7ffec007,0x7ffff982,0xfffb8000,0x0007ffff,0x007fffd8,0x3fffffe0,
    0x4fffffff,0x7fffff40,0x6fffffff,0xffffff90,0x9fffffff,0x7fffe400,
    0x7fffdc00,0xfffff100,0xfffffa83,0x3ffffe00,0xfffff886,0xffffe80f,
    0x1fffe64f,0xffffff88,0x001bffe6,0xfb07fff9,0x00007fff,0xfffffff3,
    0xffb00009,0x7fc000ff,0xffffffff,0xffb003ef,0xffffffff,0x7ffe401b,
    0xffffffff,0x7ffe4003,0x7ffdc00f,0x3fff200f,0x3fffe25f,0x7ffdc04f,
    0x7ffc42ff,0xfff905ff,0x7ffcc9ff,0x7fffe407,0x01bffe6f,0x887fff90,
    0x000fffff,0xfffffd00,0xfb00005f,0x7c000fff,0xffffffff,0xfea8002d,
    0x01dfffff,0xfffffb30,0x90001bff,0xb801ffff,0x2600ffff,0xf71fffff,
    0xd001ffff,0xff0dffff,0x3e607fff,0x3e63ffff,0x7fcc07ff,0xfff16fff,
    0xfffc800d,0x27fffe43,0xfff90000,0x00001fff,0x000ffffb,0x09aaa988,
    0x2aa60000,0x54c40001,0x00000009,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xddd10000,0xdddddddd,
    0x3a27dddd,0xee802eee,0x3bbae3ee,0xeeeeeeee,0xd51eeeee,0xdddddddd,
    0x2a1ddddd,0xeeeeeeee,0x32eeeeee,0xdddddddd,0x40003579,0xeed83eee,
    0xeeeeea84,0x02cdeeee,0xddddd900,0xddd5001d,0x7775c01d,0x3bbbaa5e,
    0x0acdeeee,0xeeec8000,0x000005ee,0xfffffff1,0xffffffff,0x0ffffe29,
    0xc93fffe0,0xffffffff,0xffffffff,0xffffff71,0xffffffff,0x3ffffee3,
    0xffffffff,0xfffff53f,0xdfffffff,0xfff88003,0xb85fff84,0xffffffff,
    0x003fffff,0x7ffffffc,0xffffb802,0xfffff301,0x7ffffd45,0xdfffffff,
    0xfff50001,0x2e00dfff,0x7c401eff,0xffffffff,0x14ffffff,0xf007ffff,
    0x7fe49fff,0xffffffff,0x71ffffff,0xffffffff,0x23ffffff,0xfffffffb,
    0x3fffffff,0xfffffff5,0x9fffffff,0x3ffe6001,0x427ffc43,0xfffffffb,
    0x4fffffff,0xfffff300,0xff700bff,0x3ffa03ff,0x7ffd44ff,0xffffffff,
    0x44003fff,0x6fffffff,0xfffff980,0x3fffe201,0xffffffff,0xfff14fff,
    0xffff007f,0x7ffffe49,0xffffffff,0xfff71fff,0xffffffff,0x3fee3fff,
    0xffffffff,0xff53ffff,0xffffffff,0x00dfffff,0xf30bffea,0xfff707ff,
    0xfffddddf,0x7005ffff,0xffffffff,0x3ffff700,0x0dffff70,0xfffffff5,
    0xffffffff,0x7ffe4003,0xc806ffff,0x005fffff,0x00ffffc8,0x00ffffe2,
    0xa993fffe,0xaaaaaaaa,0x26ffffea,0x001ffffb,0x00ffffdc,0x8bfffea0,
    0xfffffba9,0xfffb802f,0x417ffd41,0xa80ffffb,0x804ffffe,0xfffffffe,
    0x7ffdc01f,0x7fffcc1f,0xffffa81f,0x3ffee621,0xf9800fff,0x6fffffff,
    0xfffffc80,0x7fe4000f,0x3fe200ff,0xfff803ff,0xffa8004f,0x3fee1fff,
    0x7dc001ff,0x54001fff,0xd102ffff,0x700dffff,0xffa81fff,0xffffb82f,
    0xdffff300,0xbffff880,0x5c04ffff,0x7f41ffff,0xff503fff,0x3fe203ff,
    0xfe802fff,0x6fffceff,0xfffffa80,0x7fe4001f,0x3fe200ff,0xfff803ff,
    0x7fc4004f,0x7fdc4fff,0x7dc001ff,0x54001fff,0x7402ffff,0x7cc3ffff,
    0xffffffff,0xffffffff,0x1ffff74f,0x03ffffc0,0x7fdfffea,0x7fdc06ff,
    0x3ffee1ff,0x3ffea05f,0x3ffee01f,0x7ffdc03f,0x06fffc9f,0x3fffff90,
    0xffffc800,0x3fffe200,0x4ffff803,0x7fffec00,0x1ffffb86,0x7fffdc00,
    0x7ffd4001,0x7ffdc02f,0x7fffcc6f,0xffffffff,0x74ffffff,0x7c01ffff,
    0x7ec06fff,0xffffb5ff,0x7fffdc01,0x1fffff31,0x0ffffd40,0x0bffff30,
    0xc9ffffc4,0x3a006fff,0x4000ffff,0x200ffffc,0x803ffff8,0x2004ffff,
    0x81fffffa,0x001ffffb,0x00ffffdc,0x0bfffea0,0x8fffff10,0xfffffff9,
    0xffffffff,0xfff74fff,0x3ffe601f,0x7fffc03f,0x07ffff53,0xe8ffffdc,
    0x5402ffff,0x2201ffff,0x3205ffff,0x3ff26fff,0x3ff2006f,0xffc8006f,
    0x3fe200ff,0xfff803ff,0xfff1004f,0x3fee07ff,0x7dc001ff,0x54001fff,
    0xe802ffff,0x66447fff,0xcccefffc,0xcccffffc,0x01ffff72,0x01ffffd3,
    0x887fffcc,0x2e05ffff,0xffb9ffff,0xffa804ff,0x3fe601ff,0xfff304ff,
    0x37ffe43f,0x09fffb00,0x1ffff900,0x77fffc40,0xeeeeeeee,0xb004ffff,
    0x5c0dffff,0x4001ffff,0xeeeffffb,0x26eeeeee,0x802ffffa,0x201ffffd,
    0xfff84fff,0x9ffff705,0xffffd999,0xfffc803f,0x03ffff46,0xff5ffff7,
    0xf5001dff,0x7dc03fff,0xffd02fff,0x6fffc89f,0x1dfff700,0xffff9000,
    0x7fffc401,0xffffffff,0x804fffff,0x00fffffa,0x3fffffee,0x4fffffff,
    0x3fffffee,0x7fffffff,0x00bfffea,0x40bffff6,0xff84fff8,0xffff705f,
    0xffffffff,0xfffd001b,0x2ffffc89,0xffffff70,0x2a003fff,0xf301ffff,
    0xf701ffff,0xffc81fff,0xfd95506f,0x20003fff,0x200ffffc,0xfffffff8,
    0xffffffff,0x7fc404ff,0x7dc03fff,0xffffffff,0x3ee4ffff,0xffffffff,
    0x3ea7ffff,0xfc802fff,0xff302fff,0x4fff887f,0xffffff70,0xdfffffff,
    0x7fffc405,0x27fffcc2,0xffffffb8,0xf5001fff,0xfb883fff,0xf884ffff,
    0xffc82fff,0xfffff06f,0x640005df,0x2200ffff,0xffffffff,0xffffffff,
    0x7ffec04f,0xfffb805f,0xffffffff,0x3ffee4ff,0xffffffff,0x3ffea7ff,
    0xfffd802f,0x5fff501f,0x703fff98,0xffffffff,0x7fffffff,0x03fffee0,
    0x5c1bfffe,0xfffcffff,0xfff5006f,0xffffdddf,0x3f60dfff,0xfff905ff,
    0x3ffffe0d,0xffc80003,0x3fe200ff,0x99999cff,0x4ffff999,0x3ffffea0,
    0xffffb800,0xeeeeeeee,0x3fffee3e,0x9999999a,0x3fffea19,0xffffe802,
    0x83fff700,0xf702fffa,0xea981fff,0xd80fffff,0xffb05fff,0xfff703ff,
    0x9ffffd3f,0xfffff500,0xffffffff,0xffff503d,0x1bfff201,0x0000d5e4,
    0x01ffff90,0x01ffffc4,0x8827fffc,0x003fffff,0x003ffff7,0x01ffffb8,
    0x17fffd40,0x33ffffc0,0xffffffff,0xffffffff,0x7ffdc9ff,0x3fff600f,
    0x7fffc44f,0x7ffff703,0x33ffff70,0x803fffff,0xfffffffa,0x203fffff,
    0x999cfffe,0xefffd999,0x00000999,0x07fffe40,0x07ffff10,0x209ffff0,
    0x005ffffd,0x007fffee,0x03ffff70,0x2ffffa80,0x37fffc40,0xfffffff3,
    0xffffffff,0x7fdc9fff,0x3fe600ff,0x7ffd46ff,0xeeeeeeef,0xfb85ffff,
    0xfff91fff,0xfffa80df,0xacdeffff,0x3fffe600,0xffffffff,0x4fffffff,
    0x7e400000,0x3e200fff,0xff803fff,0xfffa84ff,0x3ee000ff,0x5c001fff,
    0x4001ffff,0x402ffffa,0x264ffffc,0xffffffff,0xffffffff,0x3ffee4ff,
    0x3ffe200f,0x7fffe46f,0xffffffff,0x7dc0ffff,0x3ffa1fff,0x3fea04ff,
    0xf30001ff,0xffffffff,0xffffffff,0xefd989ff,0x7fe40003,0x3fe200ff,
    0xfff803ff,0x7fffc44f,0x7fdc002f,0x7dc001ff,0x54001fff,0x2202ffff,
    0x220fffff,0xcffffccc,0xcfffeccc,0x3ffee2cc,0x3ffe600f,0x7ffffc5f,
    0xffffffff,0x7dc2ffff,0x3fea1fff,0xff501fff,0x260003ff,0xffffffff,
    0xffffffff,0x3fe64fff,0x20004fff,0x200ffffc,0x803ffff8,0x7ec4ffff,
    0xb8005fff,0x4001ffff,0x001ffffb,0x817fffd4,0x04ffffe9,0x7f42fffc,
    0x3ffee06f,0x3fff600f,0x3fffe64f,0xffffffff,0x5c4fffff,0x7ec1ffff,
    0xfa80efff,0x30001fff,0xffffffff,0xffffffff,0x7fec9fff,0x0000ffff,
    0x401ffff9,0x803ffff8,0x3ea4ffff,0x999affff,0x09999999,0x003ffff7,
    0x01ffffb8,0x17fffd40,0xfffff731,0x4fff801f,0x2e05fff8,0xd980ffff,
    0x2e2fffff,0xf8807fff,0x7fdc7fff,0x7ffc41ff,0xfffa84ff,0x0000001f,
    0x7c0dfff9,0x01ffffff,0x7f777744,0xeeeeffff,0x7ffff13e,0x49ffff00,
    0xffffffff,0xffffffff,0x3ffff73f,0xffffb800,0xffffffff,0xffff53ff,
    0xffffffff,0xf8805fff,0x4fff84ff,0x3bfffee0,0xfffffeee,0x7fff45ff,
    0xffffb005,0x0ffffdc3,0x17ffffdc,0x007fffea,0x7fe40000,0x3fffa06f,
    0x7c401fff,0xffffffff,0x14ffffff,0xf007ffff,0x7ffc9fff,0xffffffff,
    0x73ffffff,0x8003ffff,0xfffffffb,0x3fffffff,0xfffffff5,0x3dffffff,
    0x87fff300,0x2e04fff8,0xffffffff,0x46ffffff,0x003ffff8,0x5c9ffff7,
    0xfd01ffff,0x7d41ffff,0x00001fff,0x0dfff900,0x37ffffdc,0x7ffffc40,
    0xffffffff,0xffff14ff,0x9ffff007,0x7ffffffc,0xffffffff,0xffff73ff,
    0xfffb8003,0xffffffff,0xfff53fff,0xffffffff,0x7fd4007f,0x1fffcc2f,
    0xffffff70,0x7fffffff,0x0ffffa81,0xdffff300,0x80ffffdc,0x25fffff9,
    0x001ffffa,0xfff90000,0xefffd80d,0xffff8800,0xffffffff,0xfff14fff,
    0xffff007f,0x7fffffc9,0xffffffff,0xfff73fff,0xffb8003f,0xffffffff,
    0xff53ffff,0x59bfffff,0xffb80013,0x17ffd41f,0xffffff70,0x4079bdff,
    0x4006fffd,0xf70fffff,0x7e403fff,0xff52ffff,0x000003ff,0x01bfff20,
    0x000006a6,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3a600000,0x00002eee,0x00000000,0xcceccba8,
    0xcb98001a,0x10000abd,0x15599973,0x79b75100,0x75300015,0x83599bd9,
    0x200aaaa8,0x5532aaaa,0xbcdca835,0x41aaa880,0xa81bcdca,0x159711aa,
    0xa80bcca8,0xaaaaaaaa,0xd0aaaaaa,0x4c03ffff,0x0003ffff,0x00000fa2,
    0x6cc1f440,0xffffffff,0xfa801dff,0x4fffffff,0x3fffa600,0x01ffffff,
    0xffffffb1,0xb30019ff,0xffffffff,0x7ffd41ff,0x3fffa01f,0x2abfff95,
    0x2fffffff,0xe9afffd4,0x43ffffff,0xffe8cffe,0xffff91ff,0xffffe81d,
    0xffffffff,0xffffd3ff,0x7fffcc03,0xffd10003,0x98000009,0x7fd42fff,
    0xffffffff,0x3f601fff,0xffffffff,0x7fe401ef,0xffffffff,0xffffa81f,
    0xefffffff,0x3fffea01,0xffffffff,0x07fffea0,0xf95fffe8,0xffff5bff,
    0x545fffff,0xfffadfff,0x23ffffff,0xfffdcffe,0xffffacff,0x7fff44ff,
    0xffffffff,0xfffb3fff,0x7ffcc01f,0xfe88003f,0x0000dfff,0xfffffa80,
    0x3ffffea2,0xfffffeee,0xffffd80e,0xfffffeef,0x3ffffa06,0xffffffff,
    0x7ffffd41,0xffffffff,0xffff980f,0xffeeceff,0x3fffea0f,0x57fffa01,
    0xfffffffc,0x6fffffff,0x3ffbffea,0xffffffff,0xfffffd0f,0xffdfffff,
    0xfe8fffff,0xffffffff,0xf93fffff,0x7cc01fff,0x70003fff,0x01dfffff,
    0x7ffe4000,0x33aa0eff,0xffffd301,0xdffffa85,0x3ffff621,0xfffffb82,
    0xffcbaace,0x77ffff41,0xffffcaab,0xffffc84f,0xfa82e605,0x3fa01fff,
    0xffff95ff,0xfd339fff,0x3fea5fff,0xbadfffff,0xfd3fffff,0xff91bfff,
    0xfff15fff,0x66665c1f,0xffffcccc,0xffff90ef,0x3ffff980,0x3ffea000,
    0x80001fff,0x85fffffd,0xffff3000,0x06fffe87,0xf31ffffa,0xa809ffff,
    0x37fffee0,0xfffff980,0x07ffff41,0x3fffea00,0x57fffa01,0x0ffffffc,
    0xa9ffffd4,0x41ffffff,0xfd4ffff9,0x3fea1fff,0x3fff64ff,0x3ffea001,
    0x3ffee1ff,0x7fffcc07,0x7f4c0003,0x0002ffff,0x7fffffd1,0xffff0000,
    0x17fffd4b,0x41ffff70,0x004ffffd,0x00fffff8,0xf0fffff2,0x8005ffff,
    0x201ffffa,0xff95fffe,0x3fe03fff,0xffff54ff,0x3fffe05f,0x4c9fffd5,
    0x3f60ffff,0xff1002ff,0xffb87fff,0x7ffcc07f,0xd880003f,0x004fffff,
    0x7fffffcc,0xffd00002,0x3fffe4bf,0x87fffea0,0x000fffff,0x027fffc4,
    0xb17fffe2,0x019fffff,0x07fffea0,0xf95fffe8,0x7fc07fff,0xffff55ff,
    0xb7fff407,0x3e61fffe,0x7ffec5ff,0xffffd002,0x0dfff50b,0x03ffff98,
    0x3fff2000,0xff5005ff,0x8003dfff,0xfeeedcba,0x3ff65fff,0xeeeeeeff,
    0x13ffffee,0x000bffff,0x005ffff5,0xfb8dffff,0xbeffffff,0x3fffea01,
    0x57fffa01,0x200ffffc,0xff509998,0x7ff403ff,0x41fffd6f,0x7ec5fff9,
    0xffc802ff,0xfff506ff,0xffff980b,0x7dc00003,0x200effff,0x0dfffffb,
    0xffff9100,0xffffffff,0x7fffff4b,0xffffffff,0xfff33fff,0xff70009f,
    0xffd003ff,0xffffb0ff,0x05dfffff,0x403ffff5,0xff95fffe,0xf50001ff,
    0x7f403fff,0x1fffd6ff,0x362fffcc,0x7dc02fff,0x9100ffff,0xff980799,
    0x800003ff,0x1ffffffa,0x4fffffc8,0x3fffe200,0xffffffff,0x3fffe5ff,
    0xffffffff,0xf53fffff,0x90009fff,0xd003ffff,0x3ee0ffff,0xffffffff,
    0x3ffea0df,0x3fffa01f,0x01ffff95,0x3ffff500,0xeb7fff40,0x3fe60fff,
    0x17ffec5f,0x5fffff30,0x7fcc0000,0x000003ff,0x3ffffff3,0x27ffffec,
    0xffffd100,0xff55599f,0x7fffcbff,0xccccccce,0xf51ccccc,0x7000bfff,
    0xd005ffff,0x5440dfff,0xfffffffd,0x3fffea5f,0x57fffa01,0x000ffffc,
    0x01ffffa8,0x7f5bfffa,0x3ffe60ff,0x817ffec5,0x04ffffe8,0x7ffcc000,
    0x8800003f,0x43fffffd,0x2fffffe8,0xbffff700,0x97fffa01,0x0006fffd,
    0x01bfffe2,0x0ffffea0,0x017fffe0,0x7fffed44,0xffff51ff,0xaffff403,
    0x000ffffc,0x01ffffa8,0x7f5bfffa,0x3ffe60ff,0x817ffec5,0x006ffffd,
    0xffff9800,0x74c00003,0x101fffff,0x09fffffb,0x01ffffb0,0xf92ffff4,
    0xf8000fff,0x4002ffff,0x405ffff9,0x004ffffa,0x3fffff98,0x205ffff5,
    0xf95ffffa,0x50001fff,0x7403ffff,0xfffd6fff,0x22fffcc1,0xfc82fffd,
    0x0000ffff,0x3ffff980,0x3fea0000,0xc801efff,0x00dfffff,0xa81ffffa,
    0x3ee5ffff,0x20003fff,0x00effffe,0x0fffffc0,0x05ffffb0,0x3fffee00,
    0x07ffff33,0x2bfffff3,0x000ffffc,0x01ffffa8,0x7f5bfffa,0x3ffe60ff,
    0x217ffec5,0x01fffffa,0xfff30000,0x2e00007f,0x00dfffff,0x3ffffee0,
    0xffffb00e,0xfffff705,0x7ffffc4b,0xffa81002,0x9302efff,0x7ffffe43,
    0x5ffffd81,0xffe800a8,0xffff11ff,0x7fffd41d,0xffff95ff,0xfff50001,
    0x7fff403f,0x4c1fffd6,0x7fec5fff,0x3fffe22f,0x2000003f,0x003ffff9,
    0xfffffd80,0xfff30005,0xff903fff,0xfd759fff,0xb8bfffff,0xabefffff,
    0x83fdcaaa,0xfffffffd,0x21fffeee,0xeffffff8,0xffffffdc,0x9abdff81,
    0xffffdb99,0x7fffffc7,0xffffffec,0x1ffff95f,0xffff5000,0xb7fff403,
    0x3e60fffe,0x7ffec5ff,0x3fffffa2,0xffffffff,0xff30004f,0x440007ff,
    0x03fffffe,0x7fff4c00,0x7ffc42ff,0xffffffff,0xfe85fffe,0xffffffff,
    0xf883ffff,0xffffffff,0x7dc1ffff,0xffffffff,0xff03ffff,0xffffffff,
    0xfb87ffff,0xffffffff,0xf95fffcf,0x50001fff,0x7403ffff,0xfffd6fff,
    0x22fffcc1,0xff12fffd,0xffffffff,0x009fffff,0x0ffffe60,0x7fff4c00,
    0x100002ff,0x89fffffb,0xfffffffb,0x5fff9bff,0xfffffc88,0x3fffffff,
    0xfffff910,0x03ffffff,0xfffffff5,0x7c05ffff,0xffffffff,0xfd03ffff,
    0x5fffffff,0x3f2bfff3,0xa8000fff,0x3a01ffff,0xfffd6fff,0x22fffcc1,
    0xff12fffd,0xffffffff,0x009fffff,0x0ffffe60,0x3fffe200,0x800001ff,
    0x43fffffd,0xdffffffa,0x40bfff31,0xffffffd9,0x4c01dfff,0xffffffed,
    0xff9100bd,0x01bdffff,0xffffffd8,0x401cffff,0x1dfffffc,0x3f2bfff3,
    0xa8000fff,0x3a01ffff,0xfffd6fff,0x22fffcc1,0xff12fffd,0xffffffff,
    0x009fffff,0x0ffffe60,0x77ffcc00,0x2e000000,0x2a205fff,0x1000009a,
    0x00135553,0x000cd4c0,0x0004d4c4,0x4d5554c4,0x0aa98001,0x00000000,
    0x00000000,0x80000000,0xfffffff9,0x7fffffff,0x00005f98,0x000bf500,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0xfffffff9,0x7fffffff,0x00000030,0x1aaaa808,0x0aaaa800,0x00355553,
    0x2a155554,0xa801aaaa,0x9800aaaa,0x20003ccc,0x0004fff9,0x200fbbaa,
    0xfffffffb,0xffffffff,0x43ffff96,0x500ffffe,0x00017bd9,0x1fffffe4,
    0xfffff300,0xffffffff,0x000000ff,0x7ffec000,0xffff8004,0x0dffff30,
    0x17fffe60,0x03fffff5,0x037fffcc,0x006fffa8,0x013ffe20,0x7ffffc40,
    0x7fffdc01,0xffffffff,0xfff96fff,0x3fffec3f,0x7ffffec4,0x5999302f,
    0x7fffff50,0x3fffe600,0xffffffff,0x000007ff,0x3ff20000,0x7fc4006f,
    0x7ffff47f,0xffffc801,0x6ffffc82,0x07ffffa0,0x037ffd40,0x87fff030,
    0xffff9000,0xfffb80df,0xffffffff,0xff76ffff,0x7ffec1ff,0xfffffe87,
    0xffb83fff,0xfffd303f,0x0000005f,0x00000000,0x03fffdc0,0x71bffe60,
    0xf009ffff,0x3a20ffff,0xfc84ffff,0x2a003fff,0xf1006fff,0x517ffc1b,
    0xfff8807f,0x2603fffe,0xcccccccc,0x3ccccccc,0x641ffff7,0x7fcc6fff,
    0xffffffff,0x017ffec3,0x00bffff2,0x00000000,0x7cc00000,0x7d4007ff,
    0x7ffc45ff,0x7ffd407f,0x3ffe604f,0x3ffe61ff,0x7fd4006f,0xfff9006f,
    0x3627ffa3,0x3f600fff,0x0fffe8ef,0x7d400000,0x7ffe47ff,0x4efffec6,
    0x9dfffffb,0x800ffffb,0x002ffffa,0x00000000,0xff880000,0x3ee000ff,
    0xfffc84ff,0x3fff602f,0x7ffdc00f,0x3ffffa6f,0x7ffd4000,0xffff9806,
    0xfebffecf,0xff504fff,0x13ffea5f,0xff500000,0x5fffb8ff,0xf307fff4,
    0xffffffff,0x000000bf,0x00000000,0xfff00000,0x2fffc43f,0x260ffff2,
    0xf105ffff,0x3a00bfff,0xffccffff,0xfa8003ff,0xfb3006ff,0xffffffff,
    0x3a017fff,0x7ffec6ff,0x26000001,0x7fdc6fff,0x43fffc5f,0xffffffe9,
    0x000001ff,0x00000000,0xfe800000,0x3ffee3ff,0x0bfff20f,0x407ffff4,
    0x002ffffa,0xfffffff1,0x4cc40bff,0xfffb9999,0x1999999e,0xfffffc98,
    0x7dc02eff,0x7ffcc1ff,0xaaaaa886,0xaaaaaaaa,0xdfff32aa,0x644fffa8,
    0xffd103cc,0x0005ffff,0x00000000,0x00000000,0xfe93fff6,0x3ff62fff,
    0xffff700f,0x0ffffb07,0xfffffa80,0x3ee00fff,0xffffffff,0xffffffff,
    0xffff9107,0xff8803df,0x7fff905f,0xffffffb8,0xffffffff,0x8bfff16f,
    0x0004fffa,0x006f7b2a,0x00000000,0x00000000,0x15fffc80,0x74bfffff,
    0x3fe207ff,0x7ffc46ff,0xffd8004f,0x5c02ffff,0xffffffff,0xffffffff,
    0x7ffe447f,0x2dffffff,0x201fffb0,0x2e0ffff8,0xffffffff,0x6fffffff,
    0x9910f332,0x00000059,0x00000000,0x00000000,0xb7ffdc00,0x0ffffffb,
    0xfc80dfff,0x3fee1fff,0xfa8001ff,0x400fffff,0xfffffffb,0xffffffff,
    0xfff917ff,0xffffffff,0x7fcc5dff,0x7ffdc04f,0x3ffffee5,0xffffffff,
    0x000006ff,0x00000000,0x00000000,0x98000000,0xfffb7fff,0xfff17fff,
    0xffff980b,0x01bfffa4,0x3ffffe20,0x665405ff,0xfffdcccc,0x4ccccccf,
    0xb3dffff1,0xffff93ff,0x007fff47,0x9897fff4,0x99999999,0x00999999,
    0x00000000,0x00000000,0x00000000,0xffff8800,0xfffbfff8,0x804fff9e,
    0xff36fffe,0xfb0007ff,0x7fffffff,0x3ffea000,0x49ff7006,0xdff52ffe,
    0x10009998,0x00001333,0x00000000,0x00000000,0x00000000,0xfff80000,
    0xfd8fffcf,0x03fffbff,0xc9ffffb8,0x4000ffff,0xffeffffb,0xa8001fff,
    0x36006fff,0xb117ffc2,0x00000005,0x00000000,0x00000000,0x00000000,
    0xd0000000,0x2dffffff,0xfffefffb,0xffff8802,0x004fffec,0x477fffcc,
    0x006ffffc,0x006fffa8,0x201fffc0,0xbbbbbbb8,0xddd1bbbb,0xdddddddd,
    0xdddddddd,0x000005dd,0x00000000,0x00000000,0x40000000,0x3ffffffd,
    0xfffffff1,0x3fff6003,0x001fffff,0x8bffffe2,0x004ffffe,0x0037ffd4,
    0x809fff10,0xfffffff8,0xfff4ffff,0xffffffff,0xffffffff,0x000005ff,
    0x00000000,0x00000000,0x40000000,0x1ffffffc,0x3ffffffa,0xffff3000,
    0xd800dfff,0x7cc4ffff,0x2002ffff,0x0006fffa,0x100b3322,0xffffffff,
    0x3ffe9fff,0xffffffff,0xffffffff,0x000002ff,0x00000000,0x00000000,
    0x20000000,0x46fffffb,0x07fffffb,0x7fffff40,0x3fee003f,0xfff906ff,
    0x3ea001ff,0x000006ff,0x3ffffe20,0xd4ffffff,0xdddddddd,0xdddddddd,
    0x0005dddd,0x00000000,0x00000000,0x00000000,0x7ffffd40,0x7ffffc44,
    0x7ffdc006,0xf3000fff,0x7403ffff,0x5005ffff,0x0000dfff,0x66664400,
    0x2ccccccc,0x00000000,0x00000000,0x00000000,0x00000000,0xfffff100,
    0x9ffffd03,0xffff8800,0xffd1005f,0xff9809ff,0x00003fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_bold_39_usascii_x[95]={ 0,7,4,0,1,0,0,8,5,4,2,1,4,4,
6,1,1,2,2,2,0,2,1,2,1,1,7,4,1,2,3,5,0,0,2,1,1,3,3,0,1,2,3,2,
3,0,1,0,2,0,2,1,1,1,0,0,0,0,1,5,2,5,1,0,0,2,2,2,1,1,0,1,2,2,
2,2,2,1,2,1,2,1,3,2,1,2,0,0,0,0,2,2,8,4,0, };
static signed short stb__consolas_bold_39_usascii_y[95]={ 28,1,1,3,-1,0,1,1,-1,-1,1,8,20,15,
20,1,2,2,2,2,3,3,3,3,2,2,8,8,6,12,6,1,0,3,3,2,3,3,3,2,3,3,3,3,
3,3,3,2,3,2,3,2,3,3,3,3,3,3,3,0,1,0,3,32,1,8,1,8,1,8,0,8,1,0,
0,1,1,8,8,8,8,8,8,8,2,8,8,8,8,8,8,0,-4,0,13, };
static unsigned short stb__consolas_bold_39_usascii_w[95]={ 0,7,14,21,19,22,22,6,13,13,17,19,11,13,
9,19,20,18,18,18,21,18,19,18,19,19,8,11,17,17,17,14,22,22,18,19,20,16,16,20,19,17,15,19,
17,21,19,21,18,22,19,19,19,19,22,21,22,22,19,11,19,11,19,22,14,17,19,17,18,19,21,20,17,18,
16,19,18,20,17,20,19,18,17,17,18,17,22,22,21,22,17,16,5,15,21, };
static unsigned short stb__consolas_bold_39_usascii_h[95]={ 0,28,10,25,34,29,28,10,37,37,17,19,15,5,
9,32,27,26,26,27,25,26,26,25,27,26,21,27,23,12,23,28,36,25,25,27,25,25,25,27,25,25,26,25,
25,25,25,27,25,34,25,27,25,26,25,25,25,25,25,36,32,36,13,4,8,21,28,21,28,21,28,28,27,28,
36,27,27,20,20,21,28,28,20,21,27,21,20,20,20,28,20,36,40,36,9, };
static unsigned short stb__consolas_bold_39_usascii_s[95]={ 255,238,199,114,155,215,21,243,21,7,143,
123,239,161,239,195,80,181,200,141,217,1,20,187,121,219,246,241,37,181,19,
86,109,155,136,60,93,76,59,160,19,1,239,178,1,165,145,38,198,132,80,
101,60,40,206,123,100,229,39,80,175,52,161,175,236,55,1,93,121,73,159,
181,1,140,92,202,222,204,186,111,101,44,168,132,19,150,78,55,101,63,225,
35,1,64,214, };
static unsigned short stb__consolas_bold_39_usascii_t[95]={ 1,1,174,126,1,1,42,152,1,1,174,
174,126,188,142,1,71,71,71,71,126,99,99,99,71,71,1,42,152,174,152,
42,1,126,126,71,126,126,126,71,126,126,71,126,152,99,99,71,126,1,99,
71,99,99,99,99,99,99,126,1,1,1,174,188,174,152,42,152,42,152,42,
42,71,42,1,42,42,152,152,152,42,42,152,152,71,152,174,174,174,42,152,
1,1,1,174, };
static unsigned short stb__consolas_bold_39_usascii_a[95]={ 343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_39_usascii_BITMAP_HEIGHT or STB_FONT_consolas_bold_39_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_39_usascii(stb_fontchar font[STB_FONT_consolas_bold_39_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_39_usascii_BITMAP_HEIGHT][STB_FONT_consolas_bold_39_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_39_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_39_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_39_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_39_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_39_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_39_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_39_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_39_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_39_usascii_s[i] + stb__consolas_bold_39_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_39_usascii_t[i] + stb__consolas_bold_39_usascii_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_39_usascii_x[i];
            font[i].y0 = stb__consolas_bold_39_usascii_y[i];
            font[i].x1 = stb__consolas_bold_39_usascii_x[i] + stb__consolas_bold_39_usascii_w[i];
            font[i].y1 = stb__consolas_bold_39_usascii_y[i] + stb__consolas_bold_39_usascii_h[i];
            font[i].advance_int = (stb__consolas_bold_39_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_39_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_39_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_39_usascii_s[i] + stb__consolas_bold_39_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_39_usascii_t[i] + stb__consolas_bold_39_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_39_usascii_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_39_usascii_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_39_usascii_x[i] + stb__consolas_bold_39_usascii_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_39_usascii_y[i] + stb__consolas_bold_39_usascii_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_39_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_39_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_39_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_39_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_39_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_39_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_39_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_39_usascii_LINE_SPACING
#endif

