// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_50_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_50_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_50_usascii_BITMAP_WIDTH         256
#define STB_FONT_courier_50_usascii_BITMAP_HEIGHT        216
#define STB_FONT_courier_50_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_courier_50_usascii_FIRST_CHAR            32
#define STB_FONT_courier_50_usascii_NUM_CHARS             95

#define STB_FONT_courier_50_usascii_LINE_SPACING          23

static unsigned int stb__courier_50_usascii_pixels[]={
    0x0037f400,0x00000022,0x00059000,0x10000000,0x0000005d,0x00000000,
    0x0137b951,0xdedba800,0x4c40000b,0x20000000,0x0ba80018,0x006fe800,
    0xbed803e4,0x22035400,0x003fa6fd,0x0003f500,0x7ecbf200,0x202fffff,
    0xfffff0fa,0x86a803ff,0xffa8006b,0x0dffffff,0xffffd800,0x5c002fff,
    0x2ceffffd,0x50e6665c,0x5c439999,0x1bdfffed,0x002ffcc0,0x360037f4,
    0xfffb800f,0x4c03f201,0x13ea4fff,0x00df3000,0x5cff1000,0x02feeeee,
    0x3bfe1ff1,0x6400deee,0x2003ec0f,0x989bdffc,0x1001efdb,0x2a215bfd,
    0xfe9802ff,0xffedcdef,0x93ffff65,0xd12ffffe,0xffb99dff,0x3fee01df,
    0x06fe8007,0x70007ec0,0x807e40df,0x01ff03fe,0x003fd800,0x201fdc00,
    0x49fb02fa,0x1fb0006f,0xfb1007e8,0x3ffa801d,0x2203fd80,0x3fea01fe,
    0x1dfb100c,0x330133fb,0x09ff35f7,0x540fff4c,0xec8007ff,0xffca8804,
    0xfd8022bd,0xf301f901,0x001fdc0d,0x0003fe60,0x5400ff80,0x20ff982f,
    0x0fb0006f,0x17f600fd,0x202ff980,0x3f9804fa,0x2005ff30,0x800feefb,
    0x001efdfa,0xffa81df9,0x26000006,0xfffffffe,0x5f703fae,0x3ea03f20,
    0x001fe203,0x00013fa0,0x7d4027d4,0x37c4fd82,0x6f87e800,0x8005fa80,
    0x03fa06f9,0x2fe836c0,0x07ffdc00,0x00fffd40,0xff513f20,0x2e00000d,
    0x3ae61cff,0x7f504fff,0x3ea03f20,0x0017e402,0x0001fea0,0x7d4007f4,
    0x3e07fcc2,0xf0df0006,0x001fd00b,0x3ea0ff20,0x703f2004,0x3f60009f,
    0x3ffa800f,0x4c7e8800,0x800005ff,0x7cc01ff8,0x207f504f,0x02fa80fc,
    0x400037c4,0x540002ff,0x85f5004f,0x006f85fd,0x05f88df0,0x100027dc,
    0x00fd81ff,0x1fb07ee0,0x03fe6000,0x8001fea0,0x17fe61fa,0x0bf60000,
    0xfa827dc0,0xf501f903,0x005f9005,0x0005fc80,0xfa800ff4,0x3e0bfe22,
    0x88bf0006,0x007fc04f,0xfd0ff200,0x7c2fb800,0x3fe20006,0x005fa800,
    0xff88fe60,0x66666544,0x3ccccccc,0x0760037c,0x0fc81fd4,0xf8802fa8,
    0x7fcc0006,0x0bf30000,0xff717d40,0x1000df01,0x204f98bf,0x880004f8,
    0x44037c5f,0x3e22fdba,0x07f40005,0x0001fd40,0x44ff897e,0xfffffffe,
    0x225fffff,0x2a00005f,0x501f903f,0x07f6005f,0x009ff000,0xa8007f60,
    0x7c17fa2f,0x44f98006,0x0fe603f9,0xf137c000,0x7ffec40b,0x013e22ff,
    0x5001fd00,0x6f80007f,0x4ccc27fc,0x99999999,0x00037c5f,0x3f207f50,
    0x3002fa80,0xfd8000bf,0x06f98007,0xff897d40,0x3000df04,0x203fa87f,
    0xd00002fb,0xfa81fccf,0x42fc9adf,0x7fc0006f,0x005fa800,0x7ff13e20,
    0x6c5f8000,0xf500002f,0x2a03f207,0x07f6002f,0x00ffc800,0x20017ec0,
    0x07ff52fa,0x3bae01be,0xeeeeefee,0x90deeeef,0x3200003f,0xf307f50f,
    0x6c2fb85f,0x3fe60007,0x006fa800,0x7ff0fea0,0x445f8000,0x40000bff,
    0x01f903fa,0x7d4005f7,0x3fee0004,0x01be2001,0x7fdcbea0,0xfd00df02,
    0xffffffff,0x3fffffff,0x400003f6,0xd07f51fc,0xc85f705f,0xff90003f,
    0x05ff5001,0xfd07f600,0x85f80005,0x0aceffe9,0xc837c400,0x001fd80f,
    0xa80007f4,0x3f2002ff,0x92fa8002,0x01be01ff,0x3f90bee0,0x0000fe40,
    0x87f50fd8,0x85f705f8,0x54000ff8,0xfa800fff,0x7dc000ff,0x0002fe85,
    0xffb502fc,0x2005bfff,0x40fc82fe,0xfa8007fa,0x7ff30004,0x001be200,
    0x07fd97d4,0x3f2001be,0xf7007e41,0x9fa00005,0x81fcc3fa,0x0efa82fb,
    0x1ffff300,0x1bfdf500,0x203fe600,0x7c0001fd,0xfdb73005,0xff8801df,
    0x7543f23e,0xfd0001ff,0x9ff10001,0x000fee00,0x06fe97d4,0x3f2001be,
    0xf5007ec0,0x9be00007,0x82fcc3fa,0x7ff902fb,0xfd9ffb80,0xfbafa800,
    0x17fe402f,0x40001fd8,0xf910005f,0x7ffc803f,0x2fff43f2,0x007f7000,
    0x7c017fe0,0x5f50000f,0x06f81bfe,0x3ec0fd80,0x00013e60,0x83fa97e2,
    0x02fb80ff,0x2af3bfea,0xfb0efecb,0x2a5f5001,0xdbaaceff,0x3f201eff,
    0x02fc0000,0xb81bea00,0x83f20bff,0x20004ffb,0xff88007f,0x003fb804,
    0x3ff4bea0,0xfb000df0,0x1fd00fd0,0x23fc8000,0x85fc83fa,0x7ec402fb,
    0x0cefffff,0x3ea003f6,0x3ffff662,0x39803fff,0x005f8000,0xff00fd80,
    0xff01f901,0x0fee0001,0x007ff300,0x540001fd,0x201ffb2f,0x4ccc406f,
    0xf9999fe9,0xfb80999e,0x3fe20004,0x7f40fea0,0x02fdaacf,0x4026ea60,
    0x2fa800fd,0x00157510,0x0bf00000,0x305f5000,0x203f209f,0xf10001fc,
    0x2ffa800d,0x00027d40,0x0ffe4bea,0x7ff406f8,0xffffffff,0x82ffffff,
    0xf90000fe,0x2e04f987,0x0fffffff,0x07ec0000,0x00017d40,0xbf000000,
    0x7d400164,0xf903fa83,0x0005f501,0xf90017e4,0x00fe803f,0xfb97d400,
    0x980df02f,0xccffcccc,0xbcccefcc,0x8005fb80,0x05f886f9,0x02aaaa98,
    0x00fd8000,0x00002fa8,0x57e00000,0xfc8006f8,0xf903fa81,0x0005f501,
    0xfb0037c4,0x02fd401f,0xf997d400,0x000df03f,0x004f88bf,0x540037f6,
    0x00df01ff,0x6c000000,0x02fa800f,0x00000000,0x017fc57e,0x3ea0df30,
    0xf501f903,0x2fd80005,0xd80dfd00,0xfa80001f,0x37c13fe2,0xf317e200,
    0x1efd8009,0xb017fdc0,0x0000001f,0x2003f600,0x000002fa,0x457e0000,
    0xfa803fff,0x207f501f,0x02fa80fc,0x802fcc00,0x17e603ff,0x917d4000,
    0x001be0df,0x03f989f3,0x9bdffd80,0x01efeca9,0x000027d4,0x00fd8000,
    0x00002fa8,0x0001f6cc,0x7f77c57e,0xeba99abf,0x0fea02ff,0x17d407e4,
    0x00fec000,0xfd803fea,0x5f500001,0x37c0ffcc,0xf50fe600,0x3f660007,
    0x0dffffff,0x0001ff00,0x1fb00000,0x0005f500,0x1ffffc40,0xa74bf000,
    0xfffffffb,0x1fd400cf,0x2fa80fc8,0x05f98000,0xdf102fec,0x17d40000,
    0x01be13f6,0x2fa87f50,0x6ffd4000,0x5fb8001b,0x54000000,0xabfeaaaa,
    0x3f2aa60a,0x001aaaac,0x0bffff30,0x2202fc00,0x2001bfea,0x01f903fa,
    0x200005f5,0x3ff100fe,0x00017e40,0x6fa85f50,0x7d4006f8,0x00017dc2,
    0x00007ff7,0x4c880bfd,0x7ffcc000,0x4fffffff,0x3ffffffa,0x20006fff,
    0x0003ffff,0x07ec017e,0x640fea00,0x002fa80f,0x2e09f500,0x01be206f,
    0xf05f5000,0x4006f85f,0x00fe42fb,0x66ffec40,0x64c1acde,0xbefe880f,
    0x09ff7311,0x55553000,0xa8855555,0xaaaaaaaa,0x32e20000,0x17e20001,
    0x20007ec0,0x01f902fc,0x400009f3,0x02ff80fe,0x00000ff2,0x8df705f5,
    0x0fdc006f,0xf10003f2,0xffffffff,0xbfffbfff,0x7fffec40,0x0004ffff,
    0x00000000,0x30000000,0x03f6007f,0x3201ff00,0x007f880f,0xf713ee00,
    0x003fc40d,0x4417d400,0x001be2ff,0x00fd83f9,0x4de77d40,0xffd97311,
    0x32e6005b,0x00002cce,0x00000000,0x5c000000,0x01fb001f,0xc813faa0,
    0x15df900f,0x41ff0000,0x0fee01ff,0x26666000,0x4df702fb,0x009999ef,
    0x00fb03f2,0x00020000,0x00000000,0x00000000,0x3fc40000,0xd001fb00,
    0x7e401bff,0x01fff200,0x7d4fee00,0x0007fc04,0x3fffffa0,0x7c7f602f,
    0x01ffffff,0x00075093,0x00000000,0x00000000,0x00000000,0x017f4c00,
    0x2ea00d70,0x50038802,0x46e00005,0x000b8038,0xccccca80,0xcc8e201c,
    0x000bcccc,0x00000000,0x00000000,0x00000000,0x332a0000,0xffecbabc,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3fe00000,0xdfffffff,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x54400000,0x000aaaaa,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x4d4c4000,0x75100000,0x26000359,
    0x000abcca,0x00000000,0x00000000,0x00026000,0x05797300,0x00000000,
    0x00566544,0x04de6544,0x00000000,0x07fffff7,0xffffb800,0xd5000eff,
    0x7fffffff,0xfffff900,0xffffffff,0x5ffffb01,0x00000000,0x01fffff3,
    0x3fffb220,0x666543de,0xffff301c,0x7dc05dff,0xffffffff,0x0fffffff,
    0xffffb300,0x7e403fff,0x02efffff,0x3ffb2600,0x401bceef,0x9f931cfc,
    0x33ff2000,0x02ffdb9a,0x26f3ffa2,0x00effba9,0x3bbbbbf2,0x05eeeeee,
    0x005fddd7,0xb1000000,0x5001ffdd,0xfd99dfff,0x3fff21df,0xacffa84f,
    0x704ffba9,0xdddddddf,0xffdddddd,0x9dff7001,0x303b7337,0x95337dfd,
    0xf90009ff,0xffffddff,0x80fd40df,0x7dc001fa,0x01ff500e,0xc801bff1,
    0x007f205f,0x005f5000,0xb0000000,0x3ffc801f,0x3f23bf20,0x1ff9809a,
    0xf707fb10,0x01fb0005,0x000fff44,0xe980ffa2,0x3bf2003f,0x40333101,
    0x002fc06d,0xfb801ff1,0x2002fa84,0x03f903fd,0x02fa8000,0x80000000,
    0x3be600fd,0xfeff9801,0x1007fa00,0x01fa83fd,0x3e607f80,0xfc8000df,
    0x01ff8803,0x0000ff98,0x035c03f8,0x3e005f90,0x4400080f,0x003f905f,
    0x002fa800,0xd8000000,0x007fa00f,0x500fffa8,0x17e6009f,0x9f300071,
    0x8001ff40,0x3ea006f8,0x004fb804,0x6b805f00,0x400ff100,0xd00003fc,
    0x0007f20f,0x0005f500,0xfb000000,0x000ff201,0x7e403ff2,0x003f6000,
    0x640bf200,0x3e60004f,0x4037c003,0xb00000fd,0x5005e80d,0x37c4009f,
    0x907d8000,0xa800003f,0x0000002f,0xd00fd800,0x3fe2000f,0xb800fd00,
    0x7e80003f,0x0001ff30,0x3a0017dc,0x0007d807,0x7cc07ee0,0x003f9002,
    0x80000fe8,0x003f905f,0x202fa800,0x20000098,0x807ec018,0x3fe0006f,
    0x8800df00,0x7c40005f,0x0005fd05,0x7c002fa8,0x0007d806,0xd711f6c0,
    0x007ec00b,0x00007f60,0x07f205f5,0x85f50000,0xdefffeca,0xfeb98001,
    0x7ec1bdff,0x0004f880,0x037c03f6,0x20003ec0,0x05f882fb,0x4009f000,
    0x666543f8,0xcccccffc,0x1001cccc,0x09ffbffb,0xc8007e80,0x3e60002f,
    0x223f900f,0x001accba,0xdffb17d4,0x07fffb9b,0x37bffa20,0x363fffdc,
    0x004f980f,0x3ec03f60,0x007fe200,0xfb80fd80,0x3fb00002,0xfb03f600,
    0xffffffff,0x09ffffff,0x01bcba80,0x06f8bb26,0x8003fa80,0x3201efc8,
    0xfffffdcf,0xf5001eff,0x201bfd15,0x2a00effa,0xfd300dff,0x2fc03f69,
    0x201ff000,0x3f6000fb,0xbf10001f,0x0c407f60,0x803df300,0x333305fc,
    0x333333fd,0x00000133,0x417dfd93,0x3f98005f,0xfffeeb80,0x7ffe400e,
    0xfda999ad,0xecfa803f,0x5fd8802f,0x2007ff10,0xd00fddfc,0x3fe2000f,
    0x2009f300,0x0002fffa,0x11fa07f5,0x03bfffb7,0x4439ff30,0x36005fea,
    0x20000007,0x00bdffc9,0x9f3000bf,0xfffff900,0x017d5005,0x5401ffa8,
    0x74002fff,0x003fe82f,0xc807ffe4,0xffb8002f,0x3007fa00,0x0007f5df,
    0x337c03f6,0xffd9bdff,0xfffd1007,0x8007ffff,0x4000007d,0x00bdffca,
    0xf98005f8,0x3f6e6004,0x200000df,0x7fd406f9,0x0ff88005,0x220017e2,
    0xff100ffe,0x7ffcc001,0x407fe200,0x03f98efa,0x3e20df00,0xd305ff35,
    0xffe8809f,0x004fffef,0x400003ec,0x00adffda,0x4c002fc0,0xfd10004f,
    0x6400001d,0x03fea03f,0xf717dc00,0x3fea0001,0x4017ee00,0x400fefe8,
    0xdb9acff9,0x007f31ff,0x6fc07f50,0x7f400ef9,0x417ff301,0x2005fd98,
    0xb300007d,0x00015bff,0x7cc002fc,0x2fec0003,0x0bf10000,0x300037d4,
    0x0003ec7f,0xfd801ff1,0x2bfea01e,0xfea800fc,0x2e1dffff,0x1fc8002f,
    0x007ffbe0,0x37ea1be6,0x0077d400,0xd80003ec,0x332a00ad,0x001be00a,
    0x20000fea,0x200000fd,0x013ea06f,0x17e5f880,0x001ff000,0x9559bff9,
    0x03f23ffd,0x902ca880,0x0df0005f,0x2003ffe8,0x0077c0fc,0x7d804fb8,
    0xd3000000,0x205ffddf,0x2fb8007e,0x03fa8000,0xa81fa000,0xb7c0003f,
    0x6c0004f9,0xffd3000f,0x641bdfff,0x7400000f,0x27cc001f,0x7001bf60,
    0x0017d45f,0x01f601ba,0x37e60000,0x3607f661,0x07e4000f,0x02fc4000,
    0x540fd000,0xafc0004f,0x740004f8,0x5cc4000f,0x001f900a,0x8006f800,
    0x17dc01fc,0x7c8fe600,0x400fb800,0x8000007d,0x321b605e,0x03ec002f,
    0x000fb000,0xbf5037c0,0xd27c4000,0x0ff8000d,0x1f900000,0x27dc0000,
    0x4c03f400,0x1fcc003f,0x5f5000dd,0x00007d80,0xf5017cc0,0x2004fa83,
    0x200007f8,0xf100006f,0x003fd40b,0x03e45f50,0x001ff300,0x003f6000,
    0x00ffcc00,0x7c013e20,0xd17d4006,0x05f5000f,0x000007d8,0x21f403d4,
    0xf7000ff8,0x3e600009,0x7f700004,0x001ffd40,0x0fe61fe8,0x007fec00,
    0x006f8000,0x000ffa00,0x7ec00bee,0xc87f2000,0x07e4000f,0x00001f60,
    0x3f801f50,0xfd003fd8,0x3f600001,0x22000a62,0x3fea00ff,0x27dc000f,
    0x2a0007fc,0x00000fff,0x00004fa8,0x36000bf9,0x017e6007,0x13ee37c4,
    0xd807f880,0x44000007,0x207ea03f,0x3fc807f9,0x32000ee4,0x006fe44f,
    0xfa807fb0,0xf3000dfe,0x003bea0d,0x007f7fc4,0x07fe6000,0x1dfb1000,
    0x00bf1000,0xfc802fd8,0xb001fe82,0x00fb005f,0x40db0000,0x03bf206d,
    0x3ee07fdc,0x7ec401df,0x03ffe886,0x54037f44,0x401efaaf,0x3f201ffc,
    0x477dc02f,0x200000fd,0x40003ff9,0x0000dffb,0xf88005f5,0x41bf202f,
    0x36202ff9,0x00fb005f,0x5df10000,0x3600ff54,0xfeb9adff,0xbfff501e,
    0xff953359,0x77fdc01b,0xffcb99bc,0xfddd900c,0x26f3fea5,0x01efeba9,
    0x99bdffc8,0xfb0efdba,0x5c405bdd,0xffdaaccc,0x9acc803f,0x03fffdba,
    0x0007ec00,0x4cdeffcc,0x2a00efeb,0xca99bdff,0x76c40dff,0xeeeffeee,
    0x004eeeee,0xffffe880,0xfff7001e,0x5001bfff,0xfffffffb,0x3b22005f,
    0x2fffffff,0x17fffec0,0xffffffb3,0xfda8009f,0x0cffffff,0x80fffff6,
    0xfffffffa,0xffb001ef,0x037bffff,0x0009b000,0x7ffffec4,0xffb1005f,
    0x205fffff,0xffffffe8,0xffffffff,0x5300000e,0x73100035,0x22000159,
    0x0001abca,0x006b2e62,0x2f2e6000,0x5cc00009,0x200000ac,0x01aaaaa9,
    0x03795100,0x00000000,0x0055e54c,0x0d65d440,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0000ffb8,0x00000000,0x00000000,0x32a00300,0x400ccccc,
    0x03ccccca,0x03599510,0x10000000,0x73000000,0x000159bb,0x26666660,
    0x19999999,0x000e5c40,0xd0007fdc,0x0003ffff,0xfff90000,0x9ffff907,
    0xc9800000,0xffc800fe,0x7403ffff,0x01ffffff,0x3fffffaa,0x7ff400ef,
    0x000fffff,0x00005f10,0x3ffffee0,0x0000cfff,0x3ffffff6,0xffffffff,
    0xbffff305,0x00ffb800,0x07fbbb20,0xf3000000,0xdd507fdf,0x000009fd,
    0x1fffff95,0x26bfa200,0x7f933000,0x567fdc01,0x03ffda99,0x3fbbbbb2,
    0x7f30000f,0xfd880000,0xeca88ace,0x930001ff,0xfd999999,0x2039999b,
    0x01fffffd,0x0003fee0,0x00000fdc,0x3ea7f600,0x0027cc03,0xbffff900,
    0x54001fb5,0x6f88004f,0x3006fe40,0xfc8005fd,0x07f30000,0x2ff4c000,
    0x0017fe40,0x0017dc00,0x05ffffff,0x00077540,0x00001fb8,0x7d53ea00,
    0x0027cc03,0xc839dd00,0x07f4000f,0xb80fee00,0x1ff1005f,0x0007e400,
    0x00003f98,0x5c007ff1,0x400000ff,0x3f2002fb,0x0000ffff,0x00fdc000,
    0x1fd00000,0x9f300fea,0x32000000,0x27d4000f,0xfd01be00,0x004fa800,
    0x4c0003f2,0xf900003f,0x0bf50007,0x02fb8000,0x0bbff220,0x2e000000,
    0x0000001f,0x01fd47f7,0x000013e6,0x40007e40,0x7f7000fe,0x4001fcc0,
    0x03f2006f,0x001fcc00,0x00037cc0,0x400005fd,0x088002fb,0x20000000,
    0x000001fb,0x1fd46f88,0x00013e60,0x0007e400,0x7f8027d4,0x40006440,
    0x03f2007d,0x7ee664c0,0xccccccce,0x5fb00ccc,0x037d4000,0x005f7000,
    0x00000000,0x06203f70,0x217e4000,0x27cc03fa,0xfc800000,0x01fd0000,
    0x00003fb8,0x64003f60,0xfffb000f,0xffffffff,0x305fffff,0xfd0000bf,
    0x3ee00001,0x2e000002,0x0ccccccc,0x543f7000,0x04effffd,0xf50bf300,
    0x504f9807,0x17999999,0x000fc800,0x7f809f50,0x37c00000,0x4001f900,
    0x99cfb998,0x09999999,0x00005f50,0x200007f5,0x000002fb,0x3ffffffe,
    0x3f70001f,0x3733fff2,0x74000dff,0x403fa81f,0xfffb04f9,0x8003ffff,
    0x3a0000fc,0x007f700f,0x027dc000,0x20001f90,0x5c0003f9,0xf980001f,
    0x5f700005,0x99800000,0x001fd999,0x39fd5f70,0x4003bf20,0x07f504fa,
    0x3ea04f98,0x800099cf,0x2a0000fc,0x001fd03f,0x03fe2000,0x0000fc80,
    0xd80007f3,0xdf00000f,0x0bee0000,0x32000000,0xff70001f,0x05f9007f,
    0x7d403fa0,0xa827cc03,0xc80003ff,0x7f40000f,0x0001fd40,0x002fe880,
    0x980007e4,0x3f40003f,0x00fd0000,0x400bee00,0x00ccccc9,0x0001fc80,
    0x7c007ff7,0x203fb805,0x27cc03fa,0x0000ffdc,0x40000fc8,0x007f43fa,
    0x03fd8000,0x0000fc80,0xf80007f3,0x1fa00006,0x017dc000,0x05ffffc8,
    0x0003f900,0xfb000fee,0x5406f880,0x227cc03f,0x00000efc,0x200003f2,
    0x009f50fe,0x013f6000,0x80007e40,0x740003f9,0x1fa00007,0x0bee0001,
    0x07ffff40,0x001fc800,0xc8003f70,0x00bf600f,0x4f9807f5,0x0001bfb1,
    0x0000fc80,0x01fd3fa8,0x4fd88000,0x003f2000,0x0001fcc0,0x200003f6,
    0x00be26f8,0x2600bee0,0x0004ffff,0x5c0007f2,0x07e4001f,0xfa805f98,
    0x7467cc03,0x9000004f,0x3a00001f,0x00004fbf,0x00027f44,0x4c0003f2,
    0x7dc0003f,0x5f980001,0x2e000fea,0xfffb802f,0x0fe40006,0x001fb800,
    0x1fe807e4,0x4c03fa80,0x002fffdf,0x001f9000,0x03ffea00,0x4fe88000,
    0x00fc8000,0x0007f300,0x80002fa8,0x00fea3fa,0x3a00bee0,0x40002fff,
    0xf70001fc,0x80fc8003,0xaaaaaefa,0xacfcaaaa,0xd5fff301,0x9000005f,
    0x7400001f,0x2200004f,0x900004fe,0x3e60001f,0x2fcc0003,0x507f4000,
    0x3f70007f,0x05fff880,0x001fc800,0xc8003f70,0xffffa80f,0xffffffff,
    0xf980ffff,0x005ff11e,0x000fc800,0x0003fa00,0x001ff440,0x0001f900,
    0x20000fe6,0x2a0002fd,0x001fd46f,0x3ea007ec,0xc80000ff,0x3f70001f,
    0x880fc800,0xaaaaaaaa,0x1acfcaaa,0xff989f30,0x3f200002,0x9f500000,
    0x3fe60000,0x7e400003,0x07f30000,0x00df1000,0x3ea17f40,0x03fc4003,
    0x0001ffec,0x70001fc8,0x0fc8003f,0x03fa8000,0x7fcc27cc,0x1f900002,
    0x03fa0000,0x0ffe6000,0x03f20000,0x0027cc00,0x8003fc80,0x03fa85fb,
    0x7c02fd40,0x3200006f,0x3f70001f,0x000fc800,0x4c03fa80,0x03ff304f,
    0x001f9000,0x0009f500,0x0005ff30,0x0003f200,0x04000ff8,0x70027fc4,
    0x7ff301ff,0x003fe600,0x00003ff3,0xb8000fe4,0x07e4001f,0x01fd4000,
    0xff9813e6,0x07e40001,0x007f4000,0x007fea00,0x00fc8000,0x2013f600,
    0xe881fda8,0x7fe400df,0x037fe601,0x7002ff88,0xfc800005,0x03f70001,
    0x0000fc80,0x7cc03fa8,0x00ffcc04,0x0001f900,0x40004fa8,0x4c001ffa,
    0x003f2004,0x9adfe880,0xfffdba99,0x5effec05,0x1effdb99,0xbdffd880,
    0x03ffdb99,0x64000000,0x3f70001f,0x000fc800,0x4c03fa80,0x1ff9804f,
    0x001f9000,0xd5555551,0x8003559f,0xc8000ef9,0x01f9000f,0xfffd8800,
    0x1cffffff,0xfffff700,0x80017fff,0xffffffeb,0x8000001e,0xeeeeeeeb,
    0xeeeeeeff,0x3bbaa1de,0xd701deef,0x01bddffd,0x3fbbbae0,0x3bbae4ee,
    0x7ff6404f,0x77645eef,0xeeffeeee,0xf91deeee,0xffffffff,0xfa800fff,
    0xeeeeeeee,0xffeeeeee,0xdddddd70,0xdddddffd,0x26003bdd,0x009accca,
    0x2f32a200,0xca880002,0x000001ac,0x3fffff20,0xffffffff,0x3ee2ffff,
    0x02ffffff,0xfffffff9,0x3fff6003,0x3f26ffff,0x7ec04fff,0x20efffff,
    0xfffffffd,0xffffffff,0x55555512,0x00155555,0xffffffa8,0xffffffff,
    0xfffb0fff,0xffffffff,0x03ffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x65c40000,0x0002cded,0x2b3772e6,0x99988081,0x26201999,
    0x00199999,0x06b3b2ea,0x6e544004,0x22041acd,0x99999999,0x99999999,
    0x4ccc0999,0x99999999,0x26620000,0x99999999,0x4cccc001,0x98801999,
    0x40999999,0x00099999,0x88133333,0x99999999,0x81999999,0xffffffda,
    0x2a002eff,0xfffffffe,0xf88f92ef,0x5fffffff,0xffffff98,0x7f5c04ff,
    0x3fffffff,0xfff701b2,0x11bfffff,0x7ffff45f,0xffffffff,0x2fffffff,
    0x3ffffffe,0xefffffff,0x7fffc003,0xffffffff,0x3f202def,0x2fffffff,
    0x7fffff40,0xfffb0fff,0xff805fff,0x320fffff,0xffffffff,0x47ffffff,
    0x221aeffe,0xd804ffc9,0xa88aceff,0x0feeffec,0x666fee5c,0xf999701c,
    0x3620399f,0x7511bdff,0x20fb3dff,0x309bffe8,0x47fbffb5,0xccccccfe,
    0xcccccfec,0x32a2fdcc,0xccccdfdc,0x1effedcc,0xbfd99700,0xdb999999,
    0x99301bff,0x019999ff,0xdfdcccb8,0x3bf7263c,0x6e5400bc,0x6fe43cff,
    0xcccccccc,0x77c7eccc,0x01ff9801,0x1001dfd1,0x2e01fff9,0x0fd0002f,
    0x800dfe88,0xfb07fffb,0xfff98019,0x1fb01ba3,0xfb817dc0,0x1ffc8802,
    0x400fdc00,0x3600ffd8,0x7ec0000f,0x003fa201,0x3f207f90,0xf1be6001,
    0x837cc00d,0xfb8005fd,0x005f700f,0x9fb01fa0,0x87ff9800,0x3e6005fb,
    0xfb01ba3f,0xb817dc01,0x3bea002f,0x007ee000,0x3e605fb8,0x1be20004,
    0xa8017ea0,0x007f205f,0x17e0ff44,0xfa83f900,0x1ff0000e,0x4000bee0,
    0x01bee07e,0x7ec3fd40,0xd1fe4000,0x200fd80d,0x05f702fb,0x2003fb80,
    0x7ec001fb,0x8001fa02,0x7f9003fb,0xc803fa00,0x07f9001f,0x3fa80035,
    0x90000ffc,0x0017dc0f,0x07fe07e8,0x6f87f800,0x3a3fa800,0x7007ec06,
    0x00bee05f,0xfb8017e0,0x027c4001,0x3a0005f7,0x1ff1000f,0x6403fc80,
    0x05fa801f,0xa93e6000,0x0440005f,0x20005f70,0x009f507e,0x06f86c80,
    0x03743b00,0x2fb803f6,0xd0005f70,0x00fdc00f,0xbf1037c0,0x00bf3000,
    0x3e605fa8,0x401fc806,0x00000ff8,0x02fd8bea,0x17dc0000,0xfd07e800,
    0xd0100001,0x1ba0000f,0x7dc01fb0,0x8005f702,0x3ee007f8,0x407e8001,
    0x7e4000fd,0x02fd8001,0x1f5003fd,0x0002fd80,0x1ff07ec0,0xfb800000,
    0x20fd0002,0x2000007f,0xd80003fc,0x3007ec05,0x00bee01f,0x5c00bf50,
    0x2fcc001f,0xf000fea0,0x3fe2000d,0x0001fdc0,0x0000bf70,0x1be25fb8,
    0x3ee00000,0x10fd0002,0x400000bf,0x00003fe8,0x0000fd80,0xfa800bee,
    0x07ee001f,0xf007f700,0x01fd400d,0x7ccbf500,0x3e600006,0xb100000e,
    0x027cc3df,0x17dc0000,0xf987e800,0x4c000004,0x0009bffe,0x000fd800,
    0x6400bee0,0x7dc003ff,0x03fee001,0x6c007f20,0x7ec0000f,0x00003fd2,
    0x40000ff4,0x4c0dffc8,0x8000004f,0xfd0002fb,0x00007f30,0x3fffaa00,
    0x80001bce,0x2e0000fd,0xedb9882f,0xfb8002ff,0x03ff9001,0x22013e60,
    0xf880005f,0x00004fcf,0x30000ff2,0x2605dffb,0x8000004f,0xfd0002fb,
    0x00007f30,0xfeca8800,0x0000cfff,0x5c0001fb,0xffffffff,0x0000bfff,
    0x333337f7,0x05fffb73,0xfb807e80,0xff500002,0x7d40000d,0xefb80006,
    0x0027cc02,0x33333333,0x000bee03,0x01fcc3f4,0x22000000,0x000efeb9,
    0x20000fd8,0xeeeeeefb,0x40001fff,0xfffffffb,0x0003ffff,0x07e805f7,
    0x017ec000,0x00ff8800,0x801fb800,0xff8804f8,0xffffffff,0x0002fb86,
    0x009f30fd,0xb8000000,0x7ec001ff,0x0bee0000,0x000ffec4,0x9999bf70,
    0x00015799,0x9f3037c4,0x1fc80000,0x05fb0000,0x007ee000,0xccb8037c,
    0x2cfecccc,0xd0002fb8,0x0001be0f,0x3ea00000,0x007ec005,0xc805f700,
    0xf70002ff,0x90000003,0x007f201f,0x003f9000,0x100bf700,0x001d3003,
    0x360001fa,0x005f700f,0x03f41fa0,0x80000000,0x07ec007e,0x005f7000,
    0x70003ff5,0x0000003f,0x01be09f3,0x007f2000,0x001ff100,0x900000db,
    0xfd80001f,0x0007f300,0x00fec1be,0x0004c000,0x6c003f70,0x3ee0000f,
    0x01df3002,0x0001fb80,0xf50fd000,0xf9000007,0x1fe80003,0x0000fb00,
    0x80007f70,0x013e00fd,0x7cc17ea0,0x5f800006,0x00bea000,0x20000fd8,
    0x3ee002fb,0x00fdc005,0x2fb80000,0x000007ec,0x90000fe4,0x03ec009f,
    0x07fc4000,0x401fb000,0x3fc8006d,0x0000ff20,0x0003fc35,0x7ec003f9,
    0x0bee0000,0x4005fb00,0x000001fb,0x2fc4bf10,0x1fc80000,0x00df3000,
    0x000007d8,0x6c000df5,0x00fee00f,0x2201fe88,0xfb0001ff,0x40017fc7,
    0x7ec007e8,0x0bee0000,0x400df100,0x000001fb,0x17dc3f60,0x1fc80000,
    0x01fe8800,0x36e03ec0,0x3f2001de,0x0fd8000c,0x2007fe20,0xf9803fe8,
    0x3fa2002f,0x000fffc6,0xfb0013f6,0x17dc0001,0x801fdc00,0x000001fb,
    0x03f4fea0,0x03f90000,0x0007fb00,0x7ffd40fb,0xfb1000ff,0x7f54007f,
    0x017fcc00,0x4c00dfd1,0xfe9804ff,0x02ffff85,0x8005fd88,0x2e0000fd,
    0x1fd0002f,0x0003f700,0xf9ef8000,0x32000004,0x2fd4001f,0x3607d800,
    0x002fffff,0x55e77fd4,0xfffca999,0x7bff3004,0x1bffb533,0xceffa800,
    0xffeca99b,0xdfd3bf03,0xf9533357,0x76cc01df,0xeeeffeee,0x3bb204ee,
    0x03eeeefe,0xc89ddf50,0xeeeefeee,0x00002dee,0x001fffc8,0xeeeed980,
    0x4eeeeeff,0x3bbbbea0,0xeeeeeeee,0x3ea07fee,0x8000ffff,0xffffffc8,
    0x000befff,0x7ffffecc,0x5c0003ff,0xffffffff,0xfc8f601d,0xefffffff,
    0xffffa802,0xffffffff,0x3ffffa05,0x2004ffff,0x7ff46ffd,0xffffffff,
    0x9800003f,0x500006ff,0xffffffff,0x540dffff,0xffffffff,0xffffffff,
    0x05e64c07,0x65d44000,0x00001abc,0x00137973,0x5e654400,0x654c0001,
    0x00001acc,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x26666620,0x00099999,0x99999998,0x26666201,0x33333009,
    0x26666001,0x4cccc409,0x99880199,0x99809999,0x26201999,0x33009999,
    0x26200333,0x44199999,0x99999999,0x99999999,0x4ccc0999,0x99999999,
    0x19999999,0x99999988,0x30000999,0x20001333,0x88019998,0xffffffff,
    0x2003ffff,0xffffffff,0xffff986f,0x7fec1fff,0x7c02ffff,0x10ffffff,
    0xffffffff,0x7fffd40d,0x3f23ffff,0x886fffff,0x3fffffff,0x17fffff4,
    0x3ffffe20,0xfff75fff,0xffffffff,0xffffffff,0x7ffffc9f,0xffffffff,
    0x0fffffff,0x3fffffee,0xbdffffff,0xfffff801,0xfff88006,0xccb805ff,
    0xccccfecc,0x332a000c,0x01cccdfd,0x17bffb97,0xbcdffc98,0x7fe65400,
    0x677edc3d,0x2e202ccc,0x0cefcccc,0x3337f726,0xbfd99702,0xfdcca817,
    0xcccb806f,0x9711ccfe,0x99999ff9,0x99999999,0x6e6549fb,0xccccccdf,
    0xfecccccc,0x33ff3220,0xfecccccc,0x765403ff,0x64001fef,0x001cdfef,
    0x00001fb0,0xf30017dc,0x1df5007f,0x205fb800,0x880004f9,0x00bee04f,
    0xf5003f90,0xfd8007fd,0x80037c00,0x05f704f9,0x3a01f900,0xdfea8807,
    0x2fcfec00,0x0febbe00,0x001fb000,0x8017dc00,0x2e002ff9,0x3be6005f,
    0x0017e200,0xfb80fe60,0x00fe4002,0x007f5fd4,0x6f801fb0,0x209f3000,
    0xfc8002fb,0xd800fd00,0xfdbec05f,0xf57f7000,0x0fd80007,0x0bee0000,
    0x0007fea0,0x3e200ff6,0x006f801f,0x2e02fa80,0x0fe4002f,0x2fd5fd40,
    0xf801fb00,0x09f30006,0x32000bee,0x000fd00f,0xabec05fb,0x2afd004f,
    0x7ec0003f,0x3ee00000,0x00f7dc02,0x401fe880,0x0fd002fe,0xf7016644,
    0x0017dc03,0x3ea007f2,0x36005fb3,0x0037c00f,0x5f704f98,0x201f9000,
    0x6f88007e,0x00fe9f60,0x03faa7cc,0x0007ec00,0x6405f700,0x4c0000ef,
    0x09f900ef,0xff703ec0,0x7007e40d,0x1fc8005f,0xdf13fa80,0xf003f600,
    0x0be2000d,0x5c0017dc,0x4001fa07,0x5cfb03fb,0xa87ec03f,0x7ec0003f,
    0x3ee00000,0x001bfb02,0x2a17ee00,0x07e4006f,0xb00fdfe8,0x002fb80f,
    0x7d400fe4,0x3600ff23,0x2037c00f,0x2fb80200,0x3a008020,0x41fa0007,
    0xf1037c7d,0x0001fd4b,0x800003f6,0x2fec42fb,0x27ec0000,0xb8001ff1,
    0xfaef881f,0xfb80fd03,0x00fe4002,0x03fa1fd4,0x6f801fb0,0x20003ee0,
    0x00fe02fb,0xc8001fa0,0x7dc7d80f,0x7d43f902,0x07ec0003,0x45f70000,
    0x00004fe8,0x17f4bfa0,0x5417dc00,0xdd05f8bf,0x4002fb80,0x3fa801fc,
    0x3f6027d4,0xf9037c00,0x05f70003,0x3a0013e2,0x0bea0007,0x10bf11f6,
    0x003fa8df,0x00007ec0,0x3fa25f70,0x44000006,0x0004fdff,0x23f907f5,
    0xb80bf07e,0x0fe4002f,0x7ec1fd40,0xf003f601,0x000fe40d,0x4f8817dc,
    0x0007e800,0x21f60fe6,0x21fdc1fd,0x6c0003fa,0x2e00000f,0xeffff9af,
    0x2a000001,0x260005ff,0x3ee7e84f,0x2e027c41,0xffffffff,0x1fffffff,
    0xf983fa80,0xf003f606,0xffffffff,0xff70003f,0x9fffffff,0x000fd000,
    0x43ec27cc,0x543f44f9,0x7ec0003f,0x3ee00000,0xffc8affd,0x9800000c,
    0x220004ff,0xf32fcc4f,0x5c03f989,0xeeeeeeef,0x1ffeeeee,0xf903fa80,
    0xf003f607,0xfddddddf,0xdf70003f,0x9fdddddd,0x000fd000,0x83ec27cc,
    0x509f30fd,0xfd80007f,0x3ee00000,0x2fec41ff,0x3fa20000,0x3e0002fe,
    0x1be17dc5,0x2fb805f5,0x400fe400,0x1ff103fa,0x6f801fb0,0x20007f20,
    0x09f102fb,0x4000fd00,0x507d84f9,0x2a03f67f,0x7ec0003f,0xf7008000,
    0x01fec01d,0xf17fb000,0x1ba0003f,0x20fd81fb,0x17dc02fb,0x2007f200,
    0x13ea03fa,0x0df003f6,0x5c000fe4,0x009f102f,0x4c000fd0,0x3a07d82f,
    0x7f505f9e,0x00fd8000,0x2fb836c0,0x0001fd80,0x3be65fb8,0x7c7d8000,
    0x3f23fa86,0x0017dc01,0x3ea007f2,0x360ff403,0x5037c00f,0x0bee000f,
    0x7e8003e8,0x207ee000,0x3fbee07d,0x0007f501,0x74000fd8,0x1005f707,
    0xf98000df,0x002fdc0e,0x84f987e4,0x003f25f8,0xfc8005f7,0x403fa801,
    0x007ec6f9,0x400001be,0x310002fb,0xd8001fa0,0x7c40fb07,0x00fea06f,
    0x8001fb00,0x005f707e,0x44000ff2,0x07fb01ff,0x3f91fb80,0x807d9fa0,
    0x7e4002fb,0x803fa801,0x003f62fc,0x200000df,0xf90002fb,0xf8001fa0,
    0xa980fb05,0x000fea01,0xe8001fb0,0x2005f707,0xfb0006f8,0x00ff4407,
    0x81fa5f50,0x700dd1fc,0x1fc8005f,0x8803fa80,0x801fb0ff,0x7000006f,
    0x3f60005f,0x70007e80,0x001f607f,0x0000fea0,0x7e8001fb,0x64005f70,
    0x27dc002f,0x8007fcc0,0x205f8afa,0x700bf4f9,0x1fc8005f,0x7003fa80,
    0xf003f69f,0x2e00000d,0x1fb0002f,0xf5000fd0,0x001f601f,0x0000fea0,
    0x7e8001fb,0x44005f70,0x1bea005f,0x3005fa80,0xf807f57f,0xfb804f8e,
    0x00fe4002,0xfd001fd4,0x6f801fb3,0x5f700000,0x203f6000,0x7fcc007e,
    0x0001f602,0xb0000fea,0x07e8001f,0xfd8005f7,0x00ff8800,0x44027e40,
    0x6c01fdcf,0xfb804faf,0x00fe4002,0xf3001fd4,0x6f801fbb,0x5f700000,
    0x203f6000,0x3fa2007e,0x0003ec04,0x20001fd4,0x3f4000fd,0x54002fb8,
    0x02fe804f,0xf005fd00,0xbf500dfb,0x05f7007f,0xa801fc80,0x7fec003f,
    0x0037c00f,0x002fb800,0x0fd01fb0,0x007ff910,0xf50000fb,0x7776c007,
    0xeeeeeffe,0xfeeeeeee,0x3bfbbb27,0xff803eee,0xfdb10dee,0x4407dddf,
    0x2effeeed,0x2013ffa0,0xb502fff8,0x07dddfdd,0x3bbffbb6,0x77f7640d,
    0x7c403eee,0x776cc0ff,0xeeeeeeff,0x3bb2000d,0xeeeeeefe,0xeeeeeeee,
    0xffdb30ff,0xfddddddd,0x6c405fff,0x1deeeffe,0x7f7775c0,0x7f4404ee,
    0xffffffff,0xffffffff,0x3fff67ff,0x804fffff,0xd10efffc,0x09ffffff,
    0x7fffff4c,0x0bff604f,0xb80fff40,0x5fffffff,0xfffffe88,0x7fff41ff,
    0xb805ffff,0x7ffd40ff,0xffffffff,0x3ffa000e,0xffffffff,0xffffffff,
    0xffff50ff,0xdfffffff,0xfff3005b,0x805fffff,0xfffffffc,0x0000000e,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x33331000,0x33333333,0x99988000,0x00099999,0x4cccccc0,
    0x99999999,0x40026000,0x0000003b,0x004a8000,0x1000024c,0x80000133,
    0x88000019,0x44000009,0xcb880019,0xffffff81,0xffffffff,0x3ee000de,
    0xffffffff,0x3ffe0007,0xffffffff,0x203fffff,0xdbefffd8,0x005ffb02,
    0x50000000,0xfc800dfd,0x3f660000,0x32efffff,0x3fb6a007,0x001cefff,
    0xffffec88,0xb50002de,0x3bdffffd,0x3ffe605c,0x7ee6546f,0xcccccccd,
    0x1003ffed,0xdf999999,0x2a0005fb,0xfecccccc,0x0bcccccc,0xfbbfff30,
    0x7fdc07ff,0x0000002e,0x0cffd980,0x0007e400,0xccdeffd8,0x07eeffec,
    0x66f7fe44,0x003fffec,0x333bffaa,0x000cfffd,0x99bfffb1,0x9f39ffdb,
    0x1fffffd8,0x2a005f70,0x2a0003fe,0x0005f8bf,0x8000fc80,0x07220cfe,
    0x077ff220,0x22000000,0x0001dffc,0xfb0001f9,0x7fe4403d,0x07bfe607,
    0x400efea8,0x3a603ffc,0x7fcc01ef,0x3ff6600c,0x7ffffc4f,0x005f703f,
    0x8000ff44,0x001fb0fd,0x000fc800,0x80002fdc,0x000cffd9,0xdff70000,
    0x0fc80005,0x007fcc00,0xff107fc8,0x02fe4005,0x2e001df7,0x5ff100ef,
    0x227fe400,0x00fffffb,0xf98005f7,0x25f88005,0x400003fa,0x7e4000fc,
    0x75400002,0x000003ff,0x000fffea,0x20007e40,0x3e2002fb,0x0007fb07,
    0x1df305fb,0xb04fb800,0x9fb0005f,0x02effc88,0x3a000bee,0x42fb8006,
    0x6400006f,0x07ec000f,0xffa80000,0x2600002f,0x00004ffe,0x2a0007e4,
    0x425c002f,0x3a0005fa,0x000ff40f,0x2fd42fd8,0x104fa800,0x005f7001,
    0xfd000fd0,0x0001fc81,0x70003f20,0x8000005f,0x0001effb,0x0033ff62,
    0x003f2000,0x00007fe0,0xa80007f6,0x0013e63f,0x07ec5f88,0x0003b000,
    0x44002fb8,0x2fcc005f,0x000027cc,0xf88001f9,0x88000006,0x2000dffc,
    0x001dffc8,0x003f2000,0x26f7fea0,0x006e8000,0x5f727c40,0x747e8000,
    0x00000006,0x64002fb8,0x17e4003f,0x200007e8,0xfb8000fc,0x30000002,
    0xb8019ffb,0x00002eff,0x0000fc80,0xdfffffd1,0x7fc4037b,0xeeeeeeee,
    0xeeeeeeee,0x0003f25f,0x02fc1fb0,0x5c000000,0x3bf2002f,0x703f4000,
    0x3200005f,0x0dd0000f,0xea800000,0xffea83ff,0x97300003,0xfd999999,
    0x99999999,0xecba8807,0x880dffff,0xffffffff,0xffffffff,0x01fa7fff,
    0x7cc7ee00,0x00000004,0x2a202fb8,0x4000dfec,0x17e204f9,0x007e4000,
    0x001ff540,0x3fa20000,0x07ffee5f,0xfffd8000,0xffffffff,0xffffffff,
    0xfda88001,0x0005f82f,0x0000fd80,0x04f98fe4,0xb8000000,0xffffffff,
    0x0006ffff,0x0fd803f9,0x00fc8000,0x3ffffa20,0x00003300,0x4c177fdc,
    0x0000cffe,0x99999988,0x999afd99,0x00019999,0x3f41fe98,0x0fdc0000,
    0xbf1fa000,0x00000000,0xddddddf7,0x5dffffdd,0xa806f800,0xfc80003f,
    0x3dfd1000,0xdff10bf3,0xffea8000,0x3ffea803,0xfc800000,0x30000000,
    0x002fc87f,0x001fd400,0x00fd1be0,0x40044000,0xf73002fb,0x0fea009f,
    0x400037c0,0x7f9000fc,0x6fdc2fc8,0xffb30003,0xffb80019,0x2000002e,
    0x3ea000fc,0x98dd0000,0x4400005f,0xf70000ef,0x0002fc89,0x177fe440,
    0x98005f70,0xafd804fe,0x99999999,0x40001fd9,0x7f8800fc,0x3fa0ff88,
    0xffc88000,0x3220000d,0x00001dff,0x2e000fc8,0x0df0003f,0x800007f9,
    0xf98004fb,0x007fc40e,0x3ee2c880,0xf700ffff,0x1fd10005,0x7ffffc40,
    0xffffffff,0x7e40004f,0x505fa800,0x001be69f,0x003dff91,0x67fec400,
    0x3f200000,0x03bee000,0x3a09f700,0x4b88002f,0x22003fd8,0x0bf701fe,
    0x7c7ff500,0x703fffff,0x3ea0005f,0x3337ee02,0xcccccccc,0x640007ec,
    0x02fb800f,0x00ff27f6,0x002effb8,0x3ffa6000,0x1f900003,0x0f7fdc00,
    0x300efb80,0x910019ff,0xbff10dff,0x04ffa801,0x4400f7ec,0x7fec4ffd,
    0x5f701fff,0x817e2000,0x2fb8007e,0x003f2000,0xef880bea,0xfea800ff,
    0x0000003f,0x000bffea,0x5c001f90,0x9acdffdf,0x1fffba99,0x567fec40,
    0xffdca999,0x3ff6204f,0xfdba99ac,0xbff9002f,0xfb953357,0xfff305df,
    0x017dc0bf,0x3e60df00,0x05f88004,0x2003f200,0x7fdc04f9,0x67fecc03,
    0x00000000,0x0005dff7,0xe98003f2,0xfffffd88,0x000cffff,0x3fffffea,
    0x000cefff,0xfffffff5,0xe98001bf,0xffffffff,0x0e5c402e,0x4000bee0,
    0x03f904f9,0x0003f600,0xfe8007e4,0x407fea00,0x001dffc8,0xc8800000,
    0x64000dff,0x5440000f,0x00aacccb,0x332ea200,0x54c0001a,0x00009bcc,
    0x55e65d44,0xfb800000,0x05f90002,0xfa8001be,0x01f90003,0x2603bea0,
    0xdfb06fff,0x00000003,0x00dfb300,0x00000fc8,0x00000000,0x00000000,
    0x20000000,0xfb8002fb,0x003fa80e,0xc80037c0,0x3ff2000f,0xcaffc99b,
    0x00aa3eef,0x00000000,0x051000e6,0x00000000,0x00000000,0x00000000,
    0x002fb800,0x201df951,0x640000fd,0x0fc8001f,0x7fffdc00,0x17ffa1ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xddfddd90,
    0xdddddddd,0xd981dfff,0x1deeeffe,0x7f7775c0,0x777644ee,0xeeeffeee,
    0x5101deee,0x00001599,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0xfffffffe,0xdfffffff,0xffff501b,0xd805ffff,0x6fffffff,
    0x7fffffec,0xffffffff,0x0000002f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80026660,0x0cccccc9,
    0x99999700,0x40098007,0x44000019,0x00000001,0x073332a0,0x19999970,
    0xcccccc98,0x999500cc,0xc9879999,0x500ccccc,0x41999999,0xccccccc9,
    0xcccccccc,0x00000000,0x07333326,0x3fff6e60,0x6400cfff,0x03ffffff,
    0xfffffff0,0x45333221,0x640dfffd,0x5c02fffe,0x3f6a1ccc,0x800bdfff,
    0x304ccccb,0xd015bfd7,0xf805ffff,0x641fffff,0xffffffff,0xfffffd02,
    0x7fec1fff,0xfd02ffff,0x5c3fffff,0xffffffff,0x0fffffff,0xf9007a80,
    0x3f20ffff,0x7d407fff,0xdccdefff,0x6c402ffe,0x4c0009af,0x7fd41fd9,
    0xeceff9ff,0xdbffb16f,0x7ffc03ff,0x9bfff72f,0x4401dffb,0xc87fffff,
    0x1ffeefff,0x802fb998,0x881fc999,0x0099cfc9,0x0cffcccc,0x009dfe98,
    0x205ffccc,0x99999bfb,0x4fe99999,0x5003f900,0x3a0dffff,0x5c03ffff,
    0x3aa00ace,0x017d401f,0x4c41be00,0x7e43fffe,0x37d43fed,0x3f6fee60,
    0x01df900d,0x33ecccc4,0x7dc17dfd,0x000bea06,0x37c403f9,0x4027d400,
    0xe8803fe8,0x005f703f,0xfc8017f2,0xffff9801,0x6ffff885,0x6f980000,
    0x00027c40,0xffe809f1,0x03fff883,0xffa803fd,0x03fb804f,0x27fcdf60,
    0x17d40550,0x9007f200,0x0fd8003f,0x409fd100,0x3ee02fe8,0x006fb802,
    0x7c400fe4,0xffb84fff,0x000002ff,0x06f801fb,0x1fd40ffe,0xfd813fa0,
    0x500bee05,0x2f4009ff,0x5ff7fb00,0x02fa8000,0x2600fe40,0x17e6005f,
    0x109fd100,0x0d8805fd,0x00077d40,0x7fc007f2,0xfffd83ff,0x32000006,
    0xa83ec01f,0x03f706ff,0x0fe407e8,0xfa807f50,0x007ec005,0x001fffd8,
    0x4002fa80,0x0fd801fc,0x0003f900,0x2ff993f6,0x1ff30000,0x3f206ee0,
    0x3fa0ca81,0xffff82ff,0x32000001,0x40fdc01f,0x7d80fefc,0x7e407e80,
    0x500fea01,0x1fc8005f,0x001dfb00,0x000bea00,0x9f5003f9,0x000df100,
    0x2ff9cfd8,0x3ff10000,0x8e77ff40,0xffda89fc,0x07fff62f,0x000bfff3,
    0x5555d4cc,0xf9803f91,0x83faef83,0x407e806f,0x0fea01fc,0xc8005f50,
    0x01fb001f,0x017d4000,0x74007f20,0x017dc00f,0x0fffec00,0x2fe88000,
    0xefffda80,0xcefffefe,0x207ffe41,0x4001fffc,0xffffffc8,0x01ffffff,
    0x4fea2fc4,0x4027c46f,0x00fe407e,0x2fa807f5,0x800fe400,0x5400007d,
    0x0fe4002f,0x7403fb80,0xff300007,0x7f40000b,0xffda8003,0x2e01beff,
    0x5ffe87ff,0x67ffdc00,0xecaaaaac,0x46e801ff,0x541fb1fc,0x407e802f,
    0x0fea01fc,0xc8005f50,0x00fb001f,0x002fa800,0xdf000fe4,0x0001fd40,
    0x02feffd4,0x0027ec00,0x003ffee0,0xff11bfea,0x7fd4001f,0x03f9000c,
    0x537c1f90,0x4007e47f,0x00fe407e,0x2fa807f5,0x800fe400,0x5400007d,
    0x0fe4002f,0x3605f900,0x7d40000f,0x000bf91f,0x200027e4,0x805fcff9,
    0x7fd45ff9,0x03fe6004,0x5003f900,0xdf0fea5f,0x07e803f4,0x7f500fe4,
    0x4002fa80,0x0fb001fc,0x02fa8000,0x1000fe40,0x00bf30df,0x641ffa80,
    0x7dc000ef,0x1fe80005,0x7ff007fb,0x2000efa8,0xfc8002fb,0xf94f9801,
    0x0bf1fc81,0x3f901fa0,0x2a01fd40,0x0fe4002f,0x00007d80,0x320017d4,
    0x0fec001f,0xa80007f2,0x1df900ef,0x003bea00,0x127e402a,0x0db803ff,
    0x07d80028,0x2003f900,0x7f30df5f,0x1fa007f3,0x7d403f90,0x0017d403,
    0x3ec007f2,0x13e60000,0x001ffa80,0x0df12fcc,0x0077dc00,0xf5003bee,
    0x09f1001d,0x1df50df5,0x6c000000,0x7fd4000f,0x7f5fb001,0x007efbe0,
    0x07f203f4,0x7d403fa8,0x00fe4002,0x400007d8,0xfc800ff8,0xfe8001ff,
    0x20005f70,0xf7000efb,0x03fe601d,0x7fc27c40,0x0009f900,0x027e4000,
    0x003fff90,0x6403fbee,0xfd000fef,0x2a01fc80,0x017d403f,0x6c007f20,
    0xfd800007,0x37bfa203,0x4fa8001f,0x3ee000dd,0x77dc000e,0x000ffc40,
    0x803b09f1,0x0000002c,0xd3003fe6,0x2003fbdf,0x3e606ffa,0x01fa006f,
    0x1fd403f9,0x9000bea0,0x01f6003f,0x3bfe2000,0x4ffeca9b,0x8007ddf9,
    0x4003fefe,0xdeeeffeb,0xffddd700,0x3bffa1bf,0xeeeeeeee,0x0004feee,
    0x20000000,0xb999bffb,0xdf94ffec,0x7fc407dd,0x2027fc03,0x2deffed9,
    0xa83eefc8,0x3b664eef,0x101deefe,0x27ddffdb,0xffeeeec8,0xeeeeeeee,
    0x7f4c000d,0x21efffff,0x4005fffc,0x4000fffb,0xfffffffb,0xfffff901,
    0x3fffa1df,0xffffffff,0x0004ffff,0x40000000,0xffffffea,0x3fff21df,
    0x0000004f,0x7fffffd4,0x85fffc83,0x3ee6fffa,0x02ffffff,0x9fffffd1,
    0x3fffffa2,0xffffffff,0x950000ef,0x00001379,0x00000000,0x00000000,
    0x00000000,0x5665d400,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00c00000,0x1ccccc88,
    0xa9666664,0xeeeeeeee,0xeeeeeeee,0x980deeee,0x88000bdc,0x1011000b,
    0xbbbbbbb9,0xbbbbbbbb,0xbbbbbbbb,0x77776c7b,0xeeeeeeee,0x002eeeee,
    0x00000000,0x00000000,0x00000000,0x800fc800,0x41fffff8,0xf93ffffe,
    0xffffffff,0xffffffff,0xfb81dfff,0x2802ffff,0xc8807be6,0x3fe22eff,
    0xffffffff,0xffffffff,0x6fffffff,0x3ffffffe,0xffffffff,0x00003fff,
    0x00000000,0x00000000,0x00000000,0xf8037fd4,0x7ec0ffff,0x00002fff,
    0x547bf200,0x8bee03ff,0xff701ffb,0x88881fff,0x88888888,0x88888888,
    0x76c08888,0xeeeeeeee,0xeeeeeeee,0x00000002,0x00000000,0x00000000,
    0x3e600000,0xfe804fcf,0xfffc87ff,0x0000001f,0xfe981df7,0xfa86fb84,
    0xffffe82f,0x0000002f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x6c7fa200,0x7ffec03f,0x0ffffb86,0xbd000000,0x277fa201,0xf300efd9,
    0xffffd87f,0x0000001f,0x00000000,0x00000000,0x00000000,0x00000000,
    0xf88ff600,0x3ffee01f,0x07fff985,0x00200000,0x06ffffe4,0xf993fa20,
    0x00005fff,0x00000000,0x00000000,0x00000000,0x00000000,0x17f20000,
    0x7d403fe6,0xfff884ff,0x2aaaaa26,0xaaaaaaaa,0x1aaaaaaa,0x05973000,
    0x2e226c40,0x0000001c,0x00000000,0x00000000,0x00000000,0x00000000,
    0xb81bea00,0x7fff306f,0xfd97ffe0,0xffffffff,0xffffffff,0x0001ffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xf1000000,
    0x84fc801f,0xfd02fff8,0x6665cc9f,0xcccccccc,0xcccccccc,0x00000002,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x005fd100,
    0x3ffe0ffa,0x005ffb00,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3f600000,0x07fe2004,0x7fe40ffd,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x5f3000bf,0x3e605fb8,0x00000007,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x04c00000,0x00000260,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__courier_50_usascii_x[95]={ 0,10,5,4,4,4,5,10,13,6,0,3,6,4,
9,4,4,4,3,4,4,4,5,4,4,5,9,6,0,2,0,0,4,0,1,2,3,1,3,2,2,4,3,1,
2,0,0,0,3,2,1,3,3,1,0,0,1,2,4,0,0,0,4,1,9,3,0,3,2,2,4,2,1,4,
3,4,4,0,2,3,0,2,3,4,3,1,1,1,2,3,5,0,12,0,4, };
static signed short stb__courier_50_usascii_y[95]={ 36,8,9,6,6,8,12,8,8,8,8,12,29,22,
30,6,8,8,8,8,8,8,8,8,8,8,17,17,12,19,12,10,8,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,8,6,8,8,46,7,16,8,16,8,16,8,16,8,8,
8,8,8,16,16,16,16,16,16,16,10,17,17,17,17,17,17,8,8,8,20, };
static unsigned short stb__courier_50_usascii_w[95]={ 0,6,16,19,18,19,18,7,8,8,17,21,10,19,
8,18,18,18,19,19,18,19,18,18,18,18,8,11,22,23,22,16,18,27,23,22,22,23,22,23,23,18,23,25,
22,27,25,23,22,23,26,20,21,24,27,26,24,23,19,8,17,8,18,28,8,21,24,21,24,22,21,23,24,19,
15,22,19,27,22,21,24,24,22,19,21,23,25,25,23,23,17,10,3,10,19, };
static unsigned short stb__courier_50_usascii_h[95]={ 0,29,13,33,35,29,25,14,34,34,17,23,14,3,
7,34,29,28,28,29,28,29,29,29,29,29,20,24,23,9,23,27,31,26,26,27,26,26,26,27,26,26,27,26,
26,26,26,27,26,32,26,27,26,27,26,26,26,26,26,34,34,34,13,3,7,21,29,21,29,21,28,29,28,28,
37,28,28,20,20,21,29,29,20,21,27,20,19,20,19,28,19,34,34,34,7, };
static unsigned short stb__courier_50_usascii_s[95]={ 255,248,42,135,17,1,72,233,117,80,215,
137,241,150,112,89,21,88,131,40,46,60,192,173,211,154,246,241,114,59,91,
1,179,25,1,67,199,175,152,18,102,53,217,24,1,222,126,193,160,155,133,
90,111,42,183,75,50,211,235,126,62,108,23,121,103,1,80,224,105,179,230,
130,21,1,1,65,151,49,77,202,223,198,100,159,171,123,147,23,173,107,197,
51,47,36,83, };
static unsigned short stb__courier_50_usascii_t[95]={ 1,1,201,1,1,39,153,180,1,1,180,
153,180,201,201,1,39,69,69,39,69,39,39,39,39,39,153,69,153,201,153,
98,1,153,153,98,126,126,126,98,126,153,69,126,126,126,126,69,98,1,98,
98,98,98,98,126,126,98,98,1,1,1,201,201,201,180,39,153,39,153,39,
39,69,69,1,69,69,180,180,153,1,1,180,153,69,180,180,180,180,69,180,
1,1,1,201, };
static unsigned short stb__courier_50_usascii_a[95]={ 424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_50_usascii_BITMAP_HEIGHT or STB_FONT_courier_50_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_50_usascii(stb_fontchar font[STB_FONT_courier_50_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_courier_50_usascii_BITMAP_HEIGHT][STB_FONT_courier_50_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_50_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_50_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_50_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_50_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_50_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_50_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_50_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__courier_50_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__courier_50_usascii_s[i] + stb__courier_50_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__courier_50_usascii_t[i] + stb__courier_50_usascii_h[i]) * recip_height;
            font[i].x0 = stb__courier_50_usascii_x[i];
            font[i].y0 = stb__courier_50_usascii_y[i];
            font[i].x1 = stb__courier_50_usascii_x[i] + stb__courier_50_usascii_w[i];
            font[i].y1 = stb__courier_50_usascii_y[i] + stb__courier_50_usascii_h[i];
            font[i].advance_int = (stb__courier_50_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__courier_50_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_50_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_50_usascii_s[i] + stb__courier_50_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_50_usascii_t[i] + stb__courier_50_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_50_usascii_x[i] - 0.5f;
            font[i].y0f = stb__courier_50_usascii_y[i] - 0.5f;
            font[i].x1f = stb__courier_50_usascii_x[i] + stb__courier_50_usascii_w[i] + 0.5f;
            font[i].y1f = stb__courier_50_usascii_y[i] + stb__courier_50_usascii_h[i] + 0.5f;
            font[i].advance = stb__courier_50_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_50_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_50_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_50_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_50_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_50_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_50_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_50_usascii_LINE_SPACING
#endif

