// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_41_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_41_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_41_usascii_BITMAP_WIDTH         256
#define STB_FONT_courier_bold_41_usascii_BITMAP_HEIGHT        174
#define STB_FONT_courier_bold_41_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_courier_bold_41_usascii_FIRST_CHAR            32
#define STB_FONT_courier_bold_41_usascii_NUM_CHARS             95

#define STB_FONT_courier_bold_41_usascii_LINE_SPACING          19

static unsigned int stb__courier_bold_41_usascii_pixels[]={
    0x3a000000,0x00003fff,0x0002a855,0x00100008,0x36619d93,0x00f7660c,
    0x5bdddddb,0x6cc2da80,0xdddb700c,0xaa8809dd,0x36e60000,0x0000bcee,
    0x00000d44,0x80035753,0x33b2200a,0x01df5001,0x1ffff400,0x9ffe4000,
    0x30002ffd,0xfb8007ff,0xffff501f,0xfe8fffa7,0x3ffe06ff,0x100fffff,
    0x7fec1fff,0xfffffa83,0xffd705ff,0x44003dff,0xfffffffd,0xfec8003f,
    0x2e02dfff,0xeaaffffe,0x0dffffff,0x417ffe60,0xb006fffd,0x740007ff,
    0x40003fff,0xffd4fff8,0x3ff2000d,0xfff3001f,0xfffff109,0xfe93ffa7,
    0xfff05fff,0x540fffff,0x3ffe1fff,0xfffff984,0xfffc85ff,0x801fffff,
    0xfffffffa,0x001effff,0xfffffff9,0xffff109f,0xffffffff,0x205fffff,
    0xf81ffffd,0xf800ffff,0x3a0004ff,0x40003fff,0xff92fffc,0xff50005f,
    0x3ffa00df,0xffffc82f,0xd997ffe3,0xff81ffff,0x201ceeff,0x3fe1fffa,
    0xfdd9504f,0xfffc8bff,0x1fffebad,0x3ffffe60,0xfffffedf,0x7ffe400e,
    0x2fffffff,0xfffffff8,0xffffffff,0x7fc43fff,0xffd84fff,0x7fe4c06f,
    0x00199bef,0xff100000,0x37ffc4df,0x2ffff800,0x837ffd40,0xfff86ffe,
    0x83fff985,0x2e004fff,0xfff10fff,0x97ffa007,0xfb81fff8,0xfffd103f,
    0xffff503d,0x7fffd409,0xffffc99b,0x7ffed440,0xca9acfff,0x221ffffe,
    0x884fffff,0xfb100bdb,0xffffffff,0x0000007f,0xc85fff70,0xb8002fff,
    0x7f406fff,0xbfff03ff,0x3e0bfff0,0x4fff84ff,0x43ffee00,0xd002fff8,
    0x17fe4bff,0x3f20bff0,0x7f4405ff,0xfffb02ff,0x09fff703,0x07ffffe6,
    0x7c6fffd8,0x0003ffff,0x3ffffffa,0x006fffff,0xfff80000,0x05fff987,
    0x2ffff880,0x40ffff30,0xfff85fff,0xf09fff05,0x7e4009ff,0x0bffe67f,
    0xf8afff40,0x07fe406f,0x401bffea,0x4c0ffff9,0x3fa04fff,0xffff307f,
    0x3fffb003,0x017ffff4,0xfffffc80,0x7fffffef,0x3fffff66,0x04ffffff,
    0x81fffdc0,0x8001fffd,0xfb06fffb,0x7ffc07ff,0xf05fff85,0x9fff09ff,
    0x33ffe400,0x3a003fff,0x09ff55ff,0x7e41ffb8,0x3f2001ff,0x7ffe41ff,
    0x0bffee00,0x401bffe6,0x3fa3fff9,0xf0001fff,0x5c417fff,0x3ff26ffe,
    0xffffffff,0x7f4004ff,0xfff300ff,0xfff1000b,0xffff983f,0x217ffe00,
    0xfff05fff,0x009fff09,0x55fffd51,0x0019fff9,0x3feebffd,0xffeca882,
    0x0037fec1,0xfb0fffe2,0xfff880df,0x03fff983,0xfd93ffe0,0x88001fff,
    0x3ea04fff,0x3fffee4f,0xffffffff,0x3ffea004,0x07fff404,0x1fffe400,
    0xf013ffee,0xbfff0bff,0x3e13ffe0,0x7fe404ff,0xffffffff,0x200effff,
    0x1ff95ffe,0xffffffa8,0x0027ffc1,0x3fa27ff4,0x4fff805f,0x003fff98,
    0x7e47fff1,0x88000fff,0x5d403fff,0x66665cc0,0x04fffccc,0x003fffa0,
    0x0009fff5,0xfc89fff5,0x7ffc02ff,0xf05fff85,0x9fff09ff,0xffffff80,
    0xffffffff,0x3ffa02ff,0xffb8ffb5,0x221fffff,0xd8003fff,0x27ffc6ff,
    0x4c2fff40,0xb800efff,0x3fee2fff,0x1999887f,0x017ffff0,0x9fff0000,
    0x13ffea00,0x007fff40,0xd1bffe60,0x7c401fff,0x5fff84ff,0xff0bfff0,
    0xfffc809f,0xffffffff,0x3a00ffff,0x4cdfd5ff,0xffbadfff,0x00bffe61,
    0xff1fff20,0xbffd009f,0x1bffff30,0x07fffd40,0xf90ffff7,0x3ff20bff,
    0x00acefff,0x04fff800,0x001fffb0,0x0013ffea,0xff8ffff1,0xffd7107f,
    0x0bfff07f,0xf8b7fffa,0xfa8804ff,0xffeaadff,0xffe801af,0x7fe4dfd5,
    0xf887fee3,0xfe8003ff,0x027ffc6f,0x7cc2fff4,0x11bfffff,0x89ffffb3,
    0xfe86fffa,0xffd101ff,0x5bffffff,0x27ffc000,0x02fffcc0,0x003fffa0,
    0x221ffff0,0xffb06fff,0xfff01fff,0x3fffea0b,0x009fff1f,0xfd8fffe2,
    0x3ffa006f,0x3ff4dfd5,0xfff07fee,0x9fff000b,0xe804fff8,0xfff985ff,
    0xffffffff,0xf984ffff,0x7ffcc5ff,0xffffc804,0x00efffff,0x804fff80,
    0x4001fffd,0x4003fffb,0xff31fffd,0x3fffa0bf,0x0bfff05f,0x4bffffe2,
    0xf1004fff,0x37ff47ff,0x3abffd00,0xf71bfa6f,0x06ffe83f,0x21fffcc0,
    0xfe804fff,0xffff985f,0xffffffff,0xfff105ff,0x006ffb8b,0x3ffff6e2,
    0xf8005fff,0x7fc404ff,0xff88005f,0x7fec007f,0x09fff52f,0x0bffffea,
    0x7ec17ffe,0xfff0dfff,0x3ffe6009,0x8017ffa2,0x4dfd5ffe,0x3fee2ffc,
    0x027ffdc1,0xd83fffd0,0xfff805ff,0xbbfff984,0xefffffff,0x21fffc01,
    0x20002ffe,0x2ffffda8,0x027ffc00,0x000bfff2,0x0017ffdc,0x3e63fffd,
    0x7fd406ff,0x05fff83f,0xff81dfff,0x3b6e204f,0xffeeefff,0xfe802dff,
    0x7ccdfb5f,0x1ffcbeff,0x00ffffc4,0x5c2fffdc,0x7fc406ff,0x2fff983f,
    0x006af2a6,0xff107fe4,0x5001300b,0xf8007fff,0x3fe204ff,0x3e20006f,
    0x3fe006ff,0x1fffe27f,0x3e13ffe0,0x9fff05ff,0x6409fff0,0xffffffff,
    0x3fffffff,0xfcafff40,0x7ffffdc7,0xfffc85ff,0x3fff202f,0x0fff980f,
    0x20bffea0,0x0002fff9,0x1ff70260,0x800ffc80,0x7c005fff,0x3ff204ff,
    0x7e40002f,0xff8802ff,0x07fffc6f,0x3e17ffe0,0x9fff05ff,0x6409fff0,
    0xffffffff,0x4fffffff,0xfbafff40,0x7fffd40f,0xfffb05ff,0xfd7315bf,
    0x3e209fff,0x3ffa04ff,0x05fff307,0x3fd80000,0x405ffe80,0x4004fff9,
    0xff104fff,0xf10000df,0xff300dff,0x1fffd8bf,0x7c2fffc0,0x9fff05ff,
    0x4409fff0,0xeefffeec,0x0ceefffe,0xf9afff40,0x3533101f,0x7ffff440,
    0xffffffff,0x0ffff404,0x981fffdc,0x00002fff,0xff8025c0,0xffd504ff,
    0xfff8005f,0x07fff704,0x3fff6000,0x1fffdc01,0xf00bfff2,0xbfff0bff,
    0x3e13ffe0,0xff9004ff,0x017ffccf,0x3e2bffd0,0xb100004f,0xffffffff,
    0xff5005ff,0xff9335ff,0x3fe601ff,0x0200002f,0xfffff000,0xffffb9bf,
    0xfff000df,0x01fffe09,0x5fff9800,0x217fff40,0x7c06fffa,0x5fff85ff,
    0xff09fff0,0x3ff2009f,0x007ffe67,0x3fa5ffe8,0x2a00000f,0xdfffffff,
    0x3fff6001,0x3fffffff,0xfffffeb8,0xb0001dff,0x3e0005ff,0xffffffff,
    0x001fffff,0xfa84fff8,0x400003ff,0xf501fffd,0x3ffe0dff,0x17ffe01f,
    0x7fc17ffe,0x04fff84f,0x7d4fffb0,0x3fa001ff,0x013fee5f,0x7ffe4001,
    0x405102ef,0xffffffe8,0xfff883ff,0x6fffffff,0x6fff9800,0xffffb000,
    0xdfffffff,0x3ffe0003,0x00fffe84,0x7ffcc000,0x07fffd04,0xf817fff2,
    0x5fff85ff,0xf84fff88,0xffb004ff,0x007ffdcd,0x7c4bffd0,0x5fd883ff,
    0xfffffc80,0xfdabdfff,0x3fb2205f,0x3e03efff,0xffffffff,0xff88004f,
    0x5910004f,0xbffffd73,0x3e600015,0x7ffd43ff,0xfd000004,0xfff981ff,
    0xffff100f,0x03fff603,0xff70bfff,0x09fff07f,0xfb97ffa0,0x3fa000ff,
    0x7fffd45f,0x05fffedd,0x7fffffd4,0xffffffff,0x1571006f,0x99995100,
    0x40003999,0x800001a8,0x80004fff,0x7f41fffc,0x000000ff,0xfd89fff5,
    0x7fe404ff,0xffff705f,0xa97ffe1b,0xf81ffffe,0x03dfffff,0x7fe4bffd,
    0x7fff6407,0xfffa85ff,0x00efffff,0x7fffffec,0xffffffff,0x0000002f,
    0x00000000,0x04fff800,0xfffb5100,0x05fff98f,0x7ff40000,0x1ffff30f,
    0x0ffff880,0x3ffffe88,0x7ff49ffd,0xffff04ff,0xff01ffff,0x037fe49f,
    0xfffffff5,0x3fb2a20b,0xff5002de,0xfb7559bf,0x00017dff,0x00000000,
    0x3e000000,0x7ecc04ff,0xffffffff,0x0fffec2f,0x3ee00000,0x7fff93ff,
    0x13fff200,0xd97fff44,0x3fff63ff,0x3ffffe05,0x3ff907ff,0xf301ffcc,
    0x0bffffff,0x01880000,0x00000198,0x00000000,0xffe80000,0x7fffec04,
    0x82ffffff,0x00005ffe,0x2e9ffd00,0x7f4006ff,0x1165402f,0x02bb8877,
    0x5e666664,0x06202600,0x33332e60,0x0000002c,0x00000000,0x00000000,
    0x7fe40000,0x7fffe401,0x702dffff,0x000001ff,0xba87ba60,0x015c4000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x9800d400,
    0x00accccb,0x00000008,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0x0001aba9,
    0x00355310,0x00554c00,0x01577510,0x03551000,0x01aa9800,0x1ffffdb8,
    0xddd90000,0xbddddddd,0xeb800017,0xe980ffff,0xeeeeeeee,0x02eeeeee,
    0x00000620,0x37ffffae,0xffffeb81,0x3ff6202e,0xfaaeffff,0x2e03efff,
    0xdffffffe,0xffc88000,0x2a04efff,0xcffffffe,0x04fffff9,0x3fffffaa,
    0x3ff62003,0xf304ffff,0x003fffff,0x3ffffa00,0xffffffff,0x3fea0003,
    0xfa80ffff,0xffffffff,0x02ffffff,0x017fb2a2,0x8807dd71,0x5fffffff,
    0xfffffff8,0xfffff506,0xffffffff,0xf981ffff,0xffffffff,0x3ee002ff,
    0xffffffff,0x7fffe442,0xffffffff,0xfb82ffff,0xefffffff,0x7fffd400,
    0x41efffff,0x1ffffff8,0xfffd0000,0xffffffff,0x7cc0007f,0xa80fffff,
    0xffffffff,0x2fffffff,0x7ffff64c,0x7ffdc05f,0x7fffc01f,0xffe84fff,
    0xfb85ffff,0xffffffff,0xffffffff,0x7ffffc47,0xffffffff,0xffffb800,
    0x42ffffff,0xfffffffd,0xffffffff,0x7ffdc1ff,0xefffffff,0xfffff300,
    0x1dffffff,0x1fffeb98,0xfffd0000,0xbddddddd,0xd9500007,0xff301fff,
    0xdddddddf,0x645fffdd,0xffffffff,0x7fffec05,0x7ffe4403,0xfff5102e,
    0xfff9817f,0xfdb99bef,0x0adfffff,0x567fffdc,0x6ffffca9,0x7ffffdc0,
    0x543da9ad,0x889dffff,0xdfffffea,0x7fffc41b,0xffffdabe,0x9ffffd04,
    0xbffffb53,0x007ffea0,0x037ff400,0x3ee00000,0x1fff00ff,0x20fffc80,
    0xffffffff,0x7ffd405f,0xffff000f,0x2fffd401,0x205fffe8,0x01fffff9,
    0x7401dff1,0xff900fff,0x3e2009ff,0x3f602fff,0xff903fff,0xffff307f,
    0x06fff981,0x501ffff1,0x00003fff,0x0001bffa,0x1fff7000,0x3e00b260,
    0x7ffe46ff,0x805fffbd,0x2e001cc9,0x3fa04fff,0xfff981ff,0xffffa806,
    0x2e00a201,0xffb81fff,0x3ea003ff,0x7f4404ff,0xfffd03ff,0x0fffea01,
    0x6c05fff7,0xffa81fff,0x06aea21f,0x006ffe80,0x09ba9800,0x0003ffee,
    0x307fff50,0x005ffe81,0x7fff4000,0x05fffa80,0x2005fff7,0x0001fffd,
    0xe82fffa8,0x64003fff,0xfb800fff,0xbfff03ff,0x645fff80,0x7fd407ff,
    0x9fffa82f,0xffffffea,0xb7ff400c,0x4001aca9,0xffffffd8,0x00fffb9d,
    0x07ffe400,0x005ffe80,0x7ffdc000,0x01fffe84,0x5c00fff9,0x80001fff,
    0x7d40fffd,0xfd8004ff,0xfff3006f,0x07fff107,0x7d47ffc8,0x3ff603ff,
    0xffffa80f,0xffffffff,0x3ffa02ff,0xffffffff,0xffffb802,0xffffffff,
    0x7c0000ff,0x3fa006ff,0x8000005f,0x3ea0fffe,0x3fee05ff,0xfff7000f,
    0x7ecc0003,0xfffd86ff,0xd8035311,0xff3006ff,0x17ffe07f,0x20ffff88,
    0x980efff8,0xff507fff,0xffffffff,0x205fffff,0xfffffffe,0x3204ffff,
    0xffffffff,0x0fffffff,0x3ffea000,0x17ffa003,0x3ea00000,0x3fffa4ff,
    0x0fffea01,0x07fffa20,0xffffea80,0xffe81fff,0xfffffd8e,0x01fff904,
    0x207fff70,0xfb00fffe,0xffd83fff,0xffebbdff,0xfff503ff,0x73359fff,
    0xb01ffffd,0xffffffff,0xf307ffff,0x5335dfff,0x1ffffff9,0x7ffe4000,
    0x17ffa000,0x7f400000,0x5fffa8ff,0x17fffc40,0x3ffffb10,0x7ffff400,
    0xfff02fff,0xfffffffd,0xfffa83df,0x7fff4404,0x07fff903,0x85fffff5,
    0xffffffe8,0x2a05ffff,0x201effff,0xfb85fffc,0xeb8aceff,0x7f40ffff,
    0x3fea03ff,0x20000fff,0x74006fff,0x000005ff,0xfdbfff50,0xff7001ff,
    0x2e613bff,0x01ffffff,0x3fffff60,0xfff884ff,0xffffffff,0x7ffc46ff,
    0x3fff602f,0xffff103f,0xffff933b,0xfff707ff,0x3fffffff,0x0ffffd40,
    0x40ffff40,0x3fee00ba,0x17ffea4f,0x03fffee0,0x1fffd400,0x017ffa00,
    0xffe80000,0x2005ffff,0xfffffffc,0xffffffff,0x7f654001,0x7c43ffff,
    0x9cffffff,0x543ffffd,0x98adffff,0x3fffffeb,0x3ffffee0,0xffffffff,
    0x7ffffc43,0x06ffffff,0x4017ffea,0x0002fff9,0xffb9bffa,0xfffd000f,
    0x3ff60001,0x7ff4000f,0x27fec405,0xffff5000,0xfd8001ff,0xffffffff,
    0x001fffff,0x3ffff620,0x77ffffc2,0x07fffcc0,0x3ffffff6,0xffffffff,
    0x7fffec03,0xfffeffff,0x3ffffa21,0xfffffbbe,0x07fff505,0x0027ffc0,
    0x7ecfff90,0x3ff2006f,0xfff0000f,0xbffd000d,0x1ffffb80,0x3fffa000,
    0xfd30004f,0x77ffffff,0x00003fff,0xfd8bfff7,0xffb00fff,0xfffc883f,
    0xffffffff,0xffa803ff,0xffbbffff,0x3bffee0f,0x1ffffa81,0x002fffa8,
    0x80017ffe,0xffd0fffb,0x7ffdc00b,0xfffa8000,0x5ffe8003,0x1ffffec0,
    0xffff5000,0xba980001,0x3ffea1ac,0xffd00001,0x03fffc8f,0x4c0bffea,
    0xcffffffe,0x1003fff9,0x3fa15773,0x17ffec6f,0x507fff90,0x22007fff,
    0x20003fff,0xffb0fffb,0x7ffe400f,0xfffd8000,0x5ffe8000,0x07fffcc0,
    0x9fff7000,0xf5000000,0x200003ff,0x3ee0fffb,0x3fe200ff,0x5dcc404f,
    0x07fff109,0x4fffb800,0x22037ff4,0xffa85fff,0xfff7006f,0x7fec0005,
    0x007ffee6,0x003fffe2,0x001bffe0,0x4402fff4,0x7c0000bb,0x00000fff,
    0x01fffa80,0x8fff9000,0x2a04fffa,0x20002fff,0x0001fffb,0xd07fffea,
    0xff880dff,0xffffa84f,0x7fffcc04,0x5003b910,0x7fccbfff,0x7fec00ef,
    0x7d4000ff,0xfd0003ff,0x000000bf,0x0027ffdc,0xfffa8000,0x26003101,
    0x7fc45fff,0xfffd00ff,0x7ff40003,0xff910007,0xfff905ff,0x17ffe405,
    0xfffffb73,0x3f26235d,0x3fee3fff,0xa9989adf,0x641ffffd,0x889cffff,
    0xffffffb9,0xffb000bc,0x3fa0001f,0x0000005f,0x0003fffe,0x7ffd4000,
    0x9beff981,0xffda9989,0xfffc82ff,0xffeb99ce,0xeb88006f,0x32606fff,
    0xfffba89b,0xfff503ff,0xf93337bf,0x3fe21fff,0xffffffff,0xffffffff,
    0x7ffffdc5,0xffffffff,0xffffd04f,0xffffffff,0x00dfffff,0x2201bffe,
    0xfffcccca,0x002cccce,0x7ffff5c0,0x005fffff,0xfffd9800,0x2e3effff,
    0xffffffff,0x05ffffff,0xfffffff1,0x405fffff,0xffffffea,0x3a01ffff,
    0xffffffff,0x7fec05ff,0xffffffff,0x3ffe64ff,0xffffffff,0x0dffffff,
    0xffffffd8,0x05ffffff,0x3fffff62,0xffffffff,0x4400ffff,0xfd802fff,
    0xffffffff,0x003fffff,0xffffff10,0x05ffffff,0xfffe8000,0x0fffffff,
    0x3ffffffa,0x04ffffff,0x7fffffcc,0x7c04ffff,0xffffffff,0x7ff401ff,
    0x2fffffff,0xfffff900,0x907fffff,0xf97ffffd,0x3dffffff,0xffffda80,
    0x001effff,0xfffffff5,0xdffff99f,0x017ee007,0x7ffffff4,0xffffffff,
    0x3ffa0004,0xffffffff,0x6400000f,0xffffffff,0x7ffe447f,0x2effffff,
    0xffff9100,0xfb003dff,0xbfffffff,0xfffd5003,0x70007fff,0xbffffffd,
    0x2a620003,0x440009bc,0x009abba9,0x35975100,0x40000000,0xffffffda,
    0x0dffffff,0x332a2000,0x0bcccccc,0x99300000,0x01599999,0x555dd54c,
    0x75510000,0x65440015,0x0001bccc,0x00013751,0x0002ae60,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x50000000,0x9ffffffb,0xedb98000,0xa8000ace,0x02cdfedc,0x3bbbb600,
    0xfb951000,0x206237bd,0x00819998,0x0009a980,0x800de5cc,0x06fffec8,
    0x7ffc4000,0xc880000f,0x1bcdeeed,0x000065c0,0x01ffffd7,0xffff1000,
    0x0009ffff,0x3fffff62,0xc8803fff,0xffffffff,0x7d4000df,0xd800ffff,
    0xffffffff,0x7d44ffef,0xffb10fff,0xfffda809,0xfc803fff,0xc804ffff,
    0x006fffff,0x7fffc400,0x7fe40000,0xffffffff,0x009ff501,0x3ffffea0,
    0xf880000f,0x4fffffff,0xffffa800,0xdfffffff,0xfffff300,0xffffffff,
    0x3ffe2001,0x3a200fff,0xffffffff,0x4c6fffff,0x3fee7fff,0xfff901ff,
    0x1dffffff,0x3f3fff20,0x7fdc04ff,0x00006fff,0x007fffc4,0xfffff900,
    0x09ffffff,0x4001bff2,0x0ffffff9,0xdb730000,0x8009fffd,0xdffffff9,
    0x0ffffffe,0xffffff98,0x5fffffde,0xfffff900,0x3ffe601f,0xffedefff,
    0x7c47ffff,0x3fff26ff,0xffffd83f,0x6fffffff,0x7dc4ff88,0x7fed401f,
    0x4400006f,0x0000ffff,0xddfffff5,0x203ffffd,0x20007ffc,0x00fffeca,
    0x3ffe0000,0x7fff4004,0xffffa81e,0x9cfff985,0x3fffea20,0x7fffcc01,
    0xfff00fff,0xfb3015df,0xbfff0fff,0x207fffcc,0x9beffffb,0x44ffffeb,
    0x07ff07fa,0x001bff60,0xc8000000,0x13103fff,0x003ffe40,0x007ffdc0,
    0x9fff0000,0x6fffe400,0x3fffa200,0x00fffc42,0xd807fff7,0x0fffefff,
    0x00efffb8,0xfe87ffe8,0xe815c44f,0xff301fff,0xb05fb8ff,0x3ff6009f,
    0x00000006,0x01bff600,0x00fff900,0x01fff700,0x7ffc0000,0xdfff3004,
    0x3fffe600,0x7c03ff40,0x3fea04ff,0x40fffbef,0x000efff8,0xffb09ff5,
    0x7ffcc007,0x07ffec04,0xff881ff5,0x0dffb003,0x00000000,0x40037fec,
    0xffffffec,0x2effffff,0x887ffdc0,0x80001aba,0xf9004fff,0x7e4005ff,
    0x005442ff,0xe817ffe2,0xfffbafff,0x01fffd40,0x3f2032e0,0x77fc002f,
    0x17ffd400,0x3221bff1,0xffb000ff,0x7fffec4d,0xffd703ef,0x2009ffff,
    0xffffffd9,0x1dffffff,0x7fffffcc,0xffffffff,0x7ffdc07f,0xffffffeb,
    0x3ffe0003,0x0dffb004,0x03fff880,0x07fffb00,0x7dd7ffee,0x7ffdc0ff,
    0x3ee00001,0x0544001f,0x20fffe40,0xfffefffb,0x7ec0d443,0x3ffff26f,
    0x7c40ffff,0x4fffffff,0xfffffd00,0xffffffff,0xffff88bf,0xffffffff,
    0x7dc05fff,0xffffffff,0xf0005fff,0x3fe009ff,0xffe8004f,0x7ff54005,
    0xfff880ff,0x81fff70f,0x00007ffd,0x00007fd4,0x07fff880,0x27fffff7,
    0xd86ffdb8,0x3ffee6ff,0xff06ffff,0x09ffffff,0x3fffff20,0xffffffff,
    0xfecb883f,0xccccccff,0x7fdc00ac,0xffffffff,0xf8004fff,0xff8804ff,
    0xffd8003f,0xffeb8806,0xffb03fff,0x07ffdc9f,0x00017ffa,0x0000df10,
    0x17fffa20,0xeb9aba88,0xd83fffff,0xfffb16ff,0x220159df,0x4fffccca,
    0xff995100,0x799999ff,0x0fff9003,0xffff7000,0xff9535bf,0xfff000df,
    0x5fff3009,0x0fff9000,0xffffffd0,0x1bffe605,0xfe81fff7,0x4cccc05f,
    0x03500999,0xffd10000,0xeb8801ff,0x01ceffff,0x3fa7bff6,0x20004fff,
    0xb0004fff,0xc8000dff,0xb80007ff,0xf903ffff,0xff8001ff,0x7fff004f,
    0x0dffb000,0x3bffffd0,0x217fff40,0x7f40fffb,0xffff305f,0x01dfffff,
    0xfd100000,0x2e603fff,0x1ceffffe,0xfffffb00,0x80007fff,0xb0004fff,
    0xc8000dff,0xb80007ff,0x3e602fff,0x7fc002ff,0xbffd004f,0x09fff000,
    0x803dffd0,0xfb85fffb,0x37fec0ff,0xffffffc8,0x0002ffff,0x7fffcc00,
    0xffffd01f,0x1799537d,0xfffffd80,0xf80001ff,0xfb0004ff,0xfc8000df,
    0xfb80007f,0x3fe200ff,0x7ffc003f,0x0fff9004,0x03fff980,0x4402ffc8,
    0xcccdffff,0x21cfffdc,0xff507ffb,0xffffffff,0x00037ea1,0x7ffffd40,
    0x17dff101,0x3fffffa6,0x3ffff602,0xf00005ff,0x360009ff,0x640006ff,
    0xb80007ff,0x3e200fff,0x7fc003ff,0xfff7004f,0x7fff4009,0x802b8801,
    0xfffffff9,0xffffffff,0x203fff50,0xffdaaaa8,0x03bfe60f,0xffff7000,
    0x4408803d,0xfffdeffe,0xfffffb01,0x80001dff,0xb0004fff,0xc8000dff,
    0xb80007ff,0x3e200fff,0x7fc003ff,0xfff1004f,0xfff7003f,0xf300000b,
    0xffffffff,0x23ffffff,0x2006fff8,0xffa87ffc,0xff90001f,0x20001dff,
    0x3fa21ffc,0xf9fffb06,0x0001dfff,0x80027ffc,0x40006ffd,0x80007ffc,
    0x2200fffb,0x7c003fff,0x3ea004ff,0x3ee02fff,0x00000fff,0xffffff98,
    0xefffffff,0x067ffec3,0x983ffe40,0x22003fff,0x00dffffd,0x2a13fa00,
    0x2dffb07f,0x01fffff9,0x009fff00,0x001bff60,0x401fff90,0xff701ca8,
    0x7ffc401f,0x27ffc003,0x3ffff200,0xffeb98ad,0x044003ff,0xfff70000,
    0xfffff101,0xd9731359,0x7440ffff,0xfe8800ff,0x80004fff,0x0ff882ff,
    0x3a66ffd8,0x8002ffff,0xb0004fff,0xb8000dff,0xa88adfff,0x80ffffec,
    0x2200fffb,0x99303fff,0x9dfff999,0x74037999,0xffffffff,0x2004ffff,
    0x0005ffe8,0x3fff72e2,0xffffa81c,0xffffffff,0x5b807fff,0xfffff980,
    0xbfd00003,0xec98ff70,0x7ff446ff,0x64c2ccff,0xefffcccc,0x4c1bcccc,
    0xcffffccb,0x801bcccc,0xfffffff8,0x1fffffff,0x33fffae2,0xdfffca82,
    0x3fffea0b,0xffffffff,0x3200ffff,0xffffffff,0x7dc002ff,0xf0002fff,
    0xffffffff,0xffffd501,0xffffffff,0x7c00007d,0xccceffff,0x05fdcccc,
    0x3a62ffb8,0x3fffee5f,0xffffe86f,0xfff73fff,0xffffffff,0x221fffff,
    0xffffffff,0x0fffffff,0xfffffb80,0x3fffffff,0x7fffffec,0x3fffea2f,
    0x3ff25fff,0xffffffff,0x01ffffff,0x7fffff4c,0xf98000df,0x88000fff,
    0xffffffff,0x3ffae01f,0x2dffffff,0xfff80000,0xffffffff,0x801fffff,
    0xfffefffe,0x3fffff20,0x7ffffc46,0xfff94fff,0xffffffff,0x263fffff,
    0xffffffff,0x1fffffff,0xffffd500,0xf017dfff,0x9fffffff,0x7fffffe4,
    0x3fff627f,0xffffffff,0x22004eff,0x80000ab9,0x20000aa8,0xefffffeb,
    0x2ea62004,0x0000009a,0x3ffffffe,0xffffffff,0xffd8802f,0x7ecc1eff,
    0xfeb86fff,0xb11dffff,0xffffffff,0x89dfffff,0xffffffec,0x04efffff,
    0x1abba980,0xffffea80,0x3ff661df,0x0002dfff,0x00000000,0x00000000,
    0x00000000,0xffffff80,0xffffffff,0x2a6003ff,0x0000001b,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x55554400,0x1aaaaaaa,0xaaaaaa88,0xaaaaa980,0x3fae6001,
    0x200662ce,0x0beefdca,0x55551011,0x554c0155,0x54c0aaaa,0xaaaaaaaa,
    0x260aaaaa,0xaaaaaaaa,0xaaaaaaaa,0x5554c0aa,0x2aaa600a,0x555501aa,
    0x13555555,0x55553000,0x55554c01,0x55555300,0x2aaaa203,0xa80001aa,
    0xffffffff,0x266fffff,0xffffffff,0x3fffffa4,0x3f6607ff,0xffffffff,
    0xfd303ffc,0xdfffffff,0x7ffdc5ff,0xd83fffff,0xffffffff,0x3fffff20,
    0xffffffff,0x3ffff22f,0xffffffff,0x21ffffff,0x06fffffe,0xfffffffb,
    0x3fffe21f,0xffffffff,0xffd002ff,0xfb07ffff,0xf89fffff,0x6fffffff,
    0x7fffffc4,0x640005ff,0xffffffff,0x70ffffff,0xffffffff,0x3ffffe2d,
    0xfa81ffff,0xffffffff,0x985fffff,0xffffffff,0x364fffff,0xffffffff,
    0xffffff85,0x3ff22fff,0xffffffff,0x3f22ffff,0xffffffff,0xffffffff,
    0xfffff11f,0xffff07ff,0x2a5fffff,0xffffffff,0xefffffff,0x3fffe200,
    0x7fc46fff,0x266fffff,0xffffffff,0x3fffea0f,0x0007ffff,0x7fffff4c,
    0x4fffffff,0x3fffffa2,0x3fff23ff,0xfa85ffff,0xedefffff,0x47ffffff,
    0xdffffff8,0x5ffffffd,0x3fffffe6,0xfffc82ff,0x7e46ffff,0xffffffff,
    0x322fffff,0xffffffff,0xffffffff,0x3fff61ff,0x7e41ffff,0x46ffffff,
    0xfffffffe,0xffffffff,0x7fffec06,0xfffc82ff,0x7ff43fff,0x444fffff,
    0xfffffffe,0x33100004,0x33bfff33,0x0d7ffd40,0x03fff930,0x03dffff1,
    0x8fffff91,0xa82efffc,0xf985ffff,0xf9800eff,0xffc80eff,0xd999999f,
    0x3f20ffff,0xff9999ff,0xffb999df,0xffffb81f,0xfff7306f,0x3fff2203,
    0xfeb99999,0x74403fff,0xff106fff,0x7fec09ff,0x54c4019f,0x00003fff,
    0x4027ffc0,0xb801fffa,0xffc80fff,0x7fcc00ef,0x07ffec7f,0x20bfff30,
    0xb800fffd,0xff903fff,0x3fffe60f,0x7c3ffe42,0x7ffd44ff,0xfffff981,
    0x3fff503f,0x007ffdc0,0x100dfff3,0xfd09ffff,0xffc80bff,0x3fea000f,
    0x4000001f,0xfa804fff,0xffb801ff,0x0effe80f,0xf8dffb00,0xffd805ff,
    0x09fff503,0x201fffd0,0xff887ffc,0x7ffc83ff,0x7d44fff8,0xfff981ff,
    0xfa80ffff,0x3fee01ff,0x7ffec00f,0xffff9800,0x03bfff23,0x443fff70,
    0x7fdc7fff,0x4000000f,0xfa804fff,0xffb801ff,0x27ffc40f,0xd87ff300,
    0xef9807ff,0x01fffa01,0x5409fff3,0xfffe86ff,0xf0fff705,0xfffa89ff,
    0xfefff981,0xfffa85ff,0x03ffee01,0x001fff90,0x2e7fffea,0xa801ffff,
    0x3fee2fff,0x1fff21ff,0x3fe00000,0xfffa804f,0x0fffb801,0x000fffd4,
    0x3ffee0a6,0xfb80001e,0x3ff602ff,0x0ffa201f,0x201dfff9,0xfff86ffa,
    0x983ffc44,0xfffeafff,0x00fffd42,0x5401fff7,0x64005fff,0xffffffff,
    0x7fff3002,0xb27ffff4,0x00000fff,0x5009fff0,0xf7003fff,0x7ffc81ff,
    0x3fe20000,0x01bdffff,0x06fff880,0x200dfff1,0x0ffffd40,0x3fe0bf60,
    0x303fc84f,0xfff55fff,0x0fffd41d,0x881fff70,0x02ffffd9,0xfffffd80,
    0x3fe2003f,0xfffff34f,0x0037ff4f,0x27ffc000,0x00fffd40,0x3a07ffdc,
    0x400005ff,0xfffffff9,0x36002dff,0xffb81fff,0xff98002f,0x7c0003ff,
    0xf98004ff,0x9fffb2ff,0x700fffd4,0xfddddfff,0x00bfffff,0x3ffffa20,
    0x5fff8005,0x3ffffff7,0x40017ffe,0x13ffe000,0x007ffea0,0xfd03ffee,
    0x100000bf,0xfffffffd,0xf3001dff,0xfffd09ff,0xfffd1000,0xfff00009,
    0xfff30009,0x47fffe25,0x2e01fffa,0xffffffff,0x0004ffff,0x027fffec,
    0xfeb7ff40,0xff4fffff,0xdf70009f,0x09fff001,0x003fff50,0xfe81fff7,
    0x2000005f,0xfffffec9,0xfe801fff,0x3ffea0ff,0xfffd8004,0xfff00006,
    0xfff30009,0xab7ffdc5,0x3ee01fff,0xffffffff,0x640003ff,0x02ffffff,
    0x7cfffec0,0x8fffecff,0xe8003fff,0xfff802ff,0x1fffa804,0x40fffb80,
    0x00006ffd,0x3ff6e600,0xffb805ff,0x03fff63f,0x1ffff700,0x7c003950,
    0xf98004ff,0x7fff42ff,0x201fffab,0xeeeefffb,0x000effff,0xffffff70,
    0x7e4003ff,0xb9fffcff,0x2fffcfff,0x03fff800,0xa804fff8,0xfb801fff,
    0x7ffe40ff,0x01100000,0x03fffa60,0x22dfff10,0x4c005fff,0xf882ffff,
    0x3ffe006f,0xfff98004,0x67fffcc2,0x3ee01fff,0x7ffd40ff,0x7cc000ef,
    0xfffcbfff,0xfff7000f,0x3fe2ffff,0x001fffff,0xf804fff8,0xff8804ff,
    0x7ffc804f,0x003fffb8,0x002ff980,0x9005fff3,0xfff95fff,0x7ffc4005,
    0x1fff504f,0x013ffe00,0x20bffe60,0xfffffffb,0x03ffee01,0x01bfffa2,
    0x24ffff88,0x5006fffd,0x49ffffff,0x0ffffffe,0x04fff800,0x8017ffcc,
    0x2200ffff,0xff885ffe,0x366001ff,0x401fff23,0x9803fff9,0x6fffdfff,
    0x2ffff400,0x001fff70,0x20013ffe,0xfd02fff9,0x403fffff,0xf100fffb,
    0x3a007fff,0x7f445fff,0xff9805ff,0x3ee2ffff,0x0007ffff,0x6c409fff,
    0xfb000fff,0x3fa209ff,0xfff903ff,0xfff7005d,0x033fff63,0x003fffd0,
    0x3ffffff6,0x3fff2003,0x3ffee00e,0x09fff000,0x05fff300,0x3fffffe6,
    0x03ffee01,0x01ffff98,0x4077ffec,0x403ffff8,0x47fffff8,0x07fffff8,
    0xbfffff00,0xffff7337,0x7ffcc00d,0xfeb99cff,0x7fec06ff,0xa989adff,
    0xb1ffffdb,0x359fffff,0xfffff733,0x3ffea001,0xf3000fff,0x9999bfff,
    0x1fffb999,0x3ff332a0,0x401bccef,0xacdfffc9,0x7ffffe40,0xfffeb981,
    0xfff702cc,0xffd9837d,0xfd980dff,0x3e01cfff,0xfe85ffff,0xf0006fff,
    0xffffffff,0x001dffff,0xffffffa8,0x01ffffff,0xffffffc8,0xffffffff,
    0x3fffff65,0xffffffff,0x7fc002ff,0x2a005fff,0xffffffff,0xffffffff,
    0xfffffb80,0x0fffffff,0xffffff30,0xfff88bff,0x7ffc41ff,0x03ffffff,
    0x21fffffb,0xfffffffa,0x7ffffc47,0xffd00fff,0xfff705ff,0x36a000bf,
    0xffffffff,0x70000eff,0xffffffff,0x7e4005df,0xffffffff,0x7fdc3fff,
    0xffffffff,0x8003ffff,0x001ffffb,0x3fffffea,0xffffffff,0xfffd80ff,
    0xffffffff,0xffff502f,0xf50dffff,0xffa83fff,0x5fffffff,0x5fffff10,
    0x3fffffee,0x3ffea0ff,0xd01fffff,0x3e20ffff,0x40004fff,0xffffffc8,
    0xd880003e,0x0cffffff,0xfffda800,0x81ceffff,0xffeb9ed8,0x00cfffff,
    0x0dfff100,0xfffffa80,0xffffffff,0xfd980fff,0xffffffff,0x7ff6404e,
    0xfb02dfff,0xffd903ff,0x403bffff,0x3224effa,0x83efffff,0x4effffec,
    0x817fff60,0x0003fffe,0x002aea20,0x2ae62000,0x53100001,0x44000357,
    0x0001abaa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2aaaaaa2,0x3001aaaa,0x55555555,0x2a015555,
    0xa981aaaa,0x88001aaa,0x2aaa6000,0xaaaaaaaa,0x40aaaaaa,0xaaaaaaaa,
    0xaaaaaaaa,0xaaaaa80a,0x4001aaaa,0x1002aaa9,0x51035555,0x55555555,
    0x26000355,0x2aaaaaaa,0x55553000,0x55554c01,0x7dddd100,0xfffffb80,
    0xffffffff,0xffff900d,0xffffffff,0x7ffc45ff,0x3f65ffff,0x007fffff,
    0x5b9dffd9,0x3fffffa0,0xffffffff,0xf11fffff,0xffffffff,0xffffffff,
    0x7fffc43f,0xffffffff,0x7fffc03e,0xffc803ff,0x3fe26fff,0xffffffff,
    0x800cffff,0xfffffff8,0x74001fff,0x83ffffff,0x4ffffffe,0x00ffffa8,
    0x7fffffec,0xffffffff,0xffffe83f,0xffffffff,0x3ffea4ff,0x3fe7ffff,
    0x01ffffff,0x3fffffa2,0xfff887ff,0xffffffff,0xffffffff,0xffffff51,
    0xffffffff,0x7d43ffff,0xffffffff,0x81efffff,0x6ffffff9,0x7ffffc40,
    0xffff50ff,0xffffffff,0x9803ffff,0xffffffff,0x3e2004ff,0x45ffffff,
    0xfffffff8,0x04fffc86,0xffffffa8,0xffffffff,0x7ffdc2ff,0xffffffff,
    0x7ff41eff,0x3f23ffff,0x405fffff,0xfffffffd,0xffff907f,0xffffffff,
    0x43ffffff,0xfffffffe,0xffffffff,0x7fff41ff,0xffffffff,0xfd80ffff,
    0x202fffff,0x4ffffffb,0x3fffffa2,0xffffffff,0x7ec00fff,0xffffffff,
    0x7ffe4007,0xffd82fff,0xff83ffff,0x3a2000ff,0xa9999eff,0x80fffffd,
    0xdfff9999,0x3f200999,0x3fea01ff,0x7ffd403f,0x01effccf,0x4cdfffd4,
    0xfb999999,0x7fe441ff,0x999999af,0xa81fffb9,0x9999bfff,0x06ffffdb,
    0x0dfffff7,0x17fffff4,0x99fffc88,0xffeca999,0xe998805f,0x02ffffff,
    0x05fffd80,0x4c0ffffe,0xe8003fff,0x7fec05ff,0x4fff803f,0x03ffee00,
    0x403fff88,0x0e61fffc,0x017ffcc0,0x5c0fffd4,0x7d400fff,0xfff981ff,
    0x3fffe602,0xfffffa83,0xffffa81f,0x3fee02ff,0x3ffe200f,0x3ffe2007,
    0x8006fffe,0xc82ffff8,0x3ee05fff,0xfe8000ff,0x7ffc405f,0x04fff805,
    0x803ffee0,0x6c03fff8,0x260007ff,0x4c082fff,0xffb80fff,0x3fe6080f,
    0x2fff980f,0x43fffd40,0x5ffffffa,0xffffffd8,0x03ffee02,0x001fff90,
    0x3f2bffee,0xfa8001ff,0x3fe60fff,0x3ff600ff,0xbffd0003,0x00dffd00,
    0x5c009fff,0x3e200fff,0x7fdc03ff,0xff30003f,0x227ec45f,0xfff706ff,
    0xff17f4c1,0x0bffe60d,0x50fffee0,0x1fffffff,0x7fffffcc,0x3ffee02f,
    0x03fff400,0x3e6fffd0,0xfb0004ff,0x7fff49ff,0x0037fc02,0xf00bffd0,
    0xfff009ff,0x7ffdc009,0x0fffe200,0x01ffff10,0x45fff300,0x05447ff9,
    0x2e0fffb8,0x402a25ff,0x8802fff9,0x7fd45fff,0x324fffcf,0x2fffcfff,
    0x403ffee0,0x006fffc9,0x7f49fff5,0xff10007f,0xbfff95ff,0x002ffa80,
    0xb017ffa0,0xff005fff,0x7fdc009f,0xaaaaaabf,0xc803fffb,0x98004fff,
    0xfdccdfff,0x3ee000ff,0xffecccff,0x3ffe6007,0x8dffd002,0xffe9fffa,
    0x9efff88f,0x3ee02fff,0xfdccccff,0x001fffff,0x7dc3fffb,0xf50002ff,
    0x1fffffff,0x0006fc80,0x5442fff4,0x800ffffe,0x2e004fff,0xffffffff,
    0x03ffffff,0x17ffffcc,0x3e601331,0xffffffff,0x3fee000f,0x7fffffff,
    0x0bffe600,0x2a3ffec0,0xfffb8fff,0xf9afffbb,0x3fee02ff,0xffffffff,
    0xf1004fff,0xfff88bff,0x3ff20006,0x9802ffff,0x7f40000c,0xffffffff,
    0xf001ffff,0x7dc009ff,0xffffffff,0x203fffff,0xfffffff9,0x303fffb0,
    0xffffffff,0x7dc001ff,0xffffffff,0x3ffe6007,0x8fff9002,0xff88fffa,
    0xf37fffff,0x7fdc05ff,0xffffffff,0xb800efff,0xffc82fff,0xfd10001f,
    0x0000bfff,0xffffe800,0xffffffff,0x13ffe002,0xfffffb80,0xffffffff,
    0xffff103f,0x3febffff,0xfff984ff,0x0fffffff,0x3fffee00,0x007fffff,
    0x400bffe6,0x7fd47ffc,0xfffff90f,0x0bffe67f,0xffffffb8,0xffffffff,
    0x7fff401f,0xffcaaaab,0x3e60004f,0x00000fff,0x7ffff400,0x0cffffff,
    0x027ffc00,0x333fff70,0xfff53333,0x37ffea07,0xffcfffe8,0xfff982ff,
    0x003ffea2,0x320fffb8,0x3e6006ff,0xffd002ff,0x10fffa8d,0x21ffffff,
    0x2e02fff9,0xb9980fff,0x2a07ffff,0xffffffff,0x007fffff,0x002fffc0,
    0x7ff40000,0x0abcccce,0x09fff000,0x007ffdc0,0x3607fff1,0x3ffe67ff,
    0xf301ffff,0x37fcc5ff,0x83ffee00,0x3b625ffb,0x02fff981,0x544fff88,
    0x3ff60fff,0x3ffe64ff,0x03ffee02,0x03ffff10,0x3ffffff6,0xffffffff,
    0x3ffe0002,0x80000005,0x00005ffe,0x2004fff8,0x2200fffb,0xfff03fff,
    0xfffffc8b,0x0bffe606,0xfb800393,0x506540ff,0xfff30bff,0x5fff5005,
    0x260fffa8,0x3e60ffff,0x3fee02ff,0xfffa800f,0xfffff883,0xffffffff,
    0x3e0006ff,0x000005ff,0x005ffe80,0x04fff800,0x803ffee0,0xfd03fff8,
    0xffffd0df,0x17ffcc07,0xfffb8000,0x87ffc800,0x4c02fff9,0x7d41ffff,
    0x2ffec0ff,0xb80bffe6,0xff000fff,0x7fff70bf,0x33333333,0x0003fff9,
    0x00017ffe,0x17ffa000,0x3ffe0000,0x3ffee004,0x0fffe200,0x4d6fffec,
    0x2cffffd9,0x005fff30,0x03ffee00,0x261fff20,0x3ea02fff,0xffa84fff,
    0x3fe6000f,0x3ffee02f,0x3fffb800,0x1007ffe8,0x20009fff,0x00005fff,
    0x3fff2a00,0x002cccce,0xff999951,0x839999df,0xacfffeb8,0x3fff2a20,
    0x7ffcc0bd,0xffffffff,0x36e23fff,0xbcccdfff,0x3f6e6001,0xccccccff,
    0x47ffeccc,0xccdfffc9,0xfffffedc,0xdfffd986,0xdca880ac,0x5cc1dfff,
    0xccccfffe,0xfffedccc,0x3fff2a1f,0xca880ace,0x402cffff,0xefffccca,
    0x00001bcc,0xffffff70,0x007fffff,0xfffffffb,0x7fffffff,0x7ffffff4,
    0x3ffffa5f,0xffc85fff,0xffffffff,0x3ffa4fff,0xffffffff,0xfff8801f,
    0xffffffff,0x7fffffff,0x3fffffe6,0xffffffff,0x7ffd41ef,0xd84fffff,
    0xffffffff,0xffffff31,0xffffffff,0x7dc9ffff,0x4fffffff,0xffffffe8,
    0xfff700ff,0xffffffff,0xb000003f,0xffffffff,0xfd00bfff,0xffffffff,
    0x229fffff,0xffffffff,0x3fffffe6,0xffd507ff,0xfff9ffff,0x3fffe23b,
    0xffffffff,0xffffa802,0xffffffff,0x27ffffff,0xfffffffa,0xdfffffff,
    0xfffffb80,0xffe85fff,0x52ffffff,0xffffffff,0xffffffff,0xffffc89f,
    0xff85ffff,0x2fffffff,0xffffff90,0x05ffffff,0xffb30000,0xbfffffff,
    0xfffb5003,0xffffffff,0x7ff5c1bf,0x3aa2dfff,0x02dfffff,0x00555d4c,
    0x7fffff5c,0x2004efff,0xffffffec,0xffffffff,0x7ff647ff,0xcdffffff,
    0x3ff6201a,0xa81dffff,0x4efffffd,0x7fffff64,0xdeffffff,0xfffd980c,
    0xea81dfff,0x04efffff,0x3fffff66,0x004effff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xaaaa8800,0x000aaaaa,0x2aaaaaa2,0xaaaaa80a,0x0000b980,0x73000000,
    0x001a8001,0x20000000,0x009abaa8,0x00ab8800,0x0aba9800,0x2aea6000,
    0x2a60000a,0x00000aab,0xffa82a88,0xffffffff,0xfff8803f,0x12ffffff,
    0xbfffffff,0x0067ffc4,0x98000000,0x32006ffd,0x3f2002ff,0x6cc0ffff,
    0x204fffff,0xffffffda,0x54001dff,0xceffffec,0x3ff22001,0x00dfffff,
    0xffffff70,0x9809f9df,0xfffffffe,0xeb80debd,0xd50fffff,0x3639ffff,
    0xffffffff,0xfa805fff,0xffffffff,0xffffff55,0x7fffd4ff,0x0000003f,
    0x3ffff220,0x9ffd000f,0x3fffea00,0x7ffe40ff,0xff704fff,0xffffffff,
    0x3f2005ff,0xffffffff,0x7fd400df,0xffffffff,0x3ffe603f,0xffffffff,
    0xfff900ff,0xffffffff,0xfff885ff,0xffd9ffff,0x98ffffff,0xfffffffe,
    0xe8802fff,0xefffffff,0xfffffd11,0x7fff447f,0x00002eff,0x7fffdc00,
    0x3fe004ff,0xfff1005f,0xffb81fff,0xf704ffff,0xffffffff,0xd801ffff,
    0xffffffff,0x2e06ffff,0xffffffff,0x884fffff,0xfffffffe,0x82ffffff,
    0xfffffffd,0x4fffffff,0xffffffe8,0xffffffff,0x3ea624ff,0x80009bff,
    0x409fffc8,0x03ffffe8,0x3fffffee,0x4000001e,0xeffffffa,0x2fffc002,
    0xfffb7300,0xfff97301,0x337b6209,0xffeb999a,0x3fff603f,0xfda99acf,
    0xff985fff,0xca9aceff,0x541ffffe,0x99acefff,0x42ffffca,0x9adffffa,
    0xffffeca9,0xffeca884,0x9adfffff,0xff982ffd,0x7dc0002f,0x7ffcc0ff,
    0xfc8802ff,0x00dfffff,0x7ff4c000,0x0003ffff,0x5000bfff,0xff801fff,
    0x7c40004f,0xfff504ff,0x7ffd403d,0x3fffe21f,0x37ffe405,0x8807fff2,
    0x3fe20fff,0x7fe402ff,0x7ffdc04f,0x01982fff,0x0005fff3,0x2a0fffb8,
    0x001fffff,0x7ffffec4,0x4c0000cf,0xcffffffd,0x3ffe0000,0xfffa8005,
    0x027ffc00,0x9aacaa98,0xffb05ffe,0xfff7003f,0x037ffcc7,0x2a3fffd8,
    0x81acffff,0x7ffdc1c9,0x2fff8804,0x77fffdc0,0xfff98000,0x7fdc0002,
    0xdffff70f,0x7f4c0001,0x003fffff,0xfffffc88,0xf80000cf,0xfa8005ff,
    0x7ffc00ff,0x7fffdc04,0x5fffffff,0x2009fff0,0x3ee5fff8,0xeeeeeeff,
    0xfffeeeee,0x3ffffe24,0x00bdefff,0x5c00fff9,0x7fdc00ef,0x3e60004f,
    0x5c0002ff,0xfffc8fff,0x500000df,0x5dfffffd,0x3fffee00,0x30001dff,
    0xbfff3333,0xa8013333,0x7fc00fff,0xfffd304f,0xffffffff,0x5fff30bf,
    0xb3ffe400,0xffffffff,0xffffffff,0xffff98df,0x2fffffff,0x0006ffe8,
    0x01fff700,0x17ffcc00,0x3ffee000,0x005ffffe,0xffff7000,0x3ea03dff,
    0x02efffff,0xffffd880,0xffffffff,0xf504ffff,0xfff801ff,0xffffe884,
    0xffffffff,0x1fffa85f,0x43ffea00,0xfffffffd,0xffffffff,0xffd707ff,
    0xbfffffff,0x002fffc1,0x0fffb800,0x3ffe6000,0x7fdc0002,0x0effffff,
    0xfb100000,0x449fffff,0x3ffffffe,0x3ffea000,0xffffffff,0x0fffffff,
    0x400fffa8,0xffe84fff,0xa989beff,0xf885fffa,0x3f2003ff,0x3bfff26f,
    0xeeeeeeee,0x805eeeee,0xfffedca9,0x01bff62f,0x7ffdc000,0x3fe60000,
    0x7dc0002f,0xffffffff,0x4400000e,0xcffffffc,0x7fffecc0,0xf30003ff,
    0xffffffff,0xffffffff,0x07ffea0d,0xf889fff0,0x7f400fff,0x1dffd05f,
    0x49fff300,0x0005fffa,0xf9804fc8,0x3ffee6ff,0xfb800000,0x260000ff,
    0x19802fff,0x9fffff70,0x001dffff,0xffff9100,0xea803bff,0x02ffffff,
    0xccccb880,0xcccefffc,0xff500acc,0x3ffaa07f,0x1fffd44f,0x0bfff910,
    0x8037ffee,0x222fffe9,0x2004ffff,0x0bffe208,0x543fff60,0x7000efff,
    0x7fdc01bf,0x3e60000f,0x7fdc02ff,0x1efffb82,0x00dfffd3,0xfffffb80,
    0x7dc001ef,0x01efffff,0x09fff000,0x5dfff100,0xffffd531,0x7ffcc5df,
    0xfda989be,0x41ceffff,0x9bffffe8,0xffffc988,0xeffffa86,0xdb9988ac,
    0xfff33fff,0x951135df,0xfd8dfffb,0x3119cfff,0x45fffd75,0xfffecca8,
    0x01bccccc,0x402fff98,0xffb84ffd,0x7fff440f,0xffea8002,0x0002ffff,
    0x7fffffe4,0x7fc0001d,0xffd0004f,0xffffffff,0x747fffff,0xffffffff,
    0xffffffff,0x7fff443f,0xffffffff,0x3fff605f,0xffffffff,0xff36ffff,
    0xffffffff,0x887fffff,0xfffffffe,0xffffffff,0x3fffffa1,0xffffffff,
    0x7ffcc02f,0x42fff402,0xf980fffb,0x366006ff,0x03ffffff,0x3ff22000,
    0x000cffff,0x0009fff0,0x3fffffe6,0xffffffff,0x3fffe24f,0xffffffff,
    0x884fffff,0xfffffffe,0xfc804fff,0xffffffff,0xf13fffff,0xffffffff,
    0x209fffff,0xfffffff8,0x3fffffff,0x7ffffffc,0xffffffff,0x17ffcc03,
    0x2e17ffa0,0xff700fff,0xffc8807f,0x000cffff,0xfffb3000,0xf0007fff,
    0x4c0009ff,0xdffffffe,0x41dffffa,0xffffffc8,0xffffeadf,0x3ff6e00d,
    0x003dffff,0x3fffff66,0x41ceffff,0xffffddfb,0x800cffff,0xffffffeb,
    0xda80cfff,0xffffffff,0x400dffff,0x7402fff9,0xfffb85ff,0x03fffa00,
    0x7fffffdc,0x0000001d,0xffffffd5,0x27ffc003,0x56544000,0x75100009,
    0x00001559,0x0000ddcc,0x26af2a62,0x65544001,0x980009ab,0x01aaccaa,
    0x65400000,0xccdfffdc,0xfffccccc,0x3fffae65,0xfffb82cc,0xfff50acd,
    0x00005dff,0x3ffee000,0xff000fff,0x0000009f,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfffffff7,0xffffffff,0x3fe6bfff,0x3fffffff,
    0x4ffffff8,0x005ffff5,0x91000000,0x2001ffff,0x00002ffd,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfffffc80,0xffffffff,0xf55fffff,
    0xffffffff,0xfffff709,0x0001f64b,0x64400000,0x37a6002e,0x00000000,
    0x00000000,0x00000000,0x00000000,0x98000000,0xfffffffd,0xffffffff,
    0x3ffb25ff,0x881dffff,0x001dffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x83750000,
    0x80001ba8,0x0009ab98,0x00000000,0x00000000,0x30000000,0xb800019b,
    0x99951001,0x99999999,0x98399999,0x3b21eeee,0x000004ee,0xbbbbbb95,
    0xbbbbbbbb,0x39bbbbbb,0xbffffd88,0xfb8efffe,0x2203efff,0xfc9ffffd,
    0x804fffff,0x0dfffffd,0x3bffff66,0xffffea83,0x3fff202e,0xffb51dff,
    0x4c1bffff,0xdffffffd,0xffffff71,0xffffffff,0x05ffb007,0x0077d400,
    0x7ffffffc,0xffffffff,0x3e25ffff,0x3ff20fff,0x3efda85f,0x7fffc400,
    0xffffffff,0xffffffff,0x3ee0ffff,0xffffffff,0xffffffff,0xfff703ff,
    0xffffffff,0x2a01dfff,0x3fffffff,0x3ffffff6,0x7ffffc0f,0xfff507ff,
    0x3fa9ffff,0x3fffffff,0x3ffffffa,0xffff75ff,0xffffffff,0xfff007ff,
    0x3fe60009,0x7ffc406f,0xffffffff,0xffffffff,0x2e3fffc6,0x7fe44fff,
    0xe980efff,0x3ffffe64,0xffffffff,0xffffffff,0x3fe60fff,0xffffffff,
    0xffffffff,0xffff507f,0xffffffff,0x3e609fff,0x21ffffff,0x7ffffffb,
    0xffffffd8,0xfffff106,0x3fff67ff,0x2e1fffff,0xffffffff,0xffffff73,
    0xffffffff,0x09fff007,0xffffd100,0xffffc809,0xffffffff,0x42efffff,
    0x7fcc6ffe,0x3ffff22f,0x3e61ffff,0x3bb6e2ff,0xeeeeeeee,0xeeeeeeee,
    0xfc982dee,0xff99dfff,0xffc9bfff,0xfffb301f,0xf9335bff,0x36601fff,
    0x7cc6ffff,0x880bffff,0x70aefffb,0x3fee6599,0x3f2a22ff,0xda82bfff,
    0x2e1befff,0xcccccfff,0x40effffe,0x127ffc1a,0xfffe8035,0x00003fff,
    0x8bffb000,0xff51fff8,0xfffffbff,0x03ffff55,0xa8000000,0x7ff45fff,
    0x0bffe62f,0x03ffffa8,0xb805fff7,0xf98effff,0xe801ffff,0x3ffe26ff,
    0x813ffe26,0x3202fffc,0xffa82fff,0xeffff987,0x567ffec0,0xffdbdfff,
    0xffffb02f,0x0005ffff,0x9ff90000,0x3f61fff0,0xfffd13ff,0x64bfffff,
    0xffffffff,0x02ffffff,0x07ffea00,0xff98dffb,0x3ffea02f,0x0fffe202,
    0x3ffffea0,0x001effff,0x3ee1fff9,0xfff51fff,0x37ffc405,0x106fff88,
    0xfff989ff,0xffff80ef,0xffffffff,0xffb84fff,0xffffc9ff,0x40000001,
    0x7fe83ffb,0xfb10bfea,0xc8bfffff,0xffffffff,0x02ffffff,0x07ffea00,
    0xff98dffb,0x3ffea02f,0x0fffe200,0x7ffffcc0,0x2a000eff,0xfffd2fff,
    0x03fff29f,0x905fff90,0x41805fff,0x00effff9,0xfffffff7,0x3dffffff,
    0x22ffffa8,0x4c0efffd,0xeeeeeedb,0xeeeeeeee,0x17fcc0bd,0x802237ec,
    0xc84ffffb,0xffffffff,0x02ffffff,0x07ffea00,0xff98dffb,0x3ffea02f,
    0x0fffe200,0xfffff980,0xfff88006,0x7fffff9c,0xf100fffd,0xfff88dff,
    0x7ffd4006,0x75c400df,0xffffffff,0xffff882d,0x46fffe83,0xffffffff,
    0xffffffff,0x7fc45fff,0x8005fc81,0x2aa602a8,0xaaaaaaaa,0x0000aaaa,
    0xfb07ffea,0x2fff98df,0x803ffea0,0x1003fff8,0x7ffffffb,0x9dffd000,
    0xf7ffffff,0x3f600bff,0x3fff22ff,0x3ffea003,0xffa8005f,0x3600ffff,
    0xff105fff,0x3ffe27ff,0xffffffff,0xffffffff,0x5f306d86,0x00000000,
    0xffa80000,0x237fec1f,0x2a02fff9,0x3e200fff,0xfe8803ff,0x5fffffff,
    0x7fffe400,0xfffffeff,0xff3003ff,0x1fffe2df,0x5ffffa80,0xfffe8800,
    0x3fa04fff,0x7ffcc06f,0x3ffff6a4,0xffffffff,0x001dffff,0x00000000,
    0xf5000000,0x6ffd83ff,0x5017ffcc,0x7c401fff,0x7f4c03ff,0xfffcafff,
    0xff5000df,0xff97ffff,0x4003ffff,0xffcafffd,0xfff5003f,0xd80ea0bf,
    0xffffefff,0x001dd502,0x00001df3,0x00000000,0x00000000,0x41fffa80,
    0x7fcc6ffd,0x3ffea02f,0x0fffe200,0x1fffff98,0x03bfffee,0x3ffffe20,
    0xfffff98f,0x7ffcc007,0x5007fffe,0x2a0bffff,0xfff983ff,0x06fffa8f,
    0x00000000,0x00000000,0x00000000,0x67ffecc0,0x42ffff61,0x441dfff9,
    0x82dfffdb,0x42efffb9,0x3fffffb8,0xbfffffd8,0x7ffff400,0x17ffffa5,
    0x3ffff600,0xffa803ff,0xcccccfff,0xfc86ffec,0x3fff21ff,0x00000001,
    0x00000000,0x00000000,0xffff3000,0x3ff63fff,0xffff35ff,0x7fffec5f,
    0x3fe23fff,0x3e3fffff,0x3fffffff,0x3ffffff6,0x7ffe405f,0x3fffee2f,
    0xfff98003,0xfe800fff,0xffffffff,0x986fffff,0x06fe83ff,0x00000000,
    0x00000000,0x00000000,0x3ffffee0,0xffffb2ff,0x3ffffe6f,0x3fffffe3,
    0x3ffe25ff,0xff14ffff,0x47ffffff,0xfffffffd,0x3fffd406,0x007fffe2,
    0x27fffec0,0xfffffe80,0xffffffff,0x0c03106f,0x00000000,0x00000000,
    0x00000000,0x3ffb2200,0x3fff64ef,0xbffff32d,0x7fffed41,0x7ff5c1df,
    0x3fae0dff,0x260dffff,0x2dfffffd,0x427ffc40,0x0000fffc,0x001ffff3,
    0x3ffffffa,0xffffffff,0x00000006,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_bold_41_usascii_x[95]={ 0,7,4,2,2,2,3,8,9,4,2,1,7,3,
8,2,2,2,1,2,2,2,3,2,2,3,8,7,-1,0,1,3,3,-1,0,1,0,0,1,1,0,2,1,0,
1,-1,-1,0,2,0,0,2,1,0,-1,-1,0,0,2,9,3,4,2,-2,7,1,-1,2,1,1,2,1,0,2,
3,1,2,-1,0,1,-1,1,1,2,2,0,0,-1,0,0,3,6,9,5,2, };
static signed short stb__courier_bold_41_usascii_y[95]={ 30,6,8,5,4,7,9,7,6,6,7,9,25,18,
25,4,6,6,6,6,7,7,6,7,6,6,13,14,9,14,9,8,6,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,7,4,7,6,37,5,13,7,13,7,13,7,13,7,7,
7,7,7,13,13,13,13,13,13,13,8,13,13,13,13,13,13,7,7,7,15, };
static unsigned short stb__courier_bold_41_usascii_w[95]={ 0,7,13,18,17,17,17,6,9,9,17,20,8,16,
6,17,17,17,18,18,17,18,17,17,17,17,6,9,22,22,22,16,16,24,21,20,20,21,21,21,22,17,22,22,
20,24,23,22,19,22,23,18,20,22,24,24,22,22,18,9,16,9,17,26,8,20,22,19,22,19,19,21,22,18,
14,20,18,24,21,20,22,22,20,18,20,21,22,23,22,22,16,10,4,11,18, };
static unsigned short stb__courier_bold_41_usascii_h[95]={ 0,25,11,29,31,24,22,12,30,30,16,21,11,4,
6,31,25,24,24,25,23,24,25,24,25,25,18,20,21,11,21,23,28,22,22,23,22,22,22,23,22,22,23,22,
22,22,22,23,22,28,22,23,22,23,22,22,22,22,22,29,31,29,13,4,7,18,24,18,24,18,23,25,23,23,
31,23,23,17,17,18,25,25,17,18,23,18,17,17,17,25,17,29,29,29,9, };
static unsigned short stb__courier_bold_41_usascii_s[95]={ 255,237,194,127,1,20,62,241,79,69,135,
91,240,227,248,34,196,225,1,47,201,165,66,207,124,106,243,245,68,171,45,
184,156,192,170,47,124,102,80,219,39,21,1,22,1,145,152,161,1,173,176,
68,131,24,87,223,200,217,112,117,52,146,153,227,241,134,142,215,184,176,78,
84,119,59,19,38,142,1,26,155,214,24,235,196,98,112,95,71,48,1,118,
89,100,105,208, };
static unsigned short stb__courier_bold_41_usascii_t[95]={ 1,1,154,1,1,59,108,58,1,1,154,
131,108,159,58,1,1,33,59,33,58,33,33,33,33,33,33,1,131,154,131,
58,1,108,108,84,108,108,108,58,108,108,84,131,131,108,84,58,108,1,84,
84,84,84,84,84,84,108,84,1,1,1,154,154,71,131,33,131,33,131,59,
33,59,59,1,59,58,154,154,131,1,33,131,131,59,131,154,154,154,33,154,
1,1,1,154, };
static unsigned short stb__courier_bold_41_usascii_a[95]={ 348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_41_usascii_BITMAP_HEIGHT or STB_FONT_courier_bold_41_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_41_usascii(stb_fontchar font[STB_FONT_courier_bold_41_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_41_usascii_BITMAP_HEIGHT][STB_FONT_courier_bold_41_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_41_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_41_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_41_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_41_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_41_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_41_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_41_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_41_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_41_usascii_s[i] + stb__courier_bold_41_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_41_usascii_t[i] + stb__courier_bold_41_usascii_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_41_usascii_x[i];
            font[i].y0 = stb__courier_bold_41_usascii_y[i];
            font[i].x1 = stb__courier_bold_41_usascii_x[i] + stb__courier_bold_41_usascii_w[i];
            font[i].y1 = stb__courier_bold_41_usascii_y[i] + stb__courier_bold_41_usascii_h[i];
            font[i].advance_int = (stb__courier_bold_41_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_41_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_41_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_41_usascii_s[i] + stb__courier_bold_41_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_41_usascii_t[i] + stb__courier_bold_41_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_41_usascii_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_41_usascii_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_41_usascii_x[i] + stb__courier_bold_41_usascii_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_41_usascii_y[i] + stb__courier_bold_41_usascii_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_41_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_41_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_41_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_41_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_41_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_41_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_41_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_41_usascii_LINE_SPACING
#endif

