// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_42_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_42_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_42_usascii_BITMAP_WIDTH         256
#define STB_FONT_times_42_usascii_BITMAP_HEIGHT        192
#define STB_FONT_times_42_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_times_42_usascii_FIRST_CHAR            32
#define STB_FONT_times_42_usascii_NUM_CHARS             95

#define STB_FONT_times_42_usascii_LINE_SPACING          27

static unsigned int stb__times_42_usascii_pixels[]={
    0x35310000,0x80000001,0x001a8000,0x00018004,0xbcb98001,0x332a000a,
    0x972ccccc,0x01999999,0x00000088,0x000d4054,0x64c06a00,0x3220001b,
    0x4c0a2002,0x3260000b,0xfedcdefe,0x0ec4002d,0x003bd500,0x3b6600fe,
    0x006fe801,0x7f54025c,0xcffffeff,0x77775c00,0xdffd3ffe,0xb803dddd,
    0xc8800005,0x006c81ff,0xf30be200,0x0009fd7f,0x326003b2,0x07ffa87f,
    0x00bfda80,0x1001fe4c,0x2fb8007d,0x7dc03f80,0x3fff3002,0x8809d100,
    0x64c0bffd,0x4c001efe,0x00dfd3ff,0x0135db30,0xfffd9800,0x000fa81f,
    0xff88f700,0x50013f60,0xffea803f,0x1fffc87f,0x007dd100,0x2001db10,
    0x2a000dd8,0x901fc03f,0x7ff8003f,0x5403fa80,0xfd800eff,0x3fe6003f,
    0x2200dfd3,0xffeffffc,0x7330002d,0x0fe03fff,0x3a274000,0x007fd44f,
    0x99804f88,0xffd87ffc,0x05fa802f,0x000fa800,0xff8003ba,0x7d40fe01,
    0x00a88006,0x3ea01fcc,0x7fec007f,0x27ff3004,0xfe9806fe,0xff915b9c,
    0xfff8000d,0x0000d901,0x1ffc45f1,0x6c013fe2,0x3ffc4006,0x2017ffe4,
    0x200004fc,0x17e6006a,0x3e05fc80,0x0007fd03,0x1017e200,0x98007ffd,
    0xf9801fff,0xd00dfd3f,0x3ea2dc9f,0x7ff40006,0x0001f501,0x17fd47b8,
    0x7d402ffc,0x3ffc4001,0x900fffdc,0x9000005f,0x027e4009,0x0fe07fc8,
    0x0000ffe2,0x32017f40,0xf90007ff,0x7ff300df,0xff701bfa,0x036c2dc3,
    0x807ffa00,0x2740003f,0x3fe0bfee,0x001fc406,0x7dc3ffc4,0x09f500ff,
    0x007c0000,0xe801ff88,0x507f00ff,0x000009ff,0xff980ff9,0xff50003f,
    0x3ff9807f,0x7fd80dfd,0x0034c2dc,0xc807ffa0,0x0be20006,0xfff05ff9,
    0x20006d80,0x7ffa87ff,0x0000df10,0x3a003c80,0x0fff805f,0xbff307f0,
    0xff880000,0x07ffec04,0x1ffff000,0xfe9ffcc0,0x70fff406,0x8000d10b,
    0x3e601ffe,0x50f70000,0x0dff05ff,0xf0000fdc,0x0dff30ff,0xca8007f6,
    0x109750bd,0x0ffe400d,0x7c0fff10,0x007ff883,0x3ff70510,0x007fff80,
    0x00fffec0,0x1bfa7ff3,0x2dc9ffb0,0x26a60038,0xf803ffd0,0x309d0003,
    0x5ff887ff,0x80007f10,0x5ff887ff,0xd3004f98,0xff1b513d,0x54003a0b,
    0x3fe605ff,0x7fc0fe06,0x3f6a000f,0x4406fe87,0x40007fff,0x2602fffc,
    0x80dfd3ff,0x0b73fffa,0x37bf6200,0x01ffebff,0x7c400364,0xf989ff02,
    0x000bd02f,0x3fe0fff0,0xa801fc84,0x2ffdb85f,0x3e2003b0,0x17fea07f,
    0x1ffd03f8,0xfffff500,0x5405ffa8,0x40006fff,0x2604fffb,0x80dfd3ff,
    0x5bcffff8,0x21ef9800,0x01ffffd8,0x2e0007cc,0xf91be607,0x0003ee0b,
    0x7f41ffe0,0xfa806f84,0x0fff980e,0x7fc00590,0x09ff301f,0x06fd81fc,
    0xb1ffee10,0xffb809ff,0x7d40005f,0x3fe605ff,0xf700dfd3,0x800bffff,
    0xffb00ffa,0x007f003f,0x67dc04e8,0xf980efc8,0xfff00003,0x7f50ff60,
    0x301ffa80,0x01e40dff,0x7409fff0,0x640fe03f,0x7fc4003f,0x201fff47,
    0x0004fffc,0x3037ffd4,0x01bfa7ff,0x0fffffdc,0x4c09fd00,0x6c801fff,
    0x2007e200,0x3a03ddb9,0xf800d405,0xd85fb07f,0x13fe200f,0x3a03ffa8,
    0x17ffa002,0x0fe05fa8,0x7c0007f4,0x01fffc7f,0x0017fff2,0x40bfff50,
    0x0dfd3ff9,0x7ffffd40,0x00ffb804,0x4c00fffc,0x00f7001f,0x900fc800,
    0xf807fddf,0xd83f907f,0x007fe407,0x3e203ff9,0x1bff6001,0x0fe03f90,
    0x7c000fea,0x0bffe27f,0x00dfff70,0x04fffb80,0x37f4ffe6,0x3fff6200,
    0xfff100ef,0x003ffd00,0x027400fe,0x205f3000,0x80ff24fc,0x81f707ff,
    0x13fe606e,0x7cc0ffd0,0x1fff2000,0x8fe0bae0,0x20002eb8,0x3ffe67ff,
    0x3fffd401,0x3fff2000,0x74ffe603,0xff90006f,0xff303fff,0x03ffd00d,
    0x3e201b20,0x17a00001,0xff107fd4,0x541ffe03,0x3f205f87,0x13fe200f,
    0x7e4006b8,0x5f91007f,0x00bfb9fc,0xf53ffc00,0xff8801ff,0x7ec0007f,
    0x3fe602ff,0x2000dfd3,0x1ffffeeb,0x7402ffdc,0x3f3001ff,0x00007b80,
    0x2fec03f2,0x7ff82ff4,0x04f88d30,0xfd80bff1,0x0013602f,0x2600fff7,
    0x754fe1ed,0x7fc0001d,0x007ffea7,0x0003fff6,0x4c06ffe8,0x00dfd3ff,
    0x7ffe56e0,0x017ff20f,0xf8007ffa,0x00027403,0x3fe02f98,0xff06fd85,
    0x9f11a20f,0x980ffea0,0x3f100fff,0x06ffc800,0x43f81dd8,0x3e0004ea,
    0x07ffe67f,0x013ffea0,0x017ffc40,0x37f4ffe6,0x3ee5b800,0x1bff64ff,
    0x8007ffa0,0x007e606c,0x9813a200,0x0ffd84ff,0x20607ff8,0x03ff904f,
    0xb9037ff4,0x0bffb000,0x07f00fd8,0x3e0009f3,0x0bffe67f,0x007ffec0,
    0x4037fe40,0x0dfd3ff9,0xff916e00,0x403ffdcd,0x26001ffe,0x000f701f,
    0xf9803b20,0x81ffc84f,0x2f4007ff,0xb900ffd8,0x03e207ff,0x813ffa00,
    0x40fe05fa,0xff8001fe,0x00fffe27,0x4004ffe8,0x9802fff8,0x80dfd3ff,
    0xff98b700,0x007ffea7,0xe8003ffd,0x00009d03,0xff8803f5,0xf80ffd84,
    0x836c007f,0xacc82ffd,0x04e882ff,0x407ffd00,0x40fe03fd,0xff8006fc,
    0x001fff47,0x4001fff1,0xf3002ffc,0xf01bfa7f,0x9bfe16e0,0x7405fff9,
    0x364001ff,0x20000fcc,0xbff004f8,0x3fe0ffd0,0xfb817307,0x30effa80,
    0x107feebb,0x3e00309d,0x9ff101ff,0x7fd81fc0,0x647ff800,0x7d4004ff,
    0xffd801ef,0x4ffe6002,0x407c06fe,0x22ffc45b,0x3a02fffc,0x7cc002ff,
    0x40003dc1,0x1bf6006d,0x3fe217fe,0x446ffa87,0xffff883f,0x53fe64fe,
    0x04b84fb8,0x2a06ff88,0x40fe05ff,0x7c000ffe,0x02ffcc7f,0x057fecc0,
    0x00bbfa62,0x3fa7ff30,0x2dc27c06,0xff10bfea,0xfffb07ff,0x44e80029,
    0x7d40004e,0x87fe2001,0xff980ffa,0x0fffe40f,0x7ff541b6,0xffffe82d,
    0x800f881d,0x3e603ff9,0x7c0fe06f,0x7ff8007f,0x20007ff8,0xfedeffe9,
    0xf30002ef,0xf01bfa7f,0x3a25b83f,0xffff504f,0xffd9fb9d,0x364009ff,
    0x440003f3,0xef98004f,0xf703ffa9,0x6ffa87ff,0x02a01fa8,0x64013510,
    0x01ff7004,0x7f03ffc4,0x000fff10,0x3ff70fff,0xfffb8000,0x4c0006ff,
    0x80dfd3ff,0x2b70cfff,0x74405fe9,0xfd2fffff,0xf980017d,0xd8000d71,
    0x3b260006,0xffea81df,0x2a64efff,0x0000bd00,0x2001f300,0xfff804fe,
    0xff307f00,0x0fff000b,0x20000ffe,0x03ffffe9,0x74ffe600,0x7f5cc06f,
    0x2efffeff,0x706ea200,0x71c80005,0x00000005,0x00000000,0x000007f1,
    0xf8801f44,0x0ffd800f,0x9ff307f0,0x20dff000,0x100006fb,0x003ffffb,
    0x7f4ffe60,0x36a62006,0x000000ae,0x00000000,0x00000000,0x07ea0000,
    0x0fa20000,0x9002fc80,0x441fc0ff,0xff8003ff,0x000bf605,0x0efffc80,
    0xd3ff9800,0x16e000df,0x02aea200,0x0dc43100,0xfffffff5,0x555544ff,
    0xaaaaaaaa,0x0aaaaaaa,0x00000000,0x000017e4,0x7c4007f3,0x817f2003,
    0x007fd03f,0x74407ff0,0x2200000f,0x4001fffc,0x0dfd3ff9,0x50012a00,
    0x05bfffff,0x2ffe8b20,0xfffffff5,0x7fffccff,0xffffffff,0x1fffffff,
    0x00000000,0x80004fa8,0x3a2003fa,0x007fc005,0x81be607f,0x400ff880,
    0x800004f8,0x000cffc8,0x1bfa7ff3,0x7cc00000,0xeffdb9ad,0x221f100b,
    0xddd54fff,0x98dddddd,0x99999999,0x99999999,0x00000019,0x2bba6000,
    0x0ef5c000,0x800bd100,0x01fc02fb,0x3ff703f7,0xd8801fd4,0x51000004,
    0x3f2179b9,0xd3ffffff,0x3fffffff,0x04d80000,0x35bffd71,0xffe89d71,
    0x00000002,0x00000000,0x5bfd5000,0x7e54c413,0x174c001d,0x003f9100,
    0x0cfa807f,0x3ab7fff6,0x005b8004,0x2a330000,0x2ccccccc,0x99999997,
    0x0f800001,0xffffda80,0x001a80df,0x00000000,0x00000000,0xfffeec98,
    0x8001bcef,0x3ae000c8,0x007f000b,0x3f625d91,0x20002dff,0x00000039,
    0x00000000,0xa8800700,0x000002bb,0x00000000,0x00000000,0x00000110,
    0x09800000,0x00008000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000510,0x001a9828,0x0a835510,
    0x00000a80,0x5665cc40,0x80060000,0x4400000a,0x400000aa,0x04a80008,
    0xb98000ee,0x800000bc,0x98000ac9,0x54009bca,0x980006fd,0x3ffaa6fd,
    0xfc8801ff,0xfeaeffef,0x03ff9101,0x3faa0000,0xcfffedef,0x81bfa000,
    0x0000ffc8,0xdfb9fd50,0x00333337,0x0b7ffb2a,0x13a05d80,0xddfd9100,
    0x200005ff,0x05fedfec,0xfffffb10,0xfffd703f,0x7f5c000d,0xffff56ff,
    0x74c07fff,0x3ffee22f,0x7ffecc1f,0x4400001f,0xe980affd,0xff9801ef,
    0x7ffecc1f,0xfc80000f,0x3fffa60d,0x76401fff,0x05fffa8a,0x0fe209f0,
    0x545dfd00,0x6c0001ff,0x037ee0cf,0xffffffd0,0xfd9985ff,0x2260006f,
    0xacf9effc,0x80ffffda,0xff700efa,0xffb8883f,0x2a00001f,0xfd800eff,
    0x87ff803f,0x00fffb99,0x407fd400,0x02aafff9,0x3fea17dc,0x817c401f,
    0x3f6001fa,0x005fc81f,0x7f41bf60,0x542fb205,0xf505fffd,0xf30000df,
    0xff901dff,0x405fd09f,0x3e01fff8,0x300001ff,0xfd800dff,0xf802804f,
    0x7c0000ff,0x03ff606f,0x7dc1fe60,0x807d400f,0x37fc007b,0x50007f98,
    0x3fea03ff,0xf500e982,0xdff301ff,0xfff30000,0x07fff401,0xfff00df9,
    0x00fff403,0x03ffe800,0x00fffcc0,0x007ffc00,0x40bff300,0xfc803ffc,
    0x32002606,0x9801b607,0x0df505ff,0xd01ffa00,0xe80190df,0x6ff983ff,
    0x6ff88000,0x88fffd40,0xffe804ff,0x007ffa01,0x01bff200,0x0037fec0,
    0x0007ffc0,0x5c0bff70,0x6fd805ff,0x205d8000,0x3fea004f,0x0009fd07,
    0xfc80bff5,0xffc8002f,0x006ff981,0x806ff880,0x7ff33fff,0x403ffd00,
    0x40001ffe,0x0003fffa,0x0009fff3,0x0000ffe8,0xfa81bfe6,0x06ff805f,
    0xf104f800,0x7ffcc005,0x0007fc41,0x2e01ffec,0xfc8006ff,0x00dff307,
    0x00dff100,0x3fee9ffd,0x01ffe802,0x00007ffa,0x0001fffb,0x0007fff4,
    0x0001ffd0,0xf700fff8,0x6ff8807f,0x26666200,0x99999bf9,0x88019afb,
    0x3fe64fff,0x5fff0002,0x007ff980,0xff303fe8,0x2001530d,0xfd806ff8,
    0x007ff94f,0x7f403ffd,0x7fc0001f,0x7ec0007f,0x805101ff,0x0d440ffe,
    0xb03ffd80,0xff9801ff,0x3ffea006,0xffffffff,0x01ffffff,0xff97ffe8,
    0x4ccccc43,0x17ffcc19,0x003ffe20,0x3e604f88,0x3ffff26f,0x37fc401e,
    0xfd97fe40,0x1ffe804f,0x3a07ffa0,0x21dfffff,0x0006fff8,0x2a17ffec,
    0x7ff407fd,0x5ffffd10,0xa85ffb00,0xfff702ff,0x1fffffff,0x36666620,
    0xe999999f,0xf700199e,0xb819fdff,0x0dffffff,0x1007ffea,0x6c003fff,
    0xdb7fcc05,0x2fffffff,0x201bfe20,0xbff91ffd,0x403ffd00,0xdfd01ffe,
    0x17ffe603,0x9fff9000,0x01ffffee,0xdff31ffd,0x9001ffff,0x3bfd7dff,
    0x7fdd54c0,0x000aaaae,0x004f817a,0x01ffff88,0x5c0fffea,0x7c401fff,
    0xfe8802ff,0x6f7fcc04,0xfffda9be,0x0dff100f,0x3ea1ffd0,0x7ff400ff,
    0x207ffa01,0x3ee00dfa,0x5c0005ff,0x3ee15fff,0x5fff407f,0x13ffa22f,
    0x57535d10,0x6ff98003,0x881fc000,0x7ec4002f,0x7fc03fff,0x03ffee05,
    0x980fffe0,0x00effffc,0x2e09fff3,0xff104fff,0x4cbff00f,0x7f403fff,
    0x07ffa01f,0xff9009f5,0xfa80009f,0x3ffc46ff,0x203bffa0,0x3e207ff9,
    0xff300003,0x17cc000d,0x2a001fa8,0x0ffffbff,0x6401ff10,0xfff007ff,
    0x3ff72209,0xf982ffff,0x7ffec06f,0x407ff880,0x7fec0ffa,0x3fff702f,
    0xf70fff40,0x3ffee007,0x7fd40005,0x03ffc45f,0xff807ffa,0x005fb00f,
    0x01bfe600,0xf900fa80,0x47ff6200,0xf706fffc,0x07ffb807,0x003fff88,
    0x30dfffd5,0xff980dff,0x4fff881f,0x3e60ffa0,0xca8acfff,0x3a01ffec,
    0x007f71ff,0x0037ffd4,0x20fffee0,0x7ff407ff,0x203ffe00,0xcccdfff8,
    0x9800aaab,0x320006ff,0x22017607,0x3fe20efe,0x806d83ff,0x4400fffa,
    0x64003fff,0x7fcc0fff,0x83ffe806,0xd82ffff8,0x3ffee04f,0xffd4ffff,
    0x64fff403,0x7fc4003f,0x7e40007f,0x07ff82ff,0xfd007ff4,0x3fffe01f,
    0xffffffff,0x1bfe601d,0xeeaaa880,0xdfaaaaaa,0x7f40aaaa,0xffffb80f,
    0x2a007ea0,0x7c400fff,0xfe8002ff,0x037fcc3f,0x7c427fec,0xfddffaef,
    0xfffa802f,0x07ffa3ff,0x6ffdffe8,0x07fff800,0x0fffec00,0x3fa03ffc,
    0x07ffa00f,0x7fffff44,0x1fffffff,0x400dff30,0xfffffffa,0xffffffff,
    0x1bfee1ff,0xf15fffe8,0x3ffe6007,0x0fffcc01,0x22ffdc00,0xfc806ff9,
    0x16ff883f,0x30003573,0x03ffd037,0x7ffd7ff4,0x7ffec005,0x3ffa0001,
    0xe80fff07,0x3ffa00ff,0x3311d101,0xfd995555,0x01bfe609,0xfa817cc0,
    0x0fffe200,0xdaffff98,0x0fffc006,0x001ffea0,0x3e62ffcc,0x2ffc806f,
    0x0006ff88,0x03ffd000,0x7fccfff4,0x3fe6003f,0xff10004f,0x01ffe05f,
    0x7f401ffd,0x002e881f,0x6ff983f4,0x201f5000,0x7ffd407c,0x7fffe402,
    0x7fe4001f,0x027fe403,0xf987ff00,0x0ffd806f,0x0006ff88,0x03ffd000,
    0xffb8fff4,0x3ff2001f,0xffc8000f,0xd01ffe05,0x7ff401ff,0xa8007d81,
    0x00dff306,0x05d81f20,0x4027ffdc,0x000efffe,0x3602ffcc,0x3e0002ff,
    0x037fcc2f,0xff883ff4,0xd0000006,0x7ff403ff,0x003fff61,0x0027ffc4,
    0xf803ffe2,0x07ff407f,0xfb83ffd0,0x303d8007,0x3a000dff,0xf7013e05,
    0xff100fff,0x06401dff,0xdff01ffa,0x437cc000,0x7c406ff9,0x0dff303f,
    0x3fa00000,0x87ffa01f,0x2006ffe8,0x2000fffa,0x7fc03ffd,0x007ff407,
    0xffd83ffd,0x981b2004,0x7f0006ff,0xf300be20,0x6c405fff,0x81ffffff,
    0x02ffa879,0x40005ff7,0x6ff981fd,0xf302fe40,0x000000ff,0xfe80bffe,
    0x2fffc41f,0x03dff500,0x402ffd88,0x7fc07ff8,0x07ffa01f,0x339ffff3,
    0x03bee661,0x8006ffa8,0x01f502f9,0x05ffffd0,0xfff35ff5,0x7fb57bff,
    0x3e21bee0,0x03ed884f,0x7fcc0fee,0x01ff301f,0x000fffdc,0x3ffe6000,
    0x20bffe04,0x2003fffb,0x440bffd8,0x9800dfea,0x3fe00fff,0x0bffa01f,
    0x3fffffee,0x803fffff,0xa8007ffb,0x200f700f,0xdffffff8,0x3a20dffd,
    0x6fffffff,0xd8867e40,0xffff505f,0x03db5339,0x05fffec4,0xd9103df5,
    0x07bfffff,0xffda8000,0x7cc4efff,0xffff04ff,0xffda8009,0x03efffef,
    0x40fffee0,0xf304fffa,0x7edc09ff,0x00cdefff,0x03fffe88,0x0bb03640,
    0x7fffec40,0xfb103eff,0x0019dfff,0x03bfdfd7,0xffffffd8,0x3f66004e,
    0x403ffeff,0x99999999,0x4c400000,0x71999999,0xbdfffffd,0x77fffff4,
    0x6544000d,0x7f5c001a,0xd53effff,0x2bdfffff,0xefffffea,0x4c001803,
    0xfffffffd,0x203b802c,0xba88002b,0x2e60009b,0x01510001,0x00555440,
    0x06ae6200,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x99880000,0x00999999,
    0x20995100,0x99999999,0x22019999,0x100abcba,0x01333333,0x99999880,
    0x99530099,0x26600157,0x99999999,0x0565cc00,0x2f2ea200,0x88001981,
    0x700accba,0x4cccccc4,0x26662099,0x20199999,0x09999999,0x332aa200,
    0x000982bc,0xfffffffd,0x7ecc001f,0xffa80bde,0xffffffff,0xffb81fff,
    0x983ffebe,0x05ffffec,0x7fffedc0,0x6fe443df,0x403ffeba,0xfffffdc8,
    0xdf502cff,0x001bffdb,0xfffdfff5,0x4005d57d,0xedefffd9,0x4cd72cef,
    0xeffffffd,0x3ffff6a3,0xd900ceff,0x003bffff,0xbbffff93,0x5b37bffd,
    0xfffff500,0x2200bfff,0xfe802ffd,0xffffffff,0xcfd87fff,0x502fec40,
    0x0009ffff,0xd103dfd1,0x017ff20d,0x067fffcc,0xfd989f70,0x33ff601e,
    0x3fffee61,0xdffd8802,0xfffd981b,0x4ffff987,0x1bfffe60,0x002ffb80,
    0x2015dff9,0x803ffffa,0xfffffffe,0xefe9801f,0xffff9800,0xffffffff,
    0x103fdc4f,0x7fcc07ff,0xfb8002ff,0x7403fb02,0xffb002ff,0x837dc01f,
    0xff706ff8,0x17ff4405,0x00bffa60,0xfb83ffd4,0x7fdc02ff,0x13e6004f,
    0x017ff620,0x201ffe44,0x4c0001fa,0x3f2005ff,0x41fe801b,0x3ff403ff,
    0x07ffff20,0x3e05f500,0x17fee02f,0x103ffec0,0x7fdc03ff,0x4037fc43,
    0x3e602fe8,0x7dc001ff,0x4fff880f,0x02fffc40,0xe8803f70,0xfd8004ff,
    0x0002f404,0x8003ffa2,0x8ff1002f,0x7dc02ff9,0x3fff200f,0x3ea000ff,
    0x205ff981,0xc800fff9,0x1ff207ff,0x541fff10,0x5f5003ff,0x0027ff40,
    0xffb00fc8,0x1fffb00f,0x3201b600,0xd10005ff,0x000fcc0b,0x8007ff60,
    0x13ee003a,0xfc809ff5,0x7fefe407,0x07ea006f,0xf8807ffc,0xffc801ff,
    0x201bfe07,0x3fee4ffd,0x205f1004,0x0000fffc,0x3fea03f1,0x7ffd401f,
    0x403f8802,0x0001fffa,0x0afd816e,0x09ff5000,0x2fe80000,0xd007ffc4,
    0xe8fc809f,0xf5004fff,0x981ff603,0xff9007ff,0x01bfe60f,0xffb9bfee,
    0x105b000f,0x80009fff,0x9fff101d,0x00bfff00,0x7fc401f7,0x3440005f,
    0xbeffff98,0x1fff1000,0x7c400000,0x20dffd07,0xbe401ff9,0x803ffff8,
    0x806a01fa,0xf9005ffa,0x1bfea0ff,0xf99ffea0,0x2b800eff,0x002fffb8,
    0xffb00cc0,0x1fffd00f,0x7dc06d80,0x080001ff,0xffffffb0,0xbffd005f,
    0xfb800000,0x1dfff704,0x64017f44,0x07fffe67,0x40003f50,0xf9001ffd,
    0x1ffee0ff,0xf83ffe60,0x0002ffff,0x0000fffd,0x05fff500,0x017fffcc,
    0xffe807f1,0x22000007,0xffffffed,0xfff100df,0x073772a5,0x80bfa000,
    0xe89efffd,0xa8f9002f,0x2a00ffff,0xff30001f,0x3ffe4009,0x400fffa8,
    0x3ea1fff9,0x001dffff,0x001bffe6,0x2fffc000,0x0bffff70,0xff3007dc,
    0x000000df,0x7ffff5c4,0xd5fff506,0x09ffffdf,0x403fc400,0x0deffffd,
    0x3f21f200,0x07ea06ff,0x0037e400,0x7c41fff2,0x7fd403ff,0x7fffdc1f,
    0xfa800cff,0x000005ff,0x740fff90,0xd00fffbd,0x5fffa80d,0x50000000,
    0xf909fffd,0x7dc43bff,0xf70005ff,0x3fff2009,0x83e4003f,0xf505fffd,
    0x3ff10003,0x07ffc800,0xf501bffe,0xfff501ff,0xb807ffff,0x00005fff,
    0x05fff300,0x7fff15f3,0xfb807f10,0x76c004ff,0x5eeeeeee,0x3fffd100,
    0x3204ffe8,0xe8002fff,0xfff1002f,0x3e400bff,0x83fffe88,0xfc8001fa,
    0x7ffc8002,0x80fffea0,0x36207ffc,0x1effffff,0x009fff90,0x7ff40000,
    0xffd0fc85,0xc801f70d,0x98004fff,0x02effffc,0x227ff440,0x7f402fff,
    0x3fc4006f,0xffade980,0x7c800eff,0x0bfffe20,0xf88003f5,0xfff90004,
    0x0bfffd80,0x01bfffaa,0x3fffffaa,0x4fffb83f,0x32000000,0x72f40fff,
    0x05e81fff,0x005fffc8,0x00bfffa0,0xf32ffd40,0xffb803ff,0x13ee000f,
    0x7cc3be60,0x7c806fff,0x0ffffd40,0x6b8003f5,0x1fff2000,0x3bffff20,
    0x03fffaef,0x3ffffee0,0x2fffd42f,0xf3000000,0x117cc5ff,0x1fc47fff,
    0x037ffd40,0x03fffb00,0xf33ff400,0xff8803ff,0x0bf6002f,0xe883ff30,
    0x3e404fff,0x877ffdc0,0x0f4001fa,0x0fff9000,0x4b377260,0x4000fffb,
    0x0fffffc8,0x001bffe6,0xbffd0000,0x37fec3e4,0xff3001f7,0x7e4000ff,
    0x7e40007f,0x007ffe27,0x4400fffe,0x05fd807f,0x401fffd1,0xfffb007c,
    0xd0007eab,0x7ffc8000,0x5fff8000,0x3ffe6000,0x1fffe23f,0xf7000000,
    0x2a13e1ff,0x00bd1fff,0x007fffe2,0x003ffe40,0xfff17ea0,0x05ffd005,
    0xf1013ee0,0x7ffcc07f,0xe801f203,0x01facfff,0x90001620,0xa8000dff,
    0x01d41fff,0xe8bfff50,0x00001fff,0x2fffe200,0xfff881fa,0x36002f9c,
    0x90004fff,0xb8000fff,0x01ffec3f,0xd800fff4,0x0ffdc02f,0xc817fee0,
    0x3ffe2007,0x26001fdf,0x7fe40003,0x7ff40005,0x64005a84,0x7ffd47ff,
    0x00080004,0x81f3bff6,0x00fbfffd,0x01fffe60,0x003ffe40,0xff907f20,
    0x00ffd009,0x3f201fe2,0x27fc400f,0xf9800f90,0x0001ffff,0x1ffe4000,
    0x0dff5000,0xfa8003ea,0x0fffe86f,0x80166000,0x204ffffa,0x005ffffa,
    0x003fffc8,0x0007ffc8,0x3fe213e2,0x003ff806,0xff7009f5,0x407fd005,
    0x7d4000fc,0x00001fff,0x0bff2020,0x07ff4400,0x2a002fa8,0xfff984ff,
    0x01d10005,0x0ffffc40,0x00bfffe0,0x03fffe20,0x20fff900,0x2a06d801,
    0x3fea03ff,0x005fb000,0xf9809ff1,0x003f201f,0x007fff20,0xfc800ba8,
    0x0007fe46,0x2a00efe8,0xff9001ff,0x13ffea03,0x0003d100,0xf900dffb,
    0x260001ff,0x2000efff,0xeff87ffc,0x00fec40a,0x7f403ff6,0x00ff1002,
    0xf9007fe4,0x001fd807,0x2003ffb0,0x7c406ffb,0x00bfa3ff,0x0037f620,
    0x9803fff5,0x7fcc04ff,0x2e9800df,0x07ff5000,0x000bff50,0x01efff98,
    0xfd0fff90,0xbfb7bfff,0x1bfd1001,0x2a001fd8,0x77e4004f,0x202fdc41,
    0x8000dffa,0xfd001fe8,0xffe801ff,0x8005f89f,0xf5003ffa,0x44159fff,
    0xd1005ffc,0x1135bfff,0x0003fd97,0xff001ff8,0xf9100005,0xb3037bff,
    0xff309fff,0x0059dfff,0xbfbdff90,0x02fd8003,0xeceffa80,0x3ff202ef,
    0x002dffff,0xfb800fcc,0xfffa805f,0xb9800cff,0x2000bffd,0xfffda9da,
    0x002effff,0x7fffedc4,0x000befff,0x32006c80,0x64c00007,0xfedefffe,
    0xa9802dff,0x9880000a,0x1320001a,0x13531000,0x20000000,0x00a60009,
    0x40035730,0x30001abc,0x35795303,0x32a20000,0x400001ab,0x00e60029,
    0xbaa88000,0x00001aac,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x26200000,0x99999999,0x99998800,
    0x33331199,0x80333333,0x99999998,0x33333311,0x33333333,0x44333333,
    0x99999999,0x33100001,0x03333333,0x33333300,0x10133333,0x33333333,
    0x26666621,0x4c019999,0x09999999,0x13333331,0x4ccc0000,0x26661999,
    0x19999999,0x33333000,0x2a133333,0xfffffffe,0xfffb802e,0xffb75fff,
    0x09dfffff,0xfffffdb8,0xfffff94d,0xffffffff,0x4fffffff,0xfffffec9,
    0x3dffffff,0x7ff64c00,0xffffffff,0xffb100bd,0xbfffffff,0xffff9503,
    0x3faa3bff,0x4effffff,0x7ffff640,0xffdb33ef,0x00001fff,0x9dfffff7,
    0x3ffffb22,0x000cefff,0xfffffdc8,0x7fcc2dff,0xc8001fff,0xfd880eff,
    0x44001eff,0x7fe40ffe,0xffbaabcd,0xfdcaaacf,0xffff507f,0xfff95559,
    0xff50003d,0xffb779ff,0x754407ff,0x800fffff,0x500cfff8,0x009fffff,
    0x202fffd8,0x003ffffb,0x1efffe80,0x13fffe60,0xffe88000,0x3fea00df,
    0xff30006f,0x27ffd403,0xd84fb800,0x5fff102f,0xfe81fa20,0xfffb105f,
    0xbfff0009,0x037fff20,0x0ffffe88,0x3005ff00,0x8003ffff,0x7c400ffb,
    0x40006fff,0x803ffffa,0x0000fffd,0x00fffe40,0x0007fff4,0x3e6027d4,
    0xf50003ff,0x7c407b05,0x03e202ff,0x3a02fff4,0x74002fff,0x3ff605ff,
    0x7ffc405f,0x03fc803f,0x017fff20,0x3e005fb0,0x0002ffff,0x00bffffa,
    0x0001fff6,0x003ffee0,0x000fffee,0xff1003f6,0x3e60005f,0x3e201d82,
    0x806c02ff,0x7d405ffd,0x7ec006ff,0x3ffe205f,0x7ffcc01f,0x013e600f,
    0x007fffa0,0xdd0027cc,0x2000dffd,0x02fffdf9,0x0007ffc8,0x00fffb80,
    0x800dfff0,0xff8804f8,0x5f30002f,0xfff88090,0xfd805c02,0x7ffc405f,
    0x3ff6000f,0x1ffff405,0x82fffdc0,0xf30006f8,0x1ba00dff,0xfff5dd00,
    0xf3fb0005,0xff9005ff,0xf700000f,0x3f2001ff,0x3ee001ff,0x2fff8801,
    0x005f3000,0x005fff10,0x402ffec0,0x2000ffff,0x7e405ffd,0xffb005ff,
    0x001fd05f,0x01fffe40,0xdd000bee,0x10017ffe,0x05fff19f,0x000fff90,
    0x01fff700,0x013ffe20,0xff1006e8,0x3e60005f,0xfff88002,0x3ff60002,
    0x3fffc405,0x017ff600,0x2009fff7,0x320ffff8,0xfe80001f,0x0bf101ff,
    0x3feedd00,0x23f2001f,0xc802fff8,0x800007ff,0x2000fffb,0x9800fffd,
    0xfff1002f,0x0be60005,0x0bffe200,0x05ffd800,0x0037ffd4,0xf9017ff6,
    0x7dc007ff,0x007f75ff,0x1bffe600,0x740007ec,0x00bfff16,0x7ffc57e2,
    0x07ffc802,0xfffb8000,0x3ffe6000,0x2007d803,0x0002fff8,0xf10005f3,
    0x6c0005ff,0x3fa205ff,0x7ec001ff,0x7fff405f,0x7ffec001,0x400005fc,
    0x7d43fffc,0x64dd0002,0xfb800fff,0x005fff11,0x0000fff9,0x001fff70,
    0x4407ffe8,0x3fe2004f,0x5f30002f,0x5fff1000,0x2ffec000,0x03fffd88,
    0x205ffd80,0x8004fffb,0x00effff8,0x7ff44000,0x000bf10f,0x9fff1374,
    0x7fc4df00,0x7ffc802f,0xffb80000,0x7fd4000f,0x007ee02f,0x002fff88,
    0x10005f30,0x40005fff,0x2e625ffd,0x0001efff,0x3ee0bffb,0x2a0006ff,
    0x00005fff,0x32bfff50,0x1ba0000f,0x5c01fffb,0x0bffe22f,0x001fff20,
    0x03ffee00,0x81bffe00,0x7fc4006e,0x5f30002f,0x5fff1000,0x7ffec000,
    0x1cfffffe,0x7ffec000,0xfffecacd,0xffe80004,0x9000002f,0x007f9fff,
    0x7fcc6e80,0xf11ba03f,0xff9005ff,0xf700000f,0xf90001ff,0x05f503ff,
    0x02fff880,0x0005f300,0x0005fff1,0x5ccf7fec,0x80004fff,0xdcbaeffd,
    0x80000acd,0x00fffff9,0xfff88000,0x6e80006f,0xf507ffd8,0x02fff887,
    0x0007ffc8,0x00fffb80,0x85fff880,0xff88007d,0x5f30002f,0x5fff1000,
    0x2ffec000,0x0007fff2,0x000bffb0,0xfbdf8800,0x000005ff,0x0005fff5,
    0xfff30dd0,0xff10fd07,0xfff9005f,0xff700000,0x3f60001f,0x013e20ff,
    0x00bffe20,0x40017d40,0x0002fff8,0xfd117ff6,0x6c0001ff,0x000005ff,
    0xfffd8774,0xf9800002,0xe80002ff,0x98dffd06,0x2fff883f,0x007ffc80,
    0x0fffb800,0x7fff3000,0xf80007dc,0xf50003ff,0xfff10003,0x7fec0005,
    0x05fff985,0x017ff600,0x21fc8000,0x000ffff8,0x17ffcc00,0xa8374000,
    0x03f62fff,0x200bffe2,0x00007ffc,0x000fffb8,0x5f9fffa0,0x13ffe000,
    0x000fdc00,0x0017ffc4,0x2e0bffb0,0xb0003fff,0x00000bff,0x3fee0fee,
    0x4c00005f,0x80002fff,0x5bffa06e,0xfff104f8,0x0fff9005,0xfff70000,
    0x7fd40001,0x0002faaf,0x40013ffa,0xf88000fc,0x360002ff,0x3ff605ff,
    0xffd8000f,0xf9800005,0x0ffff604,0xfff98000,0x06e80002,0x3f27ffee,
    0x05fff100,0x000fff90,0x7ffdc02e,0x7ffc0000,0x6c0007de,0xdd0007ff,
    0x3ffe2000,0x3ff60002,0x1bffe205,0x017ff600,0x80df1000,0x000ffff8,
    0x05fff300,0xf80dd000,0x2205feff,0xfc802fff,0x0688007f,0x0003ffee,
    0x09ffff90,0x1fffb800,0x0027d400,0x002fff88,0x501bff60,0xd8009fff,
    0x200005ff,0xfb800fe8,0x300006ff,0x00005fff,0xfffb80dd,0x3ffe201f,
    0x07ffc802,0x3ee04c80,0x440000ff,0x0000ffff,0x2005ffe8,0x30000ff9,
    0x40007fff,0xfc806ffd,0x3fa003ff,0x3600006f,0x3ffa002f,0xf980004f,
    0xe80002ff,0x37ffc406,0x00bffe60,0x5001fff6,0x7ffdc05f,0xffd80000,
    0xff300005,0x5ff300bf,0x7ffd4000,0x3ffa0003,0x5fffd007,0x01fffe00,
    0x01bf6200,0x05ffff50,0x3fffa800,0x807f8000,0x7d402ffc,0xffe803ff,
    0x0ff9001f,0x001fffc8,0x002ff980,0x3bffe600,0xfeca889b,0x3a60002f,
    0x4001efff,0x0bffffc8,0x6ffffcc0,0xffff9102,0x3ea00017,0x32000fff,
    0x01bfffff,0xefffe980,0xff910001,0x037c4017,0x07bfffa6,0x7ffffdc4,
    0xdccccccd,0x3ea05fff,0x00005fff,0x100000dd,0xfffffff9,0x200019ff,
    0xffffffea,0x7ecc04ef,0xdfffffff,0x3fffee01,0xfffb33ff,0x03bfffff,
    0x3fffff20,0x3b200eff,0xffffffff,0xfffd7006,0x007dffff,0x3fffff66,
    0x207b01df,0xffffffeb,0xfff914ef,0xffffffff,0x5fffffff,0xffffff90,
    0x40005bff,0x40000029,0x09abcba9,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x26662000,
    0x09999999,0x4cccccc4,0x4cc40099,0x99999999,0x09999999,0x26666662,
    0x99809999,0x99999999,0x26666660,0x99999999,0x98819999,0x99999999,
    0x99999999,0x3fffff61,0xfffc80ef,0x3333314f,0x00033333,0x33333310,
    0x00013333,0x00332000,0x00abca98,0x5100b880,0xffffec98,0x6dc1ceff,
    0x1dffffff,0x7fffff40,0xffffffff,0x3262ffff,0xeffffffe,0x7fee441c,
    0x12ceffff,0xffffffd9,0xffffffff,0xec981fff,0xffffffff,0xffffffff,
    0x07fffe62,0x64c3ff10,0xfffffffe,0xaceeffff,0xffec9800,0xffffffff,
    0x0001ceef,0x2007fee0,0xffffffe8,0x1ff91003,0x2a0dff30,0xc802ffff,
    0x3a003fff,0xaaaacdff,0xfffdaaaa,0x3fffea05,0xffff1002,0xffff9809,
    0xa9999999,0x2a01ffda,0x9999efff,0x2ffeca99,0x200fffd4,0x3fea04f9,
    0xcbabcdff,0x00dffffe,0x55ffff50,0xfffb5333,0xf980003d,0x7fcc01ff,
    0x6fffffff,0x3ffff220,0x01fffc80,0x3a00ffff,0x77c001ef,0xdfff3000,
    0x07fff801,0x007ffec0,0x7003ffec,0x5fff803f,0xfb05f900,0x00fb807f,
    0x64037ff4,0xd003ffff,0xfe980dff,0x3a0002ff,0x3a201fff,0xffca9cff,
    0xdad984ff,0xffa80fff,0x01bffa07,0x20003bee,0x3ffa000f,0x6ffe801f,
    0x07ffe400,0x003ffec0,0xbffd007a,0x7cc1fc00,0x402f406f,0xf5006ffe,
    0xfd009fff,0xffd100df,0xdf90001f,0x17e403ff,0x01fffe98,0x4c03ffe2,
    0x17ff600b,0x0001df50,0x7fe400b1,0xdffb004f,0x07ffb800,0x800fff90,
    0x2fff402c,0x3fa07700,0x005f502f,0x4400dffb,0x6c02ffff,0xff3006ff,
    0xafa8009f,0x13a01ffd,0x807fff30,0x20000fff,0x3ea05ffd,0x0930000e,
    0x01bffe60,0x4005ffd8,0xf9007ffb,0x008800ff,0x1002ffec,0x41bfea03,
    0xdffb006d,0xffffa800,0x01bff600,0x2006fff8,0x03ffb4f8,0x7fec01a6,
    0x007ff405,0x20bffb00,0x40000efa,0xfffe8800,0x17ff6001,0x00fff700,
    0x0001fff2,0x0017ff60,0x442ffe80,0xdffb003f,0x9fffb000,0x0037fec0,
    0x6c00fffd,0x203ffb0e,0xbff70008,0x000ffe80,0x2a17ff60,0x000000ef,
    0x007fff90,0x4005ffd8,0xf9007ffb,0x800600ff,0x04405ffd,0x5c6ffa80,
    0xdffb000f,0xffff3000,0x8037fec0,0x7005fff8,0x00ffec3f,0x01ffd400,
    0x80003ffa,0x77dc5ffd,0x50000000,0xb000bfff,0xfb800bff,0xfff9007f,
    0xfd801600,0x000e405f,0x02f45ffd,0x000dffb0,0x6c0bfffa,0xff5006ff,
    0x87f1005f,0x80001ffd,0x7f401ffb,0x3f60000f,0x003bee5f,0x7fc40000,
    0xfd8000ff,0x7fdc005f,0x0fff9007,0x7ec00f10,0x000f405f,0x07eadff7,
    0x006ffd80,0x209fffb0,0xe8806ffd,0x6e800fff,0x0001ffd8,0xfe807fc8,
    0x3f60000f,0x001df95f,0x7fec0000,0xffb0002f,0x7ffb800b,0x80fff900,
    0x3f6007d8,0x03f9305f,0x6d9fff80,0x037fec00,0x05fffc80,0xf980dffb,
    0xfb801eff,0x001ffd80,0xe803fe80,0x360000ff,0x05ffcdff,0x3ee00000,
    0x360005ff,0xaaaaaeff,0xfdaaaaaa,0xfff9007f,0xffdddddd,0x7fec00ff,
    0xffeeeeef,0x7fdc001f,0x7ec003fe,0xff70006f,0x3fff60df,0xfecccccd,
    0x7f3003ff,0x0007ff60,0x3a00df30,0x360000ff,0x5ffffeff,0xf8800000,
    0x20000fff,0xfffffffd,0xffffffff,0xff9007ff,0xb999999f,0x7ec00ffd,
    0xedccccef,0x7c4001ff,0x6c000fff,0xf50006ff,0x3ff60dff,0xfffeeeef,
    0xe800beff,0x007ff605,0x2005fd00,0x20000ffe,0xfff9dffd,0x4000005f,
    0x0001fffe,0x2002ffec,0xf9007ffb,0x00f900ff,0xf502ffec,0xbff90003,
    0x0dffb000,0x17ffea00,0xa8837fec,0x00cffffb,0x7fec01f9,0x13ea0001,
    0x300ffe80,0xaffec017,0x005ffff9,0x9fff9000,0xbffb0000,0x07ffb800,
    0x200fff90,0x17ff6007,0xf10003b0,0xffb0003f,0x3ff2000d,0x0dffb04f,
    0x0bffff30,0xffd805f5,0x0dd10001,0xa80ffe80,0x3ff607ff,0x17fffe65,
    0xfff30000,0x3f60000d,0x7fdc005f,0x0fff9007,0xffd80160,0x8000dc05,
    0xffb0006d,0x3ff6000d,0x0dffb02f,0x8ffffe20,0x99999df8,0x9affe999,
    0x03f60009,0x901ffd00,0x3f603fff,0x7fffcc5f,0xfd100005,0x200003ff,
    0x5c005ffd,0xff9007ff,0xd800200f,0x000405ff,0xb0003f88,0x3a000dff,
    0xffb01fff,0x7ffe400d,0x3ffffea6,0xffffffff,0xf9004fff,0x1ffd0003,
    0x6c0fff50,0xfff985ff,0xfc80005f,0x200003ff,0x5c005ffd,0xff9007ff,
    0xfb00000f,0x200000bf,0xfb0000fb,0xff3000df,0x37fec0df,0x1ffff500,
    0x3fffffea,0xffffffff,0x1fb804ff,0x01ffd000,0xffd802a6,0xbffff305,
    0x7ffd4000,0x36038005,0x7dc005ff,0xfff9007f,0xfd802000,0x8800005f,
    0x3f60004f,0xffd8006f,0x1bff602f,0x0ffff880,0x55555551,0x59ffd555,
    0x02f98035,0x003ffa00,0x205ffd80,0x005ffff8,0x00ffff88,0x3ff60680,
    0x3ffdc005,0x007ffc80,0x3ff60688,0xfc800005,0x3ff60000,0x7ffd4006,
    0x037fec05,0x00bfff30,0x4007ff60,0x740002f9,0x360000ff,0x7fc405ff,
    0x36000dff,0xa8002fff,0x01bff605,0x200fff70,0xc8007ffc,0x017ffa05,
    0xf51bb880,0xffd80005,0x3ffe2006,0x37fec00f,0x07fff900,0x007ff600,
    0x05c00fe6,0x0000ffe8,0x2601bffa,0x800effff,0x8005fffb,0x3ffa03f8,
    0x7ffe4006,0x07ffd800,0xfd017d40,0x7e4000df,0x0005ffff,0x5006ffd8,
    0xb003dfff,0x3e600dff,0xb0000fff,0x3f9803ff,0x3a06c880,0x3e0000ff,
    0xff5007ff,0x7c403dff,0x44000fff,0x3ffa02fe,0x7ffec007,0x07ffd801,
    0xff01fea0,0x7ec000ff,0x0000ffff,0xc806ffe8,0x3a003fff,0xffb806ff,
    0x360000ef,0x3fea01ff,0xeeeeeeee,0x3fe03fff,0xfb88001f,0xfb803fff,
    0x82cfffff,0xcccefffe,0xcccccccc,0xb881fffe,0x5003ffff,0xa809ffff,
    0xaaadffff,0xffdcbaaa,0xffff9104,0x3fa60007,0xc880002e,0xabcdffff,
    0x1efffecb,0xffff9100,0xd975579b,0x0000bfff,0x3ea03ffb,0xffffffff,
    0x500fffff,0x4c009fff,0xfffffffd,0x7ff441df,0xffffffff,0xffffff73,
    0xffffffff,0x98ffffff,0xfffffffd,0x7fe441df,0x2dffffff,0xfffffd91,
    0xffffffff,0xd985ffff,0xffffffff,0x0008001d,0xffffd980,0xdeffffff,
    0xb30009ac,0xffffffff,0x7bddffff,0x3f600003,0xffff881f,0xffffffff,
    0xffee86ff,0x001effff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000e00,0x00050029,
    0x14c00390,0x00000000,0x554c0a60,0x55310061,0x1a980003,0x26aa2000,
    0x4d4c4000,0xa8851000,0x1fffff60,0x21fffff2,0xeffffffb,0x3fffed81,
    0x4c00032a,0x3ea0002f,0x000e806f,0xa800be20,0x00000bef,0x3f6a0000,
    0x7f6ff4c4,0xfc880fef,0x00dfffdf,0xffddd930,0x3fea003d,0x9803ffff,
    0x0cfffefe,0x321ffb30,0x7fe42fff,0x41fff207,0x403fffd8,0x3fe60ff8,
    0x0df90006,0x07ffec00,0x40001f50,0x6d4002f8,0x00000cff,0xdfd71000,
    0x220df885,0x7f440ffc,0x03bfea0d,0x7441bf70,0x67ec03ff,0x01dffb30,
    0xfff713ee,0x7ffff541,0x45ffffb8,0x3e607ff9,0x3ffe207f,0x2e17cc02,
    0x44000fff,0x70001fff,0x7f440dff,0x0be20000,0x6ffe4c00,0x10000001,
    0x3603bff9,0xc81f901f,0x4ffc81ff,0x6c03bee0,0x03f904ff,0xf909ffd1,
    0x097ffa09,0x71b5fff7,0x7ff887ff,0x3203ffc0,0x435c05ff,0x4000fffa,
    0x0004fffb,0xffe802e6,0x0be20000,0xdff71000,0x26000005,0x7c00cffd,
    0xe81f101f,0x5ffa80ff,0x4c05ff30,0x37cc1fff,0x4c3fff50,0xfff700ff,
    0x103bffe0,0xf80fff10,0x7ffc407f,0x3e60fa00,0xffe8007f,0x800000ff,
    0x000fffd8,0x0000be20,0x00bffea8,0x3efeb800,0x409ff100,0x9837ec0d,
    0x1ffb06ff,0x745ffe80,0x3ffe602f,0xe8813fa3,0x05fff05f,0xf01ffe20,
    0x7ffb00ff,0x3e203ea0,0x67d4005f,0x00003fff,0x7fffffcc,0x7c4007ff,
    0xd9800002,0x44001cff,0x8002dffc,0x8180dffe,0xdff301b8,0x2a01ffe0,
    0x9ff11fff,0xf9999999,0x0ffe69ff,0x0fff8020,0x80fff100,0xffa807ff,
    0x7f409b06,0xfebec004,0x4c00006f,0xaabfffaa,0x017c4002,0xff910000,
    0xffd9805b,0x3ee0001c,0x0000bfff,0x10dfffb5,0xff100dff,0x2affe65f,
    0xaaaaaaaa,0x005ff51a,0x000ffe80,0xff80fff1,0x85ffd007,0x0bf601f8,
    0xff53f980,0x2000003f,0x20000fff,0x000002f8,0x0befeb88,0x002fbfaa,
    0x3fff6200,0xf71003ff,0x50dff35d,0x3fe00bff,0x001ff53f,0x0005ff70,
    0x1000ffe8,0x7ff80fff,0xc8bff700,0x000fe406,0x2fffc1f9,0xfff80000,
    0x55555100,0x559f7555,0x03555555,0xa7fec000,0x0001eff9,0xfffffb80,
    0x8bbee00e,0xffc86ff9,0x29fff006,0xc8001ffb,0x740003ff,0xff1000ff,
    0x007ff80f,0x17c1fff1,0xf8801ea0,0x007ffe44,0x07ffc000,0xffffffa8,
    0xffffffff,0x004fffff,0x177f5c40,0x00b7ff22,0xfffb1000,0x1df903ff,
    0xfc86ff98,0x5ffd007f,0x2000ffee,0x40004ffc,0xf1000ffe,0x07ff80ff,
    0x3d53ff20,0xf70034c0,0x03fff883,0x0fff8000,0x33333310,0x3337f333,
    0x00133333,0x077ff220,0x07dfd710,0xffd98000,0x983fec5f,0xfffb86ff,
    0x50ffe800,0xa8c00dff,0x031007ff,0x7c001ffd,0x03ffc07f,0x136fff30,
    0x0dd00040,0x0001fff6,0x0003ffe0,0x00002f88,0x00cffda8,0x0cffea80,
    0xff701c00,0x413fe61f,0xff986ff9,0x26ff802f,0xb802fff8,0x005fff33,
    0x01ffd03b,0xf007ff40,0x7f4001ff,0x00001fcf,0xffa817d4,0x7c00002f,
    0x220000ff,0x2e00002f,0x00002efe,0x003bff93,0x25ffd01e,0xff304ffb,
    0x01bffa0d,0xffe89ff1,0x447e200e,0x2a00efff,0x001ffd07,0x6c40fff4,
    0x2a000fff,0x00005fff,0x7ff407d8,0x80771005,0x20000fff,0x440002f8,
    0x0001dffc,0x5dff9100,0x3ee02f80,0x20fff70f,0xfa826ffb,0x3fea01ff,
    0x17fffd40,0x3fee374c,0x03fa80ef,0x64003fff,0x2ba61eff,0x20013fff,
    0x00002fff,0x3ee01fcc,0xffe801ff,0x01fff00f,0x0017c400,0x00cffd98,
    0x3aa00000,0x0ff80bff,0x7fc4df90,0xffdb30cf,0xffd8951f,0x207fd00e,
    0xcceffffd,0xffe80ffe,0x6ffcbdff,0x800bffe0,0xffeffff8,0x07fffff2,
    0x0001ff20,0x3bbbbf20,0xfffeeeee,0x7fffcc04,0x001fff04,0x20017c40,
    0x000befea,0x36600000,0x3bfe0cff,0xb07fe20b,0x27fdffff,0xf905ffff,
    0x1fec43df,0xfffffd10,0x3a205fff,0xefffffff,0x0bfff500,0xfffffa80,
    0x000bbfe1,0x800009f1,0xcccccef8,0xfffecccc,0x37fffc00,0x0000fff8,
    0xfa800be2,0x0000002d,0xf27e4400,0xbfdbfffd,0xdfff9103,0x006ffe43,
    0x9ddfffd7,0x3fff2003,0xfd801eff,0xa80cffff,0x5ffffffe,0x640d4c00,
    0x002e0001,0x003f7000,0x100fffe6,0x3fe0f735,0x3e20000f,0x00062002,
    0x10000000,0x35751043,0x04402600,0x00175100,0x00055cc0,0x0002ae62,
    0x00000000,0xe8000000,0x37ff4006,0x3fa09900,0x8800622f,0x0000002f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00bea000,
    0x003fff50,0xaffec07e,0x054000d8,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3e000fd0,0x06b805ff,0x0bffffee,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x09f30000,0x07fff600,0x320076c4,0x54403eff,0x4c015440,0x8144000a,
    0x7ffe401a,0xffd31fff,0xe989ffff,0x3fea7fff,0x3a2fffff,0xff04ffff,
    0xffffffff,0x3003ffff,0x00350000,0x05dc05d4,0xaaa88195,0xaaaaaaaa,
    0xaaaaaaaa,0x003bbb51,0xb80017f4,0x3e986fff,0xb3002200,0x3ff223ff,
    0xfffc84ff,0xffda805f,0x5ffffb10,0x837ffcc0,0x6c05fffa,0xffff504f,
    0x401bfd03,0xaaaaacff,0x804fffca,0x220004fc,0xdff3006f,0xff74ffb8,
    0x7fffd47f,0xffffffff,0x4fffffff,0x22013ff6,0x8000dffc,0x21cffffd,
    0x75400000,0xfe99ffff,0xd13ffffe,0x09fffddf,0x23ffffaa,0xffffefe9,
    0x81bfee00,0x36c04ffd,0x10fffea0,0x803f00df,0xfd006ffe,0x7fe4000f,
    0x0fffb803,0x7ff5fff6,0x2666627f,0x99999999,0x09999999,0x3f203ff4,
    0x00efffff,0xffffffd8,0x000006ff,0xd5fff511,0x47ffecc5,0x3ffe60ce,
    0x5fff7081,0x3ffaa15d,0x807ffc05,0x1fc06ff9,0xb07ffec0,0xc80f001d,
    0xfb000fff,0x2fe6000d,0x7fdc00fc,0xfcb7fec7,0x00002fff,0x003ff100,
    0x00000000,0x3ffe0000,0x5ffff00e,0xf00fff60,0xff301dff,0x03ffc80d,
    0x7d407ffa,0x5ffe8800,0x091003f5,0xe817ffd4,0xfc93ee4f,0x9f16e805,
    0x646ffa80,0x3e2aa5ff,0x20000002,0x000003f9,0x00000000,0x7403ffd0,
    0x3fee03ff,0x007ffc04,0xff980fff,0x413ffa06,0x3fe6004d,0x80003fbf,
    0xf104fff8,0x64be69ff,0x3ea00fff,0xf8807ee1,0x427fd45f,0x000000f9,
    0x00003540,0x00000000,0x201ffe80,0x3ea03ffc,0x07ffc05f,0xe801ffd0,
    0xfff981ff,0x000fc40f,0x0017fff2,0x2037ff40,0x9f8dfffb,0x2204fffd,
    0x7c06e85f,0x41ffc43f,0x2aaaa25c,0xaaaaaaaa,0x1aaaaaaa,0x000000a0,
    0x00000000,0xf700fff4,0x2ffcc07f,0xe803ffe0,0x7fdc01ff,0x3ffccd84,
    0xfe80035c,0xfc80004f,0xca8800ff,0x0adfefef,0x7cc07e40,0x3e0bf603,
    0xf50fc41f,0xffffffff,0xffffffff,0x000009ff,0x00000000,0x03ffd000,
    0xf301ffdc,0x0fff80bf,0x1007ffa0,0x98f98fff,0x001f46ff,0x002fffb8,
    0x00bffea0,0x007bfa60,0x1fb01fcc,0x3fa03f20,0x3310bee0,0x33333333,
    0x33333333,0x00000013,0x00000000,0x403ffd00,0x3e603ffb,0x07ffc05f,
    0xb003ffd0,0xfd2ec5ff,0x0003e63f,0x03fffbe2,0x13ffe200,0xebffda80,
    0x3a02dffb,0xa827c406,0x066cd907,0x00000000,0x00000000,0xfe800000,
    0x0ffee01f,0x7c05ff98,0x3ffa00ff,0x15ffa801,0xca7fdc3f,0x3abd0005,
    0xfe8005ff,0x3ffa006f,0xffa8f8af,0x802fa85f,0x706981fb,0x0000004b,
    0x00000000,0x00000000,0xb807ffa0,0x3fe603ff,0x007ffc05,0x3a003ffd,
    0x7c46c8ff,0x8002f8ff,0x5fff10ec,0x07ffe400,0x97ffcc10,0x1fff52fa,
    0xbd002fc4,0x00044020,0x00000000,0x00000000,0xffd00000,0x01ffdc03,
    0xff80bff3,0x07ffa00f,0x17e7fe40,0x003effec,0x3fee0fd4,0xfffa800f,
    0x876e2c02,0x90f664fc,0x17cc001f,0x00000000,0x00000000,0x00000000,
    0x403ffd00,0x3e603ffb,0x07ffc05f,0x2003ffd0,0xf506fff8,0xf88009ff,
    0x80dffb03,0x6804fff8,0x4406fe80,0x03b8002c,0x00000000,0x00000000,
    0x00000000,0xb807ffa0,0x3fe603ff,0x007ffc06,0x6c003ffd,0x3ffe03ff,
    0x81ba2000,0x3604fff9,0x06a806ff,0x00006ff8,0x00000000,0x00000000,
    0x00000000,0x3ffe0000,0x813ff202,0x3e206ffa,0x3ffa01ff,0x01fea002,
    0xfd800df9,0x1ffffc05,0x4cd7ffe4,0x5fca9999,0x0003fb80,0x00000000,
    0x00000000,0x00000000,0xff300000,0x3ffa209f,0x3fffb00e,0x40fffee0,
    0x4004fff9,0x017c403f,0x0effff98,0x7fffffd4,0xfffff12f,0xffffffff,
    0x000000bf,0x00000000,0x00000000,0x00000000,0x7f4c0000,0xd35effff,
    0x1dffffff,0x3ffffff6,0xffffd31e,0x3ffaa9df,0x7004efff,0x00007001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_42_usascii_x[95]={ 0,4,2,0,2,1,1,1,1,0,2,0,2,1,
2,0,1,4,0,1,0,1,1,1,2,1,3,2,0,0,0,1,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,-1,1,0,1,0,2,1,0,0,0,0,0,0,3,0,1,0,-1,2,1,-1,1,1,1,1,1,0,1,
-3,0,1,0,0,1,-1,1,0,1,0,0,0,0,0,0,0,5,2,3,0, };
static signed short stb__times_42_usascii_y[95]={ 33,7,7,7,5,7,7,7,6,6,6,10,29,23,
29,6,7,7,7,7,7,7,7,7,7,7,15,15,11,16,11,7,6,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,6,7,7,39,7,15,6,15,6,15,6,15,6,6,
6,6,6,15,15,15,15,15,15,15,10,16,16,16,16,16,16,6,6,6,20, };
static unsigned short stb__times_42_usascii_w[95]={ 0,5,11,19,16,30,28,5,11,12,15,21,6,11,
5,11,17,11,18,15,18,16,17,17,15,17,5,7,21,21,21,15,34,27,24,23,26,23,20,26,27,12,15,28,
23,33,28,25,20,25,26,18,22,27,27,36,27,27,23,9,11,9,18,21,7,16,19,15,19,15,16,18,19,9,
11,20,9,30,19,17,19,18,13,13,11,19,19,28,19,19,17,11,3,11,21, };
static unsigned short stb__times_42_usascii_h[95]={ 0,27,12,27,31,28,27,12,36,36,17,21,11,3,
5,28,27,26,26,27,26,27,27,27,27,27,19,25,19,9,19,27,36,26,26,27,26,26,26,27,26,26,27,26,
26,26,27,27,26,34,26,27,26,27,27,27,26,26,26,34,28,34,14,3,7,19,28,19,28,19,27,27,27,27,
36,27,27,18,18,19,27,27,18,19,24,18,18,18,17,26,17,36,36,36,6, };
static unsigned short stb__times_42_usascii_s[95]={ 255,249,202,173,147,208,193,250,89,36,167,
49,214,192,186,196,222,237,218,240,199,1,18,36,54,131,249,29,93,221,71,
99,1,1,174,168,147,82,106,229,54,242,115,1,218,184,70,81,107,101,80,
149,57,29,1,192,128,156,30,137,184,127,183,204,243,129,1,180,164,164,156,
137,117,107,77,60,239,49,80,146,21,41,196,115,37,210,230,100,129,127,149,
65,61,49,164, };
static unsigned short stb__times_42_usascii_t[95]={ 1,1,172,38,1,1,38,150,1,1,172,
150,172,30,30,1,38,123,123,38,123,67,67,67,67,67,123,150,150,172,150,
67,1,150,123,67,123,123,123,67,123,95,67,123,95,95,67,38,95,1,95,
67,95,95,95,67,95,95,123,1,1,1,172,30,172,150,38,150,1,150,38,
38,38,38,1,38,1,172,172,150,38,38,150,150,150,150,150,172,172,123,172,
1,1,1,30, };
static unsigned short stb__times_42_usascii_a[95]={ 152,202,248,303,303,505,472,109,
202,202,303,342,152,202,152,169,303,303,303,303,303,303,303,303,
303,303,169,169,342,342,342,269,559,438,405,405,438,371,337,438,
438,202,236,438,371,540,438,438,337,438,405,337,371,438,438,573,
438,438,371,202,169,202,285,303,202,269,303,269,303,269,202,303,
303,169,169,303,169,472,303,303,303,303,202,236,169,303,303,438,
303,303,269,291,121,291,328, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_42_usascii_BITMAP_HEIGHT or STB_FONT_times_42_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_42_usascii(stb_fontchar font[STB_FONT_times_42_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_times_42_usascii_BITMAP_HEIGHT][STB_FONT_times_42_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_42_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_42_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_42_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_42_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_42_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_42_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_42_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__times_42_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__times_42_usascii_s[i] + stb__times_42_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__times_42_usascii_t[i] + stb__times_42_usascii_h[i]) * recip_height;
            font[i].x0 = stb__times_42_usascii_x[i];
            font[i].y0 = stb__times_42_usascii_y[i];
            font[i].x1 = stb__times_42_usascii_x[i] + stb__times_42_usascii_w[i];
            font[i].y1 = stb__times_42_usascii_y[i] + stb__times_42_usascii_h[i];
            font[i].advance_int = (stb__times_42_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__times_42_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_42_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_42_usascii_s[i] + stb__times_42_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_42_usascii_t[i] + stb__times_42_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_42_usascii_x[i] - 0.5f;
            font[i].y0f = stb__times_42_usascii_y[i] - 0.5f;
            font[i].x1f = stb__times_42_usascii_x[i] + stb__times_42_usascii_w[i] + 0.5f;
            font[i].y1f = stb__times_42_usascii_y[i] + stb__times_42_usascii_h[i] + 0.5f;
            font[i].advance = stb__times_42_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_42_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_42_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_42_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_42_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_42_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_42_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_42_usascii_LINE_SPACING
#endif

