// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_49_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_49_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_49_usascii_BITMAP_WIDTH         256
#define STB_FONT_times_49_usascii_BITMAP_HEIGHT        250
#define STB_FONT_times_49_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_times_49_usascii_FIRST_CHAR            32
#define STB_FONT_times_49_usascii_NUM_CHARS             95

#define STB_FONT_times_49_usascii_LINE_SPACING          32

static unsigned int stb__times_49_usascii_pixels[]={
    0x97530000,0x0003579b,0x1b880028,0x000f5400,0xca8002e6,0x000a0001,
    0x7bdd9731,0xffa80013,0x0fffffff,0xfffffff5,0x07a001ff,0x2e200000,
    0x0000b905,0xb500f540,0x26000001,0xbacceffd,0x001cfedc,0x4c000cc8,
    0x3f7003ec,0x0073ae00,0x001fffa8,0xe980174c,0xffeeffff,0xd3000eff,
    0xfffddddd,0x3bbffea1,0xf000eeee,0x4c000005,0x3f707ffd,0x1f600000,
    0x003fff26,0xcfeb8800,0x3df93001,0x001eb800,0xfb805e98,0x00f6c401,
    0x01fffec0,0x2e001b90,0xc880aeff,0x20002fff,0xff50fff8,0x32a2000d,
    0x0001bcef,0xfffffd70,0x0000fe20,0xfd993e20,0x0000ffff,0x0017ff50,
    0x2001fdc0,0xf98003fa,0x200fdc06,0xf50001fe,0xdd1003ff,0x37ff6200,
    0xdffe8800,0xfff88000,0x800dff50,0xfefeffe8,0x0001cfff,0x1fffea66,
    0x800006e8,0x3e6622fa,0x80000fff,0x00000dfc,0xfa800bd3,0x03fe8005,
    0x6fc807ee,0x00e54000,0x4c007744,0x44004fff,0x4000effe,0xff50fff8,
    0x67fdc00d,0x3ff225f0,0xfe80003f,0x007ee07f,0x640fb000,0x20000fff,
    0x00004fd8,0x6c004e88,0x7fdc004f,0x2603f701,0x000003ff,0x74007f60,
    0x98000fff,0x44005fff,0xdff50fff,0xf13fe600,0x003ffa85,0x207ffd80,
    0x200003f8,0x3fee04f8,0xfd10000f,0x4c000007,0x3fe2001f,0x0ffea002,
    0xffb80fdc,0x70000002,0x3ff200bf,0x3f20003f,0x3e2002ff,0x0dff50ff,
    0x5f07ffa0,0x00007f90,0x6e80fff9,0x07ea0000,0x000fffa8,0x00005fd0,
    0x4001f500,0xf7000ffb,0x407ee0bf,0x00003ffd,0x801ffa80,0x0007fff9,
    0x007fffc4,0xf50fff88,0xdff300df,0x07f105f0,0x0fff9000,0x00001fb8,
    0xfffa80fb,0x05fc8000,0x0fa00000,0x005ff880,0x3ee0dff9,0x009ffd01,
    0x0bff0000,0x00ffffa0,0x17fffa00,0xa87ffc40,0xffb806ff,0x07b02f86,
    0x0fff9000,0x80004f88,0x7fd404f8,0x7fcc000f,0x20000000,0x7ff4006b,
    0x06ffe801,0x3ffa03f7,0x5c000005,0xffa803ff,0xc80001ff,0x8801ffff,
    0xdff50fff,0x83fff900,0x0007902f,0xd00fff90,0x3f70000d,0x00fffa80,
    0x000bfe20,0xa986fb2a,0x001f880c,0x3e017ff2,0x03f705ff,0x0001bff6,
    0x3ffa02a2,0xffffc800,0xff980000,0xff8802ff,0x00dff50f,0x2f89fff3,
    0xa9800330,0x201fff20,0x6c0001fb,0x0fffa807,0x0017ee00,0x5d737fd3,
    0x3601fff1,0x3ffe6003,0x0fffe200,0xffb80fdc,0x3f260007,0x037fcc1f,
    0x007fffd8,0x13fffe00,0x543ffe20,0xfff006ff,0x00017c3f,0x3bffffb2,
    0x8807ffc9,0x3e20004f,0x0fffa804,0x8007fa00,0x5f441efb,0x013205ff,
    0x4c07fff0,0x3f702fff,0x003ffea0,0x3ffffd50,0xf005ffd8,0x0000dfff,
    0x402ffffc,0xff50fff8,0x3fff600d,0x20005f2f,0xf711dfe8,0x200fffff,
    0x3ee0006e,0x0fffa801,0x400df300,0xffb00ffb,0x002dc07f,0xf881bffa,
    0x03f701ff,0x8003ffe6,0x1ffffcca,0x2013ffe2,0x005ffff8,0x1ffffa00,
    0x543ffe20,0xff3006ff,0x005f9fff,0x2609fd30,0x7007ffff,0x1f60003f,
    0x007ffd40,0xf9004fc8,0x7ffdc05f,0xd001aa00,0x7fc01fff,0x203f700f,
    0x20007ff8,0x3ea1fffc,0xff9803ff,0x200004ff,0x400ffffe,0xff50fff8,
    0x7ffd400d,0x44003fff,0x7fd406ff,0x09f1007f,0x2009f100,0x8800fffa,
    0xffa801ff,0x037fe404,0xffb001aa,0x03fe405f,0x27fc03f7,0x3fff7000,
    0x401fffdc,0x003ffffa,0x3ffff600,0x87ffc401,0x54006ffa,0x03ffffff,
    0x100bff20,0x7400ffff,0x01fb8006,0x001fff50,0xff100df3,0x09ffb00d,
    0x7e4005b8,0x3fe204ff,0x2e03f703,0x2a0000ff,0x3ff21fff,0xfffa802f,
    0x3600004f,0x4400ffff,0xdff50fff,0xfffd1000,0xf8801bff,0xfffd007f,
    0x000fdc00,0xffa801f6,0x04fa800f,0xf803ffd8,0x02e401ff,0x013fff20,
    0x07ee0df5,0x200017f4,0x3fa1fffa,0xff9801ff,0x200005ff,0x8807fffe,
    0xdff50fff,0x7ffdc000,0x3f201fff,0xfff9005f,0x0027c400,0x7d4009f1,
    0x3fb800ff,0x403ffd40,0x4d807ff9,0x2fffdc00,0x7dc1fcc0,0x0001fc81,
    0x3e1fffa8,0xf8800fff,0x00006fff,0x201bfffe,0xff50fff8,0xff98000d,
    0xff02ffff,0x3ff2009f,0x0036c007,0x7d4003f7,0x2fc800ff,0x401ffec0,
    0x7c405ffc,0x7ffd4002,0x15d91006,0x66d447ee,0xff300000,0x03fffc3f,
    0x00fffff0,0x3fffe200,0x0fff8804,0x0000dff5,0x7fffffdf,0x003fff88,
    0xb800fff9,0x00dd001f,0x800fffa8,0x3fe201fd,0x7ffc400f,0x4003d403,
    0x4006fff9,0x3a3f76fa,0x4c00002f,0xfff11fff,0x7ffe400f,0xf980000f,
    0xf8803fff,0x0dff50ff,0xff55f000,0x7fcc7fff,0xfff9003f,0x804f8800,
    0x7d4004f8,0x0fe800ff,0x2017ff20,0x6c00fffc,0xfff98005,0x439b3005,
    0x07b261fb,0x7ffcc000,0x01ffff11,0x07fffea0,0x3ffea000,0x1fff1007,
    0x0001bfea,0x7fff44be,0x09fff70f,0x001fff20,0x07ee01f6,0x01fff500,
    0x7f401fb0,0x7ffc403f,0x0017c406,0x4027ffd4,0x81fb82fb,0x980003fa,
    0x3ffe1fff,0x3ffe001f,0xfd80005f,0xff1003ff,0x01bfea1f,0xfe88be00,
    0xbfff73ff,0x01fff200,0xdd007ee0,0x1fff5000,0x7c03f900,0x7fe401ff,
    0x0036c04f,0x403fffb8,0x03f706fb,0x30000ffa,0x7ff43fff,0x3fea001f,
    0x260001ff,0x22006fff,0xdff50fff,0x985f0000,0xfff35fff,0x1fff200d,
    0x8813e200,0xffa8004f,0x02fb800f,0x5c01fff1,0x2602fffd,0xff90001f,
    0x17fcc05f,0xff501fb8,0x7fcc0001,0x0bfffa1f,0x0bfffb00,0x17ffec00,
    0x21fff100,0x00806ffa,0xb7ffc17c,0x800ffff8,0xb0007ffc,0x000fdc0f,
    0x4007ffd4,0xfff303fa,0x3fe3ae05,0x009d100f,0x00fffec0,0x0fdc0ffb,
    0x4000bff0,0x3f21fff9,0x744003ff,0x98001fff,0x44004fff,0xdff50fff,
    0x17c07900,0xfff2ffe4,0xfff9009f,0x407ee000,0xff50006e,0x09f3001f,
    0x2e17ffe2,0x107ff88e,0x740001dd,0x3fe00fff,0x203f700f,0x20007ff8,
    0x3e61fff9,0xe88003ff,0x22000eff,0x88004ffe,0xdff50fff,0x17c09900,
    0xff71ffec,0xffc801ff,0x09f10007,0x2a0009f1,0xfd001fff,0x577fff40,
    0xfff10efc,0x5901bd50,0x817ffa00,0xf701fff9,0x03ffe603,0x0fffcc00,
    0x40013ffe,0x801effe8,0x0004fff9,0x3ea1fff1,0x206c806f,0x41fff82f,
    0x100efffe,0x0001fffd,0x007ee1f6,0x00fffdc0,0xff502fb8,0xe81bffff,
    0x4fdb9dff,0x3e001f30,0x3fe602ff,0x203f702f,0x0000fffa,0xfd83fff3,
    0x7d40005f,0x2a209bff,0x0002effc,0x7d43ffe2,0x04fc806f,0x84ffa85f,
    0x42fffffa,0x9dfffffa,0x20fd4003,0x3f20006e,0xbf1002ff,0x16fffdc0,
    0xcffffea8,0x4400fa00,0xfff806ff,0x3203f704,0x260007ff,0x7fd41fff,
    0xff700007,0xdffffdff,0xff100005,0x01bfea1f,0x8be0fff2,0xf500eff9,
    0xffdfffff,0x7dffff97,0x224f8800,0xff10003f,0x36001dff,0x0026200f,
    0x7dc004c4,0x07ff7000,0x2e0bfff0,0x0dffb01f,0x0fffcc00,0x00017ff4,
    0xfffffd88,0x2200005f,0xdff50fff,0x5dfff900,0x3fee2be1,0x7ff4400d,
    0xff91efff,0x3ec0003b,0xe98003f7,0xefffffff,0x0027cc01,0x1fc40000,
    0x001ffb00,0x3ee0dffb,0x00bffd01,0x407ffcc0,0x00004ffa,0x7fffffdc,
    0xff100001,0x01bfea1f,0x77fffe4c,0x002effff,0x2a056544,0xc980000b,
    0x00000970,0x002fb800,0x076c0000,0x004ff880,0x3ee0dff9,0x009ffd01,
    0xd03ffcc0,0x300000df,0x01dfffff,0x1fff1000,0x2001bfea,0x0adfcaa9,
    0x00000000,0x00000000,0x003f6000,0x076c0000,0x400df700,0x3f705ffb,
    0x000fff60,0x2606ffa8,0x800002ff,0x05ffffe8,0x0fff8800,0x0000dff5,
    0x2ea0005f,0x120000ac,0x77777102,0x00777777,0xef880000,0x22000000,
    0x3e2000ed,0x3fea000f,0x2e03f703,0x2a0002ff,0x37d405ff,0xff900000,
    0x88000bff,0xdff50fff,0x005f0000,0xfffffd88,0x96a000be,0xff10dfd8,
    0xffffffff,0x0000000f,0x00003fd3,0x8001dd10,0x7e4001fc,0x203f700f,
    0x20004ff8,0xfc803ffa,0x22000004,0x0005fffb,0x7d43ffe2,0x0a80006f,
    0x5e77ec00,0x01cffffd,0x3ffee4e8,0xffffff14,0x000fffff,0x3f620000,
    0x3ae00003,0x1fd4000e,0x7017fc00,0x03fdc03f,0x1bee02a2,0x0001fd80,
    0x2efeb800,0x0fff8800,0x0000dff5,0x205f5000,0x0befffda,0xffb0fdc4,
    0x377762bf,0x05dddddd,0x5c000000,0x88000bef,0x98002efb,0x5fa8003f,
    0x3600fdc0,0x5fff102f,0x5c002fd8,0x0000002f,0x4159dd95,0xfffffffa,
    0xffff50ff,0x001fffff,0x20176000,0xcefffeb8,0x7fd44ffd,0x0000002f,
    0xf9100000,0x262035bf,0x0003efca,0xf50001b5,0x003f7007,0xfff305f7,
    0x007f73bf,0x0000fa60,0x992a6000,0xeeeeeeee,0xddddd30e,0x0001dddd,
    0x50007a00,0x07fffffb,0x999886e2,0x99999999,0x99999999,0x00000999,
    0x7fffed40,0x3defffee,0x000f2000,0x5c0077ae,0x7db3001f,0xffffffc8,
    0x03c80001,0x00000000,0x00000000,0x4c000280,0xffa8001a,0xffffffff,
    0xffffffff,0x0003ffff,0x2ea62000,0x200001ab,0x00a88000,0x20006540,
    0x55d440a8,0x00400000,0x00000000,0x00000000,0x00000000,0x2eeeee60,
    0xbbbbbbbb,0xbbbbbbbb,0x0000001b,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xd7300000,0x1000039d,
    0x991000bf,0x02200000,0x40000544,0x002809a8,0x0000076a,0xeecba880,
    0x400009bd,0xb71001ca,0x88000001,0x0000009a,0x22015993,0x001882ec,
    0x5ffb7ff9,0x00fe8000,0x01bff6a0,0x4df93000,0x2efffeb8,0x7ffed400,
    0x06fa8dff,0x00fffe44,0x7ec40000,0xfffdceff,0xfa8000ef,0x3f2601ff,
    0x800000ff,0xffedffd8,0x6d40000c,0x83ffffff,0x3f21fffc,0x077dc05f,
    0x20005ff7,0xff7002fb,0x0000dfff,0x2dfffd71,0xffffffe8,0xefd8804f,
    0xfffeb99b,0xfffb306f,0x000003ff,0x809effb8,0x003fffa8,0x541fffec,
    0x00fffffe,0x67fdc000,0x3ffffea0,0xfa801fff,0x5ffff50b,0xf14fffe8,
    0x3e603fff,0x037fc43f,0x5002fcc0,0x00dfff73,0xfffd9b00,0x3ffbffad,
    0x2603ffff,0xffd104fe,0x3a6620df,0x00001fff,0x00bffd30,0x0037ffa2,
    0x4c07ffd4,0x00ffff99,0x0ffea000,0x7fffffdc,0x42fcc01f,0x7fc6fff9,
    0xffff15ff,0x207ff603,0x74002ffd,0xfff0000f,0x7c40000d,0x542ebeff,
    0x880fffff,0x7fc405fe,0xfffb806f,0xf8800001,0xfd8004ff,0x393000ff,
    0x01fff900,0x1ffe2000,0x004fff88,0x7d40bfe6,0x2ffffc7f,0x7fc0bff9,
    0x04ffc80f,0x8000bf20,0x00006ffe,0x8077ffec,0xc84ffff9,0xffe800ff,
    0x1fffa806,0xffe80000,0xfff30007,0xf700000b,0x200001ff,0x7e406ffc,
    0xff9000ff,0x3a0e5403,0x00c44fff,0xf701fff1,0x13e600bf,0x0dffb000,
    0xfffd8000,0x3fffec00,0x6c017fe6,0xffa806ff,0x5c00001f,0x20003fff,
    0x0002fffd,0x007ffd40,0x05ffe800,0x8017ffdc,0xd8000ffd,0x54003fff,
    0xfff707ff,0x0003ba00,0x000dffb0,0x806ffd80,0x360ffff9,0xff9003ff,
    0x3fff500d,0x7fcc0000,0x7cc0007f,0x00000fff,0x0003ffea,0x202fffc0,
    0xf003fffa,0xf90001ff,0xfa8005ff,0x0fff707f,0x00003f90,0x0000dffb,
    0xb006ffd8,0x7ffc5fff,0x0dff9002,0x003fff50,0x3fffa200,0xffd80003,
    0x2a00005f,0x00000fff,0xf980dffd,0xff8802ff,0xffb8000f,0x7fc4002f,
    0x80dff707,0xb00004fa,0x80000dff,0xf9006ffd,0x3ffe27ff,0x0dff9001,
    0x003fff50,0x3fffea00,0xffa80000,0x500001ff,0x00001fff,0xf501fff2,
    0xff5003ff,0xff70001f,0xfff0003f,0x409ff901,0x200006f8,0x03306ffd,
    0x00dffb00,0x7cd3ffee,0xff9000ff,0x3fff500d,0x3fee0000,0xf300007f,
    0xa8805fff,0x07ffd400,0x3ea00098,0x3fee02ff,0x1fff7006,0x1fff5000,
    0x03ffb000,0x7ec07ffb,0x3f600001,0x3ffb226f,0xffb001df,0x3ffea00d,
    0x003fff73,0x2a01bff2,0xee881fff,0x41eeeeee,0x0007fffd,0x09ffff10,
    0x5007ff26,0x7ecc1fff,0xfd003eff,0x0fff40df,0xffeeee98,0x00eeeeef,
    0x8003ffcc,0x7fc43ff9,0x0013ea06,0x22dffb00,0xfffffffe,0x06ffd802,
    0x2e3fff30,0xf9002fff,0xfff500df,0x3fffa203,0xdffff01b,0x7ffc0000,
    0x3ffae25f,0x7fd401ff,0xfffff70f,0x3f6003ff,0x1ffe444f,0xffdddd30,
    0x01dddddf,0x0006ff88,0xffb83fee,0x000df102,0xd1dffb00,0xfffffbdf,
    0x6ffd807f,0x21fff500,0x9003fffa,0xff500dff,0x06ff403f,0x0bffff10,
    0x7fffc000,0x3fff32e7,0x7ffd401f,0xfcaacfc8,0x3f6006ff,0x1effcbef,
    0x07ffdc00,0x005ff800,0x7ed6fec0,0x007f602f,0x3bff6000,0x7ffd40de,
    0x3ff600ff,0x4fff7006,0x9006fff8,0xff500dff,0x00ff603f,0x013fffe6,
    0xffffe800,0x01fffd80,0x0f6fffd4,0x401fffe4,0xabcbabe9,0xfff70001,
    0x13fa0001,0x376e2000,0x00fea00b,0x6c001551,0x3e603fff,0x3f604fff,
    0x9ff9006f,0x802ffff8,0xfa806ffc,0x1fec41ff,0x3ffffa80,0x3ff60000,
    0xfffb80ff,0x6fffd401,0x013ffe00,0x000009f3,0x0001fff7,0x000013f6,
    0x440bf100,0x01dfeffd,0xb806ffd8,0x3f607fff,0x1ffd007f,0x00efffc8,
    0x201bffa2,0x3a21fffa,0x3fe6002f,0x200004ff,0xf507fffd,0xffa803ff,
    0x2fff400f,0x0003ff10,0x01fff700,0x020ff200,0x0fd80000,0x7dc37fa0,
    0x37fec00e,0x00fffe80,0xa803fffb,0xfff883ff,0xfee881ef,0xfffa806f,
    0x8005fd11,0x005ffff8,0x1bfffa00,0x200fffd4,0x6c00fffa,0x3fee06ff,
    0x5c00001d,0x90000fff,0x5fff445f,0x3ee00000,0xd03ff203,0x6ffd80df,
    0x05fff700,0x881bfff6,0x3ff206fe,0xfdbcefff,0xa806ffcb,0x1ff99fff,
    0xdfffd000,0x7ffc0000,0x3fff505f,0x00fffa80,0xfb037fec,0xffffffff,
    0x20039ddd,0x0000fffb,0x7ffe43f7,0xf100004f,0x42ffcc0b,0x3f603ffb,
    0xfff5006f,0x3ffff607,0x06ff4c2d,0x3fffff20,0xdff93fff,0xf7fff500,
    0x360003ff,0x00007fff,0x207ffff1,0x5401fffa,0x7ec00fff,0x3ffea06f,
    0xffffffff,0x5c02efff,0x50000fff,0x7ffff41f,0x1fd00006,0x4c1ffdc0,
    0x3ff605ff,0x7fff3006,0x3a7bff60,0x03ffedff,0x3ffffee0,0x01bff21e,
    0x3ff3ffea,0xfc8000ff,0x80000fff,0x502ffff9,0xfa803fff,0x7fe400ff,
    0x7fffcc06,0xffffffff,0x3ee00fff,0xf30000ff,0x1fffffb8,0x017dc000,
    0x3e60fff6,0x1bff607f,0x817ffc40,0x32a66ffd,0x2e60001a,0x06ffc80b,
    0xfc9fffa8,0xfa8005ff,0x80001fff,0x500ffffa,0xfa803fff,0x7fe400ff,
    0x4c47d406,0xcccaaaa9,0x3ee03ffe,0xd10000ff,0x07f53730,0x402fcc00,
    0xff882ffe,0x0dffb00f,0x407ffe60,0x00006ffd,0x0dff9000,0x363fff50,
    0xd8004fff,0x80005fff,0x2a02fffd,0x7d401fff,0x7fe400ff,0x000bea06,
    0xffb81be6,0x0020000f,0x740003f7,0x2fff800f,0xb01fff88,0x3ea00dff,
    0x1bff607f,0x64000000,0xffa806ff,0x5fffd11f,0xffff8800,0x3fe60001,
    0x7ffd405f,0x07ffd401,0x441bff20,0x1b20005f,0x000fffb8,0x001fa000,
    0xfd002fc8,0x1fff105f,0x401bff60,0x3f606ffb,0x0000006f,0x500dff90,
    0x7fcc3fff,0x7dc001ff,0x360005ff,0x7d400fff,0x7fd401ff,0x37fe400f,
    0x20003fe8,0x3ffee04d,0xf3000000,0x13e60007,0x983ffc80,0x3ff607ff,
    0x07ffb006,0x00037fec,0x6ffc8000,0x41fffa80,0x000efffb,0x000ffff4,
    0x401fffcc,0x5401fffa,0x7e400fff,0x06ffb86f,0x5c03f500,0x20000fff,
    0x000bd300,0xf7000774,0x0dff509f,0x44037fec,0x7fec05ff,0x00000006,
    0xf500fffb,0xfff903ff,0xffe9800b,0x3fa6000e,0xfff5004f,0x1fffa803,
    0x643ffec0,0x2000cfff,0x7fdc03fa,0xfe98000f,0x00027dc5,0xf88003f9,
    0x02ffc86f,0x3201bff6,0x7fec00ff,0x00000007,0xf700fffd,0x3ffa05ff,
    0xffc8004f,0xfffa801f,0x3ffee002,0x0fffdc01,0x261fff60,0x9adfffff,
    0x7fd75311,0x03fff700,0x25fffb00,0x260001de,0xff50004f,0x2037fc41,
    0x2e04fffd,0x7fc402ff,0x000001ff,0x0ffffc40,0x40ffff20,0x003ffff9,
    0x0acfffa8,0x037ff6e6,0x05fff900,0x401fffc8,0xe980fffd,0xffffffff,
    0x000dffff,0x0007fffb,0x0029fffd,0x000dd100,0xfe9affb8,0x7fecc01e,
    0xdf931aef,0x7ff65403,0x000acfff,0x3faea000,0x882cffff,0x3e06fffe,
    0x000dffff,0x7ffff644,0x003dffff,0x06ffff88,0x817fffe6,0x204ffffa,
    0xffffffea,0x2e002eff,0x002effff,0x000fffdc,0x0001fc80,0x04fffda8,
    0x7fffecc0,0xaa803fff,0xaaaaaaaa,0x2a000000,0xaaaaaaaa,0x3ffffee2,
    0xff12efff,0x3dffffff,0x2f2a6000,0xfd50000a,0x1dffffff,0x3fffffea,
    0xfffb1fff,0x40bfffff,0x00abba98,0x3ffffa20,0x03efffff,0x00001730,
    0x4000004c,0x5cc40000,0x000001ac,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0x13e202fa,
    0xdfdb7000,0x40000019,0x001bdec9,0x2f3bb2e0,0x99988000,0x01999999,
    0x76dd4400,0x33333106,0x33333333,0xecb98033,0x26201bde,0x00999999,
    0x33333100,0x5c013333,0x02bcefec,0x33333310,0x88333333,0x00fe4001,
    0x2a0005f5,0xfffddffe,0x6c400002,0x0effceff,0x3fffa600,0x4002ffff,
    0xfffffffd,0xd50006ff,0x74037bff,0xffffffff,0x0fffffff,0xabcffc88,
    0xca80dfec,0x0efffffd,0xfffcb800,0xa81cceff,0xffcaacfe,0x6e5400df,
    0xdfffffff,0x01bfee4c,0x0fe407d8,0x077fcc00,0x0003ff91,0x70bbfa20,
    0xff5001df,0xffffffff,0x3ffe2009,0x2fffffff,0x1fff4c00,0xfffff980,
    0xffffffff,0xdfe886ff,0x401ff900,0x05ffffe9,0x077fdc00,0x3a60bf50,
    0xf1001eff,0x3e07ffff,0xdf002fff,0x88007e80,0xbff01fff,0x3ffa0000,
    0x401ffb00,0xb98acff9,0x801fffff,0xfffffffc,0x7dc006ff,0x3f2001ef,
    0xffffffff,0x83ffffff,0xefe806fd,0x7fffec00,0x17fc0004,0x4c01ff10,
    0x32006fff,0x3fe07fff,0x4f8802ff,0x64002fc0,0x1ff206ff,0x13fee000,
    0x3604ff98,0xfffd100e,0xaadf880b,0x01aaaaaa,0x0037ff20,0x9abdff88,
    0xb9999999,0x17fd40ff,0x201ffd40,0x03ffffe8,0xc807fa00,0xfffc807f,
    0xdfff5002,0x8037fdc0,0x13e603fa,0x813ffa00,0x20000ffb,0x7400fff8,
    0x00ea80ff,0x2037ffcc,0x200000fc,0x4000effd,0x7ec003fb,0x801ffc86,
    0xfe805ff9,0x0001ffff,0x7ff403fb,0x27ffd401,0x05fffa80,0x3f9000c4,
    0x40017dc0,0x3fa04fff,0x7fe40007,0x84ffc806,0xdffd000a,0x00027c40,
    0x003fff90,0xff0009d0,0x005ffd07,0xfd00dff3,0x001fffff,0x7f401fb0,
    0x7ffcc04f,0xbfff5006,0x07d80000,0x220007e4,0xff306fff,0xfff8000b,
    0x0fffa804,0x0fff6000,0x00000fc8,0x0007fff5,0xff500091,0x009ffd01,
    0xfd007ff5,0x00dffff7,0x7e401fb0,0x7ffc407f,0xbfff5005,0x06f80000,
    0xff8003f4,0x0ffc80ff,0x3ffea000,0x4fff8802,0x07ff6000,0x000dffc4,
    0x017ffe20,0xdf900000,0x007fff20,0xfd003ff9,0x0bffff91,0x2600fd80,
    0x7fcc06ff,0xfff5003f,0x2666000b,0x999df999,0x99ef9999,0xfffd0009,
    0x002ffa87,0x017ffe40,0x0006fff8,0xffc817fe,0x8002ceff,0x0002fffc,
    0x81ffc000,0x100efffa,0x3fa00dff,0x07ffffb0,0x22007ec0,0x7ffdc00b,
    0xbfff5001,0xffff3000,0xffffffff,0xffffffff,0x3fff2005,0x0007ff26,
    0x007fffa0,0x8003fff4,0xff100ef8,0x1bffffff,0x1fffe600,0xf5000000,
    0x3ffe201f,0x0efd80ef,0x3a21fd00,0xb001ffff,0x3600001f,0x3ea006ff,
    0xc88005ff,0xccfecccc,0xdfeccccc,0xf3001ccc,0x1bff7fff,0xeeeeeea8,
    0x7ffc43ee,0xfffd000f,0x01db0001,0x7fffffe4,0xc802ffff,0x554c4fff,
    0xfc800000,0x7fffd406,0x003bf21f,0x3fe20fe8,0xfd800fff,0xff880000,
    0x3fea002f,0x3a00005f,0x0007e407,0x3dffffd0,0x7ffffd40,0xffff881c,
    0x3fffb000,0x401fd800,0xfffdaa98,0x7c04ffff,0xffd99fff,0x0002ffff,
    0x2e00ffe0,0xfcafffff,0x40fe8004,0x00effffa,0x400007ec,0x54004ffc,
    0x00005fff,0x00fd017e,0x1ffffc80,0x01fffd80,0x801fffe6,0x3002fffd,
    0x0007fffb,0x7fffffb3,0x37fffea0,0xfffebbcf,0xf980004f,0xfff7000f,
    0x20005fff,0xfffb80fe,0x007ec05f,0x01bfe200,0x017ffea0,0x1027cc00,
    0x362000bf,0x806fffff,0x7cc03ffb,0x3f6007ff,0x7f5c03ff,0x00efffff,
    0xffffea80,0xcffffc80,0x4ffff980,0x037e4000,0x3ffffea0,0x01fd0005,
    0x80fffff6,0x640000fd,0xfa8000ff,0x700005ff,0x01fcc05f,0x7deffdc0,
    0x7ec04fff,0x6fffa806,0x0ffff600,0xfffedb88,0x10006fff,0xfb0dfffd,
    0xffa805ff,0x3e0000ff,0x7f44003f,0x000effff,0xffd007f4,0x03f605ff,
    0x01ff8800,0x0bfff500,0x803f2000,0x362002fb,0x3fffa4ff,0x00bfe01f,
    0x801bffe6,0x2003fffd,0x3fffffc8,0xffff1000,0x01fffe81,0x005fffd8,
    0x4001ff30,0xfffeafe8,0x3fa001ff,0x3fffe200,0x000fd81f,0x8000bf20,
    0x0805fffa,0x7e407e80,0x5ffd1000,0x06ffffa8,0x3e2009f3,0x3fa007ff,
    0xe98002ff,0x20006fff,0x7fc2fffa,0xffa801ff,0xdf90007f,0x897fcc00,
    0x00fffffd,0xf9801fd0,0x7ec0efff,0x013e0000,0x0bfff500,0x3e027f54,
    0x8803f405,0xffd02ffe,0x01fb07ff,0x01fffe20,0x001fffe8,0x03ffff30,
    0x21fff400,0xf000ffff,0xf0001fff,0x3fe6007f,0x6ffffc84,0x7001fd00,
    0xfd8bffff,0x01f50000,0x5fffa800,0x4cbfffa0,0xffffffff,0xffffffff,
    0x7ec2ffff,0x3ffe607f,0x00bee0ff,0x400ffff0,0x0001fffe,0x000bfff2,
    0x7f45ffb8,0x3ff6007f,0x7fcc001f,0x40dfd000,0x803ffffc,0xff9000fe,
    0x007ec9ff,0x80004b80,0xf105fffa,0x3ba27fff,0xeeeeefee,0xeeeefeee,
    0x3ffe61ee,0x7fffe404,0xd0009f15,0x3e001fff,0x4c0007ff,0x20002fff,
    0x7fec3ff9,0xfff9000f,0x06fc8005,0xc809ff50,0x7400ffff,0x3ff6000f,
    0x001fb2ff,0x20000b60,0x3205fffa,0x1f900fff,0x7400fdc0,0x74402fff,
    0x0febffff,0x1fffc800,0x05fff880,0x0fffc400,0x83ff1000,0x7001fffc,
    0xe8003fff,0x5ffb003f,0x03fffb00,0x22000fe8,0xfd9ffffe,0x001d0000,
    0x0bfff500,0x1fa00ba8,0xff001f90,0xff3001ff,0x0005ffff,0x200fffe6,
    0x0002fffa,0x0000ffe8,0xff503fe6,0x3fee005f,0x07fcc007,0x007ffc40,
    0x201fffc4,0x7cc000fe,0x00feffff,0x20000d00,0x0004fffa,0x037405f8,
    0x00ffffcc,0x0fffffb8,0x17ffa000,0x003ffee0,0x001bfa00,0xff30df50,
    0x3ff2009f,0x037e4006,0x2007ff98,0x7f403ffe,0xfffa8000,0x00000fff,
    0x7ffd4000,0x27cc0003,0xf300bf10,0x74007fff,0x800effff,0x807ffb84,
    0x00004ffd,0xd80007ff,0x0dffb01f,0x000bff60,0x3e2007fd,0xff9000ff,
    0x000fe803,0x1fffff70,0x80000000,0x0001fffa,0x7f3017dc,0xfffff100,
    0x3fff6001,0x16e00eff,0xf007ffe2,0x700001ff,0xfa8000df,0x0bffe203,
    0x3001bfa0,0x7f4003ff,0x1ff9002f,0x0000fe80,0x003ffff6,0xb9300040,
    0x007ffa83,0x2e00fc80,0xfffd001f,0x7f4c01bf,0xbfffffed,0x4c0bea20,
    0x3fea05ff,0x22002a04,0x16ecc1ff,0x2a01be60,0x7fd406ff,0x037e4002,
    0x401bfea0,0x0fe803fe,0x3ffa2000,0x7f44000f,0xfffd800e,0x000bfee0,
    0x1f901fa0,0x3fffe600,0xf9510aef,0x3fffa27f,0x6ffdefff,0x4417fd40,
    0x3ffa05ff,0x03dd301d,0x415bfffb,0xb000dfc8,0x3fa209ff,0x03fe8003,
    0x402ffd80,0xff8806fb,0x7fc40002,0x7fe4000f,0xffff804f,0x00017f63,
    0x01ba02fc,0xffffff70,0x03dfffff,0xfffffffb,0xdf9001ff,0x017fae25,
    0x59dfffff,0x2a01bfb7,0xeeffffff,0x744003ff,0x3fa60bff,0x1ff98002,
    0x09ff9000,0xb10037f2,0x00015dff,0x20007fcc,0xb805fffd,0xff9affff,
    0x3f980000,0x4c002fc0,0xfffffffe,0x7ff5c03e,0x2001dfff,0x2effffda,
    0xfffffa80,0xc802deff,0xbdffffff,0x3fee0000,0x001dfeef,0x8000df70,
    0xfedeffe9,0x7ff6c02e,0x00efffff,0x8001f700,0x8802fffa,0x0dfffffe,
    0x03930000,0x30001644,0x00037995,0x00057971,0x4000d544,0x0009abaa,
    0x001baa88,0x01ba9800,0x002cb800,0x13753100,0x00000000,0x5c400054,
    0x5e5c4000,0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x51000000,0x00057bd9,0x2f7fb2e2,
    0x20001d81,0xcdefedca,0x26624a81,0x99999999,0x26666620,0x20099999,
    0x99999998,0x33333109,0x01333333,0x26666620,0x33310999,0x33333333,
    0x33331001,0x00133333,0xdfdd9930,0x203b037d,0x99999998,0x99999999,
    0x99999999,0x33333310,0x00133333,0xfff9bff7,0x7fdc003d,0xdffffeef,
    0x44001fbb,0xdceefffc,0xe88beffe,0x3fffb665,0x261cffff,0xfffffffc,
    0x3b2603df,0x51dfffff,0xfffffffb,0x2a0039df,0xeffffffe,0xffffd971,
    0x0079bfff,0xffffff97,0x2e20039b,0xdcdffffe,0xf9acfffe,0xfffff501,
    0xffffffff,0xffffffff,0x3fb2e9ff,0xcdffffff,0x2077e402,0xe802ffea,
    0x32a20cff,0x001fffff,0x8073fff2,0x05ffffea,0x80dffffb,0x0fffffd8,
    0x077fdc00,0xfffffd88,0x3fe60004,0x3fea02ff,0x20002fff,0x4001fffb,
    0x01bdfffa,0x0bffffea,0x66f7ffd4,0xefffeccc,0xffedcccc,0xffffa85f,
    0x0dfb001f,0x900fffcc,0xfe8805ff,0xfd8801ff,0x3ea001ef,0xfff106ff,
    0xfff1009f,0xff1000df,0xffffd003,0xffc80003,0x6fffd802,0x03fe8000,
    0x027ffdc0,0x05fff910,0xfb807fee,0x3fa204ff,0x09fffd05,0xb00bfea0,
    0x3fea0dff,0x3ffd1005,0x0effe880,0x07ffa800,0x401bfff2,0x8007fffc,
    0xff5005f9,0xc80003ff,0xfff9005f,0x5fb0000b,0x27ffec00,0x03ffb800,
    0xffb801f7,0x82f4404f,0xd003fffd,0xfff100ff,0x005ffb07,0x3a00ffc4,
    0x20001fff,0x3fe607fb,0xff8800ff,0x7dc001ff,0x3fffa002,0x0ffc0004,
    0x04fffb80,0x001fd800,0x0007fff7,0x0b704fd8,0x009fff70,0x3fff60d5,
    0x06ffb803,0xf81fff90,0x7e4001ff,0x13ffee01,0xd01fa000,0x3a005fff,
    0x74003fff,0x7ffdc007,0x17ea0007,0x04fffb80,0x801fc800,0x0005fff9,
    0x07904f88,0x009fff70,0x3fff60d1,0x05ffd803,0x447fff70,0x54004fff,
    0xffff301f,0x1f500001,0x02fffe40,0x006fffb8,0xf10017e2,0x20005fff,
    0x3ee001fd,0xc80004ff,0xfffe801f,0x0b900001,0x3fee002a,0x3607004f,
    0xff803fff,0xfff3004f,0x00ffff89,0xffd80fc0,0x3e00004f,0x3fffe600,
    0xffff8800,0x005f7001,0x00dfff90,0xb800df10,0x80004fff,0x7fe401fc,
    0x2200006f,0x7fdc0006,0x7ec0004f,0x7fc403ff,0xfff1005f,0x1efffe8b,
    0x3e207600,0x00002fff,0xfffd0072,0x3fffe007,0x000fd003,0x007fffe6,
    0xb8007f70,0x80004fff,0x7ffc01fc,0x0400002f,0x3ffee000,0x7fec0004,
    0x7ffcc03f,0x1fffe006,0x05fffff9,0x7ffdc020,0x0000000f,0x4037ffdc,
    0x806ffff9,0x360004f9,0x74005fff,0x7fdc000f,0xfc80004f,0x3fffea01,
    0x00000000,0x027ffdc0,0x0ffff600,0x00ffff10,0xd107fff4,0x01bfffff,
    0x1bfffa00,0x22000000,0x6400ffff,0x401fffff,0x2a0002fc,0x5000ffff,
    0xff7000bf,0xf900009f,0x3fffec03,0x00000000,0x0027ffdc,0x00ffff60,
    0x4003fffe,0x7cc0ffff,0x04ffffff,0x05ffff80,0xfb000000,0xdef807ff,
    0x3f404fff,0x7fff4000,0x003fb003,0x009fff70,0x7c03f900,0x00006fff,
    0xffb80000,0x7ec0004f,0xffe803ff,0xfff8804f,0xfffff507,0x22005fff,
    0x0005ffff,0xfff50000,0x7d67d40d,0x13e607ff,0x3ffee000,0x006f8807,
    0x009fff70,0x2203f900,0x0005ffff,0xfb800000,0x6c0004ff,0xfb803fff,
    0x7c400fff,0x3fa607ff,0x1effffff,0x27fffcc0,0x88000000,0xfb00ffff,
    0x407fffe3,0x880001fc,0x5c02ffff,0xff70003f,0xf900009f,0x3fffe603,
    0xffff0004,0x3dffffff,0x4fffb800,0x7ffec000,0x9fffd003,0x06fffa80,
    0xffffffb8,0xff500cff,0x000009ff,0x1fffec00,0xfff937c4,0x0001fa09,
    0x406fffc8,0xf70000ff,0x900009ff,0x3ffea03f,0x7d40004f,0x000effff,
    0x009fff70,0x03fffd80,0x09ffff50,0x09ffffb3,0x3ffff620,0xf981efff,
    0x00004fff,0x3ffea000,0x3e63fa86,0x04f987ff,0x3ffe6000,0x009f501f,
    0x027ffdc0,0xa80fe400,0x0004ffff,0x02ffffb8,0x13ffee00,0x7fffb000,
    0x7fffd400,0xfecffddf,0x74c002ff,0x0effffff,0x027fffc4,0x3e000000,
    0x07ec1fff,0xf90bfffa,0xfd800003,0x03fb05ff,0x27ffdc00,0x80fec000,
    0x005ffff8,0x0ffff980,0x3ffee000,0x7fec0004,0x7ec4003f,0xf88cefff,
    0x2e0007ff,0x86ffffff,0x0005ffff,0x7fe40000,0x321be24f,0x037c5fff,
    0x7ffd4000,0x0037c40f,0x013ffee0,0xf807f600,0x80006fff,0x000ffff9,
    0x013ffee0,0x07fffb00,0x2a04c400,0x40004fff,0x3fffffc8,0x0037fff4,
    0x3e600000,0x20fea6ff,0xf30ffff9,0x3a000009,0x1fe43fff,0x3ffea000,
    0x0fd80005,0x03ffffa0,0xffff1000,0xfffb8000,0x7fec0004,0xd800003f,
    0x00280fff,0x45ffffc8,0x000ffffd,0x7fc00000,0x201fb1ff,0x3f92fffe,
    0x3ee00000,0x007fc7ff,0x17ffea00,0x803fa000,0x003ffffd,0x03fffc40,
    0x13ffee00,0x7fffb000,0xff980000,0x2000f04f,0x7d47fffc,0x00002fff,
    0x7ffe4000,0x3ee05f8c,0x000df5ff,0x7fffc400,0x00009f52,0x000dfff5,
    0xff980fd0,0x440005ff,0x40007fff,0x0004fffb,0x001fffec,0x03bffa00,
    0x7c4000fc,0x7ff40fff,0x0400005f,0x3fffe600,0x3fe202fb,0x0003fbff,
    0xb7ffe400,0x980001fd,0x40007fff,0xffd806f8,0x220000ff,0x40007fff,
    0x0004fffb,0x001fffec,0x03fff500,0xfe80027c,0xffffa87f,0x0b500001,
    0xfffffd00,0xffffe801,0x4000001f,0x6fbffff9,0x3ffe0000,0x3e60001f,
    0xffff8804,0x3fe20005,0x7dc0007f,0x6c0004ff,0x00003fff,0xf807fff1,
    0xdffb0007,0x01bfffa0,0x0003a600,0x017fffee,0x01bfffee,0x7fec0000,
    0x00002fff,0x0013fff6,0xf7003fc8,0x20005fff,0x0007fff8,0x0027ffdc,
    0x00ffff60,0x0fffa200,0x20013fe0,0xff304ffe,0x440009ff,0xff10001e,
    0xff1005ff,0x000007ff,0x1ffffea0,0xfff30000,0x1be6000d,0x1ffffb00,
    0xffff1000,0xfffc8000,0x7fec0004,0xfd80003f,0x9fff002f,0x037fd400,
    0x017fffe6,0x0000fa60,0x6c00fffd,0x00000fff,0x13fffa00,0x3ff60000,
    0x7f4c004f,0xfffd8002,0x7fc4001e,0x7e40007f,0x740005ff,0x20003fff,
    0x2001efe9,0x9805ffff,0xfa801fff,0x9802efff,0xb80003fb,0x3ea004ff,
    0x0000006f,0x000fffdc,0x7fff4400,0x7fdcc00d,0x3ff60004,0x3ea002ff,
    0x740007ff,0x40006fff,0x8005ffff,0x000cffb9,0x6ffffffc,0xdffb311b,
    0x7fec4005,0xb9abcfff,0x0001fffd,0x4003ff10,0x00003ff8,0x037fc400,
    0xffb10000,0xb7357bff,0x0007ffff,0x7dfffd30,0xfffd7301,0x7dc0003b,
    0x001cffff,0xbfffffc8,0x3ff6e200,0x5f0000cf,0xffffd931,0x0009ffff,
    0x7ffffed4,0x002effff,0x8007d800,0x000000fd,0x0002fc80,0xfffda800,
    0xcfffffff,0x6d400000,0xfeefffff,0x000befff,0xfffffd70,0x809dffff,
    0xffffffed,0xca83efff,0x380001ab,0x35999530,0x55400001,0x000abccc,
    0x000a6000,0x000000e6,0x00002440,0x332aa200,0x00002abc,0x99975300,
    0x00001357,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x99999998,0x09999999,
    0x99998000,0x99999999,0x4ccc0009,0x99999999,0x33310099,0x41333333,
    0x99999998,0x88019999,0x99999999,0x4cccccc1,0x30000019,0x13333333,
    0x4ccccccc,0x00199999,0x4cccccc0,0x30199999,0x33333333,0x26660013,
    0x99999999,0x99999999,0xffb91019,0xffffffff,0x007bffff,0xffffb910,
    0xffffffff,0xffb007bf,0xffffffff,0x3b2a03bf,0x3dffffff,0x3fffff6a,
    0x804dffff,0xffffffdb,0xffd910ce,0x0005ffff,0xfffff980,0x3f721ccf,
    0xdfffffff,0x910000cc,0xfffffffb,0xdc8819bf,0xceffffff,0xffff9801,
    0xffffffff,0xffffffff,0xfffd8806,0xfdbabcdf,0x0000dfff,0x9dffffb1,
    0xdffffd97,0xfff93003,0xd800dfff,0x2600dfff,0x0ffffffe,0xffffa800,
    0x7fff4403,0x6c00006f,0x400effff,0x1fffffc8,0xffb00000,0x7ec00bff,
    0x54002eff,0xaabdefff,0xeaaaaaaa,0x3001ffff,0x2201ffff,0x003ffffd,
    0x20ffff30,0x03ffffc8,0x9fffff50,0x02ffc800,0x13ffffa0,0x01fff800,
    0x5fffff70,0x3fe20000,0xf1003fff,0x00007fff,0x0ffffcc0,0x01bffd00,
    0x001df700,0x03ffffa8,0x03fffe20,0x05ffffb0,0x0ffff100,0x04ffffd8,
    0x1fffff50,0x00bfe200,0x0dffff10,0x00bfe200,0x5fffffa8,0xfff90000,
    0x7fc005ff,0x000002ff,0x003fffe2,0x0001ffd4,0xf88001f7,0xf8005fff,
    0x7c400fff,0x4000ffff,0xe807fff8,0x9001ffff,0x2007ffff,0xf70004fd,
    0x90007fff,0xef88009f,0x0001ffff,0x7fffffc4,0x3fffe001,0x22000001,
    0x9800ffff,0x640003ff,0xfffd8004,0xfff8000f,0xfffc800f,0xfff8002f,
    0xffffb807,0x3fff6004,0x02fdc00f,0x3ffff600,0x01be6000,0x3ff77e20,
    0x7dc0005f,0x001fffec,0x0007fffa,0x0ffff000,0x0007ff30,0xfb800590,
    0xf0002fff,0xf5001fff,0xf0007fff,0xff300fff,0x7c400dff,0x3e606fff,
    0x7c40000e,0x36005fff,0xdf88001f,0x000ffff9,0x3ffa3fe0,0x3ffa001f,
    0x4000001f,0x7cc07fff,0x1b00003f,0x7fffc400,0x3ffe0005,0xfff9800f,
    0xfff8004f,0xfffff007,0xffffa800,0x001ff883,0x5ffff700,0x0009f700,
    0x7ffed7e2,0x2bf50004,0x2001fffe,0x0001fffe,0x03fffc00,0x00007ff3,
    0x7fff4000,0x3fe0000f,0xffb800ff,0xff8002ff,0xffff007f,0xfffb000f,
    0x002fe81f,0x7ffff400,0x003fe200,0xff9afc40,0xfe8000ff,0x003fffd1,
    0x000ffff4,0x1fffe000,0x0001ffcc,0xfff90000,0xff80003f,0xffc800ff,
    0xff8001ff,0xfff8807f,0xff88005f,0x013f25ff,0x3ffe2000,0x00bf604f,
    0x3fa5f880,0x7d4003ff,0x007fffa5,0x001fffe8,0x3fffc000,0x0001ffcc,
    0xfff30000,0xff00009f,0xff8801ff,0xff0005ff,0xfff300ff,0x3ea0009f,
    0x06fabfff,0x3fee0000,0x05fa81ff,0xf52fc400,0xfd800fff,0x007fffa2,
    0x001fffe8,0x3fffc000,0x0000ffea,0xffe88000,0xff00006f,0xffe801ff,
    0xff0000ff,0xfffb00ff,0x7e40001f,0x000fffff,0x7fff4000,0x0007f446,
    0xffd17e20,0x1be6007f,0x4003fffd,0x0001fffe,0x53fffc00,0x000007ff,
    0xffffc800,0xfff00001,0x3ffa601f,0x3e0001ef,0x7fd407ff,0x440003ff,
    0x002fffff,0xfff98000,0x000ff24f,0xff717e20,0x0bf600df,0x4003fffd,
    0x0001fffe,0xbbfffc00,0x000003ff,0x7fffd400,0x3fe00003,0xfb5530ff,
    0x00019fff,0x2e07fff8,0x0005ffff,0x07ffff50,0x3ee00000,0x06f99fff,
    0xf0bf1000,0xf8805fff,0x01fffe87,0x007fffa0,0xffff0000,0x001dfff9,
    0x3e200000,0x00005fff,0x7ffffffc,0x002effff,0x3bfffe00,0xfffedccd,
    0x6c00002e,0x0001ffff,0xdfffd000,0x200003fd,0xfffc85f8,0x741fe406,
    0x3a001fff,0x00001fff,0x7effffc0,0x0000efff,0xfffd8000,0x7c00000f,
    0xfdaabfff,0x400006ff,0xedbaffff,0x0002bcee,0xfffff980,0x30000006,
    0x009fffff,0x442fc400,0xf101ffff,0x3fffd01f,0x0ffff400,0x3fe00000,
    0xffffd8ff,0x0000000e,0x00bfffee,0x3fffe000,0x13fffa20,0x7fff8000,
    0x88000000,0x3ffffbff,0xf9000000,0x80000fff,0xfff905f8,0x7413ee0b,
    0x3a001fff,0x00001fff,0xfb3fffc0,0x0001dfff,0xffff1000,0x3e00000b,
    0x7fcc0fff,0xf00002ff,0x00000fff,0x3f65fd00,0x00001fff,0x06fff980,
    0x82fc4000,0xf81ffff8,0x3fffd00f,0x0ffff400,0x3fe00000,0x7fffec7f,
    0x4000000e,0x000ffffe,0x1ffff000,0x01ffff70,0x0ffff000,0xfc800000,
    0x1bfffe24,0x3e600000,0x400006ff,0x3ff605f8,0xd02fd44f,0x74003fff,
    0x00001fff,0x6c3fffc0,0x000effff,0xffff7000,0x7c000005,0xffb00fff,
    0xff0000bf,0x000000ff,0x7fd42fd4,0x000004ff,0x0037ffcc,0x9817e200,
    0x3fa0ffff,0x07fffa01,0x01fffe80,0x7ffc0000,0xdffffb07,0xf9800001,
    0x00004fff,0x807fffc0,0x003ffff8,0x003fffc0,0x0ef98000,0x03ffffb0,
    0x7fcc0000,0x4400006f,0x7fff405f,0xfe80bf54,0x3fa001ff,0x000001ff,
    0xfb03fffc,0x0001dfff,0x037fff40,0x7ffc0000,0x3ffea00f,0x3fe0001f,
    0x8000007f,0x3e201fe8,0x00006fff,0x01bffe60,0x80bf1000,0xfd8ffffa,
    0x0ffff402,0x03fffd00,0x7fc06800,0x7ffec07f,0xc80000ef,0x0001ffff,
    0x3ffe0091,0x7ffe400f,0xfff0000e,0xb000000f,0xfff5007f,0x2000009f,
    0x0006fff9,0x7402fc40,0x806fdfff,0x2001fffe,0x0001fffe,0xffff012a,
    0xdffffb00,0x7fd40001,0x2e0003ff,0x1ffff004,0x0bfffd00,0x1ffff100,
    0x7e400000,0x3fff6004,0x9800001f,0x00006fff,0x7d402fc4,0xe802ffff,
    0x3a001fff,0x20001fff,0x3ffe201e,0xffffb007,0xff10001d,0xe8000dff,
    0x1ffff002,0x7ffff300,0xffff8800,0xf9000000,0xfff8800d,0x400000ff,
    0x0007fff9,0xf8037c40,0xfd007fff,0x7fc003ff,0xf90002ff,0x0ffff880,
    0xfffffb00,0xfffd8003,0x3ea0000f,0xffff8801,0xffff7001,0x7ffc4005,
    0xb800000f,0xfb8001ff,0x00005fff,0x003fffd4,0x401be600,0xf003fffb,
    0x7c005fff,0x44003fff,0x7fc405fc,0x3fa000ff,0x5001ffff,0x0007ffff,
    0xfa803fc4,0x36002fff,0x5003ffff,0x0005ffff,0x03ffe440,0xfffff980,
    0x3ee00005,0x00000fff,0x22003fea,0xf8800fff,0xf3004fff,0x1001dfff,
    0xa805ffd5,0x2002ffff,0x4ffffffa,0x2ffffc40,0x0dff7000,0xdffffd30,
    0xfff10017,0x26037dff,0x0beffffe,0x3fea2000,0x4000bfff,0xeffffffd,
    0x3e60000b,0x002dffff,0x1dffe980,0x8804fc80,0x0bfffffd,0x3ffffa20,
    0xeeeeefff,0x0fffffff,0x3ffffa60,0xfffb001f,0x059dffff,0xdddffffd,
    0xdddddddd,0xbfffffdd,0x3ffffa60,0x1effffff,0x7ffffcc0,0xfffd36ff,
    0xdfffffff,0xfffc8003,0x04ffffff,0x7fffff44,0x02ffffff,0x3ffffaa0,
    0x06ffffff,0x7ffff4c0,0x2205ffff,0x3ffba00f,0xefffffff,0xffffdd12,
    0xffffffff,0xffffffff,0xffffd30b,0x1dffffff,0xffffff70,0x3fffffff,
    0x3fffffea,0xffffffff,0xffffffff,0x0000003f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x99999800,
    0x01999999,0x33333331,0x99833333,0x99999999,0x99999999,0x33009999,
    0x33333333,0x33333333,0x3bb21333,0x02eeeeee,0x4bddddd7,0x99999999,
    0x00999999,0x33333000,0x33333333,0x00000333,0x0013fa20,0x379dd971,
    0x2d800000,0x20220000,0xfffffdc8,0x980cdfff,0xffffffdc,0x7ee44cef,
    0xffffffff,0xffffffff,0xdc883fff,0xffffffff,0xffffffff,0xff713fff,
    0x88019fff,0xb910bffe,0xffffffff,0xdfffffff,0x64400159,0xfffffffd,
    0xffffffff,0x000001ce,0x54009ffb,0xffffffff,0x8800000c,0xf900006f,
    0x7fec019f,0x744006ff,0x7004ffff,0x5557ffff,0xb9555555,0xffb009ff,
    0x555555ff,0x9fffb955,0x00ffffa8,0x6c409f90,0xbcefffff,0xffffedba,
    0x6c4001ef,0x9abcffff,0xffffcba9,0x2a00001e,0xf9004fff,0xffffffff,
    0x800003ff,0x40001ffc,0x206ffff9,0x001ffff9,0x007fffb8,0x007fffe2,
    0xf3009f90,0x74c00fff,0x2fffd84f,0x9801fd00,0x4400ffff,0x04fffffa,
    0x07fffcc0,0x3ffff220,0xff880003,0xff9804ff,0xfffdbcef,0x400006ff,
    0x40004fff,0x01fffffb,0x001ffff1,0x00dfff50,0x001ffff8,0xff8804e8,
    0x27c4007f,0x402fffc4,0xff8805f9,0xfb1000ff,0x2001dfff,0x000ffff8,
    0x005ffff7,0x4ffffd80,0x40e7f440,0x04ffffd8,0xffff5000,0x7fc40001,
    0xff104fff,0xf50001ff,0xff800dff,0x5b8001ff,0x07fff880,0xff905d80,
    0x02fc801f,0x001ffff0,0x05ffffb8,0x003fffe0,0x006fffc8,0x3ffafee0,
    0x4017d404,0x0007fffd,0x07ffffd0,0xf8ab8800,0x03fffe05,0x1bffe600,
    0x03fffd00,0xf100b100,0xb3000fff,0x013ffe20,0x7ffc00df,0xffc8000f,
    0xfff004ff,0x7fcc001f,0xf98002ff,0xd809ffd5,0xffff1003,0xff980003,
    0x00006fff,0xfff813e6,0xff98000f,0x7ff4006f,0x0010001f,0x000ffff1,
    0x0fffd802,0x7c007f50,0xd0000fff,0xf003ffff,0xf8001fff,0xe8003fff,
    0x809ffd0f,0x3ff2000e,0x7ec0002f,0x002ffffa,0x7c05f900,0x98000fff,
    0x74006fff,0x00001fff,0x01fffe20,0x3ffe6000,0x4001fd04,0x0000ffff,
    0x00bffff5,0x8001ffff,0x4005fffe,0x13ffa2fc,0xffa80030,0x3e20002f,
    0x00bfff96,0xff017a00,0xf30001ff,0xfe800dff,0x006001ff,0x00ffff10,
    0xfffb0002,0x4005f981,0x0000ffff,0x003ffff6,0x4001ffff,0x004ffff8,
    0x9ffd17e6,0xff980000,0x3ee0000f,0x01ffff13,0x00764400,0x0003fffe,
    0x001bffe6,0x4003fffd,0x3fe2000e,0x800f007f,0x7e43fff9,0x7fffc001,
    0x3fea0000,0x7ffc03ff,0x3fea000f,0xdd1002ff,0x004ffe81,0x037fd400,
    0xfd83fe00,0xd50004ff,0xffff001d,0xfff30001,0xfffe800d,0x8003e001,
    0x8807fff8,0x7ffe8007,0x7fc0037c,0x260000ff,0x7c06ffff,0x36000fff,
    0x32006fff,0x04ffe81f,0x27fdc000,0xa89f5000,0xb8007fff,0x3ffe002e,
    0xff98000f,0x7ff4006f,0x01f9001f,0x03fffc40,0x7d4003e4,0x007f53ff,
    0x001ffff0,0x3ffffc40,0x003fffe0,0x0bffff62,0xfe827d40,0x6c00004f,
    0x3a0001ff,0x2fffe81f,0x7c000400,0x98000fff,0x74006fff,0x9999afff,
    0x0ffc9999,0x3fffe200,0xeb999999,0xffd0007f,0x20003fad,0x0000ffff,
    0x203ffffc,0x2200ffff,0x01ffffea,0x7f40df10,0x7c00004f,0x3e60005f,
    0x0dfff705,0xfff00000,0xdddddddf,0xfddddddd,0xfe800dff,0xffffffff,
    0x00ffffff,0x3ffffe20,0xffffffff,0xfff50007,0x3e000bf9,0x40000fff,
    0x200ffffd,0xeeffffff,0xffffffee,0x07f6000c,0x0004ffe8,0x0003fee0,
    0xff102fc8,0xea8003ff,0xffff801d,0xeeeeeeee,0xffeeeeee,0x7ff4006f,
    0xaaaaaabf,0x000fffdc,0x333fffe2,0x7ffecccc,0x3fffa000,0xfff0001f,
    0xfd80001f,0x3fe01fff,0xfdcdeeff,0x1cffffff,0xe807f700,0x100004ff,
    0x440009ff,0x7ffec06f,0x2fff4004,0x007fffc0,0x037ffcc0,0x007fffa0,
    0x88003fa2,0x74407fff,0x3fee0007,0x3fe0006f,0x740000ff,0x7fc07fff,
    0xd73100ff,0x403dffff,0xffe805f9,0xbf900004,0x03fb8000,0x007fffcc,
    0x807fff88,0x8000ffff,0x4006fff9,0x1001fffe,0x7fc4001f,0x0079807f,
    0x001fffc0,0x001ffff0,0x06ffff80,0x8007fffc,0x01fffffd,0xffd001fd,
    0xdf100009,0x0ff80001,0x03fffe80,0x00ffff10,0x0001ffff,0x800dfff3,
    0x2001fffe,0x3fe2000f,0x000f007f,0x0000ffb8,0x0003fffe,0x05ffff88,
    0x0007fffc,0x81dffff7,0xffd002fc,0x3fd00009,0xaefa8000,0xaaaaaaaa,
    0x2006fffd,0xff806fff,0xf98000ff,0x7f4006ff,0x032001ff,0x07fff880,
    0xf98000b0,0x7ffc0004,0x3e60000f,0x7fc04fff,0x7ec000ff,0x3fe64fff,
    0xeeeeeeee,0xeeffffee,0x17ec003e,0x7fff4000,0xffffffff,0x001fffff,
    0xff009ffd,0xf30001ff,0xfe800dff,0x000001ff,0x001fffe2,0x00fe4000,
    0x03fffe00,0xffffb800,0x07fffc02,0x3fffee00,0x3ffffe65,0xffffffff,
    0x04ffffff,0x0000fee0,0x266677e6,0xc9999999,0xfb005fff,0xffff007f,
    0xfff30001,0xfffe800d,0x22000001,0x00007fff,0x0006f880,0x000ffff8,
    0x01bfffa0,0x0003fffe,0x4cfffff1,0xffffffff,0xffffffff,0xf5004fff,
    0x3f200009,0x7ffcc002,0x1ffb800f,0x00ffff80,0x06fff980,0x00ffff40,
    0xff880a00,0x8000007f,0xf80003fb,0x70000fff,0xf005ffff,0xf0001fff,
    0x9998dfff,0x99999999,0x999dfff9,0x004f9800,0x000df100,0x200ffff6,
    0xff800ffa,0xf98000ff,0x7f4006ff,0x2a0001ff,0x1fffe205,0xff100000,
    0xfff00001,0xff10001f,0x3fe00bff,0x7c4000ff,0x40004fff,0x4c004ffe,
    0x2e00005f,0xff50003f,0x0ff100ff,0x003fffe0,0x01bffe60,0x003fffd0,
    0xf880be20,0x000007ff,0x80001fe4,0x8000ffff,0x000ffffc,0x8001ffff,
    0x001ffffa,0x0027ff40,0x0b800bf3,0x80003fe0,0xf803ffff,0xffff8805,
    0xfffa8000,0x7fffc006,0x80fb0001,0x000ffff8,0x45675c40,0x200006fc,
    0x4000ffff,0x002ffffc,0x001ffff1,0x03ffffc4,0x027ff400,0x5c005f98,
    0x0017ee06,0x00dfff90,0xfff1009d,0xff50001f,0xfff800ff,0x5fb8001f,
    0x07fffcc0,0x3ffee000,0x0002ffff,0x01ffff10,0x3ffffa60,0x3ffe2002,
    0xffb1000f,0xd00005ff,0xdf3009ff,0x33333333,0x407fd753,0x4c0002ff,
    0x5402ffff,0xffffa801,0xfffc8002,0xfff1000f,0x7ec4007f,0x7ffd402f,
    0x7dc0001f,0x002fffff,0x3fffea00,0x7ffe4c00,0x7d4001df,0xfb800fff,
    0x0003ffff,0xa809ffd0,0xffffffff,0xffffffff,0x003ff900,0xfffff980,
    0x7f4c0000,0x2001ffff,0x1dfffffa,0x7ffff4c0,0xccccccef,0x07fffecc,
    0x77ffff4c,0x3fe20001,0x00001eff,0x3fffffa2,0xffecccef,0x8001dfff,
    0xffffffe9,0xffedccde,0x0001dfff,0xa813ffa0,0xffffffff,0xffffffff,
    0xefffc985,0xffb30000,0x0017dfff,0x7fffff4c,0x81efffff,0xffffffea,
    0x3a26ffff,0xffffffff,0xffffffff,0x984fffff,0xfffffffe,0x0001efff,
    0x20000373,0xffffffe9,0xefffffff,0x98001bde,0xfffffffe,0xefffffff,
    0x0000acee,0x204ffe80,0xffffffff,0xffffffff,0x7fffe42f,0x1003ffff,
    0xffffffff,0x00005fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x10000000,0x000800f7,0x0002a200,
    0x00000000,0x10040000,0x80098153,0x00000a98,0x800004cc,0x400009a8,
    0x88000998,0x76c0c40a,0xdd05eeee,0x4c09dddd,0x1dda81dd,0x007ffb88,
    0xb8000074,0xcf98001f,0x00000000,0x07e4c000,0x3fffff62,0x3ee00fcd,
    0x04dfffff,0xfffda880,0x4c001cef,0x2efffffd,0x3ffb2200,0xc9803fff,
    0xdff910ff,0x7fffc983,0x17fff660,0xfe86ffd8,0x3fff226f,0x03e6007f,
    0x00fdc000,0x0efffc40,0x00000000,0x51bff6a0,0xfb5115df,0xdfd101ff,
    0x17ffa617,0x89cffa80,0x002fffc9,0xfb735bf7,0xfa801bff,0xffeb89bf,
    0x7ff5c40e,0xffffd0ff,0x01fffa0b,0x7c0bfff3,0x3fe20fff,0xfeceb8ff,
    0x3fa007ff,0x3f700000,0x7ff54000,0x0000002e,0x3ffae200,0x80ffc41d,
    0xffe80ffa,0x04fff882,0xf503ffb8,0x3fd809ff,0x409fff90,0xffa80efc,
    0x7fee5c6f,0xffeec8ff,0x0fffb06f,0x7c0bfff0,0x3fe60fff,0x7fff817f,
    0x001ff900,0x0007ee00,0x2ffff660,0x00000000,0x019fff91,0x1f901bee,
    0x3607ffa8,0x7fcc07ff,0x1fffdc05,0x7ec05fa8,0x2ff981ff,0x40bfffa0,
    0x2a5bfffd,0xfff901ed,0x40bffd00,0xfff87fff,0x00fffb06,0x0001fff5,
    0x00007ee0,0x1cfffc88,0xb3000000,0xf9005dff,0x207cc01f,0x3f207ffc,
    0x3ffa00ff,0x7fffc400,0x5c00fe80,0x5fe86fff,0x81fffe40,0x000ffffb,
    0x7403ffe4,0x3ff605ff,0x905ffe85,0xffa80fff,0x700000ff,0x1000003f,
    0x005bffd7,0x3ffaa000,0x3ff6001d,0x3ea07403,0x3ffee05f,0x00fff500,
    0xf713fff2,0xffff300f,0x4402ffb8,0xff500efd,0xff90007f,0x0bffd00f,
    0x7ec27fe4,0x0fff904f,0x3fffff62,0x0004eeee,0x000003f7,0x03effda8,
    0xfffc8800,0xffb8000c,0x501300df,0x7ffd4017,0x00dff900,0xfd1fffe2,
    0x9999999d,0x43ffff99,0x01001ffe,0x000fffa8,0xe807ffc8,0x3fea05ff,
    0x703ffb82,0x3bae0fff,0xeeeefffe,0x03f70004,0x32600000,0x4000cfff,
    0x00beffd9,0x3fffe200,0xb300002e,0x3a01ffff,0x3fa004ff,0x33bfe1ff,
    0xcccccccc,0x3fe1cccc,0xf500000f,0xf90001ff,0xbffd00ff,0x540ffcc0,
    0xfff701ff,0x01fff700,0x007ee000,0xf7100000,0xea803bff,0x00002dff,
    0x3bfffff6,0xfeb88002,0xf00fffcc,0x7ec007ff,0x0dff12ff,0x07ff9800,
    0x3ffea000,0x7ffc8000,0x405ffe80,0x01ff107f,0x2e01ffee,0x00000fff,
    0x000003f7,0x77ff5400,0x0e7ffdc2,0xffc80000,0x800effff,0xf50bffc8,
    0xfff301ff,0x7ffe4009,0x000fff33,0x000fffa8,0x01fff500,0x00fff900,
    0x6e80bffd,0xffb81be0,0x0fffb807,0x33333220,0xdfdccccc,0xcccccccc,
    0x2000004c,0x3fe27ffd,0x000000cf,0x7fffff4c,0x37fe602f,0x407ffd40,
    0x2005fffb,0xff52fffb,0x7d40001f,0x500001ff,0x90001fff,0xffd00fff,
    0x3605c80b,0x01ffee05,0x9803ffee,0xffffffff,0xffffffff,0x0fffffff,
    0x3f220000,0x7dc40cff,0x00001dff,0x7ffffd40,0x04ffa83f,0xf501fff5,
    0x7dc00dff,0x3fff10ff,0x7ffcc000,0xff500003,0xff90001f,0x0bffd00f,
    0x80aa02a8,0xfb807ffb,0x4ccc00ff,0xb9999999,0x999999af,0x00001999,
    0x005dffb3,0x00bbffaa,0xfff70000,0x05ffa8ff,0x2203ffea,0x2e007fff,
    0x2fffc7ff,0x7fc42600,0x405c006f,0x8000fffa,0xfe807ffb,0x4000005f,
    0xfb807ffb,0x700000ff,0x0000003f,0x0077ffaa,0x5fffecc0,0x40190000,
    0x3e1fffe9,0x3fea03ff,0x3ffff00f,0xd17ff200,0x74003fff,0x007fffe0,
    0xfffa8344,0xfffb8000,0x02fff400,0x3fee0000,0x0fffb807,0x03f70000,
    0x7dc40000,0x00000cff,0x039fff91,0x7d402d80,0x3fff34ff,0x807ffd40,
    0xb004fffc,0xfffd87ff,0xfd8d5006,0x07b005ff,0x0003ffea,0xa807ffea,
    0x00006fff,0x403ffdc0,0x0000fffb,0x00003f70,0x17dff930,0x2e200000,
    0xb002dffe,0x27ffd00b,0x2e04fffa,0xff101fff,0xfff001ff,0xeffff981,
    0xf30fe600,0xfb80bfff,0x03fff500,0x09fff300,0x01fffbae,0xfff70000,
    0x01fff700,0x007ee000,0xdffea800,0x40000002,0x403effda,0x7fe401fd,
    0x20ffff31,0x711ffffb,0x405fffc8,0xff903ffa,0x2a237fff,0xfffb06fd,
    0x4fd983bf,0x00bffee0,0x56ffff40,0xffe8eda8,0x000039cf,0xb807ffb8,
    0x00000fff,0x880003f7,0x001cfffb,0x64c00000,0xfd80cfff,0x8bff100f,
    0xb9bfffff,0xbdfffbee,0x3fffd81e,0x440bfd10,0xffffffff,0xf101ffff,
    0xfdffffff,0xffb80dff,0xff30003f,0x21dfffff,0x02effffe,0x7ffb8000,
    0x00fffb80,0x003f7000,0x2ffff260,0x00000000,0x6fffdc40,0x10bfff61,
    0xffa81df9,0x88dfffff,0x201fffff,0x512cfffc,0xfd1009ff,0xffffffff,
    0xfffe8805,0x00efffff,0x0bffffe6,0x7fffdc00,0x33ffa0df,0x2e000001,
    0xffb807ff,0xf700000f,0xdff30003,0x00000005,0x3ffaa000,0xbfffddb0,
    0x2a019ffd,0x6c2fffff,0xeb801eff,0x2dffffff,0x7fffe400,0x36000eff,
    0x03ffffff,0x3fffffea,0x30003fff,0x01770157,0xff700000,0x1fff700f,
    0x07ee0000,0x00072600,0x00000000,0x54c186cc,0x98800abb,0x0002600a,
    0x002aeea2,0x01597300,0x26ee6200,0x00000000,0x00000000,0x201ffee0,
    0x0002fffa,0x00003f70,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x01ffee00,0x1b0fffe6,0x003f7000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3fee0000,
    0xffff8807,0x00002d9b,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xf7000000,0x3ff600ff,0xa8805fff,0x4c003300,
    0xdddd7001,0x3207dddd,0x204eeeee,0x20026028,0xeeeeeeec,0x3bbbbae3,
    0xeec84eee,0xddd52eee,0x44bddddd,0x02eeeeee,0xddddddd7,0xdddddddd,
    0x0017500b,0x0003a200,0x00000000,0x6c00fff9,0x2600beff,0x3f621ffc,
    0xd980ceff,0x9804ffff,0x01effffe,0x4057fec4,0x3260ffd9,0x2203efff,
    0x81fffffc,0xadffffe9,0x17fff300,0x7ffffe4c,0x6fff4c0c,0x3bbff602,
    0xfeeeeeee,0x7d403fff,0xfb00003f,0x3ffe6009,0xffffffff,0xffffffff,
    0xb000ffff,0x44001fff,0x7fff5401,0xfffff51f,0xfffb8bff,0xd004ffff,
    0x32005fff,0x7ff5c43f,0xffff50ff,0xfb803fff,0x3fe205ff,0x3fd801ff,
    0x0ffffea0,0x7ec027f4,0x5fffc801,0x005ffc80,0x01fffa80,0xcccccc88,
    0xcccccccc,0xcccccccc,0xffff5004,0x2a00001b,0xa9ffffcc,0xfffb9acf,
    0x737bf92f,0x5005fffd,0x3a009fff,0xfffccb86,0xcabdfa8f,0x7400ffff,
    0x7fd407ff,0x806f801f,0xfa86fffb,0x3009b005,0x7001ffff,0xd00009ff,
    0x0000bf5f,0x74c00000,0xffffffff,0x3200004f,0x881ecfff,0x81ecefff,
    0xd006fff8,0x7f300dff,0xecfffd80,0x03fffb81,0x100fffd4,0xf9809fff,
    0x9fffb002,0xd80077c4,0x7fffc402,0xf30ef4c1,0x00eecc5f,0x05f93fb8,
    0x00000000,0x80000000,0x200dfffa,0x200dfffc,0xb800fffc,0x3e401fff,
    0x06fffdc0,0x805fff88,0x7e404fff,0x003e407f,0x363ffff1,0x002e001f,
    0xfb07fffb,0x98ffc5ff,0xf8806fff,0x0001be26,0x00000000,0xff500000,
    0xfffa803f,0x07ffdc01,0x02fffc40,0x3fee013e,0x37ff400f,0x203ffe40,
    0x3e02fffc,0x7ffd4004,0x00003fbe,0xa82fffdc,0x2fb3ffff,0x804ffff9,
    0x01fdc1fd,0x00000000,0x50000000,0xfa803fff,0x7fd401ff,0xfff9001f,
    0x2007ea01,0x6c00fffb,0xff9806ff,0xffff102f,0x0007ea0d,0x017ffff6,
    0xffff3000,0x7fff5c01,0xffffadbc,0x827d400c,0x000000fe,0x00000000,
    0x3fff5000,0x01fff980,0x800fffd4,0xbd03fff9,0x03ffea00,0x200dff90,
    0x9f705ffe,0x0db03fff,0x3fffe200,0x3e200001,0x51001fff,0x37bfddfb,
    0x9807f400,0xffff305f,0xffffffff,0xffffffff,0x00001fff,0xff980000,
    0x7ffcc01f,0x0fffd401,0x30fffd00,0x3fea005f,0x37fe400f,0x80fffb80,
    0x44fff8cf,0x2a0003f8,0x00005fff,0x000ffff6,0x0073ff26,0xfd807f70,
    0xeeeee881,0xeeeeeeee,0xeeeeeeee,0x000000ee,0x7ffcc000,0x0fffcc01,
    0x007ffea0,0x642fffa8,0x3ffea007,0x037fe400,0x5c3fff88,0xb8fff90f,
    0x3ea0000f,0x80003fff,0x2005fffb,0xedceffdb,0x2200bdff,0x06f8806f,
    0x00000000,0x98000000,0x7cc01fff,0x7fd401ff,0x7ffc001f,0xa8013e26,
    0x7e400fff,0x3ff6006f,0xfff32f46,0x10002f45,0x03fffdbf,0x7fffcc00,
    0xfffe9800,0xfffb6b8d,0x007f603f,0x00001fdc,0x00000000,0x3ffe6000,
    0x0fffcc01,0x007ffea0,0x2e3fff90,0x3fea000f,0x37fe400f,0x23fff500,
    0xafff41fa,0x3a0002f9,0x06fff98e,0x3ffff100,0x9bfff600,0x17fff67e,
    0xfd0017ea,0x1ffff441,0x00000000,0xff300000,0xfff9803f,0x0fffd401,
    0x53ffe200,0x7fd4005e,0x37fe400f,0x753ffe00,0xc8fffb86,0x87f20007,
    0x8004fffc,0x2003fffd,0xff10dffc,0x7427fe43,0x27cc000f,0x001bffe6,
    0x00000000,0x1fff9800,0x00fffcc0,0x0007ffea,0x0bebfff6,0x01fff500,
    0x4006ffc8,0x82fafffc,0x04fcfff8,0xfd07f500,0x7dc003ff,0x249805ff,
    0x21ffd41a,0x003fb829,0xff983fb0,0x0000000f,0x30000000,0xf9803fff,
    0x7fd401ff,0xff98001f,0xfa8006ff,0x7fe400ff,0x7ffcc006,0x3fff606f,
    0x5f88000f,0x01dfff30,0x01ffff30,0xffc80750,0x00099005,0x7fdc1e44,
    0x00000003,0xf5000000,0xff9803ff,0x7ffd401f,0xfffd0001,0xfff50007,
    0x07ffc801,0x03fffe80,0x0017ffea,0xfc803fa2,0x7fc405ff,0x079001ff,
    0x0005ffc8,0xbf900000,0x00000000,0x3ea00000,0x7fcc02ff,0x7ffd401f,
    0xfff70002,0xfff70001,0x07ffd801,0x807ffa80,0xd8002fff,0xffff802f,
    0x0ffff603,0x2601fd40,0x000001fe,0x001f6000,0x00000000,0x1fffdc00,
    0x00bffea0,0x0007fff7,0x40017fe2,0x6c01fffc,0x44000fff,0x7fc803ff,
    0x27fec400,0x3ffffe20,0x7fffdc0b,0xaaaaaaaa,0x1002ffdc,0x00000000,
    0x000005d0,0x80000000,0x00efffe8,0x01dffff1,0x03bfffe6,0x000fe400,
    0x02ffffd4,0x009ffff5,0xf1001f90,0x7ffcc009,0xffc80fff,0x13ffffff,
    0xffffffff,0xffffffff,0x0000005f,0x0c400000,0x00000000,0xffe98000,
    0x52efffff,0xffffffff,0x3fffea5f,0x000effff,0x3ea00244,0xefffffff,
    0xffffffb1,0x1cc00bff,0x00003700,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_49_usascii_x[95]={ 0,4,2,0,2,1,1,1,1,0,3,0,2,1,
3,0,1,5,0,1,0,2,1,1,2,1,3,3,0,0,0,1,2,0,0,1,0,0,0,1,0,1,0,0,
0,0,-1,1,0,1,0,2,1,0,0,0,0,0,0,3,0,1,0,-1,2,1,-1,1,1,1,1,1,0,1,
-4,0,1,0,0,1,-1,1,0,2,0,0,0,0,0,0,0,6,3,3,0, };
static signed short stb__times_49_usascii_y[95]={ 39,9,9,9,7,9,9,9,8,8,8,12,34,27,
34,8,9,9,9,9,9,9,9,9,9,9,18,18,13,19,13,9,8,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,8,9,9,46,8,18,8,18,8,18,8,18,8,8,
8,8,8,18,18,18,18,18,18,18,12,19,19,19,19,19,19,8,8,8,24, };
static unsigned short stb__times_49_usascii_w[95]={ 0,6,14,22,18,35,33,6,13,13,17,25,7,12,
5,13,20,12,21,18,21,18,20,20,18,20,6,7,25,25,25,17,38,32,28,27,31,27,23,31,32,13,17,33,
27,39,33,30,24,30,30,21,25,32,32,42,32,32,26,11,13,11,20,24,8,19,22,18,22,18,19,21,22,11,
13,23,11,35,22,20,22,22,16,14,13,23,22,32,22,22,19,13,3,13,25, };
static unsigned short stb__times_49_usascii_h[95]={ 0,31,13,31,36,32,31,13,41,41,19,24,13,4,
6,32,31,30,30,31,30,31,31,31,31,31,22,29,22,10,22,31,41,30,30,31,30,30,30,31,30,30,31,30,
30,30,31,31,30,39,30,31,30,31,31,31,30,30,30,39,32,39,16,3,9,22,32,22,32,22,31,31,31,31,
41,31,31,21,21,22,31,31,21,22,28,21,21,21,20,30,20,41,41,41,7, };
static unsigned short stb__times_49_usascii_s[95]={ 251,238,241,1,169,1,24,247,100,40,186,
28,247,220,214,225,58,1,192,79,170,98,117,138,159,1,248,245,80,225,54,
212,1,214,141,44,109,34,62,181,1,239,230,191,163,123,178,130,32,114,1,
22,213,148,115,72,57,90,225,157,211,145,204,220,225,121,37,181,188,162,218,
196,173,161,86,106,239,28,87,141,60,83,200,106,14,217,64,110,143,86,166,
72,68,54,188, };
static unsigned short stb__times_49_usascii_t[95]={ 1,43,202,76,1,43,76,185,1,1,227,
202,171,34,34,1,76,202,171,76,171,76,76,76,76,108,76,43,202,227,202,
76,1,171,171,108,171,171,171,108,171,108,76,140,140,140,76,43,140,1,140,
108,108,108,108,108,140,140,140,1,1,1,227,39,238,202,43,202,1,202,43,
43,43,43,1,43,1,227,227,202,43,43,202,202,202,202,227,227,227,171,227,
1,1,1,34, };
static unsigned short stb__times_49_usascii_a[95]={ 177,236,289,354,354,590,551,128,
236,236,354,399,177,236,177,197,354,354,354,354,354,354,354,354,
354,354,197,197,399,399,399,314,652,511,472,472,511,432,394,511,
511,236,276,511,432,629,511,511,394,511,472,394,432,511,511,668,
511,511,432,236,197,236,332,354,236,314,354,314,354,314,236,354,
354,197,197,354,197,551,354,354,354,354,236,276,197,354,354,511,
354,354,314,340,142,340,383, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_49_usascii_BITMAP_HEIGHT or STB_FONT_times_49_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_49_usascii(stb_fontchar font[STB_FONT_times_49_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_times_49_usascii_BITMAP_HEIGHT][STB_FONT_times_49_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_49_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_49_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_49_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_49_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_49_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_49_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_49_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__times_49_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__times_49_usascii_s[i] + stb__times_49_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__times_49_usascii_t[i] + stb__times_49_usascii_h[i]) * recip_height;
            font[i].x0 = stb__times_49_usascii_x[i];
            font[i].y0 = stb__times_49_usascii_y[i];
            font[i].x1 = stb__times_49_usascii_x[i] + stb__times_49_usascii_w[i];
            font[i].y1 = stb__times_49_usascii_y[i] + stb__times_49_usascii_h[i];
            font[i].advance_int = (stb__times_49_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__times_49_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_49_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_49_usascii_s[i] + stb__times_49_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_49_usascii_t[i] + stb__times_49_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_49_usascii_x[i] - 0.5f;
            font[i].y0f = stb__times_49_usascii_y[i] - 0.5f;
            font[i].x1f = stb__times_49_usascii_x[i] + stb__times_49_usascii_w[i] + 0.5f;
            font[i].y1f = stb__times_49_usascii_y[i] + stb__times_49_usascii_h[i] + 0.5f;
            font[i].advance = stb__times_49_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_49_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_49_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_49_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_49_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_49_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_49_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_49_usascii_LINE_SPACING
#endif

