// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_38_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_38_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_38_usascii_BITMAP_WIDTH         256
#define STB_FONT_times_bold_38_usascii_BITMAP_HEIGHT        172
#define STB_FONT_times_bold_38_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_times_bold_38_usascii_FIRST_CHAR            32
#define STB_FONT_times_bold_38_usascii_NUM_CHARS             95

#define STB_FONT_times_bold_38_usascii_LINE_SPACING          25

static unsigned int stb__times_bold_38_usascii_pixels[]={
    0x20000040,0x22000198,0x00001109,0x0000000c,0x00018800,0x2bdddddb,
    0x1eeeeeea,0x00001a80,0x00100000,0x00000800,0x88098800,0x01310009,
    0x40013ff2,0xfeeffeda,0x3ea002df,0x003bff56,0x400bfd50,0x00032e6a,
    0x3ffb7260,0x1001bdef,0x3eadfff5,0xb8800eff,0x260001df,0xcdeffecb,
    0xdfb3000a,0x7fed4407,0x930ba63e,0x71199999,0x40017dfd,0x03fd82fe,
    0xff305fb0,0x326001ff,0xa9809cff,0x6fa803fc,0x88017fdc,0xd3001efe,
    0x003fb81d,0x39fff910,0x07fff951,0xfab7ffc0,0x7fdc03ff,0x02cffefd,
    0x2b3fff20,0x03fffda8,0x80ffffc8,0xfc8afff9,0xe982ffcd,0xffe9ffff,
    0x8800ffff,0x01ff80ff,0xff701ff0,0xdf7005ff,0x0de98005,0x3f61bea0,
    0x1ffd803f,0x540bf500,0x7fd4005f,0xfff301ff,0xdffd003d,0x440bffea,
    0x717f0efd,0x75401fff,0xfd101fff,0x7ffc03df,0x7ffc43ff,0x17ffff40,
    0xcfffffc8,0x05fffd98,0x7f887f98,0x220bf500,0x2200ffff,0x640004fd,
    0x50df500e,0xffa80fff,0x01ff3006,0xf7004fd8,0xfa805fff,0x7f401fff,
    0x05fff56f,0x23f8bff2,0xff701ffa,0xff9805ff,0xffff01ff,0x37ff445f,
    0x817fffdc,0x445ffffb,0x5c03ffff,0x006fa85f,0x66cc07f9,0x00bfe201,
    0xfa82ec00,0x01fffa86,0x2601bff2,0xffa804ff,0x7fffc403,0xdfffb004,
    0xab7ff401,0xff982fff,0x07f21fc7,0x013fffe2,0x4077ffec,0x361ffffe,
    0xffa83fff,0xfff702ff,0xffffb03f,0xfb83fc80,0x001ff004,0x0005fb00,
    0x7d417c40,0x02fffb86,0x3a01fff6,0xffd001ff,0x7ffff405,0xffff5002,
    0xab7ff409,0xffb82fff,0x3f10fe1f,0x05ffffd0,0x13fffea0,0xf83ffff2,
    0xffa82fff,0xfff702ff,0xffff703f,0x6c17f401,0x06f9803f,0x004fc800,
    0xfa86a800,0x01fffc86,0xa807fff2,0x3ee005ff,0xffff706f,0x7ffc400f,
    0xdffd02ff,0x320bffea,0x07f0efff,0xffffb83b,0x3ffe2007,0x7ffdc2ff,
    0x0bfffe26,0x40bfffea,0xb81ffffb,0xf101ffff,0x003fd01f,0x999107f9,
    0x6f981999,0x89efe980,0x40e83ccc,0x7ffd86fa,0x017ffd40,0x44007ffd,
    0xffe81fff,0x7f4005ff,0xffd05fff,0x20bffead,0xf9fffffb,0xffffd003,
    0xfffe800b,0x27ffcc5f,0x503ffff5,0x2e05ffff,0xfa81ffff,0xfff53fff,
    0xffffffff,0x7407ffff,0xfffd301f,0x401fd83f,0xfbd9bffb,0x543d83ff,
    0x06fff86f,0xa81fffcc,0x7c002fff,0x7ffc45ff,0x7ec004ff,0xffd06fff,
    0x20bffead,0xfffffff9,0xffff8803,0x7fec004f,0x2fff86ff,0x207ffff2,
    0x702ffffa,0xf503ffff,0x3fea7fff,0xffffffff,0x303fffff,0xfffb80df,
    0xb01be21f,0x7ff6c9ff,0x7d44b81f,0x405fff86,0xfd03fff8,0xfd8003ff,
    0x3ffe61ff,0x7ec004ff,0xfe80ffff,0x05fff56f,0x3ffffff2,0x7ffcc01e,
    0x7ec004ff,0x7ec0ffff,0x3ffff20f,0x2ffffa81,0x03ffff70,0x225ffff5,
    0x99cfd999,0x099dfc99,0xfa809f70,0x0fee1fff,0x320fffb8,0x8b507fff,
    0x4ffd86fa,0xf01fff80,0xf9000fff,0x7ffdc7ff,0x7e4003ff,0xfe81ffff,
    0x05fff56f,0x7fffffe4,0x3ffee04f,0x7e4003ff,0x7dc1ffff,0x17fffdc6,
    0x817fffd4,0xb81ffffb,0xfd00ffff,0xd007fb05,0xfffa803f,0x4c03fa1f,
    0x7ff42fff,0xfa8b304f,0x405ffa86,0xff107ff9,0xff9000ff,0x7fffe49f,
    0x7fe4002f,0xffe82fff,0x805fff56,0xfffffffb,0xffffc80e,0x7fe4002f,
    0x2fd42fff,0x20ffffea,0x702ffffa,0xf703ffff,0x3fe20fff,0x4401ff80,
    0xfffa807f,0xfe817e1f,0x2ffff87f,0x06fa8950,0x7e401ff9,0xffff301f,
    0xbfff7000,0x1fffffdc,0x3ffff200,0x56ffe82f,0xd3005fff,0x3fffffff,
    0x3fffffb8,0x7fffe400,0x7427c42f,0xffa85fff,0xfff702ff,0xbfffb03f,
    0x3e21fe60,0x804fb807,0xf11ffffa,0x13ffea09,0x201ffff1,0x9037d43c,
    0xefc883df,0x1fffee01,0x9bffee00,0x04fffffa,0x7ffffec0,0xf56ffe80,
    0x7e4005ff,0x547fffff,0x004fffff,0x07ffffe4,0x7ffdc17c,0x3fffa21f,
    0xffff702f,0x7fffc41d,0xf50bf700,0x005fb00d,0x263ffff5,0x3fffd03f,
    0x205fffb8,0x2037d42e,0x3bf15fb8,0x0dfff900,0x4ffff700,0x04fffff9,
    0x3ffffec0,0xff56ffe8,0xfff8005f,0x3e63ffff,0x4004ffff,0xd07ffffd,
    0x3ffff203,0xffffdfcc,0xbffff702,0x3ffff57d,0xefffee98,0xeeffeeee,
    0x803fc42e,0xf51ffffa,0x0ffff305,0x2207ffff,0x5406fa87,0x19fb13fd,
    0x06fffb80,0x47fffb80,0x005fffff,0x837ffff4,0xfff56ffe,0xfecf8005,
    0x7ffc6fff,0x7f4005ff,0x01506fff,0x4fffffe4,0x702ffffa,0xff73ffff,
    0xff505dff,0xffffffff,0xa87fffff,0xfff5005f,0x2e0bea3f,0x7fdc5fff,
    0x509501ff,0x33fa20df,0x203fe980,0x8007fffa,0x7e46fffb,0x7c006fff,
    0xfd02ffff,0x0bffeadf,0xfe8bf804,0x7ffe47ff,0x7ffc006f,0x4c0002ff,
    0x3fffea0a,0x3ffff702,0x7510054c,0xf55557ff,0xd815557f,0xfff5002f,
    0x320fe23f,0x3fa24fff,0x03d106ff,0x3ff60df5,0x40ffee00,0x8007fff9,
    0x7c45fffb,0x5001ffff,0x740dffff,0x5fff56ff,0x4cfe0930,0x7fc47fff,
    0xf3001fff,0x0000dfff,0x0bfffea0,0x00ffffdc,0xf887f980,0x000ff807,
    0x7c3ffff5,0x23fffd85,0xd04fffcd,0x2e1bea07,0x7fc405ff,0x7fff880f,
    0x4fffc800,0x04ffffb8,0x03ffffb0,0xffab7ff4,0x7f07982f,0x7dc2fff4,
    0xf9004fff,0x3ae03fff,0xffa8001c,0xfff702ff,0x3ee0003f,0x5406fa85,
    0x3fea005f,0x361b61ff,0xccd9efff,0x06c83fff,0x3ff61bea,0x02fff804,
    0x8001ffff,0xfb03fffc,0xf9801fff,0x7f404fff,0x05fff56f,0x747f05f3,
    0xfffb03ff,0xfff8801f,0xdfff703f,0xffff5000,0x3fffee05,0x07f90001,
    0x3fc809f9,0x3fffea00,0x3fee1f21,0xfff76fff,0x9620db85,0x5fff86fa,
    0x827ffc40,0x4001fffc,0x3200fffe,0x7ec04fff,0xffe803ff,0x305fff56,
    0xf33f83ff,0xfffb80df,0x17ffec04,0x05ffffd0,0x2ffffa80,0x03ffff70,
    0x3607fa00,0x007fc03f,0x43ffff50,0x7ffcc1fa,0xdfff10df,0x47909d73,
    0x6ffe86fa,0x81fffd40,0x4002fff8,0xfb804fff,0x7f4c0dff,0xffd002ff,
    0x20bffead,0x7f0bfff9,0x3001dfd5,0x5441bfff,0x6400effd,0x4000ffff,
    0xb03ffffb,0x0005ffff,0x3ff01ff1,0x20037cc0,0x6c1ffffa,0x984eda86,
    0x880bdefc,0x7ec37d46,0x7ffdc07f,0x013ff601,0x000fff88,0xfdfffd51,
    0x40015bff,0xfff56ffe,0x3fff6e05,0x003efffe,0x77ffee44,0x800bdeff,
    0x2004fff9,0xffffffb9,0xffff910c,0x4c0035df,0x407f886f,0x7d4003fc,
    0x1fc41fff,0x85900000,0xfffc86fa,0x03fff201,0x000fff98,0x2000bff7,
    0x05fffffa,0x2adffd00,0x4c402fff,0x0000cfaa,0x00157510,0x26000540,
    0xaaaaaaaa,0x55555510,0x54400355,0x5c02a881,0x7fcc000c,0x00fb81ff,
    0xa85b8000,0x2fffb86f,0x201fff60,0xfd003ffc,0x7ec0001f,0x8002ffff,
    0xfff56ffe,0x003f8005,0x00000000,0x00000000,0x00000000,0x7fffcc10,
    0x0000bb00,0x0df505c8,0x6401fff3,0xdfb006ff,0x003ff500,0xfffff880,
    0x7ffc000f,0x005fff56,0x000001a8,0x00000000,0x00000000,0xfb800000,
    0x40ffff16,0x80001ed8,0x21bea04c,0x7cc06ffa,0x0bfa007f,0x00005fd0,
    0x37ffffe6,0xdfff1001,0x000fffea,0x00000000,0x00000000,0x00000000,
    0x47ff4000,0xa804fff8,0x9d50004f,0xfe86fa80,0x2ffc800f,0x203fd100,
    0x400002fd,0xffffffe8,0x36ea0abd,0xfff56fff,0x0000157f,0x00000000,
    0x00000000,0x00000000,0x7c47fdc0,0xdb1000ef,0xceb88035,0x266fa800,
    0x2e001efd,0xf7000cff,0x0006f445,0xffdb3000,0x4c419dff,0x33109999,
    0x00013333,0x00000000,0x00000000,0x00000000,0xfeefd800,0xdca8001d,
    0xefedcdee,0x5bea000c,0x30002cea,0x24400fb7,0x00000035,0x00000130,
    0x00000000,0x00000000,0x00000000,0x98000000,0x4c400001,0x2200009a,
    0x0000002a,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x44000000,0x00cc0000,0x00062000,0x00013100,
    0x00400980,0x04009880,0x00000200,0x20000000,0x04001019,0x00100000,
    0x000cc004,0x09fddf90,0x000df500,0xdffffb10,0x3f220003,0x001dffff,
    0xeffffda8,0x201a21bd,0xffffecb8,0x012a1bef,0x02fbf6a2,0x77fff5c0,
    0x7f6cc01d,0xaaaaacef,0xffffd501,0xa880645b,0x001beffd,0x0ffb6e20,
    0x5dfffb50,0x1000bf60,0xdff11ffd,0x07fe2001,0x57ff7000,0x8005fffd,
    0xffc88dfa,0xff7004ff,0xb755bfff,0xa80ddbff,0x989bffff,0x4fceffca,
    0xfa9ffd40,0x3ffa603f,0x05ffd98b,0xf915fff9,0x887fffff,0xc989cefd,
    0xe880fdff,0x3ffe88df,0x6ffecc00,0xffffd802,0x5fa85fff,0xb2ffe400,
    0x3f600bff,0x7fcc0003,0x003fffc4,0xffb85ff3,0x3f6202ff,0x3aa02fff,
    0xffb106ff,0xffd8809f,0x1bfea04f,0xff103ffb,0x4fff889f,0x3a1fffe4,
    0x6c1aaeff,0xffd300ff,0x543ffb01,0xf9002fff,0x3f6001df,0xffffffff,
    0x1003fc43,0x7fe49fff,0x037d401f,0x217ff400,0x9001fffd,0xffff0bff,
    0x3fffe20d,0x6fe8801f,0x05ffff88,0xe813ff20,0x37fdc4ff,0x7407fff4,
    0xfff31fff,0x2fffc81f,0x4c04ffb8,0x3ffec0ff,0x100ffff4,0x2001dffb,
    0xffda9cfb,0x1fd86fff,0x49fff500,0x2202fffc,0x4c0001ff,0x7fd43fff,
    0xfffd000f,0x01fffff0,0x005ffffd,0x7ff437cc,0x4fd8007f,0xa87fff50,
    0x3fe24fff,0xfffb82ff,0x81ffff73,0xfe85fffb,0x21fb803f,0xfd87fff8,
    0xffd106ff,0x07a2001d,0x21ffffea,0xff7004fb,0x27ffe49f,0x00007fb0,
    0xf98bfff5,0x3ff2006f,0x7ffff40f,0x27fffe40,0x3ee36400,0x88004fff,
    0x5fffb04f,0x2a6fff98,0xfa84ffff,0xffff93ff,0xf0ffff70,0x3f001dff,
    0x6437ffd4,0xfd80ffff,0x066001ff,0x886fffe8,0xfff7007f,0x81fffe49,
    0x700006fa,0x7e41ffff,0x3fa6001f,0x46ffff84,0x01fffff9,0x3fe66880,
    0x90000fff,0x0bfffe09,0x7ccffff3,0x7dc0ffff,0xffff50ff,0x88bfff70,
    0x400effff,0x1ffff21c,0x70bfffee,0x0000dfff,0xd04fffc8,0xfff5003f,
    0x417ffe49,0x00001ff8,0x327ffff5,0x200001ef,0x643ffff8,0x000fffff,
    0x7fffec70,0x20e20007,0x4c2ffff8,0x3fe1ffff,0x3f60efff,0x3fffe25f,
    0x41fffdc0,0x02effffe,0x7fffd822,0x24ffffa8,0x003ffff8,0x077fec00,
    0xf8804fb8,0x3fff65ff,0x0003fd80,0x3bfffe20,0x800003fe,0x220efffb,
    0x007fffff,0xdfffff00,0xff300000,0xfff985ff,0x3ffff22f,0x0dff8aff,
    0x3617ffe4,0xffc80fff,0x802effff,0x4c0ffffd,0x3ee5ffff,0x1aa98fff,
    0x17fe2000,0x2e00df30,0x0fffa6ff,0x00001bea,0x417ffffa,0x1cccccc9,
    0x81dffd00,0x05fffff9,0xffff8800,0xa800005f,0x7cc2ffff,0x3fa23fff,
    0x4fefffff,0x543bfee0,0xff300eff,0x3dffffff,0x0ffffe40,0xe9bfffe2,
    0xfffeffff,0xfe8001ef,0x00fe804f,0xff33ff90,0x003ff109,0xfffea800,
    0xffb880ff,0xfa800bef,0xffff504f,0xf500007f,0x0009ffff,0x5ffff700,
    0x45ffff98,0xffffffe8,0x7ff4401f,0xfa803efe,0xffffffff,0xffffb80c,
    0xaffffcc3,0xbbeffff9,0x802fffff,0xeffffeb8,0x800ff200,0xb01ceeca,
    0x000c409f,0xffff7fd5,0x07fec0df,0x6405fd00,0x002fffff,0xfffffb80,
    0xfd800003,0x7fcc2fff,0xffd886ff,0x202fffff,0x000999db,0x7fffffdc,
    0x7c41efff,0x7fcc6fff,0xffff54ff,0x7ffff447,0x7fffec00,0xf300ffff,
    0xf500000d,0x3f7faa0d,0x43bf600d,0x03fffffa,0x7cc005fb,0x7fffe402,
    0xfb80003f,0x0003ffff,0x2ffffd80,0x42ffffcc,0xffffffd9,0x07f441ff,
    0x7ff4c000,0x1fffffff,0x4f7fffdc,0x73ffffc9,0xfb85ffff,0xb8804fff,
    0x03ffffff,0x800003fe,0xffd81ff8,0xfd03ffb2,0xffffd87f,0x4005f82f,
    0xfffb804a,0x980005ff,0x404fffff,0xccccccca,0xfff71ccc,0xffff985f,
    0x7cdffe44,0x647fffff,0x200001ff,0xffffffea,0xffffb86f,0x0fffffff,
    0x885ffff9,0x2005ffff,0x05fffff9,0x80000ff2,0x7ffa84fd,0xfc83bfee,
    0x7ffcc1ff,0x03ee1fff,0xf5005700,0x000dffff,0x1bffffe0,0x3ffff260,
    0x3fea1cff,0x7ffcc2ff,0x43fff23f,0x1ffffff9,0x3bbbfffe,0x000accee,
    0x7fffffdc,0xcddb882f,0x326fffe9,0xff82ffff,0x7c4007ff,0x3ea07fff,
    0xdf500005,0xfa9fffa0,0xffff13ff,0xfffff907,0x0005f31d,0xfff10015,
    0x20000fff,0x007ffffe,0x21bffffa,0x4c2ffff9,0xff12ffff,0xfffe88bf,
    0x3ffffe4f,0xffffffff,0xf9101261,0x2007ffff,0x2e2ffff9,0xfe83ffff,
    0xfb8007ff,0x3fe00fff,0x7fc40000,0x26fff881,0xff55fff9,0x3ff60bff,
    0x004eefff,0xfffc8000,0xc80000ff,0x2007ffff,0x885ffffe,0x7cc2ffff,
    0xfff50fff,0xdffff709,0x7fffffe4,0x0fffffff,0x3fea00d3,0xff9004ff,
    0xffff98df,0x06fffe84,0x80dfff00,0x6c0002fd,0xdfff304f,0xfcb7ffcc,
    0xe880ffff,0x00ffffff,0xff980000,0x80003fff,0x01fffff8,0x09ffffb0,
    0xf30bfffa,0x7ffecfff,0x6ffff883,0x7fffffdc,0x32ffffff,0x3ff2003f,
    0xffff003f,0x09ffff03,0x0009fffb,0xf5013ff6,0x37d4000b,0x4cdfff30,
    0xfff76fff,0x3fe20bff,0x281effff,0x400776a0,0x006ffffc,0x7ffd43a8,
    0xfffb005f,0x3ffee09f,0x92fffcc3,0x3f609fff,0x33faa4ff,0xfcaaaaaa,
    0x00bf33ff,0x2007ffe6,0xfd03fffc,0xfffb0bff,0x3ff20005,0x003fc402,
    0x7c01ff88,0x3ffea7ff,0xffffff34,0x3fffe60b,0x0b70bfff,0x003fffe6,
    0x01fffff4,0xff907f70,0xffb003ff,0x3fe209ff,0x07ffdc4f,0x360bfff7,
    0x7ff52fff,0x261ff500,0xffa803ff,0x3fffc806,0x03fffe60,0xfc81fffd,
    0x013fe00d,0x6c000fec,0x7ffd804f,0xfd8bffee,0x9befffff,0xfffffeb9,
    0x00ffffff,0x007ffff9,0x0fffffa2,0xfc80ff20,0x7ec00fff,0x3ee04fff,
    0x427fec5f,0x7c40fffe,0x0bff24ff,0xff997ea0,0x0fff402f,0x007bff20,
    0xff0fffee,0xefff983f,0x000ef981,0xfa8009f7,0x1fff1006,0xfd117ff2,
    0xffffffff,0xfffd31bf,0x5405ffff,0x4002ffff,0x9beffffb,0x01efdb98,
    0xadfffe98,0x7ffff4c0,0x88ffdc03,0xfff305ff,0x445ffc8b,0xf7301fff,
    0x7fffcc1b,0x17fe4c0d,0x019ffb50,0xf737fe40,0xffff105f,0x1bf715df,
    0x003fc400,0x54003ff1,0x0dff8cff,0xffffff70,0xfff903bf,0xffd005df,
    0x3ae2000d,0xefffffff,0xffda8004,0xffffeeff,0x3fae001c,0x64403ffe,
    0x2effdfff,0xddfff710,0xf307bdfd,0xdbdfd735,0xf9101bff,0x5c0005bf,
    0x02dfdffd,0x3fffffea,0xfd0001ef,0x013f2003,0x0f7b7220,0x02aea620,
    0x0002ea20,0x22000033,0x0001aba9,0x2aaea620,0x54400009,0x554c4001,
    0x2a620009,0x9828801a,0x2a009aba,0x44000009,0x554c001a,0xca80001a,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xdddd7000,0xccca83dd,0x3262cccc,0x13003ccc,
    0xdddddd30,0x44000001,0x7776c009,0x04eeeeee,0x00020010,0xeeeeeec8,
    0xddd70eee,0x3ddddddd,0x0dddddb0,0x77440040,0xeeeeeeee,0x77775c2e,
    0xddd90eee,0x1ddddddd,0x3bbbbba0,0xddddd32e,0x6c40003d,0x6c42ffff,
    0x983fffff,0x3aa00dfe,0x6c44efef,0x0001ffff,0x9817fa00,0xffffffff,
    0x7e4c02ff,0x81ffe400,0x7dc2efc8,0x883fffff,0x1ffffffd,0x006ffcc0,
    0x073bffae,0xfffffd10,0x7fd4401b,0xffffa81e,0xc8800dff,0x7f443fff,
    0x40001fff,0xd02ffffa,0x3203ffff,0x3ffd100f,0xfb87fff1,0x00001fff,
    0x5c0bff90,0xffffffff,0x3ff6607f,0x3ffe600f,0x7fffc80f,0x1fffffc8,
    0x1fffffa0,0xd1007ec0,0x3fffffff,0xfffffa80,0x403fb002,0x03fffffb,
    0x6403fe20,0x0001ffff,0x817fffd4,0xb04ffffa,0x8bffec09,0x7fd46fff,
    0x800001ff,0x3a05fffa,0xffffffff,0xfffea84f,0x3fee00ff,0xffff82ff,
    0x7fffcc2f,0x3ffee03f,0x04d802ff,0x3fffffa2,0x2601ffff,0x001fffff,
    0xffe801f7,0x3e6006ff,0x3fffea02,0x7fcc0001,0x3ffe02ff,0x300f887f,
    0x77e4ffff,0x0ffffd41,0x3fe20000,0x99f305ff,0x19999999,0x7ffff754,
    0x3fe200ff,0xfffd80ff,0xffffd80f,0x3fffe206,0x00fc405f,0xffffdff9,
    0x7cc0dfff,0x5001ffff,0xffff700f,0x01b2003f,0x003ffff5,0x2ffff980,
    0x0bfffee0,0x7ffdc0b5,0xffff5007,0xfd800003,0x0d905fff,0x7ffc4100,
    0x6ed400ff,0x09fff301,0x07ffffea,0x0fffffc8,0xcf881ae0,0xffffd710,
    0x3ffe601f,0x0f5001ff,0x9fffff10,0xf500fe00,0x80003fff,0x202ffff9,
    0x6c6ffff8,0x1ffff202,0x0ffffd40,0xfff70000,0x013e0bff,0x3ffff600,
    0x02a00000,0x0bfffff0,0x1fffffcc,0x825c07d0,0x02fffff9,0x03fffff3,
    0x7e401ea0,0x5400ffff,0xffffa807,0xffda8801,0x2ffff99d,0x8ffffe40,
    0x7ffe4078,0xffff5007,0x17dfd913,0x7f57cc00,0xfff985ff,0x6c001bce,
    0x0000ffff,0x7ffe4000,0xfff100ff,0x03e60dff,0x7fff4008,0xffff300f,
    0x01ea003f,0x1fffffc4,0x3ea00fa0,0xfe801fff,0xffcfecff,0x7fcc02ff,
    0x2e0975ff,0xccffffec,0x3fffea01,0xfffffefb,0xfd4f8800,0xfff90bff,
    0x003bffff,0x203ffff6,0x0cccccc8,0x7ffc4000,0xfff703ff,0x0b903fff,
    0x6fffb800,0x3ffffe60,0x400f5001,0x207ffffd,0xffa800f9,0x7fec01ff,
    0x3fffea1f,0xfffd802f,0xffd01e8f,0x05ffffff,0x8fffffd4,0x00efffc8,
    0xbfffd36c,0xfffffff0,0xd8019fff,0xd300ffff,0x0003ffff,0x0dffffb0,
    0x3ffffefa,0x40002f84,0x2604fffc,0x001fffff,0x7fcc00f5,0x09b02fff,
    0x07fffea0,0xc85fffb8,0xa802ffff,0x806effff,0x5007fffc,0xff05ffff,
    0x07dc0bff,0xfa8bfffd,0xffffffff,0x7fec06ff,0x3ff200ff,0xa80001ff,
    0x541fffff,0x8fffff97,0xfe80007a,0x3fe602ff,0xf5001fff,0xffffe800,
    0x5000f886,0x7403ffff,0xff983fff,0xffd002ff,0xff9007ff,0x3fea00ff,
    0xfffc81ff,0xfe85f307,0x7f75c5ff,0xffffffff,0x3fff604f,0x3ffee00f,
    0xff00001f,0x34d8bfff,0x6c5fffff,0x7fc40004,0x7ffcc05f,0x0f5001ff,
    0xfffffb80,0xf5002e41,0x3e203fff,0xff982fff,0xff7002ff,0xff9001ff,
    0x3fea00ff,0xfffb81ff,0x7427441f,0xc9805fff,0x1fffffff,0x01ffffb0,
    0x40ffffd4,0xc801cfd9,0xf10fffff,0xafffff41,0x540001f8,0x7cc00fff,
    0x5001ffff,0xffff000f,0x000fc49f,0x203ffff5,0x981ffff9,0x1002ffff,
    0x3200bfff,0xf5007fff,0xff703fff,0xd06d85ff,0xa800bfff,0xb03fffff,
    0x5401ffff,0xff81ffff,0x7c400fff,0x8b93ffff,0xb8fffffb,0xffc80006,
    0xffff9802,0x00f5001f,0x1fffff90,0xff5001ae,0x3fee03ff,0xfff981ff,
    0x3ff2002f,0xffff9002,0x3fffea00,0x3ffffa81,0x7ff407ee,0xfe88005f,
    0xfffb04ff,0x7ffd401f,0x7fffd41f,0xfffd802f,0xff885f6f,0x003ebfff,
    0x8027fc40,0x01fffff9,0xf1000f70,0x0ba7ffff,0x3ffff500,0x07ffff20,
    0x00bfffe6,0x32007f88,0xf5007fff,0xff503fff,0x33be25ff,0xfffccccc,
    0x44003cef,0xffb05fff,0x7fd401ff,0x7ffc41ff,0xffa805ff,0xfb06cfff,
    0x001fffff,0x2005fd80,0x01fffff9,0x36000d70,0x06aeffff,0x1ffffa80,
    0x03ffff70,0x005ffff3,0x3f2004d8,0xff5007ff,0xfff503ff,0x3fffe21f,
    0xffffffff,0xfc8005ff,0xffffb03f,0x7fffd401,0x6ffffb81,0xffffff00,
    0x3fffea07,0x7dc0005f,0x7ffc4005,0x0d9001ff,0x3fffe600,0xfa8003ff,
    0xff701fff,0xfff305ff,0x00f8005f,0x01ffff20,0x40ffffd4,0x3e27fffb,
    0xffffffff,0x005fffff,0xfb00ffa8,0x7d401fff,0x26201fff,0xfff9004f,
    0x7ffc01ff,0x260002ff,0x7c06205f,0xb001ffff,0x7ff4000b,0xa8000fff,
    0xf301ffff,0xff309fff,0x50aa05ff,0xfffc800b,0xffff5007,0x4bfff703,
    0xfffffff8,0x5fffffff,0x206f9800,0x200ffffd,0x401ffffa,0xff1002fb,
    0xffc809ff,0x3a20007f,0xfe80ec06,0x7f002fff,0x7ffdc000,0xff50004f,
    0x7ff403ff,0xffffc86f,0x363ffc82,0x7ffe4001,0xffff5007,0x05fffb03,
    0x45fffe80,0x3200dfe9,0x3fff602f,0x3ffea00f,0x0037401f,0x3007fff6,
    0x40009fff,0xaaaaabfd,0xff700fdb,0x1fb00bff,0xffff8000,0xfff50000,
    0x7ffd403f,0x3fffea3f,0x36fff83f,0xfff9000d,0x3ffea00f,0x1fffc43f,
    0x2ffff400,0x20fffff2,0x7fec02e8,0x3fea01ff,0x07ee01ff,0x00dff500,
    0x40007ffa,0xfffffffc,0x3a206fff,0x3204ffff,0xfc80003f,0x3ee0005f,
    0x7dc02fff,0xfbfddfff,0x360cffff,0x001fbfff,0x00ffffc8,0x0fffffa8,
    0x40013ff2,0x7cc5fffe,0xc9beffff,0xfffe801f,0x3ffee01f,0x00ed882f,
    0x2005ff00,0xf50006fb,0xffffffff,0xfe880bff,0xca9bdfff,0x100003fe,
    0x6c0003ff,0xb804ffff,0xf98effff,0x74c2bdff,0xd0002fff,0x5005ffff,
    0x3fbfa69f,0x3a0003df,0xffb85fff,0x01ceffff,0x5fffff98,0x13ffff60,
    0xf90000b2,0x001fc400,0x7fffffcc,0x03ffffff,0xffffff90,0x00003bff,
    0xd10005d8,0x1dffffff,0x54435300,0x00153000,0xfffffd90,0x40c403df,
    0xd00002a9,0x54c0bfff,0xfd93001a,0xbfffffff,0x3ffffa65,0x00000eff,
    0x02e00144,0xfffff100,0xffffffff,0xbba98005,0x0000009a,0x00000033,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xdddddd10,0x2abddddd,0x4eeeeeee,0x77777540,
    0x0010005e,0x777774c0,0xeeeeeeee,0xdddddd30,0x999bdddd,0x77440037,
    0xeeeeeeee,0xe800aacc,0xeeeeeeee,0xeeeeeeee,0x777774c4,0x4000eeee,
    0xeeeeeeeb,0xddddd34e,0x09dddddd,0x77777440,0x80eeeeee,0xeeeeeeed,
    0xf7000005,0x107fffff,0x7ffffff9,0x03dff500,0x70003400,0xffffffff,
    0xd30fffff,0x999fffff,0x03dffffb,0x7fffe440,0xffffecdf,0xffff100c,
    0xfb99999d,0x203fffff,0xffffffd8,0x7fffc003,0xfb102fff,0x003dffff,
    0x7fffec40,0x7f4401ff,0xf9101dff,0x3fa0005d,0x7e406fff,0x801fffff,
    0x2a0001fc,0xffb0002f,0xffffffff,0x3fea09ff,0xffc80fff,0x3e2004ff,
    0x3a61ffff,0xf981ffff,0x3ff601df,0x7cc04fff,0x006fffff,0x3fffffea,
    0x7fffcc05,0xf880003f,0x7004ffff,0xffc807ff,0xffb0007f,0xff880dff,
    0x400fffff,0x3a0000fa,0xfff0006f,0xffffffff,0x3fe603ff,0xffb00fff,
    0x7fc007ff,0x7fd41fff,0x2fcc0eff,0x3ffffe60,0xffbf8806,0x9d002fff,
    0x809ffffd,0x02fffff9,0xffff8800,0x1ef9803f,0x2fffff80,0xffffd800,
    0x7fffc405,0x3cc06fff,0x3fff3000,0xefff8800,0xffeeeeee,0x3fffe607,
    0xffff300f,0x7fffc00d,0xffffe81f,0x7f403d43,0x8802ffff,0x5fffff8f,
    0xffe8f980,0x7fc404ff,0x00001fff,0x807fffff,0xfb000df9,0xb0001fff,
    0x880bffff,0xffffff9f,0x8001e604,0x4005fffd,0x7fc00bfa,0x3fffe604,
    0xffff100f,0x3ffe001f,0xfffd81ff,0x2e025c5f,0x005fffff,0xffff71f1,
    0xfd5c801f,0xf8809fff,0x0001ffff,0x07fffff0,0x260027dc,0xb0004fff,
    0x880bffff,0xffffff57,0x4001e607,0x00fffff8,0x3ea00f20,0x3ffe601f,
    0x3ffe00ff,0xfff003ff,0xfff903ff,0x2200c8df,0x00ffffff,0xfff11f10,
    0x97c409ff,0x404ffffe,0x01fffff8,0xfffff000,0x000bf207,0x360000a8,
    0x4405ffff,0x3fffff27,0x0007981f,0x09fffff9,0x7fc800c0,0x7ffffcc0,
    0xfffff100,0x3fffe005,0xffffd81f,0x7ffec005,0x3e2003ff,0x1fffff90,
    0xfffe9ae0,0x7ffc404f,0xf00001ff,0xe887ffff,0x0000001e,0x2ffffec0,
    0xfffb1e20,0x07981fff,0xfffef880,0x400000ff,0x7fcc04ff,0xff500fff,
    0x3e001fff,0xfe81ffff,0x2a003fff,0x006fffff,0xfff987c4,0x747d03ff,
    0x4404ffff,0x001fffff,0x7fffff00,0x00006fcc,0x7fec0000,0x23c405ff,
    0x6fffffe8,0x75c003cc,0x03fffff9,0x0bfe6000,0x1fffff30,0x13ffff60,
    0x1fffff80,0x037fffd4,0xffffff10,0x20f88003,0x986ffffe,0x3ffffa0f,
    0x7fffc404,0xff00001f,0x3fea7fff,0x00000005,0x0bffffb0,0xfff98788,
    0x01e64fff,0x7fff4be0,0x3200006f,0xfff9807f,0x7fec40ff,0x7fc005ff,
    0x3fa61fff,0x32001eff,0x004fffff,0x3fea0f88,0x22641fff,0x404ffffe,
    0x01fffff8,0xfffff000,0x07ffff97,0xb0000000,0x880bffff,0xfffff507,
    0x5001e65f,0x7ffffd4f,0x9ff00002,0xfffff300,0xffffdb99,0xfff0003b,
    0xfffd9bff,0x7cc0019f,0x000effff,0x7ffc0f88,0xd07e25ff,0x8809ffff,
    0x001fffff,0xffffff00,0x03ffffff,0xd8000000,0x4405ffff,0x3fffee07,
    0x400799ff,0x7ffff43e,0xff980005,0xffff9802,0xfffffdcf,0x3ffe0005,
    0x2bcccdff,0xffffd000,0x3e20005f,0x7ffffdc0,0xfffd0d70,0xfff8809f,
    0xf00001ff,0xff9dffff,0x0001ffff,0x0005df91,0x017ffff6,0xfffd80f1,
    0x2007aeff,0x7ffdc0f9,0x640001ff,0xfff3007f,0x3fff61ff,0xff0002ff,
    0x00003fff,0x17ffffee,0x440f8800,0x5d4fffff,0x09ffffd0,0x1fffff88,
    0xffff0000,0x3ffff67f,0xffc8006f,0xfd8000ff,0x3c405fff,0x3ffffa20,
    0x136007ff,0x17ffffe2,0x00bff000,0x43ffffe6,0x0ffffff8,0xfffff800,
    0xff880001,0x0800ffff,0xff901f10,0x3a0f5fff,0x4404ffff,0x001fffff,
    0x7fffff00,0x2ffffff4,0x3ffffe00,0xfffd8002,0x403c405f,0x7ffffff8,
    0x3203f100,0x000fffff,0x2005ff30,0x20fffff9,0x05fffffa,0x1fffff80,
    0xfffd8000,0x039003ff,0xfff301f1,0x3fa07fff,0x7c404fff,0x2001ffff,
    0xfffff049,0x7ffffc47,0x3ff6003f,0x3bd500ff,0x05ffffd8,0xff9803c4,
    0xf9007fff,0xfddddddd,0x0009ffff,0xf9801ff2,0x7ec0ffff,0x4003ffff,
    0x001fffff,0x7ffffd40,0x2203a006,0xffffd00f,0x3fffa01f,0x7ffc404f,
    0x0f2001ff,0x21fffffc,0x1ffffffa,0x09ffd300,0xfb1bffe2,0x78809fff,
    0x3fffee00,0xcccf8807,0xffeccccc,0xfd0007ff,0x7ffcc00b,0x7ff440ff,
    0x3e001fff,0x0001ffff,0x3fffffe2,0x220f5001,0xffff500f,0x7ffff40b,
    0x7fffc404,0x05f1001f,0x20fffffe,0x0ffffffb,0xfb802a00,0x3ff61fff,
    0x03c403ff,0x01ffff20,0x3fea01ae,0x4c003fff,0x3e6002ff,0xf980ffff,
    0x2006ffff,0x001fffff,0x3fffff20,0x441ba004,0x3fffe00f,0x3ffffa01,
    0x7fffc404,0x03f7001f,0x40fffffe,0x06fffffd,0x3ffea000,0x0ffffec6,
    0xd0003e60,0x2f880fff,0xdffffd00,0x00ffc800,0x3ffffe60,0xfffff900,
    0x3fffe009,0xff30001f,0x1001ffff,0x03e20bfb,0x7c06ffb8,0x4c04ffff,
    0x802fffff,0xfff01ff9,0x3fa207ff,0x2205ffff,0xcccccccc,0x42fff8ac,
    0xc804fffe,0x7fc4001f,0x8007dc07,0x02fffffb,0x50017fa0,0x403fffff,
    0x02fffffe,0x17ffffc4,0xffffe800,0xfffb802f,0x4403f304,0x7ffc03ff,
    0x7fcc05ff,0x7cc03fff,0xfff880ff,0x3fea04ff,0xf104ffff,0xffffffff,
    0x5c2ffe69,0xe9805fff,0x7cc000ef,0x801be207,0x06fffff8,0x8005ff30,
    0x03fffffc,0x3fffffe2,0x3fffee01,0xffb8005f,0x9999efff,0xfffebaa9,
    0x0efd884f,0xfa803f20,0x200effff,0xbffffffc,0xffdba99a,0xffff707f,
    0x7ffc40df,0x440dffff,0xffffffff,0x3bff664f,0x75404eff,0x02dfffff,
    0x7f4c1ea0,0xfff1002f,0xf7009fff,0xfdb3001f,0xbdffffff,0xfffff701,
    0x7ff6c4df,0x1defffff,0xfffff880,0xffffffff,0x3fffffff,0x3fffff62,
    0xd904981e,0xffffffff,0x3ffb267b,0xffffffff,0x6fffffff,0x3ffffb22,
    0x2e0defff,0xffffffff,0x3bba25ff,0x83eeeeee,0x0000aba8,0xf9070000,
    0x209dffff,0xffffffda,0x2aa01fff,0x00000002,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x774c0000,0xeeeeeeee,
    0xddddd93e,0x00dddddd,0x3bba2011,0xeeeeeeee,0x5eeeeeee,0xddddddd3,
    0xdddddddd,0xeea89ddd,0xdeeeeeee,0xb000abcc,0x005ddddd,0x3bbbba60,
    0xcceeeeee,0x3bb200ac,0xeeeeeeee,0xeeeeeeee,0xddddd93e,0xddd90007,
    0x1ddddddd,0x3bbbbaa0,0xddddd32e,0xa8bddddd,0x5eeeeeee,0xfffd8800,
    0xff501eff,0x0019ffff,0xffb100b6,0x9999bfff,0x88fffffb,0xcdfffffd,
    0xffffdccc,0xffffd305,0xffffb99f,0xffc8805d,0x440003ff,0xccfffffd,
    0x05fffffd,0xb99dfffb,0x999fffff,0x3229fffd,0x0004ffff,0xffffffd3,
    0xbff71003,0xffffd883,0x3f200eff,0xefb80cff,0x3fffe603,0x7ffec03f,
    0x0bee007f,0x3ffffe20,0x21ffee03,0x02fffff9,0x5c0bffb1,0x540fffff,
    0x200dffff,0x003ffffa,0xfffff980,0x77fffec0,0x2606fec0,0x4c0fffff,
    0x3ffea4ff,0x3e20004f,0x000fffff,0xffe80df1,0x7c406fff,0xffff503f,
    0x3fffe209,0x7ffe403f,0x5ff3007f,0xfffff100,0x887e8807,0x402fffff,
    0x3fea05fa,0xff880fff,0xff301fff,0x300007ff,0xb01fffff,0xfd8dffff,
    0xfffff980,0x3e24f880,0x40004fff,0x04fffffb,0xf8803f70,0x202fffff,
    0x3ff604fa,0xfff107ff,0xffc805ff,0xfe8806ff,0xffff002f,0x10f9007f,
    0x005fffff,0x7ffd40bb,0xfff500ff,0xfff101df,0xf100007f,0xf501ffff,
    0x1ec1ffff,0x0fffff98,0x7ffc49b0,0xfe80004f,0xf800ffff,0xffff7004,
    0x0bd101ff,0x1fffffc8,0x2fffff88,0x37fffe40,0x0bfffe60,0x1fffffc0,
    0x7fc43cc0,0x54282fff,0x3fffea05,0x3fffa00f,0xffff885f,0xff880003,
    0xff880fff,0x40363fff,0x00fffff9,0x7fffc495,0xffa80004,0x35c04fff,
    0x3ffff600,0x400ec85f,0x82ffffd8,0x02fffff8,0x037fffe4,0x9bfffff5,
    0x7fffc099,0x4244883f,0x82fffff8,0xff502c45,0x7dc01fff,0x7c40ffff,
    0x80003fff,0x80fffff8,0x23fffff8,0x3fffe601,0xff88600f,0xb00004ff,
    0x201fffff,0x7c4002f8,0x2e2fffff,0x7e42000f,0xfffff881,0x7fffe402,
    0xfffff306,0x201fffff,0xa83fffff,0xffff8804,0x20034c2f,0x00fffffa,
    0x13ffffe2,0xc87ffff1,0x204ccccc,0x80fffff8,0x007ffffa,0x03ffffe6,
    0xa7fffc40,0x001dffd9,0x17ffffe6,0xfb8002ec,0xf98fffff,0x20ff0002,
    0x02fffff8,0x037fffe4,0x00bfffea,0x41fffffc,0xfff8804d,0x003642ff,
    0x03ffffea,0x8ffffff0,0x443ffff8,0x200afffc,0x80fffff8,0x004ffffd,
    0x03ffffe6,0x67fffc40,0x1ffffffa,0x3ffff600,0x0007d41f,0xbfffffb0,
    0x3e60007f,0xfffff102,0xffffc805,0x7fffd406,0xfffff002,0x8804fa87,
    0x262fffff,0x7fd4006f,0x7f400fff,0x3e20ffff,0xef983fff,0xffff8800,
    0x7fffec0f,0x7ffcc004,0xff1000ff,0xfd35dfff,0x7c400dff,0x2746ffff,
    0x3ffe2000,0x10005fff,0x7ffc40bd,0xaaaaacff,0x6ffffdaa,0x17fffd40,
    0xbfffff80,0x804ffca8,0x9bfffff8,0x54006ffb,0x400fffff,0x20fffffe,
    0xd83ffff8,0xfff1000d,0xfffdb9ff,0xf300017d,0x2001ffff,0x21fffff8,
    0x000ffffa,0x4bfffff2,0xf500006b,0x001fffff,0x7c404fa8,0xffffffff,
    0xffffffff,0x7ffd406f,0xffff002f,0x9fffffff,0xfffff100,0x00dfffff,
    0x0fffffa8,0x7ffffec0,0x0ffffe21,0xff8800bb,0xffffefff,0x98002dff,
    0x000fffff,0xa89ffff1,0x2002ffff,0x8efffff8,0x3600002f,0x005fffff,
    0x3e200726,0x6402ffff,0x5406ffff,0xf002ffff,0xf937ffff,0xff1009ff,
    0xff737fff,0xfffa800d,0x7fec00ff,0x3fe21fff,0x001b23ff,0x43ffffe2,
    0xeffffd98,0x3ffe6002,0xff1000ff,0xfff989ff,0x7fdc002f,0x0005ffff,
    0x7ffffc40,0x8800002f,0x402fffff,0x406ffffc,0x002ffffa,0xb87fffff,
    0xfff8804f,0x01bea2ff,0x1fffff50,0x7ffffe80,0xd9ffffc4,0x7c4001ff,
    0xfc80ffff,0x3002ffff,0x001fffff,0x313fffe2,0x0005ffff,0x03fffffd,
    0xfff98000,0x0000ffff,0x7ffffc40,0x7fffe402,0x7fffd406,0xfffff002,
    0xf1009b07,0x6c85ffff,0x7fffd400,0x7fffc00f,0x7fffc46f,0x006fffdb,
    0x07ffffc4,0x0fffffe8,0xfffff980,0xffff1000,0x2ffff989,0xffffb800,
    0x2200000f,0xfffffcbf,0x57777005,0x3ffffe20,0x7fffe402,0x7fffd406,
    0xfffff002,0xf1009507,0x6a85ffff,0xfff50110,0x7fc401ff,0x7fc45fff,
    0xffffffff,0x3ffe2003,0xfff900ff,0xff3005ff,0x22001fff,0x7cc4ffff,
    0xa8002fff,0x000fffff,0x3a29d100,0x802fffff,0xf107fffa,0xc805ffff,
    0x5406ffff,0xf002ffff,0x9107ffff,0xfffff100,0x03906885,0x01fffff5,
    0x17ffffcc,0x237fffe2,0x001ffffe,0x01fffff1,0x13ffffea,0x3ffffe60,
    0xffff1000,0x2ffff989,0xffffa800,0xdb00000f,0xffffff98,0x1fffb800,
    0x2fffff88,0x37fffe40,0x0bfffe60,0x1fffffc0,0xfff88018,0x1f0182ff,
    0x1fffff50,0x2ffffe40,0xa9ffffc4,0x1006ffff,0x201fffff,0x03fffffa,
    0x0fffff98,0x9ffff100,0x02ffff98,0xfffffa80,0x0fc80000,0x5fffffc8,
    0x109ff700,0x805fffff,0x406ffffc,0x022ffff9,0x03fffff8,0x3fffe200,
    0x20f7002f,0x00fffffa,0x01fffff1,0x647ffff1,0x8804ffff,0x900fffff,
    0x003fffff,0x01fffff3,0x13fffe20,0x005ffff3,0x1fffff50,0x01fa8000,
    0x0ffffffa,0x7c43fdc0,0x6402ffff,0x4406ffff,0x0914ffff,0x01fffffc,
    0xfffff100,0x20df5005,0x00fffffa,0x207ffff7,0x743ffff8,0x4401ffff,
    0x880fffff,0x005ffffe,0x01fffff5,0x13fffe20,0x005ffff3,0x1fffff50,
    0x01fcc000,0x3fffffe6,0x983f9000,0x403fffff,0x807ffffd,0x0eeffffb,
    0x7fffff10,0x7ffcc000,0x7fdc03ff,0xfffff505,0x3ffff703,0x27fffcc0,
    0x03bfffe6,0x2fffff98,0x77ffff44,0xffff5000,0x3fe2003f,0x7ffd44ff,
    0xffb8003f,0x30001fff,0x3ff600ff,0x2a006fff,0x7ffffdc0,0x3fffe205,
    0xfeb801ff,0x3fee01df,0x20006fff,0xbffffffb,0xfffcba99,0xffffb04f,
    0xffb755bf,0xffa8019f,0xfffe86ff,0x3fff205f,0xfecaaeff,0x2000bfff,
    0x04fffffd,0x8dffff50,0x005ffffc,0x3fffffd8,0x7ffdc400,0xffffc802,
    0x644005ff,0xfffffffe,0xfffb72de,0x09bfffff,0x7f644010,0xdeffffff,
    0xffec8802,0xffffffff,0x2fffffff,0x3ffffb6a,0xceefffff,0xffffb001,
    0x3fee1dff,0xb11fffff,0xfffffffd,0x179bdfff,0x3ffb6a00,0x1cefffff,
    0xffffff90,0x3fffff6d,0xfedc806f,0xceffffff,0x7fffe403,0xfea84eff,
    0xffffffff,0x00000002,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x77774c00,0x3eeeeeee,0x00099100,
    0x00400010,0x00002040,0x00000000,0x40000110,0x21cccccc,0x00cccccc,
    0x00018000,0x99950000,0x64459999,0x99953ccc,0x99319999,0x22599999,
    0x3621cccc,0x01efffff,0x8003fcc0,0x03effeca,0x0ceffda8,0x2fbffaa0,
    0x3b6e00ea,0x7000bdff,0x2059dffb,0x22cccccb,0xbf30efda,0xfb100005,
    0x7f4c7fff,0x00001fff,0x332efd71,0xfdb12ccc,0xefec887d,0xfffc880c,
    0xdfe883ff,0xdffffb10,0x7ffffd41,0x4c17f443,0x003fffff,0xb8007f98,
    0x6fff9aff,0x362bff20,0xcffa81ef,0x980fffb9,0xfffa9bee,0x67fec00f,
    0xf706ffa8,0x3fee9fff,0xffff33ff,0x7dc00017,0x7fe43fff,0x4c0001ff,
    0xf917fffc,0xfff39fff,0x3fa29fff,0x3a06ffff,0xf901ffff,0x7ffff881,
    0x82ffffc8,0xffff104d,0xff30005f,0x23ffc800,0xfd84fffc,0x21bfe23f,
    0x07f446fe,0xff513fea,0x3ffa01df,0x442ffe46,0xffacffff,0x3f264fff,
    0x8001dfff,0x5c3ffff9,0x0001ffff,0x17dfffd5,0x7f7fffcc,0xcffffc8a,
    0xffffa8cf,0x9ffff703,0x7fdc13a0,0x7ffcc2ff,0xf101f85f,0x0005ffff,
    0x7d400ff3,0x3ffea0ff,0x207ffd46,0x3fe63ffe,0x360fc41f,0x3fe60fff,
    0xfffa82ff,0x427ffcc4,0x9afdffff,0xfd501ffe,0x20017dff,0x543ffff9,
    0x2001ffff,0x1dffffc8,0x3fffff10,0x43fffff8,0x3e06fffe,0x0f886fff,
    0x8bffff10,0x20fffffc,0x3ffe2069,0xf98002ff,0x1fffa007,0xffd17ffe,
    0x5cdffb0d,0x0e41ffff,0xf98bfffe,0xffe82fff,0x7fffc42f,0x27ffffc0,
    0x3f260026,0x4c01cfff,0x7d43ffff,0xda801fff,0x800bffff,0xfe84ffff,
    0xfffd86ff,0x3fffee07,0x3f602642,0x3f3a0fff,0x80f22fff,0x02fffff8,
    0x3007f980,0xbb50dfff,0x42fffcc1,0xff50fffd,0x64047fff,0x3fe60fff,
    0x7ffd43ff,0x2ffff81f,0x007ffffc,0x3ffae200,0xff980bef,0x7ffd43ff,
    0xffd7101f,0xff8005bf,0xfffe84ff,0x07fffd86,0xf1bfffe2,0xffffa803,
    0x3fffed33,0xff8803e5,0x98002fff,0xfff5007f,0x7ffd400f,0xffecccce,
    0x3ffffe1f,0x82e600ef,0x43ffffd9,0xf81ffffb,0x7ffc4fff,0x5400007f,
    0x21cffffd,0x543ffff9,0x64c1ffff,0x001cffff,0xd09ffff0,0xffb0dfff,
    0xfffd80ff,0x3e00d51f,0x32796fff,0x06a8ffff,0x17ffffc4,0x55555544,
    0xaaaaffca,0xfff92aaa,0x3fee001f,0xccccccff,0x3ffee1cc,0x9801ffff,
    0x3ffffcfd,0x407fffe4,0x7fc5ffff,0x000006ff,0x4cffffb1,0x7d43ffff,
    0x3fe61fff,0x40000bff,0xfe84ffff,0xfffd86ff,0x7fffcc07,0x3f2005b4,
    0xf30f9fff,0x807b7fff,0x82fffff8,0xfffffffa,0xffffffff,0xffff97ff,
    0x3fff2003,0xfffc8007,0xb100ffff,0xffff35ff,0x0ffffd87,0x7c6ffff8,
    0x00005fff,0x3ffffda8,0x50ffffe6,0x6c43ffff,0x000cffff,0x213fffe0,
    0xfd86fffe,0xffe807ff,0x260079ff,0x745effff,0x400fefff,0x82fffff8,
    0xeeeeeee9,0xeeeeeffe,0xffff75ee,0x3ffee005,0xffa8000f,0xfa84ffff,
    0xffff31ff,0x0ffffc87,0x7c5ffff8,0x00004fff,0x5bffff71,0x87ffff30,
    0x881ffffa,0x02dffffc,0x84ffff80,0xfd86fffe,0xffa807ff,0x74003fff,
    0x7dc2ffff,0xf8805fff,0x8002ffff,0xff5007f9,0x3ea00bff,0x81002fff,
    0x46ffffe8,0x3e63fffa,0x7fd43fff,0xffff81ff,0x027fffc4,0x3fff6600,
    0x3fe601cf,0x7ffd43ff,0x7ff5401f,0xff000bef,0xfffd09ff,0x0ffffb0d,
    0x03ffffe0,0x1ffff700,0x02ffff88,0x2fffff88,0x007f9800,0x07fffff1,
    0x0dffff30,0xfd84a84c,0x3ffe27ff,0x3fffe61f,0x0ffffc43,0xf0bfffe2,
    0x20009fff,0x0befffea,0x3ffff880,0x00ffffec,0xdffffc98,0x27fffc01,
    0x6c37fff4,0xf7007fff,0xf1000bff,0x3ffa09ff,0xfff8800f,0xf98002ff,
    0x3fff6007,0x3a1c80ff,0x6983ffff,0x3ffa07ea,0x8ffffe66,0xc83ffffb,
    0x7fcc2fff,0x4ffff86f,0x3fff2200,0xff8001df,0x3fff25ff,0x5c4002ff,
    0x80befffe,0xfe84ffff,0xfffd86ff,0x3fff1007,0x0bff6000,0x8802ffdc,
    0x002fffff,0x22007f98,0x9cefffff,0x7ffd43ea,0x2eb89cff,0x3ff21be6,
    0x3ffffe64,0xcffffeed,0x13ffe218,0xff05fff7,0xfb100bff,0x00017dff,
    0x7fffffd4,0x04ffffbe,0x3fff2600,0x3fffe24f,0x87ffff85,0x2007fffe,
    0x2a0006fc,0x0bfe207f,0x7ffffc40,0x07f98002,0x7ffffd40,0xff704fff,
    0x87ffffff,0xfd12dff9,0xffffe81d,0xdffffd4f,0x20fff981,0xff982fff,
    0xff9806ff,0x3200002d,0xff55ffff,0x8000bfff,0x3e67feb8,0x7fc47fff,
    0x3fe20fff,0xf3001fff,0x27c40005,0xf8801f60,0x8002ffff,0xe98007f9,
    0x403effff,0x2dffffea,0xfefedf98,0xffd980df,0x37ffa61d,0xfdffb100,
    0xfff703df,0x4c07dfff,0x2000000c,0x000000aa,0xfffcacc0,0xffa9ffff,
    0xf9afffff,0x03ffffff,0x15000050,0x22001880,0x002fffff,0x20007f98,
    0x44000aa8,0x510c402a,0x08010015,0x004d4c00,0x00000000,0x00000000,
    0x00000000,0x00000000,0xff880000,0x98002fff,0x0000005e,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfff88000,
    0x000002ff,0xc9800000,0xcccccccc,0x99912ccc,0x95399999,0x02009999,
    0x40011000,0x10200400,0x33333333,0x33333333,0x36e00033,0x59800ade,
    0xddddddd3,0xdddddddd,0x000005dd,0x98000000,0x003fffff,0xcccb8000,
    0xbffb32cc,0x5e7fdc05,0xfffffbaa,0x3ffffa61,0x02ffee0f,0x4001bf20,
    0xfd800ff8,0x06ff4c2f,0x7d47bfa6,0xffffffff,0xffffffff,0x2067f547,
    0xffffffe8,0x7cd3201d,0xffffffff,0xffffffff,0x00000003,0x7fdc0000,
    0x00005fff,0xffffd880,0xffffffac,0xfb03f701,0xff109fff,0x0fdc3fff,
    0x01fff880,0x404ffc80,0x7ec7fffa,0x7ffec4ff,0xffffff55,0xffffffff,
    0xfff8ffff,0x6e77e44f,0x0befffff,0x55544bea,0xaaaaaaaa,0x01aaaaaa,
    0x00000000,0xfffec880,0x02deffff,0x3fea0000,0xfe9aefff,0x509706ff,
    0x201fffff,0x3a5ffffa,0x07ff4002,0x3fffe600,0x3ffff201,0xf1bfffe1,
    0x0000dfff,0x3ffffd40,0x3ff6a13e,0x06ffefff,0x00000000,0x00000000,
    0x80000000,0x20fffff8,0xa81ffffa,0x3ffffe81,0x57ffff40,0x9054404c,
    0x6c00a8bf,0x2e05ffdf,0x3fa0ffff,0x7ffec5ff,0x22000005,0x3e25ffff,
    0x3ffae200,0x00000eff,0x00000000,0x00000000,0xff880000,0x7ffd44ff,
    0xfff7002f,0xfff300df,0xfe801fdf,0x3ea5f14f,0x27fea07f,0xff302ffa,
    0x3fffd8df,0x001fffe4,0x3bff2000,0xa9800a21,0x0000001b,0x00000000,
    0x00000000,0x3ffe2000,0x7fffd44f,0xffff8802,0xfffb001f,0xfffd009f,
    0xfff71d1b,0xe93fa01f,0x13ffe06f,0xfa83fff7,0x999931ff,0x99999999,
    0x10999999,0x00000003,0x00000000,0x00000000,0x40000000,0x4c4ffff8,
    0xd802ffff,0x2004ffff,0x807ffff9,0xefeeefd9,0xf702dfee,0x81ffcc1f,
    0x7fc42ffd,0x2a7ff887,0xffffffff,0xffffffff,0x0000007f,0x00000000,
    0x00000000,0x00000000,0x4ffff880,0x017fffcc,0x03ffffea,0x7ffff900,
    0x009b7000,0x3f20ffe2,0x80ffb80f,0x4bfd05fe,0xccccccc9,0xcccccccc,
    0x000004cc,0x00000000,0x00000000,0x00000000,0xffff8800,0x17fffcc4,
    0x0fffffa0,0x3fffe600,0x2fb1000f,0x37e400dd,0xf984ff88,0x2e07f906,
    0x0000003f,0x00000000,0x00000000,0x00000000,0x10000000,0xf989ffff,
    0x3ee02fff,0x80106fff,0x04ffffed,0xff74ffa8,0x80bfe607,0x04f80ffb,
    0x07e603f5,0x00000000,0x00000000,0x00000000,0x00000000,0x7fc40000,
    0x7ffcc4ff,0xffff102f,0x5405503f,0x0fffff8e,0xf997ffc0,0x06fd80ff,
    0x02d85fe8,0x000780f1,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3fffe200,0x17fffcc4,0x04ffffd8,0x5c7e203d,0x7c04ffff,0x207ff47f,
    0xea801ee9,0x0000000e,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3fe20000,0x7ffd44ff,0xffffa82f,0xd01fc80f,0x1fffff89,0x59307260,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0x545ffff8,0xfe83ffff,0xb998bfff,0x7ec40ffe,0x77fffec2,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfffa8000,
    0x7fffe46f,0x7ffffdc5,0x7fffffff,0x33ffffa2,0xffffffd8,0x0000002f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3ff20000,
    0xffb6ffff,0x000dffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_bold_38_usascii_x[95]={ 0,2,2,0,1,2,1,2,1,0,1,0,1,0,
1,0,1,2,0,0,0,1,1,1,1,1,2,2,0,0,0,2,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,0,1,0,1,0,1,1,0,0,0,0,0,0,3,0,1,2,-1,0,1,0,1,1,1,1,1,1,0,
-1,1,0,1,1,1,0,1,1,1,0,1,0,0,0,0,0,2,2,1,0, };
static signed short stb__times_bold_38_usascii_y[95]={ 30,6,6,6,6,6,6,6,6,6,6,9,24,20,
24,6,6,6,6,6,6,7,6,7,6,6,13,13,10,14,10,6,6,6,7,6,7,7,7,6,7,7,7,7,
7,7,7,6,7,6,7,6,7,7,7,7,7,7,7,7,6,7,6,35,6,13,7,13,7,13,6,13,7,6,
6,7,7,13,13,13,13,13,13,13,8,14,14,14,14,14,14,6,6,6,18, };
static unsigned short stb__times_bold_38_usascii_w[95]={ 0,7,14,17,16,30,27,6,11,11,15,19,7,11,
7,10,15,13,16,16,16,15,16,16,15,15,7,7,19,20,19,14,31,25,22,22,24,22,20,26,27,13,17,28,
22,32,24,25,20,25,26,17,21,25,25,35,25,25,23,8,10,7,16,19,8,16,18,14,18,14,13,16,18,10,
10,19,10,27,18,15,18,18,14,12,12,17,17,25,17,17,15,11,3,10,19, };
static unsigned short stb__times_bold_38_usascii_h[95]={ 0,25,12,25,27,25,25,12,31,31,14,19,13,4,
7,25,25,24,24,25,24,24,25,24,25,25,18,24,17,9,17,25,32,24,23,25,23,23,23,25,23,23,24,23,
23,23,24,25,23,31,23,25,23,24,24,24,23,23,23,30,25,30,13,3,7,18,24,18,24,18,24,25,23,24,
32,23,23,17,17,18,25,25,17,18,23,17,17,17,16,24,16,31,32,31,6, };
static unsigned short stb__times_bold_38_usascii_s[95]={ 155,181,128,227,138,1,32,121,71,83,88,
15,247,244,164,245,125,104,173,225,71,88,208,70,141,192,244,129,164,143,126,
60,12,44,131,75,86,63,42,98,1,1,1,215,192,159,19,155,114,95,87,
174,154,190,216,137,221,195,135,129,242,121,104,192,247,78,52,35,1,50,38,
157,176,118,1,111,242,184,35,95,208,189,111,65,29,146,212,230,70,20,54,
59,44,48,172, };
static unsigned short stb__times_bold_38_usascii_t[95]={ 27,1,153,1,1,34,34,153,1,1,153,
134,110,104,153,1,34,60,60,34,60,60,34,85,34,34,85,60,134,153,134,
34,1,85,110,34,110,110,110,34,110,134,85,85,85,85,85,1,85,1,85,
34,110,60,60,60,110,110,85,1,34,1,153,153,124,134,60,134,60,134,60,
34,110,60,1,110,60,134,153,134,1,1,134,134,110,134,134,134,153,60,153,
1,1,1,153, };
static unsigned short stb__times_bold_38_usascii_a[95]={ 137,183,305,275,275,549,457,153,
183,183,275,313,137,183,137,153,275,275,275,275,275,275,275,275,
275,275,183,183,313,313,313,275,511,396,366,396,396,366,335,427,
427,214,275,427,366,518,396,427,335,427,396,305,366,396,396,549,
396,396,366,183,153,183,319,275,183,275,305,244,305,244,183,275,
305,153,183,305,153,457,305,275,305,305,244,214,183,305,275,396,
275,275,244,216,121,216,286, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_38_usascii_BITMAP_HEIGHT or STB_FONT_times_bold_38_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_38_usascii(stb_fontchar font[STB_FONT_times_bold_38_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_38_usascii_BITMAP_HEIGHT][STB_FONT_times_bold_38_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_38_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_38_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_38_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_38_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_38_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_38_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_38_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_38_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_38_usascii_s[i] + stb__times_bold_38_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_38_usascii_t[i] + stb__times_bold_38_usascii_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_38_usascii_x[i];
            font[i].y0 = stb__times_bold_38_usascii_y[i];
            font[i].x1 = stb__times_bold_38_usascii_x[i] + stb__times_bold_38_usascii_w[i];
            font[i].y1 = stb__times_bold_38_usascii_y[i] + stb__times_bold_38_usascii_h[i];
            font[i].advance_int = (stb__times_bold_38_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_38_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_38_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_38_usascii_s[i] + stb__times_bold_38_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_38_usascii_t[i] + stb__times_bold_38_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_38_usascii_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_38_usascii_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_38_usascii_x[i] + stb__times_bold_38_usascii_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_38_usascii_y[i] + stb__times_bold_38_usascii_h[i] + 0.5f;
            font[i].advance = stb__times_bold_38_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_38_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_38_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_38_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_38_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_38_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_38_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_38_usascii_LINE_SPACING
#endif

