// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_41_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_41_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_41_usascii_BITMAP_WIDTH         256
#define STB_FONT_times_bold_41_usascii_BITMAP_HEIGHT        194
#define STB_FONT_times_bold_41_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_times_bold_41_usascii_FIRST_CHAR            32
#define STB_FONT_times_bold_41_usascii_NUM_CHARS             95

#define STB_FONT_times_bold_41_usascii_LINE_SPACING          27

static unsigned int stb__times_bold_41_usascii_pixels[]={
    0x00000000,0x00000000,0x00000000,0x00000000,0x3333332e,0x99999911,
    0x00310019,0x00000000,0x00000000,0x00000000,0x1bdf9ad4,0x400ffc40,
    0x00ee7eda,0xecb88000,0x0bdefffe,0xcfd98000,0x372a2000,0x00abdefe,
    0xffff7310,0x37fffe27,0x15f7001a,0x77f64400,0xff50001d,0xa9880001,
    0x09acdedc,0xffed9800,0xfd500bee,0xed980017,0x813ff220,0x3a201ff8,
    0x02ed83ff,0x3bf6a000,0xca989aac,0x20001dfd,0x9005fffe,0xd959dfff,
    0xd8009fff,0xfff13fff,0xffb7001f,0x4039dfff,0x9ff76ffa,0x02ff8800,
    0x77ffe400,0x3fffecac,0x2e73f600,0x4c2fffff,0x2004ffff,0xff700efb,
    0x407fe209,0x3200ffe8,0x7d40005f,0x362002df,0xff98003f,0x3a600fff,
    0xff302fff,0x3f2003df,0xffff13ff,0xa9dfe980,0x1effeb9f,0xf897ffc4,
    0x3f6003ff,0x3fa60005,0xffd302ff,0x45fc803d,0x21ffffe8,0x007ffffc,
    0xff880ff5,0x01ff882f,0xfb00bffb,0x3bf20009,0x17ea0000,0x1bfffe00,
    0x03ffffc8,0x027fffd4,0xf89fffe4,0x3fe206ff,0x3a23f50f,0x7ffec2ff,
    0x003fffe1,0x40003fea,0x403ffffc,0x304ffff8,0xfff50fff,0x7fffecdf,
    0x1ffcc00f,0x442fff40,0xfff881ff,0x04ff9803,0x0017fa20,0x2001f440,
    0xf702fffb,0x2e009fff,0x6403ffff,0xfff13fff,0x51fff40d,0x117f443f,
    0x7f41ffff,0x7fc402ff,0xfff70002,0x3ff2009f,0xfffc83ff,0x7ffffcc2,
    0x0fffffb0,0x800fff98,0xff887fff,0x05fffa81,0x1007ffd0,0x800007fd,
    0x144001f9,0x1fffff10,0x3fffe200,0x3fff200f,0x20dfff13,0x3ea3fff9,
    0xff317cc1,0x7fff41ff,0x002fec04,0x0fffff88,0xfffff100,0x44fffc81,
    0x72fffff8,0xe80dffff,0xff8804ff,0x81ff887f,0x5006fff9,0xfd801fff,
    0xd9000004,0xffe80000,0x7f4006ff,0x3f205fff,0xdfff13ff,0xa9bffee0,
    0x3ea2e81f,0x3ffa0fff,0x03fea05f,0x7ffff400,0x7ffec006,0x1fffcc5f,
    0x43ffffe2,0x204ffffa,0xa801fff9,0xff886fff,0x07fff881,0xb813ffe0,
    0x0066006f,0x00001e88,0x07fffff7,0xfffffb80,0x27fff902,0xf706fff8,
    0x07eabfff,0xffff98aa,0x413fffa0,0x70002ff8,0x007fffff,0x2fffffc8,
    0x3e605ed4,0x3fe26fff,0x3ff602ff,0x9fff7007,0x3e03ff10,0xfb000fff,
    0x3ff101ff,0x2dfff500,0x4c83eeec,0x3ffffe20,0x7fffec7f,0x7fd4001f,
    0xff905fff,0x1bffe27f,0x77ffffd4,0xff8801fb,0x3fffe1ff,0x000bfb02,
    0x0fffffec,0x3fffea00,0x3fea005f,0x7fff44ff,0x0dfff300,0x20ffff20,
    0xffb01ff8,0x3fee003f,0x804fc83f,0xff593ffc,0x00d505ff,0xf8fffff7,
    0x001fffff,0x37ffffcc,0xf13fffc8,0x7ff40dff,0x001fffff,0x7fc3fffd,
    0x0ffa80ff,0x3fffe000,0x7cc001ff,0x2006ffff,0xfc86fffe,0x3fff207f,
    0x5fff9004,0x3203ff10,0xf5001fff,0x03ff0fff,0x3ea5ffd8,0x0f307fff,
    0x4fffff10,0x0ffffff8,0x7fffcc00,0xfffc80ff,0x40dfff13,0xfffffffa,
    0xfff9801e,0x105fff12,0x440005ff,0x00ffffff,0x7ffffc40,0xfff9800f,
    0x05ffa80d,0x400ffffa,0xf881fffa,0x0fff701f,0x0ffffcc0,0xffc80df5,
    0x3fffe21f,0x7fc01e05,0x3ffea7ff,0x44000fff,0x81ffffff,0xff13fffc,
    0xfffb80df,0x803fffff,0x7ff75ffa,0x00017f60,0x1ffffff5,0xffff8800,
    0xffd801ff,0x80ffe204,0x1003ffff,0xff105fff,0x017ff603,0x22ffff88,
    0x3fea02fd,0x7fffd44f,0x3e003e03,0x3fee7fff,0xf0007fff,0x907fffff,
    0x3fe27fff,0xfffa806f,0x00efffff,0x0ef7f644,0x0400ffa8,0x3ffffee0,
    0xfff88007,0x7c402fff,0x01ff802f,0x007ffff1,0x7c42ffd4,0x0eff881f,
    0x3fffe200,0x7c403fa3,0x7fdc0fff,0x00f100ff,0xfb9ffffe,0x0007ffff,
    0x05ffffff,0x3e27fff9,0xfb1006ff,0x3fffffff,0x3fe20000,0xbddfb502,
    0xfffff501,0xfff1000f,0xfb805fff,0x201fd001,0x002ffff9,0x3e217fd4,
    0x077ec41f,0x3fffe200,0xffb81fe4,0x6fffd85f,0x7fc01aa0,0x3ffe67ff,
    0x44000fff,0x81ffffff,0xff13fffc,0xffb800df,0x00ffffff,0x905fd800,
    0x0bff67ff,0x1ffffff3,0xffff8800,0x017401ff,0x7fd40f90,0xb88002ff,
    0x43ff12ef,0x20002dfc,0xdf15ffff,0x41ffffc0,0x3204ffff,0xfffff005,
    0x7fffffc4,0x7ffcc001,0xfff907ff,0x01bffe27,0x3ffffea0,0x540004ff,
    0xfffb80ff,0x443fff50,0x01ffffff,0x7ffffcc0,0x2000e807,0x3ffee06b,
    0xf710002f,0xef87fe29,0x7ffc0002,0x2a0bf36f,0x7dc0ffff,0x0f601fff,
    0x23ffffc0,0x02ffffff,0x7ffffd40,0x27fff906,0x8006fff8,0xfffffdfa,
    0x3fe20007,0x27fff882,0x7fc6fff9,0x4002ffff,0x06fffff9,0x024c0068,
    0x005ffff5,0x222efd88,0x1ffdc1ff,0x5ffff800,0x3ff609f3,0x7fffe86f,
    0xff8007c0,0x7ffe47ff,0x7dc003ff,0xf904ffff,0x3ffe27ff,0xc9fa8006,
    0x000fffff,0x3ea0bf90,0x3ffe26ff,0x3ffff20f,0x7fdc002f,0x00003fff,
    0xffff9800,0x1bfa2003,0x3e607fe2,0x7fc4004f,0x20bf14ff,0x7d45fffe,
    0x16a05fff,0x47ffff80,0x04fffff8,0x7ffffe40,0x27fff900,0x7106fff8,
    0x7fe47ea0,0xfa8001ff,0xdfff700f,0x10ffffc4,0x009fffff,0x0fffffd8,
    0xf0000000,0x74007fff,0x1ff883ff,0x4007ffd0,0x3a2ffff8,0x47ffff06,
    0x02ffffe8,0x7fc001d1,0xfffc87ff,0xff1000ff,0x7e407fff,0xdfff13ff,
    0x8fd41e20,0x000ffff8,0xf901ffc4,0x7ffc4dff,0x7fffe42f,0x3ffa000f,
    0x003003ff,0x7ffc0188,0xfff3003f,0x203ff103,0x22007ffb,0x1f61ffff,
    0x453fffe2,0x01ffffae,0xfff80079,0xffff887f,0xfff7003f,0xfffc80df,
    0x20dfff13,0x21fa82f8,0xc8007ffe,0x7ffdc05f,0x07fffe26,0x07fffff1,
    0x1bfffea0,0x00fffaa0,0x6c07bff2,0xf7004fff,0x3ff103ff,0x007fff20,
    0x907fffcc,0xffff883f,0xfff9cebf,0xf000b907,0x3a60ffff,0xfd006fff,
    0xfc801dff,0xdfff13ff,0x3ea17e20,0x0013ffe1,0xfa801ff5,0x3ffe66ff,
    0xfffe980f,0xdfffd006,0xffffd001,0x7fffcc01,0x0bfff505,0x20bfff20,
    0xffb01ff8,0x3fee005f,0x6c17d45f,0xf16fffff,0x84d88fff,0x7fffc02d,
    0x3fffa207,0x77ffe404,0x3fffc800,0x220dfff1,0xa8fd45ff,0x744006ff,
    0xffe8803f,0x817ffe67,0x404fffd8,0x3005fffc,0x405fffff,0x207ffffc,
    0xf7007ffe,0x3ff107ff,0x003fffa0,0x220fffe4,0xffffb84f,0x33fff60d,
    0x05983eca,0x407ffff8,0x41dfffd8,0x005fffd9,0x7c4ffff2,0xfff106ff,
    0xf73f515d,0xfc8001df,0x3ffea005,0x001fff50,0x443bfff7,0x003fffda,
    0x007ffff4,0x40bffff5,0xa800fffa,0xff885fff,0x07fff881,0x5c17ff60,
    0x83eea81f,0x02defda8,0x3ffe007a,0xfd71007f,0x7dfffdff,0xfffc8001,
    0x40dfff13,0xffffffda,0xa8003eff,0x7dc000ff,0x01efe8cf,0x3fffb260,
    0x01cdfffe,0x04fffb80,0x401fffd8,0xf9804ffe,0x1ff886ff,0x006fff98,
    0x7403fff1,0xa8000006,0xfffff004,0xffff7000,0x7e4000df,0xdfff13ff,
    0x3f2aa600,0xfd10000b,0x3b260007,0x40000cdf,0x0000aba8,0x4c001510,
    0x0fff5002,0x10ffff10,0xfff503ff,0x17fee00b,0x00007f10,0xf80074c0,
    0xd0006fff,0x005fffff,0x44ffff20,0xa8006fff,0x0000001f,0x00000000,
    0x00000000,0x03ffb800,0xf886fff8,0x4fff981f,0x001dff00,0x000003f7,
    0x7fc003d5,0xf50006ff,0x001dffff,0x227fff90,0x88006fff,0x0000000a,
    0x00000000,0x00000000,0x00df9000,0xff107fff,0x013ffa03,0xd8003bee,
    0x2a00002f,0xe9baa00e,0x20005fff,0x0efffffb,0x9fffec00,0x0007fff8,
    0x00000000,0x00000000,0x00000000,0x5407fb00,0xff880eff,0x80fff701,
    0xa8000ff9,0x220000df,0x7ff400ec,0x007fffb1,0xfffffa80,0x7cc009cf,
    0xfff13fff,0x0000007f,0x00000000,0x00000000,0x20000000,0xffe984fb,
    0x403ff100,0xfa80cffa,0x3620000d,0x7e44002f,0x1ffd800c,0x0000dffb,
    0x3fffff22,0x3b21ffff,0xd12eeeee,0x019ddddd,0x00000000,0x00000000,
    0x00000000,0x15c88000,0x44019ffb,0x7ecc01ff,0x0007aa4f,0xacdfea80,
    0x7fb95311,0x67fcc001,0x0000fff9,0xabccaa80,0x00000009,0x00000000,
    0x00000000,0x00000000,0x54420000,0x1ff88009,0x0008a600,0x32a62000,
    0x02bcdefe,0x33fb6a00,0x0000000a,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0000d4c4,0xc9800000,
    0x7d401dec,0x000bf907,0x3bdffb71,0x32600000,0x0abdffee,0x973002cc,
    0x17bdfffd,0x7c4003b8,0x0007fb1f,0x5f7ff6dc,0x32a00aa0,0x50001bee,
    0x0019dfdb,0x01f7f6cc,0xfffffd30,0x09dddddd,0xb5019fb3,0x3ae2007f,
    0xf7001cff,0x000ffa0d,0xfff9dff5,0x5c00009f,0xcdfffffe,0x5eaceffe,
    0xdfffe980,0xeffecaac,0x54003fbb,0x001bee6f,0x2ab7ffa6,0x02ebdffc,
    0x3f2b7fea,0xfd3001ff,0x07ffffff,0xfb57ff90,0xfffc803d,0xfffff90c,
    0x9ffff0bf,0x807ffff0,0x000bfffb,0x2ff827ec,0x897fea00,0x0002ffff,
    0x6ffffec4,0xffffb80a,0x3fff2205,0x3ff6601e,0x7ec003ff,0x8003fe24,
    0xc880eff9,0xff303fff,0x00fffe8d,0x7fffffcc,0x3601ffff,0x3ffe24ff,
    0x8ffff501,0x099efff8,0x23ffffd4,0x105ffffa,0x0003fffb,0x3fe60ffe,
    0x5fff1000,0x005fffc8,0x3ffffe60,0x5ffd8802,0x0dffff50,0x01fffdc0,
    0x5fd07fe0,0x0bffa200,0xf307ff70,0xfff989ff,0xbdff100e,0xdfffffff,
    0xb07ffee0,0xfff10fff,0x7fffb09f,0x17fffe20,0x30bffff5,0x0005fffd,
    0x3ee07fe2,0x3ffee007,0x02fffd41,0xfffff880,0x17fa2004,0x03bfffe2,
    0x007ff700,0x2fdc3fcc,0x007ffc80,0xfffd07fb,0x0bffff07,0xffd503b2,
    0xfff01fff,0x87fff90f,0xd84ffffa,0x3f206fff,0x7ffc42ff,0x2fffe83f,
    0x41fea000,0x3f2005fc,0x4fff83ff,0xffffd000,0x0bf1000b,0x007ffffd,
    0xc800ff20,0x00ff984f,0x800fffd8,0x7ffc43f8,0xffffe82f,0xfb8074c1,
    0x7d40ffff,0xfffb87ff,0x1ffffdc7,0x007fffe4,0x7fffc051,0x02fffec2,
    0x741bee00,0x3ffa003f,0x0fffc45f,0x7fffe400,0x8bb0000f,0x00fffffb,
    0x4007f100,0x05fd02ff,0x00bffff0,0xffff30f2,0x5ffffb05,0x3fe20088,
    0xfffc86ff,0x0ffffb86,0x20ffffea,0x0007fffc,0xf507ffec,0x98005fff,
    0x99dfd999,0x09bff999,0x0ffffe80,0x2000bfee,0x06fffff8,0xff996a00,
    0x40005fff,0x0ff3003c,0x7fc02fe4,0x3a805fff,0x41ffffdc,0x004ffffc,
    0xe83fffe8,0xffa86fff,0x7fffc1ff,0x05fffd84,0x237fdc00,0x4007fffe,
    0xfffffff9,0xffffffff,0xfffd805f,0x01efd8cf,0xfffff700,0x3218000b,
    0x004fffff,0xfc801440,0x201fe605,0x2ffffffd,0x7fffec00,0x6ffffb83,
    0x04fff800,0xf50dffff,0xffd87fff,0x2fffe85f,0x7fffffcc,0x2a4ff886,
    0xca8cffff,0xfff3009b,0xffffffff,0x00bfffff,0xdffffff7,0xfff80007,
    0x00003fff,0x0ffffffa,0xfe800000,0x200ffc02,0xfffffffb,0xfffb002e,
    0xffff509f,0x4ffa800f,0x0dffff10,0x889ffff5,0x3e20fffe,0x3ff604ff,
    0x43fd06ff,0xffeffffd,0x3302ffff,0x3333ff73,0x0133bfb3,0xbfffff10,
    0x66666640,0x3fffe22c,0x200002ff,0x02ffffff,0xff100000,0x404fc801,
    0xffffffe8,0x7dc01eff,0xffa85fff,0xf3000fff,0x3fe609ff,0xfffa86ff,
    0xeffc885f,0x402fffba,0x906ffffa,0x7ffffc4f,0xfffffdbd,0xe837e403,
    0x3f22003f,0x301fffff,0x417dfffb,0x0ffffff9,0xfff30000,0x00003fff,
    0x2017ee00,0xff8807fa,0xffffffff,0xffff500d,0xffffa81f,0xfffda807,
    0x7fd40eff,0xfffa86ff,0x3bbee07f,0xf9800ace,0x4d506fff,0x4c7ffff9,
    0x200fffff,0x03ff04fd,0xff9df910,0x7c40dfff,0xfffb80ef,0x200007ff,
    0x0ffffffa,0xfd000000,0x007fe007,0x3fffffe6,0xd01fffff,0xfa85ffff,
    0x7d406fff,0xffffffff,0x1bffff20,0x03ffffea,0x980003b2,0x5006ffff,
    0xfb0fffff,0x7fc0bfff,0x400ff983,0x3ff65ff9,0x3fe04fff,0xfffff701,
    0x2a00001f,0x00ffffff,0xff880000,0x007fb000,0x3fffff62,0xa82fffff,
    0x913fffff,0x100bffff,0xffffffd7,0x37fffe47,0x23ffffd4,0x40003fe8,
    0x006ffff9,0x50dffff7,0x220fffff,0x06fa81ff,0xf107ffd4,0x305fffff,
    0x7ffd40bf,0x00001fff,0x3ffffff1,0x99999880,0x80999999,0x3ea006fb,
    0x7ff4c006,0x0fffffff,0xefffffb8,0x03ffffff,0x7ffffec0,0x1bfffee6,
    0x71bfffea,0x40001bff,0x006ffff9,0x10dffff9,0x221fffff,0xcccffdcc,
    0xcccefecc,0x217ffe63,0x1ffffffb,0xff300764,0x0005ffff,0x7fffffc0,
    0x7fedcc02,0x0cefffff,0x22003fd8,0xea8000ff,0x4fffffff,0x7dfffb30,
    0x001fffff,0x1fffff90,0x21bfffea,0x745ffffa,0xffffffff,0xf301bdee,
    0x2a00dfff,0xff07ffff,0x3fe63fff,0xffffffff,0x25ffffff,0xfd06fffe,
    0x2a1fffff,0x7ffc401f,0x00003fff,0x0ffffff6,0xfffffc80,0x007fe206,
    0x00e07fb0,0x3fffffea,0x3fe60806,0x3a0005ff,0xff32ffff,0xfff50dff,
    0xffffe89f,0xffffffff,0xffff982f,0xffff3006,0x3ffffe0f,0xdfffdd30,
    0xddffdddd,0x3ffe29dd,0xfff980ff,0x04f9efff,0x9fffffb0,0x7fdc0000,
    0x2a004fff,0x204fffff,0xfb8006fa,0xb1007886,0x800fffff,0x001ffffc,
    0x43fffea0,0xb86ffff8,0x7dc3ffff,0xffffffff,0x4c1fffff,0x2006ffff,
    0xe80fffff,0x7ff07fff,0x2a01ff30,0x502fffff,0xdfffffff,0x7fffcc00,
    0x2600006f,0x005fffff,0x0fffffea,0x88004fd8,0x017c40ff,0x07fffe88,
    0x027fffc0,0x23fffc00,0xfb86ffff,0xffa81fff,0xffffffff,0x7fcc4fff,
    0x3f6006ff,0xffe81fff,0x81ff885f,0x3fee06fb,0x3ee06fff,0x00efffff,
    0x3fffffa0,0xf9020001,0x2001ffff,0x03fffffa,0x740007fe,0x0027c42f,
    0x400dfff5,0x0006fffb,0xfc8bffd0,0xfffb86ff,0x677dc40f,0xfeccccbc,
    0x7ffcc5ff,0x3ff2006f,0xfffe82ff,0xfb07fa83,0x7fffcc0b,0x3ff605ff,
    0xd82fffff,0x7ffffc40,0xb03b0005,0x2007ffff,0x03fffffa,0x5c000ff3,
    0x00ffc45f,0x004fff88,0x803ffff5,0x1ffe8009,0x5c3fffc4,0x7fc44fff,
    0x3ffb800e,0x037fffcc,0x09ffff10,0xf901ffff,0xf00ffa0d,0x0bffffff,
    0x3fffffe2,0x04d99cff,0x07fffff5,0x4407ec40,0x800ffffe,0x03fffffa,
    0x4c0009f9,0x3ffe20ff,0x0fffa800,0x0efffa80,0x101fff40,0x3ff607ff,
    0x07ffec0f,0x4c013fee,0x7ffcc0ff,0x7fd4006f,0x0fffc47f,0xff884fd8,
    0x7fffd402,0xcaadffff,0xfffffeff,0x200fffff,0x03fffffa,0x2200dfa8,
    0x400efffd,0x03fffffa,0xe80005ff,0x3bffe22f,0x017ff400,0x4027ffd4,
    0x80dffff9,0x3fa206fb,0x427ffc2f,0x4400fff9,0xfff983fd,0xffa8007f,
    0x80bff64f,0x0ff982ff,0xfffffc80,0x0cffffff,0xfffffff7,0xffb1003f,
    0x73357fff,0x54007ffb,0x980cffff,0x81effffc,0xc80007f9,0x3fffe25f,
    0x7fed40bf,0x6ffed403,0x3fffa002,0x3fda9bff,0x70efe880,0x7f5409ff,
    0xdca9aacf,0xfff901ff,0x930003ff,0x05bfddfd,0x7dc07fc4,0x3ffa6006,
    0x80dfffff,0x1efffff9,0x7ffe4c00,0x1defffff,0xfffd9000,0xbffffddf,
    0x02fe4017,0xf13fcc00,0xbdffb537,0x2201bfff,0x000ceffb,0xfffffe98,
    0x22000dff,0x03ffeffd,0xbffdb950,0xff101359,0x0bffffff,0x800d4400,
    0x079504c8,0x15775300,0x002ea600,0x2b2aa600,0x54400001,0x019abcba,
    0x000072e0,0x2a070664,0x54009aca,0x2600001a,0x0000abaa,0x00000a98,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000a88,0x99970000,0x00005999,
    0x66664c00,0x04cccccc,0x99991000,0x00000799,0x00000000,0x101a8800,
    0xccccc983,0x64401ccc,0x43cccccc,0xcccccccc,0x02cccccc,0xffff9800,
    0xfffd55ff,0x3ae2005b,0x0000acef,0x3ffffee6,0x2fec0004,0x7ffffec0,
    0x005fffff,0x7f540f91,0x00005fff,0x0fbffb6e,0x00016000,0xffffdb88,
    0xa889f50d,0xeffffffd,0x7ffdcc00,0x3ffe61be,0xffffffff,0x34401fff,
    0x7fffec40,0xffffefad,0x7ffdc02f,0x000effff,0x27fffdc0,0x0bff7000,
    0xffffff88,0x402fffff,0x5407ffc9,0x0005ffff,0xfa8ffe98,0x2a0002ff,
    0xe880002f,0x9df90cff,0x7fe409ff,0x3005ffff,0xfff701ff,0xffffffff,
    0x0fb00fff,0x3ffffee0,0xffffb32f,0x3fffea01,0x00efffff,0x3fffea00,
    0xfff30004,0xffffa80b,0x07ffffff,0x1fffff66,0x0bffff30,0x5fff8800,
    0x000ffff5,0x40002fec,0xffe85ffe,0x7ff404ff,0xd004ffff,0x3ffff20d,
    0xffffffff,0x03fdc04f,0x2fffff98,0x42ffffc4,0xfffffff9,0x0005ffff,
    0x013fffea,0x17fffe20,0xffffffb0,0xd509ffff,0x0fffffff,0x05ffff98,
    0xa7ffec00,0x0004fff8,0x0003fff3,0x6417ffec,0x7404ffff,0x2fffffff,
    0xffd05d80,0xffffffff,0x7cc03fff,0xfff3007f,0x3fffa0df,0x55efec1f,
    0xfffffffd,0xfff50000,0xffb0009f,0x67c40bff,0x99999999,0x754e5409,
    0x4c07ffff,0x0005ffff,0x993fffe2,0x3f60002b,0xf70004ff,0xff701fff,
    0xfde809ff,0x01ffffff,0x77fc426c,0x99999aab,0x3fe607fe,0xfff3007f,
    0x3fff20bf,0x260be23f,0x02fffffe,0x9ffff500,0xffffb800,0x003ee05f,
    0x7fffd400,0x7fffcc07,0x3fe60005,0x200004ff,0x00fffff8,0x07fffd80,
    0x809ffff7,0xfffffbbe,0x213600ef,0xff8801fa,0xfffff504,0x3fffe600,
    0x9ffff705,0xfff501dc,0x151007ff,0x027fffd4,0xffffbf30,0x004f740b,
    0x7fffcc00,0x7fffcc07,0x540054c5,0x0004ffff,0x3fffff20,0xffff8003,
    0x9ffff506,0xfff93e80,0x26c0bfff,0xffb801e4,0xfffffb82,0xf307ffff,
    0x3ea0bfff,0x22005fff,0x200fffff,0xa9efffdb,0x1004ffff,0xbffff3bd,
    0x3ffffe20,0xf98002ce,0x7cc07fff,0xfff75fff,0x7fd405bf,0x200004ff,
    0x07ffffff,0x2ffffc40,0x04ffffa8,0xffffb1f4,0x013609ff,0xd30ffd00,
    0xddfffffd,0x3ffe60bd,0xffff505f,0xfffd800f,0x37fff606,0xffffdfeb,
    0xf31fb004,0x3ee0bfff,0xefffffff,0x3ffe6001,0x7ffcc07f,0xfffdfdef,
    0x7fff43ff,0x00ffffff,0x3ff7ee00,0x2a002fff,0xf505ffff,0x3e809fff,
    0x3fffffa2,0x0004d82f,0xf8813fe2,0xf3007fff,0x3ea0bfff,0x6c005fff,
    0xff704fff,0xffffb8df,0x31fb804f,0x3a0bffff,0xffffffff,0xf9800dff,
    0x7cc07fff,0x3225ffff,0x3b21ffff,0xeefffffe,0x2b3a0000,0x006fffff,
    0x417fffee,0x404ffffa,0x7fffcc3e,0x026c0fff,0x405ff700,0x007ffff8,
    0x20bffff3,0x004ffffb,0x4c17fff4,0xfd81ffff,0x7cc04fff,0x17fffe64,
    0x3fffffe6,0x0effffff,0x3ffffcc0,0x1bfffe60,0x03ffffe2,0x009ffff5,
    0x3fa1f500,0x7001ffff,0x2a0dffff,0x7404ffff,0xfffffa83,0x001360ef,
    0x7c407fe8,0xf3007fff,0x3ee0bfff,0x22003fff,0xffb05fff,0x3ffea0ff,
    0x2637404f,0xeb85ffff,0xffffffff,0x4c05ffff,0x4c07ffff,0xfb05ffff,
    0xffa85fff,0xd80004ff,0x3ffffee5,0xffff5005,0x3fffea0d,0xfc81f404,
    0x365fffff,0xbff10004,0x7ffff880,0xbffff300,0x07ffff20,0x00fffb80,
    0x2a0dffff,0x3204ffff,0x7fffcc0f,0xfeb98805,0x02ffffff,0x01ffffe6,
    0x20bffff3,0x543ffffb,0x0004ffff,0xfff10fcc,0xf1001fff,0x3ea0ffff,
    0x1f404fff,0xffffffb0,0x5c001367,0x7fc402ff,0xff3007ff,0x3ffa0dff,
    0x7ff4006f,0xbffff102,0x13fffea0,0x7fcc17d4,0xda8005ff,0x204fffff,
    0x407ffff9,0x705ffff9,0xfa8bffff,0x40004fff,0xffffc85d,0xfff9004f,
    0xffff705f,0x2203e809,0x9ffffffe,0xffb0004d,0xfffff100,0x3fffe600,
    0x7fffd45f,0x13fea001,0x05ffff98,0x109ffff5,0x3ffe609f,0x3f20005f,
    0x3e606fff,0x7cc07fff,0xff505fff,0xfffa8dff,0x3e20004f,0xfffff882,
    0xfff9800f,0x3ffea0ef,0x01f404ff,0x3fffffe6,0xf88004ef,0xfff8805f,
    0xfff3007f,0xff97dddf,0x744005ff,0x7ffdc05f,0xffff505f,0x3333fd09,
    0xdffff533,0x3ee00033,0x3fe607ff,0x7fcc07ff,0xfff505ff,0xffffa8df,
    0x81b20004,0x03fffffd,0x9fffff30,0x9ffff9fd,0xfa803e80,0x04ffffff,
    0x802ffb80,0x007ffff8,0x36bffff3,0x003effff,0x7dc02fec,0xff505fff,
    0xffff09ff,0xffffffff,0x4000ffff,0x3e606ffd,0x7cc07fff,0xff505fff,
    0xfffa89ff,0x37e0004f,0xfcaaaaaa,0x2006ffff,0x8effffe9,0x404ffffa,
    0xfff7003e,0xb0009fff,0xff1001ff,0x3e600fff,0x2aa25fff,0x0efa8000,
    0x6ffffa80,0x09ffff50,0xffffffff,0xffffffff,0x1ffdc000,0x0fffff30,
    0x05ffff98,0xa85ffff5,0x0004ffff,0xfffffff7,0xffffffff,0x0aa88005,
    0x013fffea,0x7fec007d,0x44004fff,0xff1005ff,0x3e600fff,0x00005fff,
    0xa4c01df3,0x507ffff9,0xff09ffff,0xffffffff,0x00ffffff,0x300ffcc0,
    0x980fffff,0xf705ffff,0xffa83fff,0x7d0004ff,0xfffff500,0x3ea0000d,
    0x1f404fff,0x3ffffa00,0x17fd4004,0x7ffff880,0xbffff300,0x1dd10000,
    0xfff17440,0xfff501ff,0x999990bf,0xffffb999,0x00a8899d,0x7cc07f98,
    0x7cc07fff,0xff906fff,0xffff50ff,0x01f50009,0x3fffffe0,0xffa80001,
    0x01f404ff,0x13fffe20,0x001ffb00,0x0a3ffffc,0x02ffffcc,0x7777ec00,
    0x1ffeeeee,0x213fffee,0x005ffffe,0x85ffff98,0x200cfff9,0x7fcc02fd,
    0x3e600fff,0xffd06fff,0xffff505f,0x00bd0009,0x2fffffdc,0x7ffd4000,
    0x013e204f,0x013ffe60,0x4005ff88,0x571ffffd,0x1bfffe60,0xffff7000,
    0xffffffff,0x1fffff88,0x1bfffff6,0x3fffe600,0xfffffb85,0x9804f982,
    0x200fffff,0x41fffff9,0xf503fff9,0xa8009fff,0x3fe2002f,0x0001ffff,
    0x027fffd4,0x2e000bf5,0x3ea004ff,0x7fc4002f,0x2e05ffff,0x0006ffff,
    0x3fffffea,0x86ffffff,0xfdfffff9,0xefffffbe,0x3ffe6003,0xffff885f,
    0x3febbeff,0xfffff500,0x77ffcc03,0x9ffb10df,0x37fffdc0,0x005ff100,
    0x5fffffd8,0x7ffdc000,0x7ffb106f,0x09f90001,0x0007fec0,0x05f7fecc,
    0xfffffd88,0xfff98001,0xffffffff,0xffd304ff,0x3ffeabff,0x26000acd,
    0xd505ffff,0x7bffffff,0x3ffa2001,0x3e605fff,0xffdff70d,0xfffd807b,
    0xfe9800ff,0x7ff4006f,0x0003ffff,0x87fffff6,0xffffffea,0x0274000d,
    0x0005ff88,0x7ffcc008,0x01efffff,0x3fffffa0,0xffffffff,0x10554403,
    0xf9800015,0x54405fff,0x362000aa,0xfffffffe,0x41442dff,0xec801a98,
    0xefffffff,0xfffff900,0x3f6a03df,0xffffffff,0x3ff6001f,0x05ffffff,
    0x00a20000,0x0000e64c,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x99999500,0x65499999,
    0xcccccccc,0xccca80cc,0x999952cc,0x09999999,0x66666654,0x9999911c,
    0x59999999,0xcccccc98,0x3b2e204c,0x2000bcee,0xcccccccb,0x910ccccc,
    0x99999999,0xccc88999,0x643ccccc,0xcccccccc,0x4009aacc,0xccccccca,
    0xcccccccc,0x81cccccc,0xcccccccb,0xcccccccc,0x665c1ccc,0x0000cccc,
    0xffffffb3,0x7f54437f,0x1affffff,0x39ffd710,0x3fffff26,0x2201adff,
    0x0cffffca,0x3ffffaa6,0x4409aeff,0x1befffba,0x939fff70,0x22007fff,
    0xffffffb9,0x7f541aef,0xaeffffff,0xffffc981,0x7ed4c0ad,0xffefffff,
    0xf902efff,0xffdfffff,0xffddffff,0xfd05ffff,0xddddffff,0xffffffdd,
    0xffffb30d,0xfd80001f,0x2206ffff,0x04fffffe,0x3ee0bf50,0x000fffff,
    0xf100ffe4,0x001fffff,0xfc803fea,0x7ffcc1ff,0x7ffcc003,0x3a200fff,
    0x03ffffff,0xd003ffd8,0x64cfffff,0x641fffff,0x7fe41dff,0x3ea21fff,
    0xdfff82ff,0x3fffea02,0x3ffe02ff,0x4c0000ff,0x00ffffff,0x1bffffea,
    0xfd00fd40,0x8005ffff,0xfff802fc,0x3e2007ff,0x1bffea06,0x000fffec,
    0x0dfffff1,0xffffff10,0x009fb00d,0x43ffffec,0x20fffffb,0xfff904fc,
    0x5fd103ff,0xf8809ff0,0x405fffff,0x000fffff,0xfffffd80,0x7ffffc02,
    0x406c801f,0x05fffffb,0xff803740,0x7c007fff,0x13fffa05,0x001fffe4,
    0x01bffffe,0x7fffffdc,0x0017e603,0x20fffff9,0x326fffff,0x3ffff206,
    0x885f501f,0xfffc804f,0x7f400fff,0x80000fff,0x05fffffa,0x27ffffe4,
    0x7fc01f40,0x1000ffff,0x3ffe005f,0x274007ff,0x07ffff88,0x800bfff7,
    0x006fffff,0x3ffffff6,0x9000dd01,0x360fffff,0x790fffff,0x7ffffe40,
    0x1f30ba01,0xfffff980,0xfffe803f,0xfd00000f,0x4401ffff,0x407fffff,
    0xffb800f9,0xd9004fff,0x7ffffc00,0x98274007,0xb81fffff,0x7c003fff,
    0x2006ffff,0x6ffffff8,0xc8000fc8,0xf907ffff,0x0725ffff,0x1fffffc8,
    0x00b50ae0,0x0dfffffd,0x03ffffa0,0x7ffdc000,0x7ff404ff,0x17202fff,
    0x7ffffc40,0x017c400f,0x0ffffff0,0x3fe04e80,0x7e40efff,0x7fc001ff,
    0x5c006fff,0x23ffffff,0xf90001fb,0x3ee0ffff,0x8012ffff,0x01fffffc,
    0xb8033022,0x01ffffff,0x81ffffd0,0xff880019,0x7f407fff,0xf105ffff,
    0x7ffec005,0x03dc03ff,0x1fffffe0,0x7ec09d00,0x3a0effff,0xff8006ff,
    0xd8006fff,0x99ffffff,0x3f20002f,0xff907fff,0x32003fff,0x001fffff,
    0x7fffc400,0x3fa004ff,0xfff90fff,0xffd8009f,0xff302fff,0x501fffff,
    0xfff9800f,0x01f406ff,0x1fffffe0,0x7d409d00,0xaaffffff,0xf8000dff,
    0x8006ffff,0xeffffff8,0x7e40004f,0xffd07fff,0x7e400fff,0x0001ffff,
    0x7ffffec0,0x3ffa000f,0xffffd9ff,0x3ea003ff,0xbb05ffff,0x07fffff9,
    0xffd0009b,0x3ea03fff,0x7fffc000,0x0274007f,0x3ffffff2,0x20003fff,
    0x006fffff,0xffffff50,0xff90000d,0xfff30fff,0x7e4005ff,0x0001ffff,
    0x3ffffea0,0x7ff4002f,0xfe99dfff,0x3a001fff,0x440fffff,0xfffff9af,
    0x4000fc46,0x05fffffa,0xfff0009d,0x4e800fff,0xfffffd80,0x20000eff,
    0x006fffff,0x3fffff60,0x7e40001f,0x7f4c7fff,0x64004fff,0x001fffff,
    0xffffd100,0xffd000bf,0xfffb8bff,0x3fee003f,0xd3dc4fff,0x5c3fffff,
    0x3ffe0006,0x07cc0fff,0x7ffffc00,0x80274007,0xfffffffb,0xfff0001f,
    0x44000dff,0x06ffffff,0x7fffe400,0xffffdcbf,0xffc8002e,0x00001fff,
    0x1ffffff9,0xffffd000,0x4ffffa81,0x3fffe200,0xff71f47f,0x01f49fff,
    0xfffff700,0xf0005d89,0x800fffff,0xfff5004e,0x03ffffff,0xdfffff00,
    0xfffa8000,0x20004fff,0xeefffffc,0x0001bcee,0x07fffff2,0x3ffe6000,
    0xd0003fff,0xfa81ffff,0x6c004fff,0xf52fffff,0x7ffffc41,0x40001f37,
    0x27fffff8,0xff0001f8,0xe800ffff,0x57ff4404,0xfffffffd,0x7fffc000,
    0x7d40006f,0x01ffffff,0xfffff900,0x3f200000,0x0001ffff,0x6fffffe8,
    0x3fffa000,0x7fffd40f,0x7ffd4005,0xfb0bb5ff,0x0b95ffff,0xffffb000,
    0x8001b25f,0x007fffff,0xfff30274,0x7ffffec9,0x7ffc002f,0x220006ff,
    0xfffffecf,0xfff90006,0x200000ff,0x01fffffc,0x7fffdc00,0x3a0001ff,
    0x7d40ffff,0xe8005fff,0x1fafffff,0xefffffa8,0xf980002f,0x2f8effff,
    0x3fffe000,0x027c007f,0xfd83fffb,0x4005ffff,0x006fffff,0x3fe6bd10,
    0x8004ffff,0x007ffffc,0xffff9000,0x7c40003f,0x004fffff,0x3ffffa12,
    0x2ffffd40,0x7fffdc00,0x3ffe06ff,0x00007fff,0x37fffffa,0x7ff40006,
    0x1fc007ff,0x80ffff88,0x987ffffd,0xbfffff02,0xc83b6000,0x01ffffff,
    0x3ffffe40,0xffc80000,0x20001fff,0x0ffffffd,0xffd0d100,0xfffa81ff,
    0xff88005f,0x3203ffff,0x004fffff,0x3fffea00,0x740003ff,0x2007ffff,
    0xfff502f8,0x3fffea0f,0x03fffa0f,0x00bfffff,0xffd01f90,0xc800dfff,
    0x0007ffff,0xfffff900,0x3fea0003,0x2002ffff,0xffffe85a,0x2ffffd40,
    0xffffd800,0x7fffc407,0x7c00001f,0x0007ffff,0x07ffffd8,0x7e407ea0,
    0xfff107ff,0x7fffccff,0x3ffffe23,0x817d4005,0x4ffffff9,0x3ffff200,
    0xf9000007,0x0003ffff,0x17fffffa,0xffd09d00,0xfffa81ff,0xff50005f,
    0xffd009ff,0x700000df,0x0009ffff,0x3fffff50,0xfb81f600,0x3ff607ff,
    0x3fffee5f,0x3ffffe24,0x013e6003,0x3ffffff9,0x3ffff200,0xf9000007,
    0x0003ffff,0x3ffffff9,0x7427e400,0x7d40ffff,0x20005fff,0xa800fffe,
    0x00003fff,0x00ffff88,0xffff8800,0x03fb804f,0x407fffe6,0x3e62fffe,
    0x3fe20fff,0xf3001fff,0xfffd100d,0xfb001dff,0x0000ffff,0x3fffff20,
    0x7ffcc001,0xb1004fff,0xfffd07ff,0xffffa81f,0x3fee0005,0x1fff1005,
    0x3f200000,0x2a00004f,0x204fffff,0xffc805fa,0x5fff984f,0x7d44ffe8,
    0xf3003fff,0x3fea007f,0xd805ffff,0x000fffff,0xffffd800,0x7fec002f,
    0xf7006fff,0xfff05fff,0xfffb83ff,0x3e20005f,0x17f2002f,0xff980000,
    0x7dc00001,0xaaceffff,0x3a005ffd,0x3f662fff,0xeff880df,0x09fffd11,
    0x1dfff710,0xfffff500,0x3e6019ff,0x004fffff,0x7fffcc00,0x3ea005ff,
    0xaacfffff,0xfecbaaaa,0x7cc1ffff,0x7ec3ffff,0x0000ffff,0x5f3001b6,
    0x5e800000,0xfb100000,0xdfffffff,0xffd50005,0x805dffbd,0xffffffc8,
    0xfffc803d,0xa83effff,0xfffffffe,0x3fb62fff,0xffffffff,0x3b20001e,
    0xffffffff,0x3fe203df,0xffffffff,0xffffffff,0x3f20ffff,0xd5ffffff,
    0x5fffffff,0x000a6000,0x20000012,0x40000019,0x0aaccaa8,0xaaa98000,
    0x54c40009,0x0000001b,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x66664400,0xcccccccc,0x66644003,0xcccccccc,0x99999504,
    0xcc889999,0xcccccccc,0x009aaabc,0x66666440,0x2ccccccc,0x99999995,
    0x2e199999,0x004ccccc,0x33333220,0xcccccccc,0x2ccccccc,0x99999991,
    0x99999999,0xa8199999,0xcccccccc,0x009aabcc,0x66666440,0x6666443c,
    0xcccccccc,0x22001aaa,0xfffea981,0x009aefff,0xfffda980,0x101bffff,
    0x7dffff93,0xfffd5303,0xffdddfff,0x4003dfff,0xfffffda9,0x73109bff,
    0xbfffffff,0x7ffecc35,0x260000ff,0xffffffda,0xfffffeee,0x36a63fff,
    0xeeffffff,0xfffffffe,0x7fdcc41f,0xffffffff,0x001cefff,0x0dffffd5,
    0xfffffd53,0xffffffdf,0x7fec01bf,0xffff881e,0x200001ff,0x02fffffe,
    0x4013ffe0,0x86fffff8,0x04ffffea,0xffffff80,0x7fffd402,0x3ffe206f,
    0xd00000ff,0x201fffff,0x883fffd9,0x80ffffff,0x01fffea8,0x1bffffe6,
    0x1bffff93,0xdffff700,0x7ffffc40,0x3fffea26,0xfffa80ef,0xffffd05f,
    0x6c00001f,0x001fffff,0xf8005ff5,0x3a06ffff,0x000effff,0x03fffffa,
    0xbfffff30,0x0fffff80,0xfffb0000,0xfea801ff,0xfffffd03,0x01ffb801,
    0x1bffffe2,0x17ffffd4,0x1bfffe60,0x0dffffd0,0x3fffffd1,0x0fffffd8,
    0x07ffffe8,0x7ffec000,0xef9800ff,0xffff8001,0x3ffe606f,0x3f6003ff,
    0x4c00ffff,0x405fffff,0x000fffff,0xfffffb00,0x207f1001,0x00fffffe,
    0x3e201fc8,0x2e06ffff,0x201fffff,0x406ffff9,0x506ffffe,0xb89fffff,
    0xfd06ffff,0x0000ffff,0x0fffffd8,0x0006fd40,0x06ffffe8,0x03fffffc,
    0x1fffffb0,0xfffff980,0x7ffffc04,0xffb00000,0x36001fff,0xfffffd03,
    0x803f1001,0x406fffff,0x00effffe,0x80dffff3,0x106ffffe,0x88dfffff,
    0xfd02fffe,0x0000ffff,0x0fffffd8,0x00013f20,0x80dffffd,0x00fffffe,
    0x1fffffb0,0xfffff980,0x7ffffc04,0xffb00000,0x70201fff,0x3ffffa07,
    0x01d8580f,0x037ffffc,0x13ffffee,0x037fffcc,0x81bffffa,0x80fffffe,
    0x3ffa00ba,0x400007ff,0x80fffffd,0x80002fd8,0x406ffffe,0x01fffffd,
    0x1fffffb0,0xfffff980,0x7ffffc04,0xffb00000,0x11a01fff,0x3ffffa05,
    0x01a8780f,0x037ffffc,0x3fffffe2,0x6ffff980,0x37ffff40,0x0dfffff0,
    0x7ffff400,0x7ec00007,0x74c0ffff,0xfd00001e,0xff80dfff,0x36007fff,
    0x400fffff,0x04fffff9,0x107ffffc,0x5fffffff,0x7ffffec0,0x3a006a80,
    0x440fffff,0xffff0007,0xfffb00df,0xfff307ff,0xfffe80df,0xffff306f,
    0x7f40007f,0x00007fff,0x07ffffec,0x00001df5,0x037ffff4,0x0bfffff3,
    0x7ffffec0,0x7fffcc00,0x7fffc04f,0x2fffb80f,0xfffffd80,0x3a006c80,
    0x640fffff,0xffff0007,0xfff900df,0xfff30bff,0xfffe80df,0xffffb06f,
    0x7f40001f,0x00007fff,0x87ffffec,0x0000effc,0x1bffffa0,0x1fffffc8,
    0x3ffff600,0x7ffcc00f,0x7ffc04ff,0x0ef980ff,0xfffffb00,0x2006fa81,
    0x20fffffe,0xff0007f9,0xf900dfff,0xf30dffff,0xfe80dfff,0x7ec46fff,
    0x0000efff,0x03fffff4,0x3fff6000,0xffffd9ff,0x3fa00005,0xff906fff,
    0xd8005fff,0xaabfffff,0xffbaaaaa,0x7fc04fff,0x0ee80fff,0x3ffff600,
    0x6ffca88f,0x3ffffa00,0x07ffb99f,0xdfffff00,0xfffff700,0xdffff30f,
    0xfffffe80,0xcffffdcc,0xffd00001,0x80000fff,0xfffffffd,0x003fffff,
    0xdffffd00,0xfffdd995,0xfb00019f,0xffffffff,0xffffffff,0xfff809ff,
    0x0076c0ff,0x3fffff60,0x06ffffff,0x3fffffa0,0x007fffff,0x0dfffff0,
    0xffffff50,0x6ffff981,0x7fffff40,0xdfffffff,0x2014c00a,0x007ffffe,
    0x7fffec00,0xfffffdef,0xfe80001f,0xffeeffff,0x0000ffff,0x27fffff6,
    0xa9999999,0x404fffff,0x360fffff,0xffd8000e,0xffebbfff,0x3ffa006f,
    0xffcbafff,0xffff0007,0xfff500df,0xfff30fff,0xfffe80df,0x3ffaa26f,
    0xfe883fff,0xfffd02ff,0xd80000ff,0xe88fffff,0x00ffffff,0x7ffff400,
    0xffffff16,0x7fec0009,0x7cc00fff,0x7c04ffff,0xdfb0ffff,0xfffb0001,
    0x37ec41ff,0xfffffd00,0x8003fdc1,0x806fffff,0x86fffffb,0x406ffff9,
    0xb06ffffe,0xb8bfffff,0xfd05ffff,0x0000ffff,0x0fffffd8,0xdffffff3,
    0xfffe8000,0x3fffea6f,0xfb0001ff,0x9801ffff,0x404fffff,0xfd8fffff,
    0xfd8004ff,0x6e80ffff,0x3ffffa00,0x8003ec0f,0x806fffff,0x85fffffc,
    0x406ffff9,0x206ffffe,0x24fffffd,0x80fffffd,0x007ffffe,0xfffb0198,
    0x7ffd41ff,0x20005fff,0x646ffffe,0x00efffff,0xfffffd80,0x7fffcc00,
    0x7fffc04f,0x2fffffdf,0x7fffec00,0x2006a80f,0x40fffffe,0xfff0007a,
    0xffb00dff,0xff307fff,0xffe80dff,0x3fee06ff,0x3fea7fff,0xfffd05ff,
    0x03b000ff,0x03fffff6,0x7ffffff9,0x3fffa000,0x7fff446f,0xfd8005ff,
    0x4c00ffff,0x404fffff,0xfcefffff,0x2000ffff,0x80fffffd,0x3ffa0068,
    0x03c40fff,0x7ffffc09,0xffffe806,0xffff982f,0x7ffff406,0x3fffe606,
    0x3bff61ff,0xfffffd01,0xb00f8800,0xd01fffff,0x03ffffff,0xdffffd00,
    0xffffff30,0xfffd8005,0x7fcc00ff,0x7fc04fff,0xfffd0fff,0x7fec00bf,
    0x00b00fff,0x07fffff4,0x3e068834,0x4406ffff,0x306fffff,0xe80dffff,
    0x7c06ffff,0x442fffff,0x7ffff402,0xb03dc007,0x101fffff,0x1fffffff,
    0xffffe800,0xfffff906,0x7fec001f,0x7cc00fff,0x7c04ffff,0xff30ffff,
    0x36005fff,0x000fffff,0xfffffe80,0xf8172000,0x5c06ffff,0x301fffff,
    0xe80dffff,0x2606ffff,0x00ffffff,0x7ffffe80,0xd81fe200,0x300fffff,
    0x0dffffff,0x6ffffe80,0x3fffffa0,0x3fff6006,0x7fcc00ff,0x7fc04fff,
    0x3ff20fff,0xfd800fff,0x0000ffff,0x0fffffe8,0x7c09f300,0x7c06ffff,
    0x2604ffff,0x7406ffff,0x2e06ffff,0x006fffff,0x1fffffd0,0x40dfd100,
    0x01fffffd,0x3fffffee,0x3fffe005,0x3ffe206f,0xfb003fff,0x9801ffff,
    0x405fffff,0x740fffff,0xd805ffff,0x001fffff,0xfffffe80,0x03ff8800,
    0x0dfffff1,0x02ffffdc,0x01bfffe6,0x20dffffd,0x1fffffe8,0xfffff000,
    0xffe8803f,0x3ffffa05,0x7fff401f,0xff005fff,0xfb80ffff,0x802fffff,
    0x01fffffe,0x2fffffcc,0x03ffffe0,0x07fffff3,0x1fffffe8,0xfffe8000,
    0x3ee201ff,0xfff101ff,0x3ff20fff,0xff9803ff,0x7ffc07ff,0x7f440fff,
    0x0002ffff,0xfffffff5,0xfd955557,0x3e609fff,0x405fffff,0xfffffffd,
    0x3ffee00d,0x7ec02fff,0x201fffff,0x4ffffffa,0x7ffffec0,0xffff301f,
    0xffffd07f,0x3ffe605f,0x40005fff,0xeffffffa,0xffdcaaab,0xff900fff,
    0x975bffff,0x003bfffd,0x07fffff2,0x7fffffd4,0xffffdbbe,0x6c4000cf,
    0xfffffffe,0xffffffff,0x3223ffff,0xfffffffe,0x3fea0eff,0xffffffff,
    0xfffd30ef,0xddffffff,0xfffff101,0x7f644dff,0xffffffff,0xffffb52d,
    0x19dfffff,0x3ffffff2,0x3ffff26f,0xfd915fff,0xffffffff,0x3b22005b,
    0xffffffff,0xffffffff,0x7f6d47ff,0xffffffff,0x2001ceef,0xfffffff8,
    0xfffdd15f,0xffffffff,0x000179bd,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0xccccccc8,
    0x970003cc,0x99999999,0x333332a1,0x204ccccc,0xccccccc8,0x99999911,
    0x05999999,0xffff9031,0x7d43ffff,0x2000ffff,0x00000098,0x00000000,
    0x00306a60,0x20004d4c,0x30000a98,0x50000015,0xfffea981,0x4000ffff,
    0xfffffff8,0x3fae21ad,0x1affffff,0x77ffdd40,0x3ff6a60b,0x09bfffff,
    0x320f7fec,0x206fffff,0x64000dfe,0x0000005f,0x05b33c98,0x3fea0000,
    0x407cdfff,0xcfffffd9,0x7fff4c00,0xfea800ef,0x700bdfff,0x43ffffff,
    0xff01fffc,0x009fffff,0xffffffb8,0x3ffe600f,0x5c005fff,0x7ffc00ef,
    0xff502fff,0xfffb0bff,0x00fdc0df,0x0002fe40,0x7ffb5000,0x002fbfe6,
    0x46ffcc00,0x2a07ffc8,0xfffa8cff,0x49ff700e,0x3f201ffe,0x1dff51ef,
    0x3ffffe20,0x5ffffe89,0xfffffbd0,0x7e74001f,0xb806ffff,0x00ffffff,
    0x3a003f60,0xb00fffff,0xf30fffff,0x3601ffff,0x0bf90005,0xfb880000,
    0xfd11efff,0x0003bfff,0x7cc1ffd8,0xe8fff707,0xffb85fff,0xc837fd46,
    0x7fec1fff,0x3ffffa06,0x5fffffd9,0xffffb9d0,0x27ea007f,0x006fffff,
    0x09fffffd,0x7400fe60,0x700fffff,0x360bffff,0x5f04ffff,0x017f2000,
    0x7fed4000,0xf9301dff,0x0017dfff,0xa84fff88,0x27ffc40f,0xf11ffff2,
    0xfff887ff,0x43fffcc3,0xfb05fffa,0xf53dbfff,0x273a05ff,0x006fffff,
    0x3ffffebb,0xffff3006,0x0db001ff,0x7fffff40,0x5fffd100,0x1ffffe60,
    0xfc8001aa,0x2e200005,0x00cffffe,0xffffd710,0x3fea0039,0x640e84ff,
    0x7fcc3fff,0x17ffec6f,0x3f63fffc,0xfff986ff,0xffffd81f,0x9d00d42f,
    0x07fffffa,0x3ffe3f10,0x3f6006ff,0x4c05ffff,0x3ffa001f,0x5d400fff,
    0x7ffff400,0x90001ec2,0x930000bf,0x005dffff,0xffffd980,0x7ffcc02e,
    0x88260eff,0xfc82ffff,0x3fffe22e,0x10ffff81,0xf10bffff,0xffb07fff,
    0x9d000dff,0x17ffffea,0x7fffcd90,0x3fe6006f,0x3a01ffff,0x7fff4005,
    0x700000ff,0x7c4dffff,0x17f20000,0xfffea800,0x400001cf,0xcfffffb8,
    0xfffffd01,0x3ffe605f,0x3fe6002f,0xf9999aff,0xfff52fff,0xffff10bf,
    0x9ffffb0b,0x7fc9d000,0x3e00ffff,0x1bffffe3,0xfffff900,0x0003ee0b,
    0x01fffffd,0x7fffc000,0x8000b71f,0x644005fc,0x00beffff,0xfda80000,
    0x7dc2dfff,0x84ffffff,0x003ffffa,0x3fffffea,0x3fffffff,0x109ffff7,
    0xfb0fffff,0xd0007fff,0x7ffffe49,0x7fc1f504,0x44006fff,0x41ffffff,
    0xfe8003f8,0x0000ffff,0x57ffff20,0x2aaa202e,0xefdaaaaa,0xaaaaaaaa,
    0x5bffff31,0x20000000,0x43ffffc8,0xfffffffd,0x2ffffdc4,0x5ffff700,
    0x7fffe400,0xfffff884,0x17fffec0,0xff127400,0x13a0ffff,0x00dfffff,
    0xdfffff90,0xfd0006d8,0x0001ffff,0x7ffffc40,0x7ffcc07a,0xffffffff,
    0xffffffff,0x9ffffd13,0x80000003,0x1effffc8,0xffffffc8,0x3fffee2f,
    0x3ffee006,0x3fee003f,0xfff884ff,0xffffd87f,0x6c4e8001,0x4c2fffff,
    0x7ffffc1f,0xfff88006,0x05f32fff,0x3ffffa00,0x6c00000f,0x404fffff,
    0xfffffff9,0xffffffff,0x6d43ffff,0x002effff,0x7fed4000,0x7d402dff,
    0x2a4fffff,0x000fffff,0x00bffff5,0x427fffd4,0xd87ffff8,0x8001ffff,
    0x7fffcc4e,0x7fc2e46f,0x70006fff,0x3adfffff,0x3ffa0005,0x0d400fff,
    0xfffff300,0xbf900003,0x7fdc4000,0x0000cfff,0xffffd710,0xd1062019,
    0x7c4fffff,0x3004ffff,0x001fffff,0x217fffe6,0xd85ffff9,0x8001ffff,
    0xffffe84e,0xff05f11f,0x4000dfff,0xfefffffe,0x3ffa0000,0xff500fff,
    0x3fa003bf,0x900006ff,0x2a0000bf,0x02dffffd,0xffff9300,0x01f3005d,
    0xfe8ffffb,0x8201ffff,0x204fffff,0x1bfffa2b,0x20bfffea,0x001ffffd,
    0xfffa84e8,0x3e0f75ff,0x0006ffff,0x3fffffea,0x7ff40003,0xffd00fff,
    0xf5001fff,0x200007ff,0x400005fc,0xbeffffc8,0xfffea800,0x3e6001cf,
    0x45fff884,0x86fffffa,0x3ffee1e8,0x546a82ff,0xffa86fff,0xffffb06f,
    0x209d0003,0xe8ffffff,0xdfffff03,0xfffe8000,0x740001ff,0x880fffff,
    0x02ffffff,0x0001fff0,0x00017f20,0xffffea80,0x7ffe441d,0x88000bef,
    0x2ffe81ff,0xffffffe8,0x7c42fcad,0xaadfffff,0xfffd81fd,0x817ffec1,
    0x002ffffe,0xfff904e8,0x3e01fbff,0x0006ffff,0x0fffffe4,0x3fffa000,
    0xfffd00ff,0x3ee007ff,0x3f200005,0x98000005,0xf33ffffc,0x0003bfff,
    0x70cfff88,0x3f6209ff,0x3fffffff,0xfffffd10,0x7ec05fff,0x3fff30df,
    0x3ffffe20,0x104e8004,0x0bffffff,0x037ffffc,0x3ffff200,0x7f40001f,
    0xd300ffff,0x2007ffff,0x200002f8,0x000005fc,0x4cffae20,0x00000bff,
    0xffffbbf1,0xfff9009f,0xd8805bff,0x01dfffff,0xffefffb8,0xffff700e,
    0x4005dfff,0x3fff604e,0x3ffe01ff,0x640006ff,0x001fffff,0x7fffff40,
    0x02fd8400,0x80000d30,0x000005fc,0x00a23300,0x2a614000,0x02a98001,
    0x00035300,0x00006aa2,0x9813a000,0x7c06ffff,0x0006ffff,0x0fffffe4,
    0x3fffa000,0x1ff000ff,0x003d8188,0x002fe400,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfffe809d,0x7ffffc02,0x7fe40006,0x40001fff,
    0x00fffffe,0x7fd44f98,0x00003e25,0x00007950,0x00000000,0x00000000,
    0x00000000,0x74000000,0x03ffd404,0x1bffffe2,0xffff9000,0xfe80003f,
    0xd800ffff,0x87ffec0e,0x0000004b,0x00000000,0x00000000,0x00000000,
    0x00000000,0xf805f880,0x7ffc404f,0x6c0006ff,0x002fffff,0x7fffff40,
    0x203ba200,0x0f9afffd,0x7fffe400,0xfff75fff,0x7e4dffff,0xfff11fff,
    0x91dfffff,0x541fffff,0xffffffff,0x005fffff,0x30000000,0x22000005,
    0xaaaaaaaa,0xaaaaaaaa,0xff901aaa,0x400fc807,0x2ffffffc,0xffff3000,
    0x54000bff,0x04ffffff,0x3ea019d5,0x0002ffff,0x87fffff7,0x84fffffa,
    0x7e440ef9,0x7dc5ffff,0xacffa82f,0xffffc999,0x017ec01f,0x200df300,
    0xeb83fffe,0x1dfc882e,0x3fffffe6,0xffffffff,0x223fffff,0xeffffffd,
    0xfb505880,0xffffffff,0xeca8019d,0xffffffff,0x64400cdf,0xfffffffe,
    0x40062dff,0x0001dfda,0x427fffec,0xf05ffffd,0x7fffec05,0xfa80fdc6,
    0xfffff882,0x03ffd405,0x805ffb00,0x22fffffa,0x640ffffa,0x3fe66fff,
    0xffffffff,0xffffffff,0x0000003f,0x00000000,0x00000000,0xf9800000,
    0xffa86fff,0x407a87ff,0x13fffff8,0xd835405f,0x400fffff,0x50007ffb,
    0xfd80ffff,0x3f66ffff,0x7ffc3fff,0x000000ff,0x00d54c00,0xc8053000,
    0xffffffff,0x3ffffe61,0x00a88000,0xffb00544,0x7fccffff,0x3a04ffff,
    0x7e41ffff,0x2642ffff,0x7ffffdc0,0x41d404d8,0x03fffff9,0x0005ff88,
    0x407ffffd,0x27fffffa,0x7c2ffffd,0x00007fff,0xfffd7000,0x3f205dff,
    0xf90fffff,0x7dc09fff,0x3607ffff,0x3ffee0ef,0xfff71fff,0xffeb83df,
    0xfff701ef,0xfffe88ff,0x3ffee04f,0x7ffefc4f,0xf800fc5f,0x00feffff,
    0xdffffd00,0x7ec3dd30,0xf7017ee1,0x401ffd3f,0x2e7feffc,0x7ec1ffff,
    0x000006ff,0xa85ff4c0,0xf501ffff,0xffb3ffff,0x6c09ffff,0x3206ffff,
    0xffff980f,0xfffffd9f,0xffffb0ef,0xff101dff,0xfff90fff,0x7ffc409f,
    0x3fe3aa7f,0x00d50fff,0x17ffffdc,0xffffb800,0x4fffe81f,0x3fffa2d5,
    0x269ff102,0x4c4404ff,0x1fffea6f,0xa893fff2,0xaaaaaaaa,0xaaaaaaaa,
    0x7ffc41aa,0x07fffe40,0xdffffff8,0x1ffffe99,0x1fffff30,0xffe81760,
    0xff91efff,0x323bdbff,0xff04ffff,0xfff70fff,0xfffd809f,0x3ff67b2f,
    0x8009b3ff,0x005ffffe,0x5fffff88,0x5bffff90,0x1ffffd5b,0xfd83ff20,
    0x44fb801f,0xff985fff,0x3fffe62f,0xffffffff,0x3fffffff,0x2e1fffe4,
    0xff03ffff,0xffb8bfff,0x3ff603ff,0x01f883ff,0x03bffffa,0x88dfffff,
    0xff06ffff,0xfff70fff,0xfffa809f,0xff50f8df,0x003f1dff,0x1fffffa8,
    0x7fffec00,0x3332a00f,0xbccccfdc,0x887ff300,0x0fe805ff,0xff81ffec,
    0x3fffe60f,0xffffffff,0x3fffffff,0x2a3ffff4,0xfd04ffff,0xffa81fff,
    0x3fea04ff,0x406b87ff,0xf81ffffd,0xff80ffff,0xffff07ff,0x9ffff70f,
    0xfffff880,0x7ffffc5c,0xffd0006c,0x7d400bff,0x4003ffff,0x36004be9,
    0x05ff906f,0x7fdc1fd4,0x000dfb01,0xfffb8000,0x27fffd45,0x40ffffe8,
    0x404ffffa,0x742ffffe,0x7fffec02,0x0fffff81,0xf07ffff8,0xff70ffff,
    0xffb009ff,0xffc85fff,0xd0003fff,0x003fffff,0x01bffffa,0x07be7f90,
    0x2205ff50,0x05f906ff,0x4fb81fe6,0x55503710,0xbda80055,0x3ffff620,
    0x1ffffd04,0x04ffffa8,0x337fffdc,0xffffb00f,0x1ffffd03,0x20fffff0,
    0xfb87ffff,0xf9804fff,0x7cc0ffff,0x8000ffff,0x5ffffdeb,0xfffffb80,
    0x7f443881,0x407ffb1f,0x7fdc06fe,0x3e00eec3,0x2e0be605,0x7fdc5fff,
    0x220002ff,0x4ffffefc,0x81ffffd0,0x404ffffa,0xb1fffff8,0xffffb007,
    0x1ffffd03,0x20fffff0,0xfb87ffff,0xff004fff,0x3ffa0bff,0x9f98006f,
    0x02fffff9,0x13ffffe2,0x9fff21dc,0xfb81fffb,0x0ffe801f,0x201ec006,
    0xfffff80f,0x02fffdc1,0x557fe440,0xfd04ffff,0xffa81fff,0xffc804ff,
    0x800f8dff,0xe81ffffd,0xff80ffff,0xffff07ff,0x9ffff70f,0x0bfff200,
    0x001fffdc,0xfffd8fa2,0x3fff606f,0x42e880ff,0x3fe24ffd,0x02ffc41f,
    0x0004ff98,0x3ffe6000,0x7ffc83ff,0x8fffd400,0xd04ffffa,0xfa81ffff,
    0xf9804fff,0x005cffff,0xd03ffffb,0xff01ffff,0x3ffe0fff,0xffffb87f,
    0x0fff3004,0x0007ffc4,0xffff31b6,0xffff507f,0x85fd107f,0x1f540cd8,
    0x00000000,0x7fff4000,0x05ff901f,0xa87fff20,0xfd04ffff,0xffa81fff,
    0xffb004ff,0x36003fff,0xfe81ffff,0xfff80fff,0xfffff07f,0x09ffff70,
    0x36027f40,0x3f62005f,0xffffff86,0x7fffff41,0xfffda999,0x00000001,
    0x00000000,0xc809fff5,0xfffb804f,0x27fffd46,0x40ffffe8,0x004ffffa,
    0x00dffff5,0x40ffffec,0xf80ffffe,0xfff07fff,0xfffb81ff,0x07ee004f,
    0xd1005f50,0xd53dffff,0xbfffffff,0x3fffffee,0xffffffff,0x00000000,
    0x00000000,0x06d80054,0x545ffff8,0xfd04ffff,0xffa81fff,0x3fa004ff,
    0x3f6002ff,0xffe81fff,0xffff80ff,0x1ffffd07,0x27ffffc4,0x32009100,
    0x00000000,0x00000000,0x00000000,0x00000000,0x47ffffe6,0x04ffffe9,
    0xa81ffffd,0x2005ffff,0x74007ffb,0xff81ffff,0xfff80fff,0xffff907f,
    0x3ffffa69,0x0000004f,0x00000000,0x00000000,0x00000000,0x10000000,
    0xfdffffff,0x73dffffb,0x41fffff8,0x005ffffb,0xd0013fe2,0xff05ffff,
    0xff883fff,0xfe880fff,0xfbcfffff,0x32a06fff,0x32000bdd,0x2aaaaaa1,
    0x5510aaaa,0x55555555,0x55555555,0x00000005,0x00000000,0x00000000,
    0x3dfffffb,0x83fffffa,0x43fffff9,0x00fffffd,0x88003f20,0x4c4fffff,
    0x5c4fffff,0x302fffff,0x2e7ffffd,0x41ffffff,0xeffffffc,0xff07c402,
    0xffffffff,0x3ffffe65,0xffffffff,0x006fffff,0x00000000,0x00000000,
    0xfc880000,0x7ff544ef,0x3ffff21d,0xfffd5fff,0x2005ffff,0x3fee0038,
    0xf76fffff,0x2dffffff,0xfffffffd,0x0006a605,0x7ff77fcc,0x441cffff,
    0x7ffffc7d,0xf32fffff,0xffffffff,0xffffffff,0x000000df,0x00000000,
    0x00000000,0x02200440,0x00000000,0x00000000,0xd0000000,0x7fed443d,
    0xffccefff,0x7fffffc3,0x0002ffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x407f0000,0xffffffc8,0xaaaaa85f,
    0x000aaaaa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x07880000,0x0fbfb6a0,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_bold_41_usascii_x[95]={ 0,3,3,0,1,2,1,2,1,0,2,0,1,0,
1,0,1,2,0,0,0,1,1,1,1,1,3,2,0,0,0,2,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,0,1,0,1,0,1,1,0,0,0,0,0,0,3,0,1,2,-1,0,1,0,1,1,1,1,1,1,0,
-2,1,0,1,1,1,0,1,1,1,0,1,0,0,0,0,0,2,2,1,0, };
static signed short stb__times_bold_41_usascii_y[95]={ 32,6,6,6,6,6,6,6,6,6,6,9,26,21,
26,6,6,6,6,6,6,7,6,7,7,6,14,14,10,15,10,6,6,6,7,6,7,7,7,6,7,7,7,7,
7,7,7,6,7,6,7,6,7,7,7,7,7,7,7,7,6,7,6,37,6,14,7,14,7,14,6,14,7,6,
6,7,7,14,14,14,14,14,14,14,8,15,15,15,15,15,15,6,6,6,19, };
static unsigned short stb__times_bold_41_usascii_w[95]={ 0,7,15,18,17,33,29,6,11,11,15,21,8,12,
7,11,17,14,17,17,18,17,17,17,17,17,7,8,21,21,21,15,33,27,24,24,26,24,22,28,29,14,19,30,
24,35,26,27,22,27,28,19,23,27,27,37,27,27,25,9,11,8,17,20,9,17,19,15,19,15,15,17,19,10,
12,20,10,29,19,17,19,19,15,13,12,19,19,27,18,19,16,12,4,11,21, };
static unsigned short stb__times_bold_41_usascii_h[95]={ 0,27,13,27,29,28,27,13,34,34,15,21,13,5,
7,27,27,26,26,27,26,26,27,26,26,27,19,25,19,9,19,27,34,26,25,27,25,25,25,27,25,25,26,25,
25,25,26,27,25,33,25,27,25,26,26,26,25,25,25,32,27,32,14,3,7,19,26,19,26,19,26,26,25,26,
34,25,25,18,18,19,26,26,18,19,25,18,18,18,17,25,17,34,34,34,7, };
static unsigned short stb__times_bold_41_usascii_s[95]={ 253,245,216,19,149,167,38,249,1,43,173,
109,207,131,232,122,202,96,21,184,59,78,1,222,95,166,248,80,131,232,153,
229,55,147,223,68,185,160,137,93,86,65,113,26,1,1,195,201,161,102,57,
146,184,67,39,1,133,37,208,139,134,130,189,144,240,1,111,189,39,205,131,
220,234,238,89,116,212,59,19,221,1,175,239,175,240,89,39,109,137,89,156,
30,25,13,109, };
static unsigned short stb__times_bold_41_usascii_t[95]={ 1,1,166,36,1,1,36,36,1,1,166,
144,166,185,176,36,36,64,64,36,64,64,36,64,91,36,118,144,144,166,144,
1,1,64,118,36,118,118,118,36,118,144,91,118,118,144,64,1,91,1,118,
36,91,91,91,91,91,144,91,1,36,1,166,185,176,170,64,144,64,144,64,
36,91,36,1,118,118,170,170,144,64,64,144,144,64,170,170,166,166,144,166,
1,1,1,185, };
static unsigned short stb__times_bold_41_usascii_a[95]={ 148,197,329,296,296,592,493,165,
197,197,296,338,148,197,148,165,296,296,296,296,296,296,296,296,
296,296,197,197,338,338,338,296,551,428,395,428,428,395,362,461,
461,231,296,461,395,559,428,461,362,461,428,329,395,428,428,592,
428,428,395,197,165,197,344,296,197,296,329,263,329,263,197,296,
329,165,197,329,165,493,329,296,329,329,263,231,197,329,296,428,
296,296,263,233,130,233,308, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_41_usascii_BITMAP_HEIGHT or STB_FONT_times_bold_41_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_41_usascii(stb_fontchar font[STB_FONT_times_bold_41_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_41_usascii_BITMAP_HEIGHT][STB_FONT_times_bold_41_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_41_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_41_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_41_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_41_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_41_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_41_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_41_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_41_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_41_usascii_s[i] + stb__times_bold_41_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_41_usascii_t[i] + stb__times_bold_41_usascii_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_41_usascii_x[i];
            font[i].y0 = stb__times_bold_41_usascii_y[i];
            font[i].x1 = stb__times_bold_41_usascii_x[i] + stb__times_bold_41_usascii_w[i];
            font[i].y1 = stb__times_bold_41_usascii_y[i] + stb__times_bold_41_usascii_h[i];
            font[i].advance_int = (stb__times_bold_41_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_41_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_41_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_41_usascii_s[i] + stb__times_bold_41_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_41_usascii_t[i] + stb__times_bold_41_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_41_usascii_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_41_usascii_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_41_usascii_x[i] + stb__times_bold_41_usascii_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_41_usascii_y[i] + stb__times_bold_41_usascii_h[i] + 0.5f;
            font[i].advance = stb__times_bold_41_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_41_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_41_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_41_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_41_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_41_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_41_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_41_usascii_LINE_SPACING
#endif

