// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_45_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_45_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_45_usascii_BITMAP_WIDTH         256
#define STB_FONT_times_bold_45_usascii_BITMAP_HEIGHT        228
#define STB_FONT_times_bold_45_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_times_bold_45_usascii_FIRST_CHAR            32
#define STB_FONT_times_bold_45_usascii_NUM_CHARS             95

#define STB_FONT_times_bold_45_usascii_LINE_SPACING          29

static unsigned int stb__times_bold_45_usascii_pixels[]={
    0x06e21800,0x1003cb80,0x00002153,0x2ea62000,0x000019ab,0x10000530,
    0x40003573,0xfffffffb,0xffffffb1,0x0326003f,0x0aba8800,0x04ca8000,
    0x03310000,0x00054000,0xffd89b22,0x02ff402e,0x5437ff66,0x4000002f,
    0xeeffffda,0x001cfffe,0x1effe880,0x3ff72200,0x3defffff,0xfffd8800,
    0x5ffffb1f,0x6ff5cc00,0xfb10009b,0x001bff9f,0x000ffe20,0x3ffb2e20,
    0x02cdefff,0x02fffd40,0xd982fe44,0x17fa04ff,0xa81dffc8,0x200001ef,
    0x09beffc9,0x0efca988,0x3fff2000,0xfff5005f,0xfb7115bf,0x98003dff,
    0xffb1ffff,0x3fee00bf,0xdfffefef,0x4bffe601,0x8001fffb,0xa80006fd,
    0x88adffff,0x01efffdb,0x03ffffd0,0x7c027f44,0x0bfd04ff,0x9803ffee,
    0xc80002fe,0x98001cff,0xfd0002fe,0xd880ffff,0x2a01ffff,0x2004ffff,
    0xfb1ffff8,0xfe880bff,0xf933f72f,0x3ffa0dff,0x01bffe27,0x0003ff70,
    0x0ffffec4,0x09ffff30,0x4fffff88,0x6401bf60,0x5fe81fff,0x804fff88,
    0x10002ff9,0x00001dfd,0xf90009f7,0x7d40bfff,0xb802ffff,0x800effff,
    0xfb1ffff8,0x7f440bff,0xfb87ee1f,0x6fffb87f,0x801ffffc,0x20003ff8,
    0x02fffff9,0x0effff98,0x7fffff10,0x400bff60,0xfe84fffa,0x03fffb85,
    0x8003ffb0,0x00004ffa,0x220017cc,0xf101fffe,0x4009ffff,0x806ffffc,
    0xfb1ffff8,0x7fe409ff,0x3ee0fdc6,0x46fffe87,0xb006fffe,0x7c4000df,
    0x2003ffff,0x206ffffc,0xc81ffffe,0x3ee006ff,0x85fe86ff,0x3004fffd,
    0x26001fff,0x000003ff,0x550001f9,0xfffffd80,0x3ffe6000,0x7fc403ff,
    0x9fffb1ff,0x2e3fffc0,0xff87e81f,0x7fff46ff,0x01ffb807,0x3ffff600,
    0x3fe2000f,0xffb03fff,0xfff981ff,0x3fff6003,0xfd85fe86,0x3fa005ff,
    0x3ff8806f,0x2f400000,0x7fd40000,0xf8005fff,0x200fffff,0xfb1ffff8,
    0x3fe609ff,0x207ee2ff,0x7fffc47b,0x07ffff45,0x0007ff10,0x2fffffd4,
    0x7ffff400,0x6fffb80f,0x4007ffd8,0xfe85fffe,0x06fffc85,0x007ffee0,
    0x00000bfb,0x00001f30,0x7fffffc4,0xfffc8003,0x3fe206ff,0x9fffb1ff,
    0x3ffffea0,0x8f103f71,0x746ffff8,0x7ec07fff,0x3fe20006,0x8003ffff,
    0x86fffffc,0x7cc4fff8,0x7fc005ff,0x85fe84ff,0x2007fffa,0x2e05fff9,
    0xfb3000ff,0x32aaa65d,0x65c03d80,0x5c3ccccc,0x00ffffff,0xfffffa80,
    0xffff101f,0x413fff63,0xaffffff9,0xfd0101fb,0xfffe8dff,0x007fee06,
    0xfffffb80,0xffa8000f,0xfe81ffff,0x27ffec1f,0x5ffff100,0xff30bfd0,
    0x7fc001ff,0x05ff01ff,0x3efbfee0,0x707fffe8,0xfffd980d,0x7ffe46ff,
    0x98000fff,0x03ffffff,0x363ffff1,0x3fe04fff,0x1fffffff,0x1ffff600,
    0x2209ffff,0x640003ff,0x00ffffff,0xfffff980,0x447fc82f,0x2002ffff,
    0xe81ffff9,0xffff885f,0x3fffa002,0x8806fa85,0x3f2e5ffd,0x0f504fff,
    0x1bffffe0,0x0ffffffd,0x3fffe600,0xfff104ff,0x13fff63f,0xffffffb8,
    0x3e6003ff,0x3ffe27ff,0x00dfb00f,0xfffffd00,0x3fe2000f,0xfa84ffff,
    0x0ffffe45,0x1ffff100,0x3fe0bfd0,0x3f6000ff,0x1ff40fff,0x307fff40,
    0x205fffff,0xffd800f8,0x7fffc6ff,0xf10006ff,0x20dfffff,0xfb1ffff8,
    0xffd809ff,0x0dffffff,0x23fff900,0xf703fff9,0xff00003f,0x000fffff,
    0x3fffffe2,0x7ec3f885,0x74000fff,0x0bfd07ff,0x9001bffa,0x7cc3ffff,
    0x7ffe400f,0x7ffffcc3,0x36007e00,0x3e66ffff,0x006fffff,0x3fffffe0,
    0x3ffff107,0x2013fff6,0xfffffffd,0xff7002ff,0x205ffb3b,0x80004ff8,
    0x6ffffff9,0xffff1000,0xd06e0fff,0x8001ffff,0xfe81fffb,0x03fff985,
    0x17fffe40,0xffa80bf7,0xffffb87f,0x6c00f405,0x3ea6ffff,0x005fffff,
    0x3fffffe0,0xffff880f,0x009fffb1,0x3fffffee,0x73004fff,0x6c017bdb,
    0x4019806f,0x5ffffffa,0x3fffe000,0xff000fff,0x90001fff,0x0bfd09ff,
    0x7000bff7,0x7ec7ffff,0x3fffe203,0x3ffffc84,0x7ec007c0,0x3fe66fff,
    0x0006ffff,0x1ffffffe,0xd8ffffc4,0x26004fff,0xfffffffe,0xb800005f,
    0xffb101ff,0xff303dfd,0x000dffff,0x3ffffffc,0x7ffff880,0x0bff6000,
    0x5ffa8bfd,0xffff7000,0xf7017f49,0xffd03fff,0x03c403ff,0x26ffffd8,
    0x7ffffff8,0xffff1000,0x3fe20dff,0x9fffb1ff,0xffff9000,0x0009ffff,
    0xa827fc40,0x9ffd1fff,0xffffff88,0xfff10007,0x2600dfff,0x0007ffff,
    0xfe977e4c,0x003bfd55,0x2ffffdc0,0x7ff403ff,0xffff886f,0xd8034c06,
    0x7fc6ffff,0x0007ffff,0xbffffff3,0x47fffe20,0x0004fffd,0xfffffff7,
    0x3600003f,0xbfff106f,0x3e17ffdc,0x007fffff,0xffffff10,0x3ffea00b,
    0xf700007f,0x1fed7fad,0x7ffd4000,0x5403fe6f,0xfc83ffff,0x26404fff,
    0x6ffffd80,0x7ffffff4,0xfffa8000,0xff103fff,0x3fff63ff,0xfdf70004,
    0x009fffff,0x203ff500,0x3ea4fffd,0x3ff60fff,0x8000ffff,0x3ffffff9,
    0xfffff300,0x7fe44000,0x2e2bfd0c,0x70000cff,0x3e2bffff,0x3ffff607,
    0x7ffffc41,0xd800f402,0x7e46ffff,0x001fffff,0xffffffa8,0x3ffff101,
    0x0013fff6,0x7ffecfdc,0x440006ff,0xfff104ff,0x7fffcc7f,0x3fffff22,
    0xffa8001f,0x2001ffff,0x0007ffff,0xfe81dfd1,0x007ff445,0xa7fffdc0,
    0x3ffa07f8,0x7ffdc0ff,0x0034c07f,0x88dffffb,0x02ffffff,0xfffffb80,
    0x3fffe205,0x409fffb1,0x7e47ee02,0x40007fff,0x3fe606fd,0x3ffe23ff,
    0x3fffe24f,0xfc8002ff,0x4005ffff,0x000fffff,0x741fff44,0x0effa85f,
    0x7fffdc00,0x7fc03fe3,0x7ff447ff,0x017405ff,0x0dffffb0,0x0bfffff7,
    0xfffffd00,0x7fffc403,0x409fffb1,0x7c3f700f,0x20006fff,0x3ee01ffa,
    0x3fe23fff,0x7ffdc5ff,0xfe8005ff,0x4001ffff,0x000ffffe,0x7407ffe4,
    0x0bfff05f,0x2ffffc80,0x3fe20bfa,0x7fe746ff,0x016e03ff,0x0dffffb0,
    0x03fffffa,0xfffffa80,0x7fffc404,0x409fffb1,0x6c3f703f,0x10005fff,
    0xffa809ff,0x3ffe23ff,0xffffe85f,0x3fe2000f,0xc8005fff,0x4000ffff,
    0xbfd07ffe,0x001fffa0,0x6c3ffff9,0xffff983f,0x3ffef767,0x001f501f,
    0x06ffffd8,0x09fffff5,0x7ffffec0,0x7fffc400,0x409fffb1,0x643f706f,
    0xb0003fff,0xfff300df,0x7fffcc7f,0xfffffa83,0x3fff2004,0xfa8000ff,
    0x22002fff,0xfe80ffff,0x03ffff05,0x23fffec0,0xfff984fb,0xfc8feeff,
    0x1fa80fff,0x3ff60044,0x3fe606ff,0xf9800fff,0x8800efff,0xffb1ffff,
    0x41ffc09f,0x1bffa1fb,0x00ffd400,0x31ffffc4,0x2e05ffff,0x800fffff,
    0x01fffff9,0x0ffffe00,0x1ffff880,0xff885fe8,0x3fe001ff,0x437c44ff,
    0xfffffff8,0x41ffff31,0x03d81ec8,0x037fffec,0x03bfffe6,0x0effff98,
    0x3ffff100,0xf813fff6,0x98fdc3ff,0x88001fff,0x3f2004ff,0x3ffea4ff,
    0x7fffdc06,0x3ffe200e,0x5c0001ff,0x7c004fff,0x5fe82fff,0x00ffffa8,
    0x01ffff10,0xfff901fd,0xfffe83df,0x980cfcbe,0xffffc806,0xfffd8806,
    0x3fee60af,0x7c4004ff,0xfffb1fff,0x6ffffc09,0xffcafb8b,0xdfb0002e,
    0x4dffd000,0x9801fffc,0x10aefffd,0x19ffff95,0xfff10000,0xfffe800d,
    0xfb85fe84,0x3e6007ff,0x0bf304ff,0x22033b6a,0x00bdefda,0x3ff200ba,
    0x2e2006ff,0xfffffffe,0x88000bef,0xffb1ffff,0x7f5cc09f,0xefffffff,
    0xff50000c,0xffd10003,0x005fff15,0xfffffda8,0x01cfffff,0x7ffe4000,
    0x3fff6001,0xfc85fe85,0x3f2006ff,0x0bf600ff,0x5a800000,0xdffff900,
    0x3ffee000,0x40004fff,0xfb1ffff8,0x262009ff,0x000bfeaa,0x0027fc40,
    0x33bffae0,0x5d4c0000,0x0001abcc,0x17ffe200,0x86fffc80,0xfffe85fe,
    0x9fff1005,0x000ff880,0x01f98000,0x0dffff90,0x7ffff400,0x220000ff,
    0xffb1ffff,0x3ee0009f,0x19880001,0x00000000,0x00000000,0x001fff30,
    0x3a17ffee,0x4fffd85f,0x00bff700,0x000017ea,0x64005f30,0x0005ffff,
    0x3fffffe6,0x3fe20004,0x9fffb1ff,0x003aa000,0x00000000,0x00000000,
    0x7fd40000,0x7fff5004,0xff50bfd0,0x3bfe007f,0x013ee000,0x00fd4000,
    0x7ffdc791,0x7dc0005f,0x003fffff,0x23ffff10,0x0005fffd,0x00000000,
    0x00000000,0x20000000,0xfd800ffb,0x85fe80ff,0xb806fff8,0xfa8000ef,
    0x2e00001e,0x97fec01f,0x003ffffa,0xfffffa80,0x7d4001df,0xfffb1fff,
    0x3bbba60d,0xeeeeeeee,0xeeeeeeee,0x00000003,0x00000000,0xefb80000,
    0x07ffe201,0xff982ff4,0x03bee01f,0x04ff9800,0x00f75400,0xffa9fffc,
    0x2600006f,0xeffffffe,0x5d4c3bcc,0xfb1fffff,0x5437bfff,0xffffffff,
    0xffffffff,0x0004ffff,0x00000000,0x00000000,0xb885fb10,0x3fa02fff,
    0x33ffe605,0x0001fe40,0x01befc88,0x800bbee0,0xfff74ffc,0xb3000003,
    0xddffffff,0xaaaaa987,0x555530aa,0x3ba61555,0xeeeeeeee,0xeeeeeeee,
    0x000003ee,0x00000000,0x40000000,0x0fbfe269,0x71017fa0,0x032e3ffb,
    0x3ae20000,0xcbabdeff,0x8002dffe,0xfffcfff8,0x88000003,0x000001a9,
    0x00000000,0x00000000,0x00000000,0x00100000,0x04004ed8,0x44000000,
    0xabcddcca,0xcb880001,0x00000bce,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00400000,0x0d400000,0x440aa600,
    0x440000aa,0x00009ab9,0x00035100,0x26ea6600,0x88005c00,0xaa8801cc,
    0x51000001,0x1c013557,0xcb800000,0x5c400002,0x74c3dffd,0x66666442,
    0xdfb712cc,0x7ffdc017,0x0dfb000e,0x40007fea,0xffffffe9,0xb7100003,
    0x0059ffff,0xffffc980,0x21bcefff,0xff5000f8,0x7fff4c01,0x540002ff,
    0xffffffec,0x1e60beff,0x77ff6440,0xaaaaaabd,0x0000df91,0x2ab7ffa6,
    0x2ffc8dfe,0xfffffeb8,0xffffff8c,0xfffff04f,0x413fe007,0xc8000ffb,
    0xfffc9dff,0x7c40005f,0xdfff52ef,0xffe98001,0xcaaacfff,0x0ffceffd,
    0x5c0bfb00,0xffb88dff,0xffd88005,0x9531acff,0x0ff9dfff,0x75dfff70,
    0xffffffff,0x0003fea7,0x88bfff50,0x02ffffff,0xdbfffff3,0xfffffb7d,
    0xfffffa85,0x03ff8807,0xf7000dfb,0xffffa8df,0xffd10003,0x0efffd87,
    0xfffff700,0x7ff4c017,0x7ff000ff,0xd07ffee0,0x7d400bff,0x4400dfff,
    0x407ffffc,0x7cc6fffd,0x22eeefff,0x260003ff,0xfb82ffff,0x3e02ffff,
    0x4c5fffff,0x2e0fffff,0x807fffff,0x9fd01ffa,0x3fff9800,0x005ffff8,
    0x41fffe88,0x805ffff9,0x01fffffd,0x003fff20,0x3e603fea,0xfffc86ff,
    0x7ffec403,0x7fcc006f,0x3ffee07f,0x3fffe83f,0x4000bfb0,0xf507fffe,
    0x7c05ffff,0xd80fffff,0x3ea5ffff,0xc806ffff,0x07ff107f,0x83fffc80,
    0x8006fffd,0xe80ffffc,0x3202ffff,0x001fffff,0xc800ffd8,0xbfff906f,
    0x01ffff70,0x077fffe4,0x03ffd400,0x903fffff,0xf503ffff,0xff50001f,
    0x3fe60bff,0x3fe02fff,0xff704fff,0x3fe61fff,0xfd805fff,0x003ff306,
    0xa84fffe8,0xe8004fff,0xffb07fff,0x3fea0dff,0x10004fff,0x7ff001ff,
    0x09ffff10,0x207ffff5,0x03fffffa,0x4c1fee00,0xc81fffff,0xf883ffff,
    0xffb8002f,0xfff304ff,0x7ffc05ff,0xfff304ff,0x7fffc3ff,0x04ff803f,
    0xf8001ff7,0xffb86fff,0x7fc4001f,0xfff907ff,0xfff983ff,0x20000fff,
    0x7fcc00fb,0x4ffffb81,0x85ffffa8,0x0ffffff8,0xa83f4000,0xb80fffff,
    0xfb05ffff,0xfffb000b,0x3ffe207f,0x3ffe02ff,0xfff104ff,0x7fff47ff,
    0x1ffc401f,0xf8006fd8,0x7ec1ffff,0xffa8004f,0xffb80fff,0x7fec3fff,
    0x40005fff,0x37e400f8,0x84ffffd8,0xd87ffff9,0x004fffff,0xff107a80,
    0xff701fff,0x1fee09ff,0x3ffffe00,0xfffff103,0x7ffffc05,0xfffff104,
    0x07fffe49,0xffddddd1,0xffdddddd,0x3e005ddf,0xf915ffff,0x3ee0007f,
    0xfa80ffff,0x3e24ffff,0x002fffff,0x7f400c80,0x7fffff04,0x3fffff30,
    0x7fffffcc,0x40d00003,0xc81ffffe,0xf101ffff,0x7fcc005f,0xff102fff,
    0x7fc05fff,0x3fe04fff,0x3fea5fff,0x7fffcc6f,0xffffffff,0x03ffffff,
    0x7fffffb0,0x40003bff,0x81fffffc,0x25fffff9,0x0ffffffb,0xf9800000,
    0xffff881f,0xffff983f,0x3fffee3f,0x000002ff,0x81ffffb8,0x7407fffd,
    0x3fea004f,0xff102fff,0x7fc05fff,0x3fe04fff,0x3fe25fff,0x7777444f,
    0xeeeeefff,0x02eeeffe,0xffffff70,0xf7000039,0xf303ffff,0x7f4dffff,
    0x0007ffff,0x20ff7000,0x83fffff9,0x24fffff9,0x1ffffffd,0xe8800000,
    0xfff84fff,0x03fdc02f,0x7fffff50,0x3ffffe20,0x3ffffe02,0xfffff104,
    0x802ffe87,0x1ff704ff,0xffff3000,0x7fec03ff,0x2a1fffff,0x983fffff,
    0x3e5fffff,0x006fffff,0x09fd0000,0x0fffffea,0x93ffffe6,0x0ffffffe,
    0xd1000000,0x3f627fff,0xff9801ef,0xffff3001,0x3ffe207f,0x3ffe02ff,
    0xfff104ff,0x0ffc85ff,0xd81ffc40,0x7dc4006f,0x0effffff,0x0bfffe60,
    0x1bffffe2,0x53ffffe6,0x6ffffff8,0xf8800000,0xffff502f,0xffff307f,
    0x3fffe2bf,0x000007ff,0xfeffe980,0x3a000cef,0xfff1004f,0x3fe209ff,
    0x3fe02fff,0xff304fff,0x7fb81fff,0xd01ffa80,0x7fdc009f,0xffffffad,
    0x017fec04,0x83fffff9,0x53fffff9,0x0bffffff,0xff700000,0x7ffffdc0,
    0xfffff983,0xffffff36,0x0000000d,0x015557d7,0x801bf200,0x106ffffd,
    0x405fffff,0x504fffff,0xf30fffff,0x20ff900b,0xd8803ff8,0x3fff22ff,
    0x3f602fff,0x7fffc405,0xfff910ef,0x3ffea5ff,0x00007fff,0x2e05fd80,
    0x983fffff,0xf35fffff,0x00dfffff,0x7ec40000,0x3e600001,0xfff3001f,
    0xfff703ff,0x7ffc05ff,0xffd80eff,0x04f882ff,0xff306fd8,0x6ffe8803,
    0x7fffffc4,0x00ff880f,0xfffffe98,0xffffffff,0xffffff30,0x8800000f,
    0x3fea02ff,0xff983fff,0xfff13fff,0x2200ffff,0x99999999,0x7fe81999,
    0x3ff80000,0x3ffff600,0x3ffff21e,0x3ffe02ff,0x3e60efff,0x0fe04fff,
    0x3bfeaaa2,0xffdaaaaa,0x7f41aaab,0xfffb83ff,0x7dc0efff,0x7ffe4002,
    0xffffebff,0x3ffffe25,0x000001ff,0xf8803fea,0xf983ffff,0xff12ffff,
    0x001fffff,0xfffffd95,0x5419dfff,0x3311cfff,0x037e4000,0x3fffff60,
    0xffffbffe,0x3fffe02f,0xffddfedf,0x416c06ff,0xfffffff9,0xffffffff,
    0x3fee3fff,0xfffd03ff,0x2fc4bfff,0x22331000,0x7c2fffff,0x02ffffff,
    0x17f60000,0x0fffffe0,0x87ffffe6,0x1ffffffe,0x7ffff400,0xfffb03ff,
    0xffffffff,0xf50017bf,0xffc8001f,0xff88efff,0x3fe02fff,0xffd8cfff,
    0x0400ceff,0xffffff98,0xffffffff,0x3fe3ffff,0xff305fff,0x3a9fffff,
    0x2e00000e,0xfc86ffff,0x003fffff,0x00ffe000,0x20fffffa,0x20fffff9,
    0x3ffffffb,0x7fffdc00,0xfff900ff,0xffffffff,0xf001dfff,0x2e60007f,
    0x3fffe20a,0x3fffe02f,0x006ea24f,0x7feccc00,0xffa99999,0xf109999c,
    0x540fffff,0xefffffff,0x7400001f,0xf881ffff,0x004fffff,0x01ff5000,
    0x07ffffb0,0x88fffff3,0x04ffffff,0x7ffffdc0,0x3fffe607,0xffffffff,
    0xfd807fff,0x7c400005,0x3e02ffff,0x0004ffff,0x20dfb000,0x3e601ffa,
    0x202fffff,0xfffffffb,0x7cc00006,0x3f604fff,0x0007ffff,0x200df900,
    0xa84ffffb,0xfc86ffff,0x4005ffff,0x07fffffa,0x7fffffcc,0xffffffff,
    0x07fd401f,0xfff10000,0x7ffc05ff,0x540004ff,0x13fe01cd,0xf3007fe4,
    0x01ffffff,0x7fffffe4,0x400300df,0x406fffe8,0x3ffffff8,0x3e0e2000,
    0xfff1003f,0xffff509f,0x3ffff607,0x3fea001f,0x6c407fff,0xeeeeeeff,
    0x03fffffe,0x00017fc4,0x5fffff10,0x27ffffc0,0xffff9000,0x205ff103,
    0xfff806fd,0x200effff,0xfffffffd,0x88035c1e,0x800efffe,0x0efffffa,
    0x4c4e8800,0x3f2001ff,0xfffa85ff,0x3fffe206,0x3fea004f,0x3f207fff,
    0xfff7005f,0x00bfb005,0x7fffc400,0x3fffe02f,0xff10004f,0xff509fff,
    0x2013fe03,0xfffffffc,0xfffd881e,0xbdffffff,0xfe8801fd,0x7e4004ff,
    0x4006ffff,0x37e41ee9,0x1bffe600,0x300ffff2,0x005fffff,0x1fffffea,
    0x0007ffcc,0x3ee00ffb,0x3e600007,0x3e02ffff,0x0004ffff,0x0dfffff3,
    0x3fe20ff9,0xfffe8803,0xbcffffff,0xfffddffd,0x4fffffff,0x3fffe880,
    0xffff5000,0xfc9803df,0x004fe80d,0x741fffa8,0xfb1006ff,0xf5007fff,
    0x260fffff,0x3e002fff,0x5ff1004f,0x3fea0000,0xff103fff,0x4000bfff,
    0xd83ffffe,0x03ff505f,0x3ffffa60,0xdfffffff,0x3ffffee1,0x6cc05fff,
    0x0000bfff,0x7fffff44,0xffdb9abd,0x03ff303f,0x237fea00,0x8005ffb8,
    0x0aeffffa,0x7fffed44,0x3bff603e,0x0ffa6201,0x0009fd00,0xffffe988,
    0x3f6a0bff,0x00afffff,0x0efffa80,0xff904ff8,0xfffb8001,0x01efffff,
    0x9ffffff3,0x37ffae20,0xc9800002,0xffffffff,0x3ee01cef,0x7f540007,
    0x0004ffff,0x3ffffb22,0xdfffffef,0xffd7000b,0xfffd99dd,0xff70003d,
    0xcccc8000,0x13cccccc,0x99999999,0x2a000399,0x20399101,0x310003cb,
    0x40035795,0x55401ca9,0x00000009,0x06b32aa6,0x0002cb80,0x00037510,
    0xcccaa880,0x400019ab,0xabddcbaa,0x66440001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x53100000,0x1aba9880,0x35753000,0xa98800a0,0x54c00009,0xe800009a,
    0x2fffffff,0x006a6200,0x155d4c00,0x05544000,0xff000d40,0xffffffff,
    0x3ffe29ff,0x0004ffff,0x99999995,0x66644199,0x200004cc,0x01cffec8,
    0xffffffd3,0x3fee007f,0x21cfffff,0x3ff2200e,0x00cfffff,0x3ffffea0,
    0x440000cf,0x02fffffd,0xfffffc88,0xffb8002d,0x002fffed,0x9807ffa0,
    0x4c00efff,0xffffffff,0x7dc1ffff,0x0004ffff,0xffffffd3,0xdffd505d,
    0xfb500005,0xdfc805df,0xdffffd50,0x37ffa601,0xeffca88a,0xfff700fe,
    0x3fffaa3b,0x7fff4402,0x00efffff,0x7fffcc00,0x7ffd402f,0x03ffffff,
    0x26bffd10,0x8000ffff,0x3601fffc,0x6403ffff,0xffffffff,0xfff06fff,
    0xe80009ff,0x203fffff,0x40000ff9,0x802fffe8,0xffe81ffb,0xfff886ff,
    0x3fffa602,0x86fffb80,0x101ffff8,0xfffffffd,0x8000bfff,0x02fffff8,
    0x3fffffe6,0x803fffff,0xff33fffd,0xfa8005ff,0xff101fff,0xff80dfff,
    0xffffffff,0xffff03ff,0xf980009f,0x2205ffff,0x7cc0004f,0xf8801fff,
    0xfffa84ff,0x37fec3ff,0x207ff440,0x903ffff9,0x3fa0dfff,0xfffffddf,
    0x20002fff,0x02fffff8,0xffffffd1,0x03ffffff,0x89ffffd4,0x2000ffff,
    0x01fffff8,0x80fffffa,0xfffffffa,0xf00fffff,0x0009ffff,0x1fffffd0,
    0x80003ea0,0x002ffffb,0xf10ffff5,0x7d4bffff,0xff3003ff,0x1ffffc81,
    0x81ffff50,0x7fdc42fa,0x0003ffff,0x0bffffe2,0x5d5677dc,0x4fffffff,
    0x8fffff20,0x74000ab8,0x201fffff,0x200efffa,0x999999fd,0x3e009999,
    0x0004ffff,0x3fffffa8,0x54000bb0,0x2002ffff,0xf81ffffa,0x3ee7ffff,
    0x3ee004ff,0x27ffff41,0x42ffff98,0x3fff202e,0x220004ff,0xd02fffff,
    0x3fffa20b,0x3ffa06ff,0xc80003ff,0x01ffffff,0x3e2015c4,0xfff00005,
    0x200009ff,0x886ffffe,0xff10002f,0xf88009ff,0xfff80fff,0x3fff66ff,
    0x83f1001f,0x307fffff,0x0183ffff,0x17ffffc4,0xffff1000,0xa80d505f,
    0x207fffff,0x003fffff,0x7ffefd40,0x500001ff,0x3e00005f,0x0004ffff,
    0x5fffff70,0x3a0007a8,0x8001ffff,0xff884ffb,0x3ff63fff,0x3d001fff,
    0x3fffffe8,0x006fffa8,0x00ffffd0,0x229dfd73,0x102fffff,0xdffffd00,
    0x1fffffc0,0xf3df1000,0x0003ffff,0x337bff60,0xfff8001a,0xdfd914ff,
    0x3fe20037,0x02745fff,0x6ffffb80,0xf9804000,0x3f21ffff,0x803fffff,
    0x7fffe409,0x7ffe42ff,0xffff0004,0xffffe805,0xffff9eff,0x3f60002f,
    0x66545fff,0xccefffff,0x4c7ec000,0x441fffff,0x2ccccccc,0xffffff88,
    0x3e002fff,0xffacffff,0x004fffff,0x23fffff9,0xfd0001f8,0x00007fff,
    0x17ffff20,0xfffffff5,0xffa8007f,0xf14fffff,0x30001bff,0xfc805fff,
    0xffd30eff,0x0005ffff,0x21ffffe4,0xfffffffd,0x2e001fff,0xfffff32f,
    0xffffd503,0xffff709f,0x5dffffff,0xffffff00,0xffff737f,0xfff1007f,
    0x001b29ff,0x57ffffcc,0x00cefffd,0xdffff100,0xffffff10,0x4005ffff,
    0xfffffffe,0x0003ffce,0xf700fffa,0xff885fff,0x0002ffff,0x303ffffa,
    0xbfffff55,0x3e600155,0x3ffffe64,0xfffff101,0xfffffd09,0xbfffffff,
    0xffffff80,0x7ffffc41,0xffffd802,0xb0002f8f,0xffffffff,0x003fffff,
    0x409fff70,0xfffffffa,0x8801efff,0xfffffffe,0xb10001ff,0x2607ffff,
    0xf506ffff,0x0005ffff,0x2027fffc,0x003fffff,0x3fe637c4,0x3fe01fff,
    0x7fc44fff,0xffffffff,0x3e04ffff,0xf904ffff,0xf300ffff,0x01fdffff,
    0x3ffffe00,0xfffd88ae,0x7f4001ff,0xfffa802f,0xffffffff,0x7ff4400d,
    0x04ffffff,0x7fffed40,0xffc84fff,0xfff104ff,0x260005ff,0xff806fff,
    0x6c003fff,0x7fffcc1f,0x3fffe01f,0x7f6e4c4f,0xffffffff,0xfff02fff,
    0x3fea09ff,0xfe800fff,0x0004ffff,0x09fffff1,0x00dffffd,0x7000ffd4,
    0xffffffff,0xb001dfff,0xffffffff,0x3ff6001b,0x5fffffff,0x81ffffec,
    0x02fffff8,0x03fff900,0x07fffff0,0x7cc1fdc0,0x3e01ffff,0x3004ffff,
    0xffffffd7,0x3fffe0ff,0xffff304f,0xfff5005f,0x260003ff,0xc84fffff,
    0x002fffff,0xd30001db,0xffffffff,0x6cc03fff,0xffffffff,0x3ae2005f,
    0x2fffffff,0x40fffffe,0x02fffff8,0x007fff00,0x00fffffe,0xff982fcc,
    0x3fe01fff,0x98004fff,0x1ffffffd,0x04fffff8,0x07fffff1,0x01bfffe0,
    0xfffffa80,0xfffff983,0x0003f004,0xfffffea8,0xf905ffff,0xffffd3df,
    0x88009fff,0x5ffffffd,0x05fffff1,0x0bffffe2,0x017fee00,0x03fffff8,
    0xf300ee88,0x7c03ffff,0x0004ffff,0x0fffffee,0x413ffffe,0x05fffff8,
    0x007fff70,0x7ffffdc0,0xbfffff03,0x00003e00,0x7fffffdc,0x7fec2fff,
    0xffffd12f,0x32000fff,0xf56fffff,0x2205ffff,0x002fffff,0x00077fc4,
    0x007fffff,0x333337fb,0x5fffff53,0xfffff013,0xffb80009,0xffff84ff,
    0x3fffe04f,0xfff1005f,0x7fcc0001,0xffd04fff,0x0d100fff,0xffb801c0,
    0x2e4fffff,0x7f447fff,0x001fffff,0x2fffffd0,0x02fffffa,0x05fffff1,
    0x000efe80,0x01fffffc,0x7ffffffc,0xffffffff,0xffff84ff,0xfc80004f,
    0xffff84ff,0x3fffe04f,0x17f6003f,0xffff1000,0x3fffa0bf,0x4001007f,
    0xffb1000e,0x7ff4dfff,0xffffd05f,0x3ea0007f,0xfff35fff,0x3fe207ff,
    0x32002fff,0xff8000ef,0xff803fff,0xffffffff,0x4fffffff,0x04fffff8,
    0x3fff9800,0x04fffff8,0x03fffff1,0x00017cc0,0x82fffff4,0x005ffffd,
    0x4003e800,0xf16ffffe,0x3ea09fff,0x0005ffff,0x7c53fffa,0xf104ffff,
    0x2005ffff,0x0dc00ef9,0x01fffffc,0x7ffffffc,0xffffffff,0xffff84ff,
    0xff00004f,0xfffff03f,0x3fffe209,0x01aa000f,0x7fffe400,0x7ffff906,
    0x0dd00000,0x5ffff880,0x207ffff7,0x05fffff8,0x8bfff600,0x105fffff,
    0x005fffff,0xf8801ff1,0x3fffff80,0xffffff80,0xffffffff,0xfff84fff,
    0xd00004ff,0x3fffe0df,0xffff304f,0x003d800d,0xfffff700,0x07ffff20,
    0x2005b710,0x7ec002fe,0xffff53ff,0x7fffec09,0x3ff20003,0x3ffff20f,
    0xfffff307,0x335fd005,0xdd733333,0x0fffffe0,0x7ffcc000,0x3ffe01ff,
    0x2cda84ff,0xf02ff880,0x2a09ffff,0x6444ffff,0x003e20df,0x7fffc400,
    0x7fffd81f,0x06ffff80,0x2000ffe8,0xff31fffd,0x7fdc0bff,0x073262ff,
    0xf10bff60,0xe889ffff,0x403fffff,0xfffffffc,0xf05fffff,0x0007ffff,
    0x3ffffe60,0x3ffffe01,0x6ffffc44,0xf813ee00,0xf905ffff,0xffb81dff,
    0x0001323f,0x07ffff70,0xa805fffd,0x401fffff,0xf1005ffe,0xfffe89ff,
    0x17fffa06,0x4405ffff,0xfff905ff,0x3fb663ff,0x2e06ffff,0xffffffff,
    0xf03fffff,0x0007ffff,0x3ffffe60,0x3ffffe01,0x7ffffd44,0x405fa83f,
    0x40ffffff,0xd82ffff8,0x01f15fff,0xfffd0000,0x03fff88d,0x3fffffc8,
    0x06ffff40,0x261bff20,0xf882ffff,0x3fe60fff,0xfc80cfff,0x3fff200e,
    0xff9efeff,0x4c3fffff,0xffffffff,0x82ffffff,0x04fffff8,0xffff3000,
    0x7fffc03f,0xffffe85f,0x3ffbceff,0xffdfff80,0x5fffb11d,0x2ffffee0,
    0x2000004e,0xfb14fffd,0x3fe6009f,0x7f400fff,0x440bffff,0xf500dffc,
    0x7f543fff,0xfffd81ef,0xfeb9bfff,0xffff9003,0x3bffe2bf,0x3fe209bc,
    0xffffffff,0xb80fffff,0x01efffff,0xffff9800,0xffff701f,0xffc881ff,
    0x1bdfffff,0x3625ff00,0x0cffffff,0x2fffffc0,0x75c00000,0x03dfffff,
    0x027ffec0,0x7edc46f4,0x2effeeff,0xefffc880,0x2203fffe,0xfffffffd,
    0xb98000df,0x2006e20a,0xfffffffe,0x7fffffff,0x7fffff64,0x0001ffff,
    0x07ffffe6,0xfffffff1,0x95510bff,0x02e00015,0x002aeea2,0x0002cc98,
    0x0dd4c000,0x002e2000,0x65d4405c,0x988001ab,0x20009bba,0x009bcaa8,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfc805400,0xffffffff,0x3fffea7f,0xffffffff,0xfffff903,
    0x3ffff23f,0xefffffff,0x3ffff600,0x3ffa6fff,0xffffffff,0xfffc84ff,
    0x003fffff,0x7ffff440,0xffffffff,0x00c0000e,0x3fffea00,0x803fffff,
    0xfffffffa,0x7fffec2f,0xffffffff,0xfffd1fff,0xffffffff,0x001579bd,
    0x807fee20,0xffffffea,0xffff301f,0x1003ffff,0xe981bff9,0x2fffffff,
    0x7fffd400,0xffffa80d,0x9800cfff,0xc881fffe,0x74c002df,0x1fffffff,
    0x00ba0000,0x3fffea00,0x1001ffff,0x3e03dffb,0xffffffff,0x86ffffff,
    0xfffffff9,0xfffffedc,0xff91000c,0xffa803ff,0x4c05ffff,0x06ffffff,
    0x4403fe20,0x07ffffff,0x805ff700,0x0ffffffd,0x407fe600,0x002ffffe,
    0x7fffffd4,0x3e600003,0xff300006,0x01dfffff,0x4c07fe20,0xffffffff,
    0x4fffffff,0xffffff50,0xfffffe98,0x3fff6602,0xfe801fff,0xd807ffff,
    0x00ffffff,0xfc809f10,0x001fffff,0xfc804fb8,0x8007ffff,0xffff307f,
    0xff9800bf,0x0002ffff,0x0007ff60,0x7ffffdc0,0x1f6005ff,0xffffffb8,
    0xffffffff,0xffff301f,0xffff10ff,0xffda83ff,0x01ffffff,0xffffffb8,
    0x7fffd402,0x3f5003ff,0xfffff880,0x0fd8005f,0xfffffc80,0x506e8007,
    0x00dfffff,0xffffff88,0xff100001,0x2e0000bf,0xffffffff,0x6c0f9004,
    0xffffffff,0x06ffffff,0x1fffffe6,0x37ffffdc,0xfff73591,0x3e003fff,
    0x805fffff,0x06fffffe,0x3f200db0,0x000fffff,0x7e4013e2,0x8006ffff,
    0x3fffe06e,0x7fc4003f,0x0001ffff,0x01ffff90,0xffbf7000,0x005fffff,
    0x6fffc0d9,0xaaaaaaac,0x3e604ffd,0xf307ffff,0x401fffff,0x01fffffd,
    0xffffff90,0xffffb801,0x1fc401ff,0xfffff980,0x03ee004f,0x7ffffe40,
    0x206e8006,0x000dfffb,0x7fffffc4,0xff880001,0x80004fff,0xffffe8fb,
    0x36401fff,0xd000df88,0x7fcc03ff,0xff107fff,0x6405ffff,0x001fffff,
    0x7ffffff3,0xfffff880,0x007dc04f,0xffffffb0,0x90027c00,0x00dfffff,
    0x01500dd0,0x3fffe200,0xb80001ff,0x00ffffff,0xff9bdc00,0x00efffff,
    0x007541b2,0x4c06ff88,0x207fffff,0x03ffffff,0x07ffffee,0xfffffe80,
    0xfffff806,0x002f407f,0x3fffffea,0x000fa802,0x1bfffff2,0x0001ba00,
    0xfffff100,0xfd00003f,0x007fffff,0x3fea7b80,0x205fffff,0x4001306c,
    0x7cc04ffb,0xf107ffff,0x405fffff,0x01fffffb,0x3ffffea0,0x3ffea01f,
    0xf302ffff,0xfffd0003,0x0bd00dff,0xfffffc80,0x006e8006,0x7ffc4000,
    0x40001fff,0xfffffffa,0x23dc0006,0xfffffffb,0x0000d904,0xf3007ffa,
    0x260fffff,0x01ffffff,0x07ffffee,0xffffff00,0x7fff6c0b,0x0d905fff,
    0x3fffee00,0x07e601ff,0xfffff900,0x00dd000d,0xfff88000,0x40001fff,
    0xfffffaee,0x1ee0002f,0x3ffffff6,0x0006c82f,0x9807ff88,0x907fffff,
    0x80bfffff,0x01fffffb,0x7ffffe40,0xfcbf880f,0xf80fffff,0xfff10004,
    0x36c0bfff,0x7fffe400,0x06e8006f,0x7fc40000,0x0001ffff,0x7fffcbe6,
    0x2e0006ff,0xfffffd07,0x006c81ff,0x804ffb80,0x87fffff9,0x0ffffff8,
    0x7ffffdc0,0x7ffcc001,0x8fc83fff,0x3ffffff8,0x900007d4,0x01ffffff,
    0xf90005f3,0x000dffff,0x800000dd,0x1ffffff8,0xfb9b6000,0x001fffff,
    0x3fe20f70,0x20efffff,0xfe80006c,0xfff9801f,0x7ff547ff,0xfb801eff,
    0x8001ffff,0x86fffffe,0x3ffff64f,0x00036c6f,0x3fffffe6,0x90006c83,
    0x00dfffff,0x00000dd0,0xffffff88,0x47f10001,0x5ffffff8,0x4c0f7000,
    0x5fffffff,0xf10001b2,0x3fe600ff,0xffedffff,0x000cffff,0x03fffff7,
    0xfffff500,0xf50fd43f,0x223fffff,0xfd80002f,0x7c47ffff,0xfff90003,
    0xdd000dff,0x0177ecc0,0x7ffffc40,0x1f90001f,0xffffffc8,0x407b8000,
    0xfffffffb,0xb8000d93,0xff3004ff,0xbdddffff,0xf7000579,0x0003ffff,
    0x97fffffe,0xfffff85e,0x0001f74f,0xffffff50,0x80007dc5,0x06fffffc,
    0xff306e80,0x88007fff,0x01ffffff,0xf984f880,0x004fffff,0xffc807b8,
    0x6c9fffff,0x0ffec000,0xfffff980,0x7dc00007,0x0001ffff,0x1ffffff9,
    0xfff905f3,0x009d1fff,0x7ffff400,0x80013e6f,0x06fffffc,0xffb06e80,
    0x4001ffff,0x1ffffff8,0xd00fb800,0x00ffffff,0x3fa00f70,0x6dffffff,
    0x1ffe2000,0xfffff980,0x7dc00007,0x0001ffff,0x7ffffff3,0x3ffe60d9,
    0x001fdfff,0x3fffee00,0x000fa9ff,0x3fffff20,0xd05e8006,0x05ffffff,
    0x7ffffc40,0x05e8001f,0x3fffffea,0x803dc003,0xfffffff8,0x3ee0006f,
    0x3fe6004f,0x00007fff,0x0fffffdc,0xffffd000,0x7f407fdf,0x006fffff,
    0x7fffc400,0x0005ecff,0x3fffffdc,0xfb82fc00,0x083fffff,0xffffff10,
    0x9bfa8003,0xff999999,0x4006ffff,0x3fe6007b,0x006fffff,0x800bff60,
    0x07fffff9,0x7ffdc000,0x2a0001ff,0x0fffffff,0x3ffffee0,0xc800003f,
    0x1fffffff,0x7ffdc000,0x4f8007ff,0xffdff910,0x20f7f545,0x1ffffff8,
    0x7ffff400,0xffffffff,0x2002ffff,0x7fd4007b,0x0006ffff,0x9800fff1,
    0x007fffff,0x7fffdc00,0x7fc0001f,0x4404ffff,0x00ffffff,0xfff88000,
    0x80005fff,0x07fffffa,0x2201fcc0,0x7ffc3ff0,0x7fffcc6f,0x3e6000ff,
    0xaaaaaaab,0xffffffaa,0x001ee005,0x1bfffff2,0x027fd400,0x3ffffe60,
    0x7dc00007,0x0001ffff,0x0fffffe4,0x2ffffec0,0xffb00000,0x00005fff,
    0x1ffffff1,0x8017dc00,0xfff50ff9,0x7ffcc1ff,0x36c007ff,0xfffff900,
    0x01ee003f,0x37fffec0,0x02ffd800,0x7ffffcc0,0x7dc00007,0x0001ffff,
    0x037fffcc,0x02ffffa8,0x3fea0000,0x200006ff,0x02fffffe,0x5c00df10,
    0x3fffea4f,0x7ffffcc7,0x00fe6005,0xffffff88,0x000f7004,0x01bfffa2,
    0x001ffe20,0x1fffffe6,0xfff90000,0xd00003ff,0x7c005fff,0x00000fff,
    0x01ffff40,0xffff5000,0xfe8801df,0x883fa002,0x7d42ffff,0x2003ffff,
    0x7ec000fd,0x800fffff,0xf30000fc,0xf5000dff,0xff3000bf,0x0000ffff,
    0x1fffffc8,0x7ffa8000,0x027fe400,0x7fdc0000,0xfc800007,0x300effff,
    0x3a2009fb,0x87ffc81f,0x004ffffc,0x2a001be6,0x04ffffff,0x20002fe8,
    0xd8006ffa,0xfa8002ff,0x000fffff,0x3ffff600,0xff00003f,0x1ff98009,
    0xf8800000,0x9000003f,0x9dffffff,0x009fffb7,0xfd803bea,0xffff51cf,
    0x06fe8009,0xffffff00,0x7ffe403f,0xdf90000a,0x07ff8800,0xffffe880,
    0x700005ff,0x3fffffff,0x01f90000,0x0000dd00,0x0007e400,0xfffd3000,
    0x39ffffff,0x400b6600,0xffffffea,0x3faa003f,0x7cc003ff,0x1effffff,
    0x3fffffaa,0xd8000eff,0x2ffd4006,0xfffffb00,0x9dffffff,0xfffed800,
    0xffffffff,0x0710000e,0x0000aa00,0x00038800,0x99751000,0x00001357,
    0x2b32a600,0x7ffe4002,0x101effff,0xfffffffd,0x000dffff,0x80071000,
    0x00001cca,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7fdc0000,0xffffffff,0xffffffff,
    0x7ff443ff,0x7fffffff,0x3ffee000,0x3effffff,0xffffffd3,0x1dffffff,
    0xfffe8800,0xffffffff,0xffff901f,0xc89fffff,0xffffffff,0x2601efff,
    0x6fffffff,0xfffffff3,0xdddfffff,0x400159bd,0xffffffe8,0x15ffffff,
    0xfffffffd,0x32bfffff,0x07ffffff,0x3fffe200,0xff904fff,0x9999bfff,
    0xfffffd99,0xfffa80df,0x002fffff,0xffffffd0,0x7fd4019f,0x00dfffff,
    0xffff3000,0x2003dfff,0x0afffffa,0xfffff910,0x4c001dff,0xf702effe,
    0x99ffffff,0xfffffdb9,0xffa8003b,0x00efffff,0x3fffffea,0xfff980ef,
    0x440007ff,0x04fffffb,0x4017dff9,0xfffffff8,0xffffc801,0xa8006fff,
    0x7fffffff,0xfffff900,0xb800001f,0x02ffffff,0x006fff40,0xffffffd8,
    0x0ffa8005,0x7ffffec0,0xfffff505,0xffb8003f,0xb801ffff,0x01ffffff,
    0x01fffff6,0x7ffffc00,0x001dfb04,0xbffffffb,0x3ff3ee00,0x4001ffff,
    0xfffffced,0xffff7006,0x500000ff,0x03ffffff,0x001ffd40,0x3fffffe2,
    0x17ec000f,0x7ffffe40,0x3fffe205,0x3ea001ff,0x800fffff,0x0ffffffa,
    0x1fffff20,0x7fffc000,0x001fd04f,0xfffffff5,0x3e7ea001,0x004fffff,
    0x3fff2fe2,0xff7006ff,0x0000ffff,0xffffff30,0x0bfea001,0x7fffdc00,
    0x3e2004ff,0xffff7005,0xfffc80bf,0x3ea005ff,0x800fffff,0x0ffffffa,
    0x1fffff20,0x7fffc000,0x2007f04f,0x3ffffffe,0x3f23ea00,0x000fffff,
    0xffff91f7,0x3fee00df,0x00007fff,0xffffff98,0x00efb800,0x7ffff400,
    0x1fb000ff,0x3fffee00,0x7ffcc05f,0xf5000fff,0x001fffff,0x1ffffff5,
    0x3ffffe40,0xffff8000,0x9001f04f,0x0dffffff,0xff98fa80,0xf003ffff,
    0x3fffff29,0xffff7006,0x300000ff,0x01ffffff,0x0000dfc8,0xffffffa8,
    0x003f9805,0x17ffffee,0xffffff10,0x3ffea005,0xfa800fff,0x200fffff,
    0x007ffffc,0x9fffff00,0xff300b10,0x003fffff,0xfffd0fa8,0x3f500fff,
    0x1bfffff2,0x7ffffdc0,0xf9800007,0x100fffff,0x800007fd,0x1ffffffe,
    0x2e003740,0x805fffff,0x03ffffff,0xffffff50,0xffff5001,0x7fe401ff,
    0xf00007ff,0x0009ffff,0x7ffffff4,0x50fa8004,0x05ffffff,0x3fff26d8,
    0xff7006ff,0x0000ffff,0xffffff30,0x005ff301,0xffff3000,0x0fdc0bff,
    0x3fffee00,0x7ffcc05f,0xf5002fff,0x001fffff,0x1ffffff5,0x3ffffe40,
    0x015bfd93,0x09fffff0,0x3fffea00,0xf50006ff,0x7fffffc1,0xfc8be206,
    0x7006ffff,0x00ffffff,0xffff3000,0x0efa81ff,0x3f600000,0x882fffff,
    0xffb8005f,0x7dc05fff,0x000fffff,0x1ffffff5,0xfffff500,0x7ffe401f,
    0xfffff57f,0xffff00bf,0xff10009f,0x005fffff,0xffb83ea0,0xf901ffff,
    0x6fffffc8,0xfffff700,0xf300000f,0x641fffff,0x000000ff,0x7fffffc4,
    0x8000fc86,0x05fffffb,0x2fffffec,0xfffff500,0xfff5001f,0x7e401fff,
    0xddfcffff,0x403fffff,0x004fffff,0xffffffc8,0x83ea0005,0x4ffffff8,
    0xfffc89f0,0xff7006ff,0x0000ffff,0xffffff30,0x0bfffb11,0xff900000,
    0x7cc5ffff,0xfff70003,0x7fd40bff,0x2000ffff,0x0ffffffa,0xfffffa80,
    0x3fff200f,0x3fee1fff,0x7ffc07ff,0x7cc004ff,0x00ffffff,0xf903ea00,
    0xa81fffff,0x7fffe40f,0xfff7006f,0x00000fff,0x5ffffff3,0x09fffffd,
    0xff880000,0x1ba7ffff,0xffffb800,0xffff705f,0xfa8003df,0xcccfffff,
    0xfdcccccc,0x200fffff,0x42fffffc,0x01fffff9,0x013ffffe,0xffffffd0,
    0x0fa80007,0x7fffffcc,0x7fe42f43,0xf7006fff,0x000fffff,0xfffff300,
    0xffffffff,0x8000005f,0xbffffffb,0x2e0002fb,0xdcffffff,0xefffffee,
    0xfff50002,0xffffffff,0xffffffff,0x7e401fff,0xff887fff,0x3fe02fff,
    0x2e004fff,0x06ffffff,0xe80fa800,0x266fffff,0xffffc81f,0xfff7006f,
    0x00000fff,0xbffffff3,0xfffffff9,0xf8000003,0x5fffffff,0x7ffdc000,
    0xfffeefff,0x40005fff,0x0ffffffa,0xfffffa80,0x3fff200f,0xffff887f,
    0x3fffe02f,0xfff1004f,0x0003ffff,0xff501f50,0x1b25ffff,0x37ffffe4,
    0xfffffb80,0xf9800007,0xfd0fffff,0x01dfffff,0x7fdc0000,0x000fffff,
    0x7ffffdc0,0x3fffffa5,0x3ea0002f,0x800fffff,0x0ffffffa,0x1fffff20,
    0x0bffffe2,0x04fffff8,0xffffffb0,0x3ea00009,0xffffff00,0x3f207f1b,
    0x7006ffff,0x00ffffff,0xffff3000,0x3ffe21ff,0x0005ffff,0x7ffff400,
    0xfb80006f,0x3e65ffff,0x00ffffff,0xfffff500,0xfff5001f,0x7e401fff,
    0xff887fff,0x3fe02fff,0xfa804fff,0x00ffffff,0x07d406a0,0xffffffb8,
    0xfff900fc,0x3ee00dff,0x0007ffff,0x3ffe6031,0x3fe60fff,0x004fffff,
    0x3fff2000,0xb80006ff,0x5c5fffff,0x06ffffff,0xfffff500,0xfff5001f,
    0x7e401fff,0xff887fff,0x3fe02fff,0x7c404fff,0x02ffffff,0x0fa80ec0,
    0xffffff10,0x7ffe409f,0xff7006ff,0x2000ffff,0xffff304b,0xfffb81ff,
    0x0002ffff,0xfffff900,0xff70000d,0xffb0bfff,0x0007ffff,0x1ffffff5,
    0xfffff500,0x7ffe401f,0xffff887f,0x3fffe02f,0x7ffe404f,0x44005fff,
    0x401f500f,0x1ffffffc,0x3fffff20,0xffff7006,0x0fa000ff,0x7fffffcc,
    0xfffffc80,0x800001ff,0x06fffffc,0xffffb800,0xffff885f,0x54001fff,
    0x00ffffff,0xffffffa8,0x3ffff200,0xfffff887,0x3ffffe02,0x3fffe604,
    0x5c000fff,0x9803ea07,0x405fffff,0x06fffffc,0xffffff70,0x205f3000,
    0x0ffffff9,0xffffffd0,0xc800001d,0x006fffff,0xfffffb80,0xfffff505,
    0xffa800df,0xa800ffff,0x00ffffff,0x21fffff2,0x02fffff8,0x813ffffe,
    0x3ffffffe,0x503fc400,0xfffe801f,0x7ffe402f,0xff7006ff,0xb000ffff,
    0x3ffe603f,0xff100fff,0x00bfffff,0xffffc800,0xfb80006f,0x3605ffff,
    0x04ffffff,0x3ffffea0,0xfffa800f,0x3f200fff,0xff887fff,0x3fe02fff,
    0xff704fff,0x800dffff,0x3ea06fe8,0x37ffd400,0x7ffffe40,0xffff7006,
    0xffa800ff,0xfffff300,0x7ffcc01f,0x0004ffff,0x3fffff20,0xffb80006,
    0x3a206fff,0x02ffffff,0xffffff50,0xffff5001,0x7fe401ff,0xfff887ff,
    0x3ffe02ff,0xfff884ff,0x2001ffff,0x2e05fffb,0x3ffe800f,0xfffffc80,
    0xffff7006,0x3ea001ff,0x3ffea07f,0x7e401fff,0x03ffffff,0xffff9000,
    0xf90000df,0x980dffff,0x0fffffff,0xfffffa80,0xfffa800f,0x3f200fff,
    0xff887fff,0x3fe03fff,0xffd84fff,0x1004ffff,0x409ffffd,0xffb803fd,
    0xffffd800,0xfff9007f,0xa8805fff,0x3ee07fff,0x401fffff,0xfffffff8,
    0xfd80003f,0x0007ffff,0x7fffffd8,0xfffffc80,0xfffb806f,0xfb801fff,
    0x201fffff,0x987ffffd,0x203fffff,0x545fffff,0xdfffffff,0xdccccccc,
    0x3ffffffe,0x015fff70,0x7d402fc4,0x04ffffff,0x7fffffcc,0xccccccff,
    0x06fffffe,0xffffffd1,0x7ffc401d,0x0cffffff,0xffff5000,0x40009fff,
    0xfffffffa,0xffffe803,0xff100dff,0x80bfffff,0xfffffff9,0xfffff305,
    0xffffc87f,0xfffb80ef,0xffd11fff,0xffffffff,0xffffffff,0x445fffff,
    0xfffffffe,0x75407206,0xffffffff,0xfd33efff,0xffffffff,0xffffffff,
    0x44bfffff,0xffffffee,0x742effff,0xffffffff,0xb006ffff,0xfffffffd,
    0x01ddffff,0xfffffe98,0x2effffff,0xffffff30,0x3fba29ff,0xffffffff,
    0xffdd15ef,0xffffffff,0x3fffeebd,0xffd5ffff,0x25ffffff,0xfffffff8,
    0x000005ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3fffa200,0xffffffff,0xffffffff,0xfffd14ff,
    0xffffffff,0xffffffff,0xffea85ff,0xffffffff,0x00acceef,0x3fffff20,
    0x7c40006f,0xffffffff,0xdeeeffff,0x7ffdc01b,0xffffffff,0xffffffff,
    0x3004ffff,0x7ffffc40,0xefffffff,0x7ffffe40,0x3a21ffff,0xffffffff,
    0x4005ffff,0x00000198,0xffffff30,0xdd99999f,0x509fffff,0x9fffffff,
    0xfffdb999,0x2e205fff,0xcfffffff,0xefffffed,0xffff5003,0x540000df,
    0xcfffffff,0xffffffec,0xffff700e,0xfffd99bd,0xfdb99dff,0xb7009fff,
    0xfffff700,0xa801bfff,0x400dffff,0xfffffffa,0xff90000e,0x5bf91000,
    0x3fffee00,0x3f6200ff,0xfff704ff,0xfea80fff,0x7ff402ff,0xfe985fff,
    0xd801efff,0x0006ffff,0x7ffffe40,0xfffffc86,0x1dffb81f,0x5fffffd8,
    0x404ffe88,0xff7005f9,0x007fffff,0xb800fff6,0x01ffffff,0x001ff200,
    0x00bffffa,0x3fffffea,0x04fe9800,0x0ffffff5,0xb00bff20,0x40bfffff,
    0x03fffffc,0x037fffec,0x3ffee000,0xfff506ff,0x6fb83fff,0x3fffff60,
    0x809fb105,0x3f6005fe,0x00ffffff,0x5c004fe8,0x00ffffff,0x001ff200,
    0x0bfffff3,0xffffff30,0x413e6001,0x07fffffa,0xfb00bf60,0xe80bffff,
    0x202fffff,0x006ffffc,0x7fffd400,0x3fff606f,0x00fdc5ff,0x0bfffffb,
    0xff9027c4,0x7ffc400b,0x5405ffff,0xffa8005f,0x0000ffff,0xf5001ff2,
    0x300fffff,0x01ffffff,0xffa826c0,0x22007fff,0x7ffe402f,0x7fcc05ff,
    0xf901ffff,0x0000dfff,0x6fffffa8,0x3ffffee0,0x3f602dc7,0x6405ffff,
    0x0bfff904,0xfffffa80,0x0df102ff,0x3fffea00,0x7e40007f,0xffff8007,
    0xfff9803f,0x2e000fff,0xfffff504,0x0ba0a60f,0xbfffff90,0xfffffd00,
    0x3ffff20d,0x7d400006,0x2a06ffff,0x22ffffff,0x7ffec03b,0x425405ff,
    0x005ffffc,0xffffffc8,0x000fe80f,0xffffff50,0x07fc8000,0x0efffa80,
    0xfffff980,0x3987500f,0xffffff50,0x00b20ee0,0x0bfffff9,0xffffff70,
    0xdffff903,0xffa80000,0x3ea06fff,0x262fffff,0x7fffec00,0x3621805f,
    0xccefffff,0x7fc400cc,0x644fffff,0x3ea0001f,0x0007ffff,0x50003fe4,
    0x7ffcc003,0x07900fff,0x7ffffd40,0x20007907,0x05fffffc,0xffffff88,
    0x6ffffc84,0xccccccc8,0x3ffea01c,0x3ff206ff,0x4000ffff,0x05fffffd,
    0x3ffffa20,0x0fffffff,0xfffffa80,0x007f71ff,0xfffffa80,0x3fe40007,
    0xf3000000,0x201fffff,0x3fea003f,0x07f07fff,0x3ffff200,0xfffd005f,
    0xffc81fff,0xffc986ff,0x2a00bdff,0x206fffff,0x04fffffe,0xfffffd80,
    0x3aaa2005,0xaaaeffff,0x3fff2002,0x04faefff,0xffffa800,0x7e40007f,
    0x20000007,0x0ffffff9,0x2a003fa8,0xb87fffff,0xff90003f,0x3a00bfff,
    0x41ffffff,0x206ffffc,0xf5002ffe,0x360dffff,0x005fffff,0xbfffffb0,
    0x3fffa000,0x3a20005f,0x5fffffff,0xfff50000,0x3ba20fff,0xfeeeeeee,
    0xeeeeeeff,0x80002eee,0x0ffffff9,0x5001ffdc,0xa8ffffff,0xf90003ff,
    0x200bffff,0x2ffffffd,0x837fffe4,0x2a001ff8,0x4c6fffff,0x02effffe,
    0x3ffff600,0xffd0005f,0x98000bff,0x2fffffff,0xfff50000,0x3fe60fff,
    0xffffffff,0xffffffff,0x80003fff,0xbffffff9,0x03fffeca,0x3ffffea0,
    0x3fffdcbf,0xffff9000,0x3ff200bf,0x7e43ffff,0x3db06fff,0xffffa800,
    0xfffffeff,0xd80001df,0x005fffff,0x0bffffd0,0xffff9000,0x00001fff,
    0x0ffffff5,0x3bbbbba2,0xeefffeee,0x2eeeeeee,0xfff98000,0xffffffff,
    0x3ea003ff,0xffffffff,0x90003fff,0x00bfffff,0x3ffffff2,0x37fffe44,
    0x5400076c,0xeeffffff,0xbefffffe,0x3ff60000,0xd0005fff,0x000bffff,
    0x3fffffa0,0xfa80005f,0x0007ffff,0x00003fe4,0xfffff300,0xffffb55f,
    0x7ffd4007,0xffba9fff,0xff90003f,0x3200bfff,0x43ffffff,0x6c6ffffc,
    0xff50000f,0xfb88dfff,0x00cfffff,0xfffffd80,0xfffd0005,0x260000bf,
    0x2fffffff,0x7ffd4000,0x640007ff,0xfc88007f,0xfff3002e,0xffa81fff,
    0x3ffea003,0x1ffcc7ff,0xffffc800,0xfffb005f,0xffc85fff,0x07ff66ff,
    0x7fffd400,0xffff306f,0xd8001dff,0x005fffff,0x0bffffd0,0x3ffea000,
    0x000fffff,0x3ffffea0,0x3fe40007,0x7ffff400,0xffff9802,0x03fb80ff,
    0x3ffffea0,0x0003fa87,0x0bfffff9,0x3fffff60,0x7fffe40f,0x00dfffb6,
    0x3ffffea0,0x3fffe606,0x7ec005ff,0x0005ffff,0x00bffffd,0xffdbf100,
    0x000bffff,0x3fffffd4,0x01ff2000,0xbfffff30,0xfffff300,0x800fa01f,
    0x07fffffa,0x3f20007f,0xd005ffff,0x90ffffff,0xffbfffff,0x50009fff,
    0x80dfffff,0x1ffffffe,0x3ffff600,0xffd0005f,0x88000bff,0xffff98ee,
    0x50002fff,0x00ffffff,0x4007fc80,0x07fffffa,0xffffff98,0x54007900,
    0xb07fffff,0xfc805407,0xf005ffff,0x90bfffff,0xfddfffff,0x8003ffff,
    0x06fffffa,0x7fffffe4,0x3fff6003,0xfd0005ff,0x8000bfff,0x3ffee0fd,
    0x8000ffff,0x07fffffa,0x003fe400,0x01fffffc,0x7fffffcc,0x54007500,
    0x707fffff,0xfc807407,0x9805ffff,0x82ffffff,0x98fffffc,0x00efffff,
    0x3ffffea0,0x7fffd406,0x3f6004ff,0x0005ffff,0x00bffffd,0x7f417e40,
    0x005fffff,0x7fffffa8,0x03fe4000,0x06fffdc0,0x7ffffcc0,0x4003100f,
    0x07fffffa,0xc81ea031,0x805fffff,0x05fffffc,0x5cdffff9,0x004fffff,
    0x1bffffea,0xffffff70,0x7ffec007,0xfd0005ff,0x2000bfff,0xfff103fa,
    0x8005ffff,0x07fffffa,0x003fe400,0x7cc00350,0x000fffff,0xfffff500,
    0x40db000f,0x05fffffc,0x7fffffc4,0xdffff900,0x2fffffe8,0xfffff500,
    0xffffd80d,0x3f6001ff,0x0005ffff,0x00bffffb,0xfb80bf30,0x00ffffff,
    0x3ffffea0,0x3fe40007,0xf3000000,0x001fffff,0x3fffea00,0x3f2000ff,
    0x3ffff605,0x7ffdc05f,0x3ff203ff,0x7ffc46ff,0xfa800fff,0x7c06ffff,
    0x006fffff,0x2fffffec,0xffffd800,0x3be202c6,0xffffe800,0x3ea005ff,
    0x000fffff,0x0000aa60,0xffffa800,0x500001ff,0x01ffffff,0xd813fee0,
    0x206fffff,0x03fffff9,0x43ffffe4,0x05fffffb,0x6fffffb8,0x3fffff60,
    0x7fec000f,0x50005fff,0xb15fffff,0x017f4405,0xffffff98,0xfff5003f,
    0x00001fff,0xb8000000,0x01ffffff,0xffff7000,0xfea805ff,0x3ff603ff,
    0xff707fff,0xfb003dff,0x3fa0ffff,0x6403ffff,0x41ffffff,0xffffffd8,
    0xfffe8001,0x320006ff,0x04ffffff,0x8003ffa2,0xfffffffc,0xffffb801,
    0x000001ff,0x3a200000,0x0effffff,0x7ffcc000,0xabdfffff,0xffffeecb,
    0xffff501f,0xfb99dfff,0x0017bfff,0x5ffffff3,0xffffff70,0x3fffe605,
    0xfeccffff,0x003effff,0xffffff70,0x75c0007f,0xf7103dff,0x1001bfff,
    0xfffffffd,0x7ffcc05f,0x0005ffff,0x44000000,0xffffffee,0x005effff,
    0x3ffffba2,0xffffffff,0xffffffff,0x3fffaa0f,0xffffffff,0x000adeff,
    0x3ffffff2,0x3ffee6ff,0xd16fffff,0xffffffff,0x9ddfffff,0xfd500057,
    0xffffffff,0x20007dff,0x3fff2008,0x03efffff,0xfffffffd,0x744fffff,
    0xfffffffe,0x0005efff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80000000,0x3ccccccb,0x33333322,0x0000000c,
    0x20000000,0xccccccca,0x9999952c,0x66547999,0x000004cc,0x44f26000,
    0x0000002e,0x3bffb72a,0x6e4c000c,0x4000bdff,0x03dffdc9,0x7ffedcc0,
    0xffda802d,0x260f99ce,0x46fffffd,0x1ffffffb,0x6666664c,0x33bfb224,
    0xcefeb981,0x99999501,0x3efc9899,0x3fffffa6,0xfffb30cf,0x5c439fff,
    0x3f222eff,0x0000004f,0x3e27ffd5,0x00000cff,0xd77dfb10,0x2003ffff,
    0xfdbcfffb,0xffa800ef,0x00dffbae,0xfdaeffa8,0xff900eff,0x1ffffb7d,
    0x0dfffff0,0x83fffff7,0x7fffffc8,0xfffffff3,0x7ffffd43,0xffb881ff,
    0x3fea7fff,0x7ff40fff,0xffe80fff,0x1fd01fff,0x05fffff8,0xff930000,
    0x3fe25fff,0x0002dfff,0x3a13fee0,0x6c00ffff,0x3fe21fff,0x3ff201ff,
    0x0077fe46,0x7fc4dff7,0x7ffb85ff,0x740ffec4,0xfa86ffff,0xfb01ffff,
    0x9bf7ffff,0x71fffffd,0xffffd9df,0x3fff201d,0xfffff57f,0xffffa85f,
    0xffff983f,0xfa89d04f,0x002fffff,0x3fff6a00,0xfea80bef,0x000bffff,
    0x21bffe20,0x206ffffb,0xfa86fffc,0xffa80fff,0x27ffc42f,0x6c3fffb8,
    0x7fc1ffff,0xb03fd05f,0xf30dffff,0x2e03ffff,0x23ffffff,0xfffffff8,
    0x3ffffe22,0xfffff702,0xffffdff3,0xdffffd01,0xdfffff10,0xffc83f10,
    0x0004ffff,0x7ffffdc4,0xff93002d,0x0005bfff,0xa83ffff7,0xf107ffff,
    0xff309fff,0xfff889ff,0x0ffff80f,0x5c0ffff8,0x3e63ffff,0x1f982fff,
    0x86ffffd8,0x01fffff9,0x07fffff7,0x05fffffb,0x209ffffd,0x5efffffb,
    0x7dc13ff2,0x7dc0ffff,0x5c1fffff,0xfffff886,0xfb30005f,0x0019ffff,
    0x3fffae20,0xf9000bef,0xffa89fff,0xffc80fff,0xffff03ff,0x07fffc8f,
    0xfb87fffd,0xfff887ff,0x3fffea1f,0xfd82d83f,0xff986fff,0xff701fff,
    0x3ff20fff,0xfffb06ff,0x3ffee0bf,0x00440fff,0x87fffff1,0x4fffffce,
    0xfffb81f4,0x2e2005ff,0x02effffe,0x7fecc000,0x4c01dfff,0x7d41ffff,
    0xff80ffff,0xfff02fff,0x7fff41ff,0x89fffd06,0xd507fffe,0xfffff07d,
    0x6c0441bf,0xf986ffff,0xf701ffff,0x3f20ffff,0xffb06fff,0x3fee0bff,
    0xb0004fff,0x7ccdffff,0x27ffffd8,0xfc8400f9,0xfffc9804,0x00001cff,
    0x7fff5c40,0xb9300bef,0xffffd885,0x7fffc40f,0xfffff02f,0x4f7fffc5,
    0xfffe9999,0x1ffffe26,0x7fffe400,0x7ec01fff,0xff986fff,0xff701fff,
    0x3ff20fff,0xfffb06ff,0x3ffee0bf,0xf50003ff,0x5723ffff,0x92fffffa,
    0x017f400b,0x7dffffd5,0x00000001,0x9fffffb5,0xfdf91001,0xfa81ffff,
    0xff02ffff,0x3fe29fff,0xffffffff,0x3e67ffff,0x8000ffff,0xfffffff9,
    0x3fff603f,0xffff986f,0xffff701f,0x3ffff20f,0xbffffb06,0x3ffffee0,
    0x3ffe0002,0x7fc5f4ff,0x007f5fff,0xff881be6,0x00002fff,0xffd30000,
    0x7e4407ff,0xfffffabf,0x7ffffdc0,0xdfffff01,0x01ffffea,0x3ffffea0,
    0xfff90001,0x209fffff,0x986ffffd,0x701fffff,0x320fffff,0xfb06ffff,
    0x3ee0bfff,0x0001ffff,0x2bfffff2,0x7ffffe47,0x5f9000fa,0x7fffec40,
    0x000001cf,0xffff7100,0x3fee03bf,0xfffff52f,0xfffffa81,0xbfffff01,
    0x03ffffea,0xfffff500,0x7fe40007,0x82ffffff,0x986ffffd,0x701fffff,
    0x320fffff,0xfb06ffff,0x3ee0bfff,0x0000ffff,0x3fffffe6,0x7ffffcc4,
    0x05f9005f,0x3ffff220,0x000002df,0xfffffb30,0x3ff62039,0x3fffea1f,
    0x7fffcc0f,0xfffff01f,0x3ffffe69,0x7ffcc002,0x540004ff,0x5fffffff,
    0x86ffffd8,0x01fffff9,0x20fffff7,0xb06ffffc,0x2e0bffff,0x0007ffff,
    0x1fffffe8,0x2fffffe8,0x0017f440,0xfffffea8,0x4400000b,0xbeffffeb,
    0x2ffff400,0x03ffffea,0x05fffff1,0x44fffffe,0x004fffff,0x7fffffc4,
    0x36204000,0x40ffffff,0x986ffffd,0x701fffff,0x320fffff,0xfb06ffff,
    0x3ee0bfff,0x80007fff,0x707ffffc,0xd00fffff,0x32600007,0x02dfffff,
    0x7ffe4c00,0xf9001dff,0xffa85fff,0xffe80fff,0xfff882ff,0x3fffe1ff,
    0x3a0c00ff,0x005fffff,0x7ffdc1a2,0x7ffe41ff,0xffffa86f,0xffff701f,
    0x3ffff20f,0xbffffb06,0x1ffffee0,0x3ffe6000,0xffff104f,0x0000000b,
    0x3ffffae2,0x36a000be,0x00beffff,0x1fffffc0,0x03ffffee,0x20ffffea,
    0x645ffff9,0x204fffff,0x7fffdc5b,0xf89102ff,0x1ffff701,0x47ffffb8,
    0x2ffffff9,0x0fffff70,0x41bffff2,0x705ffffd,0x000fffff,0x807fffa0,
    0x0002fffd,0xfc980000,0x101cffff,0x5bfffff7,0x3ffe2000,0xffc9afff,
    0xfd01ffff,0xfff509ff,0xffff883f,0x80fa84ff,0x1efffffe,0x03be2744,
    0x261bffe2,0xb9cfffff,0x2fffffef,0x1fffff70,0x0fffff90,0x41bffff6,
    0x00fffffb,0x06ffb800,0x0003ffd4,0x2e200000,0x11effffe,0x19fffffb,
    0xfffd0000,0xff7fffff,0x98599fff,0x7ec0ffff,0xfff704ff,0xfd79dfff,
    0x3fffea07,0x6fecffff,0xff885ff8,0xffff703f,0xfff39fff,0xff901bff,
    0xffb03fff,0x3ffa0fff,0xfff906ff,0x100001ff,0x9ff007ff,0x00000000,
    0x9fffecc0,0x002efff8,0x7fffd400,0xfffb0dff,0x3fe609ff,0x7fff50cf,
    0xfffffb80,0x5403ffff,0xffffffff,0xffff80df,0x04ffc88c,0x9fffffe4,
    0xfffffff9,0x3ffffa21,0x7fffc44f,0x7ffd43ff,0x7f441fff,0x0003ffff,
    0xf9001fb0,0x00000003,0x27f71000,0x00001cf8,0x0b7ffae0,0x809dffb3,
    0xffffffd8,0xffd5002e,0x2005bfff,0xdfffffe9,0x3fb3ba03,0x2004ffff,
    0xf50001ba,0xffffffff,0x3fffffee,0xffffb7ff,0x3eabffff,0xefffffff,
    0x01cc0002,0x00000498,0x20800000,0x20000000,0x80008800,0x00009ba9,
    0x40003751,0x85002b98,0x00001ba8,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xff980000,0xffffffff,
    0xffffffff,0x3bb23fff,0x000005ee,0x2aaa0000,0xaaaaaaaa,0x00000001,
    0x50000000,0x99999999,0xccccc819,0x33333324,0xcca8cccc,0x66443ccc,
    0xcccccccc,0x801ccccc,0x2a000029,0x00544002,0xffff30a6,0xffffffff,
    0xffffffff,0x7fff447f,0x3ff6a00f,0x0fc001ce,0xff02ffae,0xffffffff,
    0x0000007f,0xcccca800,0x3fb264cc,0xffb300bd,0x505fffff,0x7545dffb,
    0x1dffffff,0x839fff93,0xcceffff9,0xffffffdc,0x02ffd400,0x00ffdc00,
    0x883fffc8,0x9910effe,0x99999999,0x99999999,0xfe883999,0xfff703ff,
    0x017fffff,0x3fee0fa8,0x7fffc5ff,0x3fffffff,0x00000000,0x7ffffe4c,
    0xffffff57,0xffffe80d,0x03fe204f,0x27fffff4,0x7cc07fe2,0xffffd02f,
    0xfffb007f,0x7fc40001,0xfff8805f,0xffffc87f,0x80000004,0xf886fff8,
    0xfffffeff,0x7e882dff,0x07fffff4,0xffffffff,0x00007fff,0x3fa00000,
    0xdefcffff,0x203fffff,0x05fffff9,0xff8813e6,0x3ee0ffff,0x5c0be601,
    0x006fffff,0x8000fff9,0x402ffffc,0x41fffffb,0x006ffffe,0xff300000,
    0x20bfd81f,0xffffffc9,0x23ffdbcf,0x1ffffff8,0x37777776,0x0002dddd,
    0xf9000000,0x5c3fffff,0x200fffff,0x00fffffe,0xffc801f7,0x07f14fff,
    0xfff10798,0x2a003fff,0x260005ff,0x406ffeff,0x40fffffa,0x005ffffd,
    0x3e600000,0x2a02f43f,0xfffffffd,0xffffd86f,0x00000006,0xfc800000,
    0x7cc2ffff,0x2a01ffff,0xd03fffff,0xffff1009,0x100bb1ff,0x3ffff607,
    0x0cfe884f,0x2fe98bfa,0xfd9ffd80,0x3ffe603f,0xffffc87f,0x55555513,
    0x55555555,0x35555555,0x3e26f980,0xffd71001,0x3fa609ff,0x000002ef,
    0x80000000,0x887ffffc,0x402fffff,0x986ffffe,0xfff7001f,0x0001fdff,
    0x7fffffcc,0x1ffffc80,0x37ffecd7,0x7cd3fea0,0x3ffe00ff,0xffffa85f,
    0xffffff31,0xffffffff,0x7fffffff,0x00051000,0x14c00662,0x00000000,
    0xff900000,0xfff10fff,0xffb805ff,0x03642fff,0x3fffffa0,0x7ff40003,
    0xff503fff,0xb1b55fff,0xe80bffff,0x13ff20ff,0x883fffd8,0x3fe67fff,
    0xffffffff,0xffffffff,0x00003fff,0x00000000,0x00000000,0x7ffe4000,
    0xffff887f,0x7ffc402f,0x00be25ff,0xbfffff50,0x7ffdc000,0x7f5c06ff,
    0xffffefef,0x3ee00cff,0x07ffc43f,0xd01fffb8,0x99998dff,0x99999999,
    0x99999999,0x00000009,0x00000000,0x00000000,0x3ffffe40,0x17ffffc4,
    0x7ffffe40,0x3a000f70,0x002fffff,0xffffff88,0x1de88001,0x837fc400,
    0xff105ffb,0x027fe40f,0x00000000,0x00000000,0x00000000,0x7fe40000,
    0xfff887ff,0xff9802ff,0x007d4fff,0x3ffffe60,0xfffd8006,0xea8004ff,
    0x32003f9c,0x3ffa02ff,0x540bfd01,0x000001ff,0x00000000,0x00000000,
    0x00000000,0x87ffffc8,0x02fffff8,0x5fffffb0,0x7fc0001f,0x2002ffff,
    0x0ffffff9,0xe8ffec00,0x7fcc00ef,0x837fd406,0x3fe203fc,0x00000000,
    0x00000000,0x00000000,0xc8000000,0xf887ffff,0x5002ffff,0x09ffffff,
    0x7fff6400,0x3fa006ff,0x0303ffff,0xffc9fffa,0x07ff601f,0x2a0bff60,
    0x0037401f,0x00000000,0x00000000,0x00000000,0xfffc8000,0xffff887f,
    0x3ffa002f,0x30001fff,0xfffff93f,0xffff7005,0x7d42c0df,0x3ffea4ff,
    0x00bff505,0x1221ffe6,0x00000aa0,0x00000000,0x00000000,0x00000000,
    0x3ffffe40,0x17ffffc4,0xdffff700,0x453a2000,0x00ffffff,0x3fffffe2,
    0xff30f301,0x03fff83f,0x5c001ddb,0x000002ee,0x00000000,0x00000000,
    0x00000000,0xffc80000,0xfff887ff,0x3e2002ff,0xb0002fff,0xfffffc8d,
    0x3ffff604,0x20dd104f,0x0cd982da,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0x887ffffc,0x003fffff,0x8003ffe4,0x7ffcc2fb,
    0xff981fff,0xd880ffff,0x0000006f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7ec00000,0xff987fff,0x4c003fff,0x644003ff,0xffff83ff,
    0x7ff40eff,0xbaa9cfff,0x0005fffe,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3fffffe6,0x7ffffec3,0x07ec000d,0xfffffd00,
    0xfffff71d,0x3ee7ffff,0xffffffff,0x04ffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfffff700,0x3ffabfff,0x02ffffff,
    0x00000e60,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_bold_45_usascii_x[95]={ 0,3,3,0,1,2,1,2,1,0,2,0,1,0,
1,0,1,2,0,0,1,1,1,1,1,1,3,3,0,0,0,2,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,0,1,1,1,0,2,1,0,0,0,0,0,0,4,0,1,2,-1,0,1,0,1,1,1,1,1,1,0,
-2,1,0,1,1,1,0,1,1,1,0,1,0,0,0,0,0,3,3,1,0, };
static signed short stb__times_bold_45_usascii_y[95]={ 36,8,8,8,8,8,8,8,8,8,8,11,29,24,
29,8,8,8,8,8,8,9,8,9,8,8,16,16,12,18,12,8,8,8,9,8,9,9,9,8,9,9,9,9,
9,9,9,8,9,8,9,8,9,9,9,9,9,9,9,9,8,9,8,42,8,16,9,16,9,16,8,16,9,8,
8,9,9,16,16,16,16,16,16,16,10,17,17,17,17,17,17,8,8,8,21, };
static unsigned short stb__times_bold_45_usascii_w[95]={ 0,8,16,20,19,36,32,7,13,12,17,23,8,13,
8,12,18,16,19,18,18,18,19,19,18,18,8,8,23,23,23,17,36,29,26,27,28,26,24,31,31,15,21,33,
26,38,29,30,23,30,30,19,25,29,29,41,30,29,27,9,12,9,19,22,10,19,21,17,21,17,16,19,21,11,
13,22,11,32,21,18,21,21,17,14,14,21,20,29,20,20,18,12,3,12,23, };
static unsigned short stb__times_bold_45_usascii_h[95]={ 0,29,14,29,31,30,29,14,37,37,16,23,15,5,
8,29,29,28,28,29,28,28,29,28,29,29,21,28,21,10,21,29,37,28,27,29,27,27,27,29,27,27,28,27,
27,27,28,29,27,36,27,29,27,28,28,28,27,27,27,35,29,35,15,3,8,21,28,21,28,21,28,29,27,28,
37,27,27,20,20,21,29,29,20,21,27,20,20,20,19,28,19,37,37,37,8, };
static unsigned short stb__times_bold_45_usascii_s[95]={ 248,45,122,54,160,180,75,248,1,45,84,
220,242,207,198,155,168,1,119,78,156,187,1,211,59,108,244,120,1,139,25,
21,58,151,105,127,53,26,1,187,190,204,129,95,68,29,181,217,231,109,159,
39,132,90,60,18,173,129,1,150,239,140,102,160,163,49,206,106,97,88,139,
219,222,175,95,82,244,161,1,69,23,1,194,124,158,139,23,212,44,228,65,
32,28,15,174, };
static unsigned short stb__times_bold_45_usascii_t[95]={ 16,39,206,39,1,1,39,1,1,1,206,
156,184,205,205,39,39,99,69,69,69,69,69,99,69,39,156,99,184,205,184,
69,1,99,156,39,156,156,156,39,128,156,99,128,128,128,99,1,99,1,128,
69,156,99,99,99,156,128,128,1,39,1,206,33,205,184,69,184,69,184,69,
39,128,69,1,156,128,184,206,184,39,39,184,184,156,184,206,184,206,69,206,
1,1,1,205, };
static unsigned short stb__times_bold_45_usascii_a[95]={ 163,217,361,325,325,650,542,181,
217,217,325,370,163,217,163,181,325,325,325,325,325,325,325,325,
325,325,217,217,370,370,370,325,605,470,434,470,470,434,397,506,
506,253,325,506,434,614,470,506,397,506,470,362,434,470,470,650,
470,470,434,217,181,217,378,325,217,325,362,289,362,289,217,325,
362,181,217,362,181,542,362,325,362,362,289,253,217,362,325,470,
325,325,289,256,143,256,338, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_45_usascii_BITMAP_HEIGHT or STB_FONT_times_bold_45_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_45_usascii(stb_fontchar font[STB_FONT_times_bold_45_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_45_usascii_BITMAP_HEIGHT][STB_FONT_times_bold_45_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_45_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_45_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_45_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_45_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_45_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_45_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_45_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_45_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_45_usascii_s[i] + stb__times_bold_45_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_45_usascii_t[i] + stb__times_bold_45_usascii_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_45_usascii_x[i];
            font[i].y0 = stb__times_bold_45_usascii_y[i];
            font[i].x1 = stb__times_bold_45_usascii_x[i] + stb__times_bold_45_usascii_w[i];
            font[i].y1 = stb__times_bold_45_usascii_y[i] + stb__times_bold_45_usascii_h[i];
            font[i].advance_int = (stb__times_bold_45_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_45_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_45_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_45_usascii_s[i] + stb__times_bold_45_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_45_usascii_t[i] + stb__times_bold_45_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_45_usascii_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_45_usascii_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_45_usascii_x[i] + stb__times_bold_45_usascii_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_45_usascii_y[i] + stb__times_bold_45_usascii_h[i] + 0.5f;
            font[i].advance = stb__times_bold_45_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_45_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_45_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_45_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_45_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_45_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_45_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_45_usascii_LINE_SPACING
#endif

