// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_50_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_50_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_50_usascii_BITMAP_WIDTH         256
#define STB_FONT_times_bold_50_usascii_BITMAP_HEIGHT        287
#define STB_FONT_times_bold_50_usascii_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_bold_50_usascii_FIRST_CHAR            32
#define STB_FONT_times_bold_50_usascii_NUM_CHARS             95

#define STB_FONT_times_bold_50_usascii_LINE_SPACING          32

static unsigned int stb__times_bold_50_usascii_pixels[]={
    0x2f231000,0x0e64c000,0x26753100,0x00000000,0x2ab2ea62,0x80000009,
    0x2600001b,0x00009aca,0x3bbbbbaa,0xdddd31ee,0x4007dddd,0x440002ea,
    0x00001aca,0x20007326,0x000000b8,0x3ffb25f7,0x2ffb801d,0x3fffc880,
    0x000007f5,0x3fffae20,0xeffffeff,0x5c00000b,0x8001efff,0xfffffecb,
    0x000cdeff,0xfffffb98,0x9fffff32,0x7ed44003,0x260009bd,0x1effdffe,
    0x37fc4000,0x3fff6200,0xd500000d,0x3fff705f,0x402ffb80,0x540cfffb,
    0x000002ef,0x357dffb5,0xfecb9881,0xff00000d,0x4c00bfff,0x9bdffffe,
    0x3ffffeca,0xffffb000,0x1bfffe65,0xffffec80,0x402effff,0xff53fffb,
    0x7ec0007f,0x7fdc001f,0x80003fff,0x3f201ffd,0x3fee02ff,0x0bffea02,
    0x0005fe98,0x0b7ffa60,0x017fdc00,0x3fffea00,0xffc800ff,0x7fd405ff,
    0x64000dff,0xff32ffff,0xfd300bff,0xb57f717f,0xf309ffff,0xffff8fff,
    0x4ffa8002,0xffffe800,0x7e40006f,0x7ffcc00f,0x05ff700f,0x201fffe6,
    0x80004ff8,0x0000dffb,0x0005fd88,0x1bffffe6,0xdffffd30,0xffff7001,
    0x7fe4007f,0xffff32ff,0x1fffa809,0xfff98fee,0x46fffe87,0x000efffd,
    0x0003bfe2,0xfffffff1,0x3ff20001,0x7fffd004,0x640bfee0,0xf7004fff,
    0x3620009f,0x800003ff,0x3a0004fa,0x2203ffff,0x00ffffff,0x3fffff20,
    0xffff9003,0x13fffe65,0x5c5fff88,0x23ffd43f,0x6c5ffffa,0x2003ffff,
    0xf0001ffc,0x00ffffff,0x003ffee0,0xb837fff4,0xfffd02ff,0x1fff400b,
    0x0bffa200,0x2fb80000,0x7df91000,0xfffffe80,0xffff8003,0xffc800ff,
    0xffff32ff,0x1fffe409,0x1fea0fee,0xc8bffff7,0x5004ffff,0x740009ff,
    0x006fffff,0x005fffa8,0x5c1ffffe,0xfff882ff,0x3fee006f,0x3bfa002f,
    0xe8000000,0x0020000f,0x3fffffee,0xfffd8000,0xffc805ff,0xffff32ff,
    0x2ffff409,0x23f40fee,0x644ffffd,0x8806ffff,0x20000eff,0x05fffffd,
    0x01fffe80,0x0fffff10,0x3e20bfee,0x26007fff,0xf9006fff,0x0000003f,
    0x000013e2,0xffffff98,0xfff50005,0xfc807fff,0xfff32fff,0x3ffe209f,
    0x40fee0ff,0x7ffff47b,0x37fffe44,0x000ffe40,0x3ffffee0,0x7ffd4003,
    0x3ffe6006,0x05ff705f,0x003ffffe,0x402fffe8,0x88004ffa,0x00f70000,
    0x7fff4000,0x10003fff,0x1fffffff,0x97fffe40,0x104ffff9,0x21dfffff,
    0xd8f103fb,0x7e44ffff,0x7d405fff,0xf980004f,0x4001ffff,0x2004fffe,
    0x704ffffa,0x3ff605ff,0x3f2001ff,0x3fe206ff,0x7ff54006,0x1997550d,
    0x32a00be0,0x44cccccc,0xfffffff9,0x3ffa0000,0x3203ffff,0xff32ffff,
    0x7ffc09ff,0x3fbaffff,0x3ffff200,0x27fffec5,0x001dfd10,0xfffff100,
    0x7ffd4001,0x3ff2003f,0x5ff703ff,0x0bfffee0,0x2ffffa80,0x4001ff90,
    0x9bebfffc,0x3a07ffff,0xfffc9805,0x7fd47fff,0x000fffff,0x3fffff60,
    0x3fff205f,0x9ffff32f,0x7fffff40,0x2003feff,0x6c5ffffa,0x3202ffff,
    0x200002ff,0x4006fffe,0x001ffffd,0x407ffff6,0xff502ffb,0x7cc007ff,
    0x9ff05fff,0x3bffa200,0xffff9d30,0x7003640b,0xc8ffffff,0x07ffffff,
    0x7fffec00,0x3ff206ff,0xffff32ff,0x7fffcc09,0x004fffff,0x3a37fff4,
    0x3ea06fff,0x6400004f,0x26004fff,0x000fffff,0x403ffff6,0xff302ffb,
    0x7c4007ff,0x7d41ffff,0xfff8801f,0x7ffffc1f,0x801ee03f,0x47fffff9,
    0x7ffffffd,0x7ffe4000,0xf900ffff,0x3fe65fff,0x7fec04ff,0xdfffffff,
    0xffff3000,0x101ffff8,0x00001dfd,0x002fffa8,0x01ffffea,0x40ffff50,
    0xff102ffb,0xff8003ff,0x37ec3fff,0x84fffe80,0x00fffffe,0x7cc003e6,
    0x7fc7ffff,0x006fffff,0x7ffffdc0,0xfff901ff,0x3fffe65f,0xffffc804,
    0x02ffffff,0x2a7fff70,0x3f202fff,0x8800002f,0x2e000fff,0x4007ffff,
    0x700ffff8,0x3fe605ff,0xffe8006f,0x0ffe24ff,0x03ffff20,0x01bffffe,
    0x3e6001f1,0x3e27ffff,0x05ffffff,0x7fffdc00,0xff902fff,0x3ffe65ff,
    0xfff9004f,0xbfffffff,0x37ffa200,0x3e600dff,0x2000004f,0x7ec006fe,
    0xb8006fff,0xff703fff,0x0bfff205,0x3ffffa00,0x5003fea5,0xf109ffff,
    0x8809ffff,0x3ffe6007,0x3ffe27ff,0x0005ffff,0x7fffffd4,0xffff903f,
    0x13fffe65,0xfffffa80,0x00efffff,0x22006a60,0x2a200ffe,0xb000acdc,
    0xffe800bf,0xf90006ff,0x0bfee0df,0x80017ffc,0x2e6ffffe,0xfffe806f,
    0xffffa81f,0x003cc02f,0x8ffffff3,0x6fffffff,0x7ffdc000,0xf901ffff,
    0x3fe65fff,0x6c4004ff,0xffffffff,0x800000ef,0x3ea02ffc,0x03ffebef,
    0x7c004fc8,0x0006ffff,0xf7077ff2,0x2ffea85f,0x3fff6000,0x5017f27f,
    0x2e0fffff,0xa807ffff,0x3ffe6006,0x7fff47ff,0x40007fff,0xfffffffc,
    0x5ffff900,0x013fffe6,0x7ffffd40,0x0005ffff,0x9027fcc0,0x3fe65fff,
    0x01fd406f,0xbfffff10,0xffc88000,0x225ff70d,0x80002efe,0xb0fffffd,
    0xfffd809f,0xffffd04f,0x400b700b,0x47fffff9,0x7ffffffd,0x7ffec000,
    0x3f207fff,0xfff32fff,0x7dc0009f,0xffffffff,0xfd100001,0x3ffea01f,
    0x01ffff47,0x7c4003f3,0x0005ffff,0x3ee3ff50,0x015df52f,0xffffb000,
    0x980ffa3f,0xa81fffff,0x803fffff,0x3fe6002e,0x7fdc7fff,0x000fffff,
    0x3fffffa0,0x3fff206f,0x9ffff32f,0x7f7dc000,0x05ffffff,0x05ff9000,
    0x3637fff4,0xf101ffff,0xffff8001,0x2e20005f,0x3fee2eff,0x033ffaa2,
    0xffffd800,0x6407ff0f,0xfb07ffff,0x9801ffff,0x7ffcc007,0x7ffd47ff,
    0x0001ffff,0x3ffffffa,0x3ffff204,0x09ffff32,0x7d5fdc00,0x006fffff,
    0x205ff980,0x645ffffa,0x0604ffff,0x3ffffa00,0xffd10006,0x505ff705,
    0x20001dff,0x3a7ffffd,0x3fff602f,0xffff985f,0x004c806f,0x3fffffcc,
    0x7ffffff4,0x3ffe0002,0x3200ffff,0xff32ffff,0x200409ff,0xffff53fb,
    0xfd0000ff,0x7ffdc01f,0x7fffdc5f,0x7ec00005,0x88006fff,0xff705ffe,
    0x01bff605,0x37ffff40,0x7ff409fb,0xfffd84ff,0x0fc404ff,0x3fffe600,
    0xffff987f,0xf50005ff,0x807fffff,0xf32ffffc,0x16c09fff,0x7fe47f70,
    0x640007ff,0x7fe402ff,0x7ffdc5ff,0x6400006f,0x8006ffff,0xf702fffe,
    0x3ffea05f,0xfffe8005,0xf817f65f,0x6e43ffff,0x401fffff,0xff98004d,
    0xffb07fff,0x0001ffff,0x0dfffffb,0x25ffff90,0x204ffff9,0x98fee05d,
    0x0006ffff,0x36017fe6,0x7dc5ffff,0x17107fff,0xffffb800,0x7ffc4007,
    0x40bfee07,0x000ffff8,0x91fffff4,0x3ffe20df,0x3ebea3ff,0x2e00ffff,
    0xfff30006,0x3fe20fff,0x4004ffff,0x2ffffff9,0x2ffffc80,0x409ffff3,
    0x87f700fd,0x0005ffff,0x32003ffa,0x7dc5ffff,0xffd85fff,0xff5000df,
    0xfb800fff,0x3fee07ff,0x5ffff102,0xfffff800,0x2603fea2,0xb9efffff,
    0x6ffffabf,0x40007ea0,0x07fffff9,0x1fffffea,0xfffff900,0x3fff2009,
    0x9ffff32f,0xfb81fec0,0x0bfffe23,0x017fe400,0x46ffffa8,0x544ffffc,
    0x003fffff,0x007ffffe,0x00ffffd8,0x3ea05ff7,0x22004fff,0x7c0fffff,
    0xffff881f,0xff55ffff,0x0bee0bff,0x3fe600ea,0x7cc07fff,0x3004ffff,
    0x007fffff,0x997fffe4,0x3604ffff,0x23fb82ff,0x0005fffa,0x4400bff3,
    0x7e46ffff,0x7fec2fff,0x2e006fff,0x2002ffff,0x702ffffc,0x3fee05ff,
    0x3e6003ff,0x2fd84fff,0xffffffd0,0x3ffffc1b,0x17407fa6,0x7ffffcc0,
    0xfffe8807,0x7ffd404f,0x7e4002ff,0xfff32fff,0x7ffec09f,0xfe89fdc2,
    0xfd0000ef,0xffc8001f,0x2fffec7f,0x37fffff4,0x7ffff100,0x7fffdc00,
    0x205ff703,0x002ffffc,0x203fffee,0xfff506fa,0xfff709ff,0x019fd9ff,
    0x7fcc016e,0x91007fff,0x237bffff,0xeffffca8,0xfffc8001,0x9ffff32f,
    0x77fffec0,0xffcbfb9b,0xf90000df,0x3fa0005f,0xffff11ff,0xfffff501,
    0xfffc8007,0x3ffea005,0x05ff705f,0x007ffff6,0x204fffc8,0xbf9103fe,
    0x77ff5405,0x00fc403c,0x7fffff88,0xfffda800,0xbeffffff,0x3ff20000,
    0xffff32ff,0x7fed4409,0xffffffff,0x3e60002d,0x3620005f,0xeffc8dff,
    0x3bfff601,0x7ffc4000,0xfff3000f,0x0bfee0df,0x003ffffc,0xa803fffe,
    0x000000ff,0x44009900,0x007fffff,0x3ffffe20,0x900006ff,0x3e65ffff,
    0x26004fff,0x01dfdbaa,0x01ffd000,0xfffd7000,0x06e2009d,0x2fffc800,
    0x1ffffe00,0x7c417fdc,0x2a006fff,0xfd805fff,0x80000005,0x3e2000fa,
    0x0006ffff,0x7fffffdc,0xfc80001f,0xfff32fff,0x7dc0009f,0x33100003,
    0x03000001,0x74000000,0x3fa005ff,0x5ff707ff,0x0bffff10,0x0077ff40,
    0x00017f44,0x005f5000,0x6fffff88,0xfffe8000,0x80005fff,0xf32ffffc,
    0x40009fff,0x000003fb,0x00000000,0xfe880000,0xfffb001f,0x40bfee09,
    0x5004fffe,0x44001dff,0x000000ff,0x19801fb8,0x037ffffc,0x7fffcc00,
    0x40003fff,0xf32ffffc,0x00009fff,0x00000000,0x00000000,0x037f4400,
    0x702fffe8,0x3fee05ff,0x1ffd006f,0x07ff3000,0x0fe40000,0xff1ffe40,
    0x00009fff,0x3fffffe6,0x3f60004f,0xfff32fff,0x000000bf,0x00000000,
    0x00000000,0x5404ff98,0x3ee05fff,0xfffd102f,0x01ffc803,0x03bfa200,
    0x1fd98000,0x25fff880,0x002ffffe,0x3fffa200,0x001bffff,0x4bffffe2,
    0x00fffff9,0x00000000,0x00000000,0x74c00000,0xffd880df,0x017fdc06,
    0x6409ffd1,0x900001ef,0x980007ff,0x3e000cfd,0x3fffa5ff,0xb8800004,
    0xffffffff,0x6e547eff,0x32ffffff,0x9bffffff,0x00000005,0x00000000,
    0x40000000,0xff910eea,0xffb8019f,0x77fec402,0x000bf622,0x33bf6600,
    0xfea9801a,0xffb8000c,0x003fffe7,0xfdb50000,0x8579dfff,0x99999998,
    0x26666609,0x00000999,0x00000000,0x00000000,0xdff3b800,0x3fee0019,
    0xdfb73002,0x000000ea,0x3bfffb26,0xfffedccd,0x3a20000c,0x1effeeff,
    0x88000000,0x00000000,0x00000000,0x00000000,0x00000000,0x07baa000,
    0x00000400,0x99751000,0x0003579b,0x59b99500,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4c000000,0x00000019,
    0x00110026,0x00001800,0x664c0997,0x95300001,0x00000157,0x0009aa88,
    0x97531000,0x00b80155,0x00135530,0x4d65d4c0,0xcc880000,0x6e540002,
    0xdefffffe,0x880000bc,0x1defffeb,0x66441fd4,0x11cccccc,0x03bfffb7,
    0x903ffc00,0xc80005ff,0xcfffffff,0x2e600000,0x0cfffffe,0xfeb88000,
    0xefffffff,0x2007c41c,0xcfffffea,0x3ffea000,0x01efffff,0x00bfee00,
    0x7ffff4c0,0xfffca9bd,0x2e0002ff,0xfdabefff,0x207ff93f,0xffffffdb,
    0xfffffe8b,0xf88004ff,0x03ff605f,0x6fff4c00,0x0effffeb,0xfffc8000,
    0x3ffffa8b,0xfff91000,0xb959bfff,0xfd79fffd,0x4f7fec01,0x402fffb8,
    0xfb11dfe8,0x000bffff,0x5c001ff6,0x5405ffff,0x000dffff,0x7437ffe4,
    0x03ffffff,0x67fffffc,0xfffebdfe,0x7d4004ff,0x01bfe04f,0x21fffc40,
    0x006ffffb,0x217ffec0,0x004ffffc,0x7fffffcc,0x3ffaa00b,0xff900fff,
    0x1fffc85f,0x7ec1ffa0,0x4004ffff,0x4c005ff8,0x00effffe,0x3fffff98,
    0x5ffff900,0xffffff10,0xffffd807,0x7ff40eff,0x32001fff,0xbff102ff,
    0x3fffa000,0x0ffffe80,0xffff7000,0xfffff881,0xffff7002,0x7dc001df,
    0xffb80fff,0xffff986f,0x81fffc80,0x1ffffff9,0x00bfea00,0xffffff88,
    0x3ffee000,0x7fcc03ff,0x3ffa07ff,0x7ec03fff,0xa81fffff,0x006fffff,
    0x7d403ff6,0xffb8003f,0xffff707f,0xfff30005,0x3fff20ff,0x7fe400ff,
    0x8000efff,0x7c40fffb,0xff884fff,0xfffe84ff,0xfffffd04,0x07fec009,
    0xfffffb00,0xfff88005,0x3fa00fff,0x3f605fff,0x6403ffff,0x204fffff,
    0x01ffffff,0x7e40fff0,0xffd8002f,0xfffa80ff,0xffb8001f,0xfff706ff,
    0x7fdc09ff,0x0000ffff,0xff703ff6,0x3ffe07ff,0x3ffe20ff,0xffffb06f,
    0x2ffc00df,0xfffff700,0xff90001f,0x3e60bfff,0x3603ffff,0x403fffff,
    0x03fffffc,0x0bfffff6,0xd817fe20,0xfe8000ff,0xff981fff,0xfd8000ff,
    0xff505fff,0x3e60ffff,0x003fffff,0x7fc0ff80,0xfff03fff,0x7ffc49ff,
    0xfffc80ff,0xff3007ff,0x3ffe6007,0x50005fff,0x07ffffff,0x05fffff9,
    0x1fffffe4,0x3fffff20,0x3ffff203,0x4ffa804f,0x2001bfe0,0x84fffff8,
    0x0003fffb,0x20dfffff,0x2ffffff9,0x7fffffe8,0x41f90000,0x02fffff9,
    0xd8dffffd,0xffb06fff,0x3200bfff,0xffd000ff,0x0007ffff,0x3fffffe2,
    0x7ffffc0f,0x3fff202f,0x7fe403ff,0x3ee03fff,0xc805ffff,0xbff102ff,
    0x3fffe000,0x06ffe86f,0xfffff100,0x3fffe20d,0x7ffd44ff,0x00005fff,
    0x7ffdc1f3,0xfffd02ff,0x6fe441ff,0xfffffd01,0x01bfe005,0x7fffffcc,
    0x3fa0000f,0x7c3fffff,0x201fffff,0x03fffffc,0x1fffffe4,0xffffff70,
    0x7fffffc4,0xffffffff,0x04ffffff,0x3fffffe0,0x0013ff22,0x7fffffa8,
    0x3fffffe0,0x7fffff45,0x3600003f,0x3fffff60,0xfffffd02,0xffff0005,
    0xff3001ff,0x3ffea007,0x0000ffff,0x3ffffff6,0x3ffffe25,0x3fff201f,
    0x7fe403ff,0x3ea03fff,0xf10fffff,0xffffffff,0xffffffff,0x6c009fff,
    0xebefffff,0x5c0002ef,0x207fffff,0x26fffffe,0xfffffff9,0x3e000000,
    0xd02fffff,0x007fffff,0x4fffff98,0x003ff900,0x3ffffff2,0x7fe40007,
    0x3e66ffff,0x200fffff,0x03fffffc,0x1fffffe4,0xffffff50,0x7fffffc4,
    0xffffffff,0x04ffffff,0x3ffffee0,0x00002dff,0x1ffffff5,0x3fffff60,
    0x3fffff27,0x2000007f,0x2ffffff8,0x9fffffd0,0xffffd800,0x01bfa005,
    0xffffffd8,0x7fe40007,0x3e27ffff,0x201fffff,0x03fffffc,0x1fffffe4,
    0xdfffff50,0x203ffa80,0x220006ff,0x06ffffff,0x7777774c,0x3ffe25ee,
    0xffb01fff,0x7ff4dfff,0x0006ffff,0x3fffe200,0xfffd02ff,0x7c400bff,
    0x22004fff,0x3fe004ff,0x006fffff,0x7ffffe40,0x3fffe1ff,0x3ff202ff,
    0x7e403fff,0x2e03ffff,0x404fffff,0xff102ffc,0x3f22000b,0x04ffffff,
    0x77fffed4,0x7ffffc0b,0xffffd04f,0x7ffffcbf,0x000006ff,0x3fffffe6,
    0xfffffd02,0x7ffe400b,0x0ffdc002,0xfffff880,0x5c0005ff,0x2fffffff,
    0x0bfffffe,0x3fffffc8,0x7ffffe40,0x3fffee03,0x07fec03f,0x4003ffa8,
    0xfffdffc8,0x4401ffff,0xf900efff,0x3a0fffff,0x3e4fffff,0x05ffffff,
    0x3fe60000,0xfd02ffff,0x200dffff,0x8001eff8,0x3e2007fe,0x05ffffff,
    0x7fffdc00,0x3ff22fff,0x3f204fff,0x6403ffff,0x203fffff,0x01fffffc,
    0xff903ffc,0x77fdc003,0xffffffb1,0x01ffd00d,0x7fffffc4,0xfffffe82,
    0xffffff13,0x400000df,0x2ffffffa,0xdfffffd0,0x0017ee00,0x20027fc4,
    0x6fffffff,0x7ffdc000,0x3e61ffff,0x3206ffff,0x403fffff,0x03fffffc,
    0x03fffffe,0x3605ff88,0xffb000ff,0xfffff88f,0x3fe204ff,0xffffb803,
    0xffda9bff,0xff12ffff,0x00ffffff,0x7ffcc000,0xffd02fff,0x3a00bfff,
    0x3fee0005,0x7fff4002,0x40007fff,0xfffffffc,0x7ffffec0,0xfffffa81,
    0x7ffe403f,0xff982fff,0x7d403fff,0x01bfe04f,0x6427fff4,0x3fffffff,
    0x5400df50,0xffffffff,0x47ffffff,0xffffffff,0xf1000000,0x205fffff,
    0x04fffffe,0x6c0005f0,0xffd8007f,0x0007ffff,0x7fffffe4,0xfffff987,
    0xffff913f,0xfc807fff,0x22ffffff,0x86ffffe9,0xdffeccc8,0xffcccccc,
    0x642cccce,0xfd01ffff,0x05ffffff,0xc88003fb,0xfcbefffe,0x7f44ffff,
    0x01ffffff,0x3ffe0000,0xffd02fff,0xf1005fff,0x3fe20001,0xfffb8005,
    0x0000ffff,0x3ffffff6,0xfffff306,0xff97ffff,0xfc807fff,0xffdbffff,
    0x0efffffd,0xffffff88,0xffffffff,0x24ffffff,0x01fffff9,0xfffffff5,
    0x001fdc3f,0x3fffa0c0,0x7ffec1ff,0x0002ffff,0x3ffffa00,0xffffd02f,
    0x00d1003f,0x0017fd40,0x7fffffd4,0x3fa0001f,0x203fffff,0xefffffe8,
    0x7fffff92,0xfffffc80,0xffffff93,0x3ffe2019,0xffffffff,0xffffffff,
    0x3ffff64f,0x3fff604f,0xf98effff,0xf9800005,0xfa86ffff,0x03ffffff,
    0x3ff60000,0xffd02fff,0x02001fff,0x00ffd800,0xfffffd00,0x3e20005f,
    0x00ffffff,0x640aca88,0x403fffff,0x43fffffc,0x9800acb9,0x999dffa9,
    0x99ffe999,0x3ffa0999,0x7f406fff,0xeeffffff,0xc800000f,0xd01fffff,
    0x09ffffff,0x7fe40000,0xffd02fff,0x00000fff,0x80017fe0,0x5ffffff9,
    0xffff3000,0x200007ff,0x03fffffc,0x1fffffe4,0x7ff50000,0x22037fc0,
    0x0fffffff,0x3ffffa20,0x0003ffff,0x7fffff00,0x7ffffdc0,0x2000007f,
    0x02fffffa,0x00dffffd,0x7ff30000,0xfffd8000,0xc8000fff,0x006fffff,
    0x3ffff200,0x7ffe403f,0x200003ff,0xff302ffc,0xffff880b,0x7cc05fff,
    0xefffffff,0x7dc00000,0x7c405fff,0x02ffffff,0xffd05000,0x3ffa07ff,
    0x151004ff,0x01ff9000,0xffff8800,0x7c4003ff,0x003fffff,0x3ffff200,
    0x7ffe403f,0x200003ff,0xff500ffd,0xffffd007,0xfa80bfff,0xffffffff,
    0x54005901,0x800fffff,0x6ffffff9,0xb84d8000,0xff04ffff,0xd8801fff,
    0x7c005fff,0xf700006f,0x800fffff,0x04fffffb,0x7ffe4000,0x7fe403ff,
    0x00003fff,0xffc81ffe,0xffffc801,0x5c04ffff,0xffffffff,0x01f911cf,
    0x3bfffea0,0x3ffee000,0x20004fff,0xfff884fd,0xffff884f,0xffffb804,
    0x7ff3002f,0x7fdc0000,0xf3003fff,0x0009ffff,0xfffff900,0xffffd807,
    0xf100003f,0x07ff40bf,0x7ffffc40,0x20bdffff,0xffffffc8,0xffffffff,
    0xfff5002f,0x3f20009f,0x003fffff,0xf902ff4c,0xfff30dff,0xfffd001f,
    0x3f200dff,0x5400001f,0x404fffff,0x04fffff9,0xfffb0000,0xffd809ff,
    0x00004fff,0x7fc07ff5,0x3ffea006,0xffffffff,0xfbbfffee,0xffffffff,
    0xfb8805ff,0x40002fff,0xdffffffa,0x3ff2a201,0x1fffc804,0x8017ffe4,
    0x06fffffe,0x0000dfd0,0x3ffff620,0xffd731bd,0x00003dff,0x7fffff40,
    0x7ffff405,0xf900005f,0x17fe603f,0xfffff700,0xffffffff,0x7fffcc19,
    0x405fffff,0x02efffc9,0x3ff62000,0xabceffff,0x01efffec,0x2277ff20,
    0x2001fffb,0x02fffffb,0x0004ff88,0x7ff64c00,0xffffffff,0x1000002d,
    0xffffffb5,0xffda839f,0x09cfffff,0x03ff6000,0x4001ffd4,0xffffffd8,
    0xb100cfff,0x09ffffff,0x33bffae2,0x22000001,0xffffffeb,0x003dffff,
    0xfffffd70,0xfd88001b,0xff7005ff,0x40000003,0xabcccba9,0xa8000002,
    0xcccccccc,0x99910ccc,0x99999999,0x1e640005,0x00039950,0x4d665d44,
    0x32e62000,0x00d5d401,0xa8800000,0x0abcccba,0x37510000,0x0b980001,
    0x00132e00,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x95310000,0x0b803557,0x00003000,
    0x00abca98,0x003cb815,0x0aba9800,0x99800000,0x3531000a,0xeb800001,
    0x3eeeeeee,0x59753000,0x99999503,0xb8399999,0x00cccccc,0x30265c00,
    0xb7100017,0xfffffffd,0x0f9839ff,0xffffb500,0x5555559d,0x3ff22035,
    0x0aefffff,0x01ff907a,0x3ffee000,0x0001efff,0x33fff6a0,0x7ffec402,
    0x001effff,0xffff9300,0xfb8009ff,0x0efffeef,0x3fffffa6,0x5cc0beff,
    0x0003ffff,0xfe83ffd4,0x3ee004ff,0x99acffff,0xcffffcba,0x6cc00ffb,
    0xffaaffff,0x5fffffff,0x89cfffa8,0xddfffca8,0x01ffcc1f,0x3fffe600,
    0x03ffffff,0x3ffae200,0xffc8802e,0xffea8aef,0xd00000df,0x009fffff,
    0xff9bffa6,0xfffd85ff,0x7dc03fff,0x7c40001f,0xfffa87ff,0x7f4c00ff,
    0x4400dfff,0x0ffffffc,0x3bfffe60,0x7fffffc0,0x7ffd45ff,0x3fff6202,
    0x005ff81f,0x3ffffe60,0x2fffffff,0xefffb800,0x3fffa002,0x0dfffb06,
    0x3fff2000,0xfe8804ff,0x3fffe4ff,0x7fffc41f,0x27d404ff,0x7fff4000,
    0xfffffd87,0x3fffee03,0x7f44003f,0xfd100fff,0xff905fff,0x3fe201ff,
    0xfff7006f,0x001ffb03,0xffffff30,0xffffffff,0x7ffec400,0x3ff2000e,
    0xfff303ff,0xf900009f,0xb009ffff,0x7f47ffff,0xfff907ff,0x1fc80dff,
    0x7ffe4000,0xffffe87f,0xffffb03f,0x3a20009f,0xff900fff,0xff501fff,
    0x3ffa0dff,0x3ff6002f,0x002ffa81,0x3661cfe8,0x1fffffff,0xefffe980,
    0x3ffe6000,0x3ffe00ff,0x640000ff,0x404fffff,0x23fffff8,0xf102dfea,
    0x405fffff,0x7d40006e,0xfc87ffff,0xfa81ffff,0x0006ffff,0xe807ffcc,
    0xf307ffff,0xf885ffff,0x22001fff,0x5ff882fe,0x900fd400,0x07ffffff,
    0x0effff98,0x7fffdc00,0x3fffa01f,0x7e40001f,0x4c04ffff,0x003fffff,
    0xbfffffb0,0x8000be20,0x7ffffff8,0x0fffffb8,0x7fffffc4,0xffa80003,
    0xfffff880,0xfffff107,0x3ffffa89,0xd817d400,0x00f4007f,0x17fffff4,
    0x1fffff10,0xffffb000,0x7ffec09f,0x7e40002f,0x5c04ffff,0x003fffff,
    0xffffff30,0x8000f703,0x7ffffffe,0x86ffff98,0x0ffffffd,0x01fd0000,
    0x0dfffff3,0x17ffffe2,0x03fffff7,0xfa817c40,0xc800002f,0x200fffff,
    0x004ffffd,0xffffffd0,0x07ffff40,0xfff90100,0xffb809ff,0x20004fff,
    0x84fffffe,0x3f20004e,0x07fffffc,0xfb89ffff,0x005fffff,0x2203ea00,
    0x107fffff,0xb87fffff,0x01ffffff,0x7fc40b60,0xfb800004,0x3ee05fff,
    0x0001ffff,0x7ffffff9,0x01bfffe0,0x477fff6a,0x04fffffc,0x27ffffdc,
    0xffff5000,0x00fcc1ff,0xfff5fa80,0x3ff60fff,0x7ffffc2f,0x400003ff,
    0xffffd00e,0x3fffe60f,0x7fffcc0f,0x9800cfff,0x001ffa00,0x3bfff600,
    0xfffff100,0x7fd4000d,0x443fffff,0x2a03ffff,0xffffffff,0x4fffffca,
    0xfffecca8,0x002cceff,0x3ffffff8,0x7c4001b2,0xffffff0f,0x983ffea0,
    0x2fffffff,0x2a000000,0xa80fffff,0xff06ffff,0x7fffffff,0x7fdc0001,
    0x7fc00001,0x3fee00ef,0x20003fff,0xfffffff8,0x3bfff24f,0xfffff700,
    0x3ffff6a3,0xffb84fff,0xffffffff,0xffb8004f,0x07f16fff,0xff8bf600,
    0xff107fff,0xfffffa8d,0x000001ff,0x1ffffec0,0x817fffe4,0xfffffffd,
    0x10003fff,0x400009ff,0x7400effc,0xec9fffff,0xc801ceff,0xffffffff,
    0x00efff9e,0x05fffff1,0x9ffffffd,0xfffd9950,0x00599dff,0xffffff10,
    0x70001f75,0xfffff89f,0xf913fa07,0x01ffffff,0xf9000000,0x7fd43dff,
    0x3fe200ef,0xffffffff,0xfe8002ef,0xff700006,0x7fd409ff,0xffffffff,
    0xd804ffff,0xffffffff,0x7ec03fff,0xff106fff,0xb809ffff,0x004fffff,
    0xfffffc80,0xf98005ee,0x7fffff86,0xffb0bf20,0x000fffff,0x7ecc0000,
    0x4fffedff,0xfffff300,0xdfffffff,0x0ffe4003,0xfffb5000,0xfb01dfff,
    0x77bfffff,0x0dfffffd,0xfffffd88,0x200dffff,0x04fffff8,0x13fffff2,
    0x9fffff70,0xfff30000,0x8005ffff,0xfff80fe8,0x03ea07ff,0xdfffffff,
    0x80000000,0x1bdedefa,0xffffa800,0xffffffff,0x7ff3003f,0xffff3000,
    0x3fffffff,0x3fffffe8,0x7fffff44,0xffffc803,0x00efffff,0x05fffff5,
    0x27ffffe4,0x3ffffee0,0xffb00004,0xb000ffff,0x3fffe05f,0x7fc4007f,
    0x006fffff,0xfd300000,0xe9800003,0xffffffff,0xf004ffff,0x36a000df,
    0xffffffff,0x7ffffc6f,0xffffa83f,0xffd800ff,0xffffffff,0xfffffc81,
    0x3ffff201,0x7ffdc04f,0x500004ff,0x009fffff,0x3fe05fb8,0xf8007fff,
    0x06ffffff,0xf9800000,0x2000004f,0xfffffffc,0x804fffff,0x20000ffc,
    0xffffffc8,0xffff13ff,0xfff105ff,0x6cc09fff,0xfffffeff,0x7ec0efff,
    0x3201ffff,0x404fffff,0x04fffffb,0x3fffa000,0x3be6001f,0x3ffffe00,
    0xffff8007,0x2e007fff,0xcccccccc,0x6c2ccccc,0x000005ff,0x7ffffe44,
    0x00ffffff,0x0001ffcc,0x7fffffd4,0xfffff35f,0x3fff605f,0xfff705ff,
    0x3fffff29,0x7ffc5fff,0x3f201fff,0x5c04ffff,0x004fffff,0x1bffee00,
    0x401fe880,0x007fffff,0xffffffe8,0x3f2a2007,0xffffffff,0x3ffe21bd,
    0xaaaaabdf,0x4c000099,0xfffffffd,0x5ff805ff,0xfff30000,0x3fe6dfff,
    0xf702ffff,0xf90dffff,0x7fd41fff,0x227fffff,0x01ffffff,0x13fffff2,
    0x9fffff70,0x7fc40000,0x33f2003f,0x99999999,0x99ffffff,0xffff9000,
    0x70001fff,0x9fffffff,0x3ffffee0,0xffffffff,0x00540cef,0xfffffe98,
    0xffd807ff,0xff700000,0x3fe2ffff,0xf503ffff,0xfa8fffff,0xffa85fff,
    0xf31fffff,0x403fffff,0x04fffffc,0x27ffffdc,0x3ff20000,0x3fffa000,
    0xffffffff,0x5fffffff,0xfffff300,0xf10003ff,0x03ffffff,0x3fffffe6,
    0xffffffff,0x00f21fff,0xffffff70,0x2ffa801f,0x3ffa0000,0x3fffa5ff,
    0xfff503ff,0xfffe8fff,0xffff703f,0x3ffe29ff,0x3f201fff,0x5c04ffff,
    0x004fffff,0x0027cc00,0x3ffffffa,0xffffffff,0x2005ffff,0x3ffffffe,
    0xfffff000,0x7ffc03ff,0xffffffff,0x0fffffff,0xff5000d9,0x8803ffff,
    0x200005ff,0x324ffffb,0x304fffff,0x44dfffff,0x202fffff,0x26fffffe,
    0x02ffffff,0x13fffff2,0x9fffff70,0x1f980000,0x7ffff400,0xffffffff,
    0x05ffffff,0x3ffffea0,0xfff0005f,0x4401ffff,0xfffffffe,0xffffffff,
    0x0003f92f,0x01fffff7,0x0000ffb0,0x717fffcc,0x20bfffff,0x24fffff9,
    0x01fffffa,0x9bffffea,0x03fffffe,0x13fffff2,0x9fffff70,0x05c80000,
    0xfffffe80,0xffffffff,0x005fffff,0x7fffffe4,0xffff8000,0x7c400fff,
    0xffffffff,0x4fffffff,0xf10009f9,0x2a00dfff,0x100002ff,0x7cc1ffff,
    0xf106ffff,0x7d45ffff,0x2201ffff,0x2e5fffff,0x205fffff,0x04fffffc,
    0x27ffffdc,0x10332200,0x3310005f,0x33333333,0x33ffffff,0xfffd0001,
    0xff0009ff,0x201fffff,0x809dffc8,0xffffb998,0x0003ff94,0x200bfffd,
    0x03104ff8,0x427ffc40,0x307fffff,0x441fffff,0x402fffff,0x223fffff,
    0x80ffffff,0x4ffffff8,0x7ffffdc0,0x3ffe2004,0x00003dc6,0x3fffffc0,
    0x3ffe2000,0x7c000fff,0x00ffffff,0x8800dffd,0xdff91fff,0xffff8001,
    0x21ffa001,0xb801fffb,0xfff706ff,0xfff303ff,0xffffd0df,0x7fffc407,
    0x7fffe40f,0xffffe85f,0x7fdc05ff,0x2e004fff,0x0fa1ffff,0x3fe00000,
    0x80007fff,0x0efffff9,0x3ffffe00,0xfff880ff,0x26ff8004,0x2005fffc,
    0x4003fff9,0x7ffc1ffb,0x7ff403ff,0x3ffffa01,0x1ffffb83,0x05ffffb8,
    0x20ffffee,0xbfffffe8,0xfffefda8,0x3f201fff,0x2004ffff,0xd93ffffc,
    0x3e000000,0x0007ffff,0xdffff910,0x3fffe003,0xffd00fff,0x7fdc003f,
    0x3bffff22,0x2fff4401,0x127fc400,0x1bffffff,0x402ffb88,0x40fffff9,
    0x3603fffd,0xfd02ffff,0x7f440bff,0x9fffffff,0xfffffffc,0xffffd80f,
    0x3fe2005f,0x002fdeff,0xffff0000,0x980000ff,0x9beffffe,0x3fff6e60,
    0x3ea02dff,0x6d402eff,0x7ffe41ef,0x220acfff,0x0003fffa,0xfff71bfa,
    0xf97bffff,0x3a20019f,0xff90dfff,0xffd8807f,0x3ff6a2ff,0xffd8804f,
    0xff90efff,0x260359df,0x1fffffff,0x3ffff200,0x0000003f,0x01fffffe,
    0x7fedc000,0xffffffff,0x2002cfff,0xefffffc8,0x0cefffee,0xfd711fc8,
    0xbffffdff,0xffc80001,0x7ffffe41,0x001effff,0xfffffb88,0x26001bef,
    0xffeffffe,0xb98000df,0x400d541b,0xfffffffa,0x1003efff,0x00003797,
    0xfffff800,0x44000007,0xacccccaa,0x9800009a,0x1abcdcba,0x95101a80,
    0x00013799,0x54073220,0x000abcca,0x02b2a600,0x79531000,0x00000135,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x5c400000,0x7774c000,
    0xeeeeeeee,0xa98803ee,0x0000000a,0x77400005,0x02eeeeee,0x77775c00,
    0xeeeeeeee,0x3bbbbb21,0xeeeeeeee,0x3bbbba04,0x298004ee,0x3bbbbb60,
    0xeeeeeeee,0xeeeea82e,0xd74eeeee,0xdddddddd,0xb807dddd,0xeeeeeeee,
    0xffb0000e,0x7fe400bf,0xffffffff,0x3a602fff,0x0cefffff,0x1f300000,
    0x7fd40000,0x0003ffff,0xfffffea8,0xb880afff,0xffffffff,0xffb3001e,
    0xfea8005f,0x7ffcc405,0x09ffffff,0x7ffecc40,0x7ff540af,0x1cffffff,
    0x3ff66200,0x50001eff,0x005fffff,0x3ffffffe,0x07ffffff,0x3ffffff2,
    0x0000efff,0x0003fc80,0x7ffffec0,0xff300003,0x00dfffff,0xfffffff7,
    0x3ff98009,0x3fffae00,0xffff5005,0xb0005fff,0xffe803ff,0x000fffff,
    0x000fffe0,0xbfffffb0,0xfffff500,0xffffffff,0x3ffff209,0xefffffff,
    0x3e200000,0x6400007f,0x003fffff,0x3ffff600,0xffd007ff,0x800bffff,
    0xfc8807f8,0x005fffff,0xfffffff1,0x0df70003,0xffffff50,0x7f40003f,
    0xffc80005,0xfc804fff,0xffffffff,0xfa80ffff,0xffffffff,0x0006ffff,
    0x00bffee0,0xffffc800,0x2600003f,0x1fffffff,0xfffffb80,0x3e6000ff,
    0x3fff2203,0x005fffff,0xfffffff1,0x0bf50001,0x3fffffa0,0x3fe0005f,
    0xff980000,0xff801fff,0xeeeeeeee,0xfff04eee,0xfffffdbf,0x0003ffff,
    0x01bfffe0,0xffffc800,0x7400003f,0x04ffffff,0xffffff88,0x03f2003f,
    0x7ffeefec,0x2005ffff,0x0fffffff,0x004f9800,0xfffffff7,0x09f50001,
    0x6ff54000,0x004fa802,0x441dfb80,0xfffffffd,0xffa80003,0x00001fff,
    0x07fffff9,0xfffa8000,0xf9007fff,0x00dfffff,0xf98102fc,0x005fffff,
    0x3ffffffe,0x04f98000,0x3fffffe0,0x0fd8003f,0x00080000,0x200007f6,
    0x7ffe405e,0x80006fff,0x05fffffe,0xffff9000,0xf000007f,0x07ffffff,
    0xffffff30,0x05f5003f,0xfffffe80,0x3fffe005,0x98000fff,0x3fee004f,
    0x4007ffff,0x000004f8,0x0077c400,0x1003a200,0x0dfffffd,0xffff9800,
    0x80000fff,0x83fffffc,0x3f200008,0x006fffff,0x9ffffffd,0xb000fb00,
    0x00bfffff,0x7ffffffc,0x04f98000,0x3ffffe20,0x3f2002ff,0x00000000,
    0x677fffd4,0x8000009b,0x05fffffc,0x7fffec00,0x80004fff,0x13fffffc,
    0x017dffd9,0xfffff980,0xffd801ff,0x4407ffff,0xffd8004f,0x3e005fff,
    0x00ffffff,0x4004f980,0x6ffffffd,0x000bf100,0x33333320,0x3ff602cc,
    0xcfffffff,0x3ee00000,0x0004ffff,0x3ffffbe6,0x40000fff,0x9bfffffc,
    0xffffffff,0x7fff4004,0x7c404fff,0x2fffffff,0x20007ee0,0x05fffffd,
    0x3fffffe0,0x4f98000f,0x7fffcc00,0xfb801fff,0xfb500001,0x209fffff,
    0xfffffff8,0x003fffff,0xfffff500,0x4fe40003,0x3fffffff,0x7ffe4000,
    0xdabdfeff,0x002fffff,0x3fffffea,0x7ff7dc07,0x3a05ffff,0xfffb0006,
    0x7fc00bff,0x000fffff,0xe8004f98,0x04ffffff,0x800006e8,0x04fffffe,
    0xfffffff7,0x5dffffff,0xfffb8000,0x3e20006f,0xffffff95,0xffc8000d,
    0xfc83ffff,0x2001ffff,0x3fffffff,0x3ffe7be0,0xf980ffff,0xfffb0003,
    0x7fc00bff,0x000fffff,0xa8004f98,0x0fffffff,0x0000bea0,0x3fffff60,
    0xfffffd04,0xffffffff,0x640003ff,0x0003ffff,0x7ffc47ee,0x0002ffff,
    0x13fffff2,0x7fffffcc,0xffff9000,0x4bea0dff,0x3ffffffe,0xb0000fc8,
    0x00bfffff,0x7ffffffc,0x04f98000,0xffffff00,0x0037407f,0xffffc800,
    0xffff884f,0xffffffff,0x000effff,0x00dfffd0,0x7fec6f80,0x0006ffff,
    0x0ffffff2,0x1fffffe8,0xfffff300,0x5cfb03ff,0x86ffffff,0x3f60005f,
    0x2005ffff,0x0fffffff,0x004f9800,0xffffff70,0x000fe60d,0x7fffe400,
    0xa999884f,0xfffffdcb,0x005fffff,0x01ffff98,0xf30bea00,0x03ffffff,
    0x3ffff200,0x3fff203f,0x3fa003ff,0x444fffff,0x3fffe24f,0x0bea1fff,
    0xffffd800,0x3ffe005f,0x8000ffff,0xf10004f9,0x05ffffff,0x000001fb,
    0x13fffff2,0x3ffae200,0x00ffffff,0x027ffe40,0x7f41ba00,0x005fffff,
    0x7fffff90,0x7ffffdc0,0x3ffea005,0x3f20ffff,0x7ffffec0,0x0001f64f,
    0x0bfffffb,0x7fffffc0,0x4f98000f,0x3fff6000,0x27c45fff,0xff900000,
    0x80009fff,0xffffffea,0x3ffe2002,0x1fcc0005,0xffffffb8,0xffc8000f,
    0x3ee03fff,0x4006ffff,0x3fffffff,0x3ffea17e,0x4f88ffff,0x7ffec000,
    0x3fe005ff,0x000fffff,0x20004f98,0xfffffff9,0x00003f21,0xfffffc80,
    0xfe880004,0x2004ffff,0x0000effc,0xfff007ec,0x0009ffff,0x07fffff9,
    0x7fffffd4,0x3fff2000,0x05f56fff,0x3ffffffe,0x40001fba,0x05fffffd,
    0x3fffffe0,0x4f98000f,0x7fff4000,0x0bf14fff,0xffc80000,0x00004fff,
    0x0bffffd1,0x003ffe60,0xc809f300,0x0fffffff,0x7fffe400,0x3ffea03f,
    0x26000fff,0x9fffffff,0x3fff206e,0x006eefff,0xfffffd80,0x3fffe005,
    0xa8000fff,0x7d40003f,0xb8ffffff,0x4000001f,0x04fffffc,0x3ffe2000,
    0xffe8805f,0xafc80001,0xa9999999,0x3fffffff,0x7fffe400,0x3ffea03f,
    0xfe8007ff,0x3fefffff,0x3ffffe60,0x80003fff,0x05fffffd,0x3fffffe0,
    0x3fa8000f,0xffff8000,0x005ebfff,0xfffc8000,0x400004ff,0xd804fffd,
    0x880002ff,0xffffffff,0xffffffff,0x7e4006ff,0x2a03ffff,0x006fffff,
    0xffffffa8,0x7ff400ff,0x000fffff,0xfffffd80,0x3fffe005,0xa8000fff,
    0xfb80002f,0x2fffffff,0xfc800000,0x0004ffff,0x017ffd40,0x2a00bfee,
    0x555fdc00,0xbaaaaaaa,0x2fffffff,0x3ffff200,0x3ffee03f,0xff0005ff,
    0x009fffff,0xbffffff7,0x3ff60000,0x3a005fff,0x01ffffff,0x0001fc80,
    0xffffff88,0x0000006f,0x09fffff9,0x7ff88000,0x4017fcc0,0x02fc00f8,
    0x3fffff60,0x3ff2005f,0x3ee03fff,0x0002ffff,0x3ffffff9,0xfffff100,
    0x3600005f,0x005fffff,0x3ffffff6,0x00fe8001,0xffff9000,0x000007ff,
    0x3fffff20,0x30006204,0x7f4409ff,0x407d8802,0x7d4002fb,0x01ffffff,
    0x7fffff90,0x3ffffec0,0xffff3000,0x7fec00df,0x200007ff,0x05fffffd,
    0x3ffffea0,0x37cc003f,0xfff30000,0x00000fff,0x7ffffe40,0x19fff904,
    0x401df900,0xeeeeeffd,0x05ffeeee,0xfe8003fc,0x005fffff,0x09fffff9,
    0x01fffff4,0x3ffffa00,0x3ffea002,0x3600004f,0x005fffff,0x3fffffe2,
    0x0bfe2006,0xfffd0000,0x0000007f,0x27ffffe4,0x7fffffc4,0x807fe202,
    0xfffffffc,0x4fffffff,0x40017ee0,0xfffffffb,0xffffc800,0xffff306f,
    0xff50000d,0xfff000ff,0x6c00003f,0x005fffff,0x7fffffdc,0x00bfd005,
    0xffff5000,0x40000001,0x84fffffc,0xfffffff8,0x017ec41d,0xfffffff5,
    0xffffffff,0x00ffe205,0x7ffffc40,0xffc805ff,0xfd81ffff,0x00000fff,
    0x90007fff,0x80000dff,0x06fffffe,0xfffffd80,0xfea881cf,0xf000000d,
    0x000009ff,0xfffffd80,0xfffff705,0xbfb9dfff,0x7fffcc01,0xffffffff,
    0xfb01ffff,0x7f4000bf,0x02ffffff,0x7fdfffe4,0xfffb88ae,0x3200000e,
    0xf88000ff,0x2200003f,0x0fffffff,0xffffb800,0xfecdffff,0x000005ff,
    0x0000ffdc,0xffff5000,0x3ae05fff,0xffffffff,0x7ffc402d,0xffffffff,
    0xa87fffff,0x002ffffe,0x7ffffd44,0x900affff,0x3ff621bf,0x00bfffff,
    0x02fcc000,0x0001fd00,0x3ffffa60,0x8001dfff,0xffffffd9,0x001dffff,
    0x05f88000,0x3fe00000,0xffffffff,0x2f2ea607,0xffb000aa,0xffffffff,
    0x8dffffff,0xfffffffc,0x3fa601ef,0xffffffff,0x2a80ffff,0x03597510,
    0x01b80000,0x0000e600,0xffffffd7,0xdfffffff,0xcba88001,0x000aaccc,
    0x00dc0000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xeb800000,0xeeeeeeee,0x31eeeeee,
    0xdddddddd,0x3a6007dd,0xeeeeeeee,0x77777542,0xeeeeeeee,0xdd11eeee,
    0xdddddddd,0xdddddddd,0xb000157b,0xdddddddd,0x99dddddd,0xee880055,
    0xeeeeeeee,0xeeeeeeee,0x441eeeee,0xeeeeeeee,0x0001eeee,0x7777775c,
    0xd14eeeee,0xdddddddd,0x09dddddd,0x20002000,0xffffffa8,0xa880afff,
    0xfffffffe,0x3f66002f,0xfc80bfff,0xffffffff,0x7fffffff,0xfffff988,
    0xfeeeefff,0x1dffffff,0x7fecc400,0xfeefffff,0x0bffffff,0xfffff880,
    0xeeeeeeef,0xfffffffe,0x3fa6205f,0x5fffffff,0x7fff4000,0x01cfffff,
    0xfffffd31,0x00015fff,0x00bbfaa0,0x3ffffea0,0xfe8802ff,0x0fffffff,
    0x00ffe400,0xfffffffd,0xffffffff,0x7ffd40bf,0xfb307fff,0x009fffff,
    0x3fffffe0,0x3fff660f,0x7cc02fff,0x4401dfff,0xffffffff,0xffff8800,
    0x000fffff,0xffffff50,0x3e600dff,0x03ffffff,0x3ffea000,0x7c4002ff,
    0x00ffffff,0xffffff10,0x4c001dff,0x3ffe206f,0xffffffff,0x02ffffff,
    0x3fffffe2,0x7fffdc07,0xfd8004ff,0xc80fffff,0x01ffffff,0x4007ffea,
    0xfffffffd,0x3ffbe003,0x004fffff,0xffffbfb0,0x7fc009ff,0x001fffff,
    0x3ffff600,0x7fc4005f,0x000fffff,0x3ffffffe,0x3e2005ff,0x3fffea05,
    0xffffffff,0x400fffff,0x07ffffff,0xffffffe8,0x7ffec001,0xffd00fff,
    0x2e01ffff,0xff5001ff,0x00dfffff,0xffffcdf8,0xf88007ff,0xffffffcc,
    0x3fffe004,0x00001fff,0x1ffffffe,0xfffff100,0x7fc001ff,0xffffffff,
    0xc813e003,0xffffffff,0xffffffff,0xfffff805,0xfffa807f,0x6c005fff,
    0x00ffffff,0x9ffffff7,0x44007f20,0xffffffff,0x7c6f4001,0x02ffffff,
    0x7fe4fe40,0x2004ffff,0x1fffffff,0x3ff60000,0x44005fff,0x0fffffff,
    0x3ff73e00,0x01ffffff,0x77ec09f0,0xfff8009c,0xfffff802,0xfff8807f,
    0x6c007fff,0x00ffffff,0xdffffff5,0xfc801b20,0x04ffffff,0xfffb5e80,
    0xf800dfff,0xffffff96,0x7fffc009,0x00001fff,0x07ffffe6,0xfffff100,
    0x67c001ff,0xffffffe8,0x04f800ff,0xfa8003be,0xfff800ff,0xff007fff,
    0x003fffff,0x7fffffec,0xfffff300,0x007b01ff,0x3fffffe6,0x2bd0006f,
    0xfffffff9,0x325f5001,0x04ffffff,0x3fffffe0,0x4c00001f,0x88001dfd,
    0x0fffffff,0x7fc53e00,0x06ffffff,0x01f304f8,0x005ffd80,0x0fffffff,
    0x3fffffe0,0x3ff6001f,0xf100ffff,0x01ffffff,0x3ffa0019,0x002fffff,
    0x7fff4bd0,0xfd005fff,0x7fffffe4,0x3fffe004,0x00001fff,0xff880000,
    0x000fffff,0xffffa93e,0x7c04ffff,0xf0003104,0x3fe005ff,0x8807ffff,
    0x0fffffff,0x3ffff600,0xfff300ff,0x8000ffff,0xfffffffb,0xa97a0005,
    0x0fffffff,0xff927cc0,0x4009ffff,0x1fffffff,0x00000000,0xffffff88,
    0x713e000f,0xffffffff,0x00027c07,0x001fff50,0x1ffffffe,0x3ffffea0,
    0x7fec007f,0xf500ffff,0x00dfffff,0x7ffffc40,0x20000fff,0x7ffffc5e,
    0x07e403ff,0x9ffffff9,0x7ffffc00,0x000001ff,0xfff88000,0x2000ffff,
    0xffffd84f,0x9f01ffff,0x7fec0000,0x3fffe005,0xffc807ff,0x4004ffff,
    0x0ffffffd,0xffffff90,0x7fec0005,0x003fffff,0x3fee2f40,0x2207ffff,
    0x7fffe45f,0x3fe004ff,0x001fffff,0x88000000,0x0fffffff,0x7f413e00,
    0x0fffffff,0x200004f8,0x3e003fff,0x407fffff,0x6ffffff9,0xffffd800,
    0xfff980ff,0x20005fff,0xfffffffa,0x45e80006,0xfffffff8,0xfc83f702,
    0x004fffff,0x3ffffffe,0x00000001,0xfffff880,0x13e000ff,0x7fffffc4,
    0x004f86ff,0x01fff500,0x7fffffc0,0x3fffe607,0xd8001fff,0x40ffffff,
    0xefffffe8,0xffd10000,0x003fffff,0xffb0bd00,0x3a0dffff,0xfffffc86,
    0x3ffe004f,0x0001ffff,0xf8800000,0x00ffffff,0xff9813e0,0x44ffffff,
    0xf900004f,0xfff800bf,0xa999ffff,0xffffffdb,0xffb0000b,0x9535ffff,
    0x09ffffff,0xffffc800,0x00004fff,0xffff30bd,0x3f983fff,0xffffffc8,
    0x3fffe004,0x00001fff,0xff880000,0x000fffff,0xfff7013e,0x7c5fffff,
    0xfff00004,0xffff8007,0xffffffff,0x003fffff,0xfffffd80,0xffffffff,
    0x4c0000be,0xffffffff,0x0bd00000,0x3ffffffa,0x7e407ec4,0x004fffff,
    0x3ffffffe,0x5c400001,0xff10003d,0x001fffff,0x7fe4027c,0xf1ffffff,
    0xff500009,0xfff8001f,0xfeaaffff,0x00ffffff,0xffffd800,0x1aaaabff,
    0x7ff40000,0x002fffff,0x7d417a00,0x10ffffff,0x3fff209f,0x3e004fff,
    0x01ffffff,0x3ffee000,0x7c4000ef,0x00ffffff,0x7f4013e0,0x8effffff,
    0xfc80004f,0xfff8006f,0x3fe67fff,0x006fffff,0xfffffd80,0x4000000f,
    0xfffffffb,0x2f400005,0xfffffff0,0x7e407ee7,0x004fffff,0x3ffffffe,
    0xff100001,0x800dffff,0xfffffff8,0x4013e000,0xfffffff8,0x80004fdf,
    0xf8003fff,0x5c7fffff,0x4fffffff,0x7ffec000,0x00000fff,0x3ffffe20,
    0x00000fff,0xfff702f4,0x817adfff,0x4ffffffc,0x3ffffe00,0x700001ff,
    0x5fffffff,0x7fffc400,0x3e000fff,0x3ffe6004,0x04ffffff,0x07ffcc00,
    0x7ffffc00,0xffffe87f,0x20001fff,0x0ffffffd,0x3f600000,0x03ffffff,
    0x17a01b80,0xffffff88,0x3f202fcf,0x004fffff,0x3ffffffe,0x54660001,
    0x3fffffff,0x3fffe200,0x27c007ff,0x3fffea00,0x0004ffff,0x80037fe4,
    0x87ffffff,0xfffffff8,0xffb0000e,0x0001ffff,0x3fffea00,0xf0006fff,
    0x3602f401,0x6fffffff,0x7ffffe40,0x3ffe004f,0x0001ffff,0xfffff8b6,
    0x7df914ff,0xffffff10,0x004f800f,0xffffffc8,0x7fc0004f,0xfff0003f,
    0x3ee0ffff,0x05ffffff,0xfffffb00,0x2000001f,0xfffffffe,0x40798001,
    0x7ffcc05e,0x6403ffff,0x04ffffff,0x3fffffe0,0x3f10001f,0x7ff7ff54,
    0x85ffffd4,0x7ffffff8,0x80027c00,0x4ffffffd,0x3ffe6000,0xffff0000,
    0x7fec0fff,0x002fffff,0xffffffd8,0xfb800000,0x04ffffff,0x5e80f900,
    0xfffffe80,0x7ffe400f,0x3e004fff,0x01ffffff,0x1103f700,0x3ffe6bfe,
    0x7ffc45ff,0x7c006fff,0xffd10004,0x40009fff,0x20006ffc,0x07ffffff,
    0x3fffffe2,0x7ec000ff,0x000fffff,0x7fffc400,0x8000ffff,0x02f406f9,
    0x2fffffd4,0x7ffffe40,0x3ffe004f,0x0001ffff,0x7fcc01fd,0x6fffffa9,
    0x7fffffc4,0x0027c004,0x9fffff30,0x1fff4000,0xfffff000,0xfffa80ff,
    0x4006ffff,0x0ffffffd,0x7fec0000,0x002fffff,0x5e80bfd0,0x3fffff00,
    0xfffff900,0x7ffc009f,0x8001ffff,0xafe407fa,0x42fffff9,0x2ffffff9,
    0x0002fc00,0x013fffea,0x007ffcc0,0xffffff00,0xffff900f,0x6c007fff,
    0x01ffffff,0x3ffea000,0x8005ffff,0x7404ffd8,0xdfff7005,0x3ffff200,
    0x3fe004ff,0x001fffff,0x3e037fcc,0x1bfffa1f,0x3bffffe6,0x01be2000,
    0x13fff200,0x037fe400,0xfffff100,0x3ffa00ff,0x001fffff,0x3ffffffb,
    0x3fe20000,0x01ffffff,0x1ffff4c0,0x7c401be0,0xff9002ff,0x4009ffff,
    0x2fffffff,0x17ffea00,0x7fcc4fb8,0xffffd84f,0x7fdc002f,0xffd80001,
    0x7ffd0004,0x7ffcc000,0x9801ffff,0xffffffff,0xfffff800,0x900002ff,
    0x9fffffff,0x7ffecc00,0x3fee02ff,0x00ff9002,0x7ffffff4,0xffff3006,
    0x9801bfff,0x705ffffb,0x3ffea07f,0xffffb99c,0x7fdc002f,0x20000bff,
    0x98004fe8,0x30001fff,0xfffffffd,0xfff7003d,0x205dffff,0xffffffd8,
    0x4c0002ff,0xffffffff,0xedcccccc,0xffffffee,0xfff702ff,0x4f98015f,
    0xffffc880,0x200cffff,0xffffffe9,0xcccceeff,0xfffffffe,0x201774c4,
    0xffffffc8,0xf3000cff,0xffffffff,0x3e20003d,0x6ffc8004,0x7fff4400,
    0xffffffff,0x3f600eff,0x7fffffff,0x3ffffff6,0xffffffff,0xfffe8001,
    0xffffffff,0xffffffff,0x1fffffff,0x3fffffa2,0x3a00ffff,0x3fffb200,
    0xffffffff,0xfffd14ef,0xffffffff,0xffffffff,0x87ffffff,0x5d44002c,
    0x0000abcc,0x53000000,0x05997000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xddb00000,0xdddddddd,
    0x7540bddd,0xeeeeeeee,0x777740ee,0x0003eeee,0xeeeee801,0xeeeeeeee,
    0xdddd33ee,0xdddddddd,0x3baa3ddd,0x005eeeee,0x777776c0,0xeeeeeeee,
    0xeeeeeeee,0xddd10eee,0xdddddddd,0xdddddddd,0x50bddddd,0xdddddddd,
    0xbddddddd,0xd5000599,0x0bdddddd,0x80020000,0xffffffe9,0xd1001bff,
    0x139fffff,0xfffff710,0x0b70009f,0x3ffffa60,0x100bffff,0xfffffff5,
    0xfd5015ff,0x000fffff,0x3ffffa60,0xeeeeefff,0xfffffffe,0x7ff5441f,
    0xeeefffff,0xfffffeee,0x3ea207ff,0xefffffff,0xfffffffe,0x3faa003d,
    0x0006ffff,0x0177ed40,0xffffff88,0xffa8005f,0xffb001ef,0x98009fff,
    0x3fe2005f,0x004fffff,0xfffffff5,0xffffa805,0x2200007f,0x2fffffff,
    0x3fff6a20,0xffff101f,0x5c403fff,0xb807ffff,0x87ffffff,0xefffffc9,
    0xffff7001,0x540000df,0x002fffff,0x7ffffffd,0x1bff9000,0x7fffe400,
    0x2ff4004f,0x3ffffa00,0xff1002ff,0x801fffff,0x07fffff9,0x7fff4000,
    0xd3002fff,0x7ffc03ff,0x8801ffff,0xf9807ffd,0x207fffff,0x4ffffffa,
    0xfffffa80,0x3f600006,0xd005ffff,0x07ffffff,0x004ffa80,0x4fffffc8,
    0x017ff200,0xffffffd0,0x3ffe2005,0x4c00ffff,0x007fffff,0x7ffff400,
    0x3e2002ff,0x3fffa01f,0x32001fff,0xfff9807f,0x7cc07fff,0x404fffff,
    0x06fffff9,0x3fffe000,0xfd800fff,0x002fffff,0x4000bfee,0x04fffffc,
    0x00bfff50,0xffffffe8,0xffff1002,0xf9801fff,0x0007ffff,0x7ffffec0,
    0x0fdc002f,0xffffffd0,0x03fc4003,0x7fffffc4,0xffffb807,0x3fe603ff,
    0x00006fff,0x17fffff6,0x7ffffec0,0x3df9002f,0x7ffe4000,0xffa804ff,
    0x7f4005ff,0x002fffff,0xfffffff1,0xffff9801,0x6c00007f,0x02ffffff,
    0xfd00fc40,0x003fffff,0xff8807c8,0xd007ffff,0x03ffffff,0x1bffffe6,
    0xfff98000,0xffb002ff,0x8805ffff,0x40000dfe,0x04fffffc,0x2fffffdc,
    0x3ffffa00,0xff1002ff,0x801fffff,0x07fffff9,0x7ffec000,0x06202fff,
    0xfffe807e,0x07701fff,0xfff100f5,0x3200ffff,0x06ffffff,0x0dfffff3,
    0xdfd98000,0x3fff6002,0x3a602fff,0xf900004f,0x6409ffff,0xceffffff,
    0x3fa02ccc,0x002fffff,0xfffffff1,0xffff9801,0x0001107f,0x5ffffffb,
    0x005c1dc0,0x3ffffffd,0x40340f20,0x7ffffff8,0xfffff300,0xfff303ff,
    0x00000dff,0x7ffec000,0xff502fff,0x7e400005,0xfb04ffff,0xffffffff,
    0x7f409fff,0x002fffff,0xfffffff1,0xffff9801,0x3ffb227f,0x3ff6002d,
    0x3602ffff,0xfffe8003,0x07d01fff,0x7fffc400,0x3fa007ff,0x984fffff,
    0x986fffff,0xcccccccc,0xfd800003,0xc82fffff,0x400001ef,0x84fffffc,
    0xffffdcc8,0x02ccccef,0x3ffffffa,0xffff1002,0xf9801fff,0xff37ffff,
    0x00bfffff,0x3ffffff6,0x0007f102,0x3ffffffd,0x40007f10,0x7ffffff8,
    0x3ffff200,0x7fcc0fff,0xeb886fff,0x01beffff,0xfffd8000,0x3f622fff,
    0xc800000f,0x404fffff,0x05fffffb,0x7fffff40,0xfff1002f,0x9801ffff,
    0xfaffffff,0xffffffef,0xffffd802,0x07f702ff,0xfffffd00,0x007f903f,
    0x7ffffc40,0x3ff2007f,0x4c1fffff,0x206fffff,0x0003fff9,0x7fffec00,
    0xfffd32ff,0xf9000009,0xb809ffff,0x005fffff,0x7ffffff4,0xffff1002,
    0xf9801fff,0x0cffffff,0x1ffffff3,0xfffffd80,0x03ffa82f,0xfffffe80,
    0x01ffd41f,0xfffff100,0x7fdc00ff,0x4c2fffff,0x206fffff,0x00002ffa,
    0xfffffd80,0xfffffaaf,0x6400002f,0x404fffff,0x05fffffb,0x7fffff40,
    0xaaaaaacf,0xffffbaaa,0x7cc00fff,0xd85fffff,0x401fffff,0x2ffffffd,
    0x07fff931,0xfffffd00,0xfff9313f,0x7fc40007,0x2007ffff,0xfffffffa,
    0x7ffffcc3,0x005fd106,0x3ff60000,0xfffeffff,0x001fffff,0x3ffff200,
    0x7ffdc04f,0x7f4005ff,0xffffffff,0xffffffff,0x0fffffff,0x7ffffcc0,
    0xffffc80f,0x7ffec03f,0xffffefff,0xe8003fff,0xffffffff,0x003fffff,
    0x3ffffe20,0x3fea007f,0x4c4fffff,0xb06fffff,0x0000003f,0x7fffffec,
    0xffffffff,0x900000ef,0x809fffff,0x05fffffb,0x7fffff40,0xccccccdf,
    0xffffcccc,0x7cc00fff,0xf907ffff,0xd807ffff,0xeeffffff,0x03ffffff,
    0xfffffe80,0xfffffeef,0x3fe20003,0x2007ffff,0xfffffff9,0x7ffffcc4,
    0x0001fd86,0xfd8005b5,0xe8dfffff,0x5fffffff,0xfff90000,0xffb809ff,
    0x74005fff,0x02ffffff,0xffffff10,0xfff9801f,0xfff907ff,0xffd807ff,
    0x3222ffff,0xe8003fff,0x21ffffff,0x0003fffa,0x3fffffe2,0x3ffea007,
    0x7cc3ffff,0x7ec6ffff,0xfff88003,0xffb001ff,0x3e25ffff,0x3fffffff,
    0xfffc8000,0x7fdc04ff,0x74005fff,0x02ffffff,0xffffff10,0xfff9801f,
    0xfff907ff,0xffd809ff,0xf982ffff,0xffe8003f,0x7cc1ffff,0x3e20003f,
    0x007fffff,0x3fffffee,0x7fffcc1f,0x03fff66f,0xfffff900,0x3fff6009,
    0x3fea2fff,0x02ffffff,0x7fffe400,0x7ffdc04f,0x7f4005ff,0x002fffff,
    0xfffffff1,0xffff9801,0xffff907f,0xfffd809f,0x7f702fff,0xffffd000,
    0x07f703ff,0x7fffc400,0x3f2007ff,0x40ffffff,0xb6fffff9,0x800bffff,
    0x0fffffff,0xfffffd80,0x7fffe42f,0x0000ffff,0x13fffff2,0xbfffff70,
    0xffffe800,0xff1002ff,0x801fffff,0x07fffff9,0x09fffff9,0xffffffd8,
    0x2000fe02,0x1ffffffe,0x20003f88,0x7ffffff8,0x3ffff200,0xfff987ff,
    0xffffdeff,0x3fa002ff,0xb007ffff,0x05ffffff,0xfffffffb,0x3f20001d,
    0x5c04ffff,0x005fffff,0x7ffffff4,0xffff1002,0xf9801fff,0xf907ffff,
    0xd809ffff,0x02ffffff,0x3fa000f6,0xd01fffff,0x3e203807,0x007fffff,
    0x3ffffff6,0xfffff985,0xfffffeff,0xfff7000f,0x3f6007ff,0x882fffff,
    0xfffffffe,0xfff90005,0xffb809ff,0x74005fff,0x02ffffff,0xffffff10,
    0xfff9801f,0xfff907ff,0xffd809ff,0x2e02ffff,0xfffe8003,0x07901fff,
    0xfff103c4,0x7400ffff,0x82ffffff,0x9ffffff9,0x5ffffff8,0xbfffb100,
    0x3fff6001,0xff302fff,0x07ffffff,0xfffff900,0xffffb809,0x7ff4005f,
    0x1002ffff,0x1fffffff,0xfffff980,0xfffff907,0xffffd809,0x00a602ff,
    0x3fffffa0,0x6403301f,0x3fffe206,0xff5007ff,0x260bffff,0x2e6fffff,
    0x02ffffff,0xb0002e20,0x05ffffff,0x7fffffd4,0x7e4002ff,0x5c04ffff,
    0x005fffff,0x7ffffff4,0xffff1002,0xf9801fff,0xf907ffff,0xd809ffff,
    0x02ffffff,0xfffe8000,0xf0001fff,0x7fffc409,0xffd007ff,0x2603ffff,
    0x6c6fffff,0x00ffffff,0x7fec0000,0x6402ffff,0xffffffff,0x3fff2000,
    0x7fd404ff,0x00445fff,0x5ffffffd,0x3fffe200,0x7cc00fff,0xf907ffff,
    0xd809ffff,0x02ffffff,0xfffe8000,0xc8001fff,0x3ffe203f,0xf9807fff,
    0x204fffff,0x46fffff9,0x6ffffff8,0x33333320,0x84cccccc,0x2ffffffd,
    0xfffffe80,0xf9000eff,0x9809ffff,0x6c6fffff,0x3ffffa01,0xff1002ff,
    0x801fffff,0x07fffff9,0x09fffff9,0xffffffd8,0xfe800002,0x002fffff,
    0xf3017fe4,0x00ffffff,0x1bfffffb,0x7ffffcc0,0xfffffa86,0xffffd03f,
    0xffffffff,0xffffffd0,0xffff3007,0x001dffff,0x09fffff9,0x9fffffb0,
    0xffe807b5,0x1002ffff,0x1fffffff,0xfffff980,0xfffff907,0xffffe809,
    0x800003ff,0x2fffffff,0x3fff9100,0x7ffffcc0,0x7ffe407f,0xffa803ff,
    0xffb07fff,0xfd03ffff,0xffffffff,0xffff0fff,0x36009fff,0xffffffff,
    0x7ffec00e,0xff8805ff,0x405fffff,0xfffffff8,0xffff5004,0xfa803fff,
    0xd80fffff,0x405fffff,0x4fffffff,0x7fc40000,0x406fffff,0x0fffffb8,
    0x3ffffea0,0xffe982ff,0xf5001fff,0x260fffff,0x0effffff,0x7ffffff4,
    0x227fffff,0xfffffffd,0x3fa200bf,0xffffffff,0xfffa80bf,0x8802ffff,
    0x00bdffeb,0x3fffff62,0x7cc02fff,0xefffffff,0xffffd301,0x7fd419ff,
    0x882fffff,0xfffffffd,0xb100002f,0xffffffff,0xffdb99bf,0x40ffffff,
    0xfffffff9,0xfffeceff,0x3000adff,0x9ffffffd,0xfffffd01,0x7fff43bf,
    0xffffffff,0xffffffde,0xffffffff,0x7fffff40,0xffffffff,0x3ffffe4f,
    0x00ffffff,0xffe80110,0xffffffff,0xfd33efff,0xffffffff,0x2a3dffff,
    0xffffffff,0xfffff97f,0x3f6bffff,0xffffffff,0x003effff,0x7fffff44,
    0xffffffff,0xffffffff,0x7f546fff,0xffffffff,0xceffffff,0xfffb8002,
    0x0fffffff,0xfffffff1,0x00007fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0xeeeeeeee,
    0xeeeeeeee,0x9801bcde,0xeeeeeeee,0xeeeeeeee,0xeeeeeeee,0xdddd72ee,
    0xdddddddd,0xdddd009d,0x741ddddd,0xeeeeeeee,0xb84eeeee,0xeeeeeeee,
    0x3bba22ee,0xeeeeeeee,0x8002eeee,0x00002ffb,0x20000088,0x02200009,
    0x00620004,0xffd31000,0xfddfffff,0xdfffffff,0x7fffd403,0xffeeefff,
    0xfeefffff,0x23ffffff,0xffffffc9,0x4c001fff,0x40bffffc,0xffffffb8,
    0x4402ffff,0x1dfffffa,0x7ffff4c0,0x000bffff,0x000bfee0,0x77ff6d40,
    0x6e54001d,0x800dffff,0xacefffd8,0x32e204d8,0x03effffe,0x3ffe6000,
    0x7d447fff,0x02ffffff,0x903bfff5,0x09ffffff,0x907fffb3,0xdfffffff,
    0x0fff4000,0x3ffffe60,0x2e006fff,0x22003fff,0x4fffffff,0x2ffb8000,
    0xeffc8000,0x002fffba,0xffb7fff9,0x7fcc07ff,0xffffebef,0x79dff504,
    0x00dffffd,0x7ffffc00,0xfffd107f,0xff509fff,0x7fffe409,0x3ff204ff,
    0xfffffd03,0x3e0003ff,0xfff7003f,0x001fffff,0x2000ffee,0x2fffffff,
    0x2ffb8000,0x3ffa2000,0x01fffdc6,0xff83bff6,0xff883fff,0x27fecc5f,
    0x360fff62,0x0005ffff,0xfffffff0,0x7ffffc40,0x037d40ff,0x3ffffff2,
    0x981fec04,0x5fffffff,0x005fa800,0x7ffffff4,0x0bfd005f,0x3ffffa00,
    0xb80002ff,0x3a0002ff,0xffe82fff,0x5fffd00f,0x87ffffc8,0xfd02fffc,
    0x82fffc8b,0x03fffff9,0xffffe800,0x7ffec07f,0x0fd43fff,0x3fffff20,
    0x01fcc04f,0xfffffffb,0x00fe8003,0x7ffffc40,0x7dc02fff,0x3ffa0006,
    0x0001ffff,0x0002ffb8,0x360ffff7,0xffb85fff,0xffffa87f,0x2ffffc1f,
    0x7ffc5f88,0xffff886f,0xfe80006f,0x5c07ffff,0x45ffffff,0xfffc807a,
    0x3e804fff,0x3ffffe20,0x3ee005ff,0xfff70003,0x201fffff,0x20000ef9,
    0x1ffffffe,0x2ffb8000,0xffff8800,0x3ffff705,0x986fffe8,0x221fffff,
    0x905fffff,0x7ffffd4b,0x7ffffc42,0xffe80007,0x7cc07fff,0x20ffffff,
    0xfffc804a,0x3b804fff,0x7ffffe40,0x6f8801ff,0x7ffec000,0xfd05ffff,
    0xffe80003,0x0001ffff,0x8002ffb8,0x705ffffb,0x7dc5ffff,0xffb05fff,
    0xffff88df,0x32440eff,0x885fffff,0x007fffff,0xfffffe80,0x7fffdc07,
    0x400447ff,0x4ffffffc,0x7c400880,0x06ffffff,0x40002fc8,0xfffffff8,
    0x0017ec2f,0x7fffff40,0xfb80001f,0xffd8002f,0xfff704ff,0x7fffec9f,
    0x202b2605,0xffffffff,0x37ffec03,0x3fffffc4,0x7fff4000,0x7fec07ff,
    0x0005ffff,0x9ffffff9,0x7fdc0000,0x202fffff,0x700005f9,0xffffffff,
    0x0000fee1,0x7ffffff4,0xffb80001,0xfffe8002,0xdcccccef,0x3fa5ffff,
    0x20006fff,0xfffffffc,0x40dc405f,0x7fffffea,0xfffe8000,0x7ffc07ff,
    0x0001ffff,0x9ffffff9,0xffe80000,0x3a06ffff,0x3600000f,0xdfffffff,
    0x200005fa,0x1ffffffe,0x2aaaaaa0,0xcffdaaaa,0xaaaaaaaa,0x3ffffe2a,
    0xffffffff,0x3ffe6fff,0x220007ff,0xffffffff,0x3aa001ef,0x7fffffef,
    0xfffe8000,0x3ff607ff,0x0003ffff,0x3ffffff2,0x7d400004,0x83ffffff,
    0x400004fa,0xfffffff8,0x400006ff,0x1ffffffe,0xffffff10,0xffffffff,
    0xffffffff,0x3fffe2ff,0xff98005f,0x0000ffff,0x3fffffe6,0x4c00ffff,
    0xfff8cffe,0xe80007ff,0x887fffff,0x1efffffe,0x7ffe4000,0x00004fff,
    0xffffffe8,0x00037c47,0xfffffa80,0x00001fff,0x7ffffff4,0xfffff101,
    0xffffffff,0xffffffff,0x3ffe6fff,0xf98007ff,0x001fffff,0x7ffff4c0,
    0xb106ffff,0x3fe27fff,0x80007fff,0xbffffffe,0xfffffecc,0xf900002c,
    0x009fffff,0xffff3000,0x17e47fff,0xffb00000,0x00bfffff,0xffffe800,
    0x999101ff,0xd9999999,0x99999bff,0x3e299999,0x000fffff,0x3ffffff8,
    0xffd88000,0x41ffffff,0x222fffe9,0x007fffff,0xfffffe80,0xffffffff,
    0x00000bdf,0x9ffffff9,0x3f600000,0x98ffffff,0x4000005f,0xfffffff8,
    0x3a00003f,0x01ffffff,0x02ffb800,0xffffff80,0xfffe8001,0x200005ff,
    0xfffffffb,0x13fffea4,0x0ffffff1,0xffffd000,0xfb7555ff,0x05dfffff,
    0xffffc800,0x000004ff,0xfffffff3,0x00003fb9,0xfffff500,0x00001fff,
    0x3ffffffa,0xffb80001,0xfffe8002,0xfd8005ff,0x001fffff,0xfffd3058,
    0x3ffe2dff,0x7ffc42ff,0xe80007ff,0x307fffff,0xbfffffff,0x3ff20001,
    0x0004ffff,0x3ffff200,0x0004ffff,0x3fff6000,0x0005ffff,0xffffffd0,
    0xff700003,0xfff70005,0x5a805fff,0x3fffffee,0x81f40805,0x95ffffe8,
    0x883fffff,0x007fffff,0xfffffe80,0x3fffa207,0x90005fff,0x09ffffff,
    0x7fc40000,0x00ffffff,0xff300000,0x7fffffff,0xfffd0000,0x00003fff,
    0x10005ff7,0x1dffffff,0xffd07e60,0x6407ffff,0xff303745,0x3fffa7ff,
    0x7ffdc4ff,0x40000fff,0x07fffffe,0x7fffffc4,0xffc8004f,0x0004ffff,
    0x7fffe400,0x000006ff,0xfff5ff10,0x001fffff,0xfffffe80,0xfb80001f,
    0xff90002f,0xa83dffff,0xffffa85e,0xb30adfff,0x205fd81f,0xffd1fffe,
    0xff7bffff,0x21ffffff,0xfffd0000,0xffd00fff,0x000fffff,0x9ffffff9,
    0xfa800000,0x006fffff,0x23fd0000,0xfffffffc,0x7ff40005,0x0001ffff,
    0x0002ffb8,0xffffffd1,0x01dffdff,0x3ffffff6,0x82ffffff,0xff884ffd,
    0x3fffee5f,0xfe9effff,0x03edffff,0xfffffd00,0xffff900f,0xc8003fff,
    0x04ffffff,0x7fd40000,0x0006ffff,0x742fd800,0x3fffffff,0x3fffa000,
    0x80001fff,0x40002ffb,0xfffffffd,0x7e400eff,0xffffffff,0xdfffb02f,
    0x8dffb315,0xfffffff8,0x3ffffea4,0x3fa0003f,0xa807ffff,0x3fffffff,
    0x7fffe400,0x000004ff,0x7fffffd4,0x5c000006,0xffff984f,0x0000ffff,
    0x3ffffffd,0x5ff70000,0xfff90000,0x0019ffff,0x3fffffea,0x33f201be,
    0xdffffffd,0xdfffc980,0x3effec81,0x7fff4000,0xffa807ff,0x002fffff,
    0x7fffffe4,0x54000004,0x06ffffff,0x17ea0000,0xffffffc8,0xffd0006f,
    0x0003ffff,0x0005ff70,0x055e5440,0x0aca8800,0xbb983500,0x20011001,
    0xfd000008,0x900fffff,0x1fffffff,0xffffc800,0x000004ff,0x7fffffd4,
    0xf1000006,0xfffe801d,0x8003ffff,0x1ffffffe,0x2ffb8000,0x00000000,
    0x00000000,0x00000000,0x3ffffff4,0x7fffff40,0xffc8006f,0x0004ffff,
    0x7fffd400,0x800006ff,0xf9801fe8,0x1fffffff,0x7ffff400,0x000001ff,
    0x00000000,0x00000000,0x00000000,0x3ffffffc,0x3ffffe60,0xfc8002ff,
    0x004fffff,0x7ffd4000,0x00006fff,0x32003fe8,0x6fffffff,0x7ffff400,
    0x000002ff,0x00000000,0x00000000,0x00000000,0x7ffffffc,0xfffff301,
    0x320007ff,0x04ffffff,0x7fd40000,0x0006ffff,0x4003fec0,0xfffffffe,
    0x3fffe004,0x22202fff,0x88888888,0x88888888,0x00008888,0x00000000,
    0x00000000,0xffff1000,0xfa889fff,0x03ffffff,0x3ffffa00,0x000006ff,
    0x7fffffe4,0xe880000f,0xfc8007ff,0x2fffffff,0xfffff880,0xfff503ff,
    0xffffffff,0xffffffff,0x0000ffff,0x00000000,0x00000000,0xffffd300,
    0xfdbfffff,0x07ffffff,0x7ffdc400,0x00cfffff,0xfffa8000,0x00dfffff,
    0xffff9300,0x3a6001bf,0xffffffff,0xffb100bf,0x05ffffff,0xfffffff5,
    0xffffffff,0xffffffff,0x00000000,0x00000000,0x7f400000,0xffffffff,
    0xdeffffff,0x320002bc,0xfffffffe,0x05efffff,0x3ffba200,0xffffffff,
    0x9003efff,0xffffffff,0x3fe609ff,0xffffffff,0xfd11ffff,0xffffffff,
    0x265dffff,0xdddddddd,0xdddddddd,0x05dddddd,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x18800000,0x33332a00,0x933ccccc,0x99999999,
    0x66666419,0x9999950c,0xcccc8799,0x0001cccc,0x3332a020,0x1ccccccc,
    0x66666654,0x000000a0,0x51000000,0x80010000,0x44000001,0x2f6e2000,
    0xd9700000,0x4019ffff,0xffffffe9,0xfff911bf,0xa85bffff,0x3263fffd,
    0x45ffffff,0xffffffea,0x666664c2,0x7f5c44cc,0x3fff662e,0x40bfffff,
    0x23fffeb8,0x0000cff8,0x20000000,0x99937fc9,0xdb899999,0xb702ceff,
    0x4c05bfff,0x4ccccccc,0x2f7ffb22,0x3fffee00,0x3620001e,0xffdadfff,
    0x7ffec04f,0xfff707ff,0x3e205fff,0xffff901f,0x3fffe0bf,0x7f5c42ff,
    0x3a27ffff,0xfd87ffff,0x404fffff,0x7fc41ffb,0x00002dff,0x36a00000,
    0xff917fff,0x3a2fffff,0x1fffffff,0x3fffff62,0xff9103ff,0x3e6fffff,
    0x06ffffff,0x1bfffffa,0x7fff4c00,0x06fffec1,0xffffff98,0xfffffd01,
    0xb813e209,0xd05fffff,0x205fffff,0x17fffff9,0x3ffffffd,0xffffff88,
    0xd827dc04,0x0bffffff,0x80000000,0xffffffb8,0x7ffffd44,0xffedffaf,
    0xfe88ffff,0xffffffee,0x3fffee00,0xffeffaff,0xfa83ffff,0x03ffffff,
    0x2ffffc40,0x02ffffc4,0x09fffffb,0x1fffffee,0xff500fd4,0x3f60bfff,
    0xf102ffff,0xfb1fffff,0x01ffffff,0x0dfffff9,0x2e200fc8,0x2dfffffe,
    0x98000000,0x3efffffd,0xffffff10,0x7ffec1df,0x321efeff,0x205fffff,
    0xfffffff9,0xfffff30c,0xffff981f,0x64004fff,0xfd03ffff,0x3ea05fff,
    0xfd07ffff,0x905fffff,0xffffa80d,0xffffb05f,0x3ffe205f,0xd8afcfff,
    0xff105fff,0x7c03ffff,0x3ff6a005,0x000befff,0x3fae2000,0x401dffff,
    0xeffffff8,0x7ffffcc0,0x7ffc40ef,0x3fe607ff,0xfd85ffff,0xfe82ffff,
    0x005fffff,0x0bffffe2,0x037fffe4,0x85fffffd,0xfffffef8,0x7d403f85,
    0xfb05ffff,0x7c05ffff,0x43ffffff,0x3f600bc9,0xf505ffff,0xff910003,
    0x003bffff,0x7ffe4c00,0x1000bfff,0x01ffffff,0x3ffffff1,0x3fffffe0,
    0xfffff300,0xffff901f,0xdffb307f,0x7e400bff,0xf901ffff,0x7dc0ffff,
    0x7dc5ffff,0x0ffffffa,0xff5007ea,0x3f60bfff,0x3e02ffff,0x006fffff,
    0x3ffffea0,0x0006d80f,0xfffffea8,0xd50000be,0x05bfffff,0xfffff100,
    0x3fffe20f,0xffff00ff,0x3fe601ff,0xff907fff,0x84407fff,0x3fa003ff,
    0xf901ffff,0x2203ffff,0x20ffffff,0xffffff4e,0x7d4036c5,0xfb05ffff,
    0x7c05ffff,0x004fffff,0x7fffff40,0x00017c44,0xfffff930,0xf910039f,
    0x039fffff,0x7fffc400,0x3fffe07f,0xffff00ff,0x3fe601ff,0xff907fff,
    0xf3007fff,0x7ffc005f,0xff700fff,0x7f407fff,0x3f33ffff,0x57fffff2,
    0xffa803f8,0xffb05fff,0x7fc05fff,0x0003ffff,0x3fffffdc,0x400001f2,
    0xfffffeb8,0xfffda82e,0x0000beff,0x7fffff88,0x3fffffe0,0xffffff00,
    0x3fffe603,0xffff907f,0x0df7007f,0x7ffffc40,0xffff700f,0x7ffdc0bf,
    0x7ccd96ff,0xfa8fffff,0xffffa800,0xffffb05f,0x7fffc05f,0x440002ff,
    0x23ffffff,0x8000004f,0x7fffffd9,0x37fffffa,0x7c400001,0x3e07ffff,
    0xf00fffff,0x203fffff,0x07fffff9,0x09fffff9,0x4c005fd0,0x00ffffff,
    0x0dfffff7,0x7fffffc4,0x7fff43f9,0x5005dbff,0x20bfffff,0x02fffffd,
    0x07fffffe,0x3fff2000,0x001f56ff,0xfd710000,0x3fe2ffff,0x0002efff,
    0xfffff880,0x3ffffe07,0xfffff00f,0x3ffe603f,0xfff907ff,0x4fa809ff,
    0x7fffcc00,0xfff900ff,0xffd80dff,0x5c0fefff,0x3fefffff,0xfffff500,
    0x3ffff60b,0x3fffe02f,0x880000ff,0xdaffffff,0x4c000005,0xcffffffc,
    0x3ffff6a0,0x00000bff,0x0ffffff1,0x07fffffc,0x1ffffff8,0xffffff30,
    0x3fffff20,0x0013ea04,0x3fffffe2,0xfffff900,0xffffa80b,0xfff885ff,
    0x5000ffff,0x20bfffff,0x02fffffd,0x01fffffe,0xffffd800,0x00001fef,
    0xfffffd50,0xffc8805d,0x001dffff,0x7ffffc40,0x3ffffe07,0xfffff00f,
    0x3ffe603f,0xfff907ff,0x5db309ff,0x7fffc000,0xfff900ff,0xfff009ff,
    0x3f605fff,0x2005ffff,0x05fffffa,0x05fffffb,0x03fffffc,0xffff3000,
    0x80000dff,0xffffffc8,0xfda8001c,0x00beffff,0xfffff880,0x3ffffe07,
    0xfffff00f,0x3ffe603f,0xfff907ff,0x005709ff,0xfffffb00,0x3ffff203,
    0xfffc802f,0xfff500ff,0x7cc005ff,0xfb06ffff,0x7c05ffff,0x0007ffff,
    0x7fffff40,0xfb300003,0x017dffff,0xfff93000,0x40039fff,0x07fffff8,
    0x03fffffe,0x0ffffffc,0x7fffff98,0x9fffff90,0x7d400000,0xfb01ffff,
    0x3001ffff,0xf80bffff,0x4c007fff,0xa86fffff,0x02ffffff,0x01fffffe,
    0xffff7000,0x5c40001f,0x2dfffffe,0x3aa00000,0x02efffff,0x7fffff88,
    0x3fffffe0,0xffffff00,0x3fffe603,0xffff907f,0x8000009f,0xd02ffffe,
    0x4007ffff,0x6402fffe,0xf8005fff,0x260fffff,0x3fffffff,0xffffff10,
    0xff800001,0x930004ff,0x19ffffff,0x4c000000,0xcffffffc,0xfffff100,
    0x3fffe01f,0xffff00ff,0x3fe603ff,0xff907fff,0x00009fff,0x4ffffa80,
    0x01fffff0,0x403ffdc0,0x8002fff9,0xbefffffc,0xffffeefc,0xffff104f,
    0x800001ff,0x4000fffc,0xefffffea,0x00000002,0x7ffff5c4,0x7ffc42df,
    0xff880fff,0xff00ffff,0x2603ffff,0x907fffff,0x009fffff,0xfff90000,
    0xffffb81f,0x27fc4001,0x0007fe80,0x3ffffffa,0xffffd8df,0xfff981ef,
    0x00001fff,0x2002ffc4,0x1cfffff8,0x00000000,0x7ffffd98,0x7fffffcc,
    0xfffff881,0xffff881f,0xfff502ff,0xffb01fff,0x0000bfff,0x37ffee00,
    0x01dfff51,0x4007f600,0x220004fb,0x24fffffd,0xfffffffd,0x3ffff624,
    0x800005ff,0x7c4002fd,0x00000bef,0xb8800000,0x3ff627fe,0x6c0dffff,
    0x1dffffff,0x3fffff62,0x7ff4c0df,0x2e0cffff,0x2fffffff,0xd3000000,
    0xbfffffff,0x024c0001,0x00003910,0x40003771,0xfffffff9,0x00005fff,
    0x36200126,0x00000001,0x4d6a0000,0xffffffff,0xffff89ff,0x8affffff,
    0xffffffff,0xffff52ff,0x32ffffff,0xffffffff,0x0000005f,0x000565cc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x33333320,0xc89ccccc,0xc84ccccc,
    0xcccccccc,0xcccccccc,0x00173000,0x00065c00,0x1b8802a8,0xffffff88,
    0xffffffff,0xffffffff,0xb03da87f,0x009fffff,0x00157971,0x00000ea0,
    0x00000000,0x2a000000,0xfffffffe,0xffff70ae,0xfffff05b,0xfffddddd,
    0x5001ffff,0x00001fff,0x88009ff3,0xf703fffe,0x7fc41dff,0xffffffff,
    0xffffffff,0x227fffff,0xd81ffffe,0x5c07ffff,0xbdffffff,0x0017a000,
    0x00000000,0x00000000,0xffffffc8,0x200efc84,0xff900eff,0x2005ffff,
    0x0002fffe,0x001fffe8,0x41fffff2,0x224fffff,0xffffffff,0xffffffff,
    0x7fffffff,0x17ffffee,0x80fffff4,0xfffffffc,0x4c01cfff,0x0000003f,
    0x00000000,0x7f400000,0xfe87ffff,0xf3037c00,0x00bfffff,0x001ffff4,
    0x17fffea0,0xffffff80,0x7ffffd42,0x00000007,0x1ffffffd,0x09fffd10,
    0xfd9bfff1,0x7dffffff,0x001fea81,0x00000000,0x00000000,0x7ffffcc0,
    0x2007ee3f,0x3fffa03f,0x2e001fff,0x20000fff,0x2ffffff8,0xffffff00,
    0xfffffa83,0x00000006,0x1ffffffb,0x21fffa20,0x75c40cfc,0xefffffff,
    0x0005fffc,0x00000000,0x00000000,0xffffffb0,0x3e009f11,0xfffff700,
    0x10ae209f,0x02c98bff,0xffbbff90,0x3fffa00d,0x7ffc40ff,0x000005ff,
    0xfffff500,0x1ffe8809,0x326007f4,0xffffffff,0x000000ff,0x00000000,
    0x10000000,0xb9ffffff,0xf881400d,0x80ffffff,0x362efff8,0x13ffee2f,
    0xf11fff10,0xffb007ff,0x3ffe0dff,0x000003ff,0x3bfff600,0x44fe8801,
    0x7ed4004f,0x000dffff,0x00000000,0x00000000,0x7fffe400,0x80001fff,
    0x2ffffffc,0x5fffff50,0xffffc9ea,0x927fec07,0xfb801fff,0xffb04fff,
    0x777443ff,0xeeeeeeee,0xeeeeeeee,0xb885eeee,0x22ec4001,0x5310000a,
    0x00000015,0x00000000,0x20000000,0x6ffffff8,0xfff98000,0x7fc05fff,
    0x9e9cffff,0x04fffffd,0xf883ffe6,0x7fc404ff,0xfff702ff,0xfffff88f,
    0xffffffff,0xffffffff,0x000007ff,0x00000000,0x00000000,0x00000000,
    0x3ffee000,0x40001fff,0x1ffffffe,0x777764c0,0xeeeeefee,0x1fff402d,
    0x2007ffd4,0xf300fffe,0xfff88bff,0xffffffff,0xffffffff,0x0007ffff,
    0x00000000,0x00000000,0x00000000,0x3e200000,0x006fffff,0x3ffffee0,
    0x3a20004f,0xffa8004d,0x017ffa06,0xff80dff9,0x9999983f,0x99999999,
    0x99999999,0x00000199,0x00000000,0x00000000,0x00000000,0x7ffdc000,
    0x88002fff,0x0fffffff,0xf1bf5000,0x3fe20019,0x3ffe602f,0x013fea01,
    0x00003ffb,0x00000000,0x00000000,0x00000000,0x00000000,0xfff88000,
    0xc8006fff,0x02ffffff,0xb1ffd880,0xff9005ff,0x0dffb00b,0x2e017fc4,
    0x0000007f,0x00000000,0x00000000,0x00000000,0x00000000,0xfffffb80,
    0x3e6002ff,0x005fffff,0x2e7ffe98,0x3e204fff,0xff8801ff,0x003fa02f,
    0x00000bf3,0x00000000,0x00000000,0x00000000,0x00000000,0xfebf9800,
    0x2006ffff,0x1ffffffe,0x7ffec1a0,0x0bfffe25,0x70027fec,0x03640fff,
    0x000003f8,0x00000000,0x00000000,0x00000000,0x00000000,0xff9af400,
    0xb803ffff,0x04ffffff,0x7fff41a6,0x417fff42,0x4000fff9,0x01103ffe,
    0x00000220,0x00000000,0x00000000,0x00000000,0x00000000,0x360fc800,
    0x00ffffff,0x3fffffe2,0x541b600f,0xfffa86ff,0x001aa980,0x0002aa98,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3fe617d4,
    0x3204ffff,0x02ffffff,0x018817f2,0x000000a2,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x1fea0000,0x7ffffff4,0xfffff981,
    0x9ff9305f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x5cc00000,0xffe81fff,0x741fffff,0xacffffff,0xffffeccb,
    0x00000004,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfd000000,0x71dfffff,0xffffffff,0x3ffeabff,0xffffffff,0x03ffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__times_bold_50_usascii_x[95]={ 0,3,3,0,1,3,1,3,1,0,2,0,1,1,
1,0,1,2,1,0,1,1,1,1,1,1,3,3,0,0,0,2,2,0,0,1,0,0,1,1,0,0,0,1,
0,0,0,1,1,1,0,2,1,1,0,0,0,0,0,4,0,1,3,-1,0,2,0,1,1,1,1,1,1,0,
-2,1,0,1,1,1,0,1,1,1,0,1,0,0,1,0,0,3,3,2,0, };
static signed short stb__times_bold_50_usascii_y[95]={ 40,9,9,9,9,9,9,9,9,9,9,13,33,27,
33,9,9,9,9,9,9,10,9,10,9,9,18,18,14,20,14,9,9,9,10,9,10,10,10,9,10,10,10,10,
10,10,10,9,10,9,10,9,10,10,10,10,10,10,10,10,9,10,9,46,9,18,10,18,10,18,9,18,10,9,
9,10,10,18,18,18,18,18,18,18,11,19,19,19,19,19,19,9,9,9,24, };
static unsigned short stb__times_bold_50_usascii_w[95]={ 0,9,19,22,21,40,35,7,14,14,19,25,9,13,
9,13,20,18,20,20,20,20,21,21,20,20,9,9,25,25,25,19,40,33,29,30,31,29,26,34,35,17,23,35,
29,42,32,33,26,33,34,22,28,31,33,45,33,33,30,10,13,10,21,24,11,20,24,19,24,18,18,21,23,13,
14,25,13,36,23,20,24,24,19,15,15,23,23,33,21,23,20,13,4,13,25, };
static unsigned short stb__times_bold_50_usascii_h[95]={ 0,32,16,32,35,33,32,16,41,41,18,25,15,5,
8,32,32,31,31,32,31,31,32,31,32,32,23,30,22,11,22,32,41,31,30,32,30,30,30,32,30,30,31,30,
30,30,31,32,30,40,30,32,30,31,31,31,30,30,30,39,32,39,17,4,8,23,31,23,31,23,31,32,30,31,
41,30,30,22,22,23,32,32,22,23,30,22,22,22,21,31,21,41,41,41,8, };
static unsigned short stb__times_bold_50_usascii_s[95]={ 249,239,86,85,176,198,108,248,1,49,44,
146,237,242,132,237,196,162,36,95,227,15,116,58,138,144,242,246,150,106,124,
217,64,57,1,165,184,154,127,1,67,128,1,1,216,173,25,1,115,120,80,
58,31,181,213,116,94,60,142,165,81,154,64,146,142,227,91,191,159,172,184,
36,103,1,105,216,37,176,213,1,60,35,80,211,51,56,100,22,1,203,23,
35,30,16,154, };
static unsigned short stb__times_bold_50_usascii_t[95]={ 1,1,259,43,1,1,43,76,1,1,259,
204,235,197,259,43,43,109,109,76,76,109,76,141,76,43,173,141,235,259,235,
43,1,109,204,43,173,173,173,76,173,204,141,173,141,141,141,43,141,1,141,
76,204,109,109,109,204,204,141,1,76,1,259,230,259,204,109,204,76,204,76,
76,173,109,1,173,173,235,235,235,43,43,235,204,173,235,235,235,259,76,259,
1,1,1,259, };
static unsigned short stb__times_bold_50_usascii_a[95]={ 181,241,401,361,361,722,602,201,
241,241,361,412,181,241,181,201,361,361,361,361,361,361,361,361,
361,361,241,241,412,412,412,361,672,522,482,522,522,482,441,562,
562,281,361,562,482,682,522,562,441,562,522,402,482,522,522,722,
522,522,482,241,201,241,420,361,241,361,402,321,402,321,241,361,
402,201,241,402,201,602,402,361,402,402,321,281,241,402,361,522,
361,361,321,285,159,285,376, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_50_usascii_BITMAP_HEIGHT or STB_FONT_times_bold_50_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_50_usascii(stb_fontchar font[STB_FONT_times_bold_50_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_50_usascii_BITMAP_HEIGHT][STB_FONT_times_bold_50_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_50_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_50_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_50_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_50_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_50_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_50_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_50_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_50_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_50_usascii_s[i] + stb__times_bold_50_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_50_usascii_t[i] + stb__times_bold_50_usascii_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_50_usascii_x[i];
            font[i].y0 = stb__times_bold_50_usascii_y[i];
            font[i].x1 = stb__times_bold_50_usascii_x[i] + stb__times_bold_50_usascii_w[i];
            font[i].y1 = stb__times_bold_50_usascii_y[i] + stb__times_bold_50_usascii_h[i];
            font[i].advance_int = (stb__times_bold_50_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_50_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_50_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_50_usascii_s[i] + stb__times_bold_50_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_50_usascii_t[i] + stb__times_bold_50_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_50_usascii_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_50_usascii_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_50_usascii_x[i] + stb__times_bold_50_usascii_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_50_usascii_y[i] + stb__times_bold_50_usascii_h[i] + 0.5f;
            font[i].advance = stb__times_bold_50_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_50_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_50_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_50_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_50_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_50_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_50_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_50_usascii_LINE_SPACING
#endif

