// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_22_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_22_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_22_latin1_BITMAP_WIDTH         256
#define STB_FONT_arial_22_latin1_BITMAP_HEIGHT        144
#define STB_FONT_arial_22_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_22_latin1_FIRST_CHAR            32
#define STB_FONT_arial_22_latin1_NUM_CHARS            224

#define STB_FONT_arial_22_latin1_LINE_SPACING          14

static unsigned int stb__arial_22_latin1_pixels[]={
    0x4c0130c4,0x33026202,0x20009800,0x002a2018,0x40002a62,0x00998028,
    0x20000151,0x20000cc8,0x06640008,0x09910000,0x95000500,0x00000007,
    0xc8016540,0x1740bf0f,0x06a81ff0,0xbdfffeb8,0x9fffb300,0x2e205f10,
    0x3dfffffe,0xd81ffb00,0x2207fee7,0x21fff92f,0xfb00fffc,0x77ec00dd,
    0x3ea005db,0x2000fb03,0xf71003fb,0x7efcc005,0x4c3c8003,0xfffffffd,
    0x4007f404,0x2a09d0eb,0x6c07ee06,0x2b3bf603,0x5fb05feb,0x2f887f71,
    0x89ceff98,0x4c05fdb9,0x227d81df,0x92f885fa,0x7ed4c57f,0x4f9afc80,
    0xeeb9ea80,0xd817a001,0x01b20007,0x0bfffff2,0x07f2dd10,0xfff83d00,
    0x02dfdcdf,0x00001fc4,0x202b80ba,0x207f9079,0x21fc42fd,0x2617c47e,
    0x2fcc00ef,0xc8003f50,0x0f92f887,0x000007dc,0x000004c4,0x000003ec,
    0x3a7e33ee,0x00131006,0xfffa8f10,0x1003f53f,0x300c4013,0x80623dc1,
    0x3e61fc09,0xf11be205,0x22f8808b,0x30d40ef8,0x3ea0bd31,0x0f903100,
    0xb81f25f1,0x4c05f70f,0xffff704f,0x05f7019d,0x517da7cc,0x980bee03,
    0xabc5fa4f,0x3ffee03f,0x54400cef,0x7ffff45c,0x7dc03f53,0x540cefff,
    0x3e2fa82f,0x7d417d44,0x3f707e42,0x1bf70080,0x1f917c40,0x7cefffe4,
    0x1f701f53,0x21f21f60,0x5c0f92f8,0x4c05f70f,0x5f7f444f,0x5c0efdba,
    0x6d3e602f,0x42ffffbf,0x93e602fb,0x8804f16f,0xfdbabefe,0xfffe880e,
    0x3ffff62f,0xfd103f53,0x1dfb757d,0x267d85f8,0x7d85f82f,0x03f61fa8,
    0x1fffe400,0x45f12f88,0xffea8bfb,0x1f705f12,0x03ee1f60,0xb81f25f1,
    0x4c05f70f,0xa81fe44f,0x80bee0ef,0x17ffb4f9,0x17dc1fd5,0x4fec9f30,
    0x03fc8078,0x7f441df5,0x3ea3fdf1,0x03f53fff,0x3bea07f9,0x4f883f20,
    0x83f207ea,0x22f984f8,0x1db0007f,0xf881bfd3,0x13ea1f32,0x426c1ff5,
    0x261f607c,0x7c97c41f,0x17dc3ee0,0x2fcc9f30,0x2fb93ee0,0x27ed3e60,
    0x02fb97e6,0xcff993e6,0x202fcc07,0x4cbee4fb,0x3ffa3f9e,0xf983f53f,
    0xf327dc05,0x1f90fd47,0x0fd47f30,0x00fd27c4,0xffc87f10,0x367b84c0,
    0x2ec6f80f,0x87d813e6,0x4be20df8,0x5c3ee07c,0xc93e602f,0x2e6f801f,
    0x6d3e602f,0x3ee6f81f,0xd313e602,0xf9019fff,0x3ecdf003,0x9fecc079,
    0x00fe41fa,0x6d9ba37c,0x6cdd03ec,0x0fd97e06,0xfa85f800,0x05f97605,
    0x3ee4f8bf,0xe883ec04,0x03e4be27,0x80bee1f7,0x003f64f9,0x017dc3f6,
    0x6c1f69f3,0x4c05f70f,0xffdf304f,0xd800fd81,0x00f4dd0f,0x20fd4fe2,
    0x0fd800fd,0xb0fe27ee,0x7c4fdc0f,0x2fb97e03,0xbf90ee40,0x53a07d81,
    0x23f984f9,0x017ea2f9,0x89bea0fb,0x7dc0f92f,0x7cc05f70,0x7e401fe4,
    0x7cc05f72,0xb9f60fb4,0x413e602f,0x7f8bf778,0x5ba5f900,0x53f88078,
    0x9007f83f,0x7de7c45f,0xf880fdc0,0x7f100fbc,0xff3037cc,0x3a1efd81,
    0x8aec2a25,0x3a1fd85f,0x3605f886,0x7c44f887,0x87dc0f92,0x93e602fb,
    0x23f9007f,0x53e602fb,0x737c41fd,0x227cc05f,0x3e3fcf10,0x323f9007,
    0x441e4b77,0x7f83f53f,0xed83f900,0x202f986d,0x3ea06ded,0x6c427e42,
    0xb9ff504f,0x7b97c43d,0x21ff51fa,0x40d901fd,0x440fb87d,0x7dc0f92f,
    0x7cc07f50,0x36003f64,0x4c07f50f,0xfa89fb4f,0xf980fea4,0xe9e2bf14,
    0x6c007ec6,0x25b7f50f,0x53f882fa,0x800fd83f,0x1ffd40fd,0xff501fc4,
    0x6c07dc07,0x5ffdacef,0x207fec40,0x2a3f52f8,0xdfeedbef,0x81ee02fe,
    0x440fc87d,0x7dc0f92f,0x7d409f30,0x3a007ee2,0xfa813e66,0xf95bffb2,
    0x2a04f98d,0x5e23fa2f,0x00fdc3f9,0x27ff6374,0x27f106fb,0x00fdc1fa,
    0x00ff8374,0x00ff80bd,0x7edc41f2,0x2a001cff,0xf897c46f,0x2a33faa5,
    0x70311dff,0x321f601f,0x0f92f887,0x05f887dc,0x06f987f2,0x0bf127dc,
    0xfafd8fe4,0x2fc40dff,0x7fd43f90,0x4c0ffbfb,0x427dc06f,0x100cfffd,
    0xf307ea7f,0xf04fb80d,0xf007dc09,0x401fc409,0x40b9804d,0x98be21fb,
    0x2fd4005f,0x87d807d4,0xf92f887c,0x5fd07dc0,0xfb81ff10,0xe81df504,
    0xb0ff882f,0x0bfa004f,0xfd703fe2,0x3ee019ff,0x901df504,0x27f10039,
    0x04fb81fa,0x3f501df5,0x3f504e80,0xec803640,0x3227cc04,0xf90be21f,
    0x0df7001d,0x437407ea,0xf92f887d,0xff107dc0,0x03ff977b,0x36eb3bf2,
    0xdff880ef,0x361ffcbb,0x37fe2007,0x201ffcbb,0xefc800f9,0x00efdbac,
    0x4fe2003f,0x9df901fa,0xc81dfb75,0x0fa805fc,0xf8817f32,0x06d99802,
    0x6fcacfd8,0x7f5417c4,0xfecaabde,0x8fbe203f,0x3f264fb9,0x9f92f885,
    0x03fb2a19,0x3bdffdb3,0xdfffca80,0x3fb6600b,0x03ec1def,0x3bffb660,
    0x003c401d,0x17bfff95,0xf8801e60,0x65403f53,0xe80bdfff,0x47b000ef,
    0x1ae00efe,0x400effc0,0x40dffeb8,0x3b6a02f8,0x00cdefff,0x9fb0ffb8,
    0x44077dc1,0x21fff92f,0x2200fffc,0x00010000,0x007d8022,0x00000220,
    0x04a80040,0x0fd4fe20,0x00100080,0x44004088,0x08000000,0x010004c0,
    0x44040800,0x00004c00,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x1003c980,0x3c980099,0x00164c00,0x64c00b2e,
    0x00044003,0x00440000,0x40007930,0x0fc802ca,0x1ca800bf,0x3e013220,
    0x65405f75,0x2004c402,0xdd07f56f,0x02a00fea,0x70007ec0,0x37e2005f,
    0x03fa004f,0x01fdfb80,0x981fefc4,0x002eadfe,0xe8800799,0x4004dbdf,
    0xdd0000fd,0x3e1f9001,0x01be2005,0x2bf00bee,0x03ba02fb,0x677fff5c,
    0x07f56f80,0x100feadd,0x05f3003f,0x3a00d900,0xa802fb8f,0x53e6001f,
    0x23fa00ee,0xc9cd82fb,0x1273004f,0xbd73d700,0x04e88001,0x0001fa80,
    0x001f7000,0x026201b6,0x3f603f50,0x0efdbabd,0x2a000000,0x00131007,
    0x00000000,0x00000000,0x12f60000,0x00000000,0x17dc0000,0x00009f30,
    0xffffb800,0x7ec000ce,0xf10df503,0xfffffb8b,0xbb05ffff,0xeffffb80,
    0xffffb80c,0x2e5fffff,0xffffffff,0x3fffee5f,0x805fffff,0xbf1004fe,
    0x3e205fb8,0x0027f404,0xd0004fe8,0x05fb809f,0x02fba7e4,0x9fd013e6,
    0xd10bf100,0xdfb757df,0x7d45f881,0x2227e404,0x666fdc5f,0xf03ccccc,
    0x2fbfa205,0x5c0efdba,0xccccccdf,0x3337ee3c,0x2e3ccccc,0xccccccdf,
    0x7f7cc03c,0x5c5f8800,0x09f103ff,0x0007f7cc,0x0003fbe6,0xe801fdf3,
    0x5cdf302f,0x813e602f,0x4400fef9,0x503fc85f,0x22fc41df,0x2fc400fc,
    0x05f717e2,0x3201f300,0x41df503f,0x3ee002fb,0x00bee002,0x07f5f900,
    0xffb8bf10,0x204f880f,0x4003fafc,0x4003fafc,0x4c03fafc,0x21fe80ff,
    0x13e602fb,0x403fafc8,0x02fcc5f8,0x45f893ee,0x88fd007e,0x0017dc5f,
    0x05f9835c,0x05f727dc,0x70017dc0,0x5f80005f,0x8bf100df,0xf886fcfb,
    0x037d7e04,0x0037d7e0,0x5c037d7e,0x2e1fdc4f,0x813e602f,0xf880df5f,
    0x7c00fe45,0x0df17e26,0x5f887f20,0x740017dc,0xf003f904,0x70017dcd,
    0x17dc005f,0x325f5000,0x22fc401f,0x443fc9fb,0x325f504f,0x25f5001f,
    0x5f5001fc,0x3fa007f2,0x5f70bf31,0xfa827cc0,0x7c403f92,0x6c007ec5,
    0x6f8bf10f,0x7c43fb00,0x4ccdfdc5,0x1f881999,0xfb001fb0,0x2666fee1,
    0x5fdc1999,0x41999999,0x99999bfb,0x987ec019,0x22fc404f,0x20ff89fb,
    0x21fb04f8,0x1fb004f9,0x7ec013e6,0xf3009f30,0x3ee03fad,0x6c13e602,
    0x4409f30f,0xc803fc5f,0x7e8bf12f,0x5f88fd00,0x7fffffdc,0x03d41fff,
    0x4bf200ff,0xfffffffb,0x3ffee1ff,0x21ffffff,0xfffffffb,0x8bf101ff,
    0x17e200fe,0x89bea3f7,0x745f884f,0x22fc400f,0x2fc400fe,0x3f2003fa,
    0x05f703fe,0x2fc427cc,0x2fc403fa,0x8fe401fe,0x00fe45f8,0x717e237c,
    0x999999bf,0x3e05c819,0x2e3f9007,0xccccccdf,0x3337ee0c,0x2e0ccccc,
    0xccccccdf,0xb85f700c,0x717e203f,0xf89fe43f,0x7dc2fb84,0x2e17dc03,
    0x217dc03f,0xbfd003fb,0xf301fd40,0xfb85f709,0xfd8bf103,0xf10fd800,
    0x0c85fa8b,0x45f887f9,0x1fc002fb,0xfb001fb0,0xb800bee1,0x0bee002f,
    0x7777f400,0x3e206fee,0xff10fdc5,0xdfd09f11,0x80dfdddd,0xfeeeeefe,
    0x7777f406,0xf7006fee,0x5027cc05,0xdddfd05f,0x3e20dfdd,0x7400fdc5,
    0x3f217e26,0x1bf7fa24,0x05f717e2,0xf7007cc0,0x7dcdd003,0x00bee002,
    0x98002fb8,0xeeeeeeef,0xb8bf101f,0x7cf7d41f,0x77777cc4,0xf301feee,
    0xfddddddd,0x3bbbe603,0x801feeee,0x17e202fb,0x77cc1fc8,0x1feeeeee,
    0x37cc5f88,0x5f893ee0,0xd759df90,0x8bf107ff,0x1ae002fb,0xfb80df30,
    0xb800bee4,0x0bee002f,0x4c07f200,0xb8bf105f,0x4fcfd81f,0x5f980fe4,
    0x3e603f90,0x2603f905,0x02fb805f,0x7fc417f4,0xf980fe40,0xfb85f885,
    0x441df504,0x3ff6e05f,0x21efcbdf,0x017dc5f8,0x9f7009b0,0xfb83bea0,
    0x00bee002,0xf8002fb8,0x4407f406,0x440fdc5f,0x037c4fff,0x01be03fa,
    0x80df01fd,0x17dc00fe,0x2ef7fe20,0x06f81ffc,0x17e207f4,0x6dd677e4,
    0x02fc40ef,0x221d9818,0x666fdc5f,0x264ccccc,0x59df9000,0xfb81dfb7,
    0xcccccccd,0x33337ee4,0x3ee4cccc,0xcccccccd,0x2e01fd44,0x5c5f883f,
    0x49ff501f,0x1fdc03fa,0x7f700fea,0x7dc03fa8,0x4017dc03,0x1deffed9,
    0x7dc03fa8,0x9502fc43,0x1017bfff,0x880000bf,0x7fffdc5f,0x007fffff,
    0x37fff2a0,0xffffb80b,0x2e7fffff,0xffffffff,0x3fffee7f,0x6c7fffff,
    0x437c400f,0x00fdc5f8,0x007ec9fb,0x01fb1be2,0x07ec6f88,0xf701be20,
    0x40088005,0x37c400fd,0x004017e2,0x00002fc4,0x00000000,0x00000008,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x03300000,0x20026205,0x00000098,0x09880131,0x20009880,
    0x0cc000b9,0x20530540,0x00880099,0x131002a2,0x30013100,0x21300621,
    0x1884c018,0x40009880,0x5000a819,0xb801f67f,0xa8cffffd,0x3fff621f,
    0x03fe200d,0x09b3bf50,0x3e202fd8,0x06f9806f,0x400b3b10,0x0fcc03fc,
    0x013ee0bb,0xd901bff9,0x405ff880,0x7cc06ff8,0x3e601f93,0x3e601fb3,
    0x7c401f93,0x0ff2006f,0x9fd40136,0x7dfb007d,0x85fff955,0x04fa8bfe,
    0x7dc01fcc,0x027c403f,0x2013e7fa,0x948802fa,0x2017e200,0xf901fc7a,
    0x3a27ea01,0x3a017c44,0x3f604f9f,0x4ba604f9,0x25d300eb,0x25d300ec,
    0x27f600eb,0x05f8804f,0x800000d7,0x1ff703fc,0x03f21fcc,0x77440750,
    0x025404fb,0x00654726,0x2db801d4,0x32009300,0x39007e26,0x646b9b20,
    0xca8e4c06,0x1951c980,0x00000000,0x654b2600,0x98064c00,0x13fa000f,
    0x74417e60,0xb07ea4fe,0x0260310d,0x107ea62a,0x26202603,0x54c400aa,
    0x554c400a,0x0554c400,0x4cef4cc4,0xa98809fb,0x3ea5d809,0x0c403f10,
    0x9a988098,0x04d4c400,0x002aa620,0x220026a2,0x9a88009a,0x26007f00,
    0x7dc00fef,0x7f8de881,0x83f987ee,0x4c3f887d,0x6c6feffe,0x7dc3f887,
    0xf704ffff,0x2e09ffff,0x704fffff,0xd89fffff,0xffffffff,0x7fffd45f,
    0x4d935c1e,0x443ec05c,0x7fffd43f,0xffff501e,0x3ffee03d,0xffb504ff,
    0x3f6a05df,0xfb502eff,0x0b905dff,0x00febf20,0xfe9b60fb,0x836c3f70,
    0x263f887d,0x2ffc9bff,0xb8fe21f6,0x85fd51cf,0x5fd51cfb,0xfd51cfb8,
    0xd51cfb85,0x57d4c45f,0x2609de99,0x0feb8aef,0x44fa6be6,0x443ec01f,
    0x22bbe63f,0x77cc0feb,0x5c0feb8a,0x85fd51cf,0xffb8aefa,0x5c577d41,
    0x577d41ff,0x3d41ffb8,0x80df5f80,0x320ed86f,0x2fc3f72f,0x23f887d8,
    0xb27d40fe,0x36c7f10f,0x21b61fd4,0x5436c3fa,0x7d436c3f,0x41fc7a83,
    0x22fc41fe,0x01723fea,0xe8fe21f6,0x3a2fc41f,0x362fc41f,0x7f43fa86,
    0x3fa2fcc0,0x3fa2fcc0,0x3e22fcc0,0xfc97d401,0x1f91be01,0x43f71fc8,
    0x887d84fd,0xf10df13f,0x1fc43ecd,0x200fee60,0xb9803fb9,0x3fb9803f,
    0x207e26c8,0x100fd05f,0xb0b7223f,0x2fc7f10f,0xe82fc7e8,0x23fb9807,
    0x44ff06f8,0x7c4ff06f,0x09d0ff06,0x09f30fd8,0xb03f73f4,0x3f60fdcf,
    0x3e21f60d,0x9f609f33,0x543f887d,0x84ffffed,0x4ffffeda,0xffffeda8,
    0xfffeda84,0x277a624f,0xf3099fb9,0xffffffff,0xbf15d801,0x443ec9d5,
    0xfffff33f,0x3e61ffff,0xffffffff,0x7fff6d40,0x6c13e64f,0x3609f30f,
    0x3609f30f,0xf1035c0f,0xfb00fe8b,0x9be05f53,0x26fc81fb,0xf13f987d,
    0x3ec3fa09,0x9df91fcc,0xfc89f315,0x44f98ace,0xf98acefc,0x45677e44,
    0x3fff64f9,0x35ffffff,0x555555bf,0xf51f9805,0xf30fb35c,0x2aab7e67,
    0x37e62aaa,0x42aaaaaa,0xf98acefc,0x7ec13e64,0x3f609f30,0x3f609f30,
    0xfb807cc0,0xf981fdc2,0x49f702fe,0x23f901fb,0x3a3fa87d,0x1f67f886,
    0x437c4fea,0x21be24fa,0x21be24fa,0x21be24fa,0x2bea24fa,0x2099de99,
    0xd801106f,0xb0f99b25,0x37c7f50f,0x8837c088,0x3ea1be20,0x37c1be24,
    0x89be0df1,0x3e0df06f,0xddddfd02,0x2fec0dfd,0x4fdc6fa8,0x647ee0c8,
    0xf91fec1f,0x3f24fa83,0x5f89fec1,0x17e24fd8,0x85f893f6,0x217e24fd,
    0x3e3dc4fd,0xf983fb03,0x6b87e605,0x20fe43ea,0x307f63fd,0x4c1fd8bf,
    0x3617e25f,0x2a0ff44f,0x2a0ff45f,0x2a0ff45f,0xf30bb05f,0xfddddddd,
    0x9dfff103,0xb81dfb75,0xfbaef89f,0x36afbea5,0x33fe63fe,0x3ea0ffd9,
    0x23fedabe,0xffda9bfd,0x6d4dfec4,0x4dfec4ff,0x7ec4ffda,0x44ffda9b,
    0x4c07e25c,0x0feb9cff,0x21f31760,0x2afbea5c,0x3fe63fed,0x4c0feb9c,
    0x0feb9cff,0x7ed4dfec,0x4e7fcc4f,0x7fcc0efc,0x4c0efc9c,0x0efc9cff,
    0x03f90f50,0x557a17e6,0x80bdfffe,0x9ffd31fb,0x8dfffb81,0x7fff4c3f,
    0xdfffb80d,0x3ff663f8,0x6cc6e8cf,0x46e8cfff,0xe8cfffd9,0x67ffecc6,
    0xf52746e8,0x7fff4401,0x203e601d,0x7dc2fefd,0x443f8dff,0x101dfffe,
    0x303bfffd,0xdd19fffb,0x1bfffd30,0x37fffa60,0xbfffd300,0x3e0fc401,
    0x0607f406,0x0010000c,0x10018001,0x06000c00,0x01800300,0x80062098,
    0x4c075001,0x06000402,0x00c00300,0x006000c0,0x504c0030,0x03fb807f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x801fb000,0x000006f8,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x30000000,
    0x00cc0013,0x80540022,0x80544008,0x800a8008,0x03300008,0x0801884c,
    0x40004c00,0x98062009,0x22000200,0x00000009,0x00310001,0x98002620,
    0x4fb8130a,0xfd81fe00,0x41b202fe,0x82ec04fa,0x036404fa,0x007bff66,
    0x7f303fc8,0x3ae203f6,0x3f2204ef,0x75c02dff,0x540bdfff,0x442fa82f,
    0xb803efeb,0x80ceffff,0x13e602fb,0x8033bfae,0x3dfffec9,0xfffffc80,
    0x3fffee03,0x00fc84fa,0x43660db0,0xb03f305d,0x075c09ff,0xf3027fec,
    0xe99ed803,0x40bf1006,0x901d92e9,0x209fd7bf,0x0fea9cfe,0xd759dfb0,
    0xfb0bf0bf,0x9fb59fd0,0x2afbfa20,0x7dc0efdb,0xfb13e602,0x260df95b,
    0xbd710acf,0x655f7ec0,0xaefa85fe,0x3904ffc8,0x7dc40000,0x2703e882,
    0x203f304e,0x0fa209d3,0x0fdc7f30,0x000064c0,0x03f21fd4,0x84f989f5,
    0x85fb03fc,0x713e20fc,0xc80fe85f,0x41df503f,0x93e602fb,0x217d44f9,
    0x17a203f9,0x0ff417e6,0x213f21fa,0x5c8009a8,0x6c176c40,0x9d04e805,
    0x17609d00,0x0fc97e60,0x404d4c40,0x7ec13018,0x3ee27cc0,0x2fcc2b82,
    0x3f98df10,0x70b707ea,0x405f983f,0x80bee4fb,0x541f64f9,0xeeed9fc1,
    0xfb89d10c,0x7c47f502,0x36a4fa85,0x7402efff,0x541f5006,0xc84e800f,
    0xf509d006,0x2ebf6001,0x7ffd404f,0x443ec1ef,0x2fc17a3f,0x7dc00fee,
    0x26e80401,0x03fa006d,0x4df003f9,0x93e602fb,0x74d5005f,0x1aa6d99b,
    0x7cc00bf3,0xdf54f883,0x203ff715,0x13f504f9,0x8017c4db,0x8007d44e,
    0x0017c44e,0x9807fff1,0x0feb8aef,0xf8fe21f6,0x4f98dd05,0x0001fb00,
    0x00fe27ee,0xfb07fb51,0x2e1fb001,0xf93e602f,0xc83efe9c,0x7c7a8ba4,
    0x0567fec0,0x9f109f10,0x0bf303fa,0x7e401ff3,0x8017a1df,0x800fe24e,
    0x2002f44e,0x7400fffc,0xfb2fc41f,0x13e27f10,0xdffd73f4,0x003fc09d,
    0x01f79f10,0xff05ffc8,0x7dcbf200,0x7c53e602,0x0ffebefd,0xecace8ba,
    0x7fe416c3,0x0dd03eff,0x20df19f7,0x00ffc47f,0x7d40eb80,0x36a5d800,
    0x0eb800ce,0x3fa207d4,0x83715fbb,0x3ecfd05f,0x04f89fc4,0x67f654fd,
    0x001fa03c,0x100dbdb0,0x7f83df73,0x3ee3f900,0x7cd3e602,0x5d27dc3f,
    0x7417eef4,0x3ffb2602,0xb10fdc0d,0x3609f39f,0x0007fa0f,0x3fe60fcc,
    0xf987dc00,0x7cc05eab,0x3207fcc1,0x3ef3f62f,0x3ffffe62,0x0fb0ffff,
    0xe82fc7f1,0xd801fc86,0x3ea0000f,0x27d4003f,0x3f6003f6,0x7cc07f50,
    0xf881ff14,0xf72e92e6,0x88007c41,0x6ffc44fd,0x4f9cfffc,0x0fe61fb0,
    0x221f4400,0x3e600fdf,0x406c8622,0x07efc43e,0xfffd11ba,0xaaaadf98,
    0x261f62aa,0x2fc17e3f,0x2fb803ec,0xff80ee40,0x5c7e8000,0x266e801f,
    0xf8bea04f,0xd34cfd06,0xc8d52ec5,0x6c43f403,0xf8cf9cee,0x1fd4df06,
    0x8d9017dc,0x200f9ce8,0x80bea04e,0x7ce7446c,0x7fc437c0,0x41106f84,
    0x363fa87d,0x5f84f887,0x4c0df300,0x409f00ff,0xf98ff05d,0xf127dc06,
    0xfd0fe40b,0x3a9d1be0,0x0fa2be22,0x047e80fd,0x83fd3f98,0x743745fa,
    0xdb03ea06,0x1b203f53,0x3ea02fc8,0x0fd4f6c0,0xfff50bf2,0x7cc1fd83,
    0x7fb07f25,0x07f217d4,0x7e4001f7,0x504fd884,0x20fe403f,0x04fb85fa,
    0x2fe81df5,0x3ee0ff88,0x3a227d42,0x2e13a204,0x44fa80df,0xf31fc86e,
    0x81df939f,0x3febbefb,0xddb05f10,0x1f981dfd,0x7c403d90,0xefeeed82,
    0x32b7fe60,0x261ffcef,0x0feb9cff,0x3b6afbea,0x756ff43f,0x7fffdc4f,
    0xfb06bbde,0x0bffb59d,0xf880bf99,0x00ffc9be,0xfb759df9,0x7bff101d,
    0xfd03ff97,0x101df937,0xf95137bd,0x5effec09,0x7e40efdc,0x4c4fdabd,
    0x700dfffe,0x6c039ffd,0x440f9805,0xdddf903f,0xf300bb0d,0xbfffd301,
    0xfd107ea1,0xff703bff,0xd887f1bf,0xcfa84eff,0x1ffffdaa,0xcfffdb88,
    0x001dfd01,0x01bfff93,0xbdfffca8,0x3ffb6600,0xff9101de,0x6dc401bf,
    0xb802ceff,0x00dffffe,0x807dffb7,0x64c00001,0x07503000,0x20ccccc4,
    0x803000c9,0x01801018,0x00080010,0x00c00330,0x00300008,0x04400020,
    0x04000600,0x00011000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00080000,0x00000188,
    0x26000000,0xfffc8009,0x00003fff,0x00c40000,0x00020000,0x01884400,
    0x00000011,0x00000000,0x37fae200,0xbffb100a,0xffec9807,0xf88003df,
    0x7d97dc03,0xfffdb800,0x3bf602ef,0x7ec2eeee,0xb807f701,0xffffffff,
    0x03fb2fff,0x71004fe8,0xb001bffd,0xb97d401f,0x5f75e81f,0xffff7000,
    0xf7019fff,0x19ffffff,0xffffff70,0xafc4bfff,0x36b3f67d,0xadff884f,
    0x59f303fd,0x0017ae21,0x2fb807f1,0xefb800fb,0x04febaac,0x17e200bf,
    0xff003fe2,0x9999bfd9,0x807b2399,0xf800fef9,0x406fcacf,0xff300ffb,
    0x57a07ee5,0xfb8002fb,0xffedcccd,0x6666fdc1,0x7dc1ffed,0xcccccccd,
    0x9bed7e23,0x3607ec3f,0x260fdc2f,0x0bd1043f,0x2e01fc40,0x5c00fb2f,
    0x83fb104f,0x3ee003f8,0x2e017e42,0x0003f93f,0x00febf20,0x02fa83f5,
    0xf701fff1,0x207ee5ff,0x3337f75e,0x02fb8033,0x02fb8df5,0x02fb8df7,
    0xbbed7e20,0x3e17d41f,0x1fc4f887,0x3a25dffb,0x3e22a604,0x7d97dc03,
    0xdf101351,0x7d44f880,0x6f880332,0x3fa01be2,0xb3003f90,0x80df5f80,
    0x3a0bf06e,0x6fec0fcd,0xd03f72fb,0x3ffffeeb,0x5f703eff,0x5f71fe40,
    0x5f71fe40,0x7dafc400,0x21fc89f5,0x54bd05f8,0x8fd47b66,0xffffb86a,
    0x97dc03fb,0x2ffffbfd,0x404017d4,0x2fffedfb,0x0fe4fea0,0x1fc93ea0,
    0x3ea07a80,0x10003f92,0xf91f70bf,0x25f52d81,0xf75f81fb,0xff955559,
    0x4405f707,0x980bee5f,0x800bee5f,0x7e4fb5f8,0x6f84fdad,0x4d326f88,
    0x41f04c1f,0xffc8aef9,0xfd97dc03,0x21fea8cf,0xfb0001fc,0x03ff935d,
    0x402fcff4,0x007f20fe,0x30fd81ea,0x7f90009f,0x01f92f98,0x81fb97d4,
    0x2205f75f,0x402fb87f,0xf00bee7f,0x4ccdfdcf,0xafc41999,0x3fffa27d,
    0xfb83fd05,0x403d4ba7,0xfb03fa2d,0xfb2fb807,0x1fa5f987,0x20ccccc4,
    0x446fa83a,0x9afffb99,0xfc89f501,0x26ffffff,0xe8bf107b,0x1bea000f,
    0x007e4bd1,0x20bee5f5,0x6c05f75f,0x337f721f,0xb87f40cc,0xb87f402f,
    0xffffffff,0xbed7e21f,0xefb9bef9,0x6d6ffcc0,0x3d4ba7ef,0x86f89740,
    0x97dc03fb,0x3a7f81fd,0xffffe80f,0xa8ff000f,0xffffffff,0x640fe81f,
    0x3cccccdf,0x0bee03ee,0x3ea007f7,0xf907e40e,0xfb97d401,0x2fbafd45,
    0xbfb91fa0,0x27e81999,0x87f402fb,0xcccccdfb,0x6d7e20cc,0x4f981fb7,
    0xd9effc88,0x641f92e6,0x13e61f13,0x5f700fe6,0xc87ec1f6,0xeaaaa81f,
    0x41fb000f,0x9bfb9998,0xeeffa819,0xc801ffee,0xeeefe81f,0xfb806fee,
    0x3217d40e,0x5cbea00f,0x5ffcadff,0x13ea05f7,0x4df00bee,0x73fc02fb,
    0xafc4005f,0xfd05f8fd,0x6997a080,0x43ee2bb2,0x2213e66a,0x47ee023f,
    0x7d4fb07d,0x360fd803,0x5445f884,0xaaacfcaa,0x7fffff40,0xfc801fff,
    0x77777cc1,0x2e01feee,0xfffd80df,0x507fffff,0x3fefee5f,0x9bf75dbf,
    0x03ffd999,0x2fc405f7,0x37c405f7,0x7c4005f7,0x20bf1fb5,0x7c414c7e,
    0xbfb52744,0x0df0fa23,0x90fea7f7,0xf103f61f,0x20077c4d,0x507f20fd,
    0xeeeea85f,0x261eeeef,0x003f905f,0x01fc85fb,0x17f20bf3,0xecccccb8,
    0x25f504cf,0x3ee031fb,0x1dffffff,0x7e405f70,0xfc80bee3,0x8800bee2,
    0x03fafb5f,0x40fc8bf3,0x027440fc,0x83fb09d1,0xe8bf33fd,0x9f50ff67,
    0xf700efa8,0x4df7c41f,0x7d400efd,0x6407f602,0x42fd801f,0x207f406f,
    0xf90004fa,0xfb97d401,0x4cdfdc01,0x205f7001,0x817dc6fb,0x017dc6fb,
    0x4df6bf10,0x0ffc9bef,0x7e4d77c4,0x137bd102,0x3e209f95,0x23ffeacf,
    0x24fdbdfe,0xffc9bffd,0xbceffa80,0xc982efed,0xa800dfff,0x40bf302f,
    0xcccccdfc,0x7d45fb2c,0xf11fdc03,0x7999999f,0x2a00fc80,0xb803f72f,
    0xdfb8002f,0x0fffeccc,0x76666fdc,0x6fdc0fff,0x4ccccccc,0xd33ed7e2,
    0x2a03dfff,0x4403dffd,0x02ceffdb,0x7cf7fecc,0x13ffae23,0x1bfff3db,
    0x7fff64c0,0x8003003e,0x03fb02fa,0x7fffffe4,0x6c3d94ff,0x537c400f,
    0xffffffff,0x200fc80d,0x803f72fa,0xfb8002fb,0x03efffff,0xddfffff7,
    0xffff7017,0x44ffffff,0x0310fb5f,0x08000440,0x30008800,0x10002200,
    0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00198000,0x26153000,0x006a2110,0x07b37b91,
    0x08800000,0x80000131,0x0cc400a9,0x00098800,0x0000cc00,0x00000130,
    0x9bdc8800,0x5403303d,0xffffffff,0xfffff70f,0x2601bdff,0x2a2efffd,
    0x713e603f,0x27f3ffff,0x2ffffbed,0x1ffd7d70,0xff501fc8,0xb7403ec3,
    0x3ecfb3fa,0xdffff500,0x64fff901,0x27f8801f,0x7ec03ffb,0x5fb9be66,
    0xff913e20,0x7ffffdc3,0x7fe42dff,0x203effff,0x80ffebeb,0x577cc2fa,
    0xccccccdf,0x5559f70c,0x881dff95,0x0feb8bef,0x27cc07f5,0xff913bf5,
    0x2a2fff67,0x020880fe,0x7fd40fe4,0xaec03ec1,0x3ecd92e9,0xa8aef980,
    0x0d77c45f,0x3e6003f9,0x440bff73,0xb83f66ff,0x49f103ff,0xf70fdbfa,
    0xff99999b,0x6666fe45,0x41104fed,0xf30bea00,0x2e007f5d,0x70ff202f,
    0xf53fa83f,0xfd27cc07,0x9fb3fd81,0x53105f98,0xa83f9015,0x007d81ff,
    0xd803ec00,0xf30fdc1f,0x4003f907,0x01fdf73a,0x41c9bfee,0xf880fffb,
    0xb9e45324,0x64ff302f,0x00fe881f,0x2e2026a2,0x2bbe61bf,0x05f7003f,
    0x41762fcc,0x4c07f56e,0x3ee1be4f,0x0df03fb3,0x89fffff7,0x07fea1fc,
    0x4c0cc3ec,0x22fb0c40,0x807f80aa,0x3209bfa8,0x5c26001f,0xd9d03fbf,
    0x33ee04cd,0x984f886f,0xfd017dc0,0x7dc07f21,0xefffda82,0x33fffe42,
    0x2007f5df,0x0fea02fb,0x3faafc40,0x27cd3e60,0xb07d9fc4,0xa8e7dc1f,
    0x547f22fe,0x91f600ef,0x6c4f889f,0x3ffebf67,0x2013e23f,0x322ffffe,
    0x29f1001f,0xf885e9fb,0xb89f16ea,0x7c43fc9f,0x3ee27c44,0x7e43fa02,
    0xfa81f901,0x21ffb8ae,0x3e61bfb8,0xf7003fad,0x003fa605,0xacfa8ff4,
    0x4fbaaaaa,0x27f109f3,0x6d8fb07d,0x27f23fa8,0x3ec00ffa,0x89f109f7,
    0x22bff67d,0x0bf11fea,0x4137f510,0x9f1001fc,0x703f27ee,0x227c5baf,
    0x20ff89fb,0x227c44f8,0x4bf302fb,0xc9999bfc,0x4c0fe84f,0x2217d45f,
    0xfffffacf,0x3bee0fff,0x2effeeee,0x2a2fd880,0xffffffff,0x2a1fe4ff,
    0xf883fb3f,0x23fb9806,0x04fffcfc,0x104fbbec,0x3f67d89f,0x0ff1fd42,
    0x41fcc591,0x9f1001fc,0xd0fe67ee,0x227c5ba9,0x44df51fb,0x2e27c44f,
    0xfdbaaacf,0x3ffff22f,0x6f885fff,0x82fa8ff0,0xcccdfacf,0x777dc4cc,
    0x2002ffee,0x567d43fd,0x4fbaaaaa,0x27fb07f6,0x427d44fd,0x4ffffeda,
    0x3fa3bff2,0x17eff601,0xb3ec4f88,0x364f881f,0xf307e41f,0x2003f907,
    0x3a3f74f8,0x8b747e25,0xf90fdc4f,0x9f113e27,0xffffffb8,0x567e42ff,
    0x20dfdcba,0x41fb04f9,0xfabf82fa,0x985f7003,0x4f9800ff,0x3e603fa8,
    0x36b3fe24,0x5bffb3ff,0x9df90df9,0x7e49f315,0x201ff30e,0x100ffffd,
    0x1f67d89f,0xcff893e2,0x1fcc4fc9,0xf8800fe4,0x43ee3f74,0x27c5ba6b,
    0x8ff887ee,0x227c44f8,0x09999bfb,0x3ea03f90,0x7ec13e64,0x2fe0bea0,
    0x5f7003fa,0xa801df50,0x203fa81f,0x7ff444f9,0xf5fb3fae,0x6f881bff,
    0x07f24fa8,0x2ff60bf7,0x89f105f9,0x3e21f67d,0x5f7ff4c4,0x7e41fcc0,
    0x2e9f1001,0x93a7f31f,0xfb89f16e,0x27cf7d41,0x05f713e2,0xff00fe40,
    0x46f837c4,0xfaae82fa,0x205f7003,0x064c05fc,0x9f301fd4,0xd9fc4220,
    0x85f88027,0x207f24fd,0x327d83fe,0x6c4f882f,0x13e21f67,0x07f302f4,
    0x3e2003f9,0x4f743f74,0x27c5ba1f,0x33f607ee,0x2e27c44f,0x07f2002f,
    0x20ff47f8,0x417d45fa,0x7003fa8a,0x017f405f,0x2603fa80,0xb3f8804f,
    0x4dfec00f,0x3f24ffda,0x6c1ff881,0xf103fa27,0x21f67d89,0x0dd504f8,
    0x07f20fe6,0x1fba7c40,0x2dd1b3ee,0x40fdc4f8,0x7c44fff8,0x90017dc4,
    0x317ee03f,0x1df939ff,0xa80bef98,0x05f7003f,0xfc807fd4,0x2603fa82,
    0xb3f8804f,0x7fecc00f,0x3f26e8cf,0x6c1df501,0x3e22fd47,0x10fb3ec4,
    0x0dd7509f,0x37f20fe6,0x20cccccc,0x4c3f74f8,0xf8b743ff,0xfa80fdc4,
    0x2e27c44f,0x37f2002f,0x0ffedccc,0x0dfffe98,0x3e63ffb0,0xf7003fad,
    0x904fd805,0x407f505f,0x3f8804f9,0x006000fb,0x2fec03f9,0x445fb0fb,
    0x0fb3ec4f,0x17bd09f1,0x3f20fe60,0x1fffffff,0x20fdd3e2,0xf8b741fe,
    0xfb00fdc4,0x7dc4f889,0x3fff2002,0x800cefff,0x0bf30001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3ae00000,0xf04c6b9c,0xffffffff,
    0x5555554c,0x15300aaa,0x06a6206a,0x98801551,0x0a9800aa,0x004d4c40,
    0x0c404d44,0x09a98098,0x2600ea80,0x02a62110,0xffffd844,0xf71fffff,
    0x3a4fc80b,0xc87fa02f,0x209ff01f,0xffff71fc,0x29ffffff,0x2fc402fc,
    0x45ffb7f3,0x3bbba5f9,0x0067feee,0xfffd710c,0xfffc83fb,0xffffbbff,
    0xfffff705,0x3fffea09,0xffffa80e,0xfffb501e,0xf887d85d,0x3ffffa63,
    0x980fd404,0xfff5db5f,0x974fa89f,0xff999999,0xf9817f43,0x6407fc46,
    0x4c1fd43f,0x54fd06ff,0xccffcccc,0x809f32cc,0x088222fb,0x7e40274c,
    0xfb0c0061,0xb8df913b,0x9ffd50bf,0xfb89f713,0x985fd51c,0x45fa8aef,
    0xfeb8aef9,0x5c577d40,0x221f61ff,0x6c47fa3f,0x407ea02f,0x17ffb4e8,
    0x3ff63fd3,0x4c3fd804,0x81fe80ff,0x42fd45fa,0xfbfb85f8,0x3a027c40,
    0x3a03f407,0x054c4227,0x0c4fa800,0xd8bf5180,0x321762fe,0x361fc86f,
    0x7ec3fa86,0x3fd0fdc1,0x07f45f88,0x887d97e6,0x39113e3f,0xd800fd40,
    0xd39fd42f,0x705fc809,0x203fb89f,0x01df13fd,0x3e7b61fa,0x3a017d43,
    0x9817dc07,0x3febb64f,0x7c4004ff,0x2e300186,0x13e3ae3f,0xf307f930,
    0x43fb9807,0x20bf007f,0x7c1be27e,0x8fe21f67,0x3e602cfe,0x7fffffff,
    0x9f103f60,0x3bea04e8,0x7cc7fa00,0x74ffc405,0x887ee01f,0x0fc8bf3f,
    0x3e203f40,0x7ec1f905,0x01fe98bf,0x00607f20,0x1f30fd8c,0xffd9317e,
    0xffffffff,0xffeda89f,0x013e24ff,0x3fffffe6,0x09f30fff,0x443ec3f6,
    0x3fffa23f,0x6e66442d,0x3604ccdf,0x2744f887,0x4c00ff98,0x3001fd6f,
    0xf9807fff,0x23e47ea3,0x807e806e,0x6c5f80fd,0x801fd42f,0x200306f8,
    0x25f11fb1,0x33bee5f8,0xaaacfa8a,0x3bf21aaa,0x224f98ac,0xadf9805f,
    0x262aaaaa,0x361fb04f,0xb983f987,0x3ea03ffe,0xf10fb001,0xfe884e89,
    0x7fdf9002,0x8037e400,0x1fa9f24f,0x0fd009f1,0x2fa87f50,0x13e207ec,
    0x0181fdc0,0x93abee30,0x70df13fb,0x2213107f,0x7c4fa86f,0x1be2c887,
    0x20df1044,0x3ea1f66f,0x0ff10263,0x7d800fd4,0x42744f88,0x7f4003fd,
    0x3ffe2005,0x97a6d802,0x003f54f8,0xb1be00fd,0x9f10fb0f,0x0c03fa00,
    0x8dff3180,0x889f31fd,0x11fc86fe,0xd89fb0bf,0xfb07e41f,0x7f45f983,
    0x3f92fd41,0x0bf13fd8,0x00fd40fd,0x04f887d8,0xb8005fc8,0x2bf6002f,
    0x47dc00ff,0x7caf42f8,0x3200fd00,0xfb09f10f,0x17e69f10,0x001813e6,
    0x7556fec3,0x5cdff44f,0xc9aefbee,0x54dfec4f,0x7fc44ffd,0x7cc4fc9c,
    0x40feb9cf,0xefc9cff9,0x36afbea0,0x2b3f23fe,0x2a204fca,0x1f6bf300,
    0xfa8093e2,0x05f70006,0x2fdd3f20,0x03eebe60,0x74017af9,0x2e7f3007,
    0xf887d81f,0x3f70bf34,0xf31800c0,0x305bffd9,0x7549fffb,0xfd983eff,
    0x986e8cff,0x880beffe,0x301dfffe,0x701bfffd,0x47f1bfff,0x43fffeb8,
    0xccccccc8,0x3ed7e64c,0x26f8a7c4,0x70000ff9,0x8df3005f,0x6e7c03fd,
    0x03f9f986,0xb7400fd0,0xf10fb06e,0x07ec2549,0x14460030,0x88020011,
    0x10003000,0x06000c00,0x01100040,0x3fffffe6,0x880007ff,0x003fd16f,
    0x22017dc0,0x0ffc40ff,0x3e09fbb0,0x0fd001fd,0x81fd7dc0,0x364f887d,
    0x55407e82,0xaaaaaaaa,0x00000001,0x00000000,0x00000000,0x80000000,
    0x99df95f8,0x05999999,0x3f6017dc,0x5c0df502,0x0dfb01ff,0xf1003f40,
    0x21f601ff,0x3e0714f8,0x00000005,0x00000000,0x00000000,0x00000000,
    0xca740000,0xffffffff,0x0bee03ff,0x7e405fb8,0x5c0ff104,0x01fa004f,
    0x00009f90,0x00000000,0x00000000,0x00000000,0x00000000,0x59000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0xa8835108,0x81880881,0x22026218,0x26666609,
    0x98062199,0x15066110,0x000b8660,0x14c2a1a8,0x03500033,0x500000b2,
    0x5c004401,0x2009801e,0x02600c01,0x3fffa044,0xfd2fffff,0x5fffffff,
    0x20110204,0x9ffffaed,0x361efffa,0x3740ff87,0x37c41ff1,0xfffffff3,
    0x2a0bee1f,0x9ff7db2f,0x37f6fbe2,0x077fe6fb,0x26c8fd40,0x003f53f8,
    0x3e05fd71,0xe885d104,0xfb04fb82,0x17e405fd,0xa8dfdf70,0x7fe43ffe,
    0xdb05d03f,0x6eeee49d,0xbb92fddd,0x43bbbbbb,0x04c8fd6f,0xdf715ffb,
    0x549f517f,0x88ffe61f,0xfd2fd43f,0xc9999983,0x3617e24f,0x86efff67,
    0xfffceff9,0x0fbff220,0x85f34f88,0x4c0db0fb,0x3e02dffc,0x225fd104,
    0x0ffe82fe,0x205d86cc,0x23d10098,0x7d4fe2f8,0x83ee1f30,0x953bad9d,
    0x17c400f4,0x8fd6f800,0x42fd85eb,0xf13ec4fe,0xf52f7dc9,0x7f95f903,
    0xfb0bf500,0x5fb27c41,0x0fb13e20,0x2067ff54,0x3a0dd0fd,0xfea89f36,
    0x04f801cf,0x0ffaffa2,0x440febea,0x3bba62fb,0x986eeeee,0x41f33fca,
    0x6c4d903e,0x4593efff,0x02f8802c,0x89fabf00,0x40fd87d9,0xd07e41fc,
    0xdb3e6ecd,0x017ffa20,0x3ea03be6,0x0fd87ee2,0x2f981f70,0xa97fe4c0,
    0x2a03f93f,0x3fa3f93f,0x7776c02e,0x442eeeef,0x2db03ffe,0x45db107c,
    0xeeeeeee9,0x2f7fa26e,0x84d8f73f,0x0eea81fc,0x003a67a6,0x6665cbe2,
    0x3a1ccccc,0x16ff4d94,0x207e43ec,0x7c3ee0fc,0x409f1fab,0x74400ffa,
    0x6e97e00f,0x81f703ec,0x7e4402f9,0x3ee9f32f,0x3f65f702,0xd805bfd1,
    0xeeeefeee,0x417ff442,0x407f33f9,0xf70000fa,0x20f89fc4,0x4c0f6c2f,
    0x6f546c9f,0x3a5f1001,0xffffffff,0x0025cb22,0xc81f90fb,0x3e6be60f,
    0x01f9bf88,0xe880fff6,0x4c7e401f,0xf103ec3f,0xb500fd89,0x0fc839ff,
    0x26bf10dd,0x5fff5c3f,0x2204f800,0x642febfe,0x9fa9ba0f,0x0bf206d8,
    0x27f5e7cc,0x744fd7dd,0x5128199e,0x00000000,0xc87d8000,0x3a07e40f,
    0x1f37a7cd,0x01fdcfa8,0x7f3005fb,0x207d81f9,0xffeceff9,0x2fffae20,
    0x1fcd7a00,0x302f43f2,0x7c03bffb,0x227fd104,0xa89f12fe,0x077ff21f,
    0x36a02fc8,0x5edc3a8b,0x3fffff20,0x00000001,0x36000000,0x7e40fc87,
    0xf9277e40,0x45be209d,0x003fc86f,0x1f617b7a,0x6ff5f7c4,0x0b7fe6fb,
    0x0fb8fcc0,0x003ea5f1,0x7c0bff22,0xe887d104,0x03501513,0x00000000,
    0x00000000,0x40000000,0x640fc87d,0x517fcc0f,0x87f605ff,0x2bbee4fa,
    0xb80aaaaa,0x207d82ff,0x0e43300a,0x2150cc00,0x20006a29,0x0007d02b,
    0x00000000,0x00000000,0x00000000,0x643ec000,0x7c07e40f,0x5c1fe20f,
    0xf92fd84f,0x5fffffff,0x1f60ff10,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x02a88bf3,
    0x84c40cc1,0x3e231098,0x2fffff54,0x99999998,0x57e21999,0xaaaaaaa8,
    0x00002aaa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfff92fcc,0x6499339f,0xfa87f43f,0x4d7e2fd2,0xff35eeee,0xffffffff,
    0x7cd7e21f,0xffffffff,0x000000ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0xf957f14a,0x6d87ffff,0x91ea8bea,0x0000004b,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x54044b60,0x50b881bc,0x00000005,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00014400,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_22_latin1_x[224]={ 0,1,0,0,0,1,0,0,1,1,0,1,1,0,
1,0,0,2,0,0,0,0,0,0,0,0,1,1,1,1,1,0,1,-1,1,0,1,1,1,1,1,1,0,1,
1,1,1,0,1,0,1,0,0,1,0,0,0,0,0,1,0,0,0,-1,0,0,1,0,0,0,0,0,1,1,
-1,1,1,1,1,0,1,0,1,0,0,1,0,0,0,0,0,0,1,0,0,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,1,0,0,-1,
1,0,0,0,0,1,1,0,0,-1,1,0,0,0,2,1,0,1,1,1,0,1,1,1,0,1,-1,-1,-1,-1,
-1,-1,0,0,1,1,1,1,0,1,-1,0,-1,1,0,0,0,0,0,1,0,1,1,1,1,0,1,1,0,0,
0,0,0,0,0,0,0,0,0,0,0,1,-1,0,0,1,0,0,0,0,0,0,1,1,1,1,1,0,1,0,
 };
static signed short stb__arial_22_latin1_y[224]={ 17,2,2,2,1,2,2,2,2,2,2,5,15,11,
15,2,2,2,2,2,2,3,2,3,2,2,6,6,5,7,5,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,19,2,6,2,6,2,6,2,6,2,2,
2,2,2,6,6,6,6,6,6,6,3,6,6,6,6,6,6,2,2,2,8,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,17,6,2,2,5,2,
2,2,2,2,2,7,7,11,2,0,2,5,2,2,2,6,2,9,16,2,2,7,2,2,2,6,-1,-1,-1,-1,
0,-1,2,2,-1,-1,-1,0,-1,-1,-1,0,2,-1,-1,-1,-1,-1,0,5,2,-1,-1,-1,0,-1,2,2,2,2,
2,3,2,2,6,6,2,2,2,2,2,2,2,2,2,3,2,2,2,3,2,6,6,2,2,2,2,2,2,2,
 };
static unsigned short stb__arial_22_latin1_w[224]={ 0,3,7,11,11,16,13,3,5,5,7,10,3,6,
3,6,11,6,10,11,11,11,11,11,11,11,3,3,10,10,10,10,19,15,12,14,13,12,11,14,12,3,9,13,
10,14,12,15,12,15,13,13,12,12,13,19,14,13,12,5,6,5,9,13,5,11,10,10,10,11,7,10,9,3,
5,9,2,15,9,11,10,10,6,10,6,9,10,15,10,10,10,7,3,7,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,0,3,9,11,11,12,
3,11,6,15,7,9,10,6,15,13,6,11,7,7,4,9,11,3,5,4,7,9,16,16,17,10,15,15,15,15,
15,15,19,14,12,12,12,12,5,4,7,6,15,12,15,15,15,15,15,9,15,12,12,12,12,13,12,11,11,11,
11,11,11,11,17,10,11,11,11,11,4,5,7,6,11,9,11,11,11,11,11,11,10,9,9,9,9,10,10,10,
 };
static unsigned short stb__arial_22_latin1_h[224]={ 0,15,6,16,19,16,16,6,20,20,7,10,5,2,
2,16,16,15,15,16,15,15,16,14,16,16,11,14,10,6,10,15,20,15,15,16,15,15,15,16,15,15,16,15,
15,15,15,16,15,17,15,16,15,16,15,15,15,15,15,19,16,19,9,2,4,12,16,12,16,12,15,16,15,15,
20,15,15,11,11,12,15,15,11,12,15,12,11,11,11,16,11,20,20,20,4,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,0,15,19,16,10,15,
20,20,3,16,8,10,6,2,16,2,6,12,8,9,4,15,19,3,6,8,8,10,16,16,16,16,18,18,18,18,
17,18,15,20,18,18,18,17,18,18,18,17,15,18,19,19,19,19,18,10,16,19,19,19,18,18,15,16,16,16,
16,15,16,16,12,15,16,16,16,16,15,15,15,15,16,14,16,16,16,15,16,8,12,16,16,16,16,20,19,20,
 };
static unsigned short stb__arial_22_latin1_s[224]={ 112,252,239,125,190,149,76,251,12,29,202,
127,73,111,132,247,112,176,153,162,164,88,203,104,1,13,237,100,116,228,85,
27,66,137,220,136,222,236,1,73,38,249,52,85,149,165,186,174,207,211,13,
231,63,190,76,43,28,14,1,112,248,118,148,136,89,157,62,169,41,180,141,
245,120,116,94,99,253,1,241,192,62,51,66,214,245,204,55,17,33,151,44,
86,108,100,77,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,
116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,112,133,218,
124,73,100,62,50,100,25,178,96,217,111,215,118,210,225,194,158,95,183,228,
107,247,251,186,106,59,42,24,13,125,168,56,109,1,93,113,35,17,43,30,
234,184,206,72,227,206,80,240,1,202,137,190,138,17,177,153,124,155,141,193,
33,89,113,77,73,200,101,139,130,137,90,176,188,160,180,199,109,55,90,1,
236,224,233,212,166,128,45,67,166,102,18,166,1, };
static unsigned short stb__arial_22_latin1_t[224]={ 21,94,126,41,1,41,60,119,1,1,126,
126,137,137,137,22,60,77,77,60,77,77,60,110,77,77,110,110,126,126,126,
94,1,77,94,60,77,77,94,77,94,77,77,94,94,94,94,60,94,22,94,
60,110,60,110,110,110,110,110,1,41,1,126,137,137,110,77,110,77,110,94,
60,94,94,1,94,77,126,110,110,94,94,126,110,94,110,126,126,126,60,126,
1,1,1,137,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,
110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,21,77,1,
60,126,77,1,1,137,77,126,126,126,137,60,137,126,110,126,126,137,77,1,
137,126,110,126,126,60,60,60,60,22,22,22,22,42,22,77,1,22,22,22,
22,22,22,22,22,77,22,1,22,1,1,22,126,41,1,1,1,22,22,77,
41,41,41,41,94,41,41,110,94,41,60,41,41,94,94,94,94,41,110,60,
41,41,94,41,126,110,41,41,41,60,1,1,1, };
static unsigned short stb__arial_22_latin1_a[224]={ 88,88,112,175,175,280,210,60,
105,105,123,184,88,105,88,88,175,175,175,175,175,175,175,175,
175,175,88,88,184,184,184,175,320,210,210,228,228,210,192,245,
228,88,158,210,175,262,228,245,210,245,228,210,192,228,210,297,
210,210,192,88,88,88,148,175,105,175,175,158,175,175,88,175,
175,70,70,158,70,262,175,175,175,175,105,158,88,175,158,228,
158,158,158,105,82,105,184,236,236,236,236,236,236,236,236,236,
236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,
236,236,236,236,236,236,236,236,88,105,175,175,175,175,82,175,
105,232,117,175,184,105,232,174,126,173,105,105,105,182,169,88,
105,105,115,175,263,263,263,192,210,210,210,210,210,210,315,228,
210,210,210,210,88,88,88,88,228,228,245,245,245,245,245,184,
245,228,228,228,228,210,210,192,175,175,175,175,175,175,280,158,
175,175,175,175,88,88,88,88,175,175,175,175,175,175,175,173,
192,175,175,175,175,158,175,158, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_22_latin1_BITMAP_HEIGHT or STB_FONT_arial_22_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_22_latin1(stb_fontchar font[STB_FONT_arial_22_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_arial_22_latin1_BITMAP_HEIGHT][STB_FONT_arial_22_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_22_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_22_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_22_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_22_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_22_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_22_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_22_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__arial_22_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__arial_22_latin1_s[i] + stb__arial_22_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__arial_22_latin1_t[i] + stb__arial_22_latin1_h[i]) * recip_height;
            font[i].x0 = stb__arial_22_latin1_x[i];
            font[i].y0 = stb__arial_22_latin1_y[i];
            font[i].x1 = stb__arial_22_latin1_x[i] + stb__arial_22_latin1_w[i];
            font[i].y1 = stb__arial_22_latin1_y[i] + stb__arial_22_latin1_h[i];
            font[i].advance_int = (stb__arial_22_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__arial_22_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_22_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_22_latin1_s[i] + stb__arial_22_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_22_latin1_t[i] + stb__arial_22_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_22_latin1_x[i] - 0.5f;
            font[i].y0f = stb__arial_22_latin1_y[i] - 0.5f;
            font[i].x1f = stb__arial_22_latin1_x[i] + stb__arial_22_latin1_w[i] + 0.5f;
            font[i].y1f = stb__arial_22_latin1_y[i] + stb__arial_22_latin1_h[i] + 0.5f;
            font[i].advance = stb__arial_22_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_22_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_22_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_22_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_22_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_22_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_22_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_22_latin1_LINE_SPACING
#endif

