// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_26_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_26_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_26_latin1_BITMAP_WIDTH         256
#define STB_FONT_arial_26_latin1_BITMAP_HEIGHT        184
#define STB_FONT_arial_26_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_26_latin1_FIRST_CHAR            32
#define STB_FONT_arial_26_latin1_NUM_CHARS            224

#define STB_FONT_arial_26_latin1_LINE_SPACING          17

static unsigned int stb__arial_26_latin1_pixels[]={
    0x81dd2f4c,0xd80002c9,0x444d804e,0xccccccba,0xdd01f52c,0x00133326,
    0x0bb60000,0xb1000c00,0x7640005d,0x37db5004,0x00999950,0x3baa002e,
    0x8164c002,0x20dd1feb,0x0bdeeca8,0xb101deb8,0x3e6f987d,0x0027dc0f,
    0x5003be60,0x7fffd41f,0x24ffffff,0xff56e84d,0x9fe201ff,0xf70001fe,
    0x01e6000b,0x2000df70,0x7c400ff8,0x645ffeff,0x7a807fff,0x1feef880,
    0x2a13ee00,0x70dd0fff,0xffffffff,0x00fffa85,0x23c88ff3,0x027dc0cc,
    0x2007f600,0x3fffe64e,0x1affaadf,0x2add07e6,0x27f8804f,0xfd0001fe,
    0xffda8001,0x3f9001cf,0x005f9000,0x07fc49f7,0x2e403fc4,0x77cd7f40,
    0xb07d5000,0x7d46e85f,0xfda88acf,0x203fc82f,0xf70003fb,0x01a80009,
    0x3ff60fb8,0x41fe3fff,0x4fab745d,0x05545500,0x000d4400,0x3f7f7ff6,
    0x0035000f,0x3fa00550,0x7c427dc0,0x4403f807,0x0006a62a,0x4dd03fe0,
    0x3f601ffa,0x5404f987,0x49f70002,0xf0000009,0xfffffe8b,0x0fd41fe3,
    0x2013eadd,0x0aceecb8,0x3bb2e200,0x77d400ac,0x44bf7798,0x14c8804c,
    0x89910099,0xf10182fd,0x03eaa20f,0x59dd9710,0x0df00001,0x2027fcdd,
    0x2fc42ff8,0x0bf53970,0xbcfb8ff4,0xfa83efff,0xfb87fa05,0x7fffffc2,
    0x37c41fe3,0x5013eadd,0xffffffff,0xffff5007,0x6407ffff,0x8ffcf33f,
    0x7f9807f8,0xff300ff1,0x1003ff98,0xfffd98ff,0x3ffea03f,0x803fffff,
    0xe86f84fb,0x2600ff16,0x3a05f880,0xf101ff2f,0x577ffdcd,0x0ff83ffc,
    0x07f46f88,0x8ffffff6,0x743f607f,0x7e409f56,0xff9511cf,0x8e7fe407,
    0xb03ffca8,0x4409e65f,0x17f9807f,0x0ff300ff,0x8801bffb,0x2b3fe67f,
    0xffc84ffe,0x7ff9511c,0x6f84fb80,0x00bf56e8,0x3a06f880,0xf707f92f,
    0x221ffdc7,0x41fe41ff,0x5437c3fb,0x3e3fffff,0xb74bf207,0x3ff304fa,
    0x4c17fd40,0x3fea01ff,0x0f34fc82,0x7cc03fc4,0xf300ff17,0x7f5f744f,
    0x45fe203f,0xff7f12ff,0x500ffcc1,0x27dc05ff,0x65ba1be2,0x6f80004f,
    0x37ccbfa0,0x0df707f4,0x0df313ee,0x82fc41fd,0x3e3ffffb,0xb74fee07,
    0x07fd04fa,0xfe81ff70,0x40ffb803,0x2079cff9,0x7f9807f8,0xff300ff1,
    0xbff907e4,0x3e6ff101,0xd0e5dea5,0x1ff7007f,0x9f313ee0,0x00ff6dd0,
    0x7403fa00,0xf987fa2f,0xf9827dc5,0x3e61fe85,0x7302fd45,0x503fc7fd,
    0x509f509f,0x17f400df,0x7f400df5,0xbffffa82,0x9807f880,0x300ff17f,
    0x74c37cff,0xbbfc40ef,0x7d41723f,0x40bfa006,0x07fa64fb,0x0027e5ba,
    0x7406fd40,0xfc93ee2f,0xf881fdc2,0x3f24fb87,0x54027dc2,0xf981fe3f,
    0xfb84fa86,0xb93f2005,0x13f2005f,0x6ffffe4c,0x2601fe20,0x300ff17f,
    0x4407f4ff,0xcbfc44fe,0x7dc0be2f,0x413f2005,0x03df54fb,0x002fddba,
    0x740ffa80,0x7f9be22f,0xdf103fb8,0x43fcdf10,0x3fa804fb,0x85f981fe,
    0x04fc84fa,0x4fc97ee0,0x3017ee00,0x7c4dff9f,0xf17f9807,0x5cff300f,
    0x45fa81ff,0x265f97f8,0x009f900f,0x4fb82fdc,0x5ba03ff5,0x597006f9,
    0xfd03fee0,0x4fa9fd85,0xbf303fb8,0x13ea7f60,0x3ea017e6,0x4fa81fe3,
    0x3fe84fa8,0xfe9fe600,0x01fe6003,0x44ffa6f3,0x17f9807f,0x8ff300ff,
    0x27cc4ffd,0xb9fddfe2,0x1ff42a26,0x2e0ff300,0x207fa24f,0x803ff16e,
    0xdfb84ff8,0x7d42fe80,0x6fb81fcc,0x3ea07f90,0x6f881fcc,0x1fe3fa80,
    0x2add2fc8,0x003fd84f,0x03fd9bea,0xf301bea0,0x07f8afdc,0x0ff17f98,
    0xff70ff30,0x883fb13d,0x8fabf37f,0x007fb2fd,0x4fb837d4,0x937427cc,
    0x7fe401ff,0xfd00fe80,0x20dfdf05,0x7fd43ffb,0x81bfbe00,0x23fa807e,
    0x747f607f,0x9f709f56,0xf727dc00,0x227dc009,0x7d4f30fd,0xa801ff15,
    0x801ff16f,0xffd106fa,0x4ff103df,0xdf31fbff,0xf70027dc,0xf113ee09,
    0xefd8dd0d,0x427fdc41,0x0bfa06f8,0x7dc0fff2,0x1ffebfff,0xb01ffe40,
    0x23fa803f,0x6e9fa07f,0x0df309f5,0xdf317e40,0x3a17e400,0x27e4f32f,
    0x5fa803ff,0xbf5007fe,0x105ffb80,0x57ffccff,0x1be61ffd,0xf702fc80,
    0x6e86f889,0x76ffff44,0xdf105fff,0x7cc17f40,0xf79f700f,0xf3005bff,
    0x017dc01f,0x107f8fea,0x4fab74df,0xf1005ff0,0x802ff83f,0x77dc1ff8,
    0x45ff1798,0x27dc02fd,0x4fb805fb,0x884fe980,0x7fffc47f,0x802ff81c,
    0x9f701ff8,0x10dd0ff0,0x5dfffff9,0xfd02fc40,0x5c0bf305,0x9800264f,
    0x037c405f,0x707f8fea,0x4fab745f,0xd801df70,0x00efb85f,0x7f442fec,
    0x44ffcfdf,0x17fc05fc,0x2ff80bf9,0x1be60aa2,0x06fe1fe2,0xd801df70,
    0x213ee05f,0x6406e87f,0x0bf1001e,0x0fe417f4,0x40009f70,0x2fb801fc,
    0x07f8fea0,0x9f56e8df,0x440f7e40,0x3bf205fe,0x205fe881,0x3fffffd8,
    0x440cff98,0x67fcc6fd,0x2237ec40,0x43fc40ff,0x007d47f8,0xe881efc8,
    0x41fe405f,0x6406e87e,0x5f9800df,0x5444bfa0,0x027dc06f,0x01bea220,
    0x8fea05e8,0x741fb87f,0xfd809f56,0x6ffeddef,0xddeffd80,0x2a006ffe,
    0x7ffd401f,0x80fffeee,0xfeeefffa,0x0dfb80ff,0xff10bfb1,0x7ec005c8,
    0x6ffeddef,0xfd82fd80,0x7cc03742,0x01fe4404,0x3fff65fd,0x0027dc01,
    0x8007fff6,0x47f501fa,0x6e85e87f,0x201ffff5,0x3dfffeca,0x3ffb2a00,
    0x3cc003df,0xfffeca80,0x3b2a00bd,0x100bdfff,0x1dffdfff,0x3a3fffe4,
    0xfeca8003,0x7f403dff,0xfffa80ff,0x7ee40dd0,0x3ffea01f,0x754bfa00,
    0x02c9801d,0x000ef540,0x21c981ec,0x6c074c4c,0x00999935,0x22000022,
    0x00a20000,0x44000620,0x3b6e2001,0x666540bd,0x200005c4,0x37b60008,
    0x6c3baa01,0x037bb105,0x0001dea8,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00001bd5,
    0x37bfdb93,0x10000000,0x810009db,0x3ba60029,0x42ee8801,0x00003ee9,
    0xea800a81,0xbd50002e,0x35020001,0x00002000,0x2f540000,0x402f9800,
    0x2a0003fd,0xffdffffe,0xfd000dff,0x7400ff23,0xd1003fdf,0x009d5bff,
    0xfb805fb8,0x17eff445,0x40bf61ff,0x1fbbeffa,0x07f77cc0,0x001ff400,
    0x7de77fcc,0x05dd8001,0x3ee7fb00,0x07fb0004,0x8801f900,0xff90007e,
    0xfda8817b,0x91fe802f,0x29f9007f,0xafa801fe,0x8001ffeb,0x077c01fc,
    0x47fe2ff6,0x205fb0ff,0x05ffdade,0x77ccff44,0x013e6000,0x7fe576c0,
    0x553a8005,0x2e7fb000,0xfd10004f,0x200bd000,0x7ec000a8,0x3ff5000d,
    0x3530aa80,0x154c5500,0x000214c0,0x05440350,0x51a98aa2,0x5402a615,
    0x154c0040,0x14c00355,0x00835000,0x00729300,0x0d442a60,0x00151000,
    0x97101fc4,0x700159dd,0xfa80609f,0x2013220f,0x009914c8,0x32e20991,
    0x2200acee,0xcccccccc,0x0e5c3ccc,0x39701cb8,0x4400cc88,0x9999913c,
    0x47999999,0x993004ca,0x000f2e00,0x8000ffd0,0x5c0003cb,0x0fd4003c,
    0xffffffa8,0x1be203ff,0x369fff91,0x7c45f51f,0xf17f9807,0x50ff300f,
    0xffffffff,0x3fffe207,0x6fffffff,0x2fe817f4,0xff985fd0,0xf8b7cc05,
    0xffffffff,0x0ffe26ff,0x1007fd10,0x20003fff,0x0001fff8,0x0003fff1,
    0x8007ffe2,0x39ff907d,0x40fff2a2,0x37fa21fc,0x227fcfdb,0x201fe24f,
    0x00ff17f9,0xcffc8ff3,0x07ff9511,0x55555ff1,0xfe855555,0x3a05fd02,
    0x1fffcc2f,0x3fe2df30,0xaaaaaaaa,0x007fdc2a,0x3ee00df9,0xf70004fd,
    0x2e0009fb,0x70004fdf,0x7c009fbf,0x201ff984,0x46e82ffa,0x37fdc3fd,
    0x807f89ba,0x00ff17f9,0x0ffccff3,0xf885ff50,0x05fd0007,0x17f40bfa,
    0x403fffe6,0x00ff16f9,0xf982ff40,0xf1fd000f,0x23fa000f,0x1fd0007f,
    0x3fa000ff,0x5f3007f8,0xf7007fd0,0x3ee4f81f,0x644ff885,0x300ff10f,
    0x201fe2ff,0x00ffa7f9,0x7f883fee,0x205fd000,0x85fd02fe,0x305fdef9,
    0x001fe2df,0xfe83ff88,0x36df3003,0xb7cc002f,0x7cc002fd,0x98005fb6,
    0x7005fb6f,0x006fa81f,0x22f98bfa,0x85fd01fd,0x00ff10fc,0x01fe2ff3,
    0x037d5fe6,0x3fc45fd0,0xd02fe800,0x30bfa05f,0x307ff1df,0x001fe2df,
    0x7e41ff70,0x54ff2005,0x9fe4006f,0x7e4006fa,0xc800df53,0xb00df53f,
    0x400bf70d,0xf83ee4fc,0xfd03fa07,0x7cc03fc4,0xf300ff17,0xc8017eef,
    0x001fe24f,0x2fe817f4,0x6f985fd0,0x6f981ff5,0xd0000ff1,0x003fe6bf,
    0x07fe0ff8,0x3fe0ff80,0xf83fe001,0x83fe001f,0x13e201ff,0xfb8013f2,
    0x05f99f65,0x44bf11fe,0x17f9807f,0x2ff300ff,0x3ee004fc,0x3333fe25,
    0x40cccccc,0x05fd02fe,0x4df30bfa,0x8b7cc6fd,0xccccccff,0x3e600ccc,
    0x2002feaf,0x027e45fa,0x27e45fa8,0x7e45fa80,0xc8bf5004,0x207ea04f,
    0x3e6003fe,0x06f99f27,0x22fc8bf7,0x7f9807f8,0xff300ff1,0xf9800ffa,
    0x3ffffe27,0x41ffffff,0x05fd02fe,0x4df30bfa,0x5be63ff8,0xfffffff8,
    0x5c01ffff,0x6c005fff,0x007fcc2f,0x3fe617ec,0x4c2fd800,0x2fd800ff,
    0x7c807fcc,0x54007fb0,0x7c43ea6f,0x71ffc40f,0x807f88bf,0x00ff17f9,
    0x00ff6ff3,0x3fe26fa8,0xaaaaaaaa,0xe817f40a,0x985fd02f,0x987fd46f,
    0x555ff16f,0x01555555,0x4001ffd0,0x07fd07f8,0x7fd07f88,0xfd07f880,
    0xd07f8807,0x5c17a07f,0x93ee004f,0x893fa2f8,0x1ff73ffe,0x5400ff88,
    0x801ff16f,0x009f76fa,0x0ff127dc,0x740bfa00,0x985fd02f,0xf36fd86f,
    0x0001fe2d,0x5c005fb8,0xfeeeeeff,0x77fdc06f,0x06ffeeee,0x77777fdc,
    0x7dc06ffe,0xffeeeeef,0xf303f886,0x217e400d,0x37ffe26f,0xeffffddf,
    0xa803ff00,0x5007fe5f,0x801be6bf,0x01fe22fc,0xfe817f40,0xf985fd02,
    0xf9bff886,0x0000ff16,0x3a002fdc,0xffffffff,0x3ffa01ff,0xffffffff,
    0x3ffffa01,0x01ffffff,0x3ffffffa,0x7dc1ffff,0x200bfe00,0x17e41ff8,
    0x3a67dfb3,0xd82623df,0xb27dc02f,0x24fb805f,0xff8802ff,0x4001fe21,
    0x05fd02fe,0x0df30bfa,0x45bebfea,0x2e00007f,0x1fe6005f,0x3e609fb0,
    0x9827ec07,0x827ec07f,0x27ec07f9,0x1df701b6,0xfd05fd80,0x3fa60003,
    0xff017f21,0x3e02fe45,0x003bee2f,0x07f88bfb,0x3a05fd00,0x985fd02f,
    0x3fff606f,0x0000ff16,0xf9002fdc,0x80ff9809,0x7fcc04fc,0x4c04fc80,
    0x04fc80ff,0x01107fcc,0xd103df90,0x1ffc40bf,0x30bfea00,0xfd8819ff,
    0x2067fcc6,0xefc86fd8,0x885fe881,0x5fd0007f,0x7f40bfa0,0xf1037cc2,
    0x01fe2dff,0x005fb800,0x3fa007fe,0xe801ff83,0x801ff83f,0x01ff83fe,
    0xb0003fe8,0xffdbbdff,0x9dfd300d,0xfdba8835,0xdfff502f,0x501fffdd,
    0xffdddfff,0x3bff601f,0x106ffedd,0xffffffff,0x7f43ffff,0x3a05fd02,
    0x2037cc2f,0xfff16ffa,0xffffffff,0x05fb803f,0x2e00df50,0x8037d46f,
    0x037d46fb,0x37d46fb8,0x3666fb80,0x76541764,0x4003dfff,0xfeffffea,
    0xa804ffff,0x0bdfffec,0x3fffb2a0,0x765400bd,0x2203dfff,0xffffffff,
    0x3fa1ffff,0x3a05fd02,0x4037cc2f,0xffff16fd,0xffffffff,0x005fb803,
    0x3e2007fb,0x400ff61f,0x0ff61ff8,0xfb0ffc40,0x47fe2007,0x201fe6f9,
    0xaa800008,0x0abceedc,0x00018800,0x04400031,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x02647910,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x70000bdb,0x3a6000bd,0x0000000e,0xeca88002,0x000001be,0x676dc404,
    0x013b2002,0x10037aa0,0x866009db,0x547b2028,0x0018803e,0x30005db1,
    0x9db001dd,0x6fe40000,0x7fc0004f,0x07fb0001,0x1ff9fe20,0x805de880,
    0xfffffffb,0x75cc003f,0x21b20cde,0x06ffeffd,0x8001ff10,0xefd803fe,
    0x7ffec03f,0x4bf606ec,0x3fae04fb,0x7dc01dff,0x03fd8006,0x203fefd8,
    0xb5fb806a,0x3ee0007f,0x0bf30003,0x3ff3fc40,0x806e5700,0x9511cffb,
    0xff5005ff,0x77ffffff,0x10dfd87f,0x3e6005fb,0x017e6004,0x80ff57ee,
    0x2efc9af8,0x165472e0,0xfdbdffb8,0x017e400f,0xf700bf30,0x3e207fab,
    0x510aa807,0x00aa0005,0x2000a980,0x002aa2a8,0xfa806cea,0x07fea01f,
    0x261cffa8,0xff84fffc,0x3002fcc0,0x8014c005,0x205530aa,0x40000018,
    0x27dc1ef9,0x53000d40,0x22155001,0x007f882a,0x70000f2e,0x99910079,
    0x99999999,0x66666447,0x03cccccc,0xff881f5c,0x307fc802,0x7fdc03ff,
    0x7dc37c43,0x00351004,0x51000d44,0x00d44003,0x7e403510,0x98809b03,
    0x00262000,0x3e200988,0x3fff1007,0x3ffe2000,0x7fffc401,0x6fffffff,
    0x3fffffe2,0x406fffff,0x0df301a8,0x7fc0ffc0,0x3ffbe603,0x3fa1be60,
    0x7fffe400,0xfff900df,0x3f201bff,0x900dffff,0x01bfffff,0x37fffff2,
    0x40007ec0,0x02fffffa,0x0bffffea,0x2fffffa8,0x03ffffe4,0x0013f7ee,
    0x2027efdc,0xaaaaaff8,0x3e22aaaa,0xaaaaaaaf,0xfff902aa,0x27dc1bff,
    0xf987fb00,0x3e3ba206,0xf717e63f,0xbbefe809,0xefe86ffd,0xe86ffdbb,
    0x6ffdbbef,0xfdbbefe8,0xbbefe86f,0x03fc6ffd,0x75effe40,0xdffc83ff,
    0xfc83ffeb,0x23ffebdf,0x404cffca,0x0007f8fe,0x880ff1fd,0x7f88007f,
    0x2fbfa000,0x3f66ffdb,0x513f2003,0x43ba209f,0xd17e65fd,0x437d401f,
    0x1bea0ff8,0x6fa83fe2,0x3ea0ff88,0x2a0ff886,0x20ff886f,0x7fcc007f,
    0xf307fcc0,0x20ff981f,0x7fcc0ff9,0x2601fe20,0x8005fb6f,0x405fb6f9,
    0xf88007f8,0x0df50007,0x0bfe1ff1,0x7e46fa80,0x7dc3fb03,0x5ff17e66,
    0xfe80e4c0,0x7f407261,0x7f407261,0x7f407261,0x7f407261,0x4cc03fa1,
    0x7e413f60,0x7e413f64,0x7e413f64,0x3201fe24,0x800df53f,0x40df53fc,
    0xf88007f8,0x03930007,0x017f47fa,0x2fe8bf70,0x3fd41fd8,0x2ffb8bf3,
    0x3faea200,0x7f5d4401,0x7f5d4401,0x7f5d4401,0x7f5d4401,0x7fc0ff61,
    0x2666bfa0,0x3fa5fb99,0xfb99999a,0x2666bfa5,0x3e25fb99,0x3e0ff807,
    0x83fe001f,0x0ff101ff,0x000ff100,0x8ff5d440,0x3f2003fc,0x3f21ff44,
    0x3e66fa82,0x104ffc85,0xffffffb7,0xfffdb883,0x6dc41fff,0x41ffffff,
    0xfffffdb8,0x7fedc41f,0x3e61ffff,0x3e27dc1e,0xffffffff,0x3ffffe6f,
    0x3e6fffff,0xffffffff,0x501fe26f,0x004fc8bf,0x04fc8bf5,0x99999ff1,
    0x7c419999,0xcccccccf,0xfdb880cc,0xf51fffff,0x21fec00b,0x40fee3fd,
    0x417e64fb,0x7fc45ffa,0x1fd8acef,0x2b3bffe2,0x3fe21fd8,0x1fd8acef,
    0x2b3bffe2,0x3fe21fd8,0x1fd8acef,0x7f5f7fe4,0x2affe20f,0x12aaaaaa,
    0x555557ff,0x2ffe2555,0x2aaaaaaa,0x5fb01fe2,0xd800ff98,0x407fcc2f,
    0xfffffff8,0x3e21ffff,0xffffffff,0x7ffc41ff,0x11fd8ace,0x4c1303ff,
    0xaafdc1ff,0x98bf604f,0x83fe205f,0x43fd04fe,0x43fd04fe,0x43fd04fe,
    0x43fd04fe,0x03fd04fe,0x017dfff5,0x7fc005ff,0x00bfe002,0x3e207f88,
    0x8807fd07,0x107fd07f,0x555555ff,0x7fc41555,0xaaaaaaaa,0xe827f40a,
    0x3617f21f,0x883fe9cf,0x2605fbff,0x097e60ff,0x1ff12fd8,0x3e25ff10,
    0x12ff880f,0x5ff101ff,0x3e203fe2,0x101ff12f,0x027c05ff,0x1f5417f6,
    0x8faa0bfb,0x47d505fd,0x3fee07f8,0x6ffeeeee,0x7777fdc0,0xf886ffee,
    0x07f88007,0x880ff880,0x0f7ec2ff,0x40dfff93,0x7ec05ffc,0x4faafcc5,
    0x05fd07fc,0x17f45ffb,0x5fd17fec,0x7f45ffb0,0x3a2ffd82,0x02ffd82f,
    0x7cc0df91,0x30ffc41f,0x1ff883ff,0xff107fe6,0x3fa07f83,0xffffffff,
    0x3fffa01f,0x1fffffff,0x44003fc4,0x5fd0007f,0xfb05ffb0,0xfffdbbdf,
    0x3bfe603d,0x985fe981,0xd7bfd15f,0xacffb89f,0x2e3fefec,0xefecacff,
    0x2b3fee3f,0x2e3fefec,0xefecacff,0x2b3fee3f,0x403fefec,0x3ff201fd,
    0xc83ffdbe,0x3ffdbeff,0xfdbeffc8,0x46efe83f,0x27ec07f9,0x7ec07f98,
    0x4003fc44,0xf70007f8,0xfdfd959f,0x3ffb2a07,0x44ffbace,0xdeffeee8,
    0xf305ffed,0x5f7feccb,0xdfffeb80,0x7f5c5fa8,0x45fa8dff,0xa8dfffeb,
    0x7fff5c5f,0x75c5fa8d,0x5fa8dfff,0x805ffea8,0x02dffffa,0x0b7fffea,
    0x2dffffa8,0x643ffd30,0x07fcc04f,0x3e6027e4,0x001fe20f,0xb8001fe2,
    0xfa8dfffe,0xc8808805,0xfea87ec6,0x0002dfff,0x000c4002,0x03100062,
    0x44001880,0x02ee6001,0x88003100,0x000c4001,0xd003ff01,0x003ff07f,
    0x03fc47fd,0x0003fc40,0x000000c4,0x01301981,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0df50000,0xdf51bee0,0xf89bee00,0xffffffff,
    0xfff11fff,0xffffffff,0x0000003f,0x98000000,0xeeeeeeee,0x000eeeee,
    0x00000000,0x00000000,0x00000000,0x3fd80000,0x6c3ff100,0x3ff1003f,
    0x3fffffe2,0x11ffffff,0xffffffff,0x0003ffff,0x00000000,0xccccc880,
    0xcccccccc,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80000000,0x407d51ec,0x80711cc8,0x30002ed8,0x676401dd,0x400fe601,
    0xd900a219,0x2a00faa3,0x0013e21f,0x00f77220,0x05d30374,0x74c09f30,
    0x300dd002,0x320017db,0x6f54005e,0x3ae3d900,0x0de5c403,0x13ee5fb0,
    0x1df9fd10,0x0006fb80,0x6fec07fb,0x00db04fd,0x1b73fff6,0x13ee5fb0,
    0x2fa83f20,0xdd017fc0,0xfc809f97,0x005ff500,0x17fd40dd,0x3a007e40,
    0x800ffeff,0x3a002fe8,0x64bfa02f,0x3fff604f,0x239703ff,0x7ec402ca,
    0x0bf2004f,0x440bf300,0xf303f64f,0x937f1007,0x1cb805df,0x8dd00595,
    0x17fc00fb,0x81be1b88,0xf9fb02fa,0xb00fc805,0xfa805f9f,0xf72fd402,
    0x01be6009,0x32e027d4,0x3ea05951,0x005fd32f,0x3ab7f200,0x006a000f,
    0x7d401530,0x0db0bee2,0x00000620,0x0fb17e00,0xb5001330,0x817e203f,
    0x2a02f98a,0x3e62a03f,0x2017e202,0x01fe21fd,0x05300298,0x87f88000,
    0x026206f9,0x05f98660,0x98001330,0xa83f2009,0x000be63f,0x33000266,
    0xf0fe6001,0xfc80000b,0x001fb01e,0x17e205f3,0xfb017cc0,0x4c7fb001,
    0x0000005f,0x13ee0000,0x3fea0ff4,0x36a02fff,0x202fedff,0x02fffffb,
    0x17ffffdc,0x45f717dc,0x7fdc006d,0x7dc02fff,0xfd82ffff,0xffffffff,
    0x03fa04ff,0x7dc0fd80,0x205f3001,0x5f3000fd,0x54007ee0,0x02fe89ff,
    0x47f607f7,0x23fb03fb,0x43fb03fb,0x47f702fc,0xffebdffc,0xfceffc83,
    0xbffb06ff,0x3609ffd7,0x4ffebdff,0x21fb27cc,0x3f6002f9,0x04ffebdf,
    0xffd7bffb,0xcfeccb89,0x02cdfdcc,0x21c981fa,0x013e61fc,0x2fb82f98,
    0x260be600,0x77ec004f,0x0fee03ff,0x03fb8fec,0x40fee3fb,0x407f61fd,
    0x81ff34fa,0x3fe60ff9,0x507fee22,0x1ff983df,0x3e60f7d4,0x7f6fec1f,
    0xfa801ba3,0x20ffcc1e,0x7fcc1efa,0x0fc8dd01,0xf1037cc0,0x6e8bfb7d,
    0x2617cc00,0x17cc004f,0x7d400374,0x1fdc01ff,0x07f71fd8,0x81fdc7f6,
    0x403fa1fd,0x209fb5fa,0x40ff64fc,0x817f43fd,0x817f45fb,0x0cd985fb,
    0x74010bea,0xe8bf702f,0x20bf702f,0x2203ec4f,0x6dcc02ff,0x207f20ad,
    0xe8391008,0x0e440086,0x402207f2,0x404ffffb,0x23fb03fb,0x23fb03fb,
    0x43fb03fb,0x2bf300ff,0x99999afe,0x403fe5fb,0x303fc4fa,0x2607f8df,
    0xa9ba006f,0x07f82eff,0x40ff1be6,0x43f986f9,0x13fe205f,0x107f3000,
    0x0fe400df,0x001bffd9,0x1be20fe6,0x3fea7bf6,0x1fdc5b52,0x07f71fd8,
    0x81fdc7f6,0x403fe1fd,0xfffff5fa,0x22dfffff,0x89be207f,0x89fe207f,
    0x01fe207f,0xaef897d4,0x81fe23fc,0x81fe27f8,0x3ee627f8,0x99cfa99a,
    0x0013fa20,0xfd10bf10,0xa8fe600d,0x804fb9cf,0x6fe885f8,0xff9077d4,
    0x1fdc7fb3,0x07f71fd8,0x81fdc7f6,0x403fa1fd,0xabff8cfa,0x12aaaaaa,
    0x13fc40ff,0x13fc40ff,0x03fc40ff,0xe87ea6e8,0xf881fe27,0xf881fe27,
    0x3fffff67,0x24ffffff,0xd80004fd,0x06efd80f,0x214c5e88,0x80fd806f,
    0x1fe46efd,0x707ff7ec,0x5c7fa07f,0x2e3fd03f,0x6c3fd03f,0x3e7f701f,
    0x03fe002f,0x81fe2fcc,0x303fc5f9,0x43f500bf,0xf83f20fd,0xff17e607,
    0xf532fcc0,0x57fb555d,0x0807fc35,0xf905f500,0x1fb00db3,0x5403fb80,
    0x6d9fc82f,0x7f440ff4,0xf827dc4f,0x3e09f71f,0x3e09f71f,0x640bf21f,
    0x2a0bfb2f,0x640bfa3e,0xb817f44f,0xb817f44f,0x746e804f,0x5fd0fe47,
    0x5fd13ee0,0x13e13ee0,0x03fe20fb,0x9f1017f4,0x01b65f70,0x4fc805f5,
    0x7dc27c40,0x04fc8db2,0x4fb8bff7,0x9f71ff88,0x3ee3ff10,0x2a1ff884,
    0x261ff05f,0x0ffc41ff,0xffa83df5,0x2a0f7d40,0x0f7d41ff,0xf7007fea,
    0x3fa0fd83,0xf507bea0,0x41efa83f,0x1fcc1ffa,0x83ff817e,0x1ba00ffa,
    0x3fb33fe2,0xd809f104,0x886e803f,0x24feccef,0x7fd42ff8,0x03fe65ff,
    0x3fe63ffb,0xf98ffec0,0x20ffec0f,0x227dc2fe,0xffdbeffc,0xebdffc83,
    0xdffb03ff,0x3605ffd7,0x2ffebeff,0x4fa85e80,0xdffb0bf3,0x3605ffd7,
    0x2ffebeff,0x0fe21fb8,0xd50befb8,0x80fe40bf,0x04fecccc,0x3fa201dd,
    0x901fb801,0xd89fd999,0xbffeceff,0x3ffa4ffb,0x21fdfecc,0xdfeccffe,
    0x333ffa1f,0x7d41fdfe,0x506fdbcf,0x405bffff,0x01efffeb,0x16ffffdc,
    0x37fffee0,0x901fb802,0x2e01dfff,0x402dffff,0x02dffffb,0x402fa8f9,
    0x6ffffffd,0xd800fe60,0x6c03f706,0x987fffff,0x41b6003f,0x21dffffb,
    0x3ff622fa,0x221fc8ef,0xfc8efffd,0x3bfff621,0xfe981fc8,0x0c401cff,
    0x00026200,0x03100031,0x5c403b80,0x00031001,0x88310031,0x9dd93001,
    0x4004b805,0x402c8829,0x82aaaaaa,0x014c004b,0x26008062,0x80026000,
    0x00c40009,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00009db1,0x100276c0,0x26001797,
    0x55555001,0x5cc01555,0x951000bc,0x300017bd,0x66654001,0x0acca801,
    0x7bd95100,0x1e4c0001,0x59bdb730,0x3bb2e200,0x5c0000ac,0x5bd7300c,
    0x00059301,0x220bfbf6,0x209f706f,0x4403fefc,0x02fffffe,0x32bffff2,
    0x7fffcc1f,0xf701ffff,0x201dffff,0xfdcdffe8,0x75f701ef,0x4407dfff,
    0x05fffffe,0x5fffffd3,0x66fff440,0x8001effd,0xfffa86fa,0x01efffff,
    0x3fffffea,0x360003ff,0xfeffe81f,0x027dc2ff,0x1feafdc0,0x4fb837c4,
    0x03fd5fb8,0x7544e7ec,0xbcffc82f,0x7d41feff,0x0cccccce,0xfb32ffb8,
    0x203dd109,0xefb81fd9,0x03ffcaef,0x3faa3bfb,0xb8aefe84,0x1ee881fe,
    0x8003fb30,0x6ffdc6fa,0x3ffd510a,0x2239ff90,0x0003ffca,0x1efd83fb,
    0x09f71bea,0x2a615500,0xfb837c42,0x5510aa84,0x3ee1be60,0x91077d45,
    0x02fc83ff,0x7f40ffc0,0x2003ba20,0x1ffdc1fd,0xff107fe2,0x7e47fa81,
    0x220ff887,0x7ec040ee,0x99bea001,0x2fe402ff,0xfa807fe6,0x1fd8002f,
    0x17ec0ffc,0x000009f7,0x4fb837c4,0xd5002660,0xfd8ff105,0x6c1ff882,
    0x13ea000f,0x11dd0dd4,0xd87bdddd,0x5c1bee0f,0xf82fd44f,0x6c13fa0f,
    0xec83ba3f,0x03f60dff,0x9fd37d40,0x741ff100,0x0ffb803f,0x43fb0cc0,
    0x439307f9,0xb80664fb,0x223fb03f,0x709f706f,0x005fffff,0x0fe8df70,
    0x07f83fb0,0x88017ec0,0x9559f11f,0xf717c49f,0xf117e609,0x7c7f981f,
    0x22bf701f,0x2a73f61f,0x400be26e,0x003fe6fa,0x00df50d4,0xffc817f4,
    0x261fdaff,0x33ee007f,0xb83ffffb,0x223fb03f,0xd89f706f,0x4ffebdff,
    0x88bfe600,0x887f207f,0x1dffc9df,0xbb713fd0,0x3e27a817,0xb93a36c2,
    0xb0ff103f,0x13f6619f,0x5bf203ff,0xb10bea7a,0xfa802743,0x4000df36,
    0x3f2005fb,0xfccffc84,0x3fe21fff,0xdfff7001,0xfb89ffb7,0x3e23fb03,
    0x7d49f706,0x00ffcc1e,0xf10bffee,0xf50fe40f,0x7fffdfff,0xfffd3ff0,
    0xf12e43df,0x9ae27445,0x0df103fb,0x0fffbfee,0xb7f413f6,0x5c01f25c,
    0x2edf5006,0x3f20005f,0x517ee004,0x7fec41df,0x337fd311,0x21ffdc03,
    0x0fee1ff9,0x07f88fec,0x817f49f7,0x7ff405fb,0xb00ff84f,0x30ffdc3f,
    0xfff83ff9,0x26fea8be,0x3bbbe23e,0xb87d40df,0x10bf303f,0x07fffff9,
    0xffb83ff7,0x802f47d6,0x6fa800fa,0x2aa209fb,0x7fd1aaaa,0x363fcc00,
    0x71ff882f,0x1fffffff,0x7dc1bee0,0x7ec0fee4,0xfb01ff11,0xdf303fc9,
    0x83bf6600,0x43ff02fd,0x4bfd0098,0x7ff07ff8,0xebcf8976,0x37dcf705,
    0x7fc43fc8,0x81dfb31c,0xcfeceffe,0x036cbb6f,0xdf5007b8,0x7fd417f2,
    0x7fb4ffff,0x3e37d400,0x54c7f607,0x202aaffb,0x4bf304fb,0x23fb03fb,
    0x7fd45ff8,0x7c40ff14,0x317f4007,0x7fe443df,0xf1bee001,0x5d7f209f,
    0x2fc4be27,0x87ff72ec,0x2fdc0ffa,0xffc82fe8,0xf75f9bff,0xb1740fe4,
    0x55bea00b,0x5555106f,0x013ee9fb,0x1fe24fb8,0x3fc41fc8,0xf103fb80,
    0xfe81fdcf,0xd9dfff11,0x1fe29fdf,0x5c007f88,0x66ffe45f,0x2001ffff,
    0x80ff47f9,0x223f36fa,0x5f0bea2f,0x75ffffdc,0x02fe81ff,0x86620bf7,
    0x223f34fa,0x41f911df,0x2df5002f,0xf7000ff8,0xc801be69,0xc81fe22f,
    0x8037cc1f,0x4df103fb,0x23ff04fb,0xdfffaef8,0x981fe4fa,0xb8065c5f,
    0xffffa85f,0x02ea1fda,0x0bf637dc,0x22bf27dc,0xfb87ec2f,0x3fef3ee0,
    0x01ff02df,0xfc801be6,0xeff997e3,0x983ee2ff,0x3a5fb85e,0x49f7003f,
    0xff8802ff,0xfd807f41,0xb8027dc1,0x5cbf305f,0x11ff884f,0xfd004cdf,
    0xfb13ee05,0x8813fa09,0x4fe87f60,0x5fb89fd0,0x6fcc5fd0,0x5cd440a8,
    0x1327dc3f,0xf902fe80,0xff81fdc9,0xba897e60,0x3e21fdc1,0xf51fe40f,
    0x49f9005f,0x7ec00efb,0xf882fd85,0x7003741f,0x993f20df,0x8ffec0ff,
    0x3ea006f8,0x20ffd41e,0x7fd40ffb,0xb87f6001,0x07fd40ff,0x3fe617f4,
    0x2e02fcc0,0x004fb83f,0x3e6077dc,0x321fe22f,0x405f983f,0x47ff03fb,
    0x7fdc2ff8,0x7ff5441b,0x440f7e44,0x3df505fe,0xfb0ffe44,0x5c103557,
    0x07fd43ff,0x3fb33ffa,0x00df11fd,0xfebeffd8,0x7bffb02f,0xd8007ffd,
    0x5effec1f,0xff502ffe,0x205ffd7b,0xdb9bdff9,0x09f703ff,0xd79ffb00,
    0x9df909ff,0x7cc0bfd7,0xffdb9bdf,0x37ffee03,0xfff705ff,0x5dfffddf,
    0x377bff60,0x7dc06ffe,0x1feffcdf,0xfffffff7,0x77dcdfbd,0x82ffebdf,
    0xc8efffd8,0x000df11f,0x05bffff7,0x1effffb8,0xb81fd800,0x401effff,
    0x02dfffe9,0x6fff6544,0x013ee00b,0x7ffffdc0,0x3bff6e02,0x7654400b,
    0xb800bdff,0x4c05ffff,0x3dffffdb,0xfffeca80,0xffd7003d,0x3e63f95f,
    0xffeca9ad,0xf75f70ef,0x13003dff,0x0001e440,0x13300031,0x0065c000,
    0x02600031,0x93000400,0x09880005,0x80002200,0x00660000,0x100004c0,
    0x00440001,0x80098802,0x00000009,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xdc980000,0x51002cde,
    0x1017bdd9,0x29910099,0x00cc005e,0x87ba6000,0xccccccc8,0x437aa01a,
    0x220004c8,0xbccccccc,0x66666402,0x40cccccc,0x00cefec8,0x33333220,
    0xcccccccc,0x00797002,0x65c2c980,0x99999911,0x80799999,0x81ff32c9,
    0xfffffffc,0x3ffee00d,0x442fffff,0x97f9807f,0x3fff200f,0xbf52fbbf,
    0xbf90ff40,0x7fffffcc,0x5fd05fff,0x30003fcc,0xffffffff,0xfff107df,
    0xffffffff,0x7f7ffd41,0xff7002ff,0xffffffff,0xf100bfff,0x740003ff,
    0xf897f44f,0xffffffff,0xb97fc6ff,0x641ff34f,0xfd731bef,0x2b3fea0d,
    0x22ffda88,0x7f9807f8,0xffc805f5,0x22feffbc,0x86f880ff,0x55ff31fd,
    0x8bff7555,0x03fcc4fa,0x555ff300,0x87ffd755,0xaaaabff8,0x3fe62aaa,
    0x01ff910b,0x9ff59ff0,0x35555555,0x09fbf700,0xd13ff200,0x2abfe25f,
    0x2aaaaaaa,0x22c997fc,0x8817fc19,0x0ffd42ff,0x3fc4ffb0,0x09f3fcc0,
    0x3f2077d4,0x2e0ff22f,0xf31a883f,0x307fc40d,0x333ff305,0xf9801333,
    0x107fdc07,0x7e4001ff,0xb807fd06,0x000bfa6f,0x01fe3fa0,0xd13ffea0,
    0x001fe25f,0xf30004cc,0x7c4fc80f,0x97fc404f,0x7f9807f8,0x01fd81b6,
    0x437cc5ff,0x6f9800fe,0x4c017ec0,0xffffffff,0x0ff302df,0x7fc4bfb0,
    0x40bfa000,0x17fc05fb,0x980005fd,0x4005fb6f,0x744fbef8,0x000ff12f,
    0xff127400,0x3e20c403,0x7c413007,0x2e7f9807,0x6c0ff00f,0xf30ff42f,
    0x7cc7f60b,0xfb0ff406,0xcccff983,0x82fffedc,0x7f8807f9,0x00003fe2,
    0x3ee03fb8,0x00017f46,0x037d4ff2,0x89f73fb0,0x00ff12fe,0x4e93ee00,
    0x8005ffec,0xf10005fa,0x4cff300f,0x206f883f,0x927dc2fc,0x4c7f605f,
    0xb1bee06f,0x207f983f,0x7f987fd8,0x3e23ff00,0xf300000f,0x217f403f,
    0x7c0002fe,0x2007fe0f,0xe89f73fa,0x000ff12f,0x45f93ee0,0xacefffd8,
    0x0009f900,0x3e601fe2,0x3fc42fc7,0x6f885f90,0x31fd81fe,0xdd9999ff,
    0x41fd81bf,0x7fc407f9,0xe803fcc1,0x999ff12f,0x20099999,0x3ea03ff8,
    0xcccdfe86,0x7d404ccc,0x22027e45,0xfd13ee6f,0x3333fe25,0x00cccccc,
    0x20bf27dc,0xdfffffda,0x8001fec0,0x7f9807f8,0x207f83e4,0xa9fd82fd,
    0x4c7f604f,0xffffffff,0x20fec0cf,0x3fe807f9,0x3ffffffe,0xf13fd84f,
    0xffffffff,0x09ff300f,0xffe83fe8,0x0fffffff,0xff30bf60,0xf707f401,
    0xff12fe89,0xffffffff,0x24fb803f,0x7654406f,0x13f21eff,0x403fc400,
    0x40fd47f9,0x2ff883fd,0x01fccfa8,0x57fcc7f6,0xefebaaaa,0xff307f61,
    0x2a2ff880,0x1aaaaffb,0x7ff12fe8,0x05555555,0xfa809fd0,0x5559fd07,
    0x7c405555,0x2e07fd07,0x3a27dc3f,0x555ff12f,0x01555555,0x0df14fb8,
    0x2e5fea80,0xff10005f,0x446fa801,0x23ff983f,0xdf02ffe9,0x31fd80df,
    0x25fc80df,0x03fcc1fd,0xff303fee,0x7c47fe00,0x3ea0000f,0xeeffe805,
    0x002ffeee,0xddddff70,0xbf30dffd,0x2fe89f70,0x2a000ff1,0x3e29f70a,
    0xf1002ea7,0x401be61f,0x007fe2cb,0x20dd0bf5,0xeffefffb,0x07ff902f,
    0x0df31fd8,0x3fb0ff98,0xaaaaff98,0x984ffdba,0x27f8807f,0x20000ff8,
    0x7fd403fb,0xffffffff,0xfffd0002,0x3fffffff,0xeeeeefd8,0x5fd4eefe,
    0x7c001fe2,0x3e69f72f,0x3a00ff67,0x803ff11f,0x0bf64ff8,0x1f709f70,
    0x233bb6a0,0x1ff302fd,0xdf31fd80,0xfb1ff880,0xfffff983,0x303fffff,
    0x4df900ff,0x20000ff8,0x67ec01eb,0xfe999999,0x07f98002,0x3ff627ec,
    0xffffffff,0x1fe25fd6,0xfb97fc00,0x3ea1ff54,0x91fe200e,0x7fe401ff,
    0xff017f20,0x8005f305,0x0bf301fe,0x1be63fb0,0x0fecff50,0x33333fe6,
    0x3e600abc,0x117fc407,0x000001ff,0x3a00ff98,0x4fc8002f,0x8007fcc0,
    0x897f44fb,0x47a0007f,0x21ff54fb,0xe981eff8,0x41efd84f,0x7cc4ffb8,
    0x37ec40cf,0x81ed89f0,0x07f207f8,0x37cc7f60,0x7ec9ff50,0x0003fcc1,
    0x3ee60ff3,0x007fc44f,0x6c035300,0x017f404f,0x7400ffc0,0x89f7003f,
    0x00ff12fe,0xa7dc3e20,0x3fa20ffa,0x5fffdeff,0xdbfffd10,0x3ea0bfff,
    0xfffeeeff,0xbf91f600,0x2227f4c1,0xfb006fa8,0x3ffffe63,0x6c6fffff,
    0x003fcc1f,0xffffff30,0xf10bffff,0x7ec0001f,0x801ff304,0xfffffffe,
    0x037d47ff,0xf7006fb8,0xff12fe89,0xffffffff,0xf71f43ff,0x9103fea9,
    0x07dffffd,0xfffffc88,0x7f65402e,0x5400bdff,0x7f7ff41f,0xfffd85ff,
    0x263fb001,0xefffffff,0x4c1fd82d,0x3e60007f,0xdeffffff,0x001ff101,
    0xfd827ec0,0xffffe804,0x6c7fffff,0x3ff1003f,0xfe89f700,0xffffff12,
    0x43ffffff,0xcc9a7dc0,0x8000c400,0x31000198,0x73013000,0x3aa057bb,
    0x0000001d,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x64400000,0x2bcccccc,0x1000b260,0x059309db,0x2e00e5c0,
    0x0efdb82c,0x64400791,0xbccccccc,0x1999100a,0x40599300,0x8019913d,
    0x009913c8,0x33322991,0x80bccccc,0x105d71ed,0x9500d415,0x4599059b,
    0xccccccca,0x9951cccc,0xca932600,0x7fffcc02,0x83efffff,0x7ec004fb,
    0x027dc3fe,0x7c40df50,0x3fffdc1f,0x7c400df3,0xffffffff,0xfff982ff,
    0x04ffd802,0x17fe69f9,0x1fe2df30,0x7fcdfe60,0xffffffff,0x3fc8ff45,
    0x7e6fffd4,0xffffe981,0xc8ffe1ef,0xffffffff,0x7ff12fff,0x2e3fe880,
    0xf987fd3f,0xdcaaaaaf,0x027dc3ff,0x87fabf70,0x7f4004fb,0xfd09fb03,
    0x400df307,0x99999ff8,0x4c2ffeb9,0x7c405fff,0x4ffb84ff,0x4c07fff3,
    0x300ff16f,0x2abfe6ff,0x4ffcaaaa,0x20e5432e,0x84feb8dd,0xfb52dff8,
    0x5531ffcd,0xfb555555,0x007fdc3f,0xd3fb8df9,0x407f987f,0x13ee0ffd,
    0x5530aa80,0x260027dc,0x07fcc0ff,0x37cc07fc,0xb00ff100,0xfeef98bf,
    0x93fbea00,0xf34fffe8,0x3e601fff,0xf300ff16,0xf501fe6f,0x0098001f,
    0x3fe0df70,0x54007ff2,0x05fe82ff,0x3fb81ff3,0x07f98131,0x13ee5fc8,
    0x49f70000,0x44fd8019,0x20ff03fd,0x3e2006f9,0x4c7f9807,0x3602fcef,
    0xbff54fbf,0x37be69f7,0x22df305f,0x37f9807f,0x05ff00ff,0xd804c400,
    0x3e9f903f,0x9ff3003f,0x3a0ffe20,0x403fb83f,0x7f9807f9,0x7ff313ee,
    0x3ee07f60,0x05ffffac,0x37d43fe2,0x17ffffec,0x7c400df3,0x4c6f9807,
    0xf105f9ef,0x4fee9f79,0xf1df34fa,0x22df307f,0x37f9807f,0x87fd00ff,
    0x557dc1fd,0x440dffff,0x3a9f9009,0x5fe8803f,0xf907fdc0,0x300fee0b,
    0x47fa00ff,0x0ffe24fb,0xffb81fd8,0x05ffdbdf,0x417f53ee,0x21ccffcb,
    0x3e2006f9,0x4c3fd807,0xf701fd6f,0xf5029f73,0x7fd5be69,0x7f8b7cc0,
    0xff37f980,0x6c1ff980,0x77efdc1f,0x2005ffcb,0x05fd2ff8,0xd001dfb0,
    0x403fe6bf,0x3fcc03fb,0x9f72fe80,0xfb00ffe2,0x987ff703,0x7dffc07f,
    0xf983fc06,0x2bfe2006,0xfebaaaaa,0xfcb7cc0f,0x09f77d82,0xb37cd3ea,
    0xf16f98df,0xdddddddf,0x1fe6ffdd,0xfd86fd88,0x261ffdc1,0xdf9000ff,
    0x3f200fec,0x5ff3001f,0x1fdc05fd,0x6c01fe60,0xfd19f73f,0x703fb005,
    0x887fe0df,0xdfffeccc,0x83fc0ccc,0x3e2006f9,0xffffffff,0x36f981ef,
    0xf74f88bf,0x7cd3ea09,0xf98ffe26,0xffffff16,0x2fffffff,0xeeeeeff9,
    0xfd81fffe,0xfe837dc1,0x21ffb801,0x3fea01fd,0x7ffdc002,0x201fdc05,
    0x7fd007f9,0x013fb7ee,0x2fdc0fec,0x3fe62fd8,0xffffffff,0xf983fc0f,
    0x33fe2006,0x00effccc,0x20fe9be6,0x209f71fb,0xa8df34fa,0x22df30ff,
    0x999999ff,0xff37fa99,0xbfffffff,0xf707f601,0x700bf60b,0x00fc85ff,
    0x20009ff1,0x7dc00ffe,0x803fcc03,0xffff72ff,0x03fb003f,0x0bf209f7,
    0x39f93333,0x20ff0333,0x3e2006f9,0x201dfb07,0xe8bf26f9,0x7d413ee6,
    0xdfb0df34,0x03fc5be6,0x9ff9bfcc,0xfb001999,0xfb04fb83,0x417fe405,
    0x5fe880fc,0x017ee000,0x20554fee,0xff8807f9,0xdf75ff71,0xf703fb00,
    0x330bf209,0x3339f933,0x3e60ff03,0x81fe2006,0x4df305fe,0x5c9f15f9,
    0x269f504f,0x9bff886f,0x300ff16f,0x001fe6ff,0x27dc1fd8,0xffb02fd8,
    0x7ec1ee03,0x3ee0000e,0xfd3fb805,0xc807f987,0xfe93ee6f,0x5c0fec03,
    0x4c5f904f,0xffffffff,0x83fc0fff,0x3e2006f9,0x213fe607,0x5c7f46f9,
    0x5413ee1f,0x2a0df34f,0xff16faff,0x3e6ff300,0x07f60007,0x0bf609f7,
    0x6a803bf6,0x0000ffb8,0x7dc02fdc,0x7f987fd3,0xf717fc40,0xb00ffcc9,
    0x209f703f,0x2aaa22fc,0x2aaadfda,0x0df307f8,0x2e03fc40,0x237cc1ff,
    0x7dc6eafb,0x3e69f504,0x5bfff606,0x7f9807f8,0x6c000ff3,0xd827dc1f,
    0x006fec2f,0x0017fd40,0x5c02fdc0,0x43fcc03f,0x5c5ffb98,0xb037e44f,
    0x209f703f,0x1fe402fc,0x6f983fc0,0x201fe200,0x237cc6fe,0x7dc3fef9,
    0x3e69f504,0x5bffe206,0x7f9807f8,0x6c000ff3,0xd827dc1f,0x003bea2f,
    0x1ffc42aa,0x05fb8000,0x81533fb8,0xfffffff9,0x4fb85fff,0x3fb03fe8,
    0x3f209f70,0x401fe402,0xffff307f,0x21ffffff,0xff9807f8,0x3fa1be63,
    0xa827dc0f,0xa80df34f,0x00ff16ff,0x01fe6ff3,0x7dc1fd80,0x7fc5fb04,
    0xffffffff,0x3fee7fd5,0xffffffff,0x2fdc04ff,0x2fe9fdc0,0x7fffffcc,
    0x9f701def,0xfb03ff30,0x3209f703,0x01fe402f,0xfff983fc,0x0fffffff,
    0x3f200ff1,0xf70df30f,0x2a09f70d,0xb00df34f,0x201fe2df,0x00ff37f9,
    0x3ee0fec0,0x3e65fb04,0xffffffff,0x3ee7fd5f,0xffffffff,0x7dc04fff,
    0xfd3fb805,0x00000005,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x5c01e5c0,0x980b2a2c,0x4b2a01cc,
    0x332002cb,0x55555550,0x33265555,0xcccccccc,0x807913cc,0x555c3cc8,
    0xaaaaaaaa,0x0b826601,0x0c402660,0x8006a200,0x04c40018,0x00013300,
    0x000d4c00,0x4c4005f9,0x3ea1cc80,0x83fea01f,0x3ff206fa,0x7dcbf605,
    0x74df5006,0xffffffff,0xfffff76f,0xbfffffff,0xfe881be6,0x2800620e,
    0x6ffffec4,0x7fec41fc,0xfff74fff,0x7fe403bf,0xd700dfff,0x5403bfff,
    0x202fffff,0x82fffffb,0x83fb03fb,0x04fffffb,0x5f702fc8,0x41bffff5,
    0x07fe41ff,0x3e217fc4,0x81fffa07,0x03ff10ff,0x665c7fb0,0x4ffccccc,
    0xff555551,0x26355557,0x1dfd106f,0x88a00188,0xffebcfff,0x5deffc44,
    0xbdffeffd,0xefe80ffd,0xb86ffdbb,0x0ffdbdff,0xfebdffc8,0xbdffd83f,
    0x1fdc4ffe,0x3fea1fd8,0x405fecac,0xfbf702fc,0x7cbff97d,0xe85fe81f,
    0x103fd04f,0xf303fbbf,0x4404fc8d,0xdf5000ff,0x4c03ff00,0x0efe886f,
    0xd8a00188,0x1bfe20df,0xdff709f7,0x7d46f981,0x260ff886,0x227dc1ef,
    0x7fcc0ff9,0xf307bea0,0xd81fdc3f,0xf107f61f,0x817e401f,0x7fcc3ffb,
    0xff303fd0,0xf9037e45,0x7f77f707,0x7f989f70,0x8802fdc0,0x1ff801ff,
    0xfd11be60,0x8006201b,0xed81ff12,0x2032a2fe,0x3fd03ff8,0x1fe80e4c,
    0x226c0ff2,0x49f904fd,0x4bf702fe,0x43fb03fb,0x540982fe,0xaacfdaaa,
    0x3a0df72a,0x2e01fb1f,0x00ffa8ff,0x23f617ea,0x81fd85f8,0x0bfa02fe,
    0xf801fec0,0x89be601f,0x00c405fe,0xf717e650,0xa8809f73,0x9999affb,
    0x54403fc9,0x03f61feb,0x999afe80,0x1fe5fb99,0x0fee6f98,0xbff70fec,
    0x3ffe2017,0x6fffffff,0x4bf60bf7,0x7efec07c,0x43fc402f,0xff03fa6f,
    0x7cc17ee0,0x00df5006,0xdf300ffc,0x22017fa2,0x27dca001,0x117ea5f3,
    0xfffffdb7,0xffffffff,0xfffdb88b,0x01fe1fff,0xfffffff0,0x1fe2dfff,
    0x0fee7f88,0x3ff20fec,0xaaa83eff,0x2aaacfda,0x4bf609f7,0x7ffc4018,
    0x4c1fd004,0xf98bf24f,0x901ff105,0x0bfa007f,0x2601ff80,0x03ffe8ef,
    0x5ca00188,0x7d49f14f,0x337ffa65,0xaaaaff8a,0x3e21aaaa,0xfd8aceff,
    0xf8801fe1,0xaaaaaabf,0x440ff12a,0x740fee7f,0xffdb881f,0x0bf200ef,
    0x2fd827dc,0x017fe400,0x8bf22fc8,0x80fee4fa,0x00ff82fd,0x7c007f98,
    0x3bfe601f,0x4401ffef,0xb7d4a001,0xfd1fdc6d,0x00ff8819,0x7f413fa0,
    0x4cc03fa1,0xf800bfe0,0xfb97e607,0x8803ff04,0x3f203ffa,0x3609f702,
    0x5401532f,0x9800efff,0xdf11fa4f,0xbf500fec,0xfb005f98,0x01ff8007,
    0x7ed3ffe6,0x8006200e,0x81f9ff12,0x01ff12fe,0x3b605ff3,0xf101ff12,
    0xf81fec5f,0x5417f60f,0x5c0bfa3e,0x2213ee4f,0x20bb11ff,0x0bf204fb,
    0x2fd827dc,0x3fe205fd,0xdf005fea,0x43fa17e2,0x20ff807f,0xff8802fd,
    0x00ffc000,0x7fc49ff3,0x28006205,0xfc88bff6,0x3e20ff46,0x37cc0eff,
    0x3ff60bfa,0xf707be62,0x441ff989,0x07bea1ff,0x7fcc3ff5,0xfb0ffec0,
    0x6405fb07,0x209f702f,0x205fd2fd,0x05ff35fd,0x07f51fb0,0x009f35f7,
    0x01fe27f9,0x7c002fdc,0x21fe601f,0x03102ff9,0x9fff3140,0xfb83fff9,
    0xc9ffdbce,0x1ffdbdff,0x76567fdc,0x7fe43fef,0xc80ffebe,0x3ffdbeff,
    0xfebeffd8,0xccffe82f,0x3e21fdfe,0x0efecbef,0x413ee000,0xefb802fd,
    0x7003fee0,0xf303fb5f,0xf3005f77,0x74013ead,0x1ff8002f,0x7e41be60,
    0x2001880f,0x3ffaf7a2,0xffd701df,0x7ff5419f,0xffd701cf,0x50bf51bf,
    0x4017dfff,0x02dffffa,0x0b7fffee,0x477ffec4,0x7ff541fc,0x7ffc44ff,
    0x6fffffff,0x0bf609f7,0xfd03ff30,0x7fbf980d,0x003f37e0,0x00fec7f4,
    0xf8000ff8,0x81be601f,0x001886fe,0x0310644a,0x06200440,0x88001880,
    0x000c4000,0x01300062,0xf8804c40,0xffffffff,0x2200006f,0x9ff104ff,
    0x204fef80,0x2e006efd,0xf1006fbf,0x07fe000f,0x3e606f98,0x5556444f,
    0x2aaaaaaa,0x00000000,0x00000000,0x00000000,0x20000000,0x00088888,
    0xff501bf6,0x017fec03,0x44009ff7,0xf5002fff,0x07fe000b,0x7dc06f98,
    0x0000002f,0x00000000,0x00000000,0x00000000,0xff980000,0xf7007fff,
    0x1dfb001f,0x8803fee0,0x7e4001ff,0x013ee007,0xf300ffc0,0x01ffb00d,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfffff980,0x00000007,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x10198000,0x00000003,0x00000000,0x00e60260,0x00015c17,
    0x22018822,0x5c40004e,0x004c1311,0x03fc8000,0xc880bb20,0x5d9303dd,
    0xdb70ba60,0x7bb71059,0x77777641,0xf71eeeee,0x25ffff75,0x363efff9,
    0xb84fd82f,0xb05ff13f,0x7fffc4bf,0x2e5fffff,0x5c3fe04f,0x746ffdaf,
    0xcbdfdbbf,0x02fbf65f,0x3747f500,0x2000bf10,0xbf11ffc9,0x0eb80fe4,
    0xdff00ea8,0xd01fec00,0xfb89f97d,0x7fd47fde,0x3f6b3f22,0x37e67ec1,
    0xfffffffb,0x37ee3fff,0xfbffebdf,0xf72ffcbe,0xfd0dff09,0xf507fd41,
    0xccccc81d,0x3e24ffcc,0x7dcbf307,0x7cc4fefd,0xefffefff,0x33fff660,
    0x326f8801,0x017e201f,0x87dffd50,0x20df13fb,0x3fea0efe,0x02fefb82,
    0x2e205970,0x4cbd1be1,0x45f9fb2f,0x5b127c3c,0x99988fe4,0x21999999,
    0x7fec3ffb,0x6f8afdc4,0xf107ffd4,0x3e2bfb0d,0x17f6001f,0x8bf20bf6,
    0x36023ffb,0x09fb30cf,0x0bbffae2,0x0bf31fd8,0xc8805f88,0x3a02dfff,
    0xd109f70f,0x05ff51df,0x4c17e3fa,0x99999999,0x21fda809,0x8aafc2f9,
    0x6e54c2f9,0x0037405f,0x3ee1bee0,0xfd37cc1f,0x517e7e41,0xd5fd107f,
    0x37e4007f,0x47f85fa8,0x87f806fb,0xfda806f8,0x57ea0bff,0x4cc40fe8,
    0x1999efa9,0x033fff66,0x1fe9be60,0x2ffefe88,0x07f69f50,0xfffffff1,
    0xdf90dfff,0x1b60fd43,0x6ffec5f3,0x5fb105fc,0x85fb8000,0x26f886f9,
    0x3e7ba2fb,0x7cc07f64,0x3ee005ff,0xa83fe00e,0x202fdc4f,0x01fb04f9,
    0x447ff220,0xb09f90ff,0xffffffff,0x0bff63ff,0x7ccff600,0x3ffe880e,
    0x27cc3f60,0x3bbbbba2,0x3605eeee,0x4f87f10f,0x23fa97cc,0x1ff985f8,
    0x66666654,0x9f70cccc,0xdf10bf30,0xf4f8afcc,0x3f2037cd,0x3ff5000f,
    0x3f63fc80,0x22027dc1,0x200ff05f,0xf11fffc8,0x320ff21f,0xeeffeeee,
    0x5dff91ee,0xf33fd800,0xdfff501d,0xfe8bf301,0x0e4c0000,0x44f6c3f9,
    0x997cc1fb,0x98bfb13f,0xfffd80ef,0x1fffffff,0x0bf309f7,0xf57f8df1,
    0x13e63f65,0x804ffe88,0xf9802ff9,0x9f70df15,0xfa83fd00,0x77fed405,
    0xe8afd40b,0x02fc400f,0x033fff26,0x0ff4df30,0x77f5ffd4,0x3ee17e40,
    0x881fec03,0x4c5fdbef,0xf984fffe,0x3b3fffa2,0x3bbbfe67,0x3333311e,
    0x7dc33333,0xf885f984,0x87ecfe46,0x201fcafb,0x201ffdfc,0x3a003ff8,
    0xfb83fb8f,0xacffd804,0xfb884ffd,0x7ec02dff,0xf880bf31,0xfff71005,
    0x543fa05b,0x13ffa84f,0x1fe21dfd,0x7fb01fe2,0x056edcc0,0x39100b98,
    0x54530a98,0x01cccccc,0x2613ee00,0x546f885f,0x33e66fbf,0x23bea07e,
    0xfe880efa,0x75fdc004,0x404fb80f,0xfffffefc,0x3ffee3ff,0x4df1001c,
    0x17e201fc,0x3fffaa00,0x37c4fea1,0x7f443fe8,0x06201313,0x00003550,
    0x00000000,0x213ee000,0x86f885f9,0x7ffc4fff,0x6c5ff104,0x005fd85f,
    0x705fef88,0x30ec809f,0xed8fe637,0x2fa8000b,0x05f881ba,0x447f2600,
    0x4407f25f,0x00007102,0x00000000,0x00000000,0x5f984fb8,0xffd86f88,
    0xd817fec2,0x717fc44f,0xddddd9ff,0x3ff601dd,0x1009f702,0x0000c080,
    0x44031044,0x0880001a,0x00044131,0x640fd400,0xeeeeeeee,0x913991ee,
    0x0675c419,0x001302a6,0xb8eec400,0x427dc04d,0x86f885f9,0x3fd40ffa,
    0xfa80efb8,0xfffff70f,0x201fffff,0x13ee07fa,0x00000000,0x00000000,
    0x80000000,0x7fec10f9,0xffffffff,0x1ff15fd1,0xd07e56f4,0x4417c45f,
    0x4c0befec,0xfe897ee3,0x00000002,0x00000000,0x00000000,0x00000000,
    0x00000000,0xdf800000,0x2627dafa,0xd9999999,0xff15fd1f,0x747b1e61,
    0xd0bbaa2f,0x7bffffff,0x2077c9fb,0x000005f8,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0xcdfffec8,0x747f2000,0x1aa1ff1f,
    0x7e81e899,0x7f5ccdfc,0x1512ffff,0x00000a60,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x90005fe8,0x3743f23f,0xf10fccbe,
    0x313fb6e1,0x002f2e60,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x6c000000,0xc8005f8e,0x22ecf71f,0x1743ffea,0x000059b7,
    0x26666662,0x01999999,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xb52d8800,0x11fc8001,0x10180443,0xf3000000,0xffffffff,
    0x0001ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x06200000,0x00000000,0x4ccccc00,0x19999999,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__arial_26_latin1_x[224]={ 0,2,1,0,0,1,1,1,1,1,0,1,1,0,
2,0,0,2,0,0,0,0,0,1,0,0,2,1,1,1,1,1,1,-1,1,1,1,1,1,1,1,2,0,1,
1,1,1,1,1,1,1,1,0,1,0,0,0,0,0,1,0,0,0,-1,1,0,1,0,0,0,0,0,1,1,
-2,1,1,1,1,0,1,0,1,0,0,1,0,0,0,0,0,0,2,0,0,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,1,0,0,-1,
2,0,0,0,0,1,1,0,0,-1,1,0,0,0,2,1,0,2,1,1,0,1,1,1,0,1,-1,-1,-1,-1,
-1,-1,0,1,1,1,1,1,0,1,-1,0,-1,1,1,1,1,1,1,1,0,1,1,1,1,0,1,1,0,0,
0,0,0,0,0,0,0,0,0,0,0,2,-1,0,0,1,0,0,0,0,0,0,1,1,1,1,1,0,1,0,
 };
static signed short stb__arial_26_latin1_y[224]={ 21,4,4,4,2,4,4,4,4,4,4,7,18,13,
18,4,4,4,4,4,4,4,4,4,4,4,8,8,7,9,7,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,24,4,8,4,8,4,8,4,8,4,4,
4,4,4,8,8,8,8,8,8,8,4,8,8,8,8,8,8,4,4,4,10,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,21,8,4,4,7,4,
4,4,4,4,4,9,9,13,4,1,4,7,4,4,4,8,4,11,20,4,4,9,4,4,4,8,0,0,0,0,
0,0,4,4,0,0,0,0,0,0,0,0,4,0,0,0,0,0,0,7,3,0,0,0,0,0,4,4,4,4,
4,4,4,3,8,8,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,8,8,4,4,4,4,4,4,4,
 };
static unsigned short stb__arial_26_latin1_w[224]={ 0,3,7,13,12,19,14,3,6,6,9,12,4,8,
3,7,12,7,12,12,12,13,12,11,12,12,3,4,12,12,12,11,22,17,14,15,15,14,13,16,14,3,10,15,
12,17,14,17,14,17,16,14,14,14,16,22,16,16,14,6,7,5,11,15,5,12,11,12,12,12,8,12,11,3,
6,11,3,17,11,13,12,12,8,11,7,11,12,17,12,12,12,8,2,8,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,0,4,11,13,13,14,
2,12,8,18,9,11,12,8,18,15,7,12,8,8,5,11,13,3,6,5,8,11,19,19,20,12,17,17,17,17,
17,17,23,15,14,14,14,14,5,5,8,7,17,14,17,17,17,17,17,11,18,14,14,14,14,16,14,13,12,12,
12,12,12,12,20,12,12,12,12,12,5,5,9,7,13,11,13,13,13,13,13,12,12,11,11,11,11,12,12,12,
 };
static unsigned short stb__arial_26_latin1_h[224]={ 0,17,7,18,22,18,18,7,22,22,8,12,7,3,
3,18,18,17,17,18,17,18,18,17,18,18,13,17,12,8,12,17,22,17,17,18,17,17,17,18,17,17,18,17,
17,17,17,18,17,19,17,18,17,18,17,17,17,17,17,22,18,22,10,2,4,14,18,14,18,14,17,18,17,17,
22,17,17,13,13,14,18,18,13,14,18,14,13,13,13,18,13,22,22,22,5,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,0,18,22,18,12,17,
22,22,3,18,9,12,8,3,18,3,7,14,9,9,4,18,22,3,6,9,9,12,18,18,18,18,21,21,21,21,
21,21,17,22,21,21,21,21,21,21,21,21,17,21,22,22,22,22,22,11,19,22,22,22,22,21,17,18,18,18,
18,18,18,19,14,18,18,18,18,18,17,17,17,17,18,17,18,18,18,18,18,10,14,18,18,18,18,22,22,22,
 };
static unsigned short stb__arial_26_latin1_s[224]={ 250,209,197,104,114,56,192,251,40,61,174,
124,213,239,251,247,243,123,196,39,214,65,79,58,124,137,249,246,137,242,99,
160,19,196,92,21,1,231,146,180,146,227,169,85,75,105,131,197,161,80,88,
6,70,37,41,18,1,228,213,71,52,170,174,117,245,149,242,162,215,175,66,
60,39,251,206,17,245,1,239,188,111,52,76,214,248,202,63,19,37,73,50,
213,222,241,225,101,101,101,101,101,101,101,101,101,101,101,101,101,101,101,101,
101,101,101,101,101,101,101,101,101,101,101,101,101,101,101,101,101,250,1,176,
228,85,51,68,157,247,150,223,112,184,239,92,239,205,226,233,199,239,13,47,
249,218,217,208,150,172,152,131,118,229,19,1,175,211,193,172,225,90,37,143,
52,250,105,111,120,128,128,1,96,188,72,78,162,98,127,142,57,42,158,113,
117,131,144,157,170,183,67,128,196,209,222,235,1,86,107,29,176,14,184,28,
42,25,76,90,186,115,207,219,1,231,27,14,1, };
static unsigned short stb__arial_26_latin1_t[224]={ 23,126,173,69,1,69,69,144,1,1,173,
162,173,158,152,24,69,126,126,88,107,88,88,144,88,88,126,107,162,162,162,
107,24,107,107,107,126,107,107,88,126,107,88,144,126,126,126,88,126,47,126,
107,144,107,144,144,144,126,126,1,107,1,162,66,173,144,88,144,88,144,126,
107,126,107,1,126,126,162,144,144,88,88,162,144,47,144,162,162,162,107,162,
1,1,1,173,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,23,107,1,
88,162,126,1,1,43,88,162,162,173,158,88,178,173,144,162,162,173,88,1,
140,173,162,162,162,69,69,69,69,24,47,47,24,24,24,107,1,24,47,24,
47,1,24,24,24,107,24,24,1,1,24,1,162,47,1,1,24,24,24,107,
47,47,47,47,47,47,47,144,47,47,47,47,69,107,107,126,126,69,126,69,
69,88,69,69,162,144,69,69,88,69,1,1,1, };
static unsigned short stb__arial_26_latin1_a[224]={ 103,103,132,207,207,331,248,71,
124,124,145,217,103,124,103,103,207,207,207,207,207,207,207,207,
207,207,103,103,217,217,217,207,378,248,248,269,269,248,227,290,
269,103,186,248,207,310,269,290,248,290,269,248,227,269,248,351,
248,248,227,103,103,103,175,207,124,207,207,186,207,207,103,207,
207,83,83,186,83,310,207,207,207,207,124,186,103,207,186,269,
186,186,186,124,97,124,217,279,279,279,279,279,279,279,279,279,
279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,
279,279,279,279,279,279,279,279,103,124,207,207,207,207,97,207,
124,274,138,207,217,124,274,206,149,204,124,124,124,215,200,103,
124,124,136,207,311,311,311,227,248,248,248,248,248,248,372,269,
248,248,248,248,103,103,103,103,269,269,290,290,290,290,290,217,
290,269,269,269,269,248,248,227,207,207,207,207,207,207,331,186,
207,207,207,207,103,103,103,103,207,207,207,207,207,207,207,204,
227,207,207,207,207,186,207,186, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_26_latin1_BITMAP_HEIGHT or STB_FONT_arial_26_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_26_latin1(stb_fontchar font[STB_FONT_arial_26_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_arial_26_latin1_BITMAP_HEIGHT][STB_FONT_arial_26_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_26_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_26_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_26_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_26_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_26_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_26_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_26_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__arial_26_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__arial_26_latin1_s[i] + stb__arial_26_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__arial_26_latin1_t[i] + stb__arial_26_latin1_h[i]) * recip_height;
            font[i].x0 = stb__arial_26_latin1_x[i];
            font[i].y0 = stb__arial_26_latin1_y[i];
            font[i].x1 = stb__arial_26_latin1_x[i] + stb__arial_26_latin1_w[i];
            font[i].y1 = stb__arial_26_latin1_y[i] + stb__arial_26_latin1_h[i];
            font[i].advance_int = (stb__arial_26_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__arial_26_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_26_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_26_latin1_s[i] + stb__arial_26_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_26_latin1_t[i] + stb__arial_26_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_26_latin1_x[i] - 0.5f;
            font[i].y0f = stb__arial_26_latin1_y[i] - 0.5f;
            font[i].x1f = stb__arial_26_latin1_x[i] + stb__arial_26_latin1_w[i] + 0.5f;
            font[i].y1f = stb__arial_26_latin1_y[i] + stb__arial_26_latin1_h[i] + 0.5f;
            font[i].advance = stb__arial_26_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_26_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_26_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_26_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_26_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_26_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_26_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_26_latin1_LINE_SPACING
#endif

