// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_27_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_27_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_27_latin1_BITMAP_WIDTH         256
#define STB_FONT_arial_27_latin1_BITMAP_HEIGHT        198
#define STB_FONT_arial_27_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_27_latin1_FIRST_CHAR            32
#define STB_FONT_arial_27_latin1_NUM_CHARS            224

#define STB_FONT_arial_27_latin1_LINE_SPACING          18

static unsigned int stb__arial_27_latin1_pixels[]={
    0x006a62a8,0x15530093,0x98800c98,0x406b2600,0x2aa2004b,0x220001bc,
    0x015931cb,0x9999892e,0x000b3200,0x31007990,0x00000333,0x800265c0,
    0x0001aca8,0x0e64c002,0xc8859900,0x6c3fe20c,0x4027403f,0x009d04fe,
    0xffd70bf5,0x00fb0bff,0xffffffb5,0x220039df,0xdff73fff,0x7fd4fb01,
    0x3fea02ff,0xfdfb0000,0xffffb805,0x26fbaa00,0x3ea001fa,0xd91004fe,
    0x05dfffff,0x32007d00,0x3fea005f,0xf887fe20,0x5c07fb0f,0x037d400f,
    0x5fa801f5,0x75cdffc4,0xd103ec2f,0x7337bfff,0x7007fffb,0x36a217df,
    0x3ea7d84f,0x7e400aae,0x8efb8003,0x2aa601ff,0xbbf100ff,0x4c00dfff,
    0x803fd8ff,0xfdbceffd,0x3e2003ff,0x007fa001,0x3ba23fc8,0x1fc40001,
    0x3a007f40,0x3204c404,0x3637d43f,0x03bfd107,0xd809ff50,0xb0df302f,
    0x2002fd4f,0x0cc8003b,0x3fe00793,0x2a219300,0x8965c002,0x3bf600cc,
    0x003ff900,0x591001ee,0x0003b800,0x0001f900,0x4000fdc0,0x20cc82fe,
    0x03fe887d,0xd01ffcc0,0x21be201f,0x4c17ea7d,0x80131001,0x2000aca9,
    0x654c00ff,0x0019800a,0x07fe4131,0x200bfd10,0x32a6004d,0x8131000a,
    0x4c079508,0x2a17e23c,0x10f2603c,0x2164c0bf,0x7d800efb,0xcc983fc8,
    0x1fa25512,0x1be00fe8,0x885fa9f6,0x3fd800ff,0xffffff70,0x01ff007d,
    0x3fffffee,0x01ff103e,0x17fc7fb0,0xb9827540,0xfb803fed,0x03efffff,
    0x4d761fec,0x47f900ff,0x0ff982fc,0x3fd07f90,0x3fa17ea0,0x263ec02f,
    0x7fffc45f,0x3ee6f9cf,0x7c01fd01,0x17ea7d87,0x36003fe2,0x6fff443f,
    0x04fffcab,0x3fa207fc,0xfffcabdf,0x800ff884,0x00ff33fd,0xfffff700,
    0x3ffa207f,0x4fffcabd,0x4db0ff60,0x41ff02fe,0x05fd00fe,0x0fee03fe,
    0x3fa62fd4,0x8fb00dff,0x2ffa21fc,0x24fefc88,0x80ff03f9,0x3ea7d87f,
    0x800ff885,0x0f7f43fd,0x3e04ffa8,0x80f7f40f,0x7fc44ffa,0xf53fd800,
    0xffa8000d,0xd03ffd92,0x3fea03df,0x6e87fb04,0x17ea17ee,0x42fdc0ff,
    0x09f505fa,0x8dfa97ea,0x7d82fffb,0x20ff63f4,0x82fc2ffd,0x207f407f,
    0x2217ea7d,0x3fd800ff,0xf5003fee,0xb83fe07f,0x7fd400ff,0x2003fe23,
    0x00bf93fd,0x7f0ffc40,0x0ffb8bf9,0x6c1ffd40,0xff13f43f,0x3e22fd81,
    0xb03fe206,0x417e605f,0x883f65fa,0x23645ffd,0x5c1bea5f,0x543ec0ff,
    0x21fe404f,0x2217ea7d,0x3fd800ff,0x2e005ff1,0x221ff06f,0xdf7002ff,
    0x6c007fc4,0x0009fb3f,0x11f32fcc,0x017fc435,0x3fd86fb8,0x88ff63fc,
    0x202fd47f,0x81fe23fd,0x4bf507f8,0x09ff707f,0x07f91fcc,0x89ba1fe6,
    0x74401ffb,0x7d4fb0bf,0x800ff885,0x00ff53fd,0x7fc07fcc,0x4c00ff50,
    0x01ff10ff,0x17ee7fb0,0x2e4fb800,0x801fea06,0x1fec0ff9,0x26fa83fe,
    0x02fdc4fb,0x04fb9bea,0x2fd407fc,0x3fea07fb,0x7f43f700,0xf88bf501,
    0x4003bea5,0x54fb2fe8,0x00ff885f,0x0df73fd8,0xff81ff80,0xf800df70,
    0x001ff11f,0x01fea7fb,0x1363fc80,0x7c006fb8,0xf11fec1f,0xfd0ff81f,
    0xf805fa83,0x4403fd0f,0x54bf507f,0x03fd03ff,0x03fc43f2,0x23fa87f9,
    0xf7003ff9,0x5fa9f63f,0xd800ff88,0x800bf93f,0x90ff83fe,0x3fe800bf,
    0xfb001ff1,0x2003fe27,0x29f91df8,0x17f202f8,0xfd87fd00,0xf907fe23,
    0xdf10df17,0xdf17f900,0xf506f980,0x41effb8b,0x1fb8627e,0x3fe203fe,
    0x3603fa22,0x22fd403f,0x2217ea7d,0x3fd800ff,0xfd8009fb,0x9fb0ff84,
    0xf14fd800,0x47fb001f,0xffc803ff,0x91eabf50,0x20027ec5,0x31fec4fd,
    0xbef985ff,0x300ff03f,0xa807f7df,0x30bf504f,0x9f919ffd,0x743f33ec,
    0x20ffc83f,0x0df102fe,0x53ec1fd8,0x01ff10bf,0x13f27fb0,0xff07fd00,
    0xd0013f21,0x003fe27f,0x2ffa8ff6,0xf897fe60,0x937d4b96,0x3fe8009f,
    0x5ff31fec,0x201fdfd0,0xefe801fd,0x81fe400f,0x3ff205fa,0xf13ec2ff,
    0xf90f7dc9,0x0bfb31ff,0x07fc07f8,0xf05fa9f6,0x25fd003f,0x7fc006fa,
    0xdf50ff81,0x3e1ff800,0x42fe801f,0x2e20affc,0x67f40efe,0x547fd13f,
    0x0ffc006f,0x2ff98ff6,0x3205ffb8,0x5ffb802f,0xf501fd80,0x1ffe980b,
    0xfb1fa3ec,0xfff7ffdf,0x0ff009ff,0x2a7d87f8,0x005fd05f,0x03fe23ff,
    0xff83fc40,0x2001ff10,0x017f47f8,0x7fec0ffc,0x1ffffdef,0xfcbffe88,
    0x007fc45f,0x3fd87f88,0x3e20bfe6,0x013ea02f,0x3e00bfe2,0x4017ea07,
    0x71f60ffd,0x0ceeb87f,0x4c45bff9,0x3e00fe80,0x17ea7d87,0x3e201fe4,
    0x4013fe0f,0x41ff05fd,0xbfb004ff,0x7c403fc8,0xfffd700f,0x744019ff,
    0xff02dfff,0x217f6009,0x07ba63fd,0x07f403fc,0x7d403fc0,0x5317ea04,
    0x87d8bfa0,0x2a0002fd,0x00fe80ff,0xfa9f61be,0x401df705,0x0ffcc7fc,
    0x7c07fea0,0x007fe60f,0xefb83ff5,0x201ff200,0x3a000afa,0x7fcc009c,
    0x40ffd401,0x3ee003fd,0x403fa804,0x0fe804fb,0x3ff13ee0,0x43ec5fb0,
    0xc8003ff8,0x01fb01ff,0xa9f61be2,0x3dfd105f,0xf505ff70,0x0bff207f,
    0x7fd40ff8,0x105ff903,0xff703dfd,0x05df7005,0xa8007e20,0x5ff903ff,
    0x1aa8ff60,0x8007f4c2,0x1fd3087e,0x6c03fa80,0x506fdc3f,0x983ec1ff,
    0x100acefe,0x6c05dfb5,0xb0bf703f,0xf102fd4f,0xfffddfff,0x77ffdc07,
    0x402fffed,0xfffb80ff,0x02fffede,0x3bbfffe2,0x7c003fff,0x000f7007,
    0xfdbdfff7,0x1fec05ff,0x7ffe49fb,0x90be6003,0xdb007fff,0x40fff6c0,
    0x3fffefff,0x3faa03ec,0xfeecefff,0xff9803ff,0x05fff52e,0x7fffd4fb,
    0xfffec982,0xdb9802ce,0x701bdfff,0x2601ffff,0x1bdfffdb,0xfffec980,
    0xb97002ce,0x017600bf,0x7ffedcc0,0x1fec01bd,0x277dc9fb,0x3ee36c00,
    0x02f9804e,0x6440bbfe,0x7d82dffe,0xffdb9500,0x400159bd,0x7ff73ffb,
    0xeee99f60,0x0009801e,0xeea800c0,0x003000ee,0xb0001300,0x320017bf,
    0x00300002,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x09950000,
    0x20000988,0x99999998,0x01993001,0x000cc980,0x00000ec0,0x06654000,
    0x01664400,0x40059900,0xcc802cc8,0x07322003,0x00599000,0x05e99f5c,
    0x3e000000,0x02fd402f,0x7ffffe40,0xb007ffff,0x3f6000bf,0xdfb50005,
    0x3f220015,0x8006d8ad,0x0005fef9,0x2a000ff7,0x3f6000ff,0x3fea02fe,
    0x01bf2000,0x001df500,0x07f9a7e4,0xb15bf910,0x09f7000b,0xe800bf50,
    0xfeefffff,0x6f9806ef,0x03fa2000,0xfffffa80,0xcfb802ff,0x4003fffe,
    0x04fc9ff8,0x0007f900,0x7dc003fd,0xfb00ff8d,0x07fc4005,0x007fa000,
    0x13225950,0x7ff67dc0,0x04b8002f,0x5c00bf50,0x325fffff,0x0195002f,
    0x002c8800,0x95f19ff1,0x23b803ff,0xca8001b9,0x40003323,0x1644003c,
    0x2a199100,0x002c883c,0x20000e4c,0x033002c8,0x1dc02620,0x53000373,
    0x5fa80159,0x3ffff600,0x260bf25f,0x00131001,0x7dc00331,0x027f47e6,
    0x80001988,0x26600198,0x99999999,0x26666099,0x99999999,0x26666660,
    0x20999999,0x26200098,0x00331001,0x0ff884c4,0x2663fd80,0x20098800,
    0xeffffffb,0x36ebf503,0xffff80bd,0x10bf25ff,0x7fb001ff,0x005ffb00,
    0x931f8ff2,0x0bff6005,0x05ffb000,0xffffff10,0x25ffffff,0xfffffff8,
    0xf12fffff,0xffffffff,0x1fec5fff,0x005ffb00,0xf3005ff5,0x003fe25f,
    0x2ffc4ff6,0x7441fec0,0xffcabdff,0xfeefa84f,0x7f42ffff,0x3f25ffff,
    0x4007fc42,0x7fc403fd,0x49f9006f,0xff88001f,0x3e20006f,0xff8806ff,
    0xeeeeeeee,0xddff12ee,0xdddddddd,0x3bbbfe25,0x2eeeeeee,0x7c400ff6,
    0xffb006ff,0x225fe801,0x3fd800ff,0xd805fff1,0x01efe83f,0xffa89ff5,
    0x1ffc88cf,0x97fffff2,0x07fc42fc,0x2e01fec0,0xa801febf,0x0003f0ef,
    0x003fd7f7,0x07fafee0,0x8003ff10,0x44001ff8,0xfd8001ff,0xfd7f7003,
    0x09ff1003,0xff107fe4,0x227fb001,0x3600ffff,0x007fdc3f,0xffa8ffea,
    0x3e26fb82,0x3f25ffff,0x4007fc42,0x4ff403fd,0xfe8804fb,0xe8001fbf,
    0x0004fb9f,0x809f73fd,0x44001ff8,0x7c4001ff,0x3fd8001f,0x9f73fd00,
    0x20bfea00,0x7fc41ff9,0xf13fd800,0x7ec0bfdf,0x400bfe23,0x81bea6fb,
    0x7fff4c7f,0xff10bf25,0x407fb001,0x00ff17f9,0x33bfffa2,0x22ff3001,
    0x7f98007f,0xff880ff1,0x0ffc4001,0x007fe200,0x2600ff60,0x400ff17f,
    0x27f40efd,0x6c007fc4,0xff3ff13f,0xfa8ff605,0x43fe6007,0x07fa05fa,
    0x2fc97ee6,0x6c007fc4,0xe93f203f,0x3f26002f,0xfc804fff,0x9000bfa4,
    0x1017f49f,0xf88003ff,0x7fc4001f,0x03fd8001,0x0bfa4fc8,0xf727fc40,
    0x003fe20d,0xcbfc4ff6,0x23fd80ff,0x7fc006fb,0x7ec09f51,0x7e4bf302,
    0x4007fc42,0x87fe03fd,0xbf8006fb,0x7fc03ffd,0xf001bee1,0x1037dc3f,
    0xf88003ff,0x7fc4001f,0x03fd8001,0x1bee1ff8,0xf89ffa80,0x01ff101f,
    0x9fe27fb0,0x23fd85fe,0x7f4005fc,0x7ec09f53,0x7e4bf301,0x4007fc42,
    0x8df503fd,0x7c001ff8,0x7d40ff71,0x800ffc46,0x0ffc46fa,0xffffff88,
    0x225fffff,0xffffffff,0x3fe25fff,0xffffffff,0x201fec5f,0x0ffc46fa,
    0x9fbdfb00,0x4007fc40,0x4cff13fd,0xb1fec2ff,0x4fd8009f,0x07f40bf5,
    0x0bf25f98,0xfb001ff1,0x360ff607,0x47e0404f,0x7fb01ff8,0x36009fb0,
    0x104fd83f,0xffffffff,0x7fc4bfff,0xffffffff,0x3fffe25f,0x5fffffff,
    0x3f601fec,0x2004fd83,0x4406fff8,0x3fd800ff,0x0ffc8ff1,0x04fc8ff6,
    0xffa9ff40,0x2606f980,0xf10bf25f,0x07fb001f,0x33335ff1,0x3fa01ff7,
    0x81ff87e1,0x9999aff8,0x7c400ffb,0xfb9999af,0x01ff880f,0x000ffc40,
    0x20007fe2,0x3fe203fd,0xffb9999a,0x07fee000,0x3a007fe0,0xfd0ff12f,
    0xdf51fecb,0xf51ff800,0x1ff4c1bf,0x17e4bf30,0x7f400ffc,0xfffffb82,
    0xb03fffff,0x7fa8fc9f,0xffffff70,0xb807ffff,0xffffffff,0x1ff883ff,
    0x00ffc400,0x0007fe20,0xffb80ff6,0xffffffff,0x01fe6003,0x7fc017f4,
    0xff30ff11,0xff88ff65,0x54ff1000,0xffdcffff,0xf92fcc04,0xf005fd05,
    0xdddfd03f,0x0dfddddd,0x44fcbfee,0xddfd05fd,0xdfdddddd,0xeeeefe80,
    0x886feeee,0x7c4001ff,0x7fc4001f,0x03fd8001,0x3bbbbbfa,0x2006feee,
    0x7f9007f9,0xf10ff880,0x363ff20f,0x8027fc3f,0x2b7ea5fd,0x9803efff,
    0x320bf25f,0x07fc403f,0xff101fe6,0x3f7ff603,0xf980fffd,0x80ffc407,
    0x7fc407f9,0x000ffc41,0x10007fe2,0xfb0003ff,0x101fe607,0x3e6003ff,
    0x01df7007,0x0ff13fe4,0x21feeff4,0x7d401ff9,0x0897ea1f,0xfc97e600,
    0x200efb82,0x04fc87fc,0x3f204fe8,0x900dffff,0x09fd009f,0x3fa013f2,
    0x000ffc44,0x10007fe2,0xfb0003ff,0x2013f207,0xff3004fe,0x07bfa200,
    0x7f88bfee,0x0ffffe60,0x7e40ffea,0x002fd42f,0x17e4bf30,0x5c0f7f44,
    0x01ff82ff,0x4c00ffa8,0x0ffc00bf,0x7c07fd40,0x0ffa801f,0x10007fe2,
    0xf88003ff,0x3fd8001f,0xf5003ff0,0x0ff3001f,0x77fffc40,0x7c43fffe,
    0x1fffe407,0xedefffb8,0x5fa82fff,0xc97e6000,0xffff102f,0x507fffdd,
    0x3fe200ff,0x5401f803,0x7ff1007f,0xf1007fa8,0x7fffc47f,0xffffffff,
    0xffffff16,0x2dffffff,0xfffffff8,0x366fffff,0x007fa83f,0xf3007ff1,
    0xfec9800f,0xf882ceff,0x03ffe807,0x37fff6e6,0x00bf501b,0x5f92fcc0,
    0x7fff64c0,0x09fb02ce,0x54037e40,0x0027ec00,0x04fd8df9,0xff89bf20,
    0xffffffff,0xffff16ff,0xffffffff,0x3ffffe2d,0x6fffffff,0x13f60ff6,
    0x9806fc80,0x04c0007f,0x2601fe20,0x006003ff,0x10002754,0x000f5c9d,
    0x00000013,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x27547b60,0x801e6440,0x01dd14ea,
    0x03eb8f6c,0x00fae1db,0x0001ba88,0x2a600d54,0x20005511,0x06aa2008,
    0x54015cc0,0x0aa6000c,0x000ab980,0x4c001554,0x3550002a,0x006f5400,
    0xbf71fe80,0x05fdfb00,0x3fe2bf70,0x7e47fe00,0x3f23ff04,0x7ff64404,
    0x4003dfff,0x7e400ffa,0xe980ff34,0x402f9acf,0xffa806fc,0x017e03ff,
    0x403fff98,0x0dfffffa,0x003ff300,0x001fffcc,0x44003fea,0x2e000936,
    0xb805930c,0x401ff8df,0x809912ca,0x205950cc,0x405950cc,0xdbbdffe8,
    0x3a003fff,0x34fc802f,0xfcee80ff,0xfd800fff,0x6c477402,0x001fb81f,
    0x03fd5fd1,0x36a73fe6,0x17ee004f,0x7f57f440,0x00bfa001,0x000b1588,
    0x2005654c,0x07950cc8,0x10006620,0x33333013,0x13333333,0xf500efd8,
    0x09f5007f,0x0e440000,0x3a200173,0xfa93e206,0xb002fc44,0x203fe69f,
    0x07fc43fd,0xb003f900,0x003fe69f,0x360013ea,0xfb8002ed,0x03efffff,
    0x6c000988,0x3f6002ff,0x7ffffc43,0x2fffffff,0x3ee01bf6,0x0000002f,
    0x00000000,0x45f88bee,0x000001fb,0x03fe03fe,0x00000000,0x3ff60000,
    0x3ffa2002,0x4fffcabd,0x1001fec0,0x6c00dfff,0x777fc43f,0xeeeeeeee,
    0x2003ff12,0x372a05fd,0xeca800bd,0xeca800bc,0xdca800bc,0x22fb80bd,
    0x017e25f8,0x02f772a0,0x17ea1fe2,0x33772a20,0xbceca802,0x6ee54400,
    0xfff1002c,0x0f7f400d,0x3604ffa8,0x2fee003f,0x7fb001fe,0x4001ff88,
    0x3ea006fa,0xffffd887,0xffd302ff,0x2605ffff,0x2ffffffe,0xfffffb10,
    0x2a4fa85f,0x8003f24f,0xffffffd8,0x7f43fc42,0x7fffd401,0xfd305fff,
    0x205fffff,0xfffffffa,0xfebfb805,0x00ffb801,0xfd81ffd4,0x2e7fa003,
    0x87fb004f,0x5c001ff8,0x3fe2004f,0x4c5f7f40,0xefe81ffd,0x81ffda8b,
    0xfda8befe,0x8befe81f,0x3e21ffd9,0xf11fd89e,0xbefe8009,0x221ffd98,
    0x2037d47f,0xf731bff8,0x17dfd05f,0xf883ffb5,0x5ff731bf,0x4fb9fe80,
    0x8017fc40,0x07fb06fb,0x3fc5fe60,0x7c43fd80,0x1fec001f,0xfa8bfe00,
    0x5c5fb80f,0xb8df706f,0xa8df706f,0x45fb80ff,0x322effea,0x3fea000f,
    0x3e25fb80,0x2e01fec7,0xb89fb05f,0xb8df706f,0x409fb05f,0x80ff17f9,
    0x3e6007fa,0x003fd80f,0x017f49f9,0x3fe21fec,0x01ff4001,0x4fd8ffa0,
    0x7f41ff10,0xfe87fe02,0xfd87fe02,0x301ff104,0x2a24f885,0x4413f602,
    0xc8ff10ff,0x026200ef,0x0bfa2fdc,0x02621ff8,0x9f902fdc,0xdf7017f4,
    0xd81ff800,0x43ff003f,0x3fd806fb,0x2000ffc4,0x7fc003fd,0x2aab3fa2,
    0x3e1ffaaa,0xf8bf600f,0xe8bf600f,0xaaaaaacf,0x1f9001ff,0x20ffffa6,
    0xaaaaacfe,0x8ff11ffa,0x1001eff8,0xf8bffb95,0x80bf600f,0x05ffdca8,
    0x06fb87fe,0xfd0017f2,0x5007fb07,0x01ff88df,0x3fe21fec,0xffffffff,
    0x8017ee5f,0x3ffe1ff8,0xffffffff,0xfc80ff12,0xfc80ff13,0x3fffffe3,
    0x802fffff,0x22bf24f8,0x7fffc2fc,0x2fffffff,0xffd10ff1,0x3fff6605,
    0x3e25feff,0x261fe407,0xfefffffd,0xf88df505,0x009fb01f,0x3fd84fd8,
    0xfd83fd80,0x221fec04,0xffffffff,0x1be65fff,0x7fc7f980,0x9999999a,
    0x401ff109,0x01ff12fd,0x35ff17ec,0x13333333,0x2fc1fb00,0x9aff8bf1,
    0x09999999,0x7fe40ff1,0x5e77fcc2,0x7fc4bf51,0xf98bf600,0xbf51bcef,
    0x3f60ff60,0x8009f904,0x03fd83fe,0x4ccd7fc4,0x3600ffb9,0x00ffc43f,
    0x1c41ffc0,0x07fd17fa,0x3a01ff80,0xe807fe0f,0x000ffa0f,0x4f993e60,
    0x00ffa37c,0x7dc07f88,0xfc827f45,0xfd00ffc5,0xfc827f41,0x99aff885,
    0xa80ffb99,0x0ffc006f,0x3ee01fec,0xffffffff,0x10ff603f,0xf70003ff,
    0xcbffb81f,0x837ec0ff,0x13f60ef9,0x13f63fcc,0x1bf63fcc,0x360077cc,
    0xff0fea0f,0xdf306fd8,0x4089fe21,0x80ffc6f9,0x827ec5fd,0x80ffc7f9,
    0xfffb85fd,0x3fffffff,0x1000ff88,0x00ff60ff,0xddddddfd,0x7ec0dfdd,
    0x000ffc43,0x7543ffb8,0xff882fff,0x261ff40b,0x27f4c3ff,0xfd30ffe6,
    0x40bff889,0x1fcc03fe,0x46f897e6,0x7f40bff8,0x77cdfe23,0x7fb0ff20,
    0xf98bff90,0x227f4c3f,0x5ffc83fd,0xeeeeefe8,0xff06feee,0x417f6009,
    0x1fe603fd,0x3603ff10,0x00ffc43f,0xbdfff900,0x019ffffd,0xffb9fff7,
    0x33fff20d,0xff905ffe,0x20bffd9f,0xffdcfffb,0xe80fd806,0xf707f91f,
    0x8dffb9ff,0x2fbf67f8,0x7fd40ffd,0x6fdfecbd,0xfecfffc8,0xbdffa85f,
    0x4c6fdfec,0x0ffc407f,0x2a00ffcc,0x07fb01ff,0x7f4027e4,0xf887fb04,
    0x5cc0001f,0xdabdfffe,0xffe983ff,0x3aa00bef,0x5403efff,0x403efffe,
    0x0befffe9,0xe981fcc0,0x3a604fff,0x440befff,0x67ffe47f,0xdfffb701,
    0x3aa07fe3,0x2e03efff,0xff1efffd,0x74027e43,0x07ff504f,0xfd80bff2,
    0x2007fe03,0x3fd80ffa,0x0000ffc4,0x13aa0310,0x98800130,0x004c4000,
    0x950004c0,0x000b9801,0x01800026,0x44000620,0x00620009,0x7d400ffc,
    0xdfff700f,0x805fffdb,0x0ff503fd,0x360ffe20,0x7fffc43f,0xffffffff,
    0x00100006,0x00000000,0x00000000,0x00000000,0x00000000,0x01fea000,
    0x7301ffc4,0x037bfffb,0x3f607fb0,0x21bf2004,0x7ffc43fd,0xffffffff,
    0x0000006f,0x00000000,0x00000000,0x00000000,0x00000000,0x027ec000,
    0x0c00df90,0x001fec00,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00553000,0x2a600980,
    0x0d544002,0x0aa23530,0x9801ed40,0x1005511a,0x4c04a859,0x2a200009,
    0x201c81ac,0xaa8802cb,0x40591000,0x0395002b,0x2c88015c,0x8001b980,
    0x0b2002a9,0x803fff98,0x2f99cfea,0x800bfe20,0x3f200efb,0xb100ff34,
    0x9f900771,0x3ea01fe6,0x3ea03742,0xc803fbaf,0x2ffffffe,0x27ec07f7,
    0x13ffbf20,0x7ec03f60,0x205f8804,0x1fb004fd,0x77fff540,0x5fff3001,
    0x2205f300,0x401feafe,0x0ffffcee,0xf0037cc0,0x34fc803f,0x267500ff,
    0xf34fc804,0x443f900f,0xfffa805f,0x6ffec00b,0xfeffdbab,0x101f6404,
    0x7007f49d,0x9fff505f,0xf501fb00,0x5f7009ff,0xfc9bff80,0xeafe8806,
    0x807e401f,0x01ff34fd,0x00ba8722,0xf7005f70,0xd0000007,0x000003d9,
    0x01fcc7d8,0x01ffdf91,0xf501efd8,0x200000ff,0x13e606f9,0x2027c5ec,
    0xf17b02fb,0x404f9809,0x00ff44fb,0x077d53f6,0x00000dd0,0x00000000,
    0x0a800000,0x5f800000,0x5d700fdc,0x6fc817e6,0x017ffcc0,0x7e400262,
    0x201ba00e,0x13e604f8,0xdd013e20,0xfd87fb00,0xf8800002,0x3772a204,
    0x6e54402c,0x02c982cd,0x40b26593,0xdca882c9,0x654402cd,0xca802cdd,
    0xccb80bdd,0xfecccefc,0x575100cc,0x0bfe05fb,0x06fdef88,0xb9801fe4,
    0x01fc80ee,0x1ba04f88,0xf9027c40,0x21df7003,0x0b2607f8,0x0fd4164c,
    0xffffffa8,0xffff505f,0x4fb8bfff,0x13eebf50,0x3fea2fd4,0x505fffff,
    0xbfffffff,0x3ffff620,0x7ffec2ff,0xffffffff,0xffffd80f,0x37cc0fff,
    0xff51dd10,0x0017ec03,0x07f50fea,0x7e413e20,0x209f1001,0xfd1003fa,
    0x5c07ff5b,0xb0bf504f,0x46ffe20f,0x7c42ffb9,0x5ff731bf,0x5fa827dc,
    0x97ea09f7,0xf731bff8,0x1bff885f,0xfd05ff73,0x3ffb317d,0x4d7eccc4,
    0xe819df99,0xfffb9cff,0xfd02fdc3,0x4c0bfe23,0x8fea00ff,0x017e21fc,
    0x3fa84f88,0x2213e200,0x7fcc005f,0x27dc02ff,0x05f85fa8,0x13f60bf7,
    0x93f60bf7,0x2bf504fb,0x4bf504fb,0x89fb05fb,0x89fb05fb,0x5fb80ffa,
    0x03f98fb0,0xbfb01df5,0x3fb04fc8,0xff883fe8,0xffffd804,0x10007ec5,
    0x005f889f,0x07ec27c4,0x0fffee00,0x7d413ee0,0x9881fcc5,0x988bf700,
    0x7dcbf700,0x3eebf504,0x4c4bf504,0x988bf700,0xfd8bf700,0xf01ff104,
    0xfb01fb8b,0xfd1fe207,0xfb05f907,0x005fe889,0x5f702ae2,0x20d406a0,
    0x0054c0fd,0x502fb835,0xfdffd883,0x827dc01f,0x007dc5fa,0x5ffdca88,
    0x7fee5440,0x7d413ee5,0x3ea09f75,0x3f72a205,0x6e54405f,0x567f45ff,
    0x1ffaaaaa,0x03f627c4,0x1fd00ffc,0x0ff227ec,0xbfd117f4,0x13e60000,
    0xfb8027ec,0x1bfffea2,0xfd827cc0,0xfe877f44,0x7dc3df0e,0x6d8bf504,
    0x7fffecc0,0xfd985fef,0x25feffff,0x2bf504fb,0x8bf504fb,0xefffffd9,
    0xfffd985f,0x7fc5feff,0xffffffff,0x59f9532f,0x4555ff55,0x3f600ff8,
    0x4fb97f22,0x5fc83fe0,0x03ba0000,0x26013ff2,0x5c3be25f,0x80ee803f,
    0x1bea4ffc,0x8df5bff1,0x4bf504fb,0x3fe604f8,0x8bf51bce,0x51bceff9,
    0xb82fdcbf,0x2e0bf75f,0x33bfe65f,0xf98bf51b,0xbf51bcef,0x9999aff8,
    0xffb09999,0xffffffff,0x007fc1ff,0xabfd45fd,0xd1fe605f,0x9000403f,
    0x9fbf503f,0x0981dd00,0x3f900fea,0x6c9fbf50,0xffff983f,0xfb82fdc3,
    0xfe80bea5,0xfe8bf904,0x7dcbf904,0x3eebf905,0x7f4bf905,0xfe8bf904,
    0xfe8bf904,0x3fa62003,0x99bfb999,0xff00ffc1,0x05fcfe83,0x3ff12fec,
    0x2601bee0,0xf8df983f,0x200fe404,0x3e600fe8,0x4f8df983,0x7fdc0ffa,
    0xc82fdc0f,0xf803f25f,0xf8bfb01f,0x54bfb01f,0x2abfd06f,0x7cbfd06f,
    0xf8bfb01f,0xd8bfb01f,0x81df306f,0xb00fdc5f,0x21fea09f,0x2e00effa,
    0x827f41ff,0x37c404fe,0x04f8b7c4,0xff300fe6,0x44374403,0x7dc9f15f,
    0x85fff106,0x4bfd06fa,0x41fec05e,0x1fec5ffc,0xff32ffe4,0xf35ffb85,
    0x25ffb85f,0x5ffc83fd,0x7fe41fec,0x205ffc45,0x227cc3fe,0x17fcc07d,
    0x3e20ffaa,0xffd883ff,0x10affb81,0xfd803ff9,0xfeeefc80,0x406f884f,
    0x7ec00efa,0xfeeefc80,0x419ff14f,0x22fffff9,0x7fdc2ff9,0xfa807f15,
    0xfdfecbdf,0x65effd46,0x7ec6fdfe,0x5fcfecdf,0x3fb37ff6,0x37fea5fc,
    0x46fdfecb,0xfecbdffa,0xfffb86fd,0xfa86ffdc,0x7dc037c2,0x85ffecff,
    0xefffdfe8,0x201fffed,0xfffdfffd,0xa817d402,0x83efcccc,0x17ee00fd,
    0x6540bea0,0x323efccc,0xdffecfff,0x3f61ffe8,0x5fcfecdf,0xfb7003f7,
    0x07fe3dff,0x23dfffb7,0x7ffe41ff,0x7e45f8ae,0x45f8aeff,0xf1efffdb,
    0xfffdb83f,0xd303ff1e,0x9017dfff,0x8027c41f,0x03ffffea,0x3ff663fb,
    0xa801bdff,0x401deffd,0x3e2005f8,0x2602fa84,0x45ffffff,0x3e2005f8,
    0xeffffa84,0x3f21b623,0xb5f8aeff,0x0018800f,0x09800188,0x88002600,
    0x00188001,0x03100260,0x01300013,0x00310198,0x06540000,0x0f206a00,
    0x55555530,0x4000ca83,0x8026201a,0x08802600,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x001aa880,0x00aa2353,0x55400026,0x2603ca81,0x5654c03c,0x004c4000,
    0x00d65440,0x01980000,0x00177300,0x9a980077,0x00153000,0x0002ee60,
    0x0026eea2,0x002aee60,0x7e401551,0x267f9006,0xfffb307f,0x7fd4005f,
    0x900ff980,0x3ffee07f,0x5403efff,0x402efffd,0xfffffec8,0x3fffe02e,
    0xb104ffff,0x8017dfff,0xffffffda,0x200fb01c,0x03fffffa,0x0b7fffea,
    0x3ffff6a0,0x74401cff,0x0dffffff,0x7fffedc0,0xdf900eff,0x9005fb00,
    0x221fe67f,0x3ffcbfff,0x7405fd00,0x881ff02f,0xfcabdffe,0xbff504ff,
    0x6c05ffb7,0xffdbceff,0xffff983f,0xe884ffff,0x06ffcbef,0xb986fbea,
    0x01fa81fe,0x7edf7fd4,0xbfffc85f,0x3ea02ffd,0x3fae61be,0x7bfff301,
    0x101dffd9,0x9779dffd,0xff885ffd,0x006e8800,0x2627ec00,0x27cc00ff,
    0x3ea17ee0,0x501efe85,0x83fd09ff,0x1dfb07fa,0xf507ff20,0x45fc8009,
    0x4fa81fe8,0x7c41fd80,0x261ffc04,0x0ffe61ff,0x9f501ff3,0xfb03fb00,
    0x217fa20b,0x3f602ffe,0x000bf20f,0x7f980000,0x00007f90,0x5fb03fe2,
    0x5400ffb8,0x41bee3ff,0x07fe41fe,0xfc8bfd10,0x03fe2003,0x29f517ea,
    0x6c09aaaa,0xf303741f,0x647fb01f,0xa8bf906f,0x06f2a24f,0x01ff83fb,
    0x1ff71fee,0x0007fb00,0x202f3b2a,0x259302c9,0x0df304fb,0x005e7654,
    0x23fc47fb,0xf7002ff8,0xfe80d44d,0x54017fc2,0x000fec4e,0x4f8009f9,
    0x0ffffffe,0x300fc8db,0xe8ff20ff,0xf8ff303f,0x3f7bfa24,0xff89b60e,
    0xfd066c00,0xa93ea007,0x3ffa601c,0x7dc2ffff,0x3f2bf504,0xd30ff102,
    0x05ffffff,0x44fb9bea,0x3e6007fa,0x0ffa800f,0xf0001fe6,0xfb00d4cf,
    0x87e60085,0xf507e44f,0xfd017cc1,0x3e1ff885,0x23ff101f,0x43dd11f9,
    0xe83ea4f8,0x0ff8005f,0x80ff2000,0xfda8befe,0x5413ee1f,0x7c05fb5f,
    0x45f7f40f,0xff01ffda,0xdf707fa1,0x201ff800,0x7d43ffb9,0x3fe20006,
    0x81effffc,0xfffe99fe,0x227c7b84,0xf0be21fa,0x4e7fd40b,0x1ff44feb,
    0x4f71ffa8,0x221983f9,0x33ffea2f,0x03fcc00a,0x5c0ff200,0x5cdf706f,
    0x3abf504f,0xb83fe01f,0x20df706f,0xc86f8bfc,0x1ff4005f,0xc83fffc8,
    0x3ea0005f,0xfffdbdff,0x77fdffc1,0x22ec6fff,0x86ea99cf,0x2203ec4e,
    0xc83fffff,0x25ffb06f,0x4003ee5d,0x7fffd44e,0x6fb81cef,0x81fe4000,
    0x47fe02fe,0x2bf504fb,0x87fa01ff,0x07fe02fe,0x20fefbe6,0x7ec004fd,
    0x7ffd9904,0x20004fd8,0x7f440efa,0x50efffc6,0x3e2747fd,0xd80cffff,
    0xe980fdc5,0x42ffecff,0xf711cff9,0x7c93a5ff,0x2e217600,0x44fffffd,
    0x3bba05fc,0x7f91eeee,0xfd803fe0,0x3ea09f72,0x7fc03fd5,0xfd803fe0,
    0x01fdfd02,0xfe8009f9,0x24fe9803,0x000005fb,0xfff83fea,0x1b27fb80,
    0x207f739f,0x4c1fc43f,0x1ff4c2ff,0x3ffbffee,0x5cd91fdc,0x007f001f,
    0x21dffd73,0x3ffe06fb,0x7f91ffff,0xfc80ff10,0x3ea09f73,0x3fc05fb5,
    0x3fc80ff1,0x2a0bff70,0x0ffc006f,0x3ea6fb80,0x22000007,0x417fa2ff,
    0x41f50ff8,0xf307ee4f,0xbf90bd03,0x3a61bee0,0x23fd3dff,0x907f50fa,
    0x2000fccf,0x1ff32ffb,0x3e666660,0xf107f91f,0xb97ec01f,0x36bf705f,
    0x44df102f,0x0bf600ff,0xf8817fc4,0x0ff1000f,0xf88ffc40,0x1df8800f,
    0xfe8bfa00,0x7c47fe02,0x41fd13e2,0xe81f907b,0x007fe02f,0x45f10ff8,
    0x2fb88cfd,0x801cb9ee,0x007fe4fc,0x07f91ff8,0x0fe807fe,0x57f20bf7,
    0x8bf504fc,0x03fa01ff,0x27fc07f8,0x3ae5fd80,0x7c3ff101,0x0ffc803f,
    0x3fe20399,0x7c413f61,0x27c3ba0f,0x82fc53e6,0x00ffc2fa,0x980443ff,
    0xd887746f,0x3e24ffff,0x2e013f25,0x8017f65f,0x207f91ff,0x4ff304fd,
    0x2bfd06fa,0x87f907f9,0x0ff304fd,0x3e6027dc,0x0ffd401f,0x1fee0bfb,
    0x7cc05ff5,0x5c1bf65f,0xb837cc7f,0x4c77446f,0x0ef89880,0x3fd89f10,
    0x3ee1ff50,0xe887f905,0xf106a20e,0x00ffcc1d,0x5ffa8ff6,0xf91ff980,
    0x30ffe607,0x17fcc9fd,0x4fd97fee,0x7fcc37cc,0x4227f4c3,0xfa800fe9,
    0x85ff903f,0x7f4c2ffa,0x20affc84,0x2a0efeb8,0x1ff542ff,0x3fa627f4,
    0x201ee883,0x36c00ef9,0xfd10bfea,0x7dc0fe8b,0x403dd105,0xffe80ef9,
    0x07fec40b,0x882b7ff2,0xf91fffd9,0x67ffe407,0xffd85ffe,0x25fcfecd,
    0xffdbdff9,0xd9fff901,0xfff90bff,0x7ffdc007,0x02fffede,0xffd9dff9,
    0x77ffec0d,0xc81ffffd,0x5ffebeff,0xfb7dff30,0x77f4409f,0x0effdaac,
    0x7e40fb80,0x0effdbdf,0x7edeffdc,0x3bfa200f,0x0effdaac,0xdffffb10,
    0x2e03dfff,0xffeeffff,0x0ff20cff,0x7dfffd50,0x577ffe40,0x7ff445f8,
    0x7f5402df,0xdf703eff,0xfb730009,0xa8037bff,0x803fffff,0xcfffffeb,
    0x3fffee00,0x7fec403e,0xd93004ef,0x40037dff,0xfffa83f9,0x3f6a04ff,
    0x93001cef,0x0037dffd,0x3bffffae,0x76dc400c,0xc81defff,0x0131003f,
    0x310004c0,0x00131000,0x00180000,0x10001310,0x98800133,0x00098000,
    0x98000220,0x80026200,0x04400008,0x00262000,0x00001880,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x10000000,0x88000013,0x40330009,0x3c88bdca,0x402aea20,0x01310019,
    0x30057953,0x03333333,0x26002660,0x4cccccc1,0x26200009,0x99999999,
    0x26009999,0x2666009a,0x00199999,0x0000cc40,0x37b73000,0x2aa21310,
    0x0000bf50,0xf8805fa8,0x7fffc41f,0xda86fbff,0x442fffff,0x3fd800ff,
    0x3fffff62,0xffff102e,0x03bfffff,0x3f202fe4,0x3ffffe66,0x4004ffff,
    0xfffffff8,0x3fffffff,0xdfffffb8,0x7ffffc40,0x03efffff,0x802ffd80,
    0xfffffffe,0xffd82fff,0x3f60ffff,0x2fd57fa3,0x17ea0000,0xfd07fe20,
    0xdfff715d,0xdaadff98,0x03fe22ff,0xffd8ff60,0x81ffeb9c,0xeeeeeff8,
    0xf104ffff,0x8bfe205f,0xeeeeeff9,0x7000efff,0xddffddff,0x85dddddd,
    0xffdbeffc,0x337fe20f,0xfffecccc,0x3ffe2004,0xffffe806,0x41ffffff,
    0xfc98befd,0xfe88ff65,0x00005fa8,0x7c402fd4,0x7c17f21f,0x6427f46f,
    0x003fe26f,0x0ffd4ff6,0x7fc437ec,0x05ff9100,0x2fe41bee,0xff981fe6,
    0x2e7ff003,0x7fcc006f,0xf12ff441,0x7fe4401f,0xfd7f7001,0x5fd80003,
    0x1fe837d4,0xacf987fb,0x5400005f,0x1ff8805f,0x37dc07f6,0xff103ff1,
    0x2003fe21,0x20bfb3fd,0x7fc40ff9,0x807fdc00,0x0ffcc3fe,0xbf701fe6,
    0x7dcff700,0x837e4006,0x03fe27fa,0x2007ff10,0x004fb9fe,0xf903bea0,
    0x7ec2a607,0x6dd7ea03,0x654401bd,0x805fa8bd,0x03fe1ff8,0x1ff337cc,
    0x01ff1020,0x072a7fb0,0x7fc40ff8,0x503fe800,0x427ec1ff,0x37d407f9,
    0xdf71ffc0,0x102eb800,0x03fe21ff,0x26013f60,0x000ff17f,0x3fa07fe2,
    0xa87fb001,0xffddfa9c,0xff103fff,0x0bf9dfff,0x3e23ff10,0xf89be207,
    0x1ff1001f,0x2007fb00,0x0ff886fa,0x3605fc80,0x301ff34f,0x04fc80ff,
    0x1bee3fdc,0x4ff70000,0xff800ff8,0x3a4fc802,0x4fd8002f,0x36001ff0,
    0x7d5fe43f,0xffd98cff,0xb8aefe81,0xf8805fff,0x201ff11f,0x01ff46f9,
    0xd800ff88,0x2ff9803f,0xb800ff88,0x23fe606f,0x0ff303fd,0x801df931,
    0x037dc3fe,0x893fa000,0x37ec00ff,0x3ee1ff80,0x03fd4006,0x3f6003ff,
    0x7fd5fe43,0x7dc6fb82,0x805ff885,0x07fe1ff8,0xfec9b7d4,0xf101ccce,
    0x07fb001f,0xba83ff98,0x82aaabff,0x77e407f9,0x3ffe606f,0x0effffff,
    0x2e07fd40,0xffffffff,0x3fee006f,0x3337fe20,0x3fffedcc,0x7c46fa80,
    0x0ffa001f,0x57302fe8,0x57f90ff6,0xb07fc0df,0x017f205f,0x4fc87fe2,
    0x3feedfd0,0x102fffff,0x7fb001ff,0xf827fcc0,0x6fffffff,0x3e60ff98,
    0xffffffff,0x3ffe64ff,0x4fffffff,0x7dc1ff40,0xffffffff,0x85ff7006,
    0xfffffff8,0xb001dfff,0x009fb07f,0xfc803fe6,0x3f69fb04,0x27d5fe43,
    0x07fc3fd0,0xf8805fa8,0x433fe21f,0x3316ffd9,0x201333ff,0xfd800ff8,
    0x9813fa03,0x0999aff9,0x774c7fa8,0xeeeffeee,0x4c1fe63e,0xff506fea,
    0x000df701,0xf105ff90,0xff95557f,0x57fc4007,0x0ffb9999,0x4405fc80,
    0x8ffcc2ff,0x55fe43fd,0x44bf604f,0x017e607f,0xff507fe2,0x0dfbffdf,
    0x3fe001ff,0x102fe801,0x1ff100ff,0x500bf700,0x07f980bf,0x7f417fc4,
    0xffffffff,0x7fec0006,0x301ff102,0x3ee009ff,0xffffffff,0x01ff803f,
    0xfdcfffb8,0xf90ff64f,0x7f40bf57,0x7cc03fe2,0x07fc4045,0x54eff64c,
    0x003fcc5f,0x3ff005fd,0x22017ea0,0x4fd800ff,0x7e555544,0x261aaaae,
    0x44fc807f,0xfffffffa,0x20006fff,0x3e201ffd,0x07ff500f,0xdddddfd0,
    0xa80dfddd,0x3fa6006f,0x1fec1cff,0x81beaff2,0x407fa0ff,0x10ff35fa,
    0x5fa800ff,0xf90027dc,0x00ff8807,0xff1007d5,0x42ff9801,0xfffffff9,
    0x3e64ffff,0x6c5fc807,0x01bee04f,0x003bf620,0x7e401ff1,0x01fe601f,
    0x7ec03ff1,0x206e8003,0x55fe43fd,0xc8ff507f,0x22bfb04f,0x237cc1ff,
    0x87fb01ec,0x3ee000fe,0x01ff200e,0x007fc400,0x4ccc1bf6,0x9999efb9,
    0xd101fe60,0x007fcc7f,0xfb000df7,0x1ff1001d,0x9037f440,0x09fd009f,
    0x640017f4,0x43fd80ef,0x45ffabfc,0x7fcc2fe9,0xfd2ffdc2,0x717fa219,
    0x0ffb81df,0x026af3f6,0x81efe883,0x2a602ffb,0x40ff8802,0x00ffeb98,
    0xf980bf50,0x1ffd5107,0x3ee02fec,0x07fd4006,0x400ff880,0x3ff03ffa,
    0x201ff500,0xf70000ff,0xfc87fb07,0xdcefefab,0xdff505ff,0x54bfdff9,
    0x0fffefff,0x7ef7ff44,0x3ffee1ff,0xffefffff,0x77fffc42,0x6403fffe,
    0xfff8806f,0xffffffff,0x017ea002,0xfffffff3,0x7cc5ffff,0x7ffdc01f,
    0x6fffffff,0x3ffffffe,0xff10ffff,0x81ffb001,0xff1007fa,0x800ff107,
    0xd80ffee9,0x7d5fe43f,0x03ffffac,0x4dfffed4,0x7fffd45f,0xfd95101d,
    0xadf9839b,0xffffeb99,0xfffec983,0x6fc802ce,0xfffff880,0x8002deff,
    0x7fcc05fa,0xceefffff,0x5c02fec0,0xffffffff,0xffff16ff,0x1fffffff,
    0x22003fe2,0x027ec5ff,0xdf50df90,0x0adc9800,0x3fc87fb0,0x18800110,
    0x00006200,0x01988020,0x00000260,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x26400033,0x32a20990,
    0x932c88bd,0x402f72e5,0x09988019,0x004c4262,0x4c415540,0x40001310,
    0x37951029,0x300000cc,0x80066603,0x4cccc198,0x99999999,0x22002660,
    0x26666609,0x20999999,0x99999999,0x54c2aa01,0x2b2e1331,0x88000ff8,
    0x221fe07f,0xfaefffff,0xfffb9f55,0x07f985ff,0xf7077fcc,0x50017ea9,
    0x5fa85fff,0x22000bf5,0xffff887f,0x0000ff32,0x3fe61fea,0xfff8803f,
    0xffffff11,0x25ffffff,0xfd805ff8,0x3fffffe3,0xf14fffff,0xffffffff,
    0x72fe819f,0x7f57febf,0x8000ff8c,0x21fe07f8,0xfff71dfe,0x233ffeab,
    0x3e61ffc8,0x03bfe607,0x017ea9f7,0x0ff9ff88,0x02fd57ea,0xfd87fe80,
    0x0ff30abe,0x0fff1000,0x500dfff3,0x3fe23fff,0xeeeeeeee,0x5fff12ee,
    0x3fe3fd80,0xeeeeeeee,0xdddff13e,0x8dffdddd,0x3ebf72fe,0xff17db5f,
    0x0ff10001,0x217ee3fc,0x5ff55ff8,0x3fccdf70,0xb80dff98,0x400bf54f,
    0x21df53fe,0x00bf5098,0xe87ffe98,0x007f982f,0x987ffd80,0x6c00feff,
    0x3ff11fff,0xffff8800,0xff8ff600,0x03fe2001,0x2003ffb8,0xeff885ff,
    0x0bcdeeee,0x1fe07f88,0x57f205fb,0x99fe06fa,0x05ff987f,0x02fd53ee,
    0x17ea0000,0x7feffc80,0x7f981fe8,0x7efdc000,0x3fcff987,0x47fb7e20,
    0x44001ff8,0x3605feff,0x8007fe3f,0x7e400ff8,0x217fa005,0xfffffff8,
    0x7c42ffff,0xff8ff107,0x3eabf500,0x7cc7fa05,0x202ffcc7,0x30bf54fb,
    0x03950199,0x557ea793,0x7fd42cec,0x3f2e7f8b,0x1fe62cdf,0xf9ef9800,
    0x6f9ff987,0x47fabea0,0x44001ff8,0xb02ff9ff,0x000ffc7f,0xfa801ff1,
    0x7f41ca87,0x99aff884,0x1ffeba99,0x3fc41fe2,0xafcc0ff1,0x4bf604fa,
    0x17fe67f9,0x2fd53ee0,0x7e40ffe6,0xbf55fa83,0x49fffffb,0x6cff10ca,
    0x264fffff,0x3fa0007f,0x7f987f88,0x23f601fd,0x03ff11fe,0xff97f880,
    0x7fc7fb01,0x03fe2001,0x7f90ff90,0xff884fd8,0x897fa200,0xf8ff107f,
    0x2abf300f,0x4c7f604f,0x00bff37f,0x32fd53ee,0x1fe405ff,0xfffaafd4,
    0x02ffc98b,0x7f4c4ff1,0x01fe609a,0x7f89fe40,0x07f97f98,0x447fabf1,
    0x7c4001ff,0x3f617fa7,0x88007fe3,0x2ffc00ff,0x0ff61fe4,0xf7003fe2,
    0x4c07fc4d,0xa80ff47f,0x740bf55f,0xff3ff30f,0x9f7001ff,0x17fcd7ea,
    0x3ea0ff20,0xfb05ff55,0x3a1fe207,0x007f981f,0x1fe25f98,0x437cdfe6,
    0x223fd2fb,0xffffffff,0x9fe25fff,0x1fec2ff9,0xffffffff,0x07fc45ff,
    0x40ffeccc,0x41fe43fc,0x7d400ff8,0x2e0bfe27,0xd827e47f,0x301ff55f,
    0x7fffccdf,0xfb805fec,0x5ff3bf54,0xf507f900,0x7dc1feab,0xfd0ff105,
    0x800ff303,0x1fe20fe8,0x40fe9fe6,0x7c47fa7d,0xffffffff,0x91fe25ff,
    0xf1fec1ff,0xffffffff,0x7fffc45f,0x3fffffff,0x2fc87f90,0x6c00ff88,
    0x83bfe26f,0x7fc47ff9,0xfaaffdc3,0x8ffa60df,0xff34fff9,0xf54fb807,
    0x9001dffd,0x2abf507f,0x20bf506f,0x81fe87f8,0x7ec007f9,0x7cc3fc42,
    0x4f88ff27,0x0ffc47fa,0x3a1fe200,0xff8ff65f,0x9999999a,0x3ffffe20,
    0x200cdeff,0xa97dc3fc,0x200ff89a,0x3fe24ff9,0x7fffedff,0xffcfffb8,
    0xffff55ff,0xf989ffb9,0x00ffdc4f,0x3ffea9f7,0x3fc804fe,0x0bf55fa8,
    0x3fc417ea,0x3fcc0ff4,0xf10bf500,0x7ccff30f,0x1fe8bee6,0x88003ff1,
    0xb2ff987f,0x000ffc7f,0x40001ff1,0xe8fdc3fc,0xcccff8cf,0x46ffeccc,
    0xefff9ff8,0xffd307e9,0x3eabf57f,0x83efffad,0x1dfb07f9,0x7fd53ee0,
    0x6401ff99,0xf55fa83f,0x4417ea0b,0x981fe87f,0x3ff6007f,0xffffffff,
    0xfe8ff31f,0x11fe8fd0,0xf88003ff,0xfb1ff907,0x1000ffc7,0x640001ff,
    0xfe8fd43f,0xffffff8c,0x440cffff,0x1000227f,0x5faafd43,0x07f98022,
    0x3ee0bff1,0x77dcbf54,0x2a0ff200,0x2a0bf55f,0xd0ff105f,0x00ff303f,
    0x77777764,0xf31eeffe,0x4f8bfb8f,0x1ff88ff4,0xd03fc400,0x7fc7fbbf,
    0x03fe2001,0x4c3fc800,0x3fe2f60e,0x09aaaaab,0x0000ff10,0x0bf55fa8,
    0xf503fcc0,0x2a9f707f,0x9027f45f,0x2abf507f,0x20bf505f,0x81fe87f8,
    0x100007f9,0x98ff30ff,0x7f41fbef,0x8003ff11,0x3fe607f8,0x007fe3ff,
    0x0000ff88,0x3f100ff2,0x10001ff1,0xa80000ff,0x400bf55f,0x7fec07f9,
    0x5faa7dc1,0xfc817fcc,0xbf55fa83,0x7c417ea0,0xf981fe87,0xff100007,
    0xdfd0ff30,0x3e23fd0f,0x3fc4001f,0xf8ffff20,0x3fe2001f,0x0ff20000,
    0x7c536355,0x7f88000f,0xafd40000,0x3e6005fa,0x237fc407,0x90bf54fb,
    0x07f901df,0x417eabf5,0x0ff105fa,0xfff303fd,0x9fffffff,0xf30ff100,
    0xd09ff70f,0x3fffe23f,0xffffffff,0xfd00ff16,0x000ffc7f,0x40001ff1,
    0x0a7f43fc,0x20003fe2,0x400005e8,0x009d54ea,0x7cc03fcc,0x7d53ee4f,
    0xf909fd05,0x3eabf507,0x220bf505,0x981fe87f,0xffffffff,0x7f8804ff,
    0xff987f98,0xff11fe81,0xffffffff,0x01fe2dff,0x1ff8ffe6,0x003fe200,
    0x7f43fc80,0x00000004,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0c40165c,0x26666666,0x33331001,
    0x13333333,0x31000cc4,0x98004cc1,0x98013109,0x884c4009,0x02620009,
    0x3333102e,0x33333333,0x31001983,0x26666661,0x40199999,0x000002c9,
    0x0de765c4,0x80159b73,0x02cddca8,0xe81bdb98,0x2f7f224f,0x3ffe25d8,
    0x1dffffff,0x3ffffee0,0x26ffffff,0xf9802ffa,0x007fee2f,0x037dcdf9,
    0x7c01fff1,0x400df92f,0x207f44fd,0xfffffffb,0x21ffffff,0x3fd801ff,
    0x33333337,0x54015333,0xd971004f,0x3ea1b259,0xbbffffff,0x02ffffff,
    0xfffffff5,0x7fffec0b,0xb8fb20ff,0x23fffecf,0xeeeeeff8,0xd504ffff,
    0xdddddddd,0x0ffd8dff,0x7f42ff40,0x983fea06,0x3ffea07f,0x7ccff302,
    0x1ff8801f,0x3baa07fc,0xeeeffeee,0x07fe1eee,0x0014ff60,0x027d4013,
    0x7fffffd4,0x57fc42ff,0x7dfff930,0x881ff711,0xff731bff,0x317dfb05,
    0x23b80bf9,0x07fc41b8,0x0005ffb0,0xff107fee,0x407fe409,0xff884ff8,
    0xfb01ff82,0x17ee09f9,0xdf7009fd,0x36001ff0,0x01ff804f,0x40053fd8,
    0x013ea009,0x3aa5dff3,0x81fe40ff,0x6fb81fff,0x4fd82fdc,0x1fe837d4,
    0x0ff88000,0x0007fec0,0x7d40ffea,0x01ff982f,0x9fd07fea,0x7fc0ff60,
    0x87fb06f8,0x3fe807fa,0x0333ff2a,0xff009fb0,0x0a7fb003,0x3ea00980,
    0x7427f404,0x804c44ff,0x1ff106fd,0x5fb804c4,0x0a981fe4,0x9d951c98,
    0x800ff885,0x3e6003fe,0x077ec04f,0x3f6013fa,0x5c0df90e,0xfd5f985f,
    0xf883ff01,0x83fe201f,0x01fffffc,0x7fc027ec,0x053fd801,0xeee884c0,
    0xeeeeffee,0xfc81ff11,0x5d4407fa,0xaaaadffd,0x2201feaa,0x745ffdca,
    0xbfa8001f,0x25fffffc,0xfb800ff8,0x0dfd1005,0x7dc9ff10,0x59fd1006,
    0x3fc403ff,0x43fc97dc,0x09f907f8,0x3e6227e4,0x4fd8019f,0xd801ff80,
    0x84c0053f,0xfffffff8,0xdf32ffff,0x81ff2fb8,0xfffffed8,0xffffffff,
    0x7fecc3ff,0x7c5fefff,0xffa8000f,0x2ffb89cf,0xf5001ff1,0x03ff600d,
    0x7c4ffd40,0x3fe6001f,0x1fe803ff,0x45fa87f4,0x0ff305fa,0x0ff80ff4,
    0xf009fb00,0x3333335f,0x00a7fd33,0x26666098,0x09999dfb,0xf1fccbf5,
    0x67ffcc3f,0x3339fb1a,0x4c133333,0xf51bceff,0x8001ff8b,0x4fc82ffa,
    0xf3001ff1,0x03ff900f,0x4fdefd80,0x05ffc800,0x37c45f90,0x405f91fe,
    0x06f982fe,0x7ec003fe,0xfffff804,0xffffffff,0x004c0053,0xb7d409f5,
    0xd07fc5e8,0x013f609f,0x3f209fd0,0xb9817f45,0xf707fa82,0x2003fe2b,
    0x3ea00ff9,0xff88002f,0xff90006f,0xa93ea00d,0xfd0fec4f,0x642fdc01,
    0x003fe03f,0x7fc027ec,0xeeeeeeee,0x40053ffe,0x813ea009,0x20fd8ff9,
    0x03fe27f8,0x7c41bfe2,0x6c07fe0f,0xd827e45f,0xdf53554f,0x7fc57ea0,
    0x207fa800,0x20004ff9,0xa8001ffb,0x8804ffff,0xf707f26f,0xf101be27,
    0x007fc41f,0x3f6001ff,0x801ff804,0x4c0053fd,0xf013ea00,0x6fb83fbf,
    0x7fec1ff4,0x6c4fd84f,0x45ffc83f,0x7fcc2ff8,0x0bf59fd1,0x07fc57ea,
    0xe8837dc0,0x7cc0005f,0xbff88007,0xfe801ffa,0x2bf30ff0,0x2fd804fa,
    0x1ff017ea,0x2013f600,0x3fd801ff,0x5004c005,0x4ffc809f,0x3ea0ffdc,
    0x9bffdbdf,0x6ffccefe,0xecbdffa8,0xffb86fdf,0x3a4ffdcf,0xf505facf,
    0x2003fe2b,0x1dfb05fd,0x07f98000,0x3f66fd80,0x4d7e400f,0x3f2ff05f,
    0x365fa801,0x007fc02f,0xff804fd8,0x053fd801,0x400004c0,0xffcdfff9,
    0xfffb704f,0x7ffec43b,0xffb700be,0x207fe3df,0x01cfffe9,0xafd417ea,
    0x7cc00ff8,0x01ffc82f,0x007f9800,0xff107fdc,0xfbcfa80b,0x0fd1fb03,
    0x37c47fc0,0xd8007fc0,0x01ff804f,0x40053fd8,0xfffff109,0x45ffffff,
    0xefffdbee,0x88018802,0x00062000,0x5fa800c4,0x3fe2bf50,0x5437ec00,
    0x300002ff,0x7fcc00ff,0x203ffa82,0x501fddf8,0x6400bf7f,0xe803fbbf,
    0x09fb001f,0xfb003ff0,0x109800a7,0xffffffff,0x20645fff,0x00000009,
    0x00000000,0xafd417ea,0x5cc40ff8,0x7fcc1ffe,0x3e600003,0x09fd1007,
    0xfd007fe4,0x7f7c40df,0x3b7e2003,0xeffd800f,0x4027ec01,0x3fd801ff,
    0x55555559,0x00019555,0x00000000,0x00000000,0x7d417ea0,0xffffff15,
    0x705fffff,0xffffffff,0x801fffff,0xdfb007f9,0x5c0dfd00,0x7ff404ff,
    0x2ffec001,0x03ffe980,0x7fc027ec,0x003fd801,0x00000000,0x00000000,
    0x7d400000,0x3e2bf505,0xdeffffff,0xffff700b,0xffffffff,0x07f9801f,
    0x9801ffb8,0x5ff304ff,0x8007fc80,0x44002ffa,0x804fd800,0x3fd801ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3017bb95,
    0x20b26059,0x801bdeca,0x980bceca,0x00adc89c,0x40595080,0x303972c9,
    0x4c32e079,0x059d951c,0x99999999,0x00cc0199,0x2f72a393,0x402f6e61,
    0x00020800,0x32207326,0x6447701c,0x06545912,0x20054050,0x7ec40098,
    0x5c2fffff,0xe8bf504f,0x03ffffff,0xffffffd3,0xffebfa85,0x57aa000f,
    0x4bf606f9,0x0ffc83fc,0x97f53fc4,0xf8bfffff,0xffffffff,0xa81fe00f,
    0xfffffdbf,0x4fffff98,0x21b98764,0x017d90ed,0x7ec37ec0,0x7f47f505,
    0x2fc47f60,0x6fa83fd8,0x3a037e40,0xffd98bef,0x7d413ee1,0x54477f25,
    0xbefe81ff,0x2a1ffda8,0x804bcfff,0x3a5fffc8,0x2a7f881f,0x42ffe86f,
    0x3ffea4fa,0x22ffb89c,0xf9999999,0x503fc04f,0xfd515fff,0xff715bfd,
    0x7ff7fe43,0xf90efeff,0xf10039ff,0x407fd47f,0x10fee6f8,0x541fdcdf,
    0x0bfea3ff,0x7d40df90,0x2e5fb80f,0x74bf504f,0x5c3ec81f,0x54df706f,
    0xfb5002ff,0x4fb839ff,0x07fc4fb8,0xfd89fdf1,0x320bfea2,0x05fd804f,
    0x3fea07f8,0x6c37fcc2,0x5f7fec3f,0x64c0fffd,0x5402dfff,0x02ff88ff,
    0x41be63fd,0x207fa4fc,0x2ffabffa,0x36009880,0x21ff104f,0x4bf504fb,
    0xfd000dfd,0xfa8ffc05,0x7ff5c407,0x0ff100be,0x22fd83fd,0x3fc6fbfb,
    0x2fdc1fea,0x2003bf20,0x41fea07f,0x44fc83ff,0x07fc43fd,0xbfffeb88,
    0x9fbbf900,0x2fe97ee0,0x37d47fe0,0x02ffffa8,0x99999999,0x33fa3999,
    0xffaaaaaa,0x3ea09f71,0x2f7ffea5,0xd803fe00,0x5c0df52f,0xd001dfff,
    0x5437cc5f,0x3fa3f64f,0x6fa8bf30,0x7dc0bf50,0xcccca80f,0x53ccccff,
    0x207fe0df,0xc83fc4fb,0xffd9802f,0x0dffd03f,0x2fe47fe6,0x3fe9bea0,
    0x220bff90,0xffffffff,0xffff2fff,0x5fffffff,0x2fd413ee,0x3bffffa6,
    0x3203fc42,0x640bf53f,0x7d4002ff,0x3e20ff25,0xc97e5be6,0xa82fd42f,
    0x03ff505f,0x3ffffff2,0xbf55ffff,0x3ee03fe0,0x7d417e64,0x17fe6004,
    0xfd01ffd4,0xc803fe65,0x503ff14f,0x2a07ffff,0xaaaaaaaa,0x335ff0aa,
    0x21333333,0x0bf705fb,0x8ffffae6,0x3f600ff8,0x7d40bf52,0xf1002eff,
    0x6c03fa1f,0x9f54f99f,0x0bf503fa,0x3fe617ea,0x2aaaa602,0x52aaabff,
    0x203fe0bf,0x407fc4fb,0xfda802fd,0xfffd03ff,0x643fe601,0x64df304f,
    0xaaffa84f,0x098803ff,0xb800ffa0,0x00bf905f,0x1ff8dfb1,0x2fd43fa0,
    0x67ffed40,0x7cd7e400,0x3eefee05,0x0bf1df12,0x17ea0bf5,0xf0009ff1,
    0xf82fd40f,0x6c4fb80f,0x103fcc4f,0x405dffd7,0x205fcdfc,0x203fa4fb,
    0x50df31fe,0x1ffd47ff,0xfd81bf20,0x2a1df306,0x22bfd06f,0x0ff880fe,
    0x3fcc13f6,0x64c00bf5,0xf302dfff,0x7cc05f9b,0x33fa0fdd,0x505fa83f,
    0x02ff44bf,0x3ea07f80,0xf701ff05,0xecfffd89,0x7ecc1fff,0x7d401dff,
    0x202ff88f,0xa8bf30fd,0x3603f64f,0x405fa83f,0x3fe206fc,0xf31ff40b,
    0x25ffb85f,0x45fb84fc,0x7f4c3ff9,0x20017ea4,0xd05fffb8,0xffd00fff,
    0x80fffb8d,0x4bf505fa,0x3e0005fd,0x7c17ea07,0x364fb80f,0xdefffdef,
    0x9fff90ff,0x45ff1001,0xbf100ffa,0x54dd0fe4,0x0180a03f,0x7dc00988,
    0x86ffdcff,0xcfecdffd,0x33ffe25f,0xfc81ffec,0x45ffecff,0x540005fa,
    0x09ff705d,0xf987ff90,0x20bf506f,0xddff75fa,0x07dddddd,0x0bf503fc,
    0x93ee03fe,0x641510eb,0xb000bb25,0x40dfb0bf,0x41304c18,0x00000018,
    0x3fffa600,0xfff900be,0xe98bf15d,0x201dffff,0x83efffea,0x100005fa,
    0x2007fe20,0x3ff81ff9,0x3ea0bf50,0xffffff75,0x4c09ffff,0x7c17ea01,
    0x004fb80f,0x7dc00040,0x03ff880f,0x00000000,0x01300000,0x310004c0,
    0x00988003,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x055d4400,0x5100b260,0x4c15c015,
    0x02aa200b,0x33333331,0x39101333,0x33333310,0x26613333,0x1b881330,
    0x81331aa8,0x40353009,0x0aa8aa20,0x0aaa0553,0x51ee4000,0x26155555,
    0xdddddddd,0x003ddddd,0x00000000,0xfeff9800,0x81ff602f,0xd86ffffb,
    0x3fff664f,0x7ff7e40d,0x3fffff24,0x885fffff,0xffffc82f,0xd5ffffff,
    0xfb8bfe7f,0x4ffa0efe,0x2a1fc3fe,0x21cfffff,0xfe9be669,0xf983ff31,
    0xfffff51f,0xffffffff,0x7fc53f6b,0xdd31ffff,0xdddddddd,0x00009ddd,
    0x00000000,0x17a21dd0,0x441fffc4,0x7d4bf25f,0x22bfa4ff,0xe93a25fb,
    0xddddd70f,0x649ddddd,0x2e1935f1,0xeeeeeeee,0x3e7fd5fe,0x23d8be2f,
    0x4c7fd3fe,0x3fffe3ef,0x7ffeffff,0x21fe9be6,0x31fec5fa,0x77777777,
    0x2e577777,0xddddd12c,0x0000003d,0x00000000,0x74c42000,0x0df7f707,
    0x7b2fa822,0xd13e69f1,0x01be601f,0xdfdff100,0x7cc005ff,0x4bfe7fd5,
    0x4f63546a,0xd1fd83fe,0x7fff5cc3,0x3f70003f,0x000013e2,0x00000000,
    0x00000000,0xffb30000,0x65fe0fff,0x43f4401f,0xc85f54f8,0x00efc81f,
    0x5dfb3000,0xb5f98001,0x7c47f65f,0x363f16e0,0x4dfb751f,0x0026a600,
    0x00000000,0x00000000,0x00000000,0x9ff10000,0x9f70fb15,0xefa817e6,
    0x7f54f881,0xeb980fc8,0xf980000e,0xf98003fc,0x83f21f75,0x361fcbed,
    0x77e43f24,0x0000001c,0x00000000,0x00000000,0x00000000,0x222fa800,
    0x3a0fe87f,0x00dfb80f,0xd17e69f1,0xf93fa80f,0xffffffff,0xfcb7c4bf,
    0x9afcc002,0x33aa16a6,0x0016a041,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffd55df1,0x3ea2fd41,0x22027e44,0x36b7f64f,0xfc8fea3f,
    0xffffff91,0x1a8bffff,0x17e6000e,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3eab7fae,0x3fe0bf62,0xffffff50,0x2e24f889,
    0xffd82efe,0x000005ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00400000,0x4bae0bd1,0x1aaaaaa9,0x880101a8,0x000000ab,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__arial_27_latin1_x[224]={ 0,2,1,0,0,1,1,1,1,1,0,1,2,0,
2,0,1,2,0,1,0,1,0,1,0,1,2,2,1,1,1,1,1,-1,1,1,1,1,1,1,1,2,0,1,
1,1,1,1,1,1,1,1,0,1,0,0,0,0,0,1,0,0,0,-1,1,0,1,0,0,0,0,0,1,1,
-2,1,1,1,1,0,1,0,1,0,0,1,0,0,0,0,0,0,2,0,1,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,2,1,0,0,-1,
2,0,0,0,0,1,1,0,0,-1,1,0,0,0,2,1,0,2,1,1,0,1,1,1,0,1,-1,-1,-1,-1,
-1,-1,0,1,1,1,1,1,0,1,-1,0,-1,1,1,1,1,1,1,1,0,1,1,1,1,0,1,1,0,0,
0,0,0,0,0,0,0,0,0,0,0,2,-1,0,0,1,0,0,0,0,0,0,1,1,1,1,1,0,1,0,
 };
static signed short stb__arial_27_latin1_y[224]={ 21,3,3,3,2,3,3,3,3,3,3,6,18,13,
18,3,3,3,3,3,3,3,3,3,3,3,8,8,6,8,6,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,24,3,8,3,8,3,8,3,8,3,3,
3,3,3,8,8,8,8,8,8,8,4,8,8,8,8,8,8,3,3,3,10,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,21,8,3,3,6,3,
3,3,3,3,3,9,8,13,3,0,3,6,3,3,3,8,3,11,20,3,3,9,3,3,3,8,-1,-1,-1,-1,
0,-1,3,3,-1,-1,-1,0,-1,-1,-1,0,3,-1,-1,-1,-1,-1,0,7,3,-1,-1,-1,0,-1,3,3,3,3,
3,3,3,3,8,8,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,7,7,3,3,3,3,3,3,3,
 };
static unsigned short stb__arial_27_latin1_w[224]={ 0,3,7,14,13,20,15,3,7,7,9,12,3,8,
3,7,12,8,13,12,13,12,13,12,13,12,3,3,12,12,12,12,23,18,14,16,16,14,13,17,15,3,11,16,
12,18,15,17,15,17,17,14,15,15,16,23,16,16,15,6,7,6,11,15,5,13,12,12,12,13,8,12,11,3,
6,11,3,18,11,13,12,12,8,12,7,11,12,18,12,12,12,8,3,8,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,0,4,12,13,13,15,
3,13,8,18,9,11,12,8,18,15,8,13,8,8,5,12,14,3,6,5,9,11,19,19,20,13,18,18,18,18,
18,18,23,16,14,14,14,14,6,6,9,7,18,15,17,17,17,17,17,12,18,15,15,15,15,16,15,14,13,13,
13,13,13,13,21,12,13,13,13,13,5,5,9,7,13,11,13,13,13,13,13,13,13,11,11,11,11,12,12,12,
 };
static unsigned short stb__arial_27_latin1_h[224]={ 0,18,7,19,22,19,19,7,24,24,8,13,7,3,
3,19,19,18,18,19,18,19,19,18,19,19,13,17,13,9,13,18,24,18,18,19,18,18,18,19,18,18,19,18,
18,18,18,19,18,20,18,19,18,19,18,18,18,18,18,23,19,23,10,2,4,14,19,14,19,14,18,19,18,18,
24,18,18,13,13,14,18,18,13,14,18,14,13,13,13,19,13,24,24,24,5,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,0,18,23,19,13,18,
24,24,4,19,10,12,8,3,19,3,7,15,10,10,4,18,23,3,6,10,10,12,19,19,19,19,22,22,22,22,
21,22,18,23,22,22,22,21,22,22,22,21,18,22,23,23,23,23,22,11,19,23,23,23,22,22,18,19,19,19,
19,19,19,19,14,18,19,19,19,19,18,18,18,18,19,18,19,19,19,19,19,11,15,19,19,19,19,24,23,24,
 };
static unsigned short stb__arial_27_latin1_s[224]={ 255,248,93,95,82,164,218,114,14,35,70,
133,110,180,251,246,27,115,169,85,146,115,128,220,169,183,252,252,63,57,179,
82,68,201,130,98,13,179,210,230,145,246,27,56,133,160,194,67,224,90,183,
215,129,66,104,80,63,46,30,114,161,155,11,189,148,225,1,239,14,1,124,
39,103,99,43,77,73,146,108,40,43,30,54,27,121,15,76,89,192,54,120,
92,110,101,125,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,255,251,213,
52,165,114,64,50,139,196,1,205,80,180,142,160,101,175,23,48,154,17,32,
176,118,32,38,217,198,178,157,143,63,186,115,96,48,1,145,196,134,149,164,
75,244,179,38,67,95,238,226,1,137,162,20,229,124,121,47,180,222,205,1,
199,214,242,1,15,53,67,203,233,150,108,185,81,250,248,89,240,110,1,1,
40,228,136,122,242,189,29,41,234,15,22,19,1, };
static unsigned short stb__arial_27_latin1_t[224]={ 20,133,186,73,26,50,73,186,1,1,186,
171,186,186,20,73,93,133,113,93,133,93,93,113,93,93,151,133,171,186,171,
113,1,113,113,93,152,133,133,93,152,113,113,133,133,133,133,93,133,50,113,
93,152,113,152,152,152,152,152,1,93,1,186,186,186,152,113,152,113,171,133,
113,133,133,1,133,133,171,171,171,133,133,171,171,152,171,171,171,171,93,171,
1,1,1,186,152,152,152,152,152,152,152,152,152,152,152,152,152,152,152,152,
152,152,152,152,152,152,152,152,152,152,152,152,152,152,152,152,152,20,1,1,
113,171,113,1,1,186,93,186,171,186,186,93,186,186,152,186,186,186,133,26,
186,186,186,186,171,73,73,73,73,26,26,26,26,50,50,113,1,26,26,26,
50,1,26,50,50,113,26,1,26,1,1,50,171,73,1,26,1,26,26,133,
50,50,50,73,73,73,73,152,113,50,50,50,73,113,93,133,133,73,152,93,
93,50,50,50,171,152,73,73,73,93,1,26,1, };
static unsigned short stb__arial_27_latin1_a[224]={ 107,107,137,215,215,344,258,74,
129,129,150,226,107,129,107,107,215,215,215,215,215,215,215,215,
215,215,107,107,226,226,226,215,393,258,258,279,279,258,236,301,
279,107,193,258,215,322,279,301,258,301,279,258,236,279,258,365,
258,258,236,107,107,107,181,215,129,215,215,193,215,215,107,215,
215,86,86,193,86,322,215,215,215,215,129,193,107,215,193,279,
193,193,193,129,100,129,226,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,107,129,215,215,215,215,100,215,
129,285,143,215,226,129,285,214,155,212,129,129,129,223,208,107,
129,129,141,215,322,322,322,236,258,258,258,258,258,258,387,279,
258,258,258,258,107,107,107,107,279,279,301,301,301,301,301,226,
301,279,279,279,279,258,258,236,215,215,215,215,215,215,344,193,
215,215,215,215,107,107,107,107,215,215,215,215,215,215,215,212,
236,215,215,215,215,193,215,193, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_27_latin1_BITMAP_HEIGHT or STB_FONT_arial_27_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_27_latin1(stb_fontchar font[STB_FONT_arial_27_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_arial_27_latin1_BITMAP_HEIGHT][STB_FONT_arial_27_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_27_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_27_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_27_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_27_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_27_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_27_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_27_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__arial_27_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__arial_27_latin1_s[i] + stb__arial_27_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__arial_27_latin1_t[i] + stb__arial_27_latin1_h[i]) * recip_height;
            font[i].x0 = stb__arial_27_latin1_x[i];
            font[i].y0 = stb__arial_27_latin1_y[i];
            font[i].x1 = stb__arial_27_latin1_x[i] + stb__arial_27_latin1_w[i];
            font[i].y1 = stb__arial_27_latin1_y[i] + stb__arial_27_latin1_h[i];
            font[i].advance_int = (stb__arial_27_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__arial_27_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_27_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_27_latin1_s[i] + stb__arial_27_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_27_latin1_t[i] + stb__arial_27_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_27_latin1_x[i] - 0.5f;
            font[i].y0f = stb__arial_27_latin1_y[i] - 0.5f;
            font[i].x1f = stb__arial_27_latin1_x[i] + stb__arial_27_latin1_w[i] + 0.5f;
            font[i].y1f = stb__arial_27_latin1_y[i] + stb__arial_27_latin1_h[i] + 0.5f;
            font[i].advance = stb__arial_27_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_27_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_27_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_27_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_27_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_27_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_27_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_27_latin1_LINE_SPACING
#endif

