// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_34_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_34_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_34_latin1_BITMAP_WIDTH         256
#define STB_FONT_arial_34_latin1_BITMAP_HEIGHT        290
#define STB_FONT_arial_34_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_34_latin1_FIRST_CHAR            32
#define STB_FONT_arial_34_latin1_NUM_CHARS            224

#define STB_FONT_arial_34_latin1_LINE_SPACING          22

static unsigned int stb__arial_34_latin1_pixels[]={
    0x00260c40,0x80000400,0x20980000,0x00000c19,0x30000620,0x17ffc003,
    0xfe8bfea0,0x76e54407,0xeeeeeeee,0x2064c002,0xed8003ed,0x7dd05eee,
    0x00133100,0x5ddddd50,0x4c009998,0x000fec4f,0x7ffff64c,0xff91002d,
    0x54005bff,0x1ff33ffe,0x000bffe6,0x3fffb6e0,0x3001ceff,0xff7001ff,
    0x45ff5009,0x3fee07fe,0xffffffff,0x64003fff,0x0027fc0f,0x83fffffc,
    0xffa804ff,0xfffa8007,0x3bfe63ff,0x2607f400,0x3f62006f,0xffffffff,
    0x3ffe201e,0x804fffff,0xf33ffff9,0x3fffe61f,0xffc88002,0xffffffff,
    0x7cc01eff,0x06fe800f,0x7f45ff50,0xfffff907,0xdffddddf,0x86e8005d,
    0xff8004ff,0x9ff02aae,0x00ffee00,0x7ff75510,0x3200ffec,0x007f903f,
    0x579ffff3,0x03ffffd7,0x2e273ff6,0x7e402ffe,0x1ff30acf,0x002ffdcc,
    0x2b3fffea,0x3fff6e61,0x03fe604f,0x2001ff50,0x06620998,0x3fffffe6,
    0x007fe63f,0x3fe13e20,0x05ff8004,0x36001aa8,0x3e60006f,0x805ff33f,
    0xff100ff9,0x67ffc401,0x1fff9100,0xf985ff88,0x427f406f,0x7fc80ff9,
    0x0bbfee00,0x06ffd980,0x98801ff3,0x64000000,0x3fffffff,0x20007fe6,
    0x04ff81fb,0x0005ff80,0x0007b600,0x4eb9ffcc,0x6c04fd80,0x17ffa04f,
    0x2627fe40,0x1ffd02ff,0x7cc1ffc0,0x00ffa80f,0x0005ffb8,0x3e613fee,
    0x0000000f,0xfffffd00,0x0ffcc7ff,0x7c1f6100,0x5ff8004f,0x02200000,
    0x03ff9800,0x200ffc40,0xffa80ffa,0xfff1000f,0x8827fc41,0x982ff801,
    0x0ff980ff,0x001ffcc0,0x2617fd40,0x05dd30ff,0x3ba69db0,0xff4ed802,
    0x47ffffff,0x65401ff9,0xf80efffe,0x5bffd74f,0xd00bff01,0xfdc9807d,
    0x000befff,0x7744ffe6,0x201bf204,0xffd83ff8,0x0565c002,0x8000fff6,
    0x0ff982ff,0x7401ff98,0xbff9305f,0xdf916645,0x3fe0ff98,0xf1ffcc06,
    0x3ff980df,0xfffffffd,0x900ffcc7,0xdfffffff,0xffddff83,0x7c0fffff,
    0x04ff805f,0x3fffffee,0x3004ffff,0x17fe27ff,0xfb004ff8,0x007ff88d,
    0x6fffc400,0x17fc4000,0x7cc07fcc,0x03bee01f,0x3ffffff6,0x3e62ff9a,
    0xc83fe61f,0x3ff200ff,0xc803ff20,0xffff90ff,0x7fcc7fff,0x15bff701,
    0x7c1ffff9,0xf711efff,0x805ff8df,0xffe984ff,0xffdbacdf,0x7cc00dff,
    0x20bff13f,0xf5001ff9,0x037fcc1f,0x3ffa2000,0x3e2003ff,0x80ff982f,
    0x3fe01ff9,0x99cffc82,0x41ffdffd,0x83fe64fe,0x3fa03ff9,0xd01ffcc5,
    0x7fffc4bf,0x3fe63fff,0x7c5ffa81,0x3fe3ffbe,0x4ffa80ef,0x3fe017fe,
    0x01effe84,0x3017ffea,0x17fe27ff,0x98007fd4,0x17fea1ff,0xbffa8000,
    0x800dfffd,0xff982ff8,0x502ff880,0x07ff70ff,0xf90ffff3,0x3a07fccd,
    0x05ff306f,0x3fe60dfd,0x7ffffdc2,0x207fe63f,0x4fe60ffd,0x07ffe6fe,
    0x17fe7fd8,0xff913fe0,0x3ffe6009,0x44ffe603,0x0ff705ff,0xf517fc40,
    0x2200009f,0x3ffea2ff,0x07fd403f,0xff807fcc,0xfa89f903,0x17ffe04f,
    0x0ff99fea,0x7e40ffdc,0x903ff707,0x3ffaa0ff,0x07fe63ff,0x23f717fa,
    0x2037fc08,0x0bff1ffa,0x7fc49ff0,0x3fea000f,0x27ff300f,0xdfb05ff8,
    0x2a4ff800,0x700004ff,0xfffb10df,0x982ff40b,0x0dfb00ff,0x1ffb07fe,
    0x4c27fe40,0x1033227f,0x09ff09ff,0x3fe13fe2,0x1ffd4c04,0xff883ff3,
    0x3fe03f44,0xf97fcc04,0x24ff805f,0xc8002ffd,0x7ff303ff,0x7f417fe2,
    0x12ff4005,0x20000bff,0x3fea05fd,0x17fecc4f,0xd100ff98,0x07fc45bf,
    0xff5013fe,0x400df505,0x0ffd47fd,0xffa8ffb0,0x4c7ff001,0x17fcc1ff,
    0x3ff809f1,0xffa7fc40,0x3e4ff805,0xff50007f,0x44ffe60b,0x09ff05ff,
    0x7fc6fd80,0xff700006,0x87ffcc01,0x2601eff8,0x3fa200ff,0xf98ff11f,
    0x07fdc02f,0xf50027e4,0x2037ec5f,0x1bf62ffa,0x3e63ff80,0x517fd41f,
    0x03ff805f,0x5ffa7fc4,0xff14ff80,0x3fe2000d,0x227ff307,0x4ff885ff,
    0x363fec00,0x1b88007f,0xb803bfe6,0x0bff12ff,0x6400ff98,0xb8df31ff,
    0x3fec01ff,0x7c003fe8,0x007ff15f,0x0ffe2bff,0x3e63ff80,0x91ffcc1f,
    0x04ff801f,0x5ff97fcc,0xff34ff80,0x7ffc000b,0xf13ff980,0x017fe0bf,
    0xffc8dff0,0x27fdc001,0x2205fff7,0x37fae2ff,0x201ff300,0xf30cffe8,
    0x400ffc8f,0x1ff985ff,0xfabfe400,0x57fc800f,0x7fc001ff,0xf107fe63,
    0x36a37cbf,0xa80bff0c,0x00bff1ff,0x13fea9ff,0x81ffd800,0xbff13ff9,
    0x8801ffe0,0x37fd45ff,0x907ffa00,0xfa81bfff,0x260bfd07,0x1ff700ff,
    0x2ffb8ff0,0xd10ffee0,0x202a889f,0x05fdaff9,0xbfb5ff30,0x263ff800,
    0x36fe81ff,0x3e7fe87f,0x9ff600ff,0x4ff805ff,0x40007ff7,0xff981ffd,
    0x3a0bff13,0xff3000ff,0x00bffd0b,0x7d417ff2,0x9fd33fff,0x2603fea0,
    0x09fd00ff,0x4ff983fa,0xd83fff10,0x07fcc0ff,0x05ffbfd0,0x17feff40,
    0xf98ffe00,0xbcffb81f,0xf97fea1f,0x9ff304ff,0x7fc02ffc,0x0009ff34,
    0x7cc07ff4,0x20bff13f,0xf5001ffc,0x7fff507f,0x01fffb80,0x3fbfff62,
    0x07fe603f,0x3e203fe6,0xf85f902f,0x7ff440ff,0x05ff910f,0x7dc01ff3,
    0x7dc007ff,0xff8007ff,0x6c07fe63,0xff717fff,0x67fffc1f,0xff1bfea0,
    0x7c9ff00b,0x3fe0005f,0x227ff307,0x5ff505ff,0x407fee00,0x9acffffc,
    0x02fffeb9,0x07ffff50,0xf982ff88,0x01ff980f,0xfffa8bf7,0xffeffb9b,
    0x303fffcd,0x7fc401ff,0x7fc4004f,0x3ff8004f,0xfd807fe6,0x2ffffeff,
    0x77ff77fc,0x7fc0efff,0x3a4ff805,0xff10006f,0x44ffe60d,0x0ffe05ff,
    0x2e037ec0,0xffffffff,0x44003fff,0x2201fffc,0x0ff982ff,0xf301ff98,
    0xffffb81f,0xffffb9ef,0x3fe601ff,0x00ffec00,0x000ffec0,0x3ff31ffc,
    0xfffffd80,0xd8cff80d,0xf80cefff,0x24ff805f,0xc8001ffc,0x7ff303ff,
    0xfd817fe2,0x009fd006,0xffffff91,0x5c00019f,0x3fe207ff,0x980ff983,
    0x17f601ff,0xd82fbf6a,0x4cc0bdff,0xd801ff30,0xdfb0006f,0x98ffe000,
    0x4fec01ff,0x93fe009a,0x2ffc0098,0xff527fc0,0xfff8800d,0x227ff300,
    0x3fe605ff,0x007fd401,0x00277ea0,0x3ff20188,0x260ffe01,0x1ff980ff,
    0x0013fe20,0x263ff900,0x3fe200ff,0x3ff88003,0x4c7ff000,0x02fc01ff,
    0xf0009ff0,0x89ff00bf,0x36003ffe,0x3fe604ff,0xd80bff13,0x027f405f,
    0x00177e40,0x3e603ffb,0x20ffe03f,0xffa80ff9,0x027fcc00,0x22ffc800,
    0x3ee00ff9,0xffb8000f,0x47ff0000,0x3ea01ff9,0x013fe003,0xf1017fe0,
    0xdfff887f,0x3bffa200,0x44ffe600,0x7fc405ff,0x001ff501,0x009fd730,
    0x7e417fee,0x213fe01f,0xffa80ff9,0x2effb800,0x7ffd5000,0x2620ff98,
    0x1004ffb9,0x009ff733,0xff31ffc0,0x000fe403,0xff0009ff,0xfc84333b,
    0xefffa82f,0xffca99ac,0xa99881ef,0x0bff13ff,0x3f609f70,0x37e40002,
    0x1bfff880,0xd80fff71,0x07fcc1ff,0xa801bfa6,0x401ceffe,0x81effeb9,
    0x3fe60ff9,0x3e6006ff,0x40006fff,0x07fe63ff,0x7fc006e8,0xffff8004,
    0x3ffffe7f,0xffffd300,0x1bffffff,0x3ffffea0,0x200bff13,0x037cc0ff,
    0x7ff66440,0x3ffe6003,0x01ffffff,0x99ffffcc,0xffff30ff,0xfff50007,
    0xffdddfff,0x4c07ffff,0x3ffe20ff,0x3fe2000e,0x7c0000ef,0x407fe63f,
    0x7fc004e8,0xffff8004,0x3ffff37f,0xffffd500,0xfa8037bf,0xff13ffff,
    0xb13ea00b,0xff50003f,0xb30007bf,0x01bfffff,0x4cfffee0,0x9fff30ff,
    0xfedb8000,0xceffffff,0x07fcc00b,0x4c0002a6,0x0000000a,0x00000000,
    0x00d4c400,0x0001a980,0x85500000,0x2660002a,0xa9880000,0x15310001,
    0x0aa88aa2,0xa9880000,0x2a880009,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x02662000,0x13330000,0x26620000,
    0x4cc40000,0x4cc00000,0x4cc40009,0x07540000,0x00333000,0x00133300,
    0x04ccc000,0x09988000,0x004ccc00,0x13301331,0x4c004cc4,0x00006fff,
    0x0003bfea,0x017ffe60,0x01fff300,0x3bfe6000,0x3ffd4000,0x3fc98800,
    0x7fff9000,0x4ffd8000,0xff500000,0x3e60000d,0x7dc005ff,0x3fffa05f,
    0xff537fc1,0xeefe8805,0xfd00005f,0xf100001f,0x0009ffbf,0x0003ffa8,
    0x0003ffb0,0x8800ffee,0xcffffffc,0xfbff5001,0xfe80003f,0xe800000f,
    0x880000ff,0x004ffdff,0x7e40ffec,0x3fe0efdf,0xb00bfea6,0x07ff53ff,
    0x02ff9800,0x51ffb000,0xc80005ff,0xf980007f,0x7e40002f,0x3fffa006,
    0x02ffffff,0xffdaffc4,0x3fe20000,0x7cc00004,0xfb00002f,0x005ff51f,
    0x7fd45fe8,0x3b65ff8b,0xa80bbaa5,0x03bb23ee,0x003ec800,0x645dd500,
    0x6c0000de,0x75c0002e,0x5db00004,0x53bff900,0x01fff71f,0xee886f64,
    0x2f4c0004,0x0fb20000,0x17754000,0x44001bd9,0x4bdb10ed,0x00002eea,
    0x11000000,0x02200000,0x00000000,0x00000000,0x70fa9bfe,0x000007ff,
    0x00000000,0x00000000,0x44000000,0x3dd704ee,0x01774c00,0x3ffff726,
    0x930000be,0x17dffffb,0x001eeb80,0x775cbba6,0x4bba6001,0xeeeeeeeb,
    0xeeeeeeee,0x7d47ff30,0x75cbff10,0xeeeeeeee,0x00eeeeee,0x000fbb20,
    0x007dd900,0x03eec800,0x104ee880,0x7fc409dd,0x003ff905,0xf701ffd4,
    0xffffffff,0xffb8009f,0xffffffff,0x007ff204,0xff93ffa8,0x9ffd4003,
    0xfffffffc,0xffffffff,0x7d43ff50,0x3fff2020,0xffffffff,0x1000ffff,
    0x0000ffff,0x003fffc4,0x0ffff100,0x20bff100,0x3e205ff8,0x03ff905f,
    0x4c1ffd40,0xbacdfffe,0x00dffffd,0x66ffff4c,0xdffffdba,0x001ffc80,
    0x7fe4ffea,0x4ffea001,0xeeeeeffc,0xeeeeeeee,0x7d49ff30,0x777fe400,
    0xeeeeeeee,0xf7000eee,0x00005fff,0x00bfffee,0x7fffdc00,0x2ffc4002,
    0x2205ff88,0x3ff905ff,0x41ffd400,0x2a01effe,0x7f405fff,0x3fea01ef,
    0x01ffc85f,0x7e4ffea0,0x3fea001f,0x0003ff93,0x1f50eff8,0x001ffc80,
    0x3affa000,0xfd00005f,0x0000bfd7,0x017faffa,0x220bff10,0x3fe205ff,
    0x003ff905,0x3f21ffd4,0xfff3004f,0x013ff207,0x321fffcc,0x3ea001ff,
    0x003ff93f,0xffc9ffd4,0x7fe40001,0x6400fbbf,0x000001ff,0x1ff73ff3,
    0x9ff98000,0x40000ffb,0x0ffb9ff9,0x417fe200,0x3e205ff8,0x03ff905f,
    0xf11ffd40,0x7d4001ff,0x7ffc40ff,0x3ffea000,0x8007ff20,0x3ff93ffa,
    0xc9ffd400,0xd80001ff,0x00bfffff,0x00007ff2,0xff8bfec0,0xbfec0004,
    0x40004ff8,0x09ff17fd,0x882ffc40,0x3fe205ff,0x003ff905,0xffb1ffd4,
    0x7ff90005,0x8002ffd8,0x3ff23ffc,0x4ffea001,0x2a001ffc,0x03ff93ff,
    0x3ffae000,0xfc81efff,0x8800001f,0x01ffa5ff,0x3a5ff880,0x3e20007f,
    0x801ffa5f,0xff105ff8,0x82ffc40b,0x2a001ffc,0x01ffe3ff,0x3e2ffd40,
    0xff50007f,0x000ffe4b,0x3ff27ff5,0x4ffea001,0x00001ffc,0x7ffffecc,
    0x000ffe44,0x717fdc00,0x2e0005ff,0x0bfee2ff,0x717fdc00,0x3e2005ff,
    0x0bff105f,0xfc82ffc4,0x3fea001f,0x000dff13,0xff89ffe2,0xfff10006,
    0x5000ffe4,0x07ff27ff,0xf93ffa80,0x5000003f,0x47fff95f,0x00001ffc,
    0x7fc47fe8,0x8ffd0005,0xd0005ff8,0x05ff88ff,0x220bff10,0x3fe205ff,
    0x003ff905,0xff99ffd4,0x3ffe0005,0x000bff30,0xffc87ffc,0x4ffea001,
    0x2a001ffc,0x9bff93ff,0x99999999,0x1f500399,0xffc9ffe6,0xcccccccd,
    0x4c01cccc,0x0ffd84ff,0x427fcc00,0x4c000ffd,0x0ffd84ff,0x105ff880,
    0x7fc40bff,0x003ff905,0xffa9ffd4,0x3ff60004,0x0009ff51,0xffc8ffec,
    0x4ffea001,0x2a001ffc,0xffff93ff,0xffffffff,0x1f5005ff,0xffc8ffec,
    0xffffffff,0x6402ffff,0x4ffa81ff,0x40ffe400,0x64004ffa,0x4ffa81ff,
    0x105ff880,0x7fc40bff,0x003ff905,0xffb9ffd4,0x3ff60003,0x0007ff71,
    0xffc8ffec,0x4ffea001,0x2a001ffc,0xffff93ff,0xffffffff,0x215445ff,
    0x4bfea0fa,0xfffffffc,0x2fffffff,0xff037fc0,0x06ff800f,0xff001ffe,
    0x403ffc0d,0xff105ff8,0x82ffc40b,0x2a001ffc,0x09ff33ff,0x987ff400,
    0x3a0004ff,0x03ff90ff,0xfc9ffd40,0x3fea001f,0x0003ff93,0x1f507fec,
    0xffc97fd4,0x3ea00001,0x0bff203f,0x901ffd40,0x3ea005ff,0x0bff203f,
    0x220bff10,0x3fe205ff,0x003ff905,0xbff1ffd4,0x23ffc000,0x3e0005ff,
    0x007ff27f,0xff93ffa8,0x9ffd4003,0x20001ffc,0x83ea3ffb,0x3ff91ffd,
    0x7fec0000,0xffffffff,0xffb006ff,0xffffffff,0x3f600dff,0xffffffff,
    0x7c406fff,0x0bff105f,0xfb82ffc4,0x3fee002f,0x4001bfa2,0x37f46ff8,
    0x26ff8800,0x2e002ffb,0x05ff72ff,0xfc97fdc0,0x3e20001f,0x221f50ef,
    0x07ff26ff,0x7ffc4000,0xffffffff,0x7c401fff,0xffffffff,0x401fffff,
    0xfffffff8,0x1fffffff,0x4417fe20,0x3fe205ff,0x007ff505,0xff917fe4,
    0x7ff90003,0x8001ffc8,0x3fea3ffc,0x4bff2003,0x32003ffa,0x03ff92ff,
    0xafffd800,0x2fffb9fa,0x00007ff2,0x55567fdc,0xffcaaaaa,0x567fdc04,
    0xcaaaaaaa,0x7fdc04ff,0xaaaaaaac,0x2204ffca,0xbff105ff,0x982ffc40,
    0x3fa005ff,0x01bfea0f,0xa81fff10,0x7c4006ff,0x17fe60ff,0xf30ffe80,
    0x7ff400bf,0x0003ff90,0xffffffb0,0xffc89fff,0xffd00001,0x01ffe200,
    0x3e200ffd,0x03ff407f,0x2207ff88,0xbff105ff,0xf02ffc40,0xff3003ff,
    0x007ffd0d,0xfe827fec,0x3ff6003f,0x801fff84,0x7ffc6ff9,0x26ff9801,
    0x00001ffc,0xdfffffd9,0x003ff903,0x009ff300,0xf9817fec,0x3ff6004f,
    0x009ff302,0xf8817fec,0x0bff105f,0xf902ffc4,0x7f4c01ff,0xdfff882f,
    0x3bffa200,0x1bfff100,0x077ff440,0x3007ffe4,0xffc85ffd,0x3ffa600f,
    0x0007ff22,0x017f9100,0x0000ffe4,0x3000ffe4,0x3ff20dff,0x1bfe6001,
    0x3000ffe4,0x3fe20dff,0x40bff105,0x3e205ff8,0xba9bdfff,0x2a03fffc,
    0x99acefff,0x01efffca,0x5677ffd4,0xefffca99,0xbffff101,0xfff97537,
    0xbffff107,0xfff97537,0xccdffc87,0xcccccccc,0x07d402cc,0x3337ff20,
    0xcccccccc,0x037fc2cc,0x7c0fff40,0xffe8006f,0x8006ff81,0xff881ffe,
    0x40bff105,0x74405ff8,0xffffffff,0xfe9804ff,0xffffffff,0xfd3000df,
    0xffffffff,0xfe8801bf,0xffffffff,0x3ffa204f,0xffffffff,0xfffffc84,
    0xffffffff,0x07d404ff,0x3fffff20,0xffffffff,0x13fea4ff,0x513fee00,
    0xf70009ff,0x04ffa89f,0x884ffb80,0xbff105ff,0x802ffc40,0xffffffeb,
    0x7f54002e,0x01bdffff,0xffffd500,0xb80037bf,0xeffffffe,0xfffd7002,
    0x3205dfff,0xffffffff,0x4fffffff,0x7e400c40,0xffffffff,0x24ffffff,
    0x88001ffd,0x3ff60fff,0xfff88001,0x0007ff60,0xf103ffe2,0x17fe20bf,
    0x54c40000,0x9800009a,0x9800001a,0x3100001a,0x20001355,0x0009aa98,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x88000000,0x2a000099,0x8001e442,0x06620998,0x09988000,0x44133000,
    0x99880019,0x00006620,0x440000a8,0x0004cc19,0x025c0a98,0x6540a880,
    0x00020000,0x3baa0000,0x0fffc403,0x7fff4c00,0x0003fcad,0x3fec7ff5,
    0xfff88000,0x3ff98000,0x50003ff6,0x03ff45ff,0x276f4400,0x21ff9000,
    0xd8004ff8,0x5fabdfff,0xefffc800,0x4c007fab,0x3dffffec,0xffdb9800,
    0x3eebd72d,0x1ffdc04f,0xfcdfc800,0x0000ffff,0x3fec7ff5,0x2ffc8000,
    0x47ff3000,0x54000ffd,0x01ffa2ff,0x00e92e00,0x221ff900,0x7d4004ff,
    0x3ffffece,0x767fc400,0x1004ffff,0xfffffffd,0x2a007fff,0xcfffffff,
    0x09ff76fc,0x20004ff8,0x00e6d45d,0x645dd300,0xf880006e,0x3a60004f,
    0x003bb22e,0x7645dd30,0x22d80005,0xdd70002d,0x000fba21,0x0ee4c3d7,
    0x71175400,0x3fea005b,0xfebabdff,0x7c404fff,0xffb88bff,0x013316ff,
    0x00002f54,0x40000022,0x54000008,0x0000004e,0x00000000,0x00f53d50,
    0x00000000,0x00000000,0x201bfff3,0x204fffb8,0xfe880ffe,0x0000006f,
    0xffffb930,0x2600017d,0xbeffffdc,0x00000000,0x4c003dd7,0x3b2002ee,
    0x7400003e,0x3ae004ff,0xeeeeeeee,0x00eeeeee,0x800fbb20,0x26002eeb,
    0x1fff42ee,0x82fffa80,0x3ea03ffa,0x775caa6f,0xeeeeeeee,0x200eeeee,
    0xfffffffb,0x5c004fff,0xffffffff,0x3bae04ff,0x4eeb8004,0xa8007ff2,
    0xff1003ff,0x440000ff,0x32007fff,0xffffffff,0x0fffffff,0x0ffff100,
    0x007ffe40,0x3ee3ff98,0x7fe4006f,0xf807fb86,0x7fe5fa6f,0xffffffff,
    0x980fffff,0xbacdfffe,0x00dffffd,0x66ffff4c,0xdffffdba,0x02fff880,
    0xc87ffe20,0x3ea001ff,0xfff7003f,0x2e00005f,0x9002ffff,0xddddddff,
    0x1ddddddd,0x3fffee00,0xbfff9002,0xe8ffe600,0xfd8001ff,0x4037ec1f,
    0x7e5fa6fd,0xeeeeeeef,0x80eeeeee,0x2a01effe,0x7f405fff,0x3fea01ef,
    0x1fff505f,0x90fff600,0x7d4003ff,0xd7fd003f,0x3a0000bf,0x9005febf,
    0x000003ff,0x02ff5ff4,0x03ffffc8,0xff13ff98,0x3fee000b,0x6402ff44,
    0x3f23fe6f,0xfc80001f,0xfff3004f,0x013ff207,0xd81fffcc,0xffb805ff,
    0x001ffc85,0x2600ffea,0x00ffb9ff,0x5cffcc00,0xffc800ff,0xf3000001,
    0x001ff73f,0x01fffff9,0xff53ff98,0x3fea0009,0x64037fc6,0x3f27fe6f,
    0x7c40001f,0x3ea000ff,0x7ffc40ff,0x3ffea000,0x02fff880,0x3203ffe2,
    0x3ea001ff,0x17fd803f,0xd80009ff,0x009ff17f,0x00003ff9,0x7fc5ff60,
    0xfcffc804,0x9ffcc05f,0x10003ffb,0x06fe8fff,0x3ff16fd8,0x80003ff9,
    0xc8002ffd,0x17fec3ff,0x81ffe400,0xfb00fffa,0x07ff205f,0x403ffa80,
    0x1ffa5ff8,0x25ff8800,0xffc807fe,0xf8800001,0x201ffa5f,0x3ffe8ffc,
    0x7e4ffe60,0x3fe0002f,0x2007fe47,0x95ff16ff,0xf80003ff,0xff50007f,
    0x0007ff8b,0x7ec0bff5,0x05ffa85f,0xa8007ff2,0x7fdc03ff,0x000bfee2,
    0xff717fdc,0x01ffc805,0x2ffb8000,0xf900bfee,0x01fff31f,0x7fe4ffe6,
    0x3ffa0002,0xa80ffea0,0x95ff36ff,0x440003ff,0xf10006ff,0x037fc4ff,
    0x207ff880,0x3e22fff8,0x3ff200ff,0x0ffea001,0xff88ffd0,0x8ffd0005,
    0x7e405ff8,0xe800001f,0x02ffc47f,0x7fdc3ff2,0x2e7ff306,0x3e0003ff,
    0x81ffe86f,0xff36ffe8,0x0003ff97,0x0002ffcc,0x3fe61fff,0x3ffe0005,
    0xc9bfea00,0x7fe402ff,0x0ffea001,0xfd84ff98,0x7fcc000f,0x200ffd84,
    0xccccdffc,0x1ccccccc,0x6c27fcc0,0x3ff200ff,0x260fffa0,0x09ff73ff,
    0x217fe600,0xbaacfff9,0xff56ffff,0x999bff97,0x99999999,0x0027fd43,
    0x3ea3ffb0,0x3f60004f,0x5ffec01f,0xfc804ff9,0x3fea001f,0x207ff203,
    0x64004ffa,0x4ffa81ff,0x3fffff20,0xffffffff,0x0ffe402f,0xf9027fd4,
    0x07ffcc1f,0x7fccffe6,0x9ff50005,0x3ffffe60,0xf56febff,0xfffff99f,
    0xffffffff,0x01ffdc5f,0x2e3ffb00,0x360003ff,0x7fc401ff,0xc800efef,
    0x3ea001ff,0x81bfe03f,0x7fc007ff,0xc81ffe06,0xffffffff,0x02ffffff,
    0xfff037fc,0x2e07fe40,0x1ffcc6ff,0xb0001ffd,0x6dc405ff,0x2bfd1cef,
    0xfffcdffb,0xffffffff,0x3fe62fff,0x3ffa0004,0x0009ff30,0x54007ff4,
    0x9001ffff,0x7d4003ff,0x07ff503f,0xa8017fe4,0x3ff203ff,0x003ff902,
    0x01ffd400,0x3f205ff9,0x23ffe80f,0x3fee3ff9,0xfa82f205,0x7f40006f,
    0xff9bff75,0x5ff80003,0xf1ffe000,0x7fc000bf,0x13ff6007,0x001ffc80,
    0x7ec0ffea,0xffffffff,0xfb006fff,0xffffffff,0x3f20dfff,0x3600001f,
    0xffffffff,0xf906ffff,0x1fff301f,0xff88ffe6,0x17fff02f,0x59303fff,
    0xca7fc401,0x01ffcdff,0x0037f400,0x7f46ff88,0xdff10006,0x017fdc00,
    0x4005ff70,0xff882ffb,0xffffffff,0x4401ffff,0xffffffff,0x81ffffff,
    0x00001ffc,0xfffffff1,0x3fffffff,0x2e01ff90,0x87ff36ff,0xea84fffa,
    0x304fffff,0x7fec07ff,0xff9bff91,0xffc80003,0x3ffc8001,0x4000ffe4,
    0x2e003ffc,0x3ea002ff,0x3ff2003f,0xaacffb82,0xfcaaaaaa,0x67fdc04f,
    0xaaaaaaaa,0xffc84ffc,0xff700001,0x55555559,0xf909ff95,0x5fff401f,
    0xffb83ff9,0xeb99abef,0xf100ffff,0x7e4c17ff,0x337ff25f,0x540001ff,
    0x7c4006ff,0x37fd40ff,0x03ffe200,0x002ffb80,0xe8017fe6,0x07fe80ff,
    0xe80fff10,0xfff1007f,0x0003ff90,0x4401ffa0,0x0ffc87ff,0x3efffe60,
    0xffff303f,0xffffffff,0x3fea05ff,0x5ffffeff,0x7fe6ffe4,0xffe80001,
    0x13ff6003,0xb001fff4,0xfb8009ff,0x7ffc002f,0x86ff9801,0x36004ff9,
    0x9ff302ff,0x217fec00,0x80001ffc,0x36004ff9,0x07fe42ff,0x3ffffee0,
    0x3ffae203,0xe99cffff,0xfd981eff,0x803dffff,0x80001ffc,0x200dfff8,
    0x100effe8,0x4401bfff,0x4000effe,0x64002ffb,0x3a600fff,0x1ffc82ff,
    0x41bfe600,0x26001ffc,0x0ffe46ff,0x0ffe4000,0xc8dff300,0xffe800ff,
    0x531003ff,0x07fea033,0x4001a988,0x00001ffc,0x359dfff5,0x3dfff953,
    0xcefffa80,0xfffca99a,0xffb8001e,0x7ffc4002,0xfcba9bdf,0x0dff03ff,
    0xf03ffd00,0xffd000df,0x666ffe43,0xcccccccc,0x037fc2cc,0xf90fff40,
    0xfff3001f,0x1000007f,0x64000007,0xcccccdff,0x2ccccccc,0xfffffd30,
    0x01bfffff,0x3ffffa60,0x0dffffff,0x05ff7000,0xffffd100,0x09ffffff,
    0x20013fea,0x7fd44ffb,0x4ffb8004,0x3ffffff2,0xffffffff,0x013fea4f,
    0xfc93fee0,0xfff7000f,0x00000007,0xfff90000,0xffffffff,0xa809ffff,
    0xbdfffffe,0xffd50001,0x0037bfff,0x002ffb80,0x3ffffae0,0x3f602eff,
    0xff88001f,0x007ff60f,0x643ffe20,0xffffffff,0x4fffffff,0x20007ff6,
    0xff90fff8,0x1fff4001,0x00000000,0x7fffe400,0xffffffff,0x26004fff,
    0x9800001a,0x5c00001a,0x880002ff,0x00009aa9,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x08800000,0x0000cc00,
    0x15100001,0x88001000,0x00200009,0x31001000,0x33013100,0x00000000,
    0x10002620,0x00040000,0x4c400000,0x3ff72600,0x7400beff,0x3b2a002f,
    0xc8003eff,0xd8802fce,0xff004fff,0xffd98001,0x4c000dff,0x3defffec,
    0x3e00ff44,0x807fc41f,0x72dffdb9,0x00ff309d,0x8801df50,0xbceffedb,
    0x3ff66000,0x2ed800df,0x015bffb7,0xfb80ff40,0xffffffff,0x013ee04f,
    0x7fffffe4,0x1f1000ef,0xffd10166,0xfb80bffd,0x7ffec004,0x803fffff,
    0xffffffd8,0xbfb2ffff,0xfa87f980,0xfffff307,0x98bf97ff,0x7c4007ff,
    0x7ffd401f,0x1fffffff,0xfffffb80,0x5ffc01ff,0xfffffffd,0x987f8800,
    0xbacdfffe,0x80dffffd,0xffc806f9,0x5ffda8be,0x0344f100,0x7fcc3bea,
    0x001ff102,0x4c67ffe4,0x2601fffd,0xaacdfffe,0xefffffec,0x5c37d400,
    0xafff885f,0x5ffffa88,0x00ffffb1,0x7dc03fd8,0xecaacdff,0x3e603fff,
    0xfffb8aef,0x3bfffe00,0x00dff711,0xdffd0bf5,0x2fffd403,0x3e600ff8,
    0x00ffd05f,0x201ed66c,0x82fdc2fc,0x3e6004fb,0x0dff307f,0x803bffe2,
    0x800ffffa,0x83fd84fc,0xff880ffe,0xff39f55f,0x2037dc00,0x2a01fff8,
    0xffb00fff,0x202ffc81,0xfa80efff,0x21fec04f,0xf3004ffc,0x07fb07ff,
    0xfb80ffdc,0x0b6e2007,0xff507fe0,0x4001ff10,0x3fa03ffb,0x04ffd81f,
    0x005fff70,0x85fd05fd,0x3ee03ff9,0x1fe2115f,0x2007fcc0,0xfa804ffa,
    0x30dfd03f,0x7ffc07ff,0xf01ff601,0x07ffc41f,0x81fff500,0x3ff205fa,
    0x000dfb00,0x81ff1001,0x04fc87f9,0x3007fec0,0x6ffa839d,0xdffff500,
    0xf883ff00,0x007fdc0f,0xff10bff1,0x200bfa00,0xff000ffd,0x703ff60b,
    0x37fc01ff,0x4c07fea0,0x017fec6f,0x221ffe40,0x41ff207f,0xc8803ff9,
    0x82defffe,0x3fd40ff8,0xb0003fe2,0x360003ff,0xff9802ff,0x3b22ffda,
    0xeeeffeee,0x92eeffee,0x0bfd00ff,0xbf900ff1,0x00bff200,0xffb8155c,
    0xf01bfa25,0x2ff9809f,0x7ff89f70,0x0bff5000,0x1ff603fd,0x7dc03fec,
    0xffffffff,0x7dc1ff84,0x40027e46,0x88002ffc,0xff8806ff,0x7ecbff53,
    0xffffffff,0xd3ffffff,0x0bfb00df,0xff980ff1,0x1dff5000,0x3ffa0000,
    0x401fff9b,0x7fc403ff,0x7c45fd04,0xff10006f,0x3609f90f,0x03ff987f,
    0x44df7fdc,0x641fffdb,0x88ffa25f,0xfb8000ff,0xff98004f,0x227f4405,
    0x2aaa66ff,0xeaaaadfe,0xdfd1aadf,0xf10bfb00,0x00ffc40f,0x59fffd10,
    0xfff98000,0xff800eff,0x427fc403,0x2ffcc7f8,0x81fff000,0x0ffb06f9,
    0xffd00ff9,0x113fee01,0x8dff9fff,0xf10004fc,0xff5000bf,0x427f4409,
    0x0bfa07fe,0x1ff607fe,0x3e217fa0,0x0013f607,0x3fffffa2,0xfd8001bd,
    0xff000dff,0x82ff9809,0x27fd45fa,0x03ffb000,0x0ffb01ff,0xfe980ffd,
    0x217fe203,0x20dfffe9,0x54000ff8,0xffffffff,0x1ffdc04f,0x3fa0bfb0,
    0x881ff00f,0x0ffc80ff,0x7c42ffc0,0x000df507,0x7ffffe44,0x4400cfff,
    0x00effffd,0xfa80bff0,0x5c3fc81f,0x360003ff,0x82fd81ff,0x4ffc87fd,
    0x0bff0000,0x1fec0544,0x2a06f2e6,0xffffffff,0x17fdc04f,0x3f606fc8,
    0xa87f981f,0x07ff506f,0x1982ffcc,0x2e01ff88,0x7ed4401c,0x01ffffff,
    0xffd7fff3,0x1fff008b,0xff83fec0,0x0027fcc1,0xf701ffd0,0xf10ffb09,
    0x44001dff,0x05ffeca9,0x2e0ff980,0x443fffff,0x99bffb99,0x1ffd4009,
    0xfd0077e4,0x90bf701f,0x07ff40bf,0x4005ffd8,0x3fee03fe,0x7edcc002,
    0x7fd43fff,0x47fff11e,0x27ffc5fe,0xf984ff98,0x000bff07,0x7f983ffc,
    0xfd107fd8,0x3ae205ff,0xffffffff,0x23fd8005,0xffc9cff8,0x009ff301,
    0x7dc4ff98,0x13ffc00f,0x333bfb33,0x13339fb3,0xb1177fcc,0x5c00bfff,
    0x3ffe605f,0x3f620002,0x207ff47f,0xff99fff9,0x067fffc4,0x3ee0dff5,
    0x000dfd04,0xfe81bfe2,0x3203fec1,0x7fcc3fff,0xe9bdffff,0x3fcc005f,
    0x0bf913ee,0x1000bfe6,0x0ffd4dff,0xfd9bfe60,0xffffffff,0x43ffffff,
    0xfffffffa,0xf3005ffd,0x3ffe201f,0x2000c42f,0x9ff11ffc,0x3f7ffee0,
    0x7ff7fc1f,0x00efffef,0x3ff205fb,0x3ffc8001,0xffb0ff20,0x4cfff700,
    0xf80acfff,0x1fec005f,0x0ff30bf6,0x20003ff2,0x2ff99ffe,0x363ffc80,
    0xffffffff,0x3fffffff,0x4ffffe98,0xfd100bff,0x36ffa205,0x00bfee2f,
    0xff74ff98,0x7fffec05,0xfd8cff86,0x3e00ceff,0x0dff500f,0x00fff880,
    0x0ffb17ea,0x7e4bfee0,0x17fe202f,0xff87f980,0x7407fc41,0xff30005f,
    0xf3007ffb,0x0ff301ff,0x33000df5,0xfc805ff8,0x7ed3fa04,0x8013fe22,
    0x7ff93ff9,0x82fffe80,0x4004c4ff,0x7ff406fa,0x13ff6003,0x7ec1ff10,
    0x29ff1007,0x7fd407fe,0x10ff6006,0x0ff883ff,0x00007fcc,0x2009fffb,
    0xbf704ffd,0x00009f90,0xdf5017fe,0x5fb2fec0,0x7000ffe8,0x1bfea3ff,
    0xf09fff70,0x3f20009f,0x6fffc403,0x3bffa200,0x362fe800,0x2e17ee7f,
    0x03ffb2ff,0x401bffe2,0x87ff06f9,0x9ffcc7f9,0xfff50000,0x6ffe9809,
    0x3f613f20,0xbff00003,0xa80ffc40,0xcfeaabff,0x00bfff22,0x7fc4dff7,
    0xffff701f,0x004ff89f,0xf5003fd0,0x53359dff,0x003dfff9,0x27fd93ee,
    0xff50cffc,0x877fee1f,0x06fffea8,0x3f607fd0,0xff32fe45,0x79dfffff,
    0xfd05d733,0x3357dfff,0x01dfff95,0x0ffc17f4,0x05ff8000,0xffb80ff6,
    0x47ffffff,0x9acefffd,0x41fffdca,0xa88bfffb,0xfffcfffd,0x20013fe5,
    0x3a6007f8,0xffffffff,0x26000dff,0xfb1ff66f,0x85ffffff,0xffeffffe,
    0x400ffcbf,0x3fe606fa,0x2a1ffc8c,0xffffffff,0x45ffffff,0xfffe9dfd,
    0xdfffffff,0x103fe200,0x200001ff,0x0bf705ff,0xe9999988,0xfffb81bf,
    0xefffffff,0xfffff701,0x3ea3dfff,0x009ff2ff,0x5000bf70,0x7bfffffd,
    0x43fe0003,0x7f5c47fd,0xfc881eff,0xf30dffff,0x02fe807f,0x1fffffe4,
    0xb984df7c,0x24fffffd,0x3faa0efb,0x00bdffff,0x6fa87f98,0x17fe0000,
    0x40003fe6,0x3b2a02fd,0x0cefffff,0x7ffff4c0,0x3e4fa84e,0x2fd8004f,
    0x00d4c000,0x000aa800,0x262002a2,0x3a60001a,0x39d93005,0x2a620060,
    0x54401901,0x82a88001,0x000001a9,0x40005d90,0x2a2000a9,0x02a60001,
    0x54000030,0x0000000a,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00400000,0x00020000,0x00000800,
    0x00033000,0x00000008,0xfd802660,0x400ffe67,0xa8005ee8,0x22000fff,
    0x0006540a,0x8001fff5,0x3fe60000,0xfda8000f,0x001cefff,0x7fffed40,
    0x260001ce,0x2dffffec,0x000ff300,0x5c4009fb,0x2ceffffd,0x3effdb80,
    0x0077d400,0x1ffccffb,0x006ff880,0x037fffcc,0xabefffc8,0x7ff4007f,
    0xfeca8801,0x7ec002ef,0x7fdc001f,0xffffeeff,0x7fdc001e,0xffffeeff,
    0x3f62001e,0xffffffff,0x1ffe601e,0x400df500,0xfffffffc,0xf501efff,
    0x007ffbbf,0xfb007fe2,0x801ffccf,0x22006ff8,0x04ff8efe,0x7ff67fc4,
    0x3e6004ff,0xffe8803f,0x006fffff,0x44007ff3,0x4c0bdffd,0x8802ffeb,
    0x4c0bdffd,0x9802ffeb,0xbabcffff,0x441ffffe,0x2007fffd,0xe8801ff8,
    0xbabdefff,0xe83fffed,0x401fee1f,0x198803fd,0x330004cc,0x8ffec001,
    0x3aa03ffb,0x000b6e22,0x3fa00bfb,0xffda89cf,0x005fd805,0x40037fa2,
    0x3a203ffa,0xff5000df,0x67ffc407,0x1fff9100,0x03fce7d4,0x3a007fd0,
    0x7e402fff,0x5fb800ff,0x0006fb80,0x30000000,0x00199813,0x00660000,
    0xfe817fec,0x000cc01f,0x100813f6,0x13f603ff,0x407fe200,0xf9005ffe,
    0x7f88449f,0x200bf700,0x5000effb,0x7f5409ff,0x07fcc01e,0x20000800,
    0x020001aa,0x80001000,0x05ff8800,0x0200ffea,0xdb86fb80,0x7d41ceff,
    0x3ae6fb86,0xa82cdeee,0x0fffa86f,0x01fff100,0xff300ff1,0x1fff1001,
    0x00ffe800,0xe8019ffb,0x3b22002f,0x002defff,0xc88017fe,0x02defffe,
    0x77fff644,0x7f64402d,0xf982deff,0x2e00c01f,0x403dfffd,0x6ffec0fe,
    0x7e41ffdb,0xdf907f42,0x90bfffdd,0x02ffd85f,0x440565c0,0x17f4407f,
    0x003ffa80,0x2200bea8,0xbf900ffb,0x7fffdc00,0x004fffff,0x3ee007ff,
    0xffffffff,0xfffff704,0x2e09ffff,0xffffffff,0x007fdc4f,0xffffe980,
    0xf980dfff,0x260efe46,0xf32fd46f,0x7441fc8d,0xf12fd42f,0x100000ff,
    0x04fc80ff,0x0007fee0,0x20ffa000,0xf7000ffa,0xfb7137df,0xffa803ff,
    0xbeffb802,0x1fffdb89,0x44df7fdc,0x5c1fffdb,0xdb89beff,0x1ff21fff,
    0x77ffc400,0x86ffc98b,0x807fc4fc,0x43fe20ba,0x40fe44fc,0x87fc43fb,
    0x00006ff9,0x3ea07f88,0x3ff6000e,0xff300000,0x2217fc41,0x3fa001ff,
    0x09ff700f,0x4007ff44,0xff700ffe,0x700ffe89,0x0ffe89ff,0x7ec9ff70,
    0x5ff90007,0xfb0ffea0,0x40027cc5,0xc85fb1fe,0xe81fe81f,0x00bff51f,
    0x20ff1000,0x7c001ff8,0x6c00006f,0x86febbef,0x3a6004fd,0x17fe203f,
    0x401fff44,0x3e203fe9,0x80ffa65f,0x3fa65ff8,0xc97fe203,0x7cc000ff,
    0x07ff406f,0x003fb8fd,0x90fd2fb8,0xbffb99bf,0x7fd4bee0,0xf8800004,
    0x8007fb07,0x4c405ff9,0x09999999,0x3bffff62,0x00037dc1,0xd10bff00,
    0x000009ff,0x3e000bff,0xbff0005f,0x3600ffdc,0x807ff73c,0x71fa1ffb,
    0x5f70007f,0x3fff21fa,0x3ee01dff,0x0009ff52,0x3ee06600,0x42ccb986,
    0x7dc04ffa,0x5fffffff,0xff103530,0x400e5c03,0x5ffeca98,0x0003ffd8,
    0xffeca988,0xeca98805,0xa98805ff,0x3ea5ffec,0x53fe604f,0xaaaabffc,
    0x22ffcaaa,0x013ea1fd,0x0fec7f60,0x3baa6bf2,0x7c47f601,0x0000005f,
    0xffd03fe6,0x7fccdfff,0x7fffdc06,0x8005ffff,0x3fee03fe,0xfffeb882,
    0x6c5fffff,0x710004ff,0xfffffffd,0xffd710bf,0x0bffffff,0xfffffd71,
    0xffe8bfff,0x365ffb00,0xffffffff,0x324fffff,0xb81be63f,0xfc87fc2f,
    0xdf30fe43,0xff83fe01,0x20000006,0x4f7dc2fe,0xff12ffa8,0x5554401f,
    0x005ffaaa,0xff502fe4,0xffff985f,0x5fe9bdff,0x40017fe2,0xdffffff9,
    0x7cc5fe9b,0x9bdfffff,0x7ffcc5fe,0xfe9bdfff,0x3177fcc5,0x7ff4bff9,
    0xeeeeeeee,0x1bea3eee,0x1ff107fb,0x8df537cc,0x42fdc1fc,0x03fec6f9,
    0x9000dc40,0xc83990bf,0x007ffe4f,0x3002ffc0,0x3fe601ff,0x3ffe62ff,
    0x25ff80ac,0x04401ffa,0x02b3ffe6,0xfff997fe,0x25ff80ac,0x80acfff9,
    0xfffb85ff,0x20efffef,0x740007fd,0x2fffe20f,0x7e42ffda,0x3f907f43,
    0x3fc85fd0,0x2000ffe4,0xfa804ffb,0x8bfa000e,0xf0003ffc,0x3fa200bf,
    0xfb7fd102,0x1017fe45,0x0ffe4bff,0x7e47fee0,0x97fe202f,0x3e202ffc,
    0x80bff25f,0xfb305ff8,0xf707ffff,0x7dc0003f,0x3fff620e,0x07fd43df,
    0x0fe43bee,0xffa87fd4,0x0037fd40,0xf1007ffa,0x37ec003f,0x0007ffe6,
    0x7ec017fe,0x7ed3fa04,0xf501ffa2,0x027fdcdf,0x07fe9ffa,0xffd37fd4,
    0x3a6ffa80,0x37fd407f,0xa8073ee0,0x77e404ff,0x440efe82,0x2ffa80aa,
    0x0311dfd0,0x17fd44cc,0x9005ffe8,0x9fb00bff,0x03bfa200,0x8007fff6,
    0xfa805ff9,0xfd97f606,0x4407ff62,0x3fe66fff,0x4bff500f,0xff101ffd,
    0x80ffecdf,0x3f66fff8,0xdfff101f,0x00cffd80,0x7cc07ffa,0xeff880ff,
    0x09ff5000,0x80077fc4,0x3ea04ffa,0x7fdc03ff,0x037dc01f,0x100dff98,
    0x8803fffd,0x4405fffc,0x7ff501ff,0x2e59fd55,0x3aa21dff,0x7fe46fff,
    0xfff930be,0x10effdc1,0x5cdfffd5,0x3aa21dff,0x3fee6fff,0x3ffaa21d,
    0x4fe9806f,0x88fffe60,0x2203ffea,0x440acefe,0x8803ffdb,0x440acefe,
    0xc803ffdb,0x99acffff,0x402fffeb,0xfa800ff9,0xffe9803f,0xeca9bdff,
    0x400dffff,0x3fee03fd,0x27ffffff,0xffeffffe,0x6c0ffcbf,0xffffffff,
    0xffffe82f,0xffcbfffe,0x3bffffa0,0x0ffcbfff,0x3fbffffa,0x00ffcbff,
    0x2e02ff4c,0xfffeffff,0xfff9004f,0xdfffd9bf,0xfffc8003,0xefffecdf,
    0x3ffee001,0xffffffff,0x803fe803,0xaaaadffa,0xffffb102,0xdfffffff,
    0x80bf7003,0xfe999998,0x3fff221b,0x7ff30dff,0xfffffd50,0x3ff2201b,
    0xff30dfff,0x7fffe447,0x47ff30df,0xdfffffc8,0xf507ff30,0x1003ffff,
    0x5dfffffb,0xfffb8800,0x0002dfff,0x3ffffee2,0x910002df,0x9fffffff,
    0x00bf9001,0x3ffffffe,0x7fe4c06f,0x03deffff,0x0001ff30,0x54c40bf6,
    0x2a620001,0x06a62001,0x006a6200,0x0006a620,0x006f7faa,0x00026a20,
    0x00004cc0,0x00009980,0x004d4c40,0x1001bd10,0x55555555,0x0d4c4005,
    0x002ed800,0x00002aa0,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2b3b7260,0x003dd700,0xf501774c,0x544001ff,0x32006540,
    0xca8006ff,0x2000abde,0x8800fffa,0xaaaaaaaa,0x32a201aa,0xfd802ced,
    0x0013fe67,0x3001fff3,0x0017bdb9,0x002f772a,0x910ef6c4,0x02fff880,
    0x3fee0000,0xc81fffff,0x3ea001ff,0xffff303f,0x3fff200d,0xb007eabe,
    0x3a2003ff,0x0effffff,0x6ffff980,0xfffffa80,0x304fffff,0xdffffffd,
    0xf33fec01,0xffd8009f,0x7ffe4401,0x2203ffff,0xeffffffd,0xbffd8801,
    0x7cc02ffc,0x074c006f,0x2afbfe60,0x7e41fffc,0x3fea001f,0xf8efe883,
    0x67fc405f,0x005ffffe,0xd100bfd1,0xffd79fff,0x77f4403f,0x7dc04ff8,
    0xffffffff,0xdfffa84f,0x206fffcb,0x13fe67fd,0x803ff980,0xfdbdfffd,
    0xfff883ff,0x0effcabe,0x3bfffb00,0x00bfea00,0x3a007fd4,0x46ff985f,
    0x2a001ffc,0x1ffd83ff,0x75407ff5,0x000b6e23,0xfc803ff3,0x06ff983f,
    0x7fd47ff6,0x001bf603,0x3220fff4,0x833103ff,0x3f600099,0x0dffa805,
    0x3207ffc4,0x5fe885ff,0x7ffff540,0x037e4001,0x3200ffb8,0x3ff500ff,
    0x5000ffe4,0x813307ff,0x00000199,0x3e004c40,0x03ff607f,0x066604cc,
    0xa8005fe8,0xdff103ff,0x33000000,0x40bff200,0x3fe63ffc,0x413fe206,
    0x6fd8cffd,0x70019800,0x37fc01ff,0x7e4bff10,0x3fea001f,0x40000803,
    0x40040000,0x3ea04ff9,0x2001002f,0xe8003ff8,0x0265c05f,0x00400008,
    0x3e607fe8,0x00bfea4f,0x10ea0df9,0x008009fd,0x4c03fee0,0x3fec03ff,
    0x54003ff9,0xfec883ff,0xc8803dff,0x803dfffe,0xdefffec8,0xff700202,
    0x7ffedc03,0x07fe603d,0x005ff300,0xbfffb700,0xffd91007,0x7fe407bf,
    0x647ff500,0x7fdc00ff,0x77bb7500,0x764403ff,0xd503dfff,0xb8bddffd,
    0x7fdc01ff,0x4003ff91,0x7fd43ffa,0x0effffff,0xffffff50,0x3ee01dff,
    0xffffffff,0x0ffb0004,0x3fffffa6,0xffb80dff,0xfa802a60,0x3a60000f,
    0xdfffffff,0xfffff500,0xf501dfff,0x83ff609f,0xffa807fd,0x7fffec42,
    0xf506ffff,0xdfffffff,0xfffffb81,0x00ffe46f,0x7fe4bfee,0x8ffea001,
    0x989cfff8,0x7c40fffd,0xfd989cff,0x77fdc0ff,0xfffdb89b,0x3ff66001,
    0xbefff883,0xc86ffc98,0xffffc9ef,0x2e7fb82e,0x100ceffd,0x9317dfff,
    0xfff10dff,0xfffb3139,0x1cffe881,0xfc8bff93,0x1ffdc00f,0x757bfff1,
    0xf887fffd,0xfd989cff,0x3f2620ff,0x7fe409af,0xc97fd400,0x3ea001ff,
    0x407ffa3f,0x7ff44ffb,0xe89ff701,0x9ff700ff,0xffffd880,0x205ff902,
    0x7ff43ffa,0xffffffff,0xffdb7e44,0xc81effff,0x7ff502ff,0xf701ffe8,
    0x3fff209f,0xfa83ffff,0x1ffec02f,0xfb107ff9,0x01ffe8bf,0xff709ff7,
    0x003ff601,0x3ff25ff5,0x4ffea001,0x7ec04ffa,0x809ff51f,0x7fd31ffd,
    0x202ffc40,0x80effff9,0x7f406ff9,0x2bbffe0f,0x45fff710,0x9befeefd,
    0x260fffda,0x7ff406ff,0xd809ff50,0xffe981ff,0xf880efff,0x3ffea06f,
    0x440bff34,0x13fea7ff,0xfb83ffb0,0x00ffb00f,0x3ff27ff3,0x4ffea001,
    0x7d400ffc,0x801ff92f,0xf8002ffa,0x75dcc05f,0x7fdc3fff,0x88ffdc03,
    0x3fe605fe,0x09fffb0f,0xffb93fee,0xc8ffdc03,0x7fd400ff,0x55effe42,
    0xfc82ffec,0x7ffd41ef,0x803ff73f,0x1ff90ffb,0x5c2ffa80,0x1ff900ff,
    0xf92ffa80,0x7fd4003f,0xf100ffb3,0x201ff69f,0x4c404ff8,0x005ffeca,
    0xf927fecc,0x5555557f,0x0005ff95,0x3ff65ff9,0xc87ff406,0xaaaaabff,
    0xfb2ffcaa,0x49ff100f,0xff903ffd,0xddfffd07,0x27ff3fff,0xff9807fc,
    0xf100ffb2,0x00ffb89f,0xfa801ff7,0x003ff92f,0x6fe9ffd4,0x3fabff00,
    0x88bff006,0xffffffeb,0xf88005ff,0x3ffff66f,0xffffffff,0xffa8004f,
    0xb807ff93,0xffffb1ff,0xffffffff,0x401bfa9f,0x0dff15ff,0xff906fe8,
    0xff31dfff,0x2201ff65,0x00dfd3ff,0x1ff717fe,0x7007fea0,0x0bfee3ff,
    0xff2ffb80,0x7d7fe00d,0x4bff006f,0xdffffff9,0x0005fe9b,0x3ffa3ffb,
    0xeeeeeeee,0x98003eee,0x03ff94ff,0xffd3ff98,0xdddddddd,0x1bfe7ddd,
    0xffaaffc0,0x80ffd403,0x3ea0aca8,0x100dfd2f,0x01bfe9ff,0x3fee2ffc,
    0x803ff500,0x7ff50ffc,0xd97fe400,0x4ff8807f,0xff100ffb,0x2b3ffe69,
    0x0005ff80,0x1ff67ff5,0x3e600000,0x805ff74f,0x0ffb2ff9,0x201ff600,
    0x1ffb4ff8,0x003ff980,0xffb0ffb8,0x367ff300,0x4ff8807f,0xf8807fdc,
    0x337f404f,0x7f400bff,0x300ff90f,0x01ff29ff,0x7fe53fe6,0xb97fe202,
    0x7fdc00ff,0x0003ff72,0xfa803dd7,0x807ff52f,0x3ff70ffa,0x00ff9000,
    0x3ff29ff3,0x11ffcc00,0x26fe8013,0x7d400ffc,0x300ff92f,0x0ffb89ff,
    0xf981ff60,0x00fffc4f,0xff737fcc,0x71ffd807,0xffd807ff,0xfa80ffd1,
    0x00ffea6f,0x3fea1ffb,0xa977e404,0x7fec05ff,0xfb01bfa0,0x2027fd4f,
    0x7ff72efc,0xf51ffd80,0x1ffb805f,0x7cc09ff1,0x00ffee4f,0x3fee1ffb,
    0x20ffec03,0x3ea00ffb,0x81ffb02f,0x2600fffc,0x7ff42ffe,0xe8dff300,
    0xdff300ff,0xf880ffec,0x3ffe26ff,0xe8bff500,0xfff301ff,0x407ffe21,
    0x7fdc4ffa,0xe8bff304,0xfff301ff,0x9807ff41,0x3bfe26ff,0xe8dff100,
    0xffe880ff,0xa807ffc0,0x07ff44ff,0xfb86ff98,0x5fff401f,0x105ffb10,
    0x537bffff,0x507fff97,0x7dc45fff,0x7ffd40ef,0x83bfee22,0x2a21dffb,
    0x7dc6fffe,0xff710bef,0x3fff981f,0x70fffaa2,0x2e217dff,0xffe80fff,
    0x03bfea0c,0x5447fff3,0x7fd43ffe,0x3bfee22f,0x0577fdc0,0xfb83fff5,
    0x3ffa61df,0x21effb83,0x540fffb8,0x3ee22fff,0xdffa80ef,0xfffd302a,
    0x440bfffd,0xfffffffe,0x3ee04fff,0xffffefff,0xdffff700,0xfd01ffff,
    0x7fffdfff,0xffc81ff9,0x2ffffeff,0xfdffff70,0x3f609fff,0xefffefff,
    0xdfffd100,0x2e01dfff,0xfffeffff,0xffff704f,0x201ffffd,0xffeffffc,
    0xfffb03ff,0x407fffff,0xffeffffa,0xfff701ef,0x01ffffdf,0x81ffffe2,
    0x3fffffd8,0xffffd700,0xb3005dff,0x019dffff,0xeffffd98,0xfff9100c,
    0x3fe61bff,0xffffea83,0x7ec400cf,0x402effff,0x4fffffea,0xdffff900,
    0xffd88019,0x4c02efff,0x0ceffffd,0x7ffff4c0,0x7fdc00df,0x9802efff,
    0x0cfffffd,0x7fffecc0,0x7f4c00ce,0x1a9800ff,0x35531000,0x02a60001,
    0x00054c00,0x40003531,0x10000a98,0x98800135,0x1510000a,0x026a2000,
    0x0002a600,0x4c000d4c,0x5100009a,0x02a60001,0x00006200,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7c400000,0x7ec002ff,0x2e13fe67,0x0775406e,0x3ee80040,0x7ffb8000,
    0xb8002000,0xff7006ff,0x4ffd001f,0x20003ff9,0x05dd34ed,0xe8009db0,
    0x3bb2005e,0xed800003,0xeeeeeb82,0xeeeeeeee,0x3fe600ee,0x33fec006,
    0x0ff909ff,0xc880ffb8,0x00cefffe,0x200009ff,0x2e003ffc,0xe802fffd,
    0xff9800ff,0x7fe806ff,0x8000ffe6,0x01bfe5ff,0xf8007ff3,0xfff1006f,
    0xfc80000f,0xffffc83f,0xffffffff,0x7d400fff,0x9ff6002f,0x7fc84ff9,
    0x2a07fdc0,0xffffffff,0x004ff82f,0x401ff600,0x01fffffb,0x44017fd4,
    0x04ff8efe,0x7ff33ff4,0x92ffc000,0x7fe401ff,0x037fc000,0x02ffffb8,
    0x7fff3000,0xddddff90,0xdddddddd,0x0df9001d,0x2660cc40,0x5c07fc80,
    0x3ffe60ff,0xfffeb8ad,0x00027fc1,0x8807fd10,0x802acfff,0xffb004fe,
    0x880bfee3,0x0004cc19,0x7fccbff0,0x0017fa03,0x7f401bfe,0x80005feb,
    0xc83fffe8,0x000001ff,0x00000066,0xffb80ff9,0x5c0bffa0,0x027fc6ff,
    0x00262000,0x98009ff3,0x30266001,0x00000013,0xdfd17fe0,0x000bfe60,
    0x3e601bfe,0x000ffb9f,0x1fff7ec0,0x0000ffe4,0x08000100,0x5c07fc80,
    0x0bff30ff,0x3fe0fff8,0x00000004,0x00005ff5,0x00000000,0x717fe000,
    0x0ff903ff,0x201bfe00,0x09ff17fd,0x7d7fd400,0x01ffc83f,0x7fedc000,
    0xec8803df,0xf903dfff,0x70ffb80f,0xffc805ff,0x7f5d3fe2,0x7dd00cef,
    0x7d44ed80,0x00fba01f,0x01f749db,0x03ee93b6,0x6dcc276c,0x8bff2dff,
    0x4ff84ff8,0x80dff000,0x1ffa5ff8,0x45ffc400,0x1ffc83ff,0xffd30000,
    0x01bfffff,0x3fffffea,0x3fe40eff,0x4c43fee0,0x21ffb802,0xffffddff,
    0x4ff81eff,0xeecaffc0,0x7c1eeeff,0xf2ffc04f,0x25ff809f,0x2ffc04ff,
    0x3fffffe6,0xfd85ffbf,0x000ffd47,0x7dc06ff8,0x00bfee2f,0x7fc57f60,
    0x001ffc83,0xbefff880,0x886ffc98,0xd989cfff,0x1ff20fff,0x0001ff70,
    0xffff8ffd,0xfffc98ae,0x3e027fc0,0xfffffb5f,0x04ff85ff,0x09ff2ffc,
    0x13fe5ff8,0x7fc4bff0,0xfffb98bf,0x22ffa85f,0x3e0006fd,0x23ff406f,
    0x5c005ff8,0x07ff10ff,0x00003ff9,0x3ea05ff9,0x80fff43f,0x3ff24ffb,
    0x003ff200,0xff89ff90,0x4ffa80ef,0x3fe027fc,0x37ff7315,0x404ff813,
    0x013fe5ff,0x027fcbff,0x0ffe97fe,0xf05fff98,0x00ffe2bf,0x2606ff80,
    0x0ffd84ff,0x445ff300,0xdffc83ff,0xcccccccc,0x7fcc1ccc,0xa87ff406,
    0x7fec04ff,0x6c03ff91,0x3f2000ff,0x01fff85f,0x4ff83ffa,0x3ea2ffc0,
    0x013fe01f,0x027fcbff,0x04ff97fe,0x3ff9affc,0x6417fee0,0x001ff57f,
    0xf9037fc0,0x09ff503f,0xff117fa0,0xfffff907,0xffffffff,0x03ffb85f,
    0xffc8ffdc,0xc97fd400,0x3ffa02ff,0x0dff9000,0xff501bfe,0x3e027fc5,
    0x00ffd45f,0x5ff809ff,0xbff013fe,0x3fe027fc,0x4401ff75,0x5ff305ff,
    0xf8000bfb,0x81bfe06f,0xefc807ff,0x641ffc40,0xffffffff,0x42ffffff,
    0xaaaabffc,0xb2ffcaaa,0x9ff100ff,0x3203fff2,0xfb800fff,0x09ff00ef,
    0x3fe3ff98,0x2a2ffc04,0x13fe01ff,0x27fcbff0,0x4ff97fe0,0x7fcaffc0,
    0x3a05fe80,0x0002ffdf,0xffa837fc,0x80bff203,0xff881ff9,0x001ffc83,
    0x7ffffec0,0xffffffff,0x3e00dfd4,0x5dfff95f,0x1ffff931,0x00eff980,
    0xff100ffe,0x3e027fc9,0x00ffd45f,0x5ff809ff,0xbff013fe,0x3fe027fc,
    0xfd00dfd5,0x3fffdc0b,0x837fc000,0xfffffffd,0x106fffff,0x3fe209ff,
    0x001ffc83,0x7777ff40,0xeeeeeeee,0x3e00dff3,0xffdff95f,0x1ff9ffff,
    0x401ffc80,0x7fc403ff,0xff013fe4,0x201ffa8b,0x2ffc04ff,0x5ff809ff,
    0xbff013fe,0x3f601bfa,0x13ffe205,0x21bfe000,0xfffffff8,0x1fffffff,
    0xccccffc8,0xcceffccc,0x0003ff91,0xb0007fd8,0x9ff100ff,0x3ff63ff2,
    0x00ff9bff,0x7fc037ec,0xf1ffcc04,0x45ff809f,0x3fe01ffa,0xff2ffc04,
    0x3e5ff809,0xcaffc04f,0x05fe807f,0x2600ffec,0x21bfe01a,0xaaaacffb,
    0x4ffcaaaa,0xffffffc8,0xffffffff,0x0003ff93,0x8001ffb8,0xff9807fc,
    0x0544ff94,0x805ff800,0x7fd405ff,0xf8817fe2,0x00ffd45f,0x7fc40bff,
    0xf8817fe5,0x8817fe5f,0x01ff75ff,0x7ec05ff8,0x104ff806,0x0ffd0bff,
    0x2e1ffe20,0xeeeeeeee,0x92eeeffe,0xa80003ff,0x77e404ff,0xd807ff72,
    0x00ff91ff,0x40166400,0x7fec07ff,0xfa817fe0,0x00ffd45f,0x7fd40bff,
    0xfa817fe5,0xa817fe5f,0x07ff35ff,0xf102ffd4,0x0bff007f,0xff313fe6,
    0x17fec009,0x41ffc400,0x80001ffc,0xff301ffe,0x807ff41f,0x1ff26ff9,
    0x7c000000,0x9ff304ff,0xe881ffe8,0x0ffd45ff,0xd103ffd0,0x0fff4bff,
    0xfd2fff44,0xbffd103f,0xfe807ff4,0x03fee05f,0x3607ff60,0x0ffe42ff,
    0x00dff300,0xf907ff10,0xf300003f,0x7f5447ff,0x17ffd43f,0x641dff71,
    0x0000007f,0x419ffff0,0x7dc0fffb,0xfea88aef,0x0ffd45ff,0x115dff70,
    0x5cbfffd5,0xea88aeff,0x3fee5fff,0xffea88ae,0x87bfe65f,0x225fffd8,
    0x004ffb99,0xb53bfff5,0x6ff81dff,0x01ffe800,0x641ffc40,0xcccccdff,
    0x2ccccccc,0xfeffffb8,0xff704fff,0x1ffffdff,0x00007fc8,0xff00dff1,
    0xfffdffd9,0xfffd103f,0xbf97ffff,0x2201ffa8,0xfffffffe,0x3fa25fcb,
    0xcbffffff,0x3fffa25f,0x5fcbffff,0x7fffffd4,0x3e65fddf,0x6c006fff,
    0xffffffff,0x0027fd40,0x20027fdc,0xffc83ff8,0xffffffff,0x104fffff,
    0x5dfffffb,0xffffd980,0x07fc80ce,0x0dff1000,0xffb17ff0,0xfc801bff,
    0xbf92efff,0xc801ffa8,0xf92effff,0xdffff90b,0x3f217f25,0xbf92efff,
    0x9ffffb30,0xfff897f6,0xffb8000e,0xfd81dfff,0xff88001f,0x3fe2000f,
    0xfffffc83,0xffffffff,0x9a8804ff,0x00a98000,0x7c400000,0x0660006f,
    0x40026200,0x22001ffa,0x09880009,0x00098800,0x2a600330,0x0a980000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0xeeeeeeea,0x0eeeeeee,
    0xddddddd9,0x2a01359b,0xcccccccc,0xd72ccccc,0xdddddddd,0x000179bd,
    0xdddddd70,0xdddddddd,0x3ba23ddd,0xdddddd74,0x801799bd,0xd5000eec,
    0x0eec85dd,0x367dd700,0x75c0004e,0xcdeeeeee,0xa76c00bc,0x75c003ed,
    0x3a60000e,0x03fff15e,0xfffffff7,0x1fffffff,0x3ffffff6,0x81efffff,
    0xfffffffc,0x93ffffff,0xffffffff,0x05ffffff,0x7fffc400,0xffffffff,
    0x12ffffff,0x3fff2bff,0xffffffff,0x1ffb00cf,0x07fff500,0xf1009ff5,
    0x017fe1ff,0xfffff900,0x9fffffff,0x7fd7fe01,0x0ffe4004,0x4fff5000,
    0xffb85ffa,0xeeeeeeee,0xffb0eeee,0xfddddddd,0xffc83fff,0xffffffff,
    0xbff93fff,0xd9999999,0x0007ffff,0x3fbbbff2,0xeeeeeeef,0xff11eeee,
    0x3bbbff2b,0xffffeeee,0x00ffd81f,0xb01fffd4,0xffc803ff,0x00017fe3,
    0xdddddff9,0x3ffffffd,0x13febff0,0x003ff900,0x2e3ffd40,0x17fdc1ff,
    0x00ffd800,0x8003ffe4,0x3ff25ff9,0x1fff9001,0x27ff8800,0x88002ffb,
    0x03ff95ff,0xd86fffa8,0x3fea00ff,0x2ffcc03f,0xff8dff10,0x7fe40005,
    0x37ff5401,0x04ff84cc,0x000ffe40,0xfb0fff50,0x002ffb8b,0xb001ffb0,
    0xfd0003ff,0x00ffe41d,0x8005ffd0,0x3fee3ffc,0x5ff88002,0xd1003ff9,
    0x0ffd89ff,0x005fff50,0x7e40bff2,0x002ffc2f,0x4007ff20,0x7fc04ffd,
    0x5ffe4004,0x199aaaaa,0x4c1ffea0,0x0017fdc1,0xa800ffd8,0x7dc003ff,
    0x00ffe41f,0x4009ff70,0x3ee0fff8,0xff88002f,0x2003ff95,0x3f61ffe8,
    0x2fffa80f,0x21bfe200,0x5ff86ff8,0x0ffe4000,0x01fff880,0xc80213fe,
    0xffffffff,0x540befff,0x3ee006ff,0xffb0002f,0x05ff5001,0x6427fcc0,
    0x3e6001ff,0x3fee005f,0x0017fdc4,0xffcaffc4,0x93fee001,0x7fd40ffd,
    0xffb8002f,0x7c0ffec3,0x1bdd305f,0x8007ff20,0x53b64ffa,0xdffb54ff,
    0xffffc839,0xffffffff,0x1bfe60ff,0x5ff70fba,0x03ff6000,0x8003ff20,
    0xffc80ffe,0x13ff2001,0x5c0fff80,0xf88002ff,0x003ff95f,0xffb2ffc4,
    0x017ffd41,0x261ffd00,0x0bff05ff,0x6403fff3,0x3e2001ff,0x7fd7fe5f,
    0xffffffcd,0x26bff22f,0xfba99999,0x17fe66ff,0x5ff713fe,0x03ff6000,
    0x400bff70,0xff902ffb,0x3ffe6003,0x09ff7001,0x10005ff7,0x07ff2bff,
    0x7ecffd00,0x03fff50f,0xb3ffa800,0x17fe01ff,0xc803fff3,0x7fc001ff,
    0x7ffd7fe7,0xffda9bef,0x003ff91f,0x3e25ffd1,0x5c4ff85f,0xaaaaacff,
    0x7ec1aaaa,0xedcccccf,0x7c004ffe,0x2bff207f,0xa9999999,0x2004fffc,
    0xffb80ffe,0xcccccccd,0x57fe22cc,0x6c001ffc,0x51ffb0ff,0x0001ffff,
    0x9ff5ffb0,0xff32ffc0,0x3ff9001f,0xf0ffe800,0x03bffebf,0x7fe4ffee,
    0x29ff7001,0x4ff84ff8,0x7fffffdc,0x44ffffff,0xfffffffd,0x000effff,
    0xfc813fea,0xffffffff,0x004fffff,0x7dc13fea,0xffffffff,0x3fe24fff,
    0x8003ff95,0x7ffb1ffc,0x00bfffff,0xff533330,0x13333fff,0xeff9affc,
    0x7fff7400,0x00eeeeee,0x57fe3ffb,0x3fe01fff,0x2003ff94,0x13fe6ff8,
    0xfff713fe,0xffffffff,0xffffd89f,0xffffffff,0x1ffd002f,0x7ffffe40,
    0xceffffff,0x07ff4001,0xffffffb8,0x24ffffff,0x3ff95ff8,0xb1ffd800,
    0xfd3fffff,0x7fc4007f,0xffffffff,0x3fe6ffff,0x800eff9d,0xffffffff,
    0xffb01fff,0x3ffd7fe5,0x7fe57fa0,0x4dff1001,0x44ff83ff,0x9999bffb,
    0x6c099999,0xf73100ff,0xff8807ff,0x567fe405,0x2fffcaaa,0x04ffa800,
    0x2000bfee,0x3ff95ff8,0xb0ffe800,0x3e63ffff,0xff1001ff,0xffffffff,
    0x7fcdffff,0x4005fffe,0x74001ffc,0x3ebff1ff,0xcb7f406f,0xff3001ff,
    0x7fc1ff4b,0x0017fdc4,0x8800ffd8,0x7fe407ff,0x80ffe402,0x4004ffe8,
    0xeeeeeffe,0x002ffeee,0xff95ff88,0x27ff8003,0x7dc0effd,0x740000ef,
    0xffff805f,0x32002fff,0x7fc001ff,0x3febff0f,0xfcb7f405,0x7ffd001f,
    0x27fc17f4,0x4000bfee,0xf9000ffd,0x037fc03f,0xd100ffe4,0x3ea007ff,
    0xffffffff,0x8002ffff,0x3ff95ff8,0xb37fc400,0x3ffa03ff,0x2ff40005,
    0x7cf7ffc0,0xff9000ff,0x3ffc4003,0x013febff,0x07ff2dfd,0x46ffea98,
    0x44ff82fd,0xb0002ffb,0x3ea001ff,0x07ff504f,0x9803ff90,0xfe802fff,
    0xeeeeeeef,0x8002ffee,0x3ff95ff8,0xb2ffd400,0x3fe201ff,0x7774402f,
    0xeefffeee,0x3bfe5eee,0x200bff50,0x2a001ffc,0x7d7fe4ff,0xcb7f404f,
    0xffffffff,0x41ffffff,0x44ff81fc,0xb0002ffb,0x3ee001ff,0x01ff903f,
    0x9003ff90,0x7cc01fff,0x2ffb805f,0x95ff8800,0x7f4003ff,0x803ff61f,
    0x2200fffb,0xffffffff,0x26ffffff,0x17fec5ff,0x000ffe40,0xaffc5ffd,
    0xb7f404ff,0xfffffffc,0x80cfffff,0x44ff80ca,0xb0002ffb,0x3f6001ff,
    0x00ffd01f,0x74007ff2,0x3ff605ff,0x02ffb801,0xf95ff880,0x3fee003f,
    0x2007fec5,0x4cc06ffd,0x9eff9999,0x3fe09999,0x007ffc45,0x5c007ff2,
    0xfaffc5ff,0xcb7f404f,0xcccccdff,0xf00009ab,0x02ffb89f,0x001ffb00,
    0x3e20fff9,0x3ff9006f,0x0bffe600,0x5c01bfe6,0xf88002ff,0x803ff95f,
    0x6c1fffd8,0x7fc400ff,0x5fe8004f,0xfb85ff80,0x0ffe405f,0x03fff620,
    0x013febff,0x07ff2dfd,0x4ff80000,0x80017fdc,0xcccccffd,0x1ffffdcc,
    0x2009ff30,0x32001ffc,0x7fec0eff,0x9bff7002,0x99999999,0x657fe279,
    0xcccccdff,0x82ffffee,0xfa800ffd,0x7f4002ff,0xd05ff805,0x7fe405ff,
    0xeecccccd,0xff81ffff,0xfe809ff5,0x0003ff96,0x7fc37fcc,0x0017fdc4,
    0xffffffd8,0x2fffffff,0x400ffea0,0x22001ffc,0x3fe64fff,0x3ffee006,
    0xffffffff,0x2bff15ff,0xfffffffc,0x02efffff,0x32001ffb,0x3a000fff,
    0x05ff805f,0x3201fff3,0xffffffff,0xf02dffff,0xd013febf,0x007ff2df,
    0xf86ff980,0x017fdc4f,0xfffffd80,0x03deefff,0x9002ffb8,0xfa8003ff,
    0x05ffb1ff,0x7ffffdc0,0xffffffff,0x3f2bff15,0xefffffff,0x7fec01ce,
    0x1bffa000,0xf805fe80,0x17fee05f,0x7fffffe4,0x401deeff,0x809ff5ff,
    0x03ff96fe,0x437fcc00,0x000004ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x01dd9000,0x001eeb80,
    0x7764bba6,0xeed8004e,0x6f6e5406,0x05dd701c,0xeb9774c0,0xdeeeeeee,
    0x7fd402cc,0x0fffa80e,0x3fea7fe8,0x3c885503,0x77777744,0xeeeeeeee,
    0x009dd72e,0xeb89dd70,0x776c004e,0x200bbaa0,0xb801eeea,0xd8fba1ee,
    0x7e4000ff,0x3fea002f,0x00ffffb3,0x107fff98,0xfffffffb,0x0fffc81b,
    0x327ff300,0xffffffff,0xd03fffff,0xfff103ff,0x27fe81df,0x7f4c3ffa,
    0x43fcadff,0xfffffff8,0xffffffff,0x005fff13,0x220fffc4,0xf9003ffe,
    0x04ff987f,0x803fffc8,0xb27fc7fe,0xfc8001ff,0x3fea002f,0x05ffffb3,
    0x43fffe40,0xdadfffe8,0x7fe46fff,0x7ff3005f,0x3bbbbff2,0xfffffeee,
    0xe817fd43,0x745ff8ef,0x90ffea7f,0xfffff9bf,0xeeeee881,0xfeeeeeee,
    0x3ffea3ff,0x07ffb000,0x5003ffe6,0x1bfe0bff,0x01bfffe0,0x4ff8bff1,
    0x90003ff6,0x7d4005ff,0xbffffb3f,0x3ffffc00,0x2205ffec,0x3ff24ffd,
    0xff9803ff,0x8803ff93,0x3fa1fffd,0x2a3ff904,0x886623ff,0x2a2ec099,
    0xc80001cd,0x5ffd86ff,0x405ffb80,0x3e206ffb,0x1ffb00ff,0x7fe7fcc0,
    0xf0ffea00,0x007fec9f,0x800bff20,0x9ffb3ffa,0x3fe600ff,0x2ffc47fd,
    0x7e4fff10,0x4c00ffff,0x03ff93ff,0x198fff20,0x33302660,0x00000000,
    0x407ffdc0,0x2202fff8,0xfe800fff,0x05ffd04f,0xf700ffdc,0x6405ff3f,
    0xb27fc1ff,0xfc8001ff,0x3fea002f,0x5ff3ffb3,0xffb9f900,0x6c02ffa8,
    0xf9ff90ff,0x3ff980bf,0x2a003ff9,0x000005ff,0x00020000,0x00fffd40,
    0x3601fff5,0xff1002ff,0x04ffc83f,0xfb01ffcc,0xfe813feb,0x3f64ff87,
    0x7fe4000f,0x4ffea002,0x00bff7fd,0x98ffb5ff,0x7fe400cc,0xffd1ff91,
    0xc9ffcc07,0x3fe001ff,0x3a00fba7,0x83ee803e,0xfffb52ed,0x3e20003b,
    0xffd803ff,0x005ffa85,0xfa877fd4,0x0bff006f,0x37e4bfe2,0x9ff09ff0,
    0x20007fec,0x2a002ffc,0x32ffb3ff,0xdbfd407f,0x3fe0007f,0x3e63ff27,
    0x7ff300ff,0x44007ff2,0x013fe6ff,0x3fe013fe,0xffbaff84,0x003fffff,
    0x8027ff44,0x3e22fff8,0xfd8000ff,0x00fff8cf,0x3ea0ffb0,0x303ff50f,
    0x49ff05ff,0x64000ffd,0x3ea002ff,0x3e6ffb3f,0x6d3f202f,0xff50007f,
    0xfb87fe4b,0x27ff306f,0xf7001ffc,0x4027fc9f,0x4ff804ff,0xadffeff8,
    0x000fffca,0x5001bff6,0x17fe4dff,0xefff8800,0x3ee002ff,0x226fc81f,
    0x0ffb83ff,0x3ff64ff8,0x77fe4000,0xeeeeeeee,0xfb3ffeee,0xff02ff4f,
    0x4001ff63,0x3ff21ffe,0x260fffa0,0x03ff93ff,0x7c3fff50,0x04ff804f,
    0xfff84ff8,0x04ffc80d,0x001fff70,0xff37ffb0,0xff980009,0x7c4004ff,
    0x744fe83f,0xf06fd85f,0x007fec9f,0x3fffff20,0xffffffff,0x4ffb3fff,
    0x4ff507fc,0xfd8007fd,0x307fe44f,0xff981fff,0x5557ff93,0xfffd9755,
    0xf804ff89,0x84ff804f,0xff101fff,0x3fff500b,0x3ffe2000,0x80000efe,
    0x8000fffc,0x0ffc45fe,0x13fe1ff2,0x1ffb27fc,0xeeffc800,0xeeeeeeee,
    0xffb3ffee,0x7ec17fcc,0xb001ff64,0x1ff90dff,0x7cc6ffb8,0xfffff93f,
    0xffffffff,0x804ff819,0x4ff804ff,0x7fc06ff8,0x1fffc405,0x3ffea000,
    0xf880001f,0xc8004fff,0x4c3fdc6f,0x07fe62ff,0x1ffb27fc,0x02ffc800,
    0x7ecffea0,0x7fc27f47,0x4401ff61,0xfc80effd,0x23ffe80f,0xfff93ff9,
    0xdfffffff,0x013fe03b,0x3fe013fe,0x7405ff84,0x27ff406f,0x4ffd8000,
    0xfffb0000,0xfa8003ff,0x7c17f60f,0xf81fee4f,0x003ff64f,0x4005ff90,
    0x8ffb3ffa,0x237d47fc,0xfe8807fd,0x1ff900df,0x261fff30,0x35ff93ff,
    0x7c003333,0x04ff804f,0x5ff84ff8,0xfb037f40,0x5c0000df,0xb80002ff,
    0x0fffacff,0xf8bfe200,0x6cbfb03f,0xd93fe05f,0x7e4000ff,0x3fea002f,
    0xff98ffb3,0xffb0ff62,0x04ffe880,0xfb807fe4,0x327ff36f,0x7c0001ff,
    0x04ff804f,0x4ff84ff8,0xfb837f40,0x200000ff,0x40002ffb,0xffb0eff9,
    0x34fe800b,0x9fee01ff,0x93fe03ff,0x64000ffd,0x3ea002ff,0xfd0ffb3f,
    0xfb07fe2b,0x1fffcc0f,0xd007fe40,0x27ff37ff,0x40001ffc,0x4ff804ff,
    0xff84ff80,0x4c37f404,0x00001fff,0x00017fdc,0x7c43fff1,0x3f2002ff,
    0x7cc0df96,0x201ff99f,0x03ff64ff,0x005ff900,0x7fd9ffd4,0x0df57fc8,
    0x3fe60ffb,0x1ff9002f,0x7dfffcc0,0x003ff93f,0xf804ff80,0x84ff804f,
    0x37f404ff,0x000bffe2,0x00bfee00,0xa84ffd80,0xf5000fff,0xff013faf,
    0xff80ff75,0x0003ff64,0x54005ff9,0x30ffb3ff,0xb07fb5ff,0x5fff10ff,
    0x007fe400,0x4fffffee,0x40001ffc,0x4ff804ff,0xff84ff80,0x3a37f404,
    0x000004ff,0x20005ff7,0x3f206ffb,0x5ff1006f,0xcfc805ff,0x27fc04fc,
    0xc8001ffb,0x3ea002ff,0x3a0ffb3f,0xfd80ffdf,0x002ffd87,0x74007fe4,
    0xff93ffff,0x4ff80003,0xf804ff80,0x404ff84f,0x17ff26fe,0xffb80000,
    0xfff98002,0x027ff400,0x00ffdfe8,0x017f77d4,0xcffd93fe,0xcccccccc,
    0x005ff93c,0x7fd9ffd4,0x20dfff70,0x7ffd47fd,0xcccccccc,0x01ff91cc,
    0x27ffff30,0x40001ffc,0x4ff804ff,0xff84ff80,0xfab7f404,0xccccccff,
    0x3ccccccc,0x005ff700,0x802ffe88,0xb801fff9,0xf8805fff,0x7fc00fff,
    0x3fffff64,0x6fffffff,0x54005ff9,0x20ffb3ff,0xfb03fff9,0xfffffe8f,
    0xffffffff,0x2001ff92,0xff93fffb,0x4ff80003,0xf804ff80,0x404ff84f,
    0xffff56fe,0xffffffff,0x200dffff,0x6c002ffb,0x3ee005ff,0x7fcc00ef,
    0xdffd003f,0x7ec9ff00,0xffffffff,0x5ff96fff,0xd9ffd400,0x03ffa07f,
    0x3ffe3fec,0xffffffff,0x1ff92fff,0xc9fff400,0x7c0001ff,0x04ff804f,
    0x4ff84ff8,0xffab7f40,0xffffffff,0x06ffffff,0x4005ff70,0x4000effb,
    0xff805ffe,0x9ff9001f,0x0009ff00,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xdd900000,0x97b60005,
    0xeeeeeee9,0xeeeeeeee,0x98f6405e,0x000004ee,0x80001310,0x01003880,
    0x01000020,0x20000800,0x00040000,0x01000020,0x01f74000,0xbff513b6,
    0x49ff5000,0xfffffff9,0xffffffff,0x4bfee07f,0x55935ff9,0x55555555,
    0xfd00b555,0xfec88009,0x03fd2dff,0x7bdffd93,0x7fff6cc3,0x7f64400c,
    0x4402deff,0x02effeca,0x6ffff644,0xfffb7003,0xfd91007b,0x3b607bff,
    0x3bfffb52,0xdfb13dd0,0x2027fc39,0x0fff85ff,0x307fec00,0xfddddddd,
    0xddddddff,0x4bffea0b,0x00335ff9,0x13fa00e0,0xfffffa80,0xc84fffff,
    0xffffffff,0xfffffc9f,0xff700fff,0x9fffffff,0x3ffffa20,0xff306fff,
    0x1dffffff,0x3ffffa60,0xf500dfff,0xdfffffff,0xffbaff81,0x7c3fffff,
    0x1ffffdaf,0xbff013fe,0x4005ff90,0x22005ff8,0x7dc005ff,0x42662fff,
    0x00700019,0x3e6009fd,0xfeb89bff,0x6ffe40ff,0xfffdb89a,0xfda9cfff,
    0xbeffb86f,0x1fffdb89,0xa89cffe8,0x7fc45ffd,0xffda89be,0xbefff885,
    0x886ffc98,0xd989cfff,0x3bfe0fff,0xffcaadff,0x3ffbfe0f,0x027fc6ed,
    0x3fe617fe,0x0bfee005,0x005ff880,0x5fffffd1,0x38000cc0,0xd004fe80,
    0xfff103ff,0x3a05ff89,0xff104fff,0x700ffe89,0x2ffd89ff,0x7d43ffd0,
    0x81ffb01f,0xff502ffc,0x701ffe87,0x6fffc9ff,0x3e4ffc80,0x3fe046ff,
    0xe82ffc04,0xffd000ff,0x05ff8800,0xfbdfffa8,0x0006602f,0x027f401c,
    0xfe81ffdc,0x3ff30ffe,0x2037fdc0,0x7fd30ffb,0xf12ffc40,0x1ffd40bf,
    0x32601ff7,0x01bfe60a,0x3fea1ffd,0xf8ffec04,0xbff101ff,0x3e00fffc,
    0x82ffc04f,0xf9803ffb,0x7fc4004f,0x53ffd805,0x00cc05ff,0x2aaaa380,
    0xaaadffaa,0x41ff61aa,0x02ffabfc,0x2027fcc0,0xf8002ff8,0x007fe65f,
    0x03dff503,0x201ffdc0,0x1ff91ffb,0xff2ffa80,0x3e5ff80d,0x04ff807f,
    0xff882ffc,0x01ffc806,0x402ffc40,0x0bfea0cc,0x47000198,0xfffffffe,
    0x23ffffff,0x15fb86fe,0xba8807ff,0xaaadffed,0x4ffaaaaa,0x7f654c40,
    0x003fee5f,0x677fff40,0x2fff200a,0xcaaaaaaa,0x00ffb2ff,0x17fe9ff1,
    0x37fcdfd0,0x3e027fc0,0x07ff205f,0x1000dff0,0x2a000bff,0x006602ff,
    0xffffd1c0,0xffffffff,0x262ffc7f,0x89ff10ef,0xfffffdb8,0xffffffff,
    0x45ffffff,0xfffffeb8,0x1ff25fff,0xfffe8800,0xfd82dfff,0xffffffff,
    0xdfd4ffff,0x7fd7fe00,0xff37f405,0x809ff00b,0x3fe605ff,0x00ffea04,
    0x0017fe20,0x33017fd4,0x9988e000,0x99dff999,0x97fe0999,0x3fe21fe8,
    0x3ffffa64,0xeeffabde,0xeeeeeeee,0x3fffe64e,0x5fe9bdff,0x20001ff6,
    0xffffffda,0x7777ff44,0xeeeeeeee,0x3e00dff3,0xe809ff5f,0x2013fe6f,
    0x2ffc04ff,0xfd81bfa0,0xff88000f,0x5ff50005,0x38000cc0,0xe804fe80,
    0xf30ff67f,0x37ffe67f,0x01ffcc0a,0x567ffcc0,0x3f25ff80,0x2600000f,
    0x363fffeb,0xffb0007f,0x3e9ff100,0xf37f404f,0x0bff009f,0x2e02ffc4,
    0x4ff881ff,0x0bff1000,0x80bfea00,0x00700019,0xffb009fd,0xff50bf71,
    0xa80fff25,0x640805ff,0x3fe202ff,0xb007fee5,0xffa80079,0x0007fee5,
    0x3e601ff2,0xe809ff4f,0x2013fe6f,0x3fea05ff,0x427fc405,0x10001ffb,
    0x2a000bff,0x006602ff,0x27f401c0,0x77e7fe40,0xfd0ffd80,0x06ffc80f,
    0x7fe9ffdc,0xf537fd40,0x27fcc09f,0x7fe80dfb,0xf9013fea,0x00ffee5d,
    0x13fe3ffb,0x27fcdfd0,0x440fff40,0xfd805ffe,0x0006fe87,0x40017fe2,
    0xbff32ffa,0x01c00066,0x7cc027f4,0xffa81fff,0x5403ffa5,0xf103ffff,
    0x07ff61ff,0x3a37ffc4,0x5ffb00ff,0xf8817fe4,0x80fff45f,0x3fa0fff9,
    0x4dff300f,0x37f404ff,0xff7009ff,0xffd5115d,0x5ff500bf,0x0001ffc4,
    0x2000bff1,0xbff32ffa,0x01c00066,0xfc8027f4,0xff710bef,0x0effe41f,
    0xffdbff73,0x3ff6a239,0x8877fee4,0x4c6fffea,0x3f262eff,0x5f7fcc5f,
    0x85ffb510,0x2a23fff9,0x7fd43ffe,0x3bfee22f,0xfd013fe0,0x44027fcd,
    0xfffffffe,0xff005fcb,0x0007fdcb,0x000bff10,0x7fccbfea,0x0e000335,
    0x64002620,0xffefffff,0x7ff441ff,0x23fffeef,0xfffffffd,0xffffe85f,
    0xffcbfffe,0x77fffdc0,0xfb80efff,0xffffffff,0xdffff703,0x2e09ffff,
    0xfffeffff,0x2027fc0f,0x013fe6fe,0x2effffc8,0x3f200bf9,0x000bfd0f,
    0x0005ff88,0x34e85ff5,0xaa8e0003,0xaaaaaaaa,0x3ea1aaaa,0xffffeb9e,
    0xfff9100c,0xfd901bff,0x2205dfff,0x0dfffffc,0xfb307ff3,0xa807ffff,
    0x2efffffe,0x7fffec40,0x7ecc02ef,0xf80cefff,0xf37f404f,0x1310009f,
    0xaff98000,0x40001ff9,0x50005ff8,0x997c45ff,0x7f470001,0xffffffff,
    0x3aa3ffff,0x10005440,0x26200153,0x35310009,0x01a98000,0x000d4c40,
    0x80009a88,0x000000a9,0x00000000,0x06fcdfe8,0x05ff8800,0x645ff500,
    0x2000330f,0x3fffffa3,0xffffffff,0x00000003,0x00000000,0x00000000,
    0x00000000,0x00000000,0xeffa8000,0xf880003f,0xff50005f,0xac987e65,
    0xaaaaaaaa,0x0005aaaa,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfff10000,0xf100001f,0x3ea000bf,0x0000022f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0x00005ffc,
    0x2000bff1,0x00002ffa,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x5ec80200,0xd80bbaa0,
    0x03ddb13e,0xdd90f76c,0xdddddddd,0x400001dd,0x3dd54ee9,0x0009db00,
    0x50000000,0x930001ff,0x0002cb87,0x06642cb8,0x00006600,0x3b600000,
    0x17dffb52,0x0efff644,0x7ec07fee,0x45ff305f,0xff706ffb,0xfffffe89,
    0x0fffffff,0x4c3ae000,0x09ff15ff,0x0b62ffa8,0x05b51e40,0x1ff50000,
    0x21ff8800,0x03ae0ff9,0x3fe61f98,0x9801bee0,0xeca803ff,0xfdb80cff,
    0x5fe603ef,0xffffcaff,0xffff35ff,0x7fcc3fff,0x20ffff03,0x3ffd87fb,
    0x55437fcc,0xeaaaaaaa,0xc88004ff,0xbff30fff,0x3f603fec,0x2e6bff27,
    0xffc8bdfe,0x017dff52,0x03fea000,0x744bfb00,0x03bfea3f,0xfd83ffe6,
    0xd8027f45,0x7fcc06ff,0x7d46ffee,0x983ffddf,0xdfdff7ff,0xf9fff937,
    0xdffb55bf,0xff985fe8,0x85fe81ff,0xfd10fff8,0xff50003f,0xffda800b,
    0x504cc5ff,0x3fe205ff,0x3ffffa24,0xefffffff,0x9ffffd30,0xffa80003,
    0x83fee000,0xeffc86fc,0x10bffe60,0x0ffd47ff,0x0bfffe20,0x3fe23fe8,
    0x7fb87fa2,0x7dffff62,0xfff886ff,0x20ffd80f,0xfdfb87fc,0x817fc43f,
    0x7ff95ffa,0x1dff3000,0xfffd7100,0x7fc0039f,0x883ff505,0xfebdffff,
    0xfd980eff,0x0002efff,0x22001ff5,0x0bfea4ff,0x7cc77fe4,0x1ff702ff,
    0x3f2037ec,0x0a606fce,0xbf700bfa,0xfbfce7d4,0x7fff01ff,0xf987fee0,
    0x7edfec1f,0x9007fd45,0x00bffbff,0x801fff30,0x2effffc9,0x01ff9000,
    0xbff10dfd,0x406fe981,0xbfffffb8,0x03fea000,0xf887ff40,0x77fe405f,
    0x7f402fff,0xf813fe66,0x001ff9bf,0xfea81fea,0xbfc4221e,0x3ff607ff,
    0xf85ff501,0x7dcffc4f,0x7402fec7,0x4000efff,0x2a01ffe8,0x01cffffe,
    0x21ffcc00,0xffa83ff8,0x001ff701,0x37ffff6a,0x3ffffe61,0xffffffff,
    0xfb17fdc7,0xfff9003f,0x7ff5005f,0x7dc17fe4,0x200bfd0f,0x3f603ffa,
    0x2ff100cf,0x3ff206ff,0xd85ff300,0x7cdfea6f,0x200ffe1f,0x8002fff9,
    0x3ea02ffe,0x0000beff,0xff71bfa0,0x440df901,0x644003ff,0xff30ffff,
    0xffffffff,0xffd8ffff,0x2003ffa1,0x800efff9,0x3fee5ff9,0x3ea4fe84,
    0x1ffe400f,0x407fdc40,0x40bff7f8,0x3fe607fc,0xfc87fd42,0x7fccffe5,
    0x5fffb800,0x01ffec00,0x000bffea,0xe83fee00,0x809fb05f,0xc88004fe,
    0x99910fff,0x999ffb99,0x6ff88999,0xf3013fe6,0x801dffff,0xdff10ffd,
    0xff83ff50,0x03dfb104,0xf883fe80,0x7e409ff7,0x10bfe607,0xd8ffa5ff,
    0x300df95f,0x005fffff,0x26017ff2,0x00cffffe,0x27ff1000,0xff702ff9,
    0x007fe601,0x5ffffd98,0x000ffa80,0x7fe45ff5,0x95fff300,0x3ea01dff,
    0x207ff22f,0x87fc86fd,0xf300dfe8,0x417fc41f,0x409ff7f8,0x3fe607fc,
    0xff8dfd82,0x1ff5fee0,0x7f4fff40,0x37fdc00f,0x3fff6600,0xd80002df,
    0x4c0ff96f,0x0ffb03ff,0x3ffffae0,0x1ff5000c,0x3a37e400,0x2fff985f,
    0x3a03bff2,0x20ffe25f,0xff883ff9,0x6667ff43,0x2fbf62cc,0xff106feb,
    0x7fc813fe,0x2e0bfe60,0x7c47faff,0x6401ffbf,0x0bff33ff,0x00077fd4,
    0xeffffb88,0xff50000b,0xff809ff1,0xbffd51df,0x7fffe4c0,0xffa8003e,
    0x8ffa2000,0x3fe61ff9,0x0effc82f,0x5fd83bee,0x3601ff90,0x3fffea6f,
    0x3624ffff,0x101effff,0xc813feff,0x0bfe607f,0x213fbfe2,0x4c06fffe,
    0x1ffe45ff,0x0007ffcc,0xffffea80,0xdff8001d,0x3ff201ff,0xffffffff,
    0x7ffed43f,0x2a0001df,0x7cc000ff,0xe89bee0f,0x897f202f,0x03fe61ff,
    0xdd30276c,0x26666623,0x35300999,0x13fe3300,0x3e607fc8,0x5fffd02f,
    0x409fff90,0xfe80ffe8,0x2bffe21f,0xaaaaaa99,0x3f66001a,0xbff30fff,
    0x037ffe40,0xfff9bff9,0x25ffd7df,0x00cffffa,0x00ffa800,0x7f44fc80,
    0x90e00a23,0x002fe89f,0x00000000,0x6409ff00,0x0bfe607f,0x5407ffe4,
    0x3f601fff,0x4dff303f,0xfffffffa,0x04ffffff,0x30ffb880,0x7fcc0bff,
    0x317e603f,0xa8774415,0x400003ef,0x000002a8,0x00000000,0x00000000,
    0x204ff800,0x3fe607fc,0x20dff302,0x3ea07ff8,0xa7fe405f,0xfffffffa,
    0x04ffffff,0xbff31400,0x400ffe80,0x19822001,0x00000000,0x7fccbffa,
    0x3310440e,0xff727fc3,0x4cccccc3,0x3bbbaa19,0xeeeeeeee,0x311eeeee,
    0x33333333,0x33333333,0x7e409ff0,0x00bfe607,0x00000000,0x00000000,
    0x00000000,0x10000000,0x13fea000,0x7fcc7ff7,0x7fcbff35,0xff87fee4,
    0x50ffffff,0xffffffff,0xffffffff,0x3fffea3f,0xffffffff,0x001fffff,
    0x00400000,0x0017ba20,0x20130002,0xaaaaaaa8,0x22aaaaaa,0xaaaaaaa8,
    0x02aaaaaa,0x4bbae000,0x82a81eeb,0x3f661eeb,0x8ea02dff,0x1ffb06fe,
    0x7fcd7fe6,0xffb93fe5,0x3fffffe1,0x222220ff,0x88888888,0x36608888,
    0xdddddddd,0xdddddddd,0x80000000,0x00dfffc8,0x3006ff88,0x807fffd7,
    0xfff306f9,0xffffffff,0x7ffccfff,0xffffffff,0xffb887ff,0xcaffcc0b,
    0x85ff93ff,0x2ffc85f9,0xfffffff5,0x7f95159f,0xfe803fe6,0x3a6bff33,
    0x8882224e,0x5dddddc0,0x000000bb,0x00000000,0x7ffc4000,0x4400ffff,
    0xff8806ff,0x202ffdce,0xfff305f8,0xffffffff,0x7ffccfff,0xffffffff,
    0x67fc47ff,0x3fe60ffc,0x3f27ff95,0x2177e42f,0xdffb2ffc,0xfffffffd,
    0x02627fff,0x00003310,0x00000000,0x00000000,0xefc80000,0x300bfb31,
    0x89f90013,0xf85d45fa,0x4ccc3935,0x99999999,0x4cccc7fb,0x99999999,
    0xf107dc19,0xfcaffcc7,0x985ff93f,0x3ff24feb,0x65441bb2,0x0cffffff,
    0x00000000,0x00000000,0x00000000,0x85ff0000,0x00000ff9,0xd1fe204c,
    0xffddfbff,0x1fee0007,0x217a0000,0xff74e87c,0x6407fee5,0x147fee6f,
    0x00de6540,0x00000000,0x00000000,0x00000000,0x01ff1000,0x3fffa3ff,
    0xffffffff,0x6e5443ff,0x6e547ffe,0x01bdffff,0x000ff700,0x8db0bd00,
    0x21ff32f8,0xd9910ffa,0x07fd47ff,0x00000000,0x00000000,0x00000000,
    0x80000000,0x25fd07f9,0xfffffffe,0x23ffffff,0xfdeffffa,0x00fff607,
    0x001fee00,0xf887ee00,0x7f887e43,0xfffa9be6,0x003fcc3d,0x00000000,
    0x00000000,0x00000000,0xf1000000,0x71ff881f,0x99999999,0x22599999,
    0x1fe22dff,0x01ff5fec,0xc89fee00,0xcccccccc,0x7c44cccc,0x260ffddf,
    0x17e37c1f,0x02fc0133,0x00000000,0x00000000,0x00000000,0x20000000,
    0x07fd42ff,0x87f98000,0x36fb87fb,0x5c0003ff,0x3fffe67f,0xffffffff,
    0xbeeb887f,0x00000080,0x00000000,0x00000000,0x00000000,0x00000000,
    0xa8aefc80,0x774404fe,0x512ff805,0x1e881fff,0x9300012e,0x777774c9,
    0xeeeeeeee,0x00000006,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7ff44000,0x4400efff,0xffb806ff,0x02fedfff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3ae00000,0xff1004ef,
    0x37b2600d,0x00005952,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x26000000,0x00000009,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_34_latin1_x[224]={ 0,2,1,0,1,1,1,1,1,1,0,1,2,0,
2,0,1,3,0,1,0,1,1,1,1,1,2,2,1,1,1,1,1,-1,2,1,2,2,2,1,2,2,0,2,
2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,2,0,0,0,-1,1,1,1,1,1,1,0,0,2,2,
-2,2,1,2,2,1,2,1,1,0,0,1,0,0,0,0,0,0,2,0,1,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,3,1,0,1,-1,
2,1,0,0,0,1,1,0,0,-1,1,1,0,0,3,2,0,2,1,1,0,2,1,1,0,2,-1,-1,-1,-1,
-1,-1,0,1,2,2,2,2,0,2,-1,0,-1,2,1,1,1,1,1,2,1,2,2,2,2,0,2,2,1,1,
1,1,1,1,1,1,1,1,1,1,0,2,-1,0,1,2,1,1,1,1,1,1,1,1,1,1,1,0,2,0,
 };
static signed short stb__arial_34_latin1_y[224]={ 27,5,5,4,3,4,4,5,4,4,4,9,23,17,
23,4,5,5,5,5,5,5,5,5,5,5,11,11,8,11,8,4,4,5,5,4,5,5,5,4,5,5,5,5,
5,5,5,4,5,4,5,4,5,5,5,5,5,5,5,5,4,5,4,31,5,10,5,10,5,10,4,10,5,5,
5,5,5,10,10,10,10,10,10,10,5,11,11,11,11,11,11,4,4,4,13,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,27,11,5,4,8,5,
4,4,5,4,4,12,11,17,4,1,4,8,4,4,5,11,5,14,26,4,4,12,4,4,4,11,-1,-1,-1,0,
0,0,5,4,-1,-1,-1,0,-1,-1,-1,0,5,0,-1,-1,-1,0,0,9,4,-1,-1,-1,0,-1,5,4,5,5,
5,5,5,4,10,10,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,10,10,5,5,5,5,5,5,5,
 };
static unsigned short stb__arial_34_latin1_w[224]={ 0,4,9,17,15,25,19,4,9,9,11,16,4,10,
4,9,15,9,16,15,16,15,15,15,15,15,4,4,16,16,16,15,29,22,17,20,19,17,16,21,18,4,13,19,
14,22,18,22,17,22,20,18,18,18,21,29,21,21,18,6,9,7,14,19,6,15,15,14,14,15,10,15,13,3,
7,14,4,22,13,15,14,14,10,15,9,14,15,22,15,15,15,10,4,10,16,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,4,15,17,15,18,
4,15,10,23,11,14,16,10,23,19,10,15,10,10,6,14,17,4,8,7,11,13,24,24,25,15,22,22,22,22,
22,22,29,20,17,17,17,17,7,6,10,9,22,18,22,22,22,22,22,14,22,18,18,18,18,21,17,16,15,15,
15,15,15,15,25,14,15,15,15,15,7,7,11,9,15,13,15,15,15,15,15,15,16,14,14,14,14,15,14,15,
 };
static unsigned short stb__arial_34_latin1_h[224]={ 0,22,8,24,28,24,24,8,30,30,11,15,9,4,
4,24,23,22,22,23,22,23,23,22,23,23,16,21,16,10,16,23,30,22,22,24,22,22,22,24,22,22,23,22,
22,22,22,24,22,25,22,24,22,23,22,22,22,22,22,29,24,29,13,3,5,18,23,18,23,18,23,24,22,22,
29,22,22,17,17,18,24,24,17,18,23,17,16,16,16,23,16,30,30,30,6,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,0,23,29,24,16,22,
30,30,4,24,12,14,10,4,24,3,10,19,13,13,5,23,29,4,8,13,13,14,24,24,24,23,28,28,28,27,
27,27,22,30,28,28,28,27,28,28,28,27,22,27,29,29,29,28,28,14,24,29,29,29,28,28,22,24,23,23,
23,23,23,24,18,23,23,23,23,23,22,22,22,22,23,22,23,23,23,23,23,13,19,23,23,23,23,29,29,29,
 };
static unsigned short stb__arial_34_latin1_s[224]={ 254,241,126,134,122,67,211,145,1,11,64,
150,121,202,181,246,1,42,58,84,219,116,132,36,180,196,96,52,79,93,133,
48,85,196,18,49,108,236,1,95,16,103,182,128,1,35,75,1,94,212,52,
192,23,17,1,219,197,175,156,201,24,239,211,213,174,134,64,150,151,181,95,
235,209,205,208,167,249,1,213,197,231,152,227,165,244,238,101,24,47,166,63,
58,69,74,150,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,
57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,254,251,170,
93,117,148,115,42,191,1,52,167,76,202,25,233,110,75,226,237,167,33,152,
186,136,248,24,197,167,70,117,159,156,179,202,170,106,129,73,21,104,1,138,
152,225,247,233,244,182,193,216,20,43,19,42,182,111,66,85,1,87,65,223,
34,68,207,175,191,143,51,108,223,1,238,100,148,246,112,120,132,212,142,228,
164,36,52,17,36,91,80,106,121,136,120,186,136, };
static unsigned short stb__arial_34_latin1_t[224]={ 1,189,275,91,32,91,91,275,1,1,275,
258,275,273,273,91,141,235,212,141,165,141,141,189,141,141,258,235,258,275,258,
165,1,165,189,116,189,165,189,116,212,189,165,189,212,212,212,91,212,62,189,
91,235,141,235,212,212,212,212,1,91,1,258,273,273,235,165,235,165,235,165,
62,189,189,1,189,212,258,235,235,91,91,235,235,141,235,258,258,258,165,258,
1,1,1,274,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,
235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,1,62,1,
91,258,189,1,1,273,116,275,258,275,273,116,273,275,235,258,258,273,165,1,
273,275,258,275,258,91,116,116,116,32,32,32,62,62,62,189,1,32,62,32,
62,32,1,32,32,189,62,1,32,32,62,62,258,91,32,32,32,62,62,189,
91,141,116,116,116,116,91,235,116,165,116,141,141,189,212,212,212,141,212,141,
141,141,141,165,275,235,165,165,165,165,1,1,1, };
static unsigned short stb__arial_34_latin1_a[224]={ 135,135,173,271,271,433,325,93,
162,162,189,284,135,162,135,135,271,271,271,271,271,271,271,271,
271,271,135,135,284,284,284,271,494,325,325,352,352,325,297,379,
352,135,243,325,271,406,352,379,325,379,352,325,297,352,325,460,
325,325,297,135,135,135,228,271,162,271,271,243,271,271,135,271,
271,108,108,243,108,406,271,271,271,271,162,243,135,271,243,352,
243,243,243,163,126,163,284,365,365,365,365,365,365,365,365,365,
365,365,365,365,365,365,365,365,365,365,365,365,365,365,365,365,
365,365,365,365,365,365,365,365,135,162,271,271,271,271,126,271,
162,359,180,271,284,162,359,269,195,267,162,162,162,281,262,135,
162,162,178,271,406,406,406,297,325,325,325,325,325,325,487,352,
325,325,325,325,135,135,135,135,352,352,379,379,379,379,379,284,
379,352,352,352,352,325,325,297,271,271,271,271,271,271,433,243,
271,271,271,271,135,135,135,135,271,271,271,271,271,271,271,267,
297,271,271,271,271,243,271,243, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_34_latin1_BITMAP_HEIGHT or STB_FONT_arial_34_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_34_latin1(stb_fontchar font[STB_FONT_arial_34_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_arial_34_latin1_BITMAP_HEIGHT][STB_FONT_arial_34_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_34_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_34_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_34_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_34_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_34_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_34_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_34_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__arial_34_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__arial_34_latin1_s[i] + stb__arial_34_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__arial_34_latin1_t[i] + stb__arial_34_latin1_h[i]) * recip_height;
            font[i].x0 = stb__arial_34_latin1_x[i];
            font[i].y0 = stb__arial_34_latin1_y[i];
            font[i].x1 = stb__arial_34_latin1_x[i] + stb__arial_34_latin1_w[i];
            font[i].y1 = stb__arial_34_latin1_y[i] + stb__arial_34_latin1_h[i];
            font[i].advance_int = (stb__arial_34_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__arial_34_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_34_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_34_latin1_s[i] + stb__arial_34_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_34_latin1_t[i] + stb__arial_34_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_34_latin1_x[i] - 0.5f;
            font[i].y0f = stb__arial_34_latin1_y[i] - 0.5f;
            font[i].x1f = stb__arial_34_latin1_x[i] + stb__arial_34_latin1_w[i] + 0.5f;
            font[i].y1f = stb__arial_34_latin1_y[i] + stb__arial_34_latin1_h[i] + 0.5f;
            font[i].advance = stb__arial_34_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_34_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_34_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_34_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_34_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_34_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_34_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_34_latin1_LINE_SPACING
#endif

