// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_35_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_35_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_35_latin1_BITMAP_WIDTH         256
#define STB_FONT_arial_35_latin1_BITMAP_HEIGHT        306
#define STB_FONT_arial_35_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_35_latin1_FIRST_CHAR            32
#define STB_FONT_arial_35_latin1_NUM_CHARS            224

#define STB_FONT_arial_35_latin1_LINE_SPACING          23

static unsigned int stb__arial_35_latin1_pixels[]={
    0x32a2cc88,0x002aa80c,0x07995000,0x0000dd80,0x98037600,0x2aa00cde,
    0x5510aaaa,0x50003555,0x599dd995,0x2e200001,0x001bcddc,0x4c000000,
    0xaaaaaaaa,0x000002aa,0x2e205550,0x4c00bced,0x07ff24ff,0x00001bfe,
    0x8007ffe2,0x7fcc04fb,0x2fd4001f,0x03ffff30,0x47fffffa,0x04fffffa,
    0xffffd710,0x5bffffff,0x3ff66000,0x1dffffff,0x3ffe8000,0x3fff2200,
    0xffffffff,0x3ffa007f,0x42ffc004,0xfffffffb,0xc93fe604,0x06ff81ff,
    0x3ffb8000,0x003fe600,0x20017fea,0xfd9102fe,0x3bffa0bf,0xfddd50ee,
    0xfff9009f,0xb97599df,0x001bffff,0x77ffffdc,0x02fffffe,0x017fea00,
    0xffffff98,0xffffffff,0x0bff5007,0xfa8bff00,0xfffdbeff,0x54599103,
    0x06ff80cc,0x05ff8000,0x9001ff40,0xf98003ff,0x07fe400f,0x7c4037f4,
    0x7ffec04f,0xffda800b,0xfffc801e,0x7fedc40c,0xdfd0002f,0x7fff4001,
    0xe999dfff,0xfb0019df,0x9db0001d,0x7cc1fff8,0x200000ff,0x400006ff,
    0x7d4005ea,0x05fd8007,0x4c04fd80,0x06fe81ff,0xd104ff88,0x2e0009ff,
    0x3ea00fff,0xffc802ff,0x1ff98007,0x3fffee00,0x2ff45fff,0x003ff300,
    0x827fc400,0x00002ffd,0x00001bfe,0x027f4000,0xa8001980,0x3fe600ff,
    0x8806fe82,0x5ffb04ff,0x5ff88000,0x009fff10,0x2001ffec,0x7ec00098,
    0x45ffffff,0x262005fe,0x7c400000,0x259b304f,0x98800998,0x5ccdff09,
    0x04cc401b,0x2604cc40,0x0aa981ff,0x88155400,0x3fe203ff,0x8806fe82,
    0x1ffa84ff,0x33106e60,0x2e0ffe61,0x7d4006ff,0xb751005f,0xfd00599d,
    0x8bffffff,0x0554c5fe,0x980aaa00,0x00fffc09,0xc805ff98,0xd1dff0ff,
    0x01bfffff,0xf900bff3,0x707fd81f,0xfe8005ff,0x40dfb00f,0x6fe82ff8,
    0x444ff880,0xfec884ff,0x3ff72fff,0x7ff437e4,0x800a8002,0xffffffd8,
    0x3fa03eff,0x45ffffff,0x17fdc5fe,0x403ffa00,0x7ffd45ff,0x01ffd002,
    0x3ffe5ff8,0xffecdfff,0x801ffd05,0x04ff85ff,0xe8005ff7,0x3ff500ff,
    0x3a0ffe20,0x4ff8806f,0xffe837e4,0xfdafffef,0xf10ffd47,0x000001ff,
    0x3bffffea,0x0dfffffe,0xffffffd8,0x2e2ff45f,0x7f4002ff,0x90bff00f,
    0xb8019fff,0x3fea03ff,0x217fffe2,0xffb84ffc,0x30bfea03,0x3fee05ff,
    0x07ff4002,0xf102ff88,0x00dfd07f,0x2ff89ff1,0x2e23ffd8,0xff85ffff,
    0x001ffe64,0x77ffdc00,0x7ffe5441,0x7fffdc0e,0x2ff45fff,0xd000bfee,
    0x17fe01ff,0x5ffffff5,0xb037fc40,0x05fff8ff,0xff107ff6,0x543fec0d,
    0x5ff701ff,0x00ffe800,0x4ff80ffe,0xf8806fe8,0x2e1fea4f,0xfff903ff,
    0x7d4bfb09,0x9800006f,0xf9803fff,0xfffe85ff,0x2ff45fff,0xd000bfee,
    0x97fe01ff,0xffe99ffd,0x1ffb00df,0xff89ff10,0x0ffe601f,0x3e203ff6,
    0x00ffb84f,0xe8005ff7,0x17fe00ff,0x6fe85fd8,0x364ff880,0x037fcc4f,
    0xf705fff3,0x0027fd4d,0x01ffec00,0x985fff50,0x45fffffe,0x17fdc5fe,
    0x403ffa00,0x83ff15ff,0xa82ffffb,0x1ffb83ff,0x7f4037fc,0xb83ffa85,
    0x07fd81ff,0xd000bfee,0x37f401ff,0xfe85ff70,0x24ff8806,0x17fdc2ff,
    0x2e03ffe0,0x017fe66f,0x0dff5000,0x20dff700,0x745fffec,0x017fdc5f,
    0x7c03ffa0,0x260df75f,0xff82fffe,0xff86fe86,0xf06fd805,0x20dfd0df,
    0x3fee06fe,0x07ff4002,0xfb80ffb0,0x00dfd1df,0x0ffc9ff1,0x3fa01bf6,
    0x7c49fb07,0x6c00007f,0xff0002ff,0x2ff4403f,0x5ff717fa,0x00ffe800,
    0x01ff2bff,0xfc83fff9,0x20ffe61f,0xffd804ff,0x261ffc80,0x0bff03ff,
    0x20017fdc,0x3f200ffe,0xa7fd401f,0xff8806fe,0xff81ff14,0xf05ff804,
    0x00ffe87f,0x01ffe000,0x404ffd80,0x22ff45fe,0x74002ffb,0x2bff00ff,
    0x7e402ffa,0x927fcc4f,0x09ff01ff,0x3e60ffb0,0x403ff24f,0x3fee06ff,
    0x07ff4002,0xd803ff90,0x00dfd4ff,0x1fe69ff1,0xf9807ff3,0x41ff883f,
    0xc8001ffc,0x0fff10ac,0x02ffe400,0x8bfd17fa,0x74002ffb,0x2bff00ff,
    0x7c02fff8,0x3a7fe86f,0x00bff05f,0x3ff40dfd,0x3ffc0bfd,0x8005ff70,
    0x3f600ffe,0x7dfd100f,0x2201bfa1,0xa8ff14ff,0x7fdc02ff,0xfb87fb82,
    0x7fc4003f,0x00bff30f,0x2037fd40,0x22ff45fe,0x74002ffb,0x4bff00ff,
    0xb00dfffa,0x33ff70bf,0x1bfe05ff,0xfb813fe0,0x202ff99f,0xff700ffe,
    0x0ffe8005,0xfa81ffe0,0x4037f41f,0x83fe4ff8,0x3e205ff8,0x17fd40ff,
    0x20037fcc,0x3fea5ffb,0x3fe20004,0x3a2ff407,0x017fdc5f,0x7c03ffa0,
    0x7fffd45f,0xf882ff82,0x3e07fbcf,0x3fee01ff,0x2f3fe202,0x0ffec07f,
    0x4002ffb8,0xff100ffe,0x742fec0f,0x4ff8806f,0x0fff07f6,0x3e637fe4,
    0x13ff605f,0x517ffcc0,0x4c0009ff,0x2ff406ff,0x5ff717fa,0x00ffe800,
    0xffd30bff,0x0ffb11bf,0x027f77ec,0x3a20bfff,0x77ec00ff,0x7fdc04fe,
    0x005ff702,0xf300ffe8,0x41ffc0bf,0xff8806fe,0xffb0fee4,0x4bfff905,
    0x2200fff9,0x2600cfff,0x7fc45ffe,0x3fea0005,0x3a2ff405,0x017fdc5f,
    0x7c03ffa0,0x3ffee05f,0x2a00dfff,0x3e01ffff,0x3a61efff,0xffa801ff,
    0x7fcc01ff,0x007ff704,0x3ea07ff8,0x07ff102f,0xff100dfd,0x3e23fd49,
    0xefebadff,0xeffecfff,0xffffa801,0xffda99be,0x00fff06f,0x202ffdc0,
    0x22ff45fe,0x7c003ffb,0x017fe07f,0x00bfffb1,0xff01bffe,0xffffffdd,
    0x7ffc005f,0x20bff006,0x7c003ffa,0x03fee07f,0x7f417fc4,0x24ff8806,
    0x7fcc2ff8,0xfff3ffff,0x4001bfff,0xfffffff9,0xb00dffff,0x320001ff,
    0x2ff403ff,0x7ff517fa,0x207ff800,0xff7005ff,0x7ff9009f,0xff96ff80,
    0xc8005bff,0xff9003ff,0x8013fea0,0x3f606ff8,0x20bfe206,0xff8806fe,
    0x26077ec4,0x3a61cfec,0x09982cef,0x3fffae20,0x5c01efff,0xf88004ff,
    0x2ff400ff,0x9ff517fa,0x037fc400,0x7cc00bff,0x7fdc02ff,0x2637fc00,
    0x3fee0001,0x07ff1000,0x5400dff1,0x5ff305ff,0x7417fc40,0x4ff8806f,
    0x0002ff44,0x80077ec0,0x2001aff8,0x4000fff9,0xfe805ffd,0x3e22ff45,
    0x3fea006f,0x3117fe05,0x2027fcc0,0x6ff805fe,0x2ff40000,0x741bf200,
    0xffd003ff,0x3017f607,0x0dfd05ff,0xf309ff10,0x100001bf,0x4c003ffb,
    0xfc8003ff,0x3fea005f,0x45fe801f,0x3ffe85fe,0x407ffd00,0x0bff65ff,
    0x3ea06ff8,0x06ff802f,0x0bfea000,0x705ff100,0x64405fff,0xff880eff,
    0x40ffcc01,0xff8806fe,0x07fff504,0x17ffd400,0x1ff6e600,0x3dffd100,
    0x03fffc80,0x5fe8bfd0,0x202fffb8,0x200effc8,0x1bfea5ff,0x13127fcc,
    0x3e00dff5,0x2620006f,0x0006ffa8,0x3ffa0df7,0xfcbabcef,0x9f902fff,
    0xd07fd880,0x9ff100df,0x677ff540,0xffec9801,0x3e60001e,0x7f44002f,
    0xca99bdff,0x2004fffe,0x82ff45fe,0xabcefffe,0x02ffffcb,0xff893fee,
    0x3ff660bf,0x3ffffe62,0x00dff001,0x7ffffcc0,0x07fa0001,0x3fffff62,
    0x02ffffff,0x3a601ff1,0xffd05fff,0x3fea3fff,0xfa804fff,0xddefffff,
    0x3fffffee,0xfdb79000,0x3f62000d,0xffffffff,0x7f4002ff,0xd882ff45,
    0xffffffff,0xfdf02fff,0xfff983ff,0x45ffffef,0x002ffff8,0x88001bfe,
    0x0002ffff,0xfb502fcc,0x19ffffff,0xf301fe40,0x3fa01dff,0xff51ffff,
    0x5c009fff,0xfffffffe,0x000cefff,0x3fffff10,0xffd98000,0x00beffff,
    0x7f45fe80,0x7ffed405,0x300cffff,0x2607ffff,0x3ffffffe,0x80015950,
    0x54000099,0x700000ac,0xaa988019,0x80990019,0x4c402bc8,0x26621999,
    0x10000999,0x15579753,0x2aaa0000,0x99800001,0x4400009a,0x8004c409,
    0x8019aa98,0x9801bca8,0x00001bca,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xb5000000,0x007ba29d,
    0x3ba20000,0x00018001,0x00000000,0x00000000,0x00000000,0x30100000,
    0x00000015,0xff000000,0xaaa7fccf,0x2bfffb01,0xf9801ff8,0x7c4001ff,
    0x27c4001f,0x07ffec00,0x7ffec000,0xffd00000,0x3200001d,0x640005ff,
    0xfd8006ff,0x3ff2005f,0x00fe89ce,0x6417ffc4,0x40001fff,0xff803fff,
    0x7fd3fe67,0x3efffa85,0x2e003ff1,0x7c4005ff,0x17dc001f,0x3fbff200,
    0x7fdc0006,0xc80006fe,0x0005feff,0x000eff88,0x001ffe80,0x9801ffe8,
    0xfffffeff,0x84ffc805,0x00efeffa,0x009ff700,0x4ff99ffe,0x1ff90bff,
    0x2001ff88,0x22000ffc,0x7ec001ff,0x33fea000,0x30004ff9,0x0bff19ff,
    0x4dffd400,0x640004ff,0x100001ff,0xf1000bfd,0x25f900bf,0x401dfeb8,
    0xff985ff8,0x0005ff8d,0x4cc00dfd,0x5ff84cc1,0xff885fe8,0x027ec001,
    0x8003ff10,0x3fe2005f,0x000fff26,0x3ee1dff1,0xff98003f,0x000bff26,
    0x0001ffc4,0x0007fe60,0x31007fe6,0x0efb8000,0xfa87ff44,0x7fd4004f,
    0x05550000,0x09ff0bff,0x30003ff1,0x0ffc4003,0x4007f500,0x04cc0998,
    0x30266200,0x33100033,0x00009981,0x00000331,0x44000262,0xdba88009,
    0x98802cce,0x4c099880,0x04c40019,0x86ff8800,0x84ff85ff,0xa8801ff8,
    0x802ccedb,0x5cc01ff8,0x44001fec,0x02ccedba,0x4000aa98,0x54c002aa,
    0x2aa6002a,0xaaaaaaaa,0x001aaaaa,0x8001554c,0x7ec402aa,0xefffffff,
    0x20155403,0x260002aa,0xf88002aa,0xf85ff86f,0x01ff884f,0x3fffff62,
    0x2203efff,0xffd881ff,0x1005ffff,0xfffffffb,0x7fdc07df,0x07ff4002,
    0x01fffb00,0x3ffffee0,0xffffffff,0x7ec005ff,0x7c4000ff,0x3ffea06f,
    0xffffeeff,0x6ff880df,0x001bfe20,0x000fffd8,0x7fc37fc4,0xf884ff85,
    0xffff501f,0xfffffddf,0x03ff101b,0xffbbfffd,0x7fd401df,0xfffeefff,
    0xffb80dff,0x07ff4002,0x3ffff880,0xfffff700,0xffffffff,0x7c400bff,
    0x44003fff,0xfff706ff,0xffca883d,0x37fc40ef,0x000dff10,0x00ffffe2,
    0xff0dff10,0xf107ff0b,0xdfff703f,0xfffca883,0x20ffc40e,0x3bee3ffd,
    0xfff705ff,0xffca883d,0x17fdc0ef,0x003ffa00,0x03feffdc,0x999bffb8,
    0x99999999,0x3fee0009,0x7c4007fd,0x3fff986f,0x45fff980,0x3e206ff8,
    0xff70006f,0xf8800ffb,0x445ff86f,0x1ff883ff,0x401fffcc,0x7c45fff9,
    0xb17fee1f,0x981ffd1f,0xf9803fff,0x17fdc5ff,0x003ffa00,0x17fd67f4,
    0x001ffdc0,0x2b3fa000,0x3e2002ff,0x03ffd86f,0x88bffea0,0x3fe206ff,
    0x59fd0006,0x7c4005ff,0x545ff86f,0x1ff881ff,0x5001ffec,0x7fc45fff,
    0xf883ff61,0xfd83bd55,0x3fea003f,0x00bfee2f,0x3001ffd0,0x017fe5ff,
    0x0000ffee,0xff2ff980,0x37fc400b,0x2001bfea,0x3fe26ffb,0x01bfe206,
    0x7fcbfe60,0x1bfe2005,0x0dfd17fe,0xffa87fe2,0x6ffb8006,0x51bfa0cc,
    0x6ffa807f,0x26ffb800,0x74002ffb,0xffd800ff,0xb801ffb0,0x000003ff,
    0x7fec3ff6,0x8dff1000,0xf0002ffd,0x1bfe23ff,0x8006ff88,0x1ffb0ffd,
    0x21bfe200,0x3ffd95ff,0xfd87fe20,0xfff0002f,0x22ffc403,0x7fec00fc,
    0x3fff0002,0xd000bfee,0xff8801ff,0x7013fea5,0x000007ff,0xffa97fe2,
    0x8dff1004,0x360007ff,0x0dff14ff,0x20037fc4,0x3fea5ff8,0x0dff1004,
    0x1dff1bff,0xff0ffc40,0x7fec000f,0xf0ffe604,0x00fff00d,0xfba7fec0,
    0x7ff4002f,0x217fdc00,0x7fdc07ff,0xf7000003,0x007ff85f,0x7fc4dff1,
    0x3ff20007,0x440dff15,0x7dc006ff,0x803ffc2f,0xdff86ff8,0x2201eff8,
    0x0fff11ff,0x02ffe400,0x27cc9ff3,0x001ffe20,0xff75ffc8,0x0ffe8005,
    0x7e43ff40,0x0ffee02f,0x3ff40000,0x44017fe4,0x17fe66ff,0x16ffa800,
    0x7fc40dff,0x43ff4006,0xf8802ffc,0xb55ff86f,0x3fe203ff,0x000bff31,
    0xf3037fd4,0x200fdcbf,0x20005ff9,0x5ff76ffa,0x00ffe800,0x3e613fe6,
    0x3ffee05f,0xffffffff,0xf9806fff,0x05ff984f,0x3ea6ff88,0x3e20004f,
    0x40dff17f,0x26006ff8,0x5ff984ff,0xf86ff880,0x883fec5f,0x09ff51ff,
    0x8bffc400,0x4dff10cc,0xa9f7447d,0x220004ff,0x05ff77ff,0x200ffe80,
    0xffd01ffc,0x3fffee01,0xffffffff,0xffc806ff,0x801ffd01,0x3fea6ff8,
    0x3fe60004,0x440dff16,0x3f2006ff,0x01ffd01f,0xff86ff88,0x440ffcc5,
    0x09ff51ff,0x8b7fcc00,0x23ff61ff,0x97fe45f8,0x20004ffa,0x5ff76ff9,
    0x00ffe800,0xffb81bfe,0xdddff704,0xdddddddd,0x0dff00bd,0x22027fdc,
    0x17fe26ff,0x15ffa800,0x7fc40dff,0x81bfe006,0x7c404ffb,0x445ff86f,
    0x1ff883ff,0x4000bff1,0x3ff15ffa,0x1fd6ffd4,0x3e21fff1,0x3ea0005f,
    0x005ff75f,0xf500ffe8,0x3333339f,0x3ee0fff3,0x5400003f,0x99999cff,
    0x4407ff99,0x03ffc6ff,0x22bff700,0x3fe206ff,0x39ff5006,0xff333333,
    0x86ff880f,0x83ff85ff,0x1ffe1ff8,0x15ffb800,0xfffc83ff,0x3ffeb88f,
    0x70003ffc,0x0ffeebff,0x6c0fff00,0xffffffff,0xb82fffff,0x400003ff,
    0xfffffffd,0x02ffffff,0xffb1bfe2,0x3ff20001,0x440dff13,0xffb006ff,
    0xffffffff,0x7c405fff,0xf85ff86f,0x21ff884f,0x90000ffd,0x07fe27ff,
    0x3ffbfff2,0x0ffd84ff,0x27ff9000,0x7c003ffa,0xffff107f,0xffffffff,
    0x7ff70dff,0x7fc40000,0xffffffff,0x2206ffff,0x27fdc6ff,0x87ffc400,
    0x3e206ff8,0xfff8806f,0xffffffff,0x3e206fff,0xf85ff86f,0x21ff884f,
    0x88004ffb,0x3ff10fff,0x3fffff20,0x09ff702e,0x21fff100,0x22004ffa,
    0x7ff706ff,0x33333333,0xfb83fff3,0x2e00003f,0x99999bff,0x1fff9999,
    0xf98dff10,0x7ec000ff,0x81bfe25f,0xfb806ff8,0x999999bf,0x01fff999,
    0xbff0dff1,0xff109ff0,0x007ffcc3,0xf897ff60,0x555f901f,0x0fff9801,
    0x12ffec00,0x7d400dff,0x01ffd05f,0xf713ff20,0x7400007f,0xff9000ff,
    0x21bfe209,0x2a005ffc,0x3fe21fff,0x01bfe206,0x64003ffa,0xdff104ff,
    0x884fe800,0x2ffe41ff,0x43fff500,0x0fd01ff8,0x00bff900,0x3a0fffd4,
    0xffd003ff,0x00bff307,0x3ee3ffc4,0xf300003f,0x7fc400bf,0x10dff107,
    0xc803dffd,0x7fc43fff,0x01bfe206,0x4400bff3,0xdff107ff,0x885fe800,
    0x7ff441ff,0x7ffe401e,0x440ffc43,0xfe88005f,0x7fe401ef,0x2fffb83f,
    0x03bff220,0xb000bff2,0x1ffdc5ff,0x2ffc8000,0x417fec00,0xfd106ff8,
    0x95337bff,0xf109fffd,0x37fc40df,0x000bff20,0xff105ffb,0x1ffc800d,
    0x7440ffc4,0xa99bdfff,0x884fffec,0x02fb81ff,0xbfffd100,0xffd95337,
    0x7fff409f,0xffcbabce,0x0fff02ff,0x5cdff500,0xcccccdff,0xcccccccc,
    0x4003ffc0,0xff886ffa,0x3fff6206,0xffffffff,0x40dff102,0x7fc06ff8,
    0x6ffa8007,0x4006ff88,0xf14ffff9,0x3ff6203f,0xffffffff,0x03ff102f,
    0x440001fb,0xfffffffd,0x4402ffff,0xfffffffd,0xf502ffff,0x3fe0009f,
    0xfffff71f,0xffffffff,0x7fd43fff,0x3fff0004,0x9806ff88,0xeffffffd,
    0x1bfe200b,0x2a06ff88,0xff0004ff,0xb800003f,0x3ff15fff,0xffffd980,
    0x2200beff,0x006e81ff,0xffffb300,0x40017dff,0xffffffda,0x3ff600cf,
    0x9ff90001,0x3fffffee,0xffffffff,0x07ff61ff,0x227fe400,0x4c006ff8,
    0xf10009a9,0x37fc40df,0x0003ffb0,0x00013ff2,0x644f2a60,0x2a66000c,
    0x19910009,0x20000020,0x00009a99,0x00cd54c4,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x22000000,0x6ff8000a,0x2000ffea,0x3fea5ff8,0x22020003,0x0080001a,
    0xa8818000,0x4ff98001,0x7000bfee,0x07fec5ff,0x20000400,0x3fe603eb,
    0x7cc0001f,0x200004ff,0x20004ffd,0xff8003f9,0x000ffea6,0xffa97fe2,
    0xffd98003,0x003fb8ad,0x0013fee0,0x567ff540,0x98001fd8,0x0bfee4ff,
    0x6c5ff700,0x362000ff,0xfd0001ef,0x05ffb805,0x3fbfa200,0xf980003f,
    0xec88006f,0x000adfff,0x1ffd4dff,0x52ffc400,0xfd0007ff,0x1ffffffd,
    0x223a6000,0x7c40002d,0x7fffffef,0x49ff3000,0x5c002ffb,0x03ff62ff,
    0x00d54d80,0x9001ff10,0x360001ff,0x01ffc9ff,0x007fec00,0x3ffffea0,
    0x9802ffff,0x00266209,0x33104cc0,0x26f88001,0x0003efda,0x0005a92e,
    0xfdb8a7d4,0x2660001d,0x00026620,0x0cc41331,0x01e83e00,0xb002fd40,
    0xff70009f,0x0007ff47,0x4002ff88,0xcfbdfff9,0x2a61fffd,0x1554000a,
    0xcedba880,0x0988002c,0x1d300000,0x310000f2,0x98000001,0x2a6002aa,
    0xaaaaaaaa,0x01aaaaaa,0x800789ec,0x262003fd,0x41998001,0x10000998,
    0xffd00013,0x7fdcbe65,0x000bfee6,0x6c401ffd,0xffffffff,0x06aa603e,
    0x80055500,0x0000fffd,0x000aaa60,0x01fffb00,0x3ffffee0,0xffffffff,
    0x774c05ff,0x1ff8003f,0x2aaaaaa6,0xaaaaaaaa,0x2aaaa61a,0xaaaaaaaa,
    0x2aa61aaa,0x35550002,0x2f99bfe2,0x7fdc3ffe,0x07ff4002,0xefffffa8,
    0x0dfffffe,0x000fffc8,0xfb001ff6,0x400001ff,0x0000fffd,0x07ffff10,
    0x3ffffee0,0xffffffff,0x013005ff,0xfb8ff300,0xffffffff,0x25ffffff,
    0xfffffffb,0xffffffff,0x007ffe65,0x261fff50,0xb8be63ff,0x05ff70bc,
    0xb80ffe80,0x5441efff,0x640efffc,0x36005fff,0x3fe2007f,0x100003ff,
    0x0007ffff,0x1ff7fee0,0x4cdffdc0,0x99999999,0x2a620099,0x70009abc,
    0xffffb89f,0xffffffff,0x3fee5fff,0xffffffff,0x645fffff,0x3e2006ff,
    0x8ffe62ff,0x7fdc02f9,0x07ff4002,0x200fffe6,0x7e45fff9,0xfb002fff,
    0x6ffdc00f,0xf700007f,0x0000ffbf,0x0bfeb3fa,0x000ffee0,0xfffffb80,
    0xfe802fff,0x4cdffdc2,0x99999999,0x2ffee099,0x99999999,0xfe809999,
    0x9ffb004f,0x3e66ff88,0x017fdc02,0xfb03ffa0,0x7fd4007f,0x3ffff22f,
    0x07fd800f,0x3feb3fa0,0xcfe80002,0x40002ffa,0x0bff2ff9,0x0007ff70,
    0xbdfffd10,0x405fffff,0x7fdc0ff8,0x7fdc0003,0xff300003,0x6ffa803f,
    0xf319ffd0,0x02ffb805,0xf507ff40,0xff7000df,0x7ff7fe4d,0x007fd805,
    0x17fe5ff3,0x25ff3000,0x6c0005ff,0x01ffb0ff,0x0003ffb8,0x4c0cffc8,
    0x3ea06ffc,0x003ffb86,0x001ffdc0,0x40dff900,0xf301fff8,0x805f9fff,
    0x74002ffb,0x0bff60ff,0xc8fffc00,0x02fff9ff,0xfd803fec,0x001ffb0f,
    0xfd87fec0,0xff10000f,0x2027fd4b,0x80003ffb,0x3fe00fff,0x709f900f,
    0xb80007ff,0x200003ff,0xfb03ffe8,0xfff9809f,0xf702ceff,0xffe8005f,
    0x8001ffe0,0x3ff94ffd,0x6c01fff5,0x5ff8807f,0x40013fea,0x3fea5ff8,
    0x5ff70004,0x7dc07ff8,0x5c40003f,0x07fec02c,0xffb81ff8,0x7fdc0003,
    0x7cc00003,0x37fd41ff,0xfffeb880,0x7fdc1eff,0x87ff4002,0x20007ff8,
    0x3ff95ffc,0xfd817ff6,0x42ffb807,0xf70007ff,0x007ff85f,0xff90ffd0,
    0x01ffdc05,0xfc880000,0x707f981f,0xb80007ff,0x800003ff,0x7ff46ffc,
    0xfffa8001,0x3fee2fff,0x87ff4002,0x20005ff9,0x3ff96ffa,0x6c0bffe2,
    0x87fe807f,0xe8002ffc,0x02ffc87f,0x4c27fcc0,0x3fee05ff,0xffffffff,
    0x9806ffff,0xffffecba,0xf705fb81,0xfb80007f,0x8800003f,0x7ff92ffe,
    0x26be6000,0xff70fffd,0x0ffe8005,0x40009ff5,0x3ff97ff8,0x6c07ffd4,
    0x27fcc07f,0x2002ffcc,0xff984ff9,0x0ffe4005,0xf700ffe8,0xffffffff,
    0x20dfffff,0xffffffd9,0xfd81ffff,0xfffff703,0xffffffff,0xffffb8df,
    0xffffffff,0xff5006ff,0x000bff3f,0x7ff917cc,0xd000bfee,0x13fea1ff,
    0x96ff9800,0x5ffd83ff,0x7e407fd8,0x01ffd01f,0xe80ffe40,0x3fe000ff,
    0x413fee06,0xeeeeeffb,0x5eeeeeee,0xefffffa8,0x81ffc8ac,0xfff700ff,
    0xffffffff,0xffb8dfff,0xffffffff,0x2006ffff,0x00fffffc,0xf98be600,
    0x005ff75f,0xff10ffe8,0x7fd4000b,0xf883ff95,0x03fec2ff,0xffb81bfe,
    0x81bfe004,0xf5004ffb,0x3333339f,0x3ee0fff3,0x7cc0003f,0xff901bff,
    0x2e06fa83,0xeeeeeeff,0x45eeeeee,0xeeeeeffb,0x5eeeeeee,0x3fffa200,
    0x98973003,0xfbb7fc2f,0x3ffc003f,0xb8001ffe,0x03ff95ff,0x7ec1fff5,
    0x273fea07,0xff999999,0x39ff5007,0xff333333,0x3fff600f,0xffffffff,
    0x3ffb82ff,0x1ffe4000,0xf907ffa0,0x01ffdc09,0x00ffee00,0xdff50000,
    0x317fe400,0xab7fc45f,0x7fc003ff,0x0007fec7,0xff93ffc8,0xd97ff603,
    0x3fff607f,0xffffffff,0xffd802ff,0xffffffff,0x7c402fff,0xffffffff,
    0xb86fffff,0x6c0003ff,0x3fe200ff,0x7017f41f,0xb80007ff,0x000003ff,
    0x5002ffcc,0x717cc9ff,0x13fea9ff,0x5c6ff880,0xf88004ff,0x03ff90ff,
    0x7ecbffe2,0xfffff107,0xffffffff,0xfff880df,0xffffffff,0x7dc06fff,
    0x999999bf,0x41fff999,0x40003ffb,0x3fa03ffd,0x01fe21ff,0x80007ff7,
    0x00003ffb,0x002ffcc0,0x3e63fff1,0x7c4bffa2,0x3fea006f,0x007ffcc5,
    0xfc97ff60,0x3ffea01f,0xff707fd8,0x33333337,0x403fff33,0x9999bffb,
    0xfff99999,0x003ffa01,0x3ee27fe4,0x7dc0003f,0x3f6a22ef,0x17ea2fff,
    0x0007ff70,0x0003ffb8,0x02ffcc00,0x273fff20,0x45ffeabf,0xfd003ffe,
    0x0bff907f,0x90fffd40,0xffd803ff,0xffd07fdd,0x13ff2001,0x9000ffe8,
    0x3fe609ff,0x1ffe2005,0x00007ff7,0xffdffffd,0x6c7ff5bf,0x1ffdc03f,
    0x0ffee000,0xff300000,0xfff9000b,0x1dffffff,0x202fffb8,0x880effc8,
    0x6401effe,0x7fe43fff,0x7fffc401,0x05ff987f,0x4c1ffe20,0x3e2005ff,
    0x05ff907f,0x2e2ffd80,0x880003ff,0x2efffffc,0x00aa9bfa,0x0001ffdc,
    0x0000ffee,0x00bff300,0x3ffffae0,0x3ffa03ff,0xfcbabcef,0x3a202fff,
    0xa99bdfff,0xc84fffec,0xffa801ff,0x2ffc87ff,0x417fec00,0x6c002ffc,
    0x07ff82ff,0x2e6ffa80,0xcccccdff,0xcccccccc,0x00035300,0x007ff700,
    0x003ffb80,0x2ffcc000,0x33ee2000,0xfffd8801,0xffffffff,0xfffd8802,
    0xffffffff,0x003ff902,0x3e1ffff6,0xffa8007f,0x8007ff86,0x7fd46ffa,
    0x3fff0004,0x3fffffee,0xffffffff,0x000001ff,0xccdffb80,0xcccccccc,
    0xbff70ccc,0x99999999,0x00199999,0x00017fe6,0xb5000be6,0x9fffffff,
    0xffd98001,0x00beffff,0x44007ff2,0x7fd47fff,0x3fff0004,0x80027fd4,
    0x3ff61fff,0x9ff90001,0x3fffffee,0xffffffff,0x000001ff,0xfffffb80,
    0xffffffff,0xfff71fff,0xffffffff,0x003fffff,0x00017fe6,0x44000be6,
    0x00019aa9,0x00135330,0xa8007ff2,0x0ffec7ff,0x24ffc800,0x90001ffd,
    0x000009ff,0x00000000,0x7fdc0000,0xffffffff,0x71ffffff,0xffffffff,
    0xffffffff,0x17fe6003,0x0004c000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xdcb98002,
    0x30001bce,0x00039bb7,0x00009995,0x8800b332,0x00000ccc,0x19950026,
    0x51001e64,0x32001579,0x900002cc,0x64400599,0x32a000cc,0x0013320c,
    0x07d705d9,0x66ee5c40,0x404e881b,0xffffffea,0xf3002eff,0x1bffffff,
    0x17ff4400,0x1bfea000,0x0dfffb00,0x8df7e4c0,0x7fe403fb,0x2a01bfe1,
    0x3ffffffe,0x006ffa80,0x00effa80,0x01bfff60,0x3fe1ffc8,0x417fc007,
    0xfd9803fe,0xefffffff,0xfc817fa1,0xffeeffff,0x7c405fff,0xfffdcfff,
    0x37fc4005,0x03ffa000,0xffbffb80,0xffffd004,0xc801ffff,0x01bfe1ff,
    0xfdbdfff3,0xff9009ff,0xffe80005,0x2ffee000,0xff9004ff,0x1003ffc3,
    0x1ff881ff,0x7ffffdc0,0xdfffffee,0xffb00efd,0xfda883bf,0x3ffa06ff,
    0x001ffe82,0x80017fd4,0x26002ffa,0x07ff75ff,0xfd736f98,0x1995007f,
    0xff301e64,0x2ffe983f,0x0006fd80,0x9800bfe6,0x07ff75ff,0x66419950,
    0x21bea004,0x7fe407f9,0xffc881df,0xff700eff,0xfff5005f,0x209ff309,
    0xb8003ffa,0x7d90004e,0x20ded800,0x2a200ded,0x00000081,0x2a01ffd0,
    0xed8805ff,0x07d90001,0x360eed80,0x000000de,0x3ee17f20,0x0fffea06,
    0x417ffe60,0x2001fff8,0x7dc1fffb,0x05ff301f,0x00000000,0x00000000,
    0x7c400000,0x0276c04f,0x00000000,0x00000000,0x3f20ff60,0x05fff104,
    0x07fffee0,0x20017ff2,0x7fe45ffc,0x001ff901,0x26af2a62,0x79531000,
    0x26200135,0x0009abca,0x13579531,0x2f2a6200,0x5ff3009a,0x32a60000,
    0x54c0009b,0x4c0009bc,0x40009bca,0x2009bca9,0xbff99998,0x9cfe9999,
    0x8037fdc1,0x85ffcffa,0x88000ffe,0x3ff20fff,0x004ff880,0xfffffff7,
    0xfffb805f,0x402fffff,0xfffffffb,0x7ffdc02f,0x402fffff,0xfffffffb,
    0x01ffb82f,0x7fff4c00,0xe9803fff,0x03ffffff,0xfffffe98,0xffe9803f,
    0xf903ffff,0xffffffff,0x8fffffff,0xf9801ffe,0x4c3fff3f,0x3a0006ff,
    0x03ff22ff,0xd1003ff2,0xfffbdfff,0xffd105ff,0xfffffbdf,0xdfffd105,
    0x05fffffb,0xfbdfffd1,0xd105ffff,0xfffbdfff,0x0ffc85ff,0x3ffee000,
    0x0dfffede,0xdbdfff70,0x2e01bfff,0xffedefff,0xfff700df,0x1bfffdbd,
    0xffffffc8,0xffffffff,0x01ffe27f,0xffc93fe2,0x0017fea2,0x3f24ffd8,
    0x027fc40f,0x26067fe4,0xffc86ffc,0x37fe4c0c,0x26067fe4,0xffc86ffc,
    0x37fe4c0c,0x26067fe4,0x7fec6ffc,0xdff30000,0x309ffb03,0xffb03dff,
    0x03dff309,0xff309ffb,0x09ffb03d,0x6fb85fc8,0x880dff30,0x27fd44fe,
    0x40009ff7,0x3ff24ffb,0x400ffdc0,0x3fe00fff,0x007ffc0f,0xfff81fff,
    0xf03ffe00,0x7ffc01ff,0xf007ffc0,0x0ffe41ff,0x01ffe800,0xffd03ff6,
    0x207fec03,0x3f601ffe,0x00fff40f,0x7ec01ffb,0xf504fd83,0x85fe80bf,
    0x3ff25ff9,0x3fea0003,0xf703ff25,0x2cb8807f,0x7107fec0,0x0ffd8059,
    0xfb00b2e2,0x0165c41f,0xcb883ff6,0x507fec02,0xdeb805ff,0xa809ff30,
    0x13fe64ff,0x7cc9ff50,0x27fd404f,0xfa809ff3,0x207fe04f,0x9ff702fe,
    0xf9837ec0,0x00fff26f,0x324ffa80,0x7ffc40ff,0xfc880003,0xfc88001f,
    0xfc88001f,0xfc88001f,0xfc88001f,0x017fe61f,0x17fdcfff,0xfb97fe20,
    0x2ffc402f,0xf8805ff7,0x00bfee5f,0x3e60bff1,0x80ffc40f,0xdf904ffb,
    0xb9bfe601,0x2e0004ff,0x03ff23ff,0x0037ffee,0x7ff65d4c,0x5d4c01ff,
    0x01ffffec,0x7ff65d4c,0x5d4c01ff,0x01ffffec,0x7ff65d4c,0x0ffec1ff,
    0x3f25ffb8,0xcccccccf,0x3f27ffcc,0xcccccccf,0x3f27ffcc,0xcccccccf,
    0x3f27ffcc,0xcccccccf,0xf507ffcc,0x540ff30d,0x0ffb85ff,0xfa97fea0,
    0x3f60005f,0x403ff22f,0x301efffa,0xfffffffb,0xfb303fff,0xffffffff,
    0xfffb303f,0x3fffffff,0xfffffb30,0x303fffff,0xfffffffb,0xff883fff,
    0xfff930bf,0x7ffffec1,0xffffffff,0x3fffff67,0xffffffff,0x3fffff67,
    0xffffffff,0x3fffff67,0xffffffff,0x3bf6aa67,0xaefdaaaa,0x17fe62aa,
    0xfb803ff7,0x01ffe24f,0x320ffe80,0x3fa600ff,0x7ffd40ff,0xfc8aceff,
    0x7fffd41f,0xffc8acef,0x7ffffd41,0x1ffc8ace,0x77ffffd4,0x41ffc8ac,
    0xcefffffa,0xa81ffc8a,0xffffffff,0x667fec2f,0xcccccccc,0x99ffb0cc,
    0x99999999,0x33ff6199,0xcccccccc,0x9ffb0ccc,0x99999999,0x3ff21999,
    0xffffffff,0x227fffff,0x5ff50fff,0xd85ffb00,0xf98002ff,0x007fe47f,
    0xff31ffec,0x3ff2037f,0x06fffe61,0xff30ffe4,0x3ff2037f,0x06fffe61,
    0xff30ffe4,0x3ff2037f,0xffffb101,0x1ff901bf,0x03ff2000,0x007fe400,
    0x000ffc80,0xddffdd70,0xdddffddd,0x9bffc8dd,0xff9803ff,0x00fffa87,
    0x3ffe85d5,0xf8007fe4,0x00fff26f,0x7fe43ffd,0x90fff403,0xffe807ff,
    0xd00fff21,0x1ffe43ff,0x3007ffa0,0xffb803df,0xffb80802,0xffb80802,
    0xffb80802,0x3e600802,0x007fc40f,0x13ffbfe2,0xe827fec0,0xdffb04ff,
    0xf90bff95,0xffb0181f,0x8803ff61,0x3ff61fff,0x87ffe200,0x3e200ffd,
    0x03ff61ff,0x361fff88,0x3fe200ff,0x67fe401f,0x017fe601,0x7fccdff3,
    0x337fcc05,0xff980bff,0x3017fe66,0x0df50dff,0x3f200ff5,0xff7004ff,
    0x3ffe201f,0x7ffe440e,0xffc80fff,0xf881ff70,0x80fff66f,0x3f61fffe,
    0x3fffa03f,0xe80fff61,0x3ff61fff,0x87fffa03,0x3fa03ffd,0xfd9801ff,
    0x017fec06,0xffd87ffd,0xb0fffa02,0x7ff405ff,0xd017fec3,0x09f907ff,
    0x3e600bf7,0x7ec01eff,0x7fcc02ff,0xdb99bcff,0xf905ffff,0x47bfea1f,
    0x3ee3ffd9,0x3f6a22ef,0x3fee2fff,0x3ff6a22e,0x3bfee2ff,0x3fff6a22,
    0x8bbfee2f,0x2ffffda8,0xa88bbfee,0x002ffffd,0x7cc01ff9,0xfb510cff,
    0x9fff30df,0x1bff6a21,0x4433ffe6,0xf986ffda,0xfb510cff,0x20ffa0df,
    0xffb004fd,0x53379fff,0x007ffff9,0x3fffffa2,0xffffffff,0x707fe41e,
    0xdfffffff,0xfdffffd0,0x87ff5bff,0xffeffffe,0x743ffadf,0xfffeffff,
    0x7f43ffad,0xdfffefff,0x7ff43ffa,0xadfffeff,0xfdd303ff,0xff5009ff,
    0xdfffffff,0x3fffea01,0x00efffff,0xfffffff5,0x3ea01dff,0xffffffff,
    0xf03ff00e,0x3dfb005f,0xfffffffb,0x0005ffff,0xffffffb5,0xbfff715d,
    0xb703ff21,0x2209ffff,0x2efffffc,0xff911bfa,0x7f45dfff,0x7fffe446,
    0x11bfa2ef,0x5dfffff9,0x3f2237f4,0x3a2effff,0xffff506f,0x7fe44009,
    0x400bffff,0xffffffc8,0x7fe4400b,0x400bffff,0xffffffc8,0x81ff300b,
    0x7dc00ff8,0x3fff660e,0x000befff,0x809aa980,0x44006fd8,0x06a6001a,
    0x001a9800,0x80006a60,0x260001a9,0x0040001a,0x004cc400,0x00099880,
    0x00013310,0x22002662,0x002a882a,0x4d4c4039,0x00000000,0x000000a6,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xc8000000,0x910002cc,0x99000199,0x4c000019,0x90665400,
    0x99930099,0x06660001,0x0e65d440,0x40275c00,0xed8001eb,0x001eb802,
    0x64c04eb8,0xbd3002ce,0x7bb95000,0xcc880001,0x37fd401c,0x6fffd800,
    0x37ffec00,0x37df9300,0xff900fee,0xd803ffc3,0xff0004ff,0xfff8803f,
    0x26003fff,0x7fe401ff,0x02fe4001,0x2000ffe4,0x3ee01ff9,0xd805ffff,
    0x3f62003f,0x002fffff,0x4017fee0,0x5c002ffc,0x004ffbff,0x0bff7ff7,
    0x3fffffa0,0x7e401fff,0x401ffe1f,0x8000ffe8,0x7ec01fff,0x007fc88d,
    0xfe980ffa,0x3e6001ff,0x3ffa600f,0x1ff4001f,0xf939ff30,0x037cc07f,
    0x3b3bffa0,0xf0000fff,0x7ec001df,0x57fe6006,0x7cc02ffb,0x807ff55f,
    0xffd716f8,0x41995009,0x3e2004cc,0xeed8003f,0xf305d400,0x0bf9003f,
    0x0ffe7fd4,0x202ff880,0x01ffcffa,0xfb017f20,0x3a07fb8b,0x3fee002f,
    0x0027fdc4,0x2000ffdc,0xdb001ed8,0x006f6c1b,0x77641ddb,0x0206a200,
    0x98000000,0x0000005e,0x2017f6a2,0x32a00ffa,0x36003ff0,0xf865405f,
    0x1ff5001f,0x7c42ff80,0x006fa80f,0x3e207fec,0x2ed8006f,0x00000000,
    0x00000000,0x00000000,0xc8000000,0xff8804ff,0x00ffc002,0x200077d4,
    0xff8801ff,0x40ffc402,0x02fe82ff,0x7c07fec0,0x0000005f,0x8026f2a6,
    0x0cc40099,0x026f2a60,0x13795300,0x9bca9800,0x10026600,0x0dd70033,
    0x0dfeca80,0x20013f60,0x7fc401ff,0x01ff8001,0xf8804fd8,0x542ff81f,
    0xffb8006f,0x2017fd44,0x0cc40099,0x7fffff54,0x80bff03f,0xfea80ffc,
    0x803fffff,0xffffffea,0xfffea803,0xbff03fff,0x400ffc80,0x3a0007fd,
    0x00df703f,0xfd007fe0,0x07fe0007,0x7c00df70,0x20ffc42f,0xf88002fe,
    0x1fff31ff,0x6405ff80,0x3fff20ff,0x0efffede,0x3f202ffc,0x77ffe40f,
    0x00efffed,0xfdbdfff9,0x3f201dff,0xfffedeff,0x202ffc0e,0x7f400ffc,
    0x64154406,0x01ff985f,0x5c03ff00,0x3fe0006f,0x007fe601,0x7fd44fe8,
    0x8001bea0,0xfffcfffb,0x405ff801,0xdff50ffc,0x45ffd883,0x7fe405ff,
    0x107bfea0,0xff50bffb,0x5ffd883d,0x441effa8,0x2ffc5ffd,0x9803ff20,
    0x7fc404ff,0x3a0bfe62,0x3fe0003f,0x001ff301,0xfd00ffc0,0x2ffa8007,
    0x2fe89fd5,0x7ffec000,0xbff000df,0xf88ffc80,0x3ff600ff,0xf9017fe1,
    0x03ffe21f,0x3e21ffd8,0x3ff600ff,0x803ffe21,0x17fe1ffd,0x2201ff90,
    0xfb801ffe,0xc86ffeef,0x7fc0005f,0x002fe881,0xfc80ffc0,0xfffb0005,
    0x37dc1dff,0x3ff62000,0x2ffc006f,0x3ea3ff20,0x2ffcc04f,0xffc80bff,
    0x9809ff50,0x13fea5ff,0x7d4bff30,0x2ffcc04f,0xffc80bff,0x04ffe880,
    0x33bfb2a0,0x0007fcc0,0x3f207b60,0x1ed80005,0x0000ff98,0x3a13bfae,
    0x3a60002f,0x003fffff,0xff9017fe,0xd001ff91,0x202ffcff,0x1ff90ffc,
    0x7e4ffd00,0x27fe800f,0xfe800ffc,0xf9017fe7,0x4ffe881f,0xff880000,
    0x001fe602,0x32a07fd4,0x8000cefe,0x3e602fe8,0x1bee0007,0x203bffb3,
    0xffaafffb,0x3e06a22f,0x47fe405f,0xffb007fd,0xf9017fe1,0x401ff61f,
    0x0ffb0ffd,0x7ec3ff60,0x21ffb007,0x7fe405ff,0x013ffa20,0x027ec000,
    0x1000fff1,0xfffb83ff,0xd8005fff,0x1ffe204f,0x261ff800,0x43ffffff,
    0x3f20effb,0x87ff90ff,0x7fe405ff,0xf9007fe8,0x9017fe3f,0x01ffa1ff,
    0x7fe8ffe4,0x3a3ff900,0x3ff9007f,0xff9017fe,0x002ffec1,0x00efa800,
    0x000fffd1,0x2ff889fb,0xa8007fea,0xffd100ef,0x17ee000f,0xff913bfd,
    0x6c07ff41,0x81ffd6ff,0x7fe405ff,0xf9007fe8,0x9017fe1f,0x01ffa1ff,
    0x7fe87fe4,0x3a1ff900,0x1ff9007f,0xff9017fe,0x0017fe21,0x00ffc400,
    0x800ffdfb,0x82a986fb,0xff1002ff,0x3ff7ec03,0x50ffc400,0x14fe81ff,
    0x3fa20bff,0xff84ffef,0x6c7fe405,0x1ffb007f,0xffb017fe,0x6c01ff61,
    0x00ffb0ff,0x3fec3ff6,0xff0ffd80,0x50ffd80b,0x003007ff,0x7e407fd0,
    0x26007f9e,0x3ea001ff,0x80ffa007,0x007f9efc,0x37dc5fb8,0x2ffbafe4,
    0x3ffffe60,0x6c05ff81,0x01ffc8ff,0x1bfe7fe8,0x3f21ffd0,0x27fe801f,
    0xfe801ffc,0x2007ff27,0x01bfe7fe,0x3fee1ffd,0x02ffc402,0x3ee06fb8,
    0x2007f88f,0x3ea003fe,0x0df7003f,0x3fc47fdc,0x907fe200,0x2edf70bf,
    0x7fd404ff,0x80dff06f,0x4ffa8ffe,0xfd27fd40,0x87ffc40d,0x7d404ffa,
    0x013fea4f,0x7fd49ff5,0xd27fd404,0x7ffc40df,0xb80bff50,0xff9803ff,
    0x223ff500,0x0bf9007f,0x8027fe40,0xff500ff9,0x9001fe23,0x70bf90bf,
    0x01ffeadf,0xd05ffff3,0x7ffc40df,0x2203ffd0,0x3ff61ffe,0x41fffb03,
    0xfd101ffe,0x01ffe83f,0xfe83ffd1,0x3ffd101f,0xfd81ffec,0x3fff10ff,
    0x007ffe20,0x7fc05fd1,0x2cffccce,0x4003fea0,0xd1002ffd,0x677fc05f,
    0x802cffcc,0x6fb81ff8,0x3ffa5fc8,0xfffff303,0x03ffd85f,0x3e61fffb,
    0xff510bff,0xbfffa85f,0xffefda88,0x42fffe60,0x982fffa8,0xf510bfff,
    0xfff305ff,0x3ffea217,0x45fffd42,0x0ffefda8,0x442fbff2,0xd804ffea,
    0x7fffc05f,0x104fffff,0xfb1005ff,0x2fe4001d,0x3fffffe0,0xfc804fff,
    0xe81ff305,0x33ffea3f,0xcfffda89,0x3ea2fffe,0xfda88bff,0x3fea0ffe,
    0x3fffffff,0xffffffb0,0xa81ff5bf,0xffffffff,0x3ffea03f,0x03ffffff,
    0x3fffffea,0xffb03fff,0xf5bfffff,0xffffd81f,0x806ffffe,0x4cc00ffa,
    0x09ffa999,0xd1009fb0,0x355557ff,0x3003fea0,0x3ff33333,0x01ff8801,
    0x3f66bbf6,0xfffffb86,0xfb12ffff,0xffffd8df,0x0ffadfff,0x77fffec4,
    0x7ffdc02c,0x01ff34ef,0x9dffffb1,0xfffb1005,0xb10059df,0x059dffff,
    0x4effffb8,0xff701ff3,0x007fffff,0x20003ff1,0x1bee07f8,0x7ffffdc0,
    0xff884fff,0x0ff10001,0xd1017f20,0x203fffff,0xdfffffd9,0xfb81fd81,
    0xff34efff,0x00054401,0x10000544,0x54400015,0x02a20000,0x0002a200,
    0x026b2a62,0x0001f640,0x0f6c40aa,0xaaaaaa80,0x3ec81aaa,0x40154000,
    0xb7000ee8,0x2a60017b,0x54401800,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x81555000,
    0x8332a008,0xcc8003cc,0x0033102c,0x5d440133,0x5dcc000a,0x2a600cc1,
    0x2099801b,0x26001bb9,0x99999999,0x66540019,0x80002cde,0x3100aba8,
    0x13310013,0x00d5d4c0,0x37b32a00,0x2662002c,0xfd305550,0x409f913f,
    0x1bfe0ffd,0x01dff500,0xf8803ff2,0xfffd884f,0x76400eff,0xf99fffff,
    0xfffea80f,0x9ff00dff,0xbfffffd1,0x7fffc401,0x0fffffff,0x7fffdc40,
    0x00cfffff,0x7ffffdc0,0x2ffcc0cf,0x4c07fe40,0x2efffffe,0x3ffee200,
    0x0cffffff,0xfeb7fd40,0xffffb106,0x07fec05d,0xfe800dff,0x03ff201f,
    0xfe84ff88,0x1ffffeff,0xd9bfff70,0xb81ff9ff,0xfffeffff,0xfedff80e,
    0x05ffecdf,0x3fffffea,0x200fffff,0x9acfffe9,0x02fffeca,0xffffff90,
    0xffe81dff,0x4c2ffc00,0xfffeffff,0xffe9803f,0xfeca9acf,0x3fea02ff,
    0x3660dfd6,0xca804fff,0x800f320c,0x7e402ff9,0x13fe200f,0xffa87ff7,
    0x06ffd40f,0x983fffee,0xf710beff,0xffff81ff,0x704ffc85,0x999999ff,
    0x7fdc0999,0x7fdc400c,0x0effe404,0xfb8bffb5,0x0bfea03f,0x2239fff1,
    0x2e01fffb,0x5c400cff,0x9dd304ff,0xffd313b6,0x0001dfb9,0x02764000,
    0xf1007fe4,0x827fcc9f,0x3fe23ffa,0x83ffee07,0xff902ffe,0x205fff85,
    0x7fd81ffd,0x0bfe6000,0x207fd300,0xfd00eff8,0x037fc41f,0xbff70ffb,
    0x4c17fee0,0x74c002ff,0x7dc0003f,0x009ff10c,0x20000000,0x3e200ffc,
    0x803ffa4f,0x0ffe66fe,0x3e21fff0,0x13fe606f,0x7cc03fff,0x005fe83f,
    0x2a25ff10,0xf1009aaa,0x03ff903f,0x3f617fdc,0x84ff880f,0xff101ffc,
    0x305ff10f,0xff103797,0x31080003,0x26607fea,0x200cc400,0x2009bca9,
    0x3e200ffc,0x80bff14f,0x1ff72ffb,0x710ffc80,0x46ff8059,0x5fe806ff,
    0x80027fc4,0x3ffee4fc,0xfa83ffff,0x4027fc46,0x83ffa819,0xffd81ffb,
    0x321ffa00,0x7fff444f,0x37d41fff,0x40988654,0xfdffffd8,0x405ff86f,
    0xfea80ffc,0x903fffff,0x7fc401ff,0x9807ff34,0x01ff94ff,0x4000ffb8,
    0x2ffc4ff9,0x3e637ec0,0xff88002f,0x2aab7ee0,0x1ff84ffc,0x0000bfe6,
    0x0dfd0dff,0x7c40ffee,0x107fc45f,0xf7317dfd,0x6c1ff81d,0x7d4dfd1f,
    0xffffffff,0x202ffc3f,0x7fe40ffc,0xefffedef,0x100ffe40,0x0bfee9ff,
    0x3fabff10,0x00ffa807,0x3e0ffec0,0x0ffd804f,0x37263fee,0x1bee02ce,
    0x0df307f7,0x07fd49f9,0x90015751,0x1ffcc3ff,0xc80eff88,0x237dc3ff,
    0x89f704fd,0xe8fec4fc,0x17fff36f,0xf1fffea2,0x0ffc80bf,0xb107bfea,
    0x1ffc8bff,0x7e53fe20,0xb7fc402f,0xffa807fd,0xffec9800,0xd804ff83,
    0x7effe47f,0x81efffff,0x41fdc4fc,0x26fa86f8,0xfffd17fb,0xff9809ff,
    0xa803ff24,0xfebacfff,0x7c4fc84f,0x3ea0600f,0x6fe97f46,0x3e203ffb,
    0x017fe1ff,0x3fe21ff9,0x87ff600f,0x3e601ffc,0x003ff94f,0x03ff2dff,
    0xf801ff70,0xff01ffff,0xe8dfd00b,0xfdceffff,0x0fec2fff,0x7fb30fee,
    0x7fe4ff10,0xffffffe8,0x9ffa00ef,0xfe8805fe,0xb02fffff,0x0037c43f,
    0x4bfa3fc4,0x05ffaefe,0xbff17fdc,0xf50ffc80,0x5ff9809f,0xfa80bff2,
    0x001ff94f,0x07feedff,0x4401ff90,0x80dfffff,0x4ff806ff,0x6406fffc,
    0x21fa0fff,0xfffeeefb,0x361fd00d,0x260cffff,0x3ee04ffe,0x802ff99f,
    0xfffffffb,0x7d47e80d,0x41fd0005,0xf7dfd3ff,0x49ff003f,0x7fe405ff,
    0xd001ff90,0x027fe4ff,0x3ff29ff9,0xf36ff800,0x0fff80bf,0x3ee62620,
    0x0fffc3ff,0xcb85ff70,0xd27fec04,0xfeefb81f,0xb3fc00ef,0x7f407fff,
    0x79ff101f,0xffe980ff,0x3dff731c,0x17ea0fe8,0x3fe3fc00,0x1ff9dfd3,
    0x7fcdfd00,0xd87fe405,0x1ffb007f,0x2a07fff2,0x3ff74fff,0x7ecdff00,
    0x1fff901f,0x0fff8800,0x74417ffe,0xf10000ff,0x2e17ecdf,0x40bf713f,
    0x1bff66f9,0x6c09ff50,0x7404feef,0xffd101ff,0xdf117ec1,0x26f98180,
    0xbdfd4ff8,0x9ff600ff,0x7fe405ff,0x3200ffd0,0xffff91ff,0xffff9337,
    0x1007fee9,0x7ffc4bff,0xffff910b,0x5ff50001,0x30f7fffc,0x80003ffd,
    0x717f27ff,0x704fc87f,0x01ffe4bf,0xff502ffc,0x7fc403ff,0x917fd404,
    0x301ff8bf,0x225fb8df,0xfddfd4ff,0x43ff600f,0x7fe405ff,0x3200ffd0,
    0xfbff90ff,0xfdbfffff,0x100bfea9,0xfff98bff,0xffdeffff,0x5ff88000,
    0x3fffbbfe,0x0002ffff,0xff30ffd8,0x7fc43fb8,0x3ee2fd81,0x07fe802f,
    0x2a037ffc,0x5ff801ff,0x3df71fe6,0x7ec2fe88,0x7f57fe62,0xe800ffde,
    0xb017fe7f,0x01ff61ff,0xffc87fec,0xd4ffffc8,0x00ffe69f,0xfb107ff3,
    0xff91bfff,0xff800c41,0x7fe5bfe7,0x00002cff,0x21fe8ffd,0x46fa83fb,
    0x1ffd47f8,0x32037f40,0x7fe403ff,0x747fe800,0x5f7fec1f,0x3fc45ffd,
    0x77f5bfe6,0xff801ffc,0xfd01bfe5,0x007ff21f,0x0ffc9ffa,0xbff10066,
    0x401ffc80,0xc87fe419,0x7fc402ff,0x0331bfe5,0xf007ff70,0x70efa8df,
    0xd93fa07f,0x02ffcc3f,0x3ee027fc,0x17fdc00f,0x3ea37fc0,0x7fffdc0e,
    0x543fd83d,0xf5dfd6ff,0x4ffb809f,0xff881bfa,0x809ff50f,0x3ff24ffa,
    0x0ffc8000,0x4001ffa0,0x9ff30ffc,0x3e4ffa80,0xff50006f,0x84ffb80d,
    0x201315fc,0x20df9198,0x3ea00ffd,0x02ff402f,0x22027fd4,0x05fc84ff,
    0x1bf20131,0xb7f5ffee,0xff101ffe,0x81ffec1f,0x3fa0fffd,0x3ffd101f,
    0x40007fe4,0xff704ff8,0x3ff20005,0x4407ffe0,0x1bfe1fff,0x17ffc400,
    0xd00fff88,0x362001df,0xbff300ff,0x803ffa20,0xf8802ffa,0x3ffa02ff,
    0x001dfd02,0x2e03ff62,0x2adfd7ff,0xf510bfff,0xfffa85ff,0xfefda88b,
    0x2fffe60f,0x85fff510,0xb0000ffc,0x3ee21bff,0x3f20005f,0x33ffea0f,
    0x87fff511,0x2a0006ff,0xf511cfff,0x7ec407ff,0x6d441bdf,0x7f400eff,
    0x3ffa61df,0x7fd44c42,0x3ffea006,0x13ffa60b,0x1bdffd88,0x077fed44,
    0xdfd7ffb8,0x7fffffcc,0xffb03fff,0xf5bfffff,0xffffa81f,0xc83fffff,
    0xd10000ff,0xffffffff,0x7fe40001,0x7ffffdc0,0xff84ffff,0x7fe40006,
    0x2fffffff,0xfffff700,0x09ffffdb,0x3ffff620,0xf982ffff,0x4001ffff,
    0xfffffffb,0xfb800dff,0xffedffff,0x7fdc04ff,0xfd88dfd7,0x401effff,
    0x34effffb,0xffb101ff,0x32059dff,0x640000ff,0x00dfffff,0x407fe400,
    0xefffffe9,0x000dff01,0xfffffd30,0xea88003b,0x0befffff,0xfffeb800,
    0xfff102df,0x3620005f,0x02ffffff,0x7fff5440,0xb800beff,0x40dfd7ff,
    0xa88001a8,0x02a20000,0x00006620,0x00009a88,0x98803310,0x0099801a,
    0x02a62000,0x01988000,0x00662000,0x00005654,0x00009a98,0x10003310,
    0x00000333,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xba880000,0x65c40000,0x6c01bcdd,0x0554c01e,
    0x100aaa00,0x0359bb75,0x33772a00,0x000aaa03,0x02aa6000,0x00155300,
    0x2af7b32a,0x2ea20000,0x0002cced,0x4cc13771,0x00e66440,0x40055530,
    0xd301ccc8,0x019dffff,0x7fffecc0,0x901dffff,0x2ffb809f,0x807ff400,
    0xfffffffc,0xfd3001ff,0x05ffffff,0x00000bff,0x8001ff90,0x32201ffd,
    0xffffffff,0x362000ef,0xffffffff,0xffd9003e,0x5ff35fff,0x4005ffc8,
    0x2000fffd,0xffb85ffc,0x0efffeff,0xfffffb80,0x2fffffee,0x7dc06fa8,
    0x7ff4002f,0x7fffec40,0x2fffffee,0x6ffffc40,0x7c2ffffc,0x8000005f,
    0x6c000ffc,0xfff301ff,0xfffddfff,0xff5007ff,0xfffddfff,0x7dc01bff,
    0xdfffdeff,0x3bfe22ff,0x3ffe2000,0x7fec003f,0x30fffe61,0xffc80dfd,
    0x7edc40cf,0x07fc42ff,0x8005ff70,0x7ff40ffe,0xfffc881d,0x033ffa03,
    0x7fc1fff5,0xc8000005,0x7ec000ff,0xefffa81f,0xfffd980a,0x3bffee03,
    0x7ffe5441,0x0effa80e,0x717fffdc,0xfb8001ff,0x44007fdf,0x0bffa4fe,
    0xfa827fc4,0xffc802ff,0x2e02fe87,0x7f4002ff,0x01ffe20f,0x7d41bfea,
    0x8fff206f,0x000005ff,0x4000ffc8,0x7fc41ffd,0xfff5004f,0x00fffe60,
    0xf117ffe6,0x7ffd40df,0x2000bb62,0x02ffacfe,0x7cc77440,0x0ffdc05f,
    0x8013ffe2,0x2fdc3ffd,0x8005ff70,0x3fee0ffe,0x01ffb003,0x7cc07ff7,
    0x0017fe6f,0x03ff2000,0xd83ffb00,0x7e4004ff,0x03ffd83f,0xa8bffea0,
    0x7ff402ff,0xff980002,0x8000bff2,0x7cc02ffb,0x037fdc3f,0xf317fea0,
    0x017fdc0f,0xfc83ffa0,0x5ff5001f,0xa803ffb0,0x9732ffc1,0xbb980015,
    0x0003ff21,0x7fcc3ffb,0x7fc4000f,0x0037fd46,0xff737fdc,0x22ffb801,
    0x7ec00099,0x001ffb0f,0x1ffc84cc,0x3a2ffc40,0x0a8002ff,0x3ee03ff0,
    0x7ff4002f,0x0017fea0,0x001ffe40,0x7fec6ffc,0xec805fff,0xfc9effff,
    0x7fec000f,0x000fff21,0x17fec0d4,0xb1fff800,0x5ff500ff,0xf1002ffc,
    0x027fd4bf,0x3ff2bff0,0x137fc400,0x00001fff,0xff703fd8,0x0ffe8005,
    0x0033ffe2,0x009ff700,0xbffddff0,0x201dfffb,0xffdefffb,0x4000ffef,
    0x3ffa1ffd,0x7fc00002,0x3ff60007,0xf300dff4,0x002ffc5f,0x7ff85ff7,
    0x7dd7fe00,0x3ffcc02f,0x0000fff3,0x3ee0df50,0x7ff4002f,0x6ffffe40,
    0xff98001b,0xffff8006,0xa85ffd85,0x7fdc0eff,0x7ec000ff,0x01fff11f,
    0x3ffc4000,0x2bff9000,0xffa807fe,0xe8017fe2,0x02ffc87f,0x3fe6bff0,
    0x53ffe405,0x00000dff,0xff701ff1,0x0ffe8005,0xffffffa8,0x2a200bdf,
    0xaaaafffb,0x02fffc02,0x7fc43ffb,0x03ffee07,0x223ffb00,0x400007ff,
    0x20005ff9,0x0ffb6ffa,0x7fc5ff70,0x09ff3005,0x3e00bff3,0x40bffa5f,
    0x3ea7fff9,0xd000004f,0x05ff705f,0x300ffe80,0xfffffffb,0xfff501bf,
    0x0dffffff,0x2601fff8,0x0ffe64ff,0x000fff88,0xff98ffec,0xaaaaa805,
    0xff50aaaa,0x7fc40009,0xc803ff97,0x017fe2ff,0xfe80ffe4,0x25ff800f,
    0x731cfffa,0x7ccffdff,0x9000005f,0x05ff709f,0x800ffe80,0xfffffec9,
    0x7f774c1e,0x405eeeef,0x6ff806ff,0xf9003fee,0xffd8001f,0x880bff31,
    0xffffffff,0x009ff52f,0xf9b7fcc0,0x3ffe205f,0x7c017fe2,0x13fee06f,
    0xff717fe0,0xb3ffffff,0x03ffc4df,0x86f98000,0x74002ffb,0x544000ff,
    0x301ffffd,0xff8009ff,0x327fe805,0x0ffb807f,0x88ffec00,0x7fc406ff,
    0x2fffffff,0x4000bff1,0x3ff65ffa,0x2fffd883,0x3ea017fe,0x999999cf,
    0xff807ff9,0xffffe985,0xfe8dfd1d,0xf000000f,0x03ffb83f,0x0003ffc0,
    0x4413ffa6,0x7fc005ff,0xd0ffd804,0x1ff500ff,0x21ffd800,0x999807ff,
    0x22ffc999,0x2e0007ff,0x3ffe25ff,0xfffebabd,0x2017fe2f,0xfffffffd,
    0x02ffffff,0x35102ffc,0xffc8bff0,0x0acc8001,0xffa87fb0,0x13ffc003,
    0x7c400153,0x07ff306f,0xd804ff80,0x201ffa7f,0x6c000ffa,0x0bffa1ff,
    0xb17fdc00,0x320001ff,0x7ff443ff,0xffbdffff,0xf1017fe1,0xffffffff,
    0x80dfffff,0xf88005ff,0x01ffdc3f,0x403ffe20,0x27fd45fb,0x54dff100,
    0x7ec003ff,0x01ffb80f,0x7402ffc0,0x003ff26f,0x16541ff7,0x7dc1ffb0,
    0xff70005f,0x0027fdc5,0x4407ffc4,0xf72deedb,0x202ffc3f,0x9999bffb,
    0xfff99999,0xa997fe01,0x20ffdc01,0x5c006ff9,0x1fe205ff,0x5400dff1,
    0x1bfe25ff,0x3a0ffb00,0x6ff8006f,0x3ea5ff80,0x07fe401f,0x7ff40bff,
    0x00fffe20,0xf98bfee0,0x7ec000ff,0xff90005f,0x3a02ffc1,0xff9000ff,
    0xf8affc09,0x837f405f,0xf3004ffd,0x1fe805ff,0xe801fff4,0x17fec3ff,
    0x985ff880,0xff8001ff,0x8ffee01f,0x3e204ff9,0x81bfa0ff,0xfffb87ff,
    0x3ff62003,0x002ffe42,0x5cc3fff5,0x23fec00a,0x3fe605ff,0x1ffe2005,
    0x3ffa5ff8,0x205ff901,0x200cfff8,0xc805ffe9,0x17ffdc4f,0x81dff910,
    0x4c04fffb,0x7fcc2ffe,0x3e00098b,0xdff106ff,0x3203ffd0,0x3ff60fff,
    0xb05ffc83,0xb8017fff,0x7442ffff,0x7e401eff,0x27fcc3ff,0xff8bff50,
    0x00bff205,0x3e05ffb0,0x2fbfea5f,0x80dffb30,0x9beffffa,0x06fffda9,
    0xffd0df50,0xf97579df,0x3ee05fff,0xcaabdfff,0x7cc4fffd,0xefffffff,
    0x3e6db9ac,0x3ea1dfff,0xffe882ff,0xffff910a,0x577ffcc1,0x101fffda,
    0x59dffffb,0xfffffd95,0x3fffa205,0xfeca99bd,0x5fff04ff,0x0fffd441,
    0x7ff817fe,0x06ffa800,0xfffc8bff,0x00efffff,0xffffff98,0x00dfffff,
    0xd881ff10,0xffffffff,0x7d402fff,0xffffffff,0xfff983ff,0xffffffff,
    0x9ff1ffff,0xfffffffb,0x7fffcc07,0x0ffbefff,0x7fffffe4,0xffb802ff,
    0xffffffff,0x6c400cff,0xffffffff,0x3ea02fff,0xfffeefff,0x505ff81f,
    0x3e0009ff,0x85ff81ff,0x3fffffea,0x7ff5c400,0x001effff,0xfb502fd8,
    0x19ffffff,0x3ffb2600,0x202cefff,0xb5109bfe,0x23bfffff,0xffff94ff,
    0xfd93003d,0x1ff51bff,0xbfffff50,0x7f5c4005,0x0cdfffff,0x7ffecc00,
    0x800befff,0xffffffea,0x20bff01e,0x90001ffd,0x0bff09ff,0x0000d4c4,
    0x000d54c4,0x31006a60,0x00003355,0x06001331,0x8004d4c0,0x33000099,
    0x006a2000,0x02aa6200,0x9a998000,0x79530000,0x00000003,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x24cb8000,0x15532cc8,0x66440000,0x0055500c,0x5510aaa8,
    0x55555555,0x26035555,0x002bdecb,0x2a601644,0x400009ab,0x255502a9,
    0x99999998,0x21999999,0x000002aa,0x00555062,0x55544000,0xaaaaaaaa,
    0x0aaaaaaa,0x279d9510,0x3ff42aa8,0x3ff2bff1,0x3f600002,0x7ff705ff,
    0xa9bfee00,0xffffffff,0x45ffffff,0xffffffc8,0xfe8801ef,0xffffd504,
    0x220007ff,0x6ff886ff,0xfffffff7,0x4fffffff,0x5c0006fe,0x8ff0adfe,
    0x000006ff,0x3ffffff2,0xffffffff,0xf881ffff,0xff34ffff,0xf13ff41f,
    0x00bff2bf,0x7dffdc00,0x01ffd04f,0x7d43fff0,0xffffffff,0x745fffff,
    0xffdcefff,0x7fec01ff,0xeffffc84,0x000effff,0x7c437fec,0xfffff76f,
    0xffffffff,0x00037f4f,0xfffffff5,0x006ff89f,0xffff1000,0xffffffff,
    0x3fffffff,0x5ddfffd0,0xcb83ffe6,0x7e4b3224,0xf980002f,0x505ff75f,
    0xffb809ff,0x4ce7fd44,0x99999999,0x07bff209,0x201fff91,0x7d44fffc,
    0x3fae22ef,0x3fea005f,0x56ff886f,0x99999999,0x749ffd99,0x3f60006f,
    0x83bffb52,0x000006ff,0xff339ff9,0x3333333f,0xff103333,0x1fff301d,
    0x05ff9000,0x41bdb000,0xffe80ded,0x81fff101,0x20003ffa,0x3fa00fff,
    0x7fff4c3f,0x007ff44f,0xf1003fff,0xff10dfff,0x5ff9800d,0x500037f4,
    0x3fe01105,0xf8800006,0x01ffe0ff,0x209ff300,0x8000fff9,0xeeeeeffc,
    0x001bdeee,0x05ff9800,0xff507ff9,0x3fe60007,0x927fd404,0x49ffbfff,
    0x7e404ff8,0xedfe803f,0x06ff886f,0x3a077f40,0x0000006f,0x000037fc,
    0x3fe27fe4,0x7fcc0007,0x01fff303,0x3ff20266,0xffffffff,0x4c00efff,
    0x5ffb0009,0xf506ff88,0x3aa0007f,0xaffc402f,0xff8bfffc,0x300bfea4,
    0xffb80bff,0xff886fe8,0x0bfee006,0x99881bfa,0xca882660,0x44dff01b,
    0x88001bca,0x3ffc0fff,0xffa98800,0x3fe6099c,0x3217fe07,0xeeeeeeff,
    0x0effffee,0x44017fe0,0x17fe46ff,0x0003ffa8,0x93ff9800,0x13fe23bf,
    0x9ff50026,0xfe97fcc0,0x006ff886,0x3fa0bff3,0x43fff506,0xffffb3ff,
    0x96ff83df,0x03ffffff,0x7c27fdc0,0xffb0007f,0x449fffff,0x17fe07ff,
    0x2a00bff2,0x3fe05fff,0x4ffee005,0x3ea06ff9,0x8000003f,0x88351ffd,
    0xfd0004ff,0xd2ff405f,0x0dff10df,0x7403ffa0,0x1fffa86f,0x7ffee7fc,
    0x3e1ffffe,0xfefffeef,0xff001fff,0x00fff01f,0x3bffbb20,0x1bfe23ee,
    0xffc85ff8,0x1fff3002,0x88017fe0,0x03ffb6ff,0x0001ffd4,0x017ff200,
    0x10009ff1,0x3f201fff,0x221bfa0f,0xffb806ff,0xf51bfa04,0xffff01df,
    0x2ffec45b,0x4c3bffff,0xfb805ffd,0x00fff05f,0x203ff980,0x17fe06ff,
    0xe800bff2,0x0bff01ff,0xffcffa80,0x777fd405,0xeeeeeeee,0xeffc8006,
    0x027fc400,0xa817ff40,0x437f41ff,0xfe806ff8,0xa9bfa00f,0xfff00eff,
    0xf87ff40b,0x1ffa05ff,0x7c07ffa0,0xeeeeeeff,0xf982eeee,0x817fe03f,
    0x2ffc85ff,0x40fff200,0x666405ff,0xdfffffcc,0x3ea1cccc,0xffffffff,
    0x64007fff,0xf8800eff,0x7fec004f,0xd09ff105,0x0dff10df,0x7405ffa8,
    0x01dff56f,0xfb00fffc,0x807ffe1f,0x3ea00ffc,0x3fffe05f,0xffffffff,
    0x03ff982f,0x5ff817fa,0x2002ffc8,0xbff02ffc,0xffffff80,0xffffffff,
    0x3bbfea2f,0xeeeeeeee,0x3bfee006,0x09ff1000,0x8077fec0,0x0dfd06fd,
    0xfd80dff1,0x4f7f402f,0x7fc00eff,0xf8ffe407,0x0ffdc07f,0x7c03ffd0,
    0xeeeeeeff,0xf982eeee,0x813fa03f,0x2ffc85ff,0x407ffa00,0x777405ff,
    0xeefffeee,0x3ea1eeee,0x4400003f,0x22000eff,0xfe8804ff,0x3ff700ef,
    0x3e21bfa0,0x1bfe206f,0x3fffffa0,0x037fc01f,0x37fc7fee,0x5407fee0,
    0x99999eff,0x0007ff99,0xfb01ffcc,0x642ffc09,0xff9002ff,0x002ffc0d,
    0xf5007fd8,0xb800007f,0x7c4002ff,0x7ff4404f,0x07ff100d,0x7fc437f4,
    0x00ffee06,0x3ffffffa,0x2037fc06,0x0dff1ffb,0xfd01ffb8,0xffffffff,
    0x8000ffff,0x3f603ff9,0x3217fe03,0x99999bff,0x2fffeba9,0x40017fe0,
    0xff5007fd,0xfc800007,0x4ff88007,0x017ffe60,0xdddddff9,0xbddfffdd,
    0xfe81bfe2,0xeffe800f,0x3e03ffd8,0x8ffdc06f,0x7fdc06ff,0xfffffa81,
    0xffffffff,0x7fcc0007,0xf80ff203,0xffffc85f,0xffffffff,0x2ffc03ff,
    0x3fffffe0,0xffffffff,0x00ffea2f,0x00ffb000,0x2609ff10,0xfc804fff,
    0xffffffff,0xf16fffff,0x13fe60df,0xf8877f40,0x0dff01ff,0xdff1ffb8,
    0xe81ffb80,0xccccccff,0x007ffccc,0x901ffcc0,0x42ffc05f,0xfffffffc,
    0x00dfffff,0x7fc05ff8,0xffffffff,0x2a2fffff,0x400003ff,0xf88002aa,
    0x2fff984f,0x99999500,0x9fff9999,0x41bfe279,0xfd002ffb,0xf06ffa8d,
    0x1ffb80df,0xffb80dff,0x8037fcc1,0x4c0007ff,0x02a603ff,0xffc85ff8,
    0x9aaaaaac,0x02ffc000,0x5007fd80,0x000007ff,0x27fc4000,0x000bffe2,
    0x221bfa00,0x3ffb06ff,0x361bfa00,0x06ff83ff,0x6ff8ffdc,0x360ffdc0,
    0xfff002ff,0x3ff98000,0x42ffc000,0x00002ffc,0xd8002ffc,0x7ff5007f,
    0x19980000,0x44ff8800,0x00003ffd,0xff10dfd0,0x801ffe0d,0xfff886fe,
    0x2e037fc1,0x80dff1ff,0x3fe61ffb,0x01ffe006,0x407ff300,0x17fe0199,
    0x0000bff2,0x2000bff0,0xff5007fd,0xff800007,0x7fc4000f,0x333ffea4,
    0xcccccccc,0x437f4003,0xff886ff8,0x41bfa006,0x37fc6ffb,0x7fc7fee0,
    0xb0ffdc06,0x7fc005ff,0xcccccccf,0x7cc2cccc,0x0fff103f,0x7fe42ffc,
    0x7fc00002,0x0ffb0005,0x000ffea0,0x001fff00,0x3fa4ff88,0xffffffff,
    0x4005ffff,0x6ff886fe,0x2005ff98,0x3ffa06fe,0xf701bfe3,0x701bfe3f,
    0x1bfe63ff,0xffffff00,0xffffffff,0x103ff989,0x2ffc0fff,0x00017fe4,
    0x40017fe0,0xff5007fd,0xff800007,0x7fc4000f,0x3fffffe4,0xffffffff,
    0x437f4005,0xffa86ff8,0x81bfa003,0xdff1fff9,0xff1ffb80,0xb1ffb80d,
    0xff8007ff,0xffffffff,0x7cc4ffff,0x0fff103f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0x2a000aa9,0xaa980aaa,0x9aaaaaaa,0x00aa9801,0xaaaaa980,0x98009aaa,
    0x88002aaa,0x35531aaa,0x262aa800,0xaaaaaaaa,0xaa98019a,0xaaaaaaaa,
    0x2aaa6009,0xaaaaaaaa,0x2a01aaaa,0x2aaaaa01,0xaaaaaaaa,0x0aaa62aa,
    0x30d55400,0xa8800555,0x00ffec2a,0x903fffb8,0xffffffff,0x6c05dfff,
    0xfd8001ff,0xffffffff,0xff901dff,0xfc8001ff,0x1fff95ff,0xf93fec00,
    0xffffffff,0x7e405dff,0xffffffff,0xfb82dfff,0xffffffff,0x85ffffff,
    0x3fe01fe8,0xffffffff,0x267fffff,0x54001fff,0x3fe60fff,0x3ffa002f,
    0x400ffec2,0x3202fffb,0xffffffff,0x82ffffff,0xd8001ffd,0xffffffff,
    0xc81fffff,0x4002ffff,0xff95fffe,0x3fec00bf,0xfffffff9,0x5fffffff,
    0xffffff90,0xffffffff,0xfffffb89,0xffffffff,0x1ffa85ff,0x3fffffe0,
    0xffffffff,0x037fe47f,0x705fff10,0xf9001fff,0x03ffb09f,0x402fffb8,
    0x9999bffc,0xffffcba9,0x000ffec0,0x4ccd7fec,0xfffea999,0x2ffffe41,
    0xbffff300,0x00bffff2,0x7ff93fec,0x95333333,0xfc81ffff,0x999999bf,
    0x22fffeaa,0x9999bffb,0x99999999,0x201ffa80,0x99999999,0x5ffe9999,
    0xb004ffe8,0x7fec09ff,0x837fd405,0x3ee01ffd,0xffc802ff,0x5ffd8802,
    0x4000ffec,0xfc801ffd,0x7effe44f,0xfdf9000f,0x3ffff2bf,0x27fd800f,
    0xf9802ffc,0x17fe45ff,0x2e7ffc80,0x500003ff,0x200003ff,0xf980effc,
    0x7fd401ff,0x1fffc406,0xb01fff88,0x3fee03ff,0x5ff9002f,0xb1fff400,
    0xfb0003ff,0xdff1003f,0x2ffbffc8,0xbff7ff00,0x17ffbff2,0xffc9ff60,
    0x7ffd1002,0xf0017fe4,0x0ffee1ff,0xff731000,0x5c000337,0x3f200fff,
    0x3ffe206f,0x0fffa801,0x3602ffe8,0xfffb81ff,0x0bff2002,0xb0fff980,
    0xfb0003ff,0x1ffa003f,0x0bff3ff9,0xbff3ff30,0x3ffe7ff2,0xf93fec02,
    0x7fc4005f,0x005ff90f,0xffb97fec,0x7fdc0003,0x0007ffff,0x8805fff5,
    0xffb03ffe,0x37fe4009,0xfb017ff2,0x1fffb83f,0x017fe400,0x7ec7ff60,
    0xffd8001f,0xc8bff001,0x00ffc8ff,0xaffc6fe4,0xfffa9ffc,0xfc9ff600,
    0x7fec002f,0x4005ff91,0x7ff73ffc,0xfeea8000,0x98006eef,0xf3003fff,
    0x6ffa83ff,0x53ffe800,0xfd801dff,0x07ffee1f,0x00bff200,0x3f65ff70,
    0xffd8001f,0x43ffa801,0x2ff98ffc,0x7fc57fc0,0x3f63ff95,0xc9ff605f,
    0x7dc002ff,0x005ff92f,0xffb8ffec,0xff500003,0x3fa20003,0x7fe4005f,
    0x000fff46,0x7fcfffcc,0x1ffd801f,0x0003fff7,0x5000bff2,0x07ff69ff,
    0x407ff600,0xc85ffc98,0x40bfd0ff,0x2bff17fa,0xfff11ffc,0xfc9ff605,
    0x7fcc002f,0x2005ff94,0xff70fff9,0x3ea00007,0xffb0001f,0xfe88001d,
    0x007ff92f,0x7ffffdc0,0x73ffb003,0x8009ffff,0x99bffc99,0xff300999,
    0x0007ff6b,0x3ffffff6,0x04ffffff,0x3ff21ff9,0x3e2bf900,0x543ff95f,
    0x7fd80fff,0x3000bff2,0x0bff2bff,0xb93ffee0,0xffffffff,0x06ffffff,
    0x90003ff5,0x20001fff,0x5ff9fffa,0xfffd8000,0x37ff6005,0x02fffeff,
    0x3fffffe0,0x104fffff,0x07ff6dff,0x3ffff600,0xffffffff,0x261ff904,
    0x25ff02ff,0x3ff95ff8,0xfd85ffd8,0x000bff27,0x3ff2dff1,0xeeeeeeee,
    0x7dc6ffff,0xffffffff,0x506fffff,0xfa8003ff,0x640002ff,0x000fffff,
    0x03fffa80,0x3bffff60,0x000fffb8,0xdddfffdd,0x3e607ddd,0x003ffb6f,
    0x999bffb0,0xdfffdd99,0x3a0ffc83,0x227fa85f,0x83ff95ff,0x7ec2fff8,
    0x000bff27,0x3ff2dff3,0xffffffff,0x7dc0cfff,0xeeeeeeef,0x505eeeee,
    0x7c4003ff,0x880003ff,0x0003fffe,0x1fffff88,0x1dfffb00,0x20037fec,
    0x54002ffc,0x03ffb6ff,0x003ffb00,0x7e43fff9,0xb03ff20f,0xcaffc49f,
    0xfffa81ff,0xffc9ff60,0xaffd4002,0xeeeeeffc,0x701bcdee,0x200007ff,
    0xd1001ffa,0x40000bff,0x00006ffa,0x0dffdffb,0x103bff60,0x64007fff,
    0x7dc002ff,0x003ffb5f,0x2003ffb0,0x3ff24ffb,0xff0bfe60,0xfcaffc43,
    0x4bffb01f,0x0bff27fd,0x329ff700,0x5c0002ff,0x500003ff,0x3f6003ff,
    0x4c00006f,0xb80005ff,0x09ffd5ff,0x2a03ffb0,0xf9001fff,0xffc8005f,
    0x0003ffb3,0x22003ffb,0x03ff26ff,0x23fd4bfd,0x3ff95ff8,0x6cbffe20,
    0x00bff27f,0x3f27ff90,0x7dc0002f,0xf500003f,0xfff7003f,0xf9800001,
    0x7cc0005f,0x3fff30ff,0x201ffd80,0xc800fffc,0x3e2002ff,0x03ffb0ff,
    0x003ffb00,0xffc87ff4,0xfd87fe40,0xfcaffc44,0x3ffea01f,0x3ff27fd8,
    0x3ffe2002,0x0005ff91,0x0003ffb8,0xa803ff50,0x00001fff,0x0005ff98,
    0xf90bffe2,0x7fec01ff,0x02fff401,0x90017fe4,0x0ffecdff,0x00ffec00,
    0x3f27ff88,0x45ffcc0f,0xaffc41ff,0x7ec01ffc,0x3f27fddf,0x3ff2002f,
    0x000bff25,0x0007ff70,0x880bfea0,0x00003fff,0x000bff30,0xfe827fec,
    0x07ff605f,0x807fff30,0xf3002ffc,0x0ffec5ff,0x00ffec00,0x3f25ffa8,
    0xfadfe80f,0xf95ff886,0xfff8803f,0x0bff27ff,0x90fffcc0,0xb80005ff,
    0x500003ff,0x3fa205ff,0x2000004f,0x70005ff9,0x3e201dff,0x3ffb03ff,
    0x03fff700,0x5c017fe4,0x7fec5fff,0x1ffd8001,0x23fffa80,0xffc80ffc,
    0x5ff884fd,0xf5003ff9,0x7fe4ffff,0x5fffb802,0x00017fe4,0x0000ffee,
    0x215f7fcc,0x00005ffd,0x002ffcc0,0x200fffcc,0xfd80fffb,0xdffd001f,
    0x337ff201,0xfffedccc,0x7fec0eff,0xcccccccd,0xbffb0ccc,0xfd999999,
    0xffc8bfff,0x1ffff980,0xff95ff88,0x3fff6003,0x3337ff27,0xffffedcc,
    0x02ffc85f,0x66ffdc00,0xcccccccc,0x7c40cccc,0xff51ffff,0x9999999f,
    0x39999999,0x017fe600,0x007ffd10,0x3f61bff6,0xfff1001f,0x3ffff20b,
    0xffffffff,0xfffd80bf,0xffffffff,0xffffb1ff,0xffffffff,0x0ffc81bf,
    0x220dffd0,0x03ff95ff,0xc9fffe20,0xffffffff,0x904fffff,0xb80005ff,
    0xffffffff,0xffffffff,0x2fffe981,0xfffffff5,0xffffffff,0x3e6005ff,
    0x7fec005f,0x3ffe2005,0x000ffec4,0xf905fff7,0xffffffff,0xffd805bd,
    0xffffffff,0xfffb1fff,0xbdffffff,0x03ff2019,0xf881ffdc,0x003ff95f,
    0xff93ffd4,0xddffffff,0x7fe40179,0x7fdc0002,0xffffffff,0x01ffffff,
    0xffff504c,0xffffffff,0x005fffff,0xb8017fe6,0x54000fff,0x00001fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x1aa98000,0x00355500,0x0aaa8aaa,0x23551000,0x54001aa9,
    0x2aaaa62a,0xaaaaaaaa,0xaaaa8800,0xaaaaaaaa,0x261aaaaa,0xc8000009,
    0xcccccccc,0x02cccccc,0x44002f64,0x3101acb9,0x44005797,0x009abca9,
    0x02af2a20,0x4d65d440,0x7d466600,0xfff9804f,0x5cfff006,0xfb0005ff,
    0x00ffee3f,0x3ee1ffd0,0xffffffff,0x202fffff,0xfffffff9,0xffffffff,
    0x0dff33ff,0x115e54c4,0x0001447d,0x006fd807,0x7fffffe4,0xffff50ef,
    0xfb803dff,0x2fffffff,0x7ffff540,0x7fe403ff,0x883fffff,0x0dff17ff,
    0x01ffff70,0x3e25ff98,0xff88007f,0x000ffee6,0x3fee1ffd,0xffffffff,
    0x303fffff,0xffffffff,0xffffffff,0x41bfe67f,0xfffffffa,0x00a23fdb,
    0x37ec0380,0xefffe880,0xfdefffed,0xffffdeff,0xefffe880,0x02fffffd,
    0xfdbdfff3,0x3ff209ff,0x6fffedef,0xffd3ffc4,0xffefd801,0x217fdc03,
    0x5c002ffd,0x0ffee3ff,0x2e1ffd00,0x6ccc02ff,0x33303fff,0x3ffd3333,
    0x21333333,0xffd85ee8,0xfffffdef,0x70001445,0x9006fd80,0xffb107ff,
    0x75c41bff,0x0cffc86f,0x4c37fe4c,0x7f4c1fff,0x06ffc42f,0xe887ffa2,
    0x00bff25e,0x80bfd7ff,0x7fd40ffd,0x07ff4005,0xe8007ff7,0x05ff70ff,
    0x002ffe40,0x00007ff4,0xd507bfea,0x00288bff,0x0dfb00e0,0x4409ff10,
    0x3e205fff,0x007ffc4f,0xffe81fff,0xb8bff500,0x9ff301ff,0x409ff500,
    0x07fc9ff9,0xfff837fc,0x8bff3000,0x74003ffb,0x05ff70ff,0x003ffcc0,
    0x00007ff4,0xf101fff1,0x01443fff,0x6fd80700,0x401dc980,0x7e401fff,
    0xb00b2e27,0x27fc41ff,0xff713b60,0xf0004c05,0xabfe40bf,0x9ff301ff,
    0x400fff20,0x7fdc2ffc,0x87ff4003,0x6c002ffb,0x7f4002ff,0x3ee0000f,
    0xff9fd03f,0x7000144b,0x3b33332e,0x4cccccff,0x07ff8800,0x4000ffa8,
    0x3e61ffc8,0xff30002f,0xb000039f,0x8a7f40ff,0x5ff704ff,0x401bfe20,
    0x3ffb87ff,0xb87ff400,0x7f4002ff,0x7ff4001f,0x3ff20000,0xdfd5fc80,
    0x27000144,0xfffffffe,0x07ffffff,0x7ffedd4c,0xccccccff,0x202ffdcc,
    0xfffecba9,0x007fee1f,0xfffffc80,0xfb8000ad,0x22ff881f,0x0ffb06fe,
    0x5400ffe8,0x3ffb84ff,0xb87ff400,0x3e6002ff,0x7f4000ff,0x3f60000f,
    0x3f66fa87,0x38000a27,0xffddddd9,0x0ddddddf,0xffffffb3,0xffffffff,
    0x7fffffff,0xfffffd98,0x321fffff,0x5c0000ff,0xdfffffff,0x0ffe6001,
    0xffb83fea,0x5405ff80,0x7fec03ff,0x99cffb80,0x99999999,0xff70ffe9,
    0x3ffea005,0x0ffe8004,0x11bfe000,0x87fe41ff,0x00e00028,0x3ea00dfb,
    0xd2bdefff,0x999999ff,0x54599999,0xacefffff,0x3f61ffc8,0xa880000f,
    0x2ffffffd,0x3617fe00,0x217fcc6f,0xff803ff8,0x417fe206,0xfffffffb,
    0xffffffff,0x9bff70ff,0xdb999999,0x0001dfff,0x40001ffd,0x217f47ff,
    0x00510ffd,0x1bf601c0,0x06fffe60,0x98003ff4,0xf901bfff,0x00ffe43f,
    0x7f5cc000,0x1ff6007f,0x17fe13fe,0xf9003ff7,0x0bfea03f,0x7fffffdc,
    0xffffffff,0xfff70fff,0xffffffff,0x40009fff,0x20000ffe,0x09f90ffe,
    0x00144ffd,0x06fd8070,0x7c03ffc8,0x04c400ff,0xfe807ff9,0x00bfea1f,
    0x00881bd7,0xb800fff4,0x07fe60ff,0x0ffb1ff6,0x7413fe60,0x37fee07f,
    0xaaaaaaaa,0x70fffaaa,0xffffffff,0x0017bfff,0x000ffe80,0x3eebff20,
    0x144bff06,0xfd807000,0x00ffe806,0xd00bffea,0x03ff63ff,0x261fff88,
    0x3ffc05ff,0xfb803ffa,0x5ff3002f,0xffb83fdc,0xe8017fe1,0x04ff887f,
    0xd000ffee,0x0bfee1ff,0x00bbff26,0x003ffa00,0xbff704cc,0x9ff701ff,
    0x07000144,0xfd806fd8,0xffff302f,0x9bfee01d,0x3fa03ffd,0x0ffec1ff,
    0x7e45ffb8,0x83ffa04f,0x49ff0199,0x5ff105fe,0xb800bfe2,0x0ffdc1ff,
    0x8007ff70,0x5ff70ffe,0x017ffd40,0x003ffa00,0xff89bfe6,0xfff881ff,
    0x38000a20,0x5c037ec0,0x3ae62eff,0x0beffcef,0x5c3fff93,0x36a22eff,
    0x7c42ffff,0xff930bff,0xcfff981f,0x4bff9512,0xdfb07ff8,0xfe80ffe2,
    0x4001ff54,0x37f44ff8,0x000ffee0,0x3fee1ffd,0x0fffdc02,0x01ffd000,
    0xfa8dff30,0xff511cff,0x0002885f,0xfd00000e,0x9fffdfff,0x7fffffd4,
    0xffe82fff,0xadfffeff,0xfffa83ff,0x02ffffff,0xfffffff5,0x7fc41bff,
    0xf51ff507,0xcb7e401f,0x7fd8006f,0xf700bfe6,0xffe8007f,0xb005ff70,
    0x20001dff,0xf9800ffe,0x7fffdc6f,0x84ffffff,0x5ce00028,0xcccccccc,
    0x444ccccc,0x2dfffffc,0xfffffd98,0xfff9101d,0x37f45dff,0xfffffd88,
    0x7fecc00d,0xf884efff,0x93ff107f,0xd7fa80df,0xff50009f,0x2e01ff25,
    0x7f4003ff,0x005ff70f,0x000bfff1,0xd8003ffa,0x36e7be66,0x101effff,
    0xfe9c0005,0xffffffff,0x2607ffff,0x06a2000a,0x00035300,0x10003510,
    0x20000353,0x404febfe,0x02ffaff8,0x3febff00,0x03ffb804,0xfb87ff40,
    0xfff5002f,0x1ffd0005,0x3f527c00,0x28801a88,0x7ff4e000,0xffffffff,
    0x00007fff,0x00000000,0x00000000,0x2ffefc80,0x07fdfe80,0x3ebff200,
    0x3ffb801f,0xb87ff400,0x3f6002ff,0x7f4000ef,0x05f7000f,0xaac88000,
    0xaaaaaaaa,0x0003aaaa,0x00000000,0x00000000,0xa8000000,0xf7007fff,
    0x44000bff,0x7006feff,0xfe8007ff,0x005ff70f,0x0027ffc4,0x22003ffa,
    0x0000003f,0x00000000,0x00000000,0x00000000,0xff100000,0x3fe600bf,
    0x7ec0003f,0xff7003ff,0x0ffe8007,0xb8005ff7,0x3a001fff,0x001000ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x003ffe80,0x00007ffe,
    0x2001fff5,0x74003ffb,0x05ff70ff,0x00dffd00,0x00007ff4,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x31000000,0x20099803,0x06660998,0x98813310,0x99999999,0x40000999,
    0x28002619,0x00000144,0x00000155,0x33100266,0x09bca980,0x4de54c00,
    0xa8826600,0x213301bc,0x82660bb8,0x7300aca8,0x13310159,0x7e433100,
    0x0fff300f,0xffb07fdc,0x21ffec09,0xfffffffd,0x003fffff,0x3e69fb50,
    0xfb0ae60e,0x005f7cc7,0x07ff1000,0x7dc6fb80,0xfc80bff6,0xfffe980f,
    0xea803fff,0x03ffffff,0x3fff67ff,0x5ffc1eff,0xff4ffff9,0x3fffff67,
    0x3ffffe64,0x027fd42f,0x5ff53ff4,0x403ffee0,0x7ffc46fe,0xd85ffb81,
    0xffffffff,0x2002ffff,0x74ffffb8,0xffff9dff,0x4cdffbbf,0x001cffff,
    0x003ff880,0xff987fe2,0xfc80bff1,0x77ffdc0f,0x00dfffed,0xfdbdfff9,
    0xcff81dff,0xfffefffd,0x3fb3fe1f,0xd9ff2fff,0x7ffffdff,0xfffdfff3,
    0x406ff83f,0x3fe24ff8,0x07fffd05,0xff507ff1,0x00eff98d,0x00bff900,
    0x3fffff26,0x3ffff20b,0xdfffffff,0x7ffff540,0x3e20002d,0x17fa003f,
    0x02ffcbfd,0xff983ff2,0x84ffd81e,0x6c41effa,0x7fffc5ff,0x97ff622d,
    0x5aadffff,0x4433fffe,0x0cfffffb,0xfc8bff91,0x07fee01f,0xfff10ffb,
    0x03ff50bf,0xffe93ff6,0xdff70001,0xffffd500,0x77ff405b,0x01fffb32,
    0x7ffffe4c,0x7fc4000b,0x41ff7003,0x17fe0ffc,0x7f41ff90,0x83ff601f,
    0x3600fff8,0x17ffe1ff,0xfff0ffe8,0x82fffc0b,0xff01fffd,0x204ff98d,
    0x1ffb86fe,0x43fe7fd4,0x3fa206fd,0x003ffc9f,0x201dff50,0xcfffffc8,
    0x827fc400,0xb8802ffa,0x01cffffe,0x3007ff10,0x1ffcc9ff,0xff9017fe,
    0x5013fe61,0x27fd49ff,0xff97fe60,0x43ff601f,0x3fe01fff,0x0bff701f,
    0x3ff43ff4,0xf883ff98,0x7d6fe43f,0x2027fc1f,0x05ffeff9,0x03fff300,
    0x5dffffb1,0x00ffd400,0xd9800bff,0x511effff,0x9ff75555,0x74355555,
    0x0dfd10ff,0xffc80bff,0x8805ff70,0x03ff25ff,0x7ff9ffa0,0xff8ffe40,
    0x03ffe00f,0xfb027fcc,0x905ff70f,0x17fa01ff,0x47ff17fd,0xfc801ff9,
    0x88000fff,0xff302ffe,0xfb00039f,0x007fc80d,0x29fff710,0xfffffff9,
    0x4fffffff,0x7fe47ff9,0x6405ff82,0x99ff90ff,0xf9999999,0x803fecff,
    0x0dff0ffd,0xfff1ffb8,0x2607ff80,0x1ff203ff,0x3fe17fe2,0xf89ff205,
    0x7e4bfd1f,0x13ffe007,0x0fffa200,0x02dfff98,0x6406fc80,0xf930007f,
    0x3ffe69ff,0xffffffff,0x7ff74fff,0x7fc1ffe4,0xd87fe405,0xffffffff,
    0x3a7fffff,0x3ff9007f,0xff701bfe,0xff01bfe3,0x01ffcc0d,0x3ff60ff9,
    0x980bfea0,0x64ff72ff,0x4013fa7f,0x000ffffb,0x22027fec,0x0bfffffb,
    0x205ff500,0x54004ff8,0x20cffffe,0xffa99999,0x2099999b,0x3ffa0ffe,
    0x3202ffc0,0x99ffb0ff,0x99999999,0x01ffa199,0x6ff87fe4,0xff8ffdc0,
    0x3037fc05,0x3fe407ff,0x3f62ff98,0xfb4ff807,0x7c4ffcc9,0xeff9802f,
    0x3f2006ff,0x7f54005f,0xf801dfff,0x05ff705f,0xfffff910,0x3fe20017,
    0x24ff8803,0x2ffc4ff9,0x7e43ff60,0xffb0000f,0x7c3ff600,0x8ffdc06f,
    0x37fc05ff,0x6407ff30,0x457fa07f,0x6fc804ff,0xbbff85ff,0x3ffd007f,
    0xf7009ff9,0x260001df,0x0beffffc,0x739fffd0,0x5403fffd,0x02dffffd,
    0x003ff880,0x7fdc3ff7,0xfd01bfe1,0x00bfee1f,0x007ff202,0x06ff9ffa,
    0x5ff8ffdc,0xf3037fc0,0x03fe407f,0x3ff51ff9,0xff5ff500,0x5fddfd81,
    0x3a4ffc80,0x3fea01ff,0xb880000f,0x20cfffff,0xfffffffd,0x5c0effff,
    0x01cfffff,0x00ffe200,0x2ff45fd8,0x7fc40dfd,0x80bff30f,0x3fea6ff9,
    0xf27fd404,0x1ffb80df,0x6ff80bff,0xc80ffe60,0x2bfe207f,0x3fe006fd,
    0xfffb86fe,0x37fcc02f,0x7cc1bfe6,0x800001ff,0xf94fffea,0xdfffb5bf,
    0x7ccdff77,0x0000beff,0x2003ff88,0x3fe22ff8,0x3607ffb2,0x3ff60fff,
    0xd0fffa02,0x3fa203ff,0x701bfe1f,0x017fe3ff,0x7fcc0dff,0xd01ff203,
    0x4007ffdf,0xf984fffd,0x3a200fff,0x4ffc81ff,0x54dfffc4,0x2aaaaaaa,
    0x29f93000,0x5c0985e8,0x00b7e61f,0x07ff1000,0x7545ea80,0x117fff55,
    0x41ffdfb5,0x510cfff9,0xff30dffb,0x3fea217f,0x2037fc2f,0x0bff1ffb,
    0x3e606ff8,0x01ff203f,0x001ffff5,0xf817ffdc,0x7fec05ff,0xa8bffa04,
    0xffffffff,0x007fffff,0x80010c40,0x00000c40,0x00001550,0x7ffffec0,
    0x40ffadff,0xfffffffa,0xff500eff,0x7fffffff,0xfb80dff0,0xf80bff1f,
    0x0ffe606f,0x7c407fc8,0x7c4005ff,0x7ffb00ff,0x2037fd40,0xff50fff9,
    0xffffffff,0x0000ffff,0x00000000,0x00000000,0x3bfffee0,0x9101ff34,
    0x17ffffff,0xffffd880,0x0dff02ce,0xbff1ffb8,0x2606ff80,0x1ff203ff,
    0x000bff60,0x00000000,0x00000000,0x00000000,0x00000000,0x000a8800,
    0x00026620,0x00000544,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4cc00000,0x30071001,
    0x007db003,0x40399751,0x401cddb8,0xcdc981eb,0x1665cc03,0x3bbbbba6,
    0xeeeeeeee,0x4c03ba03,0xeeeeeeee,0x33eeeeee,0x46aa6355,0xdb881aa9,
    0x55013301,0x00d5cc40,0x00bbb984,0x08885775,0x2eeeeeee,0x3237dc1b,
    0xfff8005f,0x027f4400,0x7d403ff3,0x7ffc407f,0xffd83fff,0xf903ffff,
    0xffffc83f,0x7ffc40ef,0x3fe66fff,0xffffffff,0x3e04ffff,0x3fffe607,
    0xffffffff,0x29ff94ff,0x7ff94ffb,0x1effffc8,0xdf11bfe6,0x3ffffee0,
    0x366a80be,0xfff883ff,0xff9ffe21,0x82ffffff,0x0ffe23fe,0x801fff00,
    0xf984fff9,0x3ff602ff,0x237f603f,0x77d47fc8,0x4c6fb88a,0x3ea1fffe,
    0x45ffcadf,0xffb9aefc,0xdddddd32,0xffdddddd,0x44ff0449,0x3bbbba61,
    0xeeeeeeee,0x2e9ff93e,0x47ff94ff,0x49f50cf9,0x77dc6ff9,0x7ffffe42,
    0xecbdffff,0x21ffa27f,0x7fc42ffb,0x3fffffe7,0x1ffa82ff,0xd8003fea,
    0xff9800ee,0x0bffe64f,0x06feff98,0x1ff982ea,0x47fe0b6a,0x21ffcffa,
    0x8ffcc4fe,0x2fec1ed8,0x649ff000,0xfdaee9df,0x7e400005,0x329ff74f,
    0x321f23ff,0x98dff30f,0x3bf25feb,0xfffffdbc,0x7c46ffff,0x4427fc3f,
    0x266667ff,0xfd009999,0x0006fe8d,0x67ffcc00,0x6402fff9,0x802ff8ef,
    0x4c05fda8,0x1952ffba,0x17fc47fe,0x7f401ffc,0x93fe0003,0xfffffffd,
    0x5c00006f,0x29ff53ff,0x217e3ffc,0xa836c2fa,0x260990ff,0x0dfffffc,
    0x17664d98,0x7cc00000,0x50ffe64f,0x55555555,0x20555555,0x2ffffff9,
    0xfd9ffc40,0x04ffc805,0xffffffd7,0x7cc7fe05,0x404fc80f,0x20000ffc,
    0xffd984ff,0x5000001d,0x4ffe65ff,0x03f21ffa,0x2e29f0f9,0x0025ffdb,
    0x0002aa62,0x20000000,0x3ff61ffc,0x3fffffa1,0xffffffff,0x3fffe607,
    0x50ffb802,0xeca803ff,0x3bff60df,0xf02fe9ac,0x203fe63f,0xffb104fd,
    0x4ff80003,0x01feef98,0x3ff10000,0x7fcc7fe2,0x2e277e60,0xf997dc4f,
    0x0000efff,0x00000000,0x0eff8800,0x7ff4dff1,0xffffffff,0x3ea07fff,
    0xff804fff,0xd0027fc4,0x20bfe27f,0x23ff02ff,0x3ff82ff8,0x001eff98,
    0x7444ff80,0x4c0ffaaf,0xffffffff,0x24ffffff,0xf887fc7f,0xdffffb87,
    0xaa88fe20,0x0000001a,0x00000000,0xff99bfe2,0x26666626,0x99999999,
    0xfffff301,0x0ffd409f,0x2a883fee,0x1ff15fc8,0xff02ffc8,0x3e62ff43,
    0x02ffcc1f,0xb89ff000,0xf313f65f,0xffffffff,0x5c9fffff,0x80f225c3,
    0x000100ba,0x00000000,0x7ec00000,0x003ff60f,0x7ffcc000,0xd04fff9a,
    0x47ff10df,0x3fe62ff8,0x36ab7f62,0x3ff03fff,0x7edf7fcc,0x01ffd45f,
    0x20b32000,0x3220e20a,0xcccccccc,0x002ccccc,0x00000000,0x00000000,
    0x3e600000,0x00ffea3f,0x4c007ffc,0x3fe62fff,0x81ffcc4f,0x77fdc7fd,
    0x7f4c6ffe,0x04fbbfff,0xfffb83ff,0x3fe20dff,0x06ffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfe8bfd00,0x03ffe005,0x305fff30,
    0x7fec7fff,0xa85ff500,0x300cefec,0x40aa2157,0xbcb881ed,0xeeeeea82,
    0x00005eee,0x00000000,0x00000000,0x00000000,0xb8000000,0x03fee0ff,
    0x800fff80,0x3be602fd,0x5500aaa0,0x00000003,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xf88bfe20,0x0ccc002f,0x01300500,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x713ae000,0x0000009d,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x49991000,0x46ee62bb,0xddddddda,
    0xdddddddd,0xffff74dd,0xffffffff,0x00bfffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80000000,0x97fe7ff8,0xfff73ffa,
    0xffffffff,0x2bffffff,0xfffffffb,0xffffffff,0x000005ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7fc40000,0xffa97fe7,
    0x33333313,0x33333333,0x44441333,0x88888888,0x00088888,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0x8f323bb8,
    0x00001cc9,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_35_latin1_x[224]={ 0,2,1,0,1,1,1,1,1,1,0,1,2,0,
2,0,1,3,0,1,0,1,1,1,1,1,2,2,1,1,1,1,1,-1,2,1,2,2,2,1,2,2,0,2,
2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,2,0,0,0,-1,1,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,0,0,2,0,0,0,0,0,0,2,0,1,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,3,1,0,1,-1,
2,1,0,0,0,2,1,0,0,-1,1,1,0,0,3,2,0,2,1,1,0,2,1,1,0,2,-1,-1,-1,-1,
-1,-1,0,1,2,2,2,2,0,2,-1,0,-1,2,1,1,1,1,1,2,1,2,2,2,2,0,2,2,1,1,
1,1,1,1,1,1,1,1,1,1,0,2,-1,0,1,2,1,1,1,1,1,1,1,2,2,2,2,0,2,0,
 };
static signed short stb__arial_35_latin1_y[224]={ 28,5,5,5,3,5,5,5,5,5,5,9,24,18,
24,5,5,5,5,5,5,5,5,5,5,5,11,11,9,12,9,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,32,5,11,5,11,5,11,5,11,5,5,
5,5,5,11,11,11,11,11,11,11,6,11,11,11,11,11,11,5,5,5,14,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,28,11,5,5,9,5,
5,5,5,5,5,12,12,18,5,2,5,9,5,5,5,11,5,15,27,5,5,12,5,5,5,11,-1,-1,-1,0,
1,0,5,5,-1,-1,-1,1,-1,-1,-1,1,5,0,-1,-1,-1,0,1,10,4,-1,-1,-1,1,-1,5,5,5,5,
5,5,5,4,11,11,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,10,10,5,5,5,5,5,5,5,
 };
static unsigned short stb__arial_35_latin1_w[224]={ 0,5,9,18,15,25,20,4,9,9,12,16,4,10,
4,9,15,9,16,16,16,16,15,16,16,16,4,4,16,16,16,15,30,22,18,21,19,18,16,22,19,4,14,19,
15,22,19,22,18,23,21,19,19,19,21,30,21,21,19,7,9,7,14,19,7,16,15,15,15,16,10,15,14,3,
7,14,3,23,14,16,15,15,9,15,9,14,16,23,16,16,15,10,4,10,16,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,4,15,17,16,19,
4,15,10,24,11,14,16,10,24,19,10,16,10,10,7,14,17,4,8,7,11,14,25,25,26,15,22,22,22,22,
22,22,30,21,18,18,18,18,7,6,11,9,22,19,22,22,22,22,22,14,23,19,19,19,19,21,18,17,16,16,
16,16,16,16,26,15,16,16,16,16,7,7,11,9,16,14,16,16,16,16,16,16,17,14,14,14,14,16,15,16,
 };
static unsigned short stb__arial_35_latin1_h[224]={ 0,23,9,24,29,24,24,9,30,30,10,16,9,4,
4,24,24,23,23,24,23,24,24,23,24,24,17,22,16,10,16,23,30,23,23,24,23,23,23,24,23,23,24,23,
23,23,23,24,23,25,23,24,23,24,23,23,23,23,23,30,24,30,13,3,5,18,24,18,24,18,23,24,23,23,
30,23,23,17,17,18,24,24,17,18,23,18,17,17,17,24,17,30,30,30,6,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,0,24,30,24,16,23,
30,30,4,24,12,15,10,4,24,3,9,19,12,13,5,24,30,4,8,12,12,15,24,24,24,24,29,29,29,28,
27,28,23,30,29,29,29,27,29,29,29,27,23,28,30,30,30,29,28,14,25,30,30,30,28,29,23,24,24,24,
24,24,24,25,18,24,24,24,24,24,23,23,23,23,24,23,24,24,24,24,24,14,20,24,24,24,24,30,30,30,
 };
static unsigned short stb__arial_35_latin1_s[224]={ 252,248,164,236,61,194,220,174,51,81,134,
224,190,242,237,245,65,95,105,97,122,130,172,144,205,1,250,116,173,147,207,
79,118,225,60,18,122,161,62,155,54,139,140,1,44,79,102,178,142,25,74,
70,96,50,32,1,232,210,190,102,40,110,48,32,221,201,108,218,124,16,237,
201,191,252,232,161,252,75,50,33,114,81,65,234,180,1,99,116,140,188,157,
1,12,91,204,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,
139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,252,247,45,
90,190,42,40,240,21,222,74,241,117,242,147,52,179,157,106,63,229,50,194,
16,195,86,94,1,168,142,115,99,146,219,104,163,186,140,206,149,1,127,20,
209,169,200,207,242,21,120,17,171,61,177,97,33,1,61,212,84,77,39,11,
49,67,84,101,118,135,228,174,152,168,185,202,219,248,217,30,1,1,176,1,
33,33,50,67,16,121,84,241,18,18,34,18,1, };
static unsigned short stb__arial_35_latin1_t[224]={ 56,194,285,93,63,119,119,285,1,1,285,
265,285,285,285,63,144,194,194,144,194,144,144,194,144,169,242,242,265,285,265,
194,1,169,218,169,218,218,194,169,242,194,169,218,218,218,218,169,218,93,242,
169,242,169,242,242,218,218,218,1,169,1,285,300,285,242,169,242,169,266,194,
169,194,144,1,194,32,266,266,266,144,144,266,242,218,266,266,265,265,144,265,
32,32,1,285,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,
242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,56,144,32,
169,265,194,32,1,300,144,285,265,285,285,144,300,285,242,285,285,285,144,1,
300,285,285,285,285,119,119,119,119,32,32,32,63,63,63,194,1,63,32,63,
63,32,32,32,32,218,63,32,1,32,32,63,285,93,1,1,32,63,63,194,
93,93,93,93,93,93,63,242,93,93,93,93,93,169,169,194,194,144,194,119,
144,119,119,119,285,242,119,119,119,144,1,1,1, };
static unsigned short stb__arial_35_latin1_a[224]={ 139,139,178,279,279,446,334,96,
167,167,195,293,139,167,139,139,279,279,279,279,279,279,279,279,
279,279,139,139,293,293,293,279,509,334,334,362,362,334,306,390,
362,139,251,334,279,418,362,390,334,390,362,334,306,362,334,473,
334,334,306,139,139,139,235,279,167,279,279,251,279,279,139,279,
279,111,111,251,111,418,279,279,279,279,167,251,139,279,251,362,
251,251,251,167,130,167,293,376,376,376,376,376,376,376,376,376,
376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,
376,376,376,376,376,376,376,376,139,167,279,279,279,279,130,279,
167,369,186,279,293,167,369,277,200,275,167,167,167,289,269,139,
167,167,183,279,418,418,418,306,334,334,334,334,334,334,501,362,
334,334,334,334,139,139,139,139,362,362,390,390,390,390,390,293,
390,362,362,362,362,334,334,306,279,279,279,279,279,279,446,251,
279,279,279,279,139,139,139,139,279,279,279,279,279,279,279,275,
306,279,279,279,279,251,279,251, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_35_latin1_BITMAP_HEIGHT or STB_FONT_arial_35_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_35_latin1(stb_fontchar font[STB_FONT_arial_35_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_arial_35_latin1_BITMAP_HEIGHT][STB_FONT_arial_35_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_35_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_35_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_35_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_35_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_35_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_35_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_35_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__arial_35_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__arial_35_latin1_s[i] + stb__arial_35_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__arial_35_latin1_t[i] + stb__arial_35_latin1_h[i]) * recip_height;
            font[i].x0 = stb__arial_35_latin1_x[i];
            font[i].y0 = stb__arial_35_latin1_y[i];
            font[i].x1 = stb__arial_35_latin1_x[i] + stb__arial_35_latin1_w[i];
            font[i].y1 = stb__arial_35_latin1_y[i] + stb__arial_35_latin1_h[i];
            font[i].advance_int = (stb__arial_35_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__arial_35_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_35_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_35_latin1_s[i] + stb__arial_35_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_35_latin1_t[i] + stb__arial_35_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_35_latin1_x[i] - 0.5f;
            font[i].y0f = stb__arial_35_latin1_y[i] - 0.5f;
            font[i].x1f = stb__arial_35_latin1_x[i] + stb__arial_35_latin1_w[i] + 0.5f;
            font[i].y1f = stb__arial_35_latin1_y[i] + stb__arial_35_latin1_h[i] + 0.5f;
            font[i].advance = stb__arial_35_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_35_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_35_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_35_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_35_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_35_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_35_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_35_latin1_LINE_SPACING
#endif

