// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_39_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_39_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_39_latin1_BITMAP_WIDTH         256
#define STB_FONT_arial_39_latin1_BITMAP_HEIGHT        368
#define STB_FONT_arial_39_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_39_latin1_FIRST_CHAR            32
#define STB_FONT_arial_39_latin1_NUM_CHARS            224

#define STB_FONT_arial_39_latin1_LINE_SPACING          25

static unsigned int stb__arial_39_latin1_pixels[]={
    0x4c413310,0x05540009,0x01333100,0x400002a6,0x50009a99,0x006aa255,
    0x009a9880,0x40001554,0x0019aa99,0x05551000,0x004ccc00,0x02666200,
    0x33310000,0x3f600001,0xd03ffb2f,0x2ffdc5ff,0x800df500,0xf500effe,
    0x7ecc000d,0x0dffffff,0x7fcdbf60,0x3a6001ef,0x01efffff,0xb3000dfb,
    0xffffffff,0x200005bf,0x0006fffc,0x0003fff9,0x004fff98,0x2fffc400,
    0x2ffd8000,0xffd03ffb,0x802ffdc5,0x2a001ff8,0x7f401fff,0x7ff4c003,
    0xffffffff,0x26dfb04f,0x800fffff,0xfffffffb,0x06fd83ff,0x3ffffaa0,
    0xffffffff,0x2e0004ff,0x8006ffff,0x0002fff8,0x001fff50,0x0fffa800,
    0x2ffd8000,0xffd03ffb,0x802ffdc5,0x7f4005fd,0x1ff9802f,0xdffff500,
    0xfffb9599,0x4cdfb0bf,0x4c03ffeb,0xdb9bdfff,0x37ec1fff,0x7ffff440,
    0x953119ac,0x003dffff,0x037bfff0,0x009ff700,0x04ffc800,0x4ffb8000,
    0x1cca8000,0x55503ffb,0x400d54c1,0x26001ffa,0x3f6004ff,0xefffa806,
    0x3fff2202,0x7c437ec5,0x2ffe406f,0x7ec5ffe8,0x77ffcc06,0x3faa000b,
    0x3e6002ff,0x7fc0005f,0xfb000006,0xb000001f,0x000001ff,0x00003ffb,
    0x2002ff40,0x7cc004ca,0x3ffe202f,0xfff9000e,0xfe837ec5,0x80fff407,
    0x3f60fffa,0x13ffea06,0x3fff7000,0x00ffea00,0x000aa880,0x01551000,
    0x06aa0000,0x3ff60000,0xf5000001,0x0000005f,0xffb037f4,0xffe8001d,
    0x7ec1bf65,0x07ffa00f,0x3f60cdd8,0x05fff306,0x3bfe6000,0x02ffb800,
    0x00d54c00,0x00000000,0x000d54c0,0x7ec26620,0x0009989f,0x1ffa0666,
    0x30004cc4,0x07fee033,0x000fffe2,0x7ec7ffea,0x401ffb06,0xd8005ffc,
    0x03ffd06f,0xf7000a98,0x5ff7009f,0xffec9800,0x802dffff,0xd0007ff9,
    0xd93005ff,0x5bffffff,0x25ffb000,0xfff99ffd,0x46ff8800,0xff305ff9,
    0xdff1001f,0x2e17fe60,0x2e0007ff,0x6c1bf60a,0x3fe200ff,0x3f6000df,
    0x303ffa86,0x23dfffd7,0x7fec6ff8,0x017fdc00,0xffffff90,0x03ffffff,
    0x8003ffcc,0x7e402ffe,0xffffffff,0x36001fff,0x23ffb2ff,0xfb803ffe,
    0x017fe43f,0xf7007ffd,0x07ff407f,0x00017ffa,0x3f60dfb0,0x7ffd400f,
    0x8dfb002e,0xff705ff8,0x53ffffff,0x3ff98bff,0x4017fdc0,0xceffffe9,
    0xffffffcb,0x00fff303,0x4c0bffa0,0xbceffffe,0x3ffffffc,0x365ffb00,
    0x0bff71ff,0xfd81ffd0,0x02ffdc07,0xf9007ff4,0x04fff83f,0x837ec000,
    0x7d401ffc,0x400cffff,0x07fdc6fd,0x4567ffdc,0x3ffdfffb,0x7dc06fd8,
    0x7ffcc02f,0x3fae604f,0x7ff983ff,0x05ffd000,0x409ffff3,0x03fffeb9,
    0xffb2ffd8,0x803ffe23,0x6ff86ff9,0x007ffc40,0xfa80dff3,0x01fffc2f,
    0x41bf6000,0xf9101ffc,0x5ffffd9f,0x3fa37ec0,0x03fff985,0x703ffffb,
    0x1ffc80ff,0x00f7ff40,0x41fffe88,0xd0007ff9,0xdffd05ff,0x3ffa2003,
    0x97fec01f,0x3ff61ffd,0x10fff203,0xffb00bff,0x01ffe407,0xff893fe6,
    0x6c00001f,0x05ff706f,0xffc8bff6,0x6fd80dff,0x3fa0bfe6,0x3ffe203f,
    0x00ffa80f,0xfa803ff6,0xfe8001ff,0x03ffcc6f,0x542ffe80,0xe8001fff,
    0x7fec06ff,0x7d43ffb2,0x03ffe06f,0xf5009ff3,0x07ffc0df,0xf997fe60,
    0x400001ff,0xbff306fd,0xd307ff10,0xfd85ffff,0x3ea1fee6,0x6ffd807f,
    0x2203ff30,0x3fe205ff,0xff30004f,0x03ffcc5f,0x222ffe80,0x30004fff,
    0x7ec05fff,0xf83ffb2f,0x5ffa81ff,0xf004ffb8,0xbff503ff,0xf8fff100,
    0x400002ff,0x3ffa06fd,0x900ffdc2,0xd803ffff,0x03ffc85f,0xf504ffc8,
    0x0bff603f,0x000fffb8,0xf997ffa0,0xffd0007f,0x007ffdc5,0x40bffd00,
    0x3ffb2ffd,0xfd84ffc8,0x03ffc82f,0xfb09ff90,0x3ffe005f,0x000fffa0,
    0xd80dfb00,0x7ff72eff,0x0ffff980,0x3fa17fa0,0x3ffd800f,0xff90ff90,
    0x4ffc80bf,0x7ffe4000,0x000fff30,0xffc8bffa,0x7fe40004,0x25ffb00f,
    0x7fcc1ffd,0xd83ffc47,0xff3002ff,0x007ff88f,0xffc87ffa,0x7ec00004,
    0x34ffc806,0xff300dff,0x227fc05f,0xfd006ff8,0x21bfa03f,0xfd803fff,
    0x7d40003f,0x0fff31ff,0xd8bffa00,0x540003ff,0xffb01fff,0x3a07ff65,
    0x13fee1ff,0xd0017ff4,0x27fdc3ff,0x5c3ffd00,0x2e0006ff,0x101bf61b,
    0x7ff49ffb,0x04ffc805,0xbff50ffe,0x441ffe00,0x2fff84ff,0x002fff80,
    0x997ffcc0,0xfd0007ff,0x017ffc5f,0x0bffe600,0xffd97fec,0x3a4ffb81,
    0x7ffb01ff,0xd27fdc00,0x7fc003ff,0x01ffe61f,0xfb4ffe80,0x6fff4c0d,
    0x07bffe62,0x3e04ff98,0x027fdc3f,0xfa837fcc,0x3ffeb82f,0x007ffe20,
    0x4cfffe00,0xfd0007ff,0x07ffe25f,0x0fffe000,0xffd97fec,0xf17ff881,
    0x27fe40df,0x22fff100,0x3e2006ff,0x17ffc0ff,0x8fffcc00,0x3ff606fd,
    0x9ffff501,0x223ff501,0xf513fe09,0x9ffd009f,0xc80dff10,0xfff303ff,
    0xffd00001,0x001ffe67,0xff997ff4,0xfe80000f,0x25ffb03f,0xffb01ffd,
    0x6407ff53,0x7ec005ff,0x003ffa9f,0x3f21ffea,0x7f4000ff,0x441bf66f,
    0x7f4c04ff,0x3fa22fff,0x5fe9bf66,0x2a037fc4,0x7f442fff,0x37fc401f,
    0x000fff98,0xf33fff80,0x3fa000ff,0x01fff32f,0x07fff000,0x7fecbff6,
    0xfb9ff501,0x3ffd401f,0x373fea00,0x3ee000ff,0xefff886f,0x5fffb000,
    0xffb837ec,0xffff9002,0x6c5ffd5b,0x3e1bf66f,0xffd101ff,0x04ffd81f,
    0xf101ffb0,0x880005ff,0xfff32fff,0x4bffe000,0x0002fff8,0xd817ffc4,
    0x03ffb2ff,0x02fff7fc,0x0003ffe2,0x00bffdff,0xf704ffc8,0x26017dff,
    0x7ec4fffd,0x003ff906,0x7fffff4c,0xf737ec0c,0x2effc83f,0x8fffffcc,
    0x2006ffea,0xfff01ffc,0xff980007,0x01fff11f,0x7c5fff00,0x4c0003ff,
    0xffb01fff,0xc807ff65,0xe802ffff,0x7e4001ff,0x6c002fff,0x3fee01ff,
    0xdcbcefff,0xfd85ffff,0x003ffb06,0x05ffff70,0x27fc4dfb,0x7677ffec,
    0xeffffcff,0x5c005fff,0x9ffb01ff,0xfffa8000,0x001fff10,0x361fff88,
    0x540004ff,0xffb00fff,0x9807ff65,0xf7007fff,0xff98005f,0x7ff8007f,
    0xfffffa80,0xcfffffff,0xfb06fd80,0x3a60001f,0x37ec2fff,0xfd103ffa,
    0x3a3fffff,0x03ffffff,0x702ffb80,0x40001fff,0x7ffc5ffe,0x7ffcc001,
    0x003ffee1,0x205ffe80,0x3ffb2ffd,0x004ffe80,0xd000bff3,0xf98009ff,
    0xfd71005f,0x19ffffff,0xfd837ec0,0x3620000f,0x237ec7ff,0xdb885ff9,
    0x3f620bdf,0x2aa81bdf,0x440bfee0,0x50004fff,0xffe85fff,0x3ffd4003,
    0x0013ffe2,0xb017ffd4,0xfb0005ff,0x7fec003f,0x0ffec000,0x007ff600,
    0x0273fa20,0xfd837ec0,0x2004400f,0x1bf62ffe,0x0000ffee,0x203ffc80,
    0x3f202ffb,0xfe8001ff,0x06ffc86f,0x642fff40,0xe8001fff,0x7fec06ff,
    0xff100221,0x4ff9800b,0x017fe200,0x0009ff10,0xb000ffe2,0x03ff60df,
    0x3202ffd4,0x41bf64ff,0x00003ffd,0x5c05ffc8,0x7ff402ff,0xffd1001f,
    0xbfff503f,0x0fffea00,0x800ffff4,0x401fffe8,0x9ffd1ffd,0x0017fdc0,
    0xb8007fe4,0x7e4002ff,0xdb30000f,0x3f6005ff,0x440ffd06,0x3f600fff,
    0x441bf62f,0x0001efff,0x806ffe98,0x7cc03ffa,0x7d404fff,0x3f603fff,
    0xf9101cff,0x7fcc0dff,0x7fd404ff,0xfff803ff,0x2609ffd0,0xf10007ff,
    0xfff3007f,0x03ff8800,0x00dfd000,0x3fe21bf6,0x82fff406,0x3f60fff9,
    0x3fffa606,0xfda8001c,0xf9800dff,0xfff9806f,0xfdcaceff,0x4c03ffff,
    0xcdffffff,0x1fffffed,0x7ffffcc0,0xfffdcace,0x3aee03ff,0x53ffa6ff,
    0x3fffece8,0x21fee000,0x3fffece8,0x0037dc00,0x02ffd440,0xd9516fd8,
    0xff9809ff,0xffdbadff,0x4037ec5f,0xbdffffea,0xdbaa99aa,0x002effff,
    0x015efff4,0xffffffb1,0x03ffffff,0x3ffffa20,0xefffffff,0xfffb1001,
    0xffffffff,0x7ffcc03f,0x86eea3ff,0x004fffff,0xff83fe80,0xf8004fff,
    0xff10002f,0x2003ffff,0xffff36fd,0xfff5001f,0x0bffffff,0x7dc00dfb,
    0xffffffff,0x3fffffff,0xffff7000,0xfff9300d,0x005bffff,0x3ffff6e0,
    0x000befff,0xfffffc98,0xfb802dff,0xfd003fff,0x200009ff,0xfffe86fa,
    0x06fb8004,0x3fffe600,0x5bf6002e,0x001efff9,0x3fffff62,0x00dfb03e,
    0xffedca88,0xbdffffff,0x7fd40000,0x54c4006f,0x2200001a,0x0009aaa9,
    0x06aa6200,0x0006a600,0x20000066,0x001980aa,0x00002aa0,0x55400022,
    0x00033512,0xaa801988,0x53100002,0x00000133,0x00000a66,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x01998800,0x03330000,0x4cc40000,
    0x7ffd4009,0x90003fff,0xffffc81b,0x05ffb0ff,0x0a880000,0x00000aa8,
    0x44000000,0x00000199,0x00001333,0x80019988,0xfd800998,0x400005ff,
    0x0005fffd,0x01fff900,0xffffffa8,0x81ff0003,0x0ffffffc,0x00005ffb,
    0x56fffe40,0x40007f98,0x7ff47ff9,0xff100002,0x000007ff,0x0001fffb,
    0x027ffcc0,0x9013ffa0,0x007ffdff,0x3fbfee00,0x4400004f,0xc9802fff,
    0x003ffecc,0xffc85f98,0xffb0cccd,0x2a000005,0xffffffff,0x7cc0005f,
    0x017ff47f,0xfeffd800,0xe800001f,0x400004ff,0x2000fffb,0x3ea04ffe,
    0x01ffe8ef,0x477fcc00,0x00002ffd,0x40013ff2,0xb8003ffc,0x03ffc83f,
    0x00005ffb,0x764d3f60,0x40001eff,0x7ff47ff9,0xffc80002,0x000fff8d,
    0x07ffc400,0x3ff20000,0x13ffa003,0xf98fffc4,0xf10000ff,0x3ffe25ff,
    0xff880001,0x3ff20005,0x81fe8003,0xffb03ffc,0x2a000005,0x0001980a,
    0xaa855510,0x7d40000a,0x0dff70ff,0x9ff30000,0xffb00000,0x80d55400,
    0x554c2aa9,0x55530001,0x0001aa98,0x0000aa88,0x1000fff2,0x0fff20ff,
    0x00017fec,0x01aa9800,0x2aa60000,0x2aa00001,0x0055541a,0x0154c000,
    0x05544000,0x00000000,0x03553000,0x00000000,0x2200fff2,0xf904fcbb,
    0x8bff607f,0x40000aa8,0xfffffec9,0x4c0002df,0xffffffec,0x0000002d,
    0x00000000,0x20000000,0xd0007ff9,0xd93005ff,0x5bffffff,0x00fff300,
    0x640bffa0,0xfd9303ff,0x901dffff,0x3ff607ff,0xeffffe8a,0x7fe4001c,
    0xffffffff,0xfc8001ff,0xffffffff,0x80001fff,0x0001fffc,0x03fff900,
    0xfffff980,0xffffffff,0x7446ffff,0x000fff35,0xf900bffa,0xffffffff,
    0x7cc03fff,0xffd0007f,0x20fff205,0xfffffffa,0x7fe41fff,0xff9ffb03,
    0x1fffffff,0xffffd300,0xffff979d,0x3a6007ff,0xcbceffff,0x03ffffff,
    0x2ffffc00,0xfff80000,0x7fcc005f,0xffffffff,0x6fffffff,0x7ff9b7cc,
    0x05ffd000,0x3bffffa6,0xfffffcbc,0x0fff303f,0x40bffa00,0x7fcc3ffc,
    0xfff98adf,0x0fff20ff,0x0f7fffec,0x980dffb3,0x2604ffff,0x403fffeb,
    0x204ffff9,0x03fffeb9,0xfffff500,0xfa800001,0x2000ffff,0xfffffff9,
    0xffffffff,0x9bfcc6ff,0xfd0007ff,0xffff305f,0x7ff5cc09,0x07ff983f,
    0x205ffd00,0x7ff43ffc,0x7ff5fe45,0x6c0fff24,0xfb00dfff,0x77ff409f,
    0xfffd1001,0x0f7ff403,0x1fffe880,0xfbffd800,0x6c00003f,0x003ffbff,
    0x0001ffe6,0xfff37fa8,0x0bffa000,0x4007bffa,0x4c1fffe8,0xfd0007ff,
    0x8fff205f,0x7f40fff9,0x3f27ffa8,0x3fffb03f,0x40fffc40,0x8001fffa,
    0xff506ffe,0xffd0003f,0xdff8800d,0x00006ff8,0x3fe37fe2,0x1ffe6006,
    0x8ffb8000,0xd0007ff9,0xfffa85ff,0x6ffe8001,0x8003ffcc,0xff902ffe,
    0x221ffdc7,0xfc8aee6f,0x0bffb03f,0xf885ff90,0xf30004ff,0xfff885ff,
    0xfff30004,0x9ffdc005,0x00002ffd,0x3ff67ff7,0x0fff3002,0x47fdc000,
    0xd0007ff9,0x7ffc45ff,0xfff30004,0x003ffcc5,0xf902ffe8,0x217fec7f,
    0x7fe404fa,0x005ffb03,0xffb89ff5,0x3fa0000f,0x07ffdc5f,0x0bffd000,
    0xfa87ff40,0xfd00005f,0x017fea1f,0x0003ffcc,0xff33ff90,0x3ffa000f,
    0x003ffee2,0x265ffe80,0xfd0007ff,0x8fff205f,0x17ec1ffe,0x6c0fff20,
    0xff9801ff,0x0027fe45,0xc83fff20,0x640004ff,0xf9800fff,0x03ffe26f,
    0x4dff3000,0x9800fff8,0x200007ff,0x7ff9affc,0x45ffd000,0x40004ffc,
    0xff30fffc,0x3ffa000f,0x7c7ff902,0xc807f87f,0x1ffb03ff,0xd8fff100,
    0x540003ff,0x3ff61fff,0x7fd40003,0x3ffd801f,0x0001ffec,0xffb0fff6,
    0x0fff3007,0x57fec000,0xd0007ff9,0x1ffec5ff,0x3ffea000,0x000fff31,
    0x7e40bffa,0x98fff13f,0x3ffc805f,0x3001ffb0,0x2fff8dff,0x7ffcc000,
    0x000bffe2,0x805fff30,0x7d40fff8,0x3e20007f,0x3ffd40ff,0x003ffcc0,
    0xf37ffb00,0x3fa000ff,0x00bffe2f,0x25fff300,0xd0007ff9,0x3ff205ff,
    0xfc87ffe3,0x03ffc803,0xf3003ffb,0x0fffc49f,0x9fffc000,0x0001fff8,
    0x5c03fff8,0x5fff05ff,0x17fee000,0x26017ffc,0xaaaabfff,0xaaaaaaaa,
    0xf9bffe82,0xffd0007f,0x007ffe25,0x4cfffe00,0xfd0007ff,0x8fff205f,
    0x03fa2fff,0x3ff23575,0x005ffb03,0x7fcc7ff5,0xfe80000f,0x01fff33f,
    0x07ffd000,0xf902ffe8,0x3fa000bf,0x0bff902f,0xffffff98,0xffffffff,
    0xcffe86ff,0xd0007ff9,0x3ffe65ff,0xffe80000,0x000fff33,0x7e40bffa,
    0x44fff63f,0x92ffe86f,0x3ff607ff,0x21ffd804,0x0000fff9,0xff33fff8,
    0xff00001f,0x3ffcc07f,0x001fff30,0x2607ff98,0x3e600fff,0xffffffff,
    0x6fffffff,0xff9cfff8,0x5ffd0007,0x0003ffe6,0x7ccfffe0,0xffd0007f,
    0xa8fff205,0x44fb8fff,0x3ff27ffa,0x01fffb03,0xf107ffcc,0x880005ff,
    0xfff12fff,0xff880005,0x13ff202f,0x8009ffd0,0x7f404ffc,0x3ffe604f,
    0xcccccccc,0xf83ccccc,0x07ff9dff,0x225fff00,0x40002fff,0xff32fff8,
    0x3ffe000f,0xe87ff902,0x221fddff,0x3ff24ffe,0x1bfffb03,0xf05ffd10,
    0x980007ff,0x3ffe1fff,0x7fcc0003,0x2fffe01f,0xc9999999,0x7fc007ff,
    0x999999bf,0x2607ffc9,0x200007ff,0xfff8dfff,0x2fff8000,0x0000fffe,
    0x3e23fff3,0xff8000ff,0x87ff902f,0x98fffff9,0x7e46fffc,0xffffb03f,
    0xfff7337d,0x013ff609,0x41fff500,0x40004ffd,0xf500fffa,0xffffffff,
    0x05ffffff,0x3ffffea0,0xffffffff,0xfff302ff,0x7ffc0000,0x000fff8d,
    0xfb0fffc4,0xfa80009f,0x1fff10ff,0x1fff8800,0xf507ff90,0xffffffff,
    0x03ffc81d,0xfffd9ffb,0x5c0bffff,0x20000fff,0x7fdc5ffe,0x3fa0000f,
    0x3fff605f,0xffffffff,0xb005ffff,0xffffffff,0xbfffffff,0x001ffe60,
    0xff5fff80,0xff98003f,0x03ffee1f,0x45ffe800,0x4c001fff,0xff901fff,
    0x3fffa207,0xff903fff,0x22bff607,0x02dffffd,0x0027ffc4,0x442fffa8,
    0x50004fff,0x3e205fff,0xaaaaabff,0xfffbaaaa,0x5fffc401,0xaaaaaaaa,
    0x981fffba,0x200007ff,0x7ffd5fff,0x47ffa800,0x0004fff8,0xfe85fff5,
    0x7fd4003f,0x80fff207,0x401aaaff,0xffb03ffc,0x64001985,0xe8001fff,
    0xfff906ff,0xdffd0003,0x0037fdc0,0xf7013ffe,0xfff800df,0x007ff984,
    0x653bba00,0x7f4006ff,0x1fffc85f,0x86ffe800,0x74006ffc,0x3ff205ff,
    0x800df303,0xffb03ffc,0x3fa00005,0xfd1001ff,0x7ff403ff,0xffd1001f,
    0x1fff403f,0x01fff200,0xc8007ffd,0x7ff987ff,0x7d400000,0xff5005ff,
    0x3fffa07f,0xfffd1001,0x0bfff503,0x80fffea0,0x9f703ffc,0x03ffc800,
    0x00005ffb,0x013fffe6,0x807ffff5,0x404ffff9,0x203ffffa,0x4000fff9,
    0xf302fff8,0xf88001ff,0x3ffcc2ff,0x1bba8000,0x80e7ffec,0x206fffc8,
    0x404ffff9,0x203ffffa,0x101cfffd,0xc80dfff9,0x03fd03ff,0xb03ffc80,
    0x400005ff,0xcefffff9,0xfffffdca,0xffff3003,0xffb959df,0xfc807fff,
    0xffb0005f,0x017ff20d,0x2637fec0,0xd00007ff,0xfff989ff,0xfedcdfff,
    0x4c01ffff,0xacefffff,0x3fffffdc,0x7ffffcc0,0xfffedcdf,0x6664c1ff,
    0x7f883ffe,0xcdffc800,0x05ffb0cc,0xffd88000,0xffffffff,0x6c4001ff,
    0xffffffff,0xf801ffff,0xf50002ff,0x5fff03ff,0x3ffea000,0x3ffffe61,
    0xffffffff,0xfd2fffff,0xfffd109f,0xffffffff,0x3f62003d,0xffffffff,
    0xd1001fff,0xffffffff,0xf503dfff,0x507fffff,0xff90009f,0x3f61ffff,
    0x3000002f,0xfffffff9,0xc980005b,0xdfffffff,0x0fff5002,0x44fff800,
    0x40007ffa,0x3fe64fff,0xffffffff,0xffffffff,0x5c09ffd2,0xfffffffd,
    0xc98000be,0xdfffffff,0xffb70002,0x17dfffff,0x3ffffea0,0x002da83f,
    0xffffffc8,0x0005ffb0,0x35531000,0x26200000,0xfd8001aa,0x7e40004f,
    0x027fec7f,0x99fff200,0xffffffff,0xffffffff,0x310002ff,0x00013555,
    0x00d54c40,0x55531000,0x00000013,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x13330000,0xfeeca800,
    0xffffffff,0x1331006f,0x00260000,0x30099988,0x20000133,0x00009998,
    0x00999880,0x88000000,0x51000199,0x00015501,0x4c04c000,0x1aa8001a,
    0x0fffdc00,0xffffe980,0xffffffff,0xffa806ff,0x4c0001ff,0x3ff6003f,
    0xffffb80f,0xffe80000,0xf9000006,0x4c0001ff,0x0fff47ff,0x00bffea0,
    0x15bfff90,0xfff00ff3,0x2027fe43,0x89beffea,0xff8002fe,0x1fffc003,
    0xfffff980,0xffffffff,0x7c406fff,0x000effff,0x2cefeca8,0x40fffc40,
    0x06ffeff9,0x07ffd400,0x7fc40000,0x7cc0002f,0x00fff47f,0x50037fe4,
    0xffffffff,0x3fff00bf,0x3e027fe4,0xffffffff,0x7fcc000f,0x13fee000,
    0xfffffe80,0x17fdc5ff,0xfabffe80,0x3faa005f,0x2effffff,0xd107ff90,
    0x09ff73ff,0x017ff400,0x4ffc8000,0x7ff98000,0xd800fff4,0x9fb002ff,
    0x07bffb26,0xfc87ffe0,0x23bea04f,0x03fffdb8,0x4006fc80,0x3ee006fe,
    0x5fffffff,0x64017fdc,0x13ff65ff,0x3ffffea0,0x42ffffff,0xffb05ff8,
    0x001fff49,0x0001ffcc,0x005ff880,0xa8555100,0xfd1000aa,0x202aa00d,
    0x2aaa0019,0x9806aa60,0x0002881a,0xa88013fa,0x3ff6000a,0x45ffffff,
    0xaa802ffb,0x02aaa20a,0x9aefff88,0x0fffeabf,0x2a202aa2,0x0155442a,
    0x000154c0,0x00155100,0x40000000,0x00000aa8,0x00000000,0x5ff10000,
    0xfd000000,0xbfffffff,0x0002ffb8,0x4bffb000,0x13ffe3f9,0x00000000,
    0x00000000,0x007ff980,0x0005ffd0,0x03fff900,0x427fec00,0x8002fffa,
    0x3ea02ffe,0xfffff987,0xffffffff,0x3fe6ffff,0x5fffffff,0x3e617fdc,
    0xffffffff,0xffffffff,0xf317ff46,0x3637fdc7,0x7fec04ff,0x7fe40004,
    0x7fe4001f,0xff10003f,0x03ffcc9f,0xd82ffe80,0xff8004ff,0x360005ff,
    0xfffa84ff,0x7ff4000f,0x2617f602,0xffffffff,0xffffffff,0x3ffff66f,
    0x7dc5ffff,0x7fffcc2f,0xffffffff,0x226fffff,0x11fcc7ff,0x4ffd859b,
    0x0027fec0,0x017fffe0,0x003fffa0,0x983bffa0,0xfd0007ff,0x09ffb05f,
    0xfffffa80,0x9ffb0000,0x0bffff50,0x202ffe80,0xfff983ff,0xffffffff,
    0x26ffffff,0xfffffffc,0x217fdc5f,0xfffffff9,0xffffffff,0x1ffe26ff,
    0x3f6007f3,0x27fec04f,0xffff5000,0xff98001f,0x7fdc005f,0x03ffcc1f,
    0xd82ffe80,0x7ec004ff,0x0003ffbf,0xff509ffb,0x74005fff,0x3ff302ff,
    0x000fff30,0x3ffffe20,0x7fdc5fff,0x003ffcc2,0x4c5ffd00,0x9ffb003f,
    0x004ffd80,0x3fefff60,0xfffc8003,0x9fff1002,0x000fff30,0x3f60bffa,
    0x3fe2004f,0x0006ff8d,0xff509ffb,0x2001ffff,0xff702ffe,0x001ffe60,
    0xfffffb80,0x17fdc5ff,0x0001ffe6,0xf30dffc8,0x13ff6007,0x0009ffb0,
    0x3fe37fe2,0xfffd0006,0x0dffb001,0x4001ffe6,0xffd82ffe,0x4ffee004,
    0xd8002ffd,0xeffa84ff,0xfd005fff,0x413f605f,0x00007ff9,0x7fffffdc,
    0x2617fdc5,0x200007ff,0xfabffffa,0x09ffb003,0x0004ffd8,0x3ff67ff7,
    0xfff98002,0x0fffd405,0x0007ff98,0xffb05ffd,0x87ff4009,0xd8005ffa,
    0xeffa84ff,0xe802fffa,0x2ff882ff,0x000fff30,0xfffd9100,0x4c2ffb8b,
    0x400007ff,0xcffffffa,0x04ffd800,0x80027fec,0xbff50ffe,0x3fff2000,
    0x07fff102,0x8003ffcc,0xffd82ffe,0x4dff3004,0x4000fff8,0xffa84ffd,
    0x801fffb6,0xffa82ffe,0x00fff300,0x5ff88000,0x3e617fdc,0xa800007f,
    0xefffffff,0x013ff603,0x30009ffb,0x7ffc4dff,0xdffd0000,0x80dffb01,
    0xd0007ff9,0x9ffb05ff,0xb0fff600,0xfd8007ff,0x16ffa84f,0xfe80bfff,
    0x206fc82f,0x00007ff9,0x2e2ffc40,0x3ffcc2ff,0xfb500000,0x03dfffff,
    0xfd809ffb,0xffd8004f,0x001ffec3,0x544fff98,0x7cc00fff,0xffd0007f,
    0x009ffb05,0xfa81fff1,0x7fec007f,0x2a6ffa84,0x3fa02fff,0x203fe82f,
    0x00007ff9,0x2e2ffc40,0x3ffcc2ff,0x7d400000,0x41fffffe,0x7ec04ffd,
    0x7fc4004f,0x03ffd40f,0x23fff900,0x9803fff8,0xfd0007ff,0x09ffb05f,
    0x3e0bff70,0x3f6002ff,0x46ffa84f,0xfd00fffd,0x01ff885f,0x2aafffe6,
    0xaaaaaaaa,0xff1002aa,0x4c2ffb8b,0xaaaabfff,0xaaaaaaaa,0x5cfe6002,
    0x7fec6fff,0x027fec04,0x7c17fee0,0x3a0002ff,0x0bff96ff,0x001ffe60,
    0x7ec17ff4,0x2ffe804f,0x400bff90,0xffa84ffd,0x82fffc46,0x3fdc2ffe,
    0x3ffffe60,0xffffffff,0xf1006fff,0x42ffb8bf,0xfffffff9,0xffffffff,
    0x8fe6006f,0x3f62fff9,0x27fec04f,0x40bffa00,0x20005ffc,0xfffcfff9,
    0x0fff3000,0x20bffa00,0x7cc04ffd,0x3ffe607f,0x09ffb000,0xff50dff5,
    0x85ffd05f,0x7fcc05fd,0xffffffff,0x06ffffff,0xfb8bff10,0x7fffcc2f,
    0xffffffff,0x2006ffff,0x1fff43f9,0xfd809ffb,0x3fe6004f,0x03ffe607,
    0xffffc800,0x3fe6002f,0x5ffd0007,0xc809ffb0,0x7ff404ff,0x09ffb004,
    0x3f60dff5,0x17ff40ff,0xff300bfe,0x9999999f,0x07999999,0xf717fe20,
    0xcfff985f,0xcccccccc,0xa883cccc,0x3f21fcc0,0x013ff65f,0x64009ffb,
    0x7ff404ff,0x7ff40004,0x7fcc005f,0x5fff0007,0xf809ffb0,0x99999bff,
    0x007ffc99,0xff509ffb,0x17ffe20d,0x7fcc5ffd,0x03ffcc00,0x3fe20000,
    0x2617fdc5,0x900007ff,0x43f989ff,0x3ff64ffb,0x027fec04,0x3337fff0,
    0xfff93333,0xfffa8000,0x7ffc4000,0x2fff8000,0x2a04ffd8,0xffffffff,
    0x2fffffff,0xa84ffd80,0x3fee06ff,0xc8bffa2f,0x7ff9806f,0x7c400000,
    0x217fdc5f,0x00007ff9,0x3f98dff5,0xffb1fff4,0x04ffd809,0xffffff50,
    0xffffffff,0x7cc0005f,0xff88007f,0x7fc4000f,0x04ffd81f,0x3ffffff6,
    0xffffffff,0x4ffd805f,0x6c06ffa8,0x5ffd0fff,0x7cc027f4,0x4000007f,
    0x7fdc5ff8,0x003ffcc2,0x4c3fff00,0x8bffe63f,0x7ec04ffd,0xfffb004f,
    0xffffffff,0x000bffff,0x8003ffcc,0x4c001fff,0xffd81fff,0x57fff104,
    0x55555555,0xd803fff7,0x6ffa84ff,0xeafffc40,0x05ff12ff,0x000fff30,
    0x45ff8800,0x7fcc2ffb,0x3f600007,0x227f30ef,0x7fec6ffd,0x027fec04,
    0x555fffc4,0xbaaaaaaa,0x30001fff,0x3a000fff,0x7d4003ff,0x09ffb07f,
    0xf001bfee,0xffd809ff,0x806ffa84,0xffeafffb,0x2600ff52,0x000007ff,
    0x3ee2ffc4,0x03ffcc2f,0xffff3000,0xfff99f57,0x04ffd83f,0x5c027fec,
    0x7fc006ff,0xff30004f,0x3ff2000f,0x2fff4006,0xfd04ffd8,0xffc8007f,
    0x427fec07,0xfb006ffa,0x365ffdff,0xfff3005f,0xf8800000,0x217fdc5f,
    0x00007ff9,0x7fffff44,0xd82fffff,0x7fec04ff,0x03ffe804,0x003ffe40,
    0x0007ff98,0x200bfff5,0xfb03fffa,0x1fff309f,0x2fff8800,0x2a13ff60,
    0xff1006ff,0x2aa5ffff,0x0fff3001,0xff880000,0x2617fdc5,0x800007ff,
    0xffffffc8,0x9ffb00df,0x404ffd80,0x4000fff9,0x8002fff8,0x20007ff9,
    0x101cfffd,0x6c0dfff9,0x5ffc84ff,0x0dffb000,0x7d427fec,0x3fee006f,
    0x30002fff,0x00000fff,0x7dc5ff88,0x03ffcc2f,0x3f260000,0x4ffd801d,
    0x2027fec0,0xb0005ffc,0xf3000dff,0x7cc000ff,0xdcdfffff,0x01fffffe,
    0x3fe13ff6,0xff50002f,0x13ff603f,0xb001bfea,0x32e5ffff,0x2ccccccc,
    0x3fffffe6,0xffffffff,0x4402ffff,0x17fdc5ff,0x3fffffe6,0xffffffff,
    0x9802ffff,0x9ffb003f,0x404ffd80,0x50002fff,0x98003fff,0x440007ff,
    0xfffffffe,0x401effff,0x7fd44ffd,0x7ffc0007,0x509ffb04,0xf8800dff,
    0xfffd2fff,0x4c7fffff,0xffffffff,0xffffffff,0x7fc402ff,0x2617fdc5,
    0xffffffff,0xffffffff,0x3f9802ff,0x809ffb00,0x3ea04ffd,0x7fc0007f,
    0x7fcc004f,0xfb700007,0x7dffffff,0x89ffb001,0x40004ffd,0xffb07ffc,
    0x00dff509,0x3a5fff70,0xffffffff,0x3ffffe63,0xffffffff,0x402fffff,
    0x7fdc5ff8,0x7ffffcc2,0xffffffff,0x802fffff,0xffb001c8,0x04ffd809,
    0x00013ff6,0x9800fff9,0x400007ff,0x009aaa98,0x0027fec0,0x00000000,
    0xbba80000,0x01bbbbbb,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00c00000,
    0x2a660000,0x0024c009,0x000cd54c,0x00066660,0x00026662,0x4cc41998,
    0x01998000,0x00d54400,0x00266600,0x01998800,0xfa8fff60,0xff70006f,
    0x003ffc49,0x07bff200,0xffd98000,0x41dfffff,0xda804ff8,0xdfffffff,
    0xfffb8001,0x7ffcc002,0xfff10005,0x4002ffd8,0x4005fffb,0xfffffec8,
    0xfffb0003,0xff100001,0x7fec00bf,0x001bfea3,0xff127fdc,0x7cc0000f,
    0x10000d71,0xfffffffd,0xd11bffff,0x7f4c01df,0xffffffff,0x64000eff,
    0xfa8006ff,0xf88000ff,0x017fec7f,0x7fffff50,0x3fffa200,0x006fffff,
    0x0009ffd0,0x800dff90,0x3fea3ffd,0x9ff70006,0x0003ffc4,0x001f89b0,
    0x3ffffea0,0xffedcbce,0x200ffeff,0xcefffffb,0xffffffdb,0x17ff4002,
    0x027fdc00,0x363ffc40,0xff1002ff,0x803ffd3f,0xa9cfffe8,0x8004fffd,
    0x0000fff8,0x0003ffe2,0x55441553,0x35530002,0x00015544,0x007ccb70,
    0x3ffffa80,0x7ffffdc0,0x3fffee01,0x3ffee603,0x3fa2002f,0x1ffb0006,
    0xa8555000,0xffd000aa,0x803ffe67,0xff505ffd,0x3fe6000f,0x3ff20004,
    0x00000002,0x00000000,0x0275efc4,0x1efff880,0x1ffff100,0x03bffe20,
    0x07fff4c0,0x00199300,0x0000b320,0x4cc98000,0xff01e654,0x07ff403f,
    0x004ca800,0x2600b320,0xffffffff,0xffffffff,0xffc8006f,0x9000001f,
    0x20003fff,0x2000fffd,0xb05ffffb,0x88001fff,0x00005fff,0x00000000,
    0x98000000,0x3ff406ff,0x00000000,0xfffff300,0xffffffff,0x000dffff,
    0x000bffff,0x17fffe00,0x13ffe200,0xffdffa80,0x1fffcc1f,0x0fffb800,
    0x4cc00662,0x05554400,0x15551000,0x55544000,0x06ff9800,0x20017fe6,
    0x0009aa98,0x009aa988,0x3fffffe6,0xffffffff,0x54006fff,0x000fffff,
    0x7fffd400,0x7fdc000f,0x9ff5000f,0xff917ffa,0xfff8000d,0x1007ff63,
    0x3fea0dff,0x004fffff,0x3fffffea,0x3fea004f,0x204fffff,0x3f605ffa,
    0x3ff2002f,0x03ffffff,0xffffffc8,0x7ff983ff,0x36000000,0x003ffbff,
    0x7dffec00,0x7ff4003f,0x4bff3004,0x7ffc7ffb,0x7fec0003,0x1007ff66,
    0xffe88dff,0xefffffff,0x3fffa201,0x1effffff,0x3ffffa20,0x81efffff,
    0xff304ffa,0x3ffa600d,0xffffffff,0xffffd305,0x8bffffff,0x00007ff9,
    0xf1bff100,0x440000df,0x06ff8dff,0x401fffc0,0x7fcc6ff8,0x05fff10f,
    0x0fffc800,0xf8803ffb,0x5fffec6f,0x1ffff731,0x46ffff60,0x00ffffb9,
    0x2637fffb,0x540ffffb,0x5ffb04ff,0x7bfff100,0x3fffa663,0x5efffc42,
    0x5fffd331,0x0003ffcc,0xb3ffb800,0x200005ff,0x5ffb3ffb,0x07ffe200,
    0x881dfd10,0xfff31fff,0xffa80001,0x803ffb0f,0x3fea6ff8,0xbffd101f,
    0x203fff50,0xfa85ffe8,0xffd101ff,0x984ffa8b,0xff7006ff,0x45ffd80d,
    0x7ec06ffb,0x01ffe65f,0x7ff40000,0x000bff50,0x7d43ffa0,0xfff3005f,
    0x00ffe801,0x3fea5fff,0xff980007,0x803ffb1f,0xfff16ff8,0x1fff8805,
    0x100bffe2,0x7fc43fff,0x7ffc402f,0x2e13fea1,0xfff005ff,0x46ff9805,
    0x7cc02fff,0x01ffe66f,0x3fe60000,0x003ffe26,0x44dff300,0xfa800fff,
    0x0ffec07f,0x3ee7fff0,0xff00007f,0x007ff65f,0x3fe6dff1,0x49ff9006,
    0xf9006ff9,0x037fcc9f,0x3ea4ffc8,0x0fffa84f,0x88029980,0x014cc6ff,
    0xff337fc4,0xb000000f,0x3ffd87ff,0x1ffec000,0x2600fff6,0xff900fff,
    0x52fff805,0x10000fff,0x3ff63fff,0xbb7fc401,0xff5004ff,0x8027fdcb,
    0x3fee5ffa,0x4bff5004,0xfff04ffa,0x2200003d,0x10007ffb,0x7fccfff7,
    0x44000007,0x7fd40fff,0x3fe20007,0x03ffd40f,0x5c0fffc4,0x7fc402ff,
    0x01fff31f,0x27ffa800,0x7c401ffd,0x007ff96f,0xffc9ffe6,0x4fff3003,
    0xf3003ffc,0x827fd4ff,0x003ffff9,0x3fb72e62,0x4c407fff,0xffffedcb,
    0x2afffe67,0xaaaaaaaa,0xf7002aaa,0x0bffe0bf,0x82ffdc00,0xff802fff,
    0x01ffd42f,0xf88fffcc,0x5c0002ff,0x07ff66ff,0x3f6dff10,0xfff1002f,
    0x400bff61,0xffb0fff8,0x3ffe2005,0x4c09ff50,0x200efffe,0xffffffeb,
    0xd707ffff,0xffffffff,0x7ffccfff,0xffffffff,0x006fffff,0x3f205ffd,
    0xffd0005f,0x017ff205,0xffa93ffa,0x8fff7004,0x40003fff,0x3ff65ffc,
    0xdb7fc401,0xff1002ff,0x8017fecf,0x3ff67ff8,0x4fff1002,0x6c404ffa,
    0x7440efff,0xcdffffff,0x7447ff9a,0xcdffffff,0x3e67ff9a,0xffffffff,
    0x6fffffff,0x207ff980,0x4000fff9,0x3e607ff9,0x7fdc00ff,0x400bff37,
    0x7fe44ffe,0x7ff40006,0x3007ff64,0x0fff2dff,0xf93ffcc0,0x3fe6007f,
    0x400fff27,0x3fea7ff9,0x7fff7004,0x0acfffe8,0x7f47ff98,0xf980acff,
    0x33ffe67f,0xcccccccc,0xc803cccc,0x7ff404ff,0x27fe4004,0x2013ffa0,
    0x06ffcfff,0x307ffee0,0x2c807fff,0x360fffc8,0x7fd402ff,0x2009ff76,
    0x3fee6ffa,0x4dff5004,0xf5004ffb,0x027fd4df,0x7ccdff50,0x7fd401ff,
    0x007ffe67,0x7fccfff5,0x3e000007,0x99999bff,0x007ffc99,0x4ccdfffc,
    0x7ffc9999,0xeffffb80,0xdfff1000,0x403fff60,0xff32eff8,0x02ffc87f,
    0xffab7fe4,0x49ffb006,0xfb006ffa,0x037fd49f,0x3ea4ffd8,0x3fe2004f,
    0x00bff70f,0x7fdcfff7,0x27ffb805,0x00007ff9,0xffffff50,0xffffffff,
    0x3fea005f,0xffffffff,0x802fffff,0x3002ffff,0x2201fffd,0xe980efff,
    0x6ffeefff,0x2205ffc8,0x3ffa6ffe,0x0fffcc03,0xf300fffa,0x3ffe83ff,
    0x50fffcc0,0x104b89ff,0x3ff21fff,0x3fff4405,0xe880bff9,0x1ffe67ff,
    0x7fec0000,0xffffffff,0x005fffff,0xfffffffb,0xffffffff,0xffffd00b,
    0xffffb807,0x7fffd403,0xffffb503,0x5fff503f,0xa9bfffa0,0xfd102fff,
    0x5fff50bf,0x217ffa20,0xd102fffa,0x4ffa8bff,0x3f20fffa,0x03ffee6f,
    0x73ffff44,0x3a201fff,0x3fe67fff,0xf8800007,0xaaaaabff,0xfffbaaaa,
    0x5fffc401,0xaaaaaaaa,0x201fffba,0xfffffffd,0xfffdcacd,0xff5003ff,
    0xd959bfff,0x03dfffff,0x2ab7fffe,0x46feefec,0x99acfffd,0x3605fffb,
    0xb99acfff,0x3f605fff,0xfb99acff,0x4ffa85ff,0x2a73ffe6,0x3e62fffd,
    0xba89beff,0x30fffffe,0x5137dfff,0x1fffffd7,0x0001ffe6,0x001bfee0,
    0xfb809fff,0x7ffc006f,0xb15ff904,0xffffffff,0x8003dfff,0xffffffe9,
    0xffffffff,0x7ffd40cf,0xe8efffff,0x7ffe446f,0x05ffffff,0x7ffffe44,
    0x4405ffff,0xfffffffc,0x9ff505ff,0xffffffa8,0xfffb84ff,0x8dffffff,
    0x3fee2ffd,0xdfffffff,0xff32ffd8,0xfd00000f,0xffc8007f,0x01fff407,
    0x2a1fff20,0x7fecc3ff,0x02dfffff,0x7ffed400,0xf51dffff,0xfd887fff,
    0x3fa4ffff,0xffffd506,0x754007bf,0x03dfffff,0x3ffffaa0,0x3fea03df,
    0xffffda84,0x3ffaa02f,0x3ea2efff,0x7fff545f,0x3fea2eff,0x000fff35,
    0x00fff980,0x817ffc40,0x4000fff9,0x4b82fff8,0x00d54c40,0x9aa98000,
    0x07ff9101,0x2000054c,0x980001a9,0xa980001a,0xa9800001,0x06a62001,
    0x01a98800,0x001ffe60,0x00bff900,0x641bff60,0xfb0005ff,0x000000df,
    0x88000000,0x0000000d,0x00000000,0x00000000,0x00000000,0x3fffe600,
    0xffffffff,0x42ffffff,0x50002fff,0xfff03fff,0x3fea0005,0x0000001f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0xfffffff9,
    0xffffffff,0x3fea2fff,0x7ffc0007,0x003ffd44,0x0013ffe0,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xffff3000,0xffffffff,
    0x45ffffff,0x40004ffd,0x7fec7ffc,0x7fe40004,0x00000007,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x98003333,0x19980019,0x20004cc4,0x30000bda,0x55400033,0x80015501,
    0x26001998,0x004cc419,0x0004ccc4,0x00333100,0x80003330,0x98000999,
    0x55400009,0x00999881,0x01fffcc0,0x009fff90,0x3fa3ffc4,0x2fb6002f,
    0xffc8006d,0xff88004f,0x002ff982,0x4017ffe2,0x7fec7ff8,0x5fff9802,
    0xfff10000,0xfffc800b,0x3ffe0005,0xfffb5003,0xf90001bf,0x1fffa01f,
    0x00bffb00,0x1fffffd4,0x747ff880,0x1f1002ff,0xff500174,0xa8005fff,
    0x0ffb80ff,0x03bff200,0x363ffc40,0xff5002ff,0xf900001f,0x7d4001df,
    0x0003ffff,0xf1007fff,0x0bffd9df,0x202ff980,0x3003fff8,0x22001dff,
    0x1ffe9fff,0x747ff880,0x8f5002ff,0xfff1003d,0x4003ffd1,0x0df907fc,
    0x00fffc40,0xfd8fff10,0x3ff2002f,0x7fc40004,0x3fe2001f,0x001ffe9f,
    0xe803fff8,0x00ffdc6f,0x9804fe88,0xffb007ff,0x9fff4003,0x4400fff9,
    0x055542aa,0x03e67f00,0xf99fff40,0xbfb000ff,0xb8017fa0,0x544002ff,
    0x0055542a,0x0003ff60,0x4002ffb8,0xfff33ffe,0x1aaa8001,0xffb81300,
    0x01dfb001,0x200ffea0,0x326002cc,0x0166544c,0x75400000,0x995003ff,
    0x002ccb87,0x0ffe09ff,0x0003cb80,0x32200000,0x32e0001c,0x2664c003,
    0x0000f32a,0xbff73000,0x007fea00,0x00007970,0x00000000,0x0000c000,
    0x5ff10000,0x0005ff30,0x00000000,0x00000000,0x00000000,0x00fffe00,
    0x0001ffc4,0x33001988,0x9aa98801,0xaa988000,0xa9880009,0x0662009a,
    0x99884cc0,0x99affb99,0x19affb99,0x00555440,0x03553100,0x06aa6200,
    0x0d54c400,0x1aa98800,0x07ff6000,0x9ffdb100,0x000dfd00,0x7fec1331,
    0x837fc401,0xfffffffc,0xfffc803f,0x803fffff,0xfffffffc,0x01ffd83f,
    0xffcb7fc4,0xffffffff,0x7fffffff,0xffffff50,0x7f4c009f,0x004fffff,
    0xffffffd3,0x3ffa6009,0x3004ffff,0x9ffffffd,0x03ffb000,0x01ffcc00,
    0x90001ff7,0x0ffec7ff,0xd31bfe20,0xffffffff,0x3fa60bff,0xffffffff,
    0xfffd305f,0xbfffffff,0x4401ffd8,0xffff96ff,0xffffffff,0x88ffffff,
    0xfffffffe,0x7e401eff,0xffffffff,0x3fff200e,0x0effffff,0x3fffff20,
    0x200effff,0xfffffffc,0x3a000eff,0xfd80007f,0x005ff306,0xfd8fff20,
    0x37fc401f,0x237bfff1,0x42fffe99,0x31bdfff8,0x885fffd3,0x331bdfff,
    0x7ec5fffd,0xb7fc401f,0xdffaaaa9,0xdffbaaaa,0x7ffec2aa,0xffff731b,
    0x33fff201,0x0dffd511,0x4473fff2,0xf906ffea,0x3aa239ff,0xfff906ff,
    0x3ffaa239,0x0dff3006,0xf885ff10,0x05fe886f,0xd8fff200,0x7fc401ff,
    0xb01bfee6,0x6ffb8bff,0x2e2ffec0,0x7fec06ff,0x1007ff65,0x3fe60dff,
    0x501ff982,0x3a203fff,0xfff985ff,0x87ffb101,0xb101fff9,0xfff987ff,
    0x87ffb101,0xb101fff9,0xfe8807ff,0x7ff9004f,0x907ffd73,0x640001ff,
    0x07ff63ff,0x7fcdff10,0x37fcc02f,0xf300bffe,0x02fff8df,0xffb37fcc,
    0x06ff8803,0xff701ff5,0x05fff101,0x741fff88,0x7fc403ff,0x00fffa0f,
    0x7f41fff1,0x7ffc403f,0x100fffa0,0x3a201fff,0x3e2006ff,0x85ffffff,
    0x40001ffa,0x3ff63ffc,0x337fc401,0xdff10053,0xf8802998,0x4014cc6f,
    0x3ff66ff8,0x837fc401,0x0dfb07fc,0x6401bfe6,0x1ffe64ff,0xf99fff40,
    0x7ffd007f,0x7401ffe6,0x0fff33ff,0x220fffa0,0x4001fffe,0x81cdecb8,
    0x4c404ff8,0xd8fff200,0x7fc401ff,0xffb88006,0xff710007,0x3ee2000f,
    0x007ff67f,0x3f60dff1,0x2e09fd05,0xff5004ff,0x802ffd4b,0xbff54ffb,
    0x553fee00,0xff7005ff,0x4017fea9,0x7f444ffb,0x000001ff,0x3a2037ec,
    0x8fff206f,0x7c401ffd,0x32e6206f,0x07ffffed,0x7f6e5cc4,0x4c407fff,
    0xffffedcb,0x1007ff67,0x13fe0dff,0x7e40ffe2,0xfff3003f,0x7777ffdc,
    0xfeeeeeee,0xddfff75f,0xdddddddd,0x3ffeebff,0xeeeeeeee,0xff75ffee,
    0xdddddddf,0xe8bffddd,0x00001fff,0x200ffdc0,0x3f206ffd,0x007ff63f,
    0xfd70dff1,0xffffffff,0x3ffae0ff,0xffffffff,0xffffd707,0x4fffffff,
    0x7c401ffd,0xff75536f,0xff955559,0x3f655559,0xfff1002f,0x3fffff21,
    0xffffffff,0xffff96ff,0xffffffff,0x3ff2dfff,0xffffffff,0xf96fffff,
    0xffffffff,0x4dffffff,0x0001fffb,0x01ffcc00,0xc81bfff2,0x07ff63ff,
    0x744dff10,0xcdffffff,0x7447ff9a,0xcdffffff,0x7447ff9a,0xcdffffff,
    0x3f67ff9a,0xb7fc401f,0xfffffffc,0xffffffff,0x05ffb7ff,0xfc9ffe20,
    0xeeeeeeef,0x95eeeeee,0xddddddff,0xbddddddd,0x3bbbbff2,0xeeeeeeee,
    0xdddff95e,0xdddddddd,0x17ff4bdd,0x7f400000,0x7fffdc05,0xd8fff206,
    0x7fcc01ff,0x2b3fffa6,0x747ff980,0x980acfff,0x7fff47ff,0x7ff980ac,
    0xf3007ff6,0x3ffff2df,0xffffffff,0xf97fffff,0x3fe6007f,0x0013fee7,
    0x0004ffb8,0x80013fee,0x40004ffb,0x031007ff,0x803ff200,0x06fccffa,
    0xffd8fff2,0x9b7fd402,0x7d401fff,0x07ffe67f,0x7ccfff50,0x7fd401ff,
    0x500bff67,0x3a662dff,0xf99999df,0x719999df,0x3ea009ff,0x017fea6f,
    0x005ffa80,0x0017fea0,0x0005ffa8,0x5c01bfe6,0x3ea005ff,0x57fe602f,
    0x3ff206fc,0x900bff23,0x17feedff,0xfb9ffee0,0x7ffb805f,0x2e017fee,
    0x0bff27ff,0xff0dff90,0x407ff107,0xfb006ffa,0x07ffcc9f,0xf9966dc0,
    0xcdb800ff,0x001fff32,0x3fe659b7,0x2cdb800f,0xd001fff1,0x3e2005ff,
    0x97fa204f,0x3ff206fc,0x8817ff23,0xbff96ffe,0x27ffe880,0x74405ffc,
    0x17ff27ff,0x64fffd10,0x3fa205ff,0x417fcc6f,0x7f401ffa,0x7ffcc03f,
    0x2027ff41,0x3fa3fff9,0x7ffcc04f,0x3013ffa3,0x7ff47fff,0x1fffcc04,
    0xfa809ffd,0xdfb000ff,0x320efe80,0x8fff206f,0xfd02fffa,0x3ffeedff,
    0xffffd100,0x8807ffdc,0x3ee7fffe,0xffd100ff,0x17ffd4ff,0x546fffe8,
    0x07fb80ff,0x102fffa8,0xff30bffd,0x7fff407f,0x80fffe60,0x3e60fffe,
    0x3ffa03ff,0x0fffe60f,0x2e0fffe8,0xff302fff,0x3fee00bf,0x3fffe201,
    0x84ffffff,0x7ffc3ffc,0xefecaadf,0xdfff36fe,0xffd75137,0x3fe61fff,
    0xeba89bef,0xf30fffff,0x75137dff,0x41fffffd,0xcaadffff,0x646feefe,
    0x00dfb07f,0x26b3fff6,0x205fffb9,0x99adfffd,0xd82fffec,0xc99adfff,
    0xfd82fffe,0xec99adff,0xffd82fff,0xfec99adf,0xfffd82ff,0xfffeb9ad,
    0x3ff8800e,0x7ffffc40,0xc84fffff,0x7ffd43ff,0xe8efffff,0x3fffee6f,
    0xd8dfffff,0x3ffee2ff,0x8dffffff,0x3fee2ffd,0xdfffffff,0x3ea2ffd8,
    0xefffffff,0x2ff46fe8,0x91004fe8,0xffffffff,0xfff900bf,0x5fffffff,
    0x7ffffe40,0x202fffff,0xfffffffc,0x3f202fff,0xffffffff,0xfffb102f,
    0x3dffffff,0x0017fa00,0x7e40df90,0xfffd883f,0x51bfa4ff,0x5dfffffd,
    0x3aa2ffd4,0x22efffff,0x7f545ffa,0x2a2effff,0x7fec45ff,0x1bfa4fff,
    0x7ff107ff,0xfffea800,0x26003dff,0xcffffffd,0xfffd9800,0x9800cfff,
    0xcffffffd,0xfffd9800,0x9800cfff,0x3efffffd,0x003ff200,0x640df900,
    0x054c03ff,0x00d4c400,0x00353100,0x000d4c40,0x44002a60,0x0aa880aa,
    0x006a6000,0x006aa200,0x001aa880,0x0006aa20,0x0001aa88,0x26000662,
    0xa80002ff,0x0000003c,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0cc00000,0x01553000,0x50000660,
    0x01530035,0x00015500,0x00004d4c,0x009a9980,0x03531000,0x31066600,
    0x00000013,0x00000000,0x03553000,0x07fe4000,0x02ff4400,0x0000ffc8,
    0x7dc01ff9,0x5001efff,0xf70001ff,0x001dffff,0xffffb300,0x8001bfff,
    0xfffffeda,0xff9801ce,0x4017ff47,0x0befffdb,0xbffb9100,0xfda80017,
    0x30003cef,0xffffffd9,0x7e40005b,0xfd8000ff,0xfffc800e,0x2ff98000,
    0x3fbfff20,0x3fe801ff,0xffffd800,0x0001ffff,0xffffffd3,0x009fffff,
    0x3ffffff2,0x403fffff,0x7ff47ff9,0x3fffa602,0x402fffff,0xfffffffa,
    0x7f4400ef,0x0effffff,0x3ffff200,0xffffffff,0x3ffee001,0x7d4000ff,
    0x7ffdc01f,0x744000ff,0x37fe204f,0xb80dfd30,0x7dc000ff,0xffeb9cff,
    0x7fd4000e,0xdcacceff,0x2205ffff,0xccdffffd,0x04ffffdc,0xffd1ffe6,
    0x3fffe205,0x2ffffdbe,0x7bffff70,0x203fffd9,0xdbdfffe8,0x4c00efff,
    0xbceffffe,0x3ffffffc,0xfbcff880,0x3fe2000f,0x5e7fc403,0x7ec000ff,
    0x03ff200e,0x7fc05ff5,0x2fff8003,0x0017ffc4,0x405dfff5,0x905fffc8,
    0x64405fff,0x55104fff,0xd00aaa85,0xfd883dff,0x7ffc40ff,0x06ffc80e,
    0xe881dff9,0x3fe606ff,0x3ae604ff,0x64403fff,0x4001ff50,0x0c8806fe,
    0x54001ff5,0x37ec01ff,0xfb81ffc4,0x7fcc000f,0x009ffb07,0x003bffe2,
    0x7417ffe4,0xff9002ff,0xf300000d,0x3fe203ff,0x037fec3f,0xff10fff2,
    0x0fff401f,0x001effe8,0x003fffd1,0xb8007fd4,0xfa8000ff,0x7ff1000f,
    0x3e0bfd00,0x03ff884f,0x907ff980,0x3f6007ff,0x7f4000ef,0x037fc45f,
    0x0007ffe0,0x80dff500,0x3fe24ffd,0x3ffc401f,0xf7017ff2,0x3fff509f,
    0x0dffd000,0x4007fd40,0x50002ff9,0x3f6001ff,0x20bfd006,0x07fb84ff,
    0x20bffe00,0xf8800fff,0xfa8003ff,0x1bfea1ff,0x447ff900,0x41330019,
    0x7d405ffb,0x01bfe65f,0xffd0ffec,0x0fff8805,0x0013ffe2,0x8017ffcc,
    0xfe800ffa,0x3fea0005,0x00ffb800,0xff10dfb0,0x003ff887,0xc83fff60,
    0xff7005ff,0x055c000f,0x8007ffe2,0x0ffec198,0xf99bfe20,0x3ff600ff,
    0x4017fea3,0xfff13ffc,0xb87ffa00,0x20000fff,0xf5005ffe,0x0ffc801f,
    0x03fea000,0x4005ff30,0x2ff987fc,0x20003fe4,0xfd8efff8,0xffd001ef,
    0x3a00000b,0x40000dff,0x7c401ffd,0x81fffc6f,0x3ee1fff8,0x9ff9004f,
    0x6c01ffe6,0x13ff23ff,0x1fff9000,0x401ff500,0x40001ffa,0x7f400ffa,
    0x17fd4005,0xff883ff6,0xffa80003,0x000dffff,0x00013ffe,0x67fffe40,
    0xffd8000a,0x237fc401,0x710bfffb,0xffa8bffd,0x2bffb005,0xf9006ffa,
    0x01ffec9f,0x07ffea00,0x4403fea0,0xa80004ff,0x3ff200ff,0xdffe8000,
    0x7e43ffeb,0x3fa00006,0xf8004fff,0x000003ff,0x3ffffff2,0xffb001bd,
    0x86ff8803,0xffefffe9,0x7ff983ff,0x2abffd00,0xff9005ff,0x0017ffc9,
    0x00bffe60,0x7ec03fea,0xff500006,0x007fea01,0x7ffff440,0x017fc44f,
    0x7ffecc00,0x7c4002ff,0x000001ff,0x7fffffd4,0x3602dfff,0x7fc401ff,
    0xfffff506,0x7ffc09ff,0xb7ffd403,0xf7005ffb,0x07ffe2bf,0x0fffe000,
    0x7dc13260,0x4006601f,0x9ff104c9,0x2a009880,0x6fc81cdc,0xf7001310,
    0x1fffffff,0x0fffcc00,0x5c400000,0xfffffffe,0x1ffd80ef,0x2237fc40,
    0xffeffffe,0xffb81eff,0xffff302f,0x4013feed,0xfff35ffa,0xffd00001,
    0xff980007,0xffffdb83,0x3f60000c,0x006fe806,0xd30bfe20,0x2e03dfff,
    0xff98dfff,0x4056546f,0x00002fff,0x7f654400,0x6c2fffff,0x7fc401ff,
    0x07bffe66,0xd03fffb1,0x9535bfff,0x2ebffbff,0xff7004ff,0x003ffe6b,
    0x00fffe00,0xf90bfd00,0x09fffdff,0x007fee00,0x4000dffb,0x7ffd46fc,
    0x7d42ffff,0x7ffdc4ff,0x3a13ffa4,0x000003ff,0x7ff5c400,0x07ff62ff,
    0x7ecdff10,0x37fe405f,0x7fffff4c,0x5ff9bfff,0x2e00bff5,0x5fff14ff,
    0xfff88000,0x3ff20002,0xb127fcc0,0xf98001ff,0x7ffe403f,0x5ff30006,
    0xfd52efe8,0xb05ffe8d,0xfff17fff,0x009ff901,0x5c000000,0x3ff65fff,
    0x9b7fc401,0xfe800fff,0xffff900f,0x53fea5df,0xf9005ff9,0x01fffc9f,
    0x07ffe600,0x417fd400,0x1ffa84c9,0x202ff400,0x006feffb,0xffa8dfb0,
    0xf99ffcc2,0x3ffa01ff,0xf705ffdf,0x5dc000df,0x40004c41,0x3ff67ffa,
    0xab7fc401,0xff7006ff,0x055cc407,0x7fc53fee,0x47ff9006,0x40004ffd,
    0x8000fffa,0xc8004ff8,0x7fe4007f,0x333fe600,0xff98006f,0xff83fe42,
    0x880fff54,0x02ffffff,0x4000fff3,0xfff34ffe,0x4bffe000,0x7cc01ffd,
    0x009ff76f,0x80017fea,0xfff12ffc,0xb8bff600,0x20000fff,0xb0005ffe,
    0xff5000df,0x17fcc009,0x3f2bff30,0x86fd8006,0x2bfd07fd,0xf9807ffa,
    0x7fc06fff,0xff98002f,0x007ffe1f,0x7ec7ffa0,0xb7fd402f,0xf5005ffb,
    0x7fc000bf,0x007ffe0f,0xff883ffe,0xff50004f,0xff70005f,0x5ffc8003,
    0x813fe200,0x1bf25fe8,0xb05ff300,0x4dbfa0df,0xfc802fff,0x7fe406ff,
    0x7ff4000f,0x0027fe46,0xffc9ffe2,0x9b7fe402,0xff7007ff,0x2007fec9,
    0x7fe46ffa,0x437fd403,0x8001fffc,0x88006ffe,0x3a2003ff,0x7ec004ff,
    0x9077f406,0x6fd800df,0x3fa0ff90,0x3017ffe5,0x40bfffff,0x000efff8,
    0xfa85fffb,0x3f2004ff,0x817ff25f,0xff16ffe8,0xfff8805f,0xb013ff62,
    0x6ff885ff,0xe81ffec0,0xd1001fff,0xd0003fff,0x7fcc00bf,0x7fdc002f,
    0x3fffe201,0x04ffffff,0xf701ff98,0x5c9ff01f,0xff503fff,0x40bfffff,
    0x00befffb,0x109fffb3,0x403dfffd,0x2a2fffe8,0xffd02fff,0x17ffdcdf,
    0x5c6ffd88,0xffb00fff,0x413ff60d,0xf300fffb,0xfa809fff,0xc8003fff,
    0xff5000ff,0xff88003d,0x7fffc403,0x04ffffff,0x3e605fe8,0x20ffdc3f,
    0xcabdfffe,0xfe9efffe,0x3fee05ff,0xdcbcefff,0x2205ffff,0xcefffffd,
    0x2fffffec,0xaadffff8,0x46feefec,0x99acfffe,0xe80fffeb,0xeb99cfff,
    0xff301fff,0xffb535bf,0xfff9805f,0xfdcaceff,0x8003ffff,0xf3002ff9,
    0x99999bff,0x002ff403,0x5401bf20,0x7fec01ff,0x885ffdad,0xfffffffd,
    0x3ff624ff,0x3ffea01f,0xffffffff,0xffc800cf,0xffffffff,0xfff501ff,
    0xd1dfffff,0xfffd88df,0x1effffff,0xffffff10,0x9803ffff,0xffffffff,
    0xffb1003f,0xffffffff,0xd10003ff,0x7fec00bf,0x3fffffff,0x0001ff90,
    0xfd006fc8,0xfffd100b,0x75c01dff,0x02dfffff,0xd71005fb,0x9fffffff,
    0xffda8001,0x0cdfffff,0x7fffec40,0x541bfa4f,0x4ffffffe,0xffffc880,
    0xb1000cff,0x03dfffff,0xffff9300,0x0005bfff,0x900077ec,0x99999999,
    0x05ff3039,0x00795000,0x5c003ff5,0x22003ded,0x005000a9,0x01355310,
    0x2aa66000,0x02a60000,0x09a98800,0x03553000,0x009a9800,0x35531000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x01331000,0x0000ccc0,0x0000d540,0x0004d54c,
    0x09aa9880,0x00000000,0x26205544,0xaa988001,0x98800001,0x200009aa,
    0xccccccca,0x9983cccc,0x00998800,0x0009aa98,0x7ffcc000,0x06ff8800,
    0x33bffb22,0x0017f602,0x7ffffdc4,0xb88000df,0xeffffffe,0xb730000b,
    0x1005bdff,0x5fffffd7,0x22003ff6,0xffffffeb,0x710002ce,0xdffffffd,
    0xffd80017,0xffffffff,0x02ffcc6f,0xdb817fe4,0x03ffffff,0xdffdb710,
    0x0fffa039,0x5c0ffee0,0xffffffff,0x000ff705,0xfffffff1,0x64007fff,
    0xfeeeffff,0x4003ffff,0xfffffffa,0x3ffa00df,0xdbffffff,0x7fe400ff,
    0xffffffff,0x7e4004ff,0xffeeefff,0x3e003fff,0xffffffff,0x7fcc6fff,
    0x42ffc805,0xffffffd8,0x7dc06fff,0xffffffff,0x02ffdc0c,0x7d407ff4,
    0xffebdfff,0x0ffc40ef,0xbfffd100,0x3ffff935,0x2dffe980,0x1bffd710,
    0x9ffff900,0x20bfffb7,0xa88bfffc,0x00fffffd,0xbfffffd1,0xffffd979,
    0xffe9803d,0xffd7102d,0xeff8801b,0x99999999,0x02ffcc09,0x3f617fe4,
    0xff931cff,0x3ffee0bf,0xfffecbce,0x007ffc46,0xff10dff3,0xffd9819f,
    0x2004fe85,0xfb00fffd,0x77fd40ff,0x3ffea001,0x0bffea00,0xf70fffe6,
    0x3ff201df,0xfff880ff,0x7fe400df,0x3bfea07f,0x3ffea001,0x013fea00,
    0x402ffcc0,0x3fea2ffc,0x3fff501f,0x503fff98,0xffd89fff,0x20fff203,
    0x3e605ffc,0x006fc87f,0xf980fffe,0xdff881ff,0x6fe88000,0xb813ffa0,
    0x0fffc6ff,0x203fffa0,0x2003fffd,0xf882fff9,0xe88000df,0x0bfee06f,
    0x02ffcc00,0xffb17fe4,0x44ffd807,0x7d405ffd,0x1bfea0ff,0xfe80fff8,
    0x17ff401f,0x26003fea,0x7ec00fff,0x226fe84f,0x00999999,0xff309fd1,
    0x0fff880d,0xf500bff3,0xfffa81ff,0x6ffb8002,0x95106fe8,0x9fd10159,
    0x0007ff60,0x6402ffcc,0x03ffe2ff,0xff835930,0x1ffe800f,0x7d40fffc,
    0x00db705f,0xff887ff9,0x06ffa802,0x7d409a88,0x3ffff60f,0xf981efff,
    0x00ffec1f,0xffa84ccc,0x81fff003,0x20005ffe,0x3fea2fff,0x7ffff440,
    0x7fcc0dff,0x0007fe81,0x32017fe6,0x0dff12ff,0x03ffcc00,0x7e43ffd8,
    0x02ffd84f,0x81ffd800,0xffa804fd,0x1ff40006,0x3b333bf6,0x4fc81fff,
    0x90003ffc,0x3fe005ff,0x07ffe60f,0x741cb800,0x5f7f443f,0xc84ffc99,
    0x8b7fc44f,0x4c00abb9,0xffc805ff,0x000bff52,0xd80154c4,0x3ffcc2ff,
    0x0001ffe2,0x7dc1ffe6,0x07ff9807,0xb03fe600,0x09fd107f,0x3fe21ff3,
    0xffb00305,0x83ffa003,0x00007ffb,0x7f40ff98,0x42ff880e,0x3fe60ff9,
    0xffffffbc,0x0bff300e,0x3ee5ffb0,0x0000004f,0x7f40fffc,0x013fee1f,
    0x3fffa880,0x8803ff30,0x70001fff,0x207fb09f,0x25fd06fb,0x3f6e3ff9,
    0xffb03eff,0x83ffa005,0x00006ffe,0x7fc44fb8,0x3a072a01,0x3fffee2f,
    0xffffffff,0x806ff983,0x9ff92ffd,0x5c000000,0x9ff707ff,0x2000fff4,
    0x2ffffec8,0x7401ffc0,0xfb0004ff,0x3a07fb07,0x2a7f903f,0xfffe8bff,
    0x640dffff,0xfff003ff,0x0027ff41,0x2a1fec00,0x3f20005f,0x33ffff23,
    0xffffba9a,0x4037fcc1,0xbff52ffd,0x22000000,0xff103fff,0x001bfe2f,
    0x13ffffe6,0x74c17f60,0xeeeffffe,0x0ff400ee,0x5ccce7ec,0x9f700ffd,
    0x3ffaffee,0x6fffeccd,0x44027fdc,0x3ffe0fff,0xfe800003,0x00027e41,
    0x77ff49f7,0x8dffd100,0xfe807ff9,0x00bff32f,0x22000ab2,0x7ec05ffe,
    0x003ffa9f,0xffffefa8,0x03fea02f,0x3fffffe6,0x400fffff,0xfffd81fe,
    0x201dffff,0xffff95fa,0x7fff501d,0x2007ffcc,0xff10fffb,0xddd7003f,
    0x2bdddddd,0x01fec1fe,0x54cbf500,0x7ffcc00b,0x003ffe63,0x3fe25fff,
    0x37fcc00f,0x3fffa200,0x6e7fd400,0x408000ff,0x103fffd9,0xddd305ff,
    0xdddddfff,0xd82fe801,0x03ffecef,0xfff94fb8,0x7ffd401d,0x880fff60,
    0x3fe0ffff,0xfffc802f,0xd7ffffff,0x004fc85f,0x80013ee0,0x3fe64ffc,
    0x3ffee04f,0x7013ffa2,0x744009ff,0xff001fff,0x0000bffd,0xd00fffc8,
    0x7ffd009f,0xb07fb000,0x01ffcc7f,0x7ffe4ff2,0x22ffe802,0xe983fff9,
    0x3fe0ffff,0xfffc803f,0xb7ffffff,0x805fb87f,0x0007f902,0xff337fdc,
    0xfff303ff,0x17ffcc5f,0x001fff98,0x003fffd3,0x017fffe4,0x1fff4000,
    0xfc806fc8,0x4fb8003f,0x7fcc3fd8,0x7dcbfa01,0xffc800ff,0x6f7ffe44,
    0xfffeffec,0x2013ffa0,0xa9999998,0x989f77ff,0x1ff200ff,0x98000bfa,
    0x3ffe67ff,0xffebbeff,0x7fe42fff,0xffeb9acf,0xfff3003f,0xff98003f,
    0x9000007f,0x3fe609ff,0x017fec00,0x3607fcc0,0x80efc83f,0x1bfea7f9,
    0x542ffd40,0xdfffffff,0x7fe47ff8,0x7fcc0006,0xfd81ff37,0x989ff305,
    0x7d40007f,0x3bbfe66f,0xbeffffff,0xfffc82ff,0x04ffffff,0x01dfff50,
    0x013ffa00,0x2ffdc000,0x7c407ff0,0xfb0000ff,0xf883fd87,0x264fc84f,
    0xff5007ff,0x3bb6e609,0xf31ffe2c,0x4c0003ff,0x10ff67ff,0xfb535dff,
    0x24fc81df,0xf7004dc9,0xdaffccbf,0xfa8effff,0xfffd302f,0x2a003dff,
    0x0000dfff,0x26007ff6,0xff9005ed,0x502fec09,0x54000bff,0x40ff60ff,
    0x3fe61ffa,0x003ffe21,0x4000ffee,0xffe86ff8,0x3fe60005,0xd103fea7,
    0x1dffffff,0x3e61ff98,0x7ffb007f,0x5312ffcc,0x3bee0001,0x3fee0009,
    0x7c40004f,0xfff3005f,0x80fff600,0x3ff207fb,0x37ec0000,0x9e640595,
    0xffd84ff8,0x11ffd802,0xff300135,0x07fff70b,0xb1ffe600,0x3772a0df,
    0x84ff882c,0x7d403fff,0x17fe60ff,0x7ffb0000,0x3ffee001,0xffb80004,
    0x0fffe002,0x403fff50,0xffa81ff8,0xfe880002,0xfe98000d,0x01dff306,
    0xff13ffcc,0x07ffd00f,0x000ffff6,0xe88ffff7,0xe98000df,0x3fff906f,
    0x30fffa60,0x80000bff,0x400ffeba,0x0004fff8,0x4007ff98,0xd301fffb,
    0x9fd009ff,0xccaeffa8,0x2031009a,0x2002fff9,0x3a00effb,0xffd106ff,
    0x203ffe89,0xf100fffb,0x2037dfff,0x5ffffea8,0x002fff98,0xe803bfee,
    0xc99befff,0xff985fff,0xf7000005,0x5ffd805f,0xfd9d1000,0xfb0007ff,
    0xf9337dff,0x3f200dff,0x3ffffea6,0xcdffffff,0x3a205fec,0xb980beff,
    0x4c00dfff,0xb99befff,0xffb84fff,0xfeca9cef,0x7ec401ff,0xdcdfffff,
    0x2effffff,0x2fbffa20,0xdfffb980,0x7fff4400,0x04ffffff,0x0000bff3,
    0x3fff2aa6,0x3fffea00,0xffffffff,0x3ffe4fff,0xd10004ff,0xffffffff,
    0x3ea001bf,0xfffff10f,0xffffffff,0xc801ffff,0xfeefffff,0x2003ffff,
    0xffffffe9,0x3ff205ff,0xffffffff,0x3ffee001,0xffffffff,0x3f2003ff,
    0xffeeffff,0x5c003fff,0x2effffff,0x0017fe60,0x7ffffec0,0x7fffec03,
    0xffffffff,0x3ffa4fff,0xfa80004f,0x02ffffff,0xfb17fc40,0x76544139,
    0x00dfffff,0xfffffd50,0x220005bf,0x3dfffffc,0xffffd980,0x88001bdf,
    0xffffffeb,0x50000bde,0xbffffffd,0xa9880005,0x0bff3001,0x37bae000,
    0xfffe801c,0xffffffff,0x0cc4ffff,0x54c40000,0x2aa00009,0x54400261,
    0x2200009a,0x40000099,0x260001a8,0x98000019,0x000009a9,0x00009988,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4cc40000,0x4d4c4009,
    0x04cc4000,0x26209988,0x7ffd3009,0x326005a8,0x0800ed81,0xaa883310,
    0xf8800000,0x0554406f,0x2a600262,0x20b26009,0x2ffd80ed,0xfc800000,
    0x00fff35f,0x7e4bffa0,0x0ff7002f,0x2a01fffd,0xcffffffe,0x7fffc400,
    0x2e2ffe81,0x3f6205ff,0x01ffebdf,0x6fffff44,0x6c806fca,0xfd11ffb0,
    0x0039dfff,0x21bfe200,0xeffffeb8,0x3a60dfd1,0xe886ffff,0xfbadffff,
    0x005ffb06,0xbff90000,0x4001ffe6,0x5ff92ffe,0x98fff300,0xfe881fff,
    0xffffffff,0x3fffa02f,0x17ff40ef,0xf900bff7,0x7003bfff,0xfffffbff,
    0x37f4409f,0xffe9ffd8,0x00ffffff,0x86ff8800,0xfffffffd,0xe886fe9f,
    0xb84fffff,0xfffffdff,0x05ffb04f,0xff900000,0x001ffe6b,0xffc97ff4,
    0x3fffc402,0x7ec0fff6,0xfb99bfff,0xffc80fff,0x7f45ffac,0x817fee2f,
    0x06ffffc8,0xfda8bfa0,0x3fe200bf,0xdffffb06,0x037fecc3,0x237fc400,
    0xb30aeffc,0xf90dffff,0xd0377bff,0x67fed45f,0x005ffb00,0xbff90000,
    0x4001ffe6,0x39952ffe,0x3ffff4c0,0x3ee09ff3,0xffd102ff,0xb0effa8d,
    0x055549ff,0xf9103553,0x05ffb9ff,0x10000660,0x3ff60dff,0x9ffb00df,
    0x6ff88000,0x6403bfee,0xffd86fff,0x00019803,0x0000bff6,0x4d7ff200,
    0xfd0007ff,0x7fe4005f,0x132a7fff,0x4404ffe8,0x33321fff,0x00333221,
    0xe82ffe00,0x000000ff,0x360dff10,0x3e201fff,0x220001ff,0x0bffe6ff,
    0xfd0dfff0,0x0000003f,0x00005ffb,0x26bff900,0xfd0007ff,0xffd3005f,
    0x400fffbf,0xd800fff8,0x000003ff,0x3fe60300,0x554c4005,0x3e662009,
    0x3f6199ff,0x2ffc805f,0x220aa880,0x0dff16ff,0xff0dff70,0xaa88001f,
    0x2ffd800a,0x00006aa2,0xff35ffc8,0x3ffa000f,0x7c413312,0x7ff8bfff,
    0x3e602662,0x9ff7006f,0x20026620,0xc9800998,0xffdcfffe,0xffffc802,
    0xfa83ffff,0x27ffffff,0xfa802ffd,0xffd7104f,0xdff13dff,0x22013fea,
    0xff3316ff,0x5401333f,0x4fffffff,0x3a2bff60,0x00dfffff,0x9affe400,
    0xfd0007ff,0x98bff25f,0x9ffe1eff,0x00403ffc,0xf902ffd8,0x7ff9007f,
    0xfffffb80,0x00efffff,0xffffffd3,0xfa8bffff,0x27ffffff,0xf9801ffd,
    0xffffd05f,0xdff7ffff,0x7c00ffee,0xfffff96f,0xfd109fff,0xffffffff,
    0xd9ffb03d,0xffffffff,0x7fe40003,0x000fff35,0x7fe4bffa,0x3fe0ba62,
    0x000fff27,0x403ffe20,0xfc803ffc,0x3fff203f,0xfffdb9bd,0xdfff884f,
    0xfffd331b,0x7ffccc45,0x03ff6199,0x321ffe20,0xda88afff,0xffb6ffff,
    0x65bfe005,0xffffffff,0x1bfffd84,0x81ffff73,0x8aeffffd,0x00fffea8,
    0x26bff900,0xfd0007ff,0x00bff25f,0x7ff93ffc,0xffe88000,0x00fff205,
    0x7cc0fff2,0xfff503ff,0x80dff70d,0xff885ffd,0x001ffb06,0xffb8dff3,
    0xdfff900e,0x7400fff2,0xfff3316f,0xffa81333,0xbffd101f,0x80efffd8,
    0x0004ffd8,0x3fe6bff9,0x5ffd0007,0x7c00bff2,0x00fff27f,0x0fffe880,
    0x200fff20,0xffb03ffc,0x87ffb809,0x7cc02fff,0x06ff886f,0xf3003ffb,
    0x02fff89f,0xffbb7ffc,0xf0dff004,0x3fe201ff,0x7ffc402f,0x803fff61,
    0x8000fff8,0xfff35ffc,0x4bffa000,0xff002ffc,0x001ffe4f,0x01fffe88,
    0x6401ffe4,0xfff983ff,0x41ffe800,0xff880299,0xb06ff886,0xff5005ff,
    0x4037fc47,0xbff56ffb,0xf0dff100,0x3fe601ff,0x49ff9006,0xfd804ffd,
    0xffc8003f,0x000fff35,0x7fe4bffa,0x64fff002,0xe88003ff,0xfc801fff,
    0x3ffc803f,0x7005ffa8,0x220007ff,0xff887ffb,0x009ffb06,0x7fd43ffb,
    0x36ff9804,0xfa801fff,0x00fff86f,0x2a009ff7,0x0bff65ff,0x0013fee0,
    0x7fcd7ff2,0x5ffd0007,0x7c00bff2,0x00fff27f,0x007fff20,0x6401ffe4,
    0x4ffb83ff,0x809ff500,0xffedcb98,0x6ff887ff,0x401fffb0,0x3ee0fff9,
    0x6ff8803f,0xfd00fff6,0x01fff0df,0x4c00fff2,0x07ff67ff,0x001bfea0,
    0x7fcd7ff2,0x5fff0007,0x7c00bff2,0x00fff27f,0x003fff30,0x6401ffe4,
    0x3ffc83ff,0x20dff300,0xffffffeb,0xf887ffff,0xbfffb06f,0x85ffd101,
    0xff002ffd,0x817ffccd,0xff86fffc,0x05ffb00f,0x6c3ffe20,0xff9800ff,
    0x5ffc8007,0x0001fff1,0x3ff25fff,0x64fff002,0x7e4003ff,0x7fe4004f,
    0x83ffc803,0xf3002ffd,0xfffe88ff,0xf9acdfff,0x06ff887f,0x37dffffb,
    0xb09fff73,0x3fe005ff,0x567ffe46,0x6ffffda9,0xfb00fff8,0x3fe2005f,
    0x2003ff67,0xc8006ff9,0x1fff15ff,0x1fff8800,0x3e005ff9,0x00fff27f,
    0x8003ffb0,0xfc803ffc,0x03ffc83f,0xfe8dff50,0xf980acff,0x06ff887f,
    0xffff9ffb,0x2e0bffff,0xdff003ff,0xffffff70,0xf0dff7ff,0x3ff201ff,
    0x4fff3003,0xfa801ffd,0x900a665f,0x0fffcbff,0x47ffe600,0xff002ffc,
    0x001ffe4f,0x90003ffa,0xff9007ff,0x009ff707,0xff993fee,0x3ffd401f,
    0xfd837fc4,0xffffd8af,0x13fe602d,0x4c1bfe20,0x89effffe,0x0fff86ff,
    0x2009ff70,0x3ff66ffa,0x24ffb802,0x3f600fff,0x00fffa4f,0x7e4fff50,
    0x4fff002f,0x6c003ffc,0xffc8006e,0x83ffc803,0xfd006ffa,0x02ffdc7f,
    0x7c43ffdc,0x85ffb06f,0xfff10019,0x80dff500,0x3fe20a98,0x500fff86,
    0x3f600dff,0x013ff64f,0xffe8fff6,0xc93ffa01,0x7f4006ff,0x00bff25f,
    0x7ff93ffc,0x64000000,0xffc803ff,0x807ffd03,0x3f20fffa,0x7ff4405f,
    0xb07ff887,0xe80005ff,0x7ff403ff,0xdff10006,0x7401fff0,0x7fcc03ff,
    0x03fff61f,0x360fff98,0xfff104ff,0x02fffd45,0x323fffa8,0xfff002ff,
    0x0001ffe4,0x07ff9000,0x2e07ff90,0xfd301fff,0x0fffb87f,0x0ffffd10,
    0x3f603ffe,0x7cc0002f,0xfff901ff,0x3fe2000d,0x200fff86,0xd102fffa,
    0xfffd8bff,0x3ffe880e,0x6c17ffd4,0x7fec0fff,0xff9101cf,0x02ffc8df,
    0x7fe4fff0,0x05554003,0x00fff200,0xfd80fff2,0xfb989cff,0xfff986ff,
    0xfeba89be,0xff80ffff,0x3ff65cef,0xffb80002,0xffea99cf,0xf10006ff,
    0x01fff0df,0x9acfffd8,0xd85fffb9,0x99beffff,0xfd06fffb,0xfffb9fff,
    0xffff305f,0xffdb9bff,0xffc83fff,0x64fff002,0x3e2003ff,0x7e4002ff,
    0x3ffc803f,0x7ffffdc0,0x700dffff,0xffffffff,0x05ffb1bf,0x23fffff9,
    0x00002ffd,0xfffffff9,0x000dff3f,0x3fe1bfe2,0x7fe4400f,0x5fffffff,
    0xffd3ffb0,0x01bfffff,0x3fffffe6,0x3a203fff,0xffffffff,0xfc81efff,
    0x4fff002f,0x22003ffc,0x64002fff,0xffc803ff,0xfffda803,0xea802eff,
    0x22efffff,0xfd905ffa,0x0bff65ff,0xffda8000,0x0dff1eff,0x21bfe200,
    0xd5000fff,0x07bfffff,0x7ec47fec,0x8803efff,0x3dfffffd,0xffffb700,
    0x2017dfff,0xff002ffc,0x001ffe4f,0x8005fff1,0xfc803ffc,0x4d44003f,
    0x1a988000,0x6c188000,0x000002ff,0x80000133,0xfff86ff8,0x01a98000,
    0x000a9800,0x40003530,0x009aaa98,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfffff980,
    0xffffffff,0x3e26ffff,0xffffffff,0x5fffffff,0xfffffff3,0x039dffff,
    0xffffff70,0x159bdfff,0x3fffe600,0xefffffff,0x2ffc801c,0xf9800000,
    0xffffffff,0xffffffff,0x3ff63fff,0x3ff60002,0x7ffe4004,0xa8177100,
    0xff90004e,0xffd8003f,0x3e6bfff4,0xffffffff,0xffffffff,0x3ffffe26,
    0xffffffff,0xfff35fff,0xffffffff,0x5c03bfff,0xffffffff,0x02ffffff,
    0xffffff98,0xffffffff,0x0bff201d,0x3f200000,0xffffffff,0xffffffff,
    0x3ff63fff,0x3fe60002,0xfff1001f,0x3fffee07,0x003feabe,0x00bffff0,
    0xfff4ffd8,0x3ffffe6b,0xffffffff,0x3e26ffff,0xffffffff,0x5fffffff,
    0xfffffff3,0xffffffff,0x3ffee09f,0xffffffff,0x4c03ffff,0xffffffff,
    0xffffffff,0x005ff904,0xfff88000,0xffffffff,0xffffffff,0x0bff63ff,
    0x0bff9000,0xf81bff20,0xfffffdef,0xffa8000f,0x36000fff,0x2bfff4ff,
    0x00007ff9,0x0001fff1,0x4c03ffcc,0xb82ffffb,0x754406ff,0x3e602fff,
    0xffc9807f,0x2ffc82ff,0x7e400000,0x01ffea6f,0x005ffb00,0x02fff880,
    0x9817ffcc,0x37fae27f,0x7ffb0002,0x7ec007ff,0x26bfff4f,0x100007ff,
    0x40001fff,0x22007ff9,0x7dc0fffd,0xffb1006f,0x03ffcc09,0x81fffd10,
    0x00002ffc,0xa8fffe20,0x6c0007ff,0xb80002ff,0x7fec06ff,0x04026205,
    0x1bff1000,0x7ec00dff,0x26bfff4f,0x100007ff,0x40001fff,0x44007ff9,
    0x7fdc5ffe,0x1ffea006,0x4007ff98,0x7e45fff8,0x2000002f,0x7fd46ffc,
    0x7fec0007,0xffd00002,0x07ffe607,0x5c000000,0x05ffb3ff,0x7fd3ff60,
    0x00fff35f,0x03ffe200,0x07ff9800,0x22fff980,0x22006ffb,0xff300fff,
    0xfff5000f,0x1017fe45,0x44001333,0x7fd43fff,0x7fec0007,0x000554c2,
    0xfd01fff5,0x2066209f,0x20000aa9,0xbff50ffe,0x7d3ff600,0x0fff35ff,
    0x3ffe2000,0x3fe60000,0x7ffd0007,0x30037fdc,0x7fcc0dff,0x7ffd0007,
    0xe8817fe4,0x2e000eff,0x7ffa87ff,0x97fec000,0x3efffffc,0xa89ffd00,
    0xffb00fff,0x7fffffec,0x37fcc002,0xb001fff1,0x53ffa9ff,0x00007ff9,
    0x0001fff1,0x8003ffcc,0x3fee5ffb,0x13fee006,0x0007ff98,0x7fe4bff9,
    0x0effe882,0x0fffe200,0x0001ffea,0xfffd7ffb,0x007fffff,0x7f41fff3,
    0x23ff603f,0xfffffffd,0x3ff6004f,0x401ffec3,0x9ffd4ffd,0x0001ffe6,
    0x0007ffc4,0x000fff30,0xffb9bfea,0x3fff7006,0x003ffcc0,0x3f26ffb8,
    0x77ff442f,0x3ffdc000,0x0007ffa8,0x677fffec,0x2ffffc9a,0xf54ffc80,
    0xeffd80df,0xfeb9adff,0xff8801ff,0x03ffd40f,0xffda7fec,0x557fff33,
    0x55555555,0xfff88555,0xaaaaaaab,0x7fcc2aaa,0xfff30007,0x5557ffdc,
    0xffedcbaa,0x3ffcc01e,0x27ffa800,0x3fa22ffc,0xff8000ef,0x5fff503f,
    0x55555555,0xfffd8355,0x0bffd00e,0xfd1fff10,0xfffd805f,0x4ffe880d,
    0xf05ffb80,0xffd805ff,0x3e67ff94,0xffffffff,0x6fffffff,0x7fffffc4,
    0xffffffff,0x003ffcc6,0xf71fff88,0xffffffff,0x401fffff,0xccfffdcc,
    0x2203cccc,0x5ff91fff,0x003bffa2,0x403ffee0,0xfffffffa,0x4fffffff,
    0x5007ffec,0x3ee00dff,0xd806ffef,0x3ea00fff,0x2ffe806f,0xd80bff90,
    0x25ff94ff,0xfffffff9,0xffffffff,0x7fffc46f,0xffffffff,0x3ffcc6ff,
    0x2fff8800,0xfffffff7,0xffffffff,0x3ffffe07,0x6fffffff,0x64bffe20,
    0x0bffb2ff,0x027ff400,0xfffffff5,0x9fffffff,0x4405ffd8,0xeeed87ff,
    0xefffffee,0x360eeeee,0x7fcc05ff,0x03ffcc07,0x6c01fff3,0x25ff74ff,
    0xccccfff9,0xcccccccc,0x67ffc43c,0xcccccccc,0x3ffcc3cc,0x1fff9800,
    0x5555fff7,0xfffd9955,0xffb9909f,0x7999999f,0xc8fffcc0,0x06ffdaff,
    0x03ffea00,0xcccfffa8,0xcccccccc,0x4027fec2,0xffff87ff,0xffffffff,
    0x361fffff,0x7fc404ff,0x027fe407,0xfd813ffa,0x263ff74f,0x100007ff,
    0x40001fff,0x50007ff9,0x3fee1fff,0xfffb1006,0x01ffe605,0xc87ffd40,
    0x1fffffff,0x3bffd000,0xf7333333,0xfd8000ff,0x87ff803f,0xfccccccc,
    0xcccccdff,0x00fff60c,0xfff01ffe,0x33333337,0x7ec0fff9,0x263ff54f,
    0x100007ff,0x40001fff,0x70007ff9,0x37fdcfff,0x417ff600,0x70007ff9,
    0x3ff21fff,0x006fffff,0xffffffa8,0xffffffff,0x7fec0007,0x007ff802,
    0xd800fff4,0x7ff802ff,0x3ffffea0,0xffffffff,0x9ffb02ff,0x7fcc3fea,
    0xff100007,0x7cc0001f,0xff90007f,0x0037fdcd,0x7cc1ffea,0xff90007f,
    0x46fffe4d,0x74004ffe,0xffffffff,0x07ffffff,0x017fec00,0x3a003ffc,
    0xffb001ff,0x40fff005,0xfffffffd,0xffffffff,0x269ffb05,0x0fff30ff,
    0x3ffe2000,0x3fe60000,0x9ffd0007,0x20037fdc,0xf982fff8,0xffd0007f,
    0xf52ffe49,0x3ea003ff,0xeeeeeeff,0x07ffeeee,0x017fec00,0x7ffc3ffc,
    0xffffffff,0x21ffffff,0xff802ffd,0x57fff107,0x55555555,0xfb03fff7,
    0xf99fe29f,0xf100007f,0x4c0001ff,0xfb8007ff,0x1bfee0ff,0x03fff100,
    0x7000fff3,0x7fe43fff,0x0077fe42,0xa8027ff4,0x6c0007ff,0x7ff802ff,
    0xfffffff8,0xffffffff,0x0bff61ff,0x7dc1ffe0,0x7ffc006f,0xd14ffd84,
    0x003ffccb,0x00fff880,0x01ffe600,0xb8bfff10,0x7d4006ff,0x0fff307f,
    0x46fff880,0x7fc42ffc,0x7ffcc04f,0x0fff5001,0x02ffd800,0xaaa87ff8,
    0xbfffaaaa,0x20aaaaaa,0xff802ffd,0x007ffd07,0xfd87ffc8,0x1ffe604f,
    0x7ffc4000,0x3fe60000,0x3ff62007,0x037fdc1f,0x20dfff10,0x22007ff9,
    0x7e41fffd,0x1fffa82f,0x8017ff60,0x40007ffa,0xff802ffd,0x0fff4007,
    0x802ffd80,0xfff987ff,0x7ffc4000,0x3027fec2,0x20000fff,0x0000fff8,
    0x9881ffe6,0x83ffffca,0xb8806ffb,0xf301fffe,0x654c40ff,0xfc84ffff,
    0x1dffb02f,0x003fff30,0x0003ffd4,0x3e00bff6,0x7ff4007f,0x05ffb001,
    0xff90fff0,0x3ff6000b,0xaaa7fec6,0xfffff31a,0xffffffff,0x225fffff,
    0x20000fff,0xfffffff9,0xffffffff,0xffff703f,0xffffffff,0x4c07ffff,
    0xffffffff,0xffffffff,0x205ff904,0xfd84fff8,0x7fd4005f,0xffffffff,
    0x367fffff,0x7ff802ff,0x00fff400,0xf802ffd8,0x02fff87f,0x43fff500,
    0x9ffd4ffd,0x3fffffe6,0xffffffff,0xff12ffff,0x7cc0001f,0xffffffff,
    0x02efffff,0x3fffffee,0xffffffff,0x7ffcc03f,0xffffffff,0x3201dfff,
    0x3fee02ff,0x0bffe61f,0xfffff500,0xffffffff,0x17fecfff,0x2003ffc0,
    0xfb001ffe,0x8fff005f,0x40007ffa,0x3ff64fff,0x3e69ffd4,0xffffffff,
    0xffffffff,0x01fff12f,0x7fffcc00,0xdeffffff,0xfffb801c,0xefffffff,
    0xff3002ce,0xffffffff,0xf90039dd,0xeffd805f,0x000dffb0,0xfffffff5,
    0xffffffff,0x4017fecf,0x7f4007ff,0x5ffb001f,0xfd8fff00,0x7e40004f,
    0x753ff67f,0x000004ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x07ffcc00,0xb97ff400,0x2a0006ff,
    0x0005ffff,0x2a7ffff1,0xe8002fff,0x999932ff,0x99999999,0x3fe67999,
    0xffffffff,0x0000beee,0xfb82ffb8,0x7fcc006f,0xfffe81ff,0xffffffff,
    0x327fffff,0x10003fff,0xffa89fff,0xffc8004f,0x884cc40f,0x7ffcc099,
    0x2ffe8000,0x4000dff7,0x00fffffa,0x3ffffb80,0x001ffff5,0xff52ffe8,
    0xffffffff,0x26dfffff,0xffffffff,0xdfffffff,0xfff30000,0x00dff705,
    0x80ffffcc,0xfffffffe,0xffffffff,0x07fff47f,0x077ff400,0x000fffe4,
    0xfd03fff5,0x313ffa9f,0xd0001fff,0x1bfee5ff,0xffffa800,0xffe8002f,
    0xffff53ff,0x2ffe800b,0xfffffff5,0xffffffff,0x3ffffe6d,0xffffffff,
    0xd0006fff,0xff705fff,0x3ffe600d,0x3fffa01f,0xffffffff,0x4c7fffff,
    0x5c005fff,0x3fa01fff,0xff8800ef,0x29ffd03f,0x7fcc4ffe,0xffe8000f,
    0x000dff72,0x2fffffd4,0x3fffe600,0xfffff53f,0x97ff4005,0x99999998,
    0xfffb9999,0x200fff31,0x005fffe9,0x417fffe4,0xf9806ffb,0x00001fff,
    0xc84fffa8,0xf1002fff,0xff9809ff,0x5ffe805f,0x7f53ffa0,0x07ffcc4f,
    0xb97ff400,0x2a0006ff,0x00fffdff,0x3ffbfee0,0xffffff53,0x0bffa001,
    0x317ff400,0xfd800fff,0xff3000ff,0xff705fff,0xffff980d,0xf9800001,
    0x3ffa05ff,0x6ffd800f,0x05fff700,0x5007ffe4,0x06aaa355,0x0001fff3,
    0x3fee5ffd,0x3fea0006,0x2002ffcd,0x53ffddfe,0x0bfffdff,0x000bffa0,
    0xff313ff2,0xfff8800f,0xdeff8802,0x6ffb82ff,0x03bffe60,0x3fe20000,
    0x3fe600ef,0x7ffd405f,0x3fff6001,0x01fffa80,0x7ffcc000,0x2ffe8000,
    0x4000dff7,0x5ff9dffa,0xfb5ff300,0x2bbfea7f,0xfe802fff,0x7fcc002f,
    0x007ff986,0xd804ffe8,0x82ffd9ff,0xff306ffb,0x000001df,0x003fffd1,
    0x2205fff9,0x44003fff,0x7fc45fff,0x9800004f,0xe8000fff,0x0dff72ff,
    0xfaffd400,0xffc800ff,0xff53ffd8,0x003fff6d,0xe8005ffd,0x7ff982ff,
    0x05ffd800,0xffd9ffd4,0x986ffb82,0x0000efff,0x05fffb00,0x4077ff40,
    0x50006ffd,0x7ff47fff,0xf3000005,0xfd0001ff,0x01bfee5f,0xf95ffa80,
    0x2bfd005f,0xdff53ffd,0xd017ffe2,0x7e4005ff,0x0fff305f,0x407ffd00,
    0x3ff65ff8,0x4c6ffb82,0x0000efff,0x09fff700,0x44fff980,0x0000fffa,
    0x3ee3fff6,0x000000ff,0x0001fff3,0x3fee5ffd,0x3fea0006,0x980bff35,
    0x27ffb2ff,0x3fea6ffa,0x0bffa02f,0x807ffcc0,0x44007ff9,0x3fa02fff,
    0x20bff60f,0x3fe66ffb,0x000000ef,0x000bfff5,0x7c47fff2,0x440003ff,
    0x2fffeffe,0x3e600000,0xeeeeeeff,0xfeeeeeee,0x0dff72ff,0xf2ffd400,
    0x3fe401ff,0x3fea7ffb,0x807ffec6,0xfb002ffe,0x3ffcc09f,0x1fffd100,
    0xfb0bfee0,0x2dff705f,0x003ffff9,0xdfff1000,0x7ff40001,0x000bff96,
    0x3ffffe60,0x4c000004,0xffffffff,0xffffffff,0xdff72fff,0x2ffd4000,
    0x7fc05ff9,0x7d4fff65,0x2fffc46f,0x8802ffe8,0x3e601fff,0x999999ff,
    0xffffca99,0xb0bff303,0xdff705ff,0x3ffffff3,0xfe880000,0x4c0001ff,
    0x0fffcfff,0x3ff20000,0x8000006f,0xfffffff9,0xffffffff,0xff72ffff,
    0x7fd4000d,0x4c17fe65,0x4fff62ff,0xffa86ffa,0x02ffe82f,0x4c06ffc8,
    0xffffffff,0xffffffff,0x203ffa05,0xffb82ffd,0xffedffff,0x3600000e,
    0x00002fff,0x05fffff9,0xfffc8000,0x4000000f,0x9999fff9,0x99999999,
    0xff72fff9,0x7fd4000d,0x6407ff45,0xa9ffec7f,0xfffb06ff,0x802ffe81,
    0x7cc02fff,0xffffffff,0x02efffff,0x7ec0bff2,0xffffb82f,0x0bfff35f,
    0x3ffee000,0x7f400003,0x400005ff,0x06fffff9,0x7fcc0000,0xffe8000f,
    0x000dff72,0x3f22ffd4,0x6c4ff82f,0x0dff53ff,0xfd17ffe2,0x7ffa805f,
    0xeefff980,0xbcdeeeee,0x027fd402,0xff705ffb,0xfffb8bff,0x7fd40003,
    0xa800005f,0x00000fff,0x3ff7ffe2,0x2000003f,0x8000fff9,0xdff72ffe,
    0x2ffd4000,0xff317fe6,0xf53ffd83,0x7ffdc0df,0xb00bffa2,0xff3009ff,
    0x3e20000f,0x3ff600ef,0x05fffb82,0x0003fffd,0x003bffe2,0x1ffe6000,
    0xdffb0000,0x4007fff6,0x35551aaa,0x000fff98,0xff72ffe8,0x7fd4000d,
    0x7e47fe85,0xf53ffd87,0xfffd80df,0x4405ffd0,0xf9800fff,0xf700007f,
    0xdddddddf,0x9dddfffd,0xf881bfee,0xfd0006ff,0x000001ff,0x0001ffe6,
    0xf11fffb8,0xfd001dff,0x313ffa9f,0xd0001fff,0x1bfee5ff,0x85ffa800,
    0x13fe2ffc,0x7fd4fff6,0xafffc406,0x3ee02ffe,0xfff3005f,0x3ff20000,
    0xffffffff,0x75ffffff,0xffa80dff,0x7fec004f,0x2000002f,0x00007ff9,
    0xfa87fff3,0xffe804ff,0xf989ffd4,0xfe8000ff,0x00dff72f,0x4c2ffd40,
    0x03ff55ff,0x3fea7ffb,0xafffb806,0x3fa02ffe,0xfff3002f,0x3ff20000,
    0xffffffff,0x75ffffff,0xffb00dff,0x3fee005f,0x4000003f,0x80007ff9,
    0xf905ffe8,0xffe805ff,0xf989ffd4,0xfe8000ff,0x00dff72f,0xe82ffd40,
    0xb06fd8ff,0x1bfea7ff,0x7f7ffec0,0x07ffe02f,0x003ffcc0,0x7fec0000,
    0x806ffb82,0x400ffff8,0x0005fff9,0x07ff9800,0x0fffd800,0x003fffa0,
    0xff3007f3,0xffd0001f,0x001bfee5,0xf905ffa8,0x3609ff5f,0x0dff53ff,
    0x3ffffe20,0x1fff302f,0x01ffe600,0x3f600000,0x06ffb82f,0x40dfff50,
    0x0006fff8,0x0fff3000,0x2fffb800,0x02fffcc0,0x3e6007ee,0xfe8000ff,
    0x00dff72f,0x982ffd40,0xb01fffff,0x1bfea7ff,0xfffffb80,0x00dff702,
    0x0003ffcc,0x17fec000,0x90037fdc,0x3fa09fff,0x000000ef,0x000fff30,
    0x8027ffcc,0x3a03fffb,0x1fff3007,0x25ffd000,0xfffffffb,0xffffffff,
    0x740bff50,0x3f606fff,0x00dff53f,0x02ffffd8,0x4c00bff9,0x000007ff,
    0xb82ffd80,0x7f4006ff,0x7ffcc2ff,0xffffffff,0xffffffff,0x1ffe6003,
    0x37ff4400,0x07fff600,0x7cc00ffa,0xfe8000ff,0xfffff72f,0xffffffff,
    0x17fea1ff,0x203fffc8,0xdff53ffd,0xffff8800,0x009ffb02,0x0003ffcc,
    0x17fec000,0x20037fdc,0x260ffff9,0xffffffff,0xffffffff,0x26003fff,
    0xfb0007ff,0xf88003ff,0x015c0eff,0x001fff30,0x3ee5ffd0,0xffffffff,
    0x50ffffff,0x7fcc0bff,0x4fff600f,0xb8006ffa,0xffb02fff,0x3ffcc005,
    0x6c000000,0x6ffb82ff,0x5fffb800,0x3fffffe6,0xffffffff,0x003fffff,
    0x2001ffe6,0x0003fffa,0x0009fff5,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xc801ffee,
    0x3a005fff,0x0dff92ff,0x26ffb800,0xfffffff9,0xceefffff,0x03ffcc02,
    0xffff8800,0xffffffff,0x4fffffff,0xccb80000,0xcccccccc,0x04cccccc,
    0x20007fe8,0x4400aaa8,0x10001aba,0x00013553,0xb8026aa6,0x3ffe27ff,
    0xffffd000,0x43ffe200,0x0001fff9,0xff98bffa,0xffffffff,0x0dffffff,
    0x000fff30,0x3ffffe20,0xffffffff,0x04ffffff,0x260d5d44,0x20000e2f,
    0x007fe803,0x7ffffec4,0x3fea1dff,0x003fffff,0xfffffff9,0xffb7007f,
    0x2e07ffff,0x17ff47ff,0x7ffffc40,0x46ffa801,0x30004ffe,0xfff98fff,
    0xeeeeeeee,0x0efffffe,0x0007ff98,0xffffff10,0xffffffff,0x209fffff,
    0xfffffffa,0x00e4fe9c,0x3fa00e00,0x3ffea007,0xffffffff,0xffffffca,
    0x3a604fff,0xffffffff,0xffb105ff,0xdfffffff,0xfc8fff70,0xdffa804f,
    0xffc803ff,0x003ffdc4,0x7cc4ffc8,0x3f22007f,0x7ff986ff,0x3e000000,
    0x6c4002ff,0xffffffff,0x001c5fff,0x3ff401c0,0xadfff980,0xffffd511,
    0x3ea637ff,0xfff882ff,0xffd331bd,0x9fffb05f,0x17fff263,0xffa8fff7,
    0xf9ffd806,0x2ffe805f,0x0017ffc4,0x3e60fffc,0xffb8007f,0x03ffcc0f,
    0xfff00000,0xfffd8005,0xfffda89c,0x40001c2f,0x007fe803,0x7c407ff9,
    0xd100efff,0x6ffb81ff,0x2a2ffec0,0xff501fff,0x23ffd43f,0x7c00fff8,
    0x401ffd6f,0xffb07ff8,0x6ffa800b,0x0007ff98,0xff985fff,0xefffffff,
    0x0000bdee,0xa800bffe,0xff501fff,0x800038bf,0x807fe803,0xfd807ff8,
    0x7fcc02ff,0x2017ffc5,0x7fec6ff9,0x327fec03,0x3ffd0dff,0xfca7fcc0,
    0x17fea02f,0x0007ffd4,0xff307ffb,0x3ff6000f,0x7ffffcc4,0xffffffff,
    0xf8000dff,0x3fe002ff,0xffff103f,0x40001c5f,0x33333313,0x33333ffd,
    0x00aa6213,0x7401bff2,0x4014cc7f,0x7ffc6ff8,0x10d64c00,0x7ff909ff,
    0xfa8ffdc0,0x0fff204f,0x1002fff8,0xff301fff,0x3ffa000f,0x7ffffcc4,
    0xffffffff,0xf8005fff,0xff3002ff,0x7e6fec0f,0x20000e5f,0xffffff93,
    0xffffffff,0xfb3000df,0x3ff6009f,0xffb88001,0x001bfe27,0xff507fd0,
    0x3e3ff40b,0x07ffa06f,0x7005ffc8,0x3fe60bff,0xfff88007,0x403ffcc2,
    0x04fffea8,0x8017ffc0,0xdf904ffa,0x01cdff31,0xfffc9c00,0xffffffff,
    0x2206ffff,0xffffecb9,0xeeeeeeef,0x02ffeeee,0x3fb72e62,0x3fea7fff,
    0x0f640005,0xf883ffc4,0x407fec5f,0x7c407ff8,0xffe800ff,0x00fff301,
    0x40fffd88,0x22007ff9,0x2000fffd,0xf9002fff,0x23ff507f,0x000e7ff8,
    0x666654e0,0xcccfffcc,0xfeb83ccc,0xffffffff,0xffffffff,0x84ffffff,
    0xffffffeb,0x3ee7ffff,0x4000004f,0xffa81ffe,0x541ffdc3,0xffd805ff,
    0x037fcc03,0x3100fff3,0x307ffff7,0xf9800fff,0x3fe002ff,0x5ffb002f,
    0x7fc3ff88,0x7000070f,0x200ffd00,0xefffffd8,0xeeffb9bd,0xeeeeeeee,
    0x3fa23eee,0xacdfffff,0x3ff27ff9,0x55540004,0xc83ffb81,0x2ffcc0ff,
    0x54017fe4,0x7fe406ff,0x3fffe603,0xffffffff,0x304fffff,0xfd000fff,
    0x7ffc009f,0x87ffb002,0x0fff84fe,0x00700007,0x3fa00ffd,0xfb80adff,
    0x7f40004f,0xf980acff,0x017fea7f,0x309ffd00,0x0dfd0bff,0xffd03ffe,
    0x03ffe001,0x2600fff8,0xffffffff,0xefffffff,0x01ffe602,0x8017ff60,
    0xf9002fff,0x4437e49f,0x0000e6ff,0x01ffa00e,0x9007ffea,0x4c0009ff,
    0x7d401fff,0x017fe67f,0x3ffa1564,0xf98dff04,0x43ffb04f,0x32006ff8,
    0xbff503ff,0xfffff980,0xffffffff,0x7ff9800b,0x04ffe800,0x400bffe0,
    0x1ff56ffa,0x01cbff30,0x7f401c00,0x05ffc807,0xd006ffd8,0x17fee39d,
    0xf89ffee0,0x7fcc00ff,0xd827ff46,0x0bfee0ff,0xff31ffd4,0x37fcc009,
    0x4c02ffd8,0x3faa07ff,0xff9801ef,0x7ffc4007,0x0bffe002,0x7cfffcc0,
    0x49ff902f,0x80380003,0xffd807fe,0x7fffdc04,0x87ffdc02,0x74405ffc,
    0x27ff47ff,0x2613fee0,0x45ff703f,0xff100ffd,0x0017fdcb,0xff107ffa,
    0x0fff300f,0x01fffe88,0x2003ffcc,0x2000fffd,0xf1002fff,0x2209ffff,
    0x000e2fff,0x1ffa00e0,0x981fff20,0x02ffffff,0x7dc9fff1,0xffd100ff,
    0x2fff98ff,0x703fff30,0x93fe603f,0x3ff405ff,0xf7000ffb,0x04ffb89f,
    0x8807ff98,0x2600effe,0x5cc407ff,0x4003ffff,0x2e002fff,0xfd106fff,
    0x8000389f,0x804cb803,0x88befff9,0xfc9effdb,0xfda9bdff,0x3fe60eff,
    0xeba89bef,0x640fffff,0xeb9acfff,0x0fd03fff,0x7ff56ff8,0xff0ffc80,
    0xfff1000b,0x9800ffe8,0xff3007ff,0x7ffcc0df,0xffffffff,0x006fffff,
    0x4002fff8,0x99befffe,0x1c0efffb,0x0001c000,0x7ffffdc0,0x2e0dffff,
    0xffffffff,0xfffb80ef,0x8dffffff,0xffc82ffd,0x4fffffff,0xfd807fd0,
    0xa803ff97,0x03ff9aff,0x265ffb00,0xff3005ff,0x7ffe400f,0xfffff304,
    0xffffffff,0x3e0007ff,0x3e6002ff,0xffffffff,0x00381eff,0xdddd7380,
    0xdddddddd,0xfea89ddd,0x502dffff,0x7ffffffb,0xffffea80,0x17fea2ef,
    0x7fffff4c,0x200ae01e,0x07fe9ffa,0x3ff79ff0,0x53fea000,0xf3002ffb,
    0xffe800ff,0xffff981f,0xceffffff,0x3e0000ac,0xff1002ff,0xfffffb57,
    0x0001c07f,0xfffffc9c,0xffffffff,0x153106ff,0x009a8800,0x000d4c40,
    0x0009a980,0x3effe200,0xbdfb005f,0xff8000ff,0x4c00ffd7,0x7cc007ff,
    0x7ff986ff,0x3e000000,0xbd1002ff,0x8009a988,0xf9380003,0xffffffff,
    0x0dffffff,0x00000000,0x00000000,0xffffe800,0xffff7002,0xffc8000b,
    0x26004ffb,0xfc8007ff,0x3ffcc3ff,0xff000000,0x0008005f,0xcccccc80,
    0xcccccccc,0x00005ccc,0x00000000,0x00000000,0xfff90000,0x3fe6001f,
    0x440002ff,0x001fffff,0x2001ffe6,0x260fffe8,0x000007ff,0x000bffe0,
    0x00000000,0xdddddd50,0xdddddddd,0x229ddddd,0x99999999,0x99999999,
    0x00001999,0x00000000,0x00dfff50,0x000ffff8,0x06fffd80,0x003ffcc0,
    0x265fffa8,0x000007ff,0x000bffe0,0x00000000,0xffffff70,0xffffffff,
    0x2ebfffff,0xffffffff,0xffffffff,0x00005fff,0x00000000,0x009fff10,
    0x0006ffd8,0x007fff50,0x0007ff98,0x7ccbfff6,0x0000007f,0x0000bffe,
    0x00000000,0x55555551,0x55555555,0x3ee35555,0xffffffff,0xffffffff,
    0x000005ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x10000000,0x88015753,0x01330019,
    0x001aa988,0x00155510,0x15530331,0x5510cc40,0x35303310,0x80aaa880,
    0x26000998,0x20066219,0x19980199,0x26002666,0x4ccc4099,0x99999999,
    0x002e2199,0x2a000000,0x32206602,0x3fffffff,0x8803ffb0,0xffd306ff,
    0x2009ffff,0xfffffffa,0xfd9ff604,0xd82fffff,0xbffff57f,0xffd8bfec,
    0x3a60dfff,0x544fffff,0xff5006ff,0x101ffecd,0x7cc05fff,0x03bffa5f,
    0x641fffa8,0xffffffff,0x10ffffff,0x00003bff,0x3ffb8800,0x7441ff90,
    0xffffffff,0x0ffec0ef,0x321bfe20,0xffffffff,0xffd100ef,0xdfffffff,
    0xfb1ffb03,0x9fffffff,0xfff8ffd8,0x23ff65ff,0xfffffffe,0xffffff35,
    0x1fff89ff,0x2a3ffd80,0x3fea05ff,0x8ffee04f,0xf104fff8,0xfff907ff,
    0xffffffff,0x3fe21fff,0x00002eff,0x7fffecc0,0x20fffc83,0x931bdffe,
    0xffd89fff,0x237fc401,0x511cfffc,0x3f60dffd,0xff731bff,0xeffd81ff,
    0xfeb9adff,0x3bff61ff,0x362fedff,0xa9befeff,0xdffcfffe,0x1fffda9a,
    0xf1013ff2,0x3ffc41ff,0x40dfff90,0x7fd40ffe,0x05ffd81f,0x55555553,
    0x89fff555,0xcfffffeb,0x3aa00000,0x20cfffff,0x10fffffb,0x3ea01fff,
    0x00ffec7f,0xff99bfe2,0x7ffb101f,0x101fffa8,0xffd8bffd,0xffe880df,
    0x83bfff64,0x837ffec0,0xd02ffffc,0x3ffcc7ff,0x3a17fea0,0xfffd01ff,
    0x0dff101f,0xff71bff6,0xfe80001f,0x3ff6a05f,0x0002dfff,0xdfffff91,
    0xbcff8817,0x09ff50ff,0x3f61dee8,0x37fc401f,0xf8807ffd,0x5fff10ff,
    0x21fff880,0x2a00fffd,0x3fff66ff,0x07ffec00,0x205fffa8,0x7ff45ffb,
    0x20bff602,0xff983ffb,0xffa82ffd,0x29fff103,0x0002fff9,0x40077fec,
    0xefffffc8,0xffda800b,0x2202dfff,0x261ff50c,0xd8001fff,0x7fc401ff,
    0x200fff36,0xdff33ffe,0xd93ff200,0x7fcc05ff,0x2017ff67,0x3e205ffd,
    0x3fea02ff,0x8827fdc6,0xdff307ff,0x9ff3ff70,0x4c01ffb0,0x4ffe9fff,
    0x7ffe4000,0xffea8000,0x5c41cfff,0x0bfffffe,0x20ffa800,0x00acffff,
    0x8803ffb0,0x0bff56ff,0x7dd3fee0,0xbff5004f,0x22027fec,0x13ff67ff,
    0xf013ff60,0x7fcc03ff,0xb83ffc46,0x3ffa04ff,0x6ffb7ec0,0xfc806ff8,
    0x0006ffff,0x000fffdc,0x3ffff260,0xfffff12f,0xfa80005b,0x3fffea0f,
    0x3601bdff,0x7fc401ff,0xdddfff76,0xfddddddd,0x00fff2bf,0xffb3ffcc,
    0x6cfff007,0xffd803ff,0x007ffc03,0xffb0dff3,0x401ffd05,0xa7fc2ffc,
    0x3fe60ffd,0xffffd004,0x7fd40001,0x2200002f,0xff13fffc,0x200001df,
    0x7fcc0ffa,0x2effffff,0x4401ffd8,0xffff96ff,0xffffffff,0x3ff6dfff,
    0x1fff1002,0x3e00bff6,0x00bff67f,0xff00bff6,0x37fcc01f,0x3e62ffd4,
    0x27fcc06f,0x3fea5ff3,0x4007ff22,0x0004fffa,0x0013ffe6,0xffffd980,
    0x7dffff13,0xffa80001,0xffffb500,0xffd89fff,0xcb7fc401,0xeeeeeeff,
    0x5eeeeeee,0x22005ffb,0x0bff67ff,0xffd9ffe0,0x02ffd802,0xf3007ffc,
    0x83ffe0df,0xff802ffc,0x7c43fee6,0x801ffa4f,0x001ffffd,0x005fff88,
    0xfffeb880,0x3f6a0bef,0x001cffff,0x3001ff50,0x47ffffb7,0x7cc01ffd,
    0x009ff76f,0x801ffe40,0x3ff67ff9,0x367ff802,0xffd802ff,0x007ffc02,
    0x3f20dff3,0x003ffe3f,0x37f43ff6,0x27fc5bfa,0xfffffb80,0x7ff44006,
    0x7e4c0006,0x402dffff,0xdfffffc8,0x07fd4002,0x97ffa200,0x7d402ffd,
    0x00bff56f,0x8027fdc0,0x3ff66ffa,0x367ff802,0xffd802ff,0x007ffc02,
    0x3e60dff3,0x00bff56f,0x3fe2ffea,0x7dcffe44,0xfff8801f,0x2004ffea,
    0x0000effd,0x9fffffd5,0xfeb88003,0x800bffff,0x3d950ffa,0x327ffa80,
    0x7fe402ff,0x001fff36,0x3fea59b7,0x49ffb006,0xff802ffd,0x200bff67,
    0x7fc02ffd,0x1bfe600f,0xffc8ffe8,0x5bff1001,0xbffa85ff,0xffd007fd,
    0x00bffe69,0x0007fff2,0xdfffff91,0xb5000017,0x03bfffff,0xdff9264c,
    0x326ff980,0x3fa205ff,0x013ffa6f,0x7f47fff3,0x7ffcc03f,0x200bff61,
    0x0bff67ff,0xf00bff60,0x7fcc01ff,0x3effee06,0x7fec006f,0x7fc40ffc,
    0xfc805ffd,0x3ffee0ef,0x07ffee00,0xfffff100,0x2000005b,0x3fffffc8,
    0x07ffe600,0x3ea3ffd8,0xfffd02ff,0x01fffccd,0x7d41fffd,0xffd102ff,
    0x802ffd8b,0x0bff67ff,0xf00bff60,0x7fcc01ff,0x3fffe206,0x7fdc003f,
    0xfffd06ff,0xfff9805f,0x505ffe81,0x10005fff,0x00039fff,0x3fae2000,
    0x7fec003f,0xfec99bdf,0x7fffc1ff,0xeefecaad,0x6fffec6f,0xfffec99a,
    0xacfffd82,0x85fffb99,0xff802ffd,0x200bff67,0x7fc02ffd,0x1bfe600f,
    0x01ffffb0,0x3ffff880,0x01ffff90,0x9827ff44,0x7fcc2fff,0xccccccef,
    0xd12ccccc,0x00000017,0x2001ed40,0xffffffe8,0xfa81efff,0xefffffff,
    0xffc86fe8,0xffffffff,0xffff9102,0x20bfffff,0xff802ffd,0x200bff67,
    0x7fc02ffd,0x1bfe600f,0x00dfff50,0x407fffa0,0x6405fffa,0x3f200eff,
    0x3ffea0ff,0xffffffff,0x0005ffff,0x00000000,0x7ffffdc0,0x36200cef,
    0x3a4fffff,0xfffb306f,0x50019fff,0x7bfffffd,0x4017fec0,0x0bff67ff,
    0xf00bff60,0x7fcc01ff,0x02fff806,0x40fff900,0x2a03fff8,0xfe802fff,
    0x3fffea5f,0xffffffff,0x00005fff,0x00000000,0x00135310,0x80001530,
    0x20001aa8,0x000001a9,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x01500000,0x999800e0,0x06aa0000,
    0x03353100,0x30004cc0,0x04c40035,0x1002a980,0x33320135,0xcccccccc,
    0x321ccccc,0xcccccccc,0x1ccccccc,0x3f61fff5,0x3220005f,0x0051002c,
    0x5ea80198,0x1dd53ed8,0x7d404ec8,0x02fec00f,0x0017ffc4,0x1006ffb8,
    0x3dfffffb,0x3ffff6a0,0x3ffee00d,0xfd9302ff,0xfb805dff,0x7ffe4406,
    0xfffff83f,0xffffffff,0x3ffe3fff,0xffffffff,0xf53fffff,0x17ff61ff,
    0x04ff9800,0x5cc3fe88,0x100ffcc2,0x0ffc87ff,0x7ff31bfa,0x807fff40,
    0x4401fffd,0xd0002fff,0xfb003fff,0x1dffb9df,0xfeceff88,0xffffb05f,
    0xff887fff,0x00fffeef,0xffb017ea,0xff89ff99,0xffffffff,0x23ffffff,
    0xffffffff,0xffffffff,0x361fff53,0x260005ff,0xffb804ff,0xfffffcbf,
    0x205fffbd,0x27fcc6fe,0xff90ffe6,0x3fffa201,0x017ffec0,0x0017ffc4,
    0x02ffffd4,0xff507fea,0x7dc6fe85,0x8effd41f,0x3f20ffea,0x993fe60f,
    0x1d4bf51c,0x1ff88bf5,0x2aaaaaaa,0xaaaaaaaa,0x2aaaaa0a,0xaaaaaaaa,
    0xfff53ffd,0x0017ff61,0x7004ff98,0xffffffff,0x40bfffff,0x7ff42ffc,
    0x221ffd80,0x3fa206ff,0x5fffb0ff,0x004ccc00,0x7feffec0,0x7c0ee200,
    0x7dc0983f,0x4c2ff41f,0x20b2e4ff,0x3bfee6fe,0x27ffcdfb,0x03fb82fc,
    0x20000000,0xfff53ffb,0x0002ffe4,0x64009ff3,0xda9cffff,0x3e606fff,
    0x817fe45f,0x7fdc6ff8,0x3fffa203,0x0002fffd,0x33fe6000,0x26004ff9,
    0x404ffdba,0xff85ffb9,0x100bff03,0x7ffe47ff,0x0dffffff,0x09f501fb,
    0x40000000,0xdff13ffb,0x0001ffdc,0x64009ff3,0xffa80cff,0x43ffd106,
    0x7e406ff9,0x00fff44f,0x5fffffd1,0x3bbbbae0,0xeeeeeeee,0x1ff904ee,
    0xfb501ffa,0x09ffffff,0xf883fff8,0x80dfb02f,0xa880ffd8,0xfc81cfff,
    0x0002fd83,0x3ee00000,0xfa97fe3f,0x3e60002f,0x3ffe004f,0x207ffa00,
    0x3fa24ffc,0x7ffc401f,0x101bfea1,0x6407ffff,0xffffffff,0x6fffffff,
    0x3ea5ff88,0xdfff703f,0x409ff57b,0x444ffed8,0x0df902ff,0x9017ff4c,
    0xf301dfdf,0x03fee25f,0x80000000,0x8ff63ffb,0xee800ff8,0xfffeeeee,
    0x22eeeeee,0x7dc04ff9,0x07ffd43f,0x2a00bff9,0x3ffa0eff,0x3ffff604,
    0xffff900f,0xffffffff,0xff70dfff,0xff06ff85,0x009ff03d,0x7ff0ffe6,
    0x7dc17f60,0x3fee01ef,0xfb80efd8,0x7c2fffff,0xffffffff,0x3fffffff,
    0x1ffdc000,0x006d85d7,0xffffffff,0xffffffff,0x200ffdc7,0x7fd45ff8,
    0x013ff60f,0xfb077fd4,0x3fff609f,0x9880ffff,0x99999999,0x80999999,
    0x2ffc87ff,0x7dc1ffc4,0x1bf6003f,0x9ff10dfd,0x401bff90,0xbff13ff9,
    0x037ff660,0x3ffffffe,0xffffffff,0x7dc0003f,0x7c00003f,0xffffffff,
    0x3fffffff,0xf100bfea,0x49ff909f,0xf801fff8,0x1bfea1ff,0x7457ffec,
    0x00000fff,0x4c27fd40,0x0dfe85ff,0x449fff51,0x37fc42ff,0x75477fea,
    0x27fec0ff,0x075c6b80,0x3bbba000,0xeeeeeeee,0x0002eeee,0x00017754,
    0x26666660,0x9999dffa,0x027fc099,0x3a207fea,0x1bfea1ff,0xfe89ff90,
    0x2fffd81f,0x003fffa2,0x400bffe2,0xffb00ffe,0xfefffa83,0x7e45feff,
    0x3ffeb9bf,0xffffffd8,0x677fe43f,0x0004cccc,0x00000000,0x00000000,
    0x04ff9800,0x440bff60,0x3fe607ff,0x8817fe45,0x1ffdc6ff,0x4417ffec,
    0x4400fffe,0xf9802fff,0x13fea05f,0x233fff6e,0x3fe20ffa,0x205fffff,
    0x42fffffb,0xfffffff8,0x200007ff,0x000002a9,0x11022220,0x44088811,
    0x30000088,0x7dc009ff,0xffb52eff,0x2ffc80bf,0xffd83ff4,0x6c1bfe21,
    0x3fa202ff,0x7ffc400f,0x02ffd802,0x08807ffc,0x37b2e200,0x0153001c,
    0x33333326,0x00004ccc,0xeda813f6,0x24401cef,0xe893ffe6,0x0fffc6ff,
    0x00009ff9,0x4c013fe6,0xffffffff,0x403fffff,0x27fcc6fe,0xff90ffe6,
    0x44016c01,0xccc8800e,0x80199801,0x00000998,0x00000000,0x3fe00000,
    0x7ffec40c,0x41cfffff,0x2ffec6ea,0xff17ffc4,0x027fe43f,0x04ff9800,
    0xfedfff98,0xffdfffff,0x0ffe603f,0x37f41ff9,0x0000ffe6,0x00000000,
    0x00000000,0x00000000,0x7f6c4000,0x3fffee3f,0xefffffff,0x3e26fffe,
    0xdff500ef,0xff90fffc,0x3e600009,0x5ff9804f,0xfb8736e6,0x42f5c03f,
    0x81dd33ed,0x000004ec,0x00000000,0x00000000,0x00000000,0x5cffb000,
    0xfeca9bef,0xffffffff,0x7007ff25,0x82aaa3ff,0x00001aa9,0x26009ff3,
    0x001dc004,0x00000000,0x00000000,0x00000000,0x00000000,0x7d440000,
    0x44036e6f,0x3ffffffc,0xcb801664,0x00000003,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3fe00000,0x0022ffff,0x0001aa98,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xf1000000,0x0005dfff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00062000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_39_latin1_x[224]={ 0,3,1,0,1,2,1,1,2,2,1,1,2,1,
3,0,1,3,1,1,0,1,1,1,1,1,3,2,1,1,1,1,1,-1,2,1,2,2,2,1,2,3,0,2,
2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,2,0,0,0,-1,1,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,0,3,0,1,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,3,1,0,1,-1,
3,1,1,0,0,2,1,1,0,-1,2,1,0,0,3,2,0,3,1,1,0,2,1,1,0,2,-1,-1,-1,-1,
-1,-1,0,1,2,2,2,2,0,2,-1,0,-1,2,1,1,1,1,1,2,1,2,2,2,2,0,2,2,1,1,
1,1,1,1,1,1,1,1,1,1,0,3,-1,0,1,2,1,1,1,1,1,1,2,2,2,2,2,0,2,0,
 };
static signed short stb__arial_39_latin1_y[224]={ 31,6,6,5,3,5,5,6,5,5,5,10,27,20,
27,5,5,5,5,5,6,6,5,6,5,5,12,12,10,13,10,5,5,6,6,5,6,6,6,5,6,6,6,6,
6,6,6,5,6,5,6,5,6,6,6,6,6,6,6,6,5,6,5,35,5,12,6,12,6,12,5,12,6,6,
6,6,6,12,12,12,12,12,12,12,6,12,12,12,12,12,12,5,5,5,15,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,31,12,6,5,10,6,
5,5,5,5,5,14,13,20,5,2,5,10,5,5,5,12,6,16,30,5,5,14,5,5,5,12,-1,-1,-1,0,
0,0,6,5,-1,-1,-1,0,-1,-1,-1,0,6,0,-1,-1,-1,0,0,11,5,-1,-1,-1,0,-1,6,5,5,5,
5,6,5,5,12,12,5,5,5,5,5,5,5,5,6,6,5,5,5,6,5,11,11,5,5,5,5,5,6,5,
 };
static unsigned short stb__arial_39_latin1_w[224]={ 0,4,10,19,17,27,22,5,9,9,12,18,5,10,
4,10,17,11,17,17,18,18,17,17,17,17,4,5,18,18,18,17,34,25,20,23,22,20,18,24,21,4,15,22,
17,25,21,25,20,25,23,21,21,21,24,33,24,24,21,8,10,8,16,21,7,17,16,17,16,17,11,17,16,4,
8,16,4,25,16,18,17,16,11,16,10,15,18,25,18,18,17,11,3,11,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,0,5,17,19,18,21,
3,17,10,26,13,15,18,10,26,21,10,17,12,12,8,16,19,4,9,8,12,15,28,28,29,17,25,25,25,25,
25,25,34,23,20,20,20,20,8,7,12,10,25,21,25,25,25,25,25,16,25,21,21,21,21,24,20,19,17,17,
17,17,17,17,29,17,17,17,17,17,8,7,12,10,18,16,18,18,18,18,18,17,18,15,15,15,15,18,17,18,
 };
static unsigned short stb__arial_39_latin1_h[224]={ 0,25,9,27,32,27,27,9,34,34,12,17,9,4,
4,27,27,26,26,27,25,26,27,25,27,27,19,24,18,11,18,26,34,25,25,27,25,25,25,27,25,25,26,25,
25,25,25,27,25,28,25,27,25,26,25,25,25,25,25,32,27,32,15,3,6,20,26,20,26,20,26,27,25,25,
33,25,25,19,19,20,26,26,19,20,26,20,19,19,19,27,19,34,34,34,7,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,0,26,32,27,17,25,
34,34,5,27,14,16,11,4,27,3,11,21,14,14,6,26,32,5,9,14,14,16,27,27,27,27,32,32,32,31,
31,31,25,34,32,32,32,31,32,32,32,31,25,31,33,33,33,32,32,16,28,33,33,33,32,32,25,27,27,27,
27,26,27,27,20,26,27,27,27,27,26,26,26,26,26,25,27,27,27,26,27,15,22,27,27,27,27,34,32,34,
 };
static unsigned short stb__arial_39_latin1_s[224]={ 251,250,238,87,63,59,87,249,20,49,176,
1,249,243,250,243,208,1,238,20,128,184,96,89,172,190,248,242,227,200,208,
21,121,219,64,110,41,1,22,132,1,245,211,147,23,41,67,226,107,100,60,
134,105,227,35,1,217,192,170,98,38,71,106,187,227,213,194,231,129,34,163,
114,163,249,242,111,251,100,71,52,111,146,88,1,100,18,126,145,171,1,190,
156,83,87,199,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,
146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,251,250,80,
49,20,180,117,99,235,157,123,39,219,243,69,165,189,165,163,137,218,203,22,
251,189,246,150,55,30,1,216,198,203,102,177,184,22,48,128,59,229,1,42,
1,175,81,89,210,85,221,216,168,23,125,151,71,74,194,49,1,153,128,84,
199,219,237,17,82,35,53,183,220,144,162,180,126,246,13,39,52,63,202,142,
107,180,175,161,88,127,126,1,71,156,30,107,1, };
static unsigned short stb__arial_39_latin1_t[224]={ 33,246,344,135,70,163,163,298,1,1,344,
345,308,98,63,70,163,219,191,191,272,191,191,272,163,163,272,272,324,344,324,
219,1,246,246,163,246,246,246,191,272,246,219,272,272,272,272,163,272,103,298,
163,298,219,298,298,272,272,272,36,191,36,344,320,356,298,219,298,219,324,219,
191,246,219,1,246,1,324,324,324,219,219,324,324,219,324,324,324,324,191,324,
1,1,1,356,298,298,298,298,298,298,298,298,298,298,298,298,298,298,298,298,
298,298,298,298,298,298,298,298,298,298,298,298,298,298,298,298,298,33,36,36,
191,345,246,1,1,356,191,344,345,344,98,191,320,344,298,344,344,356,191,70,
27,356,324,344,345,163,163,135,135,36,70,36,70,103,103,246,1,36,70,70,
103,70,70,70,70,246,70,1,1,36,36,36,344,103,1,36,36,70,70,298,
103,103,103,135,219,135,135,298,191,135,135,135,135,135,219,219,219,219,246,103,
135,103,219,103,344,298,103,135,135,163,1,36,1, };
static unsigned short stb__arial_39_latin1_a[224]={ 155,155,198,311,311,497,373,107,
186,186,217,326,155,186,155,155,311,311,311,311,311,311,311,311,
311,311,155,155,326,326,326,311,567,373,373,403,403,373,341,434,
403,155,279,373,311,465,403,434,373,434,403,373,341,403,373,527,
373,373,341,155,155,155,262,311,186,311,311,279,311,311,155,311,
311,124,124,279,124,465,311,311,311,311,186,279,155,311,279,403,
279,279,279,187,145,187,326,419,419,419,419,419,419,419,419,419,
419,419,419,419,419,419,419,419,419,419,419,419,419,419,419,419,
419,419,419,419,419,419,419,419,155,186,311,311,311,311,145,311,
186,412,207,311,326,186,412,308,223,307,186,186,186,322,300,155,
186,186,204,311,466,466,466,341,373,373,373,373,373,373,559,403,
373,373,373,373,155,155,155,155,403,403,434,434,434,434,434,326,
434,403,403,403,403,373,373,341,311,311,311,311,311,311,497,279,
311,311,311,311,155,155,155,155,311,311,311,311,311,311,311,307,
341,311,311,311,311,279,311,279, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_39_latin1_BITMAP_HEIGHT or STB_FONT_arial_39_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_39_latin1(stb_fontchar font[STB_FONT_arial_39_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_arial_39_latin1_BITMAP_HEIGHT][STB_FONT_arial_39_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_39_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_39_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_39_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_39_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_39_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_39_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_39_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__arial_39_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__arial_39_latin1_s[i] + stb__arial_39_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__arial_39_latin1_t[i] + stb__arial_39_latin1_h[i]) * recip_height;
            font[i].x0 = stb__arial_39_latin1_x[i];
            font[i].y0 = stb__arial_39_latin1_y[i];
            font[i].x1 = stb__arial_39_latin1_x[i] + stb__arial_39_latin1_w[i];
            font[i].y1 = stb__arial_39_latin1_y[i] + stb__arial_39_latin1_h[i];
            font[i].advance_int = (stb__arial_39_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__arial_39_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_39_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_39_latin1_s[i] + stb__arial_39_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_39_latin1_t[i] + stb__arial_39_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_39_latin1_x[i] - 0.5f;
            font[i].y0f = stb__arial_39_latin1_y[i] - 0.5f;
            font[i].x1f = stb__arial_39_latin1_x[i] + stb__arial_39_latin1_w[i] + 0.5f;
            font[i].y1f = stb__arial_39_latin1_y[i] + stb__arial_39_latin1_h[i] + 0.5f;
            font[i].advance = stb__arial_39_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_39_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_39_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_39_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_39_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_39_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_39_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_39_latin1_LINE_SPACING
#endif

