// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_43_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_43_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_43_latin1_BITMAP_WIDTH         256
#define STB_FONT_arial_43_latin1_BITMAP_HEIGHT        442
#define STB_FONT_arial_43_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_43_latin1_FIRST_CHAR            32
#define STB_FONT_arial_43_latin1_NUM_CHARS            224

#define STB_FONT_arial_43_latin1_LINE_SPACING          28

static unsigned int stb__arial_43_latin1_pixels[]={
    0x00000000,0x00000000,0x00000000,0x90000000,0x2a007ddd,0x3baa0eee,
    0x0000000e,0x01e64c00,0x33332ea6,0x3ccccccc,0x80007993,0x4cccccc9,
    0x33333322,0x3fea000c,0x0001ff50,0x7bdffb71,0x403ffb80,0xff77ffd9,
    0x037bfe27,0x99510000,0x79ddfffd,0x22000001,0x2e006fff,0x3fea0fff,
    0xb930000f,0x0179dffd,0x10dff700,0xfffffffb,0xffffffff,0x001bfeeb,
    0xffffff50,0x7ffffccf,0xfd1000ff,0x4005fe89,0xfffffffa,0x7ff702ff,
    0xbffffdc0,0xfff13ffb,0x300005ff,0xfffffff9,0x5bffffff,0xffc80000,
    0x3fee000f,0x03ffea0f,0xffffd700,0x19ffffff,0x237fdc00,0xfffffffb,
    0xffffffff,0x0dff75ff,0xffffa800,0x3ffe67ff,0x9000ffff,0x2ff981ff,
    0xfffff500,0x05fffffd,0x3e607ff7,0xff77ffff,0x3ffffe27,0x3faa0006,
    0xdeffffff,0xffffffee,0xf880000e,0x7dc002ff,0x3ffea0ff,0xfffb1000,
    0xffffffff,0x2e003fff,0x3ffea6ff,0xccefffff,0x3ccfffcc,0x8000dff7,
    0x1999fffa,0x7ffd4ccc,0x03ff9800,0xf8801ffb,0xd710beff,0xffb81fff,
    0x83dff703,0x7d443ffb,0xfb8002ff,0x401bffff,0x2fffffc9,0x1ffe4000,
    0x20ccc400,0xf3001998,0x335bffff,0xfffff753,0x25553003,0xffffffe8,
    0x7ffc45ff,0x0037fdc0,0x801ffea0,0xe800fff8,0x17fe606f,0x203fff50,
    0x7dc3fff9,0x05ffb03f,0x3f607ff7,0x7fe4004f,0xd50002df,0x40009fff,
    0x000003cc,0xffff8800,0xfffc800d,0xffb8000f,0x5fffffff,0x2e07ffc4,
    0x540006ff,0x3e2007ff,0x7fd400ff,0x007fec03,0xfe80bff9,0x81ffdc5f,
    0xffb81fff,0x00bff503,0x001fffec,0x02fffc80,0x00000000,0x4fffd800,
    0x27ffe400,0x7fffe400,0x445fffff,0x7fdc0fff,0x7fd40006,0x3ffe2007,
    0x007ff400,0xfb813fea,0x2675c06f,0x7fc0ffee,0x03ffb80f,0x3200dff5,
    0x00001fff,0x0007ffd4,0x00000000,0x00bfff50,0x003fffa0,0xffffffd0,
    0xff88bfff,0x437fdc0f,0x7d4009a9,0x3fe2007f,0x17fea00f,0x9807ffc0,
    0x70002fff,0x3ffe07ff,0x503ffb80,0xff300dff,0x0198801f,0x4c37fe40,
    0x32002fff,0x5fff35ff,0x22ffe400,0x0000fffd,0x5c09fff5,0xfffff6ff,
    0x88bfffff,0x7fdc0fff,0xfffffb16,0x1ffea03b,0x00fff880,0x6c00fff6,
    0x3ffa03ff,0xffb8002f,0x701fff03,0x3fea07ff,0x02ffe806,0x37ffffaa,
    0xfb0fbb21,0x0bffd05f,0xfd17ffc0,0x7ffc00bf,0x013ffe22,0x40157b00,
    0xfffb6ffb,0x8bffffff,0x7dc0fff8,0xfffffaef,0xfa84ffff,0x3fe2007f,
    0x1fff300f,0x81ffea00,0x004ffff8,0xff81ffdc,0x03ffb80f,0xfb80dff3,
    0x3fff605f,0xff0fffff,0x85ff985f,0xa800fffb,0x7ffdc7ff,0x47ffa800,
    0x0002fffb,0x2dff7000,0xfffffffc,0x7ffc45ff,0x7ffffdc0,0xfffcaacf,
    0x03ffd44f,0x201fff10,0x22005ffb,0x3ee01fff,0x7002efff,0xfff107ff,
    0x207ff701,0x3e206ff9,0xffe880ef,0xfffdbcef,0xfe80fffa,0x1fffc40f,
    0x2227fec0,0xfd803fff,0x0fffec4f,0xfb800000,0xfffff56f,0xf88bffff,
    0x7ffdc0ff,0xffe881ff,0x01ffea1f,0xb00fff88,0xfe8009ff,0xffff903f,
    0xb801bfff,0x7ff883ff,0x2207ff70,0x3fea07ff,0x07fffd03,0x0fffffd3,
    0x3f60bfee,0x7ffc406f,0x406ffd81,0x7f41fff8,0x000000ff,0x7ecdff70,
    0x5fffffff,0x2e07ffc4,0x7c00ffff,0x1ffea5ff,0x00fff880,0xd8007fff,
    0x7ff4c5ff,0xfffffd8c,0x20ffee02,0xff707ff9,0x81ffe207,0xffb80ffd,
    0x3ffe603f,0x07ff305f,0x5c03fff5,0xfff506ff,0x437fdc03,0x00007ffe,
    0x89bfee00,0xffffffff,0x207ffc45,0xb804fffb,0x1ffea7ff,0x80fff880,
    0x4002fff9,0x7fe47ffc,0x7ffffd42,0x83ffb80d,0xff705ffa,0x807ffc07,
    0xfff886ff,0x4fffd804,0x3e09ff10,0x3ffa04ff,0x813ffe03,0xfff83ffe,
    0x20000005,0x7ec46ffb,0x445fffff,0x7fdc0fff,0x3fff000f,0x8801ffea,
    0xffa80fff,0x7fdc001f,0x441bfe0f,0x41fffffc,0xffe82eea,0x407ff702,
    0xffa84ffc,0x01fffc83,0x202fffc8,0xdff905ff,0x803ffe60,0xff306ffc,
    0x0bfff01f,0x7dc00000,0xffb9306f,0x0fff88bf,0xd003ffdc,0x1ffea5ff,
    0x80fff880,0x4000fffb,0xff51fffa,0xfffea809,0xfff7000e,0x301ffdc0,
    0xffb85fff,0x005fff81,0x2601fff7,0xfff304ff,0x80bff903,0xfc81fff9,
    0x0dfff05f,0x7dc00000,0x5ffa806f,0x2e07ffc4,0x3f6006ff,0x00fff54f,
    0x5c07ffc4,0xf98007ff,0x0fff51ff,0x0dfffb10,0x01ffffc8,0xf700ffee,
    0x3ff27fff,0x00fffcc0,0x2e07ffb8,0x3ffa02ff,0x802fff84,0xfff84ffe,
    0x01fffd02,0x3ee00000,0x5ffa806f,0x2e07ffc4,0x3f2005ff,0x00fff55f,
    0x6407ffc4,0xf88006ff,0x5fff12ff,0x07fff600,0x400efff8,0xe9803ffb,
    0x70ffb5ff,0x36001fff,0x3ff605ff,0x31ffee01,0x3ee00fff,0x03ffcc7f,
    0x0003fffb,0x1bfee000,0xf117fea0,0x4ffb81ff,0x557ff200,0x3e2007ff,
    0x6ffc80ff,0x2fff8800,0x2007fff6,0x3e03fff8,0x7dc00dff,0xffe8803f,
    0xff90ffd5,0x1fff400f,0xf880fff0,0x13ff22ff,0x917ffc40,0x7fdc09ff,
    0x5cc0002f,0x037fdc00,0x3e22ffd4,0x2ffdc0ff,0x2a7ffb00,0x3e2007ff,
    0x6ffb80ff,0x1fff8800,0x00ffffe2,0xfc813ff6,0x3ee01fff,0x7ffd403f,
    0xfb0ffd3f,0x3fe200bf,0x0dff301f,0x7fcbffb0,0x3ff6001f,0x9807ffe5,
    0x40004fff,0xf700fffd,0xbff500df,0x5c0fff88,0x3fa006ff,0x00fff52f,
    0x5c07ffc4,0xf98007ff,0x7ffd40ff,0x3ff601ef,0x7ffe4402,0x407ff700,
    0x7ec2fff8,0x006ffc87,0x3a01fff7,0xffa802ff,0x800dff37,0xdff37ffa,
    0x00dffd00,0x02fffc40,0xf500dff7,0x0fff88bf,0x8803ffdc,0xfff50fff,
    0x07ffc400,0x4003ffd4,0xf980fff9,0xf884ffff,0x05dd50ff,0x3ee07ffd,
    0x17fee03f,0xff503ff6,0xdfff100f,0x8017ff60,0x3ffcafff,0xcafff800,
    0xffc803ff,0xff90003f,0x37fdc05f,0x222ffd40,0x7fdc0fff,0x7ffc803f,
    0x8801ffea,0xff980fff,0x7fd4000f,0x3fff6207,0x7fff32ef,0x7d41ffdc,
    0x07ff705f,0x7e40fff4,0x0fffc41f,0x213fff60,0x2000fffc,0x0ffecffc,
    0xecffc800,0xff8800ff,0x7d4001ff,0x7fdc07ff,0x45ffa806,0x7dc0fff8,
    0x3e200fff,0x1ffea4ff,0x00fff880,0xc8005fff,0xffa805ff,0x2effdfff,
    0x7cc1ffdc,0x07ff707f,0x7d41ffe2,0x05ffe83f,0x70fffff2,0x88007fff,
    0x005fffff,0xbfffff10,0x7fffd400,0xffff3001,0x06ffb805,0x7c45ffa8,
    0x7ffdc0ff,0xffe980ef,0x01ffea0f,0xb00fff88,0xfe8009ff,0xff91003f,
    0x3ee0bfff,0x07ff883f,0x3e607ff7,0x0dff107f,0xd98bfff5,0xa8efffff,
    0x0004fffe,0x005ffffd,0x17ffff40,0x3ffff600,0xffd881bd,0xffb804ff,
    0x45ffa806,0x7dc0fff8,0xbbcfffff,0x542ffffd,0x3e2007ff,0xdff700ff,
    0x07ffc400,0x3fffa600,0x83ffb81f,0xff707ff8,0x81ffe607,0xffb81ffd,
    0x9efffeff,0xffffffff,0x3ee0002f,0x20000fff,0x000ffffb,0xffffffc8,
    0xfffffedf,0xdff7005f,0x88bff500,0x7fdc0fff,0xffffffae,0xffa82fff,
    0x3ffe2007,0x00fff100,0x00037fcc,0xb81dfffb,0x1fff03ff,0x2607ff70,
    0x3fee06ff,0xfffffb05,0x3fff61df,0x0001efff,0x002fffc4,0x017ffe20,
    0xfffffb80,0xffffffff,0x1bfee003,0xf117fea0,0x6ffb81ff,0x7bffffd3,
    0x01ffea01,0x200fff88,0xf9002ffe,0xfb80009f,0x1ffdc5ff,0xfb80fff8,
    0x0dff303f,0x9303ffe8,0xfdb059fd,0x5550159d,0x07ffe003,0x07ffe000,
    0xffd71000,0x07ffffff,0x00dff700,0xff88bff5,0x237fdc0f,0xfa800a98,
    0x3fe2007f,0x17fea00f,0x2007ffc0,0x47ffc800,0xfff03ffb,0x207ff701,
    0x7c406ff9,0x000001ff,0x800effb8,0x80006ffa,0x00006ffa,0x04d77ec4,
    0x0dff7000,0xf88bff50,0x37fdc0ff,0x1ffea000,0x00fff880,0x2a007ff4,
    0xffd104ff,0x1fff9803,0x7fc0ffee,0x03ffb80f,0xf500dff5,0x000003ff,
    0x800fffdc,0x80003ffd,0x00003ffd,0x00005ff8,0xf500bff9,0x0fff88bf,
    0x00037fdc,0x8801ffea,0x7dc00fff,0x07fec03f,0x9809fff0,0x3fee0fff,
    0x703fff03,0x3fea07ff,0x9fff9005,0xfd880000,0xff3002ff,0xf980001f,
    0x400000ff,0x004ffff9,0x402ffec0,0x7fc45ffa,0x037fdc0f,0x01ffea00,
    0x800fff88,0x3fe206ff,0x0fffe405,0xfb8dffb0,0x07ffd03f,0x3ee07ff7,
    0x3ffa004f,0x440002ef,0x203ffffb,0x4fffb99a,0xfb99a800,0x000004ff,
    0x000bff62,0x401fffd4,0x7fc45ffa,0x037fdc0f,0x27ffea00,0x54ccc199,
    0xfa800fff,0x01ffb03f,0x0befff98,0x713fff26,0x3ff207ff,0x41ffdc1e,
    0x4002fff9,0xadfffffc,0xffda8800,0x7f401dff,0x0006ffff,0x0dfffffd,
    0xff900000,0x7ffcc009,0xfa801fff,0x07ffc45f,0x0001bfee,0xfffffff5,
    0x7fffffcc,0x1ffb000f,0x5003ff98,0xffdfffff,0xfb81dfff,0xffff103f,
    0x44ffeebf,0x00fffffe,0xffffe980,0xeddeffff,0xeffffffe,0xffffb002,
    0x3f60001f,0x0000ffff,0x7f655440,0x3ee000ff,0x5004ffff,0xfff88bff,
    0x0037fdc0,0x3ffffea0,0x3fffe67f,0xf1000fff,0x006fd87f,0x7fffffdc,
    0xff705fff,0x7fffdc07,0x3e27ff77,0x0002ffff,0x7ffffe4c,0xffffffff,
    0x5c003fff,0x0001befe,0x006fbfae,0x3ffe6000,0x5c004fff,0x2002dfff,
    0x4cc82cc9,0x0003cc98,0x6666664c,0x33333224,0x3ea000cc,0x001ff50f,
    0xbffdd710,0x1ffdc059,0x5dfff660,0xbfff13ff,0xa9800003,0xffffedcb,
    0x00001bde,0x00000000,0x77774c00,0x0000001c,0x00000000,0x00000000,
    0x01310998,0x31000000,0x31180013,0x00000c13,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x15100000,
    0x3332a000,0x44000003,0x00002ccc,0x01cccb80,0x99910000,0xcb800007,
    0x000002cc,0x00066664,0x026664c0,0x32600000,0x000003cc,0xf7000000,
    0x3fa2000d,0x000000ff,0x007ffffa,0xfff98000,0x36000006,0x0003ffff,
    0x01fffe60,0xfffb8000,0x3f600005,0x000002ff,0x00bfffa0,0x004fa800,
    0x03fd8000,0x13ffe600,0x7fe40000,0x0000fffe,0x01fffb00,0x3fee0000,
    0x0001ffff,0x00fffea0,0x37ff4000,0x3fa20000,0x0000006f,0x0007fff3,
    0x00efe4c0,0x07fe0000,0x1fff5000,0xffa80000,0x006ffc9f,0x1fff9800,
    0xff300000,0x01fff55f,0x37fdc000,0x7fd40000,0x8800000f,0x00002fff,
    0x005ffd80,0xffffd980,0x0000dfff,0x0003fcc0,0x0004ffc8,0xe8fffe60,
    0x400005ff,0x00003ffc,0x6cbffd10,0x400006ff,0x00002ffd,0x00017ff4,
    0x00dff300,0xeff98000,0x7fdc0000,0xffffffff,0x3200002f,0x3200004f,
    0x3600005e,0x7774c5ee,0xdb100002,0x64000009,0x3ba20dee,0x6c00003e,
    0x2600005e,0x000003ee,0x0001eeb8,0x007bae00,0xdffff500,0xffffdbfb,
    0x3fa00003,0x00000002,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0xf52efff8,0x01fffea9,0x7fd55440,0x32a60000,
    0x01cdeffd,0x000b3320,0x2002ccc8,0xdeffdca9,0x4c00001c,0xcdeffdca,
    0x0b332001,0x92ccc800,0x64000599,0xca8002cc,0x000002cc,0x00166654,
    0x2a1fffb8,0x0bffee4f,0x7ffedcc0,0x98001fff,0xfffffffe,0xf802efff,
    0x3e0004ff,0xfe9805ff,0xffffffff,0x4c0002ef,0xfffffffe,0xf802efff,
    0x3e0004ff,0x09fff5ff,0x02fffc00,0x037fff40,0x3ffa0000,0xffb0006f,
    0x3e24fa8d,0xffb804ff,0xffffffff,0x3ffee002,0xffffffff,0x3e00dfff,
    0x3e0004ff,0x7fdc05ff,0xffffffff,0x000dffff,0xffffffb8,0xffffffff,
    0x13ffe00d,0xf5fff800,0x7c0009ff,0x7cc005ff,0x0001ffff,0xfffff300,
    0x7ffd0003,0x5e644fa8,0x7fffe402,0xfffffabd,0x7ffec404,0xb999acef,
    0x00effffe,0x40009fff,0xfb105fff,0x3359dfff,0xdffffd73,0x3ff62001,
    0x999aceff,0x0effffeb,0x0009fff0,0xfffafffc,0x3ffe0004,0x77fe4005,
    0x000005ff,0x0bffdff9,0xa87fff00,0xff50004f,0x777d41df,0x3fa00fff,
    0xe9802fff,0xff80efff,0x3fe0004f,0xffffd05f,0xfffd3005,0xfffd001d,
    0xffd3005f,0x9fff01df,0xafffc000,0x20004fff,0x7c005fff,0x00fff9ff,
    0x9fff8000,0x6c000fff,0x027d46ff,0x40fffe80,0x3fff9cfc,0x01bfff70,
    0x27ffec40,0x00027ffc,0xff70bfff,0x6c4001bf,0x7dc04fff,0x22000dff,
    0xff84fffd,0x3fe0004f,0x009fff5f,0x002fffc0,0x3ffadff5,0x7d400003,
    0x007ffd6f,0x2a0fffb8,0xff98004f,0xfb2ff82f,0xdfff10df,0x7fff4000,
    0x0027ffc2,0xf88bfff0,0x3a0006ff,0xff102fff,0x7f4000df,0x27ffc2ff,
    0x2bfff000,0x20004fff,0x36005fff,0x0dff93ff,0x3ffd8000,0x9800dff9,
    0x9f51efff,0x0fff7000,0x804c4ff3,0x0002fffc,0xff1bffe6,0x7fc0009f,
    0x17ffe45f,0xdfff3000,0x00bfff20,0x46fff980,0x20004fff,0x9fff5fff,
    0x2fffc000,0x31fff880,0x00003fff,0x7cc7ffe2,0x7dc001ff,0x04fcdfff,
    0xb86ffd80,0xfff1005f,0xffb0000b,0x027ffc1f,0x44bfff00,0x80005fff,
    0x7c40fffd,0xd80005ff,0x3ffe0fff,0x3ffe0004,0x0009fff5,0xb802fffc,
    0x2fff47ff,0x7ffb8000,0x4002fff4,0xfffffffb,0x3ffa002c,0x5003fd85,
    0x00003fff,0x7fc7fff5,0x3fe0004f,0x07ffea5f,0x3ffea000,0x00fffd43,
    0x1fffd400,0x40009fff,0x9fff5fff,0x2fffc000,0x5c4ffe80,0x80000fff,
    0x7fdc4ffe,0xfda8000f,0x3fffffff,0x444fff80,0xff7000ff,0x3e00001f,
    0x13ffe5ff,0x25fff800,0x0000fffb,0xfb8bfff0,0xf00000ff,0x27ffcbff,
    0x2bfff000,0x20004fff,0xf9805fff,0x7ffc41ff,0x7fcc0003,0x1fffc41f,
    0xfff71000,0x403dffff,0x37d44fff,0x00fff900,0xf3ffec00,0x7c0009ff,
    0x1fff25ff,0x7ffd8000,0x0003ffe4,0x7fcfffb0,0x3fe0004f,0x009fff5f,
    0x402fffc0,0xffb06ffd,0xffd8000d,0x00dffb06,0xffdbf500,0x7ff40dff,
    0xd0027e45,0x40000dff,0x3ffe7ffd,0x3ffe0004,0x001bffa5,0x747ffd80,
    0x200006ff,0x3ffe7ffd,0x3ffe0004,0x0009fff5,0x2202fffc,0xff503fff,
    0x3e20005f,0xfff503ff,0x4fa80005,0x209fffd3,0x0ffc6ffd,0x2fffc0cc,
    0xfff90000,0x0013ffe1,0x3fe5fff8,0x3200005f,0x3ffe0fff,0x3f200005,
    0x09fff0ff,0xfafffc00,0x3e0004ff,0x7fdc05ff,0x17ffe00f,0x07ffdc00,
    0x000bfff0,0x7ff44fa8,0x27ffc80f,0xfff887f9,0x009fff11,0x87ffe400,
    0x20004fff,0xfff15fff,0x7e400009,0x9fff10ff,0x7fe40000,0x009fff0f,
    0xffafffc0,0x3fe0004f,0x2fff405f,0x003fff20,0x9017ffa0,0x40001fff,
    0x7ffdc4fa,0x72fff981,0x8fff70bf,0x00005fff,0x7fc3fff6,0x3fe0004f,
    0x017ffe5f,0x0fffd800,0x00017ffe,0xff0fffd8,0x7fc0009f,0x009fff5f,
    0x302fffc0,0xf9805fff,0x7cc003ff,0x7fcc02ff,0xf501003f,0x03fff889,
    0x7fd1fffd,0x7c4fff88,0x200006ff,0x3ffe7ffe,0x3ffe0005,0x001bffe5,
    0x7c7ffe80,0x200006ff,0x3ffe7ffe,0x3ffe0005,0x000bfff5,0xf902fffc,
    0x555557ff,0x0ffff555,0xabfffc80,0xfaaaaaaa,0x3faa07ff,0xff84fa87,
    0xbfff503f,0x7fec41ff,0x03fff40f,0x4dfff000,0x20005ffe,0x3ffa4fff,
    0x3fe00007,0x03fff46f,0x4dfff000,0x20005ffe,0xbffd4fff,0x27ffc000,
    0xfffffff0,0xffffffff,0x7fc005ff,0xffffffff,0x2fffffff,0xa81fff30,
    0x02fff84f,0x27fffff2,0x82ffffba,0x0000fffc,0x3a5fff88,0xf10005ff,
    0x7ffe49ff,0xff880000,0x07ffe45f,0x7ffc4000,0x0017ffa5,0xfea7ffc4,
    0xff10005f,0x3ffea09f,0xffffffff,0x05ffffff,0xffffff50,0xffffffff,
    0x7fc0bfff,0x2627d43f,0x7e401fff,0xffffffff,0x7fff303f,0xfff70000,
    0x0037fec5,0x263fff98,0x80003fff,0x7cc2fffb,0xb80003ff,0x3ff62fff,
    0xfff30006,0x001bff67,0xd81fffcc,0xcccccfff,0xfecccccc,0xffd800ff,
    0xcccccccf,0xfffecccc,0x41fffb00,0x37ff44fa,0xfffffa80,0x7f400dff,
    0x220000ff,0x7fe47fff,0xffa8000f,0x07fff42f,0xffff1000,0x003fffa0,
    0x47fff880,0x8000fffc,0xff92fffa,0xff50001f,0x7fff105f,0x4fffa800,
    0x01fffc40,0x413ffea0,0xf50efffa,0x017ffec9,0x9bbaffa8,0xbfff7000,
    0x7ffe4000,0x017ffd44,0x207ffec0,0x0005fffb,0x5c13fff2,0x20005fff,
    0x7d44fffc,0xfd8002ff,0x5fff50ff,0x1fffb000,0x001fff70,0xb80fffd0,
    0xe8000fff,0x3ff207ff,0xebdfccff,0x32005fff,0x7f40005f,0xfa8002ff,
    0x7fc40eff,0x3e6000ff,0xfffd06ff,0xfff50005,0x7fff401d,0xfffa8002,
    0x7fffc40e,0x3ffe6000,0x03fffe26,0x06fff980,0x2000dffd,0x3a02fffc,
    0xf90006ff,0x7fdc05ff,0xffffffff,0x17f4004f,0x3ffe6000,0x3ff2004f,
    0xfffb01ff,0xffd1001d,0x3ffe607f,0x3ff2004f,0x7fcc01ff,0x3f2004ff,
    0xffb01fff,0xfd1001df,0xfffd87ff,0xffe8800e,0x3fff983f,0xbfff1000,
    0x00fffe60,0x02fffc40,0x3fffff6a,0x4c002eff,0xa80000ff,0x80aeffff,
    0x4ffffea8,0x3bfffe20,0x7fdcc09b,0x7fd406ff,0xa880aeff,0x004ffffe,
    0x15dffff5,0xffffd510,0x7fffc409,0x7dcc09be,0xff886fff,0x4c09beff,
    0x906ffffb,0x40001fff,0xfc81fffd,0x360000ff,0xb3001fff,0x200015bf,
    0x200006fb,0xfffffff9,0xffffffdd,0xfffb802f,0xfffeffff,0x800effff,
    0xfffffff9,0xffffffdd,0x7fcc002f,0xfddfffff,0x02ffffff,0xffffffb8,
    0xffffffef,0xfff700ef,0xfffdffff,0x201dffff,0x40005fff,0xff84fffa,
    0x7d40005f,0x3ea004ff,0x1fec0004,0x3f620000,0xffffffff,0x2001efff,
    0xfffffff9,0x0dffffff,0x3fff6200,0xffffffff,0xb10001ef,0xffffffff,
    0x003dffff,0x7fffffcc,0xdfffffff,0x7fffcc00,0xffffffff,0xfff500df,
    0xfff00005,0x02fffa8f,0x07fff800,0x80013ea0,0x00001ff8,0xfffff930,
    0x00039fff,0x3ffffae2,0x001dffff,0x3ffff260,0x001cffff,0xffff9300,
    0x0039ffff,0x3fffae20,0x01dfffff,0x3fffae20,0x01dfffff,0x0003ffec,
    0x362fffc8,0x900007ff,0x2a005fff,0x1cc0004f,0x98800000,0x000019aa,
    0x4d5554c4,0x4c400000,0x000019aa,0x0cd54c40,0x2a620000,0x00009aaa,
    0x4d5554c4,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x000e6664,0x03999500,0x99100000,0x00000199,0x00000000,0xcccb8000,
    0x6665c002,0x0e666402,0x00cccb80,0x40d44000,0xa8000cc8,0x00000ccc,
    0x0005fff7,0x000bfff5,0x77fffcc0,0x5c000000,0x40004fff,0x7fdc7ffb,
    0x7fcc0007,0x07ffe61f,0xdfff3000,0xffff9800,0x0bfff500,0x17fffea0,
    0x7fe44000,0x1ff91cef,0xffff9800,0xe89fff06,0x5fff74ff,0x1dffd000,
    0x3fa20000,0x0005ffef,0x17ffe200,0x1ffee000,0x8000fff7,0x3e61fff9,
    0xb80001ff,0x54002fff,0xffd03fff,0xfff3001d,0x00009ffd,0xfffffff7,
    0x8800dfff,0x84ffefff,0x7ff44fff,0x005fff74,0x000fffa8,0x23bff600,
    0x00004ffe,0x001dff70,0xb8fff700,0x4c0007ff,0x3fe61fff,0xf900001f,
    0xff7000df,0x03fff30f,0xf19ffd10,0xe80005ff,0xfffc98df,0x7f4001ff,
    0x43fff8df,0x7ff44fff,0x005ddd54,0x0002ffe8,0x4c7ffee0,0x00002fff,
    0x0001fff8,0xea8ddd50,0x74c0006e,0x3bba60ee,0x3f600001,0xffd8002f,
    0x801ffec3,0xff70fffd,0x3a20003f,0x002ca81e,0xf50fffc8,0x1f76c3ff,
    0x0000fbb6,0x0000fba6,0x643eee88,0x00000dee,0x0000bbaa,0x00000000,
    0x88000000,0xdb0004ed,0x8027744b,0x76c2eeea,0x0000005e,0x17774c00,
    0x00017bb2,0x00000000,0x00000000,0x99900000,0x66640005,0x372a6002,
    0x001cdeff,0x00000000,0x00000000,0xffb95300,0x000039bd,0x0ccc9800,
    0xccccc800,0xcccccccc,0x04cccccc,0x05999500,0x05999500,0x19999000,
    0x80013ffe,0xe9805fff,0xffffffff,0xcc802eff,0xcccccccc,0xcccccccc,
    0x0ccc984c,0x3206664c,0xcccccccc,0xcccccccc,0xfd3004cc,0xffffffff,
    0x930005df,0xff500199,0x213f603f,0xffffffff,0xffffffff,0xd0007fff,
    0x3000dfff,0x0003ffff,0xff27ffe4,0x7fc0009f,0x7ffdc05f,0xffffffff,
    0x3e00dfff,0xffffffff,0xffffffff,0xfffa87ff,0x20fffd41,0xffffffff,
    0xffffffff,0xfb807fff,0xffffffff,0x00dfffff,0x007ffea0,0x6c07ffea,
    0xfffff84f,0xffffffff,0x07ffffff,0xfffff980,0xfffb8001,0xfff30006,
    0x004fff8d,0x4417ffe0,0xaceffffd,0xfffeb999,0xffff00ef,0xffffffff,
    0xffffffff,0xa83fff50,0x7ffc1fff,0xffffffff,0xffffffff,0x3fff6207,
    0xb999acef,0x00effffe,0x003fff50,0x3a03fff5,0xcefff85f,0xcccccccc,
    0x04cccccc,0xffeffc80,0xfffd0005,0xfffd0007,0x004fff83,0x7417ffe0,
    0x9802ffff,0xf80efffe,0xccccceff,0xcccccccc,0xfffa84cc,0x20fffd41,
    0xccccefff,0xcccccccc,0x3fa04ccc,0xe9802fff,0xa800efff,0xfa801fff,
    0x0bfd01ff,0x0000bfff,0xf3fff000,0xf30001ff,0x5c003fff,0xfff84fff,
    0x3ffe0004,0x0dfffb85,0x3fff6200,0x005fff84,0x1fffa800,0x3e0fffd4,
    0x000005ff,0x001bfff7,0x027ffec4,0x400fffd4,0xff01fffa,0x00bfff0d,
    0xffa80000,0x0007ffd6,0x401bffee,0xff06fff9,0x7fc0009f,0x37ffc45f,
    0x5fffd000,0x0005fff8,0x41fffa80,0x7fc1fffa,0x8800005f,0x20006fff,
    0x5402fffe,0xfa801fff,0x0dff01ff,0x0000bfff,0x93ffd800,0x74000dff,
    0xfe803fff,0x9fff01ff,0x2fffc000,0x000bfff2,0x7c6fff98,0x800005ff,
    0x7d41fffa,0x2fffc1ff,0x7fe40000,0x3e60002f,0x7fd406ff,0xfffa801f,
    0xf87ff881,0x000005ff,0x4c7ffe20,0x30001fff,0x5c01ffff,0x3fe03fff,
    0x3fe0004f,0x17ffe25f,0x3fff6000,0x0017ffe0,0x07ffea00,0xff83fff5,
    0x4400005f,0x80005fff,0x2a00fffd,0xfa801fff,0x7ff881ff,0x0005fff8,
    0x1ffee000,0x4000bffd,0xf105fffb,0xfff80dff,0x3ffe0004,0x007ffea5,
    0x8fffea00,0x00005fff,0x541fffa8,0x7ffc1fff,0x7d400005,0xa80001ff,
    0x3ea03fff,0xffa801ff,0x0fff981f,0x0002fffc,0x89ffd000,0x0000fffb,
    0x360bfffa,0x7fc00fff,0x3fe0004f,0x03ffee5f,0x2fffc000,0x0000bfff,
    0xa83fff50,0x7ffc1fff,0x7dc00005,0xf00000ff,0x7fd40bff,0xfffa801f,
    0x40fff981,0x00005fff,0x83fff300,0x0003fff8,0xa83fffe6,0xff803fff,
    0x3fe0004f,0x01fff25f,0x27ffd800,0x00005fff,0x541fffa8,0x7ffc1fff,
    0x7e400005,0x3600007f,0x3fea07ff,0xfffa801f,0x41fffa81,0x00005fff,
    0x20dffb00,0x40006ffd,0xff14fffb,0x3ffe00bf,0x3ffe0004,0x001bffa5,
    0x3e7ffd80,0x800005ff,0x7d41fffa,0x2fffc1ff,0x3ffa0000,0x3f600006,
    0x3ffea07f,0x1fffa801,0x7c1fffa8,0xeeeeefff,0xeeeeeeee,0xfff1005e,
    0x0bffea07,0x3fffd000,0x2001fff9,0x20004fff,0x3ffe5fff,0x3f200005,
    0xdffff0ff,0xdddddddd,0x20bddddd,0x7d41fffa,0x7fffc1ff,0xeeeeeeee,
    0x85eeeeee,0x00005fff,0x5403fff2,0xfa801fff,0xfffb81ff,0x7fffffc2,
    0xffffffff,0x7007ffff,0x7fc01fff,0x7cc0005f,0x02fffeff,0x0013ffe0,
    0xff15fff8,0x6400009f,0xffff0fff,0xffffffff,0x0fffffff,0xf507ffea,
    0xffff83ff,0xffffffff,0x47ffffff,0x0004fff8,0x403fff20,0xa801fffa,
    0xffb81fff,0x7ffffc3f,0xffffffff,0x007fffff,0xfc80bffd,0x5c0000ff,
    0x005fffff,0x00027ffc,0x7ffcbfff,0x3f600005,0xfffff0ff,0xffffffff,
    0x20ffffff,0x7d41fffa,0x7fffc1ff,0xffffffff,0x87ffffff,0x00005fff,
    0x5403fff6,0xfa801fff,0xfffc81ff,0x5577ffc3,0xaaaaaaaa,0x9802aaaa,
    0x7cc02fff,0xe80003ff,0x4000ffff,0x20005fff,0x3ffe5fff,0x3fa00006,
    0x2bbffe7f,0xaaaaaaaa,0x502aaaaa,0xffa83fff,0x577ffc1f,0xaaaaaaaa,
    0xf82aaaaa,0x200006ff,0x3ea07ffe,0xffa801ff,0x4fffc81f,0x0002fffc,
    0x2ffff200,0xaaaaaaaa,0x80007fff,0x8003fffa,0x20005ffe,0x3ffa4fff,
    0x3fe00007,0x017ffe6f,0x3ffea000,0x20fffd41,0x00005fff,0x0003fff4,
    0x540dfff0,0xfa801fff,0xfffc81ff,0x002fffc4,0x3fffe000,0xffffffff,
    0x002fffff,0x017ffcc0,0x002fff40,0x324fff88,0x80000fff,0x3fe5fff8,
    0xa800005f,0x7fd41fff,0x02fffc1f,0x3fff2000,0xff880000,0x3ffea05f,
    0x1fffa801,0x7c4fffc8,0x000005ff,0x3fffffea,0xffffffff,0x40005fff,
    0x8002fff9,0x30006ffd,0x7fcc7fff,0xfb80003f,0x17ffe2ff,0x3fea0000,
    0x0fffd41f,0x00017ffe,0x007fff30,0x05fff700,0x400fffd4,0xfc81fffa,
    0x2fffc4ff,0xffb00000,0x9999999f,0xfffd9999,0x7fcc0001,0xffc8002f,
    0xffa8000f,0x07fff42f,0xffff1000,0x0005fff8,0x41fffa80,0x7fc1fffa,
    0xe800005f,0x20000fff,0x5407fff8,0xfa801fff,0xfffc81ff,0x002fffc4,
    0x3fff8800,0x27ffd400,0x5fff3000,0x5fff5000,0x1fffb000,0x005fffb8,
    0xf13fff20,0x00000bff,0xfa83fff5,0x2fffc1ff,0x7fdc0000,0x3f20005f,
    0x7fd404ff,0xfffa801f,0x42ccca81,0x00005fff,0x001fff70,0x000fffd0,
    0x0017ffcc,0x007fffc4,0x20dfff30,0x8002fffe,0x7c0efffa,0x800005ff,
    0x7d41fffa,0x2fffc1ff,0xffe80000,0xffa8002f,0x7fd400ef,0xfffa801f,
    0x5fff8001,0xffd00000,0x3ff2000d,0xff30002f,0x3f60005f,0xe8800eff,
    0xff303fff,0x7e4009ff,0xfff81fff,0xfa800005,0x7ffd41ff,0x002fffc1,
    0xffff9800,0x3fff2004,0xfffa801f,0x1fffa801,0x7c0bbb98,0x800005ff,
    0x0003fff9,0x000bfff1,0x000bffe6,0x5f7fffc4,0x7ffdcc09,0x7ffd406f,
    0xea880aef,0xff04ffff,0x500000bf,0xffa83fff,0x02fffc1f,0xfff50000,
    0xd51015df,0x2009ffff,0xa801fffa,0xffb81fff,0x4efffc1f,0x99999999,
    0x09999999,0x0007ffe4,0x003fffb0,0x005fff30,0x7ffffdc0,0xfffffeff,
    0xf9800eff,0xddffffff,0x2fffffff,0x2677ffe0,0x99999999,0x40999999,
    0x7d41fffa,0x6fffc1ff,0x99999999,0x99999999,0x3fffe600,0xfffddfff,
    0x2002ffff,0xa801fffa,0xffb81fff,0x7ffffc1f,0xffffffff,0x4fffffff,
    0x0002fffc,0x0013ffea,0x000bffe6,0xffffff30,0xbfffffff,0x7fec4001,
    0xffffffff,0x7fc01eff,0xffffffff,0xffffffff,0x7ffd44ff,0x20fffd41,
    0xffffffff,0xffffffff,0x4404ffff,0xfffffffd,0x01efffff,0x00fffd40,
    0x5c0fffd4,0x7ffc1fff,0xffffffff,0xffffffff,0x0bffea4f,0x1fffe000,
    0x0bffe600,0x3fae2000,0xdfffffff,0x3f260001,0xcfffffff,0xfffff001,
    0xffffffff,0x9fffffff,0x541fffa8,0x7ffc1fff,0xffffffff,0xffffffff,
    0xff93004f,0x39ffffff,0x3ffea000,0x1fffa801,0x7c0aaa98,0xffffffff,
    0xffffffff,0x3ff64fff,0xff900007,0xff98005f,0x4400002f,0x009aaaa9,
    0x554c4000,0xfff80019,0xffffffff,0xffffffff,0x0fffd44f,0xff07ffea,
    0xffffffff,0xffffffff,0x310009ff,0x00003355,0x0003fff5,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x000a2000,0x00000000,0x2602e200,0x5500004c,
    0x0000b2e0,0x00000000,0x00003000,0x00000000,0x7c000000,0x1fffc3ff,
    0xfffc8000,0xfe800003,0x027ff44f,0xfffd8800,0x00ffb1be,0xdffffb80,
    0x003ff98a,0x3ffb7260,0x00000bde,0x77ff6e4c,0x1df501bc,0x00017ae0,
    0x73003ffa,0x00039ddb,0x4000ffe8,0x7ffc3fff,0x2fa80003,0x800003f5,
    0x7ff44ffe,0xff900004,0xffffffff,0x7fc4000b,0xffffffff,0xfeb8001f,
    0xffffffff,0x540001df,0xfffffffe,0x3e60dfff,0x7ffc80ff,0x0ffe4000,
    0x3ffffee0,0xf90002ff,0xfff0003f,0x003fff87,0x026c4d80,0x13ffa000,
    0x00009ffd,0x3f6a33fe,0x0000efff,0x3ae27fee,0x4003ffff,0xffffffe8,
    0xffffffff,0xffd88004,0xffffffff,0xff9cffff,0x7ffec41f,0x3fea0007,
    0x577fcc04,0x8006ffb9,0xd0004ffa,0x2eee85dd,0x6c5d8000,0x76c00004,
    0x01f76c3e,0x20774c00,0x80001ca8,0x0bb983ec,0x7fffcc00,0xba99abdf,
    0x00dffffe,0xbffffd30,0xfd753359,0x85ffffff,0x07fffffc,0x00dff100,
    0xffc81ff9,0x1bfe2002,0x00000000,0x7dc57d40,0x00000000,0x00000000,
    0x00000000,0x07bfffe2,0x17fffea0,0x3ffffa20,0xffffb802,0xd8dff83f,
    0xffb0007f,0xffd80003,0x07ff6000,0x66666640,0xcccccccc,0x004ccccc,
    0x00bfffd0,0xccca8000,0x54000002,0x90002ccc,0x5c000799,0xfffd82cc,
    0x7ff44004,0x7ffe403f,0x3fe2000d,0x361d84ff,0xffb8007f,0xfb710003,
    0x7fdc009f,0x3fffe003,0xffffffff,0x7fffffff,0xdfffd000,0xfe800000,
    0x000006ff,0x0037fff4,0x002ffff8,0xfb89ffd0,0xf10005ff,0x3ea01fff,
    0xfc8006ff,0x6c00ffff,0x7fcc007f,0x3fee0005,0x3fe6002f,0x7fffc005,
    0xffffffff,0x7fffffff,0xffff9800,0x3000001f,0x003fffff,0x3ffe6000,
    0xff8001ff,0xe8000fff,0x7fffc4ff,0x3fee0000,0x3fffd04f,0xfdffb800,
    0x3fec04ff,0x003ffa00,0x3fffec80,0x001ffd00,0xcccefff8,0xcccccccc,
    0x8004cccc,0x05ffeffc,0xdff90000,0x00000bff,0x17ffbff2,0x3ffffe00,
    0x4ffe8005,0x0013ffe6,0x221fffa0,0x54005fff,0x1fffd5ff,0x9003fec0,
    0x200005ff,0x6403ffb8,0xff8002ff,0x0000005f,0xfff9fff8,0xff800000,
    0x000fff9f,0xf9fff800,0x7fc000ff,0x4002ffff,0x3ff24ffe,0xfb80000f,
    0x7ffdc1ff,0x3bfea001,0x407fff70,0xff3007fd,0xff000009,0x027fd40d,
    0x005fff80,0x7fd40000,0x0007ffd6,0xfd6ffa80,0xa800007f,0x07ffd6ff,
    0xffffff80,0x3ffa000f,0x001fffe4,0x227ffcc0,0x26007ffe,0x3fe20eff,
    0x01ff604f,0x2001bfa2,0xff883cc8,0x00dff107,0x002fffc0,0x3ff60000,
    0x000dff93,0xf93ffd80,0xd80000df,0x0dff93ff,0xffefff80,0x3ffa005f,
    0x0017ffe4,0x745fff80,0xff1007ff,0x0bfff03f,0x7ec03fec,0xffd0001f,
    0x837fe443,0x20001ffd,0x00005fff,0x47ffe200,0x0001fff9,0x263fff10,
    0x00001fff,0x3e63fff1,0x3fe001ff,0x02fffdaf,0x3e29ffd0,0x200004ff,
    0x7ffc6ffe,0x1ffe8805,0x6c0dffd0,0x1ffd407f,0xdfff3000,0x703ffffb,
    0xf80007ff,0x000005ff,0xfd1ffee0,0x2e0000bf,0x2fff47ff,0x7ffb8000,
    0xf002fff4,0xffff15ff,0x29ffd001,0x0003fff9,0xf89fffa0,0xffe804ff,
    0x81fff602,0x3fe207fd,0xffb80005,0x882effff,0xf80005ff,0x000005ff,
    0xf713ffa0,0xd00001ff,0xfffb89ff,0xffe80000,0x007ffdc4,0xff72fff8,
    0x9ffd00bf,0x000fffea,0x227ffe80,0x7ec04fff,0x7ffe403f,0x74033100,
    0x2cb800ff,0x06b2aa20,0xb800ffe8,0x0bfff02c,0x3e600000,0x7ffc41ff,
    0x7fcc0003,0x1fffc41f,0x3ffe6000,0x01fffc41,0x3fa2fff8,0x7ff402ff,
    0x009fff34,0x22fffc00,0x3f204fff,0x7ffd804f,0x0bfee000,0x0013ff20,
    0x4017fe40,0xfff04ffc,0x2000000b,0xffb06ffd,0xffd8000d,0x00dffb06,
    0xb06ffd80,0x3fe00dff,0x3fffe22f,0x453ffa00,0x00005fff,0xff89fff1,
    0x0bff705f,0x001bffe0,0x5c02ffcc,0x80004fff,0xfb805ff9,0xffff04ff,
    0xdddddddd,0x0bdddddd,0x40fffe20,0x0002fffa,0x2a07fff1,0x10002fff,
    0x3ea07fff,0xfff802ff,0x02fffdc2,0x7ffc9ffd,0xff300006,0x86ffe87f,
    0xf1005ffa,0xd1000bff,0xff9801df,0x440004ff,0x7cc00efe,0xfff04fff,
    0xffffffff,0xffffffff,0x03ffee00,0x0005fff8,0x7c01fff7,0xf70005ff,
    0x7ffc01ff,0x82fff805,0xfd02fffe,0x03fff49f,0x1fffa800,0xf507ffec,
    0x3e6001df,0xfc8004ff,0x7ffc401f,0x6c0004ff,0x7fcc01ff,0xfff04fff,
    0xffffffff,0xffffffff,0x017ffa00,0x0001fff9,0xfc80bffd,0xfe8000ff,
    0x7ffe405f,0x417ffc00,0xe80ffff8,0x3ffee4ff,0xffc80002,0x9fffd40f,
    0x2000eff9,0x4001fffc,0x74403ffa,0x004ffaff,0x100ffea0,0x09ff5ffd,
    0x2aabbffe,0xaaaaaaaa,0xf9802aaa,0x7fcc02ff,0x7fcc003f,0x7ffcc02f,
    0x7ffcc003,0x1fffcc02,0x5c0bffe0,0xffe85fff,0x01bffe24,0x7ffcc0a2,
    0xf1dfff06,0x7c4003ff,0x7c4006ff,0xaffe806f,0x10004ff8,0xffd00dff,
    0x3e09ff15,0x000005ff,0x555fffe4,0xffaaaaaa,0x7fe4007f,0xaaaaaabf,
    0x007fffaa,0x555fffe4,0xffaaaaaa,0x17ffc07f,0xe85fffd0,0x7ffec4ff,
    0x067fdc03,0x2e03fffd,0x01ffffff,0x01fffec0,0xb003ff60,0x13fe27ff,
    0x007fec00,0x7fc4fff6,0x00bfff04,0xffff8000,0xffffffff,0x002fffff,
    0x3ffffffe,0xffffffff,0x3fe002ff,0xffffffff,0x2fffffff,0x880bffe0,
    0x3fa0ffff,0x7fffc44f,0x3bfffa01,0x403fffca,0x002ffffe,0x0037ffd4,
    0xf700bfee,0x027fc49f,0x2017fdc0,0x3fe24ffb,0x00bfff04,0x7ffd4000,
    0xffffffff,0x05ffffff,0xffffff50,0xffffffff,0x2a00bfff,0xffffffff,
    0xffffffff,0x0bffe05f,0x74bfff70,0xfffa84ff,0xfffb303f,0x500dffff,
    0x2007ffff,0x01ffffd8,0x3017fe60,0xf7555dff,0x260035bf,0x7fcc05ff,
    0xdffbaaae,0x02fffc1a,0xfffb0000,0x99999999,0x1fffd999,0x99fffb00,
    0x99999999,0x001fffd9,0x9999fffb,0xd9999999,0x3fe01fff,0xfffe802f,
    0x3209ffd2,0x809dffff,0x1ffffffa,0xfffffd80,0xfea8809e,0x74003fff,
    0x7fd400ff,0xffffffff,0x1ffd003f,0xfffffa80,0x43ffffff,0x00005fff,
    0x007fff10,0x404fffa8,0x4003fff8,0x4404fffa,0x54003fff,0xfff04fff,
    0xffff3005,0x5c09ffd1,0xdeffffff,0xfffffffd,0x3ff200cf,0xeffffffd,
    0xffffffdd,0x7fe4002f,0xcccc9801,0x2ceffccc,0x801ffc80,0xccccccc9,
    0x7fc2ceff,0x7000005f,0xd0001fff,0xffb80fff,0xffe8000f,0x07ffdc07,
    0x83fff400,0xf7002fff,0x09ffdbff,0xfffffe98,0xefffffff,0xfb83ffff,
    0xffffb15f,0xffffffff,0xffa8001d,0xff880004,0x09ff5004,0x09ff1000,
    0x00017ffe,0x0037ff40,0x202fffc8,0x90006ffe,0x7f405fff,0xff90006f,
    0x05fff05f,0x7fffff40,0xffb3004f,0x19ffffff,0x47bfffaa,0xfd986ff8,
    0xcfffffff,0x6ff88001,0x9ff10000,0x00dff100,0x413fe200,0x00005fff,
    0x003fff98,0x20bfff10,0x0003fff9,0x260bfff1,0x10003fff,0xfff0bfff,
    0x7ffcc005,0x98004fff,0x2e009aaa,0x03aa0fff,0x03355310,0x01ffd800,
    0x05991000,0x0003ffb0,0x7c0b3220,0x99999dff,0x99999999,0x7fe40999,
    0x3f60000f,0xfffc81ff,0x3ff60000,0x0fffc81f,0x3fff6000,0x0017ffc1,
    0x13ffffee,0x64400000,0x00000005,0x00000000,0x00000000,0xfffffff0,
    0xffffffff,0xf89fffff,0x540005ff,0xfff84fff,0x7fd40005,0x05fff84f,
    0x27ffd400,0x2000bffe,0x004ffffe,0x00000000,0x00000000,0x00000000,
    0xfff00000,0xffffffff,0xffffffff,0x17ffd49f,0x3fffc000,0x000bffea,
    0xf51fffe0,0xf00005ff,0x2fff8fff,0xffff9800,0x00000004,0x00000000,
    0x00000000,0x00000000,0xffffffff,0xffffffff,0x7ec9ffff,0xf900007f,
    0x3ffec5ff,0xfffc8000,0x001fff62,0xf17ffe40,0x2e0005ff,0x00004fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xa8800000,0x00000000,0x00353100,
    0x00000000,0x32a00000,0x2f5c01cc,0x0ffea000,0x0f7fb6a0,0x00bff100,
    0xffd97100,0xe80039bd,0x2600006f,0xcdeffdca,0xff900001,0x2e6000bf,
    0x001ceffd,0xfffff930,0x01bfe65d,0x77f76544,0x40001abd,0x03dffdc8,
    0x01fffec0,0x4000fff9,0xfc806ff8,0x00dfffff,0x0001ff90,0x7ffffe4c,
    0x0befffff,0x000ffc80,0x7ffff4c0,0x2effffff,0x4cbe6000,0x3fa2002f,
    0xcfffffff,0x3ffea000,0x9bffffff,0x7ecc06ff,0xffffffff,0xb8000eff,
    0xefffffff,0x7fffb001,0x0ffffb10,0x007fec00,0x3ef3ffee,0xff8805ff,
    0x3ff20004,0xcbaacdff,0x401efffe,0x20002ff9,0xfffffffb,0xdfffffff,
    0x645c8000,0xfffd1005,0xbfffffdf,0x3fffea00,0xefffdbbd,0x3fee06ff,
    0xffffffff,0x003fffff,0x3fbfffee,0xd800ffff,0x7fe43fff,0x70007fff,
    0xfff005ff,0x00ffec41,0x20003ff2,0x00beffe8,0x01fffe4c,0x220017fe,
    0xaceffffd,0xfffeb999,0x35c000ef,0x7ff40172,0x7ffed42f,0x7fffc402,
    0xffffe881,0xffffd886,0xca99abde,0x805ffffe,0x711dfff8,0xfb00bfff,
    0x8dff87ff,0xf98007fd,0x4ffa805f,0x2204ff98,0xf88004ff,0xe98003ff,
    0x1ff604ff,0x3ffffa00,0xfffe9802,0x33e2000e,0xfb802fa8,0xfff101ff,
    0x0fffc809,0x437fff40,0x004ffffd,0x805ffff7,0xfc80fffb,0x7fec00ff,
    0xffb0ec3f,0x01ffd000,0xf105ff70,0x07fe40bf,0x00fff400,0x40bff600,
    0x2e001ffb,0x2000dfff,0x004fffd8,0x8027ff5c,0x7dc06ffd,0x27ff406f,
    0x237ffcc0,0x001efffa,0x2037ff4c,0xff305ffd,0xfffd803f,0x003fec03,
    0x64007ff2,0x0dff01ff,0x20013fe2,0x95102ffc,0x3fa0179d,0x03ff880f,
    0x00dfff10,0x017fff40,0x3fe000c0,0x2ffe403f,0x001fff10,0xff89bffa,
    0xf50001ff,0x7fec05ff,0x01fff305,0x403fffc8,0x3ea007fd,0x3ff6004f,
    0x360fff01,0x7cc000ff,0xfffe884f,0xf883ffff,0x00dfd05f,0x000bfff2,
    0x006fff98,0xf800d54c,0x7ff403ff,0x01ffe603,0x3ee6ffc8,0x740003ff,
    0x3ff206ff,0x05ffc80f,0x402fffc8,0xff1007fd,0x1ffc800d,0xff30dff0,
    0x0df90009,0x957bffd1,0xff705fff,0x801ff901,0x0005fff8,0x200fffd8,
    0xfffffed8,0x3ffe04ef,0x01ffea02,0x5c00dff7,0x1bffa6ff,0x0b3aa000,
    0x4c5fff98,0xfb802fff,0x3fec01ff,0x001ffd80,0x7c417fdc,0x00ffd85f,
    0xfd83ff80,0x01ffb02f,0x5ff507ff,0x01fffa80,0x3fffa800,0xffffff50,
    0x83dfffff,0x3a01fff8,0x7fe403ff,0x5bfea005,0x0005fff9,0x7ffec000,
    0x01dfff54,0x803fff50,0xffb807fd,0x5ff98003,0x7cc3ffb8,0xffa8004f,
    0x1017fd40,0x0df907fd,0xfb809ff1,0xf00000ff,0xfff90bff,0xff97579f,
    0xfff88dff,0x01fff501,0x2006ffc8,0xfff76ffa,0x80000007,0xffeffff8,
    0xff5000df,0x07fd801f,0x0002ffcc,0x3ee19ffb,0x00ffd86f,0xfc85fc80,
    0x3e600806,0xc80ffb07,0x200007ff,0x7fc47ffd,0x3ff6205f,0x07ffe21f,
    0x5c01fff4,0x3ee007ff,0x05fff96f,0xf5000000,0x007fffff,0x400fff98,
    0x7ff407fd,0x3fe60000,0x42ffffff,0xb0003ff9,0x009fb09f,0xb81ff880,
    0x3ffa01ff,0x3f600006,0x037fdc7f,0xf127ffc4,0xfff303ff,0x0fff5001,
    0xfdb7fe40,0x000000ff,0xfffffa80,0x7ff98003,0x3207fd80,0x880002ff,
    0x81effffe,0xd0000ffd,0x007ff07f,0xf305ff00,0x2fffc07f,0xfff90000,
    0x801ffec1,0x3fe24ffe,0x0fffa81f,0x02fff980,0x3fadffd0,0x0000007f,
    0x7fffff4c,0xff88006f,0x30198807,0x2ea609ff,0xbb9800ab,0x107ff301,
    0x3fa03573,0x0017fc43,0xff817fc0,0x09fff105,0x7ffe4000,0xfb000880,
    0x0fffc4bf,0x802fffc4,0xfa806ffe,0x0dfff6ff,0x3ffffe20,0x83ffffff,
    0xfedffffa,0x7c4004ff,0x7c40007f,0xfffd886f,0x0000cfff,0x7fcc3ff4,
    0x7ec0efff,0x0003ff84,0xfd80ffc4,0x017ffe07,0x0fffd800,0xffd73000,
    0x80fffc4b,0x400efffd,0x2203fff9,0xffd6fffe,0x3ffe200f,0xffffffff,
    0x97fffd43,0x6c3ffff8,0x06ff81bd,0x40ffec00,0xffeefffc,0x3ea0005f,
    0x7fffd43f,0x3f21ffff,0x9804fe85,0x201ff302,0xfff02ffa,0x7f40000d,
    0xdca9807f,0x5ffffffe,0x4407ffe2,0x402ffffe,0x220cfffd,0xb6fffffa,
    0x3e200fff,0xffffffff,0x3ffe23ff,0x7fffd41f,0xf0bfff11,0x7d4000df,
    0x45ff983f,0x0000fff9,0x7ffd0ffd,0x5cdff911,0x00ffc86f,0x3fdc37f4,
    0x3a09ff10,0x200007ff,0xf9306fff,0xffffffff,0x7fc4bfff,0x3ff6201f,
    0x3fa205ff,0xfffeffff,0xff96ffef,0x2666001f,0xfff99999,0x407fff23,
    0xfa8efffb,0x05fe82ff,0x20bff100,0xffd80ecb,0x3ffa8001,0x7e427fd4,
    0x885ff12f,0x3fee04ff,0x7404fe83,0x1fff906f,0xfff10000,0xfffff70b,
    0xfb37bfff,0x0fffc4bf,0x2ffffdc0,0x3fffff20,0x5ffc8eff,0x0007fff5,
    0xff8fffe0,0x7ffec06f,0xe80fffdd,0xffd0004f,0x1bfa0001,0x6437f400,
    0x3ff981ff,0x3fee17f6,0x3bff6a1d,0x200ffcc0,0xff980ffc,0xfb80003f,
    0x7ffdc2ff,0xfd80abdf,0x07ffe25f,0x17fff4c0,0x33bf6ea0,0x7c57ff23,
    0xf00005ff,0x3ffe67ff,0x7fff4403,0x9fb04fff,0x05ff7000,0x00ffee00,
    0x3a0bfea0,0x5ff980ff,0x3ee07fea,0xffffffff,0x9806fe80,0xfffd03ff,
    0x7fc40001,0x1efff87f,0x225ffe80,0x22001fff,0x80005ffe,0x3ff64ffd,
    0xff80001f,0x05fff33f,0xffffff10,0x00026201,0x2000bff3,0x8000effc,
    0x0ffd06fe,0xffd1bfe2,0xffffb301,0x0bff207f,0xfb82ffc0,0x320005ff,
    0x7fcc4fff,0xfff8802f,0x007ffe25,0x4c1fff70,0x1fff4000,0x000dfff5,
    0x3e27fff0,0xff5005ff,0x800009ff,0x4000efe8,0x000effe8,0xfd02ffb8,
    0x117fe20f,0x4c401dff,0x013fea00,0x3fa07fd8,0xfa8002ff,0x7fdc0eff,
    0xfff9800f,0x207ffe25,0x87ffe601,0xfa802fff,0x7ffec1ff,0x3fea0005,
    0x03fffe3f,0x3ffffea0,0x3f600001,0x7fd4001f,0x3fa0004f,0x203ff606,
    0xffa84ff9,0xff90001e,0x1ffb800d,0x09ffff30,0x0ffffe40,0x2017ffdc,
    0x225ffff8,0x3fae1fff,0xd8fff901,0x7fc406ff,0xfffe887f,0x3fa6001e,
    0x3ff23fff,0x7ffd404f,0x7542ffff,0xffa801ee,0x7ffdc004,0x3fee0003,
    0x20bff202,0xff703ffb,0x3aa0017f,0x44000eff,0x3fea03ff,0xa880aeff,
    0x304ffffe,0x7440dfff,0x3e26ffff,0xdffd11ff,0x45fff881,0x40adfffb,
    0x301fffd9,0x59dfffff,0x7fedd441,0x3e20dfff,0xfb884fff,0xffffffff,
    0x00bffee2,0xb800dff1,0x40001fff,0x7fc406ff,0x03ffa20e,0xadfffe98,
    0xffd73309,0x7f40009f,0x7fffcc06,0xfffddfff,0x7402ffff,0xbaacffff,
    0x6ffefffe,0xf887ffe2,0xffdacfff,0xfffd80ff,0xfffeeeff,0x7ff4402f,
    0xffefffff,0x2effffff,0xbfffff50,0x5fffffd9,0x25ffffd1,0x6c02fffb,
    0x3ea000ff,0xcccccdff,0x2ffb801c,0xccfffc80,0xc8803fff,0xffffffff,
    0x002effff,0x2007fe40,0xffffffd8,0x1effffff,0xfffff880,0x89efffff,
    0xfff11fff,0xfffff983,0xb102ffff,0xffffffff,0x7e4005ff,0xffffffff,
    0x803fffff,0xffffffe9,0x7ec0efff,0x5fff72ff,0x001ffdc0,0x3ffffffa,
    0x4402ffff,0xfb1006ff,0x009fffff,0xfffffb50,0x000039ff,0x4c00bfea,
    0xfffffffc,0x644001cf,0x3effffff,0xff8a7ff4,0xffec981f,0xc9800dff,
    0x0bdffffe,0xfffb5000,0x179dffff,0x7ffe4400,0x3603dfff,0xff98003f,
    0x66644005,0xcccccccc,0x017fdc01,0x0b7bf6e0,0x06a62000,0x1aa80000,
    0x9aa98800,0xa9880001,0x4000001a,0x000009a8,0xa9980000,0x2200001a,
    0x00a001a9,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x22010000,0xdddb0009,0x54400005,
    0x775c0009,0x002f75c5,0x001f7754,0x03332600,0xffdb9300,0x8000179d,
    0xff903ffa,0xd9731003,0x001379df,0x77f6e4c0,0x3e20003d,0x32e2003f,
    0x01cdeffe,0x6ffdc400,0x4017fa0b,0x0006fff9,0x7ffff654,0xdff9003f,
    0x4006ffc8,0x01fffff9,0x3ffea000,0xfffd7001,0x9fffffff,0x3ff20001,
    0x700ffd01,0xffffffff,0x40019fff,0xffffffd8,0xb8002eff,0xfc9801ff,
    0xffffffff,0xe8000bef,0xddffffff,0x3ea004ff,0xe88002ff,0xffffffff,
    0x7fe400ff,0x0037fe46,0xfffbffd1,0x3ea00001,0x7ec401ff,0xffffffff,
    0x001fffff,0x3fe07fd8,0x3fffa205,0xffffffff,0xe8801fff,0xffeeffff,
    0x6c002fff,0xfffc807f,0xecbaacdf,0x2001efff,0xffdbcff8,0x4000ffff,
    0x4c006ffb,0xcaceffff,0x200effff,0x7fe46ffc,0x5bff6006,0x00006ffc,
    0x4c03fff5,0x9adfffff,0xffffba99,0x37fc001f,0x3a04ff98,0x9aacffff,
    0xfffffca9,0x27ffec01,0x00ffffd4,0x7440bff0,0x4c00beff,0x7003fffc,
    0xbeeb88ff,0x5ffb0000,0x1ffff400,0x205fffb8,0x4cc40998,0x3fff7000,
    0x0013ffa2,0x407ffea0,0x00dffff8,0x00ffffc8,0x2e09ff10,0xfff302ff,
    0xffc8801b,0x3ffee04f,0x1bffe203,0x881ffcc0,0x98003fff,0x00004ffe,
    0x0f320000,0x01fffd40,0x0003fff6,0x33322000,0x00e664c2,0x07ffea00,
    0x0027ffec,0x4013fff2,0xff903ffa,0x01bff203,0x6c0fffb0,0xffa806ff,
    0x0ffb800f,0x0003ffd0,0x0002ffd8,0x00000000,0xf300dff9,0x000005ff,
    0x00000000,0xf503fff5,0x3a000bff,0xfc800fff,0x40ffd01f,0x4c003ffe,
    0xfff01fff,0x0bffe007,0x7e41bfa0,0x2666662f,0x7ff40099,0x0d54c000,
    0x04d4c000,0x003ffe80,0xaa980035,0xaa980001,0x7d400001,0xfffd81ff,
    0xfff50000,0x40ffb009,0xfff105ff,0x9fff0005,0x005fff10,0xf10026ae,
    0x89ff309f,0xffffffff,0x0bff103f,0xffffed88,0x2a004eff,0x4efffffe,
    0x000fffc0,0xfffdb100,0x2009dfff,0xfffffed8,0xa80004ef,0x7fc41fff,
    0x5ec0004f,0x3ffff20a,0xffffffff,0x6fffffff,0x40037ffc,0xff880aa9,
    0xa800003f,0x86fc82ff,0xffeeeeff,0x1ff705ff,0x3ffffea0,0x1effffff,
    0x3ffff620,0x81efffff,0x0000fff8,0xffffff50,0x03dfffff,0x7fffffd4,
    0x01efffff,0x07ffea00,0x0005fff7,0x3ffff200,0xffffffff,0x6fffffff,
    0x000fffec,0x13ffe200,0x1ff20000,0x1ffc1ffc,0xff02ffc8,0x9ffff907,
    0xffff9757,0x3fffa20d,0xfffdbace,0x03ffd42f,0xffffc800,0xfffcbabc,
    0xffff906f,0xfff97579,0x7d4000df,0x7ffec1ff,0xd7000001,0xddffdddd,
    0xdfffdddd,0xfffa8bdd,0x200001cf,0x00006ffe,0xffa85ff8,0x3e03ff80,
    0x88df904f,0x36205fff,0xffc81fff,0xdffd303f,0x0007ffb8,0x205fff88,
    0x441fffd8,0x36205fff,0x50001fff,0xffe83fff,0x0000000f,0x7f407ff2,
    0xffffc807,0x0000acef,0x0003fff2,0xc83ff980,0x407ff05f,0x8ff303ff,
    0xf8806ffb,0x7ffcc4ff,0x1fff4403,0x0001fff3,0x8806ffb8,0x7fdc4fff,
    0x4fff8806,0x3fff5000,0x0007ffe8,0x83ff4000,0xf7005ff8,0xdfffffff,
    0x2e660059,0x9999bfff,0xffb80009,0xff04fd81,0x403fee07,0x3ff61ff8,
    0x89ffd003,0xf5005ffd,0x3ffe21ff,0xfb031001,0x3ffa007f,0x801ffec4,
    0x50004ffe,0xfff83fff,0x40000005,0x9ff306ff,0x7fff5400,0xdfffffff,
    0xfffff100,0x5fffffff,0x20ffb000,0x9bff03fe,0x09ffd999,0x00882ff8,
    0xff8bffb0,0xfff1003f,0x8017ffc3,0x00885ffc,0x220bffb0,0x0bffb000,
    0x07ffea00,0x0000bfff,0x827fcc00,0x98002ffb,0xffffffec,0xff881fff,
    0xffffffff,0xff8002ff,0x3e07fd04,0xdfffffff,0x002ff801,0x4bffd730,
    0x2001fff9,0x3ffa3ffe,0x07ffd006,0x3ffae600,0x3ae60005,0xf50005ff,
    0x6fff83ff,0x2a000000,0x1ffb02ff,0xfdb88000,0x43ffffff,0xfffdccc8,
    0x001ccccc,0xfd817fd4,0xfb9bff04,0xff1001df,0xedca9803,0x25ffffff,
    0xeeeefffa,0xfeeeeeee,0x3ffea4ff,0x07ffdc02,0x3fb72a60,0x805fffff,
    0xfffedca9,0x50005fff,0xffe83fff,0x0000000f,0x3fa03ff9,0xb9800007,
    0x203fffff,0x0001fffa,0xf900ffc8,0xf90ffe0b,0x0ff9801f,0xfffffc98,
    0x5fffffff,0x3fffffee,0xffffffff,0x7fec5fff,0xfffa882f,0xffff9304,
    0xffffffff,0x3fff260b,0xffffffff,0xff50005f,0x1fffd83f,0x55300000,
    0x5555ffd5,0x555dff75,0x22000055,0x2606fffd,0x80001fff,0x1bee06fe,
    0x37f41ffc,0x3ee1fee0,0xdfffffff,0x2e5ffd9b,0xeeeeefff,0xeeeeeeee,
    0x7fffcc4e,0xffffdabd,0xfffff706,0xfb37bfff,0xffff70bf,0xb37bffff,
    0x2a000bff,0x7fdc1fff,0x5cc0002f,0x7ffffe40,0xffffffff,0x86ffffff,
    0x3ff20000,0x1fff300f,0x3ff88000,0x3e0bfe20,0x04ff983f,0xfff713fa,
    0xfb0157bf,0x03ffd4bf,0x3ffa2000,0xefffffff,0xdffffb80,0x5ffd80ab,
    0x5effffdc,0x85ffd80a,0x7ffd4008,0x027ffcc1,0x43fff600,0xfffffffc,
    0xffffffff,0xff16ffff,0x3e60005f,0xdff503ff,0x3ff70000,0xff85fd80,
    0x303ff903,0xefff83ff,0x25ffe801,0x0001fff9,0xffffeb80,0x3ffe03ff,
    0x5ffe801e,0x400f7ffc,0x3ff65ffe,0x07ffdc03,0x00037ff4,0x54cbfff1,
    0xaaacffda,0xaabffeaa,0x17ffe2aa,0x04fff800,0x00009ff9,0xff500ffb,
    0xf103ff83,0x98dfd0df,0xf8802fff,0x3ffe25ff,0x0026a002,0x2004f7e4,
    0x8802fff9,0x3fe65fff,0xfff8802f,0x9013ff65,0xff901fff,0x3f20007f,
    0x1ff902ff,0x3a01bfa0,0xf10007ff,0x3ffe03ff,0x5ff80000,0x7c1ffd00,
    0x8ffee03f,0x7fdc2ffc,0xfff9800f,0x8037ff45,0xf803fffa,0xffb802ef,
    0xfff9800f,0x003ffee5,0xfc97ffe6,0x3ffec06f,0x01ffff88,0x03fffd40,
    0x3fe20ffd,0x4fffb805,0x07ffb800,0x00005ff7,0x22005ff3,0x40000eff,
    0xffb84ffa,0x7ffc402f,0x1fffd45f,0x03fffe20,0x1fffb910,0x017ffdc0,
    0xb97fffe2,0x7c402fff,0x3fee5fff,0xbfff301f,0x0ffffd40,0x2ffff980,
    0x7d417fe0,0xfff8803f,0xff7000df,0x09ff909f,0x03ff2000,0x01effa80,
    0x20dff900,0x2206fff9,0xd86ffffe,0xfb104fff,0xfb8009ff,0x3ffe604f,
    0x3fffa206,0x1bffe66f,0x6ffffe88,0x507fffe2,0xd805ffff,0x81bdffff,
    0x04ffffd8,0x7dc13fe6,0xfff5002f,0xa88157ff,0x641ffffd,0xeefedfff,
    0x42c981bc,0xfb8006fe,0xd5000bff,0x7f401dff,0xebaacfff,0x86ffefff,
    0xaceffff9,0x05ffffeb,0x01ffec40,0x2b3ffffa,0xfefffeba,0x7ffff46f,
    0xfffebaac,0x7fdc6ffe,0xffffefff,0xfff9004f,0xffdbffff,0xb80bffff,
    0x1ffb02ff,0x7fffdc00,0xfffeffff,0x7d40efff,0xffffffff,0xffeeffff,
    0x013fe25f,0x6ffff4c0,0xfd73309a,0xff1009ff,0xffffffff,0x03fff13d,
    0xffffffb1,0x100bffff,0x0fffffdd,0xffffff10,0xf13dffff,0x7ffc43ff,
    0xefffffff,0x6c1fff89,0xffffffff,0x7fdc004f,0xffffffff,0xfc803fff,
    0x00dfd00f,0xfffffd50,0xbfffffff,0x3ffffe01,0xfffffeef,0x50ffffff,
    0x440003ff,0xfffffffc,0x02efffff,0x3ffff220,0x7ff43eff,0x3fffae04,
    0x3002efff,0x05dfffff,0x3ffff220,0x7ff43eff,0x7fffe444,0x7ff43eff,
    0xfffffa84,0x710003df,0xfffffffd,0x3ff4007f,0x0005ff88,0x3fffff6e,
    0x6403ceff,0xec9809df,0x0cffffff,0x40000ff9,0xffffffda,0x220001cf,
    0x00001aa9,0x0004d54c,0x006aeaa2,0x00d54c40,0x06aa6200,0x06aa2000,
    0x55310000,0x55000135,0x006aa205,0x0d554c00,0x88006200,0x2aa81aaa,
    0x53100000,0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x17ffe000,0x7ddd5000,0x3bbb6000,0xed800002,0x544002ee,
    0xcc801bcb,0x3320002c,0x776c002c,0x76c0002e,0xea8002ee,0x260003ee,
    0x8000acca,0x775c5eeb,0x33333005,0x33333333,0x07322001,0x0017ffe0,
    0x1fffff98,0x6fff9800,0x7fd40000,0x3ee2005f,0x04ffffff,0x80013ffe,
    0x26005fff,0x40005fff,0x8005fffa,0x01fffff9,0x7fffecc0,0x32003eff,
    0x37fe46ff,0x7ffffcc0,0xffffffff,0x05ffb004,0x000bfff0,0x3ff7ffa2,
    0xffa8000f,0x3a00002f,0xd1000eff,0xffffffff,0x13ffe0bf,0x05fff800,
    0x003bff60,0x00dffd00,0xffbffd10,0x3fee001f,0xffffffff,0x8dff9004,
    0xfb806ffc,0xffffffff,0xc804ffff,0xee802fff,0xffb0004e,0x001bff2d,
    0x00037fdc,0x001fff98,0x26b7fff6,0x40efffca,0x20004fff,0xf3005fff,
    0xa80003ff,0xd8000fff,0x0dff96ff,0x37ffff30,0x0bfff953,0xfc8dff90,
    0xfffc806f,0xffffffff,0x7fd404ff,0x000002ff,0x3a1fffb8,0xfb0005ff,
    0xfb00005f,0x7fd4005f,0x7fff703f,0x0004fff8,0x6c017ffe,0xd80002ff,
    0xfb8002ff,0x17ffa1ff,0x00efff88,0x8807fff5,0x04cc4099,0x001fff40,
    0xfffffb80,0x44000002,0x664c3ccc,0x7990001c,0x3cc88000,0x02fff400,
    0xfff1bfee,0x7ffc0009,0x00799005,0x00799100,0x98599910,0xff501ccc,
    0x5ffc803f,0x3e000000,0x4c0001ff,0x2ffffffe,0x00099880,0x00000000,
    0x50000000,0xf8805fff,0x13ffe2ff,0x05fff800,0x00000000,0x36000000,
    0xffa805ff,0x10000007,0x40001fff,0xffdffffc,0x4ffd802f,0x09a98000,
    0x09a98000,0x09a98000,0x00fff900,0xfff97ff6,0x3ffe0004,0x01353005,
    0x03553000,0x01353000,0x200ff720,0x2001fff9,0x2a0009a9,0x360006ff,
    0xfff3ffff,0x07ffd005,0x3fffae00,0x5c004eff,0x4efffffe,0x7fff5400,
    0x7f404eff,0xfff5004f,0x00027ffc,0x75c0bfff,0x04efffff,0x3fffb620,
    0x2004efff,0xefffffea,0x7d400004,0xffea807f,0xc804efff,0x3a0004ff,
    0x3ffe1eff,0x01fff802,0x7ffff4c0,0x01efffff,0x7fffff4c,0x401effff,
    0xffffffd8,0xff01efff,0x3fe6007f,0x009fff1f,0x4c2fffc0,0xfffffffe,
    0x7d401eff,0xffffffff,0x36201eff,0xffffffff,0xb00001ef,0x7ec40bff,
    0xffffffff,0x0fff601e,0x0bba0031,0xf500bffe,0x7c4001ff,0xdcacefff,
    0xf103ffff,0xb959dfff,0x2207ffff,0xbacefffe,0x442ffffd,0xf3002fff,
    0x13ffe5ff,0x45fff800,0xaceffff8,0x03ffffdc,0x579ffff9,0x0dffff97,
    0x33bfffa2,0x2ffffdba,0x7ffdc000,0xdfffd102,0xffffb759,0x267ffe05,
    0x0ceffffd,0x17ffc030,0x001bffa0,0x2607fffb,0xfd80ffff,0xfff303ff,
    0x7fff901f,0x31bffa60,0x22003fff,0x9fff3fff,0x2fffc000,0x4c0ffff6,
    0x7c40ffff,0x3f6205ff,0xfffc81ff,0x0dffd303,0xfffca880,0x3fff203f,
    0x0dffd303,0xfffdfff1,0x05ffffff,0x202fff80,0x2001fffd,0x4402fffb,
    0x7fdc5fff,0x7ffc402f,0x01fffcc5,0xf98fffa2,0x3fe001ff,0x009fff3f,
    0xf72fffc0,0xff8805ff,0x037fdc5f,0x2627ffc4,0x74403fff,0xff5003ff,
    0x4c03ffff,0x74403fff,0x7ffcc3ff,0xfffeffff,0x3e003fff,0xffd882ff,
    0x7ffc004f,0x3fff7005,0xb802fffc,0x3ff61fff,0x1fff5005,0x8003ffea,
    0x9fff3fff,0x2fffc000,0x2e00bfff,0x3ff61fff,0x89ffd003,0xf5005ffd,
    0xff7001ff,0x2017dfff,0xf5005ffd,0x7ffdc1ff,0x7fe441bf,0xfff001ff,
    0x4fffe885,0x0fffc400,0x13fff880,0x22003fff,0x3ffe3fff,0x3fff1003,
    0x8003ffea,0x9fff3fff,0xafffc000,0x1001fff8,0x01107fff,0xff17ff60,
    0x3fe2007f,0xdcdc801f,0xf82ffffe,0xff1003ff,0x17ffe43f,0x01bffea0,
    0x3fa17ffc,0xf98004ff,0x3fa000ff,0x01fff34f,0xf9a7ff40,0x3fa001ff,
    0x01fff33f,0xff9fffc0,0x3fe0004f,0x01fff35f,0x0027ff40,0x25ffeb98,
    0x2001fff9,0x50003ffe,0x7cc3ffff,0x3fa001ff,0x800cc43f,0xf802fffd,
    0x3fff22ff,0xfff70004,0x75ffd800,0xfd800fff,0xddfff55f,0xdddddddd,
    0x3e69fffd,0x3fe001ff,0x00bfff3f,0xfbafffc0,0x7fec007f,0x76e54c05,
    0x25ffffff,0xeeeefffa,0xfeeeeeee,0x260004ff,0x3fea6fff,0xeeeeeeef,
    0x4fffeeee,0x7ffc4000,0x32fff803,0x4000bfff,0x64006ffc,0x0dff97ff,
    0xf77ffc80,0xffffffff,0xffffffff,0x007ffe2b,0xfe97ffc4,0x3fe0005f,
    0x00dff94f,0xc987ffc8,0xffffffff,0x3ee5ffff,0xffffffff,0xffffffff,
    0x7fdc0005,0xfffff71f,0xffffffff,0x000bffff,0xf009fff0,0x1bfee5ff,
    0x0dff9000,0xf96ffc80,0xffc800df,0xdddfff76,0xdddddddd,0x7ffc9ddd,
    0x5fff3002,0x40017ffa,0xff94fff8,0x6ffc800d,0x7fffffdc,0xffd9bdff,
    0x3bbffee5,0xeeeeeeee,0x0004eeee,0xfb9fffc4,0xeeeeeeff,0xeeeeeeee,
    0xffe80004,0xb2fff806,0x044009ff,0xb001ffee,0x1ffeedff,0x2adffb00,
    0xd00007ff,0x3e6005ff,0x0dffb0ff,0x4fffe600,0x6c007ffb,0x3ffee6ff,
    0xfd80abdf,0x01ffea5f,0xff000000,0x01ffea9f,0xfd000000,0x5fff00bf,
    0xf800fffe,0x0fff54ff,0xf55ffe80,0xffe800ff,0x003fff35,0x009ffd00,
    0xffc9ffee,0xffa8000f,0x00fff52f,0x3fe5ffe8,0xffe801ef,0x007ffe65,
    0x01975100,0xf99fffc0,0x440001ff,0x3e000aa9,0xfff804ff,0x200bffd2,
    0xff32fff9,0x7ffc003f,0x003fff34,0xff8a7ffc,0x026a002f,0x3a00fff7,
    0x3ffea5ff,0xfffd8002,0x003fff30,0xff9a7ffc,0xfff8802f,0x00bffe25,
    0x3fe209a8,0xfff3002f,0x00bffe25,0x3fe609a8,0xfff1003f,0x25fff005,
    0xc800fffc,0x3ffe0fff,0x3fff7005,0xb802fffc,0x3ffa1fff,0x7fff5006,
    0x200fffc4,0x3e23fff8,0x26000fff,0x7ffc6fff,0x3fff7005,0x2003ffee,
    0x7f45fff9,0xfff5006f,0x802fff47,0x3fa0fffc,0xfff5006f,0x802fffc7,
    0xf800fffc,0xbfff52ff,0x45fffa80,0x4401fffb,0x7fdc6fff,0x7ffc401f,
    0x01fffd46,0x903fffe2,0xffc80bff,0x0efffd87,0x3fffe880,0x200fffdc,
    0x3ee6fff8,0x7fc402ff,0x7ffd45ff,0x7fffc403,0x007fff20,0xfa8bfff3,
    0x7fc403ff,0x3fff20ff,0x27ffcc02,0x322fff80,0xfb81efff,0xffe80fff,
    0xfffd302f,0x05fffd03,0x207fffa6,0xb104fffd,0xff109fff,0x3fff20bf,
    0xeffff883,0x7fdcc09b,0xfffd06ff,0x3fffa605,0x81bffe61,0x86ffffe8,
    0xb104fffd,0xff889fff,0xfff502ff,0x9fffb01f,0x13fff620,0x203ffff1,
    0x000ffffa,0xffe85fff,0xfffeefff,0xfff301ff,0xffb759df,0x3fe609ff,
    0xfdbaceff,0xff304fff,0xfd759dff,0x7e40bfff,0xfebaceff,0x3fee05ff,
    0xffefffff,0x00efffff,0x59dffff3,0x09ffffb7,0x559ffffd,0xffdfffd7,
    0xdffff30d,0xffffd759,0x3fffe60b,0xfffdbacf,0xffff302f,0xfffd759d,
    0x3ffea0bf,0xffdbabdf,0x3fe001ff,0xffffb82f,0x01efffff,0x7fffff4c,
    0x403fffff,0xffffffe9,0x4403ffff,0xfffffffd,0xfb805fff,0xffffffff,
    0xffff9806,0xffffffff,0x7f4c00df,0xffffffff,0xffff103f,0x3dffffff,
    0xb103fff1,0xffffffff,0xffa80bff,0xffffffff,0x7fec402e,0xffffffff,
    0x7fffdc05,0x0effffff,0x817ffc00,0xceffedc8,0x7ff5c002,0x000bdfff,
    0x3fffffae,0x3ae000bd,0x2effffff,0x3fffaa00,0x22003fff,0xffffffeb,
    0x5c001dff,0xbdfffffe,0x7ffe4400,0x7f43efff,0x3ffae04f,0x002effff,
    0xffffff91,0xfeb8009f,0x02efffff,0xfffff910,0x3e0009df,0x000002ff,
    0x000d4c40,0x000d4c40,0x009aa980,0x00d54c00,0x2aaa6200,0x4400009a,
    0x310001a9,0x80000355,0x00009aa9,0x00026aa6,0x0026aa60,0x001aa980,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x97310000,0xe9800157,0x5c0005ee,0x00980ccc,
    0x2af2ea20,0x97510000,0xdd700057,0x805eeb8b,0x77644eec,0x09a98004,
    0x5ddd7000,0x98000000,0x000003cc,0x000006a2,0x30059970,0xfffffffd,
    0xfffc8007,0x3f620003,0x0bfb31ef,0xfffff910,0x22001bff,0xfffffffd,
    0x1bff2003,0xfb00dff9,0x86ffd8df,0xffb14ffb,0x4003bfff,0x01fffff9,
    0x77f6e440,0x3fee01cd,0x5c400006,0x51dffffd,0xd80009ff,0x7fd404ff,
    0xffffffff,0x37fec006,0x7ffe4000,0x4c04fffe,0xffffffff,0x7d402fff,
    0xffffffff,0xffc800ef,0x4037fe46,0x7fec6ffd,0xf9cffb86,0xffffffff,
    0xdfff8804,0xf9000fff,0xffffffff,0x0dff701b,0x7ffd4000,0xaaffffff,
    0x6c0004ff,0x3fee04ff,0xfea9acff,0x3a2005ff,0xd80002ff,0x400cffff,
    0x9acfffe8,0x00ffffb9,0x35bffff5,0x01dfff75,0x7e46ffc8,0x6ffd806f,
    0x7dc37fec,0xaacfffef,0x404ffffc,0xdff96ffd,0xfffffd00,0x3fffffdd,
    0x0006ffb8,0x59ffff50,0xffbfff95,0xffd80009,0x0dfff104,0x0017ffe4,
    0x4000dff3,0x1fffffeb,0x02fffc80,0x3a0dfff3,0xfd302fff,0x099880bf,
    0x44004cc4,0x04cc4099,0x0fffffdc,0x80ffff44,0xff11fffc,0x7ffe409f,
    0x7ffe441e,0x01bfee0f,0x3bffe200,0xffffe881,0x7fec0004,0x03fff704,
    0x0027ffc4,0x7000332a,0xff97dfff,0x6fff801f,0x207ffd40,0x4c03fffb,
    0x00001fff,0xfb800000,0x7fc00fff,0x2ccc885f,0x4c06664c,0x7d405fff,
    0x1bfee5ff,0x3fff2000,0x27fff400,0x13ff6000,0x6401fffc,0x000007ff,
    0xfb0bbea0,0x7ffc40bf,0x17ffc403,0x6401bffa,0x000005ff,0xffb80000,
    0x7ffb804f,0xff900000,0xfff9001f,0x00037fdc,0x5c02fff4,0x40004fff,
    0xffb84ffd,0x03551005,0x000d54c0,0x7fff1028,0x003ffe60,0xfff0fffe,
    0x1ffea005,0x0009a980,0x3fee0000,0x3fff000f,0xffd00000,0x3ffe600b,
    0x530dff71,0x07ffe001,0x8027ffc0,0x84ffd81a,0x00003ffe,0x7ffff6c4,
    0x26004eff,0xfcadeedb,0x5fff00ff,0x21fff980,0x1001fff9,0x75c03fff,
    0x04efffff,0x6c01bfee,0x0fff74ff,0xfb97ff40,0x9ffb006f,0x400bffe2,
    0xff72fff8,0x3ffff62d,0xfff300df,0x13ff6001,0x7fffedc4,0xf09ffb1d,
    0x400003ff,0xfffffffa,0x401effff,0xfffffffb,0xfb04ffff,0x7ffd80bf,
    0x8007ffd4,0xe982fff8,0xffffffff,0x6ffb81ef,0x2e9ffb00,0x3f6006ff,
    0x00dff74f,0x13113ff6,0x47ffe600,0xfff9effb,0x82ffffff,0x32007ffa,
    0xfffa84ff,0xdaffffff,0x47ff84ff,0x01bdeca8,0xbcffffc8,0x6ffffcba,
    0xdffffb10,0xffffffdb,0x07fff501,0xf317ffe6,0x3e2003ff,0x7ffc43ff,
    0xffdcacef,0x37fdc3ff,0xf74ffd80,0x7fe400bf,0x200dff75,0x40004ffd,
    0x3fee7ffb,0xdbbdffff,0x7e43ffff,0x3fee006f,0x6ffffd44,0xfffffdbb,
    0xb3ffc44f,0x9fffffff,0x02fffc40,0x903fffb1,0xfb10bfff,0x3ee07fff,
    0xfca9adff,0xfff884ff,0x9fff5002,0x303fffd8,0x7dc1ffff,0x9ffb006f,
    0xc8013fee,0x0dff75ff,0x0013ff60,0x2e5fff98,0x981fffff,0x3ee0fffe,
    0x3fee006f,0x07fffe24,0x13ffffa2,0x3ff6dff3,0xefffffff,0x806ffb80,
    0x7cc4fff8,0x7fdc04ff,0x3ffa206f,0x02ffffff,0x64017ffe,0x3fee4fff,
    0x7ffc402f,0x401bfee5,0xbff74ffd,0xb9ffec00,0xffb006ff,0x3fe60009,
    0x3ffee0ff,0x3ffe200f,0x801ffea4,0x3ff24ffb,0x3ffa201f,0x6f7fd44f,
    0xeb99adff,0xffd85fff,0x89ffd003,0xfd006ffd,0x3faa01ff,0x3fffffff,
    0x007fff20,0x7cbffff3,0xff7005ff,0x01bfee3f,0xffba7fec,0x4bffa006,
    0xfb006ffb,0xff30009f,0xfffb85ff,0x0fffc804,0x2001fff3,0x3ffa4ffc,
    0x4fffb805,0x17ffffdc,0x205fffb0,0xbffb0008,0x801fffc4,0x7443fff9,
    0xedcdefff,0xf881ffff,0xff302fff,0x3fe29fff,0xfff1001f,0x401bfee7,
    0xfff74ffd,0x43ffe200,0xfb006ffb,0xff98009f,0xfffb82ff,0x2fff8800,
    0x2005fff1,0x3ffe4ffe,0x89fff001,0x803ffffb,0x20007ffe,0x265ffeb9,
    0x3e000fff,0x3ffa24ff,0xffff503f,0xbffff703,0xbbffb757,0x3ffe69ff,
    0x53ffa000,0xfb006ffb,0x0fffee9f,0xfb9fff20,0x9ffb006f,0x7fffcc00,
    0x00dff702,0xffd1fff4,0x9fff300d,0xd801ffe6,0x7ffd44ff,0x3fff5006,
    0xfedca980,0x2a5fffff,0x7f4007ff,0x0bfff25f,0x20bfff10,0xfffffffb,
    0x27ffb5ff,0x6c007ffb,0x0dff75ff,0x7dd3ff60,0x3e200fff,0x1bfee4ff,
    0x0027fec0,0x5c05fffd,0x3fa005ff,0x0bffe64f,0x2a9fffb0,0x3f2007ff,
    0x27ffcc4f,0x82fff880,0xffffffc9,0x25ffffff,0x6c007ffb,0xbfff15ff,
    0x07ffee00,0x7fffff4c,0x64fffa4f,0x7e4006ff,0x00dff77f,0x7fdd3ff6,
    0xfe980eff,0x1bfee0ff,0x8027fec0,0x5c02fffa,0x3f6004ff,0x17ffec5f,
    0x94ffffd8,0x7e400dff,0x1fffc44f,0xb87fff00,0xffffffff,0x25ffd9bd,
    0x6c006ffc,0x5fff36ff,0x01fffc00,0x3e06f2a6,0x0dff92ff,0xf76ffc80,
    0x3ff600df,0xffffff74,0xffffb779,0x006ffb85,0x36009ffb,0xffb805ff,
    0x17ff6004,0x57bffff1,0x9fffffd9,0xb801bff2,0x7ffc44ff,0x8fffa002,
    0xabdffffb,0x2e5ffd80,0x7f4007ff,0x01fff54f,0x0027ff40,0x5c3ffe20,
    0x7ec007ff,0x00dff76f,0x7fdd3ffa,0xffffffae,0xffb82fff,0x09ffd006,
    0x200bffa0,0x3a005ffb,0xffd884ff,0xdbffffff,0x0fff54ff,0x7c27fe40,
    0x3fe004ff,0x07bffe1f,0xfa97ffa0,0x3fe000ff,0x01fff53f,0x0027ff40,
    0xfa9ffea0,0x7ff4007f,0x200dff75,0xdff74fff,0x37ffffa6,0x0dff700b,
    0x4013ffe0,0xfb801fff,0x3ffe006f,0x3fffb203,0x29ffb2ef,0xb000fff8,
    0xdffb09ff,0x43ffe200,0x8802fff9,0x3fe65fff,0xfff1001f,0x00bffe25,
    0x2ea3fff8,0xbffb001c,0x000fffcc,0x3fee9fff,0x4fff8806,0xa988dff7,
    0x06ffb800,0x804fff88,0xb801fff8,0xf8800fff,0xaa8801ff,0xff27fec0,
    0x3ffa003f,0x01fff984,0x3ee6ffb8,0xff9800ff,0x02fffc5f,0x3e0fffc8,
    0xff3004ff,0x02ffe43f,0x3e17ffc4,0xff7005ff,0x01ffea3f,0x7dd3ffea,
    0x7d40006f,0xfffa807f,0x00333004,0x200bffee,0x0000fffc,0xffb27fec,
    0x9fff500b,0x803bff60,0x3ee4fff8,0x7fc402ff,0x7ffdc5ff,0x27ffcc01,
    0x200bfff6,0x7fd47ffe,0x37fec00f,0x200fffdc,0x3e66fff8,0x3fe204ff,
    0x0dff74ff,0x4fff9800,0x13fffe20,0x7fdc0000,0x3fe200ef,0xfd80003f,
    0x07ffee4f,0x209fffd0,0xd306fff9,0x7fcc1dff,0x3ffa206f,0x7ffc46ff,
    0xffff502f,0x2ffff881,0x83fffb10,0x880efff8,0xfd01fffe,0x3fa605ff,
    0x7fffc1ff,0xffffe881,0x000dff74,0x103ffff0,0x009ffffd,0x3ffee000,
    0xfff980ef,0xffb00006,0x82fffd89,0x04ffffd8,0x2f7ffff2,0x80efffcb,
    0xaacffffe,0xffefffeb,0xdfffe986,0xffffdbab,0xdffff502,0xffff9759,
    0x3fffea09,0xffffdbbe,0x3fffe603,0xfffdbace,0xffffb84f,0xcfffecce,
    0x0dff74ff,0xffff7000,0x9fffd99d,0xdd3009ff,0xdff7005d,0xfb77bfff,
    0x00005fff,0x3fa13ff6,0xffcabdff,0x5404ffef,0xffffffff,0xfff101ff,
    0xdfffffff,0x103fff13,0xfffffffd,0xea803dff,0xffffffff,0x7fdc03ff,
    0xffffffff,0xfffe9803,0x3fffffff,0x3fffff60,0xffa8efff,0x000dff74,
    0x3fffff60,0xffa8efff,0x3fffa804,0xf9cffb80,0xefffffff,0x3f600001,
    0xfffe884f,0xfbafffff,0xffd9804f,0x401befff,0xffffffc8,0x027ff43e,
    0xffffffd7,0xfffc8009,0x000dffff,0xffffffb3,0xfeb80019,0x00bdffff,
    0xfffffea8,0x2e9ff50d,0x200006ff,0xdfffffea,0x5009ff50,0xf7007fff,
    0x3fffa69f,0x00000dff,0xb8827fec,0x72effffd,0xa88009ff,0xa988000a,
    0x4c00001a,0x4400009a,0x20000aa9,0x0009aa98,0x000d4c40,0x20015310,
    0x00003cc9,0x0000a988,0x003fffa8,0x0000a980,0x00b32e00,0x00000554,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x44000000,0x0001eeed,0x22010000,0xee880009,0xfff980ee,
    0x17ff2002,0x0b332a00,0x33333200,0xcccccccc,0x2e000aaa,0x970003cc,
    0x66664199,0xaccccccc,0x9900009a,0x99999999,0x20013559,0x20003ccb,
    0x99932ccc,0x540f32a1,0x10005fff,0x40bdffb7,0x20bdfeb8,0xfc8005fd,
    0x3ffa03ff,0x0bffe005,0x1bfffa00,0x3ffffe00,0xffffffff,0x801effff,
    0x4001fffb,0x7fc5fff9,0xffffffff,0x00cfffff,0x7fffffc0,0xffffffff,
    0x7ff400cf,0x3ffe0005,0x2e3fff55,0x3ff206ff,0x7fc4001f,0x3606ffff,
    0xdeffffff,0x7c4004ff,0x7fdc05ff,0x7ffa800f,0xffff9800,0x7ffc001f,
    0xffffffff,0xffffffff,0x06ffe802,0x207fff40,0xffffffff,0xffffffff,
    0xfff000cf,0xffffffff,0x19ffffff,0x0017ffa0,0xff55fff8,0x01bfee3f,
    0x44009ffb,0x4ffffffe,0xfb79ff10,0x001fffff,0x400effb8,0xd803fff8,
    0xfc8004ff,0x4005ffef,0xaaaaefff,0xfdcbaaaa,0x5403ffff,0xf5002fff,
    0xdfff09ff,0xddb99999,0x1dfffffd,0x99dfff00,0xfdddb999,0xd01dffff,
    0x7c000bff,0x3fff55ff,0xd101bfee,0x3ea001ff,0x0098adff,0xedb88ff7,
    0xfff8000b,0x0dffb001,0x001fff88,0xfff9fff8,0x13ffe000,0xffff9100,
    0x07ffd801,0xf01fffd0,0x2e2009ff,0x400effff,0x91004fff,0xe81dffff,
    0x3e0005ff,0x3fff55ff,0x2201bfee,0xff7002cc,0x0000001f,0x00599300,
    0x700fffd4,0xf5000dff,0x00fffadf,0x0004fff8,0x9805fff9,0x7dc03fff,
    0x9fff02ff,0xfffe8800,0x027ffc04,0x13fffa60,0x4000bffd,0xfff55fff,
    0x001bfee3,0x037fe400,0x00000000,0x027ffc00,0xb0007ffd,0x1bff27ff,
    0x004fff80,0x2013ffe0,0x3e00fffc,0x3ffe06ff,0xfff98004,0x13ffe00f,
    0x3fffe600,0x0017ffa0,0xff55fff8,0x01bfee3f,0x2ffe4000,0x026a6000,
    0x64000000,0xfff306ff,0xfff88001,0x003fff31,0x80013ffe,0xf8806ffd,
    0xfff704ff,0x027ffc03,0x04fffa80,0x40013ffe,0x3fa4fffc,0x3fe0005f,
    0x23fff55f,0x6ffbeffb,0x909ffb00,0xd7000bff,0x09dfffff,0xd8037fdc,
    0xfff984ff,0x005ffc81,0x7f47ffb8,0x9fff005f,0x3fff4000,0x41fffb80,
    0x7c05fff8,0x3e0004ff,0x3ffe06ff,0x3ffa0004,0x0017ffa6,0xff55fff8,
    0x2fbfee3f,0xffb006ff,0x3fffff29,0x2604ffff,0xfffffffe,0xffb81eff,
    0x09ffb006,0x3fe13ffa,0xffe8002f,0x007ffdc4,0x80027ffc,0x2005fff8,
    0x7fe45ffe,0x27ffc00f,0x0fff9000,0x00027ffc,0x7ff4fff9,0x3ffe0005,
    0x2e3fff55,0x06ffbeff,0x3f29ffb0,0xffffffff,0xdffff104,0xffffb959,
    0x006ffb87,0x3ee09ffb,0x03ffcc7f,0x20fffcc0,0xf803fff8,0xf90004ff,
    0x7d4009ff,0x9fff12ff,0x009fff00,0x807ffd40,0x20004fff,0xffd0fffa,
    0x7ffc000b,0x2e3fff55,0x06ffbeff,0x32a9ffb0,0xccceffec,0x07fffb02,
    0xb83fffe6,0xffb006ff,0x8bffe209,0xd8004ffc,0xdffb06ff,0x009fff00,
    0x0ffffd88,0xcb7fec00,0xff800fff,0x3e60004f,0x9fff02ff,0x7ffc4000,
    0x333bffd2,0x33333333,0x2bfff333,0xff71fffa,0x200dff7d,0xffc84ffd,
    0x2fffb805,0x72fffc40,0x3f600dff,0x97ff604f,0x44001fff,0xff503fff,
    0xefff805f,0xaaaaaaaa,0xfffffecb,0xfff98002,0xf003fffb,0x440009ff,
    0xfff03fff,0x7fc40009,0xfffffd3f,0xffffffff,0xbfffffff,0x7dc7ffea,
    0x006ffbef,0xff909ffb,0x0bfff00b,0x5c7ffee0,0xffb006ff,0x9bffd409,
    0xfb8006ff,0x3ffe00ff,0x7ffffc05,0xffffffff,0x02ffffff,0xd9999988,
    0x99ffffff,0xfff81999,0x7ffc0004,0x3fffffe4,0xffffffff,0xea7ffc01,
    0xffffffff,0xffffffff,0xff55ffff,0x2fbfee3f,0xffb006ff,0x80bff909,
    0x1001fff8,0x3fee7fff,0x09ffb006,0xffcafff8,0x5ffe8003,0x007ffe40,
    0xffffffff,0xffffffff,0x3fa0019d,0xffffffff,0xffffffff,0x027ffc0f,
    0x4bfff100,0xffffffff,0x01ffffff,0x7f57ffe2,0xffffffff,0xffffffff,
    0xfff55fff,0x3efbfee3,0x9ffb006f,0x980bff90,0x3a000fff,0x0dff74ff,
    0x9013ff60,0x01ffd9ff,0x02fff980,0xf01fffcc,0xdddddfff,0x01bffffd,
    0xfffffd00,0xffffffff,0xf81fffff,0x260004ff,0x2aaa4fff,0xaaaadfff,
    0x3e600aaa,0x0bffd4ff,0xaafffc00,0xdff71fff,0x3600dff7,0x5ffc84ff,
    0x003ffdc0,0x7fdd7ff6,0x09ffb006,0x5fffff88,0xbfffc800,0xaaaaaaaa,
    0x3fe07fff,0x3ff2204f,0x65c000df,0xffcccccc,0xccccccdf,0x004fff84,
    0x40fffea0,0x20004fff,0xffd3fffa,0x7ffc000b,0x2e3fff55,0x06ffbeff,
    0xf909ffb0,0x6ffc80bf,0xbbffe400,0xffb006ff,0xffffd009,0xffff0005,
    0xffffffff,0x205fffff,0xfb804fff,0x00000fff,0xf000bffe,0x5c0009ff,
    0xfff01fff,0x7fdc0009,0x00bffd3f,0xfaafffc0,0x7dff71ff,0x3f600dff,
    0x05ffc84f,0x20037fe4,0xdff76ffc,0x013ff600,0x003fffee,0xffffff50,
    0xffffffff,0x3fe0bfff,0xfff9004f,0x7fc0000d,0x7ffc002f,0x3ff20004,
    0x09fff00f,0x8fffe400,0x20005ffe,0xfff55fff,0x3efbfee3,0x9ffd006f,
    0xb80bff90,0x7ec007ff,0x00dff76f,0x22013ffa,0xd8005fff,0xcccccfff,
    0xfecccccc,0x4fff80ff,0x17fffa00,0x77777640,0xeeefffee,0x7c0eeeee,
    0x3a0004ff,0x3ffe07ff,0x3ffa0004,0x0017ffa7,0xff55fff8,0x2fbfee3f,
    0xfff006ff,0x80bff909,0x74007ffa,0x0dff75ff,0x4013ffe0,0x44001fff,
    0x54003fff,0xfff84fff,0x3ffe2004,0xfffe803f,0xffffffff,0x0fffffff,
    0x80027ffc,0x3e04fffa,0xf50004ff,0x2fff49ff,0x2bfff000,0xff71fffa,
    0x100dff7d,0xff909fff,0x1fff980b,0x5d3ffe00,0xff8806ff,0x6ffa804f,
    0x0fffb800,0x87ffe800,0x5c004fff,0x6400ffff,0xfeeeeeee,0xeeeeeeff,
    0x27ffc0ee,0x7fffc400,0x013ffe00,0x87fffe20,0x20005ffe,0xfff55fff,
    0x3ebbfee3,0xfffa807f,0x805ffc84,0xf7005fff,0x1ffea3ff,0x013ffea0,
    0x2000fff6,0x90006ffe,0xfff85fff,0xfffd8004,0x7ffc0005,0x27ffc002,
    0x2fffe400,0x0013ffe0,0xfd17fff2,0x7fc000bf,0x23fff55f,0xfff9effb,
    0x3fffe204,0x805ffc84,0x4401fffb,0x3fe66fff,0x3ffe204f,0x7ffcc04f,
    0x7ffcc000,0xfff10003,0x004fff8b,0x02ffff88,0x00bffe00,0x4009fff0,
    0x01ffffd8,0x10027ffc,0xe83ffffb,0x3e0005ff,0x3fff55ff,0x7ffdbfee,
    0xfffe881f,0x05ffc84f,0x205fffd0,0x7c1fffe9,0xfe881fff,0x4cd44fff,
    0x8004fffb,0x0000fffc,0xff87fff6,0xff70004f,0x3e0001ff,0x7fc002ff,
    0x999999df,0xffffdcba,0xdfff801f,0xba999999,0x2fffffdc,0x0005ffe8,
    0x7fd57ffe,0x2edff71f,0xecceffff,0x84ffcfff,0xf3005ffc,0xb759dfff,
    0xf709ffff,0xfd99dfff,0xe89ff9ff,0x006fffff,0x000bfff0,0x3e4fffa8,
    0x3a0004ff,0xf0005fff,0xff8005ff,0xffffffff,0xffffffff,0xfffff001,
    0xffffffff,0x205fffff,0x20005ffe,0xfff55fff,0xfd9bfee3,0xefffffff,
    0xfc84ffa8,0x3fa6005f,0xffffffff,0x3fff603f,0xa8efffff,0x7ffec4ff,
    0xfa8000ff,0xf80002ff,0x13ffe7ff,0xffff9800,0x2fff8002,0x7ffffc00,
    0xffffffff,0x2001cfff,0xffffffff,0xffffffff,0x17ffa00b,0x55fff800,
    0x3fee3fff,0x7ffff546,0x09ff50df,0x7000bff9,0x7bfffffd,0xfffd5001,
    0x3fea1bff,0x0df7f5c4,0x07ffd800,0x5fff9000,0x00013ffe,0x000dfff9,
    0xf8005fff,0xffffffff,0x00bcdeff,0xffffff80,0xdeefffff,0x0bffd002,
    0xaafffc00,0xdff71fff,0x0002a620,0x80017ff2,0x20001a98,0x00000a98,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x75100000,0x44013599,0xcccccccc,0x001aaccc,0x03cc8800,
    0x00039991,0x4c799991,0x000004cc,0xcccccb80,0xcccccccc,0xcccccccc,
    0x64d33263,0x6640003c,0x3200002c,0xcccccccc,0xcccccccc,0x333224cc,
    0x665c0001,0xcccccccc,0x3ccccccc,0xfffffb10,0x3e205fff,0xffffffff,
    0x03efffff,0x1bff2000,0x001fffc4,0x83bfffa2,0x00007ffb,0x7fffcc00,
    0xffffffff,0xffffffff,0x5ffee6ff,0x40006ffb,0x00004fff,0x3ffffffe,
    0xffffffff,0x3e27ffff,0x740003ff,0xffffffff,0xffffffff,0xffffb85f,
    0xdfffffff,0x7ffffc40,0xffffffff,0x80004fff,0xf106fffa,0x744007ff,
    0x7dc0efff,0x0000007f,0x7fffffec,0xffffffff,0xffffffff,0x7ddffee6,
    0x7fc0006f,0x3e00004f,0xffffffff,0xffffffff,0x3ffe27ff,0x7ff40003,
    0xffffffff,0x5fffffff,0x55ffffd4,0x5fffeb99,0x666fffc4,0xffeeeccc,
    0x20005fff,0x106ffff8,0x22007fff,0xb80efffe,0x000007ff,0x33bffe20,
    0xcccfffec,0xcccccccc,0x5ffee3cc,0x40006ffb,0x00004fff,0x3333bffe,
    0xcccccccc,0x3e24cccc,0x740003ff,0xcccccfff,0xcccccccc,0x3bffe23c,
    0x8bfff200,0x5003fff8,0x0005ffff,0x41bffff6,0x8803fff8,0x700efffe,
    0x00000fff,0x90fffe40,0x10000fff,0x1bfee555,0x09fff000,0x2fffc000,
    0xfff10000,0xffe80007,0xff700005,0xdffd003f,0x001fffc4,0x0009fff1,
    0x0dfffff7,0x100fffe2,0x401bfffd,0x00007ffb,0x8bfff100,0x00007ffc,
    0x000dff70,0x0004fff8,0x0017ffe0,0x03fff880,0x02fff400,0x04ffd800,
    0x7c4fff50,0x7ec003ff,0x7fcc007f,0xf106ffcf,0x7f4407ff,0xffb805ff,
    0x90000007,0xffc83fff,0xf7000007,0xff8000df,0xffffffff,0x202deeef,
    0x00005fff,0x000fffe2,0x000bffd0,0x400fffe0,0xff11fff9,0xffa8007f,
    0x3ffa001f,0xf106ffca,0x3fa207ff,0xff7005ff,0x1000000f,0xff90bfff,
    0x2e00000f,0x01a886ff,0xfffffff8,0xffffffff,0x5fff84ff,0x3fe20000,
    0x7f40003f,0x7500005f,0x3fe60039,0x07fff11f,0x007ffb80,0x7fe53ff2,
    0x07fff106,0x00bfffd1,0x2e03ffdc,0xc8005fff,0xffc82fff,0xffb80007,
    0x764dff77,0xf03effff,0xffffffff,0xffffffff,0x05fff8bf,0x3ffe2000,
    0x7ff40003,0x00000005,0xff89ffee,0x7fec003f,0x4dff3005,0xff106ffc,
    0xfffe887f,0x3ffdc005,0x00bfff70,0x20dfff10,0x80007ffc,0xdff77ffb,
    0xffffffd1,0xbfff0bff,0x55555555,0x7ffffd75,0x0002fffc,0x007fff10,
    0x005ffe80,0x3fa00000,0x0fffe26f,0x02fffa80,0x321fff88,0xfff106ff,
    0x27fff447,0x83ffdc00,0x0005fffb,0x3205fff7,0xb80007ff,0xffff77ff,
    0xffb9bfff,0x4fff8bff,0x7fffe400,0x000bfff1,0x01fffc40,0x017ffa00,
    0x7dc00000,0x3ffe23ff,0xfffd9803,0x87ffb003,0xff106ffc,0x3fffa27f,
    0xfff70005,0x00bfff70,0x81bffe20,0x80007ffc,0xfff77ffb,0xffd105ff,
    0x027ffc3f,0xf9fffe40,0x200005ff,0x0003fff8,0x0002fff4,0x7ffcc000,
    0x7ffffc45,0xffffffff,0xf5002fff,0x0dff90df,0x3a2fffe2,0x001fffff,
    0x7dc7ffb8,0x2e0005ff,0x3f202fff,0xeeeeeeff,0x45eeeeee,0xfff77ffb,
    0x7ffcc03f,0x0013ffe3,0x7fd3ffe6,0xeeeeeeff,0xeeeeeeee,0x01fffc45,
    0x3bfffa00,0xeeeeeeee,0x20004eee,0x440ffff8,0xffffffff,0xefffffff,
    0x0fff8800,0xf106ffc8,0xffffd7ff,0xf7000dff,0x2fffd4ff,0x1bffe000,
    0xffffff90,0xffffffff,0x77ffb8df,0xfd007fff,0x027ffc9f,0xff6fff80,
    0xffffffff,0xffffffff,0x03fff88f,0x7ffff400,0xffffffff,0x10005fff,
    0xf107fffd,0xffffffff,0xffffffff,0x03ffd80b,0x3e20dff9,0xdbffffff,
    0x5c004fff,0x9fff57ff,0xfffb8000,0x7fffe402,0xffffffff,0x7fdc6fff,
    0x005fff77,0x7ffcbffb,0xdffd0004,0x3ffffffe,0xffffffff,0x7fc47fff,
    0x7f40003f,0xffffffff,0x05ffffff,0x3ffff980,0x339fff10,0xb9753333,
    0x701dffff,0x7fe40bff,0xfffff106,0x3fffe27f,0x3ffee002,0x0006fffa,
    0xc806ffe8,0xaaaaafff,0x2aaaaaaa,0xffbbffdc,0x5ffc800f,0x40013ffe,
    0xdfff5fff,0x55555555,0x85555555,0x0003fff8,0x55577ff4,0xaaaaaaaa,
    0x7fd4001a,0x3fe203ff,0x3fa6003f,0x7ffcc4ff,0x41bff200,0x43fffff8,
    0x000ffff9,0xfffffff7,0x7d40005f,0x99999cff,0x07ffd999,0x77ffb800,
    0x3f200fff,0x013ffe5f,0x7d3ffea0,0x200005ff,0x0003fff8,0x0002fff4,
    0x3fffea00,0x1fffc402,0x07fff400,0xfc805ffd,0xffff106f,0x1bfff207,
    0x7ffffdc0,0x0000ffff,0xfffffffd,0xffffffff,0xff70000f,0x401bfeef,
    0x3ffe5ffc,0x7ffc4004,0x00bfff1f,0x1fffc400,0x17ffa000,0xffc80000,
    0xff8802ff,0xffc8003f,0x99fff72f,0xfd999999,0x225999ff,0x7f404fff,
    0xffb804ff,0x5fff9cff,0xffffa800,0xffffffff,0x0007ffff,0xff77ffb8,
    0x97ff200d,0x93004fff,0x7fcbffff,0x2200005f,0x40003fff,0x00005ffe,
    0x03ffffb0,0x00fffe20,0x5cfffe60,0xffffffff,0xffffffff,0x7fff13ff,
    0x1ffff980,0x91fffdc0,0xe8005fff,0xffffffff,0xffffffff,0xffb80007,
    0x200dff77,0x3ffe5ffc,0xeeeeeeef,0xffffffff,0x0017ffe0,0x03fff880,
    0x02fff400,0x7ffec000,0x3fe2000e,0xff98003f,0xfffff73f,0xffffffff,
    0x227fffff,0xfb803fff,0x3ee00fff,0x0fffe87f,0x07fff500,0x003ffe40,
    0xfbbffdc0,0xbff9006f,0x7ffffffc,0xffffffff,0x7ffc0dff,0x3e200005,
    0x740003ff,0x400005ff,0x000dfffd,0x001fffc4,0xa98fffdc,0xaaaaaaaa,
    0xaaeffdaa,0x07fff11a,0x817fff60,0xff987ffb,0xfffd005f,0x3ffe4001,
    0xbffdc000,0xf9006ffb,0x7ffffcbf,0xffffffff,0xfff01dff,0x7c40000b,
    0x740003ff,0x200005ff,0x0005fffb,0x0007fff1,0x4000fffd,0xff106ffc,
    0x3fe2007f,0xfff703ff,0x00bfff20,0x8009fff3,0x80007ffc,0xdff77ffb,
    0xf97ff200,0xaaaaadff,0xff0019aa,0x440000bf,0x40003fff,0x00005ffe,
    0x000dfff1,0x001fffc4,0x0017fff6,0xf106ffc8,0x7d4007ff,0xffb81fff,
    0x1ffff107,0x007ffec0,0x001fff20,0x7ddffee0,0xbff9006f,0x00027ffc,
    0x000bfff0,0x01fffc40,0x017ffa00,0x57ffec00,0x99999999,0xff109999,
    0x3333339f,0xffff9553,0x7e40001f,0x7fff106f,0xefffd800,0x503ffdc0,
    0x3e60bfff,0xfc8004ff,0x999999ff,0x99999999,0x3eefff70,0xbff9006f,
    0x00027ffc,0x333bfff0,0x33333333,0x22133333,0x9999cfff,0x99999999,
    0x0017ffa1,0x3ffffe60,0xffffffff,0xff12ffff,0xffffffff,0xffffffff,
    0xffc80005,0x07fff106,0x5fffe880,0x3603ffdc,0xffd82fff,0xffc8000f,
    0xffffffff,0x2fffffff,0x3feefff7,0x4bff9006,0x00004fff,0x3ffffffe,
    0xffffffff,0xf14fffff,0xffffffff,0xffffffff,0x0002fff4,0x7fffffe4,
    0xffffffff,0xfff12fff,0xffffffff,0x03bfffff,0x0dff9000,0x000fffe2,
    0xb8ffffe6,0x7fc407ff,0x3ffe60ff,0xfff90005,0xffffffff,0x25ffffff,
    0xdff77ffb,0xf97ff200,0x200004ff,0xffffffff,0xffffffff,0xff14ffff,
    0xffffffff,0x4fffffff,0x80005ffe,0xfffffffd,0xffffffff,0xffff12ff,
    0xdfffffff,0x0000399d,0xf8837fe4,0xf90003ff,0x3fee3fff,0x5fffa807,
    0x0007fff2,0x7fffffe4,0xffffffff,0xfff72fff,0x6401bfee,0x13ffe5ff,
    0xffff8000,0xffffffff,0xffffffff,0xffffff14,0xffffffff,0x2fff4fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x99991000,0xcb800039,0x0aa00ccc,0x0003ccc8,
    0x76c4b32e,0xcccc81ee,0xbccccccc,0xdb1001aa,0x3baa03dd,0x89dd903e,
    0x00404eec,0x99950133,0x99999999,0x99999999,0x00166654,0x30666640,
    0x40009999,0x32e1ccc9,0x980000cc,0xfff88ccc,0x220005ff,0x880fffff,
    0x3ffe03fd,0xffd0002f,0x42fffd49,0xffffffff,0xffffffff,0x3ffee00b,
    0xfffff303,0xe8bffd05,0xff9305ff,0x417fcc59,0xfffffffc,0xffffffff,
    0xff30ffff,0x640003ff,0xffe84fff,0xff88003f,0x1fffd46f,0xbffec000,
    0x07fffff8,0x3fffee00,0x03ffe80f,0x003ffffe,0xf713ffa0,0xffff83ff,
    0xffffffff,0x02ffffff,0x3a20bfff,0x40fffdff,0x7ff45ffe,0xfffff885,
    0x80ffedff,0xfffffffc,0xffffffff,0x3ee0ffff,0xf30006ff,0x3fe20dff,
    0x7f4001ff,0x7ffc40ff,0x7fc40006,0xfffff14f,0x3f60005f,0xfe80ffff,
    0x3fffe03f,0xffe8005f,0x7c5ffd84,0xccccceff,0xfffeeecc,0x77fdc1ff,
    0x32dffb00,0x2fff46ff,0x3ee17ffa,0xffffebbf,0x9999504f,0x99999999,
    0x1ffffb99,0x003fffe8,0x201fffe8,0x2006fffa,0xf902fffc,0x5c0003ff,
    0xfff10fff,0x1000bfff,0x01ffffff,0x7fc07ffd,0x4002ffff,0xffd04ffe,
    0x0027ffc3,0x41dfffd3,0xff701ffe,0x12fff43f,0x09988133,0x7e4c4fe8,
    0x8800002d,0xf983fffe,0x2e001fff,0xfd804fff,0xffa804ff,0x3ffe604f,
    0x3ffa0004,0x3f3ffe25,0xffb8007f,0xfe80fffd,0x3fffe03f,0x3a000fff,
    0x599104ff,0x20027ffc,0x932fffd8,0x33322059,0x00e664c3,0x00000000,
    0x13fff600,0x006fffb8,0x200dfff3,0x202fffe8,0xe806fff8,0xf30006ff,
    0x7ffc45ff,0x4002fffa,0x0fffbffe,0x3e03ffe8,0x05fffeff,0x0013ffa0,
    0x50009fff,0x00009fff,0x00000000,0x3f600000,0xffe806ff,0xfffe803f,
    0x3ffe6001,0x3fffd00f,0x03fff700,0x88fff900,0x5ffcafff,0x2b7fe200,
    0xfff50fff,0xf8ffffff,0x2fffdaff,0x009ffd00,0x8004fff8,0x0005fff8,
    0x80000000,0x000009a8,0x00ffffb8,0x00ffff98,0x000fffee,0x3217fff2,
    0xf1003fff,0xff0009ff,0xafff889f,0x2e007ff9,0x0fffaaff,0xfffffff5,
    0x8afff8ff,0xe800ffff,0xfff984ff,0x0013ffe0,0xff9bfff4,0xfff9800f,
    0x0fff9800,0x3b24ffb8,0x003effff,0x3ffff500,0x2fffdc00,0x006fff88,
    0xa8bfffa0,0x6c005fff,0x7d4007ff,0x7ffc41ff,0x2005fff2,0xfffa8ffe,
    0xdfff9930,0x2fff8999,0xd00bfff7,0xfff309ff,0x0027ffc1,0xff36fff8,
    0xfff3001f,0x1fff3001,0xfd19ff70,0xbfffffff,0x7fc40001,0xfe8002ff,
    0xfffd82ff,0x3fe20000,0xefff88ff,0x7ffd4000,0x1bff6002,0x7e4bffe2,
    0x5ff8805f,0xfd01fff5,0x17ffc07f,0xe805fffd,0xfff984ff,0x0013ffe0,
    0x7cd3ffe2,0xff9800ff,0xfff9800f,0xfedffb80,0xfffeccef,0xfd10005f,
    0x260009ff,0x3ea0ffff,0xb80003ff,0xfffddfff,0xbfff0001,0x0fffe200,
    0x7ccbffe2,0x2ffb807f,0xfd01fff5,0x17ffc07f,0x401ffff1,0xff984ffe,
    0x013ffe0f,0x4cffff60,0xf9800fff,0xff9800ff,0xffffb80f,0xffff981e,
    0xfffd8000,0x7fdc0005,0x0bfff14f,0x7ffec000,0x20003fff,0xb800fffc,
    0xff880fff,0x00bffe2f,0x7ffd4ffd,0x203ffe80,0x7fdc2fff,0x13ffa05f,
    0xff83ffe6,0x3f22004f,0x3ffe66ff,0x0fff9800,0x80fff980,0x200ffffb,
    0x4003fff9,0x000efffb,0xc9fffe80,0x00000fff,0x17ffffe2,0x5fff1000,
    0x209ffd00,0x3f22fff8,0x93fe604f,0xfe80fffa,0x0bffe03f,0x740bfffa,
    0xfff984ff,0x2ab7ffe0,0xeccaaaaa,0x261fffff,0xf9800fff,0xff9800ff,
    0x3fffb80f,0x004fff80,0x007fffea,0x77ffcc00,0x00002fff,0x01ffffa8,
    0x05ffd800,0x880fffcc,0x3fe62fff,0xa8bff207,0xffe80fff,0x20bffe03,
    0xe80ffff8,0xfff984ff,0x3fffffe0,0xffffffff,0x7cc3ffff,0xff9800ff,
    0xfff9800f,0x01fffb80,0x1005ffe8,0x0005ffff,0xfffffb80,0xfb000005,
    0x0000bfff,0x6401fff5,0x3fe206ff,0x817ffc2f,0x7ffd47fe,0x203ffe80,
    0xff702fff,0x09ffd0bf,0x7fc1fff3,0xffffffff,0x0dffffff,0x800fff98,
    0x9800fff9,0xffb80fff,0x5ffc800f,0x09fffd00,0x3ffa0000,0x800000ff,
    0x3ffffffb,0x3fff8000,0x880fffa0,0x7fe42fff,0x544ff984,0xffe80fff,
    0x80bffe03,0x7f42fffe,0x0fff984f,0x3bbbfffe,0xaacdeeee,0x03ffe600,
    0x003ffe60,0x2e03ffe6,0xff9007ff,0xbfffb00b,0x7d400000,0x800003ff,
    0xfffdfff9,0x7e40001f,0x1fff306f,0x217ffc40,0xffc87ff9,0x407ffd41,
    0x3fe03ffe,0x3ffe202f,0x213ffa0f,0x3fe0fff9,0x2600004f,0xf9800fff,
    0xff9800ff,0x06ffb80f,0xb80bff90,0x0000efff,0x0bffe600,0xfff10000,
    0x0dfff71f,0x1fff9800,0x4405ffc8,0xffe82fff,0x7d43ff42,0x3ffe80ff,
    0x700bffe0,0x7ff4bfff,0x20fff984,0x00004fff,0x2003ffe6,0x9800fff9,
    0xffb80fff,0x0bff9006,0x00ffffcc,0x3fe60000,0x6c00002f,0x3ff62fff,
    0x7f40004f,0x17ffc43f,0x20bffe20,0x3fe64ffc,0x80fffa84,0x3fe03ffe,
    0xfffe802f,0xf309ffd2,0x27ffc1ff,0xfff30000,0x1fff3001,0x01fff300,
    0x3200dff7,0xfff105ff,0x0000005f,0x0005fff3,0x227ffdc0,0x002ffff8,
    0xf51bfee0,0xfff100df,0x64fff305,0xfffa81ff,0x203ffe80,0xf9802fff,
    0x4ffe8fff,0x3e0fff98,0x200004ff,0x9800fff9,0xf9800fff,0x6ffb80ff,
    0x20bff900,0x0004fffe,0x5fff3000,0x3fe60000,0xfffa80ef,0xff10000f,
    0x01ffec3f,0xe817ffc4,0x20dff2ff,0xfe80fffa,0x0bffe03f,0x76fffdc0,
    0xfff984ff,0x0013ffe0,0x00fff980,0x800fff98,0xfb80fff9,0xbff9006f,
    0x00bfff90,0x7fcc0000,0xe880002f,0x3f201fff,0x360005ff,0x1fff14ff,
    0x05fff100,0x3feb7ff2,0x01fff503,0x7fc09ffb,0x3ffa002f,0xf984ffff,
    0x13ffe0ff,0xfff98000,0x0fff9800,0x80fff980,0xf9006ffb,0xefffb8bf,
    0x20000000,0x0002fff9,0x403fffd8,0x003fffe8,0x3eedff50,0xfff1005f,
    0x37ffe605,0xfff501ff,0x01dffb01,0x9800bffe,0x84ffffff,0x3fe0fff9,
    0x2600004f,0xf9800fff,0xff9800ff,0x06ffb80f,0x7ccbff90,0x00000eff,
    0x17ffcc00,0x3ffee000,0xffff3005,0x3ffa0003,0x1002ffd9,0x7f405fff,
    0x3ea06fff,0xfffc80ff,0x17ffc7ff,0x3fffee00,0x0fff984f,0x00013ffe,
    0x800fff98,0x9800fff9,0xffb80fff,0x2bff9006,0x99affff8,0x99999999,
    0x00999999,0x017ffcc0,0x1ffff300,0x37ffe400,0xfcffc800,0x3fe2007f,
    0x3fff202f,0x3ffea03f,0xfffff880,0x00bffe0f,0x13ffffa0,0xff83ffe6,
    0x2600004f,0xf9800fff,0xff9800ff,0x06ffb80f,0x3e6bff90,0xffffffff,
    0xffffffff,0x4004ffff,0x0002fff9,0x000bfffa,0x0013fffa,0x13ffffe2,
    0x02fff880,0x803fffe6,0xb300fffa,0x7fc5ffff,0xff98002f,0xfff984ff,
    0x0013ffe0,0x00fff980,0x800fff98,0xfb80fff9,0xbff9006f,0x3fffffe6,
    0xffffffff,0x4fffffff,0x17ffcc00,0x4fffc800,0xffff1000,0xfffb0003,
    0x7fc4001f,0x37ff402f,0x003ffea0,0x0bffe066,0x27ffdc00,0xff07ffcc,
    0x4c00009f,0xf9800fff,0xff9800ff,0x06ffb80f,0x3e6bff90,0xffffffff,
    0xffffffff,0x4004ffff,0x8002fff9,0x0006fffa,0x007fffdc,0x01bffea0,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0006664c,0x000b3332,0x4ccc7997,0x99999999,
    0x20999999,0xcccccccc,0xcccccccc,0xff3ccccc,0xfff1005f,0x007fff21,
    0x00000000,0x00000000,0x00135531,0x00003551,0x00003553,0x40001351,
    0x7fff3019,0x7fffcc00,0xa7ffc005,0xfffffff8,0xffffffff,0xffff14ff,
    0xffffffff,0xffffffff,0x00bffebf,0x7e43ffe2,0x999b11ff,0x99999999,
    0x0d999999,0x0007ffc0,0x5404d4c0,0x3fb6601e,0x42dfffff,0xffffffd9,
    0xfdb1000c,0x09dfffff,0x7fff6540,0x7ff703ff,0x033bffee,0x5c00bfff,
    0x2007ffff,0xff12fff9,0xffffffff,0x9fffffff,0x3fffffe2,0xffffffff,
    0x5fffffff,0xf1005fff,0x3fff21ff,0x20000511,0x03ffe003,0x7fff5400,
    0xff98cfff,0xfffff704,0x29ffffff,0xfffffffb,0x7d401fff,0xffffffff,
    0x3a201eff,0xffffffff,0x5ffdc0ff,0x87fffffb,0x36006ffd,0x001fffff,
    0x3e21fff7,0xffffffff,0xffffffff,0x33333323,0xcefffccc,0x3ccccccc,
    0xf1005fff,0x3bbae1ff,0x20000511,0x03ffe003,0xffffb100,0xffffffff,
    0x3bfff20d,0xfffcbabc,0xbcefffef,0x01ffffcb,0x579ffff9,0x0dffff97,
    0x33bfffe6,0x0effffca,0x3fff3fee,0xffb84fff,0xfff8800f,0xfb004ffc,
    0xe88000bf,0xff8005ff,0x3ffe004f,0x0fff8802,0x80001440,0x03ffe003,
    0xeffff880,0xfffffcbc,0x4fff880f,0x3ffffe20,0xdffb103f,0x40bfff10,
    0xe81fffd8,0xff703fff,0x7fffdcbf,0x981ca9be,0xfa802fff,0x006ffadf,
    0x80007fff,0x8000effc,0x3e004fff,0xff8802ff,0x0014400f,0x3fe00380,
    0x3ff2000f,0xfffd504f,0x00bff905,0x807ffff7,0x7dc3fff8,0xfff8806f,
    0x01fffd44,0x7dc3fff6,0x3e001fff,0xffc804ff,0x400fff8b,0x0001fff9,
    0x0007ffea,0xf0027ffc,0xff1005ff,0x0028801f,0x7fc00700,0xfff3000f,
    0x7fffcc07,0x802ffe86,0x7006fff9,0x3ffd8dff,0xc89ffd00,0xff9806ff,
    0x09fff72f,0x806ffc80,0x5ffd1ffe,0x007ffb80,0x00fffe20,0x004fff80,
    0x2200bffe,0x14400fff,0x20038000,0xfd000fff,0x77f440df,0x00302fff,
    0x400fffe2,0x01107ff8,0xfd17ff60,0x706a007f,0xa8005fff,0x7fc407ff,
    0xb017ff27,0x64000bff,0x7c0006ff,0x3fe004ff,0xfff9802f,0x00014400,
    0x33332a38,0xccfffccc,0x3e2ccccc,0x3ff603ff,0x0004ffe8,0x05fff951,
    0x000fffc0,0x45ffeb98,0x20001fff,0x4000fffb,0x2e01fff8,0x1ffe64ff,
    0x0005fff0,0x0007ffea,0x4009fff0,0xf9802fff,0x014400ff,0x3fee3800,
    0xffffffff,0x4fffffff,0x2e03fff1,0x0bff91ff,0xfffb9530,0xddddffff,
    0xfddddddd,0xca9805ff,0xffffffed,0x003ffe25,0x007ffb80,0x6c07ffd0,
    0x0fffc2ff,0x000fff98,0x004fff88,0x004fff80,0x2600bffe,0x14400fff,
    0x3ee38000,0xffffffff,0xffffffff,0x301fff54,0x37fdc7ff,0xfffffd98,
    0xffffffff,0xffffffff,0x984fffff,0xfffffffc,0x2a5fffff,0x5c0007ff,
    0xf90006ff,0x07ffc0bf,0x7dc0fff6,0xff90006f,0xff00001f,0x7ffc009f,
    0x0fff9803,0x80001440,0x333332a3,0xcccfffcc,0xff72cccc,0xa8bff10f,
    0xfffa87ff,0x9adeffff,0xeeeeefff,0xeeeeeeee,0x7fffdc3e,0xd9bdffff,
    0x1ffee5ff,0x0dff7000,0x41ffea00,0xffb86ff9,0x009ffb06,0x0017ffe0,
    0x0027ffc0,0xf5007fff,0x028801ff,0x7c007000,0xffb800ff,0x540efe87,
    0x7ffdc7ff,0xff881bef,0xfb80001f,0x80abdfff,0x3fe65ffd,0x3ee0000f,
    0xff10006f,0x07ff903f,0xff01fff3,0xff50005f,0x3e00005f,0x3fe004ff,
    0xfffb804f,0x00014400,0x3ffe0038,0x1fffa800,0x3ee07ff2,0x077ffc6f,
    0x00bffe20,0x07bffe00,0xf897ffa0,0x831001ff,0x20006ffb,0xffe82ffe,
    0x985fff01,0xfd0007ff,0x7c0000df,0x3fe004ff,0xfffd806f,0x00014400,
    0x3ffe0038,0x2fff9800,0x3f207ff5,0x0bffea5f,0x00fffe60,0xf984d5c4,
    0xff8802ff,0x017ffc5f,0xff75ffc8,0x7fe4000d,0x903ffc44,0x5ffb89ff,
    0x3fff9800,0x3ffe0000,0x3fffe004,0x3fffee04,0x00014400,0x3ffe0038,
    0x19fff000,0x7ff409ff,0x401fff24,0x9005fffd,0x3fee3fff,0xfff9800f,
    0x8037ff45,0xdff73ffe,0x37fcc000,0xfa817fea,0x01ffec6f,0x007ffe40,
    0x09fff000,0x5fffffc0,0x3fffee20,0x23ddd70f,0x07000028,0x8007ffc0,
    0x06feeffe,0xfc8bffea,0x7fdc01ff,0x7c403fff,0x3ffee6ff,0x7fffc402,
    0x017ffd45,0x7dc3ffee,0x7fc0006f,0x80bff60f,0x7ffc7ff8,0x5fff8001,
    0x7ffc0000,0x3fffe004,0xfffddfff,0xff90ffff,0x0000a23f,0x1fff001c,
    0x3fffee00,0x1bffa00f,0x540bfff5,0x3fffefff,0x45fffb30,0x2206fff9,
    0xd86ffffe,0xfa882fff,0x1bfee4ff,0x45ffb000,0x7f400fff,0x00fff11f,
    0x003fff50,0x04fff800,0x3fafffe0,0xeaffffff,0x3fff90ff,0x1c0000a2,
    0x001fff00,0x406ffff4,0xe81fffe8,0xdb9cefff,0xffb2ffff,0xffd77bff,
    0xfffd07ff,0xffd7559f,0xf30dffdf,0xfb57bfff,0xffb8dfff,0x7fdc0006,
    0x900dff34,0x17fea7ff,0x01bff600,0x13ffe000,0xe8afff80,0xfd2effff,
    0x47fff21f,0x07000028,0x2000ccc0,0xbdfffffa,0x03ffffdb,0xfffffff1,
    0xfc81bfff,0xffffffff,0xffff104f,0x3dffffff,0xd103fff1,0xffffffff,
    0x6ffb81df,0xb7fcc000,0xf9804ffb,0x005ff95f,0x003fff88,0x04fff800,
    0xa88bffe0,0x43f6000a,0x47000028,0x99999998,0x99999999,0x3ffa2099,
    0xffffffff,0x7e4404ff,0x03dfffff,0x3fffff6a,0x7e4401df,0x43efffff,
    0x3ae04ffe,0x03ffffff,0x0000dff7,0x07ff6fff,0xffeb7fc0,0x7ffd4000,
    0xff800001,0x3ffe004f,0x27f80002,0x47000028,0xfffffffb,0xffffffff,
    0x23ff64ff,0xffffffea,0x2a62000d,0xaa88000a,0x54c40009,0x2200001a,
    0x000009a9,0x7cffec00,0x3ff6007f,0xb8006ff9,0x00000fff,0x2004fff8,
    0x40002fff,0x000a25f9,0xffff71c0,0xffffffff,0x6c9fffff,0x0d54c41f,
    0x00000000,0x00000000,0x00000000,0x5ffdffb8,0x3f3fee00,0xffd8004f,
    0xff000007,0x7ffc009f,0x3fe60002,0x40000a22,0x3ffffee3,0xffffffff,
    0x00c4ffff,0x00000000,0x00000000,0x00000000,0xfffff100,0x7ffcc007,
    0xff8002ff,0xf000005f,0x7fc009ff,0x3ee0002f,0x66666c41,0xcccccccc,
    0x006ccccc,0x00000000,0x00000000,0x00000000,0x80000000,0x001ffffe,
    0x003ffff4,0x0027ffc4,0x04fff800,0x000bffe0,0x00000010,0x7777775c,
    0xeeeeeeee,0x5eeeeeee,0x00000000,0x00000000,0x00000000,0x7ffe4000,
    0xfffc8006,0xfff88005,0xff000002,0x7ffc009f,0x00000002,0x3ffee000,
    0xffffffff,0xffffffff,0x000006ff,0x00000000,0x00000000,0x54000000,
    0xa8004fff,0x98003fff,0x00001fff,0x4009fff0,0x00001ccc,0x2a000000,
    0xcccccccc,0xcccccccc,0x003ccccc,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0001aa98,0x00009a98,0x00009a98,0x00009a88,
    0x544002a2,0x0dff7009,0x7dd3ff60,0x0bffb2ff,0xf00bfff0,0x7fff45ff,
    0x0fffe802,0x3fffffee,0xffffffff,0x07ffea6f,0x804ffe80,0x00003cc9,
    0xfffd9800,0x2003efff,0xefffffea,0x7ff5c004,0x2e04efff,0x3ffb24ff,
    0xffb83eff,0xffffd914,0xfffd883b,0x7fdc0dff,0x29ffb006,0xff72fffb,
    0x7fff980f,0x223ffcc0,0x3200ffff,0x7fdc2fff,0xffffffff,0x7c6fffff,
    0xff3004ff,0xdff5003f,0x3ff6e000,0xfffb803d,0xefffffff,0x3fff6200,
    0x1effffff,0x7ffff4c0,0x81efffff,0xffe8cffb,0x0dffffff,0x3fa33fee,
    0x0effffff,0xffffffd1,0x37fdc1ff,0xf74ffd80,0x3ffe25ff,0x3fffee01,
    0x217fee01,0xf504fffb,0xddd509ff,0xbddddddd,0xfc89fffd,0xdff9007f,
    0x01bfea00,0xfffffb10,0x3fea01df,0xffdbacff,0xffd107ff,0xffb759df,
    0x3fe205ff,0xfdcaceff,0x7fdc3fff,0xecceffed,0x3ee5ffff,0xcceffedf,
    0xff9dfffe,0xffffdcdf,0x401bfee5,0xddd54ffd,0xb01fff43,0x7407ffff,
    0xfffb02ff,0x06fff885,0x5fff9800,0x801fff98,0xf5003ffe,0xffe800df,
    0x06fffddf,0x7dc0dffb,0xfffc82ff,0x0dffd303,0x4c0ffff6,0x3ee0ffff,
    0xf981efff,0xfff70fff,0xfff903ff,0xfe881bff,0x0dff70ff,0x2013ff60,
    0x3fe06ffb,0xff105fff,0x3ffe201f,0x07fff60e,0xdfff1000,0x013ffa01,
    0x2001fff3,0x2a006ffa,0x3f620dff,0x01fff82f,0x3e62fff4,0x7f4403ff,
    0x17ffdc3f,0xb97ffe20,0x2600ffff,0xfff73fff,0x3ffe603f,0x3ffe606f,
    0x200dff72,0xf9804ffd,0xcff980ff,0xbff507ff,0x74fffa80,0x80007fff,
    0x200fffe8,0x7e407ffb,0x3fea005f,0x03ff6006,0xff117fe2,0x1ab9803f,
    0xa802ffec,0x3ffe0fff,0x3fff7005,0x200fffee,0xfff74fff,0x1ffff807,
    0xfb9fffc0,0x9ffb006f,0x20bffe00,0x1ffd9ffb,0xc803ffd8,0x5fffafff,
    0xfffe8000,0x17ffc401,0x4005fff0,0x3e006ffa,0x21ff605f,0x0000efff,
    0x22007fff,0xfff11fff,0x3ffe2003,0x003fff73,0x3feebffd,0x3ffec02f,
    0xfba7ff40,0x9ffb006f,0x213ff200,0x07ff97fe,0x3a001fff,0x00efffff,
    0x17ffec00,0x505ffd80,0x33310fff,0x3dff7333,0x41333333,0x3ff205ff,
    0x6ffffe40,0xfff3000b,0x9fff4003,0x2000fff9,0xfff74ffe,0x2bff9001,
    0x6401fffb,0xffd806ff,0x200dff74,0xf5004ffd,0x55ff88df,0x6ff98dff,
    0x3fffe600,0x7e40001f,0x3ea003ff,0x4ffd80ff,0xffffffe8,0xffffffff,
    0x9ff12fff,0x2207fe40,0xeffffffe,0x3ffea01c,0xeeeeeeee,0x74fffeee,
    0xfd800fff,0x00fff75f,0x7fdd7ff2,0x2ffe400f,0xfba7fec0,0x9ffb006f,
    0x50fffc00,0x23ffc7ff,0x64003ffc,0x40005fff,0x8004fffb,0x7fc42fff,
    0xffffe81f,0xffffffff,0x3e2fffff,0x41ff605f,0xffffffd8,0xffb84fff,
    0xffffffff,0x5fffffff,0xc800dff9,0x0dff77ff,0x7dd7ff20,0x5ffc807f,
    0xf74ffd80,0x3ff600df,0x8fff6004,0x3ff61ffc,0x8007ffa1,0x01fffff8,
    0x0dfff500,0x717ff200,0x3ffa0dff,0xffffffff,0x2fffffff,0x3e203ffa,
    0x7f64c06f,0x0effffff,0x3bbbffee,0xeeeeeeee,0xdff94eee,0x76ffc800,
    0x3f200dff,0x00dff75f,0xfb00bff9,0x01bfee9f,0x50027ff4,0x23ff4bff,
    0xdff14ffb,0xffffd800,0x7cc000ef,0x30000eff,0x7ff41fff,0x6ffa8003,
    0x833fee00,0x2003ffc8,0xfffffdb8,0x001ffea7,0x001ffee0,0x3feedffb,
    0x2bff9006,0xfc806ffb,0x4ffd805f,0x3e00dff7,0x3e2004ff,0x98bff17f,
    0x09ff76ff,0x7dfffd40,0x3e2004ff,0x40000fff,0xfff33ffe,0xdff50001,
    0xcfffe800,0x0006fffc,0x98ffff54,0x40001fff,0x74007ffa,0x0dff75ff,
    0x7dd7ff20,0x5ffc806f,0xf74ffd80,0xfff100df,0xaffe8009,0xfff83ffb,
    0x1001ffd8,0x3feebfff,0xffe8802f,0xfb80001f,0x00bff76f,0x001bfea0,
    0xffffffd3,0x006a201d,0x7c53ffe6,0x26a002ff,0x007ffe60,0xff74fff8,
    0x57ff200d,0xfc806ffb,0x4ffd805f,0xf500fff5,0xfb8009ff,0xd81ffdcf,
    0x007ffbff,0xfe83fffa,0x7fec00ff,0xf100002f,0x05ffd1ff,0x01bfea00,
    0x1f7ff5c0,0x001fff90,0x7ff49ffd,0x7fff5006,0xb802fffc,0xdff71fff,
    0x5d7ff200,0xffc806ff,0x34ffd805,0x7c409fff,0x4c004fff,0x707ffeff,
    0x009fffff,0xf10bffee,0x7fec0bff,0x6c00003f,0x007ffcff,0x001bfea0,
    0x7ffd4000,0x17ffcc03,0x8807fff5,0x3ee0ffff,0x7fc401ff,0x01bfee6f,
    0xffbaffe4,0x05ffc806,0x3fe4ffd8,0xffe881ff,0x3ddd54ff,0x2fffff40,
    0x2fffff98,0x05fff980,0xf907fff7,0x000009ff,0x09fffff5,0x037fd400,
    0xfff00000,0x3ffec03f,0x8827ffec,0xfe84fffd,0xffd302ff,0x037fdc3f,
    0xff75ffc8,0x0bff900d,0x7dc9ffb0,0xfeccefff,0xf74ffcff,0x7fe405ff,
    0x3ffe03ff,0xfffd007f,0x07fff401,0xdddffff3,0xfffffffd,0xfff005ff,
    0x540003ff,0x000006ff,0x37fffea0,0xffffcaab,0xeffff983,0xffffebac,
    0xdffff305,0xffffb759,0x006ffb89,0x3feebff9,0x05ffc806,0x7ec4ffd8,
    0xefffffff,0xff74ffa8,0x7ffcc05f,0x3fff201f,0x2fffc805,0x337ffcc0,
    0xffffffff,0xffffffff,0xfff9005f,0xcc98000d,0x40000003,0xfffffffb,
    0x2202ffff,0xfffffffd,0x74c05fff,0xffffffff,0x6ffb83ff,0x2ebff900,
    0xffc806ff,0x84ffd805,0xdfffffea,0x3ee9ff50,0x7ffc02ff,0x17ffd407,
    0x017ffea0,0xf9a7ffdc,0xffffffff,0xffffffff,0x3fff9802,0x00000000,
    0x7fe4c000,0x01dfffff,0xfffffd70,0x75c005df,0x0bdfffff,0x200dff70,
    0xdff75ffc,0x00bff900,0x4c409ffb,0x0000000a,0x00000000,0x00000000,
    0x00000000,0x26000000,0x400009aa,0x00009aa9,0x00006a62,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x20c8000c,0x0000002c,0x30072200,0x21551055,0x2aa81aa8,
    0x26662000,0x40071000,0x00000029,0x7764c000,0x5eb802ce,0x1ceedb98,
    0x2aaa0000,0xaaaaaaaa,0x0aaaaaaa,0x59991000,0xca983bf6,0xe877e42b,
    0x00000bef,0x5ffb3000,0x742ffcc0,0x03ff60ff,0x20007ff7,0x8803fffa,
    0xff9804fe,0x04ffc802,0x77ff6440,0x3ffee02d,0x900effff,0xfffb8fff,
    0xf802ffff,0x3fffa05f,0xffffffff,0x82ffffff,0x4c0cefeb,0xfffabfff,
    0xfffffeae,0xd4fffcbf,0x0039ffff,0x3fae0000,0x3fa02fff,0x21ffe40f,
    0xffe86ff9,0xfffa8000,0x4fffd803,0x03fffe60,0x00ffff88,0xffffff30,
    0xfff10bff,0x8bffd959,0x267fffd8,0xffb9aeff,0x204fe806,0xfffffffe,
    0xffffffff,0x3ffa22ff,0x3e61ffff,0xffff73ff,0xffffffff,0x7fe4bfff,
    0x002dffff,0xfffc8800,0xf901efff,0x06ff989f,0xffa87ff9,0xfffa8006,
    0xfffe8803,0x2ffff984,0x1ffffdc0,0x9acffd80,0x7ec2fffb,0x93ffcc1f,
    0x64ffffff,0x17fe40ff,0xed80ff60,0xeeeeeeee,0xeeeeeeee,0x2a2fbf61,
    0xfff30efe,0x7ffffdc7,0xffffeccd,0xfffeb885,0x0000bfff,0x7ffffed4,
    0x3fe601cf,0x0bffa20f,0x360fffc4,0x64c003ff,0xfd1001cc,0x7ffcc9ff,
    0xfffe802f,0x3ffa806f,0x54c4ff98,0x7fcdff02,0xb007fd8d,0x8e7c41ff,
    0x00f933fd,0x07fcc000,0xfff99ff4,0x037ffe23,0x300bffee,0x9ffffffb,
    0x7f5c4003,0x00beffff,0x321fff44,0x7fdc05ff,0x00fffcc6,0xfe880000,
    0xffff9cff,0xddffa802,0x028802ff,0xfa8017fe,0x7fd8763f,0x13ff6e20,
    0xbfbbfff7,0x0003fffd,0x5c17ee00,0x47fff35f,0x7e405ffb,0xfd71005f,
    0x405dffff,0xffffffc9,0x3ff2001d,0x007ffd46,0x3f227ff4,0x4cccc46f,
    0x99999999,0x88099999,0xfffffffe,0x35ffb002,0xa8800bff,0x005ffecb,
    0x6c01fff3,0x3ffee07f,0xffffeb82,0x02dfffff,0x09f70000,0x1fff97ea,
    0x3a003ff6,0xfda8007f,0x50cfffff,0x7dfffffb,0xfffa8001,0x013ffe21,
    0xf10fffd4,0x7ffdc9ff,0xffffffff,0x04ffffff,0x5fffffd1,0xe9bfe600,
    0x7ec401ff,0x5fffffff,0x02fffb80,0xfd903fec,0x7e4c07ff,0x00001bff,
    0xfb07fa80,0xf887ff49,0x3ffb006f,0x3ff22000,0xfffd2fff,0x220005bf,
    0x7fec5fff,0x3ff6000f,0x4bffee0e,0xfffffffb,0xffffffff,0x3fea04ff,
    0x3f2005ff,0x817fee3f,0xcdfffff9,0x7ec05ffa,0x7fd802ff,0x03ffb880,
    0x01dffff1,0xff100000,0xb0ffdc19,0x02ffccff,0x0003ffc8,0xe97fff4c,
    0x40003fff,0x7f44fff9,0x7fe4006f,0x4fffea0f,0xfffffffb,0xffffffff,
    0xfff304ff,0xf1009fff,0x7ffc41ff,0x839ffd00,0xfd105ff8,0x3f6001df,
    0x21bfe007,0x5ff8efe8,0xffffffe8,0xffffffff,0x3fea2fff,0x644fffdf,
    0x803ffc5f,0x50001ffd,0x25fffffb,0x0bfffffe,0x3fff7000,0x801fffc4,
    0x7f42fff9,0x0000005f,0xffdffff3,0x5ffb809f,0xff04ffc8,0x217fea0d,
    0x4004fff9,0x079917fd,0xffb0fff1,0xfd13fee3,0xffffffff,0xffffffff,
    0xffffe985,0x7ec09883,0x3ffc401f,0x3ffae200,0x3222dfff,0x1dffffff,
    0x45ffd800,0xd800fffb,0x7ffdc5ff,0x98000000,0xfe8affff,0x3ffe04ff,
    0xd07ff982,0xbfff10ff,0x003fff88,0x3ffa7fd8,0x11bff221,0x44fe89fb,
    0xfffffffe,0xffffffff,0x035302ff,0x01dff500,0x98027fec,0xcffffffd,
    0x7fff5400,0x1000beff,0xffd85fff,0x07ffd404,0x4005fff1,0x3002eee9,
    0x7445ffff,0xffa84fff,0x20fffa06,0xfdabeffb,0x7ff46fff,0xffffffff,
    0x7ccffb00,0xffffdeff,0x81981501,0x99999998,0x99999999,0x80000099,
    0x441efff8,0x5402fffe,0xbefffffe,0x7fecc000,0x801cffff,0x7fc46ffa,
    0x0bffa01f,0xa8009ff9,0xf9803fff,0xfe882fff,0x1fff44ff,0x3e0dff50,
    0xcbffffff,0x3fffe67f,0x0fffffff,0xffb8ffb0,0x002effff,0x00000000,
    0xfffd8000,0xffffefff,0x7e440eff,0x02dfffff,0xfffb8800,0x6c02dfff,
    0x2ffd43ff,0x7cc4ffb8,0xffa8006f,0xfffd803f,0x3fffa202,0x801fff30,
    0xec882fff,0x39930cdf,0x26666662,0x22019999,0xacaa8819,0x00000001,
    0xb0000000,0xffffffff,0xdfffffff,0x3fffff61,0x000000cf,0xffffffd5,
    0x03ffa203,0xff885ffb,0x001ffd86,0x003fffa8,0xfd1005fb,0x402ffec3,
    0x00005ffc,0x00000000,0x00000000,0xfa800000,0xfffc8cff,0xfffa9dff,
    0x17dfffd4,0x26000000,0x202ffffd,0x7fc44ff9,0x2a0ffec6,0x000003ff,
    0x06200280,0x55540000,0xaaaaaaaa,0x0aaaaaaa,0x66459991,0x03ddd73c,
    0xba880355,0x506000ab,0xddd89bbb,0x21eee41d,0x9f703ddc,0xbf503310,
    0x0000eff4,0xff710000,0x984cb805,0x059911cc,0x00000997,0x00000000,
    0xffffe800,0xffffffff,0xf32fffff,0xb7ffc9ff,0x7cc1fffc,0x3fff201f,
    0x5c02dfff,0x20ffff46,0x7f45fffa,0x027ff44f,0x17060005,0x00000000,
    0x000001a8,0x00000000,0x00000000,0xfffffd00,0xffffffff,0x3e65ffff,
    0x5bffe4ff,0x7dc1fffc,0xfffe881f,0xcfffffff,0x26feb989,0xf702fffa,
    0x27ff43ff,0x00013ffa,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3bbb6000,0xeeeeeeee,0x32fffeee,0x7ffc9fff,0xe83fff96,0x3ea1dfff,
    0xffffffff,0xffffffff,0x013ffa6f,0x7ff4bff9,0x0027ff44,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7fccbffa,0xb1bffe4f,
    0x97fee01f,0xb731bffa,0xffffffff,0x1bfe67ff,0x8887ff40,0x00444408,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7c4bffa0,
    0x17ffa3ff,0x3ffcc0ff,0x75c401d5,0x21efffff,0x71000bba,0x00000037,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0x3ffe2ffe,
    0xf993ff62,0x3ff6eaa5,0x5300023f,0x00000157,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfd000000,0x90ffec5f,0x8bfe65ff,
    0x06fffffe,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xe8000000,0x51ff22ff,0xb07ee3ff,0xd507bddd,0x3332e3dd,
    0x52cccccc,0xdddddddd,0xdddddddd,0x009ddddd,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x45ffd000,0x07fcc6fb,0x7fdc0001,
    0xfffffb1f,0x3ee9ffff,0xffffffff,0xffffffff,0x0006ffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x222ffe80,0x00019809,
    0x6c7ffee0,0xffffffff,0x9999954f,0x99999999,0x99999999,0x00000009,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfd000000,0x0000005f,
    0x647ffee0,0xdddddddd,0x0000003d,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__arial_43_latin1_x[224]={ 0,3,1,0,1,2,1,1,2,2,1,2,3,1,
3,0,1,4,1,1,0,1,1,1,1,1,3,3,2,2,2,1,2,-1,2,1,2,3,3,2,3,3,1,2,
2,2,2,1,2,1,3,1,0,3,0,0,0,0,0,2,0,0,1,-1,1,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,1,3,0,1,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,4,2,0,1,-1,
3,1,1,0,0,2,2,1,0,-1,2,1,0,0,4,3,0,3,2,2,0,2,2,2,0,2,-1,-1,-1,-1,
-1,-1,0,1,3,3,3,3,1,2,-1,0,-1,2,1,1,1,1,1,3,1,3,3,3,3,0,2,2,1,1,
1,1,1,1,1,1,1,1,1,1,0,3,-1,0,1,2,1,1,1,1,1,1,2,2,2,2,2,0,2,0,
 };
static signed short stb__arial_43_latin1_y[224]={ 34,6,6,5,3,5,5,6,5,5,5,11,30,22,
30,5,6,6,6,6,6,6,6,6,6,6,14,14,11,14,11,5,5,6,6,5,6,6,6,5,6,6,6,6,
6,6,6,5,6,5,6,5,6,6,6,6,6,6,6,6,5,6,5,39,6,13,6,13,6,13,5,13,6,6,
6,6,6,13,13,13,13,13,13,13,7,14,14,14,14,14,14,5,5,5,17,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,34,14,6,5,11,6,
5,5,6,5,5,15,14,22,5,2,5,10,6,6,6,14,6,18,33,6,5,15,5,5,5,14,-1,-1,-1,0,
0,0,6,5,-1,-1,-1,0,-1,-1,-1,0,6,0,-1,-1,-1,0,0,12,5,-1,-1,-1,0,-1,6,5,6,6,
6,6,6,5,13,13,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,12,12,6,6,6,6,6,6,6,
 };
static unsigned short stb__arial_43_latin1_w[224]={ 0,5,11,21,19,30,24,5,10,10,13,19,5,11,
5,11,19,11,19,19,20,19,19,19,19,19,5,5,19,19,19,19,36,27,22,26,24,21,19,26,22,5,16,24,
19,28,23,28,22,28,25,23,23,22,26,36,26,26,23,9,11,9,17,23,8,19,18,18,18,19,13,18,17,4,
8,18,4,28,17,19,18,18,12,17,11,17,19,28,19,19,19,11,4,12,20,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,5,18,21,19,23,
4,19,11,29,14,17,19,11,29,23,11,19,13,13,8,17,21,5,9,7,14,17,30,30,32,19,27,27,27,27,
27,27,37,26,21,21,21,21,8,8,13,11,27,23,28,28,28,28,28,17,28,22,22,22,22,26,22,21,19,19,
19,19,19,19,32,18,19,19,19,19,8,8,13,11,19,17,19,19,19,19,19,19,20,17,17,17,17,19,18,19,
 };
static unsigned short stb__arial_43_latin1_h[224]={ 0,28,11,30,35,31,30,11,38,38,13,19,10,4,
4,30,29,28,28,29,28,29,29,28,29,29,20,26,19,13,19,29,38,28,28,30,28,28,28,30,28,28,29,28,
28,28,28,30,28,32,28,30,28,29,28,28,28,28,28,36,30,36,17,3,6,22,29,22,29,22,29,30,28,28,
37,28,28,21,21,22,29,29,21,22,28,21,20,20,20,29,20,38,38,38,7,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,0,28,36,30,19,28,
38,38,5,30,15,18,13,4,30,3,12,24,15,15,6,28,36,5,9,15,16,18,31,31,31,29,35,35,35,34,
34,34,28,37,35,35,35,34,35,35,35,34,28,34,36,36,36,35,35,17,31,36,36,36,35,35,28,30,29,29,
29,29,29,30,22,29,29,29,29,29,28,28,28,28,29,28,29,29,29,29,29,17,24,29,29,29,29,37,36,37,
 };
static unsigned short stb__arial_43_latin1_s[224]={ 252,247,173,28,232,32,222,250,1,12,204,
219,185,207,201,96,81,244,1,184,44,224,1,38,61,81,124,100,41,218,21,
176,78,91,21,1,169,193,235,195,222,245,237,65,215,1,42,105,75,131,119,
50,58,101,229,1,202,175,151,232,93,242,135,219,231,202,196,222,234,19,19,
176,152,147,182,90,251,77,59,39,139,215,241,1,30,106,199,130,159,71,179,
48,60,65,201,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,252,247,1,
74,1,145,43,23,240,63,153,61,153,207,108,128,238,128,168,190,222,82,191,
247,191,182,239,79,189,1,220,1,176,204,23,79,51,23,109,155,130,1,170,
1,152,161,221,235,194,107,20,72,101,192,101,117,160,130,153,49,78,51,170,
154,21,144,217,138,197,134,169,178,158,61,164,204,66,98,107,121,41,133,41,
124,21,33,101,97,148,1,53,158,121,115,213,135, };
static unsigned short stb__arial_43_latin1_t[224]={ 1,148,427,180,40,148,148,411,1,1,411,
388,427,435,435,180,211,211,301,211,301,211,241,359,241,241,388,359,411,411,411,
241,1,271,301,180,271,301,301,148,271,271,180,301,301,330,330,148,330,113,271,
180,359,211,330,359,330,330,330,1,148,1,411,435,427,359,241,359,241,388,271,
148,301,301,1,301,271,388,388,388,241,241,359,388,330,388,388,388,388,271,388,
1,1,1,427,359,359,359,359,359,359,359,359,359,359,359,359,359,359,359,359,
359,359,359,359,359,359,359,359,359,359,359,359,359,359,359,359,359,1,77,40,
180,411,271,1,1,427,148,411,411,427,435,180,384,411,359,411,411,427,359,1,
106,427,411,388,411,113,148,113,211,40,40,77,113,113,113,301,1,77,77,77,
113,77,77,77,77,271,113,40,40,40,77,77,411,113,40,40,40,77,77,301,
148,241,211,180,180,180,148,359,180,180,211,211,211,330,330,330,330,241,330,211,
211,211,271,241,411,359,271,271,241,241,1,1,1, };
static unsigned short stb__arial_43_latin1_a[224]={ 171,171,219,342,342,548,411,118,
205,205,240,360,171,205,171,171,342,342,342,342,342,342,342,342,
342,342,171,171,360,360,360,342,625,411,411,445,445,411,376,479,
445,171,308,411,342,513,445,479,411,479,445,411,376,445,411,581,
411,411,376,171,171,171,289,342,205,342,342,308,342,342,171,342,
342,137,137,308,137,513,342,342,342,342,205,308,171,342,308,445,
308,308,308,206,160,206,360,462,462,462,462,462,462,462,462,462,
462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,
462,462,462,462,462,462,462,462,171,205,342,342,342,342,160,342,
205,454,228,342,360,205,454,340,246,338,205,205,205,355,331,171,
205,205,225,342,514,514,514,376,411,411,411,411,411,411,616,445,
411,411,411,411,171,171,171,171,445,445,479,479,479,479,479,360,
479,445,445,445,445,411,411,376,342,342,342,342,342,342,548,308,
342,342,342,342,171,171,171,171,342,342,342,342,342,342,342,338,
376,342,342,342,342,308,342,308, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_43_latin1_BITMAP_HEIGHT or STB_FONT_arial_43_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_43_latin1(stb_fontchar font[STB_FONT_arial_43_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_arial_43_latin1_BITMAP_HEIGHT][STB_FONT_arial_43_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_43_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_43_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_43_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_43_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_43_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_43_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_43_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__arial_43_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__arial_43_latin1_s[i] + stb__arial_43_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__arial_43_latin1_t[i] + stb__arial_43_latin1_h[i]) * recip_height;
            font[i].x0 = stb__arial_43_latin1_x[i];
            font[i].y0 = stb__arial_43_latin1_y[i];
            font[i].x1 = stb__arial_43_latin1_x[i] + stb__arial_43_latin1_w[i];
            font[i].y1 = stb__arial_43_latin1_y[i] + stb__arial_43_latin1_h[i];
            font[i].advance_int = (stb__arial_43_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__arial_43_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_43_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_43_latin1_s[i] + stb__arial_43_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_43_latin1_t[i] + stb__arial_43_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_43_latin1_x[i] - 0.5f;
            font[i].y0f = stb__arial_43_latin1_y[i] - 0.5f;
            font[i].x1f = stb__arial_43_latin1_x[i] + stb__arial_43_latin1_w[i] + 0.5f;
            font[i].y1f = stb__arial_43_latin1_y[i] + stb__arial_43_latin1_h[i] + 0.5f;
            font[i].advance = stb__arial_43_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_43_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_43_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_43_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_43_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_43_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_43_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_43_latin1_LINE_SPACING
#endif

