// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_20_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_20_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_20_latin1_BITMAP_WIDTH         256
#define STB_FONT_arial_bold_20_latin1_BITMAP_HEIGHT        126
#define STB_FONT_arial_bold_20_latin1_BITMAP_HEIGHT_POW2   128

#define STB_FONT_arial_bold_20_latin1_FIRST_CHAR            32
#define STB_FONT_arial_bold_20_latin1_NUM_CHARS            224

#define STB_FONT_arial_bold_20_latin1_LINE_SPACING          13

static unsigned int stb__arial_bold_20_latin1_pixels[]={
    0x00000000,0x01988000,0x00066200,0x13100066,0x80013300,0x00000099,
    0x00000000,0x7ddd7000,0x200fbbb2,0xc889d904,0x05eeeeee,0x009517b5,
    0x3fe00266,0x1fcc6f98,0x2007fd40,0x802dffeb,0xb0003fe8,0xffc800bf,
    0x1fff1003,0x2006fc80,0x32601ff9,0x77e40bef,0xfc83fb82,0x3fb2a200,
    0x7f700ace,0x3f27fd50,0x9fffb4ff,0xbfb06a80,0x7fffffcc,0xffdf06ff,
    0x1bf2007f,0x1be63fe0,0x3fd003fa,0x7ffff4c0,0x6f8804ff,0x005f8800,
    0x00ff67d4,0x402fdfec,0x3fb001fc,0x7ffffc40,0x207ffe46,0x037c43fb,
    0xdb9dfff9,0x87f703ff,0x7e43fff9,0x8013bfb4,0x6c35503c,0xffbdffff,
    0x00aa2882,0x00005f90,0x1c880fee,0x5cefff40,0xa8801ffe,0x0054c000,
    0x00d44aa0,0x0054c6a2,0x01a800d4,0x2ff8b7e4,0x3ee17fcc,0xfc81fe43,
    0x83fd301c,0x0f7dc3fb,0x04fda7e4,0x4407eaa2,0x3ffffe09,0xb9106f8c,
    0xa8007bff,0x33013101,0x3107fc41,0x7dc13301,0x827fc41f,0x03dffdc8,
    0x3dffdc88,0xdffdc880,0xd10bd903,0x2217b25d,0x10bd92ee,0x8ffe45dd,
    0xf70bfa00,0x6407fc47,0x4cc6a64f,0x0fee0fe8,0x53f20bf7,0xfff904fd,
    0x4bfb03df,0xf8cffffd,0xfffff986,0x74401eff,0x88ff905e,0x917f42ff,
    0x22ff88ff,0x201105fe,0xfffffff9,0xffff301e,0x2603dfff,0xefffffff,
    0x7c437ec1,0xf10dfb3f,0x221bf67f,0x3ffe23ff,0x2e1fec03,0x2a17ea3f,
    0x9fffd14f,0x5c5f13ff,0xc827e43f,0xf709fb4f,0xb0dffbbf,0x7fffd4bf,
    0x7fc46f8c,0x6ffeaaef,0x40fffdc0,0x1fee2ff9,0x2ff993f2,0x09ff1fee,
    0xaefff880,0xf886ffea,0xffeaaeff,0xaefff886,0x7ec6ffea,0xfb3ff886,
    0x367ff10d,0x23ff886f,0x01effffc,0x23fb87fb,0x3a6c84fb,0x27ffb9df,
    0xf90fee4e,0x7ed3f209,0xd7d5ff84,0x225fd819,0x6f8cfffc,0x7d417fe4,
    0x3fffa04f,0x7ec9fd04,0x7f45fb84,0xff893f64,0x17fe4003,0x3f227fd4,
    0x44ffa82f,0xffa82ffc,0x3e21bf64,0xf10dfb3f,0x221bf67f,0x91df33ff,
    0xdf703fff,0x0ff62ea8,0x3a37cd3a,0x3fb9b66f,0x7e40ffa2,0xff889fb4,
    0x2fec078a,0x46f8cfd8,0x1bfa05fe,0x07feffcc,0x1ff8bfdc,0xbfdc6fa8,
    0x27fc1ff8,0xe817fa00,0xd02ff46f,0x205fe8df,0x21bf66fe,0x0dfb3ff8,
    0x1bf67ff1,0x7fd4ffe2,0xf10fff50,0x17f403ff,0x217e4fe2,0xfb9ba4fd,
    0x201dfd53,0x989fb4fc,0x6c05aaff,0xf19f905f,0x3204ff8d,0xf1df907f,
    0x75ff107f,0x11fea0df,0xd0df75ff,0xf02ae0bf,0x23fe409f,0x1ff204ff,
    0x3fe409ff,0x7ff10dfb,0x3fe21bf6,0xff10dfb3,0xf997fe27,0x02ffb81f,
    0x23f507fe,0x897f41fe,0x7dcfee4f,0x6d3f202f,0x3dcff84f,0x05fd8157,
    0x44df19f9,0x3fee03ff,0xfe9ffc40,0x7fb9fb06,0x3f61bea0,0xffc83fdc,
    0xf12ffc40,0x87fdc07f,0x3ee03ff8,0x407ff10f,0x0dfb0ffb,0x1bf67ff1,
    0x37ecffe2,0xffb1ffc4,0xf303fe3d,0xe82621bf,0x7c4fcc2f,0x643fe60f,
    0x6ccfee1f,0x29f900ff,0xfefd84fd,0x7ec0ffb8,0xdf19f905,0xf9027fc4,
    0x70ffb81f,0xfff503ff,0x217ee01f,0x880ffffa,0xfd98bfff,0x813fe20f,
    0x9ff10ffc,0xf887fe40,0x43ff204f,0x3ff886fd,0x7ff10dfb,0x3fe21bf6,
    0x7efffe43,0x7dc5fc85,0x53e0ff63,0x5dff62fd,0x3a1fdc4f,0x369f903f,
    0xefff984f,0x05fd83ff,0xf8df19f9,0x21ff605f,0x13fe25fe,0xf9037ffc,
    0x81bffe07,0xfffffffa,0x3605ff83,0xb02ffc7f,0x205ff8ff,0x21ff27fd,
    0x0ff92ff8,0x1ff25ff1,0x3ea0bfe2,0x87fb07ff,0x213f23fb,0xfdbff56d,
    0xf709fdff,0xf904fc87,0x7cc13f69,0xbfb03eff,0x1be33f20,0xff303ffb,
    0xfffff98b,0xfc80ffff,0x407fa03f,0x6cc03ffc,0xfb02dfff,0x8bff303f,
    0xff981ffd,0x4c0ffec5,0x03fee5ff,0x3fee5ff3,0xfb97fcc0,0x817fcc0f,
    0xfd83ffd8,0xdf51fdc3,0x3b665f70,0x312dfe9b,0xbf90fee1,0x27ed3f20,
    0xfe8015f0,0xdf19f904,0x99cfff88,0x7e40fffc,0xffffffff,0x100ffc83,
    0x07fe40df,0x200cfd80,0xc99cfff8,0x7fc40fff,0xfffc99cf,0x4e7ffc40,
    0x2a0fffc9,0xffd31dff,0x4c77fea1,0xbff50ffe,0xa83ffa63,0x3a17fa2c,
    0x3a1fdc2f,0x01ff440f,0x0fee5fa8,0xfda98bf7,0x9835bfb4,0x1ffe4c06,
    0x86f8cfc8,0xfffffffa,0xd04ff82f,0x2ffdccdf,0xf7305f50,0x7c4400bf,
    0x7fffd404,0xf502ffff,0x5fffffff,0x3ffffea0,0xffd82fff,0x6c4fffff,
    0x4fffffff,0x7fffffec,0x4d7fdc4f,0x3fee63fe,0x3ee1fdc2,0x1adff982,
    0x2e2fed44,0x8dffdc3f,0xffb4fffc,0x6404b89f,0x9f901fff,0x3f620df1,
    0xfa80dfff,0x33ff701f,0x7401ffff,0x0ffff986,0x07f95500,0xbffffb10,
    0xfffd8801,0x7ec400df,0x3200dfff,0x903fffff,0x207fffff,0x03fffffc,
    0xc8ffffff,0x83fb87ff,0xfff9106e,0x09ffffdf,0xfff887f7,0x2a599953,
    0x004c2ccc,0xca80736e,0x08803c8a,0xf1037ec0,0x8033729f,0x19b902e8,
    0x00de6400,0x88000440,0x00110000,0x00180030,0x2cc9800c,0xea80bdb8,
    0x4400ea82,0x00accdba,0x5b9105d5,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0004cc00,0x33100131,0x00998001,0x04cc0198,0x01cb9654,
    0x03ec8131,0x07934c80,0x44019880,0x89cc8809,0x952c980d,0x3000b203,
    0x2e000000,0x32e0391d,0x65404c88,0x00001971,0x01ff9800,0x200dff30,
    0x3ee004fd,0x1ffe400e,0x9f70ff70,0x3fa20bf6,0x0013f61f,0x017eaff1,
    0x7c409fb0,0xffeec81f,0x3f2bf506,0x067fe443,0x7002ef40,0xa807bffb,
    0xd00fffef,0xc80ff13f,0x2203fd3f,0x07e81cfc,0xd000fec0,0xd1009f7f,
    0x03be001f,0x03fd9f50,0x46a617dc,0xfbfd80a9,0x20013f66,0x4005512a,
    0x17e405f9,0x201510a8,0x4c3531a8,0x00ffffff,0x74c03526,0x1effffff,
    0x802a2330,0x980550aa,0x3201550a,0x1fcc6ebf,0x88006a00,0x2200551a,
    0x00a8800a,0x803512a8,0xd10bd91a,0x54caa25d,0x00aa9fb0,0x0f7ff722,
    0x1a802980,0x402f7440,0xdcfc84ec,0x3e203ffc,0x7ffc406f,0x0fffeaae,
    0x3b6037ae,0xdddddd92,0x774409dd,0x0fcb7c05,0xdd1001fa,0x2f74400b,
    0xdddddd90,0x777649dd,0x324eeeee,0xeeeeeeee,0xdfb4ec84,0xec87ff10,
    0x7ff6fec4,0xffff303f,0xd903dfff,0x49dd303d,0x3fee04ec,0x437ec01f,
    0x099bd9ff,0x807ffee0,0xffa82ffc,0x3a13ff24,0xfffffb3f,0x7dc0bfff,
    0x2bf101ff,0x007f52fc,0x001fffb8,0x3603fff7,0xffffffff,0x3fffff65,
    0x3ff65fff,0x85ffffff,0x10dfb6fd,0x46fd87ff,0xffdbfffd,0x577ffc43,
    0xf986ffea,0x20ffd85f,0x3ffa06fd,0x437ec04f,0xd003ddfd,0x7f409fff,
    0xfc9bfa05,0xd9ff41ff,0xaaaaaaff,0x13fffa02,0x3a1fb6e8,0xfffe8007,
    0x9fffd004,0x2aabff60,0x3ff62aaa,0x22aaaaaa,0xaaaaaffd,0xfb6fd82a,
    0xd87ff10d,0xb07fec6f,0x82ffc8ff,0xffc84ffa,0xfb0ffea2,0x3f7fe60d,
    0x21bf600f,0x400dfffa,0x00ffdff9,0x3fe409ff,0xfe8dfff9,0x3000dfb3,
    0x201ffbff,0x7f55fefc,0xfdff9800,0x6ffcc00f,0x06fd80ff,0x3600dfb0,
    0xb7ec006f,0x3ff886fd,0x1bf637ec,0x2ff41ff7,0x3fa0dfd0,0x3f61bfa6,
    0xff1df906,0xa837ec07,0x900cffff,0x107ff1df,0x7fdc07ff,0x47ffff90,
    0x00dfb3fe,0x7ff1df90,0x8fd164c0,0xf8efc800,0x477e403f,0x06fd83ff,
    0x3600dfb0,0xb7ec006f,0x3ff886fd,0x17f637ec,0x27fc3ff3,0x3e60ff90,
    0xd81ffbcf,0xd3ff886f,0x037ec0df,0x2213fffa,0x10dfd3ff,0x3fe407ff,
    0x21ffbbf9,0xddffb3fe,0xf103dddd,0x801bfa7f,0x1bff73fa,0x7f4ffe20,
    0x74ffe206,0xeeffd86f,0x3f61eeee,0x1eeeeeef,0x3bbbbff6,0xb6fd81ee,
    0x87ff10df,0x23fec6fd,0x7ff10ffb,0xd807fdc0,0xfb04ffff,0x2e1ff70d,
    0x0dfb01ff,0xb87fbbd8,0x03ff70ff,0x3f608bff,0x3fe37f26,0x3ff67fd5,
    0x82ffffff,0x3ff70ffb,0x6fc5fa00,0x1ff704fa,0x7dc07fee,0xd83ff70f,
    0xffffffff,0x3fffff62,0x3ff62fff,0x82ffffff,0x10dfb6fd,0x46fd87ff,
    0xdfd13ffd,0xf9027fc4,0x3ffe201f,0xd0dfb00e,0x827fc4bf,0x46ec46fd,
    0xfe87f8bd,0x3613fe25,0xf59f50ff,0xfbafe4bf,0xffb3fe9f,0x01555555,
    0x27fc4bfd,0x3fa9fd40,0x897fa0df,0x4bfd04ff,0x7fec4ff8,0x20aaaaaa,
    0xaaaaaffd,0x2abff60a,0xfd80aaaa,0xff10ff96,0x7ec6fd85,0x42fffeff,
    0x1ff605ff,0x6c05ff70,0x7fffcc6f,0xd80fffff,0xbdcfe86f,0x7ffcc5fb,
    0x40ffffff,0xfc9cfff8,0x97f20fff,0xfb3ffefe,0x7ffcc00d,0x00ffffff,
    0x3e5f73f4,0xfffff987,0x7cc0ffff,0xffffffff,0x6c01bf60,0x0dfb006f,
    0xff76fd80,0x6c2ff981,0x7defec6f,0x1ffd81df,0x5405ff98,0x1bf601ff,
    0xfffffff9,0x0dfb07ff,0x3ffffff7,0xffffffc8,0xffb83fff,0x0effffff,
    0xfff997f2,0x400dfb3f,0xfffffffc,0x8fea03ff,0xc84f8cf8,0xffffffff,
    0x7fffe43f,0x363fffff,0x0dfb006f,0xb001bf60,0x477feadf,0x7ec0ffe9,
    0x40127ec6,0xc99cfff8,0x7d400fff,0xf1bf601f,0x21bfa09f,0xffd506fd,
    0x209ff01b,0xffb106fe,0x25fffbff,0x7ffe45fc,0x3333dfb3,0x04ff8333,
    0x43f40dfd,0xff82fffd,0xff8dfd04,0x7ecdfd04,0x1999999e,0x26667bf6,
    0x27bf6199,0xd8199999,0x3ffff66f,0x6fd84fff,0xf50027ec,0x5fffffff,
    0x403ff500,0x07fea6fd,0x3f60ffdc,0xfa826c06,0x03ff701f,0x43f62088,
    0x7ffc45fc,0xffffffb3,0x0ffd4fff,0xa881ffb8,0x3ea05301,0x23ff701f,
    0xff701ffa,0x3fffff63,0x3ff67fff,0x27ffffff,0xfffffffd,0x646fd87f,
    0xb03fffff,0x004fd8df,0x6ffffec4,0x03ff5000,0x0dfb37ec,0x3f627fc4,
    0xfd816406,0x013fe206,0x50bf9040,0x3fff67ff,0x367fffff,0x13fe206f,
    0x0dfb0000,0x6fda7fc4,0x7ed3fe20,0x7fffffff,0x3ffffff6,0x3fff67ff,
    0xd87fffff,0x3600606f,0x00165c6f,0xf5000110,0x037ec03f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x10000000,0x00000000,
    0x00000000,0x00000000,0x00006600,0x00000000,0x00000000,0x00000000,
    0xb8000000,0xfc8beffe,0x1fd0fd80,0x7402fec0,0x03ff304f,0xb807fe60,
    0x3fe203ff,0x017f600e,0x81fe23fe,0x9f702dda,0xdd930bf6,0xda7dc039,
    0x3ffa202f,0x37cdfe00,0x5000ffa8,0x7fe403ff,0x4017f602,0xbffd706f,
    0x2601ba05,0xfffffffe,0x3e2ff04f,0x2017e607,0x2fd405f9,0x2602fd80,
    0xfb01fedf,0x1fd809f9,0x3fc47fc0,0x2e095590,0x7c45fb4f,0x700fffff,
    0xd80bf69f,0x5fe05fcf,0x13ea06f9,0xf300ff40,0x7f401fdb,0x2627cc01,
    0x4ffffffe,0x3e200fc8,0xffdaaeff,0xf35f880f,0x4006540b,0x0095004a,
    0x8cb80591,0x72c983c8,0x002c8019,0x006ec400,0xf11ff700,0x2200007f,
    0x0001952c,0x64402540,0x64465c01,0x700b2202,0x9dffe85f,0x7d41ffeb,
    0x30bff202,0x6e5c7fff,0x03efdcef,0x13101553,0xaa880988,0x26aa2009,
    0x026aa200,0x00988131,0xa8801553,0x2aa2009a,0x2204c409,0x3e2bf909,
    0x0554c02f,0x200554c0,0x54c00aa9,0x0554c00a,0x2202aa60,0x6c04c409,
    0x107fee0f,0x04f889ff,0xddf317fa,0x7ffff4df,0x7d45ffff,0x7ec2ffff,
    0xfd127ec5,0xe881dfff,0x440effff,0x20effffe,0x227ec5fd,0x82fffffa,
    0x0effffe8,0x77ffff44,0x9fb17f60,0x03fdd7f6,0x05fffff5,0x0bffffea,
    0x0fffff62,0x0fffff62,0x0fffff62,0x0fffff62,0x84fd8bfb,0x882ff46f,
    0x7fc0df00,0x3f23fe24,0x2affaaa7,0x3fea1bff,0x362fffcf,0xfb27ec5f,
    0xd89ff97d,0x44ffcbef,0x4ffcbefd,0x49fb17f6,0xfffcfffa,0x7e5f7ec2,
    0x65f7ec4f,0xb17f64ff,0x7f53f69f,0xf9fff504,0xfffa85ff,0x7e42fffc,
    0x642ffccf,0x42ffccff,0x2ffccffc,0x7fe67fe4,0x9fb17f62,0x27fc4f88,
    0x4c07ec00,0x23fd13ff,0x8bfc0ffb,0x746fe86f,0xfb17f66f,0xbf905cc9,
    0x17f20b98,0xb2fe4173,0x3a4fd8bf,0x2637f46f,0x7317f20b,0xbfb2fe41,
    0x29fb4fd8,0x6fe80eff,0x1bfa37f4,0x1ffc4dfd,0x1ffc4df9,0x1ffc4df9,
    0x1ffc4df9,0x22fecdf9,0x117d44fd,0xf70007ff,0x3a9ff105,0x443ff22f,
    0x9dfa9efa,0xfb87ff10,0xfd8bfb0f,0x6ffec984,0x0dffd930,0xd9bffb26,
    0xf8a7ec5f,0x407fdc3f,0x306ffec9,0x7ecdffd9,0x4fda7ec5,0xff88dff5,
    0xf887fdc3,0x987fdc3f,0x7fcaabff,0x32aaffe6,0x2affe67f,0x3fe67fca,
    0x367fcaab,0x3227ec5f,0x0027fc0f,0xdff827cc,0xd37ec3fd,0xffffffff,
    0xf50bfe6b,0xfd17f63f,0x76fffd49,0x6fffd46f,0x7ffd46fe,0x17f66fed,
    0x0bfe69fd,0x7fd43ff5,0x7d46fedf,0x366fedff,0xfda7f45f,0xf993fee4,
    0x98ffd42f,0x8ffd42ff,0xfffffffa,0xfffff50f,0x3fea1fff,0x50ffffff,
    0xffffffff,0x9fd17f61,0x05fe87e8,0x41be0157,0x7cc3fffc,0x3bbff25f,
    0x3fe4eeff,0xfd87fe44,0xff8a7f45,0x7c4df90c,0x44df90cf,0x4df90cff,
    0xf27f45fd,0x10ffc89f,0x9bf219ff,0xdf90cff8,0x53fa2fec,0x07fe44fd,
    0x0ffc89ff,0x1ff913fe,0xf1007fe2,0x1ff8803f,0x200ffc40,0x127f45fd,
    0x81ff90bf,0x1fb05ff8,0x115fff10,0xfd81fff9,0xdfb01fd0,0xfc97fa63,
    0x7cd3fe66,0xf99bfa1f,0xf99bfa1f,0xfc9bfa1f,0xfd93fe66,0x4cbfd31e,
    0x99bfa1ff,0xc9bfa1ff,0x6d3fe66f,0x1ff3114f,0xfe98f7ec,0xe98f7ec5,
    0xd927f45f,0x3b24fe89,0x9d927f44,0x93b24fe8,0x93fe66fc,0xfff883fa,
    0x00ffd98b,0xfff703f7,0x05ffffff,0x441be2ff,0x0fffefff,0x3bf7bfea,
    0x3b3bfa4f,0x677f46ff,0x77f46ffe,0x3ea6ffec,0x24fefdef,0xfffefff8,
    0x7f677f40,0x7677f46f,0x3bfea6ff,0x9fb4fefd,0x88bffff3,0x0fffefff,
    0x7ff7ffc4,0x6f7fdc0f,0x77fdc2ff,0x7fdc2ffd,0x7dc2ffde,0x2a2ffdef,
    0x4fefdeff,0x7fd407f2,0x203fffff,0x4f7cc3f9,0x80dffffd,0x40bf35f8,
    0x80dfffd8,0x4fcafffc,0x3eb7ff6a,0x37ff6a0f,0x3f6a0ffa,0x320ffadf,
    0x44fcafff,0x80dfffd8,0xffadffda,0x2b7ff6a0,0x3fff20ff,0x29fb4fca,
    0xd881dffc,0xb100dfff,0x2e01bfff,0xf703efff,0x3ee07dff,0xff703eff,
    0xfff907df,0x03f49f95,0x0b7fff66,0x102a17e0,0x26213001,0x02003000,
    0x00100040,0x80010004,0x04001001,0x01000100,0x00300060,0x00880044,
    0x02200110,0x00130020,0x0062000c,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0x8803ddc8,0x67644009,0x99813301,0x5c0b7ae0,
    0x33332a06,0x14c2623c,0x005eed40,0x0b76a203,0x0bb02fa8,0x2602dda8,
    0x200599bd,0x03effec8,0x005f764c,0x1defedb8,0x677edcc0,0xffdc8802,
    0x7f64403d,0x7edcc01c,0x7ff402ce,0x27ec05ff,0xbfffff30,0x2ff85ff0,
    0x881fb7f5,0x3fffa02f,0x3b3f66ff,0xff903fff,0x6d881fff,0x6fffff88,
    0x4c17fec4,0xffff300f,0x3fbba09f,0x225fd85f,0x4ffffffe,0x1bfbbfe0,
    0x3fffff60,0x7bf501ff,0x4c09fb75,0xefffffff,0xffffe881,0x37bf501f,
    0x3ee09fb7,0x201ffbaf,0x3bf604fd,0x7fc1ffb9,0x3a617fc2,0x7fc05c86,
    0x3f63cccd,0x43ffecff,0x4fe9cffa,0x77dc37e4,0x3662ff99,0x204e82fb,
    0x1ffc9dfd,0x6c0530a8,0x337ff91f,0xdf701ffb,0xffb017f4,0x0dff737d,
    0x13e605f5,0x2abbffe2,0xefc86ffe,0xfa85fd88,0xfd09f302,0x3102ff49,
    0xff0ee401,0x7fc2ff87,0xf1077642,0x203fcc03,0x1ff60ffd,0x115ccbfb,
    0x7f413dfb,0x3ea13f23,0xf8807d42,0x4417fe1f,0x4b2009aa,0x177c45fd,
    0x7fc4ffd4,0x507ff502,0x997cc5ff,0x87f33efd,0xffa82ffc,0x59327f44,
    0xeffaaf98,0xff87f32e,0xfc81bf23,0x07fea004,0x12ff85ff,0x04d8fe65,
    0x405d7fd4,0x07fdc6fd,0x7ec067ff,0x57f23fff,0x2fa83fe8,0x8ff501f4,
    0x7ff446fd,0x09880eff,0x20039ff7,0x05feeff8,0xb8081bf2,0x3f73bf16,
    0x40bfd172,0x027ec6fe,0xc99fab5c,0x7fc4b91f,0xfe81fee2,0x07ffd003,
    0x97fc47ff,0xf30fddf9,0xffffc801,0x317f60df,0x33fe23ff,0x7f5c3efe,
    0x3ff622cf,0x45f504ff,0x0ffc406b,0xbefd8ffd,0x5fd84ffc,0x073ffffe,
    0x809fff70,0x9ec004fe,0x3cc260fa,0x7fc813fe,0x06abbf6a,0x3ea7a9ec,
    0x17fccf31,0x3ff60ff7,0x07fff001,0x17fcc9ff,0x21f43993,0x667fec08,
    0x71ff64ff,0x3ffe61ff,0x7e43ffce,0x7ffff906,0x17c47260,0x73bfb022,
    0x05cc1fff,0x4bfb0bf9,0x5fffffc9,0x09ffff70,0x3b21ffc4,0x647e4eee,
    0x7c47e207,0x43fee03f,0x04fffffe,0x3fbbea5f,0x2ff88fc4,0x3ff61ff2,
    0x3fa62001,0xfc877fc4,0x2635402f,0xf704c46f,0xe89ffecf,0xb9bfe26f,
    0x6c37e46f,0x04feaaef,0x237cc5c8,0x7fefffe9,0x0dffd930,0xfb710bfb,
    0xbffb89ff,0x43fdaffd,0x7ffec4ff,0x07d4fa6f,0xff887cc3,0x5c3ff204,
    0xd02cdffc,0x83b6bea7,0x45ff10f9,0x17fe46fc,0x7c7fb800,0x2fffefff,
    0xdfd117c0,0x363ff300,0x2fffefff,0x1ff327fc,0x17fc37e4,0x1f980ff7,
    0x5d41bfa2,0x7fd47fb8,0xfd86fedf,0x7440a98d,0xfd27f46f,0x6fd85fff,
    0x937f4cc4,0x72fa9fcb,0x3605ff8d,0x00ffc47f,0x5e8bd572,0x6c7ff1ae,
    0x221ffc5f,0xb832e209,0x7fe7fc7f,0x1ae02fec,0x1ba8dbbb,0x6fec3fea,
    0xff81dffb,0xfc83fe65,0xf50ffcc6,0x6ec4d80f,0x2fec186d,0x3f219ff1,
    0xff8dfd86,0x3e27fc84,0x1bffe22f,0x7ec0bfee,0x7f547ea6,0xfd87d14f,
    0x45ff981f,0x9fa806fb,0x3a2bea7a,0xff8b7e43,0x3f21ff43,0xfe8a7f46,
    0x00097fc4,0x74fe43f1,0xfd97f60e,0x20093f66,0x8bf91ffc,0x24ff86fc,
    0x83e604fd,0x3a0ed9fc,0x4c5ff33f,0x21bfa1ff,0x15ffd5fd,0xfe8bff51,
    0x5fffd10d,0x31dffe88,0x1fc8dffb,0x20774426,0xc99cfff8,0x3fea0fff,
    0xc82889ac,0x774cc19f,0x7ffffcc0,0xc9bffa87,0x7ffd43ff,0x17fc0fff,
    0xffd17200,0x7ffccbff,0x13f62fff,0x7ffffc40,0x277fdc2f,0x3ffffff7,
    0x3ffa1f40,0x3bfee5ff,0xcefe86ff,0x5fd86ffe,0xfffffff3,0xefffa83f,
    0x42ffffff,0xffffffe8,0x1cfc82ff,0x2a01dd73,0xffffffff,0x7ffffec2,
    0xbfc80fff,0x201dd731,0xb01effe9,0x209fffff,0xf81cffda,0x03e6002f,
    0xffda86d8,0x0027ec2e,0x103bffd1,0xfdb89ffd,0x01aa01df,0x9fff90db,
    0x2b7ff6a0,0x32fec0ff,0x01bffffd,0x27bfffea,0xfb7105e9,0x5c019dff,
    0x00befffd,0x6ffffec4,0xedbdf980,0xfb702fff,0x10017dff,0x06f2a001,
    0x03990020,0x0a600cc0,0x05970088,0x11001100,0x0d400440,0x00180a60,
    0x417f6001,0x40620009,0x20003000,0x01100009,0x40031010,0x00000009,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40554400,0x6dc003ec,0x04c42c8a,0x643304cc,0x02ee885e,0x3ae00000,
    0x5f500c8d,0x46a01760,0x17740098,0x9889a800,0x984eb800,0x2600ceec,
    0xbd90cc6e,0x17ba2000,0xca764000,0x2deeeeee,0x29d94ec8,0x3ff21eea,
    0x13fa0eff,0xfffef980,0x3e23fe41,0x363ff32f,0x23ff886f,0x7ff444fe,
    0x1fe57ea0,0xd883ffc8,0x00f982ff,0x3f3bffee,0x2a1ffc05,0x7fdc2efe,
    0xc806fbef,0x7ffff45f,0x7fe880ff,0x37ec3fe6,0x1fffb800,0xfb07f980,
    0x3fffff6d,0xafec4fff,0x23ff55fd,0x5febdffb,0x198013fa,0x5ff30351,
    0x3ff33fdc,0x3fe21bf6,0x9fb09f53,0xfcafd4bf,0x85fcec83,0x4e82fbd9,
    0x3ef7ff20,0x1ffc05ff,0x5c3ffff1,0x6fffbeff,0x3ea5fc80,0x987fd32f,
    0x3fe67ffe,0x5555ffb0,0x9fffd001,0x360ff300,0x555ffb6f,0x7ec1ffd5,
    0x3fea3535,0x674cbff1,0x00a29fd0,0xfe80554c,0x43313f64,0x3ff886fd,
    0x2a591077,0x8898000c,0x85f503fd,0x97fe00fa,0x7fc05ff8,0x3e03fea3,
    0x41bfe26f,0x7ecbf90a,0xff73fd43,0x36198fff,0x3fffffff,0x3ff7fe60,
    0xd83fcc00,0xf30dfb6f,0x98afec5f,0xff13ff50,0xfcdfe807,0xfff503ff,
    0x2ff705ff,0xb2ec1ff8,0x27ff10df,0x01310098,0x7ecc0262,0xfa80ffff,
    0xff101f42,0x7c05fe87,0x13ff713f,0x3f61ffc4,0x6e7ffe46,0x26fc805f,
    0x407faaec,0xffeeeffd,0xf1df903f,0xfddd707f,0x3f65dddf,0xff50dfb6,
    0x5fdafec1,0x5ff31ff3,0xdbfffe80,0x7ffd44ff,0x7c42fffc,0x6d86fbaf,
    0x3fe21bf6,0x3f60bfb3,0xf30bfb05,0x09fffbff,0x2035c5f5,0x2fec2ff9,
    0x7fecffe0,0x0bfe26ff,0x6ffe4df9,0x6405fffb,0x7fa862ff,0x3a237ec0,
    0xd3ff886f,0xffff90df,0x3f65ffff,0xddddffb6,0xb5fd85ff,0x7c5fe2bf,
    0xfe855c4f,0xfd1ff60f,0xfd86fe8d,0x27e83fdc,0x3ff886fd,0x17f60bfb,
    0x77f42fec,0x930dfd10,0x8088be23,0x02ffc4ff,0x7fedcffe,0x3a27fc3c,
    0xf897fe6f,0x0fff205f,0x7ec07fa8,0xfb87fc86,0xa83ff70f,0xcccffdcc,
    0x3ff6dfb1,0x41efffff,0x7cbfb5fd,0x7d43bfa7,0xfb8dfd0f,0xb87ff10f,
    0x7ffd40ff,0x3f67f80f,0xfb3ff886,0x6c17f60b,0x227fc45f,0xae400ffc,
    0x7e45ffd8,0x05ffc8ae,0x0ff51ffc,0x7fd43bfa,0xfe87ff16,0x807ff305,
    0xd8aa27fa,0xe86fe86f,0x813fe25f,0x2dfb07f9,0xdcaaaffd,0x6d7f62ff,
    0xff99be5f,0x3fa4ffef,0xf98ffd45,0x40ffd42f,0xff886fff,0xff10ff90,
    0x7ec17f65,0xf98bfb05,0x00ffd42f,0x2a7ea3f3,0x3fffe62f,0x88225fef,
    0x41fea3ff,0xfffefff9,0xfd83ff36,0x500bf705,0xd87fccff,0xffecccff,
    0x7ffffcc4,0xf300ffff,0x7edbf60f,0x7ecbfd06,0x22f4bfb5,0x20beffe9,
    0x07fe46fe,0x0ffc89ff,0xf883ffc8,0x981ff71f,0x20bfb2ff,0x8bfb05fd,
    0x3fe44ff8,0x0fe41360,0x3f277f66,0x7fccdf95,0xd981fea2,0xf16fcbff,
    0x505ff87f,0x4ff50059,0xfffb0ff9,0xf90bffff,0xffffffff,0x6c1ba207,
    0x360dfb6f,0x7ed7f67f,0x3ba20ae5,0xd13ffe83,0x31efd8df,0x3ff20bfd,
    0xf52ff980,0x3ffa63bf,0x3f60bfb0,0xfd0bfb05,0x817fe63d,0x43fd80f9,
    0xba7ec09a,0x1ffc8bff,0xc8201fea,0x547bfa6f,0x055305ff,0x2798ff50,
    0x1acccffd,0x3fa09ff0,0x26666626,0x2dfb0999,0xb9999efd,0x6d7f65ff,
    0x0815515f,0xfffe85f5,0x7c42fffe,0x40fffeff,0xf305ffb9,0x7fffec5f,
    0x17f64fff,0x5fd82fec,0xffefff98,0x360fa00f,0x9affc82f,0xfff13ffa,
    0x7fa89fff,0xf537e400,0x0bfffdff,0x3ea017f2,0x6fd93a27,0x203ff500,
    0xfff91ffb,0x365fffff,0xfffffb6f,0x7ec3ffff,0x3fe6bfb5,0x03f6ea20,
    0x39ff77fd,0x37fff620,0x07fffcc0,0x7e42ff98,0x7ec3ffff,0x360bfb05,
    0xfffd105f,0x5c35401b,0x3e23ffff,0x4c6fffff,0xfa84effc,0x237e4007,
    0x5fbbffd9,0xf500bf90,0x1bf61ccf,0xf1037ec0,0x3ffff29f,0xdfb2ffff,
    0x3ffffff6,0xdafec1df,0x441ff35f,0x01000acc,0x337200c0,0x80732200,
    0x6c17f601,0x00bfb05f,0x2a06a003,0x6441aaaa,0x00403cdc,0xca800ff5,
    0x00000103,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x76c00000,0xeeeeeeee,0x7777744e,0x3b21eeee,
    0x34ee981e,0x3dd907dd,0xddd113b2,0x3b64ec81,0x7653b605,0x915b7003,
    0x88027645,0x5ec82dda,0x0bd73ed8,0x3223bdb3,0x0ccccccc,0xdd900bd7,
    0x49dddddd,0x74c1eeec,0x01bd73ee,0xeeec85db,0xdd903cee,0xd707bddd,
    0x1ddddddd,0x7ffffd40,0x45ffffff,0xffffffff,0x217fe62f,0x3ff60ffd,
    0xfc97fe61,0x217ffd47,0x07fee4ff,0x27ecffe6,0x7fff7d40,0x26017f60,
    0x20ffffff,0x3fee2ffa,0xfe88ff91,0x3fffe62f,0xff90ffff,0xfffffb00,
    0x7fecbfff,0xa7ffe43f,0x3fe84ffc,0x7fffffec,0x7ffec1ef,0x321effff,
    0xffffffff,0x3e77fa00,0x2aaaaadf,0x7e555554,0x17fe40ff,0xff887ff5,
    0xfa83ffa6,0x93fff21f,0x3fe22ff9,0xfb0ffc84,0x2a233009,0x7402fec1,
    0x43ffaaef,0xc97fa5fe,0x0bffa27f,0xfd999991,0x6c03fe4d,0xaaaaaaff,
    0xd17fff62,0x3ff29fff,0x361ff41f,0xffcaaaff,0x5557fec6,0x3ff24ffd,
    0x202aaaaa,0x3ff89ff9,0x3ffd1000,0x6fe9bfa0,0xff77ff70,0x3a2ff885,
    0x3fee6fef,0x7f437f40,0x99893f65,0x0aa61310,0x106a6bfb,0x23fdc5ff,
    0x1ffa9ffa,0x7ff45ff2,0x43ff1003,0x6fd807fc,0x4ffdfb00,0xf94feff8,
    0x43fe8dff,0x3ffa86fd,0x9ff61bf6,0xfd8006fc,0x0007ff16,0xf980fff6,
    0x201ffbcf,0xf05ffffd,0x3ebfe29f,0xf70df90f,0xb17fcc3f,0xd97fe69f,
    0x0efffdcf,0xdfffbbfb,0x437e4081,0x645fecfe,0x007ffb7f,0x1ff21fec,
    0x6c01bf60,0xdf51ffdf,0x3fff29fb,0xfb0ffa3f,0xfd97fa0d,0x3f27fc86,
    0x97fcc006,0xeeeeeff8,0x13ff201e,0x13ffff60,0x01ffff10,0xfb7d5bf6,
    0xf109fd2f,0x363fe49f,0x20efe8cf,0xffdbeffd,0xf97dffb3,0x27fc407f,
    0x5ffff931,0x3f7ff213,0xdf3000ff,0xfb00ff90,0x3ddddddf,0xc9fee7ec,
    0xbf94fdcf,0x8ffa1ffb,0x2099efd9,0x89bf66fd,0x3ff26ffa,0xb00ccccc,
    0x7fffc4df,0xf501ffff,0x3fe200df,0xffe800ef,0x363fee05,0xff19fb4f,
    0xfe9ff605,0x77f6fec4,0xfd07fec0,0xfe83ff69,0x41ffd104,0xfffffffc,
    0xfffff93f,0x0ff6009f,0x3f601ff2,0x2fffffff,0x75bef3f6,0xbf94fdaf,
    0x8ffabff1,0x24ffffff,0x3fff67fc,0x322fffff,0x1fffffff,0x999cff88,
    0xaaaaadff,0x00fff980,0x200bfee0,0x301ffffa,0x2e5ff3ff,0x500ff9ef,
    0x85ff33ff,0xd84ffffd,0xfdafec6f,0x7442fec6,0x6e6541ff,0xf91cccff,
    0x05ff97ff,0xfc80ffa8,0xaaffd807,0x3f60aaaa,0x8ff9ff8c,0x2ebf94fd,
    0x2a3fe9ff,0x361aaffe,0x3ffff67f,0x7fe42eff,0xc80ccccc,0xffffffff,
    0x3fff1003,0x01ffa800,0x37ffffc4,0x21ffbff0,0x206fcff9,0x87fbcff8,
    0x41fffffd,0xdafec5fd,0x222fec5f,0xaa981ffe,0x90aabffc,0x1bfe27ff,
    0x3f209f90,0x006fd807,0x3f7fe9fb,0x97f29fb6,0x6c3ffefe,0x6cbff06f,
    0x320099ef,0xfff1006f,0x07ffffff,0x000bffa0,0xfb007fea,0x209ff75f,
    0x7f46fffd,0x7fec04ff,0x9ffd84fe,0x22fec5fe,0xd8bfb5fd,0x80fff45f,
    0xfffffffc,0xfb8ff93f,0x40bfa04f,0x6fd807fc,0x3f69fb00,0x329fb4ff,
    0x3fffe65f,0x7cc37ec3,0x401bf64f,0xff9006fc,0x99cff883,0x3ff21999,
    0x0999999d,0xa807fea0,0x07ff65ff,0xf913ffee,0xffa805ff,0x34fd81ff,
    0x22fec5ff,0xd8bfb5fd,0x26fff25f,0x3732a199,0xf91cccff,0x203ffd0f,
    0x3ff901ff,0x36133333,0x999999ef,0x7fdd3f61,0x3f29fb2f,0x21fffe45,
    0xfa999efd,0x01bf60ff,0x7c4037e4,0xffff885f,0x3fa7ffff,0xffffffff,
    0x407fea04,0x3e20fff8,0x2fff986f,0x4007ffd4,0x9fb06fff,0x8bfb37ec,
    0xd8bfb5fd,0x3ffffe5f,0x1ff307ff,0xff50ff90,0x640ff30d,0xffffffff,
    0xffffffb2,0x8a7ecfff,0x29fb0fff,0x7ffc45fc,0x7ffffec3,0x37ec2fff,
    0xb806fc80,0xfff882ff,0x3a7fffff,0xffffffff,0x07fea04f,0x7dc1ffe4,
    0x40fff84f,0xf9007ff8,0x893f607f,0xd8bfb3ff,0xfd8bfb5f,0xffffff55,
    0x03fe60ff,0x7fec1ff2,0xf903fd44,0x5fffffff,0x3ffffff6,0xf93f67ff,
    0x7e53f66f,0x6c3ffa85,0x0defffff,0xf9006fd8,0x0000000d,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2e2f5400,0xeeeeeeee,0x3a0bd93e,
    0xddddd93e,0xddd9079b,0x262079dd,0x01999999,0x00e23551,0x026aa200,
    0x4c00aa88,0xaa9800aa,0x4c409880,0x55440000,0x00006aa2,0x31015510,
    0x54415511,0x54c26209,0x3104cc42,0x26666213,0x22262199,0x1ffe201a,
    0xfffffff9,0x41bf69ff,0xffffb4ff,0x6c1dffff,0xefffffff,0x502200c1,
    0x0bffffff,0x74403fea,0xc80effff,0x440effff,0x503ffffd,0xd85fffff,
    0x4027ec5f,0x7ffec4d9,0x2ffffeff,0x54005f44,0x745ffffe,0xbafffebf,
    0x9fb0efff,0x261dfffb,0xa9bfa5ff,0x1fffffff,0x40fff9fd,0x554c7ffd,
    0x1aaaefea,0x53fe0dfb,0xdaaaaffd,0x2bff63ff,0x0c6ffcaa,0xeffa8220,
    0xf502ffdb,0x2fbf601f,0x7fdc4ffc,0x7e45febd,0x542ffccf,0x2fffcfff,
    0x09fb17f6,0xf727ff54,0x7dfff77d,0x7fc43ff9,0x33fa00cf,0x3fa3ffba,
    0xbfffebdf,0xdffb3ffc,0x7dc7ffb7,0x261ffcaf,0x1fffeeee,0x209dfffd,
    0x7407fffa,0x20dfb05f,0x20dfb4ff,0x21bf65ff,0x10063ffa,0xff92ff41,
    0x980aa20f,0xff17f20b,0xf88674cb,0xfd1bf23f,0x3f66fe8d,0x32227ec5,
    0x261dffff,0xc87ff21a,0x7fff5c4f,0x85ffc41d,0xf537f419,0xfda7f47f,
    0xfb13fa0f,0xfc807fff,0x803ffa2f,0x407fcff8,0x0dfb05fe,0x837ed3fe,
    0x41bf63ff,0x110065fe,0x5fdcffe2,0x555531ff,0x93015555,0x7fc4dffd,
    0x55ffcc03,0x3fe27fca,0xfd87fdc3,0xfd8a7ec5,0x2a00beff,0xaaafffdb,
    0xffb505fc,0x7ffe45df,0x527f40be,0xdafec3ff,0x222fec6f,0x7e405fff,
    0x202ff43f,0x407fabfd,0xdffb05fe,0x29ffdddd,0xebaaaffd,0x41bf60ff,
    0x110066fd,0x27ea7fe2,0xfff91ff8,0x545fffff,0x26fedfff,0x7d402ff9,
    0x0fffffff,0xffa85ff3,0x4fe8bfb1,0xa803dff1,0xfffeefff,0x4407ffff,
    0x3f624ffc,0x3fa2ffff,0xfd83fe64,0x5fd8bfb5,0x2e04ffd8,0x05fe84ff,
    0x03fd5bea,0x7fec17fa,0x4fffffff,0xfffffffb,0x906fd85d,0x82200cff,
    0xff72fcff,0x3bbbbae1,0x9ff11eee,0xff89bf21,0xff8855c4,0x644ff801,
    0xe8bfb0ff,0x9ffff14f,0x6437fe01,0x6d4000ff,0xca883fff,0x993fa6ff,
    0x6d7f60ff,0x2e2fec5f,0xfa82ffff,0x209fd05f,0x0ff50ff8,0xffb05fe8,
    0x9ff55555,0x3ffb3ff6,0x360dfb05,0x4110067f,0xdfd14ffd,0x87fe6000,
    0x877f46fe,0x93fa0ffa,0x8f7ec4ec,0x9bf25fe9,0x7f5c4ff9,0x3fe22dff,
    0xed8fffa2,0x7fffe443,0xb87fa61c,0xf993fa6f,0x7ed7f60f,0xff12fec5,
    0x7cc1ffd9,0xd09999ef,0x3bff209f,0xd02effee,0x41bf60bf,0x54dfb4ff,
    0x06fd85ff,0x2200cbfd,0x3fbffe60,0x1ff501ff,0x3fb3bfa0,0x77ffcc6f,
    0x77fdc4ff,0x7fc42ffd,0x2a0fffef,0x4fefdeff,0x49fffb50,0xfffecffe,
    0x221ffeef,0xb00bffff,0x45ffbbff,0x83fe64fe,0xd8bfb5fd,0x263bfa5f,
    0x3fff65ff,0x9fd4ffff,0x3fffff20,0xbfd03fff,0x7fc1bf60,0xffc8dfb4,
    0x7cc37ec3,0x4110064f,0x0dfffcee,0x5403fea0,0x0ffadffd,0x05f7ff4c,
    0x81f7ffdc,0x80dfffd8,0x4fcafffc,0xb327e4c0,0xff717fff,0x2ef885bf,
    0xdffec880,0xff327f43,0x5fdafec1,0x2ffbafec,0x7fecbff2,0xfd4fffff,
    0x2aaaa609,0xfd01affc,0x7c1bf60b,0xfd0dfb4f,0x4cf7ec3f,0x060ffea9,
    0x01054110,0x0200aa20,0x22001100,0x04006000,0x11031000,0x00188020,
    0x00000010,0x00000000,0xd01fea00,0x41bf60bf,0x30dfb4ff,0x7ffecdff,
    0x542fffff,0x99999999,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0x2ff407fa,0x9ff06fd8,0x7fe41bf6,0xdfffffb3,
    0x00000019,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x88098800,0x19813109,0x1ed804c4,0x331b8330,
    0x0260a0aa,0x71e44e54,0x00007269,0x00000000,0xdeb87dd7,0x5511fa82,
    0x23555555,0xaaaaaaa8,0x0003751a,0x9f745dd1,0xdeb803ee,0x77540001,
    0x222222ee,0x2a088888,0xfc85752b,0xfc97fc47,0xfd8bfea5,0xf305fd04,
    0x3fbfea3f,0x3ee1ffef,0xf103be64,0xcfb8bf6d,0x3fe00ff8,0x83dfd703,
    0xfa80bfda,0x20cfc880,0xf31fbbf9,0x3f621fb7,0xfffff31f,0x3fe69fff,
    0xb4ffffff,0x56fecc9f,0x8ffe2910,0x549ff4ff,0x9b6220ff,0xf16f88ff,
    0x7fffd45f,0xffffff12,0xafecffff,0x17fc45fd,0x93fd4ff7,0x817fc9ff,
    0x1ff982fe,0x3ffffff6,0x7ce7fe44,0x557f40ef,0xfb9fe85f,0x10dff505,
    0x7c4df59d,0x26a65fce,0x75f6c157,0x217d4625,0x3ef626e9,0xdddddd31,
    0x3bba69ff,0xfb4eeeee,0x3ffffea9,0x5ff16fef,0x23ffa7fc,0x3eeea1fe,
    0x9be23fe5,0x333265f9,0x7777711c,0x7ec77777,0xbfb0bfb5,0x3ff127f4,
    0x3fcdbffa,0x59ff5551,0x3f60cc35,0xc84fe88d,0x640effff,0xa81ff8df,
    0xe82fe8ef,0xba882fff,0x3ec7ee6f,0x27fffff9,0xa81f31f8,0x40eeb85f,
    0x4fb801f9,0x3ea7b000,0x3ffffcab,0xd3fd87fe,0x9507225f,0x20208837,
    0x000000c9,0x98ffa800,0x45fec1ff,0x5fc8feef,0x3fffffe6,0x0ff405ff,
    0x3ff20bf5,0xfbaff80f,0x3eeffe06,0x37df7d46,0xc9ff3be6,0x7441f90f,
    0x7ba740df,0x44a227d4,0x400fcc3f,0x777714fb,0x3ee57777,0x902aa010,
    0xdb8edc1b,0x80000000,0x88888888,0xf0000008,0xf50df95f,0xd5f99f5d,
    0x7f774c5f,0x7404eeef,0x2617f23f,0xfa84ffff,0xfa82fe8e,0x7f41ff8e,
    0x3f21ff8b,0x2fea7f89,0x7dfe46e8,0x51fffdc2,0x3e65bbff,0x0fcc0fdd,
    0xff9a7dc0,0x74ffffff,0x00000003,0x22000000,0xffffffff,0x9000007f,
    0xf107fdbf,0xfbf55fbf,0x017f401f,0xffdbff90,0xfceff987,0xf9bfd84f,
    0x4fb9ff86,0x5fc87fcc,0xd1ffffea,0xb3c85fff,0xca817105,0x33262ccc,
    0xa801c981,0xbbbbb13d,0x00007bbb,0x00000000,0x2eeeee00,0x0003bbbb,
    0x1ffff100,0x223fffa0,0x7f405fff,0xf30aa882,0x3fffffff,0xffc877ec,
    0x7e47fc41,0x1be2fee3,0x1ff997f6,0x260a62a2,0x0000000a,0x00000000,
    0x00000000,0x00000000,0xb0000000,0x7fdc09ff,0xd00fffa6,0x43ff305f,
    0x5c8aa9cd,0x40b20644,0x954550a9,0x000000a9,0x00000000,0x00000000,
    0x00000000,0x00000000,0xa8000000,0x3fe201ff,0x1003ff24,0x03ff3013,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_bold_20_latin1_x[224]={ 0,1,0,0,0,0,0,0,0,0,0,0,1,0,
1,-1,0,1,0,0,0,0,0,0,0,0,1,1,0,0,0,0,0,0,1,0,1,1,1,0,1,1,0,1,
1,1,1,0,1,0,1,0,0,1,-1,0,0,-1,0,1,-1,0,1,-1,0,0,1,0,0,0,0,0,1,1,
-1,1,1,1,1,0,1,0,1,0,0,1,0,0,0,0,0,0,1,0,0,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,1,0,0,0,0,
1,0,0,-1,0,0,0,0,-1,-1,0,0,0,0,1,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,-1,0,1,1,1,1,-1,0,-1,-1,-1,1,0,0,0,0,0,0,0,1,1,1,1,-1,1,1,0,0,
0,0,0,0,0,0,0,0,0,0,-1,1,-1,-1,0,1,0,0,0,0,0,0,0,1,1,1,1,0,1,0,
 };
static signed short stb__arial_bold_20_latin1_y[224]={ 16,3,3,2,2,2,2,3,2,2,2,5,13,10,
13,2,3,3,3,3,3,3,3,3,3,3,6,6,4,6,4,3,2,3,3,2,3,3,3,2,3,3,3,3,
3,3,3,2,3,2,3,2,3,3,3,3,3,3,3,3,2,3,2,17,2,6,3,6,3,6,2,6,3,3,
3,3,3,6,6,6,6,6,6,6,3,6,6,6,6,6,6,2,2,2,7,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,16,6,3,2,5,3,
2,2,2,2,2,7,6,10,2,0,2,3,3,3,2,6,3,8,16,3,2,7,3,3,3,6,-1,-1,-1,0,
0,0,3,2,-1,-1,-1,0,-1,-1,-1,0,3,0,-1,-1,-1,0,0,5,2,-1,-1,-1,0,-1,3,2,2,2,
2,3,2,2,6,6,2,2,2,2,2,2,2,2,3,3,2,2,2,3,2,4,6,2,2,2,2,2,3,2,
 };
static unsigned short stb__arial_bold_20_latin1_w[224]={ 0,4,8,10,10,16,13,4,6,6,7,10,3,6,
3,6,10,7,10,10,10,10,10,10,10,10,4,4,10,10,10,11,18,13,12,13,12,11,10,13,11,3,9,12,
10,13,11,14,11,14,12,12,11,11,13,17,12,13,11,5,6,5,9,12,5,10,10,10,10,10,7,10,9,3,
5,9,3,14,9,11,10,10,7,10,6,9,10,14,10,10,9,7,3,7,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,0,4,10,10,10,10,
3,10,6,15,7,9,10,6,15,12,7,10,6,6,5,10,11,3,6,5,7,10,15,15,15,11,13,13,13,13,
13,13,19,13,11,11,11,11,5,5,7,7,14,11,14,14,14,14,14,10,14,11,11,11,11,13,11,10,10,10,
10,10,10,10,16,10,10,10,10,10,5,5,7,7,11,9,11,11,11,11,11,10,11,9,9,9,9,10,10,10,
 };
static unsigned short stb__arial_bold_20_latin1_h[224]={ 0,13,5,15,16,15,15,5,18,18,8,10,6,3,
3,15,14,13,13,14,13,14,14,13,14,14,10,13,11,7,11,13,18,13,13,15,13,13,13,15,13,13,14,13,
13,13,13,15,13,16,13,15,13,14,13,13,13,13,13,17,15,17,8,3,4,11,14,11,14,11,14,14,13,13,
17,13,13,10,10,11,14,14,10,11,14,11,10,10,10,14,10,18,18,18,5,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,0,14,17,15,10,13,
18,18,4,15,8,9,7,3,15,3,7,13,7,7,4,14,17,3,4,7,8,9,14,14,14,14,17,17,17,16,
16,16,13,18,17,17,17,16,17,17,17,16,13,16,18,18,18,17,17,9,15,18,18,18,17,17,13,15,15,15,
15,14,15,15,11,14,15,15,15,15,14,14,14,14,14,13,15,15,15,14,15,11,11,15,15,15,15,18,17,18,
 };
static unsigned short stb__arial_bold_20_latin1_s[224]={ 186,251,190,16,159,237,14,185,148,12,112,
27,170,225,249,225,100,176,31,123,1,161,183,66,201,228,38,184,151,159,179,
164,155,201,230,232,49,88,153,28,24,226,124,53,77,100,114,58,141,184,36,
1,12,51,241,223,210,196,184,192,246,186,86,232,219,96,12,107,153,118,134,
113,21,247,209,1,243,201,216,129,172,142,247,190,194,141,1,12,226,35,237,
178,174,136,174,62,62,62,62,62,62,62,62,62,62,62,62,62,62,62,62,
62,62,62,62,62,62,62,62,62,62,62,62,62,62,62,62,62,186,46,198,
73,43,42,144,125,212,42,96,65,148,225,84,225,120,215,128,135,199,134,215,
245,205,142,104,75,212,97,145,111,242,1,15,137,223,170,164,30,29,41,53,
211,65,131,83,151,126,199,44,59,74,227,102,54,1,101,113,89,71,117,189,
136,49,60,71,239,104,115,162,1,182,193,204,171,250,63,69,77,85,11,92,
27,159,23,147,85,73,215,39,82,126,19,91,1, };
static unsigned short stb__arial_bold_20_latin1_t[224]={ 19,70,113,38,20,20,54,113,1,1,113,
113,113,113,113,38,54,70,85,54,99,54,54,85,54,54,113,70,99,113,99,
70,1,70,70,38,99,85,85,54,99,70,70,85,85,85,85,54,85,20,99,
54,99,70,84,84,84,84,84,1,38,1,113,113,113,99,70,99,70,99,70,
70,85,70,1,85,70,99,99,99,54,70,99,99,54,99,113,113,99,70,99,
1,1,1,113,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,
99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,19,70,1,
54,113,85,1,1,113,54,113,113,113,113,54,117,113,70,113,113,113,54,1,
113,113,113,113,113,54,70,54,54,1,20,20,20,20,20,84,1,20,20,20,
20,20,20,20,20,85,20,1,1,1,1,20,113,38,1,1,1,20,20,70,
38,38,38,38,54,38,38,99,70,38,38,38,38,54,70,70,70,70,85,38,
38,38,70,38,99,99,38,38,38,38,1,20,1, };
static unsigned short stb__arial_bold_20_latin1_a[224]={ 80,95,136,159,159,255,207,68,
95,95,111,167,80,95,80,80,159,159,159,159,159,159,159,159,
159,159,95,95,167,167,167,175,279,207,207,207,207,191,175,223,
207,80,159,207,175,239,207,223,191,223,207,191,175,207,191,270,
191,191,175,95,80,95,167,159,95,159,175,159,175,159,95,175,
175,80,80,159,80,255,175,175,175,175,111,159,95,175,159,223,
159,159,143,111,80,111,167,215,215,215,215,215,215,215,215,215,
215,215,215,215,215,215,215,215,215,215,215,215,215,215,215,215,
215,215,215,215,215,215,215,215,80,95,159,159,159,159,80,159,
95,211,106,159,167,95,211,158,115,157,95,95,95,165,159,80,
95,95,105,159,239,239,239,175,207,207,207,207,207,207,286,207,
191,191,191,191,80,80,80,80,207,207,223,223,223,223,223,167,
223,207,207,207,207,191,191,175,159,159,159,159,159,159,255,159,
159,159,159,159,80,80,80,80,175,175,175,175,175,175,175,157,
175,175,175,175,175,159,175,159, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_20_latin1_BITMAP_HEIGHT or STB_FONT_arial_bold_20_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_20_latin1(stb_fontchar font[STB_FONT_arial_bold_20_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_20_latin1_BITMAP_HEIGHT][STB_FONT_arial_bold_20_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_20_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_20_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_20_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_20_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_20_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_20_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_20_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_20_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_20_latin1_s[i] + stb__arial_bold_20_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_20_latin1_t[i] + stb__arial_bold_20_latin1_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_20_latin1_x[i];
            font[i].y0 = stb__arial_bold_20_latin1_y[i];
            font[i].x1 = stb__arial_bold_20_latin1_x[i] + stb__arial_bold_20_latin1_w[i];
            font[i].y1 = stb__arial_bold_20_latin1_y[i] + stb__arial_bold_20_latin1_h[i];
            font[i].advance_int = (stb__arial_bold_20_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_20_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_20_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_20_latin1_s[i] + stb__arial_bold_20_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_20_latin1_t[i] + stb__arial_bold_20_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_20_latin1_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_20_latin1_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_20_latin1_x[i] + stb__arial_bold_20_latin1_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_20_latin1_y[i] + stb__arial_bold_20_latin1_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_20_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_20_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_20_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_20_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_20_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_20_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_20_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_20_latin1_LINE_SPACING
#endif

