// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_22_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_22_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_22_latin1_BITMAP_WIDTH         256
#define STB_FONT_arial_bold_22_latin1_BITMAP_HEIGHT        152
#define STB_FONT_arial_bold_22_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_bold_22_latin1_FIRST_CHAR            32
#define STB_FONT_arial_bold_22_latin1_NUM_CHARS            224

#define STB_FONT_arial_bold_22_latin1_LINE_SPACING          14

static unsigned int stb__arial_bold_22_latin1_pixels[]={
    0x41a98d54,0x553001a8,0x2a895401,0x1000cc40,0x44000053,0x03330009,
    0x01881544,0x01eea800,0x05ed8000,0x0002f640,0x00001bdb,0x09884c40,
    0x00661980,0x80776400,0x889f93fd,0x4ff8806f,0x37cd3ea0,0x4fffffc8,
    0x207ffd40,0x6dc407fc,0x03defffe,0x26037ff2,0x7ffed46f,0x7fffe40c,
    0x640bf900,0x5400ffff,0x744000ff,0xefb8003f,0x01ff205f,0x5fca7ec0,
    0xff87fc40,0x2212a001,0x27fb03fe,0x02fd84fc,0x3fa02fdc,0xfe88df31,
    0x06ffffff,0xf903fffe,0x77ffdc0f,0x05ffdcbc,0xf309fff9,0x7f7ffc4d,
    0x7fffe45f,0x6407f600,0x6c00ffff,0xdf10001f,0xd8ef9800,0x00ff902f,
    0x2fe53f60,0x7fc3fe20,0x44136001,0xfa80007e,0x2a01dc06,0xfb1be66f,
    0xffd737df,0x205ff307,0x5dfb02a9,0x817f2201,0x26f985fe,0x3ff51ffb,
    0x00003fe4,0x31003fea,0x06620003,0x200cc400,0x440007fc,0x00000019,
    0x262000fc,0xff813301,0x4cc06623,0x6f98ffa0,0x3e617fea,0x00ff986f,
    0x1df70331,0xb8988544,0x30df904f,0x127fdcdf,0xff90ff90,0xa89ff103,
    0xffc880ff,0x4400dfff,0x0dfffffc,0x7fffe440,0x17fc80df,0xfc880155,
    0xc80dffff,0x4ff881ff,0x640f7530,0x07ff20ff,0x6fc85ff5,0xff507ff2,
    0xf983fe25,0x5407ff66,0x201ff500,0x8ffc47fc,0xffbfffe9,0x1ff20fb4,
    0xbffd1be6,0x321ff201,0x4ff881ff,0x3a607fd4,0xffffffff,0xffffd303,
    0x2607ffff,0xfffffffe,0x7d7fe43f,0xfd303fff,0x7fffffff,0xf881ffc8,
    0x7fff4c4f,0x41ff904f,0x3fec4ff9,0x9ff33fdc,0x1fea7fd8,0x03ff4df3,
    0x900ffa80,0xf32fa8ff,0x5fffb7bf,0x1fee07ea,0xfff99be6,0x87fc82ff,
    0xff881ffc,0x3a07fd44,0xfeb9cfff,0xfffe81ff,0x1fffeb9c,0xb9cfffe8,
    0x3f21fffe,0x2fffdfff,0xb9cfffe8,0x3f21fffe,0x24ff881f,0xfffefff9,
    0x740ffc84,0x213fe26f,0x9bfa0ffa,0x1bee4ff8,0x037fcdf3,0x3207fc80,
    0xbfb3ec7f,0x7f30ffe8,0xf983ff50,0xff97ff16,0xc87fc8bf,0x4ff881ff,
    0xff707fd4,0x8bff701b,0xfb80dffb,0x06ffdc5f,0xff92ffdc,0x2e37fccb,
    0xffb80dff,0x2207ff25,0x27ff64ff,0x640ffdf9,0x8ffdc0ff,0xff981ffa,
    0x7d47fee2,0x2617f61f,0x1001ffe0,0x7e409ff7,0x83ff2fc7,0x40fe67fc,
    0x5be62eff,0xfff50ff9,0x7e43fe49,0x44ff881f,0x3ff60ffa,0xd83ffa01,
    0x3ffa01ff,0xe807ff60,0x85ff90ff,0x3ff60ffe,0x643ffa01,0x4ff881ff,
    0x046ddbfe,0x7c40ffc8,0x220dfb4f,0x53fe23ff,0x027f46fd,0x2a003ff4,
    0x3f200dff,0x3fd53e67,0x05f72fec,0x6f99ffe6,0x7f44bff3,0xf90ff90f,
    0x89ff103f,0x1ffa0ffa,0x7f43ff90,0xd0ffe407,0x1ffc80ff,0xffc81ff9,
    0xf901ffa1,0x207ff23f,0x9ff14ff8,0x1ff900fa,0x0ffedfb0,0x3f617fc4,
    0x4fe87ff6,0xd01ffd80,0x3bfea17d,0xfa9ff200,0x7ff0bf92,0xffb807ec,
    0xfff9be67,0x7e47fe64,0x881ffc87,0x07fd44ff,0xffb80dff,0xf701bfe3,
    0x2037fc7f,0x1ff93ffb,0x3fe1ffc8,0xc9ffdc06,0x4ff881ff,0x003e37fe,
    0xff501ff9,0x3e201ff9,0x7e7fd41f,0x222fec0f,0x037fea2a,0xffa8dff5,
    0xf89ff205,0xffa8df94,0x3e209f72,0xa9be60df,0x7fa9efff,0x3ff21ff2,
    0x544ff881,0x0dff10ff,0xff13ffb8,0x13ffb80d,0xffb80dff,0xfe85ff93,
    0x701bfe27,0x07ff27ff,0xffe93fe2,0xc819d56b,0xffff00ff,0x407fcc0d,
    0xfb86ffff,0x3f637cc6,0xfffc9cff,0x3207fb82,0xff9b747f,0xf73ffd11,
    0x03fea01d,0xffe98df3,0x1ff22fff,0x3e607fee,0xf07fd44f,0x1ffc80ff,
    0xff901ffe,0x3203ffc3,0x5fff91ff,0xfff17fee,0xf71ffc80,0x49ff303f,
    0xfe9cfffc,0x900ffc86,0x7dc07fff,0x07fff907,0x46f98ff5,0xffffffe8,
    0x01ff504f,0x21f91ff2,0xffffeffe,0x3ee00eff,0xc886f987,0x3fe45fff,
    0x7cc17fd4,0xb07fd44f,0x7ff403ff,0xe807ff60,0x07ff60ff,0xff90ffe8,
    0x83ffffff,0x3fa01ffd,0x305ff50f,0x7ff449ff,0xfc82ffff,0x1fff300f,
    0xf982fe40,0x1ff880ff,0x7f5c1be6,0x3ea01cef,0xa8ff900f,0x22b7aa5f,
    0x20663dfe,0x06f986fc,0xfc8bffe6,0xc85ffa87,0x07fd43ff,0xf901dff5,
    0x0effa8bf,0x7d45ffc8,0x5ffc80ef,0x3ffa3ff2,0x0effa81e,0x3ea5ffc8,
    0x83ffc85f,0x902dfffd,0x3fe601ff,0x980ff405,0x8ff605ff,0x3fa606f9,
    0x01ff9803,0x1dfd0ffb,0x20ff6200,0x26f986fc,0x93fe23ba,0xfff887fc,
    0x0fffc9ac,0x3f607fd4,0xfffb9dff,0xdfffd80f,0x80ffffb9,0xfb9dfffd,
    0x9ff20fff,0x7ffec008,0x0ffffb9d,0x26b3ffe2,0xdc80fffc,0x80ffc801,
    0x2602ffd9,0x5ffb305f,0xdf32fcc0,0x01fdcc40,0xb9873fe6,0xefe886ff,
    0x7ff5100a,0x985fe988,0x54ffee6f,0x27ff22ff,0x7ffffdc1,0x2e624fff,
    0x7ff440ff,0x02ffffff,0xffffffd1,0x3fa205ff,0x2fffffff,0x22003fe4,
    0xfffffffe,0xffffb82f,0x5f04ffff,0x883ff200,0x6406ffff,0x7fffc41f,
    0xf31fd806,0x3f26620d,0x0fffe802,0x220bfff9,0xeceffffc,0xfc83ffff,
    0x46f983ff,0x46fffffe,0x540ffffc,0x42effffe,0x700ffffc,0x01bffffd,
    0xbffffd70,0xfffd7001,0x0ff901bf,0x3fffae00,0x3faa00df,0xf302efff,
    0x207fe400,0x2200dfff,0x1bfff06f,0x3e69f300,0x07bff706,0x6c3ffa60,
    0x54400dff,0xbeffffdb,0x209ff900,0x7f5c46f9,0x7ffe40be,0xc806200f,
    0x9800ffff,0x00260000,0x75c00980,0x00980006,0x49801880,0x80020000,
    0x20002009,0x00002609,0x00004080,0x80088002,0x00000009,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0cc11000,
    0x003dd700,0x0c007dd3,0x005dd500,0x000bbaa0,0xd5000506,0xdec8003d,
    0x805ed800,0x00131098,0xc80276c4,0xeeb800ee,0x03304c41,0x4401504c,
    0xd9006619,0x3ff6601b,0x506fffff,0x009d9dff,0x74401ffc,0xfa801fff,
    0x01bf2000,0x03fffe20,0x6efffc40,0x03fe8007,0x400ffcc0,0x6404fffc,
    0x400df75f,0xd1000efb,0xfef9807f,0x7cdbee0e,0xf9bffb07,0xf8bfd403,
    0x03ff300f,0x3fffffe6,0x5bb06fff,0x2a003dfb,0x37fb003f,0x7fecc0df,
    0x3f9001cf,0xfaafe800,0xd95f5005,0x4fa8007f,0x802fc800,0x02fe8efa,
    0x037dd7f2,0x88001df0,0x27fa207e,0x4dbee4fb,0xebbf887f,0x8bfd405f,
    0x03fb00ff,0x5fffffec,0x11102efd,0x00000033,0x7fffc400,0x000006ff,
    0x00220000,0x00000000,0x00000000,0x00000000,0x00006000,0xfff80000,
    0x05fb8fff,0xbfffff91,0x103ff901,0x07ff29ff,0xefb93fe2,0x402ffbfa,
    0xd8005ffd,0xfd8005ff,0xffd8005f,0x7fffe405,0x326fffff,0xffffffff,
    0x3ffff26f,0x646fffff,0xbff704ff,0x7fffffe4,0xffc86fff,0xb81ff900,
    0x09ff04ff,0x3202ffec,0xfffd00ff,0x30bf71ff,0xfffffffd,0x81ffc87f,
    0x3ff94ff8,0x7f49ff10,0x009a8f9b,0x003fffe2,0x00ffff88,0x03fffe20,
    0x0ffff880,0x3fffff20,0x3f26ffff,0xffffffff,0x3fffff26,0x7c46ffff,
    0x7ffc41ff,0x3fffff20,0xfc86ffff,0x81ff900f,0xff81fffb,0x1ffff104,
    0xb807fe40,0xfb8fffff,0x9cfffe85,0x321fffeb,0x4ff881ff,0xff103ff9,
    0x07d77e49,0x3ffffb80,0x3fffee00,0x3ffee003,0x3fee003f,0x3ff203ff,
    0x0999999a,0x2666bff2,0x3ff20999,0x0999999a,0x7e46ffa8,0x4d7fe43f,
    0xc8099999,0x1ff900ff,0xf86fffb8,0xffff704f,0x807fe407,0xb8ffffe8,
    0x06ffdc5f,0xff92ffdc,0x329ff103,0x4ff881ff,0x007fffea,0x037f77f4,
    0x0dfddfd0,0x37f77f40,0xdfddfd00,0x800ffe40,0xf9001ffc,0xffb0003f,
    0x321bfe67,0x7e4001ff,0x81ff900f,0x7c2ffffb,0xfddfd04f,0x007fe40d,
    0x3ee3ff66,0xd00ffec5,0x07ff21ff,0x7fe53fe2,0x644ff881,0x202effff,
    0x2ffbbff9,0xfbbff980,0xbff9802f,0xf9802ffb,0x902ffbbf,0x3f2003ff,
    0x3ff9001f,0x1fff1000,0xff903ffb,0x0ffc8003,0xfb81ff90,0x3fe0ffff,
    0xfbbff984,0x01ff902f,0xbf71ff30,0x7e407fe8,0x103ff91f,0x07ff29ff,
    0x36613fe2,0xf901ffff,0x00bff11f,0xbff11ff9,0xf11ff900,0x1ff900bf,
    0x3f20bff1,0xccccccdf,0x3337ff21,0x3f21cccc,0xccccccdf,0x3fbfee01,
    0x9bff904f,0x90399999,0x3ff201ff,0x7fe7fdc0,0x3f213fe4,0x905ff88f,
    0xff3001ff,0x6ff8bf71,0xfc9ffdc0,0x94ff881f,0x9ff103ff,0x13ff3e60,
    0xffe97fe2,0xe97fe200,0x3fe200ff,0x8803ffa5,0x03ffa5ff,0x3ffffff2,
    0x3ff22fff,0x2fffffff,0x3ffffff2,0x7f402fff,0xff900fff,0x5fffffff,
    0x3201ff90,0x47fdc0ff,0x89ff1ffe,0x3ffa5ff8,0x800ffc80,0x25fb8ff9,
    0x7dc06ff8,0x103ff93f,0x07ff29ff,0x26313fe2,0xfb87fb8f,0x80ffee2f,
    0x3fee2ffb,0xb8bfee03,0x3fee03ff,0x320ffee2,0xeeeeeeff,0x3bbff21e,
    0x321eeeee,0xeeeeeeff,0x7ffcc01e,0x3bbff202,0xc81eeeee,0x1ff900ff,
    0xff98ffb8,0xffb89ff6,0x320ffee2,0xff9800ff,0x3ffc5fb8,0x7dc7ff20,
    0x74ff981f,0x9ff303ff,0x23e6ffe2,0xcffe86fa,0x206ffdcc,0xfdcccffe,
    0x33ffa06f,0x206ffdcc,0xfdcccffe,0x01ffc86f,0x2003ff90,0x40001ffc,
    0x7fe407fe,0x07fe4001,0x7dc0ffc8,0xff7ff90f,0xcccffe89,0xffc86ffd,
    0xb8ff9800,0x00ffec5f,0x3fea1ffd,0xf54ff982,0x49ff305f,0xfe9fcffc,
    0x7ffffcc3,0x982fffff,0xffffffff,0xfff982ff,0x2fffffff,0xffffff98,
    0x7e42ffff,0x3ff9001f,0x007ff200,0xc80ffd00,0x7e4001ff,0x81ff900f,
    0xfff10ffb,0x7ffcc9ff,0x2fffffff,0x4c007fe4,0x545fb8ff,0xffc80eff,
    0x3217fea5,0x0bff53ff,0x7fcc7ff9,0x640fffff,0xeeeeeeff,0xeffc85ff,
    0x5ffeeeee,0xeeeeffc8,0xfc85ffee,0xfeeeeeef,0x00ffe45f,0x9001ffc8,
    0xe80003ff,0x0ffe407f,0x403ff200,0x7fdc0ffc,0x93fffea0,0xeeeeeffc,
    0x7fe45ffe,0xb8ff9800,0xdfffd85f,0x20ffffb9,0xc9acfff8,0xfff10fff,
    0x1fff9359,0x03fffc98,0x7ff40dff,0xfd037fc0,0x206ff81f,0x37fc0ffe,
    0x7e41ffd0,0xaaaaaacf,0x2ab3ff22,0x3f22aaaa,0xaaaaaacf,0x407fe802,
    0xaaaacffc,0x0ffc82aa,0xfb81ff90,0x27ffec0f,0x7ff40dff,0x2003ff20,
    0x85fb8ff9,0xffffffe8,0xfffb82ff,0x5c4fffff,0xffffffff,0x5403ea04,
    0x3fee04ff,0xb813fea3,0x13fea3ff,0x3ea3ffb8,0x8ffee04f,0xfffffffc,
    0xfff90fff,0x1fffffff,0x3ffffff2,0x7400ffff,0x7ffe407f,0x0fffffff,
    0xfc807fe4,0x207fdc0f,0xff54fff8,0x91ffdc09,0xff3001ff,0x75c0bf71,
    0x200dffff,0x2effffea,0xdffffd50,0xb00f9805,0x7fc403ff,0x8807ff67,
    0x07ff67ff,0x3f67ff88,0x9ffe201f,0xfffffffc,0xfff90fff,0x1fffffff,
    0x3ffffff2,0x7400ffff,0x7ffe407f,0x0fffffff,0xfc807fe4,0x407fdc0f,
    0x3ffb4ffb,0xf93ffc40,0x1dd1001f,0x026009d5,0x10006200,0x00000003,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x26200000,0x1bb10001,0xaa8aa200,0xa9802200,0x02662000,
    0x2a635507,0x80055501,0x54c00aa9,0x005b5001,0x88154551,0x1aa88009,
    0x001aa980,0x55101554,0x26000001,0x155400aa,0x3200a980,0x01efffff,
    0x4012ef60,0x01ff17f9,0xd01bffb1,0xfff9001f,0x87fb3bff,0x209fb3fe,
    0xf1002ff9,0x7ff4c09f,0x2ba204ff,0x9a7dc00e,0x7fff4c7f,0x037ec02d,
    0x2a006fd8,0x3ffa01ff,0x273fa606,0x05fe805d,0x4017ffd4,0xffe981fd,
    0x03ffffff,0x200977b0,0x01ff17f9,0xa87f97f9,0x7ff4c03f,0x5fffffff,
    0x09fb3fe8,0xfb8037cc,0x3bffe205,0x1d303ffe,0x53fd803d,0x77ff44bf,
    0x2fd806ff,0x001fe880,0x67dc05fd,0xfbd903fd,0x5fa805ff,0x7fd7fc40,
    0xfe83fc00,0xffeb9cff,0x5ffd801f,0x1fd00000,0x00fe8df3,0x54e7fff4,
    0x0002fffd,0x2e0032a0,0xb17fec03,0x0fae01ff,0x27e47fa0,0x3fee5ff5,
    0x1003c802,0x05910059,0x540aa2a8,0x12e006a1,0x0d4c6a60,0xff70df30,
    0x0dff701b,0x00ffff88,0xf806aa20,0x1fd4ff17,0x5037fee0,0x2620bfff,
    0x3033101a,0x03531013,0x002237fc,0x99701353,0x5bfd99ff,0x7fdc3fee,
    0x004d4c00,0x4c406a62,0x33109981,0x2a601330,0x09a98009,0x4009a980,
    0x1ffd84fb,0xb803ffa0,0x8803ffff,0x80effffd,0x3a5f98fe,0x0ffec00f,
    0x03ffbfe6,0x83dffff5,0x44ff87fc,0x41effffa,0x32004ff8,0x744fffff,
    0xffffffff,0x7f4ff95f,0x3ffff206,0xffff504f,0xf87fc83d,0xff0ff94f,
    0xfffffc89,0xfffff904,0x3ffff209,0x20bf604f,0x7fe407fe,0x3fbbfa01,
    0x7fff4406,0x7dc0ffff,0x07f53fdd,0xff98fff0,0x3ea2ffc9,0x20fffdff,
    0x24ff87fc,0xfffdfffa,0x4017fe20,0xfffdeffa,0x33bfb2e2,0xff92cffd,
    0x7d40bfe6,0x42fffdef,0xfffdfffa,0x3fe1ff20,0x9ff0ff94,0x7fef7fd4,
    0x6f7fd42f,0x7fd42fff,0xf02fffde,0x80dff01f,0xff303ffb,0x6405ff77,
    0x17fee3ff,0x7f47dd71,0x137fc400,0x8ffee5fd,0x9ff10ffe,0x27fc3fe4,
    0x3fe21ffd,0x3aa3ffc4,0xf8936e0c,0xf53fd83f,0xff77fc8b,0xf8936e07,
    0x887ff43f,0x21ff24ff,0xf0ff94ff,0xf126dc9f,0x224db87f,0x126dc3ff,
    0x0df107ff,0xff701bfe,0x223ff205,0x1ffa05ff,0x2a003ffa,0x417b713f,
    0x7fd16ff8,0xff89ffdc,0xff93fec4,0x3fe29ff0,0x3f23fec4,0x06fe98cf,
    0x742ffdcc,0xfc89f91f,0x005fff37,0x7c4bff73,0xf93fec4f,0x3f29ff0f,
    0x2604ff87,0x5cc05ffb,0x7dcc05ff,0xd04fa85f,0x1ffc80ff,0x3fa5ff88,
    0x85ff880f,0xfe801ffc,0xf8dfbff0,0x644fd8ff,0xffff31ff,0x7e4fffff,
    0xff34ff87,0x8fffffff,0xfffffff8,0xffffda82,0x33ff2e5f,0xf92cdfec,
    0x40fffd4f,0x5fffffda,0x3fffffe6,0x21ff27ff,0xf0ff94ff,0xfffda89f,
    0xffda85ff,0xfda85fff,0xfc85ffff,0x543ffb02,0x2e03ffa3,0x0ffee2ff,
    0x7fe42ffc,0xf9a7dc01,0x7fec1fb5,0x0ffe84fe,0x9999bff3,0x107fe499,
    0x37fe69ff,0x884ccccc,0xc82dfffd,0x5ff9beff,0x3ffffffa,0x8ff95fff,
    0x7fe46ffa,0x265ff9be,0xcccccdff,0xf883ff24,0x441ff94f,0x3bff24ff,
    0x7e45ff9b,0x45ff9bef,0xff9beffc,0xf500fe85,0x33bf61df,0x9ffd06ff,
    0x20dffb99,0x07ff87fe,0x27f70fe8,0x3ffea3fc,0x7c5ffb85,0x7fe4045f,
    0xff93fe60,0x6fe40045,0x7c4ff882,0x2b7f6a5f,0xf91aaffb,0x223ff90f,
    0x22ffc4ff,0x7e4045ff,0x653fe60f,0x53fe60ff,0x2ffc4ff8,0x5ff89ff1,
    0xbff13fe2,0x7f406f88,0xfffdacff,0xffff981f,0x82ffffff,0xfc89dffc,
    0x727dc04f,0xfd0bf69f,0xffd717df,0x11ffc81f,0x9ffdc9ff,0x3f24ffd8,
    0x409ff11f,0x7c40fe99,0xb17fee4f,0x3217ea7f,0x3ff2717f,0x7dc9ff10,
    0x88ffe45f,0x4ffee4ff,0xff74ffd8,0x453ff627,0x97fee4ff,0x3fee4ff8,
    0xfb93fe25,0x2027d45f,0xffffffe8,0xffc82fff,0xffeeeeee,0xfffffb05,
    0x41fd00df,0x20fe8ef8,0xfffffffa,0xff982fff,0x260fffef,0xffefefff,
    0x3fbffe64,0xd53300ff,0x3bbff60f,0x8ffc6fff,0xd7fc83fc,0xfd8bffff,
    0x46fffeef,0xfffefff9,0x3fbffe60,0xfff34ffe,0x6c9ffdfd,0x6fffeeff,
    0x7ff77fec,0x777fec6f,0x17e46fff,0xefffeb80,0x7fc6fffd,0x403ffa06,
    0x804fffec,0xfffd84fb,0x3ee7fe25,0x200dffff,0x81dfffe9,0xfe8dfffa,
    0x6ffff4c4,0x073bfa01,0x5d7ffecc,0x6cff10ff,0xd37fc82f,0xfd9819ff,
    0x40ffbaff,0x81dfffe9,0xfe8dfffa,0x237ffea4,0x3ff664fe,0x260ffbaf,
    0xffbafffd,0x2bfff660,0x03fa0ffb,0xfd882600,0xb813fea3,0x004403ff,
    0x2e201970,0x04c41a80,0x00800c00,0x00000180,0x18866002,0x00800400,
    0x00100180,0x00020004,0x98008001,0x20c00001,0x3e201ffd,0x0000007f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x1a980000,0x1aa80353,0x80133100,0x88018008,
    0x11006200,0x06000c40,0x15515440,0x40055440,0x008002aa,0x00015540,
    0x00100000,0x15401998,0x80066200,0x01f9befb,0x817f29fb,0xa801fffa,
    0x3ff202ff,0xa80d900e,0xa817a05f,0x2017a05f,0x01dfffd9,0x3fe23fe6,
    0x01bff601,0x2200ffe6,0xa804fffc,0x7f4c01ff,0x3fec0ebd,0x3fff6600,
    0x3fff6203,0x0fe80cff,0x7fffe440,0x37e200df,0x3f607ffe,0x3e20bf94,
    0xfa806faf,0xf57f302f,0x6c05f109,0x01f505ff,0x7d417ff6,0xecffd800,
    0x23fe606f,0xbf701ff8,0xdf3009f9,0xfffffd00,0x002fe809,0xfb03fff1,
    0x7ffcc00f,0xfe884fff,0x86ffffff,0x3fa602fc,0x3fffffff,0x00144510,
    0x54c6a600,0x00554400,0x1b60bf66,0xd05fad88,0x17eb6209,0x7fcc0274,
    0x0003ff12,0x02a85540,0x7d401930,0x00ffd8cf,0x3ee00591,0x7fd84fec,
    0x26bff200,0x7fdc0ffd,0x3ffea89c,0xffd027d4,0xfffd739f,0x00d54403,
    0x44009a98,0x991001a9,0x43fea803,0x0bf001f9,0x0bf001f7,0xff1001f7,
    0x2207feab,0x10099819,0x2a200355,0x99ff601a,0x355103ff,0xff131300,
    0x5517fd83,0xfa93b201,0x207fec2f,0x37c44ffa,0xb80dffb8,0xffd885ff,
    0xff900eff,0x3ea09fff,0x4c01efff,0x743101ff,0xbf002f47,0xbf003f88,
    0x36003f88,0x906ffcff,0x889ff0ff,0x00effffd,0x1dffffb1,0x5ff8bfd0,
    0x77fffec4,0xdffd7100,0x57fec1df,0x9003ffff,0xdffa81ff,0x203fa001,
    0x3fa01ffd,0x3fffa20f,0x7d40ffff,0x42fffdef,0xfffdfffa,0x981ff600,
    0x3ea6facf,0xd917e000,0x1b22fc00,0xbffff100,0x7fc3fe40,0x3ffffa24,
    0x7f440fff,0x40ffffff,0x137f45ff,0xfffffffd,0xfffffd01,0x7ffec7ff,
    0x202fffdf,0xfd03ffea,0xc8039fff,0x407fe82f,0x3ff21ffc,0xb717fee3,
    0x3a1ffc49,0x09ff10ff,0xd700fff6,0x002743bf,0x002f897e,0x002f897e,
    0x03ffff62,0x4ff87fc8,0xffb8fff2,0xf71ffe45,0x227fc4bf,0x8fff26fe,
    0x7fe45ffb,0x25ffc88c,0x3fe65ffd,0x817ff206,0xffffffe9,0xff09f502,
    0x23ffb80d,0x0ffe87fe,0x897fee60,0x43fec4ff,0x20004ffd,0x0075c0fb,
    0x2f76a5d8,0xeb85d800,0x7efff440,0x7e43776f,0x3fa4ff87,0x3a0ffe87,
    0x10ffe87f,0x27fe89ff,0x0ffe87fe,0xfff03ffe,0x3fa0ffec,0xdfd7700f,
    0x7ffecc03,0x46f882ff,0x7dc06ff8,0x90bff13f,0xffda83ff,0x3fe65fff,
    0x47ffffff,0x20004ffc,0x07fd43f8,0xdf98fcc0,0x0fcc04fc,0xff907fea,
    0x3ff3ff65,0x3fe1ff24,0xf90bff14,0x217fe23f,0x17fe1ffc,0x17fe2dfd,
    0x7fc47ff2,0xfb1ffc85,0x803ff90f,0xb3004ff8,0x03fa0dff,0xffc80fff,
    0x3f217fe1,0x2fbff21f,0x3fe65ff9,0x44cccccd,0x019985ff,0x7f7cc6c8,
    0x3264e800,0x44e80df0,0x7f41fef9,0x3ffffa26,0xf883ff21,0x3217fe4f,
    0x217fe1ff,0x17fe1ffc,0x42ffcbff,0xbff11ffc,0x3f61ff90,0x007fe40f,
    0x9d913fec,0x3203ffa0,0x00ffec2f,0x3ff41ffd,0x9ff13ffc,0x2ffc5ff8,
    0x742ff402,0x117cc06f,0xa801f79f,0x407fb00f,0x2f3e20fa,0x2237fc1f,
    0x7fe46fff,0xfe93fe60,0x7f47ff87,0x7f47ff87,0xfe93fe27,0x7fc7ff87,
    0xfb3ffc0f,0x227fe85f,0x23ffc4fd,0x7ff80fff,0xffa87f70,0x45ffc80e,
    0xfc89dffc,0xb93fe24f,0x8ffe45ff,0x7fe44ff8,0x04ffc98c,0x36ffa2ec,
    0x20fe00bf,0x1fc04fe8,0x82ff6ff6,0xfc88bffc,0x3fee4fff,0x649ffb13,
    0xffc89dff,0x44effe44,0x7fd44ffc,0x320ffc8b,0xffc89dff,0x44effdc4,
    0x3ff64ffd,0xc8bff72f,0x5ffc8aff,0x54df7fe4,0xbf305ffd,0x73bfffb0,
    0xfb01ffff,0xb0dfffff,0xdfffddff,0xffefff98,0xffffe80f,0x0fd405ff,
    0x07fffffe,0x67f443dc,0xff0f7019,0x7cc3ffff,0xffffffff,0xdfff34ff,
    0xfd89ffdf,0xb06fffff,0x0dffffff,0x17fffffa,0x3ffffff6,0xfffffd06,
    0x7ffec1df,0x441fffff,0x0fffffff,0x7fffff44,0x1fe01eff,0x3fffffa2,
    0x3b202fff,0xfb304fff,0x81ff75ff,0x01dfffe9,0x00f7ffae,0x01f7013a,
    0x3ff20be2,0x02f887ff,0x7f4c0fdc,0xee88cfff,0x237ffea0,0xffec84fe,
    0x7ff6404f,0x3ff6204f,0x3ffb204f,0x7ffe404f,0xe8efd84f,0xf9301eff,
    0x32201bff,0x00dfffff,0xfeb80fec,0x1000dfff,0x40004001,0x26000001,
    0x8054c00c,0x5555504a,0x53009505,0x01009801,0x00220002,0x01800110,
    0x11000220,0x20008800,0x004c4001,0x13001310,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00151000,0x20000000,0x01510000,0x4c400100,0x01998000,0x40662000,
    0x20000099,0x55100198,0x00002621,0x82660998,0x154c0aa9,0x00000000,
    0xf9300540,0x5007dfff,0xfc839ffd,0x44ff881f,0x00bdfeb9,0x77fffe4c,
    0x77ff4c03,0x3fff6202,0x7ff5c02d,0xf8003fff,0xa83ff95f,0x7fdc02ff,
    0xfffff902,0x7fffd409,0x7fe45fdb,0x00deffff,0x93fe2bff,0x7ffc45fe,
    0x2a0ffec4,0x7fdc04ff,0xffffffff,0x07fa23ff,0x544df7d4,0x3ff205fc,
    0x3f20ffff,0x44ff881f,0x05ffffff,0x2a26fbea,0xfff305fc,0xfd109fff,
    0x201fffdf,0xfffffffc,0xaffc003f,0x3fec4ff9,0x2217fdc0,0xfffffffe,
    0xfdfff986,0x7fe45fff,0x2fffffff,0x9ff15ff8,0x2ff61be6,0x17fe61fe,
    0xff801ffd,0xffffffff,0x3fee3fff,0x2204fa81,0x9eff885f,0x3ff23ffa,
    0x2a4ff881,0x0ffb8aff,0x3e604fa8,0xeaaefe85,0x97fdc0ff,0xffc84ff8,
    0xfffb99ae,0xe97fe000,0x013fe26f,0xffb0bfee,0x7ffd737d,0x3f21ffe8,
    0x4d7fe45f,0x40fffdaa,0x546aa1aa,0xa895440c,0xfa87fec2,0x57fdc04f,
    0x9999cffa,0x5ff91099,0xeeea7c43,0xc89f11de,0xc8aee0ff,0x4ff881ff,
    0x87ff1bf6,0x37fae4f8,0x7fc49f32,0xfb13fea4,0x7cc3cb8f,0x09ff706f,
    0x2ffc2aa2,0x3fea3ff7,0x22ffb801,0xff985ffa,0x3e637fc6,0x40ffe45f,
    0x024c4ffb,0x0cc40662,0xffd4ff98,0xf56fe801,0xfffb007f,0xdf9ea1ff,
    0x8f70feaa,0xffc806fe,0x324ff881,0x50bfe67f,0x7ed67e4f,0x17fd4f70,
    0x7fc8bff1,0x403ff700,0xffff5009,0x7fc4bff7,0x2e00dfb4,0x07ff62ff,
    0x13fe2054,0x3ff917fe,0x1f71bfe0,0x6407fe40,0x5ffb00ff,0xffa809ff,
    0xb007ff53,0x361fffff,0x30fb8fe5,0x756ffc3f,0x0ffe40cf,0xfd127fc4,
    0xbb0bffbf,0x261712fc,0x447ff31f,0x0ffdc6ff,0x8003fec0,0xfffdfff9,
    0xffb7ec5f,0x45ff7003,0xff8007fe,0x322ffc45,0x8ffd01ff,0x3ff201fc,
    0x300ffc80,0x801fffff,0xdff50ffe,0xb8999999,0xdf1fc1ff,0x13e8bf99,
    0xffffffff,0x440ffe43,0x7ffc44ff,0xf33f80ff,0x3fe3f807,0x74fff90e,
    0x02ffffff,0x99990fff,0x17ff4199,0xffa8bff9,0xf7000ffc,0x0037fc5f,
    0x3fea3fec,0x3fffffe5,0xd83ff61f,0x03ff202f,0xff703ff2,0x5fffffff,
    0x7d49ff30,0x7fffffff,0x8fe0ffdc,0x3e84feef,0x3e67fff1,0x207ff26f,
    0x3fe64ff8,0x7c1effcf,0x3f807f13,0x3ffbffee,0x3ffffa7f,0x0fff02ff,
    0x41ffffff,0x2ffcc6ff,0x0037fffc,0x3ffc5ff7,0x56ffdc00,0x3ba5fffb,
    0x361eeeff,0x44ffa0ff,0x01ff93ee,0xffb81ff9,0x2fffffff,0x3ea0ffd8,
    0x5eeeeeef,0x9760ffdc,0x7c43f93f,0xfc83ffe1,0x303ff70f,0x137f49ff,
    0x3a5d89ff,0x0fcc7625,0x3fabbf66,0xd805fe86,0x7f7740ff,0x09ff10ff,
    0xfff90bff,0x17fdc007,0xd1000ffd,0xbffdffff,0xff01ffc8,0xff14fe8f,
    0x3203ff29,0x2ffc00ff,0x3bbffe60,0x7003ffee,0x3e7a83ff,0x23dcdd13,
    0x8ffdc7ff,0xff982ffa,0xfd87ff14,0x59f73d47,0x081ee1fd,0x9ff117fe,
    0x405ff700,0xbff10ffd,0xf985ff88,0x44b980ff,0x3ff61ffc,0x8817dd01,
    0x8bff4eec,0xff881ffc,0xff8a7fc6,0xf901ff93,0xfeeea81f,0x6c1eeeff,
    0xffffffff,0x3ff7003f,0x547f5f88,0x7ec4f9bf,0x543ff21f,0x3ffc85ff,
    0x7fe8bff1,0xbfb52fc4,0x55513e63,0x3f227fcc,0xeff9800f,0x7c1ffd00,
    0x42ffd46f,0xff705ff9,0xf507fec3,0x6ffa81bf,0x44ff80cc,0xffb81ffc,
    0x5f17fe24,0x3f203ff2,0x7fffdc0f,0x222fffff,0xdcccceff,0xff5003ff,
    0x205f9815,0xdff985f9,0x3e26ff98,0xffc9acff,0x54bffa0f,0x05f985ff,
    0x3ff617e6,0x2e0ffe99,0xb9acddff,0x9bfffb83,0x20ffffba,0xfe98dffc,
    0x17fecc5f,0xfbaeffa8,0xcfffd87f,0x642fffc9,0x0ffee3ff,0xb7559ff9,
    0x7fc41dff,0x7fe43f25,0x4c0ffc80,0xaaeffaaa,0x20bff20a,0xaaaadffa,
    0x3ffe61aa,0x4e77cc0f,0x3605fda8,0x41ffffff,0xfffffffb,0x7fffcc4f,
    0xdf301fff,0x0bfb7359,0x3fffffe6,0x7ffffe43,0xfb80ffff,0xffffffff,
    0x7ffffc42,0xfff15fef,0xfffe80df,0xfe881fff,0x84ffffff,0xfffffff8,
    0xfffffc86,0x7c42ffff,0x7e43d15f,0x00ffc80f,0xff882ffc,0xfffff507,
    0xfd8bffff,0xfec981ff,0xfc803dff,0xfd501eff,0x2605dfff,0x401efffc,
    0x3dfffec9,0x17fff5c0,0x7ee5efc4,0xd9502fff,0x2017bfff,0xfd9effe8,
    0x0037ffe5,0x05bfffb1,0x1ceffeb8,0x3ffffaa0,0xffffc80c,0xf880ceff,
    0x03ff205f,0xff003ff2,0x40ffee0b,0xfffffffa,0x000885ff,0x02600031,
    0x4c001880,0x00188000,0x88040088,0x00022000,0x00010011,0x00220006,
    0x00000020,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0x04cc4099,
    0x00000000,0x18800000,0x4c426200,0x00002a60,0x00055500,0x5512a880,
    0x00800000,0x00001330,0xffffffb8,0x00098805,0xf0000000,0x92ffa8bf,
    0x3f2003ff,0x0cffffff,0xffffffc8,0x3fee6fff,0x0fffffff,0x37ffff22,
    0x657fa200,0x3ffffaef,0x7c40ffe4,0x5c1ff95f,0x43ff21ff,0x6fb807fc,
    0x87fe4ff5,0x73000ffc,0xf503bffd,0x17fdcfff,0x6417ffdc,0x05ffffff,
    0x6c02ff44,0x7fe405ff,0x7fffa86f,0x7fd45ff8,0x2003ff92,0xfffffffc,
    0x7ffe42ff,0x26ffffff,0xfffffffb,0x3fff60ff,0xfb01ffff,0x3ffff2bf,
    0x3f22fffe,0x95ff881f,0x24fb81ff,0x0ff90ffc,0x9feadf70,0x1ff90ffc,
    0xfffff300,0xbdfff0ff,0x3ea17fdc,0x9dfd02ff,0xfc807999,0x7ffc405f,
    0x3fff200f,0x3fffe40f,0x3fea2ffc,0x5559ff92,0x35ff9015,0x41fffb55,
    0x9999affc,0x2ffee099,0x26199999,0xdff30bff,0x95fffd88,0x3fe61bff,
    0x2207ff26,0x01ff95ff,0xc87fe497,0x5300007f,0x4007fe45,0xffc8bffd,
    0x2e13fe62,0x3ffea2ff,0x000ffe02,0xb80bfff5,0x3203ffff,0x7fc2ffff,
    0x45ff87ff,0xfff92ffa,0xc87fffff,0x4ffc81ff,0x5c007ff2,0x6fd801ff,
    0x3fea7fc8,0x5ff95fff,0xff90ffe8,0x32bff103,0x90cc40ff,0x11ff21ff,
    0x81988133,0x43ff2198,0x45ff80a9,0x7ff516fe,0x997fdc13,0x3e602fff,
    0x4400a9af,0x7405ffff,0x3206feef,0x3e64feff,0x5ff87fef,0xffc97fd4,
    0x3fffffff,0x7fc07ff2,0x4007ff26,0x02001ffb,0x8dfb9ff6,0x81ff95ff,
    0x3ff91ffb,0x3f2bff10,0xc87fe40f,0x5cff90ff,0x0ffc86ff,0xffc87fe4,
    0x444fffea,0xfdb7f409,0x3ee3ffff,0x03fff9af,0x7fffffd4,0x3fb7f203,
    0x2effe605,0x9ff902ff,0x7e7fdcdf,0x7dc6ff87,0xa83ff92f,0x07ff26ff,
    0xbff93ff4,0x43999999,0xaaaacffb,0x3ffc800a,0xf95ff8aa,0x91ffc83f,
    0x99999bff,0x03ff2bff,0x3ff21ff9,0x3feaff90,0x40ffc80e,0xfff90ffc,
    0x805fffbd,0xfffb4ff9,0x5ffdc7ff,0xfc805fff,0x83fffeff,0x05fe8ffa,
    0x3fe23ff2,0xff5ff905,0x1ff37f61,0x5ff91ffe,0x3fa07ff2,0x203ff90f,
    0xfff90ffd,0x45ffffff,0xfffffffb,0x27fec00f,0x7fe57fe0,0xff93ff43,
    0xffffffff,0xf903ff2b,0x643ff21f,0x00eff9ff,0xffc81ff9,0x7ccbff90,
    0x3ffe204f,0x2e0ffe60,0x1fffffff,0xf88e6540,0xe9ffc47f,0x4bff105f,
    0xffc80ffe,0x97ff2ff8,0x19fff0ff,0x3f25fff3,0x90ffe81f,0x3ff603ff,
    0xddddff90,0x7fdc3ddd,0x00ffffff,0x3e013ff2,0x25dff95f,0x3ff25ffb,
    0xffeeeeee,0xfc81ff95,0x321ff90f,0x201fffff,0x7fe40ffc,0x7c43ff90,
    0x5fff304f,0xfb83ff98,0x06ffdfff,0x6c3ff900,0x5c17fa5f,0x0ffee2ff,
    0x4e7f5ff2,0xf87fc9ff,0xffffffff,0x64c3ff92,0x07ff26ff,0x3ff93ff4,
    0x007fee00,0x7c017fe0,0xfffff95f,0x7fe43fff,0xf95ff881,0x90ffc81f,
    0x3fff21ff,0x3ff204ff,0xfc87fe40,0x4c2ffc0f,0xff983fff,0xb3fffb83,
    0xf70009ff,0x26bfea3f,0x7409efe9,0xffdcccff,0xdf97fc86,0x21ff2ff7,
    0xfbffddff,0xfffff92f,0x7e45ffff,0x64dff01f,0xff7001ff,0x2ff88003,
    0x3f2bff00,0x41effe8f,0xff881ffc,0xfc81ff95,0x321ff90f,0x00ffdfff,
    0xffc81ff9,0xff81ff90,0x81fffcc5,0xffb83ff9,0x407ffe24,0x93fec4ec,
    0xffffffff,0x7fffcc7f,0x42ffffff,0xfdff57fc,0x3fe1ff2b,0x3ff20115,
    0x42ffffff,0xffb81ffc,0x4007ff24,0x44001ffb,0xbff000aa,0x90089ff2,
    0xbff103ff,0xff903ff2,0x7e43ff21,0x905ff89f,0x0ffc81ff,0x5ff81ff9,
    0x980bffa2,0x2ffb83ff,0xfb837fe4,0x649ff52f,0xffffffff,0x3bbff23f,
    0x45ffeeee,0xffff17fc,0x3fe1ff27,0xacffc805,0x9ff9019a,0x8dffb555,
    0xaaaacffc,0x07fee2aa,0x005dd100,0x03fe57fe,0xf881ffc8,0xc81ff95f,
    0x21ff90ff,0x07ff27fc,0xff903ff2,0xff03ff21,0x667ffe4b,0x0ffe64cc,
    0xff10bfee,0xffff107f,0x4cc43fff,0x09efe999,0xffe81bfe,0xffe9ff20,
    0xff0ff91f,0x03ff900b,0x3fffff20,0x7e41ffff,0xffffffff,0x003ff70f,
    0xf003ff98,0x401ff2bf,0xff881ffc,0xfc81ff95,0x321ff90f,0x21bfe27f,
    0x7fe40ffc,0xff81ff90,0x3fffffe5,0x0ffe67ff,0x3ea0bfee,0xfec981ff,
    0xbfd000df,0x2e04ffa8,0xc9ff23ff,0x21ff27ff,0xffc805ff,0xffff9001,
    0xf9019dff,0xffffffff,0x007fee1f,0x2007ff30,0x00dd75ff,0x3e207ff2,
    0xc81ff95f,0x21ff90ff,0x1ffdc7fc,0xff903ff2,0xff03ff21,0x3ffffeab,
    0x3fe67fff,0xd02ffb83,0x00080dff,0x7fec5fe8,0xc9ffe201,0xc97fea7f,
    0x0000007f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80000000,0x01310a98,0x00000000,
    0x00000000,0x00000000,0x17fdc000,0x8804c400,0xffffffff,0x2aaaaa67,
    0x5100aaaa,0x9980a215,0x7dc26600,0x329ff04f,0xffffffff,0x7fffe40c,
    0xf900dfff,0xf503f37b,0x2bfb7fff,0x3ffe5ff9,0x2fffffff,0x7dc13ff2,
    0x03ffe25f,0x7ec3fff1,0x0fffdc0f,0xffd8bfea,0x64dff101,0xefffffff,
    0xffffc80d,0x74ffffff,0xfd0005ff,0x3fffe209,0x0067ffff,0x3fff620c,
    0x3fe06edf,0x7dd3fe05,0x94ff81ff,0xffffffff,0xffffc8bf,0x442fffff,
    0x986ffedf,0xffffefff,0x7fcbff35,0xffffffff,0x107ffe22,0xffb81fff,
    0x3227fe45,0x7ffec2ff,0xf707fe43,0x8ffea09f,0xfffffffc,0x7fe41fff,
    0xffffffff,0x0005ff74,0x332209fd,0x25ffcccc,0x7f443001,0x01fffdef,
    0x4ff817fe,0xff0dfff7,0x266bff29,0x321ffea9,0xfeaa9aff,0x0511445f,
    0xffc8fff6,0x4ccbff35,0xfffd9999,0x3237fd40,0x5ffd03ff,0xf503ffe6,
    0x5ffff87f,0x3fe23ff4,0x641ffb07,0xeaa99aff,0x4ccc44ff,0x0999cffb,
    0xd0005ff7,0xffb8009f,0xf90c0060,0x02ffec7f,0x8d540799,0x7c2ffffb,
    0x503ff94f,0x0ffe47ff,0x41313ffc,0x47ff81a9,0x9ff35ff8,0x01fffa80,
    0x3fe67ffb,0x23ffe606,0xff882ffe,0x9ffbfe65,0xffd85ff8,0x3237fc41,
    0x6ff881ff,0xb81ffd40,0xcca802ff,0x1ccceffc,0x030bfe20,0x327ff860,
    0x3310ffdf,0x13333333,0x7ffffdc0,0x7fe53fe0,0x321ffb81,0x0ffd81ff,
    0xffff3df9,0x7c2ffc4b,0x409ff15f,0x2202fff9,0x1ffd8fff,0x7ff7fe40,
    0xfb9ffa05,0xff31ffbf,0xa89ff507,0x0ffe43ff,0x2a02ffc4,0x5ff703ff,
    0xfffff700,0x6405ffff,0x2300184f,0x55f74ff8,0x3ffee3ff,0x02ffffff,
    0x93ff3fee,0x59ff94ff,0xc8bffb97,0x3ffcc1ff,0xffbdfff9,0x7c2ffc5f,
    0x440ffe5f,0xfb804ffe,0xd004ffef,0x6401ffff,0xf1bfb0ff,0x407fee7f,
    0x07fec7ff,0x2666bff2,0x5402ffd9,0x5ff703ff,0xfffff700,0x2605ffff,
    0x300181ff,0xb9fd67fc,0xffff71ff,0x405fffff,0x1ffe8ffb,0x3fff29ff,
    0xc86fffff,0xffeeeeff,0xa97ff24f,0x31ffa4ff,0x817f4bff,0x3a005ffd,
    0x5000ffff,0xfa807fff,0x3fa7ff2f,0x7e40ffb5,0x90bff12f,0xffffffff,
    0x7ff500bf,0x000bfee0,0x7ec013fa,0xe8600306,0x3ff64fef,0x55555530,
    0x7dc01555,0xff6ff98f,0x3bbbff29,0x321effff,0xffffffff,0xf10ffe45,
    0x467fe4bf,0x3fa5ffe9,0x00effc81,0x00bffe60,0x405fffd8,0x1ffacff8,
    0x817feff9,0x5ff54ff9,0xffffff90,0x3ea003bf,0x05ff703f,0x1009fd00,
    0x400607ff,0x223bfee1,0x2aa04ffb,0x7dcfba01,0xff7ff90f,0x2a07ff29,
    0x37ff25ff,0xfc81cccc,0xf12ffc0f,0xbfffffff,0x3fea0fec,0x7fe8001f,
    0x3fffea00,0x677f403f,0x3ebfea7f,0xdbffc03f,0xaffc80ff,0x001effa9,
    0x3ee07ff5,0x4fe8002f,0x300ffa80,0xfff88600,0x200effff,0x53fe05ff,
    0xfff10ffb,0x07ff29ff,0xffc87fec,0x81ff9001,0x7ff445ff,0x3f25fe9e,
    0x00bffe60,0x8803ff40,0x0fffbfff,0x97fbff60,0x01ffeff8,0x2ffd7fe4,
    0x3ea1ffc8,0xffa800ff,0x005ff703,0xf9005970,0x21800c0d,0x4fffebfd,
    0x3e05ff80,0x541ff74f,0xff94ffff,0x643ffa03,0xff9001ff,0x1105ff81,
    0x44532ff4,0x20004ffe,0xffb007fe,0xb817ff29,0x7f43ffff,0xff9807ff,
    0xff902fff,0x806ffc83,0xff703ffa,0x15555559,0x3333332a,0x5fd81ccc,
    0x330c0060,0x13300044,0x207fdc00,0xff94fffd,0xffd55559,0x800ffe4d,
    0x2ffc0ffc,0xdd15fe80,0x2abfff67,0x401aaaaa,0xffa807fe,0x40fffa0f,
    0x641ffff9,0xfd005fff,0x7fe40fff,0x01fff441,0x7dc0ffea,0xffffffff,
    0xffffff73,0x7ff05fff,0x55555540,0x0001aaaa,0x7fdc0000,0xca7ffc40,
    0xffffffff,0x07ff21ff,0x3e07fe40,0x2bfd005f,0xfffb4ff8,0x9fffffff,
    0x4407fe80,0x7fcc2fff,0x0ffff00f,0x2007fff3,0x3204fffb,0xfff981ff,
    0x40ffea00,0xfffffffb,0xffff73ff,0x885fffff,0x000002ff,0xb8000000,
    0x4ffb80ff,0xfffffff9,0x1ffc839f,0xf81ff900,0x29db005f,0xfffb4ff8,
    0x9fffffff,0x6407fe80,0xbff905ff,0x7c13ff60,0xff1001ff,0x0ffe403f,
    0x2a05ffc8,0x000003ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x53001353,0x03531003,0x03310004,0x20000133,0x40001aa8,0x000aa980,
    0x0d4c1551,0x06a60988,0x41988131,0x02662198,0x42621331,0x06a209a8,
    0x84cc0662,0x4c153098,0x41999999,0x2a202809,0x3aa03512,0x7e408805,
    0xd304ffff,0x2a09ffff,0x441effff,0x7fc800cf,0x44ee4ff8,0xfb105909,
    0x8001dfff,0x3ffa24ea,0xff702fff,0xfffdbfff,0xf9efc87f,0x1bf65fff,
    0x7fe41ffd,0x261fff30,0x2f7f66ff,0xffa8ffff,0x07ff21ff,0x3bf65ff5,
    0xfff35ffc,0x2a1fffff,0x417ee0ef,0x203fd3fd,0x2fd407fb,0xfffbdff5,
    0xeefff885,0x7ffd43ff,0x3e20fffd,0x3f202dff,0xff34ff87,0x1ffdfffd,
    0x7fffff44,0x7e4400ff,0x33ff24ff,0x7cc0ffec,0xfffffdef,0x3f22ffed,
    0x2fffdeff,0x3fe23ff5,0xf717fa2f,0xd87ffa9f,0xfffddfff,0x266ffeef,
    0xb3fec4ff,0x265fffff,0xffffffff,0xf71dff90,0x96fa81df,0x03fdc0bf,
    0x26dcbffb,0xffd87ff1,0xfe83ff62,0xc89ff10f,0xc83effff,0x364ff87f,
    0x4fffffff,0xff71ffe4,0x3fff660b,0x88ffe1ef,0x12ed41bc,0x3fe45fff,
    0x7fd4bff9,0x3ea7ff14,0x07ff15ff,0x87ffbffb,0x3ffa3ffd,0xfe83ff64,
    0xfd93fe26,0xd10098df,0xfffc87ff,0x7fc40eff,0x4cc0ffaa,0x0999ffc9,
    0x4c0bf5b1,0x37fc5ffb,0x89ff1022,0xffd507fd,0x1ff219ff,0xbffb93fe,
    0x7f42ffb8,0x2a0ffe87,0x81cffffe,0x001ceffd,0xf11ffee6,0x887ff23f,
    0x657f65ff,0x1ff57fef,0x0bffff10,0x1ffd8ffb,0xffa87ff2,0x7ec3ff71,
    0x4ffe801f,0x01dfff90,0x89ff1dfb,0xfffffff8,0x545f84ff,0x25fffffd,
    0xf9804ff8,0x7fffffff,0xa7ffe4c0,0x24ff87fc,0x127f45fd,0x3ff90bff,
    0x00b7ffe2,0x7dfffff3,0x3ffff6a0,0xffffffff,0xff81ff92,0x5ff5fee5,
    0x206fd8ff,0xfd80fffb,0xf707fe47,0xfd4ff83f,0x400ffd8d,0x3ee05ffd,
    0xefc80eff,0x7fc45fe8,0x4fffffff,0x3bff25f8,0x3e25ff9b,0xdff9805f,
    0x404ccccc,0xf94ffeb8,0xb27fc41f,0x7c4fe8bf,0x11ffc85f,0x1005bfff,
    0x87ffffd9,0xff9beffb,0x1ccccccf,0x5ff81ff9,0x23febfe2,0x203ffbfd,
    0xfd84fffd,0xf707fe46,0xf9ffc83f,0x203fec3f,0x3ee06ffc,0x440effff,
    0x21ff9bfe,0xaffdaaa8,0xf15f81aa,0x7c5ff89f,0xf067547f,0x6d4008bf,
    0xf90cffff,0x727fcc1f,0x5ff717ff,0x7ff87fe8,0x5fffff5c,0xf7109880,
    0x7c5ff8df,0x3f2040ff,0x3a2ffc0f,0xfff76fff,0x3ffea01f,0x237ec1ff,
    0x3fee0ffc,0x7ff7fcc1,0xf703fec0,0x3fee01df,0x40effc8e,0x06fb8ff9,
    0x57e01fee,0x3fee4ff8,0x4c67fe45,0x8ffe46fe,0x7fdc4ff8,0x7dc0bfff,
    0x49ffb13f,0xfffffffc,0x44effe44,0xfb504ffc,0x3e63bfff,0x3e27f44f,
    0x93ffea5f,0x1ff90ffd,0x7fdc5ff8,0x0dfff34f,0x3fe7bfe2,0xf91bf60e,
    0x40ffdc1f,0xfd84fffe,0x57fff507,0x3bea1555,0x3203bf20,0x2e05fd4f,
    0xffd8007f,0x446fffee,0x2fffffff,0x7ff7ffcc,0x3bffe20f,0x3bffe602,
    0xff34ffef,0x3ffdfffd,0xffffffd8,0xfffc9806,0x3fbfff24,0x77fe40ff,
    0xfffffffe,0x03ff23ff,0xfff88bff,0x740fffe2,0x4bff71ff,0x07fe46fd,
    0xff503ff7,0x20ffb03f,0xfffffffc,0x02e02a3f,0x203512a8,0xd98007fb,
    0x0ffbafff,0x16fffec4,0x1dfffe98,0xa800efc4,0x4fe8dfff,0x2c84c52a,
    0x09fffd90,0x5c4fb880,0x882efffd,0xf91dfffc,0xffc87dff,0x7f42ffc0,
    0x207ff60f,0x7ff44ffb,0xffc8dfb2,0x7c07fee0,0x20ffb06f,0xfffffffc,
    0x0000003f,0x00100000,0x40180030,0x00010000,0x00011000,0x8004c010,
    0x00002201,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x15500000,0x400880aa,0x88154400,0xaaaaaaaa,0x5555511a,0x98835555,
    0x03500600,0x22edc088,0x01102208,0x547059b5,0x2eee23dd,0x5503312b,
    0x55055445,0x66442a61,0xcccccccc,0xee8976a4,0xeeeeeeee,0x00000006,
    0x20000000,0x909f95fb,0xffc81dff,0x03ff902e,0xfffffff1,0x3ffe29ff,
    0x24ffffff,0x2e0ffffc,0x07f04ffe,0xfc93ff62,0x7fddffa7,0x7f4dbfe2,
    0x6ecdffff,0x7d4bf222,0x8ff76fff,0x2fec2ff9,0x44ff65ff,0xffffffff,
    0x89fee7ff,0xeeeeeeee,0x000006ee,0x00000000,0x7fc5ff40,0x93eafe61,
    0x886e9cfa,0xff885fff,0x4fffffff,0xfffffff1,0x277629ff,0xd7df12fd,
    0x2be3263f,0x7dd7e449,0xbff4ff92,0x5bfe2ffb,0xffffdffa,0xf93315ff,
    0x5bfffea3,0x81fec7fb,0x365ff1fe,0x2222223f,0x2e088888,0x0000007f,
    0x00000000,0x1ff50000,0x5fb30df7,0xf90df118,0x33301fff,0x41333333,
    0xe9999999,0x9ff5cc4f,0x2e9f53fb,0x20ffffff,0x26b9b63f,0x43ff77fe,
    0x4c1955ff,0x3fee4efc,0x2666622d,0x02b87731,0x00000ae2,0x00000000,
    0x00000000,0x3bf60000,0x7f544ff8,0x442fe883,0x004feaff,0x8a7ec000,
    0xf93fdefe,0xfd89be65,0xe8af409f,0xb7e49d34,0x13fa0ffa,0x00000000,
    0x00000000,0x00000000,0x00000000,0x237f6000,0x3f4314ff,0x3ee07fe6,
    0x7c41ff77,0xffffffff,0x2e9fb004,0x3ea7f93f,0x67d47f74,0xffffa85f,
    0x14fb8991,0x002fc8df,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7e47fd40,0x9beb3e66,0x7c4cdff8,0x447ff14f,0xffffffff,0x29fb004f,
    0x23ffdefa,0x360ffeff,0x79301d76,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0xff8afe80,0x90eff5c1,0x7dcfffff,0xa89ff61f,
    0xaaaaaaaa,0x5c355001,0x2e22c9bd,0x002080bd,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0ff6bf70,0x85550000,0x00000aa8,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x1542aa00,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__arial_bold_22_latin1_x[224]={ 0,1,1,0,0,0,0,0,1,0,0,0,1,0,
1,-1,0,1,0,0,0,0,0,0,0,0,1,1,0,0,0,1,0,0,1,0,1,1,1,0,1,1,0,1,
1,1,1,0,1,0,1,0,0,1,-1,0,0,-1,0,1,-1,0,1,-1,0,0,1,0,0,0,0,0,1,1,
-1,1,1,1,1,0,1,0,1,0,0,1,0,0,0,0,0,0,1,0,0,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,1,0,0,0,0,
1,0,0,-1,0,0,0,0,-1,-1,0,0,0,0,1,1,-1,1,0,0,0,1,0,0,0,0,0,0,0,0,
0,0,-1,0,1,1,1,1,-1,1,-1,-1,-1,1,0,0,0,0,0,1,0,1,1,1,1,-1,1,1,0,0,
0,0,0,0,0,0,0,0,0,0,-1,1,-1,-1,0,1,0,0,0,0,0,0,0,1,1,1,1,0,1,0,
 };
static signed short stb__arial_bold_22_latin1_y[224]={ 17,2,2,2,1,2,2,2,2,2,2,5,14,10,
14,2,2,2,2,2,2,3,2,3,2,2,6,6,4,6,4,2,2,2,2,2,2,2,2,2,2,2,2,2,
3,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,19,2,6,2,6,2,6,2,6,2,2,
2,2,2,6,6,6,6,6,6,6,3,6,6,6,6,6,6,2,2,2,8,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,17,6,2,2,4,2,
2,2,2,2,2,7,6,10,2,0,2,3,2,2,2,6,2,8,17,2,2,7,2,2,2,6,-1,-1,-1,-1,
-1,0,2,2,-1,-1,-1,-1,-1,-1,-1,-1,2,-1,-1,-1,-1,-1,-1,5,2,-1,-1,-1,-1,-1,2,2,2,2,
2,2,2,2,6,6,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,4,6,2,2,2,2,2,2,2,
 };
static unsigned short stb__arial_bold_22_latin1_w[224]={ 0,4,8,11,11,17,14,4,5,6,8,11,4,6,
4,7,10,7,10,11,11,11,11,11,11,11,4,4,11,11,11,11,20,15,13,14,13,12,11,15,12,4,10,14,
11,15,12,15,12,16,14,13,12,12,15,19,14,15,12,6,7,6,10,13,5,11,11,11,11,11,8,11,10,4,
6,10,4,16,10,12,11,11,7,11,7,10,11,16,11,11,10,8,3,8,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,0,4,11,11,11,11,
3,11,7,16,7,10,11,6,16,13,7,11,7,7,6,10,12,4,6,5,7,9,17,16,17,12,15,15,15,15,
15,15,20,14,12,12,12,12,6,5,8,8,15,12,15,15,15,15,15,10,15,12,12,12,12,15,12,11,11,11,
11,11,11,11,17,11,11,11,11,11,6,5,8,8,12,10,12,12,12,12,12,11,12,10,10,10,10,11,11,11,
 };
static unsigned short stb__arial_bold_22_latin1_h[224]={ 0,15,6,16,18,16,16,6,20,20,8,10,7,4,
3,16,16,15,15,16,15,15,16,14,16,16,11,15,12,8,12,15,20,15,15,16,15,15,15,16,15,15,16,15,
14,15,15,16,15,17,15,16,15,16,15,15,15,15,15,19,16,19,9,2,4,12,16,12,16,12,15,16,15,15,
20,15,15,11,11,12,15,15,11,12,15,12,11,11,11,16,11,20,20,20,5,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,0,15,19,16,12,15,
20,20,3,16,8,10,8,4,16,3,7,14,9,9,4,15,19,4,5,9,8,10,16,16,16,16,18,18,18,18,
18,17,15,20,18,18,18,18,18,18,18,18,15,18,19,19,19,19,19,10,16,19,19,19,19,18,15,16,16,16,
16,16,16,16,12,16,16,16,16,16,15,15,15,15,16,15,16,16,16,16,16,12,12,16,16,16,16,20,19,20,
 };
static unsigned short stb__arial_bold_22_latin1_s[224]={ 254,64,100,140,56,47,104,109,32,13,78,
237,95,133,180,246,156,76,162,205,209,197,18,201,43,72,250,195,85,38,37,
64,73,221,14,147,25,39,52,96,96,109,136,182,177,237,1,239,28,1,149,
217,164,30,133,113,98,82,69,119,231,139,27,185,152,1,193,13,112,25,173,
162,151,146,66,126,121,167,127,72,84,52,196,97,248,49,184,138,155,124,204,
57,103,94,114,213,213,213,213,213,213,213,213,213,213,213,213,213,213,213,213,
213,213,213,213,213,213,213,213,213,213,213,213,213,213,213,213,213,254,190,235,
84,60,215,38,107,158,55,62,226,50,133,1,166,87,189,19,11,145,1,1,
140,126,249,70,1,86,69,51,38,68,116,84,100,231,18,227,42,187,132,145,
158,247,247,200,209,174,218,162,146,178,14,206,215,65,126,30,43,222,171,12,
152,164,222,234,210,14,128,109,116,176,104,26,81,114,200,206,137,180,41,143,
167,130,1,34,238,225,93,188,199,119,20,194,1, };
static unsigned short stb__arial_bold_22_latin1_t[224]={ 1,110,139,42,22,42,60,139,1,1,139,
126,139,139,139,42,60,94,94,60,94,94,77,110,77,77,110,77,126,139,126,
94,1,94,110,77,94,94,94,77,94,94,77,94,110,94,110,60,110,42,110,
60,110,77,110,110,110,110,110,1,60,1,139,139,139,126,60,126,77,126,94,
77,94,94,1,94,94,126,126,126,94,110,126,126,77,126,126,126,126,77,126,
1,1,1,139,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,
110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,1,77,1,
77,126,77,1,1,139,77,139,126,139,139,77,139,139,110,139,139,139,94,22,
139,139,126,139,139,60,60,60,60,22,22,22,22,22,42,77,1,22,22,22,
22,1,22,22,22,77,22,1,1,1,22,1,126,42,1,22,22,1,22,94,
42,42,42,42,42,60,42,126,42,42,42,60,42,94,77,77,94,60,110,60,
60,60,60,42,110,110,42,42,42,60,1,1,1, };
static unsigned short stb__arial_bold_22_latin1_a[224]={ 88,105,149,175,175,280,228,75,
105,105,123,184,88,105,88,88,175,175,175,175,175,175,175,175,
175,175,105,105,184,184,184,192,307,228,228,228,228,210,192,245,
228,88,175,228,192,262,228,245,210,245,228,210,192,228,210,297,
210,210,192,105,88,105,184,175,105,175,192,175,192,175,105,192,
192,88,88,175,88,280,192,192,192,192,123,175,105,192,175,245,
175,175,158,123,88,123,184,236,236,236,236,236,236,236,236,236,
236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,
236,236,236,236,236,236,236,236,88,105,175,175,175,175,88,175,
105,232,117,175,184,105,232,174,126,173,105,105,105,182,175,88,
105,105,115,175,263,263,263,192,228,228,228,228,228,228,315,228,
210,210,210,210,88,88,88,88,228,228,245,245,245,245,245,184,
245,228,228,228,228,210,210,192,175,175,175,175,175,175,280,175,
175,175,175,175,88,88,88,88,192,192,192,192,192,192,192,173,
192,192,192,192,192,175,192,175, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_22_latin1_BITMAP_HEIGHT or STB_FONT_arial_bold_22_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_22_latin1(stb_fontchar font[STB_FONT_arial_bold_22_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_22_latin1_BITMAP_HEIGHT][STB_FONT_arial_bold_22_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_22_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_22_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_22_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_22_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_22_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_22_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_22_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_22_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_22_latin1_s[i] + stb__arial_bold_22_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_22_latin1_t[i] + stb__arial_bold_22_latin1_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_22_latin1_x[i];
            font[i].y0 = stb__arial_bold_22_latin1_y[i];
            font[i].x1 = stb__arial_bold_22_latin1_x[i] + stb__arial_bold_22_latin1_w[i];
            font[i].y1 = stb__arial_bold_22_latin1_y[i] + stb__arial_bold_22_latin1_h[i];
            font[i].advance_int = (stb__arial_bold_22_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_22_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_22_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_22_latin1_s[i] + stb__arial_bold_22_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_22_latin1_t[i] + stb__arial_bold_22_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_22_latin1_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_22_latin1_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_22_latin1_x[i] + stb__arial_bold_22_latin1_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_22_latin1_y[i] + stb__arial_bold_22_latin1_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_22_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_22_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_22_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_22_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_22_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_22_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_22_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_22_latin1_LINE_SPACING
#endif

