// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_23_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_23_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_23_latin1_BITMAP_WIDTH         256
#define STB_FONT_arial_bold_23_latin1_BITMAP_HEIGHT        158
#define STB_FONT_arial_bold_23_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_bold_23_latin1_FIRST_CHAR            32
#define STB_FONT_arial_bold_23_latin1_NUM_CHARS            224

#define STB_FONT_arial_bold_23_latin1_LINE_SPACING          15

static unsigned int stb__arial_bold_23_latin1_pixels[]={
    0x87faafec,0x90000eeb,0x07f805ff,0xddddd995,0x881be23d,0x4c0adeda,
    0x3bbbaa7f,0xbdfb9102,0x80170007,0x40001cca,0xa8001cca,0x77dc01cc,
    0x400c0003,0xb9801eeb,0x001bceed,0x7f99ff5c,0xbfb00000,0x3ff21fea,
    0x2ff88001,0x7ec27dc0,0xffffffff,0x7ec0bf62,0x7cc6ffff,0x0ffffee7,
    0x3fffffea,0x1f3000ef,0x005fe880,0x4002ff40,0x200efff8,0x8804fffb,
    0x00fbbdfe,0xc880ffe4,0xffffffff,0xffc800ef,0x5c0ff33f,0x803ff16f,
    0x905511a9,0xf70003ff,0x41ff8807,0xeefffffb,0x1bea1eff,0x3f277fe6,
    0xfb9fe62f,0x7fd41abf,0x5fffedff,0x2200b700,0xf50000fe,0x2ff6000d,
    0x3ee604fc,0xecfb807f,0xeeb806ff,0xbdefe981,0x03bf6620,0x2637dff0,
    0x45bee07f,0x200001ff,0x00001ffc,0x3fa1bf20,0xff8affff,0x2e17fc41,
    0x98b323ff,0x403fee7f,0x3e60bffe,0x03e801ff,0x40006a20,0xa88000a9,
    0xf9002aa2,0x14c3300f,0x2ffc4000,0x100ef980,0x07f987ff,0x05544aa6,
    0xcc80cca8,0x36a7ff24,0x066541de,0x0ffe2664,0x2bfffffe,0x6fd81ff8,
    0x3017ffcc,0x407fdcff,0x9d704ffb,0x7fdd9303,0xdeedb880,0xdb71000c,
    0x220019bd,0x00cdeedb,0x22007fdc,0x00cdeedb,0x3f606654,0x26b76e66,
    0x104fa9cc,0x07f985ff,0x337bb6e2,0x987ff500,0x37ff25ff,0x2a2fffff,
    0x2ffcc3ff,0xff903ff1,0x3ff15fff,0xfd81ff50,0x7f980dff,0x3f603fee,
    0xffc8001f,0xf704ffff,0x7fffffff,0xfffffb80,0x7dc03fff,0x3fffffff,
    0xb803fee0,0xffffffff,0x987ff203,0xffff30ef,0x1b61ffdf,0x3e617fcc,
    0xfffff707,0xff107fff,0x322ffb8d,0xffdadfff,0xb8dff10f,0x03fea2ff,
    0x2bffffe6,0xff981ff8,0x3ffffee1,0xf73fcc2f,0x01ffd01f,0xecfffa80,
    0x7fdc1fff,0xfffeccef,0x9dfff703,0x207fffd9,0xeccefffb,0xff503fff,
    0x3bffee03,0x03fffecc,0x8fdc3ff9,0xfd88cff9,0x2603f27f,0x43fcc1ff,
    0xeccefffb,0xffc83fff,0xff91ffa1,0x323ffc8b,0x71ffa1ff,0x7ff5c0ff,
    0x881ff8af,0x15ff13ff,0x7cc7fffd,0x3e03fee7,0xffe8007f,0x445bd7f1,
    0xffb83fff,0x1fffc40f,0x2207ffdc,0xffb83fff,0x84ff880f,0xfb83fff8,
    0x1ffc80ff,0x237e43f6,0x0bea5ff9,0xff303ff2,0xb83fff88,0x7fcc0fff,
    0xfc89ff13,0x327fd43f,0x13fe27ff,0xff500dfb,0x3e03ff15,0x645ff54f,
    0x3ee01fff,0x00ffe80f,0x07abffc0,0xfc817fee,0x02ffdc4f,0xffb89ff9,
    0x413ff205,0x3ee1dffd,0x13ff205f,0x26f87ff2,0x1ffc42fe,0x7fecc5f7,
    0x7dc7f985,0x13ff205f,0x0ffddbfa,0xff107ff2,0xff76fe8b,0xf006fe83,
    0x203ff15f,0x1fff15ff,0xf7027fd4,0x03ffb01f,0x2dff1062,0x07ff605c,
    0x7ec6ff88,0x1bfe201f,0x7c403ffb,0x8bffa06f,0x3e201ffd,0x31ffc86f,
    0x307fe69f,0x507ec3ff,0x1fe60dff,0x7c403ffb,0xe9ffb86f,0x42ffc86f,
    0x7fdc5ff9,0x6fd86fe9,0xff15ff00,0xfe93fe03,0x813fa1ef,0xffc80ffb,
    0x7c7df704,0x7f405f7f,0x23ffc00f,0x7fc00ffe,0x2007ff47,0xfff707ff,
    0x2007ff43,0x1ffc87ff,0x21fee7f3,0x8df10ffb,0xf983fffa,0x2007ff47,
    0xcff887ff,0x4ffc83ff,0x3e21ffdc,0xfc83ffcf,0xf15ff007,0x88ffe03f,
    0xff9bffff,0x7fdc9912,0x41fff980,0x3f62fff8,0x3ef88fbf,0x3fe01ffe,
    0x201ffe0f,0x1ffe0fff,0xf103ffe0,0x00fff0bf,0xffc81fff,0x0ffd57e1,
    0x17f45bfe,0x7cc3ff44,0x7c03ffc7,0xfffd80ff,0xcfffc80f,0xd81fffa8,
    0xfb80ffff,0xf15ff007,0x85ff103f,0x4fffffd8,0x0ffb9fe6,0x97dfff90,
    0xffb8dfff,0x21ffd9df,0x7fc00fff,0x2007ffc7,0x07ffc7ff,0x3e61ffe0,
    0x00fff82f,0x7fe43ffc,0x24ff9fa1,0x5fd9effc,0xf307fea0,0x400fff8f,
    0xfff507ff,0x3ffff20b,0xf504ffff,0x3fe60bff,0xf8aff800,0x01ffa81f,
    0x4c1ffff7,0x803fee7f,0xfffffffd,0xffffd80f,0x0fff45ff,0xfe8dff10,
    0x1bfe201f,0x7c403ffd,0x80ffa86f,0x3e201ffe,0x21ffc86f,0xffff92fc,
    0x09ffffff,0x7cc2ff98,0x100fff47,0x7ffc0dff,0xfb3ff902,0xfff807ff,
    0x007ff102,0x03ff15ff,0xfd880df7,0xfb9fe65f,0x7ff5400f,0x3f200cff,
    0x7ec0bdff,0x17fee04f,0x7dc09ffb,0x027fec5f,0xff70bff7,0x409ffb01,
    0xffc85ffb,0x6cc3bea1,0x2cefb8be,0x0bfe6026,0x4ffd8ff3,0x4417fee0,
    0x3ff207ff,0x3fe20061,0x402fe407,0x81ff8aff,0x225d43fe,0xb9fe67fe,
    0xfd8800ff,0x09eb801d,0x207ffe60,0x7cc1fff9,0xfff981ff,0x40fffcc1,
    0xfb81fff9,0x03fff307,0xf903fff3,0x01efd81f,0x220bfa60,0x23fcc3ff,
    0xf981fff9,0xffc881ff,0x007ff204,0x404ffc88,0xaff807f8,0x3fc41ff8,
    0xdfd1ffd4,0x1ff73fcc,0x0df53100,0x3f2009b0,0xffcaacff,0x9fff905f,
    0x0bfff955,0x2ab3fff2,0x4c45fffc,0x3ff207fe,0xfffcaacf,0x43ff54c5,
    0x200affe8,0xf102ffb8,0x43fcc3bf,0xcaacfffc,0x7fc45fff,0x3f200fff,
    0xfff8801f,0x2fc800ff,0x7fc57fc0,0xfe81fdc1,0x262fffff,0x3fffee7f,
    0x037cc103,0x6c4007e2,0xffffffff,0xfffb100d,0x01bfffff,0x3fffff62,
    0x7dc0dfff,0x3f6205ff,0xdfffffff,0x037ffe40,0x99bffff9,0x805ffffb,
    0xff33fffe,0xfffffb10,0xff01bfff,0xffc805ff,0x5ffff001,0xf01be200,
    0xe83ff15f,0xfff9300f,0x2e7f989f,0xf503ffff,0x69803bff,0xfffea800,
    0xfd5002ef,0x2005dfff,0x2effffea,0x003dff70,0x5dffffd5,0x007fffa0,
    0xfffffd93,0xd30017df,0x81fe67ff,0x2effffea,0x00006a60,0x8001a980,
    0xa880002a,0x10133001,0x4cccc455,0x00006200,0x00031000,0x44000188,
    0x00199801,0x33100310,0x33331000,0x46660001,0x031002a8,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x000b3260,0xc800f322,0xb800003c,0xf101eeee,0x4c000005,
    0x220002cc,0x644003cc,0x0880003c,0x26000000,0x65c002cc,0x1cca800c,
    0x20022000,0x40000cca,0x7e400ccb,0x7fe4000f,0x7fff9000,0x3f27ff00,
    0x2ffffc85,0x203efd98,0x03ff17fb,0x0001ff90,0xb0003fee,0x64005fff,
    0x803eabef,0x09fd1ff8,0x2002ff40,0x3a003ff8,0x9ff5005f,0xff980bb5,
    0x22ff706f,0x13fe21ff,0x8800ff60,0xdf3001ff,0xff803ff3,0x9530bf93,
    0xfffd85ff,0x7fb80fff,0x32003ff1,0x3ff0003f,0xfaefb800,0xddf8800f,
    0xf8800fff,0x2009fd1f,0x64000ef9,0x7f44004f,0xffdee801,0x6d7f402f,
    0xf17fb83f,0x00ff983f,0x2a2002a8,0x4c6aa001,0x9855401a,0x8bfe602a,
    0xffefcff9,0x2aa2a884,0x000aa000,0x2a0006a2,0x1003530a,0x50005445,
    0x4006aa15,0x2a8000a9,0x00351000,0x2200d415,0x5105512a,0x54c05545,
    0x640bbaa0,0x05dd50ee,0x77543bb2,0x2a1dd902,0x1dd902ee,0x3f22ff98,
    0x24ecaf8d,0xeeeeeeea,0x3a602eee,0xee98005e,0x5ee98005,0x05ee9800,
    0x405ee980,0xeeeeeeea,0x3bb22eee,0x54bbb603,0xeeeeeeee,0x07dd52ee,
    0x77543baa,0xeeeeeeee,0xb80f75c2,0x0ffee1ee,0xffb8ffec,0x2e3ffb03,
    0x3ffb03ff,0x7ec0ffee,0xb17fcc1f,0x2e05f1bf,0xffffffff,0x3ff602ff,
    0x7fec002f,0x7fec002f,0x7fec002f,0x7fec002f,0x3ffee02f,0x2fffffff,
    0x2a07ffe6,0x3ffee6ff,0x2fffffff,0xf703fff7,0x3fffee3f,0x42ffffff,
    0xff902ffc,0xd81ffdc5,0x07ff71ff,0x7fdc7ff6,0x2e3ffb03,0x3ffb03ff,
    0x3ee2ff98,0xff702fcf,0xdddddddd,0x3fffe205,0x3ffe2005,0x3fe2005f,
    0x3e2005ff,0x22005fff,0x2e05ffff,0xeeeeeeff,0x2ffe42ee,0xff717ff4,
    0xdddddddd,0x217ffee5,0xdff71ffb,0x5ddddddd,0xf902ffc8,0x81ffdc5f,
    0x7ff71ffd,0x7dc7ff60,0x23ffb03f,0xffb03ffb,0x222ff983,0xb82dffff,
    0xf70003ff,0x2001ffff,0x00fffffb,0x1fffff70,0x3fffee00,0xfff7000f,
    0x3fee01ff,0x7ffc4003,0xf717ff22,0x3fee007f,0x8ffdc2ff,0x64003ffb,
    0x5ff902ff,0xfd81ffdc,0x207ff71f,0x7ff71ffd,0x7dc7ff60,0x83ffb03f,
    0x7ecc2ff9,0x3ee1efff,0xffd0003f,0x3a009ff7,0x004ffbff,0x09ff7ffd,
    0x3fefffa0,0xf7ffd004,0x0ffee09f,0x45bfea00,0x7fdc0fff,0xffff7003,
    0xb8ffdc1f,0x7e4003ff,0x45ff902f,0xffb03ffb,0x6c0ffee3,0x07ff71ff,
    0x7fdc7ff6,0x983ffb03,0xfff502ff,0x01ffdcdf,0x7c67fcc0,0xcff9807f,
    0xf9807ff8,0x807ff8cf,0x7ff8cff9,0xf8cff980,0x07ff707f,0x373ff600,
    0x3ffb83ff,0xffdff700,0xfb8ffdc9,0x7fe4003f,0x5c5ff902,0x3ffb03ff,
    0x7ec0ffee,0x207ff71f,0x7ff71ffd,0xf307ff60,0x36fe205f,0xffff70ff,
    0x20dfffff,0x5ffb1ffc,0xfb1ffc80,0x1ffc805f,0xfc805ffb,0x805ffb1f,
    0x5ffb1ffc,0xffffff70,0x7c40dfff,0xf706ffff,0xffffffff,0x7fd7fdcd,
    0x2e3ff71f,0xffffffff,0x02ffc86f,0x7fdc5ff9,0x2e3ffb03,0x3ffb03ff,
    0x7ec0ffee,0x207ff71f,0x7fcc1ffd,0x2be22a62,0xfff73ff8,0x0dffffff,
    0x7fccdff1,0x99bfe205,0x3fe205ff,0x8817fe66,0x17fe66ff,0x3e66ff88,
    0xffffb85f,0x406fffff,0x701ffffb,0xffffffff,0x54ffdcdf,0x23ff76ff,
    0xfffffffb,0x2ffc86ff,0x7dc5ff90,0x23ffb03f,0xffb03ffb,0x6c0ffee3,
    0x07ff71ff,0xff307ff6,0x57c6ffc5,0xbff71ff8,0x07999999,0xfff87ff7,
    0xf87ff700,0x7ff700ff,0xf700fff8,0x00fff87f,0xfff87ff7,0x666ffdc0,
    0xe803cccc,0x3fee04ff,0x3ccccccd,0x7fec7fee,0xff71ffbb,0x7999999b,
    0x3205ff90,0x0ffea2ff,0xffa8ffec,0x2a3ffb03,0x3ffb03ff,0x7ec0ffea,
    0x917fcc1f,0xdfb7f9ff,0x2001ffdc,0xfeeeeffe,0xdffd04ff,0x09fffddd,
    0x3bbbbffa,0xffd04fff,0x9fffdddd,0x3bbbffa0,0x7dc4fffe,0x7e40003f,
    0x0ffee02f,0xf98ffdc0,0xf71ffcff,0xffc8007f,0x545ff902,0x1ffd04ff,
    0x7f413fea,0x209ff50f,0x9ff50ffe,0xf303ffa0,0x7fffc45f,0x3fee2fff,
    0x3ffe6003,0x7fffffff,0xffffff98,0xf987ffff,0xffffffff,0xffff987f,
    0x87ffffff,0xfffffff9,0x7fdc7fff,0x7fe40003,0x00ffee02,0xff90ffdc,
    0x3fee3fff,0x17fe4003,0x3e62ffc8,0x3ffcc0ff,0xf981fff3,0x03ffe67f,
    0x7fccfff3,0x43ffcc0f,0x7e442ff9,0x7fdc0cff,0x37ff2003,0xffeccccc,
    0x666ffe42,0x42ffeccc,0xccccdffc,0x7e42ffec,0xecccccdf,0x6ffe42ff,
    0xffeccccc,0x000ffee2,0x5c05ff90,0xff7003ff,0x1ffffe83,0xc8007ff7,
    0x5ff902ff,0xcabeffe8,0x7ff44fff,0x4fffcabe,0x655f7ff4,0x7ff44fff,
    0x4fffcabe,0xf102ff98,0x2b7fee05,0x21aaaaaa,0xff500fff,0x500fff8b,
    0x0fff8bff,0xff8bff50,0x8bff500f,0xff500fff,0x556ffdcb,0x401aaaaa,
    0x3ee02ffc,0xaaaaaadf,0xa83ff71a,0xff71ffff,0x5555555b,0x902ffc83,
    0xfffa85ff,0x40ffffff,0xfffffffa,0x7ffd40ff,0x40ffffff,0xfffffffa,
    0x3fff20ff,0x205f102f,0xfffffffb,0xbff55fff,0xf50fff80,0x0fff80bf,
    0xff80bff5,0x80bff50f,0xbff50fff,0xf70fff80,0xffffffff,0x2ffc80bf,
    0x3ffffee0,0xf75fffff,0x3fffb03f,0x3fffffee,0x7e45ffff,0x05ff902f,
    0x9fffffb3,0x3fff6601,0xfb300cff,0x2019ffff,0xcfffffd9,0x17fffe40,
    0xffffb800,0xb5ffffff,0xffc805ff,0xc805ffb4,0x05ffb4ff,0xffb4ffc8,
    0xb4ffc805,0xffc805ff,0xffffff74,0xc80bffff,0x3fee02ff,0xffffffff,
    0xf103ff75,0x3ffee3ff,0x5fffffff,0xfc817fe4,0x004c402f,0x10002620,
    0x09880013,0x02666620,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0xcca81cc9,0x0005d401,
    0x10000000,0x0000a801,0x76e44000,0x74000cdf,0x3fea00ef,0x27db3004,
    0x2a9fb01a,0x42ee207f,0x26bf902a,0x6fe880ff,0x37bd9300,0x7f47fe20,
    0x07ffa204,0x1fecff30,0x3ffe2799,0x013fe20f,0x3000d7d5,0x0037dfb7,
    0x677f6e44,0x37a01db0,0xfb73001f,0x3ea0037d,0x3fffffff,0x001ff500,
    0x26001ff5,0xfb01dffe,0xfe81fea9,0xf903feff,0x4403fe6b,0x7fe402ff,
    0xf883ffff,0x6c09fd1f,0x2e00ffef,0xff8bfe5f,0x4bf97fb6,0xd3c805fb,
    0x6ffec001,0x400effdc,0xfffffffa,0x2f105fef,0xdffd804b,0x200effdc,
    0xeccefffb,0xfe803fff,0x00fee001,0x3027ffdc,0x440aa235,0x00cdb89e,
    0x00aa2553,0x7fcc0df3,0x80ffebcf,0x203550aa,0x40bf96fa,0x41ff14fc,
    0x2a2a8eff,0x2a00550a,0x3f6007ef,0x201df302,0xfdcefffb,0x3a00efff,
    0x17ec01fd,0xf880ef98,0xfffb83ff,0x00000000,0x17fccedc,0x00000000,
    0xffd80000,0x000b7a61,0x97f40000,0x704cc6fa,0x1eeb83dd,0x017ffec0,
    0x555557ec,0x881df10a,0x7ec43fff,0x005400ff,0x0ab98bf6,0xffc81df1,
    0x413ff205,0x403dedb8,0x803dedb8,0x00ffcbc9,0x8807bdb5,0x2203dedb,
    0x202ceeca,0xff03deda,0xedb8800f,0x6f6d403d,0xfffffe83,0x201fffff,
    0x7fe42ffc,0x3fffe202,0xfe97cc05,0x7f11ffff,0xfa85ffc8,0xca884fff,
    0x2f982cee,0x443ffffa,0x00ffec3f,0xff30dff1,0x301dffff,0x1dffffff,
    0xfffffd30,0xffffb0bf,0xfff301df,0xfd01dfff,0xb07fffff,0x41dfffff,
    0x26006ff8,0x0effffff,0xefffffd8,0x3fffffa0,0x201fffff,0x7fe42ffc,
    0x3fffee02,0x5e9ee00f,0x6c5d93e6,0x5ffcc1ff,0xfffe86ff,0x93dc3fff,
    0x5d97e25f,0x3e007ffc,0x6fffcc7f,0x7cc6ffeb,0x6ffebdff,0x7ef7ffc4,
    0x3fee0fff,0x4c5ffcad,0xffebdfff,0x5cdffe46,0x6ffdc6ff,0x7fc5ffca,
    0xbfff3007,0xfb8dffd7,0x25ffcadf,0xf99efc98,0x7fe401af,0xd017fe42,
    0x409ff7ff,0x3f997a5d,0x41fff1ee,0x7ff8aff9,0x7dcdffe4,0x8dd2ec6f,
    0x1ffe3dc0,0xfc83ffe0,0x917fec3f,0x2ffd87ff,0xfe893ff6,0xf91ffe2f,
    0x21ffe43f,0x0ea62ffd,0x47ff8ffb,0x3ffa1ffc,0xfc8fbe21,0xf17fec3f,
    0x41ffc8ff,0x01ff14fc,0xfc85ff90,0x19ff302f,0xd1fc0fff,0x4c1bffdf,
    0xe89ffe1f,0x983ffe3f,0x3e3fec3a,0xf9809f13,0x3e01ffe1,0x207ff47f,
    0x3ffa4ffa,0xff27fd40,0x14ffb81f,0xf7333bff,0x207ff45f,0xb7304ffa,
    0x3fe21fff,0x2ffb999d,0x366bbfee,0x03ffa1ff,0x3fe29ff5,0x2ffb999d,
    0x86fa97f4,0x0bff25ed,0x3f205ff9,0x205ffb1f,0x3bafba4e,0xfff07d40,
    0xff89fd11,0x3ff6e607,0x46e93a0f,0xffd07d40,0x137fc401,0xbff10dff,
    0x3e21bfe2,0x30dff15f,0x3ffe6bff,0x13ffffff,0xbff10dff,0xffffffc8,
    0xfffff30f,0xfe87ffff,0x225fffff,0x5ff886ff,0xfffffff3,0x3ffb27ff,
    0x0eeffeee,0x17fe4dff,0x3e20bff2,0x417fe66f,0x37c57a6c,0xb3ffd1b2,
    0x86ff88bf,0xfffffffc,0x20fb9b20,0xff91b65e,0xffb97449,0x7d43ffc5,
    0x2a1ffe5f,0x21ffe5ff,0xbff14ffa,0x43555555,0x5ffa87ff,0x322b7ff6,
    0x5bff10ff,0x90355555,0xf817bfff,0x15ffa87f,0x55555bff,0x3ffffa35,
    0xf1ffffff,0x217fe4df,0xffb82ffc,0x5407ffc3,0x1fdcbd1f,0xffffc89f,
    0x6c5ffb85,0xffc8adff,0x7fcc7ea0,0x313e2fec,0x3fee3fff,0x7ec2fffe,
    0xb1ffe41f,0x3ffc83ff,0xffb0bffa,0x26237f47,0x320ffec0,0x8bff13ff,
    0x1bfa0ffd,0x77d40131,0xc83ffb03,0x11bfa3ff,0x577ed413,0x00aabffa,
    0xff90bff2,0xdddffd05,0xd109fffd,0x8dd89b1d,0x7ffcc1fd,0x0fffc40e,
    0xffd8bff1,0x5c43ba20,0x207f62de,0xfbabfffc,0xffb85fff,0x0fffc9be,
    0x326fbfee,0x3fea0fff,0x0fffc9ae,0x3a22fff2,0x3bfee0ff,0x10fffc9b,
    0x7ffd4dff,0x222fff20,0x93300ffe,0x7dff705f,0x641fff93,0xffe88bff,
    0x7fc53f60,0x85ff9000,0x7fcc2ffc,0xffffffff,0x401dd107,0xfffd01fd,
    0xbfff735b,0x3ea6ff88,0x077440ff,0x36203fb0,0xffffffff,0xfffc81ef,
    0xfc82ffff,0x82ffffff,0xfffffffd,0x7ffffc42,0xfffc83ff,0x7ec2ffff,
    0x1ffffeff,0x3fffffe2,0x3f22103f,0xfffff902,0xfff885ff,0x7f43ffff,
    0x6400df52,0x17fe42ff,0x33337ff2,0x102ffecc,0xd9537bfd,0x3ffea05f,
    0xdfffffff,0xfefffd80,0xfe881fff,0x2ffca9bd,0xffffea80,0xb83fffdd,
    0x201dfffe,0x01dfffeb,0x07bfffee,0x1efffec4,0x3bfffd70,0x39fff910,
    0xffd889ff,0x3ffa03df,0x7ff5c04e,0xffb101df,0x0ff887bf,0x7e4009f9,
    0x217fe42f,0xff500fff,0x7ff5c40b,0xff101cef,0xdffffd53,0x7ffe4405,
    0x7104ff9c,0x039dfffd,0xffa81100,0x0c000c00,0x30006200,0x20018001,
    0x00098001,0x00300013,0x88660098,0x3ff20009,0xf517fe42,0x0fff80bf,
    0x50009880,0x30003305,0x004c4000,0x00030000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xf90bff20,0x017fec5f,0x00013ff2,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xffc80000,
    0x0017fe42,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x1bdeda80,0x001ffa20,
    0xfe805ff9,0x88e5402f,0x0599100c,0xd005f64c,0x2207e80b,0x103f403f,
    0x5f6d407f,0x3006f980,0x50017bd9,0xff8007ff,0xb2ff880e,0x37fd409f,
    0x3cc83cb8,0x802cdc98,0xb800eff9,0x7fffdc4f,0x3fa200ff,0x05ff1003,
    0x00ffefc8,0x0dfffff5,0xf8827fc4,0x3f505fce,0xc81ffaa0,0x81ffaa06,
    0x37bea06c,0x802fd84f,0x0ffffffb,0x2007fb80,0xff100efb,0x7c413f65,
    0x6fe84fef,0x7fd46ff8,0x3e204fff,0xfd805fef,0x327bfe62,0x37c404ff,
    0x4c03fb80,0x705fb8ef,0x405bb519,0x15104ff8,0x813a0ff1,0x5f307fef,
    0x983ff7c0,0x22bf602f,0x8037cc7f,0x3fe98efe,0x2007f900,0x855400fe,
    0x17fb01aa,0x86fe85fd,0x3ffe26ff,0xfb02ffec,0xff00bfa7,0xff17fd41,
    0x0000000b,0x98000000,0x17fd4009,0x3e3007dc,0xf180db07,0xff01b60f,
    0x2fd87fa1,0x365ff880,0x0000006f,0xd0000000,0x5cdff0df,0x0bff12ff,
    0x237cc000,0x7ff51ffb,0x33bb2a20,0x0f7b6a02,0x2ceeca88,0x59dd9510,
    0x4403ed80,0x0fe20fea,0x0fd43fc0,0x1fa87f80,0x1ff8ffc0,0x7f400df3,
    0x504ffa9f,0x0cca8199,0xcca81995,0xca819950,0xa819950c,0xf0dfd0cc,
    0x363ff4df,0xedb880ff,0x227dc03d,0x1ffd1ffc,0x3fffffa0,0xffffd83f,
    0xfffe80ef,0xffe83fff,0xf103ffff,0x6472607f,0xf801b22f,0x3e005e87,
    0xfc805e87,0x0bf66f8a,0xfffffa80,0x83ff900d,0x3ff90ffd,0xff90ffd8,
    0xf90ffd83,0xd0ffd83f,0x74dff0ff,0x20ffe46f,0xeffffff9,0xfc85fb00,
    0x905ff89f,0xdff737ff,0xfcadffb8,0x4dffe45f,0x7fe46ffb,0xb06ffb9b,
    0x3fe205ff,0x00be66fd,0x007dc7f8,0x00fb8ff0,0x34ffffa8,0xff8800df,
    0x7fe405ff,0xfc87fec1,0xc87fec1f,0x87fec1ff,0x7fec1ffc,0xff88ffd0,
    0xff91bfe6,0x5efffcc3,0x1ff06ffe,0xff99ffc8,0x6c3a981f,0x323ffc7f,
    0xb0ea61ff,0x6c3a98ff,0x04ffd87f,0xdb05edcc,0x89320110,0x9320044f,
    0x880884f8,0x10bf61cb,0x7ffff4c0,0x20ffe405,0x3ff90ffd,0xff90ffd8,
    0xf90ffd83,0xd0ffd83f,0xb7fcc1ff,0x7fdc6ff8,0xfb0fff22,0xc87f885f,
    0x1dffb1ff,0x7ffedcc0,0x333bff10,0x2e605ff7,0x7300fffd,0x7f41fffb,
    0x3ea0005f,0xc8037cc1,0x09ffb50f,0xdf303f20,0x645be600,0x7fcc0cff,
    0xf9bfffbf,0xb07ff21d,0x07ff21ff,0x3ff21ffb,0xfc87fec1,0xe87fec1f,
    0xffe99eff,0xff71bfe6,0x2a07ff45,0x42fd44ff,0x3ffa1ffc,0xfffffc86,
    0xffff30ff,0xc87fffff,0x0fffffff,0x7fffffe4,0x00bff70f,0x7fc45e80,
    0x3a3f8806,0x4402fcaf,0x037fc43f,0x9bf72fd8,0x32ffc8bf,0x41ffdfff,
    0x7fec1ffc,0xfd83ff90,0xd83ff90f,0x83ff90ff,0xfffd0ffd,0x7cdfffff,
    0x88ffe46f,0x5ff886ff,0x7fe41fe4,0xd8fffa21,0xffc8adff,0x555bff10,
    0x7fec3555,0x20ffc8ad,0xfc8adffd,0x2a0ffd0f,0x207dc009,0x6d806fee,
    0x403fb8d4,0x06fee86d,0x27fa6f98,0x237f47f8,0x645ffffb,0x87fec1ff,
    0x7fec1ffc,0xfd83ff90,0xd83ff90f,0xf7dfd0ff,0x7f4dfd9f,0xff07fe47,
    0xe8bff50f,0x41ffc81f,0xbff15ff8,0x3fa0ffd8,0xff104c46,0xf10ffd8b,
    0xd0ffd8bf,0x05ff70df,0x23f227c4,0x817cc06e,0x3e600ffa,0x03747e42,
    0x0ff897ec,0x07ff43ff,0xf70bfff6,0x70ffe85f,0x0ffe85ff,0xffe85ff7,
    0xfe85ff70,0x022dfd0f,0x3fa1ffd8,0x320ffec7,0x41fe23ff,0xf3371ffc,
    0xa9bfe29f,0x3ff20fff,0x10ffe88b,0x7ffd4dff,0x7d4dff10,0x19ff90ff,
    0xc803ffea,0x3f3bea0f,0x5c17a04f,0x22f401ef,0x04ffcefa,0x21ff1be6,
    0x37fee0ff,0xfffffb89,0x2237fea3,0xff50fffc,0x1fff911b,0x32237fea,
    0xbff50fff,0x21fff911,0xff3006fe,0xb87ff73b,0xffc9beff,0x6417ea0f,
    0xffffc9ff,0x3bfff60f,0x3e21ffff,0x43ffffff,0xfffefffd,0x3bfff61f,
    0x3fa1ffff,0x02ffffff,0xfff70fe2,0x07ea0fff,0x40267fee,0x7ffdc1fa,
    0x0bf607ff,0x88df57f9,0xffffffff,0xff11fffe,0x1ffdffff,0x3fffffe2,
    0xfff10ffe,0x21ffdfff,0xeffffff8,0x00dfd0ff,0x7fffffec,0xfffffc80,
    0x81fe42ff,0xbffb1ffc,0xcfffc885,0x7ec44ff9,0xfc883dff,0x24ff9cff,
    0xf9cfffc8,0x7fffdc4f,0x4036c01d,0x2213a06e,0xd04fffff,0x4c0dd009,
    0xffff986f,0xffffd882,0xe987f71e,0x0ffb9eff,0x2e7bffa6,0x3ffa60ff,
    0x260ffb9e,0xffb9effe,0xc800dfd0,0x2e00efff,0xe81dfffe,0x8008001f,
    0x00098001,0x40018003,0x03910008,0x03260550,0x06aaaaa2,0x0aa00326,
    0x2ea01ca8,0x01018800,0x01100044,0x11000440,0x09800000,0x06600c00,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x5017fdc0,0x510059b9,0x805bdfd9,0xcc99ceda,
    0x666664c0,0x5b9700cc,0x3b6a9950,0x3fb2601d,0x765403de,0xfdc8803c,
    0x0eeb83de,0x32a00800,0x765401cd,0x01fd00be,0x2eea8f32,0x32a1dd90,
    0x804cc80c,0xd7004ee8,0x39db703d,0xff801993,0x3ffff203,0x3ffa205f,
    0x80efffff,0xfcfffffc,0x7fffdc1f,0x7f440fff,0x3f21ffff,0x2fffffcf,
    0xffffffb8,0xfffd80ef,0x3fea06ff,0x20efffff,0x2a000ffc,0xffffb03e,
    0x3ffee07f,0x2fc82fff,0x7fdcdff0,0x2a3ffb03,0x2ffcc3ff,0x802ffc40,
    0x7fec1ffc,0x01ffcfff,0xffa813ee,0x881ffece,0xfecdeffe,0x7ffd45ff,
    0x41fffebc,0xfffffffc,0x7ef7ff40,0x3bfff25f,0x260fffdb,0xffdcdfff,
    0x5f7fc45f,0xffa82ffd,0x5fffedff,0x54003ff2,0xeffc83ff,0x7cc2fffd,
    0x86ffbaef,0x4dff04fb,0xffb03ffb,0xf71bfe23,0xbff1005f,0xa87ff200,
    0xffebbfff,0x7f40001f,0x3a17fe27,0xfffa84ff,0xff0bff61,0x99efe83f,
    0x27fd4199,0x3ff21ff9,0xf71ffe45,0x0fff985f,0x6fe83ff2,0x260bffe8,
    0x1ff91fff,0x20ffea00,0x17fe66ff,0x7fdc3ff7,0x99837cc2,0x6c0ffee0,
    0x87ff21ff,0xff1007fe,0x87ff200b,0x3fe21ffe,0xeeca881f,0x221a882c,
    0x2ffcc5ff,0x7fc37b90,0x20ffec0f,0xffd804ff,0x7ff90220,0x3f24ffa8,
    0x20bcb82f,0x237ec7fc,0x9d704ffb,0x36a3ff23,0x7fed41de,0x89ff31cd,
    0x3ff20fff,0x01ff00c0,0x1ffdc3d3,0x3e61ffd8,0x009ff13f,0x36e17fe2,
    0x21ffc9ce,0x1ffe87ff,0xffffffe8,0x17fe4403,0x2000bfee,0x1ffb86ff,
    0x33b37fe6,0x5717fe81,0xf883ff90,0x37ffea5f,0x5ffd400b,0x7ec4ffa8,
    0x3ff2001f,0x22fffffd,0x32fffffd,0x1ffd87ff,0xd8007fee,0x2e2fb82f,
    0x3ffb03ff,0x3ff76fe8,0xb17fe200,0xffdfffff,0x321bfe23,0x5ffe41ff,
    0x2a06ffb9,0xffd83fff,0x87ff8000,0x3fea1ffd,0x7c2fffff,0x0efffcef,
    0xff30fff2,0xfffffd8b,0xfff500be,0x1ffd09ff,0x6fffe400,0xb50fffda,
    0x3e239bff,0xa97ffc5f,0x01aadffc,0x1fdc27dc,0x3f607ff7,0x74ffdc1f,
    0x3fe2006f,0x2efffea5,0x3fa1fffe,0x4c1ffe87,0x703fec3a,0xfff07fff,
    0xfffffc81,0xff07ffa5,0x5fffe43f,0xff10fffd,0x4dffbbff,0x7fdc5ffc,
    0x7fffe443,0xff981fff,0x7ff84fff,0x22ffe400,0x3fea3ffc,0xc8bffe83,
    0xfffd3fff,0xf9809fff,0x3ee4fc86,0x83ffb03f,0x03ffcff8,0xfe97fe20,
    0x87ffe21f,0x3fe21ffc,0x3f6e601f,0xf73100ff,0x40ffe8df,0x25fffffc,
    0xfd99effb,0x90aa21ff,0x1fffc9ff,0x3ff25ff9,0x1ffea8cf,0xffffb510,
    0x56ffd41f,0x7ff45ffc,0x0bff2000,0x7fd49ff5,0xfffff983,0xffdb2fff,
    0xff007ddf,0x3ee5fd81,0x03ffb03f,0x001ffffb,0xfff2ffc4,0x7d43ffd0,
    0xffffbbff,0xfffffc81,0xffc800ff,0x950bff21,0xfe8bffb9,0x1fffffff,
    0x3e5ff980,0x53fe61ff,0xfffffffc,0x3fa6004f,0xf91ffa2f,0x80ffec1f,
    0x20ffe418,0x3fea5ff8,0x73bfb103,0x07fe83ff,0x3fa17ec0,0x6c0ffea5,
    0xfffa81ff,0xaffc4005,0xffc85ff8,0x7ffffec1,0x7fec1ffd,0x40ffc8ad,
    0x51ffd408,0x7fcc0bff,0x5fffec45,0xf8801ffb,0x883ffa5f,0xb3ff94ff,
    0xfe887fff,0x229ff506,0x1ffd45ff,0x3ee09ff9,0xa85ff93e,0x0ffea4ff,
    0x220ffc80,0x7dc005ff,0xff537fc4,0x403ffa09,0xdb502fff,0xff27fcc3,
    0x703ffb0f,0x1ff91bfd,0x3f62ffc4,0xd8dff10f,0x3ffe22ff,0x20bff702,
    0xd87fee08,0x917fdc7f,0x9ffd47ff,0xe8061ffc,0x3ffc82ff,0x5ff91ffe,
    0x220fffcc,0x9ff92fff,0x3ea3ffc8,0x7c3ca83f,0x007fe46f,0xfff17e60,
    0x2607ffcc,0xfff107ff,0xf71ffdc0,0x207ff49f,0x40221fff,0x3fe20ffc,
    0xb83ffea6,0xfffb9cff,0x5efffcc0,0x05fffeba,0x7d43ff70,0x47fea8cf,
    0xfe9aeff8,0x003ff91f,0x2eb7ffee,0x3fa1fffd,0x0ffea8cf,0x65f7ffe4,
    0x3ff26fff,0x0fffa8cf,0xc8273fea,0x3ffd9aff,0x3377bfee,0x1fe01dba,
    0xeffe8fff,0x84fffcab,0x2604ffc8,0xffebcfff,0x26bbfee2,0x3f21fffd,
    0x21ffa24f,0xfffefffd,0x7ffffc1f,0xfff502ff,0x1bffffff,0xd07fee00,
    0x07ffffff,0x9ffffff9,0xd000ffe4,0xffffffff,0xfffff887,0xfffb03ff,
    0x641fffff,0xfffffeff,0x1ffffcc4,0xdffffff1,0xffffffc8,0x3fa04fff,
    0xff51ffe1,0x1fffffff,0x07ffffc4,0x3fffff60,0x7fff444f,0x221ffeff,
    0xfffeffff,0xcfffc883,0x75c44ff9,0x5cc01eff,0x01defffd,0x220ffdc0,
    0x202effeb,0x643ffffb,0x7dc001ff,0x302effff,0x807fffd7,0x0cffffea,
    0xfffdbfe4,0x87fff903,0x884fffda,0xffedbbef,0xf8ff205f,0xfffd987f,
    0xfff80cff,0xffc8802f,0xffb104ef,0xa83ff57f,0x03ffffff,0x00880018,
    0x00000300,0x08800220,0x26200000,0x00044000,0x00c0004c,0x002200c4,
    0x10026201,0x13100013,0x0001a980,0x00220013,0x00033330,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x10000000,0x019bddb7,0x5000bbaa,0x799ddddd,0x6f6e4401,0x7777540b,
    0xfb02ccee,0x203cc81f,0xfc805ee9,0x01ffec2f,0x8817bb51,0xcccccccc,
    0x21dd502c,0x3dd51eeb,0x2e003bae,0x2a3ff17f,0x03dd51ee,0xbddddd50,
    0x3b220199,0x03dd91ef,0xe8801ddb,0xeeeeeeee,0xf701eeee,0x7fffffff,
    0x8007ff70,0xfffffffb,0xfffb82ff,0x3ee1ffff,0xffffffff,0x7c4fe80e,
    0x3fff605f,0x70ffe202,0xfb03ffdf,0x441fffff,0xffffffff,0x0fff983f,
    0x3fee5ff9,0x7003ff91,0x5c7fe2ff,0x03ff71ff,0xffffff70,0xffb05fff,
    0x17fea3ff,0xf900bff5,0xffffffff,0xf705ffff,0xffd99dff,0x03ffb87f,
    0x7777fdc0,0x262ffffe,0xffcacfff,0xdddff70f,0x10bfffdd,0x82ffc1fd,
    0x205ffff8,0x47fc43fb,0x7ffdc6fa,0x3e24ffec,0xffffffff,0x87fff443,
    0x3ff72ffc,0x26007ff2,0x2a15512a,0x03ff71ee,0xddddff70,0xff81ffff,
    0x07ff419e,0xf8803ffd,0xeefffaef,0x441eeeee,0xffb83fff,0x3fffee0f,
    0xf701dfff,0x4dff907f,0x7fdc2ffd,0xf107ff73,0x04cc00ff,0x0fffffb8,
    0xffd00000,0x4007fec1,0x7ffe46fe,0x25ff90ff,0x3ff91ffb,0x7dc00000,
    0x3ffb801f,0xf117ff44,0x53fea09f,0xfb805ff9,0x800fff3f,0x3f205ffb,
    0x3fffee4f,0xb84fffff,0x5ffd03ff,0x3fe6132a,0x3a07ff74,0x00cca87f,
    0x3fefffa0,0x50199504,0x89b90199,0x7dc02ffb,0x3bbfea0f,0x25ff90ff,
    0x3ff91ffb,0x6541665c,0xb866540c,0x2ded99ff,0x7d41ffdc,0x9dffb75f,
    0xfb1ffd07,0x1ffd003f,0xfb001ffe,0x37fc403f,0xb999bff7,0xffb81fff,
    0x007ff703,0x3fee3ffb,0xb84ffa83,0xff3001ff,0x2e0fff19,0x1ffb81ff,
    0x803ff600,0x97d42ff8,0x5ff90ffd,0x7fe47fee,0x701dff71,0x1ffb83ff,
    0xffffbff7,0x41ffdc7f,0xfffb4ffb,0x9ff70bff,0xff500bff,0x2003ffc9,
    0x7fc00ffe,0x320ffee7,0x3ff6a3ff,0x3fea1aad,0x72ffec04,0xffddddff,
    0x3ff701bf,0x6c7ff200,0x1ffb82ff,0x3001ffb8,0x6fc80dff,0xc87fec08,
    0x23ff72ff,0xeffa9ffc,0xb83ff700,0x9fff71ff,0x7dcfff75,0xfff5313f,
    0x33bff6e5,0x3ffeea63,0x3a02acff,0x3fffe0ff,0xf85fffff,0x0fff807f,
    0xff507ff7,0x7fffffcb,0x817fe64f,0x7fdc5ffd,0x4fffffff,0x1003ff70,
    0x2ffccdff,0x7dc0ffdc,0xfff9801f,0x00ffe201,0x7fe43ff6,0x3f23ff72,
    0x200effbf,0x7fdc1ffb,0xfd8bff71,0xfffff70f,0x441dffff,0xfffb84ff,
    0x06ffffff,0xfff8bff5,0x85ffffff,0x7fc00fff,0x320ffee7,0x3ffb24ff,
    0x3fea2ccd,0x70bff705,0xd9999bff,0xffb81dff,0xff713ba1,0x5c0fff87,
    0x1ffb81ff,0x01fffcc0,0x36003ff6,0x25ff90ff,0xfff91ffb,0xffb807ff,
    0xfb8ffdc1,0xb87fec2f,0xffffffff,0x427fc40d,0xefffeeea,0x3ffd05ee,
    0xccccfff8,0x1ffe83cc,0xfb9bfe20,0xffca99cf,0x81ffdc2f,0xdfd04ffb,
    0x640ffee0,0x0ffdc3ff,0xeffe8bff,0x44fffeee,0xffb81ffb,0x0fffe601,
    0x6c013fe0,0x25ff90ff,0xfff91ffb,0x7dc01fff,0xb8ffdc1f,0x87fe42ff,
    0x9aaadffb,0x009ff100,0xff300ffb,0xffffffff,0x04ffd800,0xffb97fee,
    0x5fffffff,0xfb03ffb8,0x413fe05f,0xff303ffb,0x3e1ffb8b,0x3fffe65f,
    0x47ffffff,0xffb81ffb,0x07fff301,0x2003ff30,0x5ff90ffd,0x7fe47fee,
    0x2e04ffbf,0x8ffdc1ff,0x7fe41ffb,0x4007ff70,0xffb84ff8,0x6fffffff,
    0xffffffd8,0x4c007fff,0xff981fff,0x3fffee1f,0xf704ffff,0x1fff307f,
    0x7dc02660,0x89ff703f,0x92741ffb,0x99999bff,0x7fdc5ffd,0x881ffb81,
    0xf7003ffe,0x3ff6001f,0x3ee5ff90,0x365ff91f,0x3ff701ff,0xff71ffb8,
    0xf70ffc83,0x7fc4007f,0xfffffb84,0x7cc6ffff,0xfcccccff,0xffc8007f,
    0xfffcaacf,0x4ce7fdc5,0xadffb801,0x03fffdcb,0x7fdc13ba,0xffdcbaad,
    0x50ffdc2f,0x807ffc5f,0x3fee5ffa,0xc81ffb81,0xcccccfff,0x2007fc81,
    0x5ff90ffd,0x7fe47fee,0x2e0bff31,0x8ffdc1ff,0x7fe41ffb,0x4007ff70,
    0x99884ff8,0x0999ffe9,0xff81ffe4,0xaaaaaaaf,0xffffd881,0x5c0dffff,
    0x7dc003ff,0xffffffff,0xb837fc05,0xffffffff,0x1ffb85ff,0x2ffd47f1,
    0x7dc3ffe0,0x81ffb81f,0xffffffff,0x005fe82f,0x7fe43ff6,0x3f23ff72,
    0x20bff21f,0x7fdc1ffb,0xfc83ff71,0x007ff70f,0x6c027fc4,0x3ffe207f,
    0xffffff00,0x5409ffff,0x02effffe,0xb8007ff7,0xdeffffff,0x706ff801,
    0xffffffff,0x87fee05b,0x2017fec0,0x3ff74ffc,0xfa83ff70,0xffffffff,
    0x2004ff82,0x5ff90ffd,0x7fe47fee,0x2e1bfe21,0x8ffdc1ff,0x7fe41ffb,
    0x4007ff70,0xfd804ff8,0x813ff207,0xffffffff,0x031004ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2eea8000,0x2a1bdd90,0x3cceeeee,0x50059930,
    0x3b60bddd,0x07dd54ee,0x77543baa,0xeeeeeeee,0x2a85dc42,0x77777754,
    0xbdd13eee,0x7777776c,0x77645eee,0x4cbbb603,0xeea80eee,0x3a03bb65,
    0x1eeb83ee,0xeb807bb6,0x0775403e,0xddddddd7,0x3aa1dddd,0x23dd902e,
    0xceeeeeea,0x8eeb80ac,0xffc83ffb,0x3fffee2f,0x542fffff,0xffb804ff,
    0x7ffc41ff,0x03fff75f,0x3fee3ff7,0xffffffff,0x7f7fff42,0x7ffffdc3,
    0xff14ffff,0x7fffff4d,0x7cc6ffff,0x6ffa81ff,0x7f42ffec,0x30bff23f,
    0xffd0dfff,0xd027fe41,0x7fc403ff,0x3ffff20f,0x0fffffff,0x3f607ff7,
    0xfffff71f,0xc83fffff,0x43ffb8ff,0x7dc2fffb,0xfffeeeef,0x013fea1f,
    0x50ffffee,0x3eebffff,0x1ffb85ff,0xdddddff7,0x4f445ddd,0x7dc0cdb8,
    0xeeeeeeef,0x76cdff13,0xfffeeeee,0xe85ffc86,0x7ffc42ff,0xf51bff22,
    0xffffc89f,0xf31bfe20,0x1bfe20ff,0x5c1fffb0,0xefffeeee,0x7ff70eee,
    0x7dc7ff60,0xffeeeeef,0x5c7fe47f,0x3ffee3ff,0x443ffb82,0x3fea6ffc,
    0xffffb804,0xaffffe45,0x5c2ffffb,0x07ff71ff,0x3fee0000,0x06ff8803,
    0x880fffc8,0x3ff22fff,0x22dff705,0x7fc41fff,0x17ffff46,0xffd09ff3,
    0x409ff705,0x200ffffb,0x3ee05ff8,0x23ffb03f,0xfe883ffb,0x7dc7d41f,
    0x07fff53f,0x7f40ffee,0x009ff52f,0xe8ffbff7,0xff75ffdf,0x7fdc1fff,
    0x2007ff71,0x5bd934ca,0xf003ffb8,0xfffb80df,0x45bfea02,0x3f600fff,
    0xf03ffdcf,0x7effc4ff,0x20bfee4f,0xffe84ffb,0xffdff101,0x02ffc401,
    0x3f607ff7,0x207ff71f,0x57623ffc,0xfff9bffb,0x40ffee03,0x9ff53ffb,
    0xff7ff700,0x3feffe23,0x9ffdff75,0xffb8ffdc,0xf7ff7003,0x7dc7ffff,
    0x0bff003f,0x401fffcc,0x3ffdcffd,0x7ffffc40,0x547ff606,0x366feaff,
    0x7ff880ff,0xfd037fc4,0x4401ff9b,0x3fee05ff,0x2e3ffb03,0x1ffb03ff,
    0xdffb8764,0x2e01ffff,0x9ff503ff,0x2e013fea,0xf53ff9ff,0x3eebff3f,
    0xf71fffaf,0x3fffee3f,0x2e6fffff,0xffcacfff,0x3bbbfee7,0x27f43eee,
    0x005fff88,0x0dfffff1,0x07fffee0,0xff93ffb8,0x3fe1ff91,0xb8bff606,
    0x1ff703ff,0x7c401ff9,0x3ffee05f,0xffffffff,0x999bff71,0x408dffd9,
    0xfffffffb,0x40ffee06,0x9ff55ff9,0xfb3ff700,0xaffdbf2d,0x6ffa9ffb,
    0x3fee3ff7,0x6fffffff,0xffd17fee,0x3ffffee1,0x27ec4fff,0x4006ffe8,
    0x001ffffb,0x980dfff1,0x2adfd4ff,0x05ff8aff,0xffe97fea,0xf92ff980,
    0x2ffc401f,0xffffff70,0x2e3fffff,0xffffffff,0x7fdc00cf,0x04ffebff,
    0x3ea07ff7,0x009ff55f,0x1ff73ff7,0x5d7fe9fd,0x77ffb1ff,0x37fee3ff,
    0x23cccccc,0x7fec2ffb,0xddddff70,0x83fc87dd,0x8000fffc,0x36004ffe,
    0x7c02ffff,0xf13ff8ef,0x407ff59f,0xbff17ff8,0xffc97fa0,0x817fe200,
    0xccccdffb,0xff71ffec,0x01ffffdd,0x3fee3326,0x03fff33f,0x3ee07ff7,
    0x009ff54f,0x7ff33ff7,0x5d7fe5ff,0x9fff31ff,0x0ffee3ff,0x3217fdc0,
    0x07ff70ff,0xff70bf20,0x3f20003f,0xfff5002f,0x7ec01fff,0x3fa1ffbf,
    0x6c01ffce,0x82ffbaff,0xfdaabffb,0xbff102bf,0xd81ffdc0,0x47ff71ff,
    0xfb80effd,0x644ffb9f,0x3ffb86ff,0x3ea7ff90,0x1ffb804f,0x3e1fffff,
    0x643ff75f,0xf71fffff,0x3fee007f,0xfb87fe41,0x43f7003f,0x0003fff9,
    0x2200bff2,0x5ffdbfff,0x1ffffee0,0x00ffdff7,0x1ffbbff5,0xffffff90,
    0x3e20ffff,0x0ffee05f,0xffb8ffec,0x5c2fff43,0x43ffb9ff,0x7dc3fff8,
    0x0fff983f,0xf7009ff5,0x9bfff63f,0x83ff75ff,0xf71ffffe,0x3fee007f,
    0xfb87fe41,0x4431003f,0x40004fff,0xfd802ffc,0x05fff16f,0x317fffe6,
    0x200bffff,0x905fffff,0xffffffff,0x17fe20ff,0xfb03ffb8,0x10ffee3f,
    0x99887fff,0xfb83ffb8,0x37fee1ff,0x2fffdcaa,0x2aab7fea,0x3ff72aaa,
    0xff93ffee,0xfa83ff75,0xbff71fff,0x35555555,0xff907fee,0x400ffee1,
    0x7fffb4ee,0x15555555,0x402ffc80,0x3ee1fffa,0xffff00ff,0x07ffff07,
    0x0bffff20,0x401ff900,0x3ee05ff8,0x23ffb03f,0xffb83ffb,0x0ffee01f,
    0xff737ff4,0x9fffffff,0xffffffa8,0x3ff77fff,0xff8bffe6,0xfb03ff75,
    0x3ffee3ff,0x5fffffff,0xffc83ff7,0x2007ff70,0xffffb5ff,0x1fffffff,
    0x202ffc80,0xfe83fff8,0x3fffd05f,0x003fffb0,0x001fffe6,0xf8803ff2,
    0x0ffee05f,0xffb8ffec,0x40dffb03,0xff503ffb,0x3fffee7f,0xfa81deff,
    0xffffffff,0x7fc3ff77,0x7dd7fe0f,0x1fff881f,0xfffffff7,0x3feebfff,
    0xfb87fe41,0x2bff003f,0xfffffffd,0x6400ffff,0x3ff202ff,0x05fff306,
    0x3ee0fff9,0x7ffc007f,0x0ffc8004,0xb817fe20,0x3ffb03ff,0x7c40ffee,
    0x000003ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2f5c0000,0x33330000,0x05333333,0x32a0132e,
    0xeec8aded,0x3b2a202c,0x3b2602ce,0xddb301bd,0x0cca817b,0x30006654,
    0x37b6e209,0x20003903,0xcb83deda,0x2619db73,0x332e1ded,0x32a4cb80,
    0x985bd934,0x166544cc,0x99999991,0x99500059,0xfc8033b2,0xcedc8807,
    0x20052f9a,0xd80ffb02,0xffffffff,0xfd04ffff,0x907fffff,0x87ffffff,
    0xfffffff9,0xfb07ff20,0xffb5001f,0xffffff30,0x02dff81d,0x3fffff60,
    0x3f7bf60e,0xfffbefff,0x87ff51ff,0x3fee5ff8,0x43fffffb,0xfff33ffe,
    0x7ffffcc1,0x21364fff,0x3f7ff25c,0x03fe407f,0x3fffffea,0x0a0050ef,
    0xff503fec,0x7ffff759,0xfc87ff95,0x46ffb9bf,0xfebcfff9,0x267bf60f,
    0x3ff25ffa,0x8807fec1,0x4c7fffeb,0xffebdfff,0x5f7fffc6,0x2b7fee00,
    0x3ff65ffc,0xdfffeabf,0x3fe5ffda,0xf717fdc6,0xfff959ff,0xfe8fff98,
    0x6666442f,0xff92fffd,0xfca7fe49,0x6404deff,0x3ffe207f,0x0a6ffdac,
    0x01988140,0x9ff90ea2,0x1d4c6fd8,0x3ffb1ff6,0xdff16f4c,0x3ff20cc3,
    0x2207fec1,0x1cfffffc,0x3f61ffe4,0x3fff222f,0x7ff80cff,0xffd8ffe4,
    0xff1bfea3,0xfd0ffe4d,0x745ffb8d,0x7ffdc0ff,0xfe8804ff,0x33ffe23f,
    0xff90effc,0x7fffdc0b,0x366fffff,0x3fff62ff,0x64ca0053,0xcccccccc,
    0xfffb7303,0x0ff93337,0x07ffedcc,0x3fa00fff,0xfc81cfff,0xb07fec1f,
    0x405bffff,0x7fd40ffe,0xffffb504,0x4ceffc4b,0xffb2ffb9,0x3a2ffd43,
    0x4d3fe67f,0x17fdc3ff,0x3f603ff6,0xfe8806ff,0xffff884f,0x0bff20ef,
    0xffffffb8,0x9ffe6fff,0x055ffbfc,0x7fffdca0,0x5c5fffff,0xffffffff,
    0x40ffffff,0xfffffffc,0x200dff10,0xefffffe8,0xfb07ff22,0x067ffc1f,
    0x221bfe20,0x7e4405ff,0x3fffe67f,0xfb3fffff,0x227fcc1f,0xcbff47fe,
    0x17fdc0ff,0x3e603ff2,0xffd803ff,0x3fffe205,0x300ffe40,0x99ffd999,
    0x557fe279,0x00adff3f,0xfffffb94,0x3f25ffff,0xcffc8aef,0x20aaaaaa,
    0xfc8adffd,0x001ffe0f,0x4ffffd95,0x7fec1ffc,0x0b7fffe0,0xff50fff0,
    0x7ffecc0b,0x2ab7fe27,0xffb1aaaa,0x3a1ffcc1,0x7d7fd47f,0x41ffb85f,
    0xffd80ffc,0x3ff200ff,0x3fff200e,0x00ffe44f,0x7fc0ff90,0xbff14f9e,
    0x0001400a,0x4ffc8dff,0x17fe20cc,0x7ff41ffb,0xa98fbe21,0x5cbff621,
    0x07ff42ff,0x7fffff91,0xc83ffb01,0x7f5c43ff,0x7f40cfff,0xffb04c46,
    0x3a1ffcc1,0xffeff87f,0x641ffb82,0x7ffd40ff,0xdff705ff,0x7f7fe401,
    0x03ff24ff,0x3607fc80,0x3fee5fff,0x5c0a0054,0x43ffe04c,0xf32ffff9,
    0x537fc4df,0x7fdc1fff,0x11ffd9ae,0x7fe41dff,0x911bff50,0xd7101fff,
    0xfb8bffff,0xfffc9bef,0x3bffff60,0x17ff900b,0x3f61ffd1,0xd0ffe60f,
    0xffff90ff,0xf907fee0,0x47ffc41f,0x7fd43ffe,0x72aaaacf,0xfff11dff,
    0x8003ff29,0x3fea07fc,0x21fff71f,0x3f605002,0x3bffee07,0xffffffff,
    0x7ffec0ff,0x741ffffe,0x45ffffff,0xfffefffb,0x3ffffe24,0x5400ffef,
    0xffc87ffd,0x7c2fffff,0xf8802dff,0x23ffffff,0x3fe60ffd,0x7cc3ff43,
    0x3ff704ff,0x3fa0ffc8,0x43fff32f,0xfffffffc,0x441df36f,0x01ff91ff,
    0x3e0154c0,0x2fffffff,0xfd81400a,0x3ffb2207,0xbfffd32e,0x9fff9105,
    0xff909ff3,0xfb7017bf,0xfd309fff,0x01ff73df,0x75c1f260,0xcf81dfff,
    0x7fec4001,0x07fec3df,0x7fe87ff3,0x2e01ffd0,0x87fe41ff,0x7fdc5ffb,
    0x3fffff26,0x20266fff,0x803ff218,0xccccccc9,0x36ff63cc,0x0141efff,
    0x00331028,0x20018806,0x00088001,0x00220026,0x00c00400,0x02600002,
    0x00000000,0x00000000,0x2e000000,0xffffffff,0x4030666f,0xaaaaaaaa,
    0x000003aa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3ffffee0,0x0006ffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xcc989970,0x5101e5c1,0x300c4015,0x3a637a20,0x1f64fae5,0x220bfe60,
    0xeeeeeeee,0xdddd10ee,0x41dddddd,0xf00cefd9,0x3267e80b,0x5f64c1ce,
    0x80ef5c40,0x5dd82eda,0x37663772,0x202fb663,0x3bfa0008,0x1bbbbb30,
    0xeea97fe2,0x57f27ff1,0xddddddd8,0x4002dddd,0x3ff20ffb,0x9813fe25,
    0x2bfa01ff,0x81fdacdc,0x447fd4fe,0x00ff99ff,0x3e21bff6,0xffffffff,
    0xfffff10f,0x221fffff,0x224fecff,0xfd5029d0,0x9ff3be2f,0x7c5fcef8,
    0x7d43ffef,0x3ffc3fee,0xbff31ffd,0xf527dccc,0x32217dff,0xf983fea1,
    0x3e60ffff,0x3e3ff71f,0x3e2bf93f,0xffffffff,0x7cc003ff,0xa9fffa3f,
    0x3fe601ff,0xfffff301,0xfb87ffff,0xfc86fc8f,0x3e60df96,0x77441fff,
    0xeeeeeeee,0xdddddd10,0x8cc1ffdd,0x3b3ee5fb,0xfbf11fdd,0x8fe4726f,
    0x267f88a8,0x6e8bf35f,0x74fff1f6,0x15ff98ff,0x3e69f511,0xfeffffff,
    0xf307fa1f,0xf981ffff,0x2ee3ff75,0x44445731,0x08888888,0x22bfd000,
    0xffb1ffff,0x201ff980,0xfffdfffa,0x7cd7fcc5,0x8cff882f,0xeefd83ff,
    0x8000005f,0x3f6a0ffa,0x3fb266ff,0x3fc61cef,0x7fd437d4,0x0ff8ff22,
    0x3a0fb93e,0x7c5ff66f,0x19dff94f,0x3ff6fbe6,0x1000ffff,0x00001111,
    0x40000000,0xfddf57fc,0x99113fe7,0x999bffb9,0xfb0ffe41,0xdfd6fe8f,
    0x7e4ffdc0,0x2effe21f,0x555541ff,0x00aaaaaa,0x3ea1ff50,0xfd86faae,
    0xf71fe03f,0x1fd5103d,0x23fc4fee,0x6c5fabfc,0xff9bee5f,0x20a60222,
    0x0000bdc9,0x00000000,0x3ff30000,0xf3bf99f9,0xffff885f,0x20ffffff,
    0x07fd45fd,0x1ff73ff7,0x3fa3bf60,0x7c47fe46,0x3fffe24f,0x00ffffff,
    0x3ee1ff50,0x7ec6fd8c,0x4ff02fca,0x8e4c0efb,0x93df12fc,0xeffd889f,
    0x5730dcc1,0x000005dc,0xbbbbbb88,0x001bbbbb,0x00000000,0x57f67fc0,
    0x887fcffa,0xffffffff,0x91ff20ff,0x3abfb0ff,0xa9ffa85f,0x93fe21ff,
    0xfff10ffc,0x1fffffff,0x443fea00,0x4c6fefff,0x5fe01b15,0x11eeeff9,
    0xfc8dfbff,0x03301eff,0x00000000,0xffffff88,0x003fffff,0x00000000,
    0x47fffe40,0x805ffff8,0x3ea01ff9,0x85ffcadf,0x1ff8aff8,0x43fe9ff4,
    0x3fe61ffc,0x26666664,0x22001999,0x2a8d4419,0x65532000,0x2e61cccc,
    0x01b880bd,0x00000000,0xaaaa8800,0x1aaaaaaa,0x00000000,0x7ffd4000,
    0x00bfffa6,0xfd807fe6,0x1fffffff,0x4df76fa8,0x00bf76fb,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xf8000000,0x3fff24ff,
    0x01ff9800,0xbfffbff3,0x986609ff,0x04c42621,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xff98bff6,0x03dd3005,
    0x024c11cc,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_bold_23_latin1_x[224]={ 0,1,1,0,0,0,0,0,1,0,0,0,1,0,
1,-1,0,1,0,0,0,0,0,0,0,0,2,1,0,0,0,1,0,0,1,0,1,1,1,0,1,1,0,1,
1,1,1,0,1,0,1,0,0,1,-1,0,0,-1,0,1,-1,0,1,-1,0,0,1,0,0,0,0,0,1,1,
-1,1,1,1,1,0,1,0,1,0,0,1,0,0,0,0,0,0,1,0,0,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,1,0,0,0,0,
1,0,0,-1,0,0,0,0,-1,-1,0,0,0,0,1,1,-1,1,0,0,0,1,0,0,0,1,0,0,0,0,
0,0,-1,0,1,1,1,1,-1,1,-1,-1,-1,1,0,0,0,0,0,1,0,1,1,1,1,-1,1,1,0,0,
0,0,0,0,0,0,0,0,0,0,-1,1,-1,-1,0,1,0,0,0,0,0,0,0,1,1,1,1,0,1,0,
 };
static signed short stb__arial_bold_23_latin1_y[224]={ 18,3,3,3,2,3,3,3,3,3,3,5,15,11,
15,3,3,3,3,3,3,3,3,3,3,3,7,7,5,7,5,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,20,3,7,3,7,3,7,3,7,3,3,
3,3,3,7,7,7,7,7,7,7,3,7,7,7,7,7,7,3,3,3,8,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,18,7,3,3,5,3,
3,3,3,2,3,8,7,11,2,0,3,4,3,3,3,7,3,9,18,3,3,8,3,3,3,7,-1,-1,-1,-1,
-1,0,3,3,-1,-1,-1,-1,-1,-1,-1,-1,3,-1,-1,-1,-1,-1,-1,5,2,-1,-1,-1,-1,-1,3,3,3,3,
3,3,3,2,7,7,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,5,6,3,3,3,3,3,3,3,
 };
static unsigned short stb__arial_bold_23_latin1_w[224]={ 0,4,8,12,11,18,15,5,6,6,8,12,4,7,
4,7,11,8,11,11,11,11,11,11,11,11,3,4,12,12,12,11,21,15,13,14,13,12,11,15,13,4,10,14,
11,15,13,16,12,16,14,13,13,13,15,20,14,15,13,6,7,6,10,13,5,11,11,11,12,11,8,12,11,4,
6,11,4,16,11,12,11,12,8,11,7,11,12,17,12,12,10,8,4,8,12,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,0,5,11,12,11,12,
4,11,7,17,8,11,12,7,17,13,8,11,7,7,6,10,13,4,6,5,8,10,17,17,17,11,15,15,15,15,
15,15,21,14,12,12,12,12,6,5,8,8,15,13,16,16,16,16,16,10,16,13,13,13,13,15,12,11,11,11,
11,11,11,11,18,11,11,11,11,11,6,5,8,8,12,11,12,12,12,12,12,11,12,11,11,11,11,12,11,12,
 };
static unsigned short stb__arial_bold_23_latin1_h[224]={ 0,15,6,16,19,16,16,6,20,20,8,11,7,4,
3,16,16,15,15,16,15,16,16,15,16,16,11,15,12,8,12,15,20,15,15,16,15,15,15,16,15,15,16,15,
15,15,15,16,15,17,15,16,15,16,15,15,15,15,15,20,16,20,9,3,4,12,16,12,16,12,15,16,15,15,
20,15,15,11,11,12,16,16,11,12,16,12,11,11,11,16,11,20,20,20,5,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,0,16,20,16,11,15,
20,20,3,17,8,10,8,4,17,3,7,14,8,8,4,16,20,4,5,8,8,10,16,16,16,16,19,19,19,19,
19,18,15,20,19,19,19,19,19,19,19,19,15,19,20,20,20,20,20,11,17,20,20,20,20,19,15,16,16,16,
16,16,16,17,12,16,16,16,16,16,15,15,15,15,16,15,16,16,16,16,16,12,13,16,16,16,16,20,20,20,
 };
static unsigned short stb__arial_bold_23_latin1_s[224]={ 255,109,168,239,64,127,146,162,39,60,113,
19,251,204,218,246,221,140,116,13,196,54,66,128,104,151,252,80,117,78,143,
47,202,85,59,116,16,72,97,25,222,149,217,1,30,42,58,1,197,97,236,
90,208,190,180,159,144,128,114,84,176,57,67,231,212,69,131,81,228,156,210,
241,185,180,195,159,154,168,198,130,78,41,245,93,143,105,185,1,210,204,223,
224,233,169,184,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,255,184,106,
163,32,219,79,67,223,79,104,44,91,204,32,197,153,1,128,136,197,210,46,
251,177,122,144,56,109,91,73,61,89,105,121,137,153,16,232,91,198,169,225,
76,247,10,1,238,31,211,118,135,152,178,238,234,50,1,15,29,43,182,18,
1,13,1,37,49,178,67,50,202,190,25,227,153,73,101,107,171,140,85,127,
114,233,165,214,38,13,162,174,198,186,26,14,1, };
static unsigned short stb__arial_bold_23_latin1_t[224]={ 1,114,145,43,22,63,63,145,1,1,145,
145,114,145,145,63,63,97,97,80,114,80,80,97,80,80,43,97,130,145,130,
97,1,97,97,80,114,114,114,80,114,97,80,114,114,114,114,97,97,43,114,
80,114,80,114,114,114,114,114,1,80,22,145,145,145,130,80,130,80,130,97,
80,97,97,1,97,97,130,130,130,80,80,130,130,80,130,130,145,130,80,130,
1,1,1,145,130,130,130,130,130,130,130,130,130,130,130,130,130,130,130,130,
130,130,130,130,130,130,130,130,130,130,130,130,130,130,130,130,130,1,80,1,
80,145,97,1,1,145,43,145,145,145,145,43,150,145,130,145,145,145,63,1,
122,145,145,145,145,63,63,63,63,22,22,22,22,22,43,97,1,22,22,22,
22,22,43,43,22,97,22,1,1,1,1,1,130,43,22,22,22,22,22,97,
63,63,80,63,63,43,43,130,43,43,63,43,43,97,97,97,97,43,114,43,
43,63,43,43,130,130,63,63,63,63,1,1,1, };
static unsigned short stb__arial_bold_23_latin1_a[224]={ 92,110,156,183,183,293,238,78,
110,110,128,192,92,110,92,92,183,183,183,183,183,183,183,183,
183,183,110,110,192,192,192,201,321,238,238,238,238,220,201,256,
238,92,183,238,201,274,238,256,220,256,238,220,201,238,220,311,
220,220,201,110,92,110,192,183,110,183,201,183,201,183,110,201,
201,92,92,183,92,293,201,201,201,201,128,183,110,201,183,256,
183,183,165,128,92,128,192,247,247,247,247,247,247,247,247,247,
247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,
247,247,247,247,247,247,247,247,92,110,183,183,183,183,92,183,
110,243,122,183,192,110,243,182,132,181,110,110,110,190,183,92,
110,110,120,183,275,275,275,201,238,238,238,238,238,238,329,238,
220,220,220,220,92,92,92,92,238,238,256,256,256,256,256,192,
256,238,238,238,238,220,220,201,183,183,183,183,183,183,293,183,
183,183,183,183,92,92,92,92,201,201,201,201,201,201,201,181,
201,201,201,201,201,183,201,183, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_23_latin1_BITMAP_HEIGHT or STB_FONT_arial_bold_23_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_23_latin1(stb_fontchar font[STB_FONT_arial_bold_23_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_23_latin1_BITMAP_HEIGHT][STB_FONT_arial_bold_23_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_23_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_23_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_23_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_23_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_23_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_23_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_23_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_23_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_23_latin1_s[i] + stb__arial_bold_23_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_23_latin1_t[i] + stb__arial_bold_23_latin1_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_23_latin1_x[i];
            font[i].y0 = stb__arial_bold_23_latin1_y[i];
            font[i].x1 = stb__arial_bold_23_latin1_x[i] + stb__arial_bold_23_latin1_w[i];
            font[i].y1 = stb__arial_bold_23_latin1_y[i] + stb__arial_bold_23_latin1_h[i];
            font[i].advance_int = (stb__arial_bold_23_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_23_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_23_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_23_latin1_s[i] + stb__arial_bold_23_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_23_latin1_t[i] + stb__arial_bold_23_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_23_latin1_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_23_latin1_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_23_latin1_x[i] + stb__arial_bold_23_latin1_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_23_latin1_y[i] + stb__arial_bold_23_latin1_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_23_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_23_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_23_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_23_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_23_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_23_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_23_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_23_latin1_LINE_SPACING
#endif

