// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_30_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_30_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_30_latin1_BITMAP_WIDTH         256
#define STB_FONT_arial_bold_30_latin1_BITMAP_HEIGHT        248
#define STB_FONT_arial_bold_30_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_bold_30_latin1_FIRST_CHAR            32
#define STB_FONT_arial_bold_30_latin1_NUM_CHARS            224

#define STB_FONT_arial_bold_30_latin1_LINE_SPACING          19

static unsigned int stb__arial_bold_30_latin1_pixels[]={
    0x9930ccc8,0x00266607,0x0cccb800,0x4c003990,0x95000099,0x55dd4409,
    0x4ccccc00,0x00199509,0x98035753,0x220002ac,0x20000199,0x88000999,
    0x99999999,0x33333109,0x98066543,0x5d4c0099,0x004ccc03,0xfa87ffc0,
    0x3fff886f,0xfff30000,0x0037ec07,0x0001fff9,0x3fea09ff,0x880dffff,
    0xb3ffffff,0x3f6203ff,0x02ffffff,0x005ffff5,0x007fffd0,0x05fff500,
    0x7ffff540,0x75ffffff,0x6cffffff,0xfff881ff,0xbfffb103,0x00fffd80,
    0xfa87ffc0,0x3fff886f,0x7ff90000,0x002ff980,0x70013ff6,0xfff503ff,
    0x10dfffff,0x27ffffff,0xffa81ffd,0xffffffff,0xfffffa85,0x3ffee000,
    0x740001ff,0x3ee003ff,0xffffffff,0xfff75fff,0x0ffecfff,0xd81fffc4,
    0xd805ffff,0x664003ff,0x1079930c,0x00007fff,0x3a009ff1,0x7fec006f,
    0x0dff1000,0x36affffa,0x7fc43fff,0xffb1ccdf,0xfffffb83,0x3fffffee,
    0x1ffff64c,0xf8dff980,0x3ea0006f,0x3fea003f,0xffffffff,0xb9935fff,
    0x0ffecfff,0x441fffc4,0x003dffff,0x00000ffd,0x007fff10,0x40055100,
    0x64003ffb,0x7ff9001c,0xff17ffe0,0x2fff88bf,0x3e21ffd8,0x3260cfff,
    0xfd00ffff,0x332e007f,0x00039930,0xf9000f2a,0x37ffffff,0xf7017ffd,
    0x80ffecff,0xff980999,0x6644001f,0x44000001,0x000c3fff,0x7ff88000,
    0x44009998,0x7ffc4199,0x41ffff00,0x5fff1008,0x7e43ffb0,0x3ff603ff,
    0x09ffb04f,0x01aba980,0x0d5d4c00,0xfffffe80,0x05ffb2ff,0xffd9ffee,
    0xfff30001,0x55d4c001,0x0fffe401,0xf12fffb8,0xfffb17ff,0x3fff903d,
    0x20bffee0,0x7ffc2ffe,0x0fffe406,0x7e40dff5,0xf8802fff,0x1ffd82ff,
    0x980ffff1,0xffb00bce,0xfffb300b,0x001bffff,0x3fffff66,0x3fe00dff,
    0xb2ffffff,0x3fee05ff,0x2207ff67,0xffa83fff,0xfffd9807,0x980dffff,
    0xffb04fff,0x7efffc4f,0x43ffffff,0xfb04fff9,0x13ff20ff,0xfc80dfff,
    0x13ff21ff,0x19fffff0,0x417ffc40,0xfff31ffd,0x3f600009,0x7ffdc05f,
    0xffffffff,0x7fffdc02,0x2fffffff,0xffffffd0,0x40bff65f,0x3ff67ffb,
    0x83fff881,0x7dc07ffa,0xffffffff,0x6ffe82ff,0x224fff88,0xfdffffff,
    0x7f40ffff,0x4fff886f,0xff8dff70,0x7ffe406f,0xd80fff61,0x2fffffff,
    0xb05fff10,0x3ffea3ff,0xff900003,0x7fffdc0b,0xfffffeff,0xffff703f,
    0xfffffdff,0xffff907f,0x3ff65fff,0x6cfff702,0xfff881ff,0x207ffa83,
    0xeffffffb,0x43ffffff,0x7d41fffb,0x3ffe21ff,0xfff710cf,0x41fffb8b,
    0xf501fffa,0x06fff8ff,0xff0fffe4,0x3bff205f,0x84fffffb,0xfd82fff8,
    0x05fff91f,0x1ffee000,0x06ffffcc,0x03ffff62,0x81bffff3,0x80ffffd8,
    0x2ffffffe,0x3ee05ffb,0x207ff67f,0xfc83fff8,0xffff306f,0xfffd881b,
    0x13ffe20f,0xff88dffb,0x7ffe80ff,0x3627ffc4,0x3fe606ff,0x01bffe0f,
    0x3e23fff9,0x3ffd01ff,0x13ffffa6,0xfb05fff1,0x07fff63f,0x7ffc4000,
    0x04fffe83,0x3a2fffe4,0x7e404fff,0xffd885ff,0x5ffb2fff,0xec9ffee0,
    0x3fff880e,0xe827ffc4,0x7e404fff,0x37fec5ff,0xf887fff1,0xfff706ff,
    0x226ffd83,0x3e203fff,0x1bffe2ff,0x2a3fff90,0xff880fff,0x7fffe41f,
    0x20bffe22,0xfff91ffd,0x7ec00005,0xfff12eff,0xfff8801f,0x1ffff11f,
    0x1ffff880,0x25fff510,0xff702ffd,0x7ffc400f,0x1ffff913,0x01ffff10,
    0x21ffff88,0xff51fffa,0x4fff881f,0xa85fff50,0xfff51fff,0x23fff801,
    0x7e406fff,0x0fff71ff,0x7dc2fffc,0x3ffe25ff,0xf71ffd82,0x400007ff,
    0xf34fffe8,0x3f2009ff,0x9fff32ff,0x0bfff200,0x3f65ffd0,0x0fff702f,
    0x99fffc40,0xf302ffff,0x3f2009ff,0xa7ffc2ff,0xff885ffd,0x5fff504f,
    0x3f69fff0,0x3fff805f,0xf901bffe,0x1ffee3ff,0x40dfffd8,0x3fe27ffb,
    0x31ffd82f,0xe8809fff,0x7fec402d,0x05fff74f,0x5cfffea0,0xf5002fff,
    0xffe807ff,0x2e05ffb2,0x3e2007ff,0xffff33ff,0x0bffee03,0x21fffd40,
    0xfff8effc,0x06fff882,0xf903fff7,0x05fff1df,0x7fc3fff0,0x7ffe406f,
    0x540fff51,0x2a1effff,0x3ffe25ff,0xf11ffd82,0x7dc01fff,0x3ff606ff,
    0x3fff92ef,0x53ffe600,0x3001fffc,0xfe809fff,0x205ffb2f,0x22007ffb,
    0xffd13fff,0xfff901ff,0x3ffe6003,0x7e7ffcc4,0xfff880ff,0x20fffd07,
    0xfffcfff9,0x07ffc400,0xfc80dfff,0x1fff31ff,0x7ffffdc0,0x223ffd8c,
    0xffd82fff,0x417fff21,0x303ffff8,0xffd87fff,0xfff3001f,0x007fff6b,
    0x202fffcc,0x5ffb2ffe,0xec9ffee0,0x3fff880e,0x6c27ffcc,0xf3001fff,
    0xfffd0bff,0x3fe20bff,0x7ffdc5ff,0x3ffffa05,0x7ff9805f,0x32037ffc,
    0x3ffe1fff,0x7fffd401,0x7c45ffff,0x1ffd82ff,0x27bfffe2,0x7fffeb88,
    0x361ffea0,0xf5001fff,0x3fff69ff,0x9fff5001,0xfb2ffe80,0x9ffee05f,
    0xff881ffd,0x85ffc83f,0x5001fffd,0xff709fff,0x3e205fff,0xffdeffff,
    0x3ee01fff,0xa802ffff,0x37ffc6ff,0xe87fff60,0xfd8802ff,0xf886ffff,
    0x1ffd82ff,0x7fffffd4,0x02ffffff,0x3ee17ff2,0xff7002ff,0x0bffee7f,
    0x01fffdc0,0x7fecbffa,0x6cfff702,0xfff881ff,0xb87ffa83,0xf7002fff,
    0xfff107ff,0x7ffc40ff,0xfffffffd,0x7fffc403,0x8bff9007,0x7ec06fff,
    0x13ff60ff,0xfffffa80,0x417ffc41,0xfe981ffd,0xffffffff,0x42ffe402,
    0xb005fffa,0x3fea5fff,0xfffb005f,0xb2ffe805,0x3fee05ff,0x2207ff67,
    0xffa83fff,0x05fffa87,0x205fffb0,0x2204fffd,0xffe8bfff,0xffb001ef,
    0x3ffa009f,0x007fff42,0x7dc1fffd,0x7ec4006f,0x7ffc46ff,0x201ffd82,
    0xcfffffec,0x85ffd800,0x401ffff8,0xf10ffff9,0xf9803fff,0x7f400fff,
    0x205ffb2f,0x3ff67ffb,0x83fff881,0xff887ffa,0x7fcc01ff,0xfffb00ff,
    0x1fffc403,0xfd800131,0xff8801ff,0x04fffd86,0xff0ffff3,0x1753101f,
    0x220fffd8,0xffd82fff,0x5f7e4c01,0x13ff6000,0x8077ffe4,0x644fffe8,
    0xd100efff,0xfd009fff,0x40bff65f,0x3ff67ffb,0x83fff981,0xfc80fff9,
    0xfd100eff,0x3fe609ff,0x7ffc406f,0x7fcc0003,0x5ff5006f,0x59ffff50,
    0x13fffae6,0x3e60bfee,0x7ffe44ff,0x20bffe20,0x65401ffd,0x3a005ffc,
    0xfff104ff,0x3ee637ff,0x7c40ffff,0x731bffff,0x001fffff,0x3ff65ffd,
    0x6cfff702,0xfffa81ff,0x81fff983,0x1bfffff8,0x1fffff73,0x7fffe554,
    0x1fffc402,0x7fe55400,0xdfb002ff,0x7fffff40,0x0fffffff,0xff05ff88,
    0xfff739ff,0xacfff88d,0x003ffb0a,0x93007fd4,0x5407fffb,0xffffffff,
    0x502fffff,0xffffffff,0x005fffff,0x7fecbffa,0x3ff6aa62,0xec87ff67,
    0xf882ffff,0x7d43ceff,0xffffffff,0x7f42ffff,0x8806ffff,0xe8003fff,
    0x006fffff,0x74407ff1,0xffffffff,0x3fee02ff,0xfffffa80,0x7c42ffff,
    0xfb3fffff,0x54cc403f,0x7fd406fd,0x74c00fff,0xffffffff,0x7f4c01ef,
    0xffffffff,0x3ffa001e,0x7dc5ffb2,0x3f67ffff,0x3ffffa1f,0xffffb00f,
    0xffffd30b,0x03dfffff,0x01dffffb,0x007fff10,0x1dffffb0,0x401ff200,
    0xeffffffc,0x1ffc400d,0xfffffea8,0xffff883f,0x03ffb3ff,0x0f7ffff4,
    0x0ffffea0,0xffffeb80,0x75c003ef,0x03efffff,0xfb2ffe80,0x7fffdc5f,
    0x447ff67f,0x201fffff,0x205fffe8,0xefffffeb,0x0b332603,0x00133300,
    0x00599930,0x44002cc8,0xca8001a9,0x55e5d403,0x2aaaaa00,0x4019950a,
    0x3001aaaa,0x40001599,0x10000098,0x98800013,0x4c133109,0x2a2aaaaa,
    0x2b32e0cc,0x07975000,0x00002620,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2ab2ea62,
    0x00000000,0x00009998,0x1000cccc,0x40001333,0x00b221ca,0x004ccc40,
    0x40019980,0x33101999,0x00266203,0x000cccc0,0x00033330,0x30026620,
    0x05554355,0x7ffed400,0x0befffff,0x006c8000,0x001bffee,0x003fffa8,
    0x001bffa2,0x6e77ffec,0xff90002f,0xff90003f,0x7fdc00bf,0x27ffc42f,
    0x007fffcc,0x00fffe60,0x01fffc80,0x7fffd400,0xf93ff200,0x3ea001ff,
    0xfeffffff,0x002fffff,0xf9803740,0x0004ffff,0x10007ffb,0x88003ffd,
    0xffffecef,0xfff88000,0xfffa8001,0x3ee002ff,0x42ffe46f,0x05ffffe8,
    0x0027fec0,0x0027fe40,0xbfffff10,0xff27fe40,0x3ff2003f,0xda981adf,
    0x30003fff,0x3ffa007f,0x4001ffd8,0x20004ff9,0x4c005ff8,0x002ee62e,
    0x0017fe40,0x7f477fc4,0x3ff2000f,0x360bff11,0x03ffc9ff,0x0009ff10,
    0x0007fec0,0xffc9ffd8,0x64599503,0xffd800cc,0x3faa000e,0x1fb8002f,
    0x912cc980,0x3ca80079,0x0cc98000,0x35753000,0x01664000,0x930cca80,
    0x2cb80059,0x99101993,0xa80265c5,0xc800003c,0xcc88001c,0x26013322,
    0x3ee00099,0x4401104f,0x33000ffe,0x04ccc0fd,0x33066620,0x19988013,
    0x4ccccccc,0x01999999,0x3fffff66,0x26600dff,0x99999999,0x31001999,
    0x33000133,0x004ccc13,0x88001333,0x80000999,0x20009998,0x99999999,
    0x88199999,0xf3005fff,0xffec88bf,0xf35eea9e,0x7ff5407f,0xfff01eff,
    0x1fffc80d,0xf901bffe,0x7fffc3ff,0xffffffff,0xfffb81ff,0xffffffff,
    0xffffff02,0xffffffff,0xdfffb003,0x5fff8800,0x220bfff1,0x6c005fff,
    0x80006fff,0x2006fffd,0xffffffff,0x41ffffff,0xb005fff8,0x7ffcc1ff,
    0x5ffeffff,0x7fec1bf2,0x83ffffff,0x7e406fff,0x1bffe1ff,0x7c3fff90,
    0xffffffff,0x5c1fffff,0xfeffffff,0xf83fffff,0xffffffff,0x401fffff,
    0x01fffff8,0x457ffe20,0xff105fff,0x7fc400bf,0x20001fff,0x01fffff8,
    0xfffffff0,0x3fffffff,0x805fff88,0x3fe63ff8,0xfffdaaef,0x903fea4f,
    0xfffdffff,0x6fff81ff,0xf0fffe40,0xffc80dff,0x3ffffe1f,0xffffffff,
    0x3fffe61f,0x7ffec40d,0x7ffffc0f,0xffffffff,0x7ffe401f,0x3e2004ff,
    0xbfff15ff,0x017ffe20,0x4fffffc8,0x3fff2000,0xfff004ff,0xffffffff,
    0xff883fff,0x0ffb805f,0x3fe17ffa,0x87fe22ff,0xdf1efff8,0xfff8bfff,
    0x0fffe406,0xfc80dfff,0x1bffe1ff,0x27fff400,0xf17fff20,0x40000dff,
    0x0fffffff,0x2bfff100,0xf105fff8,0x7fc00bff,0x000fffff,0xfffffff0,
    0x0dfff001,0x2fffc400,0xff53ff40,0x1fff903f,0x3fee2ff8,0x7995f51f,
    0x406fff83,0x3fe1fffc,0x7ffe406f,0x001bffe1,0x003fffe2,0x7c3ffff1,
    0x500006ff,0x7fffbfff,0x57ffe200,0xf105fff8,0x3ea00bff,0x03fffdff,
    0xfdfffa80,0xfff803ff,0x3fe20006,0x25ff805f,0xff704ffd,0x321ff98f,
    0x003f27ff,0xfc80dfff,0x1bffe1ff,0x7c3fff90,0xf98006ff,0xff9004ff,
    0x037ffc5f,0x8fffd800,0xf1006fff,0x3ffe2bff,0x0bfff105,0x3e3fff60,
    0xfd8006ff,0x06fff8ff,0x0006fff8,0x2017ffe2,0x0fffe3ff,0x3ee2ffe4,
    0xe9bffa0f,0x06fff806,0xff0fffe4,0xfffc80df,0x001bffe1,0x400bffee,
    0x3fe3fffa,0xf880006f,0x3fff95ff,0x2bfff100,0xf105fff8,0xff100bff,
    0x07fff2bf,0x95fff880,0xff803fff,0x3e20006f,0x7fc405ff,0x203fff11,
    0x37ec3ffe,0x1fcdfff6,0x2037ffc0,0x3fe1fffc,0x7ffe406f,0x3bbfffe1,
    0x2eeeeeee,0x4007fff2,0x3fe4fff9,0xeeeeeeff,0x3ee02eee,0x9fff32ff,
    0x2bfff100,0xf105fff8,0xff700bff,0x13ffe65f,0x32fffb80,0xff809fff,
    0xeeeeeeff,0xff882eee,0x8ffc405f,0xf881fff9,0x0ffe61ff,0x47eefff9,
    0x0dfff018,0x3e1fffc8,0x7fe406ff,0x3ffffe1f,0xffffffff,0x007fff63,
    0xff2fffcc,0xffffffff,0x7f407fff,0x07fff47f,0x457ffe20,0xff105fff,
    0xfffd00bf,0x000fffe8,0xffe8fffd,0x3fffe00f,0xffffffff,0x5fff883f,
    0xff12ff80,0x1fff905f,0x3ea1bfe2,0x3f67eaff,0x1bffe0ef,0x7c3fff90,
    0x7fe406ff,0x3ffffe1f,0xffffffff,0x007fff63,0xff27ffd4,0xffffffff,
    0x3e607fff,0x7ffe44ff,0xafffc403,0xf105fff8,0xff980bff,0x1fffe44f,
    0x227ffcc0,0x3e03fffc,0xffffffff,0xf883ffff,0x4fe805ff,0xff317ffe,
    0x0bffa2ff,0x53fbffe2,0x7fc5fffa,0x7ffe406f,0x901bffe1,0x7ffc3fff,
    0xcccccccf,0x3ffee1cc,0x7fff7002,0x6667fffc,0x01cccccc,0xf983fff9,
    0x7fc406ff,0x0bfff15f,0x9017ffe2,0xff983fff,0xfffc806f,0x037ffcc1,
    0x9999ffff,0x10399999,0xf900bfff,0x5f7ffdcf,0xfefffffd,0x3ff202ff,
    0xffffeeff,0x2037ffc2,0x3fe1fffd,0x7ffec06f,0x001bffe1,0x4017ffea,
    0x3fe2fffd,0x7fc0006f,0xfcccccff,0x3e201fff,0xbfff15ff,0x017ffe20,
    0x9999ffff,0x803ffff9,0xccccffff,0xf01ffffc,0x44000dff,0xf9805fff,
    0x3ffff62f,0xfffffdff,0xfffb801f,0xf83fffff,0x7fec06ff,0x01bffe0f,
    0x7fc1fffb,0xff88006f,0x7fcc01ff,0x1bffe0ff,0xffffa800,0xffffffff,
    0x3ffe205f,0x20bfff15,0x2a05fff8,0xffffffff,0x205fffff,0xfffffffa,
    0x05ffffff,0x4000dfff,0xd005fff8,0x77ed41ff,0xacefd88c,0x7dc06620,
    0xd02effff,0x7f401fff,0x3fffa0ff,0x83fffa00,0x90006fff,0x2201dfff,
    0x7fc4fffe,0x3fa0006f,0xffffffff,0x100fffff,0x3fe2bfff,0xbfff105f,
    0x7fffff40,0xffffffff,0xffffd00f,0xffffffff,0xdfff01ff,0x7ffc4000,
    0x1dff3005,0x4ffd8000,0x01337f50,0x304fffd8,0xffd8ffff,0xffff304f,
    0x0006fff8,0x37fffff1,0x3ffffee6,0x0037ffc0,0xccefff88,0xffeccccc,
    0xbfff103f,0x4417ffe2,0xff105fff,0x999999df,0x107fffd9,0x9999dfff,
    0x7fffd999,0x000dfff0,0x002fffc4,0x0005fff5,0x640dffd3,0x3fea000f,
    0xfd732cff,0xfffa89ff,0xffd732cf,0x9efff89f,0x99999999,0x7fffd409,
    0xffffffff,0x9efff82f,0x99999999,0x0bfff209,0x20dfff30,0xff15fff8,
    0x3ffe20bf,0x05fff905,0xc86fff98,0x7cc02fff,0xefff86ff,0x99999999,
    0x7ffc4099,0x7ffdc005,0x4c409bce,0x00efffca,0x3fa0017e,0xffffffff,
    0xffe80fff,0xffffffff,0x7fffc0ff,0xffffffff,0xffe984ff,0xefffffff,
    0xffffff01,0xffffffff,0x803fffc9,0xf881fffe,0xbfff15ff,0x417ffe20,
    0xfd007fff,0x7fff83ff,0x83fffd00,0xffffffff,0x44ffffff,0x8005fff8,
    0xffffffe9,0xffffffee,0x01fcc04f,0x7ffff440,0x02ffffff,0xffffffd1,
    0xff05ffff,0xffffffff,0x5c09ffff,0x3efffffe,0x7fffffc0,0xffffffff,
    0x009fff54,0x2217ffee,0xfff15fff,0x17ffe20b,0x4013ffea,0x3ea5fffb,
    0xff7004ff,0xfffff8bf,0xffffffff,0x2fffc44f,0xfffb5000,0xdfffffff,
    0x01f70017,0x7fffe400,0xc800deff,0xdeffffff,0xffffff00,0xffffffff,
    0x00262009,0xfffffff8,0x4fffffff,0x2003fffb,0x440ffff8,0xfff15fff,
    0x17ffe20b,0x4007fff6,0xfb0ffff8,0x3e2003ff,0x3ffe0fff,0xffffffff,
    0x00004fff,0x99975300,0x01000355,0x06a62000,0x01a98800,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2aa00000,0x8006aa62,0x0aaa0aaa,0x01998800,0x0003d700,0x55500000,
    0x000aaa21,0x00f21654,0xca82f220,0x31554400,0x00000155,0x00002000,
    0x00035753,0x20026654,0xff881cc9,0x8013fee7,0xfff12ffd,0x3ffe2000,
    0x3fd98005,0x19f91000,0x87ffc000,0xc8006ffa,0x4fccffff,0x7fffcc00,
    0xfa806fcd,0x00fff65f,0x026aea60,0xfd9801d3,0x3f62000d,0x0dffffff,
    0x3fffe600,0x07fee004,0xffb9ffe2,0x4bff6004,0x70007ff8,0xf9800bff,
    0x00bfffff,0x013afb20,0xf50fff80,0x9ff000df,0x003ffffd,0xfffddfc8,
    0x5ffa804f,0x4400fff6,0xfffffffd,0x406ff99d,0x7005eaed,0xffffffff,
    0x3a007fff,0x002ffdff,0x33220ffb,0x800b3264,0x99911ccb,0x03bfe000,
    0xfffffa80,0x3e006fff,0x64000f53,0x079930cc,0x2e23e880,0x25d8001c,
    0x93002ca8,0x00e65479,0x7fffffdc,0xffffffff,0x07b97c01,0xffffffc8,
    0x3ffffffe,0x7457fe40,0x5ff800ff,0x01aba980,0x88013330,0x99300199,
    0x7ffc4001,0x2fffefef,0x0bd5d900,0x13331000,0x33310000,0x04ccc001,
    0x33066620,0x33333333,0x3f203333,0xffefffff,0x802fffff,0x4404ebec,
    0x4c0dffff,0x200ffffd,0x06aa22aa,0x2607ff30,0xfffffffd,0x1bffe00d,
    0x4c3fff90,0x98800999,0x3ffea099,0x6ffeafc8,0x0dfffb00,0xdfffb000,
    0xfffb0000,0x7fffc00d,0x87ffea01,0xffffffff,0x41ffffff,0x20dffff8,
    0x1ffffdb8,0x00cec880,0x2027ffec,0x0005fffd,0x207fee00,0xfffffffb,
    0xff02ffff,0xfffc80df,0x01bfff21,0xfb8ffffa,0x5513f96f,0xffff1003,
    0x7c40003f,0x0001ffff,0x07ffffe2,0x037fffc0,0x7fc3fff5,0xffffffff,
    0x7ec1ffff,0x3ff604ff,0x033005ff,0x01ffff30,0x21ffff88,0xf883fff8,
    0x0ffb03ff,0xdffffff7,0x07ffffff,0xfc80dfff,0x7fff41ff,0x1bffee03,
    0x07f2fff5,0x3ffff200,0x3f20004f,0x0004ffff,0x13fffff2,0x17ffffc0,
    0x3e1fffa8,0xffffffff,0x261fffff,0xf900ffff,0x201fffff,0xdeffffda,
    0x04fffa81,0x445fff90,0xff883fff,0x98bff03f,0x440dffff,0x7c0ffffd,
    0x7fe406ff,0x7fffd41f,0x1ffff880,0x1fddfff8,0xfffff800,0xff0000ff,
    0x001fffff,0x3fffffe0,0xffff800f,0xfffa80ff,0x001bffe1,0xb827ffd4,
    0x2fffcdff,0xffffff98,0x7fdc2fff,0xfff7002f,0x41fffc47,0xf983fff8,
    0x27fff44f,0xf17fff20,0xffc80dff,0x5fffd81f,0xb04fffd8,0x007fffff,
    0xffdfffa8,0xffa8003f,0x003fffdf,0xffdfffa8,0xffff803f,0xfffa84ff,
    0x001bffe1,0x5417ffe4,0x7fff76ff,0xdbbfffd0,0xffd8ffff,0xfff5001f,
    0x41fffc49,0xfb83fff8,0x3fffe22f,0x7fffc400,0x901bffe1,0xff103fff,
    0x7ffcc3ff,0x3fffe606,0xd800cfff,0x6fff8fff,0x8fffd800,0xd8006fff,
    0x6fff8fff,0xffffff80,0x0fffd41f,0x2000dfff,0x7cc1fffd,0x9fff50ef,
    0x6c1fffa8,0x3ff60fff,0xfff3001f,0x41fffc4b,0xfd83fff8,0x13ffe60f,
    0xf17ffe40,0xffc80dff,0xdfff701f,0x2017fff4,0xffffffe9,0x3ffe201f,
    0x003fff95,0xfcafffc4,0x3e2001ff,0x3fff95ff,0xffefff80,0x0fffd46f,
    0x2000dfff,0x3e61fffe,0x3ffe60ff,0xff703105,0x0fffe41f,0x24fffa80,
    0xf883fff8,0x46ff83ff,0x5002fffb,0x7ffc7fff,0x0fffe406,0xf77fffb0,
    0x74c00bff,0x206fffff,0xff32fffb,0x7fdc009f,0x09fff32f,0x997ffdc0,
    0x7fc04fff,0x23fffdcf,0x3fe1fffa,0xeeeeeeff,0x7fec2eee,0x83ffd12f,
    0x9804fffa,0x21ffffdb,0x7002fffb,0x7fc47fff,0x3fff883f,0x3f227fc4,
    0xff3001ff,0x037ffc9f,0x8807fff2,0xffffffff,0x767e4000,0xffd00fff,
    0x00fffe8f,0xfe8fffd0,0xffd000ff,0x00fffe8f,0x3fe33ffe,0x3fff50ff,
    0x7ffffffc,0x43ffffff,0xfe8bfffc,0x3fffb82f,0xfffffb70,0x7fd43fff,
    0x7ec0984f,0x3ffe21ff,0x43fff983,0x7fec2ffa,0xfff3001f,0x2037ffcb,
    0x5c01fffc,0x03ffffff,0xffd1fc80,0x89fff307,0x9803fffc,0x7fe44fff,
    0xfff9803f,0x01fffe44,0x3fee9fff,0x43fff55f,0xffffffff,0x543fffff,
    0x2ffddfff,0xb05fffb0,0xf99dffff,0x7ffc43ff,0x4c67f40f,0x3e20ffff,
    0xfff984ff,0x3607fe43,0xf5001fff,0x37ffc9ff,0x007fff20,0x01bffffa,
    0x8fe4b32a,0xffc85ffc,0x37ffcc1f,0x20fffe40,0xc806fff9,0x7fcc1fff,
    0x93ffe06f,0xffa9fffe,0x33fffe1f,0xcccccccc,0x7ffffc41,0xffff303f,
    0x0cfffc81,0xf907ffea,0x7ffccbff,0xf84fffef,0xfffa84ff,0x7dc37f43,
    0xff7002ff,0x037ffc7f,0x2007fff6,0x801ffff9,0x23f96ffe,0xfff83ffd,
    0xffcccccf,0x7ffc01ff,0xffcccccf,0x7ffc01ff,0xffcccccf,0x9fff01ff,
    0x7d77ffcc,0x1bffe1ff,0xffffc800,0x13fff604,0x3ee1bffa,0x7ffc41ff,
    0xffd889ef,0xfe80ffff,0x3ffe20ff,0x213fe23f,0xb005fffa,0x7ffc5fff,
    0x07ffec06,0x006fff80,0x3f99fff7,0xfa83fff5,0xffffffff,0x2a05ffff,
    0xffffffff,0x205fffff,0xfffffffa,0x05ffffff,0xffd89fff,0x3e1fffef,
    0x220006ff,0x20beffff,0x80ffffe9,0x7f446ffe,0xfffa81ff,0xffffffff,
    0xfffb05ff,0xfffffb9d,0x4417fd47,0x4c01ffff,0x3fa0ffff,0x3ffa00ff,
    0xdfff000f,0x3fffe200,0x85fffeff,0xfffffffe,0x0fffffff,0xffffffd0,
    0xffffffff,0x3ffffa01,0xffffffff,0x4fff80ff,0x7fffffc4,0x01bffe1f,
    0xfffffb80,0xfffffeff,0xbfff702f,0x3ffffd95,0x3ffffa60,0xffffffff,
    0x7fffcc2e,0x3ffeafff,0x7e403ff2,0xfd100eff,0xfffd89ff,0x0ffff304,
    0x0037ffc0,0xfffffff5,0xfff881df,0xccccccce,0xf883fffe,0xccccceff,
    0x83fffecc,0xcccefff8,0xfffecccc,0xb84fff83,0x21ffffff,0x50006fff,
    0xfffffdff,0x03dfffff,0x7fffffc4,0x403fffdf,0xdfffffeb,0x42ffffec,
    0xd1efffe9,0x03ff47ff,0x37fffff1,0x3ffffee6,0x67fffd40,0x9fffd732,
    0x037ffc00,0x3ffff620,0x5fff903e,0x86fff980,0x4c02fffc,0xffc86fff,
    0x7ffcc02f,0xd04fff86,0x7c3fffff,0x99999eff,0x3a099999,0xfffb88ff,
    0x5003efff,0x367ffffd,0x262006ff,0x206ffc80,0x35500098,0xfffffa80,
    0xffffffff,0xfffffd02,0x1fffffff,0x037ffc00,0x402fd880,0xfd007fff,
    0x7fff83ff,0x83fffd00,0xfd007fff,0x4fff83ff,0x3fffff30,0x7ffffffc,
    0x4fffffff,0x04cc07a2,0x00131000,0x0b260000,0x4c000000,0xfffffffe,
    0x3a201eff,0xffffffff,0x7fc002ff,0x3f20006f,0x13ffea01,0x52fffdc0,
    0x2e009fff,0x3fea5fff,0xfff7004f,0x204fff8b,0x3e1ffffc,0xffffffff,
    0x004fffff,0x00000000,0x00000000,0xffd70000,0x4007dfff,0xeffffffc,
    0xfff8000d,0x032a0006,0x001fffd8,0x361ffff1,0xf1001fff,0x3ff61fff,
    0xfff1001f,0x027ffc1f,0x7c3ffff1,0xffffffff,0x004fffff,0x00000000,
    0x00000000,0x09880000,0x0d4c4000,0x37ffc000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2ccc9800,0x66654000,0x39993001,0x01880800,0x00055730,0xcc980066,
    0x32e0002c,0xcc9800cc,0x24cc800c,0x32e03cc9,0x4079910c,0x4c00aba8,
    0xcb8000cc,0x995000cc,0x98080019,0x00079900,0x0001fff9,0x8013ffe2,
    0x3006fffe,0xdd137dfb,0x7fffec40,0xfea802ff,0xd802efff,0xf10006ff,
    0xff1007ff,0xfff00bff,0xe817fea1,0x0dff31ff,0x07ffffea,0x98006fe8,
    0xf3002fff,0x2a00bfff,0x4f98befe,0x2000ffb0,0x70003ffd,0x7e4009ff,
    0xc804ffdf,0x4fffffff,0x3fffffa0,0x3f601fff,0x3fffffff,0x002ffd80,
    0xb003ffc8,0x807ffbff,0xbff50fff,0xf98fff40,0xcfff886f,0x5ff506ff,
    0x07ffb000,0x7fefff40,0xffffe802,0xff702fff,0x1bf60001,0x002ffc00,
    0x3ff29ff5,0x64c77c02,0xff901dff,0xbfffb5bf,0x3bfffee0,0x401ffffe,
    0x44006fe8,0xff7004ff,0xc807ff67,0x80f3264c,0x79910ccb,0x3f25ff90,
    0x006fe82f,0x2003ff98,0x1ffd2ffc,0x6d46fc40,0xff300cff,0x05540005,
    0x000aa200,0x02aa8555,0x3a00404c,0x37ffc6ff,0x30f7ffc4,0x5100bfff,
    0x02a88005,0xaa88aaa0,0x00000001,0x7dc7ff60,0x017fd43f,0x200154c0,
    0x06aa22aa,0x88010130,0x330004ff,0x000cc000,0x4c000330,0x89fff001,
    0xffb84fff,0x01bcc81f,0x31000188,0x00062000,0x198000c4,0xf50ffd80,
    0x006fe89f,0x88000620,0x00620001,0x2a006fe8,0x1deffffd,0x7fffed40,
    0x7ed401de,0x401defff,0xdeffffda,0x5c7fff01,0xffc81fff,0x7f640007,
    0xec802eff,0xc802efff,0x802efffe,0x02efffec,0x77fffed4,0x71ffd81d,
    0x17fd47ff,0x3ffb2600,0xec9803ef,0x9803efff,0x03efffec,0x4c007fe4,
    0xffffffff,0xffff302f,0x205fffff,0xfffffff9,0xfff302ff,0x85ffffff,
    0x3fa3fff8,0x0fffb06f,0x3fffa200,0xd104ffff,0x9fffffff,0x3ffffa20,
    0xfd104fff,0x09ffffff,0x3fffffe6,0x7fe42fff,0x7f45ff92,0x7ffcc006,
    0x00dfffff,0xfffffff3,0x3fe601bf,0x0dffffff,0xd005ff50,0xffdbbfff,
    0x3fffa0ff,0x07fffedd,0xfdbbfffd,0x3ffa0fff,0x7fffeddf,0xf99fffc4,
    0xfffd02ff,0x3fff6000,0x83ffffdf,0xffdffffd,0xfffd83ff,0x83ffffdf,
    0xffdffffd,0xfffe83ff,0x47fffedd,0x7ffcfff8,0x9800bfea,0xffefffff,
    0xfff986ff,0x6ffffeff,0xefffff98,0xf106ffff,0xfffa809f,0x207ffec1,
    0x7ec1fffa,0x7ffd40ff,0x207ffec1,0x7ec1fffa,0x3ffe20ff,0x207fff73,
    0x03107ffc,0xd893ffea,0x7ffd47ff,0x51fff624,0x7ec49fff,0x27ffd47f,
    0xfa8fffb1,0x7ffec1ff,0x7ffffdc0,0x8801bfa1,0xd50cffff,0x7fc47fff,
    0xffd50cff,0x7fffc47f,0x7fffd50c,0x4401bfa0,0x00fffb81,0x1fff7031,
    0x3fee0620,0xf703100f,0x7ffc41ff,0x03ffff53,0xfb05fff7,0x7ffec1df,
    0xb1fffcc0,0xff981fff,0x03fff63f,0x7ec7fff3,0x7ffcc0ff,0xffb81883,
    0x0aca980f,0x3530bfea,0x109fff50,0x7fd4ffff,0x7fff884f,0x2213ffea,
    0xff907fff,0xfdb98001,0xb9801fff,0x801ffffd,0x1ffffdb9,0xfffdb980,
    0x8fffe21f,0x4c0ffffd,0x3e62efff,0x77ff45ff,0xfff99999,0x267bffa4,
    0x24fff999,0x9999effe,0x3fa4fff9,0xf99999ef,0x6dcc04ff,0x4001ffff,
    0x3ffa66fe,0x3fff20ef,0x21fffd02,0xfd02fffc,0x3fff21ff,0x01fffd02,
    0xb7005ff5,0xffffffff,0x3fff6e03,0x701fffff,0xfffffffb,0x3ff6e03f,
    0x21ffffff,0x3a23fff8,0xffc86fff,0xffffeeff,0x7fffffc2,0x24ffffff,
    0xffffffff,0x3fe4ffff,0xffffffff,0x3fffe4ff,0xffffffff,0xffffdb84,
    0x2001ffff,0xfff12ffa,0x7ff4dffd,0x4bffee07,0x3ee07ffe,0x0fffd2ff,
    0x4417ffdc,0x7fec03ff,0xfffcceff,0xeffffd81,0xd81fffcc,0xfcceffff,
    0xfffd81ff,0x1fffccef,0xd10fffe2,0xfd88bfff,0x3fffffff,0x7fffffc4,
    0x15ffffff,0xffffffff,0x3e2bffff,0xffffffff,0xfff15fff,0xffffffff,
    0xffffd8bf,0x01fffcce,0xffb9bfa0,0x3f63ffb2,0x3ffea07f,0x540fffb2,
    0xfffb2fff,0x817ffd40,0x3ff205fe,0x3ffea0cf,0x067ffe41,0xfc83fff5,
    0x3fea0cff,0x67ffe41f,0x887ffea0,0xfe883fff,0xffeb80ff,0xfff02eff,
    0x5fff800b,0x02fffc00,0x0017ffe0,0x5419fff9,0xf5001fff,0xb8ffec5f,
    0x3fff93ff,0x643ffee0,0xff701fff,0x07fff21f,0xd807ffdc,0x1bffa07f,
    0xfd07ffee,0x3fff70df,0xfb86ffe8,0x37ff41ff,0xf10fffdc,0x3fea07ff,
    0x7dfb102f,0x07fff401,0x7fff40d4,0xffe81a80,0xfe81a80f,0xe81a80ff,
    0xfffb86ff,0xe8dfd001,0x553fea7f,0xffd04fff,0x827ffd4f,0x3fea7ffe,
    0x0fffd04f,0xfe80ffdc,0x7fff446f,0x2237ff41,0x7f41fffe,0x7fff446f,
    0x2237ff41,0x3e21fffe,0x7d4663ff,0xf99502ff,0x7ffdc0bf,0x717ffe44,
    0xffc89fff,0x13ffee2f,0x7dc5fff9,0x7ffe44ff,0xd11bffa2,0xf5003fff,
    0x70ffd85f,0x3ffe27ff,0xfffb30bf,0x5ffffc47,0x47fffb30,0x30bffff8,
    0x4c07fffb,0xfff703ff,0xffffd95b,0xadfffb83,0x41ffffec,0xecadfffb,
    0x7dc1ffff,0xffecadff,0x3ffe21ff,0xffdffd8b,0xffa800ff,0x3bfffe00,
    0xf85fffdb,0xffdbefff,0xeffff85f,0xf85fffdb,0xffdbefff,0x6fffdc5f,
    0x1ffffeca,0xfc86fe80,0x545ff92f,0xffefffff,0xfffa86ff,0x6ffffeff,
    0xefffffa8,0xf806ffff,0xffff105f,0x7fffbfff,0xffffff88,0x443fffdf,
    0xdfffffff,0x7fc43fff,0xffdfffff,0x4fffe23f,0x3ffffffd,0xdfb53310,
    0xffffe980,0xe980efff,0xefffffff,0xffffe980,0xe980efff,0xefffffff,
    0x7ffffc40,0x03fffdff,0x7cc17fd4,0x40fffbef,0xfffffffa,0xfff500ef,
    0x01dfffff,0x3fffffea,0xfd800eff,0x3fffaa07,0x50dffb3f,0x367ffffd,
    0xffea86ff,0x0dffb3ff,0x27ffffd5,0x3fe26ffd,0x3ffff23f,0x3ffffa03,
    0xffd8801e,0x2200bdff,0x0bdffffd,0x3ffff620,0x3f6200bd,0x500bdfff,
    0x367ffffd,0x37f406ff,0x5fffff90,0x3fffb260,0xfec9803e,0xc9803eff,
    0x003efffe,0x31007fee,0x02620001,0x0004c400,0x00000988,0x2aa60066,
    0x1310001a,0x00131000,0x10001310,0x04c40013,0x02ee9800,0x800e6e54,
    0x31000098,0x02620001,0x002aa200,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x10000000,0x16654799,
    0x3223cc80,0x3999503c,0x00054400,0x06a60055,0x2600aa20,0x02a8801a,
    0x055dd440,0x13332000,0x00133310,0x99526644,0x0e665405,0x00098800,
    0x03577310,0x91001100,0x3fe60999,0x200fff26,0x3fea5ff9,0x0bffd104,
    0x1bfffd30,0x9805fa80,0x2fd803ff,0x401ffcc0,0x3f2002fd,0x003fffff,
    0x003fff50,0x5f73dffb,0xf93ffcc0,0x5ffe809f,0x7fffdc00,0xfec8801e,
    0x03ffffff,0x94effeb8,0x7ffd4bff,0x326ff981,0xffa803ff,0x880fff23,
    0x7f400ffe,0x7403ffbd,0x3ff2200f,0x037cc03f,0x807fff91,0x3f2006f9,
    0x3fffffff,0x02ffe800,0x33fffee0,0xc9ffe600,0x7f4404ff,0xfffb001f,
    0x5407ffff,0xffffffff,0xd880efff,0xdcffffff,0x2ffd45ff,0x9951e644,
    0x45ff9005,0x7c401ffd,0x432e204f,0x13ee05fd,0x07ffffb0,0x3f601fe8,
    0x7f403fff,0xbfff1001,0x00fffb33,0x2003ff98,0x01ffffc8,0x99526644,
    0x0bfd1005,0xfdffff50,0xff501fff,0xfffdffff,0xff90dfff,0xffffddff,
    0x03ff70bf,0x3ff60000,0x4401ffe0,0xffd5002a,0x003fe203,0xa80ffe79,
    0xff9e405f,0x8017ea03,0x3e21fffa,0x2a6000ff,0x2ffea002,0x0000effc,
    0x00551000,0x3ea1fffd,0x7ffc43ff,0x7fe4c1ef,0x3ffe22ff,0x3fffaa2f,
    0x88035505,0xfaaa9801,0xfffbaaff,0x6400001a,0x7f901eff,0x203ff800,
    0x3fe000fe,0x8003fa03,0x3ee5fff8,0x000000ff,0x1bff6144,0x0c400000,
    0x21fffcc0,0x7fe47ffd,0x7ffec05f,0x20fffee5,0x8005fffa,0x3efffec9,
    0xffffffb0,0x9fffffff,0x220fffe2,0xc8883fff,0x037c40ff,0xfb81ffc0,
    0x81ffc004,0xfe8004fb,0x5fff9aff,0x20fffe20,0xc883fff8,0x3fffbded,
    0x441fffc4,0xec983fff,0xf703efff,0xfffb83ff,0x003fffe1,0x7e4359b1,
    0xbfff00ff,0xf989fff0,0xdfffffff,0x7ffffec0,0xffffffff,0x107fff14,
    0x92e27fff,0x17ec1ff9,0x441ffc00,0x7fc000ff,0x000ff883,0xffffffa8,
    0x3fe201ff,0x3fff883f,0x7fffffd4,0x3e20ffff,0xfff883ff,0x7ffffcc3,
    0x7e40dfff,0x7ffd40ff,0x009fff51,0x207ffd80,0xfff85ffe,0x3ffffe64,
    0x4c6ffffe,0xaacffdaa,0xf11abffe,0xfff107ff,0x7ed67fc7,0x8002fcc6,
    0x03fc83ff,0xfc83ff80,0x3ff60003,0x4401efff,0xff883fff,0x3fffe63f,
    0x2fffffff,0x220fffe2,0x3fe63fff,0xffffefff,0x4c3ffe46,0xfff72fff,
    0xffd80007,0x217ffe07,0xfff14fff,0x3ffaa19f,0x41ffd03f,0xfff887ff,
    0x23fff883,0x42fffffa,0xff0001fe,0x0006f887,0x06f887ff,0x3fffea00,
    0xff8800ff,0x3fff883f,0x2277fffa,0x224ffffc,0xff883fff,0x9ffff13f,
    0x8ffffaa1,0xff987ffd,0x05fff93f,0x2aaaaaaa,0x01fff90a,0x3fe17ffe,
    0x09fff54f,0x3e0ffff1,0x21bfe27f,0xf883fff8,0x81ca83ff,0x035304fa,
    0x0bf60d54,0x83550066,0x035102fd,0x3fffffee,0x7fc4024f,0x3fff883f,
    0xf30bfff7,0x7ffc4dff,0x53fff883,0xff109fff,0x43fff4ff,0xff94fff9,
    0xffff105f,0x3ee3ffff,0xfffa82ff,0xf94fff85,0x3ffa05ff,0x52ffcc0f,
    0xfff109ff,0x07fff107,0xf880ff80,0x2fcc005f,0x00fbffb2,0xfd105f98,
    0x7dfff90b,0x3fe5ffff,0x0fffe21d,0x7e4fffe2,0xffff02ff,0x20fffe21,
    0xff93fff8,0x3fffa05f,0xf30fffb0,0x3ffee7ff,0xfffff883,0xfff11fff,
    0x7fffd43d,0xfd4fff85,0x7ffdc0ff,0x9dffb972,0x599bffd9,0x220fffe2,
    0x2e003fff,0x0bffd03f,0x3ea1fe80,0x001ffdcf,0x3ffa03fd,0x877ffc45,
    0xffbffffb,0x0fffe21f,0x7f4fffe2,0xfff900ff,0x20fffe23,0xffd3fff8,
    0x97ffdc0f,0xff987ffd,0x09fff32f,0xfffffff1,0x7fffe43f,0x5fffffee,
    0xffb4fff8,0x97ffd40f,0xfffffffd,0x14ffffff,0xff307fff,0x1be2007f,
    0x002fffe4,0x24fc89f5,0x4fa804fe,0xa8bfff90,0x7fe42fff,0x7c46ffff,
    0xfff983ff,0x201fffd3,0xff11fffb,0x7fff307f,0xfa81fff6,0x1fff92ff,
    0x3e2fffa8,0xff9006ff,0x7fff443f,0x5fffdfff,0xff94fff8,0x3ffee03f,
    0xffffffb0,0x9fffffff,0x2613ffe2,0xf9003fff,0xbf9bf705,0x2007fc00,
    0xff803ff9,0x5fcdfb80,0xfe83ffec,0x7c43ffff,0xfff984ff,0x205fff93,
    0xff10fffe,0x7fff309f,0x5c07fff2,0xfff70fff,0x21fffb83,0xc802fffd,
    0xffc81fff,0x0bfff3ff,0x3fea9fff,0x4fffd04f,0xa99fff98,0x20999eff,
    0xffa84fff,0x86f9803f,0x05fc8ef9,0xf9807f70,0x83fb806f,0x45fc8ef9,
    0xf881fffd,0xff80ffff,0x3fffa84f,0xf109fff7,0x4fff8fff,0xf53fffa8,
    0x3ffa09ff,0xb0fffe67,0xfffb8fff,0x3ffa201e,0xff02601f,0x29fff0bf,
    0x30bffff8,0xf987fffb,0x813fea5f,0x3e20fffe,0xfd803fff,0x6cd7fc41,
    0x3fc401df,0x003bfea0,0x5ff10ff1,0x7dc3bfb3,0x3f620dff,0x741fffff,
    0x3fe20fff,0xffff13ff,0x1fffecc7,0xf883fffa,0xfff13fff,0x3ff6617f,
    0x87fff43f,0xfe84fff9,0x9511bfff,0x003fffff,0xff85fff8,0x3fffea4f,
    0x86ffffef,0x3ff23ffb,0x3bfff602,0x3fffffdc,0x7d42fd40,0x0fffffff,
    0xfc80bf20,0x05f9005f,0xfffffff5,0x7ffff41f,0xffffffee,0x3ff64fff,
    0xffffdcef,0x3fffea3f,0x86ffffef,0xfdcefffd,0x3ea3ffff,0xfffeffff,
    0xffffb86f,0x980ffffe,0xffffffff,0x0effffff,0x42fffc00,0x7fd44fff,
    0x0effffff,0x3f62ffc8,0x3ffe600f,0xffeaffff,0x4c07f403,0xcefecccc,
    0x540df300,0x02cccfff,0x33260df3,0x20cefecc,0xffffffe9,0xfffebeff,
    0x3ffffe61,0x43ffeaff,0xfffffffc,0xfff981ef,0xffeaffff,0x7ffffd43,
    0xfb00efff,0x07ffffff,0x7fffff44,0x02ffffff,0xf0bfff00,0xfd9309ff,
    0x7f407dff,0x201ffe0f,0xd1efffe9,0x27dc07ff,0xd80bf900,0x3fffa01f,
    0x3fb05fff,0x902fe400,0x89ffffff,0xffe983fc,0x07ffd1ef,0x7fffffd3,
    0xefffe980,0x9307ffd1,0x007dfffd,0x05dffff7,0x3ffff6a0,0x40003cef,
    0xfff85fff,0x4004c404,0x015542aa,0x20001310,0x32a000dd,0x8813a602,
    0x2ccccccc,0x54004e98,0x0998803c,0x01310060,0x0004cc00,0x88000262,
    0x09880009,0x00666000,0x01333000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00013100,
    0x00355751,0x006aea60,0x006ee600,0x4c013100,0x4cc40099,0x0004cc01,
    0x0006ee60,0x26000330,0x20000abb,0xa9800999,0x333001ab,0x01100001,
    0x04ccc000,0xeffffd88,0xffffb801,0x8801efff,0xfffffffd,0x3f6e2002,
    0x02dfffff,0xdffffb10,0x80dfff03,0x6c41fffc,0x003fffff,0xfffffb71,
    0x362005bf,0x800dffff,0x3ffffffc,0x5fff8800,0xfffffb30,0x3e601bff,
    0x320003ff,0xffb3efff,0x5fff8009,0xfffffe98,0xffb103ff,0xffffffff,
    0x7fffd407,0x05ffffff,0xbdfffe98,0x00efffdb,0x3fffffe6,0x37ffc1ff,
    0x987fff20,0xffffffff,0x7fff4c06,0xefffdbbd,0x3fffea00,0xb101ffff,
    0xffffffff,0xfff88007,0xfffffb85,0x82ffffff,0x8003fff9,0xffffffe8,
    0x4004ffdc,0xffe85fff,0x07fffeff,0xdbfffff9,0x703fffff,0xfddfffff,
    0x5407ffff,0x3a601dff,0xfff881ff,0x46ffffff,0x7e406fff,0x3fffa1ff,
    0x04ffffdf,0x4c03bff5,0xff881ffe,0xfffffeff,0xbefffc80,0x000ffffd,
    0xf717ffe2,0xffdfffff,0xf987ffff,0xfd8003ff,0xfffedfff,0x7fc004ff,
    0x27ffcc5f,0xff05fff5,0xffe883df,0x7fffc44f,0x3fff260c,0x05ff880f,
    0xc81dfd10,0x3ff23fff,0x01bffe1f,0x3e63fff9,0x3ffa24ff,0x005ff886,
    0xff90dfd1,0x3fff225f,0x5c5fff83,0x22003fff,0x3fe65fff,0x7ec40dff,
    0x3fe60fff,0x7fcc003f,0x3ffaa1ef,0x7ffc004f,0x743ffdc5,0x7ffcc6ff,
    0x8dfff303,0x3603fffc,0x5fd84fff,0x5bddddd7,0xff127f44,0x1cde889f,
    0xf901bffe,0x3ffea3ff,0x6c3ffdc1,0x6ffed45f,0xfd13fa22,0x8ffff0df,
    0xef82fff9,0x3fe2003d,0x13fffa5f,0x4cbfff90,0x200c3fff,0xfa83fffc,
    0xf02204ff,0x10220bff,0xff989fff,0x355500ef,0x203fffc4,0x7c40bce9,
    0x3ffbbf27,0xa9be23ff,0x3e002fff,0x7fe406ff,0x83fff31f,0x3fc46ffc,
    0x3ffbffee,0xfff1be22,0x43fffb09,0x0002fff9,0x457ffe20,0x4400ffff,
    0xff31ffff,0xdfffb17f,0x03fffb03,0xf909fff1,0x3ffe7dff,0xfff91005,
    0x9fffff05,0x3ffe6003,0x27d40004,0x46fc89f9,0x1fff70fd,0x7fc03531,
    0x7ffe406f,0x4437ffa1,0x27d44ffe,0x7fd47ff3,0x7fc43f60,0x2fffb84f,
    0x0001fffc,0x26bfff10,0xf9004fff,0x3ffe65ff,0xfffffffd,0xf03fff43,
    0x7ff449ff,0xfffdffff,0xffffd805,0xfffff703,0x2a017bff,0x40003fff,
    0x513f22fc,0xf93fb8df,0xfffff5ff,0x80dfff05,0x3a61fffc,0xdfffefff,
    0xdf917e40,0x23fb8350,0xffd86fff,0x02fff43f,0xbfff1000,0x400bffee,
    0xff33fffa,0xfffbffff,0x3fff43ff,0x364fff88,0xffedffff,0xff805fff,
    0x7fe403ff,0x4fffffff,0x002fffc8,0x9f907f40,0x987fd533,0xfffffb5f,
    0xf87fffff,0x7fe406ff,0x7fffc41f,0x41fd05ff,0xbf3004fd,0x3e07ffec,
    0xfffd4fff,0x00ffffff,0xcafffc40,0xf3001fff,0x3ffe69ff,0xfff910cf,
    0x407ffecb,0xff34fffa,0x7ff543df,0x7ffc405f,0x7f5403ff,0xefffffff,
    0x007fff60,0xffc8ff00,0xdf03ffff,0x2bbffffa,0x3e0ffffc,0x7fe406ff,
    0x7fffec1f,0x47f84fff,0xdf1002ff,0x55f7ffcc,0xfd4ffffe,0xffffffff,
    0x7ffc4000,0x003fffb5,0x7cd7ffe6,0xffe80fff,0x20fffee7,0xff94fffd,
    0xbfff707f,0xffb89880,0xfdb8806f,0x326fffff,0x40002fff,0x2f7f20fe,
    0x2bf305fe,0x7cc6fffd,0x1bffe4ff,0x223fff90,0xfcacfffe,0xd07f45ff,
    0x17e6009f,0xfffffff9,0x3bb29fff,0x06eeefff,0x57ffe200,0x5001fffd,
    0x3fe69fff,0x1fff905f,0x233fffe2,0xb4ffffd9,0xff103fff,0xffb800bf,
    0x7ecc001f,0xfff70fff,0x2fc80007,0x2ff453f2,0xfffc97dc,0x3e5fff84,
    0x7fec06ff,0x83fff51f,0x3f20fffb,0x37a1bf62,0x3ee0bf20,0xfffaefff,
    0x01fffc43,0x5fff8800,0x2005fff7,0xff33fffb,0x3ffee07f,0x3fffff21,
    0xd4ffffff,0x7ffc0fff,0x7ffcc005,0x900eeaa3,0x3fe65fff,0x16f4404f,
    0x49f92fcc,0x87ec2ff9,0xfd82fffc,0x01bffe6f,0x3f21fffb,0x3fff887f,
    0xbff993e6,0x7f46fc88,0x51355100,0xff985fff,0x40cc002f,0xff55fff8,
    0x3ff600bf,0x09fff32f,0xf907ffee,0xff3fffff,0x41fffa9f,0x4cc5fff8,
    0x5fff882a,0xa807fffa,0xfff13fff,0x7ffdc01f,0x9f90ff86,0x9be26fc8,
    0xfd84fffb,0x03fffa6f,0xfd0fffe8,0x13ffe0df,0x7ffdc1ff,0x1be61fff,
    0x83fff700,0x7000fffc,0xff983fff,0x3ffff14f,0x0ffff980,0x320bfff3,
    0xfda80fff,0x29fff0ce,0xfa81fffd,0x7fff45ff,0x91fffdc0,0x7f40bfff,
    0x3fff21ff,0x7ffff105,0x7d71dfb0,0xff8aee88,0x21bffe63,0x3ff65fff,
    0xffff304f,0x2a07ffec,0x77ec3fff,0x873bf6a0,0x6e543ff9,0x4c6ffe85,
    0x2a002fff,0x7fd43fff,0x3bfff23f,0x9fffd100,0xe83fffcc,0xff8007ff,
    0x05fff73f,0xfb8bfff9,0xffd30cff,0x7fffcc3f,0xffda88ad,0x7fffc47f,
    0xffeb889e,0x1dfd107f,0xb0dff100,0x7fdc7fff,0x3fffea3f,0xfffd732c,
    0x867ffdc9,0x442fffd8,0xf9800efe,0x2fffb86f,0x4c7fff91,0xaccbefff,
    0x7fc43930,0xffea8bff,0x3fffe21f,0xfff731bf,0x7ffcc1ff,0x3fff224f,
    0x2137bea5,0xff32fff9,0x7ffd41df,0x7fffc45f,0x84ffffef,0xfffffffc,
    0xa84fffff,0xffffffff,0x2602ffff,0xb880aeff,0xff980eff,0x6fffffff,
    0xffffffe8,0x20ffffff,0xfdfffff8,0xff305fff,0xff71015d,0xffff101d,
    0xc8fffffd,0xffffffff,0x7ec4ffff,0xffffffff,0xfffffa84,0xffffffff,
    0x7ffffcc2,0x0fffffde,0x273fffe2,0x20fffeb9,0xfedffffd,0xf985ffff,
    0xefffffff,0xfffffb00,0x407fffff,0xffffffe9,0xe8802fff,0xfeccefff,
    0x3ee00dff,0x1fffffff,0xfffffe88,0x982fffff,0xffffffff,0x3ffa200f,
    0xffffccef,0x3ffee00d,0x4c1effff,0xffffffff,0x220fffff,0xffffffff,
    0x3fffa606,0x1effffff,0xffafff98,0xd83fffff,0xffffffff,0x7ff443ff,
    0xffdcffff,0xffffb105,0xffd3007f,0x003bdfff,0x3fffffb2,0x764c000c,
    0x01bdffff,0xbffffd30,0xffffc801,0x2200deff,0x0cfffffc,0xfffd9300,
    0x2a0037bf,0x00dfffff,0xdb7539fb,0x883bffff,0x0bdffffd,0xffffeb80,
    0x3fe603ef,0xefffd88f,0x3ffff201,0x3203ffff,0xffb3ffff,0x0013300b,
    0x00026660,0x00001330,0x00002aa2,0x53100033,0x06a60003,0x01551000,
    0x4004cc00,0x80099800,0x4c400019,0x09880000,0x79975100,0x00260015,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7e400600,0xffffffff,0x33333301,0x44000033,
    0x666402aa,0x26660002,0x99999999,0x40199999,0x99807ffc,0x99980009,
    0x304ccc01,0x03333333,0x99999980,0x19999999,0x4ccc0e20,0x99999999,
    0x03ffee19,0x3003fff2,0x7ffcc013,0xd89fff8a,0x3601efff,0xffffffff,
    0xfffff01f,0x05dfffff,0x03ffec00,0x003ffff9,0xffffff70,0xffffffff,
    0x7e403fff,0x6fff807f,0x2fffc800,0x7c7fff90,0xffffffff,0x7ffc02ef,
    0xffffffff,0x5fb81fff,0xfffffff0,0x21ffffff,0xfc80fffb,0xffc880ff,
    0x7cc0cfff,0xafff8aff,0x3ffffffe,0xfffffff0,0x3fe03fff,0xffffffff,
    0x54000dff,0xff507fff,0xf000dffb,0xffffffff,0xffffffff,0x3ffe403f,
    0x0037ffc0,0x4437ffc4,0x7ffc6fff,0xffffffff,0xffff00df,0xffffffff,
    0x5ffe83ff,0xfffffff0,0x21ffffff,0xfc80fffb,0x7ffcc0ff,0x20ffffff,
    0xff8afff9,0xfffeffff,0x7ffc40ff,0x0aaaaaac,0xfffffff0,0x0dffffff,
    0x3ffffc40,0xffab7fc4,0x3ffea004,0xffffffcd,0x1fffffff,0x201bbae0,
    0x90006fff,0xffb85fff,0x7ffffc3f,0xffffffff,0xffffff06,0xffffffff,
    0xf05ffe83,0xffffffff,0x3ee1ffff,0xfffc80ff,0x3ffffa20,0x266ffffe,
    0xfff8aeee,0xfff911df,0x00fff98b,0x986fff80,0x003ffffc,0x30fffffb,
    0x01554155,0x3e2fffd0,0x000004ff,0xccffff80,0x2202bccc,0x7ffc5fff,
    0x986fff86,0xf83ffffc,0x3a0006ff,0xdfff05ff,0x0fffb800,0x2a0fffc8,
    0xfd10cfff,0x7fc403ff,0x7ffe80ff,0x8003ffdc,0x3e606fff,0x7d400fff,
    0x0007ffff,0x4fffea00,0x0004fff8,0xf807ffa8,0xffffffff,0xff900eff,
    0x0fffee3f,0xf981bffe,0x7ffc0fff,0xfffc8006,0x3fe1ffff,0x7fdc006f,
    0x0fffc80f,0xf507fff2,0x89f547ff,0xff706fff,0x5f7fe43f,0xff802ced,
    0x7ffe406f,0x3bffe203,0x7ffc07ff,0x7fff4004,0x009fff10,0x00fff700,
    0xffffffff,0x105fffff,0x3ffebfff,0x80dfff06,0x7fc3fffc,0xffc8006f,
    0x3e1fffff,0x7dc006ff,0xfffc80ff,0x261732a0,0x57f23fff,0xf504fff8,
    0x7fff45ff,0x00dfffff,0xf301bffe,0x7fec09ff,0x7c07ffcc,0x3e6004ff,
    0x3ffe24ff,0x7f440004,0xffff805f,0xfffecccc,0xfffd80ff,0xff03fffb,
    0xfff980df,0x0037ffc4,0x7fffffe4,0x01bffe1f,0x901fff70,0x5c001fff,
    0x5bf61fff,0xf503fff8,0x7fffc5ff,0x05ffffff,0xf101bffe,0x3fee0bff,
    0xf80fff96,0x3f6004ff,0x3ffe20ff,0xccccccce,0x3fff601c,0x06fff802,
    0x305ffff3,0x0dffffff,0x22037ffc,0x7ffc5fff,0xeeeeeeef,0x5ffe82ee,
    0x555dfff0,0xfb855555,0xfffd81ff,0x3fffa000,0x7fc5bfa0,0x3fff704f,
    0x2277ffe6,0x742ffffb,0xeeeffffe,0x886fff85,0xfff91fff,0x004fff80,
    0xf88bfff3,0xffffffff,0xfe883fff,0xfff004ff,0xa7ffe40d,0xfffffffa,
    0x20ffffff,0xff806fff,0x7ffffc6f,0xffffffff,0xf05ffe83,0xffffffff,
    0xfffb8dff,0x00fffe83,0xe87fffb0,0x0ffff17f,0x5531fff6,0xf8bfff30,
    0xffffffff,0xd87fff87,0x1fff24ff,0x2009fff0,0x7c41fffc,0xffffffff,
    0x7f443fff,0x3fe005ff,0x3ffea06f,0xffffff54,0x1fffffff,0x7c037ffc,
    0x7fffc7ff,0xffffffff,0x05ffe83f,0xffffffff,0xffb8dfff,0x3fff20ef,
    0xfffc800f,0xf88fff86,0x3ee0dfff,0x7fc005ff,0x7ffe647f,0xff84cccf,
    0x237fdc7f,0x7fc07ffc,0xfff8804f,0xcefff886,0x1ccccccc,0x0027ffec,
    0xfd81bffe,0xffff52ff,0xffffffff,0x037ffc1f,0xff1fffe2,0x999999ff,
    0xffd03999,0x3bfffe0b,0x45eeeeee,0xedfffffb,0x400fffff,0x441ffffd,
    0xfff89fff,0xffffdfff,0x7fec001f,0x06fff80f,0xf12fffc4,0xfb3337ff,
    0xff0133ff,0xfff9009f,0xffdddddf,0xffa8009f,0xfff8004f,0x3ffff706,
    0x00fffdc0,0xf101bffe,0x6fff8bff,0x17ffa000,0x20037ffc,0xfffefffb,
    0x200fffef,0x981ffffd,0xfff89fff,0xfffffffd,0x3fa03303,0x0dfff07f,
    0x2e4fff98,0xffffffff,0xf82fffff,0x7fc404ff,0xffffffff,0x64004fff,
    0x57300fff,0xeeffff83,0x6ffffffe,0x3f6aaaa2,0x42aaabff,0x7cc06fff,
    0x37ffc4ff,0x0bffd000,0x7001bffe,0xbffd3fff,0x3601fff5,0xf301ffff,
    0x7fff15ff,0x03dfffd1,0xf983fff9,0xdfff06ff,0x23fffc80,0xfffffffb,
    0x82ffffff,0x7dc04fff,0xffffffff,0x4004ffff,0xfd00fffc,0xfffff8df,
    0xefffffff,0x3ffffea0,0xffffffff,0x901bffe0,0xfff87fff,0x3ffa0006,
    0x00dfff06,0x130fffb8,0x77ffe400,0x2fffea00,0x2623fff8,0x37ffea00,
    0x05fff910,0xfa81bffe,0x3fee0fff,0xffffffff,0xfff82fff,0x5ffffc04,
    0xffbaaaaa,0x7fd4004f,0x4fffa84f,0x7ffffffc,0x540cffff,0xffffffff,
    0x3e0fffff,0x3fe606ff,0x06fff86f,0x41bffa00,0x5c006fff,0xa8000fff,
    0x5c00ffff,0xfff8bfff,0xfffe8003,0x06ffffdf,0x2667bffe,0x2ffffcaa,
    0x4cccccc4,0x099fffd9,0x2e04fff8,0x3e605fff,0x99999dff,0x3fa09999,
    0xffdbbeff,0x77ffc1ff,0x20199aaa,0xffdaaaa8,0x7c2aaabf,0xa9999eff,
    0xf82ffffc,0x99999eff,0x6c099999,0x3e2eefff,0x7dc006ff,0x7c4000ff,
    0xaaaadfff,0x7fff71aa,0x0007fff1,0xfffffff1,0x7ffc01df,0xffffffff,
    0xfc8005ff,0x27ffc07f,0x403fffd0,0xfffffff9,0x24ffffff,0xfffffff8,
    0xfff81fff,0xff700006,0xffff803f,0xffffffff,0xfffff05f,0xffffffff,
    0xffffb89f,0x01bffe3f,0x001fff70,0xffffffb8,0xf74fffff,0x7fff17ff,
    0x3ff22000,0xff804eff,0xffffffff,0xc8000cff,0x7ffc07ff,0x0dfff504,
    0xffffff98,0x4fffffff,0x7ffffe44,0xdfff00ef,0x3fee0000,0x7fffc01f,
    0xffffffff,0xfffff00c,0xffffffff,0xffffb09f,0x0037ffc7,0x0003ffee,
    0xfffffffd,0x3ee9ffff,0x3fff8bff,0x00998000,0x3fffffe0,0x000cdeff,
    0xf01fff20,0x3ffa09ff,0x7ffcc02f,0xffffffff,0x553104ff,0x0dfff003,
    0x3ffee000,0x7ffffc01,0x00cdefff,0x7ffffffc,0x4fffffff,0xfff01310,
    0x2aa9800d,0x7fffc400,0xffffffff,0x26355514,0x00000099,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x44009998,0x26660999,0x026aa200,0x4cc13330,
    0x332a0009,0x99833322,0x00266609,0x407332a0,0x3309ab98,0x99988013,
    0x33310009,0x90000001,0x3ee03fff,0x266662ff,0x26662009,0x02666099,
    0x99833310,0x09999999,0x03553000,0xf701bffe,0x3ffe25ff,0xfffffa85,
    0x9fff01df,0x800fffe6,0x3ffe3ffc,0x7c53ffe0,0x7c4004ff,0xfff504ff,
    0x1bffe9ff,0x1ffffe88,0x0dfffb00,0x001fffe0,0x3609fff3,0x3ffe27ff,
    0x3fee06ff,0x3ffe3fff,0x3ffea01f,0x3fffffe1,0x03efffff,0x209fff10,
    0x7dc06fff,0xbfff12ff,0xffffffd8,0xfff83fff,0x007fff34,0xfff1ffe4,
    0xf8a7ffc1,0x7dc004ff,0xffff305f,0x1bffe5ff,0x01ffffe8,0x3fffff10,
    0x00ffff00,0xf10dffd0,0x7ffc49ff,0xffd00fff,0x7ffc7fff,0x3ffea06f,
    0x3fffffe1,0x5fffffff,0x04fffd80,0xfb80dfff,0xbfff12ff,0x5effffe4,
    0x7c1ffffd,0x7fff34ff,0x91665400,0xa7ffc199,0x4004fff8,0x3fea05fe,
    0xfff0aadf,0x3ffff60d,0x3fff2002,0xfff804ff,0xfffb8007,0x10fffd41,
    0x05ffffff,0x7ffffff1,0x817ffffc,0x3fe1fffa,0xffffffff,0x2e03ffff,
    0xff04ffff,0xfffb80df,0x22bfff12,0x7c40efff,0xa7ffc6ff,0x0003fff9,
    0x44266600,0x22004fff,0x7ffe402a,0xd86fff80,0x4002ffff,0x0fffffff,
    0x003fffc0,0x3627ffc4,0x7ffc46ff,0xffa85fff,0x3fe3ffff,0xfa80ffff,
    0x1bffe1ff,0x437ffe44,0x4fffffd9,0xb80dfff0,0xfff12fff,0x40bffeab,
    0x7ffc7ffc,0x007fff34,0xff880000,0x0000444f,0x7fc1fff2,0x7fffe46f,
    0x7ffd4002,0x7c03fffd,0xfb0007ff,0x1fffc4df,0x3ffbffe2,0xffeffc87,
    0x3ffffe3f,0x1fffa84f,0xfd01bffe,0xffffc8ff,0xfff04fff,0x2fffb80d,
    0x2a2bfff1,0x3fff204b,0x7cd3ffe0,0x7ffe43ff,0x04fff80e,0x3fe29fff,
    0x7dfff94f,0xfc89fff0,0x25ffffff,0x3fee6fff,0xfd8003ff,0x06fff8ff,
    0x8003fffc,0xff51fffa,0xcfff881f,0x7ff41fff,0x3fe3fffc,0x541fffff,
    0x3ffe1fff,0x237fec06,0xfffbeffe,0x80dfff04,0xff12fffb,0x7fc400bf,
    0x9a7ffc5f,0x3fee3fff,0x9fff00ef,0x7c53ffe0,0xffffedff,0x27ffc4ff,
    0x3ffffff2,0x5dbffe5f,0x8003ffff,0xff95fff8,0x3fffc03f,0x29fff000,
    0xff885ffd,0x223ffebf,0x3fffafff,0x3fffbffe,0xf0fffd46,0x7fcc0dff,
    0xf89ff44f,0xffff04ff,0xd9999999,0x3fe25fff,0xffd1005f,0x34fff85f,
    0x3fea7fff,0x3ffe00ff,0x229fff04,0xecefffff,0x3fe0ffff,0x7fffe44f,
    0x3ffe5fff,0x06ffffae,0x25fff700,0x3e04fff9,0x320007ff,0x2fff8eff,
    0xfcbfff88,0x23ffea5f,0x3ffe3fff,0x2a3fffdc,0x3ffe1fff,0xfdcccccf,
    0x10640eff,0x3fe09fff,0xffffffff,0xf12fffff,0xff300bff,0x9fff09ff,
    0x3e6fffe6,0x7fc01fff,0x29fff04f,0x644ffff8,0x3ffe2fff,0x20fff904,
    0xffffffff,0xfe8003ff,0x07fff47f,0x0007fff8,0x3ff3ffe6,0xbfff880f,
    0x3ff27ffa,0x3e3fff8d,0xffff8cff,0x7c3fff50,0xffffffff,0xf1005fff,
    0x3ffe09ff,0xffffffff,0xff12ffff,0xfff880bf,0x29fff03f,0xfffcfff9,
    0x4fff801f,0x3e29fff0,0xfff987ff,0x6413ffe3,0xffff07ff,0x1fffffff,
    0x27ffcc00,0x7c0ffff2,0x740007ff,0x105fffff,0xfff17fff,0x3e2fffa3,
    0x53ffe3ff,0xff55fffb,0x7ffffc3f,0xffffffff,0x4fff8803,0x999ffff0,
    0xfffd9999,0x017ffe25,0x7c07fffd,0xffff34ff,0x3e00bfff,0x9fff04ff,
    0x2217ffe2,0x3ffe4fff,0x20fff904,0xcbffffff,0x32005fff,0x7fcc1fff,
    0x0ffff06f,0xffffb800,0x7fff102f,0x3fe2fffa,0x23fff89f,0x3ffa4fff,
    0x21fffa9f,0xccccffff,0x0effffdc,0x413ffe20,0x7dc06fff,0xbfff12ff,
    0x01fffc40,0x7fcd3ffe,0x02ffffff,0xff04fff8,0x13ffe29f,0xff93ffe2,
    0x0fff904f,0x44fffffe,0xf003ffff,0x99999fff,0xff03ffff,0xf88000ff,
    0x3e207fff,0x5dff93ff,0x3ffe2fff,0xf993ffe3,0x1fffaeff,0xd881bffe,
    0x3e202fff,0xdfff04ff,0x12fffb80,0x7d40bfff,0x4fff807f,0xfffffff3,
    0x9fff00df,0x7c53ffe0,0xfff884ff,0x6413ffe4,0xffff07ff,0x0ffffb89,
    0x7ffffd40,0xffffffff,0x007fff85,0x04fffd80,0x7d4fffe2,0xf15ffdff,
    0x27ffc7ff,0x3ffbfff6,0x01bffe1f,0x440bfff1,0xfff04fff,0x2fffb80d,
    0x5c0bfff1,0xfff806ff,0x57ffff34,0xff807fff,0x29fff04f,0xf884fff8,
    0x13ffe4ff,0xff83ffe4,0xbfffd06f,0xfffffe80,0xffffffff,0x03fffc0f,
    0x0fffec00,0x227fff10,0x13ffffff,0x7ffc7fff,0x7ffffc44,0x1bffe1ff,
    0x881fffe0,0xfff04fff,0x2fffb80d,0x000bfff1,0xf9a7ffc0,0x3fffa4ff,
    0x413ffe00,0xfff14fff,0x49fff109,0xff904fff,0x41bffe0f,0x102ffffa,
    0x9999dfff,0x7fffd999,0x0007fff8,0x2037ffcc,0x3fa3fff8,0xff11ffff,
    0x427ffc7f,0x1ffffffb,0xf501bffe,0x7fc40dff,0x0dfff04f,0xf12fffb8,
    0x664c0bff,0xa7ffc00c,0x3e63fff9,0x3ffe04ff,0x229fff04,0xff884fff,
    0x413ffe4f,0xfff07ffc,0x7fffec0d,0x02fffc80,0x3e37ffcc,0x99999fff,
    0x2aa09999,0x402ffffc,0x3f23fff8,0x3fe27fff,0x413ffe3f,0x21fffffe,
    0x9999efff,0x4ffffc99,0x413ffe20,0x7dc06fff,0xbfff12ff,0x007ffdc0,
    0x7fcd3ffe,0x0fffec3f,0xff04fff8,0x13ffe29f,0xff93ffe2,0x0fff904f,
    0xf881bffe,0xfff85fff,0x3fffd007,0x7ffffffc,0x24ffffff,0x06fffffe,
    0x2a3fff88,0x3e25ffff,0x13ffe3ff,0x0fffffcc,0xffffffff,0x1dffffff,
    0x827ffc40,0x7dc06fff,0xbfff12ff,0x007ffdc0,0x7fcd3ffe,0x2fffc43f,
    0xff04fff8,0x13ffe29f,0xff93ffe2,0x0fff904f,0xf901bffe,0x7fd45fff,
    0xfff7004f,0x7fffffcb,0x4fffffff,0x03bffff6,0x88fffe20,0x3e23ffff,
    0x13ffe3ff,0x21ffffc8,0xffffffff,0x01ffffff,0xf827ffc4,0x7fdc06ff,
    0x0bfff12f,0x2007ffdc,0xfff34fff,0x05fff907,0x3fe09fff,0x09fff14f,
    0x7fc9fff1,0x0fff904f,0xf101bffe,0x3f61ffff,0xff1001ff,0x3fffe1ff,
    0xffffffff,0x0b33264f,0x43fff880,0x3e21fffe,0x13ffe3ff,0x21ffff88,
    0xffffffff,0x800adfff,0x0004fff8,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4cc00000,0x09999999,
    0x204c0400,0x26209998,0x99999999,0x26609999,0x99880099,0x00666609,
    0x99886666,0x06666201,0x4cc19988,0x26660019,0x26666660,0x88009999,
    0x99999999,0x70999999,0x99803fff,0x7ffff401,0x5fffffff,0x55555555,
    0x80755555,0x3ea0a808,0xffff02ff,0x7fffffff,0x8befea80,0x7ffe44f9,
    0x3fffff22,0xffffffff,0x01bfff23,0xfe8ffffa,0x3ff204ff,0x07fff66f,
    0x80ffffec,0x3f60fffd,0xffb803ff,0x3ffffe4f,0xdfffffff,0xfffff500,
    0xffffffff,0x07ffeedf,0x7407ff98,0xffffffff,0x00055fff,0xdfffb105,
    0x7d4df559,0xffff02ff,0xffffffff,0x3fffa01b,0x7e42ffff,0x3fff22ff,
    0xffffffff,0x7fff43ff,0x1bffee03,0x303ffff3,0x7dc3ffff,0xffff02ff,
    0x1bffe07f,0xb00bfff5,0x7ffc3fff,0xffffffff,0xffa80eff,0xffffffff,
    0xff76ffff,0x3ffcc03f,0x3fffffa0,0x55ffffff,0xffa85000,0xffffffff,
    0x40bffea2,0xffffffff,0x986fffff,0xcffda8cf,0x917ffe40,0xffffffff,
    0xa87fffff,0xf880ffff,0xffc81fff,0x3fffe86f,0x4c27ffcc,0x885fffff,
    0x7fc44fff,0x3fe200ff,0x7ffffc6f,0xffffffff,0xffffa87f,0xffffffff,
    0x1ddd56ff,0x203ffcc0,0xaaaaaaaa,0x0051fffd,0x7fffcc50,0x0fffffdf,
    0x7c07bba6,0xffd986ff,0x080982ff,0x005fff90,0x077fff44,0x6c2fffec,
    0xfd104fff,0x7ffdc7ff,0x70dfff06,0x50ffffff,0xffb05fff,0x7ffdc07f,
    0x7037ffc4,0x2003ffff,0x0000fffd,0x000fff30,0x051fffc4,0x7fff4500,
    0x13fffa22,0x81bffe00,0x1003fffd,0x0bffee01,0x0ffffd80,0x43ffff10,
    0x5406fff9,0xff88ffff,0xfffd01ff,0xfffffd81,0x07ffe41f,0xb037ffd4,
    0xfff83fff,0x1fffe406,0x00fffd80,0xb9999880,0x19999fff,0x28bff900,
    0xfff52800,0x7ffffd89,0x06fff800,0x7c53ffea,0xfffd92ff,0x01fffb87,
    0x03ffff90,0x3a6fffb8,0xfd802fff,0x4fffddff,0xf07fff20,0x87fff7ff,
    0x3fe07ffe,0xfff880ff,0x406fff86,0xb004fffa,0x50001fff,0xffffffff,
    0x801fffff,0x0140fff8,0x1fffc940,0x3ffefbf2,0x37ffc001,0x227fff70,
    0xfffebfff,0x3fea5fff,0xfffa800f,0xfffb003f,0x00bfff77,0x3fffffe2,
    0x3fea00ef,0x27ffe63f,0x3fe25ffe,0x3fff205f,0x83fffa83,0x7e406fff,
    0xffb003ff,0xff50001f,0xffffffff,0xfd801fff,0x2800282f,0x7fdcfffb,
    0x002fff98,0xf9837ffc,0xfff11fff,0xfffd9fff,0x03ffe63f,0x0bffff30,
    0x7ffffc40,0x2a000fff,0x02ffffff,0xf92fffc4,0x99ffeeff,0x3e603fff,
    0xfffd86ff,0x4c6fff80,0x0ffffc99,0x01fffb00,0xfffff500,0xffffffff,
    0x83ffcc01,0xffb28002,0x7cc7fead,0x7fc002ff,0xfdccccff,0xff10ffff,
    0xfffd89ff,0x880fff13,0x8006fffe,0x3ffffffb,0xffffd800,0x4fffd005,
    0xfff35ffe,0x007ffee3,0x7c41fffd,0xffff05ff,0xffffffff,0x7ec007ff,
    0xa88000ff,0xafffcaaa,0x7f402aaa,0x5000504f,0x3fe7fff2,0x007fff22,
    0xfffffff0,0x45ffffff,0xf986fff8,0x0dff13ff,0x00ffffe8,0xdffffd00,
    0x3fff6000,0xfff9004f,0x7c5fff11,0x0fffb3ff,0x547fff70,0xfff02fff,
    0xffffffff,0xfd8005ff,0x332600ff,0x1ffe600c,0x03fff500,0x7d4a000a,
    0x7f43ffff,0x399930ff,0x3fffffe0,0x42ffffff,0xf885fff8,0x81bfe4ff,
    0x001ffffc,0x07fffe60,0x3fffea00,0xffa801ff,0x20fffaaf,0xbfff5ffd,
    0x4dfff300,0xff00fffd,0xffffffff,0x3f60003d,0x3fee00ff,0x1ffe601f,
    0x40dffd00,0x3fa28002,0x3ff224ff,0x0bffea4f,0x7777fffc,0xff102ccc,
    0x9fff109f,0xffb82ff4,0xf80003ff,0xf88006ff,0x06ffffff,0xfccfff88,
    0x4fffdc6f,0xfd003fff,0xbfff13ff,0xd337ffc0,0x0001bfff,0x5c01fffb,
    0x3e601fff,0x3fe2007f,0x2000a02f,0x3bfffea2,0x546ffffc,0xfff02fff,
    0xfff1000d,0x49fff109,0xfff984fd,0xff00004f,0xffb000df,0x07fffddf,
    0xffdbfff0,0xfcfff989,0xff7001ff,0x05fff57f,0x7f437ffc,0x6c000eff,
    0x3ee00fff,0x3fe600ff,0x3ffea007,0x8a000a00,0xfffffffc,0x7fd41eff,
    0x0dfff02f,0x09fff100,0x7ec9fff1,0x2ffffc43,0xdfff0000,0xffffa800,
    0x01ffffa9,0x7fffffec,0xffffff82,0x3ffe2007,0x7c07ffde,0xfff886ff,
    0x7fec005f,0x407e800f,0x32002aa8,0x001407ff,0xebaefa94,0x0003efff,
    0x40037ffc,0xf884fff8,0xffe804ff,0x200000ef,0x22006fff,0x3f63ffff,
    0x7fdc06ff,0xfd80ffff,0x4005ffff,0x4ffffffd,0xa837ffc0,0x2002ffff,
    0x4400fffd,0x2aaaa26f,0xaaaaaaaa,0x80bffd02,0x07628002,0x20000131,
    0x88006fff,0xff884fff,0x2199934f,0x99affffc,0x09999999,0x00dfff00,
    0x2237ffec,0x2603ffff,0x506fffff,0x007fffff,0xffffffa8,0x037ffc01,
    0x001ffffb,0xa803fff6,0x3ffea1ff,0xffffffff,0x4fff80ff,0x555555c0,
    0x4aaaaaaa,0x7c000000,0xf88006ff,0xfff884ff,0x363fff54,0xffffffff,
    0x06ffffff,0x200dfff0,0xa81ffffa,0x3e01ffff,0xf104ffff,0x8005ffff,
    0x06fffff8,0x2206fff8,0xb005ffff,0x75401fff,0x7ffffd42,0xffffffff,
    0x01fffc40,0x00000000,0x037ffc00,0x427ffc40,0xff54fff8,0x3ffff63f,
    0xffffffff,0xfff006ff,0xffff100d,0x37ffec09,0x03ffffb0,0x007ffff4,
    0x27fffec0,0x2037ffc0,0x801ffffa,0x8000fffd,0xfffffffa,0x40ffffff,
    0x0002fff9,0x00000000,0x8006fff8,0xf884fff8,0x3fff54ff,0x3ffffff6,
    0xffffffff,0x0dfff006,0x01ffff90,0x81ffffc4,0x6407fffb,0x50006fff,
    0xf003ffff,0xffb00dff,0xfffb00df,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x4c000000,0x01880009,0x80006600,0x03100019,0x44033100,
    0x200c0000,0x00010001,0x332601a8,0x0220000c,0x441fffc4,0x00373fff,
    0x004cc400,0xff808004,0xffffffff,0x7fffdc3f,0x32600cff,0x803efffe,
    0xdeffffda,0x7fff5401,0xfec802ef,0x32202eff,0x89efffff,0x81cefffd,
    0xffb37ffa,0x3ff621bf,0x7ffcc1df,0x003effb8,0xb80bfee2,0x3e201fff,
    0xfffd92ff,0x83fff887,0xbfb3fff8,0xffd00005,0x264e8807,0xff03b61a,
    0xffffffff,0x7ffff47f,0xf305ffff,0xbfffffff,0x3fffe601,0xb02fffff,
    0xffffffff,0x3fffa207,0xfd04ffff,0xffffffff,0x3fffffff,0xffbfffa8,
    0xfe9effff,0x260fffff,0xffffbfff,0xfffc9802,0x3ffee02f,0x2fffe201,
    0x5ffffffe,0x220fffe2,0xfffb3fff,0x3a00017d,0x3fa203ff,0xeeffffdf,
    0x7fffc6ff,0x2fffffff,0xb77bfff7,0xff987fff,0xffffefff,0xbbfffd06,
    0xf70ffffd,0xfffddfff,0xffffb03f,0xc87ffffb,0xffecefff,0xffddffff,
    0x3ffea0ff,0xffffddff,0xffffdeff,0x3ffffe65,0x3aa00fff,0x02ffffff,
    0x8807ffee,0xecffffff,0xff11ffff,0x7fff107f,0x3ffffff6,0x7ff4001c,
    0x7fffec03,0x4fffffff,0xfd8ccccc,0x17ff65ff,0xff8937f6,0xffd50cff,
    0x1fffa87f,0xf107ffec,0x7fcc3dff,0x27ffd45f,0x744fffb1,0x7ffe43ff,
    0x9bffa21f,0x2a1ffffa,0x3a25ffff,0x3ffe66ff,0xb88399df,0xdfffffff,
    0x00ccc401,0xb13fffe2,0x3fe27fff,0x3fff883f,0x3fffff6a,0xffd002df,
    0xffffd007,0x00bffffd,0xfb1bfff6,0xf50037ff,0xfff109ff,0x3ee0620f,
    0x3ffee0ff,0x6c1bcc81,0x7fcc0fff,0xffa8183f,0x0fff985f,0xff09fff5,
    0x7ffc81ff,0x403fffe6,0xffffffc9,0x999880be,0x99999999,0x1bffe219,
    0x7c4fffe6,0xfff883ff,0xffffc883,0x3310beff,0x339ffd33,0xdfff8133,
    0x00dffd31,0xb81dfff9,0xadffffff,0x02fffc80,0x9801fffd,0x21ffffdb,
    0xe8007ffc,0x99999eff,0x2e604fff,0x99cffffd,0x52fff999,0xfff07fff,
    0x21fff90f,0x3605fff9,0x01cfffff,0x7fffffd4,0x0fffffff,0xf10bfff1,
    0x3ffe29ff,0x03fff883,0x7ffffed4,0xffffffd3,0x49ffffff,0x7d40fff9,
    0x3fee00ff,0xfffb01ff,0x419fffff,0x3ee07ffe,0xffdb82ff,0x21ffffff,
    0xf8007ffd,0xffffffff,0x7ed44fff,0xffffffff,0xffffffff,0xf05fff53,
    0xfff90dff,0x813ffe61,0x000dfffd,0xfffffff5,0x21ffffff,0xf884fff8,
    0x7fff14ff,0x007fff30,0x74ffffa6,0xffffffff,0x3ea4ffff,0x03fff06f,
    0x00bfffea,0xffffffd7,0x03ffecbf,0xfd85fff5,0xffccefff,0x01fffa1f,
    0xffffff10,0x4bffffff,0xccfffffd,0xffffffff,0xff53ffff,0x0bfff05f,
    0x3e61fff9,0x3ff603ff,0x5401cfff,0xffffffff,0xf10fffff,0xfff109ff,
    0x213ffe29,0x5403fff9,0xd3fffffd,0xffffffff,0x7cc9ffff,0x7ffd41ff,
    0x3ffff980,0x3ff6e600,0xfff90fff,0x83ffee03,0x2a0cfffc,0x3ff21fff,
    0x3fe03107,0x3fea005f,0x3ffea1df,0x9999999c,0x05fff509,0xff90bfff,
    0x0fffe61f,0xfffffc98,0x99880bef,0x99999999,0x3ffe2199,0x24fff884,
    0xffa84fff,0xfffc883f,0x310befff,0x39ffd333,0xfff81333,0x0dffd51d,
    0x807ffff1,0xffb81a98,0x09fff53f,0xffd1fffa,0x43fff70d,0xfd82fffb,
    0x3fffa0ef,0x7fe41a80,0x86fffb87,0x7ffd40a8,0xc85fff82,0xfff30fff,
    0xfff71007,0x8039ffff,0x7c401998,0xfff884ff,0x883fffa4,0x36a3ffff,
    0x2effffff,0x007ffd00,0xfffffffd,0xffe88bff,0x999999df,0x986fff88,
    0xfff13fff,0x3ff6617f,0x237ff43f,0x261fffe8,0x3e62efff,0x7ffdc5ff,
    0xd97ffe44,0x7ff40fff,0x7ffec2ff,0xf05fff50,0xfff90bff,0x00fffe61,
    0xfffffd50,0x7ffdc05f,0x13ffe201,0xfd93ffe2,0xfffdceff,0xffffb3ff,
    0xe80039ff,0x7fec03ff,0xffffffff,0x3fffee4f,0x6fffffff,0x957dfffb,
    0x7d41fffd,0xfffeffff,0xdfffb86f,0x1ffffeca,0x777fffe4,0xff82ffff,
    0xfffdbeff,0x2fbffe65,0xffffffeb,0x23fffece,0xff82fffa,0x0fffc85f,
    0x0007fff3,0x0bffff26,0x201fffb8,0xf884fff8,0x3ffe64ff,0xffeaffff,
    0x17ffffb3,0x0fffa000,0xfedffe88,0x25ffdeff,0xfffffffc,0xfd16ffff,
    0xffffffff,0xfffff505,0xf101dfff,0xfbffffff,0xffd887ff,0x03ffffff,
    0xffffffd3,0xfffe81df,0xffceffff,0x45ffffff,0xff82fffa,0x0fffc85f,
    0x0007fff3,0x202ffc88,0x2201fffb,0xff884fff,0x7fff4c4f,0x367ffd1e,
    0xe80002ef,0x274403ff,0x322ec131,0xffffffff,0x7f5c6fff,0x201dffff,
    0x3efffec9,0x7ffff540,0x2e0dffb3,0x02effffe,0x6ffffec4,0xfffe980b,
    0x3ff622ef,0x7d40bdff,0x5fff82ff,0xf30fffc8,0x400007ff,0x3332601a,
    0x13ffe200,0x4413ffe2,0x001b8009,0x00266200,0x00000000,0x20006662,
    0x4c400098,0x26620000,0x00988000,0x33003310,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0xffa86ffd,
    0xb5ffe82f,0x3ea01fff,0xffff53ff,0x06fffa81,0x0eec97b6,0x983700dc,
    0x09dd13ee,0x32a00000,0x8000001c,0x26009ab9,0x400a881a,0x5dd400a8,
    0x880cc801,0x0b982ccc,0x26219988,0x13331099,0xffb80000,0x27ffe40f,
    0x7ccbffe2,0xfffb03ff,0x12fffe41,0x3203ffff,0x89ff53ff,0xffb81ffb,
    0xfd8fff41,0xffffe82f,0xffffffff,0x0dfff104,0x7ffffff4,0x24ffffff,
    0x1ffffff8,0x3aa3ff98,0x74c1efff,0x7440dfff,0x200dffff,0xfff880ff,
    0x33fffaa3,0x5c7fff60,0xfff93fff,0x2dffda85,0xfff88910,0x237fff42,
    0x3fa0fffb,0x4fff886f,0xfb2fffe8,0x3fe607ff,0x4c1fff16,0x3ee1ffff,
    0xb7fcc6ff,0x7f40fff8,0xffffffff,0xff704fff,0x3ffa03ff,0xffffffff,
    0x33ff64ff,0x3f225ffd,0x2fbfa3ff,0x5eff46fe,0x77ff43ff,0xff144fff,
    0x3fff8844,0x93ff7ffe,0xff71fffd,0x8bfff27f,0xfffffffc,0xe85fcabd,
    0x3ffe24ff,0x17ff60ff,0xfb83fff7,0xfff981ff,0x105fffbf,0x3ffa5ffd,
    0x9ffffc83,0xd81ffffb,0x8bff94ff,0xfffffffe,0xf04fffff,0x3a0bffff,
    0xffffffff,0x2a64ffff,0xffe9bfa1,0x23dd33ff,0x19711ff9,0x4ffa97f6,
    0x3e61ffd1,0x3fdafeae,0x3ea7fff1,0xffd9fe65,0x27fff71f,0xff12fffc,
    0xffffffff,0xff70bfff,0x7ffffdcf,0xf10fffe2,0x6ffe89ff,0x3ffffee0,
    0xbff900ff,0xfc81bfee,0x1fffffff,0xf13fff10,0x555545ff,0xaaaaaaaa,
    0xfeffb81a,0x999881ff,0xfe999999,0x7f65444f,0x1ffcb66f,0x3aa0ffb0,
    0x8bfee1ff,0xfff51ffc,0xb8bfffff,0xfd85fb2f,0x2e1fffb2,0xfff72fff,
    0x32f3be25,0xffffffff,0xb1fff883,0x2a9ffbff,0xffd80fff,0x00fffe67,
    0x05fffffb,0x3e67ffea,0x7fe402ff,0x6401ffff,0xfffb8eff,0x7f400000,
    0x004ffdbf,0xfc93ffa0,0xf06ffeff,0x0bff607f,0xf90f7fe4,0x217fdc1f,
    0x80aeffd9,0x449f70fe,0x4fff70ff,0xff51fff9,0x64c1621f,0x3a02dfff,
    0xf3fff3ff,0x41bff2df,0xff92fff9,0xfff8801f,0x3ffea05f,0x801fff98,
    0x803ffffe,0xff98fffa,0x3333311f,0x13333333,0xfa8fffa8,0xfd0000ff,
    0x437fe69f,0x87ff06fe,0x2203ffe8,0xff70ffc8,0x260ffe45,0x7442ffff,
    0x2f7fe24f,0x9bfea5fe,0x3fe27ff8,0x90008007,0x2dff3bff,0x3ffe8ffe,
    0x7fd7ffa0,0xfff9804f,0x3ff600ff,0xb80dff95,0x01ffffff,0xffe9fff4,
    0x3fffffa4,0x4fffffff,0xfff27ff4,0x3ffa0009,0x3e65ff54,0x447ff06f,
    0x4b881ffe,0x7fcc7fe6,0x20fff98d,0x1ffabff9,0x3fee0fe2,0x33221eff,
    0x332265c2,0x26000003,0x94ffcfff,0x03fff9ff,0x7fd7ffdc,0x7ff4401f,
    0x3e205fff,0x05ffd1ff,0x3fffffee,0xbff701ff,0xffd1bfea,0xffffffff,
    0x7ffd49ff,0x001fff21,0xff8a7ff4,0xf07fffef,0x66fff47f,0x2b3fe0cc,
    0x7ffec6fd,0x37cc3fff,0x220085fd,0x000002db,0x7fc00000,0xff51ffff,
    0xf880dfff,0x806ffeff,0xfffffffd,0x4dbfea03,0xfffb87ff,0x1ffffc9f,
    0xfe87ffc4,0x7ffff41f,0xffffffff,0xf11bffa4,0xfd0007ff,0x5f7f5c9f,
    0x3ff80ffb,0xfffffff5,0x7ffffd43,0x3ffffc82,0x00044310,0x00000000,
    0xfff90000,0x7fffc4ff,0xfffc804f,0x7fd403ff,0x1ffff8df,0x7dcbff20,
    0x3fffe63f,0xb1ffff21,0x0ffee5ff,0x26666662,0x30999999,0xffb07fff,
    0x0100000d,0xaa98d540,0xa80aaaaa,0x0019801c,0x00000000,0x40000000,
    0x745ffff9,0x9801ffff,0x200fffff,0xf70ffff8,0x7f440dff,0xfb83ffa6,
    0x21ffc81f,0xdff15ff9,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x21ffffc0,0x2006fffc,0x6c05fffe,0x7ff43fff,0x2e00004f,
    0x00007201,0x4417bb70,0x77702bbb,0x32099987,0xdddd12cc,0x85ddcddd,
    0x22223bb8,0x88888888,0x37620888,0xdddddddd,0x0005dddd,0x00000000,
    0x36000000,0x7fcc1fff,0x3fee004f,0x3ffee01f,0x1ffff986,0x00000000,
    0xfd9b1000,0x07ffdc1f,0xff0bffe6,0x8a7ffc9f,0x27ffffff,0xdff30ffe,
    0x3fffffe6,0xffffffff,0x3ffffe67,0xffffffff,0x0000007f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x43ff8000,0x7fe44ffb,0x3e4fff83,
    0xffff14ff,0x87ff4fff,0xfff36ff9,0xffffffff,0x6644ffff,0xcccccccc,
    0x0004cccc,0x00000000,0x00000000,0x00000000,0x00000000,0x4c400000,
    0xc81ffb98,0x09ff10ff,0xfff93ffe,0xdddddd14,0xc88665cd,0x5555513c,
    0x55555555,0x00000055,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0x03fffffb,0x015442aa,0x00003777,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x77510000,0x00000015,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_bold_30_latin1_x[224]={ 0,2,1,0,0,1,1,1,1,0,0,1,1,0,
1,-1,1,2,0,1,0,1,1,1,1,0,2,2,1,1,1,1,0,0,1,1,1,1,1,1,1,1,0,2,
2,1,1,1,1,1,1,0,0,1,-1,0,0,-1,0,1,-1,0,1,-1,0,0,1,1,1,0,0,1,1,1,
-2,1,1,1,1,1,1,1,1,0,0,1,0,0,0,0,0,0,2,0,0,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,2,1,0,0,0,
2,0,0,-1,0,1,1,0,-1,-1,1,0,0,0,2,1,-1,1,0,1,0,1,1,1,0,1,0,0,0,0,
0,0,-2,1,1,1,1,1,-1,1,-1,-1,-1,1,1,1,1,1,1,1,0,1,1,1,1,-1,1,1,0,0,
0,0,0,0,1,1,0,0,0,0,-1,1,-1,-1,1,1,1,1,1,1,1,0,1,1,1,1,1,0,1,0,
 };
static signed short stb__arial_bold_30_latin1_y[224]={ 24,4,4,4,3,4,4,4,4,4,4,7,20,15,
20,4,4,4,4,4,4,5,4,5,4,4,10,10,7,9,7,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,26,4,9,4,9,4,9,4,9,4,4,
4,4,4,9,9,9,9,9,9,9,5,10,10,10,10,10,10,4,4,4,11,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,24,10,4,4,7,4,
4,4,4,4,4,11,9,15,4,1,4,5,4,4,4,10,4,12,24,4,4,11,4,4,4,10,-1,-1,-1,0,
0,0,4,4,-1,-1,-1,0,-1,-1,-1,0,4,0,-1,-1,-1,0,0,8,3,-1,-1,-1,0,-1,4,4,4,4,
4,4,4,3,9,9,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,7,9,4,4,4,4,4,4,4,
 };
static unsigned short stb__arial_bold_30_latin1_w[224]={ 0,5,11,15,14,22,18,5,8,8,10,14,5,9,
5,9,13,9,14,13,15,14,13,13,13,14,5,5,14,14,14,15,27,20,18,18,18,16,15,19,17,5,13,18,
14,20,17,19,16,20,19,17,16,17,19,26,18,19,16,8,9,8,14,17,7,15,15,14,14,14,10,14,14,5,
8,14,5,22,14,15,15,14,10,14,9,14,15,21,15,15,13,10,4,10,15,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,0,5,14,15,15,15,
4,15,9,21,10,13,14,9,21,17,9,15,9,9,7,14,16,5,8,6,10,13,22,21,23,15,20,20,20,20,
20,20,28,18,16,16,16,16,7,7,10,10,20,17,19,19,19,19,19,14,21,17,17,17,17,19,16,15,15,15,
15,15,15,15,22,14,14,14,14,14,7,7,10,10,15,14,15,15,15,15,15,15,15,14,14,14,14,15,15,15,
 };
static unsigned short stb__arial_bold_30_latin1_h[224]={ 0,20,8,21,24,21,21,8,26,26,10,15,9,4,
4,21,21,20,20,21,20,20,21,19,21,21,14,19,15,11,15,20,26,20,20,21,20,20,20,21,20,20,21,20,
20,20,20,21,20,22,20,21,20,21,20,20,20,20,20,26,21,26,11,4,5,16,21,16,21,16,20,21,20,20,
26,20,20,15,15,16,21,21,15,16,20,15,14,14,14,20,14,26,26,26,7,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,20,26,21,15,20,
26,26,4,21,11,13,11,4,21,3,9,19,11,11,5,20,26,5,6,11,11,13,21,21,21,20,25,25,25,24,
24,24,20,26,25,25,25,24,25,25,25,24,20,24,26,26,26,25,25,13,23,26,26,26,25,25,20,21,21,21,
21,21,21,22,16,21,21,21,21,21,20,20,20,20,21,20,21,21,21,21,21,15,16,21,21,21,21,26,26,26,
 };
static unsigned short stb__arial_bold_30_latin1_s[224]={ 252,33,225,17,59,172,117,219,76,49,192,
211,203,135,129,246,198,242,235,1,53,17,74,201,106,142,246,179,135,98,196,
25,1,132,223,33,158,177,204,212,1,19,173,113,153,184,205,187,1,210,142,
15,162,88,122,95,76,56,39,101,243,202,113,155,107,32,207,48,238,63,102,
223,79,73,216,47,41,101,166,16,1,232,124,1,194,181,23,1,39,168,242,
225,110,134,237,215,215,215,215,215,215,215,215,215,215,215,215,215,215,215,215,
215,215,215,215,215,215,215,215,215,215,215,215,215,215,215,215,215,252,250,29,
157,226,142,211,85,145,120,143,55,128,135,52,173,209,185,161,171,115,220,185,
123,98,154,181,84,94,72,48,109,203,182,134,116,95,74,80,115,80,117,224,
155,155,163,171,241,32,137,236,165,145,97,1,69,172,58,62,44,21,39,125,
65,1,17,33,49,156,194,78,81,96,111,126,141,247,94,69,62,151,18,182,
195,211,227,1,150,230,33,136,231,167,33,17,1, };
static unsigned short stb__arial_bold_30_latin1_t[224]={ 28,190,228,103,55,81,103,228,1,1,228,
211,228,240,240,55,103,169,147,125,147,147,125,190,125,125,190,190,211,228,211,
169,28,169,169,125,147,147,147,103,169,169,125,169,169,169,169,125,190,55,190,
125,190,125,190,190,190,190,190,1,81,1,228,240,240,211,125,211,125,211,169,
125,169,169,1,169,169,211,211,211,147,103,211,211,147,211,228,228,228,169,211,
1,1,1,228,190,190,190,190,190,190,190,190,190,190,190,190,190,190,190,190,
190,190,190,190,190,190,190,190,190,190,190,190,190,190,190,190,190,28,147,28,
125,211,147,1,1,240,125,228,228,228,240,125,240,228,190,228,228,240,147,1,
240,240,228,228,228,103,103,103,147,28,28,28,55,55,55,147,1,28,28,28,
55,28,28,28,28,147,55,1,1,1,28,55,228,55,1,28,28,55,55,147,
81,81,81,81,81,81,55,211,81,81,81,81,81,103,169,147,169,103,190,103,
81,81,81,103,211,190,103,103,55,103,1,1,1, };
static unsigned short stb__arial_bold_30_latin1_a[224]={ 119,143,204,239,239,382,310,102,
143,143,167,251,119,143,119,119,239,239,239,239,239,239,239,239,
239,239,143,143,251,251,251,262,419,310,310,310,310,287,262,334,
310,119,239,310,262,358,310,334,287,334,310,287,262,310,287,406,
287,287,262,143,119,143,251,239,143,239,262,239,262,239,143,262,
262,119,119,239,119,382,262,262,262,262,167,239,143,262,239,334,
239,239,215,167,120,167,251,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,119,143,239,239,239,239,120,239,
143,317,159,239,251,143,317,237,172,236,143,143,143,248,239,119,
143,143,157,239,358,358,358,262,310,310,310,310,310,310,430,310,
287,287,287,287,119,119,119,119,310,310,334,334,334,334,334,251,
334,310,310,310,310,287,287,262,239,239,239,239,239,239,382,239,
239,239,239,239,119,119,119,119,262,262,262,262,262,262,262,236,
262,262,262,262,262,239,262,239, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_30_latin1_BITMAP_HEIGHT or STB_FONT_arial_bold_30_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_30_latin1(stb_fontchar font[STB_FONT_arial_bold_30_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_30_latin1_BITMAP_HEIGHT][STB_FONT_arial_bold_30_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_30_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_30_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_30_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_30_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_30_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_30_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_30_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_30_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_30_latin1_s[i] + stb__arial_bold_30_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_30_latin1_t[i] + stb__arial_bold_30_latin1_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_30_latin1_x[i];
            font[i].y0 = stb__arial_bold_30_latin1_y[i];
            font[i].x1 = stb__arial_bold_30_latin1_x[i] + stb__arial_bold_30_latin1_w[i];
            font[i].y1 = stb__arial_bold_30_latin1_y[i] + stb__arial_bold_30_latin1_h[i];
            font[i].advance_int = (stb__arial_bold_30_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_30_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_30_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_30_latin1_s[i] + stb__arial_bold_30_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_30_latin1_t[i] + stb__arial_bold_30_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_30_latin1_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_30_latin1_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_30_latin1_x[i] + stb__arial_bold_30_latin1_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_30_latin1_y[i] + stb__arial_bold_30_latin1_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_30_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_30_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_30_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_30_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_30_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_30_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_30_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_30_latin1_LINE_SPACING
#endif

