// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_33_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_33_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_33_latin1_BITMAP_WIDTH         256
#define STB_FONT_arial_bold_33_latin1_BITMAP_HEIGHT        292
#define STB_FONT_arial_bold_33_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_bold_33_latin1_FIRST_CHAR            32
#define STB_FONT_arial_bold_33_latin1_NUM_CHARS            224

#define STB_FONT_arial_bold_33_latin1_LINE_SPACING          21

static unsigned int stb__arial_bold_33_latin1_pixels[]={
    0x3263cca8,0x0799004c,0x40733320,0x200003cc,0x01aaba99,0x9aaa8800,
    0x00f32600,0x2005554c,0x40009ab9,0x33261999,0x13aa9803,0x40333333,
    0x1004ccc9,0x01333333,0x007332a0,0xcccc8800,0x2cccb800,0xf72ffe40,
    0x7ff500ff,0x09fff700,0x0000ffe4,0xffffff93,0x8005bfff,0xffffffc8,
    0x05ffb80c,0x3fffff66,0xfff503ff,0x7ffc007f,0x40bff70f,0xfd5fffea,
    0x403fffff,0xb802fffc,0x05ffffff,0x0fffff98,0xfff90000,0x3ffa2005,
    0x72ffe406,0xffd00fff,0x0bffd001,0x8005ff98,0xffffffea,0xefffffff,
    0xffffd000,0xf70dffff,0x3ffee0bf,0xefffffff,0x7ffffd41,0x1ffff003,
    0x7c417fee,0xffd5ffff,0xd803ffff,0xffb806ff,0x4405ffff,0x05ffeffe,
    0x3fff8800,0x17ffcc00,0x7dcbff90,0x27fdc07f,0x802ffd40,0x32001ffe,
    0x9abdffff,0xfffdca99,0x7ffe403f,0x4ffffddf,0x7f42ffdc,0xffffffff,
    0x7fd47fff,0xff007fff,0x17fee1ff,0xafffffe4,0x1ffffffe,0x401ffd80,
    0x5ffffffb,0xfea7fec0,0x7dc0003f,0xff30003f,0xf800000d,0x5ec801ff,
    0x017fea00,0x02ffffa2,0x17ffecc0,0x4c5fffd0,0x7fdc7fff,0x77fffdc5,
    0xffffc99b,0xfffe883f,0x24ccc800,0xffd05ffb,0x07ffe85f,0x002cc880,
    0x8817ffe2,0x133224cc,0x00797000,0x000cc980,0x0dff7000,0x7fc40000,
    0x77fec01f,0xfff50000,0x0bfffa01,0x7dc1599b,0x3fffe25f,0x3ffff604,
    0x01fffb80,0x417fee00,0xffe86fff,0x01333107,0xf1033330,0x2a200bff,
    0x100000aa,0x30001555,0xaaa98333,0x0aaaa201,0xaa989fff,0x2aaa201a,
    0x205ffd82,0x77305ffb,0x5c666215,0xfff904ff,0x3fee003d,0x01bfff25,
    0x507ffff3,0x55003fff,0x82ffdc55,0xffe85fff,0x05fffd07,0x887fff98,
    0x36a05fff,0xdfffffff,0x7fed4001,0x01dfffff,0x5c3ffff0,0x3ee05fff,
    0x3ffea4ff,0x02fffdc1,0xf709fff7,0xfff101ff,0xfffffb81,0x366ffe8e,
    0xfff880ff,0xffb803ff,0x00bfffe5,0xffa806ea,0xffff802f,0x3e0bff70,
    0x7ffe85ff,0x805fffd0,0xf887fff9,0xfff905ff,0xffffffff,0x3fff2009,
    0xffffffff,0x1ffff804,0x403fffe2,0x3f21fffe,0x7ffc40ff,0x3fffd00f,
    0x905fff30,0xfffb85ff,0xffffffff,0x6c0ffe65,0x00efffff,0x7fc57fee,
    0x500000ff,0xff005fff,0x17fee1ff,0x7f42fffc,0x5fffd07f,0x87fff980,
    0x7445fff8,0xffffffff,0x00efffff,0xffffffd1,0xdfffffff,0x0ffffc01,
    0x220ffff6,0x7ff46fff,0x07fffb07,0x220dfff1,0x6ff83fff,0x456fffdc,
    0x43ffffeb,0xfffc84ff,0x703fffff,0x3ffe6bff,0x3e600007,0xfff803ff,
    0x20bff70f,0xffe84fff,0x05fffd07,0x887fff98,0x7fe45fff,0xba9abfff,
    0x904ffffe,0x357fffff,0x9ffffd75,0x20ffffc0,0xfb85fffa,0x3ffe23ff,
    0x0bfff506,0x7c07fff7,0x27fd45ff,0xf70dfff1,0x5fe83fff,0x7edfffdc,
    0x5c0dffff,0xdfff55ff,0x7fc40000,0xffff804f,0xf30bff70,0xfffd07ff,
    0x00bfffa0,0xf10ffff3,0x7ffd4bff,0xffb100df,0xfffa83ff,0xffb100df,
    0x3ffe03ff,0x0ffff81f,0xf307fff4,0x7ffc0bff,0x07fff40f,0xfd8dfff0,
    0x07fff22f,0xb03fffe2,0x25ffd8df,0x45fffffb,0xfff74eea,0xfe80000d,
    0x7ffc01ff,0xb0bff70f,0xffd03fff,0x0bfffa0f,0x10ffff30,0x7ff4bfff,
    0xffe800ff,0x7ffff46f,0x6fffe800,0x903ffff0,0x7fc47fff,0x27ffcc6f,
    0x447fff90,0x7f406fff,0x887ff47f,0x3fe05fff,0x7c5fe86f,0x7ff4c4ff,
    0x7fdc04ff,0x5c00006f,0xf01dffff,0x3fee1fff,0x1bfff6e5,0xfe83fff4,
    0x7fcc02ff,0x5fff887f,0x007ffff1,0x443fffea,0x5003ffff,0xff01ffff,
    0xfff303ff,0x21fffdcb,0x2603fffa,0x3fee5fff,0x7ffec03f,0xffa9bfe1,
    0x9fff102f,0x7fc4ff88,0x7fec40ff,0x7ffd407f,0xfc800007,0xfff03fff,
    0x457fee1f,0xd01effff,0x3ffa0fff,0x7ffcc02f,0x55fff887,0xf800ffff,
    0xfff52fff,0xffff800f,0x01ffff82,0x3fa1fffd,0x7ffd40ff,0x87fff403,
    0x6400fffe,0x97fe1fff,0xf301fffb,0x3ffa87ff,0x4077ffe4,0x2201fffd,
    0xa800ffff,0xfff8801b,0x1ffff03f,0x7fc57fee,0x3ffa02ff,0x05fffd07,
    0x887fff98,0xfff75fff,0xfffe800f,0x00ffff73,0xf83fffe8,0xff701fff,
    0x0bfff17f,0xb807fff3,0xfff8bfff,0x0fffc805,0xfffc8ffe,0x83fff700,
    0x7fd40ffd,0x7fcc2fff,0x7fffc01f,0x3effd803,0x7ffffd10,0x5c3fffe0,
    0xffff15ff,0x1fffa05f,0x2017fff4,0xf887fff9,0xdfff95ff,0x4fffd800,
    0x800dfff9,0xff84fffd,0xfff101ff,0x105fff7b,0xf8809fff,0x2fffbdff,
    0x7c7ffd80,0x07fff24f,0x3ee3fff4,0xffffb04f,0x9ffea19f,0x3ff20998,
    0x7ffcc07f,0xbfff902f,0x3fffe013,0x64cbff70,0xffd07fff,0x0bfffa0f,
    0x10ffff30,0x3ff6bfff,0x7fe4005f,0x0bfffb5f,0x85fffc80,0x3601ffff,
    0x07ffefff,0x36017ffe,0x07ffefff,0xfe8dffb0,0x20fffee5,0x3ea6fffb,
    0x3ff600ff,0xfffbefff,0xf897fee4,0xe980dfff,0x3fe07fff,0xffff806f,
    0xf90bff70,0xfffd05ff,0x00bfffa0,0xf10ffff3,0x3fff2bff,0x7ffec006,
    0x00dfff94,0xf84fffd8,0x3ea01fff,0x204fffff,0xfa805ffd,0x004fffff,
    0xffd89fff,0x41dfff30,0xb8dffffa,0xfa802fff,0x5fffffff,0x3ee2ffdc,
    0xebacffff,0x103fffff,0xff009fff,0x17fee1ff,0x3a0fffe6,0xfffd07ff,
    0x7fff9805,0xf55fff88,0xfe800fff,0xffff53ff,0x3fffe800,0x401ffff8,
    0x01ffffff,0x7c01bff2,0x801fffff,0x7d43fff8,0x3ffff23f,0xffffffed,
    0x2001ffff,0x7fffffe8,0xfd85ffb8,0xffffffff,0x3e605fff,0xfff803ff,
    0x20bff70f,0xffe84fff,0x05fffd07,0x886fffa8,0xfff35fff,0x7ffc001f,
    0x1ffff32f,0x17fffc00,0x200ffffc,0x406ffffc,0xc800fffb,0x3006ffff,
    0xdff05fff,0x7ffffec4,0xffffffcf,0xff70000e,0xffb87fff,0xfffff705,
    0x80bfffff,0xf802fffa,0xbff70fff,0x3a17ffe0,0xfffb07ff,0x6fffa807,
    0xf15fff88,0x2e009fff,0xff10ffff,0x3ee009ff,0xfff80fff,0x7ffcc01f,
    0x7ffcc03f,0xffff9802,0x0fff7003,0xfb713ff2,0x37f6a3bd,0x004cc41b,
    0x0ffffe88,0xd8817fee,0x1dfffffe,0x02fffa80,0xf70ffff8,0x17ffe0bf,
    0x7e41fffa,0x7fec06ff,0x5fff885f,0x003ffff6,0xd8dffff1,0x4400ffff,
    0xff06ffff,0xff8803ff,0xffd800ff,0xffff8804,0x09ffb000,0x000fffa2,
    0x207ffdc0,0xffe81a98,0x017fee2f,0x002fbf66,0x802fffa8,0x3fee7fff,
    0xd0bfff05,0x3fea0fff,0xfff304ff,0xbfff107f,0x0fffffc4,0x1ffffe98,
    0x0fffffc4,0x1ffffe98,0x803ffff0,0x3005fffc,0xff900fff,0x3fe200bf,
    0x3ffe601f,0xfb10000d,0xfff887ff,0x1fffe40f,0xdb00bff7,0x5c00dffd,
    0x7c401fff,0x17fee7ff,0x7f437ff4,0x3fffa07f,0xffdbacef,0xff880fff,
    0x7fffdc5f,0xffdbabdf,0xff704fff,0xb757bfff,0x409fffff,0x9841ffff,
    0x002ffffc,0x26107ff6,0x002ffffc,0xf500dff5,0x00359fff,0x09ffff53,
    0x4c77fffa,0x3ee1ffff,0x7fd4005f,0x3feea202,0xfd9700ff,0x2ffdcdff,
    0x0acfffd8,0x8333fffd,0xfffffffb,0x24ffffff,0x5fff9998,0xffffffd8,
    0xefffffff,0x3ffff600,0xffffffff,0x3ffe00ef,0x7fffec1f,0x7cc006ff,
    0x7fffec4f,0x3fa006ff,0xffd1002f,0x979dffff,0xffffffdb,0x7fffd405,
    0x46ffffff,0x64005ffb,0x3fea01ff,0x3fa06fff,0x3ee5ffff,0xffff705f,
    0x3ffffabf,0x7ffd41ff,0xffffffff,0x7ffffdc4,0xffff705f,0x7fffffff,
    0x3fffee00,0x3fffffff,0x41ffff80,0x1ffffffc,0x20ffd800,0x1ffffffc,
    0x00bff300,0xfffffd70,0xffffffff,0xff70019f,0x1fffffff,0x2605ffb8,
    0x05fffeee,0x17ffffd4,0xffffff88,0xf817fee0,0xffd5ffff,0xb103ffff,
    0xbfffffff,0xfffff703,0x7f6440bf,0x00deffff,0x7fff6440,0xf000deff,
    0xffb83fff,0x30001dff,0x7ffdc7ff,0x3f6001df,0x2e20001f,0xffffffed,
    0xd98002de,0x80cfffff,0x3a605ffb,0xa803efff,0x2601dfff,0x5c1dffff,
    0x3f2205ff,0xffffd5ff,0xa99803ff,0x7ffdc009,0x26005fff,0x4c00001a,
    0x4000001a,0x33000009,0x20001301,0x80000099,0x80000198,0x09988018,
    0x13100000,0x22019800,0x02600099,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x30000000,0x00009999,0x01999800,0x33326000,0x33220003,
    0x998000cc,0x19999999,0x01e664c0,0x20799950,0x4001cccb,0x8003ccca,
    0x1fa1ceea,0x997bae00,0x98000eee,0x80004ccc,0x0002cccb,0x017ffe40,
    0x20edc000,0x00007fff,0x05ffffd1,0x0bfff200,0x7fffdc40,0xffffffff,
    0x3ffffa01,0x1dfff002,0x0dffff50,0x00efff80,0x7ffffcc0,0xc8005fee,
    0x3ffea7ff,0xfff90000,0xfe880005,0xd800007f,0x800005ff,0x3fffc0fe,
    0xeffc8000,0x44000fff,0xf3003fff,0xffffffff,0x203fffff,0x0fffeffc,
    0x407ffdc0,0x4ffefff8,0x01fff500,0xfd7bf900,0x90007fff,0x7ffd4fff,
    0x3ff20000,0xff880006,0xd800002f,0x200001ff,0x7fff85f8,0x6ffa8000,
    0xb800bff9,0xfd1004ff,0xffffffff,0x303fffff,0xbff71dff,0xb01ffe80,
    0x5ffd17ff,0x003ffd00,0xcb8832e0,0x99950001,0x0006664c,0x000bff60,
    0x001bfe60,0x00b32200,0xf83fb800,0xb80007ff,0x033321cc,0x2003cb80,
    0xfffffffb,0xceffeccf,0x2e1ccb80,0x399101cc,0xc98f3260,0x0e64403c,
    0xaaa88000,0x55100000,0xc8000015,0x9300002c,0x44000019,0x00000aaa,
    0x3ffe03f6,0x99988007,0x11999800,0x33001333,0x7fffec33,0xffb0ffff,
    0x99999889,0x99999999,0x00cccc09,0x4c406666,0x99999999,0x40099999,
    0xffffffda,0x6d4001df,0xdfffffff,0x26620001,0x26620009,0x99999999,
    0x20009999,0xffffffda,0x262001df,0xff06fccb,0x0de5ccff,0x402fffe8,
    0xffd7fff9,0xfff9805f,0x3fffffe7,0x9ffb0fff,0xffffffe8,0xffffffff,
    0x00ffffc6,0xfd03ffff,0xffffffff,0x40dfffff,0xfffffffc,0x9004ffff,
    0xffffffff,0x20009fff,0x2007ffff,0xfffffffe,0x6fffffff,0xfffff900,
    0x09ffffff,0xffffff50,0x1ffff09f,0x1bfffff9,0x402fffe8,0xffd7fff9,
    0xfff9805f,0x3fffffe7,0x9ffb0fff,0xffffffe8,0xffffffff,0x00ffffc6,
    0xfd03ffff,0xffffffff,0x10dfffff,0xfffffffd,0x1dffffff,0x3ffffa20,
    0xffffffff,0x3ea000ef,0xd002ffff,0xffffffff,0x0dffffff,0xfffffe88,
    0xffffffff,0xffffb00e,0x41dfffff,0xfffeffff,0x3a0effff,0x7cc02fff,
    0x5fffd7ff,0x27fff980,0xfffffffd,0xe89ffb0f,0xffffffff,0x46ffffff,
    0x3e01ffff,0xffe81fff,0xffffffff,0xfc86ffff,0xa9abffff,0x04ffffeb,
    0x57fffff9,0xffffd753,0x7ffec009,0xffd006ff,0xffffffff,0xc80dffff,
    0x9abfffff,0x4ffffeba,0xcfffffa8,0x3e4fffff,0xfcefffff,0x3fa5ffff,
    0x7fcc02ff,0x05fffd7f,0x2e7fff98,0xffffffff,0xfe89ffb0,0xaaaaacff,
    0x7c2aaaaa,0x3fe01fff,0xfffe81ff,0xaaaaaaac,0x7fd42aaa,0xfb100dff,
    0xffa83fff,0xfb100dff,0xf1003fff,0x03ffffff,0x559fffd0,0x55555555,
    0x7fffd405,0xfffb100d,0x7fffc43f,0xfffef98b,0x5fffff0f,0xd1ffffb8,
    0xf9805fff,0x5fffd7ff,0x47fff980,0xfffffffe,0xfe89ffb0,0x3e0002ff,
    0x3fe01fff,0xfffe81ff,0x3ffa0002,0xffe800ff,0x7ffff46f,0x6fffe800,
    0xfffffc80,0xffe804ff,0xfd00002f,0xfd001fff,0x7ffd4dff,0x3372bee6,
    0x07ffff0a,0x7f53fff6,0x7fcc02ff,0x05fffd7f,0x447fff98,0x0ffffffd,
    0xffe89ffb,0x3fe0002f,0x3ffe01ff,0x2fffe81f,0xffff1000,0x3ffea007,
    0x7ffff10f,0x3fffea00,0x5ffffc00,0xfe807fff,0x880002ff,0x5003ffff,
    0x3ee1ffff,0x803fa3ff,0xf501ffff,0x3fffabff,0xbfffcc02,0x4c02fffe,
    0xb7307fff,0x3ff61fff,0x017fff44,0x03ffff00,0x740ffffc,0x50002fff,
    0xf800ffff,0xfff52fff,0xffff800f,0x5bffea02,0x7402fffe,0x80002fff,
    0x4007fffa,0xff92ffff,0xf017e25f,0x3e601fff,0x5fffd6ff,0xd7fff980,
    0xf9805fff,0x7fd407ff,0xe89ffb0f,0x20002fff,0x3e01ffff,0xffe81fff,
    0xff70002f,0xffe800ff,0x0ffff73f,0x03fffe80,0x7dcffff6,0x7ff406ff,
    0xfb80002f,0x7f4007ff,0x5fffb3ff,0xfff00fee,0xb7ffcc0f,0x4c02fffe,
    0xfffd7fff,0x7fff9805,0xd87ffd40,0x7fff44ff,0xeeeeeeee,0xffff86ee,
    0x07fffe01,0x3bbbfffa,0x6eeeeeee,0x0037ffe4,0x7e53fff6,0x7ec006ff,
    0xfff104ff,0x3fffe21f,0x3bfffa01,0xeeeeeeee,0x3fff206e,0x7ffec006,
    0x367fff74,0x7fffc00f,0x2bfff300,0x4c02fffe,0xfffd7fff,0x7fff9805,
    0xd87ffd40,0x7fff44ff,0xffffffff,0xffff87ff,0x07fffe01,0x3ffffffa,
    0x7fffffff,0x002fffec,0x7ed7fff2,0x7e4005ff,0xfff705ff,0x04fffe8b,
    0x3ffffffa,0x7fffffff,0x017fff60,0x26bfff90,0x54df5fff,0xffff0acd,
    0x53ffee05,0x4c02fffe,0xfffd7fff,0x7fff9805,0xd87ffd40,0x7fff44ff,
    0xffffffff,0xffff87ff,0x07fffe01,0x3ffffffa,0x7fffffff,0x0037ffe4,
    0x7e53fff6,0x7ec006ff,0xfffd04ff,0x07fffb85,0x3ffffffa,0x7fffffff,
    0x01bfff20,0x229fffb0,0x24fbffff,0xfff2fffe,0x3fffa0df,0x805fffd3,
    0xffd7fff9,0xfff9805f,0x87ffd407,0x7ff44ffd,0xccccccdf,0xfff84ccc,
    0x3fffe01f,0xcdfffe81,0xcccccccc,0x03fffd44,0x54ffffa0,0x74007fff,
    0xff983fff,0xffff887f,0x9bfffd02,0x99999999,0x3fffd409,0x8ffffa00,
    0x99fffffe,0x3fe7fffc,0xfd50dfff,0x3ffa1fff,0x7ffcc02f,0x805fffd7,
    0x5407fff9,0x9ffb0fff,0x002fffe8,0x807fffe0,0xfe81ffff,0xf30002ff,
    0x7c001fff,0xfff32fff,0x7ffc001f,0xefffc82f,0xffeaaaaa,0x5fffd06f,
    0xfff30000,0x7ffc001f,0x3fffe62f,0x3fffffff,0x3ffffffe,0x23ffffff,
    0x5402fffe,0xfffd6fff,0x6fffa805,0xd87ffd40,0x7fff44ff,0x3ffe0002,
    0x3fffe01f,0x02fffe81,0x9ffff100,0x3fffee00,0x09ffff10,0x03fffee0,
    0x3ffffffe,0xffffffff,0x02fffe81,0xffff8800,0xffff7004,0xfffffb81,
    0x7fc4ffff,0xfffffbff,0x7ffec4ff,0xb7ffd403,0x5403fffd,0x7d406fff,
    0x89ffb0ff,0x0002fffe,0xf807fffe,0xffe81fff,0x3f60002f,0x7c400fff,
    0x7fec6fff,0x7fc400ff,0xfffa86ff,0xffffffff,0xfe84ffff,0xb00002ff,
    0x8801ffff,0xd306ffff,0x05dfffff,0x3fa6ffff,0xffc82fff,0x7ffec06f,
    0x80dfff95,0x5405fffd,0x9ffb0fff,0x002fffe8,0x807fffe0,0xfe81ffff,
    0x220002ff,0x301fffff,0x883ffffd,0x301fffff,0xb03ffffd,0xffffffff,
    0xffffffff,0x005fffd0,0x3fffe200,0xfffd301f,0x54ff403f,0x1fffe009,
    0x7fd40131,0xfff304ff,0x3fffea7f,0x7ffff304,0xb0fffa80,0xfffe89ff,
    0x3ffe0002,0x3fffe01f,0x02fffe81,0x7fffdc00,0xffdbabdf,0xff704fff,
    0xb757bfff,0x109fffff,0x3333ffff,0xfff33333,0x2fffe85f,0x3fee0000,
    0xdbabdfff,0x204fffff,0x3fe005f8,0xffd0007f,0xfb759dff,0x7f41ffff,
    0xdbacefff,0x400fffff,0xffb0fffa,0xcdfffe89,0xcccccccc,0x3fffe0cc,
    0x07fffe01,0x3337fffa,0xcccccccc,0xffffd80c,0xffffffff,0x3ff600ef,
    0xffffffff,0xfc80efff,0xffb006ff,0xdfffe8df,0xcccccccc,0x7ec00ccc,
    0xffffffff,0x200effff,0x3fe003fb,0xff70007f,0xffffffff,0xffb89fff,
    0xffffffff,0xfa804fff,0x89ffb0ff,0xfffffffe,0xffffffff,0x807fffe1,
    0xfe81ffff,0xffffffff,0x01ffffff,0xfffffff7,0x2007ffff,0xfffffffb,
    0x3e03ffff,0xf5003fff,0x7ff43fff,0xffffffff,0x801fffff,0xfffffffb,
    0xd803ffff,0x3ffe000f,0x3fea0007,0xffffffff,0xffff504f,0x9fffffff,
    0x43ffea00,0x7ff44ffd,0xffffffff,0x3e1fffff,0x3fe01fff,0xfffe81ff,
    0xffffffff,0x2201ffff,0xefffffec,0x7644000d,0x0defffff,0x03fffea0,
    0x24ffff80,0xfffffffe,0xffffffff,0xffd91001,0x001bdfff,0xff800df1,
    0x6c40007f,0xdfffffff,0x7ffec401,0x001dffff,0x7ec3ffea,0x7ffff44f,
    0xffffffff,0x3ffe1fff,0x3fffe01f,0xfffffe81,0xffffffff,0x2a6001ff,
    0x54c00001,0x3fff6001,0x7ffe4005,0x3fffffa7,0xffffffff,0x530001ff,
    0x07710003,0x006eed80,0x026a6600,0x04d4cc00,0x0eee9800,0x00007dd9,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x16665400,0x0eee9800,0x8000bbba,0x0001cccc,0x00cccc88,0x7003b600,
    0x377549dd,0xd0e77540,0xdd50001f,0x007774cd,0xb8b7f220,0x1f76c03f,
    0x80009dd9,0xa8800001,0xb80001aa,0xff3000cc,0x30001fff,0x7ffc3fff,
    0xfff50003,0x3f200009,0x260003ff,0x7fe402ff,0x101ffee6,0xfdffffff,
    0x3fee000d,0x007ffe67,0xdfffffd0,0xffe803ff,0x0017ff64,0x00177fd4,
    0x3ffff660,0x0001efff,0x7f400fff,0x8005ffef,0x3fe1fff9,0xffd0003f,
    0x7fc00009,0xff90003f,0x3205dfff,0x1ffee6ff,0xffb7bf70,0x2e0009ff,
    0x3ffe67ff,0x2fbe2001,0x806ffffd,0x3ff64ffe,0xb3bf0005,0x7fe4000d,
    0xffffffff,0x7fcc004f,0x29ff9005,0x44003ffd,0x33320ccc,0x5ffa8001,
    0x3fee0000,0xfffd0004,0x50dfffff,0x2664c799,0xcb8832a0,0x33260001,
    0x00333224,0x16542c98,0x2a2ccb80,0xf98003cc,0x88001f51,0xfffffffe,
    0x0effffff,0x007ff700,0x32219991,0x9998804c,0x01999800,0x00009950,
    0x90003cb8,0xffffffff,0x4ccc07ff,0x33310001,0x4c400001,0x26200099,
    0x99980099,0x33333311,0x33333333,0x756fc001,0xfffc8006,0xfba9abff,
    0xb005ffff,0x988003ff,0x3fa00099,0x7fcc02ff,0x0666667f,0x00999980,
    0x00133310,0x7c77ffc4,0x206ffe9f,0x8001ffff,0x0007ffff,0x01ffffe0,
    0x805fffe8,0xfffd7fff,0xffffffff,0x7c00dfff,0x4c007fff,0x100dffff,
    0x003ffffb,0xff000fff,0x7f400fff,0x7fcc02ff,0x3ffff27f,0xffffc802,
    0xfffff002,0x97ffcc00,0x1defa8ff,0x003ffff0,0x2fffffa8,0xfffa8000,
    0xffd002ff,0xfff805ff,0xffffffd7,0xffffffff,0x3ffea00d,0x3fa002ff,
    0xfe800fff,0x7fcc06ff,0x7ffd4005,0xffd002ff,0xfff9805f,0x1bfffe27,
    0x0bffff10,0x3ffffea0,0x3fff5002,0xff8003fe,0x7ec001ff,0x0006ffff,
    0x6fffffd8,0xdffffd00,0xfd7fff80,0xffffffff,0x00dfffff,0x1bfffff6,
    0x1ffffc40,0x0ffffa80,0x0013fee0,0x0dfffffb,0x00bfffa0,0xfa8ffff3,
    0x3f603fff,0xfb000fff,0x200dffff,0x1ff4fff9,0x0ffffc00,0xfffff100,
    0x440003ff,0x1fffffff,0xfffffe80,0x75fffe04,0xaaaacfff,0x02aaaaaa,
    0xffffff88,0xfff9801f,0x7fffc007,0x00bff602,0xffffff88,0xfffe801f,
    0x3fffcc02,0x407fffec,0x003ffff9,0xfffffff1,0xffff1003,0x7c001ffb,
    0x32001fff,0x4fffffff,0x3fff2000,0xe804ffff,0x01ffffff,0x3ffaffff,
    0x6400002f,0x4fffffff,0x07fffa80,0x01ffff40,0x64001fff,0x4fffffff,
    0x02fffe80,0x443fffcc,0xfe85ffff,0x3f2005ff,0x04ffffff,0xffffff90,
    0x3ffe0017,0x3ffe001f,0x007fffbf,0x3effffe0,0xffe807ff,0xff05ffff,
    0x0bfffaff,0xffff0000,0x900ffff7,0xd800dfff,0xff304fff,0xffff800d,
    0xe807fffb,0x7cc02fff,0xfff707ff,0x7fffdc3f,0x3fffe000,0x1007fffb,
    0xfffffffd,0xffff803b,0xdfff5001,0x000bfffa,0x7f5bffea,0x7ff402ff,
    0xf82fffff,0x5fffd7ff,0x7fd40000,0x05fffd6f,0x005fffc8,0xb82fffe4,
    0x3ea004ff,0x5fffd6ff,0x02fffe80,0xd03fffcc,0x3fe2dfff,0x3ea003ff,
    0x5fffd6ff,0x7fffec00,0x3e02ffff,0xfb001fff,0x3ffee7ff,0xfffd8006,
    0x80dfff73,0xfffefffe,0xebfffc0f,0x00002fff,0x7dcffff6,0x7fe406ff,
    0x7fec006f,0x05ffb04f,0xb9fffec0,0x7f406fff,0x7fcc02ff,0x3ffe607f,
    0x06fffcbf,0xb9fffec0,0x4c006fff,0xfffffffc,0x03ffff01,0x21ffff10,
    0x001ffff8,0x443fffe2,0x3a01ffff,0xffff9fff,0xfebfffc4,0xeeeeeeff,
    0x4406eeee,0xff10ffff,0x7fd403ff,0x7ff4007f,0x01ffd03f,0x43fffe20,
    0x201ffff8,0x4c02fffe,0x7e407fff,0x1fffffff,0x3fffe200,0x03ffff10,
    0xfffbff00,0x3fffe0bf,0x5fffb801,0x0027fff4,0xfe8bfff7,0x3ffa04ff,
    0x1ffffa8f,0x7ff5fffe,0xffffffff,0x7dc07fff,0x7fff45ff,0x3fffe604,
    0xfff88080,0x06ff881f,0xd17ffee0,0x7f409fff,0x7fcc02ff,0xfffe807f,
    0x5c004fff,0x7ff45fff,0x8ff8004f,0xff07fff9,0xffd003ff,0x7fffb85f,
    0x0bfffa00,0x740ffff7,0xfffd0fff,0xfebfffcd,0xffffffff,0x7407ffff,
    0x7fdc2fff,0x3ffe207f,0x2e1ec83f,0xfa80ffff,0x3ffa004f,0x3fffdc2f,
    0x805fffd0,0xa807fff9,0x00ffffff,0x217fff40,0x4407fffb,0x7e43fe19,
    0x3ffff07f,0x87fff980,0x802ffff8,0xf887fff9,0xffd02fff,0x3fffe61f,
    0x3faffff3,0xcccccdff,0x2604cccc,0xff887fff,0x3ff602ff,0x3ffe20ff,
    0x06ffff9d,0x26005ff9,0xff887fff,0xfffd02ff,0x7fff9805,0x5ffffb00,
    0x7fff9800,0x02ffff88,0x3fe1fffd,0x3e0fff70,0x7e401fff,0xaaaaaeff,
    0xc806fffe,0xaaaaefff,0xd06fffea,0x7fe41fff,0xd7fff8ff,0x00005fff,
    0x555dfff9,0x0dfffd55,0x877fffc4,0xffffffd8,0x1ffd01ff,0x3bfff200,
    0xffeaaaaa,0x5fffd06f,0x06fffa80,0x00ffff30,0x55dfff90,0xdfffd555,
    0x7d3fff20,0x20dffd0f,0x7c01ffff,0xffffffff,0x01ffffff,0x7ffffffc,
    0xffffffff,0x40fffe81,0xfffcfffe,0x005fffd7,0xffffff00,0xffffffff,
    0x7ffe403f,0xffc9acff,0xf104ffff,0x7ffc00ff,0xffffffff,0xfd81ffff,
    0x7fd403ff,0xfff3006f,0xffff000f,0xffffffff,0xff303fff,0xfb3ff9ff,
    0x3ffe07ff,0x3ffea01f,0xffffffff,0x2a04ffff,0xffffffff,0x4fffffff,
    0x540fffe8,0x7fffffff,0x0005fffd,0xffffffa8,0xffffffff,0x7ffec04f,
    0xffffffff,0xff504fff,0x3ffea00b,0xffffffff,0xfc84ffff,0x7fec06ff,
    0xfff3005f,0xfffa800f,0xffffffff,0xf904ffff,0xffffffff,0x7fffc0df,
    0x3ffff601,0xffffffff,0x3f607fff,0xffffffff,0x87ffffff,0xfd80fffe,
    0xfd7fffff,0xd80005ff,0xffffffff,0x7fffffff,0xfffffb80,0xffffffff,
    0x1ffe43ff,0xfffffd80,0xffffffff,0xfffa87ff,0xffff304f,0x3ffe6007,
    0x7ffec007,0xffffffff,0xd107ffff,0xffffffff,0x7fffc01d,0x3ffff101,
    0x33333333,0xf105ffff,0x33333fff,0xffff3333,0x80fffe85,0x7ffffff8,
    0x0005fffd,0x4cffffc4,0xf9999999,0xc8802fff,0xcefffffe,0x22fffffc,
    0xf8801ffe,0x99999fff,0xffff9999,0xeffffe82,0xffffdbac,0xfff3000f,
    0x7ffc400f,0x9999999f,0x02ffff99,0x3bffffae,0x1ffff803,0x00dfff90,
    0x321bfff6,0xfb006fff,0xfffe8dff,0xfffff700,0x337fffaf,0xcccccccc,
    0x3fff20cc,0xdfffb006,0x30351000,0x2aa8dffd,0x0dfff900,0x21bfff60,
    0xfffffffb,0x04ffffff,0x01fffe60,0x006fffc8,0x100dfffb,0x7fc003ff,
    0xffff01ff,0x3ffea007,0x1ffffc1f,0x1ffffa80,0xe803fffa,0xffd7ffff,
    0xffffffff,0x7c3fffff,0xf5003fff,0x00003fff,0x80005d70,0x5003ffff,
    0xf503ffff,0xffffffff,0xf98009ff,0x3fe007ff,0xff5003ff,0x1ff003ff,
    0x0ffffc00,0x007fffd4,0x549ffff0,0x2000ffff,0x3fa4ffff,0x3fe600ff,
    0xffffd7ff,0xffffffff,0x3fea3fff,0x3fe000ff,0x000004ff,0xfff50000,
    0x7ffc001f,0xfffb104f,0x003bffff,0x00ffff30,0x003fffea,0x804ffff8,
    0x3fe000ff,0xfffd81ff,0x7ffe4005,0x017fff67,0x74ffff90,0x7e400fff,
    0xffffd7ff,0xffffffff,0x3ff63fff,0x7fe4005f,0x0000007f,0xbfffb000,
    0x7fffc800,0x009a9980,0x3fffcc00,0x05fffd80,0x03fffe40,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xccb80002,0x9970000c,0x332e0059,0x3cca800c,0x91013326,
    0x00001999,0xcccc8800,0xccc80000,0x332e001c,0x5997000c,0x91026654,
    0x20001999,0x200cccc8,0x0001cccc,0x04d55440,0x3aa00754,0x7dc000cf,
    0x98004fff,0xf5005fff,0xf900dfff,0x07ffd4df,0x013ffee0,0x7439fd70,
    0x7ffdc00f,0x7fd40004,0x3fee004f,0xffb005ff,0x203ffe4b,0x0003fffc,
    0xa809fff7,0x80005fff,0xffffffd9,0x0dff51df,0x027defc4,0xffffff30,
    0x6ffd8005,0xfdfff100,0x6ffc807f,0x2003ffea,0x3000fffc,0xfdffffff,
    0x3ffee00d,0x3ffa0000,0x3ffe6005,0xfd802fff,0x01fff25f,0x4001fff2,
    0xf5004fff,0x640003ff,0xffffffff,0x2fffdfff,0x007c9ee0,0x3fe6bffa,
    0xdff3000f,0x2fff6001,0x3201fff8,0x3ffea6ff,0x07ff9000,0x3f6f7ee0,
    0x32003fff,0xf50003ff,0xffe800bf,0x400fff9a,0x3ff25ffd,0x05ffb007,
    0x005ffa80,0x40027fdc,0xffffffe8,0xffffffff,0x4dfcc03f,0x9dd5005e,
    0xb802775c,0xdd3000de,0x002f754b,0x17b20000,0x2ea065c0,0x05ec8000,
    0x001bd900,0xdd727754,0x80000009,0x76c005ec,0x1bd70005,0xffffc800,
    0xffb99abf,0xfb006fff,0x000003ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7fffcc00,0xffff100d,0x00a2003f,
    0x01acb980,0x2f332ea0,0x99975001,0x32ea0037,0x4c001bcc,0x2a001acb,
    0x001bcccb,0x006b32a2,0x03599510,0x1acca880,0x56654400,0x80aaaa01,
    0x55552aaa,0xa8155540,0x001bcccb,0xd80ffffd,0x405fffff,0x01bcccba,
    0xfffffd98,0x3fee01ef,0x05ffffff,0x3fffffee,0x3fee05ff,0x05ffffff,
    0x7ffffecc,0x3fee01ef,0x05ffffff,0xffffffc8,0xfffc800d,0xc800dfff,
    0x0dffffff,0xfffffc80,0xffff80df,0xf7fff880,0xff101fff,0xffffb8ff,
    0x4405ffff,0x3203ffff,0x0fffffff,0xffffffb8,0x3fe605ff,0xffffffff,
    0xfffffa83,0xa85fffff,0xffffffff,0xfffa85ff,0x5fffffff,0xffffff30,
    0xf507ffff,0xffffffff,0x3ffa20bf,0x1fffffff,0xfffffd10,0x2203ffff,
    0xfffffffe,0xffd101ff,0x3fffffff,0x880ffff8,0xffff7fff,0x4ffff101,
    0xfffffffa,0x3e605fff,0x3ff207ff,0x42ffff9e,0xfffffffa,0xff885fff,
    0xfffeefff,0x7fffc2ff,0xffffecbd,0x5effffc1,0x41ffffec,0xecbdffff,
    0x7c41ffff,0xffeeffff,0x7ffc2fff,0xfffecbdf,0xffffc81f,0x06ffffcd,
    0xf9bffff9,0x3f20dfff,0xfffcdfff,0xffff906f,0x8dffff9b,0xf880ffff,
    0x1ffff7ff,0x7cffff10,0xfecbdfff,0xff701fff,0x3ffee0df,0xf87ffff0,
    0xfecbdfff,0x7ff41fff,0x3ff662ef,0xbffd30ff,0x4c7fffd0,0xffe85ffe,
    0x17ffa63f,0xfd0ffffa,0x7ecc5dff,0xffd30fff,0x87fffd0b,0x6c1ffff9,
    0x7fcc2fff,0x7ffec1ff,0x0ffffcc2,0xf30bfff6,0xffd83fff,0x03fffe2f,
    0x7fdfffe2,0xfff880ff,0xd0bffd37,0x3f207fff,0xfffa85ff,0x993fff61,
    0xffe85ffe,0x3fffe23f,0x07fffd00,0x7fff7013,0x3fee0260,0xf701303f,
    0x7ffc47ff,0x7fffd00f,0xfff70130,0x84fffc87,0x7e45fff9,0xfff984ff,
    0x427ffe45,0x7e45fff9,0xfff984ff,0x203fffe5,0xfff7fff8,0xffff101f,
    0xfff70130,0x17fff607,0xfc85fff3,0x701305ff,0x7fd47fff,0x3ffee04f,
    0x7fed4404,0xda8803ff,0x8803ffff,0x23ffffda,0x2e04fffa,0x54404fff,
    0x6c3ffffd,0xfff02fff,0x02fffd8f,0xffd8ffff,0x8ffff02f,0xff02fffd,
    0x07fffcff,0xffbfffc4,0xfff880ff,0x7fed4407,0xfff903ff,0x41fffc4d,
    0x8804fffd,0x23ffffda,0x2603fffc,0x6d446fff,0xffffffff,0xfffda883,
    0x883fffff,0xffffffda,0x3fff23ff,0x1bffe603,0xfffffb51,0xfff87fff,
    0xffffffff,0x7fffc7ff,0xffffffff,0x7ffffc7f,0xffffffff,0x7fffffc7,
    0x7fffffff,0x2203fffe,0xffff7fff,0x8ffff101,0xfffffda8,0xff703fff,
    0x13ffa2ff,0x441ffff4,0xffffffda,0x3fff63ff,0x9fffe602,0xeffffff9,
    0x7cc3fffe,0xfeefffff,0x7ffcc3ff,0xfffeefff,0x80bfff63,0x3e67fff9,
    0xfeefffff,0x7fffc3ff,0xffffffff,0x3fffe0ff,0xffffffff,0x3fffe0ff,
    0xffffffff,0x3fffe0ff,0xffffffff,0x1ffff0ff,0x3effff10,0xff880fff,
    0x3fffe67f,0x3fffeeff,0xd3ffff50,0x7ffc0bff,0x7fffcc2f,0x3fffeeff,
    0xa80fffee,0xfff35fff,0x3fee17bf,0x3fffe63f,0x7fff70bd,0x5effffcc,
    0x5c7fff70,0x3ea03fff,0xffff35ff,0x3ffee17b,0x66ffffc3,0xcccccccc,
    0x337fffe0,0xcccccccc,0x337fffe0,0xcccccccc,0x337fffe0,0xcccccccc,
    0x101ffff0,0x3ffeffff,0x7fff880f,0x17bffff3,0x440fffee,0x5fffffff,
    0x83fffee0,0x0bdffff9,0x7cc7fff7,0x3ff205ff,0x09fff94f,0x7e47fff7,
    0xfffb84ff,0x213fff23,0x3e63fffb,0x3ff205ff,0x09fff94f,0xfe87fff7,
    0xfe8003ff,0xfe8003ff,0xfe8003ff,0x7fc003ff,0xfff980ff,0x301ffff7,
    0x3ff2ffff,0x3fffb84f,0x3fffff20,0x3fffe00e,0x427ffe45,0x3e23fffb,
    0xff881fff,0x3fffd2ff,0x747fffb0,0xffd81fff,0x07fffa3f,0xf88ffff6,
    0xff881fff,0x3fffd2ff,0xc87fffb0,0xce985fff,0x2fffe41b,0x320de74c,
    0xce985fff,0x2fffe41b,0xfb0de74c,0xfff903ff,0x207fff6f,0xffd7fffc,
    0x7fffb03f,0x7ffffc40,0xffffb101,0x81fffe83,0x7ec3fffd,0xfc89cfff,
    0x3ffa5fff,0x7fffd44f,0x513fffa4,0x7f49ffff,0x7ffd44ff,0x7fffec4f,
    0xffffc89c,0x513fffa5,0xf889ffff,0x3fa0bfff,0x7ffc43ff,0x3fffa0bf,
    0x5ffffc43,0x10ffffa0,0x7417ffff,0x3ff23fff,0x3ffea0ef,0x1dfff97f,
    0xebffffd4,0x7fd44fff,0x7fec04ff,0xb999bfff,0xe84fffff,0x7fd44fff,
    0x7ff444ff,0xffffffff,0x3ffff20f,0xfffffece,0x3bffff24,0x4fffffec,
    0x33bffff2,0x44fffffe,0xffffffe8,0x320fffff,0xfeceffff,0xfc84ffff,
    0xfffdffff,0xffff905f,0x0bffffbf,0x37fffff2,0xf905ffff,0xfffbffff,
    0xffffb8bf,0xffffffef,0xdfffff77,0x2fffffff,0xeceffffc,0x204fffff,
    0xfffffffa,0xffffffff,0xffffc80d,0xfffffece,0xffffd884,0x441effff,
    0xfffffffe,0x3a26fffc,0xcfffffff,0x3fa26fff,0xfcffffff,0xffd886ff,
    0x1effffff,0x7fffff44,0x06fffcff,0xfffffff9,0x7fe401ff,0x0fffffff,
    0x3fffff20,0x3200ffff,0xffffffff,0xffffd80f,0x7ffdafff,0x3ffffff6,
    0xd17ffdaf,0x9fffffff,0x3e60dfff,0xfffffdff,0x03ffffff,0x3fffffa2,
    0x06fffcff,0x3bffff6e,0x3fff6204,0x3fffb1ef,0x77fffec4,0x443fffb1,
    0xb1effffd,0x36e03fff,0x204effff,0x1effffd8,0x2a03fffb,0x1dfffffe,
    0xffffea80,0xfea801df,0x801dffff,0xdfffffea,0x3ffff201,0xc8fffb1d,
    0xfb1dffff,0x7ffec4ff,0x3fffb1ef,0x3227ffd0,0xdeffffff,0xfffd8800,
    0x3fffb1ef,0x40013300,0x88000998,0x98800099,0x99800009,0x02662000,
    0x026a6000,0x004d4c00,0x0009a980,0x40013530,0x03300019,0x00133100,
    0x26209b10,0x2620001a,0x00000009,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x001aa980,0x64459950,0x599700cc,0x0001e654,0xccb98800,
    0x5554001a,0x0004c002,0x54400aa2,0x006a6002,0xa9800aa2,0x03553001,
    0x200132e0,0x0009aaa8,0x80133320,0x2a001999,0x2efffffe,0x31ffec00,
    0x7ff40fff,0x2017ff64,0xff11cffb,0xfffffa80,0xff000dff,0xff9100ff,
    0x3f6007df,0x01ffb003,0xb003ff10,0xff1001ff,0xfffe8803,0x3fe600df,
    0x3ff62004,0x8003ffff,0x004ffffb,0xd51bfff5,0xfffff507,0x4003ffff,
    0x3fee2ffe,0xd93ffa06,0x7fd405ff,0x04ffffff,0x3ffffff6,0xf800efff,
    0xffc807ff,0x4c00ffed,0x7f4c00ff,0x4fc800ff,0x07fff4c0,0x74027e40,
    0x05ffffff,0x44003ff6,0xffffffff,0x3fe6004f,0x3001ffff,0x85dfffff,
    0xfdeffff9,0xf1006fff,0x27fec1ff,0x7ec9ffd0,0x5e7ec05f,0x502ffffd,
    0xfb9fffff,0xff00bfff,0x3fe880ff,0xfe809ff1,0x7fffe402,0x07fcc00f,
    0x1fffff90,0x400ff980,0xfff16ffa,0x009ff303,0x5df7ffec,0x8801fffe,
    0xeffa9ffe,0xffff7000,0x4bfff901,0x800ffff9,0x7ff47ff9,0x5c000002,
    0xd005d444,0x7cc17fff,0x77400fff,0x7e54006e,0x01bea02f,0x03ff2ff2,
    0xfc807fb0,0x6c00ffcb,0x4ffb803f,0x3f60bff6,0x3ffe000f,0x0fffe60f,
    0xeb8fbae0,0x6ff5c03e,0xffe86fff,0x03fffc1f,0x3e25ffb8,0x000001ff,
    0xfff50000,0x02b3760d,0x7fc40000,0x00ff404f,0x401ff90c,0x321807fa,
    0x1fea00ff,0xf91ffe40,0x05ff987f,0x107fffc0,0x00009fff,0x7cc77a00,
    0x7fff45ff,0x417ffea0,0xffffeeec,0xeefffeee,0x0d65cc00,0x0d65cc00,
    0x009fff70,0x01bbb200,0x03ffed98,0xf9000bf7,0x017f401f,0xe803ff20,
    0x7ff9002f,0x3f627fe4,0x7fec000f,0x0bfff65f,0x2a02aaa8,0x266102aa,
    0x3e2fffc8,0x3ff60fff,0xffffb02f,0xffffffff,0xfb301fff,0x03dfffff,
    0xfffffd98,0xfffc81ef,0xffd00003,0x1ff6000f,0x20007fe2,0xdf700ffc,
    0x01ff9000,0xfb801bee,0x98fff63f,0xfa8005ff,0xfffcbfff,0x07fffc07,
    0x443fffc4,0xffcffffd,0x99fffe7f,0x3f606fff,0xffffffff,0x40ffffff,
    0xfffffff9,0xff303fff,0xffffffff,0x03fffd87,0x5fff8800,0xfb176c40,
    0x004fc81f,0xf101ff90,0xff90003f,0x003ff101,0xfff37fd4,0x0007fec3,
    0xffffffd8,0x7ffc01ff,0x7fff880f,0x7fffffd4,0xff3fffff,0x1fffe4ff,
    0xfff95530,0x59fff555,0xfffff885,0x2fffffee,0x77ffffc4,0x22fffffe,
    0x0003fffc,0x01ffff44,0x7fe5fff4,0x0007fcc4,0xfc80ffc8,0x1ff90005,
    0xd000bf90,0x4bfffdff,0x20005ff9,0xeffffff8,0x0ffff801,0x227fff88,
    0xffffffff,0xfff6ffff,0x027fff4f,0x3e25ffb8,0xfffd01ff,0x7ffecc5d,
    0x3bfffa0f,0x3ffff662,0x20bfff70,0xd880acda,0x9800efff,0x40efffff,
    0x320003fd,0x07fc40ff,0x40ffc800,0x98000ff8,0x20effffe,0x10001ffd,
    0x1ffffffb,0x03fffe00,0xfd9fffe2,0xfc88cfff,0xfff8ffff,0x0bffff27,
    0xf98fff60,0xffff107f,0x4ffffa01,0xd00ffff8,0x3fe67fff,0xfffe80ff,
    0x7ffff442,0x05e4c000,0x553037d4,0x36066540,0x4009884f,0x27ec0cca,
    0x65405530,0x42ffcc2c,0x3fa60099,0x25ffffff,0x03fffe00,0x7cdfffe2,
    0xff881fff,0x27fffaff,0x01fffff8,0xff717ff4,0x13ffea0b,0xf54fffb8,
    0x7fdc09ff,0x3ffffa4f,0xffffc98b,0x3ffffa20,0xfe800001,0x00bff102,
    0x74c1ff30,0x4003dfff,0xff100ff9,0x3ff6000b,0x37fffee1,0x77fffd40,
    0xf93ffffd,0x7fffc17b,0x77fff880,0x7e40bfff,0x47fffcff,0x40fffff9,
    0xabfffba9,0x2aadffda,0x980ffff2,0xfff96fff,0x37ffcc07,0xfffffff3,
    0xfd87ffff,0x00000eff,0xfd106fb8,0x7fd000bf,0xfffeffe8,0x40ffa001,
    0x8005ffe8,0x3fee5ff9,0x7f46ffff,0x3fff65ff,0x20ffff9f,0xf880ffff,
    0x7fff97ff,0x7efffd40,0xfffa87ff,0x7fffec6f,0xffffffff,0xfffb0fff,
    0xbfffcc05,0x2602fffd,0x7fd47fff,0x4fffffff,0x007fffcc,0x0ffc4000,
    0x005fffd8,0x3fe637d4,0x200bff13,0x3ff606fa,0xffd8005f,0x3a2bffe1,
    0xffff12ff,0xfffffe88,0x7fffc5ff,0xb7fff880,0x7cc07fff,0x07fffeff,
    0x6c7ffff5,0xffffffff,0x0fffffff,0x5407fff7,0xfff75fff,0x2fffd407,
    0x7ffffec4,0x4fffb82e,0x0026b220,0xdf705fc8,0xfe800bfd,0xf8854c42,
    0x05fd005f,0x017fbbee,0x7ccbff30,0x5d3fee6f,0xff984fff,0x7c2fffff,
    0xff880fff,0x09fff97f,0x7fefffd4,0x3ffee07f,0x3bfffb25,0xeefffeee,
    0xbfff30ee,0x9a7ffe40,0x3f205fff,0x3f6a04ff,0x3ffea02e,0x0bfff204,
    0x5407fc40,0x005fd8ff,0x7ec017ee,0x05fb802f,0x0bfb1ff5,0x2a1ffd80,
    0x57fea5ff,0xf504fffc,0xff0dffff,0xfff301ff,0x817ffeef,0xfffcfffc,
    0x1fffe207,0xffb8bffe,0x3fffe205,0x2ffff881,0x103ffff1,0x7405ffff,
    0xf305ffee,0xff301fff,0x3f6001ff,0xfb2ff984,0x07fe200b,0x009ffd10,
    0xff303ff1,0x98017f65,0x2ffd45ff,0x3feedff5,0xfffd107f,0xfffd83df,
    0x37fffc81,0xf103ffff,0xffff5fff,0xfffb9ec4,0x907ffc46,0xffd809ff,
    0xffc89cff,0x7ffec5ff,0xfffc89cf,0x3fee005f,0x7dfffd01,0xbfffd931,
    0x203fe600,0xffeccefe,0x027e401c,0x4013ffe6,0x9dfd04fc,0x0039ffd9,
    0xff983ffb,0x7cd7fee5,0xf512dfff,0x7fffffff,0x5077ffe4,0x7e4fffff,
    0xfc89cfff,0xffff5fff,0x3fffffea,0x3ffd43ff,0xd100bffa,0xffffffff,
    0xfe881fff,0xffffffff,0x3f6000ff,0xffff100f,0xdfffffff,0x40ffa001,
    0xffffffff,0x03fe202f,0x002fff98,0x3fe01ff1,0x2fffffff,0x442ffcc0,
    0x93ff27ff,0xfffffffc,0xffffffff,0xffff74ff,0xffffffdf,0x7ffffc4f,
    0x0fffffff,0x3fa2ffff,0xb86fffff,0x07ffc5ff,0x7fffec40,0x101effff,
    0xfffffffb,0x775403df,0x4c04fffe,0xfffffffd,0x1bea005f,0xfeaaaaa8,
    0x0ff600ae,0xccefff88,0x80ff603c,0xefeaaaaa,0x0ffec00a,0xffceffd8,
    0x7fffe40f,0xbaffffff,0x3f60efff,0xdaffffff,0x7ff4c7ff,0x1effffff,
    0xfd89fffe,0xffb04fff,0x003ffcc7,0x3bffff6e,0xfffb7004,0xfd5009df,
    0x54005bff,0x02cdffed,0x20017f40,0x7fcc05fd,0x3fffee00,0xff306fff,
    0x05fd8001,0x2205ff98,0x03fffffe,0xffffffd3,0x40ff4c19,0xb1dffffc,
    0x3fae0fff,0x0004ffff,0x0aaa8033,0x8000aaa2,0x26000099,0x00000009,
    0x9d500000,0x80797000,0x665c02ec,0x903ccccc,0x7970005d,0x803dd900,
    0x001cedb8,0x01801353,0x220000cc,0x00000099,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x332e0000,
    0x000f32a2,0x40039999,0x54400008,0x553000aa,0x55544035,0x4d554402,
    0x00110000,0x00006666,0x0d5dd4c0,0x4cc40000,0x88011001,0x99800999,
    0x2ea60019,0x440001ab,0x27ff4001,0x5400dff9,0xd8804fff,0x001dfffe,
    0xffffffb5,0x7fdc03bf,0x3ffee05f,0xffffd884,0xa801efff,0x00dffffd,
    0x0001fffe,0xfffffc88,0x0000beff,0x201fffd0,0x0dffffd9,0x402fffe8,
    0x4407fff9,0xfffffffc,0xfd5000be,0xd005dfff,0x37fe49ff,0x00bffd00,
    0xffffffd3,0xfffc805f,0xffffffff,0x1ffff104,0x307fffa0,0xffffffff,
    0x7dc0bfff,0x3fffffff,0x000ffff0,0x3ffffee0,0x1fffffdd,0xfffe8000,
    0xfffffb80,0x7ff41fff,0x7ffcc02f,0x3fffee07,0xfffffddf,0x7fffec01,
    0x7406ffff,0x1bff24ff,0x802ffd40,0xfffffffe,0xffe880ff,0xffffffff,
    0xfd80efff,0xfff883ff,0x7ffffcc6,0xffffffff,0xfffffb83,0xf81fffff,
    0xd80007ff,0xb981beff,0x40003ffe,0x7e40fffe,0xffffffff,0x0bfffa0f,
    0x20ffff30,0x981beffd,0xf703ffeb,0xffffffff,0x0000009f,0x2a0037b2,
    0xfd9aefff,0xfffc84ff,0xeba9abff,0xfa84ffff,0xfffb85ff,0x5f7ffe43,
    0xffffb989,0x67fff40f,0x86fffea9,0x40007fff,0xd1005ffc,0x740005ff,
    0x3fe20fff,0xffea9dff,0x0bfffa3f,0x90ffff30,0x3a200bff,0xffff82ff,
    0xffffb89c,0x00000000,0x22fffe80,0x2a0ffff8,0x100dffff,0xf03ffffb,
    0xffe81fff,0x0ffff40f,0x22ffffa8,0x7cc5fff9,0x7ffc0fff,0x3fea0007,
    0x35555555,0x000ffe88,0x641fffd0,0x7fd43fff,0x0bfffa6f,0xa8ffff30,
    0x1bb985ff,0xf107ff44,0xfffb0fff,0x202aaa83,0x5cc02aaa,0x3fe601ac,
    0x2fffd86f,0x003ffffa,0x321bfffa,0x3fe23fff,0x7fffc46f,0x93fffa00,
    0xff82ecb9,0x3fffc0ff,0xe8037973,0x3ffffe5f,0x3fa21fff,0x86f2e605,
    0xff10fffe,0x135501ff,0x2017fff4,0x7f47fff9,0x7ffffcc5,0x897fa21f,
    0xffb84fff,0x07fffc2f,0x4c3fffc4,0xeffffffd,0x85fffa81,0xff14fffb,
    0x3ea007ff,0x7fcc0fff,0x0fffee5f,0x0037fffe,0x3ffe6000,0xfb7fff86,
    0x301bffff,0x66ffc1ff,0x7cc7ffcc,0x7ffec40f,0xfffe8dff,0x00bfff30,
    0x402fffe8,0x3e67fff9,0x33ffe20f,0x3e60efeb,0x21bffa0f,0xfff87ffd,
    0x7fff880f,0x7fffffcc,0x7dc3ffff,0xfffa84ff,0x00ffff54,0xe82ffff8,
    0xfffd0fff,0xfffffb01,0x5000017b,0xff07fffd,0xfffffdff,0x6fd81fff,
    0x3fea0ffc,0xfd11ffc1,0xfdffffff,0x3fea1fff,0x0379954f,0x300bfffa,
    0x37ecffff,0xff883bfa,0xff91ffc4,0xfff7119f,0x01ffff0b,0x7c4ffff1,
    0xffeeffff,0x3fee2fff,0x5fffa83f,0x800ffff7,0xfb83fffe,0x5fff8bff,
    0xffffff10,0x80059dff,0x03fffff9,0x9dffffff,0xe8bfffff,0x260ffc4f,
    0x92fec1ff,0xfd9fffff,0x2e1fffff,0xfffdcfff,0xfffe84ff,0x3fffcc02,
    0x17fc49fd,0x22fec0cc,0xfffffffc,0xffff80df,0x27fff880,0x262efffe,
    0xf90ffffd,0xfff307ff,0x01bfff2d,0x109fffb0,0xfff7bfff,0x7fffd405,
    0x1effffff,0x7ffff500,0x17ffffc0,0xf87fffee,0x54dffc2f,0x6fb86fea,
    0x419ffff1,0x90ffffe9,0xffffffff,0xffe8bfff,0x7ffcc02f,0xff987fe7,
    0x21bee000,0x6ffffffc,0x203fffe0,0xff17fff8,0x3ffa01ff,0x07fffb3f,
    0x3f6ffff3,0x7e4005ff,0xfffb05ff,0x9100fffd,0xffffffff,0xff7005ff,
    0x3fe09fff,0xfffb03ff,0xff03fe27,0x019fffff,0x3ffeaff3,0x1ffff506,
    0x37fffff6,0x22ffffda,0x4c02fffe,0x1ff17fff,0x30007fdc,0xffffa8ff,
    0xff04ffff,0xfff101ff,0x813ffeaf,0xff94fffb,0xdfff307f,0x001bfff2,
    0x2a09fffb,0x04ffffff,0x3fff6a20,0x402fffff,0xefffda99,0x807fffc0,
    0x3fe4fffb,0x7feeffc2,0x2edf700d,0xff103fff,0x3fff21ff,0x37ffd43f,
    0x9805fffd,0x8bfe7fff,0x2e001ffa,0x3fffee6f,0x0efffebc,0x4407fffc,
    0xfff97fff,0xb7ffcc07,0xfa83fffc,0xffff55ff,0x3fffe800,0x3fffffe0,
    0x3ae60001,0x4004ffff,0x7fc2fffc,0x3ffea07f,0x3ff13fa6,0x7ec17fe2,
    0x405fffb5,0xff90ffff,0xfff883ff,0x05fffd0f,0x3a7fff98,0x213fe64f,
    0x8afec1cb,0x7ec0efff,0x7fffc2ff,0xb7fff880,0x7cc05fff,0x9fff77ff,
    0x269fff50,0x2000ffff,0x3202ffff,0x8806ffff,0x6fffc801,0x2fffd400,
    0xf981fffe,0xf1bf26ff,0x41ffd43f,0x5fffb3ff,0xb87fff40,0xffd06fff,
    0x0bfffa3f,0x64dfff50,0x3077f46f,0x53ff87ff,0xff307fff,0x0ffff8bf,
    0xf77fff88,0x7fd407ff,0x0bfff55f,0x3e29fff7,0xf7004fff,0x7cc01fff,
    0x3f603fff,0x7fc404ff,0x3e2000ff,0x3ffe0fff,0xbfff500f,0x3ff07fcc,
    0x3e60ffd8,0x07fff90f,0xfa87fffc,0xfff907ff,0x00ffff65,0x7ccdfff5,
    0x33ffe60f,0x7fcc6ffc,0x203fff90,0x7ffc7fff,0x7fff980f,0x640bfff3,
    0xfff34fff,0x47fff90d,0x400ffffd,0x406ffff8,0x200ffff8,0x200ffffc,
    0xd70ffffa,0xfff503fd,0x02ffff8f,0xfe89fff7,0xff307fe5,0xfb97fa29,
    0xfff104ff,0x3fffe61f,0x90fffe81,0xfd80dfff,0x22ff45ff,0x1efffffa,
    0xffd97fa2,0x7fff883f,0x640fffec,0xfff17fff,0xffff103f,0x10ffff45,
    0x7c41ffff,0xd301ffff,0xc803ffff,0x7cc05fff,0x3fa04fff,0x3fff25ff,
    0x45fffc85,0xfd05ffff,0xdff987ff,0xaaa80aa8,0x3ea0ffe8,0xffc80fff,
    0x3fffa0ff,0x53fffc44,0x2609ffff,0x7cc3ffff,0x0ddd445f,0xfb83ffa2,
    0xfffb86ff,0x077ffe45,0x6cfffff5,0xc89cffff,0x7dc5ffff,0xffc89dff,
    0xffffb84f,0xffdbabdf,0x93084fff,0xd005ffff,0x559fffff,0x47fffffb,
    0x99cffff9,0x7c3ffffc,0xd50dffff,0x3ee0ffff,0xffd1005f,0x3dfffd05,
    0x3fffff66,0x33fffea0,0x44fffea8,0xaceffffe,0x0fffffdb,0x1005ffb8,
    0xff985ffd,0xfff71cff,0xffffb87f,0xffffffef,0x3ffffa27,0x0fffffff,
    0x7fffffc4,0xfb01ffff,0xffffffff,0xb01dffff,0x0dffffff,0x3ffffe20,
    0xffffffff,0x7fffe40e,0x85ffffff,0xffffffff,0x202fffff,0xa81beffc,
    0xf503ffec,0xffffffff,0xfe81ffff,0xffffffff,0x7fffdc0f,0xffffffff,
    0x3bff204f,0x7fe5441b,0xffff903f,0x0dffffff,0x3ffffff6,0x447ffdaf,
    0xfffffffd,0xfff301ef,0x807fffff,0xfffffffb,0x3203ffff,0x01ffffff,
    0x3ffffea0,0x05ffffff,0x3ffffff6,0xfff80dff,0xffffffbd,0xfffa804f,
    0xffffddff,0x7ffdc01e,0xffcbffff,0x7ffec40f,0x501fffff,0xffffffff,
    0xf5009fff,0xffdbffff,0xfd803dff,0xffffffff,0x3ffff201,0x20fffb1d,
    0x4effffdb,0xffffd880,0xfd91001e,0x01bdffff,0x1dffffb8,0xffff7000,
    0x5007bfff,0x07ffffff,0xfeaafffc,0x22002fff,0xffffffeb,0xfd3000be,
    0x3ff25dff,0xffff900f,0xfd8801bf,0x1dffffff,0x3ffae200,0x00beffff,
    0xfffffd50,0x00660019,0x00026600,0x200004cc,0x130001a9,0x54c40000,
    0x33100009,0x09880001,0x55d4c000,0x2620000a,0x0d440000,0x09a99800,
    0xaba98000,0x2620000a,0x0000001a,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x99800000,0x2aa60019,
    0x65cc000a,0x00aaa61b,0x2600004c,0x266401aa,0x2aaa6000,0x2620009a,
    0x00999999,0x40155540,0x4c400998,0x91000099,0x32201999,0x33330ccc,
    0x01999801,0x800ccc40,0x01999819,0x03fffcc0,0x3fffff66,0x7ec403ff,
    0xfc8dffff,0xffd500ff,0x74c009df,0x02efffff,0x98001ffd,0xfffffffd,
    0xffe800cf,0xefffffff,0x3fffc02e,0xfffffc88,0xfffe80df,0x3fea0002,
    0x5fff904f,0x702fffe4,0xd800dfff,0x32200fff,0x1ffff82f,0x1fffe600,
    0xffffffb8,0x881effff,0xfffffffe,0x440fffde,0xfffffffd,0x7ffcc00e,
    0x83ffffff,0x2e002ffc,0xffffffff,0x7402ffff,0xffffffff,0xf00dffff,
    0xfff30fff,0x7fffffff,0x002fffe8,0x207ffdc0,0x7c43fff8,0xffd01fff,
    0x7fdc007f,0xfff500ff,0x03ffff05,0x83fffcc0,0xfffffffe,0xc87fffff,
    0xfecfffff,0x640fffff,0xffffffff,0xfff300ff,0xfffffdff,0x004ffa83,
    0xfffffffb,0x5fffffff,0x7fffff40,0xffffffff,0x47fff82f,0xeffffff8,
    0x3a3fffff,0x80002fff,0x7fe44ffc,0x0bfffb04,0x400ffff5,0x00fffff8,
    0xff05fffb,0x7cc003ff,0xfffb87ff,0xffc99bef,0x3fe23fff,0x7ff4c3ff,
    0x3ffe60ff,0xffffc9cf,0x1bfff904,0x117fff62,0xff700dff,0x95359fff,
    0x40fffffd,0xaaacfffe,0x6ffffecb,0x7f46eee8,0x3ee22eff,0xfffd0fff,
    0x00133337,0x4ed8bd90,0x03fffe60,0x4007fffd,0x00fffffd,0xff05fffb,
    0x7cc003ff,0x7ffc47ff,0x3fff604f,0x0dfff50f,0xc83fffea,0x7fd43fff,
    0xfffe80ff,0x43fffcc0,0x3e200ffe,0x3601efff,0xfd02ffff,0x7fdc05ff,
    0xff1003ff,0x3ff603ff,0xfffffd2f,0x09ffffff,0x3f600000,0x3ffea4ff,
    0x3ffee007,0x754c0fff,0x3e2acfff,0x26001fff,0x7fe47fff,0x7ffcc06f,
    0x07fff73f,0xfd07fffc,0xffff03ff,0x06fff887,0xff901357,0x7fffe405,
    0x7fffc400,0x05fffd04,0x20ffffc8,0x3fe60ee8,0x3ffea04f,0xffffffd4,
    0x3dffffff,0x50555540,0x3e601555,0xfffd0fff,0x3ffe2007,0x7e40ffff,
    0x0fffffff,0x4003ffff,0x7fc7fff9,0x1ba802ff,0xd017ffe4,0x7ffc1fff,
    0x09fffb07,0x2000dfff,0x3fe04ffa,0x153004ff,0x02fffe80,0x30ffffc4,
    0x802603ff,0xffd3fffc,0xffffffff,0x3a03ffff,0x3ffa0fff,0x3fff600f,
    0x007fff9b,0x3ffbbffa,0x7fffe40f,0xfff0ffff,0x7fcc003f,0x3fffe27f,
    0x3ff60000,0x3fffa02f,0x203fffe0,0xfd85fffc,0xf88000ff,0xffff306f,
    0xfe800001,0xffe802ff,0x00bfea2f,0x43fffe60,0xaaacfffe,0x5ffffeca,
    0x741fffd0,0x3e600fff,0x3fffdeff,0xb1fff700,0xffc81fff,0xf0ffffff,
    0x4c003fff,0x3fe67fff,0x7e40007f,0x3ffe03ff,0x0bfffa0f,0x989bfffa,
    0x999bfffd,0x01ffd001,0x000ffff5,0x05fffd00,0x5c9fffb0,0x7cc003ff,
    0x3ffa5fff,0x3fff602f,0x0fffe80f,0xb003fffa,0x0fffffff,0x6cfffe60,
    0xffb00fff,0x3ffff05f,0x3fffcc00,0x000dfff5,0x305fffb8,0x7e41ffff,
    0x7ffc44ff,0x3ffffa7f,0x007fffff,0xff705ff9,0x555540df,0x3e0aaaaa,
    0xffffffff,0x5fffc87f,0xa8013ff2,0x7f46ffff,0x3fea02ff,0xfffe81ff,
    0x303fffa0,0xffffffff,0x09ffffff,0xffd9bffa,0x5fffb00f,0x003ffff0,
    0xf73fffcc,0x98000dff,0x7442ffff,0x3e20ffff,0xffb9dfff,0x3ffa7fff,
    0x7fffffff,0x709ff500,0x7fc0dfff,0x0fffffff,0x3ffffffe,0xffc87fff,
    0x013ff26f,0x42ffffcc,0x2202fffe,0xfe81ffff,0x3fffa0ff,0x7ffffcc0,
    0xffffffff,0x0fffc84f,0x6c03fff6,0xfff82fff,0x3fe6001f,0x1bffee7f,
    0x3fff6000,0xffffcaef,0x7ffdc0ff,0xffffffff,0x3fffffa7,0x1007ffff,
    0xfff50dff,0x7ffffc0f,0x3ba0ffff,0xeeeeffff,0x25fffc85,0xf8805ffd,
    0xffd05fff,0x7ffd405f,0x0fffe80f,0xf303fffa,0xffffffff,0x989fffff,
    0x7fec3fff,0x5fffb00f,0x003ffff0,0xf53fffcc,0x30000fff,0xffffffff,
    0x701ffffd,0xf7ffffff,0x3ff60dff,0xfff0000f,0x01ffff10,0x3ffffffe,
    0xfffe80ff,0x4fffd802,0x2e01bffa,0x3fa05fff,0xffd102ff,0x3fffa0df,
    0x203fffa0,0xfff99999,0x409999af,0xffd86ffe,0x5fffb00f,0x003ffff0,
    0xf13fffcc,0x75001fff,0x3fffe603,0xfffe8eff,0x19bb7300,0x3e0bfff3,
    0x360007ff,0xfffe81ff,0xf3333301,0xffd01fff,0xfffd005f,0x403fffc5,
    0x3a00fffc,0xccccdfff,0x04fffffd,0x7f41fffd,0x999980ff,0x99affff9,
    0x3ffea099,0xfffeeeee,0x7fec4eef,0x1ffff82f,0xf309dd93,0xffff8dff,
    0x3effd803,0x0bdfdb88,0x8001fffd,0xf984fffb,0x2e0006ff,0xfffc83ff,
    0xffff1005,0x05fffd01,0x21ffff88,0xfe807fff,0x7fff407f,0xffffffff,
    0x3ffa06ff,0x03fffa0f,0xfffffff3,0x9fffffff,0x7fffffdc,0xffffffff,
    0x417ffec5,0xff51ffff,0xbfff50df,0x407fffc8,0x002ffff9,0x3107fff8,
    0x07fffb01,0x0003fff9,0x7dc2ffcc,0xf8801fff,0xffe80fff,0x7ffdc02f,
    0x1ffff10f,0x403ccb80,0xfffffffe,0x00efffff,0xfe83fffa,0x7ffcc0ff,
    0xffffffff,0x3fee4fff,0xffffffff,0x7e45ffff,0xffff82ff,0x83ffff31,
    0x7c44fffc,0xe980dfff,0x3ba67fff,0xfff881cc,0x227ffdc6,0xfb87fff8,
    0xf80004ff,0xffff887f,0x3ffaa02f,0xfffe80ff,0x3ffff202,0x07fffe23,
    0xfffe8000,0xdeffffff,0x0fffe802,0xf303fffa,0xffffffff,0x549fffff,
    0xeeeeeeee,0x44eeffff,0x218cfffc,0x3fe1ffff,0xffebcfff,0xfffb82ff,
    0xffebacff,0x7ffc3fff,0x3ff660ef,0x7fffcc4f,0x3ffffb8a,0x7f7fffdc,
    0x5ecabcef,0x540ffec0,0xacdfffff,0xfffffeca,0xdfffe80f,0xffeecccc,
    0x7ffc46ff,0x7fff401f,0x0bfffa01,0x3fffa000,0x003fffa0,0x0007fff4,
    0x807ffec0,0x1ffffffb,0x7dc3ffff,0xffffffff,0x3fff604f,0xffffffff,
    0xffffd85f,0xffffffff,0xfffffe80,0x5c0fffff,0xffffffff,0x00ffffff,
    0x7dc0ffee,0xffffffff,0x03ffffff,0xfffffffd,0x3fffffff,0x01ffff88,
    0xd00ffff4,0x00005fff,0x7f41fffd,0xffd000ff,0xfb00001f,0x3fe201ff,
    0xfff2ffff,0xffffd83f,0xb806ffff,0xffffffff,0xffd105ff,0xffffffff,
    0x3fffe205,0x880effff,0xffffffff,0x04ffffff,0xf9817fe6,0xffffffff,
    0x3a00cfff,0xffffffff,0x880dffff,0x7401ffff,0x3fa01fff,0xe80002ff,
    0x3ffa0fff,0xfffd000f,0xffb00001,0x7ffd401f,0x3ffff2ff,0xffffff70,
    0x3b620019,0x01dfffff,0xfffffea8,0x7ec400ce,0x6404ffff,0xedba9adf,
    0x403effff,0x754407ff,0xbdefffff,0xffffe801,0x1cdeffff,0x03bbba20,
    0x403fffd0,0x0002fffe,0x3a0fffe8,0xfd000fff,0xb00001ff,0x33001fff,
    0x01ffff81,0x00006a62,0x80003331,0x53100009,0x10022001,0x2aa00133,
    0x04ccc002,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xa88aaaa0,0x774401bc,0xeeeeeeee,
    0x00266623,0x99886666,0x000cccc1,0x9931e654,0x310ccc49,0x33100033,
    0x00133333,0x31066662,0x13333333,0x99880000,0x99999999,0x99999999,
    0x26666620,0x26200099,0x99999999,0x22099999,0x99999999,0x51099999,
    0x2aa60355,0x32bfff1a,0x00dfffff,0xfffffff5,0x7ff49fff,0x7ffcc03f,
    0xf83fffa7,0xfd8007ff,0xe9ffee5f,0xfffd0fff,0xfffe8001,0xefffffff,
    0x8ffff503,0xfffffffe,0x00beffff,0x3ffff200,0xffffffff,0x25ffffff,
    0xfffffffe,0x3a02eeff,0xffffffff,0x26ffffff,0xfffffffe,0x54ffffff,
    0x3f209fff,0xbdfff3ff,0xdfffffff,0xfffff901,0x749fffff,0x7cc03fff,
    0x3fffa7ff,0x001fffe0,0xffb97ff6,0x743fffa7,0x74000fff,0xffffffff,
    0x540effff,0x7ff47fff,0xffffffff,0x8000ffff,0xfffffff8,0xffffffff,
    0x3fa5ffff,0xffffffff,0xfe81efff,0xffffffff,0x3a6fffff,0xffffffff,
    0xf54fffff,0x3ff209ff,0xffffff3f,0xbfffff9f,0xffffffb0,0x7f49ffff,
    0x7fcc03ff,0x83fffa7f,0xd8007fff,0x9ffee5ff,0xffd0fffe,0xffe8001f,
    0xffffffff,0x3ea1ffff,0x7fff47ff,0xffffffff,0x4000efff,0xfffffffc,
    0xffffffff,0x3fa5ffff,0xffffffff,0x741fffff,0xffffffff,0x26ffffff,
    0xfffffffe,0x54ffffff,0x3f209fff,0xfffff3ff,0x7fffe447,0x0037ffc1,
    0x9807fffd,0x3ffa7fff,0x01fffe0f,0x332e0000,0x01fffd0c,0xacfffe80,
    0xffffcbaa,0x1fffea5f,0x5559fffd,0xffffd755,0x7ffc4005,0x57ffff0f,
    0x55555555,0x567fff43,0xffffcbaa,0x67fff46f,0xaaaaaaaa,0x3fffa2aa,
    0xaaaaaaac,0x9fff51aa,0x7cffff20,0xffb04fff,0x27ffc49f,0x07fffd00,
    0x3a7fff98,0x3ffe0fff,0x00000007,0x0003fffa,0x2205fffd,0xf50ffffe,
    0xfffe8fff,0x27ffec03,0x4bfff700,0x8001ffff,0x2e02fffe,0x3fa3ffff,
    0xfd0002ff,0xfa8007ff,0xfff904ff,0x407fffe7,0x3e65fffa,0xfd0023ff,
    0xff9807ff,0x83fffa7f,0xaa887fff,0x555501aa,0x21555501,0x9510fffe,
    0xfffd0157,0x7fffd405,0xe8ffff31,0x7d403fff,0x3fe005ff,0x3fffe1ff,
    0xfffe8001,0x7fffe402,0x005fffd0,0x00ffffa0,0x209fff50,0xfff3fffc,
    0x3ffe601f,0x377ffee6,0xfe80ceff,0x7fcc03ff,0x83fffa7f,0x7f447fff,
    0xffd00eff,0x1fffd01f,0x3ee3fffa,0x741fffff,0x3e202fff,0xfff11fff,
    0x03fffe8d,0x801fffe4,0x7fc6fffb,0xfe8001ff,0x7fc402ff,0x5fffd1ff,
    0x3fffa000,0x7ffd4003,0x27fff904,0x3e607fff,0x3fff26ff,0x1fffffff,
    0x201ffff4,0x3fa7fff9,0x1fffe0ff,0x401ffffb,0xfe80fffe,0xbfffd0ff,
    0xffffffff,0x017fff41,0x221ffff5,0x7ff45fff,0x3ffea03f,0xfffd000f,
    0x01ffff85,0x02fffe80,0xfd2fffe8,0x3a0005ff,0x54003fff,0xff904fff,
    0x03fffe7f,0xfd2fffcc,0xffffffff,0x7fff41ff,0xeeeeeeee,0x3fa7fffe,
    0x9fffe0ff,0x401ffffd,0xfe80fffe,0xffffd0ff,0xffffb7bf,0x817fff49,
    0x7c6fffe9,0x7fff45ff,0xfeeeeeee,0xf5002fff,0xffff0dff,0xdddddddd,
    0x2fffe8bd,0xd4fffd80,0xdddddfff,0xe8dddddd,0xccccdfff,0x3ea0cccc,
    0xfff905ff,0x40bfffe7,0x3fe4fffb,0xffc99cff,0x3fffa5ff,0xffffffff,
    0x3fa7ffff,0x5fffe0ff,0x801ffffc,0xfe80fffe,0xffffd0ff,0x26fffb83,
    0xcccdfffe,0x4fffffdc,0x3fa27ff4,0xffffffff,0x2001ffff,0xff83fffe,
    0xffffffff,0x7ff46fff,0xfffc802f,0xffffffd5,0xffffffff,0xffffffe8,
    0x21ffffff,0xfb06fffa,0x3fffe7ff,0x47fffd06,0xffa81ca9,0xffffd0ff,
    0xffffffff,0x7ff4ffff,0x2ffffe0f,0xd001ffff,0xffd01fff,0x13fffa1f,
    0xfe9fffe2,0xffffffff,0xfd86ffff,0x7ffff43f,0xffffffff,0xff9800ef,
    0xffff80ff,0xffffffff,0x17fff46f,0xeb7ffe40,0xffffffff,0x747fffff,
    0xffffffff,0x3ea1ffff,0x7fcc0fff,0xfffff3ff,0x3fffaa5d,0x3fe2000f,
    0xdfffd1ff,0xdddddddd,0x7ff4ffff,0x3ffffe0f,0x3a005fff,0xffe80fff,
    0x05fffd0f,0xffe9fffe,0xffffffff,0xffd80eff,0x777fff42,0xfffeeeee,
    0x7fec03ff,0xdffff04f,0xdddddddd,0x02fffe8b,0xfd5fffc8,0x99999bff,
    0xfe899999,0xffffffff,0x3fea1fff,0xffd30eff,0x3fffe7ff,0xffffffff,
    0xffd8003f,0x07fffd3f,0x3a7fff98,0x3ffe0fff,0x01ffffff,0xd01fffd0,
    0x3ffa1fff,0x4ffff01f,0xfffffffe,0x3202deff,0x7fff42ff,0x3fff6203,
    0xffff300f,0xff99999b,0xfd0003ff,0xffb005ff,0x0bfffa9f,0x1ffff400,
    0x3fffea00,0xffffffff,0xf7ffff3f,0x09ffffff,0x4ffff600,0x4c03fffe,
    0x3ffa7fff,0x3ffffe0f,0xd006ffff,0xffd01fff,0x03fffa1f,0xffd3fffc,
    0x7dc0005f,0x1ffff41f,0x817fff40,0xfffffffd,0x1fffffff,0x2fffe800,
    0xd3fffe80,0x20005fff,0x4003fffe,0xfffdfffa,0xf3fffdff,0x3ffa6fff,
    0xecc982ff,0x1ffff883,0x9807fffd,0x3ffa7fff,0x3ffffe0f,0x802fffec,
    0xfe80fffe,0x1fffd0ff,0xfe9fffe0,0x2a0002ff,0x7fff40ff,0x5fffc803,
    0xffffff88,0xffffffff,0xffe8001f,0x7ffc402f,0x05fffd1f,0x0ffffa00,
    0x59fff500,0xfff39fff,0x311fffe7,0x3fffd401,0xe87fffd4,0x7cc03fff,
    0x3fffa7ff,0x4d3fffe0,0xfe806fff,0xfffe80ff,0x201fffd0,0x3ffa7fff,
    0x3260002f,0x03fffe84,0xc85fffe8,0xffffffff,0x1fffffff,0x2fffe800,
    0x87fffe40,0x0002fffe,0x8007fffd,0x02a4fffa,0x000ffff0,0x23bffff1,
    0x3a4fffeb,0x7cc03fff,0x3fffa7ff,0xfb1fffe0,0xffe807ff,0x0fffe80f,
    0x3e01fffd,0x3fffa7ff,0xfd000002,0xffa807ff,0x7ffc43ff,0x7fffc03f,
    0xfffe8001,0x3fffee02,0x00bfffa2,0x01ffff40,0x013ffea0,0x000ffff0,
    0x3fffffee,0x3a0effff,0x7cc03fff,0x3fffa7ff,0xf31fffe0,0x7f401fff,
    0xfffe80ff,0x201fffd0,0x3ffa7fff,0xff10002f,0xdfffe8df,0xfecccccc,
    0x7e41ffff,0xfff807ff,0xccccccdf,0x3ffa4ccc,0xedccccdf,0x7f45ffff,
    0xcccccdff,0xd0cccccc,0xa8007fff,0x7c004fff,0x360007ff,0xffffffff,
    0x1ffff40e,0xe9fffe60,0x3ffe0fff,0x05fffc87,0x3a03fffa,0xfffd0fff,
    0xe9fffe01,0x10002fff,0xffe8dfff,0xffffffff,0x443fffff,0xf804ffff,
    0xffffffff,0xd0ffffff,0xffffffff,0x81ffffff,0xfffffffe,0xffffffff,
    0x007fffd1,0x004fffa8,0x0003fffc,0x3bffffaa,0x07fffd04,0x3a7fff98,
    0x3ffe0fff,0x1ffff887,0xd01fffd0,0x3ffa1fff,0x4ffff00f,0x0002fffe,
    0xfe8dfff1,0xffffffff,0xb84fffff,0xf800ffff,0xffffffff,0xd0ffffff,
    0xffffffff,0xd01bffff,0xffffffff,0x3fffffff,0x000ffffa,0x8009fff5,
    0x00006eed,0xfe801531,0x7fcc03ff,0x83fffa7f,0xff707fff,0x3fffa0df,
    0xd0fffe80,0x3fe01fff,0x0bfffa7f,0x37ffc400,0x3ffffffa,0x0bdfffff,
    0x00bfffd0,0x3ffffffe,0xffffffff,0xffffffd0,0x4039bdff,0xfffffffe,
    0xffffffff,0x007fffd1,0x003eeea8,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x1aaa8800,0x80003100,0x20009998,
    0x98009998,0x88009999,0xcccb8099,0x99999880,0x4cccc400,0x01333109,
    0x22033330,0x2aa61bca,0x3100000a,0x4cc40133,0x26620099,0x26666209,
    0x99999999,0x4cccc199,0x26666001,0x007fffb0,0x7ffff440,0xfffb304f,
    0xff0007df,0x7ec00fff,0x7fdc03ff,0x7cc01fff,0x7ffd44ff,0xffffe85f,
    0x7fffc04f,0xbfffd3ff,0x90ffff00,0x91dfffff,0xff701fff,0x361be239,
    0x3f204fff,0x3f205fff,0x3ffea5ff,0xffffffff,0x7fe47fff,0xffc802ff,
    0x7fffb2ff,0x7ffec000,0xffd82fff,0x1effffff,0xfffff500,0x3fff6005,
    0x3fffea03,0x7ff4401f,0x3bffe24f,0x7fff43ff,0x3fea06ff,0xffd3ffff,
    0xfff805ff,0x7ffffec7,0x0fffceff,0x7fffffd4,0xfffb84ff,0x3ffffa06,
    0x8ffffa07,0xfffffffa,0x7fffffff,0x037fffc4,0xd97fffe2,0x10003fff,
    0x3d9dffff,0xffffffb8,0xb006ffff,0x00dfffff,0x540ffff6,0x802fffff,
    0x3a4ffffd,0x0fff9bff,0x3ffffffa,0xfffff900,0x3ffffa7f,0x73fffc06,
    0xfdbfffff,0xd81fffff,0xffffdbcf,0x07fff982,0x3ffffff1,0xa87fffe0,
    0xffffffff,0x87ffffff,0x203ffffa,0x360ffffd,0x30003fff,0x7c40dfff,
    0xfc9adfff,0x7c403fff,0x01ffffff,0x983fffd8,0x402fffff,0x4fffffd8,
    0x77549dd5,0x3fffffa4,0xffffd03f,0x3fffa7ff,0x3ffe04ff,0x1bffff17,
    0x07ffff4c,0x0175112e,0x5c0ffffc,0x83ffffff,0x5447fff9,0xaaaaaaaa,
    0xb05ffffe,0xf301ffff,0xffd87fff,0xff50003f,0x7ffd40bf,0x05fffc86,
    0x7fffffe4,0xfffd804f,0x7ffffcc3,0x7fffdc02,0xd0004fff,0x0bffffff,
    0xfffffff1,0x3fffffa7,0x2ffff01f,0x980ffff9,0x0000ffff,0x20ffffa0,
    0x5ffffffd,0x005fffb8,0x0effffb8,0x0bffff10,0xfb0bfffd,0xa98007ff,
    0x1aadfffc,0x4c27ffe4,0x7fc06fff,0x07fffbff,0x223fffd8,0x402fffff,
    0xfffffffc,0x0aaaa84f,0xffdfffe8,0xfdfffa87,0xffffd3ff,0x3ffe0bff,
    0x409fff77,0x5550ffff,0x055e5445,0xf85fffc8,0x87fffeff,0x4003fffd,
    0x01fffff9,0x70ffffdc,0xfb01ffff,0xfc8007ff,0x4fffffff,0xf980a998,
    0x3fea05ff,0x05fffd6f,0xd13fffd8,0x9007ffff,0xfff55dff,0x01fffd09,
    0xfff7fffd,0xfbfffc83,0xffffd3ff,0xfff05fff,0x813fff2f,0xffd0fffe,
    0x3ffffeed,0x6fffa82f,0x7ee7ffcc,0x7fff41ff,0x3ffe2001,0xffd002ff,
    0x3fffe2df,0x07fffb03,0xfffffc80,0xc8004fff,0x3f604fff,0xdfff73ff,
    0x8bfffd80,0x003ffffe,0x7ffd47f9,0x80fffe84,0xfff9fffe,0x7defff43,
    0xdfffd3ff,0xff81ffff,0x07fff97f,0xfe87ffec,0xfffffcef,0x7fc41fff,
    0x3ffee0ff,0x223fffaa,0x74007fff,0x2003ffff,0xfcbffff9,0x3ff606ff,
    0x775c003f,0x03eeffff,0x17fffc40,0x10ffff88,0x6c03ffff,0xfffdbfff,
    0x815000ff,0xfe84fffa,0x7ffe80ff,0x7fc4bffd,0xd3fffbbf,0xffff3fff,
    0xf77fff89,0x7ff409ff,0xfffffd0f,0xbffffb7b,0x6c5fffd0,0xfff88fff,
    0x017ffea5,0x05ffffc8,0xfffffc80,0x3f601fff,0xf50003ff,0x220009ff,
    0x2e05fffe,0x7ff45fff,0x3fff604f,0x5fffffff,0x3ffea000,0x80fffe84,
    0xfff97ffe,0x7dcfffd4,0x1fffd3ff,0x7c3ffff5,0xbfff57ff,0x43fffe20,
    0x641ffffe,0xffc86fff,0xe9bffe3f,0x3fff27ff,0xffff7003,0x3fa0001d,
    0x404fffff,0x0003fffd,0x0009fff5,0x01ffffd1,0x2e17fff4,0x3f607fff,
    0xffffffff,0xf50003ff,0xfffd09ff,0x2afffd01,0xfff91fff,0x7f4fffee,
    0xdfffd0ff,0xff9bfffc,0xfffc80ff,0x07fffd0f,0xf50ffff1,0x3ffe6bff,
    0x6c7fff24,0xf9801fff,0x0000ffff,0x3fffffea,0x1fffec00,0x4fffa800,
    0x7fff4400,0x3ffe602f,0x2ffff887,0xffffffb0,0x01ffffd7,0x09fff500,
    0xfd01fffd,0x4fffe2ff,0xfff75ffe,0x4c3fffa7,0xfff3ffff,0x9f7ffecf,
    0x0fffffd9,0x3e03fffd,0xfff887ff,0x543fff77,0xffff3fff,0xffff8801,
    0xfd80001f,0xfd802fff,0xf50003ff,0x744009ff,0x6403ffff,0xaaaaefff,
    0xb06fffea,0x267fffff,0x8005ffff,0xfe84fffa,0x7ffe80ff,0x3fe3bffa,
    0x27fff73f,0x3f20fffe,0x7fff8fff,0x3fffffe6,0x0fffffff,0x3e03fffd,
    0xffff07ff,0xf88fffd1,0x6fff9dff,0x3ffffe80,0xfff30000,0x3fff600f,
    0xfff50003,0x3ffa2009,0xfff803ff,0xffffffff,0xfd81ffff,0x7fe44fff,
    0x7d4002ff,0xfffe84ff,0x327ffe80,0x1fffbfff,0x3fa7fff7,0x7fff40ff,
    0x7dc7fffc,0xecffffff,0xfffd0fff,0x41fffe01,0xfffbfffd,0xfbfffe85,
    0x7fec04ff,0x200004ff,0xb007fff9,0x20007fff,0x8804fffa,0x802ffffe,
    0xfffffffa,0xffffffff,0x84fffd84,0x00fffff8,0x213ffea0,0xfe80fffe,
    0x3fffea7f,0x3ffee7ff,0xa81fffd3,0x7fffffff,0x3efffe98,0x3fa1fffd,
    0xffff00ff,0x3ffffee0,0xfffc83ff,0x2e02fffe,0x0006ffff,0x03fffcc0,
    0x003fffd8,0x009fff50,0x005ffffb,0x3ffffff6,0xffffffff,0x3fffd87f,
    0x0bffff70,0x427ffd40,0xfe80fffe,0x3fffe27f,0x3ffee5ff,0xb01fffd3,
    0x0fffffff,0x3ffa04c4,0x01fffd0f,0x7cc1fffe,0x81ffffff,0xfffffff9,
    0xfffff300,0xf9800001,0xffb007ff,0x3ea0007f,0x7fdc04ff,0xff1003ff,
    0x333333ff,0x5ffff333,0x203fffd8,0x002ffffe,0xfd09fff5,0xfffd01ff,
    0x3fffffe8,0x7f4fffee,0xfff880ff,0xe8007fff,0xfffd0fff,0x81fffe01,
    0x07ffffff,0x1bfffffe,0x0fffffc4,0x7fcc0000,0xfffb007f,0x9999999d,
    0x7fd41999,0x3ffe204f,0xeeeeeeff,0x1bfff25e,0x237ffec0,0x2a03fffd,
    0x800effff,0xfe84fffa,0x7ffe80ff,0x0fffffe4,0x3fa7fff7,0xfff700ff,
    0xfd000fff,0x3fffa1ff,0x40ffff00,0x05fffffd,0x13fffff6,0x677fffe4,
    0xcccccccc,0xff3001cc,0x3ff600ff,0xffffffff,0x3ea0ffff,0x3fea04ff,
    0xffffffff,0x3fffe7ff,0xffff5003,0x01fffec3,0x013ffff6,0x3a13ffea,
    0xffe80fff,0x3ffffd47,0x7f4fffee,0x3ffa00ff,0xfe8007ff,0x1fffd0ff,
    0xb81fffe0,0x203fffff,0x02fffffb,0xfffffff9,0xffffffff,0x3fe6007f,
    0xfffb007f,0xffffffff,0x7fd41fff,0x3fff604f,0xffffffff,0x1ffff57f,
    0x27fffc00,0x8807fffb,0x401fffff,0xfe84fffa,0x7ffe80ff,0x22ffffc4,
    0xffd3fffb,0x7ffcc01f,0xffe8007f,0x01fffd0f,0xf981fffe,0x2601ffff,
    0x900fffff,0xffffffff,0xffffffff,0x3ffe6007,0xffffb007,0xffffffff,
    0x7ffd41ff,0xfffff104,0xffffffff,0x017fff6f,0x6cffff90,0xfc803fff,
    0x7d406fff,0xfffe84ff,0xe87ffe80,0x7fdc3fff,0x01fffd3f,0x007fffc8,
    0xfd0eeed8,0x3ffe01ff,0x3ffffc07,0x037fffc0,0xfffffff9,0xffffffff,
    0x3fe6007f,0x0000007f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80000000,0x98009999,0x4ccc1999,
    0x26620009,0x33333109,0x88003333,0x99999999,0x99999999,0xdddddd90,
    0x1ddddddd,0xb00aaaa2,0x00000fff,0x2aaaaa20,0xaaaaaaaa,0x0cccc00a,
    0x3332a600,0x05e5d41a,0x79997500,0x32e62003,0x2a2001ac,0x55401acc,
    0x3ffffa2a,0x3fffea00,0x037ffec4,0xd3ffff88,0xffffffff,0x403bdfff,
    0xfffffffa,0xffffffff,0xfffffb3f,0xffffffff,0x01bffe61,0x3000fffb,
    0x75457995,0x1c000260,0x003fffe0,0x3fffffa6,0xfffeadff,0x3ee03fff,
    0x5fffffff,0x7ffffd40,0x7e400dff,0x80dfffff,0x3e67fff8,0x3fa05fff,
    0xfffa86ff,0xfffa800f,0xfffffd0f,0xffffffff,0x3ffea05f,0xffffffff,
    0xfb3fffff,0xffffffff,0x3e61ffff,0x7fec06ff,0x3ff62007,0xffceffff,
    0x1c000263,0x003fffe0,0xfffffff3,0xffffffff,0xf507ffff,0xffffffff,
    0x3fff60bf,0x0effffff,0xfffffe88,0x7c41ffff,0x7ffe47ff,0xffffb81f,
    0x3ffff882,0x25fffd80,0xfffffffe,0xffffffff,0xfffffa83,0xffffffff,
    0xfffb3fff,0xffffffff,0x37ffccbf,0x401fff60,0xfffffffa,0x04c4ffff,
    0x7fc03800,0x7fec00ff,0xfffebcef,0xffcbdfff,0x7fffc2ff,0xffffecbd,
    0x7ffffd41,0x85ffffdc,0xfcdffffc,0x7fc46fff,0x7fff447f,0x2ffffc46,
    0x80dfffb0,0x3a2ffff8,0xaaaacfff,0x6ffffeba,0xbaaaaa88,0xaaabffff,
    0x3fa000aa,0x3bba20ef,0x03ffec04,0x6fffffc4,0x43ffffec,0x80700009,
    0x2200eeed,0xffd86ffe,0x7ffc44ff,0x217ffa67,0x7f43fffe,0x3fe60bff,
    0x3ffe60ff,0x17ffec1f,0xf50bddd1,0x7fec7fff,0x3fea00ff,0x3fea01ff,
    0x1ffff47f,0x03ffff20,0x07fffc40,0x3fff2000,0x55551000,0x555fffd5,
    0x7ffec355,0x7ffff41d,0x1c000260,0x80980000,0xa80ffffa,0x80982fff,
    0x3ea3fffb,0x59bb06ff,0x427ffe41,0x8005fff9,0xfa8ffffd,0xff802fff,
    0x3ff603ff,0x1ffff44f,0x0bfffe20,0x07fffc40,0x7fff3000,0x7fffcc00,
    0xffffffff,0xdfff33ff,0x7fffffb0,0x1380004c,0x55555555,0x03555555,
    0xfffeca88,0x09fff306,0xffffda88,0x013ffee3,0x40bfff60,0x88007fff,
    0xfffeffff,0xfff9005f,0x0ffffc0d,0x100ffffa,0x2005ffff,0x000ffff8,
    0x001bffa0,0xfffffff3,0x7fffffff,0xf90fffea,0x4cbfff7f,0x3e670000,
    0xffffffff,0xa83fffff,0xfffffffd,0xffffffff,0x6d445fff,0xffffffff,
    0x00ffff23,0x3fffffe0,0x7fffffff,0xffff5000,0x2001ffff,0xa81ffff9,
    0xffe87fff,0x7ffd403f,0xfff1000f,0x3ee0001f,0x7cc002ff,0xffffffff,
    0xf93fffff,0x4ffdc5ff,0x0266fff8,0xfff99c00,0xffffffff,0x3fa63fff,
    0xffefffff,0xffffffff,0x3fe65fff,0xffeeffff,0x0ffff63f,0x3ffffe00,
    0xffffffff,0xffb0000f,0x8007ffff,0xfd84fffe,0xfffe84ff,0xca99999b,
    0x2005ffff,0x000ffff8,0x000fffd0,0xfd555551,0x355555ff,0x7d4bfff6,
    0x99fffe2f,0x3e670000,0xffffffff,0xd13fffff,0x2a37ffff,0xccccefff,
    0xf33ccccc,0x2e17bfff,0x3ff23fff,0xfff8003f,0xccccccdf,0x10000ccc,
    0x00dfffff,0xf0dfff90,0xffd03fff,0xffffffff,0x003fffff,0x007fffc4,
    0x027ffd40,0x0fffb000,0xf9bfffb8,0x9bffe24f,0x22700009,0xaaaaaaaa,
    0x51aaaaaa,0xff70bfff,0x7e4001ff,0xfffb84ff,0x417ffee3,0x3fa0acda,
    0x000003ff,0x2fffffc4,0x7fffcc00,0x41bffea1,0xfffffffe,0x0effffff,
    0x7fffc400,0xfffe8000,0x3f600001,0x7ffd407f,0x7fcc5ffd,0x4000265f,
    0x3f200003,0xfffc82ff,0x0acdb83f,0xfb03fffd,0x7ffcc7ff,0x2fffe80f,
    0x2617fff2,0x20001bce,0x2ffffffd,0x4fffe800,0x740ffff2,0xffffffff,
    0x0001bfff,0x001ffff1,0x405fff98,0x6c06fff9,0x7fc407ff,0xffe85fff,
    0x4000263f,0x07776c03,0x98bfff90,0x22efffff,0xfd2ffffa,0xfffa89ff,
    0x7ffff44f,0xffffc98b,0x2ffffe20,0x88ffffa0,0x3ea07fff,0x0fffffff,
    0x3fffdc00,0x3a01ffff,0xfba9bfff,0x0000efff,0x001ffff1,0x402fffb8,
    0x6c06fff9,0xffc807ff,0x3ffaa2ff,0x80004c6f,0x07fffc03,0x9dffff50,
    0xfffffffd,0xbfffffdf,0x677fffe4,0x44fffffe,0xfffffff9,0xfc83ffff,
    0xfffdffff,0x3fffc45f,0xffffff88,0x44004fff,0xffa9ffff,0x3fffa06f,
    0x7ffffc43,0xfff88001,0x7ff4000f,0x6fff9807,0x402f7640,0xfffffff8,
    0x4c1fffff,0xf8070000,0x7ec00fff,0xdfffffff,0xffffffea,0x3fa20eff,
    0xfcffffff,0xfffa86ff,0x04ffffff,0x3ffffff2,0x7fc40fff,0xffffb07f,
    0x05ffff93,0xccfffd80,0x3fa03fff,0xfffa83ff,0x7c4000ef,0x22000fff,
    0xf9805fff,0x400005ff,0xfffffffb,0x0981efff,0xff807000,0x7e4400ff,
    0x5c2dffff,0x03ffffff,0x3dffffb1,0x2207fff6,0x2efffffd,0xffffea80,
    0xfff881df,0x4ffffa87,0x01fffff1,0x7ffffdc0,0x3fa00fff,0xfff903ff,
    0xff8800bf,0x3ea000ff,0x3ea004ff,0xdddddd34,0xdddddddd,0x32abfe65,
    0x204efffe,0x80700009,0x4c002aaa,0x1998800a,0x00133100,0x0009a880,
    0x00013530,0x07ffffc4,0x009ffff5,0x7fffffc4,0x7fff405f,0x3ffffa03,
    0x3ffe2002,0x3fee000f,0x4ff2003f,0xfffffff9,0x3fffffff,0x002620f2,
    0x01c00026,0x00000000,0x00000000,0x40000000,0xd82ffffd,0x2002ffff,
    0x2ffffffd,0x01ffff40,0x01dffff3,0x03fffe20,0x02fffc80,0xf30efc88,
    0xffffffff,0x007fffff,0xaaab9800,0xaaaaaaaa,0xdddd33aa,0xdddddddd,
    0x0005dddd,0x00000000,0x00000000,0x0bffff50,0x03bfffe2,0x7ffffd40,
    0x3fffe807,0x27fffe40,0x0ffff880,0x07fff600,0xf987bea0,0xffffffff,
    0x003fffff,0x98000000,0xffffffff,0xffffffff,0x00000003,0x00000000,
    0x7fc40000,0x3ee00fff,0x3e004fff,0xe804ffff,0xfe803fff,0xf8801fff,
    0x3a000fff,0x07000fff,0x00000000,0xdd300000,0xdddddddd,0x07dddddd,
    0x00000000,0x00000000,0xffffc800,0xffffe803,0xffff9002,0x7fffd005,
    0xdffff300,0x1ffff100,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x5cc00000,0x2aaa01ac,0x00aaaa02,
    0x00006300,0x57997510,0xa8800000,0x2b2e61aa,0x80acb980,0x32a22aaa,
    0x2aaa80ab,0x20355510,0x55532aaa,0x2aaaa015,0x55555541,0x41aaaaaa,
    0x39711aaa,0x20055554,0x80302aaa,0x26aa2008,0x3fff6600,0xff81efff,
    0xfff880ff,0x2dd70007,0x20000bfc,0xffffffc8,0x012e02ff,0x9fff1166,
    0x5fffffd1,0x3fffff62,0xfbb7ff44,0x642fffff,0xffc81fff,0x5fff985f,
    0x90dffff1,0xff81ffff,0xffffffff,0x6fffc5ff,0xf75ffff8,0x7fd40bff,
    0x101fd85f,0xfffb01dd,0xfff30dff,0x7fffffff,0x880ffff8,0x22007fff,
    0xff96fffc,0xfb00039f,0xffffffff,0x39ff501f,0xff55bdd9,0x76fffc4b,
    0xbfffffff,0xfffffffe,0x3f3bffa3,0x1fffffff,0x3a13ffe6,0xffc87fff,
    0x3fffe62f,0x0bfffe63,0x3ffffffe,0x7c5fffff,0xffffeeff,0x01ffff12,
    0xfb0bfff6,0xffe883ff,0x3bffee0e,0x3fe23fff,0xfffeefff,0x3fffe2ff,
    0x07fff880,0xfffffd98,0xbfffff96,0x3ffea005,0xfffdbabd,0x7ffffc46,
    0xffffffff,0xfffff12f,0xfffff99d,0xffff99ff,0x7fffff4f,0x5ffffdbd,
    0x3e237ffc,0x7f41ffff,0x7ffe40ff,0x4fffe88f,0xfffffff0,0xf89fffff,
    0x7fffffff,0x441fffec,0x7fc47fff,0xffd11fff,0x536dc3ff,0x7fff49ff,
    0x3fff662e,0x01ffff0f,0x540ffff1,0xfffffffe,0xffffff75,0x7e4017df,
    0xcdfd80ff,0x7ffffd40,0x4fffffff,0x51bfffe2,0x441fffff,0xffd0ffff,
    0xfffc83ff,0x507ffe46,0x447fffff,0xffd05fff,0x1dfff9bf,0xffff9800,
    0xafffff86,0x7ffcc298,0x84fffb86,0xeafffff9,0x2201ffff,0xff15ffca,
    0x3ffa01ff,0x01ffff3f,0xc88ffff1,0xefffffff,0x7ff5c40b,0x81cfffff,
    0x002dfffc,0xdeffffc8,0x7c46ffff,0xfff81fff,0x1fffe83f,0xf107fffd,
    0xfffa8fff,0x3fffff22,0x40bffea5,0xfffffff9,0x7fc4001f,0xfff80eff,
    0xfffe805f,0x807fff40,0xfffffff9,0xffd901ff,0x3feabfff,0x3ffee04f,
    0x101ffff4,0x3f66ffff,0x1dffffff,0xffff9300,0x7d43bfff,0x1bdfffff,
    0x21fffe80,0x221fffe8,0xff80ffff,0xfffd82ff,0x203fffd2,0x7fc47fff,
    0x3fbffe5f,0x03fff67f,0xffffffb8,0x7ff44003,0xffff01ff,0x7fff7003,
    0x202fffcc,0xfffffff9,0x79dffd02,0x3fff2bff,0x5bffe603,0xf880ffff,
    0xffff97ff,0x400017df,0x6fffffda,0x7fffffec,0xff103fff,0x5fff509f,
    0xf83fffc4,0xffd81fff,0x03fffd2f,0x3f61fffe,0xf3fff17f,0x17ffe3ff,
    0x17ffff60,0x3ffffa00,0x03fffe02,0xc9bffe20,0xf9802fff,0xf303ffff,
    0xdaffd4bf,0x3e602fff,0x1ffff7ff,0x32ffff10,0x0002ffff,0x37fff4c0,
    0x3fffff22,0x4c0effff,0xfff02fff,0x837ffc47,0xfd80ffff,0x1fffd2ff,
    0x2a1fffe0,0x6ffb9fff,0xfff37ffd,0xffff9007,0xfffd800d,0x7fffc03f,
    0x3fffb000,0x2201fffe,0x1ffffffe,0xfb15ffa8,0x0fffeebf,0xff5fffa8,
    0xfff101ff,0x3fffff2f,0x64c0002e,0x106fffff,0xffffffb7,0x4fff889f,
    0x222fffa8,0xfff06fff,0x5fffb01f,0x7c03fffa,0xfff887ff,0xff94ffdc,
    0x801fff9b,0x4ffffff9,0x9ffff900,0x00ffff00,0x7d67ffcc,0x7f4404ff,
    0x1fffffff,0xffffffe8,0x0bfff36f,0xffa7ffe4,0xfff980ff,0xfffffb37,
    0x220039ff,0xffffffeb,0xff73002e,0xfffd0dff,0x0fffec43,0x3e0dfff1,
    0xffd80fff,0x01fffd2f,0x7f41fffe,0xf52fffef,0x80dffdff,0xffffffe8,
    0x7ffdc01f,0xffff004f,0xdfffe800,0x3a200fff,0xfffbffff,0x7fed41ff,
    0xff17fdbf,0xfff103ff,0x07fff65f,0x931ffff2,0xdfffffff,0xfffb3015,
    0x885bffff,0xf880eecb,0xfffb87ff,0x6ffffdef,0xf837ffc4,0xffd80fff,
    0x01fffd2f,0x7dc1fffe,0xf10fffff,0x807fffff,0xffdefffc,0xfff500ef,
    0x7ffc00bf,0x7ffdc007,0x3a205fff,0xff31ffff,0x03103fff,0x9cffffd8,
    0x25ffffc8,0x2a0efffc,0x7107ffff,0xffffffff,0x3ffffaa9,0x3a01cfff,
    0xffb84fff,0x7fffcc5f,0xffffffff,0x41bffe24,0xfd80ffff,0x1fffd2ff,
    0x441fffe0,0x746fffff,0x201fffff,0xf89ffffa,0xff984fff,0xccccbfff,
    0x3ffe0ccc,0x7ffc4007,0x7ec02fff,0x7ffcc1ff,0xfd10000e,0xffffffff,
    0x7ffdc1ff,0xfffffeff,0xffea807f,0xfff96fff,0x50017fff,0xfbbfffff,
    0x7c43ffff,0xffffffff,0xf12fffff,0x3ffe0dff,0x2fffd80f,0x3e01fffd,
    0x3ffa07ff,0x7ffdc4ff,0x3ffe206f,0x3fffee4f,0x7ffffdc2,0xffffffff,
    0x001fffe0,0x01fffff6,0xef9817ec,0x7ec40000,0xefffffff,0xfffffd81,
    0x07ffdaff,0x5bfff660,0x002efffc,0xffffffb8,0xfa83ffff,0xadeec9cf,
    0x3fe25ffa,0x1ffff06f,0x3a5fffb0,0xfff00fff,0x7fffdc0f,0x27fffcc2,
    0xd0dfffb0,0x7dc1ffff,0xffffffff,0x3fe0ffff,0xff98007f,0x031004ff,
    0x20000098,0x4effffdb,0x6ffffe40,0x000fffb1,0x37f2df91,0x7ecc0001,
    0x01dfffff,0x1166012a,0x3fe0dfff,0xfffd80ff,0x201fffd2,0x3e607fff,
    0xfff80fff,0xffff701f,0xbffff103,0x7fffffdc,0x0fffffff,0x4001fffe,
    0x0001fffe,0x30000000,0x01980013,0x09940000,0x99980000,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x4c000000,0x4c402eee,0x00266209,0x26621998,0x00e66400,0x55102a88,
    0x00130015,0x1e540066,0xaaaaaaa8,0x2aaaaaaa,0x2aaaaaaa,0x2aaaaaaa,
    0x80015530,0x33109998,0x04ccc433,0x2a000110,0x08882cdc,0x66666664,
    0x01777714,0x000eeee6,0x8807fff3,0xdff51fff,0xe97fee00,0x3fea02ff,
    0x1ffb005f,0x2fffffc8,0x3efffc88,0xcffffc88,0x6c17f200,0xffffffff,
    0x367fffff,0xffffffff,0x447fffff,0xf83ffffd,0x3fff27ff,0x74ffff55,
    0x7f543fff,0xd880beff,0x2fff6f41,0x7fc1fffd,0x2e6fffff,0xffb04fff,
    0xff98005f,0x6ffb803f,0xf300fffa,0x1bff21ff,0x03ffffd0,0x907fff54,
    0x5fffffff,0xffedffc8,0x7f77fe40,0x0bf7043f,0x3ffffff6,0x7fffffff,
    0x3ffffff6,0x7fffffff,0x7ffffff4,0xf93fffc3,0x3ffeabff,0xc8ffffa7,
    0xffffffff,0x01fecaad,0x7ff43ff2,0x3ffffe0f,0x7ffdc6ff,0x017ffcc0,
    0x01fffcc0,0xff33ffe8,0xa7ff403f,0x2a01fff9,0x904fffff,0x221fffff,
    0xffc8afff,0x7c4ffa26,0xd93fe24f,0x7dcefc7f,0xffb1fb8c,0xffffffff,
    0x7fecffff,0xffffffff,0x3fea7fff,0x20ffd88b,0x3ff27fff,0x4ffff55f,
    0x3fe3fffe,0xffffffff,0x201fffff,0xfffd0ffc,0x7fffffc1,0x43ffc86f,
    0x30003ffc,0x2a007fff,0xdffb1fff,0x223fff20,0x7ec05ffe,0xd80fffff,
    0xf50ffdbf,0x07ffc4bf,0x4c2ffca8,0xfa9ffa09,0xfffefeff,0x33333314,
    0xfffb3333,0x4cccccc4,0x19999999,0x5ff31bf2,0xff93fffc,0x9fffeabf,
    0x3fe3fffe,0xfffffcce,0xd50fffff,0x749fffbb,0x2aaa0fff,0xd901aaaa,
    0x801f6c4b,0xffbaaaaa,0x02aaaadf,0x3fe6dffd,0x97ffd44f,0x2600fffc,
    0x4fffcfff,0x643ff218,0x0fff43ff,0x4027ffc4,0x36e23ffc,0x2cefffff,
    0x07ffd800,0x237ec000,0x37c42ff8,0x3e29fff7,0x3fff26ff,0x3ae60be2,
    0x2a0dffff,0x002deffe,0x00000000,0xfffffffb,0x0fffffff,0x7e53ffe6,
    0xdfff11ff,0xb00fffea,0x3fff6fff,0x5c3ff200,0x0fff43ff,0x81fff6cc,
    0x2a05ffd8,0x40003fff,0x26627ffd,0x99999999,0x3fee1999,0xf703ff22,
    0xf17ffccb,0x7ffdcbff,0x2aa60020,0x2aa60000,0x77000002,0x215dd437,
    0xfffffffd,0x07ffffff,0x3e63fffa,0x7fff55ff,0x9807fff6,0xfff54fff,
    0xa87fe407,0x3ffe25ff,0x443fec00,0x3ea04ffe,0x0002ffcf,0xffd9fff6,
    0xffffffff,0x3fa27fff,0x5c4fffef,0x3ffe21ff,0xf98fff61,0x0000007f,
    0x4c3fffa0,0xffffffff,0xffffffff,0x7ec7ffd3,0x7fffec5f,0xffffffff,
    0x9fff307f,0xfd87fff2,0x5fff88ff,0xf87fff20,0x3ff206ff,0xb37fff10,
    0x176c4dff,0x7fc41ffb,0x57fe603f,0xb0001ffd,0x7ffecfff,0xffffffff,
    0x7ff4c7ff,0x3fe20dff,0x54c2aa83,0x00aaa20a,0xfe800000,0xffff30ff,
    0xffffffff,0x3fa7ffff,0x517ff63f,0xfff75555,0x2055555b,0xfff36ffe,
    0x74fff887,0xff103fff,0x2fffc8df,0x7dc1ff90,0x41ffffff,0x4ffcbffe,
    0x7777fff4,0x447f620e,0xfb0000ef,0x7fffecff,0xffffffff,0x2ccb887f,
    0x00000150,0x80000000,0x9910fffe,0x99999999,0x25999999,0x3ff63ffe,
    0x3fff9805,0x21fff700,0xff705ffd,0x21bff61f,0x7c42fffc,0x1ff906ff,
    0x1effffa8,0xefffff98,0x3ffffe60,0x0c180fff,0x9332a000,0xcccccccb,
    0x04cccccc,0x00000000,0x40000000,0x0000dddc,0x26000000,0xf8803fff,
    0x1fff53ff,0xf8affec0,0x3ffe22ff,0x03fffb07,0x26601995,0x80bc9800,
    0xccccccca,0x00000004,0x00000000,0x00000000,0x00000000,0x80000000,
    0xc803fff9,0x0bffa5ff,0x2a3fff10,0x000006ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x100fffe6,0x3fee1fff,
    0x4dff5005,0x00003ffd,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x007fff30,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_bold_33_latin1_x[224]={ 0,2,1,0,1,1,1,1,1,0,0,1,1,0,
2,-1,1,2,0,1,0,1,1,1,1,0,2,2,1,1,1,1,0,0,2,1,2,2,2,1,2,2,0,2,
2,2,2,1,2,1,2,1,0,2,-1,0,0,-1,0,2,-1,0,1,-1,0,1,1,1,1,0,0,1,2,2,
-2,1,2,1,2,1,2,1,1,0,0,2,0,0,0,0,0,0,2,0,0,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,2,1,0,0,0,
2,0,0,-1,0,1,1,0,-1,-1,1,0,0,0,2,1,-1,2,0,1,0,1,1,1,0,1,0,0,0,0,
0,0,-2,1,2,2,2,2,-1,1,-1,-1,-1,2,1,1,1,1,1,1,0,2,2,2,2,-1,2,2,1,1,
1,1,1,1,1,1,0,0,0,0,-1,1,-1,-1,1,2,1,1,1,1,1,0,1,2,2,2,2,0,2,0,
 };
static signed short stb__arial_bold_33_latin1_y[224]={ 26,4,4,4,3,4,4,4,4,4,4,8,21,16,
21,4,4,4,4,4,4,5,4,5,4,4,10,10,7,10,7,4,4,4,4,4,4,4,4,4,4,4,4,4,
5,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,29,4,10,4,10,4,10,4,10,4,4,
4,4,4,10,10,10,10,10,10,10,5,10,10,10,10,10,10,4,4,4,12,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,26,10,4,4,7,4,
4,4,4,4,4,11,10,16,4,0,4,6,4,4,4,10,4,13,26,4,4,11,4,4,4,10,-1,-1,-1,0,
0,0,4,4,-1,-1,-1,0,-1,-1,-1,0,4,0,-1,-1,-1,0,0,8,3,-1,-1,-1,0,-1,4,4,4,4,
4,4,4,3,10,10,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,7,9,4,4,4,4,4,4,4,
 };
static unsigned short stb__arial_bold_33_latin1_w[224]={ 0,6,12,17,15,24,20,5,8,9,11,16,6,9,
5,10,14,10,15,15,16,15,15,15,15,16,5,5,15,16,15,16,29,22,18,19,18,17,15,21,18,5,15,20,
16,21,17,21,17,22,20,18,18,17,21,28,20,21,18,8,10,8,15,18,8,15,16,15,16,16,11,16,15,5,
9,16,5,24,15,16,15,16,11,16,10,14,17,23,17,16,15,11,4,11,17,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,0,6,15,16,16,17,
4,16,10,23,11,14,16,9,23,18,10,16,10,10,8,15,18,5,9,7,11,14,24,23,25,16,22,22,22,22,
22,22,31,19,17,17,17,17,8,8,11,11,21,17,21,21,21,21,21,15,23,17,17,17,17,21,17,16,15,15,
15,15,15,15,24,15,16,16,16,16,8,8,11,11,16,15,16,16,16,16,16,16,17,14,14,14,14,16,15,16,
 };
static unsigned short stb__arial_bold_33_latin1_h[224]={ 0,22,9,23,26,23,23,9,29,29,11,15,10,5,
5,23,23,22,22,23,22,22,23,21,23,23,16,21,17,11,17,22,29,22,22,23,22,22,22,23,22,22,23,22,
21,22,22,23,22,25,22,23,22,23,22,22,22,22,22,28,23,28,13,3,5,17,23,17,23,17,22,23,22,22,
29,22,22,16,16,17,22,22,16,17,22,17,16,16,16,23,16,29,29,29,7,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,0,22,28,23,17,22,
29,29,4,23,12,14,11,5,23,4,10,20,12,12,5,22,28,5,7,12,12,14,23,23,23,23,27,27,27,26,
26,26,22,29,27,27,27,26,27,27,27,26,22,26,28,28,28,27,27,15,25,28,28,28,27,27,22,23,23,23,
23,23,23,24,17,23,23,23,23,23,22,22,22,22,23,22,23,23,23,23,23,17,19,23,23,23,23,29,28,29,
 };
static unsigned short stb__arial_bold_33_latin1_s[224]={ 254,247,176,18,87,178,203,170,18,44,106,
1,163,223,217,243,33,73,13,106,221,137,180,84,238,54,249,100,33,135,49,
150,54,29,1,17,52,71,89,99,153,249,1,52,239,96,118,48,229,220,44,
87,65,196,22,169,1,217,198,165,88,192,48,158,233,200,122,216,163,232,1,
37,213,207,138,178,172,99,124,1,121,136,198,65,238,18,210,140,164,70,182,
153,148,126,189,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,254,143,23,
71,82,203,101,84,242,214,244,33,118,223,139,223,152,106,95,84,242,105,91,
217,207,64,72,18,153,129,103,86,211,64,1,115,138,197,20,106,234,149,110,
179,245,128,137,103,121,161,1,223,201,167,189,228,1,174,73,55,24,42,167,
1,237,58,74,123,90,25,175,70,139,156,173,190,185,194,84,195,239,153,106,
16,41,53,36,158,123,207,222,224,1,27,39,1, };
static unsigned short stb__arial_bold_33_latin1_t[224]={ 1,185,273,114,60,114,114,273,1,1,273,
273,273,273,273,60,138,209,209,138,162,185,138,232,138,162,232,232,255,273,255,
162,1,209,186,162,186,186,186,162,185,162,162,209,209,209,209,138,185,60,232,
138,232,138,232,209,232,209,209,1,162,1,273,250,273,232,138,232,138,232,209,
162,185,185,1,185,185,255,255,255,185,209,255,255,162,255,255,255,255,138,255,
1,1,1,273,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,
232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,1,162,31,
162,255,162,1,1,279,138,255,273,273,273,138,279,273,232,273,273,273,186,31,
279,273,273,273,273,114,114,114,114,31,60,60,60,60,60,186,1,31,31,31,
60,1,31,31,60,162,60,31,1,1,31,31,255,88,1,31,31,60,60,162,
114,88,88,88,88,88,88,232,114,88,88,88,88,162,162,209,185,114,209,88,
138,88,114,114,232,232,88,88,114,138,1,31,1, };
static unsigned short stb__arial_bold_33_latin1_a[224]={ 131,157,224,263,263,420,341,112,
157,157,184,276,131,157,131,131,263,263,263,263,263,263,263,263,
263,263,157,157,276,276,276,289,461,341,341,341,341,315,289,368,
341,131,263,341,289,394,341,368,315,368,341,315,289,341,315,446,
315,315,289,157,131,157,276,263,157,263,289,263,289,263,157,289,
289,131,131,263,131,420,289,289,289,289,184,263,157,289,263,368,
263,263,236,184,132,184,276,354,354,354,354,354,354,354,354,354,
354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,
354,354,354,354,354,354,354,354,131,157,263,263,263,263,132,263,
157,348,175,263,276,157,348,261,189,259,157,157,157,272,263,131,
157,157,173,263,394,394,394,289,341,341,341,341,341,341,473,341,
315,315,315,315,131,131,131,131,341,341,368,368,368,368,368,276,
368,341,341,341,341,315,315,289,263,263,263,263,263,263,420,263,
263,263,263,263,131,131,131,131,289,289,289,289,289,289,289,259,
289,289,289,289,289,263,289,263, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_33_latin1_BITMAP_HEIGHT or STB_FONT_arial_bold_33_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_33_latin1(stb_fontchar font[STB_FONT_arial_bold_33_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_33_latin1_BITMAP_HEIGHT][STB_FONT_arial_bold_33_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_33_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_33_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_33_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_33_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_33_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_33_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_33_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_33_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_33_latin1_s[i] + stb__arial_bold_33_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_33_latin1_t[i] + stb__arial_bold_33_latin1_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_33_latin1_x[i];
            font[i].y0 = stb__arial_bold_33_latin1_y[i];
            font[i].x1 = stb__arial_bold_33_latin1_x[i] + stb__arial_bold_33_latin1_w[i];
            font[i].y1 = stb__arial_bold_33_latin1_y[i] + stb__arial_bold_33_latin1_h[i];
            font[i].advance_int = (stb__arial_bold_33_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_33_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_33_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_33_latin1_s[i] + stb__arial_bold_33_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_33_latin1_t[i] + stb__arial_bold_33_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_33_latin1_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_33_latin1_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_33_latin1_x[i] + stb__arial_bold_33_latin1_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_33_latin1_y[i] + stb__arial_bold_33_latin1_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_33_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_33_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_33_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_33_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_33_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_33_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_33_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_33_latin1_LINE_SPACING
#endif

