// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_32_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_32_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_32_latin1_BITMAP_WIDTH         256
#define STB_FONT_consolas_32_latin1_BITMAP_HEIGHT        284
#define STB_FONT_consolas_32_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_32_latin1_FIRST_CHAR            32
#define STB_FONT_consolas_32_latin1_NUM_CHARS            224

#define STB_FONT_consolas_32_latin1_LINE_SPACING          21

static unsigned int stb__consolas_32_latin1_pixels[]={
    0x0264c993,0x10000100,0xccccc983,0x400000cc,0x4cccccca,0x0132a600,
    0x055e4c00,0x00110000,0xed887d90,0x01550001,0x002f4c00,0x00000004,
    0x000d4c00,0x07fb9fee,0x01744bb0,0x21dff100,0xfffffffb,0x77fe4001,
    0x7ffffe41,0x7f4c00ff,0x07fee7ff,0x9ffff500,0x3b220001,0x9802dfff,
    0x3fee0fff,0x05ff0006,0x0027e400,0x000bffd3,0x4c19ffb5,0x02fe8004,
    0x3fdcbffa,0xff900ff7,0x000bff63,0xc99fffe4,0x01ffdccc,0x2037ff20,
    0x4ccccffc,0x6ffffc40,0x0007fee4,0x09fffd93,0xbbfff500,0xf8805fff,
    0x02ffd47f,0x0001ff80,0x7c400bfe,0x2004fdbf,0xcffffff9,0x7c001ffc,
    0x4bffa01f,0x01fee7fb,0x7f447ff9,0xffb8001f,0x07fea03f,0x901ffe40,
    0xff9000ff,0x03ff7017,0x0fff4c00,0x819ff700,0x5cc02ffb,0x30003a80,
    0x2a6001ff,0x2007fccc,0x801ba3f9,0xfffd32fb,0x7d44005f,0x5ffd00af,
    0x07fb9fee,0x3e213fea,0x6c4000ff,0x0ffd405f,0x200ef540,0xfe8007fc,
    0x007fee07,0x007ff700,0xfc80bfe6,0x00000006,0xfb100ff5,0x03ffffff,
    0x2fc57e60,0x2eea0200,0xfffc8800,0x741fffff,0x5cff72ff,0x0dff107f,
    0x0002ffcc,0x003ff500,0x007fc800,0x3ee04ff8,0x7c40001f,0x09fd004f,
    0x00003fd0,0x80df7000,0xfeeffff9,0xfb001fff,0x00005ffd,0xffffa800,
    0x41ffffff,0x4ff71ffd,0x3ff907fb,0x001ffd80,0x03ff5000,0x07fc8000,
    0x701ffc40,0xd00003ff,0x0df700bf,0x99713f20,0x01995001,0x77fffedc,
    0x5fffc40d,0x0dffff10,0x000e6dc0,0x01599530,0xb9cfff98,0x6c0b98df,
    0x5cff71ff,0x04ff987f,0x6446ff88,0xcccccccc,0x87fea00c,0xca800ccb,
    0x800ff90c,0x3ee03ff8,0x7bfb731f,0x2017fa00,0xff5002fe,0xf804ffb8,
    0xfffd307f,0xc81fffff,0x777dc3ff,0x555003ff,0xffb10005,0x201dffff,
    0x13f22ffd,0x3ee3ffb0,0x3f61fee7,0x5ff7000f,0x7fffffcc,0x2a00ffff,
    0x13fee1ff,0x7fc9ffe0,0x01ffc400,0xfff51ff7,0xfd00bfff,0x887fa80b,
    0x7f8898aa,0x2603ffc4,0xfff984ff,0x0ebcfead,0x3f61bfe2,0xa806ff9b,
    0x2000ffff,0xfeeffff9,0x7ff81eff,0x3f601fec,0x7dcff71f,0x002ffc47,
    0x6644bff1,0xffeccccc,0x887fea00,0x7fcc07ff,0x1001ff24,0x7fdc07ff,
    0xfecbdffc,0x02ff404f,0xffd893f6,0x81ff1fff,0x3f202ffd,0x23ffe81f,
    0x7ff702ff,0x3ff63ff0,0x7fffec00,0x7fff1002,0x43ffec41,0x0bfe0fff,
    0x3ee3ffb0,0xff51fee7,0x0ffe8005,0x401ff900,0x7fec1ffa,0xc87ff202,
    0x7fc4007f,0x3fffee01,0x007ff442,0x1ff80bfb,0x3fff3ffa,0xff983ff0,
    0x2a1bfe05,0x03fe24ff,0x3ea07fe4,0xf00ffee7,0x200bffbf,0x3f603ffc,
    0xf27fec3f,0x0ffc803f,0x23fdcff7,0xfb8007fd,0x1ff9002f,0x260ffd40,
    0x1bfe05ff,0xfb800ff9,0x0fffdc07,0x2a03ffb8,0x1ff100ff,0x3fdc3fea,
    0x1ffd05fd,0xf907ff50,0xb03fcc1f,0x549f90ff,0x3fea03ff,0xf8807fe9,
    0x37fc406f,0x3efbffe6,0x87fe400f,0xf1fee7fb,0xff3000bf,0x03ff2009,
    0xfe81ffa8,0x43ffa80f,0xb98807fc,0x7fdc04ff,0x813fe202,0x541aeff8,
    0xfc93f66f,0x3ee0bfa6,0x80ffd83f,0x037d47fe,0x45fd0dfd,0x3f604ffa,
    0xb805ff77,0xffe803ff,0x7ffffd41,0x07fe400f,0x7fc4ff70,0x4ff88005,
    0x401ff900,0xffb81ffa,0x640ffd83,0x7ffdc07f,0x1ffb802e,0x2202ffc0,
    0x3ee7fffc,0x7ec5ff15,0x3e207fa5,0x82ffc46f,0x02fdc6ff,0x47f98dff,
    0x3fe04ff9,0xc80bff35,0xffb800ff,0xffffd882,0x1ff900cf,0xff13fdc0,
    0x17fe0009,0x5007fe40,0xdff103ff,0xfc85ff88,0x77ffdc07,0x01ffb802,
    0x7dc037fc,0x553f27ff,0xf8ffa0ff,0x43ffb00f,0xfff02ffa,0x3fe04fc8,
    0x3e62fdc6,0x45ff504f,0x3fec07fe,0x203ffa80,0x3fffffd8,0x2e00ffb8,
    0x00ffe67f,0xc8037fc0,0x3fea00ff,0x543ffb01,0x07fc82ff,0x05ffc988,
    0x3e00ffdc,0x3bfe206f,0x5cff609a,0xff17fc7f,0xd93fea01,0x87ffa07f,
    0x1ffe03fd,0x3ffa87fd,0x7e41ffb0,0x01bfa02f,0x36027fcc,0x43fffedf,
    0x3fdc07fb,0x20009ff3,0xff9006ff,0x80ffd401,0x1ff64ffa,0x2e003fe4,
    0x0ffdc07f,0x5409ff10,0x27fb00ff,0x47fe66fc,0xbff407f8,0x3f204ff8,
    0xe80bfa3f,0x503fe27f,0x17fe05ff,0x7fc09ff3,0x0bff3006,0xfff52fe8,
    0x2e03fdc3,0x013fe27f,0xc802ffc0,0x3fea00ff,0x7c5ffa01,0x00ff904f,
    0x2e01ff98,0x3fe601ff,0xe817f203,0x7d4df92f,0xb80bf50f,0x01ffbaff,
    0x7fcbffe6,0x543ff601,0x81ffc86f,0x7ff82ffa,0x4c01bfe0,0x0ffc04ff,
    0x70007ff7,0x005ff8ff,0x9004ff88,0x7fd401ff,0x2ebfee01,0x0ff901ff,
    0x203ff880,0x3f201ffb,0x817fa01f,0x6cff73fd,0x100bf67f,0x00dfdbff,
    0x1ff9fffb,0x7fdc1931,0xfff09fb4,0x3203ff60,0x0fff02ff,0x880ffe60,
    0x13fea0ff,0x3fdc9930,0x2a001ffa,0xff9002ff,0x00ffd401,0x0dfdbff1,
    0x22003fe4,0x3fee03ff,0x80bff301,0x4ff205fe,0xfffa9ffa,0xd800ffa9,
    0xb003ffff,0xffffffff,0x47ffcc1f,0x1ffdc1ff,0xff506ff8,0x401ffa09,
    0x3e602ffa,0xb517fec7,0xfb9fee19,0x000ffe47,0x64003ff2,0x3fea00ff,
    0x7fffec01,0x001ff203,0x7dc07ff1,0xff7309cf,0x05fe801f,0xffff93f2,
    0x02ffffbd,0x01ffff50,0x7ffff5c0,0x7fec0def,0x37fcc7fe,0x3e03ffa8,
    0x03ffb07f,0x2043ff90,0x3ffea6fa,0x2e9fff10,0xf31fee7f,0x6ff8009f,
    0x803ff200,0x7d401ffa,0x3f200fff,0x1ffc4007,0xffffff70,0xd003dfff,
    0x12fdc0bf,0xbf9119f9,0x4fff8005,0x03df9000,0x9dffff88,0xb02fffca,
    0xffffffff,0xf703ffff,0x4fff007f,0xefdccef9,0x263ffffd,0x4ff75fff,
    0x07fe87fb,0x800ffea0,0x3ea00ffc,0x4fff801f,0x2003fe40,0x3ee03ff8,
    0x3effffff,0xa817fa00,0x4000007f,0xb0000fff,0x3fe6009f,0x2fffffff,
    0x3fffffe0,0x4fffffff,0x5406ff88,0x3ffe63ff,0xffffffff,0xf72ffd82,
    0x7dc3fdcf,0x0ffd003f,0x5407fd80,0xfff801ff,0x003fe400,0xfb80ffe2,
    0x0000989f,0x7fc40bfd,0xf7000001,0x7f40009f,0x3ffea003,0x2a00deff,
    0xcccccdff,0x907ffccc,0x3fe60bff,0x7f765c47,0x4c03ceff,0x7fb9fee0,
    0xb801ffd0,0x7f4002ff,0x00ffd406,0x32013fee,0x5ff8007f,0x0007fee0,
    0xd809ff10,0x9800004f,0x20000fff,0x3ee001ff,0xfb00099d,0x3ffb001f,
    0x37dfff30,0x005fff95,0x5c0005ff,0x4c1fee7f,0x3fe205ff,0x27fcc006,
    0x9807fea0,0xfc800fff,0x0ffe8007,0x0003ff70,0x4c03ffb8,0x200001ff,
    0x0001fffb,0xe8003fe2,0x6ff8003f,0x209ff500,0xffffffe8,0x3ff002ff,
    0x73fdc000,0x1ffe40ff,0x1c81ffd8,0x007ffdc4,0x7dc07fea,0xff9001ff,
    0x5bff7000,0x0003ff70,0x003ffae2,0x0a807ffa,0x3fffffe0,0x3fcc0003,
    0x001ff100,0x1003ffa8,0x76440fff,0x000defff,0x40001ff3,0x81fee7fb,
    0x7e42ffe8,0xddfff02f,0xea87ffff,0x21ffeeee,0x03ffffff,0x3bbbff20,
    0x7ff400ee,0x07fee6ff,0xffffd500,0x77fec009,0x01ffdcbc,0x007bfffe,
    0x801bea00,0xfc8002a8,0x3ff6001f,0x00013001,0xb8000993,0x101fee7f,
    0x3fee3ffd,0x3ffffa03,0xffb81eff,0x3e1fffff,0x4001efff,0xfffffffc,
    0x7ffe4400,0x0007fee7,0x005ffff5,0xffffff90,0x5554019d,0x00000000,
    0x00000000,0x00000000,0x5cff7000,0x0ef8807f,0x753009f5,0x554c0357,
    0x2a0aaaaa,0x530000aa,0x00555555,0x553154c4,0x09a88001,0xaaa88000,
    0x00000001,0x00000000,0x00000000,0x2e000000,0x401fee7f,0x00000c09,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3ee00000,0x0001fee7,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2a62a980,0x00000002,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xc8000000,0x001ed82e,0x00000262,0x00000000,0x3ffa2000,
    0xffd1000d,0x32a60009,0x000000ac,0xed82ec80,0x27ffcc01,0x4fff9800,
    0x3fa20000,0xfe8800df,0x2000004f,0x7fd47ff9,0x7fff5c06,0x7ed405ff,
    0x4c1260cf,0x440002ff,0xfffffedb,0xffd1004f,0x7ff44007,0x362004ff,
    0x0effffff,0x19ffb500,0xfff3024c,0x8806ffa8,0x10003ffd,0x00007ffb,
    0x2007ffd1,0x04ffffe8,0x0039dff3,0x7fc45ff8,0x3ffffa04,0x3e605fff,
    0xfccfffff,0x00bfd01f,0x7ffffe40,0x804fffff,0x2001efe8,0xffa8dff9,
    0xffff9805,0x01effffe,0x7fffffcc,0x3e01ffcc,0x027fc45f,0x0007ff70,
    0x0001ffdc,0x2003dfd1,0xffa8dff9,0xfffff985,0x2051001e,0x33ff2028,
    0x5f700cc1,0x0bffffa6,0x8000ffa8,0xaffffffd,0x9804ffa9,0x554000aa,
    0x100d5442,0x6cc17fff,0x97dc07ff,0x02ffffe9,0x00288144,0x0000aa98,
    0x40002aa6,0x2a000aa9,0x20d5442a,0xffffcba8,0x7c000002,0x2020005f,
    0xff800bba,0x7ffdc004,0xff11ffff,0x00000009,0x03ffc800,0x0100fff6,
    0x00001775,0x00000000,0x00000000,0xffc88000,0x01aa881f,0x3fe22aa8,
    0x00000005,0x3a003fe4,0x1fffffff,0xa9809ff1,0x98000acc,0x4400acca,
    0x7fc406ff,0x20000006,0x000acca9,0x00acca98,0x5400d544,0x006aa22a,
    0x1aa88aaa,0x5c02aa80,0x3ff985ff,0x7fc6fe80,0xaa80001f,0x3fe2002a,
    0xffff1002,0x3e23ffff,0xfffb104f,0x1001dfff,0xdffffffb,0x00ffee01,
    0x2aa07ffa,0x80d5401a,0xffffffd8,0xffd8800e,0x300effff,0xdfd007ff,
    0x7401ffcc,0x00ffe66f,0x3fe01bfa,0x01ffcc0f,0x3fee37f4,0x3ea0003f,
    0x36000fff,0xfff3006f,0x223fffff,0xfff984ff,0x1efffeef,0x3bfffe60,
    0xc81efffe,0xffb800ff,0x037ffc42,0x3fe617fa,0xefffeeff,0x3fffe601,
    0x81efffee,0xfe803ff9,0x200ffe66,0x0ffe66fe,0x3601bfa0,0x1ffcc2ff,
    0x3f237f40,0x8001efff,0x002ffffd,0x22007fea,0xffffffff,0xf889ff11,
    0x3f620bff,0x7fff107f,0x43ffec41,0xff5007fd,0x2ffff887,0xff117fa0,
    0x7fec417f,0x17fff107,0x4c3ffec4,0x6fe803ff,0x3a00ffe6,0x00ffe66f,
    0x3f201bfa,0x01ffcc1f,0x9ffb37f4,0x0019fffd,0x02ffeffc,0x7c017fa0,
    0x1fffffff,0xffc89ff1,0x20fff603,0x3f603ffc,0x8037f43f,0x7fc44ff9,
    0x17fa06ff,0x7ec07ff9,0x03ffc83f,0xff30fff6,0x4cdfd007,0x6fe803ff,
    0x3a00ffe6,0x0ffe806f,0x7401ffcc,0x5c7ff36f,0xa800efff,0x007fe9ff,
    0x64007fdc,0x1fffffff,0x7fc49ff1,0x237fc406,0x7c406ff8,0x8037fc6f,
    0x7fc45ff9,0xbfd01ffe,0x22037fc4,0x37fc46ff,0xf31bfe20,0x4dfd007f,
    0xfe803ff9,0x200ffe66,0x3f2606fe,0x03ff985f,0x0ff96fe8,0x801fffb1,
    0x05ff77fd,0x801ffc40,0x1ffffffe,0x7fdc9ff1,0x21ffe803,0xfe803ffb,
    0x401bfe1f,0x7fc44ff9,0xbfd05ffb,0x7401ffdc,0x0ffee1ff,0xf987ffa0,
    0x26fe803f,0xfe803ff9,0x200ffe66,0x7ffec6fe,0xff980fff,0xfb6fe803,
    0x02ffe40f,0x2ffcd7fe,0x401ff200,0x1fffffc8,0x7fe49ff1,0x22ffb800,
    0xfb800ffc,0x401ffe2f,0x7fc43ff9,0xfe81ffcb,0x2003ff25,0x3ff22ffb,
    0x22ffb800,0xfe803ff9,0x200ffe66,0x0ffe66fe,0xffb1bfa0,0x3e6019df,
    0x96fe803f,0x7fec03ff,0x745ff501,0x7fcc007f,0x3b726002,0x6c9ff11f,
    0x7ff5007f,0xfa803fec,0x401ffa3f,0x7fc42ffa,0xfe85ff8b,0x5401ff65,
    0x01ff63ff,0xff31ffd4,0x4cdfd007,0x6fe803ff,0x3a00ffe6,0x803fe46f,
    0xfe803ff9,0x201dff36,0xffb02ffa,0x0017fe41,0x400017fa,0x1bfa4ff8,
    0xfd27fcc0,0x93fe600d,0xfc801ffd,0xd9ffc41f,0xd2ff40ff,0x3fe600df,
    0x4c01bfa4,0x0ffe64ff,0xff99bfa0,0x266fe803,0x6fe803ff,0xf98037e4,
    0x26fe803f,0xf981effc,0x98bff02f,0x7d4004ff,0xf880001f,0x401bfe4f,
    0x1bfe5ff9,0xf72ffcc0,0x0fff009f,0x3fe67ff1,0xdff2ff44,0xf97fe600,
    0xbff3006f,0x7401ffcc,0x00ffe66f,0x3ff99bfa,0x7e46fe80,0x07ff3006,
    0xffc8dfd0,0x407fec4f,0x7ff82ffa,0x004ff800,0x3e4ff880,0x9ff3006f,
    0xf98037fc,0x01bfe24f,0xff107ff7,0xfd07fec7,0x98037fcb,0x01bfe4ff,
    0xff327fcc,0x4cdfd007,0x6fe803ff,0x3a00ffe6,0x8037e46f,0xfe803ff9,
    0xaefffa86,0xffb04ffc,0x005ff901,0x0000ffb8,0xfff27fc4,0xf8ffe600,
    0x7ff3007f,0xf305ffd8,0x7ff101ff,0xbfd1ffd4,0xf9803ffc,0x401ffe3f,
    0x3fe63ff9,0x266fe803,0x6fe803ff,0x3a00ffe6,0x7cc0006f,0x06fe803f,
    0xbfffffb1,0xfa837fc0,0x7fc4004f,0x7fc40003,0x5401ffa4,0x01ffa2ff,
    0x3e217fd4,0xfca9beff,0x7ff102ff,0xbfd0ffe8,0xfa803ff4,0x401ffa2f,
    0x3fe62ffa,0x266fe803,0x6fe803ff,0x3a00ffe6,0x7cc0006f,0x06ff803f,
    0x503fff4c,0x3ffc07ff,0x0037ec00,0xfd93fe20,0x1ffc801f,0x32007ff6,
    0xfff981ff,0x02ffffff,0xff50ffe2,0xffd97fa7,0x21ffc801,0xfc801ffd,
    0x00ffe61f,0x3ff99bfe,0x3e66ff80,0x46ff803f,0xff1004eb,0x009ff009,
    0x7ec13ff6,0xffffffff,0x4c001fff,0x260002ff,0x0ffee3ff,0xff71ffe0,
    0x40fff007,0xcffffeb8,0x41ffc401,0x5cbfd6fe,0x7ff803ff,0x7c01ffdc,
    0x027fc47f,0x9ff127fc,0x7c49ff00,0x24ff804f,0xf003fff9,0x3ffa80df,
    0x7c1bfe00,0xffffffff,0x8004ffff,0x2a0005fe,0x1bfe21ff,0xf887ff50,
    0x1ffd406f,0x000ffc80,0xff707ff1,0x7fc4bfd5,0x21ffd406,0x7d406ff8,
    0x406ff83f,0x37fc3ffa,0xff0ffea0,0x23ffa80d,0xb004fffa,0x7ff405ff,
    0x0bff1000,0x9999bff5,0x0fff9999,0x001ff700,0xf903ff60,0x1ffe60bf,
    0xf982ffe4,0x3fea007f,0x07ff1003,0x917fb7fe,0x3fe60bff,0x20bff907,
    0xffb07ff9,0x207ff405,0x3fa02ffd,0x017fec0f,0x7f441ffd,0xfff3001f,
    0xffd51139,0xfd880447,0x00ffd83f,0x8001ffd8,0x85d904ff,0xf984ffd9,
    0xfca9beff,0xfff302ff,0xfff9537d,0x7ffc4005,0xff10ea0a,0x3fffee07,
    0x5f7ffcc5,0x02fffca9,0x537dfff3,0x2605fff9,0xa889cfff,0xff983ffe,
    0xfea889cf,0xcfff983f,0x3ffea889,0xfb800130,0xffffffff,0x6e6ffcc4,
    0xff05ffff,0x13fea00d,0x261ff200,0xffeeffff,0xffd100ff,0x05ffffff,
    0xfffffe88,0xb8002fff,0xfffeffff,0x440ffe21,0xe885ffff,0xffffffff,
    0x7fff4402,0x402fffff,0xfffffffb,0x3fee04ff,0x4fffffff,0x3ffffee0,
    0x0004ffff,0xffffd880,0xfff981df,0x504fffff,0x3e2007ff,0xff88007f,
    0xffffe982,0x64400cff,0x00defffe,0xdfffd910,0x7dc0001b,0x20dfffff,
    0x3f203ff8,0xfd9105ff,0x2001bdff,0xdefffec8,0xfffb1000,0xb1003bff,
    0x03bfffff,0xfffffb10,0x0000003b,0x97300131,0xfc805799,0x3ff6001f,
    0x01aa8001,0x002b32a6,0x400004c0,0x22000009,0xf881acba,0x3ffe203f,
    0x00013005,0x88000130,0x26200009,0x02620000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2f32e620,0xffe88002,0x7ffcc00d,0x82ec8004,0x220001ed,
    0x4400dffe,0xd9004ffe,0x2603db05,0xc8004fff,0x301ed82e,0x00009fff,
    0x0013ffa2,0x06fff440,0xdffe8800,0x27ff4400,0x81bf6000,0xffffffd8,
    0xfd1002ff,0x7ec4007f,0x3fe6003f,0x0037fd47,0x803ffe88,0x04ffffe8,
    0x3ea3ffcc,0x3ff6206f,0x1ffe6003,0x6c40dff5,0x440003ff,0x004ffffe,
    0x01fff440,0x07ffd100,0x9ffffd10,0x0ffe2000,0x77ffff4c,0x8803fffe,
    0x70001efe,0x7fc007ff,0x0027fc45,0x400f7f44,0xffa8dff9,0x222ffc05,
    0xffb804ff,0x117fe003,0xff7009ff,0x3fe60007,0x005ffa8d,0x003dfd10,
    0x00f7f440,0x7d46ffcc,0x7fc8005f,0x03bfff30,0x55300793,0xaa980001,
    0x22051000,0x15530002,0x510aaa00,0x88144035,0x02aa6002,0x02881440,
    0x0002aa60,0x35510aaa,0x01553000,0x00aa9800,0xaa885550,0x827fc001,
    0x00004ffd,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xff501ff5,0x1aaa800b,0x206aa600,0xaaaaaaaa,
    0xaa801aaa,0x5554002a,0xaaaaaaaa,0xaaaaaa81,0xa81aaaaa,0xaaaaaaaa,
    0x555441aa,0xaaaaaaaa,0x55555442,0x02aaaaaa,0x0002aaa8,0x00015554,
    0x8800aaaa,0xaaaaaaaa,0x55442aaa,0xaaaaaaaa,0x0bfd002a,0x70007ffa,
    0x3e200dff,0xfffe80ff,0x5fffffff,0x07fffd40,0xfffffd00,0xd0bfffff,
    0xffffffff,0xfffd0bff,0xbfffffff,0xffffff98,0x4c6fffff,0xffffffff,
    0x7d406fff,0x50000fff,0x0001ffff,0x003fffea,0x7fffffcc,0x4c6fffff,
    0xffffffff,0xf9806fff,0x00dff02f,0x200bffa0,0xffd03ffc,0xffffffff,
    0xffffd80b,0x3fffa002,0x5fffffff,0xffffffe8,0xfe85ffff,0xffffffff,
    0x7fffcc5f,0x6fffffff,0x7fffffcc,0x406fffff,0x002ffffd,0x05ffffb0,
    0x3ffff600,0xffff3002,0xdfffffff,0xffffff98,0x806fffff,0xbff306fc,
    0x1bfea000,0x740dff10,0xff80007f,0x3a005ffd,0xffd0007f,0x01ffa000,
    0x00ffe400,0x000ffe40,0x017ff7fe,0x2ffeffc0,0xffdff800,0x3ff20005,
    0x1ffc8001,0x81ffc400,0x20004ffa,0x3f203ffd,0x01ffa02f,0xfd3ff500,
    0x03ff400f,0x0007fe80,0x20000ffd,0xc8001ffc,0x3ea001ff,0x8007fe9f,
    0x07fe9ffa,0xfe9ffa80,0x3ff20007,0x1ffc8001,0x807fdc00,0x20003ffb,
    0xf980fff9,0x03ff406f,0x7ddff600,0x0ffd002f,0x001ffa00,0x80003ff4,
    0xc8001ffc,0x3f6001ff,0x8005ff77,0x05ff77fd,0xff77fd80,0x3ff20005,
    0x1ffc8001,0x7027f400,0xc80007ff,0x1ffd84ff,0x0003ff40,0x2ffcd7fe,
    0x0007fe80,0x3a000ffd,0xf900007f,0xff90003f,0x9affc003,0x7fc005ff,
    0x800bff35,0x0bff35ff,0x007ff200,0x8007ff20,0x3ea01ffa,0x7c40004f,
    0x17fe60ff,0x8001ffa0,0x1ffa2ffa,0x8003ff40,0xfd0007fe,0x3f20000f,
    0xffc8001f,0x45ff5001,0x3ea007fe,0x801ffa2f,0x1ffa2ffa,0x00ffe400,
    0x000ffe40,0xff980dfb,0xffb80005,0x2003ff64,0x360007fe,0x0bff20ff,
    0x4001ffa0,0xfd0007fe,0x3f20000f,0xffc8001f,0x41ffb001,0xfb002ffc,
    0x017fe41f,0x3f20ffd8,0xffc8002f,0x1ffc8001,0x805ff100,0x00006ff8,
    0x9ff31fff,0x3bbffa00,0x02eeeeee,0x4ff98bff,0xeeeffe80,0xe82eeeee,
    0xeeeeeeff,0xeffe82ee,0x2eeeeeee,0x001ffc80,0xf001ffc8,0x04ff98bf,
    0xff98bff0,0x98bff004,0xfc8004ff,0xffc8001f,0x00ff9001,0x0000bffa,
    0x3ff73fea,0xffffd000,0x05ffffff,0xfff05ff5,0xfffffd00,0xd05fffff,
    0xffffffff,0xfffd05ff,0x5fffffff,0x003ff900,0x5003ff90,0x0fff05ff,
    0xff05ff50,0x05ff500f,0xf9000fff,0xff90003f,0x013fe003,0x00037fdc,
    0x03ffffe8,0x3333ffa0,0xd81ccccc,0x2ffc80ff,0x6667ff40,0xe81ccccc,
    0xccccccff,0xcffe81cc,0x1ccccccc,0x001ffc80,0xd801ffc8,0x2ffc80ff,
    0x6407fec0,0x7fec02ff,0x002ffc80,0x4000ffe4,0xfb801ffc,0x3ffe000f,
    0x2600400e,0x74006fff,0xdff0007f,0xd013fea0,0x3fa000ff,0x0ffd0007,
    0x07ff2000,0x007ff200,0x7fd41bfe,0xa837fc04,0x37fc04ff,0x4004ffa8,
    0xc8001ffc,0x5fe801ff,0x7fffcc00,0x3fcaa9bc,0x002ffd80,0x54003ff4,
    0x1ffe03ff,0x2000ffd0,0xfd0007fe,0x3f20000f,0xffc8001f,0x01ffd401,
    0x7fd40fff,0xa81ffe03,0x1ffe03ff,0x003ff900,0x9803ff90,0xf98001ff,
    0xffffffff,0x1ffc803f,0x003ff400,0x7fffffec,0x01ffffff,0x74001ffa,
    0xffd0007f,0x3ff20000,0x1ffc8001,0x7ffffec0,0x1fffffff,0xffffffb0,
    0x03ffffff,0x3ffffff6,0x01ffffff,0x0007ff20,0xfb007ff2,0xfea8000d,
    0x00bcefff,0x4001ffc8,0xff8007fe,0xffffffff,0x3fa04fff,0x0ffd0007,
    0x001ffa00,0x000ffe40,0x3e00ffe4,0xffffffff,0xff04ffff,0xffffffff,
    0x3fe09fff,0xffffffff,0x32004fff,0xfc8001ff,0x0ffe201f,0x13fe2000,
    0x00ffe400,0x5001ffa0,0x99999bff,0x40fff999,0xfd0007fe,0x1ffa000f,
    0x0ffe4000,0x00ffe400,0x9999bff5,0x0fff9999,0x9999bff5,0x0fff9999,
    0x9999bff5,0x0fff9999,0x000ffe40,0xf700ffe4,0xf500001f,0x3f20001f,
    0x3ff4001f,0x003ff600,0x7f407ff6,0x0ffd0007,0x001ffa00,0x000ffe40,
    0xfb00ffe4,0x3ffb001f,0xd800ffd8,0x07fec1ff,0x800ffec0,0xc8001ffc,
    0x13fe01ff,0x037e4000,0x003ff900,0xaaaaffe8,0x3fe1aaaa,0x09ff5006,
    0x2aaabffa,0xfe81aaaa,0xaaaaaaaf,0xaaffe81a,0x41aaaaaa,0xffdaaaa8,
    0x5442aaab,0xabffdaaa,0x01bfe2aa,0x3fe27fd4,0x89ff5006,0xff5006ff,
    0xb5555109,0x855557ff,0xffdaaaa8,0xff52aaab,0x3fa00003,0x3ff20004,
    0x7fff4001,0x5fffffff,0x22007ff5,0xfffd07ff,0xbfffffff,0xffffffd0,
    0xfd0bffff,0xffffffff,0xffff98bf,0x6fffffff,0x7fffffcc,0xf56fffff,
    0x3fe2007f,0x400ffea7,0x3fea7ff8,0x0fff1003,0xfffffff3,0xf98dffff,
    0xffffffff,0x00bfd6ff,0x000e6400,0x8003ff90,0xfffffffe,0x3ff95fff,
    0x40ffec00,0xfffffffe,0xffe85fff,0xffffffff,0xfffffe85,0x4c5fffff,
    0xffffffff,0x7fcc6fff,0xffffffff,0x003ff96f,0xffc8ffec,0x47ff6001,
    0x36001ffc,0x7ffcc1ff,0xffffffff,0x7ffffcc6,0x56ffffff,0x00000035,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0002a880,0x00198000,0x00000000,
    0x00000000,0x000cc000,0x00000000,0x00000000,0x00000000,0x2e000000,
    0x4001efff,0xb803ffe8,0x3602ffff,0x3ff6a06f,0x4400e60c,0x80003ffe,
    0xf701effc,0xd50003ff,0x805dffff,0x0001fffb,0x00f7fe40,0x4130bff9,
    0x20001ffb,0x0001fffb,0x01effc80,0x007ffd10,0x6fb9ef98,0x3fffa200,
    0x37fee03f,0xffa81fff,0xfffff301,0x803ff79f,0x03ffffe8,0x037ff200,
    0x003fff30,0x7ffffff4,0x7fcc03ff,0xf900001f,0xffd001bf,0x5c3ffd99,
    0x4c0001ff,0x00001fff,0x40037ff2,0x03ffffe8,0x0fd87ee0,0xb8efe880,
    0x2ff883ff,0xfe889fd1,0x2a2fee04,0x403ffffe,0xffb8efe8,0x3ffc8003,
    0x07ff6200,0x4433ff20,0x4400fffa,0x40001ffd,0xca803ffc,0xfffffffe,
    0x0007fee0,0x007ff620,0x00fff200,0xfb8efe88,0x47f5003f,0x8bd9007e,
    0x3fcc2ee9,0x0df91bf2,0x03795030,0xee98bd90,0x077aa002,0x006f5c00,
    0x3f20bff3,0x1bd7002f,0x077aa000,0x3ffffe60,0xffb81bff,0x3ae00001,
    0x3aa0000d,0x2f64001d,0x2200bba6,0x004fedfe,0x51fea000,0x00ffccdf,
    0x00000000,0x00000000,0xfa80ffd4,0x0000003f,0x2f7e6000,0xf705ffc9,
    0x0000003f,0x00000000,0x77ec4000,0x4c000003,0xe97ee0ff,0x0000004f,
    0x00000000,0x1ff90000,0x0007ff20,0x00000000,0x3ee0bffa,0x0000001f,
    0x00000000,0x20000000,0x0bdeecb8,0xf88cff88,0x001ff93f,0x3bbfb72a,
    0xedca800c,0xa800ceef,0x0ceefedc,0xefedca80,0x07fd80ce,0x7100bff9,
    0x0017bdd9,0x2f7bb2e2,0xedba8800,0x7fdc0fff,0x07bfb731,0x37bb6e20,
    0x36e2000b,0x2000bdee,0x0bdeedb8,0xefedca80,0xfe9800ce,0x82ffffff,
    0x36fffffb,0x3f2005ff,0xffffffff,0x3ffff203,0x203fffff,0xfffffffc,
    0x3ff203ff,0x3fffffff,0x3f623fec,0xffe9805f,0x402fffff,0xffffffe9,
    0x3ffa602f,0x5c4fffff,0xffffa8ff,0x7fdc05ff,0x02ffffff,0xffffffb8,
    0xffb802ff,0x02ffffff,0x3ffffff2,0x3e603fff,0xffca9bff,0x4efea81f,
    0xfc8017fa,0xffecabce,0x79df901f,0x03fffd95,0x32af3bf2,0xf901fffe,
    0xffd9579d,0x363fec3f,0xff9803ff,0xfffca9bf,0x37fff301,0x503fff95,
    0xd959bfff,0x67fdc1ff,0xffecbdff,0x59fff904,0x407fffb7,0xdbacfffc,
    0x3f203fff,0xffdbacff,0x79df903f,0x03fffd95,0x3e603bfa,0x3fee006f,
    0xb8026000,0x401305ff,0x01305ffb,0x0982ffdc,0xfd97fee0,0x4017fe27,
    0xff980efe,0x301dfd06,0x3fff0dff,0x7dc9ff70,0x7f442fff,0x077fcc0f,
    0x4c07ffd4,0xffa80eff,0x0eff980f,0x980fffa8,0x217fee00,0x3f202ffa,
    0x2ff9801f,0x7fc40000,0xdff10006,0x1bfe2000,0xb37fc400,0x01ffccff,
    0xf9017fd4,0x02ffa83f,0xffb87ff2,0xfb9ffe01,0x7ff701ff,0x2e00ffd8,
    0x0ffd84ff,0x3613fee0,0x3fee00ff,0x6ff88004,0x7cc07fd8,0x05fe803f,
    0x0ffb0000,0x003fec00,0x4000ffb0,0x89ff67fd,0x7ec00eff,0x21ffcc07,
    0x7fcc07fd,0xf901bfe3,0x80bfee3f,0x3fe24ff8,0x22ffc404,0x7c404ff8,
    0x027fc45f,0x40017fe2,0x05fe87fd,0x2e027fc4,0x300000ff,0x00ffb333,
    0x3feccccc,0xfb333300,0x4cccc00f,0x91ff67fd,0x7f403dff,0x227fc405,
    0x7fc405fe,0xa809ff14,0x03ff73ff,0x3fe65ff8,0x4c7fe802,0x7fe802ff,
    0x74017fcc,0x3333007f,0xffff0ffb,0xffffffff,0x9ffc40bf,0x401effe9,
    0xffffffc8,0x3f2207ff,0x7fffffff,0x3ffff220,0x2207ffff,0xfffffffc,
    0x3a1ff67f,0xfff02fff,0xffffffff,0xffff8bff,0xffffffff,0x807ff35f,
    0x3ff74ff9,0x3ee6ff80,0x47fd801f,0xfd801ffb,0x400ffdc7,0xff9107fd,
    0x8fffffff,0xfffffff8,0x05ffffff,0x7ffd5bf6,0xff700fff,0xffddddff,
    0x3fffee0f,0x07ffeeee,0xdddffff7,0x3ee0fffd,0xfeeeefff,0x641ff67f,
    0x7fc43fff,0xffffffff,0x3fe25fff,0xffffffff,0x5ff55fff,0xf75ff880,
    0x26ff803f,0xfc801ffb,0x007fee0f,0xffb83ff2,0x40ffc801,0xeeeffffb,
    0x5ff87ffe,0x0ffa8000,0x17fa29fd,0x6c0bbfe6,0x2eff987f,0xff30ffb0,
    0x21ff605d,0xfb02eff9,0xf503fecf,0x05ff83ff,0x0017fe00,0xf300ffe6,
    0x807fee9f,0x3fea4ff8,0x547fd802,0x7fd802ff,0x6c017fd4,0x177fcc7f,
    0x6fe87fd8,0x9ffc4000,0x1bee0ff8,0xfd807ff2,0x201ffc87,0x1ffc87fd,
    0x3f21ff60,0xd9ff601f,0x2ffd407f,0xe8001bfa,0xff88006f,0xb9ffd404,
    0x3fe601ff,0x200ffe63,0x1ffcc5ff,0x3e62ffc0,0x45ff803f,0x3f601ffc,
    0x001ffd87,0x7fa9bf60,0x3ff43fd4,0x3fa1ff60,0x743fec07,0x43fec07f,
    0x3fec07fe,0xdff00ffb,0x0001ffd8,0xf0003ffb,0x7fec01ff,0x6403ff71,
    0x1bfe21ff,0xf887ff50,0x1ffd406f,0xf501bfe2,0x407fe87f,0x6ff987fd,
    0x43ff5000,0x1bea0ff9,0x36203ffa,0x0ffe87ff,0xe87ffd88,0xffd880ff,
    0x880ffe87,0x1ff67ffd,0xff31bfe0,0x3fe6000d,0x4ffc8006,0x7dcbff30,
    0x0bff301f,0x3a207ff9,0x3ffc80ff,0x901ffd10,0x3fa207ff,0x407ff40f,
    0xfb07ffd8,0x3a9835ff,0x3e227fc4,0x3213fa4f,0xff731dff,0xbff90fff,
    0x3fffee63,0x31dffc87,0x90fffff7,0x3ee63bff,0x9ff67fff,0xffd98898,
    0x1afffd83,0xffd81d4c,0x21d4c1af,0x731dfff8,0x7fdc3fff,0xfff7309c,
    0x3bfff101,0x07ffd511,0x2277ffe2,0x103ffea8,0x5113bfff,0xff907ffd,
    0x3ffee63b,0xfffb107f,0x8dffffff,0xdff906fc,0xff101fff,0x79ffffff,
    0xffff10ff,0xff79ffff,0xffffff10,0x10ff79ff,0xffffffff,0x3fecff79,
    0xbffffff5,0x3ffff620,0x106fffff,0xfffffffb,0xfff30dff,0x85ffffff,
    0xfffffffb,0x3e601eff,0xffffffff,0x7fffcc03,0x403fffff,0xfffffff9,
    0xfff103ff,0xf79fffff,0xfffea80f,0x3ea4efff,0x3ffee01f,0x3ff6200e,
    0x0ff71dff,0x37ffff62,0x3620ff71,0xf71dffff,0x3fff620f,0x6cff71df,
    0x3fffea7f,0xffea802e,0x404effff,0xffffffea,0xfffb104e,0xb51019ff,
    0x07dfffff,0x3ffff220,0xf91001df,0x003bffff,0x3fffff22,0x7fec401d,
    0x0ff71dff,0x000ccc40,0x4c000980,0x00cc0001,0x00006600,0x98800033,
    0x26620000,0x33310001,0x00098800,0x44000088,0x4c400009,0x04c40000,
    0x00019800,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x5d440000,0x000000ac,0x00004c40,0x3b200000,0x260f6c43,
    0x0f2e00cc,0x20000330,0x3aa00019,0x7ec0000d,0x33ff6a07,0xd8000e60,
    0x7ffdc03f,0x7f440001,0xfc80003f,0x3fea01ef,0x0003ffff,0xb807ffd1,
    0x6c02efff,0xffc8006f,0x1fff301e,0x3ee37fdc,0x41bfa01f,0x6c01ffea,
    0x1ffea86f,0xff137ec0,0xfd8000bf,0xfffff307,0x003ff79f,0x3001ff10,
    0x20003fff,0x03ffffe8,0x037ff200,0xfedfffa8,0x744003ff,0x2a03ffff,
    0x2a06ffcc,0x7e4001ff,0x3fe200df,0x2e2ffd47,0x1bfa01ff,0x03ffffd3,
    0xfd30ffd4,0x7d403fff,0x1bffe21f,0x20ffb000,0xffea8bfb,0xf50003ff,
    0x7fec400d,0x77f44001,0x8003ffb8,0xfe803ffc,0x01ffe61f,0xfb8efe88,
    0x07fc803f,0xc8009fd1,0x173003ff,0x3ff70750,0x3e637f40,0xd101ffbe,
    0xfbef989f,0x09fd101f,0x80003ff9,0x2a0607fd,0xb73001bc,0x0009fffd,
    0x64001bd7,0x01774c5e,0x1003bd50,0x1ffb09ff,0xd317b200,0x3ff7205d,
    0x800df903,0x00001dea,0xd00ffdc0,0x3fe250df,0x4a0df901,0xdf901ff8,
    0xd8000040,0x4000007f,0xfffffffb,0x0000001f,0x00000000,0xff907ff3,
    0xf0000001,0xf981bfff,0x0000001f,0x07fee000,0x3e206fe8,0x01ff981f,
    0x7cc0ffc4,0x8000001f,0x000007fd,0x36b3bff6,0x0001ffff,0x00000000,
    0x85ff8800,0x000006fe,0x87ff7330,0x000004fe,0x2a00cc98,0x807fee4c,
    0x3fe206fe,0x8804fe81,0x04fe81ff,0xba801baa,0x07feceed,0x5ef76dc4,
    0xb17fe600,0x301fffbf,0x26540199,0x9500664c,0x40199309,0x1fff04ca,
    0xb801ffe4,0x02cccccc,0xfc8ffea0,0xcccb800f,0xfb802ccc,0x43ff201f,
    0x3fa01ffb,0x907fe206,0xff1001ff,0x200ffc83,0xfe8807fa,0x7fffffff,
    0x3ffffee0,0xffd02fff,0xffb8ff88,0x201ffb82,0x7fdc0ffc,0x703ff201,
    0x7fe403ff,0xd8dffb80,0x3f6005ff,0x404fffff,0x30ffffec,0x3f6005ff,
    0x804fffff,0x3f201ffb,0x403ff70f,0x3fe206fe,0x400bfe61,0x3fe61ff8,
    0x007fdc02,0x757bfff3,0x3f20fffb,0xffdbacff,0x227fc43f,0x213fe6fb,
    0x3f201ffb,0x00ffdc0f,0xffb81ff9,0x403ff201,0x03fffffe,0x7e6665c0,
    0x77fe404f,0x8017fa0c,0x4ffccccb,0x201ffb80,0x3ff70ffc,0xd1037f40,
    0x002ff43d,0x2ff43dd1,0xd007fdc0,0x1ff603df,0x2a03bfe6,0x3fe60fff,
    0xdfd1fec2,0x6403ff70,0x0ffdc0ff,0xfb81ff90,0x03ff201f,0x00f7ffe4,
    0x027fc400,0x001ff700,0x4027fc40,0x3f201ffb,0x403ff70f,0x7dc006fe,
    0x7dc0000f,0x0ffb800f,0x6c05ff70,0x00ffd87f,0xffb93fee,0xfc83fe21,
    0x201ffb87,0x7fdc0ffc,0x703ff201,0x7fe403ff,0xfffffd80,0x100265c1,
    0x260009ff,0x440002ff,0xffb804ff,0x5c3ff201,0xfff503ff,0x017fcc00,
    0x00bfe600,0xfe807fdc,0x223fec06,0x7fc404ff,0xfb87fee5,0x2e07fe46,
    0x3ff201ff,0x900ffdc0,0x1ffb81ff,0xfb03ff20,0x41dff99f,0x3e2006fe,
    0xbfd0004f,0x9ff10000,0x403ff700,0xbff70ffc,0x00ffff50,0x40002ff4,
    0x3ee005fe,0x80bff01f,0x17fcc7fd,0xff33ff40,0x3f61fec5,0x201ffb87,
    0x7fdc0ffc,0x703ff201,0x7fe403ff,0xfd97fea0,0x8017fe5f,0xb8004ff8,
    0x880000ff,0xffb804ff,0x5c3ff201,0xfb99dfff,0x400bffdf,0x40000ffb,
    0x90040ffb,0x9ff103ff,0x7dc7fd80,0x27fd801f,0x1ff13ff8,0xffb85fe8,
    0x703ff201,0x7fe403ff,0x900ffdc0,0x07fec1ff,0xff39ffd1,0x27fc4009,
    0xa8ffe200,0x22002eee,0xffb804ff,0x5c3ff201,0xffffffff,0x206fff8b,
    0x3baa3ff8,0x3ff8802e,0x905dffd3,0x7ff303ff,0x7dc7fd80,0x0ffc801f,
    0x237ddbfa,0xffb84ff9,0x703ff201,0x7fe403ff,0x900ffdc0,0x437fc1ff,
    0x2ffdfff9,0x013fe200,0x7fc4dfb0,0x3e2002ff,0x1ffb804f,0x7dc3ff20,
    0x21efffbf,0x3f606ffa,0x0bfffe26,0xefe9bf60,0x7fe41ffe,0x404ff881,
    0x17fd47fd,0x3f23fec0,0x3a23fdcf,0x1ffb80ff,0xf703ff20,0x07fe403f,
    0xfc807fee,0x5417fe0f,0x000fffff,0xa8013fe2,0x3f3f60ff,0x3fe2002f,
    0x01ffb804,0x7fdc3ff2,0x80440130,0x33f60ffa,0x7fd402ff,0x43ff8a60,
    0xff882ffc,0x263ff404,0x5ff803ff,0x47ffff44,0x703ffea8,0x7fe403ff,
    0x900ffdc0,0x1ffb81ff,0xff83ff20,0x13fff207,0x009ff100,0xefa8ffe2,
    0x22002ff8,0xffa804ff,0x21fff303,0x40000ffb,0x3bea3ff8,0x3e202ff8,
    0x0ffe203f,0x3fe05ff9,0x11fff607,0xffa80dff,0xffffe883,0x2a03ffff,
    0xfff303ff,0x303ffa81,0xffa81fff,0x41fff303,0xff303ffd,0xff8800bf,
    0x44dfb004,0x005ff2ff,0x4c027fc4,0xfff985ff,0x003ff70f,0x3e26fd80,
    0x6c05ff2f,0x3bf6206f,0xc817fec0,0xfffc82ff,0x103ffc87,0x7f401ffd,
    0x401dffff,0xff985ff9,0x2ffcc0ff,0x207fffcc,0xff985ff9,0x3ffe60ff,
    0xfffb999c,0x3e2004ff,0x1ffa804f,0x3ff33ff2,0x9ff1003d,0x277ffe00,
    0x0ffeffb8,0x40003ff7,0x3ff21ffa,0xa83dffcc,0xdfd101ff,0x205ffb01,
    0xea8afff9,0xf887fcef,0xea889dff,0x3fe203ff,0x7fc00099,0xeffb89df,
    0xdfff80ff,0xffeffb89,0x89dfff80,0x40ffeffb,0xfffffffb,0x02fffbef,
    0xbff53333,0xff883333,0x7ffffe44,0x333306ff,0x3333bff5,0x3ffffee0,
    0x70ffabff,0x220003ff,0x7ffe44ff,0x7c46ffff,0x09ff504f,0xf7017fec,
    0x71dfffff,0x3ffe60ff,0x03ffffff,0x700037d4,0x7fffffff,0xff701ff5,
    0xf57fffff,0xffff701f,0x1ff57fff,0xdffffb30,0x20fffd47,0xfffffff9,
    0x321fffff,0x9999886f,0xff980bff,0xffffffff,0xfff501ff,0x43fea5df,
    0x90001ffb,0x333310df,0x6fc817ff,0x3fffffe0,0x201ffec6,0x70ceffeb,
    0x7fe440ff,0xd801dfff,0x7d40003f,0xff52efff,0x3fffea01,0x201ff52e,
    0x52effffa,0x008801ff,0xfffff300,0x3fffffff,0x7c007fea,0xffff302f,
    0xffffffff,0x80098803,0xa8000aa9,0x5ff001ff,0x3e01ffa8,0x546fffff,
    0x011001aa,0x00131000,0x00000aa8,0x44000131,0x26200009,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xa8000980,0x0fb201ee,0x00003db1,0x09988000,0x00000000,0x76400000,
    0x000f6c43,0xdfd93000,0x0199999b,0x3db10fb2,0x6dcc9930,0x199703df,
    0x40199500,0xcaceedba,0x55555546,0xfb01aaaa,0xfff8005f,0x41fff306,
    0x6d406ffb,0x00e60cff,0xfffff910,0x3fff705f,0x7fffec00,0x3fe204ff,
    0x7fcc0004,0x71bfee0f,0x640003ff,0xffffffff,0xff981fff,0x21bfee0f,
    0xffff57fb,0x9ff70bff,0x220fff00,0xfffffffe,0x7ffff47f,0x985fffff,
    0x7c006fff,0xfff106ff,0x2605ffa8,0xbcffffff,0xff3001ff,0x05ffffff,
    0x4007ffe6,0x4ffffffd,0x0013fe20,0xfa8fff10,0x00ffdc5f,0x89dffc80,
    0x0ccfffd9,0x7d47ff88,0xfbffb85f,0x4ffecbdf,0x2603ffc4,0xfff984ff,
    0x7ffdbabc,0x7ffffff4,0xff985fff,0x7fdc005f,0x2a02e602,0x545fdc03,
    0x003ffffe,0x222f7ffa,0x3f6200a9,0x9998801f,0x3e204ffa,0xb980004f,
    0xffb83a80,0x6ff88001,0x9803ff90,0xf703a80b,0xfe885fff,0x017fec0f,
    0xdfd03ff9,0x801ff603,0xdf705ff8,0x00010003,0x32a06000,0x3fe6001b,
    0x6f5c0006,0x27fc4000,0x0009ff10,0x3fee0000,0x2ffa8001,0x0009ff30,
    0x07ffee00,0x3e61ffdc,0x21bfe05f,0x3f602ffb,0x17fe2007,0x00000000,
    0x80000000,0x00003ffb,0x13fe2000,0x0004ff88,0x3ff70000,0x03ff7000,
    0x00013fe2,0x1017fdc0,0x1ffd09ff,0xfd07ff50,0x007fd80d,0x00017fe2,
    0xa803ba60,0x0ceefedc,0x64000000,0x000000ff,0x813fe200,0x00004ff8,
    0x17bdd971,0x0003ff70,0x3e605ff7,0xedb8803f,0xff700bde,0xb85ff803,
    0x0ffd83ff,0x7ec05ff8,0x57fe2007,0x2ccccccb,0x807fcc00,0xfffffffc,
    0x499303ff,0x003dfed9,0x2e001ff6,0x02cccccc,0x1027fc40,0x665c09ff,
    0x3fffa603,0x7dc2ffff,0x7bfdb31f,0x6c1bfe20,0x7fdc01ff,0x82ffffff,
    0x7fc01ffb,0x446ff886,0x4ff885ff,0x1003fec0,0x3fff6bff,0x4c004fff,
    0x9df900ff,0x3fffd957,0x3ff2ff70,0xb005ffff,0xffb000ff,0x8009ffff,
    0x3e204ff8,0x1dff904f,0x26fffe60,0x2e1fffca,0xffffc8ff,0xdff905ff,
    0x09ffb535,0xbacfffc8,0x7dc3fffd,0x837fc01f,0x3fea1ffd,0x403ff982,
    0x3e2007fd,0xf999975f,0xffa8009f,0x7dc01301,0xfcffb85f,0x2fffdacf,
    0x7f55554c,0x2aaaaabf,0xff999970,0x4ff88009,0x2e13fe20,0x3fa00eff,
    0x26ff980e,0xadffdffb,0xfd82fffd,0x4fffffff,0x4077fcc0,0x3ee0fffa,
    0x827fc01f,0x1ff64ffa,0x36027fc4,0x3fe2007f,0x009ff105,0x007ffb2a,
    0x5c37fc40,0x7cc1ffff,0x7fffec6f,0xffffffff,0x9ff1007f,0x04ff8800,
    0xff713fe2,0x17fd401d,0x3ee3ff90,0x7fcc1fff,0x6dd7fd46,0xfd801cde,
    0x93fee00f,0x3e601ffb,0x45ffa03f,0x9ff104ff,0x2007fe80,0xff105ff8,
    0xfffe9809,0x360001ff,0x1fffb87f,0xeec8fff0,0xeeefffee,0xf1005eee,
    0xff88009f,0xb93fe204,0x7ec00eff,0xb9ffcc07,0xfff01fff,0x20005fd8,
    0x7c404ff8,0x807fee5f,0x3ee01ffc,0x201ffbaf,0x3ff607ff,0x17fe2007,
    0xd1027fc4,0x00335bff,0x7fd99998,0x3602ffb8,0x07fd807f,0x04ff8800,
    0x1027fc40,0x3bfee9ff,0x405fe800,0x5ff74ff8,0xfd07fec0,0x3e60001f,
    0x27fe802f,0xff301ffb,0xedff880b,0x17fe406f,0x003fffe4,0x3e20bff1,
    0x13fee04f,0xffff9100,0xf70fffff,0x07fe403f,0x0001ff60,0x10013fe2,
    0x7fc409ff,0x000effbc,0xffffffff,0x2ebfffff,0x3ff201ff,0x3bbfff20,
    0x700acccd,0xffb003ff,0x984e7fdc,0xd800fffb,0x4c03ffff,0xfea8afff,
    0x22007fde,0x9ff105ff,0x000ffe40,0xdddffff7,0xff70fffd,0x007fe403,
    0x20001ff6,0x44004ff8,0x3fe204ff,0x1000fffe,0xffffffff,0x2ebfffff,
    0x3ff201ff,0x3ffff620,0x84ffffff,0xfc801ffb,0xfffff70f,0x003dffff,
    0x003fffea,0x3fffffee,0x2007fc8e,0xff105ff8,0x007fec09,0xb02eff98,
    0x03ff70ff,0x36007fe4,0xf880007f,0x7fc4004f,0x333fe204,0x3fe005ff,
    0x1ffb8005,0xe883ff20,0xfedcccff,0x7fd44fff,0x2e7fd802,0xefffffff,
    0x4fff8003,0x3bffae00,0x400ff90c,0xff104ffa,0x017fec09,0x3601ffc8,
    0x01ffb87f,0xfb003ff2,0xff10000f,0x4ff88009,0x7ed3fe20,0x0dfd004f,
    0x403ff700,0x3ffa0ffc,0x31ffea00,0xbff007ff,0x04c4ffdc,0x03ffe000,
    0x3f602200,0x0bff2007,0xf5027fc4,0x1ffa00bf,0xff70ffb0,0x007fe403,
    0x20001ff6,0x44004ff8,0x3fe204ff,0x007ffd14,0xb8003ffb,0x3ff201ff,
    0xb007ff30,0x37fc41ff,0xfb8ffea0,0xf700001f,0xd800009f,0x7c40a27f,
    0x9ff100ff,0x805ffe80,0xfd880ffe,0x01ffb87f,0xfb003ff2,0xff10000f,
    0x4ff88009,0xe893fe20,0x7fcc03ff,0x0ffdc006,0x3ee1ff90,0x87fe803f,
    0xfd103ffc,0x00ffdc1f,0x07ffcc00,0x9ff60000,0xfc9abef8,0x3fe204ff,
    0x7fffc404,0xdffc809b,0xfffff731,0x6403ff70,0x3fec00ff,0x27fc4000,
    0x813fe200,0x7fcc4ff8,0x7ffec02f,0xf71d4c1a,0x87fe403f,0x9101fff9,
    0xfff109ff,0xffd5113b,0x001ffb87,0x00fffdc0,0x13fec000,0xffffffff,
    0x54cccc1b,0x81999dff,0x6fffffe8,0x7fffffc4,0xb87fbcff,0x3ff201ff,
    0x003fec00,0x7fd4cccc,0x4cc1999d,0x99dffa99,0x213fe219,0x2202fffa,
    0xfffffffd,0x07fee6ff,0x3f60ffc8,0xfedcefff,0x3fe606ff,0x3fffffff,
    0x8001ffb8,0x03ffffff,0x8ffb0000,0x3effffea,0x7fffffcc,0x01ffffff,
    0x10dfffb5,0x23bffffb,0x1ffb87fb,0xb003ff20,0xff9800ff,0xffffffff,
    0xffff31ff,0xffffffff,0x5c13fe23,0x75401fff,0x4effffff,0xfc807fee,
    0x7fffe40f,0x803effff,0xdfffffc8,0x003ff701,0x03dffff0,0x3fec0000,
    0x7fcc0330,0xffffffff,0x54c401ff,0x2000cc02,0x3f201ffb,0x03fec00f,
    0x3ffffe60,0x1fffffff,0xfffffff3,0x223fffff,0x3ff204ff,0x3331001f,
    0xc807fee0,0x975300ff,0x22000355,0x0aa98009,0x00aaa800,0x2a980000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2e620000,0x2a20accc,0x02aa801a,0x0056654c,
    0x57997510,0x5554c000,0x66654c00,0xaaaa81ac,0x02aaaaaa,0x05799973,
    0x0acca880,0xb10fb200,0x00e6003d,0x400ef5c0,0x02bccb98,0x01379510,
    0x2f2ea200,0x00554c09,0xffffb100,0x3e69ffff,0x06fe803f,0xffffffb1,
    0xfffb801d,0x003fffff,0x5fffffd7,0x3ffffaa0,0x7f41ffff,0xffffffff,
    0x7ffff40f,0x4402efff,0x4ffffffd,0x20fff980,0xfc806ffb,0x7fd4000f,
    0x3ff6206f,0x02ffffff,0xfffffff3,0x7fdc001b,0x2e3fffff,0xf50001ff,
    0xffddffff,0x00ffe6bf,0x3fe61bfa,0xefffeeff,0x9dfff701,0x405ffffb,
    0xfffffffa,0xefffb82f,0x41ffeeee,0xfffffffe,0x77f40fff,0x2ffffede,
    0xbbfffd10,0x4401bfff,0x2ffd47ff,0x0007fe40,0x203fffee,0xeeffffe9,
    0xffb83fff,0xeffebbdf,0xdfffc801,0xf73fffdc,0xff70003f,0x2993039f,
    0xfe803ff9,0x05fffc46,0xf30fffb1,0xfff701df,0x2b7ffea0,0x0fffcc01,
    0x05fe8130,0xfc880a80,0x87ffd07f,0x4c03ffd8,0x9003a80b,0xf98001ff,
    0xfff986ff,0x5c3c981d,0xffd104ff,0x077fcc03,0x57ff72dc,0x7c401355,
    0x3e6002ff,0x46fe803f,0x3f603ffc,0x01ffdc3f,0xff881ffd,0x3ff6001e,
    0x05fe8003,0x7ffc4000,0x8827fcc1,0x000007fe,0x0001ff90,0xffb019b5,
    0x3ff88009,0x902ff440,0x3ee003ff,0xefffffff,0x003ffc82,0x7401ffcc,
    0x01bfe26f,0xffc8dff1,0xb03ff200,0xff8001ff,0x0bfd0007,0x3ff90000,
    0x2e00ffd8,0x800002ff,0xcffecccc,0x00cccccc,0x005ffa80,0x1a986fc8,
    0x7f407fe6,0x3ffee006,0x6fffffff,0x2001bfe6,0xfe803ff9,0x200ffee6,
    0x3fea1ffe,0xf11bfe03,0xffd0007f,0x0bfd0001,0x8ff90000,0x7e405ff8,
    0x9999705f,0xfff80599,0xffffffff,0xe8000fff,0x7c4001ff,0x3fffea2f,
    0x7fc17fa7,0x07fee005,0x2abfff51,0xf98003ff,0x26fe803f,0xfb800ffc,
    0x417ffc2f,0x7fdc3ffc,0xdffc8000,0x02ff4000,0x22ff4000,0xfb102ff9,
    0x3ff60dff,0x6404ffff,0xccffeccc,0x000ccccc,0xa8006ff8,0x37ffe67f,
    0x7c1fea7c,0x3fee005f,0x95ffd101,0xf30003ff,0x4dfd007f,0xff5007fd,
    0x8cfffb87,0x6c0dffe9,0x26f2a67f,0x5dfff300,0x5577f400,0x36200009,
    0x17fd41ff,0x3fffffd4,0xffccccb8,0x07fe4004,0xbff30000,0x74df7000,
    0x0ff300df,0xfb8017fe,0x2ffea01f,0xaaa80ffd,0x7ff32aaa,0x7f4dfd00,
    0x09ff3006,0xfffffff3,0x3f3bfa07,0x03ffffff,0x17dffff5,0xfffffe80,
    0x66401cff,0xb80dffec,0x7ffe41ff,0xf1007fcb,0xffc8009f,0x3ea00000,
    0x5fc8004f,0x7c407ff1,0xbff3311f,0x81333333,0x3e201ffb,0xf887fedf,
    0xf36fffff,0x4dfd007f,0xff3006ff,0x3fffe60b,0xffff00ef,0xfffd9bdf,
    0x3fff6209,0xffd00cff,0x5fffffff,0x7fffffc0,0x10ffc81d,0x3ee3dffd,
    0x4ff8800f,0x007fe400,0x07ff7000,0x3e67fb00,0xc97fc00f,0xffffffff,
    0x7fdc3fff,0x3b7fe201,0xffff887f,0x07ff36ff,0x37fcdfd0,0x984ff980,
    0xffffeffe,0x80cfff82,0x2201ffe9,0x03fffffc,0x5fffb530,0x3fb73320,
    0x47fdc4ff,0x7e45fffa,0x4ff8800f,0x007fe400,0xf70f7e40,0x9fb0007f,
    0xff007fe6,0x3fffff23,0x43ffffff,0x3e601ffb,0x800ffdcf,0x07ff36ff,
    0x3ffcdfd0,0x5c3ff980,0xffb32eff,0x405ff87f,0xd7004ffa,0xb8007fff,
    0x366005ff,0x37fee4ff,0x7fc82fff,0x009ff100,0x4000ffc8,0x3ea6fffa,
    0x5fc8004f,0x7c407ff1,0x005ff80f,0xfc807fee,0x801ffcaf,0x07ff36ff,
    0x3ff4dfd0,0x262ffa80,0xffb80eff,0x201bfe0f,0x7e4006ff,0x7fc000ff,
    0x0ffe8007,0x03dffff5,0x7c401ff6,0x7fe4004f,0x7ffd4000,0x00bff31f,
    0x77f4df70,0x1fe6288b,0xf7002ffc,0x57fee03f,0xff803ffb,0xf007ff36,
    0x00ffecdf,0xff90ffe4,0xd1ffe403,0x0ffd00ff,0x005ffb00,0x4000ffd8,
    0xfff31ffc,0x006fe809,0xc8009ff1,0xfe8000ff,0x0dff12ff,0x261ff300,
    0x2e7fffff,0x00bff06f,0x5555ffdc,0xf30fffec,0x2dff00df,0xff804ff8,
    0x200ffee4,0x037f47ff,0xffd93fe6,0x0037fc00,0x2001ffd4,0xfc8007fe,
    0x80dff11f,0xf1004ff9,0xffc8009f,0xfff98000,0x000bffa1,0xfed993fa,
    0x7c0ffa4e,0x3fee005f,0xdfffffff,0x2017fec0,0x01bfe6ff,0x7fc47ff5,
    0x11ffd406,0xff980dff,0x880ffee4,0xfb8004ff,0x3fe2002f,0x47fe8005,
    0x3f201ffc,0x9ff1000f,0x02ffb800,0x541fff00,0xfa8006ff,0x0ffa800f,
    0x5c00bff0,0xcdefffff,0x07fff301,0x5ffb37fc,0x3207ff40,0xfff305ff,
    0x6c03ffd0,0x1bfe22ff,0x4001ffd8,0x1000fff8,0xb8005ffd,0x37fcc4ff,
    0x2005ffa8,0x54004ff8,0xf98005ff,0x0effe85f,0x03bfa040,0x3e03ffa8,
    0x3fee005f,0xfffc8001,0xffb99abd,0x273ffe66,0x83ffea88,0xa9befff9,
    0xfb82fffc,0xd9889bff,0x7fe40eff,0x93ff661e,0x999aace9,0x223fffca,
    0xfc99899a,0x8cd443ff,0x06ffeb99,0x7313dffb,0x44003fff,0x7c4004ff,
    0xb998bdff,0x80fffa80,0x9bcffffa,0x7cc3fcaa,0x3f220aef,0xffba985f,
    0xaaaaaaae,0x003ff71a,0x3ffffea0,0x5c6fffff,0xffffffff,0x3ffa204f,
    0x02ffffff,0x3ffffff6,0xfb00efff,0xbfffffff,0xffffff98,0x4c4fffff,
    0xffffffff,0xffffb83f,0x00dfffff,0x3ffffff6,0x4ccc01ef,0x999dffa9,
    0xffffa801,0xfd10ffff,0x74c03fff,0xffffffff,0xfffe883f,0x903ffffe,
    0xffffffff,0x2e9fffff,0x220001ff,0xefffffec,0xfffd880b,0xc8801dff,
    0x00defffe,0xfffffe98,0xffeb803e,0xfd882dff,0xcfffffff,0xfffff981,
    0xff700cef,0x03bdffff,0x3bfffae0,0x7ffcc00c,0xffffffff,0xffd9801f,
    0xff10efff,0x7edc009d,0x00bcefff,0x33bfff6e,0x3ffff202,0xffffffff,
    0x003ff74f,0x000ccc00,0x30000262,0x0cc40001,0x40013000,0x10019998,
    0x44001333,0x80001999,0x3fe60009,0xffffffff,0x4c4001ff,0x00009809,
    0x110000c4,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40055540,0x32a01aa8,
    0x540bdeed,0x001aaaaa,0x55555100,0x2aa63555,0xaaaaaaaa,0x5550aaaa,
    0x55555555,0x2aaaaa23,0x5551001a,0x80013555,0x00abcba8,0x802aaa80,
    0x9aaaaaa9,0x55551009,0x55555555,0x2aaaaa35,0x01aaaaaa,0x202aaa60,
    0xaa801aa8,0x64077ae2,0xffd804ff,0xffffe981,0x7ff45fff,0x0cffffff,
    0xffffb000,0x3f2bffff,0xffffffff,0xfd1fffff,0xffffffff,0x3fffe6bf,
    0x204effff,0xfffffffa,0xffa802ef,0x002fffff,0x003fffea,0xfffffff7,
    0xff8819ff,0xffffffff,0xfffb4fff,0xbfffffff,0x3fffe600,0x803ff981,
    0xdfff56fe,0x803ffe20,0xffa84ffa,0x5fccacef,0x7ffffff4,0x4002ffff,
    0xeefffff8,0x800d94ee,0xffffd1f9,0x2bffffff,0xfffffff9,0xfa82efff,
    0xffffffff,0x3fff204f,0x04fffdcd,0x05ffffb0,0xffffffb8,0x220effff,
    0xffffffff,0xfb4fffff,0xffffffff,0x3ffa00bf,0x3ff981ff,0xff76fe80,
    0x3fea01ff,0x103ffa05,0x20c07fff,0x7ecc47fe,0x3ee002ff,0x9b205fee,
    0x3f301aba,0xf9801ffa,0x7fecc43f,0x21ffd42f,0x981fffca,0x7f440dff,
    0xfdff800f,0x0ffdc05f,0x317ffaa2,0x33333333,0x3f67ff73,0xff700007,
    0xff303ffb,0x26dfd007,0x7f406fff,0x83ffb81f,0x74003ffc,0x1bfea07f,
    0x5febff80,0xfffb9b20,0xfe8fcc2e,0x0ffe6007,0x7d46ffb8,0x09ffb03f,
    0x3e201ffd,0x4ffd405f,0x7fdc07fe,0x00fff101,0x7fd9ffa0,0xcff88000,
    0xff981ffb,0x2a6fe803,0x7fcc00cd,0xf837fc46,0x7fe8006f,0x401ffe40,
    0x05fe8ffa,0xff7311b2,0x7fe8fcc5,0x00ffe600,0x7fd47ffb,0x88bff503,
    0x7fec04ff,0x7ddff600,0x07fee02f,0x4000ffe8,0x1ff63ffa,0x23ff6000,
    0xff981ffb,0x006fe803,0xfc8bff20,0x04ff981f,0x4407fe80,0x4fd806ff,
    0x03640bfd,0x47e61ff1,0x3e6007fe,0x37fc403f,0x3e207ff5,0x01ffd45f,
    0xff807fee,0x5c0bff35,0x1bfa01ff,0xfb1ffa00,0xffa8000f,0xf303ff72,
    0x0dfd007f,0x8b7fc400,0x5ff504ff,0x00ffd000,0xff880ffd,0x3640bfd1,
    0x8fccbf20,0x3e6007fe,0x27fe803f,0xff503ffa,0x403ffa89,0xff502ffa,
    0xf703ff45,0x13fe203f,0xd87ff300,0x3e20007f,0x207fee5f,0xfe803ff9,
    0x7fdc0006,0xf700ffdb,0xffd0005f,0x401ffb00,0x817fa6fc,0x997e406c,
    0x400ffd1f,0xfd803ff9,0x107ff50f,0xff983ffd,0x81ffcc04,0x3ff20ffd,
    0x303ff702,0xd8003dfd,0x03fec0ff,0x5c1ffb00,0x3ff981ff,0x0006fe80,
    0x03ffffe8,0xe800ffea,0x2eeefffe,0x3e01ffc8,0x333bfa3f,0x4c0d92cc,
    0x3a3f30ff,0xeeeeeeff,0x07ff32ee,0x3ea3ff90,0xffcaaacf,0x01fff03f,
    0xff827fd4,0xb827fcc5,0xfedccdff,0x7cc000cf,0xaaffd84f,0x80aaaaaa,
    0x7fdc2ffa,0xeeeff981,0xffeeeeee,0xff980006,0x27fcc06f,0xffffff00,
    0x5ff707ff,0xfe83fea0,0xd93fffff,0x22fffea8,0xffffd1f9,0x25ffffff,
    0xfb803ff9,0xfffff52f,0x5c05dfff,0xb531afff,0xff507fff,0x2e0fff05,
    0xffffffff,0x7ec001cf,0xffffd80f,0x41ffffff,0xffb85fe8,0xfffff981,
    0xffffffff,0xffb00006,0x0fff8803,0x9fff9900,0x5ff70399,0xdfd17f60,
    0x1b259999,0xf98159f7,0x9999ffd1,0x3e639999,0x2ffc803f,0xfffffff5,
    0xfffb001d,0xffffffff,0x901ffb05,0xbff705ff,0xffffd999,0x13fe6005,
    0x7fffffec,0x7e41ffff,0x81ffb80f,0xcccceff9,0x26ffcccc,0x7fdc02b8,
    0xffffffff,0x0dffc87f,0x201ffa00,0xff881ffd,0xd902ff42,0x3f301fb8,
    0xf9801ffa,0x1ffd803f,0x7fd47ff5,0xffda800f,0x1ff9adff,0xff506ff8,
    0x103ff709,0xb003fff7,0x1ff601ff,0x207ff300,0xff981ffb,0xf16fe803,
    0x7fdc09ff,0xffffffff,0xfffe887f,0x44da999b,0xffe807fe,0xfe87fc80,
    0x1f51b205,0x3ff47e60,0x007ff300,0x3fea1ffd,0x002ffd43,0x503fee02,
    0x3ffc07ff,0xf700ffdc,0x4ff9809f,0xd001ff60,0x0ffdc0df,0x7401ffcc,
    0x1ffff76f,0x36666620,0x01999aff,0xffffffd1,0x07fe8bff,0xff83ffc4,
    0x5ffcccce,0xf3001b20,0x9801ffa3,0x7fc403ff,0x360ffea6,0x6c0001ff,
    0xffffd87f,0xffffffff,0x300ffdc1,0xffd80bff,0x801ff600,0xfffffffa,
    0xffffffff,0xd007ff35,0x3fffeedf,0x07ff2000,0xfffeb880,0x3ff42dff,
    0x2a13fee0,0xffffffff,0x531b205f,0x7f47e601,0x0ffe6007,0x7d49ff90,
    0x05ff983f,0x20ffe600,0xffffffff,0x5c4fffff,0x3fe201ff,0x017fe605,
    0x7d400ffb,0xffffffff,0x35ffffff,0xdfd007ff,0x5101fff4,0x57ffb555,
    0xff100555,0x03ff4019,0xfd01fff1,0xff99999d,0x3fa3640b,0x3fa3f303,
    0x0ffe6007,0x2a0fff98,0x3ffd03ff,0x0dfd1000,0x9999bff5,0x8fff9999,
    0x3ea01ffb,0x07ff603f,0x4400ffb0,0xaaaaaaaa,0x2aacffda,0xfd007ff3,
    0x7d40098d,0xffffffff,0xffa807ff,0xa83ff401,0xff984fff,0x640bfd03,
    0xf981fec6,0x4c00ffd1,0xfff703ff,0x503ffa87,0xea800bff,0x0ffd81ff,
    0x2e1ffd80,0xfff101ff,0x017fe603,0x00001ff6,0x3e607fee,0x06fe803f,
    0xfeeeea80,0x06eeeeff,0xfe806fc8,0xffedbaaf,0x01ff904f,0x266677fa,
    0x4c010d91,0x555ffd1f,0x26355555,0xedcaadff,0xffa84fff,0x107ffa03,
    0xffdb9755,0x01bfe07f,0xff727fd4,0xffb75557,0x0ffec07f,0x0003fec0,
    0x4c0ffdc0,0x6fe803ff,0x3ff90000,0x009fd000,0xfffffffd,0x27fc07ff,
    0xffffffd0,0x2aaabb2f,0xbaaaaaaa,0xfffffd1f,0x26bfffff,0xffffffff,
    0x7ff502ef,0x222ffd40,0xcfffffff,0x007ff500,0xffb9ffe2,0xffffffff,
    0x017fe603,0x00003fec,0x7cc0ffdc,0x06fe803f,0x03ff9000,0xd0039900,
    0x59ddffff,0x201ffa80,0x7ffffffe,0xfffffff9,0x3fffffff,0x3ffffffa,
    0xff35ffff,0x039ddfff,0x7c03ffa8,0x3bfe20ff,0x7e401bcd,0x3ff6001f,
    0xffffff71,0xffb0059d,0x01ff6005,0x07fee000,0x3a00ffe6,0x0000006f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x35300000,0xaa882a88,0xaaaaaaaa,0x4015532a,0x2aa62aa9,
    0x4019aaaa,0x54c02aa8,0x5555542a,0xaaaaaaaa,0x40035551,0x2aaa1aa9,
    0x21aa9800,0x26000aa8,0x0015552a,0x5550554c,0x531aa803,0x55555555,
    0x80155555,0x731004cb,0x2a201599,0xc800000a,0x4c3fcc5f,0xffffffff,
    0x3ff96fff,0xb87ffe20,0xffffffff,0xfff980be,0xf1bffa02,0xffffffff,
    0x3ee9ffff,0xfff1006f,0x202ffe41,0x3e60fff8,0x5bf2002f,0x36003ffc,
    0xdfff11ff,0xff95fe80,0xffffffff,0x2a03ffff,0xfc807ffe,0x82ffffff,
    0x3e003ffa,0x13f604ff,0xfff30df5,0xffffffff,0x6c07ff2d,0x77fdc2ff,
    0xefffffee,0x82fffd40,0x7fc7fff9,0xffffffff,0x3ffa4fff,0x83ffc802,
    0x3f201ffe,0x017fc43f,0x3fe6bfb0,0x89bfe006,0x3a02ffff,0xfffff95f,
    0xffffffff,0xfffea83f,0x3ffa207f,0x2ffffeef,0xd001ffd4,0x1fec07ff,
    0x7e401bee,0x03ff901f,0xff709ff9,0x8dffd503,0xc80ffffa,0x4ccc7fff,
    0xf9999999,0x1bfea0ff,0x2a0dff10,0xdff306ff,0x4007ff10,0x03ffe5fd,
    0xf88ffea0,0x3fa06fff,0x00ffe405,0x3fbfffa6,0x2ffe607f,0x507ffdc0,
    0x7f4007ff,0x90bfa03f,0x3ff200bf,0xa83ff901,0x3ff705ff,0xf517ff40,
    0x9ff07fdb,0xffb000ff,0x407ffb07,0x3f602ffc,0x01ffe83f,0x7f4007ff,
    0x200fff24,0x3fe21ffd,0xbfd01ffe,0x401ffc80,0xfff2effc,0x3f601a80,
    0x00ffea2f,0x2622ffd8,0x999bff99,0x20199dfd,0xff901ffc,0x8077fcc3,
    0x3e601ffb,0x3f37ee4f,0x3fd77d46,0x41bfea00,0xf980fff9,0x7ffc406f,
    0xf813fee0,0x93fa004f,0xff805ff9,0x7fdffc46,0xc80bfd05,0x1fcc01ff,
    0x50001ffe,0x1ffd47ff,0x5c5ffb00,0xffffffff,0x07ffffff,0x7e407ff2,
    0x01ffd11f,0xf100ffdc,0x7cefdcbf,0x3eaff60f,0xfff1000f,0x427fe401,
    0xfb801ffd,0x80dff15f,0x3fa004fe,0x5007ffc3,0xbff887ff,0x5fe81ffc,
    0x000ffe40,0x40007ff8,0x3fea4ff9,0x87ff2003,0xeeffeeea,0x5eeeffee,
    0x6407ff20,0x03ffb1ff,0x2201ffb8,0x757f25ff,0xf51ff13f,0x3ff2001f,
    0x07ffc403,0x7400bff3,0x01ffdaff,0x0f222ff4,0x5ff90ffe,0x220ffe40,
    0x85ff8bff,0x7fe405fe,0x0fff0001,0x23ffa800,0x32003ffa,0x0ff301ff,
    0x3f2003ff,0x73ff901f,0xff7005ff,0x927fcc03,0x7ddbeebf,0x5001ff35,
    0x3ee00dff,0x003ff64f,0x4fffff98,0x7dc5fd80,0x2617fc0f,0x1bfe05ff,
    0x7fecffe2,0x3202ff40,0xff0001ff,0xffc8000f,0x800ffea1,0x1bea0198,
    0x32001ff1,0x7ff901ff,0x3ee009ff,0x87ffa01f,0xd3ff15fc,0x007fe65f,
    0x4001fff1,0x4ff98fff,0xffffc800,0x746fd800,0x0bfe23ff,0x7fcc1ffe,
    0xf33ff883,0x405fe89f,0xf0001ffc,0x7c4000ff,0x01ffd46f,0x317ee000,
    0x3f2001ff,0xffff901f,0x3fee001f,0x44ffd981,0x3f7f65fd,0x9007fe67,
    0xfa8007ff,0x000ffdcf,0x004fff88,0x7ffc4df9,0x3207fe25,0x0ffc82ff,
    0x3f63ff88,0x9017fa0f,0x3e0003ff,0x3fa0007f,0x01ffd41f,0x320bfe60,
    0x003fcc5f,0x3f203ff9,0x7006ffcf,0xfdddddff,0x49fb0bff,0x3e64fffa,
    0x1bfe602f,0x7ffff400,0xfff70003,0x4df7001f,0xf10ffefb,0x09ff303f,
    0x3fe20dfd,0xfe8ffea3,0x00ffe405,0x0007ff80,0xff509ffb,0x0ffb8007,
    0x37d44fd8,0x203ff900,0x4ffc9ffc,0xfffffb80,0xfd02ffff,0x10fffc49,
    0x3fa205ff,0xff30001f,0x3e6000df,0xb805ffff,0x3febfa7f,0x3e01ff33,
    0x81ffcc7f,0x7ff43ff8,0xfc80bfd0,0xfff0001f,0x0bff9000,0xb000ffea,
    0x3fbba6df,0xffeeeeef,0x3f200eee,0x23ff901f,0x7dc03ffe,0x01acccdf,
    0x1bf627f4,0x3f205ff1,0x7ec0003f,0xffd0002f,0xa805ffd3,0xfb1ff17f,
    0xfc81fe6d,0x403fee1f,0x7fd43ff8,0xfc80bfd3,0xfff0001f,0x05ffc800,
    0xd000ffea,0x3fffea7f,0xffffffff,0x3f200fff,0x23ff901f,0x2e01fff8,
    0xfe8001ff,0x3e20d444,0x06ff983f,0x01ffc800,0xf35ffb80,0x7fd401ff,
    0x1ff55fb8,0x7fd40ff5,0xf881bfa4,0xfd6fe83f,0x01ffc80b,0x400fff00,
    0x7d405ffc,0x8664003f,0x9aff9998,0x199cfd99,0xc80ffe40,0x3bfea1ff,
    0x003ff700,0x22009ff0,0x1ffe83ff,0x1ffc8000,0x07ffc400,0x7cc09ff9,
    0x3fe2fd8f,0x7fc07fab,0x4407ff37,0xaffb83ff,0x7fe405fe,0x0fff0001,
    0x2017ff20,0x00003ffa,0x7fd03fe2,0x80ffe400,0x7fe41ffc,0x003ff705,
    0x7c007ff0,0x01ffe43f,0x01ffc800,0x221ffec0,0xff302fff,0x77e41ff5,
    0x7fe406fa,0x2200ffb9,0xdbff03ff,0x1ffc80bf,0x00fff000,0x2a00bff9,
    0x200003ff,0x17fc0ff9,0x203ff900,0xffd81ffc,0x001ffb84,0x3e003ff8,
    0x01bfe64f,0x01ffc800,0x541bfea0,0xbff106ff,0xfdffa8bf,0x767fd406,
    0x1ffc406f,0x05ffffb8,0x8000ffe4,0x7fe407ff,0x0ffea005,0x87fa8000,
    0x555101ff,0x5557ffb5,0x2207ff25,0x7fdc2fff,0x1ffc4001,0x7f49ff00,
    0xccccccdf,0xfc803ccc,0xfff1001f,0x427ff403,0xf83ffff8,0xff805fff,
    0x7c403fff,0xffff103f,0x01ffc80b,0x7e666644,0x72ccccff,0x99999fff,
    0x3ea79999,0xaaaaaadf,0xdf5000aa,0xf300ff88,0xffffffff,0x07ff2dff,
    0xf707ffcc,0xff88003f,0x4d3fe003,0xffffffff,0x806fffff,0xfb001ffc,
    0xfff9809f,0x80ffff81,0xc805fffc,0x4400ffff,0x3ff203ff,0x0ffe405f,
    0x3ffffe60,0x4fffffff,0xfffffffb,0x2abfffff,0xffffffff,0xf7002fff,
    0x300ff98b,0xffffffff,0x3ff2dfff,0xb9bfee01,0x7cc001ff,0x57fe003f,
    0xfffffff9,0x06ffffff,0xa801ffc8,0xfc800fff,0x05fff86f,0x5009fff3,
    0xf100dfff,0x7ffc407f,0x00ffe405,0x3fffffe6,0xb4ffffff,0xffffffff,
    0x3eabffff,0xffffffff,0x000002ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x400e0000,0x00000029,
    0x00040000,0xfdb95000,0x710019dd,0x2017bddb,0x32a00cc9,0x6ff6dc44,
    0x00b7b6a3,0xa8001e4c,0x00bdeedc,0x17bdd971,0xffedb880,0x333263de,
    0x43332200,0x45bd51ca,0x66442eea,0xcccccccc,0x01ffcc2c,0x2e006ff4,
    0x06ec00ff,0x0bea0000,0x2003fee0,0xfffffffc,0x3fee03ff,0x82ffffff,
    0x3f201ffb,0x3ffff20f,0xffffbcff,0x7ffc403f,0x3ffa6003,0x985fffff,
    0xfffffffe,0xfffff502,0xffd8dfff,0xc8fff604,0x8ffffabf,0x263ffff9,
    0xffffffff,0x7fc45fff,0x13fee00f,0xb803fee0,0x00001eff,0xb801fff7,
    0xefc800ff,0xfffecabc,0xacfffc81,0x5c3fffdb,0x3ff201ff,0x3aaafb20,
    0xfd9cffff,0x3ffe600f,0xdfff5005,0x98bf9959,0xfca9bfff,0x7ffcc1ff,
    0x45cbaaab,0xfa82fff8,0x77e7e45f,0xdafeafea,0x3333225f,0x4ffecccc,
    0xec9dffa8,0x006ffabd,0xfb801ff7,0x640002ff,0xfb800eff,0x2009800f,
    0x7fcc5ffb,0x0fffa80e,0xfc807fee,0x7ff4020f,0xd00ffe24,0xff1005ff,
    0x3fa0c07f,0x46ff980e,0x4c000ffd,0x3fe20fff,0x87ffe40e,0xff52fffb,
    0x037fcc00,0xfffffff9,0x2e001fff,0xffa800ff,0xfd88003f,0xff7000df,
    0xff100001,0x200ffd8d,0x3fee4ffb,0x003ff201,0xbfb07ff2,0x9001a880,
    0x7d4007ff,0x87ff202f,0xf70006fe,0x40ffecbf,0x3fee4ffc,0x2003fea5,
    0x7c00fff8,0xfffeceff,0x03fee004,0x027ff4c0,0x009ffd30,0x0000ffb8,
    0x7fc4ffb0,0x72ffc404,0x7fe403ff,0x40ffb800,0x400006fc,0x7ec006ff,
    0xb1ffcc07,0x360005ff,0x03ffbaff,0x7fdc1ff9,0x2003fe61,0x7cc02ffd,
    0x07ffd45f,0x000ffb80,0x0037ff62,0x0007fff5,0x20001ff7,0x27fd9999,
    0xfe802ff9,0xc807fee7,0x2e6200ff,0xfc9999ff,0x3e600007,0x2ff4004f,
    0xfa93fe20,0x2000adff,0x05fffff8,0x8ff71bf2,0x7e400ff9,0x0ffd803f,
    0x7d42ffd8,0xffffffff,0x6407ffff,0xff700eff,0xeeec803f,0xeeeffeee,
    0x7e441eee,0x7fffffff,0x36007fee,0x807fee7f,0x7ed40ffc,0xffffffff,
    0xddd97fff,0xdddddddd,0x3fea3ddd,0x7fffc002,0xffffffff,0x7fffdc5f,
    0xff5002df,0x37e401ff,0x1ff31fee,0x802ffd40,0x7ff706fe,0xffffffa8,
    0x7fffffff,0x41fffb80,0xd800effc,0xffffffff,0x21ffffff,0xeeeffffb,
    0x3fee7ffe,0x70ffc801,0x7fe403ff,0x3bbffee0,0xeeeeeffe,0xfffffb5e,
    0xffffffff,0x00bfee3f,0xffffff88,0x5fffffff,0xfffffc88,0x7ffc401e,
    0x2e37e405,0x807fcc7f,0xf000eff8,0x13fe20bf,0xfb555551,0x0555557f,
    0x643ffee0,0x95000fff,0x9ffd9999,0x26199999,0xffb02eff,0x6c017fd4,
    0x807fee7f,0xdff10ffc,0x2007fd43,0xccccccca,0x0ccccccc,0xf8007ff5,
    0x2a00005f,0x201ffffd,0x203ffffe,0x23fdc6fc,0xffd00ff9,0x83ffc003,
    0xf7003ff9,0x3ea0001f,0x77fe41ff,0x3fee0001,0x00ffe400,0x1ffccffb,
    0xff72ffc0,0xa87fe403,0x0ffd42ff,0x7cc00000,0x37f4004f,0x7ec40000,
    0xd7ff905f,0x1bf203ff,0x0ff98ff7,0x4003ffc8,0xffb81ffe,0x01ff7002,
    0x01dff900,0x000bffee,0x3a007fdc,0x13fec07f,0xffa80dff,0x4c0ffea3,
    0x1ff70fff,0x0003ffb8,0x01fff000,0x000ffec0,0xa86ff800,0x1fff15ff,
    0x7fb8df90,0x3ee07fcc,0xffc8005f,0x007ff443,0x2000ffb8,0x400dffd8,
    0x8003fff9,0x7f400ffb,0x7ffd880f,0xe881ffe4,0x17fe60ff,0x543fffe6,
    0x3ffe61ff,0x03510005,0x0037ff20,0x00037fcc,0x262ffcc0,0x3fee0fff,
    0x7dc6fc86,0xf307fcc7,0x3e6000df,0xffebaeff,0x03fee004,0x027ff440,
    0x009ffd10,0x6400ffb8,0xff731dff,0xfff88fff,0xffea889d,0x89dfff83,
    0x30ffeffb,0xdfd319ff,0x06a217ff,0x2005ffd0,0x999bfffe,0x7ffec4da,
    0xb11d4c1a,0x7f54c337,0x0bffa23f,0xdf913ff6,0x7fcc7fb8,0x335ffd10,
    0x20333333,0xfffffff9,0x3ee006ff,0xfff9800f,0xffd88003,0x1ff7000d,
    0xfffff880,0x87fbcfff,0xfffffff9,0xfff703ff,0xff57ffff,0x7fffff41,
    0xffffffd3,0x2fffcc05,0xffffe980,0x6c45ffff,0xffffffff,0x3fffe26f,
    0x44ffffff,0xff104ffd,0x2e37e45f,0xb87fcc7f,0xffffffff,0x7c41ffff,
    0xceffedef,0x553004ff,0x03fff700,0x1effc800,0x800ffb80,0x1dffffd8,
    0x3f220ff7,0x401dffff,0x52effffa,0x7ff4c1ff,0x3fff623e,0x3fe201ef,
    0x7f5c003f,0x502dffff,0xdffffffd,0x7ffff449,0x7dc2dfff,0x3fea00ef,
    0xfb8df91f,0xfb87fcc7,0xffffffff,0x7fec1fff,0x05ffb021,0x77fdc000,
    0xff700000,0x4000001f,0x4c400019,0x00988000,0x26600440,0x00793000,
    0x40009880,0x98801998,0x00000199,0x00000000,0x4404ffa8,0x4cccc7ff,
    0x99999999,0x00037609,0x0005f300,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xd5000000,0xf8197001,0xffffffff,0x0003ffff,
    0x00001000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7fffffc0,0x3fffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0x302ccca9,0x65400199,0xdb98b2e4,0x0ccb82de,0x930cca80,0x1eff6cc9,
    0x02b32a20,0x00001300,0x44000000,0x01a88009,0x8804d54c,0x32005503,
    0x00003880,0x2a600026,0xfa800002,0x41ffffff,0x36002ff9,0x7d53fa6f,
    0x5c4fffff,0x7ff804ff,0x7ffe5fee,0xff705fff,0xa805ffff,0x00dffffe,
    0x9500df30,0xb300d880,0x7fe409ff,0x7fd43fff,0x7cc3ffff,0x007fe42f,
    0xdfb03fee,0x2037f620,0x0dffffd8,0x405ffd00,0x3ffa3fff,0x6555f543,
    0x1ffc46ff,0x7f4bfd00,0xfdadffbd,0x1bfe21ff,0x7dc9ff50,0xfdacffcf,
    0x77fd42ff,0x881fffdc,0xfdbacefd,0x06f9802f,0xe8827fd4,0x7ffecc6f,
    0xffffb04f,0x7fdc5fff,0x6c1ffffe,0x17fe20ff,0x7dc4ff98,0xbfff702f,
    0xffefff98,0x7fdc00ff,0x5ffd00ef,0xc801ffec,0x004ff87f,0xfffe93fe,
    0x22ffd41f,0x3f601ffd,0x3fffee1f,0xf137fcc1,0x85ff98bf,0x26199cfd,
    0xf10541fe,0x3fa20a8b,0x1fff444f,0x9ffdfff3,0x2e22ba60,0xf30226ff,
    0x45ff88bf,0xdfd02ffa,0x702ffc41,0x7f41ffff,0x817fea0e,0x04fe9ff8,
    0x7fec5ffd,0x7fdcc402,0x3a62ff40,0xfd1ffc45,0xdff101ff,0xf104ffa8,
    0x1fffb8df,0x7fccfff0,0x7d47fe81,0x22bfffb4,0x47ff10ef,0x889fb14f,
    0xffb14ffe,0xff13bd07,0x07fe8009,0xffa84ff8,0x2e07fec2,0x077ec2ff,
    0x23ffff10,0x7fc80ffa,0x7fd53f20,0x361ffd81,0xffeb82ff,0x7ec0ffff,
    0xf307fe46,0x00fff43f,0x0fff0ffd,0xff70bfea,0xf73fec05,0xe83fee0f,
    0x5f71bb0f,0x7fe44fee,0xfffacf8d,0xdcffe883,0x7c4103ff,0x3fe2004f,
    0xffd99886,0x441ff901,0x17fe25ff,0xf7003ff7,0x41ff21ff,0xff981ffa,
    0x3f617f60,0x907ff21f,0xff959bff,0x7fc7fb81,0xe83fea3f,0x40cc406f,
    0x7fd82ffc,0x3201ffb8,0x03ff70ff,0xb2fc4ff7,0x27c4fe2b,0x3fffff22,
    0x7ff4403f,0xff1003ff,0x1ffec009,0x017ffff4,0xffc89ff1,0xff81ff91,
    0x4fff3005,0x1ff707fc,0xff989fb0,0xf907fe42,0x544ff83f,0x87fd40ff,
    0x3ee6fff9,0x00037f47,0xff88bff1,0x201ffb84,0x7ff50ffc,0x1fccdfb0,
    0x7c1bd9db,0x0bfff306,0x02fffc40,0x1009ff10,0x3b60bffb,0xf904ffff,
    0x12ffc41f,0x1ffb89ff,0x2e4ffb80,0x87fd80ff,0xffc80ffa,0xfb83ff20,
    0x88ffe20f,0x7fcc0ffd,0x23ff9f91,0x037f46fc,0xb83ff600,0x1ffb81ff,
    0x7c43ff20,0x8ffea1ef,0x3f7b64f9,0x3ee237c2,0x402effff,0x04ffffe8,
    0x8809ff10,0xd1005ffe,0x3ffa83ff,0x3ee07fec,0x2037f41f,0x7fc46ffb,
    0x07ff910e,0x3fe207fd,0x33106624,0xffbbffb0,0x2ff881ff,0x369fb3fd,
    0x0037f45f,0xfe8ffea0,0x403ff706,0x3fee0ffc,0xf86ffeef,0x887ed765,
    0x3dff914f,0x05dff79f,0xffd7ffd1,0x09ff1009,0x001fffd4,0xff88bfee,
    0xe81ffd45,0x227fc46f,0x81efffe9,0xfffffffb,0x5c06fb85,0x260001ff,
    0xff8dfffe,0x6f9bff80,0xd13f6ff7,0xff0000df,0x5c0ffe6d,0x3ff201ff,
    0x7ffffd40,0x5761fb04,0x225f93f9,0x229f13ff,0x7ff444fd,0x109ffd13,
    0x33bff333,0x4d7ffe41,0x3e600999,0x83ff61ff,0x3e606fe8,0x317fdc4f,
    0xe9807dff,0x9903efff,0x00599003,0x0cc13100,0x14fccfe8,0xe87ff3ff,
    0xfc80006f,0x700ffc9f,0x7fe403ff,0x98035300,0x4ff4bb6f,0xbf10545f,
    0x3ff620b8,0x227ff443,0xfffffffe,0xfffff15f,0x3b6bffff,0x24ffffee,
    0x7fe42ff9,0x207fe401,0x000626fd,0x0000004c,0xd8000000,0x3f61fedf,
    0x37f41ffc,0x67fcc000,0x3fee05ff,0x003ff201,0x207bee00,0x7cc00ffb,
    0x81ffd405,0x3fa0efe8,0x5fffffff,0xfffffff1,0x3fff6bff,0x03983eff,
    0x20760077,0x000000b8,0x00000000,0xddddddd5,0xfff70ddd,0x0ffffa8d,
    0x800037f4,0x201ffffe,0x3f201ffb,0xddddd50f,0x2a0ddddd,0xdffdceff,
    0x806f9800,0x206c403a,0x99999998,0x26666609,0x55109999,0x00000335,
    0x00000000,0x00000000,0x7fffffdc,0xffa87fff,0x3fffc44f,0x800037f4,
    0x5c06fffa,0x3ff201ff,0xffffff70,0x5c40ffff,0x4002cefd,0x00000009,
    0x00000000,0x00000000,0x00000000,0x2aa60000,0x2aaaaaaa,0xd81fff98,
    0x06fe86ff,0x0fffe000,0x6403ff70,0x555530ff,0x00555555,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x54000000,
    0xaaaaaaaa,0xdd11aaaa,0xdddddddd,0x00001ddd,0xcdc98000,0x0fb20001,
    0x4cc03db1,0x22099999,0x20dec81a,0xeeeeeeee,0xeeeeeeee,0xddddd93e,
    0x00005ddd,0x00000000,0x00000000,0x7c000000,0xffffffff,0xff13ffff,
    0xffffffff,0xff701fff,0x7e40003f,0x3ffee1ef,0x07dd03ff,0x7dc1fff3,
    0xffff306f,0x3fe2dfff,0x9bffee4f,0xffffffff,0xffffffff,0xfffffd4f,
    0x00005fff,0x00000000,0x00000000,0x7c000000,0xffffffff,0x9913ffff,
    0x99999999,0x3e601ffb,0xfc8001ff,0x3ffe60df,0x7c44fffd,0x47ff882f,
    0xdd305ffa,0x32bddddd,0xffd1ffff,0x2aaaa1ff,0xaaaaaaaa,0xb91aaaaa,
    0x3bbbbbbb,0x00000000,0x00000000,0x00000000,0x00000000,0x4401ff70,
    0x32001ffd,0x0ffc83ff,0x321bffd1,0x017301ff,0xfb000075,0x3ff63fff,
    0x000000ff,0x00000000,0x00000000,0x00000000,0x00000000,0x03fee000,
    0x20037ae0,0xbfd01dea,0xfffffe88,0x0000005f,0x137ffd40,0x00005ffd,
    0x00000000,0x00000000,0x00000000,0x00000000,0xffb80000,0x00000000,
    0x3ff207b9,0x00000eff,0x0cda8000,0x00000098,0x00000000,0x00000000,
    0x00000000,0x3fe00000,0xffffffff,0xb8003fff,0x000000ff,0x2ee60000,
    0x00000002,0x00000000,0x00000000,0x00000000,0x00000000,0x3e000000,
    0xffffffff,0x8003ffff,0x00000198,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x55555000,0x55555555,0x00000003,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__consolas_32_latin1_x[224]={ 0,6,4,0,1,0,0,7,4,4,2,1,3,4,
6,1,1,2,2,2,0,2,1,1,1,1,6,3,2,2,3,4,0,0,2,1,1,3,3,1,1,2,2,2,
3,0,1,0,2,0,2,1,1,1,0,0,0,0,1,5,2,4,1,0,0,2,2,2,1,1,0,1,2,2,
2,2,2,1,2,1,2,1,3,2,0,2,1,0,1,0,2,2,7,3,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,6,1,1,1,0,
7,2,0,0,3,2,1,4,1,0,3,1,3,4,0,2,1,6,6,3,3,2,0,0,0,3,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,2,2,0,0,
0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,2,0,
 };
static signed short stb__consolas_32_latin1_y[224]={ 23,0,0,2,-1,0,1,0,-1,-1,0,6,17,13,
18,0,2,2,2,2,2,2,2,2,2,2,7,7,5,10,5,0,0,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,0,2,27,0,7,0,7,0,7,0,7,0,0,
0,0,0,7,7,7,7,7,7,7,2,7,7,7,7,7,7,0,-3,0,11,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,23,7,-1,2,3,2,
-3,0,1,2,2,8,13,13,0,1,0,3,0,0,0,7,0,11,23,0,2,8,0,0,0,7,-3,-3,-3,-4,
-3,-5,2,2,-3,-3,-3,-3,-3,-3,-3,-3,2,-4,-3,-3,-3,-4,-3,7,-1,-3,-3,-3,-3,-3,2,0,0,0,
0,0,1,-1,7,7,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,6,3,0,0,0,1,0,0,1,
 };
static unsigned short stb__consolas_32_latin1_w[224]={ 0,5,10,17,15,18,18,4,10,9,14,16,9,10,
6,15,16,14,14,14,17,14,15,15,15,15,6,9,13,14,13,11,18,18,14,15,16,12,12,15,15,13,12,15,
13,17,15,17,14,18,15,15,16,15,18,17,18,18,15,9,14,9,15,18,11,14,14,13,15,15,17,16,14,14,
12,15,14,16,14,16,14,15,14,13,16,14,16,18,16,17,14,13,4,13,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,0,5,14,15,16,17,
4,14,14,18,12,14,15,10,15,13,12,15,11,10,15,15,15,6,5,11,12,14,18,18,18,10,18,18,18,18,
18,18,18,15,15,15,15,15,15,15,15,15,17,16,17,17,17,17,17,14,17,16,16,16,16,18,14,14,16,16,
16,16,16,16,17,13,16,16,16,16,16,16,16,16,15,16,17,17,17,17,17,16,16,16,16,16,16,17,14,17,
 };
static unsigned short stb__consolas_32_latin1_h[224]={ 0,24,9,21,28,24,23,9,31,31,15,17,12,3,
6,27,22,21,21,22,21,22,22,21,22,21,17,22,19,9,19,24,30,21,21,22,21,21,21,22,21,21,22,21,
21,21,21,22,21,27,21,22,21,22,21,21,21,21,21,30,27,30,11,3,8,17,24,17,24,17,23,23,23,23,
30,23,23,16,16,17,23,23,16,17,22,17,16,16,16,23,16,30,33,30,7,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,23,28,21,20,21,
33,27,7,22,16,13,8,3,15,7,12,20,14,14,8,23,27,6,5,14,16,13,23,23,23,23,26,26,26,27,
26,28,21,26,26,26,26,26,26,26,26,26,21,27,27,27,27,28,27,14,28,27,27,27,27,26,21,24,24,24,
24,24,23,25,17,21,24,24,24,23,23,23,23,22,24,23,24,24,24,24,23,17,24,24,24,24,23,30,30,29,
 };
static unsigned short stb__consolas_32_latin1_s[224]={ 255,249,243,1,233,35,103,250,11,22,109,
62,204,139,113,1,129,206,221,114,212,99,67,183,51,133,246,180,48,1,34,
242,126,149,168,190,100,87,199,1,230,19,243,33,236,64,173,33,49,119,117,
83,189,17,154,136,117,98,82,73,52,45,227,120,32,79,187,161,1,175,61,
159,144,1,32,111,96,222,65,94,194,227,33,191,163,111,48,14,205,209,239,
83,6,112,60,70,70,70,70,70,70,70,70,70,70,70,70,70,70,70,70,
70,70,70,70,70,70,70,70,70,70,70,70,70,70,70,70,70,255,246,163,
225,1,1,1,18,77,206,1,189,16,139,93,92,214,18,151,163,44,192,67,
106,250,139,80,174,208,227,139,16,167,205,186,33,68,196,51,17,52,87,103,
119,135,224,240,151,33,138,173,83,101,215,155,124,178,191,208,225,1,33,241,
122,105,88,71,54,27,1,126,19,137,154,18,127,79,158,122,146,171,44,202,
220,238,17,176,144,35,52,86,69,175,55,97,145, };
static unsigned short stb__consolas_32_latin1_t[224]={ 1,1,254,211,1,91,117,211,1,1,254,
233,254,271,271,63,166,211,211,166,189,166,166,189,166,189,189,166,233,271,233,
35,1,189,189,166,189,189,189,166,189,211,142,211,211,211,211,166,211,35,189,
166,211,166,211,211,211,211,211,1,35,1,254,271,271,233,91,233,117,233,142,
142,142,142,1,142,142,233,254,233,142,142,254,233,166,233,254,254,233,142,233,
1,1,1,271,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,
189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,1,117,1,
166,233,189,1,35,271,166,254,254,271,271,254,271,254,233,254,254,271,117,35,
271,221,254,254,254,117,117,117,142,63,63,63,35,63,1,189,63,63,63,63,
63,63,63,63,63,189,35,35,35,35,1,35,254,1,35,35,35,35,63,166,
91,91,91,91,91,142,91,233,189,91,91,91,142,142,117,117,166,91,142,91,
91,91,117,142,233,117,117,117,117,117,1,1,1, };
static unsigned short stb__consolas_32_latin1_a[224]={ 282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_32_latin1_BITMAP_HEIGHT or STB_FONT_consolas_32_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_32_latin1(stb_fontchar font[STB_FONT_consolas_32_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_32_latin1_BITMAP_HEIGHT][STB_FONT_consolas_32_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_32_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_32_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_32_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_32_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_32_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_32_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_32_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_32_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_32_latin1_s[i] + stb__consolas_32_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_32_latin1_t[i] + stb__consolas_32_latin1_h[i]) * recip_height;
            font[i].x0 = stb__consolas_32_latin1_x[i];
            font[i].y0 = stb__consolas_32_latin1_y[i];
            font[i].x1 = stb__consolas_32_latin1_x[i] + stb__consolas_32_latin1_w[i];
            font[i].y1 = stb__consolas_32_latin1_y[i] + stb__consolas_32_latin1_h[i];
            font[i].advance_int = (stb__consolas_32_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_32_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_32_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_32_latin1_s[i] + stb__consolas_32_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_32_latin1_t[i] + stb__consolas_32_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_32_latin1_x[i] - 0.5f;
            font[i].y0f = stb__consolas_32_latin1_y[i] - 0.5f;
            font[i].x1f = stb__consolas_32_latin1_x[i] + stb__consolas_32_latin1_w[i] + 0.5f;
            font[i].y1f = stb__consolas_32_latin1_y[i] + stb__consolas_32_latin1_h[i] + 0.5f;
            font[i].advance = stb__consolas_32_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_32_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_32_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_32_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_32_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_32_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_32_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_32_latin1_LINE_SPACING
#endif

