// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_33_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_33_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_33_latin1_BITMAP_WIDTH         256
#define STB_FONT_consolas_33_latin1_BITMAP_HEIGHT        300
#define STB_FONT_consolas_33_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_33_latin1_FIRST_CHAR            32
#define STB_FONT_consolas_33_latin1_NUM_CHARS            224

#define STB_FONT_consolas_33_latin1_LINE_SPACING          22

static unsigned int stb__consolas_33_latin1_pixels[]={
    0x2aa21551,0x10000b20,0x5555544b,0x555511aa,0x44003555,0x013510a9,
    0x000f7540,0x9ddb1000,0x2e000000,0x0b2601ee,0x73000726,0x00037bdb,
    0x99000000,0x00000003,0x7cc00266,0x2e5ff32f,0xd10001ff,0x3fffeabf,
    0xfff74fff,0x5007ffff,0x3e67ffff,0xfa803fff,0x1000002f,0x90009ffd,
    0x7fc400bf,0x87ffe06f,0x9000fff8,0x7fffffff,0x6ffe4400,0x3e200000,
    0x5fb8000f,0x7ffecc00,0x3e600cef,0x265ff32f,0x44001fff,0xfff51ffe,
    0x3ee9ffff,0x03ffffff,0x9fffffe4,0x05fffff9,0x00017fd4,0x017ff440,
    0x2004fd80,0xf107fff9,0x7ffcc5ff,0x5fff4401,0x007ff951,0x01bf7bf6,
    0x006fb800,0x5c009f90,0xffffffff,0x25ff301e,0x3fe62ff9,0x3ffa000f,
    0xba7fc402,0x7cc001ff,0xd7301cff,0x7fd405ff,0x74400002,0x3a0000ef,
    0x7ff4003f,0x3213ee04,0x1efd804f,0x8803ff70,0x0007f26f,0x04fe9a98,
    0x2007fb00,0xb9acfffd,0xf981fffe,0xa85ff32f,0xff9005ff,0x29ff1007,
    0x64001ffb,0xff5003ff,0x017fd40b,0x00662000,0x000bfe00,0x000000aa,
    0xfb003fee,0x326f8809,0x7ecc001f,0x002fffff,0xdfffdb71,0x3ffe6059,
    0x85ffe881,0x5ff32ff9,0x8805ffb0,0xff1006ff,0x0007fee9,0x7c001ffb,
    0x0bfea06f,0x00000000,0x0000ffc4,0xf8800000,0x07f9802f,0x06fddfd8,
    0x7ffffdc0,0x2201ffff,0xfffffffc,0x3ffb05ff,0x207ffc40,0x5ff32ff9,
    0xd80dff10,0xff1001ff,0x0007fee9,0xfd800dfd,0x10bfea07,0x0cc40135,
    0x4c033300,0x20acffdb,0x99999999,0x00cc4099,0x5fc83330,0x100bfe00,
    0x4001dffb,0xe9acfffd,0xfb00ffff,0x97ff9dff,0x0dff30bb,0xf989ff90,
    0x205ff32f,0xff503ffc,0xa7fc4009,0x74001ffb,0x3fe4005f,0x3ee5ff50,
    0xf904ffff,0xbff5007f,0xfffffd30,0x3ffe69ff,0x3fffffff,0x5401ffe4,
    0x0bfe25ff,0x0003fd80,0x03ffe600,0x70bffdff,0x1fea1dff,0x200ffee0,
    0x7fcc6ff9,0x2205ff32,0x1ffb06ff,0xba7fc400,0x7f4001ff,0x03fe4005,
    0xfff95ff5,0xf30bffff,0x5ffb00df,0xfeffffc8,0xfff34fef,0x7fffffff,
    0xd806ff98,0x11fee2ff,0x32999db9,0xffff804f,0x83ffb001,0x1fff9ff9,
    0xdf717ff4,0x001ff900,0x5ff31ffe,0xfd80bfe6,0x037fc41f,0x7dd3fe20,
    0x2ff4001f,0xa81ff200,0x88bffeff,0xfe81fffa,0x1ffe201f,0x3f25fff5,
    0x4cccc515,0x83ffb999,0x3e201ffe,0xd327ec7f,0x2e9fffff,0x7ffd405f,
    0x6ff9804f,0x7ff95fc8,0x3f20fff8,0x007fd805,0x5ff31ffa,0xfa80bfe6,
    0x01ffd44f,0x7dd3fe20,0x2ff4001f,0xa81ff200,0xfa81efff,0x04ffb85f,
    0xff893fea,0x0013f61f,0x3ee0ffe6,0x13fea04f,0x4f7f45ff,0x0bf73ffb,
    0x06ffffd8,0xfe83ffb8,0xfe8dff33,0x2013f63f,0x3fa007fe,0x4cbfe60f,
    0x3fe202ff,0x0007fec6,0x7fdd3fe2,0x01ffc001,0x5407fea0,0x3fe00fff,
    0x207ff887,0x3fee1ffd,0x4001ff44,0xff883ff9,0x987ff607,0x21ff50ff,
    0x0df52ff8,0x1ffddff8,0x220ffe40,0x91ffe0ff,0x0ffa5fff,0xd801bfe0,
    0x4bfe61ff,0x7f402ff9,0x4003ff47,0x3ff74ff8,0x007fdc00,0x5417fe20,
    0x7fe403ff,0x882ffd80,0x0ffe46ff,0x26000bfe,0x5ffb03ff,0xfb8dff10,
    0xffa97f66,0x7d40df50,0x404ffaaf,0x37dc0ffd,0xffd03ffe,0xf005ffdf,
    0x7ff400ff,0x644bfe60,0x07fec01c,0xf1000dff,0x807fee9f,0x04ffdba8,
    0x59dff700,0x900bfea3,0xbff303ff,0xfe87ff70,0x000ffc47,0xf981ffcc,
    0x43ffb85f,0xb8ffe5fc,0xd817ee7f,0x06ff88ff,0x27ec3ffc,0xfb103ffa,
    0x8019ffff,0xfd000ffe,0x002ff98f,0x3fe1ffd8,0x4ff88005,0x7d403ff7,
    0x40000dff,0xf53fffd8,0x2ffb805f,0xfe81ffd0,0x263ffc0f,0xf98000ff,
    0x03ffa03f,0x4fc81ffd,0x37e43ff3,0x2ffc0bf7,0x7fc03ffb,0x360ffc47,
    0xffb500ff,0x3a019fff,0xdff000ff,0x8002ff98,0xbff11ffc,0x29ff1000,
    0x3a601ffb,0x0001dfff,0x25dfff91,0x7e402ffa,0x49ff701f,0xffe85ff8,
    0x4001fea1,0x3ee03ff9,0x217fe24f,0x41ff54fd,0x413f25fd,0x3fee3ffa,
    0xf51ffe04,0x700ffd0f,0x05ffffff,0xf3005ffb,0x02ff98bf,0x3e0ffc80,
    0xff88006f,0x2003ff74,0x8000ffe9,0xffa81efe,0x807fec02,0x3fee7ff8,
    0x323ffd82,0xff30006f,0x73ffc407,0x27fb05ff,0x93fe0ffb,0x1ffb03fd,
    0xff037fc4,0x7c27e41f,0xaefb807f,0x7d41fffe,0x2ffc805f,0x40017fcc,
    0x1ffe0ffd,0x5d3fe200,0x3e6001ff,0x7fc4002f,0x805ff501,0x7fec07fe,
    0x3ee0ffd2,0x0017f65f,0x3601ffcc,0x20ffd2ff,0x21ff73fe,0x07fe3ff8,
    0x7ff437fc,0x7c3ffd01,0x806ff82f,0x17ff64fc,0xf8807ffe,0x02ff986f,
    0x7f47fe80,0x4ff88007,0xf8003ff7,0x7fd4004f,0x405ff500,0x7d404ffa,
    0x104ff9cf,0x0ffabfff,0x01ffcc00,0x3fe73fea,0x3ea7fb04,0x267ff71f,
    0x07ff506f,0x3f207ff7,0xa81ff32f,0x3fd804ff,0x7fe43ffc,0x3ffe880f,
    0x4002ff98,0x7fec5ff8,0xa7fc4001,0x74001ffb,0x3fe4005f,0x2205ff50,
    0xfe800ffe,0x2e01ffcf,0x9bffefff,0xff3004da,0xf9ffd007,0x4d3f203f,
    0xdfefacff,0xffb03fe9,0x20dff303,0x0bf95ffa,0xfd005ff9,0x440fff85,
    0xcaacfffe,0xff305fff,0xa80bba65,0x27fd43ff,0x5d3fe200,0x7f4001ff,
    0x03fe4005,0x3137dff5,0x2007fff7,0x806ffffb,0xfffffffb,0xff3004ff,
    0xffff7007,0xfd2fe40d,0xffff1dff,0xd037fc0b,0xfff103ff,0xff887fd3,
    0x543ff006,0xffd106ff,0x09ffffff,0xff997fcc,0x203ff602,0x7c4006ff,
    0x003ff74f,0x64005fe8,0x3ffea07f,0x3fffffff,0x3fffe200,0xfff93002,
    0x20059dff,0xf8803ff9,0x3ee02fff,0xda86f5c5,0xbff500ce,0xfb333333,
    0x3bff207f,0x3ffa20ff,0x3fe20c42,0x409ffd30,0xdffffeb8,0x997fcc02,
    0xdff102ff,0x8007ff60,0x3ff74ff8,0x005fe800,0xff503fe4,0x19dfffff,
    0x0dffb000,0x003ff500,0x400ffe60,0x7d406ffd,0x3f600007,0xffffffff,
    0xff106fff,0xfd953fff,0x9dff30bf,0xffffbffb,0x17fdc00b,0xf32ff980,
    0x0bff205f,0x10037fcc,0x07fee9ff,0x800bfd00,0x3fea07fc,0xb0000332,
    0xf70005ff,0x7fd4000d,0x05ffb002,0x0002ff88,0xfffffff0,0x1fffffff,
    0x3ffffa20,0xf304ffff,0xffffffff,0x440019ff,0xff3006ff,0x260bfe65,
    0x7fec05ff,0x29ff1002,0x74001ffb,0x3fe4006f,0x0005ff50,0x003ffcc0,
    0x20005fc8,0xf9801ffb,0x0bf9007f,0x5bff5000,0xb5555555,0x7fc407ff,
    0x402dffff,0xefffeeca,0xfd0000bd,0x3064417f,0x0bfe65ff,0xf1003ffa,
    0xff1001ff,0x0007fee9,0x74001ffb,0x0bfea07f,0x7ff44000,0x09fb0002,
    0x007ff400,0x400bffa2,0x40002ff9,0xf9801ffc,0x27fea06f,0x3f600009,
    0xff300004,0x4bffdbff,0x5ff32ff9,0x7004ffc8,0xff100bff,0x0007fee9,
    0x26005ff9,0x3fea05ff,0xfe980002,0x3fa0004f,0x36202e03,0x7f4c04ff,
    0x7ff4004f,0xff80a202,0x03ffe007,0x800027ec,0x200003fe,0xfffffffa,
    0x7ccbfe64,0x017fea2f,0x8809ffb0,0x03ff74ff,0x02effa80,0x501ffecc,
    0x3a0005ff,0x006ffffe,0xfd017fc0,0xdfffb9bd,0x3ffffba0,0xffe88006,
    0x4fdcaabd,0x4009ff50,0x5ff03ffc,0x0bfe0000,0xd9710000,0x2ff98179,
    0x3fe65ff3,0x7ffb0006,0x3f333326,0x99bff74f,0xffd80399,0xff911cff,
    0xffa80dff,0xffff0002,0xf880007f,0x3fffa00f,0xf00cffff,0x0007ffff,
    0xffffffd8,0x3ff902ef,0x437fcc00,0x100002a8,0x000001dd,0x4cbfe600,
    0x01df52ff,0x54ffa200,0x4fffffff,0xfffffff7,0xfffc8807,0xbffff33f,
    0x01cc9801,0x01579900,0x54400000,0x401bcdcc,0x0000abcc,0x35997510,
    0x00000000,0x00000000,0x7fcc0000,0x0545ff32,0xc98e2000,0x32cccccc,
    0x39999999,0x472ea200,0x0001abc8,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x997fcc00,0x000002ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3fe65ff3,
    0x00000002,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x91000000,0x00732239,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x75400000,0x75c002ee,0xeb88004e,0x4c01c0ce,0x20004eed,0x0004eed9,
    0x02eeea80,0x0013bae0,0x05930595,0x59305950,0x00ccc000,0xddd97510,
    0x26000ddd,0x059502ee,0x2e200593,0x001c0cee,0x001fffa8,0x02ffffe4,
    0xfffffd10,0x3009f937,0x40009ffd,0x0004ffe9,0x007ffea0,0x05ffffc8,
    0xf81fff10,0x3fe201ff,0x00fffc0f,0xffffec98,0xff9103df,0xffffffff,
    0x03ff2000,0xff03ffe2,0xffe8803f,0x4fc9bfff,0x06ffd400,0x2afff200,
    0xfb800dff,0xffffea9d,0x3ff2000f,0x7fe40004,0xffa80004,0x3ff2000d,
    0x800dffab,0x7ff40fff,0x207ffc01,0xfb801ffe,0xffffffff,0xfffffa87,
    0x07feccef,0x204ff880,0x7ff40fff,0x54efdc01,0x00fffffe,0x000fba60,
    0xed9877ae,0xdb707004,0xdd500017,0xeea80005,0x3ba60002,0x0ef5c003,
    0x93009db3,0x30059305,0x00593059,0x357bfffb,0xff88fd95,0x364fffff,
    0xffb8007f,0x260b2601,0xb707002c,0x0000017d,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2a000000,0x20c02fff,0xfffffffd,0x2001ff64,
    0x000005fe,0x98000000,0x99800009,0x09980000,0x00998000,0x00000000,
    0x00000000,0x09980000,0x007ffa00,0x3fffffe0,0x01ff64ff,0x0005ff30,
    0x00000000,0x3bffff66,0x3f66000c,0x000cefff,0x3bffff66,0x3f66000c,
    0x200cefff,0xfb804ff9,0x013fe62f,0xff98bfee,0x22ffb804,0xfb804ff9,
    0x3ff6602f,0x2e00ceff,0xf88005ff,0x4fffffff,0xfb001ff6,0xffff800f,
    0x3ffe0001,0x3fee001f,0x0effffff,0xfffffb80,0xb800efff,0xffffffff,
    0xfffb800e,0x00efffff,0xf7009ff3,0x027fcc5f,0xff317fdc,0x45ff7009,
    0xfb804ff9,0xffff702f,0x201dffff,0x88001ffe,0xffffffff,0x8801ff64,
    0x3ea003ff,0x50004fff,0x2009ffff,0xb9acfffd,0x3601fffe,0xeb9acfff,
    0x3f601fff,0xfeb9acff,0x3ff601ff,0xffeb9acf,0x04ff981f,0x3e62ffb8,
    0x2ffb804f,0x2e013fe6,0x13fe62ff,0x360bfee0,0xeb9acfff,0x6ff81fff,
    0x3fffe000,0x3f64ffff,0x03ff2007,0x6ffffd80,0xffffb000,0x1fff300d,
    0x4c17ffa0,0xffd00fff,0x03ffe60b,0xf982fff4,0xbffd00ff,0x7009ff30,
    0x27fcc5ff,0xf317fdc0,0x5ff7009f,0x5c027fcc,0x7ffcc2ff,0x98bffd00,
    0x360005ff,0x4fffffff,0xff801ff6,0x6effc005,0xff8001ff,0x6c01ffdd,
    0x3fa201ff,0x01ffd80f,0x3603ffa2,0x3fa201ff,0x01ffd80f,0xf303ffa2,
    0x5ff7009f,0x5c027fcc,0x13fe62ff,0xf98bfee0,0x2ffb804f,0xd100ffec,
    0x27fd41ff,0xffff3000,0x3fec9fff,0x001ffa80,0x3feabfea,0x57fd4004,
    0x3e604ffa,0x4ffc806f,0x64037fcc,0x37fcc4ff,0x2627fe40,0xffc806ff,
    0x4027fcc4,0x3fe62ffb,0x22ffb804,0xfb804ff9,0x013fe62f,0xff98bfee,
    0x24ffc806,0x40004ffb,0x4ffffffb,0x7f401ff6,0x47fec006,0x6c006ff8,
    0x06ff88ff,0x2600ffee,0x1ffdc6ff,0x2e37fcc0,0xff9803ff,0x401ffdc6,
    0x7fcc6ff9,0x22ffb804,0xfb804ff9,0x013fe62f,0xff98bfee,0x22ffb804,
    0xf9803ffb,0x013fea6f,0x3fffa600,0x201ff64f,0x7c002ff9,0x007ff65f,
    0x3ff65ff8,0x003ff901,0x3ff91ffe,0xf91ffe00,0x1ffe003f,0x3e003ff9,
    0x027fcc7f,0xff317fdc,0x45ff7009,0xfb804ff9,0x013fe62f,0xffc8bfee,
    0x54fff001,0x200005ff,0x3f63cca9,0x007fc807,0xff71ffd4,0x8ffea009,
    0xffb04ffb,0xb1ffa001,0x3fa001ff,0x8007fec7,0x07fec7fe,0x7cc7fe80,
    0x2ffb804f,0x2e013fe6,0x13fe62ff,0xf98bfee0,0x2ffb804f,0x74003ff6,
    0x01bfe67f,0x3fec0000,0x0013fe20,0x7fc41ffb,0x41ffb006,0xfff06ff8,
    0xf07ff400,0x7ff400ff,0xe801ffe0,0x01ffe0ff,0x3e60ffe8,0x2ffb804f,
    0x2e013fe6,0x13fe62ff,0xf98bfee0,0x2ffb804f,0xfe801ffe,0x01fff10f,
    0xffb00000,0x000ffb80,0x7ff437fc,0xe86ff801,0x07ff81ff,0xff87ff60,
    0x87ff6007,0x3f6007ff,0x801ffe1f,0x3fe61ffd,0x22ffb804,0xfb804ff9,
    0x013fe62f,0xff98bfee,0x22ffb804,0x3f6007ff,0x013ff61f,0x1ff60000,
    0xa800bfd0,0x3ffb83ff,0x5c1ffd40,0x07ff83ff,0xff83ffa0,0x83ffa007,
    0x3fa007ff,0x801ffe0f,0x3fe60ffe,0x22ffb804,0xfb804ff9,0x013fe62f,
    0xff98bfee,0x22ffb804,0x3fa007ff,0x07ffe60f,0xffb00000,0x0017fd40,
    0x3e607ff6,0x0ffec06f,0x7f437fcc,0xd1ffa007,0x3ff400ff,0xfe801ffa,
    0xd003ff47,0x04ff98ff,0x3e62ffb8,0x2ffb804f,0x2e013fe6,0x13fe62ff,
    0xfe8bfee0,0x21ffa007,0x0c02fffe,0x40ffb000,0xff8006fd,0x807ffa06,
    0x3ffa06ff,0x8007fec1,0x07fec6ff,0x7ec6ff80,0x8dff000f,0xff000ffd,
    0x804ff98d,0x3fe62ffb,0x22ffb804,0xfb804ff9,0x013fe62f,0xffd8bfee,
    0x10dff000,0x559dfffd,0x4000ff97,0x7ff107fd,0x9dffa800,0xffd99999,
    0x33bff503,0x7ffb3333,0x9802ffc8,0x17fe45ff,0x322ffcc0,0xff9802ff,
    0x4017fe45,0x7fcc5ff9,0x21ffb805,0xfb805ff9,0x017fe61f,0xff987fee,
    0x21ffb805,0xf9802ffc,0xfffd105f,0x0fffffff,0xc83ff400,0x7ec000ff,
    0xffffffff,0xffb06fff,0xffffffff,0x5ffa8dff,0x542ffc80,0xffc805ff,
    0x402ffd42,0x7fd42ffc,0x82ffc805,0xffc805ff,0x6402ffc0,0x02ffc0ff,
    0x3fe07fe4,0x20ffc805,0xfc805ffa,0x7fed402f,0x002bdfff,0x7fc17fe0,
    0xffff8004,0xffffffff,0xffff80ff,0xffffffff,0x07ffc0ff,0x3e0dff10,
    0x3fe200ff,0x401fff06,0xfff06ff8,0x837fc401,0x7fc00fff,0x400fff87,
    0x0fff87ff,0x7fc3ffc0,0x43ffc00f,0x3e200fff,0x3bfe006f,0xfa802000,
    0x01ffb84f,0x556ffd40,0xfdaaaaaa,0x56ffd43f,0xdaaaaaaa,0x77fdc3ff,
    0x02ffe880,0xd101dff7,0x3fee05ff,0x2ffe880e,0x101dff70,0x3f205ffd,
    0x0fff204f,0xfc813ff2,0x04ffc83f,0x3f20fff2,0x0fff204f,0x2203bfee,
    0xf1002ffe,0x1fdc007f,0x203ffee2,0xfc8006fe,0x6ff9801f,0x4c00ffe4,
    0x7ff446ff,0xffecaacf,0x3fffa205,0x5ffecaac,0x33fffa20,0x05ffecaa,
    0x2b3fffa2,0x205ffeca,0x99adfff8,0xf106ffda,0xb5335bff,0x3fe20dff,
    0xfda99adf,0xbfff106f,0xdffb5335,0x33fffa20,0x05ffecaa,0x4007fea0,
    0xfdeffff8,0xff983fff,0x07ff8002,0xff83ffe0,0x03ffe007,0xffffffb1,
    0xfb1009ff,0x9fffffff,0xffffb100,0x1009ffff,0xfffffffb,0xfff5009f,
    0x3dffffff,0x7ffffd40,0x201effff,0xfffffffa,0x3ea01eff,0xffffffff,
    0x3ff6201e,0x04ffffff,0x2003fe40,0xffffffe9,0x00ffb02f,0x4009ff50,
    0x9ff53ffc,0x81ffe400,0x2dffffeb,0x7fff5c00,0x75c002df,0x002dffff,
    0x6fffff5c,0x3fb22002,0x1003efff,0x7dffffd9,0x3ffb2200,0x91003eff,
    0x07dffffd,0x7ffff5c0,0x3ec8002d,0x7b973000,0x00d54015,0x000ffe40,
    0x3ff2dff3,0x1bfe6001,0x40000260,0x13000009,0x00260000,0x0000cc00,
    0x4c0000cc,0x01980001,0x00009800,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xdb300000,0x3ba6009d,0x2a000002,0x40002eee,0x5c02eeea,
    0x00ceefec,0x0009ddb3,0x0bbbaa00,0x033bae20,0x4eed9807,0x77540000,
    0x9dd7002e,0x4c165400,0x3bae002c,0x20b2a004,0x153002c9,0x027ff4c0,
    0x00005fe8,0x003fff50,0x01fffa80,0x3fffffea,0x3fa600ff,0x5400004f,
    0xe8801fff,0xc9bfffff,0x7ff4c04f,0xff500004,0x3ff2003f,0xff8805ff,
    0x00fffc0f,0x02ffffe4,0x3e07ffc4,0x7fdc01ff,0x27fe400e,0x000ffdc0,
    0x037fea00,0x1bff5000,0x567ffcc0,0xc800dbaa,0x500004ff,0x2e001bff,
    0xfffea9df,0xff9000ff,0xffa80009,0x7ff9000d,0xf801bff5,0x0fff40ff,
    0x3eafff20,0x7ffc00df,0x200fff40,0xa802fffd,0x7fc402ee,0x3a600004,
    0xe980003e,0x1ffe803e,0x2eea8000,0x1f74c000,0x76dc1c00,0x7754000b,
    0x7dd30002,0x30ef5c00,0x2c9809db,0x75c02c98,0x013b661d,0x05930593,
    0x001fff90,0x01ff9000,0x00000000,0x01bfe000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0016e440,0x03ff9800,0x00000000,
    0x01fff000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3ff60000,0xffffffff,0x006fd81f,0xb8017ff6,0xfffb06ff,0xffffffff,
    0x00effc83,0x0ffffc00,0x3ffff000,0x0dfff100,0x7cc1ffb8,0xffffffff,
    0x7fcc2fff,0xffffffff,0xfffd82ff,0xffffffff,0xfffffd81,0x41ffffff,
    0xfffffff9,0x4c2fffff,0xffffffff,0x0002ffff,0x7fffffec,0xa81fffff,
    0xff1001ff,0x3ffa003f,0xfffffb01,0x83ffffff,0x003ffff8,0x09ffff50,
    0x3fffea00,0xffff8804,0x307fee02,0xffffffff,0xf985ffff,0xffffffff,
    0xffd82fff,0xffffffff,0xffffd81f,0x1fffffff,0x7fffffcc,0x42ffffff,
    0xfffffff9,0x402fffff,0x7ffb03ff,0x55555555,0x8017fe01,0xfb806ffc,
    0x2fff605f,0xaaaaaaaa,0x3ffffa20,0x7ec001ef,0xb0006fff,0x100dffff,
    0x5c0dffff,0x555441ff,0xaaadffca,0x5555440a,0xaaaadffc,0xaabffd80,
    0x80aaaaaa,0xaaaabffd,0x5440aaaa,0xadffcaaa,0x55440aaa,0xaadffcaa,
    0x1ffc00aa,0x0000ffd8,0x44003fee,0x3e202fff,0x3ff600ff,0x57ff4000,
    0x004fffe9,0x07ff77fe,0x3f77fe00,0x7ffc401f,0x3ff701ff,0x007ff500,
    0x400ffea0,0xb0000ffd,0x200001ff,0x50003ffa,0xff0007ff,0x003ff607,
    0x004ff880,0xfb81bfee,0x07fec04f,0xb87ff500,0x5400efff,0x04ffaaff,
    0x7d57fd40,0x67fc404f,0x3ff705ff,0x007ff500,0x400ffea0,0xb0000ffd,
    0x200001ff,0x50003ffa,0xff0007ff,0x003ff609,0x800ffb00,0xff883ffe,
    0x07fec00f,0x301ff900,0xfd80dffd,0x006ff88f,0x7fc47fec,0x667fc406,
    0x1ffb81ff,0x003ffa80,0x2007ff50,0xb0000ffd,0x200001ff,0x50003ffa,
    0x36e007ff,0xffb04fff,0xff980001,0x3ffea002,0x401ffe40,0x32000ffd,
    0xffd101ff,0xfb2ffc07,0x2ffc003f,0x7c403ffb,0xb85ff9cf,0xffa801ff,
    0x7ff50003,0x003ff600,0x0007fec0,0x003ffa80,0x9807ff50,0x04ffffff,
    0x00001ffb,0xfd800dfd,0x01bfe24f,0x70007fec,0x7fcc09ff,0x5c7ff505,
    0xff5004ff,0x1027fdc7,0x03ffa9ff,0xf5003ff7,0x3ea0007f,0x1ffb003f,
    0x03ff6000,0x1ffd4000,0x03ffa800,0x4cd6fff4,0x333ffb00,0x00133333,
    0x4c003ff5,0x5ff90fff,0x267ff600,0x20999999,0x3a03fff8,0x41ffb06f,
    0xfb006ff8,0x037fc41f,0x3fea9ff1,0x400ffdc4,0x50003ffa,0x3f6007ff,
    0x9999999f,0x33ffb009,0x01333333,0x000ffea0,0xf501ffd4,0x7fec00bf,
    0xffffffff,0x009ff006,0xff8cffc8,0x3fff6005,0x6fffffff,0xe827ffd4,
    0xd0dff06f,0xdff003ff,0x2203ffd0,0x83ffa4ff,0xfa801ffb,0xff50003f,
    0x3fff6007,0x6fffffff,0xffffffb0,0x200dffff,0x50003ffa,0x7fe407ff,
    0x3fff6002,0x6fffffff,0x001ff900,0x7fefffc4,0x3fff6001,0x6fffffff,
    0x22efffa8,0xffa83ffa,0x403ffb83,0xffb83ffa,0x549ff103,0x07fee4ff,
    0x000ffea0,0xd801ffd4,0xffffffff,0xfffb06ff,0xdfffffff,0x00ffea00,
    0xb01ffd40,0x7ec005ff,0x9999999f,0x7ff10009,0xffffb800,0x4ffec004,
    0x09999999,0x7bfffb10,0x3ff60dff,0x406ff981,0xff981ffd,0xe89ff106,
    0x03ff70ff,0x0007ff50,0x6c00ffea,0x999999ff,0x3ffb0099,0x13333333,
    0x00ffea00,0x901ffd40,0x7ec009ff,0x3600000f,0xffe8006f,0x7fec000f,
    0x7fd40000,0xff00efff,0x00fff40d,0x7ff40dff,0x5c4ff881,0x03ff73ff,
    0x0007ff50,0x6c00ffea,0xfb0000ff,0x2a00001f,0xf50003ff,0x77fcc07f,
    0x01ffb000,0x17fd4000,0x013fee00,0x0003ff60,0x0ffff220,0x4cceffd4,
    0x03ffd999,0x3333bff5,0x107ffb33,0x6ff889ff,0xf5003ff7,0x3ea0007f,
    0x1ffb003f,0x03ff6000,0x1ffd4000,0x03ffa800,0x40077ff4,0x00000ffd,
    0x2a002ff4,0xfd8003ff,0x2a00000f,0xffd80fff,0xffffffff,0xfffb06ff,
    0xffffffff,0x09ff10df,0x3ff75ff9,0x007ff500,0x400ffea0,0xb0000ffd,
    0x200001ff,0x50003ffa,0xff8807ff,0x3f601cff,0x5c00000f,0x3ea000ff,
    0xffd8003f,0x7e400000,0xfffff82f,0xffffffff,0xfffff80f,0xffffffff,
    0x427fc40f,0x1ffbeff8,0x003ffa80,0x2007ff50,0xb0000ffd,0x200001ff,
    0x50003ffa,0xfd1007ff,0xd83fffff,0x400000ff,0x2a004ff8,0xfd8003ff,
    0x7400000f,0x6ffd40ff,0xaaaaaaaa,0x7fd43ffd,0xaaaaaaad,0x7c43ffda,
    0xfbff904f,0x7ff5003f,0x0ffea000,0x0007fec0,0x0000ffd8,0x0007ff50,
    0xb800ffea,0x6c1ffffe,0x800000ff,0x3ea007fc,0xffd8003f,0xb8022000,
    0x1ffc86ff,0x646ff980,0xff9801ff,0x8827fc46,0x801fffff,0x50003ffa,
    0x3f6007ff,0xffb0000f,0x3ea00001,0xff50003f,0x97510007,0xaabffd81,
    0x00aaaaaa,0x801ffcc0,0xd8003ffa,0xaaaaabff,0xbff30aaa,0x3ffffd99,
    0x7c00fff0,0x01ffe0ff,0x3e20fff8,0x3fff604f,0x5555441f,0xaaaadffc,
    0x65555440,0x0aaaadff,0xaaabffd8,0xd80aaaaa,0xaaaaabff,0x55440aaa,
    0xaadffcaa,0x555440aa,0xaaadffca,0x7ec0000a,0xffffffff,0xfe8001ff,
    0x07ff5006,0xfffffb00,0x23ffffff,0xfffffff9,0x4ffa81ef,0x54fff200,
    0x3f2004ff,0x813fe23f,0x4c1ffff9,0xffffffff,0x7cc2ffff,0xffffffff,
    0xffd82fff,0xffffffff,0xffffd81f,0x1fffffff,0x7fffffcc,0x42ffffff,
    0xfffffff9,0x002fffff,0x7ffffec0,0x01ffffff,0x5002a980,0xfb0007ff,
    0xffffffff,0x766543ff,0x3f201bce,0x3fe6001f,0x4003ff96,0x3fe26ff9,
    0x0fffec04,0x3fffffe6,0x42ffffff,0xfffffff9,0xd82fffff,0xffffffff,
    0xffd81fff,0xffffffff,0x7fffcc1f,0xffffffff,0x7ffffcc2,0x2fffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x9dd70000,0x00110000,0x1cefedb8,0x06f76c40,
    0x2607db10,0x401c982c,0x0001deeb,0x0007dd50,0x813bb620,0x0001deeb,
    0x02776c40,0x4003eea8,0x40282cda,0xb8004eeb,0x5c001dee,0xff9004ee,
    0x22000bff,0x5401effd,0xffffffff,0xfffff304,0x03ff203f,0xff10fffc,
    0xfffb801f,0x7fd40001,0x440003ff,0xfb804ffe,0x100001ff,0x2a009ffd,
    0xb003ffff,0x715dffff,0x7ff4409f,0x404ecb9c,0x2001fffb,0xfc805ffc,
    0x00dffabf,0x7fe6ff40,0x59fff300,0xd05fffb7,0x0bfd51bf,0x3e205ff5,
    0x3ffe62ff,0x1fff9801,0x99ff5000,0x220007ff,0x26002ffe,0x40001fff,
    0x5002ffe8,0x07ff99ff,0xffcbefb8,0x2201ffff,0xfffffffb,0x1fff9804,
    0x809ff900,0x3b661deb,0xb93e6004,0x03ffd02f,0xff88bff5,0xfd11fee1,
    0xc84fb80b,0x3f62004f,0x7fd4001f,0x000ffee3,0x0001dfd1,0x0003ffb1,
    0x4003bfa2,0x3fee3ffa,0xfb106c03,0x3fe205bf,0xbdefffff,0x3ffb1001,
    0x009ff900,0x4fa80000,0x3fe60fea,0xf51ffe04,0x320ff98f,0x000000ff,
    0x80013300,0x01988099,0x0000cc40,0x880004cc,0x04cc0019,0x00000cc4,
    0xfbbfff10,0x4cc000bf,0x04ffc800,0x7c400000,0xa81feabf,0x1bfe02ff,
    0x7fcc1ff5,0x0005ff30,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7ff41a80,0xb8000002,0x3fe004ff,0xf50001ff,0x3f207fff,0x87ffb01f,
    0x9fee2ff8,0xa88005fe,0x2a20001a,0x2a20001a,0x2a20001a,0x5530001a,
    0xa9800155,0x4c000aaa,0x4000aaaa,0x000aaaa9,0x00fffc98,0x004d5440,
    0x54013fee,0x0004ffff,0xfc802aa2,0x2ffec40f,0xffccffd8,0x4001ff93,
    0xdfffffe9,0xfffd3000,0x26001bff,0x0dfffffe,0xffffd300,0xfd9801bf,
    0x1effffff,0x3ffff660,0x2601efff,0xfffffffd,0x3ff6601e,0x01efffff,
    0x7ffffecc,0xfff7005f,0x2e01dfff,0xffb003ff,0x26000dff,0xf900aaaa,
    0x27ff441f,0x9ffffd30,0xb800ffe6,0xfffeefff,0x7ffdc01f,0x01ffffee,
    0x7f77ffdc,0x7dc01fff,0xffffeeff,0x3fffee01,0x01ffffff,0xfffffff7,
    0x3ee03fff,0xffffffff,0xffff701f,0x03ffffff,0x3fffffee,0x36201fff,
    0xffffffff,0x03ffb82f,0x3ffbbff0,0x3fff6600,0x641effff,0x0fff60ff,
    0xfd0de540,0x77fdc00b,0x7037fdc0,0xffb81dff,0x03bfee06,0x7dc0dff7,
    0x37fdc0ef,0x22137b70,0xb707ffda,0x3f6a2137,0x137b707f,0x41fff6a2,
    0xb5109bdb,0xdff70fff,0x17fee237,0x261dffd8,0x7dc0fffc,0xaffa803f,
    0xf7004ffa,0xffffffff,0xf07fe43f,0xfb8000df,0x1bfe000f,0xff03ffb8,
    0x81ffdc0d,0x3fee06ff,0x5c0dff03,0x3e0003ff,0xff0001ff,0x3fe0003f,
    0xfff0001f,0x8077fc43,0xffa80ffe,0x517fee05,0xffb007ff,0x200dff11,
    0xb5109bdb,0x07fe4fff,0x4c000fff,0x3ee003ff,0x437fc02f,0x7fc02ffb,
    0x402ffb86,0x2ffb86ff,0x00037fc0,0x20005ff9,0x90002ffc,0x320005ff,
    0x07ff22ff,0xfe83ffb8,0x07ff400f,0xff007ff5,0x000ffecb,0xf91fff80,
    0x027fec1f,0x4006fe80,0x7ec00ffd,0x400ffd87,0x0ffd87fd,0x7ec3fec0,
    0x03fec00f,0x007ff500,0x000ffea0,0x8001ffd4,0x1bfe3ffa,0xf88dff10,
    0x2ffb805f,0xf500bfea,0x027fdc7f,0x92ffc800,0x7ffcc1ff,0x3fee000d,
    0xfe806a61,0xaaaaaaaf,0x7f40ffea,0xaaaaaaaf,0x7f40ffea,0xaaaaaaaf,
    0x7f40ffea,0xaaaaaaaf,0x4c00ffea,0xffdcccaa,0x66554c03,0x4c03ffdc,
    0xffdcccaa,0x66554c03,0xff13ffdc,0x98fff009,0xffa803ff,0xb00bfea3,
    0x37fc41ff,0x3ffa8000,0xffa81ff9,0xff8801ef,0x1bffff53,0xfffffff0,
    0x3fffffff,0xfffffff8,0x1fffffff,0x7ffffffc,0x1fffffff,0x7ffffffc,
    0x1fffffff,0xfffffd50,0x2a07ffff,0xfffffffe,0xffd503ff,0x7fffffff,
    0x3ffffaa0,0xf33fffff,0x1ffb009f,0x4c017fd4,0x0bfea4ff,0xffd0dff0,
    0x6554c003,0xf93ffdcc,0xfffd301f,0xf36fd803,0xf0bffbdf,0xddddddff,
    0xf81ddddd,0xeeeeeeff,0x7c0eeeee,0xeeeeeeff,0x7c0eeeee,0xeeeeeeff,
    0xc80eeeee,0xcccdefff,0xffc83ffd,0xfdcccdef,0xefffc83f,0x3ffdcccd,
    0xcdefffc8,0xf53ffdcc,0x1ffb007f,0x4c017fdc,0x0bfe63ff,0xfb83ffa8,
    0xffea803f,0x3fffffff,0x7ec01ff9,0x47fea06f,0x07fea5fd,0xe8000ffd,
    0x7f40007f,0x3ff40007,0x3bfea000,0xa87ff501,0xff501eff,0x01effa87,
    0xffa87ff5,0x27ff501e,0xfe804ff9,0x00ffe60f,0xee98bfea,0x207ff601,
    0x7e406ff9,0xdcccdeff,0x01ff93ff,0xf881ffe8,0xff0bfe4f,0x000ffd87,
    0x0003ff60,0x0000ffd8,0x80003ff6,0x3ea02ffc,0x017fe43f,0xffc87ff5,
    0x90ffea02,0x7fd405ff,0xf00dff13,0x05ff88df,0x8001ffc8,0x3ffa06ff,
    0x03dff501,0x7fe4ffea,0x417fdc00,0x217fc6fd,0x1ffe43fe,0x07ff9000,
    0x01ffe400,0x007ff900,0x7007fec0,0x0ffd87ff,0xfb0ffee0,0x1ffdc01f,
    0xfb803ff6,0x807ffa3f,0xfff84ffa,0x01ffe200,0x2677fea0,0x3ffd9999,
    0x5405ff90,0x01ff93ff,0x7d41ffc8,0x3e1ffc1f,0x0fffc42f,0x1fff8800,
    0x3fff1000,0x3ffe2000,0x3ffb0001,0x87fffb10,0xfd881ffd,0x0ffec3ff,
    0x21fffec4,0xfd881ffd,0x3bfea3ff,0x80ffe880,0x3f605ffb,0x80f74c2f,
    0xfffffffd,0xb06fffff,0x7fdc01ff,0x4d41ff93,0x446ffc99,0x0efd84ff,
    0xff901ff7,0x2a62139f,0x9fff901b,0x06ea6213,0x84e7ffe4,0xf901ba98,
    0x262139ff,0xeffb81ba,0xfffeb98a,0x577fdc3f,0xffffeb98,0x4577fdc3,
    0x3ffffeb9,0x4c577fdc,0x43ffffeb,0xb98aeffe,0x3fa04fff,0xfea89aef,
    0x07fff86f,0xffffffff,0x01ffffff,0xfb103ffb,0x43ff27ff,0xfffffff8,
    0x4c07fe41,0x03ffefff,0x3ffffff2,0x3202ffff,0xffffffff,0x3ff202ff,
    0xffffffff,0x3ffff202,0x02ffffff,0xfffffffd,0xfd07ff3d,0x3dffffff,
    0xfffd07ff,0xff3dffff,0xfffffd07,0x87ff3dff,0xffffffe8,0x7f4c05ff,
    0xdfffffff,0x40ffff80,0xaaaadffa,0x3ffdaaaa,0x98aeffb8,0x93ffffeb,
    0x3ffe21ff,0x7fd40cef,0x3fffaa02,0xfffd9803,0x401dffff,0xffffffd9,
    0x7ecc01df,0x1dffffff,0x7fffecc0,0x9101dfff,0x7c7dffff,0xfffc883f,
    0x20ffe3ef,0x3effffc8,0x3f220ffe,0x3fe3efff,0xffffd903,0x7f64005d,
    0x3202efff,0x1ffc84ff,0xd06ff980,0xdfffffff,0x33007ff3,0x00880000,
    0x01333100,0x02666200,0x04ccc400,0x09998800,0x0000c400,0x31000062,
    0x00188000,0x0000cc40,0x011000cc,0xff801ffe,0xfffc880f,0x00ffe3ef,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xff500000,0x1ffe4009,0x00000620,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3ff90000,0x037fcc00,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x776c4000,0x4c164c04,0x00f7541c,0x0fbaa000,
    0x1774c000,0x13bb6200,0x000ef75c,0x00004c40,0x4c0264c0,0x881c982c,
    0x06660019,0x0e4c164c,0x31004cc4,0x55310013,0x81333333,0x02f7642a,
    0x009ffd10,0x7fc43fff,0x00bfea0f,0xffffa800,0xffa80003,0x3ffa2003,
    0x0fffdc04,0xffffc800,0x3200002f,0x1fff805f,0xf903ffe2,0xbff5007f,
    0xf887ffe0,0x17fd40ff,0x4405ff70,0xfffffffc,0x3ff26fff,0x401bff66,
    0x8802ffe8,0x3fe62fff,0x00bfea1f,0x667fd400,0x540003ff,0xfd1003ff,
    0x3fe6005f,0x3fa2001f,0x04ffffff,0x805fd000,0x3e62fff8,0x37fcc1ff,
    0x4417fec0,0x3fe62fff,0x017fd41f,0x3e205ff7,0xfffddeff,0x3ffe6fff,
    0x00bff90f,0x4001dfd1,0x44fc84fb,0x80002ffa,0x3fee3ffa,0x3fea0003,
    0x0efe8803,0x0ffec400,0x89dffc80,0x8001fffb,0x00ffbaa8,0x4fc84fb8,
    0x4403ffd0,0x13ee07ff,0x3fea13f2,0x40bfee02,0x7ec43ffd,0x3ff609cf,
    0x2017ff27,0x00000198,0x0005ff50,0x33101330,0x1ffd4000,0x0000cc40,
    0x7fc00266,0x003ffc86,0x3fffffee,0x4000000f,0x3ea04ffb,0xa800004f,
    0x3fee02ff,0x105ff882,0x3b910dff,0x00027fdc,0x7d400000,0x0000002f,
    0x3ffa8000,0x00000000,0xf30bff10,0xffd1009f,0x1dffffff,0x7c400000,
    0x07ff607f,0x3fea0000,0x20bfee02,0x3f603ffa,0x9ff7000f,0x01355100,
    0x98013310,0x885ff509,0x4cc4009a,0x4004cc00,0x3ffa9aa8,0x26004cc4,
    0x004cc409,0xbff10266,0xd005ff50,0x3fe639ff,0xa9800eff,0xfd800aaa,
    0x06ff882f,0x8026aa20,0x3ee02ffa,0x02ffb82f,0x54003ff6,0x3fee03ff,
    0x200effff,0x3e602ffa,0x2e5ff54f,0x204fffff,0x3e602ffa,0xfffb304f,
    0xa87fffff,0x3fe602ff,0x3017fd44,0x1fff09ff,0x5400ffe8,0x66fe44ff,
    0xffb306ff,0x03dfffff,0x7dc2ffcc,0xfffb803f,0xfa80efff,0x0bfee02f,
    0xff813fea,0x262ff886,0xffd882ee,0x2fffffff,0x4c05ff50,0x95ff54ff,
    0xbfffffff,0x980bfea0,0xfffb84ff,0x3fffffff,0xf3017fd4,0x02ffa89f,
    0x3f613fe6,0x07ffb14f,0xff81fff0,0xf701ffd2,0xffffffff,0x07ff403f,
    0xd8803ffa,0xffffffff,0x017fd42f,0x3fa05ff7,0x84ffc82f,0x36002ff8,
    0x3f261dff,0x2ffa80ff,0x7d53fe60,0xa88bffef,0xffa81fff,0x713fe602,
    0x64c15dff,0x17fd43ff,0xfa89ff30,0x13fe602f,0x3ff3ffe2,0x4ff8804f,
    0xffb87fcc,0x109bdb83,0x5c0fffb5,0x17fe24ff,0x4c3bffb0,0x3ea0fffc,
    0x0bfee02f,0x65efffd4,0xff306ffe,0x7d45ff85,0x17fee05f,0xf980bfea,
    0x3dfff54f,0xf50bff50,0x27fcc05f,0x2a01dff1,0x17fd43ff,0xfa89ff30,
    0x13fe602f,0x17ffffdc,0x643ff980,0x00ffea5f,0x880fffc0,0x0bfee7ff,
    0x2e05ffa8,0x0bfea5ff,0xfb02ffb8,0x9fffffff,0x98bfe601,0x07ff42ff,
    0xf503ffa0,0xa7fcc05f,0x3e00fffa,0x02ffa87f,0xffc93fe6,0x50ffea02,
    0x7fcc05ff,0x3017fd44,0xff9109ff,0x7dc001ff,0xf317fc2f,0x3f20009f,
    0x4bff602f,0x7ff407fe,0xa87ff400,0x3fee03ff,0xc99ffa82,0x7cc01acc,
    0x883fee3f,0xffb805ff,0x3017fd42,0x0ffea9ff,0xfa81ff90,0x93fe602f,
    0x7fd407fe,0x3017fd43,0x2ffa89ff,0xd113fe60,0xa8bfffff,0x17fdc3ff,
    0x7fcc1ff3,0x7ff50003,0x7ce7fd40,0x17fe204f,0x7d4bfee0,0x5fff305f,
    0x4000dfb0,0x1bf23ff9,0xf5007ff3,0x02ffa87f,0x7fd53fe6,0x20ffe402,
    0x3e602ffa,0x501bfe4f,0x2ffa87ff,0xf513fe60,0x27fcc05f,0x3fe6fffa,
    0x50bfee3f,0x22fe47ff,0x54c02ffa,0x3ffdccca,0x7fe7ff40,0x00ffe601,
    0x7fd4ffea,0x3fffe887,0x0002ffe8,0x1ee47ff3,0x2600bfea,0x17fd44ff,
    0x3ea9ff30,0x17fdc02f,0xf980bfea,0x80bff14f,0x7fd43ffa,0x513fe602,
    0x7fcc05ff,0xfa93fea4,0x83ffb2ff,0x0bfe5ff9,0x3aa03ff7,0xffffffff,
    0x7ffdc03f,0x17fd406f,0xfaa7fcc0,0xffb9beff,0x2e0aeffd,0xeeeeffff,
    0x7ff502bc,0x005ff700,0xffa87ff3,0x553fe602,0x7fe402ff,0x3017fd41,
    0x13fe69ff,0xfa87ff50,0x13fe602f,0x7cc05ff5,0x903ffa4f,0x1ffd1fff,
    0xff31fff0,0xc80fff81,0xcccdefff,0x7c403ffd,0x7dc02fff,0x3ff9802f,
    0xfffffff5,0x0bfff2bf,0xfffffffb,0xfa83dfff,0x3ff9804f,0x542ffa80,
    0x3fe602ff,0xd805ff54,0x17fd40ff,0x3e29ff30,0x1ffd405f,0xf980bfea,
    0x017fd44f,0x37fc9ff3,0x6ffeffd8,0xbf9bff90,0xfa83ffc8,0x7ff501ef,
    0x00dffb00,0xf5007ff3,0x3effea5f,0x3f623fff,0x33ffa22f,0xffffdccc,
    0x013fea0f,0x32017fe2,0x1ffd41ff,0x3ea9ff30,0x43ff402f,0x3e603ffa,
    0x901bfe4f,0x3ffa87ff,0xf513fe60,0x27fcc07f,0x3fa20fff,0x3f603fff,
    0xfda8bfff,0x05ff906f,0x6c01ffd4,0xff8802ff,0x51ffc805,0x300623ff,
    0x2201ffe8,0x3fea3ffe,0x01fff004,0x7cc3ffc4,0x9ffd105f,0xfa80bfea,
    0x05ff984f,0x7f49ffd1,0x7fff900f,0xd105ff98,0x5ff989ff,0x749ffd10,
    0xfff300ff,0xfffc801f,0x00dfffff,0x7dc01ffb,0x3ffcc03f,0x401fff00,
    0x3fea7ff8,0x9ff30002,0x54bff500,0xff7004ff,0x417fec0b,0xfe887ff8,
    0x05ff54ff,0x2203ffa2,0xffe887ff,0x213fee4f,0x443ffffb,0xffe887ff,
    0x43ffc44f,0x364fffe8,0xffd105ff,0xfffb005f,0xfd807dff,0xfffd881f,
    0x0bffa203,0x205ffb80,0x3fea2ffd,0x9ff50002,0x5c7ff700,0x3fa005ff,
    0xfea89aef,0x3bffa06f,0xffeffa9a,0x137dff54,0x407fff73,0xfa9aeffe,
    0x3e24ffef,0xffda9cff,0xffe83ffa,0xfeffa9ae,0xaeffe84f,0x4ffeffa9,
    0x26bbffe2,0xffffffba,0x0cdffc00,0x15dff700,0x7ffffd73,0x013ffa60,
    0x26bbffa0,0x546ffea8,0xf30002ff,0x7fcc05ff,0x017fee1f,0xfffffe98,
    0x2600dfff,0xdfffffff,0xfff54ff8,0x7fffffff,0xfffff980,0x44ff8dff,
    0xfffffffa,0xf983ff8a,0x8dffffff,0xfff984ff,0xff8dffff,0x7ffffd44,
    0xffdbffff,0x01ff300e,0x3ffffa00,0x3ff9efff,0x1bffffba,0x7fff4c00,
    0x40dfffff,0x20002ffa,0xbcdefffe,0x5c2fffec,0xec8005ff,0x002effff,
    0x47ffffd3,0x3fb2a4ff,0x000cefff,0x47ffffd3,0xffea84ff,0x40ffe1df,
    0x23ffffe9,0xffd304ff,0x427fc7ff,0xceffffd8,0x20bffd10,0x220005fc,
    0x23effffc,0x3fffe3ff,0xec80003f,0x502effff,0x440005ff,0xfffffffd,
    0xffb82eff,0x00cc0005,0x00033100,0x31000062,0x00620003,0x00033100,
    0x10000cc4,0x1aa80003,0x00310000,0x00055e64,0x4c00cc00,0x880001cc,
    0x1acddcca,0x000f32a0,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x01982aa2,0x8003eea8,
    0x88282cda,0x009a8819,0x001599d1,0x00000154,0x00c40000,0x00009dd0,
    0x0001a988,0x6f75c000,0x9a988001,0x02620001,0x776c4000,0x3fff6604,
    0x403fffff,0x003ffffa,0x2bbffff6,0x7fd44fb8,0x9fffff70,0x9fffff10,
    0x46ffd801,0xfffffffd,0x7fec4fff,0xffffffff,0x3fff6e00,0x3fe00bdf,
    0xff700005,0x003bffff,0x6ffeeca8,0x00fffdc0,0xfffffeb8,0xfd9801df,
    0x0003efff,0xb813ffa2,0xffffffff,0x3fea03ff,0xb803ffcc,0xffffcbef,
    0x47fd41ff,0xfffffffc,0x7fff7445,0xfff302ff,0x7fffec7f,0x44ffffff,
    0xfffffffd,0xfd880fff,0xefffefff,0x000bff00,0xffffff88,0xb803ffff,
    0x6fffffff,0x01fff980,0xffffffd8,0x3ea03fff,0x5fffffff,0x2ffe8800,
    0x82bbfee0,0xf503ffc9,0x01ffdc7f,0xbffb106c,0xffdff505,0x3fff5117,
    0x17fff540,0xb1ffffcc,0x555555ff,0xaaaa8355,0x0ffeaaaa,0x105fff44,
    0xff03fff5,0xffe8000b,0xffca88ad,0x3fff601f,0x002aacce,0xc803ffb1,
    0xfdb989ac,0xfffa81ff,0x5ffea89b,0x03bfa200,0x500eff88,0x026607ff,
    0x00000662,0x81efffa8,0xfc805ffa,0x1dffd07f,0x000037ec,0x3f607fec,
    0x1bfa201f,0xa80017fe,0x3ff606ff,0x03dffb03,0x00266000,0xf07ffd00,
    0xffd103ff,0x00662003,0xfa80bff2,0x0000003f,0x1fff5000,0xd803ffc0,
    0xb05503ff,0xb00000df,0x0ffcc1ff,0x3e1ffc40,0x3ee0005f,0x17fe602f,
    0x00017fea,0x7dc00000,0x01ffd45f,0x0000bff3,0xfa80ffd0,0x9aa8803f,
    0x35510000,0x01ffd401,0x2e003ff2,0x7ec005ff,0xfd800006,0xb517fa0f,
    0x1bf219bd,0x99980bff,0x5017fdc0,0x1dfd07ff,0x4ccc4000,0x40001999,
    0x7ff44ff9,0x407ffc00,0x19999998,0x2a037fc0,0x3fee03ff,0x000effff,
    0xdffffff7,0x805ff501,0xf9801ffc,0x37ec006f,0x7fec0000,0x7e43ff30,
    0xff12ffff,0xf902ffc5,0x6ff881df,0xf303ff60,0xfd80007f,0x007fffff,
    0xf117fd40,0x7fec40bf,0xffffd81f,0x3fe207ff,0x41ffd405,0xffffffd8,
    0x36202fff,0xffffffff,0x017fd42f,0x2600bfee,0x7ec005ff,0xfd800006,
    0x7d4ff50f,0x3a1a9adf,0x6417fe3f,0xffd00eff,0x2ffec43d,0x0000ffdc,
    0x3ffffff6,0x3ff40007,0x74c0ffe6,0xfd82ffff,0x207fffff,0x7d404ff9,
    0x1dffd83f,0x403fff26,0x3261dffd,0x3fea0fff,0x00ffdc02,0x2001ffec,
    0xaccccffd,0x3ff60000,0x37f4df70,0x5ff93f60,0x200effc8,0xfacfffd8,
    0x2ffb05ff,0x0cdeeeca,0x7ccccc40,0xea88007f,0x1ffd41ef,0x7fefffdc,
    0xf9999883,0x17fe207f,0xfa87ff50,0x17fee05f,0xfb817fea,0x00bfea5f,
    0xaa981ff9,0x8006ffeb,0xfffffffd,0xfd8001df,0x7fcbf90f,0xff2fe404,
    0x00effc8b,0xffffff90,0x7f7ff407,0x3fffffff,0x803ff400,0x0dfffffd,
    0x3622ffb8,0x4ff8afff,0xf80ffd00,0x1ffe406f,0xfd003ffa,0x00ffe81f,
    0xffa87ff4,0x5c3ff402,0x01efffff,0x3bbb2022,0x1fffffee,0xd87fec00,
    0x805ff14f,0xc97fe6fb,0x26000eff,0x0cffffff,0x59ffffd0,0x03fffb75,
    0xd803ff40,0x1dffffff,0xfe98ffdc,0x0bff10ef,0xfd01ffa0,0x3fff201f,
    0x2017fe23,0x3fe22ffb,0x52ffb805,0x7fcc05ff,0x2ceffb85,0x0027fe40,
    0x800fffd3,0x4bf90ffd,0x2fe403ff,0x3bff2bff,0x3ffea000,0x81ffffdc,
    0x3ee02fff,0x1ffa006f,0x75d4cc40,0x3fee3fff,0x4c4fffb9,0xffd004ff,
    0xb84ffb80,0x3e63ffff,0x3ffa803f,0x2a00ffe6,0x05ff53ff,0x2e03ffa2,
    0xff8800ff,0x3a2002ff,0x3f6001ff,0x7fcdf70f,0xff27ec06,0x001dff9b,
    0xd30f7fe4,0x7ff81fff,0x001ffe80,0x98000ffd,0xdff51fff,0xff305fff,
    0x01ffa007,0xb539fff1,0x547ff7ff,0xff9802ff,0x200bfea4,0xdff54ff9,
    0xfff73135,0x003fea07,0x013fffe2,0x4007ff70,0x4ff50ffd,0x1b9adffb,
    0xfeff8ffa,0x3e6002ff,0xffe880ef,0x6403ff45,0xffd002ff,0x9ff70000,
    0x03bfffe6,0xe8017fd4,0xfffa807f,0xff9affff,0x200bfee3,0x3fee3ff9,
    0x53ff9802,0xffffffff,0x7fd407ff,0xbfff9000,0x04ffa800,0x7cc3ffa0,
    0xffffd11f,0xf8bfe25f,0x01fff9df,0x4403ff90,0x07fec7ff,0x400ffee0,
    0x880007fe,0x9fff15ff,0x001ffc80,0x3aa00ffd,0xff31dfff,0x401ffcc7,
    0x3fe62ffa,0x52ffa803,0xdfffffff,0x0ee98019,0x013ffe00,0x2005ff70,
    0x2ff47ff8,0x642f7b6e,0xfaaffc6f,0x7fe801ff,0x320ffe80,0x7fe401ff,
    0x00ffd001,0x7c9ff300,0x07ff807f,0x1001ffa0,0x447ff503,0xffc805ff,
    0x2017fe21,0x5ff51ffc,0x00000066,0x2001ffec,0xf5000ffe,0x01ff98df,
    0x7fc2ff88,0x003ffee5,0xff801fff,0x2027fd47,0xfd000ffe,0xff70000f,
    0x501ffdc5,0x7f4009ff,0xff500007,0x200fff87,0xfff87ff8,0xa9ffe200,
    0x000002ff,0x000fff80,0x01717ff2,0xfd07ffb1,0x37f4403f,0x3ff22ffc,
    0x0fff600e,0xfe86ffa8,0x09ff701f,0x0003ff40,0xf883ffe6,0xfff880ff,
    0x01ffa000,0x21ffd400,0x3f605ffb,0x05ffb82f,0xffa8bff6,0x37aa0002,
    0x3ffd8801,0x2a6666e2,0xff86fffb,0x6fffcabc,0x437ffd10,0xf81fffb8,
    0x0effd85f,0x33bfff50,0x05fff933,0x2615fff5,0x2000fffc,0x26a207fe,
    0xffda9999,0xbfffc81f,0x03fffb99,0x0003ff40,0xfe83ffa8,0xfea89aef,
    0x3bffa06f,0x6ffea89a,0x80017fd4,0x3606fff8,0x7c44fffe,0xffffffff,
    0xfffff80d,0x2201efff,0xfffffffd,0x0bff00df,0xfb817ffa,0xffffffff,
    0x3ffee03f,0x01efffff,0xff555551,0x2a35555f,0xffffffff,0x3ff202ef,
    0x03ffffff,0x3eaaaaa2,0x01aaaaff,0x983ffa80,0xfffffffe,0x3fa600df,
    0xdfffffff,0x0017fd40,0x206fff98,0xf881efff,0x1defffff,0x3ffff6a0,
    0x3f6e004e,0x7c03dfff,0xbffd105f,0x7fffecc0,0xea800cff,0x403effff,
    0xfffffff9,0xf55fffff,0x5bffffff,0x3fffaa00,0x7fcc02df,0xffffffff,
    0xfa8005ff,0x3ffb203f,0x32002eff,0x02effffe,0x40005ff5,0x26a02ffd,
    0x0cccc400,0x00019800,0x3fe00088,0x13ffe605,0x00026620,0x3e600198,
    0xffffffff,0x26625fff,0x09800019,0x3fffe600,0xffffffff,0x1cc98005,
    0x00003300,0x39930033,0x00098000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2cda8000,0x2a620028,
    0x80000009,0x4403ffc8,0x7fe443ed,0x51f6c403,0x88039dfd,0xeea803ed,
    0x4d4c0003,0x982c9800,0xeeeec81c,0x4c0005ee,0x13300019,0x0bba6000,
    0x00002200,0x7fffec00,0x204fb8ae,0xffffffea,0x027fcc4f,0xff717fdc,
    0xffc807ff,0x0ffffee0,0x7dc1ff90,0x7e406fff,0x7ffd400f,0x3b66003f,
    0x0befffff,0x7c43fff0,0x7ffec0ff,0x4c007fff,0xdfffffec,0x7ffecc03,
    0x3e000cef,0xd3000fff,0xfffb005f,0xffffffff,0xfcbefb83,0x881fffff,
    0xfffffffe,0x27fcc5ff,0xfa97fdc0,0x2a03ffef,0x3bfea2ff,0x3fea03ff,
    0x03ff9042,0xf500bfea,0x007ff99f,0xfffffff9,0xff103fff,0x0fffcc5f,
    0x3ff3332a,0x3ffee007,0x07ffffff,0x3fffffee,0xf8800eff,0xf7001fff,
    0xfffb005f,0xffffffff,0x7ec41b03,0xdffd02df,0x99533337,0xb804ff98,
    0x7fcb62ff,0xb0bfd103,0x7440ffe5,0xffb3305f,0x5017fa20,0x1ffdc7ff,
    0xbdfffe88,0x01feca9a,0x09f909f7,0x6c01ffa0,0xa9abdfff,0xfffb07ec,
    0xfffd7359,0x0dffb003,0x4017fdc0,0xaaaabffd,0x0000aaaa,0x001bfee0,
    0x2e013fe6,0x07ff02ff,0xff003ff2,0x403ff207,0xf903ffff,0x8099801f,
    0xfffb0198,0x00009803,0x807fe800,0x0c02fffa,0xe807ffcc,0x055005ff,
    0x802ffb80,0x00000ffd,0x017fec00,0x4027fcc0,0x7ff02ffb,0xf005ff30,
    0x05ff307f,0x21fff664,0x00002ff9,0x003bfe60,0xe8000000,0x1ffe807f,
    0x03ffb000,0x0007ff44,0xfc999980,0x999999bf,0x8001ffb0,0x4d544198,
    0x001ffd00,0x7009ff30,0x0ffe05ff,0x7fc017fa,0x1005fe83,0x05fe8dff,
    0x99999988,0x017ff401,0x26666200,0xfe800199,0x02ffdc07,0x806ff980,
    0x4cc44ffc,0x3e019999,0xffffffff,0xfb4fffff,0xffa8001f,0x7fffff90,
    0x0007ffb0,0xf7009ff3,0x90ffe05f,0x3fe001ff,0x3007fe43,0x649ff955,
    0xffd800ff,0x2607ffff,0xd80006ff,0x07ffffff,0x7407fe80,0xf70001ff,
    0xdff3007f,0xffffffd8,0x3ffffe07,0xffffffff,0x001ffb4f,0xffe9ffa8,
    0x5c3fffff,0x4c003fff,0xffb804ff,0x7cc7ff02,0x8ffe003f,0x7e403ff9,
    0xff30efff,0x3fff6007,0x3ee07fff,0xfd80003f,0x007fffff,0x7fc07fe8,
    0x3ff20006,0xd8fff001,0x07ffffff,0x3ff26666,0x0999999b,0xa8001ffb,
    0x932efeff,0xffd81fff,0xff3002ef,0x05ff7009,0x05fe86aa,0xbfd0d540,
    0x85799300,0x262005fe,0x207ff999,0x80002ffc,0x7ff99998,0x207fe800,
    0x20005ff9,0xfd000ffd,0xf999988f,0x3fee007f,0x99ffd802,0x40999999,
    0xd80efffa,0xfffc82ff,0x3e600cff,0x2ffb804f,0x001ff700,0x000ffb80,
    0x0007fdc0,0xfd81ffa0,0xeeeec81f,0xffd001ee,0x40ffd000,0x20004ffa,
    0x3fa007ff,0x03ff400f,0xb005ff70,0xffffffff,0xeffa8dff,0x207ff700,
    0xcfffffd9,0x804ff980,0xf9802ffb,0x7cc0003f,0x7cc0003f,0xfe80003f,
    0x203ffa07,0x1ffffffe,0x000ffd00,0x7fdc0ffd,0x1ffe0004,0x401ffd80,
    0x3ee007fe,0xfffd802f,0x6fffffff,0xf3017fd4,0xffc9809f,0x7fcc1fff,
    0x02ffb804,0x80006fe8,0xe80006fe,0xfd00006f,0x407ff40f,0x1ffecccb,
    0x000ffd00,0x7fd40ffd,0x1ffe0004,0x400ffe80,0x3ee007fe,0x9ffd802f,
    0x09999999,0xf3017fd4,0x3ee2009f,0x3fe60fff,0x02ffb804,0x3310ffdc,
    0x87fee001,0x3ee001a9,0x0026621f,0x7ec0ffd0,0x1ffb801f,0x000ffd00,
    0x7fcc0ffd,0x1ffa0005,0xe807fe80,0x3fee007f,0x00ffd802,0x3017fd40,
    0xe88009ff,0x13fe64ff,0x880bfee0,0x3ffe63ff,0x53ff8806,0x803dfffd,
    0x3fe63ff8,0x3ff4006f,0x7005ff70,0x3fa003ff,0x07fe8007,0x8001bfe2,
    0xff000ffd,0x00ffd00d,0x6c017fdc,0x7d4000ff,0x13fe602f,0x99bfe600,
    0xffb805ff,0xfd1bf601,0xdfb00dff,0x37fe6fd4,0xffd1bf60,0x7fe800df,
    0x2017fea0,0xfd001ffb,0x0ffd000f,0x0000fff8,0xf3005ff9,0x0ffd00bf,
    0x4017fdc0,0x54000ffd,0x3fe602ff,0x8fff0004,0xffc805ff,0x643ff500,
    0x5406fcef,0xff70c1ff,0xf90ffd40,0xe800df9d,0x3ffe207f,0x00ffdc00,
    0xe8007fe8,0x27fec07f,0x05ffa800,0xe802ffc8,0x3fee007f,0x00ffd802,
    0x3017fd40,0xf10009ff,0x00fff8bf,0xff883ffc,0x3f27fe64,0x013fe206,
    0x3fe20dfb,0x3f27fe64,0x03ff4006,0xf7017ff2,0x1ffa003f,0x301ffa00,
    0x20003fff,0x3e200fff,0x0ffd006f,0x402ffd40,0x54000ffd,0x3fe602ff,
    0x4ffd8004,0xf9027fe4,0xd1bf607f,0xd81bf29f,0x17fe406f,0xa7f46fd8,
    0x7f4006fc,0x6fffc407,0x003ff700,0x3a001ffa,0xfffd807f,0x7fdc0c02,
    0x2ffe880e,0x400ffd00,0x6c00fff8,0x7d4000ff,0x53fe602f,0x99aabdf9,
    0x40efffba,0x99adfff8,0xf506ffda,0x777fd43f,0x7d41effe,0x5ffb101f,
    0xfa87fea0,0x1effeeef,0x500ffd00,0x3379ffff,0x2003ffd5,0xfe8007fe,
    0xffff8807,0x7fcbaace,0xacfffe88,0x005ffeca,0xfd001ffa,0x553339ff,
    0x2aaafff6,0x2a0aaaaa,0x3fe602ff,0xffffff34,0x01dfffff,0x3fffffea,
    0xf881efff,0x7fffd44f,0x3e22ffff,0x1dfd304f,0xf513fe20,0x5fffffff,
    0xfaaaaa88,0x81aaaaff,0xffffffe9,0x5441ffff,0xafffaaaa,0x55511aaa,
    0x555fff55,0xfffb1035,0x0fffffff,0x3fffff62,0x55104fff,0x55fff555,
    0x7fcc0355,0xb4ffffff,0xffffffff,0x7fd43fff,0x453fe602,0xfffffffd,
    0xec8802df,0x203effff,0x4cc40ffc,0x209ffc99,0xffb00ffc,0x7e45ffff,
    0x4cccc40f,0x7cc09ffc,0xffffffff,0x3ae05fff,0x2dffffff,0xffffff98,
    0x35ffffff,0xffffffff,0x540bffff,0xbdefffed,0x7fff5c02,0x3fe602df,
    0xffffffff,0x7e4405ff,0xfb3fffff,0xffffffff,0x17fd43ff,0x2609ff30,
    0x40000999,0x2ffa8019,0xfa8df900,0x3fff602f,0x5ff52fff,0x4c1bf200,
    0xffffffff,0x1005ffff,0xff980133,0xffffffff,0xffff35ff,0xffffffff,
    0x0004c00b,0x3e600130,0xffffffff,0x22005fff,0x00000099,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x6f7f6e44,0x0003dd54,0x00019880,0x00000000,0x2a600000,
    0x0000009a,0x00000000,0x44000000,0x00000019,0x00000000,0xfffff700,
    0x0bfeafff,0x7ffe4000,0x7fdc2eff,0x7ffb0002,0x81fff100,0xdefffffd,
    0x3f66002c,0x00efffff,0xffffff50,0x3ff23fff,0xffffffff,0xff35ffff,
    0x59bdffff,0x7ffffcc0,0x7000ceff,0x03dffffd,0x03ffff00,0xffffffb8,
    0xffb02def,0xffffffff,0xfff5001f,0x2ab9959f,0x440002ff,0xfffffffe,
    0x00bfee5f,0x007ffcc0,0x3f60bff6,0xffffffff,0x7ffdc01e,0x00ffffff,
    0xffffffb0,0x2bf23fff,0xaaaaaaaa,0xff35eaaa,0xffffffff,0xffff301b,
    0x09ffffff,0x7fffff4c,0x2a004fff,0x5c04ffff,0xffffffff,0x7fec0eff,
    0xffffffff,0x2ffe800f,0x0017fd40,0x2277ff60,0x3ee3fd98,0x3f20002f,
    0x1bfe604f,0x6555ffec,0x703ffffd,0x54c39fff,0xeff8800d,0x219999ff,
    0x35d8006c,0xb9555bff,0xf987ffff,0xffdbaadf,0x9ffd02ff,0x0bffea23,
    0x37fffec0,0x2ab3fee0,0x46fffcba,0xaaaabffd,0x4c00aaaa,0xffa807ff,
    0x3fea0002,0xfff70605,0x0179dfff,0xd01fff88,0x3ff603ff,0x81fff900,
    0x0001fff8,0x0ffcefc8,0xdefa9b20,0x3fe6bb03,0x1fffb104,0xfc827fcc,
    0x03ffc87f,0x3e00dff1,0x201ffddf,0xff102ffb,0x00ffec3f,0x027fd400,
    0x00017fd4,0x5c003ff9,0xffffffff,0x7fd404ff,0x204ffa85,0x3ee00ffd,
    0x01ffec5f,0xfcbff800,0xc99b200f,0xaec2fffd,0x7e404ff9,0x413fe64f,
    0x7fc0fff8,0x017fe406,0x3feabfea,0x80bfee04,0x3ff63ffb,0xffb80001,
    0x22ffa802,0x6c009aa8,0x7fdc007f,0xffecbaac,0x17ff405f,0xfd803ffa,
    0x0fffc00f,0x20000dff,0x0ffc8ffa,0xffa81b20,0x27fcd761,0x4c7ffe20,
    0x3ff604ff,0x3017fe21,0xffd809ff,0x2e06ff88,0x3fea02ff,0x0007ff63,
    0x200bfee0,0xfff92ffa,0x3ff407ff,0x40bfee00,0x2603fffa,0x0bfee6ff,
    0xb801ffb0,0x0bff13ff,0x657f6000,0x01b200ff,0xf9aec9f7,0x3ffc804f,
    0x7f409ff3,0x013fea0f,0xbff017fe,0xfb80ffec,0x87ff202f,0x80001ffd,
    0xfa802ffb,0xfffffeaf,0x0fff03ff,0x202ffb80,0x7e406ff9,0x806ff8af,
    0x7d400ffd,0x009ff54f,0x325ff100,0x01b200ff,0xf9aecdf3,0x4ffa804f,
    0x3e609ff3,0x02ffcc6f,0xff5037fc,0xb827fdc7,0xfff102ff,0x4001ffd8,
    0xffeeeeec,0x2eeeeeee,0x25fffff5,0xf80fffc8,0x7fdc007f,0x007ff402,
    0x3ff9dff1,0x4fff4cc0,0x5ff98099,0x00007ff5,0x07fe4ff9,0x5fb80d90,
    0x027fcd76,0xff9affcc,0x42ffe984,0xfe806ff8,0x883ff607,0x5ff706ff,
    0x0f7fdcc4,0xb0007ff6,0xffffffff,0x27ffffff,0xd80efffa,0xff9952ff,
    0x9999999f,0xc805ff70,0x7fdc01ff,0x7ffc04ff,0x885fffff,0x0bff36ff,
    0x649ff000,0x27ffffff,0xfeb9986c,0x27fcd761,0xf9b7fc40,0xffedccef,
    0x09ffb03f,0xf807ffd4,0x81ffe86f,0xfffffffb,0xdffb04ff,0x9ddddddd,
    0xfecccca8,0xccccccdf,0x201fff51,0xfff73ffb,0xffffffff,0x805ff70f,
    0xfe801ffd,0x7ffc00ff,0x885fffff,0x0dff17ff,0x21ffa800,0x7ffffffc,
    0xdfff31b2,0x9ff35d85,0x26fff100,0xffffffff,0x3ffe601d,0xfffcaabe,
    0x07ff507f,0xff707ff7,0xffffffff,0xffffd81b,0x05ffffff,0xa802ffb8,
    0x3fe602ff,0x9fff9954,0x70999999,0x7fe805ff,0xfb999988,0x409999cf,
    0x999ffe99,0x3a6ff880,0x3a0002ff,0x4cffe46f,0xf31b2199,0x7cd76019,
    0x6ff8804f,0xffb9dff3,0xffd5007f,0xfddfffff,0x207ff60d,0xffb86ff9,
    0xffcbaaac,0x37ff61ff,0x2ccccccc,0x802ffb80,0x3e602ffa,0x007ff84f,
    0xf7017fdc,0xffff50bf,0xffffffff,0x003ff607,0x7fd4dff3,0xff98001f,
    0x9007fe43,0x3603f98d,0x3009ff35,0x13fe6bff,0x2e009ff9,0xfd1cdeec,
    0xe81bfe0b,0x17fdc1ff,0x366ffd88,0xb80001ff,0xffa802ff,0x213fe602,
    0x7dc007ff,0x1fff702f,0xffffff50,0x07ffffff,0xf5003ff6,0xcfffe89f,
    0x80fca99a,0x7fe40ffc,0x5d11b200,0x4ff9aec0,0xf34ffa80,0x03ffd09f,
    0x83ff8800,0x9999dffa,0x5c3ffd99,0x7ffc02ff,0x0003ffb0,0x5005ff70,
    0x7fcc05ff,0x4007ff84,0xdcccdffb,0x2002fffe,0x36003ffa,0x7fec00ff,
    0xfffffd82,0xff80ffff,0xfffeeeef,0x2001b200,0x009ff35d,0x3fe65ffb,
    0x006ffa84,0x6c17fd40,0xffffffff,0x7dc6ffff,0x8ffec02f,0x80001ffd,
    0xfa802ffb,0x13fe602f,0xf7001ffe,0xffffffff,0xffa8001d,0x03ff6003,
    0x500fff98,0x9dfffffb,0xffffff50,0x6401ffff,0xbb00e4c6,0xf3013fe6,
    0x827fccff,0x10001ffe,0x3ffe0dfd,0xffffffff,0x3fee0fff,0xd8ffec02,
    0xb80001ff,0xffa802ff,0x213fe602,0x7dc007ff,0x2bceffff,0xcaaaa880,
    0x1aaaadff,0x2201ffb0,0xfe804ffd,0x577f401e,0x0ffdaaaa,0x0dfb1b20,
    0x04ff9aec,0xf98fffa2,0x0bff504f,0x207ff600,0xaaaadffa,0x3ffdaaaa,
    0xf880bfee,0x007ff67f,0x00bfee00,0xf980bfea,0x007ff84f,0x00017fdc,
    0xfffffff5,0x207fffff,0xfe980ffd,0x3ff8806f,0xc81ffcc0,0x71b200ff,
    0xf9aec09f,0xdfff504f,0x3a04ff98,0x3aa001ff,0x3ff904ff,0x5cdff300,
    0xffb102ff,0x000ffec9,0x4017fdc0,0x3e602ffa,0xfff5534f,0x55555555,
    0x0017fdc5,0xfddddd30,0x05dddddf,0x372afff6,0x800efffe,0x7e401ffa,
    0x57ff900f,0x01b23555,0x6ffcd760,0xffffdcaa,0x027fcc0e,0x7550bff7,
    0x19fffdd9,0xf801ffe0,0x59ff70ff,0xdfff9955,0x0001ffd8,0xa802ffb8,
    0x3fe602ff,0xffffff74,0xffffffff,0x00017fdc,0x800ffea0,0xfffffffd,
    0xf9000cff,0x05ff880f,0x3ffffff2,0x5555f93f,0x55555555,0x3fffe6bd,
    0x04ffffff,0xff809ff3,0x3fffe21f,0x2a01efff,0x3f2004ff,0xfffff73f,
    0x819fffff,0x80001ffd,0xfa802ffb,0x53fe602f,0xfffffffb,0x27ffffff,
    0x00002ffb,0xb001ffd4,0x79ddffff,0x04ec8001,0xf9017fdc,0x27ffffff,
    0xfffffffc,0x5fffffff,0xddfffff3,0x4ff98059,0xf127fdc0,0x00579bdf,
    0x4c003ff9,0xffff76ff,0x2017bdff,0x80001ffd,0xfa802ffb,0x13fe602f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xa8009980,0x02fff982,
    0xf88bffea,0xffffffff,0xf30fffff,0x5ff7009f,0x7f43fd40,0xfffff983,
    0x2fffffff,0x7d405ff7,0x09ff30ef,0xfffd8000,0x3ffffe05,0xffffffff,
    0x00bffb0f,0x3f637fdc,0x6ffa804f,0x8800ffe6,0x07ffb2ff,0x2037fc40,
    0x6c02fffa,0x7ffcc6ff,0x8bfff605,0xfffffff8,0x0fffffff,0xf7009ff3,
    0x437dc05f,0xfff982ff,0xffffffff,0x205ff72f,0x3e61fff8,0x2a00004f,
    0x3e05ffff,0xffffffff,0xf10fffff,0x3fa003ff,0x0fffc41f,0x443fff10,
    0x3e6003ff,0x00bff52f,0xea81ffdc,0x2602ffff,0x3e63ffff,0xff880fff,
    0x666643ff,0xfccccccc,0x09ff30ff,0x6405ff70,0x40ffc45f,0xffcaaaa8,
    0xf70aaaad,0x0bffa05f,0x00009ff3,0x17ffffa2,0xccccccc8,0x46ffeccc,
    0xfb806ffc,0x0bff705f,0x3e227fe4,0x3fe6004f,0x001fff11,0xfd507ff6,
    0x405fffff,0x2a3ffff9,0xfb83feff,0x30003ffd,0x27fcc9ff,0xb017fdc0,
    0x00ff989f,0x5c07ff50,0x3ffd82ff,0x0004ff98,0xbff5ff90,0xfff88000,
    0x017ffc41,0x7401fff1,0x6ff982ff,0x54009ff0,0x0bff61ff,0xf91bfe20,
    0x5ffb5fff,0x20effe80,0xe86fcefa,0x0003ffaf,0x7fcc3ffb,0x02ffb804,
    0x1ff313f6,0x80ffea00,0x7fdc2ffb,0x009ff305,0xf19ff300,0xfd8000bf,
    0x0dff704f,0x26027fdc,0x7ff40fff,0x4009ff02,0x3fea0ffa,0x43ffa805,
    0x3ff63ffa,0xfb82a802,0x3e61ff9e,0x8004ff8f,0x7fcc5ff8,0x22ffb804,
    0xeeffeeea,0xeeeffeee,0x80ffea02,0x3fe62ffb,0x013fe606,0x223bfa00,
    0x2a0005ff,0x7ff406ff,0x00fff883,0x3ee4ffc8,0x017fa05f,0x7fc47fb8,
    0x0ffec00f,0x0bff605c,0xfd6fb800,0x4feafe49,0x41ffd800,0xfb804ff9,
    0x3fffee2f,0xffffffff,0x3ea03fff,0x4bfee03f,0x2600fff8,0x5c0004ff,
    0x0bff12ff,0x07ffe200,0xc81fff50,0xff1003ff,0x01fff13f,0xf7002ff4,
    0x405ffb0f,0x36006ff8,0x2e0002ff,0x7fcdf96f,0x88009fd2,0x4ff985ff,
    0x262ffb80,0xaabffbaa,0x0aaaefda,0xb80ffea0,0x03ffd2ff,0x0004ff98,
    0xff893fe2,0x9ff90005,0x893ff600,0x7d4006ff,0x402ffdef,0x0ffc46fd,
    0x3fea1fee,0x00ffea05,0x0002ffd8,0x4ffcdbf2,0x017fa7fa,0xf303ff90,
    0x333333bf,0x205ff933,0x27ec0ff9,0x407ff500,0x2ffcaffb,0x004ff980,
    0xf883ff60,0xffa8005f,0x3ffe6006,0x0005ff90,0x00bffffb,0x3ffa8dfb,
    0x7fc437e4,0x007ff607,0x0002ffd8,0xccfe9bf2,0x8017fa4f,0xff306ff8,
    0xffffffff,0x2605ffff,0x004fd87f,0xfb80ffea,0x3004ffdf,0x2e0009ff,
    0x2ffc42ff,0x07ffa200,0xf19ff900,0x3e2000bf,0xfc800fff,0x3237fec7,
    0x05ffb06f,0xfb001bfe,0x7ec0005f,0x87fffee6,0x3f2006fd,0xffff302f,
    0xffffffff,0x1fea05ff,0xfa800ffa,0x3ffee03f,0xff3004ff,0xbff10009,
    0x800bff10,0x88004ffc,0x01ffdfff,0x03fffa00,0xff89fee0,0x417f61ff,
    0xffa84ffa,0x17fec003,0x44bfb000,0x37ec6fff,0x206ff880,0xaaaadff9,
    0x2ffdaaaa,0x5ff0df70,0x01ffd400,0x5ffd7ff7,0x009ff300,0xf101ffb0,
    0x7fcc00bf,0x3fee0006,0x2e0004ff,0xb804ffff,0x3ffbea7f,0x7c417f64,
    0x00ffc87f,0x2017fec0,0x2fec0cb8,0xdfb0fff6,0x80bff200,0xfb804ff9,
    0x88bf902f,0x3ea001ff,0x2bfee03f,0x4c01fff9,0x7d4004ff,0x0bff102f,
    0x000fff40,0x003fffa0,0x7ffffc40,0x87fd401f,0x3a6fcbfd,0x07ff604f,
    0xfb000dff,0xfffe805f,0xff517fa0,0x8807fd81,0x7fcc06ff,0x32ffb804,
    0xffffffff,0x9fffffff,0x203ffa80,0xdff72ffb,0x027fcc01,0x333dff10,
    0x3bff5333,0x27fe4033,0x27fdc000,0x55ffd000,0xffa80dff,0x3ff53ff0,
    0xffa813fa,0x000ffe64,0xfa80bff6,0x17fa3fff,0x01ff2026,0xf300bff2,
    0x5ff7009f,0x3fffffe6,0xffffffff,0x1ffd404f,0x7ec5ff70,0x13fe605f,
    0xfffff980,0xffffffff,0xff981fff,0xff500006,0x3fee0007,0x9813ff65,
    0x3e6fa9ff,0x4407ff4f,0x03ff27ff,0x80bff600,0x3e2ffff9,0x1ff2005f,
    0x300dff10,0xff7009ff,0xf50ffa05,0x3ffa800f,0xe88bfee0,0x9ff303ff,
    0x7fffcc00,0xffffffff,0xfe81ffff,0xf500001f,0xff10007f,0x0fffcc3f,
    0x4fdaff98,0x017fdff2,0x37fc7ff6,0x02ffd800,0x3fe2ffe4,0x01ff2004,
    0xf3007ff9,0x5ff7009f,0xdf70bfe0,0x03ffa800,0xff30bfee,0x09ff303f,
    0x55555440,0xeffbaaaa,0x7fe40aaa,0x3ea00004,0xffd8003f,0x106ffc84,
    0x4c3ff5ff,0x402ffaff,0x3ff9cffb,0x05ffb000,0x09ff0310,0x8807fe40,
    0xff3007ff,0x05ff7009,0x5fc83ff1,0x01ffd400,0xff505ff7,0x04ff981f,
    0x5ff88000,0x003bfe60,0x03ffa800,0x407ffd40,0xf883fff8,0xdff87fdf,
    0x7fc401ff,0x0000ffce,0x20005ffb,0x32004ff8,0x7ff900ff,0x013fe600,
    0x3e60bfee,0x1027ec0f,0xbff95555,0x3ee15555,0x8dff902f,0xaaaaeff9,
    0x4002aaaa,0x3fa05ff8,0xccccccef,0xa801cccc,0x3e2003ff,0x3fea02ff,
    0x4ffff80f,0x01ffffc8,0x06ffffd8,0xeccccc88,0x04cccdff,0x4009ff10,
    0xff881ffb,0x13fe6007,0x260bfee0,0x204fe87f,0xfffffff9,0xf72fffff,
    0x27ff405f,0xfffffff3,0x800dffff,0xff305ff8,0xffffffff,0x5005ffff,
    0x7ec007ff,0x5ffd805f,0x981ffff8,0xb800ffff,0x8803ffff,0xffffffff,
    0x1007ffff,0x7dc009ff,0x03ffc81f,0x2013fe60,0x7fa82ffb,0x3e603fe8,
    0xffffffff,0x5ff72fff,0x997ffc40,0xffffffff,0x44006fff,0xfff305ff,
    0xffffffff,0xf5005fff,0x3fea007f,0xfff9801f,0xd03fff42,0xf1001fff,
    0xf1001fff,0xffffffff,0x0000ffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0x00000998,0x00800200,0x00039910,0x00730aa0,0x35553100,0x06aa2001,
    0x98013310,0x09aa8809,0x20005544,0xaa980008,0xa98000aa,0x4ccc009a,
    0xfffff900,0xffffffff,0x3fffeebf,0x401defff,0xeffffec8,0x0dfff101,
    0x3ee1ffb8,0x00cf8802,0x00017fcc,0xff997fdc,0xffd50004,0x405fffff,
    0xdfffffe9,0x202ffa80,0x3faa4ff9,0xff92ffff,0x3ee007ff,0xffd9803f,
    0x01efffff,0x7ffffecc,0x3ff620ef,0x7e41dfff,0xffffffff,0xf75fffff,
    0xffffffff,0xfff501df,0x07ffffff,0x405ffff1,0xfff51ffb,0x03ffd801,
    0x00017fcc,0x7447bff6,0x36000dff,0xfffeffff,0xdfff702f,0xa83ffffd,
    0x3fe602ff,0x3fbfff24,0xffeffdff,0x7fff802f,0xfffffb80,0x701fffff,
    0xffffffff,0x6f7fcc1f,0x2a60efff,0xdffcaaaa,0xf71aaaaa,0xf975559f,
    0x7fcc1dff,0xffda9acf,0x7fffc40f,0xc87fee06,0x213314ff,0xf9805ffb,
    0xfd10002f,0xdffb01df,0x3bff5003,0xff701510,0x46ffb81d,0x3e602ffa,
    0xea82ee4f,0xbfd12fff,0x00ffff00,0x2a2137b7,0xffb87ffd,0x836a61cf,
    0x02ffb828,0x5c03ffa8,0xffd102ff,0xfb00ec8b,0xffff88bf,0x83ff701f,
    0xffffdffe,0x9800effe,0xe98002ff,0x7fe404ff,0x07fec02f,0x7037fc00,
    0x17fd47ff,0x9009ff30,0x0ffb8dff,0x0017fd40,0x221fff80,0x00001fff,
    0xff5007ff,0x02ffb807,0x1001ffe2,0xcff88dff,0x3ff705ff,0xffffff88,
    0x3001ffff,0xfa8005ff,0xff5003ff,0x07fec07f,0x00bfee00,0x17fd4dff,
    0x5009ff30,0x2ff987ff,0xc8000000,0x0fff62ff,0x6665cc00,0xffa803ff,
    0x017fdc03,0xf0003ff6,0xccff88ff,0x1ffb81ff,0xda9cffe8,0x55441fff,
    0xacffcaaa,0xfb80aaaa,0x7cc002ff,0xdff904ff,0x07fec003,0xffa9ff60,
    0x013fe602,0xff10bfe6,0x00000005,0x37fc7ff5,0x7fff4400,0xa803ffff,
    0x7fdc03ff,0x00ffe402,0xff11ffe0,0xf70bff39,0x85ffa83f,0x7fd45ffb,
    0xffffffff,0x7ec3ffff,0xd10000ef,0xfe881bff,0x7400bdff,0xaaaaaaff,
    0xf50ffeaa,0x27fcc05f,0x7fdd54c4,0x3ffbaaac,0x2a600000,0x3ffdccca,
    0xb000bff1,0x1ffc15ff,0x201ffd40,0x7ec02ffb,0x3fe2000f,0xfea7fc46,
    0x20ffdc0f,0xff981ffd,0x7ffffd46,0xffffffff,0x1bffd13f,0xdffb0000,
    0xffffd881,0xffff02df,0xffffffff,0x0bfea3ff,0x7dc4ff98,0xffffffff,
    0xf93fffff,0xffffffff,0xa8bfffff,0xfffffffe,0x09ff53ff,0xf889ff00,
    0x3ffa803f,0x1017fdc0,0xfb800fff,0xaa7fc44f,0x0ffdc4ff,0x7ff81ffa,
    0x805ff300,0x0002fffa,0x207fff30,0xdfffffda,0x7777ffc0,0xeeeeeeee,
    0x4c05ff50,0x3fff24ff,0xccdffdcd,0xff91cccc,0xffffffff,0x7e4bffff,
    0xdcccdeff,0x07ff53ff,0x2a1dfb00,0xfa803ffe,0x17fdc03f,0x4007ffb0,
    0x7c40fff8,0xb83ffa4f,0x03ffc1ff,0xf3001ffb,0xfff3005f,0xffa80009,
    0xffb5002f,0x007fe8bf,0x4c05ff50,0x1dff14ff,0x4c017fc4,0xaaaaaaaa,
    0x52aaaaaa,0x3ea03dff,0x00bff33f,0xdfffff50,0xff5007fd,0x42ffb807,
    0x006ffea9,0x7c41ffec,0xb93fea4f,0x0fff41ff,0xf3007fe8,0x3fa2005f,
    0xff90005f,0xff30003f,0x007fec3f,0x301ffd40,0x0ffea9ff,0x00007ff1,
    0x80bff200,0xdff13ffa,0x3bf6e000,0xf5005d74,0xfffb807f,0xdfffffff,
    0x17ff2000,0x3fa27fc4,0xd83ff70f,0x6ff983ff,0x005ff300,0x0077fec4,
    0x001dffb0,0xf917fe40,0xff30007f,0x53ffa20b,0x7fcc1ffb,0xb0000004,
    0x7fdc01ff,0x000bffa3,0x7fd40000,0x7fffdc03,0x002effff,0xf1037fe4,
    0x73ffb89f,0xeffb83ff,0x8017fec0,0xc8002ff9,0x74401fff,0x40000dff,
    0x3fe21ffe,0x7fc4001f,0x4fffe887,0x7fc45ff5,0x710000ff,0x1ffd8017,
    0x23fffd88,0x0001fffa,0x3ffa8000,0x5567fdc0,0xff90001a,0x27fc401d,
    0x7fddbfe2,0xbdffff81,0x26007ffe,0xf70002ff,0x3fe605ff,0x9acd804f,
    0x6ffdb989,0x09cfffc8,0xfe837531,0xeffa9aef,0x1bff34ff,0x3dffbfd3,
    0x3f600e62,0x77fdc06f,0xfffeb98a,0x67ffec3f,0x50fca99a,0xffffffff,
    0xffa807ff,0x017fdc03,0x077fe400,0x3213fe20,0x41ffbaff,0xfffffff9,
    0x26003fff,0x3ea00009,0x7ffdc4ff,0xfffff002,0x01dfffff,0x3ffffff2,
    0x7cc2ffff,0x8dffffff,0x3fffa4ff,0xffff95ff,0xfff00fff,0xfffe801f,
    0xff9effff,0x7fffec43,0xf50fffff,0xffffffff,0x3ffa807f,0x0017fdc0,
    0x003bff20,0x3e213fe2,0x221ffbef,0xeffdbfff,0x0001ffeb,0x7ff4c000,
    0x003fff53,0x7fffffec,0xfd9803ef,0x1dffffff,0x3ffffe98,0xffe893fe,
    0x7fff644f,0x6ffe804f,0xffffc880,0x540ffe3e,0x4efffffd,0x26666662,
    0x54009999,0x7fdc03ff,0x3ff20002,0x9ff1000e,0x3ff7ff20,0xa80bff61,
    0x2aaa0eff,0xaaaaaaaa,0x6c4002aa,0x80007645,0x00099998,0x00133310,
    0x31000662,0x20019880,0x44000bb8,0x03300001,0xff500000,0x02ffb807,
    0x01bff900,0x8827fc40,0xf51fffff,0x7ffb00bf,0x7ffffff4,0x07ffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0x7dc03ffa,
    0xffb8002f,0xcccccccf,0x9ff10ccc,0x0ffffec0,0x3d1001d3,0xffffffe8,
    0x07ffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0x7dc03ffa,0xffc8002f,0xffffffff,0x9ff11fff,0x0ffffcc0,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xf700ffea,
    0xff90005f,0xffffffff,0x3fe23fff,0x0fffec04,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0x22009aa8,0x4cc00099,0x10033310,0x99998133,0x19999999,0x26a20262,
    0x20019880,0x54131199,0x4c40a882,0x004d5441,0x4c000988,0x000001cc,
    0x05ef7654,0x0003ba00,0x30001000,0xb8001100,0x0effffff,0x2002ff98,
    0xfff13ff9,0x17ffc407,0xfffffff1,0x361fffff,0x3fffae6f,0x01ffe43f,
    0x4fcaffd4,0x3ee3fffb,0x43fea3ff,0x03fffffc,0x07bffff2,0x201ffd40,
    0x3dfffed8,0x37bffa60,0x3e002eff,0xfec8800f,0x6fc402df,0xfb067441,
    0x00774403,0x7ffffec4,0x7c42ffff,0x3fea003f,0x403ffea2,0x7fc44ffd,
    0xffffffff,0x32dfb0ff,0x3fffffff,0x3601bfe6,0xf79f91ff,0xfff39fff,
    0x27fea1ff,0xfffffffe,0x7ffff443,0xfa802fff,0x7ffcc03f,0xfa82ffff,
    0x83ffa83f,0x2040fe80,0xfffffffb,0x907ff203,0x3ffea3ff,0x02ffe881,
    0x261dffd8,0x7fc0fffc,0x03fee004,0xff50dff9,0x2666660d,0x25ffc999,
    0x12ffdefd,0xffe8dff9,0xc9bfe201,0xbdf75fdf,0x2a5ff11f,0x932efeff,
    0x7fe41fff,0x01dff713,0x4c03ffa8,0x6ffb99ab,0x775c7fc4,0x40fe88bd,
    0xd89fa0dd,0x6ddf7d46,0xff980fff,0x2e27fd44,0x3fa21fff,0x5ffa803f,
    0xfd17fee0,0xff90330b,0xf88fffa0,0xf98000ff,0x3fff60ef,0x21ffe80e,
    0x3ee04ffb,0x43fff23f,0x3fe3fff9,0x01dfff53,0x3fe25ffb,0x401ffc84,
    0xb0003ffa,0xc97e41ff,0xbf33fdcf,0x7d9fffc4,0x8183fff5,0xefe82ffd,
    0x5c1bfe20,0xffe89fff,0x01ffd003,0x3f60ffe8,0x360ffc46,0x3fff106f,
    0x2000bff6,0x7ec1ffe8,0x5ff900ef,0xfd03ffc4,0x327fe41f,0x55fe8dff,
    0x3ee01dff,0x305ff33f,0xffa807ff,0x6ff88003,0x36cf9374,0xdffb88fd,
    0x00cffdfe,0xfc85ff90,0x007fec2f,0x7ffdfff7,0x017fe200,0x7fc8bfee,
    0x3fa27fdc,0x2bbfea05,0xfb0004ff,0x03ffb07f,0x3f61ffd4,0x45ff882f,
    0x3fe60ffc,0xffaaff43,0x553fe602,0x3ff881ff,0x801ffd40,0x20effeda,
    0x2a7f25f8,0x2207f24f,0x00cffffb,0x983ffe20,0x17fd44ff,0x1ffffdc0,
    0x007ff300,0x7fdc7ff5,0xff1fffa0,0xffffc809,0xbff90006,0x8001ff60,
    0xffb85ffa,0x3e63fe42,0xfaaff42f,0x53fe602f,0xff983ff9,0xffffff92,
    0xffffffff,0xeffffc8b,0xffc93e62,0xa817dc4f,0x2003effe,0x7dc4ffe8,
    0x007fec2f,0x00ffff44,0x3005ff50,0x8ffd49ff,0x3e2ffff8,0xfffe803f,
    0x6ffa8001,0x0001ff60,0x7fe81ffd,0x7fcc7fc8,0xffaaff42,0x453fe602,
    0x0ffc86ff,0xfffffff9,0xbfffffff,0xfffcaa98,0x4fe4bf12,0x507f20fd,
    0xffdfddfd,0x5ffe9807,0x7c41dfd0,0x7ff4405f,0xf7001fff,0x7ff3005f,
    0xdfb97fc4,0x05ff14fd,0x01ffff88,0x007ffc40,0xb8000ffb,0x13fe62ff,
    0x5ff31ff2,0x5ff55fe8,0xfb27fcc0,0x9ff935bf,0x6555554c,0xaaaaadff,
    0xd37fcc02,0x24f9be4f,0x4fffa27e,0x03fff77d,0x4c07fff7,0x1ffd44ff,
    0xfbbffe88,0xff9801ff,0x42ffa803,0xf55fb3ff,0xd003fe6f,0x001fffff,
    0x36017ff4,0x7c40007f,0x203ff25f,0x17fcc7fc,0x17fd57fa,0x7c49ff30,
    0x0effffff,0x003ffa80,0x7dcbff50,0x547ecf93,0xfd0f745f,0x7fe436c4,
    0x1ffc801f,0x3a20ffec,0x3ffee3ff,0x02ffc401,0x3fa0ffe4,0xff88ff8c,
    0x7e407faa,0x006ffbcf,0xfb009ff9,0xffb0000f,0x320bff11,0x217fcc7f,
    0x05ff55fe,0x76427fcc,0x2a003dff,0x4ccc03ff,0x43fffba9,0x3264aafe,
    0x74040ffb,0x7fff4087,0x40cccccd,0x7fc46ff8,0x20fffa26,0x7c01fffb,
    0x3fe200ff,0x5fbdfd87,0x81bef7f6,0x3ff66ffa,0x037fd404,0x80007fd8,
    0x2ffabffa,0xff98ff90,0xffaaff42,0x013fe602,0x0ffea000,0xffffff90,
    0x39ff30bf,0x800ffe4c,0x7ffc00ff,0x1fffffff,0x7d42ffa8,0x407ff32f,
    0x7dc02ffb,0x0bff605f,0xa8bf7bf2,0xf305fdff,0x7ffc43ff,0x01fff302,
    0x0001ff60,0x03fef7fc,0x2ff98ff9,0x2ffaaff4,0x0013fe60,0x00ffea00,
    0x3bdffff7,0x7fffec40,0x3a000dff,0x7777400e,0x00eeeeee,0x7302e039,
    0x3a005700,0xea89aeff,0xfff706ff,0x7fffc41f,0x83ffe884,0x7441fffa,
    0xaaaaacff,0x0ffb1aaa,0x3fff2000,0x31ff204f,0x55fe85ff,0x7fcc05ff,
    0xffffff54,0xa807ffff,0x000003ff,0x00de65cc,0x00000000,0x00000000,
    0x3fffffa6,0xf500dfff,0xfffb0bff,0x40bffb07,0x3ea0effc,0xffffffff,
    0x0ffb4fff,0x3ffe6000,0x31ff201f,0x55fe85ff,0x7fcc05ff,0xffffff54,
    0xa807ffff,0x000003ff,0x00000000,0x00000000,0x3fb20000,0x4402efff,
    0xffa82fff,0x07ffdc2f,0xfa97ffa0,0xffffffff,0x0ffb4fff,0x37ff4000,
    0xff31ff20,0xff55fe85,0x8a7fcc05,0x99999999,0x00000099,0x00000000,
    0x00000000,0x80000000,0x00000019,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffd50008,0x08000000,0x1ef76540,0x776c0000,0xeeeeeeee,0x93bb26ee,
    0x00105eeb,0xeed88000,0x260b2604,0xeeb8001c,0xeee8800d,0x261eeeee,
    0x222221dd,0xbb088888,0xbbbbbbbb,0xbbbbbbbb,0x22000001,0x07e440fc,
    0x0ffffd50,0x003ffb80,0x7e417fec,0x21efffff,0xfffffff8,0xd4ffffff,
    0xffffffff,0x7ecfffff,0x91bfee4f,0x22019ffd,0x7f440019,0x0fffc04f,
    0x7e41fff1,0x3ffee03f,0x7fffc400,0xff11ffff,0x3fff63ff,0xff6fffff,
    0xffffffff,0xffffffff,0x22000001,0x2ffc45ff,0x7fffff44,0x3ffe2007,
    0xfff5000f,0x567fdc1f,0x3e26ffb9,0xffffffff,0x9974ffff,0x99999999,
    0x27fec999,0x7fecdff7,0xfc81ffff,0x3ffa2007,0x17ffc402,0x3ea3fff1,
    0x3e601fff,0x4ccc00ff,0xf7099999,0x3ff69fff,0x96ffffff,0x99999999,
    0x99999999,0x40000019,0x7fdc3ffa,0xfe9dfe83,0x3b7f2007,0xfff3004f,
    0x213fe27f,0x2aaa2ffb,0xbaaaaaaa,0x900004ff,0xaffd47ff,0xffdbeffa,
    0x8037ec1f,0x7001efe8,0x649f909f,0x4403ffff,0x80000ffd,0x754ffffb,
    0x77777777,0x00000000,0x40ffd800,0xd0d40ffe,0x3fe600ff,0xd001ffa8,
    0x3fea9fff,0x0009ff00,0x00009ff1,0xffa8fff2,0xffb8ffb5,0x04ffb9bf,
    0x00000220,0x05ffff70,0x00002220,0x003fffa2,0x00000000,0x6fe88000,
    0x3a02ffc4,0x49fb007f,0xff3006fd,0x403fee7f,0xf88004ff,0x3333314f,
    0x33333333,0xff317fdc,0x3ea1bfa9,0x00ffffff,0x80000000,0x00005ffd,
    0x02ee2000,0x00000000,0x3e600000,0x017fdc3f,0xff500ffd,0x801ffcc1,
    0x1ff51fff,0x0007ff30,0x3ffa9ff1,0xffffffff,0x8bfee7ff,0x05974ff9,
    0x07ffffa6,0x00000000,0x00000098,0x00000000,0x00000000,0x7cc6fe80,
    0x01ffa04f,0x3ff20ffa,0x337fcc00,0x3ff909ff,0x29ff1000,0xfffffffe,
    0x2a7fffff,0x0fba21ee,0x00035300,0x00000000,0x00000000,0x00000000,
    0x32000000,0x07ff41ff,0xfb80ffd0,0x409ff107,0x7ec1ffe9,0x4ffebadf,
    0x44266000,0x99999999,0x00019999,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3fea0000,0x2017fdc3,0x3fe207fe,0x887fee03,0x883fffee,
    0x4ffffffd,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0x7fc46ff8,0xffccca85,0x3f20cccf,0x226fe806,0x5400dfff,
    0x0001cddc,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7fec0000,0x6c07fec0,0xffffffff,0x2002660f,0x006a2198,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x4c3ff980,
    0xddd903ff,0x01dddddd,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00126071,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__consolas_33_latin1_x[224]={ 0,6,4,0,1,0,0,7,4,4,2,1,3,4,
6,1,1,2,2,2,0,2,1,1,1,1,6,4,2,2,3,4,0,0,2,1,1,3,3,1,1,2,2,2,
3,0,1,0,2,0,2,1,1,1,0,0,0,0,1,5,2,4,1,0,0,2,2,2,1,1,0,1,2,2,
2,2,2,1,2,1,2,1,3,2,1,2,1,0,1,0,2,2,7,3,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,6,2,1,1,0,
7,2,0,0,3,2,1,4,1,0,3,1,3,4,0,2,1,6,7,3,3,2,0,0,0,3,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,2,2,0,0,
0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,2,0,
 };
static signed short stb__consolas_33_latin1_y[224]={ 24,1,1,2,-1,1,1,1,0,0,1,7,18,13,
18,1,2,2,2,2,2,2,2,2,2,2,7,7,6,11,6,1,1,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,1,0,2,28,1,7,1,7,1,7,1,7,1,1,
1,1,1,7,7,7,7,7,7,7,2,7,7,7,7,7,7,0,-3,0,11,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,24,7,-1,2,3,2,
-3,1,1,2,2,8,13,13,1,2,1,4,0,0,1,7,1,12,24,1,2,8,1,1,1,7,-3,-3,-3,-3,
-3,-5,2,2,-3,-3,-3,-3,-3,-3,-3,-3,2,-3,-3,-3,-3,-3,-3,8,-1,-3,-3,-3,-3,-3,2,1,1,1,
1,1,1,-1,7,7,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,6,4,1,1,1,1,1,1,1,
 };
static unsigned short stb__consolas_33_latin1_w[224]={ 0,6,10,18,16,18,19,4,10,10,14,16,9,10,
6,15,16,15,15,14,18,14,16,16,16,16,6,8,13,15,13,11,18,18,15,16,16,13,13,16,16,14,13,15,
13,18,16,18,15,19,15,16,16,16,19,18,18,19,16,9,15,9,16,19,11,14,15,14,15,16,17,16,14,14,
13,16,14,16,14,16,15,15,14,14,15,14,16,18,17,17,14,13,4,13,17,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,0,6,13,16,16,18,
4,14,15,18,12,14,15,10,16,14,12,16,12,10,16,16,16,6,4,12,12,14,18,18,18,11,18,18,18,18,
18,18,19,16,16,16,16,16,16,16,16,16,17,17,18,18,18,18,18,14,18,17,17,17,17,19,15,15,16,16,
16,16,16,16,18,14,17,17,17,17,16,16,16,16,16,16,17,17,17,17,17,16,16,16,16,16,16,17,15,17,
 };
static unsigned short stb__consolas_33_latin1_h[224]={ 0,24,8,22,29,24,24,8,31,31,14,17,12,4,
7,27,23,22,22,23,22,23,23,22,23,22,18,23,19,9,19,24,30,22,22,23,22,22,22,23,22,22,23,22,
22,22,22,23,22,28,22,23,22,23,22,22,22,22,22,31,27,31,12,3,7,18,24,18,24,18,23,24,23,23,
30,23,23,17,17,18,24,24,17,18,23,18,17,17,17,24,17,31,34,31,8,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,0,24,30,22,21,22,
34,27,7,23,17,14,9,4,15,6,11,20,14,15,7,24,27,6,5,13,17,14,23,23,23,24,27,27,27,27,
27,29,22,27,27,27,27,27,27,27,27,27,22,27,28,28,28,28,28,14,29,28,28,28,28,27,22,24,24,24,
24,24,24,26,18,22,24,24,24,24,23,23,23,23,24,23,24,24,24,24,24,18,24,24,24,24,24,30,30,30,
 };
static unsigned short stb__consolas_33_latin1_s[224]={ 255,247,101,54,218,53,119,250,22,11,192,
147,46,204,163,202,221,232,34,206,118,90,172,20,155,189,248,81,101,85,115,
69,161,206,225,175,156,242,241,126,37,73,105,88,104,1,50,192,18,235,173,
18,1,35,212,193,174,154,137,43,18,33,29,215,170,212,36,227,69,144,1,
226,19,211,129,138,160,102,119,1,53,1,70,129,226,161,85,18,37,173,55,
53,1,67,112,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,
139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,139,255,243,115,
34,67,67,6,71,147,119,242,220,69,204,175,182,56,84,207,164,130,209,185,
197,250,16,134,1,52,71,90,244,86,105,1,237,218,180,119,168,1,54,176,
193,142,159,210,227,86,124,58,1,20,39,149,235,199,77,95,113,131,34,51,
37,144,161,178,195,156,20,176,104,90,126,108,72,189,238,109,143,212,1,229,
1,17,35,191,195,139,102,85,52,19,97,81,143, };
static unsigned short stb__consolas_33_latin1_t[224]={ 1,93,284,219,1,93,121,121,1,1,265,
265,284,284,284,36,146,219,242,146,219,146,146,219,146,195,219,146,242,284,242,
146,1,195,195,171,195,171,195,171,219,219,146,219,219,219,242,171,242,1,195,
171,242,171,219,219,219,219,219,1,65,1,284,284,284,242,121,242,121,242,195,
121,195,171,1,146,171,265,265,265,146,146,265,242,171,242,265,265,265,121,265,
1,1,1,284,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,1,121,1,
195,242,195,1,65,284,146,242,265,284,284,265,284,284,242,265,265,284,121,36,
284,130,284,265,284,171,171,171,65,65,65,93,36,36,1,195,36,65,65,65,
65,65,65,65,65,195,65,36,36,36,36,36,265,1,36,36,36,36,65,195,
93,93,93,93,93,121,93,242,195,93,93,93,93,146,146,171,171,93,171,93,
121,146,146,121,242,121,121,121,121,121,1,1,1, };
static unsigned short stb__consolas_33_latin1_a[224]={ 290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_33_latin1_BITMAP_HEIGHT or STB_FONT_consolas_33_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_33_latin1(stb_fontchar font[STB_FONT_consolas_33_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_33_latin1_BITMAP_HEIGHT][STB_FONT_consolas_33_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_33_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_33_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_33_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_33_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_33_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_33_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_33_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_33_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_33_latin1_s[i] + stb__consolas_33_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_33_latin1_t[i] + stb__consolas_33_latin1_h[i]) * recip_height;
            font[i].x0 = stb__consolas_33_latin1_x[i];
            font[i].y0 = stb__consolas_33_latin1_y[i];
            font[i].x1 = stb__consolas_33_latin1_x[i] + stb__consolas_33_latin1_w[i];
            font[i].y1 = stb__consolas_33_latin1_y[i] + stb__consolas_33_latin1_h[i];
            font[i].advance_int = (stb__consolas_33_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_33_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_33_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_33_latin1_s[i] + stb__consolas_33_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_33_latin1_t[i] + stb__consolas_33_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_33_latin1_x[i] - 0.5f;
            font[i].y0f = stb__consolas_33_latin1_y[i] - 0.5f;
            font[i].x1f = stb__consolas_33_latin1_x[i] + stb__consolas_33_latin1_w[i] + 0.5f;
            font[i].y1f = stb__consolas_33_latin1_y[i] + stb__consolas_33_latin1_h[i] + 0.5f;
            font[i].advance = stb__consolas_33_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_33_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_33_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_33_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_33_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_33_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_33_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_33_latin1_LINE_SPACING
#endif

