// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_37_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_37_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_37_latin1_BITMAP_WIDTH         256
#define STB_FONT_consolas_37_latin1_BITMAP_HEIGHT        362
#define STB_FONT_consolas_37_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_37_latin1_FIRST_CHAR            32
#define STB_FONT_consolas_37_latin1_NUM_CHARS            224

#define STB_FONT_consolas_37_latin1_LINE_SPACING          24

static unsigned int stb__consolas_37_latin1_pixels[]={
    0x33225991,0x40000642,0x4000221b,0x99999998,0x26666621,0x22000199,
    0x00026641,0x2b36e600,0x65400000,0x051003cc,0x220000cc,0x000002dc,
    0x00400000,0x30999700,0x34ff9815,0x037ec9ff,0x747fee00,0xb000deff,
    0xffffffff,0x3fffff61,0x32000fff,0xff11fffe,0x2a00000f,0x5fffffff,
    0xfff50000,0xdff3001b,0x0009ff70,0x0017fff4,0xa8005ff3,0x75c001ff,
    0x024c1eff,0xffc8fffb,0x4d3fe60f,0x17ffa4ff,0x8fffd400,0x03fffffe,
    0xffffffd8,0xffffb0ff,0x3001ffff,0x23fffffd,0x00007ff8,0xdbdfffc8,
    0x0000dfff,0x800fffea,0x7f41fffd,0xff10007f,0x7d400bff,0x7fdc001f,
    0x3ffee000,0xffbadfff,0x44fffb03,0x3e63ffff,0x449ff34f,0x4c005ffe,
    0x32aa2fff,0x5401fffe,0xfffaaaaa,0x5557ffb0,0x3ffa0055,0xff10abcf,
    0xfd80000f,0x0dff705f,0x07ffea00,0x81fff700,0x20006ffd,0x2004ffff,
    0x64000ffc,0x3fe2007f,0xfffffb9c,0x1fff605f,0x7cc7ffff,0x989ff34f,
    0xf1003fff,0xffc807ff,0x1fff0006,0x40007ff6,0xf100effb,0x5c0000ff,
    0x7fe403ff,0x6f6cc002,0x03970000,0x40001991,0x2000effa,0x2e6007fd,
    0x8009affe,0x77f64439,0x1fff600c,0x7cc1dff7,0x509ff34f,0xfb001fff,
    0xfff1009f,0x1fff0001,0x40007ff6,0x3e202ffd,0xf300007f,0x17fa009f,
    0x00000000,0x00200000,0xd301bfa0,0xffffffff,0x0000007f,0x0621bff2,
    0x7fcd3fe6,0x80bffb04,0xb000fffa,0xff0003ff,0x007ff61f,0x1007ff40,
    0x20000fff,0xf7000ffe,0x0000001f,0x00000000,0x40bff000,0xfffffffc,
    0x0003ffff,0x0dff9000,0xf9a7fcc0,0x5fff104f,0x0017ff40,0xf0005ff9,
    0x07ff61ff,0x203ffc00,0xaa887ff8,0x02ffa800,0x310ffe20,0x4cc40013,
    0x0004cc41,0x99883331,0x99999999,0x7f6dcc01,0x3f20bdff,0xcffaceff,
    0x51002cba,0x0137bdb9,0x9986ffc8,0xf9a7fcc0,0x1bfee04f,0x20037fdc,
    0xf8002ffc,0x03ffb0ff,0x101ffe00,0x7ff5cfff,0x3f601eff,0x44fe8007,
    0x32007ffc,0x3ffe45ff,0xe8bff900,0xffffffff,0xff900fff,0x5fffffff,
    0xf98fffe6,0xfe98002f,0x0effffff,0xf31bff20,0x34ff989f,0xfff809ff,
    0x002fff81,0x40017fe4,0x3ffb0fff,0x01ffe000,0x3ff2fff1,0x81ffffff,
    0xcca84ff9,0x8bfb2b9b,0xf002fff8,0xfff885ff,0x85fff002,0xfffffffe,
    0x74c0ffff,0xeffeffff,0x8fff72ff,0x5c001ffa,0xffffffff,0xff901fff,
    0x4c4ff98d,0x09ff34ff,0x7cc4ffc8,0xffc8007f,0x0fff8002,0x20003ffb,
    0x7fc407ff,0xcabeffcf,0xffb87fff,0x3ffff620,0xb0df92ff,0xff500bff,
    0x017ff60f,0x2aa1ffea,0xfaaaaaaa,0x7fff40ff,0x3511ff73,0xff913ff6,
    0xdfffb800,0xffff730a,0x98bff703,0xa7fcc4ff,0x7d404ff9,0x027fe47f,
    0x0017fe40,0xffd87ffc,0x0fff0001,0x3fffff88,0x6c2fff98,0x6f7ff46f,
    0x0df90fff,0xd801fff5,0xfff504ff,0x04ffd801,0x5c1fff00,0x1ff21fff,
    0x3f63ffe4,0x2fffc007,0x709fff30,0x5ff98bff,0xff9a7fcc,0x22fff804,
    0xb8001ffe,0xff8003ff,0x003ffb0f,0x880bff10,0x3202ffff,0x527fc6ff,
    0x73ff49ff,0x0fffe0ff,0x201fff88,0x3e203fff,0xff0001ff,0x0fffe21f,
    0x3fea0dfb,0x801bfa4f,0xfa806ffb,0x2ffdc0ff,0xff317fea,0x2013fe69,
    0xfff13ffd,0x17fea000,0x6c3ffe00,0xf98001ff,0x7ffc403f,0x33ffcc03,
    0x23ff45ff,0x41fee6ff,0x3ea06ffc,0x37fe406f,0x000dff50,0xff987ffc,
    0xd105fe87,0x9ff5dfff,0x0fffe200,0x2e1fffc0,0x2ffd45ff,0x7fcd3fe6,
    0x34ffc804,0x7c000fff,0x7fc003ff,0x003ffb0f,0x400ffe98,0xff007ff8,
    0x447fea1f,0x97fe24ff,0xfff107fb,0x00fff603,0x3603fff1,0x3e0003ff,
    0x0bff70ff,0x7fc409ff,0x003fffff,0x2001fff5,0x7fdc6ffc,0x262ffd45,
    0xf70004ff,0x01bfeabf,0xeffff980,0x87ffc01c,0xdc801ffd,0x8802effe,
    0xfff007ff,0xffb9fee3,0xfc93fe62,0x213ff606,0xd800fff8,0xfff884ff,
    0x3ffe0000,0xf889ff90,0x7fe4403f,0x401cffff,0x2a005ffb,0x27fd47ff,
    0xff31bfea,0x3fea0009,0x000bff76,0x3ffffb88,0xfd87ffc0,0xffff801f,
    0x1ffe2005,0xfc97ff40,0xfa83ff27,0xa81bf23f,0x7fdc0fff,0x1fff5005,
    0x0005ffb8,0xffd87ffc,0x8017fcc4,0xffffffc9,0x09ff900d,0x2a3ffcc0,
    0x37fd44ff,0x40013fe6,0x9ff76ffa,0xfffb8000,0x7ffc02ef,0xd003ffb0,
    0x005fffff,0x3e00fff1,0x74df91ff,0xb0ffdc7f,0x3fff80bf,0xf0017ff4,
    0x2ffe87ff,0x87ffc000,0x7fd46ffc,0x7ffdc001,0xfd81ffff,0x3fe2003f,
    0x713fea0f,0x4ff98dff,0x2bff5000,0x20005ffb,0x2000cffd,0x3ffb0fff,
    0x7ffdc400,0x03ffc401,0xdfb0fff8,0x3ff23ff4,0xf9013fa0,0x03ffc4df,
    0xf89bff20,0xff80007f,0x41fff70f,0x64000ffb,0xffffd9ff,0x001fff40,
    0xffa87ffe,0x2637fdc4,0xf70004ff,0x01bfeabf,0x8005ff80,0x3ffb0fff,
    0x0bff7000,0x8807ff88,0xe97f67ff,0xf13ff47f,0xfff9805f,0x8009ff71,
    0xff71fff9,0xfff00009,0xc8bffe61,0x6fd8007f,0xff13ffea,0xfff8005f,
    0x8fff7001,0x90004ff9,0x1ffe69ff,0x01ffcc00,0xfd87ffc0,0xff88001f,
    0x03ffc406,0xdfb2ffdc,0xfff13ff4,0x74007fd4,0x03ffd4ff,0x3a9ffd00,
    0xf80001ff,0x3fffa0ff,0xd000dfd2,0x46ffb8bf,0x22003ffe,0xf7000fff,
    0x04ff98ff,0x227ffb00,0xb8000fff,0xff8002ff,0x003ffb0f,0xf101ffe0,
    0xfff880ff,0xffd9bf21,0x7ecfffb0,0x3dff5005,0x2a000dff,0x06ff9eff,
    0x41fff000,0xffbffffa,0xff006e25,0x20fff989,0x26004ffd,0xb82a87ff,
    0xa7fcc7ff,0x7c402cc8,0x0fffa0ff,0x00bff200,0x7ec3ffe0,0xfff0001f,
    0x207ff880,0x7e44ffe8,0x3f7bfee7,0x1ffddffd,0x3fbffe00,0x3fe0003f,
    0x0003ffef,0xfb81fff0,0xfeffffff,0x3fe202ff,0x3237fe43,0x3e6004ff,
    0x237fec6f,0x7fcc7ffc,0xa809ff34,0x2ffe46ff,0x017fe400,0xfd87ffc0,
    0xfff0001f,0xdffff880,0xffffcbab,0xff13fdc0,0x3fff2dff,0x7fe4003f,
    0x20000fff,0x00fffffc,0x01fff000,0xfffffff5,0x7cc05fff,0x17ffe22f,
    0x6400dff7,0x3ffe25ff,0x31fff22f,0x13fe69ff,0xf987ffb0,0x7e4000ff,
    0xfff8002f,0x0003ffb0,0xff101ffe,0xffffffff,0x1ff501bf,0xb885f644,
    0xf98002cd,0x40004fff,0x004ffff9,0x803ffe00,0xabdeffd9,0xffa86b61,
    0x83fffd51,0xd001fffa,0x7ffc49ff,0x31fff22f,0x13fe69ff,0xe80fff88,
    0x7e4003ff,0xfff8002f,0x0003ffb0,0xff101ffe,0xbdffffdf,0x017fcc05,
    0xffd00000,0xfd00001f,0x400001ff,0x7dc00fff,0x3fffe00f,0xfffeffef,
    0x7ffd02ff,0x81fff300,0x7fe46ffc,0x4d3fe60f,0x3ff204ff,0x01fff704,
    0x0017fe40,0xffd87ffc,0x0fff0001,0x3317ff88,0x005ff800,0x3ffa0000,
    0xffd00005,0x7c40000b,0x07fc807f,0x7ffffffc,0x01dfffff,0x8807ffee,
    0x03103ffe,0xff985553,0x2609ff34,0x3fa00fff,0x3ff2004f,0x0fff8002,
    0x20003ffb,0x7fc407ff,0x7fe40007,0xa8000000,0x80001fff,0x0001fffa,
    0x201bfe60,0x65cc06fd,0xbdefffee,0xffff8801,0x0fffe881,0x3fe60000,
    0x3a09ff34,0x7fcc03ff,0x3ffb001f,0x21fff000,0xd0001ffd,0x7fc401ff,
    0x7fc40007,0x44000004,0x80005ffe,0x0005ffe8,0x402ffe40,0xff8005fe,
    0xfff50004,0xfffd99df,0x2aaaa05f,0x40aaaaaa,0x9ff34ff9,0x200dff70,
    0xe800effc,0xff8000ff,0x003ffb0f,0x8807ff60,0xe80007ff,0x000003ff,
    0x001dffd1,0x0effe880,0xff300200,0x09ff005f,0x003ff880,0x3ffffe60,
    0x101effff,0xffffffff,0x4ff987ff,0xffa89ff3,0xffd1001f,0x07ffa80b,
    0x361fff00,0xf90001ff,0x3ffc40df,0x7ff4c000,0x02eb881c,0x7ffdd4d4,
    0xa9a8001f,0x001ffffb,0x4c4cdf64,0x8805fffb,0x7cc003ff,0x6440002f,
    0x04effffe,0x7fffffc4,0x7cc3ffff,0x4c9ff34f,0x44001fff,0x26624fff,
    0x4403fffc,0xfff99999,0x3335ffb0,0xfff10033,0x7fc4335d,0xfd100007,
    0xfffddfff,0xffff805f,0xf0002fff,0x05ffffff,0xfffff900,0x001dffff,
    0xa8005ff3,0x400001ff,0x33220019,0xcccccccc,0xf9a7fcc2,0x05fff14f,
    0x4bffe600,0x06fffffe,0xffffffd8,0xffffb0ff,0x7001ffff,0x23ffffff,
    0x00007ff8,0x3fffff62,0x7c00bdff,0x000cffff,0x33ffffe0,0xfff70000,
    0x007fffff,0x2000664c,0x00000198,0x4c000000,0x49ff34ff,0x4c0003fb,
    0x3ffffa5f,0xffffb003,0x3f61ffff,0x0fffffff,0xffffd300,0x00015543,
    0x09aba880,0x006b2a00,0x00d65400,0x59753000,0x00000013,0x00000000,
    0xff300000,0x0513fe69,0x35506000,0xaaaa8001,0x2aa2aaaa,0x02aaaaaa,
    0x00aa9880,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xff34ff98,0x00000009,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x26000000,0x09ff34ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2aa20000,
    0x00035511,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2a980000,0x01551000,
    0xedca8800,0x300009bd,0x05599b95,0x64000040,0x00005fff,0x077ffd40,
    0x3fff6200,0x2ed88001,0x8002ee88,0xccccba98,0x0bb6204c,0x3200bba2,
    0x80005fff,0x6c0000aa,0xffa8006f,0xd30004ff,0xdfffffff,0x7fecc001,
    0x806fffff,0x4c1effeb,0xbfff5004,0x3ea00000,0xe88004ff,0x002fffff,
    0x7ec3ffe4,0x3fee007f,0xffffffff,0x21fff207,0xf5007ffd,0x6c000bff,
    0x20001fff,0x7c4004ff,0x002ffbcf,0x7fffffdc,0x801fffff,0xeefffff9,
    0x7fdc06ff,0xfbadffff,0xffd1003f,0xfa80000b,0xe88002ff,0x2fffabff,
    0x21ffee00,0xea807ffc,0xffffffff,0x3ee07fff,0x07ffc87f,0x017ffa20,
    0x17fffea0,0x00ffd400,0x5fa97ea0,0x37ffee00,0xffff730a,0x6fff4403,
    0x3e201880,0xffffb9cf,0xec8005ff,0xb300003e,0xb10001bd,0x776c43bd,
    0x05d91001,0xf9803b91,0x26ffffff,0x32207ff8,0x01dc882e,0x003eec80,
    0x037fffdc,0x3bbb72a2,0x5fa8007f,0xff8017ea,0x3ffea05f,0x01bfea05,
    0xec887300,0x00000cef,0x00000000,0x00000000,0xfffff100,0x7fc4dfff,
    0x00000007,0xfff30000,0x7ff4c09f,0x01ffffff,0x75e7fc40,0xdff7002f,
    0x01fff500,0x00017ff2,0x00000000,0x00000000,0x00000000,0x3ffffee0,
    0x3fe26fff,0x00000007,0x3fee0000,0x3fffee04,0x2fffffff,0x7fffd400,
    0x0fffe004,0xb827ffc0,0x00000fff,0xca880000,0x0009bded,0xbdedca88,
    0xca880009,0x0009bded,0xbdedca88,0x7ffec009,0x226fffff,0x0ccc87ff,
    0xc8399700,0x997000cc,0x7fdc0003,0xfff70adf,0xa88001ff,0x3fe6000a,
    0xdff9000f,0x03bffe20,0x03999700,0x4c019970,0xfffffffe,0x3fa6000e,
    0x0effffff,0x3fffa600,0x000effff,0x3fffffa6,0x3fe00eff,0x6fffffff,
    0x3fe1ffe2,0x5ffd000f,0xd000fff8,0x7c0005ff,0xfefe85ff,0x664005ff,
    0xff7002cc,0x3ffd400b,0x07ffff70,0x037fff40,0xfb80ffec,0xffffffff,
    0xffb801ff,0xffffffff,0xfffb801f,0xffffffff,0xffffb801,0x1fffffff,
    0xfffffff0,0x3ffc4dff,0xe8007ffc,0x07ffc2ff,0x002ffe80,0xf10dff70,
    0x03fff97f,0x17fffea0,0x0027fe40,0x3ea0fff3,0x01efffff,0x01ffffe8,
    0x7dc0ffec,0xf730adff,0x7dc03fff,0xf730adff,0x7dc03fff,0xf730adff,
    0x7dc03fff,0xf730adff,0xffb03fff,0x4dffffff,0xfff87ff8,0x85ffd000,
    0xfd000fff,0xff10005f,0x13ff507f,0x36007fff,0x800fffff,0x22003ffd,
    0x7fcc0fff,0xcffffdbf,0x3ffffa00,0x40ffec05,0x3e605fff,0x3ffe04ff,
    0x13ffe605,0x2605fff8,0x3fe04fff,0x3ffe605f,0xfffffc84,0x3fe26fff,
    0x000fff87,0xfff85ffd,0x05ffd000,0x01fff500,0x2ffe4dfb,0xffefff80,
    0x02ffe803,0x3a0fffc0,0x3ffaa2ff,0xfffd00ef,0x7fec03ff,0x4037fdc1,
    0xfb80fffa,0xfffa806f,0x806ffb80,0xfb80fffa,0xfffa806f,0x7ffffcc0,
    0x3fe26fff,0x000fff87,0xfff85ffd,0x05ffd000,0x20bff700,0x1ffea4ff,
    0x3ef7fea0,0x2fff805f,0x30fffc00,0x3ff20dff,0xcffe81ff,0x3ff605ff,
    0x00fffe21,0x3e21fffc,0xfff003ff,0x03fff887,0xf887fff0,0xfff003ff,
    0xfffff707,0x3ffc4dff,0xe8007ffc,0x07ffc2ff,0x002ffe80,0xf984ffc8,
    0x03ffea2f,0xff35ff90,0x3ffe801f,0x83ffe200,0x3e604ffa,0x9ffe86ff,
    0xffb00fff,0x007ffd43,0x7d46ffc8,0xff9000ff,0x00fffa8d,0xfa8dff90,
    0xff9000ff,0x3ffff20d,0x1ffe26ff,0x74003ffe,0x07ffc2ff,0x302ffe80,
    0x3ffd85bb,0x7fcc7fc8,0x87ffc00f,0x7ec02ffe,0x3fe6004f,0x203ffd47,
    0x7f43fff9,0xb04ffc8f,0x2ffdc3ff,0xb8fff500,0x3ea005ff,0x02ffdc7f,
    0xfb8fff50,0x3fea005f,0x3fff6607,0x21ffe26f,0xfd000fff,0x00fff85f,
    0xf105ffd0,0x7ff45fff,0x7c45fe83,0x3fea01ff,0x9017ff26,0x7cc009ff,
    0x17ffc47f,0xfd17ff20,0x01fff31f,0x7fe43ffb,0x1ffe6004,0x4c009ff9,
    0x27fe47ff,0xc8fff300,0x3e6004ff,0xba98807f,0x3e1ffe23,0xffd000ff,
    0x000fff85,0xff505ffd,0x17ffcdff,0x3fe0bfe2,0x8fff201f,0x3200fff9,
    0x3f2006ff,0x1fffc86f,0xfd1bfe60,0x213ff61f,0x3ff61ffd,0x3ffe2003,
    0x800fff60,0x3f60fff8,0x3fe2003f,0x00fff60f,0x000fff88,0x3e1ffe20,
    0xffd000ff,0x000fff85,0xff105ffd,0x3ffa1fff,0x2207fdc3,0x3fe00fff,
    0x017ffc0f,0x2003fff5,0xfe883ffe,0xbff303ff,0xff30ffe8,0x21ffd81f,
    0x7c003ffe,0x0fffa1ff,0x743fff00,0x7fc003ff,0x00fffa1f,0x0003fff0,
    0x7fc3ffc4,0x5ffd000f,0xd000fff8,0x3ff205ff,0x89ffd1ff,0x7ff986fd,
    0x321bfea0,0x7ffc05ff,0x0fff9804,0x3dfffd10,0x7f43ffd8,0xb0fffa0f,
    0x17ffc3ff,0xf87ffe00,0x7fc002ff,0x00bffe1f,0x7fc3fff0,0x7ffc002f,
    0x3fe20001,0x000fff87,0xfff85ffd,0x05ffd000,0xffb3fffc,0x4c1ffc4b,
    0x3ff206ff,0x00fffa83,0x8807fff2,0xfc804ffe,0xffc8cfff,0x2a0ffe86,
    0x0ffec7ff,0x44007ffd,0x3ffa0fff,0x3ffe2003,0x800fffa0,0x3fa0fff8,
    0x3fe2003f,0x3e20000f,0x00fff87f,0xff85ffd0,0x5ffd000f,0xf937fec0,
    0x40ffd4df,0x3fe05ffc,0x05fff01f,0x40ffffc4,0x000fffe8,0xffffffd3,
    0x81ffd03f,0x3ff62ffe,0x8013ff61,0x7fec7ff9,0x1ffe6004,0x4c009ffb,
    0x27fec7ff,0x00fff300,0xf87ff880,0xffd000ff,0x000fff85,0x7fc05ffd,
    0x47ffe64f,0x7fff07fc,0xd81bfea0,0x7fcc05ff,0xffecdfff,0xfb8001ff,
    0xfd00ffff,0x26ffb81f,0x3ff21ffd,0x1bfe6004,0x4c009ff9,0x27fe46ff,
    0xc8dff300,0x3e6004ff,0x7c40006f,0x00fff87f,0xff85ffd0,0x5ffd000f,
    0x3e1bff20,0x509ff5ff,0x3f201fff,0x3ffea04f,0x7fffd400,0x01ffffff,
    0x3fff6200,0xf01ffd02,0x87ff65ff,0x32006ffb,0x37fdc5ff,0xb8bff900,
    0x3f2006ff,0x037fdc5f,0x000bff90,0xff87ff88,0x3ffd001f,0xd001fff8,
    0x3aea23ff,0xffc81fff,0x7442ffbf,0x3ffe03ff,0x0bffe201,0x3fffae20,
    0x00000bef,0x3fa0dffb,0xb5ffb80f,0x7ffd43ff,0x89ffd001,0xd001fffa,
    0xfffa89ff,0x89ffd001,0xd001fffa,0x980009ff,0x2ffe86ff,0xe81fff00,
    0xfff002ff,0x3bfffee1,0xfffff101,0x0fffe88f,0xffffff50,0xffffffff,
    0x4ffb800b,0xff980000,0x101ffd07,0x3ffb3fff,0x9803ffe8,0xffe80fff,
    0x0fff9803,0x9803ffe8,0xffe80fff,0x0fff9803,0x27fdc000,0x4c01ffec,
    0x3ffd87ff,0x2e7ff980,0xfb802def,0xfebbffff,0x3f202fff,0xffffffff,
    0x007fffff,0x0007ffcc,0x41bfee00,0xff900ffe,0xfb83ffb9,0x3fa201ff,
    0x3fff703f,0x81fff440,0x2201fffb,0xff703ffe,0x7ff4403f,0x7f400403,
    0x06ffc83f,0xfc85ffd8,0x5ffd806f,0x7fd40002,0xefffffff,0x777ffc00,
    0xeeeeeeee,0x7c002fff,0x010304ff,0xd04fff88,0x3fe201ff,0x7c41ffef,
    0xfe881fff,0xfff100ff,0xfffd103f,0x3fffe201,0x0fffe881,0x03ffff10,
    0x801fffd1,0xdff901ee,0x817ffe20,0xf880fffb,0x3fee05ff,0xf900000f,
    0x09dfffff,0x400fff50,0x5c005ffd,0xdaacffff,0x566f744f,0x0efffedb,
    0x6401ffd0,0xa81fffff,0xecceffff,0x5402ffff,0xecceffff,0x5402ffff,
    0xecceffff,0x5402ffff,0xecceffff,0x6402ffff,0xfccdefff,0x3ee02fff,
    0xecabcfff,0x3ee03fff,0xecabcfff,0x00003fff,0x006a7bfa,0x4009ff90,
    0xd8007ffb,0xffffffff,0x3ffffa0f,0x00efffff,0xf9803ffa,0xf301ffff,
    0xffffffff,0x3fe6003d,0xefffffff,0xffff3001,0x03dfffff,0x3ffffe60,
    0x801effff,0xffffffe9,0xfc803fff,0xffffffff,0xfffc803f,0x3fffffff,
    0x3fe20000,0x3ffe0003,0x3ffe2002,0xfffb8002,0x7640dfff,0x2dffffff,
    0x400ffe80,0x201ffffd,0xeffffec8,0xfec88004,0x8004efff,0xeffffec8,
    0xfec88004,0x8004efff,0xcefffeda,0x3ff66000,0x000dffff,0x3fffff66,
    0x400000df,0x50001ffa,0xfd000fff,0x2620009f,0x99800aaa,0x7ff40009,
    0x7fffcc00,0x00066001,0x00003300,0x40000198,0x22000019,0x33100001,
    0x33100001,0x5c000001,0x3f20005e,0xffb8005f,0x00000007,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0077ffd4,0x03fffb10,0x00000400,0xceedca88,0xffb1001b,
    0x5000003f,0x0001dfff,0x01dfff50,0x220bb620,0x200002ee,0xa8001cca,
    0x1000efff,0x4003fffb,0x0005fffc,0x50003530,0x88009fff,0x02fffffe,
    0x0f7ff5c0,0xfb100126,0xffffffff,0xfffe880d,0x200002ff,0x0004fffa,
    0x009fff50,0xfd87ffc8,0x3e00007f,0x7d4000ff,0x3a2004ff,0x002fffff,
    0x0017ffea,0x005fff50,0x0017ffd4,0x3eafffa2,0xff7002ff,0xf75bffff,
    0x3fe6007f,0xffffffff,0x3ffa207f,0x002fffab,0x02fffa80,0x5fff5000,
    0x0fff7000,0x0000fff9,0x50013fea,0x44005fff,0xfffabffe,0x3ffa2002,
    0x3ff60005,0xbdb3005f,0xded88001,0x007bb621,0xff739ff1,0x200bffff,
    0x0acffffb,0x220fd731,0x3b621ded,0x3660001e,0x300000de,0x20001bdb,
    0xdc882ec8,0xffd00001,0x6f6cc003,0x37b62000,0x007bb621,0x0007dd90,
    0x0017fff6,0x00000000,0x3fb221cc,0xff8800ce,0x001801ef,0x00000000,
    0x00000000,0x4c000000,0x000005ff,0x00000000,0x3ffe6000,0x00000001,
    0x00000000,0x001fff90,0x00000000,0x00000000,0x00000000,0x000bff20,
    0x00000000,0x31000000,0x00199901,0x9990732e,0x0732e001,0x3e200000,
    0x800003ff,0x0002cccc,0x00599990,0x2001332e,0x9000ccc9,0x00005999,
    0x26037fc4,0xcccccccc,0x9304cccc,0x99999999,0x32609999,0xcccccccc,
    0x80004ccc,0xfd000fff,0x00fff85f,0x2005ffd0,0x2002cccc,0x00007ffc,
    0x05ffffa8,0xffffa800,0x7fff5005,0x05ffe800,0x0bffff50,0x1ffdc000,
    0x3ffffea0,0x7fffffff,0xffffff50,0x0fffffff,0x3fffffea,0x07ffffff,
    0xfff01310,0x0bffa001,0x3a001fff,0xffa802ff,0x3f6005ff,0xd800004f,
    0x000fffff,0x7ffffec0,0x1fffd000,0x03ffee00,0x7ffffec0,0xffd00000,
    0xffffa801,0xffffffff,0xfffff507,0xffffffff,0x3ffffea0,0x7fffffff,
    0xff0dfd00,0x3ffa001f,0x8007ffc2,0xfd802ffe,0xd000ffff,0x000005ff,
    0x07ffdfff,0xfefff800,0xfff3003f,0x13ffe009,0xffefff80,0xffa80003,
    0x06ffa805,0x037fd400,0x01bfea00,0xf0dfd000,0x3fa001ff,0x007ffc2f,
    0xf802ffe8,0x003ffeff,0x00003fff,0xffbdffa8,0x3fea0005,0x2005ffbd,
    0x5c00fffd,0xf5000fff,0x00bff7bf,0x003ffb00,0x8000dff5,0x40006ffa,
    0x00006ffa,0x7ffc3ffc,0x85ffd000,0xfd000fff,0xdffa805f,0xf8805ffb,
    0x400000ff,0xfff9affc,0x5ff90000,0x2001fff3,0x2204fff8,0x32003fff,
    0x0fff9aff,0x1bfe2000,0x0037fd40,0x001bfea0,0x000dff50,0xff87ff80,
    0x5ffd000f,0xd000fff8,0xffc805ff,0x400fff9a,0x0000fff9,0xfe87ffc0,
    0xfff0002f,0x800bffa1,0xf901fffc,0xfff800df,0x0005ffd0,0xa8017fe4,
    0x540006ff,0x540006ff,0x980006ff,0xff87ffdb,0x5ffd000f,0xd000fff8,
    0xfff805ff,0x9805ffd0,0x00001fff,0xffc9bfea,0x6ffa8005,0x88017ff2,
    0xff885fff,0x3fea002f,0x0017ff26,0x2a007ff8,0x540006ff,0x540006ff,
    0x260006ff,0x87fffffd,0xfd000fff,0x00fff85f,0x5405ffd0,0x17ff26ff,
    0x005fff10,0x31ffe400,0xc8001fff,0x3ffe63ff,0x3ffee000,0x002ffe41,
    0xff98fff2,0xffa8000f,0x1bfea004,0x0dff5000,0x06ffa800,0xdffff100,
    0x1fff0ddd,0xf0bffa00,0x3fa001ff,0x8fff202f,0x7c00fff9,0x200003ff,
    0x7ffc0fff,0x07ffc002,0xd000bffe,0x7ffc4dff,0x07ffc001,0x2000bffe,
    0x2a000ffe,0x540006ff,0x540006ff,0xfb0006ff,0xfff003ff,0x0bffa001,
    0x3a001fff,0x3ffe02ff,0x2017ffc0,0x00005ffe,0xff90dff5,0x37fd400b,
    0x2002ffe4,0xff92fffa,0x6ffa8009,0x4005ffc8,0x54005ff9,0xcccccfff,
    0xf502cccc,0x999999ff,0x3ea05999,0xccccccff,0x7ffc2ccc,0x01fff002,
    0xff0bffa0,0x3ffa001f,0x90dff502,0xffc80bff,0xfc80000f,0x0fffa83f,
    0x507ff900,0xd8001fff,0x0fff8eff,0x41ffe400,0x2000fffa,0x54002ffd,
    0xffffffff,0xf504ffff,0xffffffff,0x3ea09fff,0xffffffff,0x3fe24fff,
    0x1fff000f,0xf0bffa00,0x3fa001ff,0x07ff902f,0x4401fff5,0x80004fff,
    0xfff01fff,0x07ffe005,0x20017ffc,0x3ffefff9,0x01fff800,0x22005fff,
    0xfa8006ff,0xffffffff,0xff504fff,0xffffffff,0x3fea09ff,0xffffffff,
    0x3ffe64ff,0x01fff000,0xff0bffa0,0x3ffa001f,0x203fff02,0x7ec02fff,
    0x2a0003ff,0x3ff606ff,0x06ffa805,0x20017ff6,0x007ffffc,0x3606ffa8,
    0xff7005ff,0xdff50007,0x33333333,0x3bfea013,0x99999999,0x3dff5009,
    0x33333333,0x017ffc41,0xd000fff8,0x0fff85ff,0x505ffd00,0x7fec0dff,
    0x7fffcc05,0x3216a00d,0x3fea04ff,0x27fe400f,0x001fff50,0x02ffff88,
    0x204ffc80,0xe800fffa,0xfa8000ff,0x7d40006f,0x7d40006f,0xffd0006f,
    0x03ffe00b,0x3e17ff40,0xffd000ff,0x409ff905,0x4c00fffa,0xcdffffff,
    0xff87ffed,0x3ffe201f,0x00fffc02,0x0005fff1,0x2000dff7,0x3e201fff,
    0x7fd402ff,0xdff50004,0x6ffa8000,0x37fd4000,0x4fffb800,0x001fff80,
    0xfff83ffd,0x03ffd001,0x7c403fff,0xfe9802ff,0xffffffff,0x7fffd47f,
    0xffffffff,0x3fea05ff,0xffffffff,0x8005ffff,0xa8005ffb,0xffffffff,
    0x05ffffff,0x8000ffec,0x40006ffa,0x40006ffa,0x20006ffa,0x201dfffd,
    0xff002ffe,0x02ffe81f,0xfa81fff0,0xffffffff,0x005fffff,0x3fffff6a,
    0x7fe41ace,0xffffffff,0x3207ffff,0xffffffff,0x07ffffff,0x005ffb80,
    0xffffffc8,0xffffffff,0x01bfe607,0x006ffa80,0x0037fd40,0x001bfea0,
    0xeffffe88,0x0fff62bc,0x361ffe60,0xff9803ff,0xfffffc87,0xffffffff,
    0xfff8007f,0xeefff801,0xeeeeeeee,0xfff02fff,0xdddddddd,0x005fffdd,
    0x8005ffb8,0xeeeeefff,0xfffeeeee,0x005ff902,0x0037fd40,0x001bfea0,
    0x000dff50,0xffffff90,0x4037fe4d,0xffc85ffd,0x85ffd806,0xeeeeefff,
    0xfffeeeee,0x1bfe2002,0x801ffea0,0xffa85ffd,0x17ff6007,0x00bff700,
    0x2007ffa8,0xff885ffd,0x7fd40007,0x7fd40006,0x7fd40006,0xd7300006,
    0x7fc4dfff,0x3ffee05f,0x05fff880,0xf503ffee,0x7fec00ff,0x13fea005,
    0x8013ff20,0xffc87ffb,0x1ffee004,0x00bff700,0x2004ffc8,0xffb87ffb,
    0x7fd40003,0x7fd40006,0x7fd40006,0x98800006,0x7fffdc2a,0xfffecabc,
    0x3fffee03,0xfffecabc,0x004ffc83,0xc801ffee,0xfff801ff,0x3ffe2002,
    0x0017ffc2,0x4005fff1,0x7c005ffb,0x3e2002ff,0x07ff42ff,0x3ffea000,
    0xeeeeeeee,0xdfff506e,0xdddddddd,0x3bffea0d,0xeeeeeeee,0x3f200006,
    0xffffffff,0xfffc803f,0x3fffffff,0x4005fff0,0xd002fff8,0xfff500ff,
    0x49ffd000,0xe8007ffa,0x3ee004ff,0x3fea005f,0x4ffe8007,0x00017fe6,
    0x3fffffea,0x07ffffff,0xfffffff5,0x20ffffff,0xfffffffa,0x007fffff,
    0x7ffecc00,0x2000dfff,0xffffffd9,0x0fff500d,0x009ffd00,0x3f2006aa,
    0xffb8005f,0x0017ff27,0xb801ffee,0x3f2005ff,0xffb8005f,0x0007bae7,
    0x3ffffea0,0x7fffffff,0xffffff50,0x0fffffff,0x3fffffea,0x07ffffff,
    0x26620000,0x99880000,0x05ffc800,0x007ffb80,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x88000000,
    0x2ee882ed,0x02fffe40,0x00013320,0x77ffd400,0xfffb1000,0x176c4003,
    0x32017744,0x00005fff,0x2e600000,0x7500100a,0x000179b9,0x01e66540,
    0x00079995,0x802cdc98,0x7e403cc8,0x07ffd87f,0x005fffa8,0x0000bff2,
    0x09fff500,0x7ffff440,0xfff9002f,0x500fffb0,0x0000bfff,0x01effd88,
    0x3ffffa20,0x4c03ae0c,0xfffffffe,0x7d40000c,0x7dc00dff,0xf90005ff,
    0x401bffff,0x7dc01ffd,0x07ffc87f,0x00bffd10,0x00017fe6,0x02fffa80,
    0x2afffa20,0xfb802fff,0x07ffc87f,0x00bffd10,0x7f7ff400,0xfffb001f,
    0xffdbffff,0xdffff705,0x00bffffd,0x01fffd40,0x00bffd30,0xffceffa8,
    0x09ff504f,0x9105d910,0xeec8003b,0x01ffd003,0xbdb30000,0x6f6c4001,
    0x007bb621,0xb9105d91,0x3eec8003,0x25fb8000,0xfe8806fb,0xfffffb11,
    0x89fff109,0x002fffb8,0x001fffa8,0x005ffd88,0x0ffd1bfa,0x0001ffd1,
    0x00000000,0x00009ff5,0x00000000,0x00000000,0x8bf20000,0x031007f8,
    0x36059d93,0x3ffa04ff,0x6f6cc004,0x775c0000,0x43ff8803,0x7fe40ffc,
    0x00000002,0x1ffe0000,0x00000000,0x00000000,0x40000000,0x01be65fb,
    0x7ffc0000,0x017fee00,0x00000000,0xfa85ff30,0x017fe61f,0x6666664c,
    0x04cccccc,0x99999997,0x01999999,0x40005ff9,0xcccccccb,0x80cccccc,
    0xcccccccb,0x80cccccc,0xcccccccb,0x00cccccc,0x00599990,0xfceff880,
    0x8000003f,0x7e407ff8,0x0000004f,0x7fcc0000,0xfd0ffd43,0x3fea001f,
    0xffffffff,0xfffd07ff,0xffffffff,0xdff103ff,0x7fff4000,0xffffffff,
    0xfffe81ff,0xffffffff,0xfffe81ff,0xffffffff,0xffa801ff,0x980005ff,
    0x0003fffe,0x40355553,0x3ea06ff9,0x4c4001ff,0x4400009a,0x7c4009a9,
    0xf93fec5f,0x7fd4005f,0xffffffff,0xfffd07ff,0xffffffff,0x3ff603ff,
    0xfffd0001,0xffffffff,0xfffd03ff,0xffffffff,0xfffd03ff,0xffffffff,
    0xffb003ff,0x00001fff,0xb7000266,0xffffffff,0x20dff507,0x2004fffb,
    0xefffffea,0x7ff54002,0x3602efff,0x4ffcadff,0xa800bff3,0x800006ff,
    0x54005ffb,0x200005ff,0x40005ffb,0x40005ffb,0x20005ffb,0x03ffefff,
    0x55554c00,0xffff1001,0xdfffffff,0xfc86ffa8,0x3f2003ff,0xffffffff,
    0xffff9004,0x209fffff,0xeffffff8,0x8001ffd0,0x00006ffa,0x8005ffb8,
    0x00000ffe,0x8000bff7,0x40005ffb,0x50005ffb,0x0bff7bff,0xffffb700,
    0x8807ffff,0xa99abdff,0x3ea4fffe,0x0fffdc6f,0x37fffb00,0x07fff931,
    0x89bfffd8,0x103fffc9,0x7dc7dfd9,0xffa8003f,0xfb800006,0xffb8005f,
    0xff700003,0xffb8000b,0x7fdc0005,0x5ff90005,0x4001fff3,0xfffffff8,
    0x1406ffff,0xf53ffec0,0x02ffe8df,0x403bfea0,0xf500fffa,0x3fea01df,
    0x7fcc000f,0xdff50006,0xff700000,0xdff1000b,0x3fee0000,0x7fdc0005,
    0x7fdc0005,0x1fff0005,0x8800bffa,0xa99abdff,0x0004fffe,0xfa87ffcc,
    0x007ffc6f,0xd805ffd0,0x5ffd04ff,0x004ffd80,0x80007ff4,0x00006ffa,
    0x0005ffb8,0x00005ff9,0x8000bff7,0x40005ffb,0xa8005ffb,0x17ff26ff,
    0xffb00500,0xffd0000f,0xfd1bfea5,0x3fea007f,0x86ff9806,0xf9806ffa,
    0x3fee006f,0x3fea0003,0xfb800006,0xff30005f,0xff70000b,0xffb8000b,
    0x7fdc0005,0x3ffc8005,0x0003ffe6,0x01fff300,0x52ffd800,0xfffc8dff,
    0x04ffb802,0xfb87ff88,0x7ff8804f,0x00dff100,0x006ffa80,0x05ffb800,
    0x007ffa00,0x00bff700,0x005ffb80,0x002ffdc0,0x3fe07ffc,0xe800002f,
    0x554402ff,0xfffccccc,0xe88dff52,0x7e404fff,0xaaaaaacf,0x40fffbaa,
    0xaaaacffc,0xfffbaaaa,0x21ffd800,0xf5001bb9,0x999999ff,0x5c005999,
    0x2a0005ff,0x5c0004ff,0x5c0005ff,0x5c0005ff,0x7d4005ff,0x05ffc86f,
    0x2ffd8000,0xfffff910,0x25ffffff,0xfe986ffa,0xffd00dff,0xffffffff,
    0xe83fffff,0xffffffff,0x1fffffff,0xe8a7fd40,0x400dffff,0xfffffffa,
    0x004fffff,0x00017fee,0x40001fff,0x40005ffb,0x40005ffb,0x64005ffb,
    0xfffa83ff,0x65544000,0x2fffcccc,0xefffff88,0x2fffeeee,0x3620dff5,
    0xfe80efff,0xffffffff,0x40ffffff,0xfffffffe,0xffffffff,0xe9bfe200,
    0x05fffeff,0x7fffffd4,0x04ffffff,0x0017fee0,0x0007ff70,0x0002ffdc,
    0x00017fee,0xf800bff7,0x5fff01ff,0x3fff2200,0xffffffff,0x02effe82,
    0x7fd4bff6,0x2fffe406,0x0001ffec,0x0001ffec,0x7dc7ff60,0x03ffb12f,
    0x4ccf7fd4,0x00999999,0x0017fee0,0x000dff10,0x0002ffdc,0x00017fee,
    0x5400bff7,0x3ff606ff,0xffff8805,0xffeeeeef,0x07ffcc2f,0x7d4bff60,
    0xfffc806f,0x0027fe40,0x0027fe40,0x6c9ff500,0x01ffcc6f,0x0000dff5,
    0x000bff70,0x0003ffb0,0x00017fee,0x8000bff7,0x32005ffb,0x3fea04ff,
    0x77ff400f,0x70bff602,0xffb00dff,0x401bfea5,0x7fdc2fff,0xffb80006,
    0xff100006,0x222ffc1d,0x3fea04ff,0xfb800006,0xf980005f,0xff70005f,
    0xffb8000b,0x7fdc0005,0x07ffe005,0x202fff88,0x6c00fff9,0x2ffdc2ff,
    0x54bffee0,0xffd006ff,0x03fff885,0x1fffc400,0x17fe4000,0x13fe1bfe,
    0x0006ffa8,0x005ffb80,0x001ffd00,0x000bff70,0x0005ffb8,0xa802ffdc,
    0xffffffff,0x05ffffff,0x3601bfee,0x7ffd42ff,0xffffe880,0x300dff52,
    0xff701fff,0xfb80007f,0x2a0003ff,0x47fd84ff,0x3ea02ff9,0xb800006f,
    0x700005ff,0xf70009ff,0xfb8000bf,0x7dc0005f,0xfff9005f,0xffffffff,
    0x7dc0ffff,0x7ffdc05f,0x5ffffc42,0xfefffdba,0x44dff52f,0xfffdbabc,
    0x3bfffe04,0xedbaaaac,0x3bfffe01,0xedbaaaac,0x407ff441,0xfe99dffb,
    0x1bfea00f,0x3fee0000,0x3fe00005,0x5ffb8007,0x2ffdc000,0x17fee000,
    0x7777ffc0,0xfeeeeeee,0xfff502ff,0xffffd101,0xfffff505,0xff73dfff,
    0xf89bfea5,0x0dffffff,0x3ffff620,0x1fffffff,0x3ffff620,0x1fffffff,
    0xfd017fe4,0x805fffff,0x00006ffa,0x0005ffb8,0x000bff20,0x8000bff7,
    0x40005ffb,0xfa805ffb,0x3ff6007f,0x7ffff105,0xfdfffb75,0x3ffa605f,
    0x3fee4eff,0x7c4dff52,0x002dffff,0x3fffffaa,0xa800ceff,0xfffffffe,
    0x17fe60ce,0x3dfffb10,0x00dff500,0x0bff7000,0x37fc4000,0x017fee00,
    0x00bff700,0x805ffb80,0x2e004ffc,0x3fea07ff,0x9effffff,0x99802ffb,
    0x99880000,0x99880000,0x22000099,0x00009999,0xf50004c0,0xddddddff,
    0x3b60dddd,0xefffeeee,0x0001eeee,0x3b603ffb,0xefffeeee,0xed81eeee,
    0xefffeeee,0xed81eeee,0xefffeeee,0x3fe1eeee,0x3fe2002f,0x3ffa602f,
    0x3fee4eff,0x00000002,0x00000000,0x00000000,0xffffa800,0xffffffff,
    0xfffffd07,0xffffffff,0x3fea0003,0xfffffd04,0xffffffff,0xfffffd03,
    0xffffffff,0xfffffd03,0xffffffff,0x001ffea3,0x4c013ffa,0x93000009,
    0x09988059,0x30666200,0x01551013,0x20157300,0x00000000,0x3fffffea,
    0x07ffffff,0xfffffffd,0x03ffffff,0xe82f6c00,0xffffffff,0xe81fffff,
    0xffffffff,0xe81fffff,0xffffffff,0xf91fffff,0xff7000bf,0x0000000f,
    0x407ffff3,0x32007ffc,0x97fe25ff,0x1effffeb,0xffffe880,0x2003ae0c,
    0x01cefeda,0x00000000,0x00000000,0x00000000,0x00000000,0xa9880000,
    0x999999aa,0x77ffcc00,0xfff103ff,0x8bffe005,0xfff75ff8,0x803fffff,
    0xfffffffd,0x2202ffed,0xfffffffd,0x01440004,0x80a20033,0xcc980019,
    0x65400002,0x326003cc,0x0510002c,0xcc8800cc,0x3620003c,0xffffffff,
    0x3e606fff,0x3ffd89ff,0x500bffb0,0xeff88fff,0xfcabeffc,0x3fa207ff,
    0xfffffb11,0xefffd809,0x002ffffd,0xf70dff30,0x6ff9809f,0x2004ffb8,
    0x003ffff9,0x1bfff500,0x3fffe600,0x37fcc003,0xb8027fdc,0x32a22fff,
    0x3fffea01,0xffffffff,0x1bdb106f,0xfa82eec8,0x7fec00ff,0x7ffffc44,
    0x02fff983,0x33b26062,0x0fffd402,0x000fffb1,0xfd07fff6,0xfffd80ff,
    0x803fff41,0x3ffefff9,0x7ffd4000,0x3ffe6003,0x36003ffe,0x7ff41fff,
    0x3fff6007,0x102ffffd,0x74c3bfff,0x002abfff,0x0fffe000,0x441fff88,
    0x3202ffff,0x000006ff,0xf984ffc8,0xfb8000ff,0x37fec0ff,0xb03ffee0,
    0xff300dff,0x07ffb13f,0x07ffea00,0x89fff980,0xf7003ffd,0x6ffd81ff,
    0x7ff65c40,0x02ffffff,0x7f40bffb,0x8000003f,0x3ea06ffc,0x3fff886f,
    0x003ffcc0,0x17ff4000,0x0001fff8,0x19910397,0x91039700,0xded88019,
    0x00177640,0x80037b66,0x7640ded8,0x0397002e,0xfc801991,0xbfffffff,
    0x00fff401,0x4cc0dff5,0x40998801,0xfb01fff8,0x0fff107f,0x4003ffe0,
    0xd0009a98,0xfff107ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0xff97bff9,0x7ff8805f,0x883ffcc0,0xffc807ff,0x884ffd83,0xff880fff,
    0x03fff007,0xfffffec8,0x2ffe402e,0x0002ffdc,0x00000000,0x00000000,
    0x00000000,0x40cc0000,0x2200effd,0x3e600fff,0x0fff106f,0xf507ff90,
    0x5ffb81ff,0x200fff10,0xfd302ffe,0xffffffff,0x3ffea01b,0x007ffea1,
    0x2aaaa600,0x00333001,0x53001331,0x20003555,0x001aaaa9,0x0026a620,
    0x01353100,0xfffa8800,0x017ffc04,0x3e209ff9,0x3ffc807f,0xfe87fff0,
    0x0fff102f,0x2607ffa0,0xb9acffff,0x3a05fffd,0xfffd8eff,0x3f6e0003,
    0x3fffffff,0x201ffe20,0xfb703ffc,0x7fffffff,0xffffb700,0x4007ffff,
    0xefffffea,0x7ff54002,0x2002efff,0xffffffda,0x3fff201f,0x02fff980,
    0xf900fff1,0x9bff207f,0x3e207ff8,0x1fff007f,0x201dffb0,0xf302fffb,
    0x05ffffff,0x7fffc400,0x6fffffff,0x900fff10,0xfff107ff,0xffffffff,
    0x7fffc40d,0x6fffffff,0xfffffc80,0x9004ffff,0xffffffff,0xfff9009f,
    0x0dffffff,0xbacfffe8,0x2204fffd,0xffc807ff,0x23fff303,0x3e204ffb,
    0x7ff8807f,0x400fffa8,0x3f606ffc,0x0000cfff,0x4d5effc4,0x84fffea9,
    0xfc807ff8,0xbdff883f,0xfffea99a,0x57bff104,0x9fffd533,0x4dfffec0,
    0x03fffc98,0x44dfffec,0x203fffc9,0xaabdfffd,0xf302fffb,0xffffffff,
    0x7ff8809f,0x203ffc80,0x3ffd4ffe,0x403ffc40,0xffd85ffb,0x1fff8803,
    0x7ffffec4,0x001aa982,0x0fffb005,0xf900fff1,0x3600a07f,0x200a07ff,
    0xff507ffd,0x3ffea01d,0x01dff500,0x2e03ffea,0xff901fff,0x36bffa0d,
    0x800ceffe,0xfc807ff8,0x3bfea03f,0x7c406ff9,0x7ffc407f,0x000fff81,
    0x7f445ffd,0x40fffeff,0x00002ffd,0xf103ffe6,0x7ff900ff,0x7ffcc000,
    0x3fe60000,0x02ffe80f,0xfe827fec,0x27fec02f,0x9807ffe2,0x7fcc1fff,
    0xff880004,0x03ffc807,0x1fff7ffc,0x881ffe20,0xff884ffe,0x8fff6007,
    0xff98effd,0x00fffc6f,0x0bffa000,0xf900fff1,0xfe80007f,0x7f40002f,
    0x037fd42f,0x7d437fcc,0x6ff9806f,0x6c02ffdc,0x27fdc4ff,0x3ffc4000,
    0x201ffe40,0x00fffffc,0x567fffc4,0x0ffffcba,0x2007ff98,0xfff34ffc,
    0x8afffd41,0x00001fff,0x3e217fec,0x3ffc807f,0x17fec000,0x0bff6000,
    0xf1009ff7,0x09ff70ff,0xfd8fff10,0x6ffb802f,0x4ce7ffdc,0x7fc40009,
    0x03ffc807,0x027fffcc,0x7fffffc4,0x00dfffff,0x6400fff3,0x09ff94ff,
    0xff37fff9,0xaa88001f,0xfffccccc,0x403ffc42,0x54403ffc,0xffccccca,
    0x6554402f,0x2fffcccc,0x55567fe4,0xffbaaaaa,0x567fe40f,0xbaaaaaaa,
    0x3ffa0fff,0x47ffa801,0xfffffff8,0x00beefff,0xf900fff1,0xfffd007f,
    0xdfff1001,0x05bdffff,0x000fff88,0x3ff65ffb,0xf9fffb02,0x7e4400df,
    0xffffffff,0x3ffc42ff,0x881ffe40,0xfffffffc,0x9102ffff,0xffffffff,
    0xffe85fff,0xffffffff,0x741fffff,0xffffffff,0x1fffffff,0x22003ffe,
    0x7fcc0fff,0xffffffff,0xff882fff,0x03ffc807,0x1005ffe8,0x00662fff,
    0x4007ffe0,0x5fff1ffe,0x3ffffe20,0xfff1003f,0xfdddddff,0x7ff885ff,
    0x883ffc80,0xeeefffff,0x882fffee,0xeeefffff,0x742fffee,0xffffffff,
    0x0fffffff,0x7ffffff4,0xffffffff,0x01fff10f,0xc81fff10,0xccccceff,
    0x81fffffe,0x3e601fff,0x7fd403ff,0xfff1001f,0x7ffd0000,0x21fff300,
    0x3e603ffe,0xd000ffff,0x7ec05dff,0x03ffc42f,0x7f41ffe4,0x3ff602ef,
    0x02effe82,0xffb0bff6,0xffb00007,0xfff80007,0x47ff9801,0x5c406ffb,
    0xffe83fff,0x7ffff103,0x02fff440,0x000fff10,0x801fff70,0x3ff24ffd,
    0x37ffdc06,0x00fff980,0x3e217fec,0x3ffc807f,0x2007ffcc,0x7fcc2ffd,
    0x17fec00f,0x00013ff2,0x00013ff2,0xf5005ffd,0x01fff8df,0xfb0bffd0,
    0xffe981df,0xffd103ff,0x7fc4001d,0xffd00007,0x3fff601d,0x413ffea0,
    0x03ffffe9,0xd806ffb8,0x1fff82ff,0x70fffe60,0xffb00dff,0x806ffb85,
    0x7fdc2ffd,0xffb80006,0x7fec0006,0x24ffd804,0xb000fff9,0xfff309ff,
    0x9fff959f,0x2ea6a7ff,0x4001ffff,0x00007ff8,0x579ffff5,0xb07fffd9,
    0xd979ffff,0x5fffffff,0x405ffb80,0xfe82fffb,0xffff103f,0x405ffb87,
    0x7dc2fffb,0x7ffdc05f,0x01fffc42,0x0fffe200,0x0fffa800,0x887ffe20,
    0xf9802fff,0xfffb02ff,0xf53dffff,0x3ffffe7f,0xf88002ff,0x2a00007f,
    0xffffffff,0xffb101ff,0x9fffffff,0x401ffff3,0xe880fffa,0xfd82ffff,
    0x7ff4c0ef,0x7ffd43ff,0xffffe880,0x407ffd42,0x82ffffe8,0x0003fffb,
    0x001fffdc,0x101dffd0,0xffd0bffd,0xfc98357f,0x7fdc05ff,0xff50cfff,
    0x33ffffe7,0xfff10000,0xed880000,0x00ceffff,0xeffffda8,0x3bffe61d,
    0x7ffff100,0xfdfffb75,0xffff305f,0xf9fff959,0xffff887f,0xefffdbab,
    0x7ffc42ff,0xfffdbabf,0xfff02ffe,0x755559df,0x7ffc03db,0xbaaaacef,
    0xfffa81ed,0xfffcbbcf,0xffff980f,0xffffffff,0x0662006f,0x000d6540,
    0x0002aa80,0x00066200,0x40000310,0xfffffffa,0x02ffb9ef,0xfffffffb,
    0x507ff53d,0xffffffff,0x505ff73d,0xffffffff,0x205ff73d,0xffffffd8,
    0x201fffff,0xffffffd8,0x501fffff,0xffffffff,0x7e4403ff,0xffffffff,
    0x0000002e,0x00000000,0x00000000,0xfe980000,0x3ee4efff,0x3ffee02f,
    0x7ff50cff,0x3ffffa60,0x40bfee4e,0x4effffe9,0xd500bfee,0xdfffffff,
    0xffd50019,0x19dfffff,0x7fff6c40,0x54c003ff,0x0009abca,0x00000000,
    0x00000000,0x00000000,0x00013300,0x00003310,0x30000133,0x44000013,
    0x00009999,0x00266662,0x00026620,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x28800000,0x44000660,0x8004c1a9,0x54002cc9,
    0x00003ccc,0x41e66540,0x19880199,0x39970000,0x00002664,0x07999500,
    0x000f332a,0x003ccca8,0x5d400000,0x2aa0009a,0x203332e0,0xffb86ff9,
    0xffdb5004,0x05ffdfff,0x07ffff30,0x05fffb80,0xfff50000,0x07ff881b,
    0x0001ffe8,0xff12ffd8,0x2000000f,0x200dfffa,0x0005fffb,0x0017ffee,
    0x709ff000,0x805bffff,0xffd1fffd,0x3fffb01f,0xc807ffe8,0xffffffff,
    0x7cc02fff,0x003ffeff,0x002fff4c,0x0fffea00,0x7403ffc4,0xd80001ff,
    0x0fff12ff,0xff500000,0x3fa6007f,0x3a60005f,0x000005ff,0xff705ff3,
    0x503dffff,0x3f6bffff,0xfffb80ff,0x2037fec0,0xa9acfffd,0x202fffdb,
    0xfd89fff9,0x7ec4003f,0xf500005f,0x7fc403ff,0x01ffe807,0x12ffd800,
    0x00000fff,0x001fffa8,0x002ffec4,0x00bffb10,0x20ff9000,0xffffcba8,
    0x7fffdc2f,0x201fffb6,0x0cc881cb,0x807bfea0,0xdb102ffd,0x02eec81b,
    0x003eeb80,0x006f6cc0,0x3a01ffe2,0xd80001ff,0x0fff12ff,0x76cc0000,
    0x3ae0000d,0x75c0003e,0x5440003e,0x2004ffaa,0x261fffea,0xff94ffff,
    0xe800000f,0x7fec02ff,0x00000002,0x80000000,0xfe807ff8,0xfd80001f,
    0x00fff12f,0x00000000,0x00000000,0xfffff910,0xf88009ff,0x27fdc6ff,
    0x0000fff9,0x4037fdc0,0x00002ffd,0x00000000,0x07ff8800,0x0001ffe8,
    0xff12ffd8,0x0000000f,0x00000000,0xffe98000,0xefffffff,0x3ffea000,
    0x06ffb801,0x00135310,0xfb007ff9,0x2a62005f,0x2a600009,0x20001aaa,
    0x44009a98,0xffe807ff,0x8d4c4001,0xfff12ffd,0x20015510,0x99880199,
    0x88019980,0x53100099,0x3fe60013,0xfff99bef,0x7fc005ff,0x6ffb803f,
    0x7ffff640,0x3ff602ef,0x02ffd802,0x7fffff64,0xffb7002e,0x07ffffff,
    0x7ffff640,0xfff102ef,0x003ffd00,0xffffffb3,0x3fe25fff,0x3ffffae7,
    0x1ffe201e,0xf10fff20,0x7ff900ff,0xffffec80,0x7ff402ef,0x7fe7fd45,
    0x3ffa003f,0x05ffa804,0xffffffd3,0xfd01bfff,0x5ffb003f,0x3ffffa60,
    0x00dfffff,0x3fffffe2,0x406fffff,0xffffffe9,0x7c40dfff,0x1ffe807f,
    0x7ffffe40,0x12ffffff,0x3fff2fff,0x101fffff,0xff900fff,0x807ff887,
    0xfd303ffc,0xffffffff,0x0dff501b,0x1bff6ff9,0x003ffe80,0xcffff980,
    0x5fffdb9a,0xd801fff8,0xfff982ff,0xffdb9acf,0x37fe205f,0xffea99ab,
    0xffff304f,0xfffb7359,0x807ff88b,0x3f601ffe,0xdba9bcff,0xfff12fff,
    0xf957dff9,0x3fe20fff,0x43ffc807,0xfc807ff8,0xffff983f,0xfffdb9ac,
    0xf83ffe85,0x03fff14f,0x005fff10,0x01dffb00,0xfd0bffee,0x5ffb003f,
    0x201dffb0,0x0a02fffb,0x6c1fff60,0xff700eff,0x03ffc45f,0xfa80fff4,
    0x3ff601ef,0x7fffff12,0x105fff30,0xff900fff,0x807ff887,0xffd83ffc,
    0x5fff700e,0x7d40fff8,0x00fffa2f,0x001dffd3,0x00fffa80,0x3fa37fe4,
    0x2ffe802f,0x2007ffd4,0x40006ffc,0x7d40fff9,0x7fe400ff,0x003ffe26,
    0x3fa03ffd,0x97fec02f,0x202ffff8,0xff886ffc,0x43ffc807,0xfc807ff8,
    0x07ffd43f,0xf89bff20,0x6c7fc87f,0x7f7643ff,0x0002ffff,0x8803ffd8,
    0x3ff61fff,0x17ffec04,0x2200fff6,0x40001fff,0x7fec2ffe,0x1fff8803,
    0x5403fff1,0xffa81fff,0x12ffd806,0xf9807fff,0x07ff887f,0x7c43ffc8,
    0x3ffc807f,0x4401ffec,0xdff31fff,0xffb89ff0,0x7ffffec4,0x4001101e,
    0xfd000fff,0x03ffdc5f,0xf85ffff9,0xffd000ff,0xffd80005,0x8007ffc2,
    0xfff12ffe,0x3fffe607,0x803ffc81,0xfff12ffd,0x103ffe00,0xff900fff,
    0x807ff887,0x7ffc3ffc,0x25ffd000,0x7fd46ff9,0x3627fdc2,0x2e01adff,
    0x7c400dff,0x3ff6007f,0x2227ffc3,0x22fffffc,0x36007ff8,0x554403ff,
    0xfffccccc,0x801ffe22,0xfff13ffd,0xffff981d,0x02ffd83f,0xff12ffd8,
    0x07ffe00f,0xf900fff1,0x07ff887f,0x3e23ffc8,0x3ff6007f,0xfc8fff13,
    0x642ffc87,0x7fd401ff,0x7fcc04ff,0x13ff2007,0xf97bfff9,0x45ff97ff,
    0x32007ff9,0xff9104ff,0xffffffff,0x03ffcc5f,0x3e29ff90,0xfdbdffff,
    0x0cfffaef,0x36007ffa,0x0fff12ff,0xf10bffa0,0x7ff900ff,0xc807ff88,
    0x1ffe63ff,0xf14ffc80,0x427fc1ff,0x7fe41ffd,0x7fffdc01,0x03ffcc06,
    0xfb09ff90,0x27ffffff,0x3fe62ffd,0x13ff2007,0x3bffffe2,0x2fffeeee,
    0xc801ffe6,0xffff14ff,0x21dfffff,0x3fe3fffe,0x2ffd801f,0x3e00fff1,
    0x3ffc41ff,0x221ffe40,0xffc807ff,0x801ffe63,0x3ffa4ffc,0xf885ff33,
    0x0ffe40ff,0x17fffea0,0x001fff10,0x7640bff6,0x3f62dfff,0x03ffe22f,
    0x7417fec0,0x3f602eff,0x03ffe22f,0xf897fec0,0x4ffffbef,0xfd1fff4c,
    0x5ffb003f,0x7c01ffe2,0x3ffc40ff,0x221ffe40,0xffc807ff,0x003ffe23,
    0xff717fec,0xf90ff91f,0x03ff909f,0x001dffb0,0x3a003fff,0x80c401ff,
    0x7ffc2ffd,0x83ffd001,0x6c00fff9,0x0fffc2ff,0xf11ffe80,0x2200ccdf,
    0x4017fec1,0xfff12ffe,0x10fff100,0xff900fff,0x807ff887,0x7ffc3ffc,
    0x43ffd001,0x4ffefff8,0x0007ffe4,0x3a001980,0xff9803ff,0x3f60000f,
    0x01fff42f,0x2e07ffcc,0xffd806ff,0x401fff42,0xff10fff9,0xffb0000f,
    0x2fffd809,0xf700fff1,0x07ffe0bf,0xf83fff98,0x3fe601ff,0x01fff43f,
    0x2a07ffcc,0xcacfffff,0x0003fffe,0x3fee0000,0x27fec00f,0x0bff6000,
    0xd801fff7,0x5ffb84ff,0x217ffdc0,0x6c00fffb,0x1ffe24ff,0x1ffea000,
    0x12ffffc8,0xff880fff,0x07ffd01f,0x20ffffe2,0xff103ffe,0xfffb87ff,
    0x827fec00,0xfffffffa,0x2a202fff,0x01ffe001,0xb00effe8,0x80001fff,
    0xffe82ffd,0x1fffb00e,0x101fff50,0xd05ffffd,0x3f601dff,0x1ffe20ff,
    0x27ffc000,0x3ffbff22,0x440fff12,0x3f604ffe,0x7ff4c0ef,0xeffd83ff,
    0x7ffff4c0,0x00effe83,0x4401fffb,0xdeffffff,0x13ffa200,0x8017fe60,
    0xabcffffa,0x003fffec,0xa82ffd80,0xcabcffff,0xf103fffe,0xfb757fff,
    0x505ffdff,0x9579ffff,0xf887fffd,0xf900007f,0xfff97bff,0x3e25ff77,
    0xcbabdfff,0x2600ffff,0xfcacffff,0x983ffcff,0xfcacffff,0xa83ffcff,
    0xcabcffff,0x4c03fffe,0x20019aff,0x400ffffb,0x54003ffb,0xffffffff,
    0xb00001ff,0x3fea05ff,0xffffffff,0x7fffd401,0xfb9effff,0xffff502f,
    0x03ffffff,0x0000fff1,0x7fffffec,0x225ff73f,0xffffffff,0xd800dfff,
    0xefffffff,0xfb03ffa9,0x3dffffff,0x3ea07ff5,0xffffffff,0x07fc801f,
    0x0ffff700,0x0001ffb0,0xdffffdb1,0x6c000019,0x3b6202ff,0x00ceffff,
    0xdffffd30,0x1017fdc9,0x9dffffdb,0x01ffe201,0xfffd9000,0x117fdc5b,
    0xdfffffb5,0xffb8005b,0xff50cfff,0x7fffdc07,0x07ff50cf,0x7ffff6c4,
    0x9ff000ce,0x3ffa2000,0x006fe803,0x00019880,0x002aaa00,0x40000cc4,
    0x10000099,0x15540033,0x01880000,0x00018800,0x00003310,0x20000331,
    0xe9800198,0x04c0001e,0x0001aa80,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0x00100ab9,
    0x0002cc98,0x01e66540,0x401980a2,0x0003ccca,0x2007bb22,0xec883cc8,
    0x3cc8801e,0x88001332,0x1001bddc,0x6e440799,0x66664401,0x2a00cccc,
    0x000001cc,0x799b9530,0xd1000885,0x5c19ffff,0xfff3000e,0x2a00007f,
    0x2600dfff,0x4ffb86ff,0x02fffdc0,0x0ffffdc0,0x2e0ffec0,0xd801ffff,
    0x0fff11ff,0x7fffcc00,0x1ffd804f,0x807fffa0,0xfffffff9,0x0fff601f,
    0xfb100000,0x4fffffff,0x6c00effc,0xdfffffff,0xf9802ffe,0x003ffeff,
    0x01fffd40,0x3a0fffec,0xfe9807ff,0xfff3005f,0xfa803fff,0x3fffe64f,
    0x7fd401ff,0x001ffe24,0xfffcab88,0x813fea00,0x204ffff9,0xfffffff9,
    0x0fff601f,0xff880000,0x7fffffff,0x40bffff7,0xffb11fe8,0xf3009fff,
    0x7ffb13ff,0x3ffea000,0x1fff7001,0x1006ffd8,0xf100bffb,0x403ff99f,
    0x3e20ffe8,0x201ffccf,0x3e20ffe8,0x3a00007f,0x3ffa207f,0x3fffe200,
    0x1fff8003,0x000fff60,0x2fffd800,0xfffd94c4,0x206200ff,0x8802cec9,
    0x77640ded,0x6f6cc002,0x40e5c000,0x5c000cc8,0x90a803ee,0x7fe403ff,
    0x3ff90a82,0x2217fe40,0x5c0007ff,0x3204ffdc,0xffb802ff,0x3fff0005,
    0x001ffec0,0x1fff9800,0x7ffffc80,0x00000000,0x00000000,0x00000000,
    0x4c07ff20,0xffc805ff,0x10bff301,0xd8000fff,0xf303ffff,0x004400bf,
    0x403fff00,0x00003ffd,0x200bff50,0x003ffff9,0x00000000,0x00000000,
    0x20000000,0xffd01ffc,0x03ff9001,0x3e203ffa,0x65c0007f,0xfe83fffc,
    0x0000000f,0xfd807ffe,0x9000003f,0x64c009ff,0x404cc02d,0x33001aaa,
    0x00333333,0x99999998,0x4cccc001,0x4c001999,0x01999999,0x640ffe40,
    0xff9002ff,0x205ff903,0xaaa87ff8,0x17fee000,0x4cc05ff9,0x00199999,
    0x6c03fff0,0x4cc403ff,0x7ffb0009,0xff100000,0x7ffffe4b,0x3ffe601e,
    0x001fffff,0xfffffff3,0x3fe6003f,0x01ffffff,0xffffff30,0x7e4003ff,
    0x02ffcc1f,0xf983ff90,0x9ffe205f,0x0efffffb,0xffea9988,0x9817fe64,
    0xffffffff,0x1fff8001,0x880fff60,0xb000effe,0x64c007ff,0x37fe201c,
    0xffffffe8,0xfff300ff,0x003fffff,0x3fffffe6,0xff3001ff,0x03ffffff,
    0x3ffffe60,0x32001fff,0x07ff41ff,0xe83ff900,0x3fe200ff,0xfffffe8f,
    0x7fdc0fff,0x3fa0efff,0x3ffe600f,0x001fffff,0x3601fff8,0xffd103ff,
    0x7fec001d,0xffff3003,0x3bbfe205,0xffeaadff,0x5555105f,0x2003fff5,
    0xffaaaaa8,0x5551001f,0x003fff55,0x3eaaaaa2,0x3ae001ff,0x00ffee1e,
    0x7dc3dd70,0x7ffc403f,0xfeaadffe,0x7ffd45ff,0x0ffee0be,0xf5555510,
    0xff0003ff,0x1ffec03f,0x8077ff44,0xfeccccca,0xccccccdf,0xdffffb1c,
    0x3ffffe20,0x00fffb82,0x0007ffe0,0x0003fff0,0x0001fff8,0x0000fffc,
    0x0001bfe6,0x44037fcc,0xb82fffff,0x26000fff,0x3e0006ff,0xff8001ff,
    0x0fff601f,0x401dffd1,0xfffffffc,0xffffffff,0xfffffd2f,0x07fffe20,
    0x000fffc4,0x80003fff,0x40001fff,0x40001fff,0x40001fff,0x00000ffe,
    0xf1001ffd,0x3e205fff,0x3fa001ff,0x3fe0000f,0xfff8001f,0x88fff601,
    0x6400effe,0xffffffff,0xffffffff,0x0bffff92,0xd00fffe2,0x7fc005ff,
    0x7fc0001f,0x7fc0001f,0x7fc0001f,0x3ee0001f,0xf700003f,0x3fe2007f,
    0x17ff403f,0x003ffb80,0x000fffc0,0xfb00fffc,0x3bffa27f,0x99998800,
    0x999cffd9,0xfd109999,0x3fe201df,0x03ffd807,0x0007ffe0,0x0003fff0,
    0x0001fff8,0x8000fffc,0x00006ff8,0x4400dff1,0xffd807ff,0x06ff8803,
    0x01fff800,0x201fff80,0xffe8bffd,0x7ec0000e,0x00cc003f,0x3201ffe2,
    0x3fe003ff,0x7fc0001f,0x7fc0001f,0x7fc0001f,0xffb0001f,0x004ccc43,
    0x5cc3ffb0,0x07ff882b,0xd803ffc8,0x266621ff,0x03fff000,0x403fff00,
    0xeffebffd,0xffd80000,0xf8800003,0x3ffc807f,0x007ffe00,0x003fff00,
    0x001fff80,0x000fffc0,0x3fa27fd4,0xff5006ff,0x3ffffa29,0x01ffe20e,
    0xf500fff2,0x6fffe89f,0x003fff00,0x6c03fff0,0x03fffdff,0x07ffb000,
    0xfff10000,0x007ff900,0x0000fffc,0x00007ffe,0x80003fff,0x44001fff,
    0x7ffdc6ff,0x6ff8806f,0x3ffb7fe6,0x201ffe26,0x3e203ffc,0x7fffdc6f,
    0x03fff006,0x403fff00,0xfffbbffd,0xffd80002,0xf8800003,0x3ffc807f,
    0x007ffe00,0x003fff00,0x001fff80,0x000fffc0,0xff887ff6,0xfd806ffc,
    0xffb0541f,0x201ffe21,0x3f603ffc,0x3f3fe21f,0x3fff006f,0x03fff000,
    0xffc9ffec,0x7ec0002f,0x8800003f,0xffc807ff,0x07ffe003,0x03fff000,
    0x01fff800,0x00fffc00,0xfe89ff50,0xfa80dff6,0x27fe804f,0xfc807ff8,
    0x89ff503f,0x00dff6fe,0x20007ffe,0x3f601fff,0x07fff63f,0x03ffd800,
    0x7ff88000,0x003ffc80,0x00007ffe,0x80003fff,0x40001fff,0xf1001fff,
    0x8ffdc1df,0x3fe206ff,0x27fdc00e,0xf900fff1,0x1dff107f,0x6ff8ffdc,
    0x003fff00,0x6c03fff0,0x7fff43ff,0x7ffb0001,0xff100000,0x07ff900f,
    0x000fffc0,0x0007ffe0,0x0003fff0,0x9001fff8,0x6ffc45ff,0x809eff99,
    0x7e402ffc,0x03ffc45f,0x7e41ffe4,0x277fe22f,0x4009eff9,0xf8001fff,
    0x3ff601ff,0x07fff443,0x01ffec00,0x3ffc4000,0x001ffe40,0x80003fff,
    0x40001fff,0x40001fff,0xfa801fff,0x7fffd44f,0x543fffff,0x3f6204ff,
    0x07ff884f,0x7d43ffc8,0x7fffd44f,0x403fffff,0xf8001fff,0x3ff601ff,
    0x0efff983,0x01ffec00,0x3ffc4000,0x5c1ffe40,0xfffccccc,0xb82ccccd,
    0xfffccccc,0xb82ccccd,0xfffccccc,0xb82ccccd,0xfffccccc,0x222ccccd,
    0x7fd40ffe,0x3fffffff,0x4c03ffa2,0x0999bffe,0xf900fff1,0x07ff447f,
    0x3fffffea,0x99973fff,0x99bfff99,0x3332e599,0xccdfffcc,0x07ffb2cc,
    0x003bffe6,0x0003ffd8,0x807ff880,0xffe83ffc,0xffffffff,0xffe84fff,
    0xffffffff,0xffe84fff,0xffffffff,0xffe84fff,0xffffffff,0x3ff24fff,
    0x21bfe002,0x3ee02ffc,0x13ffffff,0xff900fff,0x0017fe47,0xfffe8dff,
    0xffffffff,0xffffd4ff,0xffffffff,0x80fff69f,0x2005fffa,0x00003ffd,
    0xc807ff88,0xfffe83ff,0xffffffff,0xfffe84ff,0xffffffff,0xfffe84ff,
    0xffffffff,0xfffe84ff,0xffffffff,0x0bff34ff,0x7cc6ff80,0x7ffdc05f,
    0xff13ffff,0x27ff900f,0x7c005ff9,0x7ffff46f,0xffffffff,0xfffffd4f,
    0xffffffff,0x900fff69,0x3600bfff,0x000003ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0xdefedca8,0xca8800bc,0x0009bded,0xacedb988,0x65440000,0x201bceed,
    0xbceeecb9,0x00333200,0x8800e65c,0x4c2ccba9,0xcccccccc,0xb981cccc,
    0x02cdefed,0x0016dc40,0x019a9880,0x3bf72a60,0x6664c1cd,0xcccccccc,
    0x6f6dcc03,0x7fdc001b,0xffffffff,0x7fff4c03,0x000effff,0x3fffffee,
    0x44000eff,0xfffffffd,0x7fe446ff,0x4fffffff,0x2001fff0,0x75402ffe,
    0x44ffffff,0xfffffffa,0x542fffff,0xffffffff,0xffb002ef,0x7ecc0005,
    0x05ffffff,0x3fffffa6,0xf50fffff,0xffffffff,0x3fa20dff,0x04ffffff,
    0xdfffffd0,0x407ffffd,0xfffffffb,0xd801ffff,0xfebcefff,0xf3001fff,
    0xffffffff,0xfffe8fff,0xfffffdef,0x000fff84,0x3ea05ffd,0xffffffff,
    0x7ffffd44,0x2fffffff,0x7f7fffd4,0x802fffff,0x70002ffd,0xffffffff,
    0x3ffee0ff,0xffffffff,0xfffff50f,0x0dffffff,0xfdfffff3,0x6c01bfff,
    0x7300bfff,0x37ffee03,0xffff730a,0x37ffa203,0x05fff700,0xacffffb8,
    0x64fd7310,0x6cc0afff,0x7ffc1fff,0x05ffd000,0x579ffff5,0xffa81333,
    0x9999999d,0x40dcc099,0x00fffeb9,0x40017fec,0xaacefffd,0xffd87eca,
    0x5310abff,0x266621fb,0xffb99999,0x0efffcc6,0x4c17ffee,0x40001fff,
    0x3e605fff,0x9ff904ff,0x40dff500,0x801efff8,0xd00fffe1,0x0fff87ff,
    0xa85ffd00,0x2000dfff,0x00004ffa,0x00bffe60,0xa8005ffb,0x20c04fff,
    0x800efffa,0x3fea0008,0x502ffec6,0xff701fff,0xffb8000d,0x0fffa806,
    0x7002ffc4,0x3ff207ff,0x7fcc000f,0x27fe400f,0x74003ffe,0x1fff42ff,
    0x027fd400,0x3ffa0000,0x3a666623,0x99999bff,0x3ffe2099,0x5ffe8004,
    0x3ea00000,0x03ffe26f,0xf909ffb0,0x7c4000bf,0xfff003ff,0x4c1ffc87,
    0x3fa2bddc,0x03fff886,0x807ff880,0x7ffc2ffd,0x45ffd000,0x50006ffa,
    0x000009ff,0x3fa3ffd8,0xffffffff,0x23ffffff,0x4000fffb,0x0000fffb,
    0xb9bfea00,0xffa805ff,0x00fffb87,0x01fff500,0xf89bff20,0x7fffe45f,
    0x90bfee6f,0x74000fff,0x3fe603ff,0x007ffc0f,0x3fa2ffe8,0xff50001f,
    0xe8000009,0x3fffa0ff,0xffffffff,0x3f63ffff,0xfff8004f,0x54000004,
    0x0bffa6ff,0x83fffd10,0x000dfff9,0x2005ffb8,0x3fe67ffa,0x2f7ffee2,
    0x3627fc6c,0x2e0004ff,0xfd882fff,0x00fff85f,0x3e25ffd0,0x3ea0007f,
    0x2000004f,0x55546ff9,0xaacffeaa,0x3a1aaaaa,0x7c4002ff,0x000000ff,
    0xfff37fd4,0x7fffd401,0xefffd82f,0x27fe4002,0x54fff300,0x3fff11ff,
    0x7f45fe80,0x3a20002f,0xff51dfff,0x1fff01df,0x54bffa00,0x2eaa65ff,
    0x37fea01a,0x20000199,0xd802fff9,0x3fe002ff,0x7fd4001f,0xa8000007,
    0x0fff16ff,0x7fffffe4,0xffffe883,0xffd800be,0x3ffe2003,0x3ea1ff70,
    0x46fd804f,0x80001fff,0xffeffffc,0x03ffe05f,0xfb97ff40,0xffffebcf,
    0xffa82fff,0x2dffffff,0xfb955500,0x3f6001df,0xfff1002f,0x5ffb8003,
    0x33333310,0x6ffa8003,0xfd10fff3,0x09ff99ff,0x7fffffe4,0x0fffa01d,
    0x323fff00,0x00bfee7f,0xfff89ff2,0xff700000,0xf809ffff,0xffd000ff,
    0x3fffff25,0xffffffff,0x7ffffd44,0x01ffffff,0x3fffffe2,0x3ff6002f,
    0x0bffe002,0x209ff900,0xfffffffd,0x5bfea001,0x7fd46ffa,0x09ff72ff,
    0xfffffc88,0x2fff80df,0xd8fffc00,0x007ff27f,0x7fcc3ff2,0xf900000f,
    0x19ffffff,0x4003ffe0,0xfffb2ffe,0x3aa2159f,0x2aa22fff,0xfffdcbaa,
    0xfff101ff,0x03dfffff,0x4005ffb0,0x6c003ffe,0xfffb04ff,0x4003ffff,
    0xbff56ffa,0x7077ffe4,0x2e200bff,0x41fffffe,0x22003ffe,0x4ff90fff,
    0xfd803ffb,0x007ffe67,0x7fffd100,0x01dffff9,0x3a001fff,0x1bffb2ff,
    0x006ffd80,0x3037ffdc,0xfff95333,0x2ffd805f,0x01bff600,0x260bff90,
    0x1fffaaaa,0x4dbfea00,0xfffe9dff,0x004ffb84,0x0efffea8,0x98013ff6,
    0x43fee7ff,0xfe805ffa,0x00bffe25,0x0dfffa80,0x21bfff62,0xfd000fff,
    0x00fff65f,0x0003ffe6,0x0001fff5,0x6c01fffb,0x3e6002ff,0x3ee003ff,
    0x3ffa005f,0x5bfea001,0xfffffff8,0x007ff902,0x91fffe40,0x7cc009ff,
    0xe87fea6f,0x43a8adff,0x1fffc4ff,0x09ffd000,0x3e27ffdc,0xffd000ff,
    0x4013ff25,0xf8002fff,0xfd0002ff,0x17fec07f,0x13fffa00,0x0dff5288,
    0x000fff40,0x7ffcdff5,0x3f600dff,0x7ec0002f,0x01bfee5f,0x3e65ffc8,
    0x3fffea4f,0x0ffe66ff,0x2000bffd,0x6c00fff9,0x0fffc7ff,0xf71ffe80,
    0x3ffa00bf,0x3ffe8003,0x09ff9000,0x20017fec,0xcdefffe8,0xff37fdcb,
    0x3ffa001f,0x9bfea001,0xe803ffff,0x5c0001ff,0x3ffea7ff,0x89ffd001,
    0x3fa60ffe,0x3ff64eff,0x007ffe41,0x4027fdc0,0x3fa0fffa,0x1fff002f,
    0x7401bfea,0xff8001ff,0xff90002f,0x017fec09,0x7ffff440,0xf17fffff,
    0x3fa009ff,0x3fee001f,0x2013ffa5,0x0000fff9,0x3fa37fdc,0xfff9803f,
    0x9827fd40,0x4427fc40,0xd8004fff,0xff9804ff,0x00fff60f,0xff99ffe6,
    0x7ffc400f,0x7ffc4000,0x5ffd0000,0x001ffec0,0xfffffb50,0x7ffe47bf,
    0x01ffe800,0xfa93ff20,0x4ffc806f,0x4ffe8000,0x100fffdc,0x3fa07ffd,
    0xffd8801f,0x07fff900,0x806ffc80,0x7fe46ffb,0x45ffd806,0x7dc04ffd,
    0xffd8006f,0xfff50006,0x02ffe401,0x04fff400,0x00efff88,0x4008fff4,
    0x7fc2fff8,0x3ffe203f,0xd8801b81,0x7fc41fff,0xffe881ff,0x5fff300f,
    0x027ff440,0x01bffff1,0x4fffaad4,0x113ffe60,0x7dc0bfff,0x7ffd40ff,
    0x03fff502,0x07ffecc0,0x1fffd400,0x00bffea0,0x806ff880,0x202ffffb,
    0x019b1ffe,0xf70dffb1,0xfff103ff,0x37bffe0b,0xfffecccc,0xffff503f,
    0xffffd99d,0xdfffa805,0xfffca89b,0xffffa804,0xffedcdff,0x33ffff67,
    0xefffdbaa,0xcffffb80,0x3fffecab,0x379fffd0,0xc89fffb5,0xfdcbaabc,
    0xbcd81fff,0xfffccbaa,0xfffd005f,0x07b957bf,0x9004ffa8,0x99dfffff,
    0x363fffd9,0xffdcdeff,0xffe882ff,0xfffdbbdf,0xfffff00e,0xffffffff,
    0xffff9807,0x01efffff,0xfffffd30,0x4005ffff,0xffffffd8,0x3a27ffff,
    0xffffffff,0x3f200eff,0xffffffff,0x3ff6203f,0x3fffffff,0xffffffd8,
    0xff01dfff,0xffffffff,0x7fcc007f,0x3fffffff,0x000ffe40,0xfffffff5,
    0x363fffff,0xffffffff,0x3ff6202f,0x0effffff,0x3ffffb20,0x00beffff,
    0xffffd910,0xb710009d,0x039bffff,0x3ffb6e00,0xa81aceff,0xeffffffe,
    0xfffb3002,0x2001bfff,0xdfffffeb,0xfffffb00,0xff803bff,0xbeffffff,
    0xffc88000,0x402fffff,0xc88007fd,0xeffffffd,0x3ffae21b,0x7000deff,
    0x07bffffd,0x09a99880,0x00330000,0x00018800,0x10003300,0x88000133,
    0x4c000099,0x53330009,0x53330003,0x30000013,0x2aa00133,0x99880002,
    0x00331001,0x00003300,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x379dd971,0x800f32e0,
    0x64c0ccc8,0x09accccc,0x00999100,0xccc88000,0x1ccccccc,0x99999993,
    0x99999999,0x33332679,0xcccccccc,0x66666644,0x300009ac,0x0179dd97,
    0x66666664,0x665c01ab,0xccc88003,0x20019990,0x99971ccb,0x99999999,
    0x5c000199,0xffffffff,0x17ffd40c,0xb85ffd80,0xffffffff,0x7fc404ff,
    0x64000007,0xffffffff,0xffff52ff,0xffffffff,0x3eabffff,0xffffffff,
    0x7ffc7fff,0xffffffff,0xfffd1003,0x205fffff,0xffffffff,0xff902eff,
    0xffb8001f,0x4007ffe6,0xfffd2ffe,0xffffffff,0x360003ff,0xfeeeffff,
    0x6ffd86ff,0x81fff980,0xfffffffb,0x102effff,0x00000fff,0xfffffff8,
    0x3f52ffff,0x7d57e000,0xffffffff,0x7ffc7fff,0xffffffff,0x3fea01ef,
    0xffffefff,0xfffff82f,0x4fffffff,0x002fff98,0xfff27ff4,0x4bffa003,
    0xfffffffe,0x01ffffff,0x84fff980,0xff881fd9,0x27ff403f,0x2625ffb8,
    0x83ffffda,0x00007ff8,0x3ff7fea0,0x310fd404,0x7fd57e00,0x1fff0006,
    0x7ffedd4c,0x5bffd02f,0x07fffd41,0xdb887ffe,0xfe82ffff,0x3fe2005f,
    0x007ffe1f,0xf7017ff4,0x740000bf,0x900c04ff,0x3ea01fff,0xbff700ff,
    0x07fff4c0,0x3fffffe2,0x0002deff,0x13fefbfa,0x7fe43f50,0x2abf01df,
    0xff0006ff,0x7ff5401f,0x203f980f,0x7fc3fff9,0xdffd101f,0x400fff90,
    0x7ffc6ffb,0x05ffd001,0x0002ffdc,0x000fff88,0x413ffe20,0x3ee02ffe,
    0x4fff805f,0x7fffffc4,0x02efffff,0x7de7fcc0,0x50fd404f,0xf09fffb9,
    0x001bfeab,0x22007ffc,0x00104fff,0xfff8bffb,0x21ffea01,0xb002fff9,
    0x1fff87ff,0x405ffd00,0x00005ffb,0x0000dff3,0xfb81fff5,0x2ffdc05f,
    0x107ffdc0,0xb9999fff,0x005ffffd,0x7fdc7fe4,0x500fd404,0xf55f87ff,
    0x3fe000df,0xfffb800f,0xdff70000,0x2601fff8,0xffe80fff,0x1fff8804,
    0xe800fffc,0x3fee02ff,0xff500005,0x3fa0000b,0x07ffe25f,0x200bff70,
    0x3fe23fff,0x3fffaa07,0x75ff8801,0x1fa809ff,0xbf07fd40,0x4001bfea,
    0xf8800fff,0xf70002ff,0x01fff8df,0x7e41ffe6,0x6ffa807f,0xd001fff8,
    0x7fdc05ff,0xff700005,0x3e60000b,0x09ff91ff,0x200bff70,0x3fe24ffd,
    0x2fffc407,0xfb97fdc0,0x00fd404f,0x2abf17fc,0xff0006ff,0x3ff6001f,
    0xbff90004,0x2e01fff8,0xfff306ff,0x83ffd803,0xfd001fff,0x2ffdc05f,
    0x5ffb8000,0x3ff20000,0x800fff9d,0xf9005ffb,0x03ffc4bf,0x7403ffd4,
    0x013fee7f,0x5ff003f5,0x06ffaafc,0x001fff00,0x40017ff2,0x7ffc3ffe,
    0x07fff301,0xf1027ff4,0x3fff03ff,0x80bffa00,0x00005ffb,0x0000bff7,
    0x7ff7ffc4,0x7fee6402,0xf703ccce,0x03ffc4df,0x3007ffc4,0x77fdc9ff,
    0x3ea4cccc,0xf07fd401,0x333ffeab,0x2ccccccc,0xb8007ffc,0xfa8006ff,
    0x0fffc0ff,0x0bfff933,0x2a06ffc8,0xbfff06ff,0x99999999,0x5c05fff9,
    0x2a0005ff,0xffffffff,0x004fffff,0x02ffffdc,0x7ffffffc,0xfff706ff,
    0xf803ffc4,0x3ff201ff,0x3ffffee1,0x83f50fff,0x43ffecc9,0xfffff55f,
    0x9fffffff,0x7000fff8,0xf8800fff,0xffff84ff,0x5fffffff,0x01fff980,
    0x3fe07ffb,0xffffffff,0x02ffffff,0x80017fee,0xfffffffa,0x04ffffff,
    0x01fffe80,0xfffffff8,0xfff506ff,0x4403ffc4,0xff100fff,0xfffffb8d,
    0x83f50fff,0xf81dfffb,0xffffff55,0x89ffffff,0xf5000fff,0xffd800ff,
    0xffffff06,0x40039fff,0xfff03ffe,0x3ffffe01,0xffffffff,0x3ee02fff,
    0x3260005f,0xccceffdc,0x5402cccc,0xeffdaaaa,0x4c0aaaaa,0x999dffc9,
    0x44dff700,0xffa807ff,0x70ffee07,0x1fa809ff,0x57e01fdc,0x9999effa,
    0x7c099999,0xff7000ff,0x7ffec00d,0x959fff00,0x4003dffd,0xffa86ffc,
    0x26bffe06,0x99999999,0x3ee02ffe,0xf700005f,0xff8000bf,0xffffffff,
    0xf702ffff,0x3ff200bf,0x201ffe26,0x3fa04ffe,0x027fdc0f,0x07f507ea,
    0x0dff55f8,0x003ffe00,0xc8037fe4,0x3fe01fff,0x07ffdc1f,0x40fff980,
    0x3fe03ffc,0x5ffd001f,0x002ffdc0,0x005ffb80,0x7fffffc0,0xffffffff,
    0x00bff702,0xff897ff6,0x3bff6207,0x70bff300,0x1fa809ff,0x57e01fd4,
    0xf0006ffa,0x3f6001ff,0xfffc804f,0x40fffc02,0x3a005ffd,0x07ffc3ff,
    0x2003fff0,0x3ee02ffe,0xf700005f,0x700000bf,0xfb800bff,0xfff8805f,
    0x2afffe22,0xffffcbaa,0x337ff602,0x04ffdccc,0xf8000fd4,0x000dff55,
    0x22003ffe,0x7e402fff,0xfff802ff,0x02fff881,0x7ccdff90,0x0fffc06f,
    0x202ffe80,0x00005ffb,0x0000bff7,0x800bff70,0xfb805ffb,0x3ffe20ff,
    0xffffffff,0x3ffe201e,0xffffffff,0x220fd404,0xff55f802,0x3ffe000d,
    0x0fffc800,0x00bfff20,0xfd80fffc,0xfff3006f,0xf00fff21,0x3fa003ff,
    0x17fee02f,0x2ffdc000,0x7fdc0000,0x2ffdc005,0x117ffe20,0xffffffff,
    0xff7007df,0xffffffff,0x41fa809f,0xaafc05fe,0xff0006ff,0xfff8801f,
    0x0bfff204,0x301fff80,0x3a005fff,0x01fff3ff,0xd001fff8,0x7fdc05ff,
    0xff700005,0xfff8000b,0xffffffff,0xff702fff,0x7fff4c0b,0x55fffc40,
    0x7f4000aa,0x09ff700f,0x3ffc1fa8,0x37fd57e0,0x00fff800,0x403fffa6,
    0x4001fffc,0x3f601fff,0xbff9006f,0xff00dff3,0x3ffa003f,0x017fee02,
    0x02ffdc00,0x3ffffe00,0xffffffff,0x0bff702f,0x07ffff73,0x8000fff1,
    0x3ee05ffa,0x20fd404f,0xaafc02da,0xff0006ff,0xffc9881f,0xfff902ff,
    0x3fff0003,0x00fffcc0,0x7fefffcc,0x01fff803,0x5c05ffd0,0x260005ff,
    0xcceffdcc,0x4ccccccc,0xfb555550,0x155555df,0x3bbffee0,0x2ffffffe,
    0x000fff10,0x2e02ffd8,0xccccceff,0x20003f52,0xddfff55f,0xdddddddd,
    0xfeeefff8,0x01ffffff,0xfffffff5,0xffffffff,0xd007ffe3,0x3fa00bff,
    0xf800ffff,0xffd001ff,0x3bbbbb65,0xeeeeefff,0xffffa801,0xffffffff,
    0x2e007fff,0x7dc005ff,0xffffffff,0x3fe201df,0x3fe20007,0x7fffdc07,
    0xbf54ffff,0x99999999,0x2bf99999,0xfffffffa,0x7c7fffff,0xffffffff,
    0x3ea00cff,0xffffffff,0xf1ffffff,0xffa803ff,0xfffc801f,0x3fff006f,
    0x74bffa00,0xffffffff,0x801fffff,0xfffffffa,0xffffffff,0x17fee007,
    0xfffff700,0x100179dd,0x5c000fff,0x7fdc04ff,0x54ffffff,0xffffffff,
    0xffffffff,0x3ffffeab,0x7fffffff,0x77fffffc,0xff5002cd,0xffffffff,
    0x3e3fffff,0xffe801ff,0xffff9805,0x03fff003,0x7f4bffa0,0xffffffff,
    0x0001ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x400b3332,0xcccccccb,0x4ccccccc,
    0x2a013322,0x65400ccc,0xb80cc984,0x644001cc,0xabcccccc,0x65cc000a,
    0x2200bcee,0xbccccccc,0x6665401a,0xcccccccc,0x332e4ccc,0xccc98004,
    0x801332e0,0x9910ccca,0x39930007,0xa804ccc8,0x54001ccc,0xd005ffff,
    0xffffffff,0x1fffffff,0xf301ffe2,0xdfb009ff,0xfb03ff70,0xff88007f,
    0xffffffff,0xffc800cf,0x02ffffff,0xfffffff1,0x9017ffff,0xffffffff,
    0x1fffffff,0x000fffea,0xffa8bffd,0xfff8803f,0x001bfe24,0xfff0ffea,
    0xffff803f,0x7ffec002,0xffe800ff,0xffffffff,0xf10fffff,0x7ff440ff,
    0x90bfd005,0x7ffb01ff,0xffff8800,0xffffffff,0xfffd100f,0x9ffffbbd,
    0xffffff10,0x1fffffff,0xffffffc8,0xffffffff,0x03fffa0f,0x407ffdc0,
    0x6c00fffd,0x3ffc0eff,0x217fdc00,0x2a04ffff,0x4002ffff,0x03ffefff,
    0xaaaaaaa8,0xffcaaaaa,0xd81ffe27,0xff000eff,0x360ff90b,0x7c4003ff,
    0x7ed4c47f,0xdffb06ff,0x83fff703,0x54c47ff8,0x260efffd,0xaaaaaaaa,
    0x45fffbaa,0xf004fff9,0x3fe209ff,0x3ffe604f,0x8007ff82,0x3fe22ffb,
    0x3ff607ff,0x3ea003ff,0x005ffbdf,0x23ffd800,0xff707ff8,0x27fc001f,
    0xffd837ec,0x3ffc4003,0x503ffee0,0x7dc01fff,0x03ffc45f,0x0013ffea,
    0x6c07ffe4,0x7dc00fff,0x3fee00ff,0x0bffd01f,0x32001ffa,0x37fe21ff,
    0xcff882ff,0x3f2003ff,0x00fff9af,0x3ffe6000,0x2a1ffe20,0x22001fff,
    0x05fe83ff,0x88007ffb,0xfff807ff,0x201ffec2,0x3e21fff8,0x6ffc807f,
    0x2fffa800,0x409fff10,0xe803fff8,0xfffb86ff,0x001ffd00,0x3e61ffc8,
    0xfb84ffaf,0x2003ffaf,0x5ffd0fff,0x7fec0000,0x223ffc44,0x64402fff,
    0xccdffdcc,0xccceffcc,0x8007ffb2,0xfe807ff8,0x00fff42f,0xff11ffe4,
    0x1fff300f,0x2fff4400,0x407fff20,0xf3006ffc,0x7ffc47ff,0x003ff603,
    0x7cc1ff90,0xfe87fdaf,0x5004ff9d,0x2ffe4dff,0xfff98000,0x3a3ffc40,
    0xff9804ff,0xffffffff,0x4fffffff,0x88007ffb,0xfff807ff,0x003ffe20,
    0xff893fee,0x03fff007,0x007ffe40,0x2217ffe2,0x32002fff,0xbffb0fff,
    0x001ffd80,0xff307fec,0x7cc5ff55,0x004ff9af,0x7fcc7ff9,0xfd80000f,
    0x27ff884f,0x91005ffd,0x999ffd99,0x999bffb9,0x000fff65,0xfa80fff1,
    0x0fffc46f,0xf12ffd40,0xfff100ff,0x3ffe6001,0x3fff7002,0x8005ffc8,
    0xfffadffe,0x40ffe400,0x47fd81cc,0x5ff8affa,0x27fc5ff2,0x7c0fff80,
    0x440002ff,0xff880fff,0x001dff77,0xf303ff20,0x0fff605f,0x40fff100,
    0xff82fffa,0x6ff9802f,0x2601ffe2,0x3fa007ff,0x7ff4005f,0x007ffe26,
    0x3ffffea0,0x2ffc803f,0x7f427fd4,0xfc97fd47,0x3e29ff0f,0x6ffa805f,
    0x0005ffc8,0xf8827fe4,0x00fff9ff,0x2a1ff200,0x7ffb01ff,0xcfff8800,
    0xeffecccc,0x00dffb00,0x7fc4fff3,0x05ffd807,0x001fff90,0xf92fffa8,
    0x7ec0009f,0xf7006fff,0x87ffc85f,0x8ffdc6fe,0x1ffabff9,0xf900bff1,
    0x1fff507f,0x3ffe2000,0xfffff100,0xfd80005f,0xb00ffb86,0xf88007ff,
    0xffffffff,0x3fe601ff,0xffb880cf,0x01ffe27f,0x3001fff9,0x20005fff,
    0xfff8effd,0x3fe20000,0xff5001ff,0x42ffff87,0x0ffdc6ff,0x44df9bff,
    0xfff806ff,0x005fff01,0x8817ff20,0x06ffefff,0x642ff400,0x0fff607f,
    0xfffff100,0xdfffffff,0x3ffff201,0xffffedce,0x27ffe26f,0xfffba999,
    0xbffd003f,0x7ffcc000,0x40003ffe,0x003ffff9,0x7fcc7ff5,0x22ffc5ff,
    0x3ff21ffb,0x037fc3ff,0xfd81bfea,0xff88005f,0x3ffe201f,0x0004fff9,
    0x1ff217fe,0x4003ffd8,0x9999fff8,0x0ffffdb9,0xffffff70,0x4bffbfff,
    0xfffffff8,0x002fffff,0x0001fff9,0x07ffffc8,0xffffe800,0x3ff9800f,
    0xf1ff7bf2,0x21ffc8bf,0x7c0ffff9,0x27fe406f,0x001fff50,0x4405ffc8,
    0x7fff57ff,0x09ff1000,0x7fec0dfb,0x3ffc4003,0x817ffea0,0x2cdeedb8,
    0x7fc49ff5,0xffffffff,0xfff3000c,0xff100005,0xb80005ff,0x05ffefff,
    0x3fe4ff98,0xff12ffbc,0x741ffc89,0x07ff85ff,0xf100fffc,0x7c4005ff,
    0x7fc401ff,0x007fff27,0xfffffff3,0xffffffff,0x1ffec9ff,0x01ffe200,
    0x0003ffee,0x3e23ffc8,0x09bcccff,0x05ffe800,0x1bfee000,0x7fff1000,
    0x8807fff3,0x33ff34ff,0x13fe2bff,0xffb81ffb,0x2a07ff82,0xffffffff,
    0x05ffffff,0x2017ff20,0x7ff47ff8,0x3ffe600e,0xffffffff,0x24ffffff,
    0x44003ffd,0xff9807ff,0x3fa0001f,0x01ffe21f,0x07ffe400,0xbff70000,
    0x6ffd8000,0x8803fff2,0x74ff95ff,0x43ff98ff,0x15440ffd,0x3f207ff8,
    0xffffffff,0x007fffff,0x1003fff1,0xfff88fff,0x32aaa205,0xfbaaacff,
    0x361aaadf,0x7c4003ff,0xfff8807f,0xdff30001,0x0007ff88,0x002fff98,
    0x02ffdc00,0x43fff500,0x7c05fff8,0x7dc9fd6f,0x6c3ff9af,0x7f4000ff,
    0xddfff00f,0xdddddddd,0xf9005fff,0x3fe200df,0x04fffa87,0xf981ff70,
    0x0fff603f,0x00fff100,0x2000fff5,0x7c41ffe8,0xfe80007f,0xb800005f,
    0xf10005ff,0xfff709ff,0x7cf7fc05,0x27bfe21f,0x07ff42ff,0x203ffa00,
    0x36007ffa,0x7fc405ff,0xfff1002f,0x00bfff20,0xff303ff2,0x01ffec05,
    0x201ffe20,0x98005ffe,0xff884ffd,0x7fdc0007,0xb800000f,0xfb0005ff,
    0x3ffa01ff,0xf7ffd00f,0xff7ffd0f,0x000ffe85,0x7e407ff4,0x3fee004f,
    0x037fe407,0x6c0fff10,0x7e400fff,0x201ffa87,0x44003ffd,0x3f6607ff,
    0xb31001ff,0xf101ffff,0x7cc000ff,0x000002ff,0x5000bff7,0x7cc07fff,
    0xdffd04ff,0xfdff709f,0x007ff83f,0xff81ffe8,0x3fe2002f,0x5fff102f,
    0x03ffc400,0xd80dfff1,0x00ffb86f,0x3bbbbff6,0x14eeeeee,0xdddddfff,
    0x205fffff,0xffffeeec,0xff100cff,0x7ff4000f,0xffffffff,0x002fffff,
    0x8800bff7,0xfc806fff,0xfffd81ff,0xffff882f,0x003ffc0f,0x3ea0ffec,
    0xffe8007f,0x00dff904,0x4c07ff88,0x3fa05fff,0x6c07fc85,0xffffffff,
    0xff15ffff,0xffffffff,0x7fec03bf,0x01efffff,0x0003ffc4,0xffffffff,
    0xffffffff,0x17fee005,0x03fffb00,0x90dfff10,0x7ec0ffff,0x3ffc0fff,
    0x20ffec00,0xb8005ffc,0xfff887ff,0x3ffc4002,0x81fffdc0,0x07fd85ff,
    0x7fffffec,0x15ffffff,0xdfffffff,0xffb0039b,0x200359bd,0x20007ff8,
    0xffffffff,0xffffffff,0x0bff7002,0x027ffd40,0xc89fff70,0x3ea04fff,
    0x3ffc47ff,0x017fec00,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2602775c,0xcccccccc,
    0xcccccccc,0x00399973,0x98001997,0x9101cccc,0x99999999,0x00009999,
    0x22003980,0x03620003,0x880000b6,0x220009a9,0x35301aa9,0x55554c00,
    0x2a620001,0x80199819,0xf5000998,0xfb80bfff,0xffffffff,0x5fffffff,
    0xb00dfffd,0xfe8003ff,0xff302fff,0xffffffff,0x3ea00fff,0xffd8805f,
    0x03dfb000,0x20eff980,0x40003ffd,0xefffffea,0x3fff6202,0xfff32fff,
    0x3f6e03ff,0x3fffffff,0xffffb300,0x3fe2bfff,0x03ffc807,0x7fffff54,
    0x7fffdc05,0xffffffff,0xffd5ffff,0xffd803ff,0x3ffee001,0xfff302ff,
    0xffffffff,0x3fea00ff,0x5ffe8805,0x01fffa80,0x83bffea0,0x0004fffc,
    0xfffffff9,0x3fee09ff,0xfbffffff,0x41ffffff,0xfffffff8,0x5c06ffff,
    0xffffffff,0x00fff17f,0x3aa07ff9,0x5fffffff,0x4ccccc40,0x999effc9,
    0xfffd0999,0x1ffd80bf,0xfffff100,0x3ffe605f,0x99999999,0xbff50019,
    0x4bffe600,0xfff11aa8,0x7ffdc007,0x1bfff705,0x5fffec00,0x3fffc989,
    0xda8acfb8,0xc8afffff,0x6ffc45ff,0xffea99ab,0xdfffb04f,0x2fd95559,
    0xfc807ff8,0xffffa83f,0x005ffd9d,0x2017fee0,0x01fffffe,0x6c007ff6,
    0x02ffebff,0x0000fff3,0x2005ffa8,0xfffefffb,0x005ffeff,0x3013fff6,
    0x5003dfff,0x3ea01dff,0xfb0040ff,0x0ffe85ff,0x3ffec014,0x2027ffd4,
    0x900fff11,0x3bfe07ff,0x0017ff62,0xe805ffb8,0x205ffcff,0xfa801ffd,
    0x205ffd5f,0x00007ff9,0x2002ffd4,0xfffffffd,0x8800ffff,0x1002fffe,
    0xe805fffd,0x7fec02ff,0x1ffee004,0x2000bff2,0x3e20fff9,0x3e2004ff,
    0x3ffc807f,0xbffb0570,0x2ffdc000,0x7fcfff40,0x03ffb00f,0xfd0fff88,
    0x1ffe605f,0xbff50000,0xefffa800,0x06fffebb,0x01effe98,0x1fffec40,
    0x9806ffa8,0x3ea006ff,0x03ffa85f,0x5c5ffd00,0x22000fff,0xffc807ff,
    0x2ffec003,0x0bff7000,0xff91ffd0,0x007ff609,0x7ff47ffb,0x00fff302,
    0x05ffa800,0x542ffec0,0x3ea02fff,0x20000eff,0xfb84fffc,0x7ff8804f,
    0x213fe600,0xb0003ffa,0x27fec5ff,0x01ffe200,0xb000fff2,0x5c000bff,
    0xffe805ff,0xd80fff98,0x3fea01ff,0x9817ff46,0xf88007ff,0xffffffff,
    0x3fffffff,0xd807ffcc,0xfff704ff,0x3ee00009,0x3ff20dff,0xaaaaaaac,
    0x300fffba,0x9dffb995,0x09ffb999,0x33332aa2,0x3fa2fffc,0x7fc4002f,
    0x03ffc807,0x002ffec0,0xd00bff70,0x13ff61ff,0x74407ff6,0x17ff41ff,
    0x8007ff98,0xfffffff8,0xffffffff,0x037fd43f,0xffb0bff7,0x9800007f,
    0xffd0efff,0xffffffff,0xa83fffff,0xfffffffe,0xffffffff,0x7fffe444,
    0x2fffffff,0x10007ffe,0xff900fff,0x5ffd8007,0x17fee000,0x7cc3ffa0,
    0x0ffec0ff,0xfe83ffc8,0x3fff302f,0x33333333,0x66666441,0xccceffdc,
    0x7fdc1ccc,0x11bfea04,0x0003fffd,0x25fffb00,0xfffffffe,0xffffffff,
    0x3bfffea0,0xeeeeffee,0x3e23eeee,0xeeeeffff,0xff12fffe,0xff88003f,
    0x03ffc807,0x002ffec0,0xd00bff70,0x1fff41ff,0x3e607ff6,0x05ffd06f,
    0x3fffffe6,0x03ffffff,0x400bff50,0x3ea04ffc,0xfffe886f,0xfd100002,
    0x1ffec3ff,0x33ffa000,0x8013fe60,0x3602effe,0x0bffe2ff,0x00fff100,
    0xd8007ff9,0x2e0005ff,0xffe805ff,0xfb1ffea0,0x03ffd03f,0x7cc0bffa,
    0xffffffff,0xf5003fff,0x7fdc00bf,0x817fee05,0x0004fffd,0x2077ffcc,
    0x20004ffc,0xff987ff9,0x1fff3005,0x362ffd80,0x7c4003ff,0x3ffc807f,
    0x02ffec00,0x00bff700,0xffe81ffd,0xf707ff62,0x17ff409f,0xaaafff98,
    0x01aaaaaa,0x400bff50,0xfb00fffa,0xfffb809f,0xffa8000d,0x6ffb80df,
    0x13fea000,0x5c01bfe6,0xffd806ff,0x001bff22,0xf9807ffe,0x7ec003ff,
    0x3ee0005f,0x0ffe805f,0xffb37fdc,0x2037fcc3,0xff302ffe,0xfa80000f,
    0x3fe2005f,0x0fffa84f,0x0efffa80,0x13fff200,0x003fff88,0xfb09ff50,
    0xff7001ff,0x2fffb80b,0x000fffe6,0x3e207ffd,0x6c003fff,0x2e0005ff,
    0xffe805ff,0xfb2fff80,0x00fff43f,0x7cc0bffa,0x5400007f,0x7e4005ff,
    0xffc9bfff,0x3fa6005f,0x7ec401ff,0xffb803ff,0xff98003f,0x27fffdc6,
    0x407ffd40,0x42ffffe8,0x2204fffd,0x303bff62,0x007ffffd,0x0005ffd8,
    0x3a017fee,0x5ffb80ff,0x3fe63ffb,0xffffffff,0xffffffff,0x000fff32,
    0x005ffa80,0x7fffffe4,0x000effff,0x40bfffa2,0x002fffe8,0x2b3bfffe,
    0x21edbaaa,0xfdacfff8,0x9adfffbf,0x3ffe26ba,0xfffdbabf,0x7fc42ffe,
    0xdcbcdeff,0x3fffe67f,0xfcfffcac,0x7fec003f,0x3fee0005,0x80ffe805,
    0xffd9fff8,0xffffff31,0xffffffff,0x3e65ffff,0x4c00007f,0x3ea002cc,
    0xffffffff,0xd8005ffe,0x7fcc4fff,0x6c4001ef,0xffffffff,0x7fe41fff,
    0xff33ffff,0xa8ffffff,0xffffffff,0x882ffb9e,0xfffffffd,0x7ffec7ff,
    0xfa9effff,0x7fec003f,0x3fee0005,0x00ffe805,0x3ffb9ff9,0x3bbbbba2,
    0xfffeeeee,0xff31eeee,0x0000000f,0x265fff10,0xfff88abb,0xfffb8003,
    0x0037ffa1,0xffffea80,0xc80cefff,0x6d43efff,0x985fffff,0x24effffe,
    0x36a02ffb,0x3dfffffe,0xcfffffb8,0x8007ff50,0x20005ffd,0xfe805ffb,
    0xdfff100f,0x3a0003ff,0xfff302ff,0x00000000,0xf700bffd,0xf50003ff,
    0x0004e885,0x04cccc40,0x22004c40,0x1330019a,0x04cc0000,0x00019880,
    0x002ffec0,0xd00bff70,0x7fe401ff,0xd0001fff,0x3fe605ff,0x99950007,
    0x99999999,0x7f449999,0x5ffd000f,0x00402000,0x00000000,0x00000000,
    0x00000000,0xffffffd0,0xffffffff,0x017fee00,0xf9803ffa,0x0001ffff,
    0x3e605ffd,0xff90007f,0xffffffff,0x770fffff,0x00064c00,0x00000000,
    0x00000000,0x00000000,0x3fa00000,0xffffffff,0x7007ffff,0xffd00bff,
    0xffffd801,0x5ffd0001,0x001ffe60,0x7fffffe4,0xffffffff,0x00000007,
    0x00000000,0x00000000,0x00000000,0x3fa00000,0xffffffff,0x7007ffff,
    0xffd00bff,0xffff9801,0x5ffd0001,0x001ffe60,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80006200,
    0x01aaaa98,0x004d4c40,0x4cccccc4,0x21999999,0x30009998,0x04cc4333,
    0x884cc400,0x26200099,0x55066219,0x33102a60,0x40155101,0x1aaa8099,
    0x7bdb7300,0x3b72a201,0xc98003ce,0x2a60002c,0x00009bdc,0x2002ffdc,
    0xfffffffb,0xffec807f,0x3602efff,0xffffffff,0x7f47ffff,0x7fd400ff,
    0x01bfe63f,0x7e53fee0,0x3ff2007f,0x7f45fea5,0xfffd11ef,0xd51ffd47,
    0x883dffff,0x3fff25ff,0x3f201eff,0x82ffffff,0xfffffffc,0x3fea000f,
    0xffd88005,0x002fffff,0x05ffff10,0xfffffd10,0x4c0fffff,0xfffffffe,
    0xffd80dff,0xffffffff,0x7ffcc7ff,0x17ffe205,0x9000fff1,0x3ffe27ff,
    0x45fff002,0xfffe8ffa,0xfffffb4f,0x7dcffea1,0x1fffffff,0x3fa37fe2,
    0x0fffffff,0xfddfffc8,0x67e41fff,0x05ffecab,0x0017fea0,0x5337bff5,
    0x10009ff9,0xb005ffff,0x33337fff,0x3fe60b95,0xfdb9acff,0xaaaa85ff,
    0xffaaaaaa,0x2fffb86f,0xf01dffb0,0xffb000ff,0x402ffec5,0x7fd47ffa,
    0xaefd9dfb,0x53ffc9ef,0x7dff99ff,0x44bfffb5,0xadffeeff,0x4c5fffea,
    0x3f220eff,0xff88046f,0x17fea007,0x98bff980,0x013fa609,0x003bff60,
    0x0001fff3,0x5c03bff6,0xc8002fff,0xffb00fff,0x1fffa81f,0x8001ffd0,
    0x3fea0ffe,0x27fec00f,0x543fffea,0xff30ffff,0x3ffffea9,0x10fffa83,
    0x705fffff,0x7fe41fff,0x007ff882,0x54003ff6,0x3fa005ff,0x27dfffd3,
    0xa8001ff8,0x5ffa800a,0x1fff5000,0x006ffc80,0x100fffd4,0x7fc4bffd,
    0x07ff203f,0x1ffe0732,0xf880fffe,0x7ffd41ff,0x98fffe63,0xffff55ff,
    0x897ff407,0xf101ffff,0x07ff43ff,0xba81ffe8,0x00fffedc,0x200bff50,
    0x2e7fa5fb,0x00bf70fe,0xfff98000,0x3ffd8000,0x01fff880,0x007fff10,
    0x3f67fff3,0x17fdc05f,0x3fe13fea,0x206ffc86,0xffa86ffb,0x107ffcc6,
    0x3ffeabff,0x897fec03,0x7f403fff,0xc81ffe2f,0x3ffa61ff,0x00ffffff,
    0x200bff50,0xfb9fa2fc,0x00001fe2,0x05dfff10,0x000fff80,0x3a005ffd,
    0x3ee005ff,0x00effbff,0x3f61ffd4,0x42ffc47f,0xfd01fff9,0x87ff505f,
    0x7fc44ff9,0x700dff55,0x1ffe25dd,0xfe8fff60,0x21ffb01f,0x99acfff8,
    0x26620ffd,0xdffb9999,0x20999999,0x74dfa0fe,0x3107fa0f,0x33333333,
    0x13333333,0x67ffffd4,0x03ffc401,0x9007ffb0,0xd8001dff,0x801fffff,
    0x7ffc4ff9,0x413fe62f,0xff984ffe,0x987ff507,0xaffc44ff,0x10006ffa,
    0xff900fff,0x441ffec7,0x13fea7ff,0xffb83ff2,0xffffffff,0x26ffffff,
    0x77fff47f,0x3ee17ec1,0xffffffff,0x6fffffff,0x7fffffd4,0x7ff980cf,
    0x013ff200,0x0003fff5,0x007ffff1,0xffa97fe2,0x0ffea5ff,0x7e437fdc,
    0x87ff504f,0x7fc44ff9,0x000dff55,0x3201ffe2,0x3bfee3ff,0xf727fe41,
    0x0fffa87f,0x3fffffee,0xffffffff,0xe83fa6ff,0x7f41feaf,0x7ffffdc1,
    0xffffffff,0xeb886fff,0x43ffffff,0x32007ff9,0x3fe604ff,0xff30003f,
    0x7fc009ff,0x3ff3bf26,0x2205ff70,0x7ffc1fff,0x987ff501,0xaffc44ff,
    0x10006ffa,0xff900fff,0xcefffe87,0x3e20fffe,0xfffdbbff,0x3333260f,
    0xcceffdcc,0x3f23cccc,0x237cdfa2,0xcccc987f,0xcccccccc,0x4403cccc,
    0x23ffffeb,0xb000fff8,0x3fa205ff,0xfd10004f,0x2005ffff,0x2affe7fe,
    0x01ff92ff,0xff527fe4,0x21ffd40d,0x7fc44ff9,0x000dff55,0x3201ffe2,
    0x7ff4c3ff,0xd80effff,0xfbdfffff,0xbff5000f,0x7e97ee00,0x037dc7f6,
    0x54000000,0x7ffc7ffe,0x03ffd001,0x8001bff6,0xfffceffd,0x98ffd800,
    0x36bff0ff,0x7ffcc07f,0x5407ffb0,0x27fcc3ff,0x7fd57fe2,0xfff10006,
    0x207ff900,0x402cdeca,0x9912cec9,0x17fea001,0x4fd2fe80,0x01ff8df9,
    0x30000000,0x7ff41fff,0x0fff9803,0x000fffb8,0x3a3fff70,0xffb806ff,
    0x3ff26fc9,0xfe806fe8,0x00fff8af,0xff30ffea,0xf55ff889,0x3e2000df,
    0x3ffc807f,0x00000000,0x400bff50,0x4c18bff9,0x20004feb,0x7c400000,
    0x3ffee0ff,0x427fec00,0x0002fff9,0x7c47fff3,0x7fd404ff,0x3fea3ffa,
    0xfb805ffb,0x405ffadf,0x7fcc3ffa,0xfaaffc44,0xff10006f,0x07ff900f,
    0x00000000,0x50017fea,0x95137bff,0x2e0009ff,0x000804ff,0xffd0fffb,
    0x3fff601d,0x027ffc40,0x85fff880,0x2603fffa,0x7c0ffdff,0x8804ffef,
    0x01ffdfff,0x3e61ffd4,0xaaffc44f,0xf10006ff,0x7ff900ff,0x7ffffffc,
    0xff1fffff,0xffffffff,0xff5003ff,0xffb1000b,0x005fffff,0x0bfffe20,
    0x5579bfb0,0x07fffdb7,0x579ffff5,0xd07fffd9,0x99999fff,0xd8599999,
    0xffb00fff,0x3ffe203f,0xffffc86f,0xffffb003,0x87ff500d,0x7fc44ff9,
    0x000dff55,0x3201ffe2,0x3fffe3ff,0xffffffff,0xfffffff1,0x003fffff,
    0x4000bff5,0x009bdca9,0x3fffe600,0x7fffec02,0x3fffffff,0x3ffffea0,
    0xf01fffff,0xffffffff,0x649fffff,0x3e202fff,0xfff00fff,0xffff307f,
    0x3ffe6005,0x3ffa803f,0x3e227fcc,0x00dff55f,0x201ffe20,0x33323ffc,
    0xcccccccc,0x9999990c,0x01999999,0x0009dd30,0xfd000000,0xfeb801ff,
    0xcfffffff,0xffed8801,0x3e00ceff,0xffffffff,0xf54fffff,0xff500bff,
    0x3fffa0bf,0x03ffff00,0x007fff40,0x3e61ffd4,0xaaffc44f,0xf10006ff,
    0x7ff900ff,0x00000000,0x00000000,0x005dc000,0x026a6660,0x00198800,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0x001001cc,0x98000004,0x02cdeedb,
    0x0737b2a2,0x00332e20,0x00b372a2,0x9800e6d4,0xaa9802cc,0xaaaaaaaa,
    0x3312aaaa,0x33333333,0x32613333,0x333222cc,0x1980a202,0x66654000,
    0x07999503,0x26099100,0x2ff8003d,0x8804f880,0x40fa203f,0x7ffec1e9,
    0xfa86ffff,0x04ffffff,0x03ffff91,0xffffffb8,0x3ffea02e,0xfffe800f,
    0x7fffe400,0xffffffff,0xffffd7ff,0xffffffff,0x3ffe67ff,0x413ffe64,
    0xffb86ff9,0xfff50004,0x7ffdc01b,0x0fff4005,0x0003ffe2,0xff8805ff,
    0x3ffa204f,0xd07ffb02,0x777ec3ff,0x223fffed,0xffffffff,0x3fff223f,
    0x3f201fff,0xffffdeff,0x9ffff901,0x4ffffa80,0x7ffffe40,0xffffffff,
    0xfffffd7f,0xffffffff,0x8fffe67f,0xfb04fff9,0x7ffe83ff,0x3fffa800,
    0x0bffd300,0x5c37fd40,0x3a0e05ff,0x3f20d41f,0xffe884ff,0x90dff505,
    0xfb0089ff,0x262ea8bf,0x3ff66ffe,0x501fffef,0xffc81dff,0xdffff506,
    0xffdcff80,0x2aaaa601,0xaaaaaaaa,0x999972aa,0xd9999999,0x3ffe27ff,
    0x40fffe23,0x7ec0fffb,0x7fd4006f,0x7ec4001f,0x3ff2005f,0xb82ffe84,
    0x447fa1ef,0xfffc86fd,0x417ffa24,0x7cc1fff8,0xff7000ef,0x9ffea009,
    0x3ffd2ef9,0x7407ff60,0xfffd01ff,0x447fdc0f,0x000006ff,0x9ffdc000,
    0x3e22fff8,0x072e03ff,0x98003322,0x20000ded,0x3a003eeb,0x7ffcc1ff,
    0xda7ffe40,0x0efffa8f,0xe8cfffc8,0x3ff605ff,0x00fff444,0x001ffe98,
    0x7418fff5,0x0dff01ff,0xf9817fdc,0x7ff106ff,0x0001ffdc,0xff700000,
    0x3e17ffc7,0x000002ff,0x00000000,0x40eff980,0xfc884ffc,0xeffdfeef,
    0x7fffe402,0x3fea05ff,0x403ffc86,0x02ffffed,0xd013ffa0,0xdff103ff,
    0xf017fdc0,0x1ff609ff,0x00003ffa,0x7fdc0000,0xff07ffe3,0x0000005f,
    0x00000000,0x3a13fee0,0xff9101ff,0x64005dff,0x2205ffff,0x7fd41ffe,
    0xffffe806,0x7ec400cf,0x7ff400ff,0x740fff01,0xfff101ff,0x507ff305,
    0xfff909ff,0xffffffff,0x2000ffff,0x3ffe3ffb,0x000fff41,0x00000000,
    0xff980000,0x203ffd86,0x00bfffea,0x13fffe20,0x640fff98,0xcba804ff,
    0x100efffd,0xd003fffd,0x3ffa03ff,0x107ff882,0x3fa0bffd,0x907ffa06,
    0xffffffff,0x0fffffff,0xe8bbaa00,0x0fff40ff,0x00000000,0xe8000000,
    0x37fcc1ff,0xeffffea8,0x7c400cff,0x204fffff,0xffe84ffc,0x7ffc4001,
    0x1efffa82,0x203ffd00,0xc99bfffa,0x32a63fff,0xfa80ffff,0x1bfe602f,
    0x99999995,0x99999999,0x00000000,0x00000000,0x64000000,0x1ffe84ff,
    0x6c6fff54,0x0cfffc8f,0xfcdffe88,0x3ffa04ff,0x0077fcc1,0xf90fffa0,
    0x74001bff,0x3ff201ff,0x45ffffff,0x00cffffd,0xff900dff,0x4c000007,
    0x00000acb,0x77777773,0x26666677,0x99999999,0x01999999,0xa8000000,
    0x4ffc86ff,0x3fa2ffd8,0xd10dfd30,0x7ffe4bff,0x90dff504,0x7dc009ff,
    0xfffb11ff,0x03333339,0x2a00fff4,0x82ffffff,0x2e01cefd,0xff8801ff,
    0xd800000f,0x203fffff,0x3ee00ccb,0x6fffffff,0xffffffff,0xffffffff,
    0x0003ffff,0x7fc40000,0x07ffcc1f,0x07fa06c4,0x5ffe8859,0xb04fffc8,
    0x5ffd09ff,0xffeccde8,0x3fff25ff,0x7fffffff,0xfffffff1,0x4c40dfff,
    0x00002009,0x80000000,0xfffffffd,0xb80ffd04,0xeeeeeeee,0xfffffff5,
    0xffffffff,0x003fffff,0x7ec00000,0x02ffe83f,0x7400ffc0,0x3ff205ff,
    0x1fff882f,0xff07ffcc,0x1bffffff,0x7fffffe4,0xff17ffff,0xffffffff,
    0x0000000d,0x00000000,0x6d67ffc4,0x7fc44fff,0x2aa00007,0xaaaaaaaa,
    0xaaaaaaaa,0x000000aa,0x221bee00,0xff8005fd,0x805fa802,0x3bea05fc,
    0x360dfb81,0x80cceeee,0xccccccca,0x99914ccc,0x79999999,0x00000000,
    0x40000000,0x7fdc3ffb,0x4ffd99df,0x00000000,0x00000000,0x00980220,
    0x5002ee80,0x01401400,0x00000006,0x00000000,0x00000000,0x05ff9000,
    0xfffffff7,0x0000001f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xdd900000,0x3fffea01,0x000002ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x005eedc4,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__consolas_37_latin1_x[224]={ 0,7,4,0,2,0,1,8,5,4,2,1,4,4,
7,2,1,2,2,2,0,3,2,2,2,1,7,4,2,2,3,5,0,0,2,1,1,3,3,1,2,3,3,2,
4,0,2,1,2,1,3,2,1,1,0,0,0,0,2,6,2,5,2,0,0,2,2,2,1,2,0,1,2,3,
2,3,3,1,2,1,2,1,3,3,1,2,1,0,1,1,2,2,8,4,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,7,2,1,1,0,
8,2,0,0,4,2,2,4,1,0,3,1,4,4,0,2,1,7,7,4,3,2,0,0,0,3,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,1,0,0,0,0,0,2,2,0,0,
0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,2,0,
 };
static signed short stb__consolas_37_latin1_y[224]={ 27,1,1,3,-1,1,1,1,0,0,1,8,21,15,
21,1,3,3,3,3,3,3,3,3,3,3,8,8,7,12,7,1,1,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,1,0,3,31,1,8,1,8,1,8,1,8,1,1,
1,1,1,8,8,8,8,8,8,8,3,8,8,8,8,8,8,0,-3,0,13,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,27,8,-1,3,4,3,
-3,1,1,3,3,9,15,15,1,2,1,4,1,1,1,8,1,13,27,1,3,9,1,1,1,8,-3,-3,-3,-4,
-3,-5,3,3,-3,-3,-3,-3,-3,-3,-3,-3,3,-4,-3,-3,-3,-4,-3,9,-1,-3,-3,-3,-3,-3,3,1,1,1,
1,1,1,-1,8,8,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,7,4,1,1,1,1,1,1,1,
 };
static unsigned short stb__consolas_37_latin1_w[224]={ 0,6,12,20,17,20,20,5,11,11,16,18,10,12,
7,16,18,17,17,16,20,15,17,17,17,18,6,10,15,16,15,12,21,21,17,17,19,15,15,18,17,15,13,17,
14,20,17,19,17,20,16,17,18,18,21,20,20,21,17,10,17,10,17,21,13,16,17,15,17,17,19,18,16,15,
14,17,15,18,16,18,17,17,16,15,17,16,19,20,19,19,16,15,4,14,19,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,0,6,15,18,18,20,
4,16,17,21,13,16,16,12,18,15,14,18,12,12,18,18,18,7,6,12,14,16,20,20,20,12,21,21,21,21,
21,21,21,17,18,18,18,18,18,18,18,18,20,19,20,20,20,20,20,16,19,19,19,19,19,21,17,17,18,18,
18,18,18,18,20,15,19,19,19,19,18,18,18,18,18,18,19,19,19,19,19,18,18,18,18,18,18,20,17,20,
 };
static unsigned short stb__consolas_37_latin1_h[224]={ 0,27,9,24,33,27,27,9,35,35,16,18,13,4,
7,30,25,24,24,25,24,25,25,24,25,24,20,26,21,10,21,27,34,24,24,25,24,24,24,25,24,24,25,24,
24,24,24,25,24,31,24,25,24,25,24,24,24,24,24,35,30,35,12,4,8,20,27,20,27,20,26,27,26,26,
34,26,26,19,19,20,27,27,19,20,25,20,19,19,19,27,19,35,38,35,8,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,0,27,33,24,22,24,
38,31,8,25,18,16,9,4,17,7,13,23,15,15,8,27,31,7,6,15,18,16,26,26,26,27,30,30,30,31,
30,32,24,30,30,30,30,30,30,30,30,30,24,31,31,31,31,32,31,16,32,31,31,31,31,30,24,27,27,27,
27,27,27,29,20,25,27,27,27,27,26,26,26,26,27,26,27,27,27,27,27,20,27,27,27,27,27,34,34,34,
 };
static unsigned short stb__consolas_37_latin1_s[224]={ 254,240,186,59,201,232,232,250,23,11,18,
215,123,240,246,169,234,1,157,150,56,134,116,23,79,113,243,244,131,152,147,
230,106,1,95,61,137,121,77,201,214,232,220,41,80,232,38,19,132,43,175,
1,19,97,192,211,190,168,150,61,39,50,134,205,236,202,135,219,117,163,226,
136,138,176,170,208,192,133,169,36,194,21,152,20,167,235,113,92,72,174,55,
72,1,35,169,102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,
102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,254,247,185,
1,112,20,6,64,199,39,201,52,169,240,234,189,108,93,82,69,217,98,185,
246,243,95,186,1,96,117,155,243,114,103,81,41,147,21,80,63,224,186,205,
1,20,57,76,95,41,81,101,122,143,219,164,35,1,224,1,21,204,125,62,
174,59,58,39,155,1,136,181,185,212,192,77,97,77,39,20,58,117,1,191,
78,39,212,1,1,211,172,153,155,20,128,88,149, };
static unsigned short stb__consolas_37_latin1_t[224]={ 1,1,341,270,1,105,133,164,1,1,341,
320,341,29,200,73,219,295,245,219,295,219,219,270,219,270,164,40,295,341,295,
164,1,270,270,219,245,245,295,219,245,245,219,270,270,270,295,219,270,40,245,
219,295,219,245,270,270,270,270,1,105,1,341,351,341,295,164,295,164,295,192,
135,192,192,1,192,192,320,320,320,133,164,320,320,219,295,320,320,320,133,320,
1,1,1,351,245,245,245,245,245,245,245,245,245,245,245,245,245,245,245,245,
245,245,245,245,245,245,245,245,245,245,245,245,245,245,245,245,245,1,1,1,
245,295,245,1,40,341,219,320,341,341,29,320,351,341,295,341,341,341,164,40,
192,185,341,320,341,192,192,192,73,105,73,73,73,73,40,245,73,73,73,73,
105,105,105,105,105,245,40,40,40,40,1,40,341,40,40,73,73,40,73,245,
105,164,136,136,105,136,105,295,219,105,105,136,136,192,192,192,192,136,192,164,
164,164,133,164,320,164,164,164,133,136,1,1,1, };
static unsigned short stb__consolas_37_latin1_a[224]={ 325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_37_latin1_BITMAP_HEIGHT or STB_FONT_consolas_37_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_37_latin1(stb_fontchar font[STB_FONT_consolas_37_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_37_latin1_BITMAP_HEIGHT][STB_FONT_consolas_37_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_37_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_37_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_37_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_37_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_37_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_37_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_37_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_37_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_37_latin1_s[i] + stb__consolas_37_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_37_latin1_t[i] + stb__consolas_37_latin1_h[i]) * recip_height;
            font[i].x0 = stb__consolas_37_latin1_x[i];
            font[i].y0 = stb__consolas_37_latin1_y[i];
            font[i].x1 = stb__consolas_37_latin1_x[i] + stb__consolas_37_latin1_w[i];
            font[i].y1 = stb__consolas_37_latin1_y[i] + stb__consolas_37_latin1_h[i];
            font[i].advance_int = (stb__consolas_37_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_37_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_37_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_37_latin1_s[i] + stb__consolas_37_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_37_latin1_t[i] + stb__consolas_37_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_37_latin1_x[i] - 0.5f;
            font[i].y0f = stb__consolas_37_latin1_y[i] - 0.5f;
            font[i].x1f = stb__consolas_37_latin1_x[i] + stb__consolas_37_latin1_w[i] + 0.5f;
            font[i].y1f = stb__consolas_37_latin1_y[i] + stb__consolas_37_latin1_h[i] + 0.5f;
            font[i].advance = stb__consolas_37_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_37_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_37_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_37_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_37_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_37_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_37_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_37_latin1_LINE_SPACING
#endif

