// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_38_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_38_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_38_latin1_BITMAP_WIDTH         256
#define STB_FONT_consolas_38_latin1_BITMAP_HEIGHT        385
#define STB_FONT_consolas_38_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_38_latin1_FIRST_CHAR            32
#define STB_FONT_consolas_38_latin1_NUM_CHARS            224

#define STB_FONT_consolas_38_latin1_LINE_SPACING          25

static unsigned int stb__consolas_38_latin1_pixels[]={
    0x42aa8aaa,0x31000009,0xeeeeeeb8,0xdddd72ee,0x2005dddd,0x263edcb8,
    0x3b200019,0x00000bcd,0x00005544,0x00999980,0x20000000,0x000001a8,
    0x007dd000,0x10099800,0xfff01333,0x0bf53ffc,0xc8bf6000,0xffffffff,
    0xffffff93,0xff7007ff,0x7ffc9fff,0xfffb0001,0x900005ff,0x19dffffd,
    0x3ff60000,0x5fd8804f,0x0005fe88,0x300fffe6,0x1703bdd9,0x07ff1000,
    0x17fcc000,0xf82fffb8,0xfe9ffe7f,0x7ec0005f,0x3bbbae6f,0xff93fffe,
    0x05dddddd,0xeeffffb8,0x0007ffe3,0x7ffff764,0xffd30002,0x1dffffff,
    0xfffd8000,0x5fff7002,0x002fffb8,0x40ffffb0,0xcffffff9,0x8006fc89,
    0x00002ff9,0x7dc03ff2,0x27ff82ff,0x3ffe67ff,0xdff90004,0x27ff9001,
    0x88003ffc,0xff00dfff,0xb100003f,0xa8001fff,0x3261bfff,0xb0000eff,
    0x5c003dff,0x7fdc3fff,0xffd0002f,0xdff101ff,0xffffff97,0xff70007f,
    0x7f400003,0x07ffee06,0x47ff9ffe,0x4003fffa,0x9001fffb,0x0fff27ff,
    0x01bfee00,0x00003fff,0x800bffe2,0x2e01fff8,0xfd8005ff,0x744000df,
    0x05fe885f,0x17ffee00,0x7fec46a8,0xd95003ff,0x9dffffff,0x5de54400,
    0x3fee03ff,0x3e7ff81f,0x0fffb87f,0x05fff300,0xfc9ffe40,0xffc8003f,
    0x00fffc03,0x07ff9000,0x4007ff40,0x4c000ffc,0x00000019,0x03ca8000,
    0x40066200,0xffffffd8,0xb807ffff,0xffffffff,0x07ffee02,0x07ff9ffe,
    0x3a00bffb,0x7e4004ff,0x007ff93f,0xf803ffb0,0x200001ff,0xf9004ffb,
    0x3fe2007f,0x00000003,0x00000000,0x3e200000,0xfffdefff,0x36207fed,
    0xffffffff,0xfff502ff,0x7fcfff03,0x05fff107,0x000fffa8,0xffc9ffe4,
    0x1ffd8003,0x000fffc0,0x00bff500,0xe800dff1,0x0000006f,0x00000000,
    0x1aca8800,0x43dffd00,0xe880c5ff,0xfbacefff,0xfa82ffff,0x27ff81ff,
    0x3ff207ff,0x5fff100f,0x27ff9000,0xd8003ffc,0x7ffc01ff,0x2f7b6e60,
    0x0bff5000,0x8003ff70,0x332a0ffc,0x33322004,0x801332a1,0x32e1ccc8,
    0xcccccccc,0xffb802cc,0x00dfffff,0x7c45fff5,0xfff9004f,0xfffffa85,
    0x80fffa86,0x81ffe7ff,0xf903fff8,0x3f2000df,0x007ff93f,0xf803ffb0,
    0xffffb0ff,0xf5001dff,0x0dfd00bf,0x0ffd4204,0x2005fff5,0x3ea0fffa,
    0xff5002ff,0x7ffff41f,0x4fffffff,0x3ffff620,0x81ffffff,0x7fcc6ffc,
    0x3fff8803,0xfffbffc8,0x407ffd43,0x01ffe7ff,0x3fa0dff9,0xff90002f,
    0x000fff27,0xff007ff6,0xfffffb1f,0xa801ffff,0x7fd405ff,0x6fffec43,
    0xe83ff36e,0xffb005ff,0x00bffd0b,0xffd17ff6,0xffffffff,0x3ffa209f,
    0xffecacef,0x37fec2ff,0x3600bfea,0x2bff05ff,0x7fd46ffe,0x3e7ff80f,
    0x7ffcc07f,0x007ffcc0,0xf93ffc80,0xffd0007f,0xfefff801,0xfff710cf,
    0x05ffa809,0xfd307fe4,0x22bfffff,0x7ffdc2ff,0x17ffc400,0x2007ffdc,
    0x8002fff8,0xff904ffc,0x3ffea05f,0x717ffdc6,0xff8803ff,0x72ff982f,
    0x7fcc1fff,0x3e7ff80f,0x3ffe807f,0x0002ffdc,0x3ff27ff9,0x06ff8003,
    0x02fffff8,0x4c01fff7,0x37f406ff,0x3f6afffa,0x887ff13f,0x7dc03fff,
    0x7fff107f,0x007ffb80,0xf109ff90,0xffa807ff,0x3fffe62f,0xf500ff93,
    0x1ff901ff,0xf98bffe2,0x27ff80ff,0xffc807ff,0x0017ff46,0x3f27ff90,
    0x7fcc003f,0x1ffff804,0x80bffe20,0x3e01fff8,0xb93fea4f,0x213fe2ff,
    0x7f406ffd,0x1bff604f,0x0009ffd0,0x3f613ff2,0xdffb005f,0xeeffffb8,
    0x6ffb807f,0xfff8dfd0,0x7c1ffe64,0x201ffe7f,0x7ffc7ffa,0x3ff20001,
    0x2007ff93,0x801fffa8,0xfd803fff,0x7ffdc04f,0xd17fcc1b,0x0ffe41ff,
    0xfff509ff,0x07ffe203,0x101fffa8,0x20003fff,0x7fc44ffc,0xfff5002f,
    0xfffffc83,0x7fe400ef,0x743ff885,0x1ffe64ff,0x09993ffc,0x7c4fff30,
    0x320000ff,0x07ff93ff,0x0dfffff8,0x003fff00,0xf9009ff9,0x3eedffff,
    0xe8bff11f,0x40ffe0ff,0xff704fff,0x09fff00d,0x8001bfee,0x7fd44ffc,
    0xfff1000f,0xffffb305,0x3f603bff,0x41ffb84f,0x3fe65ffd,0x000fff07,
    0x7cc3ffe2,0x7e40007f,0x807ff93f,0x002effff,0x2e007ffe,0xfd1005ff,
    0x43feedff,0x3ffc3ffa,0x3f207ff1,0x07ffd07f,0x3a0fff90,0x320003ff,
    0x37fdc4ff,0x80fffa00,0xffffffd9,0x41fff40c,0x6ffc87fd,0x7fc1ffe2,
    0xfff10007,0x001ffea3,0x3f27ff90,0x7f6e403f,0xff800eff,0x6ffb801f,
    0x77ffe440,0x7dcff93c,0x897fe22f,0xfff102ff,0x00fff985,0x4c2fff88,
    0x20000fff,0x7fe44ffc,0x27fec005,0x3ffffea0,0x3ffa0eff,0xfc84ff84,
    0x41ffe25f,0x3e0007ff,0x0dff51ff,0x93ffc800,0x74c007ff,0xfff804ff,
    0x05ffb801,0x64067fdc,0x987ff67f,0x07fe64ff,0x7e45ffd8,0x3ff6005f,
    0x002ffe45,0xfb13ff20,0xffd8009f,0x4cffdc05,0x3fa5fffe,0x417fd44f,
    0x3fe24ffd,0x000fff07,0x7cc3ffe2,0x7e40007f,0x007ff93f,0xf807ff98,
    0xffc801ff,0xb03ff403,0x507fecdf,0x07fdc7ff,0x741fff50,0x3ea002ff,
    0x0bffa0ff,0x89ff9000,0x64003ffe,0x7fe406ff,0x6c3fff60,0x83fe45ff,
    0x3ba23ffe,0x000fff05,0x7c43ffe6,0x320000ff,0x07ff93ff,0x801fff00,
    0xfe801fff,0x17fe202f,0x3ff66fd8,0xfc8bfee1,0x33fff806,0xff000fff,
    0x01ffe67f,0xd13ff200,0xfc8007ff,0x23fec05f,0xffb2fff8,0xff05ff8d,
    0x7ff8005f,0x8fff5000,0x20001fff,0x7ff93ffc,0x03ffd000,0x4c01fff8,
    0x3ea00fff,0xd9bf605f,0x87ffa1ff,0xffc804fe,0x0009ffb6,0x3ff6dff9,
    0xffc80004,0x0027fec4,0xfd013ff6,0x2e9ffd0d,0x0ffe67ff,0x0007ffe6,
    0x2e000fff,0x17ffc6ff,0x27ff9000,0xd8003ffc,0x7ffc01ff,0x027fec01,
    0xfc817fea,0x7dcbff27,0x03ff52ff,0xff3fff10,0xff10003f,0x003fff3f,
    0xc89ff900,0x7ec005ff,0x22ffc03f,0xff32fff9,0x203fee7f,0x1ba87ffc,
    0x3ffcfff0,0x361fff40,0x320005ff,0x07ff93ff,0x803ffb00,0xf9101fff,
    0xffa801ff,0xf99fee05,0xffdefdff,0x36005ffd,0x006ffeff,0x3ffbff60,
    0xff900006,0x006ffc89,0xf1017ff4,0x0fffd89f,0x37f5bffe,0x7dc3fff8,
    0x27ff82ff,0x7fc407ff,0x07ffd40f,0x93ffc800,0xfb0007ff,0xffff803f,
    0xfffcbacd,0x5ffa802f,0xfe83fee0,0xfff99fff,0x7fd4006f,0x20003fff,
    0x03fffffa,0x89ff9000,0x3000fffb,0x26f63fff,0xb317ff30,0xffb89fff,
    0xfd84ffcf,0x5ffff86f,0x1ffe7ff8,0x3e0dff70,0xf90002ff,0x00fff27f,
    0xf007ff60,0xffffffff,0x2a003dff,0x3fea05ff,0x98737221,0xf8000adc,
    0x80007fff,0x0007ffff,0xf313ff20,0x3f2005ff,0x3ffffe7f,0xffffffff,
    0xffffd05f,0x7ffe443f,0x85ffff82,0x01ffe7ff,0x3f207ffd,0xff90005f,
    0x000fff27,0xff007ff6,0xbfffffdf,0x5ffa8007,0x000ffe60,0xfffc8000,
    0xffc80003,0x3600003f,0x5ffe84ff,0x7c7fff00,0xffffffff,0x2a03efff,
    0xeccfffff,0xf504ffff,0x4fff03ff,0x3fea07ff,0x5fff300f,0x27ff9000,
    0xd8003ffc,0x7ffc01ff,0x40001331,0x7f405ffa,0x20000006,0x0000fffc,
    0x000fffc8,0x20fff600,0x6c03fffa,0x765cc6ff,0x2cdefffe,0xfffff300,
    0x805fffff,0x4fff0098,0xfff107ff,0x06ffc805,0xf93ffc80,0xffb0007f,
    0x01fff805,0x13fee000,0x0003ff70,0x9fff1000,0xfff10000,0xfe800009,
    0x7fffd01f,0x05fff910,0x4000ffb0,0xeffffffa,0xff80001d,0x7e41ffe7,
    0xfff8806f,0x9ffe4003,0xc8003ffc,0x7ffc04ff,0x3f200001,0x2ffc403f,
    0x7ec00000,0xd80000ff,0x00000fff,0x4c03ffe6,0xecdfffff,0xd005ffff,
    0x7e4000bf,0x00009a9f,0xfff3ffc0,0x003fff30,0x8007ffea,0x7ff93ffc,
    0x1fff5000,0x000fffc0,0x02fff880,0x0004ffd8,0x0bfff200,0x3fff2000,
    0x7ec00002,0x7ff4405f,0x2fffffff,0x0013fe00,0x00005ff8,0xfff3ffc0,
    0x003fff88,0x8007ffec,0x7ff93ffc,0x3bffa000,0x01fff80a,0x7ffd4400,
    0x9fff3006,0x10172601,0x9fffd533,0xd5331000,0xc8009fff,0x3fa621bd,
    0xdc8800ff,0x01deffff,0x000ffe60,0x0001ffcc,0xff9ffe00,0x013ffa27,
    0x83bffa20,0xfffffffc,0xfffff93f,0xfa807fff,0x3e4fffff,0xfb0001ff,
    0x003fffff,0x677fff44,0x405ffeec,0x4ffffffe,0xffffd000,0xf90009ff,
    0xffffffff,0x2620007f,0x15510000,0x03ff2000,0xfff00000,0xbffd3ffc,
    0x7ff44000,0x3fffff25,0xfff93fff,0x007fffff,0x49ffffd3,0xb0001fff,
    0x001bffff,0xfffffd10,0xe805bfff,0x001effff,0x3bffffa0,0xfff70001,
    0x03dfffff,0x00000000,0x00000000,0xfff3ffc0,0x400037e4,0x332a2ff8,
    0x51cccccc,0x99999999,0x65d4c005,0x00033322,0x000d5e5c,0x5e65cc40,
    0x59b9000a,0x9b900003,0x71000035,0x00579db9,0x00000000,0x00000000,
    0x3ffcfff0,0x4c00002e,0x00000002,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x07ff9ffe,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x9ffe0000,
    0x000007ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x04cc9332,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xdb000000,0x01310009,0x2b2a2000,0x55300001,0x00000133,0x09ddd700,
    0xddb00000,0xdd50007d,0x36e0005d,0x0007b502,0x4cccccc4,0x540b6e00,
    0xeeeb803d,0x000c4004,0x09ff1000,0x6fffec40,0xfff70000,0x001bffff,
    0xfffffea8,0xec9802ff,0x800b81de,0x0005fffb,0x0bfff600,0x3fffee00,
    0x7fd4002f,0x0fffcc0f,0x7ff6dc40,0x03ffffff,0xf981fff5,0xffb801ff,
    0x3fea005f,0x00000bef,0x6c007ff3,0x004ffdff,0x7ffffec4,0x001fffff,
    0xfffffffb,0xff9805ff,0xc89cffff,0xffd3006f,0xfb00000b,0xf90003df,
    0x07fff7df,0x20fffdc0,0x5c02fffa,0xffffffff,0xf703ffff,0xfffa83ff,
    0xbffd3002,0x3fffea00,0x40000dff,0xf1002ffa,0x801fe21f,0xacefffe8,
    0x02ffffec,0x4d67ffe4,0x2201caa9,0xfffcbeff,0x2003ffff,0x0005ffd8,
    0x0013ff60,0xe886ffe4,0xfd1004ff,0x803bf60b,0xfffffffe,0x03ffeaab,
    0x3f60bfd1,0x3f62000e,0xfed9805f,0x002fffff,0x4007fee0,0x007fc6f9,
    0x502fffc8,0x7c40dfff,0x540002ff,0x7fffec46,0x03330003,0x02662000,
    0x80ccc400,0x00400199,0xffff9002,0x7ec1ffff,0x0200403f,0x00199800,
    0x1ffffd98,0x01ff9000,0x7e4dffc0,0x7fff1006,0x02fffb80,0x0000dff5,
    0x00019880,0x00000000,0x00000000,0x3ffe6000,0x20ffffff,0x00003ffd,
    0x40000000,0x000ffff9,0x02bffaa6,0x7ffffd40,0x0bffb002,0x541bff60,
    0x000007ff,0xca880000,0xa880001a,0x880001ac,0x80001aca,0xc801aca8,
    0xffffffff,0x30fff60f,0x26200133,0x004ccc09,0xa8009988,0x64403fff,
    0xffffffff,0x39d93005,0x0bffe200,0x40fffdc0,0x0004fff9,0x10013331,
    0xffb80133,0x00dfffff,0x7ffffdc0,0x5c000dff,0xdfffffff,0x7ffdc000,
    0xb00dffff,0xffffffff,0x21ffec1f,0xf5002fff,0x02fff8df,0x200dff50,
    0x3ea06ffe,0xffffffff,0x3331006f,0x3ffea001,0x5fff1000,0x037fff20,
    0x0dfffb00,0x220bff50,0xfffffffd,0xd8801fff,0xffffffff,0xfd8801ff,
    0xffffffff,0xffd8801f,0xffffffff,0xffffff81,0x3f60ffff,0x017ffc3f,
    0x7fc6ffa8,0xdff5002f,0x41fff200,0xfacffffa,0xf006dbdf,0x2e00ffff,
    0x7f4005ff,0xffff903f,0x7fec007f,0x7fd401ff,0xefffe885,0xffffecac,
    0x3fffa202,0xfffecace,0x3ffa202f,0xffecacef,0x3fa202ff,0xfecaceff,
    0x7ff42fff,0x0fffffff,0xfff0fff6,0x1bfea005,0x2a005fff,0xff7006ff,
    0x1dfff10f,0x8008ffe6,0x02fffffa,0x4005ffc8,0xffd84ffd,0x01efffff,
    0x05ffffd8,0x7e42ffd4,0xfff502ff,0x17ffe40d,0x206fffa8,0xf502fffc,
    0x7fe40dff,0xdfff502f,0xffffffc8,0x3ff60fff,0x8017ffc3,0x7ffc6ffa,
    0x0dff5002,0x361bff20,0x3fea0fff,0x7ffe4002,0xffd804ff,0x2ffec004,
    0x3627ffee,0x6c04ffff,0x201fffff,0x7fc45ffa,0x7ffd403f,0x03fff882,
    0x4417ffd4,0x7d403fff,0xfff882ff,0x17ffd403,0xfffffff7,0x1ffec1ff,
    0x5400bffe,0x17ffc6ff,0x806ffa80,0x7c45fff8,0x0ffdc2ff,0x3efffe00,
    0x3ffe807f,0x237fe400,0x7fd42fff,0xffb00eff,0x7d40bffb,0x02ffec5f,
    0xfd86ffd8,0xdffb005f,0x200bffb0,0xffd86ffd,0x8dffb005,0xfffffffe,
    0xf0fff60f,0x3ea005ff,0x017ffc6f,0x4c46ffa8,0x0ffffba9,0x7e43ffcc,
    0x3fea000f,0x402fff8e,0x64004ffe,0x1bfe65ff,0x837ffe44,0x0fffaffd,
    0x7c4bff50,0xff5002ff,0x17ffc43f,0x21fffa80,0x5002fff8,0x7fc43fff,
    0xfff5002f,0x7ffffcc3,0x3ff60fff,0x8017ffc3,0x7ffc6ffa,0x8dff5002,
    0xfffffffb,0xd86ffb82,0x7fe4007f,0xe809ffb3,0x7ec004ff,0x01bfea4f,
    0xfb07fff7,0x209ffb3f,0x3fea5ffa,0xfff1000f,0x007ffd45,0x2a2fff88,
    0xf1000fff,0x7ffd45ff,0x5fff1000,0xfffffe98,0xf0fff60f,0x3ea005ff,
    0x017ffc6f,0x7dc6ffa8,0x900dffff,0x0dff0bff,0xf71fff80,0x5ffd80ff,
    0x11ffec00,0xfb803fff,0x99ffd87f,0xffa80fff,0x001bfee5,0x7fdc7ffd,
    0x1fff4006,0xe800dff7,0x1bfee3ff,0x207ffd00,0x20ffffda,0x7ffc3ffd,
    0x8dff5002,0xf5002fff,0x0dffb8df,0xf86ffc80,0x3fea005f,0x807ffe26,
    0x74006ffc,0x2fffc2ff,0xb07ffe20,0x13ffa3ff,0xffc97fea,0x27fec005,
    0xd800bff9,0x17ff24ff,0x649ffb00,0x7ec005ff,0xd853004f,0x17ffc3ff,
    0x7c6ffa80,0xff5002ff,0x004ffb8d,0x7c41fff7,0x3ff2003f,0x7027ff44,
    0x26001fff,0x7fd41fff,0x17ff405f,0x7fd47ff6,0xb2ffd40f,0xfd8009ff,
    0x013ff65f,0x7ecbffb0,0x7fec004f,0x0013ff65,0x4000bffb,0x7ffc3ffd,
    0x8dff5002,0xf5002fff,0x03ffa8df,0x545fff50,0x3fe002ff,0x03ffdc1f,
    0x2007fff3,0xffb06ffc,0x3ffe03df,0xfd0ffec1,0x25ffa87f,0x64003ffe,
    0x0fffa6ff,0x74dff900,0x7e4003ff,0x00fffa6f,0x000dff90,0x3fe1ffec,
    0xdff5002f,0x5002fff8,0x3ffa8dff,0x4bfff100,0xf5001ffb,0x3fff30ff,
    0x802fff40,0x3f203fff,0x7fdc3fff,0x2e1ffd86,0x2ffd47ff,0xc8007ffd,
    0x0fffa5ff,0x74bff900,0x7e4003ff,0x00fffa5f,0x000bff90,0x3fe1ffec,
    0xdff5002f,0x5002fff8,0x2ee98dff,0x57fff200,0xf9000ffc,0x13ffa09f,
    0x404fffb8,0x5400fffd,0xfbaeffff,0x1ffd81ff,0xff517ffc,0x0027fecb,
    0xffd93ff6,0x27fec004,0xd8009ffb,0x13ff64ff,0x009ffb00,0x3e1ffec0,
    0xff5002ff,0x002fff8d,0x0000dff5,0x3bbfffe2,0x7c16e67f,0xfff902ff,
    0x5ffffc40,0x1fffec40,0xffffc880,0xffb03fff,0x2a6ffb83,0x17ff25ff,
    0x647ffb00,0x7ec005ff,0x017ff23f,0x7e47ffb0,0x7fec005f,0x3ff60003,
    0x8017ffc3,0x7ffc6ffa,0x0dff5002,0x7ffcc000,0xffffffff,0x207ffa86,
    0x2601fff9,0xecefffff,0x8004ffff,0x02ffffe9,0xff107ff6,0xc97fea5f,
    0x7f4006ff,0x01bff22f,0x7e45ffd0,0x7ff4006f,0x001bff22,0x40005ffd,
    0x7ffc3ffd,0x8dff5002,0xf5002fff,0x001770df,0xfffffb10,0xf90dffff,
    0x4fff80bf,0x7ffffcc0,0x003fffff,0x037ffdc0,0xff903ffb,0xfb97fead,
    0xff3000ff,0x07ffdc3f,0x21fff980,0x3000fffb,0x7fdc3fff,0xfff3000f,
    0x7fec0003,0x8017ffc3,0x7ffc5ffb,0x8bff7002,0x0000effe,0x57bdff91,
    0x26fffe01,0xfd999999,0xfeb8806f,0x001cffff,0x03fff500,0x3e207ff6,
    0x25ffa9ff,0x9002fff9,0xfff98fff,0x8fff9002,0x9002fff9,0xfff98fff,
    0x0fff9002,0x41ffe800,0xf9003ffd,0x03ffd89f,0x7d49ff90,0x20002fff,
    0xfa803ff9,0xffffffff,0x01ffffff,0x001ffea0,0x81fff400,0xff901ffd,
    0xfe8bff5b,0x7fff005f,0x200bffd0,0xffe83fff,0x07fff005,0x3e00bffd,
    0x7c0003ff,0x2ffe40ff,0x642ffe80,0xffd005ff,0x17fffcc5,0x05ff5000,
    0xffffff90,0xffffffff,0xfff8009f,0x7cc00002,0x3ffb01ff,0x3efffe60,
    0x1fffd45f,0x541bff60,0x7ec03fff,0x7fff506f,0x506ffd80,0xfd807fff,
    0x2e00206f,0xfffb87ff,0x07ffd400,0x5003ffee,0xffd81fff,0x7fdc0005,
    0xeefff801,0xeeeeeeee,0x74006ffe,0x010606ff,0x6c0fffb0,0x3ff601ff,
    0xffe85ffe,0xfffc883f,0x0ffffa02,0x80bfff22,0xc883fffe,0x3fa02fff,
    0xffc883ff,0x40bb602f,0xfd02fffa,0x3fea03df,0x3dffd03f,0x40fffea0,
    0xfc800019,0x0fffa807,0x03fff500,0x67fffd40,0x360feb99,0xecbaabde,
    0x3f603fff,0x3ffe601f,0xfff985ff,0xfffecdff,0x7ffcc05f,0xfffecdff,
    0x7ffcc05f,0xfffecdff,0x7ffcc05f,0xfffecdff,0x3ffee05f,0xfffecbde,
    0x3fffea06,0xfffecacd,0x3fffea06,0xfffecacd,0xd8000006,0x5ffc807f,
    0x01fffc00,0x3fffff20,0x3f64ffff,0xffffffff,0x0ffec03f,0x17ffffa0,
    0x7fffff44,0x1002ffff,0xfffffffd,0x3a2005ff,0xffffffff,0xffd1002f,
    0x5fffffff,0xffffe980,0x00dfffff,0x7fffffdc,0x400dffff,0xfffffffb,
    0x0000dfff,0x805ff800,0x6c002fff,0xfb8006ff,0x0cffffff,0x3ffffff2,
    0xfd800cff,0x7ffd401f,0x3f72205f,0x001defff,0x7fffee44,0x644001de,
    0x1deffffd,0x7fee4400,0x2001deff,0xefffffda,0x3fb62002,0x002effff,
    0x3ffffb62,0x000002ef,0xf5013fe0,0xfa8001ff,0xa88001ff,0x2200accb,
    0x40009a99,0xfe801ffd,0x262005ff,0x26200000,0x26200000,0x26200000,
    0x19880000,0x01330000,0x00266000,0x32200000,0x2ffe402c,0x1fffc400,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x000fbbb6,0x0005ddd5,0x44000000,
    0x7001aaba,0x00f6a05b,0x3eeed800,0xdddb0000,0x3bbae007,0x3aa00004,
    0x000002ee,0x75400266,0x6dc002ee,0xd887b502,0x133310df,0x2fffd800,
    0x7fffdc00,0x764c002f,0x000b81de,0x7ffffecc,0xf501dfff,0xfff981ff,
    0xffd80001,0xfb00002f,0xfb8005ff,0xb80005ff,0x002fffff,0x04ffb800,
    0x2fffffb8,0x81fff500,0x3f61fff9,0x7fff95ff,0x0f7fec00,0x2fbff200,
    0xf3003fff,0x139fffff,0x7dc00df9,0xffffffff,0xfff703ff,0x02fffa83,
    0x0f7fec00,0xeffd8000,0xffd30001,0x7fe4000b,0x003fffbe,0x00fff400,
    0x3fefbff2,0xfffb803f,0xd17ffd41,0x3ff2dfff,0x9ffb003f,0x1bff9000,
    0x1013ffa2,0xfff97dff,0x1007ffff,0x59dffffb,0x207ffb97,0xdfb05fe8,
    0x7fec0001,0x3f600004,0xd880004f,0xfc8005ff,0x9ffd10df,0x3fe60000,
    0x86ffe406,0x4404ffe8,0x1dfb05fe,0xfba7ffe4,0x998802ff,0x19988000,
    0xd5003330,0x3ffffd88,0x1dfffb00,0x02015c40,0x98800010,0x22000009,
    0x40000099,0x4c400199,0x00333019,0x80bff600,0x33301998,0x10100200,
    0x3fee19d9,0x0000002f,0x44000000,0x3fe60019,0x0000004f,0x00000000,
    0x00000000,0x00000000,0x00fff100,0x00000000,0x21fffa80,0x31000999,
    0x00999813,0x00013310,0x1bff6000,0x4cc40000,0x31000009,0x26200133,
    0x33300019,0x26666601,0x99999999,0x13331000,0xffb80000,0x4ccccc03,
    0x99999999,0x33333300,0x13333333,0x21fffa80,0xf5002fff,0x02fff8df,
    0x200dff50,0x20009998,0x0002fffa,0x0fffff00,0x3fffe000,0x5fff9007,
    0x3fff9800,0xffffff98,0x3fffffff,0x0fffff00,0x0fff8000,0x3ffffe60,
    0xffffffff,0xfffff983,0xffffffff,0xff98f323,0x00bffe0f,0x3fe37fd4,
    0xdff5002f,0x1ffffe00,0x006ffc80,0xffff5000,0xfa80005f,0x8802ffff,
    0x74006fff,0xfff306ff,0xffffffff,0xff5007ff,0x00005fff,0xf3017fea,
    0xffffffff,0xf307ffff,0xffffffff,0x7fc7ffff,0xf83ffe67,0xff5002ff,
    0x002fff8d,0xf500dff5,0x2005ffff,0x00004ffd,0x9fffff90,0xfffc8000,
    0xff7004ff,0x3fea007f,0x9fff302f,0x99999999,0xfff90059,0x200009ff,
    0x7cc01ffe,0xccccccff,0xf982cccc,0xccccccff,0x3fe2cccc,0xff0aaa27,
    0x3fea005f,0x8017ffc6,0xfc806ffa,0xd004ffff,0x000007ff,0x1ffefffe,
    0xf7fff000,0x7ff400ff,0x5ffe800f,0x001ffe60,0xff7fff00,0xff30000f,
    0x0fff300d,0x07ff9800,0x200fff00,0xf5002fff,0x02fff8df,0xf00dff50,
    0x00fff7ff,0x0000bffe,0x3e3bfea0,0xf50002ff,0x05fff1df,0x013ffea0,
    0x4c03fff5,0x200007ff,0xfff8effa,0x7fe40002,0x07ff9803,0x03ffcc00,
    0x7ec7ff80,0x00bffe2f,0x3fe37fd4,0xdff5002f,0xf8effa80,0x7fc402ff,
    0xc800001f,0x09ffb3ff,0x6cfff200,0x3f6004ff,0x3ffa00ff,0x03ffcc04,
    0x27ff9000,0x20004ffd,0xf3007ff8,0xf98000ff,0xff88007f,0xff07ffc7,
    0x3fea005f,0x8017ffc6,0x7e406ffa,0x809ffb3f,0x0001fff9,0xf71fff80,
    0x3fe000ff,0x00fff71f,0xb827ffcc,0x7cc00fff,0x3e00007f,0x0fff71ff,
    0x027fdc00,0x0007ff98,0x4003ffcc,0x3fe67ff8,0x8017ffc5,0x7ffc6ffa,
    0x0dff5002,0xff71fff8,0x2fff880f,0x7fd40000,0x007ffe26,0x7c4dff50,
    0x3f2001ff,0x3fff81ff,0x007ff980,0x44dff500,0xd0001fff,0x3e6001ff,
    0x7cc0007f,0xff88007f,0xf87ff50f,0xff5002ff,0x002fff8d,0x7d40dff5,
    0x07ffe26f,0x0007fff0,0x744ffc80,0x7e4004ff,0x027ff44f,0xb8bfff10,
    0xff3007ff,0x3f20000f,0x027ff44f,0x002ffd40,0x8000fff3,0x88007ff9,
    0x3ff90fff,0x5002fff8,0x2fff8dff,0x40dff500,0x7ff44ffc,0x027ffc04,
    0x07ffe000,0xf800fff7,0x3ffdc1ff,0x47ffee00,0x3002fff8,0x20000fff,
    0x7fdc1fff,0x2ffd8007,0x01ffe600,0x00fff300,0x2a1fff10,0x02fff83b,
    0xff8dff50,0xdff5002f,0x2e0fffc0,0x7ff407ff,0x3ea00006,0x1fff987f,
    0x30fff500,0xe8003fff,0x0dff75ff,0x7ffffcc0,0xffffffff,0x30fff500,
    0x44003fff,0x7cc006ff,0xffffffff,0xf980ffff,0xffffffff,0xff30ffff,
    0x5fff001f,0xf1bfea00,0x3ea005ff,0x0fff506f,0x5c03fff3,0x00002fff,
    0x3fa09ff9,0x9ff9004f,0x0013ffa0,0xfff5fff5,0x7ffcc003,0xffffffff,
    0x9ff900ff,0x8013ffa0,0x4c003ffc,0xffffffff,0x980fffff,0xffffffff,
    0xf30fffff,0xfff003ff,0x1bfea005,0x2a005fff,0x9ff906ff,0x8813ffa0,
    0x00006fff,0x3f205fff,0x5fff007f,0x001fff20,0x17fffffa,0xddfff300,
    0xdddddddd,0x40bffe01,0x3e007ffc,0x7cc000ff,0xeeeeeeff,0xf980eeee,
    0xeeeeeeff,0xff30eeee,0x5fff003f,0xf1bfea00,0x3ea005ff,0x05fff06f,
    0xf901fff2,0x40001bff,0x3e607ffa,0x7fd401ff,0x07ffe607,0xfffff300,
    0x7ff98001,0x3ffd4000,0x003fff30,0x30009ff5,0x98000fff,0xf98007ff,
    0xfff801ff,0x8dff5002,0xf5002fff,0x0fff50df,0x100fffcc,0x015dfffd,
    0x3ff20f66,0x027ffc05,0xff017ff2,0xffb0009f,0xff30009f,0xffc8000f,
    0x027ffc05,0x4000fff4,0x40007ff9,0x98007ff9,0xff801fff,0xdff5002f,
    0x5002fff8,0xbff90dff,0x404fff80,0xefffffe8,0x83fffedd,0x9999bfff,
    0x06ffd999,0x4ccdfffc,0x6ffd9999,0x0fff9800,0x07ff9800,0x4dfffc00,
    0xfd999999,0x37fcc06f,0x07ff9800,0x03ffcc00,0x017ffd40,0xb8017ffc,
    0x17ffc5ff,0xf85ffb80,0x99999bff,0x806ffd99,0xffffffe8,0x543fffff,
    0xffffffff,0x1fffffff,0xffffff50,0xffffffff,0xff98003f,0xff98000f,
    0x3fea0007,0xffffffff,0x201fffff,0x30002ffc,0x98000fff,0xfa8007ff,
    0xffd802ff,0x89ff9003,0xf9003ffd,0xffffa89f,0xffffffff,0x93001fff,
    0x7bdfffff,0xffffc813,0xffffffff,0xff904fff,0xffffffff,0x009fffff,
    0x000fff98,0x0007ff98,0x3ffffff2,0xffffffff,0x0fff104f,0x03ffcc00,
    0x01ffe600,0x00bffea0,0x74017ff2,0x2ffe42ff,0x642ffe80,0xffffffff,
    0x4fffffff,0x067fec00,0x7777ffc0,0xeeeeeeee,0xdfff06ff,0xdddddddd,
    0x800dffdd,0x8000fff9,0x20007ff9,0xeeeeefff,0xffeeeeee,0x009ff706,
    0x003ffcc0,0x001ffe60,0x200bffea,0x5400fffb,0x7fdc0fff,0x7ffd400f,
    0x7777ffc0,0xeeeeeeee,0x7f4006ff,0xfffa800f,0x3fff5000,0x000fffa8,
    0x4003fff5,0x8000fff9,0x50007ff9,0x2a001fff,0xffe81fff,0x3fe60000,
    0x7fcc0007,0xccc98007,0x3dffd001,0x40fffea0,0xf501effe,0xfffa87ff,
    0x3fff5000,0x01bfe200,0x2002ffe4,0x7fe43fff,0x1fffc005,0x01fff300,
    0x00fff300,0x0017ff20,0xffa87fff,0x7fcc0005,0x7fcc0007,0x20000007,
    0xacdffffa,0x206fffec,0xacdffffa,0xc86fffec,0x7fc005ff,0x9ff5003f,
    0x00bffe00,0xff8dffb0,0x7fec002f,0x3ffe6006,0xfff98000,0xeeeeeeee,
    0x0bffe2ee,0xd8dffb00,0x4c0001ff,0xeeeeefff,0x982eeeee,0xeeeeefff,
    0x002eeeee,0xfffffb80,0x00dfffff,0x7fffffdc,0xf80dffff,0x7ec002ff,
    0x3ff9006f,0x01fff500,0x51fffa80,0xa8001fff,0xf3001fff,0xf30001ff,
    0xffffffff,0x3ea7ffff,0x7d4000ff,0x0dff31ff,0xffff3000,0xffffffff,
    0xffff307f,0xffffffff,0x2200007f,0xefffffed,0x3fb62002,0x502effff,
    0xa8001fff,0xa9801fff,0x0bff9002,0x27fff100,0x88005ffc,0xf3003fff,
    0xf30001ff,0xffffffff,0x3f27ffff,0xff88005f,0x007ff93f,0xfffff300,
    0xffffffff,0xfffff307,0xffffffff,0x26000007,0x33000009,0x0bff9001,
    0x07fff100,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x03eeed80,0x0013bbae,0x00001998,
    0x0013bbae,0x3eeed800,0x0bbbaa00,0x2a05b700,0x764c003d,0x2aa6001c,
    0x01331000,0x00000000,0x33330000,0x06666201,0xffb00000,0xfff7005f,
    0x3ff6000b,0x3ee00002,0x800005ff,0x2002fffd,0x02fffffb,0x981fff50,
    0xf7001fff,0x9805ffff,0x404ffffe,0xb100fff8,0x0bfd10bf,0xe885fd88,
    0x7ec0005f,0x3f6204ff,0x000004ff,0x4003dffb,0x8005ffe9,0x00005ff9,
    0x002fff4c,0x03dffb00,0x7df7fe40,0xffb803ff,0x17ffd41f,0x5cdffc40,
    0xfff100ff,0x6409ffff,0x3fee02ff,0x17ffdc2f,0xb85fff70,0xb0002fff,
    0x2e005fff,0x00004fff,0x80027fec,0x8005ffd8,0x00000ffe,0x002ffec4,
    0x0027fec0,0x74437ff2,0x7f4404ff,0x001dfb05,0x02fe8bf7,0x3fa65ffb,
    0x05ffa80f,0x2e1fffdc,0x3ee02fff,0x7ffdc3ff,0xeffd8002,0x7ffcc001,
    0x33100004,0x33300001,0x09ff7000,0x06660000,0x01331000,0x30199880,
    0x10020033,0x3a2fdc00,0xb8bff02f,0x7ff442ff,0x42ff4400,0x74405fe8,
    0x05fe885f,0x00dffd80,0x09ffb100,0x00000000,0xfff88000,0x00000000,
    0x00000000,0x00000000,0xff739ff1,0x987ff301,0x1ffe43ff,0x00000000,
    0x06660000,0x00ccc000,0x4cccccc0,0x09999999,0x01333100,0x007ff900,
    0x4ccccc40,0x99999999,0x99999880,0x99999999,0x99999880,0x99999999,
    0x99999880,0x99999999,0xffffb800,0x87ff302f,0x3fe63ff8,0x00000005,
    0x00000000,0x26000000,0xffffffff,0x003fffff,0x000fffff,0x4000dff3,
    0xfffffffe,0x85ffffff,0xfffffffe,0x85ffffff,0xfffffffe,0x85ffffff,
    0xfffffffe,0x05ffffff,0x4039d930,0x7fd45ff8,0x0003ffa2,0x00000000,
    0x00000000,0xffff9800,0xffffffff,0xfffa803f,0xfd8002ff,0xffd0001f,
    0xffffffff,0xffd0bfff,0xffffffff,0xffd0bfff,0xffffffff,0xffd0bfff,
    0xffffffff,0x0000bfff,0xfe87ffe0,0x007ff90f,0xefeecb98,0x666400cd,
    0x02664400,0x5e77edcc,0xfdb98000,0xf9800bce,0xccccccff,0xc802cccc,
    0x004fffff,0x0005ffa8,0xffb99997,0x0599999f,0xffb99997,0x0599999f,
    0xffb99997,0x0599999f,0xffb99997,0x0599999f,0x77f765cc,0xfff500cd,
    0x3e67fffd,0x7ff4006f,0xffffffff,0x007ffe04,0x6c40fff3,0xffffffff,
    0xfffb1002,0x805fffff,0x00007ff9,0x3ffdfffc,0x00fff800,0x1fff3000,
    0x7ffcc000,0x3fe60000,0x3e60000f,0x3fa000ff,0xffffffff,0xffff904f,
    0x00fff49f,0x3bffffe0,0x04fffffe,0xf9803fff,0xfffd307f,0x9ffffd9d,
    0xefffe980,0x04ffffec,0x0001ffe6,0xff8effa8,0xffb8002f,0xff300003,
    0x7cc0001f,0x260000ff,0x20000fff,0x2000fff9,0xfeefffff,0x5304ffff,
    0x27fdc179,0x4056fc00,0xf81fffe9,0x7fcc01ff,0x01dffd07,0x7403fffb,
    0xffd80eff,0x0fff301f,0x9ffe4000,0x88004ffd,0x300007ff,0x40001fff,
    0x0000fff9,0x0003ffe6,0x000fff98,0x3a602b7e,0x22001fff,0x000006ff,
    0x3e0fffe2,0x7fcc01ff,0x406ffb87,0xff706ffd,0x06ffd80d,0x0000fff3,
    0xffb8fffc,0x5ffb0007,0xfff30000,0x7fcc0001,0x3e60000f,0x260000ff,
    0x00000fff,0x001fffc4,0x00003ffd,0xf85ffd80,0x7fcc01ff,0x401fff87,
    0xff81fff8,0x7ffc401f,0x007ff981,0x44dff500,0x98001fff,0x980006ff,
    0x20000fff,0x0000fff9,0x0003ffe6,0x000fff98,0x05ffd800,0x0009ff70,
    0x0dff7000,0xf9803fff,0x037fd47f,0x7d42ffe8,0x5ffd006f,0x000fff30,
    0xfd13ff20,0x3fa0009f,0x7cc0001f,0x260000ff,0x20000fff,0x0000fff9,
    0x0003ffe6,0x01bfee00,0x0001bfe2,0x437fd400,0x7cc01fff,0x02ffdc7f,
    0x7dc3ffd8,0x7ffb005f,0x000fff30,0xf707ffe0,0x3ea000ff,0x7cc0004f,
    0x260000ff,0x20000fff,0x0000fff9,0x0003ffe6,0x01bfea00,0xedb87ff6,
    0x3726002c,0xfffffffe,0x401fff86,0x7fe47ff9,0xeeeeeeef,0x644fffee,
    0xeeeeefff,0x4fffeeee,0xffffff98,0x0fffffff,0xf30fff50,0x3e0003ff,
    0x260000ff,0x20000fff,0x0000fff9,0x0003ffe6,0x000fff98,0xfffedc98,
    0x5406ffff,0xfffd14ff,0xfd980bff,0xffffffff,0x1fff86ff,0x363ffcc0,
    0xffffffff,0x5fffffff,0x7fffffec,0xffffffff,0xffff985f,0xffffffff,
    0x09ff900f,0x40013ffa,0x20003ffc,0x0000fff9,0x0003ffe6,0x000fff98,
    0x003ffe60,0xfffffd98,0x06ffffff,0x7ec3ffe2,0x02fffddf,0x99dffff3,
    0x0dffb999,0xf9803fff,0x77ffec7f,0xeeeeeeee,0x7fec3eee,0xeeeeeeef,
    0x983eeeee,0xeeeeefff,0xf00eeeee,0x3ff205ff,0xdff10007,0x7ffcc000,
    0x3fe60000,0x3e60000f,0x260000ff,0xf3000fff,0x9999dfff,0x6c0dffb9,
    0x49ff32ff,0xffd06ff8,0x37fd403d,0x2600fffc,0x27fe47ff,0x27fe4000,
    0x7ff98000,0x3ffd4000,0x003fff30,0x000bff60,0x0007ffcc,0x001fff30,
    0x007ffcc0,0x01fff300,0x807bffa0,0xff506ffa,0x3a07fdcb,0x1fff987f,
    0x7c37fd40,0x7fd401ff,0x0037fdc7,0x0037fdc0,0x007ff980,0x202ffe40,
    0x50004fff,0x26000bff,0x20000fff,0x0000fff9,0x0003ffe6,0x800fff98,
    0x5401fff9,0xfff886ff,0x3f21ff60,0x03ffd40f,0x7f437fdc,0x3ffa203f,
    0x007ffd47,0x03ffea00,0x1ffe6000,0x37fff000,0xfb333333,0x7f4000df,
    0xff98000f,0x3e60000f,0x260000ff,0x20000fff,0xa800fff9,0xffb807ff,
    0x642ffc86,0x07fe40ff,0xf501ffee,0xbffb0dff,0x43fffec0,0x80005ffe,
    0x80005ffe,0x20007ff9,0xfffffffa,0xffffffff,0x9ff70001,0x1fff3000,
    0x7ffcc000,0x3fe60000,0x3e60000f,0xffb800ff,0x37ffd407,0x3ee17fe6,
    0x4c37f42f,0xfd882fff,0xffc86fff,0x7fff441f,0xcfffa87f,0x3fea0000,
    0x260000cf,0x320007ff,0xffffffff,0x4fffffff,0x0fff1000,0x01fff300,
    0x07ffcc00,0x1fff3000,0x7ffcc000,0x2fff9800,0x6ffffd88,0x7cc07ff4,
    0x3ffc9bef,0x75bfffd0,0xdffdfffb,0x7dffff10,0xfff7fff9,0x33ffffa0,
    0x5edcaaab,0x33ffffa0,0x5edcaaab,0x000fff30,0x77777ffc,0xfeeeeeee,
    0x3f20006f,0x7fcc002f,0x3e60000f,0x260000ff,0x20000fff,0xd000fff9,
    0xfb75bfff,0x64dffdff,0x3ff203ff,0x2a06ffff,0xffffffff,0x906ff8bf,
    0xffffffff,0xfc81ffe5,0xffffffff,0x7fe405ff,0xffffffff,0x0fff305f,
    0x03ffea00,0x00fffd40,0x006ff980,0x0007ffcc,0x001fff30,0x007ffcc0,
    0x01fff300,0x3ffffea0,0xff8bffff,0x700dff36,0x3009ffff,0x1bfffffb,
    0xfa81bfe2,0x3e1dffff,0x7f6cc07f,0x2dffffff,0xfffed980,0x302dffff,
    0x32000fff,0x7fc005ff,0x3fa0003f,0x3fe6001f,0x3e60000f,0x260000ff,
    0x20000fff,0x2000fff9,0xdfffffd9,0x000dff10,0x33000188,0x33100001,
    0x54c00001,0x4c000099,0xf980099a,0xeeeeeeff,0x3fe2eeee,0x7fec002f,
    0x3fea0006,0xddddd905,0xdddddfff,0xddddd909,0xdddddfff,0xddddd909,
    0xdddddfff,0xddddd909,0xdddddfff,0x00133009,0x00000000,0x00000000,
    0x00000000,0xfffff300,0xffffffff,0x003ffea7,0x003fff50,0x7407ffc0,
    0xffffffff,0xe85fffff,0xffffffff,0xe85fffff,0xffffffff,0xe85fffff,
    0xffffffff,0x005fffff,0x00000000,0x00000000,0x00000000,0x7fcc0000,
    0xffffffff,0xbff93fff,0x7fff1000,0x1ffdc000,0x7ffffff4,0x5fffffff,
    0xffffffe8,0x5fffffff,0xffffffe8,0x5fffffff,0xffffffe8,0x5fffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x4004cccc,0x4c000008,0x99800009,0x00000000,0x13333000,0x00133000,
    0x01aa9880,0x00666620,0x00008800,0x98800000,0x00000199,0x80004cc4,
    0x5404fffd,0x1d83fffe,0x0ffff200,0x3fffc800,0x42fec400,0x80005fe8,
    0x8004fffd,0x8003fffc,0xfffffffa,0x7fec400b,0x7540004f,0x01d83fff,
    0xe885fd88,0xffd8805f,0x2000004f,0xd8006ffa,0x7d402fff,0xaaefffff,
    0xff9006fd,0x90007fff,0x007fffff,0x2e17ffdc,0x20002fff,0x8002fffd,
    0x03fffffc,0xfffffd10,0x200dffff,0x0004fffb,0xdffffff5,0x700dfb55,
    0xffb85fff,0xfff7002f,0x2a000009,0x7ec006ff,0x7fc401ef,0xfffffbad,
    0xffc802ff,0x003ffe9d,0x3fa77ff2,0xfff7003f,0x02fffb87,0x03dffb00,
    0xd3bff900,0xffb007ff,0xffb7357f,0x3fe6009f,0x7fc4004f,0xfffffbad,
    0xffb802ff,0x17ffdc3f,0x09fff300,0xdff50000,0x06ffec00,0x7e445980,
    0xfc802eff,0x0fff624f,0xd893ff20,0xfe8803ff,0x005fe885,0x001bffb0,
    0x6c49ff90,0x3fee03ff,0x0fffb00f,0x027fec40,0xff911660,0x3a2005df,
    0x05fe885f,0x04ffd880,0x37fd4000,0x00033300,0x26000880,0x00333019,
    0x06660333,0x40000000,0x26000199,0x40333019,0x3e603ffd,0x4cc000ff,
    0x04400001,0x00000000,0x00001998,0x00037fd4,0x00000000,0x00000000,
    0x00000000,0x80000000,0x3e201fff,0x000000ff,0x00000000,0x00000000,
    0x01bfea00,0x00000000,0x00000000,0x00000000,0x00000000,0x901ffe20,
    0x00000dff,0x00000000,0x00000000,0x06ffa800,0x3bfbb2e6,0x973000cd,
    0x019bdfdd,0x3fbb2e60,0x4c000cde,0x00bcefdb,0xcefdb980,0xdca8000b,
    0x0000bcef,0x179dfb95,0x703ffcc0,0x73005fff,0x19bdfdd9,0xefdca800,
    0x950000bc,0x00179dfb,0x91003332,0x6e544099,0x06ffccee,0xfffffffd,
    0xfe809fff,0xffffffff,0x7fff404f,0x4fffffff,0xffffd880,0x1002ffff,
    0xfffffffb,0x3fa6005f,0x3fffffff,0x3fffa600,0x303fffff,0x3ff60fff,
    0xfffe803f,0x4fffffff,0xffffe980,0x2003ffff,0xffffffe9,0xfff803ff,
    0x83ffcc01,0xfffffffc,0xfff06fff,0xffffddff,0x7fffc09f,0xfffffeef,
    0x3ffffe04,0x4fffffee,0x3bfffa60,0x04ffffec,0x677fff4c,0x404ffffe,
    0xfefffffb,0xb805ffff,0xffefffff,0xff985fff,0x02fffd87,0xddfffff0,
    0x409fffff,0xfefffffb,0xb805ffff,0xffefffff,0x7fc05fff,0x3ffcc01f,
    0x3bffffa6,0x06fffffe,0xfd3015bf,0x2b7e03ff,0x1fffe980,0xd3015bf0,
    0x3fa03fff,0xfffd80ef,0x03bffa01,0x5407fff6,0x74c1dfff,0x3ea03fff,
    0x7f4c1dff,0x3ffcc3ff,0x8007ffee,0xfe980adf,0xfffa81ff,0x7fff4c1d,
    0x37ffea03,0x1ffff4c1,0x9803fff0,0x7fff47ff,0x37fecc0a,0x7fff1000,
    0x7ffc4000,0x3fe20003,0x06ffb83f,0xfb837fec,0x37fec06f,0x6c04ffe8,
    0xffd00fff,0x0fffd809,0xffb1ffe6,0xf1000009,0x9ffd07ff,0x00fffd80,
    0xfd809ffd,0x3fff00ff,0x2e7ff980,0x3ea00eff,0x7ec0006f,0x7ec0005f,
    0x7ec0005f,0x01fff85f,0x7c0fffc4,0x7fc401ff,0x03ffdc1f,0x5c1fffc4,
    0xff8807ff,0xd1ffe63f,0x000007ff,0xff717ff6,0x7fff100f,0x100fff70,
    0x3fe07fff,0xbffcc01f,0x5401fff8,0x5c0006ff,0x5c0006ff,0x5c0006ff,
    0x37fd46ff,0x542ffe80,0xffd006ff,0x004ffd85,0xffb0bff9,0x97ff2009,
    0x7fe47ff9,0xb800000e,0x27fec6ff,0xd85ffc80,0xff9004ff,0x007ffe0b,
    0x3feafff3,0x06ffa806,0x037fd400,0x01bfea00,0xb8dff500,0xffb005ff,
    0x005ffb87,0xfff87ffb,0x0dff5001,0x2a003fff,0x1ffe66ff,0x001dfff3,
    0x46ffa800,0xf5001fff,0x03fff0df,0x7c1bfea0,0x7fcc01ff,0x5009ff97,
    0xdc980dff,0xfffffffe,0x7f6e4c06,0x06ffffff,0x7fff6e4c,0x7e46ffff,
    0xeeeeeeff,0x44fffeee,0xeeeefffc,0xfffeeeee,0x003ffe24,0x3e23ffcc,
    0xff3000ff,0x5c3ffccf,0x2002ffff,0xffffedc9,0x3fe26fff,0xfff3000f,
    0x000fff88,0x3fe0fff3,0xbffcc01f,0xfa803ffd,0xfffb306f,0xffffffff,
    0x3fff660d,0xffffffff,0xffffb306,0xdfffffff,0xffffffd8,0xffffffff,
    0x7fffec5f,0xffffffff,0x3fe65fff,0x3ffe2007,0x801ffe60,0xff30fff8,
    0x3fffee0f,0x7ffecc04,0xffffffff,0x801ffe66,0x3e60fff8,0x3fe2007f,
    0x01fff80f,0xffebffcc,0x86ffa802,0xcceffff9,0x86ffdccc,0xcceffff9,
    0x86ffdccc,0xcceffff9,0x46ffdccc,0xeeeefffd,0xeeeeeeee,0x777ffec3,
    0xeeeeeeee,0x3ffe63ee,0x8fff3000,0x3000fff9,0x3ffccfff,0x09ffff30,
    0x33bfffe6,0x6ffdcccc,0x4003ffe6,0x7fcc7ff9,0xfff3000f,0x3007ffe0,
    0x0bffefff,0x3a1bfea0,0x3ea01eff,0x1effe86f,0x3a1bfea0,0x3ea01eff,
    0x027fe46f,0x027fe400,0x00fffc00,0xff86ffa8,0xdff5001f,0x2203ffcc,
    0xfe81fffe,0x3fea01ef,0x800fffc6,0xfff86ffa,0x0dff5001,0xf3007ffe,
    0x00fffaff,0xff31bfea,0x6ffa803f,0x200fffcc,0x7fcc6ffa,0x37fd401f,
    0x0001bfee,0x0001bfee,0x5c00bffe,0x2fff85ff,0x4cbff700,0xfe8807ff,
    0x0fffcc4f,0xff1bfea0,0x3fee005f,0x002fff85,0x3fe0bff7,0xbffd401f,
    0xfd803ffd,0x03ffd46f,0x3ea37fdc,0x6ffb807f,0x5c03ffd4,0x7ffd46ff,
    0x7fd40000,0x7ec0000f,0x7ffd005f,0x200bffb0,0x3fe63ffe,0x8dff9007,
    0xfb807ffa,0x02ffec6f,0xfd83ffe8,0x7ffd005f,0x880fffa0,0xdff97ffe,
    0x46fffb80,0x7d407ffb,0x3ffdc6ff,0x71bffea0,0xffa80fff,0x05ffe86f,
    0x05ffe800,0x0fffd400,0x203ffee0,0x5c01fffa,0x3fe60fff,0x8dff5007,
    0x7d407ffb,0x7ffd46ff,0x07ffdc01,0x200fffd4,0xfb00fffb,0x7ffec0bf,
    0x201fff37,0x4c6ffffa,0xfd882fff,0x7fcc6fff,0xfffd882f,0x17ffcc6f,
    0x37fffec4,0x0067ffd4,0x19fff500,0x7fff4000,0x07fff702,0xb817fff4,
    0x7fcc3fff,0x4ffe8807,0x4417ffcc,0xe86ffffd,0xff702fff,0x7fff407f,
    0x07fff702,0x220fffe4,0x3a7ffffe,0x7fdc0eff,0xffe86ffe,0xfffdbadf,
    0xffe86ffe,0xfffdbadf,0xffe86ffe,0xfffdbadf,0xffd06ffe,0x955579ff,
    0x7ff40bdb,0xcaaabcff,0xfff305ed,0xffd959bf,0xfff980df,0xffecacdf,
    0x47ff986f,0xfffccacc,0xdfffe80f,0xfefffdba,0xffff986f,0xfffecacd,
    0x7fffcc06,0xfffecacd,0x7fffc406,0xfbfffcbe,0x3bffee7f,0xf8dfffcc,
    0xffffa86f,0xf8bfffff,0xffffa86f,0xf8bfffff,0xffffa86f,0xf8bfffff,
    0x3fff206f,0xffffffff,0x7fffe405,0x5fffffff,0x3ffffa60,0x004fffff,
    0xffffffd3,0x3e609fff,0x7ffffc7f,0xff502fff,0x7fffffff,0x3a60dff1,
    0xffffffff,0xffd3004f,0x9fffffff,0x3ffff200,0xfff2ffff,0xffffffc8,
    0x20dff15f,0xdfffffd9,0x260dff10,0x0dfffffd,0x3660dff1,0x10dfffff,
    0xed980dff,0xdfffffff,0xffed9802,0x02dfffff,0xeffffec8,0xfec8001d,
    0x201defff,0x7ffc7ff9,0x4c00ceff,0x0dfffffd,0xec80dff1,0x01deffff,
    0xffffec80,0x7d4001de,0x3e1dffff,0xfffeb87f,0x01bfe23d,0x20000266,
    0x98000099,0x4c000009,0x4000099a,0x000099a9,0x80000266,0x30000099,
    0x4cc00013,0x26600000,0x26600000,0x99880000,0x01310000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00cccc40,0x01330000,0x33330000,0x00cccc01,0x00006660,
    0x15997510,0x33331000,0x35530000,0x80266200,0xccefedb8,0x001ccccc,
    0x00266660,0x260002a6,0x331001aa,0x03dd7001,0x09fffb10,0xfff90000,
    0x7ec00007,0x7fe404ff,0xff81882f,0xf500001f,0x07ffffff,0x4fffd880,
    0xfffb1000,0x1fff1007,0x3ffffee0,0xffffffff,0xfffb0002,0x5fff7009,
    0x3fff6200,0x0fff8803,0x03fffd40,0x009fff70,0x7fffe400,0xfd80003f,
    0xffd002ff,0x0dffb75f,0x00003fff,0xfffffff7,0xf70009ff,0x644009ff,
    0x803fffff,0xff902ffc,0xfffb79df,0x0005ffff,0x2005fffb,0x4406ffff,
    0x03fffffc,0xc802ffc8,0x2001ffff,0x0004fff9,0xfe9dffc8,0x3f60003f,
    0xf73001ef,0xdfffffff,0x0003fff0,0x89dfff88,0x001fffea,0x004fff98,
    0x7ffbfff3,0x305ffa80,0xfd307fff,0x7ec0009f,0x3fe001ef,0x7fcc06ff,
    0x5403ffdf,0xff5005ff,0xfb1000ff,0x7e40009f,0x0fff624f,0x037ff600,
    0x3ffffea0,0x82bdffff,0x40001fff,0xff886ffb,0xfb10003f,0x2336009f,
    0x3a203ffb,0xbffb00ff,0x007ffcc0,0x006ffec0,0x00ffff20,0x0ffee336,
    0x000ffe88,0x800077ae,0x26000199,0x00333019,0x5c003330,0xfffeffff,
    0x00fffc02,0x413ff200,0x40004ffd,0xfb800199,0x0fff203f,0x7c02ffe8,
    0x998002ff,0x0b2a0001,0x80ffee00,0x00003ffc,0x00000000,0x00000000,
    0xffd86f6a,0x07ffe00f,0x09ffd000,0x0000fff2,0x3ffb8000,0xf80bff30,
    0x7ff401ff,0x00000002,0x3ffb8000,0x000bff30,0x00000000,0x00000000,
    0x3ffe2000,0x007ffe05,0x20bff900,0x00002ffe,0x0ffee000,0x3e007ff4,
    0x7ffc02ff,0x00000001,0x3ffb8000,0x0001ffd0,0x50001995,0x0179dfb9,
    0x10033320,0x19990999,0x404cc880,0xffffdca8,0x4c1fff02,0x200bdedb,
    0x7e40fffb,0x991000ef,0x05999999,0xc83ffb80,0xffe803ff,0x01ffea05,
    0x99999991,0xccc88059,0x002ccccc,0x7e41ffdc,0xff90003f,0x7ff4c003,
    0x03ffffff,0x4c01fff8,0x1fff87ff,0x883ffcc0,0xfffffffd,0x21fff06f,
    0xeffffffd,0x4bfff100,0x2001fffc,0xfffffff9,0x7fdc004f,0x8037fcc3,
    0xf983fffa,0x7fcc04ff,0x04ffffff,0x7fffffcc,0x7dc004ff,0x037fcc3f,
    0x003ff900,0x3bffffee,0x405fffff,0x7cc01fff,0x01fff87f,0x7443ffcc,
    0xffffffff,0x8fff83ff,0xfffffffd,0xfff700ff,0x005fffd9,0xffffff98,
    0x7dc004ff,0x00fff43f,0x99dfffd0,0x300dfffd,0xffffffff,0xffff9809,
    0x4004ffff,0x7ff43ffb,0x3ff60001,0xdfffa801,0x1ffff4c1,0x9803fff0,
    0x1fff87ff,0x223ffcc0,0x640affff,0x7ffc0fff,0xf710cffe,0x7ff409ff,
    0x0001efff,0x0013ff20,0x7fdc3551,0x3ffea004,0xcfffffff,0x3ff20000,
    0x9ff90004,0x21aa8800,0x40004ffb,0xfe801ffd,0x7ffec04f,0x803fff00,
    0xfff87ff9,0x23ffcc01,0xf100effc,0xffff87ff,0x1fff702f,0x13ffff60,
    0x3ff20000,0xff880004,0x4fffc006,0x01bceedb,0x04ffc800,0x009ff900,
    0x00dff100,0x3fffb2a0,0x03ffdc02,0xf81fffc4,0x7fcc01ff,0x401fff87,
    0x3fe27ff9,0x37fec01f,0x8807fffe,0x7f4c2fff,0xc986ffff,0xffc8004c,
    0xffe80004,0x13fe6001,0x3f200000,0xff90004f,0xffd00009,0xffe98003,
    0x6c02ffff,0xff9004ff,0x007ffe0b,0xfff0fff3,0x27ff9803,0xf9806ffc,
    0x0fffe0ff,0xf893ff60,0x4fffceff,0x40037fd4,0x40004ffc,0x5c004ffb,
    0x000006ff,0x0004ffc8,0x80009ff9,0x44004ffb,0xccceffff,0x00fffc01,
    0xff06ffa8,0x7ff9803f,0x4c01fff8,0x0fff67ff,0xff17ffc0,0x9ff9003f,
    0xfd877ff4,0x17ff23ff,0x013ff200,0x006ff880,0x9bdfffa8,0x00001999,
    0x20009ff9,0x20004ffc,0xc8006ff8,0x44001fff,0xf3000fff,0x07ffe0ff,
    0xff0fff30,0x7ff9803f,0x7400bffa,0x07ffe3ff,0x7d57fee0,0x3ffa20ff,
    0x009ffb1f,0x0009ff90,0x9910ffec,0x3ffa0199,0xffffffff,0xf90001de,
    0x3f20009f,0x3f60004f,0x0f7b6a1f,0x40027ffc,0x22007ff9,0xfff80fff,
    0x43ffcc01,0x7cc01fff,0x007ffe7f,0xfff27fec,0x2dff7003,0xff985ffc,
    0x03ffe8ff,0x004ffc80,0xfd89ff50,0xfd101fff,0xffffffff,0x9000bfff,
    0x320009ff,0xf50004ff,0x3fffa29f,0x7ffc46ff,0xfff98002,0x0fff3000,
    0xf3007ffe,0x03fff0ff,0xff17ff98,0x3ff6003f,0x2007ffe4,0x7ffb5ffb,
    0x3fbffea0,0xfc8001ff,0xff88004f,0x3fffea0f,0x9fff701f,0xfffb9999,
    0xfc8009ff,0xff90004f,0xfff10009,0x7f5e7ec1,0x0bffe22f,0x00fffc00,
    0xff06ffa8,0x7ff9803f,0x4c01fff8,0x0bffe7ff,0xff1fff40,0x7ff9003f,
    0xfc80fffa,0x0006ffff,0xb0009ff9,0x77f445ff,0xffb81ffb,0x7ff4c00f,
    0x27fe4007,0x04ffc800,0x442ffd80,0xf893fe61,0xff0004ff,0x3fee005f,
    0x803fff05,0xfff87ffa,0xd3ffd401,0x3fe007ff,0x007ffe2f,0x7fecbffa,
    0x7fffec04,0x9ff90003,0x45ffa800,0x1ffb9ffc,0x5002ffe8,0x64003fff,
    0xf90004ff,0xffa8009f,0x43ffa805,0xb0006ffe,0x3fa00bff,0x07ffd03f,
    0x743fff44,0x3fa203ff,0x01bff27f,0xff83ffea,0x7ffcc01f,0x401fff90,
    0x002ffff8,0x4009ff90,0x3e60fff8,0x883ff73f,0xf3001fff,0x7e4001ff,
    0xff90004f,0x7ffc4009,0x07ffcc00,0x0017ffea,0x7007ffea,0x3f601fff,
    0x3fff605f,0x205ffd87,0x3e67fffd,0x7ff402ff,0x200fffc5,0x3fe64ffd,
    0xffe880ef,0xc8000fff,0x3f2004ff,0x4cfff42f,0x3e21bffc,0xffb003ff,
    0x4ffc800d,0x09ff9000,0x2017fe40,0xfb01fffa,0xe8003bff,0xff702fff,
    0x7ffe407f,0x7ffff441,0x41fffc87,0x47ffffe8,0xfb02fffd,0x1fff83ff,
    0x81fff910,0xccdffffc,0xfffffffe,0x4ffc8006,0xf0bff300,0xffffffff,
    0x9bfffe8f,0x2fffd980,0x027fe400,0x004ffc80,0xfc80bff3,0x3fa200ef,
    0x02acdfff,0x66ffffcc,0x06fffeca,0x5f7fffc4,0x7ffbfffc,0xbeffff88,
    0x7ffbfffc,0x66ffffcc,0x83fffecb,0xbacdffff,0xb02ffffc,0xffffffff,
    0xbfff93df,0x333332e0,0xcccceffe,0x407ff40c,0xffffffff,0x7fffcc7f,
    0xffffefff,0x332e03ff,0xceffeccc,0x9970cccc,0x9dffd999,0xfe819999,
    0x3bff600f,0x3f202aab,0x01ffffff,0x7fffff4c,0x9004ffff,0xffffffff,
    0x7e41ffe5,0x2fffffff,0xffd30fff,0x7fffffff,0x3fffffe0,0x01efffff,
    0x7ffffecc,0x1fffec2d,0x7ffffff4,0xffffffff,0x800fff20,0xfb301ffb,
    0xffffffff,0xffe803bf,0xffffffff,0xffd0ffff,0xffffffff,0x7e41ffff,
    0x3ffe203f,0x4c07ffff,0x01fffffc,0xdffffd90,0xffa8003b,0x3fe1dfff,
    0x3fffea07,0x81ffe1df,0xdfffffec,0x3ff2a200,0x003dffff,0x40000988,
    0xfffffffe,0x0fffffff,0xb800dff3,0x654401ff,0x00abcddc,0xffffffd0,
    0xffffffff,0x3fffffa1,0xffffffff,0x80dff30f,0xfffffff8,0x32ea6007,
    0x00998000,0x00998800,0x004cc400,0x0004cc00,0x00001310,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xa9800000,
    0x4cc4001a,0x80006660,0x99999999,0x004cc400,0x00088000,0x2a006664,
    0x998002cc,0x00000000,0xedb98799,0xa80000bd,0x300000cc,0x88013555,
    0xaaceedba,0x0099955c,0x400e6644,0x03fffff9,0x3e0fff88,0xf98001ff,
    0x4fffffff,0x0027fe40,0x3fffaa00,0x7ffc1d83,0x02ffdc01,0x00ffff20,
    0xd10bfb10,0xd9bfe0bf,0x0effffff,0x037f4000,0x3fff6600,0xf903ffff,
    0xffffffff,0x0bffeadf,0x007ffd40,0x7fff774c,0x217fe400,0x98001fff,
    0xffffffff,0x027fe404,0xffff5000,0xdfb55dff,0x5c01fff8,0x3f2005ff,
    0x2003ffff,0x7dc2fffb,0x8fff82ff,0xfffffffd,0xf10000ff,0x7dc0009f,
    0xffffffff,0x7ffff443,0x6fffffee,0x6c017ffa,0xfb0005ff,0x2ffd405f,
    0x4000fffc,0xfeaaaaa8,0x27fe404f,0xdff88000,0xffffffba,0x00fffc2f,
    0x64017fee,0x3ffe9dff,0x87fff700,0xff82fffb,0x710cffef,0x20009fff,
    0x30001ffb,0x5357ffff,0x7ffc4599,0x6ffd982e,0x1003ffee,0x44005fff,
    0x100ffe99,0xfff01ffd,0x7e400003,0x27fe404f,0x88b30000,0xf82efffc,
    0x7fdc01ff,0x24ffc805,0x8803ffd8,0x5fe885fe,0x05fffff0,0x8803ffee,
    0x6ffffdca,0x3bffa000,0x1dff7000,0xf137fd40,0xffb807ff,0x7ffec007,
    0x0fff202f,0x0000fffc,0xc809ff90,0x000004ff,0xfff80220,0x02ffdc01,
    0x19980ccc,0xff000000,0x7fc403ff,0xffff502f,0x009fffff,0x003fff10,
    0x500bffe2,0x6ffd8dff,0x0027ff40,0x0ffffff6,0xff817fe6,0x3200001f,
    0x7fe404ff,0x00000004,0x7007ffe0,0x00000bff,0xff000000,0x9ffb007f,
    0xdfffff90,0x00bfffff,0x2007ff98,0xfa806ffb,0x0fffd46f,0x001fff88,
    0xd0dff710,0x7ffc01ff,0x3f200001,0x27fe404f,0x00000000,0xfb803fff,
    0x0000005f,0xfff80000,0x44ffc801,0x3a0cfffa,0x004fffff,0xc801bfee,
    0xffa804ff,0x704fff86,0xa8000dff,0x1ffe47ff,0xda87ffe0,0x32003dee,
    0x7fe404ff,0x1e664c04,0x76d43cc8,0x3fff03de,0x205ffb80,0xccccccc8,
    0x3322002c,0x02cccccc,0xb801fff8,0x1fffc5ff,0x3ff6ffe2,0xbff7000f,
    0x01ffec00,0x7e437fd4,0x07ffd07f,0xffdcda80,0x01bfe64f,0x3fa23ffe,
    0x00efffff,0x6404ffc8,0x3fe604ff,0x2dff00ff,0xffffffe8,0x00fffc1e,
    0xf9817fee,0x4fffffff,0x3fffe600,0xf804ffff,0xffb801ff,0x2e1bfee6,
    0x3fff89ff,0x00bff700,0x54017ff4,0xfff886ff,0x007ffcc2,0x3ffffea0,
    0x400fff45,0xffff9fff,0x806ffffe,0x7e404ffc,0xdfff104f,0x7cfffc01,
    0xffffefff,0x200fffc6,0x3e605ffb,0x4fffffff,0x3fffe600,0xf804ffff,
    0xffb801ff,0x3a0fffa5,0x01bff26f,0xf002ffdc,0xff5005ff,0x917ff60d,
    0x71000bff,0xffb81599,0xfffff004,0x7ffecc7f,0x027fe402,0x3e213ff2,
    0x7fc00eff,0x3662ffff,0x3ffe2fff,0x02ffdc01,0x0027fe40,0x4027fe40,
    0xfc801fff,0x103ffe3f,0x3ffd49ff,0x3fffffee,0xffffffff,0x0fffa7ff,
    0x541bfea0,0x3ffa0fff,0xf8800002,0x3ffe006f,0x9fff01ff,0x404ffc80,
    0x7fc44ffc,0xfff800ef,0x9ffd01ff,0x2e00fffc,0xfc8005ff,0xfc80004f,
    0x1fff804f,0xf12ffd80,0x43ff70ff,0x3ee0fff9,0xffffffff,0x7fffffff,
    0x3600fff6,0x3ffe06ff,0x000fff33,0x007ffa00,0x201ffff8,0x7e405ffd,
    0x27fe404f,0x001dffd1,0xb807fffe,0x0fffe5ff,0x005fff88,0x0004ffc8,
    0xf804ffc8,0x7fcc01ff,0xd0fff31f,0x0fff88df,0x3bbbbbaa,0xeeeeefff,
    0x1bff25ee,0x40dfff70,0x9ffb6ffc,0xff700000,0x2fff8009,0x2037fdc0,
    0x7e404ffc,0x1dffd14f,0x017ffc00,0xfff9bfea,0xbfffd105,0x09ff9000,
    0x09ff9000,0xd803fff0,0x1ffe65ff,0xff889ff1,0x0bff7007,0x807ffd40,
    0x206ffffa,0xfff9fff8,0x7c400001,0xfff8006f,0x03ffcc01,0xf9013ff2,
    0x1dffd19f,0x01fff800,0xfff3ffcc,0xfffe885f,0x7e4000ff,0xfc80004f,
    0x1fff804f,0x41fffb10,0x3ee1fff8,0x037fcc1f,0x4005ffb8,0xffb86ffe,
    0x7ec06ffe,0x0006ffef,0x221ffd80,0xff80cccc,0x3ffcc01f,0x9013ff20,
    0x1dffdbff,0x03fff000,0x3fe7ff98,0xffcbefff,0x04efff9f,0x0013ff20,
    0x2013ff20,0xbacdffff,0xf82ffffd,0x21bfa2ff,0xf7005ffb,0xffb800bf,
    0xdfffccef,0x7d406ffa,0x0003ffff,0x3627fd40,0xff81ffff,0x3ffcc01f,
    0x9013ff20,0x1dffdbff,0x03fff000,0x3fe7ff98,0xffffffff,0x00ffff72,
    0x00027fe4,0x7c027fe4,0xffffffff,0xffb01eff,0x3a13fe29,0xff7004ff,
    0xfff9000b,0x3eabffff,0xffff806f,0x7c400007,0x3ffea0ff,0x1fff81ff,
    0x203ffcc0,0x7e404ffc,0x0efff8cf,0x00fffc00,0xfff9ffe6,0x40dffff9,
    0x32007ffc,0xc80004ff,0xfff804ff,0x3dfffffe,0x5d7ffd40,0x7ffd41ff,
    0x0bff7000,0x3fffae00,0x01bfea3d,0x000ffff2,0x445ffb00,0x81ffbefe,
    0x7cc01fff,0x27fe407f,0x7cd3ff20,0x7fc005ff,0x3ffcc01f,0x004c4fff,
    0xffc80022,0xffc80004,0x31fff804,0xffe80013,0x7fd46fef,0x3fee003f,
    0x04c40005,0x64037fd4,0x00000fff,0xff917fea,0xff03ff73,0x7ff9803f,
    0x2027fe40,0x3fea4ffc,0x3ffe005f,0xf3ffcc01,0x000001ff,0x0004ffc8,
    0xf804ffc8,0x4c0001ff,0xcadfffff,0x4006fffd,0x00005ffb,0x101bfea0,
    0x00009fff,0xf307ffc4,0x207fee7f,0x7cc01fff,0x27fe407f,0xf713ff20,
    0x3fe009ff,0x3ffcc01f,0x00003fff,0x004ffc80,0x804ffc80,0x80001fff,
    0xffffffe9,0xb8004fff,0x000005ff,0xfb01bfea,0x400001ff,0x7ff42ffc,
    0x41bffc99,0x7cc01fff,0x27fe407f,0x3213ff20,0xff804fff,0x3ffcc01f,
    0x00003fff,0x004ffc80,0x804ffc80,0x00001fff,0xfffffff1,0x3ee0005b,
    0x2000005f,0x3f206ffa,0x200002ff,0xfff85ff9,0x47ffffff,0x7cc01fff,
    0x27fe407f,0x6c13ff20,0x7fc03fff,0x3ffcc01f,0x00003fff,0x004ffc80,
    0x804ffc80,0x00001fff,0x01339ff1,0x0bff7000,0x7fd40000,0xffd53316,
    0xe800009f,0xffff80ff,0x7c7fffff,0x7fcc01ff,0xd9999977,0x99999dff,
    0xe813ff21,0x3fe02fff,0x3ffcc01f,0x00003fff,0x3b33332e,0xccccceff,
    0xcccccb80,0xcccceffe,0x007ffe0c,0x00ffdc00,0x17fee000,0xffa80000,
    0xffffffd6,0xfc800009,0x3fee003f,0x401fff81,0xfffd7ff9,0xffffffff,
    0x3ff21fff,0x3fffa204,0x803fff02,0x3ffe7ff9,0xffd00001,0xffffffff,
    0xfd01ffff,0xffffffff,0x7c1fffff,0xd00001ff,0x700000df,0x00000bff,
    0xffeb7fd4,0x00001eff,0x20037fcc,0xfff81ffb,0xebffcc01,0xffffffff,
    0x90ffffff,0xff9809ff,0x1fff81ff,0x993ffcc0,0x3a000019,0xffffffff,
    0x80ffffff,0xfffffffe,0x0fffffff,0x00003332,0x0000ffe2,0x0017fee0,
    0x93cc9800,0x0000359b,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x33333330,0x30033333,
    0x01559975,0x2aeea200,0x5d44000a,0xfb10000a,0x004ccc1b,0x22009988,
    0x001abca9,0x30333100,0x33333333,0x2a201333,0x0009accb,0x20000a60,
    0x0001aca8,0x03557510,0x01aba880,0xfffff980,0x1fffffff,0xfffffc88,
    0x5006ffff,0xfffffffd,0x764405bf,0x0cefffff,0x9bfffa00,0xf5002fff,
    0xfffb10df,0x005dffff,0xffffeda8,0x3fffe60f,0xffffffff,0x7ffff4c5,
    0x001dffff,0x80013fee,0xfffffffb,0x7ecc000d,0xdfffffff,0x3fffae01,
    0x26003fff,0xffffffff,0x7d41ffff,0xffffffff,0xffc807ff,0xffffffff,
    0xfffd304f,0x3dffffff,0xfffff300,0x400bffe3,0x7fdc6ffa,0xffffffff,
    0xffeb804f,0x20ffffff,0xfffffff9,0x4c5fffff,0xffffffff,0xf9003fff,
    0xfb10009f,0xffffffff,0x3fee003f,0xffffffff,0xffff903f,0x00bfffff,
    0x33333322,0x21fffccc,0xaacffff9,0x207ecaa9,0xceffffe9,0x84ffdcbb,
    0x10acfffa,0x805fffb5,0xf0fffff9,0x3ea005ff,0x3bffe66f,0xffeca9ac,
    0x3fff603f,0x44ccdeff,0xcccceff9,0x4c3ccccc,0xca99abdf,0xc801ffff,
    0x744004ff,0xecacefff,0x2202ffff,0xaceffffd,0xd83ffdcb,0xda9bdfff,
    0x00006fff,0x7f43fff1,0x220000ef,0x4405ffff,0x17ffcc3b,0x003ffee0,
    0x7fcbfffd,0xdff5002f,0x36037ff4,0xfffb06ff,0x3fe6003b,0x26000005,
    0xfc804fff,0x7fe4004f,0xdfff502f,0x077ffec0,0xffa85710,0x5fff703f,
    0xfff10000,0x003ffe63,0x07fff900,0x00ffec00,0xb805ffa8,0x017ffc3c,
    0x3fe6ffa8,0x3ffd403f,0x0017ffdc,0x00017fe6,0x00dff900,0x44009ff9,
    0x7d403fff,0xfff982ff,0x3ffa0004,0x037fe404,0x8fffc400,0x40006ffb,
    0x0003fff8,0x4cc13fea,0x000ffec0,0x5002fff8,0x3ffe6dff,0x23ffcc00,
    0x8002fff8,0x00005ff9,0x2e3ffd40,0xeffecccc,0x4ccccccc,0x6c017ff6,
    0x6ffd86ff,0x3ffe6000,0x0fffc400,0x3ffe2000,0x000fff91,0x000fffd8,
    0xf903ffa0,0x3e63dfff,0xfff0005f,0x9bfea005,0x7e402fff,0x027fdc5f,
    0x005ff980,0x2ffdc000,0x3ffffffa,0xffffffff,0x05fff17f,0xa87ffea0,
    0x20002fff,0xe8805ffc,0x440004ff,0xfff51fff,0x7ffc0007,0x3fe20003,
    0x7fffff44,0x001ffa1f,0xa8017ffc,0x3bff26ff,0xd0bffe00,0x260003ff,
    0x000005ff,0x3fa17fe4,0xffffffff,0x57ffffff,0x22001fff,0x3ff22fff,
    0x7ff40006,0x7fff4c02,0x7fc40005,0x7ffff11f,0x1fff3000,0x17fcc000,
    0x7117dff7,0x0007fdc3,0xa8017ffc,0x3ffe66ff,0x7fff4c1e,0x001ffe20,
    0x0005ff98,0x03ffe600,0x4013ff20,0x74006ffb,0x13ff63ff,0x03fff000,
    0x37ffffdc,0x3ffe2000,0x3bfffea1,0x1ffea002,0x43ff5000,0x7d400fff,
    0xfff8002f,0x8dff5002,0xc9dffffa,0x7d40efff,0xddd9715f,0x3bfe6079,
    0x001abccc,0x00fffdc0,0x9004ffc8,0xfd800bff,0x00fffa4f,0x80fff880,
    0xffefffd8,0x7fc40007,0x7fffdc1f,0x7dc00cff,0x9999306f,0x3ff27999,
    0x300bff30,0xff0007ff,0x3fea005f,0xffffe986,0xff704fff,0xffffffbd,
    0xff985dff,0xefffffff,0xffeed803,0x32000eff,0xffb004ff,0x5ffd8009,
    0x8000bffe,0xff987ff9,0x0fff8bff,0x3ffe2000,0xffffd881,0xff901dff,
    0x3fffee0b,0x4ffb5fff,0xf8803ffa,0xfff8004f,0x0dff5002,0x3fffffe2,
    0xffff901e,0xfffbbdff,0x7ffcc5ff,0xffffffff,0x3fffe00e,0x2002dfff,
    0xfd004ffc,0xffc8007f,0x003fff16,0x2e3ffd40,0x3fe1ffff,0x3e20001f,
    0x3f2601ff,0xd84fffff,0xfff705ff,0x3f6bffff,0x200ffea7,0xfd304ff8,
    0x017ffc19,0xe886ffa8,0xffffffff,0xaefffc84,0x0ffffa80,0x2a666666,
    0x00effffc,0xffffdddb,0xff9001df,0x0fffa009,0x26bff900,0x20001fff,
    0xffb16ff9,0x0fff81bf,0x3ffe2000,0xffeb8801,0x37fe46ff,0xfc999988,
    0x261ff75f,0xff9806ff,0x4bffff03,0xf5002fff,0xefff98df,0x5ffffc8a,
    0x4c02ffec,0x6c003fff,0x26002fff,0x400ffffc,0xfb004ffc,0xffd8009f,
    0x005fff14,0x7d7ffcc0,0xff883fff,0x3e20000f,0x7d4001ff,0x3fee4fff,
    0x57fee007,0xfff11ffa,0x81ffa801,0xf1fffff8,0x3ea005ff,0x17ffea6f,
    0xc93fffa6,0xffb005ff,0x9ffd000b,0xbfff3000,0x004ffc80,0xd800bff9,
    0x0fffe3ff,0xffff8800,0xff301eff,0xff88000f,0xfe88001f,0x0fff50ff,
    0xf9affdc0,0x37fff23f,0x3fee1dba,0x7fffff00,0x5400bffe,0x13ffa6ff,
    0x70fffe88,0x3ee00dff,0xffc8006f,0xfff70006,0x004ffc80,0xe800dff9,
    0x13ffa2ff,0xfffff000,0x37fd401b,0x3ffe2000,0xfff50001,0x00bffe23,
    0xff8affdc,0x3ffffa26,0x81ffa1ff,0xff3ffffa,0x3fee005f,0x801fff35,
    0xff53fff9,0x1ffea00d,0x01ffea00,0x007ffcc0,0x2e009ff9,0xf3000fff,
    0x37fec3ff,0x3fffa000,0x05ffb803,0x07ffcc00,0x47fff000,0xf7006fff,
    0x20ffecbf,0x50ceffec,0xffd809ff,0x007ffb2f,0x7fdd3ff2,0x29ffd005,
    0xf7007ff9,0xff9000bf,0x3fe6000b,0x027fe407,0x002fff98,0xffb8fff9,
    0x3f60002f,0x7ffd005f,0x7ffa8000,0x3ffe2000,0x00bffea1,0xff997fee,
    0x07ff4005,0x647ffee0,0xffd005ff,0x4017ff65,0xfff14ffe,0x09ffb005,
    0x009ffd00,0x701bfee0,0x7f400bff,0x7fff005f,0x006fff88,0x003ffe60,
    0x0401fff3,0x002fff40,0xfd0fff70,0xffb805ff,0x801ffec5,0xfd804ffb,
    0x03ffee6f,0x2e1fff50,0x7c400fff,0x17ff22ff,0x003fff30,0x001fffc8,
    0x404fff88,0x5000fffa,0xfd807fff,0xbfff706f,0x3ffa0001,0x027ff405,
    0x7fe40bb2,0x1002ae1f,0xf30bfff7,0x2e017fff,0x7ffcc5ff,0x07ffec04,
    0xd0bffea0,0x3ea03dff,0x3ffe63ff,0xfffd100e,0x827ffc41,0x2005ffe8,
    0x003fffc8,0x806ffea8,0x2005fff8,0xc883fffe,0x3fa02fff,0x36602eff,
    0x827ffd43,0x6401fffd,0xffdcefff,0x77ffc5ff,0xffedccde,0x3fee06ff,
    0xeccdffff,0xfe985fff,0xeca9acef,0xb9880eff,0xfa84fffd,0xecacdfff,
    0xffc86fff,0xfdcacdff,0xffd82fff,0xffcbacef,0x333720ff,0xffffecbb,
    0xbbccdd84,0x0ffffedc,0x9ffff900,0xf98db977,0xfecdffff,0x74c05fff,
    0xddefffff,0xfd83fffe,0xffdbceff,0xffc802ff,0x4fffffff,0xfffffff8,
    0x0dffffff,0x7ffff4c0,0x5fffffff,0xfffffd10,0x540bffff,0x203fffff,
    0xfffffffb,0xfb00dfff,0xffffffff,0x7fe405ff,0xdfffffff,0x7ffffec0,
    0xf02effff,0xffffffff,0x440019ff,0xfffffffe,0xfffe887f,0x02ffffff,
    0x3fffff20,0x03ffffff,0xfffffff9,0x75c003ff,0x02dfffff,0xffffffd9,
    0x80019fff,0xfffffedb,0xecb802df,0x402cefff,0x800deffa,0xfffffed8,
    0xffd9802e,0x00bfffff,0xfffffea8,0xffffb02e,0xf807dfff,0xefffffff,
    0x3ae0000c,0x05ffffff,0xdffffb91,0xd950003b,0x37bdffff,0x7ffed401,
    0x20001cef,0x4c400099,0x000019a9,0x00026a62,0x22000988,0x09980001,
    0x06a62000,0x00131000,0x0026a662,0x01353330,0x26620000,0x004c4001,
    0x00262000,0x00001880,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00aca988,0x88001331,
    0x4ccc4099,0x00000999,0x7bddb951,0x00019983,0x99999800,0x22099999,
    0x99999999,0x99999999,0x4cccccc1,0x09999999,0x03333333,0x33333100,
    0x31000013,0x80003577,0x20009998,0x99999999,0x7e400000,0x43ffffff,
    0x1001fffb,0xffa87fff,0xceffffff,0xfffb8003,0x23ffffff,0x00001fff,
    0x3ffffe60,0x2a6fffff,0xffffffff,0xffffffff,0xfffff31f,0xffffffff,
    0x3fffffe7,0x402cefff,0xfffffffe,0x22000cef,0xfffffffd,0xffff0001,
    0x7fffc00f,0x2effffff,0x3ffa6000,0xefffffff,0x401bffa1,0xffa86ffc,
    0xffffffff,0xfe8800ef,0xfffeffff,0x007ffe3f,0xfffc8000,0x6fffffff,
    0x2aaab3ea,0xaaaaaaaa,0xfff31fda,0xffffffff,0x3fffe7ff,0xffffffff,
    0xffffd00d,0x9fffffff,0xfffff500,0x009fffff,0x2fffffa8,0xffffff00,
    0x3fffffff,0x9fffd000,0x1ffd7335,0x2017ffd4,0xfa82fff9,0xfedcccff,
    0x7403ffff,0x5441dfff,0x007ffe3d,0x77fc4000,0xaaaaafff,0x4000bea2,
    0x9fff31fb,0x99999999,0x337ffe59,0xffffedcc,0xcdffe83f,0xfffffdcc,
    0x3bffe603,0xfffda88a,0x3fff2003,0xfff004ff,0xffb9999b,0x5c001dff,
    0x07201fff,0xfb01bff6,0x1bfea0bf,0x01ffffb8,0x8005fff7,0xccccdfff,
    0x2e00009a,0x806ffbff,0x2f3aa2fa,0x7cc7ee02,0xfff8007f,0x3ffff202,
    0x441fff41,0x880fffea,0x3f204ffe,0x3ffe007f,0xff007ffb,0x3ff2203f,
    0x3ffa004f,0xfff10003,0x03ffea07,0x22037fd4,0xff886ffe,0xfff8004f,
    0xffffffff,0xffe8000c,0xfa806ff9,0x3bfffee2,0xff31fb82,0x5fff000f,
    0x45ffe980,0x3e603ffe,0x6ffb82ff,0x803ffe80,0xfff8effa,0x01fff802,
    0xf002fff4,0x640003ff,0xffe80fff,0x01bfea03,0xf70bffea,0xff0001ff,
    0xffffffff,0x4c005fff,0x06ff8cff,0x54c42fa8,0x8fdc3ffe,0xf8007ff9,
    0xffa802ff,0x00fffa2f,0xffb07fff,0x0fff7007,0x3f67ff90,0x1fff804f,
    0x803ffdc0,0x40007ff9,0x7dc4fff8,0x37fd406f,0x646ffe80,0xff0005ff,
    0x7ed4c43f,0xf9001fff,0x00dff13f,0xffb805f5,0x7fcc7ee1,0x2fff8007,
    0x74dffd00,0x7ff403ff,0x802fff84,0x7c00fff8,0x0fff71ff,0xb803fff0,
    0xff5005ff,0xff50000f,0x0bffe23f,0x200dff50,0x7ff47ffb,0x3fff0003,
    0x07fffcc0,0x7c5bfe20,0x02fa806f,0x47ee4fe8,0xf8007ff9,0xff7002ff,
    0x201fff4f,0x7fc43fff,0x3fff001f,0xf137fd40,0xfff803ff,0x01ffec01,
    0x0007ffa8,0x3f2bffd0,0x6ffa805f,0x41fff300,0xf0002fff,0xffa803ff,
    0x9ffdc02f,0xfa806ff8,0x2e5fc802,0x00fff31f,0x2005fff0,0xffd0fff9,
    0x0fffd407,0xf8017ffc,0x3ff202ff,0x2027ff44,0x3ea01fff,0xff5000ff,
    0x3e60000f,0x00fffaff,0x1006ffa8,0x7ffc3fff,0x3fff0002,0x807ffd00,
    0xdff10ffe,0xd005f500,0xf98fdc9f,0xfff8007f,0x3fff3002,0x7d40fffa,
    0x9ffd04ff,0x80fffa00,0x7fdc1fff,0x40fffc07,0x402fffc8,0xafffcaa8,
    0x02aaaaaa,0x3fffff20,0x7ffffc03,0xf107ffff,0x1fff45ff,0x01fff800,
    0x2605ffd8,0x3ffe25ff,0x2a3eeeee,0x3fee202f,0x7fcc7ee1,0xffffffff,
    0x5fff0fff,0x4bffe200,0xcbaadffe,0x900efffe,0xe8803fff,0xfff503ff,
    0x403fff30,0xfeeeefff,0x9800dfff,0xffffffff,0x007fffff,0x01bfffe2,
    0x3ffffffe,0x3ffe07ff,0x0017ff63,0x6400fffc,0x3ff605ff,0x3ffffe21,
    0x0bea4fff,0x87fffff3,0xffff31fb,0xffffffff,0x00bffe1f,0xffd3fff8,
    0xffffffff,0xffff8809,0x3ff6a20b,0x9ff903ff,0xf813ffa0,0xffffffff,
    0xf9802dff,0xffffffff,0x4007ffff,0xe802fffb,0xeeefffee,0xb8fffe06,
    0xf8000fff,0xffe801ff,0x88dff104,0xeeeeefff,0xff30bea3,0x23f7039b,
    0xeeeefff9,0xf0eeeeee,0x7fc005ff,0xfffffd3f,0x2001dfff,0xfffffffa,
    0x1fffffff,0x3205fff0,0x3ffe07ff,0xffffeeee,0x4cc00dff,0x9999fffb,
    0x33201999,0xcfffdccc,0xf503cccc,0x3fe200df,0x17ffe22f,0x007ffe00,
    0x2e05fff1,0x37fc43ff,0x3e617d40,0xf98fdc05,0xfff8007f,0x5fff1002,
    0x2e673ffa,0x1000dffe,0xfffffffd,0x501ffd7d,0x7fcc0fff,0x03fff01f,
    0x0bfffd51,0x001ffea0,0xfffffff8,0x6fffffff,0x200dff50,0x7e42fff9,
    0x86a00eff,0x7ec01fff,0x03ffa06f,0xf500dff1,0x5c05f985,0x00fff31f,
    0x2005fff0,0xffd1fff9,0x05ffe887,0x55e654c0,0x7e41ffe1,0x27ffc05f,
    0x6401fff8,0xfa802fff,0x3b60007f,0xefffeeee,0xf504eeee,0x3fea00df,
    0x7fff440f,0xffdcccef,0x4c07ffe3,0xf301fffd,0x0dff10bf,0x4e885f50,
    0xff98fdc0,0x2fff8007,0x21fff500,0xff983ffe,0x2600002f,0x7fff06ff,
    0xb3333333,0x3ffe0dff,0x04fff801,0x0007ffa8,0x007ffcc0,0x200dff50,
    0x3f606ffd,0xffffffff,0x337ffe3f,0xffffedcc,0x3bbff604,0x06ffeeee,
    0x70002fa8,0x01ffe63f,0x400bffe0,0x3ffa6ffd,0x00dffb03,0x42ffdc00,
    0xfffffffa,0xffffffff,0x801fff81,0xfa805ffd,0x4c00007f,0x2a000fff,
    0xff9806ff,0x7fe4c04f,0x20ceffff,0xffffffff,0x2201efff,0xffffffff,
    0xfa806fff,0x2e00dc42,0x00fff31f,0x3005fff0,0x7ff47fff,0x05fff303,
    0x3ffd1000,0xffffff90,0xffffffff,0x03fff09f,0x500bffb0,0x44000fff,
    0xfffa9999,0x50099999,0xffb00dff,0x3ff2001f,0x3fffe01c,0x03deffff,
    0xeeeeffb8,0x806ffeee,0x07fec2fa,0x3fe63f70,0x2fff8007,0x20fffe80,
    0x3fa03ffe,0xfd80006f,0xddfff04f,0xdddddddd,0xfff0dffd,0x07fff003,
    0x000fff50,0x7ffffff4,0x6fffffff,0x440dff50,0x2003fffd,0x7fc01ffe,
    0x000999af,0xf880fff4,0x42fa806f,0x3ee01ffd,0x000fff31,0x74405fff,
    0x7ff43fff,0x0bffea03,0x7ffec400,0x00fffa80,0xf83fff50,0x7fdc01ff,
    0x7ffa801f,0x3fffa000,0xffffffff,0xdff506ff,0xffffb988,0x1bfe2005,
    0x0007ffe0,0x2206ffa8,0x2fa806ff,0x3ee01644,0x000fff31,0xb9885fff,
    0xfe85ffff,0x37ff403f,0xfffb3300,0x17ff205f,0xf87fff00,0xff9101ff,
    0x7774c09f,0xeeeeefff,0x542eeeee,0xfffbaaaa,0x502aaaab,0xfffddfff,
    0x8009ffff,0xff804ffa,0x3f60001f,0x3ffe203f,0x50cccccc,0x3ee0005f,
    0xdddfff31,0x5ddddddd,0x3fbbbffe,0x03ffffff,0xfa807ffd,0xfeeb81ff,
    0x1effffff,0x000bffe0,0xfff8dffb,0xfffeeeee,0x7fcc05ff,0xffffffff,
    0x03ffffff,0x000fff98,0x3fffffea,0x002dffff,0xf802ffb8,0xf10001ff,
    0x7fc401ff,0x0fffffff,0xddddddf5,0xdddddddd,0x3ffe63fd,0xffffffff,
    0xfffff3ff,0x3bffffff,0x401fff40,0xffc85ffe,0x02efffff,0x0007ffd4,
    0xff87ffea,0xffffffff,0xff9803ef,0xffffffff,0x03ffffff,0x000fff98,
    0x3bffffea,0x20001bce,0xfff002a9,0x3fee0003,0x7fffc404,0xf50fffff,
    0xffffffff,0xffffffff,0x3ffffe63,0xffffffff,0xdffffff3,0xfd00179d,
    0xfff7007f,0xcdeffc83,0xbff9001a,0x7fff1000,0x7ffffffc,0x00002cde,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x22000000,0x33300199,0x99999981,0x09999999,0x33333331,
    0x33333333,0x40026661,0x4c400998,0x22013301,0x99999999,0x26099999,
    0x13330019,0x00004cc4,0x02666600,0x4cccccc4,0x99999999,0x00333109,
    0x99826660,0x4ccc0019,0x8000ccc0,0x7ffc0198,0x7ffdc01f,0x3ffffe66,
    0xffffffff,0xffffffd3,0xffffffff,0x00bffe9f,0x2e037fdc,0x04ff80ff,
    0xfffffffd,0x2bffffff,0x5c01fff8,0x3ff22fff,0x2a000004,0xf905ffff,
    0xffffffff,0x29ffffff,0x4002fffc,0x3ee3fff9,0xff5002ff,0x03ffc45f,
    0x7c07ff80,0x7f404fff,0x3ffe66ff,0xffffffff,0xffffd3ff,0xffffffff,
    0x3ffe9fff,0x0dff7002,0xff887fc8,0xfffffd04,0xffffffff,0x807ffe2b,
    0x7e43fff9,0x1000004f,0x20bffffd,0xfffffffc,0xffffffff,0x00dfff14,
    0xfe86ffe8,0xfff8806f,0x0007ff85,0xfff80fff,0x3ffe607f,0x37ffe67f,
    0xcccccccc,0xddddd91c,0xfddddddd,0x0bffe9ff,0x2037fdc0,0x3ff987fd,
    0xfb999970,0x599999ff,0x4407ffe2,0xffc85fff,0xf9000004,0x2e0bffff,
    0xeeeeeeee,0x3ffffeee,0x400fffee,0xf982fffa,0x7fe404ff,0x00fff80f,
    0x2206ff80,0x902ffeff,0x7ccfffdf,0x000000ff,0xff8fffc4,0xdff7002f,
    0xfa86fe80,0x3fe6002f,0x3ffe200f,0x20dffd01,0x00004ffc,0xffcfff98,
    0xfe880005,0x0fffe85f,0x205ffe80,0xf300fffc,0x3ffa07ff,0x37fc4000,
    0xbff9ff10,0x9ffb3fe0,0x0000fff9,0xf2ffe400,0x3ee005ff,0x42ffc06f,
    0x26001ffb,0x3e200fff,0xfffc81ff,0x009ff900,0x75ffd000,0x90000bff,
    0xff501fff,0xfffa809f,0x17ffe201,0xfd037ff4,0xff88003f,0x36ffe205,
    0x4ffd40ff,0x3ffe67fe,0x22000000,0x3ffe1fff,0x8dff7002,0x9dff9999,
    0x9affc999,0x7ffcc019,0x07ffe200,0x6403fff7,0x400004ff,0xbff75ffb,
    0xfff98000,0x03fff603,0xa804ffe8,0x7fdc2fff,0x07ff601f,0x40bff300,
    0x2ffbbff9,0x0ffeb7ec,0x0001fff3,0x22ffe400,0xf7002fff,0x7fffccdf,
    0xffffffff,0x00ffffff,0x8803ffe6,0x3fe61fff,0x27fe402f,0xfff30000,
    0x0017fee1,0x980bffd0,0xff704fff,0x3ff6001f,0x07fff10f,0x4002ffd8,
    0x3e604ff9,0x225ff8bf,0x21ffb3ff,0x0000fff9,0x83fff100,0xf7002fff,
    0x7fffccdf,0xffffffff,0x00ffffff,0x8803ffe6,0xffd11fff,0x09ff9009,
    0x1fff4000,0x4000bff7,0xc800fffc,0xfff81fff,0x3ffe2003,0x900dffb4,
    0xf98005ff,0x4ffea04f,0x1ff70ffd,0x7fcc7ff6,0x9000000f,0x5fff0dff,
    0x31bfee00,0x337ff733,0x333dff33,0x0fff9803,0x6c7ffe20,0xff9005ff,
    0x3ee00009,0x02ffdc5f,0x03fff980,0xb8bfff10,0xfb8007ff,0x01fffbff,
    0xfe82ffc8,0x203ffa85,0x7ff53ffa,0x1ffd9bfa,0x0001fff3,0x05fff100,
    0x2e005fff,0x3fee06ff,0x4005ff81,0x2200fff9,0x6ffc9fff,0x013ff200,
    0x03ffe200,0x2000bff7,0x5c006ffe,0xfff11fff,0x3ffa0005,0xf7004fff,
    0x0fff987f,0xf501ffd4,0x7c77fc5f,0x4c7ff62f,0xccccdfff,0x4004cccc,
    0xfff06ffb,0xffffffff,0x40dfffff,0x7fc40ffc,0x7ffcc004,0x33ffe200,
    0x32000fff,0xd80004ff,0x5ffb83ff,0x0fffc800,0x75ffe800,0x4c000dff,
    0x000fffff,0xffb87ff5,0x017fdc3f,0x7fe45ff7,0x3ff20ffc,0xffffff32,
    0x0fffffff,0x817ffc40,0xffffffff,0xffffffff,0x221ff206,0x7cc004ff,
    0x3fe200ff,0x4004ffff,0x40004ffc,0xff706ffa,0xfff9800b,0xfff50003,
    0x0003fff5,0x004fffd8,0xffd13fea,0x01ffb8bf,0xff98bfee,0x97fe45ff,
    0xfffffff9,0x007fffff,0xff81bfee,0xeeeeeeef,0x06ffeeee,0x3fe61ff6,
    0x7ffcc003,0x37ffe200,0x32002fff,0x220004ff,0xff701fff,0x6ffe800b,
    0x7fff4000,0x4c0005ff,0x000fffff,0x7fcc9ff3,0x3ff20fff,0xd0bff201,
    0xffc85fff,0x335fff32,0x03333333,0x80bffe20,0xf7002fff,0x437f40df,
    0x4c002ffa,0x3e200fff,0x1fffd9ff,0x009ff900,0x7027fe40,0x7e400bff,
    0x4c0000ff,0x000fffff,0x7fffff40,0x4bff3005,0x23ffbffb,0x3f200ffc,
    0x43ffdc2f,0xfff33ffc,0x7dc00001,0x17ffc06f,0x266ffb80,0x99eff999,
    0x99affc99,0x0fff9801,0x227ffe20,0xc800effe,0xf30004ff,0x5ffb80df,
    0x07fff300,0x3fff6000,0x7fdc0004,0x802fffcf,0x37fa5ff8,0x3ff66ff8,
    0x107ff200,0x7ff709ff,0x0003ffe6,0x403fff80,0xf7002fff,0x3fffe6df,
    0xffffffff,0x00ffffff,0x1007ffcc,0x3fe63fff,0x4ffc805f,0x37ffd000,
    0xf9333333,0x201333df,0x00006ffe,0x0003ffe6,0xfd4fff88,0xff8801df,
    0x3fa7ff15,0xd80ffb0f,0x7dc001ff,0x01fff33f,0x1ffee000,0x400bffe0,
    0xfff36ffb,0xffffffff,0x1fffffff,0x00fff980,0xfb87ffe2,0x7fe403ff,
    0xfff98004,0xffffffff,0x6fffffff,0x001fffb8,0x03ffe600,0x0fffd800,
    0xf009fff3,0x5c3feedf,0x80ffb3ff,0x5c001ffd,0x1fff34ff,0x3ffe0000,
    0x02fff803,0x4ccdff70,0x999cffb9,0x1999ffe9,0x00fff980,0xfb07ffe2,
    0x7fe403ff,0xfff98004,0xffffffff,0x6fffffff,0x001fffcc,0x03ffe600,
    0x17ffd400,0xf007fff2,0xf89bfaff,0xe80ffd6f,0x7dc001ff,0x01fff34f,
    0x1fff7000,0x005fff00,0x7d41bfee,0x006fe82f,0x200fff98,0x7441fff8,
    0xff900fff,0x99910009,0x99999999,0x7999dffd,0x0006ffe8,0x00fff980,
    0x85fff880,0x7406fff8,0x6c3ff8ff,0x406fe9ff,0x54001ffe,0x1fff35ff,
    0x9fff0000,0x00bffe00,0xfb837fdc,0x005ff81f,0x200fff98,0xf981fff8,
    0x9ff906ff,0xf7000000,0x7ffdc0bf,0xf9800001,0xfd8000ff,0xfff701ff,
    0x7dfff407,0x767fdc0f,0x07ff406f,0x4d7fea00,0x40000fff,0xf000fffb,
    0x3ee005ff,0x81ff906f,0x98004ff8,0x3e200fff,0xfff501ff,0x009ff909,
    0xbff70000,0x00fffe60,0x7ffcc000,0x7ffd4000,0x0ffff404,0x86feffd8,
    0x05fffff8,0x20007ffc,0xfff35ffa,0xfff80001,0x0bffe004,0xc837fdc0,
    0x04ff887f,0x7f777764,0x4eeeeeff,0x6403fff1,0x7fe42fff,0xeeeeeeef,
    0x70001eee,0x3ffa0bff,0xffffffff,0x006fffff,0x4001fff3,0x400ffff8,
    0xfb06fff9,0x3f607fff,0x7fc04fff,0x7fd4000f,0x001fff36,0x007ffdc0,
    0x2005fff0,0xffb06ffb,0xe807ff30,0xffffffff,0xf15fffff,0xffe803ff,
    0x3ffff21f,0xffffffff,0xff70001f,0x3ffffe0b,0xffffffff,0xf3006fff,
    0x7e4001ff,0xff9002ff,0xffff907f,0x3fffea01,0x007ffc04,0x7cdbfe60,
    0x3a0000ff,0x7fc004ff,0xdff7002f,0x3ea1bfa0,0x7fff402f,0xffffffff,
    0x3fff15ff,0x0efff880,0xfffffff9,0x03ffffff,0x417fee00,0xffffffff,
    0xffffffff,0x1fff3006,0x17ffea00,0x0ffff880,0x1037ffdc,0x0007ffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x31000000,0x26200013,0x05550009,0x99999988,0x99999999,
    0x4cccc199,0x40001999,0x4401abb9,0x98800999,0x09990009,0x00c00080,
    0x08804400,0x37f62000,0x3fb72a00,0x4c01cdee,0x00bcefdb,0x91003332,
    0x642ba899,0xff0007ff,0xfffb809f,0x3ffea00f,0xffffffff,0x21ffffff,
    0xffffffff,0xea801dff,0x1effffff,0x00dfffb0,0xf100bff5,0x3fa600ff,
    0x03df1000,0x103be600,0x3a0003df,0xfe986fff,0xffffffff,0xffffb103,
    0x3e05ffff,0x7fcc01ff,0xa93fff67,0x4c002fff,0xfd501fff,0x5401ffff,
    0xffffffff,0xffffffff,0x3ffffe1f,0xefffffff,0xfffff901,0xb07fffff,
    0xa803ffff,0xff8805ff,0x4fff8807,0x01fffb00,0x45fffa80,0x4002fffe,
    0x21fffff9,0xeeeffff9,0xe983ffee,0xffecefff,0x1fff84ff,0xfabffcc0,
    0x3fe1ffff,0x7fe4004f,0xffffea86,0x32600fff,0xffdccccc,0xcccccccf,
    0x2aafffe0,0xeffffdcb,0x677fff40,0x1ffffcaa,0x02ffffec,0x22017fea,
    0xff7007ff,0xfffa803f,0x7ffe4002,0x7fff440d,0x3ffe6003,0x37ffa0ff,
    0xfd033100,0xfffb01df,0x401fff83,0xfff97ff9,0x3ffec7ff,0x98fffa00,
    0xfdeffffe,0xf30000ff,0x3fe001ff,0xfff9101f,0x301ffb8d,0xffd8bfff,
    0x3ea01fff,0x7ff8805f,0x27bff600,0xfeacefec,0x3f62004f,0x7fec04ff,
    0x3ffa004f,0x03ffe65f,0x01bfee00,0xfff8dffb,0xabffcc01,0x2a1fffff,
    0xf3001fff,0x7ffc43ff,0x01fff72e,0x03ffe600,0x200fffc0,0x05c1fffb,
    0xfb1fff20,0x540bffbf,0xff8805ff,0x3ffa2007,0xffffffff,0x3fa2006f,
    0xff9003ff,0x32e001bf,0x003ffd43,0x4401fff8,0x3ffe1fff,0xb3ffcc01,
    0xfff0bfff,0x1bfee009,0xfff70ff6,0x3fe60001,0x3fff000f,0x007fff00,
    0x6c3fff30,0x00fffaff,0xf100bff5,0xff9800ff,0xffffffff,0xfff3001f,
    0xffa8003f,0x220001ef,0x54003fff,0xffd006ff,0x200fffc5,0x15d47ff9,
    0xd007ffd8,0x701107ff,0x20001fff,0xf000fff9,0xffb003ff,0xfff1000b,
    0x7ecffec5,0x4bff504f,0xfbaaaaaa,0xaaaaaaff,0x0cfffa82,0x007fff91,
    0x001dfff5,0x0bfffe60,0xefffe800,0x0bff7002,0xff8fff60,0x3ffcc01f,
    0x07ffea00,0x003fff10,0x0007ffdc,0x000fff98,0xf9003fff,0xff1000bf,
    0x4cffec3f,0xffa80fff,0x3fffffe5,0xffffffff,0x4ffe87ff,0xc80fff90,
    0x80005fff,0x003fffe8,0xffffff10,0x7ffe405b,0xeeeeeeee,0x3fe4fffe,
    0x3ffcc01f,0x7fc07bb3,0x37fdc04f,0x03ffee00,0x07ffcc00,0x801fff80,
    0x98004ffd,0x3ff60fff,0xf509ffd1,0x7ffffcbf,0xffffffff,0x7fcc7fff,
    0x1fff301f,0x013fff60,0x9fffb000,0x3ff22000,0xd84fffff,0xffffffff,
    0x5fffffff,0xf3007ffe,0x3fffe2ff,0x80dffb05,0x5c003ffe,0x30000fff,
    0x3e001fff,0xfff801ff,0x6ffd8002,0xffa8ffec,0x52ffd40f,0xff755555,
    0x5555555f,0x7c07ffa8,0x7ff441ff,0x7000002f,0x0001bfff,0x3ffffae2,
    0x3fff61ef,0xeeeeeeee,0x3fe3eeee,0xbffcc01f,0x81fffffc,0xf101fffa,
    0xfb8003ff,0xf30000ff,0x3fe001ff,0x7ffe401f,0x7ffcc000,0xfd0ffec2,
    0x05ffa87f,0x2007ff88,0x7fc06ffb,0x4fffd82f,0xff900000,0x2600009f,
    0x90fffffb,0xf80009ff,0x7fcc01ff,0x3fffffb7,0x5c0fffe0,0xfb8006ff,
    0xf30000ff,0x3fe001ff,0xfff9101f,0xffe88005,0x2e1ffd86,0x2ffd47ff,
    0x003ffc40,0xff80dff7,0xbfff702f,0x3a200001,0x00002fff,0x2e7fff70,
    0x7c0006ff,0x7fd401ff,0x1fffff77,0x6c1bff60,0xfb8003ff,0xf30000ff,
    0x3fe001ff,0xfeccccdf,0xd8005fff,0xffd80fff,0xf517ffc1,0xfff100bf,
    0x03ffd400,0x5401fff1,0x0001efff,0x00ffff4c,0x6c000151,0x1fff54ff,
    0x1fff4000,0x6cfffd10,0x3ea02fff,0x7ffc40ff,0xfffb8000,0xfff30000,
    0x3fffe001,0xffffffff,0xfffd8002,0xb83ffb01,0x17fea6ff,0x801ffe20,
    0xf702fff9,0xffd300ff,0x3ea0005f,0x3ee00eff,0xfd0002ff,0x02fff49f,
    0x40bffb00,0x4c47fffd,0x43fff800,0x70006ffa,0x20001fff,0xf000fff9,
    0xffffffff,0xf900017b,0x7fec05ff,0xa97ffc41,0xff8805ff,0x77ff4007,
    0x01fffcc0,0x03fffe88,0x06fffdc0,0x1fffff10,0x3fea0022,0x33ffea2f,
    0xfffc8000,0x7ffff441,0x3ff60007,0x001ffec6,0x000fffb8,0x001fff30,
    0x2666bffe,0x7fe40000,0x0ffec02f,0xffab7fe4,0x07ff8805,0x67fffd40,
    0x00ffffdb,0x027ffec0,0x804fffd8,0x91fffffa,0xb75799df,0xfd0dfffd,
    0x55579fff,0xff88bdb9,0xfffcbeff,0x20007ffb,0xff10fffa,0x3ee0001f,
    0xf30000ff,0x3fe001ff,0x3200001f,0xfd803fff,0x9fff881f,0x99005ffa,
    0xfffc8009,0xffffffff,0xfffb8003,0xfffd100e,0x3ffe2007,0xffff90ff,
    0xbfffffff,0x3ffff201,0x5fffffff,0xffffffc8,0x00fff2ff,0xf53fff80,
    0x7dc000df,0xf30000ff,0x3fe001ff,0xf900001f,0x3f6005ff,0x5bff901f,
    0x00000bff,0x7ff7ffd4,0x1fffdfff,0xefffa800,0x0ffffcc1,0x8bffee00,
    0xffffffea,0xd9802dff,0xfffffffe,0xffff502d,0x03ffc3bf,0x6d7ff600,
    0x2e0003ff,0x30000fff,0x3e001fff,0xc80001ff,0x36002fff,0xfff301ff,
    0x0000bff7,0x44fffe20,0xfffb09a9,0xfff30001,0x00effe8b,0x44013100,
    0x00019a99,0x0004cd4c,0x00001331,0x7c7ffd40,0x2e0000ff,0x30000fff,
    0x3e001fff,0x640001ff,0x6c002fff,0x3ff601ff,0x332a5ffe,0xcccccccc,
    0x3a1ccccc,0xff8806ff,0xbd10005f,0x0001bd10,0x00000000,0x00000000,
    0x7efffc00,0x7dc0006f,0xf30000ff,0x3fe001ff,0x3f20001f,0xfd8002ff,
    0x3ffe601f,0x3ffee5ff,0xffffffff,0xfb12ffff,0x3fee003f,0x00000004,
    0x00000000,0x00000000,0x3ff60000,0xfb003fff,0xffffffff,0x007fffff,
    0x2001fff3,0x30001fff,0xffffffff,0xbfffffff,0xfd007ff6,0x7fdcbfff,
    0xffffffff,0x542fffff,0x000e4003,0x00000000,0x00000000,0x00000000,
    0x3ffffea0,0xffffb000,0xffffffff,0xff3007ff,0x3ffe001f,0xfff30001,
    0xffffffff,0x3f6bffff,0x7ffd401f,0x0000005f,0x00000000,0x00000000,
    0x00000000,0xf0000000,0x6c00dfff,0xffffffff,0x03ffffff,0x000fff98,
    0x20003fff,0xfffffff9,0xffffffff,0xd003ffb5,0x0000bfff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0x0bdfedb8,
    0x002fbb26,0x2000f6e0,0xdefeecb9,0x32a2000c,0x801bdeed,0x0bcefdca,
    0x000f3220,0x54c06664,0x99100aba,0x332e0099,0x9999950c,0x99999999,
    0x26166443,0xa80cdfdb,0x322004cc,0x219931cc,0x3620bed9,0x43cc82df,
    0x803deeda,0x7fd43eea,0xb8efffff,0x01ffffff,0x00ffff60,0xffffffe8,
    0xb804ffff,0xffffffff,0xfffd303f,0x207fffff,0x88007ff8,0x7ffd47ff,
    0xb80dffff,0x7cc03fff,0x3fff64ff,0xffffffff,0x97fe63ff,0xeffffffc,
    0x00fffd41,0xf50fffa8,0xdffff31f,0x0bffffe2,0x3ffa2dff,0x301effff,
    0x7d49ffff,0xffffedff,0x7ffedfff,0x17fffe00,0xefffff80,0x04fffffe,
    0xdfffffd1,0xf707ffff,0xfffdffff,0x3ffe0bff,0x3ffcc000,0x3ffbffee,
    0xfffb06ff,0x237ff403,0xfffffffd,0x23ffffff,0xfffb5ff9,0xf0dffffd,
    0x3f600bff,0x3e7fea5f,0xfd8fffef,0x7fc5ffef,0xfeffff9f,0xff506fff,
    0x072a1fff,0x41ffffd3,0xfd002ffe,0x6fc009ff,0xfffe980a,0x1dfffe81,
    0x3ea1ed44,0x7f4c1dff,0x1ffe83ff,0x22ffd400,0x7ff4c0ba,0x06fff882,
    0x0001fff9,0xf983bff6,0x10cffeef,0xfc85fff9,0x7fc400ff,0x3f7fea2f,
    0x1df7ff54,0xffff1ffe,0x7fecc5ff,0xffff882f,0xfffb801f,0x802ffd43,
    0x0000efe9,0x21fffc40,0x8002fffb,0x7ec04ffe,0x17fec0ff,0x013fea00,
    0xf503ffb8,0xfff989ff,0xfff70002,0xfffff983,0x88bffb02,0x7dc02fff,
    0x37ffd46f,0x743ffff1,0x3fffe0ff,0x09ffd01f,0x00bffff2,0xf103ffe6,
    0x000000ff,0x12ffec00,0x70009fff,0xff100fff,0x83ffc87f,0x3ffb85fe,
    0x7fdccc40,0x87fff204,0x30004ffe,0xff305fff,0x7fd405ff,0x405ffd86,
    0x7fd43ffe,0x22fffc2f,0x3ffe1ffd,0x17fee01f,0x000ffff8,0x1ffe0fff,
    0x80000000,0x3fee6ffb,0xffd8000f,0x8bff9004,0x7fcc4ffb,0x417fe40f,
    0xffffffd9,0xb7ff404f,0x10006ffc,0x3e609fff,0x7fcc03ff,0x00fffa87,
    0xfa81fff3,0x40fff86f,0x3ffe1ffd,0x037fd402,0x7c00fffb,0x01ffd06f,
    0x20000000,0x3ff26ffa,0x3fff0005,0x31bfea00,0xfffc8bff,0x2e0ffec2,
    0xfeeeefff,0x7ffc404f,0x0000fffd,0x7cc0dffd,0x2aa8807f,0x3207fff0,
    0x4ffa85ff,0xffd86ff8,0x3007ffe1,0x7ffc0fff,0xeeedc985,0xeeeeefff,
    0x99930fff,0x99999999,0x03999999,0x3fffb726,0x3fa6ffff,0xff88003f,
    0xfff3000f,0x7f46ff88,0x07ff45ff,0xfa83fff1,0xfffa804f,0xf90002ff,
    0x7fcc01ff,0xff900007,0x20bffe0d,0x6ff84ffa,0x3fe1ffd8,0x3ffcc01f,
    0x640fffc8,0xffffffff,0xffffffff,0xfffff70f,0xffffffff,0xd985ffff,
    0xffffffff,0x3ffe6fff,0x7ff98002,0x03ffe200,0x77fccfff,0x51ffe0ff,
    0x9ff509ff,0x17fff600,0x17ffd400,0x001ffe60,0x20fffcc0,0xff507ffa,
    0xfb0dff09,0x00fffc3f,0x5cc5ffe6,0x7dc2fffe,0xffcccfff,0xcccccccf,
    0x3ffffee4,0xffffffff,0x3e62ffff,0xccccefff,0x3fe6ffdc,0xff98002f,
    0xfff3000f,0x3ee1ffd0,0xff13ffaf,0x5c6ffa8b,0xf8804fff,0x4000ffff,
    0x9804fff9,0x200007ff,0x7fec4ffe,0xf09ff504,0x43ffb0df,0x7cc01fff,
    0xdffff97f,0xf07fff05,0x4cc400ff,0x99999999,0x09999999,0xa807bffa,
    0x0fffa6ff,0x00fffc00,0xfd86ffa8,0x3febfd1f,0xf889ff36,0xfeffefff,
    0xfffe804f,0x3a2006ff,0xff3005ff,0x7d40000f,0x03ffe27f,0x7fc27fd4,
    0x3e1ffd86,0x7fcc01ff,0x209dff97,0xfff07ff9,0x40000000,0x5401fff9,
    0x17ff66ff,0x017ffc00,0xfc85ffb8,0xf92ff8af,0x507ff51f,0x3e9ffffd,
    0x7ffec04f,0xb004fff9,0x26001fff,0x400007ff,0xbff72fff,0x7c27fd40,
    0x21ffd86f,0x7cc01fff,0xf500117f,0x03ffe0bf,0x54000000,0xffb807ff,
    0x003ffee6,0x4017ff60,0xffb83ffe,0x3fe67fbb,0x2602ffbb,0x802620ab,
    0xff52fffb,0xfffb805f,0x1ffe6001,0xbff90000,0xfa80bffa,0xd86ff84f,
    0x07ffe1ff,0x800fff30,0xffc85ffa,0x3100003f,0x1ffee001,0x44dfff50,
    0xa8005fff,0x7dc01fff,0xcff980ff,0x677fc5fe,0x800001ff,0x7ec4fff9,
    0xfff301ff,0x7ff98007,0x7fcc0000,0x5407ff9f,0x86ff84ff,0x3ffe1ffd,
    0x03ffcc01,0xf71ffe60,0x0001ffff,0x800fffa8,0xd882fff9,0x7dc6ffff,
    0x06a00eff,0x2e05fffd,0xff103fff,0xffc85ffd,0x4cc40ffe,0x99999999,
    0x37ff4409,0x2077ffc4,0x8005fff8,0x00007ff9,0x4ffeffe8,0x7c27fd40,
    0x21ffd86f,0x7cc01fff,0x7fc4007f,0xdcffdbef,0xdbaacfff,0xbffff003,
    0x37fffa00,0xfefffdba,0xffffe86f,0x3ffdccce,0x66ffffcc,0x06fffeca,
    0x4c3ffffc,0xfe87ffff,0xffffffff,0x7ffec5ff,0x8bfff501,0xeeeefffd,
    0x26eeeeee,0x00007ff9,0x1fffffb8,0x7c27fd40,0x21ffd86f,0x7cc01fff,
    0xffb8007f,0xfd14ffff,0x07ffffff,0x017fffe0,0x7fffffd4,0x6ff8bfff,
    0xfffffc88,0x983fffff,0xfffffffe,0xffe804ff,0xbffff05f,0xffffffd0,
    0x5cbfffff,0x7e403fff,0x3fffe3ff,0xffffffff,0x1ffe67ff,0x3fe20000,
    0xffa806ff,0xfd86ff84,0x007ffe1f,0x2000fff3,0x4c3efffb,0x1efffffd,
    0x05fff900,0x7fffecc0,0x0dff10df,0x7ffff6cc,0x3b200cef,0x01deffff,
    0x205fffb0,0xaa84fffc,0xaaaaaaaa,0xdfff31aa,0x4bfffa00,0xffffffff,
    0x27ffffff,0x00007ff9,0x007fffb0,0xdff09ff5,0x7fc3ffb0,0x3ffcc01f,
    0x20066000,0xa80009a9,0x2660001c,0x26600000,0x01330001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x22000000,0x30001aaa,0x4c400035,0x200a8000,0x0abb9801,0x2af2aa60,
    0x18806200,0x53001a80,0x00355100,0x80009a98,0xeea80099,0xeeeeeeee,
    0x262eeeee,0x0cccc099,0x00000000,0x1001ffe2,0x3dfffffb,0xffffd500,
    0xfe8003bf,0x1ffcc005,0x7e417fc4,0xc84fffff,0xdfffffff,0x6407fdc0,
    0x3fea00ff,0x817fcc01,0x804fffc8,0xefffffd8,0x1fff5001,0xfffffb80,
    0xffffffff,0xdfff12ff,0x2207fff8,0x5fe885fd,0xfff10000,0x7fffcc00,
    0x102fffff,0xdb79dff9,0x7ec009ff,0x1fff4004,0xfd11ffec,0x9fffffff,
    0xffffffc8,0x2ffe45ff,0xf882ffe4,0xff301fff,0xfffc88bf,0x7fcc04ff,
    0x2fffffff,0x05fffe80,0x7fffffdc,0xffffffff,0x8bfff12f,0x3ee07ffe,
    0x7ffdc2ff,0xff880002,0x37ffa007,0x0effeb89,0xf501efe8,0x9fb010bf,
    0x1bfee010,0x3f21bfee,0xfffebabe,0x26226aa0,0x7f40fffd,0x02ffe82f,
    0x983ffff1,0x7fdc5fff,0x404fffff,0xd989cffe,0x3ee00fff,0x0002ffdf,
    0x8bfff000,0x3ee07ffe,0x7ffdc3ff,0xff880002,0x0dff5007,0xdf70bffe,
    0x237bdd71,0x13e62fe8,0x07ec47f9,0xf307ffe2,0x260a01ff,0xf8802fff,
    0x7ffcc0ff,0x807ffcc0,0xf31ffff8,0xdff50bff,0x5c09ff95,0x7ffb04ff,
    0x3e33fe20,0x0000006f,0xffd89fff,0x217fa206,0x00005fe8,0x3200fff1,
    0x9ff902ff,0xefc8ffcc,0x1ff50ffe,0x7dc7bff6,0xd89fff53,0x2ffe83ff,
    0x02fff800,0xf706ffa8,0x0bff90bf,0x7d7fffc4,0xc8b605ff,0x3ff604ff,
    0x20bff300,0x7ff70ffc,0xff000000,0x06ffd89f,0x40000000,0xfb007ff8,
    0x97fea03f,0x547f24fb,0x5c4bf64f,0xcbfbcfff,0x3ea0bfff,0x05ffc86f,
    0x81fff980,0x1fffcaa9,0xd10fff60,0x7f4405ff,0x4005ffff,0x3fe04ffc,
    0x21bfe207,0x7ff43ff9,0x99999880,0x99999999,0x0fffa099,0x0000bff9,
    0xff880000,0x03ffd007,0x2fd97fea,0x727d47f2,0xfffb889f,0x440bffff,
    0x7fcc1fff,0x7f44000e,0xffffb05f,0xfff8805f,0x2037fd40,0x006fffe8,
    0x3e04ffc8,0x17fe607f,0x3fea1bfa,0xfffffb85,0xffffffff,0x0fffa2ff,
    0x0000bff9,0x99993000,0x99fff999,0x36399999,0x7ff704ff,0xbbf90ff4,
    0x837d41df,0x00cfffd8,0xf885ffd1,0x3e6000ff,0xffb00fff,0x201bffff,
    0x7dc0fff9,0x7ffcc06f,0x7e4001ff,0x07ff604f,0x3ea27fe4,0x85ffb02f,
    0xfffffffb,0xffffffff,0xf70bff62,0x0000009f,0xffffff70,0xffffffff,
    0x3fee5fff,0x7c3ffd06,0x3ffbf20f,0x6cc37cc0,0x01cfffff,0xfb81dff5,
    0xfff5005f,0x3ee6003d,0x5ffd04ff,0x201fff88,0xfffffff9,0x13ff2001,
    0x4c0effb8,0x37f41fff,0xa98dff30,0xaaaaaaaa,0x20aaaaaa,0x554c0aa9,
    0x80000001,0xfffffffb,0xffffffff,0xbfff12ff,0xb17ff625,0x7ccfe45f,
    0xfb327dc6,0xffd9f9df,0x09ffb03b,0xfc807ffb,0xb8000dff,0x5ffc87ff,
    0x2604ffd8,0xffe9dfff,0x9ff9001f,0xccfffe80,0x7dc4fffe,0x1ffe402f,
    0x00000000,0x44000000,0xfa999999,0x999999ff,0x3fffee09,0x5c0fffff,
    0x7ec7f24f,0x7fe4bf62,0x3f27f73f,0x7ffc43ff,0x40fffc41,0x003fffe8,
    0xf51bff60,0x6ffa81ff,0x897ffe60,0xc801ffff,0x7f4c04ff,0x44ffffff,
    0xf8805ff8,0x000000ff,0x00000000,0x1ffe2000,0xfffff500,0x1ff301bf,
    0x9b7cc7f2,0x41bf50ff,0x07fa63fc,0x3ea1bfee,0x7fffcc6f,0x1cccccce,
    0x7fe54413,0x0bffe24f,0x2605fff1,0xff885fff,0x555541ff,0x0aaadffd,
    0x39dfdb70,0x20039950,0x00002cca,0x00000000,0x3fe20000,0xba988007,
    0xbb7e400a,0x3fa7b61e,0x427e4143,0x20fff602,0x3fee4ffd,0xffffffff,
    0xfffffd2f,0xffd8dfff,0x205ffc84,0x3e205ffe,0x7fffc6ff,0x1fffffff,
    0x00000000,0x00000000,0x00000000,0x0003ffc4,0x03dfd000,0x6c017fe6,
    0x77c4004f,0x2e1ef882,0xffffffff,0xfffd2fff,0xa819ffff,0x01ff706e,
    0x7c402fcc,0x7ffffc0f,0x01ffffff,0x00000000,0x00000000,0x40000000,
    0x31007ff8,0x33333333,0xffb10133,0x9ffd959d,0x002ff400,0x2620200c,
    0x99999999,0x79975099,0x18010035,0x02600180,0x26666666,0x00001999,
    0x00000000,0x00000000,0xff880000,0xffffd007,0xbfffffff,0x7ffff540,
    0x65c002ef,0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x03ffc400,0xffffffe8,0x805fffff,0x00009aa8,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x03774400,
    0xaaaaaaa8,0x001aaaaa,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x665c0000,0xcccccccc,
    0x0004cccc,0x4404cccc,0x44001999,0x99999999,0x3efdc881,0x99999000,
    0x22999999,0x88888888,0x88888888,0x00000088,0x00000000,0x00000000,
    0x00000000,0xfffd0000,0xffffffff,0x4000ffff,0xb104fffd,0x54009fff,
    0xffffffff,0x3fffa21f,0xff501eff,0x7fffffc9,0xfff7ffff,0xffffffff,
    0xffffffff,0x000000df,0x00000000,0x00000000,0x00000000,0xffffd000,
    0xffffffff,0x36000fff,0xfb802fff,0xff5004ff,0x3fffffff,0x7ffffff4,
    0x3ffb81ff,0x3ffffffe,0xffff7fff,0xffffffff,0xffffffff,0x0000000d,
    0x00000000,0x00000000,0x00000000,0x33333100,0xf5333333,0xffb000ff,
    0x7fcc003d,0x9998804f,0x26199999,0xfff52fff,0x22ffd85f,0xaaaaaaaa,
    0x999992aa,0x99999999,0x79999999,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfff10000,0x0dffd800,0x4ffd8800,0x7fe40000,0x67fff444,
    0x0007ffea,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x007ff880,0x40000ccc,0x40000199,0xfe882ffc,0x03ffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7ff88000,0x00000000,
    0xccb80000,0xffff9100,0x0000007f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0x00007ff8,0x00000000,0x565cc000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x22000000,0x000006ee,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__consolas_38_latin1_x[224]={ 0,7,4,0,2,0,1,8,5,4,3,1,4,4,
7,2,1,2,2,3,0,3,2,2,2,1,7,4,2,2,3,5,0,0,2,1,2,3,3,1,2,3,3,2,
4,0,2,1,2,1,3,2,1,2,0,0,0,0,2,6,2,5,2,0,0,2,2,2,2,2,0,1,2,3,
2,3,3,1,2,1,2,2,3,3,1,2,1,0,1,1,3,3,8,4,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,8,2,1,1,1,
8,2,0,0,4,2,2,4,1,0,3,1,4,5,0,2,2,7,8,4,4,2,0,0,0,3,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,1,0,0,0,0,0,2,2,0,0,
0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,2,0,
 };
static signed short stb__consolas_38_latin1_y[224]={ 28,1,1,3,0,1,2,1,0,0,1,8,22,16,
22,1,3,3,3,3,3,3,3,3,3,3,9,9,7,13,7,1,1,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,1,1,1,3,32,1,9,1,9,1,9,1,9,1,1,
1,1,1,9,9,9,9,9,9,9,3,9,9,9,9,9,9,1,-3,1,14,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,28,9,0,3,4,3,
-3,1,1,3,3,10,16,16,1,2,1,5,1,1,1,9,1,14,28,1,3,10,1,1,1,9,-3,-3,-3,-4,
-3,-5,3,3,-3,-3,-3,-3,-3,-3,-3,-3,3,-4,-3,-3,-3,-4,-3,10,-1,-3,-3,-3,-3,-3,3,1,1,1,
1,1,1,0,9,9,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,8,5,1,1,1,1,1,1,1,
 };
static unsigned short stb__consolas_38_latin1_w[224]={ 0,6,13,21,17,21,20,5,12,12,15,19,10,12,
7,16,19,17,17,16,20,16,17,17,17,18,7,10,16,17,16,13,21,21,17,18,18,15,15,18,17,15,14,18,
15,20,17,19,17,20,17,17,19,17,21,21,21,21,17,10,17,10,17,21,13,16,17,16,16,17,20,19,16,16,
15,17,16,19,16,19,17,16,17,15,17,16,19,21,19,19,16,14,4,14,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,0,5,15,18,19,19,
4,17,17,21,13,17,17,12,18,16,14,18,13,11,18,18,17,7,5,13,13,17,21,21,21,13,21,21,21,21,
21,21,22,18,18,18,18,18,18,18,18,18,20,19,20,20,20,20,20,17,19,19,19,19,19,21,17,17,18,18,
18,18,18,18,21,16,19,19,19,19,19,19,19,19,18,18,20,20,20,20,20,19,19,18,18,18,18,20,17,20,
 };
static unsigned short stb__consolas_38_latin1_h[224]={ 0,28,10,25,33,28,27,10,36,36,17,19,13,4,
7,31,26,25,25,26,25,26,26,25,26,25,20,26,22,10,22,28,35,25,25,26,25,25,25,26,25,25,26,25,
25,25,25,26,25,32,25,26,25,26,25,25,25,25,25,35,31,35,13,4,9,20,28,20,28,20,27,27,27,27,
35,27,27,19,19,20,27,27,19,20,26,20,19,19,19,27,19,35,39,35,8,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,0,27,33,25,23,25,
39,32,9,26,19,16,9,4,18,8,14,23,16,16,9,27,32,7,6,16,19,16,27,27,27,27,31,31,31,32,
31,33,25,31,31,31,31,31,31,31,31,31,25,32,32,32,32,33,32,16,33,32,32,32,32,31,25,28,28,28,
28,28,28,29,20,25,28,28,28,28,27,27,27,27,28,27,28,28,28,28,28,20,27,28,28,28,28,35,35,35,
 };
static unsigned short stb__consolas_38_latin1_s[224]={ 253,246,215,74,208,155,97,250,24,11,54,
1,245,89,247,189,231,23,79,157,147,140,122,38,104,192,188,75,154,197,171,
240,107,211,233,212,155,139,22,34,56,96,1,112,131,1,97,192,61,39,174,
16,41,86,1,230,208,186,168,48,42,37,179,102,38,43,79,60,238,212,191,
160,23,200,171,57,40,208,228,77,153,212,170,196,174,230,188,97,133,229,153,
59,1,92,69,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,
119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,253,244,1,
1,134,20,6,60,229,53,119,70,1,89,35,52,164,115,88,102,19,94,182,
247,250,150,21,114,138,217,1,239,20,104,167,41,82,17,96,63,148,1,206,
225,60,79,98,117,40,78,98,119,140,187,161,132,226,220,1,21,200,126,78,
140,158,1,39,20,177,136,1,61,235,215,58,78,118,180,113,133,60,75,1,
98,119,177,198,23,171,219,41,22,196,129,74,150, };
static unsigned short stb__consolas_38_latin1_t[224]={ 1,1,352,279,1,108,169,75,1,1,352,
352,331,372,313,75,226,305,305,226,279,226,226,279,226,253,305,226,305,352,305,
41,1,253,253,226,253,253,279,226,279,279,226,279,279,279,305,226,305,41,253,
226,305,226,305,279,279,279,279,1,108,1,352,372,372,331,169,331,140,305,198,
169,198,169,1,198,198,331,331,331,198,198,331,305,226,305,331,331,331,198,331,
1,1,1,372,253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,
253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,1,75,41,
253,305,253,1,41,352,226,331,352,372,372,352,372,352,305,352,352,372,198,41,
305,86,352,352,352,169,169,198,169,108,75,75,75,75,41,253,75,75,108,75,
75,108,108,108,108,253,41,41,41,41,1,41,352,1,41,75,75,41,75,253,
140,140,140,140,140,108,108,331,253,108,108,140,140,169,169,198,198,169,198,169,
140,140,140,140,331,198,140,169,169,108,1,1,1, };
static unsigned short stb__consolas_38_latin1_a[224]={ 334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_38_latin1_BITMAP_HEIGHT or STB_FONT_consolas_38_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_38_latin1(stb_fontchar font[STB_FONT_consolas_38_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_38_latin1_BITMAP_HEIGHT][STB_FONT_consolas_38_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_38_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_38_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_38_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_38_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_38_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_38_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_38_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_38_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_38_latin1_s[i] + stb__consolas_38_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_38_latin1_t[i] + stb__consolas_38_latin1_h[i]) * recip_height;
            font[i].x0 = stb__consolas_38_latin1_x[i];
            font[i].y0 = stb__consolas_38_latin1_y[i];
            font[i].x1 = stb__consolas_38_latin1_x[i] + stb__consolas_38_latin1_w[i];
            font[i].y1 = stb__consolas_38_latin1_y[i] + stb__consolas_38_latin1_h[i];
            font[i].advance_int = (stb__consolas_38_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_38_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_38_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_38_latin1_s[i] + stb__consolas_38_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_38_latin1_t[i] + stb__consolas_38_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_38_latin1_x[i] - 0.5f;
            font[i].y0f = stb__consolas_38_latin1_y[i] - 0.5f;
            font[i].x1f = stb__consolas_38_latin1_x[i] + stb__consolas_38_latin1_w[i] + 0.5f;
            font[i].y1f = stb__consolas_38_latin1_y[i] + stb__consolas_38_latin1_h[i] + 0.5f;
            font[i].advance = stb__consolas_38_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_38_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_38_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_38_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_38_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_38_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_38_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_38_latin1_LINE_SPACING
#endif

