// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_25_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_25_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_25_latin1_BITMAP_WIDTH         256
#define STB_FONT_consolas_bold_25_latin1_BITMAP_HEIGHT        194
#define STB_FONT_consolas_bold_25_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_consolas_bold_25_latin1_FIRST_CHAR            32
#define STB_FONT_consolas_bold_25_latin1_NUM_CHARS            224

#define STB_FONT_consolas_bold_25_latin1_LINE_SPACING          16

static unsigned int stb__consolas_bold_25_latin1_pixels[]={
    0x3fee3ff7,0x00000001,0x10013331,0x10a60199,0x55cc0015,0x76e4c000,
    0x4c002660,0x10000cde,0xeeeeec83,0xdddddd33,0x400aa801,0x407260cb,
    0x00002aaa,0x53005555,0x01100015,0x393065c0,0x3ee3ff70,0x0007a61f,
    0x3e6001d5,0xffb004ff,0x22bff10d,0xfe9806ff,0xc800efff,0xff30ffff,
    0x3ffea009,0x0ff8002f,0x53fffff6,0x0ffffff9,0xf5007fc0,0x407ffcbf,
    0x0003ffe9,0x2006ffec,0x800efffa,0x0dffffd8,0xff97fea0,0xb8ffdc0f,
    0x07ffe1ff,0x4037fd40,0x2002fff9,0xff987ffe,0xa80fff16,0xeffedfff,
    0x33ffea00,0x4013fe63,0x00fffdb8,0x9971fe20,0x3fe69ff9,0x2200cccd,
    0x2ffd407f,0x36201fff,0xfb0003ff,0x7ff5007f,0x7cc03ffb,0x1fffffff,
    0x7fcbff50,0xb8ffdc0f,0x3ffee1ff,0x0fffd401,0x003bfe60,0x3207ff50,
    0x880bb22e,0x3fe60dff,0x207ff603,0xb8004ff9,0x3e6003ff,0x4d3fe207,
    0x6dc403ff,0x700cdffe,0x40164c19,0x4c000aaa,0x355001aa,0xff881554,
    0x7ffeccef,0x2c9832e0,0xff71ffb8,0x206ffd83,0x0003fff8,0x00000000,
    0x6fb837ec,0x7cc1bfa0,0xff88004f,0x0df71004,0xff9a7fc4,0x3fffea03,
    0x0002ffff,0x40002200,0x01100008,0xe88bff70,0x008803ff,0xffb8ffdc,
    0x81fff441,0xaa985ffd,0xa82aaa01,0x2aaaaaaa,0xaa806aa6,0x407fe60a,
    0xbff01ff9,0x5cd3fe60,0x2ffc00ac,0x3ffffae0,0x34ff880f,0x3fe607ff,
    0x2fdefeef,0xffa83ffc,0xffffd884,0x7fec400d,0x6c400dff,0xf00dffff,
    0xdff503ff,0x3ffff620,0x71ffb80d,0xfff303ff,0x80eff981,0x3fe06ffa,
    0xfffff10f,0x7fd4bfff,0xc83ffe06,0x3759516f,0x17fe05ff,0x7fe67fcc,
    0x3fe00eff,0x3ffffa05,0xff881fff,0x3207ff34,0x045fb4ff,0x7fd41ffe,
    0x7ffffd44,0xff501fff,0x03ffffff,0x3fffffea,0x37fc41ff,0xfa87ff88,
    0x1fffffff,0xffb8ffdc,0xc87ff901,0x3ffe02ff,0x225ffa81,0xffffffff,
    0x540fffc5,0x45ffc5ff,0xfeaffffe,0x260bff03,0xffffffff,0x417fe06f,
    0xcfedfffc,0x34ff881d,0x3ffa07ff,0x7fc03fd2,0x449ff507,0xffccefff,
    0xefff887f,0x887fffcc,0xffccefff,0x02ffd47f,0x7fc41fff,0x7fffccef,
    0xffb8ffdc,0xf8dff501,0x3ff200ff,0x802ffd84,0x7fe45ff9,0x262ffd84,
    0xfdffd8ff,0xf883fe9f,0xffff304f,0x40bffe65,0xfff887fd,0x7c403fd1,
    0x207ff34f,0x0ffaeffc,0x7d41ffe0,0x117ff24f,0xffc87ffd,0x21fff445,
    0x7f445ffc,0x813fee3f,0x3ff21fff,0x71fff445,0x07fee3ff,0xf987ffc4,
    0x3ffc406f,0x4c01ffe2,0x3ffc45ff,0xff71ffe2,0x3ff37ff1,0x7eccc9fb,
    0x3fff302f,0xf704ffc8,0x3fea15bf,0xf8803fe6,0x207ff34f,0x1ffffff9,
    0x7d41ffe0,0x203ffe4f,0x7ffc6ffb,0x7c6ffb80,0x6ffb80ff,0xfe813fee,
    0x203ffe1f,0x3fee6ffb,0xfe803311,0x009ff51f,0x7fdc5ffb,0x0bff3004,
    0x7fdc5ffb,0x7fd6fe44,0x3fd8ffa8,0x407dfff1,0xffa85ff9,0x5bffee05,
    0x0ff14ffb,0xff34ff88,0x7fffdc07,0x7ff81eff,0x3e69ff50,0x4fff106f,
    0xff106ff9,0x8837fccf,0x17fea7ff,0xff30fff8,0xb9ffe20d,0x7e4001ff,
    0x007ff72f,0x7ff4bff5,0x0bff3000,0x7ff4bff5,0xbfde7ec0,0x227fd7fb,
    0x2601efff,0x6ff984ff,0x65bfff20,0x80df34ff,0x7ff34ff8,0xffffc880,
    0x83ffc3ff,0xbff54ffa,0xfa87ffc0,0x43ffe05f,0x3fe05ffa,0x20dff50f,
    0x3fea7ff8,0x5c3ffe05,0x7dc001ff,0x003ff93f,0x3fe63ffe,0x17fe6006,
    0x7fcc7ffc,0x7fbcfd86,0x98bfaff9,0xf301ffeb,0x0bff509f,0x54273ff2,
    0x80bf56ff,0x7ff34ff8,0x3ffbf200,0x41ffe1ff,0x9ff74ffa,0xfb8fffc0,
    0x47ffe04f,0x3fe04ffb,0x01fff11f,0x7fdcbff5,0x5c7ffe04,0x7e4001ff,
    0x007ff92f,0x3ff2fff2,0x17fe6002,0x7fe5ffe4,0x7fbbfe82,0x207fedf9,
    0xff303ff9,0x207ff709,0xfff986fe,0x7c404fbb,0x007ff34f,0x3ffe6bf6,
    0x7d41ffe3,0x409ff74f,0x9ff71ffe,0xfb8fff40,0x87ffa04f,0x7f445ffd,
    0x813fee2f,0x3ff71ffe,0xfe802aa6,0x00bff71f,0x1ffbbfe6,0x20bff300,
    0x07feeff9,0xf1ff79fd,0x7c0ff5df,0x89ff305f,0xff02fff8,0x3ffff60b,
    0xf881fdef,0x007ff34f,0x1ffec7fa,0x3fea0fff,0x7c0bff54,0x0bff50ff,
    0xffa87ffc,0xa83ffe05,0xfecbefff,0x02ffd46f,0x3fee1fff,0x2203ff71,
    0xfff50fff,0x7fffec00,0x2ffcc004,0x09ffffb0,0x3ffe73f6,0x204fffff,
    0xdff305ff,0x0bffd533,0xfd882ffc,0x81ffffff,0x7ff34ff8,0x88ff8260,
    0x3ffe1ffe,0xf34ffa80,0x9ffe20df,0xff106ff9,0x8837fccf,0xfffc87ff,
    0x4c0effff,0xfff106ff,0xffb8ffdc,0xf8bff301,0xff5000ff,0xf98003ff,
    0x3ffea05f,0x3abf901f,0x06ffdbff,0xff982ffc,0x0effffff,0xb5017fe0,
    0x1019dfff,0x0ffe69ff,0x6ffef7f4,0x7ff46fff,0xf13ffb80,0xbff501ff,
    0x5407ffc4,0x3ffe25ff,0x505ffa80,0x019ffffd,0xf501fff1,0xb8ffdcbf,
    0x5ff701ff,0x2002ffc8,0x98005fff,0x7ffc05ff,0x1a9fee05,0xbff00351,
    0x3ffffe60,0x5ff803ef,0xf100ff00,0x40ffe69f,0xfffffffe,0x1ffec0ef,
    0xffb0ffec,0x42ffe88b,0x7f445ffd,0x22ffec2f,0x6402ffe8,0x7fec02ff,
    0x717ff445,0x07fee3ff,0x3e61ffe2,0xff8800ff,0xffb8001f,0x07ffe204,
    0x0002ff98,0xff9837f4,0x3e20018c,0x07f8804f,0xff34ff88,0x3ffb2a07,
    0xff502cef,0xdff9337f,0xcbefff98,0xff986ffe,0x6ffecbef,0xcbefff98,
    0xfa806ffe,0xf98730ef,0xffecbeff,0xfb8ffdc6,0x03ffe81f,0xfb00dffb,
    0x3f6000bf,0x17ff603f,0x0003bfa0,0xf980ffd8,0xffa8004f,0x806fa803,
    0x7ff34ff8,0x2007f900,0xfffffffd,0xffffc81f,0xf901efff,0x3dffffff,
    0x3fffff20,0xf8801eff,0x41ffffff,0xfffffffc,0xb8ffdc1e,0x2ffec1ff,
    0x889fff10,0x00fffdba,0x7f54dedc,0x36ea20ff,0xfa800fff,0x09b312ef,
    0x459fff50,0x71004ff9,0x7001fff9,0x2eaaa09f,0x5bff34ff,0x00bf6055,
    0xdfffffb8,0x3fffaa00,0xffea804f,0xfea804ff,0x4c004fff,0x82ffffff,
    0x04ffffea,0x3fee3ff7,0x003ffee1,0x7d45fff5,0xb801ffff,0x2fffffff,
    0x0fffffd4,0xfffff700,0x3f6009ff,0x9ff30fff,0x3fffea00,0x207f9003,
    0x34fffffd,0x01ffffff,0x310003ff,0x00130001,0x4c000260,0x65d40000,
    0x4009800a,0x3ff71ffb,0xa800fffc,0x3bfea5ff,0xffd5000c,0xff501bff,
    0xb500019d,0x0017dfff,0xe9877654,0x9bd3003e,0x76400003,0xdd33eeee,
    0x0001dddd,0x00000000,0x00000000,0xb8000000,0x43ff71ff,0x754001e9,
    0x04000040,0x40000080,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7fdc0000,0x0003ff71,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80e64000,0x80002aaa,0x54c02aaa,0x3cb8800a,
    0x0013000c,0x0393065c,0x09999980,0x00c3cb88,0x10005555,0x98018797,
    0x440000aa,0x2aaa0019,0x15554002,0x0002aaa8,0x26215554,0x7fcc0009,
    0x07ffd300,0x06ffec00,0x01dfff50,0x5f7fffc4,0x7f4401fe,0x5ffa805f,
    0xc8803ffe,0x5fffffff,0x5f7fffc4,0xffd301fe,0x7ffc4007,0x201febef,
    0x000efffa,0x6c01ffa0,0x36000dff,0xfd300dff,0x3f60007f,0x27ff40df,
    0x05fc9880,0x001ffec4,0x2a01ffec,0x01ffdbff,0xffff79f5,0xf75fb00d,
    0x25ffa807,0xff700fff,0xbfffffff,0xfffbcfa8,0x7fec406f,0xf79f5003,
    0x7d40dfff,0x001ffdbf,0xd804ffa8,0x7ec003ff,0xffd8803f,0x1ffec003,
    0x2203ffd8,0x03fffffd,0x40015550,0xaa801aa9,0x2180aaa1,0xe800acb8,
    0x97007f37,0xf98164c1,0xf89fffff,0x32e2185f,0x1555000a,0xacb88600,
    0xaa86aa00,0x0ffd8002,0x000d54c0,0x50006aa6,0x2a600155,0x0fff601a,
    0x7fffffcc,0x000000ef,0x40000000,0x77dc0008,0x000001ff,0x3ffffffb,
    0x0000bff1,0x00000000,0xff980000,0x00000005,0x00000000,0xff107ffb,
    0xbfffb7bf,0x3ea0fff0,0x541ffe4f,0x41ffe4ff,0xfd884ffa,0x5000dfff,
    0x7d400399,0x3fe00fff,0xf89fffff,0xffff505f,0x3ffea001,0x3fffa00f,
    0xf505ff80,0x90001fff,0x4ffc83ff,0x540bffa0,0x6c00ffff,0xffffffff,
    0x7ffffec6,0x7fec6fff,0x3a4ffc83,0x7fc3ffff,0x7c9ff507,0x49ff507f,
    0x9ff507ff,0xffffffa8,0x7fd401ff,0xff9000ff,0x7ffc05ff,0xff89ffff,
    0x5ffff905,0x3ffff200,0x0ffffa02,0x7fe417fe,0x7c4002ff,0x0fff886f,
    0x3206ffa8,0x6c02ffff,0xffffffff,0x7ffffec6,0x7fe46fff,0xf30fff82,
    0xff8bff7f,0x7c9ff507,0x49ff507f,0x9ff507ff,0x6677ffc4,0x7e407fff,
    0xff002fff,0x7f40bfff,0xf89fffff,0xfffff05f,0x3fffe00b,0x3fffa05f,
    0xff05ff86,0xb800bfff,0x9ff902ff,0x7c05ffd0,0x6c05ffff,0xcccccdff,
    0x666ffec3,0x7fe43ccc,0xf72ffcc2,0xfff1bfed,0xff93fea0,0x7c9ff507,
    0x49ff507f,0x7f445ffc,0x3fffe03f,0xdff9805f,0x3ff207ff,0xff89ffff,
    0xffdff985,0xfdff9807,0x3fffa07f,0x4c2ffc2f,0x007ffdff,0xff103ff4,
    0x037fd41f,0x0fffbff3,0xb001ffd8,0x3f2003ff,0xd27fd42f,0xff1ffa9f,
    0xf93fea0f,0x49ff507f,0x9ff507ff,0x7dc07ffc,0xfbff306f,0x5ff700ff,
    0x3a203ffd,0xf89fffff,0xeaffb85f,0x7fdc01ff,0xfd01ffea,0x5ff8dfff,
    0xffeaffb8,0x09ff5001,0x3fa4ffc8,0x2bfee02f,0x3f601ffe,0x3ffb001f,
    0x707fee00,0x47fe29ff,0x1ffe1ffe,0xfff27fd4,0xff93fea0,0x269ff507,
    0xfff106ff,0x3fabfee0,0xbbff401f,0x3f6204ff,0x5ff89fff,0x9ff77fe8,
    0xff77fe80,0x3f3bfa09,0x3a17fe1f,0x009ff77f,0xf1003ff6,0x0dff31ff,
    0x9ff77fe8,0x800ffec0,0xf7001ffd,0x74ffb83f,0xf0fff4ff,0x93fea0ff,
    0x9ff507ff,0xffa83ffc,0x7c0bff54,0x77fe80ff,0x7fc409ff,0x300dff35,
    0xbff11b97,0xff35ff88,0x9affc40d,0x3dfd06ff,0x22ffcbff,0xdff35ff8,
    0x00bff100,0x3ff6fff2,0x4d7fe202,0x3ff606ff,0x41aaaaac,0xaaaacffd,
    0x20ffdc1a,0x49fb4ffa,0x1ffe0ffe,0xfff27fd4,0xff93fea0,0x2e9ff507,
    0x3ffe04ff,0xf9affc41,0x8ffea06f,0x88000fff,0x1ffd45ff,0x3ea01fff,
    0x203ffe3f,0x23ffb6fe,0x1ffd45ff,0xfc801fff,0xfff1001f,0xffa80dff,
    0x6c03ffe3,0xffffffff,0x7ffffec3,0x7fdc3fff,0x7c6ffc41,0xff1ffe1f,
    0xf93fea0f,0x49ff507f,0x9ff507ff,0xfe813fee,0xf1ffd41f,0x3ff601ff,
    0x000fff61,0xffb17fe2,0xd81ffec3,0x0fff61ff,0xa7fd5bfa,0x0ffec5ff,
    0xff807ffb,0x7ffe4006,0x0ffec01f,0x3f607ffb,0x3fffffff,0x7fffffec,
    0x7fc003ff,0x3fea7fbf,0xfa83ffc5,0x541ffe4f,0x41ffe4ff,0xbff54ffa,
    0x3607ffc0,0x0fff61ff,0x3fea3ffc,0x5ff88005,0x3fea3ffc,0xfa8fff05,
    0x3a6fe85f,0x7c5ff8ff,0x02ffd47f,0x88007ff7,0xff805fff,0xd82ffd47,
    0xffb001ff,0xe815c003,0x3fa5ffff,0x407ffc2f,0x3ffe4ffa,0x3e4ffa80,
    0x4ffa80ff,0x3e20dff3,0x547ff87f,0xeff985ff,0x07ffdccc,0x265ff980,
    0xfdccceff,0xceff987f,0xe87ffdcc,0x3f3fee6f,0x33bfe65f,0x207ffdcc,
    0xd8000ffe,0x7fcc02ff,0x7ffdccce,0x2003ffb0,0xfb001ffd,0xffff107f,
    0xd0dffd79,0x7ff701ff,0x7dc07ff4,0x203ffa3f,0xfff13ffb,0x98bff501,
    0xfdccceff,0xffffc87f,0x02ffffff,0xf927fdc0,0xffffffff,0xffffc85f,
    0x42ffffff,0x7fffc6fe,0x3ffff25f,0x82ffffff,0xb0004ff9,0xffc805ff,
    0xffffffff,0x001ffd82,0x3e003ffb,0xfff505ff,0xb01dffff,0x3ffb07ff,
    0x7ec1ffec,0x20fff61f,0x3ff61ffd,0x217ff445,0xfffffffc,0x7ff42fff,
    0xffeeeeee,0xfe887104,0x3bbffa2f,0x44ffeeee,0xeeeeeffe,0x37f44ffe,
    0xe97ffff2,0xeeeeeeff,0x0ffd84ff,0x05ffb000,0xeeeeffe8,0xfd84ffee,
    0x3ffb001f,0x80bff200,0x04fffffd,0x266fffea,0x7fd46ffc,0x6ffc99bf,
    0x4cdfffd4,0x7fcc6ffc,0x6ffecbef,0xeeeeffe8,0x3e24ffee,0x0dff505f,
    0x3ff73bf6,0x417fe26f,0x3fe26ffa,0xe8dff505,0x7fffc46f,0x2a0bff15,
    0x2ffc46ff,0x05ffb000,0xfa82ffc4,0xcdffd86f,0x7ec3cccc,0x3cccccdf,
    0x5ffc0098,0xfffb0009,0xb03fffff,0xffffffff,0xfffffb03,0xff903fff,
    0x83dfffff,0xff505ff8,0xf01ffdcd,0xffe883ff,0x2e1effff,0x3ffe03ff,
    0x7c07ff71,0x21bfa1ff,0xff75fffc,0x90fffc07,0x6c0005ff,0x3fee02ff,
    0xb07ffe03,0xffffffff,0xfffffd8d,0xa8006fff,0xfb8000ff,0x200dffff,
    0x0dfffffb,0x3ffffee0,0x3ffaa00d,0x7ff704ff,0xfd8fffc0,0x0fff600f,
    0x41e77654,0x3f600ffd,0x401ffb3f,0x1bfa3ffd,0x7ed7ffe6,0x8fff600f,
    0x6c0004cb,0x3ff602ff,0xb0fff600,0xffffffff,0xfffffd8d,0xa8006fff,
    0x4c40003c,0x004c4000,0x20002620,0x07fec009,0x0007ffb0,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0x65c00aa9,0x2aa07260,0x5540002a,0x4c19702a,0x0026621c,0x4c002600,
    0xa98800aa,0x764009aa,0x2620002e,0x000ccc41,0x802a214c,0x88054429,
    0x8026201a,0x22000198,0x97300999,0x22555579,0x3fea0009,0xbff500ef,
    0x3a607ffc,0xfb0003ff,0xbff501bf,0xff987ffc,0xfec88004,0xf500efff,
    0x7e401dff,0x204fffff,0x002ffefc,0xfd88ffd0,0xff1000ef,0x441bfe2b,
    0x0dff15ff,0x881dfff7,0xffd101ff,0xfff3000b,0x3ffff609,0xff97ffff,
    0x7fd405bf,0xfa81ffdb,0x203ffe5f,0x4003ffd8,0x3ea03ffd,0xe83ffe5f,
    0x3ea000ff,0x1fffffff,0xffdbffa8,0xeefffc81,0x45be04ff,0xffd0005f,
    0x003bfee0,0x7fc5bfe6,0x22dff307,0x5ffcc7ff,0x027f43fe,0x009fdbfd,
    0xc817ffcc,0xfffdbdff,0xfffff95e,0x5435501d,0x4c19702a,0x0555402c,
    0x801aa980,0x50b260cb,0x3e6007ff,0xfdcbdfff,0x2aa1aa81,0x20fffc42,
    0x2a3fe018,0xffd0004f,0x0077fcc0,0x05d91764,0x85d91764,0x5cdf35fb,
    0x457f606f,0xff9804fe,0x91bfe00e,0x766545ff,0x00005fff,0x00000000,
    0xdff00000,0x03bffa00,0xf3000022,0xfa8001ff,0xd0000fff,0x000000ff,
    0x9f700000,0x0ffc5fe2,0x40000000,0x7fcc3ff9,0x8bffee04,0xfffffffd,
    0x7fffec6f,0x3e26ffff,0xffffffff,0x3ffffe26,0x7c46ffff,0xffffffff,
    0x2017fdc6,0x1000fffa,0xffffffff,0x1efff8df,0x005e4c00,0xffbcba88,
    0x2b32a207,0x50355100,0x66544055,0xf76f980a,0x22013f6d,0x8800acca,
    0xf100acca,0x03ffa8bf,0xffb27fec,0x8dffffff,0xfffffffd,0x3fffe26f,
    0x226fffff,0xffffffff,0x7fffc46f,0x446fffff,0x7fe405ff,0x3ffe2004,
    0x26ffffff,0x0cfffff9,0x5e6654c0,0x7fffdc01,0xff507fff,0xf507ffff,
    0x20fff09f,0x3ffffffa,0xaaffffe8,0x7fd400ef,0x2a03ffff,0x03ffffff,
    0xfd539ffd,0x5ffb801f,0x33337ff6,0x6ffec3cc,0x223ccccc,0xacffdaaa,
    0x36aaa22a,0x442aacff,0xacffdaaa,0x01ffd82a,0x8800fff6,0xacffdaaa,
    0xfffff12a,0x3f205fff,0x05ffffff,0xfdddfff9,0xbfff50ff,0xfa87fff9,
    0xa87ff84f,0xfffcdfff,0x45775c43,0x7fd402ff,0x83fffcdf,0xffcdfffa,
    0xffffa83f,0xfe803fff,0x007ff63f,0x4000ffec,0xf9002ffc,0x7fe4005f,
    0x027fcc02,0x40005ffd,0xffc82ffc,0x3ffffc8c,0xfdcdefd8,0x7ffcc3ff,
    0x7f43ff42,0x83ffe21f,0x7ff84ffa,0x3e21ffe8,0x27ec00ff,0xf10fff40,
    0x1ffe81ff,0xf883ffe2,0x00ceeddf,0x1fffd995,0xd800ffec,0xfc8001ff,
    0x5ff9002f,0x017fe400,0xff807ff4,0x3f20002f,0x22ffe82f,0x4c1fffe9,
    0x646ff980,0x47fe84ff,0xffc85ffa,0x3e13fea1,0x42ffd47f,0x3ea01ffc,
    0x2ffd400f,0xff50ffe4,0x543ff90b,0x3ee001ff,0x7ec1ffff,0x3ffb001f,
    0x05ff9000,0x800bff20,0xfa802ffc,0x07ffd03f,0x417fe400,0x7f445ffd,
    0x1ffe004f,0xffd03ffd,0xcccdffb8,0x3ea3ffec,0x5c7ff84f,0xeccccdff,
    0x5ff103ff,0x6ffdc022,0x3ffecccc,0x33337fee,0x3ea3ffec,0x01aaabef,
    0xb017bff7,0x555559ff,0xaacffd83,0x3f201aaa,0x5ff9002f,0x017fe400,
    0xffb06ff8,0x7fe40009,0x0cfffb82,0x54c17fee,0x7c7ffccb,0x47fe80ff,
    0xfffffffc,0x3fea3fff,0x7e47ff84,0xffffffff,0xd1bfb03f,0xffc83bff,
    0xffffffff,0x3fffff23,0x223fffff,0xfffffffe,0x00ffd43f,0xfffffffb,
    0xffffd87f,0x3203ffff,0xff9002ff,0x17fe4005,0xb82ffc80,0x90000fff,
    0x3ffa05ff,0x89ff92ff,0xffffffd8,0x407ffc7f,0x6ffec7fe,0x1ccccccc,
    0x3fe13fea,0x666ffec7,0xa81ccccc,0xfeefd8ff,0x666ffec5,0x361ccccc,
    0xcccccdff,0x77fec1cc,0x22ffffee,0x3f601ffa,0x3fffffff,0x7fffffec,
    0x3ff203ff,0x05ff9002,0x8017fe40,0xff885ff8,0x200880df,0x3f602ffc,
    0x1fffefff,0x333bffa2,0x7ff47ffc,0x2e3ffc40,0x3ea002ff,0x23ffc44f,
    0x44002ffb,0xf0ff8aff,0x017fdc1f,0x4005ff70,0xffc82ffc,0x1ffd8005,
    0x003ffb00,0x2005ff90,0x32002ffc,0x3f6002ff,0xffffc80f,0x201fecbd,
    0x7d402ffc,0x5c3fffff,0x47ff85ff,0x7fec3ffd,0x0037fd47,0xffe8dff3,
    0x0037fd47,0xd37cd7f2,0x037fd43f,0x400dff50,0xbff307ff,0x3f601dc4,
    0x3ffb001f,0x05ff9000,0x800bff20,0x26002ffc,0xfff904ff,0x403fffff,
    0xf9002ffc,0x7ff90dff,0x7d47ffa8,0xfffeabff,0x99effe87,0x7fc43a99,
    0x7fffeacf,0x999effe8,0x07fd43a9,0xd03fe1ff,0x53333dff,0x33dffd07,
    0xfff87533,0x8fffa60c,0x3f605ffd,0x3ffb001f,0x05ff9000,0x800bff20,
    0x74002ffc,0xffb500ff,0x64019fff,0x3ea002ff,0x77fdc0ff,0x87fffb89,
    0xdffffffe,0xffff987f,0xfd86ffff,0x7fdfffff,0xffffff98,0x0ffa26ff,
    0x30dfddfb,0xffffffff,0xfffff30d,0xffb8dfff,0x4fffffff,0xfb037ffc,
    0x3ff6003f,0x2ffc8001,0x005ff900,0x20017fe4,0x7fc03ffa,0x5ff9000d,
    0x1ffe2010,0x3fffffe2,0xfd887fef,0x07fb8eff,0xffffffb1,0xdfffb109,
    0x3620ff71,0x24ffffff,0xffc985fc,0xfffb100e,0x36209fff,0x84ffffff,
    0xdeffffd9,0x203ffb81,0xccccdffd,0x66ffec3c,0x2a23cccc,0xaacffdaa,
    0x3f6aaa22,0x5442aacf,0xaacffdaa,0x40dff002,0x2a201ff9,0xaacffdaa,
    0xd9579d92,0x3faa0bff,0x07fb9dff,0x9880004c,0x00988009,0x00133100,
    0x98800220,0x26620009,0x44002000,0x7fffec00,0x7ec6ffff,0x6fffffff,
    0x3fffffe2,0x3fe26fff,0x6fffffff,0x7fffffc4,0xf9006fff,0x01bea03f,
    0xfffffff1,0x3fff2dff,0x400effff,0x00000098,0x00000000,0x00000000,
    0x00000000,0x7ffec000,0x6c6fffff,0xffffffff,0x3ffffe26,0x3e26ffff,
    0xffffffff,0x7ffffc46,0x1006ffff,0x0b2a0599,0xffffff10,0x3726dfff,
    0x0002deee,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2600d54c,0x99880009,0x0ccc4081,0x00331000,0x804ccc40,
    0x0a6000aa,0x33100151,0x00198800,0x00266620,0x0ccc4001,0x4c400000,
    0x31000019,0x88530133,0x0055400a,0xffffff50,0x009ff307,0xb7bfff10,
    0xeffd887f,0x7ff44000,0xfff98005,0xcfffe884,0xff880ec9,0x880dff15,
    0xd1005ffe,0xf3000bff,0x3faa09ff,0x6c400cff,0x40000eff,0xffd887fb,
    0x3e60000e,0x5ff884ff,0x3a20dff1,0x0ec9cfff,0xfeffffa8,0x27fcc2ff,
    0x3ff6e200,0xf703ffff,0x7f4001df,0x26004fed,0xdf702fff,0x01fffffb,
    0x3fe2dff3,0x7f6ff407,0xfedfe804,0x3ffe6004,0xfffff702,0x3fee00df,
    0x3fa0000e,0x03bfee04,0x0bffe600,0xff8b7fcc,0xffbdf707,0xffd01fff,
    0x262ffdc5,0x7dc004ff,0x09dfffff,0x003bfe60,0x27f457f6,0x0077fcc0,
    0x01dfd98e,0x02ec8bb2,0x27f457f6,0x3fa2bfb0,0x0eff9804,0xb33dff10,
    0x3e6005ff,0x951000ef,0xf9803ff9,0x3e6000ef,0x176400ef,0xb31c05d9,
    0xfff103bf,0x7cc5ff98,0x66d4004f,0x000fffca,0x00000000,0x00000000,
    0x00000000,0x23ffa800,0x00004ff9,0x3fffff20,0x0000003f,0x00000000,
    0x7e45ff98,0x9a7fcc3f,0x54400acb,0x2604fffc,0x401bccca,0x01bccca9,
    0x0de6654c,0x05665440,0x05665440,0xaa81aa88,0x2b32a202,0xacca8800,
    0x4c7ff500,0x951003ff,0x7fec0159,0x43ffffef,0x2aa81aa8,0x5540d544,
    0x79995302,0xccca9803,0x49ff301b,0x7cc0effc,0xeffffccf,0xfffff700,
    0xfff903ff,0x320bffff,0x5fffffff,0xffffff90,0x7ffdc0bf,0x3ee04fff,
    0xa84fffff,0x07ff84ff,0x9ffffff7,0x7ffffdc0,0x16ff884f,0xf7003ffd,
    0x309fffff,0xfff31dff,0x27fd43ff,0x3fea3ffc,0xfc87ff84,0x05ffffff,
    0xfffffff9,0x2a9ff30b,0xff980eff,0x6fffffff,0xeeefffc8,0xdefd85ff,
    0xd83fffdc,0xfffdcdef,0xdcdefd83,0xffd83fff,0x84ffffff,0xfffffffd,
    0x427fd44f,0xfffd87ff,0xd84fffff,0xffffffff,0xffdffd84,0xfffd803f,
    0x6c4fffff,0xf7df71ff,0x427fd45f,0x27fd47ff,0x77ec3ffc,0x83fffdcd,
    0xffdcdefd,0xda7fcc3f,0xfff301ff,0x8bffe65f,0x3ea2fff9,0xf980987f,
    0xf980986f,0xf980986f,0x97ffcc6f,0x261fffc8,0xff912fff,0x427fd43f,
    0x7ffcc7ff,0x43fff912,0xf912fff9,0xfff883ff,0xff9802ff,0x3fff912f,
    0x37fd3ff4,0x27fd49ff,0x3fea3ffc,0x0987ff84,0x0986ff98,0x7cc6ff98,
    0x207ffb4f,0x7e41fff9,0x213ff24f,0x3e001fff,0x3ffc007f,0xfb1ffe00,
    0x47ffd07f,0xffe83ffd,0x3e13fea3,0x41ffec7f,0x3ff63ffe,0x5c3ffe83,
    0x2aa1ffff,0xe83ffd81,0x4dbfe3ff,0x26ff88ff,0x7ff84ffa,0x7fc27fd4,
    0x03ffc007,0xff31ffe0,0x20fffee9,0xffa85ff9,0x3607ffa5,0x975303ff,
    0x54c0fff9,0x207ffccb,0x7ffccba9,0x7e407ff4,0x203ffa5f,0x3fea5ffc,
    0x7f47ff84,0x25ffc80f,0xffc80ffe,0x3ffffee5,0xfd09ff0e,0x4bff901f,
    0x22df96ff,0x13fea5ff,0x9ff51ffe,0x54c0fff0,0x207ffccb,0x7ffccba9,
    0xffd27fcc,0x84ff98bf,0x3ffe6ff9,0x443ffc80,0xfffffffd,0xffffd887,
    0xfd887fff,0x47ffffff,0xdff507ff,0xffa83ffc,0x3e13fea6,0xa83ffc7f,
    0x41ffe6ff,0xfff16ffa,0xff1bffb1,0x2a0fff07,0x75ff66ff,0x549ff53f,
    0x47ff84ff,0x7ff84ffa,0xfffffd88,0xffd887ff,0x4c7fffff,0x7ffec4ff,
    0x2a13fe63,0x03ffe5ff,0xfe88fff2,0x7ffcccef,0x6677ff44,0x7f447ffc,
    0x7ffcccef,0x7cc07ffc,0x203ffe5f,0x3fea5ff9,0x7fc7ff84,0x25ff980f,
    0xff980fff,0x3a27ff75,0xf82ffeff,0x5ff980ff,0x43ff3ff2,0x3fea2ffd,
    0x7d47ff84,0x447ff84f,0xfccceffe,0x77ff447f,0x4c7ffccc,0x6ffc84ff,
    0x3ee13fe6,0x20bffa3f,0x3fee2ffe,0x7dc7ff85,0x5c7ff85f,0x47ff85ff,
    0xffb82ffe,0x2e0bffa4,0x13fea4ff,0xffe8fff1,0x3a4ffb82,0x4ffb82ff,
    0x7fc45ff9,0xffe80fff,0x264ffb82,0xfd9effff,0x227fd46f,0x7fd47ff8,
    0x2e3ffc44,0x47ff85ff,0x7ff85ffb,0x7c427fcc,0x113fe67f,0x7fec5fff,
    0x907ffcc4,0x7ffa87ff,0x3ea1ffe4,0x21ffe47f,0x7fec7ffa,0x362ffe85,
    0x2ffe85ff,0xffd1bfe6,0xe85ffd8f,0x17ff62ff,0x7fdcbffa,0x827ffcc4,
    0xffe85ffd,0x7ffffd42,0x7fcc1fff,0x263fff46,0x3fff46ff,0xff50fff2,
    0x543ffc8f,0xa7fcc7ff,0x26ffb999,0xea99eff9,0x7ffd45ff,0x45fffbae,
    0xfb89effb,0x77fdc7ff,0x47fffb89,0xfb89effb,0x7ffcc7ff,0x46ffebbf,
    0xebbffff9,0x7ffc46ff,0x47fffeac,0xebbffff9,0x7ffcc6ff,0x26ffebbf,
    0xc99bfff9,0xf980efff,0xffebbfff,0xfffff706,0x9fff101b,0x88ffffd5,
    0xffeacfff,0x4f7fdc7f,0x5c7fffb8,0xffb89eff,0xea7fcc7f,0x262fffff,
    0xffffffff,0xffffd80e,0x7c40efff,0xfeffffff,0x7ffffc47,0x7c47feff,
    0xfeffffff,0xfffffc87,0xffc81eff,0x81efffff,0xdffffffd,0xffffc87f,
    0xfc81efff,0x1effffff,0x7fffffe4,0xf906ffff,0x3dffffff,0x00277f20,
    0x3ffffff6,0xfffd87fd,0x447fdfff,0xefffffff,0x7fffc47f,0x4c7fefff,
    0xdfffd4ff,0xffffd885,0x7fdc03ef,0xd500cfff,0xff73bfff,0x3bfffd50,
    0xffd50ff7,0x20ff73bf,0x0cffffea,0x3ffffaa0,0xfffb100c,0x2a0ff71d,
    0x00cffffe,0x33ffffaa,0xfffff700,0x20bffd19,0x0cffffea,0x8800bfe0,
    0xfb8efffd,0xefffd887,0xfea87fb8,0x87fb9dff,0xb9dfffea,0x0033007f,
    0x4c4000cc,0x00262001,0x88001310,0x09880009,0x0004c400,0x31000131,
    0x00988001,0x80002620,0xcc880098,0x00988000,0x20004c40,0x4c400098,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x806aa600,0x04400aaa,0x401e4c00,0x2aa00198,
    0x80198000,0x026202a8,0x15440ae2,0x08801310,0x200aaa80,0x26662098,
    0x10544000,0x54c40035,0x331000aa,0x80331013,0x2aa81aa8,0x13003c88,
    0xf81bfea0,0xfec880ff,0xff000dff,0x7ff4407f,0x7fff4405,0xea80ec9c,
    0x442effff,0xff107ffb,0x449ffd03,0xff107ffb,0xdffd9103,0x3fffe609,
    0x641ff883,0x3a001fff,0x01ffb0ff,0xdfffff90,0x1bffd100,0x7fffffe4,
    0xf84ffa83,0x84ffe86f,0xeffffec8,0x540fffc0,0xffe985ff,0x401effff,
    0x3a05fff8,0x2e04fedf,0xfffffdef,0x7ffffdc0,0x3fe62fff,0x309fd07f,
    0x7fccffff,0x309fd07f,0xdffdbfff,0x6fc9a881,0xff504fe8,0x3ffe003f,
    0xb803fff0,0x06ffffff,0x741fff44,0x5fffffff,0x7fc27fd4,0x545fff86,
    0xffffffff,0x6c27fe41,0xdffe82ff,0x805ffeba,0xbfb01ffd,0x23813fa2,
    0x7c41dfd9,0xffb98aff,0x5c3fcd47,0xdfff106f,0xfb87f9a8,0x443ff886,
    0xfeca86fd,0x22037dc3,0xeb801ffe,0xf1013aa3,0x220085ff,0x59b01ffe,
    0x45fffb75,0x6ff84ffa,0x3e61ffb8,0xfdcbdfff,0x223ffc41,0x5ffa87ff,
    0x400fffc4,0x00000008,0x7427fd40,0x23fcc0ff,0x3aa01ff8,0x447f980d,
    0x43fc81ff,0xfb85fb18,0x07fe25ff,0x00000000,0x0000bff3,0x23ffe800,
    0x6ff84ffa,0x03bffa00,0x8bff6022,0xffe84ffb,0x404ffc81,0x555502a9,
    0x55440355,0xf5079930,0x30ffd0bf,0x004fd8ff,0x3f63fcc0,0xf70ff884,
    0x20df33ff,0x09fb2ff8,0x0d555554,0x2aaaaaa0,0x09ff5001,0x35555550,
    0x45ff7000,0x6ff84ffa,0xff50aa88,0xffa8001f,0x3e03ffa5,0x5fffc86f,
    0x6c07fdc0,0x205fffff,0xfffdaff9,0x3ffe20ef,0x2613ff24,0x003bea7f,
    0x7d4ff300,0xf54fb80e,0x43fa3dff,0xf56fecda,0x7ffec01d,0x7fec05ff,
    0xf5005fff,0xfffb009f,0xfd000bff,0x427fd41f,0x0ffa86ff,0x20009ff9,
    0x6ff98fff,0x3a25ff88,0x6406ffff,0xfffd80ff,0x3fe605ff,0x4ffffffe,
    0x7f77ffdc,0x22dd305f,0x980002ff,0x205ff16e,0xb0bfd3fc,0x337fea5f,
    0x6c02ff89,0x405fffff,0x05fffffd,0x3bff7332,0x7ec1cccc,0x4405ffff,
    0x43ffebaa,0x6ff84ffa,0xffb1ffb8,0x3ff20007,0xf982ffcb,0xf9fff55f,
    0x3ffb20ff,0x2ffcc01f,0x25ffff30,0xffa86ffa,0x36006fff,0x0571004f,
    0xfd813f60,0x7f907ff2,0x4004fd80,0x26005ff9,0x3ffe05ff,0xffffffff,
    0x017fe603,0x17fffff5,0x7cc4ffa8,0xd1ffb86f,0x260005ff,0x307feeff,
    0x5fffbbff,0x3ffa1ffe,0x7cc01fff,0x3ffe605f,0x7e43ffc1,0x00dfffff,
    0xe8007fd4,0x7fd404ff,0x3e2bf600,0x203fc83f,0x4c000ffa,0x3e6005ff,
    0x3733205f,0x1cccceff,0x3017fe60,0x3fffffdd,0xff137fd4,0x23ff70ff,
    0x20002fff,0x104ffffd,0x41bfffff,0x7ffe46ff,0xff98019a,0x217fe605,
    0x6ffec7fe,0x205fffc9,0xf1002ff8,0x3e201fff,0x7f90112f,0x0bf617fe,
    0x40017fc4,0x26005ff9,0xff5005ff,0x5ff98009,0x7ffecc00,0xd79fff50,
    0xfc87ffff,0x007ffd2f,0x0ffffd40,0x43ffff88,0x7ff45ff8,0x2ffcc002,
    0xfd09ff30,0x262ffd4f,0xbfb01fff,0x7403ffe6,0xbfb01fff,0x5c5dffd3,
    0x3dfff74f,0xafec07fa,0x4c00fff9,0x3e6005ff,0x9ff5005f,0x05ff9800,
    0x2a5ffd00,0xdeffffff,0x3ff21fff,0x0009ffb2,0x7c05fff8,0x4ffb82ff,
    0x2000fffc,0x3e605ff9,0x327fe84f,0x2ffc82ff,0xffd0ffa8,0x3ffe201f,
    0xe88ffa81,0x9fe66fdc,0x6f99fffd,0x3fa1ff50,0x7fcc00ff,0x17fe6005,
    0x0027fd40,0x40017fe6,0xfff52ffd,0xfff31bff,0xfb97fe43,0xf10000ff,
    0xffc803ff,0x207ff445,0x4c004ffe,0x3fe605ff,0x3f67fe84,0x42ffc83f,
    0xd7f72ff8,0x43ff401f,0x7fa82ff8,0x23311ff4,0x2ff883fd,0x801fd7f7,
    0x26005ff9,0xff5005ff,0x5ff98009,0x0fff8800,0x88137ff5,0x897fe409,
    0x0880dfff,0x2017ff60,0xea9cfff8,0xfffb85ff,0xbff3001c,0x7427fcc0,
    0x2fffee7f,0x40fffb88,0x3adf15fc,0x07ff500f,0x7ff30bf9,0xfd83ff98,
    0x3e2bf906,0xf9801fd6,0x3fe6005f,0x09ff5005,0x105ff980,0xff953357,
    0x027fd4bf,0xfb8fff60,0xfecbdfff,0x3ff6ea21,0xfff5000f,0x201dffff,
    0x2ffffffd,0x3ff2aaa2,0x3e60aaae,0x747fe84f,0xffffffff,0xfb87fd42,
    0xb10fffff,0xff50bffd,0x703ffa81,0xdffbbfff,0x2e1ff501,0x20ffffff,
    0xeffcaaa8,0x2aa20aaa,0xaaaeffca,0x809ff500,0xeffcaaa8,0xfff30aaa,
    0x41dfffff,0x6c004ffa,0x7ffe43ff,0x2a1fffff,0x001fffff,0x277fff4c,
    0x7ffffe40,0x3ffffe62,0x262fffff,0x47fe84ff,0xdfffffc8,0xd71ff441,
    0x261dffdd,0xfe882eff,0x777ffd43,0xefffd981,0x23fe880c,0x0effeeeb,
    0x3fffffe6,0x3e62ffff,0xffffffff,0x09ff502f,0xffffff98,0xff32ffff,
    0x505dffff,0xfd8009ff,0xfffda83f,0x3fea0cef,0x4c0000ce,0x6e544000,
    0x3fffe61e,0x22ffffff,0x7fe84ff9,0xfc806620,0x0607f405,0xff70bf90,
    0x09803fff,0x3a02fe40,0x7fffcc0f,0x22ffffff,0xfffffff9,0xff502fff,
    0xffff9809,0x22ffffff,0x4c009998,0x764003ee,0x004c403e,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x18002620,0x00332200,0x26201988,
    0x26009999,0x04cc0009,0x00022000,0x73579731,0xcc985544,0x76dc400a,
    0x7ffec3ff,0x002fffff,0x3fff6011,0x9807ffff,0x7fc00000,0x409ff507,
    0x2ea20009,0xd9800abc,0x02dffffe,0x36001ff9,0x7ecc06ff,0x6c1effff,
    0x105fffff,0x7cc00bff,0xfd88004f,0x5c00dfff,0x7fffffff,0x3ff6bfe6,
    0xfd880eff,0x6c3fffff,0xffffffff,0x3fff2202,0x3fff61df,0xd507ffff,
    0x8807ffff,0xfff07ffb,0xb513fea0,0xb807ffff,0x04ffffff,0x7fffffe4,
    0x1fff04ff,0x81fffa00,0xfffffffb,0x7fffec1f,0x0bff105f,0x0027fcc0,
    0x3fffffea,0xfff901ff,0x4cfffddd,0xfffffeff,0x7fff446f,0x7ec1ccce,
    0x2eeeeeef,0xfffffd10,0x3332e3ff,0xfc87ffcc,0x06ffffff,0x20fffff7,
    0x9ff507ff,0x3fffff62,0xfffb05ff,0x6409ffff,0xdcbcefff,0x01fff04f,
    0x4c0bfea0,0xcaabdfff,0x17fe601d,0x3002ffc4,0x7c4009ff,0xfffcceff,
    0x42fff987,0x3ffe67fe,0x45fff32f,0xd801effc,0xffc8007f,0x805eb9be,
    0x7ffd47ff,0x23fffbab,0x7ffffff9,0x3ea0fff0,0x79dff14f,0xfa85fffb,
    0x05510bff,0x440fffe6,0xfff55511,0x00055557,0x8002ffdc,0xff105ff9,
    0x27fcc00b,0x88bff900,0x7fe43ffe,0x3e67fe84,0xa7fe41ff,0xb000fff8,
    0xffd000ff,0xfff00083,0x7d42ffe8,0x2bbfe67f,0x0fff07ff,0x84993fea,
    0x7ffc4ffd,0x27fec003,0xfffff980,0x2a7fffff,0x901aaaaa,0x26000bff,
    0xbff105ff,0x7cc35550,0x2079934f,0xffb80fff,0x740fff46,0x217fe67f,
    0xbff55ffa,0x003fec00,0xf00037fc,0xf07ff8ff,0xf896c1ff,0x20fff07f,
    0xfb804ffa,0x01ffe25f,0x4007ffe0,0xfffffff9,0x3ff67fff,0xff705fff,
    0xf980019f,0x8bff105f,0x3e60effc,0xeffffdcf,0x441bfe60,0x07ffc7ff,
    0x9ff33ff4,0x3f2dff30,0x1cefecdf,0xceeeffd8,0x017fe201,0x7fc7ff80,
    0x01ffd80f,0x3fe0fff1,0x009ff507,0x7fccbff7,0x3ffc4006,0x40266666,
    0x3f600fff,0xf105ffff,0x003bffff,0x7c417fe6,0x07ffee5f,0xfffffff3,
    0x2ffd49ff,0x7fc1fff0,0x267fe80f,0x5ffa84ff,0xfffffffb,0xfffd87ff,
    0xf105ffff,0x7fc000bf,0x6c1fff47,0xfff102ff,0x7d41ffe0,0x3ffe804f,
    0x3001ffe6,0xffff8dff,0x01fff04f,0x9817fe60,0x1effffff,0x882ffcc0,
    0x3fff35ff,0x25ffff30,0x3fee6ffa,0xe87ffe04,0x3ffc40ff,0xff709ff3,
    0x33bfff67,0x2e1fffec,0xffffdccc,0x7fffffc4,0xff005fff,0xbefffc8f,
    0x103fffec,0x1ffe0fff,0x2e027fd4,0x7ffc47ff,0x1bfea000,0x209fffff,
    0xf3000fff,0xffc880bf,0x2602ffff,0xbff105ff,0x2605fff1,0x3ffc1fff,
    0x7f409ff7,0xb0fff61f,0x27fccfff,0x7ecbffe2,0x04ffd83f,0x7fc7ffc8,
    0x5fffffff,0xfd0fff00,0xffffffff,0x41ffe205,0x9ff507ff,0x40fffcc0,
    0x26005fff,0x7dccc6ff,0x01fff04f,0x8017fe60,0x00ffffea,0x3e20bff3,
    0x203ffeef,0x7fe85ff9,0xff817fea,0x2fffea0f,0x267fffea,0xfea99eff,
    0x20fff25f,0xf8805ffa,0x3fea60ff,0x0009999e,0x3fae0fff,0x01ffebef,
    0x3fe0fff1,0x04ffa80f,0x2e07fff3,0xdbabefff,0x80fff885,0xfff04ffa,
    0x17fe6001,0x07ffee00,0xf882ffcc,0x200fffff,0x7fe84ff9,0x7c41bfe6,
    0xffffe87f,0x3e67feff,0xefffffff,0x2a13fee0,0xff8805ff,0x02ffc40f,
    0x007ff880,0xf8807ffc,0x01ffd07f,0xff307ff7,0xfffb807f,0xff05ffff,
    0x09ff507f,0x4c003ffe,0xff0005ff,0x17fe605f,0x7feeffc4,0x213fe606,
    0x3ffe27fe,0x885ffa80,0xfe8dfffd,0x3ffffe67,0x7ffa83ef,0xc803ffd8,
    0x5ff886ff,0x6ffa8080,0x817fea00,0xffb07ff8,0x983ffb07,0xb1003fff,
    0x207dffff,0x7d41fffb,0x05ffd04f,0x0417fe60,0x201fff10,0xff105ff9,
    0x209ffd1b,0x7fe84ff9,0x3a22ffec,0xd04c02ff,0x467fccff,0xadffe801,
    0x320fffc9,0xfffebaaa,0x805ff883,0xfffb9ade,0x5fff5003,0xa83ffc40,
    0xfc99bfff,0x1fffc46f,0x033fe200,0x2f7fffa0,0xfb04ffda,0x205335df,
    0xbfb05ff9,0xdfff9557,0x882ffcc0,0x7fff35ff,0xfd09ff30,0xbefff98f,
    0x8006ffec,0x13fe67fe,0xfffff980,0x3fe22fff,0x84ffffff,0xccceffcc,
    0xfffd1ccc,0x9910dfff,0x89fffdb9,0xfffcccc8,0x3ff61ccc,0x21ffffff,
    0xeeeffff8,0xff502eee,0x3ffa6001,0x04ffffff,0xfffffff3,0x3ff2aaa2,
    0xffb0aaae,0x1fffffff,0x7fe55544,0xff10aaae,0x20fffdcb,0x7fe84ff9,
    0xffffffc8,0xfe8001ef,0x0013fe67,0x3bffffb1,0xffffff88,0xfffff01c,
    0x25ffffff,0x04fffffb,0xfffffff1,0xfffff109,0xb87fffff,0x40dfffff,
    0xfffffffa,0xbf902fff,0xfffd9000,0x754039ff,0xff36ffff,0xffffffff,
    0x3fffff25,0x7fcc0cff,0xffffffff,0xfd8bff12,0x13fe60ff,0x7f541ffa,
    0x20004fff,0x13fe67fe,0x98019800,0xfff80099,0xffffffff,0x22004c42,
    0x00bdefff,0xfffffff1,0x26207fff,0x3fffea00,0x02ffffff,0x44000397,
    0x4c400099,0x3fffe609,0x42ffffff,0x26009998,0xffffffff,0x8bff12ff,
    0x3e66ffe8,0x807fe84f,0xed800009,0x000fba66,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffb00000,0x8019bdff,0x400aa01b,
    0xfffffffc,0x101fff30,0x3fea1fff,0x7c000004,0xffffffff,0xffff56ff,
    0xfe819ddf,0x13ff203f,0x2ff83fe6,0x7d407ff4,0x7ffe404f,0xfffffd85,
    0xf12fffff,0xffffffff,0x7fffffcd,0xfb5fffff,0x9fffffff,0x2e00fff2,
    0xffffffff,0x20ae22ff,0xfffffffd,0x06ff983f,0xff00dff1,0x41ffffff,
    0xffd84ffd,0x0013fea3,0xdf00ffdc,0x99999999,0x3fffeadf,0x321fffff,
    0x3ffa06ff,0xf10ff981,0x80ffe83f,0x3e604ffa,0xffd85fff,0xffffffff,
    0xffffff12,0x7ffcdfff,0xffffffff,0xffffffb5,0x0fff29ff,0x3ffffee0,
    0x3a2fffff,0x6ffec4ff,0x84fffedc,0x8aa8cffd,0x7d403ffd,0x42aaefff,
    0x3e60fff8,0x77ffd46f,0xfb801bcd,0x6657e01f,0xffab7c1b,0x6fffcaad,
    0x2203ffe6,0x4ff507ff,0x7ff41ff8,0x204ffa80,0xd85ffffd,0xffffffff,
    0xb55512ff,0x645559ff,0xcdffeccc,0x9bffb3cc,0x3f259999,0xeeea803f,
    0x1fffeeee,0xfd8ffff3,0x07ffe41f,0x3fffffe2,0xfd805fff,0x7dc06fee,
    0x50bff65f,0xffffffff,0x0ffdc01b,0x3fffebf0,0x27fd5be5,0xff83ffe6,
    0x45ffa82f,0xa99ffc98,0x3ffa19ff,0x504ffa80,0x00bff9ff,0x3207ffa8,
    0xff9002ff,0x007ff605,0x80007ff9,0x3fe25ffe,0x40ffec6f,0xffa84ffe,
    0x00ffffff,0x37f5ffc4,0x7ccfff40,0xefffa85f,0x205ffffe,0x57e01ffb,
    0xdf4fea99,0x3fe13fea,0x213ff20f,0x7ff42ffd,0xffffffff,0x501ffd1f,
    0xdff109ff,0xe800bff1,0x3ff203ff,0x05ff9002,0xf9007ff6,0x7e40007f,
    0x06f540ff,0x3ee07ff6,0x8cffa85f,0x5c02ffe9,0x806fe8ff,0x0ffddffa,
    0x2e24ffa8,0x99972fff,0x3999bffb,0xfbfcc2fc,0xf989ff56,0x437fd46f,
    0x7ff40fff,0xffffffff,0x501ffd1f,0x3ff909ff,0xf98017fe,0x17fe407f,
    0xb02ffc80,0xffc803ff,0xfff30003,0x7ff54005,0x1bfe62ac,0x9ff51ff2,
    0xdfd5fe80,0x7ff40555,0x9ff504ff,0x3f69ffd0,0xffffffff,0x3e617e3f,
    0x37feadf6,0x81fffbaa,0x3fe61fff,0x9cfe9885,0x3a19efd9,0xdcccccff,
    0x2ffcc4ff,0x7ec00bff,0x17fe403f,0xb02ffc80,0xffc803ff,0x9ffd0003,
    0xfffff800,0x0fff10ff,0x5ff88bfd,0x7f4bfe60,0x3e607fff,0xff500fff,
    0x2e9ff709,0xcdffdccc,0x6457e1cc,0x2adf3ffd,0xffffffff,0x647ffb02,
    0x8ffa03ff,0xfffe85fd,0x4fffffff,0xbff07ff4,0x03ffe600,0x2005ff90,
    0xffb02ffc,0x25ffffff,0xc8003ffc,0x7c000eff,0x10ffffff,0x0dfd0fff,
    0x3fe409ff,0x80fffffd,0x3ea03ffd,0x03ffc84f,0xafc03ff7,0x5be2dff9,
    0xfffffffa,0x5ffb85ff,0xff803ffa,0x3fa13f62,0xffffffff,0xf0bfee4f,
    0x3ff600bf,0x02ffc804,0x3605ff90,0xffffffff,0x8007ff92,0x0001fff9,
    0xff303ffb,0x4c1ff90d,0x93fe02ff,0x3fe206fe,0x6fffffff,0x3e227fd4,
    0x3ff701ff,0x84f9afc0,0x4c9ff56f,0x7c42fffb,0x30dff17f,0xf559ff75,
    0x7ff435bf,0xf14ffa80,0x00bff0bf,0x9001fff3,0x3f2005ff,0x59ffb02f,
    0x3f215555,0x7ff4003f,0x217fe404,0xffb81ffd,0xaaeffa85,0x3fea07fe,
    0x206feaac,0xefffeee8,0x77fd45ee,0x05fffcba,0x5f807fee,0x2adf0591,
    0x5ffd84ff,0xffaaffe8,0xfffffb84,0x24ffffff,0xffa80ffe,0xddddff74,
    0x01ddfffd,0x64013ff6,0xff9002ff,0x007ff605,0x64007ff9,0x7fcc06ff,
    0x40ffec7f,0xffa83ffe,0x00ffffff,0xfffffffb,0x17fe400d,0xffffff50,
    0x7dc01bff,0x6c57e01f,0x9ff56f82,0xf70bff70,0x503ff99f,0xfdddffdd,
    0x7ff47ddf,0xf74ffa80,0xffffffff,0xff303fff,0x3ff2001f,0x05ff9002,
    0xf9007ff6,0x3fe6007f,0x7ffcc01f,0xb10ffec7,0xfff10dff,0x0dffffff,
    0xfddddff1,0x666440df,0x43ccdffe,0xdefffffa,0x57e00002,0xf56f87fc,
    0x07ffd09f,0x0fffdff3,0x3fe67fa8,0xa80ffe80,0xdddd54ff,0xddfffddd,
    0x009ff901,0xc8017fe4,0x3ffb02ff,0x003ffc80,0x36009ffd,0x6ffec3ff,
    0x82ffffdc,0xb098bffe,0x0ffb89ff,0x055577f4,0xfffffff1,0x4ffa8dff,
    0x55555100,0x5f855555,0x2adf07b3,0xffcaadff,0xffff01ff,0x26fb809f,
    0xffe80ff9,0x804ffa80,0x3e205ff8,0x2aa200ff,0x2aacffda,0x6c0bff20,
    0x7fe401ff,0x0ccccccd,0xddddfff7,0x80985ddd,0xfffffffd,0x05fe981e,
    0x7f41bff1,0xfffffe86,0x3f6aaa21,0x7d42aacf,0xfff5004f,0x1fffffff,
    0x6666677c,0xff56fccc,0x5fffffff,0x17fffe40,0x7fa97f20,0xf501ffd0,
    0xbff1009f,0x202ffe40,0xfffffff8,0x3ff206ff,0x803ffb02,0xfffffffc,
    0xffffb0ff,0x07ffffff,0x3bffff60,0x200a803c,0x41ffcc1a,0x01fffffe,
    0xfa80bff2,0xfff5004f,0x1fffffff,0x7ffffffc,0xff56ffff,0x017ddfff,
    0x00ffffa8,0x0df727ec,0x3ea03ffa,0x5ff8804f,0x803fff10,0xfffffff8,
    0x3ff206ff,0x803ffb02,0xfffffffc,0xffffb0ff,0x07ffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfd027fe4,0x03ffea5f,0x7fc9bff2,0xfa97fcc0,0x25ffe84f,
    0xff80fffe,0xffffffb5,0x37fecdff,0xa80bffe6,0xf500ffff,0x05bdffff,
    0x37bffffe,0xffff500c,0x01405bdf,0x54402800,0x54400acc,0xa982bccc,
    0x8801bccc,0x510abcba,0x20555035,0x440acca8,0xffa80fff,0x222ffec6,
    0x3fee2fff,0x547fe600,0x77fdc4ff,0x20ffffa0,0xffffb5ff,0x7ecdffff,
    0x3ffee0ff,0x3ffff203,0xfffff502,0xfff0dfff,0x07ffffff,0xfffffff5,
    0x03fd83df,0x40ff6200,0x4ffffffb,0xffffff90,0xfffffc8f,0x3fee05ff,
    0xff54ffff,0xf50fff09,0xc87fffff,0x2ffe84ff,0xf90fffcc,0x00ffb8bf,
    0x7fd47fe6,0xd07ffe64,0xbff0dfff,0x33337ff6,0x3fff63cc,0x80ffffa3,
    0x505fffff,0xfffb9dff,0xccfff89f,0x544fffed,0xffdcceff,0xbfff50ef,
    0xfffd1000,0xfffffd81,0x7fe44fff,0x6c7dccdf,0xfffdcdef,0xfffffd83,
    0x09ff54ff,0xfffa8fff,0x223fffcd,0x3fea0fff,0x22bffb06,0x7fd41fff,
    0x543fea00,0x13ffa4ff,0xf0bffffa,0x007ff6bf,0x7c57fffa,0xff304fff,
    0x3ea0fffb,0x237fec4f,0xfffc87ff,0xf313fea0,0x7ffcc5ff,0xfff3000e,
    0x2fff981d,0x7c3fff91,0x809801ff,0x7fd46ff9,0x2a5510bf,0x47ff84ff,
    0x3fe21ffe,0xe93ff20f,0xfff102ff,0xf50bff93,0x87fd403f,0xdff74ffa,
    0x1bffffa0,0x07ff6bff,0x23ff3fa0,0x704fedfb,0x03ffd5ff,0xff989ff5,
    0xfe83ffc7,0x213fea4f,0x7f444ffc,0x7fd401ef,0x07ffb05f,0x7ffc7ffd,
    0x3ffc0003,0xf500fffe,0x54fff09f,0x1ffc85ff,0x3e63ffe2,0x77fe406f,
    0xff980fff,0x3ea1ff11,0x3e33fea7,0x9dfd00ff,0xdaffc3ff,0xaff801ff,
    0xfdbfdaff,0x3eeffd04,0x44ffa84f,0x3ffc6ff9,0x3ea5ffb8,0x84ffb84f,
    0x702fffd8,0x7f407fff,0x25ffc80f,0x01cefffd,0x7fe65d4c,0x201ffe27,
    0x7ff84ffa,0x33337fee,0x7e43ffec,0x402ffdbf,0x04fffff8,0x3fee3ff3,
    0x7fd4ff52,0x3a03ffec,0x3e5ff9ef,0x559ffb5f,0x57fc3555,0xfd8ffcfc,
    0xf35ff885,0x49ff50df,0x7fc3ffe9,0x54dff307,0x3ffc84ff,0xb0ffff20,
    0xff805fff,0x44dff507,0x2efffffe,0x7ffffec4,0x1bfe67ff,0x3e13fea0,
    0x3ffff27f,0x43ffffff,0x06fffff8,0x01ffff70,0x7fec7fe6,0x7fd4ff75,
    0x7f406fff,0x3fe3ffb6,0xffffffb5,0x557fc7ff,0x0bfb6fff,0x7ffc7ff5,
    0x7ffffd40,0x7ff84fff,0x7d4fff10,0x0fffd44f,0x547fffa0,0xff804fff,
    0x85ff980f,0x2fffffda,0x999dffd1,0x3ffccfff,0x7c27fd40,0x337ff67f,
    0x81cccccc,0x001ffffc,0x203ffffb,0xfff8aff8,0x7fd4df77,0x3a01fffe,
    0x3e9ff56f,0xfffffb5f,0x3fe27fff,0xfb3fff8a,0x6c3ffb0d,0x7ffd43ff,
    0xff00ffff,0xa9ffe20f,0xffecceff,0x3ffa204f,0x2fffd41e,0x2e0bffa0,
    0x3ea204ff,0x0bff75ff,0x7ffc4fff,0x227fd400,0x3fee7ff8,0xfff88002,
    0xffff3005,0x2bfe20df,0xfb9ffdfa,0x3f33fea6,0xe9bfa06f,0xfb5ff8ff,
    0x1ff8803f,0x1bf21ffb,0xbff51ffe,0xfebdffa8,0x20fff06f,0x3fea6ff9,
    0x04ffffff,0x403bffe6,0xb00efff9,0x5ffd0bff,0x32dff500,0x3ffd43ff,
    0xf3017ffe,0x27ffe8df,0xb0006ffa,0x3fa005ff,0xf02fffcf,0x9fd5fb5f,
    0x67fd4bf9,0xfd03fff8,0x7fe7fdcd,0x8803ffb5,0x64df71ff,0x677fcc6f,
    0x547ffdcc,0x7ffd14ff,0x3ee0fff0,0x3bffea5f,0x3ea00bce,0xfe8805ff,
    0xfff981ef,0x26ffebbf,0xfd309ad8,0x27bfee9f,0x547fffb8,0xdbabefff,
    0xd59fff15,0xffe8ffff,0x03a9999e,0x2a00bff6,0xfffb8fff,0x8ffbff80,
    0x2a5fcefb,0x3fff54ff,0xfff8dfd0,0x03ffb5ff,0x1311ff98,0x3ff23fe4,
    0xffffffff,0xfa93fea2,0xd07ff87f,0x27fd47ff,0x09fff900,0x17ffec40,
    0x7fffffe4,0x3ffe21ef,0x10ffffff,0xdfffffff,0xffffb0ff,0x7fecbfff,
    0x47fdffff,0xfffffff9,0x0bff606f,0x7c4fffa0,0xfeff84ff,0x4bfdff35,
    0x3ff64ffa,0x7e46fe86,0x3ffb5fff,0x201ff980,0x77ff47fc,0x4ffeeeee,
    0xffd13fea,0x6c47ff87,0x27fd46ff,0x02fffa80,0x01fff900,0x19ffffd5,
    0xfffffe88,0x7ff540cf,0x507fb9df,0x47dffffd,0xb8efffd8,0xfffd887f,
    0x3f604fff,0x7ffdc02f,0xd03ffee0,0x7ff47fff,0x893fea4f,0x37f44fff,
    0x6d7fffe2,0xcccccdff,0x5c01ff53,0x417fe27f,0x3fea6ffa,0x3e37fdc4,
    0xfffdccff,0x027fd42f,0x80003f70,0x04c401fb,0x00cccc40,0x880004c4,
    0x00262009,0x20026620,0x3e202ffd,0x5ffe83ff,0xf907fff4,0x27fd49ff,
    0xfe87ffee,0xb5fffc86,0xffffffff,0xb803fead,0x07ff70ff,0xffa8fffc,
    0xf17ffc44,0xdfffffff,0x009ff503,0x01000008,0x00000000,0x00000000,
    0x5ffb0000,0xb83ffe40,0x3ff62fff,0x51fffcc6,0xdffd09ff,0x7fcc37f4,
    0xfffffb5f,0x3feadfff,0x6c3fee00,0x3ff600ff,0xf909ff53,0x7ffffcdf,
    0x3fea03ce,0x00000004,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xccb88000,0x0037950a,0x55550022,0x2a555555,0x11aa802a,0x55101555,
    0xc9855445,0x004c403c,0x22019930,0x5dc3952a,0x500d54c0,0x44aaa155,
    0xb9801bcb,0x0011001a,0x00000662,0x880c41a8,0xaa880aa9,0x350500ab,
    0xff813330,0xfffdefff,0x0ffe401f,0xfffffff0,0x01ff6dff,0x7fec7ff1,
    0x263ffd86,0xffffdaff,0x7fffdc0e,0x1ffb802e,0xfff7ff30,0x545fffb5,
    0x3ffe06ff,0xfff3ffb0,0x3fea07ff,0xf701efff,0xfa807fff,0x203a600f,
    0x4ff881e8,0xfff917f6,0xfffe89ff,0x8ffa22ff,0x3ffd86fe,0x7ffe5efc,
    0x7c06ffcf,0x3ffe04ff,0x96ffffff,0x7fcc01ff,0xb93ffa22,0x77fcc6ff,
    0x44ffffff,0x0ffeccec,0x980ffdc0,0xfeffffff,0x7ffc4ffe,0x365ffa81,
    0xffefffff,0x4577dc0f,0x7e42ffb9,0x4c3fffff,0x2614ff31,0x3fa20eff,
    0xa8ffec0f,0x77fec3ff,0x33762fff,0x7fec7ffd,0xfc87ff71,0x3fee0c2f,
    0x6c01ff33,0x266603ff,0x71fffc99,0x7fd403ff,0x44fffcc1,0x7fcc0fff,
    0x0dff52ff,0x5c01ff88,0xfff301ff,0x3f2dff71,0x6c27fe46,0x3fff62ff,
    0x4c7ffb0d,0x8cfffadf,0x27ff30ee,0x5fec7fd8,0x43fd8ef8,0xfe88effd,
    0x89ffd43f,0x362885ff,0x1ffe03ff,0x7fecdff1,0x500bff21,0x0bfe23ff,
    0xf8800350,0x4bfea3ff,0x1ff71ffa,0xffddff90,0x83fff307,0xecc987ff,
    0x7fdc02ff,0x2a7ff301,0x88ff92ff,0x3ffc47ff,0xff517ff6,0x57d47ec9,
    0xf53f99fc,0xd11ffa8f,0xffdffdff,0xeeffd88b,0x37fc43ff,0xe8801ffb,
    0x7ee541ff,0x14ffa83f,0x0ffe4dff,0x5ffe54c4,0x0002ffaa,0x227ff440,
    0x9ffb3ff9,0xffe81ff2,0xbff305ff,0xffd8ffd0,0x7742ffee,0xeeeffeee,
    0x2a3ff34e,0xb0ff90ff,0x27fdc5ff,0x55107ff6,0xb9faafc3,0x1feebf1f,
    0xfd983ff3,0xd101cfff,0xf507ffff,0x017fe27f,0xfd09ffd1,0x3fa05dff,
    0x7dc3ff66,0x7fffd41f,0x2fffffff,0x3bbbbbba,0xfb04eeee,0x7d7fe0df,
    0x40df96ff,0x300ffff8,0x4ffd09ff,0x0bfe2ff9,0xffffffff,0x3fe6dfff,
    0x3f21ff51,0x3a5ffa87,0x0ffec0ff,0xffaa7c40,0x7fd5ba2f,0x3661ff22,
    0x200cffff,0xd00efff9,0x07ff21ff,0xa827ff44,0x643ffeba,0x49ff52ff,
    0x3fe60eea,0xaaaffcbd,0x3fffe0aa,0x6fffffff,0xf00fffb8,0x3ffff5df,
    0x7fdc0bfb,0x9ff302ff,0x7fccffd0,0x642ffeac,0xcdffeccc,0x23ff33cc,
    0x0ff90ffa,0x3fe63ffe,0x001ffd86,0x97a7eabf,0xdbfff15f,0x7fec49ff,
    0x84fffffe,0x0effffe8,0x3fa5ff98,0x17ff4c0e,0x265ffa80,0x0dfd14ff,
    0xffa9ff20,0x66666400,0x43cccccc,0x3602fff9,0xcfecfcef,0xfff303ff,
    0xff301fff,0xfd8ffd09,0x402feeff,0xff301ffb,0x7e43fea3,0xf97ff907,
    0x03ffb05f,0x23ea3f60,0x263f99fb,0xe84fffff,0xfd8ef8cf,0x6dfff444,
    0xffc80eff,0xff8bff32,0xd16fffff,0x27fff999,0x3ff26fe8,0x5cdfb001,
    0x000002ff,0xc809fff1,0xffcaffff,0xffe882ff,0xf986ffda,0xa87fe84f,
    0xb801311a,0x3ff301ff,0x3fe43fea,0x7feeff98,0x2003ffb0,0xc88c9df9,
    0x5d440feb,0x3e63300a,0xffe882e7,0x103bff63,0x21fe47fd,0x6fffffff,
    0x9ffffff1,0x9f90fe44,0x4c7fdc00,0x0510efff,0x7ec03c98,0x4cccccff,
    0x7cdfffee,0xffd81fff,0x989fff15,0x27fe84ff,0x99999998,0x80ffdc01,
    0x1ff51ff9,0xffd81ff2,0x3ffb04ff,0x44f7e400,0x2622fea8,0x01999999,
    0xfe881fea,0x182ff443,0x33333010,0x55554133,0x00020202,0xf9fffff3,
    0xe80fffff,0xfff104ff,0x4fffffff,0x3fe4fffa,0x7ffdc0ff,0x987ffea0,
    0x27fe84ff,0xfffffffa,0x07fee00f,0xffa8ffcc,0x7d40ff90,0xffb01fff,
    0xfffa8003,0x7fd41eff,0x00ffffff,0x03880331,0x00000071,0x00000000,
    0x3ee5fff7,0x7fc06fff,0xffff104f,0x4cffffff,0x3ff22fff,0x417ffcc7,
    0xff30fffc,0x74cffd09,0x0eeeeeee,0x4c02aa60,0x21ff51ff,0x7ffc07fc,
    0x007ff606,0x406ee620,0xeeeeeee9,0x0000000e,0x00000000,0x06000000,
    0x2a002662,0x000000de,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x1aa80000,0xb9806e20,
    0x1ffc801a,0x33333310,0x19983333,0x37510666,0x00154400,0x11026662,
    0xeeeeeec8,0x85106eee,0x4cccc0a8,0x77775400,0x27ff31ee,0xaaaaaaaa,
    0xfd1aaaaa,0x009fffff,0x00000000,0x40000000,0x104fffb8,0xfe987fff,
    0xf300efff,0x3fea0dff,0xffffffff,0x3e2dff10,0x3fffe66f,0xf88664c5,
    0xff3004ff,0x23ffd89f,0xfffffffd,0x5ff887ff,0xfd88dff1,0x3fee00ef,
    0xff51ffff,0x3fffffe1,0x5fffffff,0x9ffffffd,0x00000000,0x00000000,
    0x27ffffc0,0x227fff98,0x6ffecffe,0x05ff9fb0,0xfffffff5,0x3fe21fff,
    0x7f4dff16,0xf70effff,0x07fffdcf,0x30bffe60,0x2ea1ffff,0xfdbbbbbb,
    0xf16ff987,0x3bfee0ff,0x55555100,0xff97f215,0xffffffff,0x99995fff,
    0x00007999,0x00000000,0x76400000,0xff104ffc,0x87fee1ff,0x7fd41ffc,
    0x4c40ffb8,0x99999999,0xbff2ffc1,0x3f633fe6,0x2a6ffcef,0x2200ffff,
    0xffa80dfe,0xff7000ff,0x2eb8bb20,0x0017fa60,0x00001cb8,0x00000000,
    0x00000000,0xff984000,0x43ffe604,0x17fcc7fc,0x04fe8ffa,0x7cbff000,
    0x641ff55f,0x6c2fffff,0x880003ff,0x2e005ffe,0x0000007f,0x00000000,
    0x00000000,0x00000000,0x9ff30000,0x3f26ff80,0xc87fea0f,0x10ffd46f,
    0x55555555,0x3e4ff855,0xd703314f,0x002605df,0x002b8800,0x00003fdc,
    0x00000000,0x00000000,0x00000000,0xf9800000,0x8bfee04f,0xfe99cffa,
    0xd05ff10f,0x7fffd4df,0x20ffffff,0x00fb63ed,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x26000000,0x7f6cc4ff,0xffffd84f,
    0x417ae3ff,0xfff52ee9,0x1fffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfffffd00,0x07bfeadf,0x01dffeb8,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80000000,0x6ffffffe,0x00000011,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x88000000,0x00999999,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_bold_25_latin1_x[224]={ 0,4,2,0,1,0,0,5,3,2,1,0,2,3,
4,0,0,1,1,1,0,1,1,1,1,0,4,2,1,1,2,3,0,0,1,1,1,2,2,0,1,1,2,1,
2,0,1,0,1,0,1,1,0,1,0,0,0,0,1,3,1,3,1,0,0,1,1,1,0,1,0,0,1,1,
1,1,1,0,1,0,1,0,2,1,0,1,0,0,0,0,1,1,5,2,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,1,0,0,0,
5,1,0,0,2,1,1,3,0,0,2,1,2,2,0,1,0,4,5,2,2,1,0,0,0,1,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,
 };
static signed short stb__consolas_bold_25_latin1_y[224]={ 18,0,0,2,-1,0,0,0,-1,-1,0,5,13,10,
13,0,1,1,1,1,2,2,2,2,1,1,5,5,4,7,4,0,0,2,2,1,2,2,2,1,2,2,2,2,
2,2,2,1,2,1,2,1,2,2,2,2,2,2,2,0,0,0,2,20,0,5,0,5,0,5,0,5,0,0,
0,0,0,5,5,5,5,5,5,5,1,5,5,5,5,5,5,0,-2,0,8,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,18,5,-1,1,2,2,
-2,0,0,1,1,6,10,10,0,1,0,2,0,0,0,5,0,8,18,0,1,6,0,0,0,5,-3,-3,-3,-3,
-3,-4,2,1,-3,-3,-3,-3,-3,-3,-3,-3,2,-3,-3,-3,-3,-3,-3,5,-1,-3,-3,-3,-3,-3,2,0,0,0,
0,0,0,-1,5,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,2,0,0,0,0,0,0,0,
 };
static unsigned short stb__consolas_bold_25_latin1_w[224]={ 0,5,9,14,12,14,15,4,9,9,12,13,8,8,
6,13,14,12,12,12,14,12,12,12,12,13,6,8,11,12,11,9,14,14,12,12,13,10,10,13,12,11,10,13,
11,14,12,14,12,14,13,12,13,12,14,14,14,14,12,8,12,7,12,14,9,12,12,11,13,12,13,13,12,12,
11,13,12,14,12,13,12,13,11,11,12,12,14,14,14,14,11,11,4,10,14,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,0,5,11,13,14,14,
4,12,12,14,10,12,12,8,13,11,10,12,9,9,13,13,13,6,4,9,10,12,14,14,14,10,14,14,14,14,
14,14,15,12,12,13,12,12,12,13,12,12,14,13,14,14,14,14,14,12,14,13,13,13,13,14,12,13,13,13,
13,13,13,13,14,11,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,14,12,14,
 };
static unsigned short stb__consolas_bold_25_latin1_h[224]={ 0,19,7,16,23,19,19,7,25,25,12,13,10,3,
6,21,18,17,17,18,16,17,17,16,18,17,14,18,15,8,15,19,24,16,16,18,16,16,16,18,16,16,17,16,
16,16,16,18,16,22,16,18,16,17,16,16,16,16,16,23,21,23,8,4,6,14,19,14,19,14,18,19,18,18,
24,18,18,13,13,14,18,18,13,14,18,14,13,13,13,19,13,23,26,23,7,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,0,18,23,17,16,16,
26,21,6,18,13,11,6,3,13,5,10,16,11,11,6,18,21,6,4,11,13,11,18,18,18,18,21,21,21,21,
21,22,16,21,21,21,21,21,21,21,21,21,16,21,22,22,22,22,22,12,22,22,22,22,22,21,16,19,19,19,
19,19,19,20,14,17,19,19,19,19,18,18,18,18,19,18,19,19,19,19,19,14,19,19,19,19,19,24,23,24,
 };
static unsigned short stb__consolas_bold_25_latin1_s[224]={ 255,247,57,130,153,189,154,249,21,11,177,
96,11,178,82,176,16,201,227,208,158,149,136,173,70,187,248,98,167,44,155,
246,73,99,102,241,128,73,212,1,145,186,176,46,223,84,60,94,142,225,114,
41,198,214,115,31,16,1,235,144,67,136,31,163,136,205,15,218,133,243,180,
232,81,28,46,67,54,110,72,179,123,109,140,193,15,230,125,42,57,1,30,
88,1,113,67,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,
88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,255,235,124,
162,16,47,6,106,123,122,85,203,110,178,152,146,20,75,216,226,89,221,103,
103,158,1,166,236,83,107,137,31,132,205,161,117,88,73,31,80,220,233,1,
14,27,40,93,54,1,147,180,195,210,58,240,190,1,16,30,44,166,190,62,
1,42,70,56,240,226,119,1,240,147,218,204,175,152,194,42,166,28,56,170,
140,126,84,98,16,184,198,212,112,161,31,100,58, };
static unsigned short stb__consolas_bold_25_latin1_t[224]={ 1,28,181,132,1,51,73,166,1,1,166,
166,181,181,181,28,93,113,113,93,132,113,113,132,93,113,132,93,149,181,149,
51,1,149,132,93,149,149,132,113,132,132,113,149,132,149,149,113,149,1,149,
113,132,113,132,149,149,149,132,1,51,1,181,181,181,149,73,149,51,149,93,
51,113,113,1,113,113,166,166,149,113,113,166,149,113,149,166,166,166,93,166,
1,1,1,181,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,
132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,132,1,93,1,
113,132,132,1,51,181,93,166,166,181,181,166,181,181,132,166,166,181,93,28,
181,181,181,166,166,93,93,93,93,28,28,28,28,28,28,132,51,28,28,51,
51,51,51,51,51,132,28,1,1,1,28,1,166,28,28,28,28,1,28,132,
73,73,73,73,73,73,51,166,113,51,51,51,51,93,93,93,93,73,93,73,
73,73,73,73,166,73,73,73,73,51,1,1,1, };
static unsigned short stb__consolas_bold_25_latin1_a[224]={ 220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_25_latin1_BITMAP_HEIGHT or STB_FONT_consolas_bold_25_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_25_latin1(stb_fontchar font[STB_FONT_consolas_bold_25_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_25_latin1_BITMAP_HEIGHT][STB_FONT_consolas_bold_25_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_25_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_25_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_25_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_25_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_25_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_25_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_25_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_25_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_25_latin1_s[i] + stb__consolas_bold_25_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_25_latin1_t[i] + stb__consolas_bold_25_latin1_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_25_latin1_x[i];
            font[i].y0 = stb__consolas_bold_25_latin1_y[i];
            font[i].x1 = stb__consolas_bold_25_latin1_x[i] + stb__consolas_bold_25_latin1_w[i];
            font[i].y1 = stb__consolas_bold_25_latin1_y[i] + stb__consolas_bold_25_latin1_h[i];
            font[i].advance_int = (stb__consolas_bold_25_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_25_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_25_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_25_latin1_s[i] + stb__consolas_bold_25_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_25_latin1_t[i] + stb__consolas_bold_25_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_25_latin1_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_25_latin1_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_25_latin1_x[i] + stb__consolas_bold_25_latin1_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_25_latin1_y[i] + stb__consolas_bold_25_latin1_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_25_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_25_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_25_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_25_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_25_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_25_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_25_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_25_latin1_LINE_SPACING
#endif

