// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_26_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_26_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_26_latin1_BITMAP_WIDTH         256
#define STB_FONT_consolas_bold_26_latin1_BITMAP_HEIGHT        202
#define STB_FONT_consolas_bold_26_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_consolas_bold_26_latin1_FIRST_CHAR            32
#define STB_FONT_consolas_bold_26_latin1_NUM_CHARS            224

#define STB_FONT_consolas_bold_26_latin1_LINE_SPACING          17

static unsigned int stb__consolas_bold_26_latin1_pixels[]={
    0x3ba67dd3,0x00010103,0xccca82a6,0x333224cc,0xa9802ccc,0x0035912b,
    0x0e4000e4,0x7cc00880,0x2e00006f,0x31003fff,0x09f90001,0x00003333,
    0x20026662,0x2e600099,0x02a60042,0x7cc04055,0xb09ff34f,0x0077dcbf,
    0x321fff30,0x227fffff,0x04ffffff,0x4cffffa2,0x6402ffff,0x3f6001ff,
    0x3ffaa00f,0x6ff980df,0xfff70000,0x027e4003,0x7d41fec0,0x4c0004ff,
    0x74404fff,0xfe801fff,0x03faaeff,0x7fdcdff1,0x261ffcc3,0x89ff34ff,
    0xffd0fff9,0x7ffdc007,0xffffff92,0x7fffffc4,0x3ffffa04,0x3ffffd32,
    0x00fffe40,0xd8077fec,0x0effffff,0x00037fcc,0x0006ffdc,0x3a000ffa,
    0x9ffd102f,0x3ffe6000,0x6f7f4402,0x3fea01ff,0x03fffffd,0x7fecfff5,
    0x263ffec4,0x09ff34ff,0x0ffe4dfd,0x03fff300,0x5ff89ffa,0x01dff500,
    0x3a02ffe4,0x7fdc06ff,0x19ff901f,0xf98dff51,0x5440006f,0x2e62002a,
    0x20009cff,0x665c01ff,0x66644001,0x70ccb800,0x885c0199,0x7ec03eec,
    0xf907be63,0x34ff98ff,0x813109ff,0x1c980009,0xff89ffa0,0x03ff9005,
    0xf880dff0,0xfff304ff,0x20ffea05,0x3fe60ffa,0x00000046,0x3fffff22,
    0x6e5406ff,0x00002dff,0x00000000,0x88000000,0xa7fcc1dc,0x00004ff9,
    0x4ffd0000,0xfb005ff8,0x0ffb001f,0xd03fff50,0x2ffc09ff,0x7fcc9ff0,
    0x81bffd95,0x3aa05eea,0x7ffff45e,0xd306ffff,0x09ffffff,0x02f3b6e6,
    0x2f3b6e60,0xcedb9800,0xedb9800b,0xdb9800bc,0x4c000bce,0x29ff34ff,
    0x3aa05eea,0x7777745e,0xfd00eeee,0x802ffc4f,0xffb007fd,0x313ff200,
    0x7fd40dff,0xf99bf201,0xfffffeef,0x07ffe20e,0xff71ffec,0x751df77f,
    0xffffff10,0xfff909ff,0x6403dfff,0x1effffff,0x3fffff20,0x3ff201ef,
    0x201effff,0xeffffffc,0x26177441,0x29ff34ff,0xfb01fff8,0xfffff87f,
    0xfd01ffff,0x802ffc4f,0xffb007fd,0x91ffe600,0xb7f407ff,0xfbeeefe9,
    0x3ffffe67,0x6c3fffcc,0xfff884ff,0x7dd3ff60,0x577fec05,0x7ec18dfb,
    0xffffffff,0xfffffd81,0xfd81ffff,0xffffffff,0xfffffd81,0xfd81ffff,
    0xffffffff,0xf30ffe61,0xd93fe69f,0xfff884ff,0x66666640,0xffd01fff,
    0xe802ffc4,0x3ff9007f,0xf8bffe00,0x7ff102ff,0x5bfffff3,0x77ffccff,
    0xf51ffee0,0x8bff70ff,0x07fb5ffd,0xfc8fffcc,0x0bfff984,0xf98bfff3,
    0xfff30bff,0x0bfff98b,0xf98bfff3,0xfff30bff,0x0bfff98b,0x7ccbfff3,
    0x9a7fcc4f,0x1ffea4ff,0xf8017fee,0x4ffd01ff,0xf8805ff8,0x7ff5006f,
    0x4d3ff600,0xff300fff,0x9ff5ffb3,0x3fe61ff5,0x07ffc41f,0xffd0bffe,
    0xfefffb85,0x9ffea02f,0x4ffd83fd,0x360fff98,0xfff984ff,0x2613ff60,
    0x3ff60fff,0x20fff984,0xff984ffd,0x989ff30f,0x89ff33ee,0x7ff42fff,
    0x07ffe002,0xbff13ff4,0x1fffe540,0xbefff880,0x557fee00,0x3fee06ff,
    0x39ff4ff8,0x1bfe61ff,0x3f20fffc,0x21bfe65f,0xdfffffe8,0x74bff702,
    0x0fffc41f,0xff13ffe8,0x4fffa03f,0xfd01fff8,0x07ffe27f,0xff89fff4,
    0x27ffd01f,0xf9804ffa,0x32ffe44f,0xff800dff,0x44ffd01f,0x3ffe05ff,
    0xffc8002e,0x5bfe602f,0x3f204ffb,0xff8aff9e,0xff30ffab,0x10bffa0d,
    0x3ff21fff,0xffffb103,0xffb83dff,0xff303fe6,0x9a7fe40f,0x3ff207ff,
    0x640fff34,0x0fff34ff,0xff9a7fe4,0x553ff207,0xff9804ff,0xc87ffc44,
    0x7fc003ff,0x44ffd01f,0x3ffe05ff,0x3f6000df,0x3e202fff,0x409ff76f,
    0x99ffadfd,0x267faaff,0x1fff06ff,0x3fe7ffb0,0x7fecc00f,0x3ea1ffff,
    0xa87f88ff,0x3ff206ff,0x640dff55,0x0dff55ff,0xffaaffe4,0x557ff206,
    0x3ff206ff,0x300bff55,0x7ffb09ff,0xf0003ffe,0x9ffa03ff,0x64405ff8,
    0xff5004ff,0xbff5001b,0xfe81bfea,0xff98ffac,0x3fe67fb9,0x507ff986,
    0x0bff5bff,0x3ff7bee0,0x3bffe25f,0x3ee316fb,0x57fee05f,0x3ee05ffb,
    0x40bff75f,0xbff75ffb,0xfbaffdc0,0x57fee05f,0xf9805ffa,0xadffa84f,
    0xff8005ff,0x44ffd01f,0xdff005ff,0x003ff200,0xff9a7fe4,0x3eb3fa07,
    0xfc9ffa8f,0x361bfe65,0x3ffe05ff,0xf9002ffd,0xf71fff29,0xbfdfffff,
    0xfb81bfee,0x40dff75f,0xdff75ffb,0xfbaffdc0,0x57fee06f,0x3ee06ffb,
    0x88bff75f,0x09ff32cc,0x0bff7ffe,0x407ffe00,0x17fe27fe,0xd803fec0,
    0x3ffa007f,0x203fff13,0xe9ffadfd,0x263ff9ff,0xfda9afff,0x3ff200ff,
    0x3f6007ff,0xf90fff53,0x2bffffff,0x3f206ffa,0x40dff54f,0xdff54ffc,
    0xfaa7fe40,0x53ff206f,0x3f206ffa,0x98bff74f,0x09ff34ff,0x01fffff2,
    0xe80fffc0,0x017fe27f,0xfd803fec,0x83ffe007,0xbfb03ffe,0xfffffff1,
    0x7ffcc1ff,0x02ffffff,0x027fffcc,0xfd97f435,0xfff9305f,0x3ffe639d,
    0x265ffb00,0xffb00fff,0x403ffe65,0xfff32ffd,0x4cbff601,0xffb00fff,
    0xf31bfee5,0x413fe69f,0x004ffff9,0x3a03fff0,0x017fe27f,0xfd803fec,
    0x8bff3007,0xdf905ffb,0x3feb7ff2,0x7fffcc1f,0xd000dfff,0x7f401fff,
    0xfffeffef,0x417f401f,0xf882fff8,0x5fff11ff,0x223fff10,0xff882fff,
    0x05fff11f,0x3e23fff1,0xfff882ff,0xf98dff91,0x409ff34f,0x0000fffe,
    0x3fa03fff,0x4017fe27,0xffb007fd,0x85ffd100,0xfb82fff8,0x814c330f,
    0x0098eff9,0x404ffe80,0xfffffffe,0x1ff802ff,0xd81dff90,0x77fe45ff,
    0x322ffec0,0x7fec0eff,0x2077fe45,0x7fe45ffd,0x92ffec0e,0x4ff98dff,
    0x7f409ff3,0xff10004f,0xf13ff40f,0x3ff200bf,0x807fe800,0xff705ffd,
    0x03ff983f,0x006ff980,0x003ffee0,0xbdfffb95,0x03fe2007,0x66ffffc4,
    0x7c41fffe,0xffecdfff,0x7fffc41f,0x41fffecd,0xecdffff8,0x7fc41fff,
    0xfffecdff,0x29ff3001,0xff704ff9,0x3ee0001f,0x89ffa06f,0xff7005ff,
    0x06ff8807,0xd007ffdc,0xefe81dff,0x37fcc000,0xff955100,0x5fb8005f,
    0x407f9800,0xfffffffa,0xffff503f,0x2a07ffff,0xffffffff,0xfffff503,
    0x3ea07fff,0x3fffffff,0x4d3fe600,0xf95514ff,0x5b7005ff,0x47fff933,
    0x27feaaa9,0x1aaaeff8,0x359fff30,0x0fffaea2,0x403fff98,0x7d45fff8,
    0x41ae21ef,0x26006ff9,0x004fffff,0xa8004fc8,0xffd9806f,0x6cc01dff,
    0x401dffff,0x1dffffd9,0x7fffecc0,0x7fecc01d,0x4c001dff,0x29ff34ff,
    0x04fffff9,0xffffff70,0xffffc8df,0x3fffe27f,0x3ff204ff,0xffff33ff,
    0x03ffe80d,0xc83fff30,0x7fffffff,0x400dff30,0x001efff9,0x10007fb0,
    0x01980013,0x20003300,0x03300019,0x80006600,0x9ff34ff9,0x007bffe6,
    0xffffffa8,0xfffffc83,0x3ffffe27,0x7f6d404f,0x007dff33,0xf98007f3,
    0xffffd703,0x5000007d,0x98800013,0x00000000,0x00000000,0x00000000,
    0x4d3fe600,0x0026a4ff,0x00099980,0x00000000,0x04000200,0x0004cc40,
    0x00000000,0x00000000,0x00000000,0x00000000,0xf34ff980,0x0000009f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x00266099,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2a600000,
    0x00333302,0x02666200,0x4c002660,0x0001540a,0x5502a600,0x00199980,
    0x54c004c0,0x99981540,0x26200001,0x4c400099,0x04cc0099,0x09998800,
    0x04ccc400,0x00042b98,0xff504fe8,0xf980009f,0x7f4404ff,0x7fc401ff,
    0x200ffee6,0x8800effc,0x0ffee6ff,0x004fffa8,0x3fffff22,0x26ff880e,
    0xffa83ffb,0xf980004f,0x7cc004ff,0x3fa204ff,0x7cc001ff,0x7cc004ff,
    0xfffd04ff,0x8007f55d,0x3a201ff8,0xf30004ff,0xfe8805ff,0x2a01ffde,
    0x13ff67ff,0x0bf7bf70,0x7ecfff50,0x7ff4404f,0xffff9804,0xfa80ffff,
    0x413ff67f,0x0004ffe8,0x000bffe6,0x4405fff3,0x01ffdefe,0x005fff30,
    0x502fff98,0xfffffbff,0xeedb9807,0x3997007f,0x0ccc8800,0x970ccb80,
    0x31fec019,0x0fc803df,0x8ff600fd,0x97001ef9,0xdffe8039,0xb00cb99a,
    0x00f7cc7f,0x2000732e,0x4000ccc8,0x5c00ccc8,0x019970cc,0x000ccc88,
    0x20066644,0x07dd910b,0xffffffc8,0x0000000f,0x00000000,0x7e6fdc00,
    0x00000005,0x03fff100,0x00000000,0x00000000,0x00000000,0x20000000,
    0xffeffffd,0x00ccb86f,0x665c1999,0x5c199900,0x199900cc,0xcc80665c,
    0x37fee00c,0x33322000,0xcccc801c,0x41cccccc,0x2a005fff,0xcccccccc,
    0x9999101c,0x66644003,0xccca801c,0x41cccccc,0xccccccca,0x079971cc,
    0x6642664c,0xcccccccc,0x39999101,0xb97ffcc0,0x7f45ffff,0x41fff01f,
    0xfff01ffe,0xf80fff41,0x07ffa0ff,0xc8807ffc,0x2a001ccc,0x4404ffff,
    0xffffffff,0x7ffec2ff,0xfffc802e,0x02ffffff,0x009ffff5,0x027fffd4,
    0x7fffffe4,0x7fe42fff,0x2fffffff,0x3601fff5,0x7ffc44ff,0x2fffffff,
    0x09ffff50,0xdfb1ffec,0x7ff41fff,0x741fff01,0x1fff01ff,0xff80fff4,
    0x407ffa0f,0xff500fff,0x7e4009ff,0x7c407fff,0xffffffff,0x3fffee2f,
    0x3f200dff,0xffffffff,0xfffff902,0x7fffe400,0xffffc807,0x642fffff,
    0xffffffff,0x213ffa2f,0x7c40fff9,0xffffffff,0xffff902f,0x43ffe20f,
    0x2ffdaff8,0x7fc07ffa,0x407ffa0f,0x3ffa0fff,0x741fff01,0x1fff01ff,
    0x1fffff20,0xffffff80,0x17fee001,0x7fe7ffcc,0xff902fff,0xffff0007,
    0x3fe003ff,0x6401ffff,0x3f2003ff,0xfff5003f,0x804ffd81,0xff005ffb,
    0xf303ffff,0x5c7fd4df,0x07ffa3ff,0xffd07ffc,0xe83ffe03,0x1fff01ff,
    0xff80fff4,0xfffff00f,0xbff3003f,0x5c007ffb,0x9ffb05ff,0x07ffff62,
    0x3000fff2,0x07ffbbff,0xffbbff30,0x03ffc807,0x800fff20,0x3fe63ffe,
    0x5ffb800f,0xfddff980,0x25ffa83f,0x49ff75fd,0xfff01ffe,0xf80fff41,
    0x07ffa0ff,0xffd07ffc,0x203ffe03,0x3ffddff9,0xfabffb80,0x3fee006f,
    0xa89ffd05,0xffc86fff,0x5ffdc003,0xfb806ffa,0x406ffabf,0x32003ffc,
    0x3ea003ff,0x00fff67f,0x5c02ffdc,0x86ffabff,0x4ffe5ffb,0x3ffa5ffa,
    0x741fff01,0x1fff01ff,0xff80fff4,0x407ffa0f,0xffb80fff,0xe806ffab,
    0x0fff88ff,0x20bff700,0x7d40fffc,0x1ffe40ff,0x223ffa00,0x7f400fff,
    0x00fff88f,0xc800fff2,0x7f4003ff,0x00fff8bf,0xd00bff70,0x1fff11ff,
    0xff55ffa8,0xfe97fea1,0x41fff01f,0xfff01ffe,0xf80fff41,0x07ffa0ff,
    0x7f407ffc,0x00fff88f,0xffe9bfe2,0x0bff7002,0x88bfffe6,0x7fe41fff,
    0x86eeeeee,0x3ffa6ff8,0xe9bfe202,0x3ff202ff,0x86eeeeee,0xeeeeeffc,
    0x9dff506e,0x7dc007ff,0x37fc405f,0xff985ffd,0x7fdcdf95,0x7c07ffa4,
    0x07ffa0ff,0xffd07ffc,0xe83ffe03,0x1fff01ff,0x3fa6ff88,0x93fea02f,
    0xf7005ffc,0x7ffe40bf,0x0fffa8df,0x7fffffe4,0x4ffa87ff,0xfa817ff2,
    0x817ff24f,0xfffffffc,0xffffc87f,0x3a07ffff,0x000fffff,0xf5017fee,
    0x22ffe49f,0x47ff7ff8,0x3ffa2ffc,0x741fff01,0x1fff01ff,0xff80fff4,
    0x407ffa0f,0x7fd40fff,0xd817ff24,0x1ffe62ff,0x202ffdc0,0xfffffffb,
    0xeeffc84f,0xfd86eeee,0x81ffe62f,0x3fe62ffd,0x3bbff207,0xfc86eeee,
    0x6eeeeeef,0x0ffffea0,0x80bff700,0x3fe62ffd,0xffbfff87,0xfe87ffe1,
    0x41fff01f,0xfff01ffe,0xf80fff41,0x07ffa0ff,0x3f607ffc,0x81ffe62f,
    0x1fff87ff,0x805ffb80,0x5fffffd8,0x4007ff90,0x1fff87ff,0xfff0fff0,
    0x00fff203,0x0003ffc8,0x8001fffd,0x7fc05ffb,0x6c1fff87,0x3f26ffff,
    0x80fff45f,0x3ffa0fff,0x741fff01,0x1fff01ff,0xff80fff4,0x7c3ffc0f,
    0xfff981ff,0x4fffeeee,0x005ffb80,0x407fffa6,0xf3003ffc,0xffddddff,
    0xdfff309f,0x09fffddd,0xc800fff2,0xf70003ff,0xff7000bf,0x77ffcc0b,
    0x44fffeee,0xdbdfffe8,0x7fec1fff,0x6c7ff882,0x7ff882ff,0x7c417fec,
    0x417fec7f,0x7fcc7ff8,0xfffeeeef,0xfffffc84,0x806fffff,0x44005ffb,
    0xff903fff,0x3fff2007,0x6fffffff,0xffffffc8,0xf906ffff,0x7fe4007f,
    0xbff70003,0x0bff7000,0x7fffffe4,0xf986ffff,0x3fffffff,0xfb85ffc8,
    0x42ffe45f,0x7fe45ffb,0x645ffb85,0x5ffb85ff,0x7fffffe4,0xfe86ffff,
    0xfeeeeeef,0x7fdc00ff,0x7ff40105,0x007ff903,0x3bbbbffa,0x740fffee,
    0xeeeeeeff,0xffc80fff,0x0fff2003,0x02ffdc00,0xd02ffdc0,0xddddddff,
    0xff901fff,0x2603bfff,0xfbaadfff,0x7ffcc1ff,0x1fffbaad,0x556fffcc,
    0x7cc1fffb,0xffbaadff,0x777ff41f,0x0fffeeee,0xfe81bfe2,0xfdccc83f,
    0xd91cccef,0xfffb7579,0x33bff203,0xf11ccccc,0x1fff40df,0x7f40dff1,
    0xceffc83f,0x641ccccc,0xccccceff,0x17fee01c,0x7fee6640,0xff11ccce,
    0x41fff40d,0x90019cfe,0xffffffff,0x3ffff209,0xf904ffff,0x9fffffff,
    0x3fffff20,0x7fc44fff,0xb8fffa06,0x3ff204ff,0x7ffffc45,0xf92fffff,
    0x5fffffff,0x7ffffe40,0xff72ffff,0x72ffe409,0x7fe409ff,0xfffffc85,
    0x7e42ffff,0xffffffff,0x017fee02,0x3fffffe2,0xff72ffff,0x22ffe409,
    0xa8001ff9,0x02efffff,0x77ffffd4,0x7fffd402,0x7fd402ef,0xfb82efff,
    0x97ff204f,0x3ea01ffd,0x7fffc47f,0x52ffffff,0x39dfffdb,0xfffffc80,
    0xffb2ffff,0xb3ffd403,0x7fd403ff,0xfffffc87,0x7e42ffff,0xffffffff,
    0x017fee02,0x3fffffe2,0xffb2ffff,0x23ffd403,0x980005ea,0x00330001,
    0x4c000660,0x00ffec01,0x0000fff5,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x26600000,0xdb980019,0x4c000bce,
    0x13300009,0x2a815300,0x00215cc0,0x0001664c,0x32609ff5,0x1fffffed,
    0x4000bff3,0x1cdeeca8,0x80800008,0x8000c000,0x00088000,0x2a000010,
    0x2e004fff,0x1fffffff,0x1fffe880,0x3fffa200,0xb9bfe201,0xfffd03ff,
    0x9807f55d,0x0004ffff,0xfd881ffd,0xffffffff,0x0003ffa1,0x3fffffee,
    0x33ffa65f,0xd80ffb80,0x983bee5f,0xfffc8aee,0x7fedc00d,0xc884fdef,
    0xeeeeffff,0xeffffb82,0x41ff4c02,0xc804ffe8,0xffffffff,0x3bfa201f,
    0xe8801ffd,0x501ffdef,0x27fecfff,0x7ffeffd4,0x57ec03ff,0xf98007e8,
    0xffffe85f,0x21ffeadf,0x6c003ffb,0xffffffff,0x13ffffa5,0xff305ff1,
    0x98fffa1f,0xffffecff,0xffd880ef,0x44ffffff,0xfffffff8,0x7ff43fff,
    0x203fffff,0x9701ffff,0x7ffcc039,0x0bfff30b,0xccb8665c,0xb8665c00,
    0x47fb00cc,0x21701ef9,0xe803eec8,0x8001fb0f,0x7fdc2ffd,0xffb4ffff,
    0x003ffc43,0x443bfff7,0x3e6ff53b,0xfd02ff47,0xf30ffe4d,0xff99ffff,
    0x7fffb07f,0xd89ffd55,0xffd98bff,0x3bff20ad,0x80fffc9b,0x002ffff8,
    0x4c27fec0,0x00001fff,0x00000000,0xbdf70000,0xff8800df,0xfffffd86,
    0xc83ffb4f,0xff8802ff,0x25fb804f,0x01ff71ff,0x302604c4,0x7dc1dfff,
    0x07ffd47f,0xdff13fee,0xff87ff88,0x80fff41f,0x32a0fffd,0xcccccccc,
    0x203fff11,0x32203ffe,0xcc801ccc,0xcccccccc,0x66666641,0x32e1cccc,
    0x0cca80cc,0x0037ff20,0xff07ff70,0x369fffff,0x37fc41ff,0x007ffdc0,
    0x9ff8b7d4,0x04002ff8,0x883fff30,0x3ff60fff,0x224ffb84,0x47fe85ff,
    0x7fc47ff8,0x902ea00f,0xffffffff,0x81ffe65f,0x3ea04ffc,0x7c404fff,
    0xffffffff,0x3fffe22f,0x22ffffff,0xfc83fffe,0x0004401f,0xff80fff8,
    0xfb4fffff,0x03ffb03f,0x2005ffc8,0xfb6fdcff,0x3ffaa00b,0x37fcc1df,
    0x3fa1fff8,0x44ffb82f,0x3fe20fff,0x3637fcc6,0xf90005ff,0xffffffff,
    0xc81bfea5,0x3ff205ff,0x7fc407ff,0xffffffff,0x3ffffe22,0x3a2fffff,
    0xffc87fff,0x7fffe4c1,0xff5002ef,0x3ffff609,0x03ffb4ff,0xfd809ff5,
    0x3ff2004f,0x00ffaaff,0xffffffc8,0x41bfe63f,0x3ffe2ffe,0x644ffb81,
    0xffebbeff,0xfb37fcc3,0x320001df,0xffb803ff,0x817fee05,0x01ffffff,
    0x8017fee0,0x3fa05ffb,0x7fe42fff,0x7ffffe41,0xfe804fff,0xffff501f,
    0x07ff69ff,0xfd007ff4,0xbb88007f,0xb802ff88,0xffb9beff,0x20dff31f,
    0x3ffe0fff,0x544ffb81,0x4fffffff,0xff56ff98,0x7e40001d,0x6ffb803f,
    0x4c17fee0,0x03ffddff,0x8017fee0,0x3fa05ffb,0x7fe46fff,0x4cd5ee41,
    0x2601fffc,0x7fe405ff,0x3ffb4fff,0xe80ffee0,0x6c0003ff,0xfff8805f,
    0xf9a7fdc0,0x47ff986f,0xffd82ffe,0x32f7fe24,0xdff300bc,0x22013fee,
    0x1ffe40cc,0x9037fd40,0x3fee09ff,0x2006ffab,0x2e005ffb,0x3ffa05ff,
    0x3ff22ffd,0x0bff6001,0xa802ffc8,0xffb4fffe,0x81ffe203,0x20004ffd,
    0xfa800ffa,0x36ff985f,0xbffb0dff,0x7e45ffc8,0x0bfea4ff,0xf76ff980,
    0xffd801ff,0x00fff20f,0x6c03ffe6,0x1ffd03ff,0x2001fff1,0x2e005ffb,
    0x3ffa05ff,0x3ff25ffa,0x0fff2001,0x20037fc4,0x3ffb2aa9,0xc817fe40,
    0xf10006ff,0x5c02ea7f,0xeeeeeeff,0x5fff37ff,0x81fffb53,0xfebcfff9,
    0x3fea4fff,0x80aaabcf,0xfff16ff9,0x7fffc05f,0x3bbbff23,0x3fe26eee,
    0x1fff882f,0x3fa6ff88,0xbff7002f,0x02ffdc00,0x47ffaffd,0xd9501ffc,
    0x207ffffd,0x80003ffb,0x3e601ffd,0x5fff506f,0xd1bfb000,0xff90bfff,
    0xffffffff,0x3ffffe6f,0xfb02ffff,0xffbfffff,0xfffffd89,0x3e60dfff,
    0x3fffea6f,0x49fff903,0xfffffffc,0x077fec7f,0x7d417ff6,0x017ff24f,
    0x7002ffdc,0xbff40bff,0x3ff95ffa,0xffffff98,0xffd03fff,0xffb00001,
    0x01ffd803,0x5103fffd,0xdf91ff50,0xffc85ff7,0xaaaaaaad,0xffffff32,
    0xffc801bf,0x44ffbaef,0xffeeeffc,0x1bfe66ff,0x201fffd3,0x3ff24ffe,
    0x46eeeeee,0xecdffff9,0xffb01fff,0x803ffcc5,0x2e005ffb,0x9ffa05ff,
    0x1ffc8fff,0x26b7ffe2,0xfa83ffd9,0xfb00004f,0x4ffa803f,0x9dffff70,
    0xff88bfd9,0x13ee5fd3,0x26009ff7,0x00098eff,0x93fee198,0xff984ffc,
    0x10dff31f,0x3f207fff,0x00fff22f,0xffffffa8,0x1ffe02ff,0x2e007ffe,
    0x3ee005ff,0xb9ffa05f,0x21ffccff,0xffc86ffa,0x001ffd83,0x003ffd00,
    0x3ee01ffd,0x5fffffff,0x23ff37e4,0x7ffcc6fa,0x06ff9800,0x27fdc000,
    0x3fa01fff,0x20dff31f,0xfe884ffd,0x001ffe46,0x37ffff66,0x3bffe601,
    0x04fffeee,0x2005ffb8,0x3fa05ffb,0x3f7ffe27,0x317ff21f,0xff987fff,
    0xff100006,0x0ffee00f,0xfffffd98,0xd87fea2d,0xfb0bf93f,0x953337ff,
    0x001bfe63,0x749ff700,0x7fdc0dff,0x4cdbfe67,0x912fffa9,0xfc83fffb,
    0xff50003f,0xffff9009,0x0dffffff,0x400bff70,0x3fa05ffb,0x7ffffe47,
    0x26fffea1,0x643ffffb,0x838002ff,0xf1006ffb,0x3ffb00df,0xfa87fd10,
    0xe881ffef,0xffffffff,0x000dff31,0x2e4ffb80,0xffefffff,0x5bfe61ff,
    0x25fffffc,0xc80cfff8,0xf30003ff,0x3a0543ff,0xeeeeeeff,0x7dc00fff,
    0x3fee005f,0xf31ffa05,0x7c43ffff,0xfdffffff,0x01ffe23f,0x3b33bee0,
    0x32002fff,0x27fc02ff,0xfd706fc8,0xfffc807f,0xff31efff,0xfb80000d,
    0x7fff544f,0x7cc0cfff,0x9ffff96f,0x9004d441,0x99999dff,0xfffe8039,
    0x3fe25ffe,0x20fffa06,0xceffdccc,0x6e6641cc,0x21ccceff,0xfffd87fe,
    0x7fff4c1f,0x2e3ff8ae,0xfd8003ff,0x04ffffff,0x102ffcc0,0x180003ff,
    0x00ccc400,0x40000000,0x80009998,0x64000098,0xffffffff,0x7ffc402f,
    0xff70efff,0x22ffe409,0xfffffff8,0x3fe22fff,0xffffffff,0x3ea1ffa2,
    0x33101fff,0x001ddb00,0x37bfb6a0,0x1ddb0001,0x00017a60,0x00000000,
    0x00000000,0xf9000000,0xffffffff,0x33b2e005,0x500ffec3,0xfff88fff,
    0x2fffffff,0x3fffffe2,0x3fa2ffff,0x03fffd07,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x02001010,
    0x00020200,0x20001001,0x7fcc0080,0x405ba8df,0xff500100,0x3fee000b,
    0x8000403f,0x00005ffa,0x079d9700,0x00bfff30,0x802fffcc,0xb805fff9,
    0xd800bcef,0x403bee5f,0x0323fffb,0x1df72fec,0x703ffa80,0x00647fff,
    0x077dcbfb,0xffffff90,0x9877dc0f,0x3fea02ff,0x7dc004ff,0x3fee01ff,
    0xfa80323f,0xf9104fff,0x03fee03f,0xdfffffd1,0x5ffd8801,0x17ff6200,
    0x02ffec40,0x33ffffee,0x21fff300,0xffa83ffe,0x85ffffff,0xffd0fff9,
    0x0fffe807,0x7fffffd4,0xfff305ff,0x2a0fffa1,0xdfffffff,0x64bffe03,
    0x7ff305ff,0x2e009ff3,0x3ea00dff,0x5fffffff,0xff37ff30,0x1ffff989,
    0xfd82ff88,0x05ffecef,0x800bff90,0x32005ffc,0x3fee05ff,0x3a06ffff,
    0x207ff26f,0xfffc8ae8,0x64dfd00f,0x7ff401ff,0xfc8ae887,0x3fa00fff,
    0x2a07ff26,0x0fffeeff,0xfa8ffe40,0x4c55503f,0x554400aa,0xc8ae8802,
    0x5500ffff,0x360554c5,0x5fe81ffb,0x3e26ff88,0x2aa6007f,0x0d54c001,
    0x00355300,0x209fffb3,0x0004c098,0x09880351,0x6ec4004c,0x00351001,
    0x10098131,0x17ffe213,0x00310260,0x00080004,0x88006a20,0x41ff8800,
    0xffa80ffb,0x4003ff44,0x00020000,0xff900022,0x0001100f,0x00200011,
    0x00020000,0x7ff5c000,0x00002fff,0x3bfffd50,0xdfffea80,0x4c018001,
    0x2efffffc,0x7c43ff10,0x4bff302f,0xd9006ff9,0x5005bfff,0x203bfffd,
    0xefffffc9,0x0fff9802,0x7ffffe4c,0xfff9302e,0xec805dff,0x8802dfff,
    0x3fb202ee,0xdd302dff,0x885dd709,0xfffffffe,0xddddd906,0xfffc801d,
    0xf903ffff,0x07ffffff,0xff915dd3,0xfff901bf,0x109fffff,0x02fec3ff,
    0x3fe6bffe,0x7ff4c01f,0x204fffff,0xfffffffc,0xfffffc83,0x7cc04fff,
    0x7ffe40ff,0xc84fffff,0xffffffff,0xffffe984,0x7cc04fff,0xfffe983f,
    0xf984ffff,0x43ffc86f,0xfbabfffd,0xfffd82ff,0x3ee00fff,0xfffb9bef,
    0x4df7fdc1,0x7cc1fffb,0xfffffecf,0x99abdc85,0x7c41fffc,0x801ff51f,
    0x2ffffffa,0xdcfffe80,0xfb82ffff,0xfffb9bef,0x4cd5ee41,0xd101fffc,
    0x57b90dff,0x83fff933,0xfc99abdc,0x7fff41ff,0x02ffffdc,0x3fa0ffee,
    0xffffdcff,0x6437fcc2,0x3ffea3ff,0x5427ff40,0x00fffccc,0xfb81fff1,
    0x03ffe24f,0xff989ff7,0xfffdcfff,0x0bff6001,0x5ff11551,0x3bfffa00,
    0x0fffb801,0xf11bff62,0x4ffb81ff,0xa8bff600,0x01ffffff,0x0017fec0,
    0x7fdc5ffb,0x1bff620f,0x89ffff91,0x3620fffb,0x37fcc6ff,0xff91ffe4,
    0x00dff709,0x3ea01fff,0x26ff985f,0xff985ffa,0x077ffcc6,0x64007ffd,
    0x2fec03ff,0x5ffffd80,0xffb0332a,0x41fff507,0xff985ffa,0x8fff2006,
    0x01effff9,0x003ffc80,0xffd8fff2,0x20fffa83,0x44fffffe,0xffa83ffd,
    0x21bfe60f,0x3ffa3ffc,0x807ffa82,0xff700fff,0xffdddddd,0x7777fdcf,
    0x4c7ffeee,0x7fe41fff,0xffdd9503,0x7fd407ff,0xfeffc800,0x81ff93ff,
    0xff881ffe,0x3bbfee1f,0x07ffeeee,0xffffdd95,0x00effcc7,0xfffeeca8,
    0xfdd9503f,0x7ff47fff,0x71fff881,0x3a015fff,0xfff881ff,0x321bfe61,
    0x07ffe3ff,0x3e01ffe6,0xfff900ff,0xffffffff,0x7fffffe4,0x7cc7ffff,
    0x44ffb86f,0xfffffff9,0x7ff103ff,0xff102662,0xb5fff51f,0x01fff0ff,
    0xffc8bffa,0xffffffff,0x7ffffcc7,0x3e63ffff,0xfff9804f,0x43ffffff,
    0xfffffff9,0x03ffe3ff,0xffd97ff4,0x807ffc04,0x3fe62ffe,0x3e3ffc86,
    0x7ff982ff,0x900fff80,0x55555bff,0x6ffe4555,0x2aaaaaaa,0x7dc37fcc,
    0x37ffe24f,0x03ffd99a,0x3ffe2bfb,0xf727fdc4,0xff0dffff,0x87ffe05f,
    0xaaaadffc,0x3fe22aaa,0xffd99adf,0x100fba23,0xb335bfff,0x7ffc47ff,
    0x3ffd99ad,0x7fc0bffe,0x807ffd1f,0xfff02fff,0x6437fcc3,0x13ffa3ff,
    0x3e01bfee,0x9ff700ff,0x027fdc00,0x2e1bfe60,0x1bfea4ff,0x3ea0fff2,
    0x89fdf90f,0x7fec3ffc,0x4ffe83ff,0x7dc7ff88,0x3fea004f,0x003ffc86,
    0xf90dff50,0x437fd47f,0x3ffa3ffc,0x367ff884,0x7ff406ff,0x4c7ff884,
    0x3ffd86ff,0xe883bff2,0xfff804ff,0x01fff300,0x003ffe60,0xfb86ff98,
    0x317ff24f,0xff887fff,0x89f7bf33,0xffe85ffa,0x0fffc80f,0x3e62ffe4,
    0xff9000ff,0x23fff98b,0x7e401dc8,0x1fffcc5f,0xff98bff9,0x03fff23f,
    0x7fd4bff9,0xfff901df,0x445ffc81,0x3ff20fff,0x3fffe63f,0x00fffebc,
    0x3600fff8,0xa999bfff,0x5fffec1c,0x4c1ca999,0x4ffb86ff,0x2e6fffea,
    0x7e43ffff,0x13ee3fa6,0x735bfff1,0xf109ffff,0xffb7bfff,0x7fffb03f,
    0x54395333,0xffb9bfff,0x3fff23ff,0x2fffea00,0x23ffffb9,0xfb9bfffa,
    0x3fe23fff,0xfffdbdff,0x7ffffec1,0x3fffe24e,0x81fffdbd,0xffebdfff,
    0x7ffe43ff,0x882fffff,0xbfffbaaa,0x7ff442aa,0x41ffffff,0xffffffe8,
    0x37fcc1ff,0xff127fdc,0xffbfffff,0xf98ffd47,0x5c5fffff,0xffffffff,
    0xffb82fff,0x03ffffff,0xffffffd1,0x7ffc43ff,0x3ffdffff,0x8807fffa,
    0xdfffffff,0x3ffe23ff,0x3ffdffff,0x7fffffdc,0xfff903ff,0xfffb8bff,
    0x903fffff,0xf9ffffff,0xffff507f,0x3fe203bf,0xffffffff,0xfffff906,
    0x3ff203df,0x4c1effff,0x4ffb86ff,0x577fff4c,0x7fd13ff8,0x7ff7774c,
    0xffffea84,0x81fffa9d,0x1effffe9,0xfffffc80,0x7ff4c1ef,0x23ff8aef,
    0xe9805ffa,0xff8aefff,0x77fff4c3,0xe983ff8a,0x401effff,0x985fedb8,
    0x01effffe,0x4577ffe4,0x266203ff,0x7fffc400,0x06ffffff,0x1000ccc4,
    0x7fcc0333,0x104ffb86,0x06fc8033,0x262027dc,0x00cc0001,0x80199880,
    0x03100198,0x40019880,0x33000198,0x19800000,0x000cc400,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00002600,0x98fffee0,0x1eec84ee,0x2e000000,0x98003fff,0x4ffb8000,
    0x9817fea0,0x540006ff,0xbdd505ff,0x262f7540,0x00005fff,0x7ffc8399,
    0xfb800000,0x054c03ff,0x9bddb730,0x7dfff103,0x2003fee0,0x7cc1fffb,
    0x42ffd86f,0xf701ffc8,0xfff7001f,0x3ff22003,0x2e001fff,0xfff504ff,
    0x1bfe609f,0xffffa800,0x01fff884,0xfb107ffb,0xfa8000bf,0x037fe40f,
    0x20005b73,0x5401fffb,0xffb00fff,0x88bfffff,0x440ffdcd,0xffb802ff,
    0x86ff980d,0x3fe62ffd,0x2ff881ff,0x00dffb80,0xffffff10,0x7fdc005f,
    0xf9bff984,0x06ff984f,0xf37ff300,0x09ffb09f,0x6401fff1,0xb30005ff,
    0x0dff90df,0x40017fec,0xc800dffb,0xdfb01fff,0x89ffffdd,0xfe87fb98,
    0x02aa8805,0x3f61bfe6,0x0ffdec2f,0x54402ff4,0x7fec002a,0x001ba9be,
    0x2aa13fee,0xf302aa62,0x2aa000df,0xf502aa62,0x0bff70ff,0x20035530,
    0x84ffffec,0x3f606ffb,0x5544002f,0x3ffea002,0xfd881300,0x1fffdc6f,
    0x44003fee,0x437fcc00,0xff882ffd,0x0007fdc1,0x3fff0001,0x7fdc2000,
    0x7cc00804,0x0000046f,0xfe85fff0,0x4c00002f,0xfffffffe,0xb02ffdc2,
    0x000005ff,0x4000e540,0x664c7ff9,0x05ff13ff,0x7ffffe4c,0x86ff982e,
    0xff882ffd,0x200bfe21,0x02dfffec,0x4007ff88,0xffffffea,0xbfffd904,
    0x32bff305,0xe980dffe,0x42eeb84e,0x3fe65ffc,0x709dd306,0xeffe85dd,
    0x22ffffeb,0x3ba65ffb,0xeeeefffe,0x213ba62e,0x00002eeb,0x9897fe60,
    0xbfb3ff99,0xfffffc80,0x7fcc4fff,0x882ffd86,0x017f61ff,0xffffffd3,
    0x6ff9809f,0xffffd100,0xe989ffff,0x4fffffff,0x7ff77fcc,0x7cc0efff,
    0x43ffc86f,0xff90fff8,0x21bfe607,0x3fee3ffc,0xbffdff16,0xff32ffd4,
    0xffffffff,0x437fcc5f,0x77643ffc,0x2000eeee,0x3ee2ffe8,0x1ff56fff,
    0x99abdc80,0x3e61fffc,0x82ffd86f,0x1ff51ff8,0xdcfffe80,0x2602ffff,
    0xffb006ff,0x9ffd557f,0xfdcfffe8,0x3fe62fff,0xfffccfff,0x6437fcc3,
    0x3ffd83ff,0x3e601fff,0x23ffc86f,0x1ff52ffd,0x2ffd4fff,0xbfff9991,
    0x7cc39999,0x43ffc86f,0x0ffffffd,0x3ffbba20,0x8566442f,0x40002ff8,
    0x3fe62ffd,0x417ff446,0x2ff88aa8,0x107ffdc0,0xfff8dffb,0xffffffff,
    0x207ffd47,0x3fee4ffb,0x9bff620f,0x2e0efff9,0x37fcc7ff,0x7d41ffe4,
    0x205ffadf,0xffc86ff9,0x7ec3ffa3,0x3ea1ffb5,0x0bff604f,0xf90dff30,
    0xfccca87f,0x3fe600ff,0xb003efff,0xf90000bf,0x23ffcc7f,0xd802fffe,
    0x3ffd805f,0x3e0fffa8,0xffffffff,0x27fe47ff,0xffb27fdc,0x21fff507,
    0x7c41fff9,0x1bfe60ff,0x7fc0fff2,0x2602ffdf,0x3ffc86ff,0x97fc5ffe,
    0x9ff52ffd,0x2017fec0,0xffc86ff9,0x007ffc03,0xfffdb991,0x07fd401d,
    0x3fbb2a00,0x3fe63fff,0xffffebdf,0x03fea01e,0x2207ffa0,0x2aaa1fff,
    0xaaaafffb,0x5c17ff42,0x07ffa4ff,0x7cc7ffe2,0x43fff06f,0xffc86ff9,
    0xfffff903,0xc86ff980,0x55ffa3ff,0x23ffb0ff,0x3f604ff9,0x37fcc02f,
    0x3e01ffe4,0x7cc000ff,0x7ff104ff,0x7cc02662,0xffffffff,0x3ffffe63,
    0x05fffbff,0x06ea7ff1,0xfe807ffc,0x0dff302f,0xf703fff0,0x807ffc9f,
    0xdff32ffe,0xf98bffa0,0x03ffc86f,0x809ffff3,0xffc86ff9,0x3f67ff63,
    0x7cc3ffe5,0x0bff604f,0xf90dff30,0x0fff807f,0x06ffb800,0x3ffe2bfb,
    0xadfff884,0x263ffd99,0xb1efffff,0x37f60bff,0x40ffffe8,0xfff02fff,
    0x01bfe603,0x3ee07ffe,0x40bffe4f,0xdff31fff,0xf983ffe0,0x03ffc86f,
    0x3003fffa,0x7ff90dff,0x97feffdc,0x3ba26ffb,0x00bff602,0xff90dff3,
    0x00fff807,0xa86ffa80,0x9fdf90ff,0xf90dff50,0x467fcc7f,0xff501980,
    0x0ffeaf21,0xff109ffd,0x037fcc0f,0x7ec17ff4,0x213ffa4f,0x3fe67ff8,
    0x4c7ff986,0x3ffd86ff,0x2013ffa0,0xffd86ff9,0x3ffffe23,0x001fffca,
    0x4c02ffd8,0x3ffd86ff,0x0007ffc0,0x3e227ff4,0x9f7bf33f,0xf98bff90,
    0x17fe63ff,0x20ffe200,0x7fe42ff8,0x02ffe40f,0xf900dff3,0x4fffc8bf,
    0xf903fff2,0x437fccbf,0x7fc45ffd,0x0ffff20f,0x4007ffdc,0x3f20fff8,
    0x7ffcc3ff,0xb83fffff,0x13ff600c,0x641fff10,0x7fc03fff,0xaaac880f,
    0x41ffffca,0x2e3fa6fc,0xbfffa84f,0x23ffffb9,0xc8006ff9,0x0efe886f,
    0x5effffc4,0x2601fffd,0xff9806ff,0xffffebcf,0x37fffe24,0x261fffdb,
    0xfda9afff,0xdfff80ff,0x13ffffeb,0x05fff955,0x75efffc0,0xfa83ffff,
    0xc81effff,0x3fee06ff,0x7c1a99bf,0xfffebdff,0x07ffc03f,0x7fffffcc,
    0x7fd42fff,0xffffff31,0xfffff88b,0x263ffdff,0x7d4006ff,0x06ff4c1f,
    0xffffffb8,0x7fcc03ff,0xffffb006,0xb89ff9ff,0xffffffff,0x7ffffcc3,
    0xf902ffff,0xff9fffff,0x3ffffe67,0x7ffe4004,0x83ffcfff,0x6c019ffb,
    0xff100fff,0xc85fffff,0xfcffffff,0x2eaaa23f,0x32aabfff,0x7fffffff,
    0x263fe881,0x84ffeeee,0x8aefffe9,0x1bfe63ff,0x443fe880,0x304eefff,
    0x03dffffd,0x400dff30,0xf8aefffc,0xfffe984f,0xfec881ef,0x400dffff,
    0xf8aefffc,0x3dfff33f,0x3fff2000,0xe83ff8ae,0x9ff5004f,0xffffe980,
    0xefffc82f,0x3e23ff8a,0xffffffff,0x0266626f,0xfb80df90,0x000cc404,
    0x10df9000,0x00dfffff,0xff980033,0x00198006,0x99800330,0x00cc4000,
    0x400004d4,0xdd100198,0x000c4003,0x98803331,0xffff8801,0x06ffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xcedb9800,0x9db73003,0x3fea0017,0x33332a05,
    0x2603cccc,0x2a02bddb,0xcccccccc,0x3bb2ea01,0x0332e1bd,0xa8806664,
    0xf11cdeec,0x4c0000ff,0xca80dfff,0x8800bdee,0x2604ccaa,0x41cdeedc,
    0x0ffffffd,0x0006ff98,0x77ff4400,0xffb80000,0x200effff,0xeffffffc,
    0x7fffd401,0xfffffb04,0x3ee0dfff,0x80dfffff,0xfffffffd,0xfffd883f,
    0x3fa7ffff,0x01fff01f,0xfffffff7,0x001ffe2b,0x41fffcc0,0xffffffe8,
    0xfffb303f,0xffb10fff,0xd8bfffff,0x80ffffff,0x70006ff9,0x01bffffb,
    0x9801dff9,0x7ffdc3fe,0x80ffffde,0xfffffffd,0x7ff301ff,0xffb09ff3,
    0x0dffffff,0xd7337ffb,0xfffd81df,0x4c3fffff,0xffffffff,0x407ffa7f,
    0x7fec0fff,0x15ffffff,0x30000fff,0x3f603dff,0xfffecdef,0x7ffffd41,
    0xfffd87ff,0x4c5ffeef,0x80fffbaa,0x4c006ff9,0xfffffffe,0x01dff500,
    0xf88ffffc,0x3ffa22ff,0x85fffcc3,0x5505fff9,0x360554c5,0xaaaaabff,
    0x440ffd42,0xff9004fe,0x0bfffe87,0x1ffe96a2,0x7dc1fff0,0x4ee21dff,
    0x80007ff8,0xff100aaa,0x23ffd81f,0x01aefff9,0x220bffea,0x407ffc01,
    0x74006ff9,0xfeccdfff,0x406aa200,0xf92ffff8,0x8fff509f,0xff984ffd,
    0xfd80000f,0x45fd000f,0x0ff8acca,0x2e3ffc80,0xfd001fff,0x43ffe03f,
    0x8804fff8,0x000007ff,0xf50bff50,0x027fec9f,0x0006ffb8,0x3e603ffe,
    0xff900c6f,0x0000103f,0x7fc3fff6,0x1fffb81f,0x3a03fff1,0x777643ff,
    0xffb00eee,0x6cff3001,0x09f94fff,0x7f47ff90,0x3ffa004f,0x2e1fff01,
    0xf8800fff,0x85eed87f,0x0eeeeeec,0xd83fff30,0x1fff12ff,0x07ffee00,
    0x407ffc00,0xffc8dff9,0x1fffc0df,0xddddd900,0xf05d401d,0xfffd88ff,
    0x40fff32f,0x7fec4ffc,0xfb00ffff,0x2e01335f,0x57bff54f,0x3f2017ea,
    0x007ffe3f,0xff01ffe8,0x017ff21f,0x3f23ffc4,0xfffd80ff,0x3fa00fff,
    0x6ffd8bff,0x4ccd7fea,0x9ffff300,0x0fff8001,0xffeeff98,0x3fe25fff,
    0x3ff6000f,0x2000ffff,0x3fea6ff8,0xff53ffff,0x22ffe40d,0x0fffccca,
    0xffffffb0,0xfb3fc85b,0x900df30d,0x3ffe27ff,0x333332e0,0x3e03ffd0,
    0x09ffb0ff,0xfb9ffe20,0x999501ff,0x74401fff,0x0dffffff,0x3fffbff2,
    0xffd81eff,0xf002efff,0xfff301ff,0x3fffb9ff,0x5001ffe6,0x01fff999,
    0xfcb7fcc0,0x74ffbcff,0x7fdc0bff,0x807ffc05,0xfffffffd,0x7f4bf63f,
    0xc807f885,0x8fff53ff,0xd0fffffd,0x3ffe03ff,0x2007ffd0,0xfff57ff8,
    0x07ffc005,0x3ffffa20,0x7fffe42f,0x81ffffff,0xeffffffc,0x407ffc01,
    0x3a0efff9,0x1fff33ff,0x07ffc000,0xfddff300,0x4fff23ff,0x3ee06ffb,
    0x07ffc05f,0xecb99988,0x27fb1fff,0x07f886fe,0xff53ffc8,0xfffffd8f,
    0x3e03ffd0,0x07ffd0ff,0x3e3ffe20,0x7fc003ff,0x3ff6200f,0x364fffff,
    0xfb9acfff,0xff9306ff,0x7c01ffff,0xfff980ff,0xf89ffe41,0x3e0003ff,
    0x886200ff,0x20dfffff,0xdff52ffc,0x2027fe40,0x44000fff,0x29f93fff,
    0xf308affd,0x27ff900d,0xff00fff8,0x407ffa1f,0x9ffb0fff,0x3bffe200,
    0xff8004ff,0x37ffa00f,0xb2fffd98,0xfff309ff,0xfffea801,0x203ffe04,
    0xffb86ff9,0x007fffa4,0xb807ffc0,0x3fffe5ff,0xf31ffe83,0x3ff601ff,
    0x007ffc02,0xfaaffec0,0x29ffff35,0xffd805fb,0x7c07ffe3,0x03ffd0ff,
    0x7fe43ffe,0xffff1006,0xff0007ff,0x1bfea01f,0x7fe57ff6,0x003fff04,
    0x7c0dffd1,0x6ff980ff,0x3ea4ffb8,0xfdcbdfff,0x807ffc01,0xffd2ffff,
    0x21fff107,0xf882fff8,0x7ffc01ff,0x4ffe8000,0x3faa3ff1,0xd005fd4f,
    0x2fff45ff,0xffb0fff8,0x5cfff105,0xf8802fff,0x02fff9ff,0xc807ffc0,
    0x7ff983ff,0x3fe0dff7,0xdff7000f,0x4c07ffc0,0x4ffb86ff,0x7fffffdc,
    0x7ffc01ff,0x25ffff00,0x7e40fffb,0x077fe44f,0x3e017ff6,0x7d4000ff,
    0x217f62ff,0x9818df70,0x3fea1fff,0x90fff84f,0xbff70bff,0x881fffe8,
    0x3f2fff12,0x3fe001ff,0x0bff900f,0x3fe6dff3,0x33ffd41f,0x027ff401,
    0xff301fff,0x309ff70d,0x1bfffffb,0x700fff80,0xeffe8bff,0x40fffdab,
    0xecdffff8,0xff801fff,0x9557900f,0xf88bfffd,0x17fdc0df,0x3feeafba,
    0xefffd86f,0x30fffccd,0xf755bfff,0xfffa83ff,0x15feccef,0x77ff4fff,
    0x01fff000,0x26b3ffea,0x3f63ffea,0xfffcabff,0x2f33bf63,0x201ffffc,
    0xff980fff,0x204ffb86,0x3e000efe,0x206200ff,0xfffffff9,0xffff502f,
    0x5107ffff,0x57fff755,0x7ffffc55,0xf980efff,0x2fffdeff,0xffffffe8,
    0xfffd881f,0x20ffffff,0xfffffffc,0xffff704f,0x3e2bffff,0x17ffe27f,
    0x3feeaaa2,0x7ec2aabf,0x5fffffff,0x7fffff44,0x7ffec5ff,0x23ffffff,
    0xfffbaaa8,0xdff32aab,0x2209ff70,0x2aa203ff,0xaabfffba,0x3ff62002,
    0x6cc00dff,0x101dffff,0xffffffff,0x7fffcdff,0x6c402dff,0x701dffff,
    0x01bffffd,0xfffffeb8,0xffffa83d,0x76cc02ef,0xf12dffff,0x4fffa8ff,
    0x7fffffc4,0xfb86ffff,0x103fffff,0x05fffff9,0xffffffd7,0xffff883b,
    0x36ffffff,0x9ff70dff,0x8803fea0,0xffffffff,0x130006ff,0x20066000,
    0xfffffff8,0x4ccc6fff,0x00310000,0x980004c4,0x00660019,0x7c404c40,
    0x2fffc87f,0x3fffffe2,0x2206ffff,0x26200099,0x09998800,0x3ffffe20,
    0xf36fffff,0x09ff70df,0xff1013aa,0xffffffff,0x0000000d,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x76e44000,0xccca80bd,0x44009abc,0x33260c00,0x2599500c,0x80003cc8,
    0xccccccc8,0x33333322,0x71cccccc,0x13579999,0x333332a0,0x9951cccc,
    0x19999999,0x07333220,0x9901ccb8,0xcccccc89,0x9931cccc,0x23999307,
    0xc8002cc9,0x2a0f2a1c,0x3ccb84cc,0x00732e20,0xfffffff5,0xfffffc85,
    0xbf702fff,0xfd0efdc0,0x3fff109f,0x0001bfe6,0x3ffffff2,0x3ffffe4f,
    0x2fffffff,0xfffffffd,0xffff905f,0x325fffff,0xffffffff,0xffff500f,
    0x817fec09,0xfff10fff,0x5fffffff,0x3fa1bfea,0x013fee5f,0x7ec5ff10,
    0x41fffc85,0xff707fff,0x7fcc05ff,0x44ffddff,0xfffffffc,0x7ffc45ff,
    0x22fff883,0x7e40fff9,0x2bbfe64f,0xfff0001a,0x7c9fffff,0x4bee0316,
    0xfffffffe,0x7ffe45ff,0x92ffffff,0xffffffff,0x3fff201f,0x0bff607f,
    0xff887ffc,0xffffffff,0xfc8dff52,0x13fee0ff,0x6c3ff300,0x4fffd85f,
    0xf71fffea,0x405fffff,0x1260dffd,0x7544fff2,0x7fd42fff,0xffedeecf,
    0x224ffd84,0x3fe60fff,0x02efffff,0x3ffbff50,0x77fedbe0,0x7ff4bee2,
    0x5fffd511,0x6401ffe4,0xff8003ff,0xfb01ffff,0x03ffe05f,0xfa82ffdc,
    0x0bffe66f,0xa8009ff7,0x213fa0ff,0x3f26fffd,0x3ffea7ff,0x3a02fffe,
    0xff9002ff,0x90dffb07,0xffffffff,0x47ffe20d,0x7fcc3ffd,0x6fffffff,
    0xffbefd80,0x3b6edf01,0x3a5f74ff,0x6ffd81ff,0x3200fff2,0x7cc003ff,
    0xb03ffddf,0x3ffe05ff,0x20bff700,0x3ffa6ffa,0x004ffb84,0x999ffb97,
    0x7f479dff,0xfbff0ffe,0xfe9ffc1f,0x01ffe02f,0xf983ffc8,0x7ffc41ff,
    0x203fffdd,0x6ff9dffc,0xc99eff98,0x2204fffe,0x01ffbbff,0x73ff50df,
    0x207ffa5f,0xff91fff9,0x07ff9007,0xfabffb80,0x05ffb06f,0x7dc03ffe,
    0x2dff505f,0xff706ffc,0x3fffa009,0xffffffff,0x2fff3fa5,0x20ffbff9,
    0x80bffa0a,0x3f2007ff,0x85fff03f,0x3fe63ffa,0x3bffe207,0x6ff982ff,
    0x2e07ffd8,0x01ffb8ff,0x2ebfa0df,0x203ffd2f,0x7ff92fff,0x007ff900,
    0xff88ffe8,0x02ffd80f,0x3ee01fff,0x3dff505f,0x3ee03fff,0xffd9004f,
    0xddffdddf,0x6fe5ff49,0x00ffadfc,0x2aa0bffa,0xaaaaafff,0x777fff40,
    0x90fffa2e,0x01ffd0ff,0x82ffffd4,0xff986ff9,0x2edfd00f,0x3e2eeeff,
    0xfb9ffa86,0x3a03ffd2,0xddff93ff,0x7e4ddddd,0x2aaaaadf,0x3fa6ff88,
    0xffffd82f,0x0fffffff,0x2a0bff70,0x03ffeeff,0xb0013fee,0x407fccbf,
    0xfeffabff,0x3a01ffaa,0xffff82ff,0x40ffffff,0x2fffffff,0xffd13ff6,
    0xe801ff90,0xff300fff,0x01fff10d,0x3fee7ff3,0x45be3fff,0x5f74ffff,
    0x7ec07ffa,0xfffff94f,0x7fe4ffff,0x85ffffff,0x3ff24ffa,0xfffffd85,
    0x00ffffff,0x3ea0bff7,0x200fffff,0x74004ffb,0x203fea4f,0xffff8bff,
    0x3a01ff98,0xffff82ff,0x40ffffff,0x2eeefffe,0xffb0fffa,0x5507fd81,
    0x555dff95,0x5437fcc1,0x1ff907ff,0x8bbbbfee,0xb86ffe6f,0x203ffd2f,
    0xdff93ffe,0x64dddddd,0xffffffff,0x262ffd85,0xeffd87ff,0xfffeeeee,
    0x20bff700,0x5ffeeffa,0x0013fee0,0x83fdc9fd,0x2bffd3ff,0x3fa02ff9,
    0x01ffe02f,0xff03ffc8,0x22ffb85f,0xff885ff8,0xffffffff,0xd11bfe62,
    0x97fe0bff,0x4df01ffb,0xfd2fb86f,0x4bffe03f,0xfc803ffc,0x099999cf,
    0xfff87ff8,0xf817fec1,0xbff700ff,0x3e7bfea0,0x9ff702ff,0xdff99300,
    0x499ffd99,0x5ff72ff8,0xfe80bfe6,0x01ffe02f,0xf883ffc8,0x7ffcc1ff,
    0x903ffebd,0x99dffb99,0x67ffcc39,0x80ffffec,0xfeeeeffa,0x04cdf01f,
    0x1ffe97dc,0xf91fff88,0x7ff9007f,0x3bffe600,0x44fffeee,0xfff02ffd,
    0x417fee01,0xfff96ffa,0x009ff701,0xfffffff7,0x7c4fffff,0x261ff32f,
    0x3ffa03ff,0x801ffe02,0xffc83ffc,0xfffffa86,0xfa805fff,0x3ffe604f,
    0x01efffff,0xfffffffb,0x745be03f,0xffd2fb85,0x64dff903,0xffc803ff,
    0xffff9003,0x8dffffff,0xfff02ffd,0x417fee01,0xfff16ffa,0x009ff70b,
    0x99bffb93,0x7cc99dff,0x0ffe602f,0x3e02ffe8,0x3ff2007f,0x20fffe43,
    0xeffefff8,0xccc83fff,0x1ccceffd,0x3bffffe6,0x3bfe203c,0x01ffeccc,
    0x707feadf,0x907ffa5f,0x7fe43fff,0x03ffc803,0xddddffd0,0x6c1fffdd,
    0x1fff02ff,0x5417fee0,0x3ffea6ff,0x0027fdc2,0x27f41ff5,0xf1017fcc,
    0x17ff407f,0x667ffe64,0x7e43cccc,0xffffdcdf,0xa84ffe85,0x3fe21fff,
    0xffffffff,0x001bfe62,0xffb83ff7,0xc9be3ccd,0xffd2fb83,0xbffffb9b,
    0xccceffc8,0x7ff91ccc,0x40dff100,0x3ff63ffe,0x641fff02,0xcceffdcc,
    0xd8dff51c,0x3fee0fff,0x2cccccce,0x0ffe3fd4,0xf8807fe6,0x3fbbba4f,
    0xff5eeeff,0xffffffff,0xffffc8df,0xe883ffff,0x0bbf206f,0x3bff7333,
    0x37fcc133,0x2e1bfa00,0x3e5fffff,0xcccccccf,0xfffd2fec,0x907fffff,
    0xffffffff,0x00fff25f,0xfc813fee,0x40bff65f,0xfff10fff,0x5fffffff,
    0xff11bfea,0x7fffdcbf,0x5c4fffff,0x20bfe27f,0x3e201ffa,0x3ffffe4f,
    0xff7fffff,0xffffffff,0xffffc8df,0x0d400bce,0xff500710,0x037fcc09,
    0xf707ff30,0x7fcbffff,0xffffffff,0xffffd2ff,0x3f20179d,0xffffffff,
    0xb007ff92,0x7fd403ff,0x7c0bff67,0xffff10ff,0x25ffffff,0xffb86ffa,
    0xfffff73f,0xfc89ffff,0x2a07fe66,0x3fe201ff,0x3fffffe5,0x0007ffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xb9500000,0x9991059d,0x2a015799,0xcccccccc,0x999933cc,
    0x27999999,0x32603ccb,0x0333264c,0xca873322,0xb9e5c00c,0x666402cc,
    0x99999930,0x33332055,0xcccccccc,0x59dd9500,0x79999930,0x3332e015,
    0x400cca80,0x000cccc8,0x01664400,0x08044000,0x3ffffa60,0x7ffcc5ff,
    0x41dfffff,0xfffffffc,0xfff76fff,0xdfffffff,0x6c03ffea,0x27ffc4ff,
    0xf707ffdc,0x96fe803f,0x7fd40dff,0x3ffffea7,0x7fc1efff,0xffffffff,
    0x7ff4c1ff,0x2a0dffff,0xffffffff,0x1ffff40d,0x3600ffe4,0x2001ffff,
    0x3fe603d8,0x4007a604,0xd8cffffb,0x7fc41eff,0x4fffffff,0x3fffffe6,
    0x3f20ffff,0xffffffff,0xfffff76f,0x74dfffff,0xfff984ff,0x107ffd40,
    0xffb87fff,0xfaaff401,0x9ff900ff,0x7f77ffd4,0x3fe0ffff,0xffffffff,
    0x3ffa21ff,0x24fffeef,0xfffffffa,0x7fff45ff,0x201ffc87,0x01fffff9,
    0x207ffd10,0xff304ff9,0xffff005f,0xffffffff,0xb10bfb81,0x37fccfff,
    0x4cbfff71,0xeaaaaaaa,0x333315ff,0x47fff733,0x7ec0fffa,0x4bffd04f,
    0xffa87ffb,0xf8aff401,0x5ffd02ff,0x3ea2ffd4,0x3fee03ff,0x077fe405,
    0x3ea3fff5,0xfffb515f,0x17ffff43,0xfe807ff2,0x9801ffef,0xf301efff,
    0x7ffec09f,0x6c457403,0x3ffaafff,0x1fff8818,0xff50dff3,0x3ffe600f,
    0x85ffe801,0x3fe63ffe,0x3fff500f,0xf505fff1,0x24fe803f,0xff885ffd,
    0x642ffd47,0x3fee04ff,0x417ff405,0xbff54ffd,0x3a2fff88,0x7e46ffff,
    0xb9ff701f,0xffb803ff,0x3fe600df,0x2fffe404,0x6cbff300,0xfff1006f,
    0x221bfe63,0xfd800fff,0xfffc805f,0x367ffa80,0x7fec03ff,0xf306ffcd,
    0xff065c5f,0x5c3ffdc9,0x2ffd45ff,0xf701ffec,0x1fff80bf,0xff55ffb8,
    0x745ffd0b,0x322ffdff,0x6ff881ff,0x7e403ffb,0xfffc84ff,0x7fffffff,
    0x00efffa8,0x3f23ff88,0x1fff3006,0x3e21bfe6,0x7fc400ff,0x7ffcc01f,
    0x22fffa03,0x7cc00fff,0x302fffff,0x8ffe25ff,0x3ffe24ff,0x2a1ffec1,
    0x7ffcc5ff,0x017fee00,0xff507fff,0xf317fead,0x57ff43ff,0x07ff25ff,
    0x7fec7ff6,0x3fffd881,0xffffff90,0x260fffff,0xb981efff,0xeeeeffec,
    0xbffb007f,0x7dc37fcc,0x5ffc806f,0x405ffe80,0x3ffceffa,0xbffff900,
    0xfa97fcc0,0xfd0ffe6f,0x40fff87f,0xfeeefffa,0x7fdc02ff,0x0f7fec05,
    0x3eafff91,0xfffbaaef,0xffebff45,0xfa83ff91,0x107ff64f,0x4c03fffd,
    0xadffbaaa,0x3fa202aa,0x3fff22ff,0xffffffff,0x1fffa807,0xff51bfe6,
    0xfff8807f,0x07ffe401,0x7fffff40,0xffff3000,0xd9ffc405,0x87ff0fff,
    0x3fea5ffb,0xfffffa86,0x5c02dfff,0x7fd405ff,0xffffeeff,0xffffff56,
    0x2ffd07ff,0x3ff95ffa,0x3f60ffe8,0x77ffcc1f,0x13fe6000,0x27fffb00,
    0xff99dffa,0x4019999b,0x7cc3fff9,0xffffffff,0x06ffc806,0x8017ffcc,
    0x003ffffa,0x81bffff6,0xffff3ff8,0xf985ff17,0x07ff90ff,0xfd99dff5,
    0x7dc07fff,0xfffb805f,0x56ffffff,0x7fffffff,0xfff9ffa0,0x3f21ffc8,
    0x40ffec2f,0x001fffe8,0x22009ff3,0x3f22fffe,0x000bfe27,0xf309fff3,
    0x9fffffff,0x05fff100,0x4005ffe8,0x3000fffe,0x05ffffff,0x6f7cdffc,
    0xf82ff8df,0x03ffd2ff,0xfd88bff5,0x17fee07f,0x566e5c40,0xdff55ffb,
    0xd05fff73,0x667fdcff,0x3dff31ff,0x35ffd333,0x3fffd881,0x804ff980,
    0x6c1effe9,0x017fe67f,0x304fff98,0x15799fff,0x01bff200,0x8001fff9,
    0x36005ffb,0x06ffcdff,0x2f3f33fe,0xc81ff9ff,0x07ff8cff,0xff30bff5,
    0x17fee03f,0x27ffb000,0x3fee5ffa,0xf13ff40f,0x2e3ffbff,0xffffffff,
    0xf905ffff,0xee9809ff,0x77ffd403,0xe9affb80,0x03513fff,0x4c09fff3,
    0xf10006ff,0x7fcc05ff,0xffb8002f,0x3fff5005,0x3e09fff1,0xff89fecf,
    0xffa81ffc,0xf504ffae,0x3fff10bf,0x0017fee0,0xf50fff88,0x43fff8bf,
    0x7ffe47fe,0xffff71ff,0xffffffff,0x6fffdc0b,0x7fdc0000,0x3ffe205f,
    0xfffffcff,0x27ffcc3f,0x001bfe60,0x3a037fe4,0xf70005ff,0x3ffa00bf,
    0x203fff25,0x3fa7fefe,0xfff00ffe,0x3ea05ffd,0x07ffc85f,0x40017fee,
    0x3ea5ffea,0x23ffdc5f,0x7ffcc7fe,0x999931ff,0x9bfff999,0x3fffa807,
    0x55555551,0x3fe63555,0xffeb804f,0x5fffff33,0x777fffc4,0xff35eeee,
    0xfff1000d,0x77ffdc05,0x05eeeeee,0x2e017fee,0x3fe20fff,0x4fffe85f,
    0x403fffee,0x207ffffd,0xeccceffa,0x3ee04fff,0xedcc805f,0x2a0efffe,
    0x7ffc45ff,0x3f61ffa3,0xfb001fff,0x274c003f,0xfffffff3,0x17d49fff,
    0x0ccc0600,0x7fffffd4,0xff36ffff,0xdff7000d,0xfffffc80,0x207fffff,
    0x7c405ffb,0xfffc84ff,0x317ffec1,0x2a01ffff,0x2a05ffff,0xffffffff,
    0x2ffdc05f,0x3ffffe20,0x7fd40dff,0x3a6ffc85,0xffffa87f,0x03ffb001,
    0x7ffcc080,0x4fffffff,0x80000004,0xfffffffa,0xdff36fff,0x3fff8800,
    0x7ffffe40,0x207fffff,0x7e405ffb,0xfff880ff,0x743ffec6,0x3fe207ff,
    0x3fea02ff,0x01ceffff,0x4405ffb8,0x01bdefff,0xff30bff5,0x741ffa5f,
    0xfb001fff,0x0000003f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x42776c00,0xdd91eed8,0x50eeb801,
    0x77540bdd,0x1017fee5,0x00330001,0x00000010,0x09dd3004,0x08805dd7,
    0x02001800,0x06644002,0x0004cc00,0x764c0044,0xb9101cee,0xdddb059d,
    0x43dddddd,0x7ec2fffa,0x007ff65f,0x7ffc4ffb,0x5c7ffb01,0x7fe4c5ff,
    0x9102efff,0x05ffffff,0x16ffff64,0x7fffedc0,0xfffea80d,0x437fcc1d,
    0x1dd93ffc,0x985fffd5,0xfffc8aee,0x363ba60d,0x2efd89ef,0x0037fe40,
    0xc8013fe6,0x700dfffe,0x83ffffff,0x5ffffff9,0x7ffffffc,0x7fe41fff,
    0x41fff50f,0x7f402ffc,0x4427fec6,0x3fea0fff,0x7ffffe45,0x7fc44fff,
    0x83ffffff,0xffffffe9,0xfffd304f,0xfc81ffff,0x23ffffff,0xffc86ff9,
    0xfff9ffb3,0x7fcc5fff,0x5fffffec,0x3fff7fe6,0x407fffce,0x4c007ffd,
    0xfe8804ff,0x82ffdbce,0x89fd1099,0xffebbffe,0x3bbbbb61,0xfe80ffff,
    0x42fff8df,0x82aa3ffa,0x3ffd45ff,0x3ea2ffdc,0x4d5ee44f,0x361fffc9,
    0xb999aeff,0xdcfffe81,0xfe82ffff,0x0feccdff,0x2e6fbfee,0xdff31fff,
    0x3f67ff90,0xffebefff,0x3ffffe66,0xf31fffdc,0xbfff9bff,0x7cc03ff9,
    0x7fcc002f,0xccbfe804,0x201fe9ac,0x3e65fd99,0x013fe22f,0x2605fff5,
    0x84ffefff,0x9ff34ff9,0x3fe13fe2,0x217ff42f,0x36004ff9,0x0bffe2ff,
    0x107ffdc0,0xffc8dffb,0x3fe2081f,0x9a7fdc0f,0x3ffc86ff,0x7c49fffb,
    0x3bffe67f,0x7ccfffa0,0x11fff37f,0x000007ff,0xf7013fe6,0x17fddf17,
    0xfffd88df,0x03fea5ff,0x7fc40bfd,0x7ffdc04f,0x2bff106f,0x5ff17ffc,
    0x7ccbff90,0x03ff986f,0xfe8fff20,0xffd802ef,0x20fffa83,0xfa803fff,
    0x36ff985f,0x7ff90dff,0x3fe17ff6,0x83fff30f,0x7ff33ffc,0x7fc53fe2,
    0x26666663,0x20999999,0xcffa9999,0x5fa09999,0xf95f8af8,0x6cdf7f41,
    0x88bfea5f,0x3ffa04ff,0x5fffd005,0xffeb7fc0,0x881ff9af,0x7ff90fff,
    0x2a035510,0x3ffffeec,0x33ffffee,0x103ffd01,0x3fe23fff,0xeffb800f,
    0x7ffeeeee,0xff90dff3,0x260fff67,0x21bfe619,0x5ff34ffb,0x7fc4ffe2,
    0x3fffffe3,0x22ffffff,0xffffffff,0x57e2ffff,0xf72fddf8,0x744ffe25,
    0x277fe25f,0xfb02ffc8,0xff7001ff,0x3fa01dff,0xadffff9f,0x7ffb00ff,
    0x30003ffe,0xffffffff,0xffffb87f,0x7ffc0eff,0x265ffd00,0xff9007ff,
    0xffffffff,0x321bfe6f,0x07ffb3ff,0x2e1bfe60,0x25ff34ff,0x7ff13ff8,
    0x7ffffffc,0x3e2fffff,0xffffffff,0x457e2fff,0x8bea4fef,0x5fffdfff,
    0x7fffffe4,0x03fff705,0xffffff30,0x3f3ff60b,0x07fcffce,0x3feb7fea,
    0xf897fe05,0xfd99adff,0xffdb883f,0x17ffc6ff,0xff11fff8,0xbff9001f,
    0x55555555,0x3f61bfe6,0x007ffb3f,0x3ee1bfe6,0x225ff34f,0x47ff13ff,
    0xaaaaaaaa,0x2aa0aaaa,0xaadffcaa,0x7c5ba0aa,0x41f91fba,0x5fbdfffa,
    0x04ffffc8,0x1007fff3,0xfff37ffd,0x7ffff905,0x80dffff3,0x02ffdfff,
    0x7fd45ff1,0x403ffc86,0x3a1fffc8,0x7ff884ff,0x5c01fffc,0xff1004ff,
    0x9fffe41f,0xf3003ffd,0x29ff70df,0x7ff12ff9,0x0000ffe2,0x2027fcc0,
    0xf8af8afc,0x00306f8d,0x3fe20088,0xdffb005f,0x2a07ffe4,0xffd1ffff,
    0xfffc80bf,0x83fea07f,0x7fcc5ffc,0xfff8803f,0x903fff22,0xfffe8bff,
    0x07ffcc01,0xebdfff80,0xffb3ffff,0x1bfe6007,0x7fcd3fee,0x3e27ff12,
    0x0776203f,0x809ff300,0x750aafe8,0x555443fd,0x511aaaaa,0x35555555,
    0x7777ffec,0x3fee2eee,0x237ff41f,0x3f26fff9,0x7fcc04ff,0x0f6a04ff,
    0xf737fff5,0x4df47fff,0x0fffc989,0x2f7fffe2,0x7cc1fffd,0xfdcbdfff,
    0x26ffff61,0x3f21ca99,0xffcfffff,0x2007ffb3,0xffb86ff9,0x3e25ff34,
    0x407ff13f,0x4c007ffd,0xff9804ff,0x43ffcabc,0xfffffff9,0xfffff33f,
    0x3fe27fff,0xffffffff,0x307fff32,0x7fc47fff,0x0fffe64f,0x007fffa0,
    0x3ffffe20,0x3e3ffdff,0xffffffff,0xfffffb83,0xff703fff,0x43ffffff,
    0xffffffe8,0x7ffe41ff,0xfb3ff8ae,0x3fe6007f,0xf34ffb86,0x44ffe25f,
    0x3ff603ff,0x27fcc007,0xffffd880,0xeeee981e,0xdd32eeee,0x25dddddd,
    0xfffffff8,0x00002fff,0x00000000,0x77fff4c0,0x3fa3ff8a,0x02efffff,
    0x3bffffa6,0x7ffecc01,0xffc80dff,0x881effff,0x1ffec019,0xb86ff980,
    0x25ff34ff,0x7ff13ff8,0x00176c40,0x20006aa2,0x00000099,0x00000000,
    0x00000000,0x00331000,0x0004cccc,0x4c400066,0x03331000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x004c0500,0x0ffe2000,0x44002660,0x64c00000,0x4006200c,
    0x32201cc8,0xcccccccc,0x8810102c,0x88888888,0x43ffe088,0xf7002ffe,
    0xbdb505ff,0xbbb88003,0x3fa61bbb,0x102ee05f,0x4cccc399,0x99999999,
    0x175c0099,0x307f90fa,0x317541df,0x8bfe00db,0x77fffe40,0xffffc882,
    0x0fff9104,0xfb86ffe8,0x3600dfff,0x3fe606ff,0xffffffff,0x3ee5fd84,
    0xfffff90e,0x7c7fffff,0x03ffd0ff,0x503dff70,0xf87fffff,0xffffa84f,
    0x7fec44ff,0x20fffd85,0xfff0fffe,0xffffffff,0x7cc03fff,0x4cbff26f,
    0x3fe63fff,0x21fff13f,0x1eb84ffb,0xd8bb13ff,0x41ffffff,0x4ffffffe,
    0x03ffffe4,0x645ffff1,0x0fffffff,0x03ffffa8,0xddddddd3,0xff887ddd,
    0x327ffd0f,0xffffffff,0xd9ffe3ff,0x7fdc01ff,0xfdffd00d,0x0ffe27ff,
    0x37777766,0x4cbff903,0xff33ffff,0x3fffe7ff,0xffffffff,0x3ffa01ff,
    0xfa8bff31,0x4fff8bff,0xffd27fd4,0x75fffc43,0x262ffebf,0xd30fff60,
    0xd8dffb37,0x6c07ffef,0xbff33fff,0xd09ff911,0x001ff77f,0x64dfd000,
    0x555531ff,0x47ff5555,0x03ff67fe,0x2602aa88,0xdfff33ff,0x00003fff,
    0xff88554c,0xffff33ff,0x26666665,0x19999999,0x744ffee0,0xfffa80ff,
    0xffb04fff,0xb31bfe65,0x5dffffff,0x00fff4c0,0x2531bfee,0x7fc407ff,
    0xf81ff72f,0xfd3fdc5f,0x0600000b,0xff880026,0xffc9ffa3,0xffa80000,
    0x3ffffe61,0x90000005,0x7fe41dff,0xf1000005,0x00ffe4df,0x409ffff5,
    0xff70ffe8,0x9ffff307,0x17fffe40,0x80bffe60,0xffd807ff,0xfe81ff71,
    0xfa8bfe26,0x6666442f,0x02cccccc,0x3fe20000,0xffc9bf63,0x44000000,
    0x00003dec,0x1880cc00,0x3e600000,0x803ffa5f,0x403ffff9,0x9ff70ffe,
    0x7ffffe44,0xffeb82df,0xfff303ff,0x407ff809,0x3fea5ff9,0xfd93fe23,
    0x7cc6fe86,0xffffffff,0x2000004f,0x8aa63ee8,0x000002a9,0x00000000,
    0x00000000,0xff32ffc8,0x3fffe60d,0x5ff903ff,0xff89bfe2,0xfffbfecf,
    0x03ffe602,0xf007fff5,0xffb930ff,0x6fffc41d,0xff31fffc,0x4c9ff303,
    0xeeeeeeee,0x000003ee,0x00000000,0x00000000,0x00000000,0x70fff880,
    0xfff987ff,0x4c3fffac,0x07ff65ff,0x227fe5f7,0x3fea0c6e,0x33ffee0f,
    0x2aa60aaa,0xf50aafff,0x3fea09ff,0x32e3ffff,0x00132e03,0x33333330,
    0x00000003,0x00000000,0x00000000,0xf5000000,0x88fff4bf,0x3fea4fff,
    0x21fff13f,0x7c104ffb,0xffff022f,0xfff89fff,0x361fffff,0x1fffffff,
    0x97100351,0x00000179,0x7fffec00,0x000007ff,0x00000000,0x00000000,
    0x00000000,0x867c47fb,0xefa84fe8,0x6ea8bee0,0x202ff880,0x83efffff,
    0xffffffff,0x3fffff61,0x000001ff,0xd8000000,0x07ffffff,0x00000000,
    0x00000000,0x00000000,0x10110000,0x00540710,0x98000010,0x00000009,
    0x00000000,0x5dd40000,0x0003bbbb,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_bold_26_latin1_x[224]={ 0,5,2,0,1,0,0,5,3,2,1,0,2,3,
4,0,0,1,1,1,0,1,1,1,1,0,4,2,1,1,2,3,0,0,1,1,1,2,2,0,1,1,2,1,
2,0,1,0,1,0,1,1,1,1,0,0,0,0,1,3,1,3,1,0,0,1,1,1,0,1,0,0,1,1,
1,1,1,0,1,0,1,0,2,1,0,1,0,0,0,0,1,1,5,2,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,1,0,0,0,
5,1,0,0,2,1,1,3,0,0,2,1,2,2,0,1,0,4,5,2,2,1,0,0,0,2,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,
 };
static signed short stb__consolas_bold_26_latin1_y[224]={ 19,1,1,2,-1,0,1,1,0,0,1,5,14,10,
14,1,2,2,2,2,2,2,2,2,2,2,5,5,4,8,4,1,0,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,1,0,2,21,1,5,1,5,1,5,0,5,1,0,
0,1,1,5,5,5,5,5,5,5,1,6,6,6,6,6,6,0,-2,0,9,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,19,5,0,2,2,2,
-2,0,0,2,2,6,10,10,0,1,0,3,0,0,1,6,1,9,19,0,2,6,0,0,0,5,-3,-3,-3,-3,
-3,-4,2,2,-3,-3,-3,-3,-3,-3,-3,-3,2,-3,-3,-3,-3,-3,-3,6,-1,-3,-3,-3,-3,-3,2,0,1,1,
1,0,0,-1,5,5,1,1,1,0,1,1,1,0,1,0,1,1,1,0,0,5,3,1,1,1,0,1,1,0,
 };
static unsigned short stb__consolas_bold_26_latin1_w[224]={ 0,5,10,14,13,15,15,4,9,9,12,14,8,9,
6,13,14,12,12,12,14,12,13,12,12,13,6,8,11,12,11,10,15,15,13,12,13,11,11,14,13,12,10,13,
11,14,13,14,13,15,13,12,13,13,15,14,15,15,12,8,13,8,13,15,9,12,13,12,13,12,14,14,12,12,
11,13,12,14,12,14,13,13,12,12,13,12,15,15,14,15,12,11,4,11,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,0,5,11,14,14,14,
4,13,12,15,10,12,12,9,14,11,10,12,10,10,14,13,14,6,5,10,10,12,15,15,15,9,15,15,15,15,
15,15,15,12,13,13,13,13,13,13,13,13,14,14,14,14,14,14,14,12,14,14,14,14,14,15,13,13,13,14,
13,13,13,13,14,12,13,14,13,13,13,14,13,13,14,13,14,14,14,14,14,14,14,13,14,13,13,15,13,15,
 };
static unsigned short stb__consolas_bold_26_latin1_h[224]={ 0,19,7,17,24,20,19,7,25,25,12,14,10,4,
6,21,18,17,17,18,17,18,18,17,18,17,15,19,16,8,16,19,25,17,17,18,17,17,17,18,17,17,18,17,
17,17,17,18,17,22,17,18,17,18,17,17,17,17,17,25,21,25,9,4,6,15,19,15,19,15,19,20,18,19,
25,18,18,14,14,15,20,20,14,15,19,14,13,13,13,19,13,25,27,25,6,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,20,23,17,17,17,
27,22,7,18,13,12,7,4,14,6,10,16,11,12,6,19,21,6,4,11,13,12,19,19,19,20,22,22,22,22,
22,23,17,21,22,22,22,22,22,22,22,22,17,22,23,23,23,23,23,12,23,23,23,23,23,22,17,20,19,19,
19,20,20,21,15,18,19,19,19,20,18,18,18,19,19,19,19,19,19,20,20,14,19,19,19,19,20,24,24,25,
 };
static unsigned short stb__consolas_bold_26_latin1_s[224]={ 254,194,159,213,147,160,185,249,91,81,40,
137,86,133,229,104,1,243,1,242,187,45,169,28,156,145,249,247,202,120,227,
244,101,144,117,114,106,120,132,85,160,174,74,187,201,228,173,16,14,15,159,
183,131,100,101,86,70,54,41,48,133,39,106,236,212,1,121,42,92,55,77,
218,209,229,27,127,196,107,94,27,190,204,81,14,200,68,233,217,202,149,189,
57,6,69,185,91,91,91,91,91,91,91,91,91,91,91,91,91,91,91,91,
91,91,91,91,91,91,91,91,91,91,91,91,91,91,91,91,91,254,248,161,
1,31,46,1,122,133,58,167,1,146,133,152,200,95,214,64,53,170,32,118,
222,249,75,178,27,169,46,1,44,150,166,31,240,92,76,75,147,1,182,196,
136,108,226,47,61,16,75,173,188,203,218,233,14,1,16,31,46,61,210,61,
233,230,17,155,15,1,90,239,222,216,126,112,176,235,141,31,98,83,141,201,
62,106,54,29,122,179,165,214,135,69,131,117,11, };
static unsigned short stb__consolas_bold_26_latin1_t[224]={ 1,97,188,136,1,53,76,171,1,1,188,
172,188,196,188,53,117,136,154,97,154,117,117,154,117,154,117,53,154,188,154,
76,1,136,154,117,136,136,136,117,136,136,117,136,136,136,154,117,154,53,154,
117,154,117,154,154,154,154,154,1,53,1,188,188,188,172,97,172,97,172,97,
53,117,97,1,117,117,172,172,172,53,53,172,172,97,172,171,171,171,97,172,
1,1,1,188,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,
136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,1,1,1,
136,136,136,1,29,188,117,172,188,188,196,172,188,188,154,188,188,188,97,53,
188,179,188,172,188,76,97,97,76,29,29,53,29,29,29,136,53,53,29,29,
29,29,29,53,53,136,53,1,1,1,1,1,188,29,29,29,29,29,29,136,
53,76,97,76,76,76,53,154,117,76,76,76,53,117,117,117,76,76,76,76,
97,97,76,76,172,97,97,97,97,76,1,1,1, };
static unsigned short stb__consolas_bold_26_latin1_a[224]={ 229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_26_latin1_BITMAP_HEIGHT or STB_FONT_consolas_bold_26_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_26_latin1(stb_fontchar font[STB_FONT_consolas_bold_26_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_26_latin1_BITMAP_HEIGHT][STB_FONT_consolas_bold_26_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_26_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_26_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_26_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_26_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_26_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_26_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_26_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_26_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_26_latin1_s[i] + stb__consolas_bold_26_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_26_latin1_t[i] + stb__consolas_bold_26_latin1_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_26_latin1_x[i];
            font[i].y0 = stb__consolas_bold_26_latin1_y[i];
            font[i].x1 = stb__consolas_bold_26_latin1_x[i] + stb__consolas_bold_26_latin1_w[i];
            font[i].y1 = stb__consolas_bold_26_latin1_y[i] + stb__consolas_bold_26_latin1_h[i];
            font[i].advance_int = (stb__consolas_bold_26_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_26_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_26_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_26_latin1_s[i] + stb__consolas_bold_26_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_26_latin1_t[i] + stb__consolas_bold_26_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_26_latin1_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_26_latin1_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_26_latin1_x[i] + stb__consolas_bold_26_latin1_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_26_latin1_y[i] + stb__consolas_bold_26_latin1_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_26_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_26_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_26_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_26_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_26_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_26_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_26_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_26_latin1_LINE_SPACING
#endif

