// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_29_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_29_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_29_latin1_BITMAP_WIDTH         256
#define STB_FONT_consolas_bold_29_latin1_BITMAP_HEIGHT        244
#define STB_FONT_consolas_bold_29_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_consolas_bold_29_latin1_FIRST_CHAR            32
#define STB_FONT_consolas_bold_29_latin1_NUM_CHARS            224

#define STB_FONT_consolas_bold_29_latin1_LINE_SPACING          19

static unsigned int stb__consolas_bold_29_latin1_pixels[]={
    0x26621331,0x00000000,0x88088000,0x80000000,0x333221c9,0x1000cccc,
    0x02bcc803,0xcccccca8,0x03cba803,0xca800000,0x04c4000c,0x00035300,
    0x00001333,0xca7fe400,0x42d804ff,0xc80000ea,0xf500efff,0x817fdc7f,
    0x00002fff,0x3e65fff5,0x00ffffff,0x37ffff22,0x1effff81,0x3fffff20,
    0x3ffa605f,0xdfec886f,0xe80006e1,0x6fc8006f,0x4013fa00,0xffffffea,
    0x007ffe22,0x7e4ffff0,0x809ff94f,0xdff52ffd,0x7fe40001,0x37ff404f,
    0x3fe0dfff,0xfb00002f,0x3ffe6bff,0xd300ffff,0x3fffffff,0x0ffffff8,
    0xffffff90,0x3fffe20b,0xffffd86f,0x000ffddf,0x8004ff88,0x3fe005fd,
    0xffffd803,0x7e43ffff,0x7ffc005f,0x7e53ff27,0x3fff604f,0x01dfff31,
    0x05fff900,0x7ecbffb0,0x05fff04f,0x3ffee000,0x203ffe04,0xc9acfff8,
    0x7d441fff,0x7ff904ff,0x2bbff600,0xfccfe880,0x5004ffff,0x03ffddb7,
    0x3009fd00,0x5c039ff7,0xcaabdfff,0x07ffcc3e,0x64dfff00,0x09ff94ff,
    0xf507fff2,0xea800bff,0x771000de,0xff01e441,0x6400005f,0x3ffe00ce,
    0xb83ffe80,0xdff504ff,0x400fff20,0x0c402ffe,0x1007bd91,0xfffffffb,
    0x07ff0003,0x3fffff62,0xffd81fff,0x1fff4007,0x64dffd00,0x09ff94ff,
    0x2a05fff3,0x00002fff,0x7fc00000,0x0000002f,0x7dc0fff8,0x41ffa04f,
    0xff907ff8,0x03ffe007,0xff300000,0xffffffff,0xff751001,0xffffa839,
    0x81ffffff,0x2000fffd,0x3a007ffa,0x53ff26ff,0x7f444ffc,0x7ffec05f,
    0x005554c0,0x554c6aaa,0x0d55400a,0x32e25fff,0x5555501b,0x40355555,
    0x7ffc0fff,0x40bfee00,0xffc80fff,0x07ff8803,0x2b376ea0,0x67fff400,
    0x06ffffca,0x3fffff62,0x3fffe27f,0x1fdcffed,0x02ffffb8,0x400bffe0,
    0x3ff25ffe,0xfb89ff94,0x7fc400ff,0x1fffd44f,0x2a5fff50,0x3ea03fff,
    0x2bffe2ff,0x84fffffc,0xfffffffe,0x3ffe03ff,0xa98ffea0,0x03ffaa89,
    0xff901fff,0x0fff1007,0xfffffb10,0x3fea03ff,0x3ffff62f,0xffffa83f,
    0x3ee7ffff,0x00bfb2ff,0x1bfffff7,0x00dff700,0xffc97ffa,0xfe89ff94,
    0xfff9003f,0x6c0dffd0,0x37ff46ff,0xff8dffb0,0xffffffef,0x7ffff44f,
    0x203fffff,0x3ff60fff,0xfffffe88,0xfff04ff9,0x007ff901,0xf980fff1,
    0xffffffff,0x26ffe82f,0x5ffedff8,0x6f7fffc4,0x3ff27dff,0xc809fd0f,
    0xffffffff,0x0fffc403,0xf92ffec0,0x993ff29f,0xf3000fff,0xfffb85ff,
    0x43fff881,0xf881fffb,0x7fffc3ff,0xffffbaef,0x2aaaaaa0,0x3e03fffa,
    0x6d7fe0ff,0xff7fffff,0x20bffa09,0xf9803ffc,0x7fff406f,0x7fffdbbd,
    0x3ea3fff8,0x6c6ffbaf,0x2bfb2fff,0x233ffee0,0x3fe603ff,0xfffffbdf,
    0x13ff600d,0xfc97ff60,0x649ff94f,0x7f4006ff,0x27ffc44f,0x2207ffdc,
    0xffb84fff,0x27fffc0f,0x400fffea,0x3fe03fff,0xf39ff30f,0x3edff3df,
    0x0bff905f,0xf9007ff9,0x7ffd40bf,0x23fffc83,0x3f61fff8,0x7c7ffa8f,
    0x213fa6ff,0xfffffff9,0x43fff202,0x05ffffd8,0xb003ffe6,0xa7fe49ff,
    0x3ff64ffc,0x37fe4004,0x7f43ffec,0x0fffb05f,0xfff0bffd,0x013ffe0b,
    0xff01fffc,0x32bfee1f,0xf5ff8aff,0x3ffe60bf,0x07ff92cf,0x0bfff6ea,
    0x3e06ffe8,0x3ffe66ff,0x7fcd7fe0,0x47fff11f,0xfff903ff,0x3607dfff,
    0x7fdc0fff,0x3ffa02ff,0x527fe403,0x93ff2599,0x5c003ffe,0xfffa87ff,
    0x40bffe22,0x3e22fffa,0x2fff82ff,0x200bffd0,0x3fe03fff,0xfb1ff90f,
    0x3ebff11f,0x3ff2205f,0x207ff96f,0x402dfffe,0x3f204fff,0x43ffea7f,
    0xfff13ffa,0x447ffea5,0x3fee02ff,0x42ffffff,0xfa84fffb,0x3fea04ff,
    0x027fe406,0xfff93ff2,0x3ffd4002,0x3ee5fff8,0x2fffc07f,0x3fe0fff7,
    0x0dffb02f,0xf80fffe0,0x3affb0ff,0x3e9ff37f,0x3fff204f,0x207ff96f,
    0x202efffe,0x2e02fff8,0xfff50fff,0x7cc3ff21,0x5fff31ff,0x71007fe6,
    0x7fffffff,0x427fffcc,0x7fc06fff,0x0fff202f,0x3e29ff90,0x7cc001ff,
    0xfffc80ff,0xc809ffd0,0x9ffd0fff,0x740bffe0,0xfff005ff,0xd87ffc07,
    0x3eadff7f,0x704ff8bf,0x32137fff,0xfb5103ff,0x3fe605ff,0x3ffea01f,
    0x3e3fff31,0x43ffe66f,0xff54fff8,0x3fff6001,0x3f20ffff,0x3fe2efff,
    0x2ffe405f,0xc807ff90,0x0bffe4ff,0x20fff300,0xff9afff8,0x7ffc400f,
    0xf00fff9a,0x3ffe05ff,0x07fff004,0x7fe87ffc,0x2bfeedff,0xffd03ff9,
    0x007ff905,0x3ea09ff9,0x3fe601ff,0x267ffe2f,0x1ffea3ff,0xff75ffff,
    0x6c67f400,0x7fe42fff,0xfffddfff,0x0fffc402,0x64009988,0x0fffe4ff,
    0x40dff500,0x5ffcdffd,0xf9bffb00,0x17ffc0bf,0x8017ffd4,0x3fe03fff,
    0x3feffd0f,0xff75ff96,0x203ffe01,0xfa803ffc,0x3fff506f,0xd0fffcc0,
    0x43ff99ff,0x7fdc6ffc,0x6caefeff,0xff997fc0,0xffffa83f,0xb005ffff,
    0xa98009ff,0x749ff91a,0x7dc004ff,0x3ffea05f,0xf5002fff,0x405fffff,
    0x7f442fff,0xfff000ff,0xd87ffc07,0xff7ffd7f,0x7c0dfd9f,0x3ffc80ff,
    0x307ff880,0x7d405fff,0x3fff60ff,0x3ffe26fe,0xfffffe83,0x3e607fff,
    0x05fff31f,0x2fffffe4,0x01fff300,0x7fe45ff7,0x7e49ff94,0x7ff4007f,
    0x7ffffc04,0x7fffc007,0x77ffc07f,0x2ffffcbc,0x80fffe00,0x1ff90fff,
    0xfffffff9,0x7ffc05ff,0x803ffc80,0xff107ff8,0x3ffdc07f,0x53ffffea,
    0x900fffe8,0xffffffff,0x7fd4d664,0x00fffea9,0x02ffff44,0xf10fffa0,
    0xa7fe4fff,0x3fe64ffc,0xfff3001f,0xffffc803,0x7ffe4004,0x7fffc04f,
    0x03ffffff,0xf01fffc0,0x27fee1ff,0xff9bffe8,0x07ffc03f,0x4401ffe4,
    0x3ffe07ff,0x21bff605,0xfeeffffb,0x5c403fff,0x360acdff,0xffffffff,
    0xf1002fff,0xfb800dff,0x7fffc46f,0x3f29ff90,0x02fff44f,0x8806ffc8,
    0x4000ffff,0x400ffff8,0xffffffff,0xfff8000d,0x543ffe03,0x441313ff,
    0x01fff001,0xf1007ff9,0x7ffec0ff,0x04fff880,0xfffffffb,0x3fe2007f,
    0xfffffb02,0x085fffff,0x002fff40,0xf90bffe2,0xca7fe49f,0x7ffdc4ff,
    0x17ffc401,0x027ffcc0,0x027ffcc0,0x04cd7ffc,0x5fff3000,0xf887ffc0,
    0xf880006f,0x07ff907f,0x4c03ffe0,0x3a61efff,0xff300fff,0x003dffff,
    0xb9807fcc,0x3cefffec,0x7557bf50,0x0007fffb,0x8330bff9,0x9ff94ffc,
    0xd80dffd0,0xffb006ff,0xffb0001f,0x5fff001f,0x3ff20000,0x83ffe00f,
    0x40002ffd,0xff906ffa,0x0bffa007,0xffffffe8,0x2e03ffff,0x0001aaff,
    0x7fc00ff5,0xffffa803,0x005fffff,0x001fff10,0x3ff29ff9,0x04fff984,
    0x8803fff7,0x4003fffd,0x003fffd8,0x4c005fff,0x3ffae21c,0x507ffc06,
    0x37103fff,0x13ffea20,0xd801ffe4,0xd880aeff,0xffffffff,0x003ff403,
    0x8803fdc0,0xffa802ff,0x03efffff,0x027fec00,0xffca7fe4,0x87fff904,
    0xf303fffa,0x00bfffff,0x3fffffe6,0x0bffe005,0xfefffa80,0x3e61ffff,
    0x40ffffff,0xdccefffd,0xffff81ff,0xfff900ff,0x3e20bfff,0xd906ffff,
    0x803bffff,0x80004ff8,0xff3005fc,0x54cc4003,0x00000019,0x3f29ff90,
    0x3fff604f,0x40bfff53,0x04fffff9,0x3ffffe60,0x17ffc004,0xfffff500,
    0xff987fff,0xc80fffff,0xffffffff,0x1effff81,0x3fffff20,0x3ffa605f,
    0x00cc406f,0x97000000,0x03326005,0x00000000,0xca7fe400,0x7fec04ff,
    0x880bff31,0x4001cdfe,0x001cdfe8,0x2001ccc8,0xbdefedb8,0xccccc880,
    0xfb7500cc,0x332017bd,0xccca802a,0xba803ccc,0x0000003c,0x00000000,
    0x00000000,0x29ff9000,0x1c804ffc,0x0000024c,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x9ff90000,0x00013ff2,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xeb9f75c0,0x0000003e,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0x00acddb9,0x6c41bd50,0x5000001e,0x00007999,0x002cccb8,0x00007997,
    0x54000000,0x07b620de,0x66540000,0x2e00003c,0xcb802ccc,0xcc98003c,
    0x79970001,0x20199100,0xffffffd8,0x4fff801f,0xc881bff6,0x806e1dfe,
    0x0005fffb,0x007fffb0,0x013ffff2,0x70eff644,0xffd97003,0xff0bffff,
    0x037fec9f,0x80fff980,0x0005fffb,0x803fffd8,0x004ffffc,0x00fffff2,
    0x09ffff90,0xf986ffe8,0xffffffff,0x27ffc02f,0x7ec0fffb,0xffddffff,
    0x13ffa600,0x3dffb000,0x32fff600,0xffd805ff,0x0ffddfff,0xffffff70,
    0xff0bffff,0x03ffec9f,0x204ffd80,0x0004ffe9,0x2007bff6,0x5ffcbffd,
    0xf99ff880,0x2fff6007,0xff105ffc,0xfffd81ff,0x7fffdbbd,0xd106f540,
    0x33fa203d,0x04fffffc,0x001ccc88,0x40079950,0x332a2cca,0x333fa202,
    0x704fffff,0x9dffffff,0xbd50bffd,0x000f7441,0x200fffc4,0x8001ccc8,
    0x95003cca,0x01665459,0x00ff9be2,0x32a2cca8,0x8dffd02c,0xfb84fffa,
    0x000003ff,0x3dec8862,0x00000000,0x22000000,0x40f7b221,0xfffffff9,
    0x000bff93,0x2ffe4000,0x00000000,0x7f400000,0x00005fee,0x740cc880,
    0x3ffe06ff,0x202ccb86,0x00002ccb,0x2b376ea0,0x376ea000,0x2ea000ac,
    0x0000acdd,0x3ffff200,0xbff93fff,0x566edd40,0x5fff0000,0x5c059970,
    0x0b32e2cc,0x32e2ccb8,0x0b32e02c,0x00dffd88,0x0e666540,0x09fff000,
    0x7ec3ffe4,0x97ff605f,0x9302ccca,0xfffb1079,0x8803ffff,0xfffffffd,
    0x7ffec401,0x5001ffff,0x6c039999,0x3fffffff,0xfb10bff9,0x03ffffff,
    0xb06ffa80,0x7fec0bff,0xd817ff65,0x17ff65ff,0x2a05ffd8,0x4001cccc,
    0x405ffffd,0x3fe21cc9,0x3ffee02f,0xb02ffec0,0x7ffe4bff,0x45ffb80f,
    0xfffffff9,0xff302fff,0xffffffff,0x3fffe605,0x02ffffff,0x05ffffd8,
    0x3ffffffa,0x98bff93f,0xffffffff,0x3fa002ff,0x0bffb03f,0xffb2ffec,
    0xb2ffec0b,0x7fec0bff,0x3ffff605,0x7fffc005,0x1ffdc07f,0x5403fff3,
    0x7fec1fff,0xc97ff605,0xfb83ffff,0x6ffff45f,0x07fffdbb,0xb77bfffd,
    0x3fa0ffff,0xffdbbdff,0xffff807f,0x3fff607f,0xff93ffff,0xbdfffe8b,
    0x007fffdb,0x3601fff3,0x3ff605ff,0xd817ff65,0x17ff65ff,0x3e05ffd8,
    0x2007ffff,0x1ffffffa,0xfa8fff20,0x3fe601ff,0x02ffec2f,0x7fe4bffb,
    0x5ffb87ff,0x320fffea,0x7fd43fff,0x3fffc83f,0x641fffd4,0x3ea03fff,
    0x901fffff,0x7fffffff,0xffa97ff2,0x3fffc83f,0x204ffd80,0x3f605ffd,
    0x817ff65f,0x3ff65ffd,0x417ff605,0x1ffffffa,0xffbff900,0x27fe409f,
    0x4c03fff5,0x7fec1fff,0xc97ff605,0x5c2fffff,0x1bffa5ff,0x7f46fff8,
    0x1bffe06f,0x7fc0dffd,0x37ff206f,0xff104fff,0x327fffff,0x1bffa5ff,
    0x4406fff8,0x3f601fff,0x97ff605f,0x3f605ffd,0x817ff65f,0xff905ffd,
    0x2009fffb,0x6ffdafff,0xfa93ff20,0x3fea02ff,0x02ffec1f,0x7fe4bffb,
    0x7fdc6fff,0xc813ffe5,0x27ffc7ff,0xff8fff90,0x1fff204f,0xffdafff8,
    0x3fffea06,0x4bff93ff,0x3f204fff,0x37fe407f,0xd817ff60,0x17ff65ff,
    0x3f65ffd8,0x17ff605f,0x7fed7ffc,0x8fff9806,0xf900fffb,0x1fffcc9f,
    0xd81fff70,0x3ff605ff,0x3ff3ff25,0x457fee2f,0x3ee02fff,0x5fff10ff,
    0x887ffdc0,0x3ee02fff,0xfff980ff,0x200fffb8,0x93ffffd9,0x3ffe2bff,
    0x03ffee02,0x6c02fff8,0x3ff605ff,0xd817ff65,0x17ff65ff,0xf985ffd8,
    0x0fffb8ff,0xf8b7fdc0,0x9ffb03ff,0xb02fffc4,0xbffb0dff,0xf92ffec0,
    0x5cbff97f,0x3fff35ff,0x98fffd40,0x3ea01fff,0x3fff31ff,0x40fffd40,
    0xfff16ffb,0x5b953007,0x7fcd7ff2,0x3ffea01f,0x00fff501,0x7ec0bffb,
    0x817ff65f,0x3ff65ffd,0x217ff605,0xfff16ffb,0x23ffe807,0xffb05ffe,
    0x80fffd8b,0xfd83fff8,0x97ff605f,0xfff9bffc,0x3eabff71,0x3fe601ff,
    0x03fff52f,0xfa97ffcc,0x3fe601ff,0x23ffe82f,0x20005ffe,0xfff55ffc,
    0x17ffcc03,0xd803ffe8,0x3ff605ff,0xd817ff65,0x17ff65ff,0xfe85ffd8,
    0x817ffa3f,0x3f21fff8,0x8bffb07f,0x261efffa,0xfd80fffe,0x97ff605f,
    0xbffb3ffc,0x7fd57fee,0x3ffe601f,0x403fff51,0xff51fff9,0x7ffcc03f,
    0x90fffc41,0x64000fff,0x3fff55ff,0x40fffcc0,0xd800fff9,0x3ff605ff,
    0xd817ff65,0x17ff65ff,0x7c45ffd8,0x1fff21ff,0x7d47ffa8,0x5ffe82ff,
    0xffffffe8,0xfb03ffff,0x2ffec0bf,0x3fea7ff9,0xf35ffb8f,0x7fd405ff,
    0x05fff30f,0xf987ffd4,0x3fea02ff,0x23ffd40f,0x0002fffa,0x3fe6bff9,
    0x3ffea02f,0x005ffd80,0x7ec0bffb,0x817ff65f,0x3ff65ffd,0x517ff605,
    0xfffa8fff,0xf0bffb02,0xdffd09ff,0xfffffd10,0x7ec07fff,0x93ff605f,
    0x3ffa3ffc,0xff15ffbc,0x3ffdc07f,0x5c07fff1,0x3ffe27ff,0x21ffee03,
    0xfff85ffd,0xbff90004,0xb80fffe2,0xfff887ff,0x0bffb001,0xffb27fec,
    0xb27fec0b,0x7fec0bff,0x7c2ffec4,0xbfff04ff,0xfffd5555,0x220dffd0,
    0x1dffffeb,0xd02ffe40,0x1ffe47ff,0xbff7fff7,0xfb02fffc,0x05fff8df,
    0xfff1bff6,0x437fec0b,0xaaaadfff,0xb0007ffe,0x2fffcbff,0xf70dffb0,
    0x7fe400df,0xc8fffa05,0x3ffa05ff,0xe817ff23,0x6fffc3ff,0x7ffeaaaa,
    0xffffff98,0x41ffffff,0xfd806ffe,0xfff7004f,0xc8bffe20,0x77ffc3ff,
    0x3fff65ff,0x44fff880,0xf880fffd,0x7ffec4ff,0x44fff880,0xfffffff9,
    0x001fffff,0x3f63fff8,0xfff880ff,0x002fff84,0x7c41ffee,0x1ffee2ff,
    0xf717ffc4,0x3ffe20ff,0x3ffffe62,0x1fffffff,0x7fffffe4,0x43ffffff,
    0xfc806fff,0x7d40c0ff,0xfffc84ff,0xf90fff20,0x7ccbffff,0x3fa61eff,
    0x7ffcc0ff,0x3fffa61e,0x0f7ffcc0,0xc81fffd3,0xffffffff,0x5503ffff,
    0x4c5fff70,0x3a61efff,0x7fd40fff,0x7ffd4007,0x20fffc84,0xfc84fffa,
    0x3ffea0ff,0x20fffc84,0xfffffffc,0x743fffff,0xaaaaadff,0x6646fffa,
    0xfff9804c,0xe80feccf,0xfeccefff,0x1ffe43ff,0x17ffffe2,0xfffffffd,
    0x3fa07fff,0xffffffff,0xffffd03f,0x07ffffff,0x5555bffd,0x10dfff55,
    0xffd79dff,0xffffd0df,0x07ffffff,0xd0009ffd,0xfd99dfff,0xfffd07ff,
    0x7fffd99d,0x99dfffd0,0xfe87fffd,0xaaaaaadf,0x3fe26fff,0x3fff201f,
    0x7fe40000,0x985fffff,0xffffffff,0x83ffc85f,0x445ffffd,0xfffffffd,
    0x3ff6203f,0x03ffffff,0x3fffff62,0xff883fff,0x3fff201f,0x7ffffe40,
    0xd881ffff,0xffffffff,0x00fff983,0xfffff980,0xf305ffff,0xffffffff,
    0x3fffe60b,0x445fffff,0x3f201fff,0x0fff70ff,0x002fffa8,0xfffffb80,
    0xfff9100d,0x3f205dff,0xffff983f,0xffffd905,0x3fb2003b,0x9001dfff,
    0x03bffffd,0xf501ffee,0xffd505ff,0xc8019fff,0x01dffffe,0x4000bff9,
    0xefffffc8,0x7ffe4402,0x64402eff,0x82efffff,0x7d407ffb,0x09ffb2ff,
    0x004fff88,0x0026a600,0xfc801988,0xbfffb03f,0x00019880,0x88000662,
    0x4ffd8019,0x027ffc40,0x10001331,0x00000033,0x40006620,0x31000198,
    0x04ffd803,0x0027ffc4,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x65c00000,0x999502cc,
    0x37aa0007,0x4007b620,0x1bcedba8,0x003ccca8,0x05999700,0x50079970,
    0x0f6c41bd,0x001e6654,0x50079970,0x0f6c41bd,0x0b332e00,0x0b332e00,
    0x019dd910,0x00110110,0x7ec00000,0x7fdc03ff,0xfff8005f,0x201bff64,
    0xfffffffc,0x5fffb81f,0x7ffec000,0xffffc803,0xb27ffc04,0x3fee0dff,
    0xffc8005f,0x7ffc04ff,0x801bff64,0x8003fffd,0xe803fffd,0x5405ffff,
    0x0bfee3ff,0x007fffd1,0x1effd800,0x09ffd300,0x364fff80,0x3fa607ff,
    0xffffffff,0x09ffd301,0x07bff600,0x3f2fff60,0x93ffe05f,0x3a607ffd,
    0x3f6004ff,0x205ffcbf,0x3ff64fff,0x3dffb007,0x3dffb000,0xf11ff300,
    0x37ff403f,0x3f20dfff,0x500003ff,0x91000799,0x75400399,0x807ba20d,
    0xaacefffe,0x32201fdb,0x654001cc,0x5995003c,0xea816654,0x007ba20d,
    0x50039991,0x16654599,0x3a20dea8,0x3cca801e,0x07995000,0x3fd2fd40,
    0xfb2ffec0,0x7ffd409f,0x00000003,0x00000000,0x4037ffee,0x00000008,
    0x00000000,0x00000000,0x00000000,0xf8800000,0x200ffccf,0x0f220bb8,
    0x007bb620,0x6402665c,0x332a02cc,0x654001cc,0x3e201ccc,0xc98007ff,
    0xcccccccc,0x66664c3c,0x83cccccc,0xccccccc9,0x664c3ccc,0xcccccccc,
    0x666665c3,0x5c3ccccc,0xcccccccc,0x6665c3cc,0x3ccccccc,0x073332a0,
    0x333332e0,0x403ccccc,0x002ffffa,0x20000000,0x2e03fffa,0x3f601fff,
    0x6c005fff,0x2a05ffff,0xa8003fff,0xffffffff,0x7ffd45ff,0x5fffffff,
    0xffffffa8,0x7d45ffff,0xffffffff,0x7ffff45f,0x46ffffff,0xfffffffe,
    0x7ff46fff,0xffffffff,0x3ffff606,0xffffe805,0x06ffffff,0x3000aa88,
    0x00579997,0x006f32a2,0xfd03fff4,0xffff80bf,0x7ffc007f,0x3fee07ff,
    0xffa8001f,0xffffffff,0x7ffffd45,0xa85fffff,0xffffffff,0x7ffd45ff,
    0x5fffffff,0x7ffffff4,0x7f46ffff,0xffffffff,0x7ffff46f,0x06ffffff,
    0x01fffffe,0x3ffffffa,0x2606ffff,0x202bcccb,0xfffffff9,0x3fee02ff,
    0x400effff,0xfb82fffa,0x3fea01ff,0x5001ffff,0x03ffffff,0x0003fff2,
    0x2aafffea,0x7d41aaaa,0xaaaaabff,0xbfffa81a,0x41aaaaaa,0xaaabfffa,
    0x55541aaa,0xaaaeffea,0x7f555542,0x542aaaef,0xaeffeaaa,0xfff502aa,
    0xaa803fff,0xaaeffeaa,0xffff982a,0xa82fffff,0xffffffff,0xfffc81ff,
    0x00ffffff,0x7f437ff4,0x6ffe405f,0xf9004fff,0x209fffbf,0x50007ffd,
    0x54001fff,0x54000fff,0x2a000fff,0x20000fff,0x6c005ffd,0x7ec005ff,
    0xbff9005f,0xd8009fff,0xffa805ff,0xffffffff,0x2a0d6d41,0x7fcc4fff,
    0xbffd30cf,0x22fffa80,0x7c01fffb,0x06ffdaff,0xffb5fff0,0x01fff60d,
    0x007ffd40,0x001fff50,0x000fffa8,0x0003ffea,0x4005ffd8,0x6c005ffd,
    0xfff005ff,0x800dffb5,0xda805ffd,0x27ffd41a,0xd1bff200,0xfff50bff,
    0x26ffe801,0x7cc05ffe,0x0fffb8ff,0x5c7ffcc0,0xffc80fff,0xffa8000f,
    0x3fea000f,0x7fd4000f,0x3fea000f,0x3f60000f,0x7fec005f,0x2ffec005,
    0x5c7ffcc0,0x36000fff,0xc80005ff,0x7dc006ff,0x07ffe27f,0x5007ffe2,
    0xfff53fff,0x16ffb803,0xfb807fff,0x07fff16f,0x0005fff7,0x4001fff5,
    0x4000fffa,0x2000fffa,0x0000fffa,0xb0017ff6,0xfd800bff,0x6ffb805f,
    0x4007fff1,0x80005ffd,0x95107ffb,0x4fffdddb,0xeeeefff9,0x803fffee,
    0x5ffedffe,0x3a3ffe80,0x7ff405ff,0x2a17ffa3,0xa8005fff,0xffffffff,
    0x7ffd42ff,0x2fffffff,0xffffffa8,0x7d42ffff,0xffffffff,0x2ffec02f,
    0x017ff600,0xd00bffb0,0x2fff47ff,0x00bffb00,0x7776e544,0xfffc87ff,
    0x27ffffff,0xfffffffb,0x803fffff,0x1ffffffa,0x90fffc40,0x7fc40fff,
    0x21fff21f,0x002ffff8,0x7fffffd4,0x7d42ffff,0xffffffff,0xffffa82f,
    0x42ffffff,0xfffffffa,0x7ec02fff,0x7fec005f,0x2ffec005,0xc87ffe20,
    0x3f6007ff,0xfff9005f,0x8fffffff,0xccdffffc,0x3fee7ffe,0xcccccccf,
    0xffd001cc,0xff500bff,0x02fffa8f,0xffa8fff5,0xffffb82f,0x5076a20b,
    0xffffffff,0xfffa85ff,0x2fffffff,0xffffffa8,0x7d42ffff,0xffffffff,
    0x2ffec02f,0x017ff600,0xa80bffb0,0x7ffd47ff,0x0bffb002,0x9bffff90,
    0x7c4fffd9,0x7ffb85ff,0x0003ffea,0x0ffffa80,0xf85ffd80,0xbffb04ff,
    0x3a09fff0,0xffffffff,0x7ffd41ff,0x3ffea000,0x7ffd4000,0x3ffea000,
    0x3ff60000,0x2ffec005,0x017ff600,0xfff0bffb,0x17ff6009,0x70bfff10,
    0x7ffd4fff,0x227ffc81,0x00002fff,0xf802fff4,0xeaaaadff,0xbfff07ff,
    0xfffd5555,0x3ffff620,0x541fffff,0x2a000fff,0x54000fff,0x2a000fff,
    0x20000fff,0x6c005ffd,0x7ec005ff,0x6fffc05f,0x7ffeaaaa,0x80bffb00,
    0xfc81fffa,0x0fffea7f,0xfe8ffff9,0x200000ff,0xf9805ffe,0xffffffff,
    0x7fcc1fff,0xffffffff,0x3fae01ff,0x40beffff,0x2000fffa,0x4000fffa,
    0x2000fffa,0x0000fffa,0xb0017ff6,0xfd800bff,0x3ffe605f,0xffffffff,
    0x5ffd801f,0x21fffd40,0x3e27fffc,0xffebcfff,0x7ffcc7ff,0x5eccabcf,
    0x02fff400,0x7fffffe4,0x43ffffff,0xfffffffc,0x803fffff,0x7d401fff,
    0x3ea000ff,0x7d4000ff,0x3ea000ff,0x360000ff,0x7ec005ff,0x7fec005f,
    0x3ffff205,0xffffffff,0x05ffd803,0x5e7fffc4,0x647ffffe,0xcfffffff,
    0xfffb87ff,0x05ffffff,0x402fff40,0xaaaadffe,0x746fffaa,0xaaaaadff,
    0x4c06fffa,0xffa805ff,0x3fea000f,0x7fd4000f,0x3fea000f,0x3f60000f,
    0x7fec005f,0x2ffec005,0x555bffd0,0x0dfff555,0x900bffb0,0x9fffffff,
    0xfff90fff,0x41ffe3df,0xffffffd9,0x7ff4003e,0x0fffc405,0x221fff90,
    0x3f201fff,0x3fee00ff,0xffffa802,0x45ffffff,0xfffffffa,0xffa85fff,
    0xffffffff,0x7ffffd45,0x6c5fffff,0xeffffeee,0x7776c4ee,0x4eeeffff,
    0x7fff776c,0xff14eeef,0x7ffe403f,0x7ff776c0,0x904eeeff,0x3e3dffff,
    0x0026607f,0x0099a980,0x80bffd00,0x7d407ffb,0x0fff72ff,0x202fffa8,
    0xff5007fc,0xffffffff,0xfffffa8b,0xa85fffff,0xffffffff,0x7ffd45ff,
    0x5fffffff,0x7ffffff4,0x7f46ffff,0xffffffff,0x7ffff46f,0x76ffffff,
    0xffa80fff,0x7ffff42f,0x06ffffff,0x000004cc,0x20000000,0x7ec05ffe,
    0x7ffc404f,0x8809ffb4,0x26204fff,0xffff5000,0x8bffffff,0xfffffffa,
    0xffa85fff,0xffffffff,0x7ffffd45,0x745fffff,0xffffffff,0x7fff46ff,
    0x6fffffff,0x7ffffff4,0xffb6ffff,0x4fff8809,0x7ffffff4,0x0006ffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x04400000,0x00188000,0x00000000,
    0x09980000,0x00000000,0x00000000,0x00aaa000,0x00011011,0x00000000,
    0x00055c40,0xfb11ffee,0x3fe607df,0x3fffe984,0x3ff60072,0x3ff20005,
    0x3ffa20ef,0x7f4c003f,0x0003ffff,0x203bfff2,0xba8dfffd,0x5ffd801d,
    0x0017ffc0,0x409ff300,0x3fee3ffa,0x0bffb002,0x005e77fc,0x007fffd1,
    0x00effe88,0xfb1ffee0,0xfd09ffff,0xffffd10d,0x401ffddf,0x005ffffd,
    0x204fffc8,0x7003fffc,0xffffffff,0xfff9000b,0x7fffc409,0x6c02ffff,
    0x3e05ffff,0x200002ff,0x3fa01ffb,0x01bffe6f,0x417ffff6,0x0cffffff,
    0x00ffff20,0x02ffffb8,0xf99ffee0,0xfb8ffb3f,0xd55db01f,0x6407ffff,
    0x04ffbaff,0x00bfff20,0x300fffea,0xfd57ffff,0x7e4005ff,0x3ffa02ff,
    0x1effffff,0x3eebff20,0x05fff04f,0x7e654c00,0x2ffec06f,0xfc809ffb,
    0xf84ffbaf,0x0effffff,0x00fffea0,0x017fffdc,0x7dcfff70,0x221ff70f,
    0x2e0404ff,0x3baa02cd,0x200bbae2,0x2000deea,0x3201eed8,0x4ffe87ff,
    0x01bdd500,0xfffffff8,0x1775400f,0xfff05dd7,0xffb10005,0x401dffff,
    0x0f220bb8,0x75c5dd50,0x7e54cc2e,0x6c405fff,0xff8801ee,0x3ee000ef,
    0x543fee7f,0x01ffb0ff,0x00000000,0x20000000,0xffe85ffe,0x9b000004,
    0x0bfff715,0x3ffe0000,0x7ffcc002,0x0effffff,0x00000000,0x07fffe20,
    0x2ee20000,0x332ea200,0x3fea7ffd,0x3feeffb2,0xcccb9802,0xccb9802b,
    0xcb9802bc,0x73002bcc,0x3e057999,0x7ffd43ff,0xbcca8802,0xff951001,
    0x951005ff,0x7ffc0379,0x20379712,0xff9bfffd,0x54406fff,0x55401bcc,
    0x02aa980a,0x301fffd4,0x00037995,0x3ffffee0,0x7ffc7fff,0x5ff8bffe,
    0x7ffffcc0,0xf982ffff,0xffffffff,0xfffff982,0xf302ffff,0xffffffff,
    0x262fff85,0xfb805fff,0x00efffff,0xffffff91,0xfffb80df,0xff80efff,
    0xfffffcaf,0x997ffd44,0x01fffdff,0xdffffff7,0x20bffe01,0x7cc07ffb,
    0xffd884ff,0x001effff,0xfffffd10,0xd98fffff,0x1ffb4fff,0xfffffa80,
    0x541fffff,0xffffffff,0x7ffd41ff,0x1fffffff,0xffffffa8,0x3fe1ffff,
    0x0bfff12f,0xffffff90,0xfe881fff,0xffffffff,0xfffff902,0xff81ffff,
    0xffffffef,0xc9bff24f,0x83ffe8ff,0xfffffffc,0x2fff80ff,0x5407ffb8,
    0x7fc42fff,0xffffffff,0xfffc8001,0x7ffc989d,0x3fea1510,0x41ada802,
    0x6d44fffa,0x27ffd41a,0xff506b6a,0x835b509f,0x3fe4fffa,0x00dff92f,
    0x2619fff3,0x7fe45ffe,0xfff989df,0x0cfff986,0xff8bffd3,0xffbaefff,
    0x49ffb0ff,0x8bff96ff,0xd30cfff9,0x5fff0bff,0x220fff70,0x6c0ffffa,
    0xffbadfff,0x302606ff,0xff709fff,0x0bff100f,0x1bff2000,0x00dff900,
    0x8006ffc8,0x3ffe6ffc,0xd00bffd2,0xfff50bff,0x217ffe61,0x7f40fffd,
    0x0fffa85f,0xf513fffe,0x4fffa7ff,0xdff73ff9,0xfa85ffe8,0x17ffc0ff,
    0x3fa3ffdc,0x543fffff,0xffc84fff,0x24ffd82f,0xfb80fffb,0x0ffd807f,
    0xfff70000,0x07ffb800,0x003ffdc0,0xfff3ffdc,0x807fff65,0xf881fff8,
    0x1fff71ff,0x445fff50,0xff881fff,0x417ffe1f,0x7ffd4fff,0x7fe43ff2,
    0x207ffe26,0x7fc1fff8,0x47ffb82f,0x82fffffd,0xf880fffc,0x7ffd44ff,
    0x20dff92f,0x7d407ffb,0x1001512f,0xffdddb95,0x3b72a20f,0x5107ffee,
    0xfffdddb9,0x776e5440,0x3ffe7ffe,0x07ffff52,0x3bbbffe6,0x93fffeee,
    0x3fe60dff,0x3bffe63f,0xfffeeeee,0x740bffe3,0x29ff95ff,0x97ff65ff,
    0xeeeefff9,0x7c3fffee,0x7ffb82ff,0xb016ffec,0x7ff40bff,0xaffffd45,
    0xff705ffe,0xdaffc40f,0xf901dfff,0xffffffff,0xfffff90f,0xf90fffff,
    0xffffffff,0x3ffff20f,0x3e7fffff,0x3fff22ff,0xffffb84f,0xffffffff,
    0x220bffd3,0x3fee3fff,0xffffffff,0x0bffe3ff,0xffbb7fec,0xff13ffae,
    0x7fffdc7f,0xffffffff,0x5c17ffc3,0x1ffe47ff,0xd813ffa0,0xfffe86ff,
    0x2e0bffd6,0x3ff607ff,0x6ffeffc8,0xcdffffc8,0x7e47ffec,0xfeccdfff,
    0x7fffe47f,0x87ffeccd,0xccdffffc,0x3ffe7ffe,0x1ffffe42,0x3333ffee,
    0xd1cccccc,0x3fe20bff,0x33ffee3f,0xcccccccc,0x740bffe1,0xffff35ff,
    0x3fff61ff,0x333ffee0,0x1ccccccc,0x7dc17ffc,0x017fe47f,0xfd817ffa,
    0x4fff885f,0x3ee0dffb,0x27ff507f,0x43ff54ff,0xfb85fff8,0x17ffe27f,
    0xff89ffee,0x47ffb85f,0xfb85fff8,0x20bffe7f,0x7d47fffa,0x3f6000ff,
    0x5fff306f,0x0007ffd4,0x7fc0bffe,0x3ffff64f,0x43fffece,0x8000fffa,
    0xffb82fff,0x2004cc47,0x3fa06ffd,0x27ffd04f,0x7c40fffc,0x5ff887ff,
    0x3fe25ff1,0x207ffea2,0x3fea7ffc,0x27ffc81f,0xfc81fffa,0x0fffd47f,
    0xfff3ffe4,0x83fff205,0x2002fff8,0xfc80fffc,0x3ffe20ff,0x17ffc002,
    0x3617ffd4,0xffffffff,0x02fff884,0x4c3fff80,0x00887fff,0x980fffc8,
    0xff983fff,0x47fff50f,0xc87fffe9,0x25ff10ff,0x3fea2ff8,0x3fffe43f,
    0xfc87fff5,0x3ffea7ff,0x23fffe43,0x7e43fffa,0x0bffe7ff,0x7f43ffdc,
    0xff5000ff,0x7ffcc3bf,0x00fffe86,0xd10bffe0,0xffd01fff,0x7405dfff,
    0x74000fff,0x3ffa65ff,0x01ffe47f,0x88bbffe6,0x9530fffe,0xffe85fff,
    0xfffffdef,0x3e1ffd47,0x443ff75f,0xfebcffff,0x3fe27fff,0xfffebcff,
    0x3fffe27f,0x7ffffebc,0x5e7fffc4,0x3e7ffffe,0xf97992ff,0xfff30dff,
    0xbd99579f,0xddffffe8,0xf982ffff,0xccabcfff,0x677ffc5e,0x82ffffcb,
    0x001adff8,0x579ffff3,0xffb0bd99,0xfffffbdf,0x07fffccf,0x3bffff60,
    0x3a3ffffd,0xfa82efff,0xfaffffff,0x21bfa27f,0x85fffffc,0xfffffffc,
    0x7fe47ffc,0xffcfffff,0x7ffffe47,0xc87ffcff,0xcfffffff,0x4bffe7ff,
    0x0ffffffe,0xffffff70,0xff98bfff,0x3fffffff,0x3ffffee0,0x7fc5ffff,
    0xffffffff,0x005ff503,0xffffff70,0xff30bfff,0xff5fffff,0x07fffccf,
    0x3ffffa20,0x76c4ffff,0x7ff4c03c,0x64fff1ef,0xffd701ff,0x3fff201b,
    0x90fff1ef,0x3e3dffff,0xffffc87f,0x320fff1e,0xff1effff,0xfe97ffcf,
    0x4c00cfff,0xeffffffd,0xffffd883,0xfd9802ef,0x43efffff,0xffffffdb,
    0x01ff600d,0xffffd980,0xff303eff,0x1ffe3dff,0x5c009ffb,0x01efffff,
    0x00131000,0x30008800,0x13300013,0x00133000,0x80002660,0x53000099,
    0x26200133,0x35300009,0x13310013,0x20000000,0x100099a9,0x00cc0013,
    0x00019880,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x02200000,0x00620022,0x00000000,
    0x00220220,0x37260000,0x000003de,0x00000000,0x00009980,0x00019910,
    0x06206200,0xc8000000,0xfa80efff,0x40bfee3f,0x323fffe9,0x3fffe881,
    0xfff90000,0x47ff501d,0xfb002ffb,0x3fee00bf,0x400effff,0x2606ffc8,
    0x3e6004ff,0x3f221fff,0x53fe606f,0x01effff8,0x7f409ff3,0x09ffd0ff,
    0x32ffcc00,0x3ff609ff,0x3200005f,0x3fa04fff,0x21bffe6f,0xefffffe8,
    0xff900ffe,0xfc80007f,0x3ffa04ff,0x201bffe6,0x405ffffd,0xffeefffa,
    0x3ffe606f,0x01bfa06f,0x20dfff98,0x206ffff9,0x377a26fe,0x0dfd05ff,
    0xe8ffffcc,0x320004ff,0xfff90fff,0x17ffee01,0x3fff2000,0xb2ffec02,
    0x2bb609ff,0x03ffffea,0x001fffd4,0x402fffc8,0x3ff65ffd,0x5d7fe404,
    0x3ffa04ff,0x803ffea4,0xf706fecf,0x3fe6003f,0xdfd9f03f,0x4407fee0,
    0x1ffb85fe,0x43fffe20,0x20004ffe,0x3fee7ffa,0x2fff4c06,0x1bdd5000,
    0x44177100,0x36e0403c,0xddb1002c,0xdeea8003,0x20bb8800,0x775403c8,
    0x220bbae2,0x7ffc0fff,0x437f4202,0xb1004ff8,0xfe8403dd,0x984ff886,
    0x7c40efff,0x1dd9804f,0x00013ffa,0x00cb8395,0x0007dd90,0x00000000,
    0x00000000,0x00000000,0x0fffc400,0xd001fff1,0x01ffb0df,0x37f40000,
    0x7cc07fec,0x3f60efff,0x3fa0000f,0x0000004f,0x53000000,0xaa803799,
    0x02aa980a,0x006f32a6,0x55301555,0x980aaa85,0x654c02aa,0x2a6001bc,
    0x7fc01bcc,0x01bff23f,0x3fee37f4,0x2aaaa202,0xdfd002aa,0xb802ffb8,
    0x05ff72ff,0xfe8b3260,0x1aaa984f,0xaaaaaa88,0xaaaa8802,0x362002aa,
    0x1effffff,0xf705fff0,0xfffb10ff,0x3e03dfff,0x7ffb82ff,0x7dc17ffc,
    0xfffb107f,0x4403dfff,0xeffffffd,0xb5fff901,0x3a003fff,0x017fe26f,
    0xfffffff7,0x44dfd001,0x999305ff,0xbff11ffd,0xd27fdc00,0xfff889ff,
    0xffffb80f,0x7dc00fff,0x00ffffff,0xffffff88,0xff81ffff,0x47ffb82f,
    0xfffffff8,0xfff81fff,0x7c7ffb82,0x7ffb82ff,0xffffff88,0xf881ffff,
    0xffffffff,0xffffd01f,0x7f4003ff,0x7003ff66,0x1fffffff,0x7ecdfd00,
    0xffff500f,0x003ff65f,0x3fa4ffb8,0x3fffa24f,0xfffff701,0xffb801ff,
    0x800fffff,0xfbadfffd,0xfff86fff,0x6c7ffb82,0xffbadfff,0x2fff86ff,
    0x7fc7ffb8,0x87ffb82f,0xfbadfffd,0xffd86fff,0xffffbadf,0x9ffff706,
    0x50988001,0x551005ff,0x001fff95,0x0bfea131,0x2a1aaa88,0xfb7002ff,
    0x27ff49ff,0x4405fffb,0x0fffcaaa,0x7e555440,0x7fd400ff,0x2fffc84f,
    0x7dc17ffc,0x13ffea7f,0xff0bfff2,0x8fff705f,0xffb82fff,0x427ffd47,
    0x3ea2fffc,0xfffc84ff,0x7ffffdc2,0x400f3264,0x50005ff8,0x88001fff,
    0xf10005ff,0xffd100bf,0x7ff4bfff,0x007fff94,0x000fffa8,0x2007ffd4,
    0xf880fffc,0x17ffc4ff,0xff93ffdc,0x9fff101f,0xfb82fff8,0x417ffc7f,
    0x7fe47ffb,0x4fff880f,0x2203fff2,0x3fea4fff,0xf72fffef,0x3ff6009f,
    0xfff50000,0x0ffd8001,0x01ffb000,0xdddfffb0,0x7de7ff49,0xfa8004ff,
    0x7d4000ff,0x7fec00ff,0xf17ffa05,0xfff705ff,0xfd02ffec,0x82fff8bf,
    0x7ffc7ffb,0x6c7ffb82,0x3ffa05ff,0xe817ff65,0x53ffa5ff,0xffc9fffe,
    0x12ffa803,0x3ea00333,0x3ea000ff,0x2003512f,0x33312ffa,0x205fffa8,
    0x4fffeffe,0x1fff5000,0x0fffa800,0xb027ff40,0x2fff8dff,0x3fa7ffb8,
    0x1bff604f,0xff705fff,0xb82fff8f,0x27ff47ff,0x7f4dffb0,0x5bff604f,
    0xff10fffa,0x805ffddf,0x3ff65ff8,0xfffa800f,0x1bff1000,0x405ffffb,
    0x3ff65ff8,0x07ffee0f,0xffffffe8,0xfff50002,0xfffa8001,0x02fff400,
    0xfff8bffb,0x3a7ffb82,0x3ff605ff,0x5c17ffc5,0x17ffc7ff,0x3fa3ffdc,
    0x97ff605f,0x3f605ffe,0x98fff75f,0x00ffffff,0xffb87fec,0xffa800ff,
    0x1ffb000f,0x81bff3ba,0xfff70ffd,0x07ffe41f,0xffd9ffd0,0xff50001f,
    0xffa8001f,0x37fec00f,0xff89ffd0,0x27ffb82f,0x3fa06ffd,0x417ffc4f,
    0x7ffc7ffb,0x6c7ffb82,0x3ffa06ff,0xe81bff64,0x0fff74ff,0x809ffff5,
    0x7ff13ffa,0xff5001ff,0x7ff5001f,0x501ff904,0x2ffe27ff,0x3ffee0ff,
    0x273ffa03,0x4000efff,0x4000fffa,0x6400fffa,0xff980fff,0x21fffc3f,
    0x3f27fff9,0xfff980ff,0x261fffc3,0x7ffc7fff,0x23fffcc3,0xf980fffc,
    0x3fff23ff,0x33fff980,0xffd07fff,0x2ffc407f,0x01ff39fb,0x801fff50,
    0xff305ff8,0x6cbff10b,0x260ff9cf,0xfd03ffff,0x17ffee9f,0x01fff500,
    0x00fffa80,0x1177ffcc,0xfe81fffd,0x3fffa65f,0x8bbffe67,0x740fffe8,
    0x3ffa65ff,0x32fff47f,0xf98ffffd,0x3fa22eff,0x3ffe60ff,0x3fffa22e,
    0x2f7fffa0,0x1fffffec,0x3ea1ff90,0x00bffcbf,0x2007ffd4,0xff980ffc,
    0x50ffc80e,0x17ff97ff,0x77ffffe4,0x6c9ffd4c,0x2a004fff,0x54000fff,
    0xfd800fff,0xfffdefff,0xefffd83f,0x47fffffd,0xfdeffffd,0xffd83fff,
    0xfffffdef,0x6f7ffec7,0xd87fffff,0xffdeffff,0xfffd83ff,0x3ffffdef,
    0x7fffffcc,0x0fffffff,0xff71ffd4,0xc83fffff,0xcfffdccc,0x3fea0ccc,
    0x80dffb83,0x3fee3ffa,0x6c1fffff,0xd7ffffff,0x7ff449ff,0xb999902f,
    0x19999fff,0xffdcccc8,0x880ccccf,0xfffffffe,0xffff304f,0x8fff5fff,
    0xffffffe8,0xfff304ff,0xfff5ffff,0xffffff98,0xe887ffaf,0xffffffff,
    0xffffd104,0x2209ffff,0x9dfffffd,0xd10efff9,0xdccca8df,0x7ffc0cff,
    0xffffffff,0x30dfd11f,0x27ffffff,0x66546fe8,0x980cffdc,0xfd7ffffd,
    0xffff989f,0xffffff81,0x41ffffff,0xffffffff,0x2e01ffff,0x01efffff,
    0x8f7fffcc,0xfff707ff,0xf9803dff,0xfff1efff,0x3dffff30,0xffb81ffe,
    0xb801efff,0x01efffff,0x64003330,0x7fcc01ff,0xffffff80,0x91ffffff,
    0xfff303ff,0x3ff27fff,0x007fcc01,0x7f532a62,0xefffb84f,0x7fffffc0,
    0x41ffffff,0xffffffff,0x8801ffff,0x09880019,0x00331000,0x10001310,
    0x4c400013,0x03310001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x54c05554,0x65cc402a,0x8004a9ac,
    0x2ea00998,0x2aaaabcc,0x79931554,0xa8000003,0x0000000b,0x554c0062,
    0x0d55400a,0x79db7510,0xbddb9803,0x6edd4001,0x999300ac,0x19999999,
    0x6666664c,0x2ae23ccc,0x17ff6000,0xc82fff88,0x3ff206ff,0x07ffffff,
    0xfffffb10,0xffffe98d,0x7c7fffff,0xfffffb7f,0xfffffb89,0xffb000ff,
    0x17ffc01f,0xfffe9800,0xfff50723,0x17ffd407,0xffffffc8,0xffe881ff,
    0x400dffff,0xffffffd8,0xffffb81f,0x21ffffff,0xfffffffa,0xdffd16ff,
    0xffffb001,0x0bffe20b,0x3a21bff2,0xffffffff,0xfff9807f,0x3e26ffff,
    0xffffefff,0x6fffc7ff,0x4fffffff,0x3fffffee,0xffff000f,0x017ffc05,
    0x7ffff440,0x740ffeef,0x3ff606ff,0xffffe986,0x4c1fffff,0xfdbbdffe,
    0xfff300ef,0x5fffffff,0xffffffb8,0x3ea1ffff,0xffffffff,0x05ffff76,
    0xffbaffc8,0x82fff884,0xffc86ffc,0xffc989df,0x7fff4407,0x3f25ccbd,
    0x3ffee0ef,0x7ffffc19,0x0ffffbae,0xfffb9993,0x3fffa001,0x00bffe01,
    0x7f5576c0,0xffb83fff,0x3fff881f,0xacefffe8,0x7f41fdba,0x06ff981f,
    0xb77bfffd,0xffb8ffff,0xeeeeeeef,0x2aaaaa20,0xff76ffea,0x775405ff,
    0xf10bbae2,0xdff905ff,0xb84fff98,0x7fd407ff,0x17ff402f,0x7fc17ffc,
    0x7ffd44ff,0x01fff503,0xf00fb660,0x040005ff,0x7c40b36e,0xfffb84ff,
    0x06fffdc0,0x03fee088,0x2a17fcc6,0xffc83fff,0x017fee3f,0x8b7fec00,
    0x0000efff,0x417ffc40,0x7fdc6ffc,0x07ffb80f,0x7c03ffdc,0x2ffd81ff,
    0xff05fff8,0x3ffea09f,0xff800000,0x0000002f,0xfe87ffd8,0x3fffc45f,
    0xea93fa00,0xe8df95ff,0x3ffe06ff,0x0017fee6,0x7137fec0,0x55544017,
    0x3e202aaa,0x6ffc82ff,0xfb837fec,0x37fe407f,0x2227fec0,0xfff81fff,
    0x20bffd02,0x5100fffa,0x80555555,0x79932fff,0x93155403,0x7fd40379,
    0x0bffe22f,0x4007fff5,0xfff70ff9,0xf87fe6bf,0x3ff204ff,0x0017fee7,
    0x0037fec0,0x7fffffdc,0x5fff100f,0xfe8dff90,0x0fff705f,0xb805ffd8,
    0xfd99cfff,0x05fff06f,0x7d41bff6,0xfff700ff,0x7c01ffff,0xffffcaff,
    0x36fff04f,0x204fffff,0x3fee5fff,0x01fffb87,0xfff9bee0,0x44bfe19b,
    0x3ee02fff,0x5dff70ff,0x36000355,0xfb8006ff,0x00ffffff,0xf905fff1,
    0x05ffe8df,0xaaa8fff7,0xaaaeffea,0x7fffc0aa,0xf01fffff,0x3ffa05ff,
    0x01fff505,0x3fffffee,0x3bffe00f,0x2fffffff,0xfffdfff8,0xf902ffff,
    0x13ffa1ff,0x8003fff2,0x09ff35fc,0x7ffccffa,0x47ffea01,0xfffffffb,
    0x3f6000cf,0xaa88006f,0x100fffca,0xffb05fff,0x706ffd8d,0xfffe8fff,
    0xffffffff,0x3fbfee3f,0x3e00cfff,0x9fff02ff,0x403ffea0,0xfffcaaa8,
    0x3ffffe00,0x85fffcae,0xcaefffff,0xff105fff,0x01fff35f,0xd800fffb,
    0x207ff74f,0x3fff54fd,0xb97ffcc0,0xffffffff,0x3ff6006f,0xffa80006,
    0x7fff100f,0x646fffa8,0x7fc40fff,0x7ffff47f,0xffffffff,0x262dff13,
    0x05fff000,0x2a05fff5,0xf5000fff,0x7ffc01ff,0x437fec4f,0x7ec4ffff,
    0x37ff606f,0xffb05ffc,0x55fc800f,0x53f609ff,0x2601fffa,0x55511fff,
    0x9ffffb55,0x99bff600,0x3ea001cd,0xfff100ff,0x37fffd4b,0xe98fffea,
    0x55547fff,0xaaaeffea,0x1fff30aa,0x85fff000,0x500fffe8,0x2a001fff,
    0x3fe00fff,0x87ffb85f,0xffb85fff,0x3fffea07,0xfff902ff,0x9b7dc001,
    0x3fe80eff,0x5405fff3,0xf9800fff,0xffb006ff,0x03fffe6d,0x807ffd40,
    0xfeeffff8,0x21dfffff,0xffdefffe,0x7ec07fff,0xffff805f,0x00bcdeee,
    0xf979dfff,0x7d405fff,0xff5000ff,0x17ffc01f,0x7fc3ffdc,0x07ffb82f,
    0x03fffffc,0x4005fff7,0x3fffa7fa,0x7c4bfe5e,0x3fee03ff,0x3fffa007,
    0x76ffd800,0x2007ffff,0xf100fffa,0x5fffffff,0x7d45ffff,0xfcffffff,
    0x2ffec07f,0x7ffffd40,0xf84fffff,0xffffffff,0x7ffd403f,0x1fff5000,
    0x5c17ffc0,0x2fff87ff,0x6407ffb8,0x2a04ffff,0x26005fff,0xffff32ff,
    0xff83feab,0x1bff605f,0x00fffc80,0xff55ffe8,0x3ea005ff,0xfff100ff,
    0x3f23dfff,0x7ff4c2ff,0x07ffa9ef,0x5c02ffec,0xffeeefff,0x7ffc3fff,
    0x00dfffff,0x000fffa8,0x7c01fff5,0x7ffb82ff,0xfb82fff8,0x7ffc407f,
    0x3ffe200f,0x97fa002f,0x9fd2ccb8,0x880fffd8,0xf1004fff,0x3fe00dff,
    0x017ff64f,0x100fffa8,0x10133fff,0x504c4013,0xffd80fff,0x0fffd405,
    0x3e37ffcc,0x00099aff,0x8007ffd4,0x3e00fffa,0x7ffb82ff,0xfb82fff8,
    0x7ffcc07f,0xffffb804,0xa876a20b,0x3ff204ff,0x0f7ffcc0,0x001fffd3,
    0x5c9fff93,0x43fffc82,0x7fd40019,0x3fff100f,0xff700000,0x05ffd80f,
    0xfb027ff4,0x02fff8df,0x03ffea00,0x007ffd40,0xff705fff,0x705fff0f,
    0xffd80fff,0xfffd000f,0x3fffffff,0x261cffd8,0xffd04ffd,0xffffffff,
    0xfdcded87,0x320effff,0xfffecdff,0xfa80000e,0xfff100ff,0xf7000005,
    0x5ffd80ff,0x407fff40,0x7fc4fff8,0x3ea0002f,0xff5000ff,0x17ffc01f,
    0x7fc3ffdc,0x07ffb82f,0x007fffb1,0x7ffffec4,0xfd81ffff,0x3fffffff,
    0x3ffff620,0xfd83ffff,0xefffffff,0x7ffffe40,0x90001fff,0x9fffb999,
    0x3fe21999,0xb800002f,0x7fec07ff,0x77ffe405,0xefffdcbd,0x0017ffc0,
    0xfffb9999,0x33219999,0xccfffdcc,0x0bffe0cc,0x3fe1ffee,0x27ffb82f,
    0x5ffffff9,0xfffb5000,0x2e017dff,0x02dffffe,0xbffffd90,0x3ffff603,
    0xfb302dff,0x001bffff,0x7fffffc0,0x11ffffff,0x00005fff,0xd80fff70,
    0xffd805ff,0xefffffff,0x002fff81,0x3ffffffe,0xff1fffff,0xffffffff,
    0x17ffc3ff,0x7fc3ffdc,0x27ffb82f,0x04fffff9,0x00331000,0x44000330,
    0x33310019,0x00998001,0xfffff000,0x3fffffff,0x0000e664,0x202664c0,
    0x93005ffd,0x039bdfdd,0xf000e664,0xffffffff,0x3ffe3fff,0xffffffff,
    0x20bffe1f,0xfff87ffb,0x227ffb82,0x0001cdfe,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x5cc00000,0x441bceec,0x1cceedca,0x3376e600,
    0x3b2ea002,0xb9802cce,0x5cc4001e,0x4400abcc,0x200ccaa9,0x80bcedcb,
    0x32e02ccb,0x3333262c,0xcc8009ac,0x5cc0001c,0x0201bcec,0x33326020,
    0x07332602,0x333332a0,0x99970ccc,0x99999999,0xffd30079,0x49ffffff,
    0xfffffffb,0xfffd805f,0x2a00efff,0xfffffffe,0x3ffe600f,0x3ffee001,
    0x9303ffff,0x03ffffff,0xfffffff5,0x05ffd89f,0xffb97ff6,0x1effffff,
    0x005fff10,0x7ffffe40,0x07f4c3ff,0xfe83df10,0x1bffa07f,0x7fffff40,
    0xfffd1fff,0xffffffff,0xfffb80df,0x4fffffff,0x3fffffee,0xfd105fff,
    0xffffffff,0xfffff303,0x401fffff,0x8801fff9,0xfffffffe,0xffffb83f,
    0x7cc1ffff,0xffffffff,0x817ff63f,0x3fee5ffd,0xffffffff,0x02fff885,
    0xfffff700,0x3e23ffff,0x3ff605ff,0x0fffe60f,0x2007ffea,0xfffffff9,
    0x557fd1ff,0xf7555555,0x7fffd40d,0x4fdbaabd,0x2e626b2a,0xfc80ffff,
    0xffb88bff,0xcffff85f,0x00dba999,0x2007ffe6,0xaacefffd,0x7ffe43ec,
    0x40aabcdf,0x3a61effe,0x17ff66ff,0x3ee5ffd8,0xffdcaaff,0x7ffc43ff,
    0x00bdefff,0x44bbffe2,0x7ffdc3fb,0xffbaaa9b,0x0fffd82f,0xc802fff4,
    0xaacffeff,0xdd31fd0a,0x206f9859,0x2203fffe,0x5fff7001,0xc83fff88,
    0x3fe61fff,0x2aa2003f,0xaabfffca,0x3ffea2aa,0x7fcc100d,0xfff000df,
    0x6cfff505,0x3ff605ff,0x2a1ffee5,0x3e20ffff,0xffffffff,0x3fff504f,
    0x3fff6010,0x4fffffff,0x549fff10,0xff000fff,0x3a05ffbd,0xfffff98f,
    0x3ee0df31,0x200003ff,0x7e41fff8,0x93ffe07f,0x2003fffa,0xfffffff8,
    0x366fffff,0xfb000fff,0x3e2001df,0x7ffa82ff,0xfd817ff6,0x41ffee5f,
    0x3e24fffa,0xffffffff,0x6ffc83ff,0x7fff4400,0x406fffff,0xfff0fffc,
    0x2ffea009,0x1fd02ffc,0x23fff2a6,0xfffd06f9,0xffa80000,0x884ffe87,
    0x3e66fffd,0xf1001eff,0xffffffff,0x7ff4dfff,0x0fffe005,0x41dffd00,
    0x3f64ffe8,0x97ff605f,0x3fe07ffb,0x8bffe25f,0x41ffffc9,0xe8005ffd,
    0xfffbaeff,0x67ffc407,0x36006ffb,0x02ffc8ff,0x7ff101fd,0x3ffe0df3,
    0x3ea00004,0x3fff84ff,0x3fffffcc,0x077ffffe,0xff955510,0x4555557f,
    0xf3004fff,0x357533ff,0x3fffea01,0x20effe9c,0x3f605ffd,0x81ffee5f,
    0x3fe27ffd,0x3fffc82f,0x2002ffec,0xfff87ff8,0x7fffd402,0xff1002ff,
    0x740bff2d,0xf39ff00f,0x87fff10d,0x83eeeeed,0x2fffffec,0x322fff88,
    0x47ffffff,0xeffffffa,0xfff9800b,0x02fffc01,0xffefffb8,0xf903ffff,
    0x1dffffff,0x3605ffd8,0xfffff5ff,0x7fe43fff,0x20bffe27,0xd554fff8,
    0x55555dff,0x213fea01,0xfe803ffe,0x2e006fff,0xffff93ff,0x2207f4ff,
    0x86f9affb,0x7fc2fff9,0xfd84ffff,0x40bfffff,0xfe89fff9,0x0fffadff,
    0x7fffffd4,0x7fcc02ff,0x37ffc01f,0xfffffb80,0x04ffffff,0x7ffffff7,
    0x6c0bffb0,0xfffff5ff,0x7fe43fff,0x05fff10f,0x7ffd3ffe,0xffffffff,
    0x907ff903,0xff3009ff,0x7f4003ff,0xfffff90f,0xffb87f4f,0x30df35ff,
    0xfff87fff,0xeec84fff,0x21fffffe,0xfffcfff8,0x01fff52f,0xffffff71,
    0x7ffcc05f,0x17ffec01,0x67fffe40,0x1ffffcaa,0x7fffffd4,0x2ffec5ff,
    0x3febffb0,0x21ffffff,0x3fe27ffc,0x3fff882f,0xffffffff,0x3ee07fff,
    0x02ffc85f,0xbffd3331,0x7cc01333,0x3bbff25f,0x7dc3fa5e,0x21be62cf,
    0x4cc3fff8,0x8804ffe9,0x7fc6fffb,0x2e0effff,0xfd9807ff,0x3e607fff,
    0x7fd401ff,0xf91982ff,0xfff301ff,0x46fffd49,0x364ffffb,0x3ff605ff,
    0xd81ffee5,0x3ffe27ff,0x31fffd82,0x333bffb3,0x3fe60133,0xd00ffe87,
    0xffffffff,0x7fec0dff,0x740bff22,0xf309f70f,0x817ffe0d,0x2e004ffd,
    0x3ffe1fff,0x6ffb84ff,0x3fffe600,0x03fff301,0xdfffffd0,0x3fee9ffd,
    0x2bffd00f,0x7444fff8,0xbffb0fff,0xf727fec0,0x2fff40ff,0x7537fff1,
    0xfb09fffd,0xfff000bf,0x0dff913b,0x7ffffff4,0xf106ffff,0xffd557ff,
    0x64c3fa05,0xfd06f982,0x3ff601ff,0x3ffe6004,0x407fffa2,0x5c005ffe,
    0xff302fff,0xffd1003f,0x29ffffff,0xfb01fffa,0x03ffeabf,0x7e4bffe6,
    0x8fffa05f,0xff507ffb,0x7fffc49f,0x0effffff,0x8005ffd8,0xfffffffe,
    0x3ff6005f,0xffff7004,0x205fffff,0x303710fe,0x3ffee0df,0x009ffb04,
    0xf90fffdc,0xfff303ff,0xfffb8005,0x05fff301,0x7ffff5c0,0x9fff32df,
    0x7dd3ffe0,0x4bffe07f,0xff107ffb,0x43ffdc5f,0x220fffe8,0xffffffff,
    0x17ff603f,0xfffff700,0x007fffff,0x74013ff6,0xffffffff,0x361fd02f,
    0x206f987f,0x6c0dfffe,0xff5004ff,0x6fff88ff,0x2e37ff44,0xffff301b,
    0x027ffc40,0x407bfe60,0x7e41fffd,0x7fff52ff,0x2a3fff50,0xffc84fff,
    0x89ffee0f,0x443ffffa,0x9accdfff,0x02ffec00,0xb9bfff30,0x03fffb7b,
    0xfffffffd,0xff30dfff,0xffb3333d,0x7ec3fa05,0x2a06f987,0xeeffffff,
    0x37be4fff,0xffffedcc,0xcffffc82,0x642fffec,0xffeeefff,0x7fc03fff,
    0x04cbbeff,0xf9813fea,0xffecdfff,0x3fffe25f,0x6fffdbbd,0x6677fff4,
    0x7dc3fffe,0xffffffff,0x2fff885f,0x3ffffe00,0xffffffff,0x20dffd12,
    0x740efff8,0xffffffff,0x3ffc86ff,0xeeeeffc8,0x02a21fd1,0xff501be6,
    0xffffffff,0x7fffffc9,0x3603ffff,0xffffffff,0xfffffc82,0x804fffff,
    0xfffffffa,0x003ff206,0xfffffff9,0xfffa81df,0x0effffff,0x7fffffcc,
    0xffb85fff,0x2fffffff,0x005fff10,0x7ffffffc,0x12ffffff,0x7d403ff9,
    0x4ffd803f,0xc80fff80,0xd2ffffff,0xdddddddf,0x100dfddd,0xdfffffdb,
    0x7ffffc17,0xb800beff,0x01dffffe,0xffffffd5,0x754003bf,0x205fffff,
    0xfd5006fe,0x4c07ffff,0xbffffffd,0xffff9100,0x3fee05df,0x00acdeff,
    0x800bffe2,0xffffffff,0x442fffff,0xb000a802,0xffa809ff,0xfffff906,
    0x3ffffa5f,0xffffffff,0x4ccc4006,0x13333100,0x004c4000,0x0026a660,
    0x01333100,0x98000998,0x4ccc0009,0x00cc4000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x99700000,0x80135999,0xabccccc8,
    0xb9510009,0x3332039b,0x13ccb804,0x55999999,0x33332601,0x32cccccc,
    0x99999999,0x32a39999,0x4b32e03c,0xcccccccb,0x99503ccc,0x26066541,
    0xcccccccc,0x399913cc,0x20999910,0x01cddcb8,0x073332a0,0xcccccc88,
    0x71cccccc,0x99900999,0xffb04c05,0x3dffffff,0x3ffffe20,0x200cffff,
    0xfffffffb,0x0fffec0d,0x7c53ffe0,0xffffffff,0x7fffd42e,0x73ffffff,
    0xffffffff,0x3f25ffff,0x53ffa06f,0xfffffffe,0xff906fff,0x2a07fe41,
    0xffffffff,0x5fff15ff,0x705fffb0,0xbfffffff,0xffffb001,0x7fffcc0b,
    0xffffffff,0x407fff52,0xe881fffb,0xffffb3ff,0x0bffffff,0xfffffff1,
    0x3fa0dfff,0xffffffff,0x01fffd45,0x3e25fff5,0xffffffff,0x3ffea1ff,
    0x3fffffff,0xfffffff7,0x325fffff,0x3ffa06ff,0xffffffd4,0x360dffff,
    0x543fec7f,0xffffffff,0x5fff15ff,0xb85fffa8,0xffffffff,0xffff806f,
    0x3ffe607f,0xffffffff,0x81fffa2f,0xff705ffe,0x5dffb1ff,0x7ffffb95,
    0xbacfff88,0xc83ffffd,0xffbabdff,0x3ffe21ff,0x89fff205,0xda99afff,
    0x3fea6fff,0xaaaaaabf,0xdddddd51,0x23ffffdd,0x3fa06ffc,0xfd55554f,
    0x205555df,0x43fec7fe,0xaaabfffa,0xfff11aaa,0x077ffc45,0x227bffe6,
    0x202fffd9,0x1ffffffa,0x99999910,0x43ffff99,0xfb82fffa,0xfff701ff,
    0x50bffb7f,0x7c41ffff,0x7ffd41ff,0xff505b05,0x0fffd87f,0x7c4bffd0,
    0x7ffd81ff,0x0003ffea,0xf937ff40,0x27ff40df,0xf005ffd8,0xa86fe8df,
    0xf8800fff,0x3fff62ff,0x80fffc81,0x3f206ffe,0x004fffdf,0xd09fff90,
    0xbffd0dff,0x67fffc40,0xff505ffd,0x0fffc49f,0x20037ff4,0x7dc4fff8,
    0xfff882ff,0x207ffe22,0x3fea7ffb,0xfa80000f,0x1bff22ff,0xfb04ffe8,
    0x7ffe40bf,0xffffffff,0x1fff52ff,0x25fff100,0xfd04fffa,0x3fff20bf,
    0xfb5fff00,0xff3000df,0x3ffea0df,0x007ffee2,0xffb7fff3,0x12fffc0b,
    0xffd03fff,0xfff8800d,0x427ffc44,0x3e20fffb,0x6ffd81ff,0x0003ffea,
    0xf91bffa0,0x27ff40df,0x3205ffd8,0xffffffff,0xf52fffff,0xff1001ff,
    0x0dfff15f,0xfa82fffc,0xfff981ff,0x000fffb8,0xd00ffff4,0x2fff4dff,
    0xfdafff80,0x9fff605f,0x7d41fff8,0x7d4004ff,0x6ffe82ff,0x7c46ffd8,
    0x7ffdc1ff,0x003ffea2,0x87fff500,0x3fa06ffc,0x0bffb04f,0x677fee54,
    0x1cceffdc,0x1001fff5,0xfffb5fff,0x07ffec01,0x5c17ffcc,0x7fff16ff,
    0x1fffe400,0x2a7ffea0,0xfa801fff,0x40bffb6f,0x3fe27ffc,0xfffdbacf,
    0x7fec000e,0x0fffc80f,0x3e21fffc,0xfffeeeff,0x5fffd43f,0x002aaaaa,
    0xff90fffd,0xffffffff,0x3ff609ff,0x22ffa805,0xffa83ff9,0xffffffff,
    0xffbfff12,0xfffc807f,0x3fff221c,0x3a3ffe82,0xff3005ff,0x3ffa00df,
    0x2605ffed,0xfb1fffca,0x7ffe40bf,0xffffff10,0x80019fff,0xf303fffb,
    0x7ffd47ff,0x7ffffc41,0x543effff,0xffffffff,0x7fd400ff,0xffffc83f,
    0xffffffff,0x00bffb04,0x7fd45ff7,0xfffffa82,0xf12fffff,0x00ffffff,
    0xfdfffff3,0x885fffff,0x3ff21fff,0x1fffd007,0x3fffea00,0x3ffe01ff,
    0x17ff61ef,0x3e27ffc8,0x3fffffff,0x5fffa800,0xf92fffc0,0xdfff10df,
    0xbfffffdd,0x7fffffd4,0x7400ffff,0xfff907ff,0xffffffff,0x17ff609f,
    0xfb87ff20,0xffffa81f,0x12ffffff,0x9fffbfff,0xfffff700,0x83ffffff,
    0x7fd47ffa,0x7ffe402f,0x7fff4003,0x166f405f,0xfb02ffec,0x67ffc4ff,
    0x003fffeb,0x003bffe6,0x7ff4fff9,0x21fff884,0x52fffea8,0x55557fff,
    0xfffa8055,0x40dff903,0xffb04ffe,0x3f6aa20b,0xbffdaabf,0x03ffea1a,
    0x36bffe20,0xc8801fff,0xffcceffe,0x42ffec1f,0x3e604fff,0xfa8005ff,
    0x40000fff,0x3fa05ffd,0x87ffe25f,0x9800fffe,0xa800efff,0xfff8afff,
    0x81fff881,0xff55fffa,0x3fa0001f,0xdff900ff,0xd827ff40,0xfff505ff,
    0xffffffff,0x7ffd49ff,0xafff8800,0x000efff8,0xf03ffee0,0xd5555bff,
    0x7ff40fff,0xffd0000f,0xffb0000b,0x93ffea0b,0x3e61fff8,0x7fcc04ff,
    0xff1000ef,0x20fff59f,0xff01fff8,0x03ffeabf,0x13ffe600,0x3a06ffc8,
    0xbffb04ff,0x3ffffea0,0xffffffff,0x003ffea4,0x7dcbffe2,0x3a0004ff,
    0x7ffcc5ff,0xffffffff,0x3fffc81f,0x17ffa000,0x360dfff0,0xffe885ff,
    0x07ffe20f,0x2601fffd,0x4000efff,0x5ffdeffd,0x303fff10,0x3fea9fff,
    0xffd8000f,0x1bff200f,0xfb04ffe8,0x3e6620bf,0xeff999ef,0x3ffea099,
    0x2fff8800,0x000bfffa,0xf90bffee,0xffffffff,0xff987fff,0x7f40005f,
    0x37ff405f,0x2a25ffd8,0x7c43ffff,0x7ffd41ff,0x9ffff984,0x00999999,
    0x5ffffff7,0x307ffe20,0x3ea5fffd,0x7cc000ff,0x7fe404ff,0x413ffa06,
    0xff805ffd,0xfa82ffc5,0xff8800ff,0x3fffe62f,0xffd99800,0xadffe85f,
    0xfffaaaaa,0x4d7fff46,0x00999999,0x3a02fff4,0xfffb05ff,0xbfffffff,
    0xd03fff10,0x7fc41fff,0xffffffff,0xfff102ff,0x3e201fff,0xfffeeeff,
    0x3ffea5ff,0x7ffec000,0x037fe400,0x3bb69ffd,0xeeeffffe,0xf127fc44,
    0x3ffea09f,0x5fffffff,0xfc85fff1,0xfffe85ff,0x40efffff,0x3201fff8,
    0xfff70fff,0xffffffff,0x5ffe807f,0xd82ffec0,0xffffffff,0x3fff102f,
    0x447fff70,0xffffffff,0x3a02ffff,0x2205ffff,0xffffffff,0x3fea0dff,
    0x3fe6000f,0x6ffc804f,0x7f53ffa0,0xffffffff,0x31ffcc6f,0x3fea09ff,
    0xffffffff,0x885fff15,0x7f42ffff,0x0cffffff,0x5407ffb8,0xfff72fff,
    0xffffffff,0x5ffe807f,0xd827fec0,0xacdeffff,0x07ffe200,0xf89fffe2,
    0xffffffff,0x3ee02fff,0x3e203fff,0xceefffff,0x00fffa81,0x003fff60,
    0xfe81bff2,0xfffffd4f,0xa8dfffff,0x0ffea2ff,0x7fffffd4,0xff15ffff,
    0xffff505f,0x6f7fff41,0x13ff600b,0x2e9fff10,0xffffffff,0x7403ffff,
    0x7fe405ff,0x00000004,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20000000,0x99303ffb,0x66664059,0x30059950,
    0x33322399,0x99997001,0x99999999,0x5e666647,0x3326009a,0x1ccca82c,
    0x80e65c40,0x9302ccca,0x99930079,0x2aa60059,0x00019801,0xcca80d40,
    0x02f2e62c,0x73000cc0,0x2a057999,0x2aa980aa,0x07fffc00,0xf72fffd4,
    0x7ff7009f,0x400bffe6,0xfffffffe,0xf16fffff,0xffffffff,0xbfff7019,
    0x207ffff0,0x02ffffc8,0x701ffff9,0xffd00bff,0x3f2007ff,0x1ffcc03f,
    0x1ffb8000,0x77fffff4,0x00effffb,0x26027fec,0xffffffff,0x417ffc2f,
    0x54007ffb,0xffe84fff,0x013fea0f,0x7fccbfee,0xfffd002f,0xffffffff,
    0x3fffe2df,0x1fffffff,0x307fffdc,0xf707ffff,0x205fffff,0xb83ffffc,
    0x7fdc05ff,0xf9003fff,0xffff807f,0x7fe40004,0x7f7ff46f,0xffffffff,
    0x1fffe205,0xffffff50,0x7fc3ffff,0x47ffb82f,0x7fff4008,0x513ffea0,
    0xff9009ff,0x00bffe65,0x7f555554,0x12aaaaef,0xd9559fff,0x7e41dfff,
    0x3ff22fff,0x3ffe23ff,0x902fffff,0xf70fffff,0x7ffc40bf,0xf9003fff,
    0xffe8807f,0x6c4000df,0x0e40efff,0xd13fffd1,0x3fe201ff,0x0d6d407f,
    0xff93ffea,0x27ffb82f,0x3ea04ffd,0x3fffa4ff,0x4027fd40,0xfff31ffc,
    0x7ff40005,0x0bffe205,0xfc8bfff6,0x3ffa5fff,0x6fffc4ff,0xf902fffa,
    0xfb85ffff,0x37ff205f,0xf9003ffd,0xffb1007f,0x3a2001df,0x2e005fff,
    0x0bfee4ff,0x0001dea8,0xfff37fe4,0x2efff705,0x3602ffff,0xfffa8fff,
    0x805ff983,0xfff31ffc,0x7ff40005,0x0bffe205,0xfd93ffe2,0x9ff17fdf,
    0x12ec89ff,0x3f205fff,0x7dc6ffff,0x1fff305f,0x55307ffb,0x55bffb55,
    0x3ff20355,0x7fcc01ff,0x7d4003ff,0x00ffe63f,0x7fdc0000,0x2e0bffe7,
    0xffffb7ff,0x6fffcc09,0xff306ffe,0xf90f744b,0x0bffe61f,0x05ffe800,
    0x7c0bffe2,0x2bff65ff,0xf9ffb9ff,0x3fe2045f,0xf9ff902f,0x2ffdc5ff,
    0xffb3ffe8,0xfffff707,0x7fffffff,0x17fffdc0,0x02ffffa8,0xbffb9750,
    0x229ffb99,0x99999999,0xa8809999,0x7ffeeedc,0x3ee0bffe,0x7ffff97f,
    0xfffffc80,0x4bff102f,0x3ff64ffb,0x005fff30,0x102fff40,0x3fe05fff,
    0x3e3ff64f,0xff8dfdcf,0x17ffc405,0xffcbffc8,0x2e17fee5,0x0fff66ff,
    0x3fffffee,0x03ffffff,0x21ffffcc,0x801efffc,0xffffffe9,0xd4ffffff,
    0xffffffff,0xfc8dffff,0xffffffff,0x2e0bffe7,0xbffd17ff,0xfffff100,
    0xb37fc40d,0x33fecdff,0x40005fff,0x3e205ffe,0xfffa82ff,0x77f5bfa2,
    0x05ff8bff,0xc817ffc4,0x1fff9bff,0xff88bff7,0x20fff61f,0xffdaaaa9,
    0x801aaaad,0xf31ffffc,0xf1007fff,0xbffb9bff,0x3a599999,0xffffffff,
    0x3f26ffff,0xfeccdfff,0x20bffe7f,0x00cc7ffb,0x07ffffb0,0xfff16ff8,
    0xf99ff63f,0x3a0002ff,0x3fe205ff,0x77ffd42f,0x7fddbfa0,0x06ff88ff,
    0xc817ffc4,0x2bffb3ff,0x7fec5ffb,0x801ffec4,0xc8003ffc,0x74c0efff,
    0x7dc04fff,0x00bfea4f,0xdddddddb,0x22bddddd,0xffb85fff,0x2e0bffe7,
    0x220007ff,0x406fffff,0xffff56ff,0xff99ffa7,0x3fa0002f,0x3ffe205f,
    0xfffffeee,0xff9b7fc1,0x101bfe6f,0x3f205fff,0x71fff53f,0x7ffd4bff,
    0x801ffec0,0x22003ffc,0x100dfffd,0x201bfffd,0x3fea1ffc,0x2a000003,
    0xffc81fff,0xf30fffe7,0x0e64cfff,0x7ffffe40,0x6dbfe03f,0xdfd6ffdf,
    0x0017ffcc,0x440bffd0,0xffffffff,0x26ff82ef,0x1ffe3fff,0x205fff10,
    0x3ffa3ffc,0x3fa5ffbc,0x03ffd82f,0x2007ff90,0x004fffe9,0xb01dfffb,
    0x37ff45ff,0x54009800,0x7fe43fff,0x997ffa7f,0xff37fffe,0x7fcc03ff,
    0x00ffffdf,0x36ffeffd,0x266fe8ff,0x20002fff,0x3e205ffe,0x3defffff,
    0xffc97fe0,0xf101ffe0,0x3ff205ff,0x3efffee3,0xddfff55f,0xddfffddd,
    0x1ffe403d,0x1ffffd40,0x3fffee00,0x6d77fe42,0xb9adffff,0x027fec06,
    0xd79ffff1,0x7ecfffff,0xffffdeff,0x9ffff97f,0x5c7ffec0,0xffd04fff,
    0x5ff51ff3,0x7ffccbff,0x3ffa0002,0x0bffe205,0x225ff880,0x203ffc2a,
    0xf902fff8,0xfefff87f,0xfffff75f,0xffffffff,0x04cc405f,0x0bfffee0,
    0x7fffd400,0x3ffffe63,0xffffffaf,0x1fffe607,0xffffff90,0x7ccfff9f,
    0xfaffffff,0x9ffff97f,0xe93ffea0,0xffd81fff,0xfbff16fc,0x17ffccbf,
    0x0bffd000,0x0017ffc4,0xff00bff1,0x7ffc401f,0xc87ff902,0xf75fffff,
    0xffffffff,0x005fffff,0x07bff600,0xbfff3000,0x31effda8,0x40dfffff,
    0xc807fff8,0xff1effff,0xeffff98f,0x3fe6fff1,0xfffd01ff,0x42fffdc1,
    0x363ffffd,0x3e65ffff,0x3a0002ff,0x3fe205ff,0x3fe2002f,0x00ffe805,
    0x640bffe2,0x7ffc43ff,0x333315ff,0x9ffd3333,0x3bba2133,0xeeeeeeee,
    0x0000ed86,0x0440bd10,0xa8009998,0x266001de,0x004c4000,0xfb80eecc,
    0xfffe84ff,0x0ffffe42,0x4c9ffff7,0xffffffff,0x3fa00fff,0x3ffe205f,
    0x13fe6002,0xfe83ffa0,0xffffffff,0x07ff93ff,0x00bffffb,0x7c41fff4,
    0xffffffff,0x000087ff,0x00000080,0x00000000,0xff100000,0xfff501ff,
    0x46fffc8d,0x264ffff8,0xffffffff,0x3fa00fff,0x3ffe205f,0x13fe6002,
    0xfe87ffa0,0xffffffff,0x07ff93ff,0x00bffff3,0x7c41fff4,0xffffffff,
    0x000007ff,0x00000000,0x00000000,0x7ffe4000,0x8ffffa04,0xfe84fffc,
    0x3ffe63ff,0xffffffff,0x817ffa00,0x2002fff8,0xfe804ffa,0x3ffffa1f,
    0x3fffffff,0x3f607ff9,0x3fa005ff,0x0000003f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0x0abccb98,0xbcccca98,0x2f32a201,
    0x79953001,0x93155403,0x35510379,0x2605e654,0xaaaaaaaa,0x0aaaa1aa,
    0x6542aa98,0x5540cded,0x2aa8800a,0xa8015553,0x019801aa,0x1cb85544,
    0xb9300f26,0x32a0039b,0x0000002c,0x3fee0000,0x223fffff,0xfffffffd,
    0xfffff705,0x3f6201df,0x81efffff,0xffffb7ff,0x9dffb89f,0x21fffffe,
    0xfffffffd,0x3ff25fff,0x4fff984f,0x3fffffe2,0x00fff61f,0x7fd57fea,
    0x3ffea03f,0xffffd302,0xb5ff103b,0xfff37fff,0xffff703f,0xff900bff,
    0x2ffb8009,0x16a02c80,0xfffffd10,0x3fa27fff,0x5fffefff,0xffffffc8,
    0x7fc40fff,0xffffffff,0x7fefffc1,0x2e2fffff,0xfffffeff,0x3fff66ff,
    0x5fffffff,0x3a0ffff4,0x4dec46ff,0x3f26ffb9,0x3ffb804f,0xfd81bffa,
    0x9dff906f,0xf889ffd9,0xeeffffef,0x7d44ffff,0x3fffedff,0x0027fe40,
    0xf900bfea,0x0bff505f,0x5677ffec,0xfff73eca,0xff985307,0xbffd30cf,
    0xbadfffd8,0x7fc6ffff,0xffcaefff,0x3fffee5f,0x2fffc9cf,0xf9999995,
    0xff985fff,0x07fff26f,0xff73fec0,0x45ff900b,0xf881fffb,0xbefb83ff,
    0x3fe98aaa,0x367bffe2,0x6ff9cfff,0xff50fff4,0x04ffc80d,0x1ff99744,
    0x7ff441d5,0x17ffea2f,0x806fffd4,0x400fffb0,0xffa85ffe,0x09fff50f,
    0x7fc5fff9,0x37fec4ff,0xf83ffff7,0x7fe403ff,0x9fff704f,0x5409fff3,
    0x2a7ffedc,0x82aa26ff,0x3fe21ffd,0x0fffb84f,0x7fe47fcc,0x10ff8aff,
    0x3fee5fff,0xdff1ffa7,0xfc80fff0,0x67fe404f,0x4ffc8ff9,0x557fff44,
    0x3f605fff,0xffc800ff,0x7fc400df,0x1fff881f,0xf101fff9,0x2fffc9ff,
    0xff73ffdc,0x09ffd05f,0x2037ffd4,0x6ffefffd,0xfffffd10,0x93ffccff,
    0x07ff49ff,0x3fa1fff6,0xf93fc85f,0x53eedf53,0x3fee6ff8,0x7c43ffa4,
    0x227fe86f,0xcffd9999,0x3f209999,0xffeffeff,0xfffe883f,0x7f405fff,
    0xfff5005f,0xf3017dff,0xddddddff,0x3ff67fff,0xf97ffa05,0x7ffb82ff,
    0x2203ffee,0xfff10099,0xfff8801f,0xffb00fff,0x3fe3fec7,0x7cfffd0f,
    0x2fffa87f,0x360bffe2,0xbf51f90f,0x37fc57e6,0x7ff47ff7,0xf883ffe0,
    0x3ffffa6f,0xffffffff,0xffffeb86,0x7ff4403e,0xfff805ff,0x3ffee004,
    0x2e0dffff,0xffffffff,0xffd3ffff,0xf37fec09,0xfff705ff,0x0007ffdc,
    0x001fffe8,0x407ffff5,0xffd30ffe,0xff99ffe8,0x20dff2ff,0x3fee5fff,
    0x7fe4ff07,0x7c5fe0cf,0xe8ffee6f,0x37ff60ff,0x3a3ffda9,0xffffffff,
    0xd986ffff,0x801dffff,0x803ffffa,0x44005fff,0xfffffffc,0x999fff70,
    0x23999999,0x3f605ffe,0x20bffe5f,0x3fee7ffb,0xffc8000f,0x3ff6003f,
    0x3ff206ff,0x6c7fffef,0xffffcaff,0xf905ff8d,0x13ffa1ff,0xfbfc87f4,
    0x7fc5be26,0xfe8ffee6,0x3fffe60f,0x776c6fff,0xeeffffee,0x3ff6a5ee,
    0x2dffffff,0xffffff50,0x06ffe805,0x3fff2600,0x01fff54f,0xd037fec0,
    0x17ffc9ff,0xff73ffdc,0xffb8001f,0x3fee005f,0xd104ffff,0x8ff7bfff,
    0xedfebffc,0x104ffaff,0xfff35fff,0x7e47f201,0x29f53fb8,0x3fee6ff8,
    0xd303ffa3,0x0019ffff,0xfd809ff9,0xfe9ffaef,0xdfffa85f,0x3602fffe,
    0x40002fff,0xff15fff9,0x7fe4005f,0x3fff980f,0x3ee0bffe,0x03ffee7f,
    0x0efff980,0xdbfff300,0x0cc03fff,0x7feffdc0,0x3ffdffcb,0x3f37ff60,
    0x65bea05f,0x5fd6f88f,0xffb9bfe2,0x4403ffa3,0x7fe40019,0xf9a7cc04,
    0xfa81f91f,0xfffd15ff,0x3fffea05,0x44031982,0x3ffa4fff,0xfff3000f,
    0x7fff445d,0x2e0bffe0,0x3ffee7ff,0xfffd1000,0x7fff4003,0x40efff88,
    0x99999999,0x3fffea09,0xfffff98f,0x3fffea01,0x67ec02ff,0xbfb750a9,
    0xff737fc4,0x3307ff47,0x13333333,0x804ffc80,0x4087fea0,0x7445fff8,
    0xffb00fff,0x9ffddfff,0x32aaf7f6,0x3e62fffe,0xccabcfff,0x7fffec5e,
    0x43ffffde,0xffb82fff,0x003ffee7,0x7fffffec,0x7e46ffff,0x3ffee2ff,
    0x7fffffc5,0x3fe66fff,0x3fffa6ff,0x7fffc00f,0xefe8807f,0x0efeb99b,
    0xffb9bfe2,0xff83ffa3,0x6fffffff,0x0027fe40,0xf500bfea,0x807fa20b,
    0xffffffd8,0xffffb4ff,0x709fffff,0xffffffff,0xfffe88bf,0xf84fffff,
    0x7ffb82ff,0x4003ffee,0xfffffffe,0x3fea6fff,0x3fffd84f,0x3ffffffe,
    0x7fffc6ff,0x01ffff23,0x013ffff2,0x7ffffe44,0x26ff884f,0x3ffa3ffb,
    0x3fffffe0,0x7e406fff,0x4cc4004f,0x0c401800,0xffffea80,0xffff92df,
    0x4c05dfff,0xeffffffd,0xfffff703,0x0bffe03d,0xffb9ffee,0xfffd000f,
    0xdfffffff,0x203bffe2,0x330ffff8,0x13333333,0x260fffe8,0xf8806fff,
    0x44001fff,0xf100acca,0xd1ffdcdf,0x4cccc1ff,0x40099999,0x00000998,
    0x10000000,0x54cc4033,0x4d4c0009,0x03310009,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00a20600,0x333004cc,0x02026003,0x22006620,0x32a00099,0x3bba201c,
    0xeeeeeeee,0x33310006,0x33333333,0x00000003,0x04400000,0x77770044,
    0x7fcc7777,0x26666626,0xffff0999,0xffffffff,0x0000dfff,0xff907fdc,
    0x3fffaa03,0x3ffe60cf,0x3e603fff,0x20bba23f,0x2207ffda,0x01effffd,
    0x1037ffc4,0xffffffff,0x7fecffff,0x7e57ffe6,0xffffffff,0xffd987ff,
    0x3fa2000d,0xf70003ff,0xff501dff,0xf817fdc5,0x26ffffff,0x3fea3ffb,
    0xf2ffffff,0xffffffff,0x0fffffff,0x2ffec000,0xff70dff7,0x54bfffff,
    0x2fffffff,0x7e47ffd0,0x3fffa65f,0xffff107f,0x6403ffff,0xd102ffff,
    0xdddddddd,0x37fecddd,0x3ff29ffd,0xffffffff,0x7fffcc7f,0x0ffec2ff,
    0x001fffe4,0xe813ffee,0x17ffe6ff,0x7ffffff4,0xfa83ff66,0x2fffffff,
    0xdddddddd,0xbddddddd,0x7fc40000,0x213ffa2f,0xfffebbee,0xff313530,
    0x4dff709f,0x3ea0effa,0xfd07ffff,0xdffb539f,0x3fb3fe60,0x6400000f,
    0x53ffa5ff,0xccccccca,0x7ec7ffcc,0x22ffffff,0xff500ffe,0x3fee007f,
    0x2ffe402f,0x80009ffb,0x777545fe,0x001eeeee,0x98000000,0xfff30fff,
    0x7ffdc083,0x10fffa00,0x3fe23fff,0xffabe81f,0x446ff887,0x2ffb07ff,
    0x00004ffa,0xffb2ffe4,0x27ff8007,0xfe88fff8,0x06ffddff,0x200eeecc,
    0x8800ddd9,0x00ee20bb,0x00026600,0x00000000,0x2e5ffc80,0x3fa206ff,
    0x7f6e446f,0x1fff40df,0xfa809ffb,0x85ff987f,0x7fd41ffd,0x2a07ff62,
    0xaaaaaaaa,0x93fee2aa,0x7c003ffd,0xb17fe67f,0x07ffffff,0x00000000,
    0x00000000,0x00000000,0x87ffcc00,0xe880fff9,0x7fc41fff,0x3e20cfff,
    0x3fff10ff,0x887ffa80,0x0fff86ff,0x3fe637f4,0x7ffffc46,0x27ffffff,
    0x3ff24ffa,0x13ffc002,0xfff90355,0x0000007f,0x00000000,0x00000000,
    0xfe800000,0x20fffa2f,0x881fffe8,0x0ffffcca,0xffb97ff2,0x83ffd406,
    0xff712fff,0xc81ffc8d,0x3ffe23ff,0xffffffff,0xfc8ffea7,0x2664002f,
    0x002aa200,0x00000000,0x00000000,0x00000000,0x5cbff900,0xfff986ff,
    0xfff1000e,0xd17ff445,0x7fd407ff,0xfffff707,0x7fc45fff,0x41fff105,
    0xaaaaaaaa,0x00002aaa,0x00000000,0x00000000,0x00000000,0x00000000,
    0x987ffd40,0x7fcc1fff,0x32ccccff,0xfff93333,0x30fffa83,0x664c3fff,
    0x42ccfffd,0x3ffffffc,0x95006654,0x00000059,0x00000000,0x00000000,
    0x00000000,0x00000000,0x8bffa000,0xffc83ffe,0x94ffffff,0xbfffffff,
    0xfb97ff60,0x3fffea6f,0xa984ffff,0x00000acc,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x32225c40,0xfffff906,0x3ff29fff,
    0x2203efff,0x5066c0cf,0xffffffff,0x00000009,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0x00099998,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__consolas_bold_29_latin1_x[224]={ 0,5,3,0,1,0,0,6,3,3,1,1,2,3,
5,1,0,1,1,1,0,2,1,1,1,1,5,3,1,1,2,3,0,0,1,1,1,2,2,0,1,2,2,1,
2,0,1,0,1,0,1,1,1,1,0,0,0,0,1,4,1,3,1,0,0,1,1,1,1,1,0,1,1,2,
1,2,2,0,1,1,1,1,2,2,0,1,0,0,0,0,2,2,6,3,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,5,1,1,0,0,
6,1,0,0,3,1,1,3,0,0,2,1,3,3,0,1,1,5,5,3,2,1,0,0,0,2,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,1,0,
 };
static signed short stb__consolas_bold_29_latin1_y[224]={ 21,0,0,2,-1,0,1,0,-1,-1,0,6,15,11,
15,0,2,2,2,2,2,2,2,2,2,2,6,6,5,9,5,0,0,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,0,2,24,0,6,0,6,0,6,0,6,0,0,
0,0,0,6,6,6,6,6,6,6,2,6,6,6,6,6,6,0,-3,0,9,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,21,6,-1,2,2,2,
-3,0,0,2,2,7,11,11,0,1,0,3,0,0,0,6,0,10,21,0,2,7,0,0,0,6,-3,-3,-3,-4,
-3,-4,2,2,-3,-3,-3,-3,-3,-3,-3,-3,2,-4,-3,-3,-3,-4,-3,6,-1,-3,-3,-3,-3,-3,2,0,0,0,
0,0,0,-1,6,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,3,0,0,0,0,0,0,0,
 };
static unsigned short stb__consolas_bold_29_latin1_w[224]={ 0,6,10,16,14,16,17,4,10,10,14,14,9,10,
6,14,16,14,14,14,16,13,14,14,14,14,6,8,13,14,13,11,16,16,14,14,15,12,12,15,14,12,11,15,
13,16,14,16,14,17,15,14,14,14,16,16,16,16,14,8,14,9,14,16,10,13,14,13,14,14,15,15,14,13,
12,14,13,16,14,14,14,14,13,12,14,13,16,16,16,16,12,11,4,11,16,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,0,6,13,14,16,16,
4,14,13,16,10,14,14,10,15,12,12,14,10,10,15,15,14,6,6,10,12,14,16,16,16,10,16,16,16,16,
16,16,17,14,14,15,14,14,14,15,14,14,16,15,16,16,16,16,16,14,16,15,15,15,15,16,14,15,14,15,
14,14,14,14,16,13,15,15,15,15,15,15,15,15,14,15,15,15,15,15,15,14,14,14,15,14,14,16,14,16,
 };
static unsigned short stb__consolas_bold_29_latin1_h[224]={ 0,22,9,19,26,22,21,9,28,28,14,15,11,4,
7,25,20,19,19,20,19,20,20,19,20,19,16,20,17,9,17,22,27,19,19,20,19,19,19,20,19,19,20,19,
19,19,19,20,19,25,19,20,19,20,19,19,19,19,19,27,25,27,10,3,7,16,22,16,22,16,21,21,21,21,
27,21,21,15,15,16,21,21,15,16,20,16,15,15,15,21,15,27,30,27,8,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,0,21,26,19,19,19,
30,25,7,20,15,13,8,4,15,6,11,18,13,13,7,21,25,6,5,13,15,13,21,21,21,21,24,24,24,25,
24,25,19,24,24,24,24,24,24,24,24,24,19,25,25,25,25,26,25,14,26,25,25,25,25,24,19,22,22,22,
22,22,22,23,16,20,22,22,22,22,21,21,21,21,22,21,22,22,22,22,22,16,22,22,22,22,22,27,27,27,
 };
static unsigned short stb__consolas_bold_29_latin1_s[224]={ 255,248,107,136,203,16,111,246,11,22,223,
208,246,211,246,151,32,96,33,17,126,220,93,93,108,182,246,246,172,92,158,
218,105,197,65,171,1,153,80,1,108,123,234,166,35,79,111,203,64,1,17,
49,49,123,48,18,1,229,214,134,233,95,77,222,150,218,157,1,1,28,48,
64,123,109,82,207,95,178,58,43,80,33,73,15,64,232,145,128,100,154,87,
143,6,122,133,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,255,248,189,
170,185,202,1,218,177,186,117,38,118,211,162,191,64,143,16,27,161,17,119,
246,204,53,195,1,129,162,179,196,18,173,231,102,35,214,219,52,67,82,98,
113,128,190,143,158,138,35,51,68,85,155,134,238,172,166,182,198,19,1,155,
94,79,63,48,33,221,206,186,79,236,110,141,187,238,146,1,222,126,138,230,
1,95,32,79,203,172,48,63,203,17,33,67,50, };
static unsigned short stb__consolas_bold_29_latin1_t[224]={ 1,1,229,172,1,83,106,184,1,1,212,
212,172,229,194,32,151,192,172,151,192,129,151,172,151,172,129,83,192,229,192,
83,1,172,172,129,172,172,172,151,172,172,129,172,192,192,192,129,192,32,172,
151,192,151,172,192,192,172,172,1,1,1,229,229,229,192,83,212,83,212,129,
129,129,129,1,106,129,212,212,212,129,129,212,212,151,192,212,212,212,129,212,
1,1,1,229,151,151,151,151,151,151,151,151,151,151,151,151,151,151,151,151,
151,151,151,151,151,151,151,151,151,151,151,151,151,151,151,151,151,1,32,1,
151,151,151,1,1,229,129,212,229,229,229,212,229,229,192,229,229,229,129,32,
202,229,229,212,229,106,106,106,106,58,58,32,32,58,32,151,58,58,58,58,
58,58,58,58,58,151,32,32,32,32,1,32,212,1,32,32,32,32,58,151,
83,83,83,83,83,58,58,192,151,58,83,83,83,106,106,129,106,83,129,83,
106,106,106,106,192,83,106,106,83,106,1,1,1, };
static unsigned short stb__consolas_bold_29_latin1_a[224]={ 255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_29_latin1_BITMAP_HEIGHT or STB_FONT_consolas_bold_29_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_29_latin1(stb_fontchar font[STB_FONT_consolas_bold_29_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_29_latin1_BITMAP_HEIGHT][STB_FONT_consolas_bold_29_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_29_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_29_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_29_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_29_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_29_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_29_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_29_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_29_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_29_latin1_s[i] + stb__consolas_bold_29_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_29_latin1_t[i] + stb__consolas_bold_29_latin1_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_29_latin1_x[i];
            font[i].y0 = stb__consolas_bold_29_latin1_y[i];
            font[i].x1 = stb__consolas_bold_29_latin1_x[i] + stb__consolas_bold_29_latin1_w[i];
            font[i].y1 = stb__consolas_bold_29_latin1_y[i] + stb__consolas_bold_29_latin1_h[i];
            font[i].advance_int = (stb__consolas_bold_29_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_29_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_29_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_29_latin1_s[i] + stb__consolas_bold_29_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_29_latin1_t[i] + stb__consolas_bold_29_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_29_latin1_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_29_latin1_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_29_latin1_x[i] + stb__consolas_bold_29_latin1_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_29_latin1_y[i] + stb__consolas_bold_29_latin1_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_29_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_29_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_29_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_29_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_29_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_29_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_29_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_29_latin1_LINE_SPACING
#endif

