// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_33_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_33_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_33_latin1_BITMAP_WIDTH         256
#define STB_FONT_consolas_bold_33_latin1_BITMAP_HEIGHT        310
#define STB_FONT_consolas_bold_33_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_bold_33_latin1_FIRST_CHAR            32
#define STB_FONT_consolas_bold_33_latin1_NUM_CHARS            224

#define STB_FONT_consolas_bold_33_latin1_LINE_SPACING          22

static unsigned int stb__consolas_bold_33_latin1_pixels[]={
    0x2aa65553,0x30000002,0x35555555,0x55555554,0x5531000a,0x0026aa63,
    0x80000000,0x0010002a,0x0001ddd9,0x3bbb6200,0x8000000d,0x20000a98,
    0x03000601,0x0399100c,0xffdb7fec,0x20001dc6,0x7fffec59,0xfff15fff,
    0x005fffff,0x2e9ffff9,0x000cffff,0xfb1077e4,0x3fa2000b,0xffb7006f,
    0x3ff6059d,0x8800000f,0x000efffe,0x5c03ffa8,0x1dfffffe,0x41dfd100,
    0x4401ffe8,0x3fa20efe,0x7fffc41f,0x36dffb00,0x0ffee6ff,0xb2ffcc00,
    0xbfffffff,0x3fffffe2,0x7ff402ff,0xfff74fff,0x2a001fff,0x3ff25fff,
    0xffb8003f,0x3f6202ff,0x84ffffff,0x0000fffd,0x27fff440,0x05ff7000,
    0x3fffff62,0xc802ffff,0x3fee4fff,0x7ffe405f,0x517ffee4,0x3607ffff,
    0x2dffb6ff,0x003ffff8,0xb8ffffcc,0x5fffcccc,0x999dfff1,0x7ffdc039,
    0xf9932cdf,0x2a009fff,0x3ff66fff,0xffb8004f,0xfff103ff,0x9ffffdff,
    0x000fffd8,0x3fffa200,0x7fe40002,0xffffe881,0x3fffffff,0x727ffe40,
    0xfc80bfff,0x3ffee4ff,0x17fffcc5,0xffb6ffd8,0x1ffffccd,0x2ffff880,
    0xf8afffc0,0x7fc003ff,0x7f4400ff,0xfe8800ff,0x03ffe62f,0x3fffe200,
    0x83fffd00,0x3f62fffb,0x200000ff,0x0000aaa9,0xfb80ffd8,0xeb9acfff,
    0x74407fff,0x3ffa20ef,0x077f4401,0xf903ffd1,0xb7fec0bf,0x7fcc6ffd,
    0xffe801ff,0x5fff802f,0x4007fff1,0x5003fff8,0x22003fff,0x000a880a,
    0x64073260,0xff900eff,0x007ffecb,0x00000000,0x3fe21ffa,0xfff882ff,
    0x0201803f,0x20040300,0xb7fec018,0xffa86ffd,0x7ffdc06f,0x2bfff004,
    0x2003fff8,0x1002fff9,0x00005fff,0x26000000,0x3e201fff,0x1fffb0ff,
    0x202b32a2,0x8802aaa9,0x2a201aaa,0x22cfffdc,0x2e04fffc,0x22006fff,
    0x000000a9,0xdffb0000,0x7ec1bff6,0xfff303ff,0xafffc00d,0x2003fff8,
    0x1001fffa,0x2a607fff,0xaa8802aa,0x2aaaa61a,0x0aaaaaaa,0x6c02ffe4,
    0x1fffb3ff,0x3ffffff7,0x00ffff98,0xb81fffec,0xffffffff,0x807fffa5,
    0x400ffff8,0xdfffffeb,0x0bfff201,0x2e5fff98,0x3ff604ee,0x260dffb6,
    0xfd80ffff,0x3fe002ff,0x07fff15f,0x00fffd40,0x2607fff0,0x6c00ffff,
    0x3ff23fff,0xffffffff,0x03ffe21f,0x3fee6213,0xff9fffb4,0x83ffffff,
    0x2203fffe,0x7440ffff,0xffffffff,0x01fffe5f,0x4407fffa,0xfffffffd,
    0xfff902ff,0x2fffcc05,0x7ec0dff9,0x40dffb6f,0x7c42fffc,0x7fc005ff,
    0x07fff15f,0x00fffd40,0x7407fff0,0x3e203fff,0x3ff20fff,0xffffffff,
    0xd9bfee1f,0xfadfffff,0xfffffb5f,0xdffffbdf,0x206fffb8,0xfc85fffb,
    0xeffeffff,0x0ffff15f,0x105fffd0,0xffffffff,0xf907ffff,0x7fcc05ff,
    0x81bff65f,0xdffb6ffd,0x22fffcc0,0x4002fffb,0xfff15fff,0x7ffd4007,
    0x13ffe000,0x206fffb8,0x6545fffb,0xfecccccc,0x4fff61ff,0xcffffffd,
    0xfffb5ff9,0x7ffcc3df,0x3fffe21f,0x83fffd00,0xb8cffff9,0x3fe632ff,
    0xfffd806f,0xcffffc83,0x7ffffb99,0x202fffc8,0x3f65fff9,0x5bff606f,
    0x7f406ffd,0x3fffa0ff,0xafffc000,0x2003fff8,0x2000fffc,0x3e207ffe,
    0xffd00fff,0xffd8003f,0x2a3ffe1f,0xcfffdfff,0xfffb6ff9,0x9fff903f,
    0x883fffd8,0xffc86fff,0x503ff25f,0xf900dfff,0xfff887ff,0xffff882f,
    0x017ffe43,0x7ecbfff3,0x5bff606f,0x7dc06ffd,0xbfff12ff,0x2bfff000,
    0x3003fff8,0xc800dfff,0xfb00bfff,0xfff107ff,0xfffb000d,0x7edffe63,
    0xf17ffd4f,0x0bfff6ff,0x262fffd4,0xffb86fff,0x3fffe83f,0x3fea1ff6,
    0xfffd806f,0x027ffe42,0xfc8dfff7,0x3fe602ff,0x81fff65f,0xdffb6ffd,
    0x33fffa80,0xf0009fff,0x3ffe2bff,0x3ffbae03,0x744001ff,0x4c4effff,
    0xffb86fff,0xffd8003f,0x3ebff71f,0x15ffd1ff,0x3fff6fff,0x0dfff300,
    0xfe83fffd,0xffff80ff,0x3e61bfa0,0xffd807ff,0x0ffff41f,0x41ffff10,
    0x2602fffc,0x3ffa5fff,0x01bff607,0x553ffe60,0xf8003fff,0x7fff15ff,
    0x67fffe40,0x3fea0001,0xfffe85ff,0x007fff41,0xc8fffec0,0x0fff9cff,
    0xdff33fff,0x4403fff6,0xffb87fff,0x17ffe64f,0xff1fffe2,0x0ffff10b,
    0xf81fffd0,0xffe807ff,0x0bfff21f,0x3a5fff98,0x3ff607ff,0xfff88006,
    0x005fff75,0x3e2bfff0,0x3ff203ff,0x70002eff,0x70bfffff,0x7fcc9fff,
    0xffb0005f,0x2afff23f,0x27ffe7ff,0xfffb5ff9,0x1bffe601,0xfc9fffe2,
    0xffff02ff,0x7c13fe23,0x3e202fff,0x7ffc47ff,0x2fffe807,0x980bfff2,
    0x3ffa5fff,0x01bff607,0xfcafffc0,0xff8001ff,0x07fff15f,0x7fffe4c4,
    0x7ffdc003,0xff880abe,0x0bfff27f,0x8fffec00,0x6ffaaffd,0xff31fff1,
    0x403fff6b,0xfb04fffa,0x1fffe5ff,0xf32ffff8,0x3fff607f,0x13ffee04,
    0xb00dfff3,0x7fe47fff,0x3ffe602f,0x403fffe5,0x88006ffd,0xfff74fff,
    0xbfff0005,0x800fffe2,0x74007fff,0xffb006ff,0x01fffe5f,0xb1fffd80,
    0x2dff75ff,0x9ff77ff9,0x6c03fff6,0xff503fff,0x09fff5bf,0x5477ffec,
    0xfff502ff,0xffff305f,0x06fffa83,0x323fffc8,0x3e602fff,0x3fffe5ff,
    0x00dffb00,0x2a7fff30,0xf8003fff,0x7fff15ff,0x07ffe400,0x009fff00,
    0x3eb7ffea,0x360004ff,0x5ffd1fff,0x3feadff5,0x3f65ff97,0xfff980ff,
    0x3fffa01f,0x2600fffd,0xffdfffff,0x7ffc4b99,0xffbaacff,0xfff985ff,
    0x2fffd806,0x980bfff2,0x3ffe5fff,0x2dffb00f,0x7d400998,0x9fff32ff,
    0x2bfff000,0x2003fff8,0x2001fffa,0x3a003fff,0x0fffdfff,0x3fff6000,
    0xff55ffb1,0x7fdfffaf,0x83fffb0f,0x404ffffa,0x5ffffffb,0xfffffd80,
    0x4c6fffff,0xffffffff,0xf880efff,0xffd807ff,0x0bfff21f,0x3e5fff98,
    0xffb00fff,0x701bff6d,0x3fe23fff,0xfff8006f,0x007fff15,0x000fffd4,
    0x5c007fff,0x05ffffff,0x8fffec00,0xfff8bffc,0xffeffffe,0x3bffff65,
    0x0efffffe,0x7ffffc40,0xfffb002f,0x0dffffff,0xfffffff5,0x3e201dff,
    0xffe807ff,0x0bfff20f,0x3e5fff98,0xffb01fff,0xd01bff6d,0xfffe8fff,
    0xafffc001,0x2003fff8,0x2001fffa,0x22003fff,0x02ffffff,0x8fffec00,
    0xfffd4ffb,0x1fffffbf,0x7fffffec,0x000dffff,0x00dffffb,0xfffffda8,
    0xff9104ff,0x8017dfff,0x2201ffff,0x7fdc7fff,0x3ffea03f,0x03ffff13,
    0x7fedbff6,0x13ffe606,0x8009fff7,0xfff15fff,0x7ffd4007,0x0fffe001,
    0xdffffb00,0xfffb0000,0x7cd7fee3,0x3dffb3ff,0xffffffd8,0x54002eff,
    0x0003ffff,0x0033dff1,0xb003fff4,0x7dc09fff,0x7ffd45ff,0x4bffee04,
    0xb01ffff8,0x1bff6dff,0x441fffc8,0x2000ffff,0xfff15fff,0x7ffd4007,
    0x7fff1001,0xffffa800,0xffe80003,0x18fff51f,0xfffb0088,0x40001333,
    0x0007fffa,0x20013fe6,0x8082fffd,0x982ffff9,0x7cc1ffff,0x3ffa07ff,
    0x02aaaa1f,0xffdb7fec,0x0dfff306,0x8013fff6,0xfff15fff,0x7ffcc007,
    0x5fff1002,0x7fffa800,0xffff0000,0x0002fff8,0x0003fff6,0x0ffffa20,
    0x03ffa800,0xbffffb80,0xfe80fda9,0xfbaacfff,0xffd05fff,0x7fec43bf,
    0xffb0005f,0x741bff6d,0xff101fff,0x3fe003ff,0x07fff15f,0x01fffc40,
    0x001fffa8,0x00ffffa2,0x1bffea00,0x4000bff9,0x0000fffd,0x037ffec4,
    0x00bfee00,0x3ffffa20,0xfa84ffff,0xffffffff,0xff500fff,0xffffffff,
    0x5dddc1ff,0xfb3bbbbb,0x21bff6df,0x5c04fffb,0xff006fff,0x0fffe2bf,
    0x03ffff00,0x00fffe88,0x0dfffb10,0xffd88140,0x27ffcc5f,0x7ffec0a0,
    0x66644000,0x000fffff,0x0007fe40,0xffffff98,0xfff306ff,0x1dffffff,
    0xfffffc80,0x742fffff,0xffffffff,0x3f6dffb7,0x37ffd46f,0x45fffd80,
    0xfffccccb,0x99dfff15,0x7fdc0399,0xb932ceff,0x4409ffff,0xfffffccc,
    0x7bff1000,0x1fffffb5,0x15bfffd0,0x360fd731,0x44000fff,0x2fffffff,
    0x07fd8000,0x7ff5c400,0x76c402df,0x004effff,0x3fffffa6,0xfffe80cf,
    0xfb7fffff,0xa9bff6df,0x1001ffff,0x7ecbfffd,0x15ffffff,0xffffffff,
    0xffffe805,0xfffff74f,0x7ffc401d,0x2002ffff,0xfffffff8,0xfb103fff,
    0xffffffff,0x03fff60f,0xfffff100,0x3a00001b,0x0000006f,0x00133100,
    0x4009a880,0xfffffffe,0x36dffb7f,0xffff16ff,0xffe88003,0xfffffb1f,
    0x3ffe2bff,0x802fffff,0xf74ffffb,0xf1009fff,0x001bffff,0xffffff88,
    0xfd802eff,0x4fffffff,0x00155530,0x00379db0,0x00000000,0x00000000,
    0xfb000000,0xa9bff6df,0xd10001ff,0x55554c7f,0x2aaa1aaa,0x000aaaaa,
    0x554c6a62,0x5e76c001,0x32a20001,0x4002bcec,0x02bcdca8,0x00000000,
    0x00000000,0x00000000,0xfb000000,0x51bff6df,0x03880003,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x6c000000,
    0x0dffb6ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x332e0000,0x00079973,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x66440000,0x00066004,0x30000000,0x00c00155,0x0c030003,
    0x00060180,0x03ffffd8,0x03fffd10,0x00006600,0x7ffd4000,0x980000ef,
    0x32200001,0x3ea0002c,0xfffb805f,0x8003a23f,0x001dffd8,0x800ffd80,
    0x3a20efe8,0xfe8801ff,0x07ffa20e,0xd1077f44,0xfd8003ff,0xd1001eff,
    0x003fffff,0x11ffffdc,0xfd91001d,0x203bdfff,0x00efffd8,0x7ffff700,
    0x3a000744,0xb0003fff,0xffa807ff,0xffdfffff,0xffff1006,0xe80001ff,
    0xfff9007f,0x02fffdc9,0xf727ffe4,0x3ff20bff,0x17ffee4f,0x04fffd80,
    0x2f3ffa20,0xfa802fff,0xfdffffff,0x7ffe406f,0x02ffffff,0x002fffdc,
    0x7fffffd4,0x2006ffdf,0x006ffff9,0x1fff5531,0xfdbffc80,0x002fffff,
    0x0ffa1ff5,0x00dff000,0xfb93fff2,0xffc805ff,0x17ffee4f,0xf727ffe4,
    0x3ae00bff,0x362002ee,0x37b662ee,0x6dffe401,0x02ffffff,0x3ffffff2,
    0x9802ffff,0x64004eed,0xffffdbff,0x3e6002ff,0x75c05fff,0x06ffffff,
    0x7fecc190,0x9bee002d,0x654004fc,0x3ceffffd,0x883bfa20,0xe8801ffe,
    0x3ffa20ef,0x41dfd101,0x0001ffe8,0x80000000,0x37ff660c,0x3fffe202,
    0x000dcc0b,0x260c8000,0x8002dffd,0xb101fffc,0xffffffff,0x0000007f,
    0xff9bff30,0x3ffa6005,0x7fffffff,0x00020180,0x03000806,0x2a620004,
    0x54c40000,0x80000000,0x0006fffa,0x00015310,0xa9800000,0xfffff100,
    0x7fffffff,0x0054c400,0x9ffff700,0x3fffe600,0x7fffffff,0x00000000,
    0x20000000,0xdfffffeb,0x3ffae001,0x0001dfff,0xffff3000,0x7f5c0003,
    0x001dffff,0x80000000,0xa8bffffc,0x00ffffff,0x7fffff5c,0xaa88001d,
    0x3fffa000,0xdbbffdcf,0xffffd007,0x7ffe400f,0xffffffff,0xfffff85f,
    0x4fffffff,0xfffffd88,0x4402ffff,0xfffffffd,0xfff702ff,0x2fff409f,
    0x0bffffe2,0xffffb100,0x005fffff,0x03fffff4,0x10bdd500,0x7e43ffff,
    0x104fffff,0xfffffffb,0x7f4005ff,0xf9807fff,0x1ffb0fff,0xffff8800,
    0xff9001ff,0xffffffff,0xffff0bff,0xffffffff,0xfffff889,0x3fffffff,
    0xffffff10,0x07ffffff,0x01fffff7,0xfd117ffa,0x003dffff,0xfffffff1,
    0x007fffff,0x3ffffff1,0x1ffee000,0xff0ffff2,0x10dfff7f,0xffffffff,
    0x1007ffff,0x03ffffff,0x3a5fffb8,0xffb8007f,0x9004ffff,0xffffffff,
    0xff0bffff,0xffffffff,0xfffc89ff,0xfffb99cf,0xffff907f,0xffff7339,
    0xfffff70f,0x897ffa07,0xfffffffe,0x3ff200cf,0xffb99cff,0xffb807ff,
    0x0004ffff,0xfe81fff7,0x5bfe60ff,0x7e40ffff,0xfb99cfff,0xfb807fff,
    0x404fffff,0xff0ffffa,0xfffb000d,0x2200dfff,0xffff9999,0xff809999,
    0x999999ff,0x3ffe2099,0xffff882f,0x17fffc43,0x21ffffc4,0x07fffffb,
    0x7fecbffd,0xffffffef,0xffff881e,0x3ffff882,0x7ffffec0,0x75cc006f,
    0x7ffc0fff,0xfda7fe46,0x3ffe22ff,0xffff882f,0x7fffec03,0x7fc406ff,
    0x05ffcfff,0xfedfff80,0xff0000ff,0xfff001ff,0xfffc800f,0x1bffee04,
    0x5c09fff9,0x7fdc6fff,0xfe83ffff,0x1ffff35f,0xffffff91,0x04fffc83,
    0xf01bffee,0x1fffdbff,0xffffb100,0x7ffc41ff,0xfc8fff46,0x3fff22ff,
    0x1bffee04,0xffdbfff0,0xfffd801f,0x000dffff,0x3f2fffea,0xff0003ff,
    0xfff001ff,0xfffe800f,0x3fffe201,0x807fffa0,0x2e0ffff8,0x86ffffff,
    0xfff75ffe,0xffffe98b,0x07fffa0e,0x00ffff88,0xff97fff5,0xfff8807f,
    0x261fffff,0x3fe65fff,0xe8ffff27,0x3e201fff,0xff500fff,0x07fff97f,
    0xfffffe88,0xc800cfff,0xfffa8fff,0xffff0005,0x0ffff001,0x807fff80,
    0x3fe1fffe,0xfffe807f,0x3f3ffee1,0xafff42ff,0xfb06fffb,0x7ffc7fff,
    0x1fffe807,0xf51fff90,0xffd80bff,0x5419abff,0x3fee4fff,0xf8fffee4,
    0xffe807ff,0x1fff901f,0x200bfff5,0xfffffffb,0x7ff403ff,0x00ffff16,
    0x003fffe0,0x8801fffe,0xfe807fff,0xffff12ff,0x45fffd00,0xfff9fffb,
    0xf9afff46,0xffb03fff,0x1fffe2bf,0x40bfffa0,0xfff16ffe,0x7fffc40f,
    0x2fffd402,0x7fe45ffd,0x0ffff12f,0x205fffd0,0xfff16ffe,0x7fdc400f,
    0x03ffffff,0x7ec9fff3,0xff8002ff,0xfff800ff,0xaaaaaaaf,0x0dfff30a,
    0x267fffb0,0xfd806fff,0x3ffee3ff,0x3a1fffd8,0x3fffa5ff,0x6fffa84f,
    0xb00dfff3,0xff307fff,0x17ffec9f,0x807fff98,0xff16fff9,0x31fffc8f,
    0xfb00dfff,0xfff307ff,0x017ffec9,0x3fffffe0,0xffb80fff,0x13ffee2f,
    0x03fffe00,0x3fffffe0,0x51ffffff,0xf900dfff,0x3ffea7ff,0x3fffc806,
    0x3e63ffee,0x97ffa5ff,0x2efffffa,0x7d57ffee,0xffc806ff,0x2fffb83f,
    0x5413ffee,0xf9807fff,0x8bff76ff,0xff50fffd,0xfff900df,0x45fff707,
    0x4004fffb,0xffff75ff,0x98fffb05,0xf8007fff,0xff800fff,0xffffffff,
    0xdfff31ff,0x25fffb00,0xd806fff9,0x3fee2fff,0x21fffb0f,0x7fd45ffe,
    0xff9dffff,0xdfff32ff,0x05fffb00,0xff98fffb,0xffff107f,0x1ffff005,
    0xfff85ffb,0x01bffe67,0x360bfff6,0x7ffcc7ff,0x93fe6007,0x7c44fffe,
    0xffff85ff,0x7fffc001,0xeffff800,0x1eeeeeee,0xb00ffff1,0x3fe23fff,
    0xfffd807f,0x543ffee1,0xbffd4fff,0xfffffd30,0x7c4dffff,0xffd807ff,
    0x2fffc41f,0xe80ffffc,0x6c01ffff,0x0fffcfff,0xf897ffea,0xffd807ff,
    0x2fffc41f,0x800ffffc,0x3ff63ffa,0x1fffd42f,0x001fffe4,0x2003fffe,
    0x22007fff,0xfe807fff,0xffff10ff,0x41fffd00,0x3fa0fffb,0x05ffe8ff,
    0x3ffffff2,0x3ffe20ef,0x0fffe807,0x641fffd4,0xff503fff,0x1357dfff,
    0x7fffffd4,0x87fffa25,0xe807fff8,0x7fd40fff,0x3fffc83f,0x97fdc198,
    0x640ffff9,0xaaaacfff,0x4006fffc,0xf800ffff,0x7fc007ff,0x3fe201ff,
    0x0ffffc7f,0xb8ffff10,0x3fee0fff,0x405ffebf,0x1fffffd8,0x201ffff8,
    0xfc87fff8,0xcaaaacff,0x3ee06fff,0x4fffffff,0x5ffffff4,0x85fffea8,
    0x2201ffff,0xffc87fff,0xfcaaaacf,0xdffc86ff,0xffdcffdc,0xffff85ff,
    0xffffffff,0x3fe000ff,0xfff800ff,0x7ffec007,0x17ffee04,0x5c09fffb,
    0x7fdc5fff,0x777ffc0f,0xff7005ff,0xfffb09ff,0x2fffdc09,0x7ffffffc,
    0x0fffffff,0x3ffffee0,0x7ffd44ff,0xffffffff,0x4fffd80f,0x217ffee0,
    0xffffffff,0x40ffffff,0xfffffffc,0x40efffff,0xfffffff9,0x2fffffff,
    0x03fffe00,0x001fffe0,0x305ffff3,0xf983ffff,0xff982fff,0x7ffdc1ff,
    0x7ffffe40,0x3ff2005f,0xffff985f,0x1ffff982,0x7fffffcc,0xffffffff,
    0xfffeb802,0xffffa84f,0x00efffff,0x305ffff3,0xf983ffff,0xffffffff,
    0x642fffff,0xffffffff,0xfc80cfff,0xeeeeeeff,0x005fffee,0x2003fffe,
    0xe8007fff,0xbaacffff,0xfd05ffff,0xf7559fff,0xff70bfff,0xffff881f,
    0xfb0025ff,0x3ffa07ff,0xffbaacff,0xfffc85ff,0xeeeeeeee,0x44005fff,
    0xfffb01a9,0xd009dfff,0x7559ffff,0xf90bffff,0xddddddff,0x88bfffdd,
    0xefffedca,0x3ffa00bc,0x3fffcc07,0xff999988,0x809999ff,0xaaaaffff,
    0x7d41aaaa,0xffffffff,0xff500fff,0xffffffff,0xfff701ff,0xfffffb01,
    0x26afbe6b,0x1ffffcb9,0xffffff50,0x01ffffff,0xf980fffd,0x800007ff,
    0x009aafff,0x3ffffea0,0x0fffffff,0x4c07ffe8,0x7cc07fff,0xfff1004f,
    0x3ffff00b,0xffffff90,0x0bffffff,0xffffffff,0xf309ffff,0xffffffff,
    0xfff9801d,0x0effffff,0x301fff70,0x26bfffff,0xffffffff,0x7cc04fff,
    0xffffffff,0x5fff880e,0x01ffff80,0x1bfe6000,0xffff3000,0x01dfffff,
    0xf00bfff1,0x7d403fff,0xfff7003f,0x9fffb007,0xffffff90,0x0bffffff,
    0xffffffff,0x2209ffff,0x4effffed,0x3ffb6200,0x7dc04eff,0xfffb00ff,
    0x3fffe6bf,0x04ffffff,0xffffdb10,0x7ffdc09d,0x4fffd803,0x3ff20000,
    0xed880003,0x204effff,0xd803fffb,0x3ee04fff,0xfffb001f,0xdfff7001,
    0xffffff90,0x0bffffff,0xffffffff,0x1009ffff,0x88000133,0xff700099,
    0x3ffea01f,0x3b72e65f,0x20002cde,0xfd800998,0xffb800ff,0x2a00006f,
    0x400000aa,0xfd800998,0xffb800ff,0x03ff206f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0x801fffe8,0x00effffa,0x7ffec000,0x0000003f,0x07ffffb0,0x00355300,
    0x00ffff44,0x3ffff600,0x3ff60003,0xd90003ff,0xfd8001bd,0x776c3fff,
    0x3a200005,0x44001fff,0x0001fffe,0xfffffe88,0xfffd8801,0xfb00000e,
    0x22003dff,0x0000dfec,0x007bfff6,0x7ffff6cc,0x3a200dff,0x001fffff,
    0x03dfffb0,0x77ffec00,0xfff10001,0xfffd800b,0x1fffb81e,0xffe88000,
    0xd1001fff,0x003fffff,0x5e7ff440,0xf7002fff,0xb0000bff,0x44009fff,
    0x00fffffe,0x04fffd80,0x3ffffee0,0x100fffff,0xfff79ffd,0xfffd8005,
    0x7fec0004,0x7e40004f,0x3f6001ff,0x3fe204ff,0x7440005f,0x2fffbcff,
    0x5e7ff440,0x88002fff,0x3b662eed,0xddb3001d,0x775c0009,0x7fdc002e,
    0x4005feaa,0x1002eeeb,0xfffffffd,0xb101ffff,0x6f6cc5dd,0x5ddd7001,
    0xeeeb8000,0xfff80002,0x3bbae006,0x0fffd802,0x5ddb1000,0x880ef6cc,
    0x3b662eed,0x0000001d,0x00000000,0xf727ec00,0x2000000d,0xabeffffc,
    0x000fdb99,0x00000000,0xf5000000,0x000005ff,0x003fff98,0x00000000,
    0x00000000,0x00000000,0x3f61df90,0x88000005,0x200dffff,0x00000000,
    0x00000000,0x001fffa0,0x3fff4000,0x00000000,0x3ff20000,0x3ffe602f,
    0x80bfff25,0x3f25fff9,0x3fe602ff,0x3ffe605f,0xffc82fff,0xfffb806f,
    0x01bfff24,0x7ffffe40,0x5fffffff,0x3fffff40,0xfffff900,0xbfffffff,
    0x27ffcc00,0x3fffffe0,0x04ffffff,0x0005fff5,0xffffffff,0xe809ffff,
    0x8007ffff,0x2602fffc,0x3ff25fff,0x3ffe602f,0x80bfff25,0x5405fff9,
    0xf103ffff,0x7c403fff,0x3ffe0fff,0xff90003f,0xffffffff,0x7fc40bff,
    0x9001ffff,0xffffffff,0x400bffff,0x7c00fffd,0xffffffff,0x3fe04fff,
    0xfff8006f,0xffffffff,0x3ffe204f,0x64001fff,0x3e602fff,0x3fff25ff,
    0x97ffe602,0x2602fffc,0x33005fff,0x5fffc801,0x993fff20,0x20007fff,
    0xfffffffc,0x205fffff,0x4ffffffb,0xfffff900,0xbfffffff,0x17ffe200,
    0x3fffffe0,0x04ffffff,0x0007fff2,0xffffffff,0x5c09ffff,0x04ffffff,
    0x017ffe40,0x7e4bfff3,0x3fe602ff,0x0bfff25f,0x105fff98,0x15999975,
    0x07fffe20,0xa83fffe2,0x20006fff,0xfff99998,0x2009999f,0x6ffffffd,
    0xf3333100,0x13333fff,0x07ffee00,0x267fffe0,0x00999999,0x0013ffe2,
    0x3333ffff,0x6c013333,0x06ffffff,0x017ffe40,0x7e4bfff3,0x3fe602ff,
    0x0bfff25f,0xd85fff98,0xffffffff,0xfffc80df,0x44fffc85,0x0005fffb,
    0x007fffc0,0xffdbfff0,0x3fe0001f,0xff0000ff,0x3ffe00df,0xffd80007,
    0x3ffe000f,0x7ffc0007,0x000fffed,0x980bfff2,0x3ff25fff,0x3ffe602f,
    0x80bfff25,0xff85fff9,0xffffffff,0xffff885f,0x03fffe21,0x000bfff9,
    0x00ffff80,0xf97fff50,0x3e0007ff,0xa8000fff,0xff003fff,0xf30000ff,
    0x7fc007ff,0x3ea0007f,0x3fffcbff,0x0bfff200,0x325fff98,0x3e602fff,
    0x3fff25ff,0x17ffe602,0x2a6af7fe,0xc83ffffc,0x3ff24fff,0x5fffc84f,
    0x7ffc0000,0xfff9000f,0x00bfff51,0x003fffe0,0x003fffa0,0x0003fffc,
    0x2006ffe8,0x20007fff,0xffa8fffc,0x3ff2005f,0x3ffe602f,0x80bfff25,
    0x3f25fff9,0x3fe602ff,0x7dc0285f,0xfff884ff,0x01ffff0f,0x000dfff7,
    0x00ffff80,0x3e2dffd0,0xff0007ff,0xf98001ff,0x3fe004ff,0xf700007f,
    0x3fe005ff,0x3fa0007f,0x0ffff16f,0x017ffe40,0x7e4bfff3,0x3fe602ff,
    0x0bfff25f,0x005fff98,0x906fff88,0xfff59fff,0x1fffea09,0xffff0000,
    0x9fff3001,0x0017ffec,0x0007fffc,0x8003fff2,0xaaaaffff,0xf000aaaa,
    0x3fe00bff,0xaaaaaaff,0xfff980aa,0x00bfff64,0x3017ffe4,0x7fe4bfff,
    0x3ffe602f,0x80bfff25,0x0005fff9,0x3e20dfff,0x0fffefff,0x05ffff30,
    0x7fffc000,0x2fffb800,0x0013ffee,0x8003fffe,0x4005fff8,0xffffffff,
    0x9001ffff,0xff003fff,0xffffffff,0xfff703ff,0x027ffdc5,0x202fffc8,
    0x3f25fff9,0x3fe602ff,0x0bfff25f,0x205fff98,0xffffeec9,0x3ff206ff,
    0x7404ffff,0x00006fff,0x2003fffe,0x7fcc7ffd,0xfff8007f,0x3fee000f,
    0x7ffc002f,0xffffffff,0xfff1001f,0xfffff009,0x3fffffff,0xf98fffb0,
    0xff9007ff,0x7ffcc05f,0x80bfff25,0x3f25fff9,0x3fe602ff,0xfffe985f,
    0x6fffffff,0x3ffffe20,0x7ffd400f,0x002600df,0x1003fffe,0xfff0bfff,
    0xfff8003f,0x3ffa000f,0xffff8006,0xeeeeeeee,0x3fff6001,0x77fffc00,
    0x1eeeeeee,0x7c2fffc4,0xfc801fff,0x3fe602ff,0x0bfff25f,0x325fff98,
    0x3e602fff,0x7ffcc5ff,0xffeeeeff,0x7ffe406f,0xfffd004f,0xd95379ff,
    0xffff001f,0x3fffa801,0x003fffc8,0x8007fffc,0x8003fffa,0x00007fff,
    0x201fffd4,0xa8007fff,0xffc83fff,0xfffc803f,0x97ffe602,0x2602fffc,
    0x3ff25fff,0x3ffe602f,0x06ffff45,0x22037ffc,0x3000ffff,0xffffffff,
    0xf001ffff,0xfc801fff,0xcaaaacff,0x7c006fff,0xfb000fff,0xff0001ff,
    0xd00000ff,0xfff80dff,0xfffc8007,0xffcaaaac,0xfffb806f,0x8fffea03,
    0x2a03fffb,0x3fee3fff,0x3ffea03f,0xf03fffc3,0xfff00dff,0xffe8800f,
    0xffffffff,0x0ffff800,0x7fffffc0,0xffffffff,0x3fffe000,0x4fff9800,
    0x0ffff000,0xfff70000,0x03fffc05,0x7fffffc0,0xffffffff,0x27ffd400,
    0x545fff70,0x3ee04fff,0x3ffea2ff,0x8bffee04,0xf907fff9,0xfff00dff,
    0xfd71000f,0x05bfffff,0x803fffe0,0xfffffff9,0x2fffffff,0x03fffe00,
    0x007fff20,0x003fffc0,0x2fffc400,0x800ffff0,0xfffffff9,0x2fffffff,
    0x03fffcc0,0x7cc3fffd,0x3ffa07ff,0x1fffe61f,0x7c1fffe8,0x3f623fff,
    0xff806fff,0x3e20007f,0xf8000cff,0x3f200fff,0xeeeeeeff,0x005fffee,
    0x1003fffe,0x4000bfff,0x00007fff,0x203fff90,0x64007fff,0xeeeeefff,
    0x05fffeee,0x21dfffe8,0xe85fffd8,0x3621dfff,0xffe85fff,0x3ff621df,
    0xffffe85f,0xffffffef,0x07fff806,0x03ffe600,0x3e666620,0x09999fff,
    0xf301fffa,0x26620fff,0x99ffff99,0x7ffdc099,0x3ffe0002,0xaaaaaaaf,
    0xff98001a,0x5ffff04f,0x35555555,0x2603fff4,0xfa807fff,0xffffffff,
    0xffa80fff,0xffffffff,0xfffa80ff,0xffffffff,0xffff980f,0xffcdffff,
    0x07fff806,0x017fee00,0x7fffffe4,0x15ffffff,0xff00bfff,0xfff903ff,
    0xffffffff,0x06ffe8bf,0x7ffffc00,0x4fffffff,0x1fffb000,0xfffffff0,
    0x229fffff,0xff805fff,0xffc801ff,0xffffffff,0x3ffff202,0x02ffffff,
    0x3ffffff2,0x2602ffff,0x72effffe,0xfff00dff,0x7fe4000f,0xffff9002,
    0xffffffff,0x00fffeeb,0x3213fff6,0xffffffff,0x3ea5ffff,0x7c0003ff,
    0xffffffff,0x50004fff,0xfff07fff,0xffffffff,0x0fffee9f,0x013fff60,
    0x7fffff4c,0xfe9800cf,0x00cfffff,0xfffffe98,0x551000cf,0xfff80001,
    0x17b60007,0xfffffc80,0x5fffffff,0x7001fffb,0xff90dfff,0xffffffff,
    0x5554cbff,0x7ffc0000,0xffffffff,0x2aa0004f,0xfffff81a,0x4fffffff,
    0x7001fffb,0x1000dfff,0x44000135,0x2200009a,0x0000009a,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7fd40000,0x00000eff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0bdd9000,0x3bb62000,0xffa800de,0x80000eff,0xeeeecba8,0x7ffd44ee,
    0x6c4000ef,0x4000efff,0x3f620efc,0x1077e405,0xdf900bfb,0x202fec41,
    0x1c1dffda,0xd883bf20,0x3ff6605f,0x17ba601d,0x6ffff644,0x3ff6a003,
    0xf9001c1d,0x8000bfff,0x00efffe8,0x3bfff620,0xffb30000,0xffffffff,
    0xdfffb10d,0xfff70001,0x7ffd400b,0x40ffff25,0x3f25fffa,0x3fea03ff,
    0x0ffff25f,0x7fffffcc,0xf504fdac,0x7ffe4bff,0xfffffa83,0x03ffd02f,
    0xfffffff9,0xff9801ff,0xfdacffff,0xeeffb804,0xd10005ff,0x40009fff,
    0x8005fffb,0xfffffffc,0x206fffff,0x0005fffb,0x2009ddb3,0x3f66fffa,
    0xfff504ff,0x027ffecd,0x7ecdfff5,0xdffb04ff,0xbfffffff,0xd9bffea0,
    0xffe84fff,0xfb86ffdc,0xffffb84f,0x0effffff,0x3ffbff60,0x405fffff,
    0xfe88effb,0x7f44004f,0x980002ff,0x2a004eed,0xefffffff,0x406fff99,
    0x0004eed9,0x3ffa2000,0x403ffe62,0x3e62ffe8,0x3fa200ff,0x03ffe62f,
    0xfff91744,0x7ff440df,0x303ffe62,0x07ff49ff,0xf881fff3,0xfd30cfff,
    0x174405ff,0x00dffff9,0x55441555,0x2aa6000a,0x0000000a,0x7ffffc40,
    0x3ffe6fff,0x00000006,0x44054400,0x4054400a,0x0a8800a8,0x88000a88,
    0x0a8801ba,0xffa80a88,0xfe87ff23,0x5fffa82f,0x004fffa8,0x0001ba88,
    0x00000000,0x3ea00000,0x6fffffff,0x0001bffe,0x3fffff20,0x5fffffff,
    0x00000000,0x00000000,0xfa800000,0x5c7ff63f,0xfff905ff,0x07fff705,
    0xa8800000,0x4000abcc,0x00abcca8,0xffffe800,0xffffc807,0x3fe6ffff,
    0xfffff86f,0x4fffffff,0x7fffffe4,0x45ffffff,0x2aa02aaa,0x6654402a,
    0x751000ab,0x00159999,0x59999751,0x6654c001,0xbff300ab,0xfff8bff4,
    0x83fffb00,0x001fffe8,0x01579953,0x7ffffe40,0xff9003ff,0x007fffff,
    0x7ffffc40,0x7ffec01f,0x3e6fffff,0xffff86ff,0xffffffff,0x7ffffe44,
    0x5fffffff,0xf807ffec,0x3ff206ff,0x403fffff,0xfffffffd,0xffb00dff,
    0xbfffffff,0x7fff4c01,0xfd03ffff,0x369fffdf,0x3ff602ff,0x3fffa20f,
    0xfffe9804,0x4403ffff,0xfffffffe,0x3fa205ff,0xffffffff,0xfff70005,
    0xfc809fff,0x6fffffff,0x3fe1bffe,0xffffffff,0x4ccc44ff,0x999ffff9,
    0x07ffec09,0xe886fff8,0xffffffff,0x3fffe05f,0x5fffffff,0xfffffff0,
    0x2e0bffff,0xffffffff,0xfff986ff,0x5ffb8eff,0xd07ffec0,0xf700bfff,
    0xffffffff,0x7ffec0df,0xffffb9bf,0x7ffffb02,0x05ffff73,0xfffffb00,
    0xfffb80df,0x3e6fffff,0xffff86ff,0x99999999,0x0ffff800,0x807ffec0,
    0xffd86fff,0xfffb9bff,0x57bff02f,0x7ffff953,0x5357bff0,0x987ffff9,
    0xfdefffff,0xc883ffff,0x1fff12cd,0x70fffd80,0xf300bfff,0xffbdffff,
    0xff307fff,0xdfff30bf,0x30bfff30,0xf000dfff,0x1fffdbff,0x7ffffcc0,
    0x3ffe6fff,0x007fff86,0x01ffff00,0xf00fffd8,0xfff98dff,0x06fff985,
    0x4fffb805,0x7ffdc028,0x077ffec4,0x003ffff2,0x6c017fec,0xfffb0fff,
    0xdfffb003,0x0ffffc81,0xd80fffec,0x7fec0fff,0x1fffb01f,0x5fffd400,
    0x5c03fffc,0x6fffffff,0x3fe1bffe,0xff00007f,0xffd801ff,0x8dfff00f,
    0xfb01fffd,0xf10001ff,0xf1000dff,0x7ffccdff,0x7fffd00f,0x00bff500,
    0x7f43fff6,0x7fcc02ff,0xfffd00ff,0x206fff87,0x7fc2fffc,0x3fff206f,
    0x3fff2002,0x805fffa8,0x6ffffffd,0x3fe1bffe,0xff00007f,0xffd801ff,
    0x8dfff00f,0x3f206fff,0xff0002ff,0x3fe000df,0x13ffee6f,0x404fffa8,
    0xb000fff8,0x3ff21fff,0x3fee01ff,0x3ffea04f,0x3ffffe24,0xffffffff,
    0x3fffe23f,0xffffffff,0x3fa003ff,0x0ffff16f,0x3ffffaa0,0x3e1bffe6,
    0xf00007ff,0xfd801fff,0xdfff00ff,0x7fffffc4,0xffffffff,0x3fbb2603,
    0x206fffff,0xffffeec9,0x3fff26ff,0x1bffe602,0x2a27ffb0,0xfffd80ab,
    0x5fffff30,0x80bfff20,0x3e66fff9,0xffffffff,0x263fffff,0xffffffff,
    0x03ffffff,0x6c9fff30,0x26002fff,0x3ffe5cca,0xaaffff86,0x00aaaaaa,
    0x400ffff8,0xff00fffd,0x7fffccdf,0xffffffff,0xffe983ff,0xffffffff,
    0xffffe986,0x26ffffff,0x2201fffd,0x3ea07fff,0xdffff75f,0x20fffd83,
    0x84fffffb,0x2201fffd,0x3fe67fff,0xeeeeeeff,0x3e62eeee,0xeeeeefff,
    0x002eeeee,0x7dc5fff7,0xf00004ff,0xffff0dff,0xffffffff,0x1ffff003,
    0x00fffd80,0x7fccdfff,0xeeeeeeff,0x7cc2eeee,0xeeeeffff,0x7fcc6fff,
    0xfeeeefff,0x3fff66ff,0x1bffe202,0x7d47ffc4,0x6c6fffff,0x7fd40fff,
    0x7fec2fff,0x3ffe202f,0x017ffe26,0x02fffc40,0x3ffec000,0x001fffe6,
    0x7c37ffc0,0xffffffff,0xff801fff,0x7fec00ff,0x4dfff00f,0x0005fff8,
    0x2037fffa,0x7ff46fff,0x6fff80df,0x980ffff2,0xffb05fff,0x3627ffa7,
    0x3fff62ff,0x7ffff980,0x301fffe4,0xfff8bfff,0x3ffe0007,0x7c400007,
    0xffff85ff,0xfff80001,0xeeffff86,0x01eeeeee,0x400ffff8,0xfb81fffd,
    0x3fffc6ff,0x0ffff000,0x3fe37ffc,0x9bffe07f,0x3205fffb,0xffa83fff,
    0xffa9bfe6,0x403fff63,0x2e0ffff9,0x3f205fff,0x7fff43ff,0xfffd0003,
    0x7d400007,0xfffc83ff,0xfff80003,0x007fff86,0x01ffff00,0x543fffd8,
    0x7f46ffff,0xf98003ff,0xfff907ff,0x83fffccd,0x3e66fffc,0xff881fff,
    0x7ffc41ff,0x7ccbff11,0x03fff64f,0x261fffe8,0xf881ffff,0x7fd41fff,
    0x035103ff,0x207ffff5,0xff9001a8,0xf955559f,0xf0000dff,0xffff0dff,
    0x3ffe0000,0x7ffdc00f,0xffffc89e,0x7fffd46f,0xff035103,0x7fec47ff,
    0x7fffc6ff,0x3ffff623,0x57fffec6,0x5fffea88,0x7fc3ffc8,0xfd8ffee7,
    0xff9810ff,0xffffd87f,0xfffea88a,0xfffffb05,0x09fffddd,0x3bfffff6,
    0x004fffee,0xffffffff,0x01ffffff,0x27ffcc00,0x0003fffc,0x400ffff8,
    0xfffffff9,0xd86ffeff,0xeeefffff,0xffe84fff,0xffffefff,0x7fff46ff,
    0xfffffeff,0x7fffcc6f,0xffffffff,0x7437fcc0,0x1ffeacff,0x7f43fff6,
    0x85ffffee,0xfffffff9,0x100fffff,0xfffffffb,0x36209fff,0xffffffff,
    0xff9804ff,0xffffffff,0x0002ffff,0x3e0ffff2,0xf00007ff,0xf9001fff,
    0x97ffffff,0xffb10dff,0xffffffff,0xfffff309,0xdff9bfff,0xffffff98,
    0x86ffcdff,0xfffffffa,0xffe81eff,0xfffffa81,0x87ffec4f,0x6ffffffe,
    0x3ffffea0,0x801effff,0xffffffea,0x7f5402ef,0x2effffff,0xeefffc80,
    0xffeeeeee,0x440e405f,0xff82fffe,0x9988007f,0x99ffff99,0xfff90099,
    0x1bfee5df,0xfffffea8,0xfd302eff,0x3ee5dfff,0xfffe986f,0x0dff72ef,
    0x3fffff62,0x09ff904e,0x427fffdc,0xffd0fffd,0xb1007fff,0x09dfffff,
    0x066aa600,0x0cd54c00,0x01fffa00,0x5c0ffff3,0xffdbbdff,0xffff05ff,
    0x55555555,0xfffffc83,0x5fffffff,0x0000d4c0,0x000cd54c,0x20001551,
    0x40000aa8,0x00000998,0x998000cc,0x26620001,0x00000000,0xff880000,
    0xffff805f,0xfffff881,0x00ffffff,0xffffffff,0xfc89ffff,0xffffffff,
    0x00005fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x03fffb80,0x304fffd8,0xfffffffd,0x7fffc03b,0xffffffff,0x7ffffe44,
    0x5fffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfd800000,0xffb800ff,0x76dd406f,0xfff801bc,0xffffffff,0x0000004f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xeed88000,0x900000de,0x00000bdd,0x776c4000,0x3bb620de,
    0x555000de,0x06aaa205,0xc8000000,0x200005ee,0x2a205eed,0xa8001acb,
    0x2a24eeee,0x6400000b,0x00000eee,0x1bdddb10,0x107bbba2,0x001dfffb,
    0x5ffffc80,0xc85ff500,0xe88001ef,0xd880efff,0xe800efff,0xff980fff,
    0xdfffd85f,0x02f74c03,0x02ffffe4,0x07fff800,0xbffffff7,0xfffc8001,
    0x00fffedf,0x7077ff6a,0x000fffd8,0xfffe8800,0x3fffe20e,0x1dfff702,
    0x3bfee000,0xff805ffe,0xdfff30ff,0xfffe8800,0xefffb804,0x07fff400,
    0x7c2fffcc,0x203fffff,0x7dc01ffe,0x005ffeef,0xc87fff80,0xffffffff,
    0xfca8800f,0xffffffff,0xfffff300,0x6c9fb59f,0x00000fff,0x427fff44,
    0x201ffff8,0x000effe9,0x74477fdc,0x3fe204ff,0xdfff50ff,0x7fff4400,
    0x3ffa6002,0x3fffa00e,0x85fff980,0x06ffb99a,0xfb809ff7,0x4ffe88ef,
    0x3fffc000,0x2effffe6,0xc804fffe,0xffffffff,0xffb00bce,0xfffffffd,
    0x007ffecb,0xfffd1000,0x3fffe205,0x0d554401,0x882aaa00,0x3f200aaa,
    0x0fffa25f,0x00aaa980,0x01aaa880,0x2603fffa,0xb5505fff,0xfff307ff,
    0x20aaa801,0x0000aaa8,0xff91fffe,0x37ffc41f,0x7ffffe40,0xe8805fff,
    0x1bffff22,0x0001fffb,0x005554c0,0x0007fffe,0x40000000,0x00035019,
    0xe8000000,0xff980fff,0xbffff05f,0x000bffa0,0x7fc00000,0x437ff47f,
    0xcb807ffd,0x5ffff50a,0x06ea2000,0x0003fff6,0xfff80000,0x6654400f,
    0x751000ab,0x00159999,0x5d440000,0x000acccc,0x59999751,0x01fffd01,
    0x3a0bfff3,0x2e0ffffe,0x54c005ff,0x2000abcc,0xffbccba8,0x43fff47f,
    0x4c006ffe,0x0fffffca,0xffd80000,0x1599510f,0x5e654c00,0x3fffe00a,
    0x3ffff200,0x7ec03fff,0xffffffff,0x5555500d,0x36003555,0xffffffff,
    0x3ff600df,0xdfffffff,0x203fffa0,0xe805fff9,0x1fff12ff,0x3fffa600,
    0x4403ffff,0xfffffffc,0x7ffe47ff,0x013ffea1,0x7ffffec4,0x55304fff,
    0x056664c3,0x3ee3fff6,0x401fffff,0xffffffe9,0x1ffff03f,0xfffffd10,
    0x7c0bffff,0xffffffff,0xfff885ff,0x004fffff,0xffffffff,0x7fc0bfff,
    0xffffffff,0x03fffa5f,0x7117ffe6,0x23fff755,0xf7002ffd,0xffffffff,
    0x3ffea0df,0xffffffff,0xbb7ffd47,0xa800ffff,0xffffffff,0xffd80fff,
    0xffffff94,0x7e7ffec3,0x1fffffff,0xffffff70,0xfd0dffff,0xfffb01ff,
    0xffff737f,0x2af7fe05,0x3ffffca9,0x7fffffc4,0xbff004ff,0xfff95357,
    0x2f7fe07f,0xffffca9a,0x301fffd3,0xff98bfff,0xff74ffff,0x3ffe600b,
    0xffffdeff,0x7fffc43f,0xfffdbbcf,0xfffffd87,0xf8801eff,0xebacffff,
    0xffd84fff,0xffffffdd,0xffffb0ff,0xffffbdff,0xfffff30d,0x7fffffbd,
    0xf987ffe8,0xfff985ff,0xffb80506,0xdcccc84f,0x05004fff,0x504fffb8,
    0xd4fffb80,0xff301fff,0xceed88bf,0x01fff11c,0x03bfff60,0x641ffff9,
    0xff80efff,0xffff987f,0xf9000dff,0xffb81dff,0xffffd86f,0xffffeeff,
    0x3dffffb3,0x20ffffcc,0x640efffd,0x3fa0ffff,0x1fffd87f,0x001fffb0,
    0x00dfff10,0x0009fff7,0x01bffe20,0xeb7ffc40,0xffd80fff,0x7fec005f,
    0xffff3002,0x4ffffa01,0xf00ffff8,0xfff30fff,0x7c4007ff,0xff881fff,
    0x7ffec0ff,0x3ffee1ef,0x03ffffb5,0x7cc9fff9,0xffd00fff,0x43fff47f,
    0x3f206fff,0xff0002ff,0xfff700df,0x7fc00009,0x3fe0006f,0x85fffd6f,
    0x005ffffc,0xb8017fea,0x3ea04fff,0xbfff54ff,0x2a3fffc0,0x0effffff,
    0xff517ffa,0x7fff40bf,0x0ffffec2,0x7edbffe6,0xfff502ff,0x027ffdcb,
    0x7ec9fff5,0x7fffc47f,0xffffffff,0x3b2603ff,0x6ffffffe,0x04fffb80,
    0x7ff764c0,0x4c06ffff,0xfffffeec,0x3dfffd6f,0xffffff93,0x1fff1001,
    0x17ffe400,0x2edfff30,0x3fe03fff,0x3fffe67f,0x3fa5fffe,0x1fffdc4f,
    0xd87fffb0,0xfff02fff,0x403fff6f,0x3f26fff9,0x3fe602ff,0x31bff66f,
    0xffffffff,0x07ffffff,0xffffffd3,0x700dffff,0x26009fff,0xfffffffe,
    0xfd306fff,0xffffffff,0x3ffffadf,0xffffffff,0x7fec03ff,0x6c066663,
    0x3e201fff,0x5fff97ff,0xfd3fffc0,0xfffd13ff,0xf913ffe9,0x7fe405ff,
    0x07ffec3f,0xffb7fff8,0x3ffe201f,0x807fff67,0x3f67fff8,0x7fffcc6f,
    0xeeeeeeee,0x7ffcc2ee,0xffeeeeff,0xfffb806f,0xffff9804,0xfffeeeef,
    0xfffff986,0x6fffeeee,0xfffffffd,0x7ffff95f,0xf52ffd40,0x3ff60fff,
    0x3ffe202f,0x405fffb6,0xfff37fff,0x67fffccb,0x7fec2fff,0x3fff202f,
    0x807ffec3,0xfffb7fff,0x9bffe601,0x2202fffd,0x3ff26fff,0x02fffc46,
    0x1bfffd00,0x700dfff0,0xfd009fff,0xfff01bff,0x1bfffd0d,0x3fadfff0,
    0x12efffff,0x2207fffd,0xfff10fff,0x3fff20ff,0x57ffe603,0x3e03fffc,
    0x7fff57ff,0xffffffa8,0x1fffe40f,0xd87fffb0,0xfff00fff,0x403fff6f,
    0x3f24fffa,0x3fe603ff,0x20aaa65f,0x20007fff,0x3fe07fff,0xfffb806f,
    0x07fff804,0x3fe1bffe,0x5bffe07f,0x00a8effe,0x7fec0353,0x1ff7bf63,
    0x902fffdc,0x3fee7fff,0xffff704f,0x2e0fffee,0xb85fffff,0x3fe05fff,
    0x7ffec1ff,0x36ffff00,0xffb00fff,0x2fffdc7f,0x007fff90,0x001ffff4,
    0xc83fffcc,0xfb806fff,0x7fcc04ff,0xdfff907f,0x907fff98,0x3ffadfff,
    0xffa80007,0x3f27fea6,0x3ffff307,0x23ffff10,0xfa87fffa,0xfff37fff,
    0x3ffff60b,0x0ffffa82,0xd87fffb8,0xfff00fff,0x203fff6f,0x261ffff9,
    0xf881ffff,0x32e21fff,0x3ffffa80,0xfff03510,0x7ffec47f,0xfffb806f,
    0x3ffff804,0x1bffff62,0xd88ffffe,0xffd6ffff,0x7c40001f,0x29ff11ff,
    0x3ff607fc,0xfea88aff,0x7fff45ff,0xffffc88d,0x9ffff17f,0x5ffffd88,
    0x13dfffd0,0x07ffff71,0x3e01fffb,0x3fffb7ff,0x84ffffa8,0x88affffd,
    0x225fffea,0xfd80fffe,0xfeeeffff,0xfffe84ff,0xfffffeff,0xfffb806f,
    0xffffe804,0xffffffef,0xfffffe86,0x6ffffffe,0x0001fffd,0xff71ffe4,
    0x05dfffdd,0xfffffff3,0xb81fffff,0xffffffff,0x3ee7ffef,0xfffeffff,
    0xa83fffff,0xffffffff,0xfd80efff,0xffff00ff,0x3bbffff6,0x80efffff,
    0xfffffff9,0x2a0fffff,0xd883ffff,0xffffffff,0xfff984ff,0xfcdfffff,
    0x7fffe46f,0xffffffff,0x7fffcc1f,0xffcdffff,0xfffff986,0x6ffcdfff,
    0x0001fffd,0xff71bfe6,0x05ffffff,0x3fffffea,0xfb01efff,0x79ffffff,
    0xfffd8fff,0xfeffffff,0xffc82fff,0xefffffff,0x01fffb00,0x7fedfffe,
    0xffffffff,0x3ffea00d,0x1effffff,0x01ffffcc,0xffffffd5,0x3fa605df,
    0xff72efff,0xfffffc8d,0xffffffff,0xffffe981,0x20dff72e,0x2effffe9,
    0x3ffadff7,0xffd0000f,0xdaaaa983,0x36200bff,0x04efffff,0x2effffc8,
    0xfd50fff7,0x2e5dffff,0xe981ffff,0x0bffffff,0x403fff60,0xfd937fff,
    0x05dfffff,0x3ffff620,0x3ff604ef,0x26aa6006,0x02aa2001,0xfffffc80,
    0xffffffff,0x002aa201,0x800aa880,0x90002aaa,0x3f2009ff,0x04cc4007,
    0x000d4c00,0x0001a988,0x20013530,0xff00fffd,0x026660ff,0x01331000,
    0x00000660,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3b200000,0x0a98005e,0xcccba800,0x002aaaaa,
    0x0deeed88,0x037bbb62,0x015554c0,0x000d5544,0x2af3aa00,0xeeed8801,
    0xb800000d,0xb98802ee,0x33a99bcc,0x6664c355,0x2000000a,0x88000ba8,
    0x751019aa,0x3fff2001,0x3ff2005f,0xffd5001f,0xffffffff,0x7f44001f,
    0xfd880eff,0xf9800eff,0x7ec00fff,0x36a003ff,0xf74efffe,0x805dffff,
    0x00efffd8,0x0fffc000,0xfffffb10,0x3f6fffff,0xfffff94f,0xfffff03f,
    0x09ffffff,0x003ffff1,0xffffffd7,0x3ffe25bf,0x77fdc01f,0xf8805ffe,
    0xfa805fff,0xffffffff,0x1000ffff,0x7009fffd,0xd001dfff,0x7c407fff,
    0xe8800fff,0x7fffffff,0xfffffff7,0xfffb803d,0xf300000e,0x7ffd40df,
    0xffffffff,0xffbbffb7,0x83ffffff,0xffffffff,0xffc84fff,0x3fa605ff,
    0xffffffff,0xbffff94f,0x4477fdc0,0x7cc04ffe,0x7c406fff,0xfd98afff,
    0x1002adff,0x4005fffd,0x400effe9,0x2e06fffb,0xfb005fff,0xffffffff,
    0x3fffffaa,0x74c00eff,0x98000eff,0x03ffedca,0x79fffff1,0x36ffffb7,
    0xdeffffff,0x7fc6ffff,0xffffffff,0xffffd84f,0xfffff506,0x9fffffff,
    0x81bffff6,0x2aa20aaa,0x7fff400a,0x17ffd403,0x0007fff4,0x00015553,
    0x88035551,0xfd00ffff,0xff5003ff,0x0e6617ff,0x3ffffaa2,0x1aaa8805,
    0x3fffa600,0xf904ffff,0xfff01dff,0x3bffff6f,0x87fffe61,0xb9999999,
    0xffb84fff,0xfff885ff,0xaa99bdff,0xffff74fd,0x1000000b,0xff900599,
    0x07ffee0f,0x00000000,0x20ffff60,0x9006fff8,0x20007fff,0x000ffffd,
    0xffff7000,0x87ffffff,0xf00ffff8,0x3fff6fff,0x4fffc81f,0x09fff700,
    0x3203bff6,0x4402ffff,0x203bff61,0x2aa02aaa,0x3200002a,0xffa80fff,
    0x0555501f,0x55415554,0x0aaaa02a,0xf70dfff3,0x3f6007ff,0x3e0000ff,
    0x54c02fff,0x2600abcc,0xfeceffff,0x3ea3ffff,0x3ffe05ff,0x205fffb7,
    0x7005fffa,0x0c409fff,0x02ffff98,0x7ec03100,0xdfff00ff,0x55555554,
    0x7ffdc01a,0x207ffd83,0xff00fffd,0x1fffb0df,0x3a1bffe0,0x7ff41fff,
    0xffff000f,0xfffe8000,0xffffd303,0x3f607fff,0x3fffe4ff,0xfff70fff,
    0xdbfffc07,0xff300fff,0x3fee00df,0xff90004f,0x400000df,0xff00fffd,
    0x3fffe2df,0x4404ffff,0xd99cffff,0x3f605fff,0xdfff00ff,0x201fffb0,
    0xffb86fff,0x17ffe64f,0x007fff80,0x417fffc0,0xfffffffb,0x7fcc6fff,
    0x337fea6f,0xfff92fff,0xdbfffc05,0xff100fff,0x3fee00ff,0xffb0004f,
    0x4000005f,0xff00fffd,0x3fffe2df,0xb804ffff,0xffffffff,0x3ff600ef,
    0x0dfff00f,0x3e01fffb,0xfff886ff,0x00bfff27,0x0007fff8,0x303fffee,
    0xfbdfffff,0x7dc7ffff,0x2fff62ff,0xffb3fff8,0xbfffc05f,0xf300fffd,
    0x3ee00dff,0xfd0004ff,0x999883ff,0x6c000999,0xfff00fff,0x7ee6664d,
    0x7fc404ff,0xcfffffff,0x07ffec00,0xfd86fff8,0xdfff00ff,0x7cbfff60,
    0x3ff607ff,0xffffffff,0x6643ffff,0x84ffffec,0x640efffd,0xff90ffff,
    0x43ffe21f,0xfff95fff,0xdbfffc07,0xff500fff,0x3fee009f,0xfff0004f,
    0xffffe81f,0x7ec004ff,0xdfff00ff,0x027ffdc0,0x2ea37ff2,0xffb000ab,
    0x1bffe01f,0x7c03fff6,0xfff506ff,0x409fff5b,0xfffffffd,0x3fffffff,
    0x3fffffe2,0xffff986f,0x27fffd00,0xff50fffd,0xfbbfff4b,0xfff704ff,
    0x403fff6f,0x7003fffd,0x3ee09fff,0x3fffc43e,0x7ffffff4,0xfd805544,
    0xdfff00ff,0x027ffdc0,0x0000fffe,0x3e01fffb,0xfffd86ff,0x40dfff00,
    0xfffdfffe,0x3ffff600,0xffffffff,0x7fffc3ff,0xfff703ff,0xa7ffd409,
    0xffb0fffd,0xfab7ffc5,0xfffa87ff,0x01fffb7f,0x003ffff3,0x2a13ffee,
    0x3e23ffff,0xfffe87ff,0xffd14fff,0x1fffb03f,0xb81bffe0,0x7fc04fff,
    0x00199bff,0xf807ffec,0xfffd86ff,0x40dfff00,0x5ffffffb,0x07fff800,
    0x007bffe0,0x4c05fff9,0xfff76fff,0x221fff13,0x3ffa5fff,0xfffc88df,
    0x3fffb7ff,0x04ffffa8,0x213ffee0,0x7c7ffffc,0x3e600fff,0xffff94ff,
    0x01fffb0b,0xfb81bffe,0x7fe404ff,0xefffffff,0x3fff602d,0xb0dfff00,
    0x3fe01fff,0x3ffe206f,0xf8002fff,0x3fe007ff,0xfffd804f,0x5fffe201,
    0xffabfffa,0xb93ffea5,0xffffffff,0xffb7ffff,0xffffddff,0x7dc001df,
    0xfffb84ff,0x3fffa1ff,0x53ffe601,0xd87ffffd,0xfff00fff,0x27ffdc0d,
    0x7ffffec0,0x05ffffff,0x3e01fffb,0xfffd86ff,0x80dfff00,0x006ffffd,
    0x400ffff0,0xfd804ffe,0x3fe202ff,0xbdfff16f,0x7fff45ff,0x7ffffec1,
    0xb7ffebff,0xffffffff,0xb8001bff,0xffd04fff,0x7ffec3ff,0x53ffe604,
    0xd85ffffc,0xfff00fff,0x27ffdc0d,0x3bfffe60,0xfffffeee,0x00fffd83,
    0xffb0dfff,0x1bffe01f,0x07ffff50,0x01fffe00,0xc801aaa8,0x3e603fff,
    0x3fffa5ff,0xffd88fff,0xffff905f,0x6dfffa5d,0xffffffff,0xff90002e,
    0x3ffe207f,0x3fffee0f,0x29fff300,0xd80effe8,0xffb81fff,0x3ffee06f,
    0x3bffe204,0x6fffc880,0xb81fffd8,0xffd86fff,0x6fffb81f,0x03fffd40,
    0x00ffff00,0x7ffdc000,0x8ffff205,0xffffffe8,0x401fffff,0xbfffc1a9,
    0x0999fffd,0xff100880,0x7ff403ff,0x0efffe87,0x4c4fff98,0x0ffff601,
    0x40dffff5,0x3204fffb,0x3e202fff,0xfffd87ff,0x37fffd43,0x2a1fffec,
    0x2206ffff,0x0003fffe,0xa801fffe,0xff9801cd,0xfff881ff,0x7fffc41f,
    0x01efffff,0x6dfffe00,0x4c000fff,0x3ffa61cf,0xfff100ff,0xfffff509,
    0xfff93359,0xfffb8009,0xffffc89e,0x3ffee06f,0x0ffff604,0xb85fffa8,
    0xfc89efff,0xfb86ffff,0xffc89eff,0xfb106fff,0xf8000dff,0xff5007ff,
    0xffb001ff,0xfd5115ff,0x3fe60bff,0x00ceffff,0xdbfffc00,0x4c000fff,
    0xffffffff,0xffd502ff,0x7fffec0d,0xffffffff,0x7ffcc004,0xfeffffff,
    0x3ffee06f,0x3fffee04,0x3ffee61a,0xffff982f,0xffefffff,0xfffff986,
    0x6ffeffff,0xffff9991,0xff80001f,0xfff9007f,0xfff3007f,0xffffffff,
    0x37fee01f,0x2000009a,0xfffb7fff,0xfff98001,0x44ffffff,0x1efffffa,
    0x7ffffdc0,0x04ffffff,0xfffffc80,0x96ffcbff,0xffffffff,0x223fffff,
    0xfffffffe,0x203fffff,0xfffffffc,0xf906ffcb,0x97ffffff,0x3ffe2dff,
    0x0002ffff,0x9007fff8,0x2005ffff,0xfffffffa,0x3fa01eff,0xf000001f,
    0x3fff6fff,0xffeb8000,0xfa81efff,0x26003fff,0xffffffed,0xf90000bd,
    0x3ee5dfff,0xfffff96f,0xffffffff,0x7fffec43,0x02efffff,0x2effffc8,
    0x7e40dff7,0xff72efff,0x3ffffe2d,0xff00000d,0x3fa200ff,0x7ec4005f,
    0x404effff,0x00007ff9,0x7edfffe0,0x220000ff,0x564c0099,0x26200009,
    0x4000019a,0xffc801a9,0xffffffff,0xcb881fff,0x001accec,0x40001a98,
    0x9db001a9,0xf8000037,0x0cc007ff,0x02662000,0x000d5440,0x25555000,
    0x0000aaa9,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3b220000,0x2f74c03e,
    0x201f7644,0xeeb85ee9,0x400002ee,0x22001aa9,0x0001aaa9,0x80000000,
    0x00009aa9,0x0f775c00,0x2aaa6000,0x54c00009,0x76400001,0xec802eee,
    0x7774405e,0xffff911e,0x21ffe809,0x04ffffc8,0xfb80fff4,0x20002fff,
    0xfffffed9,0xffc880df,0x45ffffff,0x2602fffc,0xfff15fff,0xffffffff,
    0x7ffec40f,0x2002efff,0xffffedb8,0x00bfff20,0x3ffff620,0x2003ffff,
    0xdfffffeb,0x7fe40000,0xffc802ff,0x7ffc05ff,0xfffff11f,0x227fdc09,
    0x04fffff8,0xd3013fee,0x70005fff,0xffffffff,0xfffa81ff,0x6fffffff,
    0x3017ffe4,0x3fe2bfff,0xffffffff,0xffff507f,0x0bffffff,0xfffffd98,
    0x3ff20fff,0xff98002f,0xffffffff,0xffffc806,0x001fffff,0x01dfff90,
    0xffddff70,0x07fffc0b,0x209ff779,0xbc80fff9,0xff304ffb,0xffb1001f,
    0x3fa2005f,0xffffffff,0x3ffe20ff,0xffffffff,0x017ffe46,0x3e2bfff3,
    0xffffffff,0xfff887ff,0xffffddff,0xffff303f,0x41ffffff,0x8002fffc,
    0xfffffff9,0x3a04ffff,0xffffffff,0x64001fff,0xf7004fff,0x9ffd11df,
    0x541fffe0,0x5ffd04ff,0xd04ffa80,0xaa8005ff,0xfff9002a,0xb73357df,
    0x7fffec1f,0x912e620a,0x7cc05fff,0xdfff15ff,0x99999999,0x509fff90,
    0xff30dfff,0x33579fff,0x02fffc83,0x220ac880,0x507fffda,0x74c3ffff,
    0x22005fff,0x2a001aaa,0x2aaa20aa,0x507ffe80,0xbff709ff,0x709ff500,
    0x00000bff,0x1bffff10,0x3fffe040,0x7ffe4001,0x57ffe602,0x8004fff8,
    0xfd00fffd,0xbfffd0ff,0x3fff2001,0xf8800002,0xffe81fff,0xffff881f,
    0x00000001,0x83fff400,0x7fc44ffa,0x4ffa800f,0x4007ffc4,0xaaaaaaaa,
    0x37ffe401,0x3fffe200,0x7ffe4000,0x57ffe602,0x8004fff8,0xfd00fffe,
    0x6fffa8df,0x17ffe400,0x002aaaa8,0x2a07fff4,0x3ee05fff,0x555504ff,
    0x20035555,0xaaaaaaaa,0x837fec01,0x7fec4ffa,0x89ff5002,0xf8802ffd,
    0x4fffffff,0x01ffffc0,0x027fffc0,0x80bfff20,0xff15fff9,0xffb0009f,
    0x9fff509f,0x002fffd8,0x6417ffe4,0x4001ffff,0xffc86fff,0xfffd302f,
    0xfffff10d,0xf1009fff,0x9fffffff,0x506ffc80,0x2ffdc9ff,0x5c9ff500,
    0xff1005ff,0x09ffffff,0x003fffcc,0x2effffe8,0x05fff900,0xf8afffcc,
    0xf98004ff,0xff50dfff,0xffff81ff,0x7ffe4000,0x17fffdc2,0x13fff200,
    0x2e03fff6,0x887fffff,0xffffffff,0xffff8804,0x4404ffff,0x35510099,
    0x8003ffe2,0xfff11aa8,0x66664001,0x2a04fffd,0x50006fff,0x7dffffff,
    0x17ffe401,0x22bfff30,0xefffffff,0x7ffe401c,0x2ffffeff,0x6dffffc4,
    0xc82dffff,0x3fea2fff,0x2aa202ff,0x04fffeca,0xfd88fffd,0x907fffff,
    0x9fffb999,0x37333200,0x00004fff,0x0005ffb0,0x0005ffb0,0x204fffb8,
    0x0005fffb,0x3ffffff2,0xffc80dff,0x3ffe602f,0xffffff15,0x401dffff,
    0xfffffffc,0xffff981e,0xffffffff,0x4bfff20e,0x403ffff8,0xfffffff9,
    0x99bffe03,0xffeeffff,0xfffb800f,0xfff70004,0x1fffa809,0x005ffa80,
    0x005ffa80,0x04fffb80,0x0017fff2,0xffffff70,0xffc87fff,0x3ffe602f,
    0xffffff15,0x01dfffff,0x7fffffec,0xffffa83f,0xffffffff,0x2bfff25f,
    0x804fffe8,0xfffffff9,0x7ffc40df,0x1bffff96,0x7003fffb,0x20009fff,
    0x5c04fffb,0xff8806ff,0x7c40000f,0xb80000ff,0x3f204fff,0x880005ff,
    0xffffffeb,0x0bfff22f,0x265fff98,0xfeb99999,0xfe884fff,0xffffffff,
    0x77fffd45,0xfffda99b,0xb5fff92f,0x2200bfff,0xfffeeccc,0x77ffc1ff,
    0x363ffffe,0xfb800fff,0xf70004ff,0xffd809ff,0x23ffd803,0x36001999,
    0x037513ff,0x09fff700,0x0037ffdc,0x3fff2600,0x3fff27ff,0x17ffe602,
    0x46fffd80,0xa8cfffe8,0x2a4ffffe,0x3f606fff,0xdfff94ff,0x0000dfff,
    0xe8dfffd3,0x0effffff,0xb803fff4,0x70004fff,0xff809fff,0x2ffd400f,
    0x200ffff5,0xfff95ffa,0x7dc005ff,0x3fea04ff,0x1000007f,0x323ffffd,
    0x3e602fff,0x3e6005ff,0x7ffec7ff,0x0ffffd83,0x540dfff3,0xfff95fff,
    0x0009ffff,0x87fffe20,0x04fffffe,0x2e00ffff,0x70004fff,0x6c409fff,
    0x7ffc404d,0x0fffff10,0x321fff10,0x006ffeef,0x9813ffee,0x0002ffff,
    0x5ffff300,0xa80fffee,0x7c003fff,0xfff10fff,0x97fff40d,0x2607fff8,
    0xfff96fff,0x007ffff7,0x8bfff600,0x302ffffd,0x2e00dfff,0x70004fff,
    0x00009fff,0xefd8fff6,0xffd807fd,0x1ffe8623,0x09fff700,0x006ffff8,
    0x3fffe000,0x409fff51,0x2002fffb,0x3e66fff9,0x3fee04ff,0x07fffe3f,
    0xfca7ffd4,0xffffaaff,0xffe80001,0x17ffee1f,0x003fffc8,0x0009fff7,
    0x0013ffee,0xfa9bfea0,0x5407fc9f,0x3fe606ff,0x3ffee007,0x7fffd404,
    0x0442600d,0x33fffd40,0x7f40ffff,0x3f6001ff,0x3ffe65ff,0x87fff207,
    0xfb04fffd,0x3fff27ff,0x01ffffb2,0x3fffd400,0x20bfffe2,0x2007fff8,
    0x0004fffb,0x0009fff7,0xf11fff88,0x881ff29f,0xff301fff,0x7fdc007f,
    0xfffe804f,0xeca9bcff,0x357df50f,0xffff9333,0x1dfffe8b,0x997fff62,
    0x7ff54c1a,0x7fffc1ff,0x3fffd40c,0x42ffffe6,0x90ffffc8,0x3fa25fff,
    0x813306ff,0x5ffffc98,0x22efffc8,0x003fffe9,0x0013ffee,0x0027ffdc,
    0xfb8fff20,0x2efffeef,0xf503ffc8,0xfb8005ff,0xff9804ff,0xffffffff,
    0xffff50ff,0xffffffff,0xffffa81f,0xffffffff,0x3ffffee0,0x82ffffff,
    0xeefffffc,0xd83ffffe,0xffffffff,0x3ff22fff,0x3fffe62f,0xfffffd85,
    0x0effffff,0xffffff88,0x00efffff,0x013ffee0,0x027ffdc0,0xb8dff300,
    0xffffffff,0xc837fcc2,0x81aacfff,0xfffffffc,0x81ffffff,0xffffffe8,
    0xff50ffff,0xffffffff,0x3ff203ff,0xffffffff,0x7ffffdc2,0x202fffff,
    0xfffffffe,0xfb104fff,0xffffffff,0x42fffc87,0x6c3ffffb,0xffffffff,
    0x3a200dff,0xffffffff,0x3fff200d,0xffffffff,0x7ffe41ff,0xffffffff,
    0xffd001ff,0xdaaaa983,0x7ff40bff,0xffffff01,0xffff909f,0xffffffff,
    0x7fedc03f,0x262dffff,0xfffffffd,0xfe9802ef,0x80cfffff,0xfffffffb,
    0xffd5002e,0x003bffff,0xbfffffd7,0x05fff901,0x6c3ffffb,0xffffffff,
    0x3ff2001c,0xc803efff,0xffffffff,0x641fffff,0xffffffff,0x801fffff,
    0xf9004ffc,0x409ff90f,0x4fffffff,0xffffffc8,0x1fffffff,0x00133100,
    0x00335331,0x4004d440,0x0009a998,0x0066a620,0x20054c40,0xe882fffc,
    0x2660ffff,0x800009a9,0x7e400198,0xffffffff,0x7e41ffff,0xffffffff,
    0x0001ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x100002a6,0x4c400035,0xeee8800a,
    0x203eeeee,0x0000eeec,0x00000000,0x009a9800,0x54c00000,0x0001abcc,
    0x00000000,0x40000000,0x7001aaa9,0x09dffffd,0x02ffea80,0xffffeb80,
    0xfff101df,0x409fffff,0x4000fffd,0xfffffff9,0x3e200bce,0x7fc02fff,
    0x3f6201ff,0x743effff,0x40000fff,0xfffffffb,0xfffd002f,0x25ffffff,
    0xfffffffd,0x6fffffff,0x3ffffffe,0xf94fffff,0x9dffffff,0xfffb8017,
    0xb102efff,0xffffffff,0x3ff2001d,0x3f62002f,0xffffffff,0xfffff882,
    0x3f604fff,0x7cc000ff,0xffffffff,0x3fee03ff,0x3ffee06f,0x3fffea05,
    0xd0efffff,0x20001fff,0xffffffe9,0xf9802fff,0xffffffff,0xfffffb2f,
    0xffffffff,0x7ffffcdf,0x4fffffff,0xfffffff9,0x6407ffff,0xffffffff,
    0x5f7ff440,0x1fffdb99,0x02fffc80,0xffffff10,0x07ffffff,0xfff93333,
    0x07ffec09,0x3fffe600,0xffffffff,0x0ffffa06,0x403fffe2,0xeffffff8,
    0xffd0ffff,0x4400135f,0xeefffffe,0xfc802fff,0xffffffff,0x4009fb2f,
    0x3fffe6fb,0xffffffff,0xffffff94,0x0dffffff,0xffe882aa,0x7027fec3,
    0xff900dff,0x3ff2005f,0xffb99cff,0xffb807ff,0x3fff604f,0x7ffcc000,
    0xfffcb99d,0xfff503ff,0x07fff90f,0x10efffec,0x7fff43f9,0x03eeffff,
    0x20fffff2,0xfff801b8,0x9999fffe,0x3ff29fb0,0xf37dc0ce,0x33333fff,
    0x3ff21333,0xffcb99bf,0x2e003fff,0x13fe64ff,0xa85ff704,0xcfffdaaa,
    0x221aaaaa,0xf882ffff,0x7dc03fff,0x3ff604ff,0x7fcc000f,0xfffe884f,
    0x7fffb00f,0x2037ffc4,0x8101fffe,0xfffffffe,0x7cc2ffff,0x40002fff,
    0x7ffbfffa,0x7fe53f60,0x9bee4fff,0x32007fff,0xfe882fff,0xcb880fff,
    0x364ffeed,0x3ff660ff,0xff8dff1f,0xffffffff,0x3f25ffff,0x3fee04ff,
    0x7ffdc06f,0x43fff604,0x980accb9,0xff104fff,0x3fe209ff,0x5fff90ff,
    0x006fff80,0x3ffffffa,0x21ffffff,0x0006fffa,0xffbcffd8,0x54d3f607,
    0xf74fffdb,0x003fffcd,0x2205fff9,0x7d44ffff,0x4fffffff,0x7fdcbff1,
    0x3ff91fff,0x7ffffffc,0x5fffffff,0x8807fffa,0x2e00ffff,0x3f604fff,
    0xffffc8ff,0x7ffcc1ff,0x17fff204,0xf8cfffc8,0x7fcc05ff,0x3ffa004f,
    0xffc999af,0xfff90fff,0xff880009,0x207ffb9f,0xfff304fd,0x7fff9bee,
    0x0bfff200,0x225fffc8,0xfc99cfff,0x225ff34f,0x30dcefff,0x666647ff,
    0xcccdfffe,0x1fffe3cc,0x807fffa0,0x3604fffb,0xffffdfff,0x3e60ffff,
    0x3fe604ff,0x3ffe207f,0x401fffdf,0x2004fff9,0xf980fffe,0xfffb2fff,
    0xffb80005,0x6c0fff76,0x27ff204f,0x1fffe6fb,0x02fffc80,0xfa9fffe6,
    0xba7fdc7f,0x0dff71ff,0xfc813fe2,0x7fc402ff,0xfffe807f,0x13ffee02,
    0xffffffd8,0x53ffffee,0x555dfff9,0x03fffc41,0x3fffffee,0x4fff9804,
    0x03fffa00,0xfda7fff4,0x740003ff,0x5fff73ff,0x027ec555,0x4df71ffd,
    0xaaaaffff,0xff90aaaa,0x7ffc405f,0x26fffea7,0xff94fffd,0xf80fff61,
    0x3fff205f,0x37ffcc02,0x01fffec0,0x6c09fff7,0x2e1effff,0xffff5fff,
    0xf85fffff,0x7f401fff,0x3200ffff,0xeeffffee,0x7f40eeee,0xfff700ff,
    0x013fff2b,0x70fff980,0x4fffffff,0x3aeaa4fd,0x7cdf75ff,0xffffffff,
    0xfff91fff,0x1ffff805,0xdfffffd1,0xe9ff69ff,0x1bfa03ff,0x402fffc8,
    0xc806fffa,0x3ee03fff,0x3ff604ff,0x7ffcc1ff,0xfffffff6,0xffff85ff,
    0x7fffcc01,0x7fffec03,0xffffffff,0x807fff40,0xff74fffb,0x320001ff,
    0x3ffee6ff,0x93f67fff,0x70dffffd,0x7ffffcdf,0x1fffffff,0xf805fff9,
    0x3f661fff,0x327db3ef,0x09ffb0ff,0xff902ffc,0xfff9805f,0x2fffd806,
    0x813ffee0,0xff02fffd,0x3fffbaff,0x3e22eeef,0x554c0fff,0xabffffaa,
    0x7ffec1aa,0xffffffff,0x07fff40f,0xf33fffd8,0x2000bfff,0x3fee3fff,
    0x3f66eeef,0x70afbf64,0x77fffcdf,0x1eeeeeee,0x4405fff9,0x0000ffff,
    0x3ff23ff7,0x04ff880e,0x100bfff2,0xfb00ffff,0x7fdc03ff,0x3fff604f,
    0x4cffff00,0x3e604fff,0xfffc87ff,0xffffffff,0x9fff305f,0x07fff400,
    0xb0ffffd4,0x335dffff,0xff507b73,0x03ffdc1f,0x82fe49fb,0x1fffe6fb,
    0x02fffc80,0x989fffe6,0x99999999,0xf32ffa89,0x263dbfff,0x3ff203ff,
    0x7ffc402f,0x0fffe807,0x813ffee0,0xff00fffd,0x27ffccff,0x90dfff50,
    0xffffffff,0x260bffff,0x3a004fff,0xca99afff,0x7cc4ffff,0xffffffff,
    0xeffd83ff,0x07ffc999,0x03eb93f6,0x3fffcdf7,0x05fff900,0xf737ffd4,
    0xffffffff,0x64bff39f,0xf91fffff,0x7ffe403f,0x1ffff802,0x01fffe20,
    0x6c09fff7,0xfff00fff,0x027ffccf,0x3109fffb,0x3fffd333,0x3e601333,
    0x3fa004ff,0xffffffff,0xfff306ff,0x7fffffff,0xffffff88,0x3607ffff,
    0xdf700c4f,0x9003fffc,0x7ec05fff,0x3ffee4ff,0x4fffffff,0x7f5c1ffd,
    0x80dff0ff,0xd803fffc,0x3ee04fff,0x7fdc05ff,0x3fff604f,0x4cffff00,
    0xff304fff,0x3fa003ff,0x3fe6007f,0x3ffa004f,0xffffffff,0x3fae200c,
    0x41dfffff,0xfffffffb,0x3f607fff,0x7dc1bfa4,0x801fffe6,0xf302fffc,
    0x664c3fff,0xcccccccc,0x900bff52,0xffb805ff,0xfff9805f,0xffff982f,
    0x27ffdc01,0x201fffb0,0x3fe67fff,0xffffa84f,0xf9999504,0x59999fff,
    0x013ffe60,0xffffffe8,0x26001cef,0x3a00bfff,0xeeeeeeff,0x53f607ff,
    0xfb81fff8,0x801fffe6,0xfa82fffc,0x00004fff,0x7e409ffd,0xfffa806f,
    0x7ff4082f,0xffbaacff,0xffb805ff,0x3fff604f,0x4cffff00,0xdcaaefff,
    0x900fffff,0xffffffff,0xaa8bffff,0xaaadfffb,0xfd0aaaaa,0x000135ff,
    0x2603ffdc,0xffb81fff,0xfb09999f,0xfb82fec9,0x2abfffe6,0x91aaaaaa,
    0xb9559fff,0x001fffff,0x3bffe600,0xeffdb99b,0xffff8801,0x545feeff,
    0xffffffff,0xb800ffff,0x3f604fff,0xffff00ff,0x7fffffcc,0x01efffff,
    0x3ffbbbae,0x44eeeeff,0xfffffffd,0x1fffffff,0x0001fffd,0xc809ff90,
    0xfff706ff,0x3f67ffff,0x9999999c,0x3e6fb999,0xffffffff,0xfff94fff,
    0xffffffff,0x8800003d,0xfffffffe,0x3ee000ef,0x5fffffff,0xffffff98,
    0xfc80efff,0xffffffff,0xffb1ffff,0x9fffe01f,0xfffffff9,0xd0004fff,
    0xffb00fff,0xffffffff,0x3fa3ffff,0xe80000ff,0x3fe201ff,0xffff703f,
    0x3ff67fff,0xffffffff,0x3fe6ffff,0xffffffff,0xffff94ff,0x09ffffff,
    0xfec80000,0x0003efff,0xffffffd5,0x3ffb6209,0x3f204eff,0xffffffff,
    0xffb1ffff,0x9fffe01f,0xdefffff9,0x3a0000ac,0xffd807ff,0xffffffff,
    0xffd1ffff,0xdd00001f,0x0fffb80b,0xffffff70,0x3ffff67f,0xffffffff,
    0x3fffe6ff,0xffffffff,0xdfffff94,0x0000159b,0x00019800,0x006aa620,
    0xc8009988,0xffffffff,0xfb1fffff,0x3ffe01ff,0x00000007,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00002aa6,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfff00000,0x3bdfffff,0x3fff6200,0x74003fff,0xf807ffff,
    0xefffffff,0xffff00be,0xffffffff,0x3ffffe65,0xffffffff,0x07fff72f,
    0xfca7ffd4,0xffffffff,0x3fe05fff,0x21ffe20f,0xfd00ffff,0x7fff4bff,
    0x3fffa001,0x02ceffff,0x409ffff7,0x3ffe5ffe,0xffffffff,0xfff92fff,
    0x9fff700d,0x3ffffffe,0x200effff,0xfffffffb,0xf8800eff,0x401fffff,
    0xffffffff,0xff83ffff,0xffffffff,0xffff32ff,0xffffffff,0x3ffee5ff,
    0x53ffea03,0xfffffffc,0x105fffff,0x7ff98fff,0xc80ffff8,0x3fa0ffff,
    0x3fa001ff,0xffffffff,0x7ffdc2ef,0xbffd00ff,0x7ffffffc,0x2fffffff,
    0x403ffff1,0xff0ffff8,0xffffffff,0x3fea0dff,0xffffffff,0xfffb805f,
    0x7fc04fff,0xffffffff,0x7ffc2fff,0xffffffff,0xfffff32f,0xffffffff,
    0x0fffee5f,0xf94fffa8,0xffffffff,0x3e20bfff,0x437fcc7f,0x7cc0ffff,
    0x7ff42fff,0x3ffa001f,0xffffffff,0x3ffee1ff,0xbffd03ff,0x7ffffffc,
    0x2fffffff,0xc817fff2,0x3ffe4fff,0xffeca99f,0x7ffc42ff,0xfff710cf,
    0xfffd803f,0x7fc06fff,0x3fee627f,0x7fffc5ff,0x99999999,0xdddddd30,
    0xffffdddd,0x80fffee3,0x3314fffa,0x33ffff33,0x3fe60133,0x7c2ffd46,
    0x7ff40fff,0x1fffe84f,0x2bfffa00,0xffffca99,0xfffff70e,0xc97ffa0f,
    0xcccccccc,0x220fffff,0xf881ffff,0x3ffe0fff,0x89ffff07,0xf705fffa,
    0xfff80bff,0x200fffed,0xff507fff,0x07fff8ff,0xfffc8000,0x80fffee5,
    0x3e04fffa,0xf5000fff,0x84ffb8bf,0x3f20ffff,0xffe80eff,0x3ffa001f,
    0xffff980f,0xffffff72,0x00bffd07,0x417fffd4,0xfc85fffc,0x3fffc4ff,
    0x646fffc8,0xff102fff,0x7ffd40ff,0x203fffcb,0xff107fff,0x07fff8ff,
    0x7ffc4000,0x0fffee2f,0x204fffa8,0x2e00ffff,0xffffffff,0x3fffffff,
    0x3e61ffff,0xffd01fff,0x7ff4003f,0x9fff900f,0x3fffffee,0x005ffe86,
    0x20bfffd1,0x221ffff8,0x7fc0ffff,0xbfff507f,0x202fffd8,0xf900fffe,
    0xbfff51ff,0x983fffc0,0x7ffc6fff,0x7dc00007,0x7ffdc6ff,0x13ffea03,
    0x200ffff8,0xfffffffb,0xffffffff,0x3a1ffff3,0x3fa03fff,0x3fa001ff,
    0xfff700ff,0x3f3ffeeb,0x2fff42ff,0x0ffffc80,0xc93fff20,0xfff84fff,
    0x89fff907,0x3a04fffd,0xffd01fff,0x81fffe2d,0xffb07fff,0x07fff87f,
    0x7fffc000,0x01fffdc2,0x7c09fff5,0x3ee00fff,0xffffffff,0xf3ffffff,
    0xfff71fff,0x1fffe80d,0x03fffa00,0xfba7ffdc,0x46fff9ff,0xfa805ffe,
    0x7c402fff,0xffff0fff,0x88ffff01,0x5c0ffffc,0x3f607fff,0xfff982ff,
    0x40bfff64,0xbaaaffff,0xff85fffe,0x2e00007f,0xffb86fff,0xccccccef,
    0x3e04fffd,0xfb000fff,0x81ffe85f,0xfff9ffff,0x7fff400f,0x3fffa001,
    0x27fffb00,0xffd8fffb,0x017ffa1f,0x00bfffd1,0x3eb3fff2,0xffff04ff,
    0xffffffdd,0xdffff505,0xfffd7339,0x5fff705f,0xf827ffdc,0xffffffff,
    0xffff03ff,0xbddddddd,0x17fffc00,0x7fffffdc,0xffffffff,0x03fffe04,
    0x3e0fff40,0xffff80ff,0xe802fffe,0x3a001fff,0xff980fff,0x1fff71ff,
    0x7f4bfff3,0x7ffe405f,0xfff1000f,0x201fffdf,0xffffffff,0x3f600cff,
    0xffffffff,0xfd82ffff,0x3fffcc7f,0xfffffff8,0xf84fffff,0xffffffff,
    0xff7007ff,0x3ffee0df,0xffffffff,0x3fe04fff,0xfff000ff,0xf83ffc41,
    0x2fffffff,0x01fffe80,0x443fffa0,0x25ffffb9,0xffb0fffb,0x817ffa1f,
    0x002ffffa,0x7fffffe4,0x3ffffe04,0x401effff,0xffffffe8,0x41ffffff,
    0xff85fff8,0xffff81ff,0xfffffdcc,0x7ffffc6f,0x07ffffff,0x207fffd0,
    0xeeeefffb,0x4fffeeee,0x003fffe0,0xff31ffe2,0x33fffe0f,0x7400ffff,
    0x3a001fff,0xffffffff,0x3ee0ffff,0x9fff50ff,0x74417ffa,0x88004fff,
    0x00ffffff,0x3ae7fffe,0xa800ffff,0xeadeffed,0x7fd40fff,0x3fffc83f,
    0xc887fff8,0x3fe3ffff,0xaaaaaaff,0xfffa802a,0x0fffee07,0x204fffa8,
    0x5100ffff,0x555fff75,0x4355fff9,0xffe8ffff,0x7fff405f,0x3fffa001,
    0xdfffffff,0xd07ffdc0,0xbffd1fff,0x03ffff20,0x7fffe400,0x23fffc04,
    0x0005fffe,0x643fffc4,0xaaaacfff,0xff86fffc,0x3fffa07f,0x001fffe5,
    0x80ffffa0,0x2a03fffb,0x3fe04fff,0xfff500ff,0xffffffff,0x7fc9ffff,
    0xffff98ff,0x07fffa02,0xfffffe80,0xf702deff,0x7ffdc1ff,0xf985ffeb,
    0x20002fff,0x400ffff8,0x7fc47fff,0x2a0001ff,0xfff85fff,0xffffffff,
    0x7ffc0fff,0x9bffee07,0x40007fff,0x5c07fffa,0x3ea03fff,0x3ffe04ff,
    0xffff500f,0xffffffff,0x7ffc9fff,0x1ffff90f,0x007fffa0,0x19afffe8,
    0x81fff700,0x5ffeefff,0x027fff44,0x03fffc00,0x7ec3fffc,0x3a0005ff,
    0x7fcc2fff,0xffffffff,0x7fc2ffff,0x3fff207f,0x001fffe5,0x807fffd0,
    0x2a03fffb,0x3fe04fff,0xd99300ff,0xfd999dff,0x7fc599df,0xffff10ff,
    0x07fffa0b,0x00fffe80,0x207ffdc0,0x5ffffffc,0x0077ffe4,0x03fffc00,
    0x7cc3fffc,0x4c001fff,0xfc86fffd,0xeeeeeeff,0x7c5fffee,0xfff107ff,
    0x03fffc7f,0x1ffff500,0x03fffb80,0xf813ffea,0xfc800fff,0x817fec3f,
    0x3ea0ffff,0xffe83fff,0x3ffa001f,0x7fdc000f,0x7fffc40f,0x3ffe65ff,
    0xff00001f,0xffff00ff,0x213fffa0,0xfdcbaaa9,0xfe81ffff,0x7ffcc07f,
    0x4cffffc7,0xfffffba9,0x001fffe1,0x804fffe8,0x2a03fffb,0x33314fff,
    0x333ffff3,0x87ffb013,0xfff02ffe,0xffffd81f,0x55ffff40,0x22aaaaaa,
    0x4000fffe,0xfd80fffb,0x3fa5ffff,0xcccccfff,0xf801cccc,0xfff807ff,
    0x1ffff507,0xffffffc8,0xf882ffff,0xfff805ff,0x3ffffe1f,0xffffffff,
    0x003fffc3,0x00ffffa8,0x203fffb8,0xff94fffa,0xffffffff,0x5ffd0bff,
    0xff01fff8,0xfff881ff,0x7ffff46f,0xffffffff,0x001fffd0,0x980fffb8,
    0xf55fffff,0xffffffff,0x007fffff,0xff00ffff,0x7fffc0ff,0x7ffffe44,
    0xf700dfff,0xffb007ff,0x7ffffc9f,0x3fffffff,0x0007fff8,0x2009fffd,
    0x2a03fffb,0xfff94fff,0xffffffff,0x83ffd0bf,0xfff00fff,0xffff701f,
    0x7fffff47,0x0fffffff,0x8001fffd,0xfb00fffb,0x3feabfff,0xffffffff,
    0xf803ffff,0xfff807ff,0x3fffee07,0x3bbfff20,0x7fec00bd,0xfffb800f,
    0x3fffffe6,0x3e02ceef,0xf98007ff,0xf7000fff,0x7fd407ff,0xfffff94f,
    0xbfffffff,0x7c41fff0,0x3fffe07f,0x3ffffd00,0x3ffffffa,0xd0ffffff,
    0xb8001fff,0xff500fff,0x3ffeabff,0xffffffff,0xff803fff,0x0000007f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x09988000,0x10000000,0x00000355,
    0x88000000,0x00d8801c,0x000bdd90,0x0e403620,0xcca98000,0xdcb881ab,
    0x0166542c,0x03ffff88,0xb83ffff2,0x3f6007ff,0x09fffd4f,0x80ffff30,
    0x206fffc8,0xfffffffd,0x6fffffff,0xfffffd98,0xff70003f,0x3e603fff,
    0xffa82fff,0x37fdc2ff,0x0067fec0,0x0001bff6,0xfb03bfe6,0x7dc0005f,
    0x2fffffff,0x3ffffff2,0xeffffeae,0x7fffc800,0x87ffff10,0xb000fffa,
    0x3ffee7ff,0x4fffb807,0xfffff910,0x7fffec0d,0xffffffff,0x7ffe46ff,
    0x0effffff,0x3fffe200,0xfff501ff,0xffff90bf,0x04fffe87,0x003fffea,
    0x8000dffb,0x325ffffa,0x4003ffff,0xffffffe9,0x3ff62fff,0xffffffff,
    0x8805ffff,0xfc83ffff,0xfffa86ff,0x27ffd000,0x401ffff9,0xfb82fffe,
    0x06ffffff,0x3ffffff6,0xffffffff,0x3fffff66,0x05ffffff,0x3fffff60,
    0xffff501f,0x7fffff0f,0xaaffff98,0xffffabcc,0x06ffd801,0x3fffee00,
    0x3fff620e,0xffd1004f,0xfffddfff,0x5ccdf6c5,0xfdaeffff,0xffb800ff,
    0x3ffe20ff,0x0fff982f,0x747ffd00,0x3e203fff,0x7ffc0fff,0x06ffffff,
    0x3e666662,0x99999fff,0x26fffe20,0x0ffffe98,0xfffffa80,0xfff501ff,
    0x7ffcc5ff,0xfffb83ff,0xffffffff,0xdffb003f,0x3fff6000,0x3fff205f,
    0x7fe400df,0x21b883ff,0x41fffb01,0xfd002ffe,0x7ffe47ff,0x01fff306,
    0xfc8bffa0,0x3fea05ff,0xdfffc85f,0x8006fffa,0xa800ffff,0xffff880d,
    0xcfffe802,0xff701fff,0x7fe49fff,0xffb04fff,0xffffffff,0x37fec00b,
    0x3fffa200,0xfffa803f,0xfff300ef,0xf900005f,0x04ffc8df,0x11ffff50,
    0x2203ffff,0xff001fff,0x3fffd45f,0x307fff90,0x3ffe23df,0xffff8006,
    0xffd80000,0x7ffdc03f,0x701fffba,0x74fff9ff,0x504ffcff,0xffb9ffff,
    0xfff50bff,0xffffffff,0xfd307fff,0x4c005fff,0xa81fffff,0x00006fff,
    0xffb8bff7,0x3fffa004,0x205fffcc,0x3221fff8,0x20fffc2c,0xff02ffff,
    0xf10a01ff,0xff000dff,0xb00001ff,0x7c407fff,0x3fff75ff,0x3fafff20,
    0xfbdff99f,0x1fff905f,0x207fff44,0xfffffffa,0x3fffffff,0x0f7fffd4,
    0x7fff4400,0x27ffe43f,0xeedca800,0xfeeeefff,0x3fe6005f,0x01ffffff,
    0xff50fffc,0x6c1fff8b,0xff984fff,0x3fe2006f,0xfff8006f,0xfe80000f,
    0x3ff602ff,0x03fff70f,0x3ff2fff2,0xffbaffbb,0x707ffd05,0xffa85fff,
    0xffffffff,0x3ee3ffff,0x0000dfff,0x93ffff62,0x4002fffd,0xffffffe8,
    0xffffffff,0x7ffec005,0xff804fff,0x83fff62f,0x7fd40fff,0x3fffb86f,
    0x1bffe200,0x03fffe00,0xffff3000,0x8fffea01,0xf901fffb,0xfdbff37f,
    0x10bff71f,0xff305fff,0x3ff6005f,0x7fff4406,0xf980003f,0xffb0ffff,
    0xffe8007f,0xceffecdf,0x002ccccc,0x7fffffcc,0x22fff800,0x3fe2ffff,
    0x7fffc40f,0x00fffec0,0x00dfff10,0x001ffff0,0x04fffe80,0xfb8dfff1,
    0x5ffb01ff,0x5d7ffffe,0xfff986ff,0x03fff881,0x100dffb0,0x009ffffb,
    0x77fffd40,0x013fff20,0x2e1fffa8,0x400004ff,0x006fffff,0x3fea5ffd,
    0x0fff15ff,0xf88ffffa,0x7c4007ff,0xff8006ff,0x320000ff,0xf900ffff,
    0xfffb83ff,0x365ffb01,0xff52ffff,0x07fff30d,0x2001fff3,0x32006ffd,
    0x000dffff,0x42ffffe4,0x000ffffb,0xffb8bff7,0x3ee00005,0x803fffff,
    0xfff92ffe,0x41ffe2ff,0x3ea5fffb,0x7c4004ff,0xff8006ff,0xf70000ff,
    0x3e603fff,0xfffb84ff,0x2a5ffd01,0xff50ffff,0x0bfff10f,0x6c00dff7,
    0x7dc006ff,0x8800efff,0x304ffffd,0x200bffff,0x7fec5ffc,0xf880000f,
    0x0fffffff,0xff9ffec0,0xff8affed,0x4ffff307,0x4002fffc,0x8006fff8,
    0x8000ffff,0x203ffffa,0xff706ffe,0x4bffa03f,0x3ea5fff8,0x9fffd07f,
    0x013ffe61,0x8006ffd8,0x01fffffa,0x0bffffa2,0x5dffffb0,0x327b7333,
    0x3ffea7ff,0x6400084f,0xfffedfff,0x4dffec04,0x9cffcbff,0x3ffa06ff,
    0x00fffd1f,0x00dfff10,0x001ffff0,0x03ffffa8,0x3bbfffea,0xefffeeee,
    0x8bffa2ee,0x3fea3ffe,0xfffff507,0x007fffff,0x8001e654,0x82ffffe9,
    0x01fffff9,0xffffff88,0xf53fffff,0xffffbdff,0x1fd99dff,0x3fffe600,
    0x01ffffa9,0x3ff33ff6,0xff9fff99,0x33fff206,0x8005fff8,0x8006fff8,
    0x2000ffff,0x403ffffa,0xfffffffa,0xffffffff,0xb87ffe3f,0x3ffe60ee,
    0xfffffd80,0x00efffff,0x74400000,0x3ea4ffff,0x2000efff,0xffffffe9,
    0x3ffe3fff,0xffe8efff,0x000fffff,0x7f4bfffb,0x3ff205ff,0x3ffe6fec,
    0x3e605ffb,0x2fffbeff,0x6fff8800,0x0ffff800,0x7ffff500,0xfffff500,
    0xffffffff,0x7ffc7fff,0x0fff9801,0x7fffffe4,0x85ffffff,0x99999998,
    0x00199999,0xf317ffec,0x20001bff,0xffffffeb,0x3fffa61c,0xffffd10d,
    0xff5001bf,0x7ffd43ff,0xfbff902f,0x7f7fe49f,0x7fffc05f,0x8000fffe,
    0x8006fff8,0xa800ffff,0x3002ffff,0xdddddddd,0xdddffffd,0x400fffc5,
    0x3ea0fff9,0x89988fff,0x743fffe8,0xffffffff,0x8007ffff,0x04f982fb,
    0x02662000,0x2a201530,0x3fa0009a,0xfffe85ff,0xfffff706,0x7ffffd43,
    0x7fffec05,0xaa9806ff,0xaefffbaa,0x7fc00aaa,0x7fd400ff,0xccccceff,
    0x64001ccc,0xff881fff,0xfff9801f,0x05ffff11,0xd0ffffcc,0xffffffff,
    0x000fffff,0x00000802,0x00000000,0x81ffffb8,0xb83ffffa,0xff87ffff,
    0x7d404fff,0x803fffff,0xfffffffc,0x03ffffff,0x2007fffc,0xffffffff,
    0x02ffffff,0x40fffe40,0x8800fff8,0x3fa61fff,0x41efc805,0xfffffffe,
    0x007fffff,0x00000000,0x80000000,0x205ffff8,0x540ffffe,0xfd84ffff,
    0x7c404fff,0x801fffff,0xfffffffc,0x03ffffff,0x2007fffc,0xffffffff,
    0x02ffffff,0x40fffe40,0x8800fff9,0x00a82fff,0x00000050,0x00000000,
    0x00000000,0x01ffffc8,0x517fffe6,0xf505ffff,0xfb007fff,0x3200dfff,
    0xffffffff,0x403fffff,0x7c00ffff,0xffffffff,0x002fffff,0x4c0fffe4,
    0xf8800fff,0x000002ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x26000000,0x500abcca,0x55540555,0x4002a802,0xaccccba8,0xcdcb9800,
    0x54400acc,0x5300abcc,0x55100555,0x50d55435,0x2aa05999,0xcb839912,
    0x5000000b,0x54c00555,0x5555512a,0x35555555,0x100d5554,0x2a615555,
    0x2b33261a,0x00d4c400,0x7ffff4c0,0xffd83fff,0x0dfff00f,0xb006ffe8,
    0xffffffff,0xffd501bf,0x07ffffff,0x7fffffe4,0xffff983f,0x9fffec00,
    0xfe8bfff8,0x7c0dffff,0x4ffff8ef,0x403ffffb,0x1ceffec9,0x801fff60,
    0xfff56ffc,0xffffffff,0x7fffdc9f,0x4bfff901,0xfff94ffd,0xfd303fff,
    0x2007ffff,0xfffffffb,0x7fec6fff,0x0dfff00f,0x017fffd4,0x7ffffffc,
    0x7d45ffff,0xffffffff,0xfffe883f,0x85ffffff,0x2203fffe,0xff10ffff,
    0xfffffd9f,0xdeff8bff,0xffbfffff,0xff705fff,0x09ffffff,0x4003fff2,
    0xfff55ffd,0xffffffff,0x6fffd89f,0x20ffff98,0xfffddffd,0x2a0fffff,
    0xffffffff,0x7fffcc05,0xfffffdef,0x403fff63,0x3ea06fff,0xff802fff,
    0xffca9abd,0xffff13ff,0x7b75335b,0x37ffffb0,0xb85ffff7,0x3ee06fff,
    0x3ffe25ff,0xffddffff,0x3fffe0ff,0xcfffffbf,0xffd87ffd,0xdff9309c,
    0x003fff70,0x7fd53ffa,0xffffffff,0x7ffc43ff,0x3fffa24f,0x7ffffec2,
    0x3ffffeef,0xd77dfff1,0x7ec05fff,0x7fe40eff,0x1fffb0ff,0xd01bffe0,
    0x00a00dff,0x3ea9fff7,0x7cc007ff,0xfff985ff,0x07fffc46,0x221fffe8,
    0x20dfffff,0x3fe3fffd,0x9fffb1ff,0xfb83ffe6,0x9ceeedaf,0x7fd44fe9,
    0x7fff002f,0xbfffd100,0x47fffea0,0xfd84fffc,0x3ee1efff,0x1fff55ff,
    0xf304ffe8,0x3fa01fff,0x1fffb3ff,0x201bffe0,0x22000019,0xfff56fff,
    0x7fec001f,0x1fffb01f,0x883fffd8,0x7fc46fff,0x7fd40eff,0xc97ffe4f,
    0xfff30fff,0x7f4ffe21,0xffa8fffe,0xa8fffe21,0x3ffe24ee,0xefffd802,
    0x3bfff200,0xd80efffa,0x7cc1ffff,0x09ff96ff,0x3ee0bff9,0x3fea04ff,
    0x01fffb4f,0x0001bffe,0xb7ffc000,0x0bfffff9,0x206fff80,0x7cc2fffc,
    0xfffb86ff,0x07fffc43,0xff27ffcc,0x32ffe45f,0x9bea1fff,0x363ff0fe,
    0xd27ffc4f,0x3fe21fff,0x7ffdc00f,0x7ff4401f,0xb01fffff,0x3fe05fff,
    0x509ffb7f,0x3ff20dff,0x3ffe602f,0x201fffb6,0x55536fff,0x55555555,
    0x32605555,0xffffffee,0x3fffffa6,0xff880bdf,0xffffffff,0xfe83ffff,
    0x7fff41ff,0x03fffc40,0xf917ffc0,0x87ffccbf,0x263fa4fc,0xe8bf71ff,
    0xffff15ff,0x301ffe67,0x2007ffff,0x4ffffff9,0x403fff60,0xdff97fff,
    0x360bffb0,0x3e201fff,0x1fffb7ff,0x7edbffe0,0xffffffff,0x4c6fffff,
    0xfffffffe,0x3fa26fff,0x4fffffff,0x7fffffcc,0xffffffff,0x24fffb83,
    0xf885fff9,0xff8007ff,0x997ff22f,0x45fd0fff,0x262efffe,0xbb7fec7f,
    0xff55ffff,0x7fffc40d,0x7ffe4004,0x7ffec06f,0x2effff00,0x3fe61fff,
    0x5fffb03f,0xdb7ffc40,0xfff00fff,0x3fffff6d,0xffffffff,0x3fffe66f,
    0xfffeeeef,0xffffda86,0x3fe66fff,0xeeeeeeff,0xf882eeee,0x3fff27ff,
    0x07fff882,0x322fff80,0x3ffe65ff,0x6ff47fb0,0x91fe60ef,0x3fffafff,
    0x05ffb8ff,0x001bfffa,0x07fffffa,0xf00fffd8,0x3ffe2fff,0x06fffeef,
    0x980ffff2,0xfffb5fff,0x65bffe01,0xeeeeeeee,0x25eeeeee,0xf80dfffe,
    0x36e206ff,0xf12fffff,0xb0000bff,0x3ffe5fff,0x0ffff107,0x645fff00,
    0x3ffe65ff,0x47f49f90,0x717ee5fb,0xddff3fff,0x09ff97ff,0x003ffff2,
    0xffffff90,0x3fff601d,0x54ffff00,0xefffffff,0x17ffee01,0xfb3fffc8,
    0xfff703ff,0xff80000d,0x1bffe07f,0x27fffcc0,0x0000ffff,0xff5bfff5,
    0x3ffe209f,0x2fff8007,0xff997ff2,0x3a1ff50f,0xfd1ff88f,0xfcfffa87,
    0xfdeffbcf,0xffffa83f,0x7ffd4002,0xb05fffef,0x3fe01fff,0x7ffecc7f,
    0x7fcc00ce,0xfff881ff,0x87fffb1f,0x006ffffa,0x1fffe600,0x0037ffe4,
    0x7f49fff9,0xe80003ff,0x0fffdfff,0x00ffff10,0x7e45fff0,0x83ffe65f,
    0x361fd4fe,0x440ffbcf,0x99ffffff,0x42ffffff,0x004ffff9,0x4d7fffc4,
    0xfd82ffff,0xffff00ff,0x7ec00040,0xea88afff,0x3fee5fff,0xfffc89ef,
    0x775406ff,0x3ffff802,0x5bffff62,0xfff101ba,0x7fffd45f,0xb8035103,
    0x05ffffff,0x001fffe2,0xffc8bffe,0x983ffe65,0x3fee04ff,0xffffff02,
    0x0ffffff4,0x55ffffd1,0xd0355555,0x7fe49fff,0x7ffec0ff,0x22ffff00,
    0x99999999,0x3fe60099,0xffffffff,0x3ffe60ff,0xfeffffff,0x3ffe606f,
    0x7fff401f,0xfffffeff,0xbdfff76f,0x1fffffd9,0xefffffd8,0x404fffee,
    0x2ffffff8,0x01fffe20,0xfc8bffe0,0x03ffe65f,0x9559dff7,0x7f409ffd,
    0x3fee4fff,0x3fee0fff,0xffffffff,0x7ffe45ff,0x37fff40e,0x7c03fff6,
    0xffff77ff,0x09ffffff,0xffffffa8,0xfc81efff,0xcbffffff,0x3fea06ff,
    0x7fcc03ff,0xcdffffff,0xffff76ff,0x3fffffff,0xfffffb10,0x009fffff,
    0x80fffffb,0x8007fff8,0x3ff22fff,0x203ffe65,0xffffffe9,0x7ffec02f,
    0x3fffe62f,0x7ffffe47,0x5fffffff,0x20bfffea,0x364ffff9,0xfff00fff,
    0x3ffffeef,0x804fffff,0xefffffd8,0x7fffe404,0x40dff72e,0x801ffff9,
    0x2effffe9,0x3faadff7,0xcfffffff,0x7fff5400,0x802effff,0x404ffffa,
    0x8007fff8,0x3ff22fff,0x803ffe65,0x00acddba,0xe87fffc8,0x7fe46fff,
    0xffffffff,0xffff15ff,0x7fffe409,0x201fffb1,0x99937fff,0x59999999,
    0x00998800,0x0000d4c0,0x88005dd5,0x262000aa,0x00019aa9,0x00033553,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x5c000000,0xeb8003cc,0x00d8804e,0x10000164,0x000004c0,0x44008060,
    0x0002fffc,0x00000100,0x99999970,0x49999999,0xaaaaaaa8,0x32aaaaaa,
    0x7764bddd,0x8800002e,0x20000aba,0xffd80008,0x4ffb8006,0x806ffc40,
    0x7f5c2ffc,0xb882dfff,0x02fecc4f,0x33bffb6a,0x20efd400,0x7e440cf9,
    0xc802ffff,0xfd9102ef,0x74003bff,0x7ff406ff,0xffffffff,0x3ffea7ff,
    0xffffffff,0xdfff37ff,0xc817ffe4,0x17f620ef,0x13ffffe6,0xfb105554,
    0x7ec001df,0x2a19806f,0xfd0a24ff,0xfff70bff,0xfffffe8f,0x7ffe44ff,
    0x207fff21,0xffffffd8,0xfff100ef,0x137ff44d,0x5fffffff,0x1ffffc80,
    0x7fffffcc,0xffb803ff,0x3ffa02ff,0xffffffff,0x3ffea7ff,0xffffffff,
    0xbfff37ff,0x5417ffe4,0x3ff25fff,0x3fffe63f,0x7fc45fff,0x3ffff21f,
    0x1bff6006,0x7fd4ffa0,0x7cc1ff53,0x3fee5fff,0x66f740ff,0x220ffffd,
    0x3fa26ffe,0xffffb06f,0x3609ffff,0x3ff21fff,0x7f7fec1f,0x7ff402ff,
    0x3ffe25ff,0x1ffffedf,0x3ffffe20,0x9999700f,0x99999999,0x777774c9,
    0xffeeeeee,0x5c9fff17,0xffa81fff,0x93fff66f,0xfffffffc,0x1fff30df,
    0x07fffffc,0x406ffd80,0xffadfffb,0x4c4fffca,0xffcdffff,0xfd8081ff,
    0x7ffcc1ff,0x213ffea4,0xfff70ae8,0x47fff50d,0xb983fffa,0x402fffa8,
    0x2e7ffffd,0x3fa61fff,0x2fff205f,0x00004ffd,0x7ffb8000,0xffb93ffe,
    0x2ffe881f,0xff83ffe6,0xffffd34f,0xfe8dfffb,0xb000ffff,0xfd980dff,
    0xffffffff,0xfff982df,0x001fffff,0x320fffd1,0x3ff21fff,0xfffa801f,
    0x137ff445,0xf500bfff,0xff8805ff,0x9ffb0fff,0x260dff90,0x3fff16ff,
    0x80000000,0x3ffe7ffb,0x403ffea3,0x20a880a8,0x3a21fff8,0x3fffffff,
    0x42ffffdc,0xfeaaaaa9,0x2aaaaaff,0x7ffffe44,0x7fcc01df,0x5401ffff,
    0x01efffee,0xfe89bffa,0x7ff4406f,0x07ffe42f,0x5001fffb,0xf5005fff,
    0x1fff4fff,0xfe83ffd4,0x21bff22f,0x99999998,0x00199999,0x7fcfff70,
    0x03ffea3f,0x66644000,0x7fffec40,0x1bff904f,0xffffffb0,0xffffffff,
    0xffffd30d,0x3ff2005d,0x7dc00eff,0x202dffff,0x3f60fffc,0xffd100ff,
    0x4dffd0bf,0x5005fff8,0xf1005fff,0x2ffecbff,0x7d437fe4,0x1fffc46f,
    0x3ffffffa,0x07ffffff,0x74fff700,0x1ffe62ff,0x2a000000,0x40002cec,
    0xfffffffd,0x6fffffff,0x3fffffaa,0x3202efff,0x0dffffff,0x3ffb32a0,
    0xfffa85ff,0x40fffea3,0x505fffe8,0x7fd47fff,0xfffa802f,0x2fffa802,
    0xe887fff2,0x7ffc45ff,0x20fffb81,0xfffffffe,0x007fffff,0x4c433310,
    0x000ccc09,0x00000000,0x77777640,0xeeeeffff,0x9ffff95e,0xbffff9ff,
    0xffffff70,0x7c400bff,0x3fe20fff,0x17ffe25f,0x027fffcc,0xfd83fff6,
    0xb99880ff,0x8819bfff,0x7cc5fffb,0xfffdefff,0x02ffe41f,0x7ff4bffd,
    0xffffffff,0x000007ff,0x00000000,0x40000000,0x7c406ffd,0x8aff98ef,
    0x7fdc1ffd,0xffff98ff,0xffff1005,0xb07ffec1,0xff501fff,0x033337ff,
    0x7c4dfff1,0xfffe85ff,0x91ffffff,0x01dfffff,0xfffffff7,0x0fff887f,
    0x007ffe60,0x00000000,0x00000000,0xd8000000,0x24b806ff,0x712e3ffa,
    0x7cc3ffff,0x3ba65fff,0x6ffffdcd,0xfa8fffea,0xfff883ff,0x1fffffff,
    0x2a3fffb8,0x7ff43fff,0x1fffffff,0x805dfff9,0x1dffffd9,0x98009988,
    0x00000099,0x00000000,0x00000000,0x1bff6000,0x013fee00,0xf303fff9,
    0x7ffcc9ff,0x20efffff,0x7fe45fea,0xfffff106,0x203fffff,0x7fec5ffe,
    0x777776c4,0x5751eeee,0x00110003,0x00000000,0x00000000,0x00000000,
    0x3ff60000,0x5ffb8006,0x2601fc80,0x7fffc44f,0x02e02def,0x77440722,
    0xeeeeeeee,0x9103b301,0x00000001,0x00000000,0x00000000,0x00000000,
    0x80000000,0x88006ffd,0x00100099,0x00000001,0x00000000,0x770fbae0,
    0x77777777,0x77777777,0x00000001,0x00000000,0x00000000,0x00000000,
    0x0000dffb,0x00000000,0x37bbb620,0x76c40000,0x33100dee,0x41333333,
    0x3e4ffffb,0xffffffff,0xffffffff,0x0000000f,0x00000000,0x00000000,
    0x00000000,0x00009988,0x00000000,0x3fff6200,0xfd10000e,0x7d401dff,
    0x3fffffff,0xf9fffffe,0xffffffff,0xffffffff,0x0000000f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80000000,0x000efffb,0x027fff44,
    0x7fffffd4,0x3fffe3ff,0x999990ff,0x99999999,0x00199999,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3fe60000,0xfd1000ef,
    0x326005ff,0x2ccccccc,0x01bffff6,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x05777100,0x002eee60,0xffe88000,
    0x0000000e,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000066,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_bold_33_latin1_x[224]={ 0,6,3,0,1,0,0,6,4,3,2,1,3,4,
5,1,0,1,1,2,0,2,1,1,1,1,6,3,1,2,3,4,0,0,2,1,1,2,2,0,1,2,2,2,
3,0,1,0,2,0,2,1,1,1,0,0,0,0,1,4,1,4,1,0,0,1,2,2,1,1,0,1,2,2,
1,2,2,0,2,1,2,1,2,2,0,2,0,0,0,0,2,2,7,3,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,6,1,1,0,0,
7,1,0,0,3,1,1,4,1,0,3,1,3,3,0,2,1,5,6,3,3,2,0,0,0,2,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,2,2,0,0,
0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,2,0,
 };
static signed short stb__consolas_bold_33_latin1_y[224]={ 24,1,1,2,-1,0,1,1,-1,-1,1,7,17,13,
18,1,2,2,2,2,2,2,2,2,2,2,7,7,6,10,6,1,0,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,1,0,2,27,1,7,1,7,1,7,0,7,1,0,
0,1,1,7,7,7,7,7,7,7,2,7,7,7,7,7,7,0,-3,0,11,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,24,7,-1,2,3,2,
-3,0,0,2,2,8,13,13,0,1,0,4,0,0,1,7,1,11,24,1,2,8,1,1,0,7,-3,-3,-3,-4,
-4,-5,2,2,-3,-3,-3,-4,-3,-3,-3,-4,2,-4,-3,-3,-3,-4,-4,8,-1,-3,-3,-3,-4,-3,2,0,1,1,
1,0,0,-2,7,7,1,1,1,0,1,1,1,0,1,0,1,1,1,0,0,6,4,1,1,1,0,1,1,0,
 };
static unsigned short stb__consolas_bold_33_latin1_w[224]={ 0,6,12,18,16,19,19,6,11,11,14,16,10,11,
8,16,18,16,16,15,18,15,16,16,16,16,6,10,15,15,14,12,18,19,15,16,17,14,14,17,16,14,13,16,
14,18,16,18,15,19,16,16,16,16,19,18,19,18,16,10,16,9,16,19,12,15,15,14,15,16,17,17,14,15,
14,16,15,18,14,16,15,15,15,14,16,14,18,18,18,18,14,13,4,13,18,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,0,6,14,16,18,18,
4,16,15,18,12,16,15,11,17,14,13,16,12,12,17,16,16,8,6,12,12,15,19,19,19,12,19,19,19,19,
19,19,19,16,16,17,16,16,16,17,16,16,18,17,18,18,18,18,18,16,18,17,17,17,17,18,15,16,16,17,
16,16,16,16,18,14,17,17,17,17,17,17,17,17,16,16,17,17,17,17,17,16,16,16,17,16,16,18,15,18,
 };
static unsigned short stb__consolas_bold_33_latin1_h[224]={ 0,24,9,22,29,25,24,9,32,32,15,17,13,4,
7,27,23,22,22,23,22,23,23,22,23,22,18,23,19,10,19,24,31,22,22,23,22,22,22,23,22,22,23,22,
22,22,22,23,22,29,22,23,22,23,22,22,22,22,22,31,27,31,12,4,7,18,24,18,24,18,24,24,23,24,
31,23,23,17,17,18,24,24,17,18,23,18,17,17,17,24,17,31,34,31,8,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,0,24,30,22,21,22,
34,28,8,23,17,14,9,4,17,7,13,20,14,15,7,24,27,8,5,13,17,14,23,23,24,24,27,27,27,28,
28,29,22,27,27,27,27,28,27,27,27,28,22,28,28,28,28,29,29,15,29,28,28,28,29,27,22,25,24,24,
24,25,25,27,18,22,24,24,24,25,23,23,23,24,24,24,24,24,24,25,25,18,24,24,24,24,25,30,30,31,
 };
static unsigned short stb__consolas_bold_33_latin1_s[224]={ 251,248,196,135,59,159,160,248,23,11,18,
1,122,244,109,163,193,60,94,177,111,110,143,86,126,18,247,218,185,164,201,
124,118,35,55,59,225,210,71,229,103,120,204,154,171,130,202,37,186,187,1,
76,77,93,40,21,1,236,219,45,198,35,147,118,63,50,214,216,144,81,106,
34,72,18,103,160,56,133,223,1,188,172,117,66,20,18,98,170,204,87,189,
56,1,70,225,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,
193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,251,244,172,
125,149,106,6,186,209,1,243,92,180,244,152,94,133,168,79,50,76,89,21,
244,248,109,238,63,1,21,106,242,1,125,232,222,76,39,173,91,38,180,215,
113,55,145,108,96,87,168,203,130,149,20,207,33,1,19,37,1,226,72,142,
179,72,54,19,124,107,55,231,158,1,232,214,89,41,212,230,36,180,197,137,
230,126,196,141,33,155,70,52,1,72,153,137,84, };
static unsigned short stb__consolas_bold_33_latin1_t[224]={ 1,123,286,221,36,94,123,173,1,1,286,
286,286,26,300,66,173,244,244,173,244,173,173,221,173,221,148,148,244,286,244,
148,1,221,221,173,197,197,221,148,221,221,148,221,221,244,221,197,221,1,221,
173,244,173,244,244,244,221,221,1,66,1,286,300,301,267,123,244,123,267,148,
148,197,148,1,173,197,267,267,267,148,148,267,267,197,267,267,267,267,148,267,
1,1,1,286,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,
197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,197,1,1,1,
197,244,197,1,36,286,197,197,286,286,26,267,301,286,244,286,286,301,123,95,
286,183,286,267,286,173,173,123,36,95,66,66,36,36,36,197,66,95,66,66,
36,94,66,66,36,197,36,36,36,36,36,1,286,36,66,66,66,1,66,197,
94,123,123,123,94,94,66,244,197,123,94,94,94,173,173,173,123,123,123,148,
123,123,94,94,267,148,148,148,148,94,1,1,1, };
static unsigned short stb__consolas_bold_33_latin1_a[224]={ 290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,290,
290,290,290,290,290,290,290,290, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_33_latin1_BITMAP_HEIGHT or STB_FONT_consolas_bold_33_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_33_latin1(stb_fontchar font[STB_FONT_consolas_bold_33_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_33_latin1_BITMAP_HEIGHT][STB_FONT_consolas_bold_33_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_33_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_33_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_33_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_33_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_33_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_33_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_33_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_33_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_33_latin1_s[i] + stb__consolas_bold_33_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_33_latin1_t[i] + stb__consolas_bold_33_latin1_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_33_latin1_x[i];
            font[i].y0 = stb__consolas_bold_33_latin1_y[i];
            font[i].x1 = stb__consolas_bold_33_latin1_x[i] + stb__consolas_bold_33_latin1_w[i];
            font[i].y1 = stb__consolas_bold_33_latin1_y[i] + stb__consolas_bold_33_latin1_h[i];
            font[i].advance_int = (stb__consolas_bold_33_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_33_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_33_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_33_latin1_s[i] + stb__consolas_bold_33_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_33_latin1_t[i] + stb__consolas_bold_33_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_33_latin1_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_33_latin1_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_33_latin1_x[i] + stb__consolas_bold_33_latin1_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_33_latin1_y[i] + stb__consolas_bold_33_latin1_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_33_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_33_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_33_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_33_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_33_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_33_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_33_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_33_latin1_LINE_SPACING
#endif

