// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_38_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_38_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_38_latin1_BITMAP_WIDTH         256
#define STB_FONT_consolas_bold_38_latin1_BITMAP_HEIGHT        398
#define STB_FONT_consolas_bold_38_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_bold_38_latin1_FIRST_CHAR            32
#define STB_FONT_consolas_bold_38_latin1_NUM_CHARS            224

#define STB_FONT_consolas_bold_38_latin1_LINE_SPACING          25

static unsigned int stb__consolas_bold_38_latin1_pixels[]={
    0x2a635553,0x400001aa,0x00000009,0x00510000,0x33000000,0x73003333,
    0x8806ea03,0x00001999,0x0177e440,0x026eea20,0x37973000,0xeb800001,
    0xff98003e,0x4ffff207,0x2003fffc,0x266ffeca,0xff8800ff,0x4fffffff,
    0xfffffff5,0xfd1005ff,0x0e77ffc5,0xff900000,0xfa803fff,0x7ffe43ff,
    0x1ffff501,0x7ec00000,0xd8801fff,0x0effffff,0x3fff6200,0x002fffff,
    0x007ffb00,0x640fff50,0xfff93fff,0xfffb1007,0x3ffe6dff,0x7ffc400f,
    0x54ffffff,0xffffffff,0xffe8805f,0xffffff2f,0xc800001b,0x800dffff,
    0x3e27fffe,0xff505fff,0x000001ff,0x13ffffe2,0xffffff50,0x3003ffff,
    0xfffffffd,0x00007fff,0x70005ffd,0x7fe40bff,0x07fff93f,0xffffffd0,
    0x3ffffead,0x3fffe200,0xf54fffff,0xffffffff,0x7fff4405,0xffffff1f,
    0x640000bf,0x2003ffff,0x3e27fffe,0xff505fff,0x000001ff,0x13ffffe2,
    0xdfffffb8,0x01fffffe,0x3fffffea,0x5fffffff,0x0fffc000,0x13ff6200,
    0xf93fffc8,0xffa807ff,0x2a2bcfff,0x200fffff,0xffdaaaaa,0x5dfff54f,
    0x74015555,0x2ea1ffff,0x02fffffc,0xffffc800,0x7ffdc001,0x817ffec4,
    0x000ffffa,0x3fff6000,0xffff301f,0x5fffc887,0x3fffffe0,0xfffffdbd,
    0xff10001f,0xfdb7001f,0x19dfffff,0xfc9fffe4,0x7ff403ff,0x7ffdc05f,
    0x7fe4005f,0x0dfff54f,0x2ffffc80,0x17fffa20,0x99993000,0x0ae60001,
    0xff500dd4,0x000001ff,0xd102eec8,0x7ec05fff,0xfffb80ff,0xffffb05f,
    0x3fe6000b,0x7fffd407,0xffffffff,0x64ffff22,0x7fc03fff,0xffc800ff,
    0x3f2002ff,0xdfff54ff,0x7fffcc00,0x7fff9803,0x00000000,0x7fd40000,
    0x000000ff,0x3fffc800,0x21fffc40,0x406ffff8,0x001ffffe,0x5fffb751,
    0xfffff903,0xffffffff,0xc9fffe45,0x3e203fff,0x3fa007ff,0xf9000fff,
    0x3ffea9ff,0xfffd1006,0x3fffc00d,0x00000000,0x3fea0000,0x000180ff,
    0x3ffe2000,0x8dffb006,0x402ffffb,0x404ffffb,0xffffffe9,0x7ffd47ff,
    0xdfffefff,0x3ff22ffe,0x07fff93f,0x0037ffcc,0x009ffff3,0x7d53fff2,
    0xff9006ff,0x7f4003ff,0x3baa00ff,0xdd5003ee,0x3bbaa3dd,0xddd5003e,
    0x9fffea3d,0x03efffdb,0xddddddd1,0x83dddddd,0x7001fffb,0x7fec3fff,
    0x7fc400ff,0x3ff205ff,0xffffffff,0x97ffff47,0x82a26ffa,0xff93fffc,
    0x7ffd407f,0x7ffec005,0xfffc800f,0x00dfff54,0x0013fffe,0x4403fffd,
    0xd007ffff,0x7fc4ffff,0xffd007ff,0xbfffd4ff,0xfffffffd,0xfffff885,
    0xffffffff,0x2637ffc2,0xf9cb9abb,0x3fffa1ff,0xdfffd005,0x3fffff60,
    0x27ffffff,0x2e6ffff8,0x7fe405ff,0x07fff93f,0x002fffd4,0x00bfffe2,
    0x7d53fff2,0xffa806ff,0x7f4000ff,0x7fe401ff,0x7fcc02ff,0x7ffe44ff,
    0x7ffcc02f,0x3fffea4f,0xfffffffe,0x7ffc45ff,0xffffffff,0x3ffea2ff,
    0xfffffd13,0x45fff1df,0xd005ffff,0xff50ffff,0xfff59fff,0x7ffccfb9,
    0x013ff65f,0x3f27fff9,0x3fea03ff,0xffe8005f,0xfffc805f,0x00dfff54,
    0x000bfffb,0x9803fffd,0x5c05ffff,0x7cc1ffff,0x7dc05fff,0x3fea1fff,
    0xedffffff,0x221fffff,0xcccccccc,0x322ffffd,0xfffd0fff,0xff1bffff,
    0x3fffe27f,0xffffb004,0x25ffffd0,0x4410fff8,0xfd1fffff,0xfffc807f,
    0x407fff93,0x8005fffa,0x400ffffb,0xff54fffc,0xfff880df,0xffd8002f,
    0xfffe803f,0x3fffa00f,0x1ffffd06,0x237fff40,0xbffffffa,0x17ffff20,
    0x5ffff300,0xffbb7ff4,0xf4fffeff,0x3ffe69ff,0xfff9003f,0x7fffd41f,
    0xe81ffe65,0xffcfffff,0x7ffe401f,0x407fff93,0x8004fffb,0x402ffff8,
    0xff54fffc,0xfffa80df,0xffd8000f,0xfffb805f,0xffff302f,0x3fffee05,
    0x5ffff302,0x3fffffa8,0x01ffffd0,0x97fffcc0,0xffd4fff8,0x29fff33f,
    0xfff34fff,0x3ff2009f,0x3ffee0ff,0x81bfea3f,0xfffffffb,0x7fe401ff,
    0x07fff93f,0x00bfffe2,0x01ffff40,0x7d53fff2,0x7fdc06ff,0xff70006f,
    0xff8801ff,0xfff906ff,0x7fffc40f,0x0ffff906,0x409ffff5,0x001ffffb,
    0x4cbfffe6,0xfff8afff,0x3a7fff54,0xffff14ff,0x3fff6009,0x07fffe47,
    0xfd80bff7,0xffffffff,0x7fff902d,0x544ffff2,0x07ffffca,0x13fff600,
    0x2a9fff90,0x7e406fff,0xf10005ff,0x0579ffff,0x203ffff2,0x6404ffff,
    0xff80ffff,0xfffa84ff,0x3ffea00f,0x3fe6002f,0x3fff72ff,0x3ea5fff5,
    0x29fff2ff,0x005ffff8,0xfe8dfffd,0x27fe47ff,0x7ffffdc0,0x41efffff,
    0x4403fffc,0x0effffff,0x3fff2000,0xa7ffe405,0x6c06fffa,0x20004fff,
    0xffffffe9,0x3ffff980,0x00ffffd4,0x50ffffe6,0xf503ffff,0x7cc01fff,
    0x26003fff,0xff72ffff,0x5c7ffeef,0x7fff1fff,0x8037fffc,0x7f45fffe,
    0x1ffec7ff,0xffffc880,0x22ffffff,0x4403fffc,0x00cfffff,0x37ffe400,
    0x553fff20,0x7f406fff,0x440003ff,0x00fffffd,0xfd8dfffd,0xffd006ff,
    0x6fffd8df,0x01ffff50,0x01ffffcc,0x25ffff30,0xfff97ffc,0x7c3fff21,
    0x3fffa3ff,0x7ffcc00f,0x7fffec4f,0x000bffa1,0xffffffd1,0x3ff23fff,
    0x7ffc403f,0x0002ffff,0x901bffee,0x3fea9fff,0x7fff406f,0x3fee0004,
    0x700fffff,0x3e23ffff,0xf7003fff,0x3fe23fff,0xfff503ff,0x7ffd401f,
    0x3fe6002f,0x2fff92ff,0x3ff27ffd,0x22fff88f,0x403ffffc,0x641ffffb,
    0x3fe3ffff,0xffe8001f,0x4ffffffd,0x3007fff9,0x1ffffd53,0x3fff2000,
    0xa7ffe405,0x7406fffa,0x30004fff,0x333bffff,0xa7fffc40,0x000ffffb,
    0x2e9ffff1,0xf500ffff,0x7dc01fff,0x26000fff,0xffb2ffff,0xfd9fff6d,
    0x43fff37f,0x00effff9,0x50dffff1,0xf13fffff,0x3fe000ff,0xdffff91f,
    0x000ffff2,0x000ffffe,0x2027ffec,0xff54fffc,0xfffd80df,0xfff90005,
    0xfffd800b,0x00bfffd7,0xfd7fffd8,0x7fd40bff,0x3ff600ff,0x7fcc007f,
    0x2dffb2ff,0x3ffa7ffd,0xfd0fff56,0xe981dfff,0xfd02ffff,0xfff9ffff,
    0xf10036a2,0x3ffe21ff,0x3fffc8ff,0x4fffd800,0x7fffd000,0x54fffc80,
    0xfc80dfff,0xfb0006ff,0xf98005ff,0xffffbfff,0x7ffcc001,0x01ffffbf,
    0x403fffea,0x006ffff9,0xd97fffcc,0x1fff96ff,0x3f6dfff3,0xffffa85f,
    0xffffdeff,0x3fea06ff,0xffffffff,0x7d400fff,0xbffff47f,0x3313fffc,
    0x7ffdc013,0xffff0005,0x4fffc805,0xb80dfff5,0x8000ffff,0x8001fffe,
    0xfffffffe,0xfffd0006,0xa80dffff,0xe880ffff,0x4001ffff,0xf92ffff9,
    0x2ffff2ff,0xffbffffe,0xffff703f,0xffffffff,0xfffb801d,0xffffffff,
    0x3fee010f,0x57fffe25,0xff93fffc,0x7ffd407f,0xfffa8005,0x7ffe400f,
    0x80dfff54,0x003ffff9,0x001fffe8,0xffffffb8,0xff70003f,0x807fffff,
    0x9acffffa,0x4fffffca,0xffff9800,0x3e6fff72,0xffffffff,0x3200ffff,
    0xffffffff,0xf5000eff,0xffffffff,0x2f7ea1ff,0xa8cffc89,0xf93fffff,
    0x3fff27ff,0x17ffea03,0x17fff600,0x553fff20,0xfe806fff,0xfe8006ff,
    0xf88001ff,0x00ffffff,0xfffff100,0xffa801ff,0xffffffff,0x8000ffff,
    0xf72ffff9,0x3fffa1ff,0xfffffccf,0xfffc8801,0x0002dfff,0xbdffff93,
    0x7fffd417,0xffffffff,0x3ff25fff,0x07fff93f,0x002fffd4,0x00bfffe2,
    0x7d53fff2,0xffb806ff,0x7f4000ff,0xfb0001ff,0x0009ffff,0x4fffffd8,
    0xfffffa80,0xcfffffff,0xfff30000,0x4bffea5f,0xfb14ffe8,0xfd0003bf,
    0x200009ff,0x3ea01fff,0xffffffff,0x20efffff,0xff93fffc,0x7ffd407f,
    0x7ffdc005,0x9fff9007,0x201bffea,0x004ffff8,0x000ffff4,0x0fffffa8,
    0x7ffd4000,0xffa800ff,0xffffffff,0x7cc0001d,0xfff32fff,0x20000009,
    0x0006fffc,0x5401fff0,0xffffffff,0xc83effff,0xfff93fff,0x2fffd407,
    0x9ffff100,0x53fff200,0xb006fffa,0x4003ffff,0x0001fffe,0x00bffff5,
    0xbffff500,0x3fffea00,0x00009a98,0x87fffea0,0x00007ffe,0xbffff700,
    0x980174c1,0xca9807ff,0xcdefffed,0x4ffff202,0x2603fffc,0x36006fff,
    0x9000ffff,0x3fea9fff,0xfff1006f,0x7ffc00df,0xffd0000f,0xd00003ff,
    0x2003ffff,0x000ffffa,0x3ffee000,0x017ffdc7,0x7fc40000,0xfffeffff,
    0x6ffa800f,0x07ffa800,0x64ffff20,0x3e203fff,0xff5007ff,0x7e4005ff,
    0xdfff54ff,0x7fffdc00,0x7fff8803,0xffff9000,0xff900009,0x7d4009ff,
    0x10000fff,0x8dffff00,0x001ffff8,0xfffa8000,0x4fffffff,0x005ffb80,
    0x2005ffb8,0xff93fffc,0xffff807f,0x7fffcc03,0x7ffe4004,0x00dfff54,
    0x02ffffd8,0x4037ffe4,0x3ffff660,0x36608006,0x4006ffff,0x000ffffa,
    0xe8815bb0,0xfd83ffff,0xf7101fff,0xffb80001,0x2effffff,0x004ffc80,
    0x2004ffc8,0xff93fffc,0xfffc807f,0x3e6099cf,0x2600efff,0xfffc9999,
    0x33dfff54,0x3e201333,0x2662ffff,0x03ffffd9,0xfffffff8,0xff8000ff,
    0x0fffffff,0x7fffd400,0xfffb0000,0xffffffdf,0x3fffe60d,0xffecbcef,
    0xb880000f,0x003defed,0x2000fff6,0x32003ffd,0xfff93fff,0xffff8807,
    0xfff16fff,0x7fc403ff,0x4fffffff,0xfffffff5,0x7fcc05ff,0xffff1fff,
    0x3e00dfff,0x1fffffff,0xfffff000,0x50003fff,0x0001ffff,0x3ffffff6,
    0x200fffff,0xffffffe8,0x000fffff,0x2e000000,0xcb8001cc,0x3ff2001c,
    0x07fff93f,0xffffff50,0x07fffead,0xffffff10,0x3fea9fff,0x2fffffff,
    0x97fffcc0,0x1fffffff,0xffffff00,0x7fc00019,0x000cffff,0x01ffff50,
    0x3ffff600,0x00cfffff,0xfffffe88,0x0003efff,0x00000000,0xff900000,
    0x0ffff27f,0x7fffe440,0x2007fee6,0xfffffff8,0xffff54ff,0x005fffff,
    0x7ffc5ff3,0x32000cff,0x0000acde,0x00acdec8,0x15554400,0x372e6000,
    0x8000abce,0x1acddba8,0x00000000,0x00000000,0xfc9fffe4,0x988003ff,
    0x5000d42a,0x55555555,0x2aaaaa23,0x3000aaaa,0x0009aa85,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xf93fffc8,0x000007ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80000000,0xff93fffc,0x0000007f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xa8000000,0x99952ccc,0x00000005,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0x00000098,0x00000000,0x10000000,
    0x002a2015,0x15100a88,0x99880000,0x00000009,0x00000000,0x15510000,
    0x26666000,0x4c001881,0x001efffe,0x3fffff62,0x4c000000,0x005fffff,
    0x077fff44,0x0fffdc00,0x200bffe6,0x7cc1fffb,0x200002ff,0x2200fffb,
    0x00fffffd,0x3fe60000,0x22005fff,0x000efffe,0x6ffffec4,0x7c407e61,
    0x7fd47fff,0xfff8802f,0x4000ffff,0x00effffb,0xfff30000,0xe88005ff,
    0x00efffff,0x17fffe20,0x880ffffd,0x7f45ffff,0x200007ff,0xf7006ffe,
    0x0001dfff,0xfffff300,0x7ff44005,0x2000efff,0xfffffffd,0x881fffdd,
    0x3e27ffff,0x5c00ffff,0x05ff72ff,0xdfffd300,0xf9800001,0x4000efff,
    0xffcfffe8,0xff1000ef,0xffff8dff,0x7fffc407,0x03ffffc6,0x3fff8800,
    0x3fffa600,0x2600000e,0x000effff,0x3f3fffa2,0xf9800eff,0xfffffeff,
    0xff105fff,0x7ffd4fff,0x3fe401ff,0xc80013fe,0x0000efff,0x09ffff30,
    0x1dffd300,0x003bffa6,0x321fffec,0xfd804fff,0x7ffe43ff,0x99730004,
    0x0001fffb,0x001dfff9,0x9ffff300,0xeffe9800,0x01dffd30,0x7fdc3f70,
    0x3e00efff,0x3fe67fff,0x7dc00fff,0x02ffb8bf,0x04ccc400,0x99988000,
    0x33310000,0x00133310,0x3db816dc,0x5c0b6e00,0x7ec4003d,0x6fffffff,
    0x26662000,0x99880000,0x99880009,0x00999881,0x06f2a010,0x91bfffe0,
    0xf1009fff,0x00dfffff,0x00000000,0x00000000,0x00000000,0x3fe60000,
    0xffffffff,0x0000004f,0x00000000,0x00000000,0x5437fffc,0x3f62001a,
    0x40000dff,0x009bcb98,0x5e5cc400,0x4c400009,0x10009bcb,0x26003333,
    0x73100199,0xa8001379,0xffffffff,0x104fffff,0x26003333,0x4ccc4199,
    0x83333001,0x30019998,0x26200333,0xf0009bcb,0x0000dfff,0x0266a662,
    0x7ffec400,0x001fffff,0x7ffffec4,0x44001fff,0xfffffffd,0x7ffd401f,
    0x7ffcc00f,0x3ff6201f,0x01ffffff,0xefffff88,0xfffffeab,0xffffa81f,
    0x7fffcc00,0x03fffea1,0x43ffff30,0x400ffffa,0x201ffff9,0xffffffd8,
    0x7ff401ff,0x05554c6f,0xffffff80,0xfffa8006,0xffffffff,0xffff5003,
    0x7fffffff,0x3fffea00,0x3fffffff,0x03fffea0,0x03ffff30,0x3fffffea,
    0x403fffff,0x224ffffb,0x6fffffff,0x00ffffa8,0x50ffffcc,0x9801ffff,
    0x3ea1ffff,0x7cc00fff,0xff501fff,0xffffffff,0x7fff407f,0x017ffdc5,
    0x7fffffcc,0x3fee000f,0xffffffff,0x7dc05fff,0xffffffff,0x5c05ffff,
    0xffffffff,0x505fffff,0x9801ffff,0xfb81ffff,0xffffffff,0xf105ffff,
    0xffa8bfff,0x41ffffef,0x400ffffa,0x2a1ffff9,0x4c00ffff,0x3ea1ffff,
    0x7cc00fff,0xffb81fff,0xffffffff,0xffd05fff,0x3fffb8bf,0xfffffc80,
    0xff1003ff,0xfb7bffff,0x203fffff,0xdffffff8,0xffffffdb,0xfffff101,
    0xffffb7bf,0xfff503ff,0xfff9801f,0x7fffc41f,0xfffdbdff,0xffb81fff,
    0x7ffec1ff,0x543ffffa,0x4c00ffff,0x3ea1ffff,0x7cc00fff,0x3fea1fff,
    0x7fcc00ff,0x7ffc41ff,0xffdbdfff,0xfe81ffff,0x7ffe45ff,0xffffe803,
    0xf9005fff,0x3f60bfff,0xff905fff,0x3ff60bff,0xfff905ff,0x3fff60bf,
    0xffffa85f,0x7fffcc00,0x2ffffe41,0x85ffffd8,0xff86fffd,0x8dffff4f,
    0x400ffffa,0x2a1ffff9,0x4c00ffff,0x3ea1ffff,0x7cc00fff,0x7fe41fff,
    0xfffb05ff,0xbfffb0bf,0x403fffc8,0xffeffff8,0xfff8807f,0x7fff405f,
    0x7fffc40f,0x7ffff405,0x2ffffc40,0x03ffffa0,0x801ffff5,0x221ffff9,
    0x7405ffff,0x7f40ffff,0x7ffd44ff,0xa8ffffb2,0x4c00ffff,0x3ea1ffff,
    0x7cc00fff,0x3fea1fff,0x7fcc00ff,0x3ffe21ff,0x7fff405f,0x27ffec0f,
    0x5013fff2,0xfff5dfff,0xfffc805f,0x7ffdc02f,0x7fffe44f,0x7fffdc02,
    0x17fffe44,0x13fffee0,0x801ffff5,0x321ffff9,0x5c02ffff,0x7fc4ffff,
    0x3ffe43ff,0xfa8ffff9,0x7cc00fff,0x3fea1fff,0x7fcc00ff,0x3ffea1ff,
    0x7ffcc00f,0x3ffff21f,0x7fffdc02,0x227ffec4,0x6c04fffd,0xfff8cfff,
    0x7ffec04f,0xffff8807,0x03fffec5,0x22ffffc4,0x8807fffd,0x7d45ffff,
    0x7cc00fff,0x3ff61fff,0xfff8807f,0x3fffe25f,0xf92fffc3,0x7fd41fff,
    0x7fcc00ff,0x3ffea1ff,0x7ffcc00f,0x3fffea1f,0x7fffcc00,0x01ffff61,
    0x917fffe2,0xffd89fff,0x7fffc04f,0x80dfffd2,0xd005fffe,0xffe8dfff,
    0xfffd005f,0x05fffe8d,0xa8dfffd0,0x4c00ffff,0x3fa1ffff,0xffd005ff,
    0x7fffccdf,0xb8bffe62,0x3ea0ffff,0x7cc00fff,0x3fea1fff,0x7fcc00ff,
    0x3ffea1ff,0x7ffcc00f,0x17fffa1f,0x237fff40,0x7ec3fffc,0x3fe604ff,
    0xffff70ff,0x2ffffc03,0x47fffe80,0xd005ffff,0xfff8ffff,0xfffd005f,
    0x0ffffa8f,0x0ffffcc0,0x200bffff,0x3e67fffe,0x3ff22fff,0x3fffee0f,
    0x03fffea0,0x43ffff30,0x400ffffa,0x2a1ffff9,0x4c00ffff,0x3fe1ffff,
    0xffd005ff,0x3fffc8ff,0x902fffec,0x7fccbfff,0xfff103ff,0x3ff6009f,
    0x3fffe27f,0xffffb004,0x027fffc4,0x547fffd8,0x4c00ffff,0xff11ffff,
    0x3f6009ff,0x3ffe67ff,0x917ffa3f,0xffa8ffff,0x7fcc00ff,0x3ffea1ff,
    0x7ffcc00f,0x3fffea1f,0x7fffcc00,0x09ffff11,0x91ffff60,0xffe87fff,
    0x3fffa05f,0x82ffffc3,0x003ffff9,0x261ffff9,0x9003ffff,0x3e61ffff,
    0xf9003fff,0x7fd41fff,0x7fcc00ff,0xffff31ff,0x3fff2007,0x7ffff10f,
    0xf90fffe2,0xfffa8dff,0x7ffcc00f,0x3fffea1f,0x7fffcc00,0x03fffea1,
    0x23ffff30,0x003ffff9,0x4c1ffff9,0x7ff40aaa,0xffff105f,0x0ffffd83,
    0x04ffff98,0x21ffff90,0x004ffff9,0x261ffff9,0x9004ffff,0x7d41ffff,
    0x7cc00fff,0xfff31fff,0x3ff2009f,0x3fffe0ff,0xd81fff74,0x7fd45fff,
    0x7fcc00ff,0x3ffea1ff,0x7ffcc00f,0x3fffea1f,0x7fffcc00,0x09ffff31,
    0x03ffff20,0x05fffe80,0xf50ffff7,0xff105fff,0x3f6009ff,0x3ffe27ff,
    0xfffb004f,0x27fffc4f,0x47fffd80,0x400ffffa,0xf11ffff9,0x36009fff,
    0x7ff47fff,0x88dffd7f,0x7d44ffff,0x7cc00fff,0x3fea1fff,0x7fcc00ff,
    0x3ffea1ff,0x7ffcc00f,0x9ffff11f,0x1ffff600,0x3ffe02a2,0x9fffb06f,
    0x09ffff10,0x4017fffe,0x7fc6fffe,0xffd005ff,0x5ffff8df,0x8dfffd00,
    0x400ffffa,0x3e1ffff9,0xfd005fff,0xfffc8dff,0x543fffaf,0x7d42ffff,
    0x7cc00fff,0x3fea1fff,0x7fcc00ff,0x3ffea1ff,0x7ffcc00f,0x17fffe1f,
    0x237fff40,0x7fc2fffb,0xfff886ff,0xffffd02f,0x01bfffa0,0x3a2ffff4,
    0xfd006fff,0xfffe8bff,0xbfffd006,0x00ffffa8,0xd0ffffcc,0x3a00dfff,
    0x7fd45fff,0x21ffffff,0xa86fffe8,0x4c00ffff,0x3ea1ffff,0x7cc00fff,
    0x3fea1fff,0x7fcc00ff,0x3fffa1ff,0xbfffd006,0x07ffffc4,0xf50dffff,
    0x9999bfff,0x03ffffd9,0x801ffffd,0x744ffff9,0x4c00ffff,0x7f44ffff,
    0x7cc00fff,0x7fcc4fff,0x7fd401ff,0x7ffff47f,0x7fffcc00,0xfffffe84,
    0x7fffec6f,0x1ffff982,0x23fffd40,0x401ffff9,0x7cc7fffa,0x7d401fff,
    0x7fff47ff,0x7ffcc00f,0x3fffea4f,0x1ffffe1f,0x3ffffff2,0xffffffff,
    0xffffc83f,0x7fffdc02,0x17fffe42,0x0bfffee0,0x805ffff9,0x442ffffb,
    0x5c02ffff,0x7fe46fff,0x7fdc02ff,0xfff982ff,0xffdcefff,0xff106fff,
    0xffb805ff,0x7fffc46f,0x37ffdc02,0x00bfffe2,0xfc8dfff7,0x7dc02fff,
    0x3fe62fff,0x3ffe0fff,0xfffff87f,0xffffffff,0xff886fff,0xff100eff,
    0xfff10dff,0x3fe201df,0xfff886ff,0xfff100ef,0x3fffe0df,0x2ffff405,
    0x03bfffe2,0x037fffc4,0xfffffff9,0x03dfffff,0x202ffffc,0xff85fffe,
    0x7ff405ff,0x5ffff85f,0x22ffff40,0x00effff8,0x90dffff1,0x7fc47fff,
    0x7ffcc7ff,0xffffffff,0x80ffffff,0x40effffd,0x02ffffe9,0x81dffffb,
    0x02ffffe9,0x81dffffb,0x02ffffe9,0x205ffffd,0xd83ffffb,0x4c0effff,
    0x402ffffe,0xfffffffb,0x7400dfff,0xf702ffff,0xffd07fff,0x3fee05ff,
    0xfffe83ff,0xffff702f,0xdffffb07,0xffffe981,0x55015302,0xfffb8555,
    0x9999999e,0x82ffffc9,0xeffffff9,0x5ffffffd,0x3ffffe60,0xfffffdef,
    0x3ffe605f,0xfffdefff,0x3ea05fff,0xbabdffff,0x306ffffd,0xbdffffff,
    0x0bffffff,0xffffff10,0x2a007dff,0xabdfffff,0x06ffffdb,0x7bfffff5,
    0xdffffb75,0x3ffffea0,0xfffdbabd,0xffff306f,0xffffbdff,0x00000bff,
    0x2013fffa,0x905ffff9,0xffffffff,0x803dffff,0xfffffffc,0x01efffff,
    0x7fffffe4,0x1effffff,0x7ffffec0,0xffffffff,0x3ffff201,0xffffffff,
    0xfffa801e,0xb0001aaa,0xffffffff,0x403fffff,0xfffffffd,0x01ffffff,
    0x3ffffff6,0x1fffffff,0x3fffff20,0xefffffff,0xf8800001,0xff002fff,
    0x7fd40fff,0xffffffff,0xfff5000d,0xbfffffff,0x3ffea001,0xdfffffff,
    0xfffd8800,0xefffffff,0xffffa801,0x0dffffff,0x00fffb00,0x3fff6200,
    0xefffffff,0x7ffec401,0xefffffff,0x7ffec401,0xefffffff,0xffffa801,
    0x0dffffff,0xff500000,0x7fe400ff,0x3b6601ff,0x02efffff,0xfffed980,
    0x98002eff,0xefffffed,0xffea8002,0x003fffff,0x7ffff6cc,0x7fc002ef,
    0x5400004f,0xfffffffe,0x7ff54003,0x003fffff,0x7fffff54,0x6cc003ff,
    0x2efffffe,0x7ec00000,0x3ea005ff,0x31004fff,0x44000035,0x200001a9,
    0x00001a98,0x00026aa2,0x0006a620,0x0017ffcc,0x13551000,0x35510000,
    0x55100001,0x31000013,0x00000035,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0xaabcba98,0x26620000,0x00099999,0x00000000,0x00554400,0x100a8800,
    0x00000015,0x00554400,0x00000000,0x05440000,0x6c400a88,0x000fffff,
    0xffff7100,0x00bfffff,0xffffdb91,0x005fffff,0xbfffff30,0xfffe8800,
    0xfd88000e,0x3e61dfff,0x3fff7001,0x002fff98,0xfffff980,0xfffd8805,
    0x007e61df,0xfffff300,0x3ffa200b,0x3ee000ef,0x7ffcc1ff,0xffffb802,
    0x7cc0000e,0xffffffff,0x3f2205ff,0xffffffff,0x4002ffff,0x02fffff9,
    0x7ffff440,0x7ec000ef,0xddffffff,0x7c401fff,0x7ff45fff,0x7cc0007f,
    0xb002ffff,0xbfffffff,0x0003fffb,0x0bffffe6,0x7ffff440,0xff8800ef,
    0x7fff45ff,0xfffd3007,0x3a20001d,0xfeffffff,0xff305fff,0xffffffff,
    0x005fffff,0x077fffcc,0x3fffa200,0x000efffc,0xfffdfff3,0x00bfffff,
    0xf8dffff1,0x20007fff,0x00effff9,0xffdfff30,0x0bffffff,0x3fffe600,
    0xffd1000e,0x01dfff9f,0x46ffff88,0x4007ffff,0x000efffc,0x0dffffb8,
    0xfe883b98,0xdfffffff,0x02ffffba,0x09ffff30,0x1dffd300,0x003bffa6,
    0xfff70fdc,0x36001dff,0x7fe43fff,0xff30004f,0xf70009ff,0x7ffffdc3,
    0xff98000e,0x3a6004ff,0xffd30eff,0xfffd801d,0x027ffe43,0x004ccc40,
    0x07fffec0,0x7fffec00,0x3e3fffff,0x31002fff,0x22000133,0x99988199,
    0x65402000,0x2db8001b,0x40007b70,0x00009998,0x00de5402,0x01333100,
    0x88199880,0xdb800999,0x0007b702,0x7fec0000,0x7c4001ff,0xffffffff,
    0x0bfffe3f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x26666620,0x7ffe4000,0x3e6001ef,0xffffffff,0x0bfffe3f,
    0x26666620,0x4cc40000,0x40000999,0x00999998,0x4cccc400,0x99988009,
    0x26660009,0x4ccccc09,0x80ccc400,0x99999998,0x01999999,0x33333331,
    0x03333333,0x26666662,0x19999999,0x3ffffe00,0x7fcc006f,0x7004ffff,
    0xffffffff,0x7fffc7ff,0xfffff802,0x7fc0006f,0x0006ffff,0x37fffffc,
    0x3fffe000,0xffb806ff,0xff9004ff,0x7ffcc3ff,0x7ff405ff,0xffffc81f,
    0xffffffff,0xffff907f,0xffffffff,0x3fff20ff,0xffffffff,0xff3007ff,
    0x001fffff,0x7fffffe4,0x7fe402ff,0xffffffff,0x00bfffe3,0xfffffff3,
    0x3fe60001,0x000fffff,0xffffff30,0x3e60001f,0x00ffffff,0x00ffffe8,
    0x22ffffc4,0x0ffffff9,0x207fffa0,0xfffffffc,0x07ffffff,0xfffffff9,
    0x0fffffff,0x3ffffff2,0x7fffffff,0xfffff900,0x3f6007ff,0xffffffff,
    0xfff500df,0x7fffffff,0x2017fffc,0xfffffffc,0xfff90003,0x0007ffff,
    0x3ffffff2,0xff90003f,0x007fffff,0x807ffff7,0x4c1ffffc,0x04ffffff,
    0x3207fffa,0xffffffff,0x907fffff,0xffffffff,0x20ffffff,0xfffffffc,
    0x07ffffff,0xffffffd0,0xfff700bf,0xfffffddf,0xfff305ff,0x7fffffff,
    0x2017fffc,0xfffffffe,0xfffd0005,0x000bffff,0x3ffffffa,0xffd0005f,
    0x00bfffff,0x403ffffa,0x985ffff8,0x0fffffff,0x903fffd0,0x9999ffff,
    0x20999999,0xcccffffc,0x04cccccc,0x999ffff9,0x09999999,0xfdffff10,
    0xffd00fff,0x3fff21ff,0xff83ffff,0xffffffff,0x80bfffe3,0xffeffff8,
    0xff88007f,0x07fffeff,0xeffff880,0x88007fff,0xfffeffff,0xffff7007,
    0x3ffff207,0xfffff981,0xfffd03ff,0x0ffff903,0x7fffc800,0x7ffe4000,
    0x3ea00007,0xffffaeff,0x3fffe202,0x7ffff4c4,0x7ffd41ff,0x23ffffff,
    0x2a02ffff,0xfffaefff,0x7fd4002f,0x2ffffaef,0x77ffd400,0x002ffffa,
    0x7d77ffd4,0xfd002fff,0xfff10fff,0x3ffe60bf,0xfd07ffff,0xfff903ff,
    0xffc8000f,0x7e40007f,0x200007ff,0xff8cfffd,0x3fe604ff,0xfff704ff,
    0xfff90dff,0x7c7fffff,0x3f602fff,0xffff8cff,0x7ffec004,0x04ffff8c,
    0x467ffec0,0x4004ffff,0xff8cfffd,0xff7004ff,0xfffc87ff,0xffff301f,
    0xfd05ffff,0xfff903ff,0xffc8000f,0x7e40007f,0x200007ff,0xffd2ffff,
    0x7ffc40df,0xfff500ff,0xfff901ff,0x7fc7ffff,0x3ffe02ff,0x0dfffd2f,
    0xd2ffff80,0xf800dfff,0xfffd2fff,0xffff800d,0x00dfffd2,0xf137fff4,
    0x7cc0bfff,0x6fffceff,0xc81fffe8,0x40007fff,0x0007fffc,0x003fffe4,
    0x0ffff980,0x403ffff7,0x00efffff,0x205ffffb,0x3fffffb8,0x4c0bfffe,
    0xff70ffff,0x3e6003ff,0xfff70fff,0x3fe6003f,0xffff70ff,0x3ffe6003,
    0x3ffff70f,0x3fffee00,0x03ffff72,0x7cf7ffcc,0x7ff42fff,0x7fffc81f,
    0x7ffe4000,0x7fe40007,0xf900007f,0x7ffccbff,0x3ffee03f,0xffb82eff,
    0xa98802ff,0x0bfffe1b,0xf32fffe4,0x32007fff,0x3fe65fff,0xff9003ff,
    0x7fffccbf,0xbfff9003,0x01ffffcc,0x3adfffd0,0x7cc05fff,0xbfffb6ff,
    0xc81fffe8,0xaaaaffff,0x901aaaaa,0x5555ffff,0x20355555,0xaaaffffc,
    0x01aaaaaa,0x3e1ffff4,0x7f405fff,0x20dfffff,0x001ffffc,0x817fffc0,
    0x7fc3fffe,0xffd005ff,0x5ffff87f,0x87fffd00,0xd005ffff,0xfff87fff,
    0x3fee005f,0x1ffffcff,0xab7ffcc0,0x3fa1ffff,0xfffc81ff,0xffffffff,
    0xfff904ff,0xffffffff,0x3ff209ff,0xffffffff,0x3e204fff,0x7fec1fff,
    0x3fa200ff,0x9bffffff,0x0006ffff,0x882ffff8,0x7ec1ffff,0x7c400fff,
    0x7fec1fff,0x7fc400ff,0x7ffec1ff,0x7ffc400f,0x7fffec1f,0x3fffa000,
    0x9805ffff,0x3ffa6fff,0x07fffa5f,0x3ffffff2,0x4fffffff,0xffffff90,
    0x9fffffff,0x3fffff20,0xffffffff,0x1fffee04,0x00bfffea,0x3ffffff2,
    0x02ffffff,0x2ffff800,0xa87fffb8,0x5c02ffff,0xffa87fff,0x7fdc02ff,
    0xffffa87f,0x3fffdc02,0x017fffd4,0xffffff70,0xfff3003f,0x87fffdcd,
    0xfc81fffe,0xffffffff,0xf904ffff,0xffffffff,0x3209ffff,0xffffffff,
    0x204fffff,0xf884fffd,0xd3004fff,0xffffffff,0x3e00009f,0xffd82fff,
    0xffff884f,0x27ffec04,0x027fffc4,0x2213fff6,0x6c04ffff,0xff884fff,
    0x7fc004ff,0x3005ffff,0xfff8dfff,0x03fffd4f,0x555ffff9,0x03555555,
    0x2abffff2,0x1aaaaaaa,0x55ffff90,0x35555555,0x0bfffe20,0x003ffff4,
    0x3fffffee,0x3e00004f,0x7fc42fff,0xfffd02ff,0x7fffc40f,0x0ffffd02,
    0x817fffc4,0x2207fffe,0xfd02ffff,0xfb800fff,0x3000ffff,0xffb8dfff,
    0x1fffe8ff,0x007fffc8,0x03fffe40,0x1ffff200,0xffff5000,0xfd99999b,
    0x88003fff,0x03fffffd,0xffff1000,0xdffffa83,0xffeccccc,0xfff501ff,
    0xd99999bf,0x2a03ffff,0xcccdffff,0x1ffffecc,0x9bffff50,0xfffd9999,
    0xfff8003f,0x3fe6005f,0x7fffc46f,0xc81fffeb,0x40007fff,0x0007fffc,
    0x003fffe4,0x3fffff20,0xffffffff,0xf90003ff,0x0000dfff,0x903fffe6,
    0xffffffff,0x7fffffff,0x3fffff20,0xffffffff,0xfff903ff,0xffffffff,
    0x3207ffff,0xffffffff,0x3fffffff,0x2ffffc00,0x0dfff300,0xffddfff9,
    0xffff903f,0xfffc8000,0x7fe40007,0x7fc0007f,0xffffffff,0x06ffffff,
    0x1bfffe00,0x7ffdc000,0xffffff87,0xffffffff,0xffff06ff,0xffffffff,
    0x3e0dffff,0xffffffff,0x6fffffff,0xfffffff0,0xffffffff,0xfff800df,
    0x3fe6005f,0xffff986f,0xfc81ffff,0x640007ff,0x40007fff,0x0007fffc,
    0x3fffffe6,0xffffffff,0x400c0fff,0x805ffff9,0xfff301e8,0xffff98bf,
    0xffffffff,0x4c0fffff,0xffffffff,0xffffffff,0x7fffcc0f,0xffffffff,
    0x4c0fffff,0xffffffff,0xffffffff,0x3ffe000f,0x3fe6005f,0xffffb06f,
    0xff903fff,0xfc8000ff,0x640007ff,0x20007fff,0x999efffb,0xffc99999,
    0x567fc2ff,0xffeb9899,0xffd803ff,0xfffca9bd,0x7ffdc1ff,0x9999999e,
    0x42ffffc9,0x999efffb,0xffc99999,0x7ffdc2ff,0x9999999e,0x42ffffc9,
    0x999efffb,0xffc99999,0x3fe002ff,0x3e6005ff,0xfff506ff,0xf903ffff,
    0xc8000fff,0x40007fff,0x0007fffc,0x2013fffa,0x7c5ffff9,0xffffffff,
    0x400effff,0xfffffffb,0xe84fffff,0xf9804fff,0x7ff45fff,0xfff9804f,
    0x27fff45f,0x2ffffcc0,0x2013fffa,0x005ffff9,0x8017fffe,0x3a06fff9,
    0x81ffffff,0xeeeffffc,0x06eeeeee,0xdddffff9,0x0ddddddd,0x3bbffff2,
    0x6eeeeeee,0x017fffc4,0x7c7ffff8,0xffffffff,0x9800efff,0xfffffffe,
    0xff884fff,0xfff002ff,0x7fffc4ff,0xfffff002,0x017fffc4,0x227ffff8,
    0xf002ffff,0x7c00ffff,0x26005fff,0x3ee06fff,0xc81fffff,0xffffffff,
    0x907fffff,0xffffffff,0x20ffffff,0xfffffffc,0x47ffffff,0x2007fffa,
    0x321ffffc,0xfffffffe,0xea8002df,0x1dffffff,0x00ffff50,0xa8ffffe4,
    0x32007fff,0xff51ffff,0x7fe400ff,0xffff51ff,0x7fffe400,0xbffff001,
    0x37ffcc00,0x3fffffe0,0xfffffc81,0xffffffff,0xfffff907,0xffffffff,
    0x3ffff20f,0xffffffff,0x2fffec7f,0x9ffff500,0x35553310,0x2a600001,
    0xfffd8009,0x3ffea005,0x0bfffb4f,0xa7fffd40,0x2005fffd,0xfb4ffffa,
    0x7d400bff,0xff004fff,0x7cc00bff,0x7fdc06ff,0xffc81fff,0xffffffff,
    0xff907fff,0xffffffff,0x3f20ffff,0xffffffff,0x0007ffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2a200000,0x00015100,0x22000000,0x22000999,
    0x441abcca,0x00000999,0x0073b2a0,0x00013100,0x1ba80dcc,0x00ddd440,
    0x30009988,0xfffd8801,0x000000ff,0x0bfffff3,0x3bfffa20,0x3ffee000,
    0x817ffcc1,0x0fffffd8,0x7fc00000,0x7f5402ff,0xffffffff,0x00dfff73,
    0x3fff6000,0x754004ff,0xeeefffff,0xff504eee,0x1fffc87f,0xbfffff50,
    0x17ffcc01,0x017ffa60,0x03bfffee,0xfff30000,0x3a2005ff,0x00efffff,
    0x45ffff88,0x5c07fffe,0x000effff,0xffff7000,0xfffffc80,0x14ffffff,
    0x0005ffff,0xfdfffb80,0xfe9802ff,0xffffffff,0xfd05ffff,0x7ffc4fff,
    0xffff985f,0x3fa05fff,0xfffe805f,0xffe9803f,0x300000ef,0x001dffff,
    0x3f3fffa2,0x7c400eff,0x7ffc6fff,0xffe9807f,0x800000ef,0xd103fffe,
    0xffffffff,0x7e49ffff,0x400005ff,0xbff30ffe,0xffffe880,0xffffffff,
    0xfffd05ff,0x2ffffc4f,0x7ed77ff4,0xfffc81ff,0x7fffc400,0x3ff2005f,
    0x4c0000ef,0x2004ffff,0xd30effe9,0xfd801dff,0x7ffe43ff,0x3fff2004,
    0x2600000e,0xfd00ffff,0x79bfffff,0x7cc9ffb9,0x00000fff,0x0dfd1bfe,
    0x12ffffd8,0x55dfffd7,0x13ffee03,0xf885fffb,0x0fffa1ff,0x2007fff3,
    0x005fffff,0x0004ccc4,0x00266620,0x31033310,0x5b700133,0x2000f6e0,
    0x00009998,0x417fff60,0x04fffffa,0xfffb0ea2,0x7ec00009,0x809ff51f,
    0xf982ffff,0xb9801fff,0xf3037502,0x44ffd8ff,0x2e005ffe,0x0000ffff,
    0x00000000,0x00000000,0x00000000,0x03ffff10,0x00bffffa,0x07fffd40,
    0xfffa8000,0x2601ffff,0x3fa07fff,0x000003ff,0x3f23ffd4,0x03ffee4f,
    0x80179300,0x99999999,0x01999999,0x33333333,0x03333333,0x26666666,
    0x19999999,0x33333330,0x33333333,0x26666620,0x99999999,0xfffc8001,
    0xbffff706,0xfffe8000,0x3ee00003,0x5403ffff,0x3f206fff,0x130004ff,
    0x43fff300,0xfff33ffe,0x4c000007,0xffffffff,0x0fffffff,0x7fffffcc,
    0xffffffff,0x7fffcc0f,0xffffffff,0x7fcc0fff,0xffffffff,0xc80fffff,
    0xffffffff,0x007fffff,0xb02ffff8,0x0005ffff,0x006fffb8,0x05e5cc00,
    0x0ffffc40,0x002fffd8,0xbffffd91,0x4efffc07,0xffd1fffb,0x2aaa000d,
    0x3fffe602,0xffffffff,0x7fcc0fff,0xffffffff,0x4c0fffff,0xffffffff,
    0x0fffffff,0x7fffffcc,0xffffffff,0xffffc80f,0xffffffff,0x7fd4007f,
    0x3fffe07f,0xff880007,0x200001ff,0x3e000998,0xffa84fff,0xffa801ff,
    0xefffffff,0xfffffc80,0x3fff75ff,0xdfff1000,0x7ffffcc0,0xffffffff,
    0x7ffcc0ff,0xffffffff,0x7cc0ffff,0xffffffff,0x40ffffff,0xfffffff9,
    0xffffffff,0xfffffc80,0xffffffff,0x7fff4007,0xbffff104,0x3ff20000,
    0x3260005f,0xeffffffe,0x3ffee00c,0xfffcacff,0xfffb805f,0xffffffff,
    0x7ffec40f,0xfff88dff,0xfff10003,0x5555440d,0xaaeffffa,0xaaa882aa,
    0xaeffffaa,0xaa882aaa,0xeffffaaa,0xa882aaaa,0xffffaaaa,0x902aaaae,
    0x9999ffff,0x00999999,0x807fffcc,0x005ffff9,0x1ffff300,0xffff7000,
    0xffffffff,0x7ffffc05,0x0effffff,0x7ffffcc0,0xffffc99c,0x459b9505,
    0x20006ffd,0x8007fff9,0x0005fffe,0x002ffff4,0x017fffa0,0x0bfffd00,
    0x03fffe40,0x7ffec000,0x3fffea05,0x3fa00004,0xfb8004ff,0xffffffff,
    0xfc81ffff,0xffffffff,0xffd800cf,0xffff705f,0x7ffdc003,0xfeb98001,
    0xfe8007ff,0x740005ff,0x40005fff,0x0005fffe,0x002ffff4,0x000ffff9,
    0x1ffff880,0x13fffee0,0xfffa8000,0xcefb8007,0xffea99aa,0x7ffcc6ff,
    0x0acdcc9d,0x5ffff300,0x027fffc0,0x004fff88,0x7ffffec4,0xffe8007f,
    0x7f40005f,0x740005ff,0x40005fff,0x2005fffe,0x0007fffc,0x037ffdc0,
    0x017fffea,0x5ffff000,0xd8019800,0x7fe47fff,0xfc80002f,0x7fec07ff,
    0xdffb005f,0xffff9800,0x000fffff,0x002ffff4,0x017fffa0,0x0bfffd00,
    0x5fffe800,0x1ffff200,0xffff0000,0xffff8807,0x7dc00005,0x000006ff,
    0x6c1ffff5,0x80005fff,0xcccefffd,0xfffecccc,0x1fffa806,0x7ffff400,
    0x000cccef,0x002ffff4,0x017fffa0,0x0bfffd00,0x5fffe800,0x1ffff200,
    0xfffa8000,0xfffff007,0xff880000,0x800001ff,0x2e1ffff9,0xccdeffff,
    0x74009acc,0xffffffff,0x7fffffff,0x8a7ffc40,0xfb83efec,0x0000efff,
    0x005fffe8,0x02ffff40,0x17fffa00,0xbfffd000,0x7fffe400,0xaaaaaaaa,
    0xfffe801a,0xffffd004,0xfd800005,0x220005ff,0xffdccba9,0x3ffe21ff,
    0xffffffff,0xfff01dff,0xffffffff,0x80ffffff,0xfff36ffd,0x7ec1dfff,
    0x00001fff,0x000bfffd,0x005fffe8,0x02ffff40,0x17fffa00,0xfffffc80,
    0xffffffff,0x7fffcc04,0xffffb000,0xf980000d,0x54000fff,0xfffffffd,
    0x7cc1ffff,0xffffffff,0xf82fffff,0xeeeeefff,0x5eeeeeee,0x747ffea0,
    0x4fffffff,0x001ffffa,0x05fffe80,0x2ffff400,0x3fffa000,0x7ff40005,
    0x3ff2005f,0xffffffff,0x7e404fff,0x3e6005ff,0x0004ffff,0x027fff40,
    0xfffffe88,0xffffffff,0x3ffffa21,0xffffeeee,0x7ff40fff,0xf100004f,
    0x3ffee9ff,0x7fcfff91,0x00000fff,0x000bfffd,0x005fffe8,0x02ffff40,
    0x17fffa00,0xfffffc80,0xffffffff,0x3fffe204,0x7ffec002,0xda881eff,
    0xffff5004,0x3ffffa00,0xffdccdef,0x3fff61ff,0xfffb300e,0x5fffd85f,
    0xdffb0000,0xf997ff21,0xffffb0ff,0x3fa00005,0x740005ff,0x40005fff,
    0x0005fffe,0x002ffff4,0x555ffff9,0x03555555,0x0037ffdc,0x7fffffc4,
    0xfffeeeff,0x3fffe004,0x7fffdc02,0xffff980d,0x03ffff51,0x43ffff98,
    0x001ffffc,0xb17ffd40,0x1fff87ff,0x03fffff7,0xbfffd000,0xfffe8000,
    0x7ff40005,0x7f40005f,0x3f2005ff,0xe80007ff,0x50003fff,0xffffffff,
    0x009fffff,0x2037ffe4,0x300ffffd,0x3ee3ffff,0x7cc00fff,0x7fcc2fff,
    0x10000eff,0xffd8bffd,0x443ffe24,0x1cffffff,0x3fffa000,0x7ff40005,
    0x7f40005f,0x740005ff,0x32005fff,0x40007fff,0x000ffffa,0x3ffffa20,
    0x4fffffff,0x3fffe200,0x1bfffe01,0x71ffffc8,0x440bffff,0xc80ffffe,
    0x9acfffff,0xc87dcaa9,0x7fe40fff,0xf51ffea6,0xffffffff,0x7ff4009d,
    0x7f40005f,0x740005ff,0x40005fff,0x2005fffe,0x0007fffc,0x0027ffec,
    0xffffda80,0x000adfff,0xd02fffec,0xfb03ffff,0x3e23ffff,0xabceffff,
    0x3fffffdb,0xfffffd10,0xffffffff,0x982fff98,0xfffcefff,0xfffffb84,
    0x2005ffff,0x0005fffe,0x002ffff4,0x017fffa0,0x0bfffd00,0x03fffe40,
    0x3ffff300,0xffe80000,0x4c0000af,0xfb00ffff,0xd737dfff,0x43ffffff,
    0xfffffffb,0x4fffffff,0x7fffec40,0x7fffffff,0xfb02fff4,0x01ffffff,
    0x3fffff66,0x3fa005ff,0x740005ff,0x40005fff,0x0005fffe,0x002ffff4,
    0x000ffff9,0x002fffe4,0x037ffc00,0x7fffd000,0x3ffffe60,0xfeffffff,
    0x7ff541ff,0xffffffff,0x3faa001d,0xefffffff,0x003fff24,0x01bffff9,
    0xffffdb30,0x7fff400b,0x7ff40005,0x7f40005f,0x740005ff,0x32005fff,
    0x10007fff,0x0005ffff,0x03fff980,0x3ffee000,0x3ffff207,0xfc9fffff,
    0x997301ff,0x001579bd,0x19aaa980,0x04cc0000,0x03531000,0xffddddd1,
    0xdddddfff,0xeeeee881,0xeeefffff,0x777440ee,0xefffffee,0x7440eeee,
    0xffffeeee,0x80eeeeef,0xeeeffffc,0x46eeeeee,0x0006fffb,0x00fffb80,
    0x7fffc000,0x3fffee02,0xfff90cff,0x00000003,0x00000000,0xff300000,
    0xffffffff,0x981fffff,0xffffffff,0x0fffffff,0x7fffffcc,0xffffffff,
    0x7fffcc0f,0xffffffff,0xffc80fff,0xffffffff,0x7ff47fff,0xc800003f,
    0x800005ff,0x9806fffc,0x000001aa,0x00000000,0x00000000,0xffffff30,
    0xffffffff,0xffff981f,0xffffffff,0x7fcc0fff,0xffffffff,0x4c0fffff,
    0xffffffff,0x0fffffff,0xffffffc8,0x7fffffff,0x003fffea,0x06aaa000,
    0x3fe20000,0x000001ff,0x00000000,0x00000000,0xfff98000,0xffffffff,
    0x7cc0ffff,0xffffffff,0x40ffffff,0xfffffff9,0xffffffff,0x7ffffcc0,
    0xffffffff,0xfffc80ff,0xffffffff,0x000007ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x33000000,
    0x26660133,0x40000199,0x44010098,0x000abca9,0x00333333,0x26660000,
    0x26200199,0x01310019,0x33310000,0x26600000,0x99981999,0x00000199,
    0x2e600031,0x00037501,0x05ffff10,0x4fffffea,0x9803edb9,0xdffffedc,
    0xfc882fec,0x2dffffff,0x7ffffd40,0x64000003,0x001fffff,0x00dfffd1,
    0x179dfffb,0x7ff44000,0x6400006f,0xa81fffff,0x003fffff,0xf7177754,
    0x2007dfff,0x7e43fffa,0x440001ff,0x2e02ffff,0xffffffff,0x7fdc03ff,
    0xffffffff,0x7ffcc2ff,0xffffffff,0x7fff4403,0x9000003f,0x001bffff,
    0x2fffffec,0x3fffff60,0xd8000bff,0x005fffff,0xbffff900,0x7fff4401,
    0x3fea003f,0xffffe8bf,0xfe805fff,0x3ffe27ff,0x7c40005f,0xdba82fff,
    0xffffffff,0xffd103ff,0xffffffff,0x7f445fff,0xffffffff,0xfc802fff,
    0x00003fff,0x01ffffe4,0x3f3fff60,0x3ff605ff,0x1fffffff,0x33fff600,
    0x40005fff,0x003ffffc,0x00fffff2,0x7f6fffd4,0xffffffff,0x3ffff405,
    0x00bffff1,0x2ffff880,0x7fffffc4,0x1bdfffff,0xbfffff90,0xffffb757,
    0x6ffffe45,0x17fffee1,0x1ffffd40,0xfffc8000,0x7fec001f,0x09fff52f,
    0x3ffffff6,0xd800ffff,0xfff52fff,0x3ff20009,0xfa8001ff,0xfa803fff,
    0xdfffffff,0x01fffffe,0xfb13ffee,0x880005ff,0x7c42ffff,0xffffffff,
    0x7ffcc03f,0xfff881ef,0x17fffe2f,0x003fffec,0x00399991,0x0cccc980,
    0x16664c00,0x8807332a,0xfffffeb9,0x16664c06,0x0007332a,0x00199993,
    0x0e666440,0x3ffffea0,0x3fff20bf,0x815cc05f,0x880001ba,0x7c42ffff,
    0xfff99bce,0x3ff601ff,0xfff101ff,0x3fffe25f,0x0dfff903,0x00000000,
    0x00000000,0x2fffffb8,0x00000000,0x40000000,0x03fffffa,0x001ffffd,
    0x4c400000,0x82ffff88,0xdffffb00,0x17fffe20,0x32ffff88,0x3a03ffff,
    0x44005fff,0x88000099,0x40000099,0xfc800009,0x98004fff,0x02600000,
    0x00130000,0x409ffff5,0x001ffffb,0x20001331,0xfffffdc8,0x2602ffff,
    0xffffffec,0xffff983f,0x3fffe203,0x01ffff52,0x803ffffb,0xfffffec9,
    0xc9800cef,0xeffffffe,0x76d4000c,0x003effff,0x0dffff30,0xffffd910,
    0xec88007b,0x003dffff,0xffffec88,0xffff503d,0x7fffd401,0xfffd9302,
    0x0019dfff,0xfffffff7,0x205fffff,0xfffffffc,0xffa87fff,0x3fe202ff,
    0xffff52ff,0x4ffffd81,0x7ffffdc0,0x2fffffff,0x3ffffee0,0x2fffffff,
    0xffffd880,0x01efffff,0x2ffffc40,0x3ffffea0,0x800effff,0xfffffffa,
    0xf5000eff,0xffffffff,0xffffa81d,0x3fffe600,0xfffffb83,0x2fffffff,
    0x3fffffa0,0xffffffff,0x7ffff442,0xffffffff,0x0ffffdc3,0x25ffff10,
    0x320ffffa,0xb804ffff,0xffffffff,0x701fffff,0xffffffff,0x403fffff,
    0xfffffff9,0x02ffffff,0x13fffea0,0xffffffb8,0x00ffffff,0x3fffffee,
    0x00ffffff,0x7fffffdc,0x20ffffff,0x200ffffa,0xb83ffff9,0xffffffff,
    0xc81fffff,0xabdfffff,0x42ffffdb,0xbdfffffc,0x47ffffca,0x201ffffb,
    0xf52ffff8,0x3fe61fff,0xdf7004ff,0xfd533559,0x3ee0dfff,0xea99aace,
    0x3606ffff,0xedefffff,0x006fffff,0x05ffffd1,0x33ffffe6,0x5ffffc99,
    0x9fffff30,0xbffff933,0x7ffffcc0,0xffffc99c,0x03fffea5,0x82ffffa8,
    0x99aacefb,0x46ffffea,0x81effff9,0x262ffff8,0xe81fffff,0x3ea1ffff,
    0x3e201fff,0xfff52fff,0x3fffee1f,0xb0033000,0x0660ffff,0x41ffff60,
    0x40effffa,0x43ffffe8,0xfffdccc8,0x3ff606ff,0xffff705f,0x0bfffb03,
    0x407fffee,0xf705fffd,0x3fea3fff,0x3fee00ff,0x801980ff,0x7f47fffd,
    0xff101fff,0x7fff45ff,0xffff701f,0x17fffcc7,0x25ffff70,0xf90ffffa,
    0x00001fff,0x00ffffa8,0x3fffea00,0x0ffffe80,0x8fffff10,0xfffffff8,
    0xfff301ff,0x7fffc05f,0x17fffcc4,0x309ffff0,0x7c05ffff,0xfff54fff,
    0x7ffec01f,0x7fd40007,0x3fffe0ff,0x3fffe205,0x817fffe2,0x226ffff8,
    0xf505ffff,0x3ea5ffff,0xfff50fff,0x980000bf,0x0001ffff,0x107fffe6,
    0xc809ffff,0x3e20ffff,0x0effffff,0x01ffff20,0xfc8bfffb,0x7fec07ff,
    0x7fffc85f,0xaafffec0,0xf300ffff,0x8000dfff,0xf31ffff9,0x7c407fff,
    0xfff12fff,0xffff807f,0x17ffff46,0x3fffffea,0x21ffff52,0x0dfffff8,
    0x65d4c400,0x01ffffdc,0xdccba988,0x7d41ffff,0x7d401fff,0x3fe21fff,
    0xd802ceff,0xccccefff,0x6fffeccc,0x6677ffec,0xffeccccc,0xefffd86f,
    0xeccccccc,0xfff56fff,0xfffd101f,0x2a62003f,0xffffdccb,0x05ffff51,
    0xa97fffc4,0x7402ffff,0x7fd47fff,0xffebcfff,0xf52fffff,0x7fe41fff,
    0xa801efff,0xfffffffd,0x2a01ffff,0xfffffffd,0x7dc1ffff,0x7cc00fff,
    0x7ffc2fff,0x3ffa000f,0xffffffff,0x747fffff,0xffffffff,0x7fffffff,
    0xffffffe8,0xffffffff,0x9ffff57f,0xffff9535,0xffb5009f,0xffffffff,
    0x3fffee3f,0x3fffe201,0x03ffff72,0xe87fffd8,0xffffffff,0x52ffffef,
    0xfd81ffff,0x101fffff,0xfffffffd,0x03ffffff,0xffffffd1,0x3fffffff,
    0x00ffffc8,0x21ffffc4,0x2000ffff,0xffffffff,0xffffffff,0x7fffffc7,
    0xffffffff,0xffff87ff,0xffffffff,0xff57ffff,0xffffffff,0x4401ffff,
    0xfffffffe,0x71ffffff,0x4403ffff,0xff72ffff,0xffd803ff,0xfffe887f,
    0xff8effff,0xffff52ff,0xfffff901,0x3ffffa0d,0xffdccdef,0xfffe81ff,
    0xfdccdeff,0x7fdc1fff,0x7fcc00ff,0x3fffc2ff,0x3bfffe00,0xeeeeeeee,
    0x7ffc5eee,0xeeeeeeef,0xf85eeeee,0xeeeeefff,0x5eeeeeee,0xfffffff5,
    0x019fffff,0xefffffe8,0xffffdccd,0x03ffff51,0xa97fffc4,0x7402ffff,
    0xfb107fff,0xf119ffff,0x3fea5fff,0xfff500ff,0xfffb87ff,0xfff980df,
    0x7fffdc1f,0xffff980d,0x0ffffd41,0x07fffea0,0xe8005555,0x40004fff,
    0x0004fffe,0x004fffe8,0xffffff50,0x003bffff,0x01bffff7,0x263ffff3,
    0x2e02ffff,0xff32ffff,0x7fc407ff,0x9a9805ff,0x4bfffe20,0x200ffffa,
    0x6c5ffffb,0xf300ffff,0xffd83fff,0xfff300ff,0xffff983f,0x7fffe403,
    0x3f600000,0x6c0005ff,0x80005fff,0x0005fffd,0x531ffff5,0xffd80013,
    0xfff300ff,0x3fffe23f,0xfffff505,0x1bfffe25,0x03ffffc8,0x3fffe200,
    0x01ffff52,0x7c6ffff8,0x3f206fff,0x7ffc1fff,0x3fff206f,0x7fffc41f,
    0x3fffe207,0x000aa886,0x00ffffe4,0x3ffff900,0xfffc8000,0xffa8001f,
    0x7c0000ff,0x3f206fff,0x3ffa1fff,0x7ffd42ff,0x3ffa2fff,0xfffa84ff,
    0x220000ff,0xff52ffff,0xfff801ff,0x7ffff45f,0xfffffd81,0x0fffff41,
    0x0fffffec,0x06ffffec,0x0bffffa2,0x003ffff1,0x077fffcc,0xffff9800,
    0x3e60000e,0x4000efff,0x000ffffa,0x0fffff40,0x0fffffec,0x79fffff5,
    0xfffffffd,0x7ffffcc5,0xffffdbce,0x7c40004f,0xfff52fff,0x2a6aea1f,
    0x6c3ffffd,0xb9beffff,0x1ffffffe,0x5f7fffec,0xfffffeb9,0xffff881f,
    0xfffdcdff,0xfffd85ff,0x7fe4006f,0xa99acfff,0xff907dca,0x53359fff,
    0x7e40fb95,0x99acffff,0x3ea7dcaa,0x40000fff,0x9beffffd,0xffffffeb,
    0x7fffff41,0xffdeffff,0x7fffec2f,0xffffffff,0x7c40000e,0xfff52fff,
    0x3ffff21f,0x4c0effff,0xffffffff,0x1fffefff,0x7fffffcc,0xffefffff,
    0xffff901f,0xffffffff,0xffffd03f,0xffe8800f,0xffffffff,0xffd107ff,
    0xffffffff,0x7f440fff,0xffffffff,0x3fea7fff,0x4c0000ff,0xffffffff,
    0x1fffefff,0x7fffff44,0xfffc9eff,0x7fffec42,0x0effffff,0xfff88000,
    0x1ffff52f,0x3ffffff2,0xfff900ff,0x93ffffff,0xff903fff,0x3fffffff,
    0x5c03fff9,0xffffffff,0xffb00dff,0xb1000dff,0xffffffff,0x6c40ffff,
    0xffffffff,0x6c407fff,0xffffffff,0x3fea7fff,0xc80000ff,0xffffffff,
    0x81fffc9f,0xcfffffd8,0x205fff90,0xffffffea,0x2200002e,0xff52ffff,
    0x3fff21ff,0xfb803fff,0x90cfffff,0x3ee03fff,0x90cfffff,0xd8803fff,
    0x3effffff,0x0ffff440,0xfffd5000,0x09dfffff,0xfffffd50,0x2009dfff,
    0xffffffea,0x3fea4eff,0x700000ff,0x19ffffff,0x3007fff2,0x30000135,
    0x00001355,0x01555510,0x00066660,0x0000d54c,0x0000d54c,0x0006a620,
    0x800002aa,0x0019aaa9,0x066aaa60,0x35553000,0x0aaaa203,0x2aa60000,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x01bb9800,0x00666620,0x00000000,0x00037730,0x2ea03730,
    0x26600001,0x99981999,0x00000199,0x20003331,0x037501b9,0x26666000,
    0x99999819,0x98800001,0x44000019,0x21effffe,0x7ffd41e9,0x5c00000f,
    0x003defed,0x3ffffa20,0x2007a61e,0x7e43fffa,0xc80001ff,0xa81fffff,
    0x003fffff,0x7fff4400,0x7ffd4006,0x00fffe43,0x3ffff200,0xffffa81f,
    0x2200003f,0xa806fffe,0xffd01efe,0xfbbfffff,0x7ffd41ff,0xd300000f,
    0xdfffffff,0xfffd0003,0xffbbffff,0xfffe801f,0x17fffe27,0xffff9000,
    0x7ff4401b,0x200003ff,0x05fffffd,0x89ffffa0,0x0005ffff,0x037ffff2,
    0x3ffffe88,0xfffb0000,0x7fcc0bff,0x7fcc1fff,0xfffffedf,0x7ffd46ff,
    0xf880000f,0xffffffff,0x3e6000ff,0xffffedff,0xfe806fff,0x3ffe27ff,
    0x3f20005f,0x32003fff,0x0003ffff,0xffcfffd8,0xfffd005f,0x2ffffc4f,
    0xffffc800,0x3fff2003,0x7ec0003f,0x05fffcff,0x09fffffb,0x7ffdc3f5,
    0x7fd40fff,0xd80000ff,0xfdbcffff,0x54005fff,0x3fffee1f,0xffb800ff,
    0x17ffec4f,0xffffc800,0xfffa8001,0x3f60003f,0x9fff52ff,0x89fff700,
    0x8002fffd,0x001ffffc,0x03ffffa8,0x25fffb00,0xfe84fffa,0x0105ffff,
    0x2a059971,0x0000ffff,0x20ffffcc,0x8007fffc,0x02ccb880,0xba815cc0,
    0x99930001,0x64400019,0x98001ccc,0x66542ccc,0x02b9801c,0x93000375,
    0x40001999,0x001cccc8,0x2a16664c,0x7fe41ccc,0x00003fff,0x00ffffa8,
    0x2fffdc00,0x007fffc4,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x22000000,0x1006fffe,0xff500133,0x400301ff,0xf885fffc,
    0x300007ff,0x09800001,0x004c0000,0x00026000,0x0004cc40,0x00000000,
    0x00000000,0x0b2e0000,0xffffec98,0xfa80ceff,0x3ff6e7ff,0x7fdc03ef,
    0x6fffb87f,0xffdb5000,0x50007dff,0x7dffffdb,0xffdb5000,0x50007dff,
    0x7dffffdb,0x7ff64c00,0x00ceffff,0x881bbbaa,0x7541eeee,0x3ba206ee,
    0xeeea81ee,0x3bbba206,0x03777541,0x003dddd1,0xffffffb8,0x42ffffff,
    0xffb7fffa,0x40bfffff,0x262ffff9,0x4003ffff,0xffffffd8,0x8801efff,
    0xfffffffd,0xd8801eff,0xffffffff,0xfd8801ef,0xffffffff,0x7ffdc01e,
    0xffffffff,0xffff702f,0x0ffffcc0,0x981fffee,0xfb81ffff,0x3fe607ff,
    0x7ffdc1ff,0x3fffe607,0x7ffdc001,0xffffffff,0x3ffea1ff,0xffffffef,
    0x3fa05fff,0xfffb8fff,0x7fcc006f,0xffffffff,0x3e602fff,0xffffffff,
    0x2602ffff,0xffffffff,0x202fffff,0xfffffff9,0x02ffffff,0x3fffffee,
    0x1fffffff,0x207fffb8,0x5c1ffff9,0x3e607fff,0xffb81fff,0x3ffe607f,
    0x3fffdc1f,0x03ffff30,0xaacefb80,0xffffea99,0x3ffffea6,0xfffedfff,
    0xfff301ff,0x1dffffff,0xffffd800,0xffffedef,0x3fff606f,0xfffedeff,
    0x3ff606ff,0xffedefff,0x3f606fff,0xfedeffff,0x2e06ffff,0xa99aacef,
    0xb86ffffe,0x3e607fff,0x7fdc1fff,0x3ffe607f,0x7fffb81f,0x07fffe60,
    0x4c0ffff7,0x4001ffff,0xfffd8019,0x3ffffea7,0x3fff20bf,0x3fff205f,
    0x8004ffff,0x40effffa,0x83ffffe8,0x40effffa,0x83ffffe8,0x40effffa,
    0x83ffffe8,0x40effffa,0x03ffffe8,0xfffb0033,0x0ffff70f,0x20ffffcc,
    0x2607fffb,0xfb81ffff,0x3fe607ff,0x7ffdc1ff,0x3fffe607,0xf5000001,
    0x3fea1fff,0xffd03fff,0x3fea01ff,0x0001efff,0x201ffffd,0xe87ffff8,
    0xf100ffff,0xffd0ffff,0x3fe201ff,0xfffe87ff,0xffff100f,0xffa8000f,
    0x7ffdc0ff,0x3fffe607,0x03fffdc1,0x703ffff3,0x7cc0ffff,0x7fdc1fff,
    0x3ffe607f,0x0000c41f,0xa8ffffcc,0x2e04ffff,0xfc81ffff,0x41ffffff,
    0xf881cccb,0x7e404fff,0x3fe20fff,0x7fe404ff,0x3ffe20ff,0x7ffe404f,
    0x3fffe20f,0x7fffe404,0x3fe60000,0x7ffdc1ff,0x3fffe607,0x03fffdc1,
    0x703ffff3,0x7cc0ffff,0x7fdc1fff,0x3ffe607f,0x0ffff21f,0x332ea620,
    0xf51ffffd,0x7d401fff,0x7fe42fff,0x0effffff,0x2a07fffa,0x5401ffff,
    0x3ea1ffff,0x7d401fff,0x3fea1fff,0x7fd401ff,0x3ffea1ff,0x7ffd401f,
    0xba98801f,0x1ffffdcc,0x303fffdc,0xfb83ffff,0x3fe607ff,0xfffb81ff,
    0x3fffe607,0x03fffdc1,0x2e3ffff3,0x502fffff,0xfffffffb,0x3ea3ffff,
    0x3e600fff,0x3fe63fff,0xffffbdff,0x203fffe5,0x400ffffb,0x2e2ffff9,
    0x4c00ffff,0x3ee2ffff,0x7cc00fff,0x3fee2fff,0x7fcc00ff,0x3f6a02ff,
    0xffffffff,0x7ffdc1ff,0x3fffe607,0x03fffdc1,0x703ffff3,0x7cc0ffff,
    0x7fdc1fff,0x3ffe607f,0xfffffb1f,0xffffe889,0xffffffff,0x1ffff51f,
    0x1ffffcc0,0x7ecdfffb,0xfff8cfff,0x1ffff907,0x3ffff880,0x003ffff2,
    0x647ffff1,0x4400ffff,0x3f23ffff,0x7c400fff,0xfe883fff,0xffffffff,
    0x7dc1ffff,0x3fe607ff,0x7ffdc1ff,0x3fffe607,0x07fffb81,0x707fffe6,
    0x7cc0ffff,0xfffd1fff,0xfffe8bff,0xfdccdeff,0xfff51fff,0x7ffd401f,
    0x5ffff12f,0xfcffffe8,0xfff706ff,0xfff9801f,0x3fffee2f,0x7fffcc00,
    0x03fffee2,0x45ffff30,0x400ffffb,0xe82ffff9,0xcdefffff,0x41ffffdc,
    0x2607fffb,0x7dc1ffff,0x3fe607ff,0xfffb81ff,0x3fffe607,0x03fffdc1,
    0x2e3ffff3,0x2e2fffff,0x980dffff,0xff51ffff,0x7fdc01ff,0xffff30ff,
    0xfffff881,0xff504fff,0xffa803ff,0x3ffea1ff,0x7ffd401f,0x3fffea1f,
    0x7fffd401,0x07fffea1,0x83ffff50,0x80dffffb,0x5c1ffff9,0x3e607fff,
    0x7fdc1fff,0x3ffe607f,0x7fffb81f,0x07fffe60,0x4c0ffff7,0x3f61ffff,
    0x7ffec4ff,0xffff300f,0x03fffea3,0x2a7fffd8,0xf980ffff,0x00ffffff,
    0x807ffff3,0x260ffffc,0x6403ffff,0x3e60ffff,0x7e403fff,0x3fe60fff,
    0x7fe403ff,0x7ffec0ff,0xffff300f,0x0ffffb83,0x83ffff90,0x900ffffb,
    0xf703ffff,0x3f201fff,0x7fdc1fff,0xfff900ff,0xf81a983f,0x3f206fff,
    0xfff51fff,0x3ffe601f,0x3fffe66f,0xfffff702,0x7fffc40b,0x3fffe207,
    0x3ffffc46,0x8dffff10,0x207ffff8,0x446ffff8,0x2207ffff,0xff86ffff,
    0x3ff206ff,0x7ffd41ff,0xffffb82f,0x7fffd41f,0xfffffb82,0x2ffffa81,
    0x1fffffb8,0x417fffd4,0x01fffffb,0x07ffffa0,0x47fffff6,0x880ffffa,
    0x7c1ffffe,0xfd00efff,0xfd80bfff,0x7440dfff,0xfd82ffff,0x7440dfff,
    0xfd82ffff,0x7440dfff,0xfd82ffff,0x7440dfff,0xfe82ffff,0xffd81fff,
    0x7fcc1fff,0x7ffd44ff,0x7fcc1fff,0x7ffd44ff,0xff981fff,0x7ffd44ff,
    0x7fcc1fff,0x7ffd44ff,0x3fe21fff,0x7fffec7f,0xfffeb9be,0xfff51fff,
    0xff95359f,0xffb09fff,0xd7537fff,0x07ffffff,0x7fffffc4,0xfffffdcd,
    0xfffff105,0xffffb9bf,0x3ffe20bf,0xffdcdfff,0xff105fff,0xfb9bffff,
    0x360bffff,0xb9beffff,0x1ffffffe,0x77ffffc4,0xffffffec,0x7fffc41f,
    0xffffecef,0xff881fff,0xffecefff,0x441fffff,0xecefffff,0x1fffffff,
    0xf313ffea,0xffffffff,0x23fffdff,0xfffffffa,0x0fffffff,0xffffff88,
    0xffffffff,0x3f202fff,0xffffffff,0x3201ffff,0xffffffff,0x201fffff,
    0xfffffffc,0x01ffffff,0x3ffffff2,0x1fffffff,0xffffff30,0xffdfffff,
    0xffff903f,0xfddfffff,0xfff903ff,0xddffffff,0x3f203fff,0xffffffff,
    0xc81fffee,0xffffffff,0x21fffeef,0xfc81fffc,0xffffffff,0xf51fffc9,
    0xffffffff,0x4c019fff,0xffffffff,0xffffcfff,0x3ffee01f,0xdfffffff,
    0xffffb800,0x0dffffff,0xfffffb80,0x00dfffff,0xffffffb8,0x400dffff,
    0xfffffffc,0x1fffc9ff,0xfffffe88,0xfffc8eff,0xffffe881,0xffc8efff,
    0xfffd101f,0xf91dffff,0xffd103ff,0x91dfffff,0x7fec3fff,0x3fffee06,
    0xfff90cff,0x3fff6e23,0x01dfffff,0x3ffffee0,0xfff50cff,0x7ec401df,
    0x03efffff,0x7fffec40,0x44003eff,0xeffffffd,0x7fec4003,0x003effff,
    0x3fffffee,0x03fff90c,0x3fffff62,0x03fff90c,0x3fffff62,0x03fff90c,
    0x7ffffec4,0x03fff90c,0x3fffff62,0x43fff90c,0xa9803fff,0x4cc0001a,
    0x4400009a,0x000009a9,0x0001a988,0x00035310,0x0006a620,0x000d4c40,
    0x0006aa60,0x0026a620,0x01353100,0x13531000,0x9a988000,0x02eee000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0x000acba8,0xb8802662,0x30057302,0x26200355,
    0x0ddcc009,0x0dddd500,0x00777754,0x80066620,0x00999998,0x00199980,
    0x99880000,0x55300999,0x02662003,0x99998800,0x00019999,0xe805df91,
    0x00ffffff,0x8817ffcc,0x7fcc6fff,0xfffb304f,0x5fff3009,0x3ffffa20,
    0xf707a61e,0x7fdc0fff,0x3a2000ff,0xd1006fff,0x001dffff,0x00ffffcc,
    0xff500000,0xfb307fff,0xff3009ff,0x3bfaa05f,0xfffffc81,0x8001ffff,
    0x201ffffd,0x5ffffffe,0x702fff40,0x7ec5ffff,0x7fec0fff,0xfe804fff,
    0x3fffa05f,0xffddffff,0x1fffee0f,0x00ffffb8,0x3fffff60,0x3fff2005,
    0xff3000ef,0x000003ff,0x3ffffea0,0xfffffd81,0x05ffe804,0x83fffff3,
    0xfffffffc,0x7c4001ff,0x2604ffff,0xc81fff20,0x3ee00fff,0x3ff62fff,
    0x7fff40ff,0x7fe404ff,0xbfff300f,0xfffffffd,0x07fffb8d,0x003fffee,
    0x7fe7ffec,0x3fea005f,0xf9800eff,0x00001fff,0xdffffa80,0xfffffd00,
    0x0fffc809,0x9fffffb0,0xffffffc8,0x44001fff,0x404fffff,0x05ffea98,
    0x8807fff3,0x7fd46fff,0xfe8cb85f,0x3ffe604f,0xf70fd403,0xb81fffff,
    0x3ee07fff,0xfd800fff,0x9fff52ff,0x7fff4400,0x7ffcc00e,0x4000001f,
    0x404ffffa,0x04ffe8cb,0xe80fffe6,0x4c5fffff,0xfffcaaaa,0xffd8001f,
    0x7fec01ff,0x3ffa05ff,0x01771005,0xffd00573,0x02fff409,0x2ccb8808,
    0x40ffff70,0x400ffffb,0x6542ccc9,0x65c001cc,0x7fcc02cc,0x000001ff,
    0x00733322,0x7409ffd0,0x7fe405ff,0xfa803fff,0x88001fff,0xfd801dec,
    0x5c0dffff,0x00000fff,0x04ffe800,0x0001fff7,0xffff7000,0x07fffdc0,
    0x00000000,0x3fffe600,0x00000001,0x827ff400,0x4400fffb,0x5006fffe,
    0x0003ffff,0x2ea62000,0x3fe63fff,0x0000003f,0xf309ffd0,0x100007ff,
    0x7ffdc013,0x3fffee07,0x00000000,0x7ffcc000,0x0000001f,0x27ff4000,
    0x001fffcc,0x7d400597,0x00001fff,0x4bfff000,0xd7006ffe,0xdddddddd,
    0x27ff4003,0x54037ff4,0x3fee2eee,0xffb83eff,0x3ffee07f,0x3bbae00f,
    0x01eeeeee,0xdddddd70,0x7cc03ddd,0xdd501fff,0x3ae01bdd,0xeeeeeeee,
    0x27ff4001,0x00037ff4,0x7fffd400,0x77775c01,0x301eeeee,0xffffdddf,
    0x007ffee7,0x7fffffe4,0x3a001fff,0x7ffdc4ff,0xbfffa801,0xffffffe8,
    0x3fffdc5f,0x01ffff70,0x7fffffe4,0xf9001fff,0xffffffff,0x7fffcc03,
    0xfffff981,0x3ffff202,0x001fffff,0x3ee27ff4,0x000001ff,0x01ffffa8,
    0x7fffffe4,0xff301fff,0x229fffff,0x32003fff,0xffffffff,0x3ffa001f,
    0x00fffe24,0x7f6fffd4,0xffffffff,0x81fffee2,0x200ffffb,0xfffffffc,
    0xff9001ff,0x3fffffff,0x0ffffcc0,0x0fffffe2,0xffffff90,0xe8003fff,
    0x3ffe24ff,0x50000003,0xc803ffff,0xffffffff,0xbdd9101f,0x37fec179,
    0x33332a00,0x001ffffd,0xffd86aaa,0x3ffea006,0xffdfffff,0x3fee6fff,
    0x3ffee07f,0x3332a00f,0x01ffffdc,0xfb999950,0x7cc03fff,0x7ff41fff,
    0xcca804ff,0x1ffffdcc,0xb0d55400,0x00000dff,0x0ffffd40,0x373332a0,
    0x0001ffff,0x0007ffee,0x07fffea0,0x3fff7000,0x7fffd400,0xffd10bff,
    0x3ffee1ff,0xfffe880f,0x7fd4000f,0x2a0001ff,0x2601ffff,0x3f61ffff,
    0x20004fff,0x001ffffa,0x01fffb80,0x3ea00000,0xa8001fff,0x0001ffff,
    0x0009fff1,0x07fffea0,0x4fff8800,0x7fffd400,0xffffb83f,0x03ffff71,
    0x01fffffb,0x1ffffa80,0x3ffea000,0x3ffe601f,0xbffff71f,0xfffa8000,
    0x7c40001f,0xb30004ff,0x3ea0019d,0xa8001fff,0x0001ffff,0x0000dffb,
    0x00ffffd4,0x00dffb00,0x09ffff50,0x5cbfffe6,0x7e44ffff,0x001fffff,
    0x00ffffd4,0x3ffff500,0x4ffffcc0,0x006ffffa,0x1ffffa80,0x37fec000,
    0xffff9800,0xfffa800e,0xffa8001f,0xfa8001ff,0x200001ff,0x001ffffa,
    0x003fff50,0x01ffff50,0x5cbfffe2,0xfcefffff,0xefffffff,0x3ffea003,
    0x3ea0001f,0x3e601fff,0xffffbfff,0xfa80000e,0x20001fff,0x0001fffa,
    0x09fffff9,0x03ffff50,0x3ffff500,0x4fff8800,0x00733326,0x03ffff50,
    0x49fff100,0x501cccc9,0x2201ffff,0xff72ffff,0xffffffff,0x1fffffdb,
    0x3fffea00,0x3fea0001,0x3fe601ff,0x0fffffff,0xfff50000,0x3e20003f,
    0xbfd914ff,0x7ffe4017,0xffa807ff,0xfa8001ff,0x6c001fff,0x7fff46ff,
    0x7fd4003f,0xfd8001ff,0x7ffff46f,0x1ffff503,0x4bfffe20,0xfffffffb,
    0xffff95ff,0x3fea001f,0x2a0001ff,0x2601ffff,0xffffffff,0xf500003f,
    0x20003fff,0xfff56ffd,0x2a01ffff,0x00ffffff,0x00ffffd4,0x0ffffd40,
    0x43fff500,0x03fffffb,0x0ffffd40,0x87ffea00,0x03fffffb,0x201ffff5,
    0xf72ffff8,0x9ffffdff,0x07ffff44,0x1ffffa80,0x3ffea000,0x3ffe601f,
    0x2fffffaf,0xfffa8000,0xffa8001f,0xfbbff11f,0x7fe407ff,0x7d400fff,
    0xa8001fff,0x1001ffff,0x7fc49fff,0x4003ffce,0x001ffffa,0xf893ffe2,
    0x503ffcef,0x2201ffff,0xff72ffff,0x4c0351df,0x3ea000aa,0x20001fff,
    0x201ffffa,0xf99ffff9,0x0000ffff,0x00ffffd4,0x313ffe20,0x2037fec1,
    0xa807fffe,0x8001ffff,0x001ffffa,0x7ec1dffb,0x003ffc9f,0x00ffffd4,
    0x6c1dffb0,0x03ffc9ff,0x201ffff5,0xf72ffff8,0x00000dff,0x01ffffa8,
    0x3fffea00,0x3fffe601,0x1dffff71,0x7ffd4000,0x7fec001f,0x27ff400e,
    0x017fff20,0x007fffea,0x07fffea0,0xa8bffea0,0x07ff94ff,0x1ffffa80,
    0x45fff500,0x7ff94ffa,0x03fffea0,0xb97fffc4,0x00007fff,0x0ffffd40,
    0xffff5000,0x7fffcc03,0x17ffff61,0xffffa800,0x3ffea001,0x3fff6202,
    0x1ffff401,0x0ffffd40,0x7fffd400,0x2fff4401,0xfb57fff1,0x7d4005bf,
    0xe8801fff,0x3ffe25ff,0x82dffdab,0x100ffffa,0x3ee5ffff,0x000007ff,
    0x00ffffd4,0x3ffff500,0x0ffffcc0,0x07fffff1,0x3fffea00,0xbffd1001,
    0x17fff440,0x017fff20,0x00ffffd4,0x0ffffd40,0x983fff20,0xffffffff,
    0xcccc887f,0xcdffffdc,0x7fe43ccc,0x3fffe60f,0xa87fffff,0xf100ffff,
    0x3fee5fff,0x9100007f,0xfffb9999,0x879999bf,0xfdccccc8,0xccccdfff,
    0x83ffff33,0x02fffffa,0x37333322,0xcccdffff,0x0fffc83c,0x03dfff50,
    0xfffff975,0xccccc881,0xccdffffd,0x999913cc,0x9bffffb9,0x3fe67999,
    0x7fffcc2f,0x987fffff,0xffffffff,0x5fffffff,0xf30bffe6,0xffffffff,
    0x1ffff50f,0x4bfffe20,0x0007fffb,0xffffff30,0xffffffff,0xffff98bf,
    0xffffffff,0xfff35fff,0xffff903f,0x3ffe601f,0xffffffff,0x7cc5ffff,
    0xfff502ff,0x3a19999f,0x81dfffff,0xfffffff9,0xffffffff,0xffffff35,
    0xffffffff,0x417ffabf,0xffd99999,0xffff981c,0xffffffff,0x3ffa5fff,
    0xb3333305,0xff5039ff,0x3fe201ff,0xffff72ff,0x3fe60000,0xffffffff,
    0x4c5fffff,0xffffffff,0x5fffffff,0x203ffff3,0x80effffe,0xfffffff9,
    0xffffffff,0x902fff45,0xffffffff,0x0bbfffa3,0xffffff98,0xffffffff,
    0xfffff35f,0xffffffff,0x1fff9bff,0x81ffe400,0xfffffff9,0xffffffff,
    0x001fff95,0xfa81ffe4,0xff100fff,0x2aaa65ff,0xff300002,0xffffffff,
    0x98bfffff,0xffffffff,0x5fffffff,0x203ffff3,0x85fffff8,0xfffffff9,
    0xffffffff,0x803fff25,0xfffffffc,0x2003551f,0xfffffff9,0xffffffff,
    0xffffff35,0xffffffff,0x000000bf,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x776c0000,0x3eeeea84,
    0x3dddd500,0x97531000,0x4ccc4355,0x73000001,0x88000159,0x1abccca9,
    0x5e5cc400,0x99988009,0x99999999,0x03333109,0x20066660,0x01accba9,
    0x665cc400,0x333101ab,0x33333333,0x32a60133,0x0001accc,0x107fff30,
    0x200fffff,0x8007fffe,0xfffffffb,0x1ffff53f,0x3f620000,0x0dffffff,
    0x3fff6600,0x0fffffff,0x7fffec40,0x3201ffff,0xffffffff,0xff55ffff,
    0xff9801ff,0xffd501ff,0x17ffffff,0x3fff2200,0x5fffffff,0x7fffffe4,
    0x2fffffff,0x7fffffe4,0x000bffff,0x403fff20,0x402ffffc,0x004ffff9,
    0x3fffffa2,0xff53ffff,0x300001ff,0xffffffff,0xfb001dff,0xffffffff,
    0x7d401fff,0xffffffff,0xfff903ff,0xffffffff,0x3fffeabf,0x7fffcc00,
    0xfffffd81,0x0effffff,0x7ffff4c0,0xffffffff,0x3fffff20,0xffffffff,
    0x7ffffec2,0x0effffff,0x7ff4cc00,0x3fffe605,0x7fffdc05,0x3fff6001,
    0x3fffffff,0x001ffff5,0xdffffa80,0xffffdb9b,0x3ffff201,0xffffffff,
    0xffff700f,0xffffffff,0xffff90bf,0xffffffff,0x03fffeab,0x83ffff30,
    0xeffffffb,0x05ffffff,0x3ffffff2,0xffffffff,0x3fffff20,0xffffffff,
    0x7ffffec2,0x5fffffff,0x7fff6dc0,0x7f403fff,0x3fa00fff,0x3ea006ff,
    0x310aefff,0x3fffea35,0x3fe60000,0xffd100ef,0xffff301f,0x955357df,
    0xfff101fd,0xffb7bfff,0xca83ffff,0xfccccccc,0xfff55fff,0xfff9801f,
    0x3fffe21f,0xffd3109d,0xfff701ff,0x9779dfff,0x7e41fffd,0xffffffff,
    0x76c2ffff,0xfeb999ac,0xd881ffff,0xffffffff,0x3fee01ff,0xfff302ff,
    0x7fe4005f,0xffa801ff,0x360000ff,0xfe8805ff,0xffffc84f,0xff900803,
    0x3ff60bff,0xfe8005ff,0xffff55ff,0xffff9801,0x07fffea1,0x217fffcc,
    0x1efffff8,0xff906d40,0x4000009f,0x4c3ffffd,0xffffffff,0x102fffff,
    0x320dffff,0x6c007fff,0xf5005fff,0x20001fff,0x4c40fff9,0x1fff12cb,
    0x00ffffd8,0xbffff100,0x0ffffe80,0xaffff400,0x400ffffa,0x2e1ffff9,
    0x7fc06fff,0x7ffe42ff,0xf90000df,0x000009ff,0x227fffd4,0xcceffffe,
    0x0fffffff,0x01ffff90,0x8009ffff,0x5004ffff,0x9881ffff,0x227fec00,
    0xb0fffffb,0xfffe89ff,0xff90001f,0xffb805ff,0x7f4004ff,0xffff55ff,
    0xffff9801,0x03fffee1,0x10ffffc4,0x001fffff,0x027ffe40,0xfff10000,
    0x7fffd45f,0x3fffff25,0xfff304ff,0xffffa87f,0x7fffc001,0xffff5003,
    0x1f7fffdc,0x3f20fff8,0xf30fffff,0xffffd8ff,0xffd8000d,0xfff8807f,
    0x7ff4005f,0x1ffff55f,0x1ffff980,0x417fffea,0x7dc6fffd,0x40004fff,
    0x0004fffc,0x1fffea00,0xff8dfffd,0x07fffecf,0xfb1bfffa,0xff000dff,
    0x3ea007ff,0xfffe8fff,0x7cc5ffff,0x3fffe66f,0x3ffe0dcd,0x3ffffee0,
    0x3fa000bf,0xffd005ff,0xffe800df,0x1ffff55f,0x1ffff980,0x0f7ffff4,
    0xc85ffffb,0x0001ffff,0x0027ffe4,0xfffe8800,0x8bfffe65,0xffaafffa,
    0xfff701ff,0x3fffe23f,0x26666203,0x99cffff9,0x3ea19999,0xffffefff,
    0x2a2fffff,0x3fff65ff,0x887ffa02,0xffffffff,0xffff801c,0xffffd005,
    0x5fffe800,0x801ffff5,0x4c1ffff9,0xedffffff,0xfd84ffff,0xc80007ff,
    0xefffffff,0x998800bd,0xeffffcaa,0x91fffea0,0x3ffe2fff,0xffff102f,
    0x03fffee9,0xffffffb8,0xffffffff,0x3ffea7ff,0xffdfffff,0x3fee6fff,
    0xb01bffa4,0xfffa85ff,0x2effffff,0x09ffff10,0x01ffff60,0x2abfffd0,
    0x4c00ffff,0xf981ffff,0xffffffff,0xdfffd03f,0xffffff70,0x7ffe41ff,
    0xffffffff,0x7fffdc04,0xfb84ffff,0x27ffc7ff,0x6c07ffff,0xfffd7fff,
    0xffffb80b,0xffffffff,0x3ea7ffff,0x10bfffff,0x321ffffd,0x17ffe3ff,
    0xf507ff90,0xffffffff,0xfff983df,0xfff9003f,0x7ff4001f,0x1ffff55f,
    0x1ffff980,0xfffffd10,0x3fe01dff,0xfffb85ff,0x320fffff,0xffffffff,
    0x2e05ffff,0xffffffff,0x37ffe42d,0x7fc3fff5,0x3fe603ff,0x1ffffbff,
    0x7ffffdc0,0xffffffff,0x3fea7fff,0xffb83fff,0x47ff91ff,0x7e406fff,
    0xfff9103f,0x3fffffff,0x027fffcc,0x00ffffc8,0x557fffa0,0x4c00ffff,
    0xc881ffff,0xffffffff,0x7ffc42ff,0xffffb85f,0x32a0ffff,0xffeecccc,
    0xf705ffff,0xffffffff,0x3fff21df,0xff1fff66,0xffe805ff,0x806fffff,
    0xffaaaaa9,0xaaaaadff,0x3fffea2a,0x5ffff304,0xffe93fee,0x0bff600f,
    0xffffd710,0x3e21dfff,0xfb004fff,0xfe800fff,0xffff55ff,0xffff9801,
    0x7ffff441,0xffffffee,0x437fffc3,0xfffeeeea,0x3f66000f,0x33107fff,
    0xffffb553,0x9fffeedf,0x3fe24fff,0x7fdc01ff,0x003fffff,0x00ffffe0,
    0x807fffd4,0xf52ffff8,0x67ffecbf,0x01ffe810,0x3ffff260,0x3fffe3ff,
    0xdfffd005,0x5fffe800,0x801ffff5,0x741ffff9,0x3aa3ffff,0x3a0fffff,
    0xfa807fff,0xd8000fff,0x4001ffff,0xabffffe8,0xffa9ffff,0x3fffea1f,
    0x7fffc400,0x20000fff,0x5003ffff,0x2201ffff,0xff32ffff,0x7ffffd4d,
    0x03ffe0fe,0x3fffa600,0x1bfffa4f,0x02ffff40,0x557fffa0,0x4c00ffff,
    0x3ea1ffff,0xfd882fff,0x3ff64fff,0x7fd400ff,0xfa8000ff,0x88003fff,
    0xff8dffff,0x47ffdcff,0xb006fffe,0x009fffff,0x03ffff80,0x01ffff50,
    0x44bfffe2,0x3ff61fff,0xff50ffff,0x7fd4000f,0x3fffa6ff,0x7ffcc00f,
    0x7ff4004f,0x3ffff35f,0x47fffa80,0x2205fffe,0x3ee6ffff,0x7d403fff,
    0x98000fff,0x0004ffff,0x3f6dffff,0x24ffffff,0x002ffffc,0x01fffff5,
    0x3ffff800,0x1ffff500,0x8bfffe20,0x7fdc5ffd,0x7ffd0fff,0x7ffc4000,
    0x3ffff25f,0x7fffdc02,0x7fffc002,0x05ffff14,0x7c6fffb8,0x7ec03fff,
    0x3ffea7ff,0x7ffd406f,0xffa8000f,0xff0002ff,0x3ffeabff,0xfdbbffff,
    0x2a006fff,0x0005ffff,0x003ffff8,0x201ffff5,0x262ffff8,0x9a880fff,
    0x001fff30,0x1ffffd40,0x01dffff1,0x01bfffe2,0x47ffff50,0x7405ffff,
    0x7ffc5fff,0x7ffec05f,0x27ffff46,0x01ffff50,0x1ffffb00,0xffff5000,
    0x7ffffe47,0xffffffff,0x3fffa001,0xff80001f,0xff5003ff,0x3fe201ff,
    0x77fec2ff,0x1fffcc00,0xf5006fa2,0xfd85ffff,0x74c0efff,0x1ec2ffff,
    0x2ffffe88,0x40bffffa,0x743ffffb,0xf101ffff,0xff989fff,0xfa81efff,
    0x22000fff,0x006ffffd,0x2fffffa8,0x7fffffe4,0x000effff,0x013ffff2,
    0x1ffffc00,0x0ffffa80,0x85ffff10,0x501ffff9,0xff10ffff,0xdd99bdff,
    0x30dfffff,0xbdffffff,0x0bffffff,0xf979bffd,0xfa8dffff,0xbabdffff,
    0xc86ffffd,0x9aceffff,0x1fffffb9,0xffffffd8,0xffffdcef,0x799bf10f,
    0xfffffb97,0x5e67543f,0xffffccaa,0xfff905ff,0x807dffff,0x3ffff660,
    0x3fe00006,0xff5003ff,0x3fe201ff,0xfffa82ff,0xfffdbdff,0xfff880ef,
    0xffffffff,0xf900efff,0xffffffff,0xfd03dfff,0xffffffff,0xfffb03ff,
    0xffffffff,0xffd103ff,0xffffffff,0x3a207fff,0xffffffff,0x10ffffff,
    0xffffffff,0xa83fffff,0xffffffff,0x206fffff,0x01aaeffd,0x3fffffe0,
    0x00000fff,0x400ffffe,0x100ffffa,0x2605ffff,0xfffffffe,0x3fe205ff,
    0xffffffff,0x5401efff,0xffffffff,0xffd00dff,0xffffffff,0x3fff6205,
    0xefffffff,0x3fffe601,0xffffffff,0xffffb804,0xffffffff,0xfffff10f,
    0x3bffffff,0xffffff50,0x19ffffff,0x00fffe20,0x7fffffc0,0x400001ff,
    0x5003ffff,0x2201ffff,0x2202ffff,0xdfffffec,0x7ff64403,0xdfffffff,
    0x3fb66001,0x402effff,0xffffffc9,0xffd5004f,0x007fffff,0x7fffff5c,
    0x26000cff,0xffffffed,0x3fe20bdf,0xcfffffff,0x3fffea01,0x0befffff,
    0x007ffdc0,0xffffff80,0xf800000c,0xf5003fff,0x3e201fff,0x26002fff,
    0x2660000a,0x00009aaa,0x0001a988,0x00013531,0x0004d544,0x01355310,
    0x26aa6000,0x9aa99801,0x54cc4001,0xfe80019a,0x3b20006f,0x00000acd,
    0x00ffffe0,0x807fffd4,0x002ffff8,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0025cc00,0x0abca980,
    0xcca88000,0x440001ab,0x10000999,0x00cccc40,0x4ccccc00,0x99800099,
    0x33100099,0x5d4c0033,0x000009bc,0x99880000,0x99999999,0x26666621,
    0x99999999,0x2a009999,0x7fe403ee,0x7e40005f,0x0effffff,0x7fff5400,
    0x03ffffff,0xffffeb88,0xd97003ff,0x25bfffff,0x000ffffb,0x7fffffc0,
    0x00bdefff,0x00fffff4,0x01bfffe2,0x3fffffa6,0x3ae00dff,0x005d1000,
    0x3fffff60,0x327fffff,0xffffffff,0xffffffff,0xffff503f,0x2ffff40b,
    0xfffe8800,0x2fffffff,0xfffff900,0x09ffffff,0x7ffffecc,0x4c03ffff,
    0xfffffffe,0xffff75ff,0xfff80001,0xffffffff,0x3fe602ff,0x7fe405ff,
    0x7fdc01ff,0xffffffff,0x27ff542f,0x02effc80,0x3ffffe20,0x27ffffff,
    0xfffffffc,0xffffffff,0xfffd03ff,0x3ffa05ff,0xff98005f,0xffffffff,
    0x3a202fff,0xffffffff,0xf504ffff,0xffffffff,0x7fe407ff,0xffffffff,
    0x1ffff75f,0xffff8000,0xffffffff,0xffb00dff,0x3fe203ff,0x7fcc04ff,
    0xffffffff,0x7fff45ff,0x7ffd402f,0x3fee005f,0xffffffff,0x267ff27f,
    0x99999999,0xd03ffa99,0x20bfffff,0x8005fffe,0x89cffffe,0x06ffffda,
    0x3ffffffa,0x4ffdcbcd,0xffffffa8,0x01ccccef,0xfffffff5,0x2ebfffdd,
    0xefffffff,0xff800acc,0xffdcceff,0x104fffff,0x320dffff,0x7400ffff,
    0x88adffff,0xff985fea,0x13330fff,0x01fffff1,0x7fffff40,0x22aaaaff,
    0x79d90ffc,0x07ff3015,0x1bfffff2,0x002ffff4,0x413fffea,0xa82ffffd,
    0x204fffff,0x7ffc43a8,0x44001dff,0x81dfffff,0xffff74b8,0xffffffff,
    0x7fffc017,0xffffe883,0xffff701f,0x3ffff985,0x1ffffcc0,0x3fea0190,
    0xfffffeff,0x001fffff,0x3ff3ffe6,0x87fe407f,0x0cfffffd,0xfe80ffe6,
    0xeeedffff,0xeefffffe,0x740eeeee,0x3e206fff,0xffe86fff,0xf90002ff,
    0x20007fff,0x005ffffd,0x3fffffee,0xffffffff,0x07ffff00,0x02ffffec,
    0xfd8dfffd,0xffa806ff,0x7e40007f,0xffffffff,0x4003ffff,0xfff9fffc,
    0xd87fe407,0x0effffff,0x7c407ff3,0xfffedfff,0xffffffff,0x260fffff,
    0x5c03ffff,0x3ee1ffff,0x10005fff,0x000bffff,0x007ffffc,0xddffff70,
    0xfffffffd,0x0ffffe0d,0x1fffff88,0x27ffff50,0x802ffff9,0x0006fffb,
    0xffffffe8,0x006fffff,0x7c77ffc4,0x7fe407ff,0x7ffe4c40,0xe807ff35,
    0xfffebfff,0xffffffff,0x2e0fffff,0x2e00ffff,0x362fffff,0x0002ffff,
    0x003ffff5,0x13fffe20,0x1ffff700,0xfffffc88,0x03ffff84,0x017fffe4,
    0x3f6ffffd,0xff9005ff,0xff0000bf,0xffb57fff,0xfb800fff,0x7fff8bff,
    0x7007fe40,0x0ffe6fff,0x973ffff0,0xfffff999,0x19999999,0x8837ffe4,
    0x3ffffffd,0x001ffffe,0x087fffc8,0x7ffff300,0xffffb800,0xdffff500,
    0x807ffff0,0x203ffffa,0xffdffff9,0xff9000ff,0xfa8000bf,0x7fcc0fff,
    0x3fa002ff,0x7fff88ff,0x1007fe40,0x7ff33fff,0x13fff620,0x005fffe8,
    0x2a17fff6,0xffffffff,0x0bffff14,0x77fff400,0xdefffeda,0x5ffff702,
    0xffffb800,0x3ffff600,0xbffff550,0xff985555,0x7fe404ff,0x004fffff,
    0x0017fff2,0x209fffb0,0x3004fffe,0x3fe2bfff,0x209999ff,0x3e600ffc,
    0x23ff98ff,0x6ffffdca,0x02ffff40,0xc89fffd0,0xffffffff,0xbffff35f,
    0x7fffc000,0xffffffff,0x7fdc0dff,0x7dc003ff,0x3f200fff,0xffff1fff,
    0x8dffffff,0x405ffff8,0xfffffff8,0x7f665400,0xccccceff,0x7ff400cc,
    0xbfff901f,0x4bfff200,0xfffffff8,0x883ff24f,0x35ffeb99,0x3ffe27ff,
    0x7400cfff,0x3e005fff,0xffd34fff,0xfff93dff,0x13fffead,0xfffff800,
    0xffffffff,0x7ffd46ff,0x7fdc004f,0x3fee00ff,0xfffff1ff,0xf0dfffff,
    0xf700dfff,0x9005ffff,0xffffffff,0x03ffffff,0x501fffe8,0x3e00dfff,
    0x3ffe27ff,0x324fffff,0x3fffa0ff,0x7ff30fff,0x077fffe2,0x02ffff40,
    0xf77ffff0,0x361bffff,0xfff76fff,0x3e20009f,0xceffffff,0x3ffffffd,
    0x03ffffe6,0x0ffffb80,0xf9ffff60,0xffffffff,0x5ffff86f,0x0dfffd00,
    0x3fffff20,0xffffffff,0x7fff401f,0x0bfff502,0x449fff50,0xffffffff,
    0xfd83ff24,0x3e60cfff,0x00026a3f,0x8017fffa,0xfffffffe,0x7ffec2ff,
    0x0bffff55,0x3fffe200,0xfffb80ae,0x7ffffc7f,0x3ffee004,0xffff100f,
    0x7fffd54d,0x7c42aaad,0x77444fff,0xfffffeee,0x5c0eeeee,0xefffffee,
    0x01eeeeee,0xb827ffec,0xfd804fff,0x3ffe21ff,0x321aaaaf,0x03ff60ff,
    0x0001ffcc,0x005fffe8,0x3ffffff6,0xfffe80ef,0x0bffff14,0x3fffe200,
    0x7fffec05,0x3ffffee0,0x3ee7300d,0xfd880fff,0xfff84fff,0x7ffcc03f,
    0x7fffcc3f,0xffffffff,0x3f200fff,0x640005ff,0xffd06fff,0xfff8807f,
    0x03fffc46,0x7fd83ff2,0x000ffe60,0x02ffff40,0xffffff90,0x1ffffc09,
    0x000fffff,0x202ffffc,0x222ffffa,0xefffffff,0xf76ffdcc,0x95333fff,
    0x20dfffff,0x5c03ffff,0x7cc2ffff,0xffffffff,0x00ffffff,0x0017fff2,
    0x5bffff30,0x03ffff62,0x55bfff70,0x80ffff75,0x132a0ffc,0x7543ff98,
    0xffd002ef,0x7fdc00bf,0x3e602fff,0x3ffa2fff,0xfd0002ff,0xff980dff,
    0x7ffcc2ff,0xffffffff,0xfffff76f,0xffffffff,0x3fffe03f,0x7ffff403,
    0xbfffb001,0xbfff9000,0xfffd0000,0xffffffff,0xffffd009,0xffffffff,
    0x4c0ffc80,0xa8ffe600,0x802fffff,0x2006fffe,0x403ffffa,0x360ffffc,
    0x0006ffff,0x401ffffb,0x981ffffa,0xffffffff,0xfff76fff,0xffffffff,
    0x7ffc03df,0x3ffea03f,0x3ff6005f,0xffc8005f,0x7cc0005f,0xffffffff,
    0x2600ffff,0xffffffff,0x6407ffff,0x07ffa0ff,0xffd1ffcc,0xfb00dfff,
    0x74001fff,0xf100ffff,0xff989fff,0xb8004fff,0x3603ffff,0x6d407fff,
    0xdfffffff,0xffffff72,0x007fffff,0x2607ffff,0x881fffff,0xffeaaaaa,
    0x02aaaaef,0x002fffe4,0xfffffd10,0xffffffff,0x7fffe40d,0xffffffff,
    0x987fe407,0xff304fff,0x7fffffc7,0xffffc807,0x3ffea002,0xfffe885f,
    0xffffc80f,0x4da881ef,0x07ffffe2,0x017fffee,0x027fffe2,0x333fffee,
    0x3e0009ab,0x7e4c3fff,0xf304ffff,0xffffffff,0x01ffffff,0x002fffe4,
    0x97ffffb0,0xfff779bb,0x3fffe09f,0xff999999,0x87fe407f,0xf302fff8,
    0x7ffffc7f,0xfffb807f,0xcba9adff,0xfffffe80,0xffffebac,0xfffff104,
    0xffdddfff,0xffffc89f,0xfffdbbcf,0xff9801ff,0x3ffee05f,0x7fc0000f,
    0xfffeeeff,0x300effff,0xffffffff,0x1fffffff,0xffffeeb8,0xeeeeeeef,
    0x7ffdc4ee,0x7ffec04f,0x2fffd42f,0xccffff88,0x1ff90ccc,0xff301e4c,
    0x7ffffdc7,0xffff8803,0x0fffffff,0xffffffa8,0x0dffffff,0x3ffffea0,
    0xffffffff,0x7ffffc44,0xffffffff,0x5fff7003,0x07fffdc0,0x3fffe000,
    0xffffffff,0x2aa200cf,0xefffeaaa,0xfc82aaaa,0xffffffff,0x5fffffff,
    0x4037fff4,0x6c5ffff8,0xff102fff,0x1fffffff,0x2aaafff2,0xaaaaaaaa,
    0x7fdc3ffb,0x3fea003f,0xffffffff,0xffffd300,0x009fffff,0x3fffff62,
    0x84ffffff,0xffffffd8,0x2003ffff,0x7dc07ffc,0x40000fff,0xffffffff,
    0x0002efff,0x4017fff6,0xfffffffc,0xffffffff,0x01ffa85f,0xf885df50,
    0x3fe207ff,0x0fffffff,0xfffffff9,0xffffffff,0x000207ff,0x7ffffecc,
    0x32200fff,0x2dffffff,0xffeda800,0x00adffff,0x3fffffae,0x7f4000cf,
    0x7ffdc04f,0x7fc0000f,0xacdeffff,0x7ec00009,0xff9005ff,0xffffffff,
    0x0bffffff,0x5c0a000c,0x3e204fff,0xffffffff,0xffffff90,0xffffffff,
    0x00007fff,0x26aaa620,0x054c4000,0x26a60000,0x13530000,0x05554000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x26666662,0x99980009,0x99999999,0x31099999,0x33333333,
    0x33333333,0x00666661,0x22133330,0x99999999,0x33331000,0x33333333,
    0x33310013,0x26600133,0x99999999,0x26219999,0x4cc40199,0x99980099,
    0x88099980,0x00001999,0x000d554c,0x02af2ea2,0x7ffffd40,0x0bdeffff,
    0x7fffffc0,0xffffffff,0xffff76ff,0xffffffff,0x365fffff,0x1002ffff,
    0x3f29ffff,0xffffffff,0xff901cff,0xffffffff,0xff00bfff,0x300dffff,
    0xffffffff,0x1fffffff,0x981ffff2,0x401fffff,0x7d42fff9,0xfffa81ff,
    0xd880001f,0x7004ffff,0xfffffffd,0xfffa8019,0xffffffff,0x3ffe02ff,
    0xffffffff,0xf76fffff,0xffffffff,0xffffffff,0x13fffee5,0x97fffdc0,
    0xfffffffc,0x84ffffff,0xfffffffc,0x05ffffff,0x7fffffcc,0x7ffcc00f,
    0xffffffff,0xff90ffff,0x7fff40ff,0xfffa803f,0x40fffd41,0x001ffffa,
    0x3ffff220,0x7f4c04ff,0xffffffff,0x3fea00ff,0xffffffff,0xf80dffff,
    0xffffffff,0x6fffffff,0xfffffff7,0xffffffff,0x3ffe25ff,0xfffb007f,
    0x3ffff21f,0xffffffff,0x7ffe43ff,0xffffffff,0x7fe405ff,0x403fffff,
    0xfffffff9,0xffffffff,0x20ffff90,0x006ffffb,0xfb81fff7,0xfffa80ff,
    0xfc88001f,0x4fffffff,0x3ffffea0,0xffffffff,0x3fffea05,0xffffdccc,
    0xfff84fff,0xffffffff,0x955fffff,0xfff99999,0x999999df,0x0fffff43,
    0x92ffffc0,0x7555ffff,0x1ffffff9,0x667fffe4,0x3ccccccc,0x7fffff40,
    0x554405ff,0xeffffaaa,0x3f22aaaa,0xfff887ff,0xff7000ff,0x07ffc81f,
    0x003ffff5,0xffffffb8,0x2204ffff,0xbacefffe,0x02fffffe,0x101ffff5,
    0x83fffffd,0x99999999,0xffffd999,0x5fffe802,0x7ffff900,0x3ffffa80,
    0x441bfff2,0x321ffffe,0x80007fff,0xffeffff8,0xffd0007f,0xfffc80bf,
    0x2ffffe87,0x21fff200,0xff506ffd,0xfb8003ff,0xfffcffff,0x17fcc04f,
    0x04ffffd8,0x401ffff5,0x005ffffd,0x0dffff10,0x017fffa0,0x02ffffcc,
    0xc83ffff2,0x3ea06fff,0x3ff23fff,0xfa80007f,0xffffaeff,0xfffe8002,
    0x3fffe405,0x017fffee,0xfffd5551,0xdffd5555,0x7ffd4555,0x7fc4001f,
    0x9ffff1df,0x7c401500,0xff505fff,0x7fc401ff,0xb8001fff,0xd003ffff,
    0x7c00bfff,0x7f407fff,0x7ffe46ff,0x3fffe606,0x01ffff22,0x33fff600,
    0x004ffff8,0x405fffe8,0x3e27fffc,0x4c00ffff,0xffffffff,0xffffffff,
    0xffff50ff,0x85db0003,0x0004ffff,0x20fffff0,0x400ffffa,0x002ffffc,
    0x03ffffc4,0x00bfffd0,0x817fffe4,0x643ffff8,0x3ee06fff,0x3ff21fff,
    0xff80007f,0xdfffd2ff,0xbfffd000,0x27fffc80,0x801ffffd,0xfffffff9,
    0xffffffff,0xfff50fff,0x2010003f,0x0004ffff,0x20dffff0,0x400ffffa,
    0x003ffffa,0x01ffffdc,0x00bfffd0,0x827fffd4,0x641ffffb,0xff106fff,
    0xfffc8dff,0x7fcc0007,0xffff70ff,0xfffe8003,0xbfffe405,0x004ffffb,
    0xfffffff3,0xffffffff,0x3fea1fff,0x200001ff,0x0004ffff,0x05ffff88,
    0x801ffff5,0x004ffff9,0x007ffffc,0x00bfffd0,0xb06ffff8,0xff90ffff,
    0xf75333ff,0xfc81ffff,0x640007ff,0x3fe65fff,0x7f4003ff,0x7fe405ff,
    0x6ffff8ff,0x7fff1000,0x502fff98,0x0003ffff,0x027fffc0,0x7fffdc00,
    0x1ffff502,0x5ffff880,0x3fffee00,0x7fff4004,0x7ffec005,0x4ffff80f,
    0xffffffc8,0x1dffffff,0xccffffc8,0x0ccccccc,0xf87fffd0,0x74005fff,
    0x7e405fff,0xffffdfff,0xfff30001,0x01fffa85,0x003ffff5,0x27fffc00,
    0x3ffe2000,0x3ffea07f,0xffff800f,0x3fffe006,0x7ff4000f,0x7fdc005f,
    0x7ffcc3ff,0xffffc82f,0xffffffff,0xffffc82d,0xffffffff,0xffff881f,
    0x07fffec1,0x0bfffd00,0xffffffc8,0x2a0005ff,0x7fd41fff,0xffff501f,
    0x7fc00003,0x740004ff,0x2a03ffff,0xf800ffff,0xf7005fff,0xd0009fff,
    0x8800bfff,0x7e45ffff,0xfff907ff,0xffffffff,0xffc89fff,0xffffffff,
    0xffb81fff,0xffffa87f,0x3fffa002,0x7fffe405,0x002ffffe,0xb81fff70,
    0xff500fff,0x400003ff,0x0004ffff,0x017ffff2,0x801ffff5,0x004ffff8,
    0x001ffffd,0x00bfffd0,0xe8ffffd0,0xff905fff,0xb55333ff,0x647fffff,
    0xffffffff,0xd81fffff,0xff884fff,0x3fa004ff,0x7fe405ff,0xfffff9ff,
    0xfffb8000,0x503ffe40,0x0003ffff,0x027fffc0,0xeffffb80,0x7fffd400,
    0x7fffcc00,0xffffa803,0xfffd0004,0xfff7000b,0x3fffe23f,0x0dfff902,
    0x87ffffdc,0x0007fffc,0x205ffff1,0x2007fffe,0x6405fffe,0xfff97fff,
    0xddd300bf,0xddddffff,0x1dddffff,0x00ffffd4,0x9ffff000,0xffff7000,
    0xfff5001f,0xfffb801f,0xfffe802f,0xffd0000f,0xff3000bf,0x3ffea9ff,
    0xdfff900f,0x1fffff80,0x000ffff9,0x337fffea,0xfffecccc,0xfffd001f,
    0x7fffc80b,0x00bffffa,0xfffffff3,0xffffffff,0x7fd41fff,0x200001ff,
    0x4004ffff,0x00fffffb,0x01ffff50,0x01ffffe8,0x02ffffd4,0x0bfffd00,
    0x5bfffe00,0x3206fffd,0x7e406fff,0xfff92fff,0x3ff2000f,0xffffffff,
    0x003fffff,0xc80bfffd,0x3fea7fff,0x3e600fff,0xffffffff,0xffffffff,
    0x3fffea0f,0x3fe00001,0x3ee004ff,0x2001ffff,0x200ffffa,0x805ffffa,
    0x001ffffe,0x017fffa0,0x47fffe40,0x3203ffff,0x7e406fff,0xfff91fff,
    0x3ffe000f,0xffffffff,0x006fffff,0xc80bfffd,0x7fec7fff,0x332205ff,
    0xcccefffc,0x4ccefffc,0x00ffffd4,0x9ffff000,0x3fffee00,0x7fd4000e,
    0xfff300ff,0xffa803ff,0x740005ff,0x50005fff,0xfff9ffff,0x7ffe403f,
    0x3fffe206,0x0ffff90f,0xfffff300,0xffffffff,0xd001ffff,0xfc80bfff,
    0x7ffc47ff,0xfff003ff,0x03fff889,0x007fffea,0x4ffff800,0xeffffa80,
    0xfffa8000,0x7ffe4c0f,0xffe804ff,0x740001ff,0x20005fff,0xffffffff,
    0x37ffe406,0x6ffffe98,0x001ffff2,0x267bffee,0xfc999999,0xfe802fff,
    0x7fe405ff,0xffffb87f,0x7ffc400f,0x017ffcc3,0x003ffff5,0x27fffc00,
    0x3ffffea0,0x9999999a,0xffffa809,0xfffffeee,0x7d400eff,0x80005fff,
    0x0005fffe,0x3ffffff6,0x7ffe404f,0xfffeeeef,0x3f21ffff,0xfe8007ff,
    0xff9804ff,0x3bba25ff,0xefffffee,0xff90eeee,0x3fffa0ff,0x7ffcc05f,
    0x00fffd42,0xfffffff5,0x7fffffff,0x3fffffe2,0xffffffff,0xfffff57f,
    0xffffffff,0xfff50dff,0xffffffff,0xfb0019ff,0x00003fff,0x000bfffd,
    0x7fffffd4,0x7ffe401f,0xffffffff,0x7fe43fff,0x7fc4007f,0xfff002ff,
    0x7fffccff,0xffffffff,0xfff90fff,0x3fffe60f,0x3ffea03f,0x007ffdc1,
    0xfffffff5,0x7fffffff,0x3fffffe2,0xffffffff,0xfffff97f,0xffffffff,
    0xfff50dff,0xffffffff,0x3fe6005d,0xd00006ff,0x4000bfff,0x7ffffff8,
    0xfffffc80,0xefffffff,0x07fffc82,0x03fffd40,0x23ffff90,0xfffffff9,
    0xffffffff,0x40ffff90,0x00fffffc,0xfb81fff7,0x3fea00ff,0xffffffff,
    0xff13ffff,0xffffffff,0x32ffffff,0xffffffff,0x6fffffff,0xffffffa8,
    0x0009acde,0x00bffff6,0x2ffff400,0x3fffa000,0xffc805ff,0xdeffffff,
    0x3fff201c,0x7ffec007,0x3ffea005,0xfffff34f,0xffffffff,0x3fff21ff,
    0x3fffe207,0x0fff906f,0xfa80fff9,0xffffffff,0xf13fffff,0xffffffff,
    0x2fffffff,0xfffffffc,0xffffffff,0x00000006,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x99988000,
    0x26620099,0x99999999,0x26099999,0x44009999,0x4cccc199,0x99998801,
    0x00266620,0x99833310,0x4cc40099,0x19999819,0x02666620,0x33333331,
    0x43333333,0x00099998,0x4c426666,0x00999999,0x26666620,0x98000199,
    0x4009bcca,0x00019999,0x3fffffe6,0x3ffff602,0xffffffff,0xfff36fff,
    0xffe80bff,0x3ffffe1f,0x7fffec02,0x013ffea4,0x263fff90,0x5c02ffff,
    0x7fc0ffff,0xff902fff,0xfffc8dff,0xffffffff,0x3ffee7ff,0xfff9004f,
    0x3fffee3f,0x2defffff,0x3fffff20,0x02dfffff,0x3ffffea0,0x3fe04fff,
    0x3a0007ff,0x02ffffff,0x3ffffff6,0xffffffff,0xfffff36f,0x7fff401f,
    0x1bfffea1,0x0fffff98,0x0017ffe6,0x3e63fff9,0x7dc02fff,0x7ffc0fff,
    0xffff05ff,0xffffc8ff,0xffffffff,0x7ffff47f,0x7fffc400,0x3ffffee5,
    0xefffffff,0xfffffc82,0xefffffff,0x3fffa200,0xefffffff,0x06ffff81,
    0xfffff700,0x7fec05ff,0xffffffff,0xf36fffff,0x409fffff,0x7f41fffe,
    0xffb02fff,0xfff987ff,0x7ffe4005,0x05ffff30,0x20ffffb8,0x87fffff8,
    0x47fffff9,0xfffffffc,0x47ffffff,0x403ffffb,0x2e1ffffc,0xffffffff,
    0x42ffffff,0xfffffffc,0x0effffff,0xffffffd0,0x0dffffff,0x000dffff,
    0xfffffff1,0x7776405f,0xfeeeeeee,0xff35ffff,0x201fffff,0x7d41fffe,
    0xff986fff,0xfff886ff,0x7ffec005,0x05ffff30,0x20ffffb8,0x2ffffff8,
    0x3fffffe4,0x333ffff2,0x4ccccccc,0x00ffffe8,0xb8bffff1,0xccccffff,
    0x0ffffffe,0x333ffff2,0xffffffed,0xfffffb84,0xffffb99b,0x2ffff42f,
    0x77ffec00,0x0002ffff,0x0fffffa8,0xfffffff3,0x07fffa07,0xb0bffff6,
    0xf105ffff,0xfd800dff,0x3fffe67f,0x7fffdc02,0x3ffffe60,0x7ffff44f,
    0x3fff20ff,0x3fee0007,0xfff903ff,0xffffb83f,0xffffe980,0x21ffff25,
    0x46ffffc8,0x80effff8,0x6c6ffff9,0x54005fff,0xfff9ffff,0x7c40002f,
    0x3e62ffff,0x07ffffff,0xf303fffd,0x7fccdfff,0xfff106ff,0x7ffd800d,
    0x00bfffe6,0x4c1ffff7,0x27ffdfff,0xfffdfff9,0x01ffff20,0x0ffffd00,
    0x70bffff1,0x2201ffff,0x3f27ffff,0x3ffa07ff,0x3ffe60ff,0x3fff202f,
    0x13fff62f,0x29fffd00,0x0002ffff,0x22ffffec,0xfffffff9,0x1fffe82f,
    0x27ffff90,0x201ffffd,0x74006fff,0x3ffe67ff,0x7ffdc02f,0x2fffe60f,
    0xdff71fff,0x7e41fff7,0x5c0007ff,0x7e43ffff,0xffb81fff,0x3ff600ff,
    0xffff90ff,0x0ffffe40,0x401ffff7,0x323ffff9,0x2e004fff,0x3ffe6fff,
    0x3ea0002f,0x7cc0ffff,0x6fffceff,0x101fffe8,0xff5fffff,0xfff80bff,
    0x740eed86,0x3ffe66ff,0x7ffdc02f,0x27ffea0f,0x9ffd3fff,0x7e43fff7,
    0xe80007ff,0x3fe26fff,0xfff705ff,0x7ffdc01f,0x0ffff91f,0x907fffe4,
    0xf801ffff,0x3ff24fff,0xfff1003f,0x17fffc3f,0xffff8800,0xefff982f,
    0x742ffff9,0x3f201fff,0xffffffff,0x23fff401,0x7f42fff9,0x3fffe66f,
    0x7fffdc02,0x363ffea0,0x9fff8dff,0x3f21fffb,0xb80007ff,0xff72ffff,
    0x3fee03ff,0x3ff200ff,0xffff90ff,0x1ffffa20,0x803ffff7,0x3ee5ffff,
    0xffb002ff,0x2ffff89f,0xffffb000,0x5bffe60b,0x7f45fffd,0x3fe201ff,
    0x04ffffff,0x7e47ffe8,0x2fff45ff,0x99bffff3,0xffb99999,0x7ffdc1ff,
    0xffbfffb8,0x645fff77,0xaaaaffff,0x401aaaaa,0xffd6fffe,0x7ffdc0bf,
    0x3fff600f,0x21ffff27,0x43ffffd8,0x404ffffa,0x0006fffe,0x207fffd4,
    0x8002ffff,0x00fffffa,0x3eadfff3,0x3ffa1fff,0x7ffdc01f,0xe800ffff,
    0x7fff47ff,0xf32fffc7,0xffffffff,0xffffffff,0x447ffdc1,0x54ffefff,
    0x7fe45fff,0xffffffff,0x7dc04fff,0xffffcfff,0x3fffee01,0xdffff300,
    0x667fffe4,0x5fffffec,0xdfffff88,0x3fff6a22,0x3e20007f,0xfff82fff,
    0x7fc4002f,0x3e602fff,0x3fffa6ff,0x007fffa5,0x13fffffe,0xf33ffec0,
    0x7fc5ffff,0x3fffe64f,0xffffffff,0x2e0fffff,0xfffd0fff,0x3ffea3ff,
    0x3fffff22,0xffffffff,0xffffe804,0x7dc05fff,0xffa80fff,0x3ff22fff,
    0xffffffff,0x3ff203ff,0xffffffff,0x4c6fffff,0x3f200ced,0xffff05ff,
    0xfffd8005,0x7ffcc04f,0x43fffee6,0x5401fffe,0x0fffffff,0x70fffd80,
    0x7c9fffff,0x3ffe64ff,0xffffffff,0x20ffffff,0x3ff27ffc,0x3ffea7ff,
    0x3fffff23,0xffffffff,0xffffb804,0x7dc01fff,0xedcccfff,0x644fffff,
    0xffffffff,0xffd003ff,0xffffffff,0x7d4bffff,0xf980ffff,0xfff00fff,
    0x7fd4005f,0x7cc00fff,0x7fffc6ff,0x803fffd4,0xfffffffe,0x0fffc804,
    0x4ffffffd,0x3fe64fff,0xaaaaacff,0x0ffffcaa,0xff99fff2,0x3ffea4ff,
    0x2bffff23,0xaaaaaaaa,0xfffff001,0xfff700bf,0xffffffff,0xffc81dff,
    0xffffffff,0xffc8803f,0xffffffff,0x3ffe4fff,0xffe85fff,0x3fffe03f,
    0xffff1002,0xfff3005f,0x8ffffb8d,0x2e01fffe,0xffffffff,0x7ffe401f,
    0xffbfff88,0x23fff89f,0x402ffff9,0x360ffffb,0x7fffc7ff,0xc93ffe62,
    0x00007fff,0x07ffffdc,0x7ffffdc0,0x3fffffff,0x22ffff90,0x01fffffb,
    0x9bdd9730,0x29ffff15,0x7ffffff8,0x7fffffcc,0xffffffff,0xb00fffff,
    0x2009ffff,0x7c46fff9,0xfffebfff,0xfffff101,0x80bffff9,0xffb9fffb,
    0xf8cfff8d,0x3ffe63ff,0x7ffdc02f,0x91fff60f,0xfff98fff,0x01ffff24,
    0x3fffe000,0xffff7005,0x19bdffff,0x23fffe40,0x006ffffa,0x7ffff300,
    0x3fffffe2,0x7ffffcc6,0xffffffff,0x80ffffff,0x00effffa,0x90dfff30,
    0xfffddfff,0x3ffff203,0x05fffff3,0x7ecfffdc,0xf3dffd3f,0x7ffcc5ff,
    0x7ffdc02f,0x51fff60f,0xfff989dd,0x01ffff24,0x3fffe000,0xffff7005,
    0xfc800333,0xfffc87ff,0xfb80002f,0x3ff60fff,0x7fcc3fff,0xffffffff,
    0xffffffff,0x7fffc40f,0x3fe6001f,0xffff986f,0xf981ffff,0xff70ffff,
    0x7fdc0dff,0xf70fffaf,0x45fff5ff,0x402ffff9,0x3a0ffffb,0x3e6006ff,
    0x3fff25ff,0xff800007,0xff7005ff,0x320001ff,0xff987fff,0x440006ff,
    0x7445ffff,0xff984fff,0xffffffff,0xffffffff,0x7fffec0f,0x7ffcc004,
    0xfffffb06,0xfffb03ff,0xffffe87f,0xf9fff503,0x67ffccdf,0x3fe61fff,
    0x7fdc02ff,0x1bffa0ff,0x25fff880,0x0007fffc,0x05ffff80,0x01ffff70,
    0x1ffff200,0x017fffec,0xffffe880,0x00015302,0x80bfffe0,0x99fffffa,
    0x99999999,0x20dfff31,0xfffffffa,0x3ffffcc1,0x07ffffd4,0x7fffffd4,
    0x7fffff43,0x3fffe61f,0x7fffdc02,0x801bffe0,0x3f26fff8,0x800007ff,
    0x7005ffff,0x0001ffff,0x541ffff2,0x2006ffff,0xfffffc98,0x20000005,
    0x3e02ffff,0xffffffff,0x7fffffff,0x740dfff3,0x41ffffff,0xd03ffffe,
    0xf309ffff,0xc83fffff,0x20ffffff,0x402ffff9,0x3e0ffffb,0x3e2006ff,
    0x3fff26ff,0xeeeeeeef,0x3fe006ee,0xff7005ff,0x320001ff,0x3fa07fff,
    0x77441fff,0xfffffffe,0x000006ff,0x017fffc0,0xffffffff,0xffffffff,
    0x81bffe6f,0x1ffffffb,0x81ffffea,0x41fffffa,0x86fffff9,0x0ffffff9,
    0x00bfffe6,0x7c1ffff7,0x3e2005ff,0x3fff26ff,0xffffffff,0x3fe007ff,
    0xff7005ff,0x320001ff,0x3ee07fff,0x7fcc5fff,0xffffffff,0x000000ef,
    0x017fffc0,0xffffffff,0xffffffff,0x01bffe6f,0x23ffffff,0x03fffff8,
    0x237ffff4,0x04fffff8,0x41ffffff,0x402ffff9,0xf10ffffb,0xff800bff,
    0x3ffff27f,0xffffffff,0x3ffe007f,0xfff7005f,0x3f20001f,0x3fe207ff,
    0x3fe61fff,0xefffffff,0x00000002,0x7c05ffff,0xffffffff,0x7fffffff,
    0xb80dfff3,0xf71fffff,0xf500dfff,0x7c45ffff,0xf901ffff,0xff98ffff,
    0x7fdc02ff,0xbfff10ff,0x27fff800,0xfffffffc,0x07ffffff,0x017fffe0,
    0x007fffdc,0x07fffc80,0x32ffffe4,0x7bddffff,0x00000003,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x70000000,0x14005ddd,0x05000000,0x01100660,0x00000000,0x13310001,
    0x13330000,0x00098000,0x00001300,0x440000c4,0x3bbaa009,0x3bbba206,
    0xfc800001,0xbf9003ff,0x44000001,0xfeb883fe,0x3f23efff,0x54003eff,
    0x20001eff,0xfffffecb,0x7ff64c2d,0x00ceffff,0xfffffda8,0xc8803eff,
    0x03dffffe,0x3fffb6a0,0x3bae03ef,0xffff912e,0x5ddd505d,0x1f7fffdc,
    0x303fffdc,0x0003ffff,0x07fff900,0x01dfff90,0xffd30000,0xffffb87f,
    0xffedffff,0x1004ffff,0x000dffff,0xffffffd3,0x7fdcbfff,0xffffffff,
    0xffd102ff,0xffffffff,0xffffa80b,0x00efffff,0x3fffff62,0xc81effff,
    0xfff9bfff,0x543fffff,0xffe8bfff,0x5c5fffff,0x3e607fff,0x00001fff,
    0x403fffc8,0x1fffffe8,0x3fea0000,0x3ee0efff,0xffffffff,0xffffffff,
    0xffffa802,0x3ff2001f,0xffffffff,0x3fffee5f,0xffffffff,0x7fff441f,
    0xffffffff,0x3fffee05,0xffffffff,0xfffff980,0xffffffff,0x7efffe42,
    0xffffffff,0x37ffea1f,0xfffffffe,0x3ffee2ff,0x3fffe607,0xfc800001,
    0xfe8803ff,0x0002ffff,0xdfffffb8,0xb88e7dc0,0xc8dfffff,0xf9805fff,
    0x5000ffff,0xdfffffff,0x7dcbfffd,0xea99aace,0x7e46ffff,0x988aefff,
    0xff305db9,0xf9339fff,0xffb0bfff,0xffdbdfff,0xffc8dfff,0xecefffff,
    0x3ea4ffff,0xdfffffff,0x2e6fffff,0x3e607fff,0x00001fff,0x003fffc8,
    0x13fffff6,0xffffc800,0x3601304f,0x7fe46fff,0xfffd800f,0xffff1003,
    0x497103bf,0xfffd8019,0x07ffff47,0x5fffd800,0x43ffff70,0x40effffa,
    0x23ffffe8,0x2ffffffc,0xf53ffff4,0x217fffff,0x70ffffe8,0x7cc0ffff,
    0x20001fff,0xfd999999,0x99999cff,0xfffff701,0xffd8800b,0x70002fff,
    0xffa89fff,0x0353001f,0x2ffffec0,0xffa80000,0x3fffe0ff,0xfff30006,
    0x7fffc05f,0x03ffffa4,0x93ffffc4,0x705fffff,0x7fd4ffff,0xffb83fff,
    0xffff71ff,0x0ffffcc0,0xfffff000,0xffffffff,0x7d40ffff,0x800effff,
    0x1fffffe8,0x3ffea000,0x00fffcc2,0xffff0000,0x2000001f,0x3e1ffff9,
    0x001dffff,0x203fffe4,0xff15fffd,0xffc809ff,0xffff90ff,0x3fffea07,
    0x09ffff50,0x5cbfffe6,0x3e607fff,0x20001fff,0xffffffff,0xffffffff,
    0x7fff4c07,0x3fe601ff,0x0000efff,0x35fff733,0x05fff533,0x3fe20000,
    0x880004ff,0xffdccba9,0x3fff61ff,0x800bdfff,0xcccefffd,0xfffecccc,
    0x03ffff56,0x91ffffa8,0x5440ffff,0xfff50aaa,0x3ffe201f,0x0ffff72f,
    0x00ffffcc,0xffffff00,0xffffffff,0xfd100fff,0xf705ffff,0x000bffff,
    0xffffffd7,0xffffffff,0x3ffff25f,0xffffffff,0xf33fffff,0x40007fff,
    0xffffffda,0x221fffff,0xffffffff,0x3ffa02df,0xffffffff,0xf77fffff,
    0xf9801fff,0xfff92fff,0x3fea000f,0xfff100ff,0x1fffee5f,0x01ffff98,
    0x2aaaaa00,0xaadfffda,0x36002aaa,0x323fffff,0x003fffff,0x7fffff44,
    0xffffffff,0xff92ffff,0xffffffff,0x7fffffff,0x00bfffee,0x3ffffa20,
    0xffffffff,0x7fff441f,0x1effffff,0xfffffff8,0xffffffff,0x1ffff97f,
    0x3ffff880,0x000ffff9,0x403fffea,0xf72ffff8,0x7fcc0fff,0x800001ff,
    0x0003fffc,0x7ffffec4,0x3ffffea2,0x3ff6000d,0xfffdccef,0xcccccccc,
    0xffffff91,0xffffffff,0x3fea7fff,0xfe8003ff,0xccdeffff,0x501ffffd,
    0xfffffffb,0xffff83ff,0xeeeeeeee,0xff75eeee,0xff9801ff,0xffff92ff,
    0x3ffea000,0xffff100f,0x81fffee5,0x001ffff9,0x3fffc800,0x3ffa6000,
    0xff981eff,0x9800efff,0x3ea0efff,0xdd7001ff,0xdddddddd,0x5ddddddd,
    0x013fffe6,0x1bffff70,0x03ffff30,0xfffffb50,0x4fffe8bf,0xffff5000,
    0xffffa803,0x00ffff91,0x03fffea0,0xb97fffc4,0xf900ffff,0x00003fff,
    0x007fff90,0x3ffffea0,0x3ffa200d,0x7dc02fff,0x7ffd42ff,0x00000002,
    0x01fffff1,0x07fffec0,0x01ffff98,0x3ffff220,0x02fffec7,0x3ffff980,
    0x87fffe40,0x0007fffc,0x201ffff5,0xf52ffff8,0xff705fff,0x00003fff,
    0x007fff90,0xbfffff70,0x3fff6200,0x3ff203ff,0x27ffd41f,0xf0000000,
    0x4009ffff,0x3206ffff,0x8001ffff,0x320ffffe,0x8001ffff,0x207ffff8,
    0x326ffff8,0x50007fff,0x2201ffff,0xff32ffff,0xfffa89ff,0x00001fff,
    0x003fffc8,0x1fffffec,0x7fffe400,0x7fff904f,0x07ffffc4,0x0165c000,
    0xbfffff70,0x7ff4e601,0xfffd81ff,0x220061ff,0x7cc6ffff,0x8000efff,
    0x40dffffd,0x22ffffe8,0x0007fffc,0x201ffff5,0xf12ffff8,0xfd9dffff,
    0x03ffffff,0xddd70000,0x3ffa2005,0x20002fff,0x0dfffffb,0x4c6fffdc,
    0x1efffffe,0x7f4012e6,0x3fa004ff,0xccefffff,0xfffb6ffd,0xffd737df,
    0x3e23ffff,0xd7319acf,0xf909ffff,0x3359ffff,0xf88fb955,0xdcdfffff,
    0x645fffff,0x50007fff,0x2201ffff,0x3f22ffff,0xffffffff,0x001fffee,
    0xf3000000,0x003fffff,0xfffff300,0x7fffcc3d,0xfffeffff,0x05ffffff,
    0x0fffffa8,0xfffff300,0xdfffffff,0x3fffffe6,0xffefffff,0xfffff11f,
    0xffffffff,0xfffd101f,0xffffffff,0xffff90ff,0xffffffff,0x7fffc83f,
    0xffff5000,0x3fffe201,0x3ffffa22,0xffc8efff,0x0000001f,0xfffff880,
    0x2200000e,0x20fffffe,0xeffffffd,0xffffffa8,0xffa805ff,0x26000fff,
    0xfffffffd,0x3ff26fff,0x9fffffff,0xff11fffc,0xffffffff,0x6c401fff,
    0xffffffff,0xff707fff,0xffffffff,0xffff901b,0x3ffea000,0xffff100f,
    0xffffd885,0x3fff90cf,0x66654000,0xcccccccc,0x3ea1cccc,0x000005ff,
    0x885fffb1,0x20dffffc,0xeffffffa,0xffff8803,0xffd50006,0x85bfffff,
    0xcffffffb,0x6c3fff90,0xffffffff,0xd5000bef,0xffffffff,0x7fec409d,
    0x203effff,0x0007fffc,0x201ffff5,0x102ffff8,0x00001353,0x7ffffdc0,
    0xffffffff,0x027d42ff,0x17e40000,0x4c015510,0x4c0009aa,0x80000ced,
    0x98009998,0x310001aa,0x00135555,0x19aaa980,0x01a98800,0x00000000,
    0x00000000,0xfffffb80,0xffffffff,0x000182ff,0x00006000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0xfffffffb,
    0xffffffff,0x00000002,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00880000,0x97300026,
    0x3bb20037,0x775404ee,0x2e6203ee,0x3b600abc,0xeeeeeeee,0x1005eeee,
    0x4c001333,0x502bccca,0x2007dddd,0xd91eeeea,0xea8005dd,0x800443ee,
    0x33310008,0x9101c001,0x665d4401,0xb00000ab,0x3bff25dd,0x03bffea3,
    0xfffffd88,0x7fc404ff,0xff102fff,0x3ea01fff,0x04ffffff,0xffffffff,
    0x0fffffff,0x00ffff20,0x7ffffff4,0x7ffc42ef,0xfffd007f,0x027ffe4f,
    0xb0fffee0,0x0ee8801d,0x02fffa80,0x6443ffb8,0xfff305ff,0x01bfffff,
    0xcbffe800,0xfa8fffff,0xd306ffff,0xfffdffff,0x7fd403df,0xffc80fff,
    0xfff902ff,0x0bffffff,0xffffffff,0x0fffffff,0x00ffff20,0x7ffffffc,
    0x7fe40fff,0x7fcc02ff,0x3ffee4ff,0x7ffe4005,0x403bff62,0x400effe8,
    0x4c01fffa,0x3e61ffff,0xff982fff,0x5fffffff,0x6fff4000,0xfcffffff,
    0x42ffffff,0x4c0cfffa,0x3201fffc,0x7d45ffff,0xff304fff,0xffff9bff,
    0xfffff85f,0xffffffff,0xfff9006f,0x426fa007,0x4c3fffc8,0x5c05ffff,
    0x3ea1ffff,0x7ec006ff,0xffff91ff,0xfffe881d,0xff30642f,0x7e41c41f,
    0x7ffdc6ff,0x6677cc0f,0x01ffffec,0x3ffffa00,0xffffffbe,0x224fffdc,
    0xeeed9eff,0x80dff53d,0xf13ffffe,0x3a01dfff,0x7fdc2fff,0x7fd4005f,
    0xf9000fff,0xf00007ff,0xfffd0bff,0x7fff401f,0x03fffcc6,0xd83fffa0,
    0xb10effff,0xfa87ffff,0x54fff11f,0xfffe81ff,0x027fff43,0x01ffff98,
    0x3ffffa00,0x27ffff90,0x3f65fff9,0xffffff1f,0x9813feab,0xfd8fffff,
    0x3fe01fff,0x0ffff05f,0x7ffffc40,0x3fff2001,0xaa988003,0xffb85fff,
    0xfff302ff,0xffff885f,0xf0733260,0xfffb0fff,0xffffb1df,0x19fffd07,
    0x3fff2fff,0x1ffff986,0x007fffe6,0x001fffea,0x5c9fffd0,0x3fe27fff,
    0x7c9ff15f,0xb0ffd9bf,0xfffb80ff,0x04ffffef,0x6c0fffe2,0xfd000fff,
    0xc8007fff,0x71003fff,0xfffffffd,0xdffff10b,0x03ffff20,0xfc87fffe,
    0x37ffc4ff,0xffffffd8,0xfe983fff,0xefffefff,0xb80effff,0x7fdc6fff,
    0xfdcca86f,0x40003fff,0x3ee0fffe,0x3ffe23ff,0x7fc3ff55,0x3ea1ff52,
    0x7ffec01f,0x4c06ffff,0xffb04fff,0x3fff600f,0xffc8005f,0xffe8803f,
    0x5fffeeff,0x01ffff90,0x3a09ffff,0x3ffa2fff,0x17ffe27f,0xffffffd8,
    0x7fed403f,0xdfffffff,0x27ffec01,0xfb0ffffa,0x005fffff,0xb8fffd00,
    0x3fe22fff,0xff8ff75f,0x3e26febc,0x7ffc402f,0xf801ffff,0xdfff07ff,
    0xdffff700,0x3ffff201,0xffffffff,0xf93fffff,0x5ffe87ff,0x87ffff30,
    0x901ffffa,0x3fe67fff,0xfff32fff,0xffffd809,0x3f66004f,0x801dffff,
    0x222fffe8,0x7ec2ffff,0x1dffffff,0x1fffa000,0x7c45fff7,0xf8dfb5ff,
    0xff83ffff,0xffffb804,0xfffd004f,0x04fffb85,0x0fffffcc,0xffffff90,
    0xffffffff,0x3ffa7fff,0x205ffe87,0x7ec6fffe,0x3fee06ff,0xfffff94f,
    0x80bffeab,0xefffffe8,0xfffc8800,0x400cffff,0x7ec5fffd,0xaa9885ff,
    0x006ffffc,0xf71fffa0,0x7ffc45ff,0xcff8ff75,0x1ffc46fd,0x3ffffe20,
    0xffb801ff,0xffffceff,0x3ffe200f,0x7fe403ff,0xffffffff,0x3fffffff,
    0xf717fffb,0x7dc0bfff,0xfff11fff,0x7ffd407f,0xffffffd5,0x4407ffee,
    0xfffffffe,0xfffb300e,0xffffffff,0xffff5039,0x07fffd41,0x1ffffb80,
    0x8fffd000,0x3e22fffb,0x43ff55ff,0x23ff8aff,0x7ec01ff9,0x0effffff,
    0xfffffe80,0x6c02ffff,0xb805ffff,0xffeeeeee,0xeeeeeeff,0xfffff72e,
    0x40bfffff,0xf74ffff8,0x7cc01fff,0xcfff9eff,0xfffcafff,0xffffe880,
    0x40effffe,0xfbfffff9,0xfffffbef,0x8bfffe20,0x002ffff8,0x007fffee,
    0x2e3fff40,0x3fe22fff,0x7c7ff15f,0x7e4ff92f,0x7fffdc07,0x804fffff,
    0xffffffc8,0x7ffe401e,0xfc80006f,0xffb003ff,0xbff59fff,0xd7fffd80,
    0xf880bfff,0x8fffbfff,0x7ffddfff,0x3ffffd88,0x81dffffb,0xff89effd,
    0xd89ffd37,0x7fec4fff,0xccdeb85f,0x07ffffec,0x71fffa00,0x7fc45fff,
    0x7c7ff65f,0xf37ff32f,0x7ffcc0bf,0xfffff8ef,0x59751002,0xffff5003,
    0xf900001f,0x5cc007ff,0x002660ab,0xff7ffff3,0xfff003ff,0x3fa9ffdf,
    0xd86ffeff,0x7ec3ffff,0x3e20efff,0x443ffe24,0x3ffea0fd,0x07fffd46,
    0x7fffffe4,0x0001ffff,0xff71fffa,0x2fffc45f,0x1551dff1,0x07ff5d54,
    0x0fffff88,0x01fffff5,0x3fe20000,0x00002fff,0x0007fff9,0xfffd0000,
    0x200dffff,0x2ffffffe,0xbffffff7,0x03ffffc8,0x085ffffb,0x0207ffcc,
    0x3aa07f66,0xffff902f,0x0039ffff,0x5c7ffe80,0x3fe22fff,0x1fffdc5f,
    0x017ffdc4,0xc87ffffb,0x5506ffff,0x55555555,0xfffe8555,0xffffffff,
    0xfc800fff,0xaaa803ff,0xaaaaaaaa,0x7ffdc02a,0xb003ffff,0x44ffffff,
    0x84ffffff,0x7ec03ffd,0xfffa803f,0x05002001,0x55e6654c,0x3fa00002,
    0x17ffdc7f,0xf70bfff1,0xffdbdfff,0x7fdc05ff,0xfff885ff,0xffff83ff,
    0xffffffff,0x3ffffe66,0xffffffff,0xffc800ff,0xffff803f,0xffffffff,
    0x7fffc406,0xf7000fff,0xfe8bffff,0x7b03ffff,0x5400f600,0x00001eee,
    0x00000000,0x3ee3fff4,0x3ffe22ff,0xffffb105,0x4c01bfff,0x500fffff,
    0xf83fffff,0xffffffff,0x3fe66fff,0xffffffff,0x800fffff,0xf803fffc,
    0xffffffff,0xfd806fff,0x2005ffff,0x42fffffa,0x02fffffb,0x00000000,
    0x00000000,0x3fff4000,0xf88bffee,0x654405ff,0x74400abd,0x6403ffff,
    0x360effff,0xeeeeeeee,0x3fe65eee,0xffffffff,0x800fffff,0xd803fffc,
    0xeeeeeeee,0xfa805eee,0x2002ffff,0x40fffff9,0x01fffff8,0x00000000,
    0x00000000,0x3fff4000,0xf88bffee,0x000005ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2a000000,0x171002aa,0x2e620140,0x751001ac,0x10001579,0x32a00333,
    0xcccccccc,0x11cccccc,0x99983333,0x026a6009,0x7fffc400,0xffffffff,
    0x2602ffff,0x0037501b,0x19999980,0x01999998,0x666665c0,0x2222cccc,
    0x88888888,0xeb800000,0xc800ffff,0x77dc0cff,0x7ffff4c2,0x3ee02eff,
    0x03ffffff,0x01ffff40,0x7fffffdc,0xffffffff,0x4ffffb2f,0xc84ffff8,
    0x203fffff,0x3fe21998,0xffffffff,0x02ffffff,0xfc87fff5,0xf90001ff,
    0xf503ffff,0x4007ffff,0xfffffffd,0xffff34ff,0x1fffffff,0xff710000,
    0x801fffff,0x260ffff9,0xff71ffff,0xffffffff,0xfffffb03,0x200dffff,
    0x00fffffa,0x7fffffdc,0xffffffff,0x4ffffb2f,0x644ffff8,0xdfffffff,
    0x227ffe80,0xffffffff,0xffffffff,0x4ffffd02,0x005ffff8,0x0dffffc8,
    0x3ffffa20,0xffffb003,0x269fffff,0xffffffff,0x80000fff,0xfffffffb,
    0x7fff400f,0x11ffff43,0xffffffff,0xfffb8bff,0xfffffcdf,0x7fffc403,
    0x7fdc05ff,0xffffffff,0xf92fffff,0xffff8dff,0x3ffffe63,0x7c0effff,
    0x3bba26ff,0xeeeeeeee,0xd02ffffe,0x7fc4ffff,0x7e4005ff,0x32003fff,
    0xb803ffff,0xcccccccc,0xfffff32c,0x01ffffff,0xdfff1000,0x6401ffff,
    0x7fe45fff,0x30aea86f,0xff8dffff,0x7ffdc1ff,0x5fffe407,0x00002fff,
    0x46fffb80,0x3f23ffff,0xfffebeff,0xbfff71ef,0xfffc8000,0x89fff702,
    0x2002fffd,0x001ffffc,0x03ffffa8,0x7ffcc000,0xffffffff,0x19b00000,
    0x201ffff3,0x260ffff9,0x2000ffff,0x3e66fffe,0xffff04ff,0x4bffe601,
    0x00006ffe,0x45fffb80,0x3fa2fffe,0x3fff20ff,0x2fffffff,0x7ffe4000,
    0x540ae602,0x3326001b,0x220000cc,0x0001cccc,0x00000000,0x07fffcc0,
    0x743fffe8,0x2a003fff,0x3ea4ffff,0xfff903ff,0xa9bff603,0x00004fff,
    0x22fffd40,0x3fe2fffe,0xffffc86f,0x0006ffff,0x002fffc8,0x00000000,
    0x40000000,0xffffffff,0xffffffff,0x8006ffff,0xc80ffff9,0x7fe45fff,
    0x3fe6005f,0x3fea0fff,0x3fffb04f,0xd83fff50,0x99881fff,0x99999999,
    0xf5099999,0xfffd89ff,0x209ddd11,0xeffffffb,0xffc80001,0x0000002f,
    0x00000000,0x7fffc000,0xffffffff,0xffffffff,0xfff98006,0x6fffb80f,
    0x8037ffdc,0x41fffffa,0xff06fff9,0x17ffa0ff,0x2e17ffe6,0xffffffff,
    0x2fffffff,0xfd89fff3,0xd88001ff,0x0000cdfe,0x003ddd70,0x00000000,
    0x80000000,0xffffffff,0xffffffff,0x8006ffff,0xd00ffff9,0xffe89fff,
    0x7ffd403f,0xffff01ff,0x3fff2619,0x01fffc86,0xfb85fff9,0xffffffff,
    0x32ffffff,0xffc87fff,0x0000000f,0x00000000,0x00000000,0xcc800000,
    0xcccccccc,0xcccccccc,0xf98003cc,0xff300fff,0x7ffcc3ff,0xffff701f,
    0x7ffdc01d,0xfffffeff,0x027ffc41,0x5c1ffff1,0xffffffff,0x2fffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0x200ffff9,
    0x7dc6fffc,0xfffc86ff,0x099999df,0x7fffffec,0xffd83fff,0x7ffdc00f,
    0x2aaaaa64,0xaaaaaaaa,0x000000aa,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7ffffcc0,0x83ffffff,0x7f44fffe,0x3ffee4ff,0xffffffff,
    0xfffffa83,0xccc881ef,0x19999002,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3ffe6000,0xffffffff,0x1ffffa83,0x5c7fffe6,
    0xffffffff,0x26203fff,0x0000009a,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3fe60000,0xffffffff,0x05dfb03f,0x7fdc3bf7,
    0xffffffff,0x0000003f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x26000000,0x99999999,0x80510099,0x99999881,0x00999999,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_bold_38_latin1_x[224]={ 0,7,4,0,1,0,0,7,5,4,2,1,3,4,
6,1,0,2,2,2,0,2,1,1,1,1,7,4,1,2,3,5,0,0,2,1,1,3,3,0,1,2,3,2,
3,0,1,0,2,0,2,1,1,1,0,0,0,0,1,5,2,4,1,0,0,2,2,2,1,1,0,1,2,2,
2,2,2,1,2,1,2,1,3,2,1,2,0,0,0,0,2,2,8,4,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,7,2,1,0,0,
8,1,0,0,4,2,1,4,1,0,3,1,4,4,0,2,1,6,7,4,3,2,0,0,0,3,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,2,2,0,0,
0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,2,0,
 };
static signed short stb__consolas_bold_38_latin1_y[224]={ 28,1,1,3,0,1,1,1,0,0,1,8,21,15,
21,1,3,3,3,3,3,3,3,3,3,3,8,8,7,12,7,1,1,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,1,0,3,32,1,8,1,8,1,8,1,8,1,1,
1,1,1,8,8,8,8,8,8,8,3,9,9,9,9,9,9,0,-3,0,13,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,28,8,0,3,3,3,
-3,1,1,3,3,10,16,15,1,2,1,5,1,1,1,9,1,13,28,1,3,10,1,1,1,8,-4,-4,-4,-4,
-4,-5,3,3,-4,-4,-4,-4,-4,-4,-4,-4,3,-4,-4,-4,-4,-4,-4,9,-1,-4,-4,-4,-4,-4,3,1,1,1,
1,1,1,-1,8,8,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,7,5,1,1,1,1,1,1,1,
 };
static unsigned short stb__consolas_bold_38_latin1_w[224]={ 0,7,13,21,19,21,22,6,12,12,17,19,11,13,
8,18,20,17,17,17,21,17,19,18,18,18,7,11,17,17,16,13,21,21,18,18,19,16,15,20,19,17,14,19,
16,21,19,21,18,22,18,18,19,19,21,21,21,21,18,11,18,11,19,21,13,17,18,16,18,18,20,19,17,17,
15,19,17,19,17,19,18,18,17,17,18,17,21,21,21,21,17,15,5,15,21,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,0,7,16,19,21,21,
5,19,17,21,13,17,18,13,19,16,15,18,13,13,20,19,19,9,7,13,15,17,21,21,21,13,21,21,21,21,
21,21,22,18,19,19,19,19,19,19,19,19,20,20,21,21,21,21,21,17,21,20,20,20,20,21,18,18,19,20,
19,19,19,19,21,16,19,20,19,19,19,20,19,19,19,19,20,20,20,20,20,19,19,19,20,19,19,21,18,21,
 };
static unsigned short stb__consolas_bold_38_latin1_h[224]={ 0,28,11,25,33,28,28,11,36,36,17,19,14,5,
8,31,26,25,25,26,25,26,26,25,26,25,21,27,22,12,22,28,35,25,25,26,25,25,25,26,25,25,26,25,
25,25,25,26,25,33,25,26,25,26,25,25,25,25,25,36,31,36,13,4,9,21,28,21,28,21,27,28,27,27,
35,27,27,20,20,21,28,28,20,21,26,20,19,19,19,27,19,36,39,36,10,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,0,28,33,25,25,25,
39,32,9,26,19,16,9,5,19,8,14,23,16,16,9,27,32,9,6,16,19,16,27,27,27,28,32,32,32,32,
32,33,25,31,32,32,32,32,32,32,32,32,25,32,33,33,33,33,33,18,33,33,33,33,33,32,25,28,28,28,
28,28,28,30,21,26,28,28,28,28,27,27,27,27,28,27,28,28,28,28,28,21,27,28,28,28,28,35,35,35,
 };
static unsigned short stb__consolas_bold_38_latin1_s[224]={ 196,239,101,177,236,218,40,244,66,29,193,
97,244,226,244,101,20,216,234,238,1,220,60,21,180,225,248,208,37,83,20,
240,174,117,82,41,1,148,101,199,106,139,145,157,199,126,42,123,187,196,206,
104,40,160,60,84,62,165,23,54,139,42,63,226,195,114,21,97,101,150,43,
178,64,238,158,145,220,1,207,169,62,140,189,132,1,225,131,153,41,21,79,
13,1,79,115,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,
224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,196,247,219,
159,179,137,7,23,156,82,117,15,137,226,21,209,47,1,33,229,174,85,43,
244,248,1,63,211,43,186,1,240,1,63,85,107,129,1,201,120,81,194,214,
234,1,21,41,61,116,173,23,45,67,217,110,175,132,154,175,196,89,151,97,
159,178,198,147,1,81,158,55,80,42,21,1,198,125,165,105,23,120,65,126,
105,219,63,84,77,1,208,187,228,167,95,139,117, };
static unsigned short stb__consolas_bold_38_latin1_t[224]={ 35,41,379,282,1,108,170,308,1,1,358,
358,255,379,320,108,255,282,282,227,308,227,255,282,227,308,170,199,334,379,334,
140,1,282,282,255,282,308,282,227,308,282,227,282,282,308,308,227,308,1,308,
227,282,227,282,308,308,308,308,1,108,1,379,385,379,334,170,334,140,334,227,
108,227,199,1,199,199,358,334,334,141,140,334,334,255,334,358,358,358,227,358,
1,1,1,379,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,35,41,1,
255,255,255,1,75,379,227,358,379,379,379,358,379,379,334,379,358,379,199,75,
270,192,379,358,358,199,199,199,108,75,75,75,75,75,41,255,108,108,75,75,
75,108,108,108,108,255,75,41,41,41,41,41,358,41,41,41,41,41,75,255,
140,140,140,170,170,141,108,334,255,141,141,141,108,199,199,199,199,140,199,170,
170,140,170,170,334,227,170,170,170,170,1,1,1, };
static unsigned short stb__consolas_bold_38_latin1_a[224]={ 334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,334,
334,334,334,334,334,334,334,334, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_38_latin1_BITMAP_HEIGHT or STB_FONT_consolas_bold_38_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_38_latin1(stb_fontchar font[STB_FONT_consolas_bold_38_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_38_latin1_BITMAP_HEIGHT][STB_FONT_consolas_bold_38_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_38_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_38_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_38_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_38_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_38_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_38_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_38_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_38_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_38_latin1_s[i] + stb__consolas_bold_38_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_38_latin1_t[i] + stb__consolas_bold_38_latin1_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_38_latin1_x[i];
            font[i].y0 = stb__consolas_bold_38_latin1_y[i];
            font[i].x1 = stb__consolas_bold_38_latin1_x[i] + stb__consolas_bold_38_latin1_w[i];
            font[i].y1 = stb__consolas_bold_38_latin1_y[i] + stb__consolas_bold_38_latin1_h[i];
            font[i].advance_int = (stb__consolas_bold_38_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_38_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_38_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_38_latin1_s[i] + stb__consolas_bold_38_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_38_latin1_t[i] + stb__consolas_bold_38_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_38_latin1_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_38_latin1_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_38_latin1_x[i] + stb__consolas_bold_38_latin1_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_38_latin1_y[i] + stb__consolas_bold_38_latin1_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_38_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_38_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_38_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_38_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_38_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_38_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_38_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_38_latin1_LINE_SPACING
#endif

