// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_29_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_29_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_29_latin1_BITMAP_WIDTH         256
#define STB_FONT_courier_29_latin1_BITMAP_HEIGHT        176
#define STB_FONT_courier_29_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_courier_29_latin1_FIRST_CHAR            32
#define STB_FONT_courier_29_latin1_NUM_CHARS            224

#define STB_FONT_courier_29_latin1_LINE_SPACING          14

static unsigned int stb__courier_29_latin1_pixels[]={
    0x26000620,0x0c409801,0x2001664c,0x0d300000,0x0d300000,0x20001e40,
    0x0362001b,0xb8000000,0x70880000,0x2c805c01,0x26025c00,0x9857000d,
    0x001f5003,0x3e200fdc,0x65443ec4,0x000f4005,0xd800bea0,0x017d4000,
    0x10009d10,0x5c005fdb,0x6ecc001f,0xfed88002,0xe96c0002,0x82fdd881,
    0x1d9003e9,0xf001d900,0xa800fc8b,0x01d9000f,0x407506e0,0x02dc005a,
    0x8003d700,0x07ee000e,0x80176200,0x009d14e9,0x4b0017d4,0x99fcc005,
    0x4f30004e,0xe99fcc1e,0xdd806884,0x007ee000,0x10018811,0x01b90015,
    0x05a80000,0x88000f80,0x3f66000d,0x362039de,0x00e40000,0x002c82c8,
    0x92440166,0x220ec001,0x23c8001d,0x3620ec1e,0x12a00e81,0x00025400,
    0x00100000,0x216a0000,0x00025c00,0x4c5f6400,0x000007fb,0x00000000,
    0x09799000,0x44000000,0x00007a0f,0x0000001d,0x0e76dc40,0x20000000,
    0xeea85eed,0xfeaad43e,0x0f880cef,0x33b6e200,0x2a03e201,0x833332e7,
    0x970ccccb,0x665c1999,0xedb880cc,0xedb8801c,0x00cc001c,0x20ccccb8,
    0x800ccccb,0x9990f44c,0x83999999,0xccccc80e,0x3321cccc,0x1ccccccc,
    0x6544e74c,0x77775c0e,0x3bb61eee,0x23eeea85,0xd9881af9,0x0f66d40c,
    0x07901d71,0x2a273a60,0x204b80ec,0x82abb2a1,0x950aecaa,0x6554155d,
    0x4e74c0ae,0xd300eca8,0x01d95139,0x0b333326,0x82abb2a0,0x400aecaa,
    0x550f40f8,0x15557d55,0xaaaa80e8,0x2a0aaabe,0xaaabeaaa,0x2dc07e60,
    0x26666662,0x206be61e,0x25c0cd98,0xbf501f10,0x3e207cc0,0xb80fcc00,
    0x2a006985,0x2542cc04,0x07e61660,0x80fcc2dc,0xd555105b,0x012a00f9,
    0x212e00b3,0xd007a01e,0x4003d003,0x900ba01e,0x97076009,0x0f807c40,
    0x03ea0990,0x807b0590,0x7426402e,0x404a802c,0x4c04a859,0x26402e85,
    0x009900ba,0x95005b1f,0x1f005980,0x00f403d0,0x007a0136,0x00d501e8,
    0x03b001f1,0xb813201f,0xd500f884,0x0d309500,0x07c40354,0x405eff5c,
    0x542cc04a,0x1aa2cc04,0x03543e20,0x2b5007c4,0x404a805a,0xd05b8059,
    0x2200f403,0x007a00ef,0x005901e8,0x20760072,0x400f884b,0xb5025c0f,
    0x0b60d300,0x01c80164,0x950bf2a2,0x04a85980,0x400b22cc,0x3200591c,
    0x00f8b601,0x01660254,0xd00f407a,0x402ea803,0x407a001e,0x0077001e,
    0x9703e03b,0x07c49700,0x09500f50,0x800f41a6,0x41f1003b,0x542cc04a,
    0x07a2cc04,0x001e9dc0,0x791e2077,0x2cc04a80,0x01e816a0,0x005b007a,
    0x80f4003d,0x00b3000f,0xf892e03b,0x12e1f000,0x2e807f50,0x003e0ba0,
    0x459002cc,0x542cc04a,0x03e2cc04,0x000facc0,0xd312e0b3,0x2cc04a80,
    0x01e80ba0,0x001d007a,0x80f4003d,0x0095000e,0x4b87c03b,0x007d2e00,
    0x2ec0bbaa,0x003a1aa0,0x74068a54,0x0b3012a0,0x74598095,0x03a95000,
    0x81e82540,0x3012a01e,0x3a03540b,0x1d007a01,0x74003d00,0x2e005b01,
    0x2e01d802,0xcf8001f4,0xde8da804,0xd004ecab,0x57002d83,0x22dc13e2,
    0x542cc04a,0x0b62cc04,0x002d95c0,0x2e0d3057,0xb3012a04,0x07a016c0,
    0x007401e8,0x03d000f4,0x00f400f2,0x133e00ec,0x2003ee00,0x37b9515a,
    0x0f22d400,0xecf88f40,0x4c0cfdbd,0x34c2d406,0x007916a0,0xe801e47a,
    0xfffffc81,0x01a607ff,0x201a60b5,0xd007a01e,0x4003d001,0x801f101e,
    0x803b007a,0x4b8000fb,0x0000b500,0x801f10fc,0x17f5047a,0x07900fc0,
    0x443c807e,0xf13d400f,0x3f07a801,0x5b333333,0x07900fc0,0x807a00f6,
    0x4007c01e,0x807a001e,0x007a205b,0x012e00ec,0x5a8007c0,0x712e0000,
    0x200f440b,0x8826c00e,0x2209b01f,0x2205b81f,0xd102dc1e,0x5a80b503,
    0x0fc41360,0x01e803c4,0x005a807a,0x00f4003d,0x05d303b6,0x1f003e20,
    0x400b7000,0x2200005a,0x26076c0f,0x400e802e,0x13a20ce8,0x3a20ce88,
    0xd303b604,0xd303b605,0x3e00b605,0x4419d100,0x2007904e,0x6c07a00e,
    0x003d001e,0x77dc00f4,0x2a002ded,0x8802dc06,0x801ae999,0x00099db9,
    0xefb83b80,0x1d002ded,0xfdbfd100,0xdbfd1007,0xbdf7007f,0xefb805bd,
    0x0f102ded,0xfe880f20,0x03a03fed,0x3fffe040,0x012fffff,0xfffffff8,
    0x3fffe2ff,0x202fffff,0x266200a9,0x4c41fda9,0xd801ae99,0x01eeeeee,
    0x17bbbba6,0x53004000,0x40018001,0x440009a8,0x54c0009a,0x0054c000,
    0xf05ffff9,0x4401ffff,0x0000009a,0x00000000,0x2e000000,0xd80cdeee,
    0x01eeeeee,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80199990,0x0366000b,
    0x9804a800,0x2880710c,0x00001b30,0x217006c4,0x3300cccb,0x000d4000,
    0x52ceeca8,0x0c985501,0x30025400,0x00000003,0x0d490004,0x40c98550,
    0x36202aaf,0x3b2002fe,0x00eb8000,0x80be1f54,0x003b203d,0xd00fa600,
    0x107aaa63,0x5913bddd,0x007dd900,0xfc98ade8,0x5c7e82dd,0x07ee001f,
    0x277bba20,0x6e4002d8,0xfffb800d,0x0793c00d,0xf07ee374,0x3a67f300,
    0x007ee004,0x2d800ec8,0x01f506c8,0x20001fb8,0x81e802f9,0xfd514c1d,
    0xb14e8809,0x407b001b,0x180882fc,0x4003b200,0x013faa29,0x90122730,
    0x881b221b,0x80880b27,0x41d80781,0x12a001d8,0x1d0024c0,0x09d05f10,
    0xd80012a0,0x3b03d001,0x41640000,0x202e403b,0x800002f8,0x000000da,
    0x302c3700,0x3440ba0d,0x1e00003b,0x00000000,0xd8074000,0x0000fcc5,
    0x0f400000,0x76dc40ec,0x4000001c,0x970a800e,0x665c1999,0x200000cc,
    0x02ccccc9,0x02dbd880,0x9825c0b6,0x666407a6,0x21cccccc,0x99999707,
    0x5c799999,0xcccccccc,0x3332e3cc,0x3ccccccc,0x41f300e8,0x9999306c,
    0x664c0059,0x1e802ccc,0x4e74c1d8,0x9300eca8,0x10059999,0x5d95000d,
    0x57655415,0x90399950,0x55510999,0x4c000f9d,0x59807c00,0xa8074b30,
    0xaaabeaaa,0x6754c1e0,0x6baaaaaa,0x2aab3aa6,0x2a66baaa,0xaaaaaace,
    0xf100e86b,0xaa8827c7,0x22007cea,0x807ceaaa,0x3e61d81e,0x2a20b701,
    0xa807ceaa,0x80950005,0x057e4c59,0x7c016ed4,0x010002d8,0x5eca8788,
    0x7d57654c,0x00f401ab,0x2601d80f,0x1a601d86,0xf8698076,0x1fc57e00,
    0x002d8f80,0xd805b1f0,0x00ba1d80,0x5b1f0099,0x50004a80,0x7b059809,
    0x2a003e20,0x32600b55,0x981ceffe,0x22de7e45,0xefeefeed,0xf00f404e,
    0x1a601d80,0xd8698076,0x0f51a601,0x005f36d8,0x20016ab5,0x2000b55a,
    0xf100d51d,0x05aad401,0x4a800254,0x0f882cc0,0x45b002d8,0x09bb800f,
    0x44b30f51,0x89dc1666,0x7807a007,0x07100ec0,0x6c1c403b,0x2fd8e201,
    0x01fabe40,0x0003e2d8,0x40007c5b,0x3200591d,0x00f8b601,0x254001a6,
    0x46a81660,0xc8f1005a,0x21e40003,0x0598f259,0xe801a279,0x83b01e01,
    0x0341d806,0xd981a0ec,0x1fab6c04,0x00f23c40,0x001e4788,0x7001e8ec,
    0x0791e207,0x4a8003c4,0x4f602cc0,0x897000f8,0x2cc00069,0x1663c966,
    0x20069964,0x5b01e01e,0xd801f333,0x400f999a,0x00f999ad,0x26bd01e2,
    0x2625c02f,0xd312e006,0x1f1d80c0,0x25c16600,0x009901a6,0x2cc04a82,
    0x00f63e20,0x801e81e8,0x5cbcccb9,0x263d12cc,0x3ffffee5,0x7402ffff,
    0xffb01e01,0xfd801fff,0x6c00ffff,0x400fffff,0x7c53e00e,0x0f40f403,
    0x01e81e80,0x03a3b03d,0x81e82540,0x807e201e,0x3012a3d8,0x00dd500b,
    0x404b834c,0xebaabcfd,0x3f6a34c5,0x951e80ff,0x0f00f400,0x2007c1d8,
    0x36007c1d,0x03a007c1,0x409d17c4,0x30097069,0x0f412e0d,0x7002d8ec,
    0x12e0d305,0x9d307f30,0x02cc04a8,0x3f2001e8,0x07ffffff,0x22cc0372,
    0x018880f8,0xe8012e1d,0x83b01e01,0x0241d804,0x3a0120ec,0x07b8f700,
    0x3ffffff2,0xfffc807f,0x3d07ffff,0x400f23b0,0xffffc81e,0xd8807fff,
    0x982ffdef,0xe802d406,0x2667e001,0xf02d9999,0x1f42cc03,0x03b87c00,
    0x407807a0,0x360dc01d,0x0760dc01,0xd00e8370,0x3f02f889,0x5b333333,
    0x99999f80,0x81e82d99,0xa801f11d,0x33333f07,0x22005b33,0x00fc00bd,
    0x007a0079,0x216a02d4,0x0bb100e8,0x64f000b7,0x7807a003,0x0b200ec0,
    0x6c2c803b,0x03a16401,0x21b207e6,0x502d405a,0x1e85a80b,0x8816e1d8,
    0x5405a81e,0x20132005,0x003f104d,0x016c007a,0x541e407c,0x307d05df,
    0x0164f103,0x203c03d0,0x3616401d,0x07616401,0xd84b8590,0x2d83f104,
    0x05b00f80,0xd81e81f0,0x3a6076c1,0x1f005b02,0x2201d400,0x013a20ce,
    0x078801e8,0xbfb10790,0xbff33dfb,0xffcbde98,0x00b66881,0x3bbe01e8,
    0x3200ec0e,0x0b200ec2,0x442c803b,0x401f10ee,0x6401e24b,0x79007883,
    0x3fddb0e8,0x5bdbdf70,0x1e401e20,0x00777a60,0x0ffb7fa2,0xfc803d00,
    0xfff82fff,0x013500ff,0x00de5440,0x3fe00a8a,0x2fffffff,0xffd86666,
    0xffffffff,0xfffffb2f,0x25ffffff,0xfffffffd,0x8102ffff,0xfff90800,
    0xfffff05f,0x0bffff21,0x043ffffe,0xa9803331,0x3ffff200,0x0fffff82,
    0x54400040,0xfff88009,0x0003ffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0x4001cc2b,0x42a80029,0x014c00c9,0x1000a200,0x00029800,
    0x97100a80,0x20039999,0x00040028,0x014c0000,0x1000a200,0x29800000,
    0x3325fa80,0x3f22fc0c,0x3bbb6000,0x3f403c89,0x7d1007ee,0x00be6000,
    0x1000dfb8,0xfdb8007d,0x101f50ce,0x3007305b,0x6fdc005f,0x6fed4400,
    0x101fc40a,0x3e60007d,0x037ee002,0x27fedc40,0xfd807d10,0x881ffd0f,
    0x71000c40,0x2006fed4,0xd1001808,0x02fa8009,0x3d91db10,0x2013a200,
    0xfb98add8,0x205901fb,0x00fd4039,0x1ec8ed88,0x32637f30,0x1017e60f,
    0x2fa8009d,0x3ae3b600,0x45674c01,0x02744018,0x03fec591,0x00000000,
    0x01360000,0x9d000f4c,0x36001fa8,0xf981f404,0x01881604,0x4e8007a6,
    0x80dc0fd4,0x4013e64b,0x03d3004d,0x07ea2740,0xb00017d4,0x237e4009,
    0x02ccccc9,0xb80ccc88,0x9970cccc,0x99999999,0x10004007,0x00100800,
    0x9025c010,0x001e40db,0x10080010,0x261f1000,0x8002004f,0x00804000,
    0x100003f1,0x222fd400,0x807ceaaa,0xa985fca8,0x9d530aeb,0xd7555555,
    0x06000100,0x18000c00,0x6b807c40,0x4cbdb87b,0x40002000,0x87c40000,
    0x000003f8,0x9b000000,0x18008000,0x23e027cc,0x3db3002d,0x00ec1a60,
    0xffd930d3,0xfea8039d,0x75402eff,0x5402efff,0xa82efffe,0x9661f305,
    0x80175458,0x02efffd8,0x177ffec4,0x7f12dc00,0x3a60f764,0x07bb21ee,
    0x7643ddd3,0x0f774c1e,0x7ec4001a,0x43d02eff,0x556a03f8,0x0d5b3005,
    0x300ec1a6,0x2213770d,0x46fb207a,0x7d904eb9,0x6413ae63,0x89d731be,
    0x221e883b,0x00dc82c6,0x5e982fea,0x74c17f50,0x0eda9805,0x03d3117c,
    0x74c45b33,0x222d9981,0x2d9981e9,0x009a8966,0x5e982fea,0xb006c1e8,
    0xacc007c5,0x3b06983d,0x32001c40,0xf100fb83,0xf100fb85,0xf100fb85,
    0x41ec1645,0x6c406cc7,0x3600f883,0x7b007c43,0x407ffd40,0x3601d82f,
    0x0b601d82,0x2a2d8076,0x03fdbf94,0x21ec01f1,0x91e2002f,0x3e2b3007,
    0x41d834c0,0x42cc0006,0x3e3dc02f,0x0be3dc02,0x32264f70,0x3d887885,
    0x402d8b70,0x100b60f8,0x1eb8801f,0xb00ec0fc,0x16c03b05,0x5c5b00ec,
    0x03ea1dcb,0x20f8805b,0x312e002f,0x264b300d,0x4cd6c1a6,0xcb9800f9,
    0x74c5cbcc,0x99999999,0x333d30f9,0x1f333333,0x266667a6,0xd70f9999,
    0x034c0754,0x7c3703b7,0x03e2d800,0x7cc00b60,0x807607a0,0x3601d82d,
    0x8b601d82,0xf8b906fa,0x7f12d800,0x0f40f400,0x4c3d1660,0xfffffb06,
    0xabcfd801,0x77d45eba,0xeeeeeeee,0xddddf51e,0x23dddddd,0xeeeeeefa,
    0x1f31eeee,0x012e03f1,0xd12a8991,0x0344f200,0x8f2003c8,0x16c03b02,
    0xb05b00ec,0x3f116c03,0x00689e60,0x400fe279,0x98097069,0x20d33545,
    0xb9007c1d,0x0f116601,0x1000f100,0x3af6000f,0x2003f102,0x03c4dbd9,
    0x6401e2c8,0x2016a002,0x360b601d,0x0760b601,0x1e0342d8,0x7c4b200f,
    0xffff9004,0x5980ffff,0x360d32d8,0x807e0241,0x8003f859,0x03f8003f,
    0x3204f980,0xe8344004,0x07a0e801,0x4c8003a0,0x0b601d80,0xd82d8076,
    0x03d0b601,0xd003d166,0x7c013e61,0xd9999999,0x3e616602,0x803b0698,
    0x2201d11b,0x400fa85d,0x02007d40,0x5c0801f5,0x06ec41fe,0x26032028,
    0x1a626406,0x10044990,0x03c8043f,0x207905f5,0x503c82fa,0x5905a85f,
    0x32640698,0x80b500bf,0x6416605a,0x803b069c,0x3ea0f22c,0x103d905d,
    0x81ec83f9,0x0f641fc8,0x8ea8fe44,0x03fedee9,0x32068122,0xc80ec81e,
    0x2a0ec81e,0x9275c43f,0x441d10df,0x0e882eec,0x220bbb22,0x0bbb220e,
    0x07dc4332,0x07640f64,0x05b005b1,0x416601f0,0x03b06af8,0x37f622c8,
    0x5ff99efd,0xfeddefa8,0xbbdf500c,0x3ea019fd,0x20cfedde,0x400d441e,
    0xda9999d8,0x7677d402,0x677d404f,0xdfb104fe,0xffd85ffb,0x4fedfc80,
    0xdbf90bfb,0x3217f69f,0xbfb4fedf,0x03dfdf90,0x27f677d4,0x200f1000,
    0x540b303c,0xc803b06f,0x00013502,0x44001551,0x2a2000aa,0x2000000a,
    0x01bccccc,0x80026a60,0x510009a9,0x2a005403,0x001a8001,0x1a8001a8,
    0x0026a600,0x2ffffc80,0x20fffff8,0xe81ffffd,0x7ffffec6,0x02ffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00008000,0x400000a2,0x000cdedb,0xcccba800,
    0x00000ccc,0x00000000,0x4c0c0000,0x08800000,0x002ee200,0x000c4000,
    0x00400510,0xfb8136a0,0x17cc000d,0x0277f540,0xd7315bb1,0xcefeb805,
    0x1cbeea80,0x3bf66019,0xcdec880b,0x1edcc000,0x03db9800,0xf117dc00,
    0x02ffc80b,0x33ffff22,0xf97db048,0x23fea807,0x007f1029,0x2e005f30,
    0xff8800df,0x6476c43f,0x05f5001e,0xd9315f70,0x17cc0fa0,0x7da8bec8,
    0x32371fd4,0xc98cf980,0x01621986,0x00077350,0x0000ee6a,0x401b8191,
    0x7d303ffe,0x207fe4c1,0x8807c469,0x1fdfc89e,0xa8013a20,0x8dd8801f,
    0xfff801ec,0x07ea2742,0xf1003d30,0x04b87b03,0xc834434c,0x32371f63,
    0x04b82d80,0x07700068,0x0003b800,0x0ee20000,0x03ee02e8,0x4007905b,
    0x4d8800a8,0xd000ea80,0x4401fa89,0x0010082b,0xa82e4002,0x36003e26,
    0x26981dc3,0x80c8dc4e,0x32607a07,0x3b80801e,0x00ee0200,0x00008008,
    0x21a01ee0,0x1004b81d,0x02006000,0x00020100,0x01000080,0xa8fc07d0,
    0x2d8b5005,0x2e2f43e0,0x204a8191,0x409b502b,0x803b86d8,0x003b84e8,
    0xfec981f9,0x40001cef,0x83b0004c,0xfd9301e9,0x000039df,0x00000000,
    0x9dffd930,0x7ff64c03,0x403f01ce,0x2200772d,0x26a82dc6,0x0646e1fb,
    0x404a812e,0x704fa81d,0x703fb807,0x80de9807,0x0f5109bb,0x007a0130,
    0x3fea8ec0,0x54426ee0,0x3dddd507,0x1eeeea80,0x0f777540,0x426ee000,
    0x26ee07a8,0x0f10f510,0x400593c8,0xd505f447,0x1b8afc85,0x3a079819,
    0xdb106c05,0xe981dc03,0x440ee00d,0x790002ec,0x05b02d80,0x65447600,
    0x83c8004f,0x401e9998,0x401e9998,0x801e9998,0x32004eea,0x443c8003,
    0x03c9e406,0xbfd10f10,0x36e605ff,0x05d0191e,0x556e4f99,0x0c4fee3d,
    0xc8ab76aa,0xbb55032f,0x0327d455,0x74c0b300,0x20009702,0x004d881d,
    0x00ec02cc,0x3b000760,0x001ffb00,0x2cc002cc,0x2e7901a2,0xf30d3004,
    0x7009fb7d,0x33e60323,0xa88f5d98,0xed837622,0x22666661,0xcacc8de9,
    0x22666664,0x07b61ed8,0x65e665cc,0x202ee985,0x21d400f8,0x260ba01d,
    0x05cbcccb,0x0ec001d8,0xf1007600,0x332e607f,0x2e605cbc,0x445cbccc,
    0x0699e407,0x41e98970,0xc8dc04d8,0x27bf9300,0x21fdc068,0x32201dcb,
    0x01c8932e,0x399513ea,0x75579fb0,0x002f98bd,0x1db105d5,0xb12e01d8,
    0xbd75579f,0xd8003b00,0x200ec001,0x79fb06fa,0x360bd755,0x5ebaabcf,
    0xd8ba00f8,0x360fc402,0x5c01f103,0x59800191,0x6881bd30,0x013ea03b,
    0x07b620b2,0xdc8391d1,0x02c8b300,0x76ef74c0,0x201d80bf,0x4c037269,
    0x4001d805,0x00ec001d,0x03720bf2,0x806e42cc,0xf101e859,0x990074c3,
    0x016c01f0,0x90003237,0x3605f707,0x03d903b1,0x07f30b50,0x07e0e476,
    0x0007c598,0x6c01ad88,0x0fcb5021,0x03b00b30,0x6c001d80,0x1f82fc01,
    0x807e1660,0xf303c859,0x6c41fa81,0x3a01f80d,0x00646e02,0x01301f30,
    0x0181d92e,0x40220970,0x0e88724a,0x03e8bb10,0xb007900e,0x22591a23,
    0x00bb100e,0x01d8003b,0x03200ec0,0x2ec403a2,0x2ec403a2,0x504c83cc,
    0x409fdbfd,0x401f304d,0x2200191b,0xeec8002e,0x7b0005fe,0x3bbb2000,
    0x2a0f20ef,0xf035c5df,0x6c02b801,0x907cc7a1,0x00bbf507,0x01d8003b,
    0x90000ec0,0x90bbf507,0x20bbf507,0x1007d44d,0x7f10039f,0x2e01f541,
    0x5f700191,0x00760000,0x00443b10,0xfd883900,0xff99efdd,0x2e673f65,
    0x1bbd306e,0x547fff60,0x7ec42edf,0xff99efdd,0xb0007605,0x001d8003,
    0x3f77f620,0x225ff99e,0x99efddfd,0xedfd85ff,0x33bea00e,0x885b89bd,
    0x102ffdfe,0x86b23933,0x00dfedea,0x05fd8800,0x777776c0,0xdfd88003,
    0x20013500,0x802ceeda,0x400c0000,0x7fdc009a,0x7fffffff,0x3fffffee,
    0x3fee7fff,0x7fffffff,0x00135000,0x440009a8,0x5ef4401a,0x01dfdcaa,
    0x995006a2,0x88333259,0x0000000a,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0ba80000,0x200000a2,0x40c01808,
    0x0c044008,0xdc980000,0x64c00002,0xcc88002c,0x402ccccc,0x98004003,
    0xcccccccc,0x0800000c,0x40004400,0x64400018,0x00cda83c,0x3eeeeb98,
    0x298ffaa0,0x03f71ba0,0x80df0fea,0x3217dc7e,0xaaaaaaaa,0x86544aaa,
    0xfec8803b,0x05ca884e,0xaaaae980,0x007401aa,0xc977ffdc,0x555d51ee,
    0x543d5555,0xe984efed,0x9dffd54e,0x77ff5c01,0x504ee98c,0xba80003f,
    0x01fffc46,0x0befbae2,0xdfc99e88,0x930aa01f,0x57032201,0x06443a80,
    0x8585000a,0x45674405,0x05a80eda,0x20005980,0x45f7400e,0x21adbfb8,
    0xdf87c049,0x40eeb89a,0x221ecdb9,0x21ed80eb,0x009eaeb8,0x300003f5,
    0x805fff0d,0x003a60bc,0x00000a88,0x20000000,0x21614002,0x6413a00c,
    0x98005a85,0x803a0005,0x007fa05c,0x9b03cd30,0x7cc0bf50,0x6fa816e0,
    0x00005440,0x015c434c,0x0200d300,0x00000400,0x00500600,0x81606428,
    0x503e6069,0x0598010b,0x8befc880,0xfb80be21,0x071e4001,0x007d43d4,
    0x2007c4b2,0x2000006d,0x200034c0,0x793dedc8,0x3bfff620,0x7ffec402,
    0x41eec82e,0xd501eee9,0x0505dfff,0x55ecc280,0x3a00401d,0xffd9ad41,
    0x265980df,0x4ce7e401,0x101a67fb,0x00e8003f,0x201aa1e0,0xd500b34a,
    0xfda80000,0x000d34ef,0x654d67d4,0x0bfa85be,0x5fd417a6,0xd3117a60,
    0x905b3303,0x13ae637d,0x55028005,0x22005b88,0x1756d40f,0xde983f91,
    0x6a83ffff,0x402d4f50,0x01a6001e,0x805a85a8,0xd500b569,0x03dddd50,
    0x6e443d70,0x1d30006a,0x1f11ba60,0x03e21ec0,0x201d83d8,0x8807dc2d,
    0x05000a2f,0x002cdb88,0x077d426c,0x0dec46a8,0x203e8bd5,0xf9803e62,
    0x400ee001,0x807a81fb,0xd700d14a,0x03d33310,0x1bee05a8,0x2e00f400,
    0xf100b60f,0x3e2016c1,0x85b00ec0,0x053dc02f,0xcdb98280,0x20b90001,
    0x01ec01fa,0x01f12f88,0x3fb01f40,0x2e00f400,0x07f500de,0x880ba2e8,
    0x401e806e,0x6436c00e,0x006880df,0x6c007c3f,0x0b6003e2,0xd316c03b,
    0x33333333,0x5000a1f3,0x0020e754,0x03d40d70,0x49b002d4,0x0be6000e,
    0x44007baa,0x200fcc06,0x8bb02eea,0x6ed881f9,0x1a201e80,0xfff11ae0,
    0x3a00b507,0x4f200d11,0xd8790068,0xefa8b601,0xeeeeeeee,0x2280051e,
    0x01cddb80,0x16a00ec8,0x5a801a60,0xdf5000f2,0x03b1df97,0x0b3012e0,
    0x57bd1b50,0x37ea09d9,0x069bfcab,0x012a01e8,0x07ffa1a6,0xf07c01a6,
    0x0078b200,0x3601d859,0x0a001e22,0x11cc0500,0x400dc80b,0x005a806a,
    0x880f896a,0x15997103,0x00ec0076,0xa8ad4004,0x54401bdc,0x00d31bdc,
    0x402cc03d,0x7c01506a,0x07a3cc00,0x801e83a0,0x5b00ec0e,0x014003f8,
    0x5c0c80a0,0x2a00bb01,0x001e400f,0xabeea879,0x1e8003ec,0x00007880,
    0x4000016a,0x401e8069,0x0036400e,0x21ec05b8,0x26264069,0x1e426406,
    0x07d42fa8,0x14002820,0xbb0550b0,0x302fd400,0xf880a61d,0x0039f500,
    0x254007c0,0x2d400c40,0x06980000,0x026401e8,0x05930df3,0x36c40de8,
    0x0ec81ec8,0x0ec81ec8,0x3b220e88,0x881ec82e,0x280051fc,0x9b0b0ea0,
    0x0dcda800,0x1bd117d4,0x07403e98,0x200b9000,0x37fcc02c,0x000016a0,
    0x00f4034c,0x35f5426c,0x2e017ffc,0x403fecef,0x04fecefa,0x27f677d4,
    0x53fb7f20,0xdefa85fd,0x00a0cfed,0xdcdb8050,0x476026c1,0xbdf75ff9,
    0x3bb203dd,0x0e802fed,0xda999880,0x801d000e,0x2e606ffa,0x8000099d,
    0x2009ea99,0xbbf9001e,0x4bff31dd,0x53002fff,0x09a98003,0x0026a600,
    0xa88001a8,0x5555900a,0x95555555,0x7ff40200,0x1fffffff,0x1000a980,
    0x006c0035,0x01ef775c,0x00a98000,0x0bddddd3,0xeeeea800,0xfffff74e,
    0x980fffff,0x03d9800a,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x166f6dcc,0x9bdb7300,
    0x00030005,0x42f76c00,0x9973eeea,0x6665c199,0x0880000c,0x0da88018,
    0x40001980,0x765402ca,0x260152ce,0x0a8bdeeb,0x8000332e,0x801cedb8,
    0x198cefeb,0xdd307bb2,0xcccc983d,0x20adc800,0x6e400dc9,0x0037260a,
    0x2e2001e8,0x2be602df,0x50cd9881,0x554155d9,0xfea80aec,0x91be0a63,
    0x37f6a03f,0x003b801f,0xe8173e20,0xddfc98ad,0xa89bdd82,0x3aa62efc,
    0x39d30001,0x3a01d951,0x3efda9be,0x26607a62,0x7555441d,0x2601ec01,
    0x9807b01e,0x003d001e,0x0fee2fe2,0x03e204b8,0x10598095,0x3fbf913d,
    0x20498570,0x7003d0ac,0x55ec0007,0x7e407b05,0x5f702ec2,0xf30003d0,
    0x12a16e03,0x00ec1fd4,0x201e803b,0x8355552c,0x64c2c868,0x7401a252,
    0x38877001,0x84c807c0,0x002cc04a,0x00000151,0x01dc00f4,0x90b56a80,
    0x2e2f880b,0x7416c00e,0x402e8001,0x7b00744c,0x00ec03b0,0xb12cc07a,
    0x23b89533,0x5c88e459,0x007a00ee,0x25c00074,0x025407c4,0x00080166,
    0x101e8000,0xdddddddb,0xb51e809d,0x415001d0,0x07a0001e,0x8806a801,
    0x01101a0f,0x200ec03b,0x4483901e,0x54393428,0x74034381,0x0001d001,
    0x2a09703e,0x3a62cc04,0x4effd99e,0x03dddd50,0x26601e80,0x099999cc,
    0x445a96e0,0x00788006,0x7ff4cf40,0x2005903f,0x2000ee1c,0xd007601d,
    0xa8903603,0x0241b2c2,0x66665c58,0x80ccccdf,0x4970002d,0x809500f8,
    0x2ece9859,0x26621366,0x0f4001e9,0x22001dc0,0x0b516a0f,0x8000b500,
    0x136a2ece,0x11dc007a,0x3600159d,0x3d007601,0x36eb61a0,0x048d1c82,
    0x6665c390,0x1ccccdfc,0x02677262,0x812e1f00,0xd82cc04a,0xd807980f,
    0x400f4001,0x2264003b,0x4002545a,0x7740004a,0x00f87980,0xdd950b30,
    0xb00ec059,0x0d01e803,0x1b03b339,0x03600b1a,0x7fcc03d0,0x4006ffff,
    0x25401f4b,0x016c1660,0x001d803d,0x01dc00f4,0xa8b50d30,0x504a8004,
    0xe8155555,0x01d07a01,0xb51012a0,0x2a07b01b,0xc80f401f,0x4d032240,
    0x1a00720c,0x078007a0,0x20267c00,0xd82cc04a,0x3b007601,0xb801e800,
    0x2a0b6003,0x4c0034c5,0xbd999705,0x07601e83,0x00ae005b,0x20ed84c8,
    0x7401eec8,0x44487501,0x643a9664,0x02cc9711,0x01f000f4,0x2007dc00,
    0xd82d4069,0x3b007601,0xb801e800,0x555f3003,0x3c45d955,0xc803c400,
    0x07601e82,0x047a0079,0x7eec3440,0x0bfb4fed,0x321d00f4,0x074ea0cd,
    0x2ccb883a,0x00f40074,0x5c000788,0x6403f004,0x0ec03b03,0x3d000760,
    0x26007700,0xedcccccc,0x0401320c,0xd059005d,0x3e20ec03,0x0793d400,
    0x351d8798,0x4403d000,0x883c800d,0x003c800d,0x0166003d,0x36001f00,
    0x3603f104,0x3b007601,0xa801e800,0x85a80004,0x8f6201f8,0x416400f9,
    0x2e07601e,0xfd87a205,0x07617600,0x9803d000,0x407d302e,0x07d302e9,
    0x05b000c0,0x00b700e4,0x9d106744,0x03b00ec0,0x0f4001d8,0x2c981e80,
    0x7f305a80,0x5f709d30,0x07a0ba60,0x81db01d8,0x0efec2e9,0x07603ee6,
    0x2003d000,0x0dedcdec,0xdb9bd900,0x2000001b,0x311e606b,0x40035d33,
    0x03fedfe8,0x803b00ec,0x00f4001d,0xefeceea8,0x440b5003,0x02ffdefd,
    0x3b73bfa2,0x201e80be,0x37bee01d,0xfb9c82de,0xb01dfedf,0x01e80003,
    0x00004c40,0xff100131,0xffffffff,0x7fffec7f,0x6c2effff,0x01eeeeee,
    0x7004d440,0xff98ffff,0xfffff75f,0xff8fffff,0x2fffffff,0x8004d440,
    0x200ffffe,0x4c000a98,0xfff9009a,0x07fffb8f,0x5300054c,0x000b8013,
    0x3fffffee,0x00006fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x16654000,0x665cc000,0x9999901a,
    0x33227999,0x5c04cccc,0x0acccccc,0xcccccb80,0x222ccccc,0xcccccccc,
    0x664c2ccc,0xcb802ccc,0xcccccccc,0x022a603c,0x3333332e,0x950ccccc,
    0x99990399,0xccccccb8,0x999950cc,0xccb80599,0x200acccc,0x32e0cccc,
    0x666642cc,0x951ccccc,0x15999999,0x0004da88,0x332afba2,0xd9555503,
    0x2eaa2555,0x65402aae,0x3fdbaaad,0x76675540,0x264caaaa,0xabfaaaae,
    0x55444daa,0xa9807cea,0xaaaaaace,0xfdde986b,0xaabfaa84,0x31eaaaaa,
    0xbb5015f9,0xaaaabe85,0x9b531faa,0xca803555,0x4fcbaaae,0x4c159d50,
    0x55541cea,0x30aaabea,0xf95559b5,0x0009705f,0x260001e4,0x20034c05,
    0x009b104b,0x4970b51f,0x25c1e869,0x400b63e0,0x361a601d,0x801d0022,
    0xf881ec1e,0x0b701e80,0x0b500059,0x00ec1762,0x803d003b,0xb83f502c,
    0x003e0004,0x6980b300,0xd1025c00,0x85ab4c03,0x07a1a64b,0x5aad4097,
    0x34c03b00,0x01d001a2,0x407c41e8,0xd303d02d,0x7999b901,0x7405a805,
    0x07601d81,0x059007a0,0x0012e2e4,0x59800078,0x2e0034c0,0x7702d404,
    0x698ea16a,0xb025c1e8,0x0ec007c5,0x001f0710,0x202e0074,0x1d02dc5b,
    0x2b3205d0,0x502ffcaa,0x1d86980b,0x07a00760,0x234c0590,0x3bbba24b,
    0x777f76c2,0x26002eee,0x20034c05,0x3607804b,0x38814b51,0x8814c1e8,
    0x0ec01e47,0x800ee01a,0x7b00340e,0xc80803e2,0x7d40b204,0x0e805a81,
    0x003b00ec,0x202c803d,0x3ee25c5a,0x7ccc409a,0x00099999,0x00d30166,
    0x01e804b8,0x0354ed4f,0x4b8007a0,0x4d6c034c,0x7c400f99,0x3335d000,
    0x6c7c400f,0x20354003,0x7317202c,0x0760333b,0x3333335b,0x803d003d,
    0xb85d102c,0x3c007ae4,0x202cc000,0x025c0069,0xf52d40ec,0x1e800dff,
    0x07a07a00,0x1fffffb0,0x2a2ef540,0x7ffffe81,0xeec99880,0x1f880099,
    0x4d301640,0x7ffffffe,0x7ffec2c8,0x801fffff,0x2616401e,0xd94b84fb,
    0x0c03c001,0x0d301660,0x1d804b80,0x2cd6a3c8,0x4c007a00,0x1d809706,
    0xd0e9807c,0x83a0ba65,0xccca8078,0xd804ccdf,0x2a02c803,0x2d805a85,
    0x003b00ec,0xfffc803d,0xb9701def,0xd00f000d,0x2602cc03,0x09716206,
    0x3fffa0f0,0x3d00025f,0x3ffff200,0x0ec07fff,0x3a63b812,0x481d03c8,
    0x2001e800,0x02c8305b,0x00b505d1,0x3601d81d,0x6401e801,0x767dc002,
    0x7403c002,0xd3016601,0x012e3440,0x5a8d10d3,0x003d0010,0x2666667e,
    0x007602d9,0xf990b637,0x20003a01,0xaabeaaa9,0x2603e602,0x3ae61645,
    0x6880b504,0x007601d8,0x0059007a,0x005d14b8,0x700f403c,0x22069809,
    0x0f6025c6,0x3a0b512a,0x5400f400,0x3b02d405,0xf0952c80,0x40007409,
    0xaabeaaa9,0x2cc0ba02,0x37fffff2,0x99016a01,0x00ec03b0,0x00b200f4,
    0x0174c970,0x202e8078,0x1034c02e,0x17204b8d,0x7416a16c,0x6c00f400,
    0x3b00f802,0xa8ba2c80,0x0003a06f,0x132007a0,0x00164598,0x20b702d4,
    0x2007601d,0x0016401e,0x003d312e,0xb07f500f,0x440d300b,0x36a225c6,
    0x0b503e05,0x803d003a,0x20790078,0xb316401d,0x09f91ddd,0x3d00001d,
    0x2600e980,0x54001645,0x8076d445,0x2007601d,0x0016401e,0x007e612e,
    0x37f6200f,0x3fe604fd,0xffffffff,0x3ffffa6f,0xff902dff,0xfffff31f,
    0xf881ffff,0x43ffffff,0xf82ffffc,0xffb0ffff,0xffffffff,0xe803305f,
    0x01ffffff,0xffffff90,0x3ffffea0,0xff95ffff,0xd809ffff,0xadffffff,
    0x1ffffb80,0xf83ffff6,0xffffffff,0xffffff92,0x113fee09,0x3e27ffff,
    0xffffffff,0x00153100,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x66440000,0xccccb80c,
    0x90399950,0x66654999,0x264ccc81,0x64c2cccc,0x99953ccc,0x99999039,
    0x6666665c,0x9999701b,0x32666447,0xcc980999,0x333332e3,0x170000bc,
    0x0b101000,0x07219100,0x80018000,0x00044000,0xf9510004,0x15d7530b,
    0x2a02bf26,0x2bb662dd,0x222eda80,0x5441aadc,0x5f731eca,0x5bb55015,
    0x5555f54c,0x754c2eeb,0x3baa22ac,0x807bee22,0x3aa62ddd,0x1dfcaaac,
    0x9800f400,0xe89cfffd,0x8ff22002,0x50001de9,0x405dfffd,0xcacfffda,
    0x7fffe440,0x27cc048c,0x407b6600,0x2207b069,0x2207d00f,0x5005a81f,
    0x3d003d09,0x07440760,0x80dc80ec,0x7d305af8,0x35407609,0x2e007a00,
    0x7fd710af,0x8067dc00,0x32000cfb,0x09d731be,0x36a217f5,0x982fa61f,
    0x36200ffc,0x356cc001,0x01f10698,0x40fc405b,0xa88d302e,0x025c1dc1,
    0x201d81a6,0x5d81d83b,0x64075e20,0x403b04bb,0x007a002d,0xbdd101d3,
    0x003bd500,0xf7007f91,0x5b0be201,0x02e87e20,0x000003ee,0x34c1ed66,
    0x805a8d50,0x881320ea,0x0b22fd47,0x407901e2,0x3616a01d,0xf1013a21,
    0x12ef112e,0x00b500ec,0x20ba00f4,0x301f8be8,0xb10003db,0x2017c05d,
    0x4302e47b,0x0006807b,0x03e2b300,0xf13d80d3,0x35d6e001,0xb1ef63c0,
    0x0f80b603,0x82d80760,0x1007d11d,0x74b83e2f,0x2d807609,0x78807a00,
    0x10f63e88,0x300005f9,0x99e983dd,0xf9999999,0x06b3b620,0x00000264,
    0x2264b300,0x6c7c4069,0x07e6c003,0x3d1f0740,0x505a80f4,0x999ad80b,
    0x33b04eb9,0xc9e2009f,0xd825c3a3,0xd106d881,0xdddfdddd,0xd11a65dd,
    0x13ee5a89,0x97ea0000,0xeeeeeefa,0xa981eeee,0x07a0efec,0xddddd100,
    0x05dddddd,0x6987a2cc,0x8006ea80,0x23b003f8,0x007c7769,0xd805b01f,
    0x1fffffff,0x19f9f9b0,0x55a27880,0x66ec12e5,0x4c02fecc,0x99ae9999,
    0x7443e219,0x1fe44b84,0x1bd50000,0x200003c4,0x005b1fa8,0x33333330,
    0x4c013333,0x00d33545,0x3760007a,0x972c800f,0x1e4079a6,0x207601e2,
    0x1fd84e98,0x47880db1,0x412e1ead,0x04fbaacd,0x3f803d00,0x220b609b,
    0x260002fc,0x007f01ee,0xba640188,0x00000004,0x34cb6166,0x5c001e80,
    0x27700d75,0x01a23e1e,0xd804b8d1,0x07616c01,0x54788132,0x1d825c6e,
    0x74002744,0x826f5401,0x0f6cc06a,0x805db100,0xb50400fa,0x01f13c80,
    0x800003a8,0x698f9859,0x4c003d00,0x9501360e,0x059ac8f1,0x2007a1d8,
    0x362d401d,0xf101f881,0xb04b8590,0xd000fa03,0x705ff003,0x37aa001f,
    0x00ff2201,0xfc881ec8,0xd5109f51,0xed882ea8,0x20005400,0x0d399059,
    0x744007a0,0x36a02e81,0x0256d45a,0xb0069ad4,0x0ec59803,0x00f104b8,
    0x880ec12e,0x007a001f,0xfbbfb59b,0x9f70001b,0x000cfb81,0xfeddefa8,
    0x3bf32a0c,0xe981efed,0x00bfedde,0x260027cc,0x00d5f105,0x81ec007a,
    0x79b301f8,0xf004bf88,0x07600791,0x101d87b0,0x200f101f,0x5403b04b,
    0xb803a005,0x00009a84,0x0de87e44,0x0aa88000,0x01aa9880,0x4001aa88,
    0x02cc000b,0x07a00df5,0x1d5016e0,0xdd01df10,0x03ef2007,0x5d980ec0,
    0x20f201d8,0x20970078,0x0017401d,0x00000000,0x00000082,0x00000000,
    0x3ff60000,0x106e81ff,0x7fffffff,0x989fffd0,0x6f81ffff,0x26005f70,
    0xfffd804f,0x43dfffff,0x985ffffd,0xffff94ff,0x1fffff07,0x417ffff6,
    0x000007f9,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40220004,0x80002000,0x00404000,0x07bb2000,0x7443ddd3,0xddd705ee,
    0x77777645,0xddb11eee,0x22eeeb8b,0x4403a849,0x75c5eeee,0x0ea02eee,
    0x26014cae,0x03300002,0x0a8000e2,0xffb10040,0x7f5c05df,0x413ff25f,
    0x1ceffec9,0xfd99ee98,0x9deb84ef,0x7ffb1efe,0x5c5ddd10,0x3d310dfe,
    0xf985b330,0x17b31009,0x4ccccd6c,0x033a60ec,0x5e817f51,0x2e602744,
    0x6dcc409e,0xc81f7009,0xb717d10e,0x64c5f339,0x0764c2cd,0x89d107e6,
    0x3602ddea,0xbfa82402,0x32217a60,0x11b79911,0x2137709b,0xd9d307a8,
    0x2a226cc5,0x29dd52ff,0xad9980e8,0xd8b71de8,0x07a0b601,0x503b03a0,
    0x887d101d,0x41dd102e,0x00e805f8,0x41fc807a,0x67f440fd,0x1622feb9,
    0x0362a21b,0x427447e6,0x16c0760a,0x01f10f20,0x7fc401ec,0xc8003e20,
    0xf301fb03,0x45e85f10,0x0ff3203b,0x82d80760,0x788fe23c,0x201f9818,
    0x805d13e8,0x37e60ef8,0x34c12e00,0x7ec45fb0,0x45d03f01,0x06c1dc08,
    0x004eaf98,0x12d86e59,0x16c55035,0x3a003e20,0x26004d85,0x0f405b05,
    0x970761a2,0xd800fe40,0x92a0b601,0x201666eb,0xce8801e8,0x1df3001e,
    0xf88077d4,0x7fb03c80,0x69817f44,0x07440970,0x0bf5006c,0x3ae4dc88,
    0x1dfdcecf,0x07c1bbd3,0x32a216c0,0x9999bebc,0xcccb985b,0x403b05cb,
    0x0ec3441d,0x003c812e,0x882d8076,0x1dc3a7a6,0x9800ba20,0x3fdc005f,
    0x43c81bf2,0xe8bfb078,0x440ee04f,0x3601d306,0x03fbd100,0x6440db98,
    0xd10202ef,0xefc8f200,0xeeeefcab,0x5e7ec4ee,0x3b05ebaa,0x21a20ec0,
    0x59025c1d,0x5b00ec00,0x9dde23e0,0x001f401d,0x2009b3f3,0x3be61fe8,
    0x0971a201,0xff98bfa2,0x12e0d301,0x80d8036a,0x003f34e8,0x03f9b0b5,
    0x25900780,0x803e80dc,0x20b300dc,0xd107601d,0x204b83b0,0x8076002c,
    0x2975b02d,0x26c01f69,0x26c3d300,0xf887fa20,0x3e2d800e,0x887fa200,
    0x885d00fe,0x6c02641f,0x3e627440,0x5aa25401,0x07a000f9,0xe816c3a0,
    0x2601f805,0x0ec03b05,0x970761a2,0x79001640,0x5dc0bea0,0xc81aba1e,
    0x1ea87705,0x83b604d8,0xd3000ee8,0x07ec016a,0xff981dd1,0x323ffdbe,
    0x513caaad,0x12e357d5,0x737b534c,0xb907c41b,0x32034c00,0x3fe60ee4,
    0x201d1080,0x403b05d8,0x0ec3441d,0x002c812e,0xeec883a2,0xeb8dd302,
    0x25c0b704,0x42ec01d5,0x006f40ed,0x8007a7a0,0x89b620ed,0xd115932f,
    0x26666627,0x02666660,0x4054c400,0x64002818,0x220ec81e,0x93bfe61e,
    0x2a0f25d8,0x403b05df,0x0ec3441d,0x002c812e,0xda7f6fe4,0xf889f05f,
    0xffffff03,0x3ff29fff,0x3fffdc7f,0x005a81b3,0x9000df50,0x00625b07,
    0x00000031,0x00000000,0x09fd9df5,0x367f7be6,0x443fdfd8,0x99efddfd,
    0xffff75ff,0xf95fff98,0x72fec5ff,0x3fff61ff,0x804fffff,0x0000001a,
    0x00000000,0x00000000,0x00000000,0x00000000,0x009a9800,0x01980a98,
    0x000009a8,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x109dd500,0x3bbae035,0xeeeeeeee,
    0x4401303e,0x11aa981b,0x00c80555,0xbbbbbbb5,0x020bbbbb,0x88001440,
    0x22060222,0x88888888,0x7fe40888,0x7fffffff,0x3bbbbb62,0xeeeeeeee,
    0x0000003e,0x00000000,0xffb00000,0x76e77445,0x4ccccc40,0x4c999999,
    0x077b3b22,0x5c1dfdfb,0x0dff13ff,0xaa88375c,0xaaaaaaaa,0x077f4c1a,
    0xf707d10c,0x3a2f981b,0xffd0fdc6,0xffffffff,0x2ea1ffff,0xbbbbbbbb,
    0x4cccccc3,0x99999999,0x00000009,0x00000000,0xbff00000,0x80009500,
    0x4d512e4b,0x549b11f9,0x417fe2ff,0x0004c8e9,0x1fa8f4c0,0x449d1172,
    0x07ea3fff,0x00048855,0x00000000,0x00000000,0x00000000,0x3fe60000,
    0x5ccca881,0x1d25c000,0xf51723b0,0x9fd0ffcc,0x01743d10,0xe9835000,
    0x49b00eec,0x03d31ffe,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3aa17f20,0x0005baac,0x77068a5c,0x7c4d71ae,0x3a0ff60f,0xff90fc43,
    0xffffffff,0x057100df,0x0000a810,0x00000000,0x00000000,0x00000000,
    0x00000000,0x507a03fa,0x24b8000b,0x9f10e81d,0x47f87d51,0xa82642fc,
    0x2222220e,0x00088888,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x517904f8,0x40005dfb,0x2a2fa63b,0x1fff544d,0x903ee2f4,
    0x00001b80,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xd7100c88,0x0009915b,0x01ceb880,0x14419802,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_29_latin1_x[224]={ 0,6,3,2,2,2,3,6,7,3,0,1,3,2,
5,2,2,2,2,2,2,2,3,2,2,3,5,3,0,1,0,0,2,0,1,1,1,1,1,1,1,2,2,1,
1,0,0,0,2,1,1,2,1,1,0,0,1,1,2,0,0,0,2,0,5,1,0,2,1,1,2,1,1,2,
2,2,2,0,1,1,0,1,2,2,1,1,0,0,1,1,2,0,7,0,2,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,6,2,1,2,1,
7,1,3,0,0,0,0,2,0,-1,4,1,4,4,5,1,2,5,5,4,3,1,0,0,0,0,0,0,0,0,
0,0,0,1,1,1,1,1,2,2,2,2,-1,0,0,0,0,0,0,3,1,1,1,1,1,1,2,1,1,1,
1,1,1,1,0,2,1,1,1,1,2,2,2,2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,
 };
static signed short stb__courier_29_latin1_y[224]={ 21,4,5,4,3,5,7,5,5,5,5,7,17,13,
17,3,4,5,4,4,5,5,4,5,4,4,10,10,7,11,7,5,4,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,5,3,5,5,26,4,9,5,9,5,9,5,9,5,4,
4,5,5,9,9,9,9,9,9,9,6,10,10,10,10,10,10,5,5,5,11,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,21,10,4,5,8,6,
5,5,5,6,4,10,13,13,6,3,2,5,4,4,4,10,5,11,20,4,4,10,4,4,4,9,1,1,1,2,
2,0,6,6,1,1,1,2,1,1,1,2,6,2,1,1,1,2,2,9,5,1,1,1,2,1,6,5,4,4,
4,5,5,3,9,9,4,4,4,5,4,4,4,5,5,5,4,4,4,5,5,7,9,4,4,4,5,4,5,5,
 };
static unsigned short stb__courier_29_latin1_w[224]={ 0,4,10,12,11,12,10,4,5,5,10,13,7,12,
5,11,11,11,11,11,11,11,11,11,11,11,5,7,13,14,13,10,11,16,13,13,14,13,14,14,14,11,13,14,
13,16,15,13,12,14,15,12,13,14,16,15,14,14,11,5,10,5,11,17,5,13,14,12,14,13,12,14,14,12,
9,13,12,16,13,13,14,14,12,11,13,13,15,15,14,14,11,6,2,6,12,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,0,4,11,13,11,14,
2,13,9,16,9,13,14,12,16,17,8,13,7,7,5,13,12,5,5,7,9,14,16,16,16,10,16,16,16,16,
16,16,16,13,13,13,13,13,11,11,11,11,15,15,13,13,13,13,13,10,14,14,14,14,14,14,12,12,13,13,
13,13,13,13,15,12,13,13,13,13,12,12,12,12,13,13,13,13,13,13,13,13,14,13,13,13,13,14,14,14,
 };
static unsigned short stb__courier_29_latin1_h[224]={ 0,18,8,19,21,17,15,8,20,20,10,14,8,2,
5,21,18,16,17,18,16,17,18,17,18,18,12,14,14,6,14,17,19,15,15,16,15,15,15,16,15,15,16,15,
15,15,15,16,15,18,15,16,15,16,15,15,15,15,15,20,21,20,7,3,5,13,17,13,17,13,16,17,16,17,
22,16,16,12,12,13,17,17,12,13,16,12,11,12,11,16,11,20,20,20,5,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,16,17,16,11,15,
20,18,3,16,8,11,8,2,16,2,8,16,10,10,5,16,18,4,6,10,8,11,17,17,17,17,20,20,20,19,
19,21,15,20,20,20,20,19,20,20,20,19,15,19,21,21,21,20,20,10,18,21,21,21,20,20,15,17,18,18,
18,17,17,19,13,17,18,18,18,17,17,17,17,16,17,16,18,18,18,17,17,13,14,18,18,18,17,22,21,21,
 };
static unsigned short stb__courier_29_latin1_s[224]={ 255,173,53,229,81,86,133,251,62,56,238,
142,1,150,110,183,29,120,99,161,146,126,220,165,56,81,246,248,171,76,185,
177,217,102,80,158,56,119,144,172,215,230,28,94,42,109,1,202,242,41,126,
216,88,78,63,47,32,17,174,1,56,105,64,132,104,31,111,225,231,199,15,
150,187,218,1,1,243,59,45,1,188,203,76,213,132,89,161,103,131,63,119,
49,195,210,91,71,71,71,71,71,71,71,71,71,71,71,71,71,71,71,71,
71,71,71,71,71,71,71,71,71,71,71,71,71,71,71,71,71,255,246,138,
49,191,159,102,119,122,18,9,177,19,150,1,163,44,35,203,230,116,229,68,
246,249,211,34,146,127,110,93,158,68,85,125,186,1,151,71,142,21,35,7,
34,229,217,198,242,199,18,137,67,123,111,241,219,104,108,93,168,156,171,186,
182,48,15,1,195,144,203,15,169,90,62,76,57,209,222,235,107,1,93,232,
133,147,15,29,238,156,178,192,206,43,11,41,26, };
static unsigned short stb__courier_29_latin1_t[224]={ 1,45,166,24,1,84,119,45,24,24,152,
136,166,166,166,1,65,102,84,45,102,84,45,84,65,65,84,65,136,166,136,
84,24,119,136,102,119,119,119,102,119,119,119,136,119,136,136,102,119,65,136,
102,119,102,136,136,136,136,119,24,1,24,166,166,166,152,84,136,84,136,119,
84,102,84,1,119,102,152,152,152,84,84,152,136,102,152,152,152,152,102,152,
24,1,1,166,84,84,84,84,84,84,84,84,84,84,84,84,84,84,84,84,
84,84,84,84,84,84,84,84,84,84,84,84,84,84,84,84,84,1,45,84,
102,152,119,24,45,166,102,166,152,166,166,102,166,166,102,152,152,166,102,65,
97,152,152,166,152,65,65,65,65,24,24,24,24,45,1,119,24,24,24,24,
45,1,1,1,24,119,45,1,1,1,24,1,152,45,1,1,1,24,24,119,
65,45,65,65,65,65,24,152,65,45,45,45,84,65,65,65,102,84,102,45,
45,45,84,84,136,136,45,45,45,84,1,1,1, };
static unsigned short stb__courier_29_latin1_a[224]={ 246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_29_latin1_BITMAP_HEIGHT or STB_FONT_courier_29_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_29_latin1(stb_fontchar font[STB_FONT_courier_29_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_courier_29_latin1_BITMAP_HEIGHT][STB_FONT_courier_29_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_29_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_29_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_29_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_29_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_29_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_29_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_29_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__courier_29_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__courier_29_latin1_s[i] + stb__courier_29_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__courier_29_latin1_t[i] + stb__courier_29_latin1_h[i]) * recip_height;
            font[i].x0 = stb__courier_29_latin1_x[i];
            font[i].y0 = stb__courier_29_latin1_y[i];
            font[i].x1 = stb__courier_29_latin1_x[i] + stb__courier_29_latin1_w[i];
            font[i].y1 = stb__courier_29_latin1_y[i] + stb__courier_29_latin1_h[i];
            font[i].advance_int = (stb__courier_29_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__courier_29_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_29_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_29_latin1_s[i] + stb__courier_29_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_29_latin1_t[i] + stb__courier_29_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_29_latin1_x[i] - 0.5f;
            font[i].y0f = stb__courier_29_latin1_y[i] - 0.5f;
            font[i].x1f = stb__courier_29_latin1_x[i] + stb__courier_29_latin1_w[i] + 0.5f;
            font[i].y1f = stb__courier_29_latin1_y[i] + stb__courier_29_latin1_h[i] + 0.5f;
            font[i].advance = stb__courier_29_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_29_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_29_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_29_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_29_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_29_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_29_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_29_latin1_LINE_SPACING
#endif

