// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_38_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_38_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_38_latin1_BITMAP_WIDTH         256
#define STB_FONT_courier_38_latin1_BITMAP_HEIGHT        280
#define STB_FONT_courier_38_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_courier_38_latin1_FIRST_CHAR            32
#define STB_FONT_courier_38_latin1_NUM_CHARS            224

#define STB_FONT_courier_38_latin1_LINE_SPACING          18

static unsigned int stb__courier_38_latin1_pixels[]={
    0x40003300,0x00000049,0x0000f32e,0x00000000,0x00000000,0x00000000,
    0x04000000,0x00000000,0x994c0000,0x0ff00331,0x8017e600,0x03fa83fa,
    0x000dddb1,0x003ee000,0x00003720,0x44005d88,0x2000003f,0xd90002f9,
    0xdd700001,0x5d80001b,0x5d880000,0xb94fe980,0x01fe0172,0x90013ea0,
    0x00bf90bf,0x000000d7,0x220007f9,0x880000ee,0xfb8001fe,0xfa800004,
    0x3fa20005,0xa9660001,0x77cc0005,0xdd100000,0x641b9001,0x0ff00b95,
    0x8003fc80,0x00b880b8,0x000006b8,0x200017ec,0x20001fe8,0x20000ee9,
    0x200005fa,0xb00004fb,0x0b20005f,0xe880001d,0x7cc0000e,0x41f8800e,
    0x5500b95c,0x0017d400,0x1ae00000,0x7f440000,0x3f600001,0x0df98002,
    0x0ef98000,0x01fe4000,0x00ff2000,0x006892a0,0x003fd100,0x98017ea0,
    0x05cae40f,0x00010000,0x0d700000,0x03660000,0x012e0000,0x000012e0,
    0xd80003b1,0x97000002,0x3af7a000,0x1e400002,0x4003c800,0x5cae40f9,
    0x00000000,0x44013333,0x8d700999,0x0001bca8,0x00000000,0x00000000,
    0x00000000,0x0b980000,0x00000000,0x40f98000,0x2662b95c,0x09999999,
    0x88026666,0x3fee0999,0xfff307ff,0x22d701ff,0x5ffeeffe,0x02666660,
    0x00666662,0x80006ea2,0x33001ba8,0x33101333,0x4ccc0333,0x44001999,
    0x99999999,0x20099999,0x01999999,0x26666600,0x4cc40019,0x99999999,
    0xae40f980,0xfffffd5c,0x3ee7ffff,0xff307fff,0x67cc1fff,0x37a62009,
    0x3df3d700,0xff70bf50,0xff81ffff,0xf505ffff,0x039ffdff,0x3fbffea0,
    0xfff701cf,0xfff81fff,0xffb85fff,0x003fffff,0xfffffff7,0xdfffffff,
    0x3ffffee0,0xfb8003ff,0x03ffffff,0xffffff10,0x83ffffff,0x5cae40f9,
    0x33333331,0x4e7cc7d3,0x037a6200,0x0fcc01b2,0x8809ff70,0x99ec985e,
    0x9dd99880,0x4c1cfb80,0x67dc01fd,0x980fecc1,0x988099ec,0x33009dd9,
    0x00d9bd33,0x4cce74cc,0x6c999999,0x37a66660,0x3330006c,0x400d9bd3,
    0x9ed99998,0x0f980999,0x2005cae4,0x9803643e,0x005f101f,0x06fb80bb,
    0x0d905f30,0x2fc82e40,0xfc807e40,0xc807e402,0x80172006,0x001f99f8,
    0x06c8026c,0x03f33f10,0xf99f8800,0x01720001,0x18ae43dc,0x5f10fa00,
    0x6c80bb00,0x2e00fc40,0x2132001f,0x2172006c,0x1d9002f9,0xd9002f98,
    0x6400d901,0x4e9ae005,0xc8026c00,0x274d7006,0x4e9ae000,0x20172000,
    0x005c85e9,0x80d907d0,0x17c401f8,0x1f700d90,0x36435400,0x0bd0b900,
    0x17a27c40,0x6c84f880,0xe8017200,0x9b001ee3,0x74016e00,0xd0001ee3,
    0x90003dc7,0x80efd80b,0x07d0005c,0x036405f1,0x05f106c8,0xf9800f70,
    0xb9003640,0x5c001fa8,0x70007ea6,0x6400d90d,0x443f3005,0x0136002f,
    0x0fcc00c4,0x260005f1,0x000be21f,0x3faa02e4,0xd0005c81,0x7c41b207,
    0x905f1002,0x003ee00d,0x006c87a8,0x000d7172,0x001ae1f1,0x00d903e2,
    0x86c802e4,0x2136005d,0x0d90006a,0x1b2000bb,0x2e400176,0x05c86d80,
    0x3e207d00,0x64006c82,0xb8017c46,0x21b2001f,0xb172006c,0x6cbe000b,
    0xc85f0005,0x40172006,0x000fa83f,0x000d709b,0x003ea0fe,0x03ea0fe0,
    0x54017200,0x00555c87,0x88d901f4,0x17c4002f,0x37dc00d9,0x6c83f980,
    0x07d17200,0x01f4f600,0x03643d80,0x1f500b90,0x76c00fe0,0x006dcccc,
    0x07f00fa8,0x7f00fa80,0x200b9000,0x5cae40f9,0xf880fa00,0x64001b22,
    0x5c005f16,0x2f4404ff,0x172006c8,0x5720005f,0x8b90002f,0x0172006c,
    0x006c8176,0xddddddfb,0x640bb000,0x902ec006,0x00b9000d,0x32b903e6,
    0x900fa005,0x4000be2d,0x4006caf8,0xa81ee9eb,0x00d900ef,0x000fa2e4,
    0x0003e9ec,0x2006c87b,0x017c405c,0x09b003f3,0x2f8800d7,0x44007e60,
    0x007e602f,0x3e600b90,0x005cae40,0x95f100fa,0xfec8000d,0xe8b5c002,
    0x04ffeeff,0x8b900364,0x25f0005d,0x85f0005d,0x0172006c,0xddddddf5,
    0x9b009fdd,0xfa800d50,0xeeeeeeee,0xddf5004f,0x9fdddddd,0x3005c800,
    0x0b95c81f,0x76401f40,0x7c40002f,0x446b8006,0xb800abca,0xd7172006,
    0x2e1f1000,0x40f88006,0x0172006b,0x999999bb,0x9b00fb99,0x6c022020,
    0xcccccccd,0x9bb007dc,0xb9999999,0x005c800f,0xb95c81f3,0x4401f400,
    0xf880006f,0x006b8002,0x7400f500,0x2000fd44,0x0007ea6b,0x400f50d7,
    0x007e204e,0x09b00be2,0x0fc41ec0,0x22017c40,0x02f8801f,0x7cc01720,
    0x005cae40,0x0be200fa,0x001b2000,0x8800035c,0x82f8800f,0x13e2005d,
    0x27c400bb,0x7c4007c4,0xd801ae02,0xd0026c05,0x6c00d707,0xb0035c05,
    0x002e400b,0x0b95c85d,0x3200be20,0x3f880006,0x000d7000,0x7dc026c0,
    0x9002f980,0x2005f30d,0x2013606c,0x00fa00fb,0x13600fa8,0x03e83e80,
    0x3e803ea0,0x4003ea00,0x8bae005c,0x2e00b95c,0x01fc400f,0x0003e400,
    0x540000d7,0x80fea02f,0x07e403fc,0x7e403fc8,0xa80bea00,0x003e603f,
    0x026c07f0,0x00f987d0,0x0f981fc0,0xc801fc00,0x57f22005,0x3a00995c,
    0x0007c806,0x20003f88,0x5400006b,0x17ee60cf,0xa8877ee0,0x6fdc01fd,
    0x007f6a21,0xfb9833ea,0x55db5105,0x76d54c05,0x5bd5511a,0x55555555,
    0x3b6a27d5,0x2aa602aa,0xdb511aed,0x554c0555,0x2aaa1aed,0xaaaaedaa,
    0x22104402,0x07bf2200,0xa8007f10,0xffffffff,0xfff8800f,0x0007ffff,
    0xfffffea8,0x3ffa6003,0x3001cefe,0x39dfdffd,0x7fff5400,0x3fee03ff,
    0xfd00ffff,0x3eabffff,0xffffffff,0x73ffffff,0x01ffffff,0x57fffffa,
    0x0ffffffb,0xbfffffd0,0x3fffffe2,0x01ffffff,0x7ffff400,0x7fd40dff,
    0x0fffffff,0x55555500,0x54c00355,0x001aaaaa,0x026ea200,0x00dd4400,
    0x00375100,0x009ba880,0x00000000,0x00000000,0x00000000,0x55530000,
    0xaaaa8035,0x0001aaaa,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x08800075,
    0x0015c000,0x00000000,0x0ea00000,0x66540350,0x000172cc,0x00399999,
    0x02e000ee,0x0001d400,0x00200640,0x0a605300,0x37ff2000,0x00990000,
    0x013ff620,0x00001d90,0x83e0036c,0x3ff2004b,0x01df900d,0x3a9fddd9,
    0xeeef8005,0xdffd802e,0x0017a000,0x00037ff2,0xd980fcc0,0x200cc2ef,
    0x7fc41ff8,0x5fd10001,0x90003dd3,0x3dd3000b,0x22001df5,0x440001fe,
    0x3e2001fe,0x3a201761,0x101ee99f,0x2a9b007d,0x017c000f,0xdd33dd30,
    0x007ee003,0x774d7f44,0x05d80001,0x5bfb5bf5,0x1fd009f9,0x30001fd0,
    0x1fec41df,0x1beea880,0x441bf500,0x3f6001fe,0x1dd30002,0x360f9800,
    0x1077cc04,0x01aa05fb,0x4004e936,0x1bf5002f,0xf8803fd8,0x20ef9806,
    0x20003fd8,0x983301f9,0x00003ffe,0x70264000,0xddff700b,0x6c09bbff,
    0x90013203,0xdf98007f,0x20f98000,0x7026404e,0xb003e60b,0xf0007dc9,
    0xb80f2005,0x803f9004,0x0016e04c,0x010006d8,0x00000000,0x0e7d4000,
    0x0009fd51,0x00970000,0x2a0004b8,0x00001f47,0x4d801f30,0x05f001fc,
    0xf3000000,0x00000009,0xa88017c4,0x2a20001b,0x3330001b,0x33310133,
    0x4409d033,0x1ba8804f,0x00000000,0x2f8f7000,0x26666620,0x98099999,
    0x2e26c00f,0x400be007,0x01999999,0x9881fd00,0x99999999,0x40009999,
    0xfffa806c,0x5001cffe,0x39ffdfff,0x3fffee00,0x7fffc0ff,0x003e65ff,
    0x7ffd4055,0x2201cffe,0x99999999,0x4ccc4099,0x99999999,0xf1ae0099,
    0x3fffe205,0xffffffff,0x36007cc1,0xf801fc44,0xffffb802,0xa8003fff,
    0x3fffee3f,0xffffffff,0x3e2006ff,0x20e7dc03,0x7dc01fd9,0x00fecc1c,
    0x8099ec98,0x209dd998,0x7dc0007b,0x40fecc1c,0xfffffff8,0xf71fffff,
    0xffffffff,0x40dfffff,0x8807e26c,0x99ed9999,0x00f98099,0x8036426c,
    0x3333002f,0x3000d9bd,0x9ce998df,0x99999999,0x01f2006c,0x0fc805f9,
    0xfc805f90,0x400d9000,0x003fa85c,0xfc805f90,0xd9999880,0x4c09999e,
    0x99999ce9,0x546c9999,0xfbaaedaa,0x5c802aab,0xd801f300,0xf802f884,
    0x99f88002,0x3fc4001f,0x0d9004d8,0xf980fe20,0x981d9002,0x01d9002f,
    0x2e400d90,0x2000bfd8,0x1d9002f9,0x6c00b900,0x744d9004,0xfeeeffee,
    0x5c805eee,0xd805f100,0x5f00d904,0x274d7000,0x6c07fc00,0x200d9004,
    0x017a00fb,0x02f44f88,0xd9009f10,0xf702e400,0x740159df,0x013e2005,
    0x04d80172,0x32740d90,0x00b9000f,0x09b006f4,0x05f00be6,0x03dc7d00,
    0x26c0ff40,0x9d005b80,0x2000fd40,0x0007ea6b,0x00d900d7,0x6dcc02e4,
    0x0fd41eff,0x3201ae00,0x40136005,0x7a8fa05b,0x2005c800,0x09b04ff8,
    0x00be02ec,0x17c43f30,0x360bf200,0x50031004,0x0035c01f,0x006b87c4,
    0x36400f88,0x3000b900,0x0035c5fb,0x172007c4,0x31004d80,0x00f71fc0,
    0x7d400b90,0x4c09b02e,0x000be01f,0x800bb0d9,0xa84d82fd,0x809d0006,
    0x25f0005d,0x05f0005d,0x172006c8,0x1766c800,0x32017c00,0x2a136005,
    0xd717c006,0x400b9000,0x2026c04f,0x000be05e,0x001f507f,0x426c0ff4,
    0x1fa8006b,0xd8001f40,0x360007d3,0x90036403,0x87c4000b,0x07b0003e,
    0x136005c8,0xddd901ae,0xddfddddf,0x00b9001b,0x09b007e2,0x05f00fa8,
    0x3f807d40,0x3603fe00,0x06dcccce,0x2f805e80,0x0beb9000,0x3202e400,
    0x91172006,0x17c7e200,0x6405c800,0x333b6005,0x65406dcc,0xeeccdfcc,
    0x5c800ccc,0xd801f300,0x5f04e804,0xd902ec00,0x6c1fe200,0x06eeeeef,
    0x7400fcc0,0x3a7b0003,0x807b0003,0x3172006c,0x21fb005f,0x07b0003e,
    0x3f6005c8,0x006eeeee,0x004d83e6,0x1f3005c8,0xfa804d80,0xf1002f80,
    0x400fcc05,0x709b05f9,0x006d800d,0x4be000bb,0x05f0005d,0x172006c8,
    0x7cc03ff3,0x7c001764,0xb002e402,0x4c00d709,0x2001360f,0x01f3005c,
    0x09f004d8,0x3bea005f,0xfeeeeeee,0xb02fb804,0x4c00d509,0x00d7002f,
    0x01ae1f10,0xd7003e20,0x3e62e400,0xca9acefe,0x40035c5f,0x02e400f8,
    0x00d509b0,0x000fa3d4,0x07cc0172,0x7dc01360,0xdd8017c0,0xcccccccc,
    0x207e807d,0x0110104d,0x0fd400d9,0x1fa9ae00,0x54035c00,0xb113a007,
    0x37ffff6a,0x4001fa82,0x005c806b,0x04404136,0x000fe3d4,0x07cc0172,
    0x7c401360,0x7c4017c3,0x202f8801,0x013604fa,0x017c43d8,0xf8801760,
    0xf1002ec4,0x001f1009,0x176005f1,0xf8801760,0x2005c804,0x20f6004d,
    0x40017c6b,0x01f3005c,0x1f2004d8,0x00d7005f,0x01fb02ec,0x87d0026c,
    0x2f98006c,0x5f30d900,0xd801b200,0x000fb804,0x05f300b9,0x2e401b20,
    0x74009b00,0x07e26c83,0x5c017200,0x2004d806,0x200be2f8,0x03ea003e,
    0x09b013e6,0x07f11f40,0x900ff200,0x00ff201f,0x7d4001f9,0x800fea02,
    0x07f9005c,0xb9000fc8,0xd0026c00,0x0fc4b907,0x5c02e400,0x9d33303f,
    0x2fe6c800,0x00f98099,0x07e41fc0,0x3e801360,0xf70001ee,0x0fed443b,
    0xa8877ee0,0xfa8001fd,0x017ee60c,0x7dc00b90,0x07f6a21d,0x36005c80,
    0x320fa004,0x55003e24,0x555db555,0xe81ff455,0x4004ffff,0xfffff2f8,
    0x2abb6a27,0x3b6aa602,0x5440fe1a,0xaaaaadea,0x23eaaaaa,0xe980003f,
    0x01cefeff,0xdfdffd30,0x75400039,0x003fffff,0x74c004c8,0x01cefeff,
    0x3b6aaaaa,0x2a22aaaa,0xaaaaadea,0x03eaaaaa,0xffff1000,0xffffffff,
    0x33310023,0x25700013,0x3ee19999,0xd00fffff,0x04bfffff,0xffffff50,
    0xffffffff,0x0001227f,0x00037510,0x0000dd44,0x0026ea20,0x2a200000,
    0xfff8801b,0xffffffff,0xfffff51f,0xffffffff,0x000007ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x202a2000,0x000000a8,0x00000100,0x0a880011,0x31000a88,0x99999997,
    0x00011001,0x00137730,0x33332e60,0xa80001cc,0x002e4000,0x02a202a2,
    0x03595100,0x05302980,0x7e42fe40,0x4ffc8805,0xdfb50028,0x5c001983,
    0x9004fffe,0x80bf90bf,0xaaecdfea,0x6c00aadc,0xb8000dee,0x05ffeeff,
    0x2aafba20,0x7742daaa,0x003f5000,0x9000bf62,0x00bf90bf,0x3ffbffae,
    0x3e205d2e,0x00ffc41f,0x4fa84fb8,0xffbafe80,0x5400feab,0xcadfdadf,
    0x33f6004f,0xa805fd9a,0x204fa84f,0x54b30cfd,0x25c97004,0x417fb100,
    0xe800eea8,0xff316403,0x401ba005,0xa8001fe8,0x804fa84f,0x7e441bfd,
    0x03fa03fd,0x008003fa,0x32214002,0x19800eff,0x001fff4c,0x09f103d9,
    0xf9004010,0x012a598b,0x400d106c,0x3fa201ee,0x3201a600,0x200bfe62,
    0xee9803fb,0x08020000,0x4c00ec80,0x000003ff,0x20000000,0x00100000,
    0x1f202f88,0x1ff80000,0x200952cc,0x5c012a3b,0x40bd000f,0x220a804b,
    0x0fe801ff,0x0000dc80,0x03ee0000,0x0001fe40,0x4cccc400,0x40999999,
    0x4c401998,0x26601999,0x40019999,0x20fcc06d,0x99999998,0x20999999,
    0x2a5986f8,0xdbbd1004,0x007f1001,0x06880fd4,0x401ff880,0x000004f9,
    0x404ccccc,0x7c199998,0x80fe2003,0x01999999,0x3ffffe20,0x1fffffff,
    0x409ffff1,0x85ffffff,0xfffffffb,0x200be003,0x3fffee2f,0xffffffff,
    0x217e66ff,0x30012a59,0x00364003,0x3f6a2374,0x00ff8005,0x4cc40fec,
    0x26662009,0x3ffffee0,0x7ffffc0f,0x3000f35f,0x3fffee01,0x22003fff,
    0x99ed9999,0x7e4c4099,0xd933101f,0x26666013,0xf1006cde,0x4c3f8803,
    0x99999ce9,0x226c9999,0x12a5987f,0x07d00000,0xace8f500,0x3e001ec8,
    0x217e200f,0x00fffff9,0x4c5fffff,0x988099ec,0x0b709dd9,0x33330000,
    0x8000d9bd,0x37ae005c,0x2006c806,0x801f99f8,0xffd880f9,0x2009b03f,
    0x261fec6c,0x2a2012a5,0xf801bccc,0x70f98002,0x0019f509,0x27dc01ff,
    0x200afb88,0x6c81cf98,0x09b17200,0x9f880000,0x320001f9,0x3e3ae005,
    0x70036403,0x3d40274d,0x1fcd77dc,0x8d9004d8,0xa9663fe8,0x3bffae04,
    0x2204ffee,0x25f0001f,0x00bf204a,0x03fd80fd,0x036c02ec,0x22e400d9,
    0x4000003e,0x80013a6b,0x5dae005c,0x801b200f,0x2e01ee3e,0x0fe27cc6,
    0x05b8026c,0x54b79df9,0x102b3204,0x03e609f7,0x05d1fc00,0x7e80f6c4,
    0x22017f40,0x807ea03f,0xd172006c,0xe8000007,0xc8001ee3,0x4e9ae005,
    0x7cc01b20,0xd700be21,0x81fc0fc8,0x4031004d,0x12a5db98,0x101f7000,
    0x5f10003f,0x3aa01f44,0x7fc06d84,0x880fb800,0x0036404e,0x0003e8b9,
    0xf887e600,0x00b90002,0x203f535c,0xb0d9006c,0x2746b80b,0xa84d81fc,
    0xa9660006,0x02f80004,0x1f30005f,0x6c01ec88,0x1fe036c5,0x06c85e80,
    0x172006c8,0x4000009d,0x0005d86c,0x235c00b9,0x200d905d,0x200fa83f,
    0x1fc3646b,0x006b84d8,0x004a9660,0x07d02f80,0x74c0f500,0x6c87600d,
    0x88007fc0,0x2007e63f,0x9172006c,0x7c00000d,0x8000fa83,0x11ae005c,
    0x500d905f,0xb80fe01f,0x0fe0fc46,0x6e66676c,0xa9660006,0xdecba804,
    0xd902fabc,0x700bd000,0x3a92a07f,0x7000ff40,0x64013a1f,0xf5172006,
    0xf5000001,0x2000fe01,0x21ae005c,0x403640fc,0xb81b205d,0xfabefd87,
    0xddddfb03,0x2cc000dd,0x77f54095,0x2ffedcce,0x54007f10,0x3db1001f,
    0x7ec002d8,0x7e6f4002,0x400d9000,0x8005e85c,0xd902ec00,0x400b9000,
    0x644f886b,0x3017c406,0x5c1ea03f,0x9b07fffe,0x4c000d70,0x67dc12a5,
    0xf9017c01,0x009d1001,0x09fb9f50,0x8007f900,0x32002ff9,0x26172006,
    0x81b6002f,0x07e602f8,0x5c00b900,0x3641f506,0x3bbbbea0,0x304feeee,
    0x4d80001f,0x260006a8,0x17e612a5,0x3f6017c0,0x003fa201,0x00017cc0,
    0xd90009f5,0x2006c800,0x807f705c,0x3ea01fe8,0xeeeeeeee,0x02e4004f,
    0x92f40d70,0xcccdd80d,0x07dccccc,0xd80005f1,0x00110104,0x7dc254b3,
    0xb005f000,0x7754437f,0x01e40000,0x2001be00,0x035c005c,0x77dc0b90,
    0x03bae60a,0x99999bb0,0x800fb999,0x81ae005c,0x440d92f9,0x02f8801f,
    0x4d8000d9,0x2600f600,0x01b212a5,0xfb8017dc,0x404fffff,0x984b8058,
    0x0fe402ee,0x50017200,0x2027400f,0xfffeffd9,0x801f8804,0x172002f8,
    0xb6406b80,0x801ae06c,0x005f305d,0x7d0026c0,0x4254b300,0x3f6202fa,
    0x3fe2002f,0x00b3001b,0x0fffd05d,0x64005f98,0x007c4005,0xb88017c4,
    0x1ae000ae,0x32005d80,0x101ae005,0x1f40d97f,0x3201f500,0x6c09102f,
    0x200fa004,0x77412a59,0x2bbae60b,0x7d401acf,0x41501aae,0x41766059,
    0xfd805ffc,0x00172000,0x03ee0136,0xe8005980,0x003ea003,0x0d7002e4,
    0x260dbf70,0x81fc000f,0xca9bdfd8,0x8013605f,0xeeee983e,0x43ddfd2f,
    0xfffeffd8,0x403fffe4,0xfffffffb,0x261ffcce,0xeeeeeeef,0x40055404,
    0x172004f9,0xa80bea00,0x76c4003f,0x001f3000,0xaaaa83f8,0x2aaaaeda,
    0x1557ed44,0xda88dfd0,0x2a602aae,0xd701aeda,0x51057bff,0x55555bd5,
    0x07d55555,0x98866662,0x35751009,0x4deec000,0x19bd9531,0x13333330,
    0x1f600000,0x50005c80,0x2fdcc19f,0x01dc1100,0x0aabb6a2,0x1aedaa98,
    0xfffffff1,0x543fffff,0x01ffffff,0xfffb8df3,0xffd00fff,0x0000bfff,
    0xfffffff5,0xffffffff,0x00000007,0x00000000,0x22000000,0xb555302f,
    0x4005555d,0x3fffffea,0x7e6fd400,0x7fffdc00,0xfffd00ff,0x00000bff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x08000000,0x3fffffa0,
    0x4000ffff,0x00009ba8,0x00001551,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2e000000,0x1d400003,
    0x00011000,0x50000088,0x03a80007,0x00001100,0x3a806200,0x20000000,
    0x7500003a,0x00000000,0x20000000,0x700004fa,0x3e60007f,0xff30002f,
    0x3fb80005,0x00fee000,0x000bfe60,0x88157730,0x013ea04e,0x16ffed40,
    0x0009f500,0x20009f50,0x0ceffec8,0x0e7f64c0,0x7bffb500,0x00dfa800,
    0x000ff200,0x027e6fdc,0x13f37ee0,0x001fe400,0x70005f90,0x0009f9bf,
    0x9ffddff7,0xf5003b61,0x6fdc001b,0x2005fdbb,0x40000dfa,0x2e000dfa,
    0xfecabcef,0xd77df501,0xcfd880df,0x000efcab,0x10003be6,0xb10005fb,
    0x0077d47f,0xefa8ff62,0x03fb1000,0x007f6200,0x7d47fb10,0xbfd8800e,
    0x3f7bea20,0x01df3001,0x9f307f50,0x0077cc00,0x003be600,0x0fd80ff2,
    0x26cc27cc,0xdd103db0,0x005e8800,0xc8000f64,0x406e881e,0x06e881ec,
    0x40003d90,0xec8001ec,0xe806e881,0x0ffa201e,0xd00bd100,0x0007dc09,
    0x10000bd1,0x803500bd,0x102ec5f8,0x407f505f,0x008003f8,0x02000040,
    0x10010020,0x20000200,0x20020000,0x2007dc00,0x10005ff8,0x2200fb80,
    0x0008003f,0x80000200,0x7007e26d,0xb900f90f,0x00000000,0x00000000,
    0x00000000,0x10000000,0x9ee8807f,0xd800001f,0x0006c805,0x00000000,
    0x807a9ee0,0x4026c2f8,0x6654407b,0x32a2001a,0x98001bcc,0x4000accb,
    0x001acca8,0x005665cc,0x06b32a20,0xbccca880,0xd806c801,0xb980bb0f,
    0x17400acc,0xa8807d40,0x8801bccc,0x26660099,0x72740001,0xd913600f,
    0x3620bb00,0x0dffeeff,0x3bbffae0,0xd3004ffe,0x1bffddff,0xeeffd880,
    0x74c00dff,0x0dffeeff,0x777fec40,0x3ae00dff,0x4ffeeeff,0x3ee01f40,
    0x7f4c1ea1,0x00dffeef,0x83f3005f,0xfeeeffeb,0x3ffea04f,0x1ffff904,
    0x98bea000,0xf98dd007,0x260be602,0x2fe982ef,0xb8815990,0x067e404f,
    0xf980ff54,0x02fe982e,0xfd5019f9,0x20bbe603,0x59902fe9,0x204fb881,
    0x30fe602f,0x80cfc81f,0x0fc41fea,0x33217c40,0x027dc40a,0x4cc09b33,
    0x2e2000fa,0x401f83fe,0x81ee87fa,0x2fc40ed9,0x80007e40,0x05f500fb,
    0x5f881db0,0x7d40fc80,0x440ed802,0x00fc805f,0xf101f700,0x7c17e203,
    0x3600bea2,0x4003e60e,0x0fb8002f,0x7cc026c0,0xffffb800,0x7c40bd02,
    0x79dfb07e,0x0db01bfd,0xf0003740,0x4007f105,0xd0036c4e,0xd001fc4d,
    0x3a006d89,0x20be0006,0x40dd00f9,0x4007f12f,0x4003e64e,0x05f0002f,
    0x0f9804d8,0x5feca880,0xbd107f30,0xfff101f3,0x3f103fff,0x000fc400,
    0x007b82f8,0x003f13d4,0x007b8fc4,0x003f13d4,0xf8000fc4,0xfc81f882,
    0x1ee3f100,0x07ccf500,0xf0002f80,0x9804d805,0xee98000f,0xc9adfa80,
    0xe981f35f,0x1fc9889d,0x1f4003d4,0xbcdecba8,0x99dc82fa,0x99999999,
    0x00f51f99,0x267727d0,0x99999999,0x00f51f99,0x32ea07d0,0x02fabcde,
    0x202fa85f,0x333b90f9,0x33333333,0x003e63f3,0xecba817c,0x402fabcd,
    0x00f9804d,0x260db100,0x1ae2dffd,0x17d407f3,0x89b000d7,0xdcceefea,
    0xffe82ffe,0xffffffff,0x0d72ffff,0x3ffa9b00,0xffffffff,0x0d72ffff,
    0xfea89b00,0xffedccee,0x1fcc7d02,0xfffe9ea0,0xffffffff,0x03f12fff,
    0xfea83f10,0xffedccee,0x4c026c02,0x3e20000f,0x22e40401,0x2e5c805c,
    0x2e4d8006,0x417c01cf,0x999999dd,0x09999999,0x29b000d7,0x999999dd,
    0x09999999,0x49b000d7,0x17c01cfb,0x00bd17b8,0x4cceecbd,0x99999999,
    0x200fe099,0x073ee0f9,0x04d805f0,0x40000f98,0x43e8003e,0x50f9802e,
    0x267f000f,0x705f005f,0x07a8000d,0x00d73f80,0xf8007a80,0x3e00bf33,
    0x1db7f102,0x1ae1fa80,0x2013a000,0x4017e67b,0x4026c02f,0x640000f9,
    0x10fd4005,0x447e003f,0x47e6002f,0x05f000fb,0x440003f5,0x47e6002f,
    0x220001fa,0x47e6002f,0x05f000fb,0x2200ffdc,0x000fd44e,0x97a01f20,
    0x05f000fb,0x0f9804d8,0x001f4000,0x005f0bd1,0x007e41f3,0x401b25e8,
    0x00db02fb,0xd000fc80,0x40006d8b,0x4bd000fc,0x05f7006c,0xd100f7d4,
    0x000db01f,0x3e602f98,0x7dc01b21,0x6c02e402,0x3ea0000f,0x203f6001,
    0xe87c805d,0x507ec00d,0x7fec405f,0x001bf102,0x00de85b3,0x37e207ec,
    0x742d9800,0x507ec00d,0x7fec405f,0x7fb9f102,0x8077dc41,0xd9800df8,
    0x744076c2,0xb1017d45,0x0fb805ff,0xc81ffd10,0x027cc01d,0xf301fe98,
    0x4c17cc05,0x3aa20afe,0x20bee81e,0xacfaeeb9,0x40afe981,0x4c0dfda9,
    0x3aa20afe,0x15fd301e,0x40dfda98,0x2a20afe9,0x0bee81ee,0x33ebbae6,
    0xfb97a21a,0x804fffff,0x54c0afe9,0x77c40dfd,0xd03fb30a,0x775cc17d,
    0xf101acfa,0x577dcc3b,0x33fa62bf,0x217f2609,0x03beea21,0x64419f70,
    0x7ffe404f,0xb100cfff,0x49fffdff,0xf900ffff,0x3bfffdff,0xfffffc80,
    0xffc800cf,0x01dfffef,0x7fffffe4,0xdffb100c,0x7ffc9fff,0x5301f70f,
    0xff900037,0x03bfffdf,0x77fffec4,0xfdffb100,0x7fffc9ff,0xffdff300,
    0x03ffe67f,0xffffffd5,0xfffff305,0x7f4c007b,0x2002ffff,0x10009bb9,
    0x00003575,0x00035753,0x00013773,0x00035753,0x20013773,0x2001aba8,
    0x40000008,0x4001aba9,0x51000aa8,0x88000357,0x20000aba,0xa9801aa9,
    0x554c0001,0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00ea0000,0x00001100,0x40000000,
    0x22009999,0x0d400999,0x00000088,0x2e200000,0x9999502c,0x99999999,
    0x00377300,0x4cc01331,0x33332019,0x00bccccc,0x1d40000c,0x00fee000,
    0x002fe980,0x37fb2a20,0x16776cc3,0xffff7000,0x3fffe60f,0x33ffa00f,
    0xf305feba,0x200bf30b,0x03fa83fa,0xb83fffd8,0xeeeeeeef,0xd100feee,
    0x201dffff,0xf904fffa,0xdf101fff,0xdddddddd,0x0077dc03,0x4000b900,
    0x2e0003fc,0x8004fcdf,0x5cabdffa,0x174c2fa6,0x139f3000,0x006f4c40,
    0x0e7ffec4,0xff50ff50,0x3217f200,0xfffe805f,0xf5006b84,0x5c2bba20,
    0x9d3300ee,0x407d4cc0,0xb10001f8,0x0003fd7f,0x36200172,0xfb10001f,
    0x40077d47,0x20004fd8,0x3640006a,0x2201f980,0x5eabefeb,0x03501a80,
    0x2e202e20,0x0deda800,0x0d9004a8,0x13e207ee,0x1f3009b0,0x30003f10,
    0x01fe41df,0x64002e40,0x3b20001e,0xd806e881,0x2dc0002f,0x00be2000,
    0x37d90176,0x00003e88,0x00000000,0xd81fc000,0x9b01b605,0xf101f300,
    0x05f88003,0x5c8007f5,0x80000800,0x7dc00800,0xdb950001,0x0d900001,
    0x40001f88,0x000001f9,0x00000000,0x3601f300,0x9b01ee04,0xf101f300,
    0x88010003,0x9ff93000,0x00000223,0x3e600000,0x3f6a0004,0x07d3000d,
    0x036405f1,0x1d702620,0x5e665440,0xcca88001,0x0000001a,0x026c0d70,
    0x804d80bb,0x01f880f9,0xb1000000,0xdffb79bf,0x3004cc49,0x26620333,
    0x40666600,0x3200006c,0x00efb806,0x00be20d9,0x3fffff22,0xeb83f88d,
    0x4ffeeeff,0xddffb100,0x00001bff,0x3604e800,0x401fc884,0x80f9804d,
    0x135311f8,0x09999880,0x6407b600,0x09fff54f,0x503ffff2,0x3f209fff,
    0x03e80fff,0x407e2000,0x7c403fe9,0xe9806c82,0xfda98abf,0x0acc86cb,
    0x26027dc4,0x2fe982ef,0x40007980,0x993601f8,0x4d802ffe,0xf880f980,
    0xdfffffec,0xfffffa80,0x801f7006,0x8136664e,0x9980fa99,0x3ea6604d,
    0x05441f80,0x6407c400,0x8d9000df,0x6fcc02f8,0x03f7ea00,0x4403ee00,
    0x00fc805f,0x2e0003d4,0xd9326c07,0x04d805df,0xff880f98,0x1dd511bd,
    0x0d933330,0x06600fa0,0x03e60136,0x0f9804d8,0xffda87cc,0x21bd81ff,
    0x17f4c3d9,0x6c8be200,0xf5005e80,0x0be0005f,0x0dd0036c,0x20003f4c,
    0x8826c04d,0x013605fc,0x200c03e6,0x06c805e8,0x20001f88,0x00f9804d,
    0x03e60136,0x4cfbead5,0x7f6443fc,0x37f222de,0x3200b2a0,0xfa805f16,
    0x00bf2000,0x0fc417c0,0xd983f100,0x220002df,0x2026c02f,0x00bb03f9,
    0x4c0001fb,0x4036401f,0x360000f9,0x200f9804,0x40f9804d,0xf703f9ea,
    0x177d4001,0x220137e6,0x5c806caf,0xa81fcc00,0xfabcdecb,0xe8007a82,
    0x00077ee3,0x13601ea0,0x3f603ee0,0x01ffd100,0x6403e800,0x001f8806,
    0x3e601360,0x26013600,0x01ffcc0f,0x3f62017a,0x04cbe80c,0xb005fd90,
    0x43f88009,0xdcceefea,0x06b82ffe,0x07f34d80,0x402ec000,0xb07f004d,
    0x77dcc3bf,0x20002bfa,0x8036404d,0x1360004e,0x4d803e60,0x6f80f980,
    0x7dc07a80,0x132d701e,0xd8037c40,0x70fc4004,0x82f8039f,0x94d8006b,
    0x2f80000d,0x9b004d80,0xffdfbdb0,0x03ffe67f,0x3202e400,0x803f5006,
    0x9804d808,0x2013600f,0x802e80f9,0x4fd880f9,0x02643e60,0xd9002f88,
    0xf30fa800,0x2a0be00b,0x7d3f8007,0x07d40000,0x6c8026c0,0x015714d8,
    0x013a0000,0x1fec00d9,0x04d84fb8,0x13600f98,0x13603e60,0x3ba03e60,
    0x0991f401,0xfa801b20,0xfb9f2000,0xf105f000,0xe8fcc005,0x17200004,
    0x6c0226c0,0x00004d85,0xd900be00,0xcdffb800,0x09b03efe,0x26c01f30,
    0x35c07cc0,0x80083d40,0x4402646b,0x02f4003f,0x01b23e88,0x0fc817dc,
    0x0364bd00,0x01fc0354,0x203e24d8,0x0004d84f,0x07e40026,0x22001b20,
    0x6400beeb,0x200fd805,0x80fd805c,0x02ec02f8,0xfddddf00,0x007c809f,
    0x74405f98,0xb1017d46,0x06f405ff,0x4f983f60,0x3e603dc0,0x3e89b000,
    0x026c0fcc,0xa807f900,0x006c802f,0x7dc01720,0x01ffd100,0xfe8807dc,
    0x201d500f,0x400000fa,0x01fc404c,0x20aefa80,0xee81efb9,0x2bbae60b,
    0xfe981acf,0x07baa20a,0x544277ee,0x035c06fd,0xb877aaa2,0x360bd11e,
    0x77dc0004,0x013f260a,0xb9000364,0x9877e200,0x02bfaefb,0x7dcc3bf1,
    0xf902bfae,0x00fee239,0xfa932000,0xffffffff,0x7fec4000,0x2203fffe,
    0x4fffeffd,0x6403fffe,0x0cffffff,0x3ffffaa0,0x03d802df,0x137fffd4,
    0x201bfffb,0xd980004d,0x82ffffff,0xedaaaaa9,0x801aaaaa,0x3fe6005c,
    0xff33fffe,0x3bfe601f,0xfff33fff,0x3fffae01,0x5400002f,0x2aaa4fff,
    0x001aaaaa,0x006aa620,0x001aba88,0x009bb980,0x0026aa20,0x5c400000,
    0x00004401,0xd806aa20,0xffffffff,0xb806ffff,0x55d44004,0x2ea20000,
    0x54c0000a,0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x1c800000,0x00002e00,0x79510000,
    0x80199815,0x66cc0009,0x97510001,0x41998837,0x80003ccb,0x65440998,
    0x7100001b,0x00000799,0x00000530,0x09bb9880,0x00ee2000,0x4001fd10,
    0x220001fd,0x802dffdb,0x4ffeeffb,0x4c0bfff3,0x3bd1005f,0xfb800db5,
    0x91fffeef,0x3b627fff,0x7c40006e,0xdffd16ff,0x8000bffd,0x4406fed8,
    0x206e886e,0x9f505ffc,0x2a009f50,0xffecceff,0xffd71002,0x0774400b,
    0x0017e400,0x65deffcc,0x07fd00df,0x033f5bf5,0x77005f98,0x3f600590,
    0x65fe440c,0x00d7019e,0xf3d93100,0x00bf503d,0xf301b200,0x01ff981f,
    0x3f20fffd,0x4406fc86,0x37a601ed,0x59ffd100,0x37e600bb,0x13ee0000,
    0x980cfa80,0x200fc85e,0xf3007fe8,0x2203a00b,0x401fb805,0x35c05ffa,
    0x9ff70000,0x0005e880,0x02a806c8,0x1ff54055,0x0b880b88,0xc8013e20,
    0x5c83701f,0x0000bf00,0x37400fea,0x2f98fe20,0x1007f980,0x40d10035,
    0x801fcc06,0x035c05fc,0x00df7000,0x90000be6,0x0000000d,0x07d00000,
    0x6b821551,0x04017200,0x00260000,0x9b2003ea,0x01f6006c,0x4c0ec000,
    0x20035c05,0x0035c05f,0x4003f700,0x3640004c,0x00000000,0x3216e000,
    0x6c5cebbf,0x000b9004,0x98000000,0x26cf5002,0x0000f700,0x03b112a0,
    0x2ec004d8,0x99511ae0,0x03ee0015,0x5c406a80,0x883640ac,0x26660099,
    0x65cc0001,0x03e200ac,0xf88f5079,0x8805c801,0x20009999,0x00099998,
    0x0fa7b800,0x26207a80,0x32000999,0xe803ecce,0x202e4003,0x3bbff66b,
    0x07b803ff,0x75407cc0,0x90effeef,0x09fff50d,0x003ffff2,0x3bbffa60,
    0x84b80dff,0x00f21606,0xfff50172,0x3ea00dff,0x0006ffff,0x01365d80,
    0xfff507b8,0x55000bff,0x04d97260,0x3ae02ec0,0xefb82ee8,0x8003ee00,
    0x40cfa87a,0x306c9fd8,0x54cc09b3,0xf904b80f,0x83fd5019,0x2001d43c,
    0x805c804b,0x006c9999,0x01b26666,0x643f5000,0x981f6006,0x0005c999,
    0x20beec98,0x02fc006b,0xd1017bee,0x000fdc0b,0x402fa8d9,0x26c06efb,
    0x2e407cc0,0x76c017d4,0x001907a0,0x05c80698,0x20006c80,0x2600006c,
    0x4017cc3f,0x172007f9,0x5efe4c00,0x2007f300,0x7fdc05fc,0x702fa800,
    0x0fe600df,0x1bf6009f,0x1f3009b0,0x03f88db0,0x640f93a0,0x403c4000,
    0x06c8005c,0x0001b200,0x0fc827cc,0x801ffa20,0x3f2a005c,0x3f7000bd,
    0x405ffa80,0x176002fb,0x22027fdc,0x10034c5e,0x804d80df,0x5c6d80f9,
    0x3b3d4007,0x34c002c8,0x64002e40,0x01b20006,0xd013e600,0xf5bf507f,
    0x6402e400,0xb0000adf,0xafc8819f,0x007dc05c,0x27ae0f70,0x0efa81ee,
    0x1ba002e4,0x1f3009b0,0x99dc8fd0,0x99999999,0xa8791f99,0x4025c005,
    0x06c8005c,0x0001b200,0x3ee009f5,0xf34ffeef,0x4c02e400,0x019fd500,
    0xffeeffa8,0x7b80b91f,0x5c07cc00,0xfddffd16,0x000fa09f,0x804d80d9,
    0x747e80f9,0xffffffff,0x52ffffff,0x02a01b0b,0x00b90079,0x64000d90,
    0x13ea0006,0x13795100,0x0b9003cc,0x5c467400,0x65cc401e,0x2e02e40a,
    0x407cc007,0x55e5446b,0xb000f600,0x9804d80d,0x360ff80f,0x9999999d,
    0x10999999,0x2219b03f,0x4007c44c,0x06c8005c,0x4001b200,0x800004fa,
    0x01720079,0x02cc2540,0x2e02e400,0x41ae000f,0x2dc0006b,0x9b01ba00,
    0xff01f300,0x400035c1,0xcddb886b,0xb9003e81,0x000d9000,0x7dc00364,
    0xf7000003,0x8002e400,0x0001d01d,0x1fdc05c8,0x1ae0bb00,0x001f3000,
    0x09b01be2,0x3ff01f30,0x40000fd4,0x05c8004d,0x32001720,0x01b20006,
    0x00007f70,0xb9002ec0,0x6c03a000,0x02e40001,0x2a003fee,0x000d701f,
    0x3f6009f0,0x6c02e406,0x20ffc40f,0xe880006d,0x0ed8800d,0x20017200,
    0x1b20006c,0x0002fc80,0x800bf200,0x0770005c,0xb90000d1,0x00eeeb80,
    0x06b80fe6,0x403f9800,0x7dc06dfc,0x81ffd100,0x6fc42ff8,0x902d9800,
    0x9f51015f,0x000b9000,0x364000d9,0x8802fc80,0x1fe54005,0x40017200,
    0x00b621e8,0x55417200,0x4415fb6d,0x035c05fc,0x41df9800,0xaaec8ee9,
    0x261df880,0x22bfaefb,0xfe982ff9,0x6fed4c0a,0x37ff6600,0xa801dffd,
    0xaaedaaaa,0x555532aa,0x55555db5,0x555554c3,0x1aaaaaed,0x2aaab3e6,
    0x0fcaaaaa,0xffffff98,0x2aaa602f,0xaaaaedaa,0xded9801a,0xffb0003e,
    0x225fffff,0x3ff26fff,0xf102fffe,0x0fffffff,0x77fecc00,0xfff90dff,
    0x3fbfe605,0x1fff33ff,0xfc807fe2,0x1dfffeff,0x00554400,0xffffff10,
    0xb3ffffff,0xffffffff,0x7ecdffff,0xffffffff,0x3fe66fff,0xffffffff,
    0x55300fff,0xffb00155,0xffffffff,0x0c400dff,0x2aaa2000,0x2000aaaa,
    0xa9801ab9,0x001aaaaa,0x00037500,0x000aba88,0x5d4c0062,0x0000001a,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x75100000,0x44041579,0x000003db,0x99100010,
    0x66440003,0x00000001,0x009bb988,0x000f6e20,0x33333360,0xcccccccc,
    0x999005cc,0x5665d440,0x2b2a2000,0x00000001,0x082af2a2,0x777fdc00,
    0x20f8cffe,0x0003ebed,0x4005c800,0x70cfeefb,0xeefb801f,0xb01f70cf,
    0x003fb03f,0x76677fd4,0x5f6c02ff,0x0380003e,0x7dc01c00,0xeffc987e,
    0x5c03ffee,0x2effeffe,0x003e205d,0xfdffd700,0x007b19ff,0x3aa05fd1,
    0x007901ff,0x00b90000,0x3ffea2e8,0x2a2e803f,0xff03ffff,0x1005ff05,
    0x6f4c03db,0x0003c800,0x01c00038,0x3e1eafe2,0x04fc80be,0xfc8837fb,
    0x03f103fd,0x20dfe400,0x803ffdb9,0x7fcc00ec,0x00007901,0x0000b900,
    0x880006ea,0x40a601ba,0x04f88029,0x79007f20,0x00070000,0x7ab64038,
    0x0fdc02f8,0xff3003b2,0x0007e207,0x7e400f64,0x800fd403,0x007901fb,
    0x00b90000,0x00000000,0x0fa00000,0x7901ae00,0x00070000,0x54be6038,
    0x4e801f87,0x7e4003ee,0x0003f103,0x1fc003f7,0x0b001760,0x754001e4,
    0x000b9001,0x03799951,0x35995100,0x5b800000,0x337bbbb2,0x0f204d81,
    0x01d72200,0x25d80e00,0xd900087a,0x7f1001fc,0x99afa998,0x7f019999,
    0x7401b800,0x0f200003,0x004fd880,0xfeb80172,0x04ffeeef,0xfddffb10,
    0x4cc401bf,0x0f880099,0x1036224c,0x000f203f,0x000e3df5,0xa87ea070,
    0x4d720007,0x2e098007,0xffffffff,0x7cc3ffff,0x7c400000,0x0f200001,
    0x000f7d40,0xacc80172,0x2027dc40,0xfe982ef9,0xfffffa82,0x4984b806,
    0x903c8488,0x13f62007,0xd0380007,0x20007a89,0x0000b72f,0x266bea66,
    0x6b819999,0x1f880000,0x00f20000,0x54409fb1,0xaedaaaaa,0x001aaaaa,
    0xbf100fb8,0x3301f900,0x7900d933,0x70b30930,0x2e00f209,0x000381ef,
    0x2a07dc1c,0x0fd88007,0x8800009b,0x026c001f,0x003f8000,0xfb80f200,
    0x7ffdc01e,0xffffffff,0xf0003fff,0xe801b605,0xe806c806,0x0ecc4981,
    0x203c834c,0x00e03fe8,0x83f88700,0x3ee2007a,0x0000fa1e,0xe8003f10,
    0xbb000003,0xfffd8000,0x7fd34fff,0x80073b26,0xf800005c,0x2001f882,
    0x036401f8,0x7774c07c,0x6cf100df,0x24ffffff,0x8b2a1efb,0x321c0003,
    0x3200f506,0x01f40bff,0x007e2000,0x000007d0,0x388007ea,0x6c3bee00,
    0x2007d51d,0xcba8005c,0x82fabcde,0x03e8007a,0x40ec0364,0x4c03aa49,
    0x0ffa6006,0x001cbbf1,0x502f98e0,0x409f100f,0x4400003e,0x01f4001f,
    0x55555571,0x801ed803,0xfe9805fb,0x03e61a63,0xea801720,0xfedcceef,
    0x8006b82f,0x4036404d,0x3444983c,0xbf9004b8,0x1cb77b01,0x05d8e000,
    0x07e201ea,0x400004e8,0x26c001f8,0xfddddd50,0xbfd8809d,0x027f54c1,
    0xf0006fe4,0x200b9003,0x17c01cfb,0x26c0035c,0x16a01b20,0x3212a126,
    0x817f4c03,0x001cb76b,0x4cd7d4e0,0x01fb9999,0x01b200d8,0x003f1000,
    0x3e8005c8,0x3bffee00,0x5400cfff,0x2e4002fe,0xf9805c80,0xf505f005,
    0xc807f000,0x4c1f8806,0x07c43b04,0x100dfc88,0x00396e3f,0xffffb9c0,
    0x7fffffff,0x007d4000,0x003f1000,0x3e8007a8,0x9adc9800,0x00df9800,
    0xc8007640,0x000fb805,0x005f105f,0x1b200fcc,0xddd735c0,0x07d2e883,
    0x8f6017ec,0x70000e5b,0x26666662,0x0009fb99,0x08005e80,0x88003f10,
    0x01f4003f,0x08004a80,0x4005d800,0x006c805c,0x03f205f7,0x36402f40,
    0x90009b00,0x6b80080b,0x800072dc,0x001ea003,0x2002f980,0x005f106d,
    0x74001f70,0x1db30003,0x3a200000,0x80298004,0x3f6202fa,0x0037a02f,
    0x0d9001fb,0x4006f440,0x80000ed8,0x4feeeeee,0x00380007,0xdfb101ea,
    0x403fb803,0x17a01fe8,0x03dd0220,0x81000fa0,0x9800002c,0x8000002f,
    0x3ae60bee,0x981acfae,0x3aa20afe,0x00d9001e,0x51015f90,0x8000009f,
    0x70000e5b,0x3203d400,0xfb806fff,0x3bae60ae,0x20e7dc00,0x6444fea9,
    0x6d4409df,0x6fdc003f,0x400000fc,0x510b81eb,0x55555555,0x44355555,
    0x4fffeffd,0x6403fffe,0x0cffffff,0xdaaaaa98,0x01aaaaae,0x7eeffecc,
    0x000001df,0x0000e5b8,0xfcaa8807,0xbfff701a,0x3bff6600,0x2e004fff,
    0xdfffefff,0x3fffaa02,0x001cfffe,0x00005510,0x3fffffa0,0xffff72ff,
    0xffffffff,0x575109ff,0x77300003,0x7ffec013,0xffffffff,0x2aa2006f,
    0x50000000,0x3336bfff,0xcccccccc,0x405ccccc,0x06fffffd,0x22000aaa,
    0x10000ab9,0x80015775,0x009aba98,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00066654,
    0x006ea200,0x02aeea20,0x01333330,0x00333331,0x26aaeea2,0x00b33220,
    0x99999100,0x4cc40007,0x19999999,0x800bca80,0x19999999,0x26666200,
    0x26200199,0x26620099,0x26662009,0x99999999,0x4ccc4199,0x90019999,
    0x00003fdd,0x3ffbffea,0x7fe4401c,0x1f8dffee,0x3fffffee,0x7fffffc0,
    0x77ffdc05,0xdd50ffff,0xe980007f,0x0005feee,0xfffffff1,0x2207ffff,
    0x01efeffe,0xfffffffd,0xfff300bf,0x9dffffff,0x3fffe601,0xfffff00f,
    0x3ffffe05,0xffffffff,0x3fffe0ff,0xceffffff,0x000fc400,0x260e7dc0,
    0x5dd101fd,0x42ffeb98,0x88099ec9,0x2009dd99,0x01981cfa,0x9000007d,
    0x4cc4000b,0x199bf999,0xfd88bba0,0xdd999880,0x73000999,0x9533333f,
    0x3ee205fd,0x33e6200a,0x2be66201,0x99999bf9,0x3ee620fa,0xeb999999,
    0x007e202f,0xc805f900,0x200ed80f,0x06c82ff8,0x17e01720,0x0001f400,
    0x00002e40,0x0fd401fc,0x04d801c8,0x3201ea00,0x2017a02f,0xf9ea006d,
    0xf301f303,0x2203f900,0x3e60001f,0xf81d9002,0xc82fb802,0x10172006,
    0x0fa0003f,0x01720000,0x200fe000,0x4d80006c,0x401ea000,0x07f100fb,
    0xb9000fd4,0x80f981fc,0x20db0079,0x3a0001f8,0x993e2005,0x903f000f,
    0x202e400d,0x7d0000f9,0x0b900000,0x007f0000,0x9b00009b,0x003d4000,
    0x407dc09d,0x1f4004f8,0x203e607f,0x20f50079,0x999881f8,0x4001fa81,
    0x4007e26b,0x6400d900,0xafa99885,0x40099999,0x26f2a23e,0x005c8000,
    0xc803f800,0x04d80005,0xa801ea00,0x3217a00f,0xf0fc4006,0x3cc1a207,
    0xf881f880,0x7ffffd41,0x440035c4,0x00017a0f,0x42e400d9,0xffffffff,
    0x3a02ffff,0xdffdff93,0x005c8003,0xa803f800,0x04d80007,0xf001ea00,
    0xf317cc05,0x7c7b8003,0x1e6002a3,0x1f883dc0,0xd819dfb8,0x4c5f0005,
    0xd90001df,0x4c42e400,0x9999afa9,0x77674019,0x000fed42,0xf00000b9,
    0x005f1007,0x20004d80,0x01ec007a,0x002743ee,0x3e8fe26c,0xe8807980,
    0xfa83f105,0x8001f404,0x6f7ec43d,0x06c8009b,0x1f301720,0x03bfa000,
    0xb90027c4,0x07f00000,0x33bf332e,0x26c002cc,0x800f5000,0x6cde805d,
    0xdf85f000,0x79803fcc,0x8807f440,0x200ff21f,0x0b90002f,0x3bffb2a2,
    0xc801b202,0x0007cc05,0x36400ee8,0x0000b900,0x3bae07f0,0x02deefee,
    0x500026c0,0x885c800f,0xacffcaaa,0x0f9801aa,0x01ff777c,0x4ccccfcc,
    0x2201efdb,0x2005fb1f,0x07b0003e,0xc81fe4c0,0x30172006,0x0fa0001f,
    0x64003e60,0x7c005005,0x000f7003,0x2a0004d8,0x5426c007,0xcceecccc,
    0x86b803cc,0x2600fa3f,0xefffffff,0xfeaf8802,0x00176001,0x7d40017c,
    0x32006c82,0x0007cc05,0x0f9803e8,0xf100b900,0x400fe001,0x26c0007a,
    0x007a8480,0x05c801f4,0xddddfd00,0x4c00547f,0x0009999f,0x027f7fc4,
    0xf1000d70,0x21720001,0x0172006b,0x3a0001f3,0x000f9803,0x01f300b9,
    0x35c00fe0,0x20136000,0x003d41f8,0x172003f1,0x3337e200,0x98003fcc,
    0x5f880007,0x3ea009f3,0x1735c001,0x3d43d400,0xf9809d00,0x007d0000,
    0x172001f3,0x7c003e60,0x000b9002,0x1f8804d8,0x0f5003d4,0x3ffbbbae,
    0x5404eeee,0x0c407f07,0x440003cc,0x4013e61f,0x93e2005d,0x21ea003f,
    0x2f8800f8,0x80007cc0,0x00f9803e,0x1f300b90,0x2003f300,0x26c0004e,
    0x1ea0fc40,0x98827440,0x999ed999,0xf82e4009,0x1e61ae03,0x307e2000,
    0x05f3009f,0x00df1b20,0x804d82ec,0x07cc00fb,0x9803e800,0x00b9000f,
    0x0f9003f3,0x32007ea0,0xf1009b02,0xbd007a83,0x8005c800,0x5c07f03e,
    0x80007986,0x04fa81f8,0x7e403fc8,0x5c027fc0,0x405f501f,0x0f9803fa,
    0x3007d000,0x0172001f,0xfa807ba2,0x1009d002,0x2013603f,0x203d41f8,
    0x64000ed9,0x807c4005,0x261ae03f,0x1f880007,0xf7007f50,0x0fed443b,
    0x4c177efc,0x67d403fd,0x4017ee60,0x7d0000f9,0x2001f300,0x9fb1005c,
    0x402fdc43,0xaaaacfea,0x266daaaa,0xaaaeeaaa,0x1fbaaaaa,0x2aaabf2a,
    0x000efeba,0x555db555,0x2bf2a201,0x559f5510,0x4cdb5555,0xaaaabfca,
    0x1fba8800,0x0359fb30,0x77f7ff4c,0xfb13b01c,0x03dffdff,0x3ffffaa0,
    0x5d55403f,0x1aaaaabf,0x035bd550,0x2157f951,0xedaaaaa9,0x701aaaaa,
    0x07ffffff,0xffffff10,0x19ffffff,0x7fffffec,0xffffffff,0xfffff31f,
    0x0037dfff,0x7fffffd4,0xfff702ff,0x3fffee7f,0x6fffffff,0x3ffffffa,
    0xffd803ff,0xffffd01f,0x1ba8801f,0xaba98800,0x37510001,0xffffa801,
    0x6fffffff,0x6fffff88,0x2fffffc8,0xfffffffb,0x80dfffff,0x00009ba8,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x4cccc000,
    0x4c400199,0x09999999,0x33333100,0x33333333,0x99999881,0x99999999,
    0x07322009,0x02666200,0x22066662,0x88099999,0x99880999,0x99999999,
    0x4ccccc40,0x33100199,0x99998803,0x4ccccc41,0x44199999,0x26200999,
    0x4ccc4099,0x02666200,0x80317930,0xfffffffb,0xffff7003,0x9fffffff,
    0x3fffee01,0xffffffff,0x3ffe66ff,0xffffffff,0xf704ffff,0x3ee19fdd,
    0xfffff700,0x6fffff83,0x3fffffee,0x7ffffcc7,0x3ffffe23,0x1fffffff,
    0x3ffffffe,0x7fc404ff,0x3ffe04ff,0x3ffa5fff,0xffffffff,0x3ffffe67,
    0x5fffff00,0x03ffffe6,0x417ffffc,0x0fffefea,0x6f4cccc0,0x3a66006c,
    0xda99999c,0x9d3301ff,0x33333333,0xed988d93,0x99999999,0x45d04d99,
    0x403ffffa,0x98809de9,0x74cc09fa,0xfb88099d,0x9999881d,0x409999ed,
    0x9999fb98,0xff931001,0x3b266203,0x26673a09,0x47c99999,0x2200afb8,
    0x7ec41cf9,0x37e62009,0x05c19d01,0x3e67e200,0x20274001,0x13600fd8,
    0x05c83640,0x75001360,0x20136003,0x013600f9,0x5c8009f5,0x0001e600,
    0x3201b7ae,0x7cc03e86,0xdb00bb03,0x6402f440,0x001f500f,0x0274d700,
    0x3e6013a0,0x64013603,0x6c00b906,0x6c000004,0x200f9804,0x00fee04d,
    0xf9801720,0x00099999,0x900fe3ae,0x5e807d0d,0xfa80fe20,0x701fcc01,
    0x002e403f,0x01ee3e80,0x176009d0,0x0b7004d8,0x44d80172,0x2f2a2099,
    0x20136001,0x413600f9,0xb90002fc,0x7fffcc00,0x400dffff,0x6401f76b,
    0x3f203e86,0x4407dc00,0x03f5004e,0x06b807f3,0x221f9800,0x013a002f,
    0x009b0274,0x002e4062,0xca7fec33,0x01fffeff,0x0f9804d8,0x0bf21360,
    0x2005c800,0x999999f9,0x9ae02fea,0x3a1b204e,0x2005f302,0x4006c85e,
    0x017a20fc,0x90000be2,0x7400bb0d,0x201f9804,0x2006a84d,0x3007985c,
    0xda85fbbd,0x4026c01f,0xb13600f9,0x5c80003f,0x2e01e600,0x7d4d701f,
    0x2010d901,0x3e2004f8,0x20007e63,0x4003b65e,0x1fc0006b,0x4e8007d4,
    0x36027d40,0x32006b84,0x36007a85,0x013e00ef,0x01f3009b,0x00ee8a6c,
    0x2005c800,0x20db0079,0x6c82ec6b,0x2001b600,0x0009d0fb,0x007ef3e2,
    0x50003fb8,0x400fe01f,0xecccccee,0xced803ff,0x2006dccc,0x7dccccec,
    0x9003f600,0xccced80f,0x0fdccccc,0x3ffa3360,0x05c80002,0x7d401e60,
    0x17c46b80,0x1fa80364,0x1f9bd000,0x17fd4000,0x0fdfd880,0x0bb00d4c,
    0xeee80364,0xeffeeeee,0x7777ec01,0x3f2006ee,0x007eeeee,0x03e60136,
    0xeeeeefd8,0x200feeee,0xefd9dfdd,0x01720000,0x3f100798,0x81f90d70,
    0x03f8806c,0x00bfe600,0x001ff100,0x3a2ec37e,0x405f103f,0x04e801f9,
    0x9b01fe4c,0x2e400d70,0x09b003d4,0x26c01f30,0xfb007cc0,0x0006fa8b,
    0x07980172,0x21ae0f70,0x403644f8,0x6c80005e,0x6ded8000,0x3e20f980,
    0x7d403f32,0xeeeeeeee,0x004e804f,0x213605f3,0x2172006a,0x01360079,
    0x04d803e6,0x17600f98,0xc8002744,0x201e6005,0x20d705e8,0x701b20fa,
    0xb900001f,0x88fc8000,0x5c2e404f,0x6ec06c8f,0xcccccccc,0x004e807d,
    0x0826c172,0x105c8088,0x4c026c00,0x2013600f,0x813600f9,0x5c8002f9,
    0xd101e600,0xe81ae01f,0x2f981b25,0x2e4012e0,0x4c5f5000,0x7413603f,
    0x07e203fc,0x9d00be20,0x6c07cc00,0x320f6004,0x04d80005,0x13600f98,
    0x4d803e60,0x640036c0,0x267e6005,0x1efdb999,0x2f981ae0,0x017a20d9,
    0x017200b9,0x7dc27c40,0x3e60f901,0x801ae00f,0x0027405d,0x801360f5,
    0x0005c83e,0x0f9804d8,0x3e601360,0xf1013600,0x005c8005,0x3fffffe6,
    0x06b802df,0xd906cb64,0x9005c801,0x81ba000b,0x82f980ed,0x01f406f9,
    0x27401f50,0x1360bb00,0x05c83e80,0x9804d800,0x2013600f,0x013600f9,
    0x0b900176,0x4cccfcc0,0x2035c000,0xfa86cbf8,0x9005c801,0x01f9000b,
    0xcfc82f44,0x159fbf50,0x7c000f98,0x64013a03,0x4009b02f,0x0005c83e,
    0x0f9804d8,0x3e601360,0x2a013600,0x0172000f,0xb8000798,0x46dfb806,
    0x0b9004f8,0xf5001720,0x207f3003,0xf55ffffc,0x2bb6a29f,0x36aa602a,
    0xbd5511ae,0x95555555,0xeaa885fd,0xaaaaaaad,0x2aa3eaaa,0x02aaaaed,
    0x035bd550,0x550aff2a,0x953055bd,0x2aa2157f,0x3a01aade,0x555542ad,
    0x2aaaaeda,0x555fe54c,0xda8800aa,0x3fa02aaf,0x5555fdc6,0x5daaaaaa,
    0x5db55530,0x3ee20555,0xb5500aae,0x1751017f,0xfffffb80,0xffffd00f,
    0x3fffeabf,0xdfffffff,0xffffa80b,0xffffffff,0xfff33fff,0x03ffffff,
    0x6fffff88,0x0fffff98,0x3ffffff1,0x2fffffe8,0xdffffff5,0x887ffdc0,
    0xffffffff,0x3fa1ffff,0x3fffffff,0xfffffa80,0xb8df301f,0xffffffff,
    0xfd05ffff,0xffffffff,0xfffff701,0xfffff305,0x0000000b,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x4cc40000,0x26620099,0x4ccc4099,0x40019999,0x20099999,0x20999998,
    0x22001998,0x26662199,0x99999999,0x99880999,0x00019999,0x00000011,
    0x00015000,0x00000000,0x00440011,0x005665cc,0xffff3000,0xfff507ff,
    0x3fee5fff,0xffffffff,0x7ffe403e,0xfff00fff,0x3fe6bfff,0xfff001ff,
    0x3ffff27f,0xffffffff,0x7ffdc5ff,0xbdffffff,0x05ffc800,0x4c000970,
    0x7e41bcca,0x9b220001,0x000000de,0xf9003ff1,0x3ffa60bf,0x200dffee,
    0x101cefda,0x4c03339f,0x4cc1fb99,0xb99999ce,0xb3100efe,0x4c40133d,
    0x32209ed9,0xcfa805de,0x2667721e,0x9999dd99,0x9ec985d9,0xeeca9999,
    0x3fffe601,0x8005c802,0xffeeffd8,0x0002fcae,0xfe98bbee,0x4400000c,
    0x7fcc00ff,0x067e42ff,0x7540ff54,0x3a01f50b,0x206b8004,0x02fcc04d,
    0x5f0003e6,0x003ebae0,0x05c8d79d,0x5c1720b9,0x301fd806,0x9005ffff,
    0x1efa800b,0x017fedc4,0x203fea80,0x00003ffb,0x7fcc0044,0x00bea2ff,
    0x264003b6,0x5c8004d8,0x3ee01360,0x50027402,0x04eb5c0f,0xb91ae3e6,
    0x82e41720,0x40db006b,0xb9006ffd,0x2027c400,0x4c002ffb,0xc8800cfe,
    0x000002ef,0x226ffd80,0x013a003f,0x885c826c,0x204c80ff,0x809d004d,
    0x8136006b,0xaec0f76b,0x5c82e46b,0x01ae0b90,0x01101fc4,0xbd002e40,
    0x0fbafb80,0x00dfd880,0x01dfc880,0x04400000,0x0f5001ee,0xd702ee54,
    0x9b07ff70,0x4d8026c0,0x44017c40,0x3f9ae01f,0xc8d72f88,0x1720b905,
    0x0f70035c,0x802e4000,0x8fee00fa,0x3bf2203e,0xfd980001,0x0000000c,
    0x26667720,0x99999999,0x09fb701f,0x2e6ec3d4,0x009b01f4,0x0bb003f1,
    0x26b80d90,0x1ae6b86c,0x54172077,0x4400d703,0xb900001f,0xfb81ae00,
    0xffb82e43,0xea800002,0x999880cf,0x99999999,0xfe800999,0xffffffff,
    0x402fffff,0x81f305d8,0x02f87abf,0x0dd30136,0x7d003ea0,0x07e26b80,
    0x90035c7f,0x00d7000b,0x262002f8,0x9ed99999,0x36099999,0xf707f504,
    0x0003fea8,0x43ffb800,0xfffffffb,0x4fffffff,0x9999dd80,0x99999999,
    0x80f98009,0x223e61f8,0xd807e22f,0x0efca884,0xfa80fe00,0x97635c00,
    0x801ae0fa,0xd997005c,0x0399999f,0xffb800fa,0xffffffff,0x1764ffff,
    0x735c0fea,0x000003ff,0x4c27fcc0,0x99999999,0x1ae00199,0x06980000,
    0x9366b87e,0x3ff600f9,0x03efffff,0x17606c80,0x21f31ae0,0x90035c4e,
    0x3bbb600b,0x02eeeeef,0x2fffd87d,0x6cccccc4,0x4099999e,0x9027d46b,
    0x00cfe98b,0x77dc0000,0x40000002,0x220001fa,0x80ba60bd,0x26b93a2f,
    0x556ec07a,0x0003feaa,0x05f103f1,0xf39d0d70,0x32006b81,0x006b8005,
    0xdfff11f4,0x9802e400,0x4409f51f,0x07ff503f,0x7ff50000,0xea800000,
    0x00036c3e,0x073bbb66,0x98be27d0,0x4d80d50f,0x20009f90,0x7007b84d,
    0x70bbf50d,0x002e400d,0x87e0035c,0x2001fffa,0x2bb6005c,0x0076404f,
    0x0000bbee,0x00033faa,0xffff1000,0x4006fc43,0x400102d9,0x3f81f54d,
    0x204d80d7,0x7a8004fa,0x0d7004e8,0x01ae0bfa,0x6b8005c8,0xff91e600,
    0x005c8009,0xf7013fe2,0x3bf22003,0xdfd98001,0x00cc0000,0x21ffffd4,
    0x54c0afe9,0x80000dfd,0x2b90b95c,0x2026c05c,0x2f8002fa,0x35c007e6,
    0x00d70188,0x35c002e4,0xfff8d700,0x002e4000,0x445bfff3,0x98002fe9,
    0xc8800dfd,0x880001ef,0xffe801ff,0xdfff900f,0x0003bfff,0xa83fb5c0,
    0x04d809b7,0x64000fc8,0x6b801b25,0x2006b800,0x06b8005c,0x7fcc7f30,
    0x005c8002,0xfff919f3,0x0001bffd,0x700cfea8,0x800005df,0x155000fe,
    0x03575300,0x1fd41fd4,0x881f9fa8,0x26c03e9f,0x4c004e80,0x5c007f0f,
    0x006b8006,0x1ae00172,0xbf913a20,0x40172000,0x4ddcc45f,0x7d400000,
    0x00ffea2f,0x00000000,0x0bf90000,0x33e60bf9,0x00bf3a07,0x07ea009b,
    0x01f59d00,0x5c0035c0,0x00172006,0x0bd301ae,0x2a0001fd,0x00003003,
    0x366b8000,0x0000000c,0x80000000,0x00b880b8,0x7dc09ff1,0xdeaa881f,
    0x576c01aa,0x0bdf7001,0x2abb6a20,0x3b6aa602,0xdaaa981a,0x2202aaae,
    0xaaaaafda,0x03306ffc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7cc05ff0,0xffffa80f,0x7fcc06ff,0x05ff1005,0x3ffffea0,0xffffd00f,
    0xffffd0bf,0x201fffff,0xfffffffa,0x00001bdf,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0x001acca8,0x2a02b2a2,
    0x32e6002c,0xca88022b,0x98801bcc,0x99880099,0x65d44009,0x262020ab,
    0x06666009,0x2cb884cc,0x22005dc4,0x1a880999,0x10200800,0x20133333,
    0x44099999,0x99999999,0x01002199,0x29800a60,0x7f77fec4,0x3fa600df,
    0xfd11ffef,0x36a01dfd,0xceffeeff,0xeeffeb87,0x7fc04ffe,0x3ea02fff,
    0xf700ffff,0x19ffdddf,0x27ffd41f,0x40ffffc8,0xeffadffb,0x9fdff34f,
    0x8bfffe60,0x02ffffe9,0x5f504e88,0x37fffffc,0x3fffffec,0x3ffffffa,
    0xbd0fffff,0x2a00fe20,0xa82ea23f,0x20bbe63f,0x39702fe9,0x8f7476c4,
    0xadfa86e9,0x21ff6a20,0x7dc40acc,0x067ee204,0x2033a620,0xfd502fe8,
    0x04d9983f,0x2603ea66,0x33ea4ffc,0x4403e64f,0x5bf72f99,0xfd3007e4,
    0x988bf501,0x988099fc,0x67409de9,0xa9999999,0x203be64f,0xcfb804fc,
    0xfbdffffd,0x32017e24,0x3fe2000f,0x3617c40f,0x0007e806,0x07cc01f7,
    0x7640be00,0x80ffcc00,0x00f9804d,0x0bfd0bf9,0xf97f009b,0xff980207,
    0x2206fb81,0x01f9802f,0x42f4409d,0x4fc80efa,0x2a2efc80,0x0036c5fe,
    0x3fd800dd,0x805d8d70,0x0be00069,0x309705f0,0x003f501f,0x026c07ee,
    0x06c807cc,0x201b20d9,0xa8002fff,0x0efc81ff,0x36402ec0,0x07740590,
    0xfd81efb8,0xdb036c05,0xf1000fc4,0x807e4003,0x00bee0f9,0x805f0000,
    0x20ffc44d,0x800bb06b,0x26013605,0x320b900f,0xdf00d906,0x5ff50003,
    0x3001ff90,0x017c403f,0x6400ed80,0x0dfe81ff,0x3ea03f88,0x7d000f50,
    0x36f36e60,0x9999999f,0x5e77e41f,0x32ea001a,0x02fabcde,0x13bee35c,
    0x000fa0b9,0xf9804d80,0x1b20b900,0x017c0364,0x6c1ffdc0,0x13a001ff,
    0xf90007b8,0x0bff2001,0xfa81dfd1,0x06b9f400,0x3f224d80,0xfffedcff,
    0x2fffffff,0xfffedb98,0xddfd500d,0x05ffdb99,0x3de6c7a8,0x007e20fa,
    0x9804d800,0x320b900f,0x5f00d906,0x44ffb800,0x4001ffd8,0x007d00fa,
    0xd8003f70,0x77fc42ff,0x4fa01ea0,0x14d8006b,0x3d9037dd,0x13333333,
    0x7fd95100,0x7c01cfb8,0xf88fc402,0x03f11f89,0x400003f1,0x00f9804d,
    0x641b20b9,0x4002f806,0xffc85ffa,0xa83e8003,0x17d4000f,0x07ffa200,
    0x7c41bff3,0x3d43e602,0x0fc9fc00,0x00001f20,0x05f987d4,0x27d005f0,
    0x03cd367b,0x6c00007f,0x900f9804,0x3641b20b,0x4c0017c0,0x2ffc84ff,
    0x2ec3dc00,0x000fea00,0xff303bfa,0x6d81b60b,0xf9800be2,0x1fc80b91,
    0x6c005300,0x3e001f73,0x49b5c802,0x2ec0d77b,0x009b0000,0x417201f3,
    0xf00d906c,0x3fe60005,0x001ffb84,0x01f98be2,0x00813e60,0xff881dfb,
    0xa8b7ee04,0x007e44fd,0xd01ea5e8,0x01b2009f,0x200d94e8,0x8eb802fb,
    0x1367e21f,0x22001fa8,0xfb00b903,0x36417201,0x02f806c8,0x20ffa200,
    0x32001ffa,0xf8801b26,0x3f217404,0x027f440d,0xfdffdbf5,0x0de87f9d,
    0x7f107ec0,0x203fff60,0x007f92e9,0x80bea5f7,0x9802ffd8,0x2fcd87cf,
    0x5c00f6c0,0x201f705f,0xb900ffe8,0x03641b20,0x2200017c,0x0efa82fe,
    0x5f13f100,0x2017a200,0x7417ee3e,0x893ea03f,0x98bee0bb,0x3aa20afe,
    0x10bfa81e,0x27fbbdfb,0xff90dfb8,0x4fc8813b,0xd7305f74,0x80359f5d,
    0x0ffa84ff,0x20dfec40,0x2204fea9,0x3bee61df,0x36a22bfa,0x0d7640ae,
    0xaa986bb2,0xaaaaacfa,0x07fa2002,0x6c003be6,0x3fa006cd,0xaaaaaaab,
    0x209f53fa,0x01d402fd,0xfff90550,0x5c019fff,0x4b8efeff,0xb87ffffb,
    0xfefffd9c,0xffd883ef,0x3fe4fffe,0x07f600ff,0xfb801fe2,0x0cfffeff,
    0xffeff980,0x21fff33f,0x645ffffb,0xaffe45ff,0xfffffff8,0x001fffff,
    0x01e9826c,0x2007ff30,0xfffffff8,0x7b3fffff,0x0000ba20,0x26ee6000,
    0x806e6000,0x751001b9,0x75100357,0x00000035,0x2aea6000,0x5d440009,
    0x0000000a,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x88266000,0x33001bca,0x26660133,0x08028801,0xa9800000,0x3333200a,
    0x40355300,0x54404da8,0x7ffec00a,0x44133314,0x26660999,0x99999999,
    0x40099999,0x776c4029,0xeeeeeeee,0x441deeee,0x0001d401,0x3baa03a8,
    0x6c065c43,0xfdff94ff,0x7fdc03ff,0xfffd86ff,0x203d404f,0x13a201fb,
    0xc817dd93,0xf05feeff,0xfe881fff,0x7641efff,0x3fee04dc,0xfff104ff,
    0x93ffee1f,0xff74fffb,0xffffffff,0x0bffffff,0x9100ffc4,0x99999999,
    0x19999999,0x0fee03a8,0x54009fd7,0xffff884f,0x203fffe1,0x542fdde9,
    0x3be601fd,0x15fb3009,0xfd807a80,0x260ee881,0x4c1f711f,0x3a0fa209,
    0x16fc47ff,0x13201fb5,0x7fde7fe4,0x23fffa85,0x3ea3fffa,0x266623ff,
    0x99999999,0x3a05d999,0x00000ede,0x7e412a00,0x775dfe42,0x2fd46980,
    0x54ffffe6,0xfb03ffff,0x2027c01d,0x07f205f9,0xfd803d40,0x3d03ba20,
    0x0d700790,0x07d8dffb,0x4426417a,0x641fe87f,0x7ffcc6ff,0x00bffe62,
    0xfc82e400,0x00005e88,0xd83b6600,0xd10fdc1f,0x4c27cc3f,0x3fffa0ef,
    0x01ffff10,0x0f9003f6,0x3f90bd10,0x88f506a0,0xe88fd80a,0x8972000e,
    0x86eeeeec,0x01fc5ffc,0x2a1320f7,0x743fa84f,0x7ffc42ff,0x007ffe20,
    0x7dc2e400,0x00013e21,0xd92c8100,0x3f203901,0x3a204fcc,0x6e4c1545,
    0x26013602,0x25e8800f,0x3ff601fc,0xfda8fa9c,0x1ddfb02f,0xf88fcc00,
    0x86daabdf,0x07e24ffb,0x84c80f98,0x23fa83fa,0xfff06ff8,0x0001fff0,
    0x07f31720,0xeed885f5,0xeeeeeeee,0xf71deeee,0x00021d9b,0x1000dda8,
    0x04d80000,0xd1000f98,0x73003fbd,0x5bfffffd,0x017fc401,0x82e45f30,
    0x42ffa86a,0x641f204f,0xfd86f984,0x740bfee2,0x007fe86f,0x5f897200,
    0xbb887f20,0xbbbbbbbb,0x20bbbbbb,0x000002a8,0x40000000,0x00f9804d,
    0x0007fe20,0x20037fe6,0x801fdee8,0x441f41ea,0x41ff986e,0x04f880fb,
    0x2b7f6099,0x37ec6fd9,0xbf90bfb0,0xd2e40000,0x001db00d,0x00000000,
    0x00000000,0x0f9804d8,0x03bbb600,0x03f9f900,0x3fb0ee88,0x7d407640,
    0xafffca9b,0x7ec07fc1,0x205fdaad,0xfffb104c,0x01ff81df,0x13ee13ee,
    0xd15c8000,0x003b1001,0x00000000,0x00000000,0x0f9804d8,0xe88ed880,
    0x25f5000e,0x03ba206d,0x05d883fb,0x545f7edc,0x503742ee,0xc807dffd,
    0x81665404,0x40ec403d,0x200001d8,0x0000003a,0x00000000,0x00000000,
    0x03e60136,0xed81dd10,0xf127c400,0x201dd109,0x307d10fd,0x00880007,
    0xffffc800,0x000005ff,0x00000000,0x00000000,0x00000000,0x36000000,
    0x200f9804,0x1db00ee8,0x0fd436c0,0x29b003ae,0xfffffffa,0x00000006,
    0x00000000,0x00000000,0x00000000,0x00000000,0x6c000000,0x100f9804,
    0x1fd801dd,0x00260130,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x1adeaa80,0xa857f950,0xa881abfe,0x0000bffb,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffff1000,0xffff30df,0x3fffe61f,0xffffc85f,0x2666662f,0x99999999,
    0x4c099999,0xaaaaaaaa,0xaaaaaaaa,0x77770aaa,0x77777777,0x00000077,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xffffc800,
    0xffffffff,0x1fffffff,0xfffffff3,0xffffffff,0x3e5fffff,0xffffffff,
    0x0007ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x99800000,0x99999999,0x99999999,0x88888880,0x88888888,0x5ddc0888,
    0xbbbbbbbb,0x000003bb,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_38_latin1_x[224]={ 0,8,4,3,3,3,4,7,9,4,0,2,4,3,
7,3,3,3,2,3,3,3,4,3,3,4,7,5,0,1,0,0,3,0,1,2,2,1,2,2,1,3,2,1,
2,0,0,0,2,1,1,3,2,1,0,0,1,1,3,0,0,0,3,1,7,2,0,2,2,2,3,2,1,3,
2,3,3,0,1,2,0,2,2,3,2,1,0,0,1,2,3,0,9,0,3,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,8,3,2,3,1,
9,2,5,0,0,0,0,3,0,-1,5,2,5,5,7,1,2,7,7,6,4,2,0,0,0,0,0,0,0,0,
0,0,0,2,1,1,1,1,3,3,3,3,-1,0,0,0,0,0,0,4,1,1,1,1,1,1,2,1,2,2,
2,2,2,2,0,2,2,2,2,2,3,3,3,3,2,1,2,2,2,2,2,2,1,1,1,1,1,2,0,2,
 };
static signed short stb__courier_38_latin1_y[224]={ 27,5,6,4,4,6,9,6,6,6,6,8,22,16,
23,4,5,6,5,5,6,6,5,6,5,5,12,12,8,14,8,7,5,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,6,4,6,6,34,5,12,6,12,6,12,6,12,6,5,
5,6,6,12,12,12,12,12,12,12,7,12,12,12,12,12,12,6,6,6,14,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,27,12,5,7,10,7,
6,6,6,7,5,12,16,16,7,3,2,6,5,5,5,12,6,14,26,6,5,12,6,6,5,12,0,0,1,2,
2,0,7,7,0,0,1,2,0,0,1,2,7,2,0,0,1,2,2,11,6,0,0,1,2,1,7,6,5,5,
5,7,6,4,12,12,5,5,5,6,5,5,5,6,6,7,5,5,5,7,6,9,11,5,5,5,6,5,6,6,
 };
static unsigned short stb__courier_38_latin1_w[224]={ 0,5,12,15,14,15,13,6,7,7,13,16,8,15,
6,14,14,14,15,14,14,14,14,14,14,14,6,8,17,18,17,12,14,20,18,17,17,17,17,17,18,14,18,19,
17,20,19,17,17,18,19,15,16,18,20,20,18,18,14,6,13,6,14,21,6,17,19,17,18,16,16,17,18,15,
12,17,15,20,18,16,19,18,17,14,16,18,20,20,18,18,14,7,2,7,15,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,5,13,16,14,18,
2,16,10,21,11,17,18,15,21,22,10,16,9,10,6,18,16,6,6,8,12,17,20,21,20,12,20,20,20,20,
20,20,20,17,17,17,17,17,14,14,14,14,19,19,17,17,17,17,17,12,18,18,18,18,18,18,17,16,17,17,
17,17,17,17,20,17,16,16,16,16,15,15,15,15,16,18,16,16,16,16,16,16,18,18,18,18,18,18,19,18,
 };
static unsigned short stb__courier_38_latin1_h[224]={ 0,23,10,26,27,22,19,11,26,26,13,18,10,3,
5,26,23,21,22,23,21,22,23,22,23,23,16,19,18,7,18,21,25,20,20,21,20,20,20,21,20,20,21,20,
20,20,20,21,20,24,20,21,20,21,20,20,20,20,20,26,26,26,9,3,6,16,22,16,22,16,21,22,21,22,
29,21,21,15,15,16,22,22,15,16,21,16,15,16,15,22,15,26,26,26,6,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,22,22,20,14,20,
26,24,4,21,11,15,10,3,21,3,10,21,12,13,6,22,24,5,7,11,11,15,21,21,22,22,27,27,26,25,
25,27,20,26,27,27,26,25,27,27,26,25,20,25,28,28,27,26,26,13,23,28,28,27,26,26,20,22,23,23,
23,21,22,24,16,21,23,23,23,22,22,22,22,21,22,20,23,23,23,21,22,17,18,23,23,23,22,29,28,28,
 };
static unsigned short stb__courier_38_latin1_s[224]={ 242,246,137,86,20,83,241,88,1,174,39,
130,128,84,240,200,158,241,33,210,170,210,39,159,240,225,219,121,166,184,184,
185,142,1,22,198,178,41,59,233,96,135,124,115,160,63,168,19,236,210,22,
37,84,53,42,1,222,203,188,146,132,125,169,39,233,54,118,93,158,226,72,
49,89,67,1,1,108,130,1,1,138,99,151,39,216,111,187,72,20,75,208,
242,250,117,217,152,152,152,152,152,152,152,152,152,152,152,152,152,152,152,152,
152,152,152,152,152,152,152,152,152,152,152,152,152,152,152,152,152,242,196,241,
143,241,196,253,229,243,219,76,169,150,84,109,61,117,41,66,243,210,191,175,
247,203,108,95,223,131,19,54,146,206,146,153,121,65,185,215,47,167,68,182,
157,53,227,102,86,101,101,91,109,35,215,233,53,122,127,72,1,28,9,150,
174,173,18,104,58,111,192,18,1,141,70,36,202,17,1,225,93,94,77,1,
87,53,76,129,202,147,191,1,20,177,14,52,33, };
static unsigned short stb__courier_38_latin1_t[224]={ 28,58,260,31,31,134,201,260,59,31,260,
222,260,274,260,31,86,134,134,86,157,110,110,110,86,86,222,222,222,260,222,
157,58,201,201,157,179,201,201,157,201,201,179,201,179,222,201,179,179,58,222,
179,222,179,222,222,201,201,201,31,31,31,260,274,260,243,134,243,134,222,179,
134,179,134,1,179,179,243,260,243,134,134,243,243,157,243,243,243,260,110,243,
1,1,31,260,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,
157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,28,134,110,
179,243,179,1,58,236,134,260,243,260,274,157,274,260,157,260,222,260,110,58,
260,260,260,260,243,157,157,110,110,1,1,31,58,59,1,179,59,1,31,31,
58,31,1,31,58,222,58,1,1,31,31,31,260,86,1,1,31,59,59,201,
110,86,86,86,157,110,58,243,157,86,86,86,134,134,134,110,157,110,201,86,
86,86,157,110,222,222,86,110,110,134,1,1,1, };
static unsigned short stb__courier_38_latin1_a[224]={ 322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,322,
322,322,322,322,322,322,322,322, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_38_latin1_BITMAP_HEIGHT or STB_FONT_courier_38_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_38_latin1(stb_fontchar font[STB_FONT_courier_38_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_courier_38_latin1_BITMAP_HEIGHT][STB_FONT_courier_38_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_38_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_38_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_38_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_38_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_38_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_38_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_38_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__courier_38_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__courier_38_latin1_s[i] + stb__courier_38_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__courier_38_latin1_t[i] + stb__courier_38_latin1_h[i]) * recip_height;
            font[i].x0 = stb__courier_38_latin1_x[i];
            font[i].y0 = stb__courier_38_latin1_y[i];
            font[i].x1 = stb__courier_38_latin1_x[i] + stb__courier_38_latin1_w[i];
            font[i].y1 = stb__courier_38_latin1_y[i] + stb__courier_38_latin1_h[i];
            font[i].advance_int = (stb__courier_38_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__courier_38_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_38_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_38_latin1_s[i] + stb__courier_38_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_38_latin1_t[i] + stb__courier_38_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_38_latin1_x[i] - 0.5f;
            font[i].y0f = stb__courier_38_latin1_y[i] - 0.5f;
            font[i].x1f = stb__courier_38_latin1_x[i] + stb__courier_38_latin1_w[i] + 0.5f;
            font[i].y1f = stb__courier_38_latin1_y[i] + stb__courier_38_latin1_h[i] + 0.5f;
            font[i].advance = stb__courier_38_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_38_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_38_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_38_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_38_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_38_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_38_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_38_latin1_LINE_SPACING
#endif

