// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_41_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_41_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_41_latin1_BITMAP_WIDTH         256
#define STB_FONT_courier_41_latin1_BITMAP_HEIGHT        322
#define STB_FONT_courier_41_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_courier_41_latin1_FIRST_CHAR            32
#define STB_FONT_courier_41_latin1_NUM_CHARS            224

#define STB_FONT_courier_41_latin1_LINE_SPACING          19

static unsigned int stb__courier_41_latin1_pixels[]={
    0x3100a000,0x00000033,0x7f980000,0x00004000,0x00400000,0x00040000,
    0x00040000,0x90000006,0x00200005,0x80004100,0xff101fd8,0x000003ff,
    0x80017a20,0x320007f9,0x3f70000f,0x1fc40000,0x6e880000,0x00bd1000,
    0x27400bf0,0x7f440000,0x7d40004f,0x74f60002,0x17f44003,0x007eea60,
    0x3be60000,0x1fe60001,0x001fec00,0x0005fd10,0x00027e40,0x0007fa20,
    0x20007be6,0xfb800dfa,0x3e600000,0x000efb9e,0x4000ff60,0x4c009d4e,
    0x3e6001fe,0x54000001,0x4c0000ef,0x7ec4007f,0xfd880002,0x3ee00003,
    0xf980000d,0xefa8000e,0x3be60000,0x0027c400,0x260dfb80,0x320002fe,
    0xd4e8004f,0x03be6009,0x0003f300,0x002fdc00,0xfd100000,0xfc800003,
    0x3ea00004,0x3ea0000e,0x5fb8000e,0x3fd30000,0x0000fc80,0x7d8827cc,
    0x06fdc000,0x013a9d00,0x4c0006dc,0x1000001f,0x0000009f,0x0001ed80,
    0x0003f700,0x000274c0,0x3e2000bf,0x74400004,0x001fc406,0x00040040,
    0xd001fd40,0x000013a9,0x00007e60,0x00000080,0x00000800,0x00000080,
    0x00040001,0x80000020,0x0007c800,0x40000000,0x4ea74000,0xf9800000,
    0x2b372a21,0x00040000,0x55555551,0x00003555,0x00000000,0x00000010,
    0x00000000,0x800fe600,0x3cccccc9,0xccccccc8,0xe8000000,0x5554c9d4,
    0x2aaa600a,0xf71f980a,0x1dffdbdf,0x3ffb2600,0x7fe401df,0xffffffff,
    0x99999934,0x99999907,0x33332619,0xcccc83cc,0x32600ccc,0x401dfffe,
    0xccccccc8,0xcccccccc,0x9999970c,0x39999999,0x33333322,0xcccccccc,
    0x006d80cc,0x3bbbfba6,0xefeeed84,0xcccc880d,0x2000cccc,0x3fe69d4e,
    0xff104fff,0x3f30bfff,0xdf5019f9,0xbdffb801,0x200dfedb,0x99999999,
    0xdfdd34f9,0xdddb09dd,0x3ba61bdf,0xed84eeef,0x700defee,0xfdb77bff,
    0x3bb6601b,0xeeeeeeef,0xd90feeee,0xddffdddd,0x3b665ddd,0xeeeeeefe,
    0x80feeeee,0x7cc002f9,0x101ee000,0xfdfddddb,0x4ea74007,0x10067b62,
    0xf3015f93,0xed8803fd,0x5409fb00,0x3e0000ef,0x70007cc4,0x0007cc0f,
    0x04fd80f7,0xf7003bea,0x2007d400,0x01ee004e,0x0dd00fa8,0x2000f980,
    0x9f98007b,0x753a006c,0xd0017cc3,0x01ffcc0b,0x2fc85f88,0x0005fa80,
    0x001f313e,0x01f303dc,0x5f903dc0,0xb80bf500,0x003ea007,0x03dc009d,
    0x3ea01f50,0x003e6001,0x6c8007b8,0x53a003f3,0x5006d81a,0x037cc03f,
    0x07f31ea0,0x80017d40,0x0007cc4f,0x007cc0f7,0x0fe60f70,0x2e02fa80,
    0x003ea007,0x03dc009d,0x2f401f50,0x4001f300,0x23f8007b,0x809d004e,
    0x05e802f9,0x22001fcc,0x2001ba1f,0x89f0007e,0x1ee000f9,0x2e000f98,
    0xd000dd07,0x3003dc0f,0x004e801f,0x0f9801ee,0x4c007ea0,0x01ee000f,
    0x03dc1f50,0x06d804e8,0x3e600fd4,0xf53f8002,0x01f50005,0x0f989f00,
    0xf981ee00,0x2a1ee000,0x0fa8002f,0x01800f70,0x1ee004e8,0x0bd00300,
    0xb8003e60,0x2236c007,0x804e802f,0x017a01f9,0x3e000be6,0x74000f73,
    0x4c4f8002,0x81ee000f,0x1ee000f9,0x2e8001ee,0x016e0f70,0xf7002740,
    0x5c0016e0,0x00f9800f,0xf8801ee0,0x4e805d83,0x3ea0bb00,0x004f9801,
    0x006c97c4,0x3e001360,0x70007cc4,0x0007cc0f,0x000d90f7,0x907b826c,
    0x013a000d,0x00d907b8,0x7cc027c0,0x801ee000,0x00fa80fb,0x7cc00a74,
    0xf3005e81,0xd0fb800d,0x03640009,0x03e627c0,0x3e607b80,0x3a1ee000,
    0x41b20004,0xdaaaaafb,0x009d0006,0x555557dc,0x3ee0006d,0x0007cc00,
    0x02f400f7,0x7d4e807f,0x0fd45d80,0x004ff980,0x001fc9f3,0x9f000f70,
    0x2e000f98,0x8003e607,0x0003f87b,0x7ffdc1ee,0x0006ffff,0x7fdc009d,
    0x006fffff,0xf300fe20,0x803dc001,0x01b202f8,0xf3013a9d,0xf3002f43,
    0x6e9807fb,0xf7000274,0xf989f000,0x981ee000,0x21ee000f,0x1ee0004e,
    0x006c83dc,0x3dc009d0,0x640006c8,0x0007cc07,0x01ee00f7,0xea7403f3,
    0x3f35e804,0x7dcfcc00,0x3bee609e,0x90002ec1,0x989f000b,0x81ee000f,
    0x1ee000f9,0x5c800176,0x01b20f70,0xf7002740,0x10001b20,0x007cc07f,
    0x3ba00f70,0xaaaaaaaa,0x2753a04f,0x036cfcc0,0x7f4c7e60,0x904fffff,
    0x01f4000d,0x03e627c0,0x3e607b80,0x321ee000,0x40fa0006,0x0005307b,
    0x07b8013a,0xdb000053,0x7000fcc0,0xffff300f,0xffffffff,0x02753a01,
    0x4002fee8,0x5e5441f9,0x003ea009,0x20007e20,0x000fcc4f,0x00fcc0f7,
    0x01f50f70,0x2e03f100,0x2024c007,0x01ee004e,0x7cc00930,0xe800be02,
    0x1006c806,0x2753a05f,0x8006f980,0x440001f9,0x0fc8004f,0x2f84f800,
    0x5f01ba00,0x7c437400,0x00fc8004,0x07b800f7,0x0f700274,0x6c007b80,
    0x44013206,0x003f804f,0x4ea74176,0x0005f300,0x700003f3,0x2fc4003f,
    0x641fc400,0x809f1004,0x09f1004c,0xf88007ee,0x9001ee05,0x2004e80f,
    0x03e4007b,0x7d40be60,0x401fb801,0x3ea000fa,0x009d4e80,0x7cc001b6,
    0x1dd00001,0x0003f600,0x07ea07ee,0xf5007ee0,0x403f7003,0x1fb000ee,
    0x32003dc0,0x70027407,0x007c800f,0x07b606e8,0x5d804fb8,0x4e83f800,
    0x05f3009d,0x0007e600,0x100f7cc0,0x3a0005fd,0xb807b607,0x03db004f,
    0x3e6027dc,0x0bfa201e,0x7c800f70,0xf7002740,0x8007c800,0x2ff601fa,
    0x00bf9510,0xd90005f1,0x2013a9d0,0x3e60006d,0x3a200001,0x3fae61bf,
    0x07f90002,0x9510bfd8,0xbfd800bf,0x00bf9510,0xb986ffa2,0xb55102fe,
    0x5555555f,0x26fb5555,0xadfaaaaa,0x5510aaaa,0x555555fb,0x0fb55555,
    0xfb00f600,0x807fffff,0x1aabfca8,0x2ff2aaa0,0x002a150a,0x990005f3,
    0x05999bfb,0xffff9000,0x65403bff,0x2ffdcccc,0xfffffb00,0x3f60007f,
    0x003fffff,0xffffffc8,0x3ffe601d,0xffffffff,0xfb7fffff,0xffffffff,
    0x3fe67fff,0xffffffff,0x07ffffff,0xbb980000,0xfffb8009,0x3fa04fff,
    0x401fffff,0xfeccccc8,0xdb1004cc,0x07dddddd,0x55dcc000,0xeeeeb800,
    0x98001bde,0x800009bb,0x00009bb9,0x00055dcc,0x00000000,0x00000000,
    0x00000000,0xdb100000,0xbddddddd,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000002,0x80000440,0x02c880bb,0x00000010,0x00e44000,
    0x002c8800,0x00999998,0x32000040,0x98000002,0x64001999,0x00000802,
    0x40007f50,0x3620002d,0x20000dfe,0x7fc83ff8,0x0000bf00,0x4c000bb0,
    0x40003ffe,0x4004ffe9,0x407fffff,0x3deffdb8,0xffe880a6,0x6ca74004,
    0x3fffffa0,0x4ffe8800,0x00067f40,0x000dfb80,0xd80013a0,0xd0001323,
    0x00bf503f,0x000037ea,0x4000bfa2,0x05fc8efb,0xf71df500,0x2b7e001d,
    0x3ff601aa,0x9efdcabd,0x73df306c,0x3f9001df,0x554413ea,0x7cc00fca,
    0x100efb9e,0x900007f9,0x9f00009f,0xf11a2000,0x00000000,0x0000ef98,
    0x40007fa6,0x077d44fd,0xe989f900,0x003f801f,0x7ecc05f9,0x20dfb86e,
    0x3e202fe9,0x54007f46,0x837ee00f,0x1ee02fe9,0x007fb000,0x7fffecc0,
    0x1d00299d,0x0000034c,0x0ff4c000,0x0077cc00,0xd302fb80,0x40fea00d,
    0x03f807d8,0xf9000fc8,0xb103f98d,0x2e1fe40f,0x00fa804f,0x1f6209f3,
    0x50002f88,0x7dc0005f,0xfffdaadf,0xd53b7006,0x00000007,0x001ba200,
    0x80001bf1,0x02000800,0x00fe0020,0x6f8005f7,0xf1008008,0x801ff10f,
    0x200200fa,0x0001fc00,0x67d40001,0x400df700,0x98002dda,0x2600aaaa,
    0x2000aaaa,0x00018000,0x00000100,0xd00fe000,0x00d9000d,0x904fb800,
    0x00fa807f,0x01fc0000,0xfe800000,0x00036c00,0xffff9800,0xffff104f,
    0x000000bf,0x3b260000,0x2001dfff,0xccccccc8,0x80fe000c,0x188001f8,
    0x3333332e,0x41cccccc,0x0df300fe,0x99910fa8,0x99999999,0xf0199999,
    0x99991007,0x40019999,0x018804f8,0x99999991,0xed880019,0x7e4c4019,
    0x9999970a,0x39999999,0x01666664,0x20799997,0xedbbdffb,0xed8800df,
    0x03fefeee,0x07a80fe0,0xdddd9000,0xdddddffd,0x3a02fcc5,0x4c3ea01f,
    0xeeeefeed,0xfeeeeeee,0xd8803f80,0x3fefeeee,0x000fe200,0xfddddb10,
    0xf30007fd,0x322f4005,0xeffeeeee,0xdb12eeee,0x76c07ddf,0x4fd84eff,
    0x0003bea0,0x801b27e6,0x001b203f,0x9009d000,0x04fc809f,0x01ee03ea,
    0x03f80fa8,0x0d93f300,0x0000ff80,0x0364fcc0,0xf5006d80,0x8013a003,
    0x09f1005e,0x3ea00bf2,0xf36c8005,0xd80fe003,0x74000005,0x403fe804,
    0x03ea06fb,0x0fa801ee,0xd90003f8,0xfa8007e6,0x3200001d,0x30003f36,
    0x00bd005f,0x7f300274,0x3e60db00,0x00bea003,0x802747f0,0x0017603f,
    0xf009d000,0x07fa805f,0x01ee03ea,0x04e80fa8,0x02747f00,0x2f7ffaa0,
    0x47f00009,0x0db0004e,0x3a001fa8,0x007e4004,0x01ba03f5,0xfa801fa0,
    0x1fc01ee0,0x00000bb0,0x7fc404e8,0x807fcc00,0x007b80fa,0x03f603e6,
    0x3dc1f500,0xffdb9800,0x3ea000df,0x4c001ee0,0x0017a01f,0x0bd0009d,
    0x17d413e2,0x8007d400,0x4017c46d,0x001b603f,0x9809d000,0x03ff007f,
    0x01ee03ea,0x33fa2030,0xf88db000,0xeb980002,0x88db001f,0x0bb0002f,
    0x9d0007ea,0xb07f3000,0x001ee01f,0x3f8802e8,0x03f805d8,0x000001ee,
    0x07f9809d,0x3ea03ff0,0x0b707b80,0x801ffd80,0x005d83f8,0x003f6200,
    0x00bb07f1,0x17a07e60,0x40013a00,0x80bea0fc,0x1360006c,0x3ea03ee0,
    0xf501fc00,0x74000003,0x007fc404,0x7d403fe2,0x0d907b80,0x8005fdc0,
    0x00fa80fb,0x00be2000,0x01f501f7,0x3f517600,0x0009d000,0x405e8af4,
    0x1b20004e,0x03f817a0,0x013a01fc,0x804e8000,0x3fcc01ff,0x5f701f50,
    0x00db5555,0x17a002f4,0x000403f8,0x40bd013a,0x3f30003f,0x4e8002f4,
    0x32be6000,0x001fc00f,0x2f880f70,0x07f01b20,0xb8002fa8,0x74027400,
    0x037d402f,0xfff701f5,0x400dffff,0x0be2003f,0x01f406c8,0x17c407f0,
    0x74000d90,0x20003f35,0x7e40004e,0x004e802f,0x0f701ee0,0x0fe01f98,
    0xd8003f60,0x4027401f,0x2fe403fd,0x0f701f50,0x03f801b2,0x3f301ee0,
    0x5c00ffc0,0x301ee01f,0x3e60003f,0x3a0006d9,0x2fc40004,0x20005d80,
    0x5577405c,0x4faaaaaa,0x3a200fe0,0x17f4402f,0x7dc02740,0x5017ec05,
    0x320f701f,0x800fe006,0xaaaaaaee,0x3fe04faa,0x013ee01e,0x555555dd,
    0x40009f55,0x20002fee,0x4e80004e,0x4000d900,0x3ffe603e,0xffffffff,
    0x2007f00f,0x510adfe8,0x3a003df9,0x407f8804,0x407d407f,0x4005307b,
    0xfff3003f,0xffffffff,0x3fb3e01f,0x4ffccbdf,0x7ffffcc0,0x0fffffff,
    0x00df3000,0x80004e80,0x01f5004e,0x6403f100,0x205f1006,0x7fdc003f,
    0x00cfffff,0x7e4013a0,0xa809f502,0x4007b80f,0x9003f849,0x40be200d,
    0xbffd951a,0x00d90037,0x4c000be2,0x2740002f,0x80274000,0xfc8004f8,
    0xd800fe00,0x20007f05,0x0001aec8,0x1be6009d,0x3ea00ff4,0x5c007b80,
    0x7f003f87,0x2002ec00,0x01fc004e,0x36000bb0,0x04e80006,0x2004e800,
    0x3e2001fb,0x8003ea05,0x003f80fa,0xd0000ee0,0x20ff4009,0x0fa806f9,
    0x3e4007b8,0x07d401fc,0x4001f500,0x03ea004e,0x4000fa80,0xe80002f9,
    0x04e80004,0xd8007740,0x0017600f,0x000fe0fe,0x0000dfa8,0x2fd4009d,
    0x3ea00bf6,0x64007b80,0x6c007cc7,0x003f8005,0x05d8013a,0x6c003f80,
    0x09d00006,0x8009d000,0x3a201ef9,0x00be202f,0x00fe1b20,0x4000f600,
    0x87f4004e,0x1f5006f8,0x7c800f70,0x3e201766,0x006c8002,0x17c4013a,
    0x30036400,0x3a00005f,0x04e80004,0x21bfe880,0x5102feb9,0x403557f9,
    0x0abfcaaa,0x00bfffff,0x803d359d,0xdfaaaaa9,0x300aaaaa,0x6c07ee7f,
    0x510fffff,0x55555fb5,0xfb555555,0xa8807bf6,0x201aabfc,0x0abfcaaa,
    0x2a201f40,0x201aabfc,0x0abfcaaa,0xfd999991,0x2a600999,0xaadfaaaa,
    0x55300aaa,0x5555bd55,0x3fff2001,0x2e01dfff,0x04ffffff,0x3ffffffa,
    0x07999991,0x007bd910,0xfffffffb,0x407fffff,0x6540531a,0x3fe64ccc,
    0xffffffff,0x57ffffff,0xffff7005,0x7ff409ff,0x4c01ffff,0x7fffdc00,
    0x3ffa04ff,0xdb11ffff,0xbddddddd,0xffffb001,0xffffffff,0x3fffee07,
    0x02ffffff,0x0055dcc0,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x30144000,0x0cc00003,0x40330020,0x224c000a,
    0x0000003a,0x40000800,0x9802a019,0x51002a01,0x00000cc0,0x4cc00000,
    0x88099999,0xfeb8003b,0xfb001884,0x003ff10b,0x6cc13e00,0x05ff102f,
    0x7b800df9,0x3260036c,0x800181ef,0x1cdffec9,0x20bfe200,0x3ff106fc,
    0xfd80df90,0x001ff885,0x883feb88,0xdf910001,0x09dddddd,0x74001ff7,
    0xb8befccf,0x0bfb005f,0x00003ff1,0x5df301f7,0x6417fc40,0x2364006f,
    0x3fe6005d,0xfd89dfeb,0x33bf2002,0x002ffdbb,0xdf905ff1,0x320bfe20,
    0x42fec06f,0xe8001ff8,0xb8befdcf,0xde88005f,0x3ee12e01,0x43b1001f,
    0x00dfffd8,0x06601510,0xc82f4000,0x54033006,0x3a364000,0xf50ee004,
    0x22007fff,0x13f202fe,0x01500cc0,0x801500cc,0x003300a8,0x7ec43b30,
    0xc8000dff,0xfb84b805,0xb980001f,0x00000002,0x3e03f500,0x00000003,
    0x0009d176,0x40017510,0x4fb801fd,0x00000000,0x00000000,0x8000ae60,
    0xa84a801e,0x040000ff,0x00020000,0x3f817a00,0x20000000,0x0001fc5d,
    0x01fa8000,0x00003ee0,0x00000000,0x00000000,0x08800f80,0x4000ffa8,
    0x1dfffec9,0xffec9800,0xa80001df,0x260fe02f,0x83cccccc,0x0ccccccc,
    0x407f13a0,0x5c03cccc,0x40cccccc,0x2fc4005e,0x99999991,0x99999999,
    0x33332e19,0xcccccccc,0xccccc881,0x10000ccc,0x99999999,0x02640001,
    0x800ff500,0xedbbdffb,0xff7000df,0x1bfdb77b,0x2036c000,0xefee983f,
    0xeeed84ee,0x93e00def,0x3bb602f8,0x3bb602ff,0x3ee0defe,0x31fb8001,
    0xddddfddb,0xfddddddd,0x3bbbbb21,0x2eeeeeff,0xfeeeed88,0xb10003fe,
    0x7fdfdddd,0xffda8800,0x0ff30003,0xf5027ec0,0x04fd801d,0x20003bea,
    0x01fc02f9,0x3dc001f3,0x0be23f80,0x401bfe60,0x006c80fa,0x0f705f10,
    0x3a007d40,0x4fcc0004,0x2600006c,0x6c006c9f,0x00de88ad,0xc803fcc0,
    0x05fa802f,0x3ea00bf2,0x806d8005,0x003e603f,0x999507b8,0x9bfb99bf,
    0xf5f30179,0xd01f5009,0x42740009,0x03ea007b,0xc80009d0,0x00003f36,
    0x800fcdb2,0x007f9069,0x7cc037c4,0x20bea003,0x3ea003f9,0x00fe2002,
    0x00f980fe,0x7fec1ee0,0xffffffff,0x9f981eff,0x07d400fb,0xbb0001fc,
    0x7d400f70,0x00027400,0x0004e8fe,0x802747f0,0x0bb66068,0x3a01be20,
    0xe87e8006,0x007e8006,0x0be601f2,0x2e000f98,0x2a1f9807,0xd1f9800f,
    0x440fa80b,0x1b20002f,0x0f9801ee,0x50002740,0x0003dc1f,0x00f707d4,
    0x37aa01ec,0x2a02fc00,0x0fa8002f,0x2a000bea,0x03f8800f,0x3e600fc8,
    0x201ee000,0x401ee1f9,0x405f51f9,0x003f80fa,0x01ee1b60,0x009d0030,
    0x0be236c0,0xf88db000,0x009d1002,0x02fc07f7,0x2e8001ee,0x2e8001ee,
    0x2a00fc80,0x07cc03fe,0xf500f700,0xf9803dc1,0x0fa81b61,0x3a0004e8,
    0x0b707b84,0x40013a00,0x005d83f8,0x1760fe20,0x401ed880,0x80bf05e8,
    0x9360006c,0x1360006c,0xfe809f10,0x007cc01f,0x8f500f70,0x43f3006c,
    0x01f503f8,0x1fc000bb,0x006c83dc,0x2e0009d0,0x000fa80f,0x1f501f70,
    0x00dfa800,0x201f41ec,0x9b20004e,0x1b20004e,0xd3001f70,0x000f980f,
    0x2aaa21ee,0xaedaaafd,0x83f300aa,0x80fa80fc,0x5f30007c,0x55555f70,
    0x13a000db,0x7f02f400,0xf817a000,0x3fc88003,0x00221a60,0x3dc0007f,
    0x3dc0007f,0xfa8017e0,0x8003e601,0xffffc87b,0xffffffff,0x883f303f,
    0x880fa85f,0x07d8003f,0xfffffff7,0x013a000d,0x6c80be20,0x202f8800,
    0x3620006c,0x0007881e,0x3dc0009d,0x3dc0009d,0x44003f50,0x003e603f,
    0x46c807b8,0x03f3005e,0x00fa83f5,0x7cc001f9,0x1b20f702,0x40027400,
    0x00fcc07b,0x3f301ee0,0x13fa8000,0x360007b5,0xd9720005,0x81720005,
    0x03f8005e,0x7b8003e6,0x02745d80,0x8dd01f98,0x0bf100fa,0x7b81ba20,
    0x3a000d90,0xaaee8004,0x4faaaaaa,0x55577400,0x04faaaaa,0xdffe8800,
    0x01b20003,0x01b23e80,0x3f503e80,0x4c07f000,0x01ee000f,0x2007f176,
    0x47f301f9,0x3bea00fa,0x807fa600,0x0005307b,0xff30013a,0xffffffff,
    0x3e6001ff,0xffffffff,0x00000fff,0xa800805d,0x1f88000f,0x220003ea,
    0x000dd01f,0x01f980fe,0x13a01ee0,0x07e6007f,0x01f50fc8,0x261bffa8,
    0x3dc00efb,0x9d012600,0x1006c800,0x01b2005f,0x002017c4,0x5ff9025c,
    0x40027c40,0x013e20fc,0x3e603f20,0x807f0002,0x01ba002f,0x002f893a,
    0xa7c403f3,0xfc9800fa,0x004fffff,0x07b800f7,0x0fe00274,0x7f005d80,
    0x3a02ec00,0xf305a800,0x1fb80dff,0x2e17e200,0x17e2001f,0x7f00036c,
    0xf1004c80,0x7c47f009,0x803f3002,0x000fa9fb,0x0006fbea,0x07c800f7,
    0x1f500274,0x2007d400,0x3ea000fa,0x3a003a00,0x017ffe03,0x7ec003ba,
    0x2001dd00,0x03f980fd,0xf500fe00,0x003f7003,0x800fcc5f,0xaee801f9,
    0x3bf7000f,0x3dc0c403,0x9d01f200,0x4002ec00,0x002ec03f,0x401d01fc,
    0x15c406d9,0x201ef980,0x3e602fe8,0x0bfa201e,0x360003ec,0x201ed805,
    0x2f8804fb,0x7cc007e6,0x0fdf9801,0x7fffec40,0xfdabdeff,0x64007b85,
    0x88027407,0x06c8002f,0x32000be2,0x3bbbba06,0x000dfeee,0x1bfe8800,
    0x200bfae6,0x2e61bfe8,0x07f102fe,0x802f9800,0xf9510bfd,0x987e200b,
    0x7dd4400f,0x3f202aac,0x6f7e400f,0xffecb9ab,0x3f6aa23e,0xaaaaaaaa,
    0x5537daaa,0x555bf555,0x3f2a2155,0x2aa01aab,0x510abfca,0x403557f9,
    0x0abfcaaa,0x4cccccc4,0x90000001,0x3bffffff,0xffffc800,0x3f201dff,
    0xefd80000,0x7fffec01,0x404003ff,0xffff9800,0x3fe206ff,0x08800800,
    0xffffff98,0xffffffff,0xffffb7ff,0xffffffff,0x3ffffee7,0x3fffa04f,
    0xfff71fff,0x7f409fff,0x001fffff,0x20000000,0x0000abb9,0x40055dcc,
    0x2200002d,0x3773000b,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x44000000,0x09999999,0x06f7b2a0,
    0x00000000,0x00c40000,0x50000000,0x31000001,0x40000000,0x22000002,
    0x00000001,0x71000150,0xfdc98005,0xeefeeeff,0xfdbff904,0x7dc4005f,
    0x7440002e,0x3e600004,0x40080005,0x077c00f9,0x0bf30000,0x0013a200,
    0x00000ef8,0x10002fd4,0xdf00009d,0x5fff8001,0x8aefc880,0xfd01a64b,
    0x003fc985,0x005b319b,0x03bfbea0,0x01bf5000,0x3ffb2600,0x01be21ce,
    0x00007fe6,0x200037ea,0x000efefa,0x0001ff98,0x0001bf70,0x003bfbea,
    0x001ff980,0x880dfff3,0xd325c4fe,0xfb00fd40,0x0698d100,0xe98dfc80,
    0xbf90002f,0x677e4000,0xfd3fedbb,0x0bfa2001,0x004fc800,0xfd31bf90,
    0x5fd10005,0x04fc8000,0x2637f200,0x220002fe,0xffb002fe,0xb85fb807,
    0x05e81a64,0x1a200fd4,0x3fe800d3,0x20027ec4,0xd10003fd,0x7ffe405f,
    0x1fec4001,0x001fec00,0x7ec43fe8,0x2fd88004,0x007fb000,0x3621ff40,
    0x3620004f,0x0011003f,0x4c9705fb,0xf001f706,0x3627b007,0x807a6002,
    0x0ba2006b,0x801fd800,0x320005fc,0x002e8005,0x35c03d30,0x000b9000,
    0xe98000ba,0x0001ae01,0xf0000172,0x34c9701f,0x09d006d8,0x007df910,
    0x00000000,0x3003f500,0x00001fdf,0x00000000,0x00000000,0x00000000,
    0x00000000,0x325c07fc,0x26013a0d,0x0002004e,0x00000000,0xe8805e80,
    0x00005e8e,0x00000000,0x00000000,0x00000000,0x00000000,0x992e0bfa,
    0x3aa07f06,0x00004fff,0xbdb75100,0xba880039,0xb801cded,0x70fd801f,
    0xecb9803f,0x5cc002bc,0x4002bcec,0x02bcecb9,0x37b6ea20,0xca88001c,
    0x88002bdd,0x802bddca,0x2a202aa9,0x01500aaa,0x4b81df70,0x20be21a6,
    0x04e9aefc,0x337b6ea2,0xfffb3001,0x01bfddbd,0xdefffd98,0x3200dfee,
    0x7c2fc806,0xbdffb103,0x8801dffd,0xffedeffd,0x7fec400e,0x00effede,
    0x37bfff66,0x7000dfee,0xdffdbfff,0x3ffee003,0x301effed,0x3601ffff,
    0x9d02ffff,0xb83bf600,0x07e61a64,0x984e87f7,0xeedefffd,0x5ed400df,
    0xa80bf501,0x0bf501bd,0x0fea0274,0x0bfea13a,0xfa817f54,0x05fd502f,
    0x7540bfea,0x037b502f,0x3f6017ea,0x03fe980c,0x74c067ec,0x1f73103f,
    0x817cccc0,0x3fee004f,0x21a64bad,0x7437c1f9,0x501bda84,0x2e0000bf,
    0xfb80002f,0x7c407f02,0x6f88bb05,0xf883fb00,0x883fb006,0x03fb006f,
    0x9017dc00,0x05f9005f,0x3f200bf2,0x4003ea02,0x800bf02f,0x264feca8,
    0x3e21f986,0x20004e83,0xf00002fb,0x13e00009,0x0ee80be2,0x00ed8d90,
    0x01db1b60,0x03b636c0,0x40006d80,0x007f504f,0x0fea07ec,0xf500fd80,
    0x7c0be001,0x325c0005,0x7c43f30d,0x40004e82,0x9d00004f,0x413a0000,
    0x403fb02f,0x000be66d,0x00be65f3,0x0be65f30,0x0005f300,0x005e8274,
    0x017a27c4,0x3ea09f10,0xf105f000,0x24b8000d,0x7c1f9869,0x40004e86,
    0x5531004e,0x4013a155,0xd0aaaa98,0x3ee13a09,0x0f527402,0x03d4fa00,
    0x00f53e80,0xa9880fa0,0x109d0aaa,0x4bb0005f,0x5d8002f8,0x3e001f50,
    0x0006f882,0xf30d325c,0x3a2dfa83,0x5554c404,0xea809d0a,0xffffffff,
    0x7ff5404f,0x4fffffff,0x04f98bb0,0x3bbf23f8,0xeeeeeeee,0xdf95feee,
    0xdddddddd,0x32bfdddd,0xeeeeeeef,0x5feeeeee,0xfffffea8,0xf984ffff,
    0x267b8001,0x07b8001f,0x0be001f5,0x70001fe6,0x17c434c9,0x7fffffdc,
    0xffffea80,0x204fffff,0x3109befd,0x7ec09f73,0x733109be,0x443f209f,
    0x22f9805f,0xeeeeeefc,0xeeeeeeee,0xdddddf94,0xdddddddd,0x3bbbf29d,
    0xeeeeeeee,0x77ec4eee,0xf733109b,0x0001f509,0x003ea1f5,0x3ea03ea0,
    0xf305f000,0x24b8000f,0x2207f069,0x6c0cccca,0x33109bef,0x0ff209f7,
    0x3fc82740,0x3e209d00,0xfb001fb3,0x40003dc1,0x7b80007b,0x07f90000,
    0x07e613a0,0x1f99f200,0xf507c800,0x2a0be001,0x2e0000ff,0x02741a64,
    0x2007f900,0x003f884e,0x00fe213a,0x33f204e8,0x42f9801f,0x4c0001f9,
    0x7cc0001f,0x1fc40001,0x0fe09d00,0x07f17600,0x3ea0bb00,0xf505f000,
    0x25c0001f,0x001f20d3,0x9d001fc4,0x74001f50,0x2000fa84,0x0ffe204e,
    0x2f41ba20,0x002f4000,0x20002f40,0x13a000fa,0x3e60036c,0x260036c3,
    0x001f503f,0x3ff505f1,0xd325c000,0x2000be60,0x13a000fa,0x7e4007ea,
    0x9001fa84,0x6ffcc09f,0x407fe600,0x4c0003f9,0x7cc0003f,0x07ea0003,
    0xf8827e40,0x221ba004,0x81ba004f,0x7f4402f9,0x001ffb82,0x206992e0,
    0x7d4000ed,0x109f9001,0xffe980bf,0x4c05f884,0xdd104ffe,0x5cc37ff5,
    0x1fe400ef,0x7e46ea80,0xc8dd5003,0x2dd5003f,0x7f4c05f8,0x013ee04f,
    0x3ee03fb1,0x00fec404,0x7fcc0bf1,0x01ffb82f,0x06992e00,0x64403be2,
    0xd3017e20,0x37ee09ff,0x3df9510a,0x7dc155bd,0xdf9510ad,0x6c155bd3,
    0xffffb10f,0x7dc009ff,0x3ae621ae,0xaefb81df,0x37fae621,0x21aefb81,
    0x21dfeb98,0x9510adfb,0x155bd3df,0x4c15df70,0x7dc02ffb,0x3fee60ae,
    0x11cfb802,0x59f3bfb7,0x00026c41,0x5406992e,0xfba9acff,0x856fdc0e,
    0xde9efca8,0x7ffdc0aa,0x3fa3ffff,0x7ffdc2ff,0x3fa3ffff,0x103f72ff,
    0x20003775,0xffffffe9,0x7f4c02ef,0x2effffff,0x7ffff4c0,0xf702efff,
    0x47ffffff,0xd302fffe,0x1bffffff,0x3fffa600,0x2000dfff,0x2ffffffd,
    0x0000fffe,0x47fbbbb2,0xb303eefd,0x019fffff,0x3fffffee,0x0bfffa3f,
    0x002aeea2,0x055dd440,0x00003100,0x2aee6200,0xbb988001,0xb988001a,
    0x751001ab,0x10000157,0x00013775,0x0026eea2,0x00565cc0,0x4cc40000,
    0x26662199,0x00099800,0x00157751,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x06200000,
    0x00001400,0x33310000,0x03333333,0x00000500,0x002aea00,0x00000400,
    0xccba8000,0x32a2001b,0xb980001b,0x4cccc1bc,0x99999999,0x59973009,
    0x0004c001,0xf0005f98,0x4400001d,0x7fec004e,0xffffffff,0x007f6003,
    0x30007ee0,0x005fd9fd,0x3bfff220,0xbdfb8002,0xea81b6a0,0x0cffeeff,
    0x7ffffcc0,0x7ec4003e,0xf32ffeff,0xffffffff,0xc885ffff,0x03ffeeff,
    0x002fff44,0x400037ea,0x80001ff9,0x000efefa,0x555555db,0xd1001555,
    0xfd88005f,0x5f1003fe,0x44001fa8,0x4ffcbdff,0x7f654400,0xfb03effe,
    0x40df703b,0x3f6a0dfa,0x37ff5002,0x2aafe618,0xbaaaaaaa,0x221ff42f,
    0x3ff204fc,0x9f9002ff,0x5fd10000,0x46fe4000,0x5d802fe9,0x3fd10000,
    0x72fe9800,0x05c801bf,0x0fe800b9,0x10017e44,0x05fdffb5,0x3e6017d4,
    0x7d40bf04,0x006fec00,0xf98007cc,0xfb803f21,0x5ffffb02,0x0007fb00,
    0x0017ec40,0x27ec1fec,0x20001760,0x54000ef9,0x0f7d40ef,0x01e205d0,
    0xdf103f98,0x7bff9100,0x00803f61,0x01f70f70,0x0fee06d8,0x3e400700,
    0x0db007f1,0x401bffe6,0x9000002e,0x01e98009,0x00bb01ae,0x0001b700,
    0x01ec409b,0x801e203d,0x01f200fa,0x36c02f22,0x20fcc000,0x82f9804e,
    0x000004f9,0x001f5274,0x0ae201f5,0x00000000,0x20000000,0x0000005d,
    0x5c800000,0x3dc00d70,0x80001ee0,0x7d40004e,0x4e801fc0,0x00000fe8,
    0x07b8be60,0x00003f30,0x00000000,0xbb000000,0x00000000,0x85f10000,
    0x1ee001f9,0x98800bd0,0x0017cc1a,0x02f88dd0,0x02f98f70,0x23dc0000,
    0x06b800f8,0x40555300,0x800aaaa8,0x02bddca8,0x2202aa98,0xbb00aaaa,
    0x4005554c,0x01aaaaa9,0x2aaaaa60,0x2fbea001,0x3dc003fe,0x5001fd88,
    0x3bfffffd,0x7d4001ba,0xf9003e83,0x00003d41,0x02742f40,0x7cc00274,
    0xffb00fff,0xffb805ff,0x01effedf,0x201ffff3,0xb02ffffd,0xffffff9d,
    0x7fffc01b,0x3fe004ff,0x4004ffff,0xb881bca8,0x75c7b81d,0xfd8802ff,
    0xfda989bd,0x26000fbc,0x00b904fc,0x42e43ff3,0x88000098,0x103fb82f,
    0x220003fb,0x26600fb9,0x33f602f9,0x103fe980,0x4cc01f73,0xbffb02f9,
    0x07fee237,0x274cccc4,0xd3333100,0x2e200009,0x8f702cfe,0x401effeb,
    0x6fd403fd,0x7ffec03f,0x007ea03f,0x72745fdd,0x003dfffb,0xfa807dc0,
    0x1efbaabe,0x406aaaa0,0x05f000fa,0x3f200bf2,0x4003ea02,0x8803302f,
    0x013a006e,0x40009d00,0x801cfeb9,0x13fa607b,0xf9800fdc,0x7f64c04f,
    0x03ba204f,0x5f17c76c,0x36a6b7f2,0x0bb0003f,0xffffffb8,0x3fffe601,
    0x2001f500,0x003fa82f,0x07d403f6,0x40002f80,0x09d003f9,0x4004e800,
    0x001cfeb9,0x1fd403dc,0xf90013e2,0x0dfa800b,0x5115dd10,0xaf8fe1fd,
    0x03f902fb,0x2a03f880,0xeeba9bdf,0x07fff900,0x2f8007d4,0x7c4005e8,
    0x2001f504,0x5d80002f,0x80009d00,0xeec8804e,0x1ee0001c,0x1f50fdc0,
    0x006f8800,0xd300ee98,0x223bffff,0x00bf7a2f,0x0fa800dd,0x7e405f70,
    0x406ffe81,0x85f000fa,0x5d8002f8,0x3e001f50,0x07c80002,0xe80009d0,
    0x501ba804,0x7b8017b9,0x07b93a00,0x2000df00,0x554402f8,0xbfb17d40,
    0x4003f300,0x007f106d,0x1fff98db,0xf8007d40,0x4000fcc2,0x001f507b,
    0x2a0000be,0x0009d007,0x220004e8,0x01eebcfd,0x26c801ee,0x0bb0005c,
    0x0002f400,0x007dc1f7,0x7f0017c4,0x7c401ae0,0x2017fee0,0x85f000fa,
    0xfa8000fa,0xf000fa80,0x0f700005,0xd00013a0,0x42e40009,0x801ee06b,
    0x000f70fa,0x7b80013e,0xd51ba000,0x9801fc00,0x400bb01f,0x003ffa3f,
    0x17c003ea,0x320007e6,0x2001f507,0x6d80002f,0x80009d00,0x3f10004e,
    0x03dc0ba0,0x07ea1f50,0x0007f300,0xfb8003dc,0x4400fcc3,0x40d9002f,
    0x453a004e,0x1f5003ff,0x0fe0be00,0x7d417600,0x0005f000,0x9d004f88,
    0x004e8000,0x825c0d30,0x7c81447b,0xf70013e2,0x02ec0001,0x3f82fc40,
    0xd001f980,0x88036409,0x400df52f,0x2f8800fa,0x7cc006d8,0x1001f503,
    0x000c985f,0x13a001f9,0x0009d000,0x704c81e6,0x6e80fa8f,0xf98017dc,
    0x5f500044,0x00fe8800,0x06d801f7,0x7d403f30,0xb10fc802,0x017cc001,
    0x3e20bfa2,0x981ba004,0x17f4402f,0xf700bbe6,0x00274007,0xf80013a0,
    0xf702f882,0x1fcc2f88,0x3e601fec,0x0033ee0f,0xfa800bf5,0x817e201f,
    0x0f7002fa,0x7d403fb0,0x2fc40003,0x205fff30,0x7ec404fb,0x9817e201,
    0xfe982fff,0xbfb310ad,0x0004e800,0xd7000274,0x2a22ecc5,0x3b60afca,
    0x3620dd31,0xf9510adf,0x57ff703d,0x037f6621,0x7edcc46a,0xaef9800d,
    0x4009f930,0xbfe8804e,0x00bfb311,0x4473ee00,0xacf9dfdb,0x20aefb80,
    0xb802ffb9,0xbfb711cf,0xb70159f3,0x05ffffff,0x2aaaaaa2,0xaaaaaade,
    0x55555510,0x555555bd,0xfbdf7001,0xffff981b,0x3fff662f,0x7ffd400e,
    0x4404ffff,0xffffffec,0x3ffffa02,0x64c002df,0x003fffff,0xff7000fc,
    0x0005ffff,0xfffffd80,0x40fffe2f,0xffffffe9,0x3ff6000d,0x3fe2ffff,
    0x0d5cc03f,0x3ffffee0,0xffffffff,0xfffff72f,0xffffffff,0x2a62005f,
    0x2b980000,0x0d5d4400,0x0d5d4400,0x000ab880,0x00137300,0x2e620000,
    0x2000001a,0x0000acb9,0x004ddd44,0x00acb980,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2b32a200,0x20001000,0x00001998,0x01998800,0x73000540,0x0e600000,
    0x03b80000,0x554c0391,0x2aaaa202,0x00010000,0x980004c0,0x00000acb,
    0x20039950,0x1fffeffb,0x2001fd40,0x001ffff8,0x3fe60000,0x13a000ff,
    0x00ddfb50,0x377ed400,0xff980000,0xf307fc82,0x7fec0fff,0xb73002ff,
    0x0179dffd,0x84ffeb80,0xadfd880b,0x400004ec,0x400ffffb,0x3f660cfc,
    0x0027e402,0x0007eea6,0xf9530000,0x20274001,0x0006a8aa,0x01aa2aa0,
    0x0ff44000,0x73102fd4,0x2f99980f,0x8abdfc80,0x001eeca9,0x7ff93bf7,
    0x15103fd5,0x00000f88,0x807ffff2,0x03f605f9,0x3000bf70,0x0000003f,
    0xe8003ea0,0x001aa004,0x00035400,0x20010000,0x80be007a,0xfb801ee9,
    0x6c419804,0xe8001eff,0x36200003,0x036c04ff,0x3ea00fe6,0x07e6000e,
    0x54000000,0x013a000f,0x000006a8,0x000000d5,0x00f50000,0x03f8817c,
    0x0002f440,0x3ea00031,0x00000001,0x0dd007f3,0x9800fe60,0x0000001f,
    0x7c001f50,0x001aa004,0x001aa010,0x00000010,0x817c00f5,0x2666664e,
    0x0007d100,0x3ffaa000,0x00008001,0xf5001f70,0x26000003,0x0000001f,
    0xd9801f50,0x289cffff,0x2a000d50,0x000d506e,0xa880bf22,0x2002bddc,
    0x20be007a,0x333b266b,0x0f982ddc,0x37b6ea20,0x36a2001c,0x3f62004f,
    0x06c80000,0x00005f30,0xb7307e60,0xa880037b,0x07d41bdd,0x7337df70,
    0x1aa0dffb,0x01dfb100,0x3aa001aa,0x3ffee03f,0x801effed,0x10be007a,
    0xd881b03f,0xfd985c81,0xdfeedeff,0x804e8000,0x00002ffb,0x0fe200bb,
    0x03555553,0xff51f980,0x01bffdbf,0xfdeffe88,0x201f51ff,0x1bea03fb,
    0xff500354,0x2006a807,0x3600dfd8,0x3fe980cf,0x5f003d40,0x101b05a8,
    0x7b50f30b,0x0017ea03,0xcfe981ea,0xe8037000,0xff13e004,0x8009ffff,
    0x80dfa9f9,0xdd101ffa,0xf55fb105,0xb007f101,0x2201aa0d,0x6a800dfd,
    0x807ff500,0x2fc802fc,0x2f801ea0,0x880d8264,0x20001f05,0x2e4002fb,
    0x4001efb8,0x001fc03e,0x9999889d,0x6fcc004e,0x4374403f,0x7dc00de8,
    0x006c80fd,0x701aa053,0x354005ff,0x0037f620,0x7ec007f5,0x7c00f500,
    0x40d816c2,0x005d02d8,0x05e427c0,0x9fd307ea,0xf013e000,0x40274007,
    0x7fcc004e,0xd89f3004,0x1ffb000f,0x36000bb0,0x1eeefeee,0xb511bfb1,
    0xfeeed817,0x3fee1eee,0xbd033222,0x504f8800,0x85f1001f,0xd999b01f,
    0x001e403d,0xdfb309d0,0xefc85bdb,0xd5013221,0x003f807f,0x013a013a,
    0x4001df30,0x800be0fb,0x04e80ff8,0x26666600,0x2e5df709,0x4c5eb9be,
    0xd1099999,0x1fed81bf,0x36000be2,0x8805f505,0xd81742fe,0x6c03d99a,
    0x2aaa6203,0x29809d0a,0xed83fea8,0x1dffa80f,0x3a003f80,0x4004e804,
    0x7cc004f9,0xfb000f31,0x0000bd01,0x7c49fd30,0xf7002e81,0x3f3f505d,
    0x5c000fcc,0x540bf507,0x81e42fff,0x3f02640d,0xfffffd50,0x8009ffff,
    0xfb80dfd8,0x06fe40f9,0x74009d00,0x4004e804,0x3f8003f9,0x1f7000d7,
    0x80000d90,0x81441efc,0x27f4c06b,0x21f8af88,0xfa8000fa,0x31cffa80,
    0x59f3bfb7,0x406c16e1,0x6c0f882d,0x33109bef,0x7d4009f7,0xf35f103f,
    0x4001fcc1,0x00fe006d,0x5f30013a,0x1769d000,0x2603ea00,0xe980003f,
    0x04d8004f,0x5d807bf2,0x00fcc3f1,0xcfa83e40,0x22fffffe,0x01f33fff,
    0xd50d101b,0x9d003fc8,0x01bfb100,0x320f9a6c,0x00f90007,0x13a007e2,
    0x0007f300,0x2001ae5f,0x05f900fc,0x3df905b8,0x101d9000,0x0fa807fd,
    0x003f83f1,0x4cf505d8,0x936000ab,0xca82bea8,0x1fc45f11,0xfa809d00,
    0x987dc02f,0x40013a0f,0x0fb800fb,0x4c004e80,0x8fcc004f,0x7ec000f9,
    0x22b7f600,0xb03ffb98,0x03b60007,0x3e200ed4,0x0db07e22,0xf503f980,
    0x25f10000,0xc80cccc8,0x00fa8bb3,0x199013a0,0x3e62f880,0x440013a0,
    0x006e804f,0xff98009d,0x7f1f2000,0x007fcc00,0x37ffffae,0x4400000b,
    0xdb00005e,0x885f3333,0x81ba004f,0xf500007a,0x81f70003,0x9f9001fa,
    0x27760000,0x1b21fa99,0x03f62dc0,0x9d002f98,0x05ff9800,0x1fc85f50,
    0x001ffd00,0x000037e2,0x000274c0,0xfdddddb0,0x404fb85d,0x1ea01fd8,
    0x03fb8000,0xf103db10,0x4ffe980b,0xdddd0000,0x3e63dfdd,0x7cc6c803,
    0x400df104,0x67cc004e,0x82fd404f,0x3f6201ed,0x13a000fc,0x17d40000,
    0x7c400000,0x415df701,0x5402ffb9,0x74c00007,0x4fb980ae,0x8856fdc0,
    0xade9efca,0x4c00000a,0x8827e40f,0xadfb86eb,0x001fea88,0x5d54013a,
    0x20aef99f,0x3600dfc9,0x3baa21cf,0x802abfa8,0xc800004e,0x0004881e,
    0xd300fc40,0x1bffffff,0x0000f500,0x3bbffb20,0xf7002dff,0x47ffffff,
    0x0002fffe,0x7e407cc0,0xdffeccdf,0xfffff501,0x5555101d,0x5555bd55,
    0x3ffe2155,0xffffb11f,0x3b2007ff,0x50dfffff,0x9d00dfff,0xfff00000,
    0x00ffffff,0x3fffe200,0x4ddd4401,0x00122000,0x02aa6000,0x55dd4400,
    0x20000000,0x981ffff9,0x00bceedc,0x5c015730,0xffffffff,0x02ffffff,
    0x000ddcc0,0x0001bb88,0x000005b0,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x17500001,0x4c005910,
    0x0e4c0000,0x175003b8,0x64c05710,0xcccccccc,0xcccccccc,0x10002002,
    0x20000333,0x00000998,0x02b3b2a2,0x31003555,0x57973000,0x0ccc0001,
    0x5cc00130,0x0bceffed,0x20ffe200,0xfeb807fc,0xe800b84f,0x02ff985f,
    0x7dc1ffc4,0x0001700f,0x7f64c090,0x7d401dff,0xb80007ff,0x00006fff,
    0xffdbfff5,0x07fffe29,0x8013fae2,0xfffefff9,0xfffa8002,0x02fff440,
    0x4c55efe4,0x2001eeca,0x06fa81fe,0x7fe4efdc,0xc801feab,0x00ff883f,
    0x6f982fe8,0x200002e0,0x77bff704,0x5401bfdb,0x880007da,0x80006daa,
    0xdfa80dfc,0x2e209bf9,0x004fdffe,0x6c417df5,0x66f4003f,0x7fffe40f,
    0x003dd302,0x004009f7,0xd8835001,0x02001eff,0x02008000,0x90000170,
    0x7d409fb0,0x003dc00e,0x0001b200,0xee8809f3,0x0adfe82f,0x0bf5009d,
    0xf7001fb8,0xffd81f51,0x03f882ff,0x0002f440,0x00c40000,0x00000000,
    0x00001700,0xa802fc89,0x003dc05f,0x0001b200,0x3fe600dd,0x009d0082,
    0x0db001fb,0x03ea9f10,0x3a0dfff3,0x32bca884,0x00001f44,0x00000000,
    0x20000000,0x2480000b,0x3ea003f9,0x0001ee02,0x54000d90,0x0bf2001f,
    0x7c404e80,0x801f5002,0x101f50fc,0x2a1ae057,0x0dddb9df,0x973003e6,
    0x8800579d,0x802bddca,0x2a202aa9,0x54400aaa,0x401cdedb,0x2480000b,
    0x07e8006e,0x900001ee,0x03dc000d,0xe800bea0,0x26001804,0xa8fe601f,
    0x0fc4000f,0x03ea03a2,0x3ff620b9,0x00effede,0xfedfffb8,0xfff301ef,
    0x3fff601f,0xfffb302f,0x01bfddbd,0x5200002e,0xfa8002fa,0x6544f700,
    0x32000bce,0xaaaaa886,0x26002ec1,0x013a002f,0x403f5000,0x0007d46e,
    0xd806e16a,0x7fd43cc0,0x405fd502,0xfe980cfd,0x01f73103,0xa817cccc,
    0x0bf501bd,0x5200002e,0x0ba0007b,0xdfff9bdc,0xd9002ffe,0xffffff70,
    0x7cc006c8,0x0013a002,0x7d40fb00,0x20007d41,0xf000484c,0xd8037c41,
    0x802fc81f,0x03ea02fc,0x200017c0,0x000b82fb,0x000d9480,0xfbfb826c,
    0x017e441c,0x9efb8364,0x2003dc09,0x13a002fb,0x02fa8000,0x003ea17a,
    0x004985b0,0x0076c5d0,0x03fa8db0,0x7d403f60,0x0005f000,0x001709f0,
    0x0013a900,0x7ff706c8,0x6c806f80,0x2600dfa8,0x0bf6001f,0x00004e80,
    0x07dc0bf3,0x3e0007d4,0xc80024c1,0x98005f33,0x10017a2f,0x003ea09f,
    0x7400017c,0x80000b84,0x5c0007f4,0x7009f707,0x646c801f,0x00dd004f,
    0xe800bfea,0x6f980004,0x7d413e20,0x85d01100,0x27b00049,0x27d0007a,
    0x5d8002f8,0x3e001f50,0xaaa98802,0x01709d0a,0x013a9000,0x0f707b80,
    0xd900be20,0xf1001fec,0x7efcc01b,0x0013a002,0x6c01df30,0xd103ea07,
    0x683c8bff,0x3f23f000,0xeeeeeeee,0x35feeeee,0x0f70003f,0x17c003ea,
    0xfffffd50,0x1709ffff,0x17690000,0xf705c800,0x900be200,0x0005fd1d,
    0x64c15df5,0x2002f8cf,0x3e60004e,0x80be600e,0x7ffe40fa,0x0b216e2f,
    0xf90f8810,0xdddddddd,0x29dddddd,0xfa8000fa,0xf000fa80,0x26fbf605,
    0x09f73310,0x29000017,0x0fa0006c,0x2f8803dc,0x07ff7e40,0xfffe8800,
    0x05f13fff,0x98002740,0x037400df,0xfffb03ea,0x6c07cc5f,0x3541e881,
    0xf30000f7,0x20f90003,0x05f000fa,0x13a007f9,0x5200002e,0xf88000fa,
    0x2200f701,0x4f7e402f,0x260000ee,0x17c41bca,0x50009d00,0x9bf300bf,
    0xfb999999,0x3ffe6199,0xbe884d87,0x7c42db99,0x00007e62,0x176000fe,
    0x2f8007d4,0x9d001fc4,0x90000170,0x320013e2,0x200f700f,0x136402f8,
    0x000001dd,0x4e800be2,0x802fd400,0xeeeeeee8,0x20defeee,0x05f102b8,
    0x2ec02ee6,0x6c0002f4,0x81fcc006,0x2f8800fa,0x9d0007d4,0x90000170,
    0xf1000fdc,0x8803dc0b,0x2236402f,0x800000ee,0x13a001f9,0x0005fb80,
    0x0000fa80,0xf70003f5,0x0007f301,0x3a004f88,0x100be606,0x01fa85fd,
    0x01709f90,0x0ee89000,0x5c01fb00,0x805f1007,0x00ee886c,0x003dc000,
    0x27dc013a,0x0fa80000,0x00fee000,0xf900f6c4,0x71baa007,0x1fd8809f,
    0xf9817e20,0x02fc42ff,0x2e13ffa6,0x4c480000,0x3fa201ef,0x8803dc02,
    0x8836402f,0x300000ee,0x04e800bf,0x00004fb8,0x00003ea0,0x73015dd3,
    0x3bee009f,0x3fae621a,0x0aefb81d,0x200bfee6,0xfb711cfb,0x5c159f3b,
    0xf9510adf,0x2155bd3d,0x8480000b,0x2e61bfe8,0x07b802fe,0x6c805f10,
    0x0003ba20,0x8001df30,0x01fe404e,0xfa8003f0,0xfd900000,0x05bffddf,
    0xffffe980,0x4c02efff,0xdffffffe,0x3fff6000,0x3ffe2fff,0x7ffffdc3,
    0x3fffa3ff,0x90000172,0x7ffffe40,0x6d5401df,0xba980aaf,0x2aa22acf,
    0x3bf2a06d,0x999500aa,0x401bffb9,0xdfaaaaa9,0xbf0aaaaa,0x55555555,
    0x5005f755,0x0057f955,0x00aa9800,0xabb98800,0xbba88001,0x97300009,
    0x75100015,0x65c00157,0xcccccccc,0xcccccccc,0x0abb9804,0xffffe880,
    0xffffc83f,0x1bffea6f,0x3fffffe8,0x9ddddd70,0xffffb005,0xffffffff,
    0x3fffffe7,0xffffffff,0xffffe802,0x000001ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x18800000,
    0x0aaaa980,0x02aaaa60,0x2a600080,0x372a20aa,0x998800ac,0x00000999,
    0x3f200022,0x00040004,0xa8000100,0x220abddb,0x33261aaa,0xcc83cccc,
    0x000ccccc,0x13000037,0x2f2e2000,0xfffeb880,0xfff983ef,0xfff104ff,
    0x6dc40bff,0x8a63deff,0xf71ffff8,0x1dffdbdf,0x7fffffc0,0x7ec40004,
    0x01deffff,0x540027e4,0x51defffe,0xffca8803,0x40731def,0xfedeffe9,
    0x4ffff52f,0x4eeefee9,0xdefeeed8,0x0009d000,0x5c27ff5c,0xd77bf700,
    0x55effe4d,0x440dfdba,0x4c4019ed,0xffb00afc,0x3dfb957b,0x9fa988d9,
    0xefa80cfc,0xf5555300,0x7fd40009,0x2dccaabd,0x10027e40,0xd9557bfd,
    0x7ec09d9f,0xffecacef,0x3df706dd,0x3f57fb10,0x001f3013,0x274003dc,
    0xc9dfb800,0x01feabff,0x37e7d017,0x2617ea00,0x817a002f,0x3f6602fc,
    0x3fdf306e,0x000ed880,0x3e20009d,0x7e40000e,0x807fa004,0xfe884ffb,
    0x1ffea00b,0x3ea017e6,0x03e600fe,0xe8007b80,0x88330004,0x8001effd,
    0xf7007f5b,0x2a00db05,0x001f901f,0x7fcc1bf2,0x00bf1003,0x7d40013a,
    0x80000002,0x4fd801fb,0xf1001fd8,0x6400dd0f,0x03e600ff,0xe8007b80,
    0x18800004,0x3a7d1000,0xf309f002,0x2e0bd005,0x837c002f,0x3d4006f9,
    0x90004e80,0x0000000d,0x27cc0176,0xd9000fea,0x74001f98,0x003e600f,
    0x4e8007b8,0x80000000,0x0003fed9,0x501b60bb,0x001ba03f,0x01fcc1b2,
    0x3a007e20,0x00d90004,0x13a00000,0x036c3d80,0x01ee14c0,0xf9803f20,
    0x001ee000,0xaa88013a,0x0566e542,0x01bd9300,0x3e60bb00,0x7c417a01,
    0x30188001,0x07f0005f,0x2a2009d0,0xaaaafdaa,0x55300aaa,0x36003555,
    0x01fc0005,0x8006c800,0x03e600fb,0xe8007b80,0x5fff2004,0xfffdffe9,
    0x006d8002,0x0bb017c4,0x03d407ea,0x017cc000,0x27401fc0,0xfffffd80,
    0x5fffffff,0xffffff88,0x003f7004,0x00007e60,0x7dc00364,0x8003e600,
    0x5555507b,0x5555bf55,0x7f730555,0x2fda83bf,0x800fc400,0x0fcc07e9,
    0x00d902f4,0x009f3000,0x4e802f88,0x3b666600,0x01999999,0x13a66662,
    0x8002fe80,0x2a00007b,0x07ec000f,0x5c001f30,0xfffff987,0xffffffff,
    0xffa80fff,0x20037404,0xefb88079,0x7d45d801,0x00017601,0x7001be60,
    0x009d001f,0x80001b20,0x3f22004e,0x6c009bdf,0x3e600005,0x03fe2002,
    0x2e000f98,0x004e8007,0xfb805fa8,0x3a60ddc0,0x33ff2203,0x743f3000,
    0x0002ec05,0x8027fcc0,0x09d004f9,0x0001b200,0xb88004e8,0x81cefffd,
    0x6c00005d,0x1ffb000f,0x70007cc0,0x009d000f,0xf1001f50,0xedffc885,
    0x067ec03d,0x1f9af400,0x00002ec0,0x201fefcc,0x13a006e9,0x00036400,
    0x100009d0,0x5d85fd95,0x99999980,0x0077c409,0x9803f7f2,0x01ee000f,
    0x2a0013a0,0x405f1007,0x0bb000a8,0x36cfcc00,0x000036c0,0x4f7dcfcc,
    0x007bee60,0xd90004e8,0x02740000,0x91fe4000,0xffffc80d,0x7cc2ffff,
    0x3faa21bf,0x3e600faa,0x001ee000,0x1ea0013a,0x00017c40,0xe8000b90,
    0x07b802fe,0x31f98000,0x9ffffffd,0x0009d000,0xe80001b2,0xd9000004,
    0x2aa203dc,0x102fdaaa,0xdffffff9,0xf9803ea3,0x001ee001,0x1ea0013a,
    0x13017c40,0x00004400,0x7d401be6,0x7cc00001,0x04de5441,0x0004e800,
    0x740000d9,0xf3000004,0x20003ea1,0xbba8807c,0x2007d40a,0x01ba002f,
    0x2a0013a0,0x405f1007,0x0000002c,0x9d0017cc,0x1f980000,0x13a00000,
    0x00036400,0x099009d0,0x5f12f880,0x000f9000,0x99003ea0,0x0013e200,
    0x1ea0013a,0x79017c40,0xd8000000,0x017d4006,0x0fcc05c0,0x09d00000,
    0x0001b200,0x07d804e8,0x1fb0fcc0,0x0007c800,0xfa801f50,0x001fb801,
    0x7a8004e8,0x5c05f100,0x0011004f,0x40017cc0,0x3f6000fd,0x0001f981,
    0x40013a00,0x3a00006c,0x002fd804,0x00bf11f6,0x500007c8,0x03db001f,
    0x980027dc,0x007a8000,0x05b005f1,0x0077ff44,0x880036c0,0x7f4402fe,
    0x0003f302,0x80027400,0x3a00006c,0x01ffd804,0xdfa82fb8,0x000f9000,
    0x6c003ea0,0xbf9510bf,0x50000000,0x10be200f,0x401d559d,0x003ffffa,
    0x100017cc,0x2a215bfd,0x3e601efc,0x3a000001,0x00d90004,0x6c027400,
    0x2209dfce,0x3a604fea,0x75cc1acf,0xf500006f,0x7ffec001,0x54403fff,
    0xaaaaaacb,0x42aaaaaa,0x01abfcaa,0x4c159f75,0x7cc02dec,0x99101fff,
    0x999fd999,0x7ffdc000,0x900cffff,0x5999bfb9,0xaaaa8800,0xaaaadfaa,
    0x2aaaa0aa,0xaaaaaafd,0xaaaaa882,0xaaaaadea,0x3fea970a,0x02efffff,
    0xffffff90,0x40003bff,0xccfdcccb,0x26ee6003,0xffffa800,0xffffffff,
    0x3fa0ffff,0xf983ffff,0x0002ffff,0xb100e64c,0xdddddddd,0xa880001b,
    0x76c401ab,0x03eeeeee,0x7ffffdc0,0xffffffff,0xfffff11f,0xffffffff,
    0xfffffb83,0xffffffff,0x2eea202f,0x7310001a,0x00001359,0xddddddd9,
    0x0000000b,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x501c8800,0x6dd40017,
    0x20021bce,0xccccccc9,0x2004cccc,0x00530000,0x16666640,0x27999970,
    0xccccccc9,0xcccccccc,0x3333320c,0xcccccccc,0xc880cccc,0x0ccccccc,
    0x22000000,0xcccccccc,0x2a00accc,0xcccccccc,0xccc8802c,0xcccb83cc,
    0x6fd800cc,0x9803ff88,0xffedeffe,0x75403e8d,0xeffeeeee,0xffc805ee,
    0x1b6001cf,0x77f6c400,0x3ffb603e,0xddddf74e,0xddddffdd,0x776c1fdd,
    0xeeeeeeef,0x80feeeee,0xefeeeed8,0x3220003f,0x980cbefe,0xeeeefeed,
    0x704ffeee,0xddddffdd,0xfdb1005d,0xfddb09dd,0x9f7001bd,0xf7007fa0,
    0x3ffaa03b,0x013a0004,0xdbaefe88,0x00db004f,0x2200bd00,0x9d03dc4f,
    0x3e603ea0,0x003ea001,0x00364fcc,0xdfb7bff0,0xb807b801,0x0027405f,
    0xf8803dc0,0x02004002,0xd1007f30,0x2740009f,0xf703f900,0x000db005,
    0xdb007f30,0x82740f70,0x01f980fa,0x64003ea0,0x70003f36,0xf700183f,
    0xe80fee00,0x07b80004,0x00005f10,0x2005e800,0x3a0004f9,0x40bf1004,
    0x006d8009,0x5401f900,0x3a07b81f,0xf301f504,0x007d4003,0x0013a3f8,
    0x7b80013a,0xde81ba00,0x009aaaaa,0x3e200f70,0x20000002,0x174001fa,
    0x2009d000,0x530002f9,0x55555dd5,0xd1001555,0x5c13e20b,0x7d413a07,
    0x2001f980,0x0fa800fa,0x5f1001ee,0x003dc000,0x7fff40f7,0x02ffffff,
    0x2f8803dc,0x55554c00,0x006c801a,0x04e80000,0x30001f50,0xffffffff,
    0x00bfffff,0x03b60bea,0x209d03dc,0x01f980fa,0x46d800c0,0x1fc002f8,
    0x400f7000,0x4c13a06d,0x1ee05fda,0x20017c40,0x04ffffff,0x000004d8,
    0xf1004e80,0x26620005,0x999999ed,0x07e40019,0x02cc05f5,0x4c1a209d,
    0x0007981f,0x01760fe2,0x5c000f90,0x409f1007,0x04fa804e,0x0be200f7,
    0xd3333100,0x0007f009,0x009d0000,0x6c00027c,0x7c400006,0x80009f15,
    0x1f98004e,0x70000fa8,0x001f501f,0xb8001fc4,0x00ef9807,0x0fdc013a,
    0x2f8803dc,0x804e8000,0x0000005e,0x1b2004e8,0x001b6000,0x3f6bea00,
    0x02740000,0x55567cc0,0xd0000fca,0x2001fc0b,0xfb8000fd,0xfdbaaaaa,
    0x027400df,0x55f707f0,0x75555555,0x9d00005f,0x0000d900,0x4c09d000,
    0xcccfdccc,0x036c001c,0x2ffd8000,0x004e8000,0xffffff98,0xf88000ff,
    0x4401b202,0x01885ffe,0x3fffffee,0x400dffff,0x213a004e,0xfffffffb,
    0x002fffff,0xfa804e80,0x00040001,0xfffc813a,0x03ffffff,0x400036c0,
    0xfffffff9,0x8007ffff,0x1f98004e,0xb8000fa8,0x200fcc07,0x42fa9efa,
    0x40f707fc,0x202fdba9,0x20fe004e,0x05f1007b,0x2009d000,0x8ecc006e,
    0x013a002e,0xd80007f0,0x3a000006,0x09d00004,0xf503f300,0x55dd0001,
    0x9f555555,0x076c5d80,0x01ee03bf,0x09d04fb8,0x1ee07ea0,0x00017c40,
    0xdf980274,0xf0efc800,0x00274007,0xdb00013a,0x27400000,0x004e8000,
    0x03881f98,0xfffff980,0x0fffffff,0x4f885f10,0x03dc03f5,0x02741ee0,
    0x07b82fd4,0x00005f10,0x7fd4009d,0x3fae621b,0xe800fe0d,0x00274004,
    0x40001b60,0x9de99999,0xe8001999,0x01f98004,0x401b2000,0x01f502f8,
    0xb80d93f7,0x417c4007,0x3bee604e,0x2200f700,0x4e80002f,0x7ffec400,
    0xf81dffff,0x0013e003,0x6d80007f,0xeee98000,0xeeeeffee,0x004e8005,
    0x00001f98,0x05d800fe,0x3fba03f5,0x4003dc03,0xeeefe84e,0x00cfffee,
    0x17c401ee,0x00274000,0x09add988,0x7cc00fe0,0x007e2002,0x0000db00,
    0x80002740,0x1f98004e,0x01f50000,0x7cc07d40,0x801ff304,0x17c4007b,
    0x6f7777f4,0x07b800bc,0x00005f10,0x2c80009d,0x32009f00,0x03ee000f,
    0x007c8040,0x0013a000,0x4c002740,0xbb00001f,0x3a07f000,0x00ffb80f,
    0x3f2003dc,0x80004e80,0x05f1007b,0x0009d000,0xfc804fb8,0x00bee00d,
    0xd7004f88,0x2600fea0,0x00274003,0x98004e80,0xf880001f,0x106c8002,
    0x9f7117ff,0x1ee055dd,0x9d03fc80,0x00f70000,0x20000be2,0x5b00004e,
    0x237df500,0x4004fca8,0x09d000fc,0x7310e7f4,0xaaa80dfd,0x01aaadfa,
    0xdfaaaa98,0x5500aaaa,0x555559f7,0x2ff2a200,0x2aaa01aa,0x74c0abfc,
    0xff34ffff,0x57ed544d,0xdbaaaaaa,0x7554c3ff,0x01aaaaad,0x2aafcaa8,
    0x2acfbaa8,0x55555440,0xaaaaadea,0x559d100a,0x3f62001d,0x002fffff,
    0x2aabbfaa,0xfebaaaaa,0x3fff6200,0x802dffff,0xfffffffe,0xfffb804f,
    0x1fffffff,0xfffffe88,0xb801ffff,0x04ffffff,0x3ffffffa,0x00157301,
    0xfffffff3,0x37bfffff,0xffffff90,0xfd007fff,0xfd0dffff,0xb80dffff,
    0xffffffff,0x02ffffff,0x000b7b26,0x0004ddcc,0x3ffffff6,0x1dffffff,
    0x35775100,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x99999100,0x00379999,0x40599999,0x643ccccc,
    0xcccccccc,0xcccb801b,0xcccccccc,0x9999501c,0x99999999,0x66545999,
    0x2e02cccc,0x20cccccc,0xccccccca,0x640ccccc,0x2e02cccc,0x9953cccc,
    0x59999999,0x99999100,0x33322099,0x33323ccc,0x6665c03c,0x33320ccc,
    0x332a002c,0x0666624c,0x7777f6cc,0x03fffeee,0x07ddffb1,0x2277f76c,
    0xeeeeefed,0x3204fffe,0xeffeeeee,0xd702eeee,0xddfddfdd,0x49fddddd,
    0x3eeefeeb,0x3bfbbb60,0x3bbbf21e,0xfeeeeeee,0x3bbfb621,0x3bffb603,
    0xdfdddd54,0xb1007ddd,0x20bdddff,0x4efeeed9,0x80bffbb6,0x0defeeed,
    0x00dffdb1,0xf52f7ffc,0x7cc01fff,0x037f2601,0xe88027cc,0x7301fc06,
    0x274001df,0x3e2d9000,0x3e613a02,0x80fb8001,0x01f9007c,0x27c4017a,
    0x80007e60,0x5f10005d,0x401bfe60,0xf5f500fa,0x3f5f5005,0x407fff98,
    0x4fa801f9,0x3600bea0,0x401fc00f,0x13a006e8,0x5f13e800,0x04e82740,
    0x0f904e80,0x7cc07f30,0x9806d803,0x1b20001f,0x980fc400,0xfa804faf,
    0x0bd1f500,0x883f3bd0,0x7cc06fff,0x403f5001,0x07ee01fc,0x7c400fe0,
    0x0009d003,0x017c47e2,0x001ee09d,0x01f203f3,0x1f900bd1,0x4c00fd40,
    0x1ee0001f,0x9807cc00,0x5400fb9f,0xf51f500f,0x7ccfcc01,0x405fff81,
    0x1ba001f9,0x7f301dd0,0xc800fe00,0x004e800f,0x017c4f70,0x00be209d,
    0x01f206c8,0x17a001fb,0xf98027c4,0x03ea0001,0x1ea03fee,0x80bd1f98,
    0x21f500fa,0x7cdb604e,0x404ffe81,0x3e6001f9,0xf117e202,0x001fc00b,
    0x013a013a,0x05f12ec0,0x00bb015c,0x40d701fc,0x3e6002fa,0x3000fd83,
    0x7cc0003f,0xb82fed81,0x7d47e607,0x5403ea02,0xf101f70f,0x3f607e65,
    0x00fcc03f,0x7f5013a0,0x7f000774,0xe806c800,0x447f0004,0xa800662f,
    0x00fa800f,0x004f8804,0x0bea0fc8,0x0001f980,0x3afe07e2,0x3e606c85,
    0x0fa81b61,0x0fe21f50,0xc81f99f2,0x0fcc02ff,0x32017600,0x4001fc9f,
    0x03dc003f,0x7cc00274,0x04d8be21,0x2ec01fc0,0x000dd000,0x005e8af4,
    0x20000fcc,0x3dcfd42f,0x43f302ec,0x01f503f8,0xf86c83ea,0x3ee07e64,
    0xfbaaa80f,0x00aaaaac,0x3ff600d9,0x003f8003,0x13a007d4,0x9f11f200,
    0xc800bd55,0x0017c406,0x20001fb8,0x000fcaf9,0x20000fcc,0x1f9be43f,
    0x83f30274,0x00fa80fc,0x517c41f5,0x540fcc1f,0xffffd07f,0x05ffffff,
    0x3fcc01f2,0x4003f800,0x027400f9,0x3fe22f40,0x4c005fff,0x001ee01f,
    0x40001fcc,0x98002ffc,0x2740001f,0x1fc3f93a,0x5f883f30,0x1f500fa8,
    0xf317a5d8,0x300df103,0x06c8003f,0x0009fdd0,0x0f98007f,0x22002740,
    0xbb17c42f,0x740bd000,0x06e88004,0x00bf1000,0x00007e60,0xdb17c4bb,
    0x07e602f8,0x01f507ea,0x33f303ea,0x301f983f,0x003f3001,0x9fc805d8,
    0x1fc002fb,0x3a01ea00,0x55fd4004,0x0f22fbaa,0x2603ee00,0x0fc8001f,
    0x013a0000,0x8800fcc0,0x83ee6c80,0x403f10fa,0xa8dd01f9,0xd01f500f,
    0x03f30db9,0x001f9800,0x8bee01fc,0x0fe000fd,0x9d00b900,0xffffc800,
    0x80002fff,0x006d83f8,0x0e202fa8,0x20009d00,0x09b001f9,0x3e236cf7,
    0x7cc01f32,0x7d47f301,0xf501f500,0x303f305f,0x1f980179,0x9807e200,
    0x0037444f,0x03e8007f,0x1f4004e8,0x800017c4,0x001fc46c,0x0f5017e2,
    0x30004e80,0x213a003f,0x53a0fe7a,0x07e600fa,0x01f50fc8,0x82ec03ea,
    0x7ffcc1f9,0x007e600f,0x1ba207b8,0x3f8027cc,0x200be600,0x07e6004e,
    0x03b00be2,0x07dc3f30,0x5003b600,0x004e800f,0x3a003f30,0x1f98f984,
    0x980f77c8,0x553e201f,0x001f500f,0xffd83f30,0x07e602ff,0xfb027d40,
    0x401fd401,0x0df1003f,0x7b8013a0,0x2f805f10,0x02f49d00,0x2a007ee0,
    0x00274007,0x9d001f98,0x20f93f10,0x4c06c9f9,0x54fdc01f,0x001f500f,
    0xffb83f30,0x07e601ff,0x5c03be60,0x01fc802f,0x7f4401fc,0x4009d001,
    0x805f105d,0x26f7002f,0x13e6002f,0x3a003d40,0x03f30004,0x757c13a0,
    0x0176fe05,0x5dd003f3,0x003ea01f,0xfb107e60,0x01f9809f,0x4c07bae2,
    0x03ba004f,0x3aa203f8,0x013a002f,0x05f103f8,0x5f1002f8,0x06e800f9,
    0x9d001ea0,0x007e6000,0x3fcf8274,0x3013b760,0xfbf3003f,0x0003ea01,
    0x200407e6,0xaaacfba8,0x80dffdba,0x02aafea8,0x50b7eeaa,0x55555bf5,
    0x2603dffb,0xadfaaaaa,0x7510aaaa,0x7dd5457f,0xbaaaaaac,0x3fb6002f,
    0x2b3e6004,0xaaaaaaaa,0x2aa607ca,0xaaaadeaa,0xfbaaa980,0xaaaaaaac,
    0xffd04eaa,0x81ffd401,0x2aacfba8,0x5103ff20,0x403557f9,0x0abfbaa9,
    0x7fffcc00,0x0bdfffff,0x3ffffea0,0xfffff306,0x3fffe23f,0x1bdfffff,
    0x7ffffec0,0x3fffffff,0x74dffff7,0xffffffff,0x2002ffff,0x26001ffa,
    0xffffffff,0x207fffff,0xfffffffb,0xffb82fff,0xffffffff,0x04ffffff,
    0xff880dfb,0xfffff302,0x07fc40df,0x3fffffea,0x3ffff605,0x000002ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x66440000,0xcccccccc,0x10cccccc,0x59999999,0x3ccccc88,
    0x3333332a,0x100acccc,0x99999999,0x00005799,0x00000026,0x2a000014,
    0x00000133,0x4c007710,0x2aa202aa,0xdb9800aa,0x220062cd,0x002bddca,
    0x66f6dd44,0x3bb66001,0xeeeeeeef,0xb30feeee,0x87dddfdd,0x24effed8,
    0xeeeffeeb,0x40cffeee,0xeeefeed9,0x02effeee,0x00027400,0x003faa00,
    0x859bb951,0x019fb3fb,0x7fdc0000,0xffff9800,0x5ffffb00,0x37bff620,
    0x01fcfffe,0x3fb7ffee,0x7ecc01ef,0xdfeedeff,0x003dc000,0x00f701f5,
    0x09d013ee,0xb807fdc4,0x01fecc07,0x00009d00,0x0077fa60,0xfdbbfff7,
    0x6449f75f,0x000003ff,0x4c400df3,0x266600fb,0x82fe882f,0xb01ffda8,
    0x7fd3019f,0xa80ded40,0x03dc005f,0x0f701f50,0x9d007f90,0x2e0bf100,
    0x003f9007,0x000013a0,0x8805dfb1,0xfd980cfe,0x5df9105f,0x00000000,
    0x2f8007d4,0xfd803fa8,0xc802fc81,0x7dc0002f,0x801ee002,0x407b80fa,
    0x09d002fd,0x1ee07ea0,0xd0005e80,0x32200009,0x3fb003ff,0x404ffa80,
    0x0001efd9,0x0fa80000,0x1f705f00,0xfa81f300,0x003f6003,0x5c009f00,
    0x203e6007,0x05fb107b,0x7f002740,0x3dc00f70,0x0004e800,0x2004ffb8,
    0x6fd402fb,0xfea801fb,0x0000000d,0x7c003ea0,0x1005f882,0xf8800bd0,
    0x02740004,0x01800f70,0x03fd10f7,0x3a004e80,0x32007b84,0x009d0006,
    0x0067f540,0xfa809f10,0xfb801ba5,0x000000cf,0xf000fa80,0x26f7f205,
    0x005f1000,0xa9880bb0,0x009d0aaa,0x005b83dc,0x01dd11ee,0x22009d00,
    0x2007b82f,0x09d0003f,0x03bfd300,0x5403f300,0x0007d45f,0x0007ff91,
    0x00fa8000,0x7f5405f0,0x302cefff,0x0f70003f,0x3fffffaa,0x2004ffff,
    0x400d907b,0x003be67b,0xfb802740,0xd8807b80,0x09d0000f,0x0177ec40,
    0x7cc0f700,0x8001f985,0x7d42efc8,0xffffffff,0x0fffffff,0x5f000fa8,
    0xdb753100,0x00fa81bf,0x7ec0fa80,0x733109be,0x57dc009f,0x006daaaa,
    0x06ffd5ee,0xc804e800,0x4c0f704f,0x3ea02ffb,0xffffffff,0x0fffffff,
    0x00007ff7,0x417e60f9,0x260002f8,0x55510dff,0x55555555,0x2a055555,
    0x005f000f,0xf30ff4c0,0xc8f90003,0x009d003f,0x7fffffdc,0x2fee006f,
    0x003ffbdf,0xfb7304e8,0x7777dc0b,0x01dfffee,0xaaaaaaa8,0xaaaaaadf,
    0x001ffdc2,0xdf303ea0,0x0007e601,0x000eff4c,0x007d4000,0xe80002f8,
    0x6c001fc4,0xe800fe25,0x641ee004,0x93fee006,0x74005fe8,0xffffffff,
    0x777dc01e,0x002ffeee,0x88009d00,0x30002efc,0x0077cc3f,0xfb1000f7,
    0x0000003d,0x7c4007d4,0x70007cc2,0x4c006d8f,0x8003ea3f,0x41ee004e,
    0x0fee006c,0xdd0017dc,0x03579999,0x7fd41ee0,0x04e80001,0x03dfb300,
    0x3be6bd00,0x8017a200,0x0002ffc8,0x02f98000,0x3ea17f44,0xf11b2002,
    0x2a374009,0x09f9001f,0x02983dc0,0x1f901ee0,0x00013a00,0x2fe881ee,
    0x00274000,0x0037faa0,0x00efcfa8,0xfb8007e4,0x0000003f,0xf9817e20,
    0x0f7d42ff,0x7dc1fd40,0x20fec404,0x7f4c05f8,0x01ee004f,0x80f70930,
    0x09d005e8,0xb00f7000,0x2740001f,0xcffb8000,0x01ffb000,0xea802fc8,
    0x880000cf,0x9f70003c,0x277f6e23,0xfff50acf,0x5fc98137,0x982bbee0,
    0xbf702ffb,0x3bf2a215,0x400aade9,0x43dc007b,0x01fa807b,0xb80004e8,
    0x006e8807,0x800013a0,0x4403ffc8,0x260aefff,0x74c03fea,0x200001df,
    0xb0000ffb,0x45ffffff,0x71d13fff,0xffffffff,0xfffd3007,0xb801bfff,
    0x3fffffff,0x700bfffa,0xb87c800f,0xd00bd007,0x0f700009,0x4000fe60,
    0x8800004e,0xee882efc,0xfffffe98,0x3f6200df,0x8800002e,0x5cc0005e,
    0x310000ac,0x00035775,0x00137751,0x0055dd44,0x2003dc00,0x7007b87c,
    0x004e801f,0x32007b80,0x04e8000f,0x3f660000,0x2a607745,0x7dc009bb,
    0x0000003f,0x00000000,0x00000000,0x5c000000,0x5c3e4007,0x807f1007,
    0x7b80004e,0x0017e200,0x000000ae,0x000a836a,0x00007b00,0x00000000,
    0x00000000,0x00000000,0x557ed544,0xaaaaaaaa,0xf95517da,0x76c03555,
    0xbd5531aa,0x80355555,0xaaafdaa8,0x055fd401,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3ffe6000,0xffffffff,0xf37fffff,
    0x09ffffff,0xfca7ffcc,0xffffffff,0x7fffcc03,0xfe804fff,0x0000001f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2a200000,0xa9800aaa,0x2ea00aaa,0x0021bced,0x0af3b2e6,0x0adcb980,
    0x200e6dc4,0x880aaaa9,0x54c1aaaa,0x177302aa,0x36e2aa88,0x016dcc2c,
    0x55555553,0x44155555,0x66e542aa,0x2aaa200a,0xaa880aaa,0x0110aaaa,
    0x01000008,0x003b3088,0x7fff42d4,0x7ffcc07f,0xffe984ff,0xe8dffede,
    0xbdffb103,0x4401dffd,0x0efeeffd,0x05ffdff3,0x0fffffea,0x83fffff6,
    0x260fffff,0x2e5feffe,0xfefe9fff,0xffbff53f,0xfffff701,0x5fffffff,
    0xfe9bffe4,0xd02fffdf,0x07ffffff,0x9ffffffb,0x1fd407f2,0x407ee000,
    0x4c7fa4f9,0x13ea1cdc,0x0026bea2,0x2e07f262,0xffd501df,0x205ff509,
    0x5b302fea,0x1ee8de98,0x3a603fb1,0x3f2601bf,0x7dccc40c,0x7d45df90,
    0x83ffee63,0x3a24fcfc,0x9999fb83,0x0efa9999,0x0efdfdcc,0x2620bf6a,
    0x26019bfa,0x3a219fd9,0x009fb02f,0x7d417f20,0x3f7fa20e,0x4fcefddf,
    0x6c001fc0,0x8803f985,0x037c44fe,0x54001fd8,0x06e80fff,0x9f700fec,
    0x7fb1f500,0x3ff50260,0x6b85ff88,0x0ee807b8,0xe809ff50,0xf002f406,
    0x40bfe609,0x7ec004fe,0x101ff505,0x0df905ff,0x40aa09b0,0x2005e83f,
    0x0076c4f9,0xff000db0,0xb007e605,0x007f703f,0x000bfbea,0x41ba03f5,
    0x203d41f9,0x17ea01fd,0xfb803ee0,0x200fa800,0xfe883ff9,0x01dfb005,
    0x3e603ff7,0x3201f201,0x440ffa86,0x000fd41f,0x002f98ba,0x3a0017cc,
    0x2013a00f,0x00fee1fd,0x8001efa8,0x20bb00fa,0x320081f9,0x007d401f,
    0x13e017c4,0x3ea017a0,0x0dff884f,0x901dfd10,0x026405ff,0x03ea0174,
    0x0fa85fd9,0x54000364,0x407d0007,0x06e8aaa8,0xafd802e4,0x7d4003fc,
    0x01f50000,0x00fcc176,0xf5005f90,0x700be200,0x017cc01f,0xf984ffb8,
    0x7ff440ef,0x403ffc81,0x404d802f,0x2edfc2f8,0x001361b2,0x3bbbbf20,
    0xeeeeeeee,0x7f6445fe,0xeeffffff,0x06eeeeee,0x000bff20,0x540003ea,
    0x260bb00f,0x07f7001f,0x7c401ea0,0xb01fc402,0x5ffc800d,0xd10eff98,
    0x7ffb03ff,0xc802f880,0x3ea3e806,0x213a0fb8,0xfc80003f,0xeeeeeeee,
    0x24eeeeee,0x989beffb,0xeeeeeffa,0x32006eee,0xfa8002ff,0x01f50000,
    0x00fcc176,0xf50027d4,0x200be200,0x007f106d,0xd82fff88,0x0bffb4ff,
    0xb001fff5,0xb007b007,0x22f8b64b,0x0005e82f,0xa80007b8,0x017a00cf,
    0xfcafd800,0x007d4003,0xbb00fa80,0xf3007e60,0x007a800b,0x5f3005f1,
    0xfd000f90,0x89ff905f,0xffb83ffd,0x4c06b806,0x3e7b800f,0x40fcd763,
    0xf980006c,0x03e40001,0xd80003f4,0x800fee2f,0xf50000fa,0x7cc17601,
    0x0017e201,0x17c401ea,0x04f85d80,0x5c17fec0,0x7ff904ff,0x880bff50,
    0x00dd105f,0xa83ea7e6,0x3f507b8f,0x00bd0000,0xfe807b80,0x0fec0001,
    0xfa801fdc,0x01f50000,0x80fcc176,0x06600ee8,0x17c401ea,0x3ea1fa80,
    0x07ff2000,0xf700ffea,0x09ff305f,0x4cd77fd4,0xf001fffb,0xcbf88d95,
    0x3001ba05,0x001fcc3b,0x7d401f30,0xfb00405f,0x4027dc03,0xf50000fa,
    0x7cc17601,0xd801dd01,0xf1007a85,0xbd274005,0x40f7e400,0xf7002ff9,
    0x07ff303f,0xffd73bf5,0x003fd37b,0xdbb07fbd,0x006fcc09,0x3f2077e4,
    0x7cdd5003,0x3ffff505,0xfb10fb10,0x809f5003,0xf50000fa,0x7cc17601,
    0xd801fd81,0xf1007a85,0x4c7dc005,0x1df7001f,0x8005ff30,0xfe880ffa,
    0x02613e62,0xff900dd1,0x805ff501,0x2621bffa,0xf700dfeb,0x75cc435d,
    0x477e61df,0xfdcedfb8,0x41efb88c,0x80aacfea,0x31cfdaa9,0x557f9555,
    0x51015555,0x5db057f9,0x90abf983,0x5555559f,0x554bd555,0x7501abfc,
    0xf100159f,0x3ea00dbb,0x01ff880e,0x101df500,0x200143fd,0x06fa8028,
    0xb1001ff1,0xbfffffff,0xfffd3003,0x205dffff,0x94fffff9,0x33ffff67,
    0x7ffffc40,0xffffc82f,0xfffffb5f,0x7fffffff,0x3fffff50,0x7cc5ffd8,
    0xffffd1ff,0xffffffff,0x7fffff4b,0xfffff983,0x05ff9002,0x74c03720,
    0x0f4c0001,0x00003d88,0x20000000,0x009acb98,0x1abb9880,0x802ae600,
    0x00000ab9,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x35100020,0x50179300,0x00806200,0x2aa00080,
    0xdddd31aa,0x82f775c3,0x00000198,0xd8009800,0xeeeeeeee,0xeeeeeeee,
    0x00ef6443,0x001404c0,0x9103b862,0x4cccccc3,0x99999999,0x80000009,
    0x7f5c403e,0x2b3aa03f,0x017e24ec,0xffc88bd1,0xfd9303ef,0x7d4039df,
    0xfff11fff,0x2fffdc3f,0x0fffff62,0xfffffff7,0xffffffff,0x7c401fff,
    0xeeeec805,0xeeeeeeee,0x3a23eeee,0x3204fdce,0xf8bffd11,0x35f9800e,
    0x4ff905ff,0xfffffffd,0x2fffffff,0x3f800000,0x03d8dc40,0x545f03f1,
    0x41fd105f,0xfebadff9,0xb9acdc86,0x3fff206d,0x507fffc5,0xffe89fff,
    0x2a24ffed,0xaaaaaaaa,0xcaaaaaaa,0x0fff600f,0xf8800000,0x3617ee0e,
    0x3ffff90f,0xf500f74c,0x203fa21b,0x3bbb25fa,0xeeeeeeee,0x00002eee,
    0x6c003f80,0x16e05303,0x0fe88bf5,0x3e6037e2,0x740fe004,0x7ff41fff,
    0x71fffcc7,0x0ffcc1bf,0x01f50000,0x00bee7f2,0x07640000,0x7ed4f7d4,
    0x0bffff62,0x9f703fd1,0x00000000,0x7f000000,0x8003d800,0xd15fa84d,
    0x201fb81f,0x9a9980fc,0xfff884e9,0x445ffd85,0x07fa2fff,0x800013f2,
    0x23fa80fa,0x000000fd,0xeffe8800,0x83fffcc1,0x0ff22fd8,0x00000000,
    0x83990000,0x4076a23f,0x075c003d,0x80fedfa8,0x517cc06d,0x9ffffffd,
    0x701fff50,0x3fff09ff,0x05f983fc,0x303ea000,0x506e889f,0x55555555,
    0x55555555,0x20198003,0x24c802b8,0x0000002e,0xc8000000,0xacf9cfff,
    0x7b01effd,0x20076400,0x0db01ffb,0x7bf12f98,0x7ec274c3,0x07ff504f,
    0x0ff41ffd,0x000027e4,0x837441f5,0x7ffc45f9,0xffffffff,0x05ffffff,
    0x00000000,0x00000000,0x32a00000,0x1befffff,0x6c401ec0,0x7ff4400d,
    0x6403f705,0x2740b90f,0xf9807ffc,0x647fd82f,0x07fe20df,0x20fa8000,
    0x0fea00fd,0x33100000,0x33333333,0x33333333,0x6664c133,0xcccccccc,
    0xcccccccc,0x0000002c,0xffb00000,0x201ec005,0xfe8804e8,0xde885fa8,
    0x13a4f980,0x3fe627e4,0x207fe203,0x7ff445fb,0x0004ffdc,0x2fb87d40,
    0x0001fc80,0xfffff500,0xffffffff,0xffffffff,0x7ffff54f,0xffffffff,
    0x5fffffff,0x00000000,0x6ecf9800,0xfa80f600,0x20fe8803,0xdff985fa,
    0x7d45feba,0xeffebaac,0xb00ff70c,0x220ba20b,0x004ffffd,0x7b0fa800,
    0x0001ec00,0x55555300,0x55555555,0x35555555,0x00000000,0x00000000,
    0x09f36e88,0x0fdc0f60,0x01fd11c4,0xff910bf5,0x3f6a07df,0x1eec8cef,
    0x000005f9,0x00015530,0x00016200,0x00000000,0x00000000,0x00000000,
    0x41fb0000,0xeee981fb,0x3be5eeef,0x26eeeeee,0x13ea00fe,0x10000008,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x17d40000,
    0x4cc407f4,0x26609999,0x20999999,0x004a800d,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0d881d40,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_41_latin1_x[224]={ 0,8,4,3,4,3,4,8,10,5,0,2,5,3,
8,4,4,4,3,3,3,3,4,3,4,4,8,5,0,1,0,0,3,0,1,2,2,1,2,2,1,4,3,1,
2,0,0,0,3,1,1,3,2,1,0,0,1,1,3,0,0,0,4,1,7,2,0,3,2,2,3,2,1,3,
3,3,3,0,1,2,0,2,3,3,2,1,1,0,1,2,4,0,10,0,3,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,8,4,2,3,1,
10,2,5,0,0,0,0,3,0,-1,5,2,6,6,7,1,3,8,7,6,5,2,0,0,0,0,0,0,0,0,
0,0,0,2,1,1,1,1,4,4,4,4,-1,0,0,0,0,0,0,4,1,1,1,1,1,1,3,1,2,2,
2,2,2,2,0,3,2,2,2,2,3,3,3,3,2,1,2,2,2,2,2,2,1,1,1,1,1,2,0,2,
 };
static signed short stb__courier_41_latin1_y[224]={ 30,7,8,6,5,7,10,7,7,7,7,10,24,18,
25,5,7,7,7,7,7,7,7,7,7,7,14,14,10,16,10,8,7,9,9,8,9,9,9,8,9,9,9,9,
9,9,9,8,9,8,9,8,9,9,9,9,9,9,9,7,5,7,7,38,6,14,7,14,7,14,7,14,7,7,
7,7,7,14,14,14,14,14,14,14,9,14,14,14,14,14,14,7,7,7,17,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,30,14,6,8,12,9,
7,7,8,8,6,14,18,18,8,4,3,8,7,7,6,14,7,16,29,7,6,14,7,7,7,14,1,1,2,3,
3,1,9,8,1,1,2,3,1,1,2,3,9,3,1,1,2,3,3,13,7,1,1,2,3,1,9,7,6,6,
6,8,8,5,14,14,6,6,6,8,6,6,6,8,7,8,6,6,6,8,8,11,13,6,6,6,8,6,7,8,
 };
static unsigned short stb__courier_41_latin1_w[224]={ 0,6,13,16,14,16,15,6,7,7,14,18,8,16,
6,14,14,14,15,16,15,16,15,15,14,15,6,9,18,19,18,13,15,22,19,18,19,18,19,19,20,14,19,20,
18,22,21,19,17,19,21,16,18,20,22,21,20,19,16,7,14,7,14,23,7,18,20,17,20,17,17,19,20,16,
12,18,16,22,19,18,20,20,17,16,18,19,20,21,19,19,14,8,2,8,16,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,0,6,14,17,16,19,
2,18,12,22,12,18,20,16,22,24,11,18,9,10,7,19,16,6,7,10,12,18,22,22,22,13,22,22,22,22,
22,22,22,18,18,18,18,18,14,14,14,14,20,21,19,19,19,19,19,13,20,20,20,20,20,19,17,18,18,18,
18,18,18,18,22,17,17,17,17,17,16,16,16,16,17,19,18,18,18,18,18,18,19,19,19,19,19,19,20,19,
 };
static unsigned short stb__courier_41_latin1_h[224]={ 0,24,11,27,29,24,21,12,28,28,14,19,12,3,
6,28,24,23,23,24,23,24,24,24,24,24,17,20,19,8,19,23,26,21,21,23,21,21,21,23,21,21,22,21,
21,21,21,23,21,27,21,23,21,22,21,21,21,21,21,28,29,28,10,2,6,17,24,17,24,17,23,23,23,23,
30,23,23,16,16,17,23,23,16,17,22,17,16,17,16,23,16,28,28,28,6,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,23,24,22,15,21,
28,26,4,23,12,16,11,3,23,3,11,22,13,13,6,23,26,6,7,13,12,16,23,23,23,23,29,29,28,27,
27,29,21,28,29,29,28,27,29,29,28,27,21,27,30,30,29,28,28,13,25,30,30,29,28,29,21,24,25,25,
25,23,23,26,17,22,25,25,25,23,24,24,24,22,24,22,25,25,25,23,23,18,19,25,25,25,23,31,30,29,
 };
static unsigned short stb__courier_41_latin1_s[224]={ 255,244,86,86,24,111,175,247,202,210,1,
81,77,221,185,41,1,200,215,165,231,60,198,214,230,182,247,245,100,148,139,
1,18,152,191,35,43,1,132,144,229,63,36,20,161,224,202,120,41,125,59,
127,113,185,101,180,22,141,124,160,190,218,133,193,192,233,33,23,54,41,92,
180,140,110,62,161,75,120,158,214,54,164,102,197,74,177,178,1,82,15,143,
56,249,245,168,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,
100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,255,243,75,
56,237,93,252,225,208,1,64,218,112,221,175,168,100,206,27,245,200,155,1,
247,245,16,51,199,113,90,217,240,226,1,137,202,179,39,78,168,171,137,226,
145,82,156,187,164,1,103,117,42,117,1,21,37,91,96,75,205,65,97,211,
128,166,72,53,198,81,34,59,18,112,130,148,24,16,77,94,1,147,225,21,
185,204,42,136,158,119,223,1,40,61,1,21,62, };
static unsigned short stb__courier_41_latin1_t[224]={ 1,63,303,63,33,119,218,241,33,33,303,
263,303,303,303,63,145,170,170,119,170,119,119,119,119,119,170,119,263,303,263,
194,92,218,218,194,241,263,218,194,218,241,218,263,241,241,241,170,263,63,263,
194,218,194,241,241,241,241,241,33,1,33,303,310,303,263,145,285,145,285,194,
170,170,194,1,170,194,285,285,263,194,194,285,263,218,263,285,285,285,194,285,
63,1,33,303,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,1,92,145,
218,285,218,1,63,303,170,303,285,303,303,145,310,303,194,303,194,303,145,92,
254,208,303,303,285,145,145,145,145,1,33,33,63,63,33,241,33,1,1,33,
63,33,1,33,63,241,63,1,1,33,63,63,303,92,1,1,1,63,33,218,
119,92,92,92,145,170,92,285,218,92,92,92,170,145,119,119,218,119,194,119,
92,92,170,145,263,263,92,119,119,170,1,1,33, };
static unsigned short stb__courier_41_latin1_a[224]={ 348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_41_latin1_BITMAP_HEIGHT or STB_FONT_courier_41_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_41_latin1(stb_fontchar font[STB_FONT_courier_41_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_courier_41_latin1_BITMAP_HEIGHT][STB_FONT_courier_41_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_41_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_41_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_41_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_41_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_41_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_41_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_41_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__courier_41_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__courier_41_latin1_s[i] + stb__courier_41_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__courier_41_latin1_t[i] + stb__courier_41_latin1_h[i]) * recip_height;
            font[i].x0 = stb__courier_41_latin1_x[i];
            font[i].y0 = stb__courier_41_latin1_y[i];
            font[i].x1 = stb__courier_41_latin1_x[i] + stb__courier_41_latin1_w[i];
            font[i].y1 = stb__courier_41_latin1_y[i] + stb__courier_41_latin1_h[i];
            font[i].advance_int = (stb__courier_41_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__courier_41_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_41_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_41_latin1_s[i] + stb__courier_41_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_41_latin1_t[i] + stb__courier_41_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_41_latin1_x[i] - 0.5f;
            font[i].y0f = stb__courier_41_latin1_y[i] - 0.5f;
            font[i].x1f = stb__courier_41_latin1_x[i] + stb__courier_41_latin1_w[i] + 0.5f;
            font[i].y1f = stb__courier_41_latin1_y[i] + stb__courier_41_latin1_h[i] + 0.5f;
            font[i].advance = stb__courier_41_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_41_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_41_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_41_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_41_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_41_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_41_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_41_latin1_LINE_SPACING
#endif

