// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_42_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_42_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_42_latin1_BITMAP_WIDTH         256
#define STB_FONT_courier_42_latin1_BITMAP_HEIGHT        332
#define STB_FONT_courier_42_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_courier_42_latin1_FIRST_CHAR            32
#define STB_FONT_courier_42_latin1_NUM_CHARS            224

#define STB_FONT_courier_42_latin1_LINE_SPACING          20

static unsigned int stb__courier_42_latin1_pixels[]={
    0x20000000,0x777640aa,0x02000002,0x22000010,0x0000002d,0x00016a00,
    0x36600000,0x16c00000,0x00000000,0x88000026,0x22000001,0x3fe0004e,
    0x017f76c1,0x83fd8000,0x40001ff8,0x00001fe8,0x7dc003d4,0x76d40005,
    0xf880000b,0x3600001f,0x00ba003f,0x0ffdc000,0x1ffcc000,0x7f4c0000,
    0x07fe0001,0x000017c4,0xff985ff8,0x3fe60003,0x6e800001,0x0027e400,
    0x1726baa0,0x17f44000,0x09f90000,0x00001f60,0x07fd9fb1,0x7e6fdc00,
    0xf300000d,0xff80003d,0x0005f101,0x5c032600,0xdf50000b,0xf5000001,
    0x0ff62005,0x1d076000,0x3f620000,0x3ee00003,0x01fcc00d,0x22fe9800,
    0x22000dfc,0x07bea4fd,0x01df5000,0x20155000,0x000002f8,0xfa800000,
    0xd000000d,0x017f400d,0x16c0f800,0x0ff60000,0x06fa8000,0x980006d8,
    0x0efa80ef,0x882fe880,0xf50001fe,0x4000000b,0x000002f8,0x39800000,
    0x3e600000,0x0006e002,0x01a64b80,0x000dc000,0x2a00e600,0x1cc0002f,
    0x64401220,0x8000dc00,0x00000028,0x008817c4,0x00000000,0xdb000000,
    0x80000000,0x002eefd8,0x00000000,0x000dd000,0x00000000,0x00000000,
    0xa8be2000,0x02ceffec,0x0b333322,0x0ccccca8,0x02666662,0x00cccccc,
    0x3000fe60,0x00005797,0x4c400062,0x33009999,0x26003333,0x2a002bcb,
    0x7300001f,0x26200579,0x33009999,0x00003333,0xccccc980,0x883ccccc,
    0x559dfb2f,0x3620bfd9,0x3204eeff,0xf50dffee,0xb0ffffff,0x09ffffff,
    0xc8007e40,0x2effffff,0x26666200,0x2a000999,0x87ffffff,0x4ffffffd,
    0x3fffff20,0x0bd002ef,0xffffc800,0x3ea02eff,0xd87fffff,0x14ffffff,
    0x40599999,0x50ccccca,0xdddddddd,0xd7f10dfd,0x02fdc05f,0x7c4001f7,
    0xaacfba83,0xdfaaa881,0x09f1000a,0x4437fd10,0xf8804fda,0x4fffffff,
    0x567dd400,0xfaaa881a,0xbfe880ad,0x013f6a21,0x220007ee,0x36a21bfe,
    0x33eea04f,0xaaa881aa,0xffb10adf,0x776409dd,0x64000dff,0x00fff886,
    0x9f105f88,0xf303e400,0x003f8005,0x3e6007e4,0x02fe401f,0x6fd5554c,
    0x2f98007d,0xf981fc00,0x02fe401f,0x3e6002fc,0x02fe401f,0x3f8005f3,
    0x44001f70,0x0d90003f,0x5c005ff1,0x001f701f,0x17cc07f1,0x8800fe00,
    0x00ee804f,0x98007f70,0x4002f9af,0x1fc002f9,0xf7000ee8,0x000fb807,
    0x7dc003ba,0x8005f303,0x009f103f,0xd90003e4,0xd000df10,0x2013e207,
    0x0be600fc,0x5c007f00,0x017d400f,0xc8003f60,0xf30017a7,0xa83f8005,
    0x07ec002f,0x2a009f10,0x07ec002f,0x3e0017cc,0x2003ee03,0x320003f8,
    0x8004f886,0x803ee05c,0x17cc03f8,0xf800fe00,0x002fc405,0x9f001fcc,
    0xf30007dc,0x443f8005,0x3f98005f,0x22007e40,0x3f98005f,0x7c002f98,
    0x2013e203,0x320000fc,0x8003f886,0x813e207b,0x17cc00fc,0x5c00fe00,
    0x00fd401f,0xf3004d80,0x3001fc43,0x43f8005f,0x9b0001fa,0x5403f880,
    0x09b0001f,0x3f8005f3,0xf1007dc0,0x86c80007,0x7c8004f8,0x7c407dc0,
    0x002f9804,0x05e801fc,0x2e0007b8,0xdb0d9006,0x0017cc00,0x000f70fe,
    0x03ec035c,0x6b8001ee,0x7c002f98,0x9027c403,0x6c80001f,0xd8005f88,
    0x6427c405,0x02f9800f,0x7d401fc0,0x0006d801,0x7f1003e6,0x26003f50,
    0x21fc002f,0x3e60006d,0xb01fcc00,0x07cc000d,0x7f000be6,0xf101f700,
    0x0d900009,0x44001ff1,0x20fb804f,0x5f3004f8,0xe803f800,0x0009d006,
    0x3ea017c4,0x26009f00,0x21fc002f,0x3e20004e,0x3a06d802,0x0be20004,
    0x3f8005f3,0xfc84f880,0x86c80000,0x3a006ff8,0x24f8800e,0x5f3000fb,
    0x4c03f800,0x009f002f,0x36c03f80,0x3e600f90,0x3e1fc002,0x01fc0004,
    0x04f817cc,0x3e61fc00,0x801fc002,0x013e20fb,0x7c436400,0x36200dfd,
    0x23ee002f,0x3e6004f8,0x201fc002,0x013a006d,0x2202f880,0x00be602f,
    0x7f000be6,0x220004e8,0x20dd002f,0x3e20004e,0x20017cc2,0x49f1003f,
    0x900000fb,0xff35f10d,0x1ffdcc37,0x3ef3e200,0x00be6000,0x1fcc07f0,
    0x4000db00,0x03ee00f9,0x5f300bd0,0x36c3f800,0x001f3000,0x01b60bea,
    0x7cc0f980,0x001fc002,0x009f11f7,0x7c436400,0xfffffd12,0x2e0001df,
    0x7cc004ff,0xb01fc002,0x007b800f,0x9fd01ae0,0xd9999999,0x02f9801f,
    0x01ee1fc0,0x74006b80,0x20007b85,0x002f986b,0x9f1001fc,0x400001f7,
    0x982f886c,0x40000abb,0x44000ff8,0x0be2002f,0x2a001fc4,0x09b0001f,
    0x7fffffcc,0x03ffffff,0xf10017c4,0x0001fa85,0x1fa8009b,0xd8000fd4,
    0x2002f884,0x7dc002f8,0x6400004f,0x0002f886,0x004f8800,0x7dc009d0,
    0x0001f901,0x7f3000bd,0xd9003640,0x5c009d00,0x8005e81f,0x5f8003f9,
    0xf98005e8,0x5c009d03,0x7fc4001f,0x36400000,0x000017c4,0x80007dc0,
    0x41f6006b,0xf50004f8,0x00fe8005,0x1f98013e,0xfb0035c0,0xd000bea0,
    0x1f70001f,0x74002fa8,0x400d700f,0x4f88007d,0x86d80000,0x000002f8,
    0x260004f8,0x04f9803f,0x6c0001f7,0x05f9000e,0x3a000fd4,0x401fcc04,
    0x03b604f9,0x80017e40,0x00ed84f8,0x7cc05f90,0x004f9803,0x00000fb8,
    0x17c427c4,0x3ee00000,0x17e40000,0x3e20df30,0x7fcc0004,0x202fe402,
    0x07b8006d,0x3e602fc8,0x017fcc06,0x900017f2,0x02ff981f,0x7e402fe4,
    0x001be602,0x4000027c,0x02f882fb,0x02fc0000,0x21cfc800,0xf701ffb9,
    0xfb100003,0x3f6e6159,0x001fc404,0x7e4017c4,0x07fee61c,0x42b3f620,
    0x0004fdb9,0xfd884f88,0x9fb730ac,0x30e7e400,0x70003ff7,0xa800001f,
    0x6fe65c6f,0x70002ccc,0x9bfb9999,0xfc800017,0x00dfffff,0x90000136,
    0x5dffffff,0x66fee4c0,0x3332602c,0x7e402cef,0x00dfffff,0x7ffffe40,
    0x200002ef,0x3fff206b,0x8002efff,0xdffffffc,0x00bf0000,0x99999930,
    0xffe88bfd,0x006fffff,0xfffffe88,0x0002ffff,0x00157710,0xb9800000,
    0xffb801ac,0x2e06ffff,0x05ffffff,0x00157710,0x01acb980,0x26000000,
    0x80001acb,0x7000abb8,0x9bfb9999,0x3fee0017,0x003defff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xe8800000,
    0xffffffff,0x0000002f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0x000001d8,
    0x800000cc,0x20000018,0x4400004b,0x003c8004,0x001b3000,0x50000530,
    0x0031000b,0x09bcb880,0x003c8004,0x40000000,0x000002fe,0x00007ff7,
    0x0003ff98,0x0003fd80,0x0003be60,0x80000bf7,0xd90006fa,0x05fb8000,
    0x001ffd40,0x3fbffb22,0x003f14ff,0xd8000bf7,0x00ee881f,0x003fd880,
    0x7e67ec00,0xfb80000d,0x0000dfcd,0x0003fd88,0x0003bea0,0x000077dc,
    0x90002fdc,0x27e4000d,0x3f37ee00,0xbffa800d,0x2fbf2609,0x1df7002f,
    0x09ff1000,0x40005ff5,0x880004fc,0x07bea3fe,0x527ec400,0x440003df,
    0x200002fe,0xa80005fc,0x320000ef,0xd710004f,0x2200459f,0x362003fd,
    0x807bea4f,0x6c400dfa,0x3ea002ff,0x1db8000e,0x80001b90,0x220005fb,
    0x1fe981ef,0x417f4400,0x88001fe8,0x200001ff,0x200004fc,0xd8000ff9,
    0xff90003f,0x3f7fffdf,0x10017f40,0x3fd305fd,0xe800df10,0x7fcc002f,
    0x00000000,0x8000aa00,0x02e200b8,0xb8019100,0x00c88001,0x00164000,
    0x00064400,0xfe8000dc,0x3ff6a22d,0x10006e01,0xc81b8019,0x17d4002f,
    0x00064400,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfd807f70,0x00000001,0x44002f40,0x2000001f,0x00999998,0x40333333,
    0x99999998,0x26620000,0x00099999,0x4cccccc4,0x99999999,0x26662009,
    0x40009999,0x98019998,0x4ccc0999,0x99999999,0x4cccc409,0x99999999,
    0x03f40999,0x266607c4,0x99999999,0x4ccccc09,0x09999999,0x400007e2,
    0x99999998,0x99999999,0x3ffffea0,0xffffd87f,0xfff884ff,0x004fffff,
    0xffffff10,0x7cc009ff,0xffffffff,0x4fffffff,0xffffff10,0x7c4009ff,
    0x3606ffff,0xfb1fffff,0xffffffff,0x7fccffff,0xffffffff,0x44ffffff,
    0xffb0004f,0xffffffff,0x7ffecfff,0xffffffff,0x0003ea7f,0x3ffffe60,
    0xffffffff,0x7dd44fff,0xaa881aac,0x5300adfa,0x0fbbf555,0x55554c00,
    0x54007ddf,0xaaaabfca,0x4faaaaaa,0x3eaaaa60,0x5cc007dd,0x2a200aef,
    0x2aa22cfd,0xaaafdaaa,0x7e5541aa,0xaaaaaaab,0x37c4faaa,0xaaaa8800,
    0xaaaaafda,0x2aaaaa21,0x1aaaaafd,0xa80001b2,0xaaaabfca,0x4faaaaaa,
    0x7c002f98,0x4d7cc003,0xf300002f,0x50005f35,0x027c001f,0x05f35f30,
    0x1003f700,0x036400bf,0xf8003ea0,0x00017e44,0x64000d90,0x0006d806,
    0x2000fa80,0x002f984f,0x9f2001fc,0xf900005e,0x7d4002f4,0x8013e000,
    0x40017a7c,0x00fc806e,0xf5001b20,0x2227c001,0x0000acfe,0xd9000364,
    0x0000db00,0x7c001f50,0x4002f984,0x727c003f,0x9f00001f,0x2a0007dc,
    0x013e000f,0x003ee4f8,0xf9813e60,0x00364003,0x4f8003ea,0x79dffd70,
    0x006c8001,0x1b601b20,0x03ea0000,0x2f984f80,0x3001fc00,0x001fc43f,
    0x3f887e60,0x0007d400,0x87e6005b,0xf70003f8,0x20017a03,0x07d4006c,
    0xb8805b00,0x2004ffec,0x1b20006c,0x00001f20,0x2d8003ea,0x7c002f98,
    0x361b2003,0x43640006,0x07d4006d,0x36400028,0xdd00036c,0x90001f90,
    0x00fa800d,0x2e200005,0x06c800ef,0x2e01b200,0x5400000f,0x4c00500f,
    0x01fc002f,0x1fa83f88,0x507f1000,0x07d4003f,0x880007d4,0x001fa83f,
    0x1fcc7f30,0x4006c800,0x00fa80fa,0x013e6000,0x6c8001b2,0x0002f980,
    0x7d407d40,0x005f3000,0x1f5003f8,0x540013e0,0x4009f00f,0x00fa80fa,
    0x3e01f500,0x47f20004,0x1b20006e,0xf501f500,0x6d800001,0x20006c80,
    0x00dd006c,0xa80fa800,0x05f3000f,0xdb003f80,0xd8003e40,0xa801f206,
    0xfeeeeeef,0x40db0000,0x7740007c,0x320001fc,0x777d4006,0x400feeee,
    0x01ee0009,0x6c8001b2,0x0007f300,0xdddf5075,0x2001fddd,0x1fc002f9,
    0xf3017c40,0x02f88005,0x7d400be6,0x0feeeeee,0x202f8800,0x260002f9,
    0x640003ff,0x777d4006,0x400feeee,0x01b2005e,0x6c8001b2,0x8007f200,
    0xeefa84fb,0x000feeee,0x3f8005f3,0x7400fb80,0x007dc005,0x07d4017a,
    0x5c0007d4,0x002f400f,0x20001f60,0x07d4006c,0x3fa007d4,0x804f9802,
    0x1b20006c,0x9009fb00,0x203ea0bf,0x5f3000fa,0xe803f800,0xcccccccf,
    0x3a000fec,0xcccccccf,0xfa800fec,0x8000fa80,0xccccccfe,0x0000fecc,
    0x320001f2,0x407d4006,0x7ff400fa,0x401bea02,0x1b20006c,0x86fbf600,
    0x2a03feb9,0x000fa80f,0x3f8005f3,0x7ffffcc0,0x3fffffff,0xfffff300,
    0x7fffffff,0x0a01f500,0x3fffe600,0xffffffff,0x01f20003,0x5001b200,
    0x3a00a01f,0xdccdffcd,0xd9000dfe,0x00364000,0xfffffea8,0x07d401ef,
    0x0be20028,0x6402f880,0x401b2006,0x01b2006c,0x3d0003ea,0x6c801b20,
    0x001f2000,0xf5001b20,0x351e8001,0x33bff726,0x00364001,0x88000d90,
    0x2a001bfb,0x40f4000f,0x07ee004e,0x7cc009f0,0x2004f801,0x07d401f9,
    0x3e05f100,0x007e6004,0x40003e40,0x07d4006c,0xc805f100,0x01b20006,
    0x80006c80,0x0fa80059,0x2e0be200,0x501f6006,0x04e8003f,0x3a000fd4,
    0x0007d404,0x03f505f1,0x90004e80,0x0d90000f,0x2000fa80,0x036402f8,
    0x4000d900,0xf980006c,0x03ea001d,0xf982f880,0x404f9803,0x07b8006d,
    0x3dc0036c,0x88003ea0,0x8006d82f,0x0f90007b,0x800d9000,0x3e2000fa,
    0x00036402,0x364000d9,0x00b70000,0xf10007d4,0x980bf205,0x01fc406f,
    0xf8817c40,0x02f88003,0xf88003ea,0x4001fc42,0x7c8002f8,0x006c8000,
    0xf10007d4,0x0006c805,0x6c8001b2,0x22b32000,0x03ea004c,0x3202f880,
    0x3fee61cf,0x9bfb9301,0x6664c059,0xfb932cef,0x64c0599b,0x712cefcc,
    0x99999fb9,0xf9999999,0x337f7265,0x3332602c,0x97102cef,0x9999fd99,
    0x33332603,0xcccccfec,0x33f72e22,0xcccccccc,0x6402fccc,0xcccc9806,
    0xcccccfec,0x33333262,0x2cccccfe,0x0cfed980,0x67ee5c40,0xcccccccc,
    0x6402fccc,0x0dffffff,0x3ffffee0,0x3ffee06f,0xfff75fff,0x7dc0dfff,
    0xf35fffff,0xffffffff,0xffffffff,0x3ffffee5,0x3ffee06f,0xff505fff,
    0xffffffff,0x3ffff20b,0xffffffff,0x3ffffe66,0xffffffff,0x4402ffff,
    0xffffc801,0xffffffff,0x3fffff26,0x6fffffff,0xff300000,0xffffffff,
    0x5fffffff,0x02aee200,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x39800000,0x005dce60,
    0x01ddddd7,0x07301818,0x4726024c,0x804eeeee,0x000001cb,0x00000000,
    0xcb800000,0xa8800001,0x7910000a,0x4c400001,0x54000acb,0x205f904f,
    0x32d902fa,0xddd903ff,0x07cc03fd,0x40d901f3,0x47bf606e,0x00deeeef,
    0x41bffff5,0x07f600ea,0xf5003ba2,0x000bf209,0x77440fec,0xffffa800,
    0x0003aa0d,0x3fffffd1,0x7fffec00,0xb1002643,0x3dffffff,0x7c1ff600,
    0x203fe05f,0x003f626c,0x0fa807e6,0x41b203ea,0x85f303fb,0x1bf1003f,
    0x17f77fee,0xfa84ff88,0x83fec02f,0xf88005ff,0x02ffa84f,0x7dc46fc4,
    0x4005fddf,0xd989bef9,0x33fb802f,0x05fd9ffb,0x886ffa60,0xd9802fea,
    0x5c03b502,0x7cc6c84f,0x201f9803,0x641ee0fa,0xb00ff886,0x04007f0d,
    0x401f7e44,0x01b901db,0x3b502d98,0x4076e000,0x880800dc,0xf8003efc,
    0x801f900e,0x1dfd9808,0x801df500,0x000004fd,0x3640ff88,0x0fcc027c,
    0x907b8f70,0x7c09f70d,0x00003f84,0x00000000,0x00000000,0x20000000,
    0x01f400fb,0x3ba00000,0x003f9000,0x87fb0000,0x9804f86c,0xf91f201f,
    0x07fa1b20,0x003f84f8,0x00579730,0x00000000,0x80000000,0x99999998,
    0x027c4000,0x266622e4,0x99999800,0x4001fb81,0x7973006e,0x237cc005,
    0x9804f86c,0xd91b201f,0x0bf51b20,0x003f84f8,0x7fffffe4,0x4cccc02e,
    0x99999999,0x26666200,0x44000999,0x99999999,0x09999999,0xffffff10,
    0xfb8009ff,0x7fc7b800,0x3f201fff,0x225fffff,0x2fa8004f,0x3fffff20,
    0x3fd002ef,0x4027c364,0xb1b601f9,0x5fb1b20b,0x03f84f80,0x4437fd10,
    0xffb04fda,0xffffffff,0x3fe20fff,0x04ffffff,0x3ffffe60,0xffffffff,
    0x2a604fff,0x07ddfaaa,0x7b803640,0x037fdd4c,0x15bf5551,0xe80007dc,
    0x21bfe885,0xb804fda8,0x13e1b24f,0x5d807e60,0x226c82f4,0xf84f807f,
    0x01ff9803,0x55442fe4,0xaaafdaaa,0x2aa601aa,0x007ddfaa,0x555fe554,
    0xaaaaaaaa,0x2be6004f,0x17a002f9,0x107dba88,0x3e005fbf,0x20006c84,
    0x00ffcc7c,0xff5017f2,0x4027c364,0xd17a01f9,0x6fb9b209,0x03f84f80,
    0xf7000ee8,0x001b2007,0x0be6be60,0x8003ea00,0xe9f2004f,0x5c13e005,
    0xf107ffff,0x9f001fb5,0x54000bd0,0x4003ba0f,0x3fe603fb,0x009f0d90,
    0x7ffe43f3,0xffffffff,0x7e4d94ff,0x3f83f805,0x20017d40,0x06c800fd,
    0x17a7c800,0x8003ea00,0xb93e004f,0x83f8800f,0x20f70cfd,0x804f8af8,
    0x0003f84f,0x017d47e6,0x7c403f60,0x0db0d91f,0x66543f30,0xdfcccefc,
    0x6c112ccc,0x417cc04f,0x017e203f,0x3200fe60,0x24f80006,0x7d4000fb,
    0x4013e000,0x00fe21f9,0x89f70be2,0x2e5f107b,0x2227c01f,0x3e20003f,
    0x98005f8a,0x64bfe03f,0x4c02fb86,0xf88fe01f,0x407fd002,0x03f80fd8,
    0x6c0007ea,0x0006c804,0x07f10fcc,0x2000fa80,0xb0d9002d,0xd85f100d,
    0xf883dc0f,0x09f017a2,0x7cc0009f,0xb0001fa9,0x6c9ff409,0x2603dfb0,
    0x445f101f,0x05ff002f,0x1fc0bff2,0x5c000f70,0x0006c806,0x0036c364,
    0x001403ea,0x3f507f10,0x27c2f880,0x22f883dc,0x213e02fa,0x3ea0005e,
    0x2e0007b8,0x364ffa06,0xf301efd8,0xf98be203,0x205ff001,0x07f02ffc,
    0xf300036c,0x0006c801,0x07ea0fe2,0xfa80fa80,0x01f50000,0x85f1013e,
    0xf107b85e,0x13e06d85,0x7c8001b6,0x7cc000db,0x1b25ff00,0x3f300fee,
    0x1f987e60,0x4407fd00,0x203f80fd,0x3e20004e,0x00036402,0x013e01f5,
    0x0fa80fa8,0x640db000,0x3617c407,0xf883dc1f,0x4f81fcc2,0xd0000fb8,
    0x880013ad,0x91ff882f,0xf300db0d,0x3f733263,0xccdfdccd,0x04fd8223,
    0x01fc17cc,0x3f80009f,0xb0003640,0x5003e40d,0xfddddddf,0x05f10001,
    0x5f1017cc,0xf71cff88,0x3f20be20,0x4f884f80,0x9f2fa800,0x983f8000,
    0x9f0d90ff,0x3ea3f300,0xffffffff,0x9b25ffff,0x83f805fc,0x0013a03f,
    0x36402f88,0x202f8800,0xdf5002f9,0x01fddddd,0xe801f700,0x74c1fc05,
    0x884fffff,0xf85f882f,0x8003f704,0x80013a5e,0x27fa82f8,0x9804f86c,
    0x7b8f701f,0x06fb9b20,0x203f84f8,0x3e60006d,0x80036400,0x02f400fb,
    0x0fa80fa8,0xcccfe800,0x0feccccc,0xaa9813a0,0x02f881cb,0x104f85f5,
    0x3f2001df,0x98001b61,0x324fb80f,0xf9804f86,0x07c8f701,0x807f89b2,
    0x2e03f84f,0x01ae0007,0x7f4001b2,0xcccccccc,0x0fa800fe,0x4c000fa8,
    0xffffffff,0x3603ffff,0x2f880005,0x409f1ba0,0x7ec01ef9,0x70003dc3,
    0x6c87fa0d,0x1f9804f8,0x206c8d90,0x2017ec6c,0x2a03f84f,0x09b0001f,
    0xf3000d90,0xffffffff,0xf5007fff,0x32000a01,0xb81b2006,0x7c40000f,
    0x4f8fe602,0x8567fcc0,0xfa82feb9,0x309b0001,0x4f86c8df,0xdb01f980,
    0x51b206d8,0xf84f80bf,0x4002f403,0x06c803f9,0x32006c80,0x000fa806,
    0x004f80f4,0x27c407e6,0x00be2000,0x2013e1f9,0xffffffc8,0x0017a00e,
    0x0ff60fe6,0x3009f0d9,0xbb17603f,0x0ff43640,0x807f09f0,0x7f4002fa,
    0x8006c800,0x07e6004f,0x44001f50,0x001fa82f,0x01f90274,0x2017c400,
    0x4009f4f8,0x800acff9,0x7f4002fa,0x3207fc40,0xf9804f86,0x04e8bd01,
    0x813ee1b2,0xd803f84f,0x05f9000e,0xf5001b20,0x404e8003,0x3e2000fa,
    0xb8006d82,0x807fe207,0x005f103b,0x2009f3f7,0x0c019efa,0x7e4003b6,
    0x6c84fb82,0x7cc00fcc,0x04f89d01,0x03fe21b2,0x401fc364,0x7e402ff9,
    0x001b2005,0x0f7000db,0x22000fa8,0x001fc42f,0xff3017c4,0x5fd75359,
    0x7400be20,0xffc804fe,0x9bdeffff,0x3fe61feb,0xf82fe402,0x3626c80f,
    0x203f3006,0xd901fc4f,0x7cc0fee0,0xd8801fc2,0xfb730acf,0x006c8009,
    0x22000fe2,0x003ea02f,0xfb932f88,0x64c0599b,0x102cefcc,0x5bfffffb,
    0x99bf9710,0x027fcc07,0x2af3bfee,0x1efffecb,0x30acfd88,0x3ea09fb7,
    0x3ff2d902,0xfdddd902,0x05f0fe03,0x40dd0364,0xdddf2efd,0x7fe401bd,
    0x202effff,0xfeccccc9,0x262ccccc,0x02ccdfdc,0x33bf3326,0x99fb9712,
    0x99999999,0x3fee5f99,0x2e06ffff,0x05ffffff,0x26009a98,0x0fffffff,
    0x06013f20,0x32002620,0x2effffff,0x72980e60,0xccccb807,0x8030300c,
    0x300e6029,0x33333239,0x35973004,0xfffff900,0xdfffffff,0x7fffffdc,
    0x3fffee06,0xffff35ff,0xffffffff,0x005fffff,0x00000000,0x00000000,
    0x32e60000,0x0000001a,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0xeeeeeda8,
    0x65cc406e,0xdeeeeeee,0x00000000,0x00000000,0x88000000,0x000000bb,
    0x00000000,0x00000000,0x00022000,0xdf500000,0xf5555557,0x337bf220,
    0x2abfaaaf,0x00004e80,0x4000009d,0x200000fb,0xf30000fb,0x00007f99,
    0xe80007dc,0x2e000004,0x04e8000f,0x3f6e2000,0xfd503eff,0x200001bf,
    0xa87801f9,0x3d1a23ff,0x006fd400,0x0037ea00,0x00bf9000,0x002fe400,
    0x003445b0,0x0005fc80,0x000037ea,0x20009f90,0x40000dfa,0xcaaceffb,
    0xd98bfc84,0x4c80001f,0x2ff98f00,0x0007a344,0x80001df5,0x00000efa,
    0x400009fb,0x3c0004fd,0x360000f4,0xfa80004f,0xfb00000e,0xefa80007,
    0xdfd88000,0x701f3000,0x03d0000d,0x109f7160,0x98001e8d,0x4c0001ff,
    0x220001ff,0x100002fe,0xb00005fd,0x10003c45,0x400005fd,0x20001ff9,
    0x00002fe8,0xe8003ff3,0x82e4003f,0x6c0001f8,0x05fd0003,0x0001e8d1,
    0x80001fd1,0xd0000fe8,0x7400003f,0xf300001f,0x40007d79,0x800001fe,
    0xd0000fe8,0x8800003f,0x3f9000fe,0x6c05b000,0x3b220002,0x81fe8000,
    0x0000f468,0x22000051,0x002a0002,0x00015000,0x001cb880,0x00000540,
    0x54000510,0x51000000,0x0013e600,0x003f0264,0x3fbbfb30,0x882fe800,
    0x00000f46,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x50003740,0x4001ea0f,0x0067d42e,0x46884fc8,0x0088001e,0x00013000,
    0x000004c0,0x02600000,0x00088000,0x20000000,0x11000008,0x0017c400,
    0x7dc4b760,0x10698002,0xff3005fb,0x00f46885,0xdffffeb8,0xfd951002,
    0x4003dfff,0xffffeca8,0x6664401e,0x9999100c,0xfeca8807,0x8001efff,
    0x2dffffeb,0x03333220,0x01e66644,0xdfffeda8,0x7f6d4003,0x3d403dff,
    0xfefc8000,0x3f00202f,0x200f7540,0xd1a23ffa,0xbdfea803,0x00dfecaa,
    0x2af3bfea,0xa804feba,0xbaabceff,0x3b6204fe,0xddd301fe,0x77fd40df,
    0x4febaabc,0x57bfd500,0x101bfd95,0x2603fddb,0x4406feee,0xdcabcefd,
    0x7ec401ef,0xefdcabce,0x7930d901,0x50098005,0x0eb80bfb,0x10067dc0,
    0xe8d9bffb,0x8077ee01,0x17100fea,0x4403fc80,0x01fe400b,0x6c800fcc,
    0xf9002e20,0x01dfb807,0xf9803faa,0x440d9001,0x3fa603ff,0x407ff101,
    0x24d81fe9,0x0effeffc,0xefda8800,0x03d9000b,0x4401fd88,0x80f46db9,
    0xbf1005f9,0x00df0000,0x4c037c00,0x00d9001f,0xf981be00,0x40bf1005,
    0x0d9001f9,0xee8007ec,0xd000fd80,0x9f93f81d,0x400ff541,0x00bdfda8,
    0x8019f500,0x8d1002fa,0x800dd01e,0x5c0003f9,0x1ee00007,0x64007e60,
    0x0f700006,0x3e600374,0x2003f303,0x005f506c,0x0bea27c4,0x5f44f880,
    0x0dd101fc,0x02f7f6e2,0x17ec4000,0x34401e60,0x00be607a,0x70001b60,
    0x3dc0000f,0xc800fcc0,0x0f700006,0x36000be6,0x2003f306,0x000bd06c,
    0x002f41f7,0x5fdb07dc,0x3663f980,0x00000adf,0xd807ba60,0x0f468802,
    0x540007d4,0x66655407,0x2007c9ac,0x9accccaa,0x01f9807c,0x2aa00d90,
    0x7c9acccc,0x50001f50,0x4007e60f,0x0007f06c,0x001fc3f3,0x0bf70fcc,
    0x00a997a0,0x0005bfb7,0x16c13ee0,0x207a3440,0xfffffffc,0xffffffff,
    0xffffb80f,0x07ffffee,0xeeffffb8,0x9807ffff,0x80d9001f,0xfeeffffb,
    0xff907fff,0xffffffff,0x01ffffff,0x1b2003f3,0x7c0007e6,0x20003f33,
    0x4003ea3f,0x37fb006c,0x20000bf9,0x6ca89ed8,0x81e8d100,0xccccccfc,
    0xcccccccc,0x0577ec0c,0x7ec07d98,0x0fb300ae,0x32003f30,0x02bbf606,
    0xcfc83ecc,0xcccccccc,0x80cccccc,0x0d9001f9,0x3e0003f3,0x20003f33,
    0x4003e63f,0xd06b807c,0x7dc00007,0xd1000bdf,0x00fa81e8,0x005f9000,
    0x02fc81ee,0x3f300f70,0x7e41b200,0x2a0f7002,0x4c00000f,0x10d9001f,
    0x5f10005f,0x22000be2,0xd8017c2f,0xd702f806,0x05b80000,0x40f46880,
    0x880003f8,0x41ee003f,0x1ee003f8,0x64007e60,0x2003f886,0x007f107b,
    0x001f9800,0x0013e0d9,0x004f83ea,0x02f40fa8,0x03c404e8,0x400200f1,
    0x344000f8,0x0037407a,0x7000fcc0,0x8007e60f,0x01f9807b,0x03f30db0,
    0x0dd03dc0,0x01f98000,0x03f20db0,0x0fc8dd00,0x7d437400,0x400fd402,
    0x200f301f,0x00f8801d,0x407a3440,0x208005f8,0xff7003f9,0x5c00fe60,
    0x03f8807f,0x3f986fc8,0x440ff700,0x1008005f,0x0df9007f,0xfc8017e2,
    0x9002fc41,0x403fa03f,0x09b005f8,0x00ec0176,0x3440035c,0x0cfb807a,
    0x3e1fd980,0x3ffec406,0xfd880df0,0x40dd007f,0xdf06ffe8,0x07ffd880,
    0x4c0067dc,0x40dd01fd,0x2a06ffe8,0x27e400df,0x6400dfa8,0x2ffa204f,
    0x001df711,0x7dc42fe6,0x9803b000,0x4688001e,0x5ffd401e,0xffb53109,
    0x10bdfa87,0x9f75ff95,0x0bdfa859,0xf75ff951,0x6fd40599,0x95df9512,
    0xbdfa859f,0x75ff9510,0x3ea0599f,0xb53109bf,0x6fd407ff,0x95df9512,
    0x3fea059f,0x0ffaa61b,0x4c37ff50,0xb8803fea,0x00dffffe,0x77eff4c0,
    0x3bbb6001,0x01efeeee,0x7fdddd70,0x4037bbee,0xffffffd8,0x3fea03ef,
    0x70cfffff,0xff50dfff,0x219fffff,0x5c06fffb,0x24ffffff,0xffa86ffc,
    0x70cfffff,0x6c40dfff,0xefffffff,0xffff7003,0x37fe49ff,0xfffffb10,
    0x362003df,0x1effffff,0x00ab9800,0x000d4c00,0x55555554,0x554c000a,
    0x55510aaa,0x59531005,0x65d40013,0x5d40001a,0x300001ac,0x40003595,
    0x0001acba,0x13595310,0x35953000,0x77310000,0x26200015,0x00000abb,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40008000,0x00000029,0x053002a8,
    0x00018800,0x00000530,0x000a6000,0x98000110,0x00000001,0x00100011,
    0x05bb3000,0x200fa200,0xf7001ff8,0x3100009f,0x9f303597,0x009ff700,
    0xdffffc88,0xbff70001,0x3ff62000,0xffb8000d,0xffec8004,0xfd5000df,
    0x8005dfff,0x7f5c005c,0x2e600bef,0xe800007d,0x4c000fff,0xffa801ff,
    0x5e7ec404,0xd88000ef,0x1effffff,0xfd880df1,0xa800efbc,0xfebaacff,
    0x5e7ec003,0x7dc000ef,0x22003fff,0x00efbcfd,0xcabdfe88,0x3fa202ff,
    0x5fdbaacd,0xc801b200,0x2febabdf,0x007bbee8,0x0fffe800,0x003bea00,
    0xd301ffcc,0x017f4c5f,0x4437fd30,0x00fdcfea,0xfe98bfa6,0x4037e202,
    0xfe9802fc,0x800bfa62,0x002ffffa,0x7f4c5fd3,0x4417ec02,0x2ff880fe,
    0x64013ea0,0x207f7006,0x01ea00fb,0x0b766000,0x000dfb80,0x7c40ffe6,
    0x02fd881e,0x6400efa8,0x3be202ff,0xd02fd881,0x00fd801d,0x36207be2,
    0x376a002f,0x03df1002,0x3e605fb1,0x2213e203,0x01fb800d,0x4f8806c8,
    0x0f5036c0,0x20000000,0xf88005fa,0x2a00a03f,0x800ee800,0x01401ffa,
    0x017c4054,0x02e017c4,0x00000150,0x20150050,0x00fd806e,0x6401fc00,
    0x400fc806,0x00f503f8,0x22000000,0x5ff10002,0xf7000000,0xddbf3003,
    0x7d400000,0x0009f001,0x00000000,0x00fe6000,0xd0000fe6,0x0bfea809,
    0x3e401760,0x220007a8,0x0000000c,0x2002ff80,0x27c40009,0x7d477440,
    0x40022002,0x07f001f9,0x00000000,0xa8004400,0x00bf000f,0xfb81fcc0,
    0xebdffeff,0x7d4013e0,0x70007a81,0x000001ff,0x203ff000,0xffffeca8,
    0x00fb801e,0x017a1fd8,0x7bfffdb5,0xf9803f80,0x03333221,0x01e66644,
    0x7f5c0000,0x2e02dfff,0x001b6007,0xcfe80fd8,0xf17fe4c0,0x541fc009,
    0x6fec4007,0x2e007300,0x004ccccc,0x3fea07fe,0xfebaabce,0x5c036404,
    0xd883dc2f,0xfdcabcef,0x801f901e,0x7f76c46e,0xdfddd301,0x5001dc00,
    0xd9557bfd,0x00db01bf,0xfa8003e4,0x7401fc85,0x5401762f,0x2007a84f,
    0x36402ffb,0xfeeeed80,0x203fa007,0x1fe400b8,0x4f980bb0,0x7fc40fa8,
    0x207fa603,0xfd881ee8,0x4007e602,0x0176006c,0xd500efdc,0x2005e81f,
    0xb998807b,0x03f984fd,0x01ee1f98,0x1ea17fe2,0x0037fa60,0x7c8001f6,
    0x0003fa00,0x01fc0df0,0x07e60df1,0x3ba001fb,0xccefd880,0x7cc01efe,
    0x400d9001,0x05f9805e,0x04e8bf10,0xf9003ea0,0x1ee09fff,0x01fcc180,
    0x4cc5b7b6,0xfc8199fb,0x01f6002e,0x36007c80,0x07b80007,0x07f407f1,
    0x0bea2f88,0xf504f880,0x009fffff,0x1b2003f3,0x2013fee0,0x1fcc006e,
    0x07d4009d,0x17fedcc0,0x2e0002ec,0xd93fb02f,0x3bbbbbb6,0x229fd33e,
    0xfd01cfeb,0x01f20001,0xb80007d8,0x7e40fe07,0x5e87e601,0x5c0fb800,
    0x17ee61cf,0x32003f30,0x073fea06,0x2000be60,0xa8013a6d,0x3fd8000f,
    0x640002f4,0x1feb9adf,0x77e400d9,0x3aa15f31,0x0000fe83,0x03ec00f9,
    0x56666554,0x217a07c9,0x07d403fa,0x3f30007f,0xdd1017e4,0xc800fcc0,
    0x001bf906,0x540007d4,0xfb8017a7,0x47f70000,0xd700006c,0x36c39fff,
    0x3a27f540,0x7fc0f983,0x00f90001,0xfff702dc,0xfffffddf,0x17e63640,
    0x01f99f20,0x0fe27f00,0x7cc0be60,0xf30d9001,0xfff90009,0xffffffff,
    0x361fffff,0x001ee006,0x007dcdb0,0x3e031000,0x07bf6205,0x7fc2f806,
    0x00f90001,0x02bbf600,0x3f703ecc,0x2f401ba2,0x3e0003f3,0x26c00f53,
    0xd9001f98,0x32000f90,0xcccccccf,0xcccccccc,0x36400f90,0x443ea000,
    0x8000005f,0x7ff503f8,0xf81f5000,0x0f90002f,0x005f9000,0x36bf01ee,
    0x22fa800f,0xf88002f8,0x3dc00bb2,0xd9001f98,0x2a0009d0,0xfb80000f,
    0x000bb000,0x067d47f0,0x20003f70,0x0dfc81fb,0x442fa800,0xf90002ff,
    0x03f88000,0xbf701ee0,0x217a005f,0x0fa8004f,0x83dc00db,0x0d9001f9,
    0x3e20009d,0x2fa80003,0x0004f880,0x3bea17c4,0x4ffca9ab,0x20df3000,
    0x3f50002c,0x0005ff10,0xf30001f2,0x403dc003,0x3f9003ff,0xe8001f90,
    0x5d801ee6,0x36003f30,0xd1006c86,0xf00006e8,0x003f700d,0xd980fa80,
    0x00adffff,0x0003fa00,0x2603d900,0xf90003ff,0x3e604400,0x80ff7003,
    0x2201eff9,0x0bf103fd,0x7f30fe40,0x2207f300,0x86fc803f,0x0fa803fa,
    0x020017e2,0x2f4403f9,0x0bf1000c,0x20000db0,0x200002fc,0x3e600ed8,
    0x0f90003f,0xdf17fee0,0x07ffd880,0x2ffabba2,0x00bfae61,0xfc801bf5,
    0x2202fb84,0x1037405f,0x3f60dffd,0x703f6603,0xfb30019f,0xd8077c43,
    0x00efd41f,0x32003fa2,0x7f4c0006,0x3a600003,0x04ff9805,0x3e00f900,
    0x37ea1fff,0x5ff9510b,0xfd8599f7,0x3fffff21,0xff5000ef,0x1ff54c37,
    0x2613bfb0,0x7d400efc,0x5df9512d,0xfd8859f9,0xffecbbce,0x137ff504,
    0x0fff6a62,0x2a22fbea,0x9ff503fd,0x3ff26235,0x500d9001,0xdf973113,
    0x7d400003,0x1ee83903,0x33332e20,0xcccccfec,0x21fff61c,0xfffffffa,
    0x4dfff70c,0xbb9882fa,0xfd880009,0x01efffff,0xffffffa8,0x3ffee004,
    0x3ff24fff,0xdffdb506,0xffb1005b,0x07dfffff,0xfffffe98,0x7ff64402,
    0x4004ffff,0xfffd806c,0x0000bdff,0x7ffffe40,0xa8003fff,0xffffffff,
    0x25ffffff,0x2ea00bb8,0x144001ac,0x98800000,0x98000abb,0x980009ba,
    0x00001aca,0x654c4000,0x54c0009a,0xb988001b,0x4b80009a,0x00375100,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000180,0x00bccb88,0x00020040,
    0x44000001,0x1700001d,0x81644000,0x400800a8,0x00130000,0x00010020,
    0x33100801,0x33333333,0x33333333,0xfd300000,0x00005bfd,0xffffff70,
    0x40ff6005,0x6dcc01fe,0x74000007,0x3a20002f,0xd30001ff,0xffb57bff,
    0x882fe805,0xec8800ff,0x711dffff,0xfd82fdc0,0x20ffa003,0xaba81ff8,
    0xaaaaaaaa,0xcaaaaaaa,0x40172600,0x03ea1cf9,0x2dfa8000,0x3e007fae,
    0x03ff885f,0x001eefba,0x07fb1000,0xfd5df500,0x7e440007,0x4400aeff,
    0x2ffa84ff,0x55ef7dc0,0x07cdfeca,0x2ffc1ff6,0xf309ff00,0x0003507f,
    0xffca8150,0x4d80006f,0x81be0000,0x01c9806f,0x1ea00197,0x7ec00000,
    0x837f2004,0x71000dfc,0x1fd5bffb,0x5c032a00,0x2027e403,0x32207ffa,
    0x40019501,0x017700ca,0x15000035,0x36b3ffee,0x04d80006,0x407f3000,
    0x000001fb,0x00003d40,0x9009f900,0x01bea07f,0xd1056ffc,0x2000000b,
    0xff3002fa,0x00000000,0x0000d400,0x641cb854,0xd9530006,0x3ea00001,
    0x000be200,0x00f50000,0x02a80000,0x01440198,0x13a20098,0xbf100000,
    0x0007d800,0x20000000,0x0a80001a,0x54003640,0xb8001fff,0x2600fa82,
    0x0098001f,0x8000f500,0x0000003a,0xf3000000,0x00088003,0x498003f5,
    0x40000000,0x00350008,0x6c801500,0x0bee6000,0x5417f4c0,0x201f600f,
    0xffffeca8,0x01ea001e,0x002fec40,0x80000000,0x21bcdca8,0x76d400fd,
    0x3203dfff,0xcc880007,0x999100cc,0x3fae0079,0x2a02dfff,0x00a80001,
    0x64000364,0x01efc807,0xfeb881f5,0x677fd402,0x04febaab,0xf7000f50,
    0x3332e07f,0x32e004cc,0x8004cccc,0xffeefffc,0xb102f99e,0xfb9579df,
    0x000bb03d,0x03fddb10,0x01bfbba6,0x9557bfd5,0x03501bfd,0xc8015000,
    0x1f880006,0xa809fd30,0x13fff20f,0xf9002e20,0x400f5007,0x3600dfd8,
    0x007feeee,0x1ffbbbb6,0x80cfe980,0x885ebfe9,0x3fa603ff,0x00002741,
    0x364007e6,0x5403bf70,0x000d40fe,0x1b200540,0x22172000,0xfa801efc,
    0x3bfb2e20,0x0df00001,0x3ee00f50,0x0f90002f,0x2007c800,0xefb801ee,
    0xd000fd87,0x00036c1d,0x64007e60,0x200bf306,0x000d45f8,0x1b200540,
    0xb985ef40,0x01ffd41f,0x75401f50,0x7b80002f,0x33f73310,0x01bfd303,
    0x0003e400,0x0fe401f2,0x541ffb00,0x93e2002f,0x4c00007b,0x20d9001f,
    0x1fcc006e,0x15000035,0x2a006c80,0x221dfffd,0x1f6c0efd,0xfd800fa8,
    0x83dc0000,0xeeeeeeed,0xd90bbf23,0x003e4009,0x3e201f20,0x0ffc4003,
    0x1f7000bd,0x80000fe6,0x0d9001f9,0xdb0005f3,0x540000d4,0x00036400,
    0xd707ff50,0x003ea09d,0x95501ba2,0x0f935999,0x427f4c00,0x32005dfb,
    0x03e40007,0x640007d4,0x2000fe2f,0x003f61f9,0x1f985c88,0x1f50d900,
    0x0d4f5000,0x20054000,0xd880006c,0xd9f980df,0x2001f504,0xfffb80fa,
    0x7ffffeef,0x03df9000,0x400b95f1,0x3e40007c,0xb8003dc0,0x0003f31f,
    0x01ef88fe,0xf982ffa8,0xf90d9001,0xffffffff,0x1fffffff,0x2a00006a,
    0x00036400,0x4e80bfee,0x003ea09b,0x3bf617cc,0x00fb300a,0x3603fea8,
    0x3e400b95,0x201f2000,0x1f50006c,0x7c0007e6,0x84e7f4c3,0x02efdb98,
    0x1b2003f3,0x333333f2,0xcccccccc,0x000350cc,0x06c80150,0x01bfd300,
    0x2a09b35c,0xc93e000f,0x00f7002f,0xb807bf62,0x6400b90f,0x03e40007,
    0x640007d4,0x2000be27,0xfff902f8,0x805dffff,0x0d9001f9,0x500001f5,
    0x01500003,0xfa8006c8,0xb0fcc02e,0x8003ea09,0x4007f14f,0x3ff8807b,
    0x0b917c40,0x20003e40,0x02f9807c,0x027c6e80,0x31007d40,0x200357d9,
    0x0d9001f9,0x500007f1,0x01500003,0x4a8006c8,0x04d89d00,0xf30381f5,
    0xb8007e67,0x800c9807,0x9002e45d,0x07c8000f,0xf8800bf0,0x20007e44,
    0x00b5006e,0x36003f30,0x0000dd06,0x15000035,0x00006c80,0x26667ee0,
    0x20fa80dd,0x31fb82f8,0x1fee007f,0x99fa8000,0x9000dd99,0x07c8000f,
    0x22009f50,0x005f886d,0x7d4007f2,0x0fe2000d,0x7c41bf20,0x06a08005,
    0x9002a000,0x6400000d,0x4ffeeeee,0x42ec0fa8,0x22037c6e,0x00007ffd,
    0x3fbbbbae,0x00f9005f,0x32007c80,0x17f4404f,0x6400dfa8,0x04b8004f,
    0xfd103740,0x067dc0df,0x1a8fecc0,0x400a8000,0x0000006c,0x372e24d8,
    0x44fea1cf,0x5efd42fd,0x75ff9510,0x0000599f,0x7c801720,0x003e4000,
    0xb986fbf2,0x7fd403fe,0x0ffaa61b,0x26c4e6c0,0x44b7ea00,0xcfcaefca,
    0x137ff502,0x8fff6a62,0x0a80001a,0x00003640,0xff326c00,0x7e449fff,
    0xff502fff,0x219fffff,0x0006fffb,0xcb88b900,0xccfecccc,0x9711cccc,
    0x99fd9999,0x26039999,0xdffffffe,0xfffb1000,0x4003dfff,0x000cfed9,
    0xffffffb8,0x881bff24,0xfffffffd,0x0001a83e,0x999930a8,0x99999fd9,
    0xfd000005,0x71000bff,0x59750015,0x00000003,0x7d4dfffb,0xffffffff,
    0xf55fffff,0xffffffff,0x80bfffff,0x0009bba8,0x01577310,0x98000000,
    0x80001aca,0x009aca98,0x3333336a,0xcccccccc,0xff90dccc,0xffffffff,
    0x00000dff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x01100000,0x005ddd90,0x77775c00,0x03eeeeee,
    0x1f775c00,0x40022000,0xeeeeeee8,0x04eeeeee,0x88000030,0x55100000,
    0x97510000,0x44000035,0x0001acba,0x80000220,0x36a02eed,0xb00dffff,
    0x00005fdd,0x777777e4,0x0004eeee,0xc827f764,0x3b2a1ccc,0x2202ceff,
    0xeeeeeeef,0x105feeee,0x17bfffd9,0x980e6664,0x21cefffd,0x5402cccb,
    0x3f20006f,0xcffecdef,0xdff90000,0x019ffd9b,0x0006c800,0x207fdf50,
    0xfcaadffc,0x00be202f,0x0007c800,0xb04f8000,0x3bf65fdd,0x05fecaac,
    0x2ec005f1,0x5d5effdc,0xdddf1ffd,0x559df905,0x3bf67fd9,0x037d403e,
    0x804f74c0,0x26002fd9,0xfb3009ee,0x03640005,0x07f5e800,0xfb1015fb,
    0x000be203,0x00007c80,0x4404f800,0x2e02febf,0x001f885f,0x0dfc87f1,
    0x09f5fb10,0x7f7027ec,0x37d400bb,0x800fee00,0x3fb804fa,0x0013ea00,
    0x5c000364,0x4fb87f1f,0xf880fd80,0x1f200002,0x3e000000,0x07ffc404,
    0x0042fc40,0x27cc3f50,0x504ffd80,0xbff5005f,0x00154400,0xd10003f5,
    0x000fd407,0x64001f44,0x27c40006,0x1006e87f,0x005f105f,0x0003e400,
    0x2027c000,0x2e002ff8,0x1b60001f,0x7f4400dd,0x2005f884,0x000005fd,
    0x66644be2,0x3f301ccc,0xfb505f10,0x7cc535df,0x00364001,0x43f83f20,
    0x213e001e,0x001102f8,0x000007c8,0x22027c01,0x03e8006f,0x1f993e00,
    0x5427dc00,0x17e2001f,0x45d80000,0xec999bc9,0x85d86c81,0x0fb262eb,
    0x06c800d9,0x7f0fe600,0x885e8000,0x3ffb262f,0x07c802df,0xffb71000,
    0x404f87bf,0x5c8004f8,0x5c3f3000,0x27cc000f,0x2fc003dc,0x0f980000,
    0xd05882b8,0x16207cc5,0x002e83d8,0x6e8001b2,0x7c0003f8,0xdf72f883,
    0x09fd9559,0xbdb737c8,0xbff30037,0x21dfb757,0x01fc404f,0xc8003dc0,
    0xf8003647,0xe8006d84,0x33332e05,0x705b804c,0x93207205,0x2601b85b,
    0x32004c82,0x03f50006,0x7e40007f,0x3fcaf881,0xfc81bee0,0xffedffff,
    0x4037e604,0x404f8ee9,0x7c8004f8,0x7b89d000,0xc84f8800,0x205e8007,
    0x07feeeed,0x105704c8,0x264b701d,0x25b8002c,0xeeeeeed8,0xeeeeeeff,
    0x3e0bf01d,0x09f30003,0x2007ffe2,0x7bf704f9,0xf30df703,0x13ff6009,
    0xb000bf10,0x85f3000b,0x7d4000fa,0x2000fa84,0x3e4005f8,0x42b81740,
    0x74f303da,0x98002c42,0x3bbbb627,0xeeeeffee,0x0fc82dee,0xf30007f0,
    0x027fc40d,0x00203f90,0x01db0fea,0x1013fe20,0x7c4001ff,0x887b8004,
    0x27ec004f,0xf7001fcc,0x807c800b,0xfddd701f,0xf87c403d,0x88002c41,
    0x00d9000f,0x0fe04f88,0x401df100,0x4f8007f8,0x3e3ec000,0x027dc002,
    0xe801bfe2,0x05e8000e,0x3ea003f9,0x001f904f,0xc800bff1,0x5702d807,
    0x4f300f54,0x3000682d,0x0036400f,0x03f803f6,0x1003be60,0x0db000bf,
    0xf31f9800,0x04f98001,0x006fefc4,0x10005fb1,0x00ff405f,0x4413f7ea,
    0x3ba200ef,0x03e4005e,0x442b8264,0x264b700e,0x2dc0006c,0x4c00d900,
    0x801fc02f,0xf8800ef9,0x007b8003,0x07b97c40,0x4404f880,0x21bff9af,
    0x0003ffb9,0x7f4401f7,0x9fb3109c,0xbfe9813e,0x3637ee61,0x403e4005,
    0xb305705a,0xa85a9320,0x02640c04,0x37400d90,0x7cc01fc0,0x07f1000e,
    0x0000f700,0x4001b27f,0x897c404f,0xeffffffe,0x01760000,0x7fffffdc,
    0xb1013e3f,0x49ffffff,0x03e4005d,0x815c07cc,0xf317c42c,0x7b107701,
    0x32002f88,0xdddf1006,0xdfdddddd,0x03bea07d,0x8004f880,0x7c40006c,
    0xf3000f52,0x982f8809,0x40000abb,0x262003f8,0x04f80acb,0xb0377510,
    0x007c800b,0x566d44b9,0x5d857440,0x57b905c8,0x00bb07b9,0x991006c8,
    0x99999999,0xbf5059df,0x06f88001,0x40005e80,0x003f11fa,0x7c404fa8,
    0xa8000002,0xf800000f,0x17600004,0x7400f900,0x01555513,0x201f5153,
    0x402e603e,0x364000fa,0x81fc0000,0xf10005fa,0x17d4005f,0xbd1f2000,
    0x404fe800,0x000002f8,0x000006d8,0x7400009f,0x003e4004,0xf30005f3,
    0x0017cc05,0x640017cc,0x3f800006,0x20005fb8,0x8800fff8,0x8006cc5e,
    0x017dc3f9,0x4404ffb8,0x8000002f,0xf000003f,0x3e200009,0x003e4002,
    0x640033ea,0x0cfa803f,0x0007f900,0x20000062,0x0027dc3f,0x03bb3e20,
    0x7c40fe88,0x8374c03f,0x5fdc02fc,0x017c404f,0x07e60000,0x027c0000,
    0x000fd800,0x6c4003e4,0xeea981be,0x2fb62001,0x01eea981,0x80000000,
    0x800ff23f,0x2bf32e5c,0x2e61bfe8,0xdfb101ef,0x3bf26237,0x4277f201,
    0x9df2fda8,0x005f1017,0x006c8000,0x0013e000,0x0007fb10,0x75c000f9,
    0x3effeeff,0x3ffae000,0x803effee,0xccccccb8,0xcccccccc,0xccc9800b,
    0xccee9cef,0xcccccccc,0xfffd15ec,0x3ffff625,0xda800dff,0x04ffffff,
    0xfffffd70,0x17fffc3d,0x999bf997,0x3d800005,0x99930000,0x20179df9,
    0xfdccccc9,0x332e203f,0xcccfeccc,0x26001ccc,0x800001aa,0x4c001aa9,
    0xffffffff,0xffffffff,0xffffd803,0xffffecff,0xffffffff,0x5dcc005f,
    0x77300009,0x2ea20003,0x3fa2000a,0x06ffffff,0x00000000,0x3fffffee,
    0xfff702ff,0xa801bdff,0xffffffff,0x05ffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x26662000,0x33330099,0x1dda8033,0x00400800,
    0x05999991,0x06666654,0x0003bb50,0x056665d4,0x4de5c400,0x00020040,
    0x003776cc,0x99998800,0x01999999,0x00579730,0x06b32a60,0x06666441,
    0x03cccc88,0xffffff50,0xfffffb0f,0xfdfd109f,0x417a219f,0x09f906fa,
    0x13bbff62,0x0dffeec8,0xcffefe88,0x3220bb10,0xfffeefff,0xffec8803,
    0x3f14fffe,0x4c001ae0,0x00007eed,0xffffffa8,0x04ffffff,0x3ffffff2,
    0xffd3002e,0xf53dffdf,0x80ff76c4,0x006feee9,0x06ab3eea,0x2b7eaaa2,
    0xf712eb80,0x3203ffbf,0x06fe80ff,0xf10007dc,0xb8975c07,0xf01ffdff,
    0x9fd303bf,0x04dffd40,0x05f7df93,0x2e0001ee,0x55000007,0x57fb5555,
    0x7fd10155,0x027ed443,0xd302bbe6,0x3f301fdf,0x3001b600,0x03f8005f,
    0x00cec880,0x0e4c0b22,0xc8013e20,0x9d910007,0x6401fc01,0x00dfa81f,
    0xb817fec4,0x07b80007,0x3dc00000,0x200ffcc0,0x0df105fc,0xf301ff90,
    0x001b6003,0x3f8005f3,0x00000000,0x2003ee00,0x000003f8,0x8bd003f8,
    0x7f4006f8,0x0000f702,0x000000f7,0x0ee807b8,0xf707f700,0x203fa001,
    0x0db001f9,0x4002f980,0x0044003f,0xf8800000,0x000fc804,0x02e00098,
    0x0bf23e40,0x2e05f500,0x07b80007,0x3dc00000,0xb000bea0,0x2006d81f,
    0x01f980fb,0xf9800db0,0x401fc002,0x3dfffeda,0x5c000000,0x00fe200f,
    0x3fffb2a2,0x200001ef,0x0017a0fa,0x666447e2,0xccccccfe,0x03dc04cc,
    0x1ee00000,0x98005f88,0x1002f43f,0x4007e609,0x17cc006d,0xd880fe00,
    0xfdcabcef,0x3332e01e,0xf88004cc,0x5003f204,0x75579dff,0x200009fd,
    0x0007e26c,0x3fbbb620,0xeeeeeeee,0x221ee00d,0x01cccccc,0xf503dc00,
    0x91360003,0x3e60000f,0x800db001,0x1fc002f9,0x2603ff88,0xdddb01fe,
    0x2e000ffd,0x804f880f,0x1fe400b8,0xa8fe2000,0xb800000f,0x87b80007,
    0x2eeffed8,0x703dc000,0x235c000f,0x980004f9,0x00db001f,0x7c002f98,
    0x2001fb03,0x0f9000ee,0x3213e200,0x7c00000f,0x3fe60006,0x00001b20,
    0x5c0003dc,0x001df307,0xdb03dc00,0x207cc000,0x20002dfb,0x0db001f9,
    0x4002f980,0x002fa83f,0x3e4013e2,0x441f7000,0xb800004f,0xefc98007,
    0x000036c0,0xb80007b8,0x000dfb87,0x9d03dc00,0x417c4000,0x1aceffd9,
    0x2003f300,0x17cc006d,0x17a0fe00,0x2003ee00,0x3e20007c,0x00003ee4,
    0xd9801ee0,0x00db03ff,0x001ee000,0x09f91ee0,0x81ee0000,0x1fc0004f,
    0xfffd9510,0x00fcc019,0x7cc006d8,0x7c1fc002,0x01f98003,0x5c0007c8,
    0x0004f88f,0x35999955,0x17e400f9,0x00001b60,0x5c0003dc,0x4007fb17,
    0x81ee0009,0x3e20004e,0x77dcc002,0xb007f300,0x2f9800df,0x3e61fc00,
    0x007f0001,0xf88000f9,0x5c000fbc,0xffeeffff,0x1f2007ff,0x00001f20,
    0x5c0003dc,0x4002fe8f,0x81ee004e,0x3e60006d,0x1fd30000,0x7440df30,
    0x7cc006ff,0x261fc002,0x07f0001f,0x70000f90,0xfd8009ff,0x0fb300ae,
    0x7dc035c0,0x7b800000,0xfffb8000,0x0274004f,0x03dc0f70,0x8000d700,
    0xdff982f8,0xb3df9512,0x3e20059f,0x10be2002,0x5f10005f,0x0000f900,
    0x64001ff1,0x00f7002f,0x02f98008,0x007b8000,0xfb8efb80,0x8013a003,
    0x007ea07b,0x000226c0,0x3b3e613a,0x364fffff,0x13a006ff,0x4f81fb80,
    0x800fa800,0xf880007c,0x00fe2004,0x000007b8,0x700000dd,0x8f70000f,
    0x09d003fb,0x17a03e40,0x6c8fe600,0xf986d800,0x00035731,0xfb0035c0,
    0xd0003f20,0x001f200d,0x98003ee0,0x01ee001f,0x01fcc000,0x07b81d40,
    0xfc87b800,0x2004e803,0x017d405f,0x0fc83fa0,0x7cc27400,0x4c000001,
    0x04f9803f,0x7e400bf1,0x000f9001,0xf98009f0,0x00ff7003,0x3f9000c4,
    0xa827dc00,0x3dc0001f,0x2f403fc8,0xd802fa80,0x85f9000e,0x3ea004fc,
    0x0001f982,0x202fc800,0x6fd406f9,0x0027e400,0xfb8000f9,0x406f8000,
    0xd007ffd8,0x36003fff,0x05fc804f,0x2e2017e6,0x3f207b81,0x803bee03,
    0xff3005f9,0xc85fc805,0x5f9803ff,0x00003f30,0x9873f200,0xfa801ffb,
    0x3faa61bf,0x003e4003,0x540017e0,0xf9510bdf,0x0599f75f,0x017fffea,
    0x261befd8,0xfc803feb,0xfb7310ad,0xc80f705f,0x33fa602f,0x01df7309,
    0x8567ec40,0xd904fdb9,0x4c415df7,0x3f300efd,0x64000000,0x0dffffff,
    0x3fff6200,0x7101efff,0x9fd99999,0x5c399999,0xcdfdcccc,0x7fd4000b,
    0x70cfffff,0x3e20dfff,0x54003fff,0xeffffffe,0x3fff2001,0x20cfffff,
    0x2607dcb8,0x883ccffc,0x4ffffffc,0x3fff2000,0x2e02efff,0xfffffd34,
    0x1f9807ff,0x88000000,0x20000abb,0x400abb98,0xfffffffa,0x5fffffff,
    0xffffffd1,0x20005fff,0x0001acba,0x000165c4,0x00037751,0x04d65d44,
    0x207fffa8,0x0efffffc,0x002aee60,0x0d65cc00,0xacb98800,0x00e88009,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2e200000,0x20aaccdc,0x000eeed8,0xddddd700,
    0xca88000b,0x4c4041ac,0x99980099,0x4ccc4199,0x99999999,0x4c409999,
    0x09999999,0x665c4000,0x33331001,0x4cccc033,0x4ccccc40,0x99999999,
    0x33310999,0x01333333,0x33333100,0x44000133,0xfb8001cb,0xfffffeff,
    0x01fddb30,0x3bbb2000,0xc88006fe,0xeffffffe,0x7ffc1f8a,0x3ff201ff,
    0xff35ffff,0xffffffff,0x89ffffff,0xffffffff,0x4002ceff,0x3efeffe9,
    0x3ffffe60,0xfffe86ff,0x3ffea2ff,0xffffffff,0xf94fffff,0xffffffff,
    0xfff8800f,0x004fffff,0x05ffff10,0x2056fdc0,0x01f50198,0x03640000,
    0x82b3fe60,0x42fefdb9,0x206ffba9,0x0adfaaa8,0x2aaff2aa,0xaaaaaaaa,
    0x57754c4f,0xfecbaaaa,0x17df1005,0xaa80ff62,0x881aabfc,0x7d42dfea,
    0xfdaaaaab,0x4faaaaaa,0x555dd551,0x53000355,0x0fbbf555,0x3fffee00,
    0x00df1005,0x00007d40,0x4c00d900,0xff9801ef,0x05fbf102,0x0fa813e0,
    0x27413e00,0x20077dc0,0x00d900fd,0x9f9001f5,0x36403ea0,0x00db09d0,
    0x4d7cc000,0xffa8002f,0x5f3004ff,0x007d4000,0x00d90000,0xb8003fa2,
    0xfb5f102f,0x5409f001,0x413e000f,0x09f3004e,0xa80005f8,0x01fec00f,
    0x81b201f5,0x0006d84e,0x05e9f200,0x01dffb00,0x80003ea0,0x000000fa,
    0x17dc01b2,0x440be200,0xf804f8af,0x8003ea04,0x4009d04f,0x05f301fb,
    0x201f5000,0x7d402fd8,0x2740d900,0x777777ec,0xf0000acd,0x80007dc9,
    0x07d40008,0x101f5000,0x0d900001,0x04001760,0x07ee5f10,0x07d409f0,
    0x13a05b00,0x3e20dd00,0x0fa80002,0xa801fe88,0x740d900f,0xeeeefd84,
    0x002fffee,0x07f10fcc,0x66540000,0xcccccfdc,0x87d404cc,0x0cefffd9,
    0x200d9000,0x8800003f,0x9f017a2f,0x02807d40,0x2a002740,0x0009f01f,
    0xee881f50,0x201f5001,0x3613a06c,0x01fec406,0x00db0d90,0x7775c000,
    0xeeeeeefe,0x23ea00de,0xfcaadffb,0x06c8000e,0x00001f98,0x0bea2f88,
    0x03ea04f8,0x4e8003ea,0xd817c400,0x0fa80006,0x88003be6,0x1a81b203,
    0x3f9006d8,0xf507f100,0x20000003,0x2a0000fa,0xfd103fdf,0x700d9000,
    0x2200000f,0x9f036c2f,0x7d407d40,0x0013a000,0x007d40fe,0x7d43ea00,
    0x6400000e,0x006d8006,0x03ea017a,0x0000027c,0x20000fa8,0x7dc02ffa,
    0x40364002,0x1000006c,0xf03f985f,0x7777d409,0x2000feee,0x54e8004e,
    0xdddfdddd,0x8fa8009d,0x0004fffb,0x6c003640,0x201ee006,0x801f206d,
    0x2001aaaa,0x2a0000fa,0x04f8803f,0x36403640,0x2f880000,0x04f80fc8,
    0x3bbbbbea,0x13a000fe,0x76d53a00,0x4eeeffee,0x67efd400,0x0002efd8,
    0xdb000d90,0x1007d400,0x017cc05f,0x017fffc4,0x40001f50,0x0bb000fa,
    0x6c806c80,0xaaaaaa80,0x82f881aa,0x204f85f8,0x00fa80fa,0x3a0013a0,
    0x00017604,0xffa87ff5,0x06c80001,0x36006d80,0x2007dc06,0xfffb805e,
    0x007d4005,0x2001f500,0x0364005d,0x3fe603e4,0x86ffffff,0x85f502f8,
    0x203ea04f,0x13a000fa,0x6c80fe00,0x81fd4000,0xc80006d8,0x006d8006,
    0xcfe809f1,0xeccccccc,0x7ffec00f,0x007d4000,0x2001f500,0x0364005d,
    0x262007d4,0x103fa999,0x3e37405f,0x1403ea04,0x30013a00,0x002ec03f,
    0xf8803ea0,0x03640004,0x74c036c0,0x3ffe600f,0xffffffff,0x3ffe203f,
    0x00fa8003,0x4003ea00,0x0364005d,0x44000fcc,0x405f102f,0xa813e3f9,
    0x40f4000f,0x03dc004e,0xf500013a,0x001fb801,0x36001b20,0x07fee606,
    0x36400d90,0x000dff50,0xa80003ea,0x00bb000f,0x09f006c8,0x2205f100,
    0xf87e402f,0x8003ea04,0x004e82f8,0x07f017a2,0x800fa800,0x1b20005e,
    0x3bbbf600,0x00cfffee,0x3e6004f8,0x003ff901,0x80003ea0,0x0bb000fa,
    0xf9006c80,0x02f88003,0x4f8805f1,0x007d409f,0x09d05f10,0xf500fec0,
    0x7d406003,0x000fb800,0xfb000d90,0x15999999,0x0007ea00,0x017fe09d,
    0x0000fa80,0x2ec003ea,0xe801b200,0x817c4006,0x9fb802f8,0x003ea04f,
    0x04e82f88,0x5e809f90,0xf503f100,0x007f1001,0x36001b20,0x0db00006,
    0xff30f700,0x07d40001,0x001f5000,0x0d900176,0x80177cc0,0x05f102f9,
    0xa813fba0,0x0be2000f,0xbfb5013a,0x7001fb80,0x4003ea0f,0x0d90007d,
    0x0000db00,0xf10007f1,0x0002d885,0x500007d4,0x0176001f,0xd8800d90,
    0x2a209adf,0x65c41ffd,0x2603ccdf,0x6e5c44ff,0xcccccccf,0x22fccccc,
    0xccccefca,0x203fffcc,0xccccffd9,0x4fdccccc,0x337f72e2,0x337e602c,
    0xd9997103,0x3039999f,0x9999fd99,0xfb930059,0x64c0599b,0x002cefcc,
    0x7ee66540,0x1ccccccc,0x399fb950,0x79fd9710,0x33332e21,0xcccccfec,
    0x3ffee01c,0x0befffff,0xffffff98,0x313f200f,0xffffffff,0xffffffff,
    0x7ffff45f,0x01ceffff,0xffffffd8,0x2effffff,0x7fffffcc,0x7fff406f,
    0xfffffa80,0xb84fffff,0xffffffff,0xfffb806f,0x3ee06fff,0x005fffff,
    0x7fffff40,0x4fffffff,0x9fffffd0,0xffffff30,0x3ffffea5,0xffffffff,
    0xca98805f,0x000001ab,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20066662,0x4c409999,0x99999999,
    0x09999999,0x804cccc4,0x99819999,0x99999999,0x4cccc099,0x00099999,
    0x00026662,0x4c403333,0x01999999,0x4ccccc40,0x88001999,0x99999999,
    0x4c409999,0x99980199,0x0cccc409,0x204cccc0,0x00999998,0x02666662,
    0x3fe23971,0x3f206fff,0x3fe1ffff,0xffffffff,0x4fffffff,0x3fffffe2,
    0x7ffffe40,0x3fffff64,0x7fffffff,0x3ffffff2,0xf1007fff,0x5400bfff,
    0xfa84ffff,0xffffffff,0x3e601bdf,0xffffffff,0xb800ceff,0xffffffff,
    0x3e24ffff,0x3606ffff,0xf11fffff,0x6c0dffff,0xf31fffff,0x03ffffff,
    0x3ffffffe,0x25ffff12,0x200aefb9,0x4c2cfda8,0xaaaadfba,0xfaaaaaaa,
    0x0d5fe4c4,0x05775544,0xfb555551,0x44355555,0xaadfaaaa,0x3f26001a,
    0xddb001fd,0x3eea015d,0xdbaaaaac,0x32aa03ff,0xbaaaaabf,0x7dc02ffc,
    0xaaaaaaab,0x7dcc4faa,0x36a200ae,0x6fe4c2cf,0x3f2a200a,0x55774c2d,
    0x2aaa601a,0x3ffee2fd,0x400fdc5f,0x03f805f8,0x07d42740,0x32006d80,
    0x007f0006,0x04e9f980,0x805eaf98,0x4fc802f8,0x22007d40,0x03ee01fd,
    0x7dc07ee0,0x405f8801,0x6e8800fd,0xd8001b20,0x27fffd45,0x07e40374,
    0x3a001fc0,0xb000fa84,0x0036400d,0x4c0003f8,0x6400fb9f,0x5f100bd6,
    0xa807ee00,0x40fd000f,0x27cc00fb,0x3f201ba0,0x40374400,0x01ee00fd,
    0xffd84e80,0x203f980e,0x07f002fa,0x0fa84e80,0x6400db00,0x007f0006,
    0x3f89f980,0x02f4fe20,0xdb0017c4,0x98007d40,0x801f701f,0x04f9806e,
    0x7cc00fe6,0x500bee04,0x0155101f,0x2004413a,0x05e881fc,0x7b000fe0,
    0x36001f50,0x001b2006,0x260001fc,0x7dc0f91f,0x5f100bd0,0xa81fcc00,
    0x40fe000f,0x07f200fb,0x5e80fdc0,0x4c1fdc00,0x81f9804f,0x07f03ffa,
    0xfc86e800,0x540fe000,0x003ea000,0x0d90036c,0x0000fe00,0x40be23f3,
    0x22017a4e,0x8364002f,0x3f3000fa,0x3fa81660,0x7e437400,0x21fc8000,
    0x5f1006f8,0xf10dbf90,0x3f980005,0x7f000fe6,0xfa800be0,0x400db000,
    0x07f0006c,0x361f9800,0x17a1fa86,0x5000be20,0x001f501f,0x7c4001b6,
    0x23f98005,0x3a0003f9,0x4001fb0e,0x0fbcf83f,0x40000fcc,0x000bd1fc,
    0x007f107f,0x6d8007d4,0x4001b200,0x7cc0003f,0x8bd07e61,0x02f8805e,
    0x7d40fcc0,0x017f4400,0x0000fd80,0x001ba3f9,0x05f9bf10,0x57cc3f80,
    0x007d42f8,0x7e774400,0xeeef8000,0x2003feee,0xeeeeeefa,0x006feeee,
    0x1fc001b2,0xd07e6000,0x17a17ccb,0x777f7764,0xf102eeee,0x5301f505,
    0x20007ff9,0x740002fb,0x80001fce,0xe8003ffa,0x44e87dc4,0x2aa0007b,
    0xaadffcaa,0xeef800aa,0x003feeee,0x3bbbbbea,0x06feeeee,0x7c001b20,
    0x0fcc0003,0x743643ea,0xdfdddb05,0x207ddddd,0xfffa82f8,0x0cffffff,
    0x009f3000,0x007ff300,0x00bfe200,0x64db1760,0x05303e47,0x3fbbbb62,
    0x01eeeeef,0x03f883f8,0x6c003ea0,0x001b2006,0x260001fc,0x3f8cf81f,
    0x2f8805e8,0x5417c400,0xfecccccf,0x03740005,0x000fb000,0x007f7f40,
    0x547f1b20,0x7f41b21f,0x0d9001ff,0x2f81fc00,0x4003ea00,0x01b2006d,
    0x38801fc0,0xcfb81f98,0x8805e80f,0x07d4002f,0x5fd807d4,0x003f9000,
    0x0003e400,0x06f89fc8,0x83f53dc0,0x3ea1763f,0xd9004fff,0xa81fc000,
    0x003ea000,0x0d90036c,0x5400fe00,0x440fcc0f,0x00bd04ff,0x6c8005f1,
    0x7dc01f50,0x0fea000e,0x3e400390,0x31fd4000,0x87d4009f,0x13a5d87c,
    0x217fffee,0xafdaaaaa,0xf800aaaa,0x1f500003,0xc801b600,0x007f0006,
    0x03f303ea,0x02f4032e,0x360017c4,0x9801f505,0x0bf1004f,0x3e4007f0,
    0x217e2000,0x3f3002fb,0x7c3ee17a,0x1ffff883,0x76666644,0x01cccccf,
    0x500003f8,0x01b6001f,0x7f0006c8,0xf303ea00,0x017a0003,0xf9800be2,
    0x7001f503,0x01fb005f,0x3e4007f0,0x403ba000,0x9f8801fd,0x8af983f8,
    0x002ea02f,0x3e0006c8,0x1f500003,0xc801b600,0x007f0006,0x03f303ea,
    0x22017a00,0x1dd1002f,0x6c003ea0,0x00bee00f,0x0f9001fc,0x100fec00,
    0x75f001dd,0x3e73a01f,0x36400001,0x0007f000,0x6c003ea0,0x001b2006,
    0x0fa801fc,0xe8000fcc,0x002f8805,0x07d405fd,0xf104f880,0x001fc009,
    0x3ee000f9,0x805f9802,0x3b206dbf,0x400000f9,0x0fe0006c,0x007d4000,
    0x1b2006d8,0xa801fc00,0x000fcc0f,0x2f8805e8,0x00bfaa20,0x7e4001f5,
    0x2000ee81,0x01f2003f,0xa8013e60,0x27e7403f,0x000f9f50,0x9fd99930,
    0xcca80599,0x1cccccdf,0x9bfb9500,0x9fd99307,0x33332617,0xcccccfec,
    0x3f332e62,0xccccccce,0xb710fdcc,0x440599bf,0x82cefccb,0xcccdfcb8,
    0x01fffdcc,0x999fb971,0x259dd005,0xcccccdf8,0x3fcccccc,0xfd999710,
    0x22039999,0x203ccfeb,0x01cffcca,0x7c405ffb,0xfd80007f,0x6fffffff,
    0x7fffff40,0xd003ffff,0x81ffffff,0x2ffffffb,0xfffffff9,0x5cdfffff,
    0xffffffff,0xffffffff,0xfffff50f,0x7ffdc0df,0xff985fff,0xdfffffff,
    0x7ffcc01b,0xa805ffff,0xffff15ff,0xffffffff,0x3fea07ff,0xffffffff,
    0xfffff505,0x3fffa01f,0x0ff904ff,0x0000dfb0,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x4c000000,
    0x40099999,0x00999999,0x26666666,0x99999999,0x4ccccc41,0x20009999,
    0x99999999,0x36a00009,0xa880001d,0x0000002b,0x53660000,0x000000cd,
    0x100004a8,0x02200001,0x90022000,0x0dffffff,0x7fffffe4,0xfffff706,
    0xffffffff,0x3fea1fff,0xffffffff,0x3f201dff,0xffffffff,0xd1002eff,
    0x2219ffdf,0xffd3005d,0x10009fff,0x0007d403,0x2a3ff910,0x000003ff,
    0xd7000364,0x005bffff,0xdfffeda8,0xfd951003,0x23517dff,0x1aabfca8,
    0x37eaaa20,0xf955101a,0x5555bf57,0x5541f955,0xaaaaabfc,0x5104feca,
    0x55555dd5,0x801bfb95,0xbff712eb,0xdf3003ff,0x001bb317,0x3bfffb6a,
    0x80017ea3,0x6440cffb,0x000002ff,0xfd5000d9,0xbfd9557b,0xcefd8801,
    0x01efdcab,0x2eaf7fe6,0x444ffffd,0x2f98003f,0x04e9b200,0x03ea03ea,
    0xdb00fee0,0x000bf500,0x40033b22,0xb10000fd,0xfb7579df,0x2000bf9f,
    0x4c00cfea,0x00001efd,0x3ee00364,0x03faa01d,0xd301ffc4,0x807fe03f,
    0x06d85fe9,0x74007c80,0x0fa813a4,0xfd000fa8,0xa8036c01,0x0000003f,
    0x7cc0013e,0x1bfa602f,0x077fa600,0x01bfd500,0x801b2000,0xbf1005f9,
    0x74003f60,0x4017d40e,0x01f985f9,0xf10027c0,0x1f502745,0x2a001f50,
    0x801b602f,0x0088006d,0xd0004f80,0xfffa801d,0x5dfb1001,0xcffb8000,
    0x03640000,0xf9800dd0,0x10017d43,0x002fa89f,0x8013a079,0x3ea001fa,
    0x0fa813a0,0xf1000fa8,0x70036c07,0x86664c1f,0x0ceffed8,0x9000db00,
    0x8dfa803f,0x7fe4406e,0x32200003,0x320003ff,0x005f3006,0x005e8db0,
    0x07fc0fb8,0x003ee000,0x1b60036c,0xa81c409d,0x03f5000f,0x1f70036c,
    0x7d4ff754,0x1ffebbce,0x4002f980,0x877cc04f,0x9ff702f9,0x22000001,
    0xc8002efc,0x001f5006,0x003f8f50,0x7f4c1f98,0x44001abd,0x03f8802f,
    0x893a27c0,0x001f5005,0x06d80dd1,0x6fcc1b60,0x00fd304f,0x1f9801b2,
    0x9f03be60,0x000dfea8,0xdfb30000,0xaaaaaa83,0xaaaaafda,0xffff90aa,
    0xffffffff,0x3e61ffff,0x107f0001,0xbdffffd9,0x700db003,0x0fcc001f,
    0x800fa93a,0x3ea200fa,0x8036c00e,0x7ff303fa,0xc802fa80,0x01f5003f,
    0x97603be6,0x00004ffb,0x25ffb000,0xfffffff9,0xffffffff,0x9999f93f,
    0x99999999,0x07e61999,0x4401fc00,0x403ffcb9,0x027401fa,0x3bfa1ee0,
    0xfa800fee,0xffeeeeee,0x06d800ef,0x3e605fb8,0x4c0bf004,0x2a80fefe,
    0x077cc1ee,0x6ff4c6d8,0x50000001,0x99881bfd,0x99ed9999,0x3ea09999,
    0x2f880000,0x002f8800,0x4f80bf50,0xb0007e60,0xfdddfd0b,0xdddf5001,
    0x9fffdddd,0x3333db00,0x01bfd953,0x6d800fcc,0x17a1bf50,0x07ea5ff3,
    0x27401df3,0x000cfea8,0x3dfb3000,0x200d9000,0xf00003f8,0x01f50009,
    0x9007d400,0x4003640f,0x3ea4e83f,0x400fa800,0x3601efa9,0xffffffff,
    0x01f9801e,0x51b60db0,0xf10fe45f,0x10077cc7,0x3ffb807f,0x3f220000,
    0x1b20002e,0x00006e80,0x6e8001f9,0xf88007e2,0x220be602,0x6fd4003f,
    0x224fcccc,0x001f5004,0x76c07f62,0x001aaaaa,0x6d800fcc,0x21fb07f0,
    0xf88ee84f,0x007e400e,0x0017fe44,0x000ffee0,0xf8801b20,0x7c408005,
    0x987f2005,0x07e6003f,0x01f70bd0,0xeeeefc80,0xf50004fe,0xb03f8001,
    0x3e60000d,0xf50db001,0x3f59f103,0x01ddbf30,0x4c003fa8,0x54002efd,
    0x00000cff,0xcfb800d9,0x41fd9800,0x7e400dfa,0x4017fcc4,0x0fb806e8,
    0x274002f4,0xf50004e8,0xb06c8001,0x3e60000d,0xf30db001,0x817bee05,
    0x7dc01ffc,0x3fa60005,0x6ff5401d,0x36400001,0x4dffd400,0x7ffb5310,
    0x986ffea0,0xff983fea,0x7e4c1acf,0x23f8801f,0x7c4002f9,0x6b809d02,
    0x5c000fa8,0x0000db07,0x36c007e6,0x5fd037c4,0x2ffffa20,0x037f6a21,
    0x33fea000,0x00f7ecc0,0x006c8000,0xfffffb10,0xb1007dff,0x3dffffff,
    0x3faa3a20,0x0cffffff,0x07c9b200,0x9d00fa80,0x0fa87c80,0x6d836c00,
    0x03f30000,0x0fe41b60,0x7441ffcc,0xffffd88f,0x00002fff,0xff72ffb8,
    0xc8000005,0x54c40006,0x880009ac,0x8000abb9,0x00aacba9,0x09f1f980,
    0x2740db00,0x03ea1f20,0xdb03f980,0x07e60000,0xff8836c0,0xfcefa88c,
    0x883fb0bc,0x0000abba,0x3c9e4400,0x75000000,0x00000000,0x00000000,
    0x03f59d00,0x27407f00,0x03ea1f20,0xd8077d40,0x3f300006,0xd881b600,
    0xfd0effff,0x00002a5f,0x00000000,0x00000000,0x00000000,0xb8000000,
    0x2e6006ef,0x33263dfc,0xccccccef,0xfb9717ec,0x99999999,0x9930bffb,
    0x599999fd,0x37f72a00,0x9fd9501c,0x00ddcc05,0x00000000,0x00000000,
    0x00000000,0x00000000,0x1ffc4000,0xfffff700,0x3fffff21,0x7fffffff,
    0xfffffff3,0x39dfffff,0x3ffffee0,0xd006ffff,0x20bfffff,0x006ffffd,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x10020000,0x00000001,0x20000260,0x88000009,0x00880000,0x99991002,
    0x33332201,0x5c000003,0xb804cccc,0x0ea4cccc,0x00c00190,0x057000c0,
    0x0011024c,0x87dffd71,0x000dffd9,0x88001fe8,0x1dffffec,0x3b2a2071,
    0x801effff,0xdb10ccc9,0x4c019dff,0xffd98ccc,0x2fffaa1d,0x1feed880,
    0x0dfddd30,0x1033332e,0xec85bfb7,0x6400deef,0xf70defee,0x400ff409,
    0xb81884f8,0x02fd802f,0xdff90df3,0xbff3017d,0x3e27fd77,0x001ffccf,
    0x7000ffe6,0xd9557bdf,0xff50f9bf,0xfd75579d,0x9feea809,0xfebbcefa,
    0x9fdd501f,0x71df77df,0x80bf97df,0x0d9001f9,0xb87fbbb6,0x43fdbeff,
    0xf98002f8,0xf305fc82,0x19f7005f,0x71bffff9,0x09fb00bf,0x5bb07fea,
    0x05c41f44,0x106f57dc,0x0cb800dd,0x5013f200,0x01710fff,0xf9803fc8,
    0x0fd304fd,0x220effa8,0x07d44fff,0x32003f30,0xfb1f9806,0x4e87b81b,
    0xb00fa800,0x5ff501bf,0x59fff700,0x80bfff95,0xff505fe8,0x007cc003,
    0x301fff10,0x4000007f,0xff3002fa,0x806f8000,0x7d403ff9,0x203bea02,
    0x407f05fd,0x0d9001f9,0x07fd5f30,0x1db06c80,0xefe80d90,0x803ffa80,
    0x0fd881ef,0x5c1bfa20,0x3d4002ff,0x9027e400,0x2200000d,0x03ec005f,
    0x2601ee00,0x40bf004f,0x40f901fa,0x007e605e,0x7fcc0364,0x0fa8001f,
    0x2741ffcc,0x203bfa20,0x3e603ffb,0x440fa201,0xffc80efe,0x7f731003,
    0x403f9000,0x800001fa,0x24c001fa,0x201ee000,0x0db001f9,0x07c80fd4,
    0x01f9817a,0xdf300d90,0x07e60001,0x07f0bdf7,0x903fff10,0x017209ff,
    0x3bfe61ae,0x004ffc80,0x3009ffd1,0x80fb5997,0x800002f8,0x5000007c,
    0x93599995,0x003f300f,0x01fa81b6,0x302f40f9,0x01b2003f,0xf0000be6,
    0x20fbde87,0xff3001f9,0x0bffb03f,0x41f3007d,0xfd81fff9,0xea88004f,
    0xefffda85,0xffffffff,0x2a3fffff,0xaaaaaaaa,0x0aaaaaaa,0xb80000bb,
    0xffeeffff,0x1f9807ff,0x7d40db00,0x2f40f901,0x32003f30,0x001f9806,
    0x15f12ec0,0x1003dc7f,0xff709ffd,0x9803f81d,0x03bff20f,0x0005fff1,
    0x5df917c4,0xcccfd881,0x32cccccc,0xffffffff,0xffffffff,0x800013a7,
    0xb300aefd,0x003f300f,0x01fa81b6,0x302f40f9,0x01b2003f,0x700007e6,
    0x64bb3dcf,0x0fffa006,0x3203bfea,0xfb86b805,0x2ffe885f,0x7d536000,
    0x0007e404,0x26666662,0x99999999,0x40001b61,0x0f7002fc,0x36003f30,
    0x6407ea06,0xf9817a07,0x300d9001,0xfa80003f,0xe87d4bd0,0x05ffb004,
    0x2601dff3,0x40fe201f,0xfe885ffb,0x1f88001f,0x03f900f9,0x2e000000,
    0x3f880007,0x2601ee00,0x40db001f,0x40f901fa,0x007e605e,0x0fcc036c,
    0x22be2000,0x3e2fe22f,0x82ffc802,0xee805ff9,0x200fd881,0xfd884ffa,
    0x11cea80f,0x403dc9d5,0x000003fc,0x0007f300,0x2e001f98,0x001f9807,
    0x80fd40db,0x8817a07c,0x06fc803f,0x80001f98,0x9ed87bce,0x0ffdc00f,
    0x5c02ff44,0xfcabcfff,0x7fcc04ff,0x301dfb03,0x987dffd9,0x3ffe601f,
    0x00000200,0x22000fd8,0x2007f35c,0x1f9807fb,0x7d40db00,0x2f40f901,
    0xfe881ba0,0x01f9806f,0x85eec800,0x7d407cfa,0x04fe881e,0xffb55fb8,
    0x809f715b,0xdf902ff9,0x80ee8000,0x704ffff9,0x2000007f,0xfa801ef8,
    0xb101be2f,0x3f300fff,0xfa81b600,0x2f40f901,0x544b7ea0,0x2cfcaefc,
    0x00007e60,0x3e20bfee,0x03be605f,0x7c401fec,0x05f70105,0xf901fe88,
    0x77c4000b,0x5dbdf512,0x9fd513df,0x0006ec00,0x22139fd3,0x542efdb9,
    0xf9510bdf,0x8599f75f,0x01cdfdca,0x4459fd95,0x640bdfdb,0x2cee83cf,
    0x3ffffee0,0x99bff24f,0xccdfbaaa,0x3002cccc,0x01fec0ff,0x0ba201b7,
    0x01800280,0x35c07b10,0x3ffa6000,0x3eeb55ff,0x2001efff,0xc8003ff9,
    0xefffffff,0x3fffea02,0xff70cfff,0xffffe8df,0xffffb05f,0x7ffffd4d,
    0x207ffe42,0x54c05ffe,0x3f6001ac,0xffffffff,0x00006fff,0x00000000,
    0x00000000,0x5dcc0000,0x006ea201,0x800076c0,0x01abca98,0x006b2ea0,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x99970000,0x99305999,0x64c99999,0xcccccccc,0x66443ccc,
    0xcc982ccc,0x2a801ccc,0x07600800,0x04403620,0x31555540,0x0005dddd,
    0x0bcca880,0x55555510,0x55555555,0x71035555,0x6c403799,0xaa882dfe,
    0x2aaa21aa,0x4ccccc0a,0x99999999,0x01880999,0x777f7640,0xfeeea83e,
    0x3bbea5ef,0xeeeeeeee,0x77ff445f,0xffee983e,0x005d802e,0x7ec0bd93,
    0x703fa201,0x2205bfdb,0x3e23ffff,0x25402fff,0xedeffc80,0xffffb86f,
    0xffffffff,0x44ffffff,0x4ffeeffb,0xffffffa8,0x23ffff84,0xf11ffff9,
    0xffffffff,0xffffffff,0x26c5a85f,0x3001fc40,0x801f505f,0x9f500ee8,
    0x400bf500,0x5efc405e,0x07fa205d,0x1d907fa2,0x7fdc174c,0x1ffff87f,
    0x200bfe60,0x417c4099,0x99999999,0x99999999,0x873ee4e9,0x3fe24fc9,
    0x42ffb89c,0x3e22ffff,0x2aaa0fff,0xaaaaaaaa,0x82aaaaaa,0x006fd45a,
    0x06d801f2,0x1fd801f5,0xf502fd40,0x005e8009,0x3fa202e4,0xf307fa21,
    0xffb0d501,0x1fffd07f,0x07f7ba20,0x0006c800,0x17e29d00,0x0bf92fb8,
    0xfffd8df7,0x003fffc1,0x0dfa8000,0xf9803bea,0x103f8802,0x001fd80d,
    0x09f70bf5,0x0885e804,0xfd100b90,0x0203fd13,0x3ffe07cc,0x40fffb06,
    0x801dd0fd,0x6eceedc9,0x29d00000,0x53e201fb,0x47f881fd,0x7f40fffc,
    0x0000006f,0x07fe625c,0x0fc806d8,0x005f9000,0x13ee5fa8,0x3a15bfd0,
    0x20dfb515,0xdfd1005c,0x8bb0003f,0xf902fff9,0x88bf20df,0x3bff605f,
    0x0006fdcc,0x01b29d00,0xf80ff576,0x6c3ffdc7,0x000005ff,0x426c4e6c,
    0x3f500fe8,0x70004f80,0x3e60007f,0xc9803fbd,0xfdefdffe,0x0b900cef,
    0x001ffcc0,0x3fee0764,0x217fee06,0x84fa83fa,0x06c80afa,0x2e9d0000,
    0x653e201f,0x546fb84f,0x4ffc86ff,0x6666665c,0xcccccccc,0xfdb30ccc,
    0xd00a2019,0x0007dc0b,0x200027d4,0x98003ff9,0x01beffec,0xfd1005c8,
    0x362005fd,0x01ffe80d,0xbf113fea,0x13a17dc0,0x000006d8,0xb813e69d,
    0x119ff12f,0xff985ff7,0x6c2ffb84,0xeeeeeeee,0xeeeeeeee,0x7000001e,
    0x0017a01f,0x200017e6,0x0000effc,0x64009ff9,0x89fe8805,0x2f4402fe,
    0x4c05ff88,0x03ba23ff,0x43643fb0,0x00006fe9,0x05fe49d0,0xffb8bf71,
    0xf884ffff,0x01ff983f,0x00000000,0x1f984f80,0x002fc400,0x77cd7e40,
    0x65fd4000,0x80b9001f,0x3fa21fe8,0x5407f302,0x7fc401ff,0x22007f21,
    0x337fe26e,0x04ffeefe,0x32274000,0x0dffddff,0x02effd98,0x3fe20bfa,
    0x3bbbb660,0xeeeeeeee,0xeeeeeeee,0x3200002d,0x20036c0f,0x40000ee8,
    0x03be62fd,0x1fd2fc40,0x7440b900,0x42fe881f,0x27dc02fb,0x00d47d80,
    0xdda88710,0x0035532c,0xc982b800,0x00001cdd,0x443b812a,0xdddddddd,
    0xdddddddd,0x02dddddd,0x88fe2000,0x0774003f,0x2fd80710,0xe800ee88,
    0x4417e20f,0x4199ec99,0x3fa201fe,0x33335f90,0x0000c3d3,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00f936c0,0x7cc01fd8,0x4405fb00,
    0x0bee00ee,0xddd10bea,0x5c3ddddd,0xd90c8801,0x3ddddddd,0x30000000,
    0x107fd503,0x99950440,0x99999999,0x2aa27999,0xaaaaaaaa,0xaaaaaaaa,
    0x00000aaa,0x00000000,0x27cbe600,0x5003f900,0x003fb03f,0x0a601dd1,
    0x000000a8,0x09800000,0xd07dc000,0x3fe63dff,0x20bfa3ff,0xfff90ff8,
    0xffffffff,0x3feedfff,0xffffffff,0xffffffff,0x00003fff,0x00000000,
    0x07ef7400,0xcccefb80,0xfdcccccc,0x333bfaa1,0xffdcb881,0x0000000b,
    0x40000000,0x000dffe9,0x3fea4fc8,0xffff74ff,0x2613fe2b,0x999952ff,
    0x99999999,0x44444799,0x88888888,0x88888888,0x00000000,0x80000000,
    0x36005ffa,0xffffffff,0xd11fffff,0x509fffff,0x03ffffff,0x00000000,
    0x6fcc0000,0xb901ffaa,0x7fdc3fd8,0xffff35ff,0x3b806547,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x445f9800,
    0x897e42fe,0xfff882fd,0x00fb6a1f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x02d40000,0x47fb79fb,0x05d401fe,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x41effb80,0x0000000a,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_42_latin1_x[224]={ 0,8,4,3,4,3,4,8,10,5,0,2,5,3,
8,4,4,4,3,3,3,3,4,3,4,4,8,5,0,1,0,0,3,0,1,2,2,1,2,2,1,4,3,1,
2,0,0,0,3,1,1,3,2,1,0,0,1,1,3,0,0,0,4,1,8,2,0,3,2,2,3,2,1,3,
3,3,3,0,1,2,0,2,3,3,2,1,1,1,1,2,4,0,10,0,3,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,8,4,2,3,1,
10,2,5,0,0,0,0,3,0,-1,6,2,6,6,8,1,3,8,8,6,5,2,0,0,0,0,0,0,0,0,
0,0,0,2,1,1,1,1,4,4,4,4,-1,0,0,0,0,0,0,4,1,1,1,1,1,1,3,1,2,2,
2,2,2,2,0,3,2,2,2,2,3,3,3,3,2,1,2,2,2,2,2,2,2,1,1,1,1,2,0,2,
 };
static signed short stb__courier_42_latin1_y[224]={ 30,6,7,5,5,6,10,7,7,7,7,10,24,18,
25,4,6,6,6,6,7,7,6,7,6,6,14,14,10,15,10,8,6,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,7,4,7,6,38,5,13,7,13,7,13,7,13,7,6,
6,7,7,13,13,13,13,13,13,13,8,14,14,14,14,14,14,7,7,7,16,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,30,14,5,8,11,8,
7,7,7,8,6,14,18,18,8,4,3,7,6,6,5,14,7,16,29,6,6,14,6,6,6,13,1,1,1,3,
2,0,8,8,1,1,1,2,1,1,1,2,8,3,1,1,1,3,2,13,7,1,1,1,2,1,8,7,5,5,
6,8,7,5,13,13,5,5,6,7,6,5,6,7,7,8,5,5,6,8,7,10,12,5,5,6,7,5,7,7,
 };
static unsigned short stb__courier_42_latin1_w[224]={ 0,6,14,16,15,16,15,6,8,7,14,18,9,16,
6,15,15,15,15,16,15,16,16,15,15,15,6,9,18,20,18,14,15,22,20,18,19,19,19,19,20,15,19,21,
19,23,21,19,18,20,21,16,18,20,22,22,20,20,16,7,14,7,15,23,7,19,21,17,20,18,18,19,20,16,
12,19,16,22,20,18,21,20,18,16,18,20,21,21,20,20,15,8,2,8,16,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,0,6,14,18,16,20,
2,18,12,23,12,19,20,16,23,24,11,18,10,10,7,20,17,6,6,10,12,19,23,23,22,14,22,22,22,22,
22,22,22,18,19,19,19,19,15,15,15,15,21,21,19,19,19,19,19,14,20,20,20,20,20,20,18,18,19,19,
19,19,19,19,22,17,18,18,18,18,16,16,16,16,18,20,18,18,18,18,18,18,19,20,20,20,20,20,21,20,
 };
static unsigned short stb__courier_42_latin1_h[224]={ 0,25,11,28,29,25,21,12,28,28,14,19,12,3,
6,30,25,24,24,25,23,24,25,24,25,25,17,20,19,8,19,23,27,22,22,23,22,22,22,23,22,22,23,22,
22,22,22,23,22,27,22,23,22,23,22,22,22,22,22,28,30,28,11,3,7,18,24,18,24,18,23,24,23,24,
31,23,23,17,17,18,24,24,17,18,23,17,16,17,16,23,16,28,28,28,7,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,0,24,25,22,16,22,
28,26,4,23,11,16,11,3,23,2,11,23,13,14,7,23,26,5,8,13,11,16,24,24,24,25,29,29,29,27,
28,30,22,29,29,29,29,28,29,29,29,28,22,27,30,30,30,28,29,13,25,30,30,30,29,29,22,24,26,26,
25,23,24,26,18,24,26,26,25,24,24,25,24,23,24,22,26,26,25,23,24,18,20,26,26,25,24,32,30,30,
 };
static unsigned short stb__courier_42_latin1_s[224]={ 255,18,204,49,147,233,108,122,69,21,60,
182,112,164,137,99,156,238,1,172,240,39,216,99,85,204,249,242,144,219,163,
99,197,219,47,114,120,100,22,58,42,63,172,159,79,99,78,192,68,235,145,
212,181,1,1,226,205,184,167,87,199,41,129,181,247,61,17,43,56,201,1,
136,20,156,22,152,41,102,81,220,77,115,146,239,133,125,1,165,39,58,23,
78,29,32,112,217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,
217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,255,244,189,
140,207,1,66,1,151,197,145,224,158,164,173,219,192,221,101,244,129,229,20,
144,240,75,179,187,63,220,1,122,1,67,24,174,131,135,24,195,214,127,47,
154,111,163,179,115,123,213,179,115,214,95,1,86,45,158,78,234,234,90,200,
24,57,77,25,79,43,118,1,159,38,138,137,198,87,1,104,41,121,87,197,
178,66,22,140,24,124,157,97,101,177,1,35,57, };
static unsigned short stb__courier_42_latin1_t[224]={ 1,121,310,64,34,94,268,310,64,64,310,
268,310,322,322,1,121,147,172,121,172,172,94,172,121,121,245,221,268,310,268,
197,64,221,268,197,221,221,245,221,245,245,197,221,245,245,221,197,268,64,245,
197,221,197,268,245,245,245,245,64,1,64,310,322,310,291,172,291,172,268,221,
172,221,172,1,197,221,291,291,268,172,172,291,268,197,291,310,291,310,197,310,
64,64,64,323,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,
147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,147,1,121,121,
221,291,245,64,94,322,172,310,291,310,322,172,319,310,172,310,291,322,197,94,
322,310,310,310,291,147,121,147,121,34,34,34,64,64,1,268,34,34,34,34,
64,34,34,34,64,245,64,1,1,1,64,64,310,121,1,1,1,34,34,221,
147,94,94,121,197,147,94,291,147,94,94,121,147,147,121,147,197,147,268,94,
94,121,197,147,291,268,94,94,121,147,1,1,1, };
static unsigned short stb__courier_42_latin1_a[224]={ 356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_42_latin1_BITMAP_HEIGHT or STB_FONT_courier_42_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_42_latin1(stb_fontchar font[STB_FONT_courier_42_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_courier_42_latin1_BITMAP_HEIGHT][STB_FONT_courier_42_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_42_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_42_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_42_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_42_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_42_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_42_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_42_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__courier_42_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__courier_42_latin1_s[i] + stb__courier_42_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__courier_42_latin1_t[i] + stb__courier_42_latin1_h[i]) * recip_height;
            font[i].x0 = stb__courier_42_latin1_x[i];
            font[i].y0 = stb__courier_42_latin1_y[i];
            font[i].x1 = stb__courier_42_latin1_x[i] + stb__courier_42_latin1_w[i];
            font[i].y1 = stb__courier_42_latin1_y[i] + stb__courier_42_latin1_h[i];
            font[i].advance_int = (stb__courier_42_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__courier_42_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_42_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_42_latin1_s[i] + stb__courier_42_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_42_latin1_t[i] + stb__courier_42_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_42_latin1_x[i] - 0.5f;
            font[i].y0f = stb__courier_42_latin1_y[i] - 0.5f;
            font[i].x1f = stb__courier_42_latin1_x[i] + stb__courier_42_latin1_w[i] + 0.5f;
            font[i].y1f = stb__courier_42_latin1_y[i] + stb__courier_42_latin1_h[i] + 0.5f;
            font[i].advance = stb__courier_42_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_42_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_42_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_42_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_42_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_42_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_42_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_42_latin1_LINE_SPACING
#endif

