// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_26_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_26_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_26_latin1_BITMAP_WIDTH         256
#define STB_FONT_courier_bold_26_latin1_BITMAP_HEIGHT        170
#define STB_FONT_courier_bold_26_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_courier_bold_26_latin1_FIRST_CHAR            32
#define STB_FONT_courier_bold_26_latin1_NUM_CHARS            224

#define STB_FONT_courier_bold_26_latin1_LINE_SPACING          12

static unsigned int stb__courier_bold_26_latin1_pixels[]={
    0x06200100,0x2664c013,0x06654000,0x00000004,0x22000d40,0x0100001d,
    0x20003660,0x0d4000d9,0x00032a00,0x00326193,0x6dcc006a,0x540b8ade,
    0x1a8054c1,0x802665cc,0x0ff800fc,0x3fe20ff3,0xfb80007f,0x0007f41f,
    0x8004fe98,0x4003ffd8,0x4c0002fe,0x037d405f,0x1002fdc0,0x4c007ffb,
    0x3f6001ef,0x6c407f93,0x7fec03ff,0x23ffffff,0x3bfe27f8,0x3fe3fc40,
    0x7f4407ff,0x744db002,0x01ffae05,0xd03baa00,0x4b60009f,0x3fe6001d,
    0x2000efcb,0x360003fd,0x017ee05f,0x98013f20,0x00efcbff,0x2003fd10,
    0x207fd3fe,0x0efcbff9,0xcbbdffc8,0x1fe64fff,0x7f98bff9,0x203ff75c,
    0x000001fe,0x00007f98,0x0007fdc0,0x2001d96c,0x00ba60dc,0x26000b70,
    0x00f601ff,0x32001f40,0x800ba60d,0x5fd003d8,0x06e40bfa,0x3ffb85d3,
    0x3e64ff88,0x7cc7fa87,0xa80ff307,0x20266000,0x2ff30198,0x98801aa8,
    0x7c099999,0xfe98003f,0x00000004,0x0dfb0000,0x00000000,0x20000000,
    0x005ff2ff,0x5c09fb00,0x2a1fe63f,0x983fcc7f,0x8809987f,0x7fffcc19,
    0x03ffff22,0xffff9ff3,0x3fff609f,0x7dc4ffff,0x40020007,0x2e2cccb8,
    0x9500bccc,0x880039dd,0x332e22ff,0x2f332e2c,0x39dd9500,0x33bb2a00,
    0x59997101,0x105e665c,0x9ff59ff5,0xccccc981,0x0bfe1bcc,0xa87f9850,
    0x983fcc7f,0x3fffe67f,0x43ffff22,0x322ffff9,0x7cc0ffff,0xfffeffff,
    0xfffffd85,0x17fc44ff,0xccccca80,0x7fffe400,0xfffffa9f,0x7fffec43,
    0x3f2003ff,0x7ffffe46,0x3fffffa9,0x7ffffec4,0x3ff6203f,0xfc83ffff,
    0xffa9ffff,0x3ffe3fff,0x1fffffff,0x3ffffffe,0x01ff35ff,0xfa87f980,
    0xf983fcc7,0x8bfffe67,0x260ffffc,0x07fc82ff,0x2617fff3,0x99883ffc,
    0xfc84fd99,0xffff9806,0x7ecc04ff,0xffd913df,0xbdffd819,0x8804ffeb,
    0x7fecc2ff,0x9ffd913d,0xbbdffd81,0xffb04ffe,0x89ffd77b,0x913dffd9,
    0x7ec19ffd,0xdfffffff,0x3ffbb6a0,0x0ff31dee,0xf30ff300,0xf307f88f,
    0xc82ff98f,0x88df907f,0x9ff303ff,0x6c017f60,0x02ff884f,0x7fffedb8,
    0xf107fa80,0x82ffb81f,0x7e401ffc,0x220ff507,0x17fdc0ff,0x3ee0ffe4,
    0x41ffc82f,0x1ff107fa,0xff31ff30,0x307f9801,0xf98001ff,0x22eff887,
    0x90ff3019,0x03ff88df,0x37e45ff1,0x2601ff30,0x09fb007f,0xfc801bf6,
    0x7d402ffe,0xf81ff107,0x81bf604f,0xff503ff8,0xff03fe20,0x3e37ec09,
    0x51bf604f,0x03fe20ff,0x03fcdfe6,0x9fd03fcc,0xb07f9800,0x3e600bff,
    0x322ff887,0x8b7e406f,0x3fe603ff,0x200ff503,0x3ff304fd,0x3f6ffe00,
    0x883fd405,0x01fe60ff,0x7fdc0ff3,0x220ff500,0x01fe60ff,0x03fccff3,
    0x0ff51fe6,0xdb883fe2,0x0bffdcff,0xfc81fe60,0xff315c07,0x4c3bff10,
    0x320ff300,0x807ff16f,0x06fcaff8,0x260f7fcc,0x9fb005fe,0x5402fec0,
    0x00ff98ff,0x7fc41fea,0xf101bea0,0x813fa03f,0x1ff107fa,0x3e2037d4,
    0x880df51f,0x41fea1ff,0x3fee0ff8,0x5fffffff,0xf981fe60,0xfd310aef,
    0x7cc3fccd,0xf983fc47,0xf95ff107,0x3fff200d,0x7ffcc03f,0x0fffdcef,
    0x4c09fb00,0x27f401ff,0x3fd409fd,0x3ee0ff88,0xa81ff806,0x1fea00ff,
    0xdf707fc4,0x3ee3ff00,0x2a1ff806,0x41ff107f,0xfeeffec8,0x1fe602df,
    0xffffff30,0x3fcc5fff,0x1fe63fd4,0xff903fcc,0x3e2007ff,0xff9806ff,
    0x1effffff,0xd013f600,0x0ffcc0bf,0x3fd40ff7,0x3e60ff88,0x407fc407,
    0x3fd404fe,0x3e60ff88,0x987fc407,0x07fc407f,0x3fe20ff5,0xbf95fc80,
    0x100ff300,0x3bffffd9,0x7fa87f98,0x7f983fcc,0x01bffe20,0x3007ff90,
    0x0b372aff,0x5013f600,0x3ff201ff,0x02ffffff,0x3fe60ff3,0xb807fe20,
    0x00ffa87f,0xff983fcc,0xb807fe20,0x807fe27f,0x83fcc7fb,0x4fc80ff9,
    0xff3009f9,0x200ed800,0x47fa87f9,0x0ff307f9,0x4003ffc8,0xff3006fd,
    0x1fec0000,0xff827f40,0x5fffffff,0xf707ff10,0x101dfb0d,0x0bfd07ff,
    0xf707ff10,0x101dfb0d,0x0efd87ff,0x7c43ff88,0xb06fb83f,0x2013f69f,
    0x7ec007f9,0x2a1fe603,0x983fcc7f,0x037ec07f,0x400ffe60,0x100007f9,
    0xff7003ff,0xaaaffb81,0xb00ffbaa,0xff7117ff,0x23dff107,0xf986ffa8,
    0x7ffb001f,0x107ff711,0x3ea23dff,0x1eff886f,0x360dff51,0xffb88bff,
    0x3f67fb03,0x3fea6603,0x33220199,0x91fe607e,0x47f989ff,0x2607feda,
    0xcca803ff,0xc9803ffe,0x3000bcff,0x1fffb997,0xe88ffe00,0xcfe980df,
    0xfffff880,0x3fea06ff,0x81efffff,0x3e2005fd,0x06ffffff,0x3fffffea,
    0xfff501ef,0x203dffff,0xfffffff8,0x7e47f206,0xffffff01,0x3a20bfff,
    0x9fe204ff,0x7c40fff8,0x23ffffc7,0x03ffecca,0x7fffffd4,0x3ffe202f,
    0xfd006fff,0x003fffff,0xfffab7dc,0x3fff63ff,0xffd880ff,0xfd8804ff,
    0xff00cfff,0xffd88003,0xfd8804ff,0x4400cfff,0x00cffffd,0x27fffec4,
    0x3ff60000,0x03ffffff,0x20dc0044,0x9506e02a,0x7ffd4999,0x2202ffff,
    0x0deeeeec,0x6f7775c0,0xbddb7002,0x23700015,0x22efffe9,0x00effffb,
    0x22000662,0x003a8019,0x20006620,0x98800198,0x01988001,0x00000000,
    0x00000000,0xddddd910,0x0000001b,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x88000000,
    0xa800bccc,0x003b1005,0x3b100b50,0x4009b000,0x000f600a,0x6402d880,
    0x402d4002,0x5c5d503b,0x006a000e,0x01116540,0xea800d40,0x2a003ae2,
    0x3001ceec,0x30004459,0xc80dffff,0x0bfa004f,0xd004fc80,0x3fcc005f,
    0x9037fd40,0xd300009f,0x0ffcc01f,0x5404fc80,0x24fc80ff,0xfd8802fe,
    0x77e4003f,0x8804fbdf,0xfc803ffd,0xd880bfa4,0x04ffffff,0x75eff7e4,
    0x267fea04,0x3602deff,0x3fd8003f,0x4003fd80,0xfd8804fd,0xffd03adf,
    0x005fb805,0x2003be60,0x3fd806fe,0x5105fe80,0x7cc01441,0x000efcbf,
    0x037fea59,0xdf97ff30,0x51054401,0xbbdffd80,0x4ae03ffe,0x3600dfea,
    0x807f9bff,0x2e0001e8,0x000f4405,0x7fdc06b8,0x441fffff,0x1d3000ff,
    0x80132000,0x3a202ffa,0x02ffa801,0x20dc8000,0x020002e9,0x5d306e40,
    0xffb80000,0x001ffc82,0x23766002,0x000007f9,0x00000000,0x333bfe20,
    0x3fcc2ffe,0x00000000,0x00017fa0,0x32a037f4,0x00001cee,0x33bb2a00,
    0x5c400001,0x332e2ccc,0x80ffe0bc,0x999506fd,0xf9800199,0x41799707,
    0x64c2ccb9,0x1bcccccc,0x33333326,0x999711bc,0x19999999,0x0fec37dc,
    0xcca81fe6,0x2a000ccc,0x000ccccc,0x32e23ff7,0xcccccccc,0x205ff30c,
    0xffffffd8,0x66665403,0xffb1000c,0x7107ffff,0x99999999,0x3fff2199,
    0xffffa9ff,0x980ff33f,0xffff987f,0x7cc004ff,0x3ffffa87,0xf87ffffa,
    0xffffffff,0x3fffffe5,0xfff95fff,0xffffffff,0x04077d41,0xff983fcc,
    0x3004ffff,0x09ffffff,0x7e4bfe20,0xffffffff,0x01ff70ff,0x3aef7ff6,
    0xfff304ff,0x36009fff,0xffebbdff,0x7ffffe44,0x30ffffff,0x3227bffb,
    0xdf50cffe,0xb80ff880,0x007fffed,0x7e443fcc,0x1f7fd46f,0x3bffbb6a,
    0x3bb6a1de,0x911deeff,0xddddddff,0xefff81ff,0x81fe601c,0x07fffedb,
    0x3fffb6e0,0x44ffe007,0xeeeeeffc,0x0ff90ffe,0x3f20bfee,0xffdb701f,
    0x5ff700ff,0x6443ff90,0xeeeeeeff,0x41fea0ff,0x1bee0ff8,0xfc807fe0,
    0x26002ffe,0x87fee07f,0x7cc01ffb,0x80ff3007,0x0ff883fd,0x77fffecc,
    0x4037fdc2,0x002ffefc,0x017ff7e4,0x1fec5fe8,0x5fd87fc4,0x7ec09ff0,
    0x7ff7e406,0xb027fc02,0x107fb0df,0x83fd41ff,0x1fe20ff8,0x7c01ff10,
    0x2205fdbf,0xe80ff33b,0x009ff16f,0x3e600ff3,0x371fec07,0xfec981fe,
    0x0fffe0ff,0x17f6ffe0,0xbfb7ff00,0xfb1bf600,0x3a7f8dc7,0x407f984f,
    0x5ffc07f9,0x1fe605fd,0x7fb0ff30,0x7d47f8dc,0xe81ff107,0x81fee01f,
    0x0ff98ffa,0xff37ff90,0xfecff880,0x00ff3006,0x7fb01fe6,0x220cd7ea,
    0x2a3fd880,0x7fd406fe,0x5000ff98,0x01ff31ff,0x3fd8bfd0,0xfd866bf5,
    0x4406fa85,0x1ff501ff,0x3ea01ff3,0x20ffc406,0x26bf53fd,0xf883fd41,
    0x4077e40f,0x3fa03ff9,0x7dc13fa4,0xb807f9af,0x3001ffff,0x1fe600ff,
    0xdfffffb0,0x7dc07fc0,0x3a03fcc5,0x4013fa4f,0x013fa4fe,0xfffb0ffe,
    0x1ff20dff,0x3fe01bee,0x7f49fd01,0xf00df704,0xffffd83f,0x41fea06f,
    0x7fcc0ff8,0x0dff511e,0xff70ffcc,0x07f98cc0,0x4009ffb0,0xff3007f9,
    0xfffffd80,0x21bff106,0x7cc3ffa8,0xb87fe607,0x1ff9807f,0xff101fee,
    0xfffffd85,0x981ff706,0x07fc407f,0xff70ffcc,0xf101fe60,0xffffd81f,
    0x41fea06f,0xfe880ff8,0x01efffff,0x3ffffff2,0x7f9802ff,0x001ff300,
    0xf9803fcc,0x656fec07,0xffff106f,0x981fffff,0x3fff207f,0x402fffff,
    0xfffffffc,0x03fee02f,0x0df95bfb,0xff10ffe6,0xc83fdc03,0xffffffff,
    0x201ff882,0xadfd87fb,0x1fe606fc,0xd8807fcc,0x400cffff,0xffffffff,
    0xf33b885f,0x01fe600f,0x2600ff30,0x99fec07f,0x7f45f33e,0x80cfffff,
    0x3ffe07f9,0x05ffffff,0x7ffffffc,0x17fe05ff,0x99f4cff6,0x361bf62f,
    0x3ff880ef,0xfffffff0,0x3bf60bff,0xd83ff880,0x3e67d33f,0x2e0ffe22,
    0x3ffe606f,0xf70750ae,0xf755555f,0x9bffc81f,0x0ff3007f,0x3007f980,
    0x03fd80ff,0x3fee09f9,0x203fe600,0xaaaaaffb,0xff700ffb,0xff755555,
    0xb03ff701,0xa93f207f,0x77fc42ff,0x20dff511,0xaaaaaffb,0xff880ffb,
    0x0dff511e,0x27e40ff6,0x2e22fff6,0xfff103ff,0x3fffffff,0x4c06ff44,
    0x3fee0cfe,0x81deff9a,0x019ffa98,0x4cffd4cc,0x9ffa9981,0x4e7f4419,
    0x04fd9999,0xdff00ff3,0x406ff445,0x7440cfe9,0xcfe980df,0x74437f40,
    0xd99999cf,0x5437f44f,0xefffffff,0x80dfe881,0xfa80cfe9,0x1effffff,
    0x999cfe88,0x7c44fd99,0x06ffffff,0x3fbbffe6,0x3fea4fff,0x3ff63fff,
    0x4c260fff,0x7c46ffff,0x07ffffff,0xffffffff,0x7ffffcbf,0xff75ffff,
    0xffffffff,0x01fe609f,0x7fd5bfea,0x3ff63fff,0xfff50fff,0x7ffec7ff,
    0x83ff30ff,0xfffffffb,0x7cc4ffff,0xfffd880f,0xfffa80cf,0x3fff63ff,
    0xffd880ff,0xffb80cff,0xffffffff,0xfffd884f,0x9819804f,0xefffe982,
    0x3bfffee2,0x37999100,0xfffffe88,0xffffb05f,0x7ec7ffff,0x3fffffff,
    0xffffffd5,0x6c09ffff,0x26373003,0x2e2efffe,0xd30effff,0x7dc5dfff,
    0x06e0efff,0x3fffffaa,0xa84fffff,0x200cc402,0x22efffe9,0x00effffb,
    0xfd500662,0xffffffff,0x00cc409f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2ea00018,
    0x6cc2cccc,0xb8baa00c,0x22ca800e,0xb8baa008,0x5c5d500e,0x0000000e,
    0x00010008,0x00019300,0x98000600,0x0040001b,0x00000220,0xef800400,
    0x7ffec000,0x7ff45fff,0xfe93f203,0x6ff7e402,0x93f204fb,0x49f902fe,
    0x6c4002fd,0x06e88004,0xa8001dd0,0xff88adec,0x00376203,0x98005f88,
    0x88002ebe,0x0fe4007e,0x00136200,0x7cc01fa2,0x39f7001e,0xff8bf333,
    0x882a204f,0xff52c802,0x1054401b,0x51054405,0xefffb800,0x01df5001,
    0x200bfa60,0xffffffd8,0xff500fff,0x7d4005ff,0x54ee000e,0x0ff4c004,
    0x00ff6200,0x00f7ffdc,0x2001fe98,0x7d800fe8,0x3ffe89d0,0x02000000,
    0x00000000,0xfe98dfc8,0x006fcc02,0xb007f620,0xffd77bff,0x237ee03f,
    0x26002fe8,0x2fa6006f,0x3be2002e,0x0bf20000,0xfd31bf90,0x00ef8805,
    0xfd100500,0xffe81307,0x66665c43,0x20cccccc,0x65c0ccca,0x33260bcc,
    0x81bccccc,0x00ccccca,0x002e0a60,0x0a800051,0xf70bfee0,0x20a605ff,
    0x0144001a,0x20007260,0x01300002,0x800b8298,0x81331002,0x7fd40998,
    0x7ec00dff,0x7fffe42f,0x0fffffff,0x54bffff1,0x3e3fffff,0xffffffff,
    0x7ffffcc5,0xaa88004f,0x15531000,0x02aa6200,0x7fcc4ff8,0x2aa606ff,
    0x0d54c001,0x006aa600,0x00035530,0x22001551,0x22000aa9,0xfff500aa,
    0x22fffe49,0x3ffd89fd,0x9107ff20,0xddddddff,0x7ff5c1ff,0x9ffd912f,
    0x7ff76d41,0xedb81dee,0x2a007fff,0x01effffe,0x3bffffee,0x3fffee01,
    0x07fcc1ef,0x1ff5dff1,0xffffffb8,0x3ffee00d,0x2e00dfff,0x0dffffff,
    0x3ffffee0,0x7f5400df,0x2e01efff,0x01efffff,0x3bffffaa,0x927ffd41,
    0x2fb8bfff,0x2e07bfaa,0x07fb00ff,0xff981ff1,0x007fc46f,0x7e400ff3,
    0xfa802ffe,0x1fffffff,0xffefffe8,0xfffe81ff,0x2a1ffffe,0x447fec6f,
    0x7ffec1ff,0x3603fffe,0x3fffefff,0x3fbfff60,0x3ff603ff,0x203fffef,
    0xfffffffa,0xefffe81f,0xfa81ffff,0x1fffffff,0x7e444fd8,0x706ff445,
    0x0ffb85ff,0xf8dc7fb0,0x4ffff987,0xf9803fe2,0x36ffe007,0x6ffcc05f,
    0xc83ffa22,0x3fe60bff,0x305ffe46,0x937dcdff,0x20ffc5ff,0x07fd41a8,
    0x7fd41a88,0xfa835100,0xa835100f,0xdff980ff,0xc83ffa22,0x3fe60bff,
    0x116ffcc6,0x4fd81ffd,0xffb05fb8,0xf50ff4c7,0xfa9fec0f,0x7ff30335,
    0x03fe23ff,0xf5007f98,0x401ff31f,0x5ff107fc,0x4ccceffc,0x3fe2ffa9,
    0xfa99999d,0xf51ff52f,0x807fc49f,0x1ffbccca,0x7de66540,0x6665401f,
    0x65401ffb,0xc81ffbcc,0x45ff107f,0x99999dff,0x1ff22ffa,0x3f617fc4,
    0x2a05fb84,0x89f11efe,0x3fff603d,0xbfcc06ff,0x01ff16fe,0xfe803fcc,
    0xfe813fa4,0x7c57f603,0xffffffff,0xffff13ff,0x7fffffff,0x17feffe2,
    0xfff50df7,0x203fffff,0xfffffffa,0xffff501f,0x2a03ffff,0xffffffff,
    0x3603fe81,0xfffff15f,0x47ffffff,0x17f603fe,0x0bf709fb,0x5fdbff70,
    0xffffd800,0x9bfcc06f,0x00ff8bff,0x3e601fe6,0xe81fee1f,0x457f203f,
    0xffffffff,0xfff14fff,0xffffffff,0x077ffec9,0xffa89ff1,0x1ffedcef,
    0xdcefffa8,0xffa81ffe,0x1ffedcef,0xdcefffa8,0x3fe81ffe,0x7fc57f20,
    0xffffffff,0xc80ffa4f,0x6427ec5f,0xfff3005f,0x5bfb0007,0x7f980df9,
    0x03fe7ff2,0xfc807f98,0x2fffffff,0x3e20ff90,0x0013fe3f,0xf98009ff,
    0xffa88cff,0xf80efe86,0x80efe81f,0x0efe81ff,0xefe81ff8,0xfc81ff80,
    0x7c7ff107,0x3fe4004f,0x7e43ff88,0x1dffb30e,0x83f983c8,0x4ff605e9,
    0x985f33e9,0x3fbfa27f,0x01fe600f,0x3ffffffe,0xdff305ff,0x1ffd7117,
    0x530e7fdc,0x67fdc197,0xb832ea61,0xffffffff,0x10cfe81f,0xe815ffd7,
    0xffd710cf,0x10cfe815,0xe815ffd7,0xffd710cf,0xbeff9815,0x20ffeb88,
    0x2a61cffb,0x3bfe60cb,0x0ffeb88b,0x7fffffd4,0x42f47fff,0x0ffa82fb,
    0x3f207fb0,0x3ea3fcc4,0x3e600fff,0x557fdc07,0x00ffbaaa,0xfffffff5,
    0xffffb03f,0xd89fffff,0xffffffff,0xf9bff34f,0x2a019fff,0xffffffff,
    0x7ffd47ff,0x7fffffff,0x7fffffd4,0x7d47ffff,0xffffffff,0xffffa87f,
    0xfd81ffff,0xffffffff,0x7ffffd44,0xff701fff,0x8bffddff,0xefeeeefe,
    0x3a201300,0xd99999cf,0x04ffd44f,0x3301fffb,0x88333ff5,0xfe980dfe,
    0xfffd300c,0x7fdc03bf,0x80beffff,0xeffffffb,0x198df90b,0xffffd700,
    0xd70bfff9,0xfff9ffff,0xffffd70b,0xd70bfff9,0xfff9ffff,0x3fffa60b,
    0x3fee01df,0x80beffff,0x1dffffe9,0xe8009980,0x00deffff,0xfffffb80,
    0x24ffffff,0x11fffffb,0xfff81fff,0x55ffffff,0x6c7fffff,0x400fffff,
    0x4d440019,0x066a2001,0x40000644,0xa88001a8,0x01a88001,0x0001a880,
    0x35100066,0x00198003,0x00000000,0x3fffffaa,0x2a4fffff,0x2e0efffe,
    0x7ffec0ff,0xd33fffff,0x7dc5dfff,0x0000efff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x5c000000,
    0x99951002,0x00040079,0x88000000,0x00003ddb,0x400620c0,0x2a600c41,
    0x20000001,0x36e20029,0x36e200bd,0x999301ce,0x30037999,0x66445bb7,
    0x2ccccccc,0x26620030,0x1004cc40,0xfffc80ff,0x402fffff,0x75c007e8,
    0x80bf0001,0x05ffffe8,0x15437f62,0x2fd93f20,0x5fb27e40,0x5e7ffec0,
    0x3bfb102e,0xfffb80aa,0x3fe600cf,0xfe885fff,0xa82fffff,0xffffffff,
    0xffffd100,0x3fffe63f,0x644fffff,0x3ee03fff,0x3fff24ff,0xd81fe605,
    0xcf9eecff,0x00ff4c00,0x04fffd88,0x3a03fcc0,0x207f912f,0x3fefebee,
    0x3f717d40,0x3ee2fa80,0x3fff2201,0xd7dd00df,0x3e207fdf,0x203ffeff,
    0x4ffdcffe,0x765f7fe4,0xeeffa86f,0xff304eee,0x261b77bf,0xfeeeeeff,
    0x322be64f,0x9fff500f,0x302fffe4,0x3ff301ff,0x100fe3b6,0x3e2001df,
    0x400df72f,0x0fea07f9,0xb7060bf1,0x00000003,0x3f7ff600,0x3b70204f,
    0xdf72fe40,0xfa83fe60,0x3e0b6a0f,0x003fd42f,0xe803dff3,0x2e47ff05,
    0x89fd00fa,0xfd305fc8,0x37e4bdff,0x5007f1db,0x29817000,0xd81fe600,
    0x2606d80f,0x54c001aa,0xaa88001a,0xf50ab800,0x0aa8803f,0xff11fec0,
    0xff0bf703,0x513f6005,0x77ec00ff,0x3fea0000,0x02f89b20,0x2fdc27ec,
    0x7fffffe4,0x76cff72f,0x099883f8,0x4c404cc4,0x004cc409,0x8fd03fcc,
    0xffb87fda,0x200dffff,0xdffffffb,0x7fff5400,0x32ea01ef,0xd505fc9b,
    0x203dffff,0x7fea8bfd,0x9fb07fd0,0xa85ff500,0x82cedcff,0x00012ff9,
    0x7bf117f2,0x4fd808fd,0x7fcc5fb8,0x32ffa8ad,0x3e3b67ff,0x927ffd43,
    0xffa8bfff,0x17fff24f,0x3ffbbbae,0x4bf2deee,0xfd87fffe,0x03fffeff,
    0x3ffbfff6,0x3ffea03f,0x4c1fffff,0xfffffffe,0xfffffa87,0xbfd81fff,
    0xf884fffd,0x706fb81f,0xf50dffff,0x89ffffff,0xeffeaffa,0x20ffe000,
    0xfc99cfd9,0xfb84fd87,0x7ec2fe45,0x3bbffea0,0x7ffd43f8,0x517fff24,
    0x7fe49fff,0xfffff85f,0xf5ffffff,0x43ecfeab,0x07fd41a8,0x7fd41a88,
    0x22dff980,0xfd10ffe8,0xffffb7df,0x116ffcc1,0xbfd81ffd,0x443ffffb,
    0x06fa80ff,0x305ffffb,0xfff79fff,0x7ffffdc5,0xfa801fff,0x3ff2a00f,
    0x84fd81be,0x817fc5fc,0x8effd980,0x889fb03f,0x89fb05fc,0xaa985fc8,
    0xaaaaffca,0x7d9b6bf0,0x3ef332a0,0x6665401f,0x7fc81ffb,0x3f25ff10,
    0x0fffc42f,0x3fe20ff9,0xfb51fec2,0x407fc45f,0xf95106fa,0xb03303ff,
    0x6fffdcdf,0xc806fea9,0xeffda85f,0x877ec01b,0x3a0effd9,0x1dd0003f,
    0x213f607f,0x09fb05fb,0xff300bf7,0xb0fbafc0,0xfffff50f,0x3ea03fff,
    0x1fffffff,0x3f603fe8,0x3f20dfd5,0xd80ffa2f,0x741fec5f,0x6417fc5f,
    0x6fe8805f,0xfa9fea00,0x00ffd46f,0x7df10ffe,0x2039fd51,0xfffffffd,
    0x03bee7ff,0x476c0195,0x709fb03f,0x213f60bf,0x7f9805fb,0x77fc57e0,
    0x3ffea0ff,0x81ffedce,0xedcefffa,0x03fe81ff,0x827f57f2,0x0ffa0ff9,
    0x1fec5fc8,0x13f63fdc,0x7d400ffa,0x1ff3000f,0x3fe07fe6,0x003fea02,
    0x20dd59f3,0xeefffffd,0x3ffe25ff,0x202fffdd,0xfb03f8ed,0x360bf709,
    0x805fb84f,0x99b607f9,0x3fa1fffc,0xe81ff80e,0x81ff80ef,0x7ff107fc,
    0x3fe41ff6,0x7fc41ff2,0x85c5fec3,0x1fee0ff9,0x2a001ff1,0x1fee007f,
    0x2ff887ff,0x36017f20,0x3f607e25,0xe9800aac,0x405fffff,0xfb03f8ed,
    0x360bf909,0x805fc84f,0x03f207f9,0xb8867f40,0x7f40affe,0x5ffd710c,
    0x8beff981,0xf50ffeb8,0x3fee239f,0x45f7fcc4,0x220ffeb8,0xf95fbcfe,
    0x98cff98b,0x82f626fe,0x3e65ffa9,0x22ffd41c,0xffb32ffc,0x401ffc01,
    0x7ec17c4d,0x7ff70004,0x7f1db001,0x6cc3bf20,0xefc80eff,0x01dffb30,
    0x1fd407b0,0xfffffa80,0x547fffff,0xffffffff,0xfffa87ff,0x641fffff,
    0xefffffff,0xfffffa80,0x3ff21fff,0xfffffdff,0xfffffb82,0x3fffea2f,
    0x261fffff,0xffffffff,0xffffe80f,0x3fea04ff,0xc9afa800,0x0009fb07,
    0xed801fe6,0xfff503f8,0x0fffffff,0xfffffff5,0x99988fff,0x41999999,
    0x20b223fd,0xfcffffeb,0xffeb85ff,0x05fffcff,0x3bffffd3,0x3ffffee0,
    0x3ffa600c,0x7f541dff,0x3effd9ef,0x0bffff20,0x3ffffff2,0xfffea80d,
    0xfb300dff,0xe8807fff,0x3bff2003,0x0007f902,0x99301fe2,0x019df7fd,
    0xfddffff7,0x3ffee0bf,0x7c5ffeef,0xffffffff,0x3ffe25ff,0x2a203ffe,
    0x01a88001,0x98006600,0x0cc0009a,0x20018800,0x09998019,0x00353100,
    0x00000198,0x006cc018,0xfb805700,0x1fffcfff,0x20002660,0xffd80099,
    0xffffffff,0x0deedc43,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xbd930000,0x376e2019,0x30004002,
    0x06001555,0x00000031,0x180332e6,0x01332600,0x4c404cc0,0x01306201,
    0x35511998,0x4aea6001,0x26200998,0x001330aa,0x95002ae6,0x0000017b,
    0xfb817a20,0x442fffff,0x01fffffe,0x74c03744,0x0fefffff,0x17ec9f90,
    0x80007d30,0xf100ffff,0xffff100b,0xffff9800,0x03ffff22,0x03fcc3fe,
    0xfff9fffd,0x7ec407ff,0xfffeffff,0xfffffb82,0x3206fffc,0x83effeff,
    0x006ebdfb,0x1913ffb8,0x2a03fea0,0xfffcbeff,0x3f33ff60,0x07fe606f,
    0xfdffff50,0x3ea05fff,0x7e407ee2,0x70001eff,0x7d401ffb,0x3ff5c00e,
    0x3fffe600,0x03ffff22,0x205e89b6,0xeffffffe,0xfe885fff,0xfffffeff,
    0x77ffec2f,0x06ffffff,0x3fb985fb,0x8007ee08,0xefefccf9,0x7ec06600,
    0xf89ffc46,0x20ffe21f,0x7c400ef8,0xff710aef,0x3f600007,0x0001ff54,
    0xd3003fe2,0x00ff300d,0xf905ff30,0xf500000f,0x7fe447ff,0xa85ffe43,
    0xffb85ffe,0x07ffee23,0x1153076c,0xbfd907f5,0x5ecc1000,0x0ffa0000,
    0x43fd53f6,0x002886fc,0x3f603ff5,0x02aa6201,0x005c41a8,0x7c44d544,
    0x8028800f,0x135517f9,0x7c46fc80,0x4099883f,0xff300998,0xff1bf209,
    0xd0bff309,0x07ff209f,0x7ff547e6,0xc981f56f,0x416c40ef,0x01553098,
    0x8df901a8,0x0df73ff8,0x33310ff5,0x1037e403,0x7fffdc03,0x333101ef,
    0x3fff2003,0x100ffcff,0xf3003333,0x7fffff9f,0xf917fc40,0x49fff50d,
    0xf305fffc,0x43fe601f,0xbfb01ff8,0xf301ff88,0x1fc9903f,0xf9817cd9,
    0xfd0ffee3,0x5ffffdbf,0x7cc1be60,0x0fffdcef,0x7f441ff5,0x3fffea1f,
    0x0017f207,0x7ff7fff4,0x7ffd41ff,0xfffe807f,0x80ffffff,0x807ffffa,
    0xfffffff9,0x5bf205ff,0xffa83ff8,0x17fff24f,0xfb817fcc,0x7407fe27,
    0x703ff85f,0x2a7d03ff,0x2e9b0c46,0xe98fdaab,0xfffe82ff,0x80fffeff,
    0x3fee07fa,0x3e22ffff,0xfffd99df,0x1ffffea2,0x0200ffb8,0xf982fff2,
    0x7fffd46f,0x8e7fe407,0xa80fffd9,0x9807ffff,0xfb31cfff,0x2bfe205f,
    0x27ec06fc,0x7cc17f22,0x2ffcc1ef,0x3fe617fe,0x4c1ffd85,0x92f81fff,
    0xfb75c809,0x5bff959d,0x49ffb079,0xffb82fe8,0xfffff880,0x7ffd46ff,
    0x982fffff,0x3fe207fa,0x237dc41d,0x99999dff,0xfa982ffa,0xe82ffc07,
    0x3ea600ff,0x05ff9807,0x7fe40dfd,0x27ec03ff,0xff982fdc,0xfffeceff,
    0x44e7fe40,0xf885ffeb,0xfffeceff,0x0d53d81f,0xdfd503d8,0x3f617fa5,
    0xfc85fc84,0x12ffd81f,0xffa87ff7,0x300ffcff,0xfffa80ff,0x24ffffff,
    0xfffffff8,0xf303ffff,0x80ffc40f,0x7cc00ffb,0x01ff9807,0x7fc40ff7,
    0x84fd806f,0xfff305fb,0x03bfffff,0x3ffffffa,0xffb305ff,0x03ffffff,
    0x5a85fcb7,0x93ff207e,0x4fd85ffc,0xffd85fb8,0xfd83ff82,0x1ffa3305,
    0xea807f98,0x44ffffff,0xfffffff8,0xf304ffff,0x807fcc0f,0x7cc00ff9,
    0x00ff9807,0x7e401ff3,0x84fd803f,0x2ff305fb,0xc800bdca,0x5fdeffff,
    0x4566dc40,0x32f981ff,0x1f27fffb,0xcf987bee,0xb84fd85e,0x83ffe85f,
    0x06fb82ff,0xf301ffdc,0x4f6cc00f,0x0013fe01,0x7fc07f98,0x801ffb04,
    0xff9807f9,0xd80dfb03,0x09fb006f,0x1fe60bf9,0x642a6000,0xff88005f,
    0x0c43f701,0xd10a03f9,0x13f617ad,0x3ffe17ee,0x88aefd84,0x22263ffa,
    0x4c05ffeb,0x27ec007f,0x9873fee0,0xff300cba,0x31bffd80,0x9805fff9,
    0x7fdc407f,0x7ff931bf,0x801ffcc0,0xffb30efc,0x00ff301d,0x007ff000,
    0x5c03ff10,0xfdb98acf,0x3ffee001,0x33f622ff,0x3e077e40,0xfff984ff,
    0xf50effff,0x20bfffff,0x99ffa998,0xfdbb1009,0xfffffb00,0x4c49ffff,
    0x0999ffa9,0x7fffff44,0x446fffff,0x999ffa99,0x3ffffe20,0x86ffffff,
    0x03ffecca,0xffffff50,0xfc98ffff,0x44000bcf,0x0fffcccb,0x3ff2e200,
    0x3ff6a01c,0x4c001cef,0xf30ffcaa,0x3fa1ffff,0x0ffec7ff,0xdffffe98,
    0x3bfffe60,0xfffff502,0x201fffff,0xf7002ffc,0x17dfffff,0x3fffffea,
    0x6440ffff,0xffdfffff,0x3fffea4f,0x20ffffff,0xfffcfffd,0xfffa83ff,
    0x7002ffff,0xffddffff,0x7ffffc4b,0x7fec006f,0x4002ffff,0x07fffffe,
    0x10000130,0x3fa25fff,0x3fff25ff,0x98016445,0x2004c401,0xffffffe9,
    0x00000eff,0xd3019a88,0xffffffff,0x00d4c01d,0x7fffff4c,0x4400efff,
    0x3b2201a9,0x000deeee,0x75c004cc,0x4002deee,0x00bdeeda,0xeeeeda80,
    0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80000000,0x54400ab9,0xb300004c,
    0x0620c01b,0xa8005ba8,0xaaaaaaaa,0x0b7300aa,0x019bd950,0x2a0332e0,
    0x4c02deed,0x0b8adedb,0x2a000950,0x0b9ceedc,0x333332e0,0x0b3201cc,
    0x1ceeca80,0x00599710,0x277bb6a0,0x3ff2001a,0xff03effe,0x320000df,
    0x49f702ff,0x7ffc82fd,0x5000c400,0x03fffecc,0x3ffffff6,0x0fffd401,
    0xfffffff7,0x3ffff609,0xfd03ffff,0xfffc8003,0x303fffff,0xffffffff,
    0x402ffc0f,0xffffffd8,0x03fffc83,0xfffffe80,0x07fee5ff,0x3fb985fb,
    0x0000db08,0x2fa80aa2,0x3ec407ee,0x28006200,0x81fffffe,0xffdbeffd,
    0x3fffa00f,0x2ef7ff21,0x7fe42ffe,0x4fffcbbd,0x6c005ff0,0xfecaceff,
    0x3bb6e04f,0x3a02deff,0xdffd804e,0x4c4ffebb,0x64003ffd,0xffdbbdff,
    0xed83fea6,0x3ea09999,0x0000db03,0xfb000000,0x20018800,0x1feaf6e2,
    0x3e21ffc4,0xffff703f,0x7f427e43,0x220ffee5,0xbff984ff,0xff500999,
    0x4013f605,0x00001ff8,0x3f20bfee,0x003fd81f,0x37ec27fc,0x5cfccff3,
    0x3ea5ffff,0x6dc06d80,0x4401a800,0x7d801999,0x01893220,0x83fcc0a0,
    0x09fb05f8,0x43ff9ff1,0x26fb81d9,0x8fee04fd,0xfffffff8,0x04fe86ff,
    0x7c4007a6,0x2666201f,0xb027fc01,0x517fb0df,0x0ffc0135,0x4df127cc,
    0x1f44f64c,0x260db05f,0x7c400ffe,0x3fffea06,0xf507d807,0x5000c4bf,
    0x2001fe60,0xffd83ff8,0xe8801ff8,0x500bfe3f,0xffffff88,0x7fc46fff,
    0x3e200002,0xffff501f,0x203fcc0f,0xfefd87f9,0xfb01ffff,0x5f80815d,
    0x7d33d8fa,0x5dd5526c,0x006ffdc5,0xfa81ff22,0x2a607fff,0xffb11afe,
    0x0a001887,0x6c003fcc,0x97fcc0ff,0x3f2601ff,0x01ff30ff,0x26ffe200,
    0x0ff98099,0x3fe20000,0xfffff501,0x22037d40,0x7ffec1ff,0x980fffef,
    0x02ceffff,0xffb17c9d,0x3b65c8bf,0xffe9deee,0xfa80acbb,0xfa9807ff,
    0x3bbbb207,0x4caeffbc,0x30280062,0x7ec400ff,0x3e6fe82f,0xdfff301f,
    0x0003fcc3,0x3e600bfe,0xacccca87,0x3fe20510,0x03fd4c01,0x3ff00df7,
    0x3a24ffd8,0xfffb103f,0x21a81dff,0x17a7363d,0xcffc807b,0x547ecef9,
    0x3000cfff,0x7f4400ff,0x0c4ffb3f,0x1fe60500,0x41fff440,0x07fe1ffb,
    0x7cc1ffcc,0x3fe0000f,0x20ff9802,0x3ffffffa,0x3ff105f9,0x4c0ff300,
    0x07fc407f,0x17f213f6,0x1bff6e60,0x9d26cb70,0xefe980fc,0x8fe21d52,
    0x4c000dfd,0xbff7007f,0x189ffee1,0x3fcc0a00,0x417ff4c0,0xfcccfff8,
    0x409b00bf,0x3e0004fe,0x47ff002f,0x1effeec8,0x3ff107fb,0x440ff300,
    0x1fee01ff,0x17f20ff6,0x3fe60171,0x57cc7710,0x9bf35ffc,0x2027f40f,
    0x20bfe1fc,0x01fe6039,0xdf88bfe6,0x2800627d,0xfa80ff30,0xfff302ff,
    0x09ffffff,0x701ff200,0x400bfe05,0x93f206fe,0x07f983fd,0xfd80ff30,
    0x83ff880e,0x45fc83fd,0x3ff105fb,0x1fb8fff2,0x19807f20,0xfb0ff620,
    0x2605fb09,0xe815007f,0x00627d8f,0x40ff3028,0x2601fffb,0xffeeeeee,
    0xff30001d,0x3fa6215d,0x2619fd06,0x3fea1edb,0x9fd5109d,0xea85f7ec,
    0x0ff3006f,0x511eff88,0x0ff60dff,0xbff917f2,0xb9bf6a23,0x567dc2ff,
    0x001fdb98,0x2607fe60,0xffedceff,0x3fea6622,0xf5000999,0x0627ffff,
    0x7d4cc280,0x3ff2199f,0x0b9999af,0x40bfe620,0x3e601efa,0xffffffff,
    0xfffff502,0xffc85fff,0x4fffffff,0x3ffffff6,0x266200ef,0x80999ffa,
    0xfffffffa,0x0cfe981e,0xfb837f22,0xffffffff,0xfda804c2,0x0001ceff,
    0x02aaffee,0xdffffffb,0x3ffffea3,0x800fffff,0x11ffcaa8,0xffd14003,
    0x2bffffff,0xfffffffd,0xfff504ff,0x5ff707ff,0xfffec880,0x7fe401df,
    0xb501dfff,0x05dfffff,0x1bffffb5,0x7ffffd40,0x880fffff,0x80cffffd,
    0xf17ffff9,0x3a63ffff,0x2effffec,0x00026000,0x7fffff40,0x1cdeca84,
    0x7fffff4c,0x4000efff,0x55713ffe,0x55555555,0x7ffffec5,0xfffb3fff,
    0x0bffffff,0x0bbfffa2,0x2620004c,0x0d4c4000,0x00266200,0xfe9800cc,
    0xefffffff,0x10066200,0x7f4bfffd,0x33100eff,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xcccb8800,0x02f332e2,0x10357750,0x98099997,0x540004cc,0x99500add,
    0x20e66409,0x2e20bcca,0x332e22cc,0x2e01accc,0x2e60bccc,0x10002ccc,
    0x66400001,0xcccccccc,0x8b33263c,0x3221bccb,0x002ccccc,0x2206f36a,
    0x1acccccb,0xf9000000,0xff53ffff,0x3e607fff,0x5c6fffff,0x2207ffff,
    0x10007fff,0x81dfffff,0xb82ffff8,0x3fea7fff,0x3fff64ff,0xfffff91f,
    0xfa81bfff,0x3f63ffff,0x2200ffff,0x00ff50aa,0x7fc4fee0,0xffffffff,
    0x3ffffa6f,0x26ffffa9,0xfffffffb,0x7fffc401,0xffffb85f,0x000dffff,
    0x3ff500bd,0x227bffb3,0xb00cffec,0x8dffddff,0x407feec8,0x70007feb,
    0x07ff77df,0xfd0bfff7,0x7fe445ff,0x93ffea1f,0xfeeeffd8,0x3f220fff,
    0x3f660cff,0xffd703ef,0x00dffdff,0xf15fffa8,0xddffdddf,0x77fd4dfd,
    0x45dff913,0x3deeffc8,0xfecffb80,0xeeffd882,0x400ffffe,0xffc807f9,
    0x3e20ff54,0x01ff300f,0x9807f980,0x5ff0007f,0xfff8064c,0x1bffea1f,
    0xff50ffdc,0xf50ff305,0x20df90bf,0xff702ff8,0x1ffffddf,0x3fffaa00,
    0x7cc7fe24,0x7fb1bee7,0x3f60bf90,0x00abccce,0xf30045fd,0x80bff50f,
    0xdd9807f9,0x3e20ff50,0x9efb880f,0x7f980099,0x4cc7f980,0x000ffc01,
    0x7ec9ffff,0x3bf606ff,0xf304ff88,0x107fea0f,0x0ff705ff,0x7cc77fee,
    0x6cc01fff,0x7c40cfff,0x7dcff31f,0x7e41fec6,0xfffffb05,0x9fd03fff,
    0x541fe600,0x1fe601ff,0x883fd400,0x7fff40ff,0x405fffff,0x7f9807f9,
    0x40dffff3,0x3fe003fe,0xdff98ffd,0x33fe206f,0xff300efd,0x7ec1ff40,
    0xfb03ff85,0x7f77fccb,0xbfff9104,0xff33f403,0x0ff627d4,0x67ec17f2,
    0x86feca99,0xf9801ffb,0x980ffa07,0xff50007f,0xfb03fe20,0x9fffffff,
    0x9807f980,0xdffff57f,0xdfffffb0,0xffaff805,0x06faefcc,0x00ffffdc,
    0x27ec0ff3,0xff507fd4,0x265ff101,0x86fb8eff,0x802efffb,0x151fe619,
    0xffffffd8,0x09fb05ff,0xffd81ff5,0x7f445916,0x361fffff,0x37332a4f,
    0x01ccccff,0xff107fa8,0x33df7101,0x0ff30013,0xffd3ff30,0xffff1017,
    0xff809fff,0xaaffffb9,0x3ff2e06f,0xff303cff,0xfe827e40,0x7c417f64,
    0x70fff89f,0xefffe8df,0x0ff30000,0xffffffb0,0x13f60bff,0xffd83fe6,
    0x32ffbcff,0x5fffffff,0xffff2fe4,0xbfffffff,0x1fea2aa8,0xfa807fc4,
    0x07f98006,0x2fffff98,0x5ffdd440,0xf89ff801,0x40df57ff,0x2aaffbaa,
    0x7ec0ff30,0x3e6ff704,0x3b7fe01f,0x07ff11ff,0x005ffff7,0xfb00ff30,
    0xbfb5555b,0xfb113f60,0x7dd7fc4d,0x2a20efef,0x7ec099ff,0x3f7332a4,
    0x221ccccf,0x41fe63ff,0xdf500ff9,0x00ff3000,0x007ffff3,0xf8007fcc,
    0x2a7ff91f,0x3ea6206f,0xff30099f,0xf8817fc0,0x5c06fcaf,0xeb89ffff,
    0xff9101ff,0x7cc005df,0xc83fd807,0xdddfb05f,0x7d45fffd,0x207fff66,
    0x0bfe07f9,0x7dc07f98,0x5c1ffc46,0x01bea06f,0x2601fe60,0x003fffff,
    0x3e060ff7,0x2a1dd11f,0x3fbba06f,0xff305eef,0xd803ff20,0x4403ffef,
    0xffffffff,0xffd8801f,0x7f9801df,0xfc83fd80,0xfffffb05,0x2ff8839d,
    0xf303fff3,0x803ff20f,0x0fec07f9,0x5c45ffec,0x1bea03ff,0x201fe600,
    0x4ffd8ff9,0x4ceffd40,0x3e23fc99,0xefb980af,0x27fea600,0x267fea00,
    0x403ffdb9,0x200ffff9,0xfffeffe8,0x6cc001df,0x9880cfff,0xd3019ffb,
    0x6fec419f,0x4ce7ec40,0x7fffec00,0x7d42ffff,0xffdb999f,0x103fcc04,
    0x3ffe20bf,0x3106ffff,0x01333df7,0x27fea662,0x3fdc4099,0xc813bff9,
    0xffffffff,0xffff33ff,0x7fffe47f,0xffffd80f,0xfffb83ff,0x05ffffff,
    0xa809ffd0,0x000661ff,0x317ffaa0,0xdfffffff,0x9fffff98,0x71fffffa,
    0x3fffffff,0x7fff6440,0x3fee1efe,0x5fffffff,0x2a07f980,0x3ff6200f,
    0xfff104ff,0x87ffffff,0xfffffffa,0xfff10fff,0x3ffffd4f,0x3fffffee,
    0xfd10dfff,0x7fd45dff,0xffb80eff,0xea82efff,0x2cefffff,0x007fee00,
    0x00000371,0x7f443eb8,0x4c4fffff,0xe98efffe,0xfd30efff,0x001dffff,
    0xfea80266,0x02ceffff,0x018813a0,0xe8803310,0xefffffff,0x7ffff4c2,
    0x360effff,0x3ffa67ff,0x0000005f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xccc98000,0x3ccccccc,
    0x6666665c,0x5e65c2cc,0x88b32e60,0x2e60bccb,0x666542cc,0x3333261b,
    0x33332e61,0x21cccccc,0xccccccc9,0xcccca81b,0xccca800c,0x05e665c0,
    0x17999995,0x66665c40,0x00000abc,0x33332e20,0xcb880abc,0xcccccccc,
    0x7999710c,0x88b33263,0xbccccccb,0x402ec001,0xfffffffe,0x7ff46fff,
    0x24ffffff,0x3a3ffffa,0xff51ffff,0x7ffec7ff,0xfffff11f,0x3fffffcb,
    0xfffffffb,0x7fc7ffff,0x5fffffff,0x7fffffcc,0x7fffc404,0x3ffffea5,
    0xffffff13,0x7ffe40bf,0x03ffffff,0x2e000bb6,0xffffffff,0x7fffe43f,
    0x0fffffff,0x2bfffff9,0xf91fffff,0xffffffff,0x01fe200b,0x3bfbbf6a,
    0x7f46feee,0x4ffeeeee,0xf51bff22,0x7fe447df,0x0fffea0f,0x543bdff9,
    0x3662ffed,0xeeeeeeff,0x3bb6a3ff,0xb81deeff,0x807fffed,0x912fffeb,
    0x6dc19ffd,0x201ceffe,0xeeeeffc8,0xffd03fff,0x7e44005d,0xfffeeeef,
    0x3bbff223,0x10ffeeee,0x363bdff9,0x3f223fff,0xfffeeeef,0x20011002,
    0x2e3fdcfa,0x3a1ff46f,0x1ffb80ef,0x7dc07fee,0x20bff22f,0x43311ff8,
    0x03ff06fa,0x3fcc0ffa,0x5ffdf900,0x8dfff300,0xff500ff8,0x443fd800,
    0xffb107fd,0x7ec003bf,0x6c3fec44,0x40ff883f,0x3bfee3fd,0xf907fb00,
    0xf900000d,0x3ea27fb3,0xffb17ec5,0xf8b7f403,0x4ffec04f,0x3fe03ffb,
    0x3ee5ff72,0x2e23ff05,0x3e603f90,0x36ffe007,0xfff9805f,0x403fe24f,
    0x7ec007fa,0x200ff983,0x00cfffd9,0xff984fd8,0x2371fec0,0xf93fd87f,
    0x1fec01bf,0x00007fcc,0x75fedfa0,0x86d41c8f,0x7c403ffb,0xd006fecf,
    0xe80bffff,0x329ffd3f,0x323ff04f,0x7cc0513f,0x31ff5007,0xff9801ff,
    0x1ff11ffb,0xb001fea0,0x06fd887f,0x07fffd50,0xffb84fd8,0x5fa9fec0,
    0xfb7fb033,0x47fb00bf,0xca86fea8,0xcccccccc,0xfdafcc1c,0xf9801fff,
    0xfff7005f,0x3fe2003f,0x9cfd806f,0x07fb7fff,0x13fffffe,0xe803fcc0,
    0x3013fa4f,0x7c5bfaff,0x00ff500f,0xfdbadfd8,0x7dc003ff,0x9fb02fff,
    0x6c37fdc4,0x406fffff,0x00fffffd,0xffffffd8,0xffff81ff,0x5fffffff,
    0xfffd9fdc,0x37fc401f,0x013ff600,0x805ffe88,0xffefbdfc,0xfff02fea,
    0x26009fff,0x1ff9807f,0xff301fee,0x3fe2ffe6,0x800ff500,0xfffffffd,
    0xfff30002,0xffffb09f,0xfb01ffff,0xd80dffff,0x00efffff,0x7fffffec,
    0xccca84ff,0x1ccccccc,0x6ffffff4,0x7fec00ff,0xff300660,0x7ffec001,
    0x777dc04f,0x1ffdfdcf,0x9fb59ff0,0x201fe600,0xfffffffc,0xc9fe602f,
    0x500ff9ff,0x361760ff,0x0effeeef,0xefffb800,0xfffffb02,0x37f601bf,
    0x7ec06fca,0x00efea9f,0x32aab7f6,0x00004ffe,0x7ffddff1,0x3f206273,
    0x2603fc2f,0x3ff2007f,0x2a02ffba,0xffa9ffff,0x23ff00ff,0xff3001fa,
    0xffffff00,0x7cc0bfff,0x3ffbfa27,0xf10ff500,0x2a3fd81f,0xf5000eff,
    0xfd807fff,0x6c009aad,0x3e67d33f,0xff31fec2,0xd81fec09,0xf500006f,
    0x3fa1fec7,0xf113fea0,0x03fcc01f,0x3f64ffa8,0xdfff301f,0x403fffe2,
    0xf30001ff,0xaaffb80f,0x00ffbaaa,0xfffa8ff3,0x10ff500f,0x43fd81ff,
    0x75405ff9,0xd800cfff,0x1fec004f,0x1fec4fc8,0x7ec03fee,0x801ff303,
    0x4ff66009,0xf999cfe9,0x33dff11f,0x101ff533,0x4033ff53,0x7fc46ffa,
    0x4fff881f,0x7cc1fff6,0x980099bf,0x4199ffa9,0xe980dfe8,0x9ffa80cf,
    0x103fff60,0x3333ff73,0x7f441ff3,0x05ffd41c,0x037fff62,0x4ce7ec40,
    0x4e7f4400,0x24fd9999,0x7f41cfe8,0x4e7f441c,0x06feb999,0xff983fc4,
    0xfffffeff,0xff31ffff,0xffffffff,0xfffff881,0xfffc87ff,0x3ffffa5f,
    0x2a1fff82,0xfffd86ff,0x3e00ffff,0xffffffff,0x7fffff55,0x07ffffec,
    0x23fffff7,0x3e20fff8,0xffffffff,0xfff70fff,0xfffd8bff,0x0077ffe0,
    0xffffffb8,0xffff701f,0x9fffffff,0x97ffffee,0xff75fffb,0xffffffff,
    0x209b005f,0xffcfffe8,0x1fffffff,0xfffffff3,0xfe881fff,0xa85fffff,
    0x3f23ffff,0x7fe81eff,0x7dc2ffc4,0x405fffff,0xfffffffd,0xdfffd33f,
    0x77fffdc5,0x3bfffaa0,0xfb03fee0,0xffffffff,0x3ffaa1ff,0x2ff443ff,
    0x26000bb2,0x0efffffe,0xfffffd50,0x2a9fffff,0x7c3ffffe,0xfffd53ff,
    0x03bdffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0aa88000,0x00355300,0x800aa988,
    0x8011aa98,0x2200aaa9,0x04cc4099,0x2a620000,0x330054c1,0x06a21531,
    0x99999988,0x02662099,0x26202666,0x00009980,0x15530988,0x2200d400,
    0x20266009,0x05510999,0xffea8000,0xff701eff,0x801bffff,0x1efffffb,
    0xffffff70,0xfffd305f,0x7d41fdff,0x3fff24ff,0x9a8afc45,0xffc85e88,
    0xeffd9dff,0x7f7ffc40,0x0efffdff,0xffffffd8,0xffffb5ff,0x3ffffe2d,
    0x45bfffa4,0x3ea4ffff,0x3fa1fd83,0x2ffffedf,0x3a06f880,0x7fcc6fff,
    0xffff14ff,0x07ffff55,0x7fd402d8,0x81ffffff,0xfffefffd,0x3bfffa03,
    0x7cc1ffff,0x4fffeeff,0x7f7fffd4,0x3fea2fff,0x17fff24f,0xffffdff3,
    0xdfff0fff,0xdfffffff,0xffffff88,0x83ffffff,0xfffffffd,0xdffffb4f,
    0x93ffffe2,0xff16fffe,0x1ffdc9ff,0x7ff45ffb,0x0fffefff,0xfb03fcc0,
    0xfff88dff,0xffffd14f,0x40ffffff,0xff301ffb,0x07ff445b,0x1ff506a2,
    0x4c17ff90,0x06fec6ff,0x7fc47fb1,0x7ff710ae,0xfc889fb0,0xfffffb85,
    0x09981fff,0xff31dff7,0xf31dff07,0x361beabf,0xeffc99cf,0x3a13fa20,
    0xeffb80df,0xd81fffa9,0x83ffdbff,0x3fa24ffd,0x7f99cb82,0x35fd8395,
    0x20ffa1ff,0x70cfffe8,0x3fffea05,0xf107fc80,0x3332a05f,0xdff81ffb,
    0xffa99999,0x26f7fee2,0x01ffa850,0x09fb03fb,0x9ff10bf7,0x4c0ffb11,
    0x99bffdcb,0x12ff86fd,0x21fea1ff,0x1dff50da,0x7cc1ff70,0x3ffe601f,
    0x3f600eff,0x9fb03fff,0xfff0bf90,0x8bffffff,0x17ffb6fb,0x3ffa03ff,
    0xfdff3002,0x03fe81df,0xfff517f6,0x883fffff,0xffffffff,0x3fa23fff,
    0x641effff,0x6c06206f,0xb85fb84f,0x20ffc47f,0xffffffe9,0xf87fffff,
    0x2a1ff12f,0x77fd407f,0xfd93fe00,0xefff9805,0x05fff800,0x17ee13f6,
    0x3fffffaa,0x4ffcc1df,0x07faefff,0x74400ffa,0x45ff98ef,0x97f203fe,
    0xedcefffa,0x7ffc41ff,0xffffffff,0xfffdca84,0x0017f23f,0x2fdc27ec,
    0x3fe237dc,0x33bffe21,0xfffffffe,0xff12ff87,0xfa81fea1,0x7fdc00ef,
    0xd801ff98,0x6c03ffff,0xfb03ffff,0x4c0bf709,0x3e00ffff,0xfdffffef,
    0x400bfa06,0x3fea1ffd,0x7c41ff23,0x203bfa3f,0x04ff81ff,0x7e441ec0,
    0x0803fee6,0xbf909fb0,0x7dc3ff30,0xf307fd47,0x4bfe005f,0x0ff50ff8,
    0x1b83bfea,0x6fdbff88,0x6dfff440,0x7ffb04ff,0x9fb07ffb,0x7f40bf70,
    0x3f604fff,0x4fffecff,0x7c00bfa0,0x265fc82f,0xeb88beff,0x433fa0ff,
    0x40affeb8,0x2a61cffb,0x19ff30cb,0xff137e4c,0x86fb883b,0xffb30efc,
    0xdfff981d,0x7fc47ffe,0x11dffd32,0x3ff88595,0x3fea3ff1,0x4cf7fd40,
    0xff706fa9,0x7f4c05ff,0x837ff63f,0x3ff63ffb,0x9033f622,0x3ff701df,
    0x3ee01ff7,0x2fffa9ff,0x99bfe998,0x54033009,0x7ffffd40,0x7fd41fff,
    0xffffffff,0xfffffd87,0xff34ffff,0x5fffffff,0xffffffa8,0xffa84fff,
    0x7fffffff,0x3fffffa2,0x7fec5fff,0xffffffff,0x3ffe67ff,0xaafff8cf,
    0x3ffe1fff,0x07ffffff,0x540dfff1,0xff37ffff,0x0fea3fff,0x7ffcc3f2,
    0xffffd0ff,0x07ec7f50,0x3fe6ff98,0x7fffe40f,0x000fffff,0x3fffa600,
    0xffd701df,0x0bfff9ff,0x3fffffee,0x3ffba0be,0xd503ffff,0x09ffffff,
    0x777fffdc,0x2bfe65ff,0x87fbaccb,0xedeefffc,0x3a21dfff,0xeff8afff,
    0x3e0effa9,0xffffffff,0x80bff207,0xd15fffe9,0x0001dfff,0x64bfffd1,
    0x00005fff,0x86fc8ffe,0xfffffffb,0x2000005f,0x06a20019,0x00cd4400,
    0x3001aa98,0x4c003353,0x200a8009,0x30351019,0x00000003,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x215c0000,0x81700049,
    0x0b76e219,0x322132a2,0x6665c2ce,0xcccccccc,0x02ee2003,0x1f7457ba,
    0x7105bd97,0xeed8839b,0xeeeeeeee,0xdd982b84,0x80604001,0x55510c41,
    0x55555555,0x5dddc555,0x712bbbbb,0x77777777,0x00177777,0x00000000,
    0x0df98fee,0x5c3fb100,0x3f33ba3f,0x217ffe23,0xf52fdbee,0xffffffff,
    0xffe8dfff,0x0bffff20,0xb1ffcbfd,0x7445f99b,0x3ea5fdcf,0xffffffff,
    0x22ec1fff,0x363ffffc,0xf136c40f,0x7ec7f909,0xffffffb2,0xffffffff,
    0x3fffffa9,0xfffb4fff,0xffffffff,0x00009fff,0x64000000,0x003bea5f,
    0x27e45fd1,0xbf08bd02,0xb97a0d88,0xcccccccc,0x3fe26fdc,0x3eabbe24,
    0x5ff27ec6,0x325ebb98,0xba87e60f,0xbbbbbbbb,0xf34fd81b,0xfb9ffd9f,
    0x20ff4c1f,0x8bea0efa,0xdddd50eb,0xdddddddd,0x2eeee5dd,0xb52bbbbb,
    0xdddddddd,0x003bdddd,0x00000000,0xff50efc8,0x44bfe603,0xfdb104fd,
    0xf9017e05,0x4df70007,0x8bee0ffa,0xd8ff21fc,0xfddff31f,0x0274274b,
    0xb766cc00,0x3fff23fa,0x403be22f,0x000006e9,0x00000000,0x00000000,
    0x8f7e4000,0x7fd42ffa,0xb80bfd12,0x20bf04fd,0x70003fd8,0x2a1fe4df,
    0xfb87f22f,0x86ec3f22,0xa87ee5e8,0x2eeeea1f,0x22bbbbbb,0x5402ffd8,
    0x880281dd,0x00000002,0x00000000,0x00000000,0xfa97fec0,0xb8ffec3f,
    0x0fb003ff,0x0bfa617e,0x3e6fb800,0xbfb9ff07,0xb9ee0f98,0x25fffeef,
    0x2a4ffefe,0xffffffff,0x0001ffff,0x00000000,0x00000000,0x00000000,
    0x3f600000,0x205ff70e,0x7ff31ffb,0x5ebabc88,0xa8d77d54,0x002babff,
    0x07f35fa8,0x2077ffaa,0x32e60c41,0x5dc41aaa,0x77776440,0x04deeeee,
    0x00000000,0x00000000,0x00000000,0x20000000,0x03bee4fd,0x3a23ff30,
    0x37fb223f,0x3bbb620b,0xddddd74e,0x27d1000b,0x00198038,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4f98bf20,0xc83fa200,
    0x0000002f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x06204c00,0x06a05c00,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__courier_bold_26_latin1_x[224]={ 0,4,2,1,1,1,2,5,6,2,1,0,4,2,
5,1,1,1,1,1,1,1,2,1,1,2,5,4,-1,0,0,2,2,-1,0,0,0,0,1,0,0,1,1,0,
0,-1,-1,0,1,0,0,1,0,0,-1,-1,0,0,1,5,1,2,1,-1,4,0,-1,1,0,0,1,0,0,1,
1,0,1,-1,0,0,-1,0,1,1,1,0,0,-1,0,0,1,3,5,3,1,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,4,1,0,1,0,
5,1,3,-1,3,0,-1,2,-1,-1,3,0,3,3,4,0,1,5,4,3,3,1,0,-2,0,1,-1,-1,-1,-1,
-1,-1,-1,0,0,0,0,0,1,1,1,1,-1,-1,0,0,0,0,0,2,0,0,0,0,0,0,1,0,0,0,
0,0,0,0,-1,1,0,0,0,0,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,
 };
static signed short stb__courier_bold_26_latin1_y[224]={ 19,4,5,3,3,4,6,4,4,4,4,5,15,11,
16,2,4,4,4,4,4,4,4,4,4,4,8,8,5,9,5,5,4,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,4,2,4,3,23,3,8,4,8,4,8,4,8,4,4,
4,4,4,8,8,8,8,8,8,8,5,8,8,8,8,8,8,4,4,4,10,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,19,9,3,5,6,5,
4,4,4,5,4,9,11,11,5,1,2,2,4,4,3,8,4,10,18,4,4,9,4,4,4,9,0,0,0,1,
1,-1,5,5,0,0,0,1,0,0,0,1,5,1,0,0,0,1,1,7,4,0,0,0,1,0,5,4,3,3,
3,4,4,3,8,8,3,3,3,4,3,3,3,4,4,4,3,3,3,4,4,6,7,3,3,3,4,3,4,4,
 };
static unsigned short stb__courier_bold_26_latin1_w[224]={ 0,5,9,12,11,12,11,4,6,6,11,13,6,10,
4,11,11,11,11,12,11,12,11,11,11,11,4,6,14,14,15,10,10,16,14,14,13,13,13,14,14,11,14,14,
14,16,15,14,13,14,15,12,13,14,16,16,14,14,12,6,11,7,11,16,6,14,15,13,15,13,13,14,14,12,
10,14,12,16,14,13,15,15,13,12,13,14,14,15,14,14,11,7,4,7,12,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,0,5,11,13,12,14,
4,12,8,15,8,13,14,10,15,16,8,13,7,8,6,14,12,4,5,7,8,13,14,17,14,11,16,16,16,16,
16,16,16,14,13,13,13,13,11,11,11,11,14,15,14,14,14,14,14,10,14,14,14,14,14,14,13,13,14,14,
14,14,14,14,16,13,13,13,13,13,12,12,12,12,12,14,13,13,13,13,13,13,14,14,14,14,14,14,15,14,
 };
static unsigned short stb__courier_bold_26_latin1_h[224]={ 0,16,7,19,19,16,14,8,19,19,11,14,8,3,
4,20,16,15,15,16,15,16,16,16,16,16,12,14,14,7,14,15,17,14,14,15,14,14,14,15,14,14,15,14,
14,14,14,15,14,18,14,15,14,15,14,14,14,14,14,19,20,19,9,3,5,12,16,12,16,12,15,16,15,15,
20,15,15,11,11,12,16,16,11,12,15,12,11,11,11,16,11,19,19,19,5,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,0,15,17,14,12,14,
19,17,4,15,7,10,8,3,15,3,8,17,8,9,5,16,17,4,6,8,7,10,15,15,15,15,19,19,19,18,
18,20,14,19,19,19,19,18,19,19,19,18,14,18,20,20,20,19,19,11,17,20,20,20,19,19,14,16,17,17,
17,16,16,17,12,16,17,17,17,16,16,16,16,15,16,15,17,17,17,16,16,13,14,17,17,17,16,21,20,20,
 };
static unsigned short stb__courier_bold_26_latin1_s[224]={ 255,247,85,189,61,228,208,251,136,115,201,
235,69,187,251,117,166,89,101,178,113,191,204,216,1,13,251,249,150,113,168,
125,70,104,227,136,104,198,78,165,179,92,180,212,137,72,121,208,184,219,152,
238,165,1,118,61,46,31,18,1,58,247,243,170,154,15,108,57,79,30,16,
170,223,195,47,43,30,116,186,1,154,185,229,44,151,71,145,213,160,124,133,
73,229,234,134,75,75,75,75,75,75,75,75,75,75,75,75,75,75,75,75,
75,75,75,75,75,75,75,75,75,75,75,75,75,75,75,75,75,255,247,1,
58,86,89,242,234,161,201,95,15,54,187,1,198,76,56,46,29,147,241,13,
251,128,38,104,1,60,17,217,35,81,98,158,234,43,70,1,214,47,122,190,
1,23,35,202,31,220,15,102,144,159,175,143,175,102,174,129,87,204,8,194,
152,132,162,117,81,96,147,99,38,88,74,191,52,95,25,66,47,125,232,177,
205,60,138,111,242,135,219,26,41,139,1,31,16, };
static unsigned short stb__courier_bold_26_latin1_t[224]={ 1,42,157,1,23,62,113,97,23,23,144,
113,157,157,106,1,62,97,97,62,97,62,62,62,80,80,23,113,113,157,129,
97,62,129,129,97,113,129,129,97,113,129,97,129,129,113,129,97,129,23,129,
97,113,113,113,129,129,129,129,23,1,1,144,157,157,144,80,144,80,144,113,
80,97,97,1,113,113,144,144,144,80,80,144,144,97,144,144,144,144,80,144,
23,1,1,157,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,
97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,1,80,62,
113,144,113,1,42,157,80,157,157,157,157,97,157,157,62,157,157,157,62,62,
36,157,157,157,157,97,97,80,97,23,23,23,23,43,1,129,1,23,23,23,
43,23,23,1,43,113,43,1,1,1,23,23,144,43,1,1,1,23,23,113,
62,43,43,43,62,62,43,144,80,43,43,43,80,80,80,80,97,62,80,43,
43,43,62,62,129,113,42,62,62,80,1,1,1, };
static unsigned short stb__courier_bold_26_latin1_a[224]={ 220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_26_latin1_BITMAP_HEIGHT or STB_FONT_courier_bold_26_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_26_latin1(stb_fontchar font[STB_FONT_courier_bold_26_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_26_latin1_BITMAP_HEIGHT][STB_FONT_courier_bold_26_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_26_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_26_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_26_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_26_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_26_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_26_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_26_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_26_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_26_latin1_s[i] + stb__courier_bold_26_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_26_latin1_t[i] + stb__courier_bold_26_latin1_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_26_latin1_x[i];
            font[i].y0 = stb__courier_bold_26_latin1_y[i];
            font[i].x1 = stb__courier_bold_26_latin1_x[i] + stb__courier_bold_26_latin1_w[i];
            font[i].y1 = stb__courier_bold_26_latin1_y[i] + stb__courier_bold_26_latin1_h[i];
            font[i].advance_int = (stb__courier_bold_26_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_26_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_26_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_26_latin1_s[i] + stb__courier_bold_26_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_26_latin1_t[i] + stb__courier_bold_26_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_26_latin1_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_26_latin1_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_26_latin1_x[i] + stb__courier_bold_26_latin1_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_26_latin1_y[i] + stb__courier_bold_26_latin1_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_26_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_26_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_26_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_26_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_26_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_26_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_26_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_26_latin1_LINE_SPACING
#endif

