// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_27_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_27_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_27_latin1_BITMAP_WIDTH         256
#define STB_FONT_courier_bold_27_latin1_BITMAP_HEIGHT        178
#define STB_FONT_courier_bold_27_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_courier_bold_27_latin1_FIRST_CHAR            32
#define STB_FONT_courier_bold_27_latin1_NUM_CHARS            224

#define STB_FONT_courier_bold_27_latin1_LINE_SPACING          13

static unsigned int stb__courier_bold_27_latin1_pixels[]={
    0x00003500,0x00b62000,0x00071000,0x01000020,0x2001b800,0x4c18000b,
    0x44000000,0x1a803000,0x641d7000,0x0b70000e,0x00005b80,0x7403fc80,
    0x80000fff,0xf3001fe9,0x077cc09f,0x02fe9800,0x003fe980,0x74005fb0,
    0x53ee001f,0x20fd86f9,0x83f604fd,0x1fec00ff,0xd0007f90,0x0017f45f,
    0x7540ffcc,0x800ffe0e,0x100effff,0xfff007fd,0xfa80001f,0x3fe6001e,
    0x00ffcc04,0x37fbbf20,0xfddf9000,0x3fa2001b,0x1ff44003,0xff75fc80,
    0x7ffc5ff0,0x7fc5ff05,0x00bfea05,0x39800bf9,0xfd8001cc,0x20fffa86,
    0x3fe007fc,0x5fb00fff,0x03fea200,0x001bb000,0x8801aa88,0x33ee007e,
    0xf700bf70,0x4017ee19,0x360001fd,0x75fd801f,0x445ff0df,0x2ff80ffc,
    0x7f40bfee,0x007f7007,0x3e200000,0x41dfd83f,0xff003ff8,0x00440159,
    0x0003fe60,0x00000000,0x440c4003,0x18818801,0x00001300,0x653f6003,
    0x442ff86f,0x22ff81ff,0xff985ff8,0x20022003,0x6540bcca,0x7fc800bc,
    0x3f605ff0,0x205ff006,0x09988199,0xdb53ff30,0x332a037b,0x85e6540b,
    0xccccccb8,0x4c40ccc4,0x10333009,0x55100133,0x0aa88001,0x00554400,
    0x0bf94fe8,0x1ff885ff,0x7fe42ff8,0x1007fec1,0xa8013333,0x3ee5ffff,
    0x7c405fff,0x205ff03f,0xff802ff9,0x7ffffd42,0x0bffffd1,0xfffffff3,
    0xfffa87ff,0x3fffee5f,0xffffffb5,0x3fffeaff,0xbffffd1f,0x8fffffd4,
    0x105ffffe,0x05fffffb,0xfffffd88,0x7ffec402,0xffb502ff,0x43bfffdd,
    0x0ffc42ff,0x3fe217fc,0x4413fe24,0x05fffffe,0x1177fec4,0xb805dffb,
    0x05ff00ff,0x7fc037ec,0x7ffffe42,0x6fffff8a,0xcfffff98,0x3623fffd,
    0x3f622eff,0xdddb52ef,0x3ff2ffdd,0xfff8afff,0x3fff26ff,0xffff8aff,
    0xffff986f,0xf304ffff,0x9fffffff,0x3ffffe60,0xfff84fff,0x5fffffff,
    0x3ff10bfe,0xbff05ff0,0xf8817fcc,0x00ffffff,0xffa85ff8,0x204ff801,
    0x3fe602ff,0x5417fc02,0x3a6209ff,0x3fff305f,0x7c0ffd88,0x01ffa85f,
    0x3fea7fa8,0x17fa6209,0x98827fea,0xfff885fe,0x85ffd30a,0xd30afff8,
    0xfff885ff,0x85ffd30a,0xffcdffca,0x20bfe1ce,0x80fe83ff,0x07fea6fd,
    0xffffa988,0x41ffb803,0xffb805fe,0x803ff300,0x17fc06fe,0xfd807fcc,
    0x209ff304,0x7fdc2ff9,0xa802ff41,0x403fe67f,0x0ff984fd,0xffb09fb0,
    0xd83ff601,0x1ffb00ff,0xfd807fec,0xf8ffc40f,0xe82ff83f,0xf90086ff,
    0x4007fe4f,0x006fdffc,0x0ffd4bfd,0xfc82ff40,0x7fd400ff,0x260bfe01,
    0x09fb00ff,0xfe80bfe6,0x3ea5fe84,0x4ff5001f,0x9fb00ff9,0x3601ff30,
    0x203ff84f,0x0ffe2ff8,0x3fe2ff88,0x10bfe203,0x20bfe3ff,0xfffc82ff,
    0x21ff7000,0x9ff007fc,0xf7003ff3,0x2017fa3f,0xffd01ffa,0x817fa00d,
    0x0ff982ff,0x3e609fb0,0x07ff105f,0x17fa3ff7,0x3e67fa80,0x309fb00f,
    0x13f601ff,0xfd801ff3,0xd801ff34,0x801ff34f,0xffd914fd,0xf87dffdd,
    0x41dff82f,0x5cffb029,0x7fd400ff,0x3a00bfd0,0x801ffadf,0x3f2205fe,
    0x1ffa801f,0xff305ff0,0x4c13f601,0x3a20bfff,0x5bfd01ff,0x7d4003ff,
    0x6c03fe67,0x00ff984f,0x07fa89fb,0x0ff55fc8,0x1feabf90,0x7fdd7f20,
    0xffffffff,0xff10bfe1,0xfd03ff03,0x200ffd4d,0x03fee5fe,0x17fffea0,
    0x2007fea0,0x9ff002ff,0x3e60bfe0,0x209fb00f,0xedfffff9,0x3ea03fff,
    0x54005fff,0x403fe67f,0x0ff984fd,0x7fa89fb0,0xff55fc80,0x3eabf900,
    0x715fc807,0x9ffb9ffb,0x7c42ff87,0xf82ff81f,0x80ffe24f,0xf999bff9,
    0xfffd003f,0x00dfb003,0x7dc00bfe,0x982ff80f,0x09fb00ff,0x3fffbfe6,
    0xfe803fff,0x7d4001ff,0x6c03fe67,0x00ff984f,0x0ff989fb,0xff9a7ec0,
    0xf9a7ec00,0x227ec00f,0x01ff37fb,0x1ff885ff,0x7fd42ff8,0xf9037f42,
    0xdfffffff,0x017fea00,0x7c00bfe6,0x9ff1002f,0xff105ff0,0x4c0ffa03,
    0xaccc98ff,0x0bff5000,0x7c4ff500,0x107fd01f,0x0ffa03ff,0xff980ffe,
    0xf980ffe2,0x980ffe2f,0xab7dc2ff,0x885ff07f,0x42ff81ff,0x1ffb87fe,
    0xfffffff0,0xf7003fff,0x0dfb003f,0x90017fc0,0x02ff81ff,0x5ff30bff,
    0x0003fe60,0x0003ff70,0x85ff8ff7,0xbff02ff9,0xf905ff30,0x8dfd103f,
    0xfe881ffc,0x440ffe46,0x55fc86fe,0x10bfe0ff,0x45ff03ff,0xff883ff9,
    0x999ffa85,0x805fe999,0xff8805ff,0x00bfe003,0x7fc3ff88,0x139ff902,
    0x7cc0dff5,0x7fc0000f,0x8bfd0005,0xfa89cffc,0x33ff206f,0x206ffa89,
    0xea88bffe,0xbffe81ff,0x81ffea88,0xea88bffe,0x75fc81ff,0xa8bfe0df,
    0x45ff06fe,0xff900ffd,0x4177f4c3,0x260affd9,0x00cffcaa,0x3a003fe4,
    0x3f2004ff,0x41e6ffc7,0xfffffffe,0x57ff7101,0x32aa6001,0x2a200cff,
    0x83ffebaa,0xfffffffe,0x7ffff401,0x3e601fff,0x3fffffff,0xffffff30,
    0x3fe607ff,0x03ffffff,0x413ea7f7,0x0bffe1ff,0x3ff88ffc,0xffa9ff40,
    0x3fea5fff,0xfff54fff,0xf80bffff,0x7fcc003f,0x3ff1001f,0x40fffffc,
    0x00effffc,0xfffffff1,0xffffa801,0x3fa05fff,0x204fffff,0x00effffc,
    0x1dffff90,0xffff9100,0xffc8803d,0x64401eff,0x401effff,0xa8950040,
    0x7712a00c,0x3a619300,0x3a63ffff,0xfd13ffff,0x807fffff,0x7930004a,
    0x7743a800,0x04cc03de,0x7ffffec0,0xfffe8805,0x3ee03fff,0x3002dfff,
    0x26600013,0x01330000,0x00013300,0x00000133,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0002e000,0x020002e0,0x40001700,
    0x0053000b,0x20000010,0x002a0000,0x0e443710,0x00155300,0x700014c0,
    0x44371001,0x1edc001c,0xc8872200,0x3a00cc01,0xfd10002f,0x1ff4c003,
    0x8005fd00,0xfd001fe8,0x0bfa6003,0x02ffffc8,0x3000bfa6,0x0d519ffd,
    0x17ee6fb8,0xfffffb10,0x7dc00bfb,0x1fe88005,0x3ee6fb80,0x36b6a005,
    0xb9bee002,0x13fee05f,0x4003fe88,0x32001ff9,0x800dfeef,0xf3003fe8,
    0x3fe2003f,0xfeefc803,0xffffe80d,0xbfddf902,0x32bb6001,0x6c405fff,
    0xe880b662,0xffffffff,0x05fc800f,0x001ff980,0x016cc5b1,0x8016a590,
    0x80b662d8,0xfc806ffd,0x003be001,0xbf70cfb8,0x400fe400,0xfc8800ef,
    0xb83fffff,0x10bf70cf,0xf705ff55,0x0017ee19,0x00000e4c,0x10affe88,
    0xb801fff7,0x1df0003f,0x30000000,0x00005d7d,0x00dffb00,0x00030006,
    0x80031031,0x6c003001,0x6fffffff,0x40188188,0x881882ff,0x05544001,
    0x002aa200,0x3ea03ff7,0x000c400f,0x19980030,0x30009988,0x33100037,
    0xffc80133,0x4cccccc6,0x99809999,0x99999999,0x99999980,0x98809999,
    0x10099999,0x01333333,0x36a39ff1,0x9999885f,0x17fc0099,0x00999988,
    0x3ffff620,0x7fec402f,0x9fb02fff,0x26205e80,0x33000999,0x3fea0cc0,
    0xfffd1fff,0x4ccc40bf,0xffd10009,0xfc80bfff,0xfffff55f,0x49ffffff,
    0xfffffffa,0x3ea4ffff,0xffffffff,0x7ffec4ff,0x20efffff,0xfffffffd,
    0x21fee0ef,0x7ffec2d8,0x00efffff,0xffe885ff,0xf3005fff,0x9fffffff,
    0x3ffffe60,0x2ff84fff,0xfffd1000,0xff980bff,0x3ffe63ff,0xfffff93f,
    0xdfffff15,0xfffffd10,0x3ffe200b,0x2e00ffff,0xffff74ff,0x9fffffff,
    0x7fffffdc,0x2e4fffff,0xffffffff,0x7ff44fff,0x0fffffff,0x3ffffffa,
    0x3fe20fff,0xfffe801c,0x00ffffff,0xfff885ff,0x4400ffff,0xfd30afff,
    0xafff885f,0x4c5ffd30,0xf10000ff,0x01ffffff,0x51ffffd4,0x7d49ffff,
    0x3fa6209f,0xfffff105,0x262001ff,0x203ffffa,0x3f624ffa,0xfd99999d,
    0x4cefec44,0x444fd999,0x99999dfd,0xf99984fd,0x998099bf,0x8099bff9,
    0x01dffffd,0x26ffe666,0x20bfe009,0x3ffffa98,0xd807fec0,0x03ff60ff,
    0xff987fec,0x2a620000,0x4403ffff,0x7ff40ffe,0xd807fcc1,0x3ea6204f,
    0x64003fff,0x2606fdff,0x82fe43ff,0x05fc84fd,0x0bf909fb,0x5ff013f6,
    0x4017fc00,0x1effffea,0xf8017fc0,0x37ff202f,0x01ffc06f,0x1ffc5ff1,
    0x3e25ff10,0xfc80002f,0xf8806fdf,0x20ffea5f,0x9fb00ff9,0xdfbff900,
    0xf9cff800,0x85ff301f,0x7d5765fc,0x5765fc82,0x25fc82fa,0xf805f55d,
    0x0bfe002f,0x4ffdb980,0xf8017fc0,0x273fe02f,0x1ff301ff,0xff34fd80,
    0x3a4fd801,0xff80006f,0xb801ff9c,0x05ff8aff,0x3f601ff3,0xf9cff804,
    0x1ff5001f,0x7fc417fa,0x7d4efe41,0x4efe400f,0x7e400ffa,0x000ffa9d,
    0xff800bfe,0x7d40a602,0x00bfe00f,0xffa817fc,0x3ea0bfd0,0xf55fc807,
    0x5cbf900f,0x036e01ff,0x5fe87fd4,0xffbffb00,0x403fe601,0x7fd404fd,
    0x3a00bfd0,0x403fee5f,0xffffc83a,0x7fe400ff,0x6400ffff,0x00ffffff,
    0xf800bfe0,0x207fa02f,0x3fe01ff9,0x205ff002,0x03fee5fe,0x3f201fea,
    0xf900ff55,0x4e7ff44b,0x02ffd988,0x07fdcbfd,0x17fffc40,0x3601ff30,
    0x72ff404f,0xff9801ff,0x03ff999b,0x7ffffe40,0x7ffe400f,0x7e400fff,
    0x000fffff,0xff800bfe,0x22bbfe02,0x7c06fea8,0x05ff002f,0xf3337ff3,
    0x01ff307f,0x1ff34fd8,0x7444fd80,0xffffffff,0x337ff305,0x2a007ff3,
    0x7fcc05ff,0x4c09fb00,0xff999bff,0x7fffe403,0x4006ffff,0x0ff99dfc,
    0x33bf9011,0x320221ff,0x10ff99df,0x002ff801,0xfff80bfe,0x03ffffff,
    0xff8017fc,0xfffffc82,0x7ff06fff,0xff17fcc0,0x417fcc07,0xeffffec8,
    0x3ffff203,0x2006ffff,0x7fc402ff,0x6407fd01,0xffffffff,0x7ffffc06,
    0x441fffff,0x92fe41fe,0x2fe43fc9,0x7e43fc99,0x407f9325,0x3fe002ff,
    0x3ffbf602,0xff801dff,0xf05ff002,0xffffffff,0x03ff903f,0xffc8dfd1,
    0x806fe881,0xfff001fb,0x3fffffff,0x200bfe00,0x2ff985ff,0x3fffffe0,
    0xf501ffff,0xd333333f,0x42ff88bf,0x1ff305fc,0xff305fc8,0xf305fc81,
    0x017fc01f,0x26005ff0,0x3fe003ff,0xa85ff002,0x999999ff,0x7ffd05fe,
    0x03ffd511,0xd5117ffd,0xbf7003ff,0x333ff500,0x00bfd333,0x3f200bfe,
    0x6ffa89cf,0x2667fea0,0x985fe999,0xfd982efe,0xd30620af,0x755555df,
    0x77f4c1ff,0xffbaaaaa,0x2abbfa60,0x20ffbaaa,0xacffaaa8,0x7d55440a,
    0x7c00aacf,0x2aaa202f,0x4c0aacff,0x3a62ffcc,0xffd982ef,0x7fffcc0a,
    0xf303ffff,0x7fffffff,0x03fb7700,0x4c177f4c,0xa880affd,0x401acffa,
    0xfffffffe,0x05dfd301,0x2a15ffb3,0x2a5fffff,0x204fffff,0xfffffffb,
    0xf70fffff,0xffffffff,0x3fee1fff,0xffffffff,0x3fffa0ff,0x21ffffff,
    0xfffffffe,0x07fe01ff,0xffffffe8,0x3ffe1fff,0xffff52ff,0x7fffd4bf,
    0xfffc884f,0x7e4401ef,0xd001efff,0x3ea01fff,0x3ea5ffff,0x7c44ffff,
    0x2fffffff,0x77fffe40,0xfffff500,0x7ffffd4b,0x7ffffd34,0x1fffff4c,
    0xfffffd30,0x21ffffff,0xffffffe9,0xd30fffff,0xffffffff,0x7fe41fff,
    0x0effffff,0x3ffffff2,0x1b200eff,0xffffff90,0x76d41dff,0xfffd31ee,
    0x7fff4c7f,0x004cc03f,0x40004cc0,0x3fa600a9,0x3fa63fff,0xffd83fff,
    0x001effff,0xfe980133,0x3fa63fff,0x00003fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00005400,0x20066666,0x54001aa8,0x43710000,0x400001c8,0x007221b8,
    0x054c0022,0x20044000,0x002d8000,0x26000510,0x0099001d,0x8001b300,
    0x54088029,0x9ffd300b,0xfd100d51,0x201fffff,0x2effffd8,0x467ff4c0,
    0x6fb800ea,0xdb8817ee,0x45fffffe,0x017ee6fb,0xffa803fa,0x2a8804ff,
    0xff9037d4,0x027e4005,0x0037fee0,0x5000efa8,0x2e0001df,0x7fdc006f,
    0x25ff100d,0x5db05ffa,0x880bfff9,0xfecccdff,0xfffff980,0x3b604fff,
    0x005fffca,0x816cc5b1,0xfdffffe9,0x316c42cf,0x05ff005b,0x3faf3fee,
    0xffffb104,0x260dff7b,0xfb800d16,0xbdfd8805,0xdfb802ff,0x0ffcc000,
    0x8017f200,0x1ffbdfe8,0xff51fe88,0x0072600b,0x03f20bea,0x2615fff1,
    0x93001ffe,0xf8000003,0x7d9fb9ef,0x5ff00000,0x0fd03fe0,0xfffffff3,
    0x5a603fff,0x1fa80069,0xdb11fdc0,0x40009f00,0x3e2003e8,0x317dc003,
    0x05d400dd,0x4cc40662,0xd503f900,0x3601ffb0,0x333100ff,0x26660013,
    0x09999999,0x4fdc7fea,0x3333107d,0xff980133,0x20fee1ad,0x3ffa21fb,
    0x09fff50a,0x0002ffc8,0x00000000,0x00000000,0xe8000000,0x7ff43fff,
    0x7ffdc5ff,0x03ff8801,0xfd10bfe2,0xa80bffff,0xffffffff,0x9fee4fff,
    0xfd87d9fb,0xefffffff,0xfffffc80,0xf903f94f,0x2e07fec5,0x00807fff,
    0x2f7b6ea0,0x6f6dd400,0x76dd400b,0xd95000bd,0x32a0059b,0x95002cde,
    0x25c059bd,0x0fffffc0,0x5cffffff,0x404ffdff,0x7ec00ff9,0x7ffffc44,
    0x3fee00ff,0xffffffff,0x5c7fea4f,0xffe87d9f,0x0fffffff,0x7f6ffff4,
    0x7e44fd6f,0x30ffe2ff,0x507ffdff,0x4017bdb7,0xfffffffc,0xfffff905,
    0x3ff20bff,0x205fffff,0xffffffe9,0xfffd300e,0x2601dfff,0xeffffffe,
    0x400ffc40,0x6cc6fffa,0xe987ec5f,0x0ff702ff,0x5310bf90,0x8807ffff,
    0x99999dfd,0x3bfa24fd,0x307d9fba,0x1337ff33,0x320bffa8,0x77f4dd5f,
    0x41ff32fd,0x4fe8ffe8,0x7fffffe4,0x9bdf705f,0xf705ffd9,0x5ffd99bd,
    0xd99bdf70,0xffd105ff,0x0dffd99d,0xd99dffd1,0xffd10dff,0x8dffd99d,
    0xf9802ff9,0x27ec3fff,0xffb837ea,0x403fd40d,0x3ff205fc,0x5fc806fd,
    0xfe889fb0,0x807d9fff,0x1bf602ff,0xf9b74ba2,0x1fea5f53,0x17f23ffb,
    0xfd99bdf7,0x4fe8005f,0x0027f400,0x3ff613fa,0x6c3ffb82,0x3ffb82ff,
    0x7dc17fec,0x44ffea3f,0x77fcc1cb,0x213f60ff,0x3f622ffc,0x003fe21e,
    0x67fc09fd,0x7e401ff9,0x417d5765,0x7d9ffda8,0x3e02ff80,0xf96e803f,
    0x3fdcbea1,0x2fe47ff9,0x2209fd00,0x4ffeeeec,0xfdddd910,0x3bb2209f,
    0xff84ffee,0xeaaaaaad,0x556ffc6f,0x46feaaaa,0xaaaaadff,0x3fea6fea,
    0xf98dff74,0x3f65ffaf,0x43dff504,0x01ff45fa,0x3ea05ff3,0xc80bfd0f,
    0x00ffa9df,0x01f67ee0,0x5fc80bfe,0x19f36e80,0x27fe65f5,0x27ec5ffa,
    0x7f777644,0xffffb84f,0xfb84ffff,0x4fffffff,0xffffffb8,0x7ffc44ff,
    0xffffffff,0x3ffffe27,0x27ffffff,0xfffffff8,0x3ee7ffff,0x98bff54f,
    0xb2ffb8ff,0x7fec409f,0xffb83f64,0x206fe881,0x03fee5fe,0xffffffc8,
    0x367ee000,0x202ff807,0xb710bffa,0xfffe9fa7,0xffbff13f,0x217fcc1d,
    0xfffffffb,0x6fffd44f,0x544ffccb,0xfccbdfff,0x6fffd44f,0x444ffccb,
    0xffffffff,0xff10ffff,0xffffffff,0x3ffe21ff,0xffffffff,0x44bff90f,
    0xfd0ff981,0x3009fb1f,0x88dffdfd,0xea88bffe,0x7ff302ff,0x407ff333,
    0x0ffffffc,0x1f67ee00,0xfd00bfe0,0x2bfffdff,0x1ff7547c,0x441ffff9,
    0x3fea0efe,0x4ffccbdf,0x7ec077ec,0x6c077ec4,0x4077ec4f,0x06fe84fd,
    0x8006fe80,0x7ec006fe,0x0ff9806f,0x09fb9ff3,0x4067fec0,0xffffffd8,
    0x3fff203f,0x206fffff,0x0ff99dfc,0xd9fb8011,0x802ff807,0x1dfffffc,
    0x3e2003f7,0xfea89dff,0x4077ec1f,0x8efec4fd,0x21effea9,0xfd531dfd,
    0x8efec3df,0x41effea9,0x530adffa,0xdffa89b7,0x89b7530a,0x530adffa,
    0x3ffec9b7,0xf907fcc0,0x0b909fff,0x3ff201fe,0x7fc01dff,0xffffffff,
    0x264bf901,0xd9fb80ff,0x002ff807,0xf9819ff3,0xffff7005,0xb07fffff,
    0x3faa63bf,0x3ffe61ef,0xffffffff,0xffffff33,0x267fffff,0xffffffff,
    0x7fec3fff,0x7fffffff,0xffffffd8,0xffd87fff,0x7fffffff,0x26013fee,
    0x7fff40ff,0x6f987e84,0x5ffff440,0xffa83710,0xfe999999,0x260bf905,
    0x27ee00ff,0x02ff807d,0x7e40bfe0,0xff996a0c,0x1efffebd,0xffffff30,
    0x547fffff,0xfedffffd,0x3ff6a2ef,0x2effedff,0x37ffff6a,0xfa82effe,
    0x1cffffff,0xffffff50,0x3fea039f,0x21cfffff,0xfb800dc8,0x3ffea1bf,
    0xeeeefe84,0x7ff402ff,0x5fffffff,0x260bbfa6,0x3a60affd,0xbaaaaaef,
    0x766440ff,0x222cfebf,0xaacffaaa,0xd00ffc00,0x64dffdff,0x002620ef,
    0x37ffff6a,0xa882effe,0x26a20009,0x026a2000,0x026a6200,0x009a9880,
    0x0026a620,0x3fffee00,0x213ff63f,0x2efffffe,0x77fffc40,0xf51effff,
    0x7d4bffff,0xff74ffff,0xffffffff,0xfffa81ff,0x3a5fffdf,0xffffffff,
    0x1012a01f,0x4c159db7,0xa880001c,0x00000009,0x00000000,0x00000000,
    0xffd50000,0x27fc43df,0x0d4c0000,0xfe983731,0x3fa63fff,0xffd33fff,
    0xffffffff,0xfc80001f,0xefffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00095000,0x03d80053,
    0x4002a600,0x00000029,0x00088000,0x30003551,0x0000003b,0x006d4000,
    0x8001d980,0x00b800a9,0x2cc98000,0x01dfda88,0x7000ffc0,0x2e001bff,
    0x3ee000df,0x3ea05fff,0x4001dfff,0x2e04fffb,0x40531cef,0x36204ffa,
    0x001effff,0x3e601df5,0xffffffff,0x03fffa0f,0x01ff8800,0x80077d40,
    0x03ffffda,0x9805ffd3,0xffffffff,0x3a0ffe62,0x004fffff,0x3a200bfe,
    0x001ffbdf,0xf7001df5,0x509fffff,0x0dffffff,0x04fffc80,0x3fffffaa,
    0x80ffe606,0xfffffffe,0x006fdc01,0xfffffff3,0x3fe21fff,0x440000ff,
    0xbf7002fe,0x3ffea001,0xffb85fff,0x3e605feb,0x3fffffff,0xff30bfe2,
    0x001ffb59,0x3ee00bfe,0x9801ba62,0x9eff802e,0x7ec2ffc8,0x009ff52e,
    0x2604fe88,0x006ffffc,0x467fdc01,0x7c06ffa8,0xaaff8804,0x447fdaaa,
    0x00000ffa,0x013e00db,0x30aeffa8,0x1fb837e0,0x5557ff30,0xc83ff035,
    0x801ff45f,0x000002ff,0x0ff98000,0x5ff12ff4,0x4000ffc8,0x37f604fd,
    0x0002ffba,0x3fe437ec,0x20570000,0x0ff985fd,0x00000000,0x0077fd40,
    0x1ff30000,0xfb03fa00,0x9827fc49,0x99bff999,0x2f76e601,0x47997101,
    0x5c0cccb8,0x2a7fc86f,0x02ff887f,0xfb17bd97,0x37ec0409,0x5fd812a0,
    0x32e27fb8,0x3332e23c,0x05ff1000,0xbdb51ff3,0xddb98019,0xddb9801b,
    0x01bfa01b,0xb88f32e2,0x7fcc0ccc,0x1f600988,0x3ff633f6,0xffffe81f,
    0x0fffffff,0x7fffffdc,0x2fffdc0e,0xe83ffff7,0x50ff983f,0x4ff981ff,
    0x7fffff4c,0xd9104fff,0x05ff7bff,0xffb80ff4,0xfb9bfa62,0x3ffee5ff,
    0x1ff7001f,0xffffff30,0x3ee07fff,0x00efffff,0xdffffff7,0xa8bff981,
    0x5fffb81b,0x307fffee,0x3dffffff,0x99fb0d90,0xfb03ffff,0xffffffff,
    0x7ffe41ff,0x20effdcd,0x3665ffd9,0x17fc1ffe,0x7ff32ff8,0x3e25ffe8,
    0xfffecfff,0xffffa84f,0x883fffff,0x3fa02ffc,0x21fffeff,0x3665ffd9,
    0xfb001ffe,0x3fffe60b,0x42fffecf,0xfdcdfffc,0x7ffe40ef,0x20effdcd,
    0xffffcffa,0x97ff660d,0x4c1ffed9,0xffffffff,0x67ec0c42,0x81ffffc8,
    0x9bff9998,0x067fd419,0x3f217fea,0x7c1ff885,0x6c5ff02f,0xfffeacff,
    0xd30bff66,0xfff889ff,0x4fffda9c,0x00ffffd4,0xbffffff5,0x3e217f20,
    0x2ff8801f,0x985fff30,0x9ff50ffe,0x2a5ffa81,0x7fd40cff,0x3ffffee5,
    0x5fc86fff,0xff81ff88,0x0fffb9bd,0x74c4fd80,0x02ff807f,0x7e403ff2,
    0xf885fc87,0xf817fc1f,0x3fffe22f,0x3fe5ffff,0xc89ff505,0x6ffb82ff,
    0x8033ffe6,0xffdefff9,0x885fc83f,0xffb801ff,0x20bff300,0x1ff92ffa,
    0xffc9ff20,0x7d4ff900,0xffc88dff,0x7c42fe42,0x3fe6001f,0x984fd802,
    0x17fc01ff,0x7cc09fd0,0x442fe41f,0x427f41ff,0x7ec40ff9,0xf14febef,
    0x227fc05f,0xbff107fe,0x6c0077ec,0x1ffa21ff,0x3fe217f2,0x205fe801,
    0x3fe02ff9,0x7cc09fd4,0x4c09fd1f,0x1dff31ff,0x2fe45fe8,0x2000ffc4,
    0x85db13ff,0x07fd04fd,0x3fa02ff8,0x903fea05,0x83ff10bf,0x06fc86fc,
    0xf12ffc84,0x227fc05f,0x93fe06fe,0x743703ff,0x41ff984f,0x1ff885fc,
    0x3017fc40,0xa7f405ff,0x3fea05fe,0x7d40bfd0,0x320bfe0f,0x442fe46f,
    0x7f4001ff,0xfd8dff74,0x0ffa2c8c,0x7dc03ff0,0x90dfd01f,0x83ff30bf,
    0x1ff41ffa,0x3e37fcc0,0x89ff505f,0xffa81ffc,0x3ea17f23,0x3e613fa5,
    0x4c2fe41f,0x7fdc01ff,0x417fe600,0x3ff72ffa,0xffb9bfa0,0xfe8dfd01,
    0x7e45fd85,0x041ff985,0x3a65ff30,0x2b7fa63f,0x00ffa8ff,0x3fe60254,
    0xffeb89cf,0x931ffb83,0xff887fff,0x41ffd9ae,0xfffeb89a,0x456ffe40,
    0x21dfffc9,0xb88aeff9,0x3fe60ffe,0x26ffdbbe,0xea89bffc,0x31ffb87f,
    0xe807fff9,0x3fee205f,0xffc98adf,0x39fff30e,0x4c7ffd71,0xeb89cfff,
    0x5ffd43ff,0x5c3ffb89,0xfff931ff,0x88d77cc7,0x3200ffe9,0xfffdffff,
    0x555446ff,0x1aaaaaaa,0x7fffffcc,0xfff304ff,0x7fffffff,0xffffff98,
    0x7ffffd45,0xfffd01ff,0xffffffff,0x7ffffdc7,0xffd82fff,0x224fffff,
    0xfffffffe,0xfffff982,0x103fffff,0x3fe205ff,0xffffffff,0x7ffcc1ff,
    0x984fffff,0xffffffff,0xfffffb04,0xfff981df,0x3fffffff,0xfffffff1,
    0xfea807ff,0xcfffbaef,0x7fffffc1,0x41ffffff,0x2effffd9,0x7ffffd40,
    0xfa82effc,0xfe884fff,0xfb803fff,0xffedffff,0x7fff541e,0x3f6e01ef,
    0xfd880bef,0x2a01efff,0xffcfffff,0xb01ba02e,0xffff9fff,0x3f6601bf,
    0x2602efff,0x02effffd,0x37fffb22,0xfffff500,0x6cc5dff9,0x02efffff,
    0xfb009800,0xffffffff,0x04cc01df,0x0006a600,0x02620062,0x0026a600,
    0x00015510,0x0004cc00,0x00000353,0x0009a980,0x33000266,0x00998001,
    0x44003530,0x000009a9,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x30000000,0x00288035,0x001aa880,
    0x44000000,0x0a880002,0x80000000,0x8fa6001a,0x026003e9,0x54c00000,
    0x1b30009a,0x88b32e20,0x9100cccb,0x01539ddb,0x01f4c7d3,0xffb502a6,
    0xfea85dff,0x3fa20007,0xa801efff,0x00cffffe,0x7e427ff4,0x3e60007f,
    0x20005fff,0x0bdffda8,0x027fec40,0x17ee6fb8,0x02ffdb88,0x7bffb510,
    0x3ffae201,0x7d403fff,0x97ffee06,0xb81ffffb,0xffffffff,0x3ee6fb85,
    0x99bfe605,0xffffffff,0x001f7261,0x7fffffcc,0x3fea00ff,0x203fffff,
    0xbb84fffa,0x2e60007e,0x10005f51,0xffb779ff,0x36ffe605,0x40b800ef,
    0xffffb00b,0x9ff1005f,0x905ffb77,0xffffffff,0x8037f207,0x3665ffd9,
    0x7fdc1ffe,0x7fffdcef,0x200b8170,0x3bf26ffa,0x86fea88b,0xdfd0007c,
    0x0bff7117,0x6555f7ec,0xffff100c,0x0003ec09,0x0017ed44,0x7dc037a2,
    0x3ea1ed82,0xfe800004,0x4402ffdf,0x85f700de,0xfd30aefc,0x4007f10f,
    0x1ff885fc,0x3a077fe2,0x5400006f,0x7d40a21c,0x40807c87,0x7fc82ff8,
    0x8003ff10,0x204feffc,0x6400807d,0x220206ff,0x1bccc9de,0x00000bee,
    0x4059bd95,0x405ff098,0x2fb225e8,0x27d45f73,0x0000ffcc,0x7fc42fe4,
    0x4c0bfea1,0xdedba84f,0xb800000b,0x2207c87f,0xa81e42fd,0x7fedcc7f,
    0x2602cccc,0x204fdcff,0x027e407d,0xfd50ff22,0xee98fa81,0x21763fdc,
    0x401ccccb,0xffffffe9,0x02ff800e,0x66fdc3ea,0x0a8bb1fe,0x65c1ff98,
    0x7e401ccc,0x321ff885,0xffc8006f,0x005fffff,0x5ffb9880,0xdff707c8,
    0x237f4001,0xfffffffe,0x1ffb01ff,0x83ec09fb,0xf001ffea,0x217ff22b,
    0x27a9724c,0x7fffdc7b,0x3ffa202f,0x06ffecce,0x93202ff8,0x3dc3e22e,
    0x2e37f4c0,0x402fffff,0x1ff885fc,0x2e001bf2,0xffeccdef,0x3fee0002,
    0x3fae0eff,0x7ffd35ef,0x42ffd800,0xeeeffeda,0x3ffa80ce,0xffd909fb,
    0xbffb11bd,0x3b77ba01,0x02fffa9f,0x75cee47d,0xed887e65,0x3f602ffe,
    0x03ffb82f,0x27d017fc,0x07e6087a,0x217ffed4,0x02ffeed8,0x7fcc2fe4,
    0x300bfea1,0x9827f400,0xfff700aa,0x666541df,0xd9dffcbc,0x7fec402e,
    0x003fe603,0x09fb37f4,0xf7799997,0x17dfb7df,0x6cd665cc,0x41ed8cff,
    0x1bfff22f,0x17fc03f1,0x5555bff0,0xf80dfd55,0x35cbe02f,0x7fc07e20,
    0x2ff802ef,0xc98ffe40,0x3fe22fff,0x3faa60ae,0x77776442,0x0bff04ff,
    0x06ffc988,0x7e4fffa6,0x3ffa202f,0x007fcc04,0x9fb0ffdc,0x19ffb100,
    0x409f77df,0xffb1effb,0x5d724d83,0xff01ea2f,0x3fffe205,0x7fffffff,
    0x9b017fc0,0x07a803e2,0xff800ffe,0x7fffe402,0x23ffffff,0xfffffff9,
    0x3fee0fff,0x84ffffff,0x2a001ff9,0xdffc82ff,0x205fdf30,0x9803fff9,
    0x7fc400ff,0x2effeeef,0x447bfea0,0x3621f61d,0x3fbea4ff,0x1ec8b5c1,
    0xf01723f7,0x3ffe205f,0xffffffff,0x80bfe00f,0x266b766b,0x2540b91e,
    0x900bfe00,0xfbffffff,0xffd985df,0x2a1dffff,0xfccbdfff,0x004fc84f,
    0x7fc44fe8,0x417d7f42,0x3002fffa,0xff9801ff,0x7fffffff,0xf500ffa0,
    0x443df50b,0x7c41faef,0x3f66ffbc,0x17fc03fa,0x0000dfd0,0xa7c405ff,
    0xf34efeb8,0xff800007,0x556fe402,0x57e44001,0x80efd809,0x006e84fd,
    0x8083ff88,0x5c2f9afc,0x26001fff,0x664400ff,0x2efecccc,0xbf900220,
    0x54fec0c0,0x203fa81f,0x2ff804f9,0x42b7fea0,0x7c04dba9,0x21fd402f,
    0x00013e60,0xf900bfe0,0xefb8000b,0x263bfb00,0x221effea,0x09cd882f,
    0x001ffd53,0x1ffffff1,0x2ab3fff2,0x5d443baa,0x00aaabff,0x00dfea88,
    0x007fd100,0x7fffff98,0x7135bf50,0x2aa609fb,0x81aacffa,0xfffffffd,
    0x555447ff,0x500aacff,0xfb7135bf,0x03ff9809,0x33feaaa6,0x05fc81aa,
    0x0bf73600,0x7fffffcc,0x513fffff,0x3ffffe60,0x2003ffff,0x365febaa,
    0xffffffff,0x3fffe27f,0x407fffff,0x07fffff8,0xaadff980,0xd9551003,
    0x7f64c09f,0xff502dff,0xffffffff,0xfffff509,0xffe839ff,0x1fffffff,
    0xbfffd930,0x0bff5005,0x3fffffea,0x7e44ffff,0x3ff60004,0x7ffed406,
    0x02effedf,0xfffffd70,0x3ee0005d,0xffffb0ff,0x41ffffff,0xfffffffd,
    0xfffd805f,0xffb8005f,0x4000ffff,0x31006ffd,0xffffd300,0x405fffff,
    0x32009a98,0xffffffff,0x0018800e,0x3fa60188,0xffffffff,0x000174c2,
    0x13510004,0x2a660000,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x02164c00,0x000aa980,
    0x8800d54c,0x7d30042c,0x00c01f4c,0x26666200,0x0bcca819,0x1005e654,
    0xd7100155,0x554c0019,0x440ccc01,0xccc98099,0x00cdeda8,0x80000000,
    0xca8cdeca,0x04cc40bc,0xffb800f6,0x4407daef,0xfdfffffd,0xffffb105,
    0x3ea0dddf,0x00fdaeff,0x02fdcdf7,0x74000bf2,0xffffffff,0x4bffff52,
    0x885ffffb,0x02fffffd,0x003fb3fe,0xbfffffd3,0x3fffea1f,0xbffffd1f,
    0x7fffffc4,0x543fffff,0x20005fff,0xfe8807fe,0xffffffff,0x217fe44f,
    0x299004fc,0x2202ffea,0xfffffffe,0x7ff4c0ff,0x0fffffff,0x7ffd54c8,
    0x005c0b80,0x22000ffa,0xffffffff,0x5dffb13f,0x2177fec4,0xfffffff9,
    0x3a0fa84f,0x3fffe204,0xf92fffff,0xff15ffff,0xfec8dfff,0xffdcdfff,
    0x17ffee3f,0x407fe800,0xfdcdffe8,0x741dffff,0x00df706f,0xffd10060,
    0x3ffee215,0x82bffe20,0x3000ffe9,0xfe800000,0x33310004,0xff013bfd,
    0x883ff50b,0xfd30afff,0x3646c85f,0x2615ffb0,0x3fea2ffe,0x17fa6209,
    0x2217ffcc,0x3f620ffe,0x0aaa0005,0xfd05ff90,0x05ff109f,0x2ea00fd4,
    0x2e00bded,0x1ff501ff,0xf880ffe4,0x2f76e607,0xbddb9801,0x3bff2a01,
    0x8003cccc,0x3fee04fd,0x7ec2ff41,0x41ffb00f,0x407d11f9,0x1ff883ff,
    0x7ec03fe6,0x209ff304,0x2fec2ff8,0x7fc00000,0x709ff104,0xf90000df,
    0x0bffffff,0x8bd013f6,0x815404ff,0xeffffffb,0xfffff700,0xfff881df,
    0x3fffffff,0x2027ec00,0x07fea5fe,0xff880ffe,0x87ff7f42,0x413fa0b8,
    0x807fcc5b,0x3ff304fd,0x3f627f40,0x00bdedad,0x4073332e,0x3fa02ff8,
    0xcb81fd84,0x3ee01ccc,0x2ffeccde,0x44002ff8,0xf90002ff,0xdffb9bff,
    0xcdfffc81,0x7640effd,0xdeeeeeff,0x027ec000,0x2ff47fee,0x36007fcc,
    0xb9ada84f,0x3fee2ffe,0x7fcc01bd,0x2609fb00,0x5ff304ff,0xffffffd8,
    0xfffb81ef,0x17fe02ff,0x2fc27fcc,0x17ffffdc,0x4c4fe800,0x7cc000ff,
    0xffa8000f,0x52ffd40c,0xffa819ff,0x0009fd05,0x3a013f60,0xa81ffadf,
    0x85fc807f,0x0adffeb9,0xdfffffd8,0xb00ff982,0x3ffe609f,0x03ffa60b,
    0xfb9dfffb,0xfddb10bf,0x5ffec05f,0x213ff660,0xfeed880d,0x7764402f,
    0x7cc4ffee,0x7fcc000f,0x6f776dc0,0x6403ff23,0x403ff27f,0x09fd07fc,
    0x7ec03260,0xffffa804,0x900ff505,0x6fff5cbf,0x7ed400aa,0x7cc4ffff,
    0x209fb00f,0xedfffff9,0xffd83fff,0x7c03fdc3,0x3ffa202f,0x4ffffedf,
    0x80bfe000,0xfffffffb,0x017fc44f,0xf887fe20,0xd0ffffff,0x8ffcc09f,
    0x3fe604fe,0x9004fe81,0x013f609f,0x980ffff4,0x27ec00ff,0x3ffae5bd,
    0xffd73004,0xd807fcc5,0xfdff304f,0x207dffff,0x0ff985fd,0x22017fc0,
    0xfffffffd,0xf809304f,0xbfff502f,0xd09ff997,0x5ff000df,0x3ffdcca8,
    0xffa817fa,0x7d40bfd0,0x004fe80f,0x13f609fb,0x202ffd40,0x3fe603ff,
    0xf739f102,0xfb016c45,0xe80ffc49,0x31ff303f,0xfd8017b9,0x400ff985,
    0x36a002ff,0x704fd8bc,0xb02ff80f,0x09fb01df,0x6dc03ff7,0xf981bf60,
    0x407fee0f,0x07fee6fe,0x4fe837f4,0x3e09fb00,0x3ff7002f,0x881ffc80,
    0x91ae06fe,0xfb03fdcd,0xf985ff8b,0x01ff302f,0xf30bfb00,0x02ff801f,
    0xb827ec00,0x40bfe06f,0xfd531dfd,0xffe883df,0xffd9889c,0x46bbfe62,
    0x260ffda8,0xeb89cfff,0x3ffe63ff,0x3ffeb89c,0x2e63df90,0x33ff65fd,
    0x00ffe989,0x3a00bff0,0xfea88bff,0xbb1ee01f,0x44577fdc,0x7e44ffda,
    0x6ffa89cf,0x0003fe60,0x3fe617f6,0x0017fc00,0x33613f60,0x05ff01fd,
    0x3fffffe6,0x443fffff,0xfffffffe,0xffffb85f,0x40ffffff,0xfffffff9,
    0xffff984f,0x2204ffff,0xffffffff,0x3fffff26,0x2a602fff,0x800cffca,
    0xfffffff9,0x4e7c403f,0x3ffee2fb,0x0effffff,0xffffffe8,0x7ff7101f,
    0x3fa60015,0x2ffee21e,0x3feaaa60,0x26001aac,0x7ec1efea,0x3eaaa65f,
    0x6d41aacf,0xffedffff,0xffec882e,0x36603eff,0x0cffffff,0xdffffb30,
    0x7ffecc05,0xffb802ef,0xd983efff,0x201effff,0xfffffffa,0xfff91005,
    0x3aa003df,0x6e7444ff,0x00cfffff,0x03bffff2,0x7fffffc4,0x7ffcc00f,
    0xffffb1ff,0x3ffffeab,0x804fffff,0x3ffffffc,0x3fffea08,0x84ffffff,
    0x200009a8,0x99880019,0x004cc000,0x10002660,0x26001353,0xffe88009,
    0x8003ffff,0x03000099,0x0006a620,0xffb00133,0xd100bfff,0x3f21dfff,
    0xffd33fff,0x5fffffff,0xffffd500,0xffe9805d,0x2fffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x6e440000,0x1ccc9bde,0x07641d70,0x00000000,
    0x80660133,0x80019999,0x99999998,0x4cc40999,0x06540019,0x80298001,
    0x40fa63e9,0x9999999a,0x4ccc2999,0x33300199,0x33333333,0x99999998,
    0x4ccc0999,0x99999999,0x26019981,0xffff5019,0x0fffffff,0x02fe8bfa,
    0x4001fffd,0x02fffff9,0x4c7fffd3,0x3ea3ffff,0x3effffff,0xfffffc80,
    0x52ffffff,0x7fffffff,0x59fffd00,0xffd7009f,0x9bee01bf,0x400506fb,
    0xffffff52,0xff705dff,0xffffffff,0x3fffeaff,0x4fffffff,0x7ffffffc,
    0xf31fffff,0x7cc7ffff,0x3e23ffff,0xfffeceff,0x987303ef,0x03fffe03,
    0xfffffa80,0xbffff502,0x72ffffd4,0xffffffff,0x7fec01df,0xffffffff,
    0xfffff52f,0x9d8809ff,0x400effc8,0x4ffffff8,0x201706e0,0x7fdca002,
    0xffffffff,0x7ffffe43,0x77ffffff,0xffffffff,0xfff89fff,0xffffffff,
    0xfffff51f,0x7ffffd4b,0xf507ff64,0x800001ff,0x4000ffa8,0x202ff998,
    0x7ec1ffd8,0x9aff982f,0x406ffdb9,0x99efcff9,0x3f622ff9,0x1000099e,
    0x43bf2003,0x200005fb,0xfd88a002,0x7fdb999d,0x999cfe98,0x3627fb99,
    0xd99999df,0x4cdffc4f,0x1ff99bff,0x2207bfa6,0x27fc1ffc,0x5c40ffd8,
    0x332e23cc,0x00ff880c,0x100bfe00,0x1ffd4bff,0xfb81ff88,0x2f7e602f,
    0x3217fc6f,0xceffffff,0x64de64c0,0x7fc00cde,0x332e0042,0x800a01cc,
    0xfe827ec2,0xf503fe83,0xfb05fc8f,0x3fe2ff89,0xff507fe1,0xf117fa03,
    0x03fea03f,0x7dcbfff7,0xff881fff,0x01799950,0xfb802ff8,0x205ff8bf,
    0xdfb01ff8,0x77dd7e40,0x640fe8b8,0xffffffff,0x3ffffe0f,0x201fffff,
    0x3ee003fe,0x0a02ffff,0x427ec280,0x3fe83ff8,0x913e29d1,0x2faaecbf,
    0x43ff17fc,0x84ff81ff,0x7fc41ffa,0x981ff903,0x3b665ffd,0x8ff881ff,
    0x03fffff8,0xfd8017fc,0x7100ffdf,0xfb8357ff,0x3ee3fa07,0xc818cfce,
    0x17fdc45f,0xb9dffff7,0xfb3109ff,0xdb10033d,0x01405ffd,0x99dfd850,
    0xe81fffca,0x407fb9cf,0x0ffa9dfc,0x1ff83f60,0x07fdc1f6,0x37f41bf6,
    0xf900fff8,0x103ff10b,0xdfff11ff,0x02ff803b,0x07ffff10,0x3fffffe6,
    0x203fe64f,0xffff76f8,0xe82fe40b,0x21ffe44f,0x7ffc47fa,0x4006ffff,
    0x800a02ff,0x7ffffec2,0xffd04fff,0xfc80ffff,0x000fffff,0xf8800ffc,
    0x40ffe23f,0xeb8aeffa,0xbf900fff,0xf103ff10,0x007fff7f,0x76c017fc,
    0x41eeffff,0xfffffff8,0x2e03fe63,0xffffc9cf,0x7417f205,0x442fe44f,
    0x3ffa21ff,0x4005ffff,0x800a02ff,0x7ffffec2,0xfe82ffff,0x6407ffff,
    0x00ffffff,0xb000ffc0,0x007fe4df,0xfffffffb,0x17f201ff,0x3e207fe2,
    0x4002ffff,0x998802ff,0x22019bff,0x0ff501ff,0x3bfffff6,0x17f204fc,
    0xfc85ff93,0x881ff885,0x8000bff9,0x800a02ff,0x4ccefec2,0x740ffeca,
    0x407fb9cf,0x0ff99dfc,0x03ff0011,0xff8ffcc0,0xffffb804,0xf900ffcf,
    0x103ff10b,0x001dffff,0x98802ff8,0x2019bff9,0xdf901ff8,0xfdddff10,
    0x3205c2ad,0xffffffff,0xf885fc84,0x05ff101f,0x280bfe00,0x09fb0a00,
    0x7fd0ffe6,0xbf900f62,0xf00ff264,0xdfe8003f,0x26001ffa,0x201ff31a,
    0x1ff985fc,0xeffeff88,0x00bfe000,0x3bbffbb6,0x03ff101d,0x9f509ff5,
    0x17ea37dc,0x9bdffff9,0x2217f205,0x3ff501ff,0x2ff80330,0x6c2800a0,
    0xd13fa04f,0x5fc8007f,0xf801ff30,0x7fdc001f,0x640005fe,0x47fee06f,
    0x883fffc9,0x1fffb8ff,0x2005ff00,0x00acffa9,0x2eaaffea,0xfd986ffd,
    0xaaefd98c,0x3f666fda,0x6cc01aae,0x17fd41ef,0x5557ffd4,0x554c7fba,
    0x41aacffa,0xfe98a002,0xfdbaaaad,0x2b7fea2f,0x77f4c01a,0xffbaaaaa,
    0xcffba880,0xfff1001a,0x5554005f,0x2604ffdb,0xffffffff,0x3fee23ff,
    0x837fff50,0xacffaaa9,0xffff901a,0x3fee0fff,0xefffffff,0x7ffffcc1,
    0xffffffff,0xfffff56f,0x3fe609ff,0xfff71fff,0x7fffe47f,0x27ffffff,
    0xfffffffa,0x800a4fff,0xffffff72,0x6cdfffff,0x2fffffff,0xffffff70,
    0x81ffffff,0xfffffff8,0xfff9002f,0x7fffe400,0xffa805ff,0x2effcfff,
    0x221ffff1,0xf53fffff,0xffffffff,0xfffd509f,0x3fa609ff,0x03deffff,
    0xfd9fffd1,0xdfffffff,0x3fffffa6,0xfffd102e,0x3bffaa1d,0x3ffffaa2,
    0x262effff,0xfffffffe,0x2aab22ff,0x4aaaaaaa,0xffffffd5,0xffb87dff,
    0x301effff,0xfffffffd,0xfb01ffff,0x01dfffff,0x800ffe60,0x03dfffea,
    0x6c00d4c0,0x3ff60fff,0xfffd12ef,0x05ffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x99880088,0x33100099,0x26601310,0x26200199,0x88099999,0x99999999,
    0x06601981,0x403300cc,0x33300998,0x26026660,0x44066201,0x4cc40099,
    0x33300099,0x33100133,0x9980cc40,0x20000999,0x700a8029,0xefffd983,
    0xfffffe80,0x7ffe406f,0x1ffffd2f,0x3fffffea,0x3ff603ef,0x0effffff,
    0x3ffffff6,0xfff30fff,0x7fffcc7f,0x47ffff33,0x743ffff9,0x3ee5ffff,
    0xff51ffff,0x3feabfff,0x7fff43ff,0x2fffff43,0x7fffff44,0x7fffcc05,
    0xe81dffff,0xffd01fff,0x3fffea5f,0x001dffff,0xff700ff4,0x3e26fd83,
    0x440fffff,0x7fffffff,0x9fffff40,0xf71fffff,0xffffffff,0xffffd01d,
    0x6c1fffff,0xffffffff,0x7ffff50f,0xaa7fffd4,0x3ea5ffff,0x3fe24fff,
    0x3ff26fff,0xfff72fff,0x3fff2dff,0x7ffffc5f,0x1fffffe1,0x3fffffe2,
    0x3ffea00f,0x3fffffff,0x217fffe2,0xf73ffff9,0xffffffff,0x17fc007f,
    0x363fff30,0x27bee3ff,0x3ea601da,0xbfb001af,0x4c1ffa81,0xfdb99aff,
    0xff33305f,0xdfd81337,0x46ffa999,0x7f40ffe8,0x0fff441f,0x3e60bffa,
    0xff9881bf,0x70efec43,0x3ea03dff,0x2fecc6ff,0xffff5310,0x9efd8807,
    0x21ffec99,0x6c0ffff8,0x7ec43fff,0xffec999d,0x805ff001,0x4ffdfff9,
    0x260027f4,0x3f6000ff,0x440ff984,0x2ffc81ff,0xfb017fc0,0x880ffe89,
    0x0ffea5ff,0xfc877fc4,0x44bfe03f,0x05ff11cc,0x77fe49fb,0x3fffe600,
    0x64027ec3,0xc806fdff,0x44ff885f,0x3e24ffff,0x5fd82fff,0xf003ff88,
    0xfff3005f,0x01ff909f,0x0007fcc0,0x1ff309fb,0xfb01ff88,0x202ff80d,
    0x0bff63fc,0xff8affb8,0x5effcc05,0x9ff404ff,0x3ff35ffb,0x3ff69fb0,
    0x77fcc00d,0x013f60ff,0x07fe73fe,0x3f60bf90,0x87ffffc5,0xd82ffffc,
    0x007fd05f,0x7f400bfe,0x5ff981ff,0x003fe600,0x9999dfd8,0x7fc40ffa,
    0xf80ff701,0x5c2e202f,0xffd804ff,0xfb800ffd,0xfd805fff,0xf31fffb4,
    0xfdbfb01f,0x3fe6009f,0x13f65ffa,0x3fa1ff50,0x4c2fe405,0x7dffc3ff,
    0xffbff8bf,0x6c45fd82,0xfffc81ff,0xdfffffff,0x7ffffec0,0x4bfffa21,
    0x1ff302dd,0x7fffec00,0x440fffff,0x1ff301ff,0x98017fc0,0xff1005ff,
    0x7e4005ff,0xdfc800ef,0xfabffff8,0xfffffb07,0x23fe6009,0x09fb2ffb,
    0x3fee5fe8,0x267bf200,0x7c0fffca,0xffbefdaf,0xffd82ff8,0x04ffffee,
    0xfffffffd,0x7ec3ffff,0xb0fff9cf,0xff3ffdff,0x403fe60d,0xfffffd80,
    0x7c40ffff,0x01ff301f,0x7c4017fc,0x3ea000ef,0x3fa2005f,0xefb801ff,
    0xfbdfeffb,0xfffffb06,0x1ff3009f,0x13f63ffa,0x999bff98,0x3ff203ff,
    0x82ffffff,0xffff9aff,0xffb05ff4,0x407fffff,0xcffaaaa8,0x3fee1aaa,
    0x3e37fe64,0xfffff8af,0x701ff302,0x99dfd85f,0x440ffa99,0x0ff501ff,
    0xfd802ff8,0xf003261f,0x7fec005f,0x7d400ffe,0xdffadfdf,0x23ffb05f,
    0x7cc03ffc,0xfb9ff30f,0x7fffe409,0x3206ffff,0x0dffffff,0x3ff65ff0,
    0xfb05ff1f,0x09ffd99d,0x2602ff80,0xf9be983f,0x0bfff50f,0x7ec07fcc,
    0x7cc27ec4,0x80ffc40f,0x17fc06fc,0xfb0fff20,0x002ff807,0xdff17ff9,
    0x7fffcc01,0x04ffff8a,0x0ffd89fb,0xfc83fe60,0x3fe04fff,0xffffffff,
    0x133df901,0x3ea5ff00,0x360bfe5f,0x13ff625f,0x0002ff80,0xfd119ff0,
    0x3fe6019f,0x7ec4fd80,0x440ff984,0x4ffa81ff,0xf5017fc0,0x809fb0bf,
    0xffa802ff,0x8817fe65,0xffb0ffff,0x113f607f,0x7fcc09ff,0x827fff40,
    0x99999ffa,0xbf905fe9,0x322ff800,0x360bfe1c,0x01ffd85f,0x00005ff0,
    0x3ffffff2,0x7dd446ff,0xfeaaaabf,0x8877fa64,0x3ea0bffb,0xffdbaabf,
    0xffaaa886,0x3fe20aac,0xfeaaaabf,0xcffaa884,0x1fff501a,0xf00cffd8,
    0x7ffd4bff,0x0adfe982,0x2e06bfee,0x3fea1bff,0x2efe984f,0x20affd98,
    0x01aaefd9,0x20567fcc,0x260cffa9,0x3a20aefe,0x7fc00aef,0xfb100001,
    0x49ffdfff,0xfffffff8,0xf34fffff,0xff17ffff,0x3feebfff,0xefffffff,
    0xfffffe81,0xff31ffff,0xffffffff,0xfffff889,0x7fe42fff,0x3fff27ff,
    0x47fff07f,0x7dc1fff8,0x3e27ffff,0x3fee1fff,0x3ff63fff,0x7ffffd44,
    0x3ffffea5,0xffffff54,0x3ffe609f,0x3ffea5ff,0xffff75ff,0x4fff98ff,
    0x00003640,0x36004cc4,0xffffffff,0xffd14fff,0x3fff63df,0xffffd53f,
    0x7e407bdf,0xefffffff,0xffffff30,0xfb09ffff,0x83dfffff,0x2a5fffea,
    0xfd04fffe,0x41ffd81f,0x45ffffea,0x3aa0effc,0x3e21efff,0x7fff4c4f,
    0x3fffa63f,0xffffd33f,0x3fa205df,0x3fa23fff,0xffd53fff,0x5ff70bff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x05100530,0x00000530,0xdba83b30,
    0xc8800bde,0x00a9ceed,0x357bdd95,0x06f76e60,0x711e65c4,0x65401999,
    0x54402cde,0x0fae2dec,0x985100d4,0xcdec9bcc,0x45997300,0x6542ccb9,
    0xda8cecac,0xccb980bd,0x02ccb982,0xfd300000,0x01fe803f,0x00017ff4,
    0x2aaf76e6,0x3fff24ff,0x2e05ffff,0xffffffff,0xfffffd85,0xfffb87ff,
    0x7dc0efff,0x3ffee5ff,0xfffe981f,0xfd00efff,0xfffbffff,0x5ffcc1bf,
    0x3ffabedb,0x3ffffffe,0xfff81fff,0xfffff1ff,0x3ffffe63,0x4fffffff,
    0x41fffff8,0xb91fffff,0x80017c41,0x00efffd8,0x3f2006dc,0xd8002eff,
    0xffffffff,0x337bee0e,0xfb82ffec,0xfffdceff,0x6677fcc7,0x3f20fffd,
    0xeffdcdff,0x997ff660,0x7441ffed,0xffecceff,0xfd9bfd06,0x89ffbdff,
    0xfffffffe,0x3ffee1ff,0x84ffdcef,0x3f26fffb,0x7ffe44ff,0xfcdfffce,
    0xa7ffdc0f,0x49ffd719,0x13f20ef9,0xffffc880,0xd9800002,0xb001dfff,
    0xffd9bfff,0x27f4005f,0x3a077fe2,0x4437e46f,0x033fea6f,0xbf90bff5,
    0xfd83ff10,0x03ffb82f,0xf90fff88,0x77ffc41f,0xfc82fffd,0x883fd43f,
    0xfffacffe,0x7fcbfd02,0x3f20bfe5,0x3ee7ff36,0x361ff986,0xfffb805f,
    0x8000003f,0x00cfffea,0x7cc2ffee,0xec886fff,0x544ffeee,0x89f302ff,
    0x9bcdfff9,0xc807fe40,0x885fc87f,0x56ffc1ff,0x6feaaaaa,0xffeedb88,
    0x22ffbaae,0x3fe63ff8,0xf885fc83,0xfffb101f,0x1ff403df,0x41ffc7fd,
    0x6ffc8ffa,0x3fe60bfb,0x2a03bf62,0x000cfffe,0x7fdc0000,0x4dfd03ff,
    0x1ffcfff9,0x3fffffee,0x037e44ff,0xfffffc80,0x813fa0df,0x2fe41ff9,
    0xff10ffc4,0xffffffff,0xffffb8ff,0xffffffff,0xb03fea3f,0x10bf90bf,
    0xffe803ff,0xd1ff401f,0x441ffc7f,0x9ffffaff,0x3fea03ff,0x74c7bfa4,
    0x9001dfff,0xffffffff,0x91001dff,0x7c45ffff,0x13fff12f,0x3ffea5ff,
    0x44ffccbd,0x220006fc,0x0ffffdca,0x7fd40bfd,0x7c42fe40,0x3fffe21f,
    0xffffffff,0x97bfff30,0xffffffff,0x3a07fd49,0x885fc85f,0x3ff601ff,
    0x3fa01eff,0x3ff8ffa3,0xffffdfd0,0x7ec03ffd,0x21bff32f,0x002ffffc,
    0x3ffffffe,0x001fffff,0x23dfffb1,0xfff8aff8,0x3f63ff31,0x544fd80e,
    0x3a0c02ff,0x2e5ff305,0x0dfd01ff,0x3ff30bf9,0x54006fe8,0x02ffc0ff,
    0xfa867fc4,0x885fc82f,0xffe881ff,0xd01fffac,0xff1ff47f,0x3bfff207,
    0x3607fffb,0x07ff30ef,0x03bfffb3,0x55555510,0x10035555,0xd05dfff9,
    0x6c3ffddf,0x4c77f67f,0x221effea,0x2a60aeff,0x3bff32fe,0x4cbfee61,
    0xeb89cfff,0x1ffb83ff,0xa87fff93,0x7530adff,0x467fc49b,0x98afffd9,
    0x3ffe61db,0x4c3fffef,0x7fd41efd,0x52fff4c2,0xff987fff,0x3e19fd0c,
    0xfffa80cf,0xb05fff8b,0x00ffccbf,0x033fffaa,0x7dc00000,0x3ea03fff,
    0xfeb8afff,0x3fffe64f,0x3fffffff,0x3fffffe6,0xff30ffff,0xdfffffff,
    0xffffff98,0xfff304ff,0x7fffffff,0xffffffd8,0x7fec7fff,0xffffffff,
    0xfff13fff,0x5fffffff,0x47ffffe6,0xf53ffffb,0x3fa3ffff,0xfff35fff,
    0x7d7ffabf,0xfff885ff,0xf907ff90,0x0006fc47,0x019ffff5,0x3faa0000,
    0x7c400cff,0xffffffff,0xffffda84,0x4c2effed,0xdffffffd,0x7fff76c1,
    0xfd980cff,0x5402efff,0xffcfffff,0xffffa82e,0xfc81cfff,0xffdedfff,
    0x2bfe23ff,0x3fe8acc9,0x21dfffd1,0xd12effea,0x3f21dfff,0xffd13fff,
    0x7cfffa7f,0x4bfd03ff,0x81881ff9,0x3fee0002,0x029802ff,0x0dfffe98,
    0xfeffe880,0x4402efff,0x4c40009a,0xa98009aa,0x1330009a,0x001a9800,
    0x0009a988,0x20151033,0x000a2019,0x00000000,0x00000000,0x3ff22000,
    0x00ff401f,0x8007bffe,0x00662ffa,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x806d9800,0x175c00db,0x00164400,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x99999995,0x332e6199,0x3332e62c,0x996664c2,
    0x00000cec,0x07543d88,0x0510054c,0x06a20188,0x54c01440,0x1014c00a,
    0x33333333,0x51554133,0x7fff4455,0xffffffff,0x9800102f,0x4c40b61d,
    0x99999999,0x1cb81999,0x26666662,0x01999999,0xffffffb0,0x3ffa1fff,
    0xffff1fff,0x3ffe23ff,0xfffffcdf,0x8801b601,0x717ee1fe,0xfc87ffff,
    0xbffb307f,0x2ffffa85,0xe807fa20,0xfa83ffff,0x7fd44fff,0xffffffff,
    0x74ffb4ff,0x3fffea7f,0xffffffff,0x06ffdc2f,0x41df502a,0x7ffec4fc,
    0xffffffff,0xff70ffff,0x3fffff6d,0xffffffff,0x7fec00ff,0x0efffeee,
    0x5c9fffb5,0x75c4effe,0xecffffff,0x007fe03f,0x5fc87fe6,0x41f90ba8,
    0xdfd07ebb,0x46fc1ffb,0x3ff607d8,0x3e43300e,0x3ee277ea,0x3ffffe63,
    0x4fffffff,0x237ecdf9,0xaaaaaaa9,0x362ffbaa,0xfb1effff,0x5c06fdcb,
    0x3ffff25f,0xffffffff,0x9ff30fff,0x3ffffff2,0xffffffff,0x527e400f,
    0xdfb01dff,0x6c01ff90,0x200c4fff,0x7fd402ff,0x880bfb12,0x87d80fea,
    0x18fea5f9,0x7fe407ec,0xffb506ff,0x643ec1ff,0x99999986,0x3ee09999,
    0x80017ee5,0x77ff52ff,0x47ffdfff,0x10fd404e,0x11111111,0x31011111,
    0x99999988,0x01999999,0x3fea1710,0x45ff300e,0x7ec04ff8,0xbdfe802f,
    0x20ffdcff,0xdfd12ffb,0x04fff801,0x447f70fb,0x83fd885f,0x4ffbdffa,
    0x7ed5efd4,0x01b21b20,0xf527d400,0x97fc0009,0x3ffa63e8,0x0000004f,
    0x00000000,0x03bfea00,0x7fe4dfb0,0x8027ec00,0xfffffffe,0x4ffee0ff,
    0x9800efe9,0x887d81fd,0x985f90ef,0x6ff982fe,0x9fc8fff2,0x3e22fea9,
    0x223fc9ad,0xeeeeeeec,0x7f31deee,0xf0001fcc,0x1cb8805f,0xddd90000,
    0x21dddddd,0x00ba63e9,0x7d400000,0xff9800ef,0xd804ff8a,0x3f6a004f,
    0xa80befff,0x1dfb13ff,0xfb05f300,0x1fffff60,0x3fa03df7,0x98ffec0f,
    0x1ffefffe,0x50fbff6a,0xffffffff,0x0fcbffff,0x7c0003f1,0x0000001f,
    0xffffffd8,0x4bf70fff,0x000005fb,0x20effa80,0x2fbfa04a,0x4fd800ff,
    0x7fffcc00,0x727f4403,0x677c41df,0x7ff646fd,0x5f7540de,0x3bbbfea0,
    0x2207f60e,0x004c40fe,0xccb88044,0xcccccccc,0x4000001c,0x0000006c,
    0x55555530,0x220b8555,0x0000000b,0x555fffd4,0xff502fea,0xea9809ff,
    0x401aaadf,0x00ffdffe,0x1ba62fc8,0xa8159b75,0x000bcccc,0x33333326,
    0x00000000,0x00000000,0x00000000,0x00000000,0xff000000,0xffffffff,
    0x07fff407,0xffffff90,0x3ea07fff,0x004ff89f,0x00038835,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3fffe000,0x03ffffff,
    0xd5017fea,0xdfffffff,0xe98fa603,0x00000002,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_bold_27_latin1_x[224]={ 0,5,3,1,1,1,2,5,6,2,1,0,4,2,
5,1,1,1,1,1,1,1,2,1,1,2,5,4,-1,0,0,2,2,-1,0,0,0,0,1,0,0,1,1,0,
0,-1,-1,0,1,0,0,1,0,0,-1,-1,0,0,1,5,1,2,1,-1,4,1,-1,1,0,0,1,0,0,1,
2,0,1,-1,0,1,-1,0,1,1,1,0,0,-1,0,0,2,4,5,3,1,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,5,1,0,1,0,
5,1,3,-1,3,0,-1,2,-1,-1,3,0,3,3,4,0,1,5,4,3,3,1,0,-2,0,1,-1,-1,-1,-1,
-1,-1,-1,0,0,0,0,0,1,1,1,1,-1,-1,0,0,0,0,0,2,0,0,0,0,0,0,1,0,1,1,
1,1,1,1,-1,1,0,0,0,0,1,1,1,1,1,0,1,1,1,1,1,0,0,0,0,0,0,0,-1,0,
 };
static signed short stb__courier_bold_27_latin1_y[224]={ 19,3,4,2,2,4,5,4,3,3,3,5,15,11,
16,2,3,3,3,3,3,3,3,3,3,3,8,8,5,8,5,4,3,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,3,2,3,3,23,3,8,3,8,3,8,3,8,3,3,
3,3,3,8,8,8,8,8,8,8,4,8,8,8,8,8,8,3,3,3,9,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,19,8,2,4,6,4,
3,3,4,4,3,9,11,11,4,0,1,2,3,3,3,8,3,9,18,3,3,8,3,3,3,8,-1,-1,-1,0,
0,-1,4,4,-1,-1,-1,0,-1,-1,-1,0,4,0,-1,-1,-1,0,0,7,3,-1,-1,-1,0,-1,4,3,3,3,
3,4,4,2,8,8,3,3,3,4,3,3,3,4,3,4,3,3,3,4,4,5,7,3,3,3,4,3,3,4,
 };
static unsigned short stb__courier_bold_27_latin1_w[224]={ 0,4,9,12,12,12,12,4,6,7,12,14,6,11,
4,12,12,12,12,12,12,12,11,12,12,11,4,7,15,14,15,11,10,16,14,14,14,14,13,15,14,12,14,15,
14,16,16,14,13,14,15,12,14,15,16,16,15,14,12,7,12,7,12,17,6,13,15,13,15,14,13,15,14,12,
9,14,12,16,14,13,15,15,13,12,14,14,15,16,14,14,11,7,4,8,12,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,0,4,11,14,12,14,
4,13,8,16,9,14,15,11,16,17,8,14,8,8,6,14,12,4,6,8,9,13,15,18,15,11,16,16,16,16,
16,16,16,14,14,14,14,14,12,12,12,12,15,16,14,14,14,14,14,10,15,15,15,15,15,14,13,13,13,13,
13,13,13,13,16,13,14,14,14,14,12,12,12,12,12,14,13,13,13,13,13,14,14,14,14,14,14,14,15,14,
 };
static unsigned short stb__courier_bold_27_latin1_h[224]={ 0,17,8,20,20,16,15,8,20,20,11,14,8,3,
4,20,17,16,16,17,16,17,17,17,17,17,12,14,14,8,14,16,18,15,15,16,15,15,15,16,15,15,16,15,
15,15,15,16,15,19,15,16,15,16,15,15,15,15,15,20,20,20,9,4,5,12,17,12,17,12,16,16,16,16,
21,16,16,11,11,12,16,16,11,12,16,12,11,11,11,16,11,20,20,20,6,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,0,16,18,15,12,15,
20,19,3,16,8,10,8,3,16,4,9,17,9,9,5,16,19,5,6,9,8,11,16,16,16,17,20,20,20,19,
19,20,15,20,20,20,20,19,20,20,20,19,15,19,21,21,21,20,20,11,18,21,21,21,20,20,15,17,17,17,
17,16,16,18,12,16,17,17,17,16,16,16,16,15,17,15,17,17,17,16,16,14,14,17,17,17,16,21,21,20,
 };
static unsigned short stb__courier_bold_27_latin1_s[224]={ 135,250,155,135,72,147,1,250,175,167,43,
230,249,208,226,214,59,150,30,1,57,237,210,153,125,72,250,248,1,140,32,
180,117,166,179,28,44,208,194,43,29,59,102,133,14,197,149,132,183,32,214,
160,223,173,238,116,100,85,72,248,235,98,107,208,201,63,166,77,84,133,43,
1,205,220,48,32,47,208,178,104,189,233,29,91,87,118,13,225,193,117,1,
227,148,153,181,165,165,165,165,165,165,165,165,165,165,165,165,165,165,165,165,
165,165,165,165,165,165,165,165,165,165,165,165,165,165,165,165,165,135,245,105,
137,165,60,162,18,220,163,120,56,165,208,105,231,89,15,98,71,194,205,79,
250,249,80,130,242,14,70,89,113,182,168,106,47,233,216,91,153,1,16,31,
64,46,59,85,92,75,1,120,105,90,123,138,245,128,58,1,74,200,185,108,
1,158,186,172,14,234,144,148,220,200,215,230,135,1,192,122,152,100,122,182,
196,30,59,73,17,48,44,138,222,17,33,17,199, };
static unsigned short stb__courier_bold_27_latin1_t[224]={ 22,23,165,1,23,99,134,64,1,1,165,
134,99,170,165,1,64,82,82,82,82,64,64,64,64,64,44,82,150,165,150,
82,44,134,117,99,134,117,117,99,134,134,99,134,134,134,134,99,134,44,134,
99,117,99,117,134,134,134,134,1,1,23,165,165,165,150,64,150,64,150,82,
117,99,99,1,117,117,150,150,150,99,99,165,150,99,150,165,150,150,99,165,
1,1,1,165,117,117,117,117,117,117,117,117,117,117,117,117,117,117,117,117,
117,117,117,117,117,117,117,117,117,117,117,117,117,117,117,117,117,22,44,44,
117,150,117,1,44,170,82,165,165,165,170,82,165,165,64,165,165,165,82,44,
73,108,165,165,150,82,82,82,64,1,23,23,44,23,23,117,23,23,23,23,
44,23,23,23,44,117,44,1,1,1,23,23,134,44,1,1,1,23,23,117,
64,44,44,44,99,82,44,150,82,44,44,44,82,100,82,82,117,64,117,64,
64,64,99,99,150,150,64,64,64,117,1,1,1, };
static unsigned short stb__courier_bold_27_latin1_a[224]={ 229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_27_latin1_BITMAP_HEIGHT or STB_FONT_courier_bold_27_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_27_latin1(stb_fontchar font[STB_FONT_courier_bold_27_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_27_latin1_BITMAP_HEIGHT][STB_FONT_courier_bold_27_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_27_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_27_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_27_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_27_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_27_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_27_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_27_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_27_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_27_latin1_s[i] + stb__courier_bold_27_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_27_latin1_t[i] + stb__courier_bold_27_latin1_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_27_latin1_x[i];
            font[i].y0 = stb__courier_bold_27_latin1_y[i];
            font[i].x1 = stb__courier_bold_27_latin1_x[i] + stb__courier_bold_27_latin1_w[i];
            font[i].y1 = stb__courier_bold_27_latin1_y[i] + stb__courier_bold_27_latin1_h[i];
            font[i].advance_int = (stb__courier_bold_27_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_27_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_27_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_27_latin1_s[i] + stb__courier_bold_27_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_27_latin1_t[i] + stb__courier_bold_27_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_27_latin1_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_27_latin1_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_27_latin1_x[i] + stb__courier_bold_27_latin1_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_27_latin1_y[i] + stb__courier_bold_27_latin1_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_27_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_27_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_27_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_27_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_27_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_27_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_27_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_27_latin1_LINE_SPACING
#endif

