// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_36_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_36_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_36_latin1_BITMAP_WIDTH         256
#define STB_FONT_courier_bold_36_latin1_BITMAP_HEIGHT        296
#define STB_FONT_courier_bold_36_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_courier_bold_36_latin1_FIRST_CHAR            32
#define STB_FONT_courier_bold_36_latin1_NUM_CHARS            224

#define STB_FONT_courier_bold_36_latin1_LINE_SPACING          17

static unsigned int stb__courier_bold_36_latin1_pixels[]={
    0x4c000800,0x00000099,0x33300000,0x00000001,0x00000000,0x00000000,
    0x00000054,0x00000000,0x00000000,0x402fd400,0x004ffffd,0x05f98000,
    0x017ffe00,0x80000fec,0x000004fa,0x260009f5,0xa800004f,0x00005fff,
    0x0001fb10,0xf5000fee,0x3f200009,0x8013ee02,0x7c402ffc,0x0004ffff,
    0x01ffdc00,0x00bfff00,0x0000fff2,0x00037fe6,0x003ffc80,0x001dff10,
    0x7d467400,0x74c00001,0x3fa0006f,0x77fc4007,0xffb10000,0x007ffc01,
    0x400bff62,0x004ffffc,0x0fff6000,0x0bfff000,0x0027fdc0,0x00f7fcc0,
    0x0fff6200,0x3dfd3000,0x41f30000,0x2a00004e,0x20000dff,0x4c000fff,
    0x4c001efe,0x7fc01ffe,0x0fff400f,0x027fe400,0x2ffd8000,0x09998000,
    0x02ffd400,0x07ff4400,0x03ffd000,0x3ff62000,0x34e80000,0x2a00003f,
    0x2a0004ff,0xccdffffe,0x0ffd8800,0x01dff100,0xe801fff0,0xff90000d,
    0x3a000009,0x0000001e,0x000dd300,0x8000fe40,0x00000ef8,0x80002fc8,
    0x0005fffa,0x4000ff20,0xffffffe9,0x32003fff,0x09f5002f,0x0007ffc0,
    0x93ff2000,0x00001aa9,0x00000000,0x00000000,0x00000000,0x1a880000,
    0x00000000,0x7fffffec,0x0005ffff,0x7fc00000,0x4000000f,0xfffbcffc,
    0x0002dfff,0x3fff2000,0x4fffffff,0x10000000,0x22000013,0x00000009,
    0x00000000,0xff880000,0xfeb98acf,0x0000005f,0xd87ffc00,0x4c1effff,
    0x80dffffe,0xfffffffc,0x883fffff,0x0ceeeedb,0x9ddddd71,0x3ffffe21,
    0x14ffffff,0x19ddddb7,0x3bbbbae2,0x3fb2200c,0x4000ceff,0xcefffec8,
    0xddd91000,0x0005dddd,0xdddddd91,0xd910005d,0x05dddddd,0x882ffdc0,
    0x776dc3ff,0xdeeeeeee,0x77776dc3,0x43deeeee,0xfff98fff,0x7fe45fff,
    0xfc82ffff,0xfdffffff,0x7dc3ffff,0x74ffffff,0x9fffffff,0x7fffffe4,
    0xff74ffff,0x2e9fffff,0x4fffffff,0xffffff50,0x2a005fff,0xffffffff,
    0xfffc802f,0x006fffff,0xffffffc8,0xfc8006ff,0x6fffffff,0x813fee00,
    0x7fffcc29,0xffffffff,0xfffff32f,0xffffffff,0xfd87ffc5,0x74c2efff,
    0xc80effff,0x221cffff,0x2a1fffeb,0x3fffffff,0xfffffff5,0xa7fe4007,
    0xfffffffa,0xffffff53,0xffff707f,0x9fffffff,0xfffffb80,0x04ffffff,
    0x7fffffd4,0x54001fff,0xffffffff,0x7fd4001f,0x1fffffff,0x5bfff100,
    0x3fffe200,0xffffffff,0xfffff10f,0xffffffff,0xf707ffc1,0x4ffe80ff,
    0x813fff20,0x7444fff8,0x5440adff,0x4000effc,0x3fa24ffc,0x65440adf,
    0xff980eff,0xfd510aff,0x3fe605ff,0xfd510aff,0xaa8805ff,0x04fffffd,
    0xffdaa880,0x88004fff,0xfffffdaa,0x3fff6004,0x5401ceff,0xabfffaaa,
    0xaaaa80aa,0x0aaabfff,0xff107ffc,0x3ffee07f,0x03fff200,0xfb0dff90,
    0x6ffa807f,0x44ffc800,0x7d403ffd,0x1dffd06f,0x03fff620,0x4403bffa,
    0xf000fffd,0x00fffdff,0xffefff80,0x7ffc0007,0x22007ffe,0xfffffffe,
    0x1fff002e,0x01fff000,0x7dc0fff8,0x4ffe80ff,0x402ffe40,0x7ec0fff8,
    0x37fd403f,0x227fe400,0x7d403ffd,0x0fffb86f,0x227ffc40,0x4400fffb,
    0xfa804fff,0x02fff8ff,0xf1fff500,0x2a0005ff,0x2fff8fff,0x7ffed400,
    0xf802ffff,0xff8000ff,0x07ffc00f,0xf70fffe2,0xffc801ff,0x3ffcc00f,
    0x2a01ffec,0xfc8006ff,0x01ffec4f,0x3f61bfea,0xfff5003f,0x5003ffd8,
    0xffb00fff,0x001bff2b,0xffcaffec,0xbffb0006,0x8001bff2,0x0ffffdb9,
    0x0007ffc0,0x3e007ffc,0xfffb80ff,0x2013ffe0,0x6403fffc,0x3ffd86ff,
    0x0037fd40,0x3f627fe4,0x37fd403f,0xf0007ffc,0x07ffc1ff,0x401fff00,
    0xff31fff8,0xff88003f,0x03fff31f,0x31fff880,0x18803fff,0x00fffcc0,
    0x20003ffe,0x7fc00fff,0x29fff00f,0xc800fffb,0xd80bffff,0xffd83fff,
    0x037fd403,0x3627fe40,0x7fd403ff,0x003ffc46,0x7fc47ffa,0x0fff4007,
    0xfd8dff90,0x7fe4004f,0x0027fec6,0xffb1bff2,0x01ffc409,0xff00bffa,
    0xfff0001f,0x00fff801,0xfff1fff7,0x3fff2009,0xffdcdfff,0x7ffb05ff,
    0x006ffa80,0x7ec4ffc8,0x37fd403f,0xb001bfe6,0x1bfe65ff,0x405ffb00,
    0x7fd43fff,0x1fffc007,0xf001ffea,0x7ffa87ff,0x881ffea0,0x7fc01fff,
    0xfff8000f,0x007ffc00,0x1fffdfff,0x3ffff200,0xffffffff,0x07ffb00e,
    0x8006ffa8,0x7fec4ffc,0x237fd403,0x74007ff9,0x0fff31ff,0x501ffe80,
    0x75557fff,0x2a005fff,0xbaaabfff,0xf5002fff,0xf75557ff,0x3fea05ff,
    0xfd730aef,0xfff801ff,0x0fff8000,0x7007ffc0,0x009fffff,0x7fe6ffe4,
    0x403fffff,0x7d403ffd,0xffc8006f,0x201ffec4,0xfff86ffa,0x83ffe000,
    0x3e000fff,0xfffb00ff,0xffffffff,0x3fff600d,0xffffffff,0xffffb006,
    0xdfffffff,0x3ffffea0,0x3fffffff,0x000fff80,0x7c00fff8,0x7ffc00ff,
    0x3f2000ff,0x3597514f,0x07ff9001,0x8005ffa8,0x7fe44ffc,0x42ffd403,
    0xf5002ffe,0x02ffe8ff,0x220fff50,0xffffffff,0x401fffff,0xfffffff8,
    0x01ffffff,0x7fffffc4,0x1fffffff,0xffffff98,0x003fffff,0xf0001fff,
    0xfff801ff,0x27ffdc00,0x013ff200,0x01bfee00,0x90009ff9,0x6ffb89ff,
    0x6427fe40,0xfe800fff,0x07ffe45f,0xc82fff40,0xeeeeefff,0x404fffee,
    0xeeeefffc,0x04fffeee,0x7777ffe4,0x4fffeeee,0xfffb5b90,0x7c003bff,
    0xff8000ff,0x07ffc00f,0x003ffee0,0x0009ff90,0x205fff30,0x8002fff8,
    0x7fcc2ffe,0x5fff102f,0x80bfff10,0x7c40fffc,0x7fe405ff,0x07fff00f,
    0x7c07ffa8,0x7fd403ff,0x01fffc07,0x4401ffea,0xf8000fff,0xff8000ff,
    0x07ffc00f,0x009fff10,0x0009ff90,0x82fbffa0,0x000fffe9,0x7407ffd4,
    0x3a60beff,0xff500fff,0xffe883df,0xdfff503f,0x3fffe883,0x803fff50,
    0xf503fff9,0xff9803ff,0x3fff503f,0x03fff980,0x1001fff0,0x33fff333,
    0x26662013,0x80999fff,0x3ee00fff,0x2e2000ff,0x01bceffe,0x3fffe600,
    0x1fffffef,0xf9999710,0x3e60dfff,0xfffeffff,0x7fe401ff,0xffffefff,
    0x7ffe406f,0xfffffeff,0xfffff986,0x7ffcc2ff,0xff32ffff,0x985fffff,
    0x2fffffff,0xfffffff3,0xfffff985,0x7ffc02ff,0x7ffff400,0xefffffff,
    0x3fffffa0,0x0effffff,0xccb89ffe,0x00aefffc,0xfffffff0,0x540005ff,
    0xffffffff,0xffff103f,0x01dfffff,0x7fffffd4,0xf9003fff,0xffffffff,
    0x3fff2009,0x04ffffff,0xfffffff9,0xfffffc8b,0xffff95ff,0xffc8bfff,
    0xf95fffff,0x8bffffff,0xfffffffc,0x203ff405,0xfffffff9,0x32ffffff,
    0xffffffff,0x5c5fffff,0xfffff13e,0x007fffff,0xfffffff1,0x880005ff,
    0x1efffffd,0x3ffffe20,0x8800dfff,0x1efffffd,0x7fff4c00,0x4c002eff,
    0x2efffffe,0x3ffff660,0x7fecc1df,0xfb31dfff,0x983bffff,0x1dfffffd,
    0xbfffffb3,0xffffd983,0x1f5401df,0x7ffffe40,0x45ffffff,0xfffffffc,
    0x4405ffff,0xffffffff,0x973004ff,0x00599999,0x04d4c400,0xccccb980,
    0xa988000a,0x4c400009,0x9880001a,0x0000001a,0x00000000,0x00000000,
    0x00000000,0x99997300,0x00017999,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000a20,0x01ec84ea,0x00032200,0x20000000,0x0322000a,0x00000000,
    0x0cc00000,0x001d4000,0x40000000,0x000000c8,0x04ff8800,0x21ffe800,
    0x70006ff9,0x40007fff,0x000004f9,0xf7003ff7,0x400007ff,0x900002fc,
    0xdb88005f,0xd8beffff,0xeffd8804,0x7ffdc001,0x3aa00fff,0xfffb801f,
    0x067fcc03,0xffffff88,0x03ffe603,0x88ffb000,0x6c4004ff,0x00dffeff,
    0x00eff880,0x3ffe2000,0x3bff6202,0x20000dff,0x0000ffd8,0x0007fec4,
    0xfffffff3,0x403fffff,0x4ffffffa,0x3ffffe00,0xfffd00ff,0x77fec409,
    0xff900dff,0x3ffe20df,0x7f407fff,0x0a80004f,0x7c400288,0x1fff52ff,
    0x3dfd3000,0x3fee0000,0x4bffe207,0x8000fffa,0x0001ffe9,0x000fff4c,
    0xfffffff3,0x07ffffff,0x7e47bfee,0xfff7005f,0xff501fff,0x3fe203ff,
    0x01fff52f,0x109ffff5,0x09ffffff,0x000fffa8,0x2a000000,0x1fec40df,
    0x0ffd8800,0x3fff8000,0xb1037ea0,0xff88005f,0x7c40000e,0x3e6000ef,
    0x3261bfff,0xfb03ffff,0x001fd507,0x407ffccc,0x7d403ffd,0x81fec40d,
    0xf886ffc8,0x3e0019ff,0x000003ff,0x02004000,0x00bf2000,0x01fff500,
    0x40004008,0x500004fa,0xffd0009f,0x7ffcc03f,0x00100203,0x3e03ffe0,
    0x400800ff,0x43ffc400,0x4000fff8,0x6c007ffb,0x4c1effff,0x00dffffe,
    0x00001310,0x3fa00000,0x0000004f,0x00000000,0x00fffc40,0x00017fe4,
    0x07ffc000,0x00007ffc,0x43ffc400,0x4000fff8,0x3003fff8,0x8bffffff,
    0x2ffffffc,0x3fffb220,0x000000ce,0x1fff5000,0xeeeedb88,0xdddd710c,
    0x0000019d,0x3ea00000,0x1df3006f,0xddddd910,0x7c0005dd,0x0fff80ff,
    0xeeeeedb8,0xeeeeeeee,0x887ff885,0xc8000fff,0x3f6006ff,0x74c2efff,
    0x500effff,0xffffffff,0x776dc05f,0xeeeeeeee,0x3a005eee,0xfffb84ff,
    0xff74ffff,0x5c9fffff,0x440ceeed,0x5c3deeec,0xeeeeeeed,0x45eeeeee,
    0x00003ffc,0xfffffff9,0x7fc000df,0x40fff80f,0xfffffffa,0xffffffff,
    0x887ff886,0x88000fff,0x2e002fff,0x7ff407ff,0x3fffee04,0x4fffffff,
    0xffffffa8,0xffffffff,0xfff3006f,0xfffff503,0x3ffea7ff,0xff33ffff,
    0xfc89ffff,0xf52fffff,0xffffffff,0x8dffffff,0x00001ffe,0xfffffff5,
    0x3e0003ff,0x0fff80ff,0x7fffffcc,0xffffffff,0x87ff886f,0x0000fff8,
    0x4400dff9,0xff703fff,0x3ffe601f,0xffd510af,0xffff985f,0xffffffff,
    0xfb006fff,0x7ff440bf,0x7e5440ad,0x3ffe20ef,0x7fdc1fff,0xff30ffff,
    0xffffffff,0xf8dfffff,0x200000ff,0xffffdaa8,0xfff0004f,0x80fff881,
    0xaacfffa8,0x6ffcaaaa,0xf887ff88,0xf10000ff,0x7dc005ff,0x4ffe80ff,
    0x403bffa0,0x440fffd8,0xaaacfffa,0x06ffcaaa,0x401fff98,0x7d403ffd,
    0xbfff506f,0x02bfff60,0x559fff51,0xdff95555,0x0000fff8,0xffdfff00,
    0x3ffe000f,0x01fff260,0x7d403ffd,0x19fff06f,0x0007ffc4,0x400bffb0,
    0x7dc3fff8,0xfff700ff,0x4fff8801,0x5403ffd0,0xffc806ff,0x03ffd806,
    0xf7037fd4,0xfff983ff,0x00fff404,0xffe8dff5,0xfa800001,0x02fff8ff,
    0xf50fff80,0xfe809fff,0xff984c1f,0x5ffff905,0x0003ffe2,0x001fff98,
    0xff83ffee,0x0fff604f,0xe83ffd40,0xf984c1ff,0x7ffc405f,0x03ffd802,
    0x3a037fd4,0x3ffa0eff,0x41ffe806,0xc8bff309,0x800003ff,0xdff95ffd,
    0x21fff000,0x402ffffc,0x9bf21ffe,0xfff502fe,0x03ffe27f,0x0bffb000,
    0xf74fff80,0x7ffc01ff,0x03ffe000,0x6fc87ffa,0xff900bfa,0x0fff600d,
    0x980dff50,0xfff94fff,0x43ffd003,0x30bfa6fc,0x80000dff,0xff31fff8,
    0xfff8003f,0x0dfffb10,0x3fa1ffe8,0xfffd000f,0x03ffe21b,0x1fff5000,
    0x47ffdc00,0x3e204fff,0x7ff4007f,0x3a1ffe81,0x3e2000ff,0xffb002ff,
    0x06ffa807,0xffbfffb8,0x3ffd004f,0x7c007ff4,0x7fb004ff,0x3637fe40,
    0x7fc004ff,0x03ffcc0f,0x3ffffffa,0xfff001ff,0x00fff883,0x04ffe800,
    0x7ff7ffc0,0x1bfe600f,0xd05ffb00,0xffffffff,0x3ffdc003,0x807ffb00,
    0xfd006ffa,0x400dffff,0xfffffffe,0xfffb801f,0xdffd301e,0x2a1fffc0,
    0x7fc007ff,0x00fff80f,0x3ffffffa,0xff8801ff,0x00fff887,0x0fffa800,
    0x3fffee00,0x3ffcc04f,0x207ffa00,0xfffffffe,0x3ffe001f,0x0fff6003,
    0x200dff50,0x01fffff8,0x3fffffa0,0xf7001fff,0xfdddffff,0x2a07ffff,
    0xbaaabfff,0x3e002fff,0x0fff80ff,0x3fffffa0,0xf8801fff,0x0fff887f,
    0x9ffd0000,0xfffff800,0x00fff800,0x3a03ffe0,0xffffffff,0x1fff7001,
    0x01ffec00,0xb801bfea,0x74003fff,0xffffffff,0x3ffee001,0xffffffff,
    0x3ffff603,0x6fffffff,0x203ffe00,0x3fa00fff,0x1ffe99af,0x887ff880,
    0x00000fff,0x4001fff7,0xd004fffb,0x3ea005ff,0x35ffd07f,0x2003ffd3,
    0x64004ffe,0x7fd403ff,0x07ffc005,0x26bffa00,0x4001ffe9,0xfffffdb9,
    0x3fe201de,0xffffffff,0xff001fff,0x01fff01f,0xffb0fff4,0x3e207744,
    0x0fff887f,0x3ffe0000,0x3ffee003,0x1fff9000,0x20bffd00,0x9ff61ffe,
    0x7fd40ee8,0x7fdc000f,0x027fe406,0x0003ffe0,0x3fec3ffd,0x26001dd1,
    0xf90009ef,0xddddddff,0x2009fffd,0xfff80fff,0x507ffa00,0x2217fdc1,
    0xfff887ff,0x3ee00000,0xfff1007f,0x7ffc4009,0x07ffe405,0x0541ffe8,
    0xffe85ff7,0xfff98004,0x05fff102,0x000fff80,0x82a0fff4,0xf5002ffb,
    0x7ffc001d,0x03ffd403,0xff80fff8,0x07ffa00f,0xf889ff90,0x0fff887f,
    0x3fe20000,0xfffb802f,0x7ffd4000,0x7fff441e,0x007ffa03,0x7fcc9ff9,
    0xffd0000f,0x7ff4c17d,0x7ffc000f,0x0fff4000,0x4013ff20,0xa800fffa,
    0x7cc01fff,0xf33103ff,0x9ffd01ff,0x35fff101,0xfb333333,0x2ffe449f,
    0x04cfffc4,0x6ffc8000,0x7fe665c4,0x64000aef,0xffefffff,0x3e206fff,
    0x99999aff,0x364ffd99,0x260005ff,0xffefffff,0x31001fff,0x0135fff3,
    0x335fff10,0xffb33333,0xebbd9809,0x3ffe603f,0x7cc2ffff,0x22ffffff,
    0x0ffffffc,0x12ffffc8,0xfffffffd,0xffffffff,0x07fffea9,0x3fffffe2,
    0xff880005,0xfffff12f,0x007fffff,0xffffff90,0x3a209fff,0xffffffff,
    0x4fffffff,0x0003fff1,0xffffffa8,0xfb003fff,0xffffffff,0x3fffa20d,
    0xffffffff,0x5404ffff,0x200fffff,0xfffffffc,0x7ffffe45,0x3fffe5ff,
    0xffb00fff,0x3fffea9f,0xffffffff,0xff94ffff,0x3ffe20df,0x00007fff,
    0x3fe23ff9,0xffffffff,0xffd30004,0x5405dfff,0xffffffff,0xffffffff,
    0x000bff34,0x3ffff620,0xff1001ef,0xffffffff,0xffff503f,0xffffffff,
    0x3009ffff,0xd9805bd9,0x41dfffff,0xdfffffd9,0x3ffffaa1,0x47bae00f,
    0xffffffd8,0xffffffff,0x403bd34f,0x3efffff8,0x30ae0000,0x99999997,
    0x98800017,0xffb1001a,0xffffffff,0x549fffff,0x4400000b,0xc80009a9,
    0xfffffffe,0xfffb104f,0xffffffff,0x0009ffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x32000322,0x0026c41d,0x00051026,
    0x0000d440,0x13620ee4,0x00098800,0x9b107720,0x000a9800,0xb509b100,
    0x076a0005,0xa8800199,0x07720001,0x2a2009b1,0x7dc000ac,0x3ea003ff,
    0x017fec5f,0x3fe1ffb8,0x9013ee05,0x3621bfff,0x8bff5003,0x22002ffd,
    0x0defffec,0xb17fea00,0xfb3005ff,0x00f547ff,0xf88bff60,0xff8000ff,
    0x800ffea6,0xb10dfffc,0x45ffa807,0x7e402ffd,0x8805ffff,0x0dffeffd,
    0x5c4ff880,0xff9801ff,0x07fff12f,0x7e403ffe,0xffdfffdf,0x89ff1004,
    0xf5001ffb,0xffffffff,0x13fe2007,0xfd003ff7,0xffbfffbf,0x1ffb8003,
    0x440037f4,0x13ff27ff,0x7feffe40,0x4404ffdf,0x0ffdc4ff,0xffdfffb0,
    0x7ffc40bf,0x001fff52,0x4006a051,0x3f60fffd,0x0fff80ff,0x3f623b70,
    0x144005ff,0xff7001a8,0xffffffff,0x40a2009f,0x4c9b001a,0x0003fffe,
    0x00151035,0x7e4fff30,0x23b7003f,0x005fffd8,0xc806a051,0xff710cff,
    0x1037ea05,0x000005fb,0x313ffe60,0xfff07fff,0x00a98001,0xf3000000,
    0x2a215fff,0x0001ffff,0x02a80000,0x80000000,0x3ff66ff9,0x054c0003,
    0x7c400000,0x409fd05f,0x00000400,0x01fff900,0xfff0fffd,0x00262001,
    0x0004c400,0x4403bffa,0x0000fffd,0x00000000,0xf5000000,0x017fecdf,
    0x00000000,0x2e01ff70,0x4400007f,0x0ceeeedb,0x9ddddd71,0x827ffc41,
    0x7fc2fffa,0x3fb2200f,0x4000ceff,0xcefffec8,0x07ffe400,0x713ffe20,
    0xdddddddb,0x0bdddddd,0x3bbbbb22,0xc88002ee,0x2eeeeeee,0x4bff5000,
    0xdb502ffe,0xdb7109dd,0x6dc19ddd,0xeeeeeeee,0x02ff43de,0xedb81ff3,
    0xeeeeeeee,0x3fffee3d,0xfff74fff,0x7e49ffff,0x3ffa00ff,0xa807ffc6,
    0xffffffff,0xfff5002f,0x05ffffff,0xb801ffec,0x3ffea6ff,0xffffffff,
    0xf906ffff,0xdfffffff,0xffff9000,0x000dffff,0xf55dffb3,0xff8819ff,
    0x7dc2ffff,0x35ffffff,0xffffffff,0x7c5fffff,0xffeca84f,0x3ffffe60,
    0xffffffff,0xffffff52,0x3fffea7f,0x3ffa3fff,0x07ffdc05,0xff701fff,
    0xffffffff,0xfffb809f,0xffffffff,0x001fff04,0xff99ffe2,0xffffffff,
    0x506fffff,0xffffffff,0xffa8003f,0x1fffffff,0xfffff100,0xffffffff,
    0xffffff8b,0x3fffe60f,0xfff13fff,0xffffffff,0x8bfe21ff,0x0fffffd8,
    0x3fffffe2,0x0fffffff,0x02b7ffa2,0x81dff951,0x7cc03fff,0x03ffe1ff,
    0x215ffff3,0x02fffea8,0x215ffff3,0x42fffea8,0x74007ff8,0x3fea21ff,
    0xaaaaaacf,0x2a206ffc,0x4fffffda,0xfdaa8800,0x5004ffff,0xffffffff,
    0x30ffffff,0x889ffffb,0xa80fffca,0xabfffaaa,0x83fe60aa,0x0ffdfffe,
    0xfffaaaa8,0xfd80aaab,0x37fd403f,0x100bffe2,0x3ffc7fff,0x88077ff4,
    0xfe80fffd,0xffb100ef,0x037fd41f,0x3a0bff60,0x3fea01ff,0xfdfff006,
    0xff8000ff,0x2007ffef,0xeeefffdb,0x902defff,0x503fffff,0x3fe00dff,
    0x43fe600f,0x1ff33ffb,0x001fff00,0xfa807ffb,0x0fffcc6f,0xd527ffc0,
    0x00fffb87,0x2e27ffc4,0x7c400fff,0x1ffe64ff,0xd03ffd00,0xf30983ff,
    0xfff500bf,0x0005fff1,0x3fe3ffea,0x7fec002f,0x900fff32,0x50dfffff,
    0x3fe00dff,0x43fe600f,0x03fe65fd,0x2003ffe0,0x7d403ffd,0x07ffdc6f,
    0x402ffec0,0xf5003ffd,0x03ffd8ff,0x7c4fff50,0x3fe000ff,0x21ffe80f,
    0x00bfa6fc,0x7fe57ff6,0xbffb0006,0xd001bff2,0x1bfe65ff,0x3ff7ff20,
    0x037fd44f,0x2600fff8,0x4c7fd0ff,0xfff800ff,0x03ffd800,0x3ee37fd4,
    0xdffb007f,0x001fff00,0xfff07ffc,0x07ffc001,0x2a005fff,0x3ffd07ff,
    0x20007ff4,0xff31fff8,0xff88003f,0x03fff31f,0xfa8fff40,0xcffc806f,
    0x3ea1fffc,0x1fff006f,0xfd87fcc0,0x2003fe66,0xfd800fff,0x37fd403f,
    0x2003ffea,0x7c405ffe,0x7ff4007f,0x800fff11,0x3ff21ffe,0x5ffe800f,
    0xffffffd0,0xfc8003ff,0x027fec6f,0xfb1bff20,0xfcb9809f,0xeffdcdff,
    0x33ff202c,0x3ea6ffe8,0x1fff006f,0xf987fc40,0x00ffddff,0xd800fff8,
    0x7fd403ff,0x00fffcc6,0x9f71fffc,0x20037fcc,0xdff32ffd,0x22ffd800,
    0x6405fff8,0xffd00fff,0x03ffffff,0x543fff80,0x7fc007ff,0x03ffd43f,
    0x3ffffffa,0x1fffffff,0x3ea9ff90,0x0dff53ff,0xf003ffe0,0x7fffdc3f,
    0xfff804ff,0x03ffd800,0x3e237fd4,0x7fc403ff,0x4c3ffe2f,0x7f4007ff,
    0x00fff31f,0x7e41ffe8,0x7f4c1eff,0x3ffa03ff,0x01ffffff,0x2afffea0,
    0x02fffbaa,0x557fff50,0x405fff75,0xfffffffe,0x01ffffff,0x7fec9ff9,
    0x006ffa8f,0xfe801fff,0x6f7764c2,0x00fff802,0x5403ffd8,0x4fff86ff,
    0xf0fffd40,0x07ffc1ff,0x7c1fff00,0x3fe000ff,0xffffd80f,0x5fffffef,
    0x4cd7ff40,0x36001ffe,0xffffffff,0xfb006fff,0xffffffff,0x6d440dff,
    0xffeccfff,0x3ff201be,0x2b7ffe24,0xfff006ff,0x004fc801,0x003ffe00,
    0xf500fff2,0x0dffb0bf,0x7fc7ffc8,0x00bffa0f,0x3fa3ffd4,0xfff5002f,
    0x7ffffe40,0xe804ffff,0x89ff61ff,0xfff880ee,0xffffffff,0x7fc401ff,
    0xffffffff,0x7cc01fff,0x00fff67f,0xff713ff2,0x200dffbf,0x7dc00fff,
    0xff00000f,0xdff7001f,0xa84ffc80,0xff102fff,0x20fff89f,0xe800fffc,
    0x7ffe45ff,0x05ffe800,0x7fffffcc,0x3ffd002d,0x0bfee0a8,0x3bbbfff2,
    0x4fffeeee,0x777ffe40,0xfffeeeee,0xb37fd404,0xff9005ff,0xfffffb09,
    0x03ffe00d,0x0007ff10,0x2003ffe0,0xf102fff9,0x3ffa05ff,0x83fff706,
    0x3fe20fff,0x7ffe405f,0x02fffc40,0x5003fff2,0x503bffff,0x007ffa03,
    0xfff09ff9,0x07ffa807,0x2a01fffc,0x7fd407ff,0x200bffa5,0xff884ffc,
    0xff006fff,0x7ff9001f,0x3e009f70,0xffd000ff,0x7ff4c17d,0x3fff700f,
    0xff0bfff0,0xefffa81f,0x1ffff441,0x41efffa8,0x403fffe8,0xfffffffb,
    0x41fffcdf,0x999afff8,0x4ffd9999,0x200fffd4,0xf503fff9,0xff9803ff,
    0x97fee03f,0xfc801ffe,0xfffb81cf,0xf333106f,0x201333ff,0xfedfffe8,
    0x333104ff,0x01333fff,0x77ffffcc,0x201fffff,0x7dc5fff8,0x0fff82ff,
    0xefffffc8,0x406fffff,0xfefffffc,0x4406ffff,0xffffffff,0x11ffffff,
    0xfffffffd,0xffffffff,0x3ffffe69,0x7ffcc2ff,0xff32ffff,0x985fffff,
    0x2fffffff,0x3fe4ffb8,0x3ffa601f,0x7f42ffff,0xfffe86ff,0xffffffff,
    0xfffd880e,0xffd05fff,0xffffffff,0x3fea01df,0x3fffffff,0x21fffb80,
    0xfff06ffe,0x3ffff201,0x004fffff,0xfffffff9,0xff1009ff,0xfffddfff,
    0x7fd47dff,0xffffffff,0x94ffffff,0xbfffffff,0xffffffc8,0xfffff95f,
    0xfffc8bff,0xfb85ffff,0x701ffe3f,0xbfffffff,0x4c6fff98,0xffffffff,
    0x202fffff,0x300acca8,0xffffffff,0x405fffff,0xefffffd8,0x4bffa001,
    0xff01fff8,0xfffe980f,0x4c002eff,0x2efffffe,0x106b2a00,0xfb103995,
    0xffffffff,0x29ffffff,0xdfffffd9,0x7fffecc1,0xfffb31df,0xfd983bff,
    0x881dffff,0x00fae0ed,0xbfffffb1,0x90dff903,0xffffffff,0x0000bfff,
    0xffffffc8,0x005fffff,0x00013531,0x17641bd3,0x22007d70,0x880001a9,
    0x000001a9,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x4cccccc0,0x0c400001,0x08000020,0x00200000,
    0x20000800,0x080000ba,0x00008000,0x98000400,0x0060001c,0x59501730,
    0xffd95100,0x80dfffff,0xffffffe9,0x262001ff,0x303ff980,0xa80001bf,
    0xc800005f,0xfc80002f,0x77fc4002,0x3f20002f,0x13ee0003,0x3f620000,
    0x06fe8001,0x200dfb00,0x3e62fffb,0x3ff201ff,0xffffffff,0xfff500ff,
    0x3fffffff,0xfffec880,0x4fff88cf,0x003dfd10,0x0077fc40,0x07ff4400,
    0x1ffd1000,0x1b26c800,0x05ff9800,0x01bff300,0x1bfa6000,0x007ffc00,
    0x4007ffc0,0x3e25fffe,0xffd880ff,0xfd9ffdff,0x5f7fc01d,0x1ff99999,
    0x3ffffea0,0xfffeffff,0x0bffa200,0x1ffe8800,0x3bfa6000,0x3fa60001,
    0x24e8001e,0x7d40007a,0xe98000ef,0x540001ef,0xf0000eff,0xff0001ff,
    0xfff8801f,0xb805447f,0x2ff53fff,0x7fcc04fd,0x203ff100,0xfffffffb,
    0x02ffffff,0x0003ffb0,0x8001ffd8,0x0000dff8,0x00037fe2,0x0274d7d4,
    0x037f4400,0x00ffe880,0x009ff300,0x000fff80,0xf800fff8,0x74006fff,
    0x6dfea5ff,0x03fdc04f,0x7ffcc1fa,0xfff730af,0x2fb800bf,0x02fb8000,
    0x0004f980,0x80004f98,0x0000dffc,0x0001fb10,0xb8000fe4,0x2e20003f,
    0x019befff,0xd001fff0,0xf800bfff,0x6dfea2ff,0x3ff6204f,0xffe80404,
    0xffff980e,0x0000000f,0x00000000,0x44000000,0x00000000,0x00000000,
    0xfffff700,0xf005ffff,0xffd001ff,0xf01c98bf,0xdbfd45ff,0xffff704f,
    0x7dc001bf,0xffe880ff,0xa9804fff,0xa880009a,0x10001aba,0x00035755,
    0x10001a98,0x00035755,0x00001a98,0x2aa60000,0xfff90009,0xbfffffff,
    0x001fff00,0xff89fffb,0x54bffd06,0xf109fb7f,0x7fffbbff,0x40fff600,
    0x7ffdfffd,0xfffff910,0xfd9805df,0x2effffff,0xffffd980,0x2002efff,
    0xdfffffda,0x7ffecc03,0x002effff,0x3fffff6a,0xfffb103d,0xffffc85f,
    0x3ff2201f,0x202effff,0x9adffff9,0xfb35fffb,0xffffffff,0x643bffff,
    0x3fe63fff,0xbfffb80f,0x09fb7fa8,0xfffb8ff5,0x07ffc02e,0x7cdfffe4,
    0x7ffd40ff,0xdfffffff,0xffffff00,0x807fffff,0xffffffff,0xfc803fff,
    0xffffffff,0x3ffffe04,0x03ffffff,0xffffffc8,0xffa84fff,0x7ffc2fff,
    0xff501fff,0xffffffff,0x1dffd01b,0x3f2bff70,0xffffffff,0x25ffffff,
    0x3ea2fffb,0xfff700ff,0x13f6ffdf,0x3f6227fc,0xff880dff,0x25fffa87,
    0x3fe61fff,0xfffdefff,0xfffb05ff,0xffffdbdf,0x7fffec01,0x0ffffede,
    0x3bffff20,0x05ffffed,0xdbdffffb,0x6401ffff,0xfedeffff,0x7f445fff,
    0x7fe42fff,0xff981fff,0xfffdefff,0x7ffc45ff,0x7d4bfe03,0xffffffff,
    0x22ffffff,0x3ea2fffb,0x3fee01ff,0x09fb7fff,0xd3037ff2,0xff985fff,
    0x077ffc46,0x3fa25ffb,0x7ecc0bff,0x09a882ff,0x202fff88,0xff8809a8,
    0xbfff702f,0x0bfff901,0xff101351,0x3ffee05f,0x5fffc80d,0x7405ffd0,
    0x7ff441ff,0x7fecc0bf,0x03ffe62f,0x33333010,0x33333fff,0x5c3fff50,
    0xca802fff,0x409fb7fe,0xfb83fffc,0x3ffe62ff,0xd07fffa0,0x3ffee3ff,
    0x03ffec02,0x9ff90998,0xf9099800,0x13ffa09f,0x200fff70,0x09ff9099,
    0xf7013ffa,0x0bffa0ff,0x7dc1ffe8,0x7fec02ff,0x003ffe67,0x007ffc00,
    0xf907ffcc,0x7d4007ff,0xfa809fb7,0x7f4c1eff,0x64bffe27,0xfff82fff,
    0x999dff90,0xffb99999,0xfff9103f,0x09ffffff,0xfffffc88,0xf884ffff,
    0xfff8806f,0xffffc882,0x884fffff,0xff8806ff,0x02ffe82f,0xff907ffa,
    0x9999999d,0x223fffb9,0x00003fff,0xf1001fff,0x4fffd8ff,0x7edfea00,
    0xfffd8804,0xf8bfe20d,0x4fffbcff,0x3fa7ffa8,0xffffffff,0x42ffffff,
    0xfffffffb,0x2e04ffff,0xffffffff,0xffb84fff,0x89ff9004,0xfffffffb,
    0xfb84ffff,0x9ff9004f,0x7405ffd0,0x7fff41ff,0xffffffff,0x3fa2ffff,
    0x1dc980ef,0x000fff80,0xfffe89fb,0x6dfea005,0x3faa004f,0x3ffa9aff,
    0x3ffffff2,0x74bffd06,0xffffffff,0x3fffffff,0x3fffffee,0x04ffffff,
    0xfffffff7,0x909fffff,0x3ee009ff,0x3fffee5f,0xffffffff,0x004ffc84,
    0xffd0bff7,0x20fff405,0xfffffffe,0xffffffff,0x3bfffea3,0x05fffebb,
    0x2000fff8,0x05ffff80,0x27edfea0,0x7fffdc00,0x3fe20fff,0xfc80ffff,
    0x3bff60ff,0xcccccccc,0xff12cccc,0x6cc459df,0xfff884ff,0x3f6622ce,
    0x06ff984f,0x3e25ffb0,0x2622ceff,0xff984ffd,0x05ffb006,0x7f405ffd,
    0x677fec1f,0xcccccccc,0x7fe42ccc,0xffffffff,0x00fff803,0x37fffc00,
    0x3f6ff500,0xfff30004,0xfff703bf,0xfffe887f,0x00fffdc3,0x00fffb80,
    0x3ee13ff6,0x3ff600ff,0x807fff04,0xff70fffa,0x27fec01f,0x5403fff8,
    0xffe80fff,0x83fff102,0x0001fffb,0xffffffb8,0xdfd003ef,0xffff0000,
    0xdbfd400d,0x880ea04f,0x3ff204ff,0xfffeffff,0xfff885ff,0xcb9880af,
    0x203bfee3,0x40cfffea,0xea80effb,0xfd80cfff,0xffc80cff,0x03bfee6f,
    0x033fffaa,0x2033fff6,0xfb06fffc,0xfffc88bf,0x7fffc42f,0x3cb9880a,
    0x37ffee20,0x00e4c001,0xffd87b70,0x5fea004f,0x03fe04fd,0xff504fe8,
    0xffffffff,0x7fcc09ff,0xffedffff,0xff32ffff,0xfffdbdff,0x4cbfffff,
    0xfedeffff,0x5fffffff,0x77fffec4,0x0effffed,0x37bfffe6,0xfffffffe,
    0x7ffec45f,0xffffedef,0xdfff700e,0xffffffdb,0xffff98bf,0xffffedff,
    0x7ffc02ff,0x26666200,0x99999999,0x0fffcc09,0x4003fff5,0x209fb7fa,
    0xff501ff8,0x3dfff105,0x3dffffd9,0xfffff700,0xffffffff,0x7ffffe43,
    0xffffffff,0x3fff20ff,0xffffffff,0xfd80ffff,0xffffffff,0xffffc80d,
    0xffffffff,0xffd80fff,0xdfffffff,0x3fffa200,0xffffffff,0x7ffdc0ff,
    0xffffffff,0x7ffc01ff,0xfffff500,0xffffffff,0x7ffc45ff,0x54005c40,
    0xfe8ffdcc,0x6ffc42ce,0xeffecccc,0x40fffb80,0x440009a8,0xfffffffd,
    0xffb81cef,0xfdcfffff,0xffb84eff,0xfdcfffff,0x36e04eff,0x03efffff,
    0x7fffffdc,0x4efffdcf,0x3ffff6e0,0xfd1003ef,0xfd7dffff,0x3f6209df,
    0xefffffff,0x07fe801c,0x3ffffff2,0xffffffff,0x0005445f,0xffffff30,
    0x41fffffd,0xfffffff8,0xff301fff,0x4c000005,0x10019aba,0x00035753,
    0x006aea62,0x000d4c00,0x006aea62,0x000d4c00,0x00157510,0x19aba980,
    0x203ea800,0xffffffe9,0xffffffff,0xd9000001,0xdd93bddd,0x9999907b,
    0x88017999,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2a600008,0x0000009a,
    0x9aa98000,0x80000000,0x0001aba8,0xd8800000,0x04ccc001,0x1d880000,
    0x15751000,0x00722000,0x01aca980,0xfc800000,0x3ff22002,0xffacffff,
    0x3fa00eff,0x640442de,0xfebcffff,0x901effff,0xffffffff,0x301fffff,
    0x5dfffffd,0x6c5dffff,0x4c1effff,0x00dffffe,0x401fffdc,0x003ffffd,
    0x3fffb800,0x7fffec00,0x3ea000df,0x74c004ff,0x02efffff,0x8001f754,
    0x3000ffd8,0xffffffff,0x7fffffff,0x3ffffe20,0x7c46fece,0xffffffff,
    0x83ffffff,0xfffffffc,0x40ffffff,0xfffffffb,0x5fffffff,0xbffffff3,
    0xffffffc8,0xfdffd102,0x3fe603df,0x00003fff,0x3ffbffa2,0xfffd801e,
    0x400effff,0xeffeffd8,0xffffb801,0x103fffff,0x8001ffff,0x1001efe9,
    0xfdbfffff,0xdfffffff,0x7ffe4c01,0xfd83ffff,0xefffffff,0x43fffffd,
    0xfffffffc,0x20ffffff,0xfdfffffa,0xefffffff,0x3bffff62,0x7ffff4c2,
    0x2fff880e,0x3603fff5,0x0003ffff,0x2a5fff10,0x3f601fff,0xffffdfff,
    0x4fffa205,0x2601ffe9,0xfecfffff,0xff881fff,0x3e2001ff,0x3fa000ef,
    0x7fd443ff,0xff9006ff,0x805fffff,0x984ffffc,0x3ee1fffe,0x999999bf,
    0x3fe27ffb,0x3faa0bef,0xff701fff,0x04ffe80f,0xfb1037ea,0x03ffc805,
    0x81bf5000,0xff102fd8,0x3fee219f,0x01bf301f,0x7fec07f9,0x37ffcc1f,
    0x4004ffc8,0x7d4004f9,0x3fea01ff,0xfffa806f,0x00fffdad,0x8813fff2,
    0x13225fff,0x7dcbff90,0xfff101ff,0x3ffe203f,0x01fff703,0x64004008,
    0x200003ff,0xff900400,0x80fff60b,0x3fa00400,0x0fff703f,0x00000044,
    0x900dff90,0x57100dff,0x027ffc41,0xa801fff9,0xff8007ff,0x01bff62f,
    0x5c03fff9,0xffe80fff,0x00d4c004,0xa98fff20,0x5300009a,0xfff00135,
    0x017fe603,0x00357551,0x7c407ffe,0x000000ff,0x07ffd000,0x400dff50,
    0xfff50998,0x017ff203,0x8003ffe2,0x7ff47ffa,0x0fffc402,0xb87fff10,
    0xda800fff,0x03dfffff,0xfebcffc8,0x801effff,0xffffffc8,0x0fff102e,
    0xfd987ff8,0x2effffff,0xb827ff40,0x220007ff,0x642ffffd,0x6c1fffff,
    0xffc804ff,0x7ffe4406,0x3ffdcfff,0x500dff90,0xfc800fff,0x017ff45f,
    0x7007ffe6,0x7ffc1fff,0xffffc804,0x404fffff,0xfffffffc,0x203fffff,
    0xfffffffa,0x7cc0dfff,0x0fff406f,0x3ffffffe,0x3203ffff,0x3ea0afff,
    0x2a0005ff,0x7c2fffff,0x5c1fffff,0x3e201fff,0x3fea06ff,0xffffffff,
    0xfff904ff,0x05ffe807,0x3617ffc0,0x7fe406ff,0x4fff801f,0xc801fff7,
    0xfedeffff,0x3f205fff,0xedefffff,0xf982ffff,0xffdeffff,0x7fd45fff,
    0x21ffec05,0xedeffffd,0xd100ffff,0xfffdffff,0x440001ff,0x642ffffe,
    0x4c1fffff,0x540aefff,0xf106fffe,0xff9bffff,0x320dffff,0x4c0bffff,
    0x2003fffd,0xffb87ffa,0xffff101f,0x1fff7003,0xfb809fff,0xffc80dff,
    0xffff905f,0x1fffd309,0x05ffff44,0xa8bfff66,0x7fec05ff,0x4404d443,
    0x3e602fff,0xffffffff,0x03999502,0x7405ffd0,0xfffb81ff,0xffffddff,
    0xfffd06ff,0xfffea819,0xfffff907,0xfffff9bf,0x5ffc800b,0x0cffff88,
    0x3ffffd71,0x3fbffe00,0x7ff400ff,0x83ffdc04,0x2204fffc,0x3fee4fff,
    0x3ffec02f,0xfd80bff5,0x9099803f,0x7fdc09ff,0x4fffffff,0x200dffd0,
    0x3fa02ffe,0xffff901f,0xffffffff,0x0bfff30d,0x407fffd4,0xfffffffc,
    0x006fffff,0xf502fff8,0xfffdffff,0x2003ffff,0x04fffffb,0x44037fc4,
    0xffc82fff,0x26ffa806,0xcccceffc,0xfffdcccc,0xd80bff51,0xffc883ff,
    0x4fffffff,0x9dffff50,0x887ffffd,0xfd001fff,0x0fff405f,0xfffffd50,
    0x50dff9df,0xfe805fff,0x9bff907f,0x7fffffff,0x1fff5000,0x7ffffdc0,
    0x1fffffff,0x3ffffe00,0x027fdc00,0xfc84ffc8,0xfff8805f,0xffffffd0,
    0xffffffff,0x01bfe25f,0xffb85ffd,0xffffffff,0x3dffd04f,0x5c7ffe98,
    0x3fa004ff,0x07ffa02f,0x46b32e60,0xffb86ff9,0x06ffb807,0x32a29ff9,
    0xb0000abc,0xfd100bff,0xff5dffff,0x7fdc003f,0x4ffc804f,0x90bff700,
    0x3fe009ff,0xfffffd0f,0xffffffff,0x03ffc7ff,0xffb87ffe,0xffffffff,
    0xfff884ff,0x43fff302,0x3a000ffe,0x3ffa02ff,0x7fcc0001,0x01fffa86,
    0xfc82ffec,0xf000004f,0x4c4005ff,0x07ffe1aa,0x00fffb80,0xb006ff98,
    0xfff905ff,0x27ffb801,0xcccceffd,0xcccccccc,0x4c0bff62,0x3ffe27ff,
    0x3f6622ce,0x07ff984f,0xff897ff4,0x17ff4002,0x0003ffd0,0xf886ff98,
    0x3fe205ff,0x09ff904f,0xfff50000,0xff300001,0x7ffc400f,0x0fffe004,
    0x901fff50,0xfe807fff,0x07ffee5f,0x06ffb800,0x7fdc9ffb,0x13ff600f,
    0x4403ffe2,0x0bf51fff,0x205ffd00,0x0001fff8,0xfd837fcc,0xffd982ff,
    0x09ff900f,0xbffb0000,0xffb10000,0x7ffdc00b,0x3fff6000,0x6fffc80c,
    0x2ffffd88,0x22fffc88,0x80affff8,0x7c43cb98,0xffb31dff,0x077fdc3f,
    0x067fff54,0x260efff4,0x03f27ffd,0x117ff600,0x005ffff9,0xfffb9710,
    0xffff8837,0xfffffcde,0xeffeb883,0xf00001bc,0x5cc005ff,0xffffdccc,
    0xf9997103,0x20015dff,0xdeffffd8,0x40effffe,0xfffffffe,0xffffedef,
    0xfffff985,0xfffffedf,0x7fffe42f,0x4c5ffffe,0xfedeffff,0x5fffffff,
    0x77ffffdc,0x224fffff,0xfff70000,0xfffffdbd,0x7c400bff,0xffffffff,
    0x7ffffcc2,0xf05fffff,0xffffffff,0xff880005,0x3ffea007,0x04ffffff,
    0xfffffff1,0xd8007fff,0xffffffff,0x7ffcc0df,0xffffffff,0x700dffff,
    0xffffffff,0xd03fffff,0xbfffffff,0x3fffff20,0xffffffff,0x7ffdc0ff,
    0x04ffffff,0x3ffa2000,0xffffffff,0xf1000fff,0xffffffff,0xffff9105,
    0x3e203dff,0xffffffff,0x2fc80002,0x3fffee00,0x2203ffff,0xffffffff,
    0xdb8004ff,0x03efffff,0x333ffff2,0x2fffffff,0xffffd880,0x01ceffff,
    0x13fffff2,0xffffff70,0x9dfffb9f,0x3ffffaa0,0x800003ef,0xefffffe8,
    0x004effeb,0x666665cc,0x5d4c402c,0xccb9800a,0x0002cccc,0x66540000,
    0x73001bcc,0x79999999,0x1a980001,0xba988000,0x7530000a,0x53000335,
    0x5d4c4003,0xa980001a,0x10000001,0x00001575,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x26f2aa20,0x00000000,0x00000000,0x2a000000,0x000800ab,
    0x13330000,0x00059000,0x0015dd44,0xca880000,0x2ca8001a,0x000cc000,
    0xffff9100,0x26007fff,0x001dfffd,0xd100fd30,0xfc83ffff,0xfa81ffff,
    0xffffffff,0x6dc400df,0x204fffff,0x000003fc,0x01bfffee,0x00dffe98,
    0x7ffffe40,0xffa8002e,0x7fdc01ff,0x001effff,0x4009fff7,0xeffffdb8,
    0x3f624d8b,0xffff981d,0x05ffffff,0x7fffffe4,0x7fd4003f,0xffffb805,
    0x3fffe21f,0xfffa81ff,0xffffffff,0x3fffa202,0x500fffff,0x000009ff,
    0x01bffffa,0x7fff7fe4,0xffffb002,0x8005ffff,0x201ffffe,0xfffffffc,
    0xffb802ff,0xfff3003f,0xffffffff,0x17fff23f,0x337bfffa,0x502ffffe,
    0xffffffff,0x3ff2005f,0xfffd1004,0xffffc83f,0xffffa81f,0x0effffff,
    0xdffffd10,0xfa809fb9,0x400000ef,0x806fffeb,0xffd14ffd,0xffffb807,
    0x01ffffed,0x3fffff70,0x3bffff60,0x00fffffd,0xf3002ba8,0xffffffff,
    0x3f27ffff,0x3ffd85ff,0xb06ffe88,0xfd515dff,0x7ff900df,0x07ffa000,
    0xfa81ffe8,0x999999ef,0x3fffa200,0xfd30000b,0x2a00000d,0x77c406ff,
    0x6c05fb81,0x3fe60dff,0xfff8805f,0xff881fff,0x7ffd41cf,0x7cc00005,
    0x3261bfff,0xfb33ffff,0x4037103d,0xffd07ff9,0x00fff985,0xd0000f6c,
    0x7ff403ff,0x006ffa81,0x02ffff88,0x00fd8800,0x6ffa8000,0x20040080,
    0xfb80fff8,0x7fec01ff,0xfb81ffff,0x1ffee06f,0xfffd0000,0x1fffcc03,
    0x3fe20000,0x41fff80f,0x0000fff8,0x01ffe800,0x3ea07ffa,0xffb8006f,
    0x0000002f,0x26aa6200,0x000dff50,0x0dff5000,0xf301fffc,0x03fff7ff,
    0x7c403ff5,0x0dc400ff,0x007ffe20,0x0000bff2,0x3e0dff90,0x3ff661ff,
    0xd0000007,0x7ff403ff,0xa9effa81,0x3fe00acc,0x0000004f,0xffffb100,
    0x0dff57ff,0x85ffffb1,0x41fffffc,0x3f204ffc,0x5bffa04f,0x03101fff,
    0xd807ffb8,0x37fd406f,0x000ef980,0x7fedd4c0,0x53fff03f,0x409ffffd,
    0xffffffe9,0x07ffa000,0xfa81ffe8,0xffffffff,0x47ffcc0c,0x400acca8,
    0xffffffe9,0x3ffea000,0xffffffff,0xffffa86f,0x7ffffc2f,0x837fdc1f,
    0xf705fff8,0x07ffe3ff,0x2fff4400,0x9007ffc0,0x000007ff,0xfffffc80,
    0x27ffe05f,0x02fffffe,0x3ffffff2,0x3ffa000f,0x207ffa01,0xfffffffa,
    0x3ea0efff,0xfffffbef,0x3fff202f,0x3000ffff,0xfbbfffff,0x10dfffff,
    0xc85ffffd,0x4c1fffff,0xffc81fff,0x5fff887f,0x20007ffe,0x202fffe8,
    0x200fffea,0x00001ffe,0x7ffff400,0x3ffe02ff,0xffffffb9,0xffffd302,
    0x7f4001ff,0x3fff102f,0xbfffff10,0x5cbffffb,0xffffffff,0xfd303fff,
    0x001fffff,0x2e0bfffa,0x7406ffff,0x3ffa02ff,0x11dfff81,0x81fffff7,
    0x3fe0fffc,0x7f44001f,0xffd104ff,0x7fc01fff,0x0000000f,0x7ffffecc,
    0x23fff01f,0x2ffffdb8,0x001fff00,0x3222fff4,0xb702ffff,0xfffc8837,
    0xffffff91,0x01ffffb9,0x2003ffe0,0x2a01fffb,0x7f406fff,0x07ffa02f,
    0x3f7fffea,0x20ffffff,0x7fc3fff9,0x3fa2001f,0xfff104ff,0xff805bff,
    0x64c0000f,0xffc88002,0x1fff80ff,0x007ffe88,0x74001fff,0xffedefff,
    0x005fffff,0x3ee7fff0,0x3e60dfff,0xfff004ff,0x09ffb001,0xe80dffb0,
    0x3ffa02ff,0xfffff901,0xd8ffffff,0x1fff86ff,0x9ffff300,0x0efffe40,
    0x001ffe80,0x013ffea0,0x417ffcc0,0xfd101fff,0x1fff003f,0x7ffff400,
    0xffffffff,0xfc8000ff,0x1ffff55f,0x200dff90,0xfe800fff,0x6ffb801f,
    0xd017ff40,0x7fd403ff,0x5ffacfff,0x333bffea,0x01cfffcc,0x01ffffd4,
    0x9000fffe,0x6c0007ff,0x20006fff,0xfff84ffd,0x013ff201,0xe8003ffe,
    0xffffffff,0x004efffb,0x3e2dff50,0xfff302ff,0x01fff001,0x7003fff0,
    0xffe80dff,0x007ffa02,0x7fec2ae6,0x3fffff24,0x7fffffff,0x0bfffee0,
    0x880fff30,0x0037fcc2,0x007fff50,0x7c37fd40,0x3fea01ff,0x00fff806,
    0x2eafffa0,0xb800001a,0x07ffe5ff,0x4007ffc4,0xfe800fff,0x6ffe804f,
    0xd017ff40,0xf70003ff,0x7ffe45ff,0xffffffff,0xffffb06f,0x1fff3003,
    0xff0ffe20,0x8ff6009f,0x740001b8,0x9fff84ff,0x3fee0ed8,0x00fff805,
    0x0007ffa0,0x7ffb0008,0xfb82fff4,0x1fff007f,0x01fff900,0x2037ffcc,
    0xff102ffe,0xffa8003f,0x6666545f,0xbfffcccc,0x77fff440,0x33ffe001,
    0x5c5ffb80,0xd301efff,0x36600dff,0xfff9100c,0xb9fff883,0x13ffa4ff,
    0x8003ffe0,0x70001ffe,0x3f2205df,0x3ffee1ff,0x1bffa60b,0x4007ffc0,
    0x980dfff9,0x200efffe,0x7e445ffd,0x40882fff,0x006fffd9,0x20fffcc4,
    0x9affffe8,0x41b99999,0xecdffffc,0xfb86ffff,0xfeeeffff,0xb003ffff,
    0xdddddfff,0x74cdffff,0xffcfffff,0x81ffffdf,0x9fff9999,0x7ff40199,
    0xfffb0001,0xfffddddf,0xffffd09f,0x03fffffd,0x3ffe6666,0x3ee01999,
    0xfeddefff,0x0effffff,0xedefffb8,0x5fffffff,0x3ffbbfe6,0x2000ffff,
    0x5ffffffe,0x3fffffe6,0x7fffffff,0xffffffe8,0xf705ffff,0xffffffff,
    0x7d4007ff,0xffffffff,0x3fee0dff,0xffebffff,0x7dc5ffff,0xffffffff,
    0xfd04ffff,0x3e20003f,0xffffffff,0xff980eff,0x4fffffff,0xffffffb8,
    0x4fffffff,0xffffff90,0xffffffff,0xfffd105f,0xffffffff,0x3ffee1ff,
    0x00dfffff,0x3ffffe60,0x3ffe67ff,0xffffffff,0xffc80fff,0x02dfffff,
    0x7fffedcc,0xb8001def,0xfffffffe,0xfffd883e,0xfffea8df,0xffffe84f,
    0xffffffff,0x00ff907f,0xffffc980,0x4c02ffff,0x2efffffd,0xffffffd0,
    0xffffffff,0x7ffff4c0,0xffffcdff,0xfffd100d,0xdffd7dff,0x7ffff449,
    0xf90001ef,0x4c7dffff,0xffffffff,0x01ffffff,0x01579951,0x0026a600,
    0x5554c400,0x55100001,0x3fffaa01,0xffffffff,0x0037102e,0x2aaa6200,
    0x55440009,0x7ff5401a,0xffffffff,0xb98802ef,0x4400009a,0x44000aba,
    0x000001aa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000ea2,
    0x40009880,0x0002deda,0x100005c4,0x57300013,0x0f640000,0xb8801366,
    0x33100001,0x006e2000,0xd983d900,0x307b2004,0xa988009b,0x2a2000aa,
    0x7ffec882,0x2e200000,0xadfffffd,0xffffb04c,0x654400bf,0x44000ffe,
    0x0cefffec,0x7ffffec0,0x7fd40004,0x4017fec5,0xd11dfffd,0xfffb1009,
    0x80793bff,0xd10dfffd,0x8bff5007,0xfa802ffd,0x017fec5f,0x7fffff4c,
    0x6cc4fcef,0xffa84fff,0x000007fe,0xffffffd3,0xb85fffff,0x2ffb8bef,
    0x7ffff540,0x3ea000ff,0xffffffff,0x739df302,0x440003ff,0x0ffdc4ff,
    0x3ff3ff20,0x5c04ffdf,0xffffffff,0xff901fff,0x9ffbfff9,0xb89ff100,
    0xff8801ff,0x200ffdc4,0xfffffffc,0x320fffff,0x2104ffff,0x800007fa,
    0xfffffffa,0x43ffffff,0x02fd42fd,0xfffffff3,0x3fee001f,0xffffffff,
    0x9fb0104f,0x30288000,0x64195001,0x7cc04fff,0xffffffff,0x19503fff,
    0x013fff22,0x00130288,0x40098144,0xedeffffb,0x41ffffff,0xfa809f91,
    0x7cc00007,0x2621beff,0x7fc4fffd,0xf103fc40,0x1fffbfff,0x5ffff300,
    0x3fffaa21,0x3ff2a602,0x00000002,0x2002a200,0x510befff,0x8007fffd,
    0x000000a9,0xf1000000,0xfd303dff,0x13f203ff,0x0000ff50,0x400fffe8,
    0x17f43ffd,0x353017ea,0x74007ffc,0xfb100eff,0x3ffe01ff,0x4c00005f,
    0x54c0001a,0x3fff1001,0x00fffe20,0x00357551,0x06aeaa20,0x09aa9800,
    0x406ffd80,0xf900fff8,0x007fa809,0x7fd413ee,0x1ffa801f,0xfea977dc,
    0x0fff8003,0x007ffdc0,0x4c13ffe2,0x9102ffdb,0x7fed403f,0x5003dfff,
    0x7bfffffb,0x2037fd40,0xfd981ffc,0x2effffff,0xffffd980,0x1002efff,
    0xdffffff9,0x017ff405,0x9f902fe4,0x9807fa80,0xff907ffe,0xe80d400d,
    0x225fffff,0x7ffc01ca,0x01ffec00,0xc807ffa8,0x4fffa86f,0xffffff90,
    0xfc809fff,0xffffffff,0x03fff104,0xfff826c4,0xffffffff,0x7ffffc03,
    0x03ffffff,0x7fffffd4,0x440dffff,0x01000fff,0x7d404fc8,0x77ffdc07,
    0x007ffb01,0x5f7f5c00,0x04fffda8,0x3e007ffc,0x3fe000ff,0x137d400f,
    0x320bfffb,0xfedeffff,0xff905fff,0xfffdbdff,0x3fff60bf,0x7ec000ac,
    0xffedefff,0x3ff600ff,0xfffedeff,0xffff300f,0xfffffbdf,0x007ff88b,
    0x2213f200,0x3deffeec,0x013fffa6,0x00003fff,0xffffb710,0x1fff005b,
    0x003ffc40,0x6fec7ffa,0xf72ffdcc,0x3ee05fff,0xffc80dff,0x6fffdc5f,
    0x85fffc80,0xeffffff9,0x4d4400ac,0x02fff880,0x3e2026a2,0xffe882ff,
    0x7fecc0bf,0x007ffc2f,0xfffdb300,0x3ffe63bd,0xfc8effff,0x1bcaaeff,
    0x0000fff8,0xffffb710,0xfff8005b,0x01bfe600,0x3ae5ffb0,0xe9cfffff,
    0x1aa8cfff,0x2e027ff4,0x27ff47ff,0x441ffee0,0xfffffffe,0x84cc003f,
    0x4c004ffc,0x709ff909,0xfd805fff,0x027fec7f,0x3fee0a88,0x4c4fffff,
    0xfea89999,0xffffabff,0x03ffe0ef,0x3fffffaa,0xfffd12ef,0x0157559f,
    0x3007ffc0,0xfe800fff,0xc89a981f,0xffb1efff,0x4037fc4b,0xff12fff8,
    0x5fff100d,0x7fff6540,0x32205fff,0xffffffff,0x7fe4404f,0x4fffffff,
    0xccceffc8,0xffdccccc,0x33ffee1f,0x117fee00,0x00133333,0x11bfffb1,
    0x9fb339ff,0x7f40fff4,0x5fffffff,0x3a639ff5,0xf001ffff,0xfff801ff,
    0x03ffe000,0x24fffe98,0x3ee5fffa,0x9ff9004f,0x64013fee,0x953004ff,
    0xf707ffff,0xffffffff,0x7fdc09ff,0xffffffff,0xffffe84f,0xffffffff,
    0x7fec2fff,0xfeeceeff,0x00006fff,0x447ffff5,0xd87fcc5f,0xfffb82ff,
    0x023fffff,0xffd9dff1,0x01fff001,0x5002ffe8,0x7fe40fff,0x3ffe21ef,
    0x013ff25f,0xffcaffdc,0x8bff7004,0x7fec400a,0x7ffffdc5,0x4fffffff,
    0xffffff70,0x09ffffff,0xfffffffd,0xffffffff,0xfffffd07,0x3fffffff,
    0xfff10000,0x9bf2001b,0x26605ffb,0x6c04ffd9,0x402fe44f,0x7e400fff,
    0xffe800ff,0x07fff705,0x4cbf7dfb,0xffb006ff,0x401bfe65,0x1bf62ffd,
    0x443ffe20,0x222cefff,0xf884ffd9,0x2622ceff,0xffd84ffd,0xccccccce,
    0x502ccccc,0xfffffffd,0x0fe6019f,0x2002ed80,0x3fe61ffd,0x4ffc802f,
    0x3e207f40,0x00fff806,0x202fffc4,0xf300fffc,0x71ff501b,0x03fff8bf,
    0xff07ffd4,0xfffa807f,0x500bffe0,0x7ffdcfff,0x213ff600,0x3600fffb,
    0xfffb84ff,0x5cc00001,0xa801aaef,0x1000004f,0xffb03ffd,0xfd51019f,
    0x41fe809f,0xfff806f8,0xefffa800,0x1ffff441,0x73ff8800,0xcfffd8bf,
    0x46fffc80,0xc80cfffd,0x7ffc6fff,0x7fdcc0cf,0x03bfee6f,0x033fffaa,
    0xd501dff7,0xf8819fff,0x9880afff,0xff5003cb,0x17fd4007,0x3fee0000,
    0xffff100e,0xffffddff,0x4fc809ff,0x4cc42fe4,0x099afff9,0x3fffff20,
    0x06fffffe,0x3ffff200,0x3f624fff,0xffedefff,0x7ec40eff,0xffedefff,
    0x7ffc0eff,0xfffeffff,0x3fe62fff,0xfffedeff,0x265fffff,0xfedeffff,
    0x5fffffff,0x7fffffcc,0xffffffed,0x1fffa802,0x01fff500,0x9ffb1000,
    0xffffd300,0xdfffffff,0xceff8803,0x7ff40ffe,0xffffffff,0xfff900ef,
    0x09ffffff,0xeeeeb800,0xffd82efe,0xdfffffff,0x3ffff600,0x80dfffff,
    0xfffffffe,0xc83fffff,0xffffffff,0x0fffffff,0x3ffffff2,0xffffffff,
    0x7fffdc0f,0xffffffff,0x2f7ea01f,0x6fd402fe,0x80002feb,0xeeeefffd,
    0x3fffaa06,0x002dffff,0x07bfffa6,0xfffffff3,0x05ffffff,0x7fffff4c,
    0x4c00002e,0xb703ffed,0x07dfffff,0x3ffff6e0,0x2faa03ef,0xffffffeb,
    0x3ffee00d,0xffdcffff,0xfffb84ef,0xffdcffff,0xffb104ef,0x9dffffff,
    0xffff9803,0xffffa807,0xffb00006,0x03ffffff,0x01355310,0x900d4c00,
    0xffffffff,0x1001bfff,0x00000353,0x027fff4c,0x20000d4c,0x220001a9,
    0x10009aa9,0x00035753,0x006aea62,0x26aea600,0x17950001,0x02b2a200,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00ccccc4,0x80005900,0x2a200198,0x33100001,
    0x75400003,0x0001ec84,0x00000008,0x0004ccc0,0x00001331,0x006f6e60,
    0xea81bb10,0x36e60003,0x9998001b,0x3ffffa61,0x74c000ff,0x26000dff,
    0x1efffffd,0x02fffc88,0x7fff4400,0xfd00001f,0x037fcc3f,0x7fff6440,
    0x3fa01cef,0xff880001,0xfffb804f,0x2a00006f,0xfffffffd,0x3ffc802d,
    0x50007ffc,0xfffffffb,0xfff7005b,0x7ffffe49,0x3f2000ff,0x402fffef,
    0xffffffea,0x7fdc4fff,0x5c0002ff,0x001fffff,0xf88ffb00,0x7fcc004f,
    0x7fffffff,0x0009ff30,0x009fff10,0x00dffffd,0x2f7ff200,0x4ffeca89,
    0x3a0ffdc0,0x3ff2006f,0xfeca89bd,0x7ffec04f,0x3ffffa60,0xffb000ff,
    0x80fff629,0xfffffffd,0xe842ffff,0x6c40002f,0x0001ffff,0x00a202a0,
    0xffffff10,0x2a0fffff,0x880005ff,0xea804fff,0x80006fff,0x7cc02ffc,
    0xa80cc05f,0x05ff9000,0x3e05ff98,0xfff804ff,0x703df000,0x6ffec0bf,
    0xfffd711b,0x0000bfa0,0x0001fff8,0xf5000000,0x533137ff,0x17fea037,
    0x04ccc000,0x00dff300,0x988efa80,0x3ff98199,0x7d400000,0x84aa620e,
    0xff983ff9,0x0fff800f,0x40080100,0xff302ffc,0x005fd03f,0x00fffc00,
    0x80000000,0x50004ffc,0x00000bff,0x06ff9800,0x7d4ffc00,0x20cfffff,
    0x000007f9,0xfff50ffc,0x1fe67fff,0x7c00ffee,0x000000ff,0x7401ff50,
    0x02fe82ff,0x7fc07f70,0x0135531f,0x2ffffd88,0x0fffffe4,0x800fff20,
    0xffffffe9,0x01efffff,0x7fcc0000,0x53e60006,0xfdbadfb8,0x74c0fe45,
    0x00ffffff,0x3fe64f98,0x324ffcad,0x003ff41f,0x26001fff,0x0ffffffe,
    0x7fc40080,0x402fe81f,0x3e06ffe9,0xffffecff,0x3ffea05f,0x7fffc2ff,
    0xfffd81ff,0xffffffff,0x7fffe40d,0xffffffff,0xfffd304f,0x26001fff,
    0x3ffae6ff,0x1fb82eff,0x43f713e2,0xfffc83f9,0xb800ffff,0xf307fa1f,
    0xff11fcc9,0x07ffc007,0xfffffc80,0x440000ff,0x5fd06ffd,0x0f7ffe40,
    0xfffffff0,0x101dffff,0xc85ffffd,0x4c1fffff,0xffffffff,0x4c2fffff,
    0xfffffffe,0x901effff,0x1fffffff,0xe9bfe600,0x85ffffff,0xb127c47d,
    0xe986f81f,0x00ffffff,0x41be27d8,0xdf537c0a,0x00fff800,0xfffffd30,
    0x3220001f,0x32a3ffff,0x263deffe,0xf804fffe,0xfdefffff,0x7f404fff,
    0x07ffa02f,0x3ffffff6,0x00efffff,0x40017fea,0xffffffe9,0x4dff3000,
    0x2efffffd,0x677c46f8,0x07d84ffe,0xf001fff0,0xb001fccd,0x2000fd4f,
    0x20000fff,0xd8000fff,0x6c5fffff,0x8fffffff,0xaa9efffc,0x3bfffe02,
    0x2037fe40,0x3fa02ffe,0x1ffe401f,0x05ffa800,0x03ffe000,0xfdb7fcc0,
    0x3f402fff,0x17ffffe2,0xfff803f4,0x3e67e800,0x001fa003,0x0003ffe0,
    0x8000fff8,0x103fffff,0xff513333,0x1bfee7ff,0xf104fff8,0x7ff401ff,
    0x007ffa02,0x20007ff9,0x00005ffa,0x4c003ffe,0xefffefff,0x220fc801,
    0x883fd34f,0x1fff005f,0x3e21f900,0x00bf1005,0x001fff00,0x0007ffc0,
    0x2001fffc,0x30dfffd8,0x7fc0dfff,0x07ffe01f,0x3a02ffe8,0x7fe401ff,
    0xbff50003,0x7ffc0000,0xffff3000,0x2a001dff,0xe893e22f,0x400fea0f,
    0xfa800fff,0x8ea0bfa2,0x400043fa,0x20000fff,0xd8000fff,0x7fd4006f,
    0x7fff42ff,0x807ffe06,0x3fa01fff,0x07ffa02f,0x0007ff90,0x00017fea,
    0x3000fff8,0x05ffffff,0xfd8b7c40,0x27df30df,0xfff001fd,0x4cdf1001,
    0x4fdcceff,0x05f987f6,0x0007ffc0,0x0001fff0,0xfff10006,0xfbffc81b,
    0x807ffe06,0x3fa01fff,0x07ffa02f,0x0007ff90,0x00017fea,0x3000fff8,
    0x7fffffff,0x7cdff400,0x33ee1eff,0x3fe006fb,0x47fd000f,0x23efffd8,
    0x77fc46fb,0x01fff000,0x007ffc00,0x5dd00000,0xdf55ff30,0xf00fffc0,
    0x7ff403ff,0x03fff102,0x0003ffc8,0x0000bff5,0x98007ffc,0xffffbfff,
    0x05ff1004,0x8007fee0,0xf1000fff,0xfb81305f,0x1ffe881f,0x000fff80,
    0x0003ffe0,0x7f400000,0x7fc0df54,0x07ffe01f,0x6445ffd8,0x6402ffff,
    0xf50003ff,0xeca881ff,0x0fff801f,0x22dff300,0x5004fffe,0x32601bff,
    0x4ccc03ff,0x1999fff9,0x806ffd40,0x6c03ffc9,0x4cccc1ff,0x01999fff,
    0x7ffccccc,0xb8801999,0xa80000cd,0x6fffffff,0x102fff88,0x7dc05fff,
    0xfffedeff,0x9885ffff,0x9999cffd,0xffff8800,0xfffffede,0xff999984,
    0x2a01999f,0x3ffa26ff,0x74c009df,0xffdbceff,0x3fee01ff,0xffffffff,
    0x3a604fff,0xffdbceff,0x5f7001ff,0x3fffffee,0x4fffffff,0x7fffffdc,
    0x4fffffff,0x013ffee0,0x3bbbaa00,0x7fec3ffe,0x3f60ffff,0x880fffff,
    0xfffffffe,0x30ffffff,0xffffffff,0x7009ffff,0xffffffff,0x7fdc3fff,
    0xffffffff,0x3fee4fff,0x7ffcc6ff,0x54405fff,0xacffffec,0x7ffff400,
    0xffffffff,0x7654407f,0x00acffff,0x3ffffa00,0xffffffff,0x7ffff47f,
    0xffffffff,0x3ffea07f,0x6c400003,0x3fe24ffe,0xf13fffff,0x07ffffff,
    0x3fffffa2,0x24effebe,0xfffffffc,0x007fffff,0xfffffff7,0xfffe817d,
    0xffffffff,0x3fffa7ff,0x7fffdc6f,0x22000fff,0x7f54001a,0xffffffff,
    0x44002eff,0x2a00001a,0xfffffffe,0x542effff,0xfffffffe,0x402effff,
    0x800001a8,0x645fffe8,0x20dffffe,0x0dffffec,0x0055d440,0xfffffd98,
    0x03efffff,0x00d5d4c0,0x3fffffaa,0x2effffff,0x11bfffaa,0x09dffffb,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0000c400,0x564000aa,
    0xaaaaaaaa,0x713aaaaa,0x219ddddb,0xceeeeeb8,0x3bbae200,0x3deeeeee,
    0x777776dc,0xeeeeeeee,0x77776dc5,0x400acdee,0xeeeeeedb,0x00002cde,
    0x80000000,0xceeeeec8,0x77776440,0x776dc0ce,0x0acdeeee,0x77777740,
    0x0eeeeeee,0x67fffd40,0x3ffea001,0x3803b22e,0x7fdce000,0xf74fffff,
    0x09ffffff,0x7fffffdc,0x52ffffff,0xffffffff,0xdfffffff,0x7fffffd4,
    0x03ffffff,0xfffffff5,0x05ffffff,0x3baa0000,0x0005dd31,0xffffff90,
    0xffffc89f,0x3fea4fff,0xffffffff,0x3ffe03ff,0xffffffff,0x3ff200ff,
    0x805fffff,0xeffedff9,0x00e00efe,0xffff5380,0x3fea7fff,0x203fffff,
    0xfffffffa,0xf31fffff,0xffffffff,0x4dffffff,0xfffffff9,0x86ffffff,
    0xfffffff9,0x3fffffff,0x3fa60000,0xdfff95ff,0x7fd40003,0x543fffff,
    0x2fffffff,0x3fffffe6,0x6fffffff,0xfffffff0,0x01ffffff,0x3fffffea,
    0x6c402fff,0x07bffea2,0x11c00070,0x8815bffd,0x800effca,0xffdaaaa8,
    0x7d440aad,0xaaaaacff,0x6c46ffca,0xdbaaadff,0xa884ffff,0xbaaabfff,
    0x001ffffe,0x7fffec40,0xfffff32f,0x3260001b,0x5100bfff,0xb103bfff,
    0xb7555bff,0xff09ffff,0xf755557f,0x7fec0dff,0x07ffb11e,0x4006a200,
    0xfb0e0003,0x6ffa807f,0x0fff2000,0xa807ffa0,0x4ffc86ff,0x407fffa0,
    0xff101fff,0x3220007f,0x41dfffff,0xcfffffd8,0xfff88000,0x07ffd402,
    0x6c09ff70,0x7ffc1fff,0x01fffe80,0x0ee0bffa,0x05554400,0x870001c0,
    0x7d403ffd,0x3f20006f,0x1ffe803f,0x85ff984c,0x3a204ffc,0x3fff05ff,
    0x002ffdc0,0x77ffffdc,0x7fff4c02,0xfc8003ff,0x2ffec06f,0x8813fee0,
    0x7ffc5ffe,0x01fffe40,0x20007ffe,0xfdbfffea,0x200dffff,0xfb0e0003,
    0x6ffa807f,0x0fff2000,0xfc87ffa0,0x3f20bfa6,0x7ffcc04f,0x201fff80,
    0x2a004ffc,0x03fffffe,0x7ffff540,0x3fe6002e,0x3fff101f,0x404ffb80,
    0x3f61fff9,0x027ffd47,0x40017fec,0xfffffffd,0x00ffffff,0x361c0007,
    0x7fd403ff,0x3ff20006,0x21ffe803,0xfc800ffe,0x2fff804f,0xf901fff8,
    0xfb3005ff,0x0019ffff,0x7ffffdc0,0x9ffb001e,0x201bff20,0x2009dffc,
    0x8b662fff,0x7006fff9,0xd5000bff,0xbdffffff,0x0e0bffff,0x7fec3800,
    0x037fd403,0x007ff900,0xfffffffd,0x9ff9003f,0xf07ffb00,0xf97557ff,
    0xc880dfff,0x00cfffff,0xfff91000,0xfa801bff,0x3fff80ff,0xfffffd10,
    0xffb0dfff,0x7fff4407,0x3fffae00,0x003effff,0x703bfffa,0x000e0fff,
    0x01ffec38,0x8001bfea,0xfe803ffc,0x1fffffff,0x804ffc80,0xfff83ffc,
    0xffffffff,0xfff9100e,0x00003bff,0x3ffff620,0x3ffe00cf,0x807ffd43,
    0xfffffffa,0x7fe41fff,0x0bfff604,0xfffffff0,0x7400ffff,0x3ffe05ff,
    0x0e000381,0xfa807ffb,0x401ec86f,0xfe803ffc,0x1fffffff,0x804ffc80,
    0xfff83ffc,0x5fffffff,0xfffffb80,0x3000002e,0x07fffffd,0x7f46ffb8,
    0x3ffa204f,0x85ffffff,0xff704ffc,0xfff7009f,0x09ffffff,0xd017ff40,
    0x000703ff,0x00fff61c,0xff88dff5,0x01ffe405,0x74cd7ff4,0xffc801ff,
    0x82ffe804,0xfeeeefff,0xc8800eff,0x01dfffff,0xfffb1000,0xf10019ff,
    0x3ffe65ff,0x09ff7001,0xf305ffb0,0x01750bff,0x039ffb33,0x405ffd00,
    0x00381ffe,0x07ff90e0,0x7cc5ffa8,0x1ffe406f,0xfb0fff40,0x3207744f,
    0xfff804ff,0x6c1fff81,0x1000efff,0x1bfffff9,0x3ff22000,0x4000dfff,
    0xdff95ffd,0x027fdc00,0x3e20fffc,0x7fc40eff,0x00fffa03,0xd017ff40,
    0x000703ff,0x01bfee1c,0xff989ff9,0x017fec06,0x82a0fff4,0x7fe42ffb,
    0x83ffd404,0xffc81fff,0x7ecc006f,0x000cffff,0x3bffffee,0xfff30001,
    0x4005fff3,0x7d404ffb,0x1fffd87f,0x3e05ffa8,0xfd0003ff,0x0fff405f,
    0x9870001c,0xff102fff,0x06ff985f,0x2007ffe2,0x7e401ffe,0x027fe44f,
    0x3e0bfff5,0xfff701ff,0xffd50007,0xea807fff,0x002effff,0xfffffe80,
    0x27fdc007,0xc8bfff50,0xff503fff,0x07ffe60d,0xffe81dc4,0x207ffa02,
    0x3a0e0003,0x3a60beff,0x7fcc0fff,0x7ff4c1cf,0xafff8807,0xd9999999,
    0x6ffe44ff,0xffcb9999,0xfff880ff,0x5fffb00a,0x3ffee000,0x7f4c2eff,
    0x0003ffff,0x3ffffee0,0x6ffe4004,0xffcb9999,0x3ffea0ff,0xb999999e,
    0xffea86ff,0xc999999f,0x7ff442ff,0x20bffe02,0x260e0003,0xffefffff,
    0xff981fff,0xffeeffff,0x3fa201ff,0xffffffff,0x14ffffff,0xfffffffd,
    0x83ffffff,0xffffffe8,0x7fffc40e,0xfc88001f,0xff53ffff,0x00019fff,
    0xfffff880,0xfffd1000,0xffffffff,0xfffc85ff,0xffffffff,0x7fff46ff,
    0xffffffff,0x3ff63fff,0x3ea0ffff,0x01c5ffff,0x3fea0700,0x3fffffff,
    0xfffffb10,0x803fffff,0xfffffffa,0xffffffff,0xfffff74f,0xdfffffff,
    0xfffff703,0xff305fff,0x440009ff,0xff95fffc,0x000001bf,0x002fffe4,
    0xfffffff5,0x03dfffff,0xfffffff9,0x4dffffff,0xfffffff9,0xffffffff,
    0xffffff10,0x7fffec7f,0x8000e0ff,0x3fff6203,0xb8801eff,0x1dfffffe,
    0xffffd880,0xffffffff,0xffb14fff,0x7bdfffff,0x7ffec405,0xf900dfff,
    0x300003bf,0x077623bb,0x3e600000,0x362002ff,0xefffffff,0x3ff202cd,
    0xffffffff,0x7fe46fff,0xffffffff,0x7f5c1dff,0x3a60dfff,0x56c4efff,
    0xaaaaaaaa,0x804aaaaa,0x00009a98,0x00003531,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xdb800000,0xeeeeeeee,
    0x03eeeeee,0x322c9800,0xeeeeeeee,0x4eeeeeee,0xdddddb50,0xdddddddd,
    0xddd9101d,0x2005dddd,0xeeeeedb8,0x401bceee,0xeeeeeeea,0xedb801ce,
    0x76440cee,0x76dc3dee,0x76440cee,0x76dc3dee,0x64c2deee,0x403deeee,
    0x2029bcb9,0x40ceeeda,0x43deeeb8,0xeeeeeedb,0x3e63deee,0xffffffff,
    0x4fffffff,0xf9837300,0xffffb0ff,0xffffffff,0x3fe0bfff,0xffffffff,
    0x80ffffff,0xfffffffc,0xfff7006f,0xffffffff,0x7ffc09ff,0x6fffffff,
    0x7ffffcc0,0x7fffe44f,0xffff32ff,0xfffc89ff,0xfff31fff,0xfe8fffff,
    0x01ffffff,0xdffffff9,0xffffff10,0xfffffc8b,0xfffff31f,0xffffffff,
    0x3ffffe25,0xffffffff,0x36e04fff,0xfcdfffff,0xfffb0fff,0xffffffff,
    0x3a0bffff,0xfffeffff,0x0fffffff,0xffffffa8,0xf9801fff,0xffffffff,
    0xd04fffff,0xffffffff,0xfff880bf,0x7fdc1fff,0xff10ffff,0xfb87ffff,
    0xf10fffff,0x8dffffff,0xfffffffd,0xfffffc80,0xfff887ff,0x7fdc4fff,
    0xff11ffff,0xffffffff,0x75441fff,0xaaaaacff,0xb04ffdaa,0xffffffff,
    0x7ec3ffff,0xfffbaadf,0x05ffcaab,0x3febffa6,0xfffaaaae,0xffb55100,
    0x22009fff,0xaaabfffa,0x02fffecb,0x555dffb3,0x7ffd4003,0x15fffb05,
    0x06fffb88,0x8817fffb,0x301acffe,0x101fff95,0xffd7dfff,0x3ffea203,
    0x17fffb06,0xfff55550,0x3a015557,0x7fdc02ff,0x7ffff444,0xfffffece,
    0xf11ffec3,0x2ffd41ff,0x3feb7fa0,0x800fff86,0x07ffefff,0xd00fffc0,
    0x7fdc09ff,0xabcdeeef,0x0fffdc00,0x9013ffe6,0xffb87fff,0x0fff604f,
    0x6ffa8333,0x028dff50,0x885fff70,0x3e004fff,0xffd000ff,0x3fea0985,
    0x21ffff43,0x46fffff8,0x3fe23ffd,0x817fea0f,0x6ffabff9,0x5400fff8,
    0x2fff8fff,0x807ffe00,0x3ee05ffb,0xffffffff,0x7ff403ff,0x01bffa0e,
    0xf997ffec,0x7fe406ff,0xb8bffe64,0xdff505ff,0x7fff4000,0x003bffa0,
    0xd000fff8,0x13fdc5ff,0x7ffc43ff,0x7ffff442,0x8bff62ff,0x3ea0fff8,
    0x23fee05f,0xb1996ffa,0xbffb00df,0xf801bff2,0x3ffa01ff,0x3bffee04,
    0xfffffeee,0x53ffe603,0x2001fffc,0xfffafffe,0x2ffdc00e,0x7e4bfff9,
    0x5fff304f,0x3ffe2000,0x003fff75,0xd000fff8,0x0ffec5ff,0xd113fee0,
    0x9ffb5fff,0xff107fd4,0x01ffc41f,0x3bfeadfd,0x01b8affa,0xf98fffc4,
    0xfff001ff,0xfffeb983,0x417fee02,0x5c06ffe9,0x4fffbfff,0x7fffc400,
    0xfa801fff,0x3ffffe6f,0x6c07ffb0,0x70000eff,0x9fff7fff,0x01fff000,
    0x3fffffa0,0x7ec02fff,0x3fffa22f,0x1a8dff73,0x2607ffc4,0x553fe202,
    0x04ffffff,0xfb1bff20,0x3ffe009f,0xffffffff,0x2ffdc05f,0x801fff30,
    0x06fffffe,0xfffff300,0x5ffe6005,0xd2fffff9,0x7fec05ff,0x3f60004f,
    0x0006ffff,0x3a001fff,0xffffffff,0x897ff402,0x3ea3fffe,0xfff8806f,
    0x8ffd4000,0x4ffffffa,0x50fffe00,0x3fe00fff,0xffffffff,0x7fdc04ff,
    0x00fffc05,0x07ffffe2,0x6fffd800,0x23ffe200,0xf5fffffc,0x3ff603ff,
    0x9ff72fff,0xfffff100,0x3ffe0003,0xffffd000,0xd805ffff,0xfffe8dff,
    0x4027fe43,0x4000fff8,0xffcabffd,0x5004ffff,0x75557fff,0xff005fff,
    0xffffffff,0x7dc09fff,0x1ffe605f,0x01fffdc0,0xfffff500,0x4fffc007,
    0x8fffcfff,0xffc80fff,0xfe8fffff,0xfffd01ff,0x1fffffff,0x007ffc00,
    0xe99bffe8,0x7fdc01ff,0x544fffef,0xf8801fff,0x7fc000ff,0xbeffffff,
    0xffb003ff,0xffffffff,0x5fff00df,0xffb73333,0x3fee07ff,0x0dffb105,
    0x0007ffc0,0xffffff98,0x9ffd002f,0x9fff1fff,0x3ffe0fff,0xffdfff8c,
    0x2666206f,0x0199afff,0x8007ffc0,0x1ff22ffe,0x7fffff40,0x03fffe44,
    0x000fff88,0x3fffffe6,0x00dd8eff,0xffffff88,0x1fffffff,0x200fffc0,
    0xff706ffe,0xffdd999d,0x7fc005ff,0xff88000f,0x1fffe9ff,0xfffffd80,
    0xdfffff95,0x7dcfff30,0x4006ffff,0x20000fff,0xfd000fff,0x5001a85f,
    0xdddfffff,0x001dffff,0x8003ffe2,0xfcaabffc,0x903fb06f,0xdddddfff,
    0x809fffdd,0x7cc01fff,0xfffb80ff,0xffffffff,0x07ffc001,0x8ffff400,
    0x400efff8,0x32fffffd,0x70bfffff,0xfffd8bff,0x6666403f,0x04cccfff,
    0x8007ffc0,0x20002ffe,0xfffffffd,0x000effff,0x8003ffe2,0x37fd46fe,
    0x7fc27fcc,0x3ffd403f,0x1007ffe0,0xff701fff,0x579dffff,0x1fff0001,
    0x3fffc800,0x202fffcc,0x20fffffc,0x985ffffe,0x3fe21fff,0x665c01ff,
    0x4cccfffc,0x007ffc00,0x4cdfff44,0x3fff6000,0xdfffffed,0x3e662003,
    0x4c0099ff,0x3fee24ff,0xffb9999e,0x00fffd45,0x440fffe6,0x9999afff,
    0x06ffeca9,0x0333bff9,0x7fccc400,0xfb8009af,0xfff705ff,0x7fffdc09,
    0x27fffe45,0x77ffffc4,0x06ffffff,0x1afff988,0xff333100,0xe881333f,
    0xffffffff,0x7ffcc01f,0x4000d4c5,0xfffffffe,0xfff886ff,0xffffceff,
    0xffffffff,0xffffff35,0xffff985f,0xffd12fff,0xffffffff,0xc87fffff,
    0xffffffff,0x7fec003f,0x6fffffff,0xffffff30,0xfffffb8b,0xffffa82f,
    0x1ffffcc3,0xffffffa8,0x01ffffff,0xfffffff3,0x7ff405ff,0xffffffff,
    0xffff50ef,0x09ffffff,0x0000bfd0,0x7fffffcc,0x5c1fffff,0xffffffff,
    0xffffffff,0xfff95fff,0xfc8bffff,0x75ffffff,0xffffffff,0x9fffffff,
    0xfffffff0,0x4400ffff,0xffffffff,0xffb81fff,0x7f47ffff,0x985fffff,
    0xfe80ffff,0x3faa02ff,0xffedffff,0x3ffff204,0x305fffff,0xffffffff,
    0x6c5fffff,0xffffffff,0x0003001d,0xfffff900,0xb109ffff,0xfd5bffff,
    0xffffffff,0x3ff66bff,0x6cc1dfff,0x11dfffff,0xfffffffb,0x039dffff,
    0x3fffffae,0x64002eff,0xfffffffe,0xfffb104f,0xffea87df,0xff881dff,
    0x3fff905f,0x01555300,0xffffd880,0x3201dfff,0xffffffff,0x00005fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xddb50000,0xddb7109d,0x3b2619dd,0x2deeeeee,0xdddd7100,
    0x3bb6e219,0x776d41ce,0xbceeeeee,0xdddb7101,0x7764c7bd,0x000003de,
    0x00bbbb6e,0x007bddd3,0x88000faa,0x8000aaa9,0x001abaa8,0x51035530,
    0xaa980013,0x2a600009,0xffff8801,0x7ffdc2ff,0xffd5ffff,0xffffffff,
    0xffff7001,0x3ffeebff,0x7ffc5fff,0xffffffff,0x7fdc0cff,0xd2ffffff,
    0x05ffffff,0x2200fee0,0x406fffff,0x02fffffd,0x4000ffe8,0xffffffe9,
    0xfb304fce,0x5dffffff,0xffff9100,0xfffb13df,0xffc8803f,0x002effff,
    0xbfffffb5,0x7ffffc07,0x3ffe60ff,0xff93ffff,0xdfffffff,0x3fffea00,
    0xffff33ff,0xfffe89ff,0xffffffff,0x7ffcc6ff,0xfb0fffff,0x001fffff,
    0x7fc01ffa,0xf102ffff,0x003fffff,0xfc800bf7,0xffffffff,0xfff80fff,
    0xffffffff,0x7fffe403,0xfffeffff,0xff502fff,0xffffffff,0x7ffe401b,
    0x04ffffff,0x13ffff66,0x81fff951,0xabfffaa9,0x7ffc4001,0x7ffd440b,
    0x5dffb302,0xffffb755,0xbfffa889,0x3fffee0a,0x3ffe000b,0xffffb000,
    0x3ffff20b,0x0002000e,0xdbdffff7,0x03ffffff,0xdbdffffb,0x5c01ffff,
    0xfffeefff,0xffffefff,0x7ffffcc0,0x5fffffde,0xbdffff90,0x40bffffd,
    0x81fffffc,0x7fc06ffa,0x3fe0001f,0x07ffe01f,0x3605ffb8,0x3fff07ff,
    0x01ffffc8,0x000fff80,0x03fffff9,0x00dfffff,0x7ffc4000,0xfffe981e,
    0x8809a881,0x55402fff,0x4ffffea0,0x3a24fff8,0x6cc0bfff,0x7fdc2fff,
    0xfffc80df,0xfffff905,0x80dff50d,0x20001fff,0x3fe01fff,0x17fee01f,
    0xf80fff88,0x3fff61ff,0xfff0000e,0x3fff2001,0x7ffdc5ff,0x000006ff,
    0xf101bff6,0x266001ff,0x4009ff90,0x46fff898,0xff70fffb,0x7ffd805f,
    0x2e027ff4,0xbff907ff,0xffa89fff,0x00fffc06,0x403fff00,0x3ee01fff,
    0x3ffe205f,0xe89fff81,0x0000efff,0x64003ffe,0x20fffeff,0x06ffeffe,
    0x3ffa0000,0x205fc802,0xffffffc8,0x6d404fff,0xefffffff,0x1fffcccc,
    0x9999dff9,0xfffb9999,0x201bfe23,0xfc82fff8,0x21fffccf,0x7fc06ffa,
    0x3fe0001f,0x07ffe01f,0x2e05ffb8,0x5fff07ff,0x000bfffd,0x2001fff0,
    0x4ffecffc,0xdff7fff5,0x99999970,0x99999999,0x003ffe21,0xffff7004,
    0x9fffffff,0x3ffff620,0xffffffff,0xfd2fffff,0xffffffff,0x25ffffff,
    0xf9004ffb,0x19ff909f,0x7fd4dffd,0x00fffc06,0xffffff00,0x3fffffff,
    0x442ffdc0,0xff05fffb,0x01ffffff,0x66666540,0xcccccfff,0x5e7fe40a,
    0xdffd8fff,0x7fe46ffa,0xffffffff,0xf14fffff,0xf70000ff,0xffffffff,
    0xff109fff,0xffffffff,0xffffffff,0x3ffffa7f,0xffffffff,0x9ff93fff,
    0x217fee00,0xfff54ffc,0xf01bfea7,0x7c0003ff,0xffffffff,0x2e01ffff,
    0xfeccceff,0xff01ffff,0x1dffffff,0xfffff700,0xffffffff,0x4ffc89ff,
    0x3fffbfff,0xffb8dff5,0xffffffff,0x3e4fffff,0x220000ff,0x222cefff,
    0xfb84ffd9,0xff309cff,0x999999bf,0x33bff639,0xcccccccc,0xdff32ccc,
    0x20bff600,0x3ff64ffc,0x406ffa8f,0x00401fff,0xffffffff,0x403fffff,
    0xfffffffb,0x3e01ffff,0xfffeffff,0x7ffdc00e,0xffffffff,0x7e44ffff,
    0xfffff94f,0x2a1bfead,0xcccccccc,0x6c2ccccc,0x151004ff,0xb007ffdc,
    0xbff709ff,0x4017ffe0,0x0001fffb,0xf500fffe,0x9ff901ff,0x7d6fffc4,
    0x0fffc06f,0x3fe0df70,0x999999af,0x3ee01fff,0xffffffff,0x7fffc00d,
    0x00dfff71,0xff999995,0x0599999f,0x3fe29ff9,0xdff52fff,0x7dc00000,
    0x3ee00cff,0x03bfee5f,0x033fffaa,0x7443fff3,0x2e21ffff,0x3fffe23d,
    0x3cb9880a,0x4067ffec,0xf906fffc,0xdfffb89f,0x7ffc06ff,0x203ffa01,
    0x3fe01fff,0x3bfee01f,0x0009accc,0xffa83fff,0xfff0003f,0x93ff2001,
    0x3ea6fffc,0x4000006f,0xceeffffd,0x26ffffee,0xedeffff9,0xffffffff,
    0x777fffc5,0xdfffffff,0x262ffffe,0xedffffff,0x22ffffff,0xdeffffd8,
    0x00effffe,0xffb09ff9,0xff80dfff,0x07ffe01f,0xff807ffe,0x17fee01f,
    0x03fff000,0x0001fff9,0x32001fff,0x3ffe64ff,0x001bfea3,0x3fffa000,
    0xffffffff,0x7fffe41f,0xffffffff,0x3fa20fff,0xffffffff,0xffffffff,
    0x7ffffdc1,0xffffffff,0xfffffd81,0x200dffff,0xff884ffc,0x7fc06fff,
    0x07ffe01f,0xff807ffe,0x17fee01f,0x03fff000,0x2000fffa,0xf9000fff,
    0x20ccb89f,0x0c006ffa,0xfffea800,0x00cfffff,0xfffffff7,0x09dfffb9,
    0x9dffffd1,0xfffffb9d,0x3ff62039,0xceffffff,0x3fff6e01,0xfc803eff,
    0xfffb81cf,0xfff3306f,0xf3333335,0xfff883ff,0x05fff102,0x0cceffe4,
    0x2bffe200,0x09fffb80,0x003ffe00,0x200e7fe4,0x2006ffb8,0x260006fc,
    0x001aabaa,0x00357531,0x880d5440,0x54c000aa,0x300019ab,0x3fa60035,
    0x742fffff,0x7fdc6fff,0xffffffff,0x21ffffff,0x2ffffffd,0xffffffd3,
    0x7ffffe41,0x4403ffff,0xeffffffe,0x2fffffc0,0x400fff80,0xffffffe9,
    0x7ffff4c2,0xffe802ff,0x00000000,0x00000000,0x00000000,0xffffb800,
    0x7fcc5fff,0x7ffff46f,0xffffffff,0xff11ffff,0x2ebfffff,0x2fffffff,
    0x3ffffffe,0x7dc07fff,0x2fffffff,0x07ffffdc,0x5c03ff40,0x5fffffff,
    0x7fffffdc,0x02d9805f,0x00000000,0x00000000,0x00000000,0xfffffb10,
    0x8dff903b,0xffffffea,0xffffffff,0x3fffb21f,0xfffb11df,0x7f5c1bff,
    0x2effffff,0x7fffec40,0xfff80dff,0x07d7004e,0xfffffb10,0xfffd883b,
    0x00001dff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x31000000,0x20005575,0x00d4c1ba,0x00000000,0x00000000,0x0000aa20,
    0x003b8800,0x2a200177,0x000000aa,0x01440098,0x73004010,0xfffd8805,
    0x7fffe42f,0xfff7101f,0x49fbffff,0xfedfffd8,0xfffeadff,0xfffff02e,
    0xffffffff,0x7ffff4c3,0x3ffff60d,0x7fffdc1e,0xffff704f,0xfffe887f,
    0xffffb16f,0x7fff5c19,0x3ff60dff,0x3f24ffff,0x259b955f,0x3faa4ffc,
    0xffffdbff,0x7dc000df,0x817fdc03,0x74404ff9,0x6c3fc80f,0x504fffff,
    0xf85fffff,0x881fffff,0xfffffffe,0x3fea7fff,0xffffffff,0x1fffffff,
    0xfffffff8,0x21ffffff,0x2ffffffc,0xbffffff3,0x7ffffff8,0xfffffff0,
    0xefffffb8,0xfffffffb,0x3fffffa5,0xffff32ff,0x3ee1ffff,0xffffffff,
    0x3f64ffff,0xffffffff,0x2000ffff,0x7fec07ff,0x37ffcc2f,0xfb0bfd30,
    0x4e77d41f,0xfe881ffb,0x7fe42fff,0xffd81fff,0xfffedeff,0xfffd10ff,
    0xffffddff,0xf09fffbf,0xffffffff,0x74c1ffff,0x7f46ffff,0x7dc1ffff,
    0xf704ffff,0xe889ffff,0xffffffff,0x70fffeff,0x8dffffff,0x4ffffffe,
    0x7fffffec,0x20efffff,0xffffffea,0x05ffffde,0x401fff10,0xf32ffff8,
    0x3ea03fff,0x0fff446f,0x2027ec04,0x3fa02ffe,0x0bfff81f,0xfc87ffa8,
    0x3fffe3ff,0xfd0dff51,0xffffa83f,0x5ffff901,0x813fffe6,0x3fe27ff9,
    0x00bffa0f,0x5ffffff3,0x7fcc16d4,0x5fff301f,0x5f7fffc0,0xd00ffffe,
    0xfb81dfff,0xff88207f,0x3fe6020f,0x1ffffbff,0x4c1dff70,0x54c01ffe,
    0x7f402ffc,0x07ffa02f,0x20277ff6,0x5ffc82ea,0xff317ff4,0xfa8ff90f,
    0x7d401fff,0xffffcfff,0x71fff803,0x3fe27fff,0x7ffcc00f,0x7ec000df,
    0x0dffb05f,0x2a1fffc4,0xffd01fff,0x20fffc0b,0xff9befe8,0x40ffeb9f,
    0xfffffff9,0x41dff901,0xf801fffa,0xfe805fff,0x07ffa02f,0x3bffffe6,
    0x3f200acd,0x30fff44f,0x41510fff,0x001ffffa,0xfffffff3,0x4fff6005,
    0xff56fffe,0x7fff300d,0x3ffe6000,0x017ffc41,0x3fa0dff5,0x05ffd03f,
    0x3ea0fff4,0xffffffff,0xf982ffff,0xd881ffff,0x3fee0eff,0xfb73002f,
    0x2ffe805f,0x6c07ffa0,0xffffffff,0x89ff902f,0x3fe61ffe,0xffffa807,
    0x7ffcc001,0x3ee001ff,0xfffff9df,0x9804ffc9,0x6c0006ff,0x37fe45ff,
    0x5c13ff20,0x5ffd05ff,0x6c0fff40,0xffffffff,0xff305fff,0xff905fff,
    0x77ffcc9f,0x06fc8000,0xfd017ff4,0x7f6cc03f,0x85ffffff,0x7ff44ffc,
    0x501ffe61,0x8003ffff,0xdfffffd8,0x9fff3000,0xfd9fffff,0xdff3005f,
    0xfff98000,0x805fff11,0xffd06ffb,0x80bffa07,0xd7101ffe,0x17dfffff,
    0x3ffffe60,0xfffb82ff,0x03bffa63,0xe80df500,0x3ffa02ff,0x54c40881,
    0x641fffec,0x0fff44ff,0x7d40fff3,0x44001fff,0xfffffffe,0xffff000e,
    0xfffffbff,0xdff3001f,0xbffd0000,0x2601bff2,0x7fcc2fff,0x05ffd01f,
    0x2e00fff4,0x203fffff,0xffbffff9,0xffe982ff,0x03bff624,0x3f7337f6,
    0x17ff402f,0x4c1fff88,0x7fec01ff,0x3a27fe44,0x1ffe61ff,0x20ffffd4,
    0xfe980dd8,0xffff94ff,0xffffb003,0xfffffd1f,0x01bfe600,0x2bffea00,
    0xff003fff,0xfffb7bff,0x0bffa01f,0x2601ffe8,0x1fffffff,0x31ffff98,
    0xb103ffff,0xeffb89ff,0x7ffff5c0,0x5ffd804f,0x17fffe44,0x4c0bbff2,
    0x7fe45ffe,0xf317ff44,0xffff50ff,0xff733335,0x3ffff985,0x017fffdc,
    0x5d7fffee,0x4405ffff,0x999effb9,0xffe80009,0xf9007fff,0xffffffff,
    0xffd10bff,0x017ffc05,0xfff3fffd,0x83fffb0d,0x2e05fff9,0x37fcc4ff,
    0x20013330,0xfedefffb,0x25ffffff,0xdefffffc,0x12fffffe,0x23dffffd,
    0xff35fffe,0x3ffe25ff,0xffffffff,0x3fffa4ff,0xffd10fff,0x2601dfff,
    0xff11ffff,0x7ff407ff,0xffffffff,0x3ea000ef,0xb803ffff,0xffffffff,
    0x364fffff,0x20ffffff,0x85fffffa,0xff31fff9,0x01ffb83f,0xf9807fd3,
    0x017ec40f,0xfffd1000,0xffffffff,0x3ffee1ff,0xffffffff,0x3fffea4f,
    0xffffd3ff,0x2bffff31,0xfffffff9,0x34ffffff,0x5fffffff,0x3fffffe6,
    0x1fffe02f,0x2603fffb,0xffffffff,0x002fffff,0x803ffff4,0xedb8effc,
    0x15ffd8bd,0x7fffffff,0x7fffffec,0x2e1ffc40,0x400980ff,0x40310008,
    0xe8800002,0xebefffff,0x3ba24eff,0xfffffffd,0x7ffec41d,0x9dffd0df,
    0x4c7bffe6,0xffffffff,0x324fffff,0x20dfffff,0x05fffffc,0x3ea27fec,
    0x7ffe407f,0xffffffff,0x7fd4000d,0x09b1003f,0xfeb83720,0x3a60dfff,
    0x0204efff,0x00000004,0x80000000,0x0000aba8,0x01357551,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x54000000,0x10003300,0x00000375,0x99950020,0x99999999,
    0x10799999,0x32603595,0xcccccccc,0x82cccccc,0x301bcb98,0x26623555,
    0x3004ccc1,0x00100001,0x26620b2a,0x99999999,0x19999999,0xcccccb98,
    0xcccccccc,0x5c1ccccc,0xbbbbbbbb,0x3b20bbbb,0xef9a6cc1,0x2002ff80,
    0x02effffc,0x91000d88,0xfa819fff,0xffffffff,0xffffffff,0x7ffffe45,
    0x3fffe20d,0xffffffff,0x2a1fffff,0x84ffffff,0xffd3fffa,0x17ffe21f,
    0x403bffee,0xc897e401,0x7fff50df,0x7ffffff4,0xffffffff,0x10ffffff,
    0xffffffff,0xffffffff,0x7c3fffff,0xffffffff,0xff50ffff,0xfb2ffc8b,
    0x04ffa83f,0xfc9bffc8,0x02fec00f,0x7fffffc4,0x3fffea0f,0xffffffff,
    0x365fffff,0x6ffcadff,0x3fffffe2,0xffffffff,0x336a1fff,0x4c0ffbab,
    0xfff92fff,0x7ec4fff8,0x6c1fffff,0x0ffd886f,0x3f29fff9,0xffff16ff,
    0xffffffff,0xffffffff,0x7ffffc5f,0xffffffff,0xffffffff,0x3fffffe1,
    0x0fffffff,0xffb89ff1,0xf70bff61,0x41fd80bf,0x3ff203fd,0x77fec04f,
    0x5cc6ffeb,0xcccccccc,0x5ffdcccc,0x7fd01ff5,0x666665cc,0xcccccccc,
    0xb555301b,0x1fff887f,0xffe8dff7,0x3ffffee3,0xfffb2fff,0x321efe98,
    0xfff55fff,0x7ffff5c7,0xffffffff,0x44efffff,0xbbbbbbb8,0xbbbbbbbb,
    0x5541bbbb,0xaaaaaaaa,0x40620aaa,0x44ffd809,0x0200effb,0x3ea05ff1,
    0xf102ffff,0x01ffc8bf,0x95ffa800,0x017ee07f,0xffe98000,0xff83ffff,
    0xd8bff50f,0x57ffe2ff,0xfffffffa,0x037fe24f,0x5443dfd3,0x00000001,
    0x00000000,0xfe880000,0x0f7fdc5f,0x9837fcc0,0x1fffffff,0x7cc1ffa8,
    0xfa80002f,0x2a07fb5f,0x1000005f,0xfd979dff,0x7ccffd07,0x90ffe44f,
    0xfffe98bf,0x027cc4ff,0x00000002,0x00000000,0x20000000,0x320effe8,
    0x3ee02fff,0xffff105f,0x981ffff3,0x17fd43ff,0xaffd4000,0x7f441ffa,
    0x33333263,0xcccccccc,0x113f22cc,0x4dfb07fb,0x3fdc3ff8,0xeffc8804,
    0x00000003,0x00000000,0x00000000,0x2fffd800,0x2217ffee,0x3fa03ffd,
    0xdfff31ff,0x98f7fc41,0x80000ffe,0x3ff65ffa,0x226ffece,0xffffffff,
    0xffffffff,0xb99ff51f,0xfc89dfff,0x3ea0ffc5,0x00030007,0x00000000,
    0x00000000,0x20000000,0x3ee1effd,0xfff983ff,0x0bfff601,0xfb8bfff5,
    0x04ffffff,0x4bff5000,0xcfffffc8,0x3ffffe20,0xffffffff,0x3f21ffff,
    0xfffeffff,0x1fb13ee0,0x00005f88,0x00000000,0x00000000,0x00000000,
    0xb837ff60,0xff981eff,0x32eeeeef,0x3f209fff,0x7ffe42ff,0x200005ff,
    0xa9884ff9,0x99973009,0x99999999,0x2a603799,0x3d101311,0x00150288,
    0x00000000,0x00000000,0x00000000,0x7ffd1000,0x300dffb8,0xffffffff,
    0xb017fe29,0x9b9303ff,0xdb000003,0x00000003,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7ec00000,0x01ffdc1f,0x4ccccccc,0x5400a609,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3e200000,0x001fe80d,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000800,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__courier_bold_36_latin1_x[224]={ 0,6,4,1,2,2,3,7,8,3,2,1,6,2,
7,2,2,2,1,2,2,2,3,2,2,3,7,6,-1,0,1,3,2,-1,0,0,0,0,1,1,0,2,1,0,
1,-1,-1,0,1,0,0,1,1,0,-1,-1,0,0,2,7,2,3,2,-2,6,1,-1,1,0,1,2,1,0,1,
2,1,2,-1,0,1,-1,1,1,2,2,0,0,-1,0,0,2,5,7,5,1,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,6,2,0,2,0,
7,1,4,-1,4,1,-1,2,-1,-2,4,1,4,4,6,0,1,7,6,5,4,1,0,-2,0,2,-1,-1,-1,-1,
-1,-1,-1,0,0,0,0,0,2,2,2,2,-1,-1,0,0,0,0,0,3,0,0,0,0,0,0,1,0,1,1,
1,1,1,1,-1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,1,1,1,0,0,0,0,0,0,-1,0,
 };
static signed short stb__courier_bold_36_latin1_y[224]={ 26,5,6,4,3,6,8,6,5,5,5,7,21,15,
22,3,5,5,5,5,5,5,5,5,5,5,11,11,7,12,7,6,5,7,7,6,7,7,7,6,7,7,7,7,
7,7,7,6,7,6,7,6,7,7,7,7,7,7,7,5,3,5,4,32,4,11,5,11,5,11,5,11,5,5,
5,5,5,11,11,11,11,11,11,11,6,11,11,11,11,11,11,5,5,5,13,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,26,12,4,6,9,7,
5,5,6,7,5,12,15,15,7,1,2,3,5,5,4,11,5,13,24,5,5,12,5,5,5,12,-1,-1,0,1,
1,-1,7,6,-1,-1,0,1,-1,-1,0,1,7,1,-1,-1,0,1,1,10,5,-1,-1,0,1,-1,7,5,4,4,
5,6,6,4,11,11,4,4,5,6,4,4,5,6,5,6,4,4,5,6,6,8,10,4,4,5,6,4,5,6,
 };
static unsigned short stb__courier_bold_36_latin1_w[224]={ 0,6,11,17,15,15,15,5,8,8,15,17,8,15,
5,15,15,15,16,15,15,15,15,15,15,15,5,8,19,19,19,14,14,21,19,18,18,18,18,18,19,15,19,20,
18,21,20,19,18,19,20,17,17,19,21,21,19,19,15,9,15,9,15,23,7,18,20,18,20,17,17,18,19,17,
13,18,16,21,19,17,20,19,18,15,17,19,20,21,19,19,15,9,5,9,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,6,14,18,15,19,
5,17,11,21,12,17,19,15,21,23,11,17,10,11,7,19,17,5,7,9,11,18,20,23,19,14,21,21,21,21,
21,21,21,18,18,18,18,18,15,15,15,15,19,20,19,19,19,19,19,13,19,19,19,19,19,19,18,17,18,18,
18,18,18,18,21,18,17,17,17,17,17,17,17,17,17,19,17,17,17,17,17,17,19,19,19,19,19,19,20,19,
 };
static unsigned short stb__courier_bold_36_latin1_h[224]={ 0,22,10,25,27,21,19,10,26,26,15,19,11,4,
5,27,22,21,21,22,21,22,22,22,22,22,16,19,19,10,19,21,24,19,19,21,19,19,19,21,19,19,20,19,
19,19,19,21,19,25,19,21,19,20,19,19,19,19,19,26,27,26,12,4,7,16,22,16,22,16,21,22,21,21,
28,21,21,15,15,16,22,22,15,16,21,16,15,15,15,22,15,26,26,26,8,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,0,21,23,20,15,19,
26,24,4,20,10,14,11,4,20,4,11,23,12,12,7,22,24,6,8,12,10,14,21,21,21,21,27,27,26,25,
25,27,19,26,27,27,26,25,27,27,26,25,19,25,28,28,27,26,26,14,24,28,28,27,26,27,19,22,23,23,
22,21,21,23,16,21,23,23,22,21,22,22,21,20,22,20,23,23,22,21,21,18,19,23,23,22,21,29,28,27,
 };
static unsigned short stb__courier_bold_36_latin1_s[224]={ 250,239,130,184,202,44,203,124,37,46,193,
101,247,228,174,76,192,60,196,1,180,73,89,80,227,164,247,243,157,91,177,
36,239,80,102,228,117,98,1,25,41,239,78,80,22,119,1,76,61,101,136,
152,40,58,197,181,161,141,239,241,1,192,31,204,247,178,153,159,123,219,112,
96,72,148,62,166,1,37,173,237,59,21,117,21,130,1,136,95,75,115,59,
202,250,231,142,40,40,40,40,40,40,40,40,40,40,40,40,40,40,40,40,
40,40,40,40,40,40,40,40,40,40,40,40,40,40,40,40,40,250,246,206,
1,157,219,55,19,244,225,111,223,59,228,185,180,47,221,20,241,160,53,1,
168,245,245,79,1,51,1,96,213,136,180,170,140,162,158,58,151,57,132,212,
121,218,234,1,223,219,202,96,116,37,61,81,209,37,76,42,92,17,112,122,
17,75,94,208,170,189,131,197,226,57,188,174,208,105,35,18,207,41,20,150,
113,135,134,116,141,20,168,1,144,92,1,21,17, };
static unsigned short stb__courier_bold_36_latin1_t[224]={ 28,86,280,59,1,158,223,280,59,59,263,
243,180,280,280,31,111,158,135,135,135,135,135,111,111,135,135,111,202,280,202,
180,59,223,223,135,202,202,223,158,243,223,202,243,243,243,243,158,243,59,202,
158,223,202,202,223,223,223,202,31,31,31,280,280,192,243,111,243,135,243,180,
111,180,180,1,180,180,263,263,243,111,111,263,263,180,263,263,263,263,111,263,
31,1,31,280,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,28,86,86,
202,263,223,59,86,280,180,280,263,280,280,180,280,280,86,280,263,280,135,86,
280,171,158,280,280,180,158,158,135,1,1,31,59,59,1,223,31,31,31,31,
59,1,1,59,59,202,59,1,1,31,59,59,263,86,1,1,31,59,31,223,
135,86,86,111,158,158,86,243,158,86,86,111,158,135,135,180,180,111,202,86,
86,111,158,158,243,223,86,111,135,180,1,1,31, };
static unsigned short stb__courier_bold_36_latin1_a[224]={ 305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_36_latin1_BITMAP_HEIGHT or STB_FONT_courier_bold_36_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_36_latin1(stb_fontchar font[STB_FONT_courier_bold_36_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_36_latin1_BITMAP_HEIGHT][STB_FONT_courier_bold_36_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_36_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_36_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_36_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_36_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_36_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_36_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_36_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_36_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_36_latin1_s[i] + stb__courier_bold_36_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_36_latin1_t[i] + stb__courier_bold_36_latin1_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_36_latin1_x[i];
            font[i].y0 = stb__courier_bold_36_latin1_y[i];
            font[i].x1 = stb__courier_bold_36_latin1_x[i] + stb__courier_bold_36_latin1_w[i];
            font[i].y1 = stb__courier_bold_36_latin1_y[i] + stb__courier_bold_36_latin1_h[i];
            font[i].advance_int = (stb__courier_bold_36_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_36_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_36_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_36_latin1_s[i] + stb__courier_bold_36_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_36_latin1_t[i] + stb__courier_bold_36_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_36_latin1_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_36_latin1_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_36_latin1_x[i] + stb__courier_bold_36_latin1_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_36_latin1_y[i] + stb__courier_bold_36_latin1_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_36_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_36_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_36_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_36_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_36_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_36_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_36_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_36_latin1_LINE_SPACING
#endif

