// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_40_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_40_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_40_latin1_BITMAP_WIDTH         256
#define STB_FONT_courier_bold_40_latin1_BITMAP_HEIGHT        358
#define STB_FONT_courier_bold_40_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_courier_bold_40_latin1_FIRST_CHAR            32
#define STB_FONT_courier_bold_40_latin1_NUM_CHARS            224

#define STB_FONT_courier_bold_40_latin1_LINE_SPACING          19

static unsigned int stb__courier_bold_40_latin1_pixels[]={
    0x00053000,0x55300000,0x00000155,0x55000000,0x00000055,0x00000000,
    0xb8000000,0x0000003e,0x00001700,0x70000000,0x400001ff,0xfe800ed8,
    0x0001ffff,0x641ff440,0x3fe0006f,0x3ee000ff,0x44000002,0x6f40006d,
    0x98000000,0xa8000fff,0x74c0004e,0x800002ff,0x400004ea,0x00005ffd,
    0x1003ffa6,0x03ffffff,0x7ffb8000,0x0017ffc4,0x000ffff8,0x00013ff2,
    0x007ffcc0,0x01fff880,0x7fec0000,0x7fdc000f,0x3ff20005,0x0000dfff,
    0x000bff70,0x013ffa20,0x2fffa800,0xfffffb00,0xf9800003,0x01ffe86f,
    0x01ffff00,0x00dffd80,0x3ffee000,0x7fcc0001,0x1000002f,0xd800bfff,
    0x98000dff,0xffdaeffe,0x7ec0001f,0x880000df,0x00002fff,0x0007bfee,
    0x0007ffee,0x2202e600,0x2aa0001b,0xff70002a,0xf900001d,0x200001df,
    0x0004ffe8,0x01fffc80,0x009ffd10,0x2e1fff40,0x88000fff,0x00004ffe,
    0x00007be6,0x000dff98,0x003fff50,0x00000000,0x7d400000,0x7cc0005f,
    0xb000005f,0x400003ff,0x2005fff8,0x40003ffc,0x0bb101dc,0x00fff200,
    0x00006000,0x0000f620,0x0003fff5,0x00000000,0x2d980000,0x016c4000,
    0x036a0000,0xfffc8000,0x0076a001,0x00000000,0x0000076a,0x00000000,
    0x27ffea00,0xaceffec8,0x6665cc00,0x9997302c,0x66654439,0xcccccccc,
    0x00000000,0x00000000,0xfff88000,0x00000006,0x00000000,0x6665cc00,
    0x9997302c,0x00000039,0xffdfffa8,0x3fffffff,0x3fffffe0,0x7fffcc2f,
    0xfff91fff,0xffffffff,0x0d4c003f,0x06a60000,0x00000000,0x017ffdc0,
    0xec880000,0x20cefffe,0xceffffeb,0xf0000000,0x85ffffff,0xfffffff9,
    0xfffdd911,0x7ff5c19d,0xfa80ceff,0xffffffff,0x884fffff,0x3fffffff,
    0x7fffffd4,0xfffffb2f,0x3fffffff,0xffffe980,0xd30003ef,0x07dfffff,
    0xfffeec88,0x3ffae0ce,0x2000ceff,0x3ae06fff,0xffffffff,0x4eeeffff,
    0x3fffffee,0xffff54ff,0x6d4bffff,0xb80cefff,0x443deffe,0x3fffffff,
    0x7fffffd4,0xfffff72f,0x3fea9fff,0x85ffffff,0xdffffffa,0xffffecac,
    0xefffea84,0xfffeb80c,0x3bbb224f,0xfffeeeee,0xffff9101,0x01bfffff,
    0x3ffff220,0x00dfffff,0xfffffff7,0x3fffea9f,0x5005ffff,0x3ea07fff,
    0xffffffff,0xffffffff,0x3ffffea5,0xfff33fff,0x229fffff,0x3fffffff,
    0x7fffffd4,0x7fff542f,0xffeb80ce,0x3ffea4ff,0xf33fffff,0x9fffffff,
    0x3dffff50,0x07fffea0,0x9017ffe2,0x30005fff,0xfd103fff,0xffffffff,
    0xe8803fff,0xffffffff,0xfa81ffff,0x3fffffff,0xfffffff3,0x3ffa009f,
    0x3fffe607,0xffffffff,0x545fffff,0x42ccfffd,0xaefffcb9,0x3fffffe0,
    0x7fffd43f,0xff881fff,0x7ffe405f,0xcfffda82,0x7fe5cc2c,0xffa80aef,
    0x7fcc00ff,0x3fff903f,0x01bffe20,0x40fffcc0,0x9acffffd,0x0fffffb9,
    0x33ffff60,0xffffb99a,0xfffda80f,0x7e5cc2cc,0xa800aeff,0x5cc03fff,
    0xccccfffe,0x5fffcccc,0x800fffb8,0xfb884ffe,0xff704fff,0x7e4039ff,
    0xfff101ff,0x07ffdc0d,0x5027ff40,0x32007fff,0xfff106ff,0x0bfff20b,
    0x0fffcc00,0x407bffea,0x504fffd8,0x2203dfff,0xf704fffd,0xffd001ff,
    0x7fff4009,0x0fff9000,0xf70bffb0,0xffd001ff,0x37ffd409,0x804fffc8,
    0xf905fff8,0x7fdc05ff,0x4ffe800f,0x007ffea0,0xc807ffd4,0x7fc41fff,
    0x3e60006f,0x3ffe21ff,0xfffd800f,0x07fffc41,0x40fffec0,0xe800fffb,
    0xff3004ff,0x7fe4009f,0x85ffd807,0xe800fffb,0x7fec04ff,0x37ffd43f,
    0x83fff900,0x5c06fff8,0xfe800fff,0x3ffea04f,0x1fff7002,0x91bffe20,
    0x40005fff,0x3ee1fff9,0xff3002ff,0x2fffb8bf,0x0bfff300,0xd001fff7,
    0x3f6009ff,0x3f2000ff,0xf726447f,0x1fff707f,0x809ffd00,0xf11ffff8,
    0x44003fff,0x7fe46fff,0x7ffdc02f,0x04ffe800,0x4017ffea,0x7e406ffe,
    0xdfff11ff,0xfff98000,0x001bff61,0xffd8fff9,0x3ffe4006,0x4007ffdc,
    0xf9804ffe,0x7e4004ff,0x897fec7f,0xfffb80cc,0x04ffe800,0xf96fffa8,
    0xf90009ff,0x3ffe23ff,0x0fffb806,0x204ffe80,0x403ffffa,0x4405fffc,
    0xfff96fff,0xff980005,0x013ffa1f,0x741fff50,0x7d4004ff,0x7ffdc0ff,
    0x04ffe800,0x001fffc8,0x4ccfffe4,0xf7004ffe,0xffd001ff,0x3fff6009,
    0x0006fffd,0x3f2dfff1,0xffb802ff,0x4ffe800f,0x3ffffea0,0x3ff6a21d,
    0xffc800ff,0x006fffbf,0x11fff980,0x98005fff,0xfff12fff,0xfff98005,
    0x007ffdc2,0x22027ff4,0xc8005fff,0xffffffff,0xfff7004f,0x09ffd001,
    0x3ffffe20,0x320001ff,0x6fffbfff,0x01fff700,0x5409ffd0,0xffffffff,
    0x2fffffff,0xfffff100,0x300005ff,0x3fe63fff,0xfff8001f,0x003fff33,
    0xfb87fff0,0xffe800ff,0x0fffe404,0x7fffe400,0x004fffff,0xd001fff7,
    0x7d4009ff,0x0003ffff,0x7fffffc4,0xfff7002f,0x09ffd001,0x7fffffd4,
    0xffffffff,0x7ffe4003,0x300006ff,0x3fe23fff,0x7fc4002f,0x05fff12f,
    0x42fff880,0xe800fffb,0x3fe204ff,0xff90006f,0x9fffffff,0x03ffee00,
    0x0013ffa0,0x000dfff9,0x3fffff20,0x3ffee006,0x04ffe800,0x3f2bffea,
    0x0dffffff,0xffff8800,0xf300002f,0x1fffc3ff,0x83ffea00,0x54003fff,
    0x7fdc0fff,0x4ffe800f,0x00bffee0,0x4cfffe40,0x5004ffe9,0xfd001fff,
    0xff88009f,0xf100002f,0x4005ffff,0xe800fffa,0x3fea04ff,0x3597511f,
    0xffc80001,0x2600006f,0x3ff61fff,0x3ffdc005,0x70017ff6,0xfff50fff,
    0x09ffd001,0x00037ffc,0xffd8fff9,0x3e60f663,0xfff802ff,0x7ffc4003,
    0x3f200002,0x7cc006ff,0xfff802ff,0x07ffea03,0xffb00000,0x4c00005f,
    0x3ff21fff,0xfff1002f,0x02fffc8d,0x30dfff10,0xff005fff,0x3ffee07f,
    0x3ff20002,0xfb066c47,0x6fff883f,0x017ffcc0,0x00bffe20,0x2fffd800,
    0x37ffc400,0x80bffe60,0x0001fffa,0x1bffe600,0xfff90000,0x006fff98,
    0xf985fffb,0xffb006ff,0xdfff105f,0x02fff980,0x8000dffd,0xff007ffc,
    0x5fffd07f,0x03fffe60,0x05fff100,0x3ffe6000,0xfffd0006,0x3fffe605,
    0x07ffea00,0xffd80000,0x7c00002f,0xfffb86ff,0xfffb100e,0x3bffee0b,
    0xbfffb100,0x817fff40,0xa80ffff9,0x40003fff,0xff007ffc,0xffff507f,
    0xfff7317d,0xff10007f,0x3600005f,0x50002fff,0x317dffff,0x807ffff7,
    0x009afffb,0xfa999800,0x310006ff,0xffff9333,0x3ffff609,0xfffd731b,
    0x7ffec01f,0xffd731bf,0x7fd401ff,0xfb98beff,0xffd03fff,0x2e20001f,
    0xccccfffe,0xfffccccc,0xfffff903,0x0dffffff,0x7fe65cc0,0x000accdf,
    0xdfff5333,0xfffc8000,0xffffffff,0x3ffff206,0x000effff,0xffffffc8,
    0x5004ffff,0xfffffffd,0x3e201dff,0xffffffff,0x4402ffff,0xffffffff,
    0x802fffff,0xfffffffc,0x3e06ffff,0xf10003ff,0xffffffff,0xffffffff,
    0x7ffe407f,0x0dffffff,0xfffff900,0x0bffffff,0xffffffc8,0x0004ffff,
    0x3ffffff2,0xf100dfff,0xffffffff,0xff88009f,0xffffffff,0xfffd007f,
    0x1dffffff,0xffffd880,0x00efffff,0xfffffb10,0x001dffff,0x7fffffe4,
    0x2e00dfff,0x3ea0005f,0xffffffff,0xffffffff,0x7ff4c03f,0x4003ffff,
    0xfffffffd,0x2207ffff,0xffffffff,0x40007fff,0xffffffe9,0xffffe803,
    0x001fffff,0xffffffe8,0x9005ffff,0xdfffffff,0x7fd40017,0x004effff,
    0xffffff50,0x3a60009d,0x03ffffff,0x3b200000,0xffffffff,0xffffffff,
    0x15731003,0x3ff66000,0xefffffff,0x7ffff402,0x05ffffff,0x15731000,
    0xaaaa9800,0x20000aaa,0xaaaaaaa9,0x5544001a,0x40000aaa,0x0000ab98,
    0x00157310,0x02ae6200,0x00000000,0x00000000,0x30000000,0x55555555,
    0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0x00000009,0x00151000,
    0x00005c00,0x00000000,0x00000000,0x30000000,0x27540005,0x55551000,
    0x80c40035,0x55555301,0x3ee00181,0x800004ff,0xfd0004ea,0xfd30000f,
    0xd700005f,0x80000005,0x5c0002fb,0xfb80003f,0x3f200002,0xff8000df,
    0xff30003f,0x405fffff,0x7ec6ffe8,0xfffff30e,0x077ec5ff,0x3ee77e20,
    0x3ee00003,0xff88005f,0x3f20001f,0x000dffff,0x000fff20,0x1ffe4000,
    0x13fee000,0x09ff7000,0xfffe9800,0x7f4002ff,0xff30007f,0x20bfffff,
    0x11fffff8,0x3fee5fff,0xf12fffff,0x47c805ff,0xfb00006d,0xf30001bf,
    0xd30007ff,0xfffb5dff,0x3f620003,0x2000005f,0x0004ffe8,0x001dff90,
    0x006ffec0,0x5dfffe40,0x2e005fff,0x98002fff,0x2fffffff,0x4bffffb0,
    0xfd32fff8,0x225fffff,0x7dc02fff,0x100017a0,0x50009ffd,0x9dfffffb,
    0x7ffd007b,0x000fffb8,0x003bff20,0x7fff3000,0xffb80000,0x3ee0000e,
    0x3ea000ef,0x3ff621ef,0x1bffe003,0x2fffe600,0x77ffc009,0x217ffc41,
    0x12fffa98,0xf8805fff,0x0002fdbe,0x4001ffe4,0xfffffffc,0x6401ffff,
    0x00bb101d,0x009ff500,0x01ffe800,0xbff30000,0x5ff98000,0xb80fa600,
    0x3fee001e,0x7fcc002f,0xfff8802f,0x02fff883,0x3e25fff1,0xfda802ff,
    0xda80003e,0xfffa8001,0xffffffff,0x0000003f,0x0016cc00,0x00032e00,
    0x00791000,0x0007b100,0xff100000,0xff9800df,0xfff8802f,0x02fff882,
    0x3e25fff1,0x002002ff,0x7c000000,0xdaabefff,0x4003ffff,0x000001a9,
    0x00000000,0x00000000,0x00000000,0x01fffc80,0x00bffe60,0x220bffe2,
    0xff102fff,0x0bffe25f,0x00000000,0x0bfff300,0x4c017ff4,0x3efffffe,
    0x00000000,0x00000000,0x00000000,0x3fffffae,0xf10004ef,0x7cc00bff,
    0xff8802ff,0x2fff882f,0x225fff10,0xfeb82fff,0x04efffff,0x7fffed40,
    0xdeefffff,0x00fffd42,0xfc880bd5,0xffffffff,0xffd7000d,0x009dffff,
    0x7ffff5c0,0x5c004eff,0xfffffffe,0xeeefffff,0x7fffed44,0xdeefffff,
    0xfffff302,0x001fffff,0x007fff60,0x4017ffcc,0xf882fff8,0xfff102ff,
    0x30bffe25,0xffffffff,0x7fc001ff,0xffffffff,0x220fffff,0x0000dfff,
    0x3fffffa2,0x1fffffff,0x7ffffcc0,0x000fffff,0xffffff98,0x5000ffff,
    0xffffffff,0xffffffff,0xfffff8bf,0xffffffff,0xfff980ff,0x3fffffff,
    0x9fff3000,0x0bffe600,0x20bffe20,0xf102fff8,0x3ffe25ff,0x7ffffcc2,
    0x003fffff,0x3ffffffa,0x7fffffff,0xadffffe8,0x7ffec000,0xffb99acf,
    0x3e600fff,0xffffffff,0xff98003f,0xffffffff,0xffff3003,0xffffffff,
    0xe8bfffff,0xffffffff,0x207fffff,0xffffccb9,0x360006ff,0xf9800fff,
    0xff9802ff,0x1fff882f,0x225fff10,0xcb982fff,0x6ffffffc,0x3332e200,
    0xcccdfffc,0xffff981b,0x402dffff,0x101efffa,0x9809fffb,0xfffffccb,
    0x9730006f,0xdffffff9,0x7ff5cc00,0xcccccccf,0x5c45fffc,0xdfffcccc,
    0x1001bccc,0x3fffffff,0x3ffe6000,0x2fff9804,0x0fffed40,0x3e204ea8,
    0x5fff12ff,0xfffff880,0x220001ff,0x2a002fff,0xffffffff,0xfff881ef,
    0xfffd800f,0xffff1001,0x80003fff,0xfffffff8,0x3ffe4001,0x402ffec0,
    0x0002fff8,0x3febffee,0x3fa0005f,0x7fcc00ff,0x3fff602f,0x7c40006f,
    0x5fff12ff,0xfafffb80,0x220005ff,0x44002fff,0xffffffdb,0x7ffdc0ff,
    0xbfff3002,0x2bffee00,0x40005fff,0xfffafffb,0x3ffe4005,0x402ffec0,
    0x0002fff8,0x7fedbffa,0xff50000f,0xfff9807f,0x3ffffe02,0x7fc40003,
    0x05fff12f,0xffb6ffe8,0x3e20001f,0x4c0002ff,0x45ffffdb,0x64006ffd,
    0xffd007ff,0x003fff6d,0xfb6ffe80,0x7e4001ff,0xf726447f,0xfff1007f,
    0x3fea0005,0x07fff33f,0x03fff400,0xc80bffe6,0x0006ffff,0xf897ffc4,
    0x3fea02ff,0x07fff33f,0x0bffe200,0x7f440040,0x027ff47f,0x003ffea0,
    0x3e67fff5,0xf50003ff,0x3ffe67ff,0x1fff2003,0x33225ffb,0x2fff8800,
    0x1fffb000,0x00037ff4,0x4c07fff5,0x64402fff,0x59301fff,0x897ffc40,
    0x3f602fff,0x1bffa0ff,0x17ffc400,0x54037dc0,0xfff11fff,0xfff98005,
    0x07ffec02,0x2000dffd,0x3fa0fffd,0x3ff2006f,0x4ffe999f,0x5fff1000,
    0xbfff1000,0x001fffb8,0x981bffe0,0xf9802fff,0x3fff02ff,0x44bffe20,
    0xff102fff,0x1fffb8bf,0x2fff8800,0x403fff80,0xff30fffc,0xfff0003f,
    0x2fffc407,0x0007ffee,0xfb8bfff1,0xff9001ff,0x9fffffff,0x3ffe2000,
    0xfffb8002,0x02fffc41,0x05fff700,0x200bffe6,0xf882fff8,0xfff102ff,
    0x40bffe25,0x7c41fffb,0xf88005ff,0x7fc402ff,0xfff302ff,0x017ffc4f,
    0x80bffe20,0x7c41fffb,0x7dc005ff,0x7ffc41ff,0xffff9005,0x009fffff,
    0x00bffe20,0x267fffa0,0x0fffd999,0xdfff1000,0x00bffe60,0x220bffe2,
    0xff102fff,0x0bffe25f,0x4ccffff4,0x00fffd99,0x017ffc40,0x3bffffe2,
    0xfffffdac,0x001fffc4,0xe803ffea,0x99999fff,0x2000fffd,0x9999fffe,
    0x800fffd9,0xfffffffc,0xf10004ff,0xfa8005ff,0xffffffff,0x0003ffff,
    0x2607fff2,0xf8802fff,0xfff882ff,0x25fff102,0xfa82fff8,0xffffffff,
    0x4003ffff,0x4402fff8,0xffffffff,0xd86fffff,0x7dc005ff,0x3ffea07f,
    0xffffffff,0xff5003ff,0xffffffff,0xf9007fff,0xffd333ff,0x3fe20009,
    0x7fec002f,0xffffffff,0x20006fff,0xf985fff8,0xff8802ff,0x2fff882f,
    0x225fff10,0xffd82fff,0xffffffff,0x44006fff,0xfe802fff,0xffffffff,
    0xffc80dff,0xfff1002f,0x7fffec0d,0xffffffff,0xfffb006f,0xffffffff,
    0xff900dff,0x263ffd8f,0xfff8803d,0x3ffe2002,0xffffffff,0x0001ffff,
    0xf307fff2,0xff1005ff,0x5fff105f,0x44bffe20,0x7fc42fff,0xffffffff,
    0x001fffff,0x200bffe2,0xfffc9ac9,0x3e602dff,0xffb006ff,0x3ffe205f,
    0xffffffff,0x4401ffff,0xffffffff,0x1fffffff,0x223ffe40,0x07ff60cd,
    0x005fff10,0x555fffdc,0xffaaaaaa,0x3e20005f,0x7ffcc5ff,0x2fff8802,
    0x102fff88,0x3fe25fff,0x5fffdc2f,0xaaaaaaaa,0x22005fff,0x10002fff,
    0x2e005fff,0xb100efff,0x7dc0bfff,0xaaaaabff,0x05fffaaa,0x555fffdc,
    0xffaaaaaa,0x3ffe405f,0x403fff80,0x2002fff8,0xf9006fff,0x6c0001ff,
    0x3fe60fff,0xbfff002f,0x02fff881,0x3e25fff1,0x37ffc2ff,0x00fffc80,
    0x005fff10,0x00bffe20,0x1bffffd8,0x1ffffd73,0x8037ffc0,0x3e00fffc,
    0xff9006ff,0x3ffe401f,0x403fff80,0x9802fff8,0x01befffc,0x5bfffb71,
    0x3ffe6000,0x3ffffe64,0xfffb01df,0x97ffc49f,0xffffffd8,0x265fff12,
    0x01befffc,0x5bfffb71,0xfcccca88,0x0acccdff,0x02fff880,0x3ffffe20,
    0xffffffff,0xdfff9302,0x3f6e2037,0x7e4c2dff,0x7101beff,0x885bfffb,
    0xcccfffeb,0xffcccccc,0x3332a23f,0xcccdfffc,0x3fffee0a,0x7c42ffff,
    0x4fffffff,0x1fffb000,0x3fffffe6,0xffff105f,0x4bffe21f,0xfffffffb,
    0xf75fff12,0x5fffffff,0xffffff88,0x3fff64ff,0xffffffff,0xfff007ff,
    0xffd88003,0xefffffff,0xfffff700,0xff885fff,0x74ffffff,0xffffffff,
    0xfffff885,0xfff14fff,0xffffffff,0x7fffffff,0x7fffffec,0x7fffffff,
    0x3ffffff2,0x7ffd43ff,0x006fffff,0x263fff30,0x3fffffff,0xd1fffe60,
    0x3ffe61ff,0x3fa2ffff,0xfffffc8f,0x7fd43fff,0x26ffffff,0xffffffff,
    0x0fffffff,0x0007fd80,0x3fffffea,0x7ffe404e,0x543fffff,0xffffffff,
    0xffffff96,0xfffa87ff,0xf56fffff,0xffffffff,0xffffffff,0x7ffffc7f,
    0xffffffff,0xfffb30ff,0xd901bfff,0x05bfffff,0x91275c00,0x00379999,
    0x835102a6,0x1cccccb8,0x7fecc6a2,0xc80dffff,0x2dfffffe,0x3fffffaa,
    0x3effffff,0x00002a00,0x4002ae62,0xffffffd9,0xfffec80d,0xffb32dff,
    0x901bffff,0x5bfffffd,0x7fffff64,0xffffffff,0x3faa3fff,0xffffffff,
    0x00003eff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00080400,
    0x04c00170,0x4d544000,0x000c0000,0x2a057100,0x00ee200b,0x71007260,
    0x0002ea05,0x880002e0,0x0017502b,0x15c40dcc,0x00044000,0x005edc40,
    0x3f627f44,0x3ffa6005,0x0effd802,0x7ff5cc00,0x3ea9dfff,0x42efeb80,
    0x3f2000b8,0x037fcc3f,0x4c00bff9,0x7fe407ff,0x0037fcc3,0x005ffd30,
    0xf30fff20,0x3fe200df,0x002ffd87,0x819ff930,0xfffb001a,0x4fff500b,
    0xc801fff8,0x00dfffff,0x01dffff1,0xfffffb10,0xffffffff,0x7fffec01,
    0x02ffb9df,0xf713ffa0,0x7ffec0ff,0x1fffd002,0x2e27ff40,0xf90007ff,
    0x001bffff,0x7dc4ffe8,0xfff5007f,0x003fff81,0xffffff98,0x8807fd9b,
    0x400fffff,0x3fea7ffb,0x3ffa601f,0x01fffdae,0x80bffffb,0xffffffe8,
    0xffffffff,0x939ff302,0x00dfffff,0x6c41ee98,0x3ffe603f,0x5fffb806,
    0x220f74c0,0x74c003fd,0xfffdaeff,0x07ba6001,0x6c007fb1,0x00efa84f,
    0xea9efd80,0x802fffff,0x01fffffa,0xff53ffe4,0x1fff401f,0x4c03ffee,
    0x7f407ffd,0xa99bdfff,0x03fffffc,0x7ffd502a,0x00000001,0xd00ffffa,
    0x00003fff,0x0fffa000,0x0001fff7,0x00000000,0x3f20a200,0xff3002df,
    0xfc801fff,0x01ffee6f,0x176203b9,0x203fff50,0x201ffffb,0x003fffe9,
    0x00000010,0x0dfff500,0x002fffd4,0x3b900000,0x00017620,0x00000000,
    0x40008000,0x00fffff8,0xff737fec,0x2000000f,0xfd01fff9,0xff3003ff,
    0x0d4c005f,0x06a60000,0x0bfffa00,0x0017fff4,0x00000000,0x00000000,
    0x00000000,0x3ffffc00,0xf92ffec0,0x000000ff,0x2207ffe6,0x3a003fff,
    0x7f4c00ff,0x003effff,0xfffffd30,0x3fea007d,0x6fff985f,0xfffeec88,
    0x3ffae0ce,0x0000ceff,0x7fff5c00,0xffffffff,0x2e04eeef,0xeffffffe,
    0x3fae0004,0x04efffff,0x03ffffc0,0xff92fff4,0x3fff6a0d,0xeeffffff,
    0x3fff302d,0x003fff50,0xf9101ecc,0xffffffff,0x3f22001b,0xffffffff,
    0xffff800d,0x417ffec0,0xfffffffb,0xfffff54f,0x7f5cbfff,0xffffffff,
    0x24eeefff,0xfffffffa,0xffffffff,0xfff305ff,0x1fffffff,0xffff3000,
    0x01ffffff,0x837fff40,0xffffffda,0x1dffffff,0x3ffffffe,0xffffffff,
    0x81fff980,0x00007ffc,0x7fffff44,0x1fffffff,0x7ffff440,0xffffffff,
    0x17ffe401,0x7d41fffa,0x3fffffff,0xfffffff3,0x3fffea9f,0xffffffff,
    0x265fffff,0xffffffff,0xffffffff,0xffff305f,0x07ffffff,0xfffff300,
    0x007fffff,0xf82fffec,0xffffffff,0x26ffffff,0xfffffffe,0x07ffffff,
    0xfd03fff3,0xd80000bf,0x99acffff,0x00fffffb,0x2b3ffff6,0xfffffb99,
    0x0fffee00,0x6d40dfff,0x4c2ccfff,0x0aefffcb,0xfffffff3,0xffffffff,
    0xfeb98bff,0xccccccff,0x205fffcc,0xffffccb9,0x730006ff,0xffffff99,
    0x7ffec00d,0xfffffd04,0xffffffff,0x6665c4bf,0xcccdfffc,0x5fff301b,
    0x0009ffd0,0x0f7ffd40,0x04fffd88,0x203dfff5,0x204fffd8,0x3e24fffa,
    0x7fdc05ff,0x4ffe800f,0xcfffeb98,0xfccccccc,0xfff905ff,0x00bffb00,
    0x3fffffe2,0x7c40001f,0x01ffffff,0x209fff90,0xcdfffcb8,0x0acefffc,
    0x017ffc40,0x85dfff10,0x00004ffe,0x001ffff1,0xf883fffb,0xfd800fff,
    0xfff101ff,0x027ffd4b,0x2003ffee,0x3f204ffe,0x5ffd807f,0xb00fff90,
    0x3ee00bff,0x05fffaff,0x57ffdc00,0xf7005fff,0xff9807ff,0x00fffe2f,
    0x002fff88,0xd37fffec,0x20000bff,0x3002fffb,0xffb8bfff,0xfff3002f,
    0x73fffc0b,0xfb807fff,0xffe800ff,0x01fff204,0x7e417ff6,0xf726447f,
    0x3ffa007f,0x001fffb6,0xfdb7ff40,0xffa800ff,0x7ffcc02f,0x005fff11,
    0x0017ffc4,0x43ffffea,0x00007ffd,0xc800dffb,0x37fec7ff,0x81fff200,
    0x3ff27ffe,0x7ffdc02f,0x04ffe800,0x9911fff2,0xfc81ffdc,0x897fec7f,
    0xffa800cc,0x07fff33f,0x4fffea00,0xa803fff9,0x7d401fff,0x5fff11ff,
    0x17ffc400,0x3ffffa00,0x007ffee5,0x013ffa00,0x741fff50,0x7d4004ff,
    0xffff00ff,0x201fffdc,0xe800fffb,0x3ff204ff,0xc897fec7,0x3fff900c,
    0x009ffd33,0xe83fff60,0xfb0006ff,0x37ff41ff,0x2607ff80,0xdccfffdb,
    0x800adfff,0x2002fff8,0x441dfff8,0x54006fff,0x05fff10b,0x12fff980,
    0x98005fff,0xff882fff,0x13ffea5f,0x001fff70,0x7e409ffd,0xffe999ff,
    0x3fff2004,0x04ffffff,0x45fff880,0x4001fffb,0x7dc5fff8,0x0b8801ff,
    0xffffff90,0xffffffff,0x5fff100d,0x0fffcc00,0x00dfffd8,0xff35ffc8,
    0xfff0003f,0x007ffe67,0x2a0fffe0,0x3fe24fff,0x7ffdc05f,0x04ffe800,
    0x3ffffff2,0x32004fff,0xffffffff,0xffb8004f,0x2fffc41f,0x07ffee00,
    0x000bfff1,0xffffffb0,0xffffffff,0xfff8801f,0x3ffe6002,0xffffd101,
    0x3aea2359,0xfff16fff,0xfff88005,0x005fff12,0xb82fff88,0x7ffc3fff,
    0x07ffdc06,0x9027ff40,0xffffffff,0x7fe4009f,0x4fffffff,0x9fffe800,
    0xfffd9999,0x3fffa000,0xffd99999,0x6cc0000f,0xffffffff,0x803effff,
    0x2002fff8,0x6c01fff9,0xffffffff,0x22ffffff,0x54003fff,0x3ffe0fff,
    0x7ffd4003,0x41fffc80,0x7dc07ffe,0xffe800ff,0x3ffff204,0x004fffff,
    0x2667fff2,0x54004ffe,0xffffffff,0x003fffff,0xfffffff5,0x07ffffff,
    0x37fec000,0x8800fff7,0x26002fff,0xfd801fff,0xffffffff,0x7fec1eff,
    0x3ffdc005,0x70017ff6,0x3ffe0fff,0x17ffe40f,0x001fff50,0x7e409ffd,
    0xffe999ff,0x1fff2004,0x1ecc7ffb,0xffffffb0,0xdfffffff,0x3ffff600,
    0xffffffff,0x37f6206f,0x92ffec00,0xf8800fff,0x3e6002ff,0xfb5001ff,
    0x7dffffff,0x00bfff20,0x3237ffc4,0xf1002fff,0xfff70dff,0x0dfff309,
    0x4017ffcc,0x3f203fff,0x31ffec7f,0x1fff207b,0x7fec19b1,0xfffff881,
    0xffffffff,0x7fc401ff,0xffffffff,0x701fffff,0xfe807fff,0x01bff25f,
    0x005fff10,0x000fffcc,0x002bfee2,0x401bffe6,0x7cc2fffd,0xffb006ff,
    0x3fffd05f,0x40bfffa0,0x4c06fff8,0x3f202fff,0xb066c47f,0xfff903ff,
    0x20fffe00,0xaaabfffb,0xfffaaaaa,0x5fffdc05,0xaaaaaaaa,0xff305fff,
    0x4ffe803f,0x1001bff6,0x4c005fff,0xa8001fff,0x3ee000ff,0xfb100eff,
    0x3fee0bff,0xffb100ef,0xbfff50bf,0x037ffd40,0x2605fffd,0x3200ffff,
    0xfff007ff,0x00fff907,0x3fe0fffe,0xfff9006f,0x037ffc01,0x100fffc8,
    0x9fff0035,0x2002ffec,0x1002fff8,0x0001fff9,0x4005fff5,0x31bffffd,
    0x01ffffd7,0x8dffffec,0x0ffffeb9,0x402fffe8,0xf502fffe,0x7317dfff,
    0xc807ffff,0xfff007ff,0x7fff5c47,0xcccccccc,0x3263fffc,0x101befff,
    0x85bfffb7,0x1befffc9,0xbfffb710,0xfff80005,0x8817ffa3,0xfffcccca,
    0x5c0acccd,0x4006ffff,0x05fec9a8,0x3ffffe20,0xffffffff,0x7fffc402,
    0xffffffff,0x6fffa82f,0x05fffa80,0x3ffffff2,0x206fffff,0xccfffeb8,
    0xfccccccc,0xffff13ff,0xffffffff,0x27ffffff,0xfffffffb,0x7fffc42f,
    0xff74ffff,0x85ffffff,0xfffffff8,0x3fe0004f,0x80fffa2f,0xfffffffd,
    0x27ffffff,0x02fffff8,0x7f6ffec0,0x7fec4005,0xefffffff,0xfffb1000,
    0x1dffffff,0x007fff60,0x9007fff4,0xffffffff,0x3fe201bf,0xffffffff,
    0xffffffff,0xffffff53,0xffffffff,0x3f27ffff,0x3fffffff,0x7fffffd4,
    0xffff96ff,0xfa87ffff,0x6fffffff,0x83ff2000,0x3fe01ffb,0xffffffff,
    0x3a0fffff,0xa8002fff,0x001fffff,0xffffff50,0x3ea0009d,0x04efffff,
    0x30027fdc,0xfd300fff,0x807fffff,0xfffffffa,0xffffffff,0x3fb23fff,
    0xffffffff,0x3fffffff,0xffffffb3,0xfffd901b,0x3f665bff,0x80dfffff,
    0xdfffffec,0x40440002,0x7ff54008,0xffffffff,0x055443ef,0x02ae6000,
    0x2ae62000,0x73100000,0x00d40015,0x10005440,0x64001573,0xfffffffe,
    0xffffffff,0x0000003f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0x710001a9,0x0002ea05,0x9800000c,0x01aaaaaa,0x54400040,0x8000bdec,
    0xaaaaaa98,0x0000002a,0x02ee0000,0x0000d400,0x00000171,0x00030000,
    0x7fffff4c,0x3ff2003e,0x0037fcc3,0x710bbfae,0xfd951001,0xffffffff,
    0x017f200d,0xffffff98,0x3ff2002f,0x7fffffff,0x02fbaa00,0x09a98000,
    0x4004ffc8,0x20006fd8,0x00001efc,0x220027d4,0x22000fff,0xfffffffc,
    0xfe800dff,0x03ffdc4f,0xbfffffb0,0x9805ff73,0xfffffffe,0x006fffff,
    0xf3001fff,0xffffdfff,0xffffb005,0x0fffffff,0x17f77ee0,0xfffd3000,
    0x3fee5dff,0x3fa6005f,0x3e60002f,0x880002ff,0x001efffd,0x2007fff7,
    0xffffffe8,0x01ffffff,0x3620f74c,0x9ff3003f,0xdfffff93,0xfffffb80,
    0xaffbaffd,0x5fff1001,0x0bfff880,0xb80fff71,0x9999beff,0x9f007fc9,
    0x44000fd4,0xfffffffc,0x1ffffeff,0x05fff500,0x7ffd3000,0x7ffd4000,
    0x8804fffe,0xfb001fff,0x75359fff,0x000dffff,0xa8150000,0x2200bffe,
    0xff73ffff,0x4003ff51,0x6402fff8,0x3ff704ff,0x9007fec0,0x47f100ff,
    0x744002f9,0xffffffff,0x03ffffff,0x003dff30,0x1ffec400,0x9fffd400,
    0x3006ffe9,0x77ffd400,0x9fffd101,0x00000000,0xfffb8004,0x3ea3fee3,
    0x3fe2001f,0x1bfe202f,0x3e03ff88,0x037d405f,0x07d99ed8,0xcffffd80,
    0xffffda9a,0x37f2005f,0xf9000000,0x1dfb000b,0x0003ff70,0x07fffc40,
    0x017fff40,0x00000000,0xf71fff60,0x003ff51f,0x4df7ffdc,0x201ffd40,
    0x3ffe05fe,0x9800dc00,0x4002fffe,0x901efffa,0x800bffff,0x08000001,
    0x88051000,0x7dc00001,0xff3002ff,0xfffda8bf,0xeeffffff,0x7ffed42d,
    0xfffd702e,0x3ffa39df,0x7d47fdc7,0xfffb801f,0x0effffff,0x74c03ff7,
    0xffffb86f,0x5400001e,0xfff88002,0xffff500f,0x000003ff,0x00002000,
    0x54400020,0x06ffd800,0x3e37fe40,0xffffffff,0x10ffffff,0x1fffffff,
    0xffffff98,0x1fffb5ff,0x7fd47fdc,0x7fffe401,0x2fffffff,0xfd881ffb,
    0x7fe46fff,0x003fffff,0x5c000400,0xff302fff,0x98bfffff,0xb884cccb,
    0x4404cccc,0xeffffeca,0x32a2000c,0x0ceffffe,0xd00dff00,0xfa8009ff,
    0x3fffa0ff,0xffffffff,0x7fffc7ff,0x7fc45fff,0x74ffffff,0x7fdc9fff,
    0x3201ffa8,0xfdefffff,0xdfd3ffff,0xffffffa8,0x64df7fc6,0x4002efff,
    0xffffeca8,0xffd800ce,0x9fffd106,0x7fccfffb,0xffe87fff,0xf500ffff,
    0xffffffff,0xff5009ff,0xffffffff,0xfff9809f,0x0bffe201,0x43fff300,
    0xffccccb8,0x41bcccdf,0xfffffdb9,0x7ffe5cc2,0xfffd10ae,0xf51ff739,
    0x3ffe203f,0x3fffb83f,0x7ffccbfd,0x3e26febe,0x7fff4c3f,0xfffa801e,
    0xffffffff,0x827ff404,0xff75fffd,0x3fffea3f,0xffffe87f,0xfff900ff,
    0xffffffff,0xfffc807f,0xffffffff,0x3ffea03f,0x07ffe602,0x07fff100,
    0x002fff88,0x1bffffea,0xe885ffd8,0x8ffeffff,0xff901ffa,0x97ff405f,
    0x8fff65fe,0x0ffec6fd,0x027fffdc,0x3ffffff2,0x03ffffff,0xf705fff1,
    0x3fe61fff,0x3ffb6e2f,0xffeed987,0xdfff300f,0xfffd959b,0xefff980f,
    0xfffecacd,0x0fffee07,0x002fff88,0x2017ffc4,0x2002fff8,0x4ffffffa,
    0x220bffb0,0x8ffffffd,0xffd01ffa,0x3a5ea80b,0xfb1bfe5f,0x84fff98d,
    0x01efffd8,0x59bdfff3,0x20ffffd9,0x7cc2fff9,0x3fe21fff,0x07ffb83f,
    0x1007ffdc,0x0fffc803,0x3f200c40,0xfff900ff,0x03fff809,0x007ffd40,
    0x800bffe2,0xfffffffa,0x405ffd81,0xa8fffdb8,0x7fff01ff,0x22bfd000,
    0x437ec4ff,0xa81efffa,0x3101fffe,0x80fffc80,0x3e23fff8,0x7fc43fff,
    0x07ffb82f,0x0007ffdc,0x3fe63331,0x4cc4001f,0x203fff31,0x7c04fffd,
    0x7e4005ff,0xfff8807f,0x3ffea002,0xfd86fffb,0x3fee005f,0xff01ffa8,
    0xbfd000bf,0x1bf63ff4,0x06ffff44,0x4017ff22,0xfff31998,0xe97ffe03,
    0xffa85fff,0x07ffb80f,0x2007ffdc,0xffffffd9,0x9801ffff,0xfffffffd,
    0xffd01fff,0xfffc80bf,0xdfff1002,0x05fff100,0x6c7ffd40,0x7fec3fff,
    0x23fee005,0xffd01ffa,0x5fe8001f,0x3a6fbff2,0x3ff2206f,0x0ffc83ff,
    0xfffffb30,0x203fffff,0xfff97ffe,0x41fff20d,0x7dc07ffb,0xffb100ff,
    0xffffffff,0x7ec403ff,0xffffffff,0xfff01fff,0xfff880df,0x5fffb006,
    0x05fff100,0x447ffd40,0x3f60ffff,0x3fee005f,0xf901ffa8,0x1e4c09ff,
    0xfffe8dfb,0x4c01ffff,0x260efffe,0x7fec43ff,0xffffffff,0xfff901ff,
    0x101ffffb,0x3ee0bfff,0x7ffdc07f,0xffffe880,0xffffffff,0xfffd101f,
    0xffffffff,0x3ffe03ff,0xfffd807f,0xfffb100e,0x3ffe200b,0x3ffea002,
    0x6cbfff70,0x3ee005ff,0x101ffa8f,0x317dffff,0x327fffd7,0x7ffec47f,
    0xf5002fff,0xfffdbfff,0x7ffff441,0xffffffff,0xffff101f,0x3f605fff,
    0xfff702ff,0x80fffb80,0xacfffffd,0x1fffdcaa,0x9fffffb0,0xfffb9555,
    0xfffff103,0xfffe8801,0xffd731bf,0x3e2001ff,0x3ea002ff,0x3fffa0ff,
    0x400bffb2,0x1ffa8ffb,0x3ffffee0,0x3fffffff,0x55101ff5,0xd8800355,
    0x44ffffff,0xacfffffd,0x1fffdcaa,0x3ffffee0,0x5fffd884,0x701ffee0,
    0xff881fff,0x3fe601ff,0xffff881f,0x07ffe601,0x07ffffe6,0x3ffffe20,
    0xffffffff,0x3ffe2002,0x3ffea002,0x23fffe60,0x2e005ffd,0x01ffa8ff,
    0x7fffffdc,0x3e66ffff,0x4000002f,0x441dfffb,0x2601ffff,0x3e201fff,
    0x732cffff,0x401ffffd,0xd501fffb,0xffa81fff,0x3ff6602f,0x2fffa81f,
    0x07fff660,0x07ffffe6,0x7ffff440,0x00efffff,0x017ffc40,0xc81fff50,
    0x5ffdcfff,0x2a3fee00,0xfda801ff,0x83efffff,0x2a0006ff,0x07fe402f,
    0x3017ffd4,0x5c03fffb,0xffffffff,0x02ffffff,0x98efffcc,0xbfffffeb,
    0x2b7ffe60,0xffffb530,0x7fcc15bf,0xfb530adf,0x415bffff,0x00fffff8,
    0x7ffffdc0,0x88000bef,0x2a002fff,0xffe80fff,0x2005ffff,0x1ffa8ffb,
    0x33ffe600,0x00bff200,0x7017f601,0xfff303ff,0x3f6a615b,0x40adffff,
    0xfffffffa,0x1effffff,0xffffff00,0xffffffff,0xffffe8ff,0xffffffff,
    0x7f47ffff,0xffffffff,0x7fffffff,0x002fffec,0x0f7fffec,0xff8800a8,
    0x3fea002f,0xffff980f,0x3ee005ff,0x001ffa8f,0x100bffe2,0xfd505fff,
    0x440dfb05,0x3ffa07ff,0xffffffff,0x47ffffff,0xfeabffff,0x003fffff,
    0x7fffffd4,0xffffffff,0x3fffe60f,0xffffffff,0x260fffff,0xffffffff,
    0xffffffff,0x07bfa60f,0xfffffb00,0xff97bdff,0xfff8801f,0x3ffea002,
    0xfffff900,0x6e65440b,0xbdffb9ff,0x2fff8801,0xdffffb80,0xd81fffed,
    0xdcccccff,0x3e604fff,0xffffffff,0xffffffff,0x989fff70,0x20000aba,
    0xfffffffa,0x83efffcc,0xffffffd9,0xeffffbcf,0xffffd983,0xfffbcfff,
    0x000103ef,0xfffffff7,0xffffffff,0x66665445,0xacccdfff,0xcfffc980,
    0x7fffc41b,0x3fff605f,0xffffefff,0xfff800ff,0xffff7000,0x3607ffff,
    0xffffffff,0xfd9805ff,0xbcffffff,0x263effff,0x000005ff,0x00357730,
    0x0d5dd440,0x2eea2000,0x0000001a,0x7ffffff4,0xffffffff,0x7ffffec5,
    0xffffffff,0x7ffffcc7,0x7fd43fff,0x3fee05ff,0xffdbffff,0xbf7005ff,
    0xeeca8800,0x3ff600bd,0x3dffffff,0x55dd4400,0x00a98001,0x00000000,
    0x00000000,0x20000000,0x9aaceffa,0x81cfffdb,0xffffffff,0x0fffffff,
    0x3fffffea,0xfffd84ff,0x00000005,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00800400,0x7fffff54,0x3effffff,0xffffffc8,
    0x5fff881d,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x44000000,0x4000000b,0x0000000a,
    0x0006a000,0x00000298,0x54000000,0x00a60001,0x00000000,0x00000001,
    0x6f4c0000,0x77ec0000,0xe9800000,0x7dc0004f,0x36200003,0x3fa0006f,
    0x9500000d,0x2e5bdffd,0x4002cccc,0x20006fd8,0x00000efe,0x220007f7,
    0x8cefffec,0x20acccca,0x88ccccb9,0x0cdfffec,0xfffc8000,0x3e60002f,
    0x200002ff,0x0001fffa,0x03dfffb1,0x2ffe9800,0x3bfea000,0x3f620001,
    0xefffffff,0x03fffffe,0x005ffd30,0x00f7fd40,0xdfffb100,0x7ffd4003,
    0xfeffffff,0xff15ffff,0xfffbffff,0x05ffffff,0x3bffa600,0x0000dfff,
    0x0007ffd3,0x003dff70,0x3fbffea0,0xf50003ff,0x500005ff,0x30005fff,
    0xffffffff,0xffffffff,0xfff5009f,0xff300005,0xff50005f,0x007fffdf,
    0xfffffff9,0xffffffff,0x3fffe2df,0xffffffff,0x005fffff,0xd89fffcc,
    0x10000eff,0x40007ffb,0x0000dffb,0x3a65fff7,0x7d4005ff,0x200000ef,
    0x2001ffe9,0xbdfffff8,0xffffffeb,0x7d400cef,0x200000ef,0x2002ffe8,
    0xfd32fffb,0x7ffcc0bf,0xffdbacef,0x21ceffff,0xfffffeda,0xfffdbcef,
    0x3f2003ff,0x02ffb81e,0x002fe400,0x80009fd0,0xffc80dfe,0x037f2000,
    0x3f620000,0x3fff6003,0xfffd880e,0x37f2005f,0xfb000000,0x06ff4009,
    0x74407fe4,0xff703fff,0xffa80fff,0xff702fff,0x0a2003ff,0x20000510,
    0x00440000,0x2600c400,0x00018001,0x26000800,0x74406fff,0x0c005fff,
    0x00400000,0x03300620,0x7013ffea,0xfa80ffff,0x7dc01fff,0x000005ff,
    0x00000000,0x00000000,0x00000800,0xfff70000,0xbfff3005,0x00000000,
    0x00000000,0x3a00fff7,0x7fd407ff,0xdffb006f,0x26665cc0,0x266665c4,
    0xeffeca80,0x654000bd,0x00bdeffe,0x77ff6540,0x951000bd,0x19dffffd,
    0x99997300,0x99999710,0x400fff90,0x51005ffe,0x0159dfd9,0xefeca880,
    0x544000ac,0x00acefec,0x6401bff6,0x7fd407ff,0xfff7002f,0xfffff301,
    0xfffffd0f,0x7fec401f,0x3fffffff,0xffffd880,0x803fffff,0xffffffd8,
    0x7d403fff,0xffffffff,0x3fe604ff,0xffe87fff,0x7e40ffff,0x3ffa006f,
    0xffffb805,0x004fffff,0xfffffff7,0x3ee009ff,0xffffffff,0x00bffd04,
    0xf501fff2,0x3ee005ff,0xfffa80ff,0xfffe87ff,0xff500fff,0xffffffff,
    0x3ea01dff,0xffffffff,0xf500efff,0xffffffff,0x3201dfff,0xffffffff,
    0xf503ffff,0xfd0fffff,0xa81fffff,0xf9801fff,0x7fdc05ff,0xffffffff,
    0x7ffdc05f,0xffffffff,0x7fffdc05,0x5fffffff,0xb007ffc8,0xffa80fff,
    0xdffb005f,0x3fff6dc0,0x7fff76cc,0xfffff880,0xffffdbce,0xffff884f,
    0xfffdbcef,0xfff884ff,0xffdbceff,0xff304fff,0xfd959bdf,0x76dc0fff,
    0xeed987ff,0x7fc40fff,0x3fa200ff,0x3fee05ff,0xfdcaceff,0xff705fff,
    0xfb959dff,0x3ee0bfff,0xdcacefff,0x7dc5ffff,0x7fcc02ff,0x7ffd407f,
    0x7ffe403f,0x07ffb804,0x7407ffdc,0xf500efff,0xffe83fff,0xfff500ef,
    0xefffe83f,0x3ffff500,0xff900620,0x7ffb801f,0x407ffdc0,0x20bffffd,
    0x5fffffb8,0x05ffff50,0x513fffa6,0x2605ffff,0x7d44fffe,0xfd302fff,
    0x7ffc49ff,0xfffd101f,0xffffa80f,0x7ff4c1df,0xffb801ff,0x07ffdc07,
    0x003bffe6,0x7ccdfff5,0x7d400eff,0x3ffe66ff,0x7ffd400e,0x23331006,
    0x5c01fff9,0x7fdc07ff,0xffffb00f,0xffffffff,0x3ff60bff,0x7ff4401f,
    0x00fffec7,0xfb1fffa2,0xfe8803ff,0x7fffdc7f,0xffff731b,0xfffa80ff,
    0xffffffff,0x7001ffff,0xffb80fff,0x6fffdc0f,0xcccccccc,0xf70fffec,
    0x99999bff,0xfffd9999,0x337ffee1,0xcccccccc,0xb300fffe,0xffffffff,
    0xffb803ff,0x07ffdc07,0xfffffe88,0xffffffff,0x007fff05,0xff87ffee,
    0xfff7003f,0x801fffc3,0x7f41fffb,0xffffffff,0x5407ffff,0xffffffff,
    0x02ffffff,0x701ffee0,0xffd81fff,0xffffffff,0x1fffffff,0xfffffffb,
    0xffffffff,0x3fff63ff,0xffffffff,0x41ffffff,0xffffffd8,0x01ffffff,
    0x2e03ffdc,0x75400fff,0xaeffffff,0xff985ffd,0xfff1001f,0x007ffe67,
    0xf99fffc4,0xff1001ff,0xfffd887f,0xffffffff,0x7ffd407f,0xffffffca,
    0x7dc000cf,0x7ffdc07f,0x7ffffec0,0xffffffff,0xffb3ffff,0xffffffff,
    0x7fffffff,0x3ffffff6,0xffffffff,0x3fa23fff,0xffffffff,0x5c01ffff,
    0x7fdc07ff,0x9953000f,0x42ffec35,0x2000fffb,0xfff75ffe,0xafff4001,
    0x2000fffb,0xff505ffe,0xf97fffff,0xfffa80ff,0x15797511,0x1ffee000,
    0xc81fff70,0xffffffff,0xffffffff,0xfffff93f,0xffffffff,0x3f27ffff,
    0xffffffff,0xffffffff,0x3fffff63,0xffdcaaac,0x3ffdc01f,0x003ffee0,
    0x42ffec00,0x2001fff9,0xfff33fff,0x9fffc003,0x2001fff9,0x54403fff,
    0x1ffee1ab,0x003fff50,0x1ffee000,0xa81fff70,0x40002fff,0x0002fffa,
    0x0017ffd4,0x07fffe20,0x401fff98,0x7dc07ffb,0xb00000ff,0x3ffa0bff,
    0x1fff7005,0xb802fff4,0x3ffa0fff,0x1fff7005,0x37ff4000,0x007ffea0,
    0x7ffdc000,0x1fffd501,0x02ffff88,0xffff1020,0x3e204005,0x02002fff,
    0x4c05fff5,0x5c01fffd,0xfd501fff,0x200001ff,0xff905ffd,0xfffa809f,
    0x027ffe46,0xf91bffea,0xffa809ff,0x3e60006f,0x7fd404ff,0x3000001f,
    0x2e63bfff,0x0bfffffe,0x5effffdc,0x3fb6e621,0x3fffee0e,0x36e621bd,
    0x3fee0efe,0x2621bdff,0xf30efedb,0x2a615bff,0xadfffffd,0x3bfff300,
    0x3ffffae6,0x260000bf,0x980effd9,0x10aeffff,0x87ffffb3,0x0aeffff9,
    0x7ffffb31,0xaeffff98,0xffffb310,0x33333007,0x805ffff9,0x009afffb,
    0xffff8000,0xffffffff,0xffd87fff,0xffffffff,0x6c2fffff,0xffffffff,
    0x2fffffff,0x7fffffec,0xffffffff,0x3ffffa2f,0xffffffff,0x3e07ffff,
    0xffffffff,0x07ffffff,0xfffffc80,0x7cc1efff,0xffffffff,0xf303ffff,
    0xffffffff,0x2607ffff,0xffffffff,0x403fffff,0xfffffffc,0x3f205fff,
    0xefffffff,0x3ea00000,0xffffffff,0x40ffffff,0xffffffd8,0xffffffff,
    0x7fffec40,0xffffffff,0x7fec40ff,0xffffffff,0x3e60ffff,0xffffffff,
    0xffffffff,0xfffff500,0xffffffff,0x7c4001ff,0xffffffff,0xfffe884f,
    0x2fffffff,0x7ffff440,0x02ffffff,0x7fffff44,0x402fffff,0xfffffff8,
    0x3e205fff,0xffffffff,0x5400004f,0xcfffffff,0x203efffc,0xffffffe9,
    0x200bdfff,0xffffffe9,0x200bdfff,0xffffffe9,0x980bdfff,0xfffffffd,
    0x3effffbc,0x7ffffd40,0xefffccff,0xfffe8003,0x02ffffff,0xfffffd91,
    0x3220039d,0xcefffffe,0xffd91001,0x0039dfff,0x3ffffffa,0xffe803df,
    0x1fffffff,0x77300000,0x31000035,0x00135595,0x35595310,0x95310001,
    0x44001355,0x0001abba,0x006aee60,0x5554c000,0x1000aaaa,0x80001573,
    0x0000ab98,0x00055cc4,0x01aaaa98,0xaaaaa980,0x000000aa,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x000007b5,0x0006a000,0x00000000,0x00040000,0x5ef65c40,
    0x55555441,0xaaaaaaaa,0x3b6e602a,0x008002cd,0x4cccb980,0x4ccccb88,
    0xcdeca880,0x80000002,0xd003ccca,0xf50001ff,0x03fe883d,0x0004ff88,
    0x3a20f7d4,0x76dc003f,0xb99cefff,0x7fff5000,0xfffb3000,0x7d49ffff,
    0xffffffff,0x887fffff,0xfffffffc,0x7fec401e,0xfff3004f,0xfffd0fff,
    0x74c01fff,0x0dffffff,0x883df500,0x3ff203fe,0xfff8805f,0x4ffe8002,
    0xc803ffdc,0xd0000dff,0x7ffb89ff,0xffffd300,0xdfffffff,0x1ffffa00,
    0xfffff300,0x7d4fffff,0xffffffff,0x447fffff,0xfffffffe,0xff501fff,
    0x801dffff,0x87fffffa,0x0ffffffe,0xffffff30,0xd001ffff,0x7ffb89ff,
    0x013ffea0,0x000bffe2,0xff30fff2,0x77fdc00d,0x3ffc8001,0x5c037fcc,
    0xffffffff,0x00ffffff,0x004fffb8,0x3fffffe6,0x3ea4ffcd,0xffffffff,
    0x6c7fffff,0xffdfffff,0x7c40efff,0x4ffb8aef,0x7ffedb80,0xfffeed98,
    0xfffff880,0x06ffffee,0x7cc3ffc8,0x3ffe606f,0x2fff8803,0x26055000,
    0x7fd4000b,0x02a8000f,0xff980173,0xfdbbcfff,0x000fffff,0x7cc00151,
    0x040adfff,0x2667ffe6,0xffe99999,0x0bbffe66,0xa87fffd3,0x03fd40ff,
    0xb80fff70,0xffb80fff,0x3ffaa1df,0x302a803f,0x7ffc4017,0x2fff8802,
    0x00000000,0x00017f44,0xfffe8000,0x3fffea04,0xf3000000,0xd800bfff,
    0x7ffc404f,0x40bffee3,0x7e45fff9,0x2003ff04,0x7dc07ffb,0xffff80ff,
    0x06fff880,0xfff00000,0x5fff1003,0x00000000,0x00000020,0x027ffdc0,
    0x0003ffdc,0x09fffd00,0x3ee00200,0x1bff61ff,0xfb8fffb0,0x000ff885,
    0xfb80fff7,0x7ffc40ff,0x07ffee05,0xfd000100,0xfff1001f,0x3b2a0005,
    0x000bdeff,0x95100000,0x80159dfd,0xf1006ffc,0x00a800bf,0x004fff98,
    0x37ff4000,0xe803fff2,0x0ffd46ff,0xfb801ff2,0x7ffdc07f,0x017ffcc0,
    0x2205fff1,0xeffffeca,0x47fd800c,0xfcccccb9,0xcccccdff,0xffffb102,
    0x807fffff,0xccccccb9,0x7ffdc001,0x04ffffff,0x88017ffa,0x03ff4001,
    0x000fffec,0x7fff3000,0x503fffa8,0xffb09fff,0x007ffd7b,0x2e03ffdc,
    0x7fcc0fff,0x3ffe203f,0xfffffa84,0x04ffffff,0xfff537e4,0xffffffff,
    0x87ffffff,0xfffffffa,0x80efffff,0xfffffff8,0x3fee002f,0xffffffff,
    0x07fff05f,0xfff80000,0xbb7ffc01,0x000ceffd,0x20fffdc0,0x8adffff8,
    0x81ffffca,0x4fffffe8,0x2e07fae6,0x7fdc07ff,0x05fff80f,0x3217fffa,
    0xffffffff,0x2e03ffff,0x3fffea5f,0xffffffff,0x224fffff,0xbcefffff,
    0x84fffffd,0xfffffff9,0xfff7002f,0xffb959df,0x9ffd0bff,0x7dc00000,
    0x7ffc02ff,0xffffffec,0x3fa0001f,0xffff306f,0x7fffffff,0x99cecb80,
    0x81ffffec,0x7dc07ffb,0xfffe80ff,0x6ffffb80,0xcdefff98,0x07fffeca,
    0xddd70762,0xddfffddd,0x7419dddd,0xf500efff,0xdb703fff,0x005fffdd,
    0x205ffff5,0x644fffe9,0x800006ff,0x02fffffb,0x3fffffe2,0x1fffffff,
    0x3fff9800,0x3fffff20,0x2006ffff,0xdfffffc9,0x3fff700a,0x03fffaa0,
    0x44bbffee,0x07fffffb,0xfffc8031,0xff100000,0xfff3005f,0xfffa801d,
    0x2fff8806,0x01fffd80,0x2a3fff44,0x91004fff,0xfffb105d,0x7cc03fff,
    0xcdffffff,0x8006ffff,0xd101fffb,0xffffffff,0x7e5403ff,0x00adffff,
    0x30dfffb8,0x7fffffd7,0xdffffd01,0xffffffff,0x23331001,0x0001fff9,
    0x005fff10,0x999bfff7,0xfd999999,0xff8801ff,0x3fff802f,0x43fff700,
    0x1aefffe8,0x37ffdccc,0x67fffff4,0x7fffc400,0x3ff620df,0x7ff4003f,
    0x3ffffa06,0xfffffecf,0x7ffffe40,0x800aa9ad,0xfffffffb,0xffffffff,
    0xfffff987,0x6fffffff,0x3ffff660,0x01ffffff,0x5fff1000,0xfffffb00,
    0xffffffff,0x8803ffff,0x7cc02fff,0xff1001ff,0xffff887f,0xffffffff,
    0x7fcc6fff,0x7fc003ff,0xff880fff,0x3fe6005f,0xdfff703f,0x5fffd985,
    0x44b7ffe2,0x404ffffe,0xfffffffb,0xffffffff,0xfffd880f,0x4ffdbfff,
    0xfffffd88,0x1fffffff,0xfff10000,0xffffb005,0xffffffff,0x807fffff,
    0x5c02fff8,0x3a000fff,0xfff985ff,0xffffffff,0x7fe40eff,0xffd8001f,
    0x1fffa02f,0x01fffc80,0x2203fffb,0x21547fff,0xfffefff8,0x3fffee04,
    0xfccfffff,0x5d403eff,0xfff88bdd,0x7ffff443,0xffffffff,0xf100001f,
    0xff9005ff,0xffffffff,0x7fffffff,0x02fff880,0x000fffcc,0x32207fff,
    0xffffffff,0x9fff02ef,0xffc81300,0x07ffdc07,0x206ffe80,0x7dc05fff,
    0x77ec01ff,0x5c0bfee1,0xabccafff,0xfd800000,0x7ffec1ff,0xdcaaacff,
    0x00001fff,0x5005fff1,0x00005fff,0x00bffe20,0x5c017ffa,0x4c400fff,
    0x009abffc,0x3202fffc,0x3ffee1ff,0x01fff602,0xf027ffcc,0xffa809ff,
    0x417fc01f,0xfff704fe,0x32000000,0x7fc46fff,0x3fe601ff,0x3e00001f,
    0xff8800ff,0x002002ff,0x4017ffc4,0x5404fffc,0x2a006fff,0x3f6003ff,
    0x3ffa01ff,0x41bffe63,0x9005fff8,0x7ec03fff,0x3ffa00ff,0x407fc407,
    0xfff705fb,0xd8800000,0x7d40efff,0x3f6602ff,0x200001ff,0x3ee005fc,
    0x221bdfff,0x00efedb9,0x4017ffc4,0x0aeffff9,0x7ffffb31,0x1fffd400,
    0xdffffa80,0xfffeca9a,0x5efffec4,0x3fffeb98,0x80dffd00,0x89cefffa,
    0x04fffdb9,0x4fd82ff8,0x000fff70,0x75115730,0x303fffff,0x2615bfff,
    0xdfffffda,0x0100000a,0xfffffb00,0xffffffff,0x665cc5ff,0xccdfffdc,
    0xfff981bc,0xffffffff,0x7b5003ff,0x6c00dfb7,0xffffffff,0x7cc4ffff,
    0xffffffff,0xff3006ff,0xffe8809f,0xffffffff,0xefd801ff,0x5c0bfea1,
    0xf80007ff,0xffffffff,0x3ffa02ff,0xffffffff,0x07ffffff,0x99999930,
    0x99999999,0xfffb1059,0xffffffff,0x3fee1fff,0xffffffff,0x884fffff,
    0xfffffffe,0x36002fff,0x004fffff,0x3fffffa2,0x81efffff,0xfffffffa,
    0xf3001fff,0xfb1001ff,0xffffffff,0x3fe2001d,0x205fffef,0x40006ffa,
    0xfffffff8,0x7cc01eff,0xffffffff,0xffffffff,0x7fffd400,0xffffffff,
    0x303fffff,0xfffffffd,0x7e417bff,0xffffffff,0x06ffffff,0xfffffd91,
    0xc880039d,0x8000dfff,0xfffffffb,0x7fecc01c,0x000cffff,0x32001fe4,
    0xdefffffe,0x7ff4c000,0x7fc404ff,0xfeb80004,0x002effff,0x3fffff66,
    0xffffbcff,0xfffb803e,0xffffffff,0x04ffffff,0x4d5654c4,0x3fff6600,
    0xffffffff,0x98801dff,0x300000ab,0x53100001,0x75100013,0x00000135,
    0x02ae6200,0x02ae6000,0x00000c40,0x00006ae2,0x00357751,0x3fff6200,
    0xffffffff,0x001effff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xa8000000,0x002cdedc,0x10000188,
    0x00159d95,0x55555555,0x54c01555,0x000002aa,0x1aaaa880,0x00029800,
    0x00000000,0x59999730,0x33332e60,0x006ba881,0x002e6000,0x20006a60,
    0xfffffffb,0xff5002ef,0x054c19df,0x3ffffea0,0x7ff404ff,0xffffffff,
    0xffffe85f,0x0000000f,0x17ffffea,0x003ff700,0xfc83fe88,0x0cea8006,
    0x3ffffe00,0x7ffcc2ff,0xfb31ffff,0x00000fff,0x200bfffa,0x4fffffc8,
    0xfffffb00,0x05ffffff,0xffffff70,0x540bffdb,0xffffffff,0x3fffa04f,
    0xffffffff,0x3fffe60f,0x000000ff,0x3fffff60,0x17ff2005,0x11ffee00,
    0x22005fff,0x802efffc,0xfffffff8,0x7ffffd43,0xfdff52ff,0xf300000f,
    0xf880bfff,0xefffffff,0x3fffea00,0xfffffdef,0xffdb800f,0x02ffffff,
    0xdbdffff3,0x3a03ffff,0xffffffff,0xffd85fff,0x00000fff,0x3fffa600,
    0xffe8805f,0xdff30004,0x3003ffd0,0x9fffdffd,0xfffea801,0xffeb80ce,
    0x7dc444ff,0xf8800007,0x7f404fff,0xffffffff,0x0fffee05,0x013fff26,
    0xfffffd71,0xfffc80ff,0x837ffd43,0x9999dffe,0x7dc00999,0x000000ff,
    0x05ffe880,0x0003ffe8,0x0dc405cc,0x89fffd40,0xf8806ffe,0x7fe405ff,
    0x01fee02f,0x6ff5c000,0x3bffea00,0x2fffeb9b,0x4403b910,0x7ec05fff,
    0xfffcdfff,0x0bfff103,0x3a07ffee,0x540004ff,0x00000fff,0x0bffd000,
    0x0001ff98,0x3f600000,0x01ffb81e,0x101fffc8,0xfb80dfff,0x00000007,
    0x4c0fffb8,0x80004fff,0x75c07ffc,0x07ffec2d,0xf007ffe4,0x9ffd07ff,
    0xfffa8000,0x00000000,0x0100bffd,0x00000000,0x00188051,0x320bfff1,
    0x7dc02fff,0x00e4c007,0x0fff9000,0x00017ffa,0x00017ffa,0xffb0bffd,
    0x85ffc80b,0x00224ffe,0x911fff50,0x019bfffd,0xeffedb80,0x00bffd1d,
    0xccb98000,0xcccb884c,0x0000004c,0xf107fff2,0xff700dff,0x1bff2200,
    0x7ffc8000,0x004fff98,0x0ffff620,0x79dd9730,0xe83fff51,0x7fdc04ff,
    0xedeffe87,0xa802dfff,0xffffdfff,0x802fffff,0xffffffe9,0x05ffedff,
    0x333332e6,0x7ffcc01c,0xfffe87ff,0x97300fff,0x00399999,0x646fff88,
    0xfb802fff,0xffffa807,0x3f200004,0x3fff6a7f,0x3b26002f,0x00effffe,
    0xffffff91,0x85fff9ff,0x7cc03fff,0x7fff41ff,0xdfffffff,0x3fffea00,
    0xffffffff,0x3fea05ff,0xffffffff,0xf105ffff,0x5fffffff,0xfffffa80,
    0xfffffe87,0xffff880f,0x8002ffff,0xff11fffc,0x1fee00df,0x3ffffd88,
    0x7fe40000,0xdfffffd7,0xffffe800,0xff301fff,0xffffffff,0x7c47ffff,
    0x7fcc02ff,0x7ffff41f,0x6fffffff,0x3ffffea0,0xffecacef,0xfff882ff,
    0xffdbbcff,0xf305ffff,0x5fffffff,0xfffdb700,0xfffddb30,0xfffff301,
    0x10005fff,0x3ff2dfff,0x3fff202f,0x3ea5ffff,0x8800dfff,0x7e400999,
    0xffffff7f,0x7ffc003f,0xd00effff,0x7579ffff,0x4bfffffd,0x4c02fff8,
    0x7fec1fff,0xffebbeff,0xfff503ff,0x3fee05ff,0x7ffec0ff,0xfffe880d,
    0x3bb6e05f,0x2002fffe,0x7dc07ffb,0xddb700ff,0x0005fffd,0x3feffff2,
    0x7ffe406f,0xfd8dffff,0x3cc9afff,0x00ffff60,0x3feefff9,0x001fffff,
    0xffffffb5,0x3dfff90d,0x9bffff20,0x4c02fff8,0x6ec41fff,0xfffe980a,
    0x1ffffa80,0x527ffdc0,0xe880bfff,0x22005fff,0x2e002fff,0x7fdc07ff,
    0xfff1000f,0x3fe20005,0x002fffff,0x6ffffdc0,0x220dffd0,0xfc806fff,
    0x7ffed47f,0x5c4001ff,0x7fc5ffff,0x7fec01ff,0x0bffe27f,0x003fff30,
    0x20bffea0,0xb004fffa,0x7ffdcdff,0x5fffa800,0x0bffe200,0x407ffb80,
    0x1000fffb,0x40005fff,0x06fffffc,0x3fffa600,0x1bfff22e,0x400fffd4,
    0xf9107ffc,0x22000dff,0xff10fffe,0xfff100bf,0x403fff8f,0x0001fffa,
    0x3ea0fffe,0xff7002ff,0x0037fecf,0x4400bfff,0x2e002fff,0x7fdc07ff,
    0xfff1000f,0x7fc40005,0x90002fff,0xf989ffff,0xffb06fff,0x1fff200b,
    0x001fffb0,0x54bffea0,0xff003fff,0x05ffd8df,0x0003ffdc,0x3ea17ffa,
    0xff5001ff,0x013ffa1f,0x2005ffe8,0x2002fff8,0x7dc07ffb,0xff1000ff,
    0xfc80005f,0xf90006ff,0xfe883dff,0xfff06fce,0x1fff2001,0x005fff10,
    0xf9a7ffc0,0xfff003ff,0x406ffb8b,0x40006ffd,0xffa84ffe,0xfff7001f,
    0xf002ffec,0x7c400bff,0x3ee002ff,0x7ffdc07f,0x5fff1000,0xfffd8000,
    0x7ff90002,0x3f27ff20,0x003ffa86,0x3e01fff2,0x3e0004ff,0xbfff14ff,
    0x87fff300,0xf102fff8,0x440009ff,0xffa83fff,0xdffb004f,0x4007ffe4,
    0x2005fff9,0x2002fff8,0x7dc07ffb,0xff1000ff,0x7cc0005f,0x220006ff,
    0x27ff500a,0x06fc86fc,0x553ffe40,0x044bffd0,0x21fffb80,0x7402fffe,
    0xfff81fff,0x81fffb06,0xffc800bb,0xffffa81f,0x27ffdc02,0x880bfff5,
    0x2005fffe,0x2002fff8,0xd501fffb,0x22001fff,0x20002fff,0x0002fffd,
    0x99fff100,0x1ff85ffd,0xbbffe400,0x3ffe23ff,0x133bff33,0x3fff6a62,
    0x67fffcc7,0x27fff4c0,0x31efffb8,0xfb8bfffb,0x53119bff,0xa88dfffb,
    0x9cfffffd,0xffffb310,0xaefffd81,0x3fffee60,0xf8801bef,0x3e6002ff,
    0xfd731dff,0x0017ffff,0x4005fff1,0x6fffa999,0x3e600000,0x7fffffff,
    0xd710015c,0xfffb3fff,0x25fffb11,0xfffffffb,0x3fffffff,0xffffffb8,
    0x0ffffffe,0x3fffffa0,0x541fffff,0xffffffff,0x21ffffff,0xfffffff8,
    0xffffffff,0xff882fff,0xffffffff,0xffffffff,0x37332e62,0xbcccdfff,
    0x3ffffe01,0xffffffff,0x665cc7ff,0xccdfffdc,0x7ffe41bc,0x4fffffff,
    0xaa880000,0x01ffdaaa,0x3fffe600,0xffffcfff,0x3e26ffff,0xffffffff,
    0x3201ffff,0xffffffff,0x7cc01eff,0xffffffff,0xfffffb01,0x5fffffff,
    0xffffff98,0xffffffff,0x3a603fff,0xffffffff,0xffffffff,0xffffff73,
    0xffffffff,0x3ffea09f,0xffffffff,0xff70ffff,0xffffffff,0x229fffff,
    0xffffffff,0x00007fff,0x6ffffb80,0x3ffee000,0xfffaffff,0x4c2fffff,
    0xfffffffc,0xe9800dff,0x3fffffff,0x3fff6200,0x75401eff,0xffffffff,
    0xfffd900c,0xfffffb5f,0x2e001bff,0xefffffff,0x0dffffea,0xfffffff9,
    0xffffffff,0x7fffd40d,0xfffccfff,0x3ffff23e,0xffffffff,0x3ffa6fff,
    0xffffffff,0xb8000005,0x0005ffff,0x3bffff22,0xdfffff54,0xabaa9805,
    0x7310002a,0x98000359,0x4c40009b,0x0001aaba,0x09acaa88,0x57753000,
    0x7fecc001,0xffffffff,0x9801dfff,0x26001abb,0xfffffffd,0x1dffffff,
    0x5555554c,0x000001aa,0x00000000,0x004ddd44,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0x500003ca,0x5cc00079,0x80000bdd,0x0002db98,
    0x00000000,0x98001a98,0x00002aaa,0x000b2a20,0x0def6dcc,0x55555000,
    0x03553100,0xd800b260,0x00efb84f,0x3dffff30,0x7d4017e4,0x3f21efff,
    0x3ffff601,0xd30004ff,0x0005ffff,0xaaaaac80,0xaaaaaaaa,0xe9805aaa,
    0x03efffff,0x3fffffc4,0xd9510000,0x98005fff,0xffffffff,0x7fd4000d,
    0xfd7105ff,0x019fffff,0x2017ffee,0x7fc0fff9,0xfff8804f,0xffedfffd,
    0x6fffc401,0x1ffedfff,0x935bff30,0xf70001ff,0x0005ffdf,0x38000480,
    0x3ffff220,0x00dfffff,0x0ffffff7,0xfffb3000,0x4005ffff,0xfffffffa,
    0x2000ffff,0x445ffffe,0xfffffffd,0xff81ffff,0x7c400fff,0x02ffd87f,
    0xfb10df88,0xf1007fff,0x3fffa219,0xff80403f,0xf1110004,0x4800005f,
    0xd1038000,0xffffffff,0xd103ffff,0x000fffff,0xfffffff0,0x3ea005ff,
    0xffdfffff,0xf7005fff,0xfa8bffff,0xffffffff,0x7ec0efff,0x173006ff,
    0x00005710,0x00001795,0x88001795,0x0002ffc9,0x00017fc4,0x0e000120,
    0x567fffec,0xfffffb99,0x0fff9100,0xffffd000,0x2005fffd,0x221cfffe,
    0x402fffea,0x5ffffff8,0x5effffd4,0x4ffffc99,0x000efec4,0x00000000,
    0x40001000,0x005ffffc,0x002ff880,0x40002400,0x1efffa83,0x09fffb10,
    0x0003ffe4,0x7c4566cc,0xff8802ff,0x3ffe605f,0x7fffec04,0x7ffd45ff,
    0x01fffe00,0x80000000,0xacefeca8,0xfd951000,0x0019dfff,0x077fff54,
    0x7c402ea0,0x0e4c002f,0x43800048,0x800ffff8,0xf901fffd,0x200000ff,
    0x9802fff8,0x7ec00fff,0x3ffe606f,0x7c45ffde,0x7ffdc06f,0xcb980000,
    0x001ccccc,0x7fffffdc,0x7d404fff,0xffffffff,0xfa8004ff,0x7ffd305f,
    0x400bfe20,0x0905ffd8,0xffb87000,0xfff3002f,0x23fff20b,0x03dfffeb,
    0x05fff100,0x3a00b6e0,0x3ffa06ff,0xb85ffd9f,0x7ffd402d,0x7fc40001,
    0x02ffffff,0x3ffffee0,0x05ffffff,0x3ffffff2,0x03ffffff,0xfc87fc80,
    0xff101fff,0xffff5005,0x20001209,0x0037fec3,0x7e41fff2,0xffffffff,
    0x44000eff,0x00002fff,0xb827ffcc,0xbffb4fff,0x37ff4000,0x7ffcc000,
    0x002fffff,0x59dffff7,0x0bffffb9,0x337bffe6,0x07fffeca,0x5fd88151,
    0x07bfffa6,0x2202ff88,0x202ffffd,0x74380004,0x7d4004ff,0xfffc80ff,
    0xffffffff,0x3e2000ef,0x200002ff,0x882fffe8,0xffb0ffff,0xffb1000b,
    0x2e00009f,0x2fffeeed,0x2ffffa80,0x09fffd30,0xfff90062,0xfdfffd01,
    0xff913fff,0x3faa07ff,0x23ffffff,0x00dffffb,0x11c00024,0x98005fff,
    0xffc82fff,0xfdbcefff,0x22002fff,0x00002fff,0x20dfffd1,0x3f63fffc,
    0x3f66005f,0x0001ffff,0x05fff100,0x803fffb0,0x1007ffe8,0x3ffe6333,
    0xffffe981,0xffffaaef,0x2a2cca8e,0xfffffffe,0xaffffe9b,0x240ceeca,
    0xff31c000,0xfff0003f,0x9ffff907,0x009fff10,0x0017ffc4,0x7ffff440,
    0x46fff980,0xe8805ffd,0x02ffffff,0x3fe20000,0x3fff802f,0x03fff700,
    0x3fffff66,0x201fffff,0xffb11998,0x3ffe27ff,0x7ffdc005,0xffffd8cf,
    0x000121ff,0x02fff88e,0x417ffc40,0x3602fffc,0x3e2007ff,0x4c0002ff,
    0xd00fffff,0xffd85fff,0xffff8805,0xbfb101df,0x3fe20005,0x7ffcc02f,
    0x7fff1001,0xfffffd88,0x1fffffff,0x3fffee00,0x17fffa0d,0x77fff4c0,
    0xd537ffb1,0x400024df,0x001fffc3,0x3203ffea,0x7fdc07ff,0x3ffe2007,
    0x3fea0002,0xff501eff,0x0bffb0bf,0x03dfff10,0x007fffd8,0x805fff10,
    0x2000fffb,0x3fa25ffe,0xffffffff,0x8801ffff,0x5c2ffffd,0xc805ffff,
    0x7f44ffff,0x048ffcc2,0x7fec3800,0x3ffdc005,0x5c07ffc8,0x3e2007ff,
    0xf70002ff,0x2201dfff,0xaaacffff,0x801effea,0xfe800ffe,0x88000fff,
    0x7cc02fff,0x3fe001ff,0x3ffff63f,0xfdcaaacf,0xfff801ff,0x67fcc0df,
    0x7fec05fe,0xf70101ef,0x2000121f,0x017ffe43,0x906fff88,0xffb80fff,
    0x3ffe2007,0xfffc8002,0x3fea00ef,0xffffffff,0x4c04ffff,0xfff7002c,
    0x3fe2000b,0x5ffe802f,0x21fff700,0x201ffff8,0xf801fff9,0x1dfd02ef,
    0xffd80bfd,0x2ffdc003,0x98700009,0xfb006fff,0x3ff205ff,0x03ffdc07,
    0x005fff10,0x05ffffd8,0xffffffa8,0xffffffff,0xb9800006,0x3fe20002,
    0xfffc802f,0x37ffd404,0x4c05fff5,0x9801fffd,0x747ff202,0x0054405f,
    0x0917ff60,0xff707000,0x3f6201df,0x3ff205ff,0x03ffdc07,0x005fff10,
    0x13ffffa2,0x7ffffd40,0xffffffff,0x0000002e,0x5fff1000,0xdffff300,
    0x3ff66215,0x3ffe63ff,0xffb530ad,0x0015bfff,0x333ffe60,0x00001eff,
    0x1213ffa6,0x7ec0e000,0xd731bfff,0x6401ffff,0x7fdc07ff,0x3ffe2007,
    0xffff9802,0xd800002f,0x002005ff,0x99730000,0x99bfffb9,0xfff30379,
    0xffffffff,0xfffd07ff,0xffffffff,0x00ffffff,0x3ffffee0,0x00006fff,
    0x1205fff7,0x7c40e000,0xffffffff,0x5102ffff,0x8837fffb,0x81bfffda,
    0xfffcccca,0x220acccd,0xccefffff,0x2fdccccc,0xffecb880,0x7ff4c02e,
    0x20f7d403,0x3fee3fe8,0xffffffff,0x884fffff,0xfffffffe,0xff302fff,
    0xffffffff,0x1fffffff,0x55553000,0x0001dfd5,0x40effd88,0x0e000120,
    0xfffffd88,0x200effff,0xfffffffd,0x3fffff60,0x3fff61ff,0xffffffff,
    0x3ffe27ff,0xffffffff,0x4c05ffff,0xffffffff,0x1ffff604,0xfb89ffd0,
    0x3ffff27f,0xffffffff,0xd9106fff,0x39dfffff,0xffffd980,0xfffbcfff,
    0x900003ef,0x0009ffff,0xffffffb8,0x00091fff,0xfff50070,0x8809dfff,
    0xffffffff,0x3fffffe2,0x3fffe3ff,0xffffffff,0xfff11fff,0xffffffff,
    0xa80fffff,0xffffffff,0x17ffee06,0xf985ff90,0x3fff666f,0xffffffff,
    0x98801dff,0xa88000ab,0x00001abb,0x3ffff200,0x7fdc0004,0x3fffffff,
    0x99999999,0x99999999,0x5cc400b9,0x3fae000a,0x7544efff,0x20dfffff,
    0xffffffda,0x23efffff,0xfffffff8,0xffffffff,0xfffec807,0x54c01dff,
    0x26055001,0x0000000b,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x9aa88000,0x54c40000,0x00000019,
    0x555554c0,0xaa88000a,0x5551002a,0x00000035,0x80033553,0x0001aa98,
    0x00009a98,0xbceedca8,0xfeec8800,0x3ae0ceff,0x00ceffff,0x7ffffecc,
    0x0ceeefff,0x00f7774c,0xfffffd73,0xa807d53b,0xefffffec,0x7cc04dac,
    0x3fe0001f,0x02ffffff,0x06fffa80,0x5fffffa8,0xfb300000,0x5dffffff,
    0x7ffffd40,0x002dabef,0x3bfffff9,0xffff9000,0x019fffff,0x7fffffdc,
    0xffff54ff,0xd80bffff,0xffffffff,0x643fffff,0xfb106fff,0xffffffff,
    0x2e01ffff,0xffffffff,0x201fffff,0x30003ffc,0xffffffff,0xfff50005,
    0xffffb00d,0x700000bf,0xffffffff,0xffd10fff,0xffffffff,0xffe880ff,
    0x01ffffff,0x59dffd10,0x3ffffb73,0x3ffffea0,0xfff33fff,0x809fffff,
    0xfffffffd,0x42ffffff,0xe881fffe,0xffffffff,0x82ffffff,0xfffffffd,
    0x3fffffff,0x0017ffa0,0xffffffd8,0xffa8002f,0xffea806f,0x400005ff,
    0xfffffff9,0xfd87ffff,0xffffffff,0x3601ffff,0xffffffff,0xfff9805f,
    0x17ff4c02,0xccfffda8,0x7ffe5cc2,0x654400ae,0xdfffdccc,0x7ffc42cc,
    0xbffffd05,0xfff95337,0xfffd87ff,0xea999bdf,0x3a03ffff,0x980005ff,
    0x002fffa9,0x002aaa88,0x0017ffa2,0x7bfff900,0x83997533,0x9adffffb,
    0x1fffffb9,0x37dfff30,0x401fffb3,0x1000dfe8,0x3ee01ffd,0xffe800ff,
    0x7fcc0004,0x3ffea01f,0x1ffffb81,0x8ffffa60,0x401ffffa,0x3a03fffb,
    0x200005ff,0x0002fff8,0x5ffe8000,0x7ff40000,0xfffd8006,0x3fffd101,
    0x20bffea0,0x77e404fc,0xbeeeeeb8,0xb837f441,0xfe800fff,0x7cc0004f,
    0x3ff601ff,0x03fffd05,0x745fff30,0xfd001fff,0xffcb983f,0xccccccef,
    0x3fe2002c,0x0000002f,0x0005ffe8,0x0027ffc0,0x2a027ffc,0xff701fff,
    0x7fc4000f,0xffffffd1,0x81ff88df,0xe800fffb,0x4c0004ff,0x3fe01fff,
    0x3fff880f,0x543ffa00,0x2a003fff,0x7fffc45f,0xffffffff,0xf1002fff,
    0x2e6005ff,0x01cccccc,0xa897ffa0,0x102ccccc,0x9dfff997,0x20379999,
    0xfe804fff,0x03ffea07,0x2e2fdc00,0x2fda99cf,0x7fdc2fe4,0x4ffe800f,
    0x7ffcc000,0x209ff301,0x2001fffa,0x3ffee3d9,0xff980001,0xffffffff,
    0x003fffff,0x1005fff1,0xffffffff,0x2fff4005,0xfffffffb,0xfffffb07,
    0xffffffff,0x5fff901f,0x2200a880,0xd0002fff,0x443fb87f,0x5c3fd45f,
    0xfe800fff,0x7cc0004f,0x1ff701ff,0x001fff20,0x001fff60,0xfffedb80,
    0xdeeeeeef,0x3ffe2003,0xffff9802,0x2002ffff,0x3ffa5ffe,0xe84fffff,
    0xffffffff,0x81ffffff,0xaceffffa,0x7fccc000,0x200099cf,0x11fdc1ff,
    0x0ff889fb,0x4007ffdc,0x40004ffe,0xfb01fff9,0x02fff409,0x02fff400,
    0x5ffe8000,0x3fe20000,0xddb7002f,0x4005fffd,0x3ff65ffe,0x980ceeff,
    0xeefffeec,0x203deeee,0xfffffffc,0x3fee02ce,0xffffffff,0x40ff800e,
    0xeffeeefb,0x7dc1fe80,0xffe800ff,0x7fcc0004,0xe807301f,0xe80004ff,
    0x000004ff,0x0000bffd,0x0017ffc4,0x002fff88,0x3fa37ffa,0xf8004fff,
    0x2e0004ff,0xffffffff,0xfffe81ff,0xffffffff,0x5c0ff802,0x00ffffff,
    0xfffb83ff,0x84ffe800,0xff9804ea,0x3fa0001f,0xfe80004f,0xfffb504f,
    0x205bffff,0x00005ffe,0x000bffe2,0x0017ffc4,0xffffdffd,0x3fe0005f,
    0x64c0004f,0xfffffffe,0x7fffdc3f,0x0effffff,0x7dc2fe80,0x983ffa9c,
    0x7ffdc0ff,0x84ffe800,0x7cc00ffe,0xd00801ff,0xd0000bff,0x3ffa0bff,
    0x6fffffff,0x000bffd0,0x017ffc40,0x02fff880,0x3fffffa0,0x3e0001ff,
    0x200004ff,0xffffdba8,0xff99981f,0x360009cf,0xd11fdc3f,0xa86fb85f,
    0xfe800fff,0x17ffc44f,0x007ffe60,0xfffb09f3,0xdff90000,0x3fffff60,
    0xfd05ffff,0x440000bf,0x10002fff,0x74005fff,0x02ffffff,0x027ffc00,
    0xff910000,0x7ffc407f,0x26fa8003,0x3e62dfc8,0x307fb0af,0xff005fff,
    0x2fff887f,0x00fffd40,0x3fee1bee,0x7d40001f,0x3332607f,0x3a05fffc,
    0x200005ff,0x0002fff8,0x4005fff1,0xfffffffe,0x3ffe0002,0x0ff4c004,
    0x206ffd80,0x0002fffa,0x3fffa9ff,0x2affee2f,0xfff880ff,0x17ffcc06,
    0x700bffe2,0xff700fff,0x06fff885,0xff885d40,0x3ffe004f,0x017ffa03,
    0x2fff8800,0x5fff1000,0x77fff400,0x0003ffff,0xc8009fff,0xff9005ff,
    0x0fffe40f,0x4ffd4020,0xbb83ccc9,0x3fa04ffb,0xfff302ff,0x3fff881f,
    0x017ffe20,0xfb0bffee,0xf9001bff,0x17fff4bf,0x203fff80,0x54406ffd,
    0x2fff8802,0x5fff1000,0xcafff400,0x8004ffff,0x74004fff,0x7cc03fff,
    0xffd106ff,0x80efb80f,0xf5003ffc,0xfffa80df,0xffb98bef,0xfff883ff,
    0xff732cef,0x5e5407ff,0x7f445fdb,0x511acfff,0x4cdfffd7,0x09beffff,
    0x7fffd953,0x8dfffe40,0x4fffeca8,0x017ffc40,0x02fff880,0xfb97ffa0,
    0x7c005fff,0x7f4004ff,0x731befff,0x889ffffd,0xcceffffb,0xfffccccc,
    0x03bffb02,0x01dff951,0xffffff90,0x20dfffff,0xfffffff8,0x04ffffff,
    0x1ffffff4,0xffffffd8,0xffffffff,0x7ffffdc2,0xffffffff,0x3fea03ff,
    0xffffffff,0x32e65fff,0xcdfffccc,0x65cc1bcc,0xcdfffdcc,0x7dcc1bcc,
    0x7ffd45ff,0x5440acef,0xccefffcc,0xffb01bcc,0xffffffff,0xe81dffff,
    0xffffffff,0xffffffff,0x3fffee01,0x4ffffece,0x7fffe400,0x00dfffff,
    0x3fffffaa,0x803fffff,0x405fffd9,0xfffffffd,0x701effff,0xffffffff,
    0x03bfffff,0xffffffc8,0x71efffff,0xffffffff,0x9fffffff,0x3fffffee,
    0xffffffff,0xfffff74f,0xfffff88b,0x3ffe27ff,0xffffffff,0xffc84fff,
    0xffffffff,0xff81efff,0xffffffff,0x06ffffff,0xfffffc88,0x30001cff,
    0x7ffffffd,0x7ffe4c00,0x8002dfff,0xffb50009,0x07dfffff,0xffffd910,
    0x0019ffff,0x7fffffdc,0x7fe42dff,0xffffffff,0xf96fffff,0xffffffff,
    0x2dffffff,0x45fffffc,0xfffffffa,0xfffff30f,0xffffffff,0x73db30df,
    0xfffffffd,0x7fff5405,0xffffffff,0x4c000def,0x00009aaa,0x00157310,
    0x001ba880,0xa9880000,0x440000ab,0x00019aba,0x026f2a62,0xfffffd98,
    0xffffffff,0xffffb31d,0xffffffff,0x3ff663bf,0xffec85ff,0x7f643eff,
    0xffffffff,0x26001dff,0x00009aba,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2f3bb72a,0x2f260000,0xffb50000,0xfb7017df,
    0xfda87dff,0xfd702eff,0x5c39dfff,0xeffffffe,0x0001bcee,0x00000000,
    0xd9100544,0xffffffff,0x3dddffff,0xfc800000,0xffffffff,0xeeefffff,
    0xffffd704,0x00009dff,0x7ffffe40,0x000cffff,0x8fffffa2,0x3fe203fa,
    0x4c4fffff,0x1fffffff,0xfffffff1,0xfffff981,0xfff55fff,0xffffffff,
    0xd801bfff,0x000000cf,0x6ff98040,0x3fffff60,0xffffffff,0x0001ffff,
    0x7e47bae0,0xffffffff,0xffffffff,0xfffff985,0x000fffff,0x77ff4400,
    0xfffdb9ac,0xbffb001f,0x9ffbdfff,0x7ffffc40,0x7ffcc4ff,0x3fe1ffff,
    0x445fffff,0xffffffff,0xffffff34,0xffffffff,0x3fea01ff,0x000003ff,
    0x37ffb2a2,0x0ffff98a,0xffffff90,0xffffffff,0x00003fff,0x329fffd5,
    0xffffffff,0xffffffff,0xffff985f,0x03ffffff,0x3ffe6000,0x17ff4c02,
    0xff90f6c0,0xf9300bff,0xf701bfff,0xb9859fff,0x42fffffd,0xaefffcb9,
    0x3fffae60,0xfffdcccc,0xfff305ff,0x00005dff,0xffffffd8,0x5fffffff,
    0x3fff2a20,0xccccfffb,0x0001fffd,0x3fffffa6,0x999fff93,0x999bfffb,
    0x2e60bfff,0xffffffcc,0xfd100006,0x3fa2001b,0x9930000f,0xfffa8001,
    0x09fff906,0x6fffffa8,0xc817ff60,0xfd5107ff,0x3fa603ff,0x001effff,
    0xfffffd80,0xffffffff,0x5bff3005,0xff981fff,0xfd88001f,0x323fffff,
    0x7ffcc7ff,0x402fff41,0xfffffff8,0xefc80001,0x33ffb220,0x00dfd14b,
    0x3f600000,0x7ffcc4ff,0x7ffd400e,0xffb04fff,0x03ffe40b,0x700fffe6,
    0x1bffffff,0x3fff6000,0xffdbacdf,0xf7001fff,0x81fff55f,0x2001fff9,
    0xffffffc8,0x23ffe40c,0x7f41fff9,0xfffb805f,0x0005fffa,0xfd30ffc4,
    0x21ffffff,0xcca81ff8,0xdfffb54c,0xfff88007,0x07fffa1f,0x3ffffea0,
    0x5ffd81ff,0x201fff20,0xc8804fff,0x0cffffff,0x3bfff600,0x7ffff441,
    0x1ffd005f,0x4421fff5,0xf7000fff,0x01bfffff,0xff31fff2,0x05ffe83f,
    0xffb6ffe8,0x7dc0001f,0xb896ff45,0x717f20ff,0xffbfffff,0x03dfffff,
    0xcb7ffd40,0xf5004fff,0x0dfff7ff,0x7e40bffb,0x7ffd407f,0x3ff62002,
    0xf003ffff,0xffd10dff,0x805fffff,0xfff56ff8,0x1bfadf91,0x3ffffaa0,
    0x7fdc01ef,0x20fffcc6,0x7d404ffc,0x7fff33ff,0x51ff4000,0xa83f60df,
    0x7fffdc7f,0xffffffff,0x32000fff,0x6fffdfff,0x23ffea00,0x7ec3fffd,
    0x1fff205f,0x07fffe44,0x7fff4c00,0x3e602eff,0x7ff441ff,0x04fffaef,
    0xffaa7fd4,0x031fffaf,0xfffffe98,0x7ff1002e,0x541fff98,0x7fec01ff,
    0x01bffa0f,0x3f21ff80,0xff883103,0x3fffb220,0xffdbceff,0x3e2004ff,
    0x01ffffff,0x223ffea0,0x3f60ffff,0x3fff205f,0xfffecccc,0x540004ff,
    0x1efffffe,0x7446ffc8,0xffd0efff,0x51ffd80b,0x5fffffff,0xffffd880,
    0x188003ff,0x881fff98,0x2fffc400,0x0007ffee,0x01fb07fc,0xfb81fe80,
    0xffd04fff,0xfffa800d,0x7d4004ff,0xbfff70ff,0xf902ffec,0xffffffff,
    0x00007fff,0x7fffffdc,0x897ff60d,0x320efffe,0x3ffc06ff,0xfffffff5,
    0x3fff2205,0x0000cfff,0x00fffcc0,0x41fffb80,0x0005fff8,0x007ec1ff,
    0x3ee07fe0,0x3ff203ff,0xffffb807,0x5fffffff,0x20fffa80,0xffb2fffe,
    0x7fffe40b,0x2fffffff,0x3f220000,0x20cfffff,0xfe88fffc,0x7ff40eff,
    0x277fea04,0xffffffb9,0x3ffee02f,0x0000dfff,0x00fffcc0,0x99fffe80,
    0x0fffd999,0x322fe800,0x3fe6003f,0x407ffb80,0x4400fffb,0xcfffbaaa,
    0xfa801aaa,0x3ffe60ff,0x205ffd8f,0xfffffffc,0x0002ffff,0xffffff70,
    0x9fff701b,0xa81ffffb,0x3f202fff,0xffffffff,0x4401fffa,0xcffffffc,
    0xff300000,0xff50003f,0xffffffff,0xb0007fff,0x5037d47f,0xff706fb8,
    0x0fffb80f,0x17ffc400,0x07ffd400,0x3f73fff2,0x1fff205f,0x05ffffd1,
    0x7fff5400,0x3e201eff,0x1fffffff,0x203fffd4,0xfffffffe,0x006fc8ff,
    0x3fffff62,0xf980003f,0xfd8001ff,0xffffffff,0x8006ffff,0x5f7f46fa,
    0x362fea89,0x0fff703f,0x400fffb8,0xfffbaaa8,0xa800aaac,0xffe80fff,
    0x3205ffff,0xfffb07ff,0xfe98003f,0x002effff,0x5ffffff7,0x3ffff6a2,
    0x33bfe604,0x10fffdcc,0x74c00cb8,0x02efffff,0x07ffe600,0xfffff100,
    0xffffffff,0xff0003ff,0x7ffff449,0x03fea5ff,0x2e03ffdc,0x7dc00fff,
    0xffffffff,0xffa805ff,0xffff980f,0x3ff205ff,0x3ffff207,0xfffd8800,
    0xf8003fff,0xffffffff,0x403fffff,0x7fd43ffb,0x04ff980f,0xfffffd50,
    0xff30003d,0xffb8003f,0xaaaaaabf,0x005fffaa,0x6541ffa8,0x3fea0bde,
    0x01ffee04,0x1001fff7,0x37fff533,0x3fea0033,0xffff900f,0x3ffe40bf,
    0x817fff60,0xffffffc8,0xffd8000c,0xffffffff,0xfe802fff,0x07ffd41f,
    0x2003ffdc,0xdffffffb,0x3ffe6001,0x37ffc001,0x00fffc80,0x003ffc80,
    0xfb80dff5,0x7ffdc07f,0xfcca8800,0x800bcdff,0x1bcfffc9,0x2fffffc4,
    0x67fff5c4,0xffff880b,0x7fffdc2c,0x90000dff,0xffdbffff,0x8039dfff,
    0x88bfffba,0xcccfffdb,0x007ffecc,0xfffffc88,0x372e604f,0x02ccdfff,
    0x2fbfff26,0xfffb7101,0xffb0005b,0xff95103b,0x3f6a201d,0xfd981bff,
    0x7f400bff,0xffffffff,0x3ffe600f,0x543fffff,0x7c45ffff,0xffffffff,
    0xfffff981,0xdfffff53,0x7fc40003,0x2ae621ff,0xffff5000,0xfffffdff,
    0xffffffff,0x6c4000ff,0xc84fffff,0xffffffff,0xffb85fff,0x42ffffff,
    0xfffffff8,0xffb8004f,0xfffeceff,0x7ffec04f,0x3ea1ffff,0x207fffff,
    0xfffffff8,0x2a02ffff,0xffffffff,0x45fffd84,0xfffffffa,0xfff703ff,
    0x3bffeabf,0xffd00002,0x3f200005,0xffffffff,0xffffffff,0x0007ffff,
    0x84fffe98,0xfffffffe,0xfc86ffff,0x3fffffff,0x7fffffd4,0x910006ff,
    0x9fffffff,0xfffff003,0x7fdc7fff,0x200fffff,0xffffffeb,0xffc804ef,
    0x881dffff,0xfec85fff,0x00cfffff,0xec877ff6,0x5c400003,0x36200001,
    0xebaeffff,0xffffffff,0x0007ffff,0x260376a0,0xfffffffd,0xfd982dff,
    0x80dfffff,0xdfffffec,0xaa980002,0x3aa0009a,0x20dfffff,0x3effffd8,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2e600000,0xb30099cc,0xdffffffd,0x3fae007b,
    0xffffffff,0x000003ce,0xffffd700,0x0379ddff,0xffffff90,0xbddfffff,
    0xcefffda8,0xdeffeb80,0x77ffed43,0xeffeb80c,0x7ffedc3d,0x76441def,
    0x223eefff,0xceefffec,0xffffeb80,0x3ff6a1de,0xffffffff,0x44eeefff,
    0x0cefffeb,0x33bfffae,0x3ffff200,0xffd82fff,0xffffffff,0x7ffd402f,
    0xffffffff,0x0001efff,0x7cc009f7,0xffffffff,0x200dffff,0xfffffffc,
    0x27ffffff,0xfffffff8,0x7ffffd43,0xffff12ff,0xffa87fff,0xf32fffff,
    0xdfffffff,0xffffffc8,0xffff93ff,0xf987ffff,0x6fffffff,0xfffffff1,
    0xffffffff,0x7fd4bfff,0xf34fffff,0x0bffffff,0x3ffffff2,0xfffc84ff,
    0xffffffff,0x7fffcc01,0xffffffff,0x8001ffff,0xf3000fff,0xffffffff,
    0x05ffffff,0x3ffffff2,0x7fffffff,0x7ffffffc,0x7ffffd43,0xffff11ff,
    0xff987fff,0xf11fffff,0xbfffffff,0xffffffb8,0xffff72ff,0xf985ffff,
    0x4fffffff,0x3ffffffe,0xffffffff,0x3fe65fff,0xf14fffff,0x09ffffff,
    0xfffffff5,0xf95103ff,0x37999dff,0x3ffae600,0xfecccccf,0x2000ffff,
    0x2002fff8,0xccdfffc9,0xffffffdc,0xccfffc81,0xfffecccc,0x7fffdc46,
    0x9ffff704,0xffffc983,0xbffff704,0xcfffe983,0xecca80bc,0x7edc2fff,
    0x7302ceff,0x417bfffb,0xccfffdb9,0xfccccccc,0x7ff4c5ff,0x7f5cc2cf,
    0xffc80bff,0x001bb12f,0x5555bfff,0x3f200335,0x3ff2206f,0x3fe2002f,
    0x7fcc002f,0xfffb301f,0x20dff90d,0x501ffff9,0x3f20dfff,0x7fdc04ff,
    0xfffe80ff,0x01fff205,0x7c0dffb0,0xff9006ff,0x7ffd403f,0x85ffe800,
    0x7dc06ffc,0x17ffa07f,0xfffff800,0x3fffffff,0x2037fe40,0x2004fff8,
    0x4002fff8,0x2201fff9,0x7e42fffe,0xffff886f,0x1fffec03,0x401bffea,
    0x7e46fffd,0x7fdc06ff,0x21f774c7,0x3f205ffe,0x7fc401ff,0x7ffd405f,
    0x85ffd800,0x7dc06ffc,0x3fff607f,0xffff0000,0xffffffff,0x3ff201df,
    0x27ffc406,0x05fff100,0x01fff980,0x3237ffc4,0xfffe85ff,0xffff8804,
    0x03ffff11,0xbaffff40,0x5400ffff,0x3ff20fff,0x027ffc6f,0xb80bfff1,
    0x7d402fff,0x833220ff,0xffc83ffb,0x03ffdc06,0x0009fff7,0x3333bffe,
    0x4ffffdcc,0x440dff90,0x2002fffc,0x4002fff8,0xb801fff9,0x3fea1fff,
    0x037ffe43,0x32dfff50,0x44004fff,0xfffdfffe,0xfff9801f,0x87ffffe1,
    0x7ec03fff,0x3ffa00ff,0x0fffa807,0xcc88ffee,0x406ffc80,0x7fc07ffb,
    0xff8001ff,0x3ffe204f,0x33fff906,0xffffb733,0x7fc4001f,0x3f26002f,
    0x80aaacff,0x14c2fffa,0x003fffea,0xffbfffb0,0x3e6000df,0x03ffffff,
    0x265fff10,0xf13fffff,0xffa805ff,0x7fff303f,0x35fff500,0x400bffb3,
    0x9999fffc,0x07ffc999,0x01bfffa2,0x9013ffe0,0xff901fff,0xffffffff,
    0x36e05fff,0xfffeeeee,0x0bdeeeee,0xfffffff1,0xf881ffff,0x7fcc03ff,
    0xf88002ff,0x01ffffff,0x3fffea00,0x7ffc004f,0xdfffff93,0x2007ffe6,
    0xffb06ffe,0xfff5001f,0x0dffffff,0x7ffffe40,0xffffffff,0xffffd107,
    0x81fffc9f,0x7cc04fff,0xfffc81ff,0xffffffff,0xfffa82ff,0xffffffff,
    0x74ffffff,0xffffffff,0xfff05fff,0x7fff4407,0x3fea0004,0x80003fff,
    0x000ffffe,0xfffa7ffc,0xffa9ffff,0xfffb800f,0x02fffc42,0xffffffa8,
    0x32006fff,0xffffffff,0x887fffff,0xfffffffe,0x80ffff99,0x7e404fff,
    0xfffc80ff,0xffffffff,0x7fd42fff,0xffffffff,0x3fffffff,0xfffffff1,
    0xff01dfff,0x7ffec07f,0xffc80005,0xfc80006f,0x4006ffff,0xfff9dffe,
    0xffbbfffc,0xbfff1007,0x001fffb8,0xfffffff5,0x7e400dff,0xffffffff,
    0xfb87ffff,0xefffadff,0xff07fffc,0x7ffc409f,0x55fff906,0xffd95555,
    0xeeca85ff,0xeefffeee,0xa883deee,0x0199afff,0x2e05fff1,0x1a80efff,
    0x0bffe200,0xffff7000,0x6c00bfff,0x8fffceff,0x7ffceffe,0x83fff200,
    0x2a006fff,0xfd99afff,0x3ff2005f,0xaaaaaaaf,0xffd87ffd,0x3fffff26,
    0xbfff00ef,0xffb97555,0x3ff207ff,0x5fffc806,0x05fff100,0x01fff980,
    0x981fffa8,0xfb81ffff,0xfff1002f,0x7fcc0005,0x3fffeaff,0xfffff900,
    0x3bffeebf,0x3e6006ff,0x7fff54ff,0x07ffd400,0x64007ff7,0x7fdc06ff,
    0x743fff87,0x202fffff,0xffffffff,0x203fffff,0xfd006ffc,0x3fe200ff,
    0x7fcc002f,0x7ffc801f,0x03ffff88,0x22009ffb,0x10002fff,0x3e67ffff,
    0xfb802fff,0xf33fffff,0x00bfffff,0xffd7ffe8,0x7fd4001f,0x0037220f,
    0x5c06ffc8,0x5fff87ff,0x07ffffcc,0xfffffff0,0x803dffff,0xf5006ffc,
    0xff1001ff,0xff98005f,0x7ffd401f,0x04fffe86,0x44017ffa,0xd0002fff,
    0xffa8bfff,0x7fd401ff,0x3fa0ffff,0x4004ffff,0xfffcfffa,0x7ffd4004,
    0xffc80000,0x43ffdc06,0x989bfffe,0x00aefffe,0x5555bfff,0x3f200155,
    0xfffb006f,0x0bffe200,0x03fff300,0x20ffffdc,0x7406fffc,0xff1005ff,
    0xffb0005f,0x3fff20df,0x3ffe600e,0x7ffdc6ff,0xff8003ff,0x001fffff,
    0x0007ffd4,0x2037fe40,0xffa87ffb,0xffffffff,0x7dcc6fff,0x0bccceff,
    0xfffd7100,0x99999999,0x200bffff,0x2002fff8,0xccdfffc8,0xfffffecc,
    0x6ffffcc3,0xfccccccc,0x32e605ff,0xaccdfffc,0x3fff2600,0xffff303f,
    0x3ffe203d,0x7ffcc3ff,0xfc8002ff,0x2005ffff,0xccfffda8,0x51000acc,
    0x8837fffd,0x41bfffea,0xfffffffd,0x91ffffff,0xffffffff,0xf9801fff,
    0xffffffff,0xffffffff,0xfff1001f,0x3ffe2005,0xffffffff,0xfa85ffff,
    0xffffffff,0x05ffffff,0xfffffff9,0x260bffff,0x5fffffff,0x7fffffdc,
    0xfffff04f,0x3ffffd01,0xffff1000,0x7ffc005f,0xffffffff,0xffffd006,
    0x3fe27fff,0x41ffffff,0xeffffffb,0x3f63effd,0xffffffff,0x7fd402ff,
    0xffffffff,0x2effffff,0x007ffc00,0xffffffa8,0xffffffff,0xfffff503,
    0xffffffff,0x3ff60bff,0xffffffff,0xffff707f,0xffc8ffff,0xd05fffff,
    0x3ee0dfff,0xb0000fff,0x4400ffff,0xffffffff,0xf8807fff,0x5fffffff,
    0xfffffff3,0x5753107f,0xfffb3003,0x09dfffff,0x3ffffb20,0xefffffff,
    0x9d70003c,0xfffec800,0xacdeffff,0x3fffea00,0xffffffff,0xfb305fff,
    0xffffffff,0x3ff6205d,0x6cc2dfff,0x01dfffff,0x2207fffb,0x20007fff,
    0x4003fffa,0xffffffeb,0xd7002eff,0x43bfffff,0xdfffffec,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7fffff5c,0xefffffff,0x7ff5c4ee,0xbceeffff,0xfffdb801,
    0xeffd800e,0x3ff260ce,0xdeefffff,0xfd9100bc,0x7bdfffff,0x7ffed400,
    0xeeffffff,0x7fff5c2d,0x3b223def,0x4003deff,0x000004ea,0x00020000,
    0x00000000,0xffff5000,0xffffffff,0x54bfffff,0xffffffff,0x00dfffff,
    0x7ffffff1,0xfffff880,0x3ffff63f,0xffffffff,0xfffc82ff,0xffffffff,
    0xfffff002,0xffffffff,0x3ffea1ff,0x92ffffff,0x5fffffff,0x00fffc00,
    0xfffdb700,0x8017339d,0xdffffed9,0x54400baa,0x00acefec,0x37ffb6a0,
    0x0bbfb222,0xffffff30,0xffffffff,0x7fccbfff,0xffffffff,0x882fffff,
    0x07ffffff,0x7fffffe4,0x3fffff23,0xffffffff,0x7ffe44ff,0xffffffff,
    0xffffd001,0xffffffff,0x7fffccff,0xf91fffff,0x03ffffff,0x0007fec0,
    0x7fffff4c,0x06ffffff,0xffffffb1,0x409fffff,0xfffffffb,0x7fcc04ff,
    0x9cffffff,0x04ffffff,0x67fff5cc,0xfccccccc,0x7fecc5ff,0xffdcccdf,
    0xd980ffff,0x102fffff,0x85ffffff,0xcefffca8,0xffffeccc,0x3732a22f,
    0x01bccfff,0x33332e20,0xbcccdfff,0x7fff5cc1,0x3ffe21bc,0x44001cff,
    0xffb8001b,0xffffffff,0xfe80ffff,0xffffffff,0xff706fff,0xffffffff,
    0x7ffdc0bf,0xffffffff,0x04ffffff,0xd807ffc8,0xfff985ff,0xdfffd301,
    0x3ffffee0,0xfffff706,0x04fff80d,0x40dfff93,0x0000fffa,0x00bffe20,
    0xe886ffc8,0x0002ffff,0x7ffcc000,0xffdbbcff,0x7d40ffff,0xdcbcefff,
    0xfb86ffff,0xdcacefff,0xf305ffff,0xfff97bff,0xfff9dfff,0x7ffc803f,
    0x985ffd80,0x3a201fff,0xffb82fff,0xfe82ffff,0x7c06ffff,0x7fec04ff,
    0x1fff500f,0x7fc40000,0x3ff2002f,0x7ffffcc6,0x80000001,0x2a04fffe,
    0x7e40ffff,0xffb100ff,0x2ffffa8b,0x09fffd30,0x3ffee062,0x17ffe65f,
    0xc88fff90,0x260ffee4,0x7cc01fff,0xfffb86ff,0x7fd45fff,0x7c06ffff,
    0x7fcc04ff,0x1fff501f,0x7fc40000,0x3ff2002f,0x3bfffea6,0x80000000,
    0xb804fffb,0xfffb87ff,0x1dd8809c,0x200fffec,0x3007ffe8,0x81ffff13,
    0x3200fffd,0x97fec7ff,0xff980cc8,0xfffc801f,0x7efffdc0,0x3fffa1ff,
    0x7fc06ffd,0x7ffd404f,0x01fff501,0x7ffc4000,0x5bff2002,0x00effffb,
    0xf9000000,0x3fe200df,0xfffff985,0x200acdef,0xf7003fff,0xfd9103ff,
    0x9dffffff,0x5fffb999,0x4cfffe40,0x3004ffe9,0xf5003fff,0xfffb83ff,
    0xff34fff9,0x80dffb9f,0x7f404fff,0x3ffea07f,0x3e200000,0x3f2002ff,
    0x5ffffcff,0x77776400,0xeeeeeeee,0x3fa0deee,0x8062005f,0xfffffffb,
    0xff984fff,0xfff1001f,0xfffffb87,0xffffffff,0x03ffffff,0x3ffffff2,
    0xf3004fff,0xff1003ff,0xb7ffb85f,0xfffb1fff,0xf80dffb1,0xffd304ff,
    0x7ffd40bf,0x3e200000,0x3f2002ff,0x2fffffff,0x3fffea00,0xffffffff,
    0x3e4fffff,0x400003ff,0xffffffd9,0x3ee1efff,0x3fa000ff,0xffffd15f,
    0xffffffff,0xffffffff,0x7fffe409,0x004fffff,0x2003fff3,0x7fdc3fff,
    0xffbfff57,0x01bff6bf,0xdddddfff,0x01dfffff,0x0007ffd4,0x05fff100,
    0x7ffffe40,0x5002ffff,0xffffffff,0xffffffff,0x027ff49f,0xb9530000,
    0x4cdffffd,0x3e001fff,0xffff53ff,0xfff9559b,0xffffffff,0x7ffe409f,
    0x04ffffff,0x003fff30,0xff70fffe,0x7fffff4f,0x80dffb1f,0xffffffff,
    0x401fffff,0x0800fffa,0x05fff100,0x7ffffe40,0x003fffff,0xddddddb7,
    0xbddddddd,0x037fe417,0x402eb800,0x3a1fffd8,0xff7005ff,0x07fff21f,
    0x001bffe2,0x333fff90,0x26009ffd,0xf9801fff,0x3ffdc2ff,0x4dfffff5,
    0x7fc06ffd,0xffffffff,0xffa800cf,0x02fec00f,0x0017ffc4,0x323ffff9,
    0x0002ffff,0xfffa8000,0x45d91004,0x4400fff8,0x3ff24fff,0x7ffd404f,
    0x203ffee6,0x102ffffa,0xd8fff900,0x20f663ff,0xb801fff9,0x7fdc0fff,
    0x17ffffc7,0xff80dffb,0xbcdeeeef,0x3ffea001,0x03ffe200,0x005fff10,
    0x2a07ffe4,0x00006fff,0xfffe8800,0x7dccc1ae,0x3ffea6ff,0xd75109cf,
    0x7fcc7fff,0xb310aeff,0x7c47ffff,0xffb32eff,0x2e63dfff,0x3f200ffe,
    0xb066c47f,0xfff983ff,0x87ffc801,0x7fdc7ffb,0x037fec6f,0x00013ffe,
    0x3007ffd4,0xf8803fff,0x3f2002ff,0x7fff906f,0x10000000,0xffffffff,
    0xdfffffff,0x7fffffd4,0xffffffff,0x7fffcc0f,0xffffffff,0xffffd83f,
    0xffffffff,0xffffffff,0x01fff203,0x3e61fffc,0x7fd401ff,0x47ffb85f,
    0x7ec3fff8,0x27ffc06f,0xfffa8000,0x07ffe600,0x005fff10,0xfd037fe4,
    0x000000ff,0x3ffffe60,0xffffffff,0x3fffe20e,0xffffffff,0xffd101ff,
    0xffffffff,0x7fffec05,0xffffffff,0x1fffffff,0x401fff20,0x7fcc3fff,
    0x3ffee01f,0x07ffb81f,0x2037fec0,0x00004fff,0x4c01fff5,0x7c401fff,
    0x3f2002ff,0x3ffea06f,0x05910003,0x3fff2200,0x2effffff,0xfffd9f90,
    0x007fffff,0xfffffd91,0xff90039d,0x99f7dfff,0x19dfffff,0x3fffae20,
    0xcccccccc,0x3223fffc,0xccccdfff,0x83fffffe,0x1bcfffd9,0xfffd9510,
    0xdfff7305,0x20017999,0xcfffdcb9,0xfdcccccc,0x332a21ff,0xccdfffcc,
    0x7f5c40ac,0xfe80bcff,0x2000acff,0x20001ffe,0x9abcba98,0x65544000,
    0x310001ab,0x26000157,0x2aea01ab,0x7fffc400,0xffffffff,0x33ffffff,
    0xffffffff,0xbfffffff,0xffffff50,0xfff885ff,0x325fffff,0xffffffff,
    0x7dc00fff,0xffffffff,0xffffffff,0x3ffff61f,0xffffffff,0x3fffe67f,
    0x541fffff,0x00ffffff,0x0003ffd0,0x00000000,0x00000000,0x3fea0000,
    0xffffffff,0xffffffff,0xffffff53,0xffffffff,0x3fffee07,0x7cc4ffff,
    0x6fffffff,0x3ffffff6,0x402fffff,0xfffffffd,0xffffffff,0x3ffe1fff,
    0xffffffff,0xff50ffff,0x5fffffff,0x3fffffd0,0x000f6600,0x00000000,
    0x00000000,0xfd900000,0xffffffff,0x7fffffff,0x7fffff64,0x00abdeff,
    0x3fffff62,0xffec80df,0x3662dfff,0xffffffff,0xffd9804e,0xffffffff,
    0x1fffffff,0x3fffffaa,0x3effffff,0x7fffff64,0xdfff504e,0x00000009,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x33332e20,0x3332a00a,0x332a20bc,0x5c41bccc,0x21bccccc,
    0xccccccca,0x84cccccc,0x41bcccc9,0x02ccccb8,0x04000000,0x40000000,
    0x884cccb9,0x004ccccb,0x00000000,0x00008000,0x2e000b98,0x7fffff41,
    0xffff704f,0x7ffecfff,0x3e0fffff,0xffffffff,0xffffff90,0xffffffff,
    0xffffffa8,0x3ffffe0f,0x01fe43ff,0x51003bea,0x9dffffd9,0xfd950001,
    0x4c017bdf,0xe87fffff,0x00ffffff,0x47999973,0x00befec8,0x36a99995,
    0x9803efff,0xffc8cccc,0x5bffb51e,0x88f7fc40,0xffd10aaa,0x7fffff45,
    0xffff905f,0x3ffa1fff,0x11ffffff,0xffffffff,0x3ffff21f,0xffffffff,
    0x7fffdc7f,0xfff11fff,0x7cc9ffff,0xfff504ff,0x7fffd409,0x4fffffff,
    0xffffb100,0x207fffff,0x87fffffa,0x0ffffffe,0xffffff88,0xffffff76,
    0xffffb85f,0xffffffdf,0xfff501ef,0xffffffff,0xbffffffb,0x37fffea0,
    0xfedfffff,0x3ff664ff,0x23331cef,0x2efffed8,0x3ffffb26,0x7ffed43e,
    0x3ff22def,0xffeeeeef,0x7e445fff,0x7dc4ffff,0x220cffff,0x7d44ffff,
    0x3f202fff,0xffffffff,0x7d403fff,0xffffffff,0xdb80efff,0xed987ffe,
    0xf880fffe,0xfeffffff,0x6fffffff,0x7fffffdc,0xffffffff,0xffffa80f,
    0xffffffff,0x2fffffff,0xffffffd0,0xffffffff,0x4c9fff01,0x3fea3fff,
    0x3fffa01f,0x03fffa00,0x3e61bfee,0x3a205fff,0xff32ffff,0x3ea03fff,
    0xfff54fff,0xfff9809f,0xffecacde,0x3ffe207f,0xffdbceff,0x3ee04fff,
    0x7ffdc07f,0xfffdb500,0xb7ffffff,0xfec88fff,0xdbceffff,0xd704ffff,
    0xfb7dffff,0xff79ffff,0x3ffa20bf,0xffffffff,0xdffb01ff,0xf937ffe4,
    0xfffa80ff,0x09fff504,0xff313fe6,0xfb100bff,0xffffbfff,0xfffa801d,
    0x04ffffdf,0xffc80310,0xdfffd00f,0x3fffea01,0x80fff701,0xc800fffb,
    0x42ffffff,0xfff701c9,0x1bffa09f,0x10efffa8,0x7ec5ffff,0x3fff206f,
    0xfffea8be,0x43ffee05,0xfd1fffff,0xfffd00bf,0x01fffd01,0x3ffe61cc,
    0x7fe4005f,0x00dfffff,0xffffff50,0x4c40009f,0x03fff319,0x801dfff3,
    0xf706fffa,0xfffb80ff,0xffffc800,0xffb8000e,0x1fff203f,0x7c1fffa8,
    0x37fe44ff,0x3a0fffd0,0x3fe607ff,0xfffffaaf,0x803fff8c,0x7d43fffa,
    0x7d4004ff,0x70005fff,0x009fffff,0x9fffff50,0xfffb3000,0x3fffffff,
    0x99bfff70,0xd9999999,0xff701fff,0x0fffb80f,0x04fffc80,0x01ffee00,
    0x2a01fff7,0x7ffc0fff,0x8837fe44,0xff504fff,0x67ffc03f,0xaffffffd,
    0xfd001fff,0x7fff41ff,0x3ffea000,0xfb10005f,0x001dffff,0x4fffffa8,
    0x3fff6200,0xffffffff,0xffffd81f,0xffffffff,0xb81fffff,0x7fdc07ff,
    0x6ffc800f,0x3ffdc000,0x403ffee0,0x7fc0fffa,0x837fe44f,0xf102fff9,
    0x7fec07ff,0xfffeffff,0x2a007ffe,0xfff33fff,0x7ffd4009,0xfd10005f,
    0x3fffffff,0x3fffea00,0xe8804fff,0xffffffff,0xd81fffff,0xffffffff,
    0xffffffff,0x07ffb83f,0x4007ffdc,0x40006ffc,0x7dc07ffb,0xfff500ff,
    0x644fff81,0xfff106ff,0x07ffea09,0xffffffb8,0x6ffffff9,0xdbfff400,
    0xf5000fff,0x15109fff,0x7ffff4c0,0x02ffffea,0x7effffd4,0x7ec04fff,
    0xaaacffff,0xc81fffdc,0xffffffff,0xffffffff,0x07ffb83f,0x4007ffdc,
    0x40006ffc,0x7dc07ffb,0xfff500ff,0x644fff81,0x3ffa06ff,0x80fffd07,
    0x96fffff9,0x009fffff,0xffdfffb8,0xfff5005f,0x41ff609f,0x10effff9,
    0x207ffffb,0xf54ffffa,0x3e209fff,0x3e601fff,0xfffa81ff,0x3ee00002,
    0xffd501ff,0xdff9001f,0x7ffb8000,0x807ffdc0,0x7fc0fffa,0x037fe44f,
    0x517dfff7,0xf00bfffd,0x3e27ffff,0x8002ffff,0x1fffffff,0xfffffa80,
    0xffcccccc,0x3ffee22f,0x7ffc41ff,0x3fe61cff,0x7ffd44ff,0x2fffa82f,
    0x07fff660,0x00bfffe2,0x3ffe6008,0xfffd731d,0xfc8017ff,0x7dc0006f,
    0x7ffdc07f,0x81fff500,0x7fe44fff,0xffffd106,0xffffffff,0xffffd803,
    0x03ffff60,0x3fffee00,0xffff005f,0xffffffff,0x7ffc5fff,0x3e1fffff,
    0x1fffffff,0x2a09fff5,0xff983fff,0xfb530adf,0x815bffff,0x1bdffffb,
    0x3bfb6e62,0xffffff00,0xffffffff,0xecca88ff,0xcccccfff,0x3f6a200a,
    0xfd981bff,0x7e4c0bff,0x3ffe0bff,0x2bfff21d,0x7fffff40,0xffffffff,
    0x3ffee00f,0x037ffd45,0x3fffff00,0x3ffffe00,0xffffffff,0xffff12ff,
    0x3e23ffff,0x2fffffff,0xbd300ff6,0x3ffffa01,0xffffffff,0xfd87ffff,
    0xffffffff,0x02ffffff,0xfffffff5,0xffffffff,0x7fffff41,0xffffffff,
    0x3ffff606,0x3fea1fff,0x3e67ffff,0x3e7fffff,0xff92ffff,0x7ffd4bff,
    0xdfffffdf,0x2604fffe,0xfff82fff,0x3fee0004,0x3ffe005f,0xffffffff,
    0x3ae2ffff,0x5c4effff,0x04effffe,0x3fe60000,0xffffffff,0x0fffffff,
    0x7ffffec4,0xffffffff,0x3ffea00f,0xffccffff,0x7fffc3ef,0xffffffff,
    0xfff00fff,0x5c7fffff,0x0fffffff,0xfffffff7,0x53ffffe3,0x267ffffc,
    0x55511fff,0x00bffa21,0x00000000,0x00000000,0x00000000,0x3ffff660,
    0xfffbcfff,0x3fa603ef,0xffffffff,0x773000bd,0xfea80035,0xffffffff,
    0x3aa03eff,0x20dfffff,0x3effffd8,0x3bffff62,0x437fffe3,0x4c2efffc,
    0x0591000c,0x00000000,0x00000000,0x00000000,0xabba8800,0x53100001,
    0x00013559,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00600000,0x9806cc00,0xdd813a1c,
    0x5ca88000,0x1ef6dc40,0x4c000400,0x4cc02cec,0x99999999,0x20099999,
    0x7102bcb9,0xdddddddb,0xdddddddd,0x2aaa29dd,0x20555542,0x0ceedca8,
    0x66f65440,0x05e5c400,0xb88d4000,0xb0009800,0xfb8000df,0x22ffa81f,
    0xffe80efe,0xffff9001,0x7fff4c0d,0xf3000eff,0x3ffe6003,0x7e40ffff,
    0xffffffff,0xffffffff,0x7fffe40d,0x7ffdc0df,0xffffffff,0xffffffff,
    0xf8ffff55,0x7ff42fff,0x300fffff,0x7fffffff,0x3ffffea0,0x22017302,
    0x03df96fd,0x200fffea,0x90000fff,0xbff709ff,0x441fff98,0xff802ffe,
    0x3fe06fff,0x03ffb9ae,0x800ffe88,0xfea9befd,0x3ffffe25,0xffffffff,
    0x22ffffff,0xfffffffd,0x7ffffdc6,0xffffffff,0x15ffffff,0xffe8dfff,
    0x4d5e5c1f,0xff984fea,0x3ffecacf,0x7fffffdc,0x42ffd43f,0xff12ffe9,
    0xffffd05f,0x02fff980,0x42ffec40,0xff305ffc,0x3fff885f,0x20df9080,
    0x3fdc0ff8,0x077ffec0,0x07fdc040,0xfffffffd,0xffffffff,0x3fea1fff,
    0x3fffb9cf,0x777776d4,0xeeeeeeee,0x3fe5fffe,0x07ffec5f,0x7fb9a998,
    0xff906fd8,0x3ffffea1,0xff55ffff,0x2fffa8df,0x3a1fff44,0x2600ffff,
    0x22002fff,0x7ec45ffe,0x3fea00ef,0x27ffcc3f,0x2206fc80,0x6406fd80,
    0x005fffff,0x4c37f54c,0xaaaaaaaa,0x1aaaaaaa,0x3ea1ffe4,0x6c00006f,
    0x13ffa5ff,0xfd50fff7,0x88ffffff,0x5ff102ff,0x7dcffff6,0xffffffff,
    0x403bfe63,0x3ea3ffd8,0x2f7ee3ff,0xb8afff98,0xfff983fd,0x077ff445,
    0x227ffd40,0x400dfff9,0x7ec006fc,0x3ffee03f,0x8804ffff,0x001fffff,
    0x0ffe8000,0x00007fe8,0xffb2ffec,0x5c6ffa87,0xffeeefff,0xd007fcc7,
    0x50ffee7f,0x9fffffff,0xb800dfc8,0xfff8185f,0xfefffeff,0x3ea0ffff,
    0x7ffcc5ff,0x3fea000e,0x3ffe60df,0x01bf200e,0x301fff44,0xfff7ffff,
    0xfff9005f,0x0000007f,0xff883ffb,0x7ec00007,0x30bff25f,0x6ffc4bff,
    0x7fc3fd40,0x4c3ff504,0xffffd102,0x01000609,0x7fffff40,0xffffffff,
    0x83fffee7,0x001ffff9,0x6c4fffe8,0x3f206fff,0x2fffa806,0x4ffffe20,
    0x001ffffa,0x5443ffb1,0xcccccccc,0xaccccccc,0xf917ff20,0xd80000bf,
    0x07fee5ff,0x7fc49ff1,0x3fff930a,0x932dffc8,0x75000bff,0x00000015,
    0x3fffae20,0xcfffffff,0x077ffe40,0x001dfff7,0xb13fffa2,0xfc80bfff,
    0x0f7fe406,0x89fffd10,0x000ffffb,0x7ffc7ff1,0xffffffff,0xffffffff,
    0xfbffff11,0x00003fff,0x3ea5ffd8,0xfc85ff07,0xffffffff,0x7fffec5f,
    0x0000efff,0x00000000,0xfffffd98,0x7ffd401d,0x3bffe60e,0x7fff4400,
    0x01fffec2,0xfe9837e4,0x3f20444f,0xfffb05ff,0xffa81a8d,0xffffff11,
    0xffffffff,0x545fffff,0x4fffffff,0xffd80000,0x7ec1be25,0xdfffda80,
    0xda82deeb,0x0003efff,0x00000000,0x7fffff40,0xffe9800f,0x3bffa20e,
    0x1dffd100,0x201effd8,0xfffffffd,0xfffffb0e,0xfff8ffff,0x3fffa00e,
    0xfddfff51,0xffec8bff,0xffffffff,0x85ffffff,0x02ffffe9,0x7ff90000,
    0x00020088,0x00001000,0x00000000,0x3fffff20,0x3f6005ff,0x77fe40ef,
    0x42fff440,0x6c00dffd,0xefffffff,0xffffffb0,0x7fec1fff,0x237f4400,
    0xcffffffc,0x80000000,0x00000098,0x00006f4c,0x00000000,0x00000000,
    0x77ffcc00,0x002fffe8,0x3ea1bfee,0x0fff60ff,0x0000fff2,0x00980000,
    0x4ccc0310,0x00000000,0x00000000,0x00000000,0x00000000,0xfb000000,
    0x3ffe23ff,0x07f4c006,0x3dd17f44,0x0000bf60,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xffa87ff9,0x18030005,
    0x80000000,0xffffffeb,0xffffffff,0x0cefffff,0x3fffffae,0xffffffff,
    0xceffffff,0x99999970,0x99999999,0x00000000,0x00000000,0x00000000,
    0x50000000,0x0000a605,0x00000000,0x7cc5dfb1,0xffffffff,0xffffffff,
    0x33ffffff,0xffffffff,0xffffffff,0x7fffffff,0x3ffffff6,0x7fffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xffd80000,
    0x3fffe27f,0xffffffff,0xffffffff,0xfff12fff,0xffffffff,0xffffffff,
    0x3f65ffff,0xffffffff,0x0007ffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0ffffe80,0x333332e6,0xcccccccc,0x1ccccccc,
    0x666665c4,0xcccccccc,0x1bcccccc,0x3333332a,0x4ccccccc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xffb80000,0x0000005f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x000006e2,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_bold_40_latin1_x[224]={ 0,7,4,2,2,2,3,8,9,4,2,1,7,3,
7,2,2,2,1,2,2,2,3,2,2,3,7,6,-1,0,1,3,3,-1,0,1,0,0,1,1,0,2,1,0,
1,-1,-1,0,2,0,0,2,1,0,-1,-1,0,0,2,8,2,4,2,-2,7,1,-1,1,1,1,2,1,0,2,
3,1,2,-1,0,1,-1,1,1,2,2,0,0,-1,0,0,3,5,8,5,2,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,7,2,1,2,0,
8,1,5,-1,4,1,-1,3,-1,-2,5,1,5,5,7,0,2,7,7,5,4,1,0,-2,0,2,-1,-1,-1,-1,
-1,-1,-1,1,0,0,0,0,2,2,2,2,-1,-1,0,0,0,0,0,3,0,0,0,0,0,0,2,0,1,1,
1,1,1,1,-1,1,1,1,1,1,2,2,2,2,1,0,1,1,1,1,1,1,0,0,0,0,0,0,-1,0,
 };
static signed short stb__courier_bold_40_latin1_y[224]={ 29,6,7,4,4,6,9,7,6,6,6,8,24,17,
24,4,6,6,6,6,6,6,6,6,6,6,13,13,8,13,8,7,6,8,8,7,8,8,8,7,8,8,8,8,
8,8,8,7,8,7,8,7,8,8,8,8,8,8,8,6,4,6,5,36,5,12,6,12,6,12,6,12,6,6,
6,6,6,12,12,12,12,12,12,12,7,13,13,13,13,13,13,6,6,6,15,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,29,13,4,7,10,8,
6,6,6,8,6,14,17,17,8,2,3,4,6,6,5,13,6,15,27,6,6,14,6,6,6,13,-1,-1,0,1,
1,-1,8,7,-1,-1,0,1,-1,-1,0,1,8,1,-1,-1,0,1,1,11,6,-1,-1,0,1,-1,8,6,5,5,
5,7,6,4,12,12,5,5,5,6,5,5,5,6,6,7,5,5,5,7,6,9,11,5,5,5,6,5,6,6,
 };
static unsigned short stb__courier_bold_40_latin1_w[224]={ 0,7,13,17,17,17,17,5,9,9,17,19,8,15,
7,17,17,17,17,17,16,17,17,16,17,17,7,9,21,21,21,16,15,23,21,19,20,20,20,20,21,17,21,22,
20,24,22,21,19,21,22,18,19,21,23,23,21,21,17,9,17,9,17,25,7,20,22,20,21,19,19,20,21,17,
14,20,17,24,21,19,22,21,20,17,19,21,22,23,21,21,16,11,5,11,18,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,0,7,16,19,17,21,
5,19,12,23,13,19,21,15,23,25,12,19,11,11,7,21,18,7,7,11,13,20,22,25,21,16,23,23,23,23,
23,23,23,19,20,20,20,20,17,17,17,17,21,22,21,21,21,21,21,15,21,21,21,21,21,21,19,19,20,20,
20,20,20,20,23,20,19,19,19,19,17,17,17,17,19,21,19,19,19,19,19,19,21,21,21,21,21,21,22,21,
 };
static unsigned short stb__courier_bold_40_latin1_h[224]={ 0,24,11,29,30,24,21,11,29,29,16,21,11,4,
6,30,24,23,23,24,23,24,24,24,24,24,17,20,21,12,21,23,26,21,21,23,21,21,21,23,21,21,22,21,
21,21,21,23,21,28,21,23,21,22,21,21,21,21,21,29,29,29,13,4,7,18,24,18,24,18,23,25,23,23,
31,23,23,17,17,18,25,25,17,18,23,17,16,16,16,24,16,29,29,29,8,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,24,27,22,17,21,
29,26,5,22,11,15,12,4,22,4,12,25,13,13,7,24,27,6,9,13,11,15,23,23,23,24,30,30,29,28,
28,30,21,29,30,30,29,28,30,30,29,28,21,28,31,31,30,29,29,16,26,31,31,30,29,30,21,24,25,25,
25,23,24,26,18,24,25,25,25,24,24,24,24,23,24,22,25,25,25,23,24,20,21,25,25,25,24,32,31,31,
 };
static unsigned short stb__courier_bold_40_latin1_s[224]={ 254,245,171,1,43,170,1,249,123,113,1,
61,246,120,60,171,59,172,190,21,208,77,117,135,152,210,242,243,183,114,115,
225,100,225,39,1,22,1,213,21,234,109,224,127,88,43,69,128,68,1,92,
139,205,202,189,165,143,121,103,212,194,240,84,68,240,1,95,170,118,22,119,
208,150,80,90,98,62,107,85,209,229,126,64,191,42,42,174,150,214,198,197,
222,250,37,213,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,
108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,254,243,83,
158,132,47,234,116,242,1,185,19,149,120,178,94,136,1,72,102,232,188,64,
248,246,60,199,39,220,82,60,100,83,107,170,221,197,1,159,49,131,189,155,
176,152,25,19,23,81,41,105,127,61,69,91,236,157,149,23,210,133,232,19,
1,201,83,222,39,228,136,229,79,23,43,63,21,41,140,180,1,39,25,168,
148,188,19,59,150,137,104,179,1,158,1,45,68, };
static unsigned short stb__courier_bold_40_latin1_t[224]={ 1,65,335,65,34,150,272,150,65,65,335,
272,225,349,349,1,175,201,201,175,201,175,150,150,150,150,201,175,249,335,249,
201,95,249,272,225,294,294,272,225,272,294,225,294,294,294,249,201,294,95,249,
225,249,225,272,272,272,272,272,34,34,34,335,349,335,316,175,294,175,316,225,
124,201,225,1,225,225,316,316,294,124,124,316,294,225,316,315,315,315,175,315,
34,34,65,335,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,
201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,1,95,95,
225,316,249,34,95,219,249,335,335,335,349,225,349,335,150,335,335,335,150,95,
335,237,335,335,335,175,201,201,150,34,34,34,65,65,34,249,65,34,1,65,
65,34,34,65,95,272,95,1,1,34,65,65,315,95,1,1,1,65,1,272,
176,95,124,95,201,150,95,294,150,124,124,124,150,150,175,175,201,175,249,124,
124,124,201,150,294,249,124,95,124,175,1,1,1, };
static unsigned short stb__courier_bold_40_latin1_a[224]={ 339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,339,
339,339,339,339,339,339,339,339, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_40_latin1_BITMAP_HEIGHT or STB_FONT_courier_bold_40_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_40_latin1(stb_fontchar font[STB_FONT_courier_bold_40_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_40_latin1_BITMAP_HEIGHT][STB_FONT_courier_bold_40_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_40_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_40_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_40_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_40_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_40_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_40_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_40_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_40_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_40_latin1_s[i] + stb__courier_bold_40_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_40_latin1_t[i] + stb__courier_bold_40_latin1_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_40_latin1_x[i];
            font[i].y0 = stb__courier_bold_40_latin1_y[i];
            font[i].x1 = stb__courier_bold_40_latin1_x[i] + stb__courier_bold_40_latin1_w[i];
            font[i].y1 = stb__courier_bold_40_latin1_y[i] + stb__courier_bold_40_latin1_h[i];
            font[i].advance_int = (stb__courier_bold_40_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_40_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_40_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_40_latin1_s[i] + stb__courier_bold_40_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_40_latin1_t[i] + stb__courier_bold_40_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_40_latin1_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_40_latin1_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_40_latin1_x[i] + stb__courier_bold_40_latin1_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_40_latin1_y[i] + stb__courier_bold_40_latin1_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_40_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_40_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_40_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_40_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_40_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_40_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_40_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_40_latin1_LINE_SPACING
#endif

