// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_24_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_24_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_24_latin1_BITMAP_WIDTH         256
#define STB_FONT_times_24_latin1_BITMAP_HEIGHT        156
#define STB_FONT_times_24_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_times_24_latin1_FIRST_CHAR            32
#define STB_FONT_times_24_latin1_NUM_CHARS            224

#define STB_FONT_times_24_latin1_LINE_SPACING          16

static unsigned int stb__times_24_latin1_pixels[]={
    0x00000000,0x00000000,0x00000000,0x00000000,0x76400000,0x1cccc882,
    0x99910000,0x6654c039,0x4400000a,0x002aaaaa,0x4c000000,0x000bae22,
    0x9800bf50,0x4049806f,0x1bbbcca8,0x02980d40,0x05501b20,0x40003fc8,
    0x024c05fa,0x26fe60bf,0x4c3fb809,0x7f53305f,0x9535db10,0x4244007f,
    0xbb9dfffa,0x09f36f80,0x2000ff10,0x017ed43b,0x40017600,0x824c01f9,
    0x4a881bd9,0x04a824c0,0x00740fb0,0x640005d8,0xd3049806,0x3a017cc0,
    0x4401f705,0xa82f4c3f,0xa837005f,0x0755ffff,0x8027cdbe,0x254001f9,
    0x40002fa8,0x0ee0000e,0x00970930,0x203d0126,0x25c0004b,0x0001d100,
    0x824c0074,0x80be600b,0x10164058,0x200fe87f,0xe85802fc,0x0755ffff,
    0x00ea0000,0x5f500f98,0x00044000,0x71260140,0x20398009,0x0007a04e,
    0x044004e8,0x30018800,0x0be60009,0x20180098,0x013ee3f8,0x1cc01ff3,
    0x57ffffe2,0x2000003a,0xa8176002,0x9530002f,0x54c00159,0x49300acc,
    0x04804069,0x006b817e,0x555517e0,0xaaa98155,0x5555550a,0x0aaaa981,
    0x86f32a93,0x05f31cb8,0x23555551,0x81aaaaa8,0x00ffa3f8,0xdb885ff1,
    0x7fffc0df,0x6654755f,0x0072e21b,0x02f9800a,0x2fb62bea,0x26bb6200,
    0x6c403fb9,0x83fb99ae,0x32207649,0x02e5eabc,0x3f9813e2,0x1ba0f710,
    0x4c037fea,0x6ffd41ef,0x4c3df300,0x92e13f64,0xffb102f9,0x02ffd885,
    0x017fc7f1,0x23f327f4,0x7ffe46fd,0x4fd8755f,0x05d004b8,0xfa807f20,
    0x80fffcdb,0x0bf305f8,0x2fcc17e2,0x45b07926,0x220a22fc,0x442fc03f,
    0x20db07fb,0x81ec02ff,0x21ec02ff,0x3a1be249,0xfb80be60,0x440bf705,
    0x003ff13f,0x553a2bfb,0x7fec0fdb,0x6f88755f,0x6fa800e8,0x5401fd00,
    0x213f60df,0x0ff200fe,0x3fc803fa,0x2e42cce6,0xb03883f2,0x3606f807,
    0x3fa07b07,0xfe816401,0x12616401,0x262cc3f9,0x413ea02f,0x4fe204fa,
    0xfc801ff8,0x04325f55,0x0755ca98,0x802cc3f9,0x7f801ffd,0x3e617d40,
    0x22027dc6,0x013ee0ff,0x87701ff1,0x2a3740fb,0xfe80b101,0x1b10fb00,
    0x59007f60,0x59007f60,0x92fc4498,0x2a02f985,0x409f504f,0x00bfa3f8,
    0x447dd3f6,0x83aac005,0x200b25f8,0xf805fbe9,0x7c17d407,0x7401ff47,
    0x200ffa2f,0x7c1d82fe,0x0321fc43,0x07f60770,0xb00b23ec,0xb02c803f,
    0x4c2c803f,0x30d1fc84,0x827d405f,0x8fe204fa,0x2fe803fd,0x800553f9,
    0x47f20755,0xff159006,0x5407f801,0x7fc7e82f,0x3e4fd802,0x84fd802f,
    0xf907e60e,0x05cc0483,0x8fb01fd8,0x07f600b9,0x07f60590,0x88498590,
    0x2f983adf,0x7d413ea0,0xfa8fe204,0xf537c406,0x558030b7,0x0eb7e207,
    0x03fc9a20,0x5f5007ec,0x0ffc4df0,0xff8afe40,0x425fc801,0xff31f21d,
    0x016a02b8,0x41f601fd,0x803fb01e,0x803fb02c,0xfd824c2c,0x202f980e,
    0x09f504fa,0x0bf21fc4,0x3fe21fd8,0x3aac0144,0x2003bf60,0x901be63b,
    0x217d401f,0x07fe23f9,0x7fc57f20,0x935fc801,0x730fc8ee,0x3a01ccbb,
    0xfb03fc02,0x0fec1320,0x0fec0b20,0x20930b20,0x05f305f9,0x4fa827d4,
    0x3b60fe20,0xfc82fb81,0x5801dbbf,0x02fcc075,0x017ec0e8,0x2fd403f5,
    0x00bfe1b2,0x02ff8ff6,0x22933fd8,0x6d37bea5,0x102a4b9e,0x204f807f,
    0x360db07d,0xd80e401f,0x260e401f,0x7cc07604,0x5413ea02,0x40fe204f,
    0x1ddbbcea,0x00fbffe0,0x0ec03aac,0x66667540,0x0fe205fe,0xedbddfa8,
    0xe803fd80,0x200ff62f,0x234932fe,0x02f261ba,0x4c0bf109,0x7c1f601f,
    0xd803fb06,0xd803fb00,0x40d024c0,0x13ea02f9,0x7f1027d4,0x406ffc80,
    0x55800139,0x5b006807,0x1ff33333,0x5f503540,0x37cc0131,0xdf317e60,
    0x9265f980,0x0390004a,0x406c817e,0x320bf07d,0xf903403f,0x04986807,
    0x017cc077,0x13ea09f5,0xfa803f88,0x0003204f,0x0ee03aac,0x4fb81620,
    0x2fa80ec0,0xd80bf600,0x202fd81f,0x951261fd,0x3602b800,0xd801f103,
    0x3e609b06,0xf981a605,0x9261a605,0x7cc0599a,0x5413ea02,0x00fe204f,
    0x0581fe4c,0x2a1d5600,0x05900599,0xb1007fc4,0x8800bea0,0x02fb81ed,
    0x5f703db1,0x804a8498,0x807402c8,0x81ec102c,0x20fee059,0x1fdc00e9,
    0x9a4c074c,0x7cc00fff,0x2fe41ccd,0x66445fc8,0x644003fc,0x000730bd,
    0x3fe63aac,0x00f9800f,0x322027f4,0x4001fdc0,0x0decbdeb,0xecbdeb80,
    0x9504980d,0x33262159,0x640ae200,0x0939f702,0x3bae02b8,0x7001dedc,
    0x03bdb9dd,0x000bb926,0x32213333,0xf911cfff,0x2aa239ff,0x040000aa,
    0x83328000,0xfeb800bb,0xfffc882d,0x9970c00d,0x26200079,0x01310000,
    0xcb980288,0x202800ab,0x005dc401,0x00130050,0x28800980,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x018565cc,
    0x00000000,0x55100008,0x007fdc00,0x000000c0,0x001ff400,0x00000000,
    0x1ff70000,0x00200000,0x1911bf20,0x4005fa80,0xeeb99cec,0x01ff000f,
    0x8009f700,0x70052efe,0x3e201a65,0x7f4004fb,0xaf40052e,0x6dc003f9,
    0x7d4000fc,0x26001db1,0x53e2006f,0x7f1002fa,0x54f8809d,0x977f405f,
    0x17df4c02,0x06c809f7,0xfc807ec0,0x001f9800,0x89800bd0,0x6805efea,
    0x239007e6,0x513000d8,0x2200bdfd,0x4009f56f,0x70012a48,0x8003fa5f,
    0xbf1000fa,0x8dc00fee,0x57e600d8,0xd53303fb,0x10c80bdf,0xd017ee1b,
    0x017e4001,0x00b2007a,0x04003440,0x83e600a6,0x00c0c00b,0x20014c08,
    0x20600040,0x02040009,0x0800b200,0x03030004,0x98100408,0xa8c04402,
    0x8006204f,0x01a805fa,0x02600028,0x40355510,0x7c0aaaa9,0x32a6000e,
    0x2a6000ac,0x26000acc,0x5500acca,0xa9815555,0x55550aaa,0xaaa98155,
    0x2602800a,0xaaaaaaaa,0x005001aa,0x06aaaaa2,0x554400a0,0x09f51aaa,
    0x13f20028,0xaaaaa840,0x55554c0a,0x55555530,0xc8835555,0x37e601ff,
    0x400efa80,0xfb99aed8,0x4d76c403,0x6c403fb9,0x03fb99ae,0x2601bff5,
    0x6ffd41ef,0x4c3df300,0xaaaaaaaa,0x6ff4c1aa,0x03ecaaaa,0x362005d0,
    0x05d002ff,0x98bff620,0x8017403f,0x644003fe,0xdf700eff,0xaadfe983,
    0xf903ecaa,0xa816c01f,0xbf100efc,0x7c417e60,0x220bf305,0x20bf305f,
    0x81ec02ff,0x41ec02ff,0xaaaadfe9,0x03fc83ec,0x0df50091,0xa802fdc0,
    0x17ee006f,0x37d405f1,0x000ffc40,0x1aa06fc8,0x09103fc8,0x6403bfee,
    0x1df51b81,0x7e401fd0,0x3200fe83,0x200fe83f,0x01fe83fc,0x01fe8164,
    0x03fc8164,0x407f7091,0x01ffd802,0x36009f50,0x9f5001ff,0x7fec03f0,
    0x00ffc401,0x3a07fd00,0x280fee01,0x20bfd770,0x2fd4581c,0xff1013ee,
    0x22027dc1,0x013ee0ff,0x1fd81ff1,0x1fd81640,0x3fb81640,0x00fee0a0,
    0x05fbe980,0xd3009f50,0x3ea00bf7,0x7d300e84,0x07ff00bf,0x207fcc00,
    0x01fdc04b,0x1ffc5dc0,0x2a1e60e4,0x200ffa0f,0x00ffa2fe,0x03fe8bfa,
    0x0fec2fe8,0x0fec0b20,0x1fdc0b20,0x260fee00,0xff8ac802,0x804fa800,
    0x800ff8ac,0x320584fa,0x7400ff8a,0x7e40004f,0x3ee01a25,0x4ee02983,
    0x20e42ff9,0x7fc783f8,0x3e4fd802,0x24fd802f,0x4fd802ff,0x0b200fec,
    0x0b200fec,0x814c1fdc,0x016443fb,0x803fc9a2,0x934404fa,0x09f5007f,
    0x3fc9a209,0x18037d40,0x0765fd10,0x5910fee0,0x3ff51dc0,0x11fec0e4,
    0x400ffc4b,0x03ff15fc,0x3fe2bf90,0x6c5fc801,0xd816401f,0xb816401f,
    0xb816443f,0x2ffdccef,0x0df31dc0,0x3b809f50,0x3ea01be6,0x4c770084,
    0x05fe806f,0x7ff5005c,0x33bee009,0x2e02ffdc,0x1c877e43,0x882e9fb0,
    0x5fc801ff,0xf9003ff1,0x2007fe2b,0x00fec5fc,0x00fec0b2,0x677dc0b2,
    0xf702ffdc,0x0e805907,0x3ea017ec,0x3f607404,0x0027d402,0x802fd81d,
    0x06440cfd,0x8007fe40,0x202c83fb,0x395fd83b,0x7c077ec0,0x23fd802f,
    0x3fd802ff,0x3f600bfe,0x3200fec3,0xc803fb01,0x5907f701,0x0a20fee0,
    0xeccccea8,0x027d405f,0xfd9999d5,0x4c4fa80b,0x6667543f,0xd7005fec,
    0x0019b9df,0xfb8017e6,0x0ee02883,0x00733fa2,0x07fb07f9,0x1fec5fd0,
    0x7fb17f40,0xfd85fd00,0xfd806c01,0xfb806c01,0x7f702883,0x3335b000,
    0x5401ff33,0x266b604f,0x200ff999,0x227d44fa,0xf99999ad,0x0362000f,
    0x8017e600,0x3b8003fb,0x003dff10,0x80df30f9,0x037cc5f9,0x0df317e6,
    0x3fc85f98,0x07f90340,0x00fee068,0x42807f70,0x813ee058,0x40b104fa,
    0x13ea04fb,0x7dc0b102,0x00fee004,0xb8017e60,0x1dc1403f,0xf503ff50,
    0x02fd83c4,0x0bf607f6,0x2fd81fd8,0x3e607f60,0xf981a605,0xfb81a605,
    0x0fee1403,0x101642a8,0x13ea01ff,0x1ff10164,0x32013ea0,0x003fe202,
    0xf98004d8,0x80fee005,0x5c04c82a,0x1227981f,0x7dc0f6c4,0x703db102,
    0x07b6205f,0x3fb80bee,0x7dc00e98,0x2e00e983,0xf90aa03f,0x1f31ea09,
    0xf904fe80,0xe801f30b,0x80bf904f,0x27f400f9,0x0006dc40,0xf9003fd4,
    0xf931ea09,0x80ec039f,0x5c00b9ac,0x00decbde,0xdecbdeb8,0xcbdeb800,
    0xeeb800de,0x7001dedc,0x03bdb9dd,0x4f504fc8,0xeeefffb9,0x3fae5ffe,
    0xfffc882d,0x9fff910d,0x20b7fae3,0x10dfffc8,0x7039fff9,0xf9105bfd,
    0x00801bff,0xdfffb880,0x3ffee602,0x05ffeeee,0x00080000,0x880004c4,
    0x13100009,0x0004c000,0x2e600260,0xfeeeefff,0x0000005f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xb5000df9,0x00280019,0x00000000,
    0x00000000,0x804c9800,0x000003eb,0x2b9817a6,0x00001980,0x0000a21c,
    0x000020c4,0x001fcd7a,0x4007f7f1,0x5c007348,0xd71001be,0x06449303,
    0x20d00036,0x64c01dda,0x5d7102dd,0x03fed800,0x2fa806d8,0x1fb803f9,
    0x01d71d30,0x26dd0162,0x0ae3404f,0x80fe4bea,0x3071effa,0x2df100f9,
    0x472004fa,0x291000e8,0xcadc8048,0xfea806fb,0x03b7d301,0x81cc0057,
    0x87dc0915,0x2fda83f8,0x074d2a00,0xf5007a20,0x5d007f27,0x02f8a740,
    0xf36e803b,0x0762c409,0x80fe4fea,0x883ffd72,0x081007fa,0x00602200,
    0x4c00ddb8,0x00f1488f,0x7ed407ee,0x6400b101,0xf8122b01,0x2fb836c4,
    0x00510a00,0x10000071,0x9f1fc407,0x00000950,0x00006875,0x1fa01a81,
    0x2a600500,0xaaaaaaaa,0x005d001a,0x005922db,0x2e5903f7,0x2001b00f,
    0x40336a06,0x407e44f8,0x000002fb,0x00000000,0x445e8fe2,0x59000005,
    0x000002c4,0x74007d80,0x5bfd3002,0x007d9555,0x3f900df5,0xfb800c91,
    0x5706e801,0x80007300,0xa83f43f9,0x372a002f,0x6f65c04e,0x1ef65c03,
    0x209db950,0x03b0fe4f,0x213b72a0,0xeeeefeeb,0x439952ef,0xd9700ccb,
    0x003ec07b,0x7e400df5,0xfb009103,0xaffa803f,0xccddb804,0xfbbb701f,
    0x3900b109,0x413b72a0,0x40be63f9,0x02ed9afa,0x413e61f5,0x6413ee4c,
    0x3ea13ee4,0x2b909f30,0x400ee0f9,0x409f30fa,0x17dc15c6,0xb93203f6,
    0x400fb04f,0xf7001ffd,0x3a601407,0xffc805fb,0xf986e405,0xf50cd81f,
    0x6801b01f,0x13e61f50,0x027e4fe6,0xdff9b7f5,0x437c6d81,0x5c1fc87b,
    0x36c1fc87,0x0e6641be,0x236c00b1,0x0d8b306f,0x07e42fa8,0x207f21ee,
    0xf7d3007d,0x00fee00b,0x0ff8ac80,0x80dffb80,0x20fe42f9,0x417ec0fb,
    0x6c0ea02a,0x1fcc37c6,0x9f501df3,0x86627ec4,0x986e86e8,0x7cc3744f,
    0x0dd10cc4,0x336a0d80,0x1ba21985,0x7d41a1d4,0x1ba07e42,0x01f613e6,
    0x007fc564,0x014c1fdc,0x003fc9a2,0x7c83fff3,0x437c1fb8,0x205884fb,
    0x7443300c,0x7d43f986,0x7cc2fa84,0x8dd7b506,0x44df05f8,0x2a0df05f,
    0x2e006ebd,0x826c7e63,0x54c6ebda,0xaaebaacd,0x1f90bea0,0x86f82fc4,
    0x3268807d,0x43fb803f,0x31dc02c8,0x372200df,0x2e17a0ff,0x2617e21f,
    0x1a01b06f,0x21baf6a0,0x437c43f9,0xd87f82fa,0x0ff11ba4,0xf07f89fe,
    0x03749b0f,0xf93dc588,0x263749b0,0xadcaaaea,0xf90bea0a,0x7f83fc41,
    0x23b807d8,0xefb806f9,0x402ffdcc,0x4017ec0e,0x3e65f948,0x3e61fb86,
    0x0aa0ff06,0x749b00ea,0x7f83f986,0x47e82fa8,0x7f43745e,0x07f45f80,
    0xdd17a2fc,0x4fb03600,0xdd17a1fa,0x2a0571a0,0x3a07e42f,0x7d85f80f,
    0x17ec0e80,0x0b20fee0,0xeccccea8,0x8a44505f,0xb81ff14f,0x7c1fe21f,
    0x0190b105,0x261ba2f4,0xfa86d83f,0x13e25f82,0x985f70fd,0x2617dc3f,
    0xfd13e23f,0x4f905700,0xe89f10fb,0x806c5987,0x20fe44f9,0x41fcc2fb,
    0x6675407d,0x5c05fecc,0x3602883f,0xff99999a,0x7c522680,0x5f70ffa1,
    0x1fcc2fe8,0x220681b0,0x7cc3f44f,0x2a13a28b,0x3e17d42f,0x29ffd99f,
    0x85c83be2,0x21720ef8,0x9ffd99ff,0x3ea0b302,0x99ff8bb1,0x0ea29ffd,
    0x44f7c40d,0x3e20bfdc,0x3ec1720e,0x26666b60,0x3ee00ff9,0x702c4003,
    0x5227d09f,0x99ffd46b,0x1be60bfe,0x2a3a80b9,0x6ccffc03,0x2fe629ff,
    0xa81f89fa,0x2a17623f,0x84fc8eff,0x204dcee8,0x504dcee8,0x09f91dff,
    0xd39b006c,0xc8effa85,0x0b10e44f,0xfc8effb8,0x6e77441c,0x4403fa04,
    0xb813ee05,0x0b21403f,0x75c0ff88,0x980bcdcf,0x1dfbdffd,0x026e7f4c,
    0xa80192c4,0x24fc8eff,0x5b9b3fe9,0x3337ee20,0x10020401,0x800c4003,
    0x00330040,0x02040175,0x82200202,0x100c4008,0x59039ff7,0xb807fc40,
    0xf98aa03f,0x8827f400,0x22110049,0x2000c400,0x04080020,0x004c0000,
    0x00000000,0x00000000,0x00000000,0x26000000,0x827f400f,0x5cf504fc,
    0xfc882dfe,0x00500dff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x220b7fae,0x730dfffc,0xfddddfff,0x000000bf,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00204c00,0x0ed803d9,0x801bd100,0x002ee200,
    0x70071015,0x33007101,0x002ee600,0x4c007320,0x80e0acca,0x400002c9,
    0x32a004ea,0x0037a002,0x32e00571,0xaaaaa802,0x80dd4400,0x00a8bffe,
    0x3e6013e2,0x805f5003,0xdad885f9,0x32616206,0x64c24c07,0xd8034407,
    0x2001eaae,0x6c406eea,0xcbfb989e,0x0b917d03,0x407e8fdc,0xfdf1007d,
    0x805f5001,0x203ffefc,0x2200fef8,0x200fffff,0x262602ea,0x2d405ffd,
    0x3600b500,0x404e8803,0x5403605a,0x7a807407,0x7d400e40,0x8d8012e1,
    0x0bf303d8,0x23641be6,0x3a3f704e,0x400f400f,0x7900b72c,0x1fea3980,
    0x640991d8,0xb101aaab,0x1440801b,0x2e0005c0,0x00004800,0x01dc0762,
    0x501640f5,0xc8024c0f,0x5401321f,0x00fe81c0,0x3f987ff3,0x000007dc,
    0x54188071,0x40c02401,0x541981fd,0x36005880,0x0000000e,0x80000000,
    0x207f5c01,0x983d4058,0x1d03d405,0x7c4ff200,0x7dc00001,0x1ff3d104,
    0x13ea07e4,0x00000000,0x0f700000,0x003b9000,0x654003f5,0x765c04ed,
    0x3b72a03d,0x05f6e404,0x217c00e0,0xd83d401d,0x2c83d400,0x3abbea00,
    0x20133331,0xfe80bedc,0x8ffa3b03,0x905f987d,0xcca817db,0x5c0332e1,
    0xcca83dec,0x200332e1,0x70e6541d,0x7ffc4199,0x00df102f,0x04f987d4,
    0x5427dc99,0x3a09f30f,0x04803fa1,0xa803a8b0,0x7a802b87,0xff800598,
    0x405ffdc5,0xff03fa1e,0x27ec5905,0xd0df10ff,0x3ee07f43,0x26407ec2,
    0x85f709f7,0x826400fd,0x107ec2fb,0x70bffd95,0x017fb59f,0xf70df1b6,
    0x46d83f90,0x7d44b86f,0x3aa05703,0x041a21bc,0x22c45f91,0x742fc880,
    0x3ff20080,0x89702f86,0x07fe23fa,0xf15fc895,0x8971fe0d,0x217d43fa,
    0x643dc0fc,0x3217d41f,0x9ffd300f,0x0fc85f50,0xf90ffea0,0x203fe619,
    0x3a1ba219,0x0cc4f986,0x99bf0dd1,0x0f30dfb9,0x17607600,0x7f6c4360,
    0x5d82c803,0x3ff8ce98,0xccdf81a6,0x3fe26fdc,0x53f61662,0xf8ff06f8,
    0x46fdcccd,0x207e42fa,0x544f986e,0x1007e42f,0x2fa87ff5,0x3e6007e4,
    0x3ee07f46,0x1baf6a02,0x41be0bf1,0x7c46ebda,0x0013a002,0x0176e12a,
    0x0fa85c77,0x176e1660,0x87fdc9f1,0x005f100d,0x40744ffa,0x221fe3fe,
    0x400be25f,0x107e42fa,0xf51be0bf,0x8800fc85,0x3217d46f,0x20fd800f,
    0xb05f987f,0x1fe23749,0xdd26c3fc,0xf9003f88,0x40e88005,0x16205bba,
    0x206c0788,0x0fe45bba,0x880eb7fa,0x2bfb003f,0x743ff01d,0xf127c41f,
    0x90bea007,0xf83fc41f,0x3f217d47,0xfa8fb000,0x54007e42,0x37c43f47,
    0x3a1ba2f4,0x2f45f80f,0x141be1ba,0x403d11fa,0x05ba442c,0x203b8076,
    0x45ba442b,0x37fc40ff,0x4c2837c0,0xbf302cef,0x17d42fc8,0x3ea141be,
    0x3fa07e42,0x17d45f80,0x264003f2,0x01f90bea,0x80fd8d50,0x3a27c44f,
    0x7cc2fb87,0x0fd13e23,0x21c419fb,0x9827c47f,0x2edabe85,0x812603a8,
    0xedabe858,0xf907ff12,0x67ec287f,0x13f20e20,0x1fc40fd8,0x833f61b2,
    0x3227cc38,0x2617dc1f,0x3227cc3f,0x983d001f,0x400fe44f,0x261fcc2e,
    0xd99ff81f,0x3be229ff,0x27fe1720,0x2629ffd9,0x40eccfff,0xe80ec1fb,
    0x2edaaa80,0x049302c4,0x6d55406c,0x22fff22e,0xbdffbdc8,0x67ffcc3b,
    0x1ffa80ec,0x4d701fb8,0xfff981f8,0x77c40ecc,0x20bfdc89,0x21720ef8,
    0xfdc89ef8,0x0b70ee0b,0xfb913df1,0x64477217,0x2dc1f903,0xfc8effa8,
    0x4dcee884,0xf91dff50,0x39fff309,0x16a5dd10,0x42dc0164,0xb99f501d,
    0x5b803b87,0x1ffffe44,0x301bfff5,0xd1039fff,0xbd97bd51,0x2dbdc801,
    0x073ffe60,0x7e477fdc,0x6e77441c,0x23bfee04,0x3ffa1cfc,0x3fee03ed,
    0xf71cfc8e,0xdb805bff,0x040804db,0x20400620,0x4c004400,0x007100bb,
    0x54051066,0x01c0aaaa,0x80260198,0x20088009,0x000cc408,0x00110004,
    0x22004411,0x04411001,0x82200188,0x30003008,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0acb9800,0xaaaaaa80,0x401ca82a,0x26002cb8,0x93000acb,0x01764059,
    0x0028de4c,0x2055cc00,0x40aaaaaa,0x820aaaa9,0x2601aaa8,0x2600aaaa,
    0x0000acca,0x30000000,0xaa861597,0x55502aaa,0xaaaaa815,0xcc81760a,
    0x203b930b,0xfffffff8,0x0f5476a5,0x076cd754,0x32617990,0x2e1b101d,
    0x40bd105f,0x7fda9cea,0x64001f54,0xffa81f53,0x43df300d,0x3ff224fa,
    0x4037e601,0xfb99aed8,0x4007d503,0x6f64c06c,0x2673b202,0xf710feeb,
    0x3fa601bf,0x41bff303,0x803907f8,0xaabdc81c,0x707e2faa,0x3e21f88b,
    0x1c803905,0x817e43c8,0x320fa078,0x000ff267,0xff82f8f5,0x3e61ec02,
    0x200ffc83,0x20bf102d,0x1fed45f9,0x2cc0db00,0x01fb03fb,0x09fb03f2,
    0x17f404c8,0x75ce4044,0x0720adcd,0x7d43e209,0x0f707cc0,0x2e1c85f7,
    0x8396cdbb,0x3027d45f,0x1a01f505,0x5d8007f3,0x401fe80c,0x3fee002c,
    0x3a03900e,0x30ff200f,0x7400007f,0x5f902e23,0x37cc1e80,0x3fb003a0,
    0x14f8aa00,0xb70058bd,0xd1ae1fd4,0x9549f30d,0x8b3cc1e9,0x0027cc5c,
    0x4c481fdc,0x02fc003f,0x16401fd8,0x5febb804,0x09f70390,0x3e60ff88,
    0x0fe00003,0x3500bf50,0x12605fd0,0x24007f60,0x2e0fb93e,0x7f42e800,
    0x87f83d33,0x04e925f8,0xf7002e17,0x817db903,0x4c084ff9,0x02fc003f,
    0x16401fd8,0xff8bb81c,0x3fe81c83,0x3e62fe80,0x7f300003,0x1004fc80,
    0x0760bf70,0x24007f60,0x14c7c93e,0xff103e20,0x83fb01b9,0x0fd526f8,
    0x0fe014c0,0x640fe87a,0x3e602fff,0x202b3263,0x03fb006f,0x770582c8,
    0x0390bfe6,0x9fb005ff,0x1dec9fcc,0x6e447b88,0x7fd04cdf,0x40ff8000,
    0x03fb0068,0xdbdf8710,0x2dc0480c,0xb80dff88,0x38a7cc4f,0x812001f7,
    0x7d44b85b,0x0dfffb83,0x07a63f98,0x13fffffe,0x16401fd8,0xf51dc074,
    0x3e20e43f,0x25fc801f,0x5fbbccf9,0xf983fdc4,0x007fe203,0x3b89f900,
    0x1003fb00,0x82f9cf89,0xc8174048,0x7440efeb,0x12feb9cf,0x22007ee9,
    0x37e03604,0x106fdccc,0xf987fffb,0x7e801b33,0xc803fb00,0x43b81f82,
    0x88390efc,0x5fc801ff,0x01fb17e6,0x80fe60fd,0x40001ff8,0x003a0ff8,
    0x3be60fec,0x3f29f120,0x1f100d40,0x837ec990,0x20fe8bda,0x35005f34,
    0x0be20a60,0x0fff4c00,0x001b37f3,0x07f600dd,0x82f88390,0x395fd83b,
    0xfb005ff0,0x3f21fcc7,0x7f307d80,0x0003ff80,0x00953fd8,0x3fea0fec,
    0x3a4f8323,0x216e0245,0x00ff41f9,0x361917e6,0x38121506,0x03007f10,
    0xfbf32fec,0x40176009,0x206c01fd,0x883b82f9,0xfd81ccfe,0x262fe803,
    0x6c0fdc3f,0xe807f307,0xf980004f,0x7ec003b6,0x5263a881,0x453e25f8,
    0x3e416c04,0x3b601fc4,0xbfd8a4c0,0x40911b98,0x7141be01,0xf997e203,
    0x3d802fdb,0x6807f900,0x03b83fa8,0xf303dff1,0x4c5f980d,0x6c0fdc3f,
    0xa807f307,0xe803006f,0x7ec006bf,0xaba81900,0x16aa62aa,0x3f501f10,
    0x075401f0,0x26ee63a8,0x6c000b10,0x4b8e20cf,0x5fcc5f10,0xdb501fe8,
    0x7cc0b819,0x3ea1a605,0x3ea03b84,0x405fb01f,0x21fcc1fd,0x307d81fb,
    0x0bfd007f,0x7fd400b8,0x41f62802,0x4c07502b,0x3e05b805,0x1f702d44,
    0x16603a80,0x3e607f30,0x2e0eccff,0x7cc6c83f,0x2881df33,0x09d9dffd,
    0x03a60fee,0x013217ee,0x3b6203f7,0xf982fb81,0x3ec0fdc3,0xfb003f98,
    0x000c8819,0x27f700ff,0x4c00983e,0x03ccabcc,0x6f4c05b0,0x5dc40bbb,
    0x7993000b,0xf5007995,0x67ffcc09,0x6676e5c1,0x727cc0ce,0x89cc88df,
    0x2e00dffc,0x01dedcee,0x7fe4cbf7,0x7007601c,0x01bd97bd,0x05f713e6,
    0x09f501fd,0x6e77f5c0,0x0132000c,0x00133fe2,0x0c000c40,0x02200880,
    0x00031000,0x04022001,0x7fed4066,0x045dff53,0x02600044,0x00002e20,
    0x2004c400,0xfd73efe9,0x33fee23d,0x06fffae1,0x00009880,0x000c0011,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2a355553,0x5541aaaa,0x65cc00aa,0xaa98312c,
    0xaaaaaaaa,0x2aaaaa61,0x2a62aaaa,0x019aaaaa,0x55555100,0x01555555,
    0x076fb76a,0x2fb62b6a,0x10de6540,0x2aaa6397,0x555511aa,0xaaaaa985,
    0x1e40099a,0xbb880b22,0xaaaaa980,0x2aaaa601,0x350019aa,0x55665cc0,
    0x1cedb80a,0xc88ffee2,0x1fc883ff,0x2626ff20,0xfe982efb,0x3ecaaaad,
    0x55567f4c,0x77f4c7ec,0x01dfecbc,0x57ff74c0,0xc82fbaaa,0xb83fd11d,
    0xfffcdbfe,0x25c27ec0,0xf303bfa6,0xdfd3017f,0x03bfb979,0x209f11be,
    0x984ffffc,0xe9800efe,0x3ffdbbdf,0x3605fd50,0xd073bee5,0x3fa07ec7,
    0x7701ff82,0xf880fdc0,0x2207f903,0x1b03fc84,0xfe983fd8,0x37dec002,
    0x207d4398,0x0dfb81fc,0x0df113f6,0x707f901d,0x83fd803d,0x46f82fe9,
    0x89d984f8,0x3fc82feb,0x320ff600,0x17e4446f,0x0bf117c4,0x5c3fa8f7,
    0xd03fc84f,0x700bee01,0x280fee07,0x81503fc8,0x5ff103fc,0x1be36200,
    0x7dc37428,0x7cc2fa81,0x1661fc86,0x03a61fe4,0x7c40ff20,0x3e237c2f,
    0x85fa8484,0x3f2003fc,0xb81ff883,0x742fb82f,0x88085f87,0x886f987f,
    0x200ff305,0x8007f703,0x3f2003fc,0x401fea03,0x1006f89c,0x503f709f,
    0xf10ff05f,0x3fc8164b,0x7e4003a6,0xdf1fea03,0xf0084f88,0xfdddf90f,
    0x40ff2039,0x82fa83fd,0x222fc4f9,0x07fa003f,0x03b83ff5,0xb8000bf9,
    0xf902983f,0x7f901987,0x4c01ff80,0x8330df15,0x81fb85f9,0x907e82fa,
    0x3fc81a3f,0x7e4001d5,0xdf0ffc03,0x3a004f88,0x3ea3fc85,0xd03fc81f,
    0x205f503f,0x983f30fd,0x13ee005f,0x00e89fbb,0xb80007fd,0xc816443f,
    0x6407223f,0x01fec03f,0x2237c476,0x5c3fc41d,0xf82fa81f,0x075bf106,
    0x00755fe4,0xfb00ff20,0x13e237c7,0x3fc82f80,0x1fe437e4,0x2fa82fec,
    0x202ef760,0x88280ff8,0x9be3a27f,0x03ff1058,0x033bb6e2,0xffb99df7,
    0x3ffff205,0x07f901ff,0x96605fc8,0xffdccff8,0x7dc1ff81,0x7cc2fa81,
    0x803bf603,0x000efdfc,0xddddfdd7,0x1fe5fc87,0xb50029f3,0xff30ff20,
    0xeeeefc81,0x0bea03ff,0x3fe8006c,0x52fd80cc,0x815c7fa7,0x7dc02ff8,
    0x5907f706,0x0390ff20,0xbfb00ff2,0x7dd56740,0xffb81c86,0xa81fdb9c,
    0x2603645f,0x75fe405f,0x3f2000ef,0xff2fec03,0x519f9515,0x7f900e80,
    0x7e40ffa8,0x033faa63,0x37ea0bea,0xf980aaab,0x2a05dadf,0x53ee1b5f,
    0x013fe00e,0x0fee0bf5,0x21fe40a2,0x807f9018,0x55b503fe,0x0330df75,
    0x3ee7ffaa,0xdbddfa81,0x401d800e,0x0efe8bfc,0xe807f900,0x4fffba3f,
    0x016406fd,0x85fd87f9,0x4fe883fc,0xfe882fa8,0xa84fffff,0x7c00cfff,
    0x27fe268f,0x2037ec05,0x07f705fa,0x2003fc80,0x3fe203fc,0x6f881d02,
    0x0fdc3000,0x004c57d4,0x27f900d0,0xc800efe8,0x87fe203f,0x5c00818f,
    0xd99fe403,0x03fc80ef,0x05f50ff5,0x2ea66291,0x2003900f,0x77ec3efc,
    0x007fcc02,0x0fee0bf5,0x003fc850,0x5fc80ff2,0x0df10950,0x81fb8018,
    0x3b8002fa,0x7ec3fc80,0x01fe400e,0x003ccbf9,0xefc803a8,0x3f202cee,
    0xa81ff503,0x1201d82f,0xf9800fe8,0x007fd40f,0xfa8077e4,0x5407f705,
    0x9001fe42,0x03fe607f,0x1be203a2,0x1fb802b8,0x35002fa8,0x0ff200b3,
    0xfc803bf6,0x541ff303,0x8254001f,0x9001fe43,0x21bf607f,0x067cc2fa,
    0x03f101d4,0x17e217e0,0xa80dfb80,0x209f905f,0x003fd87a,0xbf710ff6,
    0x7d417201,0x3200f507,0x803fb82f,0xb000fff9,0x3fff107f,0xf910ff60,
    0x001fb81b,0x333333ea,0x0027ec3e,0xefb987fb,0xfc83fb81,0x204fdcef,
    0x0b2004da,0x3660016c,0x0cfdbbdf,0x777ffdcc,0x3265ffee,0x2601bfff,
    0xddeefffc,0x9ff9102c,0x3bffae21,0x805ffeee,0x32e2ccca,0x0bb802cc,
    0xbfffc980,0x37fffee1,0xdffff932,0x0e2059bd,0xfffffa80,0xffb30fff,
    0x7e4c039f,0xcdeeefff,0x5f7f5c40,0x00acc980,0x30088000,0x09988000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x5554c00a,0x55551001,0x86aaaaa6,
    0x20aaaaaa,0x555441ed,0x555531aa,0xde880135,0x35555530,0x00664003,
    0x50083100,0x55555555,0x2aaaaa15,0x55554c0a,0x55555530,0x262aaaa8,
    0x002aaaaa,0xaaa81910,0x44aaaa1a,0xaaaaaaaa,0xb8281aaa,0xaaaaaaaa,
    0x005d002a,0x6401bfe6,0x77f4c2ff,0x40cffa80,0xffd883f9,0x6e6ff4c2,
    0x83f702ff,0xffcbdfe9,0x17fae00c,0x50bf11fb,0x260e5dff,0xecccccdf,
    0x3bff226f,0x443df700,0x440effea,0x7f4c0cfd,0xfb00009e,0x20cfe981,
    0x9bf30dd8,0xfb99dfb9,0x00283b89,0x00df5005,0x2200ffec,0x07f906ff,
    0x06a80ffc,0x8ff60bf7,0x02d83fe8,0x06fc87fb,0x6c5d11b1,0x7286f88f,
    0x07303ffd,0x3f207fe6,0xe881aa06,0x6407b06f,0x3ee0004f,0xe85f980f,
    0x89f51260,0x0a0fe649,0x7fec0140,0x0bfb9001,0xf905fdb8,0x7007f407,
    0x3209f501,0x2237d43f,0xf30ff203,0x0070503f,0x1501a810,0xfe80ffa0,
    0xe8803d03,0x2e025c3f,0x9b30003f,0x983fa01f,0x13ea0d44,0x1e77fdce,
    0xd300a005,0x2b200bf7,0x3eba00ff,0x7407f905,0x4fa8000f,0xff987f90,
    0x20ff2001,0x000003ff,0x3f201000,0x207fcc05,0x1ff3004b,0x0fee01a6,
    0x07e46c00,0x00763fa8,0x7f3013ea,0x900a0050,0x9001ff15,0x32e09f75,
    0x07f905f9,0x3dc407f4,0x7f904fa8,0x3dc46fa8,0x7fcc3fc8,0x220f7100,
    0x327b507b,0xff3000de,0x44bf9001,0x46fe4006,0x03fb800e,0x01f92c80,
    0x50058b7c,0x83f9809f,0x34405002,0x159007f9,0xf31d01ff,0xe80ff20b,
    0x83fdc40f,0x87f904fa,0x1fee23fd,0x9fb11fe4,0x221fee20,0xcfda87fb,
    0x8806fccd,0xfd1002ff,0x3a000765,0x7f7001ff,0x3f249800,0x0aebf200,
    0x26027d40,0x0500283f,0x00df31dc,0x9513f259,0x6fe417e6,0xffcccccc,
    0x3ea0fd00,0xb339f904,0x20fd01df,0x1dfdbdfc,0x1fa07e80,0x1fb06fcc,
    0x4005fd80,0x0004bffa,0x2e001ff3,0x83a2003f,0x54ccc0fc,0x00999edf,
    0x7f3013ea,0xe80a0050,0x32017ec0,0x8f41ff12,0x07f905f9,0x07d807f4,
    0x33f209f5,0x1f602bcb,0x17f567e4,0x1f607d80,0x07ee1fcc,0x8000efa8,
    0x50000ffc,0x3ee00bff,0xf9076003,0xfecccc81,0x2a03cccd,0x41fcc04f,
    0x3aa05002,0x05fecccc,0x267f9164,0x7e417e65,0x6c03fa03,0x3209f507,
    0x41f6003f,0x01ff33fc,0x83ec0fb0,0x80fdc3f9,0x30001ff8,0x3a2000bf,
    0xfb803fe8,0x333b5003,0x5c035f93,0x13ea002f,0x00507f30,0x4ccd6c0a,
    0x3200ff99,0x30edbe62,0x80ff20bf,0x20fb00fe,0x07f904fa,0x3fc83ec0,
    0x1f6017ee,0x87f307d8,0x09fb01fb,0x002fcc00,0x0ff98744,0xc801fdc0,
    0xffffffff,0xfb55550f,0x54055559,0x41fcc04f,0x0b105002,0x859027dc,
    0x2fcc6cfd,0x3fa03fc8,0x3ea0fb00,0x4007f904,0xd87f907d,0xb03ec03f,
    0xf70fe60f,0x280df703,0x4002fcc0,0x2037e42d,0x989c03fb,0x1afc9999,
    0x2ff26666,0x3ea00999,0x1c77c404,0x0b20a005,0x5900ff88,0x7cc2ff98,
    0x7407f905,0x2a0fb00f,0x007f904f,0x43fc83ec,0x1f602fe8,0x87f307d8,
    0x0ffcc1fb,0x5f980570,0xfe826400,0xa80fee03,0x2007e402,0x3ea002fb,
    0x20efd804,0x0f985002,0x3d827f40,0x07fa86e8,0x0ffc09fb,0x5fc80fe8,
    0x74009fb0,0x984fd80f,0x01fd01ff,0x13ea03fa,0x03fe85f7,0xff5007ea,
    0xf503dc00,0x217f205f,0x0fc807b8,0x70017dc0,0x320200df,0xaaaaaaaa,
    0x0b7fae3a,0x437fff22,0x2a0bffc9,0x37ffee23,0x37fff932,0x85f7fed4,
    0x911cffb8,0x32639fff,0x2201cfff,0xf931cffb,0xffb839ff,0x39ff712d,
    0x50e7fdc4,0x3fae7dfd,0xdddff91e,0x40fffddd,0x02dfffb8,0x3033ffaa,
    0x261bfffd,0xfffffffc,0x0fc805ff,0x07dff710,0x1cfffc88,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0001a806,0x20000104,0xedca8029,0x05f6e404,
    0xa839db70,0x332a5ddc,0xca8332e1,0x472e61cc,0xcb88bcca,0x2073263c,
    0x2a03decb,0x7db74edc,0x02e05d81,0x00a61c49,0x42601800,0x9952ccc9,
    0xed9bda83,0x75400000,0x5400ae03,0x2a1b3eec,0x2a0000be,0xf987d403,
    0x07f43d04,0x2a1fb1f4,0x85f71ea3,0x427dc0fd,0xf117ec3b,0x4990990f,
    0x50fb84fb,0xf1fa27df,0x3c89501f,0x2a0761e4,0xb139db54,0x074c16c3,
    0x07e23ff3,0x3fb99fb5,0x22001f30,0x15c00beb,0xff986640,0x00675c41,
    0x1b601d40,0xfa8970df,0x4fea3dc3,0x0bea2c3d,0xb0df01f9,0x0fc89f30,
    0x7e43dc2c,0x8ff136c1,0x260221fb,0x3e21ae0f,0x3ee03aa1,0x82fd98ae,
    0x2a03a62d,0x3e603b5f,0x43ea1026,0x005d9300,0x07ea015c,0x6f5403fb,
    0x300ea001,0x6fc37443,0x7c6fdccc,0x08ff6085,0x03f217d4,0xd0498bee,
    0x0e64fb8f,0x113e61ba,0x6667fc43,0x274404fd,0x83f205f3,0x3b03b85e,
    0x803a6b60,0x3e603dfd,0x2f19f503,0x077aa0fd,0xfb00ae00,0x9804fbb8,
    0x03a802ec,0x88dd7b50,0x03f8802f,0x54177fcc,0x4407e42f,0x7d40325f,
    0x40d9fb62,0x20df05f8,0x0005fcc9,0x81be21fb,0x89f30ef8,0x7409100d,
    0x07f4400e,0x75c07f30,0x9f53eddc,0x3332e001,0x2ccccddc,0x0ff3b97e,
    0xca9f6440,0xcccedccc,0x8dd26c3c,0x5f9803f8,0x44ffd880,0x807e42fa,
    0x7c40b0fd,0xb15f7555,0x1fe0ff10,0x0037c372,0x0bf33f44,0x4df10fe8,
    0xe9834058,0x05fd802d,0xfb300fe6,0x0675c419,0x64cccc40,0xf109999b,
    0x007e92ad,0x4cc473aa,0x9999cb99,0xf0dd17a0,0x0ff88a0d,0x17f54128,
    0x00fc85f5,0xc80579f3,0x57bf158f,0x17e03fa0,0x0307f8db,0x07ee3f98,
    0x81db0fdc,0x3a61a206,0x64e405b0,0x207f302f,0x5fbdafe8,0x4001dea8,
    0x257fc02b,0x7d71017a,0x44075001,0x7ec3f44f,0x7fd0e20c,0x3f98b198,
    0x03f913e6,0x7cc02ff4,0xb81bf23d,0xf11fcc2f,0x0cc2fd89,0x0d907d40,
    0xc81f98fe,0x0e987701,0xfd1d416c,0x2607f301,0x01d5789e,0x5c00bb66,
    0x7c2fe402,0x005d9303,0x4ffc03a8,0x2629ffd9,0x40eccfff,0x25dadff9,
    0xf883e22e,0x0bfdc89e,0x3a007f70,0xf1027cc7,0x7fc2e41d,0x95bffb30,
    0x87706e89,0x0b625c2d,0x03a606d4,0x6983601d,0x27cc37d4,0x1000fd40,
    0x15c017d9,0x5b83be60,0x0001dea8,0xeffa8075,0xff984fc8,0xfff501cf,
    0x656ff419,0xc8effb83,0x003e01cf,0x200741dc,0x704dcee8,0x3fea7dff,
    0x807fc0df,0x98b1620c,0x7bf9d104,0x2000b9bd,0x3ff21efa,0x17ffd51d,
    0x88002440,0xb555535b,0x22355559,0x85dcee9d,0x540000cb,0x40081003,
    0x10130008,0x44110062,0x80000800,0x20062000,0x10088098,0x40000001,
    0x5c15312a,0x00000001,0x5c000000,0xcccccccc,0x0c4132cc,0x0cc00000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x06f64f6a,0x6666665c,0x5002600c,0x44b7b29b,
    0xbb881dec,0x5dc41c40,0x2a00c400,0x0173300b,0x40570373,0x4c4930c8,
    0x99999999,0x2aa60819,0xaaaaaaaa,0x27b50601,0x010003da,0x2aaaaa08,
    0x4c2aaaaa,0x99999999,0x33332219,0x5000001c,0xdf99b9fb,0x04fb83b0,
    0x9fb502f4,0x593ff759,0xdad88df9,0x5b11f266,0x836c01fb,0x5c4dabe8,
    0xd88e8d93,0x23fbb7c4,0x2a5f93fb,0xbbbbbbbb,0x750645bb,0x77777777,
    0x7ccfe257,0x27d83b65,0x5c5f54f8,0x22702dfe,0xbbbbbbbb,0x333223bb,
    0x4ccccccc,0x07ffffe2,0xdf980000,0x98703f60,0x4019806f,0x227dc5f9,
    0xa8b300fc,0x205f04c7,0x42b83bca,0x33e4260d,0x2df07dcd,0x25f70ffd,
    0x258001fc,0x4c0006e8,0x0747d15f,0xf54f88f4,0xdfc99225,0x00000d9a,
    0x00000000,0xf70fe600,0x007f4403,0x544f9800,0x440fdc3f,0x3e03cc1d,
    0xd03a1d00,0x7aab8570,0x3a2f89f2,0x8fcc3264,0x458000fb,0x040000fa,
    0x00a20330,0x1cda804c,0x00000000,0x4c000000,0xb00fdc3f,0x9999705f,
    0x45999999,0x21fcc4f8,0x0fda81fb,0x703b81e6,0xb0722cc7,0x2a7aa641,
    0x43d8f11f,0x00799e25,0xd71ed4b0,0xdddddddd,0x0000009d,0x00000000,
    0x00000000,0xf70fe600,0x4413ee03,0x99999999,0x313e2099,0x201fb87f,
    0x1d41e62e,0x221c8688,0x6fc5b8ae,0x553a2fc9,0x40b895c3,0x20001626,
    0x00000000,0x00000000,0x00000000,0x7f300000,0x6f981fb8,0x4f880000,
    0x07ee1fcc,0x2a1e60d8,0x881d8512,0x4c16dc46,0x5d41c89c,0x06030980,
    0x00000005,0x00000000,0x00000000,0x00000000,0x3ee1fcc0,0x2a07f441,
    0xf100ee00,0x7dc3f989,0x886f3aa1,0x3ffee3fc,0x3b812a4f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xf713ea00,0x0482fd85,
    0x13e6026c,0x02fb87f5,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x5cfbfaa0,0xdff51efe,0x000fdddd,0xd53ffd98,
    0x3bfae7df,0x00000002,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_24_latin1_x[224]={ 0,2,1,0,1,0,0,0,0,0,1,0,1,0,
1,0,0,2,0,0,0,1,0,0,1,0,1,1,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,
0,0,-1,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,-1,1,0,-1,0,0,0,0,0,0,0,
-2,0,0,0,0,0,-1,0,0,1,0,0,0,0,0,0,0,2,1,1,0,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,2,1,0,0,0,
1,1,0,0,-1,0,0,0,0,-1,1,0,0,0,2,1,-1,1,1,1,0,0,1,1,0,0,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,
 };
static signed short stb__times_24_latin1_y[224]={ 19,4,4,4,3,4,4,4,3,3,3,6,16,13,
16,3,4,4,4,4,4,4,4,4,4,4,9,9,6,9,6,4,3,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,3,4,4,22,4,9,3,9,3,9,3,9,3,3,
3,3,3,9,9,9,9,9,9,9,6,9,9,9,9,9,9,3,3,3,11,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,19,8,4,4,6,4,
3,4,4,4,4,9,9,13,4,2,4,6,4,4,4,9,4,10,18,4,4,9,4,4,4,8,-1,-1,0,0,
0,1,4,4,-1,-1,0,0,-1,-1,0,0,4,0,-1,-1,0,0,0,7,4,-1,-1,0,0,-1,4,3,4,4,
4,4,4,3,9,9,4,4,4,4,4,4,4,4,3,4,4,4,4,4,4,7,8,4,4,4,4,4,3,4,
 };
static unsigned short stb__times_24_latin1_w[224]={ 0,3,7,11,9,18,17,3,7,7,9,12,4,7,
3,7,11,7,10,10,11,9,10,10,9,10,4,4,12,12,12,9,19,16,14,14,15,13,12,16,16,7,9,16,
13,19,17,15,12,15,15,10,13,16,16,21,16,16,13,6,7,6,10,13,4,10,12,9,11,10,10,11,11,6,
7,11,6,17,11,11,12,11,8,7,7,11,11,16,11,11,10,7,2,7,12,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,0,3,9,11,11,11,
2,9,7,16,7,11,12,7,16,13,7,12,7,6,4,11,11,3,5,5,7,11,15,15,16,9,16,16,16,16,
16,16,20,14,13,13,13,13,7,7,7,7,15,17,15,15,15,15,15,10,15,16,16,16,16,16,12,11,10,10,
10,10,10,10,14,9,10,10,10,10,6,6,7,7,11,11,11,11,11,11,11,12,11,11,11,11,11,11,12,11,
 };
static unsigned short stb__times_24_latin1_h[224]={ 0,16,7,16,18,16,16,7,21,21,10,12,7,2,
4,17,16,15,15,16,15,16,16,16,16,16,11,14,12,5,12,16,21,15,15,16,15,15,15,16,15,15,16,15,
15,15,16,16,15,20,15,16,15,16,16,16,15,15,15,20,17,20,8,2,4,11,17,11,17,11,16,15,16,16,
21,16,16,10,10,11,15,15,10,11,14,11,11,11,10,15,10,21,21,21,4,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,0,16,20,16,11,15,
21,20,4,16,7,11,6,2,16,2,7,12,8,9,4,15,20,4,6,8,7,11,16,16,16,16,20,20,19,19,
19,18,15,20,20,20,19,19,20,20,19,19,15,20,21,21,20,20,20,10,16,21,21,20,20,20,15,17,16,16,
16,16,16,17,11,15,16,16,16,16,15,15,15,15,17,15,16,16,16,16,16,10,12,16,16,16,16,20,21,20,
 };
static unsigned short stb__times_24_latin1_s[224]={ 255,252,120,211,49,181,105,111,1,85,246,
52,115,227,160,91,150,225,186,209,196,232,242,18,29,39,173,250,1,147,39,
67,57,1,210,208,67,40,54,23,38,62,240,141,182,18,144,162,70,188,90,
88,220,123,223,1,165,148,134,158,83,181,76,213,173,65,122,87,59,76,197,
233,178,190,93,99,247,37,1,146,116,104,237,97,234,105,117,129,225,129,13,
101,143,77,186,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,
242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,255,140,204,
111,202,208,54,82,178,50,95,178,128,227,1,199,87,14,68,55,168,174,214,
164,141,62,103,190,89,73,56,46,238,1,202,227,1,32,83,18,174,50,18,
188,173,165,244,219,158,64,38,22,92,108,124,214,134,109,126,140,157,33,197,
110,24,170,135,1,200,99,158,245,77,35,123,162,55,83,106,114,71,122,146,
12,185,235,158,24,27,173,197,220,223,146,9,226, };
static unsigned short stb__times_24_latin1_t[224]={ 1,23,144,44,44,44,64,144,1,1,131,
131,144,144,144,44,64,98,98,64,115,64,64,81,81,81,131,81,131,144,131,
81,1,115,98,81,98,98,98,98,115,115,81,98,115,115,81,81,115,1,115,
81,115,81,81,98,115,115,115,1,44,1,144,144,144,131,44,131,44,131,81,
98,81,81,1,81,44,144,144,131,98,98,131,131,115,131,131,131,131,98,144,
1,1,1,144,115,115,115,115,115,115,115,115,115,115,115,115,115,115,115,115,
115,115,115,115,115,115,115,115,115,115,115,115,115,115,115,115,115,1,81,1,
81,131,115,1,23,144,81,144,131,144,144,81,144,144,131,144,144,144,98,1,
144,144,144,144,131,64,64,64,64,1,23,23,23,44,44,98,23,23,23,44,
23,1,1,23,23,98,23,1,1,23,23,23,131,64,1,1,23,23,23,98,
44,64,44,44,64,44,44,131,98,81,64,64,64,115,115,115,115,44,115,44,
64,64,44,44,144,131,64,64,64,44,1,1,1, };
static unsigned short stb__times_24_latin1_a[224]={ 87,115,142,173,173,289,270,62,
115,115,173,196,87,115,87,96,173,173,173,173,173,173,173,173,
173,173,96,96,196,196,196,154,319,250,231,231,250,212,193,250,
250,115,135,250,212,308,250,250,193,250,231,193,212,250,250,327,
250,250,212,115,96,115,163,173,115,154,173,154,173,154,115,173,
173,96,96,173,96,270,173,173,173,173,115,135,96,173,173,250,
173,173,154,166,69,166,188,270,270,270,270,270,270,270,270,270,
270,270,270,270,270,270,270,270,270,270,270,270,270,270,270,270,
270,270,270,270,270,270,270,270,87,115,173,173,173,173,69,173,
115,263,96,173,196,115,263,173,139,190,104,104,115,200,157,87,
115,104,108,173,260,260,260,154,250,250,250,250,250,250,308,231,
212,212,212,212,115,115,115,115,250,250,250,250,250,250,250,196,
250,250,250,250,250,250,193,173,154,154,154,154,154,154,231,154,
154,154,154,154,96,96,96,96,173,173,173,173,173,173,173,190,
173,173,173,173,173,173,173,173, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_24_latin1_BITMAP_HEIGHT or STB_FONT_times_24_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_24_latin1(stb_fontchar font[STB_FONT_times_24_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_times_24_latin1_BITMAP_HEIGHT][STB_FONT_times_24_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_24_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_24_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_24_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_24_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_24_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_24_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_24_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__times_24_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__times_24_latin1_s[i] + stb__times_24_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__times_24_latin1_t[i] + stb__times_24_latin1_h[i]) * recip_height;
            font[i].x0 = stb__times_24_latin1_x[i];
            font[i].y0 = stb__times_24_latin1_y[i];
            font[i].x1 = stb__times_24_latin1_x[i] + stb__times_24_latin1_w[i];
            font[i].y1 = stb__times_24_latin1_y[i] + stb__times_24_latin1_h[i];
            font[i].advance_int = (stb__times_24_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__times_24_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_24_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_24_latin1_s[i] + stb__times_24_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_24_latin1_t[i] + stb__times_24_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_24_latin1_x[i] - 0.5f;
            font[i].y0f = stb__times_24_latin1_y[i] - 0.5f;
            font[i].x1f = stb__times_24_latin1_x[i] + stb__times_24_latin1_w[i] + 0.5f;
            font[i].y1f = stb__times_24_latin1_y[i] + stb__times_24_latin1_h[i] + 0.5f;
            font[i].advance = stb__times_24_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_24_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_24_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_24_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_24_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_24_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_24_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_24_latin1_LINE_SPACING
#endif

