// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_30_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_30_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_30_latin1_BITMAP_WIDTH         256
#define STB_FONT_times_30_latin1_BITMAP_HEIGHT        228
#define STB_FONT_times_30_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_times_30_latin1_FIRST_CHAR            32
#define STB_FONT_times_30_latin1_NUM_CHARS            224

#define STB_FONT_times_30_latin1_LINE_SPACING          19

static unsigned int stb__times_30_latin1_pixels[]={
    0x06d40cc0,0x06aa2000,0x440000cc,0xdb000881,0xea800009,0x7640001e,
    0x74c0000d,0x2aaa002e,0x555542aa,0x3ba6002a,0x97500001,0x2000179b,
    0x33100008,0x99003600,0x7f5c4b80,0x7dc0001f,0x000ee00e,0xbfbdd951,
    0x26005937,0x200000ff,0x4c0004fd,0x80004fff,0x3f6005fb,0x66644ccd,
    0x3f2006fc,0x75c40004,0x0665cc1b,0x0ed5dcc0,0x76f76440,0x807a02ef,
    0x07b00ffa,0x00007fe6,0x0b7001fd,0x502bfe20,0x54005ff9,0x3e00002f,
    0x8cd80005,0xc80000fd,0x03fb000f,0xf801be20,0x17540005,0x7402e880,
    0xdf501ae1,0x80dfc881,0x4136201e,0x00ffc04c,0x4003f100,0x17f4404d,
    0x7000fee0,0x1a60000b,0xb712a000,0x00b60000,0xf8800fec,0x000d3006,
    0x44000eb8,0xfc8d301e,0xc80bf702,0x000f40ef,0x7fc01fa8,0x00ae0001,
    0x3a203f10,0x007b003f,0x2a000070,0x30280000,0x07100001,0x44007f60,
    0x0015006f,0x800075c0,0xd98f9058,0x801ff980,0x000f45fe,0x7fc037c4,
    0x00020001,0x06fd836c,0x98801260,0x33100001,0x06620000,0xd8000000,
    0x0df1001f,0x1f300000,0xa81b8000,0x0bfd005f,0x1e8bfea0,0x803fb800,
    0x202a61ff,0x44099998,0x7f700999,0x4004ff88,0x677e4402,0x44002efd,
    0x2efdcefc,0x677e4400,0x36e02efd,0x903effff,0x3619fffd,0x2df1001f,
    0x3effffdb,0x19fffd90,0x5e4c03e8,0x20e62b98,0x7d405fe8,0x9bfe002f,
    0x3a14401e,0x99ff800f,0x7dc3ffff,0x7ecc2eff,0xa8ff100d,0x200003ff,
    0xdfb80efa,0x80efa800,0xfa800dfb,0x00dfb80e,0x74013ff2,0x800fec0f,
    0x27fe46f8,0x6a80fe80,0x32233a20,0xf982c1fd,0x3ff900df,0xe87fec00,
    0x54ff9301,0xd5ff007f,0x985fffb9,0x00d502ff,0x0ffe41ff,0x05fb8000,
    0xf7007fd4,0x00ffa80b,0xff5017ee,0x00bfea01,0x00fec364,0x7fd46f88,
    0x3a0d9002,0xff713a03,0x3fef20b0,0x00ffd81e,0x0f47ff20,0x3ee7fca8,
    0x41bff007,0x5fc87fe9,0x5ff007b0,0x00007ff4,0x7400ffcc,0x03ff305f,
    0x3e60bfd0,0x05fe801f,0x2e003ff3,0x1001fd85,0x01ff98df,0x01f30b70,
    0x0bf703f6,0xfd30c819,0x007ff81f,0x01e97fe4,0x06fc9fe6,0xff703ff0,
    0x440ff885,0x23fe800f,0xd00007ff,0x3fea00bf,0x5005fe82,0x0bfd05ff,
    0x260bfea0,0x0b7001ff,0x3e2003fb,0x800ffcc6,0xf906a85b,0x8d05fb05,
    0x237f444a,0x7dc007ff,0x4ff1003f,0x3ff005fd,0x3f60ffe0,0xfd8025c4,
    0x0007ffa5,0x4005ff50,0x17fd46ff,0xfa8dff00,0x1bfe002f,0x5c007fe6,
    0x1001fd85,0x01ff98df,0x30b70b70,0x103fe0bf,0xfe883d8b,0x8003ff60,
    0xf1002ffc,0xf802ff4f,0x309fd01f,0x800f41ff,0x0bff66fd,0x03ff9000,
    0xf907ff40,0x7ff4003f,0x8007ff20,0x7fcc0ffe,0xfb0b7001,0x31be2003,
    0x16e003ff,0x207f2132,0x743986f9,0x7e45f305,0x3ff6001f,0x6cff1000,
    0x03ff005f,0xa7ec0ff6,0x97f6006a,0x40004ffb,0x36000ffd,0x03ff61ff,
    0x361ffd80,0x3f6000ff,0x00ffcc1f,0x01fd85b8,0xff98df10,0x790b7001,
    0x0ffa0fd0,0x207f9072,0x00bfea1f,0x22006fe8,0x401bee7f,0x03fd01ff,
    0x00f63fe6,0x3fe24fe8,0x3fe0c006,0x1ffe4007,0xfc800fff,0x001ffe3f,
    0xff987ff9,0xfb0b7001,0x31be2003,0x16e003ff,0x50bf112e,0x986983ff,
    0x223443ff,0xff1005ff,0x53fc4005,0x07fe00ff,0x9fb007fc,0x1ff4001f,
    0x44013fee,0x2003ffc2,0x1ffe2ffb,0x7c5ff700,0x7fdc007f,0x800ffcc2,
    0x001fd85b,0x1ff98df1,0x8b70b700,0x3fdd45fa,0x7fdc07a2,0x3fe60ae4,
    0x746fc801,0xf89fe201,0x305ff007,0x4ffa807f,0x6c17fc00,0x41c402ff,
    0x32000ffe,0x03ffa1ff,0x3a1ffc80,0x3f2000ff,0x00ffcc1f,0x01fd85b8,
    0xff98df10,0xd30b7001,0x4b8aff88,0x011ec4df,0x4037bff7,0x77cc05fb,
    0xff100f40,0xff800ff8,0xe8037446,0x1be2001f,0x20acffb8,0x3ff904b8,
    0x907fec00,0x7ec003ff,0x007ff20f,0x7cc0ffd8,0xb097002f,0x1be2003f,
    0x2e005ff3,0xffd83d04,0x372ffa3f,0x6ffa82c2,0xa80dfc80,0x201e80ef,
    0x01fdc7f8,0x7e6767fc,0x001ae005,0xfda807f5,0x203deeff,0x3a002ffb,
    0x017fdc6f,0xffb8dfd0,0x21bfa002,0x79002ff8,0x22003fb0,0x017fc46f,
    0x509703c8,0x80ab8815,0x0ffe602b,0x3337f660,0x807a03ee,0x805e87f8,
    0x009989ff,0x360016c0,0x076a000f,0x1005fe80,0x0bfd05ff,0x3a0bfe20,
    0x5ff1005f,0x6c00ffe0,0x1001fd82,0x007ff0df,0x00f440b6,0x4c034400,
    0x3fea007f,0x00f401ff,0x01f30ff1,0x20001ff8,0x1fc40078,0x800bfa00,
    0xfc801ffa,0x003ff505,0x3fea0bf9,0x205fc801,0x0f8806fe,0xf1001fd8,
    0x100dfd0d,0x0074c01f,0x9501b100,0x22000fb8,0x3a00effe,0x5c1be201,
    0x000ffc05,0x4c8007b0,0x006f9800,0x3e602fec,0x017f600f,0x7ec01ff3,
    0x007fcc05,0x74403ff3,0x2003fb04,0x1ff986f8,0x2a013a20,0x0e88000d,
    0x02cc1fb0,0x206ffc80,0x813e601e,0x007fe02d,0x005cbdc8,0x9f00035c,
    0x01bf7000,0xf7001bf7,0x01bf701b,0xf701bf70,0x5ff5001b,0x3605ea88,
    0x0df1001f,0xd510bfea,0x0174c00b,0x2a00db88,0x10001647,0x43d01bf9,
    0x7003e63a,0x005ff307,0x003fffe2,0xb70003b8,0x3660001b,0x03efdcdf,
    0x6e6fecc0,0x6cc003ef,0x03efdcdf,0x777ff540,0x3f600cff,0x66644ccd,
    0x3faa06fc,0x00cffeef,0x0defe440,0x2005b953,0x0003babc,0x217bb710,
    0x36bbfe1e,0x6e431003,0xa800ceee,0x066000bd,0x00008800,0x00006a20,
    0x80000d44,0x980001a8,0xa8009aa9,0x5542aaaa,0x99802aaa,0x800009aa,
    0x1bcdedca,0x00001000,0x4c1b0880,0x00001cec,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x4a800000,
    0x0005d436,0x20013b60,0xeeefedb9,0x6e4401ee,0x5cc00142,0x20000aa0,
    0x037ae003,0x013b6000,0x00bba600,0x0017b200,0x22013b62,0xc88003ed,
    0xdb00142d,0x01bd700b,0x4c3d0f62,0xff70002d,0x7fd4003f,0x00950fff,
    0x2277ffba,0x34fe8004,0x540003ff,0x9fff3004,0x1ff10000,0x0bf70000,
    0x01ff8800,0x01fffc80,0xe8006fa8,0x048adffe,0x805fff50,0x213a02fe,
    0x000fc41e,0x01ba6be2,0x7fffffd4,0x23300950,0x001fffea,0x1ff13fd8,
    0x800ec000,0x001fd8dd,0x0002f980,0xa8000fb0,0xaf88002f,0x3f7005e9,
    0xfea8c400,0x17d002ff,0x0fe201fd,0x81e81fa8,0x1164006d,0xfffd005b,
    0x012a1fff,0x00072606,0x00004408,0x712a00d1,0x16a0000b,0x001e8000,
    0x6c000f20,0x6400b621,0x32606003,0x4c877001,0x1fd80970,0x00fd81e8,
    0x200a0310,0x0fffffff,0x19880095,0x03310000,0x20095000,0x00001302,
    0x3880000e,0x4000e000,0x1c005018,0x0a000000,0xfe803814,0x1ff81e82,
    0xf8800000,0x50ffffff,0x9df91009,0x88005dfb,0x2efdcefc,0x07aea200,
    0x00000600,0x00000006,0x00000000,0x3ff26000,0xffec806f,0x000000cf,
    0x20f41fec,0x7edc0ff8,0xd903efff,0x7f419fff,0x950fffff,0xb80efa80,
    0xefa800df,0x400dfb80,0x02efccfc,0x00000f40,0xfd98007a,0xffffffff,
    0x3f662fff,0xffffffff,0x3f662fff,0xffffffff,0x3b262fff,0xd81cffff,
    0x0dd004ff,0x9ffffd93,0x3fffb263,0x427dc1cf,0x903fcc1e,0x3fa009ff,
    0xfffffb80,0x7dc0950f,0x007fd405,0xffa80bf7,0x36e1d900,0xbf5000ff,
    0x2fd40000,0x827fc400,0xff883fa8,0x107f5104,0x3ea209ff,0x801fff03,
    0x5c803ffe,0xf007ffc0,0x0fea01ff,0x40df107a,0xd9002ffa,0x7ffffe40,
    0x3fe60950,0x305fe801,0xbfd003ff,0x7c745f50,0x1ffb003f,0x3ff60000,
    0x04ff8000,0x04ff81d4,0x04ff81d4,0x06fe81d4,0x401fffe8,0x037f404b,
    0x0fa81bfa,0x205d81e8,0xb7001ff9,0x0ffdca80,0x017fa095,0x7f417fd4,
    0x85ff5005,0x05cd667e,0x01fffc40,0x1fffc400,0x2027f400,0x809fd038,
    0x809fd038,0x00bfb038,0x401fff7d,0x02fec04b,0x04d817f6,0x201f303d,
    0xb7001ff9,0x0950e800,0x7c005ff5,0x017fd46f,0x26f8dff0,0xdcc8002c,
    0xcc80006f,0xfe8006fd,0x13fa0004,0x004fe800,0x3a017f60,0x700effaa,
    0x405fd809,0x02b885fd,0x4164407a,0xb7001ff9,0x0950e800,0x74003ff9,
    0x07ff20ff,0xf30ffe80,0x9f80034d,0x40002ff9,0x002ff99f,0x803027f4,
    0xd00604fe,0x3600c09f,0xf72e805f,0xb012e0bf,0x45fd80bf,0x00f401f8,
    0x03ff3136,0x1d0016e0,0x03ff612a,0x361ffd80,0x3f6000ff,0x126ff31f,
    0x5fe9ae00,0xfe9ae000,0x027f4005,0x204fe80d,0xd027f406,0xe805fd80,
    0x2e0fff62,0x202fec04,0x02b885fd,0x415c407a,0xb7001ff9,0x0950e800,
    0xfc800fff,0x001ffe3f,0x57fc7ff9,0x1740281c,0x20001ff7,0x003fee2e,
    0x6a884fe8,0x54427f40,0x4427f406,0x02fec06a,0x0bffa174,0x05fd8097,
    0x09b02fec,0x403e607a,0xb7001ff9,0x0950e800,0xfb800fff,0x001ffe2f,
    0x77ec5ff7,0x1a603986,0x30009ff1,0x004ff88d,0x3bbbbffa,0x7ff406ff,
    0x06ffeeee,0x77777ff4,0x2fec06ff,0x3fe21740,0xfb012e1f,0x205fd80b,
    0xc81e80fa,0x007fe605,0x43a002dc,0x00ffe84a,0xfe87ff20,0x3ff2000f,
    0x9837fee1,0x320f600e,0x83d8007f,0x3fa007fc,0x20364c44,0x364c44fe,
    0x93113fa0,0x805fd80d,0x0eff982e,0x05fd8097,0x7f502fec,0x06f883d0,
    0x5c007fe6,0x4a874005,0x2001ffc8,0x3ff20ffd,0x03ff6001,0x5fddfffb,
    0x7cc07c40,0x03e2002f,0x7400bfe6,0xfd01604f,0x3fa02c09,0xbfb01604,
    0x3ea05d00,0xfd80975f,0x702fec05,0xf983d09f,0x00bfe607,0x43a0025c,
    0x02ffb84a,0xff71bfa0,0x437f4005,0x01dffff9,0x7fffffe4,0x32006fff,
    0xffffffff,0x09fd006f,0x813fa01c,0x7027f403,0xe805fd80,0x2f3ff202,
    0x202fec04,0x0ff205fd,0x01ff107a,0x6400bfe2,0x4a874003,0x2200bfd0,
    0x05fe82ff,0x7705ff10,0x00fc0026,0x3e003ff5,0x007fea01,0xe80013fa,
    0x3fa0004f,0x17f60004,0xffb00ba0,0x05fd809d,0x5fd02fec,0x03ff03d0,
    0x2d801ffc,0x04a87400,0xf9003ff5,0x007fea0b,0x007417f2,0x3fe01aa0,
    0xf806a805,0x04fe805f,0x009fd030,0x4013fa06,0xe805fd81,0x27ff4402,
    0xfb017f60,0x740fec0b,0x3a00fd81,0x00f8806f,0x204a8740,0x7fcc05fd,
    0x3017f600,0x00b301ff,0xff9005d0,0xc802e801,0x27f400ff,0x27f424c0,
    0x27f424c0,0x2fec24c0,0x7cc01f40,0x02fec04f,0x1fb817f6,0x406d81e8,
    0x3a201ff9,0x950e8004,0xb80dfb80,0xdfb800df,0x900dfb80,0x007b8005,
    0x3dc0bff3,0x405ff980,0x81e805ff,0x81e805ff,0x81e805ff,0x27c406fe,
    0x7404fa80,0x037f406f,0xf107a13a,0x85ff5003,0xd0005ea8,0x366012a1,
    0x03efdcdf,0x6e6fecc0,0x003403ef,0x7c401be2,0x06f881ff,0x203fff10,
    0xd5106ff8,0x20dff10d,0xff886ea8,0x20dd5106,0xff9107ff,0x097005bf,
    0x7fc07ff8,0x3a1ec407,0xa800b661,0xcffeeffe,0x2a190000,0x00d44003,
    0x001a8800,0xdfff7000,0x7fff5c07,0xdfff70df,0x7fff5c07,0xffd910df,
    0xffffffff,0x7ff6449f,0xffffffff,0x3ffb224f,0xffffffff,0x3fff224f,
    0x00000bef,0x3fff2202,0xff910bef,0x54017dff,0x005d4364,0x09aa9980,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00007baa,0x40004ed8,0x0006e22a,
    0x000e4477,0x80154173,0x2a00dc39,0x28006e22,0x85b91000,0x00a80002,
    0x50002600,0x00555001,0x40015540,0x00300aa8,0x00013f20,0x0000ff88,
    0x3fe4bfe6,0x363ff500,0x53fa006f,0x7c402ff9,0x201ff73f,0x0df91ff9,
    0x20003a20,0x48adffee,0x36fa6000,0x767cc003,0x006a800e,0x20003ff3,
    0xfc8003ff,0x0009f905,0xb80000bf,0x7c40001f,0x400df71f,0x09f70ff9,
    0xff89fec0,0xf52ff801,0xb87fc40f,0x7ff5405f,0x18802dfe,0x005fffd5,
    0x400d0e40,0x1013e3f8,0x27d4001d,0x0027cc00,0xfff00ef8,0x00069800,
    0x00002d80,0x00000811,0x08810001,0x10010200,0x97d40081,0x1805fb56,
    0x40001c98,0xfc801a1c,0x07b01f61,0x9000d700,0x03e6000b,0x54007fe8,
    0x03800000,0x00000000,0x00180000,0x40000000,0x02f89a5e,0x300000c0,
    0x74009b7d,0x5407f20f,0x00320005,0x320001b0,0x0037ec01,0x0000000c,
    0x7fffedc0,0xfffd903e,0x26666219,0x004ccc40,0x64c003d0,0x31cffffe,
    0xfffffffb,0x4c5fffff,0x005b1a4f,0x200001e8,0x7fc003f8,0x3a20fee0,
    0x00040000,0x80080002,0x1e8005fd,0x3fffee00,0xfff904ef,0x4ffc819f,
    0xfb81fd00,0x7ecc2eff,0x0bf5000d,0x403ffe00,0xf5104ff8,0x98d37dc7,
    0x017ea001,0x005fa800,0x07f907f4,0x3333005b,0x4c099988,0x4ccc4199,
    0x00aa8800,0xfa8009f9,0xfffd8005,0x8077d400,0xd9002ffa,0x540bfe60,
    0x07fec006,0x2037f400,0x11d404ff,0x0001a9ff,0x00001ffb,0xc8003ff6,
    0xb707f61f,0x87ff6a00,0x6d43ffd9,0x3ff661ff,0x3ef3a603,0x01fdc0df,
    0x0003ff60,0xc803ffd1,0x07fe600f,0xbf902dc0,0xf8800f60,0xfd8003ff,
    0x2027f405,0x36ffec38,0x7fff1000,0xfff10000,0xf1fcc007,0x4000e88b,
    0x03fe81ff,0x07fd03ff,0x1df90be6,0xf10017d4,0xf30007ff,0x402f80bf,
    0xb7001ff9,0x2207fc40,0x3732000f,0x5fd8006f,0x40027f40,0x001fffe8,
    0x00dfb990,0x0dfb9900,0x0cdbea80,0x7fc0016c,0xff03fd81,0xd107fb03,
    0xf993fa0b,0x3f732001,0x5ff90006,0x3e601720,0x80b7001f,0x0025c4fd,
    0x00bfe67e,0xfe80bfb0,0xff900604,0x33f0007f,0xf80005ff,0x8002ff99,
    0xdb84b809,0xb03ff02d,0x207fe07f,0x04fb83fd,0x07e21ff5,0x2ff99f80,
    0x81ffd000,0xff9800f9,0x980b7001,0x8007a0ff,0x0017fa6b,0x4fe80bfb,
    0x3fea01a0,0xe9ae005f,0x9ae0005f,0x300005fe,0xf98ed81d,0xfd81ff82,
    0xfb03ff03,0x2207fb07,0x4003e2ff,0x0017fa6b,0x0ba27fcc,0x800ffcc0,
    0x54fd805b,0x2e2e800d,0x3f6000ff,0x4427f405,0xffbd006a,0x5c5d001b,
    0x5d0000ff,0x00007fdc,0xd8bea0f4,0x6c0ffc0f,0xb03ff03f,0x407ff07f,
    0xe801e3ff,0x0003fee2,0x05b8ffe4,0x4007fe60,0x8ff9805b,0x11a6003d,
    0x7ec009ff,0x777ff405,0xd006ffee,0xd300ffee,0x8004ff88,0x027fc469,
    0x3f612e00,0x3ff0bf21,0x3fe07fb0,0xff83fd81,0x058bfa05,0x4ff88d30,
    0x3dff1000,0x7fcc001f,0x200b7001,0x2000fcfd,0x007fc83d,0x9fd017f6,
    0xd006c988,0x0f6037e4,0x36001ff2,0x0007fc83,0x707f41a6,0xd81fe87f,
    0xb03fd03f,0x40ffd07f,0x6c0020ff,0x0007fc83,0x000fffea,0x2e003ff3,
    0x09ff5005,0x7cc07c40,0x0bfb002f,0x21604fe8,0x03fe2681,0x7fcc07c4,
    0x203e2002,0xd0002ff9,0xfb83fa03,0x7ec17f43,0xfb05fd03,0x201ff907,
    0x0f88007f,0x0002ff98,0x26001ff6,0x097002ff,0x9000ff40,0xffffffff,
    0x17f600df,0x41c09fd0,0x81fe342c,0xfffffffc,0x3f2006ff,0xffffffff,
    0x204c8006,0xb0bf21fc,0x03ffa89f,0x3ffa89fb,0xf983ff88,0xf9002e22,
    0xffffffff,0x3fe4000d,0x017fc400,0x1ae003c8,0x7d403f00,0x05fd801f,
    0x320027f4,0x409f3345,0x07fea01f,0xff500fc0,0x2034c003,0x703fa3fa,
    0xfb9957ff,0xbffb835d,0x1aefdcca,0x7d30ffd4,0x0fc05fe8,0x0003ff50,
    0x7c001ff2,0x005b003f,0x0d50016c,0xfb00bff0,0x004fe80b,0x8b42ff23,
    0x00d500ee,0x0d500bff,0x2200bff0,0xb9ec801e,0x7fffb02f,0x7ec077f6,
    0x03bfb3ff,0x0fb77fa6,0x06a817f6,0x90005ff8,0x3fa000ff,0x000f8806,
    0x02e800f1,0x6c00ffc8,0x027f405f,0xdffd9a4c,0x17404fdf,0x2007fe40,
    0x0ffc802e,0x2a003b80,0x4c18803c,0x04c18800,0x0c00a880,0x3f200ba0,
    0x7fc8000f,0x03ff3000,0x7b002744,0x9803dc00,0x37f405ff,0x3a017fe0,
    0x801e9981,0xbff3007b,0xf9803dc0,0x0000005f,0x00000000,0x3dc00000,
    0x005ff980,0x20007fd8,0x75442ffa,0x2e5ee405,0x200df100,0x3e01fff8,
    0x1bfe207f,0x1a037544,0x4401be20,0x6f881fff,0x03fff100,0x33333333,
    0x22333333,0xbbbbbbbb,0x002bbbbb,0x00000000,0xf88037c4,0x7f4001ff,
    0x3aa0001f,0x0cffeeff,0x03fffe20,0x1f7ffdc0,0xbffffd70,0x3ffff221,
    0xffd910be,0xffffffff,0xfb80009f,0x3ae03eff,0xf70dffff,0x75c07dff,
    0xd10dffff,0xdddddddd,0x3229dddd,0xcccccccc,0x0003cccc,0x20000000,
    0x203efffb,0x0dffffeb,0x7ffff5c0,0x2660001c,0xb50009aa,0x00000017,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x000a0260,0x40220331,0xa8000aa8,0x1551002a,0x002aa200,
    0x17001554,0x55300130,0x01dc9800,0x019bb930,0x54002aa8,0x02a9802a,
    0x310015c0,0x00260110,0x000c8288,0x00d307a0,0xdfb9dd91,0x9fb01745,
    0x01ff9800,0x2009ffb0,0xf3005ffc,0x4f62003f,0xfe800dd8,0x267a003f,
    0x4efd400e,0x3ee02fea,0x017fc007,0x8007ffe2,0x3b2a200e,0x2c9bdfde,
    0x8027f754,0x0003b82d,0xa80b503e,0xddfb80df,0x003f4403,0x7d400bee,
    0x7cc00feb,0xf5002fdb,0x1eed8007,0x1fd7f700,0x01dc9500,0x0ff88df1,
    0x54007f20,0xfbed804f,0x440d3005,0x7e540aff,0x7e47622f,0x6882d401,
    0x790d3000,0x2e037dc0,0x1f8800ff,0xe800fa00,0x45b01761,0x01b2006c,
    0x800eeeb8,0x009b11e8,0xf700ecb1,0xd805fd07,0x300b9004,0x200ba61d,
    0x05fd103c,0x3ea03fb8,0xe803a200,0xe84a8001,0x803ff301,0x73005ffa,
    0xa8016200,0x05301b81,0x006c0055,0x02fccfa6,0x400e405c,0x7e404eeb,
    0x4403fd83,0x1200b005,0x203a0122,0x7b003fe8,0x7b007a20,0xc8003b80,
    0xbfd00f83,0x2ffbe980,0x00000100,0x00000000,0x13ee0400,0x80000000,
    0x01fe82fd,0x00010008,0xfb069800,0x5424c00d,0x0b501eff,0x55300d10,
    0xf75559d5,0x02ffa855,0x03ffc7a2,0x22001551,0x2a2000aa,0x1551000a,
    0x00554400,0x85fd3510,0x4cc41999,0x05544009,0xff10bf60,0x00554c40,
    0x1002aa62,0x79001553,0x8009ff10,0x2217ea02,0x803d000e,0xeeefeeea,
    0x7e46efee,0xfd8f601f,0x6d6ed40f,0x2b76a06f,0x674c06fd,0xb500dffb,
    0x980dfb5b,0x00dffbce,0x3fb6fba6,0x87ff6a0f,0xb503ffd9,0x6c0dfb5b,
    0x403baa2f,0x03ffccfa,0x07ff99f5,0x0fff33ea,0x7ff501d0,0x85d80000,
    0x012e003c,0xb03c8698,0x917201ff,0x6c6f83ff,0xfd8df04f,0xfc85f304,
    0x7ec6f80e,0xfc85f304,0x642fa80e,0x81ff83ff,0xd8df03fe,0x2a5fb04f,
    0x41d704ff,0x075c2ff9,0x0eb85ff3,0x2cc0bfe6,0x0001ffc8,0x01aa0f40,
    0x25c00d10,0x07ff80f4,0x47ff90d5,0x42fdc4fb,0x42fdc4fb,0x89fd05e8,
    0x42fdc4fb,0x89fd05e8,0x0bfd05f8,0x07fb03ff,0x05fb89f7,0x77dc45fb,
    0x3f60be21,0x3f60be26,0x3f60be26,0x3fa07906,0x3e60000f,0x01e83dbd,
    0x79001e80,0x07ffc0f0,0x3fee03a6,0xdf507662,0x6fa83b30,0xff504fb8,
    0x3ea0ecc1,0xf504fb86,0xb81fe41f,0xd81ff87f,0x541d983f,0x905fb06f,
    0x555fe4df,0xf90ffdaa,0xffb55557,0x2aaaff21,0x0f80ffda,0x0000fff0,
    0x09901353,0x025c0be2,0xb034c1e8,0x80f443ff,0x32201ffd,0xec8806fe,
    0x103fd86f,0x764405ff,0x103fd86f,0x817f45ff,0x0ffc1ff8,0x64401fec,
    0x05fb06fe,0x2bf61ff1,0x0aaaaaaa,0x555555fb,0x2abf6155,0x40aaaaaa,
    0x07ffa059,0x06980000,0x03440bfa,0xddddfdd5,0xfc8dddfd,0xfe80fa3f,
    0xf33bb307,0x4ceecc0d,0x203ff86f,0x9dd983ff,0x03ff86f9,0x02ff8ffe,
    0x03ff0ffe,0x6ecc07fb,0x5fb06f99,0x03f4bfa0,0x3f400fd0,0xfb01e400,
    0x4000005f,0x05f7b01e,0xeca980f4,0xaaceaaaa,0x4ca7fd42,0x7d437fc0,
    0x7d41be62,0x3fe1be62,0xf50bfa05,0x7fc37cc5,0xff8bfa05,0xff0bfe04,
    0x2a07fb03,0x6c1be62f,0x3e9fb02f,0x01ff000f,0xf0003fe0,0x027fdc01,
    0x704c8000,0x25c05f17,0x007a12e0,0x980d7dfd,0x21fdc2ff,0x43fb86f9,
    0x07fe86f9,0x43fb83fe,0x07fe86f9,0x05fe83fe,0x03fd03fe,0x87f707fb,
    0x05fb06f9,0x01fecbf2,0x980ff613,0x04c07fb0,0x6ff880b3,0x74c00c00,
    0x05f15a80,0x10f20344,0x1dff300f,0xfe84fd80,0x7f437cc1,0x7e437cc1,
    0xfe8ff00f,0x7e437cc1,0xfc8ff00f,0x3fa1fe06,0xfe83fd82,0xfd837cc1,
    0x7fe4fb02,0x07fe4b00,0x403ff258,0x7dc01645,0x0051004f,0x7c4b105d,
    0x3d00f402,0xdf900698,0xfd06f980,0x7417fb87,0x20bfdc3f,0x2f983ff8,
    0x5fee1ff4,0x260ffe20,0x41ffc42f,0x44fd83fa,0x3fe83ffa,0x7f40bfdc,
    0x897e4f8a,0x8b222fff,0x3222fff8,0x88bffe22,0xd8007c2c,0x01c402ff,
    0xfffc82dc,0x12e06fff,0x8025c3c4,0xfa80dfde,0x59ff700d,0x5c97ff9b,
    0xffcdacff,0x30ffd44b,0x59ff707d,0xa897ff9b,0x40fa61ff,0x13a61ffb,
    0x6655ffdc,0x3ee1aefd,0xbffcdacf,0xafc57fc4,0x7ffdc2f9,0xffb86fef,
    0xfb86feff,0x4c6fefff,0x67fdc005,0x2012e20a,0x333100f8,0x344017f3,
    0x802c8698,0xb9df914d,0xfd8805dd,0x889fd0ef,0x9fd0effd,0x3b77fa60,
    0x1dffb103,0x7f4c13fa,0x74c03edd,0x6c03edef,0x3bfb3fff,0xd0effd88,
    0x97fecc9f,0xf502edeb,0x2a01bfff,0x500dffff,0xc81bffff,0xffda8002,
    0xb003deef,0x017c4005,0x540c40ec,0x35302800,0x08088001,0x20020220,
    0x011000a8,0x00151001,0x22000a88,0x022004c1,0x20010002,0x153000a9,
    0x5402a600,0x0d440000,0x20012a00,0x0019801c,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x18000000,
    0x03006600,0x11000280,0x19880000,0x00131000,0x1b500088,0x00c40000,
    0x01033100,0x4c400cc4,0x00180009,0x2600f260,0x01440000,0x29fffffd,
    0x07eb82da,0x3f5c07a0,0xb8009900,0x0002eeee,0x3f73bf22,0xffda802e,
    0xedea805f,0x1fff700e,0x76544000,0x801bddbd,0xbdfeefd8,0xdcee982c,
    0xebdd884f,0x6ec400ef,0xb3000ceb,0x3f6209ff,0x26001efd,0xff502ced,
    0x3fa1ffff,0x9007d886,0x803ec409,0x17ec0069,0x3ea000f7,0x00dfb80e,
    0xbfff9bf3,0x3f90fd40,0x0003fe60,0xc980df4c,0x43df100d,0x7cc2ffb8,
    0x07a27c43,0x1ec01ff7,0xfe8007f3,0x3624e984,0x03fb802f,0x2aaaabe8,
    0x03ec0fee,0x03ec034c,0x3e6001e8,0x20017c46,0x7fd405fb,0x7fe40d80,
    0x7c45f880,0x0003fe06,0x75c007ea,0xf701fe80,0xfc80fe85,0x7ff01f50,
    0x01be1f20,0x1fd09f90,0xd100ff98,0x00b5003f,0x3d00f900,0x9900f900,
    0x4c5fb800,0x3fe6002f,0x4c5fe801,0xd82ff880,0xf02fc82f,0x9e98001f,
    0x0acdeeec,0x01be22dc,0xa837c45b,0xfb05fb3f,0x0261fa0d,0xfa89f900,
    0x3609f905,0x005d002f,0x4b80f900,0x6980f900,0x646fb800,0x02ff4006,
    0xd002ffa8,0x701ff30f,0x003fe0df,0x98fec3d0,0xf31641fe,0x3e15c01f,
    0xf71fb81f,0xf10bf909,0x3f20000d,0xfa81fec4,0x5004fb87,0x1c039dff,
    0x074c0f90,0x17407c80,0xb8ffd400,0x3fea002f,0x01bfe002,0x837d427c,
    0x0ff80ffa,0x22c402aa,0x117ea1fd,0x100eff8b,0x740efd85,0x27ec0546,
    0x98003fcc,0xfe89f91a,0x4c1ff303,0xffd000ff,0x81607fff,0x800ba07c,
    0x0012e07c,0x8f6effc4,0x41ccccc8,0x3a001ffc,0x82d400ff,0x3ff305fb,
    0xfff51ff0,0xfc85507f,0xb161fe21,0x26007fff,0x01db0eff,0xf301ff10,
    0xbee9800f,0x7f44feec,0x743ff104,0xa880625f,0x785fffcb,0x02dc1f60,
    0x07441f60,0x09ffb000,0xfb03bff5,0x7fec001f,0x6c07ea01,0x05ff105f,
    0xffb7d7ff,0x7e40c85f,0x07213ea1,0x003dfffd,0x009bfff5,0xff8817e4,
    0xa87f3000,0x837ec4ff,0x7ff12ff9,0x005fffb7,0x7c47ffd3,0x441fe980,
    0x3fa6000e,0x20002d81,0xdf05fffa,0x2003ffc0,0xfea83ffc,0x04fe83ff,
    0x13fe0ffe,0xc868ffd3,0x303fcaaf,0xffffd887,0x7ffd400d,0x3613e002,
    0x4fffffff,0x27f41ba0,0x3e607fee,0x219ff51f,0x8802ffc8,0x03f30ffd,
    0x22d83333,0x9983eeb8,0xf882dc19,0xfb3fb102,0x201f985f,0x7dc007ff,
    0xffc9882f,0xf027fc3f,0x301ff07f,0x7e42c5ff,0x12603fdb,0x17ffff54,
    0x09fffd50,0x26620b70,0x70099aff,0x213f209f,0x3fa62efe,0x3a0df70f,
    0x3ff1006f,0x5a800be6,0x027e4de4,0x5fd00e88,0x3e61dd10,0xd012e0ff,
    0x7e4001ff,0x37f4401f,0x7fc413fa,0xfd00ff81,0x47f206c7,0x803700fe,
    0xb82ffffb,0x04ffe88e,0x07fc0074,0xfc81fec0,0xdeffd884,0x17f66feb,
    0xd800ffdc,0x2007f52f,0xfd0e20e8,0x5ec0b600,0x642fe82f,0x900d15ff,
    0x7ec003ff,0x0ff9800f,0x7fc417f6,0xfb00ff80,0x47f21549,0x200b06f9,
    0x2a0fffd8,0x03ff621f,0x07f801cc,0x3f205ff0,0x7cc2a604,0x4c17f62f,
    0x3f5002ff,0x1ec00fee,0x2d402ec0,0x4c2f8bb8,0xaffe887f,0x2ffb801e,
    0x801bfa00,0x417f21ff,0x01ff07f9,0x6c488bf6,0x960fee1f,0x17fe4028,
    0x07fd10fd,0x03f4006a,0x9f903ff8,0x323fe400,0x00bfe05f,0x009f93dc,
    0x03f100b5,0x15a80e88,0x306fc85f,0x74009fff,0x5ff1005f,0x3e63ec00,
    0x3e0df507,0xe83fd00f,0x5fb0bf60,0xf00b11dc,0x4c17e67f,0x2001506f,
    0x09ff005e,0x7c4013f2,0xf03fd41f,0xd93a003f,0x0074405f,0x41ec01ec,
    0xfd0be258,0x3bff201f,0x7fd40980,0x005fc801,0x40ff42fc,0x01ff02fc,
    0x323a21be,0x3b623dee,0x007c46ba,0x037c4bfa,0x54c000df,0x7fd9203f,
    0x32009f90,0x80ff884f,0x540a26f8,0x901bfa0e,0x50079007,0x3ffff20d,
    0x13fee6ff,0x07bfff62,0x3017f60b,0x7d4001ff,0x7c43fa80,0x2e03fe05,
    0x001d101f,0x09f103ee,0x3fb07fcc,0x06e07f10,0xadffcbc8,0x7fd43930,
    0xc804fc84,0x213ee04f,0x2fbf22fb,0x7fc0eda8,0x3201aa07,0x80f440c2,
    0x0bf99998,0x26fbffe2,0xdfff93fb,0x6fdc03fb,0xc80dfb80,0x05d710cf,
    0x01d907e4,0x7f706ffc,0x300ae880,0xbff101b9,0x4c2fd981,0xb83640cf,
    0x954880ff,0x0dfffffb,0xdd339ffb,0x3f6035ff,0x221fd802,0x7fff444e,
    0x20dfb03e,0x3f6201e8,0x3c82eeee,0x2a0be200,0x41effffe,0x803ffffb,
    0xefdcdfd9,0x3bffee03,0xcec800de,0x7e4401ce,0x1001eedf,0x9db79db5,
    0x7edf4403,0x301efede,0x019f99fd,0x66c03fea,0x077ffea5,0x657fffe4,
    0x3b2a22df,0xbd51000c,0x00c407d9,0x03b80ecc,0x26666654,0x322002c4,
    0x2006a601,0x35100019,0x00099800,0x2a600030,0x054c0000,0x0aa98100,
    0x20033100,0x0980c009,0x02619880,0x100006a6,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000188,0x880c09a8,0x98033009,0x9100ea0c,0x440cc19d,
    0x2003262b,0x00600099,0x26002a20,0x705d401a,0x00030005,0xaa880555,
    0x5c055440,0xffffffff,0xffffb71f,0x3ffb207d,0x333310cf,0x00999881,
    0xbb7bd951,0xca880037,0xabdedcee,0xf30bf505,0xf35fe80f,0x7fee405f,
    0xff9059cf,0xff702ff4,0x75401bff,0x01fd8007,0x0fbaf7ea,0x7fd4ffe2,
    0x000f4000,0xfc807fe6,0xe84ffd85,0xffffffff,0x004ffc87,0xfffb81fd,
    0x06fecc2e,0xc980df4c,0xbfe9800d,0x505fe980,0x80ff30bf,0x03ff13fc,
    0x3fffc894,0x1fecbf50,0xfffeffc8,0x3ffecc0f,0x407fee00,0x07fe21fb,
    0x037cc7fa,0x20017ea0,0x03be03fa,0x4c1fd7f5,0x99999abf,0x02ffa85e,
    0x3fe60d90,0x3ea0d502,0x401d7001,0x6e802ff9,0xff30bf50,0x08010100,
    0x040401a8,0xf910af98,0x0ff708df,0x40fff4c0,0x04fd85f8,0xfd800081,
    0x06b8000f,0x223d01f3,0xf880b25d,0x001ff982,0x82fe40b7,0x221e983d,
    0x76bdeccc,0x00bfe20b,0x85fa83d4,0x000007f9,0x2e000000,0x301ffb03,
    0x7cf400ff,0x883fc81f,0x1000000b,0x20007fff,0x1a81b80c,0x7b8031b8,
    0x2003ff30,0x03fe205b,0x5c3d01f1,0x593ec41e,0x6800ffb0,0xff30bf50,
    0x98833330,0x55440099,0x01551000,0x03ff501c,0x53200ff3,0x00fe81ff,
    0x00aa9880,0x037ee640,0x00010100,0xf982f400,0x80b7001f,0x4425c4fd,
    0x7c407ea5,0x3ff88b10,0x5fa80400,0xfda87f98,0x0fff661f,0x37ed6ed4,
    0xdfb5bb50,0x203fe000,0x269807f9,0x01ff81ff,0x7fe67d40,0x3e67e003,
    0x0144002f,0x00144051,0x7fcc0be2,0x980b7001,0x2a07a0ff,0x0a80df12,
    0x003ff516,0x2617ea00,0x207fe07f,0xd8df03fe,0xfd8df04f,0x837c4004,
    0x0f4407f9,0x07ff03ff,0xff3075c0,0x7f4d7005,0x0ffb3005,0xfb30ffb3,
    0x207b800f,0xb7001ff9,0x1aa9fb00,0x004fb864,0x01ff90e4,0x21bea000,
    0x07fe07f9,0x13ee0ff6,0x89f70bf7,0x7d4005fb,0xd80ff302,0x7f40ffc3,
    0x82f88a06,0x22e806fd,0xda800ffb,0x87fda87f,0x74007fda,0x007fe605,
    0x7fcc02dc,0x7e4d03d8,0xfd1cc003,0xdddb700f,0x437d41bd,0x07fe07f9,
    0x07660ff6,0x83b30df5,0x2ec006fa,0x2d40ff30,0x7fe40ffc,0x2ff25880,
    0x0ffdaaaa,0x9ff11a60,0x4c1fe600,0x00ff307f,0xff3017c4,0x4016e003,
    0x4b00fcfd,0x24c003fd,0x36001fff,0x0ffa84ff,0x20c5ff62,0x03fd81ff,
    0x806fec88,0x2006fec8,0x1fe600f9,0x0ffc0744,0xb3077fcc,0x55557ec5,
    0x3600aaaa,0x3007fc83,0x41fe60ff,0x1ee007f9,0x2003ff30,0x9ff5005b,
    0x04fb86c0,0x5ffd0dc0,0x207fee00,0x9dbadffa,0x7fc0c9ff,0x2603fd81,
    0x206f99dd,0x06f99dd9,0xff300ba0,0x0ffc0b60,0xfeefffc8,0x10003f44,
    0x05ff301f,0x3e20ff10,0x400ff107,0x17fcc05e,0x3a004b80,0x7ccaa01f,
    0x3f62c006,0x1ff5004f,0x1bfffb70,0x3fe13ff2,0xf503fd81,0xfa837cc5,
    0x6401be62,0xb87f9804,0xfccccccf,0xffb82cdf,0x00ff82df,0xfffff900,
    0x100dffff,0x41fe20ff,0x5f1007f8,0x002ff880,0x035c0079,0x203fc922,
    0xbff7160b,0x203fea00,0x0980a8cb,0x7fb03fd0,0x6f987f70,0x37cc3fb8,
    0xf9802dc0,0xfffffc87,0x04ffffff,0x03fd812e,0x500fc026,0x7f8803ff,
    0x3e20ff10,0x001f7007,0x0b6007ff,0x0e802d80,0x43930ff2,0x00ffe83b,
    0x5d80ffa8,0x20bfa000,0x41fe83fd,0x41fe86f9,0x02d406f9,0x3310ff30,
    0x5ff33333,0x817f4013,0x20b00ffc,0x05ff806a,0x7f883fc4,0x3600ff10,
    0x00dfd005,0x1e2001f1,0xd9307440,0x835c17bd,0xfa806ffa,0x0006e80f,
    0x7ff513f6,0x7fb87fd0,0x3ee1ff41,0x440b5017,0x4003fcc0,0x6fa801ff,
    0x445fff10,0x9005d02c,0x3fc401ff,0xff107f88,0x2005f100,0x3a201ff9,
    0x800f6004,0x1f7000e8,0x202ffdc0,0x07f80ffa,0x2affee00,0x21aefdcc,
    0xfcdacffb,0x33fee4bf,0x44bffcda,0x81d300ea,0xff8007f9,0x204f8801,
    0x6feffffb,0x3e600f70,0x41fe605f,0x0ff307f9,0x54001f50,0x2f5442ff,
    0x0172f720,0x4c02ba20,0xfe9800dc,0x0ffc881c,0x00007fc4,0x3f67fffb,
    0x77fec41d,0xfd889fd0,0xa89fd0ef,0xffffffff,0x00ffa85f,0x2e00ffc0,
    0x7fd400de,0x6f880dff,0x03fff100,0x3ea03fea,0x00ffa80f,0x754002ec,
    0x0cffeeff,0x03fffe20,0x676d4400,0x4001cedb,0xdccefec8,0x07900bef,
    0x09831000,0x10040440,0xfff98101,0x2fffffff,0x33bffb26,0x803ff000,
    0x054c0008,0x03efffb8,0x37ffffae,0x8fbffb20,0x323effec,0x2a03effe,
    0x2a660001,0x7b50009a,0x54c00001,0x2a200000,0x0000009a,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2004d880,0x3ae0adb9,0x102effff,0x2a1dfffd,0x914ffffe,
    0x907dffff,0x2203bffd,0x326001a9,0x54400ea0,0x0a80311a,0x079002a6,
    0x3ffffb22,0x0016cc1d,0x05b305b8,0x70fb6600,0x06fffc98,0x0cfffec8,
    0x9ffffd93,0x3ffff2a3,0x3fff224e,0x5ff501df,0xff937b00,0x005ffd83,
    0x3ff609f9,0x00fff982,0xcea813e2,0x04ccdfd9,0x0bfe6bfd,0xdfccfd88,
    0x9ffb884f,0x503ffff9,0xfff801ff,0x017ff540,0xd51fff20,0x3a0005ff,
    0x049beffd,0x74013ff6,0x807ffc06,0x3f205ff9,0x0774400e,0x89fb1b20,
    0xd9005ff8,0xc81ffcc0,0x03e600ff,0x3bf627d4,0x227f904c,0x19f301ff,
    0x65427fcc,0xffdceaff,0xb009b02f,0x017fc0ff,0xff83fd40,0xb3188002,
    0xfe803fff,0x405c803f,0x27fc06fe,0x00004f88,0x405c27c4,0x2e800ffd,
    0xf982ffc0,0xe816e02f,0x4037dc2f,0x417a0080,0x37fe04fd,0x001ffa60,
    0x7f40dfb0,0x07f98002,0x010005fd,0xffd00371,0x404b803f,0x27fc05fd,
    0x04002744,0x98013e60,0x03cc03ff,0xff807fe4,0x7c40b605,0x007fcc0f,
    0x205f7000,0x07fe04fc,0x8000bfee,0x0bfa06fd,0x6c1fe600,0x0000002f,
    0x00fffbe8,0x0bfb012e,0x27444ff8,0x2e00d400,0x37f4004f,0x3e601320,
    0x01ffb02f,0x82ff80f1,0xaa8800ff,0x6407f600,0x407fe04f,0x360003ff,
    0x00bf606f,0x7ec1fe20,0x55440002,0xff55d000,0xb012e01d,0x24ff80bf,
    0x170004e8,0x273f6660,0x2ffa8009,0x3a001f10,0x2fff885f,0x2fec05b8,
    0x9d3017e6,0xff01bff7,0xf813f201,0x109fd01f,0x40dfb005,0x002a62fd,
    0x0bf60ff1,0x26033333,0x00dffbce,0x05ffb974,0x05fd8097,0x04e8a7fc,
    0xfed81600,0xf004eeff,0x8016e0bf,0x76dc0ffb,0x4c02e85f,0x807f20ff,
    0x077e42f9,0x27e407fe,0x3f603ff0,0x201ff663,0x2bf606fd,0x203fffd8,
    0x45fb07f8,0x982cffc8,0x0077e42f,0x41ffec5d,0x02fec04b,0x013e73fe,
    0xfc804c80,0x1ffb8004,0x3e2002e8,0x7fdd6c3f,0x7cc01e20,0x2201dedf,
    0xf89fd05e,0x409f902f,0x43fd01ff,0xfd807fda,0x2b6ff606,0xf100ffc9,
    0xd90bf60f,0x7417a201,0xfd0ba04f,0x6c04b85f,0x7effc05f,0x1f30003f,
    0x0009f900,0x07989ff1,0x5e26fe80,0x012e3ff8,0x3ee000ec,0x741ff504,
    0x409f906f,0x81ff01ff,0x6fd807f9,0xfd037f60,0x6c1fe205,0xb803722f,
    0x01ff504f,0x3fff10ba,0x17f6025c,0x7ffd9ff0,0x005e8800,0x320009f9,
    0x001320ff,0xd2dc3fee,0x6400f4df,0x03fd8006,0x7fd45ff1,0x813fa20c,
    0x83f982ff,0x6fd807f9,0x3f60bf60,0x360ff103,0xfb00b92f,0x40bfe207,
    0x0eff982e,0x05fd8097,0x7ff467fc,0x00bf2003,0x980027e4,0x001f13ff,
    0x8ba7ff10,0x00788ffb,0x9ddddfff,0x407ff017,0x7fff43ff,0x204fcccc,
    0x837446ff,0x6fd807f8,0x3f20bf60,0x360ff103,0xff006dbf,0xe81ffc07,
    0x2ebff502,0x202fec04,0x9ffd14ff,0x001ff300,0xe80013f2,0x4000b76f,
    0x7c478efd,0xf5004bbf,0xffffffff,0x3a05ff83,0x7ffec42f,0x7fc09f94,
    0x205fccec,0x5fd807f8,0x3f20bf60,0x360ff104,0xf801ffdf,0x40bfa05f,
    0x33ff202e,0x02fec04b,0xffe893fe,0x5437e404,0x0027e41e,0x05d5ff50,
    0x26ffd400,0x800f77ec,0x9553314a,0x207fe89d,0x415100ff,0x27fe04fc,
    0x7c400998,0x204fd807,0x04fc82fd,0x2bf60ff1,0x7f400ffc,0x7403fe07,
    0x277fec02,0xff017f60,0x04ffe889,0x17ee13f6,0xf80009f9,0xf80007ff,
    0x7ffa81ff,0xd300d300,0xff00ffc8,0x204fc800,0x7c4001ff,0x203fd807,
    0x04fc82fd,0x4bf60ff1,0x7fe406fd,0x1740ff00,0x013ffa20,0x4ff80bfb,
    0x904ffe88,0xc89f10ff,0x7dc0004f,0xfc80003f,0x009ff106,0x10f201ba,
    0x05f307ff,0x3e04fc80,0x3fc4001f,0x01fd97a2,0x13f20bf6,0x2fd83fc4,
    0x7c40bff1,0x202f983f,0x4ff9803e,0xf1037f40,0x3ffa209f,0x40ffcc0d,
    0x002fe40f,0x0003fe20,0xfd813e60,0x0cff8801,0x3fea0b70,0x2000fa61,
    0x07fe04fc,0xfa8ff300,0xfe807f2f,0xf304fc82,0xf98ff60f,0x87fea03f,
    0x13e203e9,0x3e027d40,0x17fe607f,0x41efffa8,0x4c88befb,0x80006fe8,
    0x3e00005c,0xa801aa01,0xfeeefffe,0x6eff4c03,0xbfd0003e,0x000bfe60,
    0xffe81ff5,0x83ff804c,0x1ff505fd,0xffc89fd0,0x377fa602,0xfff9103e,
    0x1097005b,0x17dffff9,0x37ffff26,0x7ffff5c3,0x3b7263ef,0x7ffed42c,
    0x110000be,0x400c0000,0xeda88001,0x2a2000bc,0xdd930000,0x776dc59d,
    0xfec800cd,0x401443ef,0x98cfffda,0x2e1cfffc,0xfb73effe,0xffb139ff,
    0x054405bf,0x00200000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2a000000,0x0ceffffc,
    0x37ffff6a,0x83a83264,0x3fff6a0a,0xfffd8005,0xffffb52d,0x5000019d,
    0xdffffffb,0x54015bdd,0xdefffffd,0x3ed9803c,0x7fffec1c,0xa977fe44,
    0xeffffffd,0xfda802ce,0xffffffff,0x7ffec5ff,0xffffffff,0xfffff71f,
    0x3fff209d,0xfffd30cf,0xfca89dff,0x20d43eff,0x2037fcc1,0x5fe85ffa,
    0x3fdc5ff1,0x0007ffd4,0x2603fff3,0x550006ff,0x44effcc0,0x03ffeb98,
    0x5cceffcc,0x37a01efe,0x5049beff,0x03b205ff,0x2a277fe6,0x9800cffd,
    0x6fa983ff,0x4cccd76c,0xd84ffc99,0x7d400fff,0xfffb100e,0x5c1fec01,
    0xf87fb0ff,0x1ffc404f,0x43fd1fe4,0xfff887fb,0x3fff2004,0x0013fe00,
    0x9ff1016c,0x101ffdc0,0xffe889ff,0xffb31881,0x827f403f,0x09ff102e,
    0x3e009ff7,0x1d1a203f,0x8837fc40,0x7e401ffe,0x02ffe800,0x3fee07f1,
    0x4ff8bfd0,0x081ffc40,0xbf00a808,0xbf1001ff,0x04ff80ff,0x7c02fb80,
    0x27fd404f,0xff309ff0,0x03710109,0x3540ffa8,0x3e213fe0,0x07ff007f,
    0x3f602c48,0x17fe601f,0x3e2005f0,0x404d80ef,0xff0ff60a,0x03ff8809,
    0x3e7e0000,0xfcdc804f,0x7777fc07,0x3fee02de,0x09ff019b,0x3e05ffb0,
    0x06ff884f,0x43fe8000,0x827fc02d,0xff802ffc,0xf7014003,0x5ff9007f,
    0xf5001720,0x8006b89f,0x027fc2fc,0x5100ffe2,0x3f23e000,0x327e200f,
    0x4e7fc07f,0x5c1fffb9,0x80eeeffe,0xff8804ff,0x3e09ff06,0x5441507f,
    0x226fb800,0x904ff807,0x7ff001ff,0xff300060,0x07ff400b,0x320003e6,
    0x001f51ff,0x4ff83f70,0x981ffc40,0x1f0007fd,0xb5c07ff3,0x27fc07fc,
    0x3a07ffa2,0x027fc02f,0xff81ffe8,0x226ffa84,0xffd8affb,0x8ffc403f,
    0x04ff803c,0x3fe00bfd,0x74004883,0x3e6000ff,0x8001744f,0x01f9efe8,
    0x9ff0f300,0x503ff880,0x3e000ffb,0x9740dfb0,0x27fc07fc,0x7f427fd4,
    0x8027fc02,0x4ff82ffd,0x2e62ffd8,0xfc9bdbff,0xfafe400f,0xd84ff800,
    0x7ff001ff,0x32004c88,0xfc8002ff,0x8000b71f,0x0003fff9,0x33bfe1a2,
    0xfccccccc,0x01fe603f,0x2ff987c0,0x01ff26a8,0xdff109ff,0xff705fd0,
    0xbfffffff,0xff07ff90,0x827fecc9,0x17fc0dfe,0x012ffe60,0x7dd4e7fc,
    0x7ffc003f,0x004fffff,0x2000bff3,0x00f9eff8,0x02ffc800,0x6ffc0c00,
    0xbaaaaaaa,0x1fe603ff,0xdfd07c00,0x03fe47d0,0x3fe213fe,0x7c02fe87,
    0x5ff7004f,0xdfdbdff0,0x417f403b,0x7fffc3fd,0xffffffff,0xdceff83f,
    0xff8001ff,0x04da999c,0x000efe88,0x00fffea0,0x07ffd400,0x13fe0000,
    0x4407ff10,0x2037307f,0x98bfea0f,0x3e03fe47,0x85ffa84f,0x27fc02fe,
    0xf81ffd80,0x2fe8004f,0xfa804fc8,0xe93fe006,0x3ff8006f,0xffd80488,
    0x7fd80001,0xf7f30000,0x006e00bf,0xff1013fe,0xe83fc407,0x740f81ff,
    0xff90f65f,0x7444ff80,0x02fe81ff,0xfe8027fc,0x004ff80f,0x4fc82fe8,
    0x2006fa80,0x13fe64ff,0x0e07ff00,0x0009ff50,0x0001ff20,0x17fe4ba2,
    0xf003fee0,0x3ff8809f,0x7f41fe20,0x7dc0f84f,0x7e40f99f,0xa8a7fc07,
    0x5fd02ffe,0x8804ff80,0x09ff06ff,0xf905fd00,0xdccccc89,0x2cccccff,
    0x7fdc4ff8,0x00ffe002,0x001bfe20,0x0007fc80,0x3ffe24d8,0x201fea00,
    0x7fc404ff,0x441fe203,0xf80f85a9,0x7fc84cdf,0x7fffffc0,0x0bfa00bd,
    0xf9009ff0,0x013fe03f,0x3f20bfa0,0x65555544,0x1aaaaaff,0xffd84ff8,
    0x007ff000,0x7003ffb0,0x001ff200,0xbff50b90,0xff800980,0x01ffc404,
    0x81c80ff1,0x0fffb80f,0x7fc07fc8,0x23fd8004,0x4c04ff80,0x13fe04ff,
    0x320bfa00,0x06fa804f,0x3e213fe0,0x07ff005f,0x803ffb80,0x0ff90048,
    0xd807d400,0x440002ff,0x7fcc04ff,0x881fe603,0xf881f886,0x01ff905f,
    0x20017fe2,0xff04befc,0x06ffd409,0x8004ff88,0x04fc82fe,0x3e007fa8,
    0x0bff305f,0x2004ff88,0x5b005ff9,0x001ff600,0xff100fd4,0x2222201f,
    0x405ff980,0x3ea04ffa,0xf303b80f,0x7407f205,0xdff301ff,0x3dfd1000,
    0x443bff30,0x4c02ffda,0xff8006ff,0xb805fd83,0xff9800ff,0x033ff206,
    0xd002ffcc,0x6dc401ff,0x3ffd001f,0x807fb800,0x7f40effd,0xf936ffff,
    0xd987bfff,0x643dffff,0x4043effe,0x41dfffc9,0xfffeb868,0xfffb31cf,
    0x010007df,0xffffff93,0x40159bdf,0x3effffc9,0xcfffea80,0x1cfffc98,
    0xcefffda8,0xffffc980,0xbfffd03e,0x3ffff261,0x7ffdc03d,0xffffffff,
    0xfeb807ff,0x5c01cfff,0x982dfffe,0x0dfffffc,0x0dfffffd,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x98000000,0xfffffffd,0x2a2fffff,0xfffffffd,0xfb300cde,0x005bdfff,
    0x3ffffffe,0x5fffffff,0xffffd900,0xffffffff,0xffffda8b,0x0aceeeff,
    0x2aaaae60,0xbaaaaaaa,0x40001801,0x0aa88001,0x2006a600,0x1000aa98,
    0x00263103,0x01551000,0xf1063530,0x0fea209f,0xa8833fe6,0xff300cfe,
    0xaef8001d,0x99cff999,0x74005fb9,0xbb304ffe,0x26b7fe60,0x04ffeb98,
    0x01880013,0x3e0003c4,0xb5bb5000,0xbdfa80df,0x99f503ee,0x03b007ff,
    0x0073ea3b,0xff79d300,0xd77b701b,0x809ff09f,0x04ff883a,0x7fc0dff1,
    0xf8344005,0x4005984f,0x2c04ff9f,0x2e04ff88,0x004c0eff,0x0f100620,
    0xf000f800,0xf704fd8d,0x2e0ffc43,0x80bfe60e,0x6445c85c,0xf98002df,
    0xf1077e42,0x4fe84e81,0x4ff81c40,0x7407ff20,0x8244005f,0x400904ff,
    0x4809ff5a,0xf5013fe0,0x400098bf,0x003c4018,0x3ee003e0,0x7c42fdc4,
    0x3e24fd85,0xf506fd82,0x7101fb83,0x3a2007dd,0x7dc9fd05,0x27f42540,
    0x409ff000,0x9fd04ff8,0x3fe01000,0x8f400104,0x3e0004ff,0x3ffd804f,
    0x03100026,0x7c000788,0x541d9800,0x883fc86f,0x2aaff20b,0x4c0ffdaa,
    0x802fcc5f,0x2e00cfda,0x21ff504f,0x74140dfb,0xff00604f,0x81ffcc09,
    0x200004fe,0x540004ff,0x04413fe5,0x22013fe0,0x000266ff,0x00788031,
    0x440007c0,0x0fe86fec,0x5555fb00,0x74415555,0x007fe21f,0xb03bf930,
    0x4bfe207f,0x7403fff9,0xff01a04f,0x80ffe409,0x200004fe,0x740004ff,
    0x15c13fe1,0x74013fe0,0x800131ff,0x003c4018,0xd98003e0,0xff86f99d,
    0x800fd001,0x17fa25fe,0x2efb8800,0x3ff80ffe,0x407fffea,0x06a884fe,
    0xffb827fc,0x0013fa03,0x0004ff80,0x309ff16e,0x04ff805d,0x0265ffb0,
    0x332a3100,0xcccfcccc,0x99952ccc,0x9999f999,0x22fa8799,0x03ff86f9,
    0x64001ff0,0x0037ec6f,0xff8bbaa0,0xb10bfa05,0xffd07fff,0x0dffdddd,
    0xeddefff8,0x7f401eff,0x3fe00004,0x81f10004,0xffeeefff,0x027fc02f,
    0x0133ffc8,0x99951880,0x9999f999,0x3332a599,0xccccfccc,0x30fee3cc,
    0x40dfd0df,0x0980ff62,0x5fd117ec,0x2dfb8800,0x3fe07fe8,0x0ffea810,
    0x326227f4,0x4ceffc06,0x01dffdba,0x800013fa,0x970004ff,0xfa989ff0,
    0x8027fc02,0x00133ffb,0x03c40188,0x3a003e00,0x6437cc1f,0x325880ff,
    0xd10b00ff,0x3006f88d,0x7e4039f9,0x064ff00f,0x13fa1ff4,0x827fc058,
    0xfd03ffe8,0x7fc00009,0xfff88004,0x704fffff,0x004ff805,0x00263ffb,
    0x07880310,0x74007c00,0x20bfdc3f,0x3660eff9,0x88bffe22,0x985f302c,
    0x2fb6a02f,0x83ff8800,0x2e1322f9,0x7027f42f,0x2204ff80,0x09fd06ff,
    0x027fc000,0x4ff82640,0x4ff80310,0x261ffd00,0x200c4000,0x07c00078,
    0x6d67fdc0,0x7e44bffc,0xb84feeff,0x06feffff,0x22354354,0xa8002eeb,
    0x90fa61ff,0x740fd83f,0x3fe0004f,0x417fec04,0x200004fe,0x7c4004ff,
    0x0009ff00,0x7c4027fc,0x1000266f,0x00078803,0x7ec4007c,0x209fd0ef,
    0x202dfffb,0x00dffffa,0xf52c82c8,0xe9800039,0xfc83eddf,0xe80cdbef,
    0xff03004f,0x83ffc809,0x007004fe,0x3d8009ff,0x22013fe0,0xc804ff80,
    0x000261ff,0x00788031,0x110007c0,0x00330010,0x0200054c,0x00000984,
    0x4c100544,0x4027f402,0x204ff849,0xfe80fff8,0xf8039804,0x01e6004f,
    0x20b009ff,0x7fcc04ff,0x220004c5,0xffffffb1,0x9fffffff,0x00001f00,
    0x00000000,0x00000000,0x3fe00000,0xff81e805,0x417fee04,0x0f4405ff,
    0xd0027fc0,0x404ff807,0x409ff05b,0x04c0dffa,0x4cc46200,0x99999999,
    0x01800999,0x00000000,0x00000000,0x00000000,0x2a20dff1,0x1cff986e,
    0x8827fe4c,0x99999fff,0xf9806fba,0x05f7006f,0x4c42ffcc,0xcff982fd,
    0x0bff6a21,0x555555cc,0x1baaaaaa,0x00000000,0x00000000,0x00000000,
    0x88000000,0xffffffec,0x264fffff,0xfffffffc,0xc882ceff,0xffffffff,
    0x2604ffff,0x03effffc,0x41bfffb1,0xffffffc9,0x20ffffff,0xffffffc9,
    0x000abdef,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x98200080,0x4ccc4199,0x0ccccc40,0x99886662,0x26666619,
    0x10066620,0x00244155,0x0aa980c0,0x01805544,0x4cccc403,0xa8066661,
    0x82a01510,0x01a880a9,0x26666662,0x20a80999,0x001100a8,0x8002c801,
    0x3aa0c000,0x217bb930,0x87ff6a6b,0x7543ffd9,0x7ecc2eff,0x19fff70c,
    0x98b7ffee,0xed980ffd,0x01e9dfdb,0xa89f7100,0xd8dfdacf,0x2d84ffce,
    0xffb301d8,0x0fbf229f,0xff35ff71,0x45ff5c4f,0x3ee5fffd,0xffc80eff,
    0x3ffeeeee,0xfb15ff71,0x01d707ff,0x0bf302e4,0xb802fb80,0xbedeb87e,
    0x80ecfdb9,0x83fe81ff,0x0b504ff8,0xffa83ff3,0xf880ea80,0x001ffdc3,
    0x260e7e4c,0x21fff45f,0x20fcc3ff,0x3ff200f9,0x2ea03ee1,0x27fbcbff,
    0x8adbffa9,0xa9bcaffc,0xd03c85fe,0x5ffdccbf,0x80ffc9bd,0x985c80ec,
    0x02a29f12,0xb1003f70,0x7cc13a0f,0xfb03ff02,0x6c1bee07,0xfd07fb01,
    0xdd105905,0xa8017fa0,0x9f700bfd,0x7e40ffc8,0x36c0ed87,0x0fc5bfa0,
    0x8083bfa0,0x7fec0dfe,0x0643fd41,0x7f4077e4,0xc817fc0d,0x7fc1720e,
    0x07fd17d4,0xb87c8000,0xff82cc05,0xf103fd81,0x2a06883f,0x685fc86f,
    0xfb909f50,0x775c403f,0x641d8802,0xfcaaaaef,0x262fc40f,0x2ffe205f,
    0x02fe802d,0x5fb83fd8,0xa8087f88,0x05fd01ff,0x476407fb,0x37faa05c,
    0x000cfeac,0x0f43e400,0x0ffc0740,0x9f901fec,0x0ffc03b8,0x04a83ffa,
    0xf8cb87f9,0x1cfc983f,0x3fae2000,0xaaaaaaae,0x7ec4fc80,0x017fea03,
    0x7ec017ec,0xff05fa83,0x03ff9801,0x13f20bfa,0x2200bf90,0xcca82efb,
    0xcccccccc,0x43e42ccc,0xf83c800f,0x203fd81f,0x003a0ff9,0x7e6549f9,
    0x1ff40764,0xb327fcb5,0x4400017f,0x005fcbec,0x3e23ff88,0x017f602f,
    0x7ec017ec,0xff05fa83,0x405fe801,0x04fc82fe,0x710077e4,0x439f9bdb,
    0xccccccca,0x42cccccc,0xb800f87c,0xfd81ff82,0x4a9ff403,0x23a7f980,
    0x7c0d17f9,0x3fe8d34f,0x00033f66,0x0bf71fd4,0x4c5ff300,0xffd101ff,
    0x005fb007,0x0bf507fb,0xefc803fe,0x6417f400,0x3237204f,0xb1dfd00e,
    0x0005ff55,0x01e87c80,0x81fe80d8,0xb7d403fd,0x33fd001d,0x01dd7f4b,
    0xe81d3dfb,0x1dfc881f,0xf717ea00,0x3fd8040d,0x55b017ec,0x2fd803ff,
    0xfa83fd80,0x2a01ff05,0x2fe801ff,0x8b904fc8,0xf0dc80ec,0x00007aa7,
    0x80b70f90,0xb05fd059,0xd7ff007f,0x0eefdc00,0x5c01dbf7,0x07f80eff,
    0x401775c4,0x0ffcc1fd,0x4c4f9848,0xfc92e03f,0x4017ec06,0x05fa83fd,
    0x7ff101ff,0x82fe8310,0x80dc84fc,0x17e600ec,0x3003f500,0x209d03fd,
    0x89fb02e9,0xfc803ffa,0x3fe2002f,0x402ffc45,0x03f984ff,0x402ffaa0,
    0x77fc43ff,0x17607222,0x4469817a,0x0ffa04ff,0x3ea0ff60,0xe80ff886,
    0xfe85305f,0x75c4fc82,0xf8817200,0x01fe4004,0x3ae0cccc,0xceca9bed,
    0xabffb80e,0x01aefdcc,0x36001fe2,0x801fd82f,0x13a61ffe,0x0e7ecc00,
    0x3aa2bbf2,0x5fdefffb,0x07540e98,0xffb82f88,0xd009fd02,0x10df709f,
    0x0efc83ff,0x1ffc1d88,0x00222fec,0x0c000002,0x543aa000,0x41ae1cdc,
    0xbfb3fffd,0x0009b003,0x201aa0d5,0xeddfe9ad,0xfc880004,0x33fff624,
    0x19fffd50,0x201b01b0,0x3a61effa,0xfb50dfff,0xfb503bff,0xff9339ff,
    0x3ffae7bf,0xdddff53e,0x2a3fffdd,0xc98cfffe,0x0001cfff,0x00000000,
    0x20080020,0x10004c18,0x18060001,0x02a21cc0,0x4c0c0000,0x08031009,
    0x00000010,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3000c000,0x22004401,0x10018009,0x50220440,0x2aa60407,0x99999930,
    0x59999999,0xcca86aa2,0xcccccccc,0x50a23ccc,0x75c15c17,0x88e200be,
    0x0000000b,0x00000000,0x00000000,0xa801f300,0x7f545fee,0x4cf440df,
    0xeefc884e,0x2ecab883,0x1ff10ff8,0x0321bfea,0x5ddccbfb,0xbbbbbbbb,
    0x997f25cb,0xaaaaaaaa,0x3a1aaaaa,0x2e7ff14f,0x2eb720ff,0x20b82dfd,
    0x000004fe,0x00000000,0x00000000,0x409dd000,0x6c3f91d8,0x25b89f70,
    0x9866c1fc,0x3f926c3d,0xffa97fcc,0x4c1fff51,0x001be0ef,0x00fb1660,
    0x3a4fe800,0x848df31f,0x5dbdfeb8,0x000027f4,0x00000000,0x00000000,
    0x7c6dc000,0x221f5001,0x44222f40,0x261a21fd,0x4f98be26,0x7fcc7fe2,
    0xc8876260,0x0001d52f,0x02e88b30,0x102a2000,0x64c01880,0x0000301c,
    0x00000000,0x00000000,0x21f10000,0x01e8806a,0x5d64c1fc,0x8f40f22f,
    0x3e3fc3fb,0x1a21fe27,0x000647ee,0x34885980,0x55555555,0x00355555,
    0x00000000,0x00000000,0x00000000,0xd8000000,0xfd301743,0x2a1aa03d,
    0x2d45f70f,0xe8bf50f8,0x21ba36c5,0x08fb263b,0x40e20000,0xbbbbbb50,
    0x7bbbbbbb,0x00000000,0x00000000,0x00000000,0x00000000,0x007cc34c,
    0x03a217e6,0x7c2fb9be,0xf1fa2dc0,0x126c5c83,0x00001039,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x402640ba,0xe806c45d,
    0x21dfdcdf,0x41eebdfb,0xa84b9cfa,0x00011e43,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2205b800,0xb30f401f,0x2b88aa21,
    0x5b710391,0x02202a80,0x00000011,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x4b5003e2,0x2a3dbdf9,0x00ffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x88000000,
    0x9a983000,0x4ccccc40,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__times_30_latin1_x[224]={ 0,3,1,0,1,0,0,1,1,0,1,0,1,1,
1,0,0,3,0,1,0,1,1,1,1,1,2,1,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,
0,0,-1,0,0,0,0,1,0,0,0,0,0,0,0,2,0,0,0,-1,1,0,-1,0,0,1,1,0,0,0,
-3,0,0,0,0,0,-1,0,0,1,0,0,0,0,0,0,0,3,2,2,0,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,3,1,0,0,0,
2,2,0,0,-1,0,0,1,0,-1,1,0,0,0,3,1,-1,1,2,1,0,0,1,1,0,1,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,2,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,
 };
static signed short stb__times_30_latin1_y[224]={ 24,5,5,5,4,5,5,5,5,5,5,7,21,16,
21,5,5,5,5,5,5,6,5,6,5,5,11,11,8,12,8,5,5,5,6,5,6,6,6,5,6,6,6,6,
6,6,6,5,6,5,6,5,6,6,6,6,6,6,6,5,5,5,5,28,5,11,5,11,5,11,5,11,5,5,
5,5,5,11,11,11,11,11,11,11,7,11,11,11,11,11,11,5,5,5,15,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,24,11,6,5,8,6,
5,5,6,5,5,11,12,16,5,3,5,7,5,5,5,11,6,13,23,5,5,11,5,5,5,11,0,0,0,1,
1,1,6,5,0,0,0,1,0,0,0,1,6,1,0,0,0,1,1,9,5,0,0,0,1,0,6,5,5,5,
5,6,6,5,11,11,5,5,5,6,5,5,5,6,5,6,5,5,5,6,6,9,11,5,5,5,6,5,5,6,
 };
static unsigned short stb__times_30_latin1_w[224]={ 0,4,9,14,12,22,21,3,8,8,11,15,5,7,
4,8,13,8,13,11,13,11,12,12,11,12,4,5,15,15,15,10,24,20,17,18,19,16,14,20,20,9,11,20,
16,24,21,19,15,19,19,13,16,20,20,26,20,20,16,7,8,7,13,15,5,12,14,12,14,11,11,14,14,7,
9,14,7,21,14,13,14,14,10,9,8,14,14,20,14,14,12,9,2,8,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,0,4,11,13,14,14,
2,10,9,20,9,13,15,7,20,15,9,15,8,7,5,14,14,4,5,6,9,13,19,19,20,10,20,20,20,20,
20,20,25,18,16,16,16,16,9,9,9,9,19,21,19,19,19,19,19,12,19,20,20,20,20,20,15,13,12,12,
12,12,12,12,18,12,11,11,11,11,7,7,8,8,13,14,13,13,13,13,13,15,14,14,14,14,14,14,14,14,
 };
static unsigned short stb__times_30_latin1_h[224]={ 0,20,9,20,23,20,20,9,25,25,12,16,8,3,
4,20,20,19,19,20,19,19,20,19,20,20,14,18,14,6,14,20,25,19,18,20,18,18,18,20,18,18,19,18,
18,18,19,20,18,25,18,20,18,19,19,19,18,18,18,25,20,25,11,2,6,14,20,14,20,14,19,19,19,19,
25,19,19,13,13,14,19,19,13,14,18,14,14,14,13,19,13,25,25,25,4,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,19,24,20,14,18,
25,25,4,20,9,14,6,3,20,2,9,16,11,11,6,19,24,4,7,11,9,14,20,20,20,19,24,24,24,23,
23,23,18,25,24,24,24,23,24,24,24,23,18,24,25,25,25,24,24,12,20,25,25,25,24,24,18,20,20,20,
20,19,19,20,14,19,20,20,20,19,19,19,19,18,20,18,20,20,20,19,19,12,14,20,20,20,19,25,25,24,
 };
static unsigned short stb__times_30_latin1_s[224]={ 255,249,62,1,127,182,41,252,1,40,220,
148,72,247,159,195,95,113,99,83,122,237,224,207,159,211,247,31,82,112,216,
171,186,161,18,204,96,1,173,22,1,225,139,235,36,37,203,63,107,222,153,
145,53,220,24,45,226,205,188,149,244,157,1,182,106,164,109,177,196,190,12,
72,151,131,245,174,166,157,192,232,116,101,146,246,78,16,31,46,131,241,179,
1,11,14,143,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,
116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,255,249,99,
182,1,138,242,211,133,1,32,202,90,247,124,198,42,132,23,15,84,43,44,
128,78,248,52,117,21,1,223,1,132,1,111,140,79,161,70,49,153,170,187,
110,204,246,236,100,87,214,68,88,108,59,79,207,16,128,165,23,43,22,62,
145,36,49,76,73,86,132,98,136,159,171,183,149,182,190,198,22,103,123,89,
235,62,189,87,232,67,205,220,117,58,25,10,64, };
static unsigned short stb__times_30_latin1_t[224]={ 1,53,214,78,53,53,99,161,1,1,199,
180,214,176,214,78,99,120,120,99,120,99,99,120,99,99,161,161,199,214,180,
99,1,120,180,78,180,180,161,120,161,141,141,141,180,161,141,99,161,1,161,
99,180,120,141,141,161,161,161,1,78,1,214,74,214,180,99,180,99,180,141,
141,141,141,1,141,141,199,199,180,141,141,199,180,161,199,199,199,199,120,199,
27,27,27,214,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,
180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,1,99,27,
99,199,161,1,1,214,120,214,180,214,176,99,74,214,180,214,214,214,120,27,
214,214,199,214,199,99,99,78,141,27,53,27,53,53,53,180,1,27,27,27,
53,27,27,27,53,161,27,1,1,1,27,27,199,78,1,1,27,53,53,161,
78,78,78,78,120,120,78,199,120,78,78,78,120,120,120,120,161,78,161,78,
53,78,141,141,199,199,53,53,78,120,1,1,53, };
static unsigned short stb__times_30_latin1_a[224]={ 108,144,177,217,217,361,337,78,
144,144,217,244,108,144,108,120,217,217,217,217,217,217,217,217,
217,217,120,120,244,244,244,192,399,313,289,289,313,265,241,313,
313,144,169,313,265,385,313,313,241,313,289,241,265,313,313,409,
313,313,265,144,120,144,203,217,144,192,217,192,217,192,144,217,
217,120,120,217,120,337,217,217,217,217,144,169,120,217,217,313,
217,217,192,208,87,208,234,337,337,337,337,337,337,337,337,337,
337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,
337,337,337,337,337,337,337,337,108,144,217,217,217,217,87,217,
144,329,120,217,244,144,329,217,173,238,130,130,144,250,196,108,
144,130,134,217,325,325,325,192,313,313,313,313,313,313,385,289,
265,265,265,265,144,144,144,144,313,313,313,313,313,313,313,244,
313,313,313,313,313,313,241,217,192,192,192,192,192,192,289,192,
192,192,192,192,120,120,120,120,217,217,217,217,217,217,217,238,
217,217,217,217,217,217,217,217, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_30_latin1_BITMAP_HEIGHT or STB_FONT_times_30_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_30_latin1(stb_fontchar font[STB_FONT_times_30_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_times_30_latin1_BITMAP_HEIGHT][STB_FONT_times_30_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_30_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_30_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_30_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_30_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_30_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_30_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_30_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__times_30_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__times_30_latin1_s[i] + stb__times_30_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__times_30_latin1_t[i] + stb__times_30_latin1_h[i]) * recip_height;
            font[i].x0 = stb__times_30_latin1_x[i];
            font[i].y0 = stb__times_30_latin1_y[i];
            font[i].x1 = stb__times_30_latin1_x[i] + stb__times_30_latin1_w[i];
            font[i].y1 = stb__times_30_latin1_y[i] + stb__times_30_latin1_h[i];
            font[i].advance_int = (stb__times_30_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__times_30_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_30_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_30_latin1_s[i] + stb__times_30_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_30_latin1_t[i] + stb__times_30_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_30_latin1_x[i] - 0.5f;
            font[i].y0f = stb__times_30_latin1_y[i] - 0.5f;
            font[i].x1f = stb__times_30_latin1_x[i] + stb__times_30_latin1_w[i] + 0.5f;
            font[i].y1f = stb__times_30_latin1_y[i] + stb__times_30_latin1_h[i] + 0.5f;
            font[i].advance = stb__times_30_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_30_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_30_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_30_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_30_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_30_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_30_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_30_latin1_LINE_SPACING
#endif

