// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_32_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_32_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_32_latin1_BITMAP_WIDTH         256
#define STB_FONT_times_32_latin1_BITMAP_HEIGHT        254
#define STB_FONT_times_32_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_times_32_latin1_FIRST_CHAR            32
#define STB_FONT_times_32_latin1_NUM_CHARS            224

#define STB_FONT_times_32_latin1_LINE_SPACING          21

static unsigned int stb__times_32_latin1_pixels[]={
    0x00000000,0x00000000,0x00000000,0x00099900,0x00015530,0x00026620,
    0x26666660,0x00aa9801,0x0554c000,0x00aaa000,0x00133000,0x3ae22440,
    0x64c00003,0x00bcddde,0x1ccf2600,0x3f601ec0,0x3d807b31,0x0017fc40,
    0x0002ff40,0x000bffb0,0x99dffd93,0xf88019bd,0x7400004f,0xfa80005f,
    0xf500002f,0xb70001ff,0x01fff5c1,0x00ceb800,0xb8007b73,0xb006cc0d,
    0x21ffc407,0x807b00db,0x880003fb,0x300000ef,0x4005fd9f,0x24fffffa,
    0x1be6001d,0x0ef98000,0x09f70000,0x3f7ba000,0xf02e4004,0xe880007f,
    0x0376000c,0x74c03ea0,0xdb807b01,0x07b05d80,0x700004d8,0x7400001f,
    0x2a00db13,0x24ffffff,0x0fd4001d,0x00fb8000,0x003e4000,0x03f72dc0,
    0x7fd01ea0,0x01fcc000,0x5f805c80,0x03d835c0,0x360bea00,0x00016203,
    0x200001d8,0xd803b83a,0x24ffffff,0x03b8001d,0x0003b000,0x80007600,
    0x98059848,0x01ff404f,0x0001f980,0x0bf30164,0x007b07d0,0x1ec27dc0,
    0x05000000,0x06018000,0x3fffffe0,0x4000764f,0x00500002,0x000c4000,
    0x20044010,0x1ff401fe,0x0004e800,0x1fea0588,0x07b07ee0,0x6c2fe400,
    0x33100003,0x20133333,0x10999999,0x13333333,0x26666660,0xffffff10,
    0x3000ec9f,0x80001575,0x8800aba9,0x09999999,0x13333330,0x01575300,
    0xfd00df30,0x36400987,0x54455c40,0x0ff302c2,0x03d8df10,0x84fd8098,
    0xbffff93d,0x50effc81,0x17dffff9,0x9fffb710,0x3ffff2a3,0xfdb880be,
    0x3ffa1cff,0x0764ffff,0x36f3bf20,0x7e4003fe,0x03fedbce,0x3bffff2a,
    0xffdb880b,0x3bf201cf,0x203fedbc,0x3fe803fc,0x101dfff7,0x4eec403f,
    0x0dc4fcca,0xe801ff88,0xda80f62f,0xd83fe82f,0xd817fea3,0x00fff706,
    0xffb807ec,0x203f6007,0x4ffffffc,0x2fea8076,0xa801df70,0x1df702fe,
    0x003ffdc0,0x7f5401fb,0x881df702,0xbfe802ff,0x0ffffefb,0x89d1035c,
    0x01cc1ffb,0x9fb001ff,0xffdc81ec,0x3d82fe82,0x05d037ec,0xc8017fe6,
    0x017fe607,0xffd107c8,0x80ec9fff,0x7d400ff9,0x01ff300f,0xf300ffa8,
    0x03e400bf,0xfa801ff3,0x007fea0f,0xfd9937fa,0xdb01f44f,0x0b10ff50,
    0x5fc80374,0x2ff880f6,0x43d81fb8,0x07981ff8,0xb8013fe2,0x013fe206,
    0x7fec06b8,0x220764ff,0xbfd004fe,0x2009fd10,0x9ff105fe,0xe8835c00,
    0x4bfd004f,0xfe800ffb,0x30fff885,0x20bf201f,0x104985fc,0x9fee007f,
    0x417fc009,0xd83d83f8,0x7c04d85f,0x01ae004f,0x35c009ff,0xb26d5440,
    0x001ffb03,0xffb0ffea,0x0ffea001,0xd70027fc,0x4003ff60,0x0ff93ffa,
    0x7dc0ffa0,0x3ee0f51f,0x5705fd05,0xfb800f20,0x0bfe000f,0x20f606cc,
    0x03e21ff9,0x5c009ff0,0x0027fc06,0x24a800d7,0x02ffcc1d,0x7cc3ffe0,
    0x7ffc005f,0x2004ff80,0x05ff986b,0x7ec7ffc0,0x207fd007,0x20d72ff9,
    0x0ff880ff,0x006dc0d8,0x800bfea0,0x866402ff,0x5cbfb03d,0x004ff805,
    0x09ff01ae,0x2a0035c0,0x9ff70764,0x71ffe800,0xfe8009ff,0x004ff81f,
    0x13fee1ae,0xfb3ffd00,0x40ffa00f,0x50b92ff8,0x41bee0df,0x4000dc86,
    0x3e002ff9,0xd86d402f,0x3a3ff303,0x004ff802,0x09ff01ae,0x2a0035c0,
    0x7ff90764,0x92ffd800,0xfd8007ff,0x004ff82f,0x0fff21ae,0xf75ffb00,
    0x40ffa00f,0xb0b71ff8,0x07ff109f,0x00b22095,0x2001ffa8,0x839102ff,
    0x277fa03d,0x009ff007,0x13fe035c,0x54006b80,0x5ffd0764,0xd4ffc800,
    0xfc8005ff,0x004ff84f,0x0bffa1ae,0xf59ff900,0x07fd001f,0x43543fe2,
    0x1ffc81fe,0x5f1007c4,0x443fee00,0xf817fc00,0x3ea03d83,0x9ff004ef,
    0x3e035c00,0x01ae004f,0x3e0ec950,0x7dc001ff,0x003fff5f,0xff85ffb8,
    0x3e1ae004,0x7dc001ff,0x801ff8df,0x4bf503fe,0x642ff879,0x804d87f9,
    0x4ff9005e,0x417fc03d,0x403d81fa,0xff000ffe,0x2035c009,0x1ae004ff,
    0x20ec9500,0x64002ffe,0x05ffd3ff,0xf83ffc80,0x21ae004f,0x64002ffe,
    0x003ff3ff,0x87f60bfd,0x577e40f8,0x227f8ada,0x0ff8144c,0x0f65fd80,
    0x5fb05ff0,0x5fa807b0,0x8013fe00,0x027fc05b,0x4a800b70,0x07ff9076,
    0xf92ffd80,0xffd8007f,0x2004ff82,0x03ffc85b,0xfd97fec0,0x41ffe803,
    0x4c3d83fb,0x3fa1efff,0x415c3ddc,0xfe801ff8,0x5ff00f62,0x07b07fd0,
    0x7fc005f0,0xf016e005,0x02dc00bf,0x5c1d92a0,0x7ec004ff,0x009ff71f,
    0xff81ffd8,0x2e16e005,0x7ec004ff,0xd00bf31f,0x5fd7bdbf,0x06e21a60,
    0x1a202aa2,0x22007fcc,0x3e01ec6f,0xd84fd82f,0x20034c03,0x132005ff,
    0x6400bff0,0x3b254004,0x4006ff98,0x1bfe66ff,0x3e0dff00,0x2132005f,
    0x7c006ff9,0x7403e46f,0xb003533f,0x16400007,0xfb807fa8,0x3fe01ec3,
    0x3d85fc81,0x36001ec0,0x00fa007f,0x1f400ffb,0x81d92a00,0xf5001ffc,
    0x01ffc83f,0x3603ff50,0x40fa007f,0xf5001ffc,0x402f883f,0xe88003fe,
    0x04b80001,0x1ba01be6,0x01ff00f6,0x407b09f7,0x7dc000f9,0x01f9801f,
    0x4c00ffdc,0xb254001f,0x00bff103,0x3fe213fa,0x409fd005,0xf9801ffb,
    0x00bff101,0x075413fa,0x20007fd0,0x320001e9,0x202fc404,0x403d80f9,
    0xb05f507f,0x174d6547,0x405fd800,0xbfb003f9,0x8003f980,0x7d40764a,
    0x077dc02f,0x5c02ffa8,0x2fec00ef,0xf500fe60,0x0efb805f,0x3fe81320,
    0x00fa6000,0x2e009b10,0x203d100f,0x09f0663d,0xff1ec1b6,0x440009ff,
    0x7dcc1dfe,0x37fa2004,0x0027dcc1,0x980764a8,0x09f903fe,0x3207fd30,
    0xbfd1004f,0x004fb983,0x3f207fd3,0x3e097004,0x6440004f,0x376600be,
    0x4426c001,0x7c4f601e,0xa80ea8cf,0x7ec7b00e,0xd880003f,0x3fffefff,
    0xfffd8800,0x0003fffe,0xc801d92a,0x2efecdfe,0x66ff6400,0x44002efe,
    0xfffefffd,0xdfec8003,0x4002efec,0x3fff6a48,0x5c40001c,0xceedceee,
    0x4b6a0001,0x323d8048,0x6cc0dfff,0x0021ec04,0x2aa62000,0x9880001a,
    0x80001aaa,0x31000208,0x31000035,0x31000035,0x00003555,0x00003531,
    0x04cccccc,0x02620000,0x00020000,0x00403011,0x00000088,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xcccccc80,
    0x0aba8800,0x0404c000,0x6dc3b700,0x0554c000,0xaa980000,0x13300000,
    0x2aa00000,0x00a88002,0x00202600,0x65455510,0x3002cccc,0x80188157,
    0x2a2002aa,0x6666402a,0x3bf201ff,0x003ffecd,0x9067ff4c,0x4d3fe200,
    0x744004ff,0xd000004f,0x2a0000bf,0x00000fff,0x10017fd4,0x001d7179,
    0x9067ff4c,0x21ffb800,0x02cccdfc,0x979dfb51,0x7007b59d,0x7e4001ff,
    0x07fa000f,0x3220bfa6,0xb79000df,0x00799fff,0x05fd17f4,0x000ff300,
    0x001df100,0x17f7ba00,0x07f90000,0x027c3c80,0x9fffb770,0x2fd80099,
    0x74c01fe4,0x7ff700cf,0x000ff600,0x7f4005fb,0x200ffd41,0x23800ffd,
    0x8006ffd9,0x2a000080,0x5c00001f,0xb700000f,0x00000fdc,0x1f88009f,
    0x4c7003fc,0x4000effd,0x403fc83f,0xfb805ff9,0x0017a004,0x1fe8017a,
    0x22013fe2,0x880805fe,0x00000001,0x00000ee0,0x2200003b,0x00005985,
    0x5f5000b3,0x202004c8,0x04a80018,0x7f4407f9,0x0099000e,0x34400344,
    0x7e43fd00,0x7ff5000f,0x02aea600,0x00000000,0x02800005,0x08802000,
    0x00018000,0x98801df3,0x33000999,0x05013333,0xff901fe4,0x002cc003,
    0x02600026,0xff98ff40,0x3ffe2005,0x2f3bf200,0x3f203fed,0x7e40dfff,
    0x014000ef,0x00028000,0x98800500,0x00999999,0x81333333,0x2e200efe,
    0x4402fffe,0x20bfffdb,0x09999999,0x3ff407f9,0x33312400,0x33333333,
    0x99981333,0x74009999,0x009ff71f,0xea81ffd8,0x01df702f,0x6d817fea,
    0x000fa800,0x0007d400,0x8003ea00,0xbeffffda,0xffffb880,0x0f7fc40c,
    0x007ffdc0,0xfdb887d8,0x7f92dfff,0x001bfe20,0xffffd710,0xffffffff,
    0x7ffedc45,0x8ff402df,0x64003ffc,0x07fcc2ff,0x6c03fea0,0x000ba06f,
    0x00000ff6,0x800007fb,0xfb8003fd,0xefa802ff,0x5fffb100,0x01dffb00,
    0xffd80d90,0xfa81fe43,0x3a00004f,0x817d407f,0xfd003ffd,0x000bffa3,
    0x7f449ff9,0x20bfd004,0x07981ff8,0x006ff980,0x01bfe600,0x06ff9800,
    0x009ffb00,0x4d2601f9,0x7e402ffe,0x05b805ff,0x3f20ffe4,0x007ff903,
    0x403fec00,0x03ff903b,0x7ffc7fa0,0x2ffdc001,0x2a001ffb,0x0bfb03ff,
    0xff90009b,0x3200003f,0x00001fff,0x0003fff9,0x4401fff1,0xd88f102f,
    0x3b3201ff,0x02dc04ff,0x7f903fee,0x0007ffa0,0x8807fc80,0x001ff703,
    0x17fec7fa,0x4d3fee00,0x7fc005ff,0x21ff980f,0x7c4000f8,0x80005ffa,
    0x005ffaf8,0x5ffaf880,0x0bff5000,0x20b502e4,0x233205fd,0x16e02fff,
    0xfc81ff70,0x005ffd03,0x003fe400,0x4003fee0,0x07ff91fe,0xf73ffc80,
    0xffe8009f,0x2dcbfb01,0xffdb5c00,0xdb5c0000,0x5c0000ff,0x0001ffb6,
    0x3e60bff6,0x7e81b200,0x7ffcd320,0xfb80b701,0xd81fe40f,0x200004ff,
    0x200c07fc,0xfd000ffb,0x0013fea3,0x3ff23ffb,0x17fec003,0x05d1ff98,
    0x3fe65d00,0x99740003,0x740003ff,0x0007ff32,0x7d03ffe2,0xf701fc80,
    0xffb93201,0x5c05b80e,0x81fe40ff,0x00005ffb,0x80b01ff2,0xfd000ffb,
    0x0017fe23,0x17ff4dfd,0x813ff200,0x80079dfe,0x0037f47a,0x06fe8f50,
    0xdfd1ea00,0x2ffd4000,0x3ff500d7,0x22640d30,0x05b85ffc,0x3f207fdc,
    0x00fff303,0x503fe400,0x00ffb80b,0x7fec3fd0,0x45ff5001,0x5c001fff,
    0x3fea05ff,0x44d8004e,0xb0002ffb,0x002ffb89,0x2ffb89b0,0x2bff6000,
    0xffd001f8,0x13204b83,0x0b713ff6,0x7e40ffb8,0x00bff603,0x9ff90150,
    0x0bfd9999,0xd000ffb8,0x02ff443f,0x7ff46fe8,0x1ffe4002,0x0003ffa0,
    0x5ff881f1,0x440f8800,0xf88005ff,0x002ffc40,0x09dfff10,0x897ffc40,
    0x74426404,0x7016e2ff,0x03fc81ff,0x4007ffe6,0x99ff9039,0x80bfb999,
    0xfd000ffb,0x401ff883,0x7fe40efa,0x17fec003,0x20017ea0,0x01ff905c,
    0xff905c80,0x905c8001,0x5c0001ff,0xe88006ff,0x4c804cff,0x2e3fff30,
    0x207fdc05,0x7fd403fc,0x902cc00e,0x202cc0ff,0xfd000ffb,0x207fd303,
    0xffb80efc,0x0ffec004,0x7c0017c0,0xfcaaaaac,0x567c004f,0x4ffcaaaa,
    0x55567c00,0x004ffcaa,0x80027fc0,0xc803ffd8,0x23ffea04,0x07fdc05b,
    0x3a600ff2,0x32622cef,0x203fe405,0x007fdc05,0x3ee01fe8,0x02efdcde,
    0xf001bfe6,0x00d300df,0x99999d70,0x400ffd99,0xcccccceb,0x2e007fec,
    0xccccccce,0x7c0007fe,0x7ec0004f,0x2026401f,0x405beffb,0x1fe40ffb,
    0xfffec880,0xfc802cee,0x3ee00c07,0x03fd000f,0x0ffffd88,0x001ffc80,
    0x7b003ff5,0xa805d000,0x05d002ff,0xd002ffa8,0x02ffa805,0x0013fe00,
    0x99013f60,0x0bfffb00,0x7e40ffb8,0x017b0003,0x0007fc80,0xe8007fdc,
    0xfff7001f,0x0bff100b,0x26013fa0,0x03cc000f,0x79806ff8,0x300dff00,
    0x01bfe00f,0x4004ff80,0x202fc0c9,0xbffd004c,0x640ffb80,0xef98003f,
    0x03fe4000,0x01ff7070,0x98007fa0,0xfa804fff,0x077dc02f,0x0174d654,
    0xfc8026c0,0x8026c02f,0x26c02ffc,0x002ffc80,0xc800bff0,0x3601e42f,
    0x0bff1005,0x7e40ffb8,0x4fd88003,0x803fec00,0x00ffb83b,0x88003fd0,
    0xe9803ffb,0x409f903f,0x8004ffff,0xff3001f9,0x800fcc0d,0x3e606ff9,
    0x0dff3001,0x00dff100,0x00742f98,0x5f9801fa,0x320ffec0,0x7f50003f,
    0x00ffd800,0x7fec0fc4,0xfd555501,0x77540003,0x6ff6401b,0x6c02efec,
    0xfd0003ff,0x3ffe6001,0x2001fd03,0xfd03fff9,0x3ffe6001,0x3ffd4003,
    0x64466400,0xffff9303,0x80b70039,0x6fe43ffe,0x4c401aaa,0x7f4000ee,
    0x6fb9882f,0x3607ffd0,0x001eeeee,0x802b9880,0x04001a98,0xffffb800,
    0x3ffb200d,0xfff72eff,0x7f6401bf,0xff72efff,0x76401bff,0x402effff,
    0xcfffffdb,0x00ae2001,0x22060000,0x3dfffffc,0x07ddddd7,0x26001a98,
    0xffffffec,0x23ffffff,0xdfffffc8,0x00000003,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x05551000,
    0x20000000,0x4c400198,0x00000001,0x30000000,0x0404c007,0x00000000,
    0x00fb2600,0x00005500,0x00000000,0x03ff5000,0x3e66f980,0x3ffa0006,
    0x13ffa004,0x3ee4fb80,0x4df30004,0xb00006f9,0x9ffd3003,0x17ec0241,
    0x17e405fb,0x3a0005f9,0x10003c8a,0x2000139b,0x12a02fc8,0xbfb30122,
    0x3fd80001,0x91ffc800,0xf70003ff,0xf7003ff9,0x3a001ff9,0x001ffa7f,
    0xffc8ffdc,0x03440001,0xcfffdbb8,0xaffc404c,0x3fe05ff8,0x000bff16,
    0x200344b3,0xdffdefea,0x3fff2002,0x64575402,0x5a8ec02e,0x0027c000,
    0x13a65e98,0x744ba200,0xe897c405,0x547d5005,0xbd10003e,0x40002f4c,
    0x6cc7004a,0xec800eff,0xeb807b21,0x2000bae2,0xa8016668,0x1faa573f,
    0x005ff100,0xd1007ff5,0x16600068,0x80000000,0x3202c81b,0x00001d81,
    0x00000000,0x202003d0,0x00000018,0xbd700000,0x73ec003d,0x7c003cc5,
    0x7ef5402f,0x1661d003,0x00001800,0x00015753,0x80201806,0x33333311,
    0x26666013,0x01400099,0x035cc400,0x33000500,0x22133333,0x99999999,
    0x00999999,0x10007d40,0x01615cdf,0x7440bfe0,0x3005fb0c,0x98803ddd,
    0x99999999,0x40099999,0xfedbcefc,0x26666203,0x99999999,0x4cccc099,
    0xff950999,0x71017dff,0x0039fffb,0x880007d4,0x003ffdfd,0x22000fa8,
    0x2dffffdb,0xfffffd71,0x5fffffff,0x003fd800,0x215c3fea,0x02ff8004,
    0x001ff106,0x7f5c4002,0xffffffff,0xfd502fff,0x203bee05,0xfffffeb8,
    0x2fffffff,0x3ffff6e2,0x03ffdc2d,0xb0001fb0,0x9f30007f,0x0017fba1,
    0x360007fb,0x1ffa03ff,0x4c005f50,0x3e2006ff,0x1000575f,0x88017fc1,
    0x4c406fb8,0x07fe8001,0x7fcc17d4,0x007fd400,0x2fa80ffd,0x2607ffb0,
    0x1f2005ff,0x01bfe600,0xfbd99ba0,0xdff3000f,0x07ff2000,0x3b807fd8,
    0x07fff200,0x2cdffd80,0x377bee00,0x75c02ffb,0x885ffeee,0x01efedfc,
    0x7700ffb0,0xd004fe88,0x03fec0bf,0x1ffc81dc,0x4009ff10,0xffc8006b,
    0x8bf2001f,0x000ee8ac,0x0003fff9,0x7e401ff7,0x10038807,0x400bff5f,
    0x003fffe8,0x7ffc45db,0x543db102,0x07e40fff,0xf9001ff5,0xfd87100f,
    0x7ff5000f,0x2201ff20,0x401ff703,0x1ae004ff,0xbff5f100,0x1d0ff400,
    0xff5f1000,0x1ff7000b,0x0003fe40,0x07fedae0,0x7fffd100,0xfa82fc80,
    0x701f902f,0x237cc5ff,0xfc802ff8,0x5ff98007,0x407ffc00,0x5c0007fc,
    0x13fe00ff,0x5c006b80,0x2001ffb6,0x000b50ff,0x007fedae,0xc803fee0,
    0x2000c07f,0x007ff32e,0x01bfff70,0x3fe20df1,0x3e06f982,0x3a17e64f,
    0x07fc803f,0x027fdc0c,0x3207ffa0,0x2e00c07f,0x13fe00ff,0x74006b80,
    0x1007ff32,0x000b63ff,0x03ff9974,0x9007fdc0,0x200580ff,0x0037f47a,
    0x40efffb8,0x0bfe05fc,0x6fc817f2,0x01ff4c04,0x21603fe4,0x6c003ffc,
    0x07fc82ff,0x03fee02c,0x2e004ff8,0xfd1ea006,0x22bfe00d,0xe8f50006,
    0x7fdc006f,0xa81ff200,0xf7136005,0x9770005f,0x04fd8fff,0x13fa0bfe,
    0xb880ffb8,0xc804fece,0x3a16a07f,0x7e4002ff,0x207fc84f,0x07fdc05a,
    0x5c009ff0,0xf7136006,0x5bfd005f,0x4d807109,0x70017fdc,0x7fe401ff,
    0x5feccccc,0xf881f100,0x72b8005f,0x027fc5ff,0x0bff05ff,0x3ee17fd4,
    0x32013f63,0xecccccff,0x01fff85f,0x642ffdc0,0xecccccff,0x07fdc05f,
    0x5c009ff0,0x881f1006,0xffc805ff,0x2200c81e,0x02ffc40f,0x6401ff70,
    0xdcccccff,0x20b9005f,0x5c000ffc,0x5ff97f62,0x3fa0bfe0,0xc83fe606,
    0x4027ec1f,0xcccccffc,0x2ffe85fd,0x41ffe400,0xcccccffc,0x7fdc05fd,
    0x8013fe00,0x20b9006b,0x7cc00ffc,0x017222ff,0x03ff20b9,0x9007fdc0,
    0x802cc0ff,0xcaaaaacf,0x706a04ff,0xdfd3fd45,0x7ec17fc0,0xfc9be607,
    0xc804fd84,0x3216607f,0x7ec003ff,0x207fc82f,0x07fdc059,0x5c009ff0,
    0x5559f005,0x009ff955,0xdfdffff7,0xaaacf801,0x004ffcaa,0x7e401ff7,
    0x75c02c07,0xeccccccc,0x5712e07f,0x5ff92fd4,0x3ee0bfe0,0x749f502f,
    0x804fd83f,0x5c2c07fc,0x7ec004ff,0x407fc81f,0x007fdc05,0x2dc00bff,
    0x666675c0,0x007feccc,0x017dffff,0xccccceb8,0x7007fecc,0x3fe401ff,
    0x00ba0060,0x3ee05ff5,0x22fd8ae0,0x7c40eff8,0x20dfd03f,0x31bf60ed,
    0xfc8069ff,0x7fcc0c07,0x837fc006,0x200c07fc,0x3fe00ffb,0x20132005,
    0x17fd402e,0x000c5660,0x2ffa805d,0x200ffb80,0x4c0007fc,0x20dff007,
    0x2e571dfb,0xbeffb84f,0x1beffec9,0xf7067fcc,0xdbeffa83,0x202cffdd,
    0xf90007fc,0x3fea003f,0x000ff901,0x3600ffb8,0x00fa007f,0x1bfe00f3,
    0xf3000590,0x201bfe00,0x3f200ffb,0x1360e007,0x4417fe40,0xeedeefec,
    0x3fffea02,0x101cff8d,0x03bdbffb,0x2a5fff91,0x3fe402ff,0x2ffc4700,
    0x3204fe80,0x2e0e007f,0x3fee00ff,0x401f9801,0x5ff9004d,0x4d800340,
    0x805ff900,0x3f600ffb,0xf9877007,0x0dff3001,0x000cd998,0x000a82a6,
    0x40400331,0x00ffb000,0x05ff50ee,0x3600efb8,0x7077007f,0x5fd801ff,
    0x2601fcc0,0xdff3001f,0x260012a0,0xdff3001f,0x201ffd80,0x7c400ffd,
    0x98007f41,0x2b803fff,0x00000000,0x7ec00000,0x40fc400f,0x9f903fe9,
    0x801ffb00,0x1ffd81f8,0x20eff440,0xfe804fb9,0x7fff3000,0xfd0003b0,
    0x3ffe6001,0x80fffa03,0xb9882ffe,0x3fffee6f,0x3ffb200d,0x02202eff,
    0xffffff98,0xffffffff,0xdddddd34,0xdddddddd,0xffd00007,0x0df73105,
    0xfecdfec8,0x5ffd002e,0x20df7310,0xd8803ffe,0x3fffefff,0x6ffffdc0,
    0x3fffb200,0x7000a2ef,0x401bffff,0x2effffec,0xbfffff91,0x3fffb267,
    0xffffffff,0x0000003f,0x33331000,0x33333333,0x2aaa2133,0xaaaaaaaa,
    0x30001aaa,0xffffffd9,0x07ffffff,0x4006a620,0xfffffec9,0x3fffffff,
    0x3fffff22,0xaa98803d,0x0000001a,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x88040000,
    0x0dc001ba,0x0d654c00,0x03cc814c,0x801cca80,0x644003cc,0x0080002c,
    0x4001664c,0x2a001cc9,0x64c000cc,0x1cc9802c,0x005b06a0,0x0001fdc4,
    0x019dffb3,0xfd9834c0,0x67cc1c2e,0x0d5003fb,0xdbcdfc80,0x205d13ff,
    0x74000ffa,0xfffa804f,0x3fff2002,0x1ffe4400,0x01bf600e,0x1002fec0,
    0xfd8007fd,0x0dffd006,0x05a83fee,0x007ffd90,0x75477ea0,0x2099001f,
    0xbaefffcd,0x3f927c43,0x3001f880,0x3bee05fd,0x01fdc03d,0xf100bf10,
    0x2600df5b,0x5c05fbcf,0x4abeffed,0x0001fd00,0xf9800fd1,0x0077c006,
    0x41fed7dc,0x01e22ffd,0x0003ff88,0x06fb81fd,0xfb8a03d0,0x17dc0eff,
    0x03d807f3,0xb803ff50,0x05d800ff,0x32003ae0,0x3600fa64,0x23807ea3,
    0x001fffea,0x220005d1,0x07d4002f,0x8801f980,0xfb03ee1e,0x2002d85f,
    0xf98003ff,0x400ff986,0x75011069,0x7c45fb01,0x4401aa05,0xffa804ff,
    0x2001b006,0x8848800d,0x220aa00d,0x02e60605,0x4000b300,0x02b80049,
    0x06e00390,0x83ff90ea,0x0ffa005a,0x7c17ee00,0x0026401f,0x7c43ff00,
    0x000f880f,0xf9801ff9,0x00803ffb,0x20040020,0x00000200,0x00004000,
    0x80040002,0x40802000,0x07c40ffb,0x8003fe80,0x0ff885fb,0x18800f40,
    0xff117f40,0x7cc00f60,0xf97c405f,0x019880ff,0x88006620,0x00000019,
    0x00000662,0x4000c400,0x00cc0019,0x7fa80660,0x3fa005b0,0x3f2004c3,
    0x4c05fa85,0xfddeb806,0x263fc81e,0x2005b86f,0x1f404ffb,0x7e443ffb,
    0x9101efed,0x203dfdbf,0x1efedfc8,0x224ffec8,0xc881fffd,0xc81efedf,
    0x3f624ffe,0x6f5c01ff,0x36201efd,0x2204ffdf,0x204ffdfd,0x84ffdfd8,
    0x00b506f9,0x7ffe4ffa,0xa8bf900d,0x01e400ee,0x2ff983b2,0x87f727cc,
    0x3f2000f8,0xf917203f,0xf507e47f,0x541f901f,0x20fc80ff,0x9ff00ffa,
    0xf903ff50,0xf807fd41,0x01ffa84f,0x2ff983b2,0x3fa23e88,0x3a23e886,
    0x223e886f,0x837c46fe,0xbfe800f8,0x0efffefd,0x3ffe5fc8,0x3201e800,
    0x41ffa81f,0xd85e98fb,0x17ff4003,0x4ffc86b8,0x2ff88df3,0x3fe237cc,
    0x3e237cc2,0x109fd02f,0x46f983ff,0x9fd02ff8,0x3203ff10,0x41ffa81f,
    0x43ff985d,0x43ff985d,0x43ff985d,0x200b605f,0x3fa62ffe,0x265fc84f,
    0x1a602ffc,0x3fa06f98,0xb83dc986,0x3fa05505,0xb80f982f,0xd0bf35ff,
    0xe85f987f,0x742fcc3f,0x109fb03f,0x85f983ff,0x09fb03fe,0xdf303ff1,
    0x5f537f40,0x2fa97fe0,0x17d4bff0,0x027c5ff8,0x07fd00b5,0xbf903ffa,
    0x3207ff50,0xb817ee03,0x3e6000ff,0x0fe67cc0,0x3f10fff6,0x808fff20,
    0x98083fe9,0xe98083fe,0x109fb03f,0xd30103ff,0x213f607f,0x5fb81ff8,
    0x7e43fee0,0xffeeeeee,0x3bbbbf27,0x3f27ffee,0xffeeeeee,0x1f101f47,
    0xf503fe80,0xb05fc83f,0xd807a0df,0x0bfea04f,0x27c42e80,0x27fe41f9,
    0x2ffd80fa,0x4feceb88,0x3fb3ae20,0x3b3ae204,0x109fb04f,0x75c403ff,
    0x9fb04fec,0xfb03ff10,0xd97fd409,0x03f6000f,0x4000fd80,0x2016c02d,
    0x5ff103fe,0xff505fc8,0x7fc06981,0x00bfe606,0x517e42e4,0xb37fd49f,
    0x40ffe80b,0x413f63fb,0x413f63fb,0x413f63fb,0x1ff884fd,0x27ec7f70,
    0xff884fd8,0x2606ff81,0x003fd2ff,0xfd000ff4,0x401c8003,0x01ff405a,
    0x05fc85ff,0x03c85ff1,0xff303ff4,0xd01f3001,0xf137cc3f,0x3e01aeff,
    0x360fe46f,0x6c1fc84f,0x6c1fc84f,0x109fb04f,0x83f903ff,0x09fb04fd,
    0xffd03ff1,0xfe87fcc0,0x00ffa003,0x5c003fe8,0xd007c400,0x03fe207f,
    0x1ffc0bf9,0x3ffb003e,0x7401fe60,0x7c43ff02,0x07dffdc7,0xfc87fea0,
    0x7e44fd84,0x7e44fd84,0xfb04fd84,0xc83ff109,0xb04fd84f,0x03ff109f,
    0x3e603ffb,0x4901bf27,0xf92406fc,0xb000480d,0x881ff405,0x205fc87f,
    0x201a62fe,0xbf503ffa,0x7f409900,0x3fa1fe61,0x43fe801f,0x44fd83fe,
    0x44fd83fe,0x04fd83fe,0x3ff10bf9,0x4fd83fe8,0xff10bf90,0x207ff503,
    0x13fee5fa,0x09ff7154,0x04ffb8aa,0x16a00055,0x9f503fe8,0x8862bf90,
    0x400f20ff,0x01db06fe,0x3f200e98,0x3ea1be62,0x42fdc02f,0xa7fcc6fd,
    0xff98dfb1,0xf31bf634,0x8ff9069f,0x7ec2ffd8,0x41a7fcc6,0x7fec47fc,
    0x360dfd02,0x8efff40e,0xdffe86b8,0xffd0d711,0x911ae23b,0x7403e005,
    0x360dd03f,0x3ea3fb5f,0xe88007c4,0x007ee25f,0x4fa803d1,0x3b760bf2,
    0x0cfc80bf,0xddbeffa8,0xff52cffd,0x9ffbbb7d,0x36fbfea5,0x4c2cffdd,
    0xf9ebbdff,0xdff50bef,0x59ffbbb7,0xebbdff98,0x440beff9,0x07ee25fe,
    0x3fffffe6,0xffff983f,0xff983fff,0x643fffff,0x02d801ff,0x1fc83ffd,
    0x47f2bfd0,0x001a60ec,0x3bfbffb1,0x2e009900,0x5c84faaf,0x3fb3bfaa,
    0x3ff2201e,0x445ff52f,0xff52fffc,0x97ffe445,0xff702ffa,0x19ff11df,
    0xa97ffe44,0xfff702ff,0x019ff11d,0x37f7ff62,0x3fffa601,0x3ffa602f,
    0x3fa602ff,0xffb82fff,0x2e05a800,0x80dedeff,0xdb15ffd9,0x003c81bd,
    0x59800660,0x80664c00,0x01a9880a,0x04008080,0x00202004,0x100502a2,
    0x81510010,0x000cc002,0xa88006a2,0x006a2001,0x40140013,0x040001a8,
    0x00000150,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x5510072a,0x401cc001,0x00e6000a,
    0x0488002a,0x00037300,0x00730730,0xb9800f32,0x03cc8001,0x002cc980,
    0x0982aea6,0x26666662,0x33333009,0x02ae2013,0x4cccccc4,0x33333310,
    0x33333101,0x540bff10,0xd001ffdf,0x00ff5c05,0x3ae01f88,0x0136001f,
    0x5dd9fd70,0x5c25c000,0x01ff9804,0x0eebdea8,0x03fff700,0x800efc80,
    0xefecefd8,0x3ff2a1ec,0xb880beff,0x541cfffd,0x983ffffe,0x30cffffc,
    0x05bffff9,0x207dff93,0x4c3204fe,0x805b804f,0x09b001fb,0x2a003f70,
    0x22fd4006,0x0f60006c,0x0bf200f6,0x1df0fe60,0x6fbcf880,0x4007fc00,
    0x7ec41ff8,0x07ffb81f,0x3e203f60,0x02fffdbd,0x3ea0bff9,0x00fc807f,
    0x05f1000c,0xfb800f88,0x7006a801,0x03f1003f,0x7cc2fe80,0xf03d0001,
    0x2007d003,0x404fa86e,0x400ba64c,0x7fb001f9,0x7cc0fec0,0x41f2005f,
    0x82ffc40d,0x3fa05ff8,0x0026c00f,0x3a013200,0x803f7002,0x3f7001e8,
    0x88009900,0x00fd41ff,0x1e207c40,0x7e401660,0x2601ff03,0x57005883,
    0x2007fc00,0x04ff881f,0x40661ae0,0x3ff607fc,0x805ff700,0x9803801f,
    0x16e02fff,0x6401fb80,0x007ee004,0xff3000d3,0x30006d85,0x0100d50d,
    0x7407fe20,0x0080104f,0x3fe20008,0xff80ec02,0x001ae004,0x7fd40bf5,
    0x409ff103,0x2009006a,0xf880ffa8,0x807ee000,0x3ee000e9,0x80017401,
    0x00bee5ff,0x4ee4ccc4,0x019dc999,0x3fe600c4,0x100ffb00,0xf0000003,
    0x80dc03ff,0x1ae004ff,0xf805f700,0x81ffe05f,0x0039803d,0x01ec0fdc,
    0x2e807ee0,0x900fdc00,0x7fec0009,0x55511fd9,0x7ffdc355,0xffffffff,
    0xfbbd707f,0x40ff503d,0x37ae07fc,0xfec81efd,0x3fff624f,0x03fffc81,
    0x2004ff80,0x01ec006b,0x7cc07fe4,0x003f02ff,0x85a8003b,0x1fb8006a,
    0xf7000990,0x0003e603,0x20cfffa8,0x01bfffc8,0xc807e07e,0x90bfe60e,
    0x07fdc0ff,0x5ff30764,0x3ea13fe0,0xfffe881f,0x13fe001e,0x32006b80,
    0x07ff5005,0xd50bffb9,0xc880d700,0x7c41e98a,0x82fb8001,0xfb8000f9,
    0x80005d02,0xf880fffb,0x443c401f,0x2a07f207,0x81bf61ff,0x0fe42ffa,
    0x7f40ffd4,0x101ff884,0x01bffffd,0x5c009ff0,0x4ffda806,0x5d0dff00,
    0x03d81ffb,0x322017cc,0x03d80cde,0x3332a0ae,0x2ee21741,0x83999500,
    0x980ae05b,0x886ffcee,0xa86a804f,0x740df306,0xa81bfa6f,0x81be62ff,
    0x84fd86fe,0x7dc01ff8,0x7c03ffff,0x01ae004f,0x1dfffd95,0x260ffc80,
    0x7c45ff57,0x0003f400,0x13ea06a8,0xdfb8b700,0x7cc003ff,0x2a09f500,
    0x87ffd0df,0x84c800ea,0x40bf704c,0x0dfd0ffb,0xbf70ffd4,0x3607fdc0,
    0x01ff884f,0x5ffffd88,0xb8013fe0,0x3ffa6006,0x91ffcc02,0x6a97fe29,
    0x00027e40,0xfe980fc4,0x883e6004,0x8003fa25,0x09fd302e,0xfffa8df5,
    0x99880ba0,0xbe9999be,0x813f6199,0x0dfb2ffa,0x13f63fdc,0x7ec2ffa8,
    0x001ff884,0x413fffa6,0x16e004ff,0x00bfd100,0xfb0fcdfd,0xf980f61f,
    0x4c80000f,0x009f1d10,0xf7022174,0x4416e001,0x3ff84f8e,0x0975ffd8,
    0xffffffb8,0x27ffffff,0x3fe606ff,0x7dc0ff92,0xf3037fc6,0x884fd85f,
    0x640081ff,0x5ff80fff,0x20016e00,0xffb807fb,0x5ffd4799,0x1fee00f8,
    0x74c006ec,0x013e3b00,0x06d802dc,0x47601f10,0x407fcc4f,0x00ecfff8,
    0x40f10f10,0x3fe607fe,0x3201ff50,0x303ff45f,0x84fd81ff,0x80581ff8,
    0x5ff82ffc,0x20013200,0xff8806f9,0xaeff84cc,0xf837ec06,0x902e802f,
    0x7c4027c7,0x001f8800,0x4f8f207b,0xfb807fe4,0x1aa003ff,0x1ffd816a,
    0x7fc4ff30,0xfd87fd01,0xb0ff301f,0x03ff109f,0x07ff100f,0x1f400ffb,
    0x802fc400,0xfc81fefe,0x7fe403ef,0x6403fc80,0xf333b705,0x003d803b,
    0x41aa007b,0x1df999db,0xfd80fffa,0x642881ff,0x3ea04c84,0xc8bf503f,
    0x40ff884f,0xbf503ffa,0xff10bf90,0xf8805f03,0x01ffb81f,0xb8001f98,
    0xdff7002f,0x003ffe60,0x3f507ff5,0xfe807cc0,0x00ffffff,0x00b200d5,
    0xffe807c4,0xf90fffff,0xfdf701df,0x206c45ff,0x7402d82d,0x881db06f,
    0xd01fb86f,0x203b60df,0x7fec47fc,0x3201ef82,0x017f606f,0xd00407f3,
    0x1ffc400b,0x3200bff0,0x2026c2ef,0x027c002e,0x2d8803f1,0x8007b01c,
    0x7fffc44f,0xfb1edbad,0xf07fdfff,0xe8801f03,0x407ee25f,0x813e23f9,
    0x3ee25fe8,0x77bff301,0x417dff3d,0x2e20afff,0x3fa200ff,0x027dcc1d,
    0x27545df9,0x9007ec00,0x7fd4007f,0x2dc02ede,0x7b027c00,0xeeefe880,
    0x000d504f,0xfffd309f,0xfff709ff,0xf10f109f,0x37ff6200,0x775401df,
    0xfd8803ed,0x5c01dfdf,0xff88efff,0x7f65740c,0x800dffde,0xffefffd8,
    0x7ffd403f,0x50002eff,0x000f980d,0xd8800988,0x302c8000,0x9999700b,
    0x00760399,0xaa980b20,0x22029800,0x98002882,0x00188001,0xa8800330,
    0xa9830140,0x9880009a,0x44001aaa,0x03000009,0x00000050,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x99880000,0x20009999,0x5c4004a9,0x4ccc000b,0x01999999,0x2002aea6,
    0x40001ba8,0x98000bb8,0x98001aca,0x310c40ab,0x40333333,0x00999998,
    0x0000004c,0x00155100,0x00791000,0x4cccccc0,0x3fff2019,0x64401fff,
    0xca800acf,0x2cedbade,0x7ffffd40,0x4c0fffff,0x03fdacee,0x1dfb9fd1,
    0x56f65400,0x4402cedb,0x0dffcacd,0x33bf6a20,0x23dacecb,0x3effffda,
    0x3bfff620,0xedbfc881,0x7542aaac,0x5d900005,0x17aa09f7,0xb03ff900,
    0x7fe5403f,0xff102dff,0xa80dffff,0x9d1000df,0x80764c03,0xfffffffd,
    0x42fc45ff,0x06f444fa,0xe8801ff1,0x03b2601c,0x17fa0fa2,0xb8067f4c,
    0xfffb83ff,0x20bf7000,0x77fd47e8,0x0bffd75e,0xfc8d9000,0x017ffaa2,
    0xf881ff70,0x4ffc803f,0x4ccce640,0x013f2009,0x2e003f98,0x4d67c41f,
    0x43fa9999,0x41ff01fd,0x05fc80fd,0xfb800fe6,0x7dc0fdc1,0x02ffcc0f,
    0xffe827dc,0x201f9000,0x03ff85fc,0xa8000bfd,0x7427d43f,0x0098005f,
    0xff700197,0x0007c407,0xe88017ee,0xbdeeeeab,0x0ee0eb81,0x0ff81f70,
    0x1be63fb0,0x74417fc4,0x6f6e6543,0x7e41d76a,0x223ff884,0x99000efe,
    0x400ffee0,0x20ffa03e,0x0bfb06fd,0xa82fc800,0x0005fc80,0x3fea0000,
    0x30013202,0x1e4001ff,0x3fee2df5,0xd00325c0,0x3a05fd0d,0x740bf90f,
    0x3623c85f,0x973f4c0d,0x3ff837d4,0x98007ff2,0x00dff105,0x27fc01f3,
    0x5fc83fdc,0x00ff4000,0x1000bf90,0x3fea0000,0x39dff102,0x8007fd00,
    0x3f22fcc6,0x3e200684,0x440ffc83,0xc817f65f,0x0374686f,0x0ae341f3,
    0x7fe87fe2,0x3f204800,0x202e401f,0x06fb86fd,0xf8000bf9,0x17f2002f,
    0x00002e00,0x7e40bfea,0x900dffff,0x24c001ff,0x0ff317e6,0x03ee0039,
    0x7447bfe6,0xb81bfa0e,0x5f924c7f,0x00720c80,0x6ff89bee,0x7fc40000,
    0x2e00fc05,0x81ff40ff,0x000445fc,0x7e4005ff,0x201c8005,0x2ffa8009,
    0xffffb950,0x51bfd03d,0x0ae07dfb,0x84fb8bf3,0x40dd003a,0x84eafffb,
    0x3fee07fd,0x07fc4ae0,0x3a00ea00,0x013fea1f,0x03ff6000,0xdfb80354,
    0x7e409f71,0x01dffd55,0x64007ff0,0x77ffd45f,0x7f5416c4,0x02ffa802,
    0x88dffd30,0xfc99ceff,0x7cc0d85f,0x22037ea5,0x403f8805,0xf705fffa,
    0xb1ff205f,0x2001fe61,0x21fd4058,0x00003ffc,0x7d04ffa8,0x66ee7400,
    0x756fe401,0x9504ffcb,0x1999dff9,0x7742fe40,0xfdc87d01,0x2ffa802f,
    0x93ff6200,0xffb81ffa,0x6ffcc343,0x403402ff,0xffd800fb,0x0eff885f,
    0xb9a3ff44,0x80d0006f,0x01ffe84e,0x0ffd0000,0x076001f3,0x513ff200,
    0xfdd701ff,0x401ddddf,0x202e45fc,0x02ff884f,0x8002ffa8,0x03fee6fd,
    0x30363ffc,0x8813f2bf,0xc806e805,0xa85ffe9d,0xfebacfff,0x7f986c5f,
    0x26058800,0x005ffd06,0x0ffee000,0x07f20099,0x2217f200,0x27f401ff,
    0x2ecbf900,0x7fc17e20,0x02ffa802,0xfb0ffa80,0x707fec0f,0x3fa5f985,
    0xf8807501,0xe8876c03,0xffd885ff,0x5c2ffaad,0x8001ff12,0x6c07203a,
    0x000004ff,0x0fc4dff1,0xfffffd80,0xbf903dee,0xfb007fe0,0x46fe4007,
    0x06f8804d,0xff5005ff,0x43fe0005,0x3fee07fc,0x4bf31261,0x00d80ef9,
    0x5f7007dc,0x2001ffd0,0x324987fe,0x1b04404f,0xbff702c0,0x7e400000,
    0x4c00d71f,0xfffffffe,0x82fe40ff,0x17e402ff,0x5fddf900,0x3e0df300,
    0x2ffa802f,0x7d4fb000,0x81ff500f,0x3ee2fcc6,0x06d80685,0x7f4407f4,
    0x03ff9803,0x9101fe8d,0xf3024068,0x400000ff,0x007d5ff8,0xa9998acc,
    0x2fe43fca,0x7e402ff8,0x377f2001,0x3fd400ff,0xfa802ff8,0x4bf0001f,
    0xff301ff9,0x07fdc990,0x404c93f6,0x1fe203f8,0xfd805fb8,0xfd893205,
    0x644b989b,0x3f600c04,0x0054002f,0x00faffd8,0x97003f10,0x5ff05fc8,
    0x20c07c80,0x0efe8dfc,0x3e03fee0,0x0ffa802f,0x741fa800,0x209f903f,
    0x0aaaa9ce,0x01b26aa2,0x3fd003ee,0xf5013e60,0x4c4e801d,0x3641bddb,
    0x7ffcc000,0x40073001,0x2004fffa,0xc85b007d,0x105ff05f,0x24c0dd95,
    0x2ffcd7f2,0xff03ff90,0x20ff5005,0x83e881b8,0x0fe80ff8,0x64009d10,
    0x806d800e,0x03f904fb,0x440077dc,0x03b2004e,0xfa801970,0x02cc00ef,
    0x000fff40,0x85b809ff,0x05ff05fc,0x7bfff35b,0xfc85d733,0x6c0ffea5,
    0x42ff82ff,0x09f50ff8,0x326b7fee,0x717ee03f,0xadd8803f,0x00dda880,
    0xf8803f88,0x701fc41e,0xdd8800bf,0x0dda880a,0x4027fcc0,0x222cefe9,
    0xf70005c9,0xfffb800d,0x0ceccbcd,0x5ff05fd8,0x3feba6b0,0xfc85ffff,
    0x6417fe45,0x42ff81ff,0x40d94ff9,0x1defffe8,0xeecefa80,0x3b6e6001,
    0x001bdebb,0x6c4003ea,0x442eebef,0x0001deca,0x3aefb6e6,0xff1001bd,
    0x3fb22007,0x002ceeff,0x2000be20,0xdfffffd9,0x221bfa01,0x0ecd83ff,
    0x017fffb1,0x3fff0dfd,0xff886fa8,0x0ddffd83,0x00009880,0x2a000033,
    0x00a60001,0xa9804cc0,0xa8000009,0x00620001,0x0000a980,0x22000060,
    0x7fed4009,0xfffd93df,0x03101819,0x4f7fff6e,0x22dffffa,0xcfffec80,
    0x00005441,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80000000,0x141acba9,0x00260440,0x00443310,
    0x99880000,0x33300099,0x53001333,0x32200157,0xda813624,0x331076a2,
    0x00333333,0x9803b800,0x22011001,0x09999999,0x99998800,0x44000999,
    0x70000aba,0xfb979dfd,0x7e4c0d79,0x01dfff73,0xcefdeea8,0x05f9102f,
    0x417dd930,0x02fffeb8,0x5fffedc4,0x2f3bf200,0x7dc03fed,0x205ff72f,
    0x31bfe6fe,0xdfffffd7,0x0003bdff,0xfd981bea,0x776fe403,0x3ffae60b,
    0xdfffffff,0x3fae601b,0x2001beff,0x0dfffffb,0x01bfb100,0x6dc1bfa6,
    0xffefbbff,0x83d900ff,0xffc82ffe,0x446dc02f,0xffb80ffe,0x80fb000f,
    0xdf702fea,0x4c3fe601,0x49f900ff,0xfff104fd,0x0033fee0,0xd986ff88,
    0xbd103ffe,0xff82fec3,0x3faa609f,0x7ffc00df,0x6ffdc001,0x8806fffe,
    0x0fd005fe,0x3664dff8,0x81fb84ff,0xff102ff9,0xd107d405,0x3bff605f,
    0x2606c800,0x7fd400ff,0x40400000,0x103ff400,0x76c00dff,0x0ffe206f,
    0x17fd43ec,0x3f203ff4,0x1ffa00ef,0x5417f100,0x7ec04ffe,0xd01ea005,
    0x1fff10bf,0x5ff02fc4,0xfd017fc0,0x7fe40510,0x105b805f,0x3fa009fd,
    0x00000005,0x7dc07fd8,0xfbdb801f,0x541ff406,0xb03db03f,0xdff700ff,
    0x2003fec0,0x0dff104b,0x20017fdc,0x40ffa00e,0x0ff21ffb,0x3fe02ff8,
    0x2001fe02,0x404ffecc,0x01ffb05b,0x440ffea0,0x01980019,0xf980ffb0,
    0x5c7cc04f,0x41ff406f,0xfd8002fc,0x07ffd007,0x337bbff6,0xfe80700b,
    0x001bfa07,0x03fe8022,0x17ec5ff3,0x7fc05ff0,0x000ff302,0x05fff199,
    0x2ffcc2dc,0x883ffe00,0x01efedfc,0x13ff7f62,0xfa80ffb0,0xfb97404f,
    0x741ff406,0x7fd8002f,0x20fff300,0xfebaaffd,0x6fb8005f,0x0009ff10,
    0x2207fd00,0x80bfe2ff,0x0bfe02ff,0x64003fd4,0x203fff34,0x04ffb85b,
    0xf90fff40,0x4407fd41,0x81bfa23e,0x7fe407fd,0x6fb97201,0x7fc1ff40,
    0x07fd8004,0x360bffa0,0x05ffc87f,0xfa827dc0,0xe800003f,0x43ff103f,
    0x0bfe03ff,0x7ff42ff8,0x801fffff,0x03bfee4c,0x0fff216e,0x265ffb00,
    0x417fc46f,0x03ff985d,0x7fdc0ffb,0xfb83a606,0x741ff406,0x7fd8006f,
    0x20fff600,0x7ffb07fd,0xc80fe400,0xaaa802ff,0xfe80aaaa,0x741ff103,
    0x80bfe05f,0x0ff502ff,0xffc89900,0xffe85b85,0xa7fe4002,0x43fe85f9,
    0x0bff02fa,0x2eaafff6,0x2203ffdc,0x2037dc1e,0x0ffd83fe,0x7f664d20,
    0x82cccccf,0x7fd84ffc,0x400bff70,0x0bffa04e,0x3bffea20,0x2a07fd02,
    0x80ffec5f,0x0bfe02ff,0x64003fd4,0x5c4ffd84,0x001fff85,0x3012ffdc,
    0xeefc87fd,0x07ffeeee,0xfd99bffb,0x26403bff,0x3fa037dc,0x703ffb83,
    0x3ffaaa65,0xb81aaaaa,0x07fd85ff,0x2e00dff5,0x01fff406,0x7407ff90,
    0x983fb05f,0x7fe40eff,0x540bfe02,0x84c8007f,0x16e2ffe8,0x9000bffa,
    0x9d7107ff,0x00fd89fd,0x260ffb00,0x3541dffd,0x7f406fb8,0x217ffd03,
    0x7fd80ec9,0x20fff200,0xbff907fd,0xd803f100,0x3ee005ff,0x07ffa02f,
    0x3ff207f7,0x2ff9ecdf,0x7d40bfe0,0x304c8007,0x216e3fff,0x6c003ffc,
    0xb1fdc2ff,0x001fe89f,0xfc80ffb0,0x203f10ef,0x1ff406fb,0xfeffffa8,
    0x00ffb01f,0x7ec17fec,0x007ffd07,0xfff7007b,0x00ffdc00,0xfd7bdbfd,
    0xefffc805,0x7fc05ff1,0x000ff502,0x7ffd4099,0x4ffb85b8,0x90ffec00,
    0x744fd83f,0xffb0003f,0x2e7fff00,0xffffffff,0xfe83ffff,0x3fffa603,
    0x01ff601e,0xfd81ffe8,0x805ffd87,0xfff1005c,0x07fee001,0x03533fe8,
    0x3fe0d440,0x540bfe02,0x04c8007f,0x42df7fdc,0x7c006ff9,0x3613f26f,
    0x2037e44f,0xb00ffb04,0x3ffee9ff,0xffffffff,0x803fe83f,0x7fd801e8,
    0x20dff300,0xfeca9ffd,0x006a804f,0xb8027fe4,0x0ffa01ff,0x0bfe0000,
    0xff502ff8,0xb0099000,0x3f20bfff,0x3ff5001f,0x27ec1ff4,0x15413fee,
    0xfd807fd8,0x0df7003f,0xfb803fe8,0x007fd805,0x3f603ffd,0x00acceef,
    0x44000ea8,0xfb803fff,0x00ffa01f,0x80bfe000,0x0ff502ff,0x3a009900,
    0xbff105ff,0xfb13fa00,0x434ff98d,0xd711dffe,0x7403fec0,0xdf7000ff,
    0x9803fe80,0x3fec02fe,0xd027fdc0,0x3aa000ff,0xfe880a00,0x0ffdc01f,
    0x00007fd0,0x7fc05ff0,0x000ff502,0x3fe200bb,0x00bfea05,0xffa81df7,
    0xcffdddbe,0x3ffffe62,0x1ffa03ff,0x400bff90,0x27f406fb,0x7401fc80,
    0x3ff6207f,0x007ff404,0x2666bea0,0xc806b999,0xfd880bff,0x013fe01f,
    0x07ff1000,0xffb817fc,0x003f4000,0xfe980bf3,0x2209f903,0xff52fffc,
    0xffffd305,0x57ffc405,0x7ffd5309,0x406fb800,0x7d4405ff,0x57ffc405,
    0xefeba889,0x0fffc401,0xfffff500,0x007fffff,0x333bfb6a,0xb500befe,
    0x00037fff,0x17fffb50,0xf903ff88,0xff93003f,0xb70039ff,0x337fb200,
    0x01002efe,0x40351001,0xffffffda,0x01ceefff,0xc886fb80,0x503dfffe,
    0x7fecc015,0xceffffff,0x7fecc02b,0x4c02dfff,0xffffffff,0x30000fff,
    0x33001355,0x00013333,0x13333330,0x8e7fff5c,0x3cffffdb,0x00c00000,
    0x0006a620,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x33333310,0x4cccc413,0x99988099,0x00019999,0xca800280,
    0x9999981c,0x04cccc41,0x99999880,0x99999999,0x80ff9819,0x999885fc,
    0x99999999,0x33331099,0x26620001,0x79910199,0x06ffffe4,0x9103bff2,
    0x33331059,0x10001333,0x01333333,0x3ae60440,0x221befff,0x81cffffb,
    0xcffffeb8,0x2a00000b,0x7f44000f,0xcffffb84,0x077ff220,0x7fff64c0,
    0xffffffff,0x07fcc0ff,0x75cc2fe4,0xffffffff,0xfd935fff,0xf90001ff,
    0x3ee07bff,0x02ffd40f,0x3fff60db,0x7fff5cc0,0xbdffffff,0x3ffae601,
    0x03deffff,0x3fe03ff3,0x037fa00f,0x0017ffc0,0x003fd800,0xff306f88,
    0x8002fc09,0x203ffdf8,0x07fcc1fa,0x3fe02fe4,0x88bf5106,0x44004fff,
    0x7ec04fff,0x740dfb01,0x4fcbf982,0x9827ffe0,0x400dffeb,0xff731fff,
    0x02ffb83d,0x1fd40ffd,0x003ffa00,0x1bfe6000,0xc807cc00,0x001f307f,
    0x0ffe7aa0,0x0ff98390,0x7f405fc8,0x7f434c06,0x3ee000ff,0x0be203ff,
    0x7981ff88,0x80fd45d0,0x7fe407fe,0x21ffa00f,0x3220fff9,0x4c1ff604,
    0x7fd8003f,0xff900000,0x0ea0003f,0x26417fcc,0xff37b000,0x7cc29807,
    0x405fc80f,0xe85806fd,0x3e004ffd,0x0ea02ffd,0x13617f60,0x6c1260aa,
    0xeffb807f,0x320ffb00,0x7ec003ff,0x0003f987,0x00000ff9,0x00bff5f1,
    0x8bfb0040,0xd30000f8,0x2000ffe6,0x5fc80ff9,0x80037ec0,0x800ffeae,
    0x202ffaea,0x43ff3000,0x020080f8,0xfe803fec,0x20ffb04f,0x6c006ffa,
    0x001fcc7f,0x0000ff90,0x03ff6d70,0xfa802600,0x80016e1f,0x407ff32e,
    0x901ff301,0x06fd80bf,0xffaae802,0xffabe803,0x6c009802,0x4c016e5f,
    0x803fec00,0xffb07ff9,0x001ffe60,0x01fccffb,0x001ff200,0x7fccba00,
    0x0bfaa003,0x00f49fd0,0x3fe66a80,0x3e609103,0x405fc80f,0x405506fd,
    0xa80dfd2e,0x202ffa8f,0x7cc02fea,0xea805d1f,0x03fec02f,0xfb05ffd0,
    0x01bfee0f,0x0feaffb0,0x01ff2000,0xfe8f5000,0x5ffb9006,0x0d57fb80,
    0xff317400,0x7cc12e07,0x405fc80f,0x405b06fd,0x405ff72e,0x205ff54d,
    0xe802ffdc,0x6e4079df,0x3fec02ff,0xb07ffb00,0x0fffa0ff,0xdf5ffb00,
    0x1ff20000,0xb89b0000,0xff1002ff,0xdaff8805,0x98d50002,0xecccceff,
    0x03ff304f,0xffd80bf9,0x02fecccc,0x306ff8ba,0x80bfea1f,0xfa802ff8,
    0xff8804ef,0x003fec02,0xffb09ff9,0x006ffb88,0x5ffeffd8,0x07fc8000,
    0x103e2000,0x7fc00bff,0x76666642,0xcccccfef,0x7cc2e801,0xfcccccef,
    0xb87ff304,0xfb0336ff,0x5fd9999f,0x5ff71740,0x17fd49b0,0x7400bfe0,
    0x5ff000ff,0x2007fd80,0xffd85ffb,0x04fffccc,0xfd1ffb00,0xfc8000bf,
    0x17200007,0xf8007fe4,0x5555542f,0xaaaacffb,0x557dc00a,0x503ffbaa,
    0x2fffe609,0x49ffabdb,0x0b20dfb0,0x17fe22e8,0x17fd43f1,0x5400bfe0,
    0x0bfe005f,0x6400ffb0,0x8ffd84ff,0xb3009aaa,0xe8bfec07,0x320005ff,
    0x3e00007f,0xfcaaaaac,0x05ff004f,0x2000bfe0,0xdcccccf8,0x4c1203ff,
    0xd13fffee,0x1bf607ff,0xc85d014c,0xf51721ff,0x02ff805f,0xff800be0,
    0x003fec02,0xffb05ffb,0x04ffe800,0x7ff44ffb,0x0ff90005,0x333ae000,
    0x7feccccc,0x2005ff00,0x5b8002ff,0x0c07ff30,0x260336a8,0x081bf600,
    0xbff10ba0,0x5ff507e2,0x3002ff80,0x02ff800d,0xfd003fec,0x00ffb03f,
    0xfb07ffd8,0x05ffe88f,0x2007fc80,0xf500ba00,0x85ff005f,0xffffffff,
    0x03ffffff,0x3fe603f1,0x007b8003,0x0006fd80,0x71ffb05d,0x805ff50d,
    0x07b002ff,0x6c02ff80,0xdff3007f,0x2001ff60,0x7fd80f8a,0x005ffe88,
    0x09003fe4,0x37fc01e6,0xf8017fc0,0x0264002f,0x8e007ff3,0x6c0000fd,
    0x05d0006f,0x505f9ff3,0x2ff805ff,0x4000f980,0x3fec02ff,0xb01ffe80,
    0x166000ff,0xfe883fec,0xffb000df,0x26c0ee00,0x402ffc80,0x5ff002ff,
    0x3007cc00,0x477007ff,0x740001fe,0x05d0006f,0x7d41bff6,0x417fc02f,
    0x002e9aca,0x7ec02ff8,0x04ffb807,0x6c001ff6,0x440ffd02,0xd800effe,
    0x07cc00ff,0xf9800fcc,0x017fc06f,0x3a003ff8,0x01ffd405,0x02ff83e6,
    0x003ffc00,0x7ff504f8,0xf00ffee0,0x9ffff05f,0x00bfe000,0xffc80ffd,
    0x003ff404,0x7fc40722,0x3ffee01f,0x3ffe202f,0xcaa9999c,0x001fd06f,
    0x440fffe6,0xff9803ff,0x809f7004,0x4c40dffc,0x007f46fc,0x01fff100,
    0x3a05f880,0x0bff900f,0x7ec1ffc4,0xff10003f,0x57ffc407,0x3dfd7311,
    0x01fff880,0x7fed40e0,0x7e42cfff,0x25ffffff,0xffffffc9,0x4fffffff,
    0x06ffffdc,0xdffffd90,0x67fff645,0xffffd981,0xfffb303d,0xfffec85d,
    0xffffffff,0x5000083f,0x59fffffb,0xefffda80,0x7642540c,0x644effff,
    0x041cfffe,0xfffd9000,0x7ffecc39,0xbcefffff,0x7ffed402,0x00002dff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x88000000,0x99999999,0x20999999,0x19999998,0x00800000,
    0x07b31ecc,0x0f663d98,0x33333310,0x13333333,0x26666662,0x33333009,
    0x26666213,0x4c409999,0x26219999,0x40999999,0x19999998,0x4ccccccc,
    0x26666620,0x99999999,0x6d45b309,0x00000202,0x22002200,0xfffeb88b,
    0xffffffff,0x3ffae62f,0x2dffffff,0x177ec400,0x21ffb00e,0x3f600ffd,
    0x401ffb0f,0xfffffffc,0x51ffffff,0x17dffffb,0x9ffff710,0x3ffff621,
    0x7e4c0cff,0x3ae63eff,0x541befff,0x0bdffffc,0xbffffb71,0x7fffffc5,
    0xffffffff,0x7f4ffd5f,0x2b209107,0xaaaaaaaa,0xb803aaaa,0x746fc804,
    0x817d407f,0xfd710fff,0x3360019f,0x03baefff,0x0df737d4,0x1bee6fa8,
    0x6c035f90,0xfffb83ff,0x00efa802,0xb013ffee,0x0fff807f,0x202ffd40,
    0x9ef83ffd,0xb987fee0,0x7e4bf95f,0x00e09704,0x025c01c0,0x1ff63ff4,
    0x3ff40ee0,0x5004ffd8,0x0077ffdc,0x80800404,0x5401d800,0x3ff605ff,
    0x800fc804,0x3e206ffb,0x807fe803,0x7e404ff9,0xff70781f,0x0404d303,
    0x00704f98,0x012e00e0,0x0ff917f2,0x1ff60710,0x4403ffd4,0x0000ba80,
    0x16000000,0x401fff10,0x2200fff8,0x3ff6002f,0x36009d03,0x3ff8807f,
    0x2207fdc0,0x203ff704,0x4ff98005,0x00e00070,0x13ee012e,0xd8000ff9,
    0x07ffe07f,0x31000000,0x0a000000,0x5005ffb0,0x02e40bff,0x903ffe20,
    0x03fec00d,0x2e01ffc4,0xf70180ff,0x04c0603f,0x7fffffdc,0x01c000e4,
    0x17d4025c,0x80301ff2,0x3ffa07fd,0x04418800,0xdfbbd700,0x49ffd903,
    0x001fffd8,0x2005ffb8,0x0f982ffd,0x26ffa800,0x3f6000fa,0x03ff8807,
    0x70007fdc,0x3aa003ff,0x413f202f,0x70070003,0xc83f1009,0x3602c07f,
    0x0bff107f,0xfd34fc98,0x0ec801df,0x7fc0bfe6,0x001ffa84,0x00077fcc,
    0x3e81fff1,0x2fff2000,0x7ec001f9,0x03ff8807,0x70007fdc,0xfb9003ff,
    0x827e405f,0x26270003,0x9dc99999,0x3e099999,0xb503fe40,0xfb07fd80,
    0x7fe5c05f,0x5ffdceac,0x3ea07f20,0x884fe81f,0x7f4001ff,0xffa8001f,
    0x10001ae5,0x0007dfff,0xff100ffb,0x00ffb807,0x4007fee0,0x3f202ff8,
    0x4e000704,0xfffffffb,0x5fffffff,0x333ff20e,0x405feccc,0x7ff547fd,
    0x89dfd003,0x6f980ffb,0x3f61bfa0,0x001ff884,0x80013ff2,0x01f8affd,
    0x07ffa800,0x333ffb00,0xff533333,0x00ffb807,0x8007fee0,0x13f202ff,
    0x8038001c,0x3f20004b,0xfdcccccf,0x7f7fec05,0x2000aeff,0x1ff985fd,
    0x3ee05fb8,0x4427ec0f,0xff3001ff,0xff88000d,0x200004ef,0xd8003ffd,
    0xeeeeeeff,0x403ffeee,0x2e000ffb,0x3fe001ff,0x1c13f202,0x4b803800,
    0x81ff2000,0xb3fec059,0xfc8003ff,0xfb05ff04,0x217fd409,0x1ff884fd,
    0x01ffe880,0x06ffb800,0x3ffe6000,0x3fec001f,0x201ffc40,0x2e000ffb,
    0x3fe001ff,0x1c13f202,0x4b803800,0x01ff2000,0x227fd80b,0x32000fff,
    0xf05ff04f,0x17fcc0df,0x3fe213f6,0x03ffd801,0x013fe000,0x7d57c400,
    0x3fec006f,0x201ffc40,0x2e000ffb,0x3fe001ff,0x1c13f202,0x4b803800,
    0x01ff2000,0x4c7fd803,0x3f2005ff,0xfd05ff04,0x207fcc0f,0x1ff884fd,
    0x002ffd40,0x0013fe00,0x7ffb2740,0x403fec00,0x7dc03ff8,0x3fee000f,
    0x80bfe001,0x000704fc,0x0012e00e,0x40007fc8,0x3ffc87fd,0x3e09f900,
    0x01ffd82f,0x09fb0ff3,0x7c403ff1,0x400000ff,0xc80004ff,0x00fffc45,
    0xf8807fd8,0x07fdc03f,0x003ff700,0xbf9017fc,0x01c000e0,0xf900025c,
    0x7ec1c00f,0x001ffd07,0x0bfe09f9,0x7d40ffea,0xf885fc85,0x0bff601f,
    0x9ff00240,0x80fb8000,0xfb006ffa,0x07ff100f,0x2000ffb8,0x3e001ffb,
    0x29bf202f,0x401c000e,0x3f60004b,0xfb077007,0x03bfe20f,0x3fe09f90,
    0x360dfd02,0x447fc80e,0xff702ffd,0x8012600b,0x260005ff,0x13ff601f,
    0x2201ff60,0x7fdc03ff,0x07fee000,0x2a02ff80,0x00e2ccff,0x000001c0,
    0x22007fec,0x207fe81f,0x7ec06ffa,0x2205ff05,0x07ee25fe,0x75deffcc,
    0x260beff9,0x5d000fff,0x01bfe200,0x2201fcc0,0x7f402fff,0x04ffa807,
    0x9000ffec,0x3e2005ff,0x1ffec03f,0x001c000e,0x17ff4000,0x4437dcc4,
    0x3f201fff,0x0dfd00df,0x6c407ff1,0x401dfdff,0xf88efffb,0x5fff40cf,
    0xa9999999,0xf5001fec,0xff7000ff,0x3fffd003,0x007ffe20,0xfe80bff7,
    0x3ffa003f,0xfffec803,0x5640201c,0xaaaaaaaa,0x0003aaaa,0xfffd9300,
    0xffffffff,0x7ffecc7f,0xfe882dff,0xffd52eff,0x3ffb27bf,0x00cc01cf,
    0x20502a20,0xfffffffb,0x7fffffff,0xffffdb80,0x7f5c01cf,0xfb504eff,
    0x265dffff,0x2cfffffd,0x77ffff5c,0xffff910c,0x3f2207bf,0x003dffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x22000000,0x02620000,0x00088071,
    0x0cc40066,0x40018800,0x00330098,0x40204426,0x00004c00,0x00020004,
    0x440200c0,0xfffc8220,0xdfffd52f,0x41fff4c5,0x0c402218,0x64000022,
    0xeedb8003,0x901e89ef,0x1017ddbf,0x209ffbfb,0x1efedfc8,0xefddeb80,
    0xfb9d9101,0xffdfb13d,0xdf9b9105,0x4a81d83d,0x00073ea0,0xddb88754,
    0x8001721c,0x16604fc8,0x21ff88f4,0x7f443ffa,0xc983f306,0x4c5ff94f,
    0xdffd34fc,0x9009f701,0x21ec8007,0xe882fff9,0xd117f61d,0x6437f447,
    0x803fea0f,0x0bfe60ec,0xeffb83fa,0x7b0bfea3,0x07cc1fb8,0xdf9101f4,
    0xf9f70005,0xdbbfb579,0x9fb30001,0x640f4403,0xfd0ffea5,0x2a0ff509,
    0x5e7fe5c5,0xff975ffd,0xbffb9d59,0x7900ffd0,0x540fdc00,0xa87d81ff,
    0x261762ff,0x11be63ff,0x07f205ff,0x6fa87fea,0x7ec37fcc,0x07e03e66,
    0x03f503b6,0x00befb88,0x7ec07b60,0x5ff54000,0xfb85e800,0x3ea06640,
    0x5b05ff07,0x5c53bf60,0x2e277f40,0x01f540ff,0x6f8801e4,0xfa8dff90,
    0x3ea3db03,0x7ccbff02,0xf983fe85,0xf99bfa06,0xfb83ff85,0x3709f70f,
    0x1fd0bf30,0x033faa00,0x4d801f30,0x02efb880,0x9f507f20,0x442ff800,
    0x903446ff,0x0bfb00df,0x40003ff3,0x0bf7003c,0x643ff997,0xddf9002f,
    0x8fffdddd,0xb83fe980,0x83fee05f,0xfffff980,0xf32fffff,0x3f6001bf,
    0x20037d44,0x7b01dfd9,0x2601f300,0x5c001dfc,0x007fcc5f,0xfb717f20,
    0xf901dc3f,0x209f9009,0x320002ff,0xb8bfb003,0x7f45ff55,0x001fb002,
    0x3fb3ae20,0x2a04fd84,0xfbb502ff,0x7ff4005f,0x7fc400cf,0x4002ff43,
    0x0f42efc8,0x7f541e80,0xff98000c,0x0013fa21,0xd8e83fe6,0xfc803a4f,
    0xf04fc804,0x312c985f,0x39b33333,0x74133333,0xff99aa6f,0x74013fe2,
    0x3fb8001f,0x1bfe13f6,0x74c2ff98,0x8005ff1d,0x402ffffc,0x3fea0ffd,
    0x9fd10002,0x22d8007c,0x20002ffa,0x0ffe46fe,0x973fe800,0x202cdfea,
    0x4fc804fc,0x7fd85ff0,0xfffffff9,0x7fffffff,0x20e9bff4,0x1bfa1ff8,
    0x2001ff40,0x427ec1fc,0x3fe607fe,0x7ff0bee0,0xfffb1000,0xd0bfe607,
    0xf91000bf,0xd002e85b,0x02efc883,0x221ff980,0xf70004fe,0xcaff83ad,
    0x4027e402,0x85ff04fc,0x03c806fc,0x81d3ff90,0x07fec7f9,0x901bf290,
    0x27ec27e4,0xf980ffec,0x3fa1bee7,0x4c0c6604,0x89fb06ff,0x6d4006fa,
    0x009900cf,0x3ae201f1,0x3ea000bf,0x0007fc45,0x322e7fc4,0x4fc807ef,
    0xff04fc80,0x0f200305,0x40fffcc0,0x1ffdc5fa,0x09ff72b8,0xd83fe8aa,
    0x03ffa84f,0x41fecbf5,0x5cb00ffc,0x4c0ffa82,0x000fe85f,0x88017dd7,
    0x801f401f,0x9001cfda,0x005f983f,0xf983ffb0,0x04fc804f,0x5ff04fc8,
    0x001e4000,0x1fb01dfb,0x2617ffd0,0x37ffa0ec,0x6fd8d711,0x741a7fcc,
    0x741db06f,0x2effc86f,0xf06b8766,0xfa81db0f,0x16fe4401,0x220bf600,
    0x64c001fd,0x86d802df,0x0065c1fb,0x07fa0bf5,0x36017f20,0x005ff05f,
    0xfb001e40,0x501fb8bf,0x3ffdffff,0xffffff98,0x5f7fd43f,0x42cffddd,
    0x3ee25fe8,0x54e7fdc1,0xeefffcbe,0x261fdc4f,0x7407cc3f,0x073f6602,
    0x3babb600,0x0fbcfdcc,0x3efb8800,0x97207a20,0x17c03ffa,0xffd006b8,
    0xf10dfd00,0x1e40007f,0xffd8bd80,0x74c02dfd,0xd301efff,0x9105ffff,
    0x3fea5fff,0xfbffb102,0xfffb103b,0x77ffe43d,0x67ff5c0b,0xa81d83dc,
    0x002fee04,0x97507540,0x0002dc17,0x059817aa,0x00bfe63b,0x2a00c403,
    0xa84efffd,0xd93dfffe,0x22039fff,0xcd999999,0x10999999,0x80019889,
    0x351001a8,0x80020200,0x01510019,0x54c100cc,0x20040200,0x00000000,
    0x20040000,0x00c41100,0x00000000,0x3ff20000,0xffffffff,0x0003ffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x22008831,
    0x93ffb200,0x5c1fffd8,0x641dffff,0x00000eff,0x3ee08004,0xffffffff,
    0xfd50001f,0x3fee3fff,0x0015003f,0x0a802aa2,0x37100550,0x40155300,
    0x887300a8,0xa9876e0b,0xaaaaaaaa,0x081aaaaa,0x79916644,0xe9afe4c0,
    0x3faa1eff,0x13fe00ef,0x3e207fea,0x4017206f,0x0ea806f8,0x13d726c0,
    0x2e05ff98,0x1ffec00f,0x7c4003b6,0xffdfa804,0x2a0ff5c1,0xc883ffef,
    0xf882efdf,0xac983f91,0x1ffc1de9,0x3ffe6bfb,0xbbbbbb50,0xdbbbbbbb,
    0x77dc3a8b,0x2a03fea0,0xcbeadffc,0xfb7b76ff,0x427f40bf,0xff701ff8,
    0xf8800f40,0x201d9007,0xfe80dc5d,0x2017f406,0x3f30ffe8,0x00fee400,
    0x5c2fcc32,0xfe886c1f,0x1f506640,0xb13ea6b8,0xff12fc4b,0xff9b7fc9,
    0x2d40003f,0x81fd87ba,0x3bf602fb,0x21f7fcc3,0x9fb00ffa,0x2203ff10,
    0x005982ff,0x1d900044,0xf90285d8,0xf90b983f,0x7fc40e61,0x26001e8c,
    0x22006b8f,0x221fa82f,0x1f10fdc0,0x91088790,0x3a1fc4bf,0xfe8ffe0f,
    0x0012e625,0xb7e44b50,0x817202f8,0x09ff05fc,0x3f603ff1,0x201ff884,
    0x002d86fc,0xb0ec8000,0x17fd400b,0xbbd477f4,0xdff701ff,0x3a3e8009,
    0x2a099002,0x2e36401f,0x9910d305,0x227dcbf3,0xc8bfa3fc,0x0001d84f,
    0x557e22d4,0x3f205803,0x3e09fb05,0x109fb02f,0x7fcc03ff,0x4cc41a21,
    0x99999999,0xd9009999,0x7fc400bb,0xb5dfb304,0xfd809ff7,0x51aa000f,
    0x7ff4c01f,0x7c01fa83,0x45b83542,0x54bf32e9,0xf90fd46f,0x1a217dc1,
    0x4c56a000,0x020011fd,0x9fb05fc8,0x7ec0bfe0,0x401ff884,0x640ee4fe,
    0xffffffff,0x03ffffff,0xfe8003fe,0xcfea8806,0x09ff3001,0x13607e20,
    0xf503fa60,0x1e81ec03,0xf33f42e8,0x1b20fe8b,0x2e1f98f7,0x1880000c,
    0x00000571,0x13f60bf9,0x4fd817fc,0x5401ff88,0x0001d0ff,0x766ec000,
    0x01ffc800,0x6f76f5cc,0x1ffce802,0x3f105c80,0xfa83f500,0x7dc07901,
    0xfe86ea9c,0x2e3efcac,0x4c2e88cf,0x00333c45,0x00000000,0x3f60bf90,
    0x3605ff04,0x01ff884f,0x005abff8,0xc9760000,0x0bfea00e,0x3b37ff90,
    0x4f201ffd,0x3e600ffd,0x2a016e00,0x2c81fa85,0x177e4c1c,0x3bb2dd98,
    0x0a02db88,0x2eee600e,0xbbbbbbbb,0x1ba82bbb,0x5fc80300,0x3fe09fb0,
    0xf10bf902,0xbdf9003f,0x00260005,0x80ec85d8,0x21704ff8,0x3a2f73fd,
    0x3e25a81f,0x200fa05f,0x262b222e,0x222fb81e,0x05eeeefd,0x00000000,
    0x99995000,0x99999999,0x7774c799,0x03500bef,0x9fb05fc8,0x7e40bfe0,
    0x017fec47,0x80037fc4,0x0bb007f8,0x1bfa0764,0x1fd820c8,0xf503e602,
    0x2009105f,0x337b2239,0x51ccca80,0x03999999,0x00000000,0x80000000,
    0x37fae21c,0xf900b50a,0x7c13f60b,0x7bff303f,0x17dff3d7,0x0003fd80,
    0x0b500bd1,0x07fe4990,0x07fa07a8,0xffd03e88,0x00000003,0x00000000,
    0x00000000,0x98120000,0x802efffd,0x0bfd06fd,0x7dc09ff1,0xcff88eff,
    0x000f9800,0x50000000,0xffffffff,0x01cc0fff,0xfc85fff5,0x00005fff,
    0x00000000,0x00000000,0x44000000,0x80198800,0x73dfffda,0x325bfffd,
    0x101cfffe,0x28002815,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xeeeeea80,0xeeeeeeee,0x0000004e,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x26200000,0x99999999,
    0x2e199999,0x5dc76e1d,0x001bbbbb,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xff15ff88,0x3fffffab,
    0x0000002f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7fb00000,0xcccb97f4,0x00001ccc,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0x00000080,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_32_latin1_x[224]={ 0,3,1,0,1,1,1,1,1,0,2,0,1,1,
2,0,1,3,0,1,0,1,1,1,1,1,2,2,0,0,0,1,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,-1,1,0,1,0,1,0,0,0,0,0,0,0,2,0,1,0,-1,1,1,-1,0,0,1,1,0,0,0,
-3,0,0,0,0,0,-1,0,0,1,0,0,0,0,0,0,0,3,2,2,0,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,3,1,0,0,0,
2,2,0,0,-1,0,0,1,0,-1,1,0,0,0,3,1,-1,2,2,1,0,0,1,1,0,1,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,-1,1,1,1,1,1,2,1,0,0,0,0,0,0,0,1,1,
1,1,1,1,1,0,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,
 };
static signed short stb__times_32_latin1_y[224]={ 25,5,5,5,4,5,5,5,4,4,4,7,22,17,
22,4,5,5,5,5,5,5,5,5,5,5,11,11,8,12,8,5,4,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,4,5,5,30,5,11,4,11,4,11,4,11,4,4,
4,4,4,11,11,11,11,11,11,11,7,12,12,12,12,12,12,4,4,4,15,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,25,11,6,5,8,5,
4,5,6,5,5,11,12,17,5,3,5,7,5,5,5,12,5,13,24,5,5,11,5,5,5,11,-1,-1,-1,0,
0,1,5,5,-1,-1,-1,0,-1,-1,-1,0,5,0,-1,-1,-1,0,0,9,5,-1,-1,-1,0,-1,5,4,5,5,
5,5,6,4,11,11,5,5,5,6,5,5,5,6,4,5,5,5,5,5,6,9,11,5,5,5,6,5,4,6,
 };
static unsigned short stb__times_32_latin1_w[224]={ 0,4,9,14,12,23,21,3,8,9,11,16,5,8,
4,9,13,8,14,12,14,12,13,13,12,13,4,5,16,16,16,11,25,21,18,18,20,17,15,20,21,9,12,22,
18,26,22,19,16,19,20,14,17,21,21,28,21,21,17,7,9,7,14,16,6,12,15,12,15,12,12,14,15,8,
9,15,8,23,15,14,15,15,10,10,9,15,15,21,15,15,13,9,2,9,16,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,0,4,12,14,15,15,
2,11,9,21,9,14,16,8,21,16,10,16,9,8,5,15,15,4,5,6,9,14,21,21,22,11,21,21,21,21,
21,21,26,18,17,17,17,17,9,9,9,9,20,22,19,19,19,19,19,12,19,21,21,21,21,21,15,14,12,12,
12,12,12,12,18,12,12,12,12,12,8,8,9,9,14,15,14,14,14,14,14,16,14,15,15,15,15,15,15,15,
 };
static unsigned short stb__times_32_latin1_h[224]={ 0,21,9,21,24,21,21,9,28,28,13,17,8,3,
4,22,21,20,20,21,20,21,21,21,21,21,15,19,15,7,15,21,28,20,20,21,20,20,20,21,20,20,21,20,
20,20,21,21,20,26,20,21,20,21,21,21,20,20,20,26,22,26,11,2,6,15,22,15,22,15,21,21,21,21,
28,21,21,14,14,15,21,21,14,15,19,14,14,14,13,20,13,28,28,28,5,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,0,21,25,21,15,20,
28,26,4,21,9,15,7,3,21,2,10,17,11,11,6,20,27,5,7,11,9,15,21,21,21,21,26,26,26,25,
25,24,20,26,26,26,26,25,26,26,26,25,20,26,27,27,27,26,26,13,21,27,27,27,26,26,20,22,21,21,
21,21,20,22,15,20,21,21,21,20,20,20,20,19,22,20,21,21,21,21,20,13,15,21,21,21,20,27,28,26,
 };
static unsigned short stb__times_32_latin1_s[224]={ 98,249,201,102,196,67,80,252,1,62,101,
235,211,244,251,42,132,179,238,214,164,1,14,50,64,77,197,249,165,217,132,
113,26,43,145,125,211,1,133,1,149,171,242,1,24,149,76,99,232,9,19,
177,181,192,144,227,127,105,87,198,1,1,129,209,246,59,11,33,209,46,63,
166,181,233,75,212,54,1,235,72,22,38,224,106,209,25,41,202,113,185,87,
52,95,85,234,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,
219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,98,228,111,
197,149,74,72,153,234,91,181,182,217,244,28,226,170,1,160,144,240,117,158,
251,234,153,191,117,58,36,13,1,65,87,109,124,89,174,90,206,225,1,39,
156,243,188,57,146,201,165,174,194,236,29,19,74,91,214,114,136,67,131,222,
27,111,124,137,166,119,240,87,188,210,223,236,132,65,176,201,199,225,40,195,
117,146,52,56,57,18,179,161,150,71,98,10,49, };
static unsigned short stb__times_32_latin1_t[224]={ 29,84,233,107,57,84,107,194,1,1,233,
194,233,247,221,84,107,151,151,107,151,129,129,129,129,129,215,173,215,241,215,
129,1,173,151,129,173,194,173,151,194,194,129,173,173,173,151,151,173,30,194,
107,194,107,129,107,194,194,194,30,84,30,233,80,233,215,84,215,57,215,151,
129,129,129,1,129,151,233,215,215,151,151,215,215,194,233,233,215,233,173,233,
1,1,1,241,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,29,129,57,
129,215,173,1,30,247,129,233,215,233,247,129,80,233,215,233,233,233,173,1,
215,233,233,233,215,107,107,107,107,30,30,30,57,57,57,173,30,30,57,57,
57,30,30,57,57,151,30,1,1,1,30,57,233,84,1,1,1,57,30,151,
84,84,84,84,84,151,57,215,151,84,84,84,151,173,173,173,194,57,194,84,
107,107,84,194,233,215,84,107,84,194,1,1,30, };
static unsigned short stb__times_32_latin1_a[224]={ 116,154,189,231,231,385,360,83,
154,154,231,261,116,154,116,128,231,231,231,231,231,231,231,231,
231,231,128,128,261,261,261,205,426,334,308,308,334,282,257,334,
334,154,180,334,282,411,334,334,257,334,308,257,282,334,334,436,
334,334,282,154,128,154,217,231,154,205,231,205,231,205,154,231,
231,128,128,231,128,360,231,231,231,231,154,180,128,231,231,334,
231,231,205,222,93,222,250,360,360,360,360,360,360,360,360,360,
360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,
360,360,360,360,360,360,360,360,116,154,231,231,231,231,93,231,
154,351,128,231,261,154,351,231,185,254,139,139,154,266,209,116,
154,139,143,231,347,347,347,205,334,334,334,334,334,334,411,308,
282,282,282,282,154,154,154,154,334,334,334,334,334,334,334,261,
334,334,334,334,334,334,257,231,205,205,205,205,205,205,308,205,
205,205,205,205,128,128,128,128,231,231,231,231,231,231,231,254,
231,231,231,231,231,231,231,231, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_32_latin1_BITMAP_HEIGHT or STB_FONT_times_32_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_32_latin1(stb_fontchar font[STB_FONT_times_32_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_times_32_latin1_BITMAP_HEIGHT][STB_FONT_times_32_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_32_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_32_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_32_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_32_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_32_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_32_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_32_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__times_32_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__times_32_latin1_s[i] + stb__times_32_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__times_32_latin1_t[i] + stb__times_32_latin1_h[i]) * recip_height;
            font[i].x0 = stb__times_32_latin1_x[i];
            font[i].y0 = stb__times_32_latin1_y[i];
            font[i].x1 = stb__times_32_latin1_x[i] + stb__times_32_latin1_w[i];
            font[i].y1 = stb__times_32_latin1_y[i] + stb__times_32_latin1_h[i];
            font[i].advance_int = (stb__times_32_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__times_32_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_32_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_32_latin1_s[i] + stb__times_32_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_32_latin1_t[i] + stb__times_32_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_32_latin1_x[i] - 0.5f;
            font[i].y0f = stb__times_32_latin1_y[i] - 0.5f;
            font[i].x1f = stb__times_32_latin1_x[i] + stb__times_32_latin1_w[i] + 0.5f;
            font[i].y1f = stb__times_32_latin1_y[i] + stb__times_32_latin1_h[i] + 0.5f;
            font[i].advance = stb__times_32_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_32_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_32_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_32_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_32_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_32_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_32_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_32_latin1_LINE_SPACING
#endif

