// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_36_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_36_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_36_latin1_BITMAP_WIDTH         256
#define STB_FONT_times_36_latin1_BITMAP_HEIGHT        318
#define STB_FONT_times_36_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_36_latin1_FIRST_CHAR            32
#define STB_FONT_times_36_latin1_NUM_CHARS            224

#define STB_FONT_times_36_latin1_LINE_SPACING          23

static unsigned int stb__times_36_latin1_pixels[]={
    0x20001500,0x01abca99,0x00005440,0x0dc40000,0x0080e673,0x001cc001,
    0x5cc00c00,0x3ccccccc,0x00000011,0x0b32a000,0xcc980000,0x80000004,
    0x0bae0028,0x599d9100,0x019fdb73,0x80013aa0,0x8000fff8,0x2ed70ffd,
    0x6c3ff506,0x3fed405f,0x412e0000,0xadffffea,0x0b62adda,0xffd95000,
    0x8024c17b,0x00007fe8,0x400bff20,0x0ffffffe,0x9ffffff5,0x2ec037fc,
    0x00fb6200,0xc800faa2,0xffa8000e,0x1ffb0001,0xfd835dae,0x01fff13f,
    0x001fff32,0xfa8274c0,0x2e4fffff,0x50009b04,0x7335bffd,0x4009d9fd,
    0x00001ff9,0x44007ff0,0x50ffa999,0x213333ff,0x3200fff9,0x0fea001f,
    0x8802e400,0x2fd8005f,0xb8ae2000,0x3fea0d76,0x36017f61,0xf880007f,
    0xfffff503,0x9025c9ff,0x17fe400d,0x0017fee0,0x000009f5,0x980009f3,
    0x80ff50ff,0x1be203fc,0x0002fc80,0x2fd8025c,0x00027c00,0x206bb5c0,
    0x3f200100,0x05e80007,0x3ffffff6,0xf8812e4f,0x01ffd803,0x7000bf70,
    0xb900000d,0x1ff30000,0x20001fea,0x3f9006fa,0x00760000,0x5a8013f6,
    0x2d700000,0x2000006b,0x640007fc,0x3fffe02f,0x12e4ffff,0x7dc03f50,
    0x0364003f,0x00000c80,0xf980002c,0x000ff50f,0xf300ff90,0x2cc00005,
    0x3002ff40,0xb5c00000,0x2000006b,0x2a0007fc,0x3ffe206f,0x2e4fffff,
    0xf306f804,0x0f3000df,0x00000000,0x1ff30000,0x00601fea,0x7c401ff7,
    0x02202005,0x04ff801f,0x70000000,0x6665daed,0xccca84cc,0x000ff904,
    0x3fe01fec,0x24ffffff,0x83fc804b,0xb0003ffd,0xdfb95100,0x4400037b,
    0x1bdefdca,0x50ff9800,0xa80b00ff,0x03f201ff,0x37b9d710,0x203d81ff,
    0xccb83ff8,0xcca84ccc,0x27c9804c,0x3f62d76b,0xdf700cff,0xc99ff203,
    0x3fe604de,0x7fffec00,0x012e4fff,0xff883fea,0x8030001f,0xba9acffa,
    0x54000dfe,0xeba9acff,0x3e6000df,0x880ff50f,0x017fcc06,0x0cf9809f,
    0x12e1bf32,0xd882ff98,0xf700cfff,0x7ff5403d,0x3a35dae7,0x07ea02ff,
    0xfff37fc8,0xff901dff,0xfffff500,0x4025c9ff,0x3fea2ff8,0xd8800007,
    0x3bf200ef,0x0efd8801,0x4007bf20,0x0ff50ff9,0x0ff80788,0x7d403f50,
    0x984ffa86,0x807fe205,0x3ea02ffe,0x3ffccc01,0xff31aed7,0x32036409,
    0xfebce9ff,0x06ff85ff,0xffffff50,0xff8025c9,0x001fff24,0x401bfa00,
    0x7f402ffb,0x05ff7006,0x3ea1ff30,0x2007cc07,0x981ba06f,0x1ffa81ff,
    0x07e40688,0x6409ff30,0xb9ff2006,0x1ffb0d76,0xff900be0,0x2fffa81b,
    0xa8017fe2,0x2e4ffffe,0x6cbff004,0x400006ff,0x3e002ffc,0x5ff900ff,
    0x007ffc00,0x3fd43fe6,0xfa807ea0,0xfe80fe02,0x2a0ff904,0x201fcc04,
    0x05f00ffd,0x2113fe40,0x83ff986b,0x0ffc807a,0x7ccbff90,0xa988004f,
    0x74012e4d,0x01bff67f,0x06ff9800,0x4c27fdc0,0x7dc006ff,0x87fcc04f,
    0x17dc07fa,0x3e202d88,0x201ff702,0x005904fe,0x7fcc01d3,0x64007a83,
    0x360d707f,0xc804e87f,0x9bfe607f,0x40003ffb,0x6c012e4c,0x0fffb0ff,
    0x17ff4000,0x07ffe200,0x88005ffd,0x3e601fff,0xc80ff50f,0x0066443f,
    0x17fc07e6,0x03605ff0,0xd8066440,0x4004e87f,0x20d707fc,0x03e63ff9,
    0xff01ff20,0x0017fe4f,0x004b9320,0x3fee5ff9,0xf880000f,0xfe8001ff,
    0x07ffe24f,0x813ffa00,0x0ff50ff9,0x17d44fd8,0x7d407d40,0x01ff700f,
    0x07d1001a,0x0f98ffe6,0xb83fe400,0x5c9ffa06,0xe80ff900,0x07ff90ff,
    0x12e4c800,0xfa9ffe40,0xa80002ff,0xd8000fff,0x3ffea5ff,0x5ffd8000,
    0x7d43fe60,0xb827f407,0x6c1ea00c,0x0dff106f,0x0bb80166,0x0b93ff40,
    0x2e0ff900,0x7cffea06,0x80ff9002,0x0ffea7fd,0x25c99000,0xf12ffc80,
    0x700007ff,0x32000fff,0x1ffee7ff,0x03ffe400,0x1fea1ff3,0x75c0bff0,
    0xff01f300,0x40fff209,0x04e8802e,0x0be7ff50,0x5c1ff200,0x3df7f406,
    0xd80ff900,0x013fe65f,0x025c9900,0x3f21ffd8,0x6c20005f,0xf70006ff,
    0x1bff61ff,0x07ffdc00,0xff50ff98,0x2206ff80,0x883f104f,0xffcb83ff,
    0xf7005a81,0x5f7f4003,0x4ff90007,0xfa80d75a,0x3f2004ff,0xf13fa00f,
    0x4c8000bf,0x3ff4012e,0x000fffe2,0x037fec72,0xb0fffb80,0x2e000dff,
    0xff300fff,0xf881fea1,0xf03fc07f,0xcb8bfd05,0x07540ff9,0x2000fe80,
    0x0004fffa,0x6bb5cff9,0x000ffe80,0x7c403ff2,0x002ff40f,0x004b9320,
    0xfff90fff,0xf91dc003,0x3ee000ff,0x01fff27f,0x303ffdc0,0x81fea1ff,
    0xf100fff9,0x3213605f,0xf34ebdff,0xb03b221f,0x0007fe60,0x20001ffd,
    0x35dae7fc,0x2002fdc0,0x7f902ffc,0x8000df90,0x7c012e4c,0x3fff704f,
    0xffb8b900,0xdff90007,0x8003ffdc,0x3e606ffc,0x540ff50f,0xff300fff,
    0xd303ea05,0xefe87fff,0x81dc0bdd,0x5c003ff9,0x3f20005f,0x4035dae7,
    0x7e4002f8,0x82fdc0ff,0x20000ffb,0x22012e4c,0x3fea01ff,0xd7311bdf,
    0x01fff507,0x549ffb00,0xd8000fff,0x3fe604ff,0x7c40ff50,0x07fea07f,
    0x403503f8,0x40d100aa,0x44004ff8,0x3f20002f,0x4035dae7,0xffc8007b,
    0x03ffcefb,0x900017f4,0x7dc025c9,0xffec9805,0x101dffff,0xd0003fff,
    0x7ffc45ff,0x2ffe8001,0x7d43fe60,0x90175c07,0x075401ff,0x01e40000,
    0xf70017fe,0x27fc8000,0x7d00d76b,0x22ff9000,0x9f3001a9,0x97264000,
    0x0005fd00,0x90013599,0xf8800bff,0x05ffc86f,0x2037fc40,0x0ff50ff9,
    0x00ff7000,0xb80000bb,0x004fd805,0x320001f4,0x035dae6f,0x320003ea,
    0x3e40007f,0x25c99000,0x20017e60,0x22001ef8,0x32000fff,0xfff881ff,
    0x07ff2000,0x3ea1ff30,0x6f980007,0x0003e880,0x3f200b90,0x003ea003,
    0xb5cbf900,0x07d1046b,0x001ff200,0x20007d10,0xdb012e4c,0xffd30001,
    0x04ffa800,0x5409ff10,0xff1004ff,0x21ff3009,0xd00007fa,0x037a200f,
    0x2005c800,0xe88200fe,0x2fc80003,0xffb35dae,0x64000bfb,0xfa80007f,
    0x2e4c8000,0x0007e604,0x4000ff88,0x74402ffc,0x2ffc805f,0x802ff440,
    0x0ff50ff9,0x2600f744,0x0bb2002f,0x003eb880,0xffd80be6,0x6c4005fd,
    0x2d71b60d,0x3ffffa6b,0x3ff20000,0x0ea80000,0x09726400,0x50000be6,
    0x3a60009f,0x2ffa80cf,0x033fa600,0x9800bfea,0x40ff50ff,0xe9805ffc,
    0x33f66003,0x3b2a6219,0x0bae000c,0x01ffffd0,0xbbfffa80,0x26bb5c1e,
    0x0000beea,0x00017ff4,0x32001d88,0x036a12e4,0x0cfda800,0x3fb22000,
    0x00dffede,0xdefec880,0x6400dffe,0x50ffeeee,0x27ddddff,0x71003ffa,
    0x65c4003b,0x0acdeffe,0x002f6200,0x0002fbaa,0xb81eff5c,0x00000d76,
    0x5dfffffb,0x000e0000,0x00007100,0x10000031,0x00001553,0x000554c4,
    0x15555555,0x2aaaaaa2,0x00000661,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x65c00000,0x4000002c,0x00004cc9,0x0002aa88,0x40000000,0xb8000aaa,
    0x000001cc,0x001cddb8,0x0003cca8,0x04cc9800,0x0aaa8000,0x3cca8000,
    0x7fcc0000,0x64000005,0x800002ff,0x0003fffc,0xdefdca88,0xfa80001b,
    0xf98004ff,0x3c40005f,0x13e21bb0,0x00ffd100,0x5ff90000,0xffa80000,
    0xfe80004f,0x002eb80f,0x0001ff50,0x001ffc00,0x7ef7c400,0x3ea0000f,
    0xffdb9bcf,0x3fa0000d,0xa8001ffc,0x25c0007f,0x07ec0fb8,0x007fe200,
    0x07ff0000,0xf9fd0000,0x7cc0003f,0x07ff881f,0x000bee00,0x0027cc00,
    0xf70ed800,0xdfb10009,0x00f7ec01,0x5fa8fdc0,0x005f7000,0x86d80f40,
    0xf98002fe,0x26000004,0xb800004f,0x000df51f,0xffa817dc,0x1320000f,
    0x02dc0000,0x98598000,0x37f4000f,0x002ffe80,0x05d103a2,0x40013600,
    0x2e1fe079,0x0d70000e,0x02dc0000,0x20744000,0x7d0002e8,0x007ffcc0,
    0x00001600,0x8000006c,0xc800e203,0xff1002ff,0x802a001d,0x00160003,
    0x07fb0264,0x00390000,0x00036000,0x03802a00,0x7c404880,0x0000007f,
    0x00000000,0x7cc00000,0x7fdc006f,0x00000004,0x807e0000,0x00004ffb,
    0x00000000,0x00000000,0x237fc000,0xcccccccb,0x9999301c,0x332e1999,
    0x01cccccc,0x99999993,0x333332e1,0x99301ccc,0x74199999,0x7c4002ff,
    0xca8801ff,0x801bdefd,0xccccccc8,0x3ff6e04c,0x27fec01f,0x000e8000,
    0x00074000,0x0003a000,0x33333322,0x437fc4cc,0x0cffffc9,0x1fffdc40,
    0x67fffe4c,0x7ffdc400,0xffffc983,0x7fdc400c,0x0fffcc3f,0x027ff400,
    0x2a6b3fea,0x9800dfeb,0x302efffe,0x9ffb17fd,0x06fffcc0,0x007f3000,
    0x01fcc000,0x07f30000,0x7fff4c00,0x205fe82e,0x64004ffe,0x27ff402f,
    0xd00bf200,0xfc8009ff,0x00fffa82,0x105ffc80,0x7e401dfb,0xfff9801e,
    0xcf8bf100,0xead882ff,0xb0000eff,0x400000ff,0x000007fd,0x30001ff6,
    0x3f601fff,0x00fff604,0xfd801f70,0x07dc003f,0x000fff60,0xfff701f7,
    0x1fff2000,0xfb8037f4,0x3ffc402f,0x4ed43fb0,0x886c45ff,0x4000effd,
    0x0002fff8,0x02fff880,0xfff88000,0x3fe20002,0xd80ff207,0x3d4002ff,
    0x0017fec0,0x3ff601ea,0xd83d4002,0xf70006ff,0x2ffc81ff,0x803ffe00,
    0xdf507ff8,0xd85b72d8,0x005ffc83,0x002fffdc,0x2fffdc00,0x7fdc0000,
    0x3e20005f,0x80bee07f,0x54002ffd,0x02ffd807,0x7ec03d40,0x83d4002f,
    0x50006ffd,0x7fcc1fff,0x27fdc006,0x2e0fff10,0xf101e25f,0x007fee01,
    0x01fffcf8,0x7fe7c000,0x7c00001f,0x0001fffc,0x7d40fff1,0x00bff601,
    0xffb00f50,0x807a8005,0x54002ffd,0x00fff907,0xfd1ffee0,0xff88005f,
    0x0fff101f,0x404b93f6,0x0ff602fa,0x7fe47d40,0x3ea00004,0x0004ffc8,
    0x3ff23ea0,0xfff10004,0xfb007cc0,0x07a8005f,0x4002ffd8,0x2ffd807a,
    0xfa83d400,0xff90007f,0x00fffc4d,0x8827ff40,0x4bfd07ff,0x027d401e,
    0x53a00bf3,0x0000fff8,0x3ffe29d0,0x29d00000,0x8000fff8,0x1e607ff8,
    0x8005ffb0,0x2ffd807a,0x6c03d400,0x3d4002ff,0x000fff98,0x3ea5ffd8,
    0xfd8000ff,0x0fff105f,0x403cdbfa,0x0fe02ff8,0xffd87e60,0x1f980003,
    0x0000fff6,0x3ffd87e6,0x07ff8800,0x5ffb01e2,0xd807a800,0x3d4002ff,
    0x0017fec0,0x1fff81ea,0x22ffe800,0x90007ffb,0x3fe20fff,0x993ff907,
    0x2ffd8260,0x8d9001f0,0x80006ffa,0x037fd46c,0x3ea36400,0xff88006f,
    0x3f603407,0x03d4002f,0x20017fec,0x2ffd807a,0xfb03d400,0xff88009f,
    0x0037fec6,0x880fffb8,0x9ff507ff,0xff11603d,0x8804a87f,0x01ffe82f,
    0x3a0be200,0x220001ff,0x01ffe82f,0x203ffc40,0x017fec01,0x3f601ea0,
    0x03d4002f,0x20017fec,0x3ffa207a,0x0bff2000,0x2000dffb,0xf880fffb,
    0xdfff307f,0x3fe60ee0,0x2e00955f,0x00bff707,0xffb83dc0,0x41ee0005,
    0x44005ffb,0x6c0007ff,0x3d4002ff,0x0017fec0,0x3ff601ea,0x203d4002,
    0xf1004ff9,0x0fff90bf,0x41ffee00,0x3f207ff8,0xeda89cff,0x9dffd100,
    0xf881fc00,0x7f0000ff,0x003ffe20,0xff881fc0,0x3fe2000f,0x7fe40007,
    0x403d4002,0x54002ffc,0x02ffc807,0x7d403d40,0x2fec402f,0x0007ffb8,
    0x3e20dff9,0x7fff407f,0x4401ffff,0xf5005ffd,0xd5555557,0xf50007ff,
    0xd5555557,0xf50007ff,0xd5555557,0x7c4007ff,0x80ff207f,0x5c002ffc,
    0x02ffc807,0x7e403dc0,0x03dc002f,0xd304ffa8,0x7ffd409f,0x4ffd8000,
    0xa80fff10,0x01efffff,0x200fff60,0xeeeeeeee,0x8006ffee,0xeeeeeeee,
    0x8006ffee,0xeeeeeeee,0x2006ffee,0xff307ff8,0x01ffe40f,0x3f201ae0,
    0x035c003f,0x2001ffe4,0x7fdc006b,0x01cffdce,0x000fffc4,0xf8817ff4,
    0xa996c07f,0x0ffb0000,0xfe801f98,0x07e6002f,0x800bffa0,0xffe801f9,
    0x0fff1002,0xfb81bfe2,0x02ec004f,0x20027fdc,0x4ffb805d,0x4002ec00,
    0x04ffffd8,0x0017ff20,0x7c40dff1,0x001e207f,0x007f4154,0x3fea00d9,
    0x401b2005,0x32005ffa,0x0bff5006,0x881ffe20,0x037fcc02,0x3e600fe0,
    0x01fc006f,0x20037fcc,0x3ee0003f,0xf1001fff,0x7e4001ff,0x1ffe201f,
    0xf88004b8,0x8807e40f,0x3ffe002f,0x002f8801,0x22007ffe,0x3ffe002f,
    0x07ff8801,0x01ffd800,0x36001f90,0x1f9001ff,0x007ff600,0x200007e4,
    0x2006fffa,0xf1004ffa,0x7ff8809f,0x740007a0,0x1f206c87,0x00bff900,
    0xffc800f9,0x4007c805,0xf8805ffc,0x200a607f,0x6400efe8,0x3fa2001f,
    0x00fe400e,0x801dfd10,0x100001fc,0x2001dff9,0x74402ffc,0x7ff9805f,
    0x5c000d10,0xf880fc47,0x7ffd4005,0x0017e201,0x4403fff5,0x7fd4005f,
    0x3ffcc01f,0x9803ffa8,0x2e60aeff,0xf98003fd,0x36e60aef,0xff98003f,
    0x3f6e60ae,0xc8800003,0xe9800aef,0x2ffa80cf,0x05fff900,0xcb800097,
    0x3f602eca,0x7ffd4005,0x00bfb00e,0x00efffa8,0xfa800bfb,0x3f200eff,
    0x4ffb82ff,0xffffb300,0x0005dfff,0x7ffffecc,0x20002eff,0xffffffd9,
    0x000002ef,0x016f6dc4,0x3b7bfb22,0x64400dff,0x4dffffff,0x03300000,
    0x2fffffdc,0x3ffffa60,0x3ffee6ff,0x7f4c05ff,0x2e6fffff,0x405fffff,
    0xffffffe9,0x3ffff226,0x3b624dff,0x5d4c4001,0x200000aa,0x00aaba98,
    0x2ea62000,0x000000aa,0x44003100,0x00000aa9,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0002664c,0x001ccc80,
    0x51000000,0x09800055,0x70000030,0x00000599,0x04c00000,0x54c00018,
    0x0000001a,0x00000000,0x3ffb0000,0xffa80000,0x3bea0004,0x9000ff60,
    0x30005fff,0x2441bffd,0x3fe20000,0xf700000e,0x0002fe8b,0x8837ffaa,
    0x3fe20004,0x100000ff,0x000039d7,0x9f9077d4,0x001f6400,0x000013fa,
    0xd8000bf9,0x0fff13ff,0x7fef7c40,0x7f6f4000,0x002c9dff,0x007fd400,
    0x23fff000,0x20006ffa,0x9dfffece,0x3f20002c,0x00004ffc,0x000f739d,
    0xf89ffec0,0xff8800ff,0x1ba2000f,0x01df0000,0x20ffb800,0x3b6005fe,
    0x4c009f70,0x3bfffee3,0x7e400000,0x7ec00001,0x0013fe27,0xffff71cc,
    0x9fc4000d,0x40000fe8,0x00016c69,0x3fa1ffb8,0x01bfe005,0x00007e20,
    0x800007cc,0x26001808,0x3000fa85,0x00cdb881,0x002f8000,0x03103000,
    0x2e204c00,0x360000bd,0x40005c82,0x0001e469,0x80030110,0x730000a8,
    0x006e0000,0x70000000,0x00001c40,0x07300000,0x00000000,0x40000000,
    0x0002e028,0x01f517d0,0x00000000,0x00000000,0x54400000,0x01bdefdc,
    0xccc98000,0x993002cc,0x00099999,0xcccb8000,0x301ccccc,0x19999999,
    0xefdca880,0x000001bd,0x3f220000,0x2000001d,0x4c00000e,0xcccccccc,
    0xcccccccc,0x666664c0,0xcccccccc,0xfa800ccc,0xfeba9acf,0x3332200d,
    0x4c4ccccc,0x001fffeb,0xa85dff71,0xcccccccc,0x99999301,0xfffc9899,
    0x7dc400cf,0xffa803ff,0xdfeba9ac,0x33332600,0xcccccccc,0x0000cccc,
    0x000007f3,0x00001fcc,0x67fff544,0xfedccccc,0xffea881f,0xdccccccf,
    0x36201ffe,0x3bf200ef,0x7fff4c01,0x3ffa202e,0x07f2000f,0x3ffffea2,
    0x7ff4c01d,0x9ffd00af,0x402fc800,0x3200efd8,0x3aa201ef,0xcccccfff,
    0x001ffedc,0x0000ffb0,0x0003fec0,0x00bff500,0x7fd405f5,0x202fa805,
    0xff7006fe,0x0fff9805,0x06fff980,0xe8803ee0,0xf5000fff,0x3ffd801d,
    0x2007dc00,0xff7006fe,0x05ffa805,0x88002fa8,0x00002fff,0x002fff88,
    0x0bff3000,0xff980b20,0x32059005,0x3fe002ff,0x1ffe200f,0x27fffc40,
    0xf9807a80,0x3fb003ff,0x005ffb00,0x7fe407a8,0x03ffe002,0x9005ff98,
    0xfff70005,0xf700000b,0x00000bff,0x54017fe6,0x017fe603,0x37fcc1d4,
    0x813fee00,0xf1007ff8,0x5007fff9,0x3fff200f,0x801fc400,0x54002ffd,
    0x01bfe607,0x4c09ff70,0x075005ff,0x3fff9f00,0xfcf80000,0x800001ff,
    0x02005ff9,0x2005ff98,0x002ffe80,0x880fffc4,0x3f1007ff,0xa803fff9,
    0x13ffa007,0x7ec00db0,0x03d4002f,0x88005ffd,0xff301fff,0x2000400b,
    0x04ffc8fa,0x323ea000,0x008004ff,0x0002ffcc,0x0005ff98,0x0007ffe2,
    0x7c413ffa,0x23f1007f,0x2a00fffd,0x3ffe6007,0x4003f501,0x54002ffd,
    0x03fff107,0x209ffd00,0x00005ff9,0x7ffc53a0,0x29d00000,0x1000fff8,
    0x7fcc09fd,0x4c01cc05,0x81cc05ff,0x8000fffa,0xff105ffd,0x447e200f,
    0x1ea06ffe,0x10dff900,0xffd8007d,0xa83d4002,0xd8000fff,0xbff305ff,
    0x98003980,0x00fff61f,0xfd87e600,0xfff9003f,0x017fe605,0xbff30079,
    0xff703c80,0x3ff2000f,0x00fff107,0xfff887e2,0x8800f505,0x03644ffe,
    0x0017fec0,0x3ffdc1ea,0x07ffc800,0x3c80bff3,0x7d46c800,0x6c80006f,
    0xb8037fd4,0xff305fff,0x00fe620b,0x4c417fe6,0x0dffb03f,0x03ffee00,
    0x4401ffe2,0x1fffd41f,0x7d4003d4,0x003f31ff,0x8005ffb0,0x0dffb07a,
    0x03ffee00,0x4c417fe6,0x17c4003f,0x0000fff4,0x3ffd05f1,0x41aaa600,
    0xeeeefff9,0x9803fffe,0xeeeeefff,0xffb03fff,0x3fee000d,0x07ff880f,
    0xff703f10,0x0007a85f,0x013adff9,0x0017fec0,0x37fec1ea,0x0fffb800,
    0xeeefff98,0x003fffee,0x5ffb83dc,0x5c1ee000,0x1e4005ff,0xaaaeff98,
    0x803fdbaa,0xaaaaeff9,0xf903fdba,0x3ee000ff,0x0fff107f,0x7ec07e20,
    0x001ea1ff,0x07f7ffc4,0x02ffd800,0xffc83d40,0xfff70007,0x2abbfe60,
    0x03fdbaaa,0xff881fc0,0x07f0000f,0x8003ffe2,0x0bff300f,0xff9803c8,
    0xfb81e405,0xff90007f,0x01ffe20d,0xffd00fc4,0x8001ea1d,0x0002fffa,
    0x5000bff2,0x01ffee0f,0x9837fe40,0x01e405ff,0x55557f50,0x007ffd55,
    0x55557f50,0x007ffd55,0x7fcc07b1,0x4c01d405,0x81d405ff,0x8000fffa,
    0xff104ffd,0x807e200f,0x0f55fff8,0x00ffe800,0x00bff200,0x3fea0f70,
    0xffd8000f,0x80bff304,0x3bba003a,0xfeeeeeee,0xeee8006f,0xfeeeeeee,
    0x0175406f,0x31017fe6,0x80bff300,0x3fff1018,0x05ffd000,0x4401ffe2,
    0x7ffcc01f,0x740007ac,0x320000ff,0x35c003ff,0x001fff88,0xf302ffe8,
    0x001880bf,0xffd003f3,0x00fcc005,0x03017ff4,0x0017fe60,0x002ffcc0,
    0x0017ff20,0x7c40dff1,0x03f1007f,0x0fbfff50,0x00ffe800,0x013fee00,
    0x7fe40bb0,0x37fc4005,0x000bff30,0xfa803640,0x01b2005f,0x0002ffd4,
    0x2002ffcc,0x00bff301,0x07ffc418,0x403ff900,0xf1007ff8,0x3fff2003,
    0x7ff40007,0x3fe60000,0x101fc006,0x64001fff,0x3fe601ff,0xf880c005,
    0x07ffe002,0xf800be20,0x4c0001ff,0x162005ff,0x1002ffcc,0x009ff50b,
    0xf1013fe2,0x07e600ff,0x007ffd80,0x0007ff40,0x4007ff60,0x7fd400fc,
    0x09ff1004,0x2005ff98,0x800f9058,0x7c805ffc,0x02ffe400,0x01bfe600,
    0xdff303d8,0xfc81ec00,0x2ff4402f,0x803ffc40,0x3a2001fa,0x7fc0007f,
    0x7440000f,0x0fe400ef,0x402ffc80,0xf9805fe8,0x20f6006f,0x7d4005f8,
    0x17e201ff,0x03fff500,0x037fd400,0xff500fc8,0x803f200d,0xfa80cfe9,
    0xfff3002f,0x0013f200,0x44000ff3,0x80001fff,0x260aeff9,0x4c003fdb,
    0xffa80cfe,0x0dff5002,0x3f603f20,0x7ffd4005,0x00bfb00e,0x00efffa8,
    0x35fff900,0xfd533333,0x57ffe40b,0xea999999,0xfec8805f,0x00dffede,
    0x40bfff20,0xcfffffc8,0x000f5000,0x0027ffd4,0xffffd980,0x0002efff,
    0xfdbdfd91,0x7e4001bf,0x99999aff,0x7dc5fea9,0x4c05ffff,0x6ffffffe,
    0x17ffffee,0xfffffd30,0x3b2600df,0xffffffff,0x43ffffff,0xfffffec9,
    0xffffffff,0x54c4003f,0x3f22000a,0x04dfffff,0x00060000,0x3fffffb2,
    0x880000cf,0x000aaba9,0x02aa6200,0xfffec980,0xffffffff,0x00003fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00980000,0x004c0003,
    0x00000000,0x00000000,0x50000000,0x2a600040,0x000000ac,0x00000000,
    0xd1000530,0x4037d45f,0x0bfa25fb,0x0efff4c0,0x02c80012,0xdfb95100,
    0x2069837b,0x21bdfeda,0x09dd9305,0x8800b900,0x1bdefdca,0x2e06e400,
    0xefe9802f,0x5400cffc,0xfd8006ff,0x3fa0003f,0x9ff3002f,0x25ffa800,
    0x7fc02ffe,0x00dff51f,0x37fffb7a,0x5c4003c9,0x001cdefd,0x75337ff5,
    0x05f119fd,0xd759ffb1,0xbf30ddff,0x5400bf51,0x3fea000f,0xdfeba9ac,
    0x2afee000,0xff8800de,0x2017f221,0xe8000ffb,0xff30005f,0x37fdc007,
    0xc8ffe200,0x37ec00ff,0x73007ff1,0x077fffdc,0x7b9fd500,0x2205dfd7,
    0x3f200dfd,0x09fb04ef,0xfd11bfea,0x4400fec1,0xdfb1002f,0x00f7e401,
    0x4005ff90,0x3ff885fc,0x8003fd80,0xb8000fe8,0x76c4004f,0x98088002,
    0x03103000,0x9b710260,0x937cc001,0xfe827dc5,0x05ff9006,0x7cc01ff7,
    0x3ea37d46,0x2005d804,0xff7006fe,0xfdfd8805,0x40ffe005,0x0bd005fe,
    0x000be600,0x0000017a,0x00000000,0x74000000,0x09d0b23f,0x2e005ff9,
    0x27ec0fff,0x17f23640,0x0fa80df5,0x005ff900,0xfb807ffc,0x22017fa3,
    0x0dfb02ff,0xa8001a20,0x00744005,0x99930000,0x99999999,0x88199999,
    0xcccccccc,0x001d0004,0x1643ff10,0x0dff312a,0x13ff3ea0,0x8d300dfd,
    0x07fcc5fd,0xf3002f88,0xffb800df,0xff981504,0x80ffcc04,0x022004fe,
    0x44001800,0x01220000,0x33fffaa2,0xfedccccc,0xfffd301f,0x3e60005d,
    0x4ff98003,0xfe8910b2,0x8af9802f,0x3ff61fff,0x2fec6803,0x26c07fe6,
    0x005ffd00,0x001fff88,0xfa80bff2,0x005ff01f,0x00000000,0x001cc000,
    0xf500bff5,0x07ffcc05,0x00ffb000,0x1643ffe0,0x03fff304,0x3ffa4e88,
    0x013ffee4,0x7d46fb83,0x4400d707,0xe8001fff,0x372a04ff,0x2a06ffbd,
    0x06fb81ff,0x2f3bbae2,0xbdb73000,0xeeb88017,0x2e000bce,0x17fe6002,
    0xff101640,0x7fc4000f,0xffc8002f,0x7d402c9e,0x22ec00ff,0x3fa25ffc,
    0xf5002eff,0xf886fb8f,0x3ffea001,0x5ffd8000,0xda9dfd88,0xff503fff,
    0x301ff5c3,0xdfd515ff,0x98aed801,0xff301efd,0x01dfd515,0xf98003a0,
    0x4075005f,0x20007ff8,0x8005fffb,0x02effff9,0x3203ffe4,0x23ffe40e,
    0x0dfffff9,0x3fa1fd80,0x5c004e81,0xf90007ff,0xb03fd0ff,0x3fea0dff,
    0x03bffd11,0x9ff10ffa,0x7e40fe40,0x443fe82f,0x05b804ff,0x002ffcc0,
    0x03ffc401,0x3fff9f00,0xffff3000,0x06ffd809,0x3fee03ea,0x7fff4c0f,
    0x3a200cff,0x6b83fd9e,0x06ffd800,0x41fff700,0xfff104fb,0x983ff503,
    0x7fcc2ffe,0xf706fe82,0x31bfe209,0x0dfd05ff,0x4c002f98,0x100005ff,
    0x2a000fff,0x004ffc8f,0x1dfffd10,0x4c1bff60,0x1fff702f,0x3ffffee0,
    0x05dcc02f,0x65440fcc,0x006ffd82,0x221fff70,0x3ff201ff,0x881ffa84,
    0x07fc1ffe,0x7fc437ec,0xf0fff202,0x40dfb01f,0xf98006f8,0x401cc05f,
    0xd0007ff8,0x003ffe29,0x2ffffb80,0xf887ffc8,0x01ffee03,0x7fffffb1,
    0x4c1f4000,0x320eeadf,0xf70007ff,0x007fdcff,0xff50dff3,0x217fea03,
    0x986fea80,0x3fe601ff,0x6fea8086,0x2000ff60,0x1e405ff9,0x003ffc40,
    0x7ffb0fcc,0xfffd8000,0x43ffd43f,0x2ffec05e,0xffffe980,0x886c8001,
    0xfb97e26f,0xff90007f,0x2203fe4d,0x1ffa87ff,0xc881ffe0,0xfb86fece,
    0x1ffe200f,0x6fecec88,0x0001ff50,0x2620bff3,0x7ff8803f,0x7d46c800,
    0x5640006f,0x3e63fffd,0x003b20ff,0xb8009ffd,0x4c006fff,0x744fc80f,
    0x01fff52f,0x749ffb00,0x3ffc00ff,0xfb00ffd4,0x0bfc881f,0x1ffb0dfb,
    0x440fff80,0x0dfb0bfc,0x2000bff1,0xeeeefff9,0x8803fffe,0x7c4007ff,
    0x001ffe82,0x37fdcb20,0x07dcbffe,0x0917ffc0,0x003ffee0,0x87fd03e8,
    0x3fff14fd,0x45ffd000,0x7fc01ffe,0x201ffa86,0x3ba20ffc,0x7f437ec1,
    0x237f401f,0x37ec1ee8,0xeb81ffcc,0x55dff301,0x07fb7555,0x800fff10,
    0x0bff707b,0xff916400,0x7ce7fdc3,0x46ff9802,0x3ffd001d,0xff817200,
    0xff937e42,0x6ff8800b,0x3e01ffe4,0x01ffa84f,0x1ff89ff2,0xffc86fd8,
    0xf127f402,0x70dfb03f,0x17fa05ff,0x3202ffcc,0x07ff8803,0xff881fc0,
    0x6404400f,0xfd0ffe62,0x3f6007ff,0xc8026c0f,0x0f9800ff,0xfc85ff10,
    0x003ffe26,0x7dc1ffc8,0x417fc04f,0x3ee01ffa,0x7ec1ff26,0x405ffb86,
    0x41ff22ff,0x2ffb86fd,0x3e60ff70,0x401d405f,0x2a007ff8,0xaaaaaabf,
    0x24c03ffe,0x30ffe164,0x3e600dff,0x800ed82f,0x3e8806fe,0x3f21ff40,
    0x8027fd45,0xff884ff8,0x01ff100f,0x912e3ff5,0x407fec9f,0x1ffd06fd,
    0xfd83fe20,0x986fd80f,0x0df104ff,0x31017fe6,0x00fff100,0x77777774,
    0x406ffeee,0x3e22c869,0x03ffe81f,0xfd827f44,0x0bfea00e,0x3f601720,
    0x7e427ec3,0x2ff4402f,0x320bff70,0x23ff701f,0xb83fa2ff,0xbffe43ff,
    0x417fea19,0x1ffdc1fc,0xb0cdfff2,0x05f301ff,0x00017fe6,0x9803ffc4,
    0x2ffe801f,0x4590be60,0xeaeb84fc,0x3ffa81cf,0x82bbff60,0xa804feb8,
    0x26f9800f,0xfd300ff8,0x05ff5019,0x2219ff90,0x3ff202fc,0x0bee3fb1,
    0x7fbdfff1,0xf70bdff9,0x417e449f,0xbfdefff8,0x7445effc,0x4ea88cff,
    0x0017fe60,0x01ffe203,0xffa80364,0xc8ffe605,0xfa81df72,0x3b7ffee1,
    0x56c00cff,0xffefffdb,0x02f8801e,0x3f62fea0,0x77f64402,0x000dffed,
    0x37f7ffea,0x3fffd302,0x407bbb66,0xf31effea,0x7ff540bf,0x3aa02dfd,
    0xbff31eff,0x6f7f6d40,0x02ffcc01,0x3fe20b10,0x002f8807,0xdb807ffe,
    0x3ffeedff,0x2a620530,0x2606000a,0x2e001aaa,0xcec98004,0x554c4001,
    0x0d440000,0x00088000,0x20011011,0x044001a8,0x80000044,0x36006ff9,
    0x00fff103,0xffc800f9,0xcea98805,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x6401bfea,0x0fff300f,0x54005f88,
    0x32001fff,0x5dddc402,0xbbbbbbbb,0x0001bbbb,0x00000000,0x00000000,
    0x00000000,0x00000000,0x32000000,0x9999afff,0x205fea99,0x3602fffc,
    0x7fd4005f,0x013000ef,0xeeeeee98,0xeeeeeeee,0x000002ee,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7f64c000,0xffffffff,0x443fffff,
    0xdffffffc,0x3ffffee4,0x7fff4c05,0x00006fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x44000000,
    0x26000004,0x00000004,0x00007300,0x000ba800,0x00000000,0x00dc0000,
    0x00000000,0x00000000,0x70000000,0x1dff300b,0x03ff5c40,0x07ffb000,
    0x0dfd7100,0x004ffc80,0x001fe6f4,0xdefeec98,0x775c000b,0x74401cef,
    0x017201ff,0x0be09b00,0x0beeb980,0x4ffc8000,0xfeca8000,0x01260bdf,
    0xffc802e8,0x3ffe6400,0x0bff0000,0x1bff7200,0x800bff00,0x5001a25a,
    0x2e617bfd,0x74400dfd,0x07ffb50b,0x2603ff98,0x41740007,0xdfd000f8,
    0x0003fd55,0x4000dfb0,0x99adffea,0x004ecfeb,0x3fd001f3,0x003fec00,
    0x0006f980,0x26006fe8,0x43c8006f,0x03d9001e,0x5e80baa0,0x9803ffb0,
    0x0017406f,0x07a81f88,0x5f88bfb0,0x0fe88000,0x02ffc800,0xb802ffdc,
    0x002f8805,0x80003fe4,0xd80000ec,0x03ee006f,0x06996600,0xd10009b0,
    0x2a0bf307,0x0fb804ff,0x4c001720,0xf100b907,0x001fb05f,0x8007f100,
    0xf7001ffd,0x200ba00b,0x7fc8004b,0x001d0000,0x801bf600,0x3f60001e,
    0x74c802fe,0x37999999,0xffb83d10,0x007ff880,0x003cc079,0x007b06b8,
    0x0fd03ff5,0x002cc000,0xc8007ff7,0x800f9806,0x0ff90001,0x00006000,
    0x06006fd8,0x400a2000,0x4477e469,0x0e985feb,0x7f40bfe6,0x5d006007,
    0x3e099000,0x42ffb802,0x400004f9,0x0dff3001,0xb700f300,0xfc800000,
    0x00000007,0x0006fd80,0x36000000,0x3e637d42,0x7643c81f,0x000bff00,
    0x74002e40,0xa800f983,0x00fec5ff,0xfd800000,0x00b0003f,0xdb73005d,
    0xff90017b,0x801ef64c,0x802deedb,0xfd8beeca,0x0ccccc86,0x80f33322,
    0x0bceeeb8,0x6fa81f10,0x06a85fe8,0xb80ffe60,0x2602deed,0x77775407,
    0xfeeeeeef,0x3fe203ee,0x002fe88f,0x10666664,0xf1079999,0x060003ff,
    0xed801f30,0x01efd98a,0xfffbbfe4,0xdd300dff,0x409ff935,0xffc89dfc,
    0xfff9886f,0x82ffe4c0,0xfea8aff9,0xfa86b80e,0xf885fd86,0x20df9001,
    0xffc9aee9,0xa880ba04,0xaaaafcaa,0x401aaeda,0x20dfdffd,0x0deeeee9,
    0x303ffe62,0xff50bff9,0x5c00000f,0x640fe405,0x3ff202ff,0xfffcabeb,
    0xfc83f885,0xc82fd83f,0x3ff206ff,0x3a0bff00,0x427fc43f,0x446fa84c,
    0x005d02ff,0x7f101ff1,0x3207ff90,0x6c172005,0x3ffea003,0x03fff502,
    0xff807fe4,0x007ffc85,0xb80ba000,0x0dff104f,0x7cc27fe4,0x807ec2ff,
    0x17ea0fff,0xf7037fc4,0x217fa01f,0x6fe82ff9,0x8efa81e8,0x3202efb9,
    0xb02fc803,0x03ffe01f,0x26c003e6,0xfd3002f8,0x0ffc09ff,0x7403fee0,
    0x06ffd85f,0x01f30000,0xfc80bfe2,0x40ff903f,0x17e65ffb,0x3fe1ffe8,
    0xb81bfa02,0x0bfd00ff,0x1bf603fe,0x33fea03a,0x04b805fe,0x0bf304f8,
    0x2e80fff4,0x1f305f00,0xff7bf900,0x009f303f,0x3fa01ff7,0x006ffd85,
    0x4c0b9000,0x3fe601ff,0xf80ff906,0x3fffee6f,0x2fffffff,0x7ec03ff5,
    0x403fee06,0x2a0205fe,0xa82d86fe,0x803ff36f,0x702dc03d,0xffffffff,
    0x16e05fff,0x1ea03e20,0x7f47fd10,0x800fb86f,0xbfd00ffb,0x000fffb0,
    0xfb80ba00,0x1ffe200f,0x3fa03fe4,0x9000ff27,0x06fd80ff,0x7f403fee,
    0xecec8805,0xfa84c86f,0x5f01bee6,0x3f200e80,0x07cc0003,0x02e41ea0,
    0xffa87fd1,0xb801744f,0x0bfd00ff,0x0001fff7,0x7ec07980,0x07ffc00f,
    0x3f603fe4,0xb0013f67,0x06fd80ff,0x7f403fee,0x42ff2205,0xa87a86fd,
    0x9827f46f,0xb016200f,0x5d00009f,0xffffff50,0xffffffff,0x6c07fe49,
    0x00b91fff,0xfe807fdc,0x02fffa85,0x202e4000,0x7f401ffe,0xc80ff906,
    0x001bf66f,0x7ec01ffd,0x403fee06,0x3dd105fe,0x83f06fd8,0x0ffc46fa,
    0x00e6025c,0x70000dfb,0x39d3310b,0x335f3333,0x882ffc13,0x00f9efff,
    0x7403fee0,0x3fff885f,0x01740000,0xfd00bff2,0xb01ff209,0x00ffe4bf,
    0x00ffec62,0x7fdc0dfb,0xf10bfd00,0x20dfb03f,0x543fdc4b,0x200f40ff,
    0x0ffe401a,0x0f980620,0x03e60be0,0xf5027fd4,0xb8005fff,0x0bfd00ff,
    0x80017ff2,0x7dc03cc0,0x817fc05f,0x1ff407fc,0x0d80bff5,0x7ec09ff9,
    0x403fea06,0x07fc85fe,0xc8f40dfb,0x7e42dfff,0x0000992e,0x1b017fea,
    0x1f102e80,0x7fec0d50,0x1fffec06,0x01ff5010,0x7fc417fa,0x41c8003f,
    0x1ffd005c,0x6403fe20,0x11be607f,0x92a09fff,0xfb00fff9,0x40ffd40f,
    0xffd86ff8,0x2606fd80,0x0d50000e,0x7ffc4000,0xb7009504,0x02e41ea0,
    0x4c03fff9,0x1b04ffff,0xf881ffa8,0x3fff206f,0x3a0ee001,0x0bff5002,
    0xffc807f2,0xf703fb00,0xfb537dff,0x40effd81,0xf300ffe8,0x7fee989f,
    0x7e43ffb8,0x5d30337f,0x800ec800,0x7dc01ee9,0xfda9beff,0xc80f8800,
    0x7d407d05,0xcfb80dff,0x912dfffe,0x989ff307,0x7dc07fee,0x85c801ff,
    0x7fdc0079,0x700bf224,0x2fd83dff,0x3fffff60,0xffe884ff,0xffeecabf,
    0xeffd80de,0xdffe8edc,0x37bffe25,0x05effcbf,0x5406f7a2,0x3f2004ec,
    0xfffd804f,0x2004ffff,0x3f04d82e,0xcffffd80,0xfb11eecb,0x40dfffff,
    0x8edceffd,0x2a05dffe,0x311bdfff,0x013207d7,0x3f7ffaa0,0xffb3002d,
    0x7001bfdf,0x407fffff,0x8dffffd8,0x3a202efd,0xbfd0dfff,0x3dffd505,
    0x54017fe6,0xffdcdffd,0x7fdc001c,0xffff7002,0x85b8007f,0x800f882f,
    0xcffffffb,0xdffffc80,0x3fffa201,0x005bfd0d,0xfffffd93,0x005403bf,
    0x00035100,0x80009a98,0x2a2001a9,0x9800660a,0x4400540a,0x88000880,
    0x0001aaa9,0x54c000cc,0x50510001,0x44005101,0x53000aa9,0x2054c001,
    0x2a60000a,0x0000009a,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xc8802010,
    0x01f98006,0xc9800000,0x10000cdf,0x33332a00,0x654004cc,0x7fd402ed,
    0xcccb800f,0x3ccccccc,0x17bfdb70,0x59dd9500,0x11037300,0x009ffd00,
    0xeffeec98,0x2600161c,0x0bdefeec,0xf997f600,0x07fca82f,0x3e603e80,
    0x5ffd007f,0xffffff30,0x8bfe603d,0x7fc406fc,0x004fffff,0x10015dd3,
    0x8809ffff,0xffffffff,0x77444fff,0x02feb88b,0x3fae73f6,0x37fff604,
    0xff7002e0,0xfd3001ff,0xf953359d,0x75400fbf,0xfb730bdf,0xfff8801b,
    0x7c09ff90,0x4035c007,0x7c401ffb,0xb35bd04f,0x3f20bfff,0x807ffe4f,
    0xfffffffc,0x004fc801,0x0ffd57e4,0xffffff70,0xe85fffff,0x80ff881f,
    0x85fe81fd,0xdfffebea,0x46fc406b,0x7fdc05fc,0x07fec404,0xa800f640,
    0x32fec02e,0x03fc05ff,0x32003f10,0x82fd403f,0x0fff882c,0x3f22ff98,
    0x266be206,0x74c00999,0x0fc4003f,0x56f40bd1,0xbf71fa01,0x3ee27ec0,
    0x483ff504,0x017fffdc,0x203f7172,0x3a003ffc,0x0026c01f,0x40201f44,
    0xb003fc00,0x406d8009,0x6407106d,0x020202ff,0x74000b90,0x01c8005f,
    0x100d5059,0x204fc89f,0x07fe26fa,0x44146fe8,0x824401cb,0x03ffa859,
    0x9900fd40,0x7ddbb930,0x0007a2d5,0x5c01fe00,0x401d0006,0xff30000e,
    0x7c400001,0x1df90001,0x80801000,0x42fb800a,0x93f206fd,0x3f200ffa,
    0x0200001f,0x0fff8810,0xd302d800,0x64c2fc88,0x0003a67f,0xf100ff00,
    0x40220003,0x3e600008,0x7e400006,0x3ea001bd,0x0000001f,0xfa87e800,
    0x5c3fd03f,0x3fea00ff,0x00000003,0x40013ff2,0xee85b029,0x3c83f200,
    0xbceeeb88,0x6c03fc00,0x00000004,0xb801f700,0xf102deed,0x805dffff,
    0x40006ff8,0x00bdedb9,0x2213e200,0x27d42fff,0xf9807ff2,0x7775c44f,
    0xdb7000bc,0x3ffd05bd,0x0f880000,0x1f100ff2,0x2bfe6354,0x200efea8,
    0x007d407f,0x2603e4c0,0x0f44007c,0xf935dd30,0xffff709f,0x7dc09fff,
    0x0159533f,0xfb315db0,0x3ee0003d,0x29fff702,0x2ffc84fa,0xf997fe60,
    0x0efea8af,0x326bba60,0x3ffe24ff,0x35c00000,0x13001ff3,0x87fd0fc4,
    0x1fe04ff8,0x54002f88,0xfd507ffe,0x77c400ff,0xf907f100,0x3f2a607f,
    0xffb06fff,0x7ffffdd7,0x7e40fe40,0x07e8002f,0x17efffe4,0x2604ffb8,
    0x10ffa5ff,0x0fe209ff,0x7fd4fff2,0x4c800007,0xe8001bf2,0xfd05ff32,
    0x407fe60d,0xf998005d,0xfff3307f,0xffffb500,0x3e01fb03,0x7ec400ff,
    0xdfff83ff,0x20fffa60,0xdff104fb,0x805f8800,0x300efffb,0x3ea01fff,
    0xd05ff34f,0x403f60df,0x6ffc8fff,0xddddd300,0xfb0f4bdd,0xf1e4000b,
    0x30dfb01f,0xfa835555,0x6c03ae00,0x03fec07f,0x7fffedd4,0xfe817e62,
    0xfff9001f,0x982ffc41,0x3fe20fff,0x00fff202,0xf9802fb8,0xf901ffff,
    0x7ffb10bf,0x37ec07fc,0xffd02fcc,0x800fffb3,0x742ffff9,0x80017fa0,
    0x7f54044b,0x02f88006,0x7e403fe6,0x003fe407,0xfb9bffa6,0xffffffff,
    0x3ee002ff,0x813fea2f,0x3fe64ffd,0x01bfe601,0xafa807e8,0x881ffff9,
    0xecabdffe,0x54042fff,0xfffb86fe,0xffffffff,0x000fffda,0x16c37fe4,
    0x6c000dfb,0xfd9d9103,0x40b9000d,0xf900fee8,0x007fc80f,0x3f21ffd0,
    0xf8800003,0x80ffee4f,0x3fee5ffb,0x01ffe200,0x3ea02fc4,0x03fffa24,
    0x45f7ff64,0x3b2207ff,0x3fc86fec,0x0bffee00,0x909ff900,0x0003fdc9,
    0x0bfc885f,0xf9800dfb,0x03f6ba00,0x3f203fe4,0x7ff50007,0x000013f6,
    0x7ff52fec,0xfb3ffcc0,0x0fff801f,0x2202fb80,0x3ffe887f,0x13ff2040,
    0x7ec2ff22,0x2004fd86,0x4003fffa,0x27a84ffb,0x98003ff8,0xb07ba20f,
    0x03e800df,0xc807ecf6,0x03fe407f,0xfb3ff880,0x2e00000d,0x013fe63f,
    0x0fff4dff,0x6c01bfa0,0x882fdc07,0x3e2006fe,0x0f7440ff,0x1bf61bf6,
    0x05fff880,0xf827fdc0,0x3201fea1,0x1ff892e0,0x32006fd8,0x0fd96e06,
    0xfc80ff90,0x47fa0007,0x0c401ffc,0xf887ea00,0x92ff405f,0x4fe805ff,
    0x7405f880,0x07fea03f,0x221ffdc0,0x86fd81ff,0x8c401ffc,0x2000fffb,
    0x89704ffb,0x0d881efb,0x20ff90f4,0x1f3006fd,0x01fb1a60,0xff901ff2,
    0x43fe2000,0x06c05ffa,0x3fa1b200,0xf71ffc06,0x02ff80bf,0x7f402fa8,
    0x007fe204,0x3f217fa2,0xf50dfb07,0xf10d80bf,0x7dc009ff,0xd307a04f,
    0x819db9df,0x407fec4c,0x07d006fd,0x3b3337e2,0x07fc83cf,0xb8003fe4,
    0x13ffe23f,0x3e200254,0x101ff981,0x01ffd0ff,0x36003fe2,0x406fb807,
    0xefe8807f,0xd80ffd80,0x4fff886f,0xfffa8950,0x09ff7001,0x0a98074c,
    0x7ff70d50,0x0337ffc8,0xeee881ae,0xc84effee,0x43fe407f,0x0dd101a8,
    0x537dfff7,0x06ec41fb,0xdf902744,0x3ea0bf20,0x003f905f,0xff100bf1,
    0x1013ea03,0x7fdc0bfd,0x19bffe43,0x26fbffee,0xfe980fda,0x4ffb801f,
    0x200174c0,0xfff880ec,0xeffcbfde,0x0003f305,0x3ff601fb,0x703ff600,
    0xf9115dff,0x7fffec09,0x7fcc4fff,0x03fcabdf,0x1fdc3fe8,0x6449ff70,
    0x05f5002f,0xd3077ee0,0x03fe880d,0x7ef7ffc4,0xd85effcb,0x4fffffff,
    0x0567fec0,0x4017ff54,0x9501bde8,0xffea809d,0x40bff31e,0x1fb0004e,
    0xe807ffa0,0x7ffc41ff,0xb802efff,0x903fffff,0x019dffff,0x77e7fe40,
    0xdffea802,0x1f6002df,0xd9dfd300,0x3fb2a07f,0xffd5000c,0x817fe63d,
    0x03fffffb,0x9bffd950,0x0017dffd,0xdcdffda8,0x22001cff,0x16a00880,
    0xeb84b800,0x2e0dffff,0x40dffffe,0x30000aa9,0x02a60035,0x00998800,
    0x0001a880,0x26200055,0x06aa200a,0x08808800,0x00035300,0x009aaa98,
    0xaaa98800,0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0x400980b9,0x3ee00080,
    0x6d4000ff,0x710001ce,0x65405dfb,0x354001ce,0x9000d910,0x88165c0d,
    0x000001cc,0x000b8800,0x37ddb700,0x0dff9000,0xcb81b880,0xca84cccc,
    0x7f4404cc,0xd0120cff,0x007fd47f,0x013fffe2,0x7e4d77cc,0x467cc003,
    0xbda83fd8,0xf1000ffc,0x01ff2a05,0x7f403f30,0x005ff305,0x50000e80,
    0x80003ffb,0xffb32ee8,0x7c409fff,0x36003fff,0x7fec40ff,0x3df700cf,
    0xfffbdc80,0x3ea06bcf,0x00fff67f,0x01ff53f9,0x7ec0ff98,0x989f1003,
    0x1fdc386f,0x7f805d80,0x3a01f400,0x05ff305f,0x001fcc00,0x00fffe5c,
    0x3a0ffa00,0x3601aaef,0x000ffa9f,0x3fa01ffb,0x007ea02f,0xffffc892,
    0xf527f401,0x10fc403f,0x83fe80bd,0xfd800ff8,0x5c00ff81,0x00fa800f,
    0x1ae007f8,0x7cc17fa0,0x3f60002f,0x3fee0007,0x3fee0001,0x9807fb81,
    0x4013a60e,0x3fe601b8,0x1401b204,0x0800ddcc,0xb01c8008,0x403fea03,
    0x0ff804fd,0x17c40298,0xf8017c40,0x003f3007,0x3fe60bfd,0xfff10002,
    0x3fea0005,0x1ff60001,0x36017fd4,0x0001d880,0x7c03ff60,0x00000002,
    0x00801000,0x7fdc0dfd,0x001fe600,0x0037ff62,0x03fc00b9,0xbfd004e8,
    0x000bfe60,0x002fffdc,0x0001ffa8,0x7fcc1ff6,0x00200403,0x83ff9800,
    0x0000007a,0x40000000,0x3e605ff8,0x03fee03f,0x1bf6e600,0x3e000f98,
    0x2006b807,0x5ff305fe,0x3ff3e000,0xffa8001f,0x3fee0001,0x002ffa80,
    0x6c000000,0x8004e87f,0x00bdedb9,0x17bdb730,0xceeeb880,0x09ff500b,
    0xf7027fc4,0x7c40001f,0x8007d00f,0x00fc407f,0x3e60bfd0,0x8fa8002f,
    0xa8004ffc,0x260001ff,0x0ffc83ff,0x10666664,0x00079999,0xf31ffcc0,
    0x8aed8001,0x6c01efd9,0x1efd98ae,0xd515ff30,0x7ff901df,0x702ffc40,
    0xc80003ff,0x8005c80f,0x0026c07f,0x7fcc17fa,0xf14e8002,0xfa8001ff,
    0x17db711f,0x443ff700,0xff9882fe,0x2ffe4c0f,0x7401f260,0x9001727f,
    0x05ff903f,0x3ff207f2,0x7c43fe82,0x03ffc84f,0xfa81bfe2,0x2f40002f,
    0x7c0007cc,0x0003aa07,0x3fe60bfd,0xb0fcc002,0xfa8007ff,0xffffe99f,
    0x9bff5005,0xffc803df,0x2a0bff00,0xf5007ffe,0xb800be7f,0x0dff104f,
    0x3fe209f7,0x7417fcc6,0x02ffd86f,0x3fee3ffc,0x3fffffff,0xbb57bf10,
    0x30007d01,0x05f103ff,0x260bfd00,0x364002ff,0x5001bfea,0xb115d7ff,
    0x9d8805ff,0x3ee00198,0x20bfd00f,0x2007ff99,0x2007befe,0x3f202ff8,
    0x80bfe23f,0x07fc3ffc,0x7fec37ec,0x263ffc01,0xccdffdcc,0x2f32a01c,
    0xeb80d701,0x06aaaa60,0x05b9309b,0x7fdc1bfa,0x2f880112,0x2001ffe8,
    0x7c40effa,0x0027405f,0x3a01ff70,0x03fec05f,0x009fff50,0xf300ffcc,
    0x00ffccdf,0x5010dff3,0x5ffb0dfd,0x303ffc40,0x800005ff,0x3fe601f9,
    0xb03ea000,0xe81fffbf,0x7fee42ff,0x07b80192,0x5400bff7,0x0dfd01ff,
    0x4ccd77d4,0x01ff7001,0xff9017fa,0x00ffe800,0x8803fee0,0x03fee7ff,
    0x2207ff88,0xc86fecec,0x3fe202ff,0x00bfe606,0x4409d000,0xf1000fee,
    0x1fec5985,0x3f77fffa,0x00b5dff3,0x3ffe207f,0x03ff5000,0xffb81bf6,
    0xefffffff,0x201ff702,0x3fe405fe,0x0017ee00,0xff801ffb,0x801ffb0f,
    0x7e440fff,0xf70dfb0b,0x37fc407f,0x0003ff10,0x2ba035c0,0x0bb000fd,
    0x7c5f9815,0x2e2ffffc,0x7d401eff,0xeaaaaaab,0xff5003ff,0x901bf603,
    0xffffffff,0x1ff70bff,0xf9017fa0,0x02f8800f,0x200fff40,0x07ffa6fe,
    0xee88dfd0,0x7d437ec1,0x0ffea03f,0x0000ff88,0xa6c03f10,0x0fa800fd,
    0xaf87f300,0x005101a8,0x3bbbbbba,0x006ffeee,0x3f603ff5,0x99996c06,
    0x40febaaa,0xbfd00ffb,0x4007fc80,0xffc8007b,0xf927f402,0x24fe805f,
    0x6fd81ff8,0x7dc0bff0,0x0037c01f,0x2dc09b00,0x2e8801fb,0xf883f200,
    0x3e600003,0x02ffe801,0xfb01ffa8,0x8802640d,0x807fdc2e,0x3fe405fe,
    0x2000fa00,0x7fc05ffb,0xf017fee2,0xd83fe45f,0x40ff906f,0x3e2206fc,
    0x5c015404,0x6c1d300f,0x002e400f,0x04fa83f3,0x401b2000,0xfa805ffa,
    0x20dfb01f,0x3f1002fa,0xfd00ffa8,0x007fc80b,0x740003ea,0x1ff100ff,
    0xf100ffe8,0x407fec1f,0x3ff306fd,0x3620bfe0,0x3a02dffe,0x8817c400,
    0xcfecccdf,0x2001f303,0x05fb82e8,0x005f1000,0x2a00fffc,0x0dfb01ff,
    0x2e4017fa,0x7c40ffd4,0x03fe406f,0x0001f441,0x3f20bff5,0x905ffa81,
    0x43ffb83f,0xb8337ffc,0xb06fb85f,0x37fffee3,0xd806fdac,0x3bbba205,
    0x7d04effe,0x6c07a200,0xf900006f,0x05ffc800,0xfd80ffd4,0x15bff906,
    0xf301db30,0x7fee989f,0xfd83fe40,0x80005fdf,0x3f224ffb,0x893fee02,
    0xfff882fc,0xeffcbfde,0x7cc5f905,0x54f4d00e,0x1fffffff,0x40007d40,
    0x00d900fd,0x367507a6,0xf880006f,0x7ffd4005,0x40bfea01,0x3ff607fd,
    0x3fffffff,0x6e77fec0,0x05dffe8e,0xffd01ffb,0x200001ff,0x2dfdffea,
    0xfdffea80,0x3ffaa02d,0x80bff31e,0x00beeeeb,0xfd88fb72,0x7c401cff,
    0x01fb0002,0xff5003f3,0x2a3fffff,0xfd80002e,0x7ffd4005,0x07ff900e,
    0xc9803ffe,0x00bceffe,0x0dfffe88,0x7f405bfd,0x0beea81f,0x1a880000,
    0x00351000,0x00088088,0x00980066,0x12e00131,0x7904b800,0x33333200,
    0x400003cc,0x05fffffb,0x7fffff4c,0x3fff6a6f,0xfffd92df,0x0000009d,
    0x200a8153,0x0dffffeb,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xcca80000,0x931ccccc,
    0x09999999,0x07333332,0x2a02aa20,0x4ccccccc,0x66666540,0x20040404,
    0x02ccccc9,0x99999930,0x666665c9,0x99301ccc,0x70199999,0x99999999,
    0x71012603,0x9b300003,0x99999910,0x6664c999,0x4c3ccccc,0xcccccccc,
    0x99999933,0x99999999,0x31275c59,0x983bfffd,0x00affffd,0x803dff51,
    0x0dffddd9,0x3ffffaa2,0x7f54401b,0x8ffa02df,0x2e600ffa,0x1001fffe,
    0x9305dff7,0x8019ffff,0x403fffb8,0x0bffffc9,0xb307fea8,0x4c0005ff,
    0x3a604ffd,0xa882efff,0x100cffff,0x839ffff5,0xccefffa8,0x4fffeccc,
    0xf883fff1,0x3ffa02ff,0x801fb006,0x17fee2f8,0x0017ffe2,0xffa80df5,
    0x200fff67,0x000fffe8,0xffd007f2,0x02fc8009,0x640fffa0,0xeca87ffc,
    0x9b0002ff,0xf9809ffd,0x7fdc00ff,0x0dff7006,0x5c04ffc8,0x203ffa4f,
    0x3ea03ffd,0x809d006f,0x07fc86e8,0xb800fff7,0x24fe801f,0xf3001ffa,
    0x7dc00dff,0x01ffec00,0xd8003ee0,0x3fec02ff,0x0005ff70,0x4404ff98,
    0xffb807ff,0x0bff5005,0xc804ffb8,0x7d402e24,0x0fffc06f,0xf5007e20,
    0x7c402a0b,0x17a001ff,0x40008080,0x004ffff8,0x5ffb00f5,0x4007a800,
    0x7e402ffd,0x00bfea07,0x809ff100,0xfa807ff8,0xbff5005f,0x804ffa80,
    0x7ffc0058,0x00fff200,0x0bf700f7,0x013ff200,0x000017c4,0x3ff3e200,
    0x807a803f,0x54002ffd,0x17fe4007,0xfa81ff20,0x7c40002f,0x3ffc404f,
    0x8027fd40,0x7d405ffa,0x8001004f,0x3ea03ffc,0x4026c06f,0xf30005fd,
    0x0d9001ff,0xf1000000,0x803fff93,0x2ffd807a,0x2003d400,0x7e402ffc,
    0x00bfea07,0x1013fe00,0xff500fff,0x17fea009,0x0009ff50,0x81bfe600,
    0xf101fffb,0x00bfd003,0x401ffec0,0x3333203f,0x3333220c,0xfb1f8803,
    0x03d401ff,0x20017fec,0x7fe4007a,0x503fe402,0xf00005ff,0x7ff8809f,
    0x004ffa80,0xfa80bff5,0x0001204f,0x3fa03fff,0x40d704ff,0xcceffccb,
    0x3fea001c,0x1007d406,0xc981fff3,0x1f8805ff,0x540dffd1,0x02ffd807,
    0x32003d40,0x3fe402ff,0xca85ff50,0x3e02cccc,0x3ffc404f,0x8027fd40,
    0x7d405ffa,0x000f104f,0xf884ffc8,0x09d07ffb,0x677fe65c,0x7f4001cc,
    0x4017602f,0xbff00ffc,0x7c43f100,0x00f505ff,0xa8005ffb,0x17fe4007,
    0xfa81ff20,0x1bffd82f,0x22027fc0,0xffa807ff,0x0bff5004,0xc884ffa8,
    0x7fcc0007,0x3ffd6b86,0xfd001f88,0xffb8000b,0x2003f105,0xbfd00ffb,
    0xfa83f100,0x807a83ff,0x54002ffd,0x17fe4007,0xfa81ff20,0x006f442f,
    0x7c404ff8,0xeffa807f,0xcccccccc,0x5405ffdc,0xfeeeefff,0xfe80007f,
    0xffb9f41f,0xfd0035c4,0xff88000b,0x2006c81f,0xbfd00ffb,0xf703f100,
    0x807a85ff,0x54002ffd,0x17fe4007,0xfa81ff20,0x0017a22f,0xff8809ff,
    0xceffa807,0xcccccccc,0x7d405ffd,0xfcaaaadf,0xffb80007,0x7fc47e64,
    0xfd001f47,0xff90000b,0x5c007f09,0x0bfd00ff,0x3f603f10,0x201ea1ff,
    0x54002ffd,0x17fe4007,0xfa81ff20,0x0009d12f,0xff8809ff,0x04ffa807,
    0xa80bff50,0x20f104ff,0xff8804fc,0x5ffb1ae7,0xfe8007e2,0xff980005,
    0x8003ea0f,0xbfd00ffb,0x7403f100,0x00f50eff,0xa8005ff9,0x17fe4007,
    0xfa81ff20,0x0004f9af,0xff8809ff,0x04ffa807,0xa80bff50,0x221604ff,
    0xfd801fff,0xffb87d1f,0xfe800d75,0xffb00005,0x2e002747,0x0bfd00ff,
    0x7c403f10,0x900f55ff,0x7b8005ff,0x017fe400,0xffa81ff2,0xf0001ffc,
    0x7ff8809f,0x004ffa80,0xfa80bff5,0x7f40604f,0x39ff7007,0x8fff881f,
    0x2ff4003e,0x6ffa8000,0xfb8003f3,0x00bfd00f,0xff9803f1,0xfc807acf,
    0x035c003f,0x9007ff20,0x67fd40ff,0xf8000eff,0x3ffc404f,0x8027fd40,
    0x7d405ffa,0x0150004f,0x173ffe20,0x007e7fec,0x00017fa0,0x06caffe8,
    0xd00ffb80,0x03f100bf,0x0fbfff50,0x8009ff70,0x7fe4005d,0x503fe400,
    0x0bff75ff,0x8809ff00,0xffa807ff,0x0bff5004,0x0004ffa8,0x7fffb000,
    0x01bffea0,0x00017fa0,0x03feffb8,0xd00ffa80,0x03f100bf,0x01ffff20,
    0xf001bfe6,0x07fc8007,0x3ea07fc8,0x009ff92f,0x7c404ff8,0x4ffa807f,
    0x80bff500,0x00004ffa,0x01fff500,0x000fffe2,0x800017fa,0x000ffff8,
    0xf881ffa8,0x01f9806f,0x401fff60,0xf9001ffd,0xf905cc01,0x40ff900d,
    0x3ffa2ffa,0x013fe002,0xf500fff1,0x3fea00bf,0x02ffd405,0xbff00000,
    0x000ffd80,0x00005ff8,0x80027fe4,0x774c4ff9,0x01fa807f,0x401ffa20,
    0x6400efe8,0x93fe201f,0x7fc802fd,0xf88bfea0,0xff8801ff,0x03ffcc04,
    0xa8037fdc,0x7fdc06ff,0x20000005,0x37d402fc,0x005ff800,0x00ffc400,
    0xb9dffb00,0x0bbffd1d,0x260027e4,0x3fe6007f,0x3f6e60ae,0x8fffc403,
    0x1ffb004f,0xf50bfea0,0xff9801df,0x17ffe406,0x01fffb10,0x00fffd88,
    0x001fffb1,0x01e60000,0x7d4001fc,0x400000ff,0x7440006d,0xbfd0dfff,
    0xffff9105,0x1ea0019f,0xffffb300,0x2005dfff,0x004dfffb,0x7e407ffa,
    0x0effd84f,0xeffffdb8,0xffff910d,0x7ecc9bff,0x43dfffff,0xffffffd9,
    0xffffb33d,0x00007bff,0x02600500,0xffffda80,0x100004df,0x2a600003,
    0x00000540,0x31000180,0x00015575,0x75c00351,0xb71dffff,0x2a5bffff,
    0x01cfffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x33333326,
    0xcccccccc,0x6664c0cc,0xaabccccc,0x3220001a,0x3000cefe,0xd719dfb9,
    0x00ff4000,0xdec99ae2,0x99999304,0x40039999,0xccccccc9,0x2001aaac,
    0x03ccccc9,0x66666400,0x332a000c,0xcccccccc,0x84cccccc,0xccccccc9,
    0x6666642c,0x3fe203cc,0xffd5102f,0xb999999f,0xf7103ffd,0xfbbdffff,
    0x4007bfff,0xfffffffb,0x4cdfdc03,0x0006fffb,0x36a03ff7,0xffff37ff,
    0xfd7101df,0x00035bff,0xddffff71,0x005dffdb,0x03fffee6,0x77ffd400,
    0x64c4000b,0xccdfffff,0x0ffedccc,0xcffffa88,0xefffa880,0x3fff200a,
    0x02ffd406,0xff7017d4,0x3ffea20b,0x77fcc01e,0x02ffffcb,0xdff503fb,
    0x3fff3000,0x27ffe660,0x5fffebce,0x001ffee0,0x4c27fdc0,0x36004ffe,
    0xb0004fff,0x00007fff,0x803ffbdf,0x3ff200fa,0x01ffcc06,0x1fec67cc,
    0x200bff30,0x17fea02c,0x03fffb10,0x3f6206f4,0x027d40ff,0xdd000dff,
    0xffc803ff,0x17ffd40d,0x0006ff98,0x2209ff50,0xf7003fff,0x98001fff,
    0x0001ffff,0x0ffecfc4,0xff7006c0,0x002fd80b,0x300fc89b,0x0ea00bff,
    0xb005ffa8,0x1f301fff,0xf117ff40,0x037ec01f,0x07febb20,0x3201ff90,
    0xdff305ff,0x3fea0000,0x01bff204,0x01ffefd4,0x03ffbb60,0x3f6b9000,
    0x201b801f,0x3f604ffa,0x2a075001,0x00bff304,0x0bff5004,0x21bffe20,
    0x1ffd402b,0x6fd80ff7,0x3ea3ea00,0x03fe401f,0x3e60dff3,0xf500005f,
    0x7ffd409f,0xff9fa800,0x3abe2006,0x220000ff,0x003ffb1f,0x209ff500,
    0x002001fc,0x017fe601,0x02ffd400,0x083fff70,0x322ff980,0x037ec06f,
    0x3ff52f88,0x7c07fc80,0x0bff307f,0x13fea000,0x801fff98,0x005ffd7a,
    0x007ff5b2,0x7fecb900,0xffa80001,0x0001fc84,0x0bff3000,0xffa80398,
    0x27ffc005,0xb07fcc00,0x06fd80bf,0x0ffd4bb0,0xfd01ff20,0x0bff301f,
    0x13fea000,0x800fffb8,0x00dff57a,0x03ffa7f1,0xfb0fc400,0x4015403f,
    0x17ec4ffa,0x01f26000,0x79017fe6,0x00bff500,0x8006ffe8,0x037f47fa,
    0x3ea01bf6,0x9007fea0,0x07fd80ff,0x0000bff3,0xfe813fea,0x74f5004f,
    0x87dc02ff,0xb0000ffe,0x201ffd8b,0x4ffa802d,0xa8000bf6,0xf9807ffe,
    0x07f3105f,0x800bff50,0xc8007ffc,0x203fec3f,0x17c406fd,0xf9007fea,
    0x305fd80f,0x20000bff,0xfd884ffa,0x4f5000ef,0x27c05ffb,0x30001ffd,
    0x81ffd83f,0xfa802fa8,0x002fd8cf,0x03ffccc0,0x7777ffcc,0x803fffee,
    0x5c005ffa,0x22000fff,0x02ffc86f,0x09b01bf6,0xfc803ff5,0x413fa00f,
    0x00005ff9,0x2e669ff5,0x54004fff,0xa80fffc7,0x003ffa0f,0x3ff61360,
    0xfffeeeee,0xedffa802,0xb00001ff,0xdff300ff,0xfb755555,0x0bff5007,
    0x00fffa80,0x3ea0bee0,0x0dfd00ef,0x1ffa835c,0x8807fe40,0xbff300ff,
    0x3fea0000,0x03ffffff,0xffb8f500,0xffe89d05,0x407cc000,0xaaaacffd,
    0xfa802fda,0x01fffedf,0x807fc800,0x1e405ff9,0x002ffd40,0x8801fff2,
    0x3bffa03f,0x41bfb621,0x3ff501f9,0x902ffc80,0x2ffcc07f,0x4ffa8000,
    0x40017ff2,0x07ffc47a,0x1ffd07ea,0xaaaee800,0x201ffeaa,0xcffa802d,
    0x001fffe8,0x4c03fe40,0x01d405ff,0x2002ffd4,0x36006ffd,0x7fffcc05,
    0x06fd9fef,0x0ffd407d,0x703fff20,0x5ff980bf,0x9ff50000,0x8003ffe8,
    0x44ffc87a,0x00ffe85d,0x33333ea0,0x201ffecc,0x4ffa802a,0x003fffd1,
    0x4c03fe40,0x00c405ff,0x2002ffd4,0xd9005ffe,0xfffd3001,0x2e1bf61d,
    0xffffffff,0x80ffffff,0xfcefbffc,0x5ff9803f,0x9ff50000,0x001fff98,
    0x7ffc43d4,0xffd03f30,0xb01f4001,0x00c403ff,0xfd127fd4,0x320003ff,
    0x5ff9807f,0xbff50000,0x17ffc400,0x200075c0,0x437ec0a9,0xfffffffb,
    0x0fffffff,0x35317fc8,0x02ffcc00,0x84ffa800,0x54006ffb,0x367ffb07,
    0x001ffd06,0x3ffb01ea,0x9ff50000,0x01fffe88,0x9807fc80,0x80c005ff,
    0x36005ffa,0x0e9805ff,0x1bf60000,0x2aaaaaa6,0x2abffcaa,0x8000ff90,
    0x24005ff9,0xfb04ffa8,0x83d4009f,0x02f9fff9,0x3a001ffd,0x00ffec03,
    0x13fea030,0x007fffa2,0xf300ff90,0x82c400bf,0xf5005ffa,0x1e9803ff,
    0x3f600040,0x3ff50006,0x0007fc80,0x1002ffcc,0x413fea0b,0x5002fff8,
    0x377fec0f,0x7001ffd0,0x03ffb00d,0x7fd41660,0x3fffd104,0x403fe400,
    0x36006ff9,0x00bff503,0xa807ffd3,0x0024c01f,0x54001bf6,0x3fe401ff,
    0x1bfe6000,0xff502d80,0x07ffd40b,0xff303dc0,0x07ff407f,0x3600fe20,
    0x05d001ff,0xe8817fea,0xf9002fff,0x0dff500f,0x7dc03f20,0x77fdc05f,
    0x5567d401,0x1fdbaaaa,0x003ff400,0x6401ffa8,0x2e0000ff,0xfd8807ff,
    0x80bff700,0x6400effc,0x007ff407,0x7d803fff,0x005ffd00,0x3fee01f9,
    0x7fffc405,0x00ffd804,0x4cd7ffe4,0x5fea9999,0x55dffd10,0x9ffd9533,
    0xfffff500,0x0fffffff,0x00fff880,0x401ffa80,0x10002ffe,0x555bfffb,
    0x0dff9555,0x003fff62,0x1015dffd,0x27d405fd,0x409fff50,0x7cc00ffb,
    0x99999dff,0xb105feba,0xfe801fff,0x3a01dfff,0xfec981ff,0xffffffff,
    0x4c3fffff,0xfffffffd,0x00abceff,0xffffff98,0x04ffffff,0x3ffffb60,
    0x3fea000d,0xffffdb01,0x3f26003d,0xffffffff,0x43ffffff,0xffffffd9,
    0xffff103d,0x3fff66bf,0x701d04ef,0x9ffffffd,0x3ffffa61,0x7fff5c1d,
    0xffffffff,0x7ecc3fff,0x42dfffff,0xffffffe9,0x3ffae3ff,0x00000dff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xccc98000,0xaabccccc,0x3326001a,0x9abccccc,0x33332600,
    0x8003cccc,0x100beeca,0x66644020,0xcccccccc,0x9952cccc,0x03999999,
    0x33333326,0x33333264,0xcc82cccc,0x262ccccc,0xcccccccc,0x64019aac,
    0x444ccccc,0x200ccccc,0x700980b9,0x99999999,0x99999999,0x26004407,
    0xfb881cec,0xfddeffff,0x8802dfff,0xfefffffb,0xf5103fff,0x80039fff,
    0xffa9cfd8,0xfd077dc5,0xddfff307,0xffdddddd,0x3fea21df,0x4c01dfff,
    0x540afffe,0xaefffffc,0xdfffa880,0x7ffdc409,0xffecccef,0xffd980cf,
    0xefd981cf,0x9fffd101,0xfffd0241,0xddfffddd,0x40dfffdd,0x32f6a01c,
    0xbff701ff,0x3bffea20,0x44ffc801,0x700effd9,0xf1000dff,0x22ffb81d,
    0xfff32ffe,0xf3007f50,0xffd103ff,0x3bea001f,0x7fff4400,0x803fe803,
    0xf9105ffb,0x3ffa03ff,0xb803f201,0xbcffffbd,0x3207ba06,0x06f983ff,
    0x2e1c03f1,0x0bff504f,0x01fffd88,0xfe827fd4,0x0bff507f,0xf103f900,
    0xd07fdcdf,0x1009709f,0x7cc09ffd,0x3fb003ff,0x1fffa200,0x2a007f30,
    0x7fdc05ff,0x409ff506,0xf912403e,0x0f403fff,0xf303ffc8,0xb8007f60,
    0x0bff501f,0x803fff20,0xff104ffa,0x09ff503f,0x2e07f980,0x7008042d,
    0x0dffb005,0x801fff90,0x7cc003f8,0x09d103ff,0x402ffd40,0xffd01ffd,
    0x05003ea0,0x06803771,0x8580fff2,0xd1001ffc,0x02ffd405,0x205fff88,
    0x3fe04ffa,0xceffa84f,0xf700abcc,0x7000000d,0x03fff500,0xb013ffa0,
    0x3fea000d,0x4006d80f,0xfb805ffa,0x07ff704f,0x0000009b,0x01ffe405,
    0x6fffec45,0xffd882cc,0x0bff500e,0x80fffdc0,0x3f604ffa,0xceffa86f,
    0x40dfffdc,0x000005fd,0x3fff8800,0x07ffe600,0xb0000fd4,0x00fc8dff,
    0x402ffd40,0xff105ffb,0x0000f88d,0x7fe40000,0xffb95003,0x6cc0599b,
    0x0bff506f,0x504fff80,0x7ff409ff,0x444ffa85,0x3fa0fffd,0x1f260006,
    0x0bffb000,0x10dff900,0xf880007d,0x003f53ff,0xb00bff50,0x7fe407ff,
    0x2e201721,0x17db711f,0x0fff2000,0x003ff500,0xffa81fe8,0x37fec005,
    0x3e04ffa8,0x4ffa83ff,0x361fffb0,0xfea8007f,0x3ee0007f,0xe88000ff,
    0x003644ff,0xfafffa80,0xbff50003,0x00fff980,0x01f93fe2,0x227fff66,
    0x005ffffe,0x8007ff90,0x64001ffa,0x05ffa80f,0xa83ffe40,0xfff704ff,
    0x209ff501,0xff92fff9,0x26609803,0xf30007ff,0x540005ff,0x03f31fff,
    0x7ffec000,0x3fea0005,0x0bffea05,0x1ae3ff60,0xd5ffd330,0x05ffb315,
    0x007ff900,0x4001ffa8,0x3fffee5e,0x7fffffff,0x501fff70,0xffc989ff,
    0x09ff502f,0xffba7ffc,0x7fd83405,0x0bffd000,0x2dff9000,0x4400004e,
    0x20003fff,0xdccdfffa,0x000dfffe,0x007d7ff5,0xf103bfee,0xff90009f,
    0x1ffa8007,0xbb57bf10,0x7fdccc41,0x0199999d,0xf501fff5,0xfffbbdff,
    0x27fd401b,0x3e2bffd0,0x20b703ff,0xfc8007fc,0x880000ef,0x000fefff,
    0x1fffc800,0x9dff5000,0xbfffd977,0xdddddb05,0xddddffff,0x1ffa83dd,
    0x9000bff0,0xfa8007ff,0x2f32a01f,0x02ffd401,0x541fff20,0x035534ff,
    0x4413fea0,0x3fee4fff,0x0feb89cf,0x9800ff90,0x00001fff,0x000bffea,
    0x3ffbe600,0xbff50006,0x0f7ffd40,0xf9555555,0x555555bf,0xb01ffa81,
    0xff9000df,0x1ffa8007,0x3fea0000,0x37fec005,0x0004ffa8,0x7d413fea,
    0x7ffec1ff,0x3202ffff,0x3fa2007f,0xe800004f,0x400000ff,0x4fff8cf8,
    0x05ffa800,0x007fff44,0xa800ffe6,0x0dfb01ff,0x007ff900,0x8801ffa8,
    0x05ffa800,0xa827ff40,0x2a0004ff,0xfffa84ff,0xdffff904,0x007fc803,
    0x0001bff2,0x0007ff40,0xffa97600,0x7fd4001f,0x4fff9805,0x001ffcc0,
    0x3f603ff5,0x3ffc8006,0x00ffd400,0x7fd400ec,0x3ffe2005,0x009ff502,
    0x98a7fd40,0xa805fffb,0x0ff9001e,0x007ffea0,0x07ff4000,0x81d90000,
    0x54006ffd,0xfff005ff,0x3bbbbb6b,0xeeeeeffe,0x0ffd41ee,0xc8006fd8,
    0x7d4003ff,0x067d401f,0x8017fea0,0x3ea05ffd,0x3ea0004f,0xdfffffff,
    0x007f9002,0x3e201ff2,0x00e003ff,0x0001ffd0,0x3e207ea0,0x3ea004ff,
    0xbffd005f,0x2eaaaaaa,0xaaaaadff,0x80ffd40a,0xfc8006fd,0x7fd4003f,
    0x027fdc02,0x54017fea,0x3ea00fff,0x3ea0004f,0x000999df,0x4017fec4,
    0xffd807fc,0x00162005,0x00001ffd,0x7fd407f3,0xbff5001f,0x00fffe00,
    0x54007ff3,0x0dfb01ff,0x007ff900,0x40e3ff98,0x7fd405fb,0x3ffe9805,
    0x002ffd40,0x000bff50,0x3200ff60,0x7ffdc07f,0x0012e000,0x80001fff,
    0xffd805f8,0x5ffa800e,0x00fffb80,0x5001ffcc,0x1bf603ff,0x00fff200,
    0x03b7ffe0,0x3ee017ec,0x77fdc05f,0x05ffb802,0x017fee00,0x4007fc00,
    0xff100ffd,0x17d4005f,0x03fff100,0x007f4400,0x402fffcc,0x7d405ffb,
    0xff9803ff,0x0bfee004,0x6c003fec,0xfa8003ff,0x3eec82ef,0x5f7fec40,
    0xffeca99a,0xfffd1004,0xffb10001,0x3220001f,0xffd002df,0x2bbffa03,
    0xaaaaaaaa,0x2001ffec,0x0004fffa,0x2200fff7,0x100dffff,0x3357dffd,
    0x03fffb53,0x8017ff20,0xff883ffd,0x3fe2000f,0x010000ef,0x3f660044,
    0xffffffff,0x9800abce,0xdffffffd,0xfffd9803,0x8003dfff,0xffd70009,
    0x7fdc1bff,0xffffffff,0x07ffffff,0xfffffd90,0xfd70019f,0x2209dfff,
    0xfffffffc,0x3ffff666,0xefffffff,0xfec800bd,0x500cffff,0x25bffffd,
    0x04ffffec,0x7ffffed4,0x000001df,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x55555530,
    0x55555555,0x00660035,0x00110000,0x00000066,0x00019944,0x17dd9500,
    0x67775c40,0xdb73000b,0x36e0017b,0x36602dee,0x322cbdee,0x3220cccc,
    0xccb83ccc,0xccb84ccc,0x9999974c,0x333332a1,0x3333260c,0xd98f5c40,
    0x3333371d,0x33333333,0x0f600733,0xdfdb8800,0x2003d10b,0x4000005b,
    0x5bf54fc9,0x3f620000,0x985ffa9c,0xefea8aff,0x4c576c00,0x3a601efd,
    0x84ffc9ae,0xffb88bf9,0x03ffe622,0x710bff93,0x2a01bfff,0xfffb10df,
    0x6fffd445,0x262ff981,0xffa9fffd,0x3800076f,0x20007b00,0xffda9dfd,
    0x16e003ea,0x7ed40000,0x1f7ecc1d,0x81df1000,0x1ff42ffb,0xfc813fe2,
    0x882ffc81,0x43ffc83f,0xc82f984d,0x0bff00ff,0xf301ffe4,0x2e0ffd01,
    0x30be02ff,0xb5b5ffd3,0x70000ebf,0x2000f600,0x5ffd81fc,0x0002dc00,
    0x019fd710,0x00cffc88,0x7c40fe40,0x20bfe66f,0x09f706fe,0x3f61bfe2,
    0x221fff00,0xf705904f,0x817fa01f,0x13205ff8,0x7c40ffd4,0x540d304f,
    0x03820eff,0x3d801c00,0x8827dc00,0x2e000fff,0xfc880005,0xeb8000be,
    0x7f9801df,0x1ff0b6e0,0xff10dfb0,0x31ffe405,0x8fff40bf,0x82981ff9,
    0xbfd00ffb,0xf00ffc80,0xd82ffc01,0x203d80ff,0x00e02ffa,0x0f600700,
    0x3205ff00,0x2e003fff,0x3f6a0005,0xb500002d,0x37dc05df,0xfea80800,
    0x201ff986,0x3fee6ff9,0xffffffff,0x00fffe2f,0xfe807fdc,0x427fcc05,
    0x07fe405b,0x3e21fff4,0x807fea00,0x801c0003,0x3fe6003d,0x6ff9db81,
    0x20016e00,0x0001cfeb,0x17ff9300,0x40005fd8,0x86fecec8,0x3e200ffb,
    0x000ff27f,0x00fffff2,0x3fa01ff7,0xe87fd805,0x217fcc02,0x2dc6feea,
    0x3807fea0,0xd801c000,0x03fee003,0x0fff11d7,0xc8802dc0,0x00000bff,
    0x39ff7100,0x44001bfa,0x0dfb0bfc,0xff801ffb,0x0009fb0f,0x07bfffee,
    0xfe807fdc,0x22ffa805,0x8bfd0079,0x3a1ffbae,0x00ffd402,0x53380007,
    0xbd555555,0x35555555,0x1d50ffec,0xaa887ffc,0xaedaaaaa,0x31aaaaaa,
    0x000019ff,0x27ff5000,0xe88007fd,0x7437ec1e,0x37f401ff,0x44000dfb,
    0xb82ffffd,0x0bfd00ff,0x03c9bfe0,0x5a61ff70,0x00f14ff8,0x01c03ff5,
    0x7775ce00,0xeeefeeee,0x362eeeee,0xe83f32ff,0x3bbbaa7f,0xeeefeeee,
    0x7544eeee,0x000001df,0x9067fdc4,0x109803ff,0x0dfb03ff,0xfe805ff9,
    0x1007ff24,0x3fff4c03,0xfe807fdc,0x13ff7005,0x3fe2001f,0xcbfec7b3,
    0x01ffa804,0x0070000e,0xffb800f6,0x5fe81f9b,0x40016e00,0x0002efd9,
    0x81f7e4c0,0x93405ffb,0x21bf60ff,0x7fc05ffb,0xb017fea2,0x7fec0aa1,
    0xe807fd42,0xbff1005f,0xefd800b7,0x2bfe60f8,0x1ffa801f,0x070000e0,
    0xfa800f60,0x7ff02edf,0x0002dc00,0x0033ff22,0x02dfda80,0xb81fffc4,
    0x3603ff65,0x01ffd06f,0xff883fe2,0x3549504f,0x7d42ff88,0x06ff881f,
    0x007bff60,0xd09dff50,0x3ea00dff,0x0000e01f,0x000f6007,0x3e207ffd,
    0x016e000f,0x67f5c400,0x9fd71001,0x7ffdc001,0x20feb89c,0x7fe43ffb,
    0x2ffd4337,0xffb81fc8,0x0fda9bef,0x0ffc0bea,0xdd313fe6,0x7fcc00ff,
    0x1fff0006,0x2007ff70,0x00e02ffa,0x0f600700,0x20bff500,0x2dc002fb,
    0x7ed40000,0x7df9102e,0x3ff60001,0x442fffff,0xcbfdefff,0xffb85eff,
    0xd80bf224,0x4fffffff,0x3ea177d4,0xb9dffb04,0x0bbffd1d,0x4000ffa0,
    0x1ff104fc,0x817ff200,0x801c0003,0x7f6c003d,0x00ff224f,0x000016e0,
    0xb12efc98,0x200005bf,0x01effffc,0x263dffd5,0x3faa05ff,0xb802dfdf,
    0xa83fffff,0x2ddcffff,0x37fffa20,0x4005bfd0,0xf30000fa,0x54026c03,
    0x83effffe,0x801c0003,0x4d72003d,0x03dfdffe,0x0000b700,0x32a97100,
    0x53000001,0x22022003,0x00351000,0x08806a60,0x4c001531,0x8000540a,
    0x20140002,0x38000008,0xcca9c000,0xceeccccc,0x11cccccc,0x0005530b,
    0x00000b70,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20001c00,0xdddddd73,0xdddddddd,0x000005dd,0x00002540,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80007000,0x00000003,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00070000,0x00000038,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x99700000,0x99999999,0x00999999,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x16209100,0x8f7bb6e2,0x80cefdb8,0x07208000,
    0x6644015c,0xcccccccc,0x7175c43c,0xeb8839db,0x999500be,0x332a1999,
    0x1fb881cc,0x0017db71,0x80020000,0x22014c00,0x39d9306c,0x0001e800,
    0xd1000000,0xdd30f605,0x3e77faa3,0x21effb9d,0x372e61fa,0x74cfa22c,
    0x4c01f880,0xccccccef,0xffb34fff,0xffffd15f,0x3fffea1f,0xffd5105f,
    0x0f7e445f,0x227fff66,0x005ffffe,0xf1006e88,0x405f1005,0xff9501ff,
    0x7ffb9f50,0x8017ee00,0xfa83efeb,0xd801fdc4,0xff81f906,0x21fffdc3,
    0x57dc5ff8,0xefeccefc,0xc836c5ea,0xa81aa00e,0x3f6665ff,0xff912ebf,
    0x3f663d5b,0x3ffe203f,0x4cc076c2,0x98aeaffe,0x54002ffd,0x5f7000ff,
    0x3e02f440,0x6c3fc02f,0x1003fe60,0xe8805f7f,0x6c6fdbdf,0x01ffe0ff,
    0x0fee0bf2,0xff983ff3,0x41ffd80f,0xfd881efc,0xf885f985,0x7c40ea05,
    0xdffa80ff,0xf04ffe80,0x6ff980bf,0xff7007ea,0x04ff881d,0x5c003b80,
    0x4c5e882f,0x6cc3f63d,0x20623fc2,0xbb6400fe,0x26076c06,0xf87ffa4f,
    0x437d407f,0x0fe80ff9,0xff706ff8,0x6d806d87,0x9f907fb0,0x7ff40220,
    0x205ff501,0xdfd00ffc,0xf19ff700,0x03ff5005,0x000017fe,0x3a22fb80,
    0xd94ffb85,0x0ff1bfea,0x3f3017e0,0x03f881f4,0x3a3fecf9,0x07fe607f,
    0xa8007ff1,0xffffffff,0x03e64fff,0x7fcc1f40,0x0017fc42,0x7cc07ff9,
    0x01ff702f,0x7f401ff6,0xff5004ef,0x001bf603,0x15f70000,0x3ffa20bd,
    0x2fffadad,0x17cc03fc,0x01f513a0,0x47e201f5,0x837ec6fb,0x7f445fe8,
    0x3fbaa007,0x02e4004f,0x3ff60d90,0x400ffe41,0x7cc05ffa,0x01ff702f,
    0x7c401ff2,0x3fea007f,0x530dfb01,0x55555555,0x35555555,0x402ffdc0,
    0x1beeeda8,0x07d00ff0,0x85d80fb8,0x23f300fa,0x827e45fa,0x7fec2ffd,
    0xf1efb803,0x03d8009f,0x7fcc1ea0,0x203ffc46,0x4c00fff8,0x1ff702ff,
    0xc801ff20,0xff5004ff,0x2e1bf603,0xeeeeeeee,0xeeeeeeee,0x00bfe202,
    0x2f7bb6a2,0x4d80ff00,0xf8817c40,0x7d81fc42,0x07f50fe2,0xff313fe6,
    0x217ec40d,0x1f4005ff,0xf701f300,0x03ffa87f,0x4c00fff4,0x1ff702ff,
    0x4401ff20,0xa801ffef,0x0dfb01ff,0xe8800000,0xfb102fbd,0xbff795bf,
    0x0f607f83,0x0d901b20,0x1fdc45f9,0x403f30be,0x7fd40ffb,0xf83ff882,
    0x1361806f,0xff886a80,0x6405fe84,0xff3003ff,0x403fee05,0x19b007fc,
    0xff500dff,0x001bf603,0x25e88000,0x4ffc82fb,0xf17fead9,0x4c45b10f,
    0x7400fcc6,0xffdffd83,0x00f80e84,0x37e427e4,0x7ec07fdc,0x6b8ea01f,
    0x3f217200,0x5406fa85,0xf30605ff,0x03fee05f,0x35c03fe4,0xfa809ff5,
    0x00dfb01f,0xbd100010,0x3d985f70,0x316d43fa,0x7ff4c3ff,0x2743ffff,
    0xc980fa80,0x020101cd,0x7ec07f40,0x5c07fec2,0x41f105ff,0x0f9803f8,
    0x7f4077c4,0x03ffe200,0x0bfe6244,0xfd807fdc,0x3607cc07,0x3fea02ff,
    0x800dfb01,0xd1000ff9,0x2017dc0b,0x555301ff,0x2aaaa635,0x02a20aaa,
    0x00001a80,0x417a2000,0x217fe46e,0x31dfffd8,0x07f709d9,0x0fe42fcc,
    0x3fa00fdc,0xf512601f,0x07fee05f,0x5f103fec,0x201fff10,0xffb02ffb,
    0x00ffa800,0xfb805e88,0x0007fe01,0x00000000,0x4c000000,0x222f881f,
    0xafbacfff,0xfffffff9,0xadfef885,0x2fdfca88,0x01f40be2,0x54c0fff2,
    0x827fe43f,0xffd02ffd,0x6c0fd103,0xffd80eff,0x00fff883,0x07001540,
    0x07300540,0x00000000,0x00000000,0xb8d305a8,0x2a0dffff,0x40cffffe,
    0xffd915f8,0x64bee3bf,0xf9809703,0xffffffff,0xffb33fff,0x3fae5bff,
    0xfd92dfff,0x3e61bfff,0x7fec0eff,0xffd54fff,0x3fb25bff,0x00004fff,
    0x00000000,0x00000000,0x00000000,0x2aa01004,0x402aa200,0x2e031048,
    0x00004031,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80000000,0x37b72200,0x39b57301,0x88800000,
    0xfffffa80,0xffffffff,0x08884fff,0x1001cda8,0x5cc10085,0x11bbbbbb,
    0x55555555,0x55555555,0x00000001,0x00000000,0x00000000,0x17a60000,
    0x2f983df9,0x2f885fd3,0xfffa87fe,0xffffffff,0x325fffff,0x555444ff,
    0xaaaaaaaa,0x6c5daaaa,0x3bfa23ff,0x3200beff,0xfe89bf20,0xffffff93,
    0x3fffe67f,0xffffffff,0x0003ffff,0x00000000,0x00000000,0x00000000,
    0x3fe25ff9,0x3e63f46f,0xfd83ee0f,0x26666623,0x99999999,0x37ec0999,
    0xf16e0000,0x260cd89f,0x2a0adffc,0xfa8fffc5,0xfffff96f,0x000007ff,
    0x00000000,0x00000000,0x00000000,0x45ff9000,0xbf31ffff,0x2a087fd0,
    0x000004fe,0x00007f44,0x42fd4b70,0x77ff5406,0x137e42ef,0x000007fd,
    0x00000000,0x00000000,0x00000000,0x7dc00000,0x4ba2a21f,0x84fc85fb,
    0x004fcada,0x03f88000,0x6c96e000,0x97300288,0x00080405,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3c407fd4,0x87f70df7,0x0013f25d,
    0x002cc000,0x0074b700,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x25c1be20,0x1fd83ff3,0x24fc87f6,0xeeeeeeea,0xeeeeeeee,
    0x0000604e,0x00002298,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x6c0eb85f,0x3fe27c5f,0x2219fb13,0xaaaaaaaa,0xaaaaaaaa,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xb11f4000,0x7dfb1019,0x9dff909d,0x00009ff7,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x11164000,0x40155300,
    0x0006e0aa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00100000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_36_latin1_x[224]={ 0,3,2,0,1,1,1,1,1,0,2,0,1,1,
2,0,1,3,0,1,0,1,1,1,1,1,2,2,0,0,0,1,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,-1,1,0,1,0,2,0,0,0,0,0,0,0,2,0,1,0,-1,1,1,-1,1,1,1,1,0,0,0,
-3,0,0,0,0,1,-1,1,0,1,0,0,0,0,0,0,0,4,2,2,0,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,3,2,0,0,0,
2,2,0,1,-1,1,0,1,1,-1,1,0,0,0,3,2,-1,2,2,2,0,1,2,2,0,1,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,-1,1,1,1,1,1,2,1,0,0,0,0,0,0,0,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,0,0,1,0,1,1,1,1,1,0,0,0,0,0,0,0,-1,0,
 };
static signed short stb__times_36_latin1_y[224]={ 28,5,5,5,4,5,5,5,5,5,5,8,24,19,
24,5,6,6,6,6,6,6,6,6,6,6,13,12,9,13,9,5,5,5,6,5,6,6,6,5,6,6,6,6,
6,6,6,5,6,5,6,5,6,6,6,6,6,6,6,5,5,5,6,33,5,13,5,13,5,13,5,13,5,5,
5,5,5,13,13,13,13,13,13,13,8,13,13,13,13,13,13,5,5,5,17,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,28,12,6,6,9,6,
5,6,6,5,6,13,14,19,5,3,5,8,6,6,5,13,6,15,27,6,6,13,6,6,6,12,-1,-1,-1,0,
0,0,6,5,-1,-1,-1,0,-1,-1,-1,0,6,0,-1,-1,-1,0,0,10,5,-1,-1,-1,0,-1,6,5,5,5,
6,6,6,5,13,13,5,5,6,6,5,5,6,6,5,6,5,5,6,6,6,10,12,5,5,6,6,5,5,6,
 };
static unsigned short stb__times_36_latin1_w[224]={ 0,5,10,16,14,25,24,4,10,10,12,18,6,9,
4,10,15,10,15,13,16,14,15,14,14,14,5,5,18,18,18,13,29,24,20,20,23,20,17,23,23,11,13,24,
20,29,25,22,17,22,22,15,20,24,24,31,24,24,19,8,10,8,15,18,7,14,17,13,16,13,14,16,17,9,
10,17,9,26,17,15,17,16,12,11,10,17,16,24,16,17,14,10,2,10,18,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,5,13,16,16,17,
2,12,10,23,10,15,18,9,23,18,11,18,10,9,6,16,16,4,6,6,10,15,22,22,24,13,24,24,24,24,
24,24,30,20,20,20,20,20,11,11,11,11,23,25,22,22,22,22,22,14,22,24,24,24,24,24,17,16,14,14,
14,14,14,14,20,13,13,13,13,13,9,9,10,10,15,17,15,15,15,15,15,18,16,17,17,17,17,17,17,17,
 };
static unsigned short stb__times_36_latin1_h[224]={ 0,24,11,24,27,24,24,11,30,30,14,18,10,3,
5,24,23,22,22,23,22,23,23,23,23,23,16,22,17,8,17,24,31,23,22,24,22,22,22,24,22,22,23,22,
22,22,23,24,22,30,22,24,22,23,23,23,22,22,22,30,24,30,12,3,7,16,24,16,24,16,23,23,23,23,
31,23,23,15,15,16,22,22,15,16,21,16,16,16,15,23,15,31,31,31,5,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,24,29,23,16,22,
31,29,5,24,10,16,7,3,24,2,11,18,12,12,7,23,30,4,8,12,10,16,23,23,23,24,29,29,29,28,
28,28,22,30,29,29,29,28,29,29,29,28,22,29,30,30,30,29,29,14,24,30,30,30,29,29,22,24,24,24,
23,23,23,24,16,22,24,24,23,23,23,23,22,22,24,22,24,24,23,23,23,14,18,24,24,23,23,31,30,30,
 };
static unsigned short stb__times_36_latin1_s[224]={ 254,248,241,173,59,113,190,71,124,152,182,
55,76,188,248,1,48,184,46,107,79,135,150,182,197,212,249,248,74,105,93,
134,12,146,156,233,22,1,231,1,207,195,142,219,114,158,91,139,25,76,135,
97,213,117,48,1,131,106,86,239,162,230,213,198,124,126,28,112,60,157,33,
189,171,224,71,166,156,86,130,141,96,62,243,171,234,183,201,218,113,234,71,
1,85,42,158,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,254,248,134,
64,38,177,82,148,177,25,94,1,132,188,110,74,229,19,202,245,151,129,135,
248,245,195,83,55,64,106,81,241,161,186,211,34,223,198,188,163,1,22,177,
1,122,236,66,22,1,78,184,207,99,154,43,167,74,1,26,51,129,104,43,
178,195,226,33,227,49,95,17,61,148,46,242,121,87,97,244,75,162,195,210,
12,166,1,17,148,38,215,77,206,73,53,106,88, };
static unsigned short stb__times_36_latin1_t[224]={ 1,33,289,123,94,94,123,305,1,1,289,
267,305,305,26,123,173,197,221,148,221,148,148,148,148,148,197,64,267,305,267,
123,1,173,244,123,221,221,197,148,197,197,197,221,221,221,197,94,244,33,221,
94,244,197,197,197,244,244,244,1,123,1,289,305,305,267,123,267,123,267,197,
173,173,173,1,197,197,289,289,267,221,221,267,267,244,267,267,267,289,173,289,
1,1,1,305,267,267,267,267,267,267,267,267,267,267,267,267,267,267,267,267,
267,267,267,267,267,267,267,267,267,267,267,267,267,267,267,267,267,1,1,33,
173,289,244,1,33,305,148,305,289,305,305,123,119,289,267,289,244,305,173,1,
58,257,289,305,289,148,173,173,94,33,33,33,94,64,64,221,1,64,64,64,
94,33,33,64,94,244,64,1,1,33,64,64,289,94,33,33,33,64,64,244,
94,94,94,173,148,148,123,289,244,123,123,148,148,148,148,221,244,94,244,94,
123,148,173,173,289,267,123,123,173,197,1,1,1, };
static unsigned short stb__times_36_latin1_a[224]={ 130,173,212,260,260,433,405,94,
173,173,260,293,130,173,130,145,260,260,260,260,260,260,260,260,
260,260,145,145,293,293,293,231,479,376,347,347,376,318,289,376,
376,173,202,376,318,462,376,376,289,376,347,289,318,376,376,491,
376,376,318,173,145,173,244,260,173,231,260,231,260,231,173,260,
260,145,145,260,145,405,260,260,260,260,173,202,145,260,260,376,
260,260,231,250,104,250,281,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,130,173,260,260,260,260,104,260,
173,395,143,260,293,173,395,260,208,285,156,156,173,300,236,130,
173,156,161,260,390,390,390,231,376,376,376,376,376,376,462,347,
318,318,318,318,173,173,173,173,376,376,376,376,376,376,376,293,
376,376,376,376,376,376,289,260,231,231,231,231,231,231,347,231,
231,231,231,231,145,145,145,145,260,260,260,260,260,260,260,285,
260,260,260,260,260,260,260,260, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_36_latin1_BITMAP_HEIGHT or STB_FONT_times_36_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_36_latin1(stb_fontchar font[STB_FONT_times_36_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_times_36_latin1_BITMAP_HEIGHT][STB_FONT_times_36_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_36_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_36_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_36_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_36_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_36_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_36_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_36_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__times_36_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__times_36_latin1_s[i] + stb__times_36_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__times_36_latin1_t[i] + stb__times_36_latin1_h[i]) * recip_height;
            font[i].x0 = stb__times_36_latin1_x[i];
            font[i].y0 = stb__times_36_latin1_y[i];
            font[i].x1 = stb__times_36_latin1_x[i] + stb__times_36_latin1_w[i];
            font[i].y1 = stb__times_36_latin1_y[i] + stb__times_36_latin1_h[i];
            font[i].advance_int = (stb__times_36_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__times_36_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_36_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_36_latin1_s[i] + stb__times_36_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_36_latin1_t[i] + stb__times_36_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_36_latin1_x[i] - 0.5f;
            font[i].y0f = stb__times_36_latin1_y[i] - 0.5f;
            font[i].x1f = stb__times_36_latin1_x[i] + stb__times_36_latin1_w[i] + 0.5f;
            font[i].y1f = stb__times_36_latin1_y[i] + stb__times_36_latin1_h[i] + 0.5f;
            font[i].advance = stb__times_36_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_36_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_36_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_36_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_36_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_36_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_36_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_36_latin1_LINE_SPACING
#endif

