// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_44_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_44_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_44_latin1_BITMAP_WIDTH         256
#define STB_FONT_times_44_latin1_BITMAP_HEIGHT        446
#define STB_FONT_times_44_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_44_latin1_FIRST_CHAR            32
#define STB_FONT_times_44_latin1_NUM_CHARS            224

#define STB_FONT_times_44_latin1_LINE_SPACING          28

static unsigned int stb__times_44_latin1_pixels[]={
    0x93004400,0x00040001,0x0001dcee,0x5565d4c4,0x00330001,0x001b8800,
    0x64000d44,0x00000eee,0x01bddb00,0x3bb20000,0x4000001e,0x0001eeec,
    0x3ffffff6,0x0ea8005f,0x000ffea8,0x5e800f60,0x2e2000bd,0xccabceff,
    0x22001cfe,0xd00004eb,0xfb1005ff,0xfff30007,0x000000bf,0x0005fff1,
    0x27ff4400,0x3a200000,0x360004ff,0x3cccccff,0x903b6200,0x001fffff,
    0xe800dc80,0xd9800bd5,0xeb8801df,0x076c001e,0x9fff1000,0x000cf980,
    0x3fffbfd0,0xfb800000,0x8000003f,0x00007ff8,0x007ff880,0x0003ff60,
    0x7080df98,0x00001fff,0xd5e805f9,0x067ec00b,0x003fa800,0xb00007fc,
    0x2fcc03ff,0x22bf5000,0x000006fe,0x00002fec,0x003ff300,0x3ff30000,
    0x03ff6000,0x402f4400,0x0000fff8,0xaf405f90,0x1fe8805e,0x04e88000,
    0x00013f20,0x02fe8013,0xf909f100,0x22000007,0x0000006f,0x00003fa8,
    0x0009f500,0x40003ff6,0xff8800fd,0xf100000f,0x2f57a01f,0x0003bea0,
    0x3002f880,0x000003ff,0x90003fdc,0x00075409,0x00075400,0x06b80000,
    0x1ae00000,0x007fec00,0xf0027e40,0x400001ff,0x3abd06fb,0x0037e605,
    0x003e6000,0x0000ffea,0x0007fd80,0x0006600a,0x00002e00,0x00190000,
    0x00640000,0x0007fec0,0xf8003fea,0x400000ff,0xbd5e83fe,0x0003fa20,
    0xb804c800,0x000004ff,0x00007ffa,0x00000000,0x00000000,0x00000000,
    0x001ffb00,0x7c005fe8,0x400000ff,0xeaf40ffc,0x0005fb05,0xc8078800,
    0x000004ff,0x8000bffa,0x9bdedca9,0x54c00000,0x009bdedc,0x2aaaaaa0,
    0x401aaaaa,0xaaaaaaaa,0x32a6000a,0x0009bded,0x98003ff6,0x7fc003ff,
    0x0000880f,0xd5e89ff5,0x800bf70b,0x2ea22cb9,0x7ec02d80,0x0440003f,
    0x8003ffd8,0xdcceffe9,0x0000dfff,0x6677ff4c,0x800dfffd,0xfffffeba,
    0x65401bef,0x0acfffff,0xceffe980,0x00dfffdc,0x2000ffd8,0x7c001ffc,
    0xffd710ff,0xff88009f,0x42f57a0f,0xdb3000ff,0x1ffeb937,0x3ffa02dc,
    0xfeb88002,0x009ff902,0x301ffe44,0x10005ffd,0x74c07ff9,0x3ee002ff,
    0xb0002fff,0x322003ff,0x3fa603ff,0x07fec02f,0x007ff880,0xfe88fff8,
    0x00efffff,0x5e8bffa0,0x004fa8bd,0xfcc81bf5,0xf80d505f,0x326001ff,
    0xf702ffff,0x3fe600bf,0x9ffb002f,0x17ffcc00,0x004ffd80,0x000dfff1,
    0xf98027d4,0xffb002ff,0x007fec09,0x8007ffb8,0xcdfe8fff,0x005ffffe,
    0xd5e93ff6,0xa801fd8b,0xfff980ef,0xff80f302,0x32aa000f,0xff502fff,
    0x3fff1009,0x05ffd800,0x001fff88,0xf802ffec,0x2a0006ff,0xfff8803f,
    0x2ffec001,0xb000ffd8,0xff000dff,0xffa81b9f,0xff9001ff,0x225eaf4f,
    0x1ffb806f,0x201fff10,0x037ec078,0x205fff00,0xfd803ff8,0xff98006f,
    0x37fec02f,0x17ffcc00,0x002fffc0,0xfb007f30,0xff3000df,0x01ffb05f,
    0x0017ffa0,0xfb817ffe,0xff7006ff,0x726d7a3f,0x3ff8807f,0x981bfe60,
    0x007fcc07,0x502ffe80,0xffa801ff,0xffd0002f,0x3ffea01f,0xfffd0002,
    0x05fff801,0x500fe600,0x20005fff,0x7ec0fffe,0x9fff000f,0x01fff000,
    0x800ffff8,0x0bd2fffb,0xffd007f2,0x203ffa80,0x03fc8069,0x205ffd00,
    0x7fc402fd,0x3ea0006f,0xfff884ff,0x3fea0006,0x2fffc04f,0x407f3000,
    0x0006fff8,0xfb13ffea,0xfff1001f,0x1fff0007,0x01fffb80,0xbd2fffa8,
    0xfb803f60,0x0ffec03f,0x3b200b50,0x2ffe8000,0xfc802fa8,0x7c0003ff,
    0x7fe41fff,0x7fc0003f,0x3ffe01ff,0x0fe60005,0x003fffc8,0xb0ffffc0,
    0xff3001ff,0xfff0005f,0x2fff9801,0xd3fff980,0xff01fa0b,0x80fff00f,
    0x37ee004d,0x8bff6001,0xfd001dea,0xe80005ff,0x7ff42fff,0x7f40002f,
    0x3ffe02ff,0x0fe60005,0x002fffe8,0xb17fff40,0xff5001ff,0xfff0005f,
    0x3fff8801,0xd4fff980,0xfa81be0b,0x27fd404f,0x360007e0,0x5ffb001f,
    0xff0013ee,0xd80003ff,0x7ffc4fff,0x7ec0001f,0x3ffe04ff,0x0fe60005,
    0x001ffff8,0xb27ffec0,0xff3001ff,0xfff0007f,0x05fff001,0x3a7fff10,
    0x3605f885,0x7ff401ff,0x5001aa02,0x7ec003bd,0x007baa2f,0x003fffe2,
    0x4bfff900,0x000ffff8,0x02fffe40,0x4000bfff,0xfff103f9,0xfc80001f,
    0x03ff65ff,0x013ffe20,0x2003ffe0,0xf9800fff,0x3e0bd2ff,0x701ffe05,
    0x26c01fff,0x0001d900,0x5f505ffb,0x07fffa80,0x7fffb800,0x001fffea,
    0x81fffee0,0x20005fff,0xfff503f9,0xff70000f,0x007fecff,0x0027ffc4,
    0x22007ffc,0xff5007ff,0x37417a3f,0x2205ff88,0x3ea06fff,0x007f9000,
    0x6c0bff60,0x3ffee02f,0xffa80006,0xdfff70ff,0xfff50000,0x17ffe01f,
    0x703f9800,0x0000dfff,0x361ffff5,0xfff000ff,0x1fff000b,0x006ff980,
    0x57a1fff7,0x7d41f64d,0xff7d105f,0x9801f409,0xfb0000ff,0x03fe605f,
    0x003fffdc,0x73fffd40,0x0000ffff,0x7c0ffff5,0x260005ff,0xffff703f,
    0xfff50000,0x8007fecf,0xf8006ffd,0x7fd401ff,0x4fff9002,0x07e4bd5e,
    0x2207ffcc,0xb02ffbae,0x037ec00d,0x205ffb00,0xff503ff8,0xf50000ff,
    0x7ffd4dff,0xffa80007,0x17ffe06f,0x503f9800,0x0000ffff,0x7ecdfff5,
    0xdff5000f,0x05fff000,0x36005fe8,0x2f57a5ff,0x3ffa05f5,0xf72eb88c,
    0x40ed883f,0x00fff019,0xa817fec0,0xfff104ff,0xfb80001f,0x3ffe25ff,
    0x7dc0000f,0x3ffe05ff,0x0fe60005,0x007fffc4,0x97ffee00,0xf1000ffd,
    0xfff000ff,0x07fea01d,0x3a1ffe80,0x905f8bd5,0x43ffffff,0xfb88dff9,
    0xff01f885,0x3f60003f,0x0bff702f,0x000ffffc,0xf0ffff20,0x80003fff,
    0x3a03fffc,0x2a0006ff,0x3fffe02f,0x7fe40001,0x003ff63f,0x4001ffd8,
    0x541dffff,0x7fc002ff,0x645eaf46,0xfffc880f,0xffffe80c,0x740b901d,
    0xfb0002ff,0x13ff205f,0x002fffe8,0x217ffec0,0x0002fffe,0xd017ffec,
    0x54000dff,0x3fffa02f,0x7fec0002,0x003ff62f,0x4004ff98,0xdefeafff,
    0x4c000efe,0x5eaf43ff,0x03101fcc,0x44013510,0x0fff600f,0x817fec00,
    0x3ee03ffd,0x740004ff,0x7fdc0fff,0x7f40004f,0x3ffa00ff,0x07ee0007,
    0x004fffb8,0xb07fff40,0xfd8001ff,0x87ffc006,0x0000aba9,0xd5e81ff7,
    0x0001fb0b,0x90136000,0x360009ff,0x5ffd01ff,0x00fffe80,0x05fff500,
    0x0003fffa,0x2017ffd4,0x0000fffc,0xffe801f9,0xff50000f,0x00ffd85f,
    0x0007fcc0,0x00001fff,0xd5e83fe8,0x000bd10b,0x801f7000,0xb0004ffb,
    0x3ffa01ff,0x27ffd401,0x05ffe800,0x0013ffea,0x5c02fff4,0xd0002fff,
    0x9fff500d,0x17ffa000,0x20003ff6,0x3fe004fc,0x2a00000f,0x17abd05f,
    0x00001fcc,0xf5003f70,0x3fa0007f,0x401ff607,0x4000fffd,0x6c00fff9,
    0x4c000fff,0xf8800fff,0xfa8005ff,0x1fffb004,0x0fff9800,0x0000ffd8,
    0x3fe003fb,0x3a00000f,0x17abd00e,0x00003fb8,0xf3000ec8,0x3fa0003f,
    0x401fee06,0x2004fff8,0x8802ffe8,0x22004fff,0x32002ffe,0x22001fff,
    0xff1000ff,0x7f44009f,0x01ffb02f,0x401ba200,0x00000fff,0xeaf403f7,
    0x006fd405,0x0076c400,0x40009f90,0x17f403fe,0x05ffd880,0x001eff98,
    0x2017ff62,0x4001eff9,0x802fffe8,0x44002ffa,0xf9805ffd,0x3ff601ef,
    0x17620000,0x003fff10,0xe805f900,0xdd100bd5,0x3f220005,0x077c000c,
    0xf8837ee0,0x005f9806,0x20577fdc,0x000dffb9,0x815dff70,0x000dffb9,
    0x7bfffb10,0xfffb7313,0x7fdc0003,0x7fdcc0ae,0x67fec00d,0x4003cccc,
    0xfff300db,0x0dd80005,0x00bd5e80,0x200e7f5c,0x000cfc98,0x740076cc,
    0x1fc8bfff,0x0019f300,0x77fff6c4,0x0002dfff,0xefffed88,0x0002dfff,
    0xfffffd50,0x0017ffff,0xfffdb100,0x005bfffd,0x3bbbbbb2,0x0d98004e,
    0x3ffffae6,0x03d8002b,0x002f57a0,0x6777fecc,0x00ceffed,0x0027ec40,
    0x1dfffff7,0x0bfd8800,0x55dcc400,0x22000000,0x0000abb9,0x332aa200,
    0x000001ab,0x002aee62,0x10000000,0x55555554,0x004000aa,0x001dcee0,
    0x2af2a660,0x00cc0001,0x00aba880,0x0000a800,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0x0001eeed,0x0eeec800,
    0x54c40000,0xaaaaaaaa,0x7ffcc002,0xcedb8005,0x7ddd3002,0xeeeb8000,
    0x40000002,0x0001eeec,0xb30bb220,0x0000003b,0x3fffee00,0x00007fff,
    0x000fffe2,0x3ffea000,0xc980005f,0xeeefffff,0x4006eefe,0x2000effc,
    0x1df52de9,0x0ffffe80,0x2fff4000,0xf3000000,0x0000bfff,0xfb07ffe4,
    0x3ee000df,0x006fe41e,0xfccccca8,0x2e00007f,0x000004ff,0x3fffbfd0,
    0x7ffd4000,0x1f43ffff,0x00ffe800,0x3f217e20,0x3f7fee05,0x7440005f,
    0x0000007f,0x0bffbbfa,0x7ffec000,0x001fffa0,0xf997ffe2,0x740003ff,
    0x3600007f,0x0000005f,0x1bfa29f7,0x7fffd400,0x1f43ffff,0x00ffc400,
    0x3ee0bf20,0x71ff880f,0x980003ff,0x000001ff,0xdfb15fa8,0x3fe60000,
    0x001ffd44,0xf32fffc4,0xe80007ff,0x3e00007f,0x10000006,0x005f909f,
    0xffffffa8,0x01f43fff,0x40017dc0,0x1ffc80fe,0x37d40ec8,0x027d4000,
    0x42740000,0x200003fc,0x40001100,0x6fe41dfb,0x3ff40000,0x00ea8000,
    0x07900000,0xf9000754,0xffffffff,0xd8003e87,0x05ff0003,0x01d10df5,
    0x20000ba2,0x4000006b,0x003ea04b,0x00000000,0x74000000,0x3700007f,
    0x14000000,0xfd000cc0,0xffffffff,0x48003e87,0x417fa000,0x07001500,
    0x00032000,0x28802800,0x00000000,0x00000000,0x00000ffd,0x00000000,
    0x3ffe2000,0x3fffffff,0x000001f4,0x0013ff20,0x00000000,0x00000000,
    0x00000000,0x6f6e54c0,0xe800009b,0x5555507f,0x03555555,0xaaaaaaa8,
    0x555550aa,0x03555555,0xaaaaaaa8,0xffff10aa,0x87ffffff,0x0000003e,
    0x802fffcc,0xaaaaaaaa,0x20000aaa,0x00000059,0x64000598,0x2eeeeeee,
    0x3eeeee88,0xceffe980,0x00dfffdc,0x541ffa00,0xffffffeb,0x7e5401be,
    0x50acffff,0xffffffd7,0xfca8037d,0x20acffff,0xfffffffe,0x641f43ff,
    0x2eeeeeee,0x3eeeee88,0x805fffb8,0xfffffeba,0x20000adf,0x000000fd,
    0x00007ec0,0x1bffff71,0x402ffc80,0x2603ffc8,0xd0002ffe,0xfff700ff,
    0x3f60005f,0x7ffdc01f,0xffb0002f,0x3ffff203,0x743fffff,0xffffb883,
    0x17fe400d,0x01dfffd0,0x03bfff60,0x13fe2000,0xf8800000,0xfb80004f,
    0x3fb803ff,0x017ffcc0,0x8004ffd8,0xff8807fe,0x3ea0006f,0x6fff8804,
    0x813ea000,0xfffffffa,0x701f43ff,0xf7007fff,0x7fee6407,0xffa801ff,
    0xf900004f,0x000000ff,0x0003ffe4,0xd805ffe8,0x3ffe200f,0x2ffec001,
    0x401ffa00,0x20006fff,0xfff003fa,0x1fd4000d,0x3fffff20,0x01f43fff,
    0x36017ffa,0x7dc7900f,0x7d401fff,0xf00003ff,0x00005fff,0x0bfffe00,
    0x3ffea000,0xb013e200,0xf3000dff,0x7f4005ff,0x0bfff007,0x801fcc00,
    0x20005fff,0xffb803f9,0x743fffff,0x07ffd403,0x13209f10,0x803fffea,
    0x0003fff9,0x06ffffa8,0xffa80000,0xd00006ff,0x0fdc07ff,0x005fff50,
    0x003fffa0,0xff803ff4,0x3e60005f,0x0bfff003,0x801fcc00,0x3fffffc9,
    0x7ff401f4,0x2207ee03,0xdfff302f,0x01fffcc0,0x7feff400,0x4000001f,
    0x01fffdfe,0x0fffa800,0x7fc40dd0,0x3ea0006f,0xffd004ff,0x017ffe00,
    0xf003f980,0x4c000bff,0x9988003f,0x5401f43f,0x0dd00fff,0xff8803ee,
    0x7fff300f,0x9cf98000,0x00004fff,0x3fe73e60,0xfd00004f,0x407f307f,
    0x0003fffc,0x400ffffc,0xfff007fe,0x1fcc000b,0x005fff80,0x0000fe60,
    0xd003e87f,0x07f307ff,0xff3007f6,0x0fffe607,0x3a1fb000,0x00000fff,
    0x3ffa1fb0,0xfa80000f,0x200fd87f,0x0002fffe,0x4017fff4,0xfff007fe,
    0x1fcc000b,0x005fff80,0x0000fe60,0x5003e87f,0x01fb0fff,0x3f6013fa,
    0x07fff305,0xf52fc400,0x000007ff,0x7ffd4bf1,0xffd00003,0x3e027c47,
    0x40001fff,0xe804fffd,0xbfff007f,0x01fcc000,0x0005fff8,0xf0000fe6,
    0x3a003e87,0x813e23ff,0x7d400ffc,0x07fff304,0x3e0fdc00,0x800006ff,
    0x37ffc1fb,0x6ffb8000,0xff8807ee,0x640000ff,0xfe805fff,0x0bfff007,
    0x801fcc00,0x20005fff,0x7c0003f9,0xf7001f43,0x300fdcdf,0x7cc01dff,
    0x07fff301,0x7e437c00,0x400001ff,0x1fffc86f,0x5fff0000,0xfff501ba,
    0xff70000f,0x0ffd00ff,0x0017ffe0,0xff003f98,0x7cc000bf,0x21fc0003,
    0x7ffc003e,0xffd00dd2,0x981ee01d,0x50003fff,0xbfff105f,0x17d40000,
    0x002fffc4,0xf9effb80,0x37ffdc02,0x7ffd4000,0x03ff400f,0x0005fff8,
    0x7fc00fe6,0x3e60005f,0x21fc0003,0x7fdc003e,0xf9802f9e,0x03e81fff,
    0x000fffe6,0xfffb03f4,0x1fa00001,0x000fffd8,0x7ffff880,0x07fffb80,
    0x7fffa800,0xf007fe80,0x4c000bff,0xbfff003f,0x01fcc000,0x07d0fe00,
    0x7ffff880,0x3fffea00,0xff300b23,0x9f30007f,0x01fffd40,0x5027cc00,
    0x00007fff,0x2013fff2,0x0007fffa,0x806fffa8,0xfff007fe,0x1fcc000b,
    0x005fff80,0x0000fe60,0x8003e87f,0x4004fffc,0x2dcffff9,0x03fff980,
    0x7400fc80,0xc80007ff,0x3fff400f,0xfff88000,0xffff8801,0x7fdc0000,
    0x07fe805f,0x000bfff0,0xff801fcc,0x3e60005f,0x21fc0003,0xff88003e,
    0xfe88001f,0xff3005ff,0xef88007f,0x99999999,0x0002fffc,0x26667be2,
    0xfffc9999,0xbf900002,0x0ffffc00,0x3fff2000,0x007fe803,0x4000dffd,
    0xffd002fa,0x17d4000d,0x7d0fe000,0x017f2000,0x2fffd880,0x03fff980,
    0x7ffffdc0,0xffffffff,0x3ee0005f,0xffffffff,0x005fffff,0x4005f500,
    0x0002fffe,0x4017ffec,0xffd007fe,0x17d4000d,0x006ffe80,0x0000bea0,
    0x0003e87f,0x900005f5,0xf9801fff,0x774003ff,0x99999999,0x01fffd99,
    0x3333dd00,0xfb333333,0xb00003ff,0xfffb800f,0x7ff40004,0x07fe800f,
    0x000fffd0,0xfe800fdc,0x3ee0007f,0x21fc0001,0x0fb0003e,0x1ffe4000,
    0x00fffe60,0x26002fa8,0xa8004fff,0x3fe6002f,0x7c40004f,0xfffe8004,
    0xfff50000,0x01ffa005,0x0007ffe4,0xf9000fc8,0x320001ff,0x1fc0000f,
    0x3e2000fa,0xb0088004,0xfff980bf,0x001f6003,0x0003fffa,0xffd000fb,
    0x7e40001f,0xfffa8000,0xbffd0004,0x803ff400,0x0002fffb,0x7fdc00dd,
    0x0dd0002f,0x3e87f000,0x000fc800,0x7d40ffc4,0x1fffcc06,0x8004f980,
    0x2003fffa,0xfa8004f9,0xf10003ff,0x7fec000b,0x7fcc000f,0x1ffa000f,
    0x02fffc40,0x10027d40,0x5000bfff,0x7f00009f,0x7c4003e8,0x3ffa8005,
    0x7cc05f88,0x1fb003ff,0xffff1000,0x0007ec00,0x403fffc4,0x003f60a8,
    0x04fff880,0x00bffa20,0x6400ffd0,0x22001fff,0x7e4000ff,0x3e2001ff,
    0x3f80000f,0x415101f4,0xf98000fd,0x402fa82f,0x9804fffa,0x3f60006f,
    0x6f9803ff,0x3fff6000,0x3bffee03,0x880004ff,0xf9805ffd,0xfe8001ef,
    0x3ffa2007,0x2ffa802f,0xfffe8800,0x02ffa802,0x3e87f000,0xffdfff70,
    0x0fec0009,0x7fdc02f4,0x04fd804f,0x3fffee00,0x0027ec00,0x01ffff70,
    0x17fffff6,0xdff70000,0xdffb9815,0x0ffd0000,0xdfffd880,0xffdb989b,
    0x3620001f,0x989bdfff,0x001fffdb,0x07d0fe00,0x17fffff6,0x15db1000,
    0xea801bd5,0x9102ffff,0x10003fff,0x05dffffd,0x003fff91,0xdffffd10,
    0x7dfff505,0x36200000,0xfffefffe,0x9995002d,0x000fff99,0x3fffffaa,
    0x000bffff,0xffffd500,0x017fffff,0x743f8000,0x7dfff503,0x6e540000,
    0x7fff402c,0x1effffff,0xfffffff9,0xfffd1007,0x23ffffff,0xfffffffc,
    0xfffe8803,0x41ffffff,0x000001b8,0x02aee620,0x3bbbaa00,0x40005eee,
    0x1abccaa8,0x2a200000,0x001abcca,0x37072000,0x0000dc40,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2f7b6ea2,0x80000009,0x0000deed,0x88055400,0xdd900000,0x0000003d,
    0x0001bddb,0x00777640,0x027774c0,0x2201a800,0x3baa0000,0xd100003e,
    0x00000bdd,0x6effff4c,0x000dffff,0x7fff1000,0x75400000,0x01b83fff,
    0x9ffd1000,0xf9800000,0x200002ff,0x005ffff9,0x000fff70,0x82fffea8,
    0x3f60001b,0x2e00005f,0x00001fff,0x3019ff90,0x0005ffd7,0x009ff700,
    0x7ffcc000,0x03a2efff,0x6ff88000,0x7dc00000,0x7400003f,0x001fffdf,
    0x0005ffb0,0x3fffffe6,0x40003a2e,0x0000eff8,0x0007ff60,0x0bffa600,
    0x013ff620,0x00bfb000,0xd33c8000,0x0dffffff,0x3ff30000,0x7f400000,
    0x7dc00004,0x000dfd15,0xc80027f4,0xfffffd33,0x7d4000df,0x7c00000f,
    0x8800003f,0x74002fff,0x100005ff,0x000000df,0xffffd50b,0x2a000001,
    0x1000003f,0x880000bf,0x003fc84f,0x2000fd10,0xeffffa85,0x07f60000,
    0x09f50000,0x3ff60000,0xfff98006,0x0ea80002,0x02800000,0x00002f2a,
    0x0000d900,0x00003aa0,0x07540990,0x001f8800,0x02b2a028,0x0005f000,
    0x0000b900,0x00bffea0,0x0077fec0,0x00006e00,0x00000000,0x00032000,
    0x00002e00,0x006600a0,0x00002980,0x07300000,0x00120000,0x37ffc400,
    0x9fff5000,0x00000000,0x2aaaaaa6,0xaaaa8001,0x0002aaaa,0x00000000,
    0x00000000,0xa9800000,0x009bdedc,0x00000000,0x7e400000,0x220003ff,
    0x0001ffff,0x260002cc,0x1fffffdb,0x7ffe5400,0x2aa22dff,0xaaaaaaaa,
    0xaaaaaaaa,0xaaaa882a,0xaaaaaaaa,0x2aaaaaaa,0xaaaaaa88,0xaaaaaaaa,
    0x502aaaaa,0x55555555,0xfd300155,0xfffb99df,0x2aaa001b,0xaaaaaaaa,
    0x55555530,0xa8035555,0x2aaaaaaa,0x017fff40,0x0bfff600,0x001fb000,
    0x3fffa600,0xdfb0000f,0xfffb5101,0xffffffff,0x1fffffff,0xffffda88,
    0xffffffff,0x40ffffff,0xfffffda8,0xffffffff,0xa80fffff,0xffffffeb,
    0x3f2200ad,0x3ffa603f,0xffeba802,0x30adffff,0xfffffffb,0xfdb8037d,
    0x403dffff,0x0001ffff,0x0027ffe4,0x0009ff10,0x37fff440,0x003fb800,
    0x3337fffd,0xf9533333,0xfffe801f,0x9999999b,0x400ffca9,0x999bfffe,
    0xfca99999,0x7ffec00f,0xfff9800e,0x09ffb002,0x077ffec0,0xdffffd30,
    0x5fffb000,0x1ffff300,0xfffb8000,0x3ff20005,0x7d400007,0xa8005fff,
    0xfff7003f,0x00fdc003,0x8007ffee,0x7fdc01fb,0x07ee001f,0x009fff50,
    0x8003fff1,0xf5005ffd,0xff1009ff,0xf7000bff,0x3fea001f,0xfa80007f,
    0x3e0007ff,0x00002fff,0x0fffffea,0x2005f300,0x4001fffb,0x7ffdc01f,
    0x200fc001,0x4001fffb,0x7ffd401f,0x06ffd803,0x02fff980,0x003fffa8,
    0x001ffff5,0x2e002fd8,0x80006fff,0x000ffffa,0x06ffffa8,0x3f7ea000,
    0x26002fff,0xfff5002f,0x402d8003,0x4001fffa,0x7ffd402d,0x2016c001,
    0x5403fff9,0xd0002fff,0xf9801fff,0x3f6003ff,0x3e6005ff,0x7ffdc004,
    0xff980007,0xfe8000ff,0x0001fffd,0xfff95f50,0x0be6001f,0x00fffd40,
    0xff500260,0x0098003f,0x000fffd4,0xfff30026,0x37ffc407,0x9fff5000,
    0x03fff980,0x0bfffe20,0x20007f40,0x0007fffb,0x007fffa8,0xfff9cf98,
    0x5f500004,0x003bfff6,0x7d400be6,0x800001ff,0x0001fffa,0x01fffa80,
    0xfff98000,0x0ffff203,0x3ffff000,0x01fffcc0,0x03bffea0,0x50005f70,
    0x0001ffff,0x005fffb8,0xfffd0fd8,0x5f500001,0x017fffa2,0x7d400be6,
    0x001001ff,0x800fffd4,0x3ffea000,0x4c001001,0x3fa03fff,0x740002ff,
    0x3e602fff,0xfd8003ff,0x17e204ff,0x7fffcc00,0x7fe40001,0x2fc4004f,
    0x0007fff5,0x7fcc5f50,0x17cc04ff,0x01fffa80,0x7fd400d0,0x400d001f,
    0xd001fffa,0x1fffcc00,0x003ffff0,0x04fffd80,0x000fffe6,0x407fffe2,
    0x3a0000fd,0x40002fff,0x4002fffd,0x37ffc1fb,0x217d4000,0x202ffffa,
    0xff5002f9,0x00f1003f,0x400fffd4,0x3fea0078,0x0078801f,0x440fffe6,
    0x0000ffff,0x302fffe4,0x20007fff,0xfa86fffa,0x7fe40003,0x7f40004f,
    0x86f8006f,0x0001fffc,0x7fdc17d4,0x05f301ff,0x007ffea0,0xffa801f6,
    0x007d801f,0x2007ffea,0x3fe6007d,0xffff503f,0xfff70000,0x1fffcc0f,
    0x7fffb000,0x400037c4,0x000ffff8,0x005fff30,0xff882fa8,0x7d40005f,
    0x1dfffb02,0x2a005f30,0xaaaacfff,0x007fecba,0x2ab3ffea,0x7fecbaaa,
    0x33ffea00,0xecbaaaaa,0x3fe6007f,0xdfff703f,0xfff50000,0x3ffe601f,
    0x3fe20003,0x003fb1ff,0x0fffea00,0x037ff400,0xffb03f40,0x7d40001f,
    0x17fffa02,0x7d400be6,0xffffffff,0x2007ffff,0xfffffffa,0x07ffffff,
    0x3ffffea0,0xffffffff,0x3ffe6007,0x0ffff703,0xffff5000,0x01fffcc0,
    0x3bffee00,0x400003fa,0x4000fffb,0x4002fff9,0x3fea04f9,0x3ea0003f,
    0x3fffe202,0xa8017cc4,0x2a601fff,0x3fea007f,0x1fea601f,0x01fffa80,
    0x9801fea6,0xff503fff,0xf50000ff,0x7fcc0dff,0xfd80003f,0x00006fff,
    0x8009ffb0,0xc8002ffe,0x3fff400f,0x805f5000,0x262ffff9,0xfff5002f,
    0x400f5003,0xa801fffa,0x3ffea007,0x2007a801,0xf103fff9,0x80001fff,
    0x2605fffb,0x80003fff,0x001ffff8,0x9ffd1000,0x05ffd100,0x333df100,
    0xff933333,0x3ea0005f,0xffffb802,0x2a005f31,0x78801fff,0x07ffea00,
    0xfa801e20,0x078801ff,0x80fffe60,0x0001ffff,0x301fffe4,0x00007fff,
    0x0001fff2,0x27bfee00,0x0f7fdc40,0xffffb800,0xffffffff,0xf50005ff,
    0x3fff2005,0x5002f98f,0x12003fff,0x01fffa80,0x7fd40090,0x4009001f,
    0x3a03fff9,0x40002fff,0x2602fffd,0x00003fff,0x0000fff9,0x3fff2200,
    0x02efffee,0x4ccf7400,0xd9999999,0xa8001fff,0x3ff6002f,0x5002faef,
    0x00003fff,0x003fff50,0x3fff5000,0xff300000,0x7ffdc07f,0x7ff40004,
    0x3ffe600f,0xff900003,0x8000000f,0x5fffffe8,0x02fa8000,0x013ffe60,
    0x8800bea0,0x02fefffe,0x003fff50,0x3fff5000,0xff500000,0x3000003f,
    0xfe807fff,0xf50000ff,0xff9805ff,0xf900003f,0x000000ff,0x3fffff20,
    0x03ec0002,0x007fff40,0x3000bea0,0x005fffff,0x0007ffea,0xfffa8054,
    0x20150001,0x0001fffa,0x3ffe6015,0x27ffd403,0x05ffe800,0x003fff98,
    0x00fff900,0x7d400000,0x0000ffff,0xf50009f3,0xfa8007ff,0xfffa8002,
    0xfff5002f,0x40f10003,0x8001fffa,0x3ffea078,0x20788001,0xd803fff9,
    0x4c000fff,0xf9800fff,0x900003ff,0x00000fff,0xfffe9800,0x01fb0005,
    0x0ffff100,0x0002fa80,0x2005fff9,0x8001fffb,0x3ffee04e,0x204e8001,
    0x8001fffb,0x3ffe604e,0x4fff8803,0x0bffa200,0x01fffcc0,0x0fffc800,
    0x80000000,0x000efffb,0xd8001be6,0x2e003fff,0x3f60003f,0xfff7002f,
    0x01fb8005,0x000bffee,0x7fdc03f7,0x0fdc002f,0x009fff50,0x2017ff62,
    0x2001eff9,0x0004fffa,0x001fffb0,0x54000000,0xfb002efe,0x7fdc0009,
    0xfe8800ff,0xfd10002e,0x3fff2005,0x01ff2003,0x4007fff9,0x7fe407fc,
    0x1ff2003f,0x009fff70,0x40aeffb8,0x000dffb9,0x0027ffdc,0x01fffe80,
    0x80000000,0x880adfda,0x8001fffc,0x2effffe8,0xfffffdd0,0xf88001df,
    0xffff9802,0xbaaaaacf,0x204fffcc,0xacfffff9,0xfccbaaaa,0x3fe604ff,
    0xaaaacfff,0x4fffccba,0x3ffffaa0,0x7f6c4002,0x2dfffeff,0xfffea800,
    0x3220002f,0x001dffff,0x20000000,0x3ff24ba8,0x803fffff,0xffffffe8,
    0x00001fff,0x3a201300,0xfffffffe,0xffffffff,0x77441fff,0xffffffff,
    0xffffffff,0x7f7441ff,0xffffffff,0xffffffff,0xffffe81f,0x01efffff,
    0x055dcc40,0xffffe800,0x01efffff,0xfffffd30,0x0009dfff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xdedcb880,0x0000d01b,0x00000000,0x50002cc0,
    0x00022015,0x00000000,0x017db500,0x00190000,0x01cedb88,0x0017e200,
    0xc83df700,0x980000df,0xdccdeffd,0x07c8bdfe,0xf907bee0,0x7fd3001b,
    0x0002fea8,0x3aa00176,0x02b83fff,0x07bee000,0x00001bf9,0x1faf3f20,
    0x007e0000,0xffbbff98,0x01f90002,0x7ffc4000,0x00fffe65,0x05dff900,
    0x07fffecc,0x32fffc40,0xfb007fff,0x37ff41ff,0x002f8800,0x7fffffcc,
    0x00003a2e,0xf32fffc4,0x000009ff,0x0005f07e,0x59bf9510,0x50ff4401,
    0xfa8003ff,0x7c400002,0x3ffe64ff,0xffd10003,0x7ffd4009,0x4fff8800,
    0x200fffe6,0x3fa0fffd,0x0f50006f,0x3fa67900,0x006fffff,0x97ffe200,
    0x0003fff9,0x05c86a80,0x37ff2200,0x0beffedf,0x2ffc37ec,0x0009f100,
    0x9077ee00,0xd10001bf,0xf70009ff,0x37ee003f,0x4006fe41,0x77543fd9,
    0x009b0002,0xfffd50b0,0xb800001f,0x06fe41ef,0x07cc0000,0x74400136,
    0x3623f1cf,0x427fc4ff,0xdb000ffd,0x00000001,0xdffb0000,0x00fe4000,
    0x00000000,0x007e2000,0x0bca80a0,0x00000000,0x9dd80000,0xd0000fb8,
    0x7e41f8df,0x3213fe64,0x1fa802ff,0x00000000,0x2fffa800,0x00be2000,
    0x00000000,0x000d7000,0x00000000,0x00000000,0x007dffb3,0x3f0ffee0,
    0x3fee4f88,0x403ffc83,0x550004f8,0x55555555,0xaaaa8035,0x7c0aaaaa,
    0xd80007ff,0x2aaaaa22,0xaaaaaaaa,0x02aaaaaa,0x55555555,0x51001555,
    0x400009d5,0x00000059,0x00000598,0x0000fd80,0x03f07ff2,0x41ffdc99,
    0x36c03ffb,0xffd75000,0x037dffff,0xfffffca8,0x3ffea0ac,0x23a80004,
    0xfffffda8,0xffffffff,0xa80fffff,0xffffffeb,0x3fee00ad,0x0001efff,
    0x00001fb0,0x000fd800,0x3fe20000,0x3ffa0004,0x52540fc3,0x5ff909ff,
    0x0000fdc0,0x02ffffb8,0x203ffb00,0x0002fffd,0xbfffe800,0x99999999,
    0x6c00ffca,0x4c00efff,0xfffb0bfe,0xff880007,0x20000004,0x00004ff8,
    0x01fff200,0x7c6ffc80,0x3fe23881,0x101ffc85,0x4400009f,0x20006fff,
    0xfff104fa,0x0000001f,0x4003fff7,0x7fd401fb,0x0ffc404f,0x007fff7e,
    0x007ffc80,0x3ff20000,0x20000007,0x0002ffff,0x0fc9fff5,0xfe86ff80,
    0x000dd00f,0x00dfff00,0xf981fd40,0x00000fff,0x01fffb80,0x3ea00fc0,
    0x27ec03ff,0x17ffe3ea,0x2ffff800,0xff000000,0x000005ff,0x0dffff50,
    0x3fffe200,0x3ea003f4,0x40ffe20f,0x800001fb,0x20005fff,0xfff503f9,
    0x2000000f,0x4001fffa,0x7ffcc02d,0xb03fee03,0x0017ff6b,0x037fffd4,
    0x7fd40000,0x000006ff,0x1fffdfe8,0xffff7000,0x7e4003fb,0x260bfb14,
    0xf000003f,0x4c000bff,0xffff703f,0x2a000000,0x4c001fff,0x1fffcc00,
    0x2f88dfd0,0x740002ea,0x001fffdf,0x7eff4000,0x000001ff,0x3ffe73e6,
    0x3ff20004,0x5c002fff,0x3a04ffee,0x3e000006,0x260005ff,0xdfff703f,
    0x2a000000,0x00001fff,0x203fff98,0x003d45ff,0xff39f300,0x4000009f,
    0x4fff9cf9,0x3f600000,0x001fffd0,0x7ffffdc0,0x40188004,0xfd7300fc,
    0xfff80039,0x0fe60005,0x003fffd4,0xfffa8000,0x4c001001,0xff103fff,
    0x00004d89,0x7fff43f6,0xfb000000,0x003fffa1,0xa97e2000,0x40003fff,
    0x0effffe9,0x0fe60000,0x7f4d7fcc,0x17ffe002,0x303f9800,0x0000ffff,
    0x07ffea00,0xff300340,0x97fea07f,0x100001f8,0x1fffd4bf,0x2fc40000,
    0x0007fff5,0xff83f700,0xf900006f,0x0005ffff,0x7f4417a0,0x4007fe22,
    0x20005fff,0xfff103f9,0x0000001f,0x1003fff5,0x7ffcc00f,0x5cdff503,
    0x3ee00006,0x0037ffc1,0x3e0fdc00,0x800006ff,0x1fffc86f,0xffff0000,
    0xc80005ff,0xb0ffb00f,0x3ffe00ff,0x0fe60005,0x002ffff8,0xfffa8000,
    0x2007d801,0xf303fff9,0x0013a1ff,0xffc86f80,0x7c00001f,0x01fffc86,
    0x20bea000,0x0005fff8,0xffffb3f0,0x0be60005,0xffb86fe8,0x05fff801,
    0xb80fe600,0x00005fff,0xacfffa80,0xfecbaaaa,0x3ffe6007,0x26fffe03,
    0x4006a01f,0xfff882fa,0x3ea00005,0x05fff882,0xd81fa000,0x80000fff,
    0x1ffff71f,0x205e8800,0xffb85ff8,0x05fff802,0x880fe600,0x0000ffff,
    0x3ffea028,0xffffffff,0x3e6007ff,0x3ffa03ff,0x003406ce,0x7ffec0fd,
    0x0fd00000,0x0007ffec,0xf5027cc0,0xf00007ff,0x01fffdc3,0xfa803f20,
    0x04ffa85f,0x0005fff8,0xff700fe6,0x4a80009f,0x807ffea0,0x26007fa9,
    0x3f203fff,0x12e03fff,0xf5027cc0,0x300007ff,0x7ffd409f,0x0fc80003,
    0x003fff40,0x3ffa0fc0,0x00bea005,0xff509ff5,0x0bfff009,0x201fcc00,
    0x001ffff8,0xffa80d30,0x007a801f,0x980fffe6,0xf904ffff,0x003f2001,
    0x0000fffd,0xffe801f9,0x77c40007,0x99999999,0x2802fffc,0xdff707e0,
    0x2017e200,0xffb85ff8,0x05fff803,0x200fe600,0x001ffff9,0x3ea00f4c,
    0x078801ff,0x00fffe60,0x99fffff5,0x22005ffb,0x999999ef,0x02fffc99,
    0x267be200,0xfc999999,0x2e0002ff,0xffffffff,0x05ffffff,0x983f00e8,
    0x1fb004ff,0x2e1bfe00,0xffe802ff,0x0bea0006,0x5ffffcc0,0x801fb800,
    0x9001fffa,0x1fffcc00,0x7ffffec0,0x2e004fff,0xffffffff,0x05ffffff,
    0x3fffee00,0xffffffff,0x3a0005ff,0x9999999e,0x1fffd999,0x41f81740,
    0xfa803ffb,0x21ff6002,0xfe800ffd,0x3ea0006f,0x3ff62002,0xb999acff,
    0xf5000efd,0x000003ff,0x5007fff3,0x5fffffff,0x999ee800,0xd9999999,
    0xd0001fff,0x3333333d,0x3fffb333,0x005f5000,0x2027ffcc,0xfd83f06e,
    0x027c400f,0xf88bfa20,0xfffd003f,0x00fdc000,0x7fffed40,0x002effff,
    0x000fffd4,0x1fffcc00,0x1aa8a6c0,0x002fa800,0x0013ffe6,0xf9800bea,
    0x7d8004ff,0x0fffe800,0x87e13fa0,0x6d802ffb,0x35ff3000,0x7e400bfd,
    0xf90000ff,0x5d440001,0x0000aacf,0x0003fff5,0x7ffcc02a,0x000fc403,
    0xe8007d80,0x6c000fff,0xfffe8007,0x013e6000,0x80fffea0,0x27e1effe,
    0xb802ffc8,0x2e60001f,0x5c003efe,0xd0002fff,0x3f20000d,0xffa80002,
    0x0788001f,0x700fffe6,0x3e60000d,0xfffa8004,0x013e6003,0x00fffea0,
    0x88000fd8,0x2e207fff,0xfefefffd,0x000000df,0x7c400000,0xfa8005ff,
    0xff980004,0x7dc0004f,0x4e8001ff,0x00fffe60,0x3600007d,0xff88000f,
    0x03f6007f,0x1fffe200,0x00037cc0,0x1007fffb,0x0039f753,0x00000000,
    0x01fffc80,0x0003fe20,0x01ffea20,0x05fff700,0x2a01fb80,0x3e604fff,
    0x6f980000,0x3fff6000,0x006f9803,0x00ffff60,0xb80013f6,0x4000ffff,
    0x1111001f,0x11111111,0x11111111,0xfe880000,0xffa802ff,0x7e400002,
    0x7fe40006,0x1ff2003f,0x409fff70,0xfb00006c,0x7fdc0009,0x27ec00ff,
    0xffff7000,0x3fff2201,0xffe88001,0x3e002eff,0xffff9801,0xffffffff,
    0xffffffff,0x6c400000,0x989bdfff,0x001fffdb,0x003ff800,0x3ffffe60,
    0xcbaaaaac,0x2a04fffc,0xd02ffffe,0xfc880007,0xe88001ff,0x882effff,
    0x8001fffc,0x2effffe8,0x7fffffe4,0xffe8803f,0x1fffffff,0x33220000,
    0xcccccccc,0xcccccccc,0x000000cc,0xffffffd5,0x00017fff,0x02ff5d40,
    0x7fff7440,0xffffffff,0x1fffffff,0xffffffe8,0x1511efff,0x7ffe4000,
    0x8803ffff,0xfffffffe,0xffff91ff,0xd1007fff,0xffffffff,0x0000003f,
    0x00000000,0x00000000,0x2f32aa20,0x5000001a,0x00000159,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00357731,0x4000ae20,0x20000802,0x0000ae49,
    0x2a025400,0x26c0001d,0x0001da80,0x2e6007aa,0x220001bd,0x024c002e,
    0xb50f6a00,0x2ea20007,0xb00abded,0x3bff2009,0x2001effe,0x002ffefc,
    0x322037a2,0x4bb0000f,0x2000007c,0xb887feb8,0x20001fff,0x3ee201fb,
    0xf10001ff,0xffdfb00b,0x1b60007f,0x07ff5c40,0x2fff8800,0x4007fff1,
    0xdbcdefe9,0x3ee0cfff,0x22efe801,0x8802ffda,0x2001ee1f,0x07bee3fc,
    0xf317c400,0xfb000003,0x3310ffff,0x260003ff,0x7ccc403f,0x1f90001f,
    0xfb10db80,0x1fa8001f,0xfffffc80,0xfff70000,0x013ffea9,0xd3027fe4,
    0x007f57ff,0x3fe03ff7,0x7c2e400f,0xeefc8002,0x7dc0003f,0x00002740,
    0x207ffd84,0xd0001ff8,0x0ffc400d,0x4017cc00,0x000ff981,0xc84013e2,
    0x70000fff,0x7ff4bfff,0x0fff4c01,0x2ffff440,0x2e06ff80,0x42e404ff,
    0xff98002e,0x5d80001f,0x000007c8,0xf881ffea,0x1fb8001f,0x007fe200,
    0xa80017a0,0x076c005f,0x03ffe600,0x2fffdc00,0xfff10026,0x7ff44005,
    0x04ffa805,0xf3017fea,0x22003d43,0x00ffecfd,0x260be200,0x3000002f,
    0x7fc40fff,0x027c4001,0x0007fe20,0x740001f9,0x017d4005,0x007ffc40,
    0x04fffa80,0x006ffd80,0x402fffd8,0x3e604ffb,0xedfd807f,0x37f2003f,
    0x001dff11,0x27403ee0,0xff980000,0x007fe207,0xf1000db0,0x1fcc003f,
    0x77f5c400,0x00bf1000,0x003ffe20,0x01fffcc0,0x00bffea0,0x1fffdf90,
    0x501ffe40,0x32600bff,0x40ec000b,0x8000effb,0x001ee05e,0x03ffcc00,
    0x54003ff1,0xff88001f,0x001ba001,0x0fffee4c,0x80007e40,0x0000fff8,
    0x0285fff1,0x001bffe2,0xbfff57f5,0x701ffe40,0x000007ff,0x05ffe800,
    0xf3017c40,0xf3000005,0x0ffc40ff,0x0004f880,0x2e003ff1,0xf980001f,
    0x017d405f,0x01fff100,0x20fffc00,0x7fff900e,0xff27cc00,0x3ff603ff,
    0x003ff603,0x800004cc,0x005fff30,0x13a007dc,0xf9866000,0x07fe207f,
    0x800076c0,0xf9801ff8,0x3f200003,0x0002f407,0x2603ffe2,0x40ffe800,
    0x5fffd00f,0xfb1be200,0x3ff607ff,0x807ff303,0xdeffffd9,0x7fedc002,
    0x00effddf,0x0f700bd0,0x3fff6e00,0x207ff9cf,0xfa801ff8,0x3fe20002,
    0x0006e801,0xf9037cc0,0xff880001,0xdfff910f,0x7c3fec07,0x03ffff01,
    0xff903fa0,0x8fff609f,0x401efb98,0xeb88affb,0xfd8802ff,0xfffda89c,
    0x02f8803f,0x64002f98,0xfff710df,0x0ffc40ff,0x00017e20,0xfb803ff1,
    0x7d400001,0x0007f304,0xf11fff10,0x0bffffff,0x05f11ff6,0x001ffff3,
    0xfff703f9,0xb8fff60d,0x2a02efff,0xfff984ff,0x40bfa200,0xb807fffd,
    0x00bd000f,0x7dc13f62,0x3fe207ff,0x0007ec02,0x880bfe20,0x2ee0004f,
    0x6e817a61,0xfff10000,0xffd79df3,0x8df90bff,0xfffa83f9,0x702fb807,
    0x3f60ffff,0x7ffdcc3f,0x02ffd80e,0x7ec05ffd,0x17fff405,0x7b8017a0,
    0x401ff900,0xfb907ffd,0x5f5019df,0x37203100,0x6d80ceff,0x3ffa0040,
    0x3f203fef,0x44018800,0xfa83ffff,0x2fdc1fff,0x3fee13ea,0x027cc06f,
    0xb01ffff5,0x3fe607ff,0x0ffec0ef,0xf303ffd8,0xfffa805f,0x800be205,
    0x7fc402f9,0x83ffdc03,0x88199999,0x07f9805e,0x70333333,0xdff9303f,
    0x066a2017,0xf3007f30,0x1fff880f,0x517ffea0,0xa85fb89f,0x3e207fff,
    0x3fffd405,0x2603ffd8,0x2fd44fff,0x3a07ffb0,0xfff800ff,0x0003ee07,
    0x1ffd80bd,0x003ffcc0,0xd1003f20,0x7c4000ff,0xfecef884,0x6e80007f,
    0x407fe880,0x6c00fff8,0x0fe60fff,0xfff30df9,0x2007740f,0xfb06fffa,
    0xfffd807f,0xfff71000,0x00fff107,0x7403fff2,0x207b8005,0x4c00fff8,
    0x260007ff,0x7fed803f,0x203b6000,0x01ffd43c,0xb003f700,0xff880ffd,
    0x7ffcc00f,0xffb0be21,0x01ffff10,0xff7003fb,0x0fff609f,0x803fff50,
    0x3ffedfc9,0x7007ffa8,0x5f103fff,0x205f1000,0xf9807ff9,0x17a0007f,
    0x01febb20,0x24417d40,0x10006fe8,0xf3d9009f,0x0fff880f,0x217ffc40,
    0xe83ff41f,0x17dc1fff,0x03fffb80,0xff007ffb,0x33faa05f,0xf707ffb0,
    0x3fea00ff,0x0007b82f,0x37fdc17a,0x003ffcc0,0x7d400fc8,0x88007f98,
    0x4fb8005f,0x500dd000,0x880ff33f,0xff800fff,0x3fe0fc3f,0x3fffd80f,
    0xfd8013ea,0x7ffb01ff,0xb07fff00,0x3ffd81df,0x800fffc8,0x5e81fff9,
    0x641ee000,0xff9807ff,0x03f98007,0x07f997cc,0x8000fd80,0xfb8001fe,
    0xf997cc01,0x07ffc407,0x3a0fff40,0x540fffc0,0x0bf15fff,0x207fff80,
    0xfe803ffd,0x417f623f,0xffb83ffd,0x7ff9801f,0x20002f88,0xfffc82f8,
    0x03ffcc00,0x3a203740,0x5001fe63,0xbf30005f,0x809f1000,0x01fe63e8,
    0xf001fff1,0xff8801ff,0x1fffb02f,0x7d4001dd,0x3ff602ff,0x22ffd803,
    0xffb00ffe,0x07fff507,0xf70dff30,0x50bd0000,0xf9803fff,0x0fdc007f,
    0x0ff31360,0x8002f440,0xfd8000ed,0x3e62ec00,0x07ffc407,0x201ffe20,
    0xf103fff9,0x8003fdff,0x7ec04ffe,0x1ffd803f,0x7ec0dff3,0x4fff883f,
    0xe84ffa80,0x0fb80005,0x2027ffcc,0x26007ff9,0x55fe403f,0x02affbaa,
    0xc8000fc8,0x2fa8000f,0x5555fe40,0xf102affb,0xff9801ff,0x4fffa805,
    0x00bffee0,0xb00dff50,0x741547ff,0x81bfee6f,0xffb03ffd,0x2ffb801f,
    0x400017cc,0x7ffc42f8,0x1ffe600f,0xfe806e80,0xffffffff,0x00be600f,
    0x20003ae0,0xffe805f8,0xffffffff,0x00fff880,0x32607fe4,0x017ffee2,
    0x4400bffd,0xfe800ffe,0xf83ff73f,0x07ffee2f,0x2193ffa6,0x7405fff8,
    0x0007b84f,0x3fee17a0,0x3ffe605f,0x801fb800,0xfa999998,0x02f4019f,
    0x00c07640,0x4c4007ec,0x9ffa9999,0x01fff101,0x3e21ffc4,0xbfff72ff,
    0x2ffffcc0,0x017ff4c0,0xff73fff8,0x3e637d45,0xdf912eff,0xb85b3dff,
    0xbf502fff,0x800017a0,0xfffe80fb,0x7fffd40e,0x013e2033,0x900ff300,
    0x9ed8001f,0x405c9999,0x4c0003fa,0x7ffc407f,0x2e17f604,0xfff54fff,
    0x755be209,0x7dcc1bef,0xff5000cf,0xfa97fc7f,0xffffd80e,0xfffa8dff,
    0x9fff703f,0xf9837dc3,0x3e200002,0xffffe882,0xfffbeece,0x00db03ff,
    0x980ff300,0x3fa2003f,0x2fffffff,0x00017e20,0x3f201fe6,0x3f661eff,
    0x43fff104,0x1fd01fff,0xfeffffb8,0xd3001dff,0x6cc7ffff,0xb100cfff,
    0x7c47ffff,0x7f4c03ff,0x00bdfeff,0xd00000f7,0x7fffe40b,0x2dff98df,
    0x00007ea0,0x0dd01ba6,0xeeeeec80,0x7e405eee,0x6e880000,0xffff9100,
    0xb8803dff,0x39005c40,0x0d65cc40,0x02200000,0x0600a880,0x00575100,
    0x200000ee,0x55cc404a,0x00007220,0x00000000,0x00000000,0x54c00000,
    0x000000ab,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00bddd10,0x80180260,0x0007fff8,
    0x000ffff8,0x000fbbaa,0x0037ffcc,0x0007fff9,0x80060098,0x40000cda,
    0x1bdedcb8,0x17cc00d0,0x6c4009f0,0x00000dee,0x37bdb953,0xffc80001,
    0x3ae003ff,0x00580cff,0x0003fff3,0x000fffcc,0x003ffffa,0x003bff20,
    0x000dffb0,0x2037ffae,0x9fff1005,0x3ff66000,0xdfedccde,0x2e007c8b,
    0x005f300f,0x027fffe4,0x3bffa600,0x0dfffdcc,0xfcff9800,0xffb800ff,
    0xb10cffff,0x027fd400,0x005ff900,0x5ffdefb8,0x00ffe800,0x001ffd00,
    0xffffffb8,0x2600d10c,0xc8005fff,0x36602eff,0x9000ffff,0x800fd40f,
    0x0fffcff8,0x3ffc8800,0x00bffa60,0x3fa65fd0,0xfc8ae804,0x04fdffff,
    0x00037dc0,0xf88007fd,0x003ff70e,0x0000ffc4,0xe8005fd1,0xfffffb8a,
    0x3fa004fd,0x3fa2002f,0x3fea004f,0x40bd000f,0x4bf6007c,0x4c005fe8,
    0xfb002fff,0x07ea009f,0x24401fb1,0x17ffff62,0x000fe400,0x640027cc,
    0x00374c0e,0x300005f7,0x22c400bf,0x06ffffd8,0x22000980,0xb8004ffe,
    0x09f001ff,0x2f9802f4,0xf1001fd8,0xfd8003ff,0x201e805f,0x4c0a605c,
    0x6c0003dc,0x005b8003,0x7b100d98,0x00013600,0x0a2007a8,0x0005ee4c,
    0x37fec000,0x003f9000,0x027c05f3,0x01ae01d8,0x40037fec,0x2602fff9,
    0x0000a800,0x02440000,0x14000640,0x00900380,0x00037000,0x00200000,
    0x002fffa8,0x2e00be20,0x005f300f,0x80130031,0x0002fffa,0x0001fffd,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20039000,0x80007fff,
    0x207c802d,0x000000fb,0x01bffe20,0x04fffa80,0x80001330,0x88000099,
    0x26200009,0x02620000,0x0004cc00,0x00002660,0x6c000044,0x4fffa800,
    0x803a8000,0x001f605e,0xfff90000,0xfff80007,0xfffb301f,0x26005bdf,
    0x2deffffd,0x3ffb2200,0xc8800dff,0x00dffffe,0xffffec88,0x7fecc00d,
    0x3002deff,0x5bdffffb,0xffeca800,0x0d0003df,0x00bfff60,0x3ffe6000,
    0xffffffff,0x0fffffff,0x83dddddb,0x04eeeee8,0x0005fffd,0xb82fffe8,
    0xfeb88aff,0x57fdc02f,0x02ffeb88,0xda8bfe98,0x3a602fff,0xfffda8bf,
    0x22ffa602,0x702fffda,0xfd7115ff,0xaffb805f,0x02ffeb88,0x931bfe88,
    0x4c001bff,0xffff8806,0xa8800000,0xaacfcaaa,0xaadfbaaa,0x0fffec42,
    0x837ffd44,0x0001ffff,0x2a27ffec,0xfff984ff,0x309ff500,0x7d401fff,
    0x01fffb04,0x3ff609f5,0xb04fa80f,0xffa81fff,0x00fff984,0xff309ff5,
    0x1ffc401f,0x000effb8,0xfff3007b,0x0000001f,0x17cc03ee,0x807ffe20,
    0xff886ffc,0x640000ff,0x7fec5fff,0x205ffd02,0xffd02ffd,0x3e037405,
    0x406e85ff,0x06e85fff,0x3f62fffc,0x05ffd02f,0x7f40bff6,0x017fa02f,
    0xf700dffd,0xffff5001,0x6c000000,0x2003ee07,0x3ea01fff,0x7fffa86f,
    0xfffb8000,0xd80ffec7,0x3ffb03ff,0x5c0fff60,0x7ffec03f,0xfb00fee0,
    0x01fdc1ff,0xfd83fff6,0x07ffb01f,0x7ec07ff6,0x07ff503f,0x202fffa8,
    0xff7005f9,0x000000ff,0x00f902fc,0xfa807ffe,0x6fffb86f,0xfffa8000,
    0xd817ea0f,0x0bf503ff,0xff81ffec,0x9999999b,0x3fe1fffd,0x9999999b,
    0x3fe1fffd,0x9999999b,0x3ea1fffd,0x40fff605,0x3ff605fa,0x003ffb03,
    0x3e20dffd,0xfff7001f,0x2000000d,0x017a03f8,0xf500fffc,0xffff70df,
    0xfff50000,0x7fdc400f,0xfb88003f,0xfff883ff,0xffffffff,0xfff13fff,
    0xffffffff,0x3fe27fff,0xffffffff,0x1003ffff,0x0007fff7,0x207fff71,
    0xfc800fff,0x06fd80ff,0x01fffea0,0x17d40000,0xff004f88,0x37fd403f,
    0x003fffd4,0x037ffd40,0x7ff6fe4c,0x37f26003,0xff983ffe,0x3ff30001,
    0x07fe6000,0xbf930000,0x4c007ffd,0x83ffedfc,0xf7007ff9,0x3ffa83ff,
    0x1fffe600,0x7dc00000,0x2005f300,0x3ea01fff,0xffff886f,0x7fdc0000,
    0x33faa05f,0x5007ffb0,0x3ff619fd,0x003ffa83,0x0007ff50,0x0000ffea,
    0xfd867f54,0xcfea803f,0xf707ffb0,0x3fea00ff,0x03ffe22f,0x0ffff880,
    0xee980000,0xeeeeeffe,0xeeeeefee,0x201fff80,0xfff06ffa,0xfc80003f,
    0x1dfb03ff,0x6c03ffd8,0x1ffec0ef,0x80027fdc,0x70004ffb,0xb00009ff,
    0x3ffd81df,0x36077ec0,0xfffc83ff,0x2fff9800,0x20017ff2,0x0002ffff,
    0xffeee980,0xffeeeeee,0xf80eeeee,0x3fea01ff,0x05fffd06,0x2fffd800,
    0xfd82fec4,0x0bfb103f,0x3ea0fff6,0xff50005f,0x3fea000b,0x3f620005,
    0x207ffb05,0xffb05fd8,0x03fff707,0x741fff10,0x33a603ff,0x017ffee0,
    0x07f10000,0xfff002f4,0x837fd403,0x0004fffb,0x3a07fff4,0x7ffb00ff,
    0x6c03ffa0,0xfff983ff,0x3e633001,0x233001ff,0x3001fff9,0xd807ff43,
    0x1ffd03ff,0x2a0fff60,0xf9802fff,0x0bffe26f,0x3e23ffc8,0x80000fff,
    0x2205f502,0x3ffe003f,0x81bfea01,0x0000fffe,0xf985fff5,0x0fff606f,
    0xfd81bfe6,0x0bfff03f,0x5fff8760,0x7ffc3b00,0x3e63b005,0x0fff606f,
    0xfd81bfe6,0x5fff883f,0x264ffa80,0x3ea02fff,0x27ffdc6f,0x5c12a000,
    0x003f300f,0xf500fff4,0x7ffd40df,0xbffd0004,0x6c0dff70,0x6ffb83ff,
    0x6c0fff60,0x35404fff,0x5013fff6,0x04fffd8d,0x0dff7354,0x7dc1ffec,
    0x0fff606f,0x2007ffe4,0x7ffc2ffb,0x11bfe203,0x0003ffff,0x206d81a6,
    0x3f6000fb,0x1bfee02f,0x001fffb0,0xb80fff98,0xfe981fff,0x7ffdc64f,
    0x24ffe981,0x37fffe21,0x2217dc40,0x440dffff,0x7ffc42fb,0x17dc40df,
    0xd303fff7,0xffb8c9ff,0x4ffe981f,0x04fff886,0x7ff42ff4,0x4c27ec05,
    0x4001ffff,0x817e01e9,0x7fe4006c,0x0ffff704,0x004fff88,0x4c0bffa2,
    0xf912efff,0x25b3dffd,0x912efff9,0x5b3dffdf,0xefffffc8,0xf905ffed,
    0xfdbdffff,0x3fff20bf,0x5ffedeff,0x8977ffcc,0xd9effefc,0x25dfff32,
    0x9effefc8,0x1fffdc2d,0xf980ffa8,0x07fa01ff,0x05ffffcc,0xf100fdc0,
    0x2002f407,0xb30bfffb,0x115fff7d,0x017ff620,0xb007bfe6,0x1bffffff,
    0xd87ffff5,0x8dffffff,0x903ffffa,0xffffffff,0x7ffe401d,0x00efffff,
    0x3ffffff2,0xffd80eff,0xfa8dffff,0x7fec3fff,0xfa8dffff,0xff503fff,
    0x0f7dc17f,0x883fff70,0x7ec402fc,0x999acfff,0x5400efdb,0x007f101f,
    0xffffffd0,0xdffff51d,0xaeffb805,0x06ffdcc0,0x7fffec40,0x20fffe23,
    0x23ffffd8,0x5403fff8,0x04ffffff,0xffffff50,0x3ffea009,0x36204fff,
    0x3e23ffff,0xffd883ff,0x3ffe23ff,0x7fff4c03,0x9800bdfe,0xdfdceffe,
    0x3ff6a001,0x2effffff,0x2601f700,0xfe88001f,0x3fea4fff,0x3b62001d,
    0xdfffefff,0x00a88002,0x802a2006,0x4dd44001,0x9ba88000,0x9ba88000,
    0x40151000,0x200a8801,0x0ab98001,0x57753000,0x55440003,0x4000aacc,
    0x0032604a,0x4c0ab980,0x4c40000b,0x00000abb,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0cdedc88,0xd9710000,0x01c8159d,0x8017bb50,0x1aaaaaa9,0xaaaaa800,
    0x98002aaa,0x1988000b,0x006e2000,0x9bb95000,0x006e2005,0x55555510,
    0x20001555,0x8004ecb9,0xbcdeedca,0xf9000000,0x05ffd9bf,0xdfffa800,
    0xfbcefffd,0x66ffe401,0x36e603ff,0x001fffff,0x7ffffe54,0xfdb5002d,
    0xf9007dff,0x005bffbf,0x000fff6a,0x7fffec40,0x7f400eff,0x3ff2002f,
    0x06ffffff,0x5effe440,0x3bf22000,0xfdcbaabc,0x2e00001c,0x0ffd42ff,
    0x83ffc800,0x01ffffb9,0x9fd037f2,0xffffd300,0x3bf60001,0xc8bea000,
    0xfd304fff,0x3fff6617,0xfd50ffff,0x00007fff,0x3fffbff6,0xff100fff,
    0x3fe2009f,0x2fffffff,0x037fee00,0x0077ee00,0x00013f26,0x7f417fea,
    0x4ffa8004,0x80fffd40,0xff980ffc,0xfffe8804,0x07f70006,0x7e427cc0,
    0x27fc40ff,0x4cceffe8,0x01fffcc2,0x885f5c00,0x203fffeb,0xf9001ffd,
    0xffffffff,0x0fff6200,0x007b6200,0x0007b620,0xf702ffc8,0x1fff000d,
    0x303ff500,0x7fec09ff,0xffffa800,0x03fa8005,0x3605ff10,0x01ffd86f,
    0xfd00dff5,0xe880007f,0x01bffa00,0x13e20013,0x3ffa2000,0x0de88001,
    0x007dc000,0x901ffe80,0xff9800bf,0x207f2005,0x3e601ffd,0xfffa804f,
    0x7cc003ff,0x03ff5002,0x00fff80c,0xfd003ffe,0x1c80007f,0x007ffcc0,
    0x000fc800,0x003ffe80,0x3332abb0,0x01accccc,0x7fc001b2,0x009ff03f,
    0x2006ffa8,0x3ffcc1fa,0x2007ffc0,0x2ffffdfa,0x400be600,0x4c001ffb,
    0x7ff407ff,0x01ffec02,0x7fc40000,0x9f100007,0xbffb0000,0x443ee000,
    0xeb9bfffa,0x09d00dff,0x50bfff00,0xfa8001ff,0x07e001ff,0xfd00dff9,
    0xcafa807f,0x3000ffff,0x3ff6005f,0x7ffcc001,0x013ff600,0x00007ffb,
    0x0013fe00,0x0005fdc0,0x001dff70,0xffb03f10,0x80effb81,0x7f4001f8,
    0x0bfea0ff,0x3fffe200,0xfe83b001,0x5ffc805f,0xffd97d40,0x2f9800ef,
    0x003ffd00,0x7403fff0,0x7fec02ff,0x98000003,0x880001ff,0x00bdffff,
    0x00fffe20,0xffd835c0,0x903fff80,0xfffc8009,0x0003ff93,0x017ffff4,
    0x13ffe204,0x501ffee0,0x3fffa25f,0x002f9805,0xb0001fff,0x7ffc09ff,
    0x41ffec00,0x2e000018,0x4013002f,0xfffffffb,0x1fff9004,0x6c0ba000,
    0x4ffc80ff,0x44001f30,0x0cfeefff,0x7fffffec,0x7fffd42f,0x3e6001ef,
    0xffb803ff,0xf317d407,0xf9809fff,0xffddd502,0x009ddddf,0xf501fff3,
    0x7ffb007f,0x027ffed4,0x100fe200,0x3e205fd7,0xffffffff,0x3ffe201e,
    0x806f2a65,0x03ff6079,0x2e80fff2,0x77fff400,0x3bfff201,0xffff700a,
    0xf50019ff,0xff5007ff,0x217d401f,0x202ffffa,0x999302f9,0x7999bfff,
    0x8bbfe600,0xfb004fea,0x3ffff27f,0xf30004ff,0x3ff2601d,0x54c402ff,
    0x2fffffec,0xd55fff50,0x01dfffff,0x07fec0d5,0x79007ff4,0x7ffec400,
    0x07ffc406,0x7ffffdc0,0x7fdc03ff,0xfffa802f,0x2e0bea01,0xf301ffff,
    0x03ffe005,0xefff9800,0x36001dff,0x98aecbff,0x2001fffc,0x84ffffb8,
    0x02fffcaa,0xfffffb80,0xdffffd80,0xffffb98a,0xffb02dc1,0x01ffec41,
    0x7fdc016e,0x2204fffe,0x3a6003ff,0x2effffff,0x005fff70,0x5405fff5,
    0xdfffb02f,0x2005f301,0x10000fff,0x0002625d,0xe82f7fec,0xffb004ff,
    0x40bfffff,0x10002fff,0xff0bfffb,0x3fea05df,0xfb02646f,0x39ffdb9f,
    0xe880d500,0xffffa8ef,0x000df501,0x3fffffee,0x1fffb84f,0x02fffa80,
    0xffe80bea,0x002f985f,0x10001fff,0x6c0000bf,0x3fee04ff,0x3f2a2006,
    0xfd02ffff,0xfd80005f,0x2fffc1ff,0xc8fffee0,0x2efff604,0x16a005ff,
    0x3a0dff98,0x3f906fff,0x7fec4000,0x7d45ffff,0xffb801ff,0x80bea01f,
    0x4c4ffff8,0x1fff002f,0x00bfb000,0x01ffec00,0x2000dff5,0xd05fffd8,
    0x880005ff,0x3fe22fff,0x7ffc404f,0xffd816e6,0x2007ff90,0x0bff304b,
    0x887ffff3,0xd300004f,0x4c9fffff,0xfb802fff,0x0bea01ff,0x45ffff30,
    0xfff002f9,0xffff0001,0x579999bd,0x07ffb001,0x0003ffcc,0x7f41fff6,
    0xfb80002f,0x0fffe64f,0x6a9fff60,0xfe83ff60,0x883c800f,0xffb02fff,
    0x0036c1ff,0x7fffdc00,0x05fff11f,0x401fff70,0xffb802fa,0x005f31ff,
    0x20003ffe,0xfffffffd,0x01cfffff,0xf980fff6,0x7c40007f,0x2ffe82ff,
    0x4bff0000,0xa803fff8,0x01f11fff,0xff883ff6,0xfc82e806,0x3ffe207f,
    0x2003f55f,0x3fe60018,0x7fff13ff,0x80fff900,0xff9002fa,0x005f31ff,
    0x40003ffe,0xfffffffd,0x00ffffff,0x7cc07ffb,0xfd80007f,0x02ffe83f,
    0xf89fd000,0xff9803ff,0x7ec0f61f,0x01ffd40f,0x9fff10d5,0xbffffa80,
    0x0126004f,0x74bfff50,0xffe804ff,0x0017d404,0x5f5dfffb,0x003ffe00,
    0x54ccba20,0xffdcbaaa,0x407ffb03,0x80007ff9,0xffe82ffc,0x5fb00002,
    0x9804ffd8,0x41aa0fff,0xffd80ffd,0xff307b01,0xfffb007f,0x069800df,
    0x2a6ffe80,0xfff806ff,0x0017d402,0x5fdfffd1,0x003ffe00,0xf1001760,
    0x80fff60d,0x80007ff9,0xffe81ffa,0x1fd00002,0x8806ffc8,0xe83e87ff,
    0xffe881ff,0x7dc07cc0,0xfe8805ff,0x26001fff,0x7fe4001f,0x803ffe25,
    0x5400fff8,0x7fcc002f,0xff002fff,0x1fc8001f,0xfb05c800,0x3ffcc07f,
    0x83fdc000,0x80002ffe,0x7ffa86f8,0x985ff980,0xdfffb51f,0x3fff9839,
    0x3fea07f1,0xffa800ff,0x52e01fff,0x7e4004f9,0x017fe43f,0xf5007ff7,
    0xfff50005,0x3ffe005f,0x03fe6000,0x7ec0fa00,0x1ffe603f,0x40bf6000,
    0x80002ffe,0x5ffb01fc,0x701ffa80,0x3333311d,0x21331013,0x3ffe205d,
    0x7ffd405f,0xf882ffff,0x4009ff31,0x7fc40ffe,0x401ffe05,0xf90002fa,
    0x3fe005ff,0x3ff6001f,0xb0364005,0x7fcc07ff,0x37cc0007,0x2205ffd0,
    0x01fcc01a,0xfd80dff1,0x000f6c05,0xd801dd10,0x4c0dffff,0xfffa8dfd,
    0x6fdbcfff,0x2013ffe6,0xff302ffc,0x003ff703,0xd8000fee,0xff8802ff,
    0x3ff2001f,0x3aa00aef,0x0fffa00e,0xfb07ff98,0x03ba603b,0xfd02ffe8,
    0x09f7039f,0x2a07ff50,0x3fb800ef,0x004fa800,0xffffffd1,0xe987fffd,
    0xffffffff,0x3bfffe60,0xffd310ac,0x11efa807,0x22003ff7,0x10002efe,
    0xff3005fd,0xffd8005f,0xfeeeffff,0xffe804ff,0x03ffe604,0x35bffff3,
    0xff007f95,0x3fff607f,0x02ffdcef,0xf50bff60,0x7f4c001b,0x3fae200c,
    0xfffc8002,0x100dffff,0x3dfffffb,0xfec99e98,0x0dffffff,0xffdfb500,
    0xffdd001b,0x001dffff,0xfd802f88,0x4c001eff,0xfffffffd,0xff9801df,
    0xfffb00ef,0xfffff907,0xf5003bdf,0x3fa20dff,0x00bdffff,0xedfffa80,
    0x3660004e,0xfeecceff,0x5440002d,0x4c001acb,0x105101bb,0x00157975,
    0x0002aa20,0x02600000,0x7ffffecc,0x2000cdff,0x00abba98,0xfffffd50,
    0x3fff63df,0x5443efff,0xd70009aa,0x0dffffff,0x00006aa6,0x0000aa98,
    0x2b2ea620,0x00000009,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2aa00000,0xaaaaaaaa,0x2e202aaa,
    0x000bcdec,0x06f76ea2,0x76e54000,0x2000bcde,0xaaaaaaaa,0x55401aaa,
    0x0aaaaaaa,0x007fff60,0x27ffdc00,0x00037100,0xceedc980,0x2e60000b,
    0x6c000cdd,0x54000eee,0xaaaaaaaa,0x2a0180aa,0xffffffff,0x707fffff,
    0xff757dff,0x79ff5007,0x20009ffd,0xaabcefc8,0x801cfdcb,0xfffffeba,
    0x65401bef,0x0acfffff,0x013ffa20,0x02ffec00,0x003ffda8,0x339db100,
    0x8005fff7,0xffdabff9,0xffff5001,0xfeca800b,0x0adfffff,0x3603bfe2,
    0xffffffff,0xd85fffff,0x3fe880df,0xf5037ea0,0x7dc001bf,0x4fc9801d,
    0x3fffee00,0x3ffb0002,0x037fc400,0x077fc400,0x3ffffaa0,0x0fd00003,
    0x4013ffa2,0x05fe84f9,0x3fffbff0,0x3fff6000,0x7fff700e,0xeeffff88,
    0xffeeeeee,0x300ffd42,0x1ff503ff,0x2017fee0,0x88001ed8,0xff8801ed,
    0x3ea0006f,0x1ff98004,0x07fd4000,0x3fff9840,0x03fc8000,0x1007ffea,
    0x3ff701fd,0xfb14fb80,0x3fee000d,0x3ffea04f,0x004e7dc2,0xbfd03fe6,
    0xff0bff00,0x01ffe807,0x000037a2,0xfff001f7,0x1fd4000d,0x003fa800,
    0x4000fe40,0x80003ffe,0x7ff404ff,0xa82fec05,0x0fe202ff,0x2a000bf2,
    0x76403fff,0x2e004e83,0x027fc45f,0x3fee37f4,0x037fd401,0x3b2e20bb,
    0x2799befe,0x5fff806c,0x00fe6000,0x40006b80,0xffb0002f,0xff880007,
    0x037fec06,0x03a817fe,0x01d50164,0x03fff980,0xe8009500,0x037fcc2f,
    0x3ffe2ffc,0x17ffc400,0x6fd407dc,0xfffb710a,0x7ffc04e8,0x0fe60005,
    0x00019000,0xfd8000e6,0xff80003f,0x1fff201f,0x0004ff88,0x006600a2,
    0x007fff30,0x3fe20000,0x201fff80,0x3fe22ff8,0x89fff007,0x27ec41f8,
    0xf883fe60,0x017ffe01,0x0003f980,0x00000000,0x0000fff6,0xfd807ff2,
    0x13fea05f,0x00000000,0x001fffcc,0x05fb8000,0x2e01fffb,0x3ffe60ff,
    0x45ffd800,0x005fd86b,0x204c81f5,0x20005fff,0x110003f9,0x00220000,
    0x000fff60,0x3fa01dc0,0x17fee03f,0x00110000,0x07fff300,0x3fa00000,
    0x1dfff502,0x7d41ff98,0xffc801ff,0x3fea1746,0xf307a001,0x017ffe01,
    0x2003f980,0x3dfffeca,0x7ff65400,0xffb003df,0x20000007,0x2e00fff8,
    0xa80005ff,0x03dfffec,0x07fff300,0xff100000,0x7fffec01,0xf305ff31,
    0xff9005ff,0x3fe23ccf,0x7404c006,0x00bfff02,0x4401fcc0,0xff931bfe,
    0xbfe8801b,0x01bff931,0xea83ffd8,0x00deeeee,0x403ffc80,0x20006ffb,
    0xf931bfe8,0xf98001bf,0x000003ff,0xfd805fb8,0x00dfcfff,0x9009fff1,
    0x31aa1fff,0x20000bff,0x0bfff03c,0x201fcc00,0xff703ff8,0x0ffe201d,
    0xb0077fdc,0x3fea07ff,0xf10000af,0xfff500bf,0x0ffe2000,0x00077fdc,
    0x0007fff3,0x005fd000,0x01bffff6,0xb003fffe,0x2e2dcfff,0x700003ff,
    0x017ffe0b,0x7403f980,0x37ff405f,0x7f405fe8,0x0fff606f,0x00006fdc,
    0x66403fee,0xcccfffdc,0x05fe804c,0x30037ff4,0x00007fff,0x000ff880,
    0x037ffff6,0x403fffb8,0xb1326ffe,0x200007ff,0x0bfff06a,0x501fcc00,
    0xffa807ff,0x01ffd42f,0x6c0bffea,0x04fb83ff,0x203ff000,0xfffffff8,
    0x5407ffff,0x7fd403ff,0xfff3002f,0xb8000007,0x37ea005f,0x200effff,
    0xc882fffe,0xb1325fff,0x200009ff,0x0bfff05a,0xb01fcc00,0xffd003ff,
    0x801ffd8d,0xffb06ffe,0x0003fc87,0x99807f70,0x999fffb9,0x0ffec019,
    0x8037ff40,0x0003fff9,0x8017ec00,0xffff55fb,0x3ffa601f,0xfdfdbbdf,
    0xf716e3ff,0x2e0000bf,0x00bfff04,0xff01fcc0,0xfff9001f,0x4007ffc1,
    0xfd80fffc,0x000ff23f,0x4c004e80,0xff8007ff,0xfffc800f,0x3fff9800,
    0x00077220,0x2e003fe2,0x3ffe60ef,0xffb100ef,0xff919fff,0x3e63541f,
    0x7900006f,0x0017ffe0,0xff303f98,0x3ffee00f,0x200fff31,0xfd81fffb,
    0x0005fb3f,0x200074c0,0x4c007ff8,0xff7007ff,0xfff3003f,0x27fff407,
    0x2017ee00,0xfe881ffa,0x1a9804ff,0xf117ffe2,0x007ffc41,0xfe817400,
    0x3ea0006f,0x00fff702,0x7dcbffea,0xfff5007f,0xfb9ffb05,0x5c00001d,
    0x6ff88003,0x03ffdc00,0x802fffa8,0xf103fff9,0xd800ffff,0x06fd802f,
    0x003fffe2,0x207fff20,0x027fd43d,0x206a8350,0x20006ffe,0xfff902fa,
    0x5fff3001,0x2003fff2,0xfd82fff9,0x005fffdf,0x40007200,0x7e4006ff,
    0xff9800ff,0xfff9802f,0x3ffffa02,0x01ff1001,0x4c05ff88,0x44002fff,
    0x0d505fff,0x97005ff9,0x7ff407b0,0x07ee0007,0x400fffdc,0xff70fff8,
    0xfff1003f,0xf57ffb01,0x200007ff,0x9ff0000d,0x1fffb800,0x00fff880,
    0x201fff98,0x003f9aa8,0xff500bf5,0x07ffb007,0x00fffb80,0x13ff20fa,
    0x07cc264c,0x001fff90,0x7d403f20,0xff9802ff,0x00bffea6,0x7ec1bfe6,
    0x05fff93f,0x40009000,0x7d4002ff,0xff9802ff,0x1fff3006,0x4007ea00,
    0xffb802fd,0x02ffa803,0x200fff40,0xffe981f9,0x883efdce,0x7ffdc03f,
    0x40dd0002,0xa805fff8,0x3ffe24ff,0x04ffa805,0x7ff47ffb,0x0000000f,
    0x22003fe0,0x00bfff16,0x26009ff5,0x1b6007ff,0x4007fc40,0xf9804ff9,
    0x3ff6001f,0x201d7003,0x6c01bb98,0x5fff8805,0x404fa800,0x5c00fffc,
    0x7ffe42ff,0x817fdc00,0x3fe23ffd,0x0000006f,0x0bffff6a,0xfffc9360,
    0x417fdc00,0x037fcc09,0xf5002f88,0x037f400b,0xf90037e4,0x1ed8005f,
    0x03ba2000,0x00fffe40,0x8801ff10,0x7f404fff,0x04fff885,0xffb02ff4,
    0x05fff987,0x3005b500,0xffff935d,0x17e5415b,0xe809fff1,0x21ffd85f,
    0xfa803ff9,0x00ff6003,0x2203ffa8,0xff9001ff,0x0fee0003,0x0013ea00,
    0x005fffd1,0x2e005ff5,0xff503fff,0x0fffee01,0xfb007fd4,0x7fff707f,
    0x2fff9800,0xfbd91640,0xffffffff,0x07fff70d,0xff103fea,0x202fdcbf,
    0x22001ed8,0x7d4000ff,0x02fd883f,0x000dfe98,0x0067f4c0,0x0005fd71,
    0x2f7fff62,0xfffdb989,0x7ffd4001,0x007bee0b,0x5c17fff5,0x7ff401ef,
    0x05fffd04,0x027ffdc0,0xfa8fc4f2,0x1fffffff,0x417fff50,0xffb01efb,
    0x1003f67f,0x0bf50003,0x37ff6200,0x7300dfec,0x00039ffb,0xceffd980,
    0x002dfeec,0xffffd500,0x017fffff,0x3fffa600,0x3000bdfe,0x7bfdfffd,
    0xefff9801,0x3ffffa80,0x03fff100,0x443fdf98,0x01effffd,0x7f7fff4c,
    0x3fa600bd,0x0001efff,0x00072a00,0x2006aa60,0x00001abb,0xacba9880,
    0x10000009,0x03579955,0x0ab98000,0x055cc000,0x7ffff5c0,0xfff51eff,
    0x801ddfff,0x151000a8,0x000d4c40,0x200055cc,0x00002bb9,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80000000,0xaaaaaaa9,0x2aaaa0aa,0x00aaaaaa,0x55555553,0x8006e601,
    0x0002fffc,0x00ffffc0,0x06026200,0x2aaaaaa6,0x55002aaa,0x01555555,
    0xeeedca80,0x001541bd,0x00004402,0xa880c013,0xaaaaaaaa,0x0000999a,
    0x301fffe2,0xdfffffd9,0x7ffed417,0x300bdfff,0x19dfffd9,0x002ffda8,
    0x0002ffec,0x005fff30,0x3fffb660,0xda87e9af,0xefffffff,0xfffd7004,
    0x93001bff,0xb97bffff,0x07d59dff,0x221fd710,0x004fffeb,0x2037ffaa,
    0xfffb5105,0xffffffff,0x0017bfff,0x400fffcc,0x406fffe8,0x005ffffa,
    0x7fd437fc,0x44002fff,0x200007fe,0x70003ffb,0xff7315bf,0x7f440fff,
    0x90003fff,0x2a001dff,0x2600afff,0x2604fffe,0xe88ffffc,0x0effffff,
    0x7ffffdc0,0x100d10cf,0x357bffff,0xffffb953,0x3fea003d,0xbfff5004,
    0x07fffb00,0x5080fe80,0x10005fff,0x200005ff,0xfb0004fe,0x1fffe609,
    0x03ffff10,0x00bfe200,0x000fffe4,0x55c09ff9,0xdfe8fffe,0x05ffffec,
    0x7ffdc574,0xb004fdff,0xd8803fff,0x9003ffff,0x7ffc00df,0x5fff9807,
    0x7c02fc00,0xf30002ff,0xbf100009,0x01bf2000,0xf900fff7,0x2a0007ff,
    0xdffb005f,0x0bfb0001,0x1b9fff30,0x01ffffa8,0xfffd88b1,0x3ff2006f,
    0xfff5001f,0x03f6009f,0x017ffe40,0x5003fff4,0x5ffd005f,0x003d4000,
    0x980035c0,0x7fd402ff,0x6fff9807,0x001fb000,0x0001fff7,0x7fc40374,
    0x3ffee05f,0x32605106,0x3ee000bd,0x3e2001ff,0x7d002fff,0x13ffe600,
    0x007fff20,0x7f4007e4,0x05c0002f,0x0002e000,0x7cc03ff4,0xfffd007f,
    0x05f88003,0x004fff88,0xff8035c0,0x7fffc00f,0x20000000,0x4001fffb,
    0x801ffffb,0x3ffa0048,0x4fff9807,0x3a00bf00,0x000002ff,0x22000000,
    0xff9806ff,0x9fff5007,0x802fb800,0x0000fffe,0x1fff0068,0x01fffb80,
    0x3ee00000,0xfe8001ff,0x800004ff,0xf802fffb,0x2fa807ff,0x005ffd00,
    0x00000000,0x402ffcc0,0x3a007ff9,0x3a000fff,0x5fff9806,0x20030000,
    0x7cc00fff,0x402202ff,0xfffb8001,0xfff98001,0x0004c00f,0xa80bfff1,
    0x6402ffff,0x0bffa007,0x07bbbbb6,0x09ddddd1,0x83dddddb,0x84eeeee8,
    0xf9804ffb,0x3fee007f,0x07f3003f,0x005fff90,0xfff80000,0x1fffc400,
    0xd98bfae2,0x2e004fff,0xd0001fff,0xd7107fff,0xffe8005f,0x3fff200f,
    0x0027c05f,0x36205ffd,0xfa881fff,0xffb106ff,0xfff5103f,0x00bff90d,
    0x4400fff3,0xfb006fff,0xffff8801,0x40000001,0xff800fff,0xffff932f,
    0x3ffffee5,0xfff7004f,0x3ff60003,0x3fff265f,0x7fdc002f,0x3f77e02f,
    0x05f500ff,0x1017ff40,0x7e403fff,0x3ffe206f,0x21bff201,0xf9806ffc,
    0x7fe4007f,0x02fc402f,0x007fffcc,0x3fe00000,0x0fff800f,0x75fff955,
    0xfff9337d,0x3fff7003,0x3fff2000,0x3fff2aa6,0x7ffc4002,0xff55f505,
    0x001f605f,0xff805ffd,0x1bfea01f,0x5403fff0,0x7ffb86ff,0x007ff980,
    0x202fffcc,0xffa802fb,0xaaa8007f,0x02aaaaaa,0xf1003ffe,0x3bffe0ff,
    0x309ffb05,0xbfffd999,0x07999999,0xf83fffdc,0xfd8002ff,0xf17d80ff,
    0x013e0bff,0xf805ffd0,0x3fea01ff,0x00fffc06,0xff50dff5,0x7ff9805f,
    0x1fffd800,0x7dc01ba0,0xcb8006ff,0x3efffffe,0x3003ffe0,0x3ffa0dff,
    0x217fee04,0xfffeeee9,0x4eeeeeee,0x03fffe60,0x2000bffa,0x7c43fffa,
    0x503fff64,0xffe8003f,0x00fffc02,0xff80dff5,0x1bfea01f,0x301bffe2,
    0xf5000fff,0x0fe609ff,0x03fffdc0,0x9ffff100,0x803fff00,0xffd02ffa,
    0x037fd405,0x000fffdc,0xd07fffa8,0x3e0005ff,0x50fd45ff,0x07d87fff,
    0x402ffe80,0x3ea01fff,0x0fffc06f,0x320dff50,0xe880dfff,0xfd0007ff,
    0x01fb01ff,0x01fffea0,0x03fffb00,0xe805fff0,0x0bff605f,0xb807ff98,
    0x70001fff,0x3fa0dfff,0xff90002f,0x7fc3ec1f,0x0013e26f,0xff00bffa,
    0x37fd403f,0xa807ffe0,0xfff106ff,0x7d7537df,0x2e000fff,0x2fc43fff,
    0x1ffff300,0x7ffe4000,0x0efff801,0x6c03ff50,0x3fe602ff,0x1fffb807,
    0xbfff9000,0x000bffa0,0xf89fffcc,0x50fffc84,0xffd0003f,0x01fff805,
    0xff01bfea,0x37fd403f,0xffffff50,0x0fff31df,0x1bffe200,0x7c4003f7,
    0x20002fff,0xf800fffc,0x7d41dfff,0x17fec02f,0x700fff30,0x20003fff,
    0xfd03fffd,0x7fc0005f,0xf303f76f,0x001f67ff,0x3e017ff4,0x3fea01ff,
    0x00fffc06,0xe880dff5,0xf30effff,0x7e4000ff,0x001ba2ff,0x0017fffa,
    0x800fffc8,0xdefeafff,0xfd800efe,0x1ffe602f,0x007ffee0,0x817fffc0,
    0x20002ffe,0x06d8fffc,0x13e3bffe,0x017ff400,0xfa807ffe,0x0fffc06f,
    0x200dff50,0x7fcc0ab9,0x3fe60007,0x0007f55f,0x001ffff7,0x003fff20,
    0x5d4c3ffe,0x3ff6000a,0x01ffe602,0x0007ffee,0xe81bffee,0x260002ff,
    0x203fcfff,0x01fcfffc,0x805ffd00,0x3ea01fff,0x0fffc06f,0x000dff50,
    0x000fff30,0xfd9fffd8,0xfffd0000,0x3ff20007,0x0fff800f,0x2ffd8000,
    0x201ffe60,0x4001fffb,0x201ffff8,0x40002ffe,0x201ffffe,0x006ffff9,
    0xd00bffa0,0x7fd403ff,0x00fff406,0x0000dff5,0x8000fff3,0x04fdfffa,
    0x3fffea00,0xfffc8000,0x00fff800,0x02ffd800,0x2e01ffe6,0x64001fff,
    0x7f404fff,0x7dc0002f,0xffe806ff,0x3fa0004f,0x17fec02f,0xd80dff70,
    0x3fee02ff,0xff980006,0xffe80007,0x6c0001ff,0xc8005fff,0xff800fff,
    0xfd80000f,0x1ffe602f,0x007ffee0,0x00efffa8,0x00017ff4,0x200fffe2,
    0x0001fffb,0xf900bffa,0x3ffee09f,0x827fe407,0x0007fffb,0x0007ff98,
    0x006fffb8,0x09fffb00,0x00fffc80,0x0000fff8,0x2603ffe8,0xffc807ff,
    0xfff9001f,0x5ffd003d,0x1ffd0000,0x00dff300,0x402fff80,0xb30bfffb,
    0x115fff7d,0x217fff70,0xafffbed9,0xff500008,0xff10000f,0x6c00007f,
    0x32005fff,0x7c400fff,0xf80001ff,0x3fe604ff,0x7ffec00f,0x7fff4c01,
    0x7fff000e,0x0bf70000,0x0001ff40,0x3a00fffe,0x8effffff,0x02effffa,
    0xdffffffd,0x5dffff51,0x3ffee000,0xffc80001,0x75400000,0xd500bfff,
    0xf3007fff,0xa80005ff,0x3f606fff,0x3fea03ff,0xcabceeff,0x02effffe,
    0x01bffea0,0x800fe200,0x2a0001fb,0xe8806fff,0x3ea4ffff,0x7f4401df,
    0x3fea4fff,0xf730001d,0x0035dfff,0x00027cc0,0xffffb700,0x5bffffdd,
    0xfffd7300,0xe980057f,0x1effffff,0xdffffffb,0x3fffba67,0xffffffff,
    0x2000acee,0xffffffeb,0x005c0006,0x2a000910,0xeffffffe,0x2055cc00,
    0x5cc000b9,0x0005cc0a,0x2aaaaaa0,0x5c0002aa,0x50000001,0x03559975,
    0xaaaaaa80,0x00000aaa,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2a200000,
    0xaaaaaaaa,0xaaaaaaaa,0x260000aa,0x55440005,0xaaaaaaaa,0xaaaaa882,
    0x552aaaaa,0x03555555,0x45555555,0xaaaaaaaa,0x55510aaa,0x55555555,
    0x55555555,0x55555105,0x50555555,0x55555555,0x3fffa003,0xcedca801,
    0x5400000a,0x1322005e,0x013bba60,0x7ffe5443,0xffffffff,0x01ffffff,
    0x0003f600,0xffffca88,0xa882beff,0xdffffffc,0xffffd92b,0xffb505bf,
    0x7f5d47df,0x0adfffff,0xfffffb51,0xffffffff,0x881fffff,0xffffffca,
    0xffdb82be,0x801cefff,0x4c02fff8,0xfffffffe,0xff100002,0xbff9100f,
    0x3ffffd00,0xf103ffa0,0x33333fff,0x3ffd7533,0x13fe2000,0x7ffc4000,
    0x3fe2005f,0x3ffa04ff,0x05fe802f,0x0077ffec,0x4cdffff4,0xca999999,
    0x3fe200ff,0xffd004ff,0xffa8005f,0x7fffcc03,0x04ffffff,0x07ffd800,
    0x17ffff22,0xdff9ff50,0xb09fff50,0x36001fff,0xff90002f,0x7e40000f,
    0x7ec002ff,0x3fe601ff,0x00ff803f,0x8027ffd4,0x2001fffb,0x7fec01fb,
    0xeff8802f,0x05fd8000,0xa9acffe8,0x002ffffe,0x41fffee0,0x5fffbad8,
    0x7d47fe20,0x1fffcc2f,0x8007ffe4,0xff0002f8,0x200005ff,0x4001fffc,
    0x6400fffc,0x1fcc06ff,0x01fffd40,0x001fffb8,0x3ff200fc,0x05fd801f,
    0x2e01be00,0x3fff203f,0xdf98000f,0xffb007ff,0x26075c0b,0x80ceb87e,
    0x2000fffc,0xffa8002c,0x900006ff,0xc8001fff,0x7cc00fff,0x03f602ff,
    0x00fffe60,0x000fffd4,0xfff900b6,0x005fc801,0x3a003aa0,0x1fffd805,
    0xff9ee800,0x0bff9007,0x1ec403a2,0x03fff200,0xe8000880,0x001fffdf,
    0x00fffc80,0x007ffe40,0xf882fff4,0x7fff3004,0x07ffea00,0xfc801300,
    0x17ee00ff,0x10017000,0xfff1001f,0x98fc8007,0xff7007ff,0x0a002a0b,
    0x01fff900,0xcf980000,0x0004fff9,0x000fffc8,0x4007ffe4,0xfb80fffa,
    0x7fff3000,0x07ffea00,0x3ff20000,0x00bf700f,0x01440000,0x4007fff0,
    0x0fff33f9,0x0017fee0,0xfff90000,0x40000801,0x1fffd0fd,0xfffc8000,
    0x7ffe4000,0x07fff000,0x7fcc00bf,0xfff5003f,0xc8002003,0x5fc80fff,
    0x00980000,0x03ffb000,0xff997e20,0x0bff7007,0x20000980,0x2c00fffc,
    0x54bf1000,0x40003fff,0x4000fffc,0x7000fffc,0x01fa8fff,0x00fffe60,
    0x800fffd4,0x3fff2006,0x0002fe40,0x005fd710,0x801ffa00,0x1ffe60fd,
    0x402ffdc0,0x0002feb8,0xf003fff2,0x20fdc000,0x40006fff,0x4000fffc,
    0x1000fffc,0x03745fff,0x00fffe60,0x400fffd4,0x3ff20078,0x0017f60f,
    0x7fffe4c0,0xdff00002,0xf30bea00,0x3fee00ff,0x3fff2605,0x3f20002f,
    0x01f200ff,0xffc86f80,0x3f20001f,0x7e4000ff,0x3f6000ff,0x8005f35f,
    0x5003fff9,0xfb003fff,0x87ffe400,0x200005fd,0x02fffcaa,0x02ff9800,
    0xff984f88,0x0bff7007,0x17ffe554,0x9fff9000,0xfffb9999,0x20bea000,
    0x0005fff8,0x266bfff2,0x99999999,0x000fffd9,0x1b23ffe6,0x0fffe600,
    0x567ffd40,0xfecbaaaa,0x3fff2007,0x0000ffd9,0x005fff00,0x200df700,
    0x0fff306d,0x4017fee0,0x20002fff,0xfffffffc,0x0007ffff,0x7ffec0fd,
    0xfff90000,0xffffffff,0xffffffff,0x33333301,0x39fbffd3,0x20133333,
    0x5003fff9,0xffffffff,0x00ffffff,0x7ff7ffe4,0x800000ef,0x40002ffe,
    0xfb801ff8,0x00fff301,0x74017fee,0x320002ff,0xea980fff,0x04f98007,
    0x000fffea,0x555fffe4,0xaaaaaaaa,0xf80fffda,0xffffffff,0xffffffff,
    0xfff306ff,0x3ffea007,0x01fea601,0xffafffc8,0x00000eff,0x00017ff4,
    0x3e6013f2,0x01ffe603,0xe802ffdc,0x320002ff,0x1e200fff,0xd003f200,
    0x32000fff,0x64000fff,0x99980fff,0xffe99999,0x9999999d,0x07fff300,
    0x007ffea0,0xffc801ea,0xeffff98f,0x3fa00000,0x3e20002f,0x980dd005,
    0xff7007ff,0x0bffa00b,0xff902da8,0x4006801f,0x99999ef8,0x2fffc999,
    0x0fffc800,0x07ffe400,0x027fec00,0x03fff980,0x003fff50,0x7fe400f1,
    0xdffff30f,0x3fa00001,0x3ba0002f,0x400fc800,0xf7007ff9,0x3ffa00bf,
    0x05fff302,0x4801fff9,0x7fffdc00,0xffffffff,0xfc8005ff,0x7e4000ff,
    0xfd8000ff,0xff30004f,0x3fea007f,0x4009001f,0x3e60fffc,0x0000efff,
    0x0002ffe8,0xff3003fb,0xdddddddd,0x5dddfffd,0x4017fee0,0xff702ffe,
    0x1fff909f,0x9ee80000,0x99999999,0x001fffd9,0x0007ffe4,0x2603fff2,
    0xd9999999,0x99999cff,0xfff30099,0x3ffea007,0xfc800001,0x7ffcc0ff,
    0x740000ef,0xfb8002ff,0xffff5001,0xffffffff,0x207fffff,0xfd005ffb,
    0x3ffe205f,0x00fffc81,0x00bea000,0x004fff98,0x0007ffe4,0x3e03fff2,
    0xffffffff,0xffffffff,0xfff306ff,0x3ffea007,0xfc800001,0xfff980ff,
    0x3a0000ef,0x7d4002ff,0x3ffea002,0xffffffff,0x03ffffff,0x3a00bff7,
    0x02e202ff,0x0007ffe4,0xd000fb00,0x64001fff,0x64000fff,0x99980fff,
    0xffd99999,0x9999999c,0x07fff300,0x007ffea0,0xffc80540,0xffff300f,
    0x3fa0001d,0x0be6002f,0xff980000,0x0bff7007,0x000bffa0,0x000fffc8,
    0x0009f300,0x4007fff5,0x4000fffc,0x8000fffc,0x30004ffd,0x2a007fff,
    0x88001fff,0x03fff207,0x0effff98,0x02ffe800,0x00007f30,0x007ff980,
    0x3a00bff7,0x320002ff,0x00000fff,0xf10001fb,0x7e400fff,0x7e4000ff,
    0xfd8000ff,0xff30004f,0x3fee007f,0x04e8001f,0x3003fff2,0x001dffff,
    0x9802ffe8,0x00d1003f,0x401ffe60,0xfd005ffb,0x7e40005f,0x980001ff,
    0x3f60006f,0xff9003ff,0xffd8003f,0xffd8001f,0xfff50004,0x3ffee009,
    0x00fdc002,0x3003fff9,0x003fffff,0x26017ff4,0x09d5004f,0x01ffe600,
    0xe802ffdc,0x360002ff,0x80002fff,0x2e0004fd,0xd800ffff,0x74002fff,
    0xe8002fff,0xf70005ff,0x3f2009ff,0x3f2003ff,0x17ffec07,0xfffffb80,
    0x07fff003,0x7fffffd4,0xffffffff,0xfff30001,0x017ff200,0x4001fffc,
    0x0effffb8,0xfff91000,0xffd10003,0x2e205dff,0x800effff,0x0effffb8,
    0x3fffea00,0x7ff54001,0x7fcc02ff,0xaaaacfff,0x4fffccba,0xdffff710,
    0xffff9001,0x2a017bff,0xff506fff,0xffffffff,0x000dffff,0x4403ffcc,
    0x5401fffe,0x26006fff,0xfffffffe,0x3f2005ef,0x03ffffff,0xfffffe88,
    0xfd31ffff,0xdfffffff,0xffffd30b,0x20bdffff,0xffffffe8,0x7ff405ff,
    0xefffffff,0xffffdd11,0xffffffff,0x83ffffff,0xffffffe9,0xffa85eff,
    0xffffffff,0x3fffae6f,0x3fe26fff,0xffffffff,0x004fffff,0xd81ffe60,
    0xfffffffe,0x7ffff5c6,0x000006ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x77440000,0x01775c05,
    0x6e443eb8,0x55555102,0x03555555,0x80330000,0x2aaaaaa8,0x55540000,
    0xeb81aaaa,0x88176443,0xaaaaaaaa,0x0001999a,0xd985b910,0x5555441d,
    0x999aaaaa,0x54c00000,0xaaaaaaaa,0xaaaaaaaa,0xdc882aaa,0x4c0eecc1,
    0x7fe407ff,0x1fffa803,0x2203ffee,0xffffffda,0x00001cdf,0x3dffffd7,
    0xffffb910,0x2a00007f,0x1acfffff,0xf70fffd4,0xfb5101ff,0xffffffff,
    0x0009dfff,0x3fa3ffe4,0x7fed446f,0xffffffff,0x80000cef,0xfffffdc9,
    0xffffffff,0xc86fffff,0x2fff47ff,0x3203ffcc,0xffb803ff,0x07fff23f,
    0x1dfffd10,0x7f440000,0x3fffa88a,0x1bfffe60,0x7ffec000,0x3ffee01f,
    0x007fff22,0x359ffff1,0x3dfff953,0x1fffb000,0xf103fffc,0xb7559fff,
    0x0005ffff,0x7ff7fe40,0x9999999f,0xfe87fd99,0x1fffe0ff,0xf901ffe6,
    0xdfd1007f,0x802ffcc1,0x0003fffc,0x2e03fe60,0x3fa02fff,0x40002fff,
    0x406ffff9,0x7fcc6fe8,0x1fffb005,0x13fffa60,0xb89ff500,0x7fec03ff,
    0xfffe880f,0xfb80000d,0x2007ffdb,0x44ffa87c,0xff983ffb,0x01ffe407,
    0x70004030,0x00005fff,0xff881ff4,0x3fff605f,0x7ec0006f,0x01006fff,
    0xfff90004,0x7fffcc01,0x11008002,0x01fff900,0x013fffa2,0x7fedf600,
    0x441e2007,0x3e601100,0x1ffe407f,0x54000000,0x00002fff,0xffe80ff7,
    0x3ff7f204,0xbf10002f,0x0000bfff,0x0fffb800,0x037ffe40,0x7e400000,
    0x3fea00ff,0x260001ff,0x00fffb3f,0x200000e8,0x7e407ff9,0x0000003f,
    0x001fffa8,0x500bff00,0x7cfe4017,0xf90005ff,0x000bfff3,0xfffb8000,
    0x3fffd400,0x64000000,0x3e200fff,0x20003fff,0x01fff66d,0x98000030,
    0x7fe407ff,0x00110003,0x007ffea0,0x013fe600,0x7ec7e400,0x7c4001ff,
    0x800bfff6,0xf7000099,0xff9801ff,0x310000ff,0xfffc8001,0x27fff400,
    0x362f9800,0x000007ff,0xfff30026,0x003ffc80,0x37fffb2a,0x3ffea003,
    0xffa80001,0x1f900003,0x800bfff3,0x0bfff2fb,0xdffffb30,0x7fdc005b,
    0x7ffd400f,0x7f644007,0xc800dfff,0x7ec00fff,0xdb0004ff,0x1007ffd8,
    0x0bfae200,0xc80fff30,0xfe8803ff,0x1bff931b,0x03fff500,0x09ff7000,
    0x6c3f2000,0x3e000fff,0x7017ffe6,0xfd7115ff,0x3fee005f,0x7ffdc00f,
    0x2ffa6006,0x02fffda8,0x2007ffe4,0x8002fffe,0x3ffec2fa,0x7e4c0680,
    0x7cc02fff,0x1ffe407f,0x5c0ffe20,0x7d400eff,0xc80001ff,0x900005ff,
    0x13ffea1f,0xfff1fd40,0x427fd40b,0xb800fff9,0x3a200fff,0xf5002fff,
    0x03fff609,0x200fffc8,0x001ffff8,0x7ffd86e8,0x55406980,0x4c02fffc,
    0x7fe407ff,0x202ff403,0x7d406ffe,0xb80001ff,0x900006ff,0x07fff41f,
    0xfff07f40,0x817fec0b,0xfb802ffe,0x3ff600ff,0x01ba005f,0x7e40bfff,
    0x3ff200ff,0x2fa8005f,0x4407ffd8,0x3ffe006e,0x03ffcc02,0xfa80fff2,
    0x7ffd403f,0x07ffea02,0x3ffe6000,0x32017002,0x0fffea0f,0xfff89f50,
    0x407ff605,0xfb803ffd,0xffea80ff,0x0fee003f,0x201fffb0,0xf500fffc,
    0xd0001fff,0x2bfff60d,0xffccaaaa,0x0bffa006,0x401fff30,0x3f603ffd,
    0x6ffe801f,0x007ffea0,0x17ffe200,0x81f90340,0x7ec07ffe,0x502fffc0,
    0x1ffec0bf,0x667ffdc0,0x1cfffeec,0x4cdffc00,0xffd99999,0x7fff901f,
    0xfff93113,0x3f70003d,0x3fffff60,0x6fffffff,0x00bffa00,0x3607fff3,
    0xf8364fff,0xffc800ff,0x3fff500f,0x3ffa0000,0x9026c03f,0x3fffb81f,
    0xfff09f30,0x3ee2000b,0xffb803ff,0x7fffeeef,0xffff1000,0xffffffff,
    0x3ff207ff,0xffffffef,0x17e0002e,0x2207ffd8,0x3fa006fb,0x7ffc402f,
    0xf79d511f,0xff99e2bf,0x3fff7007,0x007ffea0,0x7fffcc00,0x200fda83,
    0x7ffc40fc,0xff03fb06,0xfc9800bf,0xb803ffed,0x3fee0fff,0xff98004f,
    0xff900001,0x0004cc1f,0x6666fdc0,0x07fffccc,0x3fa006b8,0x7ffcc02f,
    0xf33fffff,0x7dc9dbff,0xfff5007f,0x07ffea05,0xfffd8000,0x2fffcdff,
    0x7e407e40,0x82fc42ff,0xd5005fff,0x0fff619f,0xb03ffee0,0xa8005fff,
    0x900003ff,0x00001fff,0xdddddf10,0x0ffffddd,0x7f400d30,0x7d7cc02f,
    0x7e42efff,0x3ff20dff,0xfff9800f,0x03fff502,0xfffd8000,0x804fffff,
    0xfff880fc,0xff80fe46,0x0efd805f,0x5c01ffec,0x7fc40fff,0x3ee000ff,
    0xf900004f,0x000001ff,0xffd801f9,0x74009007,0x4fd402ff,0x2e200ba8,
    0x01fffb80,0x500fff88,0x00003fff,0xdfffff70,0x403f2005,0xdf11fffc,
    0x102fffc0,0x3ff60bfb,0x0fffb803,0x005fffa8,0x00017fea,0x0007ffe4,
    0x2013e200,0x00007ffd,0x5c02ffe8,0xf500002f,0xff3005ff,0x0fffd40d,
    0x4c008800,0x7e4001dd,0x2bfff300,0x3ffe02fb,0x403ffa05,0xfb803ffd,
    0xfff900ff,0x3ffe6007,0x32033001,0x00000fff,0x7ec007e4,0xe800007f,
    0x1fe402ff,0xfff88000,0x04ffa805,0x0007ffea,0x37e200e4,0x007e4000,
    0x0dd3fffb,0xf305fff8,0x1ffec0df,0x007ffdc0,0x2003fffd,0x3b005fff,
    0x003fff20,0x004f9800,0x2000fffb,0x05ffd00b,0x00005fe8,0x7003fff2,
    0x7fd405ff,0x0698001f,0x001fffc8,0xff9803f2,0x7fc03fff,0x0dff705f,
    0x5c01ffec,0x3e200fff,0xfd800eff,0x035404ff,0x0001fff9,0xd8007ec0,
    0x698007ff,0x880bffa0,0x200006ff,0x7404fff8,0x7ffdc05f,0x804d8002,
    0x2003ffc9,0x7ff400fc,0x7ffc00ff,0x03fff705,0x80c9ffd3,0x5c00fffb,
    0xf8805fff,0x5c40dfff,0x3fff202f,0x7f500000,0x03fff400,0xffd02740,
    0x03ffcc05,0x3ffee000,0x801ff503,0x4003fffb,0xff1001fb,0x007e4007,
    0x2013ffea,0xff306fff,0x3bf225df,0x902d9eff,0xfb003fff,0xff9009ff,
    0xffdbdfff,0x1fffc80b,0x01fd0000,0x003fff40,0xfff807f2,0x01ffea03,
    0x3ffea000,0x007bee0b,0x4017fff2,0x2a007fd8,0x3fa000ff,0x00ffe801,
    0xb03fffc4,0x1bffffff,0x407ffff5,0x8802fffd,0xc804fffe,0xffffffff,
    0x7ffec00e,0x6fc80002,0x03fffc00,0x2a07fd88,0x3e206fff,0x3000005f,
    0x7bfdfffd,0xffff3001,0xd9999ddf,0x809fffdd,0x002efca8,0x803bff71,
    0xffc804fa,0xfd880bff,0x3fe23fff,0x3ffea03f,0xff9801ef,0x2a00bdff,
    0x04ffffff,0x1effffa8,0x3fff2000,0xfffc8802,0xbaaaabef,0xb84fffdc,
    0x6ffffffe,0x00000730,0x2002ae60,0xfffffee8,0xffffffff,0x402fffff,
    0xd3001cb8,0x9dffffff,0xfeb80fc0,0xefffffff,0x0600a882,0x7ffff74c,
    0x5c05efff,0x05ffffff,0x3004dd44,0xffffffdd,0x7d400bdf,0x84ffffff,
    0xffffffeb,0xffffffff,0x0001ffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x55555544,
    0x019aaaaa,0xaaaaa880,0x002aaaaa,0x3221f5c0,0x5553002d,0x55555555,
    0x55555555,0x5555554c,0x5401aaaa,0x2aaaaaaa,0x2aaaaaa2,0x302aaaaa,
    0x55555555,0x77777643,0xeee882ee,0x555513ee,0x33555555,0x54c00013,
    0xaaaaaaaa,0xaaaaaaaa,0x0cc02aaa,0x4401da80,0xffffffda,0xefffffff,
    0x7e5c402d,0x2cefffff,0x3ffea000,0x003ffee1,0x3ffffff2,0xffffffff,
    0x3661ffff,0xefffffff,0x7fedc01b,0x3223dfff,0xffffffff,0xfd9303df,
    0x4439ffff,0x00dffffb,0xb5117fe4,0xffffffff,0x7bffffff,0x3ffee003,
    0xffffffff,0xffffffff,0x1016c07f,0x4003fff7,0x09bffff8,0xdfffb531,
    0xffff1003,0x3ee0000b,0x3fff23ff,0xbcffd801,0x9999999a,0x304fffe9,
    0x00dffffd,0x805fffb0,0x3fffffd9,0x013ffe00,0x7007fff7,0x7ffc407f,
    0xca99acdf,0x01effffe,0x555effe4,0xaafffeaa,0x07ffdbaa,0xf3300be2,
    0xffd8003f,0x7ff4c00f,0xfffd802f,0xfd100002,0x02ffcc1d,0x2e000ee8,
    0x7c406fff,0xb8005fff,0x3f2000ff,0xf1003fff,0x3ffa005f,0x400fd805,
    0x4400fffd,0x204ffffd,0x3ff603fc,0x403fa207,0xff8802fd,0x7ffe4001,
    0xffff8800,0x0fffe400,0x08060000,0x98007a00,0xa801ffff,0x4000ffff,
    0xfd8002fd,0x7f9007ff,0x07ffd400,0xf9009f10,0x3ea001ff,0x09905fff,
    0x4407ffd8,0x02ffc80f,0x4001ff88,0x7000fffb,0xfc809fff,0x000000ff,
    0x800f0000,0x2003fffe,0x2005fffd,0xd10004f9,0xfa807fff,0x3ffe8004,
    0x2e007ee0,0x22000fff,0x2d83ffff,0x403ffec0,0x17ffdc1d,0x4001ff80,
    0x1000fffb,0xfc80dfff,0x099aabff,0x80000000,0x3fff2005,0x7ffc4005,
    0x01fd002f,0x7fffcc00,0x000df301,0x7403ffea,0x1fff7006,0xffffb800,
    0x3f600641,0xb11b807f,0xddddffff,0x0007fe07,0x4001fff7,0x7e407fff,
    0xffffffff,0x000000be,0x3e600100,0xa8000fff,0x5c00efff,0xfb80002f,
    0x0fe886ff,0x0fffa000,0x7dc00fe6,0xfe8000ff,0xfd8005ff,0x6654007f,
    0x2cccdfff,0xb8003ff0,0xf3000fff,0xffc80dff,0xffca99af,0xeeed85ff,
    0x777441ee,0x880004ee,0x0002fffe,0x8813fff6,0x3a00005f,0x0fec3fff,
    0x1ffea000,0x7dc003f6,0xf98000ff,0x6c000fff,0x360007ff,0x3ff002ff,
    0x0fffb800,0x07fff700,0x880fffc8,0xd885fffe,0xfa881fff,0xc80006ff,
    0x40005fff,0xb01ffff8,0x4400001f,0x7f71ffff,0x3ffa0000,0xb8013e23,
    0xd0000fff,0xd8007fff,0x360007ff,0x3ff002ff,0x0fffb800,0x0fffe880,
    0x807ffe40,0x884ffff8,0x3f201fff,0x7d40006f,0x80000fff,0xfa86fffa,
    0xfb800003,0x005faeff,0xb9bfee00,0x3fee001f,0xffb0000f,0xffd800bf,
    0x3ff60007,0x003ff002,0x400fffb8,0x803fffe9,0x2e00fffc,0xfff07fff,
    0x037fd403,0x3ffff100,0x7fec0000,0x001be23f,0xffffd800,0x7c00000e,
    0x800dd2ff,0x0000fffb,0x800dfff9,0x20007ffd,0xf8802ffd,0x7fdc001f,
    0xa99999bf,0x001efffc,0x4c01fff9,0xff81ffff,0x1bfea01f,0x4fffd800,
    0x7fc40000,0x003fb1ff,0x7ffc4000,0xb800002f,0x002f9eff,0x0007ffdc,
    0x007fffb8,0x0003ffec,0xf1005ffb,0xffb8005f,0xffffffff,0x2000efff,
    0x7c00fffc,0xfff83fff,0x01bfea01,0x037ffdc0,0xfffb8000,0x00003fae,
    0x06fffb80,0xfff88000,0xffb8007f,0xff30000f,0x7ec001ff,0x3f60007f,
    0x7fee402f,0xff7000ce,0x9733335f,0x01bffffd,0x401fff90,0xf82ffff8,
    0x3fea01ff,0xfff88006,0x2000001f,0x006ffffd,0xfff50000,0x9000009f,
    0x70009fff,0x20001fff,0x4007fffa,0x20007ffd,0x4cc02ffd,0x2e001999,
    0x74400fff,0x6402ffff,0x3ea00fff,0xfff81fff,0x01bfea01,0x00ffffa0,
    0xfff10000,0x0000003f,0x3ffffdf3,0xff880000,0xffb8001f,0xff70000f,
    0xffd800df,0x3ff60007,0x5c000002,0xd8800fff,0x3201ffff,0x3f200fff,
    0x3fff07ff,0x0037fd40,0x0017fff2,0x3ffe4000,0x74400000,0x06fffb8e,
    0x05fc8000,0x01fff700,0x17fff200,0x00fffb00,0x0017fec0,0xfff70005,
    0x7fff4001,0x03fff206,0x817fffcc,0x3ea01fff,0x3fe6006f,0x000000ff,
    0x000fff90,0x6c3fb000,0x00004fff,0xb80017d4,0xb0000fff,0xd8009fff,
    0x360007ff,0x097002ff,0x01fff700,0x07fffe40,0xb80fffc8,0x3e04ffff,
    0x3fea01ff,0x3fffa006,0x20000002,0x00007ffc,0x3e21fdc0,0x00001fff,
    0xfb8001f6,0xff0000ff,0xfd8005ff,0x3f60007f,0x0cf8802f,0x07ffdc00,
    0x3ffff500,0x2abfff20,0x2ffffecb,0x500fffc0,0x3f200dff,0x000005ff,
    0x003ffe40,0x209f5000,0x0006fffb,0x40009f10,0x8000fffb,0x8006fffa,
    0x20007ffd,0xfd803ffd,0x3ee000ff,0x3e6000ff,0xff900fff,0xbfffffff,
    0x3ffd0017,0x4037fd40,0x000ffffa,0xf90000d8,0x200000ff,0x7ff406f8,
    0xfc80004f,0x3fee0000,0x7fc4000f,0xfd8001ff,0x3f20007f,0x7ecc1c5f,
    0x3fee003f,0x3fee000f,0x3fff205f,0x7ec0000a,0x1bfee02f,0x05ffff10,
    0x4000d100,0x00007ffc,0xf9801fd0,0x20002fff,0x5c0005f8,0x64000fff,
    0xb0005fff,0x5c000fff,0x02b89fff,0x5c005ff3,0x3a000fff,0x3f203fff,
    0xc80000ff,0xfff704ff,0x4fffd80f,0x000b7000,0x0007ffe4,0x400bf600,
    0x800ffffb,0x003f60a8,0x01fff700,0x07fffd40,0x07ffd800,0x3fffe600,
    0x01bee05f,0x001fff90,0x803bfff2,0x0001fffc,0x30bfffb8,0x15fff7db,
    0x06fffb81,0x0007f300,0x0007ffec,0x8009fb00,0x5c05fffe,0x04ffefff,
    0x0fffc800,0x3dfff900,0x7ffec000,0x3fea0000,0x7ed440cf,0x7fec002e,
    0x7fec400f,0x7fec00df,0xfd00002f,0x51dfffff,0x445dffff,0x8001ffff,
    0x20002fea,0x0001fffe,0x000ffd88,0x027fffdc,0x0bfffffb,0x3fff6000,
    0x7fff4c00,0x7f40000d,0x180001ff,0x0006ee20,0x37bfffea,0xffdcbabc,
    0xffa803ff,0x80001eff,0x24ffffe8,0xfe81dffa,0xccccceff,0xedcccccc,
    0x88001fff,0x01dffffc,0x3fffea00,0x7ffec003,0xffa82dff,0x500003ef,
    0x79bdffff,0xbffffb95,0xfc880003,0x0001dfff,0x74c00000,0xfffffffe,
    0xdeefffff,0x3fba601b,0x5effffff,0x0ab98000,0xffb805cc,0xffffffff,
    0xffffffff,0x74c007ff,0xffffffff,0x3ff2004e,0x03ffffff,0x7ffffff4,
    0x5c40ffff,0xee980001,0xffffffff,0x0aceefff,0x7ff54000,0x4effffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0xccccccca,0xcccccccc,0x4001cccc,
    0x5000002b,0x31000009,0x4cc02cc0,0x03300000,0x0004c400,0x00110020,
    0x01440022,0x13100000,0x06004408,0x04408800,0x20000170,0x02740029,
    0x007c8000,0xfffd7300,0x981fc47d,0x2deffffd,0x7fff5c00,0xec8801ef,
    0x000dffff,0x03d101ec,0x6ffff654,0x02ffe603,0x7fdc0000,0x5c5ddfff,
    0x10026406,0x3f227fd7,0x0001705f,0x9d000a60,0x1f200000,0x473f6000,
    0x4eaeffc9,0x7115ff70,0xd1005ffd,0xfff5115f,0x45ff4c07,0x002fffda,
    0x82f401f9,0xf931bfe8,0x3faa01bf,0x200001cf,0xff930afd,0x7c40bd0b,
    0x7ffe4c02,0x3ffffd3f,0x20000170,0x02740029,0x007c8000,0xfc817e40,
    0x9ff505ff,0x401fff30,0xffb80ff9,0xb04fa82f,0xfa801fff,0x2207f603,
    0xdff703ff,0x6ffecc01,0x27dc0002,0x3fa85fa8,0xaa807f20,0xcccbfffc,
    0x00b81fff,0x80053000,0x9000004e,0x37dc000f,0x6c1bff60,0x5ffd02ff,
    0xf881ff40,0x406e85ff,0x3e605fff,0x7417ee07,0x37ff405f,0x5f7fe440,
    0x02fe8000,0x817f4176,0xfe800ff8,0x40ae25ef,0x5300000b,0x0004e800,
    0x2000f900,0x7ec03ff9,0x1ffd82ff,0x2e07ffb0,0x27ff407f,0xffb00fee,
    0x07ff101f,0x3ea07fea,0x7ffd403f,0x3ffae002,0x13fe000c,0x3ff505a8,
    0x3a01bf20,0x2e000fff,0x05300000,0x00004e80,0x32000f90,0x3bb201ff,
    0x05fa86ff,0x7fc0fff6,0x7c0ba805,0x999999bf,0xe81fffd9,0x0bff306f,
    0x3a007ff6,0xda8006ff,0xfe801dff,0xfe81203f,0x05ff880e,0x2001ffec,
    0x5300000b,0x0004e800,0x2000f900,0x3f700ffe,0x4001fff9,0x983fffb8,
    0xf10004ff,0xffffffff,0xd87fffff,0xffe882ff,0x001fff01,0x0001fff9,
    0x80bbff26,0x001efffb,0xfc837fd4,0x0fff603f,0x00001700,0x09d000a6,
    0x01f20000,0x203ffe20,0x5fff71fb,0xfdbf9300,0x07ff507f,0x007fe600,
    0xd06ffb80,0x3fe60bff,0x3fff7007,0xffb88000,0x7ffcc0bf,0x3a001dff,
    0xfff885ff,0x007ffb02,0x300000b8,0x004e8005,0x000f9000,0xfa81fff5,
    0x80fffea2,0xffb0cfea,0x009ff707,0x000ffea0,0x6c17ffd4,0xff701fff,
    0x3ffea00f,0x3aa00002,0x7ffcc2ff,0xf5004fff,0xfff907ff,0x007ffb01,
    0x300000b8,0x3fffff25,0xffffffff,0x2fffffff,0xfffffff3,0xffffffff,
    0x5c9fffff,0x0fe61fff,0x3605fff1,0x1ffec0ef,0x8002ffe4,0x50004ffb,
    0xffb05fff,0x3fff201f,0x2fff9800,0xff910000,0xfff9103d,0xf9801dff,
    0xfffb84ff,0x003ffd81,0x9800005c,0x99999952,0x999df999,0x23999999,
    0xccccccc8,0xccccfecc,0x2a2ccccc,0x09f33fff,0xd881fff1,0x07ffb05f,
    0x2000dff7,0x20005ffa,0xffd06ffb,0x07ffee0b,0x003ffe20,0x39ffb300,
    0xffffb100,0x2ffec01f,0xd817ffc4,0x05c003ff,0x00298000,0x80000274,
    0xff88007c,0xf104e8cf,0x01ffd0ff,0x3e60fff6,0x217002ff,0x3001fff9,
    0x882ffd83,0xffa81fff,0x6ff9802f,0x3ffaa000,0xfe98000b,0xdff303ff,
    0x409ff701,0x5c003ffd,0x05300000,0x00004e80,0x3e000f90,0x2605eeff,
    0x37fcc5ff,0xf107ffb0,0xf1a00bff,0x07600bff,0x7fcc1bfa,0x05fff885,
    0x4004ffa8,0x002effb8,0x06ffd80d,0xff101ffd,0x03ffd80b,0x800005c0,
    0x02740029,0x007c8000,0x80dfff70,0x7fdc2ffa,0x40fff606,0x6c03fffe,
    0x027ffec4,0x17fc41aa,0xfc81ffa8,0x7fdc00ff,0xbff93002,0x200f8003,
    0xffa87ffa,0x801df901,0x5c003ffd,0x05300000,0x00004e80,0x74000f90,
    0x37ec05ff,0x4c0fffdc,0xf9864ffe,0xfda83fff,0x6ffffc40,0x3017dc40,
    0x42fe40df,0x7404fff8,0xffea805f,0x09f0000c,0x3fe85ff8,0xb001ff10,
    0x0b8007ff,0x00530000,0x000004e8,0x7ec000f9,0x3ff303ff,0x25dfff30,
    0x9effefc8,0x7fffec2d,0x02fffcdf,0xbdfffff9,0xf700bffd,0x5c0fec07,
    0xff503fff,0x3bfee201,0x2ff80003,0xfa87ff10,0x400bf204,0x5c005ffe,
    0x05300000,0x00004e80,0x2e000f90,0x20bfffbf,0x3f601ffa,0xa8dfffff,
    0xfb03ffff,0x9fffffff,0xfffffc80,0x9000efff,0xa82f440f,0x3ee0bfff,
    0xdffc881e,0x3fe00002,0x42fec43f,0x00fe205e,0x00ffffcc,0x20000170,
    0x02740029,0x007c8000,0xffb11fa8,0x8017dfdf,0x23ffffd8,0x5c03fff8,
    0x02efffff,0xffffff50,0x407b0009,0xffd301f8,0x2017bfdf,0x00000cf9,
    0xddfffef8,0x00ea83ff,0x3fee0172,0x02efffff,0x300000b8,0x2aaaaa65,
    0xaadfaaaa,0x0aaaaaaa,0x4003e400,0x0aba882f,0x200a8800,0x0d5cc001,
    0x09ba8800,0x88011000,0x00ab9800,0x00000088,0x0abb9882,0x00180110,
    0x005c0000,0xff929800,0xffffffff,0xffffffff,0x7c8005ff,0x00000800,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000b80,
    0x26666253,0x99999999,0x99999999,0x000c4000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xb8000000,0x05300000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x400002e0,0xfffff329,0xffffffff,0x1fffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x665c0000,0xcccccccc,
    0xcccccccc,0x9999932d,0x99999999,0x19999999,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x4c400000,0x00019800,0x0314c000,0x776c3000,0x77441eee,0xeec84eee,
    0x3b24eeee,0x43eeeeee,0x71eeeee9,0x9ddddddd,0x5ddddd30,0x00180440,
    0x40060110,0x3bb60018,0xeeeeeeee,0xddd55eee,0x754bdddd,0x0002eeee,
    0x3ff66000,0x36a1dfff,0x000dffff,0x53faa000,0xccb984f9,0x220fd81b,
    0xa881fffd,0xfb886fff,0xff982fff,0xfb101dff,0xfffe985d,0x0ffdc00e,
    0xb317f5c4,0x2a009fff,0x3ff623fe,0xffeb81df,0xdeff804f,0xfecccccc,
    0x3ff264ff,0xdffa84ff,0x4000ea81,0x87fee04c,0xdfb9fffa,0x02fffd99,
    0x3fee2000,0xeaa7dc3e,0x9efffeff,0xff882fd8,0x1bff201f,0x500fffc8,
    0xfb805fff,0x09fff101,0xfc985f50,0xfff72fff,0x32209fff,0xff73ffff,
    0x221fffff,0x4ffffffd,0x3e2027c0,0xfff706ff,0x4c0bf50b,0x7f9000ef,
    0x2e0ffea0,0xfa81ffff,0x4c0000ff,0x2e02dffc,0x2609efff,0x202fffeb,
    0x3ea01fff,0x3ffe206f,0x00fff602,0x6ffc80bb,0xcaa86d80,0x9bebafff,
    0x981fffc9,0xebbfffba,0xcfffa88a,0xfc88aee8,0x003e02ff,0x6c01fffd,
    0x07741fff,0x9003be60,0x0ffec07f,0xd02fffcc,0x2a0009ff,0xd000cffd,
    0x0bfb007f,0x2a01fff8,0x7fe406ff,0x81bfea05,0x7fc402f8,0x00be201f,
    0x360bdfff,0x7ff404ff,0xdfff705e,0x817ff607,0x17ffe406,0xc9bffe20,
    0x1df3000f,0xfb00ff20,0x5fff103f,0x003ffe40,0x017dfd71,0xb001fd40,
    0x0fffc01f,0x980dff50,0xff100fff,0x401ee03f,0x1ee04ffd,0xb813ffa0,
    0x7fec05ff,0x0bffe604,0x0206ffb8,0x004fffa8,0x5f57fff5,0x40ef9800,
    0x5e9803fc,0x266fffe0,0xfffc9999,0x6ffe4400,0x00dd0002,0x7ffc0bf0,
    0x01bfea01,0x7dc0fffa,0x009d05ff,0x7403ffea,0x02ffe804,0xfb01bfea,
    0x7ffc407f,0x01ffea01,0x017ffe20,0x09ffff90,0x643be600,0xf500003f,
    0xffffffff,0x203fffff,0x001cffd9,0x2000be60,0x3fff00fd,0x4037fd40,
    0xfbd06ffb,0x01f981ff,0x2a0fffa0,0x2ffd800f,0xb01ffe60,0xffe807ff,
    0x01ffe201,0x003fffa0,0x001fffa0,0x07f9df30,0xfefb8800,0x2e0001ff,
    0x0000bffe,0xa8000fa8,0x03fff01f,0x44037fd4,0x47d40fff,0x03643ffe,
    0x361bfee0,0x05ffb005,0x3603ffcc,0x7ff403ff,0x01ffe201,0x005fff90,
    0x00fffe60,0x009ff300,0x4577e440,0x88001fff,0x00002fff,0xf88003e4,
    0x403fff03,0xfb006ffa,0xff74e87f,0x44002f8d,0x0be22fff,0x3017fec0,
    0xffc80fff,0x00fff403,0x5400fff1,0x20004fff,0x000ffff9,0x003bff20,
    0xff0fff20,0xf910005f,0x400007df,0x5f10007b,0xa807ffe0,0xff3006ff,
    0xff887ccd,0x2000f51f,0x01ae5ffc,0x2602ffd8,0x7fe407ff,0x00fff403,
    0x2200fff1,0x20005fff,0x06ffecf8,0xdf37f900,0x17fa2001,0x00017ffc,
    0x0033ffae,0x0003f500,0x3ffe03f5,0x01bfea01,0x8bb1ffe8,0x009b4ffc,
    0x743ffe60,0x0bff6003,0x6407ff98,0x7ff403ff,0x01ffe201,0x0007ffec,
    0x3ffe6db0,0x31fe4003,0xffd001df,0x00fffa01,0xffb5004c,0x3e60003b,
    0x207c8003,0x3ea01ffe,0x3fee006f,0x7fcc1f9c,0x20001f9f,0x00facffe,
    0x980bff60,0x7fe407ff,0x00fff403,0xf900fff1,0x201803ff,0x3ffee0fb,
    0x309f9001,0x7fc401df,0x01bff605,0xffc98034,0x0fd8002e,0xd80fe600,
    0x3fee02ff,0x3ffe2006,0xddffd06d,0xfffa8000,0x7fec005d,0x01ffe602,
    0xfe807ff9,0x1ffe201f,0x807fff30,0xb05f3048,0x9f900dff,0xa8077cc0,
    0x3fee06ff,0x0026402f,0x02fffee2,0x8802fc40,0x27fe406e,0x007fffb8,
    0xb817ffec,0x80003fff,0x4001ffff,0x3e602ffd,0x1ffe407f,0x8807ffa0,
    0x3fe207ff,0x884a805f,0x9fff104f,0x4c027e40,0xfffa80ef,0x5ffff501,
    0x0003f910,0x00e7ff54,0x9807bfa2,0x7fdc05fe,0xf7db30bf,0x500115ff,
    0x7fc40dff,0xfb80000f,0xffe8006f,0x01ffe603,0xff809ffb,0x3ffe202f,
    0x01fffb00,0x80fd09b0,0xfb82fffc,0x41be6004,0x3620dfff,0xbdffffdf,
    0x0003ffeb,0x05bffb30,0x79ff9fd1,0xf9dfb733,0xffffe80b,0xfffa8eff,
    0x7ff002ef,0x0005fd80,0x0007ff10,0x7cc09fff,0x3ffa00ff,0x017ffc04,
    0xf703fff3,0x333337ff,0x447fd953,0x7fdc06fd,0x001c42ff,0xfffc80cc,
    0xf90efddf,0xbfffffff,0xf9100000,0x4bfa25df,0xffffffc8,0xe8817ee3,
    0x3ea4ffff,0x3e4001df,0x00017cc0,0xa8001fb0,0x3f606fff,0xfff303ff,
    0x3ffee01d,0x0ffff205,0xfffffff1,0xffffffff,0x3ffffe67,0xfffffe82,
    0x000001ff,0x3fffff22,0xffffeb83,0x4000003f,0x03d14eb8,0x75c02a62,
    0x2055cc00,0x530000b9,0x00001200,0x7f4c0073,0xb1efffff,0x7dffffff,
    0x3fffffa6,0xffff92ef,0x3f61dfff,0x04efffff,0x00000000,0x44000000,
    0xba8801ab,0x0000000a,0x00000004,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2a000000,0x9b100002,
    0x5edcc000,0x05edc401,0x00058800,0x8039bd95,0x401bdcca,0x702cedb8,
    0xa83eb87d,0x4c1edc4d,0x99999999,0x99999999,0x00000999,0x05fff980,
    0x0407fff7,0x10220000,0x1dd985b9,0x000ffd40,0x001ffe40,0x27fff7ec,
    0x6fffffd8,0x003fd800,0x3ffbff62,0x221fb03f,0x19f503fe,0x7c41bff5,
    0x3fff11ff,0xff72fff8,0x7fffccdf,0xffffffff,0xffffffff,0xffffff34,
    0xffffffff,0x49ffffff,0xffb07ffb,0x37fff20b,0xb8ae000a,0x1fff23ff,
    0xfb80dffb,0xfb80003f,0x86dc001f,0x7540ffc8,0x007ff912,0x8007ffd4,
    0x3faa1dfd,0x3ee2fcc3,0x7c46f987,0x4bffea5f,0x3e62fffa,0xffffb3ff,
    0x2aaaaa25,0xaaaaaaaa,0x1aaaaaaa,0x99999991,0x99999999,0xc89f9999,
    0x2ffc42ff,0xffedffe8,0x21f801cf,0x3ff67fff,0x11fffa0f,0x0041ffa8,
    0x18001a80,0x0f41ff88,0xdd003fec,0x9f7009f3,0x5f30ff40,0x7f41ffb8,
    0xf52ffc84,0x3ffea5ff,0x5cfffe62,0x0005ffff,0x80000000,0x544fd84e,
    0x42fb80ef,0x0beffeb8,0x37ff46b8,0xffa89ff3,0x7c43bfa3,0x009fd10f,
    0xf9800000,0x0df50085,0x0fe47ee0,0xfb803f60,0x0fff5403,0xff105ff1,
    0x443ffe29,0x3fe20fff,0x1b62e62f,0x00000000,0x37413a00,0x01f403f2,
    0x337fff66,0x6f4c2ffc,0xf8110081,0x22dd0eff,0x00007ffe,0x002ec000,
    0x3e2013ee,0xbf01be24,0xb885f880,0x2a1ffa9d,0x4bff02ff,0x43ffc7ff,
    0x09f01fff,0x00000000,0x3e209d00,0x00f80be1,0xdfffd710,0xa8000003,
    0x9cc9ffff,0x0002ffff,0xfeb88000,0x07fa001e,0x5f503f60,0x2fc02fc0,
    0x1ffa93e6,0x7f40ffea,0xdfd1bfa5,0xf501ffb0,0x00000005,0x409d0000,
    0x01805129,0x00013100,0x7e544000,0x0acffddf,0x7fffffe4,0xffffffff,
    0x82ffffff,0x02fffdc9,0xfa802fa8,0x3a01fb03,0xa93ea00f,0x30ffd47f,
    0x8ffa0bff,0x427e44fc,0x4cbb06fc,0xeeeeeeee,0xeeeeeeee,0x0003eeee,
    0x00009d00,0x00000000,0x3ff20000,0x66665403,0xcccccccc,0xcccccccc,
    0x02ffcc01,0x374013e6,0x3ee09f30,0xfe87fa03,0x3a0ffd45,0x07fc40ff,
    0x83fb87f7,0x06ec45fa,0xddddddd3,0xdddddddd,0x007ddddd,0x000f6000,
    0x00000000,0x6dc40000,0xbdffddff,0x00000000,0x2201ff50,0x03f7004e,
    0x9fd01fc8,0x3e27ecc1,0x5ffb31ff,0x2e27fcc3,0x260fcc3f,0x2e3f981f,
    0x0000003f,0x00000000,0x00000000,0xff700000,0xfd3991df,0x000005ff,
    0x20ff1000,0x9f1003e8,0x220bf100,0x5ffedffe,0x9cffffc8,0x7fd44fff,
    0xf882fcae,0x1f807c40,0x4179100a,0xaaaaaaa8,0x000001aa,0x00000000,
    0x00000000,0x743bffe2,0x00dffd16,0xf5000000,0xb105d309,0x2a001fb0,
    0x3ff6e02f,0x82f2a02d,0x997101dc,0x02814017,0xffe8002a,0x3ffffea5,
    0x0004ffff,0x00000000,0x00000000,0xf32fec00,0x013fa21f,0x70009910,
    0x54374c37,0xfeeeeeff,0x2001fd44,0x0000006e,0x00000000,0x4ffff000,
    0xfffffffa,0x000004ff,0x00000000,0x00000000,0x217fd408,0x3ffc8000,
    0x77fff400,0xffffa83f,0x741fffff,0x03f98006,0x00000000,0x80000000,
    0x2ee64ffd,0x2bbbbbbb,0x00000000,0x00000000,0xc8000000,0xb80003ff,
    0xa88002ff,0x2666201a,0x00199999,0x00000000,0x00000000,0x00aa0000,
    0x00000000,0x00000000,0x00000000,0x0001ffa8,0x00000550,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x03300000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__times_44_latin1_x[224]={ 0,4,2,0,2,1,1,1,1,0,2,0,2,1,
2,0,1,4,0,1,0,1,1,1,2,1,3,2,0,0,0,1,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,-1,1,0,1,0,2,1,0,0,0,0,0,0,3,0,1,0,-1,2,1,-1,1,1,1,1,1,0,1,
-4,0,1,0,0,1,-1,1,0,1,0,0,0,0,0,0,0,5,3,3,0,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,4,2,1,0,0,
3,3,1,1,-1,1,0,1,1,-1,1,0,0,0,4,2,-1,2,3,2,0,1,2,2,0,1,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,-1,1,1,1,1,1,3,1,0,0,0,0,0,0,0,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,0,0,1,0,1,1,1,1,1,0,0,0,0,0,0,0,-1,0,
 };
static signed short stb__times_44_latin1_y[224]={ 35,8,8,8,6,8,8,8,7,7,7,11,31,24,
31,7,8,8,8,8,8,8,8,8,8,8,16,16,12,17,12,8,7,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,7,8,8,41,8,16,7,16,7,16,7,16,7,7,
7,7,7,16,16,16,16,16,16,16,11,17,17,17,17,17,17,7,7,7,21,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,35,16,9,8,12,8,
7,8,9,8,8,16,17,24,8,5,8,11,8,8,8,17,8,19,34,8,8,16,8,8,8,16,0,0,0,1,
1,2,8,8,0,0,0,1,0,0,0,1,8,1,0,0,0,1,1,13,7,0,0,0,1,0,8,7,8,8,
8,8,9,7,16,16,8,8,8,9,8,8,8,9,7,8,8,8,8,8,9,14,16,8,8,8,9,8,7,9,
 };
static unsigned short stb__times_44_latin1_w[224]={ 0,5,12,20,16,31,29,5,12,12,16,22,6,11,
6,12,18,12,19,16,19,17,18,18,16,18,5,7,22,22,22,16,35,29,25,25,28,24,21,28,28,13,16,30,
24,35,30,27,21,27,27,18,23,29,29,38,29,29,24,9,12,9,18,22,7,17,20,16,19,16,17,19,20,10,
12,21,10,31,20,18,20,19,14,14,12,20,20,29,20,20,17,12,2,12,22,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,5,16,18,20,20,
2,14,12,28,12,18,22,11,28,22,13,22,12,11,7,20,20,6,7,8,12,18,28,27,30,15,29,29,29,29,
29,29,36,25,24,24,24,24,13,13,13,13,28,30,27,27,27,27,27,17,27,29,29,29,29,29,21,19,17,17,
17,17,17,17,25,16,16,16,16,16,10,10,12,12,18,20,18,18,18,18,18,22,20,20,20,20,20,20,20,20,
 };
static unsigned short stb__times_44_latin1_h[224]={ 0,28,12,28,33,29,28,12,37,37,17,22,11,4,
5,29,28,27,27,28,27,28,28,28,28,28,20,26,20,9,20,28,37,27,27,28,27,27,27,28,27,27,28,27,
27,27,28,28,27,35,27,28,27,28,28,28,27,27,27,35,29,35,15,3,7,20,29,20,29,20,28,28,28,28,
37,28,28,19,19,20,28,28,19,20,25,19,19,19,18,27,18,37,37,37,7,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,0,28,34,28,20,27,
37,35,5,28,12,20,9,4,28,2,13,22,15,15,7,27,36,6,9,15,12,20,29,29,29,28,35,35,35,34,
34,33,27,35,35,35,35,34,35,35,35,34,27,35,36,36,36,35,35,17,29,36,36,36,35,35,27,29,28,28,
28,28,27,29,20,27,28,28,28,27,27,27,27,26,29,27,28,28,28,28,27,16,21,28,28,28,27,36,37,35,
 };
static unsigned short stb__times_44_latin1_s[224]={ 253,241,131,185,203,220,1,125,1,35,1,
46,144,158,151,86,50,224,184,159,204,187,205,1,20,37,250,247,27,151,180,
175,54,23,1,159,176,117,1,143,53,103,230,142,41,83,69,227,182,1,137,
31,205,85,113,1,125,95,70,243,99,241,66,220,197,90,220,108,112,125,100,
118,138,176,103,153,40,164,143,161,172,93,237,203,229,71,122,92,214,155,196,
116,48,90,213,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,253,247,96,
192,50,82,51,103,243,56,99,142,174,158,224,23,85,23,53,41,205,1,61,
236,242,242,112,218,132,161,189,143,132,29,162,113,143,173,204,31,90,115,140,
57,165,207,118,82,214,59,215,157,129,179,213,235,1,185,1,31,1,221,27,
29,106,88,1,19,119,49,1,66,37,54,71,165,243,173,237,241,67,193,115,
134,211,124,22,18,69,51,72,206,49,82,14,192, };
static unsigned short stb__times_44_latin1_t[224]={ 1,148,425,178,112,112,207,425,1,1,425,
378,425,435,435,148,207,294,294,207,294,207,207,236,236,236,294,236,404,425,378,
236,1,294,350,178,350,294,294,265,294,294,236,294,322,322,207,178,322,76,322,
207,350,236,265,265,350,350,350,1,148,39,425,142,425,378,148,378,148,378,207,
207,207,207,1,236,265,404,404,378,265,265,378,378,350,404,404,404,404,350,404,
1,1,1,425,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,1,148,112,
236,404,294,1,39,425,236,425,378,425,435,207,401,425,378,425,425,425,322,39,
425,366,350,425,378,148,148,148,178,39,76,39,112,112,112,322,112,76,76,76,
112,76,76,39,112,265,76,1,1,1,76,39,404,148,1,39,39,112,76,350,
148,178,178,178,178,322,148,404,322,178,178,178,322,265,294,294,322,148,265,236,
236,236,178,322,425,378,265,265,178,350,39,1,39, };
static unsigned short stb__times_44_latin1_a[224]={ 159,212,259,318,318,530,494,115,
212,212,318,359,159,212,159,177,318,318,318,318,318,318,318,318,
318,318,177,177,359,359,359,282,585,459,424,424,459,388,354,459,
459,212,247,459,388,565,459,459,354,459,424,354,388,459,459,600,
459,459,388,212,177,212,298,318,212,282,318,282,318,282,212,318,
318,177,177,318,177,494,318,318,318,318,212,247,177,318,318,459,
318,318,282,305,127,305,344,494,494,494,494,494,494,494,494,494,
494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,
494,494,494,494,494,494,494,494,159,212,318,318,318,318,127,318,
212,483,175,318,359,212,483,318,254,349,191,191,212,366,288,159,
212,191,197,318,477,477,477,282,459,459,459,459,459,459,565,424,
388,388,388,388,212,212,212,212,459,459,459,459,459,459,459,359,
459,459,459,459,459,459,354,318,282,282,282,282,282,282,424,282,
282,282,282,282,177,177,177,177,318,318,318,318,318,318,318,349,
318,318,318,318,318,318,318,318, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_44_latin1_BITMAP_HEIGHT or STB_FONT_times_44_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_44_latin1(stb_fontchar font[STB_FONT_times_44_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_times_44_latin1_BITMAP_HEIGHT][STB_FONT_times_44_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_44_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_44_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_44_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_44_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_44_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_44_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_44_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__times_44_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__times_44_latin1_s[i] + stb__times_44_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__times_44_latin1_t[i] + stb__times_44_latin1_h[i]) * recip_height;
            font[i].x0 = stb__times_44_latin1_x[i];
            font[i].y0 = stb__times_44_latin1_y[i];
            font[i].x1 = stb__times_44_latin1_x[i] + stb__times_44_latin1_w[i];
            font[i].y1 = stb__times_44_latin1_y[i] + stb__times_44_latin1_h[i];
            font[i].advance_int = (stb__times_44_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__times_44_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_44_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_44_latin1_s[i] + stb__times_44_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_44_latin1_t[i] + stb__times_44_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_44_latin1_x[i] - 0.5f;
            font[i].y0f = stb__times_44_latin1_y[i] - 0.5f;
            font[i].x1f = stb__times_44_latin1_x[i] + stb__times_44_latin1_w[i] + 0.5f;
            font[i].y1f = stb__times_44_latin1_y[i] + stb__times_44_latin1_h[i] + 0.5f;
            font[i].advance = stb__times_44_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_44_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_44_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_44_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_44_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_44_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_44_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_44_latin1_LINE_SPACING
#endif

