// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_26_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_26_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_26_latin1_BITMAP_WIDTH         256
#define STB_FONT_times_bold_26_latin1_BITMAP_HEIGHT        186
#define STB_FONT_times_bold_26_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_times_bold_26_latin1_FIRST_CHAR            32
#define STB_FONT_times_bold_26_latin1_NUM_CHARS            224

#define STB_FONT_times_bold_26_latin1_LINE_SPACING          17

static unsigned int stb__times_bold_26_latin1_pixels[]={
    0x54770000,0x3fff540c,0x886e4400,0xddc9801f,0x7c400acc,0x00adda81,
    0x33332ea2,0x000002cc,0x0003ddb0,0x0006f6c0,0x0004ee98,0x00000080,
    0x017ba600,0x006f6c00,0x207ff900,0x5ff8affa,0x8007ffa8,0x03f15ffb,
    0x5cc0e75c,0x4c3f100d,0x881fd0cf,0xdacffffd,0xb97ec00e,0xfe88004f,
    0xff300004,0x7ff40005,0xfd50001f,0x8800b359,0x005fb0fe,0x0001ff70,
    0x0002ff98,0xff301ffc,0x3e613fa3,0xffa8007f,0xbb103f14,0x10191001,
    0x3f63ec3f,0x7fffff44,0xff880992,0x2000ffd5,0x900006f8,0x7d40005f,
    0x88005fbd,0x02ffffff,0x7c5ffd40,0x7f70005f,0x02fc8000,0x4027cc00,
    0xff980c08,0x44750007,0x001fc41f,0x447e206c,0xb93f21ff,0x92ffffff,
    0x2a3b7007,0x3e60003e,0x03e80001,0xf993e200,0x5c554001,0xd8000cfe,
    0x0003b70d,0x3a00035c,0x04c80003,0x7ff98000,0x83f10000,0x8930005d,
    0x87bfe1f8,0x7fffff40,0x0000792f,0x00044000,0x22000040,0x00002981,
    0x00000000,0x00800030,0xdd900000,0x1776c9dd,0xdd91fff3,0x9f775c07,
    0x203ae1f8,0x0ccabed8,0x7dc3f10e,0xffff02ff,0x30f25fff,0x39999999,
    0x00e6665c,0x359b9751,0xdcba8800,0x544001ac,0x001acdcb,0x566e5d44,
    0x65d44001,0x32601acd,0x21cccccc,0x931ccccb,0x43999999,0x641ccccb,
    0x3b64eeee,0x21fff62e,0x6fffcc3e,0x3204ffdb,0x7c3f14ff,0xfd95fa82,
    0x20fc438f,0xfd84fffd,0x792fffff,0x413fff60,0x3ea00ef8,0x4fea88bf,
    0x117ff500,0x2a009fd5,0xfea88bff,0x17ff5004,0x2009fd51,0xea88bffa,
    0x7ffec04f,0xb01df104,0x3e209fff,0x0fffb00e,0x1fff987d,0x0fffcc34,
    0x3ee05ffd,0x1ea3f14f,0x7fdc7fe6,0x43f10d44,0x0dfffbe9,0x3fffffee,
    0x3fee0792,0xd80f602f,0xeff883ff,0x20fff600,0x3600eff8,0xeff883ff,
    0x20fff600,0x3600eff8,0xeff883ff,0x05fff700,0xfffb81ec,0xf980f602,
    0xfd8341ff,0x3e60e64f,0x827fdc7f,0x23f14ffb,0x325fe84c,0x510d42ff,
    0x7f4cfe21,0x3fffe65f,0x2e0792ff,0x0b201fff,0xf7037fdc,0x1bfee0df,
    0xf706ffb8,0x37fdc0df,0x2e06ffb8,0xdff706ff,0xb837fdc0,0x0b201fff,
    0x900fffdc,0x24ffd805,0x1fff5039,0x1ffe6032,0x3ee0dff5,0x0f63f14f,
    0x7ff45ff5,0x83f20240,0x3e60ffd8,0x0792ffff,0xc807ffee,0x03fff882,
    0xf10fffe2,0x7fc407ff,0x1fffc43f,0x887fff10,0x3e203fff,0x7ffc43ff,
    0x0fffe203,0xc807ffee,0x03fff702,0x3fea0164,0x7f40190f,0x3fe60b3f,
    0xb83ffd47,0x3a3f14ff,0xff33ff42,0x3fe8090d,0x2e627f44,0x20792ffd,
    0x3201fffb,0x01fffc82,0x3f23fff4,0x7ff401ff,0x00fffe47,0xff91fffa,
    0x7ffe803f,0x200fffe4,0xffb87ffe,0x5c0b201f,0x0b201fff,0x02cfffa0,
    0x40abbfee,0x7fd47ff9,0x229ff706,0x7fc43d1f,0x710fff25,0x543ffc80,
    0x3c97403f,0x403fff70,0x1fffd82c,0xb07fff40,0xfe803fff,0x3fff60ff,
    0x07fff401,0xe803fffb,0x3ff60fff,0x7fff401f,0x00fffdc0,0x3ffee059,
    0x2e00b201,0xf802aeff,0x3fe606ff,0xb82ffdc7,0x363f14ff,0x74d3fe63,
    0x220641ff,0x49fff10a,0xc97400fa,0x03fff703,0x7fffc164,0x0fffec00,
    0xd801ffff,0x3ffe1fff,0x7ffec00f,0x003fffe1,0x7fc3fffb,0x7fec00ff,
    0x0fffdc1f,0x3fee0590,0x400b201f,0xf9006fff,0x3ffcc09f,0x7dc0fff2,
    0x92e3f14f,0xfdc9dffa,0x0fc40dc7,0x3d3dfff5,0x40f25d00,0x3201fffb,
    0x00ffff82,0xff17ffec,0xffd801ff,0x03fffe2f,0x7c5fffb0,0x7ec00fff,
    0x3fffe2ff,0x17ffec00,0xc807ffee,0x03fff702,0xffc80164,0x03ff1004,
    0xf8a7ffcc,0x53fee05f,0x7c4b51f8,0x17fc8eff,0x83f11c59,0x003fffe9,
    0x7dc0f25d,0x20b201ff,0x7400fffe,0x3ffa1fff,0x7fff400f,0x003fffa1,
    0x7f43fffd,0x7ff400ff,0x03fffa1f,0xb83fffd0,0x0b201fff,0x900fffdc,
    0x07fe2005,0x7cc06d80,0x0dfffaff,0x7c53fee0,0x0dfb87a1,0x44179fb1,
    0x36207e23,0x2e800fff,0x3ffee079,0x3f60b201,0x7ffc01ff,0x07fff60f,
    0x6c1ffff0,0x7fc01fff,0x3fff60ff,0x07fffc01,0xf803fffb,0x7fdc0fff,
    0x5c0b201f,0x0b201fff,0x54006d80,0x33ffcc03,0x29ff7001,0x001a61f8,
    0x201f8890,0x2e805ffc,0x3ffe6079,0x3ea07602,0x3fe202ff,0x17ffd45f,
    0xa8bfff10,0x3e202fff,0x7ffd45ff,0x17ffe202,0x4405fff5,0xff985fff,
    0x4c07602f,0x07602fff,0x04403a80,0x7ff9801b,0x14ffb800,0x0003c83f,
    0x321f8839,0x201bee2f,0x3e20792e,0x403a02ff,0x3e605ffe,0x5ffe80ff,
    0x203ffe60,0x3e605ffe,0x5ffe80ff,0x203ffe60,0x3e605ffe,0xfff880ff,
    0x7c403a02,0x803a02ff,0xf8803608,0xf980488f,0x55f5007f,0x207e27ff,
    0x0722004c,0x23fe87e2,0x92e805f9,0x827ff407,0x3ffe605a,0x207ffd00,
    0xfd00fff9,0x3ffe607f,0x207ffd00,0xfd00fff9,0x3ffe607f,0x407ffd00,
    0x0b504ffe,0xb504ffe8,0x2447fc40,0x036ffe60,0x401ffea0,0x226fabfb,
    0x405b301f,0x3f100cc8,0x03f91fd4,0x980f25d0,0x1aa23fff,0x9037fa20,
    0xfe8805ff,0x017fe40d,0xf9037fa2,0xdfe8805f,0x2017fe40,0x7e40dfe8,
    0x7ffcc02f,0x2601aa23,0x1aa23fff,0x01b7ff30,0x3003bf90,0x0039fffd,
    0x7c43bdd9,0x66665401,0x7c400bdc,0x0ef6ed41,0x80792e80,0xdfefffe8,
    0x33bb2000,0x2001deec,0xdeecceec,0x33bb2001,0x2001deec,0xdeecceec,
    0x33bb2001,0x1001deec,0x1bfdfffd,0x3fffa200,0xfc800dfe,0x0000001d,
    0x00000000,0x00000000,0x13530000,0x00998000,0x00099800,0x00009980,
    0x80000998,0x4c000099,0x2600009a,0x0000009a,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xec800000,0x1020001e,0x88055000,0x121bdeca,0x000bdb10,
    0x8000bdb3,0x50004ee9,0x805dd700,0x59b03eea,0x40372200,0x00003eeb,
    0x01b80000,0x8013332a,0x9100dee8,0x98003999,0x98006fff,0x0058adfe,
    0xfe880f62,0xeffc9adf,0x1fffe404,0x00ffd400,0x001df900,0xff980930,
    0x06fc806f,0x9f5013ea,0x9805fe80,0x0058adfd,0x077457ea,0x3ff704d8,
    0x01ffb800,0xdf52ffa8,0x7edfec03,0x7fff4002,0x9d1005ff,0x807ff440,
    0x3be204fc,0xa8000fea,0x3ba0004f,0x80390000,0x802fdbfd,0x0bfa01fd,
    0xf3007fc4,0x3fff600b,0x3f6005ff,0x202ffa8f,0x007fb85e,0xf3001fe8,
    0x413ffa5f,0x801b21fa,0x0dfdb8c8,0x2201fb00,0x27402fff,0x0fa21bb0,
    0x80035c00,0x160000f9,0x03643f50,0x17fa04d8,0xb9007fd4,0x36e32200,
    0x366001df,0x5401bb13,0x003fdc4f,0xf88007e2,0x205ff92f,0x0001a809,
    0x40bf7000,0x4a805ffe,0x000e20a0,0x01100008,0x2601d400,0x01001a80,
    0xffa827fc,0x00000201,0xff000000,0x2003fdc3,0x7fc40008,0x6664caa2,
    0x32e1cccc,0x99951ccc,0x3332a099,0x981ff41c,0x03003fff,0x664c00e0,
    0xcccccccc,0x333261cc,0xcccccccc,0x7ffb701c,0xcccccc98,0x21cccccc,
    0xccccccc9,0x440ffe21,0x6664c2ff,0x7001cccc,0x33332600,0xcccccccc,
    0x7dcbf901,0xcccccb87,0x2cccc81c,0x36017fc4,0xdf104fff,0x4ffff981,
    0xfa81df30,0x5fff701f,0x0fc40000,0x59fff900,0x907ffb75,0xb7559fff,
    0x8fe887ff,0xffc84ff9,0xffdbaacf,0x85fffc83,0x3fe02ff9,0x0bfff903,
    0x9000fc40,0xb7559fff,0x3fee07ff,0x3ee0ff70,0x3ee01fff,0x2a2ff883,
    0x017ffdc0,0x3ffea07b,0xf907903f,0x3fff601f,0x3f200000,0x3ffea005,
    0xfa83f982,0x43f982ff,0x0fff76fc,0xf305fff5,0x07fff507,0x7f403ff1,
    0x07fff502,0x5002fe40,0x7f305fff,0x7dcffea0,0x0ffff607,0x5ff104c8,
    0x3ffee15c,0x7540b201,0x2b81ffff,0xff00ffe8,0x200001ff,0x5000fff8,
    0x0f205fff,0x640bffea,0x56d3fe23,0x2fffa85f,0xfff50790,0x440ff205,
    0x3ffea06f,0x1fff1002,0x0bffea00,0x4ff981e4,0x7fc40ff7,0x201d107f,
    0x70f62ff8,0x16403fff,0xffffcba8,0x7ffc15c0,0x03fffd00,0x3ffee000,
    0x5fff5004,0xfa83885c,0x1c42e2ff,0x80739ff5,0x42e2fffa,0x2fffa838,
    0xbd30bae0,0x17ffd401,0x04fffb80,0x5c5fff50,0x3fe60710,0xfb80ff75,
    0x202c83ff,0x717a2ff8,0x16403fff,0xdfffd3a8,0x07ff82b8,0x000bfff2,
    0x07fff740,0xb17ffd40,0x2fffa801,0x6ffdc036,0x7ffd400c,0xff500362,
    0x12e9805f,0xfff5007f,0x3ffba005,0xfffa800f,0x3e600362,0x880ff76f,
    0x1660ffff,0x3e25ff10,0x00fffdc7,0x7c4ea059,0x20ae4fff,0x3fe607fe,
    0xca80003f,0xa803fffb,0x01f12fff,0xf12fffa8,0x17ffea01,0x44bffea0,
    0x7ffd400f,0x9107b602,0x7ffd401d,0xffbca802,0xfffa803f,0xf3001f12,
    0x201feebf,0x07a4fffb,0x3ea5ff10,0x07ffee0f,0x4c7502c8,0x0572ffff,
    0x7f401ffb,0x200800ff,0x06fff88e,0xfccfffa8,0x7ffd400f,0xf300ffcc,
    0xff5007ff,0x801ff99f,0xf902fffa,0x403be205,0xe802fffa,0x806fff88,
    0xffccfffa,0x74ff9800,0x3ffa00ff,0xf8804b8f,0x5c5ff72f,0x0b201fff,
    0x3ffea1d4,0xffc82b9f,0x13ffa200,0x49302d88,0x5402fffc,0x0ffddfff,
    0x6efffd40,0x3ffa00ff,0xff506e0e,0x801ffbbf,0xf882fffa,0x40bfa01f,
    0x4c02fffa,0x00bfff24,0xffbbfff5,0x27ff5001,0xff5007fb,0xf1001dbf,
    0xb8fff65f,0x0b201fff,0x7ffe41d4,0x2ff982ce,0x0dfff440,0x21d80ba6,
    0x5405fff8,0x01f52fff,0xf52fffa8,0x7fffcc01,0xfffa84ec,0xfa801f52,
    0x2ff982ff,0x7d40ffe0,0x10ec02ff,0xfa80bfff,0x001f52ff,0x1fee1ff7,
    0x03fffe80,0x3fa5ff10,0x07ffee5f,0x207502c8,0xd02ffffd,0xfb71007f,
    0x401bfddf,0xfe9999e8,0x3fea01ff,0xf500362f,0x2006c5ff,0x504efffc,
    0x006c5fff,0x220bffea,0x5ff303ff,0x80bffea0,0xfe9999e8,0x3fea01ff,
    0x3200362f,0x801fee4f,0x1002fffa,0x93ffa5ff,0x3602fff9,0x3a207501,
    0xdf502fff,0x00195000,0x33333332,0x3ea04fff,0x3882e2ff,0x1717ffd4,
    0x00c561c4,0x0b8bffea,0x5fff50e2,0x7d413fe0,0x5fff501f,0x66666640,
    0x2a04fffc,0x882e2fff,0x3ee0ff83,0x3ffea007,0x25ff1002,0x3fe21eea,
    0x5403a02f,0x0bffe603,0x74002fc8,0x2068803f,0xf500fffe,0x0b6045ff,
    0x2045fff5,0xa800ea2d,0x5b022fff,0xd02fffa8,0x03fea09f,0x8817ffd4,
    0x03fffa06,0x8117ffd4,0x2e1fd42d,0x3fea007f,0x5ff1002f,0x209ffd00,
    0x500ee05a,0x05d805ff,0x6402fcc0,0x13ffea03,0xa817ffd4,0x17ffd41f,
    0x00361fa8,0x502fffa8,0x2fffa83f,0x7fc03fd0,0x05fff501,0xfffa80f2,
    0x05fff504,0x709d07ea,0x7fd400ff,0x5ff3002f,0x47fff300,0x036c06a8,
    0x2e4017dc,0x401fc980,0x3fe203f9,0xfffb81ff,0x03ff2a24,0x5449fff7,
    0x00b10ffc,0x224fffb8,0x7dc0ffca,0x03fb83ff,0x7dc06fcc,0x03f983ff,
    0x207fffe2,0x2a24fffb,0x07b10ffc,0x2006bfee,0x9802fffb,0xd1002ffc,
    0x01bfdfff,0x00b7ff6a,0x0062005b,0xff70026a,0xffda819d,0xff732eff,
    0xfffdffff,0x7ffdccff,0xffffefff,0x5cc00227,0xfeffffff,0x3ee67fff,
    0x991bffff,0x432e2001,0xbfffffb9,0x819dff71,0x2effffda,0xffffff73,
    0x54fffffd,0x06666200,0xfffffca8,0x2666602b,0x09a98000,0x00880000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0x00000ded,0xca880000,0x0001bced,0x00000593,
    0x54c00350,0x0000000a,0x80000000,0x00000aa9,0x0000cd88,0x7000d540,
    0x200007dd,0xfb802eeb,0x2fd804ff,0x3fc809f7,0x7fd40bf5,0x0cfea88b,
    0x0f276600,0x803ffc40,0xfd004dce,0x1ffa209f,0xcceeda80,0x3fe600cc,
    0x02ffcc05,0xf3013ffa,0xdde980df,0x3a00beed,0xfff701ff,0x037ec001,
    0x804ff800,0x00feaff8,0x3ff57fe2,0x7fedbfe0,0x883ffd80,0x39000eff,
    0x5ff30034,0x00363a80,0x201ffdf7,0xff802ff8,0x019bff34,0x7e402fe4,
    0x7ff7dc05,0x80ffcc00,0x3ee775f8,0x203ff302,0x004feff8,0x200007ec,
    0x1d9004fa,0x3b701362,0x5d700faa,0x3fee0f66,0x01bfee06,0x400499dc,
    0xd24c04f9,0xe98df880,0x7017e605,0x037f43ff,0x77c0077c,0x2637e200,
    0x03fa805e,0x2d8ee7f9,0x7e403f90,0xe8001fb2,0x02e40003,0x0000e050,
    0xfff10000,0x1fffc407,0x006f6440,0x6ec03cc0,0x2226403e,0xd01e601e,
    0x07ff41ff,0xd3001d30,0x7444c801,0xff06a801,0x814c771d,0x903a602e,
    0x00010009,0x33260008,0x001ccccc,0x33326007,0x3f21cccc,0x7ff401ff,
    0x003f1007,0x00110000,0xfe800000,0x003ffa0f,0x00000000,0xdeffd800,
    0x00000003,0x70000380,0x5fffc800,0x8007e200,0xfd85fffc,0x7ff401ff,
    0x05fc800f,0x0e776d40,0x02dfedb8,0x80e776d4,0x902dfedb,0x037fc5ff,
    0x2039ddb5,0x202dfedb,0x402dfedb,0xfa83eeda,0xda805fff,0x3b6a03ee,
    0x0fc4003e,0x007e2000,0x003fffa8,0xfa8017f2,0xffff83ff,0x0fffec00,
    0x003ffe20,0x1ff8b7e4,0x2ffc9ba2,0x3fe2df90,0xffc9ba21,0x3eebf902,
    0x22df900e,0xc9ba21ff,0x937442ff,0x53ee05ff,0xfffc84fa,0x29f701ef,
    0x54fb84fa,0x2fe4009f,0x017f2000,0x002fffa8,0x2001fff1,0xff82fffa,
    0x7fec00ff,0x7ffdc02f,0x23ff9804,0x1ff70efc,0x3e617fea,0x5c3bf23f,
    0x0bff50ff,0x30167764,0x877e47ff,0xbff50ffb,0xff50ffb8,0x225ff30b,
    0xfffb81ff,0x97fcc2ff,0x3fe61ff8,0x1003ff12,0x20001fff,0x5000fff8,
    0x2e005fff,0xf5004fff,0xfffd05ff,0x1fffd801,0x07fff740,0xfc8bff60,
    0x265ff73f,0x2ffd86ff,0x7fdcfff2,0x360dff32,0x8bff6003,0x5ff73ffc,
    0xff71bfe6,0x361bfe65,0x413fe0ff,0x20ffffe8,0x93fe0ffd,0x13fe0ffd,
    0x013ffee0,0x027ffdc0,0x002fffa8,0x001fffdd,0xfb05fff5,0xffe803ff,
    0x3ef2a00f,0x7ffc03ff,0x2a93fee1,0xff0dffb1,0x527fdc3f,0x21bff625,
    0x09999dfb,0x7dc3fff0,0x7ec4aa4f,0xfb12a86f,0x99ffd0df,0x75c0bff9,
    0x3ffa3fff,0x3a5ffccc,0x5ffcccff,0x0fffee80,0xfffee800,0x2fffa800,
    0xfffbca80,0x2fffa803,0x402fffa8,0x47405fff,0x2206fff8,0x3fee1fff,
    0x7fdf6446,0x70fffc46,0xbec88dff,0xfffc86ff,0x221effff,0x3fee1fff,
    0x7fdf6446,0xff7d9106,0x333fff0d,0x2ee04133,0x3ffe6ffb,0x3e099999,
    0x099999ff,0x7ffde540,0x7de54003,0xffa803ff,0xf88e802f,0xffa806ff,
    0x0bffd02f,0x3007ffd4,0x017ffe49,0x7fdc3fff,0x3e63bea4,0x21fff86f,
    0x3bea4ffb,0xf986ff98,0x7fffffff,0xff70fffc,0x7cc77d49,0x98efa86f,
    0x2ffe86ff,0x7f4ee2c0,0xd00bffa5,0x1d0005ff,0x800dfff1,0x06fff88e,
    0x402fffa8,0x0bfff249,0x205fff50,0xfb00fff9,0x221d807f,0x3fa05fff,
    0x4cbfee1f,0x0dff32ff,0x7fdc3ffd,0x3e65ff32,0xcced886f,0x3a1ffecc,
    0x4bfee1ff,0xdff32ff9,0xff32ff98,0x80bff90d,0x17ecee1e,0xfc80bff9,
    0x924c005f,0x26005fff,0x00bfff24,0xd805fff5,0x017ffe21,0x4c05fff5,
    0x7fdc0dfe,0x4ccf4403,0x701fffe9,0xb3fe45ff,0x1bfee5ff,0x7fc8bfee,
    0x7fdcbff6,0xfb00fe86,0x3f22ffb8,0x7dcbff67,0xb97fec6f,0xfffa86ff,
    0x70fe8e21,0xffa8df17,0xffa8e21f,0x1d80e21f,0x4017ffe2,0x17ffe21d,
    0x405fff50,0xfe9999e8,0x3fea01ff,0x775c402f,0x801cfecc,0xfccccccc,
    0x93fa04ff,0x3fff64fe,0x40bfffce,0xd93fa4fe,0xfffcefff,0x260bfa0b,
    0x3a4fe83f,0x3bfff64f,0xfb0bfffc,0x7fff9dff,0x6ffff441,0x76ff5c5c,
    0xffe882de,0x7f445cdf,0x2205cdff,0xffe9999e,0x4cf4401f,0x01fffe99,
    0xc80bffea,0xffcccccc,0x3ffea04f,0x3ffee002,0x740d1003,0x3f600fff,
    0x7f4c3fdc,0x205ff91e,0x4c3fdcfd,0x5ff91efe,0xddefeb88,0x373f601c,
    0x8f7f4c3f,0x3fa62ffc,0x105ff91e,0x201bfffd,0x74403c98,0xe880dfff,
    0x3200dfff,0xffcccccc,0x6666404f,0x04fffccc,0x440bffea,0x03fffa06,
    0x0017ffd4,0x2007fff6,0x3ffea03c,0x04019804,0x40198004,0x00000080,
    0x01010066,0x0c400404,0x22003300,0x10031001,0x07fff40d,0x3ffa0688,
    0x5fff500f,0xffa80f20,0x5fff504f,0x5dffd000,0x880fe601,0x0001ffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0xff501e40,0xa80f209f,
    0xff704fff,0x407f307f,0xb81ffff8,0x88003fff,0x22efffda,0x540ceffb,
    0x02effffd,0x00000000,0x00000000,0x00000000,0x00000000,0x407f3000,
    0x4c1ffff8,0x3ffe203f,0x3ffee61f,0xdff71bff,0xfffda819,0xfff732ef,
    0x400037ff,0x00000009,0x00000000,0x00000000,0x00000000,0x00000000,
    0x9dff7000,0xffffda81,0x19dff72e,0xeffffda8,0x00000002,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x000aaa00,0x221c8800,0x06aa0004,
    0x4005e5c4,0x025c405d,0x09710264,0xd7101b50,0x00da8019,0x073b76e2,
    0x66d40fe0,0x3b8ae201,0x37b6e600,0xeea8f21c,0x03eec8de,0x700bff60,
    0x744009ff,0xfff9803f,0xdeeb9801,0x9d101e89,0x7ff401b9,0x207ffdc1,
    0x403fd5f9,0x3fae00fb,0xb80fd405,0x1fc405fe,0x02ff6744,0x7f4407f1,
    0x4c03ff72,0xf98ee80f,0xf51ff905,0xbffa805f,0x5bcfeb88,0xdbdfffb8,
    0x7ff004ff,0x801fee00,0xfe807ffb,0x7fc405fe,0x403fff71,0x3e200ffb,
    0x7f7fc41f,0x5fca7ec4,0xf7007f10,0x201fc40b,0x82ec05fb,0x6c07f508,
    0xf13fec05,0x643640bf,0x2e0bfe3f,0x403ff37f,0xff882ffa,0x1fff980f,
    0xf500bffa,0x01fc8007,0xa80dff30,0x2205f73f,0x3ffe24fe,0x6f9ada81,
    0x3f20bee0,0x3fe21f92,0xbb01ff93,0xd817ee00,0x205fb806,0x7ec400fa,
    0xf801f500,0x807ffc7f,0xb17fcc3e,0x441301ff,0x81bfea00,0xff985ffc,
    0x2027fdc7,0x0990004c,0x3a0054c0,0xffb83542,0x207ffe22,0x2e82fe41,
    0x9a5c1e88,0x83ff73ff,0xbf7000fb,0x2e007ea0,0x007f105f,0x7f10dff9,
    0x7c7ff880,0xb83f306f,0x07ff22ff,0x7fff1000,0x0ffffa20,0xffa8fff3,
    0x00000006,0xd8000000,0x0fffc2ff,0x4ffccb98,0x4ff80000,0x03f88df9,
    0x3e217ee0,0x20bf7003,0x3fe2005d,0x7c402ec1,0x40bfe27f,0x22ffd86b,
    0xeda82ffc,0xfff501ce,0xfff3d105,0x547ff98d,0x3bb627ff,0x0eeed88e,
    0x223bbb62,0x1400eeed,0x88eeed88,0x7fc0eeed,0x40fffc1f,0x7ffa9efb,
    0x2a17bbaa,0x4fc85eee,0x005d87fb,0x036c2fdc,0x1f50bf70,0x2a364100,
    0x7ff8800f,0x27403df3,0xff917ff4,0xff16fc89,0x03fff903,0x83fffa5b,
    0x7fd47ff9,0x987ffcc6,0x7fcc0fff,0x01fff30f,0xfff30244,0xf03ffe61,
    0x1fff83ff,0xffb1ffcc,0xa83ffd43,0x9ec887ff,0x003ea0ce,0x1fa8df90,
    0xf11bf200,0xb37fb007,0x8801fc43,0x0ffa27ff,0x3ffe07e2,0xf997ff22,
    0xd03bf23f,0x23c81fff,0x3e61fffd,0x22ffdc7f,0xff10fff8,0x0fff881f,
    0x6c01fff1,0x43ffe202,0x7ec0fff8,0x20fffc2f,0x3ff22ffb,0x4c1ffe63,
    0x20a207ff,0x05dc43f8,0xf8955554,0x2a02f263,0x21762aaa,0x06ea21d8,
    0x10762176,0x1ffc8fff,0x7ffc43dc,0xfd9bff22,0xf0fff22f,0x225c1fff,
    0x3e62fffd,0x21ffe47f,0x3fe0fff8,0x07ffc40f,0xdd101fff,0x20fff880,
    0x7fdc0fff,0x3a0fffc4,0x97fee1ff,0xff307ff9,0xc8bb000f,0xb004faaf,
    0x07fffccd,0xfd80fa80,0xb01f5001,0x47ff883f,0x826c4ffb,0x3ff22fff,
    0xfb87ffe5,0x87fff44f,0x0fffe85a,0x7c53ffe6,0x0fff885f,0xff103ffe,
    0x207ffc1f,0x7c403fe8,0x03ffe0ff,0xfb13fff1,0x7ffc43ff,0xf99bfee1,
    0x0fff307f,0x3e20fa80,0x400ff88f,0x7f42e1fa,0xc83f8803,0x3f8801ff,
    0x7c41ffc8,0x12ffdc7f,0x8bffa05f,0xfff13ffc,0x3237fdc3,0x80e99fff,
    0x7fcc6fff,0x80dfffaf,0x3fe0fff8,0x07ffc40f,0x7fc41fff,0x7ffc400f,
    0x2603ffe0,0xfff9ffff,0xf70fffc1,0x83ffcc9f,0x22007ff9,0x447fdc3f,
    0x0fe203ff,0x5d800fd8,0x801fdbb8,0x1fdbb85d,0x3ee3ffc4,0xfd81ea6f,
    0xf8bff22f,0x13fee1ff,0x01d7fff5,0xf989fff1,0xf880267f,0x03ffe0ff,
    0x7fc1fff1,0x89bfea0f,0x07ffc44e,0x0cc01fff,0xffd83fff,0xf98fff21,
    0x0fff307f,0x3fec2ec0,0x036c0bff,0x03ea013e,0x5007f695,0x3fb4a81f,
    0x7d47ff88,0xfb81764f,0xe87ff22f,0x0bfee1ff,0x5407fff6,0x7fcc1fff,
    0x07ffc007,0xfff01fff,0xf907ffc1,0x20ffdcdf,0x3ffe0fff,0x07ffe000,
    0x7fe45ff7,0x4c1ffe60,0x1f5007ff,0xff11ff70,0xc807ea07,0x443f8804,
    0x00dfeccf,0xccf887f1,0x3fe60dfe,0x47ff1997,0x8ffe202f,0x17fdc5fd,
    0x3fe20ff9,0x03ffd01f,0xf800fff3,0x1fff30ff,0x3e61fff0,0x3ffe60ff,
    0xfff0df10,0x003ffe61,0xfd81fff8,0xff30bfa4,0x01ffe60f,0x7fc40fe2,
    0xf880ff88,0x16676e03,0xeee886d8,0x0db00eff,0x1dffddd1,0xd7fbffd4,
    0x2a007d4d,0xd03ff15f,0xb027f49f,0x3ff90dff,0x001ffea0,0xffd59ffb,
    0x59ffb03f,0xfd83fffd,0x3f60be3f,0x1fffeacf,0x03fff100,0x20fb73b2,
    0xfa80fffa,0x02ec00ff,0x40feefee,0x3ffea06d,0x001f505f,0x03ea03fb,
    0xfe887f60,0x41bbd57f,0xb9f5005c,0x6e7ec03d,0x75cf203f,0x00befcdf,
    0x039fffd3,0x237ffa20,0x7440dfff,0xdfff8dff,0x2f7fb220,0x1bffd101,
    0x9801bfff,0x201efffd,0xfffd3009,0x7fff4c1b,0x0019100d,0x01c880ae,
    0x05999991,0x065c00ae,0x197002b8,0x001a8000,0x0330004c,0x01988488,
    0x04c00000,0x00004c00,0x00002600,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x82985e4c,0x005910c9,
    0x000b3b6a,0x22039b51,0x0000ee2b,0x200f3260,0x400bddb9,0xccccccc8,
    0x9bb9304c,0x166dcc03,0x17bb7300,0x83366000,0x3ba25ee9,0x1ec4c805,
    0x00e76dc4,0x000b7b22,0x2985e4c0,0x3fffe600,0x95ff81ee,0xafc801ff,
    0xf3004ffa,0xf90bffff,0x905ff51f,0x3aa007ff,0x6fdc00bf,0x01eec99b,
    0xfffffff5,0x11bf70df,0x29f507fb,0x6fdc05fd,0x01eec99b,0x7fec1bd3,
    0xf99ffe64,0x223f807f,0xfe8ae42f,0x3a9f302f,0x3bb6a04f,0x7fffcc0b,
    0x06f4c1ee,0x1bfff6f2,0x07fba7f4,0x1ff937d4,0xffcce880,0x9bfdc1ff,
    0x0df901ff,0x7001df50,0xb81e980b,0xffffffff,0xf50ffc43,0x88ffd41f,
    0x80b704ff,0x4ffe81e9,0xff997ffa,0x101ffe67,0xf10fcc5f,0xd837fd4d,
    0x501ffb3f,0x791bf69f,0xfd0dfffb,0x00d4189f,0xfd801306,0x3201be66,
    0x4c27ffc0,0x1fb00220,0x40077d40,0xaaaaa9dc,0xdfb07a60,0x81fd5559,
    0x3fe22ffc,0xff83ff63,0x9712e41f,0x83d35357,0x3ff63ffd,0xf99ffe64,
    0x707d407f,0xf10ffb8f,0x4ff883ff,0xff881ff7,0x20c5ff52,0x09ffb019,
    0x3a000000,0x007f50ff,0x000bff20,0xff303d80,0x7ecd5007,0x1a65fb8d,
    0x7f437c0d,0xf8bfe25f,0x51fff47f,0xe98efd4d,0x43c88d34,0x3fe62ffc,
    0x901ffe67,0x37cc5d8f,0xfa81fff1,0x3ea02a5f,0x0007fa0f,0x6d405e44,
    0x36a01cee,0xffd803ee,0x20002eac,0xfdb705fd,0xff80005b,0x2e2c800f,
    0x1e8bfe5f,0x641fcc02,0x1ff55fff,0xfd83ffe2,0x3fccb24f,0x5003d24c,
    0x3ffcc3ff,0xff70fff3,0xffffffff,0x437fcc03,0xfd806ffb,0xbfdb7007,
    0x16fc8005,0x29f703ff,0x7fdc04fa,0x0cccc44f,0x3a21be60,0x2a0bff26,
    0xff985eee,0x1d03dece,0x47ff2fdc,0x81fc803c,0xeeeffff8,0xc87ffe20,
    0x7ec3a6ff,0x401e4304,0x3ffcc7f8,0x9950fff3,0x9bf999bf,0x4077ec01,
    0xff807ffb,0xc9ba201f,0xff3002ff,0xf3077e47,0x407fe25f,0x445fffd8,
    0xf9102efd,0x7fdc1bff,0x2a0bff50,0xdffb87ff,0x3446ffea,0x077dd7ee,
    0x40dd00b3,0x82fffff9,0x3ff23fff,0x01ffcd14,0x45f802cc,0x3fe67ff9,
    0xf98be207,0x206fc400,0xfffffffb,0x405fff04,0xbff50ffb,0xc8bff600,
    0x83ff63ff,0xb9ea84ff,0x0fd44fff,0xbffffb10,0xff997fdc,0xb0fff306,
    0x1fff45ff,0xfeefb8b3,0x7cc06886,0x7fffd403,0x8f7fdc2f,0x22b32ffd,
    0x468803ff,0x7cc3d80a,0x1dffee7f,0x00f707d4,0x3fbaa0b7,0xfd03eeff,
    0x97fdc0df,0x41a86ff9,0x3fee1fff,0x3333ffa4,0xd1fec5ff,0x01e45fff,
    0x20fffea8,0x0dffb12a,0x3fe1ffe6,0xf17ff22f,0x1ff9dfb8,0x07f20254,
    0xfffcbfb8,0x77ffdc1f,0xff9e0fff,0x3fa4a804,0x3e61642f,0xfffedbff,
    0x2ec7c83c,0xffe802c0,0x1fffdc01,0xffb12a8a,0xf13ffc8d,0x37fdc3ff,
    0x33333fff,0xf117fcc1,0x00d31fff,0x442fff88,0x306ffbec,0x5fff0fff,
    0x8763ffd4,0xd8bf95fb,0xf7037402,0x41fffe4f,0x46ff9aa8,0xb00df91d,
    0x51bffe25,0x4ffffa83,0x7dc1bff7,0xffffffff,0x2e00701f,0xffe800ff,
    0x6440dcdf,0x7f46ffbe,0xb87ffe5f,0x0bffa4ff,0xfa89ffb0,0x8000eeff,
    0x3bea0ffd,0xf306ff98,0x47ffd0ff,0x925c6ffa,0xf8bfe2df,0xe813e600,
    0x037fec6f,0x4970ffee,0xf86e0cfe,0x201fff60,0x044098eb,0x5d56fd4c,
    0x0000aacf,0xd8803fcc,0x7d40dfff,0x5c6ff98e,0x87ffa2ff,0x3ff22ffb,
    0x077ffc05,0x003bfff2,0xff99fea0,0x260dff32,0x4ffc87ff,0x5d113fe6,
    0x3ae9ddb5,0x7e404d9d,0xb8bff101,0x37f405ff,0x9fd71744,0x54426c19,
    0x03f604c5,0xfa8be200,0x5c401800,0x100c86fc,0x25ff301d,0x40886ff9,
    0x1ff22ffb,0x1c43fff5,0x441dfff7,0xd8afffff,0x5f507b11,0xffb97fec,
    0x30fff306,0x17fdcdff,0x26c01744,0x3f603740,0xb01ffcc6,0x0ba201df,
    0x22d81360,0x07fa2ffb,0x7b83ea00,0xf106ff80,0xfdddffd9,0x6c2fe40b,
    0x0dff72ff,0x9fd27f40,0xcdfffe88,0x7ffffc45,0xfffeeebc,0x37fee3ff,
    0xffd89d11,0x0bfffcef,0xfa83ffcc,0x4409f91f,0x26d441ce,0x26027cc0,
    0x41bf21ff,0xe8804fd8,0x026d441c,0x25ffe895,0x6c8003ff,0x3fe602ec,
    0xff72b80f,0xf807ffff,0xcefffd87,0xb000bfff,0x2207fb9f,0xa80dfffe,
    0x22effffe,0x6c44fffc,0x982eefff,0x5ff91efe,0x201fff50,0x804eceeb,
    0xceedfdb8,0x003f7002,0x19fb7ff5,0x000cfda8,0x3bb7f6e2,0x2e06e02c,
    0x003b62ff,0x009f1760,0x37a20dfd,0x03fffbaf,0x3a613ee2,0x05ff91ef,
    0x22003300,0x40353001,0x04cc0098,0xe9804040,0x2200dfff,0x00260001,
    0x33000a60,0x00006203,0x88000098,0x06a00000,0x20060015,0x4d400c41,
    0x00040401,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x79999993,0x07221930,0x72deec88,
    0xcccccc98,0x33332e1c,0x99999971,0x2cccc983,0xcccccc98,0x9dddd91c,
    0x2201776c,0x121bdeca,0xacdcba88,0xc9813a01,0x997004cc,0x332a7999,
    0x65c3cccc,0x665400cc,0xdba800cc,0x8370bdee,0x504cccca,0x0a039999,
    0x33333326,0x7fffec1c,0xb5ff83ff,0x273ea0ff,0xfb07feb8,0x3be209ff,
    0x037ffe40,0xfc8033f2,0x7ffd85ff,0x3fa203e8,0xeffc9adf,0x117ff504,
    0x1ae09fd5,0x400fff50,0x7445fffd,0x3f703fff,0x07ffe600,0x89befe98,
    0x981fefeb,0xf304ffff,0xc81e201d,0xff885fff,0xe80fffff,0xf30df94f,
    0x2e03f60d,0x0f602fff,0x2a03fffc,0x3fffa805,0x341fff98,0x201ffd10,
    0x3ffd84fc,0x4c0eff88,0x1ffe601f,0x86fff880,0xb304fffb,0x01fff800,
    0x7d40dff7,0xffff501f,0x7e80f207,0x20fffea0,0x2aaaaadb,0x3f203060,
    0xf701f306,0x816403ff,0x3602fffb,0x2fffa801,0x1cc9ffb0,0x402fff88,
    0x037fdc4e,0x07d0dff7,0x2003ffcc,0xff80fffd,0x8003906f,0xff981fff,
    0x80fe401f,0x81ffffea,0x07fd882b,0x3a0bffea,0x36000000,0x701b03ff,
    0x16403fff,0x106fff88,0x3ffea00b,0x21fff502,0x0bffd00c,0x7ffc4950,
    0x0fffe203,0x3ffcc0d9,0x0fffea00,0x1a07fff2,0x207ffe00,0x3d005ffe,
    0x3fff2ea0,0x3a215c0f,0x543eefff,0x7fcc2fff,0xddb102ce,0x1dddb11d,
    0x206fffdc,0x03fff700,0xfff90164,0x2a003903,0x3fa02fff,0x3fe60b3f,
    0x7e43003f,0x7ff401ff,0xf9807cc7,0x03efd8ff,0x7dc3fff4,0x201d44ff,
    0xfff8dfdb,0x01fffdc1,0x3a750098,0x215c6fff,0x1aafffb9,0x2e17ffd4,
    0x82efffff,0xff30fff9,0x7fffcc1f,0x7fdc00cf,0x980b201f,0x03444fff,
    0x405fff50,0x702aeffb,0xb0005fff,0xfe803fff,0x981fc0ff,0xffcbefff,
    0x0bffee05,0x6c1fffdd,0x267fee00,0x7e41fffe,0xa80002ff,0x49ffff13,
    0x07ff882b,0xfd0bffea,0x87ffffff,0xff10fff8,0xffffb81f,0x3fee03ff,
    0xb00b201f,0x015c1fff,0x805fff50,0x3f606fff,0xff8000ff,0x7fec00ff,
    0xf982e41f,0x0fff60ff,0x932fffc4,0x1625fff7,0x3e64ff98,0x7fff41ff,
    0x23a80001,0x572ffff9,0x540fff10,0x5d4c2fff,0x21fffffc,0x3fe0fff8,
    0xffffa80f,0xfff705ff,0x2a016403,0x001a3fff,0xc805fff5,0x3ffe04ff,
    0xfff8000f,0x7ffec00f,0x7cc07d42,0x02ffdc7f,0x2761fffb,0x0576fff8,
    0x3fe1ffe4,0x07fffc1f,0x2a1d4000,0x82b9ffff,0x3ea07ff8,0xffa802ff,
    0x83ffe24f,0x3f200fff,0xfb82ffff,0x00b201ff,0x01d5bffa,0x00bffea0,
    0x7f403ff1,0xfe8001ff,0x7ff400ff,0xf982f81f,0x037fd47f,0x4b17fff5,
    0x00e8fffc,0xfff0bffa,0x81fffe83,0x4cccccca,0xfffc83a8,0x7ff882ce,
    0x00bffea0,0xff12ffcc,0x307ffc1f,0x0bfffb10,0x6403fff7,0xafffb802,
    0x7fd4000e,0x406d802f,0x8002fffc,0x7c01fffd,0x85d80fff,0x7fd47ff9,
    0x67fff407,0x137ffe62,0xff83fff0,0x17ffe41f,0x209fffd0,0xffffb03a,
    0x40fff105,0x2002fffa,0x3ffe24fb,0x0583ffe0,0x3e61ffea,0x007602ff,
    0x013fffe2,0x3fea1791,0x403a801f,0x8003fff9,0x2202fffa,0x0f505fff,
    0xffa8fff3,0x3fffdc05,0x200ffff4,0x7ffc2ffe,0x01fffd41,0x2a03fff9,
    0x5fffd103,0x540fff10,0x26002fff,0xf07ffc1f,0xb016c1ff,0x5fff10ff,
    0xfc800740,0x7fdc00ff,0x101fff53,0x7f4006c1,0x740800ff,0x3fe605ff,
    0x985f100f,0x1ffd47ff,0x20fffe20,0xfc806ffb,0x40fffc3f,0x3ee05ffe,
    0x407501ff,0xf882fff9,0xffa810ff,0x5c0edc2f,0xf30fff86,0x8076c1ff,
    0x9ffd04fc,0xf98016a0,0x2ffb805f,0xff10fff5,0x3a200911,0x0b6204ff,
    0x3a01fff3,0x226c03ff,0x7fe47ff9,0x80ffd801,0xfa803ff8,0x07ffe25f,
    0x5c0fffe2,0x07701fff,0xfd02ffa8,0xffa83b5f,0x86fffc2f,0xcffd80d9,
    0x361fffea,0x077c42ef,0x223fff98,0x1fd8006a,0x7fdcff00,0x0dbff983,
    0x2fffa200,0xe88174c1,0x17fe40df,0x3fe63dc0,0x400bfa1f,0x03f605fa,
    0x26bffe20,0xd103fffd,0xfff703ff,0x2e01b603,0x5dfd302f,0xa87fff70,
    0x204dfffe,0xff8dffe8,0xdf97b0df,0x88019fb7,0x0dfefffe,0x2006a800,
    0x03efcdd9,0x200077f2,0xfeeffdb8,0xceec800d,0x1001deec,0x75dfcc3f,
    0x74003edc,0x88016a01,0xeff8effe,0x3ffaa01c,0x81cefdcd,0x402dffda,
    0xfb98002d,0x441bffff,0x00260009,0x00135306,0x00013530,0x01300018,
    0x51000000,0x04cc0001,0x8221a800,0x03000098,0x43100030,0x33510001,
    0x11000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xcc980000,0xcccccccc,0x999932cc,
    0x99999999,0x666664c3,0xcccb89cc,0x99932ccc,0x15599999,0xccca8000,
    0xcccccccc,0x0ee201cc,0x54599999,0x999932cc,0x00035799,0x64c7b971,
    0x01cccccc,0x6666664c,0xc980aacc,0xa804cccc,0x932ccccc,0x15799999,
    0x44ccc980,0xccccccc9,0x33333220,0x1c985d43,0x2ab7fff2,0x7e44ffca,
    0xfdbaacff,0x5fffc83f,0x80efffa8,0xfc9afffd,0x40000dff,0xaadfffee,
    0xc882ffdc,0x7ffcc4ff,0x7ec0ed84,0xeffcbcff,0xf9cfc801,0x2fffec2f,
    0x33fff600,0x903fffcb,0xf803ffff,0xffb06fff,0x1bff977f,0x641ffee0,
    0x3f605fff,0xe9ffcc1e,0x0fffea6f,0xfff51362,0xf507f305,0xfff107ff,
    0x07ffee0b,0x4000dffb,0x84fff9f8,0x3fb222fa,0x6ffc84ff,0xfffb82d8,
    0x80bffe22,0x1ee8bff8,0x0017ffd4,0xfa87ffea,0xffda83ff,0x3ff6a05f,
    0x3fff704f,0x4c0fffcc,0xfff507ff,0x4413e607,0x4cbfb2ff,0x89503fff,
    0x7902fffa,0x105fff50,0x3ea09fff,0x7ffd41ff,0xf1770002,0x40b609ff,
    0xff984ffe,0xffa8340f,0x17ffc42f,0x5403ffb8,0x54002fff,0x7ffc1fff,
    0xfffeba86,0x7fff3d00,0x307ffee0,0xff985fff,0x07fff307,0x418805d1,
    0x21fffcc1,0x5fff5121,0xfa83885c,0xfff882ff,0x83fff504,0x8004fff8,
    0x49fff168,0x3f60550a,0x47ffd04f,0x5fff504a,0xb01fffb0,0xffa807ff,
    0x7fd4002f,0x43ffec1f,0x83fffaba,0x03fff8d9,0xfd03fff7,0x07ff98ff,
    0xea87fff3,0xff300001,0x3ea0487f,0x500362ff,0xff105fff,0x3ffea09f,
    0x017ffcc1,0xfff88ec0,0x3f6002e4,0x4dff704f,0x5fff501d,0x4c5fff50,
    0x206efffe,0x4002fffa,0x7fc1fffa,0xffd3a84f,0xfff1390f,0x07ffee07,
    0xf987ffee,0x7fff307f,0xea80075c,0xfff985ee,0xffa812e3,0xa801f12f,
    0xff882fff,0x3fff504f,0x8007ffb8,0x93ffe24a,0x4ffd800f,0x1a3fff10,
    0x982fffa8,0x3aa24fff,0x3ea02dff,0x7d4002ff,0x37ff21ff,0xfff73a80,
    0xfff8b445,0x03fff703,0x7cc7fff5,0x7fff307f,0xf50003f6,0x9fff30ff,
    0x7d409f95,0x00ffccff,0x5567ffd4,0x04fffbaa,0x2a23fff5,0x44002fff,
    0x66fffc46,0xffd800ff,0x2b3ff604,0xfffdca83,0xfff13ccd,0x807ff90d,
    0x4002fffa,0xfeddfffa,0x7c4ea01e,0x7c4ae6ff,0xfff703ff,0x4bfff303,
    0xff307ff9,0x009ffd9f,0xf987ff98,0x04ffddff,0x3f77ffea,0x7ffd400f,
    0xffcccccd,0xdfff504f,0x001bffff,0xf9999d90,0x01ff9bff,0x5409ffb0,
    0x9881dfff,0x099bfffb,0xf90ffff1,0xfffa807f,0x7ffd4002,0x02effcbc,
    0x8fffe475,0x40fffe26,0xf981fffb,0x1ffe66ff,0x7fffffcc,0x3e6003ff,
    0x3fff987f,0x7fd409b1,0xa801f52f,0xff882fff,0x3fff504f,0x000dfff5,
    0xf75555b3,0x003e29ff,0xddd13ff6,0xdddffffd,0x82fffa89,0xfc86fff9,
    0x7ffd403f,0x7ffd4002,0x03bffe61,0x67ffcc75,0x0fffe249,0x4c0fffdc,
    0x3fe65fff,0x37fff307,0x2003ffff,0xff987ff9,0xfa81223f,0x500362ff,
    0xff105fff,0x3ffea09f,0x009fff91,0xfff880e8,0x3f600324,0x27fec04f,
    0x20bffea0,0xfc85fff9,0x7ffd403f,0x3fea0c02,0x27ffdc1f,0xbfffb0ea,
    0x81fffc41,0xfa81fffb,0x1ffe64ff,0xfb9fffcc,0xf9800fff,0x3fff987f,
    0x5fff5024,0xfa87105c,0xfff882ff,0x43fff504,0x7001fffe,0x93ffe207,
    0x3f60660a,0x74cccc4f,0x40999cff,0xfa82fffa,0x3ffc82ff,0x017ffd40,
    0x1fffa8b1,0x2a2fffcc,0x22fffd43,0xf703fff8,0xfff703ff,0x983ffcc3,
    0x3ff63fff,0x7ff9806f,0x043fff98,0x045fff50,0x5fff50b6,0x209fff10,
    0x3e61fffa,0x34400fff,0x409fff10,0x44ffd81c,0xeffecccc,0x7fd42ccc,
    0x06ffe82f,0xfa807ff9,0x512e02ff,0xffa83fff,0x7f41d44f,0x1fffc42f,
    0xe81fffb8,0x3ffcc5ff,0x743fff98,0x7cc04fff,0x3fff987f,0x0bffea00,
    0x3fea0fd4,0x4fff883f,0xb83fff70,0x0f405fff,0x209fff10,0x5ffd80f9,
    0x2027ff40,0x7cc2fffa,0x7ffb01ff,0x02fffa80,0xfffa87d1,0x20fffe41,
    0x986fb83a,0xff704fff,0x0effa83f,0xf983ffcc,0x7ffc43ff,0x1ffe603f,
    0x8013ffea,0x2a24fffb,0x7fdc0ffc,0x5fff983f,0xb05fff70,0x1f207fff,
    0x88bfff30,0xbffd07fb,0x405fff80,0x3ea3fffb,0x3ff600ef,0x27ffdc04,
    0x3ee17f4c,0xfff913ff,0x7f10b707,0x209fff30,0x3ea2fffc,0xfffa80df,
    0x84fffa80,0x503ffffc,0x3ae61fff,0x201cffff,0xffffffb9,0x267ffffe,
    0x9bfffffb,0xcffffeb8,0xdffff932,0x7fffc419,0x5bffb10c,0xffffeba8,
    0x25fffeef,0xdffffdb8,0x3fff6e22,0x7fdcc2cf,0x1cefefff,0x3ffff220,
    0xffffb984,0xffffeeff,0xfffff931,0x9817bdff,0x0642dffc,0x9ffffd71,
    0x3ffff263,0x301befef,0x261bfffd,0x0cffffeb,0xbfffffd3,0x6ffff4c3,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x33333326,0xca800aac,0x999102e2,0x33260019,
    0x800bcccc,0xcccccccc,0x32e0cccc,0xc81ccccc,0x99932ccc,0x32617999,
    0xb880cccc,0x74c002cd,0x4400e001,0xcccccccc,0x5c3ccccc,0x6666442d,
    0x99999800,0x02999999,0x00000000,0x7fe40004,0x0cfffccf,0xdbffff90,
    0x003ffea0,0x007fff90,0x5555effc,0xfb85fffe,0x3ee01fff,0x2ffffcc3,
    0xff503fe8,0x22009fff,0x3f1002ff,0x57bff100,0xfb55dfff,0x4c3ffccd,
    0x02800fff,0x007f00a0,0xb3001f98,0xa8953bdd,0x7d44bded,0x1bffa2ff,
    0x1ffff5f4,0x000fff88,0x800fffd4,0xfff982f8,0x7fffb00f,0xffb82640,
    0x104e80ff,0x5fffffff,0x005ffb00,0x3e2017f2,0x3227ffc2,0x221bfe26,
    0x02800fff,0x007f00a0,0xfb801f98,0x7f51bfa6,0xfff313e6,0x417ffdc5,
    0xff002a21,0xffa8001f,0x2093001f,0x2203fffe,0x1d107fff,0x227ffec0,
    0x5c4b205b,0x7dc05fff,0xff8802ff,0x7c34400f,0x262c44ff,0x01fff00b,
    0x20140050,0x0fcc003f,0xfc93fe20,0x4a93f60f,0xf317ffcc,0x200009ff,
    0x54000fff,0xceffefff,0xffb81a80,0xfffb806f,0x7c402c83,0x80d31fff,
    0x205ffe81,0x802ffee9,0x4404fffb,0x284fff81,0x007ffc00,0xf8050014,
    0x00fcc003,0xffe8fff2,0x1437ffe4,0xfa8bffe6,0xdddb12ff,0x2019fd51,
    0xddb30fff,0x3fff503b,0x200bffea,0x801ffff8,0x260ffff8,0xdfff7005,
    0xf70001d1,0x363a207f,0xfee802ff,0xff8000ff,0x3bbaa04f,0xd51fff05,
    0x2002819f,0x2001fc02,0x7ff401f9,0x64dff9b2,0xf980efff,0x1fff62ff,
    0xfbbbfff3,0x83ffe0bf,0x3fea03fa,0x01fff21f,0x8013fff6,0x07a4fffb,
    0x1ffffd80,0x01ff9000,0x017fecb6,0x0fffef2a,0x013ffe00,0x3fe0fff5,
    0x45ffdddf,0x6654a002,0xcccdfccc,0xb999974c,0x459999bf,0xfaacafff,
    0x3fffa27f,0x57ffcc1f,0xf81effb8,0x0fff13ff,0x03d83ffe,0xf50fffd4,
    0x7fd403ff,0xffe8006f,0x44004b8f,0x0002ffff,0xd92e0bfd,0x447402ff,
    0xf8006fff,0x7fcc04ff,0x227fff07,0x500147ff,0x3fffffee,0xfd7fffff,
    0xffffffff,0x6fff4bff,0xd88bff53,0x7fcc6fff,0x203eefff,0x3ffe0fff,
    0x590fff80,0x43fff500,0x3a02fffa,0xa8002fff,0x000edfff,0x00ffffa8,
    0x4c077c40,0x3017fec6,0x017ffe49,0x3013ffe0,0x3ffe0fff,0x0283ffe0,
    0x007f00a0,0x7ec01f98,0x293fee5f,0xf987fff2,0x3fe002ff,0x207ffe0f,
    0x02fc8fff,0x2e1fffa8,0xff900fff,0x7f4000bf,0xf50003ff,0xc8009fff,
    0xfd83d01f,0xf887602f,0x7fc005ff,0x3ffcc04f,0x3fe0fff8,0x02800a1f,
    0x3e6001fc,0x91ffd401,0xf70743ff,0x17ffcc1f,0x7c1fff00,0xdfff81ff,
    0x7d400fff,0x17ffa1ff,0x807fffcc,0x7ffd4009,0xf8e98002,0xf5002fff,
    0x3bbbea05,0x884efffe,0xffe9999e,0x3ffe001f,0x83ffcc04,0x3ffe0fff,
    0x402800a1,0x0fcc003f,0xfd97fe20,0x5f986f43,0x0017ffcc,0x7ffc1fff,
    0xfebfff81,0x7ffd405f,0x204ffecb,0x3603fffd,0x17ffd400,0x7d43a200,
    0x7c400fff,0xffff5182,0x90bfffff,0xff999999,0x7ffc009f,0x83ffcc04,
    0x3ffe0fff,0x402800a1,0x0fcc003f,0x377ee360,0xecfed84f,0x17ffcc0e,
    0x7c1fff00,0x8fff81ff,0x2a02fff9,0x0aaabfff,0x81bffea0,0xfffa8078,
    0x320ec002,0x1ec05fff,0xcccc995c,0x443dfffc,0x03fffa06,0x2027ffc0,
    0xfff07ff9,0x050fffc1,0x80fe0140,0xfffffffe,0x3025ffff,0x20130401,
    0x2002fff9,0x3ffe0fff,0xb87ffc41,0xff500fff,0x3fe2003f,0x0db101ff,
    0x005fff50,0x7ffc426c,0xffff902f,0xfd803fff,0x2a03c82f,0xff004fff,
    0x7ff980bf,0x7fc1fff0,0x02800a1f,0x555500d4,0x55555555,0x50000003,
    0x22007fff,0xfff11fff,0x21fff885,0xff705ffe,0x3ff2005f,0x0dff504f,
    0x005fff70,0x7fdc03f6,0x7ffd41ff,0xd807ffff,0x01fcc2ff,0x803ffff1,
    0x5405fff8,0x7fc40fff,0x45fff11f,0xaaaaaaab,0x00004aaa,0x00000000,
    0x3ffffb22,0x3ff6201c,0xefffd8ef,0x1bfffb10,0x21bfffd1,0xbeffffb9,
    0x3fffe600,0xffffeeee,0x3ff2a05f,0xd702bfff,0xfea85dff,0xff33ffff,
    0x0dffffff,0x7dc5ffb0,0x7ed40cef,0xb882efff,0x82cffffe,0x10dfffe9,
    0xfb1dfffb,0x00001dff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xeeeeb840,0x764bbb24,0xeed9adee,0x007db34e,
    0x22000000,0xed88eeed,0x800020ee,0x776c0800,0x265eeeee,0xec9deeee,
    0x05c1c04e,0x9305c015,0x3b6e017b,0x76d402df,0xddb500be,0x37bb2a07,
    0x00deed89,0x1073bb6a,0xfd51dddb,0x36600019,0x3a1fff67,0xf52fff43,
    0xb12dc1ff,0x93f23ddd,0xea9eeed8,0x7dfb11df,0x261fff30,0x2fae0fff,
    0x543ee000,0x7c3f51cd,0x87fff30b,0x5f14fff9,0x22dc4d80,0x22fc80ee,
    0x7444ffde,0x540bff26,0xf70dfb4f,0xee893ea9,0x22dfff70,0x16fc80ff,
    0xfff983ff,0x005ffddd,0x98fbfae2,0x21a21fff,0x3fe0fffa,0xff10723f,
    0x88fffb3f,0xffcddfff,0x2fffceaf,0xf887ffc4,0x3ff660ff,0xffe8801d,
    0x45feffef,0xc837fec5,0x403b8fff,0x107ee0fd,0x31fe41dd,0xff71bea3,
    0x2217fea1,0x45ff52ff,0x3ff12ff9,0x7fc43fee,0xf317fa2f,0x2077e47f,
    0xfff13fff,0x3bff9300,0x3a93ff60,0x3a65ffd0,0x7fc166ff,0xf84fbadf,
    0x3bffa4ff,0xf889ff70,0x03ffe0ff,0x02fbfee2,0x3aa1dfa8,0x3ffea187,
    0x177ffa01,0x2fd47f90,0x3fc8ee88,0xff713ea0,0x2a1bfe65,0xd87fa0ff,
    0x5d3fe0ff,0x87ffe2ff,0x17fec7fc,0xfff87ff9,0x5403ffe0,0x5400bffe,
    0x201b0fff,0xff395ffb,0x3fe0751f,0x1fff805f,0xffb8fff6,0xf07ffc45,
    0xfda801ff,0x307e81cf,0x3ffa205f,0x0fffd405,0x7fd4ff70,0x0fffa201,
    0x25501d90,0xfd86ffd8,0xccffe807,0xb8ae5ffc,0xfdaabfff,0xb87ffe0f,
    0x07ffc4ff,0x7e443fff,0x7f4002ef,0x3e2048bf,0x7ffb59ff,0x0fffe01b,
    0xfd87ffe0,0x117fea3f,0x7ffc1fff,0xdff91000,0x4e813e25,0x001fff90,
    0x3ea0bffd,0x00bff14f,0x74c01ff9,0x3efb2200,0x01fff86f,0x4cccfffc,
    0xffaeb809,0x219999af,0x3ee1fff8,0xf07ffc6f,0x6ffdc3ff,0xeffb8001,
    0x77fec01c,0x40bdff52,0xff802fff,0xa8fff61f,0x7ffc45ff,0x8003ffe0,
    0x5f16ffb8,0x7fcc36c0,0xfff5003f,0xfc9bf603,0x3b3f200f,0xca9e980e,
    0x7cc77d42,0x02fff86f,0x26017ff4,0x05ffd1ee,0x7dc3fff0,0xf07ffc4f,
    0xffc983ff,0x3fe2002e,0x7ffa805f,0xff017ffc,0x3fff003f,0xff51ffec,
    0x7c1fff0b,0xfc9800ff,0x882f42df,0x46ffd83f,0x17ffb602,0x13f22fe8,
    0x0ee89fe4,0x83ffffe2,0xdff32ff9,0xc80dffd0,0x3fe205ff,0x2013ff63,
    0x3fee1ffe,0xff07ffc2,0x7ff5403f,0x2ffc800c,0xfc89ff00,0x07ffe00f,
    0xfd87ffe0,0x217fea3f,0xfff30fff,0x67ff5401,0xf703f700,0x21fffa83,
    0xff339058,0xb1ba203f,0x443fc81f,0x555530ee,0xf72ffd85,0x7fff70df,
    0x87ffea28,0x5c5ff938,0x70641fff,0x43fe45ff,0x3ffe0fff,0xdffc9801,
    0x801be602,0x02fcc1fc,0x3e007ffe,0x8fff61ff,0xffd86ffa,0x41fffeac,
    0x802effc8,0xfea9dffb,0x97ffe21f,0x365a85e9,0x0fa206ff,0xd103d89d,
    0x7ffec005,0x40bfffce,0x0dcdfffe,0x337fffa2,0x32ffffa5,0xdbdfffed,
    0x3fa4fe80,0x88fffc44,0x22002fff,0x0f606feb,0x05d07980,0x200fffc4,
    0x3f62fff8,0x21bfee4f,0xff8dffe8,0x39ff70df,0x3f33ea00,0x90febfff,
    0xfffddfff,0x4cf7ecc9,0x300dfffe,0x0000e88d,0x47bfa600,0xfd882ffc,
    0xfe880dff,0x3fea0dff,0xfffb12ef,0x6e7ec03d,0x7ffec43f,0x0efffd8e,
    0x22049800,0x0180c000,0x00f7ffec,0xf73dfffb,0xfff55fff,0x2002609f,
    0x1c4000ba,0x00e21331,0x00000000,0x01000000,0x00131001,0x10098031,
    0x00cc0013,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x42980766,0x01ec0038,0x75c412e2,
    0xd801501c,0x833ae203,0x90ee44d9,0x16dd443b,0x5441bb98,0xaaaaaaaa,
    0x2aaa22aa,0xaaaaaaaa,0x20020102,0x10d40220,0x44111077,0x3330ee2b,
    0x33333333,0x33333263,0x7777710c,0x07777777,0x7f900000,0x01f42f80,
    0xd700ffa8,0xfbff30bf,0x02ffe87f,0x33a20ff3,0x47ffa5fe,0xdff36ffa,
    0x207f4fe2,0x7dc5f37c,0xffffffff,0x3ffee7ff,0xffffffff,0x7ecc2b87,
    0x3a2901cf,0x4fff20ff,0x3fe63ffc,0x3e63ff25,0xfffff12f,0x2fffffff,
    0x1ffffffa,0xfffffff1,0x000fffff,0x80171000,0x00bea1fb,0xfb813fba,
    0x3f20ee85,0x18dfff10,0x5422197e,0x547ffa3f,0x2dff35ff,0xe83fd2d8,
    0x4444bf16,0x88888888,0x22222208,0x7b888888,0x9bd0ffc4,0x9117dffd,
    0xfd17f445,0xb97ffabf,0xf8bfdc6f,0x2666661f,0x51999999,0x43dddddd,
    0x88888888,0x00000888,0x0ffc0000,0x4fdc05fd,0x8bf701fc,0x91fc42f8,
    0x477e4fff,0x441fe9ac,0x43ff60fd,0xbff14ff8,0x261fecb8,0x0001fe6f,
    0x2e1ea000,0xfc98913f,0x5f886fff,0x77d4bfee,0x82603ba1,0x00000008,
    0x00000000,0x99999997,0xfb859999,0x103ff50e,0x5c17e29f,0x2217c45f,
    0xd32d443f,0x1dff9bff,0x3ee7ffc8,0x5fd17f46,0x7c1fdaf4,0xccca9be6,
    0xcccccccc,0xa8f50004,0x540130ee,0x111a601b,0x0000e880,0x00000000,
    0xfe800000,0xffffffff,0x26ff85ff,0x07e40ffe,0x0bf705f7,0x5b07b8bb,
    0x22013220,0xc89f11ff,0x7d43f20f,0xbe42feae,0x3bbae3f8,0xeeeeeeee,
    0x44d50006,0x0000001a,0x00000000,0x00000000,0x00000000,0x3fe25ff3,
    0x3741fcc4,0x77d42fdc,0x04a84fec,0x103d95f7,0xd50ba364,0x23362698,
    0x2bba81da,0x00000000,0x00000000,0x00000000,0x00000000,0x80040000,
    0x213f22fe,0xc87f506e,0x3bf9106f,0x5fe60370,0x4dfec7f9,0x0e205c2d,
    0x0000000e,0x00000000,0x00000000,0x00000000,0x00000000,0xa805f700,
    0x2217e23f,0xaa8aa01a,0x800002aa,0x511763e8,0x00000037,0x00000000,
    0x00000000,0x00000000,0x00000000,0x70000000,0x644e805f,0x00000005,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2a000000,0x000034c4,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_bold_26_latin1_x[224]={ 0,2,2,0,0,1,0,1,0,0,1,0,0,0,
1,0,0,1,0,0,0,0,0,0,0,0,2,1,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,2,0,0,1,-1,0,1,0,0,0,0,0,0,0,0,
-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,0,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,2,1,0,0,0,
1,1,0,0,0,0,0,0,0,-1,0,0,0,0,2,0,0,1,1,0,0,0,0,0,0,1,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,1,1,
1,1,1,1,1,0,0,0,0,0,-1,0,-1,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
 };
static signed short stb__times_bold_26_latin1_y[224]={ 20,4,4,4,4,4,4,4,4,4,4,5,16,13,
16,4,4,4,4,4,4,4,4,4,4,4,8,8,6,9,6,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,23,3,8,4,8,4,8,4,8,4,4,
4,4,4,8,8,8,8,8,8,8,5,9,9,9,9,9,9,4,4,4,11,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,20,8,4,4,6,4,
4,4,4,4,4,9,9,13,4,1,4,5,4,4,3,9,4,10,19,4,4,9,4,4,4,8,-1,-1,-1,-1,
-1,0,4,4,-1,-1,-1,-1,-1,-1,-1,-1,4,-1,-1,-1,-1,-1,-1,7,3,-1,-1,-1,-1,-1,4,4,3,3,
3,4,4,3,8,8,3,3,3,4,3,3,3,4,4,4,3,3,3,4,4,7,8,3,3,3,4,3,4,4,
 };
static unsigned short stb__times_bold_26_latin1_w[224]={ 0,4,9,12,11,21,19,4,8,7,10,13,6,8,
4,7,11,9,11,11,11,11,12,12,11,11,4,6,13,14,13,10,21,17,15,16,16,15,14,19,18,9,12,19,
15,22,17,18,14,18,18,12,15,17,17,24,17,17,16,6,7,6,11,13,6,11,13,10,13,10,10,12,13,7,
7,14,7,19,13,11,13,13,11,9,8,13,12,17,12,12,11,8,3,7,13,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,0,4,10,12,12,12,
3,10,8,17,8,12,14,8,17,13,9,13,7,7,6,14,13,4,5,7,8,12,18,18,18,10,17,17,17,17,
17,17,24,16,15,15,15,15,9,9,9,9,17,17,18,18,18,18,18,11,18,17,17,17,17,17,14,12,11,11,
11,11,11,11,16,10,10,10,10,10,8,7,8,8,11,13,11,11,11,11,11,13,11,13,13,13,13,12,13,12,
 };
static unsigned short stb__times_bold_26_latin1_h[224]={ 0,17,8,17,18,17,17,8,21,21,9,14,9,3,
5,17,17,16,16,17,16,17,17,17,17,17,13,17,12,6,12,17,22,16,16,17,16,16,16,17,16,16,17,16,
16,16,17,17,16,21,16,17,16,17,17,17,16,16,16,21,17,21,9,3,5,13,17,13,17,13,16,18,16,16,
22,16,16,12,12,13,18,18,12,13,16,12,12,12,11,17,11,21,22,21,5,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,0,18,21,17,12,16,
22,22,4,17,7,11,6,3,17,3,9,14,9,9,5,17,22,5,6,9,7,11,17,17,17,18,21,21,21,21,
21,20,16,21,21,21,21,21,21,21,21,21,16,22,22,22,22,22,22,11,18,22,22,22,22,21,16,17,18,18,
18,17,17,18,13,17,18,18,18,17,17,17,17,16,17,16,18,18,18,17,17,11,13,18,18,18,17,23,22,22,
 };
static unsigned short stb__times_bold_26_latin1_s[224]={ 253,170,84,190,220,130,24,94,37,211,65,
206,58,214,174,222,230,95,113,44,125,1,77,108,121,133,250,163,78,117,169,
203,53,137,163,102,202,16,1,199,32,246,76,227,147,179,219,119,1,75,51,
27,155,40,58,160,95,77,60,219,138,244,28,223,167,1,146,13,185,24,136,
160,179,171,41,30,219,135,64,52,20,87,123,246,237,155,92,105,208,89,196,
158,49,150,153,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,
193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,253,251,113,
214,183,105,75,79,191,145,99,221,132,214,90,200,48,220,246,76,184,175,90,
179,147,40,108,15,171,152,190,62,1,19,63,177,47,94,70,46,81,97,124,
195,140,167,37,65,118,19,122,141,160,179,198,234,1,217,235,1,104,226,45,
209,148,185,197,238,56,124,35,227,209,232,243,13,68,113,121,247,101,16,112,
173,136,1,242,1,234,48,34,73,13,1,27,14, };
static unsigned short stb__times_bold_26_latin1_t[224]={ 1,89,173,89,47,70,89,173,25,25,173,
142,173,173,173,70,70,125,142,89,142,107,89,89,89,89,89,89,159,173,159,
89,1,142,125,107,125,125,125,107,125,107,107,125,125,125,107,107,142,47,125,
107,142,107,107,107,142,142,142,25,107,25,173,173,173,159,107,159,107,159,125,
47,142,142,1,142,125,159,159,159,70,70,159,142,107,159,159,159,159,107,159,
25,1,25,173,142,142,142,142,142,142,142,142,142,142,142,142,142,142,142,142,
142,142,142,142,142,142,142,142,142,142,142,142,142,142,142,142,142,1,25,25,
89,159,125,1,1,173,89,173,159,173,173,89,173,173,142,159,173,173,89,1,
173,173,173,173,173,70,70,70,70,48,48,25,25,47,47,125,25,25,25,25,
25,25,25,47,47,125,25,1,1,1,1,1,159,70,1,1,25,1,25,142,
70,47,47,47,89,89,47,159,89,47,47,47,89,89,70,70,125,70,142,47,
47,47,89,70,173,142,70,70,70,107,1,1,1, };
static unsigned short stb__times_bold_26_latin1_a[224]={ 94,125,209,188,188,376,313,104,
125,125,188,214,94,125,94,104,188,188,188,188,188,188,188,188,
188,188,125,125,214,214,214,188,349,271,251,271,271,251,229,292,
292,146,188,292,251,355,271,292,229,292,271,209,251,271,271,376,
271,271,251,125,104,125,218,188,125,188,209,167,209,167,125,188,
209,104,125,209,104,313,209,188,209,209,167,146,125,209,188,271,
188,188,167,148,83,148,195,292,292,292,292,292,292,292,292,292,
292,292,292,292,292,292,292,292,292,292,292,292,292,292,292,292,
292,292,292,292,292,292,292,292,94,125,188,188,188,188,83,188,
125,281,113,188,214,125,281,188,150,206,113,113,125,216,203,94,
125,113,124,188,282,282,282,188,271,271,271,271,271,271,376,271,
251,251,251,251,146,146,146,146,271,271,292,292,292,292,292,214,
292,271,271,271,271,271,229,209,188,188,188,188,188,188,271,167,
167,167,167,167,104,104,104,104,188,209,188,188,188,188,188,206,
188,209,209,209,209,188,209,188, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_26_latin1_BITMAP_HEIGHT or STB_FONT_times_bold_26_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_26_latin1(stb_fontchar font[STB_FONT_times_bold_26_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_26_latin1_BITMAP_HEIGHT][STB_FONT_times_bold_26_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_26_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_26_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_26_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_26_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_26_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_26_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_26_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_26_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_26_latin1_s[i] + stb__times_bold_26_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_26_latin1_t[i] + stb__times_bold_26_latin1_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_26_latin1_x[i];
            font[i].y0 = stb__times_bold_26_latin1_y[i];
            font[i].x1 = stb__times_bold_26_latin1_x[i] + stb__times_bold_26_latin1_w[i];
            font[i].y1 = stb__times_bold_26_latin1_y[i] + stb__times_bold_26_latin1_h[i];
            font[i].advance_int = (stb__times_bold_26_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_26_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_26_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_26_latin1_s[i] + stb__times_bold_26_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_26_latin1_t[i] + stb__times_bold_26_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_26_latin1_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_26_latin1_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_26_latin1_x[i] + stb__times_bold_26_latin1_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_26_latin1_y[i] + stb__times_bold_26_latin1_h[i] + 0.5f;
            font[i].advance = stb__times_bold_26_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_26_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_26_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_26_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_26_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_26_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_26_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_26_latin1_LINE_SPACING
#endif

