// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_27_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_27_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_27_latin1_BITMAP_WIDTH         256
#define STB_FONT_times_bold_27_latin1_BITMAP_HEIGHT        202
#define STB_FONT_times_bold_27_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_times_bold_27_latin1_FIRST_CHAR            32
#define STB_FONT_times_bold_27_latin1_NUM_CHARS            224

#define STB_FONT_times_bold_27_latin1_LINE_SPACING          17

static unsigned int stb__times_bold_27_latin1_pixels[]={
    0xcca80810,0x220000cc,0x414c04cc,0x7531001c,0x00e40015,0x0001e64c,
    0x03333331,0x00059970,0x003cca80,0x00026640,0x00019991,0x000f32a0,
    0x23000153,0x26099998,0x80370999,0x0df92ff8,0x0001fff7,0xf300ffe4,
    0x201fc4bf,0xba9aceda,0x0fe200cb,0x003fffa0,0x77fffecc,0x4400adfe,
    0x400006fe,0x20000efe,0x0003fffb,0x0000bfea,0xb80077f4,0x800deabe,
    0x5bff72d9,0x53ff6a21,0xff302fd9,0xf303ffa9,0x740001ff,0x3ffdc02f,
    0x37a607f1,0x880ec401,0x6f7d403f,0xfffb804f,0x001f34ff,0x00007f44,
    0x0000ef88,0x03ff3fe2,0x005fb800,0x000ef980,0x02fd45f5,0x1ffb87ea,
    0xff89ff10,0x3661b902,0x00fff983,0x1005f300,0x41fc47fd,0x0dc003fa,
    0x3ba01fc4,0x7cc03f90,0xf34fffff,0x007f1000,0x0003ee00,0x13e63f90,
    0x001f7000,0x2000fb80,0x03fea1fe,0x3fee27cc,0xc89ff101,0xf980005f,
    0x310000ff,0x43f88000,0x1b0001f9,0x12a03f88,0xfffd80ea,0x00f34fff,
    0x40000620,0x6c400009,0x40002c40,0x04c0000a,0x44bff100,0x81ff103d,
    0x3fe01ffb,0x3313fec4,0x0ccc4333,0x0a61fff3,0x10ccccc4,0x99988333,
    0x3f88fe20,0x26083510,0x9989fc42,0x22099999,0x3fa19999,0xf34fffff,
    0x09a98800,0x4d4c4000,0x54c40000,0x99988009,0x26209999,0x26621999,
    0x22099999,0x7f419999,0x5fc800df,0x3e01ffb8,0xf737fc4f,0x7f549fff,
    0x3a7ffe63,0x7fdc3fff,0x0ffaa4ff,0x7c4dffd5,0x774c1b23,0x2245ffac,
    0xffd513f8,0x75c437ff,0x3fffa2ef,0x00f34fff,0x3f6f7fee,0x7fdc003f,
    0x003ffdbd,0x7edeffdc,0x3faa203f,0x2e21bfff,0x3aa22efe,0x221bffff,
    0x7c42efeb,0x3e201eff,0x01ffb83f,0x4ff893fe,0x2e0fffdc,0x4f7ffcc4,
    0x7dc1ffe9,0xb825c1ff,0xf8fe26ff,0xff0ffa82,0x1fc4487f,0x9813ffee,
    0x7fffec0f,0x880f34ff,0x7fc41ffe,0x7ff4401e,0x00f7fc41,0xf107ffa2,
    0x7fdc03df,0x403e604f,0x2604fffb,0xffff900f,0x20bfee05,0x3fe01ffb,
    0x3e0ffe24,0x260ec3ff,0x3fea1fff,0x6c3fff86,0x44dff501,0xff10f53f,
    0x3207ffc7,0xff50fe20,0x5c3c409f,0x34ffffff,0x17ffc40f,0x100fffa8,
    0x3ea05fff,0xfff100ff,0x03ffea05,0x1027ffd4,0x27ffd40f,0x23aa0f10,
    0xfc84fffd,0x01ffb81f,0x07fd13fe,0x42c4fff7,0x3e20fff9,0x3ffdc0ff,
    0x37fd40b1,0x3a1727f1,0x21bfe27f,0x7fd40984,0x221a203f,0x34fffffe,
    0x03ffec0f,0x7ec17ff6,0x2ffec07f,0x6c07ffd8,0xfff505ff,0xf5034407,
    0x434407ff,0x3ffee2f9,0x5c0ffec1,0x13fe01ff,0xfff10bf3,0x3fe60aa5,
    0x0bffe20f,0x0aa5fff1,0x3e26ffa8,0x4ff989b3,0x01213fea,0x101fffd4,
    0x3fffa20d,0x3ea0f34f,0x7fdc04ff,0x27ffd42f,0x50bffee0,0xfb809fff,
    0xfffa82ff,0xfa81a203,0x21a203ff,0x27fd41fc,0x3ee07ffe,0x213fe01f,
    0x7fe41dd9,0xfff301b6,0xc83fff81,0x5401b6ff,0x74fe26ff,0xfd0ffec3,
    0x5003885f,0x34407fff,0x4d3f6e60,0x07fff907,0x644fffa8,0x7d403fff,
    0x7ffe44ff,0x27ffd403,0x101fffd4,0x1fffd40d,0x0bfd0d10,0x1fff8ff5,
    0x3e01ffb8,0x987d304f,0xf304afff,0x1fff81ff,0x04afff98,0x7f137fd4,
    0x4cfff0b6,0x001a87ff,0x4407fff5,0x3cd32006,0x402fffd8,0x7ec6fff9,
    0x7fcc02ff,0x17ffec6f,0x21bffe60,0x2203fffa,0x0fffea06,0xdffb8688,
    0x3ffa37c0,0x201ffb81,0x00ed84ff,0x2603fffb,0x3fe20fff,0x3fffb00f,
    0x226ffa80,0x7fc4993f,0x98bffb16,0xffa81504,0x801a203f,0x3fe0f34c,
    0x7fcc01ff,0x0ffffc7f,0xf1fffe60,0xf9803fff,0xfffa87ff,0xfa81a203,
    0x21a203ff,0xf11efff8,0xb81ffd85,0x13fe01ff,0x7fd409f9,0x83ffe606,
    0x3ea06ffa,0x6ffa806f,0xf12d4fe2,0x7ff5b5ff,0x43f88244,0x2203fffa,
    0x3cd32006,0x401ffff8,0x7fc7fff9,0x7fcc01ff,0x0ffffc7f,0x21fffe60,
    0x2203fffa,0x0fffea06,0xffd10688,0xff907b7f,0x403ff705,0x017fc4ff,
    0xff980ffa,0x1ffd88ef,0x5401ff40,0x4cfe26ff,0x457fff46,0x2c1953ff,
    0xfffa87f1,0xc801a203,0x3ff60f34,0x7ffd402f,0x017ffec6,0xfb1bffea,
    0xffa805ff,0x3fffa86f,0xffa81a20,0x881a203f,0xf105fffd,0x03ff707f,
    0x7ff127fc,0x2600fb80,0xeffeafff,0x800fb802,0x8fe26ffa,0xb87baa2d,
    0x10d41bee,0x3fffa87f,0x4c801a20,0x3fff20f3,0x2fffdc03,0x700ffff2,
    0xffc8bfff,0x7ffdc03f,0x03fffa85,0xfffa81a2,0x3201a203,0x9fb03fff,
    0x7c03ff70,0x202ffc4f,0x7ffcc058,0x2c400330,0x226ffa80,0x0003a23f,
    0x21fc4488,0x2604fff8,0x3cd32005,0x404fff98,0x7cc1fffc,0x7fe404ff,
    0x27ffcc1f,0x207fff20,0x2604fff8,0x13ffe205,0xff500598,0x703fe60f,
    0x27fc03ff,0x1b821bfa,0x007ffcc0,0xa800dc10,0x70fe26ff,0x03620009,
    0x9fff07f1,0x990025c0,0x7ffc81e6,0xc82fff40,0x7ff407ff,0x80fff905,
    0x3fe05ffe,0xf012e04f,0x825c09ff,0x07fe62fb,0x3fee1fdc,0xfb13fe01,
    0x00b1ff8d,0x2001fff3,0xfa80b1ff,0x3e25ff99,0x2000cc83,0x83f880d8,
    0x1d106ffd,0x079a6400,0x5c0fffa2,0xfd100eff,0x3bfee07f,0x07ffd100,
    0xd803bfee,0x01d106ff,0xd106ffd8,0xfd17fa01,0x3ee36401,0x89ff101f,
    0x2ffe63fd,0xfff9802b,0xbbff9800,0x7cdfdc02,0x4c0fe21f,0x0664402d,
    0xfe883f88,0x00ba60df,0x201e6990,0x7fc41ffd,0x83ffb005,0xfb005ff8,
    0x05ff883f,0x20dffe88,0xfe8802e9,0x80ba60df,0x017e64fa,0x1ffdc372,
    0x3ea4ffb8,0x803ffd85,0x00cfffd8,0x8803ffd8,0x7c43edee,0x566edc03,
    0x4400cccb,0xfffb103f,0x90005dff,0x6dc01e69,0x03dfecdf,0x766fedc0,
    0x6dc003df,0x03dfecdf,0x3ffff620,0x362002ef,0x02efffff,0x04fddeb8,
    0x55544e20,0x3555510a,0x00080b72,0x02666662,0x04400040,0x09800130,
    0x88009800,0x2200019a,0x2a200060,0x15100000,0x02a20000,0x066a2000,
    0x03351000,0x00001100,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x22000000,0x10000aaa,
    0x39970035,0x15510000,0x99910088,0x99900001,0x2cc98003,0x003cca80,
    0x32e07993,0x664c000c,0x39d70004,0x322000a6,0x000370ce,0x013663b7,
    0x99700000,0x6ffdc005,0x2003ffdb,0x7cc00bfc,0x950005ff,0x7bfd9dfd,
    0x1ffd403b,0x13fe6000,0x03fffa00,0x6401ff60,0xfff981ff,0x0ffe4005,
    0x7fffdc00,0xfd8001ff,0x8007efff,0x3ffb5ff8,0x8006c000,0xd3005ff8,
    0xefe883ff,0x8027e401,0x001fedfd,0x260effdc,0x7d401ffc,0x27e40006,
    0x7ef7d400,0x02fe8804,0xbfd01ff8,0x7f4003ff,0xf95b0002,0xb1000bff,
    0x007fffb7,0x37dcffa0,0x400b1000,0xff1006fa,0x3ffe605f,0x003ff100,
    0x01ba27f5,0x200effb8,0x0fb801fd,0x0017a000,0x00fc86f4,0x7d405e88,
    0x3a27f502,0x005f3005,0x000660c0,0x00151044,0x00004080,0x0ed800ae,
    0x80fffb00,0xff305ffe,0xd8859005,0x1fffb801,0xa800fc40,0x000a0000,
    0x801dc254,0xb00cc028,0x9800d883,0x26662001,0x26666019,0x13531001,
    0x9a988000,0x00340000,0x7fd4002a,0x7ffdc04f,0x004ff882,0x7ffc0004,
    0x26237006,0x99999999,0x4cc41999,0x99999999,0x4ccc4199,0x99999999,
    0x4cccc419,0x33311999,0x26233333,0x01999999,0x7e4c0010,0xec884fff,
    0x7fdc03ef,0x003ffdbd,0x7edeffdc,0x2ea2003f,0x4ccccc44,0x99998819,
    0x807fff90,0xff04fffa,0x002c800b,0x0013ffe6,0x3ffffae2,0x47fffeee,
    0xeffffeb8,0x447fffee,0xeeffffeb,0x5447fffe,0x11bffffe,0x37ffffd5,
    0x3ffffaa2,0x0059001b,0x02ffffb8,0x7f4401f3,0x0f7fc41f,0x107ffa20,
    0x74403dff,0x36a2ffce,0x982dffff,0xffb0cffc,0xfff9805f,0x400bfd06,
    0x3f2006f8,0x260003ff,0x7fb84fff,0x709fff30,0x3ffe60ff,0xf507fb84,
    0x3fea0bff,0xbfff505f,0x0037c400,0x07ffffe6,0x5fff103c,0x403ffea0,
    0xf502fff8,0x3ff101ff,0xffd07ffe,0x7c3e807f,0x7cc01fff,0x07fd07ff,
    0x800ffdc0,0x0001fffe,0x4c13ffe6,0x09fff307,0x7ffcc1e6,0x3e60f304,
    0xfff304ff,0x13ffe609,0x001ffb80,0x3bfffb26,0x3ff60680,0x82ffec07,
    0x7ec07ffd,0xd57fd85f,0xfff985ff,0x3fe1a607,0x7fcc01ff,0x005f887f,
    0xf802fffc,0x20002fff,0xd0c4fff9,0x313ffe60,0x4fff9834,0x3fe60d0c,
    0x9fff304f,0x013ffe60,0x2005fff8,0x5ffff8c9,0x9fff5068,0x42fffb80,
    0x5c04fffa,0x3fe22fff,0xb019b1b5,0x07a07fff,0x300bfffa,0x4eb8dfff,
    0x7fffdc00,0x3fffd800,0x3ffe6000,0xf3028e64,0x051cc9ff,0x3993ffe6,
    0x27ffcc0a,0x304fff98,0x2e009fff,0x3000ffff,0x0ffffea9,0x0ffff20d,
    0xc89fff50,0x7d403fff,0x3bfe64ff,0xfff88058,0xfc825c0f,0x7fd403ff,
    0x0006745f,0x013ffefa,0x0013ffee,0x2e4fff98,0x4fff9803,0x3fe600ee,
    0x2600ee4f,0xff304fff,0x3ffe609f,0xfff7d004,0xfb926009,0x6c1a2fff,
    0x7cc02fff,0x7ffec6ff,0x37ffcc02,0x0057fff5,0xe893fff2,0x09fff300,
    0xa81fffb8,0x3e95003f,0x7c400fff,0x260006ff,0x07d34fff,0x269fff30,
    0xfff9803e,0xf3007d34,0x3fe609ff,0x9fff304f,0x3ffe9500,0x6c49800f,
    0x20d0ffff,0x4c01ffff,0x7ffc7fff,0x7ffcc01f,0x01bffe67,0x90ffff88,
    0x0fffd805,0xe817ffa0,0xf91d801f,0xffb007ff,0xf303005f,0x07ffddff,
    0xfddfff30,0xfff3007f,0x3007ffdd,0x3e609fff,0xfff304ff,0x3f23b009,
    0x849803ff,0x20d6fffe,0x4c01ffff,0x7ffc7fff,0x7ffcc01f,0x017ffe27,
    0xd3bfff70,0x07ffd100,0xd803bfea,0xf12cc04f,0x3f600dff,0x4c3d406f,
    0x3fdadfff,0xadfff980,0xff9803fd,0x803fdadf,0xf304fff9,0x3fe609ff,
    0xf12cc04f,0x09300dff,0x0dbffff1,0x500bfff6,0xffd8dfff,0x7ffd402f,
    0x50fffec6,0xeffff807,0x3ffb1001,0x400efe98,0x216405fe,0xb002fffd,
    0x64c15bff,0x4fff980d,0x3fe600f6,0x2600f64f,0x00f64fff,0x4c13ffe6,
    0xff304fff,0x6c2c809f,0x24c02fff,0x06ffff98,0xb807fff9,0x7fe45fff,
    0x7ffdc03f,0x6ffffc45,0xfffb806e,0xdfda8005,0x8803efdc,0x2be204ff,
    0x6fffcaaa,0x3ffb2a00,0x3e603efe,0x200ea4ff,0x0ea4fff9,0xa93ffe60,
    0x4fff9803,0x209fff30,0x2204fff9,0xffcaaaaf,0x7024c06f,0x3e60dfff,
    0x7fe404ff,0x27ffcc1f,0x207fff20,0x00dffffb,0x005fff88,0x01bffe60,
    0x2e03ff98,0xfeaaaaac,0xe88001ff,0x9fff3001,0xf30321c4,0x321c49ff,
    0x127ffcc0,0x7fcc0c87,0x9fff304f,0x813ffe60,0xeaaaaacb,0x12601fff,
    0x640dff90,0x7ff407ff,0x80fff905,0x22b05ffe,0x7ffc4001,0x7fd40005,
    0x5ff3004f,0xffa81a20,0x6fc8005f,0x09fff300,0x7ffcc3cc,0x3e61e604,
    0x21e604ff,0xf304fff9,0x3fe609ff,0x540d104f,0x16a05fff,0xe881bfa0,
    0xdff703ff,0x0fffa201,0x4c077fdc,0x3fe20004,0xfc80005f,0xfe800bff,
    0xff809902,0xfe8000ff,0x5fff9800,0x3fe61ba0,0x261ba05f,0x1ba05fff,
    0x4c13ffe6,0xff304fff,0xf013209f,0x1f201fff,0x3601ba20,0x2ffc41ff,
    0x441ffd80,0x007205ff,0x05fff880,0xfffb7000,0x3be603bd,0x32027cc0,
    0x54005fff,0xfff5005f,0x84fec98d,0x64c6fffa,0xfffa84fe,0x427f64c6,
    0xf505fffa,0x3fea0bff,0x404f985f,0x6d45fffc,0x34c03eff,0xecdfdb80,
    0x6dc003df,0x03dfecdf,0x3e60002c,0x800006ff,0xdb8801a9,0x839fff72,
    0xdfffffc9,0x802ab800,0xfffffeb9,0x23fffffe,0xfffffeb9,0x23fffffe,
    0xfffffeb9,0x23fffffe,0xdffffeb9,0xffffd732,0x3ffae65b,0xfff72dff,
    0xfffc9839,0x40000dff,0x00a88001,0x00151000,0x5cc00062,0x0adffffe,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xdd896d40,0x54000600,0xa80003cc,0x000531cd,
    0xb50000d4,0x50037625,0x4037625d,0x00b6e4d8,0x00000388,0x04403026,
    0x0e664002,0x00066644,0x4c00bff7,0x204402ab,0xe8075000,0x407ff77f,
    0xfd8001d9,0x3ee0000f,0x001fffff,0x000b99d0,0x1ffddffa,0x7fddffe0,
    0xf15ff702,0xfdb500df,0x7754017b,0xbeffd803,0x21ff505a,0x7fcc04fe,
    0x00ffea04,0x00ffffc4,0x3ff6bbea,0xfd0ffa82,0xc807f009,0x803ff35f,
    0xfd8002f8,0x36b60003,0x50005fff,0x64000ec9,0x803ff35f,0x03ff35fd,
    0x27f43fe6,0x23667f60,0xb0e885fd,0x7fffd403,0x5ff902ff,0xfc80bff1,
    0x005fb804,0x40bf79f9,0x1bfa2ffb,0x3fe2bff2,0x400fcc06,0xfb800440,
    0x005e8002,0x00033060,0x0003b254,0x02001102,0x04088011,0xb2cd3ea0,
    0x01dc930d,0x07fb7119,0x03b726c4,0x3ee004f8,0xf31fcc00,0xd87ff603,
    0x726c42ff,0x446c803b,0x09999999,0x20666662,0x44000ff8,0x00100002,
    0x01733a00,0x98800200,0x11999999,0x33333333,0xfb033333,0xd068966b,
    0x00001d33,0x00a20000,0x033002a0,0x83ffe073,0x00003ffc,0xffd5113a,
    0x75c437ff,0x09f902ef,0x20000080,0x9b00002c,0x00b20000,0x7ffff544,
    0xfffd711b,0xffffdddf,0x8b59fff0,0x003b9302,0x44002aa2,0xaa8800aa,
    0x00aa8800,0x44015510,0x3ff60fff,0x00155100,0x3fee03f3,0x803e604f,
    0x32000ffb,0x6f880002,0x06f88000,0x006f8800,0x982fffd4,0x7fb84fff,
    0x05efffc8,0xb0015510,0x401bf79f,0x80dfbcfd,0x1efebdd8,0xefebdd88,
    0x3ef3f601,0x0fff880d,0xbb105bf5,0x5c03dfd7,0x13ffea07,0x7fcc0788,
    0x00df1004,0x003ff700,0x001ffb80,0x000ffdc0,0x2609fff3,0x0f304fff,
    0x05fffff3,0x77f5eec4,0x7e4dfb01,0x7e4dfb06,0xff13fc46,0x3e27f88d,
    0x64dfb06f,0x8fff886f,0x7c41dfd8,0xe81bfe27,0x0fffea04,0x7fc40688,
    0x03ff7005,0x05fff800,0x02fffc00,0x017ffe00,0x304fff98,0x1a189fff,
    0x6fffffcc,0xff13fc40,0x549ff50d,0x27fd44ff,0x7fdc9ff5,0xfb83ffe3,
    0x503ffe3f,0x27fd49ff,0xfb83ffe2,0xf8ffee1f,0x02f880ff,0x880fffea,
    0x037fc406,0x0005fff8,0x003fffee,0x07fffdc0,0xffffb800,0x9fff3000,
    0x993ffe60,0xffd880a3,0x3fee0eff,0xfb03ffe3,0x237fcc7f,0x3fe63ffd,
    0xff8bfea6,0xf8bfea1f,0x1ffec1ff,0xff88dff3,0xa9bfe60f,0x07ffe2ff,
    0xfff501ee,0x22034407,0xffb807ff,0x7d0000ff,0x20009fff,0x004fffbe,
    0x09fff7d0,0x413ffe60,0x0ee4fff9,0x9ffff700,0xfff17fd4,0x262fff83,
    0x3ffe0fff,0x883ffe62,0x83fffb30,0x3fffb308,0x3e62fff8,0x3ffe20ff,
    0x883ffe20,0x03fffb30,0xfffa80bb,0x3e01a203,0x7df400ff,0x4a8004ff,
    0x8001ffff,0x01ffff4a,0xffff4a80,0x9fff3001,0x4d3ffe60,0x774c003e,
    0xd98447ff,0x3fe21fff,0x47ffe62f,0x3e62fff8,0x4f74c1ff,0xee981fff,
    0x3e21fff9,0x3ffe62ff,0x883ffe21,0x774c1fff,0x7c41fff9,0x1fffd402,
    0xff880d10,0xfffa5407,0xc8ec000f,0x6c003fff,0x007fff91,0x7fff91d8,
    0x09fff300,0x3fbbffe6,0x3660c03f,0x74c1ffe8,0x7c1fff9e,0x3ffe62ff,
    0xf98bffe0,0x43bee0ff,0x77dc1fff,0xff83fff0,0x83ffe62f,0x3e20fff8,
    0x43bee1ff,0x07d41fff,0x80fffea0,0x37fc4068,0x7ffe4760,0xf8966003,
    0x966006ff,0x2006fff8,0x1bffe259,0x413ffe60,0xfdadfff9,0x2b306c03,
    0x3bee0ffb,0xfd83fff0,0xb1ffe63f,0x3ffcc7ff,0x7ffc7ff3,0xff8ffe61,
    0x31ffec1f,0xfff88fff,0xff33ffc0,0x360fffc7,0x3fffa805,0xff301a20,
    0xff12cc0b,0x216400df,0x9002fffd,0x02fffd85,0xfffd8590,0x27ffcc02,
    0x364fff98,0x2b316c03,0x8ffe65fa,0x7fd41fff,0xf513fea3,0xb27fd47f,
    0x3ffe69ff,0x7cd3ff61,0x1ffd41ff,0xff889ff5,0x6fd8eb8f,0x7fcd3ff6,
    0x5401fc1f,0x1a203fff,0x6405ff50,0x017ffec2,0x655557c4,0xf8806fff,
    0xfffcaaaa,0xaaaf8806,0x406fffca,0xf304fff9,0x201d49ff,0x3f6b31fd,
    0x7cd3ff61,0x26fd81ff,0x6fd80efc,0xffd83bf2,0x2cfffdff,0xffbffffb,
    0x26fd859f,0x7fcc0efc,0x1fbafd8f,0x3f7ffff6,0x01f52cff,0x409fff10,
    0x037dc059,0xf95555f1,0x59700dff,0xfffd5555,0xaaacb803,0x01fffeaa,
    0x5555565c,0x2601fffe,0xff304fff,0x8321c49f,0xefedefeb,0x6ffffec1,
    0xfc82cfff,0x3200dfcd,0x4c0dfcdf,0xbff52efe,0xfa977f4c,0xf9bf905f,
    0xfffe881b,0x4c2dee98,0xbff52efe,0xfff00364,0x3a025c09,0x2ab2e02f,
    0x1fffeaaa,0xffa81a20,0xa81a205f,0x1a205fff,0x205fffa8,0xf304fff9,
    0x83cc09ff,0xd300db98,0x17fea5df,0x19800330,0x00400080,0x00003300,
    0x01a80040,0x441bff60,0x817e600e,0x3ffea068,0xff013205,0x013201ff,
    0x3201ffff,0x07fffc04,0x304fff98,0x3740bfff,0x00200e20,0x00000000,
    0x00000000,0x00000000,0x0dffe880,0x0bb00ba6,0x7ffc04c8,0x404f980f,
    0xf985fffc,0x2fffe404,0x3f2027cc,0xfff505ff,0x1bffea0b,0x0009fd93,
    0xeeea8000,0x26663eee,0x99999999,0xfffff109,0x5fffffff,0x00000000,
    0x00000000,0xdfffffb1,0x4c04d805,0x7ffe404f,0x0e7ffdc5,0x3fffff26,
    0x39fff70d,0xfffffc98,0x39fff70d,0xfffffc98,0xfffd730d,0x3fae65bf,
    0xfffeffff,0x000003ff,0x7ffffd40,0xfffff13f,0x5fffffff,0x33333322,
    0x01cccccc,0x00000000,0x40000000,0x1a8019a8,0x0e7ffdc0,0x3fffff26,
    0x0000000d,0x00000000,0x00000000,0x32600000,0x262ccccc,0x99999999,
    0x00000999,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x44000000,0xf7000ccc,
    0x4cc880bf,0x01665400,0x8801fff1,0x2a6000c0,0x8300c81a,0x00054008,
    0xccc80059,0x00029801,0x00881551,0x0d440171,0x0a201a80,0x05100d40,
    0x333106a0,0x00ccc433,0xf1007ff5,0xfb803fff,0x3bfa001f,0x13fff600,
    0x5abeffd8,0xdbcfdb80,0x360973ff,0x883ff35f,0x401dd9fc,0x3e6000fb,
    0x7ff6404f,0xfeca804f,0x1dbdfece,0xb80fff88,0x7d404fff,0x806fd981,
    0x6fd980fc,0x7dc1fa80,0x3faa4fff,0x402fdc03,0x805fbcfc,0xdf3004fc,
    0x7577cc01,0xffffa80f,0x77ec02ff,0x037ffc41,0x0ffeeffd,0x81beebf7,
    0x7e4002f9,0x7fffdc04,0x3fee02ff,0x0ffe4c1d,0x2617ffcc,0x7440ff53,
    0x80df9304,0xdf9302f9,0xf704e880,0x004b83ff,0x1fcc01f7,0x0f9005f3,
    0xbd003b20,0x23217621,0x6c03fdb8,0xfff502ff,0x644b6a01,0xfaaff40c,
    0x000bd01f,0x50c9809f,0x3ee0dfff,0x07f600ef,0x3e6037f4,0xa803b201,
    0x202f406f,0x076406fa,0x1d87fff0,0x19802a00,0x01500398,0x02880150,
    0x3f600007,0x3ffe207f,0x7fc40005,0xf709ff54,0x80288001,0xb86ffc82,
    0x7c401fff,0xff700201,0x5007e609,0x007e40df,0x1f981bea,0xb13ffdc0,
    0x002aa200,0x44002aa2,0xaa8800aa,0x00aa8800,0xf1005544,0x37a209ff,
    0x2a202fff,0x55ff880a,0x02f985ff,0x000aa880,0x7fc1ffcc,0x0037006f,
    0x217fe440,0x6fa804e8,0xf5005f30,0x2013a20d,0x0552fff8,0x1bf79fb0,
    0xdfd7bb10,0x7e5fe403,0x3f2ff202,0x3f2ff202,0xfebdd882,0x3fffa81e,
    0x9fff55d0,0x0bf2ff20,0x07fd57f6,0x3f60017a,0x9000dfbc,0x9fff309f,
    0x40120000,0x007642fd,0x05e837d4,0x3b20df50,0x2dff9000,0x937ec00d,
    0x227f88df,0x49fb06ff,0x24fd81ff,0x24fd81ff,0x89fe21ff,0xfffc86ff,
    0xfff33d82,0x7fc9fb0d,0x5fbb7d41,0x360007dc,0x201bf26f,0xffc82ffa,
    0x0b00003f,0x7cc6a8a6,0x90ff7002,0x1fee001f,0xf9800be6,0x7d404aff,
    0xb93fea4f,0x03ffe3ff,0x2ff45ff5,0x5fe8bfea,0xbfd17fd4,0xfff1ffdc,
    0x42ffff81,0x1fffe64c,0x2ff45ff5,0x2616e64c,0x7fd4002f,0x4c13fea4,
    0x744ffffe,0x80001fff,0x77df903d,0xb3004e83,0x017cc5ff,0x742ffd98,
    0xfffd8004,0x31ffec01,0x17fd4dff,0xffd83fff,0xffb1ff60,0x3f63fec1,
    0xfa9ff60f,0xd07ffe2f,0x22dc3fff,0x7ec7fff9,0x001ff60f,0x3997117a,
    0x7cc7ffb0,0x3ffea06f,0x3fffe1ff,0x3f620002,0x76406200,0x3a006c80,
    0x0073f665,0x06c80ec8,0x3e01bfea,0x3ffe62ff,0x7fecc220,0x777ff41f,
    0x3fa0fffe,0x0fffeeef,0x3fbbbffa,0x6cc220ff,0x7fec1fff,0xff50d52f,
    0xeeffe89f,0x2000fffe,0x65be60fb,0x317ffc4f,0xfc801fff,0x3fff63ff,
    0x9fd10003,0x20be6000,0x1f9006fb,0x01bff7e2,0x37dc17cc,0xf100ffa0,
    0x7ffcc5ff,0x7fcf74c1,0x00fffc1f,0x7c00fffc,0xdd3001ff,0xfb83fff3,
    0xb80e9bff,0x7ffc2fff,0x17cc0001,0x13fd57f2,0x7fcc5fff,0x5ffd801f,
    0x0013ffee,0x8000fffc,0x06fea84e,0x4c262f98,0x84e800ff,0x7dc06fea,
    0x22fff800,0x3ee0fff9,0xe83fff0e,0xffe804ff,0x04ffe804,0xfff0efb8,
    0xedfff983,0x81fff901,0x40004ffe,0xf55ff85e,0x317ffc5f,0xf5001fff,
    0x37ffc47f,0x23ffd400,0x07e401ed,0x201be766,0x017e605e,0xf3b303f2,
    0xb005880d,0x3ffcc7ff,0x7ffc7ff3,0x043ffdc1,0x7021ffee,0x7cc10fff,
    0x207ffe3f,0x3a02fffc,0x7ffb85ff,0x81f70008,0x9ff35ff9,0xff31ffec,
    0x20ffc00f,0x1802fffd,0xff89ffee,0xb10be604,0xfc80df31,0x3003ee00,
    0xf98d885f,0x4006e086,0x3fea3ffa,0x7cd3ff64,0x7ffcc1ff,0x3ffe6243,
    0x3ffe6243,0x29ffb243,0xfd01fff9,0x13fee07f,0x121fffcc,0x7f40be60,
    0x7d43ff55,0x893fea3f,0xb05f884d,0x27a80dff,0x3fa1fff8,0x37613a02,
    0xf303ffdc,0x400f4c05,0xfdcdd84e,0x02c7fe3f,0xefc9bf60,0x37ffff60,
    0x7f42cfff,0xe80eceff,0x80ecefff,0x0ecefffe,0x3f7ffff6,0xffd82cff,
    0x027fcc1f,0x3b3bfffa,0x2e05e800,0xfb0df76f,0xf7077e4d,0x007645df,
    0x4c15bffb,0x27fec0dc,0x407e40d9,0x04ffeeec,0x4d7440bd,0x901f904a,
    0x269ffddd,0x8002bbff,0x40dfcdfc,0xff52efe9,0xbfffb10b,0x3fff6203,
    0xfffb101d,0x2efe983b,0x2970bff5,0xceecefea,0xfffd8802,0x00fb801d,
    0x0bb63f62,0x06fe6fe4,0x3bbfff62,0xffd95003,0x32207dfd,0x300ddeff,
    0x0df3005f,0x7f4403f2,0x2f982fff,0x7ec6f980,0x0cc0003f,0x98800040,
    0x00131000,0x00100262,0x00a98244,0x40013100,0x0571002c,0x4cc00660,
    0x06a20000,0x9b003300,0x220f2200,0x3332a02e,0x004d80cc,0x00010791,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x800554c0,0x19999998,0x00999998,0x429800a6,
    0x44199829,0x4ccc4099,0x26666199,0x4ccc0999,0x26666621,0x26662099,
    0x01105019,0x03055d44,0x0ccccccc,0x00153100,0x4c001551,0x99999999,
    0x01355100,0x20003510,0x10000aa8,0x00bff9db,0x59ffffd5,0x01dff950,
    0x007f79d5,0x7c46c8db,0x0bffa0ff,0x17ffffd5,0x7fffff51,0x10cfeb83,
    0x37ffffd5,0x8177f5c4,0x101b72ea,0x9bfd7bfb,0x3fffee07,0xfd9807ff,
    0x3fae201c,0x201ceecd,0xfffffff8,0x67ec42ff,0x3b603feb,0xb8804feb,
    0x1ceecdfe,0x7d47fa00,0xfff8802f,0x9827400f,0xf00bf66f,0x7fc45e89,
    0x20bffa0f,0xf986fffa,0x416e07ff,0x2604fffb,0x17fd400f,0xfd985fb0,
    0xfffffd03,0x6fec409f,0x40e74400,0xff501fb8,0x1fffffff,0xff327fc4,
    0x3e27fb03,0x073a203f,0x2a007ee2,0x013fe0ff,0x1017ffe4,0xb93fa01f,
    0x45f100ff,0x7ffc43f8,0x740bffa0,0xffe81fff,0x2a05901f,0x1e204fff,
    0x20bf9d50,0x07f107fa,0xfffffff3,0x017fa203,0x3e600fa2,0xfffffc81,
    0x7fe45fff,0x3f22ffc2,0x20bff62f,0x262083e8,0x0ffe401f,0x3e6003fd,
    0x412e06ff,0x3fea4ffa,0x7cc3f504,0xd07ffc41,0x3fee05ff,0x4fffa84f,
    0x7ffd40d0,0xcb81a203,0xff909f90,0x0f20f203,0x201bfa00,0xcffe8be8,
    0xd07e64ee,0x42fb8159,0x3fec5ffe,0xffc87ffa,0xfd51f445,0x3f31bb97,
    0xf9affe40,0x7ffec004,0x3f201d01,0x997fea3f,0xcaabfdaa,0x3ffe21bf,
    0x440bffa0,0xfff07fff,0x7d40950f,0x01a203ff,0x7e43ff88,0xe83881ff,
    0xff90009b,0x7d4b5007,0x44a8ff67,0xf903f603,0x227f45ff,0x3fee1fff,
    0x89f92d47,0x5c0950f8,0x001ecfff,0xa85fffa8,0xa8fff604,0x3ffee6ff,
    0x5fffffff,0xfe83ffe2,0x3fff202f,0x17fffcc2,0xfffa8036,0xd901a203,
    0x543fffbf,0x400dffff,0x03fffff9,0x00cc7ffc,0xf73fcc59,0xf8803c4f,
    0xbffffa85,0x3fe21ef9,0x83ffea2f,0x901ff32c,0xff881e21,0x3cccc86f,
    0xb03fffa0,0x51fff401,0x7ccc4fff,0x09de999d,0xfe83ffe2,0x3ffe602f,
    0x2fffde45,0xfffa80d1,0xfd81a203,0xe88fff66,0x00cfffff,0xdffffff9,
    0xfffff303,0x4c1d07ff,0x3d1bf67f,0x3605f500,0x80dfffff,0x3fea3fff,
    0x37ec3a1f,0xee981e80,0x7fc43fff,0x1fffdc03,0x3fff80b3,0xf107ffea,
    0x7c41fc45,0x4bffa0ff,0x41fffd00,0x2e1fffd6,0x1fffd402,0x3fe60d10,
    0xf117fea3,0x05ffffff,0xffffffff,0x8dffb81f,0x1a23fffa,0x3df95ff3,
    0x0fd803c8,0x3bffff60,0x2a5ffd80,0xfe9a27ff,0x64479005,0x1ffff88e,
    0x7fc402f4,0xff00727f,0x0fffd47f,0x81f987ea,0xff11fff9,0x3ee0517f,
    0x3ee774ff,0xa801d4ff,0x1a203fff,0xff31ffe4,0xffff910f,0x326605ff,
    0x7ec5ffff,0x43ffee4f,0x7d7fcc68,0x4403c81f,0x7ffd405f,0x7fcc0eff,
    0x25ffc9cf,0x4017fa68,0xfa93fa3c,0x01d30eff,0x22bfff20,0x23fff806,
    0x32627ffa,0x99fb999f,0x2f3ffe60,0x204effed,0x21d7fff8,0x059ffff8,
    0x203fffa8,0x45ffd068,0xb301fff9,0x100dffff,0xfff8fffb,0xe87ffe63,
    0x2fedfe60,0x0fea0074,0xfff9bfc8,0xeffe985f,0xd8743ffe,0x261d006f,
    0x7ffe43ff,0x7cc003d5,0xe802beff,0x9bfea3ff,0xfffffffb,0x3fe65fff,
    0xfff88eff,0x67ffe402,0x0f7ffec4,0x01fffd40,0x8bffe0d1,0x2070fff9,
    0x001fffea,0x7ffc1ff9,0xc8bffe24,0x7fc5fea3,0x3f601a22,0x261ff900,
    0x42207ffe,0xa9e41fff,0x9a2081ff,0xffe86ffd,0xfd8004ef,0xff9006ff,
    0x312ffd47,0x3bf333bf,0x04c7d413,0xfff9800c,0x37ffcc1f,0x04fff880,
    0x17ff4166,0x806cfff3,0x1003ffe8,0x44ffd8ff,0xb96a1fff,0x21df91ff,
    0x037c404b,0xfffb8ffd,0x42ffd401,0xa8bbf25a,0xffff92e3,0x27fffcc1,
    0x3ffea002,0x49ff5003,0x17c43ffa,0x03f207f1,0x37ff4000,0x2003ffe8,
    0x12e04fff,0xff317fec,0xff501ecd,0x2e274005,0x43ffc5ff,0x9cccc9cd,
    0x00eabcc8,0xff881fd4,0x007ffc47,0x26c03ff6,0x5439bd93,0x3ffff60e,
    0x77fffe41,0xffd005a9,0x727f4001,0x21fa81ff,0x05fd01f9,0x0bfee000,
    0xb0007fdc,0x03a20dff,0xff51ffd4,0xfa80fec7,0x220fae0f,0x87ffc41f,
    0x09b05ff8,0xfb001d50,0x7c3ff401,0x0f7ec06f,0x3aa01360,0x7ffffcc0,
    0xfffcfdcd,0xf7000fff,0x26f98009,0x5c7b83fe,0x009ff00f,0x881fe200,
    0x7f44006f,0x00ba60df,0x22fe4bf9,0x7ec0bffd,0x88f7ffc2,0x27ff301c,
    0x37600efa,0x07b2a20a,0x3ea037c0,0x407fe62f,0xb000dfd8,0x7654415b,
    0xffffd301,0x7fff4c7f,0x003e2002,0x0bf77a60,0xe81b62ec,0x3200002f,
    0x40016c04,0xefffffd8,0xf9bd7002,0x9fd79b09,0xfd503df9,0xa803bdff,
    0x800decfd,0xbdfeefda,0x007f5000,0x3bf99fd5,0x0039fb30,0xbfddfb50,
    0x13510017,0x18000cc0,0x200c4000,0x0200d41a,0x80110000,0x54400009,
    0x03100019,0x0026a20c,0x0c40004c,0x00033000,0x988002a6,0x00131009,
    0x0000cc00,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x57000000,0x32a02980,0x2620003c,0x30141abb,
    0x73001575,0xa9880015,0x00550009,0x0600f326,0x33331011,0xffd0014c,
    0x20d4c005,0x00cccc41,0x04cccc00,0x33333310,0x26a62033,0x33333100,
    0x20ccccc0,0x0d902ccb,0xfb027fdc,0xfe98001f,0xbcefdbdf,0xffbbe986,
    0x36bee02f,0xdffb804f,0x2e03ffdb,0xffc804ff,0xf9afec01,0x7ffecc1f,
    0x403fffe9,0xa806fffa,0x4eaddbee,0x007ffecc,0x9fff7100,0x7fff5440,
    0xbffa81cf,0x935ffffc,0x9109ffff,0xfe887dfd,0x3a01f506,0x17ec07ff,
    0x0cffc880,0x6c37fdc4,0x5c1ffe66,0x203ff55f,0x7c41ffe8,0x6ffd81ef,
    0xe801ff80,0x507ff77f,0xfd33dfff,0x6d7fc03f,0x43fea02f,0xf984fff8,
    0xd80000ff,0xff9804ff,0x49ff506f,0x7dc1affd,0x1f302fff,0x7c03fe20,
    0x80fffd03,0xffb005e8,0x4c6fa80d,0x0fffe0ff,0x27fd57f6,0xa817ffc4,
    0x7fd40fff,0x8017cc03,0x019912da,0x7d43fff3,0x643d706f,0xe8bff306,
    0xfff884ff,0xffd80000,0x5fff8804,0x7e45ffd0,0xffff982f,0xf980f01f,
    0x3f20bb03,0x8028805f,0xd801fffb,0xfd17fd46,0x26ff88bf,0x7ffd81ed,
    0x442ffec0,0x00019800,0x83ffe600,0x0a80fff8,0x4ffb81a8,0x7c427fec,
    0xd80000ff,0xff8804ff,0x43fff05f,0xec984ffb,0x0680efff,0x01f50198,
    0x99987ff7,0x10266661,0x2200bfff,0x7ff44b85,0x403ffd43,0x5c04fffa,
    0x33002fff,0x04cccc33,0x99986666,0x07ffcc09,0x4cc5fff1,0x02666619,
    0xffd87ffb,0x88fff884,0x1a8800a9,0xf1009ffb,0x3ff60bff,0x260bff22,
    0x85ffff8c,0x03333106,0x3fe60be2,0x47fff621,0x7dc4fffb,0x002004ff,
    0xf503bfe2,0xffc801ff,0x7ffd403f,0x3f6214c4,0x9fff71ff,0xb8fffec4,
    0x7fcc4fff,0x89fffc0f,0xff71fffd,0x42fff89f,0xff884ffd,0x03ffffaf,
    0xfbbdffb1,0xfff1009f,0xe93fea0b,0xf54980ff,0x30687fff,0x3601fffb,
    0xf881ff05,0x13ffa1ff,0x0007fffb,0x260efc80,0x2acfffca,0x805fffb0,
    0x2546fff9,0xfd0fffc4,0x1fff889f,0xff313ffa,0x21fff81f,0x3fa1fff8,
    0x21fff44f,0xff884ffd,0x2ffd89ef,0xff50ffd8,0xfff1009f,0x54f7d40b,
    0x5c9301ef,0x81a2ffff,0xf700fff9,0x7ffc1b60,0xfd13ff61,0x400005ff,
    0xfffb85f8,0xff07ffff,0xff9803ff,0xff82e47f,0x213ff61f,0x3ff61fff,
    0x107ffcc4,0xfff81fff,0xf913ff61,0x84ffd87f,0x3ea0fff8,0x22ffd47f,
    0xf8804ffd,0x66dc05ff,0x3624c02c,0x40d0ffff,0xf100fff8,0x3fe09905,
    0xf13ff61f,0x00005fff,0xeaa9825c,0xff02adff,0xff9803ff,0xff83ec7f,
    0x213ff61f,0x3ff61fff,0x507ffcc4,0x3fff0dff,0x3ea27fec,0x427fec6f,
    0x3e20fff8,0x13ff21ff,0xf1009ffb,0x026c0bff,0x3ffa1260,0x7fc40d6f,
    0x2a13a00f,0x6c3fff03,0x7ffec4ff,0xddddb703,0x2003205b,0x7ec03ffc,
    0x7fd402ff,0x7c07fc6f,0x13ff61ff,0xffd87ffe,0x477ffcc4,0xff81ffd8,
    0x113ff61f,0xff717ffd,0x1fff109f,0x3fa2fff8,0x027fec3f,0xa82fffc4,
    0x01999aef,0x3ffe2126,0x3fe206df,0x261ee00f,0x6c3fff02,0x7ffdc4ff,
    0x3fffe604,0x7cc00e00,0x7ffe402f,0x2fffdc03,0xfff05ff3,0x7c27fec3,
    0x13ff61ff,0xffd5fff3,0x87ffe05d,0xfe884ffd,0x84ffdbff,0x7fc0fff8,
    0xb0fffe2f,0xff1009ff,0x3fff20bf,0x984fffff,0xdffff304,0x007ffc40,
    0x7fc003f3,0x313ff61f,0x7c40bfff,0x200006ff,0x3e6080ff,0x7fe404ff,
    0x213fee1f,0x3ff61fff,0x361fff84,0x7ffcc4ff,0xfff80330,0x8813ff61,
    0x2213ff61,0x7ffc0fff,0xfb13ffa0,0x10dd889f,0x3e609fff,0xffffffff,
    0xff7024c3,0x7ffc40df,0x0a627400,0xffb0fffc,0x01fff909,0x51037ffc,
    0x3fee4c01,0x1fff2254,0xfc8bffd0,0x21fff86f,0xfff84ffd,0xf313ff61,
    0x7fc001ff,0x013ff61f,0xf884ffd8,0x1ffe20ff,0xffd89ff9,0xf8a7fe44,
    0x37b203ff,0x44ffeccc,0x37fe4049,0x801fff10,0x213fee6c,0xffd12ffe,
    0x817ffa09,0x3fa06fff,0xfdce981f,0x43ffeeff,0xf703ffe8,0x7ffe81df,
    0xfd12ffe8,0x25ffd09f,0x7cc4ffe8,0x3fa000ff,0x09ffd12f,0x4427fec0,
    0x3fe60fff,0x3a37fd44,0x9ffdc5ff,0xfd02fff8,0xb50fea01,0x440dfd00,
    0x7cc00fff,0xfb0dffb1,0xbffdd5bf,0x033ff220,0x7c41bffe,0xf53b83ff,
    0x01ffffff,0xff107ff6,0x21fff60b,0xfeeadffd,0xadffd85f,0x7cc5ffee,
    0x3f6000ff,0x5ffeeadf,0x217ff600,0x3f63fff8,0xb37ffd05,0xfe81dffd,
    0x740bff50,0xc81db02f,0x206e8807,0xf801fff9,0xd107ff53,0xfffb3dff,
    0x77fecc07,0x00adfecc,0x3a203ff6,0xcffe9bfd,0x66fedc01,0x3ea03dfe,
    0xeffe883f,0x443fffd9,0xffd9effe,0x9fffb13f,0x3ffa2003,0x03fffd9e,
    0x1ffffd44,0x377eafe2,0x3ffa204f,0x43defdaf,0x04ffcec9,0x6e6f7e44,
    0x77fed44d,0xe9834c03,0x4c01efff,0x01300221,0x33531000,0x09801800,
    0x5440004c,0x30022000,0x00130001,0x01333331,0x20000980,0x41999998,
    0x1000cc08,0x19800443,0x00198800,0x00001800,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x88000000,
    0x19999999,0x00aa8800,0x20001550,0x26662000,0x44009999,0x19999999,
    0x33333331,0x4ccc4003,0x4c409999,0x26209999,0x99998199,0x03500000,
    0x266602a2,0x99988009,0x99999999,0x0554c019,0x33333331,0x30140003,
    0xd5303303,0xfffddfff,0xebfc805d,0xfff9105f,0x0590007f,0x3fffaa20,
    0x754400be,0x531bffff,0xffddfffd,0x754409df,0x541bffff,0x260bfffc,
    0x3220fffd,0x80002fff,0x8fff05fb,0x802fffc8,0xeffffea8,0x80ffffee,
    0x13ff9ee9,0x37ffffd5,0x07fb8800,0x7fdc9ff7,0x47fff504,0xf904fffb,
    0x320ffea9,0x03ffffff,0x5001be20,0xa8007fff,0xff705fff,0x77fecc7f,
    0x1bffe600,0xf300dfa8,0xfff881ff,0x7fcc0002,0x41fff985,0x2002fff8,
    0xea85fff9,0xff5fd80f,0x05fffa8b,0x3fffe440,0x3fa6ffe8,0x7fff307f,
    0x441fffd8,0x31bfe2ff,0xffffd77d,0x00ffdc00,0x007fff30,0x504fff98,
    0xff987fff,0x3ffe605f,0x8809f105,0xfff80fff,0x7ff40002,0x3e0bfb05,
    0x3e6002ff,0x103e05ff,0x302e6bff,0x44009fff,0x707ffeab,0x27fdc9ff,
    0x5c3fff98,0x7fd43fff,0xd090b6a1,0x3e001fff,0x3e6005ff,0x01aacdff,
    0x9827ffcc,0xffe83fff,0x17ffe207,0x3e200ba6,0x2fff80ff,0x3fff2000,
    0x5fff0005,0x2fffc400,0x5ffb8190,0x027ffcc0,0x207ffc80,0x26029819,
    0x7fdc3fff,0x00ffec2f,0x007ffb80,0x001ffff7,0x36f7ffe6,0xff300dff,
    0x3ffe609f,0x01fffc83,0xea8bfff1,0x1fff1001,0x4cc5fff0,0x2f6a0099,
    0x4ccc45ff,0x225fff01,0x3ffe200a,0x260885c5,0x3009dffd,0x20009fff,
    0x00007ffb,0x6c3fff98,0x2fff87ff,0x0bff3000,0x13ffefa0,0x91fffcc0,
    0xff303fff,0x3ffe609f,0x00fffe83,0x6e4bfff1,0x3ffe2000,0x712fff80,
    0x3a205bff,0x6cc5ffb8,0xfff80fff,0x104fffca,0x80d8bfff,0x2ffffff9,
    0x009fff30,0x001ffee0,0x4fffe600,0xf80cffd9,0xf70004ff,0x3e95005f,
    0xf9800fff,0x3ffe23ff,0x04fff984,0xf987fff3,0x3fe204ff,0x003fd8df,
    0x7c07ffc4,0x201fc2ff,0x30bff71e,0xfff01fff,0x05fff37f,0x7dcbfff1,
    0x017ff200,0x0009fff3,0x0001ffee,0x3ffffe60,0x3f602fff,0xfd8000ff,
    0x3f23b005,0xff9803ff,0x437ffc3f,0xf304fff9,0xff7539ff,0xfff8807f,
    0x002fffee,0x3e03ffe2,0x900f22ff,0x442ffdc7,0xfff80fff,0x220fff63,
    0xffecefff,0x017ff200,0x0009fff3,0x5c41ffee,0xf300bb82,0xff9337ff,
    0xbfff507d,0x3fe200b8,0x3e259800,0xff9806ff,0x437ffc3f,0xf304fff9,
    0xffffbbff,0xdfff1001,0x001ffff9,0x3e03ffe2,0xa80792ff,0x442ffdc6,
    0xfff80fff,0x2213ff62,0xffdadfff,0x017ff200,0x0009fff3,0x7f41ffee,
    0x417ff25f,0x7dc3fff9,0xfffd85ff,0x7e402ece,0xfd859002,0x7fcc02ff,
    0x13ffe63f,0x4c13ffe6,0xfffd3fff,0xbfff1007,0x401bfff6,0xff80fff8,
    0x2206fcaf,0x42ffdc0e,0xff80fff8,0x213ff22f,0x3e65fff8,0x017ff200,
    0x0009fff3,0x3e21ffee,0xfffd0fff,0x10fffe60,0xf901ffff,0xf9805dff,
    0x555f1002,0x80dfff95,0x3f23fff9,0xfff980ef,0x27fff304,0x401ffff8,
    0xfd15fff8,0xff100bff,0xfdfff01f,0x3fea07ff,0xffffffff,0x203ffe21,
    0x3ff22fff,0x45fff884,0x17ff200c,0x809fff30,0x07ffb818,0x3ea3fff9,
    0x7fff303f,0x405fffd0,0x83e8801e,0x55559702,0x403fffd5,0xfeddfff9,
    0xfff300df,0x8fffe609,0x4406fffb,0x3fe65fff,0x7fc403ff,0xbbfff80f,
    0xffa81fff,0xffffffff,0x203ffe21,0x3ff22fff,0x45fff884,0x17ff200b,
    0x809fff30,0x07ffb81c,0x40111a62,0xff83fff9,0x1ff501ff,0x9999cd80,
    0x2a06885a,0x3e605fff,0x8019adff,0xf304fff9,0xfffd87ff,0x17ffe204,
    0x403ffff5,0xff80fff8,0x10dffd2f,0xffb55555,0x7ffc415d,0x322fff80,
    0xfff884ff,0x2ffe4005,0x013ffe60,0x0fff701f,0x7cc004b8,0x7ffd43ff,
    0x9017ec05,0x9fffffff,0xfff80990,0x7fff300f,0x4fff9800,0x887fff50,
    0xf302ffff,0xfff90bff,0x3ffe203f,0xf12fff81,0x3ee009ff,0x0fff885f,
    0x3f62fff8,0x5fff984f,0x02ffe400,0xc813ffe6,0x40fff907,0x7d4000d9,
    0x3ffea5ff,0x03be600d,0x7fffffd4,0x027cc2ff,0x5417fff2,0x54004fff,
    0xff705fff,0xffff509f,0x0dfff301,0x03fffff1,0xf885fff3,0x3ffee3ff,
    0x85ffb801,0x7c41fff9,0x17ffa3ff,0x001bffe6,0xfa80dff9,0x7fc986ff,
    0x501fffb0,0xffc98007,0xceefffff,0x8055d401,0xfffffff9,0x3ffee1ff,
    0x7ffe4c1c,0xff730dff,0x98039fff,0x2dffffeb,0x9fffff93,0x3ffffc85,
    0xbffffd71,0x3ffff225,0xffd30cff,0x3ff623df,0xffff91ef,0x45ffb807,
    0x11efffe9,0xf73dfffb,0x3ae27fff,0x402dffff,0x0dffffc8,0x7ffffdcc,
    0x6fffffff,0x3ffff2e2,0x000000be,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x31000000,0x20033333,
    0x30999999,0x4c413333,0x26666219,0x33311999,0x26213333,0x00199999,
    0x7c416654,0x209800ff,0x10081018,0x33333333,0x4cc41333,0x98819999,
    0x33310999,0x4cc13333,0x44001999,0x00999999,0x26666620,0x19999999,
    0x99999998,0x09999999,0x13333331,0x3faa2000,0x7cc02fff,0xf90aefff,
    0x7e445dff,0xfffd510d,0x3fee637f,0xd510aeff,0xbfffffff,0x80efe807,
    0x2604fffd,0x82cadffe,0xf0df73ff,0xfdddddff,0x7ed47fff,0xc982dfff,
    0xffb30cff,0x6d417fff,0x07202dff,0xddffff71,0x220179df,0xeeffffeb,
    0x7c47fffe,0xffffefff,0x712fffee,0xdfdffffd,0x75400379,0x76405fff,
    0xffe82fff,0xff307986,0x3fff60bf,0x29fff302,0x980effd9,0xaef980ef,
    0xfffb00fe,0xff981fff,0xef81ffb5,0x06fffc81,0xe807fffd,0x0ffffb03,
    0x3f500fe6,0xa8fffee0,0x3e603fff,0x47fb84ff,0x3ffa1df8,0x3ea17e47,
    0x3ffe64ff,0xffd93004,0x3f3a203f,0xfffa82ff,0xff981dc0,0x3fff905f,
    0xa93ffe20,0x0ec85fff,0x82744bd0,0x203bd935,0x887b31dc,0xffff980f,
    0x0ffff301,0xfff1034c,0x9809909f,0xfff501ff,0x04fffa87,0x2609fff3,
    0x3fa07c47,0x7d42d87f,0x7ffcc4ff,0xffac9805,0xff97704f,0x0fffe03f,
    0x3ffe601d,0x03fff904,0xff13ffe2,0x220150ff,0x00000702,0xffd04980,
    0xfffd809f,0xfa803d03,0x016a1fff,0x8135fff3,0xfc83fffa,0xfff982ff,
    0x8588d0c4,0x42a87ffe,0xfb84fff9,0xfa4c03ff,0xc8e80fff,0xff901fff,
    0xff302c4d,0x3fff209f,0x89fff101,0x26627ffe,0x33331019,0x44266660,
    0x3333101a,0x3fee0220,0x7fc400ff,0x8025c0ff,0x1d16fffc,0x7ffffd40,
    0x1fffd46f,0x4c2fffcc,0x28e64fff,0x07ffe808,0x84fff981,0x4c06fff8,
    0xa87fff94,0x203fff94,0x0771fff9,0xc827ffcc,0xff101fff,0x2fffc49f,
    0x301fffb3,0xc881fffb,0xfffcafff,0x0fffd985,0x5ffff100,0x93fff200,
    0xfd1000e8,0x1003d9ff,0x3ea03fff,0xffff03ff,0x5c9fff30,0x7ffe8003,
    0x09fff300,0x9301fffa,0x3b1bffe2,0xe807fff2,0x4c01d4ff,0xff904fff,
    0x3ffe203f,0x307ffee4,0x3e601fff,0xfff880ff,0x82fff9bf,0xb000fff9,
    0x4400bfff,0x0590ffff,0x3ffff980,0x03fff100,0x740fffea,0x7fcc1fff,
    0x0007d34f,0x2600fffd,0xffb04fff,0xfb24c03f,0xfc9625ff,0x3fee01ff,
    0x7fcc059f,0xfeeeeeff,0xff101fff,0x3dffb59f,0x201fff10,0xff00fff8,
    0x41ffec7f,0x9800fff8,0x4000ffff,0x069dfffb,0x0dfff900,0x407ffe20,
    0xfb03fffa,0xfff987ff,0x8003ffee,0x7e407ffe,0xffffffff,0x407fff90,
    0x57ffe649,0x07fff22b,0xdfff7555,0xf981555b,0x99999dff,0xf101fffd,
    0x05999dff,0x8807ffc4,0xfff00fff,0x4427fec5,0xfe800fff,0xff0003ff,
    0x40003dff,0x8804fffe,0xff501fff,0x3fff607f,0x56fffcc3,0xfe8003fd,
    0xfff3007f,0x13fff209,0x7fff4498,0x0fffe469,0x3ffb3332,0x4c0ccccf,
    0xff904fff,0x3ffe203f,0x3ffe2004,0x01fff100,0xffd8bffe,0x00fff884,
    0x0037ffdc,0x00bfff70,0x7ffff540,0x0fffc401,0xd03fffa8,0xff985fff,
    0x2000f64f,0xf3007ffe,0x3ff609ff,0xf512602f,0xffc87dff,0x37fe401f,
    0x827ffcc0,0xf101fffc,0x7c4009ff,0xfff100ff,0xd8bffe01,0xfff884ff,
    0x3fffe200,0xff100e01,0x3a2000bf,0x00efffc8,0x5407ffe2,0xfff03fff,
    0x4fff981f,0x3fa000ea,0xfff3007f,0x07fffa09,0xffff8498,0x20fffe40,
    0xfffdaaaa,0x7cc0aaaa,0xfff904ff,0x13ffe203,0x00fff880,0x3e01fff1,
    0x13ff62ff,0xd803ffe2,0x16604fff,0x00bfff10,0x7ff43d10,0x3ffe204f,
    0x07fff501,0xf30dfff1,0x321c49ff,0x03fff400,0xf04fff98,0x84980dff,
    0xffc85ffc,0x7666641f,0x0ccccfff,0xc827ffcc,0xff101fff,0x7fc4009f,
    0x1fff100f,0xfd8bffe0,0x0fff884f,0x01ffff50,0x3fe2026c,0x42d8005f,
    0x202ffff9,0xfa831fff,0xfffc83ff,0x04fff981,0x3ffa01e6,0x9fff3007,
    0x803fff70,0x81ff8859,0x6402fffc,0xff9806ff,0x3fff905f,0x013ffe20,
    0x100fff88,0x3fe01fff,0x213ff62f,0xf880fff8,0x3ee02fff,0x2fffc403,
    0x7e413600,0xffb00eff,0xfffa8599,0x81fffc43,0x3a05fff9,0x0fffe806,
    0x84fffa80,0x6b804ffe,0x3ff60db0,0x7ffec02f,0x2fffd400,0x302fffd8,
    0x4c00bfff,0xff301fff,0x7fff103f,0x7cc2fff4,0xfffc81ff,0x2ffe9885,
    0x037ffcc0,0x7fc05fb0,0xffb105ff,0x49fff707,0x2a02ffe9,0x764c6fff,
    0xffff804f,0x5fffa800,0x300bffa6,0x3989dff9,0x7ffffe54,0x3ff6e21c,
    0x5cc0bdff,0x52dffffe,0x37fffff9,0x3ffffb22,0x7ff4c02c,0x7ff4c1ef,
    0x3ff621ef,0xffffb9ef,0x3bfffa63,0x3ffffe61,0xffffffff,0xffd7301f,
    0x2e015bff,0x260beffe,0x1efffffd,0xfff93010,0x059dffff,0x7ffff5cc,
    0x3fffffef,0x3ffff6e0,0xffc980be,0xadefffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x26620000,0x99999999,0x4cc41999,0x99999999,0x001dc009,0x544001c8,
    0x2a202a1a,0x1551000a,0x00155100,0x01a98153,0x8800aa88,0x4ccc431a,
    0x13333309,0x99982666,0x88266661,0x26219999,0x33333119,0x4c133311,
    0x30660999,0x06a21333,0x30000a88,0xdfffffd5,0x41fffffd,0x9999999a,
    0x6c029999,0x03f88005,0x3bef7f20,0x75eec45b,0x2ff201ef,0x2ff205fe,
    0xcdd982fc,0xfbde9efe,0xf79fb01e,0xd7db101b,0x7fffdcdf,0x1dfffc8a,
    0x3f621bf7,0x9fff71ff,0x327fffd4,0x3ff627fd,0x0cfe99ef,0x3a2fffee,
    0xfff911ff,0x90bfff95,0x40009fff,0x40fffdeb,0x000a0ffa,0x8005d805,
    0xdfb003f8,0xff10ffdc,0xfc837fc4,0xfb07ff54,0xff30ffc9,0xf70fffe8,
    0x7e4dfb0d,0x1f23fb86,0xffe8fff9,0x3fe20745,0x713ffa1f,0x85b83fff,
    0x40ba6ffe,0xfffdbfff,0x2ffffe22,0x3662fff9,0x0000ffc9,0x01fffb3d,
    0x200141f1,0x4002ec02,0xff9803f8,0xfb97fe65,0x103ffe3f,0x237fc5ff,
    0x97fa2ffa,0x3ff62ffc,0xfa8bfe65,0xd13fea4f,0x3e2341df,0x9fff62ff,
    0x43fff048,0x7fc44ffd,0x7cc0743f,0x3a03bbff,0x84b8afff,0x3ff63fff,
    0x000ff103,0x07ffed2e,0x800506c3,0x4002ec02,0xffc803f8,0x543fffa4,
    0x07ffe2ff,0x16d43ff5,0x7fd83ff6,0xffd8bfea,0xffb27fc4,0x3a37fcc7,
    0xf9032fff,0x3fff62bf,0x3ffe0372,0x3213ff61,0xc81626ff,0x7f405fff,
    0x2fff806f,0x7d413ff6,0x36688003,0x09920fff,0xd805000a,0x03f88005,
    0xf5b4ffe8,0xd98443ff,0x7fec1fff,0xeeffe801,0x4220fffe,0xeeefffc8,
    0x3ffe6ffe,0xb83ffe62,0xf303ffff,0xffb571ff,0x1fff81ab,0x3e213ff6,
    0x440372ff,0x7f404fff,0x2fff804f,0x2ec13ff6,0x3f61d800,0x0281a0ff,
    0xeeeea940,0xeeeeeffe,0xfddddd92,0x41dddddd,0xf8bbcfff,0x4f74c2ff,
    0x7ffc1fff,0x01fff802,0xff95f910,0x2fff8809,0xfb07ffe6,0x3fe09fff,
    0x5fff55bf,0xb0fffc09,0x3ff609ff,0xfff900b5,0x01fff401,0xffb17ffc,
    0x000c9709,0x8fffd895,0x000a06c8,0x3bbbbaa5,0x2eeeeeff,0xdfddddd9,
    0x741ddddd,0xfff14eff,0xff877dc1,0x027ffc1f,0x4c027ff4,0x0bff90ff,
    0x7cc5fff0,0xfffb80ff,0x4fffc81f,0xf807fffe,0x13ff61ff,0x01e7ffcc,
    0xd027ffcc,0xfff007ff,0x2a27fec5,0x1003eccf,0xdfffd81d,0x000a06ff,
    0x8005d805,0xffd803f8,0xf99ffe25,0xb07ffe3f,0xfb801fff,0x3fe2087f,
    0x203ffee4,0xf98fff60,0xfff31c7f,0x43fff307,0x7fc06ffc,0x813ff61f,
    0xd800fffe,0xfd00fffc,0x5fff007f,0xff527fec,0x32003fff,0xfffeeeef,
    0x0a06fbaf,0x05d80500,0x9803f880,0x93fe65ff,0xfff34ffd,0x45fffa83,
    0x0fffe60b,0xf11ffe49,0x51cc1bff,0x27fd47ff,0x02ff987a,0x3ff98dfd,
    0xe897ff40,0x3fea04ff,0xfff2b804,0x00fffa0b,0xffd8bffe,0x0b300004,
    0x34c3fff6,0x40280050,0x3f88005d,0x2e7ff880,0x7fffec6f,0x6c2cfffd,
    0x82ecefff,0x0ecefffe,0x3b33fff6,0x4dcffffc,0x3bf26fd8,0xff8876c0,
    0xfd07f700,0xadffd801,0x7c05ffee,0xf735400f,0x7fff05ff,0x23fff880,
    0x00005ffe,0x3fff601d,0x400281a0,0x2202ec02,0x9cf99999,0x5c6c1999,
    0x4c0dfcef,0xbff52efe,0x0bbfff20,0x0efffec4,0xb8ffffe6,0x3204ffff,
    0xd80dfcdf,0x201fedfe,0x806b80f8,0xfd9effe8,0x816e03ff,0xfd8affd9,
    0x3ff63fff,0xffb103ef,0xffff73df,0x70005dc7,0x07ffec07,0x80051a87,
    0x3a02ec02,0xffffffff,0x3021ffff,0x40001003,0x01310009,0x00660098,
    0x33040198,0x00c40600,0x22000130,0x00000000,0x9ff90000,0xfb01a200,
    0x053401ff,0x00d40280,0x2aaaaaaa,0x00aaaaaa,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x037fec00,0x7fec02d8,0x014d900f,
    0x000000a0,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7d400000,0x00fc803f,0x2617fff4,0x2aaae5fd,0xaaaaaaaa,0x00000003,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00220000,
    0x987dffb1,0xffffffdb,0x004ffffe,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x30000000,
    0x06a21333,0x112202a6,0x01751a81,0x26666600,0x80009999,0x800002b8,
    0x00000000,0x44014c00,0x4014c01a,0x100a8828,0x20ae2035,0x9805441a,
    0x502aa201,0xbbbbbbbb,0x36a5bbbb,0xdddddddd,0xffc82ddd,0x8efffbbf,
    0x5c3fffe8,0xbeffdacf,0x39ff74fb,0xccdff800,0x2001fffe,0xd102ffc9,
    0x3ea03c81,0x0f434c05,0x02e409b0,0xffb803fa,0x407fe05f,0x6ff87fd9,
    0x41ffffc8,0x3ff24ffe,0xe983ffa2,0x46642e9a,0x3bbaa0fe,0xdddeeeee,
    0xddddd53f,0x5ddddddd,0x22ffffe0,0xfa9edffd,0x77fdc0ff,0x4c4ffeab,
    0xf002effc,0x027ffc43,0x01cffda8,0x406b89d1,0x45d804f9,0x09f701fa,
    0x7fdc07f9,0x1fea7105,0xf9300ff8,0x20fff98f,0x1fea9cfc,0x7f4ffff1,
    0x43fff13f,0x5f89be7d,0x7c0007f9,0xfe800003,0x83ffee4f,0x1fdc1fff,
    0xeb881fd4,0xb1200cff,0x5c401fff,0x7400beff,0x000fee0f,0x7744f980,
    0x7e49f700,0x3f37e203,0xb317cc01,0x216cd725,0x3ffc47fa,0x649f117e,
    0x5ffb1fff,0x7f887ffc,0xea8987fa,0x0fe0003f,0x3ffa0000,0xfd1ffea3,
    0x3a07f85f,0xdffd9806,0x3ffea082,0x3bffb303,0xfa8ff600,0xfd800006,
    0x5c03bea4,0x6403fdcf,0x2e06f88f,0x37fee4ff,0x545ffbb9,0x265fe87f,
    0x4c46d82f,0xfd83fee6,0x1fe9fe26,0x00ff2ba6,0xddd53f80,0xdddddddd,
    0x8fffa05d,0x7ff47ffa,0xfa80fe23,0xfff71000,0x21bffa03,0x000cffe9,
    0x7fcc3ff6,0x77777642,0x0eeeeeee,0xdfd1ffcc,0x201ffdc0,0x40bee4f9,
    0x32e2ffc8,0x40bccedc,0x43fc87fa,0x3b84f84f,0x89f71be6,0x5f89be7e,
    0x640007f9,0x99999952,0x05999999,0xffa8fffa,0x3e1fff47,0x4003ea04,
    0xc81effc9,0xfe981fff,0xff5000cf,0x3207ff4b,0xeeeeeeee,0xfe80eeee,
    0x207ff70f,0x7ec04ffc,0x3f203740,0x203bda82,0x41fa87fa,0x81f912fb,
    0x2627c0d9,0x7c4fd42f,0x3f73fe63,0x0000000d,0x51fff400,0x3ffe8fff,
    0x00dd03ec,0x2039ffb5,0x5404fff9,0xc802dffd,0x07ff30ff,0x5ff30000,
    0xbfc82ff4,0x07f504fb,0xd514c7f5,0x1df35fb0,0x0f10ff50,0x89ffffd1,
    0x1f05b03a,0x86a02aa0,0x0aa0100a,0x1ccc8110,0xf51fff40,0x43ffe8ff,
    0x03fa83fa,0x017dff71,0x260fffd8,0x7dff7100,0xf327e401,0x4002600f,
    0x41bea3fe,0x213ee3fc,0x643fa06e,0x7c41bbef,0xd985fd0f,0x300c0aff,
    0x09800179,0x40000018,0x7fffd43a,0x3e60c81c,0x3ffe803f,0xffd1ffea,
    0xbbfffb87,0x7ecc5ffe,0xff5002df,0xa800e87f,0xfb01dffd,0x2a01fd41,
    0x43f9805f,0x83fc80ee,0x880004fb,0x19315c01,0x00000000,0x80000000,
    0x2afa2ff8,0xcabeffec,0xf8027e45,0x3ffee4ff,0xfa93ffe0,0xbbffffbc,
    0x019ff74f,0x137ff440,0x644001f9,0xb8bb03ff,0x013e600f,0x201d713a,
    0x0012e03c,0x00000000,0x00000000,0x3ea00000,0xffb30734,0x004e83df,
    0xd35ffffb,0xffb1bfff,0x0221c5ff,0x4000aa15,0xfeeefffc,0x0aa0007f,
    0x00ee0f44,0x03a16a00,0x00000000,0x00000000,0x00000000,0x25f91000,
    0x20662008,0x00000028,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0d5c4000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0x1000ccc8,
    0x00000010,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffa80000,0xfa87ba62,0x0007fd0f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0x9bff65fb,
    0x5ff89ffc,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3f67b800,0xdb93625f,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x22150000,
    0x000001dd,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_bold_27_latin1_x[224]={ 0,2,2,0,0,1,0,1,0,0,1,0,0,0,
1,0,0,1,0,0,0,0,0,0,0,0,2,1,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,2,0,0,1,-1,0,1,0,0,0,0,0,0,0,0,
-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,0,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,2,1,0,0,0,
1,1,0,0,0,0,0,0,0,-1,0,0,0,0,2,0,0,1,1,0,0,0,0,0,0,1,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,1,1,
1,1,1,1,1,0,0,0,0,0,-1,0,-1,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
 };
static signed short stb__times_bold_27_latin1_y[224]={ 21,4,4,4,4,4,4,4,4,4,4,6,17,14,
17,4,4,4,4,4,4,4,4,4,4,4,9,9,7,10,7,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,24,4,9,4,9,4,9,4,9,4,4,
4,4,4,9,9,9,9,9,9,9,5,9,9,9,9,9,9,4,4,4,12,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,21,9,4,4,7,4,
4,4,4,4,4,9,10,14,4,2,4,6,4,4,4,9,4,10,20,4,4,9,4,4,4,9,-1,-1,-1,0,
0,0,4,4,-1,-1,-1,0,-1,-1,-1,0,4,0,-1,-1,-1,0,0,7,4,-1,-1,-1,0,-1,4,4,4,4,
4,4,4,3,9,9,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,7,9,4,4,4,4,4,4,4,
 };
static unsigned short stb__times_bold_27_latin1_w[224]={ 0,5,10,12,12,22,20,5,8,8,10,14,6,8,
5,7,12,10,12,11,12,12,12,12,12,12,5,6,14,14,14,10,22,18,16,17,17,16,15,19,19,9,13,20,
16,23,18,19,15,19,18,12,16,18,18,25,18,18,16,6,7,6,12,14,6,11,13,11,14,11,10,12,13,7,
8,14,7,20,13,12,13,14,11,9,8,13,12,18,12,12,11,8,3,7,14,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,0,5,10,12,12,13,
3,11,8,18,8,12,14,8,18,14,9,14,7,7,6,14,14,5,5,7,8,12,18,18,18,10,18,18,18,18,
18,18,25,17,16,16,16,16,9,9,9,9,17,18,19,19,19,19,19,12,19,18,18,18,18,18,15,13,11,11,
11,11,11,11,16,11,11,11,11,11,8,8,9,9,12,13,12,12,12,12,12,14,12,13,13,13,13,12,13,12,
 };
static unsigned short stb__times_bold_27_latin1_h[224]={ 0,18,9,18,19,18,18,9,22,22,10,14,9,3,
5,18,18,17,17,18,17,18,18,18,18,18,13,17,12,6,12,18,23,17,17,18,17,17,17,18,17,17,18,17,
17,17,18,18,17,22,17,18,17,18,18,18,17,17,17,22,18,22,10,3,5,13,18,13,18,13,17,18,17,17,
23,17,17,12,12,13,18,18,12,13,17,13,13,13,12,18,12,22,23,22,5,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,0,18,22,18,12,17,
23,23,4,18,8,12,6,3,18,2,9,14,10,10,5,18,23,5,6,10,8,12,18,18,18,18,22,22,22,21,
21,21,17,22,22,22,22,21,22,22,22,21,17,22,23,23,23,22,22,12,18,23,23,23,22,22,17,18,18,18,
18,18,18,19,13,17,18,18,18,18,17,17,17,17,18,17,18,18,18,18,18,12,13,18,18,18,18,23,23,23,
 };
static unsigned short stb__times_bold_27_latin1_s[224]={ 225,9,194,54,132,106,1,171,225,20,152,
41,187,157,245,246,41,230,30,142,151,153,166,198,211,224,248,241,62,238,35,
49,54,43,1,154,182,200,186,29,39,78,199,107,213,1,226,73,59,1,88,
140,217,108,22,82,154,135,118,234,1,241,131,166,229,84,170,96,184,108,202,
213,172,164,41,136,128,1,231,137,127,155,219,150,173,179,193,160,206,240,50,
21,50,248,229,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,225,93,226,
60,22,25,77,213,242,237,214,77,223,157,179,181,177,56,245,144,244,67,100,
236,223,163,205,105,221,202,183,172,29,148,30,48,86,67,1,49,67,84,101,
115,118,128,138,105,234,167,115,135,155,186,206,118,74,175,194,81,1,237,62,
220,195,183,14,62,234,145,120,18,26,38,50,94,245,75,84,108,127,94,1,
129,207,157,170,90,71,15,99,141,113,28,14,1, };
static unsigned short stb__times_bold_27_latin1_t[224]={ 24,109,182,90,48,71,90,182,1,48,182,
164,182,67,175,48,90,128,128,71,128,90,90,90,90,90,128,128,182,182,182,
109,1,128,128,71,146,146,128,109,146,128,109,128,128,146,109,109,146,25,128,
90,146,90,90,90,146,146,146,1,109,1,182,67,195,164,109,164,109,164,128,
109,128,128,1,128,128,182,164,164,109,109,164,164,146,164,164,164,164,71,182,
25,1,1,189,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,
164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,24,109,25,
109,182,146,1,1,195,90,182,182,182,67,90,67,182,164,164,182,189,90,1,
195,189,182,182,182,71,71,71,71,48,25,25,48,48,48,164,25,25,25,25,
48,25,25,25,48,146,25,1,1,1,25,25,182,71,1,1,1,48,25,128,
48,48,48,71,71,48,48,164,128,71,71,71,71,109,146,146,146,90,146,71,
71,48,48,48,182,164,109,109,109,109,1,1,1, };
static unsigned short stb__times_bold_27_latin1_a[224]={ 98,130,217,195,195,390,325,108,
130,130,195,222,98,130,98,108,195,195,195,195,195,195,195,195,
195,195,130,130,222,222,222,195,363,282,260,282,282,260,238,303,
303,152,195,303,260,368,282,303,238,303,282,217,260,282,282,390,
282,282,260,130,108,130,227,195,130,195,217,173,217,173,130,195,
217,108,130,217,108,325,217,195,217,217,173,152,130,217,195,282,
195,195,173,154,86,154,203,303,303,303,303,303,303,303,303,303,
303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,303,
303,303,303,303,303,303,303,303,98,130,195,195,195,195,86,195,
130,291,117,195,222,130,291,195,156,214,117,117,130,225,211,98,
130,117,129,195,293,293,293,195,282,282,282,282,282,282,390,282,
260,260,260,260,152,152,152,152,282,282,303,303,303,303,303,222,
303,282,282,282,282,282,238,217,195,195,195,195,195,195,282,173,
173,173,173,173,108,108,108,108,195,217,195,195,195,195,195,214,
195,217,217,217,217,195,217,195, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_27_latin1_BITMAP_HEIGHT or STB_FONT_times_bold_27_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_27_latin1(stb_fontchar font[STB_FONT_times_bold_27_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_27_latin1_BITMAP_HEIGHT][STB_FONT_times_bold_27_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_27_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_27_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_27_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_27_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_27_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_27_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_27_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_27_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_27_latin1_s[i] + stb__times_bold_27_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_27_latin1_t[i] + stb__times_bold_27_latin1_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_27_latin1_x[i];
            font[i].y0 = stb__times_bold_27_latin1_y[i];
            font[i].x1 = stb__times_bold_27_latin1_x[i] + stb__times_bold_27_latin1_w[i];
            font[i].y1 = stb__times_bold_27_latin1_y[i] + stb__times_bold_27_latin1_h[i];
            font[i].advance_int = (stb__times_bold_27_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_27_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_27_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_27_latin1_s[i] + stb__times_bold_27_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_27_latin1_t[i] + stb__times_bold_27_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_27_latin1_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_27_latin1_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_27_latin1_x[i] + stb__times_bold_27_latin1_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_27_latin1_y[i] + stb__times_bold_27_latin1_h[i] + 0.5f;
            font[i].advance = stb__times_bold_27_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_27_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_27_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_27_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_27_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_27_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_27_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_27_latin1_LINE_SPACING
#endif

