// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_28_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_28_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_28_latin1_BITMAP_WIDTH         256
#define STB_FONT_times_bold_28_latin1_BITMAP_HEIGHT        214
#define STB_FONT_times_bold_28_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_times_bold_28_latin1_FIRST_CHAR            32
#define STB_FONT_times_bold_28_latin1_NUM_CHARS            224

#define STB_FONT_times_bold_28_latin1_LINE_SPACING          18

static unsigned int stb__times_bold_28_latin1_pixels[]={
    0x26666200,0x55540000,0x2a600001,0x4400002a,0x20000aaa,0x20000aa9,
    0x00001aaa,0x00015551,0x80001554,0x80000009,0x00000000,0x00000013,
    0xffd99260,0x3e20002f,0x001dc0ef,0x000ffe88,0x017fea00,0x06fff880,
    0x017fea00,0x027fdc00,0x05fff500,0x9f27e440,0xbddd9300,0x76401599,
    0x3b6e200c,0x27ec00bd,0xfdb7013e,0x200079df,0x7ffcc0ec,0x3fee0002,
    0x0003d700,0x00007fd1,0x20002fec,0x002ffffc,0x0001fee0,0x200027f4,
    0x1006fefe,0x204f81ff,0x3a602ee9,0x207be202,0x0df30df8,0x9f07ffd4,
    0x987bfa60,0x32000dfe,0x2fff880f,0x007fa000,0xf10001db,0x3e20000d,
    0x77c40005,0x40006f98,0x440002fb,0x7dc0005f,0xfd007f74,0x3ee09f09,
    0xc80ae002,0x222fb86f,0xfff102ff,0xeffb84f8,0x02fff880,0xff104fb8,
    0x3e20005f,0x00ef9801,0x0000d880,0xd80005a8,0x00017445,0x950000ee,
    0x42f88000,0x3fe200fa,0x0ed84f84,0xf902b800,0x223ff81f,0x06e602ff,
    0x2fff989f,0x803ffee0,0xff100ff9,0x0000005f,0x000013f6,0x40000000,
    0x00001101,0x00000000,0x10044022,0xb89f0bff,0x41a0000f,0x7ff40ffd,
    0x7c000621,0x203fff44,0x3205fff9,0x3ffe206f,0x5c1bec9a,0x931ccccc,
    0x1ff50399,0xbddd9700,0xd9700059,0x00059bdd,0x59bddd97,0x777764c0,
    0x3b720cde,0xddd933de,0x6e419bdd,0xdd933dee,0x6419bddd,0x7f43deed,
    0x0be64f86,0x5d4d6e44,0x1ffa0661,0x2013ffee,0x3e0cccca,0x017ffee4,
    0x2207fffe,0x3fe204ff,0x1fffdecf,0x50bfffa2,0x0ffe607f,0x261dfe98,
    0xe9800dfe,0x37fa61df,0x1dfe9800,0xb8037fa6,0xd100ffff,0x3fffee0d,
    0x2e0dd100,0xd100ffff,0x3e1ff60d,0x77d41724,0x221ffdc8,0xfb05ff83,
    0xfc801bff,0xfc93e0ff,0xffe804ff,0x03ffb82f,0xfa9bffe2,0x3ffe60ef,
    0xff1034c3,0x03bfee0d,0xb80bffe6,0xff980eff,0x3bfee02f,0x02fff980,
    0xd80dfff3,0x0dfff304,0xfff304d8,0xf904d80d,0x0be29f0d,0x7fdc7fea,
    0x04ff8587,0x03dfffd9,0x9f07ffd4,0x401ffff4,0xfc84fffd,0x3ffe203f,
    0x361fffc2,0x201dc6ff,0xfff987ff,0x03ffee02,0xb80bffe6,0xff980fff,
    0x3ffee02f,0x05fff980,0xfff981e4,0xf981e405,0x81e405ff,0xf73e84fd,
    0x7e49ff10,0x5fc8485f,0xffff56c8,0x83ffea03,0x0ffffe4f,0x217fff60,
    0x3e202ffd,0x27ff42ff,0x0d87ffea,0x3a0fffc0,0x7fc407ff,0x07ffe85f,
    0x742fffc4,0x7fc407ff,0x5fff985f,0xff981e40,0x981e405f,0x1e405fff,
    0x2e402fc4,0xffb0ffec,0x83f60905,0x3ffa22fa,0x41fff505,0x0ffffa4f,
    0x213fff60,0x3e202fff,0x37fec2ff,0x048afff4,0x3ee2fff8,0xfff805ff,
    0x17ffee1f,0xb87fffe0,0xff805fff,0x7ffcc1ff,0xf981e405,0x81e405ff,
    0x6405fff9,0xd8016e43,0x3e37fc44,0x5014c0ff,0x360ff29d,0xfffa80ff,
    0xfffd93e0,0x3fffe804,0x2202ffe8,0x7fec2fff,0xc8fffb86,0x22fff801,
    0xe804fffc,0x3ff22fff,0xfffe804f,0x013fff22,0xf30bfffa,0x03c80bff,
    0xc80bfff3,0x0bfff303,0x017643c8,0x1ffdc3e8,0x0170dff7,0x1ffda6d4,
    0x7d417f44,0xfb93e0ff,0xfff805ff,0x02ffd81f,0xfb0bffe2,0x33ffe0bf,
    0x43fff006,0xd803fffe,0x3ffa4fff,0xfffd803f,0x00ffffa4,0xf313fff6,
    0x03c80bff,0xc80bfff3,0x0bfff303,0x05f883c8,0x17fec3d8,0x40b07ffd,
    0x3ffea0fd,0x7d407e41,0xf893e0ff,0x7fc406ff,0x05ff906f,0x3a17ffc4,
    0xfff903ff,0x83ffe007,0xd803ffff,0x3ffe5fff,0xfffd803f,0x00ffffe5,
    0xf317fff6,0x03c80bff,0xc80bfff3,0x0bfff303,0x09fb03c8,0xffd16e59,
    0x907ffb23,0x3a17f203,0x417a3fff,0x13e0fffa,0x5c03fff7,0xff701fff,
    0x17ffc407,0x7c407ffe,0xff8800ff,0x01ffff47,0xfd27ffec,0xffb007ff,
    0x1ffff49f,0x227ffec0,0x6405fff9,0x0bfff303,0xfff303c8,0xf903c80b,
    0xd1aa9f0f,0xffd599ff,0x13fa02a8,0x337fff62,0x83ffea04,0x05ffd84f,
    0xf880fffa,0x3ffe204f,0x809ff92f,0xff3005fd,0x04fffd87,0x363fffe8,
    0xfe804fff,0x3fff63ff,0x3fffe804,0x202fffcc,0xbfff303c,0xff303c80,
    0xb03c80bf,0x1e29f0ff,0x3f69fff9,0x1223c88f,0x7fe40bff,0x3fea00ff,
    0x7e413e0f,0x03ffd83f,0x3e206fc8,0x4fffdaff,0x5002f980,0xfffb81ff,
    0x1ffff805,0x2017ffee,0x3ee1ffff,0xfff805ff,0x2fffcc1f,0x7fcc0b20,
    0x9816405f,0x16405fff,0x24f86ff8,0x88fb623d,0x0640bdfd,0xff701ffa,
    0x7ffcc0df,0xfc9813e0,0x01cfedce,0x2203ff10,0x00312fff,0x13f60068,
    0x101bffe2,0xff88bfff,0x7ffc406f,0x037ffc45,0x7c17ffe2,0x00ec06ff,
    0x1d80dfff,0xb01bffe0,0xf0bff103,0x00007449,0x03ff60e6,0x205ffd30,
    0x13e0fff9,0x0bfffa20,0x4417ee00,0x82002fff,0x1df10049,0x807ffee0,
    0xfb81fffb,0x3fee01ff,0x1fffb81f,0x407ffee0,0x07c06ffe,0xf80dffd0,
    0x01bffa00,0x09ff101f,0x0005a89f,0x07fe4166,0x4fe88fea,0x4f8fff30,
    0x1ffff300,0x101f9000,0x3a005fff,0x32001b1f,0x2ffec00e,0x203fff88,
    0xff105ffd,0x2ffec07f,0x203fff88,0x9901fffc,0x01fffc80,0xfffc8099,
    0x7f409901,0x0db84f84,0xf9024c00,0xfc8dfb0b,0x3fe2ba63,0xf50027c7,
    0x90003bff,0x2fff981d,0x49cff980,0x2001d700,0xffd83ffb,0x83ffb801,
    0xfb801ffd,0x01ffd83f,0x262fffd8,0xfffb005c,0xd802e4c5,0x17262fff,
    0x4f81fd30,0xb3005d30,0x407fc409,0x90ff45fa,0xf87ff17f,0x7fed4004,
    0x22003cff,0x33ffee0c,0x0dffe800,0x98002b80,0xcefdcefd,0x3bf66000,
    0x000cefdc,0x3f73bf66,0x3f2000ce,0x00cfffff,0x3fffff20,0x3f2000cf,
    0x00cfffff,0x13e4ec88,0x5357bb70,0x7e4019b9,0x2f3f200c,0x677c41fe,
    0x0004f85f,0x00026ae6,0x2aaaaa98,0x00003300,0x00998800,0x00998800,
    0x00998800,0x04d4c400,0x13531000,0x4d4c4000,0x0d410000,0x01355300,
    0x06a60000,0x06a01530,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x64c00000,0xdeeeeedc,
    0x00aaa202,0x50040000,0x30000355,0x55000555,0x0554c005,0x2002aa98,
    0x4400aaa8,0x0007262b,0x2000d544,0x01bb11db,0x0382ee20,0x01554400,
    0x0e0bc980,0x82ceee98,0x9effffd8,0xffb005e9,0x6dc40005,0x0b0bceff,
    0x0002ffd4,0x2000fff4,0x8802fffb,0xfd106fff,0x3fea001f,0xf1ffc805,
    0x3fa000df,0xff1000ff,0x200ffeed,0x5ceffff9,0x1ffe4000,0x7fffd400,
    0x3fea04dd,0x3ffffa04,0xd800ba6f,0xffb0005f,0xffd7117b,0x00ffb80d,
    0x00bfe600,0x0dfdff10,0x05ffff90,0x6c00ffa2,0x3ff9005f,0x2a001bfe,
    0x2003ffff,0x03ff54ff,0xffffdb70,0x3ff80007,0xfffbb000,0x7fd403ff,
    0xfffff703,0x200174df,0xffd8007e,0x201bea04,0x2e0002fb,0x3fc8002f,
    0x77c405f9,0x3e206f98,0x005f8806,0x00b98ae2,0xfe89fe80,0x09831000,
    0x0edcc900,0x013ea000,0x07326480,0x3605ff50,0x26ffffff,0x0ec4002e,
    0x00dffb00,0x00ee00d9,0x88002c80,0xbb035c2f,0x36202e88,0x0002cc00,
    0x81d70000,0x0000004d,0x25c00000,0xa8000000,0xffff02ff,0x0174dfff,
    0x3ff60000,0x0068801f,0x40000000,0x80c01008,0x80000008,0xdeeeeec9,
    0x37bb720c,0x20180203,0x31cccccb,0x3b6a3999,0xdd903eee,0x000005bd,
    0x6f7765c0,0x0bfea02c,0x7ffffff4,0x91000ba6,0x03fffc00,0x3bbb2650,
    0xeeeeeeee,0x3bbb262e,0xeeeeeeee,0x3bbb262e,0xeeeeeeee,0x3bbb262e,
    0xd930cdee,0x219bdddd,0xdeeeeec9,0x7fffdc0c,0x800dd100,0xffd10048,
    0x443fa85f,0x301ffffe,0xeeeeb8dd,0x76c40cee,0xbfd305ee,0x406ff4c3,
    0xff902ffa,0x174dffff,0x2003f200,0x0006fffa,0x267bffea,0xa83ffca9,
    0xa999efff,0xffa83ffc,0xfca999ef,0xffffa83f,0x1ffff500,0x03fffea0,
    0x2037ffcc,0x07e4004d,0x43fff980,0xffff3069,0x2613201f,0x5405ffff,
    0x1dff703f,0xa85fff30,0xfff502ff,0x0174dfff,0x9007ff10,0x40009fff,
    0xf306fff8,0x0dfff107,0x3fe20fe6,0x107f306f,0x7c40ffff,0x3fe207ff,
    0x3ffe607f,0x1001e405,0x7ec007ff,0xe881dc6f,0x7706ffff,0x01fffee0,
    0x3ffe60b9,0x83ffee02,0x3f202ffa,0x0ba6ffff,0x806ffb80,0x0003fffe,
    0xc81bffe2,0x06fff883,0x3ffe20f2,0x3e20f206,0x3fe206ff,0x3ffe206f,
    0x17ffe606,0x7dc00790,0x3fea006f,0x6c40361f,0xb84ffffa,0x0ffffa03,
    0xffe80744,0x2fffc407,0xfb805ff5,0x00ba6fff,0x402fffe8,0x0004fffe,
    0x491bffe2,0x6fff8839,0xff107324,0x20e648df,0x2206fff8,0x3e206fff,
    0x3fe606ff,0x001e405f,0x4005fffd,0x40915ffe,0x7ffff958,0x3fea03b8,
    0x703c80ff,0xff00bfff,0x0bfea3ff,0x5d36dcc0,0x3fffaa00,0x2fffe405,
    0xdfff1000,0x7fc40468,0x2202346f,0x02346fff,0x881bffe2,0x3e206fff,
    0x3fe606ff,0x801e405f,0x005fffea,0x0723ffee,0x3fff6588,0xfb00ee1f,
    0x206989ff,0xe804fffc,0x5ff52fff,0x0ba6a800,0x7fffcf40,0x1bffea01,
    0x6fff8800,0x3fe201a6,0x2201a66f,0x01a66fff,0x881bffe2,0x3e206fff,
    0x3fe606ff,0x801e405f,0x01ffff9e,0x01b3ffe0,0x7fff44b1,0xf980770f,
    0x807a0fff,0xd803fffe,0x5ff54fff,0x0ba6a800,0x7ffe5660,0x3fffe204,
    0xfff10000,0x100df71d,0xdf71dfff,0x1dfff100,0xff100df7,0x7ffc40df,
    0x1bffe206,0x405fff98,0xf959803c,0x7e4009ff,0x22c403ff,0x775ffff9,
    0x2bfffb00,0x7fffc04a,0x5fffd803,0xa8005ff5,0x47600ba6,0x200ffff8,
    0x8804fffc,0x7ffffc42,0xff8806ff,0x806fffff,0xfffffff8,0x6fff8806,
    0x81bffe20,0x2606fff8,0x1e405fff,0xfff88ec0,0xfff1000f,0xfa858801,
    0x803bcfff,0x0e9ffff8,0x01ffff40,0xfaa7ffec,0xd354002f,0x7ec68805,
    0x7fdc03ff,0x10fa201f,0xdf31dfff,0x1dfff100,0xff100df3,0x00df31df,
    0x440dfff1,0x3e206fff,0x3fe606ff,0x201e405f,0x1fffec68,0x100bfb00,
    0x3fffee0b,0xfff9003e,0xfffb007f,0x7fffd009,0x5000bfea,0x0b20174d,
    0x700ffff3,0x54437dff,0x6fff882e,0x3fe201a6,0x2201a66f,0x01a66fff,
    0x881bffe2,0x3e206fff,0x3fe606ff,0x2016405f,0x3fffcc2c,0x1005f300,
    0x7fffec0b,0xffff1003,0xbfff7001,0x23ffff00,0x54002ffa,0xcf880ba6,
    0xffffcccc,0xffeca802,0xf100dfee,0x41868dff,0x4346fff8,0x237ffc41,
    0x7ffc4186,0x1bffe206,0x406fff88,0x0ec06fff,0x99999f10,0x4005ffff,
    0x440b1006,0x2003fffe,0x8800fffe,0x7c406fff,0x0bfea5ff,0x0174d500,
    0x73333397,0xb000dfff,0xfff10017,0x2224c38d,0x261c6fff,0x237ffc44,
    0x3fe224c3,0x3ffe206f,0x1bffe206,0xf80dffd0,0x26672e00,0x06fffb99,
    0xb1004982,0x03fff880,0x003fffa0,0x700fffdc,0x7fd43fff,0x5d354002,
    0xfe803a20,0x3e6001ff,0xfff8801f,0x3e21f406,0x21f406ff,0x7406fff8,
    0x037ffc43,0x440dfff1,0x7e406fff,0x409901ff,0x3ffa00e8,0x1b1fe81f,
    0x2a01a600,0x3fa003ff,0x3f6000ff,0x7fff105f,0x4002ffa8,0x2e40ba6a,
    0x017ffee0,0xf1007f90,0x17dc0fff,0xb81fffe2,0x3fffc42f,0xff885f70,
    0x3ffe206f,0x1bffe206,0x98bfff60,0x202e405c,0x7cc5fffb,0x320049cf,
    0x03fb801f,0x003fffe0,0xfb07ff70,0x09ff503f,0x20ba6a80,0x7fcc05f8,
    0xfb1002ff,0xffff3003,0x41ffc983,0x4c1ffff9,0x7fcc1ffc,0x7fe4c1ff,
    0x03fffcc1,0x4c0ffff3,0xf9007fff,0x019fffff,0x3e602fc4,0x7ff42fff,
    0xffda800d,0x01ec00cf,0x003ffff0,0xfb9dfb30,0x3326019d,0x451001bc,
    0x6fffdc0a,0xffffdb82,0x0e65404f,0x3fffae60,0xffffffff,0x3fffae67,
    0xffffffff,0x3fffae67,0xffffffff,0x3fffae67,0xfd730bdf,0x2617bfff,
    0xbdffffeb,0x09a98800,0x16fffdc0,0x7ffffedc,0x00000cc4,0x75cc0080,
    0x02beffff,0x00133100,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xa8726000,0x5540000b,
    0x8a20001a,0x404eedc8,0x000e0bb8,0x00e4c571,0x00ba8726,0x02b885d4,
    0x30000200,0x00aaa600,0x00355500,0x0000b32a,0x80799100,0x0000aaa8,
    0x4dffa000,0x260004ff,0x20000eff,0x05ff881c,0x337fffe6,0x8ffe4005,
    0x7ff406ff,0x2604ff98,0x03ffb4ff,0x00deea80,0x005fdcc0,0x0003ffa2,
    0x40077fcc,0x000ffff8,0x03bffdd7,0x2017ffe4,0x5c003ffc,0xd00be60f,
    0x013fe6ff,0x000efb80,0x0bff0340,0x7ffff6dc,0x8ffe4003,0xbff406ff,
    0x3e604ff9,0x001ff94f,0x200770e8,0xeebfade9,0x07ff100b,0x003bf200,
    0x01ff77e4,0x7ec57fa2,0xfdff980f,0x006fd806,0x003ee3ec,0x005d4371,
    0x0001dd00,0x17fe03a8,0x00b6e648,0x0b98ae20,0x1730dc40,0x3710ba80,
    0x16659800,0x9e23fe20,0x1be601fe,0x80077400,0x0fd88df8,0xfb8fff20,
    0xf71fd84f,0x003fb005,0x001f22f4,0x06c40000,0xf006c000,0x000000bf,
    0x00000000,0x45740000,0x15fb802d,0x2600fc4f,0x07cc000f,0x09b09b00,
    0xff517fec,0x3540ea8f,0xf1003d80,0xcb805e87,0x002cdeee,0xdb980000,
    0x17fe00ee,0x80002440,0xdd930048,0x2619bddd,0xeeeeeeec,0x002eeeee,
    0x3a005d91,0x0e4789ff,0x00000000,0x17ffc000,0x0000bff5,0x42f98000,
    0x37fa604f,0x0037fa61,0xf5001220,0x203ffd1b,0x1f9005ff,0x01f90000,
    0x07fffd40,0x99efffa8,0x003ffca9,0x7ec003f2,0x91047aff,0x332a3999,
    0x6666444c,0x88999951,0x9951cccc,0x8bffe099,0xdb882ffb,0x2e200ace,
    0xea80aced,0xfeeeefee,0x77fdc0ee,0x02fff980,0x98007e40,0x0bffd2ff,
    0x3e2017fe,0x7c40003f,0x3fe2003f,0x3ffe207f,0x2007f306,0xf5003ff8,
    0xfa80ffff,0x1fff63ff,0xfd8fffea,0x3fffa87f,0x7fc1fff6,0x701bf92f,
    0x0bff517f,0x3fea2fee,0xeffeea85,0x20eefeee,0x2e02fff9,0xf1000fff,
    0x3ff6007f,0xf05ffd98,0xdff700bf,0x6ffb8000,0x1bffe200,0x206fff88,
    0xdff7003c,0x7ffff400,0x8fffe01e,0xfff07ffb,0xf83ffdc7,0x1ffee3ff,
    0xfd997ffc,0xe87fe60d,0x0ffcc3ff,0x2f407ffd,0x3fff41f2,0x017ffe20,
    0x44037fdc,0x173397ff,0x3a017fe0,0x20002fff,0x1002fffe,0x7c40dfff,
    0x073246ff,0x00bfffa0,0x4fffffd8,0x7dc7fff0,0x47fff07f,0xfff07ffb,
    0xf83ffdc7,0x737fc2ff,0x27fecbff,0xffd97fee,0x5e87f104,0x805fffb8,
    0xe801ffff,0x7cc02fff,0xff0068ff,0xfffea80b,0xffd50005,0x3fe200bf,
    0x3ffe206f,0x2a002346,0x4005fffe,0x84fffffa,0x3fee3fff,0x5c7fff07,
    0x7fff07ff,0xff83ffdc,0x897ff42f,0x13ffa2fe,0x7ff45fd1,0x4f85f304,
    0x804fffc8,0x5402fffe,0x5405fffe,0xf003cfff,0xff9e80bf,0x9e8001ff,
    0x8801ffff,0x3e206fff,0x001a66ff,0x07fffe7a,0xfffff100,0x2e3fff81,
    0x7fff07ff,0xff83ffdc,0x41ffee3f,0x7ff42fff,0x9ffdd504,0x4ffeea80,
    0x666fee4c,0xfd0ccdfc,0xffb007ff,0xff9e809f,0x3fe601ff,0xbff000ff,
    0xfffcacc0,0xfcacc004,0xff8804ff,0x3ffe206f,0x4006fb8e,0x09fff959,
    0xfffcf880,0xf71fffc3,0x8fffe0ff,0xfff07ffb,0xf83ffdc7,0x2fff42ff,
    0x3ff63baa,0xfb1dd504,0xffffb89f,0x0fffffff,0xb007ffff,0xacc0bfff,
    0x7c04fffc,0x3fe006ff,0x7fc47605,0x476000ff,0x400ffff8,0x2206fff8,
    0x6fffffff,0xff88ec00,0xf10a00ff,0xfff17ff2,0xf83ffdc7,0x1ffee3ff,
    0xff71fffc,0xd0bffe0f,0x87fe49ff,0xffc84ffd,0x9889ffb0,0x9fd999df,
    0x0ffffa19,0x813fff60,0x1ffff11d,0x327ffe40,0x4417fe0b,0x01fffec6,
    0x7ffec688,0x37ffc403,0x31dfff10,0x234400df,0x3603fffd,0x27fc5e20,
    0xffb8fffa,0x5c7ffd07,0x7ffd07ff,0xff83ffdc,0x99ffe42f,0x13ff64ff,
    0x7fec9ff3,0x2f43f884,0x804fffd8,0xd103fffe,0x403fffd8,0x1fdefffe,
    0x0b20bff0,0x200ffff3,0x3fffcc2c,0x81bffe20,0x1a66fff8,0x7fcc2c80,
    0x7893607f,0xffe85ff1,0x741fff64,0x1fff64ff,0xffb27ff4,0x55fff10f,
    0x323ff57f,0xbffd36ff,0xfd36ffc8,0x443f30bf,0xbfff704f,0x03ffff00,
    0xffff30b2,0xdffffa80,0x2217fe01,0xffcccccf,0x67c402ff,0xffffcccc,
    0x1bffe202,0x346fff88,0x6667c40c,0x02ffffcc,0x7dde27fb,0xdaeffc85,
    0xfc80fffe,0xfffedaef,0xdaeffc80,0x7cc0fffe,0xf8dfbaff,0x37ffff24,
    0x3f24effd,0xeffddfff,0x5f307dc4,0x01bffe20,0x220bfff1,0xffcccccf,
    0x223602ff,0x85ff8009,0xb99999cb,0x65c06fff,0xffb99999,0x3ffe206f,
    0x1bffe206,0x9cb84987,0xfffb9999,0xfbffd506,0x7fec07dd,0x0dfffbaf,
    0xfbafffd8,0xffd80dff,0x0dfffbaf,0xb15fffd1,0xefe889bf,0x443dfd33,
    0xdfd33efe,0x07dc6d83,0x403fff70,0x9701fffb,0xff733333,0x001620df,
    0x01d117fe,0x880ffff4,0x3fffa00e,0x0dfff101,0x2037ffc4,0xd007443e,
    0x4c403fff,0x031000fa,0x40006200,0x00000018,0x10080201,0x005306a0,
    0x3e20bffb,0x01d103ff,0x5c0ffff4,0x45ff8002,0x7ffdc05c,0xfb80b905,
    0xfff105ff,0x3fffc40d,0x05c85f70,0x402fffdc,0x00000058,0x00000000,
    0x00000000,0xffb80000,0x201ffd83,0x7ffdc05c,0xf9800585,0x3017e25f,
    0xf885ffff,0x7fffcc05,0x07fff982,0x307fffe6,0x2fc43ff9,0x0bfffe60,
    0x00000000,0x00000000,0x00000000,0xfd980000,0x00cefdce,0xff3017e2,
    0x001c45ff,0x2e799971,0xdb82dfff,0xf74fffff,0xfb705bff,0x2e69ffff,
    0x0bdffffe,0xfffffd73,0x4fffffff,0xb82dfffb,0x04fffffd,0x00000000,
    0x00000000,0x00000000,0x99880000,0xdfffb800,0xffffdb82,0x0000004f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x5300072a,0x1554c055,0x02aaa200,0x2000ccb8,
    0x55102aa9,0x91000015,0x20000079,0x00000001,0x06200098,0x00000000,
    0x00000000,0x6c000980,0x3a002dac,0x7fec01ff,0x13ff2002,0x005fffa8,
    0xfc807ffa,0x0ffa603f,0x002fffd8,0x5bdffb73,0x20cc8264,0x7bb7103b,
    0x001f9001,0x1bd50364,0x00fbf620,0x7e4c03ee,0x2606e800,0x0fb800fc,
    0x4d1002ec,0x5ff30059,0x8017fa00,0x6ff404fe,0xff9801ff,0x206fd802,
    0xf980fffc,0x7cc06fdf,0xdfd510df,0xebfc80b9,0xf51ff302,0x017d401f,
    0xfff813e0,0xffdbe884,0x5c0fe600,0x7dc00ffd,0x01ffb701,0x0fb83f98,
    0x004a9a00,0x744005f9,0x05f9800f,0x05f99fdc,0x36002fc8,0x3fffb01f,
    0x0bee3fd0,0xf9837fcc,0x7fd402ff,0x7c5bfa03,0x009d105f,0x3fe01f98,
    0x1be0883f,0xffa80dd0,0x500fe200,0x06e801ff,0x75c005f1,0x05d001ec,
    0x9005d100,0x442e880b,0x0017401e,0xfffc81ec,0x1aa07540,0xc80bffe6,
    0xcd880eff,0xff882fd8,0x320dff16,0x03e4000f,0xf70033aa,0x2007dc05,
    0x1b600ffa,0xb803fea0,0x0017a00f,0x00000051,0x00000000,0x5c000000,
    0xe80006ff,0x3fa207ff,0x221984ff,0x37fc41ff,0x05f50fff,0x00009d00,
    0x260bfff2,0x0ffa803f,0xf5003f70,0x00fe601f,0x36e200f7,0x2e200ace,
    0xb800aced,0x6dc00ced,0x76dc00ce,0x3b6e200c,0x76dc401b,0x04ff981b,
    0x3037db71,0x3a20bfff,0x300ffffa,0xe83ffd55,0x88dff16f,0x2f98005e,
    0xfd100080,0x2a00dd0b,0x03f880ff,0x3a01ff50,0x402f9806,0x5ffa8bfb,
    0xff517f70,0x44ff440b,0x9fe880ef,0xfe880ef8,0xe980ef89,0x304fd8bf,
    0x09fb17fd,0x7fd305ff,0xffb89fb1,0x3fa7b04f,0x6ff442ff,0x7dc5ffeb,
    0xfc87ff17,0x007b8000,0x0bea0017,0x3ea001f7,0x2006d80f,0x0fb80ffa,
    0x7cc09d00,0x30fffa1f,0x1fff43ff,0x17f25fe8,0x85fc97fa,0x217f25fe,
    0x0ffe27fe,0x3ff89ffa,0x3ff407ec,0x7fec7ff1,0x3f64c84f,0x337f43ff,
    0x8fe88fff,0x017cc5fa,0x0d005e80,0x4c698edc,0x3fea003f,0x5000fdc0,
    0x03f981ff,0xffb81f20,0xf713ff65,0x427fecbf,0x3fee3ffb,0xfb8ffee1,
    0xb8ffee1f,0x17fee1ff,0x7fdc1fff,0xf907ffc5,0xff8bff70,0x87ffff0f,
    0x2fffec5b,0xfff89ff5,0x440bc981,0xf880105e,0x2a05c802,0x3740acfd,
    0x77654198,0x0887f11b,0x437dd950,0xf303306e,0xe8bfa203,0x17f444ff,
    0xffb09ffd,0xfb17fdc3,0xb17fdc3f,0x17fdc3ff,0xfff89ffd,0xff13ffa2,
    0x7f42d45f,0xe97ffc4f,0x21aa3fff,0x3f23fffd,0x01fffc4f,0xeb883f20,
    0x01f702eb,0x0000fec4,0x07f303f7,0xffd136c0,0x0fdc001d,0x04f81fcc,
    0x09ffdd50,0x84ffeea8,0xeeeeeffe,0x3bbffa3e,0x3fa3eeee,0x3eeeeeef,
    0xffd13ffe,0x3a27ffc9,0x3e1264ff,0xa7ff44ff,0x1d34fffc,0x743fffd0,
    0x2fffc3ff,0xfd85f300,0x0bb09fb3,0x00037f44,0x7ff107f1,0xcd87ee00,
    0xf1004ffb,0x207ff107,0x4775406c,0xdd504ffd,0xff09ffb1,0x7fff007f,
    0x007fff00,0xffe89fff,0xfd13ffe5,0xfff828bf,0xfbafff44,0xf01e8dff,
    0x3fff8fff,0x88027ffc,0xc97fc45e,0x80fe21ff,0x20002ffe,0x3fde886e,
    0x90c3f880,0x21ba009f,0xf503fde8,0x6c3ff203,0x0ffc84ff,0xffb09ffb,
    0x0dffb00d,0xd00dffb0,0x4fff87ff,0xfff0fffa,0x87ffd009,0xfff14fff,
    0x3fe203dd,0x227ff45f,0xf9002fff,0xf92ffb81,0x9807d45f,0x0fae1fff,
    0x27607ee0,0x06d803fc,0x7dc00fec,0x03fc9d81,0x93fe60fe,0x7fcc4ffd,
    0x2e13ff64,0x2e080fff,0x2e080fff,0x36080fff,0x17ffc4ff,0xfff89ffb,
    0xffb02ea2,0x2a2fff89,0x3ee03fff,0x27fe41ff,0x26007ffe,0x92ffc82f,
    0x7036c7ff,0x3ff43fff,0x4b20fe20,0x0fdc03fc,0xf1009f10,0x0ff25907,
    0x6ffc86d8,0xfc8bffd3,0x0bffd36f,0x5c1bfff3,0x837ffe60,0x37ffe60b,
    0x5ff982e0,0xff31bfe2,0xf537fc4b,0x25ff98df,0xffd86ff8,0x03fff105,
    0x7fc4bff3,0x260bd005,0x43ff92ff,0x3ffe203f,0xdd017f23,0xdffddf30,
    0xb013e205,0x261ba009,0x02effeef,0xfffc81f5,0x24effddf,0xfddffffc,
    0xfffd84ef,0xffd82ecf,0xfd82ecff,0xc82ecfff,0x03ff50ff,0x3fea1ff9,
    0x903fff21,0x07fea1ff,0xb10fffb2,0x3fdc03ff,0xf9001df5,0xfd9ff401,
    0xfb007ea6,0x700fd4bf,0xd999303f,0x01b603df,0x203b33b9,0xccc981fb,
    0x7f101efe,0xd33efe88,0x77f443df,0x203dfd33,0x203efffc,0x203efffc,
    0x203efffc,0x01efcefb,0x07bf3bee,0x3ee0bff3,0x5b81efce,0xbfb9ffb3,
    0x9dd70017,0x5f3003bf,0xdf8dea80,0x36201b21,0x203ebeff,0x7f9003f8,
    0xfb807ee0,0x7f107fff,0xb00ff200,0x1004020b,0x004c0020,0x04c00130,
    0x40013100,0x00620098,0x30580262,0x0c400035,0xa8013600,0x2001a81c,
    0x64009aa8,0x20b2a005,0x332203d8,0x0b903ccc,0x26016540,0x00000002,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000080,0x00000000,0x08000000,0x08000000,
    0x00000020,0x80000000,0x00404000,0x20000000,0x00bdffd8,0xeffdb880,
    0x5440b0bc,0x00acefec,0x039db510,0x6f7765c0,0x0bb6202c,0x0ef776cc,
    0x0b7b7620,0x03bfb710,0x3fffb2a0,0x100752cf,0x159dfd95,0x37bb2600,
    0x6f644002,0x6fff7542,0xbfdfb101,0x1fd00125,0x0b7fae20,0x7d46fcc0,
    0x7fec004f,0xffeb88bd,0x237bf506,0xd801fdb9,0x9805f91f,0x3fa61dfe,
    0x87ffc80d,0x5ff30ffc,0x7fcdfa20,0xfffff102,0x7fec407f,0xfffb512c,
    0x1bdfa807,0x9803fb73,0x007ff15f,0xf7039fb1,0x2a07ffd4,0xdff911df,
    0x407fe400,0x2ffffffa,0x3f62fe80,0x9ffb000f,0x7d437d40,0x7017cc01,
    0x807fd4df,0xf980effb,0x3ffe42ff,0xdfd13fea,0x7fc5bee0,0xffd79b06,
    0x3ffe60df,0x80ffe202,0x17cc01fa,0x3f23ff98,0x0ffea02f,0x3ffa0fe8,
    0x2207fe24,0xfff5007f,0xffeff981,0x3e600fff,0x401bee3f,0x6c806ffd,
    0x55554fd4,0x20be61aa,0x3fe25ff8,0x02fff985,0xd883ffee,0x22ffe42e,
    0x7fe81ffb,0x906e1bfe,0xff883fff,0x03f9805f,0x5e5cc3f5,0xc82f9a89,
    0x1ffea2ff,0xf501ffd4,0x87ffe47f,0x0f700ffb,0x81ffff10,0x3fffaa3c,
    0xb97fea03,0xfffd803f,0x3e268801,0xfb55ff51,0x3ea07cc9,0x21ffe25f,
    0x7c407ffe,0xffb005ff,0x20ffdc1f,0x1710fff8,0x1fff1010,0x001fffd8,
    0x223f1079,0x4fb89dfc,0x2ffe81f3,0xf107ffe6,0x2ff880df,0xffc9fff2,
    0x37601a05,0x54140fff,0x3ea03fff,0x004ea8ff,0x1400ffff,0x997fc495,
    0xf90b61ff,0x0fffc4bf,0xf00bfff7,0xb8083fff,0xdf90efff,0x003fff50,
    0xf313fe20,0x14400dff,0x709fb254,0xfff116c9,0x21fffc47,0x08803ffe,
    0xff72ffec,0xb80303bf,0x800fff9c,0x2201fff8,0x000cffff,0x000dfff5,
    0x12ff88b6,0x3625c7ff,0x3ffe25ff,0x013fff22,0x488bfffa,0xafffff98,
    0xfff980ef,0x09f70003,0x000bfff7,0x03fea5b0,0x7fc49714,0x327ffc3f,
    0x17975fff,0x41dff100,0x0dfffff9,0x3fe6d300,0x7ff8800f,0x0ffffc40,
    0x647bffea,0xf0004fff,0xfb97fc41,0xffd1e21f,0xd1fffc49,0xfb007fff,
    0xa82d49ff,0x986fffff,0xccefffdc,0xeffb8800,0x027ffec1,0x7fc87c00,
    0xfff8f100,0xf927ffc5,0x5fffddff,0xc80dfb80,0x0cffffff,0x7fcc7a20,
    0x4ffa800f,0x3fff3ae0,0x3a2fd40f,0x88003fff,0x7eeffc46,0x3fe0f80e,
    0x93ffe24f,0xd803ffff,0x81ee5fff,0x44fffff9,0xfffffffb,0x7ff4401f,
    0x3ffa2fff,0x3440003f,0x07c00ffb,0x3e21fff9,0x97ffa2ff,0x3e00fffc,
    0x7fffe404,0x47b01eff,0xc800fff9,0x21fd306f,0x7d46fffd,0x027fff40,
    0x57fc4780,0x7c7886fd,0x3ffe24ff,0x00ffffa4,0xfc93fff6,0xfffdf700,
    0x7eccc49f,0x260019ef,0x3fa5fffe,0x780004ff,0x3c401ff6,0x7edffff4,
    0x97ffe0ff,0x9503fff8,0x3fffa600,0x22dc0fff,0xe800fff9,0x24ff881f,
    0x364ffff9,0x05fffc82,0x7fc45b00,0x2d42ff9a,0xff893ffa,0x13fff63f,
    0xe8ffffa0,0xd9fec42f,0xfa81ffff,0xfd10005f,0x2fffe4ff,0xfffffc98,
    0x7fdcb60c,0xd705a800,0xf8dffbbf,0x2fff45ff,0x7d4001b8,0x3e63ffff,
    0xfffcaaab,0x40bf201b,0x7fe45ffc,0xf505baff,0x2e000dff,0x7ecbfe24,
    0x3ff61e46,0xb87ffe25,0xff805fff,0x89ff11ff,0x3ff21ffc,0x03ff883f,
    0x43ffee00,0x6c06fffa,0x14b84fff,0x641109ff,0x89ffb003,0x7ff45ffe,
    0x20480305,0x3ea5fffc,0xffffffff,0x405f304f,0xffd87ffe,0xff100eff,
    0xd30001ff,0x7c53fea1,0xfc83d14f,0x83ffe25f,0x4406fff8,0x3fea5fff,
    0xf107ff46,0x0bfa0bff,0x37fc4002,0xc80ffff1,0x0e983fff,0x9513bfd3,
    0x22007a21,0x7fe40fff,0x0027fec6,0x3fee01d8,0x3ffffea7,0x884fffff,
    0xffd1983e,0xffffd09f,0x3fff2185,0x76428804,0x953cccc9,0xff309d59,
    0x5c37fc4b,0x3ee01fff,0x1fff21ff,0xffd81fff,0x0bffb6a4,0x27ec00d3,
    0xc80fffee,0x1d903fff,0xd1166e5c,0x07ff2009,0xffb1ffee,0x6c057105,
    0x312ffc04,0xfff73333,0x333bb013,0x3ff21d53,0x7ffcc3ff,0x5c3c9cff,
    0x3a201fff,0x4400ec83,0x99bfa04e,0xbffb02ff,0xb0fffe20,0x7ff41fff,
    0xe98ffec1,0xffffffcb,0x2037a26f,0xfffc80fe,0x07fff900,0x3a200764,
    0x05ff9004,0xfd87ffa2,0x03ffd80f,0x17fc05fb,0x407ffcc0,0xfffffffc,
    0x3ffffe27,0xffecfdcf,0xff705fff,0x1754437d,0xb9837d90,0x87fc404e,
    0x7fdc05fc,0xd81ffd83,0x3fe60fff,0x3b8ffe24,0xfffffff3,0x85fffdc5,
    0x3fee01fa,0x3fffc81d,0x260df640,0xfc8804eb,0x27fc400e,0x3ffe03ff,
    0x707ffb05,0x3fe600bf,0x7fffd40f,0x6c45ffff,0x20cfffff,0x200efffc,
    0xfeeffeca,0xfeca800d,0x1002cefe,0x2009f9dd,0xefdcefd9,0x0dff500c,
    0x5df9bfd3,0xd8cfde88,0xffd82eff,0x8800ceff,0xfdccffed,0xd95001ce,
    0x8059dfdf,0x2001cfd9,0x01eecfd9,0x66c0bff2,0x3fecceeb,0x83ffe600,
    0xfffffff9,0x153104ff,0x40005440,0x220000a9,0x0620000a,0x00998800,
    0x99880510,0x06204c00,0x80002a60,0x00099a98,0x88005440,0x09800009,
    0x20c01100,0x00001aa8,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xddd30000,0xd987dddd,
    0xb10390be,0x300f661b,0x000edc7b,0x50666440,0x776c0799,0x25eeeeee,
    0xcdeeeeeb,0x2f7764c0,0x03b71ecc,0x55540000,0x05554401,0x93006664,
    0x39dddddb,0x4733332e,0x6c41ccc9,0xeb87b30d,0xb71deeee,0x419bdddd,
    0x0005eed8,0xffffff90,0x7fffc43f,0x7ff706ef,0xfe803ffa,0x806ff99f,
    0xff881fb8,0x41bff21f,0xfffffff9,0x7ffd44ff,0x067dc01f,0x7fcc7ff4,
    0x80122006,0x7e405ffa,0x4fffa83f,0x2ffff880,0x217fff44,0x3ffb83fa,
    0xffb81ffd,0x7ffcc0ff,0x501b603f,0x3e05dfbd,0x46ffffff,0x3fffebca,
    0x3f25ff30,0xf87fe407,0x3ff2204f,0x1fff881f,0x7dc1bff2,0xffffffff,
    0x03fffe81,0x2ff90354,0x32004ff8,0x3fee000f,0x2213fe00,0x800ffdff,
    0xf981ffff,0x9834c3ff,0x20ffb2ff,0xfc81ffff,0x80b605ff,0x81ffb7fb,
    0xaaaaaae9,0x015104c1,0x4004c188,0x64406209,0x881ffffe,0x3ff21fff,
    0x99bdfb06,0x3ea0ff99,0x016c06ff,0x20018826,0x5c003ff8,0x209f503f,
    0x009f53fc,0x3601fffd,0x101dc6ff,0xff900983,0xffff109f,0xdff10340,
    0x00f217ee,0x00000000,0x7ffdc000,0x21fff881,0x01d06ffc,0xffe813e6,
    0x000d101f,0x0dff7000,0x1320b900,0x03a60fc4,0x201fffd0,0x0361fffa,
    0xfff88000,0x05fffb07,0x37fd4095,0x055ef7c0,0x2b3b6e20,0x33b6e200,
    0xcccc880a,0x40999951,0xf881fffa,0x1bff21ff,0x405f900c,0x5905fffb,
    0x033b6e00,0x02fffe80,0x00000000,0x401fffd0,0x80915ffe,0x401bedb8,
    0xfc82fffd,0x201d85ff,0x7d406ffb,0x703fffff,0x0bff517f,0x3fea2fee,
    0x47fff505,0x3ea07ffd,0xfff881ff,0x001bff21,0xfff101fe,0x8806881f,
    0x00ef89fe,0x05fffea8,0x21cccc98,0x981cccc9,0xd001cccc,0x7dc01fff,
    0x2601c8ff,0x04fd8bfe,0x3a1bffea,0x1a20ffff,0x67fff644,0xfffffb02,
    0x7fcc1dff,0xf30fffa1,0x81fff43f,0x3fee3fff,0x07ffea07,0xfc87ffe2,
    0x27cc006f,0x227ffe40,0x25fe803b,0xf9e805fc,0xfb801fff,0x7ffdc2ff,
    0x05fff702,0x003fffa0,0xe80d9fff,0x80ffe27f,0x32a1ffff,0x0ee4fffc,
    0x67fff644,0xfffdd902,0x7fdcbfff,0xf713ff65,0x827fecbf,0x3fee3fff,
    0x07ffea07,0xfc87ffe2,0x3f20016f,0x7fff8802,0x3fee0074,0x9807fee3,
    0x009fff95,0xf885fff1,0xfff102ff,0x3fffa005,0x1fffe400,0xff8bff70,
    0x9fff900f,0x37ffccec,0x6ffb801d,0x7ffecc00,0x745fd11f,0x17f444ff,
    0x3fe09ffd,0x81ffee3f,0xf881fffa,0x5fffa2ff,0x400fd003,0x0952fffd,
    0x7dc3ffb0,0x7c47602f,0x7c400fff,0x7ffc42ff,0x05fff102,0x003fffa0,
    0x7401fff1,0x17ffc4ff,0xd17fff88,0x2cd7fff4,0x0037fdc0,0x503fff98,
    0xa809ffdd,0xff04ffee,0x03ffdc7f,0xf103fff5,0xffbb7dff,0xbf3007bf,
    0xb7ffd400,0xeffe800d,0x103eeeee,0x03fffd8d,0x2217ffc4,0xff102fff,
    0x3ffa005f,0x05fd800f,0x3fa27ffc,0x3fff604f,0x3ffee2ca,0xffb802cd,
    0x3fe60006,0x7ec77544,0xb1dd504f,0x3ffe09ff,0xa81ffee3,0xef981fff,
    0xbffb1fff,0x005f9001,0x05bfffe8,0x8007fff0,0x3fffcc2c,0x10bffe20,
    0x3e205fff,0xffd002ff,0x05f3001f,0x7f44fff8,0x3ffea05f,0x7fffc46e,
    0x0dff7006,0x321fd800,0x09ffb0ff,0x3ff61ff9,0x5c7fff04,0x3fea07ff,
    0x198fa81f,0x1fa00098,0x3fffee00,0x0dffb001,0x66667c40,0x202ffffc,
    0x7c42fff8,0xfff102ff,0x3a2fe885,0x01a007ff,0xfff0fffa,0x4ffff809,
    0x004fffd8,0x8000dff7,0xd93fe67c,0x27fcc4ff,0x3fa09ffb,0x81ffee3f,
    0xfc81fffa,0xbf300001,0xdfff1000,0x07ffdc00,0x4cce5c04,0x06fffb99,
    0xf10bffe2,0x3fe205ff,0xd2ffe42f,0x93040dff,0xf89ffb00,0x7fe402ff,
    0x0fffa80f,0x80dff700,0x23e80cfc,0xffd36ffc,0xd36ffc8b,0x3ffa0bff,
    0xa81fff64,0x3fd81fff,0x05f70000,0x00bff200,0x20dfff98,0xd007440b,
    0x3e203fff,0x7ffc42ff,0x85fff102,0x3ffe4ffa,0x0363fd05,0xf897fe60,
    0x5ff8806f,0xb801bfe0,0x7ffc06ff,0xfc87913f,0xeffddfff,0x37ffff24,
    0xfc84effd,0xfffedaef,0x03fff500,0x20000bff,0xf10000fe,0xfffb000d,
    0x0b905d9f,0x105fffb8,0xff885fff,0x5fff102f,0x3fe21fd0,0x9cff980e,
    0x43ff2004,0xfb001ffa,0x001fe403,0xd980dff7,0x882dffff,0xdfd33efe,
    0x99f7f443,0xffb01efe,0x1bfff75f,0xd05fff90,0xf300007f,0x03d8000b,
    0x7dfff900,0xf980bf10,0xff982fff,0x1fffcc3f,0x883fff98,0x00dfedec,
    0x00037ffa,0x03df9df7,0x3e203540,0x1fff2000,0x01001980,0x00100802,
    0x7e5c0031,0x221cffff,0x35100002,0x00088000,0xffb804c0,0xffdb82df,
    0x3fa64fff,0xffd32fff,0xffe985ff,0x006602ff,0x44000198,0x00300009,
    0x3ff22003,0x00002dff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3b260000,0x20cdeeee,0xb53deedc,
    0x3207dddd,0xdb32deee,0xc80003dd,0x32a06eee,0x02aaacde,0x2c4b7ae6,
    0x2673332a,0x20001bec,0x4390bed9,0xdeeeeec9,0xbddddb0c,0x3723eed8,
    0x14409b11,0x01f776c4,0xeeeeec98,0xeeeca8cd,0x3220cdee,0x3bbb2a1d,
    0x4c01cdee,0xeeeeeeec,0x7dc01bcc,0xdd100fff,0x3ffffd10,0x3e61ba60,
    0xc80002ff,0x3ffb07ff,0x01ffffd1,0xfbf31bf9,0xd9fff70f,0xf903fffb,
    0x3fffe20b,0xfff506ef,0x7fff881f,0xaffcc9d0,0x07d02ffc,0x0013ffe2,
    0x501ffff5,0xf901ffff,0xffff50ff,0xfffa8001,0x3fffda9e,0x01bffe60,
    0x3ffe609b,0x109900ff,0x00005fff,0xff70fff5,0xb817fd49,0x1fff20ff,
    0xfa9bffe6,0x3ffe20ef,0xffebca82,0xffff103f,0x203ffee0,0x5d3fe20f,
    0x03fc81ff,0x10013ffe,0x3e60ffff,0xfffb06ff,0x06fff981,0x45fff980,
    0xf303fffc,0x03c80bff,0x0dffffd1,0x3ffe20ee,0xffa80002,0x263ffe87,
    0x6ff986ff,0x7c43ffdc,0x1fffc2ff,0x30607ffe,0x7ffc4015,0x87fff106,
    0x04c18859,0xfd01ffdc,0xff88009f,0xdfff106f,0x220ffa60,0x88006fff,
    0x7fc45fff,0xbfff306f,0x5b103c80,0x7709ffff,0x005fff10,0xf0fff500,
    0x3ffcc7ff,0x3ea2ffdc,0x2fff887f,0x32627ff4,0x3e200002,0x3ff606ff,
    0x90001646,0x8199bfff,0x44004ffe,0xff106fff,0xf10080df,0xf1000dff,
    0xffff0bff,0x0bfff301,0x32b103c8,0x1dc3ffff,0x64d7ffc4,0x36e201ce,
    0xc87ffaad,0x17fea4ff,0xff513ff6,0x85fff10f,0x88006ffd,0x2201bedb,
    0x3ea06fff,0x64c1a1ff,0x7e4c1ccc,0x740ccdff,0x05bb74ff,0x8837ffc4,
    0x10006fff,0x1000dfff,0xff88bfff,0xbfff305f,0x4b103c80,0x2e1ffffd,
    0xfdfff883,0xf882fffc,0x7ffedbdf,0x3f25ff98,0x44fff82f,0xff887ffa,
    0x9b7fec2f,0xe981cccc,0x104fd8bf,0xff80dfff,0x7dc0954f,0x7fff02ff,
    0x76e7ff40,0xff102fff,0x3ffe20df,0xfff10006,0xfff1000d,0x02fffc8b,
    0xc80bfff3,0x7f44b103,0x10770fff,0x3e619fff,0x07ff40ff,0x3620fffd,
    0xd01ffbbf,0x7ffa89ff,0x6c2fff88,0x3ffee5ff,0x3e27fe82,0x6fff883f,
    0x2cbffe40,0x40bffe20,0x3fa03fff,0x0dff91ff,0x267fffe2,0x6fffa999,
    0xdfff1000,0xdfff1000,0x017ffb75,0x202fffcc,0xf98b103c,0x10775fff,
    0xffe85fff,0xf51bfee3,0x5d65c0ff,0x22ffdc01,0xff887ffa,0x11fff42f,
    0xffb85fff,0x2207ffc5,0x7cc06fff,0x7c406aff,0x7fff02ff,0xf527ff40,
    0x3ffe20ff,0xffffffff,0x199106ff,0x00dfff10,0xfdffff10,0x4c017dff,
    0x1e405fff,0xfffa8588,0xff883bcf,0x92ffec2f,0x7ffa8bff,0xf9800bb0,
    0x43ffdc7f,0x7fc2fff8,0x0bffe21f,0xfff89ffd,0x437ffc42,0xffffcccc,
    0x7c42ccce,0x7fff02ff,0xf527ff40,0x3ffe20ff,0x0dfff106,0x3e21fff6,
    0xf88006ff,0x3ffa25ff,0xbfff303f,0x0b103c80,0x0fbfffee,0xfb0bffe2,
    0x227ff4df,0xffa87ffa,0x2009aaab,0xffa8dffe,0xffff887f,0xf889ff92,
    0x27ffc2ff,0xff113ffa,0xb55550df,0x35557fff,0xf02fff88,0x7ff407ff,
    0x203ffea4,0xf106fff8,0x3ffe0dff,0x37ffc41f,0x2fffc400,0x20bfffa2,
    0x6405fff9,0x7ec0b102,0xff883fff,0xf37fec2f,0x7ffa89ff,0xffffffb8,
    0xfe880eff,0x87ffbcff,0xffdafff8,0x2fff884f,0x3fa27ffc,0x37ffc45f,
    0x007ffdc0,0x7c0bffe2,0x3ffa03ff,0x203ffea4,0xf106fff8,0x3fee0dff,
    0x37ffc43f,0x3ffe21c0,0x05fffc85,0x1d80dfff,0x7f440b10,0xfff883ff,
    0xfb27fec2,0x87ffa8bf,0xfffffff8,0x426206ff,0xff887ffa,0x7c40312f,
    0x1fff42ff,0xff113ffe,0xb99990df,0x59999fff,0xf02fff88,0x7ff407ff,
    0x203ffea4,0xf106fff8,0x0f840dff,0x2037ffc4,0x2fffc468,0xe837ffd4,
    0x807c06ff,0x7ffc4058,0x42fff883,0x3fee2ffe,0x407ffd46,0xfeeeeefb,
    0xff5000ff,0x05fff10f,0xb0bffe20,0x2fff89ff,0x5437ffc4,0xbfffdaaa,
    0x7fc41aaa,0x27fff02f,0x2a4ffe81,0xff880fff,0xdfff106f,0xff885a80,
    0x222dc06f,0xffc85fff,0x3fff905f,0x06981320,0xf883ffa8,0x077fc2ff,
    0x7e41fff3,0x817ec0ff,0x3ea006f8,0x2fff887f,0x85fff100,0x3fe25ff9,
    0x06fff886,0x401fffb8,0xf902fff8,0xffd097bf,0x407ffd49,0xf307fff8,
    0x0ec40dff,0x3037ffcc,0x5fff889f,0x00ffff44,0x64c5fffb,0x400fe405,
    0xfff883fb,0x3603fea5,0xffec9dff,0xa817f43f,0x3fee003f,0x17ffcc0f,
    0x82fff880,0x3ff50ffc,0x00ffff30,0x9805fff9,0xfb103fff,0x97ffe09f,
    0xf981fffb,0xfff507ff,0x5403260f,0x5440ffff,0x7ffcc3ff,0x5fffd30f,
    0xfffff900,0x3f6a019f,0x1ec00cff,0x66f4e7c4,0x3ff601df,0x1cdffacf,
    0x32b37f66,0x362002ed,0xf910bfff,0xf30019ff,0x3bee07ff,0x75cc1efc,
    0x20bdffff,0xfffffcb8,0xfffe981c,0xffb0002f,0xffff37ff,0x3ffae21d,
    0xec98beff,0x20bdffff,0xfffd9300,0xffffffff,0x3ffb265f,0x3defffff,
    0x09a98800,0x40200000,0x31000cc1,0x26200221,0xa80009aa,0x531aaaaa,
    0x98055555,0x202ffffe,0x00000098,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x37220000,0xeeeeeeee,0x64c5eeee,0x802eeeee,
    0x1ceeeeeb,0x4c3dddb3,0x3deeeeec,0x777764c0,0x801bccee,0x20162dea,
    0x6541bedb,0xcdeeeeee,0x7764c01c,0x64c3deee,0xec84eeee,0xeeeeeeee,
    0x3bae0eee,0x440ceeee,0xdb35eeed,0x547bdddd,0x222deeed,0x2002eeed,
    0xeeeeeeca,0x00001bcd,0xdfffef88,0x07feba99,0x00dffff5,0x303ffffd,
    0xff505fff,0xffa800df,0xdfffc9ef,0xfffff700,0x4ff4409d,0xffb83ffa,
    0xfffca9ef,0x7fffd403,0x407bf601,0x9999aefe,0xf984ffff,0x7d405fff,
    0x7ffff443,0x2207fd01,0xc8003fff,0xfcaadfff,0x200002ff,0x85fffaea,
    0xfdd307d8,0x7ed403ff,0xff880fff,0x5fff982f,0x37ffc400,0x360dfff1,
    0x01ffffcb,0x0fff97fa,0x2a37ffcc,0x3e205fff,0x17e607ff,0x3ff209f0,
    0xfff700ff,0xf305c80f,0x13a09fff,0x0007fff0,0xfa8bfff5,0xd00005ff,
    0x20bfff33,0xff7b1078,0x7fcec0bf,0x5fff107f,0x00bfff10,0xfe8dfff0,
    0x14c182ff,0xfc8ffe20,0x37ffcc0f,0x8827ffd4,0x7d307fff,0xff306880,
    0xffe805ff,0x401d103f,0x5c1ffffc,0x03ffe805,0x85fff980,0x0003fffb,
    0x5fff9a5c,0x23620b1c,0x6880ffff,0x3e20ffff,0xfff882ff,0x403eefff,
    0x7fdc6fff,0xf700004f,0x4c0dc45f,0xffd06fff,0x1fffe03f,0x0e2007aa,
    0x402fffec,0xc80ffffa,0x6fffe803,0x7ff401a6,0xfff98003,0x01ffff05,
    0x7cc3a200,0x009225ff,0x13fff2b1,0x83fffcf2,0xf882fff8,0xdffb15ff,
    0x91bffe03,0x33225fff,0x05bb72cc,0x4c00fff6,0xff706fff,0x1fffe07f,
    0xa80001d7,0xb001ffff,0x06989fff,0x17ffff30,0x3ffa001d,0x033332e3,
    0x6417ffe6,0xb0002fff,0x72fffcc5,0x3e6b1009,0x3fe687ff,0x5fff107f,
    0x44bfff10,0xfff06fff,0x20fffe8d,0xfedcfff9,0x4fff82ff,0x0dfff300,
    0x7c17ffea,0x001b67ff,0x13fffe20,0x0ffff980,0xffb8007a,0x3a001eff,
    0x067ec3ff,0x705fff98,0x50009fff,0x8dfff98b,0x258804fc,0x92a2fffd,
    0xff107fff,0xbfff105f,0xf81fffd8,0x3ffea6ff,0x91ffff83,0xdffd0dff,
    0xfffa9880,0xff30999e,0x3fffe0ff,0x0001ffe8,0x0037ffe4,0x4aafffec,
    0x6fffe800,0x21fff400,0x7ffcc03e,0x0dfff505,0x999ae880,0xfffffffb,
    0x3ea58804,0xff8366ff,0x5fff107f,0xc8bfff10,0xfff83fff,0x01dffecf,
    0x7fdc9ffd,0x02fffd87,0x3ffff72a,0xfff32ccc,0xfffff03f,0x0001dfff,
    0x00bfffe6,0x27fffe20,0xff98000e,0x3fa004ff,0x2600f23f,0xff305fff,
    0x764001ff,0xfffeeeee,0xb1009f55,0x599fffe8,0xf883fffc,0xfff882ff,
    0x40fffec5,0x1aaaefff,0xf527ff40,0xffff30ff,0x3fe61541,0xffff306f,
    0xf3ffff01,0x2000bfff,0x0005fffe,0x00fffff2,0x1ffffc80,0x327ffd00,
    0xbfff3005,0x01fffea0,0xfff30698,0x2c4025cb,0x0b37ffee,0x3e20ffff,
    0xfff882ff,0xf83fff45,0x7f4006ff,0x41ffea4f,0x4ddffffc,0x506fff98,
    0x3fe0ffff,0x9ffff37f,0xffffb800,0x3fe20000,0xd30000ff,0x200dfffb,
    0x2ffcbffe,0x05fff980,0x400dfff7,0xbfff301e,0x1620224c,0xf0dffff1,
    0x3fe20fff,0x5fff882f,0x7c0bffee,0x7f4006ff,0x81ffea4f,0x304ffffb,
    0x3ee0dfff,0xffff06ff,0x017fffdc,0x03ffff88,0x3ffa00aa,0x8e88000f,
    0x804ffff8,0xeffffffe,0x2fffcc00,0x005fffb8,0x7ffcc097,0x162121c5,
    0x3e0ffff2,0xfff107ff,0xdffff105,0x7c01bfff,0x7f4006ff,0x01ffea4f,
    0xfff300f2,0x0bfff20d,0x3f63fffc,0xfd801fff,0x00ec06ff,0x0007fff4,
    0xffff70f4,0x8cffe803,0x7cc04fff,0xfffb05ff,0x980d1003,0x1a205fff,
    0x3ffe6162,0x107fff80,0xff105fff,0x200133bf,0x74006fff,0x1ffea4ff,
    0x4c03ff30,0xff886fff,0x1fffe05f,0x803bfffa,0x201ffffa,0xffe800f9,
    0x41ec000f,0x7406fffd,0x5fff73ff,0x42fffcc0,0xd005fff9,0x5fff9805,
    0x0d10bb10,0x7ffc13f6,0x2fff880f,0x005fff88,0x0037ffc4,0xffa93ffa,
    0x027e400f,0xf90dfff3,0x3fe201df,0xffff887f,0xffff880e,0x401fa604,
    0x2000ffff,0xffff105c,0xb27ffc09,0x3ea01fff,0xeffd85ff,0x401fc800,
    0x220efffa,0x0fa84fea,0xff881fa8,0xfff981ff,0x06fff983,0x03fffcc0,
    0xfb97ffe0,0x3f6201ff,0x9fffea02,0x200dffc8,0xc80ffff9,0x640effff,
    0x4c40efff,0xff007ffc,0x3f2003ff,0x3ffff203,0x4cbfff02,0xff705fff,
    0x27feccdf,0x277fec40,0x3ffff2e2,0xffffffff,0x33bff263,0x3fae22c0,
    0xd30befff,0x2e65ffff,0x03dfffff,0x7ffff644,0xfffd804d,0xeffff9af,
    0x301cca80,0xffffffd9,0x5c4017bd,0x24effffe,0xefffffea,0xffffff34,
    0xffffffff,0x7ff5cc0d,0xd702beff,0xfc839fff,0x225fffff,0xf53ffffd,
    0x3261dfff,0xefffffff,0x000000bd,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x764c0000,0xeeeeeeee,
    0x3ba22eee,0xeeeeeeee,0xd955eeee,0x99dddddd,0xeec98057,0xeeeeeeee,
    0x555554ee,0x75555555,0x00018801,0x40000011,0x00acedb8,0x401bedb8,
    0x5100cedb,0x3b2259d9,0x36e200cd,0xccc881be,0x0999951c,0x01959b71,
    0xcccb8400,0x399931cc,0xff507722,0xf95333df,0x5effc47f,0xa9bfffd9,
    0x7ffdc7fc,0xdffea99d,0x7fffd400,0x5ffca999,0x40098005,0x0bd0007c,
    0x53dedb80,0x7d45fdc9,0x27fa205f,0xfe883ffa,0x7dc0ef89,0xeedffa8b,
    0xe980efa8,0xa84fd8bf,0x3ff63fff,0x75477cc7,0x7da8001f,0x987fffd1,
    0x11ffee3f,0x3e60dfff,0xff90fe23,0x7cc7b85f,0xffff85ff,0x1fffe200,
    0x4002af44,0x003e4009,0xfd1005e8,0xf997bf27,0x40fffa1f,0x03ffe5fe,
    0x32fe4bfd,0x7ffe43ff,0x3fa17fa1,0x3e0ffe27,0x1ffee3ff,0x00fc49f9,
    0x23ffeb88,0x34c3fff9,0xf883fff6,0x88f206ff,0x82fffc87,0x42fffcc6,
    0x2202fffc,0x56a07fff,0x2004c002,0x0bd0007c,0xff89ffa0,0xfd97fee5,
    0x23ff884f,0x3fee0ffc,0x7dc7fee3,0xb1ffee5f,0x2ffdc1ff,0xfff03ffe,
    0x3a3ffdc7,0x3006e3ff,0x3605dff9,0x261646ff,0x7ffc44ff,0x1c473246,
    0x1c17ffe4,0x2a17ffe6,0x7fc05fff,0x0152187f,0x0f900260,0x2a017a00,
    0x3ffe26ff,0x7f45fd11,0x22ffb84f,0x0ffec1b8,0x3fa25ff7,0xf71bfee2,
    0x227ff45f,0x7ffc2fff,0xf91ffee3,0xeb801bff,0x7d401cff,0x8081a1ff,
    0x2346fff8,0x2fffc800,0x85fff980,0x7c05fffa,0x141cc7ff,0xf9002600,
    0x2017a000,0x3ff65ffd,0xffdd504f,0x007ffb09,0xdddddffd,0x3fb6607d,
    0xeeeeeeff,0xfd13ffe2,0x23fff89f,0x7fcc7ffb,0x7e4c0eff,0x3a000bef,
    0x800755ff,0x1a66fff8,0x0bfff200,0x217ffe60,0x7c03fffb,0x141e47ff,
    0x4cc42600,0x999fc999,0x33331199,0x33333dd3,0xacafff41,0x77545ffd,
    0xff84ffd8,0x3fff804f,0xf53fb100,0x3ffe00ff,0x3e2fff44,0x1ffee3ff,
    0x47ffffee,0x0002fffb,0x01b1fff7,0x8efff880,0xfc8006fb,0xff9802ff,
    0x37ffcc5f,0xb8bfffc0,0x4c00283f,0xffffff70,0x2fffffff,0xfffffffd,
    0x3a5fffff,0xffb3bdff,0xfd87fe4b,0x06ffe84f,0xa806ffd8,0x3fff50ff,
    0xf87ffd00,0x1fffc4ff,0x3e60fff7,0xff914fff,0xf880017d,0x88005dff,
    0x6fffffff,0x2fffc800,0xcefff980,0x003effec,0xffffffff,0x09800507,
    0xfb555553,0x2a555555,0xaefaaaaa,0x3f61aaaa,0x4fffa4ff,0x3ff64ff9,
    0x02fffd84,0x8407ffdc,0x3fe25ff8,0x7fec104f,0x3a17ffc4,0x1ffee3ff,
    0x237fec47,0x01dffeb8,0x807fff20,0x7ffc41db,0x8006f98e,0x9802fffc,
    0xfffaefff,0x3ffe003f,0x0507fb57,0x3e400980,0xc805e800,0x97ff46ff,
    0xffd36ffc,0x1ffff30b,0xbfff3154,0x5ffc85c1,0x3217fff4,0xf897fe60,
    0x24ffe86f,0x216c7ffd,0x3f2605ff,0x7cc00bef,0x1ffee06f,0x34cdfff1,
    0x17ffe400,0xaafffcc0,0xf000ffff,0x283d8fff,0x32004c00,0x00bd0007,
    0xfff8fff1,0xbbffff90,0xff909dff,0xfb09bbff,0x6c5d9fff,0xfbecdfff,
    0x81ecefff,0x3ff50ffc,0xdb5dff90,0x0fec1fff,0xd71005fd,0x7ec039ff,
    0x83fff602,0x4346fff8,0x17ffe401,0xb2fffcc0,0x3e00dfff,0x141cc7ff,
    0xf9002600,0x2017a000,0xff31ffe8,0x99f7f443,0xff701efe,0x7fe409ff,
    0x7ff4c3ef,0xfffd30cf,0x677dc05d,0x3ff601ef,0x0dfffbaf,0x05fbbfdb,
    0x40ffb300,0x2ffcc07a,0x871bffe2,0x7ffe4049,0x5fff9802,0x013fffa2,
    0x20e1fffe,0x2004c002,0x4ccc407c,0xaaaaee99,0x3faa761a,0x20101efc,
    0x40033000,0x1004c009,0x04c40013,0x43001880,0x38800018,0x880800c0,
    0x1f406fff,0x00bfff20,0xf317ffe6,0xff803fff,0x8005007f,0x203e4009,
    0xfffffffe,0x025fffff,0x00000133,0x00000000,0x00000000,0x00000000,
    0x3fe20000,0x00bee07f,0x3007fff9,0xff90bfff,0x3fe201df,0x8005007f,
    0x2014c009,0xaaaaaaaa,0x001aaaaa,0x00000000,0x00000000,0x00000000,
    0x00000000,0x07fffe60,0xd803ff93,0xfa804fff,0xfffd06ff,0x3fffe60b,
    0xaaaab800,0xbaaaaaaa,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3fae6000,0xffffffff,0x3f6a07ff,0x982cffff,0x3dfffffc,
    0x8f7fffcc,0xeffffeb8,0x0000000b,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x74ccccb8,0x32699999,
    0x2080044c,0x33220000,0x05bb72cc,0x6dcb3332,0x41eedc3d,0x9cccccc9,
    0x66643ccc,0x5c3b912c,0xcccccccc,0x88a06603,0xc8000a81,0x1c019803,
    0x00000000,0x00000000,0x7fff4400,0xb8fffd10,0x5c47ea0f,0x2e1f70ad,
    0xf98000bf,0xfffedcff,0xddfff882,0xee8cfffe,0xffa83fff,0x220bee7f,
    0xffe8cfff,0x3666bba5,0x1f302fff,0x707e25c8,0x0ff9800d,0xfd80ff40,
    0x4003f902,0x3dd301fb,0x3660f74c,0xfd981dff,0x40fc982d,0x2a03efd8,
    0x3fea2fff,0xfd10ea1f,0xfdfffffd,0x16ffecc9,0x47fffe00,0xffd06ffc,
    0x3bffe65f,0x2e0dff71,0x405d2fff,0xffcddffe,0xfff883a4,0xfb89f105,
    0x17e0fdc1,0xd1007700,0x203fd83f,0xff1003fe,0xd97ff60b,0x37fe65ff,
    0x76f41ffd,0x3ff6e0ff,0x3ff2fa20,0xc93ffa01,0x20364fff,0xfb50cff9,
    0x3bff260d,0x4ffe800b,0x7f41ffee,0x8fffe24f,0x3fa07ffa,0x7ec04aef,
    0x438512ff,0xe881fffd,0x2213ea0f,0x013ee0ff,0x8ff44000,0x3f2183fd,
    0x77e40111,0x25ffd82f,0x83fa4ffd,0x7c4666f8,0x107fd42f,0x3ee037c1,
    0xdff9d0ff,0x817e4162,0xffea807d,0x93ffa01d,0xffd07ffa,0x317ffc49,
    0x3ea01fff,0xffd806ff,0x3ffea007,0x2a4fe884,0x1df700ff,0x266227fc,
    0x99999999,0xefe88099,0x8affb83f,0xf101ff76,0xff70df1b,0xf897fdc7,
    0xff00fc84,0x2e01ff30,0x7ffc403f,0x9fff9b9a,0x540df02b,0xff93002f,
    0x4ffe817d,0x7f41ffea,0x317ffc4f,0x7f401fff,0x6ffd807f,0x03fffa00,
    0x3e61ffd1,0x9bfe204f,0x3ff63ffb,0xffffffff,0x9ff105ff,0x373ffe60,
    0x1fb06ffd,0x3ff30fee,0x3f887fcc,0x2fa80fb8,0xfb80ff98,0x7fec02ff,
    0xb9ffd0cd,0xf807f101,0x7fe44004,0xf527ff47,0x13ffa0ff,0x7fcc5fff,
    0x3ffea00f,0x027fec03,0x982fffc8,0x0fff26ff,0x3e63ffd0,0x2aaaaa6f,
    0xaaaaaaaa,0x03fffb01,0x04d6e4cc,0x07f44f98,0xdb1be1fe,0x07d10bd0,
    0x74403fe6,0x7ffd405f,0x817ffee5,0x00fe205e,0x42dffda8,0x3fea4ffe,
    0xf89ffd07,0x3ffe62ff,0x3fffe200,0x013ff600,0xa817ffe2,0x81bf62ff,
    0x3bf22ff9,0xfd800000,0xb101fe8b,0x7f405f1d,0x17627d40,0x55df5136,
    0x225b03fd,0x5007fcc4,0x7fff007f,0x7017ffc4,0x003f201f,0x019ffd71,
    0xffa93ffa,0xf89ffd07,0x3ffe62ff,0x3ffeb600,0x013ff603,0x3887fff6,
    0x0ffa37dc,0x3ff31fec,0x6c00aa00,0x207fa23f,0x707fd3fe,0xb83fa05f,
    0xfea82b83,0xfffd82ef,0x707fd45f,0x6401e63b,0x03fec0ff,0xdf5077e6,
    0x177fe4c0,0xf527ff40,0x9ffd01ff,0xf517ffc4,0x6cee01ff,0xffd00fff,
    0x4fffa809,0x117dc1e4,0xd89f30dd,0x1ff3001f,0xe883fd80,0x5c3fe21f,
    0x2605d85f,0x1980003e,0x5ddddd50,0xa8df7654,0x3000acfd,0x809f50bf,
    0xffcefffc,0x7ff541ff,0x3ffe001c,0x207ffee5,0x3fe25fff,0x07ffee3f,
    0x5fff99e6,0xe80bfff0,0x0fea0eff,0xd0fa2364,0x4001f989,0x203a805d,
    0x2a0c40d8,0x00000000,0x00000000,0x0fc0ba00,0xffb39f50,0x2e1fd39f,
    0x6c000bef,0xff9affff,0x3ff60eff,0xfffd8cff,0xeffffaaf,0x919ffb31,
    0x6c1bffff,0xc80cffff,0xffeeffff,0xd30b602f,0x0016c2cc,0x00000000,
    0x00000000,0x00000000,0x200a0180,0x0aa18802,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x10000000,0x00000179,0x11111111,0x44111111,0x88888888,0x01008888,
    0x43805993,0x39711aa9,0x22055544,0x5b526c41,0x40888888,0x88888888,
    0x99108888,0x99999999,0x00000999,0x00000000,0x00000000,0xd17f2000,
    0xebb98dff,0x0bbca80d,0x3fffffee,0x27ffffff,0xfffffffb,0x987fffff,
    0x7ffffdc5,0x3fe1cc1c,0xd8dff71f,0x97fea2ff,0x4fff2ffc,0x5ffffffa,
    0xfffffff3,0x26dfffff,0xffffffff,0x0005ffff,0x00000000,0x00000000,
    0xff880000,0x3ffff11f,0x227dd7e2,0x5ccfd1fb,0xaaaabbbb,0x2ee67daa,
    0xbbbbbbbb,0x23fe83bb,0xfffca8ae,0x3ea0fdce,0x03fff61f,0x7ffecbfb,
    0x3f63ff50,0x3ffffea6,0x7777715f,0x57777777,0x00000000,0x00000000,
    0x00000000,0xfff88000,0xd8bffee1,0x0fe8bf94,0x2e0005fb,0xf9800007,
    0x3f6a0736,0x20fe42ef,0x1fb04ffa,0x8131bfee,0x5ddddc41,0x0000002b,
    0x00000000,0x00000000,0x00000000,0x4443ffc0,0x2fe6d40f,0x027e4ff3,
    0x22227b80,0x88888888,0x14fb8088,0x0be01100,0xa8ba0044,0x0000000b,
    0x00000000,0x00000000,0x00000000,0x6c000000,0xfd8b505f,0x87fc5fb8,
    0xf70002fd,0x7fffffdc,0x27ffffff,0x00002cc8,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x883fb800,0x367be61d,0x7d8fe45f,
    0xb98e6000,0xbbbbbbbb,0x00003bbb,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x07e20000,0xbff88193,0x33221ef9,0x000001da,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00434000,0x00001000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__times_bold_28_latin1_x[224]={ 0,2,2,0,0,1,1,1,1,0,1,0,0,0,
1,0,0,1,0,0,0,0,0,0,0,0,2,1,0,0,0,1,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,2,0,0,1,-1,0,1,0,0,0,0,0,0,0,0,
-1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,2,1,1,0,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,2,1,0,0,0,
1,1,0,0,0,0,0,0,0,-1,0,0,0,0,2,0,0,1,1,0,0,0,0,0,0,1,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,0,0,0,0,0,1,1,
1,1,1,1,1,0,0,0,0,0,-1,0,-1,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
 };
static signed short stb__times_bold_28_latin1_y[224]={ 22,4,4,4,4,4,4,4,4,4,4,6,18,14,
18,4,4,4,4,4,4,5,4,5,4,4,10,10,7,10,7,4,4,4,5,4,5,5,5,4,5,5,5,5,
5,5,5,4,5,4,5,4,5,5,5,5,5,5,5,5,4,5,4,25,4,10,5,10,5,10,4,10,5,4,
4,5,5,10,10,10,10,10,10,10,6,10,10,10,10,10,10,4,4,4,13,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,22,9,5,4,7,5,
4,4,5,4,4,10,10,14,4,2,4,6,4,4,4,10,5,11,21,4,4,10,4,4,4,9,-1,-1,-1,0,
0,0,5,4,-1,-1,-1,0,-1,-1,-1,0,5,0,-1,-1,-1,0,0,8,4,-1,-1,-1,0,-1,5,4,4,4,
4,5,5,4,10,10,4,4,4,5,4,4,4,5,4,5,4,4,4,5,5,8,9,4,4,4,5,4,4,5,
 };
static unsigned short stb__times_bold_28_latin1_w[224]={ 0,5,10,13,12,23,19,5,8,8,11,14,6,8,
5,8,12,10,12,12,12,12,12,13,12,12,5,6,14,15,14,11,22,18,16,16,18,16,15,19,20,10,13,20,
16,24,18,19,15,19,19,13,16,18,19,26,19,18,17,6,8,6,12,14,6,12,13,11,14,11,11,13,14,7,
8,15,7,21,14,12,13,14,11,8,9,14,13,19,13,13,11,7,3,7,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,0,5,11,13,13,13,
3,11,9,19,8,13,15,8,19,14,10,14,7,7,6,15,14,5,5,7,8,13,19,19,19,11,18,18,18,18,
18,18,26,16,16,16,16,16,10,10,10,10,18,18,19,19,19,19,19,12,18,18,18,18,18,18,15,13,12,12,
12,12,12,12,17,11,11,11,11,11,8,8,9,9,12,14,12,12,12,12,12,14,12,14,14,14,14,13,13,13,
 };
static unsigned short stb__times_bold_28_latin1_h[224]={ 0,19,10,19,20,19,19,10,24,24,11,15,9,4,
5,19,19,18,18,19,18,18,19,18,19,19,13,17,13,7,13,19,24,18,17,19,17,17,17,19,17,17,18,17,
17,17,18,19,17,23,17,19,17,18,18,18,17,17,17,22,19,22,10,3,5,13,18,13,18,13,18,18,17,18,
24,17,17,12,12,13,18,18,12,13,17,13,13,13,12,18,12,24,24,24,5,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,0,19,22,19,13,17,
24,24,4,19,9,12,7,4,19,2,10,15,10,10,5,18,23,5,6,10,9,12,19,19,19,19,23,23,23,22,
22,22,17,23,23,23,23,22,23,23,23,22,17,23,24,24,24,23,23,11,19,24,24,24,23,23,17,19,19,19,
19,18,18,19,13,17,19,19,19,18,18,18,18,17,19,17,19,19,19,18,18,11,14,19,19,19,18,24,24,23,
 };
static unsigned short stb__times_bold_28_latin1_s[224]={ 252,89,206,242,144,140,1,1,1,38,181,
86,7,121,92,164,58,55,242,124,229,1,190,82,97,177,250,213,221,48,35,
203,176,128,237,21,233,1,55,137,192,132,175,139,220,28,20,71,77,232,35,
215,18,1,96,216,197,178,160,246,245,52,193,130,98,129,39,142,53,154,243,
68,177,111,219,217,53,65,50,184,97,82,101,212,167,197,236,1,87,189,113,
164,228,199,70,71,71,71,71,71,71,71,71,71,71,71,71,71,71,71,71,
71,71,71,71,71,71,71,71,71,71,71,71,71,71,71,71,71,252,91,40,
110,21,143,172,207,111,157,14,125,32,121,38,145,217,101,228,244,85,66,1,
105,64,236,23,139,225,205,185,173,16,21,155,59,78,125,1,35,52,69,86,
108,114,125,103,97,120,188,47,67,87,226,1,168,108,107,126,145,136,207,61,
202,229,14,216,14,27,1,166,108,27,39,51,116,147,156,165,157,127,93,76,
63,95,119,203,153,116,157,172,187,40,24,10,174, };
static unsigned short stb__times_bold_28_latin1_t[224]={ 1,74,188,50,50,74,94,202,1,1,188,
170,202,202,202,74,94,114,94,94,94,114,94,114,94,94,170,133,170,202,188,
94,1,114,133,94,152,170,170,94,133,133,114,152,133,152,133,94,152,1,170,
94,170,133,114,114,152,152,152,26,74,50,188,202,202,170,133,170,133,170,114,
133,133,133,1,152,152,188,188,170,133,133,188,170,133,170,170,188,188,114,188,
1,1,1,202,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,1,94,50,
94,188,133,1,1,202,94,202,188,202,202,94,202,188,170,188,188,202,114,26,
202,202,188,202,188,74,74,74,74,26,50,26,50,50,50,152,26,26,26,26,
50,26,26,26,50,152,26,1,1,1,26,50,188,74,1,1,1,26,26,152,
50,50,74,50,114,114,74,170,152,74,74,74,114,114,114,114,133,74,152,74,
74,74,133,114,188,170,50,50,50,114,1,1,26, };
static unsigned short stb__times_bold_28_latin1_a[224]={ 101,135,225,202,202,405,337,112,
135,135,202,231,101,135,101,112,202,202,202,202,202,202,202,202,
202,202,135,135,231,231,231,202,376,292,270,292,292,270,247,315,
315,157,202,315,270,382,292,315,247,315,292,225,270,292,292,405,
292,292,270,135,112,135,235,202,135,202,225,180,225,180,135,202,
225,112,135,225,112,337,225,202,225,225,180,157,135,225,202,292,
202,202,180,159,89,159,210,315,315,315,315,315,315,315,315,315,
315,315,315,315,315,315,315,315,315,315,315,315,315,315,315,315,
315,315,315,315,315,315,315,315,101,135,202,202,202,202,89,202,
135,302,121,202,231,135,302,202,162,222,121,121,135,233,218,101,
135,121,134,202,303,303,303,202,292,292,292,292,292,292,405,292,
270,270,270,270,157,157,157,157,292,292,315,315,315,315,315,231,
315,292,292,292,292,292,247,225,202,202,202,202,202,202,292,180,
180,180,180,180,112,112,112,112,202,225,202,202,202,202,202,222,
202,225,225,225,225,202,225,202, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_28_latin1_BITMAP_HEIGHT or STB_FONT_times_bold_28_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_28_latin1(stb_fontchar font[STB_FONT_times_bold_28_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_28_latin1_BITMAP_HEIGHT][STB_FONT_times_bold_28_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_28_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_28_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_28_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_28_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_28_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_28_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_28_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_28_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_28_latin1_s[i] + stb__times_bold_28_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_28_latin1_t[i] + stb__times_bold_28_latin1_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_28_latin1_x[i];
            font[i].y0 = stb__times_bold_28_latin1_y[i];
            font[i].x1 = stb__times_bold_28_latin1_x[i] + stb__times_bold_28_latin1_w[i];
            font[i].y1 = stb__times_bold_28_latin1_y[i] + stb__times_bold_28_latin1_h[i];
            font[i].advance_int = (stb__times_bold_28_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_28_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_28_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_28_latin1_s[i] + stb__times_bold_28_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_28_latin1_t[i] + stb__times_bold_28_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_28_latin1_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_28_latin1_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_28_latin1_x[i] + stb__times_bold_28_latin1_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_28_latin1_y[i] + stb__times_bold_28_latin1_h[i] + 0.5f;
            font[i].advance = stb__times_bold_28_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_28_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_28_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_28_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_28_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_28_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_28_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_28_latin1_LINE_SPACING
#endif

